// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT        236
#define STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_30_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_30_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_30_latin1_LINE_SPACING          19

static unsigned int stb__times_bold_30_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x99300000,0xaaaa9839,
    0x00080001,0x0010c066,0x00000055,0x50988018,0xeffc8005,0xffd80000,
    0xff50000e,0x2600003f,0x20002fff,0x0005ffe8,0x003ffe40,0x0bf72fdc,
    0x884ffd80,0x0005fffc,0xdb980b62,0x8aceffff,0x7401b50e,0x037fec06,
    0x207ff600,0x0dd1dfc8,0x000ffe80,0x00eff880,0x027fdc00,0x6fffd800,
    0x7ff44000,0xff100000,0xff8007ff,0x003fff1f,0xf8813fe2,0xf70005ff,
    0x67ffdc05,0x1fffd711,0x06e81fcc,0x0001ffd8,0xfb09fff3,0x26006e87,
    0x500001ff,0x200001df,0xa80006fb,0x003febff,0x0017f440,0xffbefd80,
    0x43ff6000,0x3ea007fe,0x05fff804,0x3203fa80,0x3ea01fff,0x7417dc0f,
    0x007fb006,0x2e17ffc0,0x003740ff,0x400003f9,0x400000ed,0x740001fb,
    0x000fd11e,0x0000bd10,0x027d4bf3,0x001502a0,0xfff802ec,0x03fcc005,
    0x7005fff9,0x41ff881f,0x0dd1006e,0x74164c00,0x2006e87f,0x6400001b,
    0x37000000,0x406dc000,0x4880003d,0x983e8000,0x0000000f,0x17ffe000,
    0x2e07fd00,0x3e004fff,0x3746fc80,0x00019100,0xe83ffd00,0x0000c006,
    0x00000000,0x00030000,0x00000300,0x55555000,0x85555455,0x22aaaaaa,
    0x7fc0aaaa,0x2039735f,0xffd01ffa,0x405c007f,0x01ba2ff9,0x55300008,
    0x2ffc8355,0x3b6a0374,0x403defdf,0xffffffc9,0x77ff643d,0x3ffff264,
    0x7f643dff,0x76d404ef,0x003defdf,0xefdfeda8,0x7fe4c03d,0x643dffff,
    0x3a64effe,0x3661efff,0x3fffa64f,0x213f661e,0xfffcdfff,0x107fe86f,
    0x0003ffff,0x06e9bfe0,0x22000b20,0x7dc4fffc,0xd883743f,0x77f4c2ff,
    0x7fffcc01,0x98077403,0x7403ffff,0x3ff6200e,0x00f7f4c2,0x2617fec4,
    0x7cc01efe,0x77403fff,0x86fff980,0x6fff985b,0xffff05b8,0x49ffd319,
    0xff506ffa,0x200001ff,0x00dd2ffe,0x440017e2,0x7fd44fff,0x7fd43743,
    0x7fff303f,0x17fffc40,0xff881320,0x026402ff,0x2607fff5,0x3ea03fff,
    0xfff303ff,0x7fffc407,0xfd026402,0xd02c81ff,0x02c81fff,0xffb8dfff,
    0x20bff71f,0x0006fffd,0x374fff60,0x001ffb80,0x544fff88,0x223741ff,
    0x7e405fff,0x3ffe01ff,0x2025c01f,0x5c01ffff,0x0bfff104,0x881fffc8,
    0x7e405fff,0x3ffe01ff,0x5025c01f,0x20687fff,0x0343fffa,0xff98bfff,
    0x20bff93f,0x0007fffe,0x1553ff60,0x004ffe80,0x644fff88,0x7ec6e84f,
    0x7fcc03ff,0x3fffe06f,0x3e025c01,0x25c01fff,0x403fffd8,0xfd86fff9,
    0x7fcc03ff,0x3fffe06f,0x3a025c01,0xd012a7ff,0xf0254fff,0xfff88bff,
    0x320bffb4,0x00007fff,0x50017ff2,0x8001ffff,0xf714fff8,0xff99ba09,
    0xfff800ff,0x3ffff03f,0x7fc04b80,0x425c01ff,0x800ffff9,0x3e63ffff,
    0xff800fff,0xffff03ff,0x5c04b803,0x801b2fff,0x01b2fffb,0x7fc2fffc,
    0x209ffd6f,0x001ffffa,0x00dff900,0x03ffffe8,0xda7ffc40,0xfb9ba00d,
    0xffd007ff,0x3fffe09f,0x3e025c01,0x25c01fff,0x803fffdc,0x3ee4fffe,
    0xffd007ff,0x3fffe09f,0x22025c01,0x8068efff,0x068efff8,0x7fc2fffc,
    0x20bffb5f,0x002ffff8,0x00dff900,0x3fffdf4c,0x53ffe200,0x4dd03ec8,
    0xb007fffc,0x3fe0dfff,0x025c01ff,0x7007fffe,0x0ffff909,0xc9bfff60,
    0xfb007fff,0x3ffe0dff,0x4025c01f,0x002dfffc,0x805bfff9,0x7fc45fff,
    0x40bff94f,0x0004fffe,0x400bffb0,0x2ffff8ad,0x13ffe200,0x74dd07f9,
    0xfb006fff,0x3ffe0fff,0x2025c01f,0x5c01ffff,0x06fffe84,0x74ffffb0,
    0xfb006fff,0x3ffe0fff,0x4025c01f,0x000ffff8,0x801ffff1,0x7fc45fff,
    0x40bff72f,0x801ffff9,0x4fff6048,0xfc9a204d,0x3e2006ff,0x0ffd44ff,
    0x6fffe9ba,0x0ffffb00,0x7007fffe,0x1ffff809,0x7ff425c0,0xfffb006f,
    0x037fff4f,0xf07fffd8,0x4b803fff,0x009ffb00,0xf804ffd8,0x7ffdc6ff,
    0xb80dff50,0x74c06fff,0x74bffa03,0xff98f206,0xff1001ff,0x43ffa89f,
    0x1ffff66e,0x837fff40,0x5c01ffff,0x0ffffc04,0x3ff612e0,0xfffd007f,
    0x03fffecd,0xf06fffe8,0x4b803fff,0x003ff300,0xf801ff98,0xfe98dfff,
    0x403ff42f,0x21befffa,0x7fc02eb9,0x07c41ba7,0x4017fffa,0x7dc4fff8,
    0xff73743f,0x3ffe00ff,0x3ffff05f,0x7fc03c80,0x41e401ff,0xf007fffb,
    0x7fdcbfff,0xffff007f,0x07fffe0b,0x37400790,0xf006e800,0xdfff5bff,
    0x003ff707,0xfdffd971,0xff8801bf,0x425c1ba3,0x800ffffa,0x7e44fff8,
    0xff33742f,0xff8801ff,0xffff02ff,0x7c03c803,0x1e401fff,0x007fffcc,
    0x98bfffe2,0x4400ffff,0xff02ffff,0x03c803ff,0x5c000ee0,0x4bfff003,
    0x027fc019,0x0004f440,0xd06e8ff7,0xffdddddd,0xff1009ff,0x41ffe87f,
    0x17ffec6e,0x81bffe60,0x6c02fffd,0x17ffec02,0x7fec0b60,0x7ffcc02f,
    0x02fffd86,0xb037ffcc,0x2d805fff,0x40003600,0xbfff000d,0x00ffa800,
    0x00077e40,0xa86e85fd,0x3fffee04,0x43fff800,0x4c6e87fe,0x7e406fff,
    0x3ff202ff,0x003e203f,0x4407fff9,0xdfff300f,0x82fffc80,0x6406fff9,
    0x3f202fff,0x03e203ff,0x004997e4,0x801265f9,0xa8005fff,0x7fcc003f,
    0xd07f5002,0x7c403d0d,0x1d983fff,0x7fc85fff,0xfffa86e8,0x07fff301,
    0x206fff98,0xfff9803d,0xf500f606,0x3fe603ff,0x3ffea03f,0x07fff301,
    0x206fff98,0x2dff103d,0x6ff8801c,0x7ffc0039,0x03f70005,0x9801ff80,
    0x7a8dd03f,0x87fffc80,0x81ffd4fc,0x83742fe8,0x7441ffe9,0xff5001ff,
    0x176a23bf,0x1dfffa80,0x2600bb51,0x7f441ffe,0xffe9801f,0x00fff441,
    0x11dfffa8,0xffe80bb5,0x3ffa004d,0x3fe6004d,0x3660006f,0x02eec802,
    0x9ba01da8,0x7d400ff8,0x6fd44fff,0xfb102ff8,0xc881ba19,0xcefecefe,
    0x7ff4c000,0x8003ffff,0xffffffe9,0x7f644003,0x00cefece,0x33bfb220,
    0x4000cefe,0xffffffe9,0x01dc9803,0x000ee4c0,0x39ddddb3,0x00004000,
    0xba6c0040,0x440cefff,0xdfffffec,0x006f72a0,0x0026c6a2,0x40000353,
    0x00001aa9,0x00003553,0x800006a6,0x200001a9,0x00001aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00009800,
    0x00006660,0x00000000,0x00000000,0x00000000,0x08180000,0x00026200,
    0x20000818,0x20200080,0x3fea0000,0x1f75401f,0x6f75c400,0x002bcdcc,
    0x013ffe20,0x0bffd000,0x3fff8800,0x06ffd800,0x002fff98,0x7dc17ffe,
    0xfd5000ff,0x100d137f,0x017dbbfb,0x22fbfae0,0xff98005a,0x7005ff32,
    0x03bee1df,0x007ff600,0xb1004fd8,0x1ec8019f,0xffffc800,0xff100000,
    0xff70000d,0xfff30007,0xbff5005f,0x417fe600,0x004ffff8,0x7fffffff,
    0x320ff880,0xfff8804f,0x8002ffff,0xbff95ffb,0x3e5ffd00,0x7c4002ff,
    0x7fd4002f,0x002fcc01,0xf88007a6,0x0004febf,0x0001df70,0x20009fb0,
    0x006fcdfe,0x3f200ff5,0x3efbf605,0x6d6cc00f,0x6400efff,0x007fe44f,
    0x3fff6b2a,0x5ff30006,0x2e00bfe6,0x01ff90ff,0x8002fa80,0x3ea03ffa,
    0x01d10003,0x0fd8bf60,0x00ee8000,0x004f8800,0x1fdc9f70,0xe802fa80,
    0xfa97e605,0x0a604c04,0x3ee37f40,0x5104c00f,0x40880003,0x02020008,
    0x80015400,0x9f104ffb,0x803b8000,0x004c80e9,0x00000c80,0x3a200073,
    0x2a006a82,0xd0064402,0x0001d307,0x21ffec00,0x0018000a,0x00001800,
    0x00010000,0x3740bff2,0x53139710,0x00800485,0x00000000,0x00000000,
    0x00000000,0x1fffffd5,0x93bfff60,0x000dfffb,0x77eff6d4,0xeda8003d,
    0x403defdf,0xffffffc9,0x02c8003d,0xa81ffd80,0xb5df500f,0x00489ff9,
    0x3ee002c8,0x83efffff,0x30efffd8,0xfffffff9,0x49ffffff,0xffffffc9,
    0x4fffffff,0x3fffff26,0xfff933df,0x3267bfff,0x3dffffff,0x037fffe4,
    0xff901dd1,0xfb1003ff,0x1efe985f,0x42ffd880,0x4401efe9,0x0004ffff,
    0xfd000bf1,0x2e0bd01f,0x3fff91ff,0x3e2001b8,0x7ff44005,0x1fd400ff,
    0x12ffff88,0x109ff933,0x2625ffff,0xf884ffc9,0xff104fff,0x3fe209ff,
    0x3ffe04ff,0x417204ff,0x02fffff9,0x4c0fffea,0x3ea03fff,0xfff303ff,
    0x3ffff807,0x03ff7000,0xf987fb80,0x324ff982,0x003987ff,0x30007fee,
    0xb807ffff,0x17fffc05,0xfff04f98,0x413e605f,0x3e03ffff,0x3fe03fff,
    0x3fbe03ff,0x09503fff,0xffff77d1,0x0bfff107,0x881fffc8,0x7e405fff,
    0x3ffe01ff,0xffd0002f,0x2fe88009,0x0ffe83dc,0x06a17ff6,0x004ffe80,
    0x00ffffd8,0xfff803f1,0x7c13202f,0x13202fff,0xf017fffc,0x7fc05fff,
    0x3e7e02ff,0x4a81ffff,0xffd33744,0x3fffd85f,0x437ffcc0,0x4c03fffd,
    0x3fe06fff,0xfa8002ff,0x44000fff,0x2a1b22ed,0x17ff45ff,0xffa80064,
    0x7c4000ff,0x09904fff,0x385ffff0,0x7fffc126,0x3e0931c2,0x3fe02fff,
    0x3ffe02ff,0x7fd5e02f,0x22540fff,0x5ffd84fa,0x003fffe6,0xf98ffffe,
    0xff800fff,0xffff03ff,0xfffd0005,0x3a60007f,0x5ffd0bb3,0x2407ffcc,
    0x7ffffd00,0xffff9000,0xff006981,0x062cc5ff,0xb317fffc,0x5ffff018,
    0x017fffc0,0x3c05ffff,0xa8dffff7,0xfd837e44,0x0ffff70f,0xb93fffa0,
    0xfd007fff,0x3ffe09ff,0x5f4c002f,0xc8007fff,0xff11363e,0x837fec1f,
    0xff7d3004,0xff1000ff,0x002e89ff,0x2dc5ffff,0x22ffff80,0xffff005b,
    0x17fffc05,0x405ffff0,0x27fffec7,0x85ffb895,0xfff90ff8,0x3fff600f,
    0x01ffff26,0xf837ffec,0x6c002fff,0x02ffff8a,0x8b90bf60,0x3fe67ffa,
    0xb001c84f,0x05ffff15,0x3ffff700,0xfff8016a,0x200bd12f,0xbd12ffff,
    0x0bfffe00,0x202ffff8,0x1e02ffff,0x25ffffd1,0x77ffc44a,0xfffd37c0,
    0x3fff600d,0x01bfffa7,0xf83fffec,0x22002fff,0x01bfff26,0x1aa07fdc,
    0x3b22dff7,0x801d41ff,0x1bfff268,0x6ffff400,0x3fe001e8,0x05ffddff,
    0xfbbffff0,0x3ffe00bf,0x3fffe02f,0x0bfffe02,0xffff8878,0xffb84a9f,
    0x743f32ff,0xfb006fff,0x7fff4fff,0xffffb006,0x00bfffe0,0x3ffe63c8,
    0x87fd801f,0x3ffee0f9,0x20fff8ec,0x47900449,0x001ffff9,0x4dffffa8,
    0x67fffc00,0xff005fec,0x0bfd99ff,0x80bfffe0,0x3e02ffff,0x41e02fff,
    0x4beffffa,0xd9ffff50,0x07fffd83,0x6cdfffd0,0xfd007fff,0x3ffe0dff,
    0x81f1002f,0xd805fffe,0x221f80ff,0xffb2ffff,0x01c8b913,0xfffe81f1,
    0xfffd0005,0xfff8001f,0x200bd12f,0xbd12ffff,0x0bfffe00,0x202ffff8,
    0x1e02ffff,0x4fffffb8,0x17fffe60,0x401fffee,0x3ee5ffff,0xfff007ff,
    0x3fffe0bf,0xf5097002,0xfc801fff,0x75c5b82f,0x2f7f261d,0x09702440,
    0x001ffff5,0x00dfff50,0x545ffff0,0x5ffff005,0xfff802d4,0x3fffe02f,
    0x0bfffe02,0x7ffec078,0x7ff4404f,0x7fffcc4f,0x7fffc400,0x03fffe62,
    0x05ffff10,0x400bfffe,0xfeeeeeee,0x7dc04fff,0x0005d03f,0xeee80320,
    0xffffeeee,0xfffa8004,0xffff8006,0x3e0e1622,0x21622fff,0x02ffff83,
    0xf80bfffe,0x01e02fff,0x4013fffa,0x7ec0fffc,0x7fcc02ff,0x2fffd86f,
    0x037ffcc0,0x5005ffff,0x7fffdc09,0x40ffea00,0x640000f9,0xfb812a02,
    0x54000fff,0xf8006fff,0x22142fff,0x42ffff85,0x7ffc2c42,0x3fffe02f,
    0x0bfffe02,0xfff88078,0x7dc5e884,0x37ffcc2f,0x20bfff20,0x6406fff9,
    0x3fe02fff,0x01e802ff,0x80ffffe2,0x3ae01ff9,0x80590000,0x3ffe201e,
    0x7fd4003f,0xfff8006f,0x7c1e402f,0x1e402fff,0xf017fffc,0x7fc05fff,
    0x03f102ff,0xf909ff30,0x40ffc43f,0xf301fffa,0x7fd407ff,0x7fff301f,
    0x02ffff80,0x7fe403d4,0x013f207f,0xda800fa6,0x6403d401,0x5c007fff,
    0xf8007fff,0x3ee03fff,0x03ffff82,0x3ffe0bee,0x3fffe02f,0x0bfffe02,
    0xfb801fd4,0x220ff984,0x3ffa607f,0x00fff441,0x220fff4c,0x7c401ffe,
    0x3e204fff,0x7ffd400f,0x027ecc4f,0x882afae0,0xf8803db9,0x7ffd400f,
    0x3ff2004f,0x3e2000ff,0x2a60dfff,0x7fc41ffe,0x3aa60dff,0x7ffc41ff,
    0xffff104f,0x3fffe209,0x6ffff544,0xfb04c802,0x803fd517,0xfecefec8,
    0x322000ce,0xcefecefe,0x3ffb2200,0x7dc2cfff,0x6440ceff,0x0dfffffe,
    0x4c000155,0x02bcedca,0x19dfff70,0xffffec88,0xfb7100df,0x057dffff,
    0x7ffff644,0xffffffff,0xfffd910f,0xffffffff,0x3fb221ff,0x912cffff,
    0x59fffffd,0x3ffffb22,0x300002cf,0x05e6dcc0,0x000d4c00,0x00035300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01010000,0x40000000,0x20000198,0x02000080,
    0xdd950002,0x5bffffff,0x00008080,0xdfff10dc,0x7fff6419,0x01793001,
    0x33000000,0x00cc4000,0xeee98017,0x7f440001,0x0007fd13,0x0001fff7,
    0x3fb7ffae,0xfd30004e,0x000d137d,0x3fa27fd1,0xfffd8803,0x007f13ff,
    0x02fecdf9,0x7ff88d00,0x400fff40,0x000fbae9,0x5001deb8,0x20017df9,
    0xfffdfeca,0x3f6016e3,0x540005ff,0x0dff57ff,0x00ffee00,0x985ffd10,
    0x7c001efe,0x03ffffff,0xf57ffa80,0xfffd00df,0x07e27fff,0xf13fff10,
    0x950001ff,0x6c06ff88,0x22c801ff,0x46dc003b,0x5774c06a,0x304efccd,
    0xfea85ffd,0xffa806cf,0x20001ffc,0x7ff14ff8,0x037dc000,0x207fff50,
    0x3003fff9,0x1dfffb5b,0x29ff1000,0x7dc03ff8,0x13ffffff,0x4dfb001f,
    0x3b0006fd,0x6c05ff88,0x22c801ff,0x9074003b,0x3c8ff405,0xfff50ff3,
    0x0fffe605,0x37cc7fa0,0x00404000,0x4007e400,0x5c06fff8,0x08801fff,
    0x04000154,0x7ffec004,0x1f13ffff,0x00060200,0x2ffc4344,0x2007ff60,
    0x000fbbe9,0x2a03b16c,0x47a8f27f,0x6406fff8,0x3ae00fff,0x000174c0,
    0x37000000,0x07fffb00,0x006fff98,0x08000008,0x7ffff400,0x01f13fff,
    0x2e600000,0x5ff884dc,0x800ffec0,0x98000de8,0x3f605ece,0x6c68792f,
    0x3a203fff,0x10006fff,0xfff93001,0xec87bfff,0x00004eff,0x00ffff98,
    0x003ffff8,0x20000164,0x3ffa002c,0xf13fffff,0xffffc981,0xffffffff,
    0xf77fb04f,0x05ff889f,0x8800ffec,0x0d40005f,0x32ffff60,0x3fffe0c3,
    0x3ffefa00,0x2aaaa22f,0x05555512,0x0ffffe60,0xfc981dd0,0xffffffff,
    0x3ee4ffff,0xffd007ff,0x2fc4009f,0x0bf10000,0x7ffffe40,0x201f13ff,
    0x312ffff8,0xfd09ff93,0x88bffe6b,0x7fec05ff,0x03ff7001,0x15997300,
    0x3ffffea0,0x3fffe603,0x3ffa9b00,0x37ffd44f,0x200dfff7,0x402ffff8,
    0x3ffe204c,0xff93312f,0x03fffe49,0x006fffd8,0x00007fee,0xa800ffdc,
    0x3fffffff,0x7ffc01f1,0xa89f302f,0x9fff93ff,0x3602ffc4,0xffd001ff,
    0x576c4009,0xfd02ffea,0x2e05ffff,0x4b907fff,0xff85fffd,0x037ffc6f,
    0x803ffff0,0x7fffc04b,0x7f49f302,0xffb006ff,0x7ff400ff,0xffd00004,
    0x3ffa2009,0x1f13ffff,0x017fffc0,0xd2ffe899,0x7fc43dd3,0x00ffec05,
    0x007fffd4,0x3fea3ff8,0xfffe880f,0x7ff40dff,0x7ec6b87f,0x6ffe87ff,
    0xf0037ff4,0x4b803fff,0x017fffc0,0x37fff499,0x07fffc80,0x01ffff50,
    0xffffa800,0xfffd1000,0x803e27ff,0x31c2ffff,0x557ffc49,0x017fe204,
    0xfd003ffb,0xf5007fff,0x17ffccdf,0xdfffff90,0x237fff41,0x7ffec0ea,
    0x746ffe87,0x3fe006ff,0x025c01ff,0x470bfffe,0x1ffff649,0x037ffec0,
    0x03ffffe8,0x7ffff400,0x3f722003,0x401f13ff,0x1662ffff,0x6dfffcc3,
    0x017fe200,0xe9803ffb,0x9807fffb,0x3ffe66ff,0x7fff4c02,0x9ffff25f,
    0xfffe80f9,0x746ffe85,0x3fe006ff,0x025c01ff,0x598bfffe,0x0ffff90c,
    0x017fffa0,0x1fffefa6,0xffbe9800,0x3e60007f,0x7fc01f13,0x9816e2ff,
    0x4406dfff,0x7fec05ff,0x7fc56c01,0x0b9802ff,0x005fffb3,0x21fffff9,
    0xe88ffffb,0x07ffff01,0xffe8dffd,0x3fffe006,0x3e025c01,0x816e2fff,
    0x800ffff9,0xd803ffff,0x02ffff8a,0xfff15b00,0x9f40005f,0x3ffe00f8,
    0xf80bd12f,0x7c402fff,0x0ffec05f,0x7ffe4d10,0x2ff66006,0xbc802fff,
    0xff32fffc,0x2205d3ff,0xfe80ffff,0x037ff46f,0x803ffff0,0x7fffc04b,
    0xfd80bd12,0x7fcc02ff,0x3268806f,0x88006fff,0x01bfff26,0x01f13e80,
    0x7eeffffc,0x7fff405f,0x02ffc402,0x3c807ff6,0x007fffe6,0x3fe63bee,
    0x4f205c2f,0x3ff64ffd,0x3fe603ff,0x8dffd07f,0x3e006ffe,0x25c01fff,
    0x377fffe0,0x7fcc05ff,0x7ffe406f,0x3e63c802,0x64001fff,0x07fffe63,
    0x0f89f400,0x333fffe0,0x7fd405fe,0xf89261ff,0x0ffec05f,0x7ff40f88,
    0x8ffec05f,0x1642fff9,0x11ffdcf2,0xfd80dfff,0xdffb02ff,0x2006ffe8,
    0x5c01ffff,0x67fffc04,0xfa805fec,0xfff101ff,0xe81f1007,0x22005fff,
    0x2ffff40f,0x1f13e800,0x897fffc0,0xfffc805e,0x7fc45eef,0x80ffec05,
    0xffffa84b,0x4cfff100,0x23642fff,0xa81ff73c,0xff302fff,0x3ffe409f,
    0x400dfff5,0x6401ffff,0x97fffc03,0xff3005e8,0x2ffe883f,0xff509700,
    0x12e001ff,0x003fffea,0x007c4fa0,0x2d45ffff,0x7ffffc40,0x02ffc40c,
    0x77407ff6,0xfffeeeee,0x5fff904f,0xc87fffb3,0xfd1790df,0x3fffd505,
    0x402ffe98,0xeeccfffa,0x3fe007ff,0x01e401ff,0x5a8bfffe,0x3bfae200,
    0x001cffdc,0x3bbbbbba,0xd004ffff,0xffdddddd,0x7d0009ff,0xfff803e2,
    0x70e1622f,0xff880667,0x40ffec05,0x3ffee04a,0xffffb80f,0x24efffaf,
    0xfeeeffda,0xd70e981d,0x17bfd9df,0x37fff200,0x00dfffe8,0x402fffd8,
    0x7fffc02d,0x200e1622,0x001ffffb,0xfff70254,0x204a801f,0x000ffffb,
    0x200f89f4,0x2142ffff,0x88007458,0x7fec05ff,0x3e201e81,0xfd883fff,
    0x1bff70cf,0xb0136660,0x00353101,0x00004c40,0x101fffe4,0xffff801f,
    0x40162142,0x4006fffe,0x3ffe201e,0x100f403f,0x8007ffff,0x7c01f13e,
    0x1e402fff,0x7fc400b3,0x20ffec05,0xfffc807a,0x00080207,0x00000057,
    0x4c000000,0x0f606fff,0x00bfffe0,0x3fe60079,0x0f5004ff,0x40ffff90,
    0xfffc807a,0xf89f4007,0x0ffffe00,0x00b22fb8,0x7406ff88,0x03fe21ff,
    0x09ffff50,0x00000000,0x00000000,0x1dfffa80,0x3e00bb51,0x3ee03fff,
    0x3ff62002,0x440abdff,0x7fd400ff,0x0ff884ff,0x27fffd40,0x03e27d00,
    0x06ffffc4,0x343ffd53,0x37ffe200,0x3fff720c,0x19dfff71,0xffffec88,
    0x000000df,0x00000000,0x3a600000,0x03ffffff,0x1bffff10,0x00fff54c,
    0xbceeca80,0x33bffee0,0x7fff6440,0xfff70dff,0xfec8819d,0x800dffff,
    0xc881d12d,0xfffffffe,0x00ffffff,0x00000000,0x00000000,0x00000000,
    0x4c000000,0xd91001aa,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26007ddb,0x00001ccc,0x20080800,0x5441a801,0x16664400,
    0x8017bae0,0x000d4080,0x35000266,0x00799900,0x0004d440,0xc8000400,
    0x910003cc,0x1fec0599,0xffb805fb,0xff9000ff,0x1ee9800b,0x6cc03dd3,
    0x88688bef,0x7f300fff,0x7dc00fc8,0x7ffc405f,0x77ecc02f,0x03ec688b,
    0x0dfbee98,0x9801fb80,0x64000fff,0x81effcef,0x1df30ee9,0x1ea8baa0,
    0x003ffe60,0xa817fee0,0x0dff57ff,0x27f6ffc4,0x001ff900,0xffcaffe4,
    0x3ffffa04,0xfffb84ff,0x7d85f504,0xd805fe80,0x7c06fdef,0x44ffffff,
    0x7fc401fa,0xf980bfd2,0x0bfea004,0x887fec40,0x7fec1fff,0x4c07ffb4,
    0xa800cedf,0xfe8002ff,0x8affc405,0x4ff204ff,0x32000fe8,0x3fea002f,
    0x2605ff53,0x1ffffdbd,0x904fffc8,0x4c05f81f,0x6fcc00ef,0x36605f90,
    0x41ffffdb,0x7fec04f8,0x7405ffb1,0x05fa8006,0xfe8dff50,0xb97fdc5f,
    0x3f6201ff,0x17ea000f,0x001df300,0x22028851,0x0026c42f,0x83300176,
    0xa8866019,0x0fffee02,0x013e23f4,0x09d001d7,0xa88660d7,0xff01b602,
    0x413ff23f,0xf50001fb,0x8bff9001,0x40986ffd,0x53d91009,0x7d4001df,
    0x003ae000,0x01800000,0x00000000,0x3ffe6000,0x2fa8bf01,0x01000000,
    0x80fdc000,0xff91fff8,0x0009f30b,0x17ffa000,0x00009ffb,0x006fd853,
    0x98000000,0x9800accb,0x5100accb,0x2aa25555,0x555442aa,0x5555512a,
    0x05665cc0,0x930fff88,0xd999df99,0x32e609bf,0xcb9800ac,0xbcb9801b,
    0xf80fe201,0x09ff91ff,0x2e6000dd,0x7f400acc,0x80fff45f,0x3001bcb9,
    0x980bff53,0x73001bcb,0xed880379,0x102ffeaa,0x5ffd55db,0xb9bffea0,
    0xffa86fff,0x1bffee6f,0x3faabb62,0x5cdfd02f,0xffffffff,0x76c47fff,
    0x202ffeaa,0x03fd9dfb,0x3feebbee,0x7ec0dd00,0xb85ffb2f,0x76c4001f,
    0x202ffeaa,0x9f915ffe,0x3677ee03,0x37fee03f,0xf702fffe,0x401ff75d,
    0x0ffbaefb,0x7fd47ff0,0x2a3ff80f,0xfff00fff,0xf06fff8d,0x6fff8dff,
    0x3fea3ff8,0x224fc80f,0x9999fd99,0x1ffc19df,0xf701fff5,0x207fe21f,
    0x3bf62ffc,0xf100fb80,0xf317fa7f,0x47ff0009,0xfd00fffa,0x0b7f66bf,
    0x7fc43fee,0x3a2ffc81,0x2ffc85ff,0x3f203bf6,0x503bf62f,0x7ffccdff,
    0xf337fd42,0x3ffa05ff,0xe837ff46,0x37ff46ff,0xff99bfea,0xd02fa82f,
    0xfa83f88f,0x0bffe66f,0x6ff8dff1,0xf707ffc4,0x407f30bf,0xe84fbee9,
    0x6ffa8006,0x740bffe6,0x17fdc5ff,0x6ff8dff1,0x3ee3ffc4,0x07ffc47f,
    0xff88bff7,0x317fee0f,0x7ffccdff,0xf337fcc2,0x3ffa05ff,0xe837ff46,
    0x37ff46ff,0xff99bfe6,0xf01f982f,0xf982fa8b,0x0bffe66f,0xfff89ff9,
    0xf51fff20,0x00bd01ff,0x307ee031,0xff307bb9,0x817ffccd,0x7fcc5ffe,
    0xf89ff90f,0x1bfea0ff,0x7e41fff5,0x07ffd47f,0xffa8fff9,0xd985cc0f,
    0x0b982fff,0x205fffb3,0x7ff46ffe,0xe8dffd06,0x30b986ff,0x1e05fffb,
    0x03f21fcc,0xffd985cc,0x677fec2f,0x3a1fffcc,0x7ffd47ff,0x0000fc81,
    0x8ffa89f3,0x30b986fb,0x3a05fffb,0x7ffcc5ff,0x999dffb2,0x7fe43fff,
    0xd1fffd46,0xfffa8fff,0xf51fffa1,0x3f6603ff,0x2602fffb,0x02fffbfd,
    0xffe8dffd,0xe8dffd06,0x3f6606ff,0x8b02fffb,0xfffffffb,0xb307ffff,
    0xe85fff7f,0xaaaaadff,0x51bffe0a,0x5f307fff,0xf11ba000,0x413fe6bf,
    0x2fffbfd9,0xf88bffd0,0x5bffd4ff,0x74155555,0x7ffd46ff,0xf51bffe3,
    0x37ffc7ff,0x2e0fffea,0x2fff98ef,0xff31df70,0x1bffa05f,0x3fa0dffd,
    0x837ff46f,0xfff98efb,0xffea8102,0xeeffeeee,0xf98efb86,0x2fff42ff,
    0x546fff80,0x0bf03fff,0xfb83f700,0x70fff35f,0x5fff31df,0xf117ffa0,
    0x17ffa9ff,0x2a37ff40,0x3ffe2fff,0xf1fffd46,0xfffa8dff,0xf98ffec3,
    0x1ffd82ff,0x3a05fff3,0x37ff46ff,0x7f46ffe8,0x31ffd86f,0xe8005fff,
    0xfb01fcc7,0x0bffe63f,0x3600fffb,0x7ffd46ff,0x9800f902,0x14ffc84f,
    0x7fec1fff,0x205fff31,0x7fc45ffe,0x00fffb3f,0xff51bff6,0x237fec1f,
    0x3f62fffa,0x17ffd46f,0x7fccfff1,0x33ffc42f,0x3f605fff,0x837ff46f,
    0x7ff46ffd,0xf33ffc46,0x07d705ff,0x102fa8bf,0x7ffccfff,0x41fffe42,
    0x51ffee09,0x3ea01fff,0x641ba002,0x1fff15ff,0xff99ffe2,0x4bffd02f,
    0x3f25ffd0,0x2e0983ff,0x3ffdc7ff,0xff51ffee,0x23ffdc1f,0x3f20fffa,
    0xfffd9aff,0x4d7ffe43,0xf903fffd,0x37ffd4ff,0x3ea7ffc8,0x7ffe46ff,
    0x43fffd9a,0x3e62fff9,0xfc807e43,0xfffd9aff,0x1ffffc43,0x0fff8891,
    0x9f013fee,0x5407ee00,0x4fff35ff,0xfd9afffc,0xbfff03ff,0x43ff27fe,
    0x223ffff8,0x323ff444,0x7ffc43ff,0xf113fee0,0x27fdc1ff,0x2bffffee,
    0x3ee4efff,0xfffaffff,0xcfffa84e,0x507ffeec,0xfdd99fff,0xffffb8ff,
    0x24efffaf,0x3ea3fffb,0xff703f41,0xdfff5fff,0xeffffb89,0x3ffa80ed,
    0xfb003bfa,0xe809f100,0x5c7ff36f,0xffafffff,0x7ffc44ef,0x85f73ff5,
    0xedeffffb,0x3a2ff980,0x47ff504f,0xffa80efe,0xb103bfa3,0x3fee19ff,
    0x33ff620d,0x201bff70,0xfe8dfffc,0xffc80dff,0xdfffe8df,0x219ffb10,
    0x3e20dffb,0xf03f20ff,0x67fec40b,0x701bff70,0x403bffff,0x04fedfe9,
    0x6e803f50,0xfc9ff980,0x867fec44,0x3a20dffb,0xbdd55fff,0x3fffee07,
    0x33f6601d,0x7f4c04ee,0x74c04fed,0x0404fedf,0x01004010,0x20001310,
    0x00400098,0x414c0c01,0x0200801a,0x51000a20,0x01a88003,0x5c4007aa,
    0x080201cd,0x14400000,0x20004c00,0x544001a8,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40008800,0x8004401a,0x004400a8,0x33000350,0x09988000,0x0fbb6004,
    0x08803500,0x01666440,0xccc80000,0x3332a003,0x00022000,0x0c04d4c4,
    0x00026a60,0x7f4c0130,0x1fc800ef,0x2007fb50,0x0ff6a06e,0x8800fe40,
    0x00cffefc,0x3f7bf620,0x3ee059be,0xf5000fff,0x33b7ae05,0x01bfea01,
    0x05fb1fec,0x000fff98,0x2200fffa,0x801dffeb,0xffdffed9,0xd705a8be,
    0x003bfff9,0x4033fae2,0x04ffbae8,0xfcb81fcc,0x01fc803f,0x3007ff97,
    0x97f4007f,0xf3004ffa,0x2ffe4c3f,0x3ffdff88,0x3f20f900,0x5c03ff14,
    0x7fd401ff,0xc80dff57,0x3e2001ff,0xffe8803f,0x3201ffff,0x36a0adff,
    0x1fb85fff,0x9003fff6,0x411005df,0x037401fd,0xf300ffe2,0x03ff8807,
    0x3f2006e8,0x4007ffc7,0x0bf303fe,0x07f44ff2,0x7fcc2fc0,0xf701bfa1,
    0x15ff8809,0x1fe809ff,0x8027dc00,0xffffcbdd,0x06ffe884,0x3e22ff44,
    0x17ffea3f,0x00077f44,0x3f202fcc,0x01ffc401,0x3fe201ba,0x000fe403,
    0x37e41ffd,0x7017fd40,0xd885f10b,0x7417cc04,0x0fff20ff,0x85100d90,
    0x00fcc018,0x2b802740,0x6c3fffc4,0xf8801fff,0xf12ffcc5,0xdff10fff,
    0xfff70001,0x200fe60b,0x3f203ff8,0x03ff8801,0xff000fe6,0x401fec5f,
    0x1600effb,0x1f900200,0x7dc7ff98,0x0000006f,0x00000000,0x71bff601,
    0x5c00bfff,0x7fc5ff85,0x02ffe86f,0x03ff6600,0x7fc401ba,0x2007f303,
    0x1ba03ff8,0x557ffe00,0xffa800df,0x4c0501ef,0xbd001bcb,0xfb8fff70,
    0x3797307f,0x03797300,0x10379730,0x2a255555,0x32002aaa,0x3ffe22ff,
    0x2122002f,0x3ffe20a8,0x003ffe43,0x7e43fc40,0x07ff1001,0xff8801ba,
    0x0003f903,0x03bbfffb,0x7ffffc40,0x5df7001d,0x7cc01ff7,0x5c7ffc83,
    0x6fdc0fff,0x3ee03fd9,0x700ffbae,0x507fb3bf,0x7fdcdfff,0x0bfa006f,
    0x003ffff5,0x3bfee000,0x5467ffc0,0x7439800a,0x1001fcc3,0x03f907ff,
    0x4c1ffc40,0xff70003f,0xdddd50df,0xfffffc8b,0x3ff200cf,0x5c03bf62,
    0x47ffd80f,0x3ee1fffb,0x903ff10f,0x077ec5ff,0x7fc43fee,0x7c6fff81,
    0xfd8806ff,0x7fffe42f,0xfd000000,0xefffa81b,0x6404ffff,0x740dcbff,
    0x3fee2006,0x8013e61d,0x741dffb8,0xffd70006,0x7ff505ff,0x3fffff60,
    0xfff882ff,0x7417fee0,0xb8fffd06,0xdff13fff,0x7fc46ff8,0x897fee0f,
    0x437fc6ff,0x7ff46ffe,0x7fffe406,0x1ffff64f,0x27d40000,0xc8afffd8,
    0x54404fff,0xb01fc80a,0x1999988b,0x15bb51ba,0x21999988,0x30bb01fc,
    0xffff71bd,0x6404f881,0x3fffffff,0x3ea3ffe4,0x81fc40ff,0x7fdc7fff,
    0xf89ff93f,0x1fff20ff,0x3f21fff5,0x207ffc4f,0x7ff46ffe,0x7ffe4c06,
    0xffffd2ff,0x13600000,0x360fffe8,0x30000fff,0x017f207f,0x3fee1fc8,
    0x3e6004ff,0xfb8bf903,0x1bfffa0f,0x3f6200d7,0x3a0fffff,0x7ffd47ff,
    0xfe80fdc1,0x97ffdc7f,0xfccceffd,0x1fffa1ff,0x3f63fff5,0xfffcccef,
    0x3a37ff41,0xfd1006ff,0x3fff29ff,0x33333207,0x01a03ccc,0xffa8ffff,
    0x0dd0003f,0x4c017fee,0x3a23624f,0x41ba007f,0x3fe65ffb,0xaffffd47,
    0x260301e8,0x3e3ffffe,0x7ffd46ff,0xffb036c3,0xd0fffb8f,0x55555bff,
    0x237ffc15,0xffd3fffa,0x1555555b,0x7f46ffe8,0x3fe2006f,0x1ffff56f,
    0x7ffffcc0,0xfd012201,0x4fff98ff,0x981fc800,0xdd005fcd,0x9005fb80,
    0xbf9b303f,0x320fffe4,0x03dcffff,0xfffb8032,0xf51bffe6,0x027c47ff,
    0xffb8fff9,0x4017ffa7,0x7fd46fff,0x00bffd3f,0x3fa37ff4,0x7fec006f,
    0x05ffff16,0x805fffc8,0x07ffec00,0x8009fff3,0xc8e983f9,0x01fc805f,
    0x7cc017ec,0x5fc8e983,0x360ffffa,0x6406ffff,0xb37fdc03,0xfffa8dff,
    0xfa807ea2,0xb37fdc7f,0x3f600fff,0x97ffd46f,0x3a007ffd,0x37ff46ff,
    0xe93fea00,0x7e403fff,0xb80005ff,0x3fe21fff,0x4374002f,0x80bf90e8,
    0x1fc404f9,0x0e886e80,0x7ffecbf9,0x7fff441f,0x7642a0df,0xb93fe200,
    0x7ffd47ff,0x3fe01f60,0xc93ff20f,0x20983fff,0x7fd47ffb,0x07fff90f,
    0x46ffd813,0x00886ffe,0x7fc43ff1,0x3ff200ff,0x0b72205f,0x222fff98,
    0x32000fff,0xffffb81f,0x01ba05ff,0x3f2008fa,0xfffffb81,0xfffff75f,
    0xfffffb83,0x17f25cbe,0x3e21ffa8,0x13fee0ff,0x3ff9009f,0xff107fec,
    0x222447ff,0x3fee0fff,0x8ffffe24,0x27ffc848,0x7cc6fffa,0x984fa82f,
    0x3f205fff,0x3fee05ff,0x97ff200f,0x26005ff9,0xd999304f,0x07ee07ff,
    0x07955bb0,0x664c13e6,0x3fa3ffec,0xeedfffff,0xffffffeb,0x1037ff20,
    0x7ff507fd,0x5f5077f4,0x7c4ff600,0xffffb82f,0xffa80ede,0xf703bfa3,
    0x01dbdfff,0xdd99fff5,0xfffa8fff,0x4c0bd31d,0xfc81cffe,0x3ff605ff,
    0x87fec01f,0x374006fb,0x260bf900,0x7ffec04f,0x00dd01ff,0x3f222fe4,
    0x643fffff,0x6e41efff,0xefdcdfda,0x3b7fa601,0x4007c84f,0x201fedfd,
    0x01dffffb,0x13fb7fa6,0x1dffffb8,0x237fff20,0x360dfffe,0x02efffff,
    0x99dffd50,0x98039dfd,0xec8806ff,0x2000cfce,0x32a001ea,0xc980b903,
    0xd504cccc,0x81e54003,0x22009a98,0x5530301a,0x00d44001,0x02600055,
    0x44002880,0x00a2001a,0x44000988,0x440001a9,0x400099a9,0x01980018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00031000,0x40001510,0x03300001,0x10000300,
    0x19800003,0x00130030,0x80016dc4,0x7fffc02a,0x1802ffff,0xccb87b70,
    0x00020003,0xd82ccc88,0x059503ee,0xfffd9510,0xed80037b,0xda802efc,
    0x03defdfe,0x3fb7fa60,0x37b6601e,0x951002df,0x037bfffd,0xfffdb980,
    0x80e8acef,0x01efffc9,0x000fffc8,0xff5037d4,0x80ffffff,0xfffa86eb,
    0x003ffe62,0xb8001640,0xfffa85ff,0x0fffcc0f,0x4437bf50,0xfb004fdb,
    0x4407ff25,0x7f4c2ffd,0x17fdc01e,0xff305ff9,0x5007ff21,0x6dc437bf,
    0xfff7004f,0x3ffae239,0x7fffd40f,0x7ec01fff,0x3e2001ff,0x3fff606f,
    0xb884ffff,0xffb86fff,0x01ffcc3f,0x8002fc40,0x7fc40efe,0x7fe44fed,
    0x007f704f,0xff980df3,0xf50bff92,0x3fe607ff,0x8dff303f,0x7fc47ff9,
    0x403ffe25,0x6f9803fb,0x00fffe40,0x7fc41ff5,0x06fffffe,0x20037fd4,
    0x7f106ffe,0x81555555,0x86ffffec,0xfa80fff8,0x1ffb8005,0x4077c400,
    0x41fd14fb,0xfa81fff9,0xaaaaaaab,0xfc813e60,0x889ff53f,0x7e405fff,
    0x7ffc81ff,0x3ee1fff8,0x42fff45f,0x565d43fa,0x3209f351,0xfb802fff,
    0x7e4c32e0,0x0c400fff,0x1bfff200,0x4c2002d4,0x00a06fff,0xfe8001f5,
    0x075c004f,0x226c17c4,0x227f01c9,0x4ffb9fff,0x7ff407e6,0xffb02ea4,
    0xfff9807f,0x42fffc86,0x3ff60ffe,0x7c3ffec5,0x2633fa63,0xb83f34fc,
    0x3e004fff,0x7fffc120,0x75400001,0x9db06ffe,0x3e200135,0x000006ff,
    0x07fffd40,0x01800000,0x4ffb1a60,0x21322ffb,0x4c05fff8,0xf800ffff,
    0x7fdc3fff,0xf17fe1ff,0xfffc8bff,0x1ff99a61,0xfd1324c8,0x05c007ff,
    0x803ffe40,0xfd3f1002,0xffff10df,0x3fe007ff,0x2a20a06f,0x3a001aaa,
    0x8803ffff,0xa881aaaa,0xb8001aaa,0xff33fe44,0x7fc43547,0x7ffdc06f,
    0x9fffd007,0xafffff88,0x7ffc0efa,0x71fffdc6,0x3882ff49,0xffff89aa,
    0xfb800001,0x0048805f,0x21bffa7d,0xfffffffb,0x37ffc02f,0xfff910f0,
    0x3efa600b,0xfc8807ff,0xffc885ff,0x42e8005f,0x87ff27fc,0xff5510f8,
    0xf90555ff,0x3f600fff,0xfffb86ff,0xffd05fff,0x23fffb8f,0x009ff32e,
    0x7ffd43e2,0xd800000f,0x03c803ff,0x1bffa5c8,0x3ffffffa,0x3fe01fff,
    0x101f106f,0x3600bfff,0x02ffff8a,0x105fff88,0x8800bfff,0x64ffe40f,
    0xf72d83ff,0xffffffff,0x00dfffd0,0x541ffff6,0x80efffff,0x3ee1fffc,
    0x2a1f11ff,0x4b6003ff,0x0006fffd,0x806ff880,0x074c00fc,0x3310dffd,
    0xdfffff95,0x9837ffc0,0x0bfff02f,0x7ffe4d10,0x0bfff006,0x6c42fffc,
    0x3207c43f,0xb03ffcff,0x3ffb3265,0xffe84cdf,0xfffb006f,0x7fffec0f,
    0x7ffc40ef,0x27ffc89e,0x07ff70f8,0xfffe96c0,0xfa800007,0x027ec00f,
    0xdffd07e2,0x7fffd400,0x20dfff01,0xbfff03fb,0x7fcc7900,0xfff801ff,
    0x217ffe05,0x1743fffd,0x837f5ff2,0x1fff980f,0x01ffff60,0x4c37fff4,
    0xffffd9fe,0xffffe985,0xa9745fff,0x43e004ff,0x0007fffc,0x2202fe80,
    0x1ec01ffd,0x20037ff4,0xff02fff9,0x417f60df,0x7c405fff,0x02ffff40,
    0xff02fffc,0xbfffd0bf,0x9bfe44c8,0xf034c3ff,0x7fdc01ff,0xffff007f,
    0x365ff98b,0xa880ffff,0x43fff8ab,0x00dff14c,0xffffa9a6,0x3ee00001,
    0x037ff403,0x3bbbbbe6,0x002effff,0x7fc07fea,0x20fff06f,0x25c05fff,
    0x007fffd4,0xff817ffe,0x6fffa85f,0xd9ff634c,0xd812e0ff,0x7ffcc07f,
    0x7ffc400f,0x21ffe42f,0xa802fffe,0x534c0fff,0x5c3705ff,0x0bfffe24,
    0x01fcc000,0xdb13ffe2,0x3ffffea3,0x03ffffff,0xfff03fc0,0x03fff10d,
    0xee80bfff,0xfffeeeee,0x2fffc04f,0xc80bfff0,0xfff52f84,0x11dff117,
    0x17ee605f,0x05fffb14,0xe86fff98,0x7ffdc2ff,0x03ffd803,0x577fd45f,
    0xd0be22ca,0x00009fff,0x543209d1,0x3fe64fff,0xffffff55,0x087fffff,
    0xfff02f40,0x07fff50d,0x2540bfff,0x01ffff70,0xff02fffc,0x981f80bf,
    0x099999bf,0x70bf3331,0x333bffff,0x7ffccd95,0x17ffe406,0x3e217ff4,
    0x7fd402ff,0x988be605,0x17e209bb,0x007fffe6,0x5576c122,0x3e66dcaa,
    0x17fe25ff,0x321bffa0,0x01e982ef,0x3ee1bffe,0x5fff84ff,0xff8807a0,
    0x3ffe03ff,0x817ffe05,0x00be605b,0x5d303be2,0xffffffd5,0x1fffa89f,
    0x207fff30,0x7fc44ffc,0x027fd406,0x7c4017cc,0xdfff700e,0xfb83e980,
    0x5fffffff,0x3f63fff4,0x86ffe802,0xb51dfffe,0x37ffc401,0x7c27ffe4,
    0x00f505ff,0x7c0ffff9,0x3ffe05ff,0xf3007905,0x7e54437b,0x3fe29505,
    0x80ffffff,0x7441ffe9,0x3fe201ff,0x407fee0f,0x2002ffb8,0x2a21bdf9,
    0xffa805fc,0x3ae61bef,0xfffffa82,0x7cc3ffff,0x04e99dff,0xb30dffd0,
    0x019dffff,0x40ffff98,0x7c42fffa,0x0ff887ff,0x27fffd40,0x883fffc4,
    0x00987fff,0x3bff6e20,0x77401bdf,0xffffb8ef,0x3bfb2201,0x800cefec,
    0xdfecefc8,0x02dfc980,0xdffb7100,0x440037bf,0xffeffecb,0xffff880d,
    0x02ffffff,0x0039bd97,0x26037ff4,0xffcb8009,0x2e0cefff,0x7fff4c3d,
    0xdfff70df,0xffec8819,0xfd30dfff,0x74c1bfff,0x000dffff,0x0002a600,
    0x00198833,0x20001a98,0x31009a98,0x53000001,0x2a200001,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xaaaa8080,0x2aaaa2aa,0x7fffff40,0xb885ffff,0x355501bc,0x2001aaa8,
    0x4c7fffea,0xdffffffc,0x277ff643,0xbffffff9,0xffffb507,0x3ffffaa1,
    0xdfffb00f,0x42f2e609,0x55554c48,0xd3039731,0x1000bfff,0xdfffffb9,
    0x3fffee39,0xfffb15ff,0xeb839fff,0xd8b264ff,0xa80ff63f,0x84a8adfe,
    0x21efffe9,0x7fc44fd9,0xffffffff,0x7fd6fd42,0x22fffc0e,0xe8004fff,
    0xfff307ff,0x80ee807f,0x805ffff8,0xffc80dfa,0x3ba206ff,0xd9cff980,
    0x7e447fbe,0xffffcdff,0x05fff886,0x7fffec00,0x3ffffa80,0x04ffffa8,
    0xfff98fe2,0xff57ff99,0x3fffe60f,0xff301fff,0xf50b70df,0xffffffff,
    0xc87fdc1f,0x2fffc4ff,0x20013ffe,0xff107ffe,0x04c805ff,0x201bfff2,
    0x3ffe00ea,0x217204ff,0x3fe24ff8,0xffff887f,0x84ffe98c,0x40005fff,
    0x3a06fffb,0xffd05fff,0x323c40df,0x5ff8cfff,0x32e0bff1,0x406fffeb,
    0x1640fffe,0x66677fe4,0x3fe25fdc,0xff1ffe67,0x04fff8bf,0x207ffd80,
    0x5c01ffff,0x3fffe204,0x3e01ec02,0x503ffffe,0x41ffe889,0xfff07ffe,
    0x41fffb8d,0x40005fff,0x2a06fffb,0xfa80ffff,0x89700fff,0x8511fff9,
    0x3710e028,0x87fff500,0x7e405d06,0xf917fee3,0x7c5fff87,0xfd8004ff,
    0x3fffe07f,0x36025c01,0x1e205fff,0x3fffe7e0,0x7d44a81f,0x3fff40ff,
    0x7cc5fff8,0x2fffc3ff,0x3ffee000,0x1ffffc06,0xd03ffff8,0x00039303,
    0xffe80000,0x201412a7,0x17ff60ff,0x3e2fffc0,0x65cc04ff,0x7c0fffb3,
    0x25c01fff,0x07fffe60,0xfabc01dc,0x2540ffff,0x3f61ffee,0x8bfff07f,
    0x7fc4fff8,0x0039955f,0x2037ffdc,0xf906fffc,0x00d10dff,0x80d55544,
    0x9712aaaa,0xfffb8017,0xf30001b2,0x006ffe8b,0xfff8bfff,0x3b7ff604,
    0x3e07ffed,0x25c01fff,0x827fff40,0x3ee7800e,0x22546fff,0xffd87ffd,
    0xf0bfff07,0xdfff8dff,0x006ffffd,0x980dfff7,0xff81ffff,0x01e41fff,
    0x0bfff910,0x3a7fffea,0x2200ffff,0x0068efff,0xffe87f90,0x8bfff007,
    0xff704fff,0x03fffdc9,0xb803ffff,0xffffb804,0x47802540,0x2a4ffffd,
    0x6c3fff44,0xbfff07ff,0xff8bfff0,0xffe88cff,0x6fffb805,0x44fffe80,
    0x45fffdda,0x7fc4000e,0x3fffa05f,0x04fff99e,0x016fffe4,0x7ec0fe80,
    0xfff801ff,0x4c27ffc5,0x7ff41fff,0x07fffe07,0x3fe00970,0x800743ff,
    0x7ffff447,0x7ffc8952,0xff07ffd8,0x4fff88bf,0x3ea2fffc,0x7fdc02ff,
    0xfffa806f,0x3fea760f,0x000b50ff,0xfd817ffe,0x1bffa0ff,0x01ffff10,
    0xf70df300,0xfff00dff,0x435fff8b,0x7ec0fffb,0x3fffe07f,0xc8025c01,
    0x016a6fff,0xffff8878,0x7fd44a9f,0x83ffec0f,0x7fc45fff,0x22fffc2f,
    0x5c03fff8,0xff006fff,0xff9a67ff,0x6405b3ff,0x2fffc0cf,0xfd8fffb0,
    0x4ffd806f,0x107f9000,0x6449ffff,0xfb9bffe0,0x7fe476ff,0x207ffd87,
    0x5c01ffff,0xffff1004,0x07800765,0x97dffff5,0x742fff88,0xdfff07ff,
    0x7c0fffb8,0x7ffc45ff,0x37ffdc05,0x96fffc80,0x477ffe47,0x0fffea06,
    0x7ec0bfff,0x03ffec7f,0x8000ffcc,0xfff500fe,0xff83fdff,0xffdddcff,
    0x1fffa2df,0xff81fff6,0x01e401ff,0xd3bfffb0,0x3ee07800,0xfc84ffff,
    0xfffd9aff,0x1bffff07,0xff05ffd3,0x0dfff0bf,0x006fffb8,0x1d5ffff3,
    0x267fffcc,0xf89fff70,0x3ff605ff,0x803ffec7,0xdf30006e,0xdffff980,
    0x7fff7c41,0x419fff14,0xffd87ffe,0x07fffe07,0x7cc00790,0x4002dfff,
    0x7fffec07,0x3ffff904,0x3fe0fffb,0x3efffadf,0xff0bfff0,0x3ee1449f,
    0x3fa006ff,0xffe84fff,0x3fa201ff,0x02fffc0f,0xffd8fffb,0x00077007,
    0x74c00ff2,0x0333f300,0x3fff2026,0xb03ffec0,0x2d805fff,0x37fff400,
    0x7f403c00,0xb0cc04ff,0x3ffe0fff,0xfff00665,0x32fff88b,0x7ffdcdff,
    0x3ffea005,0x6fffb80f,0x3ffe0300,0xb1fff605,0x03600fff,0x8007f400,
    0x07f704fd,0x07ffea00,0x7e40fffb,0x03e203ff,0x07fff500,0xff100f00,
    0xffd8009f,0x00bfff07,0x7c45fff8,0x1fff91ff,0x0013ffee,0x3e20bfff,
    0x7c0003ff,0x3ff605ff,0x643ffec7,0x2000932f,0x3ea006f9,0x005fc80f,
    0xf993ffe0,0x3fe607ff,0x000f606f,0x20007ffc,0xff9801f8,0x3ffec004,
    0x4005fff8,0x7fd45fff,0xfb97fee4,0x7e4002ff,0x03ff602f,0x0bfff000,
    0x3fa3ffec,0xcb7fc47f,0x07f70001,0xfe83fcc0,0x3ff20007,0xfffeeaaf,
    0xbfff500b,0x00176a23,0xa8004fc8,0x09f7003f,0xf07ffd80,0xff800bff,
    0x117fa0ff,0x27ff45fd,0x2037cc00,0x440005fa,0x3fa07fff,0x3fffa0ff,
    0x026fff40,0x1003fd00,0x3fa03bdb,0x7fdc0006,0xbdffd8ef,0x3fffa600,
    0x40003fff,0x3aa000f8,0xc802dfff,0x7fffc004,0x037ffcc0,0x33f637e0,
    0xfc880cee,0x0003efed,0x00be00fa,0xffffe980,0x7fffec0d,0xdffffd8e,
    0x00077260,0x80000550,0x300002da,0x980004c3,0x200001aa,0x40000001,
    0xdddb5001,0x3bb663bd,0x83002cee,0x531001a8,0x01300001,0x00000030,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c400000,0x19999bdc,0x4c400130,0xfffec980,0x7ed42dff,
    0x7f41dfff,0x64c007ff,0x3dffffff,0x98bfffd3,0xdfffffec,0xfffffb74,
    0x3ff6a59f,0xceefffff,0x3fb2600a,0xffffffff,0x3ff65fff,0x3f26007f,
    0xefffffff,0xfffd01ce,0x7ff4c5df,0xffffd912,0x3039bdff,0xfffffffb,
    0x0007bddf,0x4effd409,0xc87ffffc,0x775402ff,0xff882ffc,0x77e404ff,
    0x01fffe01,0x27fffc40,0x882fffc4,0xf704ffff,0x3ea03fff,0xfca9afff,
    0x7fc403ff,0xf73313ff,0x07fff8bf,0xaffff980,0x04fffea9,0xf103fffd,
    0x5ffff105,0x01dfffb5,0x221ffff3,0x001effea,0x3ffe60d9,0x2067bfe0,
    0x3ea06fff,0xd06ff8af,0x7c407fff,0x3fff400d,0x7ffff000,0xf817ffe0,
    0xff303fff,0x3fe201ff,0x7ffe40ff,0x1ffff405,0x7fec5e88,0xffff0007,
    0x84fffd83,0x6a84fffa,0xa8bfffa0,0xff886fff,0x7ffc40ff,0x837cc00f,
    0x7fec6ffd,0x409ffd03,0x07fd2fff,0x4c0ffffa,0xfffb003e,0x7fffc000,
    0x40bfff02,0xf302fffe,0x7fc40fff,0xfffc80ff,0x0ffffa04,0x3ffec5a8,
    0x1ffff800,0xf83fffd4,0x203c86ff,0x3e22fffe,0xfff82fff,0x3fffc80f,
    0x741bfe60,0x2ffec5ff,0xf300bc88,0x3fa005ff,0x02fa83ff,0x001fff60,
    0xf02ffff8,0x7ff40bff,0xffff302f,0x07fffc40,0x80ffffc4,0x8443fffe,
    0x03ffec58,0x41ffff80,0xc81ffff9,0x00741fff,0xfd85fffd,0xffff84ff,
    0x06fffa80,0x355dfff5,0x3f637fec,0x3ea0004f,0xffd002ff,0x001ec87f,
    0x5513ffec,0x3fe01555,0xbfff02ff,0x817fff40,0x2207fff9,0xfd00ffff,
    0x3ffa07ff,0xd811543f,0x179717ff,0x41ffff80,0xf306fffa,0x202cc9ff,
    0x7f42fffe,0xffff83ff,0x86fffb80,0xfffffffa,0xfb1ffea5,0xaaaa885f,
    0xcfffca81,0x7fff400a,0x0001bb13,0xffa8fffb,0x3fffe02d,0x40bfff02,
    0xf302fffe,0x7fc40fff,0xfff900ff,0x0ffffa0b,0x7ffec05b,0x00efffe9,
    0xfb07fffe,0x7ff407ff,0xffd00f27,0x7fffc45f,0x80ffff80,0x3a05fffc,
    0x3ff206ff,0x910bff11,0xff88bfff,0x400fffff,0xfe8bfffe,0xfffb0005,
    0xfff009f0,0x17ffe05f,0x302fffe8,0x7c40ffff,0xff700fff,0x3fffa0ff,
    0xfd80bee3,0xfff99eff,0x47fffe04,0x403fffd9,0x01f2fffb,0x2a2fffe8,
    0xfff05fff,0xffff881f,0x01bffa00,0x07df9fd3,0xa82fffc4,0xfd002fff,
    0x7ffffbff,0x8fffb000,0xffff004d,0x817ffe05,0xeeeefffe,0x07fffeee,
    0x403fffe2,0xe81ffffa,0xffecdfff,0x83fff602,0x3fe05ffe,0xdfffffff,
    0xdfff8800,0xfffe8059,0x03fffdab,0x266bfffe,0x401efffb,0x65c06ffe,
    0xfff00099,0x0bffea0b,0x777fff40,0x4002ffff,0x01327ffd,0xf02ffff8,
    0x7ff40bff,0xcaaaaacf,0x3e207fff,0xff500fff,0xfffd05ff,0x405fff99,
    0x7fec7ffd,0x2bfffe06,0x0dfffdaa,0x7ff4cccc,0x80999cdf,0xdeeefffe,
    0x7fffc00c,0x02fffffe,0x740dffd0,0xbfff0007,0x00bffea0,0x7c5ffff4,
    0x2000ffff,0x09f97ffd,0x817fffc0,0x3fa05fff,0xfff302ff,0x7fffc40f,
    0x1ffff700,0x547fffd0,0x1fff602f,0x7fc0fffb,0x7ffe41ff,0x3bbbba0f,
    0xeeeeffff,0x02fffe82,0x88ffff80,0xd005ffff,0x3fe60dff,0x009aaaad,
    0x7d417ffe,0xffd002ff,0x3fffe67f,0xfffb000e,0x2003fff9,0xff02ffff,
    0x7fff40bf,0x0ffff302,0x807fffc4,0xfd07fffc,0x202c87ff,0x7fec7ffd,
    0x07fffe07,0x8817fffe,0xfd005fff,0xff0005ff,0x3ffee1ff,0x6ffe802f,
    0xffffff50,0xff01bfff,0x3ffea0bf,0x7fffd002,0x02ffffdc,0xffcfffd8,
    0xfff800ef,0x0bfff02f,0x9817fff4,0x3e207fff,0xffb00fff,0x3fffa0bf,
    0xffb01543,0x207ffd8f,0xfd81ffff,0x3fe207ff,0xfffd005f,0xffff0005,
    0x07fffec1,0x441bffa0,0xfffffffe,0x5fff85ff,0x005fff50,0xfb0ffffa,
    0xfb007fff,0x13ffeeff,0x40bfffe0,0x3fa05fff,0xfff302ff,0x7fffc40f,
    0x03ffff00,0x310ffffa,0x363ffec0,0x3ffe07ff,0x7fffc81f,0x3ffbbbba,
    0x82eeeeff,0x8002fffe,0x3e20ffff,0x7f406fff,0x3bfe606f,0x87fffeee,
    0xff505fff,0x3ffa005f,0x7fff443f,0x3ffec02f,0xf805fffb,0xfff02fff,
    0x17fff40b,0x207fff98,0xb80ffff8,0x3fa04fff,0x7ec003ff,0x03ffec7f,
    0xfd03ffff,0x4ccccbff,0x999dfff9,0x2fffe809,0x0ffff800,0x01ffffd4,
    0xb8a2dffd,0x21bee05f,0xff505fff,0x3ffa005f,0xffff983f,0x9fff601f,
    0x200ffff8,0xff02ffff,0x7fffc0bf,0x1ffff303,0x07fffe20,0x401bffd1,
    0x4003fffe,0x7fec7ffd,0x07fffe07,0x403ffff5,0xd005fff9,0xf0005fff,
    0xff903fff,0x3fee03ff,0x0ffa0ebf,0xfff83fa8,0x05fff505,0x09ffff10,
    0x0bfffff6,0xf707fff4,0x3fe20bff,0xfff884ff,0x9ffff107,0x07fffee0,
    0x89ffffcc,0x4403fffa,0x4004ffff,0x3fe0fffe,0xfff880ff,0xdfff714f,
    0xffffa805,0x3ffff800,0x7fffcc00,0x1ffffd02,0x50bbfb20,0x751137ff,
    0xffff107f,0x80fffea0,0xfffffec8,0x3ffff22d,0x3f61dfff,0xffb0dfff,
    0x3b221dff,0x32cfffff,0x21bffffd,0xfffffec8,0xffff953c,0x3f2639ff,
    0xefffffff,0x7f64402d,0x803dffff,0xd8effffd,0x930effff,0xfffffffd,
    0xcb8059dd,0x0cefffff,0x7ffff644,0x764c03cf,0x42cfffff,0x03fffff9,
    0xedcb8802,0xfe980abd,0x3f20dfff,0x000dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0xfffffff9,0x9fffffff,0x7ffffe54,0x00adeeff,0xffffffc8,
    0x1fffffff,0x3fffffee,0xfffd883e,0xffffd30e,0x7f5c3bff,0x3f263eff,
    0xffffffff,0x3264ffff,0x4dffffff,0x3ffffe00,0xffffffff,0xfd930fff,
    0x8059ffff,0xffffffc9,0xffffa800,0x2aae64ef,0xaaaaaaaa,0x009801ba,
    0x54000000,0x99efffdf,0x984ffca9,0xca9affff,0x7ec03fff,0x7ffcc1be,
    0xfffe884f,0x81fd400f,0x205ffffd,0x3fe203fe,0xf93312ff,0xffff109f,
    0x5bff0009,0x11ffff11,0xf881ff93,0x44002fff,0x803fffff,0x985ffffe,
    0x200c4000,0x5cc004f8,0x00570bcc,0x6fffbcd8,0x3fe09f30,0x7ffdc2ff,
    0x201dd00e,0x300ffffe,0xb807ffff,0x3fffe205,0xf009f00f,0x3e605fff,
    0x05ffff04,0xff889f00,0x407d40ff,0x8001ffff,0x406fffdf,0x84fffde9,
    0x00c40009,0xfb8013e2,0x05cffbaf,0x7fdc7cc0,0x7c13206f,0xffb82fff,
    0x2e01f05f,0x6c02ffff,0xf100ffff,0xffffa803,0xff005c85,0x826405ff,
    0x8002ffff,0x7fffc40f,0xfff80f80,0xf9f8000f,0x2f202fff,0x0984fffd,
    0x2200c400,0x7ff7004f,0x20017fe4,0x8dfff72e,0x7ffc1263,0xffff882f,
    0xfff10582,0xfff100bf,0x4013209f,0x2a3ffffc,0xffff000e,0x7c126385,
    0x58002fff,0x80ffff88,0xfffff80c,0xbc01cdef,0xf105fffd,0x309fffb1,
    0x40188001,0xff8804f8,0x01bfea1f,0x3ffee5b8,0x7fc062c6,0xfffb02ff,
    0x3ff60109,0xff9000ff,0x006981ff,0x23ffffa2,0x3fe000e9,0x031662ff,
    0x000bfffe,0x07fffc40,0x33ffff00,0x2019fff7,0x01ffff57,0x13fff697,
    0x03100026,0xfb804f88,0xfffd10ff,0x5c1f1005,0x01e26fff,0xb817fffc,
    0xf5006fff,0x44007fff,0x1744ffff,0x3fffea00,0x7fc001ed,0x4016e2ff,
    0x0002ffff,0x01ffff10,0x707fffc0,0xe9e0bfff,0xb1e84fff,0x01309fff,
    0x7c401880,0x0fffc804,0x007fff9b,0x6fffb87b,0x3fe00fb1,0xfff502ff,
    0xfff8801f,0xffb8006f,0x000b51ff,0x013ffff2,0x44bfffe0,0xffff005e,
    0x3e200005,0x3e000fff,0x3fe20fff,0x3ee780ff,0xd9660fff,0x00984fff,
    0xeeea8c40,0xeeeffeee,0x3fffa5ee,0x4fff9bc8,0x7fdc3540,0x207ffdff,
    0xfffffffb,0xfff51fff,0xfffc805f,0xffd0001f,0x0003d1bf,0x007ffff4,
    0x377fffe0,0xfff005ff,0x2200005f,0x2000ffff,0x7f40ffff,0x3e2783ff,
    0xd8b63fff,0x00984fff,0xfffb8c40,0xffffffff,0x3fff67ff,0x07fff34b,
    0xdccccde8,0x7fdaefff,0x03ffff00,0x80ffffe6,0x005ffff9,0x37fffea0,
    0x7fcc0004,0x7fc005ff,0x05feccff,0x005ffff0,0x3fffe200,0x3fffe000,
    0x41ffff40,0x8b7ffe47,0x427ffec6,0x00c40009,0x3f2013e2,0x3ffe65ff,
    0x26673201,0x26fffc99,0xffff007b,0x3fffea03,0x3ffffa01,0x7ff40000,
    0x540000ff,0x003fffff,0x744bfffe,0x5ffff005,0x3fe20000,0x3fe000ff,
    0x7fffc0ff,0x7ffc4780,0x7fec3b9f,0x4000984f,0x027c4018,0xf507ffd4,
    0x03a601ff,0x1e37ffdc,0x80ffffc0,0x700ffffb,0x1807ffff,0x06fffa80,
    0x7f4f4c00,0xff000fff,0x802d45ff,0x0802ffff,0x0ffff880,0x83fffe00,
    0x0f06fffa,0x81dbfffb,0x0984fffd,0x2200c400,0x5ffd004f,0x5d02ffdc,
    0x237ffdc0,0xffff8285,0x0dfff901,0x01bfffe2,0xfff50075,0x8f44000d,
    0x006ffff9,0x2c45ffff,0x17fffc1c,0x7fc402c0,0x3fe000ff,0xfffb9aff,
    0x3fea1e05,0xfffd85ff,0x44000984,0x4027c401,0x3fa4ffe8,0xf7016e05,
    0x2c428dff,0xe80ffffc,0xffb02fff,0x02e803ff,0x006fffa8,0xfff70f60,
    0xffff007f,0x7c2c4285,0x34402fff,0x07fffc40,0xffffff00,0x078059dd,
    0xfb03fffd,0x001309ff,0x27c40188,0x6fec4ec0,0x1f100dfd,0x06fffb80,
    0x7fffc264,0x05fffa81,0x809ffff5,0xffa801f9,0x0b90006f,0x003ffffa,
    0xc805ffff,0x02ffff83,0x7fc40364,0x3fe000ff,0x0f8000ff,0xfb06ffb8,
    0x001309ff,0x27c40188,0x00662040,0x3fee0136,0x20bee06f,0x7442ffff,
    0xffd00eff,0x0ffa80df,0x07fffb80,0xf300fb80,0xff80dfff,0x0bee03ff,
    0xa80bfffe,0xfff8805f,0x3ffe001f,0x80f8001f,0xffd02ff8,0x8001309f,
    0x00098018,0x00ff2000,0x887ffff2,0x7c41ffda,0xfd514fff,0x7ffe409f,
    0xffd9882f,0xffff9007,0x037dc001,0x413ffff6,0x20dffff8,0x441ffea9,
    0x220dffff,0xa804ffb9,0x1002ffff,0x8005ffff,0x40f903f9,0xb985ffff,
    0xaaaaaaaa,0x0001baaa,0x3fa20000,0x6dcc1dff,0xffffffff,0x930fffff,
    0xfffffffd,0x7cc015bd,0xffffffff,0x07ffffff,0x3ffff6e2,0x3ee02bef,
    0x6cc4dfff,0x1effffff,0xfffffd91,0xffffffff,0x3fffb261,0xffffffff,
    0x3f2603ff,0x01cfffff,0xfffffd91,0xffc98039,0x222442df,0xdfffffeb,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c400000,0x2b32e600,0x1bcb8800,
    0x00de5cc0,0x442b32a2,0xb9802cdb,0x555101bc,0x2aaaa255,0x71599702,
    0x2a610000,0x2a62aaaa,0x555550aa,0x55555115,0x082aaa25,0x00008200,
    0x712aaaa8,0x55550179,0x506f2e25,0x55510599,0x55553555,0xfa801303,
    0xaaed8801,0x3ea02ffe,0xb80effad,0x883fd9df,0xaefebbed,0x00efc9ee,
    0x1ff75df7,0x5cdfff50,0xbfe86fff,0x20005fea,0xfffd37da,0x327ec43d,
    0x9119fffd,0x2e23dfff,0xda8bea3f,0x7dc3b60b,0xff50000c,0xffffd3ff,
    0x9ffffa81,0xfb2ffffe,0xfb889fff,0xfe98bfff,0x00ffe40b,0x7ff003f5,
    0x5c07ffd4,0x89ff90ff,0x3ff10ffb,0xff117fc4,0x42ffc3ff,0x3bf62ffc,
    0x7c6fff80,0x237d46ff,0x7dc4006e,0x3ffea4ff,0xffa85b86,0x23fff44f,
    0x7eff4469,0x4fdeffff,0x00b7ffa6,0x27bfffa0,0xfd84fff9,0xffe89eff,
    0xfffc8bef,0x14fffb81,0x9fff105f,0x2a00fd40,0x3ffe66ff,0xf33ffc42,
    0x237fc4ff,0x1bfea6ff,0xffd8dfff,0xb83ffe21,0x6ffe85ff,0x3f637ff4,
    0x4c01a62f,0xe80beffd,0x816c0fff,0x7ff46ffe,0x3e20ae2f,0xffd98bef,
    0x7fffb305,0x3fff6001,0x321bffa0,0x3fee1fff,0x0bffe63f,0x1e47fff4,
    0x5409fff0,0x37fcc01f,0xfb85fff3,0xf91fe45f,0x30fff89f,0x5ffe8dff,
    0xff91ffdc,0x40fffa8f,0x7ff46ffe,0x527ffec6,0x6fff5c40,0x1fffd402,
    0x7ffdc0d1,0x4bfffd11,0x305fa80e,0xfeb880bf,0x7fec02df,0x6437fec7,
    0x7ffdc7ff,0x40fffe61,0x406dfffa,0x3ea02ffe,0xb30b9801,0xffd85fff,
    0xceffd805,0x261fffcc,0x37ffee0b,0x24ffcaaa,0x7fd47ffe,0x237ff41f,
    0x7fd46ffe,0xf9300eff,0x740019ff,0x880ee7ff,0xfb575fff,0x3a0b31ff,
    0x003f601f,0x05f7fed4,0x3f63ffec,0x47ffc87f,0x3e21fffa,0x3ffa03ff,
    0x07fe402f,0x4c003f50,0x42fffbfd,0xfe806ffe,0xaaaaaadf,0xffd7d700,
    0x3555555d,0x3ea37ffc,0x37ff43ff,0x3fa1bffa,0x3a61efff,0x70002eff,
    0x003a5fff,0x2ad1fffb,0xf02cafff,0x002fa80d,0x22fffe44,0x7fec7ffd,
    0x547ffc87,0x3fe21fff,0x3ffe603f,0xecb7cc05,0xeefeeeee,0x7dc3eeee,
    0x42fff98e,0xfe807ffe,0x3fe6005f,0x200dffd1,0x7fd46fff,0x237ff43f,
    0xfd886ffe,0x3fea7fff,0xf10001cf,0x50093dff,0x7fc99fff,0x017e06df,
    0xd70007f3,0x7ffd8bff,0x7e43ffec,0x0fffd47f,0xd807fff1,0xa7c01fff,
    0xfffffffd,0x24ffffff,0xfff31ffd,0x01fffd85,0xb803ffec,0x3fff62ff,
    0x46ffd800,0x7f42fffa,0x237ff46f,0x8bfffee0,0x02dffeb8,0x0efffc80,
    0x43ffff00,0x3204fffc,0x003f600f,0x0e7ffe44,0x3f63ffec,0x47ffc87f,
    0x3e21fffa,0x7ff403ff,0x2016c06f,0x7fc401fa,0x70bffe67,0xfc80dfff,
    0xf10983ff,0x3fffb8ff,0x23ffdc50,0x7ec0fffa,0x237ff46f,0x0fffe60d,
    0x05fffecc,0x05fff980,0xf31bff20,0x27cc03ff,0xda806f88,0x3600beff,
    0x3ffec7ff,0x3ea3ffe4,0x3ffe21ff,0x3ff6b203,0x5002602f,0xfffc803f,
    0x43fffd9a,0x224ffff8,0x7ffff10c,0x1fff9244,0x21ffffd4,0x83ffe20c,
    0xffc84ffb,0xb1bffea7,0x401ffb8b,0x02dffeb8,0x2002ffd8,0x7fe83ff9,
    0x88effc40,0xf7104feb,0x36003bff,0x3fff47ff,0xf707ffec,0x7ffcc3ff,
    0x3fe2b504,0x7d40006f,0x7fffdc01,0x44efffaf,0xfefffffa,0x77fffdc1,
    0x3fff20ed,0xfffbcedf,0xfa81fdff,0x203bfa3f,0xeeccfffa,0x71fe47ff,
    0xfda800df,0x1bea03ef,0x2e03fa00,0x3ffa204f,0xfffffeff,0x2fbff622,
    0x7fff4000,0xd03fffa0,0x7fdc3fff,0x17ffea3f,0xfffd87e6,0x07ea0004,
    0x219ffb10,0xf980dffb,0xf701dfff,0xe883bfff,0x3ae1efff,0x2602efff,
    0x404fedfe,0xfe8dfffc,0xfdd90dff,0x20001dfb,0x1f407fb8,0xf8835c00,
    0x6d4fea01,0x26e88cee,0xb0002dfb,0xfb1dffff,0x3f61bfff,0xffa9efff,
    0xfffaafff,0xbffb34ff,0xbffffd73,0xcccccb80,0xcccccdfd,0x10010042,
    0x00a20015,0x01510066,0x1000d440,0xa8860013,0x00a00000,0x03100013,
    0x8800c014,0x00000260,0x00000000,0x3f600000,0xffffffff,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccccc4,0x09999999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaaa000,0xaa82f262,0xaaaaaaaa,0x22180c01,0x30000880,0x40288039,
    0x00198028,0x00088011,0x00c40013,0x01800062,0x18801803,0xffffff50,
    0xffffffff,0x7fffffdc,0x7fffffff,0x0bbb9808,0x7cc00004,0x5fff57ff,
    0x7dd5e7f4,0x17201fff,0x441f8932,0x5fd8001f,0xe881fec0,0x01be201f,
    0x881bffd3,0x2a00effe,0x3fda806f,0x0bfffd10,0x7fcc7dd3,0x2e0ffec5,
    0xaca83dad,0x6eecc4fc,0xdddddddd,0x3776a7ed,0xdddddddd,0x6c0e85dd,
    0x97fa23ff,0x36004fd8,0xffff9fff,0xfff90ba3,0x2e0fdc09,0x3207e40f,
    0x1754000f,0xd10ffa20,0x3ffc807f,0x93ff73a0,0x04ffbbe8,0xcb803fee,
    0xdff983ff,0x7ff45feb,0x21fff91f,0x3ee3fff9,0x37f87f72,0xc80001ff,
    0xfc800007,0xf913fe25,0x3ffee5ff,0xdfff9001,0x22c1b911,0x700ffff8,
    0x884fb89f,0x03be20ef,0x7f440000,0x9807fd13,0x1880ffef,0x36089bfa,
    0x5f884c1f,0x0ffe2026,0x47f907f6,0xff74ffff,0x8fffe21f,0xd8df51fe,
    0x0003ff35,0x800007c8,0x09f51ff9,0x3f25fff9,0xff9002ff,0x7ec0807f,
    0x1ff503ff,0xfc807fd4,0x003bf20e,0x5ff44000,0x9fd803fe,0x3fd804fc,
    0xffa8bf30,0x0dfb15b4,0x0df07ff1,0x7ffdcbf1,0xff8dff55,0x263ff11f,
    0x7e6cc0ff,0x3e40001f,0x99999993,0x89999999,0x209b0ff8,0x3fe65fe8,
    0x3fff2006,0x3ffea001,0x4c9ff506,0x3fe204ff,0xd917fe25,0xdddddddd,
    0xd107dddd,0x9f5007ff,0xdf003fe2,0x997ffee0,0xfebcdfff,0x43ff885f,
    0x08dd04f8,0xb13fe27d,0xf31ff8ff,0xff8afb8f,0x73e40001,0xffffffff,
    0x64ffffff,0x804002ee,0x7ffe4001,0x3fffa000,0x30fff981,0xfc801fff,
    0xd97ff25f,0xffffffff,0x884fffff,0xfe803ffe,0xec817ea0,0x87ff6200,
    0x99ce99a8,0xf07ff101,0xf10bf30f,0x3ee17f41,0x4fa9fe45,0x3fe63fe2,
    0x44080001,0x88888888,0x00008888,0x7e400000,0x3ff2007f,0x8bffa04f,
    0x7ec01ffe,0x00fff63f,0x33fa2000,0x0fee03fe,0x43aa07fa,0x01ff1019,
    0x8807b5d3,0x1dfc83ff,0x89903fd5,0x21fc40fc,0x20dd8dd8,0xcffaeff8,
    0x00000000,0x00000000,0x007ffc80,0x081ffff1,0xfe89bfa2,0x98ffe606,
    0x800003ff,0x7fd13fe8,0x3e60df10,0x7f777d46,0x41f41731,0x01df77fb,
    0x7ec0ffe2,0x6443ffff,0x03d06982,0x10c402e2,0x01bbb885,0x006002a2,
    0x99999910,0x44444439,0x08888888,0x00fff900,0x550ffff6,0x3a22fe88,
    0xd89fb02f,0x0bae004f,0xe887fd10,0xb017e43f,0x3fffe65f,0x333ff27f,
    0xf15fe80d,0xbff7107f,0x073b6a03,0x0301802a,0xff700000,0xbfffb30d,
    0x77452205,0x3e63dd31,0x32ffffff,0xffffffff,0x00bfffff,0xf500fffb,
    0x81f88dff,0x437cc6f9,0x02fcc4f9,0xf9017fa0,0x987fa207,0x9884c401,
    0x54409999,0xb876a00a,0x9999880d,0x00000001,0x2e000000,0x6e7740ff,
    0xb31cffff,0x7e53ff23,0xfffff34f,0x333225ff,0xcccccccc,0xffe803cc,
    0x7fff400f,0x4c03f661,0x3617cc2f,0x98005e85,0x2014400c,0x00000038,
    0x00000000,0x00000000,0x7f900000,0x3f6a234c,0x3ea6ffff,0x445ff53f,
    0x00088888,0xfffd8000,0xfff702ef,0x1fffffdf,0x12542d40,0x0000b30b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x710154b9,0x983305bb,
    0xeee98001,0xeeeeeeee,0x000004ee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00080000,0x20000000,0xeeeeeee9,0x04eeeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_30_latin1_x[224]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,0,1,0,0,0,0,1,0,0,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,0,0,1,0,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_30_latin1_y[224]={ 24,5,5,5,5,5,5,5,5,5,5,7,19,16,
19,5,5,5,5,5,5,6,5,6,5,5,11,11,8,12,8,5,5,5,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,28,5,11,6,11,6,11,5,11,6,5,
5,6,6,11,11,11,11,11,11,11,7,11,11,11,11,11,11,5,5,5,14,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,24,11,6,5,8,6,
5,5,5,5,5,11,12,16,5,2,5,7,5,5,5,11,6,12,23,5,5,11,5,5,5,11,-1,-1,-1,0,
0,1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,5,-1,-1,-1,0,-1,6,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,10,5,5,5,5,5,5,5,
 };
static unsigned short stb__times_bold_30_latin1_w[224]={ 0,5,11,14,12,25,21,5,8,8,12,15,6,9,
5,8,13,11,13,12,13,13,12,13,13,13,5,6,15,15,15,12,24,20,18,18,19,17,16,20,21,10,14,22,
18,26,19,20,16,20,20,13,18,20,20,27,20,20,18,7,8,7,13,15,7,13,14,11,14,11,12,13,15,8,
8,16,8,21,15,13,14,14,12,9,9,15,14,20,14,14,12,8,2,8,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,12,13,14,14,
2,12,9,20,9,14,16,9,20,15,10,15,8,8,6,15,15,5,6,8,9,14,20,20,20,11,20,20,20,20,
20,20,27,18,17,17,17,17,10,10,10,10,19,19,20,20,20,20,20,12,20,20,20,20,20,20,16,14,13,13,
13,13,13,13,18,11,11,11,11,11,9,8,10,10,13,15,13,13,13,13,13,15,13,15,15,15,15,14,14,14,
 };
static unsigned short stb__times_bold_30_latin1_h[224]={ 0,20,10,20,21,20,20,10,25,25,11,16,10,4,
6,20,20,19,19,20,19,19,20,19,20,20,14,18,14,7,14,20,25,19,18,20,18,18,18,20,18,18,19,18,
18,18,19,20,18,24,18,20,18,19,19,19,18,18,18,23,20,23,11,2,6,14,19,14,19,14,19,19,18,19,
25,18,18,13,13,14,19,19,13,14,18,14,14,14,13,19,13,25,25,25,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,19,23,20,14,18,
25,25,5,20,9,13,7,4,20,3,10,16,11,11,6,19,24,6,7,11,9,13,20,20,20,19,25,25,25,24,
24,23,18,25,25,25,25,24,25,25,25,24,18,25,26,26,26,25,25,12,21,26,26,26,25,25,18,20,20,20,
20,20,20,21,14,19,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,12,15,20,20,20,20,25,25,25,
 };
static unsigned short stb__times_bold_30_latin1_s[224]={ 254,75,158,81,201,145,64,250,172,200,118,
226,151,224,243,114,123,179,125,191,151,165,238,43,57,71,250,248,114,207,181,
225,31,207,172,106,119,110,139,204,97,77,207,37,128,183,142,36,206,40,223,
86,147,100,121,222,89,68,49,150,136,158,86,234,190,17,192,31,85,43,24,
1,156,15,233,60,88,213,197,74,177,162,1,104,244,88,130,145,235,28,14,
242,251,22,198,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,254,191,137,
22,166,191,209,187,214,85,180,27,190,224,1,234,140,1,100,109,230,69,103,
237,223,131,170,42,43,22,1,139,212,1,56,61,82,166,1,181,22,98,116,
119,134,145,156,242,29,167,85,1,64,200,221,73,214,43,22,106,1,77,166,
185,171,96,15,61,1,187,55,57,137,163,110,200,197,228,237,1,212,12,226,
240,100,122,149,57,242,29,175,235,45,142,157,127, };
static unsigned short stb__times_bold_30_latin1_t[224]={ 1,80,219,80,54,80,101,202,1,1,219,
183,219,227,219,101,101,122,122,101,122,122,101,143,122,122,143,122,202,219,202,
101,28,122,163,122,163,183,163,101,163,163,143,163,183,183,143,122,163,54,163,
101,183,143,143,143,183,183,183,54,80,54,219,231,227,202,143,202,143,202,163,
163,163,163,1,163,163,202,202,202,143,143,219,202,163,202,202,202,202,143,219,
1,1,28,227,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,1,122,54,
122,202,163,1,28,227,122,219,219,219,227,122,227,219,202,219,219,219,143,54,
219,219,219,219,219,101,101,101,122,1,28,28,54,54,54,183,1,54,28,28,
54,28,28,28,28,183,28,1,1,1,28,28,219,54,1,1,1,54,28,183,
80,80,80,80,80,80,54,202,143,101,101,80,80,122,122,122,143,80,143,80,
80,101,80,101,219,183,80,101,54,80,1,1,1, };
static unsigned short stb__times_bold_30_latin1_a[224]={ 108,144,241,217,217,433,361,120,
144,144,217,247,108,144,108,120,217,217,217,217,217,217,217,217,
217,217,144,144,247,247,247,217,403,313,289,313,313,289,265,337,
337,169,217,337,289,409,313,337,265,337,313,241,289,313,313,433,
313,313,289,144,120,144,252,217,144,217,241,192,241,192,144,217,
241,120,144,241,120,361,241,217,241,241,192,169,144,241,217,313,
217,217,192,171,95,171,225,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,108,144,217,217,217,217,95,217,
144,324,130,217,247,144,324,217,173,238,130,130,144,250,234,108,
144,130,143,217,325,325,325,217,313,313,313,313,313,313,433,313,
289,289,289,289,169,169,169,169,313,313,337,337,337,337,337,247,
337,313,313,313,313,313,265,241,217,217,217,217,217,217,313,192,
192,192,192,192,120,120,120,120,217,241,217,217,217,217,217,238,
217,241,241,241,241,217,241,217, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_30_latin1(stb_fontchar font[STB_FONT_times_bold_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_30_latin1_s[i] + stb__times_bold_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_30_latin1_t[i] + stb__times_bold_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_30_latin1_x[i];
            font[i].y0 = stb__times_bold_30_latin1_y[i];
            font[i].x1 = stb__times_bold_30_latin1_x[i] + stb__times_bold_30_latin1_w[i];
            font[i].y1 = stb__times_bold_30_latin1_y[i] + stb__times_bold_30_latin1_h[i];
            font[i].advance_int = (stb__times_bold_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_30_latin1_s[i] + stb__times_bold_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_30_latin1_t[i] + stb__times_bold_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_30_latin1_x[i] + stb__times_bold_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_30_latin1_y[i] + stb__times_bold_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_30_latin1_LINE_SPACING
#endif

