// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT        244
#define STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_31_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_31_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_31_latin1_LINE_SPACING          20

static unsigned int stb__times_bold_31_latin1_pixels[]={
    0x40133300,0x20ee22b8,0x006fffe9,0x3f437aa0,0xdfdb9500,0x0fd0037b,
    0x0037ddb3,0x99997551,0x00001999,0x0bdd9000,0xddd10000,0xeec80007,
    0x00000004,0x10000000,0x7ffd4009,0x64bff602,0xfff883ff,0x3ffe0006,
    0xfc880fd5,0x7654c1ad,0x9f91fa01,0x2609f911,0xcceffffe,0xeb800afe,
    0x40013aa4,0x0002ffe8,0x002ffdc0,0x07fffea0,0x2dfc8800,0x3b200076,
    0x2000fae3,0x3f6000ec,0x9fff402f,0xfff04ffd,0x3fe2000d,0x7d40fd5f,
    0x07d3000c,0x4c6fa9fa,0x7ffd41ff,0x01765fff,0xff8fffc4,0xfd10001f,
    0xfe800009,0xefe80005,0x3a0005fe,0x07efffff,0x88fff980,0x36000fff,
    0x17fc000e,0xd9866cc0,0x0dfff00d,0xe8ffdc00,0x0005fb07,0xfd9fa0b6,
    0xf127fd46,0x4bffffff,0x3ffe004d,0x0001ffd0,0x00003f44,0x70000df1,
    0x03fd11bf,0xfff9f100,0xf10009ff,0x03ffe2df,0x2001fe40,0x000003fa,
    0x00037ffc,0x3f90fd02,0x20744000,0xb07ffa7e,0x7fffe43d,0x01365fff,
    0x06e21b98,0x00762000,0x0006d400,0x1b613e20,0xdc98a600,0x82e60002,
    0xff7001b9,0x00055000,0x8dfff000,0x23f40000,0x400402fa,0xff93f42b,
    0xfffe803f,0x1365ffff,0x00000000,0x00000000,0x00a80220,0x00000000,
    0x07ff1000,0x3bb20000,0x3b6a5eee,0xcb7ffc3e,0x3aa03dfe,0x44fd4eee,
    0x3bfa605f,0x2241edc8,0x3fffe27e,0x3ffffe04,0x21365fff,0xccccccc9,
    0x3332a0cc,0x65cc03cc,0x0001acdd,0x359bb973,0x372e6000,0x30001acd,
    0x0359bb97,0x3772e600,0xffb801ac,0x3bbbb201,0x8fbb6a5e,0xf886fffd,
    0xddefff84,0x2603fffd,0x5cfd5fff,0x31df700f,0x4581fff9,0x7fffcc7e,
    0xffffd80d,0x41365fff,0x1effffb8,0x401dfb30,0xb99befe9,0xd3000dfe,
    0xfd7337df,0x3fa6001b,0xdfeb99be,0x7dfd3000,0x01bfd733,0x26fbfa60,
    0x200dfeb9,0x7ec00fff,0x44f886ff,0x440ffff8,0x4ffff80f,0xf807ffee,
    0x2f4fd5ff,0x3fe2ffa8,0x1fa0c85f,0x3dfffdd5,0xffffffb8,0xff01365f,
    0x1f9809ff,0x203fff20,0x6403fff8,0xff880fff,0x7ffe403f,0x03fff880,
    0x4407ffe4,0x7e403fff,0xfff880ff,0x807ffa83,0x440ffff8,0x3fffc80f,
    0x7fff8254,0xf02fffc4,0x7cdfabff,0x226ff882,0x21b83fff,0x362be67e,
    0x3e61ffff,0x25ffffff,0x7fffc04d,0xc807c403,0x3ee01fff,0xfff903ff,
    0x1fffdc03,0x201fffc8,0xf903fffb,0x7fdc03ff,0x3fff903f,0x21fffdc0,
    0xf9007ffb,0x104a87ff,0x01d8dfff,0xffd0dfff,0xeafffc0f,0x3ffa0f57,
    0x207ffe62,0xf71be204,0xfffc8dff,0x01365fff,0xf007ffff,0x0dfff301,
    0x981fffd0,0xfe806fff,0x7ffcc0ff,0x0fffe806,0x4037ffcc,0x7cc0fffe,
    0xffe806ff,0x01bff20f,0x3637ffc4,0x4bfff601,0x1bffe068,0x7c03fff6,
    0x1eefd5ff,0xff71ffe6,0x5fa8160f,0x641fff98,0x365fffff,0x1ffffc04,
    0x7ff407c0,0xfffc803f,0x01ffff45,0x3a2fffe4,0xfc803fff,0x7fff45ff,
    0x5fffc803,0x401ffff4,0x3f65fffc,0x3ff6006f,0xf980d12f,0x7c0775ff,
    0xfffd86ff,0x3abfff01,0xbffb0d97,0x3884ffe8,0x2a07ff20,0xfdba84ff,
    0xff01365f,0x81f007ff,0x801ffffa,0xf51ffffa,0xf5003fff,0x3fea3fff,
    0xffa801ff,0xffff51ff,0xffff5003,0x07fffea3,0x47fffea0,0x26006ffe,
    0x00775fff,0x01d3fffd,0x7ec37ffc,0xbfff00ff,0x7fc2e5fa,0x0bffea3f,
    0xfffa806a,0xc803fd81,0xfff01365,0xb81f007f,0x9801ffff,0xff72ffff,
    0xff3003ff,0x3ffee5ff,0xfff9801f,0x3ffff72f,0x5ffff300,0x007fffee,
    0x6cbfffe6,0x7f4006ff,0xa800e9ff,0x7c05efff,0x7ffd86ff,0xbf57ffe0,
    0x8fffc46b,0x440fffe8,0x2ffff805,0x2e400fe4,0xffff809b,0x7e40f803,
    0xf9800fff,0xfff93fff,0xfff3001f,0x3ffff27f,0xffff9800,0x01ffff93,
    0x27ffff30,0x800ffffc,0xf93ffff9,0xffa800df,0x3fe005ef,0x7ffc01ff,
    0x206ffe86,0x26fd5fff,0xd8fffcc7,0x80d86ffc,0x3fffea7e,0x32007f14,
    0xfff01365,0xe81f007f,0xf1007fff,0x3ffabfff,0xfff1007f,0x1ffffabf,
    0xaffffc40,0x1007fffe,0x3fabffff,0xff1007ff,0x1bfeebff,0x07fffe00,
    0x806ffb80,0x3e20ffff,0x3ffe02ff,0x987e2fd5,0xfcadefff,0x2110e44f,
    0x7fffcc7e,0x972003ee,0x7fffc04d,0x7ec0f803,0xf9800fff,0xfffb4fff,
    0xfff3001f,0x3ffff69f,0xffff9800,0x01ffffb4,0x29ffff30,0x800ffffd,
    0xf34ffff9,0xff7000ff,0x3ff8800d,0x9effff80,0x7c05ffd8,0x17cfd5ff,
    0x7cd3fffa,0x6c2ea8df,0xffd10fd0,0x2e4001ff,0xffff809b,0x7e40f803,
    0xfa800fff,0xfff93fff,0xfff5001f,0x3ffff27f,0xffffa800,0x01ffff93,
    0x27ffff50,0x800ffffc,0x3a3ffffa,0x7c4001ff,0x0fc8003f,0xf9efff80,
    0x7c00dfff,0x354fd5ff,0xdd70fba6,0x3f455059,0x01dfffb0,0x404d9720,
    0x4403ffff,0x1ffffb87,0x2ffffb80,0x003ffff7,0x2e5ffff7,0xb801ffff,
    0xff72ffff,0xff7003ff,0x3ffee5ff,0xfffb801f,0x00bfea2f,0x20003f20,
    0xdfff0059,0xfff0014c,0x007b1fab,0x01fa2c00,0x2007fff5,0xfd01365c,
    0x878807ff,0x802ffff8,0x3e27fffc,0xfc802fff,0x3ffe27ff,0xfffc802f,
    0x0bfffe27,0x89ffff20,0xc802ffff,0x5fe87fff,0x00059800,0x3ffe0059,
    0x3ffe0006,0x01f88fd5,0x3a0ec400,0xf9837627,0x6cb9005f,0x27ffe404,
    0x7fe41a60,0xfffd805f,0x02fffe43,0x321fffec,0xfd805fff,0x7ffe43ff,
    0x3fffd805,0x402fffe4,0xf983fffd,0x0164001f,0x400d175c,0x22006fff,
    0x3a9ffd1d,0x0001ea87,0x5cfd03b1,0x02fec3ff,0x501365c8,0x4c80bfff,
    0x01ffff10,0x4437ffcc,0x2600ffff,0xff886fff,0x3fe600ff,0xffff886f,
    0x1bffe600,0x803fffe2,0x2a06fff9,0x68bae04f,0x756ff880,0x037ffc00,
    0x3ffabf90,0x0fa60fd2,0x3a01d500,0xfb07fe67,0x4d972005,0x0ffffc40,
    0x3a600ea8,0x3ffa04ff,0x9ffd300e,0x8077ff40,0x3a04ffe9,0xfd300eff,
    0x77ff409f,0x09ffd300,0x20077ff4,0x6ff882fa,0x3ffa0075,0x3fe2006b,
    0x57ea007f,0x701fa5fe,0x3ae6035d,0x3f63f403,0x4009f713,0x2601365c,
    0x730affff,0xffb1003f,0x04ffc887,0x443ffd88,0xd8804ffc,0x7fe443ff,
    0x3ffd8804,0x4027fe44,0x6443ffd8,0x366004ff,0x06bffe83,0x800ff660,
    0x3dffffe9,0x17bfb700,0x5d4403f4,0x02cddedd,0xfec88fd0,0x2e4003de,
    0x3f62009b,0x01dfffff,0x6ef7edc0,0x5c002dff,0xdffddefd,0x77edc002,
    0x002dffdd,0x7eef7edc,0x6dc002df,0x2dffddef,0xfb305000,0x00000007,
    0x00000000,0x00000000,0x10000000,0x00001355,0x00001551,0x00002aa2,
    0x00005544,0x0000aa88,0x00015510,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17774c00,0x3ba60000,0x74c0002e,0x000001ee,0x3bb20000,
    0x3ba6000d,0xea80002e,0x000000ee,0x40144000,0x4000eeeb,0x3202eee9,
    0x005701bd,0x4037bb20,0x0200eee9,0x0037fd40,0x013ff600,0x1bfff600,
    0xaefb8800,0x44000570,0xb8001fff,0xe80005ff,0xa8004fff,0x01bd30de,
    0xd801dc00,0xfb8003ff,0x0ff4c05f,0x7c000dd8,0x3ffa01ff,0x03ffd05f,
    0x0001ff70,0x00027fc0,0x17feffd4,0xffffd800,0x20000fef,0x20001ffa,
    0x20000ffc,0x00ffdffb,0xfd9fff40,0x03a0004f,0x0006fd80,0xfa801ff7,
    0x001fb01f,0xfb807fea,0x7d41ffdf,0x7f7005ff,0x13ea0000,0xa97f4000,
    0xd9d0006f,0x000bffff,0x80001fd8,0xf10002fc,0x0017ee3f,0x3ff25ffb,
    0x00b30003,0x0000fe88,0xff8807f9,0x001df104,0x7fc405fb,0xffa8bf72,
    0x012e004f,0x00025c00,0x17cc1fb8,0xdb98e200,0x02d80002,0x00132000,
    0x07ea0764,0x2e22b880,0x00b20002,0x8000b620,0x37fcc04c,0x5b00dfb0,
    0x7d40ec80,0x0006fec1,0x00000000,0x01880440,0x00000000,0x00000000,
    0x00019806,0x00680000,0x40000000,0x3e605ffa,0x0880002f,0xcc980330,
    0x0ccccccc,0x4f33332a,0xccccccc9,0x3332a0cc,0x999933cc,0x54199999,
    0x953ccccc,0x20199999,0x32ccccca,0x99999999,0x89999999,0xccccccc9,
    0x4ccccccc,0x6666664c,0xcccccccc,0x666664c4,0xcccccccc,0x3fb2204c,
    0x388001ff,0x33332600,0x640ccccc,0x37fc03ff,0x33333326,0x99930ccc,
    0x01999999,0xeffffb88,0x81dfb301,0x1effffb8,0x881dfb30,0x01effffb,
    0xe981dfb3,0x2a05ffff,0x7d441efd,0xdcccefff,0xfa887ffe,0xdcccefff,
    0xfa887ffe,0xdcccefff,0xfa887ffe,0xdcccefff,0xfd307ffe,0x005ffd13,
    0xfa8007b8,0xfb01ffff,0x1ffe805f,0x1fffffa8,0x3fffff50,0x7fffc160,
    0xf00fcc04,0xf9809fff,0x13fffe01,0x3e203f30,0x2604ffff,0x3fffa01f,
    0x740ff704,0xff704fff,0x827fff40,0x3ffa07fb,0x20ff704f,0xdfff16fe,
    0x002ff800,0x205ffff8,0x7e401ffc,0xbffff04f,0x05ffff80,0x3fffe07a,
    0xf007c403,0xf8807fff,0x0ffffe00,0x7f401f10,0x3e02ffff,0x13fffa00,
    0x3ffa07a8,0xe81ea04f,0x1ea04fff,0x204fffe8,0x74ffb87a,0x5c00dffb,
    0xfe8006ff,0x3fe604ff,0x837fe401,0x7404fffe,0x0be04fff,0x200ffffe,
    0x3fffe00f,0x3e00f803,0x0f803fff,0x3ffff3a0,0x7401d01f,0x1e044fff,
    0x044fffe8,0x4fffe81e,0xffe81e04,0x3a1e044f,0x3b71d3ff,0x0ffff400,
    0x13fffa00,0xfb809f70,0x9fffd07f,0x04fffe80,0xffff07f1,0x7c01f007,
    0x0f803fff,0x00ffffe0,0xfc8e803e,0x0e80efff,0xb13fffa0,0xfffd0241,
    0xe8120d89,0x906c4fff,0x227fff40,0x3ffe120d,0xf500059b,0xe800bfff,
    0xea804fff,0x1fff701d,0x809fffd0,0xf504fffe,0x07ffff0b,0x7ffc01f0,
    0x200f803f,0xf803ffff,0x7ff43a00,0x200e85ff,0x07c4fffe,0x44fffe80,
    0xfffd000f,0xfd000f89,0x200f89ff,0x02cdfff9,0xffffdb00,0x7fff4001,
    0x20bd1004,0xfe80fffb,0x7ff404ff,0xf0ff904f,0x1f007fff,0x01ffffc0,
    0xffff007c,0x7401f007,0x7ffffd10,0x3ffa00e8,0x4003e64f,0x3e64fffe,
    0x9fffd000,0xfe8007cc,0x803e64ff,0x006efff8,0xffff1d30,0x7fff4009,
    0x203fd804,0xffd07ffb,0xfffe809f,0xf83ffd04,0x0f803fff,0x00ffffe0,
    0xffff803e,0x3a00f803,0x3ffffe60,0xffe803a2,0x001fd34f,0x74d3fffa,
    0xfffd000f,0x4003fa69,0xfd34fffe,0x4fffe801,0x3f279000,0xfd000fff,
    0x4fd809ff,0xe83ffdc0,0x7f404fff,0x7fff04ff,0x803ffff8,0x3fffe00f,
    0x3e00f803,0x0f803fff,0xfff503a0,0xe803a1ff,0xffffffff,0xffffd000,
    0x2001ffff,0xfffffffe,0xfffd000f,0x801fffff,0x0105fffd,0xffff33c4,
    0x3fffa007,0x007fea04,0x3fa0bff9,0x7ff404ff,0x4fff984f,0x401ffffc,
    0x3fffe00f,0x3e00f803,0x0f803fff,0x3ff203a0,0x7401d6ff,0xffb9dfff,
    0xbfffd000,0x2001ff73,0xfb9dfffe,0xfffd000f,0x801ff73b,0x10cffff9,
    0x3625c01b,0xfd006fff,0x7fe409ff,0x827fec01,0x7404fffe,0xffb84fff,
    0x1ffffc6f,0xfff007c0,0x401f007f,0xf803ffff,0x7ec03a00,0x200edfff,
    0x3ea4fffe,0x9fffd000,0xfe8007d4,0x003ea4ff,0xf527fff4,0xffff5001,
    0x0f803fdf,0x017fffd4,0x9027fff4,0xffe805ff,0x09fffd00,0xc84fffe8,
    0x7ffc6fff,0x203c403f,0x4403ffff,0x1ffffc07,0x01d01e20,0x3fffffa2,
    0x13fffa00,0x3ffa001f,0xe8007c4f,0x007c4fff,0x7c4fffe8,0xfffff000,
    0x99db803b,0x5ffff999,0x04fffe80,0xff013fee,0x27fff40b,0x213fffa0,
    0x7f44fff9,0x03c403ff,0x100ffffa,0x3fffe80f,0x03a03c40,0x0fffff98,
    0xb13fffa0,0xffe81981,0x06606c4f,0x1b13fffa,0xfffe8198,0x506606c4,
    0xee800669,0xffeeeeee,0x7ff401ff,0x17fea04f,0x3a01ffa8,0x7f404fff,
    0x1bf904ff,0x404fffc8,0x7ffe4069,0x32034c04,0x34c04fff,0xff5003a0,
    0x7ff401ff,0x40e40c4f,0x40c4fffe,0x4fffe81c,0x7f40e40c,0x0e40c4ff,
    0x16a00076,0x809ffff0,0x2604fffe,0x13fa05ff,0x809fffd0,0x8004fffe,
    0x6405fffa,0x2fffd404,0xff501320,0x404c80bf,0xfffb800e,0x13fffa00,
    0xffd01f30,0x80f9809f,0x4c04fffe,0x4fffe80f,0x0d107cc0,0xf900ba00,
    0x7f401fff,0x3fe204ff,0xd009f303,0xfe809fff,0xf88004ff,0x1d501fff,
    0x1ffff880,0xf8801d50,0x1d501fff,0xd8017c40,0x3ffa00ff,0x41fe605f,
    0x2605fffe,0xbfffd07f,0xfe83fcc0,0x1fe605ff,0x1f500077,0x4ffff880,
    0x817fffa0,0x5e880efb,0x0bfffd00,0x005fffe8,0x15ffff30,0x4c007ee6,
    0x730affff,0x3fe6003f,0x3f730aff,0x1005fa80,0x3fe201fd,0x32621eff,
    0xfff886ff,0x3f2621ef,0xffff886f,0x3ff2621e,0xeffff886,0x1bff2621,
    0xff88001d,0xfffff801,0x6ffff881,0x980efc88,0xfff1002e,0x7ffc40df,
    0x3620006f,0x1dffffff,0x7ffec400,0x4001dfff,0xffffffd8,0x3ffaa01d,
    0x0f8804ef,0x7ffff64c,0xffffffff,0x3ffb264f,0xffffffff,0x3b264fff,
    0xffffffff,0x264fffff,0xffffffec,0x4fffffff,0x3fee0004,0xfdc81cef,
    0x934fffff,0x9bfffffd,0x01806ee1,0xffffd930,0x3b2619bf,0x0cdfffff,
    0x26aa2000,0xaa880000,0xa8800009,0x0000009a,0x00000018,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07bbaa00,0x03999990,0xd0013b22,0xc80009dd,0x540005ee,0x02bdeedb,
    0x01ccccc8,0x73000000,0x22137bdb,0x002a6004,0x42bbae00,0x0000002b,
    0x26002000,0x6f4c0199,0x0003bd30,0xff007ffb,0x3be6017f,0x77fd4001,
    0x3fe60000,0xe98002ff,0xfeb99bef,0x7ffcc01e,0xd5275c02,0xffd88009,
    0xdfebabef,0xf9db004e,0x7fe40005,0x000fefff,0x20003b22,0x2cdeeca8,
    0x3fe602e4,0x9fff403f,0x44004ffd,0xfff004ff,0x001ffc40,0x000077ec,
    0x01bfbff6,0x101fff90,0xfc807fff,0x3ffe202f,0x2003fff1,0x500dfffa,
    0x4b3009ff,0x33a00059,0x005ffffe,0x7dddbdd5,0xbefea803,0xb9effc99,
    0x03ffb806,0xff72ffc8,0x04fa8007,0xfb81ffe0,0x0ef8001f,0x877d4000,
    0xff9002fd,0x7ffcc03f,0x00bff203,0x3ffa1fff,0xefffa800,0x4027d400,
    0x88003c4b,0x400b6e63,0x3eab75fc,0x1dff902f,0x01ffff10,0x22009fd0,
    0x40015c2b,0x3ffc004c,0x8005ffb0,0xe80000d9,0xf9806c85,0xffe806ff,
    0x05ff900f,0x06e21b98,0x07fffe20,0x74402640,0x00000971,0x5c3fea00,
    0x3f20bea5,0x3fee02ff,0x027c402f,0x00000000,0xfc81ffe0,0x0000003f,
    0x400a8060,0xc803fffe,0xff906fff,0xd8000005,0x26005fff,0x1bfd5004,
    0x00e20000,0x8b71ffd8,0x37ffd42d,0x03fffe20,0x32600398,0xcccccccc,
    0x99999970,0x99970199,0x503ffc79,0x710009ff,0x03880000,0x07fffea0,
    0x07fffea0,0x8800bff2,0x3ffe2003,0x000c004f,0xb80000f7,0x3bffa007,
    0x3a1545b8,0x3a203fff,0x0405fffe,0x7fffd400,0x7ffd441f,0x7fcc03ff,
    0x981ffe0c,0x7b8005ff,0x03dc0000,0x03ffff70,0x05ffff30,0x5c005ff9,
    0x3ffee007,0x2000002f,0x200002ff,0xff7002ff,0xf880b9df,0x33602fff,
    0xc80ffffb,0x2003dffe,0x2e05ffff,0xe804ffff,0x2207ff85,0xff8004ff,
    0x3fe00002,0xffff9002,0xffff3001,0x005ff909,0xfd8017fc,0x00001fff,
    0x000dff70,0x401bfee0,0x06fffff8,0x80ffffd4,0x5ffff35c,0xfd877f44,
    0x9fffd005,0x0ffffe80,0x3fe03e60,0x00bfe607,0x000dff70,0x401bfee0,
    0x1007fffe,0xf90bffff,0x3fee005f,0xffffd006,0x7f400000,0xe80001ff,
    0xf9001fff,0x203dffff,0xb80ffffc,0x8ffffe66,0x3fe63ffd,0x4fffe804,
    0x1ffffd40,0x1ffe05d0,0xe8004fc8,0x80001fff,0xd801fffe,0x8800ffff,
    0xfc84ffff,0xfffd002f,0xffffb003,0xf5000001,0x8000bfff,0x005ffffa,
    0x3fffffee,0x0ffffe83,0xfff30754,0x83ffe6bf,0x7401fff8,0xfd804fff,
    0x06a80fff,0x3b661ffe,0xfffa8003,0x7d40005f,0xfc805fff,0xf9801fff,
    0xffc83fff,0xffffa802,0xffffb805,0xed800001,0x0000ffff,0x03ffffb6,
    0xffffe980,0x7fffec4f,0xff303e60,0x3fff29ff,0x201fffc0,0x9804fffe,
    0x7c44ffff,0x361ffe01,0xfdb0001e,0x40001fff,0x00ffffed,0x00ffffdc,
    0x417fffd4,0xed802ffc,0x4c00ffff,0x0003ffff,0x7ffc74c0,0x1d30004f,
    0x0009ffff,0x41fffffb,0xf11ffffb,0x7ffff503,0xff03fffa,0xfffe80bf,
    0xffffb004,0x3fe02641,0x001bd507,0x7fffc74c,0xf1d30004,0xf8809fff,
    0xfb802fff,0xffc80fff,0x7fc74c02,0xfff804ff,0x6400004f,0x01ffff93,
    0x3ff27900,0x75c000ff,0x3ea3ffff,0x02e89fff,0x3e5ffff7,0x7fff87ff,
    0x027fff40,0x35ffff88,0x07ff801f,0x3c801bee,0x001ffff9,0x3fff2790,
    0x7ffe400f,0x3fffd805,0xc805ff90,0x01ffff93,0x006fffd8,0xff99e200,
    0x3c4003ff,0x007ffff3,0x6fff9db8,0x3affffe2,0x9ffff203,0xfff87ffe,
    0x27fff406,0x3ffff900,0x0fff007b,0x4401ffc4,0x0ffffe67,0x7fccf100,
    0x7fc403ff,0x3fe600ff,0x0bff206f,0x3ffe6788,0x7ffc403f,0x4057004f,
    0x37ffec4b,0xffb12e00,0x2e0640df,0xfb8fff55,0x7ec04fff,0x1fff63ff,
    0xe80bfff1,0x22004fff,0x006fffff,0x7fcc0fff,0x7ec4b805,0x25c006ff,
    0x201bfff6,0x3204fff9,0x3f200eff,0xfb12e02f,0xff500dff,0x0ec803ff,
    0xfff503e0,0x207c005f,0x902ffffa,0xdff15b87,0x401fffd0,0x7d46fff8,
    0x3ffe20ff,0x27fff403,0x3fffee00,0x40fff002,0x0f805ffa,0x017fffd4,
    0xfffa81f0,0xffe8802f,0x00effc83,0x1f017fe4,0x02ffffa8,0x2cfffe98,
    0xb8037ae6,0xff99999d,0x3b7005ff,0xffff3333,0x5b83b20b,0xff105ff3,
    0x7ffe40bf,0x261ffe80,0xffe806ff,0x7fc4004f,0xfff002ff,0x2027fdc0,
    0xf99999db,0xb7005fff,0xfff33333,0x7ed400bf,0x02dffddf,0x2e05ff90,
    0xff99999d,0x32a005ff,0x2efffffe,0xeeeeee80,0x01ffffee,0xeeeeeee8,
    0xc81ffffe,0xfb1b70ef,0x3ffbaa0b,0x06ffe443,0x3f24ff98,0xfffe801f,
    0x7ffc4004,0x0fff002f,0x3a01ffe4,0xfeeeeeee,0xee801fff,0xffeeeeee,
    0x7cc001ff,0x64004fff,0xdddd02ff,0xffffdddd,0x07320003,0x7fc05a80,
    0x02d404ff,0x2613fffe,0xeffeeffd,0x36a1f302,0x2cefddff,0xfddfe880,
    0xfffd000e,0xfff88009,0x0fff002f,0xb500ffec,0x04ffff80,0x3ffe02d4,
    0xffc8004f,0x3f2002ff,0x7c05a82f,0x98004fff,0x0ba002ff,0x01ffff90,
    0x3ff20174,0x366600ff,0x980ec00d,0x310000aa,0xffe80013,0x7fc4004f,
    0xfff002ff,0xd00ffdc0,0xffffc805,0xf900ba00,0x88001fff,0x000ffffe,
    0x05d05ff9,0x00ffffc8,0x802fec40,0x7fc400fa,0x01f504ff,0x04ffff88,
    0x000004a8,0x74000000,0x4c005fff,0xf002ffff,0x27f440ff,0x7c400fa8,
    0x1f504fff,0x4ffff880,0xffffb000,0x3f60137b,0x2007d42f,0x004ffff8,
    0xf8804fc8,0xffff801f,0x00ffc41f,0x00fffffc,0x00000000,0x3fe20000,
    0x7d4006ff,0xff003fff,0xfb1015bf,0x00ffc419,0x20fffffc,0xff801ff8,
    0x10001fff,0x87bdfd95,0x222fffca,0xfff801ff,0xfb5001ff,0xfffb801d,
    0xffdc81ce,0xff74ffff,0xfb9039df,0x009fffff,0x00000000,0xffd93000,
    0x2019bfff,0xfffffcc8,0x26600ccf,0x2e600999,0x39dfff73,0xfffffb90,
    0x3bffee9f,0xfffdc81c,0x00004fff,0x84ccccc0,0x81cefffb,0xffffffdc,
    0x00008804,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x00800199,0x00066660,0xa8019998,0x571002cc,0x00266600,0x00133310,
    0x13331000,0x05995000,0x00133260,0x10003997,0x04ccc000,0x03a81970,
    0xd980cccc,0x65406e0b,0x1fff702c,0xbfdfd500,0xfb839999,0xf98000ff,
    0x7fc403ff,0x67c400ff,0x7fec00fc,0x2fff4007,0x05f76440,0x0037fec0,
    0x003fffe2,0x400bfff6,0x2006fffa,0x4000efe8,0x5c01fffb,0x200cd9bf,
    0xfc83fff9,0x80fcefff,0x900ffff8,0xffc807ff,0x5ddffd14,0x0007ff90,
    0xf9007ff7,0x3c809fff,0x3ff6012e,0x0bff3002,0x3feebf30,0x0fff4402,
    0x9ffff900,0x6ffffa80,0x5ffffd00,0x0fffee00,0x003ffb00,0x3200bfee,
    0xffdf03ff,0x3f60bfff,0x3f204fff,0x83ffea06,0x7e403ffc,0x04fe8006,
    0xff9aff98,0x05a8b600,0x32009fb0,0x3ff800ef,0xd100dff3,0x3fe6007f,
    0x3a00ff9a,0x403fe8cf,0x06fb8efb,0x007fff70,0x44017fc4,0xe806fcec,
    0x2e29303f,0xff980cfe,0x3200ffa9,0x8fffb00f,0xfc807ffb,0x013e2000,
    0x0bd30f6c,0x016cc6d4,0x3ba00fb0,0x34ff9800,0xd1001fff,0x987b600d,
    0x445f705e,0x837e207d,0xfd8802fa,0x0bee000d,0x5fe8fa60,0x00013e60,
    0x27cc1dd0,0x7ff406e0,0x00fffd47,0x073000dc,0x36203220,0x00fbae00,
    0xc8801910,0x4bff9000,0x322005fe,0x44064400,0x5901c80d,0x02cc0e60,
    0x00ae0000,0x827fcc08,0x20040039,0x00d880c8,0x47ffc801,0x01007ffb,
    0x02000200,0x04000400,0x7fc00200,0x0000046f,0x01000100,0x00000000,
    0x65d40000,0x0003fffb,0x01efff64,0xdffec800,0x21fff983,0xd9104ffb,
    0x44019dff,0x00ceffec,0x01efff64,0x19dffd91,0x0dfeeb80,0x037fbae0,
    0x8807fff8,0x3b26eeed,0xec881eee,0x5c00ceff,0x6c40dfee,0x3bb26eee,
    0x203801ee,0x326eeed8,0xfd81eeee,0x26fffaaf,0x105eeed9,0x17f61dfd,
    0x217bbb66,0xbfb0efe8,0x3a27ff50,0x0dfa80df,0xf501dff7,0x03bfee1b,
    0x7ec3bfa2,0xf70dfa85,0x9fb101df,0xfb107fe6,0x7c07fe69,0xff000fff,
    0x1fffe8ff,0xffb86fd4,0x34fd880e,0xffff03ff,0x801fffe8,0x47fff805,
    0x7ec1fffe,0x83ffee2f,0xfb07fff8,0x427fcc7f,0xfd87fff8,0x213fe63f,
    0x03efefe8,0x7fc4bff1,0x12ffc44f,0xffb09fff,0xf127fcc7,0x27ffc4bf,
    0xdfd0ffe4,0x3fa1ffc8,0x3fffbaa6,0x3a01eeef,0x7ffe47ff,0xf897fe21,
    0x1ffc84ff,0x3ffa1bfa,0x00fffe47,0x3ffa016e,0x10fffe47,0x7fcc1fff,
    0x43fffc2f,0x3e20fff9,0x7fff81ff,0xf107ffcc,0x18cc83ff,0x21fffa80,
    0x7fd45fff,0x317ffe1f,0x7fc41fff,0x43fff51f,0x7fcc5fff,0xf98ffe47,
    0xa8ffe47f,0xffffffff,0x1fff601f,0x7d43fff7,0x17ffe1ff,0xffc8fff3,
    0x2e3ffec1,0x3ee01fff,0x47ffd801,0x3ea1fffb,0x27ffc47f,0x3f21fffa,
    0x1fffc0ff,0x3f23fff4,0x1fffc0ff,0x744001fd,0x22fffc6f,0x7ffc6fe8,
    0x207ffe45,0xdfd13fff,0x7e45fff8,0xc9ffe45f,0x9ffe45ff,0xdfffcaa8,
    0x3ff600aa,0x10fffdc7,0x5fff8dfd,0x3f22ffe4,0x23ffec3f,0xf901fffb,
    0x1fff600d,0x7e43fff7,0x37ffc47f,0x3fa1fffa,0x2fffc0ff,0x3fa3fff4,
    0xafffc0ff,0xaaabdff9,0xfea8601a,0x754306ff,0x7ff46fff,0x22fffc0f,
    0x1bfffaa1,0xfdddfffb,0x3fff69ff,0x84fffeee,0xb003fff8,0xfffb8fff,
    0x3ffaa181,0x77ffec6f,0x6c4fffee,0x7ffdc7ff,0x002ffd81,0xffb8fffb,
    0x11fffa1f,0xffe8dfff,0xf87fff87,0x7ffe87ff,0x7fc3fffc,0xfffff57f,
    0x205fffff,0x6fff9fe9,0x3fe7fa60,0x43fffc6f,0xfe987fff,0x7f46fff9,
    0x999999ef,0x333dffd0,0x3f601333,0xfffb002f,0x301fffb8,0x8dfff3fd,
    0x9999effe,0x3ffec099,0xfb07ffee,0x7fec00ff,0xd0fffdc7,0xfff88fff,
    0x743fff45,0x6fff87ff,0x7f47ffe8,0x16fff87f,0xfffffffd,0xefc81fff,
    0x320dfff0,0x8dfff0ef,0xfff87ffe,0xff877e46,0x03fff46f,0x4003fff4,
    0xfb000ffb,0x1fffb8ff,0xfff0efc8,0x007ffe8d,0xff71fff6,0x37ffc43f,
    0x3ff60fae,0x90fffdc7,0xfff88fff,0x6c3fff43,0x7ffc47ff,0x6c7ffe85,
    0x7ffc47ff,0x3fbffe25,0x362fffff,0x1bffe2ff,0xfff8bff6,0x223ffec6,
    0x3ff65fff,0xfb1bffe2,0xffd803ff,0x3ee6001f,0xffd83307,0x20fffdc7,
    0x3ffe2ffd,0x00fffec6,0x7dc7ffd8,0x3ffea1ff,0x3607ffc5,0x7ffdc7ff,
    0x883ffea1,0x7ff42fff,0x20fffa87,0xfe83fff8,0x07ffd47f,0x3ea7fff1,
    0x447fea06,0x3ffe0fff,0xf07ffc46,0xfffa8dff,0x44fffe20,0x3ffe0fff,
    0x42fffdc6,0x0bfff728,0x7fffe451,0x1fca99bf,0xf707ffe4,0x7ffc43ff,
    0xf71bffe0,0xc8510bff,0x3fee0fff,0x1fffe61f,0xffc81ffd,0x87ffee0f,
    0x3e61ffe8,0x07ffe85f,0x7fcc3ffd,0xd0fffd06,0x37fcc3ff,0x3f4407fd,
    0xf939fff9,0xfffc8dff,0x86fffc9c,0x3fe61ffe,0x273fff26,0x7c46fffc,
    0x4360cfff,0x20cffff8,0xfd33d30d,0x1fffffff,0xf31fffb8,0x7fe45fff,
    0x6fffc9cf,0x067fffc4,0x1fffb81b,0xe85ffff3,0x1bee1fff,0x7cc7ffee,
    0x7f442fff,0x3e03bf24,0x9ff307ff,0xff80ffe4,0x24ff987f,0x3fee1ffc,
    0x50f6cc42,0xfd7fffff,0x3fea3bff,0xfffebfff,0xc93fe61d,0x3ffea1ff,
    0xdfffebff,0x3ffffea1,0x7ffd41fd,0x56a1fdff,0xffffffe8,0xefff983f,
    0x23fffdec,0xebfffffa,0x3ea1dfff,0x81fdffff,0xdecefff9,0x7fcc3fff,
    0x80fc89df,0xdecefff9,0xfd883fff,0xf881dfdd,0xfd100fff,0x2201dfbb,
    0xe880ffff,0x880efddf,0x2cdffeec,0x261bff90,0x7fe42efe,0x05dfd30d,
    0x1dfbbfd1,0x261bff90,0xffa82efe,0xff502eff,0xfdd05dff,0x9fffd31d,
    0x477ffdc0,0x322ffffb,0xdfd30dff,0xdffff505,0x77ffdc05,0x42ffffb8,
    0x0ceffec8,0x23bffee0,0x202ffffb,0x3ffa6019,0x26201eff,0x3ffa6009,
    0x33101eff,0x02000001,0x00802008,0x04009988,0x01510010,0x33002a20,
    0x2a001530,0x01004000,0x54001510,0x40000000,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x2003ddda,0xeda801fc,0x01fd000b,0xf880264c,
    0xeedb8805,0x5ecc00be,0x2fc006a0,0x4c02dda8,0x3607261c,0x777645ee,
    0x64c39300,0x00264c02,0xda8801fd,0xdb88002d,0x4cc002de,0xb9500019,
    0xb0675c17,0x2017f6bf,0xeec803f9,0x2fb804ff,0x009ffd70,0xff3003f6,
    0x407ffea9,0xfceffffc,0x4c2fa800,0x81ff98ff,0x3ffe7ff8,0x3637ffc0,
    0xff880fff,0x701fff0f,0x2e009ffd,0x7ffdc02f,0xf3002fff,0x00dff95d,
    0x8007ffe4,0x4c0bffc8,0x7ff54fff,0xe880ffee,0x3f638806,0x202fc405,
    0xfb804ff8,0x07ffcc02,0x3be0fff9,0x005fffff,0x24fe81f9,0xfff986fd,
    0x7c1fff88,0x7ffec6ff,0x88fff880,0xff101fff,0x80bf1009,0xfffffff9,
    0x22ff8806,0x32002ffd,0xff9803ff,0x5bfff205,0xdff52ffe,0x4000fe40,
    0x07ec00fd,0x22027fc0,0x7ffb805f,0x260fffdc,0x019fb714,0x3ff717e0,
    0x75c27fd4,0x3fe0faa2,0x07ffec6f,0x0faa3eb8,0xfb009ff0,0xb88ec401,
    0x5c01ffff,0x13fea1ff,0xb80bf900,0x7fdc05ff,0x2a5fff6f,0x07f307ff,
    0x02ffc980,0x7fc00bee,0x4007ec04,0x7fdc7ffc,0x9800001f,0x87ffe23f,
    0x0000fff9,0x3f637ffc,0x800000ff,0x17dc04ff,0x3ff602e0,0x1ffec02f,
    0xb0003ff1,0x1bfea01f,0x7d3ffea0,0x0fff32ff,0xb3000dd1,0xbf103fff,
    0x7027fc00,0x3ffa005f,0x8037fdc7,0x307e4000,0x7fcc3fff,0x3e00201f,
    0x7ffec6ff,0x7c001000,0x017e204f,0x00fffa80,0xbf537ff4,0x440dc000,
    0xf8802fff,0x27ffd2ff,0x1fc86ffa,0x0ffe6000,0xff8003f6,0x400bf104,
    0x7fec7ffe,0xdffd9102,0xb8dd0019,0x3fe60fff,0xdffec82f,0xd8dfff03,
    0xd9100fff,0xf8019dff,0x003f604f,0x802ffb80,0x3fb9fffd,0xff900000,
    0x3ffa001f,0x3ee7ff71,0x001fcc3f,0x3ee07ec0,0x827fc002,0x3fa000fd,
    0x4037fa7f,0xdff70dfa,0x321fcc01,0x3fe60fff,0x43bfa24f,0x6fff85fd,
    0x5407ffec,0x1dff70df,0xfb827fc0,0x3fa20002,0xffff7002,0xdb300019,
    0xfff88bdd,0x901cddbd,0xfb5fd8ff,0x7000dd0b,0x3e22745d,0x27fc4005,
    0x3a0017dc,0x3bf6a7ff,0xf12ffc41,0x0fdc09ff,0xf983fff6,0x8fff65ff,
    0x7ffc4ff9,0x207ffec6,0x3fe25ff8,0x09ff104f,0x4c000bf1,0xa801effe,
    0xfd82ffff,0xff882eff,0x7fffdc7f,0xa82ffffd,0x3dddb85f,0x40101fc8,
    0xd83defea,0xdb81300f,0xbf10cfff,0x7ffe8010,0xf507ffc4,0x2fffc3ff,
    0xfffd0dd0,0x9b7ffcc1,0x3fe20fff,0xb1bffe1f,0x7d4a1fff,0x17ffe1ff,
    0x833fff6e,0x401300fd,0x2ffffffd,0xfffbd910,0x80bf901f,0x7fec7fff,
    0x3fffd11f,0x98003f98,0x7e7ec43f,0x05f70004,0xfb000bea,0x81f7f541,
    0xfff87ffe,0xff1bfa24,0x213e20bf,0x3e60fffe,0x1fff96ff,0x3fe3fff8,
    0x3fffe67f,0x8dfd1199,0xb8005fff,0x805f502f,0x86ffffd9,0xffff15fa,
    0xe801f90b,0x7fff47ff,0x217ffea1,0x46e8002f,0x0dfb4fe8,0xf305f880,
    0x17dc005f,0x05fffbf3,0xffd0fffd,0x7ff5430d,0xb03f706f,0x7fcc1fff,
    0x81fffd5f,0x3ffe5fff,0xfffcecdf,0x3faa185f,0x7c4006ff,0x005ff305,
    0xc83fffee,0x3ffee1ff,0x74017c3f,0x7fff47ff,0x21bffe21,0x0fe4001e,
    0x7fdcbff2,0x203f6003,0x1002ffe8,0xff11b8bf,0xd0fffd09,0x3fa60fff,
    0xfb06fff9,0x983fff20,0xffff4fff,0x77cffff0,0xffb0dfff,0x27fa603b,
    0x6c006fff,0x2ffe880f,0x47fff600,0x7f40fff9,0x00992fff,0xffd1fffa,
    0x87fff83f,0x427cc005,0xdff72fff,0x220bee00,0xb002ff9e,0x82ff801f,
    0xffe87ffe,0xf877e40f,0x04f886ff,0x7cc3fff7,0x0fffd2ff,0x2be2dfff,
    0x201980a9,0xdfff0efc,0x4417dc00,0x2002ff9e,0xff90fffa,0xffff987f,
    0xfd000ebf,0x2fffc8ff,0x0003fff4,0x7ffc4374,0x100fff52,0x7fcb60bf,
    0x402fb802,0xfffd06f9,0xfd8fffb0,0x21bffe2f,0xfff302fa,0xd8fffcc3,
    0x7ffc47ff,0x40009f55,0x3ffe2ffd,0x20bf1006,0x8005ff2d,0x3fffa7ff,
    0xfffffa85,0x1fffa003,0xfe85fff5,0x7e40005f,0x2a5fff01,0x0fd807ff,
    0x00bfe3c8,0x1db00bf1,0x719fffa0,0x7ffc4bff,0x361bffe0,0x30fff407,
    0x7ffd4dff,0x64fffe20,0xff10006f,0x037ffc1f,0x23c80fd8,0xd00442ff,
    0x7fffec9f,0xfffffb83,0x7ffe81c3,0x3a27ffc4,0x06fe43ff,0xfe813e60,
    0x80bff72f,0xfff882fb,0x3603ffff,0x0875c00f,0x7fb7ffe8,0x7fe47ff3,
    0x6fffc9cf,0x7fdc05f8,0xfd0bfee2,0xb37fcc3f,0x3f2000ff,0xfffc9cff,
    0x882fb806,0x3fffffff,0xdf109ff3,0xbfffffa8,0x3ffffe60,0xfd02ebdf,
    0x8dff70ff,0x3fe60ffe,0x2037404f,0x3ff93ffa,0x9902fc40,0x203bff99,
    0x5fd402fb,0x7ffc0eaa,0x8bf19fb7,0xebfffffa,0x5f51dfff,0x7f4bf900,
    0x324ff985,0x03ffa1ff,0x3fffea00,0x1dfffebf,0x6640bf10,0xf51dffcc,
    0x3b625dff,0xfffffd80,0xffbcfeef,0x3e04ffff,0x5ff907ff,0xff507fe6,
    0x00fe40bf,0x1ff477e4,0xf8003f60,0x80bf102f,0x26fffff9,0xb37fffe8,
    0xff9019df,0x8bbfa61b,0xbf9000fc,0x7f4407fd,0x7dc0efdd,0x3ff20004,
    0x05dfd30d,0xff0007ec,0xfffffd85,0x7ffdc03f,0x3a60cfff,0x3e205fff,
    0xfd900fff,0x3fa03bf9,0x007d101f,0x200e6e4c,0x664002e9,0xc801b901,
    0x003ccccc,0x20200800,0x0198002a,0x00026620,0x00401000,0x99000ba6,
    0x01353103,0x00554c40,0xfe9802a6,0x2201efff,0x00013002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x000bdedb,0x3333332e,0x9500cccc,0x300179db,0x80015bd7,
    0x00bdedb8,0x8df00000,0x20bb84f8,0xddb700ba,0x9997007b,0x2a079999,
    0x26072a0c,0xcccccccc,0x33332a0c,0x9999973c,0x99910999,0xfd930999,
    0x2002a17d,0x1acddcb9,0x3fae0000,0x3efdbabd,0xffffff80,0xd887ffff,
    0x2ffc89ef,0x3f233f60,0xdfeb801f,0x03efdbab,0x05bffd70,0x1fd44f88,
    0x7fd53fee,0x74c67445,0xff101fff,0x07ffffff,0x3fe6bff5,0xffff7106,
    0x3bf6603d,0x3ffff220,0x77fd401f,0x4c56fe41,0x2600fefc,0xeb99befe,
    0x3bf600df,0x402fd881,0xff100dfa,0xffffffff,0xf83ffd09,0x27fc80ff,
    0xb100fff8,0x0dfa805f,0x7fe53f60,0xf90bea04,0xf75ffc83,0x263fe8df,
    0xff706fff,0x01ffffff,0x3feadff7,0x27fffc07,0x7ec07e60,0x0db007ff,
    0x3fe60df7,0x01fff901,0xf507fff1,0x03fd09ff,0x7d41be60,0xffffffff,
    0x43ffd42f,0x7fd43ffd,0xe837fec6,0x7cc4081f,0x263ff906,0x3f900fff,
    0x1dd887d8,0x7fc43b91,0x40ffffc5,0xfffffffe,0x643b9105,0x7fffc02d,
    0xa807c403,0xf802ffff,0x701ffc41,0x3fff903f,0x21fffdc0,0x7e45fffb,
    0xedceeda9,0x3213e62d,0x3fc41ace,0x2e17ffe4,0x37fe44ff,0xf907ffee,
    0x6e77ecc3,0xf889f36b,0x80fff47f,0x0006f87d,0x3f63ffc4,0x007c42ff,
    0x7fc00000,0x00f803ff,0x501bfffa,0x80bff50b,0x37ffcc1e,0x107fff40,
    0x21f83ffd,0x7ff71ffc,0x700743cc,0xbfff709f,0x7f42ffc8,0x1fffd46f,
    0x42efb87e,0xff91e67c,0x3e03c98d,0x04027c46,0xffd0ff20,0x0005b81f,
    0xffff0000,0x5401f007,0x3601ffff,0x04fffb81,0x7fffd06e,0x0bfff900,
    0x7dc6a813,0x5d1ffe1f,0x417ec008,0x3a5ffff9,0x47fff87f,0x9aa5fff9,
    0x47881ffa,0x01bff62e,0x3fffffee,0x83ffffff,0x000dfeeb,0x3fa17ffe,
    0xb100bdef,0x7764dddd,0xffff01ee,0xf801f007,0x0d304fff,0x07bfffe6,
    0x07fffea0,0x07fffea0,0x3ff71320,0x01323ffc,0x3fa07f88,0x0dfbefff,
    0x7cc7fff8,0xfe9327ff,0x74990606,0xeea807ff,0xffeeeefe,0x53f622ee,
    0xfa801ff9,0x7ffcc0ef,0x3e03ffff,0x7fff47ff,0x07ffff01,0xffc801f0,
    0x202d80ff,0x1dffffff,0x07fffee0,0x0bfffe60,0x3ff70ba0,0x0d513fea,
    0xd102fdc0,0x40dfffff,0x3e61fffe,0x7c4ba6ff,0xe9aa005f,0x32001fff,
    0xfc83ec1f,0x201bfa1f,0xfff905fe,0x01dfffff,0xffc8fffd,0x7ffff01f,
    0xf8801f00,0x03443fff,0x3fffffe6,0xfffc80cf,0xfff9800f,0x207c403f,
    0x2ffddffb,0xfb000f88,0xfffe8805,0xfff703ff,0x8afffcc9,0x00bff50f,
    0xfffd87c4,0x3e1f6003,0x647ff986,0x13e601ff,0xfffffed8,0xffd86fff,
    0x80fffdc7,0xf803ffff,0x6fffd800,0x7fd401e4,0x41ffffff,0x1007fffe,
    0x808bffff,0x757fdc1f,0x200f307f,0xfd8807f8,0xd03fffff,0xff939fff,
    0xff98fc9f,0xfb9e6005,0xf8081fff,0x7e427c46,0x01ffe45f,0xfc98007b,
    0x7ec3ffff,0x0fffdc7f,0x803ffff8,0xfff9800f,0x4c003e2f,0xfffffffe,
    0x03ffff61,0x53fffe60,0x0f60dfe9,0x7ff53ff7,0x3ea00b70,0x547fd405,
    0xb01fffff,0xfffdffff,0x6ff89ec3,0xffd16e00,0x989641df,0xfb999dfa,
    0xfffb099b,0x09fffddd,0xf9100034,0x7ffd89ff,0xf80fffdc,0x0f803fff,
    0x2bfffd00,0xfea8004b,0x3f24ffff,0xfa800fff,0xfff93fff,0x3fee2dcb,
    0x3d81ffd1,0x4c05fb00,0x3ffea5ff,0xfe8cc04f,0xffb2dc6f,0xf30f6003,
    0x47fdffff,0xfffffffb,0xfd3fffff,0x333333df,0x40002401,0x7fec6ffc,
    0x80fffdc7,0x4403ffff,0x3ffea007,0x01400e9f,0x5cfffff7,0xb801ffff,
    0xffb2ffff,0x3f23ccff,0xf89ff32f,0x00ff8801,0xff713ff2,0x3fe600df,
    0xff13cc3f,0x0fc4981b,0x1f7fff4c,0x3337fb26,0xd1cccffc,0x00000fff,
    0x6c4ff800,0x7ffdc7ff,0x07fffd01,0x7fc00788,0x2c805eff,0x4bfffa20,
    0x802ffff8,0x3a67fffc,0x553a0fff,0xffb2effe,0x7d401b29,0x21fff405,
    0x9006fff8,0x893a0bff,0x43dbcffd,0x0074406c,0x6c1be1f6,0x00001fff,
    0xb0bf2000,0xfffb8fff,0x09fff901,0x7e400698,0x4c801fff,0x90fffc40,
    0xfb00bfff,0x8d7107ff,0x99999cf9,0x3fb33310,0xd00bf600,0xbffb09ff,
    0x01dff500,0x353113e6,0xfc803fb0,0xf11be00e,0x17ffee09,0x027e40a2,
    0x81f9004c,0x3ee0fffc,0xfff501ff,0x4004c80b,0x9006fff8,0x0ffd803f,
    0x803fffe2,0x3606fff9,0xb004fa83,0x3fe2005f,0x42ffe400,0x7d401ffe,
    0x27d400df,0xa802fd80,0x89f102ff,0xfff103fa,0x5c06c19f,0x3f602fff,
    0xf705f03f,0x3ffe63ff,0xffff102f,0x0003aa03,0x6400bff6,0x13fe206f,
    0xe813ffa6,0x1f300eff,0x42b3be60,0x001feca8,0x7f4017ea,0x80ffe61f,
    0x2003ffb8,0x510acef9,0x7c003fd9,0xc85f501f,0x3ffea01f,0xf701fdff,
    0x7fec07ff,0x205b32ef,0xdecefff9,0x3e603fff,0xf730afff,0x1be60003,
    0x41effc80,0x36205fc8,0x7fe443ff,0x1007aa04,0x9dfdfd95,0x2fd80015,
    0xb9ff9100,0x3f2605df,0x9510002e,0x159dfdfd,0x80ffae00,0x403ec0fc,
    0x02effffa,0x8803ffe2,0x1deffffd,0x477ffdc0,0x202ffffb,0xffffffd8,
    0x1f40001d,0xdf95b900,0x2007ffb9,0xffddefdb,0x002e602d,0x00002a20,
    0x53000155,0x00098013,0x000a8800,0x05300130,0x05440055,0xa8800300,
    0x000a8000,0x01355100,0x30006000,0x00035530,0x00005544,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0cccccca,0x59999950,0x33333320,0x80dd3ccc,0x25eeeeec,
    0x9803eeda,0x109bdedb,0x0f333269,0xcccccb80,0x999990cc,0x99909999,
    0xccc88079,0x004001cc,0x30008040,0x39ddfd97,0x333260dc,0xcccccccc,
    0x66544ccc,0xaacccccc,0xccc9800a,0xaacccccc,0xffe9800a,0x3f6a05ff,
    0x7fec401e,0x07ee0dff,0x10dfffb0,0x7fec409f,0xdfebabef,0x1bffe64e,
    0xffffc880,0x7fffd40e,0x19f9102f,0x5fffd100,0xcaf7774c,0x64c03dfe,
    0x05d34fee,0x9cfffc88,0x1fdffca9,0xeffffa88,0x7ffedccc,0xdffffb88,
    0x02dffeec,0x6ffffd44,0x03ffffec,0x4fffff88,0x54007e60,0x7cc2ffff,
    0x7fffc403,0xfa807c40,0xff500dff,0x006fff89,0x906ffff8,0x4c03ffff,
    0x3fee000f,0x77ffcc2f,0x03fffddd,0x3be65ff5,0x3fea02ff,0x3ffa603f,
    0x13fffa01,0xff883fdc,0x7ffec3ff,0x7fffc00d,0x17fffa23,0x3fffffa0,
    0x4c003e02,0x6e81ffff,0x43fffc80,0xdfff504a,0x744fa801,0xfb8006ff,
    0xff880fff,0x012e03ff,0xf05fff70,0x7fdc9fff,0x22ffcc1f,0xf502fffd,
    0xfd100dff,0x27fff403,0x7ffc0f50,0x5fffd83f,0x21ffff40,0x402ffff8,
    0x1fffffce,0x3e6001d0,0x0fc81fff,0x237ffc40,0xffff881d,0xfe899001,
    0xff88006f,0xfffb03ff,0x2000f40d,0xff82fffb,0x2fffc47f,0xfb85fff1,
    0xfff882ff,0x03f3001f,0x0227fff4,0x1ffffc0f,0x204fffe8,0xfe83fffe,
    0x647404ff,0xe80effff,0xffff3000,0xb007f303,0x41a25fff,0x2005fffd,
    0x237ff449,0xdfffb000,0x07fffea0,0xf70401a6,0xdfff05ff,0x7d4fffd0,
    0x7ffdc1ff,0x05fffd82,0xffd00ec0,0x8120d89f,0xf903ffff,0x3fa01fff,
    0xfffe83ff,0xffe87405,0x000e85ff,0x203ffff3,0xfff9805f,0xfff10775,
    0x7418009f,0x7dff96ff,0x1ffffa80,0x85ffff98,0x3fb2203c,0x82fffbaf,
    0xffd86fff,0x81fff70f,0x7cc2fffb,0x4c003fff,0x13fffa00,0x3ffe001f,
    0xffff303f,0x0ffffa07,0x803ffff1,0xffffd10e,0xf3000e87,0x3f203fff,
    0x9fffe800,0xffffb80e,0x7ff40002,0x4fffcdef,0x42ffff40,0x40ffffed,
    0x2bffa00f,0x82fffeda,0xffd86fff,0x81fffb1f,0x7d42fffb,0x00002fff,
    0xf327fff4,0x3fffe001,0xbffff103,0x90ffffa0,0x1d00bfff,0x17ffffcc,
    0x3fe6001d,0x05f501ff,0x0bdfff50,0x007ffff6,0x45fffd00,0x2e03fffa,
    0x3e20ffff,0x2a3ffff9,0x893ff605,0xff82fffe,0x0fffd86f,0xfb81fffd,
    0x7ffe42ff,0x7400001f,0x1fd34fff,0x0ffffe00,0xd06ffff8,0xfb759fff,
    0x03a005df,0x21fffff5,0xfff3000e,0x802fc03f,0xfd01ffff,0xd0000fff,
    0xdfff0dff,0x1ffffc40,0x9bfff697,0x5fff302d,0xf82fffb8,0x7ffd86ff,
    0xf703fff2,0xfffd85ff,0x7400000f,0xffffffff,0x7ffff000,0x83ffffc0,
    0xfffffffe,0x1d001bef,0x2dffff90,0xfff3000e,0x803ec03f,0x3f606ffb,
    0x40000fff,0xffe86ffe,0x37ffec07,0x3fffea1d,0x3fee0789,0x17ffdc1f,
    0x7f437ffc,0x07ffe66f,0xfd85fff7,0x00000fff,0x5ceffff4,0xfff000ff,
    0x7fffc07f,0x27fffd06,0x0dfffe98,0xffd80740,0x3000edff,0x5403ffff,
    0x3ff8802f,0x07fffee0,0x0dffd000,0x5403fffb,0x45a9ffff,0x04bcffff,
    0xf703fff2,0xffff05ff,0x217ffc41,0x7fe44fff,0x7fffdc2f,0xdddd9501,
    0xffd03bdd,0x8007d49f,0x3e03ffff,0xffd05fff,0xfffe887f,0xe8807405,
    0x000fffff,0x403ffff3,0x1f9004f8,0x1ffffcc0,0x1bffa000,0xd007fff6,
    0xc85bbfff,0x201effff,0x7dc0fffe,0xffff82ff,0x85ffd89e,0xfd9cfffb,
    0x7fcc2fff,0x7fdc02ff,0x3ffa04ff,0xf8007c4f,0xff103fff,0x3ffa09ff,
    0xffffb83f,0xf9803a02,0xca80ffff,0x03fffe61,0x16600fb0,0x013fffe0,
    0xb0dffd00,0xff700fff,0xfff30dff,0xfffe80df,0x417ffdc1,0xfff9efff,
    0xfff700df,0x85fff77f,0x403ffff8,0x202ffff8,0x06c4fffe,0x3fffe066,
    0x5ffff303,0x20ffffa0,0x204ffff9,0x7ffd400e,0x33ffd40f,0xb801ffff,
    0x802c801f,0x0006fffd,0x7ec37ff4,0xfff8806f,0x7fffd03f,0x41fffd80,
    0xff82fffb,0x9800a66f,0x20bffee1,0x4405fffc,0x3a01ffff,0x640c4fff,
    0x03ffff81,0x740bfff9,0xff983fff,0x003a03ff,0xf903ffee,0x3ffe63ff,
    0x5c4f8807,0x7c401a2e,0x57004fff,0xfe87ffe8,0xfffb004f,0x03ffee01,
    0xb85fff70,0xfff82fff,0x3ee00006,0xfffd02ff,0x7fffc405,0x13fffa01,
    0xfff01f30,0xffff107f,0x1ffff401,0x817fffdc,0xffb002f8,0x2a5ffb81,
    0xdd004fff,0x03ab7fc4,0x07fffea0,0xffe81d90,0x0077fc47,0x2204ffa8,
    0xff8805ff,0x3fffa26f,0x006fff82,0x0bffee00,0x807fffc4,0x201ffff8,
    0x2605fffe,0x7ffff07f,0x805fff90,0x7443fffe,0x3ea05fff,0x01fd1005,
    0x2ffe47fd,0x7f43f700,0xe98006bf,0x2e62cfff,0xfffe80de,0x0007ff22,
    0x2fd803fd,0x59fff700,0x83dfffbd,0x00006fff,0x880bffee,0xf882dffc,
    0xff101fff,0x64c43dff,0xfff986ff,0xffd988df,0x7ffc400d,0xffea88ef,
    0xfffd504f,0x01f1009d,0x9ffddf91,0x31fcc001,0xa80007fb,0xefffffec,
    0x3ee37a02,0x8001dfdd,0x007a806b,0x5d7fffdc,0x3e22ceff,0x200007ff,
    0x9803fffc,0xfecdfffd,0xec980bdf,0xffffffff,0x2a4fffff,0xfffffffc,
    0x4c00bdef,0xffffffec,0x000bdeff,0x31006000,0x0d400015,0xa9800000,
    0x19883001,0x800c4000,0x44330001,0xffffd301,0x64c0007b,0x005fffff,
    0x0066aa62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x99999999,
    0x19999999,0xccc980c0,0x0fd8004c,0x33333326,0xccc98ccc,0x20cccccc,
    0x000ccccc,0x99999995,0x00015579,0x9873b76a,0xcccccccc,0x3aa0001c,
    0x666664c0,0x997000cc,0x40079999,0xccccccc9,0xcccccccc,0x3333261c,
    0xaaaccccc,0xcccc9800,0x4c0ccccc,0xfffa81dd,0xfeccccef,0x40f101ff,
    0x4007fffa,0xffa80ffb,0xffa81fff,0xff981fff,0x2e2000ff,0xeeceffff,
    0x3a002eff,0xa81ffd5f,0x001fffff,0x403ffae0,0x04fffffa,0xdfffff88,
    0xfff30000,0xdb99bfff,0xfb885fff,0xfccacfff,0xfa800dff,0xfd01ffff,
    0x3fffa0df,0x203fd505,0x3fffc07d,0x01fff300,0xe817fffa,0x3f605fff,
    0xff8000ff,0x7ffe44ff,0x9ffe400d,0xfff80ffe,0xfc88005f,0x3e00ffff,
    0xb807fffe,0x002ffffe,0x3ffebe20,0x02fe982f,0xe887ffff,0xff802fff,
    0x3ffa05ff,0x0bfffb07,0x3fe40fc4,0x401fffa0,0xd00ffff8,0x7f409fff,
    0x3ff205ff,0xffe8000f,0x6fffc84f,0xb99fffc0,0x09fffd01,0xfff95900,
    0x7fd7401f,0x7d7402ff,0x20002fff,0x05ffff5c,0x7ffc0be2,0x6fffa83f,
    0x04fffe80,0x7ec0ffee,0x20ec05ff,0x7f407ffc,0xfffb007f,0x3fff601f,
    0x13fff604,0x000fffc8,0xd04fffe8,0x3e60bfff,0xffd003ff,0xff80009f,
    0x3a3a00ff,0x3a606fff,0x001ffff8,0x3ffe1f10,0x2059042f,0xff03fffe,
    0xffe803ff,0xb004404f,0x5470bfff,0x3bffff61,0x07ffe86e,0x0fffceb8,
    0x409fffb0,0x3204fffd,0x40020fff,0xf704fffe,0xff301fff,0x3ffa007f,
    0x7f40004f,0x2a3a00ff,0x5b01ffff,0x003ffff1,0xffff8f60,0x3a053242,
    0xfff03fff,0xfffe807f,0x7fec0004,0xc982c45f,0x84ccffff,0x7cc07ffe,
    0xb00fffc8,0x7ec09fff,0x3ff204ff,0x04ffe98f,0x8827fff4,0x3a24ffff,
    0x02eefffe,0x0027fff4,0x803fffa0,0x0bffff0e,0x3fffe2f1,0x7c5a8001,
    0x01622fff,0x441ffff4,0x7402ffff,0xed984fff,0xfffb05ee,0x7f405b8b,
    0x3fff407f,0x3ff25d10,0x9fffb00f,0x027ffec0,0xfbf9fff9,0x7ff409ff,
    0x3fffe04f,0x77ffee46,0x7fff401c,0x7ff40004,0x7dc3a00f,0x8a5c0fff,
    0x4001ffff,0x7fffc1f8,0x7f401722,0xfffa83ff,0x7fff400f,0x0ffff104,
    0x5c57fff6,0x3fff405f,0xd81fffa0,0x403fff24,0x999dfffd,0x4fffe999,
    0x43bfff20,0x2620fffc,0x99cfffe9,0x1ffffa09,0x400fffe6,0x0004fffe,
    0xd007fff4,0x0ffffe21,0x3fffe21d,0x7c1e4001,0x5fc9afff,0x87fffd00,
    0x803fffe8,0x3e04fffe,0xfffb07ff,0x80bfffdf,0x7f407ffe,0xfc8d707f,
    0xfffb00ff,0xffffffff,0x7e409fff,0x3ffee1ff,0x3fffbaa1,0x3a3eeeef,
    0x7cc0ffff,0xffd003ff,0xfe80009f,0xc83a00ff,0x896a7fff,0x2001ffff,
    0xfffff069,0x3a00bfff,0xfdcacfff,0xfd001dff,0x7ff409ff,0x3bfffb07,
    0xfe80bfd9,0x3fff407f,0x3ff207cc,0x9fffb00f,0x027ffec0,0x7dc1fff9,
    0xfffd01ff,0x3ffff407,0x801fffcc,0x0004fffe,0xd007fff4,0x97fffcc1,
    0x3fffe22d,0x3fffa001,0xafffffff,0xfd005fc9,0xffff9bff,0xfffe800b,
    0x41fffa04,0x2ec5fffd,0xd01fffa0,0x905d0fff,0x3f601fff,0x3ff604ff,
    0x3fff204f,0x40bffee0,0x3e03fffe,0xff986fff,0xfffd003f,0xffe80009,
    0xfd03a00f,0xf88d1dff,0x97001fff,0xb17fffc0,0x3fffa00b,0x05ffffb3,
    0x027fff40,0x3f60fffd,0x202cc5ff,0x7f407ffe,0x7fffcc7f,0x6fffffff,
    0x204fffd8,0x3204fffd,0x3fee0fff,0x7fffd02f,0x42ffffc0,0xd003fff9,
    0x0a009fff,0xd007fff4,0xdffffa81,0x0ffffc43,0xff007c40,0x802cc5ff,
    0xfd13fffe,0x3a001fff,0x3fa04fff,0xbfffb07f,0x7ffe80b0,0x263fff40,
    0xffffffff,0xffd86fff,0x3fff604f,0x83fff204,0xfd02fffb,0x3fe207ff,
    0xfff982ff,0x9fffd003,0x3fa09300,0x203a00ff,0x440fffff,0xd801ffff,
    0x17fffc02,0x3ffa0e12,0x3fffe63f,0x9fffd005,0xd83fff40,0x40185fff,
    0x7f407ffd,0x77774c7f,0x5effffee,0x204fffd8,0x3204fffd,0x3fee0fff,
    0x7fffd02f,0x41bffee0,0xd003fff9,0x7b009fff,0x803fffa0,0x4fffb80e,
    0x01ffff88,0x7ffc02d4,0x20ea0c2f,0x7e43fffe,0xfe803fff,0x3ffa04ff,
    0x0bfffb07,0x21fffb00,0x007ffe83,0x6c03fff2,0x3f604fff,0x3ff204ff,
    0x0bffee0f,0xf81ffff4,0xff301fff,0x3ffa007f,0x817c404f,0x3a00fffe,
    0x81fff881,0x201ffff8,0xfff800f8,0x7417402f,0xffe83fff,0x7ff401ff,
    0x1fffa04f,0x002ffff4,0x1767ffd4,0x9003fff4,0x3fa01fff,0x3ffa05ff,
    0x3fff605f,0x40bffee1,0xfc84ffff,0x3fe602ff,0xffff004f,0x80ff4409,
    0x3a01ffff,0x260bf901,0x3602ffff,0x7ffff004,0x3e07f620,0xff883fff,
    0x7ff406ff,0x1fffe05f,0x0037fffc,0xf03efeb8,0x32001fff,0xfff00fff,
    0x7fffc0df,0x87fffa06,0xf884fffc,0xd988efff,0x7d400eff,0xff8805ff,
    0x75cc1eff,0xfff880ff,0x209f302f,0xfff502f9,0x013f207f,0x837fffe6,
    0x440ffeb9,0xf704ffff,0x3e20bfff,0xff106fff,0x3fb261ff,0x01ceffff,
    0xffd30080,0xf9003dff,0x7f64c1ff,0x98ceffff,0xefffffec,0x3ffff60c,
    0xfffffb9f,0xffffd953,0x017bdfff,0xbffffd90,0xfffd9303,0xffffffff,
    0xffcb8fff,0x933dffff,0x0b09dfff,0xffffff97,0x3fffa67b,0x7fe64c2d,
    0xffffffff,0x3f267fff,0x84dfffff,0x31effffd,0xbfffffd9,0x3fffa619,
    0x000001ef,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33332200,0x09aacccc,0x482f6a00,0x0e4c3950,
    0x99999993,0x99999079,0x6664c199,0x004ccccc,0x3333332a,0x3ccccccc,
    0x6666665c,0xcccb80cc,0x9999933c,0x664c7999,0x4001cccc,0x2e200038,
    0x99900bde,0x66400199,0xcccccccc,0x92cccccc,0xc8799999,0x2aaaa4cc,
    0xaaaaaaaa,0xfff5102a,0x9ffffbdf,0xffffe801,0x7ff886cd,0xfa81fff1,
    0x2a02ffff,0xf500bfff,0x8001dfff,0xaaccfffc,0x43ffffea,0x3fffffa8,
    0x3067fcc0,0x03ffffff,0x0019ffb1,0x36000f70,0x80efffff,0x000ffff9,
    0x3f33bffe,0xfdccefff,0x9ffff34f,0x512fe881,0xfe807000,0x3ffea4ff,
    0xffdf300e,0xff307fff,0x01fff11f,0x980bfffd,0xfff800ef,0x3fd8003f,
    0x0dffff30,0x027fffdc,0xfff982f4,0x07f500ff,0x0017fc00,0x3ffffff6,
    0xfffe80ef,0xd07be000,0x4fa87fff,0x7413fff2,0x0e000a23,0xc89fffb0,
    0x23705fff,0x2e03fec9,0x6c0fae2e,0x3a205fff,0x3fffa005,0x203e8002,
    0x401ffffe,0x200ffffe,0x3ff200f9,0x009d05ff,0x0037fdc0,0xfff959f3,
    0xfffb05ff,0x741fc001,0x24c83fff,0xf886fff8,0x0e000a20,0xa89fffb0,
    0x00007fff,0xfffd8000,0x8007f305,0x9aacfffe,0x3ee06800,0xfa804fff,
    0x0ba03fff,0x0bffffa0,0xfe8000d7,0x85b001ff,0xd85ffff8,0x1e000fff,
    0x4c1ffff4,0x20fffec4,0x4001445a,0x27ffec03,0x003fffea,0xfb000000,
    0x03f70bff,0xbbfffd00,0x1c05dffd,0x06ffff88,0x03ffff60,0x7fcc01aa,
    0x01d30fff,0x7fffd400,0x3f203005,0xfffd83ff,0x7f406000,0xfa8303ff,
    0x2216c4ff,0x6c038002,0x7fd44fff,0x77776c6f,0x80cffd98,0x405eeed9,
    0x7645fffd,0xfffd0000,0x02fffe45,0x0bffff60,0x4ffff980,0xf7000fc4,
    0x03d1bfff,0xfffed800,0x3e60000f,0xfffd81ff,0x0fbbbb60,0x00ffffa0,
    0x1e27fff8,0x00e000a2,0xfc89fffb,0xfffe83ff,0x04fffdfb,0xd80ffff1,
    0x0dd15fff,0x2fffe800,0x8017fff4,0x005ffffa,0x20ffffd8,0xffe8004c,
    0x40002fff,0x4ffff8e9,0x1ffea000,0x3207ffec,0xffd000df,0x7fe4007f,
    0x0510952f,0xffd80700,0x3bffea4f,0x26fffd80,0xff00fffc,0xfffd80ff,
    0x002fff9d,0x90bfffa0,0xf100bfff,0x0001ffff,0x26bffff1,0xff98000f,
    0x40000fff,0x1ffff93c,0x13ff2000,0x3a07ffec,0x7fff4004,0x3ffe6003,
    0x005105b5,0xfffd8070,0x03fffebd,0xfb87fff2,0xfffd01ff,0xfefffd80,
    0x0001ffff,0xfb85fffd,0xffc807ff,0x320003ff,0x03d9ffff,0x3fffee00,
    0x99e20005,0x0003ffff,0x7fec0dfd,0x2001320f,0x4003fffe,0x1079fffe,
    0xd8070005,0xabccefff,0x07ffe400,0x3a05fff7,0x7fec07ff,0xeffffbef,
    0xfffe8000,0x037ffe42,0x01bfffe6,0xfffff100,0xffd0000d,0x2e0005ff,
    0x037ffec4,0xb00ffcc0,0x01721fff,0x01ffff40,0x3ff6aaaa,0x12aaaeef,
    0xd8070005,0xc8004fff,0x3fee0fff,0x0fffd02f,0xf95fffd8,0xd000bfff,
    0xffd85fff,0x7fff404f,0xfb80001f,0x40002fff,0x0fffffe9,0x7d40f800,
    0x6c002fff,0x7ffec03f,0x8000ffc8,0x6403fffe,0xffffcccc,0x0514cccc,
    0xffd80700,0xffc8004f,0x0bffee0f,0x3603fff4,0x3ff65fff,0x7f4004ff,
    0x3ffe22ff,0x3ffee01f,0x4005404f,0x002ffff8,0x3fee7e20,0x6dc005ff,
    0xfff99999,0x0fee005f,0x3f7fff60,0xfe8005ff,0xff8003ff,0x000a207f,
    0x9fffb00e,0x1fff9000,0xe817ffdc,0x7fec07ff,0x3fffa25f,0x3ffa002f,
    0xeffecacf,0x3fffe200,0x8803400f,0x0002ffff,0x7ffec5d1,0x3bba003f,
    0xfffeeeee,0x04f8801f,0xdcfffd83,0x74003fff,0xf8003fff,0x00a207ff,
    0xfffb00e0,0xfff90009,0x817ffdc1,0x7ec07ffe,0x7ffcc5ff,0xffd001ff,
    0x0599dddf,0x05ffffb0,0xff1007a8,0x360005ff,0x7ffffc44,0x7c05a800,
    0x74404fff,0xffd87504,0x0ffff88f,0x0ffffa00,0xfffffff0,0x2fffffff,
    0x40380028,0x8004fffd,0x3ee0fffc,0xfffd02ff,0x85fffd80,0x00effffa,
    0x002fffe8,0x05ffffa8,0xff1006e8,0xb90005ff,0x17fffea0,0xff900ba0,
    0x67ec01ff,0x41fdcccc,0xff50fffd,0x7ff400df,0xfff8003f,0x2000a207,
    0x27ffec03,0x0fffec00,0x3e05fff7,0x7ff407ff,0xffffb05f,0xfffe801d,
    0xfffe8003,0x17fa200f,0x17fffcc0,0xd803ee00,0x2a03ffff,0x7ffc400f,
    0xffff704f,0xd81fffff,0x3ff60fff,0xffff003f,0xffff0009,0x2000a201,
    0x2ffff403,0x17fff400,0xf107fff9,0x7fc01fff,0xfff306ff,0x3e201dff,
    0x64004fff,0x9883ffff,0x5004fffc,0x4007ffff,0x7fd407fb,0xff881fff,
    0xfffff801,0x7ffffd41,0xfe86ffff,0x3ffe22ff,0x7ffc401f,0x7fcc005f,
    0x559102ff,0x55555555,0xfd910955,0x019bffff,0x3dffffb0,0x47fffff7,
    0x1effffe9,0x3ffffb26,0x3ffaa4ef,0x265fffff,0xdfffffec,0xffff9804,
    0xffffffff,0x2203ffff,0xffffffcc,0xfff700cc,0xffc819df,0x2e5fffff,
    0xc81cefff,0x4ffffffd,0xfffffff1,0xffd8bfff,0xfff72eff,0xfd9509ff,
    0x019bffff,0x7ffffe64,0x000003cf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10002ec0,
    0x8080007d,0x00000801,0x40000080,0x00004000,0x00000208,0x2e571000,
    0x265eeeee,0xddd93eed,0xdddb15bd,0x13bb23bd,0x00800080,0xdddd9002,
    0x00bddddd,0x7cc000dd,0xefeb8004,0xc885b8cf,0x400ceffe,0x202dffeb,
    0x100dfeeb,0x229dffb7,0x6404fffd,0xf903dffe,0x77ff4c3d,0x77776c6b,
    0x00cffd98,0x8fff2600,0xf887fffd,0x127ffec4,0x5d83ffff,0x547bbbb2,
    0x3bbb63fe,0x1dffd89e,0x6c13ffae,0x3fffa09e,0x0006e802,0xfb0013e6,
    0x21bff21d,0xdff70dfa,0x7e53f601,0x9a7ec44f,0x86fd41ff,0xb0ffeffa,
    0x1dfd10df,0xfff517f6,0x7d47fe2b,0x5ffff40f,0x004fffdf,0x42effea8,
    0x4c0ffff8,0x46fff887,0x16c3fffb,0x3ea7fff6,0x7fff46ff,0x8ffffdeb,
    0x83fffded,0x37ffe41d,0x20006e80,0x3f2004f9,0x11bfe64f,0x7ffc4bff,
    0xf31ffc84,0x0ffe41ff,0x2ffc4dfd,0xfa8ffff6,0x31ffec3f,0x7ffdc9ff,
    0x7d41ff55,0x937ffec0,0x91001fff,0x64039fff,0x81dc3fff,0x3f21fffd,
    0x321a26ff,0xffcebfff,0x877ffe45,0x3a3ffffa,0x7c4487ff,0xdd001fff,
    0x027cc000,0x222fff88,0x3fea3fff,0x117ffe1f,0x1ffe8fff,0xffc8fff3,
    0x641fff51,0x3fe21fff,0x883ffe67,0xffd11fff,0xd83bff65,0x70fffe40,
    0x6d403fff,0x8800beff,0x80746fff,0x37a4fff9,0x90751fff,0x2e61ffff,
    0x10fffe40,0xffd8bfff,0x4fffd807,0x8001ba00,0xff7004f9,0x2ffff43f,
    0xfff8dfd1,0x2637fe45,0x917ff23c,0x1bfe27ff,0xff81fff9,0x81fff90f,
    0x904c3fff,0x2025ffff,0x3ee0fffc,0x7fdc42ff,0xfd8002df,0xe80b31ff,
    0xff5957ff,0x3f20369f,0xffc804ff,0x17ffe21f,0x5401fff9,0x4c40ffff,
    0x9fe99999,0x31099999,0x39f53333,0xfc833333,0xfff5b1ff,0x7ff5430f,
    0x037fec6f,0x7777ffec,0x910c4fff,0xddddffff,0x3ffa3fff,0x02fffc0f,
    0x13ffffe6,0xf707ffe4,0x7ffd45ff,0x3e60000c,0xb803b5ff,0xff1dafff,
    0x3f20d1ff,0xffc803ff,0x17ffe21f,0x7403fff9,0xffb82fff,0xffffffff,
    0xffb3ffff,0xffffffff,0x7ec1ffff,0xffd3c9ff,0x3e7fa60f,0x3fff46ff,
    0x4cf7ff40,0xc8809999,0x99fffcbf,0xff099999,0x0ffff0ff,0xbfffff90,
    0x5c1fff90,0x3f662fff,0x20000bff,0x8069fffe,0x326dfff9,0xf903dfff,
    0xff9005ff,0x2fffc43f,0x6407fff2,0x99306fff,0x99ff9999,0x32e39999,
    0xcefdcccc,0x360ccccc,0x3fa5cfff,0xf0efc86f,0xfffe8dff,0x03fff401,
    0x3ee3ff50,0xffe801ff,0x006fff87,0x85fffff7,0x3ee0fffc,0xffc882ff,
    0xfa8002df,0xfd002fff,0x7ffcc7ff,0x3fff900f,0x43fff900,0x7e45fff8,
    0xfff881ff,0x37400c1f,0x009f3000,0xff1bfff2,0x22ffd89f,0x7fec6fff,
    0x7ffec03f,0x22ffc801,0xd803fffb,0x7ffc47ff,0xfe982045,0x7ffe45ff,
    0x00bffee0,0x017dffd5,0x003fffc0,0xfe81fff7,0x3fff205f,0x1fffc801,
    0xf917ffe2,0xfffb03ff,0x6e805889,0x013e6000,0xf117ffcc,0x7ffc47ff,
    0xf71bffe0,0x2e103fff,0x12885fff,0x7fc41fff,0xf50980ff,0x7ffc41ff,
    0x0e47bf63,0xfc8dffb1,0x3ffee0ff,0xfff93002,0x9ff90039,0x42ffc400,
    0x3f202ffb,0xffc801ff,0x17ffe21f,0xfa83fff9,0x026c0fff,0xf3000374,
    0x1ffec009,0x7e41dff1,0xfffc9cff,0x0efffe86,0x7fffc4b2,0x7fe4360c,
    0x3fffe62f,0xffd1261e,0xf537fcc3,0xf31b2bff,0x1fffd89f,0x000bffee,
    0x03dffd71,0x20007fc4,0x0ff882fd,0x007fff20,0xf887fff2,0x7ffe45ff,
    0x317fff41,0x0dd009f9,0x8027cc00,0x3f26ffe8,0x7fffd40f,0x1dfffebf,
    0x3bffffe6,0x7fffd43f,0x3fee1fdf,0xffadeeff,0x985eefff,0x87ff24ff,
    0x9f95fffb,0xfd03fe61,0x7ffe45ff,0x3f260003,0x4002ec03,0x80bb00fa,
    0xd802fffd,0x3fe62fff,0x17ffec6f,0xffdffff7,0xdd007fff,0x99999700,
    0x99999dfb,0x7e456c19,0xf901dfde,0x3bfa61bf,0xefffe982,0xdffff503,
    0xefffe885,0x3ffffa22,0xbbfd100d,0x3ffd01df,0x3ff7fbae,0x77fffec1,
    0x3fffffb9,0x20044000,0x40500008,0x3fff2019,0x3ff603ef,0xffe9afff,
    0xfffd8eff,0x000002ff,0xfffb00dd,0xffffffff,0x22041fff,0x04010019,
    0x88005440,0x0054400a,0x4c400351,0x8860c009,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x31001100,0x33333333,0x00033333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddb10000,0x777764dd,0x00002ea1,0x64408819,0xbddddb30,
    0x00bddb35,0x00017019,0x1c400200,0x36000644,0x0beda805,0x95003e40,
    0x0fb205bd,0xbb703bb3,0xc9802015,0x540dd984,0x97102ddb,0xaaaa8817,
    0xaaaaaaaa,0xffff00aa,0x2e1fffe8,0xb8001dff,0xdffda8ef,0x3a23fe8a,
    0x0bee4fff,0xa9b21760,0x00ba200e,0x13a00df5,0xffa80176,0x3ffbae02,
    0x00ffe605,0x13fffff2,0x7ec3fff5,0x7fffe46f,0x7067f4c4,0xffd09ffd,
    0x1ff8b6cb,0x23faa7cc,0xfffffffa,0x3fffffff,0xfc8fffd0,0x7ff541ff,
    0x3f2000be,0xfffddfff,0xffff984f,0x3fb005d0,0x3bee2fb8,0x403fe880,
    0x7f5007fb,0xf1005f98,0xfd8e201f,0x03fff606,0xfb31dfb8,0xf17ffdc9,
    0x446ccfff,0x3ffa0ffe,0x427fc43f,0x1ff16fff,0x27f90bfe,0x2aaa26f8,
    0xaaaaaaaa,0xffb03fba,0x01fffb8f,0x039fff93,0x4417ff10,0x3ff207fc,
    0xfc804bbf,0x7dc37d45,0x00ffa20e,0x7fd000d4,0xcd884fd8,0x03722bb0,
    0xdfa807ec,0x03fa04fc,0x7ffd4df1,0xb817ff61,0x37fff46f,0x7ff427fc,
    0x3ff22625,0x3ff17fc3,0x81fcc000,0x7fdc7ffd,0x7f5c401f,0x9f700bef,
    0xf880fec0,0xfc806fff,0x40bfea0f,0x3fe88efb,0x3ea00000,0x50ffe62f,
    0xf3753fff,0xffc985ff,0xff11fd02,0x320bf103,0xb8fff10f,0x0ff603ff,
    0xff0ffff5,0x447ff909,0x223ff8ec,0x05ff12ff,0xd81fcc00,0x7ffdc7ff,
    0x3ff66001,0x00ff41cf,0x7fe409f3,0x27fdc05f,0xfb80dff3,0x99883fee,
    0x99999999,0xffd01999,0x321ffec3,0xeeeddeee,0x1fffd884,0x0bf727dc,
    0x83fa0df1,0x0ffcc5fe,0x26405f88,0x7fd427fc,0x1ffc7fa1,0x07fc4ff6,
    0x207f3000,0x7fdc7ffd,0xfc88001f,0x201be3ff,0x3ffe206e,0x3fff301f,
    0x200bffe2,0xffb04ffb,0xffffffff,0xf701ffff,0x3ffe61ff,0x001bb101,
    0xff88ffe6,0x7f417f40,0x3f237cc1,0x17607f83,0x13fe07e0,0xbff99fe2,
    0x3ea0bffb,0x8000bf34,0xfffb02e9,0x001fffb8,0x0efffe44,0x05f880fd,
    0x902fffdc,0x2ffdc9ff,0x03bffa20,0x3333332e,0xcccccccc,0x2e3ffd80,
    0x55f705ff,0x83f6007f,0x86f983fc,0xffcadff9,0x2ec0fd42,0x509514c8,
    0x7413fe0d,0x7e45ff45,0x5eded40c,0x6c000000,0x7ffdc7ff,0xfffb5001,
    0x405f7017,0x7ff403fb,0x3ff601ff,0x4407fee0,0x00efbbfe,0x3fe60000,
    0x6417fe24,0x44ff88ff,0xf99362eb,0x2a0ff606,0x882fffff,0xff907707,
    0x0eb85fff,0x7905ff88,0x00010000,0x7ffe4000,0x807ffee0,0x02dffeb8,
    0x1fd037c4,0x7ffd5dc0,0x3227f405,0x23fe885f,0x01000efb,0x7dc4fd80,
    0xfd97f606,0x1ef7f545,0x5e8807b2,0x40157510,0xffb81100,0x0aa0ffff,
    0x067ffedc,0x00000002,0x3fee0000,0x5ffff31f,0x39fff930,0x33ffe200,
    0x00fffc88,0x17fff4d3,0xfd81fd10,0x2e0ffa21,0x2fd400ef,0x7c45f980,
    0x882e200e,0x0000000b,0x00000000,0x00000000,0x00000000,0x7677ffcc,
    0x3a63fffd,0x2000beff,0xffffdfe8,0x4c0efdff,0x3bffee2f,0x3613a200,
    0xfb80ff25,0x803fe404,0x000ec85d,0x55440000,0xaaaaaaaa,0x8100aaaa,
    0x11100888,0x00b88081,0x1a801797,0x20ca82ee,0xeeeeeee9,0x1eeeeeee,
    0xddddddd3,0xefffb809,0x72ffffb8,0x260003bf,0x19bb933f,0x7fecc7ee,
    0xffffeaae,0x1036202e,0x0140141b,0x2c400dc4,0x000006c4,0x7fffd400,
    0xffffffff,0x6c0d83ff,0xfffb86ff,0x261bfb11,0x3fea1fff,0x3d02dfff,
    0x7fcd3fea,0x3ffffe65,0xffffffff,0xfffff31f,0x02a009ff,0x40000440,
    0x00002000,0x00000000,0x00000000,0x55100000,0x55555555,0xfb835555,
    0x207ff40e,0x3fee1ffe,0x49fff93f,0xfffdbade,0x2e6da9cf,0x0dff55ff,
    0xfff98000,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x1ff443fe,0xffc83ff1,0x27fff74f,0xffeb8869,0x37621eff,
    0x00007b21,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x3ee5e882,0x20efe882,0x80530cfc,0x40002cb9,0xddddddd8,
    0x0ddddddd,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xeeeeeeea,0x2eeeeeee,0x48813f6e,0x000300aa,0x26000000,0xffffffff,
    0x01ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0xeeeeeeee,0x22eeeeee,0x00000009,0x00000000,0x88888888,0x00888888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_31_latin1_x[224]={ 0,2,2,0,1,1,1,1,1,0,1,0,0,0,
1,0,1,1,0,0,0,0,1,0,0,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,2,0,0,2,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,1,1,0,0,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_31_latin1_y[224]={ 24,5,5,5,4,5,5,5,5,5,5,7,19,16,
19,5,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,24,10,5,4,8,5,
5,5,5,5,5,11,11,16,5,2,5,7,5,5,4,11,5,12,23,5,5,11,5,5,5,10,-1,-1,-1,0,
-1,0,5,5,-1,-1,-1,-1,-1,-1,-1,-1,5,-1,-1,-1,-1,-1,-1,8,4,-1,-1,-1,-1,-1,5,5,4,4,
4,5,5,4,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,8,10,4,4,4,5,4,5,5,
 };
static unsigned short stb__times_bold_31_latin1_w[224]={ 0,5,12,14,13,26,22,5,8,9,12,16,7,9,
5,8,12,11,13,13,13,13,13,14,14,13,5,6,16,16,16,12,25,20,18,18,20,18,17,21,22,11,14,23,
18,26,20,20,17,20,21,14,17,20,20,28,21,20,19,7,8,7,13,16,7,13,15,11,14,11,12,13,15,8,
8,16,8,22,15,12,15,15,12,9,10,15,14,20,14,14,12,8,2,8,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,12,14,14,14,
2,12,10,21,9,14,16,9,21,16,11,16,8,8,6,15,16,5,6,7,9,14,21,21,21,12,20,20,20,20,
20,20,28,18,18,18,18,18,11,11,11,11,20,20,20,20,20,20,20,12,20,20,20,20,20,20,17,15,13,13,
13,13,13,13,19,11,11,11,11,11,9,9,10,10,12,15,12,12,12,12,12,16,14,15,15,15,15,14,15,14,
 };
static unsigned short stb__times_bold_31_latin1_h[224]={ 0,20,10,20,22,20,20,10,25,25,11,16,10,3,
6,20,20,19,19,20,19,20,20,20,20,20,15,19,14,7,14,20,26,19,19,20,19,19,19,20,19,19,20,19,
19,19,20,20,19,25,19,20,19,20,20,20,19,19,19,25,20,25,10,3,6,15,20,15,20,15,19,21,19,19,
26,19,19,14,14,15,20,20,14,15,19,14,14,14,13,20,13,25,26,25,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,21,14,19,
26,26,4,20,9,13,7,3,20,3,10,16,10,11,6,20,26,6,7,10,9,13,20,20,20,21,25,25,25,24,
25,24,19,25,25,25,25,25,25,25,25,25,19,26,26,26,26,26,26,13,22,26,26,26,26,25,19,20,21,21,
21,20,20,21,15,20,21,21,21,20,20,20,20,19,20,19,21,21,21,20,20,13,15,21,21,21,20,27,26,26,
 };
static unsigned short stb__times_bold_31_latin1_s[224]={ 253,250,172,101,204,1,203,210,244,216,124,
1,194,242,185,102,111,145,172,189,39,141,236,23,38,53,121,249,153,146,17,
128,59,151,234,61,213,194,1,172,53,235,22,46,126,157,1,228,1,93,213,
213,203,171,192,96,129,108,88,34,37,114,146,225,170,50,80,64,125,76,113,
14,76,247,47,186,30,219,137,108,140,156,206,127,19,1,170,185,49,46,242,
42,56,207,197,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,253,250,161,
107,34,221,85,88,214,67,216,64,236,242,1,225,160,18,185,137,178,137,101,
191,163,202,226,109,167,50,28,180,174,51,72,183,122,162,184,143,104,85,123,
142,195,226,238,1,92,64,139,160,181,202,223,79,218,1,22,43,118,13,70,
72,28,42,138,88,153,69,88,89,83,95,152,116,226,222,245,35,209,19,1,
239,56,232,124,92,35,122,193,164,155,1,31,16, };
static unsigned short stb__times_bold_31_latin1_t[224]={ 1,104,224,125,56,104,104,224,1,29,224,
207,224,235,235,104,104,167,187,104,167,125,104,125,125,125,207,125,207,235,224,
125,1,187,146,146,146,146,167,146,167,167,146,187,167,167,146,125,187,56,167,
125,187,125,125,146,187,187,187,56,146,56,224,239,235,207,146,207,146,207,167,
82,167,167,1,187,167,207,207,207,146,146,207,207,167,224,207,207,224,146,207,
56,1,29,235,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,1,29,29,
82,224,187,1,1,235,125,224,224,224,235,125,235,224,207,224,224,235,104,1,
235,235,224,224,224,104,104,104,82,29,56,56,56,56,56,167,56,29,29,29,
29,29,29,29,56,167,29,1,1,1,1,1,224,56,29,29,29,1,56,187,
104,82,82,82,104,104,82,207,125,82,82,82,125,104,82,82,187,82,187,82,
56,82,82,104,224,207,82,82,82,125,1,1,1, };
static unsigned short stb__times_bold_31_latin1_a[224]={ 112,149,249,224,224,448,373,124,
149,149,224,255,112,149,112,124,224,224,224,224,224,224,224,224,
224,224,149,149,255,255,255,224,417,323,299,323,323,299,274,348,
348,174,224,348,299,423,323,348,274,348,323,249,299,323,323,448,
323,323,299,149,124,149,260,224,149,224,249,199,249,199,149,224,
249,124,149,249,124,373,249,224,249,249,199,174,149,249,224,323,
224,224,199,176,99,176,233,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,112,149,224,224,224,224,99,224,
149,335,134,224,255,149,335,224,179,246,134,134,149,258,242,112,
149,134,148,224,336,336,336,224,323,323,323,323,323,323,448,323,
299,299,299,299,174,174,174,174,323,323,348,348,348,348,348,255,
348,323,323,323,323,323,274,249,224,224,224,224,224,224,323,199,
199,199,199,199,124,124,124,124,224,249,224,224,224,224,224,246,
224,249,249,249,249,224,249,224, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_31_latin1(stb_fontchar font[STB_FONT_times_bold_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_31_latin1_s[i] + stb__times_bold_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_31_latin1_t[i] + stb__times_bold_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_31_latin1_x[i];
            font[i].y0 = stb__times_bold_31_latin1_y[i];
            font[i].x1 = stb__times_bold_31_latin1_x[i] + stb__times_bold_31_latin1_w[i];
            font[i].y1 = stb__times_bold_31_latin1_y[i] + stb__times_bold_31_latin1_h[i];
            font[i].advance_int = (stb__times_bold_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_31_latin1_s[i] + stb__times_bold_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_31_latin1_t[i] + stb__times_bold_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_31_latin1_x[i] + stb__times_bold_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_31_latin1_y[i] + stb__times_bold_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_31_latin1_LINE_SPACING
#endif

