// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT        265
#define STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_32_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_32_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_32_latin1_LINE_SPACING          21

static unsigned int stb__times_bold_32_latin1_pixels[]={
    0x26010110,0x0004cccc,0x0037bb60,0x000970aa,0x03577531,0x2e0025c0,
    0x300002cc,0x01333333,0x001ccca8,0x19997000,0x4cc98000,0xccc88000,
    0x99000003,0x08800099,0x7c4bfea0,0xffff504f,0xff500001,0xbffb003f,
    0xeb8803ec,0xedbaacce,0x003ec01c,0x001ffff5,0xfffffda8,0x401cffff,
    0x0004ffe8,0x03fff880,0x3fffe800,0xfffa8000,0x7cc00000,0x910001ff,
    0x75ffe80b,0x7ffc0fff,0xfc80000f,0xffff001f,0x3ee01f61,0x03ea802d,
    0xffe801f6,0xfb1004ff,0x7d4fffff,0x1ffa2001,0x3fea0000,0xffb80003,
    0x80000fff,0x00003ffb,0x8000ffe4,0xffb804f9,0x740bff33,0x80000fff,
    0x3f6001ff,0xd881f66f,0x2644001f,0xdf7007d8,0xb001ff53,0x4fffffff,
    0xfe88007a,0x7ec00001,0xff880003,0x0004fd8b,0x0000bf70,0x10002ff8,
    0x20cc00df,0x7fff4028,0x0fd40000,0xd832e200,0x001df107,0x03ec16c0,
    0xbf306fc4,0xfffffa80,0x001ea7ff,0x00002744,0x200009f1,0x007ec2fc,
    0x000fc800,0x0005f300,0x0000bfa2,0x03fffa00,0x00011000,0x0fd83ec0,
    0x6c3c4000,0xb103a807,0x7fffec01,0x01ea7fff,0x00000880,0x1900000c,
    0x80000ee0,0x02200001,0x407fd800,0x41999998,0xffe81999,0x2205730f,
    0x4c199999,0x99988199,0x3f21f619,0x982ee201,0x89f60dc1,0x99999999,
    0x4ccccc09,0xfffffd09,0x003d4fff,0x0000d4c4,0x00035310,0x000d4c40,
    0x33333331,0x99998133,0x33331099,0x98133333,0x22099999,0x7fdc04ff,
    0xf710cfff,0xfffe819f,0x43ffffe8,0x0cfffffb,0x9819ff71,0x1f67fffd,
    0x7fcc09f1,0x4c6ffbcc,0xfb713ec3,0x437bffff,0x0beffdb8,0xfffffffd,
    0xea803d4f,0xcffecdff,0x7ff54000,0x00cffecd,0x66fff540,0x2200cffe,
    0xdfffffdb,0x3ff6e21b,0xffb710be,0x4437bfff,0x20beffdb,0xfa802ffc,
    0x05d80fff,0xb37dfffd,0xffa83fff,0x405d80ff,0x71f67fff,0x43fee01f,
    0x4584ffec,0xfffff07d,0xfd81fd00,0x27ffffff,0x7fec407a,0x02fff885,
    0x885ffd88,0xd8802fff,0xfff885ff,0x7ffff802,0x3e00fe80,0xfe807fff,
    0x00fffc40,0xe82fffe8,0x87fffd01,0xffe86fff,0x7c01e82f,0xbd1f67ff,
    0xfb93fea0,0x3ec681ff,0x806fffe8,0xffffb85c,0x81ea7fff,0x2a06fff8,
    0x3e205fff,0x3fea06ff,0x3ffe205f,0x17ffea06,0x00dfffd0,0xfffe80b9,
    0xfa85c806,0xff5000ff,0x3a0688bf,0x7fe40fff,0x2fffd41f,0x3ffe01a2,
    0x82f99f67,0x3f60fff8,0x06c8b07f,0x700bfffd,0xfffff10b,0xb03d4fff,
    0xfc803fff,0xfffb02ff,0x2fffc803,0x803fffb0,0x3a02fffc,0x5b805fff,
    0x02ffff40,0x3ffdc2dc,0x87fffa00,0x3fffa03b,0x41fffdc0,0x0ee1fffe,
    0x7d9fffe0,0x3ff603ea,0x582fff44,0x17fffa00,0x7fd412e0,0x1ea7ffff,
    0x403fffdc,0x5c0ffff9,0xf9807fff,0x7fdc0fff,0xfff9807f,0xbfffd00f,
    0xfe809700,0x84b805ff,0x5c007ffc,0x803a4fff,0x7d40fffe,0xfffb84ff,
    0x3fe003a4,0x87b9f67f,0x3e21fff8,0x003983ff,0x2017fffa,0x3ffe604b,
    0x221ea7ff,0xf004ffff,0x7fc4bfff,0xfff004ff,0x7fffc4bf,0xbffff004,
    0x017fffa0,0xfffd012e,0xfb09700b,0xff8800ff,0x740598ff,0x7fd40fff,
    0xffff885f,0xfff00598,0x90d93ecf,0xfffc8fff,0x3a001b80,0x4b805fff,
    0x3fedd440,0xffff50f5,0x3fffa007,0x0ffffea6,0x537fff40,0x2007ffff,
    0xfd06fffe,0x09700bff,0x805fffe8,0x07ffd84b,0xcbfffc80,0x07fff402,
    0x6413ffea,0x002cbfff,0x93ecffff,0x44bffb0d,0x00b06fff,0x805fffe8,
    0x53d4004b,0x5ffff70f,0x3ffff600,0x05ffff70,0x43ffff60,0x002ffffb,
    0xd01ffffb,0x9700bfff,0x05fffe80,0x7ffc84b8,0xffff8800,0x0fffe806,
    0x8817ffdc,0x2006ffff,0xa9f67fff,0x324fff87,0x04a84fff,0x02ffff40,
    0x9ea0025c,0xffffd87a,0xffffb001,0x07ffff63,0x8ffffec0,0x001ffffd,
    0xd03ffffb,0x9700bfff,0x05fffe80,0x7ffb84b8,0x9fffb000,0x81fffd00,
    0x3601fffc,0x3e004fff,0xf99f67ff,0x5d3ffe20,0x74c2fffb,0xffd07d80,
    0x009700bf,0x3a1ea7a8,0x9001ffff,0x3fa5ffff,0xf9001fff,0x3ffa5fff,
    0xff9001ff,0xfffd05ff,0xe809700b,0x4b805fff,0x000fffa8,0x800fff98,
    0x7f42fffe,0x7ffcc05f,0x9fffe000,0x3fe17c7d,0xfff8ddff,0xb0987a20,
    0x17fffa0f,0xf50012e0,0x7ffec3d4,0xfffb002f,0x3ffff63f,0xffffb002,
    0x0bffff63,0x0ffffec0,0x402ffff4,0x7fff404b,0xf884b805,0xfd0001ff,
    0x3fffa00d,0x0fffc8bf,0x4006fe80,0xd1f67fff,0x0efffc87,0x3d915ffd,
    0x3a0fb2c4,0x4b805fff,0x0f53d400,0x005ffff7,0x5c3ffffa,0xd002ffff,
    0x3ee1ffff,0xfd002fff,0xffd01fff,0x809700bf,0xb805fffe,0x005ffb04,
    0x7400bee0,0xfffe9fff,0x05f7001d,0x367fff80,0xf9107d47,0x0bdfc989,
    0x741f61c8,0x4c805fff,0x0f53d400,0x007ffff5,0xfa9ffffe,0xff003fff,
    0x7ffd4fff,0xffff003f,0x17fffa0f,0xffd01320,0x209900bf,0x10004ff9,
    0x3ffa001f,0x8001510f,0x7f4000f8,0x1321f67f,0x6c498000,0x0bfff907,
    0x7a800790,0x7fffc1ea,0xffff8804,0x027fffc3,0x21ffffc4,0x8804ffff,
    0xf903ffff,0x07900bff,0x805fffc8,0x01ff603c,0xfd002540,0xa80001ff,
    0x6ffe8004,0x00be21f6,0xfb036600,0x01bffee0,0x4f5000ba,0xffff707a,
    0x0ffff300,0x300ffff7,0xff70ffff,0xfff300ff,0x37ffdc0f,0x3ee01740,
    0x02e806ff,0xd500bfe6,0xfd0006c7,0x754001ff,0x32200363,0x3ecdffb1,
    0x20001ea8,0x307d80d9,0xf980ffff,0xf53d4000,0x017fff40,0x740ffff6,
    0x7ec02fff,0xfffd03ff,0x3fffd805,0x01fffe60,0xff9801f3,0x007cc07f,
    0xfff01be6,0xffd00166,0xbffc001f,0x2bf90059,0x81f64ffd,0xdb8004e9,
    0x7f40fb00,0x05d103ff,0x03d4f500,0x5c0dffb1,0x36202fff,0x3fee06ff,
    0x3ff6202f,0x0bffee06,0x40ffffa0,0xffd002e8,0x00ba207f,0xfff01fd4,
    0xff8001d7,0x3fe000ff,0xf7000ebf,0x7d83bf6d,0x200aeb80,0x3ec02eb8,
    0x39fffd10,0x40013ae6,0x3201ea7a,0x7fcc0dff,0xbff9001f,0x01fff981,
    0x981bff90,0xd1001fff,0x2e639fff,0x3fa2004e,0x9d731cff,0x504e9800,
    0x44003bfd,0x02dffffd,0x003bfd50,0x41dfdfd8,0xd971007d,0x05bdd99d,
    0x3f201f60,0x03efffff,0x07a9ea00,0xfbbfdb50,0xa80019df,0xeffddfed,
    0x76d4000c,0x0ceffddf,0xffffc800,0x90003eff,0x7dffffff,0x100d4000,
    0x33331000,0x00800333,0x03100400,0x80004c00,0x2a620018,0x1880001a,
    0x26200062,0x2200001a,0x200001a9,0x00001a98,0x0006aa62,0x00d54c40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2ea60000,0x26666601,0x66654000,0x99999800,
    0xaba98800,0x99300001,0x91000019,0x95000399,0xccc98399,0x85d44002,
    0x2e600001,0x2200980a,0x00002ccc,0x000b3326,0x04887322,0x00733220,
    0xedbdfd88,0x1cefff83,0x01fffc00,0x04fffca8,0x3b37ffaa,0x20000dff,
    0x0004fffe,0x006fffc8,0xf905ffd8,0x77dc00df,0x2000ba62,0xeefffdb9,
    0x401d9bdf,0x00007ffb,0x20017ff6,0xeceffffb,0x3fff2003,0x45fd1006,
    0x7ffc2ff8,0x4ff98002,0x84ffc800,0xf885ffd8,0xfa8003ff,0x0000ffff,
    0x0bffffe2,0x405ff880,0xfc801ffc,0x400bd106,0xc82dfffb,0xfc801fff,
    0xf880001f,0xffd0005f,0x001fffff,0x0bffffe6,0x3fe1fee0,0x000fffc6,
    0xb80027e4,0x7ffc44ff,0xbfff300e,0xfb4fe800,0x6fec000b,0x2e006fb8,
    0x09fb005f,0x2a03ff98,0xfffd804f,0x00ffcc04,0x80004fc8,0x88000efa,
    0x05dfd715,0x7e46fec0,0x40ffd806,0x07ffc6fe,0x0002fc00,0xffd89ff7,
    0x7ffe401f,0xc85f7002,0x4f98001f,0xed801fd4,0x701b6000,0x4fe807ff,
    0x01bfff20,0xf9000fd4,0x01db0000,0x00040400,0x05f713ea,0x5c45ffc8,
    0x0007ffc0,0x3ee0000c,0x1fffee4f,0x03fffe60,0x025c0720,0x059815c0,
    0x00600030,0xfb809ff9,0xffffa81f,0x0007a000,0x01100003,0x06a62000,
    0x16a05700,0x03dfff50,0x0000fff8,0x7fdc0003,0x09ffff14,0x017fffe0,
    0x33100060,0x33333333,0x44133333,0x99999999,0x33333109,0xfa813333,
    0x85ff806f,0x4006fffe,0x3333311b,0x33333333,0x4ccc4133,0x99999999,
    0x54009999,0xffecdffe,0x2666200c,0x00999999,0x017fffe4,0x10001fff,
    0x3ee0001f,0x7ffff54f,0x1ffffa00,0x4001f100,0xfffffdb8,0xffffffff,
    0x3fff6e24,0xb711beff,0x37dfffff,0xd807ff98,0x3ffe61ff,0x2e20005f,
    0xfffffffd,0x24ffffff,0xfffffdb8,0xffffffff,0x0bffb104,0x2205fff1,
    0xefffffdb,0xfffe801b,0x01fff04f,0x0007f700,0x7fdd3fee,0xffb002ff,
    0x7dc001ff,0xfffd0003,0x09ff930d,0x803ffffa,0x100ffffe,0xff900fff,
    0x1ffffdcb,0xfffe8000,0x04ffc986,0x930dfffd,0xfff109ff,0x2fffd40d,
    0x03ffffa0,0x7ffdf5c0,0x07ffc0df,0x003ff400,0xffb4ffb8,0x3f6003ff,
    0x3a001fff,0xffb0007f,0x827cc0df,0x6c07fffd,0x7fc07fff,0x27ffb805,
    0x002ffffd,0x0dfffb00,0xffd827cc,0x213e606f,0x6401fffd,0x3f602fff,
    0x5f7007ff,0xf1bfffe6,0xfa8001ff,0xfb8003ff,0x3ffffd4f,0x3ffff200,
    0x7fff5002,0xdfffb000,0xffb04d80,0xfffd80df,0x00bfe606,0x7f43ffea,
    0x00001fff,0xd80dfffb,0x0dfffb04,0x7ffdc4d8,0xffff9807,0x0dfffb00,
    0xfd88df10,0x03ffe2ff,0x0dfffd00,0x369ff700,0xb002ffff,0x2003ffff,
    0x8006fffe,0x1446fffd,0x3fff6095,0x37ffec06,0x2a007f90,0xfff91fff,
    0x3600005f,0x51446fff,0x1bfff609,0xff125451,0x3fe009ff,0xfffb05ff,
    0x20ff500d,0x3ffe5ffd,0x3ffe6000,0x7dc002ff,0x5ffff74f,0x3ffff600,
    0xffff9800,0x7fec002f,0x40a1dc6f,0x6c06fffd,0xdea86fff,0x3ffea001,
    0x07ffff52,0x3fff6000,0x6c0a1dc6,0x21dc6fff,0x0ffffea2,0x837fff40,
    0xc806fffd,0x4ffb03ff,0x36000fff,0x005ffffb,0xffaa7fdc,0xffd003ff,
    0x3ef600ff,0x6c005fff,0x01ec6fff,0x406fffd8,0xeb86fffd,0x3fea000b,
    0x9ffff12f,0x3ff60000,0xd801ec6f,0x01ec6fff,0x005ffff7,0x203ffff6,
    0x9806fffd,0x6fa83fff,0x44003ffe,0x01ffff97,0xff27fdc0,0x3fe009ff,
    0x978803ff,0x4001ffff,0x3e26fffd,0xdfffb003,0x06fffd80,0x2a005fb1,
    0x3ffa1fff,0xfb00006f,0x01fc4dff,0x226fffd8,0x3fff603f,0xfffb001f,
    0xdfffb03f,0x37fffa00,0xfff93ea0,0x3e679000,0x2e004fff,0x3ffee4ff,
    0xffffa807,0xff33c800,0x7ec009ff,0x3ffb9eff,0x0dfffb00,0x206fffd8,
    0xfa801ff9,0x3fff20ff,0x6c02001f,0xffb9efff,0xdfffb003,0x7407ff73,
    0x9001ffff,0xfb05ffff,0x3e600dff,0x8bb1efff,0xf8800fff,0x03ffff60,
    0x3a27fdc0,0x7ec02fff,0x0f8802ff,0x003ffff6,0x7fffffec,0xffb003ff,
    0xfffd80df,0x402ffc06,0x7f447ffb,0x0d3006ff,0x3ffffff6,0xffb003ff,
    0x07ffffff,0x017fffec,0x81ffffd8,0x2006fffd,0x4dffffe8,0xb800fff8,
    0x1ffffd44,0x444ffb80,0x3e606ffe,0x897003ff,0x003ffffa,0x362dfffb,
    0xfffb003f,0x6fffd80d,0x6403ffc0,0xfff986ff,0x827cc03f,0xfb16fffd,
    0x3fff6007,0x5c07fb16,0xd002ffff,0xfb01ffff,0xfb000dff,0xfff07fff,
    0xfd03d001,0x3ee00fff,0x1bffb04f,0x002fff98,0x3fffa07a,0xdfffb007,
    0xffb003e8,0xfffd80df,0x01ffe606,0x6c40bff6,0x510bdfff,0x7fec05f9,
    0xd801f46f,0x01f46fff,0x007ffff5,0x6c1ffffe,0x70006fff,0xff83ffff,
    0x5575400f,0xffffdaaa,0x04ffb802,0x3b37ff26,0x2a000bef,0xfdaaaaae,
    0xfd802fff,0x801dc6ff,0x6c06fffd,0x3ea06fff,0x06fe806f,0xfffffda8,
    0x7ec00def,0x801dc6ff,0x1dc6fffd,0x013fffe0,0x40ffffe2,0x0006fffd,
    0xff1bffa6,0xccce801f,0xffffcccc,0x04ffb806,0x0ffffe88,0xcccce800,
    0x6ffffccc,0x46fffd80,0xffd85839,0x7ffec06f,0x017fee06,0x44005ff3,
    0x20009eb9,0x1cc6fffd,0x37ffec2c,0xffb960e6,0xfff9807f,0x1bfff607,
    0x3a20dc80,0x03ffe0ff,0x7fe40698,0x7fdc01ff,0xffff5004,0x4069800b,
    0x401ffffc,0x4086fffd,0x6fffd859,0x037ffec0,0xfd807ff9,0x09fd0005,
    0x86fffd80,0x7fec2cc0,0x22cc086f,0x6c02fffe,0x3f603fff,0xff5006ff,
    0x3e0ffb89,0x00fa00ff,0x80bffff1,0x32004ffc,0x2003ffff,0x7ffc403e,
    0x7ffec05f,0xfd84d806,0x7fec06ff,0x0ffea06f,0x8000ef88,0x2000ffc8,
    0xd806fffd,0x06fffd84,0x7fec44d8,0x0bffee06,0x00dfffb0,0xdf70ffe6,
    0xf501fff8,0xffffb001,0x027fe403,0x3bfffee0,0x0fa8089b,0x1ffffd80,
    0x01ffff60,0xfffb07fb,0x7fffd80f,0xdb037f40,0x7fcc0001,0x3fff6000,
    0x6c1fec07,0x7ec07fff,0x81bff903,0xd801fff9,0x36007fff,0xf07fa63f,
    0x74415bff,0xfffb802f,0xfffa986f,0xeca88004,0x7442efff,0xfffb802f,
    0x3fffa06f,0xff7310af,0xffffd05f,0x7ffff401,0x833f6200,0x10000ce8,
    0xe8007fd7,0x310affff,0xfd05fff7,0x26215fff,0x2a02fffb,0xeffddfed,
    0xfffd000c,0x3f22001f,0x9980dfee,0xfff70999,0xffb505bf,0x4c5dffff,
    0x00009999,0xfff70088,0xffb505bf,0x265dffff,0xffffffec,0xffffffff,
    0xffffd931,0x3b2659df,0x2cefffff,0x05436ea0,0x026a6000,0x7fff64c0,
    0xffffffff,0xfd931fff,0xffffffff,0x003fffff,0x98006a62,0xefffffec,
    0x0026002c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5b300000,0x00005e44,
    0x00585b91,0x65c47930,0x99950000,0x64000003,0x800003cc,0x100000aa,
    0x41991000,0x664401cb,0x300072e0,0x0065c479,0x58399100,0x00000000,
    0x3f63fff0,0xff50004f,0x009b9fff,0x7e4bffa0,0x3f60004f,0x5000005f,
    0x00003fff,0x077e4c3a,0x3eee9800,0x553ff200,0x7fe406ff,0x800dff54,
    0x9ff92ffe,0x3ffea000,0x0004dcff,0x404d6544,0xfff1001c,0x0013ff65,
    0x7fffffec,0xffd0001f,0x0017ff27,0x0001ffb0,0x003ff900,0x3ee12a00,
    0x12e8000e,0x3ff6001f,0xd80fff74,0x0fff55ff,0xf93ffe80,0x3f2000bf,
    0x01ffffff,0xcdfeca80,0x0d70cfff,0x3a64ea80,0x22d0000d,0x0003efdb,
    0x6ec437aa,0x7f440001,0xff800002,0x07600001,0x30013fe2,0xb3003c8d,
    0x00bb221b,0x17643bb1,0x4437aa00,0x2d0001dd,0x003ffdb8,0x4c2ffec4,
    0x000edfff,0x01000000,0x00000001,0x017a2000,0x005f5000,0xf8834400,
    0x20f8007f,0x0000001e,0x00000000,0x00040400,0x502fffc4,0x40009fff,
    0x22001a98,0x40199999,0x22199999,0x99999999,0x4ccccc09,0x00c40009,
    0x00022000,0x3e607700,0xcfb8007f,0x3331005e,0x21333333,0x99999998,
    0x99999999,0x00018000,0x3a000300,0x7ec02fff,0x3aa002ff,0xcffecdff,
    0x3fff2600,0x3ff205ff,0xfb710cef,0x437bffff,0x0beffdb8,0x22000c00,
    0x99999999,0x13333300,0x8075dcc0,0x30006ffa,0x6dc4005f,0x1befffff,
    0xfffffb71,0xffffffff,0x00f88009,0x007c4000,0x01bfff20,0x01ffffd1,
    0x885ffd88,0x7d402fff,0x7403ffff,0x3fffe00f,0x000fe807,0x2a000f88,
    0xbefffffd,0xdffec880,0xffcff981,0x05ffb81e,0x0007f700,0x803ffffa,
    0xc986fffe,0x7dc004ff,0x7dc00003,0x7fff4003,0x7ffe7404,0x3ffe204f,
    0x17ffea06,0x3fffffb0,0x3fa02e40,0x05c806ff,0x0007f700,0x009ffffb,
    0x3fea09f3,0xf90fff91,0x3fa0007f,0xfffb0007,0x6fffd80f,0xd0013e60,
    0xe80000ff,0x3fe2007f,0x757603ff,0x3f606fff,0x7fe401ff,0x3ffb602f,
    0x0b500fff,0x805fffe8,0xffd0005b,0xffff1000,0x106b801f,0x7fffcfff,
    0x0017fd42,0x001fffd4,0x2037ffec,0x6c06fffd,0x3ffea004,0xff500003,
    0x3fea007f,0x6cb903ff,0xff707fff,0xfff300ff,0x3fab601f,0x09506fff,
    0x805fffe8,0xffa8004b,0xffb8003f,0x07e203ff,0xecaaffe4,0x27f440ff,
    0x37fff400,0x37ffec00,0x11bfff60,0xfd002545,0x20000dff,0x9006fffe,
    0xd705ffff,0x0ffffec1,0x013fffe2,0xd82ffffc,0x4fffff89,0x7ff404a8,
    0x004b805f,0x006fffe8,0x01ffffd0,0x4ffe8132,0x2203513b,0x3e6000ff,
    0x4002ffff,0x6c06fffd,0x21dc6fff,0xffff3002,0xf980005f,0xd802ffff,
    0x7d41ffff,0x17fffec0,0x00ffffea,0xd837fff4,0x7fffff51,0x7ff404a8,
    0x004b805f,0x17ffffcc,0x7fffd400,0x3e00f984,0x20068dff,0x7b004eb8,
    0x800bffff,0x6c06fffd,0x01ec6fff,0xffffbd80,0x7dec0005,0xfc805fff,
    0x07e62fff,0x707ffff6,0x2005ffff,0xd80ffffd,0x3ffffee1,0xffd012a1,
    0x009700bf,0x5ffffbd8,0xffffd000,0x3e203d81,0x4003beff,0x978806d9,
    0x4001ffff,0x6c06fffd,0x0fe26fff,0x7fe5e200,0xf10000ff,0x003ffff2,
    0x227ffff7,0xffffd02f,0x1ffffd81,0x3ffffb00,0xfffd83b0,0xe80950ff,
    0x4b805fff,0x7fe5e200,0xf98000ff,0x01aa5fff,0x003bfffe,0x79002fd8,
    0x013fffe6,0x406fffd8,0xfb9efffd,0x33c8003f,0x0009ffff,0x7fffccf2,
    0x7fffcc04,0x3fe03e8b,0xfffe87ff,0xfff9001f,0xfd03b05f,0x012abfff,
    0x700bfffd,0xf99e4009,0xb0004fff,0x3d13ffff,0x0bfffd00,0x8802fec0,
    0x3ffff60f,0xdfffb000,0xfffffd80,0x44003fff,0x3ffff60f,0xb07c4000,
    0xf801ffff,0x204dcfff,0xd83ffff8,0xb002ffff,0x3b03ffff,0x9fffff10,
    0xfffe8095,0x1004b805,0x7fffec1f,0xfff98000,0xf9005cdf,0x98301dff,
    0x897002ff,0x003ffffa,0xd80dfffb,0x7fb16fff,0x7d44b800,0x5c003fff,
    0x1ffffd44,0x17fffea0,0x01ffff50,0x005ffff7,0x203ffffa,0xffff301d,
    0xffe809bf,0x004b805f,0xffffa897,0xfff90003,0x3e2001ff,0x5911efff,
    0xd003ffb8,0x0ffffd03,0x01bfff60,0x3e8dfffb,0x7f40f400,0x0f4007ff,
    0x403ffff4,0x6c02fffc,0xff502fff,0x3fe007ff,0x403b07ff,0x04fffffb,
    0x402ffff4,0xd03d004c,0x2000ffff,0x005ffff8,0x7fffffcc,0x04ffb83f,
    0xaaaaaea8,0x802ffffd,0x6c06fffd,0x01dc6fff,0x55555d50,0x005ffffb,
    0x2aaaabaa,0x402ffffd,0x300ffff8,0xff809fff,0xff8804ff,0x803b03ff,
    0x404ffffc,0xc805fffc,0xaaaea803,0x2ffffdaa,0xbfffd000,0xfffdd000,
    0x17fea07d,0x333333a0,0x06ffffcc,0x406fffd8,0x1cc6fffd,0xcccce82c,
    0x6ffffccc,0x99999d00,0x0dffff99,0x0dffdf98,0x4017ffd4,0x9807fffb,
    0x07607fff,0x013fffa0,0xd00dfff7,0x9999d005,0xdffff999,0x3fffa000,
    0xa8b4c005,0x03ffcc00,0xfff901a6,0xfffd803f,0x37ffec06,0x1a616604,
    0x03ffff90,0x7fe40698,0x23f301ff,0xefdeffc9,0x3fa000bd,0x7fec02ff,
    0x2007603f,0x4c04ffe8,0x7cc07fff,0x32034c00,0x8001ffff,0x4005fffe,
    0x7fc4002c,0x2201f407,0x6c05ffff,0x7ec06fff,0x84d806ff,0x7ffc403e,
    0x201f405f,0x905ffff8,0x002aa205,0x06ffd880,0xf00bffee,0x13fe6007,
    0x40ffffa0,0x03e802e8,0x02ffffc4,0x02ffff40,0x3e0003a0,0x003ea05f,
    0x807ffff6,0x6c07fffd,0x7ec07fff,0x6c007d43,0xf501ffff,0xffffb001,
    0x00000003,0x4c0dffc8,0x7d401fff,0x013ea006,0x473fffa2,0xfa804eb9,
    0xffffd800,0x7fffc001,0x0012a005,0x74407fea,0xfffb802f,0x3fffa06f,
    0x3fffa00f,0xff7310af,0x017f445f,0x437fffdc,0xfb802fe8,0x00006fff,
    0xfeda8000,0x00ceffdd,0x33ffffaa,0x2004c800,0xeffffffc,0x02fe8803,
    0x06ffffb8,0x1bfffe20,0x54001d80,0xfff702fe,0xffb505bf,0x265dffff,
    0xefffffec,0xfffd932c,0xffffffff,0x3fee3fff,0xfda82dff,0x72efffff,
    0x505bffff,0xdffffffb,0x00000005,0x0006a620,0x00030000,0x20035531,
    0x82dffffb,0xffffffda,0x3fb3202e,0x03ceffff,0x2f6e0014,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00013310,
    0x98001331,0x02440019,0x4c400080,0x11030009,0x00f77640,0x00deed80,
    0x70002aea,0x0c0cc009,0x40011030,0x6401abb9,0xdb001eee,0xeb8001dd,
    0xddb001ee,0x3ff6001b,0x7ff4001f,0x3ffea006,0xeffda803,0xdefc801b,
    0x1fffb000,0xf70efd80,0x27ff403f,0x0fffc400,0x4fdafe98,0x3007f500,
    0x9717dffb,0x7dc3ff60,0x5ffdc01f,0x3601effd,0xfd1004ff,0xffe8005f,
    0x3fff1003,0x3fffe600,0x3ffee005,0xfff8803f,0x2bfa607f,0x03efc9f9,
    0x2016e1d3,0x205ffff9,0xffd2fff8,0x037f4409,0x8817fdc0,0x07ff35ff,
    0xfb006f88,0x03ffffff,0x3fa5fff1,0x8bff604f,0xd100fffb,0x7fc400ff,
    0x13fe6005,0x002ffb80,0x07ff3bfa,0x3f77fe20,0x67fe400f,0x4fe883ff,
    0xc837dcf3,0x77f403c3,0x3fa01ffc,0x805ff90f,0x74001fe8,0x53ff202f,
    0x3600fff9,0xf95d000f,0x7f40bfff,0x205ff90f,0x3e61fff9,0x3fa204ff,
    0x03fe6001,0x20027e40,0x3ea002fe,0x900bf50d,0x101fe49f,0x03fe63df,
    0x91e63ff9,0x06996a0d,0x5fa86fd4,0x00260540,0xf1002744,0x13ffe805,
    0x3ea05fff,0xb9851003,0x04c0a801,0x441fff70,0x74405fff,0x017cc004,
    0x7c4004e8,0x4c274002,0x20be601f,0x81db00fb,0xa7fec4e8,0xbd034c79,
    0x84e805f9,0x000001f9,0x01100044,0x3e27fff0,0x06f883ff,0x00000000,
    0xf107ffec,0x011007ff,0x06001100,0x20002200,0x08802200,0x200c0220,
    0x4e7ffec0,0x05d40287,0x80110040,0x26001bb9,0x2e6001bb,0x53ffa01b,
    0xfd82fff8,0x37730000,0x2b2a6200,0x07ffec00,0x2201fff1,0x3000aca9,
    0x2e600377,0xca98801b,0x2a62000a,0x266600ac,0x26666219,0x80ddcc00,
    0x07effffa,0x02b2a620,0x400ddcc0,0x3febdfe8,0x3af7fa20,0x37fa203f,
    0xffc83feb,0xa81fff14,0xfe88003f,0x2a03febd,0x05ffecdf,0x6443fff6,
    0x9bf502df,0x7440bffd,0x100dfccf,0x01bf99fd,0x3ffb37ea,0xecdfa805,
    0xfff905ff,0x3fffaa3f,0xf99fd105,0xfffff01b,0x9bf5007f,0x7440bffd,
    0x303febdf,0x1ffd4dff,0xff537fcc,0x54dff307,0xaffc43ff,0x37c44ff9,
    0x537fcc00,0x8bf907ff,0xffb04fff,0x40bbf61f,0x27ffc5fc,0xbfb27fc4,
    0x7ec9ff10,0x7fc5fc85,0xf17f204f,0x3ffa09ff,0x17ffea1f,0x5fd93fe2,
    0xffffff98,0xf8bf900d,0x6ff984ff,0x3fa0ffea,0x217ffc3f,0x7ffc3ffe,
    0x3e1fff42,0x47fd42ff,0x00fd85fc,0x7c3ffe80,0x3ffe22ff,0x203fffa0,
    0x3e60fffd,0x3ffe20ef,0xb03fffa0,0x17fdc5ff,0xffb8bff6,0xe83ffe22,
    0xff880fff,0x03fffa0f,0xf987fff6,0x2ffd85ff,0x3a20bfee,0x41ffffff,
    0x3fa0fff8,0x1fff40ff,0xffa8bffe,0x52ffec2f,0xffd85fff,0xb0bffea5,
    0x79710bff,0x5107f503,0x5fff5035,0x3e65ffd8,0x3fff62ff,0x40fffd80,
    0x3fe65ffc,0x83fff62f,0x3ea0fffa,0x83ffea5f,0x3fe65ffa,0x03fff62f,
    0xfd8bffe6,0xfffd80ff,0x517ffe61,0x7fd41fff,0x3fffee05,0x3ffe61ff,
    0xa83fff62,0x7fec2fff,0xb07fff25,0x7ffe4fff,0xf93ffec1,0x7ffd83ff,
    0xc86f8800,0x320dfbdf,0x7fec1fff,0xfd06fe47,0xfffb01ff,0x20fffc81,
    0x3ffa0dfc,0x51bff20f,0x37fe4dff,0xbf91bfea,0x807fff41,0x3ffa0dfc,
    0x1fffd80f,0xf917ffe6,0x06ffa8df,0x27ffffd4,0xffe837f2,0x07fff20f,
    0x7ff4fffb,0x8fffec1f,0x7ec1fffe,0x3fffd1ff,0x001fffd8,0x3ff20fec,
    0x7ff4dfd0,0x0fffec1f,0x1ffffd70,0xb81fffb0,0x3ae02fff,0x3f60ffff,
    0xffffffff,0x3fffff67,0x5c07ffff,0x000ffffe,0x01ffffd7,0x7cc3fffb,
    0x7ffec5ff,0x07ffffff,0x3fffefcc,0x3ffffae0,0xb07fffa0,0x3ffa3fff,
    0x97ffec1f,0x7ec1fffe,0x3fffd2ff,0x002fffd8,0xfff10fea,0xffe9ffec,
    0x17ffec1f,0x7fecffd4,0x0fffd80f,0x541fffdc,0x0fffd9ff,0x7401fffa,
    0xfa8007ff,0x00fffd9f,0x7fecffd4,0x1fffd80f,0xfd17ffe6,0x260200ff,
    0x505fffb7,0x1fffb3ff,0x360ffff4,0xfffb2fff,0xb1fffd83,0xffd83fff,
    0x83fffb1f,0x1001fffd,0x4fff50df,0xfffb5ffd,0x21fffd83,0xffb0efd8,
    0x1fffb01f,0x223fffb8,0xfffb0efd,0x007ffec1,0x8007ffec,0xffb0efd8,
    0x3bf6201f,0xb01fffb0,0x7fcc3fff,0x07ffec5f,0xf9e60dc0,0x3bf622ff,
    0x6c1fffb0,0x7fec1fff,0x83fff91f,0xff90fffd,0x0fffd83f,0xfd83fff9,
    0x3fb000ff,0x7e4fff70,0x83fff96f,0x3f60fffd,0x03fff63f,0xf503fff6,
    0x1ffec5ff,0x7e41fffb,0xffc803ff,0x7ffb003f,0xd807ffec,0x3fff63ff,
    0x21fffc80,0x7e45fff9,0x44b803ff,0xd87ff679,0x3fff63ff,0xb07fff20,
    0x3fea1fff,0x537ff41f,0xffe83fff,0xd07ffea6,0x3ea00dff,0x6cfff703,
    0x3fff55ff,0x3e26ffe8,0x3fff61ff,0x88fffd80,0x10fff88a,0x7fec3fff,
    0x1fffea0f,0x0ffff524,0x21fff892,0xf880fffd,0x3fff61ff,0x21fffc80,
    0x7d45fff9,0x7dc907ff,0x25ff9e61,0x3f61fff8,0x3ffea0ff,0x3637ff41,
    0x0fffc3ff,0xfff0fff6,0x7c3ffd83,0x6f8801ff,0x6c3ffe60,0x0fff64ff,
    0x7fe43fff,0xffffc9df,0xc8fffe81,0x7e4dfd6f,0xfffc9dff,0x77fffc1f,
    0xffff0722,0xff90e45d,0xffff93bf,0x3bfff903,0x703ffff9,0x3fa25fff,
    0xffff85ff,0xffb8722e,0x83beef32,0xfc9dfffc,0x7fec1fff,0x220fffc3,
    0x0ffee6fe,0xffb9bfa2,0x2e6fe883,0x3fb003ff,0xfd0ffd80,0x737f441f,
    0xfffa87ff,0xefffccff,0x5c7fffc4,0x7d41fb7f,0xffccffff,0x3ffe64ef,
    0xf983feff,0x43feffff,0xccfffffa,0x7d44efff,0xffccffff,0x7ffc44ef,
    0x6fffcecf,0xefffff98,0x7ffecc3f,0xfa84fefe,0xffccffff,0x9bfa24ef,
    0xfb103ffb,0x4405ffbd,0x02ffdefd,0x3ff7bf62,0x007f5002,0x3ff37fd1,
    0xffbdfb10,0x477ff205,0x3a24ffe8,0xdf90ffff,0x3bff903b,0x2613ffa2,
    0x204efffe,0x04efffe9,0x3a23bff9,0xbff904ff,0x413ffa23,0xf9affffa,
    0x74c0dfff,0x4c04efff,0x7e400fb9,0x9ffd11df,0xffbdfb10,0x002a6005,
    0x98001530,0x02ec000a,0x002f72e0,0x100002a6,0x20000000,0x000a8800,
    0x100002a2,0x30008000,0x05440003,0x0001e600,0x0054c002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80301100,0x19800998,0x02c98018,0x22000b98,0x001cc03c,0x01cc0393,
    0x10007910,0x00001575,0x33101573,0x01333333,0x01333331,0x054c04b8,
    0x12e12e00,0x99883331,0x99998809,0x20cccc19,0x27fcc1b8,0x7ff40dfd,
    0xdffb300f,0xf8809717,0xfff304ff,0x07f6009f,0x88037f54,0x0dfd506f,
    0x2000fec0,0x0dffeefb,0x7ff64400,0x7ff541ff,0x980bdfff,0x402ffffc,
    0xf9bd705f,0x21fe001b,0x23fff47f,0xfb83fffa,0x710cffff,0x7ffc19ff,
    0x7cdfff24,0xfffa81ff,0xffffb04f,0xfb803fff,0x9ae886ff,0x7d400ffe,
    0x0dff7704,0x2ee07f60,0x9f5006ff,0x2e6fb800,0x7f4004ff,0xd06fffff,
    0x5001ffff,0x3f9801bf,0x1bee6fb8,0xbf117e20,0x7d47ffe8,0xfff503ff,
    0xfa8bb01f,0x97fe67ff,0xbdff07ff,0xf95d01ff,0xf100bfff,0xfb8209ff,
    0x4037c407,0x3fa806ff,0x44037fc0,0x7fc4006f,0x003ffe24,0x7ff5dee4,
    0xfffb82ff,0x00fa802f,0x7fc40fc8,0x5013fe63,0x743fa87f,0x7ffd47ff,
    0x0bfffa03,0xffff707a,0x40a21441,0x113ee4fb,0x2001b985,0x74400bd9,
    0x00fec01f,0x3e2037fc,0x806ff806,0x7dc001fd,0x803ff45f,0x5fffd84a,
    0x00dffff0,0x21be0099,0x7ffc2ffd,0xf70bee01,0x547ffe85,0x3ea03fff,
    0x543445ff,0x20007fff,0x00fa83f8,0x2a000000,0xf500efff,0x01bfe009,
    0xdff003fb,0x8004fa80,0x1ff47ffc,0xfff30180,0x3fffee09,0x2003e201,
    0x7ffc43f9,0xb027ffc2,0x740fd81f,0x7ffd47ff,0x0ffff403,0xbfff1077,
    0x4406ee60,0x26202200,0x00000aca,0x109ffb30,0x37fc00df,0x3e009f50,
    0x01be206f,0x997ffe40,0x440000ef,0xff101fff,0x025c09ff,0x7fd41fc8,
    0x12fffc2f,0x555ff555,0x7f455ff5,0x1fffd47f,0xe93ffee0,0x887fff00,
    0x80dfccfe,0x20199998,0x5ffecdfa,0xe8002e00,0x001fd84f,0x37c41bfe,
    0x6c0dff00,0xff70001f,0x0009fbbf,0xb007fea0,0x3a01ffff,0xf70dd000,
    0x6fff85ff,0x3fffffee,0x26ffffff,0x7fd47ffe,0x7ffc403f,0x3f60598f,
    0xd93fe21f,0xfffd885f,0x7c5fc80f,0x80b004ff,0x3ea07dc1,0x837fc004,
    0x3fe001fd,0x0009f506,0x067fffc4,0x02aaaaa6,0x300bfd10,0xb507ffff,
    0x3213e200,0x7ffc2fff,0x37f2aa27,0x2adfcaaa,0xff51fffa,0xfff9007f,
    0x3fdc0597,0xffb8bff6,0x81ffff02,0x3fa0fff8,0x035400ff,0x89d13bf9,
    0xff8006f8,0x4004fa86,0x06f886ff,0x3fff2200,0xeffc886f,0xfff9100a,
    0xffe801df,0x7001e87f,0x5fffb03f,0xb81ffff8,0x7417dc2f,0x7ffd47ff,
    0xffff8803,0xf537cc06,0x2ffd41ff,0x4c0fffe8,0x3ff62fff,0x80fee00f,
    0xc81cedb8,0xca89301f,0xdf11bccc,0x99950530,0x80fe4379,0x2b7ee049,
    0xff04ffff,0xfffea803,0x7fd406ff,0x801a62ff,0x5fffd07e,0xd82ffff8,
    0x7407ec0f,0x3fea0fff,0xffd8053f,0x324f804f,0x37fd46ff,0xc80fffe8,
    0x3fffa0df,0x00ffd880,0x8827d400,0x0fe4007f,0x007ffff3,0x7f8827d4,
    0x3f65fd88,0x1fc42fff,0xfffff300,0x6ffff803,0x27c400b6,0x7c2fffe8,
    0x87f81fff,0x3fffd06e,0x1d7fffa2,0x003ffe60,0xffffd8fa,0xd07fffff,
    0xd7001fff,0xe881ffff,0x440004ff,0x0ffd106f,0x37a27d40,0x8800fffc,
    0x0ffd106f,0x7fc45ffb,0x016e1fff,0x13fffa20,0x13ffff70,0x817dc00d,
    0x7fc2fffd,0xdf7510ff,0x55df7555,0x677fff45,0x2effffbe,0xb006fe80,
    0x003fff45,0x5007fff4,0x1fffb3ff,0x000fffd8,0xed80fe40,0x8df1007f,
    0x007ff218,0x7f6c07f2,0x217ffd47,0x98effffb,0xff70000f,0xfff880bf,
    0x36003ccf,0x0bfff207,0x7fdcffff,0xffffffff,0x3ffbe6ff,0x7fff71ef,
    0x400bee00,0x03fff60b,0x01fffd00,0x3f61dfb1,0x3fffc0ff,0x2a0037a6,
    0xff77904f,0x7007f200,0x09f500df,0xf91feef2,0xfffb09ff,0x40005ddf,
    0xd803fff8,0x000fffff,0x7fdc0bf1,0x12fffc2f,0xb5559fb5,0x3e25559f,
    0x02880a8b,0x80007c40,0x4003fffc,0xfd80fffe,0x83fff63f,0x7ec7fff9,
    0x8374403f,0x500ff75b,0x05fb009f,0x2b706e88,0x7ffec7fb,0xffffe80f,
    0x7e40000f,0xfff9802f,0x0bea004f,0x7c2fff88,0x40fd84ff,0x05fa80fd,
    0x004a8000,0x0ffff502,0x07fff412,0xfd87ffe2,0x3ffe60ff,0x013fee0f,
    0x33d503f9,0x74403ff9,0x803f9806,0x99ea81fc,0x3ff21ffc,0xffe886ff,
    0x98e61fff,0x801bee01,0x2000fffe,0x7fec00fd,0x7c0fffc3,0xff707f86,
    0x23ea8000,0x5df9000d,0x9177fffc,0x03fffa03,0xf93bfff9,0xffe83fff,
    0x807fe62f,0xfff904fa,0x3201ffff,0x31fc401f,0x7e413ea0,0x50ffffff,
    0x43bfffff,0xffffffd8,0xbff30fcd,0x4003fd01,0x7c005ffa,0x24ff9805,
    0x5f885ff9,0xffd82fc4,0x5ffe0000,0xfff30059,0x7ffffccd,0x3ffa03fe,
    0x7fffd40f,0x4efffccf,0x4c7bffe6,0x81ba204f,0x2ffdaaa9,0xe8809f50,
    0xe885caad,0x36aaa606,0x7ffe42ff,0xadfeefff,0x1ffffffe,0x22ffffea,
    0xf8002fb8,0x0fe6001f,0xdf93fdc0,0xfa87f501,0x003ffd03,0x075fffc0,
    0x47fff980,0x04efffe9,0x6417fffc,0xffd11dff,0xdfffb109,0x01fc805d,
    0x7441fee0,0xffffe806,0x001fc83f,0x7fdc1fee,0x641dffff,0xfc83ffff,
    0x00cfffff,0xc800b700,0x3bae000f,0x3f700dfd,0xdf702fc8,0xdfea8000,
    0x1ffec001,0x74c00a88,0x003fffff,0x00188004,0xc98007d3,0xa803d704,
    0x41cccccc,0x64c003e9,0x00d54c04,0x531006a2,0x31000013,0x0002a800,
    0x82980153,0x000200a9,0x26000080,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99999988,
    0x33333109,0x99881333,0x180cc099,0x01573000,0x26662013,0x00099999,
    0x98006a62,0x4c4000ab,0x99999999,0x15553009,0x00554400,0x002ae600,
    0x362001dc,0x100005ee,0x05055975,0x01abba88,0x7fd40793,0x931cffff,
    0x37ffffff,0x42effc88,0x0bb30de8,0x3fff6e60,0x1d9bdfee,0xffffffd0,
    0xeb8801ff,0xfdb802df,0x02cefedf,0xffffffd8,0x74c3ffff,0x01dfebef,
    0x37fb3fa6,0x3ff6e001,0x202cefed,0x7cc000fc,0xb10002ff,0xfdb99dff,
    0x75c0f55b,0x20dfffcc,0x2204fff8,0xf707ffff,0xfb80bfff,0x07b7f600,
    0x16fffdc0,0x440fffe4,0xffffffff,0x067fdc05,0x20df74c0,0x200dfca8,
    0xffffffff,0x3fea1fff,0x4407ff44,0x1fff12ff,0x41bee980,0xa80dfca8,
    0xff98003f,0xfffb8004,0x0fffd502,0xfff98fee,0x0ffff50e,0x01ffffd8,
    0xb80fffff,0x02ffe404,0x404fffd8,0xffb81ff9,0x02ffffff,0x5400fff6,
    0x1df3005f,0xffffff30,0x7c4dffff,0x2ffe41ff,0xfb83ffa2,0x0bf500ef,
    0x3e03be60,0x0ff30005,0x02fffd80,0xff83ff44,0x89ffff45,0x7cc05fff,
    0xff703fff,0x80f403ff,0x04fe8bea,0x8037ffe4,0xccde81fa,0x3a04cccc,
    0xbf1004ff,0x35555553,0xffb85f98,0xfeccccdf,0x50bffee4,0x7ffb8fff,
    0x4427ffd4,0x4ddd445f,0xfb0bf350,0x0be60001,0x037ffe40,0xff887e88,
    0x97fff20f,0xfe800cd9,0xfff106ff,0x441a609f,0x40bfea0c,0x000ffffa,
    0x000f307a,0xe801bff2,0xb59ffb15,0x21fcc5ff,0x87fe00cd,0x7cc5fffc,
    0x23ffe46f,0x5e85fff9,0x6d4e7fdc,0xfa87f34f,0x00220002,0x007fffe6,
    0x1ffd07a8,0x0027ffdc,0x05ffff70,0x203ffff6,0x3fa1003c,0x6fffe81f,
    0x3b20dc00,0xff30009b,0x83e2007f,0x3ffa3ffa,0x980916e1,0x7fffd46f,
    0xfd13fea2,0x7fff88ff,0x1dfb07c4,0x222dc9d0,0x4cccc05f,0x02666621,
    0x001bfffa,0x320dc41a,0x00042fff,0x20bffff1,0xf83fffff,0x3bff6200,
    0x3e60ffff,0x80005fff,0x0cfffffe,0x0c3fff60,0x7ff31aa0,0x0f31ffdc,
    0x7c44fc80,0xdfb3ffff,0x40ffff81,0x9aa1ffff,0x49502ffa,0x6407d879,
    0xfd51ffff,0xfff98bff,0x0008004f,0x0e437ff4,0x1ffff900,0x6fffeda8,
    0xdff302d4,0xb8bffee1,0x0003ffff,0x7fffffcc,0xfff883ff,0x80dfffee,
    0xb1ffcc4c,0x002f85ff,0x3fee07fe,0x80dfdfff,0x7f41fffe,0xfe9322ff,
    0x85f0200f,0x7ff402fb,0x17ffea1f,0x007ffff5,0x5ff98000,0x7cc005b0,
    0x65743fff,0x0b61ffff,0x7fc3ffe8,0x3ffff64f,0x7fe40002,0x5fffffff,
    0x65f7ffdc,0x1740ffff,0x7fd4ffe6,0xf3004d85,0x7fffe40d,0xfffb01ff,
    0x21ffff87,0x001ffe2e,0x404f889b,0x3e61fffd,0x7ffe45ff,0x4000002f,
    0x013a04fd,0x4cdfffd0,0x29ffff16,0x3ffe2078,0xfd37ff41,0x80003fff,
    0xfffeeccb,0x3ff23fff,0x97ffea2f,0x77fcc0f8,0x0b703ffe,0xf7013f20,
    0x303fffff,0x7fc1dfff,0x261f10ff,0x2dc007ff,0x3ff603f4,0x17ffe61f,
    0x003ffffb,0x027c4000,0xff70017e,0xfd8f25ff,0x540977ff,0x7ff41fff,
    0x5ffff90f,0xfb300000,0x7fecdfff,0x0ffffc2f,0xbbff985d,0x009b03ff,
    0xee9807fa,0x81fffffe,0xfdcffffc,0xf89747ff,0x426c007f,0x3ff601fb,
    0x17ffe61f,0x005ffff9,0x201dc000,0x7c4007f9,0x20f8dfff,0x1eaffffa,
    0xd03fff60,0x3fea5fff,0x000003ff,0x743fffe6,0x7fec2fff,0xff31322f,
    0x3e03ffa7,0x207f9801,0xffe89ffb,0xffd505ff,0xc89fffbd,0x8003ffa4,
    0x204f981f,0x3e61fffd,0x7ffd45ff,0x3ffae03f,0x200cffff,0x07fdc00c,
    0x3ffff200,0xeffff84c,0x0ffff406,0x7c47fff6,0x00004fff,0xd8fffcc0,
    0x7fe42fff,0xff31aa3f,0xf313fea7,0x4c13f200,0x7ffec6ff,0x3fff2007,
    0x9ff73541,0x740f3040,0x87fff606,0x7cc5fff9,0xfe804fff,0x03800fff,
    0x4002ffd8,0x81fffff9,0x403ffffc,0x7f41fffd,0x3fffa0ff,0xc8000006,
    0x0fffee7f,0x7c45fff9,0xfd97fee0,0x74016e1f,0x8bff901f,0x802ffff8,
    0xf885fff8,0xb10fff60,0x3f902dc1,0x987fff60,0xfff85fff,0xfffd805f,
    0x3fe00007,0xffe8004f,0xffff306f,0x1fffb801,0x3f237ff4,0x02001fff,
    0xfa97e600,0x7ffdc4ff,0x7f5476c0,0xfff98cff,0xf9802f99,0x213ffa07,
    0xb801fffd,0x1db00eff,0x66e7ffdc,0xf980be60,0x43fff903,0xfb85fff9,
    0x7e400fff,0x801007ff,0x8006fff8,0x3a02fffb,0xffa805ff,0x22fff41f,
    0x006fffe8,0x4c0350d3,0x17ffe23f,0xdf10dff7,0x02fcc001,0x3f604fc8,
    0x0fffb85f,0x00fffcc0,0x09881df1,0x6f805f98,0x4c3fff90,0xffb05fff,
    0xfffc80bf,0x01efc807,0x000ffff5,0xfb80fff1,0x5ffb002f,0xf980fff8,
    0x7cc03fff,0x406ffec4,0x0fffa84d,0x7cc0bff2,0x0ef9800e,0x5c05fd00,
    0x4ffc86ff,0x00f7fcc0,0x4c0077cc,0x0fc800ef,0xd12fffb8,0x7f40bfff,
    0x3ff202ff,0x7ffd407f,0x1ffff705,0x807f9000,0x7f4007f8,0x8807fea6,
    0x10bdfffd,0xffb05f95,0x099317ff,0x7fd27fdc,0x0bdfe880,0x8013f6e6,
    0xffd807f9,0x881bfe23,0x44004ffb,0x2e60bdfe,0x3ea004fd,0xcffff883,
    0x406fffce,0xd80bfffb,0x7d406fff,0xfff306ff,0x03e6000d,0x91001360,
    0x005bfbdd,0x3fffff6a,0xd9100def,0x007bffff,0x07ddbfd7,0x7f7f5cc0,
    0x5c001bdf,0xbff7004f,0x32607ffb,0x20000bef,0xdffefeb9,0x05f8001b,
    0xf35ffff5,0x4401bfff,0xfdceffed,0xfd001cef,0x17fec05f,0x26005000,
    0x00a20000,0x09aa9880,0x00054400,0x40000a88,0x540001a8,0x554c000a,
    0x0000d401,0x0001a880,0x00cc02a8,0x26aa6000,0x01300009,0x00000010,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcb980000,0x35953001,0xddd10018,0x3333000b,0x99998813,
    0x4cccc019,0x26666219,0x0c0c0001,0x01bca880,0x006a6200,0x21999988,
    0x2e6002b9,0x3100a20a,0x33333333,0x4cccccc4,0x4ccc0999,0x55400999,
    0x06ea2000,0x3f2ff200,0x9dfb102e,0x00977dd9,0x0003bfea,0x317fffb2,
    0x0bfffff9,0x8677ffe4,0x00ffffc8,0x365ff880,0xff9100ff,0xdfffff99,
    0x66fff540,0x2200cffe,0xfe8ffffd,0x3f203fff,0x5fabfccf,0x7fff5d40,
    0xb710bdff,0x37bfffff,0x5f7fedc4,0xffffc980,0x33fa200e,0xf9003efd,
    0x7c43ffcd,0x04ffb82f,0x0001ffb0,0xa82fffcc,0x403fffff,0xfffd00fe,
    0xfff50001,0x205fff11,0x3fee3ffe,0xffd883ce,0x02fff885,0x4df7fffc,
    0xfc81fffd,0x17fff60f,0x2ffffcc0,0x01ffffe0,0x7fcc03fa,0x80efffff,
    0xfff34fe8,0x25ff9801,0x37f43fff,0xf1009f70,0xf980003f,0x3ff605ff,
    0x17201fff,0x000fffe8,0x3fa6ff88,0x1fffb80f,0x2203ffe6,0x3ea06fff,
    0x3ffa05ff,0x237ffc3f,0x7fd45ffb,0xfff1005f,0xfffe809f,0x3e05c806,
    0xffffffef,0x3a2ffd84,0x7fe404ff,0xf98fffa6,0x4026c04f,0x880001fa,
    0x3b605fff,0x500fffff,0x07fff40b,0x0a828800,0x441fffb0,0xffd83fff,
    0x7ffe401f,0x81fffd02,0xff11fffc,0x5fff987f,0x13fffe00,0x00bfffd0,
    0x447ae0b7,0x4c7ffffb,0x3fee0fff,0x33fff403,0x1fffa879,0x02201260,
    0x7ffc4000,0x3ffab605,0x409506ff,0x0000fffe,0x1fffa000,0xfb89fff1,
    0xff9807ff,0xfffe80ff,0xa9fffdc0,0x7fc42fff,0x3ffe005f,0x7fff404f,
    0x1904b805,0xc8ffff70,0x802987ff,0x5400ffff,0x0e02ffff,0x4c433333,
    0x5cc00999,0x05fff88a,0x3fffe276,0x3a04a84f,0x05750fff,0x310ccccc,
    0xffb81333,0x87ffe20f,0x004ffff8,0xfd0bffff,0xfffa81ff,0x883fff94,
    0x3e005fff,0x7f404fff,0x04b805ff,0x22fffc40,0x0000fffd,0x8803ffff,
    0x01dfffff,0x51ffffc8,0x2a0bfffd,0xffafefff,0x7d47605f,0x2543ffff,
    0xfd3fffd0,0xff907fff,0x3ffaa3ff,0x0fffc45f,0xffa8fff5,0xffd003ff,
    0x1fffd0df,0xfb5fffa8,0xfff883ff,0x3fffe005,0x2ffff404,0x7c0025c0,
    0x7fff43ff,0xfffd0001,0xffffb007,0xfe801bff,0x3ffea1ff,0x31fff885,
    0x6c0bffff,0x3ffffee1,0xffe812a1,0xfffc8cff,0x21fffe82,0xe885fffa,
    0x0efd88df,0x017fffdc,0x40ffffd8,0x7d40fffe,0x3fffb4ff,0x005fff88,
    0xd013fffe,0x9700bfff,0x1fff9800,0x0017ffec,0xfffffff5,0x3fa209ff,
    0x04ffffff,0xf987fff6,0x4ffe85ff,0xb02fffd4,0xfffffd83,0x7ff40950,
    0x07fff41f,0xf987fff6,0x3ff605ff,0xfffb03df,0x3ff6003f,0x7fff41ff,
    0xb97ffdc0,0x7fc42fff,0x3ffe005f,0x7fff404f,0x4004b805,0xffc85ffb,
    0x3fea005f,0x4fffffff,0x3ffffa20,0xfd80efff,0x3ffe61ff,0x21fffcc5,
    0x3605fff8,0x5ffffe81,0x7fff4095,0x217ffe40,0x3e61fffd,0x009905ff,
    0x00fffff4,0x42ffffc8,0x7e40fffe,0x7fff31ff,0x005fff88,0xd013fffe,
    0x9700bfff,0x80ffd800,0x083ffffa,0x02fffcc0,0x3ffffee0,0xfffd86ff,
    0x717ffe61,0xff885fff,0x2207605f,0x4acfffff,0x703fffa0,0xffd87fff,
    0x17ffe61f,0xfd8007f6,0xfb002fff,0xffe83fff,0x22fff42f,0x7fd46fff,
    0x3ffe005f,0x7fff404f,0x2004b805,0x3fa01ff8,0x012a2fff,0x40017ffa,
    0x0ffffffb,0xf30fffec,0xfffc8bff,0x02fffc41,0x3ffe603b,0x3fa04dff,
    0x7ffd40ff,0x30fffec5,0xff98bfff,0x0aabbabe,0x017fffdc,0x40ffffe8,
    0xc8bffffe,0x7fd40fff,0xfffec9df,0x3fffe005,0x2ffff404,0xfb0025c0,
    0xffff9807,0xf9005fff,0x100a807f,0xd87ffff9,0x3fe61fff,0x0ffff45f,
    0xd817ffe2,0x3fffee01,0x3fffa04f,0x22fffd40,0x3e61fffd,0x7ffd45ff,
    0x4fffffff,0x00ffffea,0x743ffffc,0xfffe9fff,0xffff501d,0x00bfff39,
    0x2027fffc,0xc805fffe,0x007f5004,0x13ffffa2,0x402ffa80,0x7ffd403b,
    0x30fffec6,0xffd8bfff,0x2fffc42f,0xffc803b0,0x3ffa04ff,0x1fffd40f,
    0xf987fff6,0xfffe85ff,0x3fffffff,0x2013fffe,0xe83ffff8,0x01510fff,
    0x7fc42a60,0x7c2db85f,0x7e403fff,0x03c805ff,0x40504f88,0x2a2002e8,
    0x74881ffb,0x8bff900b,0x3e61fffc,0x7ffe45ff,0x02fffc43,0xfffd003b,
    0x07fff409,0xf907ffea,0x7ffcc3ff,0xffffe885,0x2e6fffff,0xf9807fff,
    0xfffd07ff,0x3e200001,0x7ffd45ff,0x00ffffe0,0xd00dfff7,0x2209d005,
    0x007bea06,0x33fffff6,0xf74ecaaa,0x43ffa805,0x3e61fffc,0x7ffd45ff,
    0x037ffc44,0xffd1003b,0x07fff409,0x3f21fff2,0x3ffe61ff,0x980ffd45,
    0x7fff45fe,0x1fffec02,0x000fffe8,0x8bfff100,0x3fe2fffc,0x7fcc01ff,
    0x007cc07f,0x373333f2,0x3fa604fe,0x644f4c04,0xffffffff,0x6c01ff72,
    0x7ffdc0ef,0x0bfffd12,0x7ec1ffff,0x00fe06ff,0xfd027fcc,0x2ffd83ff,
    0xd12fffb8,0x4fe8bfff,0x36217e40,0x3fee06ff,0x3fffa02f,0xff100000,
    0x26ffa8bf,0xd006fff8,0x3a207fff,0x7fffdc02,0x403fffff,0xd2cc04fd,
    0xdfffffff,0x5417ffdc,0xfff881ff,0x6fffcecf,0xdadfffa8,0x40bffffd,
    0x3ea006fa,0x93fffa04,0xff103ff9,0xfff9d9ff,0x881ffb8d,0x3ff204fa,
    0x0fffcc0d,0x003fffe0,0x37ffcc00,0xfff727ec,0x3ffa2001,0x09d731cf,
    0xffffffa8,0x9501ffff,0xfdb001df,0xdfffd13f,0x77656dc1,0x200cffcd,
    0xf9affffa,0x7d40dfff,0xeff8cfff,0xfffd50bd,0x0990019f,0x6f7d4774,
    0x7fd403ef,0xffff9aff,0x3bbf660d,0xa802cefe,0xeffddfed,0x3ff6200c,
    0x40002dff,0x1dffffea,0x6fff7fe4,0xfffc8001,0x4403efff,0xffffffff,
    0x33500fff,0xa9818800,0x554c0981,0x00660009,0x0260a980,0x20180000,
    0x4000a981,0x04c00019,0x06a62000,0x99999880,0x4cc00019,0x88099999,
    0x100001a9,0x00003553,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,0x99999999,
    0x33331000,0x00033333,0x3310b260,0x13333333,0x26666662,0x4c400099,
    0x19999999,0x99999988,0x06666620,0x00266666,0x06205400,0x26660750,
    0x80000099,0x75300001,0x99999883,0x00009999,0x437101a8,0xfffffdb8,
    0x03dfffff,0xfffffb71,0x88000159,0x7edc43fe,0x31beffff,0xffffffb7,
    0x4037dfff,0xfffffdb8,0x7fe4c0be,0x3f622dff,0x7fe40fff,0x540002ff,
    0x2d8adffe,0x321bff20,0x0002ffff,0x00007c40,0x1ffd5fd3,0x3ffff6e2,
    0x20001bdf,0xfff02fea,0x2bffff09,0x04fffea9,0x002ffffc,0x407ffb00,
    0x200ffffe,0x3665ffff,0xfe804fff,0x7e400fff,0x3fffe01e,0x02fffe80,
    0x7ffffc00,0x7ff407ff,0x2fffd81f,0x1fdc0000,0x95ff9800,0xffff09ff,
    0x7dc4000f,0xffa82fff,0x5fffe87f,0x027fffc4,0x0009fffd,0x80fffea0,
    0x7407fffd,0xffd85fff,0x3ff600ef,0x06fc407f,0x203fffa0,0x0002fffc,
    0x3fff6b66,0x3ffe403f,0x002fffc8,0x003ff400,0xdf55ffe8,0x0dfffd03,
    0x3fffb200,0xfff982ff,0x85fffd86,0x3607fffc,0x80004fff,0x203ffff8,
    0x6c06fffd,0xffb05fff,0x7ffe40df,0x4013e607,0xfc80fffe,0x260002ff,
    0x44005cc1,0xfff901cb,0x7d400005,0xff8003ff,0xfffb005f,0xfe82000d,
    0x3df702ff,0x50bfffb0,0x3603ffff,0xcdeeffff,0x3f7a000b,0x3ff603ff,
    0x7ffec06f,0x7ffff305,0x41ffff20,0x3fa002fa,0xfffc80ff,0x00000002,
    0x17ffe400,0xfffd0000,0xfff8800d,0xdfffb005,0xfffb0000,0x3ff60005,
    0xffffc85f,0x3bfffb00,0x005fffd5,0x07fff5b9,0x2037ffec,0x3a05fffd,
    0xff907fff,0x003d90ff,0xc80fffe8,0x26622fff,0x99998199,0x20175109,
    0x90199998,0x2ea25fff,0xfff98000,0xf53002ff,0xd8013dff,0x80006fff,
    0x0002fffd,0xfd0bfffb,0x7fec09ff,0x3fffa24f,0x3ea3aa04,0x3ff603ff,
    0x7ffec06f,0x3ffff205,0x27fffc82,0xe8000dd8,0xffc80fff,0x3bff6a2f,
    0x7fffdc0b,0x84ffffaa,0x80ffffd8,0xffaafffc,0x5ec004ff,0xf005ffff,
    0x0bffffff,0x006fffd8,0x02fffd80,0x8bfffb00,0x200dfffd,0x7d44fffd,
    0x23f107ff,0x3603fffa,0x7ec06fff,0x3fee05ff,0xfffc83ff,0x0005fd37,
    0x3203fffa,0x2fcc2fff,0x37bfff60,0xf02fffda,0xff901fff,0xfffb5bdf,
    0x7e5e2003,0xa9800fff,0x4009efff,0x0006fffd,0x002fffd8,0xd9dfffb0,
    0xb0039fff,0xff989fff,0x2a3e82ff,0x3f603fff,0xfcc986ff,0x4cccffff,
    0x213fffea,0xffaffffc,0xfe8000ff,0xfffc80ff,0x7e4026c2,0x3ffe65ff,
    0x01fffd04,0x7ccdfff9,0x279004ff,0x004ffff9,0x200bfff1,0x0006fffd,
    0x202fffd8,0x3bfff601,0x1cffffec,0x227ffec0,0x644ffff8,0x01fffd45,
    0x530dfffb,0x55dfffd5,0x7fffd455,0xfffffc85,0x8006ffff,0xfc80fffe,
    0x401322ff,0x3e62fffc,0xfffd05ff,0x45fff901,0x8804fff8,0x3ffff60f,
    0x5fff8800,0x0dfffb00,0x5fffb000,0xb05dfd10,0xffb8bfff,0x3ff604ff,
    0x7fffcc4f,0xff503ea2,0x7ffec07f,0x2fffec06,0x09ffff50,0xfd1ffff9,
    0xe8009fff,0xffc80fff,0x6400f92f,0x3fe22fff,0x1fffd05f,0x445fff90,
    0x4b805fff,0x01ffffd4,0x802fffc4,0x0006fffd,0xc82fffd8,0xffd86fff,
    0xffffa85f,0x89fffb04,0x3e27fffa,0xffb9999b,0xfffb01cf,0x5fffd80d,
    0x0bfffee0,0x7c5ffff2,0x2003ffff,0xfc80fffe,0x04ffcaff,0x445fff90,
    0xffd05fff,0x5fff901f,0x4037ffc4,0x7fffe81e,0x05fff880,0x00dfffb0,
    0x05fffb00,0xd83ffff9,0xff885fff,0xfffb07ff,0x17fff449,0xfffffff3,
    0xb03fffff,0xfd80dfff,0x3ff205ff,0xfffc81ff,0x3ffffe67,0x1fffd001,
    0xffdfff90,0xff9003ff,0x2fffc45f,0xc80fffe8,0x3fe22fff,0x5575406f,
    0xffffdaaa,0x2fffc402,0x06fffd80,0x3ff60150,0xfffe982f,0x82fffec2,
    0xd81ffffe,0xfeccdfff,0x7ffcc1ff,0xffffffff,0x6fffd81f,0x02fffec0,
    0x320dfffb,0x7fdc7fff,0xfe800fff,0xfffc80ff,0x806fffbc,0x3e22fffc,
    0xfffd05ff,0x45fff901,0x7406fff8,0xfccccccc,0x7c406fff,0xffb005ff,
    0x403a00df,0x2202fffd,0x7ffec0fa,0x1ffffd05,0x99dfffb0,0x3ba60379,
    0xfffeeeee,0xfffd81ee,0x2fffec06,0x02ffff88,0xfb0ffff9,0xfd00dfff,
    0xfff901ff,0x013fff65,0x7c45fff9,0xfffd05ff,0x45fff901,0x2606fff8,
    0x7fffe406,0x17ffe201,0x037ffec0,0xfffb03cc,0xfd85c805,0xfff885ff,
    0x9fffb06f,0x3fea0000,0x3fff603f,0x2fffec06,0x205fffc8,0xe887fffc,
    0x7404ffff,0xffc80fff,0x5ffff12f,0x117ffe40,0x3fa0bfff,0xfffc80ff,
    0x81bffe22,0x7ffc403e,0x3ffe205f,0xdfffb005,0x7ec0db00,0x0be202ff,
    0x3617fffa,0xfb01ffff,0x20000bff,0x3603fffa,0x7f407fff,0xfff986ff,
    0x3fff600d,0xfffff307,0x07fff409,0xf517ffe4,0x3f201fff,0x3ffe62ff,
    0x01fffd06,0x7cc5fff9,0x01f506ff,0x03ffffb0,0x4017ffe2,0x6407fffe,
    0x3fffa06f,0x3e07d303,0xda89ffff,0x3e01efff,0x00006fff,0x7407fff5,
    0xf100ffff,0x7313ffff,0xfd007fff,0x3f601fff,0xff04ffff,0xfffb05ff,
    0x05fffe87,0x7d49fffb,0xffff07ff,0x47fffb05,0xe887fffa,0xfffb802f,
    0xffff306f,0xfffff100,0x7fed4435,0xbffff105,0xec983930,0xffffffff,
    0xd9301cde,0x19dfffff,0x7ffd4000,0x7fff64c3,0xd932ceff,0xffffffff,
    0xec98039d,0x0cffffff,0xffffffb1,0x3ffa67df,0x3ff63fff,0xffd33fff,
    0x7fec3dff,0xfff9bfff,0xffd30eff,0x7fec7fff,0xfff9bfff,0xfff70eff,
    0xffb505bf,0x645dffff,0x82effffe,0xfffffec9,0xffffffff,0x7ff65c4f,
    0x000cefff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x13333333,0x4ccccc00,0x33333099,
    0x09998833,0x33333331,0x26666133,0x26199999,0x09999999,0x01ddd900,
    0x001bddb0,0x99999998,0x99999999,0x20103019,0x99999998,0x09999999,
    0x26666662,0x33330099,0x26666213,0x4cc19999,0x00019999,0x33333331,
    0xa8800013,0xffdb881b,0xf3004fff,0x237dffff,0x44effffd,0xb711ffea,
    0x37dfffff,0x3fffff2a,0xffb712cf,0xbdffffff,0x0fffa205,0x003fff50,
    0xfffff750,0xffffffff,0x26fe83ff,0x7fdc0ffc,0xffffffff,0x36a1ffff,
    0x0befffff,0x1dffec88,0xffffffb1,0xfffda87b,0x4c0e403d,0xffffffeb,
    0x800bdfff,0x3efdcfe8,0x1fffffd0,0xfffffb00,0x09fffb03,0x7ff403ea,
    0xfff700ff,0x7fff407f,0x1dfffb55,0xc80bfd10,0x640001ff,0x227fffdf,
    0x2a1ffea9,0x7fff1fff,0xc80bffc8,0xfb04ffff,0xf3009fff,0x3fffee09,
    0x00ffe01f,0xff8807ea,0x3ff664ff,0x53fa203f,0xcd80fff9,0x4403ffff,
    0x80ffffcf,0xb907fff9,0x03fffec0,0x405ffff5,0x7dc5fffd,0xff880eff,
    0x0007fe00,0x3fff2ba0,0xf887f207,0xb07ff66f,0x3ffe601f,0xfff100ff,
    0x06b801ff,0x82ffffec,0xff8804f8,0x27fffc01,0xd837ffec,0x13ffa2ff,
    0x1bfffab6,0xffff7970,0x40ffff40,0x3fff601e,0x3fffea06,0x17fff201,
    0x207ffff1,0x03f503f9,0x3f2b7000,0x07e207ff,0x3d015051,0x17ffff40,
    0x0ffffee0,0x7c401f88,0x5d82ffff,0x01ffe880,0xd827fffc,0x7fcc5fff,
    0x20ffee0f,0x2ffffbad,0x3ffee7a0,0x13ffee07,0xfffd80d3,0x3fffea06,
    0x17fff201,0x8813fffe,0x00001100,0x3fff21f1,0x003b0c47,0x3fee0680,
    0xffd005ff,0x013201ff,0x07ffffdc,0xfe8801d5,0xf8099aff,0xff504fff,
    0x3ffe45ff,0xf8ad814c,0x2b505fff,0x2207fffb,0x02647fff,0xa81bfff6,
    0x3201ffff,0xfff85fff,0x2666624f,0x0ccccc41,0x7e47b000,0x131547ff,
    0x01999988,0x7fffc406,0xfff5000f,0x001f309f,0x9a7fffec,0x7ffcc00f,
    0xf82fffff,0x3fe04fff,0x3fff66ff,0x7e4b6000,0x72d81fff,0xfd80ffff,
    0xb007a2ff,0x7d40dfff,0x3f201fff,0x7ffc45ff,0x3fff621f,0x3fff620f,
    0x46a8000f,0x1647fffc,0x3ffff620,0x7ffec000,0x7ff4003f,0x001ec0ff,
    0x2fffffe2,0xfd98801e,0xf8099aff,0x3f604fff,0xfffd1fff,0xf896c003,
    0x73c44fff,0xfa80ffff,0xb00d35ff,0x7d40dfff,0x3f201fff,0x7ffdc5ff,
    0x01ffff06,0x8001ffff,0x7ffe41f8,0x7c00be67,0x2a000fff,0x8006ffff,
    0x2a5ffff9,0xfff50006,0xfd8007ff,0x7ffc01ff,0x3fff204f,0x05fffb2f,
    0xfffb16c0,0xff71e41f,0xfff880ff,0xfd803c8f,0xaaaaafff,0x01ffffca,
    0x5c57fff2,0xfd01efff,0xfffd01ff,0xc84c8001,0xffd9ffff,0x1fffd002,
    0x3fffa200,0xffb0001f,0x003d13ff,0x2ffffec0,0x07fff600,0x409ffff0,
    0xf93ffffb,0x16c00bff,0x7c7ffff3,0x01fffee0,0x03affff6,0x3bffff60,
    0xffeeeeee,0x3ff201ff,0x2ffffeff,0x407fff40,0x2000fffe,0xd99999f9,
    0xfffeffff,0x1fffd002,0x3ffff200,0x3fe60004,0x0005cdff,0x17ffffc4,
    0x03fffb00,0x204ffff8,0xf54ffffb,0xb0107fff,0x56fffe85,0x87fffb8b,
    0xfffeeeee,0x82eeeeff,0x2a06fffd,0x3201ffff,0x099aefff,0x01fffd00,
    0x4001fffd,0xfeeeeeee,0x0bf27fff,0x007fff40,0x07ffffcc,0x3fff2000,
    0xc80000ff,0x000fffff,0xf803fffb,0x3ee04fff,0x3ffa3fff,0x3612a2ff,
    0x57fffdc2,0x3fffdc1e,0x7fd55554,0x0aaaacff,0x206fffd8,0x201ffffa,
    0x0005fffc,0xfd01fffd,0x16e001ff,0x747fffc8,0x1fffd002,0x5ffffd00,
    0xfff10000,0xf30000bf,0x00bffffb,0xf007fff6,0x7e409fff,0x3fe61fff,
    0xb05fffff,0xddffff05,0x00ffff70,0x400bfffa,0x2a06fffd,0x3201ffff,
    0xd0005fff,0xffd01fff,0x01f1001f,0x323fffe4,0x1fffd002,0x5ffffb80,
    0xffd00480,0xf88000bf,0x2fffff89,0x01fffd80,0xb027fffc,0xe881ffff,
    0x3604ffff,0x2ffffc82,0x987fffb8,0xfffe9999,0xd809999b,0x3ea06fff,
    0x3f201fff,0xfd0005ff,0xfffd01ff,0xc807b001,0x214c7fff,0x0fffe838,
    0x3ffffe20,0xe8025401,0x40005fff,0x3fffea3e,0x7ffec00f,0x27fffc01,
    0x40dfffd0,0x82d801a8,0xf707fff8,0xffff0fff,0xffffffff,0xfffb05ff,
    0x7fffd40d,0x17fff201,0x07fff400,0x2007fff4,0xfffc806a,0x74164087,
    0x3f600fff,0x3e804fff,0x0bfffd00,0x7e426c00,0x7ec05fff,0x7ffc01ff,
    0xffff304f,0x0b600003,0xfb827fec,0xffd007ff,0x3ff6005f,0x3ffea06f,
    0x3fff201f,0xfffd0006,0x01fffd01,0x7e400fc4,0x0fc407ff,0xa807fff4,
    0xa806ffff,0xfffd002f,0x41ae000b,0x02ffffe8,0x0547fff2,0xd827fffc,
    0x88884fff,0x16c00888,0xf900ff98,0xfd001fff,0x3f6005ff,0x3fea07ff,
    0x3ff602ff,0xffd0006f,0x1fffd01f,0xfc802ec0,0x3fe607ff,0x00fffe80,
    0x805ffffd,0xff001ffc,0xf5000bff,0x7fffd403,0xdfff300f,0x3fffe079,
    0x84fffa85,0xfffffff9,0x740bf106,0x3ffff605,0x7fffc401,0xffffd004,
    0x3ffff201,0x3ffffa03,0xffff8000,0x02ffff82,0x3fa00df9,0x9510afff,
    0x3ffe0fff,0xffffc82f,0xffea9985,0xfff8800f,0x7fdc006f,0x7ffffc00,
    0x9dfd500e,0x3bfffe20,0x2fffc989,0xffffff30,0xfffc98df,0x2215c0ce,
    0xffffffec,0x7ffe5c3c,0x4c0cdfff,0xffffffec,0xffffb92c,0x3b229bff,
    0x1cefffff,0xffffe980,0xffffd33f,0x7fff4c7f,0xffecc84e,0xffffffff,
    0x7f4c6fff,0x3e63ffff,0xffffffff,0xffffffff,0x3ffb3200,0x203cefff,
    0x2cfffffb,0x7fffff54,0x540203ff,0xfffffffc,0x4c01ceef,0x5eeeeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333331,0x33333333,0x4cccccc1,0x99999999,
    0x26662199,0x00199999,0x33333310,0x33333333,0x00000013,0x09800031,
    0x15953000,0x654c40dc,0x3773000a,0x82aea200,0x3001bba8,0x99980377,
    0x26666219,0x26377300,0x10300001,0xffffffb7,0x9fffffff,0x7ffffffc,
    0xffffffff,0xffd711ff,0xffffdfff,0xdb88019d,0xffffffff,0x595fffff,
    0x55555555,0x90075555,0x37c0003f,0x2f7fa200,0xfa85bcfe,0x205ffecd,
    0x0dfccfe8,0xffd9bb70,0xbfd7dd37,0x2f7fa201,0xfff903fe,0x3fffaa3f,
    0xfecefb85,0x7540002f,0x37fff407,0xff27fe4c,0x3fff215b,0x207fee26,
    0x7544ffff,0xfd001eff,0xff710fff,0x01c000eb,0xf0000fe4,0x37f4400d,
    0xfc81fff3,0x4427ffc5,0x217f64ff,0x7ffec4fc,0x2617fe1f,0x0ffea6ff,
    0xf50ffff4,0x0ff88bff,0x22000bf2,0x6c05fffc,0x3e606fff,0x3ff217e4,
    0xe81fa86f,0xff984fff,0xffd801ff,0x1d7a207f,0xfc803800,0x01be0001,
    0x7f45ffd8,0x83ffe23f,0x7ec0fffe,0x98bfee2f,0x3fee0fff,0x20fff45f,
    0x7ffc3ffe,0x21fffd82,0x7dc5fff9,0x5001f42f,0x0019fffb,0xd80dfffb,
    0x3ff20be4,0xfd03d06f,0x3ff609ff,0xfffc804f,0x003adc07,0x03f90070,
    0x98037c00,0x3fe23fff,0x8bffe67f,0x3ea0fffd,0x97fea0ff,0x3ea2fff9,
    0x27fe44ff,0xfd85fff5,0x1fffd85f,0xfb17ffe6,0x201cc7ff,0x02effeb8,
    0x237ffec0,0x90592a28,0x06e0dfff,0x6413fffa,0xfc806fff,0x562087ff,
    0x90070003,0x37c0003f,0x23fffb80,0x321fffee,0x3fffa0df,0xf51bff20,
    0x20dfc8df,0x7d43fffb,0x07fff25f,0xffb0fffb,0x2fffcc3f,0x037fffee,
    0x39fff930,0x3fff6000,0x200a1dc6,0x4006fffc,0xf904fffe,0xff900fff,
    0x38c190ff,0xf9007000,0x037c0003,0x7b2fffc8,0x5c05fff9,0x360ffffe,
    0xffffffff,0x7f6cc07f,0xffffffff,0x07fffa7f,0xfd83fffb,0x3ffe61ff,
    0x7ffffc45,0xeffea81e,0x7ec0000b,0x001ec6ff,0x0037ffe4,0x7413fffa,
    0xfc806fff,0x380e87ff,0x2aa27000,0xabfdaaaa,0x5552aaaa,0x55df5555,
    0x7ec35555,0xff94baff,0xb3ff507f,0x7ff41fff,0xafd98007,0xd003fff9,
    0xffd83fff,0x0fffec2f,0xf50bfff3,0x543fffff,0x00004fff,0xf89bfff6,
    0xfffc8003,0x7fff4006,0x3ffff884,0x47fffc80,0x000380fb,0x3ffffee7,
    0xffffffff,0xfffffb7f,0xffffffff,0x6fffe49f,0x887fff25,0xfffb0efd,
    0x007ffec1,0x3e63ff70,0xffb005ff,0x1fffd83f,0xf30fffec,0x3fa60bff,
    0x3ae25fff,0x0000beff,0x5cf7ffec,0xfc8003ff,0x7f4006ff,0x7ff4c4ff,
    0xfff9004f,0x01ff953f,0x544e0007,0xbfdaaaaa,0x552aaaaa,0x5df55555,
    0x5c355555,0x7fec6fff,0xfb1ffec7,0x7ffe41ff,0x49ff9003,0x9007fff8,
    0xffd83fff,0x0fffe40f,0x218bfff3,0x307fffd8,0x0039fffb,0x3fffff60,
    0xc8003fff,0x74006fff,0xffeeffff,0x32001cff,0xfffeffff,0x7000380f,
    0x0003f900,0xff88037c,0x137ff43f,0x7fec3fff,0x1fffea0f,0x83fff124,
    0x4703fffe,0x7f41fffa,0x1fffc86f,0x5917ffe6,0x200fffc8,0x02effeb8,
    0x8b7ffec0,0xfc8003fd,0x7f4006ff,0xfffe9dff,0x7fe4001f,0x01ff737f,
    0x200e0007,0x3e0001fc,0x17ff6006,0x7fe45ffd,0xffffc9df,0x177fffc1,
    0x27ffe439,0x19ffffd3,0x7ffb0b22,0xfb81fff8,0xfffd12ff,0x7fc0ec8b,
    0x3ff6a006,0xffd801cf,0x4001f46f,0x4006fffc,0xff34fffe,0x64001dff,
    0x07cc7fff,0x8038001c,0x3e0001fc,0xffdd1006,0xf50ffea1,0xff99ffff,
    0x7ffcc9df,0x7d43feff,0xdaeeffff,0x4fefffff,0x3ee6fe88,0xffff103f,
    0x8dfff9d9,0x5ff10dfb,0xfff91000,0x6fffd80b,0x7e4001dc,0x7f4006ff,
    0x3ffee4ff,0x3ff2005f,0x0380d87f,0x3f900700,0x8037c000,0xdfbff92d,
    0x477ff207,0xe984ffe8,0xfb04efff,0xffc87fff,0x36203eff,0x402ffdef,
    0xf9affffa,0xdd70dfff,0x0005ffbf,0xfd80fb50,0x2c1cc6ff,0x01bfff20,
    0xd89fffd0,0x9002ffff,0x0170ffff,0x200e0007,0x776401fc,0xeeffeeee,
    0x2023eeee,0x040000a9,0x44005440,0x0054c00a,0x30002a60,0x9884c003,
    0x01800001,0x0437ffec,0xfff90166,0xfffe800d,0x7ffffc44,0x7fffc800,
    0x20007008,0x401fc803,0xfffffffd,0x4fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb00dfffb,0x6fffd809,0x2ffff400,0x037fffd4,
    0x003fffe4,0x000e0007,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb000000,0x3fd80fff,0x03fffec0,0x417fffa0,0x403ffffd,0x2007fffd,
    0x00070003,0x00000000,0x00000000,0x00000000,0x00000000,0xfe800000,
    0x7310afff,0xfe805fff,0xf1000fff,0x3a20dfff,0x3a02ffff,0x9000ffff,
    0x55555555,0x00755555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x93000000,0xfffffffd,0x3fffffff,0xffffd930,0x326059ff,0xcefffffe,
    0x7ffffcc1,0xfffd930d,0x00059fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333100,0x22199983,
    0x31099999,0x26213333,0x08002099,0x00441b88,0x4ccccc00,0x26017510,
    0x75109999,0x20375103,0x19999998,0x26613333,0x06e20999,0x33333331,
    0x00001333,0x1e400000,0x01880380,0x3220014c,0x3fea1000,0x3ee0cfff,
    0xffff50cf,0x3fffee5f,0x23df912e,0x8b2e23fa,0x27ffc5e8,0x400039f5,
    0xfaaffffb,0xffb84fff,0xffffabff,0xbffff70e,0xdffffb10,0x219ff915,
    0xf93ffffb,0x77fec1ff,0x0ffffecc,0x53207a20,0x003e81f8,0x6401ffa8,
    0x03fe204f,0x36003ff8,0x2a2c804f,0x5d80ffff,0x5c6fffa8,0x07c45fff,
    0xfffd9ff1,0x547fd9ff,0x3fe67fff,0xfb0002ef,0xffb5bdff,0xdfffb05f,
    0x9bfff75d,0x05fffb5b,0xf99bfff2,0xcbfffc81,0x1761ffff,0x8813fffa,
    0x320fb85e,0x0017d40e,0xd1003be2,0x07ff109f,0x98027fc4,0x3e600fff,
    0x0bfffa1e,0x7fff407e,0x83fffe21,0xbfff8859,0x43ffea89,0xda86fff9,
    0x2000cfff,0x3e65fffc,0xfffb84ff,0x93fffa0e,0x3a04fff8,0x205b2fff,
    0xd9ddfffb,0x3ee0ec6f,0x3fa206ff,0x3e227dc1,0x0017f40e,0x49fd1000,
    0x21983ff8,0xfe80a1fd,0x3fa605fd,0x317ffea4,0x27ffdc0b,0x647ffff5,
    0x900ff882,0x03df707f,0x16fffe44,0x317ffe40,0xff70bfff,0x0fffe87f,
    0xa817ffe2,0x205aefff,0x020ffffb,0x5ffff10a,0x3ea2fec0,0x4c6fc80f,
    0x000001ff,0x3fe73fa2,0xa8dff983,0xf509ff56,0x6c03ff1b,0x0ffff44f,
    0x7ffc4059,0x9bffeb67,0xe809f906,0xfd500005,0x3f2017ff,0x3ffe22ff,
    0x43fffb85,0x7fc0fffd,0x7fff406f,0x3ffee00f,0xfffd8005,0xa83ff605,
    0xbff104ff,0x2aa1ffe8,0xaaaaaaaa,0x881aaaaa,0xf103fffe,0xff795dff,
    0x70ff889f,0x1df950df,0xd14fffb8,0x13fffb00,0x2a3fffab,0xc801fd04,
    0x2600000f,0x642dfffc,0x3fe22fff,0x3fffb85f,0x3e07ffec,0x7fcc06ff,
    0x3fee00ff,0x7fd4004f,0x9ff900ff,0x9007ffcc,0x7ffcc9ff,0xffffffb0,
    0xffffffff,0x01bfe609,0x55d95551,0xe89f9035,0x8804d42f,0x03b8ffff,
    0x2bdfffa8,0x03b7fff7,0x0bea01be,0x3fa60000,0x17ffe47f,0xf70bfff1,
    0xfffd87ff,0x4037ffc0,0x2e04fffd,0x74003fff,0xff304fff,0x02fff45f,
    0xfe87ffe6,0x5555555f,0x55555555,0xffff1035,0x36bae009,0x981ff100,
    0xffc8007f,0xff000ebf,0x3fe21dff,0x01f606ef,0x800003f2,0x41cfffd9,
    0x3e22fffc,0xfffb85ff,0x207ffec3,0xfa806fff,0xff700fff,0x7fe4007f,
    0x37fdc06f,0x6c01ffd1,0x3bfe63ff,0xf8800000,0x204fe8bf,0x05ff3fd8,
    0x0ff607fb,0x9ffff300,0x2fffe400,0xa813fff6,0x982f402f,0xffd71000,
    0x3ff2017d,0x17ffe22f,0xfb0fffee,0x6fff81ff,0x4fffed80,0x007fff70,
    0x10bfffe2,0x262ffc81,0x9ff305ff,0x3000efe8,0x8ffe2001,0xff904fe8,
    0xf983ff63,0x003fe206,0x003fffb0,0x2a17ffcc,0x7fc01fff,0xd83fc881,
    0x3f2603ff,0xfc801dff,0x3ffe22ff,0x43fffb85,0x7fc0fffd,0x7c65c06f,
    0xffb81fff,0xfffb003f,0xdf90190b,0xfd81ff98,0x8007fd44,0x74400ff9,
    0x84fe883f,0x71fea6fb,0x02ca8039,0x0037fd40,0x7fc43ff4,0x77ffc406,
    0x43fffc9a,0xda87fffa,0x2000bfff,0x3e62fffc,0xfffb86ff,0x10ffff43,
    0x34c0ffff,0xf90bfff9,0xff5007ff,0x207981ff,0x22fd42fd,0x01fe85f9,
    0x7007fea0,0x07f4407f,0x00004c0c,0x017f4000,0xfc827dc0,0x3f3fe203,
    0xfedfffff,0x99fffea3,0x0002dfff,0x7d49fffb,0xfffd87ff,0x317fff44,
    0xf101ffff,0x17fffcc7,0x2013fff6,0x2e24fffe,0x5436c07f,0x3ea1761f,
    0x001a8001,0x00011003,0x70000000,0x07e2000f,0x7f3007cc,0xe88de654,
    0xf51fff43,0x7ec00039,0xff9bffff,0xff90efff,0xffb19fff,0xfff55fff,
    0x3f663dff,0xfffd9bef,0xffff95ff,0x3fee019f,0xffffffff,0x5c0ec406,
    0x05b01b13,0x00000000,0x00000000,0x20001880,0x00401402,0x01026010,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x55400ab9,0x0180e600,0x82a805cc,0x00b980b8,
    0x1a801573,0xdddddd98,0xdddddddd,0xbbbbbb35,0xbbbbbbbb,0xd300000b,
    0xd88309dd,0x030105ee,0x332217d7,0xcccccccc,0x7712cccc,0x77777777,
    0x00057777,0x00000000,0x1fffff44,0x227fffcc,0xffa86fda,0x7fffc41e,
    0xf12ffe44,0x7ffcc3ff,0x3fe67aa0,0x2eb9ec81,0x3fffffea,0xffffffff,
    0xffffff57,0xffffffff,0x17dfb30f,0xdff72c40,0x261ffe88,0x3fe60fff,
    0xffa9bfa3,0xfffff34f,0xffffffff,0x3fffe6bf,0xffffffff,0x000005ff,
    0xf1000000,0x87ff97df,0x70fffbce,0xffd0dff7,0x74df44bf,0x3fffe0ff,
    0x649fff70,0x47fe2fff,0xf27d44fe,0x8888888f,0x88888888,0x22222220,
    0xd8888888,0x7ffffdc7,0x3a4b82df,0x7ffdc0ef,0xf91ffcc5,0x47ffe6ff,
    0x3316fffc,0x33333333,0x2a233333,0xaaaaaaaa,0x001aaaaa,0x00000000,
    0xff887f90,0x0ffdc310,0x3ffa1bfe,0x7fb820ff,0xff53fff4,0x0fffdc7f,
    0x8bfd11b9,0x00bfa3fd,0x36000000,0x6d445fc7,0xfdbcffff,0xf701df11,
    0x4df50bff,0x9bfe4ff9,0x0003fff9,0x00000000,0x00000000,0x02fc83fc,
    0x0dff0df7,0x101ffff5,0x5ffd83fd,0xfa87ffe6,0x76e440ff,0xe8ffe25f,
    0x2222225f,0x88888888,0x3ec00008,0x3fee20d3,0x03ae3eff,0xa80fff44,
    0x0510620f,0x000007b5,0x00000000,0x88000000,0x207f505f,0x06ff82fd,
    0x3fea1ae2,0x0ffee1ef,0x6ff88fff,0x45fea7d4,0x54ffa3fe,0xffffffff,
    0x07ffffff,0x0333ec00,0x00105730,0x00002006,0x00000000,0x00000000,
    0x07fc0000,0x1fcc17ec,0x1f406ff8,0x224ffd98,0x42fe41ff,0x47fe24fe,
    0xf27dc5fe,0x3333261f,0xcccccccc,0x5c0004cc,0x00000004,0x00000000,
    0x00000000,0x00000000,0x20dfc800,0x1f440ffa,0x2606ff83,0x227f400f,
    0xc83fa87e,0x33bfe62f,0x5be21efe,0x000005f8,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfe800000,0x442fffdf,0x7c5caade,0x303f506f,
    0x42e40fb8,0x40fa81f8,0x205931ca,0x00001bca,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0xd03dfff9,0xf89fffff,0xc80ca87f,
    0x984e89df,0x01620b03,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x99995009,0x3332a399,0xb71001bc,0x0000039d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_32_latin1_x[224]={ 0,2,2,0,1,2,1,1,1,0,1,0,0,0,
1,0,1,1,0,0,0,0,1,0,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,0,2,-1,0,1,0,1,1,1,0,1,0,0,
-1,0,0,1,0,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,0,1,1,1,1,1,0,0,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_32_latin1_y[224]={ 25,5,5,5,5,5,5,5,5,5,5,7,20,16,
20,5,5,5,5,5,5,5,5,5,5,5,11,11,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,29,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,25,11,5,5,8,5,
5,5,5,5,5,11,12,16,5,2,5,7,5,5,5,11,5,13,24,5,5,11,5,5,5,11,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
4,5,5,4,11,11,5,5,4,5,5,5,4,5,5,5,5,5,4,5,5,9,11,5,5,4,5,5,5,5,
 };
static unsigned short stb__times_bold_32_latin1_w[224]={ 0,6,12,14,13,25,22,6,9,9,12,16,7,9,
5,9,13,12,14,13,14,14,13,14,13,14,6,6,16,16,16,12,26,21,19,19,20,18,17,22,22,11,15,23,
19,27,21,21,17,21,22,14,18,21,21,29,21,21,19,6,9,7,13,16,7,13,15,12,15,12,12,13,16,8,
9,17,8,23,16,13,15,15,12,10,10,16,15,21,14,15,13,9,3,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,12,14,15,15,
3,13,10,21,9,14,17,9,21,16,11,16,8,8,7,16,16,5,5,7,9,14,21,20,22,12,21,21,21,21,
21,21,29,19,18,18,18,18,11,11,11,11,20,21,21,21,21,21,21,13,21,21,21,21,21,21,17,15,13,13,
13,13,13,13,20,12,12,12,12,12,9,9,10,10,13,16,13,13,13,13,13,16,14,16,16,16,16,15,15,15,
 };
static unsigned short stb__times_bold_32_latin1_h[224]={ 0,21,10,21,22,21,21,10,26,26,12,17,11,4,
6,21,21,20,20,21,20,21,21,21,21,21,15,20,15,7,15,21,27,20,20,21,20,20,20,21,20,20,21,20,
20,20,21,21,20,26,20,21,20,21,21,21,20,20,20,26,21,26,11,3,6,15,21,15,21,15,20,21,20,20,
27,20,20,14,14,15,21,21,14,15,20,15,15,15,14,21,14,26,27,26,6,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,21,15,20,
27,27,5,21,9,14,7,4,21,3,11,17,11,11,6,21,27,5,7,11,9,14,21,21,21,21,26,26,26,25,
25,25,20,26,26,26,26,25,26,26,26,25,20,26,27,27,27,26,26,13,23,27,27,27,26,26,20,21,21,21,
22,21,21,22,15,20,21,21,22,21,20,20,21,20,21,20,21,21,22,21,21,13,15,21,21,22,21,27,27,27,
 };
static unsigned short stb__times_bold_32_latin1_s[224]={ 253,249,54,201,45,129,118,47,243,149,223,
96,30,243,147,177,187,236,225,141,39,65,80,116,131,145,55,249,235,87,62,
232,63,181,1,45,222,1,62,209,45,54,187,87,216,1,64,133,68,52,39,
16,20,203,155,1,189,167,147,15,182,44,236,178,153,145,86,243,48,159,203,
119,164,155,49,120,111,96,79,193,155,171,135,224,211,207,1,17,120,233,148,
139,59,124,122,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,253,245,111,
1,39,29,90,1,161,160,67,162,104,243,94,195,1,113,13,38,139,216,116,
172,250,22,77,177,96,75,52,39,67,22,74,209,187,134,106,159,179,198,96,
168,127,115,239,156,66,23,133,155,177,217,1,209,231,199,221,94,45,89,21,
183,199,239,1,25,169,59,172,240,213,226,32,1,86,96,14,136,31,138,101,
115,73,155,87,192,130,192,31,15,102,33,17,1, };
static unsigned short stb__times_bold_32_latin1_t[224]={ 1,107,252,107,84,84,107,252,1,29,236,
215,252,210,252,107,107,173,151,107,173,129,129,129,129,129,236,173,215,252,236,
129,1,173,173,129,194,215,215,129,194,173,151,173,173,194,151,151,194,29,215,
151,215,151,107,129,194,194,194,29,129,29,236,252,252,215,151,194,151,215,173,
151,173,173,1,173,173,236,236,215,151,151,236,215,194,215,236,236,236,107,236,
29,1,57,252,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,
215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,215,1,129,57,
151,236,194,1,29,252,129,252,236,252,210,129,252,252,215,252,252,252,107,1,
252,236,252,252,236,107,107,107,107,57,29,29,57,57,57,194,29,29,29,29,
57,29,29,29,57,173,57,1,1,1,29,57,236,57,1,1,1,57,57,173,
84,84,84,84,107,84,84,215,151,84,84,84,107,194,194,107,194,129,173,84,
84,84,84,84,236,215,129,151,84,151,1,1,1, };
static unsigned short stb__times_bold_32_latin1_a[224]={ 116,154,257,231,231,462,385,128,
154,154,231,263,116,154,116,128,231,231,231,231,231,231,231,231,
231,231,154,154,263,263,263,231,430,334,308,334,334,308,282,360,
360,180,231,360,308,436,334,360,282,360,334,257,308,334,334,462,
334,334,308,154,128,154,269,231,154,231,257,205,257,205,154,231,
257,128,154,257,128,385,257,231,257,257,205,180,154,257,231,334,
231,231,205,182,102,182,240,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,360,
360,360,360,360,360,360,360,360,116,154,231,231,231,231,102,231,
154,345,139,231,263,154,345,231,185,254,139,139,154,266,250,116,
154,139,153,231,347,347,347,231,334,334,334,334,334,334,462,334,
308,308,308,308,180,180,180,180,334,334,360,360,360,360,360,263,
360,334,334,334,334,334,282,257,231,231,231,231,231,231,334,205,
205,205,205,205,128,128,128,128,231,257,231,231,231,231,231,254,
231,257,257,257,257,231,257,231, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_32_latin1(stb_fontchar font[STB_FONT_times_bold_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_32_latin1_s[i] + stb__times_bold_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_32_latin1_t[i] + stb__times_bold_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_32_latin1_x[i];
            font[i].y0 = stb__times_bold_32_latin1_y[i];
            font[i].x1 = stb__times_bold_32_latin1_x[i] + stb__times_bold_32_latin1_w[i];
            font[i].y1 = stb__times_bold_32_latin1_y[i] + stb__times_bold_32_latin1_h[i];
            font[i].advance_int = (stb__times_bold_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_32_latin1_s[i] + stb__times_bold_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_32_latin1_t[i] + stb__times_bold_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_32_latin1_x[i] + stb__times_bold_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_32_latin1_y[i] + stb__times_bold_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_32_latin1_LINE_SPACING
#endif

