// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT        294
#define STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_34_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_34_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_34_latin1_LINE_SPACING          22

static unsigned int stb__times_bold_34_latin1_pixels[]={
    0x09999800,0x33310000,0x99980003,0x00000009,0x06666200,0x99980000,
    0x26200000,0x0a600009,0x7774c06a,0x100002ee,0x10007ae7,0x379bb975,
    0x4ccc4000,0x1aaaaaaa,0xf30003d7,0x40000bff,0x0003fffb,0x0027ffd4,
    0x13fff200,0x01fffb00,0xfff70000,0x3e200009,0x98000fff,0x0fff66ff,
    0x01ffffc4,0xfc8f5c00,0x7bfb5002,0x7db95335,0x7fff5c00,0xadffeeff,
    0x90005f91,0x80000bff,0x00003ffe,0x0000fff5,0x8004ffe8,0x0003ffe8,
    0x7ffffc40,0xffc80001,0xfc8004ff,0x0bfff0ff,0x001ffff4,0x7e41dd10,
    0x05f7cc02,0x20076c40,0x4ffffffd,0x00bf21f6,0x0003bfa0,0x004ff980,
    0x00ffdc00,0x05ff9800,0x01bfa200,0xf9ffb000,0xf98000bf,0x000ffddf,
    0xffb37fcc,0x1fffec07,0xc83fb000,0x017ee02f,0xfd807d40,0x24ffffff,
    0x002fc86d,0x000077cc,0x00013ee0,0x00027dc0,0x80005fc8,0x00000fe8,
    0x3fa63ff3,0x93fa0001,0x288005fc,0x7fec0198,0xdfb0003f,0x3f605f90,
    0x43540003,0xfffffffa,0x3f21b64f,0x00764002,0x00274000,0x001f2000,
    0x00002f40,0x200007d1,0x02f440ee,0xfb83fa80,0x20000001,0x8003fffd,
    0x2fc82ffb,0x00003fb8,0xffffd87b,0x1764ffff,0x00000bf2,0x00000000,
    0x18000000,0x00000000,0x00500a20,0x019806a0,0x3f600000,0x200a23ff,
    0x85f907fe,0x019805f9,0x7fff4588,0x364fffff,0x1002fc85,0x01357953,
    0x55555510,0x54415555,0x511aaaaa,0x55555555,0x55554415,0x000001aa,
    0x35795310,0x55551001,0x41555555,0x1aaaaaa8,0xabca9880,0xfffc8009,
    0x3faa3fff,0xbfffd86f,0x80dfffe9,0x5f905ffa,0x3e600fe8,0x0ffeacdf,
    0x3ffffe2c,0x1764ffff,0xfd300bf2,0xdffd77bf,0xfffca803,0x5441aeff,
    0x2a0aeffd,0xaefffffc,0x77fed441,0xfffff90a,0x37ff547f,0x2f7ffa60,
    0x401effeb,0xefffffca,0x7fed441a,0x3fa600ae,0xeffebbdf,0x7fffdc01,
    0xfb05f883,0xffb9dbff,0x09ffd0df,0x03f98bf2,0x7eec7fee,0x3f61c86f,
    0x4fffffff,0x80bf2176,0xf881fffb,0xffe804ff,0x0fd802ff,0x0bffffa0,
    0x3ee03f60,0x5f883fff,0x40fffdc0,0xe804fff8,0xd802ffff,0x7ffdc00f,
    0x04fff881,0x442ffff4,0xffffb00f,0x31fffdc3,0x3f207fff,0x7dc03f22,
    0x13fff24f,0xffffb8ea,0x1764ffff,0x7ff40bf2,0x3ffea02f,0x7fffec06,
    0x6c06c802,0xc802ffff,0x17fffa06,0xffe803e2,0x3ffea02f,0x7fffec06,
    0x7406c802,0x3ea02fff,0x3fea06ff,0xb02d40ff,0xff889fff,0x5fff50ff,
    0x2fc4bf20,0x360fff98,0x24982fff,0xfffffff9,0x3f21764f,0x05fffc82,
    0x204fffd8,0x801ffffc,0x7ffe405b,0x205b801f,0x540ffffa,0x17fff205,
    0x813fff60,0x801ffffc,0x3fff205b,0x4fffd805,0xb0ffffa0,0x1fffec05,
    0xfb8ffff4,0x213102ff,0x7ffd02f9,0x7507ffe8,0xffffffd8,0x3f21764f,
    0x17fffcc2,0x0ffffcc0,0x01ffffc8,0x7fe405b8,0x05b801ff,0x361ffff4,
    0x5ffff302,0x3ffff300,0x07ffff20,0x7fcc16e0,0xff9802ff,0xfff701ff,
    0x3f603c4d,0xfffd83ff,0x005fff93,0x3fea07ea,0x82fffc1f,0xffffc82c,
    0x321764ff,0x7ffff42f,0xdffff000,0x07ffff20,0xff9016e0,0x0b7003ff,
    0x226fffb8,0x3ffffa07,0xdffff000,0x07ffff20,0x7ff416e0,0xfff000ff,
    0x3ffe20df,0xfd80972f,0xfffd83ff,0x003fffb4,0x3ffa03ee,0x81fffd46,
    0xfffd701e,0x7e42ec9f,0x1bfffe22,0x0ffffe80,0x01ffffc8,0x7fe405b8,
    0x05b801ff,0xb97fffc4,0xdffff104,0x7ffff400,0x1ffffc80,0xff885b80,
    0x3fa006ff,0xff900fff,0xfb007abf,0xfffb07ff,0x007fff29,0x7ffcc3e4,
    0x407fff43,0x9f730068,0x517e42ec,0x400dffff,0xc82ffffd,0xb801ffff,
    0x7fffe405,0xc805b801,0x203d5fff,0x006ffffa,0x20bffff6,0x801ffffc,
    0xffffa85b,0x3fff6006,0xffff102f,0xfffb00d5,0x27fffb07,0x7002fffb,
    0x45fff50f,0x7706fffa,0x1764e800,0xfffb8bf2,0x3ff6005f,0xfffc83ff,
    0x405b801f,0x801ffffc,0xfff8805b,0x3fee06af,0x3f6005ff,0xffc83fff,
    0x85b801ff,0x005ffffb,0x80fffff6,0x803ffffd,0xfe83fffd,0x5fff51ff,
    0x0fcc2a60,0x6c47ffee,0x06984fff,0x21764e80,0x3fff62fc,0x3ff2004f,
    0xfffc85ff,0x405b801f,0x801ffffc,0xfffb005b,0x7ffec07f,0x3ff2004f,
    0xfffc85ff,0xd85b801f,0x2004ffff,0x205ffffc,0x800ffffa,0xff83fffd,
    0x5fff30ff,0x17c4bf20,0x56cbfff2,0x0f442fff,0x0bb27400,0x7ffec5f9,
    0x3ff2004f,0xfffc84ff,0x405b801f,0x801ffffc,0xfff5005b,0x7ffec01f,
    0x3ff2004f,0xfffc84ff,0xd85b801f,0x2004ffff,0x404ffffc,0xfb005ffe,
    0x7fcc1dff,0x827ffc3f,0xf70fa2fc,0xff37ffff,0x311ec43f,0x85d93a00,
    0x3ffee2fc,0x3ff6005f,0xfffc83ff,0x405b801f,0x801ffffc,0x3ffa005b,
    0x7fffdc05,0x3fff6005,0xffffc83f,0xfb85b801,0x36005fff,0x5c03ffff,
    0xffb002ff,0xffd55ddf,0x20bff70b,0xf11762fc,0x7ff49fff,0x1642ec9c,
    0x21764e80,0x3ffea2fc,0x3ff6006f,0xfffc82ff,0x405b801f,0x801ffffc,
    0x3fee005b,0x7fffd402,0x3fff6006,0xffffc82f,0xfa85b801,0x36006fff,
    0xf802ffff,0x3fff6006,0x0dffffbb,0xf906ff88,0x3aa0fc45,0x5efe4c2e,
    0x3a005881,0x8bf21764,0x007ffff8,0x203ffffa,0x801ffffc,0x7ffe405c,
    0x005c801f,0x7fc4037c,0x3fa007ff,0xffc80fff,0x85c801ff,0x007ffff8,
    0x003ffffa,0xffd800f2,0x3200a63f,0x42fc82ff,0xd800006b,0x5d93a001,
    0x7fe42fc8,0xff8800ff,0xfff504ff,0x8099003f,0x801ffffa,0x01e4004c,
    0x00ffffc8,0x04ffff88,0x003ffff5,0x3fff2099,0xfff8800f,0x001d004f,
    0x001fffec,0x7e42ff44,0x00004d82,0x49d000f2,0x442fc85d,0xa803ffff,
    0xf300ffff,0x5d005fff,0x2ffff980,0x74002e80,0xffff1000,0xffff5007,
    0x3fffe601,0xf102e802,0xf5007fff,0x3d981fff,0xffb00166,0x3e20007f,
    0x4417e41f,0x3c80002f,0x1764e800,0x3fee0bf2,0x7ffc407f,0x7fffc03f,
    0x4007d404,0x5404ffff,0x4c7b300f,0x7ffdc005,0x7fffc407,0x27fffc03,
    0xfb803ea0,0x7fc407ff,0x0ffe83ff,0xffd8003b,0x3e60003f,0xe8817e45,
    0x3d88000d,0x2ec9d000,0xffb817e4,0x3fff203f,0xffffc802,0x2003f301,
    0x301ffffc,0x87ff403f,0xffb8001d,0x3fff203f,0xffffc802,0x7003f301,
    0x7e407fff,0x7fff02ff,0xffd000b5,0xe980007f,0xb805f90d,0x5d91002e,
    0xbb274000,0x74c05f90,0x7fdc43ff,0x3fee001e,0xfca89bff,0x7ffdc003,
    0x3fca89bf,0x2d5fffc0,0x7ffd3000,0x01effb88,0x2ffffee0,0x003fca89,
    0x710fffa6,0x7e403dff,0x4c000dff,0x000effff,0x05f95a80,0x359bdb10,
    0x003bb975,0x42ec9d00,0x6e4402fc,0xcdffedff,0xffea8000,0x002effff,
    0xfffffd50,0xff9005df,0x880001bf,0xffedffdc,0xea8000cd,0x2effffff,
    0xffdc8800,0x00cdffed,0x98001b98,0x2ccccccc,0x072a0000,0x57953100,
    0x5c000013,0x072a0ea2,0x00155100,0x1aaa9800,0x2aa60000,0x0dcc001a,
    0xaa880000,0x54c00000,0x200001aa,0x00000aa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x4c400000,0x2b2e0099,0x04ccc400,
    0x19998800,0x4cc00000,0x88000099,0x98000099,0x40000199,0x80000880,
    0x40001998,0x98001999,0xdb800080,0x80266201,0x19d11cc8,0x3ffe0000,
    0x1ff5c00e,0x01fffd10,0x07fff600,0x7fcc0000,0xf880005f,0x40000fff,
    0x0003fffc,0x3f25ff98,0x7f40002f,0xf30002ff,0x75400bff,0x00b52dff,
    0x881fffb8,0xfd00ffff,0x03f621ff,0x1fff5000,0x80ffe600,0x0003ffe8,
    0x00013ff6,0x0077fdc0,0x7fffe400,0xffc80005,0xffc80005,0x00bfff0f,
    0x37fffd40,0x05ffc800,0x3ffffe20,0x74002fff,0xffd83fff,0xfff984ff,
    0x003be23f,0x001ffc80,0xd1007ff4,0x744000bf,0xd000006f,0x300001df,
    0x03ffbdff,0x01ff9000,0x26ffa800,0x20003ffd,0x03ffceff,0x4005ff80,
    0xffffecea,0xfffb8007,0x7eeffcc1,0x7fffcc0f,0x00037ec3,0xfd0003ff,
    0x0fe8805f,0x07fa2000,0x1df10000,0x93f60000,0xb00005fc,0x7500007f,
    0x00015c41,0x1bea1df7,0x000df300,0x05edcc17,0xe81db800,0xf113f64f,
    0xff985fff,0x01fa8004,0x007fff00,0x880007f1,0x5c00004e,0xf500000e,
    0x0003f707,0x00001760,0x27c40000,0xd9001fcc,0x00000001,0x905f5000,
    0x0ffff81f,0x0000ffe8,0x3ffe2000,0x00000001,0x00000000,0x06601980,
    0x22000000,0xaaaaaaaa,0x2aaa20aa,0x0a601aaa,0x40000288,0x1aaaaaa9,
    0x2aaaaa20,0x01a8000a,0x0fffb066,0x55113ff2,0x55555555,0x03555555,
    0x5103ffe6,0x55555555,0x02880015,0x00510000,0x000a2000,0x55555551,
    0x55555555,0xfff95035,0xa8835dff,0x510aeffd,0x55555555,0x35555555,
    0xaaaaaa88,0xf710aaaa,0x403fffff,0x40beffeb,0x13ffffe9,0x55555555,
    0x2ffdc155,0x220fffa8,0xefffffc9,0xfffffeee,0x10fff504,0xffffff73,
    0x0d700037,0x01ae0000,0x0035c000,0x3ffff262,0xfffeeeef,0x3ffa04ff,
    0x0fd802ff,0x7fffe4c4,0xfffeeeef,0x7dcc44ff,0x81bfffff,0x0ffffff8,
    0x3e007ec0,0xf7313fff,0x837fffff,0xff303ffa,0x3fff205f,0x4ffd882f,
    0xd80dff30,0x0003ffff,0x00000bfa,0x00000bfa,0x64000bfa,0xd882ffff,
    0x3ff604ff,0x06c802ff,0x417fffe4,0x3604ffd8,0x6403ffff,0x406fffff,
    0xfffd806b,0x3ffffd83,0x2203ff10,0xff704fff,0x27d405ff,0xfc80dff0,
    0x50002fff,0x80000bff,0x00005ffa,0x8002ffd4,0x202ffffb,0x3ff204fa,
    0x05b801ff,0x017fffdc,0x7fe409f5,0x7f6402ff,0x2a04ffff,0x3fffd805,
    0x02ffffc8,0xfff881fa,0x5ffff705,0x3e604d80,0x3ffee01f,0xffd0002f,
    0x7400003f,0x00001fff,0x0007fffa,0x00bfffee,0x7ffe409b,0x405b801f,
    0x402ffffb,0x3ffee04d,0x7ede402f,0xb503ffff,0x07fffb00,0x405ffff7,
    0x3ffe206d,0x5ffff706,0x3012a098,0x3fee05dd,0xf98002ff,0x00004fff,
    0x009ffff3,0x3fffe600,0xfffb8004,0x09504c2f,0x00ffffe4,0x3fee02dc,
    0x9504c2ff,0x17fffdc0,0x7fff4f20,0x805a81ff,0xfb83fffd,0x16e02fff,
    0x2e0ffff0,0x0ec2ffff,0x427d400a,0x002ffffb,0x0fffffd8,0xfffd8000,
    0xd80000ff,0x000fffff,0x217fffdc,0xff90141d,0x0b7003ff,0x42ffffb8,
    0xff70141d,0x13c805ff,0x81ffffff,0xfffd805a,0x2ffffb83,0xfff012a0,
    0x3fffee0d,0x5c000fc2,0xfffb81de,0x67c4002f,0x0003ffff,0x7fffe7c4,
    0x67c40003,0x4003ffff,0x7c2ffffb,0x3fff2001,0x405b801f,0x7c2ffffb,
    0x3ffee001,0xf31e402f,0x5a8dffff,0x83fffd80,0x202ffffb,0x3ffe2018,
    0x5ffff705,0x36000fcc,0x3ffee03f,0x4664002f,0x0007ffff,0x7fffc664,
    0x46640007,0x4007ffff,0x262ffffb,0x3ff2001f,0x05b801ff,0x317fffdc,
    0x7fdc003f,0x21e402ff,0x24fffffb,0xfffd805a,0x2ffffb83,0x3ffe2000,
    0x5ffff704,0xd8007fea,0x3fee00ff,0x3e2002ff,0x05ffffb0,0x7ec3e200,
    0x10002fff,0x3ffff61f,0x3ffee002,0x003ff52f,0x00ffffe4,0x3fee02dc,
    0x03ff52ff,0x17fffdc0,0x3ff20f20,0x00b52fff,0xf707fffb,0x14c05fff,
    0x207fff10,0xffeffffb,0xff1001ff,0xffffb80b,0xf996e002,0x70006fff,
    0x37fffccb,0x3e65b800,0x2e006fff,0xfffeffff,0x3ff2001f,0x05b801ff,
    0x7f7fffdc,0x2e001fff,0x6402ffff,0xfffffd03,0xffb00b53,0xffff707f,
    0x41bff205,0xf701fffa,0xffb77fff,0x1bfea003,0x05ffff70,0x3ffa0f40,
    0x1e8001ff,0x00fffff4,0x3ffa0f40,0xff7001ff,0x3ffb77ff,0x7fffe400,
    0x5c05b801,0xfdbbffff,0x3fee001f,0x81e402ff,0xaeffffe8,0x3fffd805,
    0x82ffffb8,0xb82ffff8,0x3fee05ff,0x007f22ff,0x2e03ffcc,0x5002ffff,
    0xbffff70d,0xfb86a800,0x54005fff,0x5ffffb86,0x5ffff700,0xf9000fe4,
    0xb7003fff,0x2ffffb80,0xfb8007f2,0x1e402fff,0xffffff30,0x7fffb00b,
    0x05ffff70,0x905ffff1,0x7fdc05ff,0x800fc2ff,0x2e01fff8,0xd002ffff,
    0x3ffffe05,0x7c0ba000,0x2000ffff,0xfffff02e,0xffff7001,0x32001f85,
    0xc801ffff,0x7fffdc05,0xf7000fc2,0x3c805fff,0x7ffffd40,0x3fffd805,
    0x02ffffb8,0x3fe0dff9,0x7fffdc06,0xf80c0ec2,0x3fee02ff,0xef9802ff,
    0xfffeeeee,0xdf3004ff,0xfffddddd,0x3e6009ff,0xffeeeeee,0xfb804fff,
    0x40ec2fff,0x3ffff501,0xfb809900,0x40ec2fff,0x5ffff701,0xfc803c80,
    0xfd805fff,0xfffb82ff,0x5406202f,0x7fdc01ff,0x340dc2ff,0x2e03ffe8,
    0xd802ffff,0x9999999b,0x800fffff,0x999999bd,0x00fffff9,0x99999bd8,
    0x0fffff99,0x17fffdc0,0x7cc1a06e,0x2e802fff,0x17fffdc0,0x7dc1a06e,
    0x1e402fff,0x05fffd80,0xb82fffd8,0x0002ffff,0xff7005fd,0x0d3005ff,
    0xfb807ff6,0x7cc02fff,0x7fffec00,0x2007cc03,0x403ffffd,0x7fec00f9,
    0x7fdc03ff,0x069802ff,0x5013fffe,0xfffb801f,0x7069802f,0xc805ffff,
    0xbffd1004,0x3ff23710,0xffffb81f,0x03fb8002,0x05ffff70,0xff885e88,
    0x7fffdc05,0x4c026c02,0x6c06ffff,0xffff9804,0x4c026c06,0x5c06ffff,
    0x4402ffff,0x3fff205e,0x003f301f,0x805ffff7,0xfff705e8,0x006e805f,
    0x3f217fe6,0x701fff76,0x8005ffff,0x3f2002fb,0x3a203fff,0x077e443f,
    0x0fffff20,0xfd002f98,0x3e607fff,0xffffd002,0x400be607,0x203ffffe,
    0x203ffffc,0x7dc03fe8,0xca89bfff,0xfff9003f,0x1ff4407f,0x03ffffc8,
    0xa8007fe6,0xf76fc85f,0x3fff207f,0x00ee003f,0x3bffffa0,0xffca9999,
    0x00ffea2f,0x827ffff4,0xfb005fe9,0xe981ffff,0xfffb005f,0x5fe981ff,
    0xfffffb00,0x3ffffa01,0xfca9999e,0xfea802ff,0x02efffff,0x3bffffa0,
    0xffca9999,0xffffd02f,0xffffd509,0x216e005b,0x05febff8,0x013ffffa,
    0x7f64c000,0xffffffff,0x21ffffff,0xffd93000,0x219dffff,0x04effffc,
    0xffffffb9,0x3ffff29f,0xfffb904e,0x3f29ffff,0xb904efff,0x9fffffff,
    0x3ffffb26,0xffffffff,0x4c001fff,0x93001aaa,0xfffffffd,0xffffffff,
    0x7fff64c3,0x000cefff,0x57300c00,0xfffd9301,0x0019dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00110110,0x019bb950,0x400265c0,0x00019998,0x54008098,
    0x2aa2aaaa,0x8800aaaa,0x01abddba,0x00020220,0x159bb951,0x01800298,
    0x00011030,0x00008808,0x20010130,0x9ff3002a,0x8800ffe4,0x3febadfd,
    0x005ffd40,0x01fffdc0,0x5bffd700,0xfd53012e,0x5fffecff,0x3ffa600a,
    0x1effdbbd,0xfb27fd40,0xffc8803f,0xdffdceff,0x2d4003da,0xfa9bfa20,
    0xff98003f,0x000bff25,0x52dffea8,0x0fffb00b,0xf11fff90,0x3fa00bff,
    0xa817fdc4,0x3a0002ff,0x220004ff,0xffffffff,0x4fff5002,0xfc805ffd,
    0xfff881ff,0x45fff604,0x3ea04fff,0xfb80beff,0x16c003ff,0x74bffea0,
    0xfc8007ff,0x0bfff0ff,0x3fffe200,0x4402ffff,0x5c02ffff,0x0fffa6ff,
    0xf707fea0,0x01ffe0bf,0x004ff880,0x7ffe6dc0,0x3ea007ff,0x013ff67f,
    0x4c05fffd,0xff706fff,0xb817ff4d,0x4c01ffff,0x1e2003ff,0x643ffe20,
    0xfa8005ff,0x00fff66f,0x7ffe7540,0x7c400fff,0xba801fff,0x6400ae20,
    0x27fd43ff,0x0003ffcc,0x900009f7,0x005f5cc1,0x7ecfff30,0x3fff204f,
    0x4fffc805,0x15c41750,0x02ffffa8,0x5c007f30,0xa8393004,0x1750000b,
    0x700015c4,0x005f64c3,0x0004ffb8,0x3bfee000,0x7cc05d40,0xbd0000ff,
    0x00000000,0x7ecfff30,0xffff304f,0xffff5005,0xff100003,0x3d8009ff,
    0x00007a00,0x00000000,0x22000000,0x32a62000,0xf30009ab,0x22005fff,
    0x00001fff,0x95310000,0x4c001357,0x13ff67ff,0x007ffff4,0x226ffff8,
    0xaaaaaaaa,0x3fff20aa,0x01d4002f,0x2a21aea6,0xaaaaaaaa,0x1aaaaaaa,
    0x00051000,0x0000a200,0x7bffd300,0x003dffd7,0x009ffff9,0x5530bffe,
    0x05555555,0x0aaaaaa2,0xbbdffe98,0x9801effe,0x13ff67ff,0x01bfffe6,
    0x11ffffe8,0xffffff73,0x7fffc437,0x9008000f,0x887fffdf,0xefffffc9,
    0xfffffeee,0x00d70004,0x001ae000,0x3fee00c4,0x4fff881f,0xdffffd80,
    0x21fff400,0xffffffc9,0xffb7101b,0x3ffee05b,0x04fff881,0xffb3ffcc,
    0xdffff509,0x7fffec00,0x3ffffd82,0x07ffffa8,0x2bfb1000,0xf904fff8,
    0xfb105fff,0x3fa0009f,0xfe800002,0x204a8002,0x2a02fffe,0x3a206fff,
    0x01effffd,0x7dc0bff2,0x9800ffff,0x3fffa05f,0x1bffea02,0x3f67ff98,
    0xffffb84f,0x3fff6005,0xffffc84f,0x6ffffb82,0x7ff90000,0x5c1fffea,
    0x2a02ffff,0xffa8004f,0x7d400005,0x05b8005f,0xb00bfff9,0x9d109fff,
    0x07ffffea,0xfd007fec,0xf7009fff,0x17fff201,0x413fff60,0x3ff67ff9,
    0x4ffffd84,0x3ffff200,0x2ffffb85,0x04ffffd8,0x1fff9800,0x701fffdb,
    0xd805ffff,0xfffe8004,0x3fa00001,0x3e4001ff,0x017fffcc,0x20ffffcc,
    0x3ffa20fd,0x02ff886f,0x07ffffcc,0x3e605f10,0xf9802fff,0xff981fff,
    0x3613ff67,0x2004ffff,0xb85ffffc,0xfd82ffff,0x80005fff,0x36d17ffc,
    0xffff703e,0x012a0985,0x09ffff30,0x3ffe6000,0x07f4004f,0x003ffffa,
    0xf137fffc,0x5fff901f,0xd8017f4c,0x3204ffff,0x3ffffa05,0xdffff000,
    0x7ecfff30,0xffffb84f,0x3fff6005,0xffffb83f,0x6ffffc82,0x7ffe8000,
    0x3fee0097,0x0a0ec2ff,0xfffffb00,0xffb00001,0x7c001fff,0x3fffe22f,
    0x3fffa006,0x205ff70f,0x05f75ffd,0xfffff980,0xf100f880,0x7400dfff,
    0x7cc0ffff,0x213ff67f,0x006ffffa,0x20bffffa,0xb82ffffb,0x0007ffff,
    0x0e9ffff8,0x5ffff700,0x220001f8,0x03ffffcf,0x7fe7c400,0xff3003ff,
    0x37fffd49,0x5ffffb00,0x7407ffea,0x019f916f,0x2ffffe40,0xfff5026c,
    0x7fec00df,0x3ffcc2ff,0xff109ffb,0x7fc00fff,0xffb80fff,0xfff982ff,
    0x7c0000ff,0x2006cfff,0x262ffffb,0x3320001f,0x007ffff8,0x7ffc6640,
    0xdff7007f,0x02ffffdc,0x47ffffb0,0xfc81ffff,0x80077cc4,0x21fffff8,
    0x7ffdc06a,0x3ff6005f,0x3ffcc3ff,0x3f209ffb,0xf8800fff,0xff704fff,
    0x3ff605ff,0x740002ff,0x2003ffff,0xf52ffffb,0x3e20003f,0x05ffffb0,
    0x7ec3e200,0xfd802fff,0x3ffff67f,0x3fff2004,0x3ffff25f,0x7f40fec3,
    0x3ffee006,0xfb00ba5f,0x64009fff,0x7cc5ffff,0x413ff67f,0x803ffff8,
    0x700ffffb,0x2a05ffff,0x4006ffff,0x3ffff208,0x3ffee000,0x01ffffef,
    0x7fccb700,0xb70006ff,0x037fffcc,0xfd8ffffc,0x32004fff,0x7ec4ffff,
    0x1fa8dfff,0x2003ff90,0xcafffff8,0xffffd805,0x3fff2004,0xb3ffcc4f,
    0x7fdc09ff,0xfffe807f,0x3fffee03,0x3ffff202,0x541f3003,0x1884ffff,
    0xbbffffb8,0xd0001ffd,0x1ffffe83,0x7f41e800,0x3e201fff,0xfff73fff,
    0x7fec00bf,0xfffb83ff,0x3f601fff,0x3fee003f,0xb801feff,0x2005ffff,
    0x4c3ffffd,0x13ff67ff,0x407fff70,0x5c03fffb,0x6c02ffff,0x5401ffff,
    0xffffd83f,0xb80da89c,0x3f22ffff,0xb86a8001,0x4005ffff,0xffffb86a,
    0x3fffe605,0x0dffff54,0x17fffec0,0x1fffffa8,0x000fffa0,0x009ffffd,
    0x01bfffea,0x42ffffd8,0x3ff67ff9,0x3fffa804,0x802fffb8,0x802ffffb,
    0x21cffffb,0xd101edb9,0x1fffffff,0x0bfffee0,0x05d0003f,0x003ffffe,
    0xffff02e8,0x3ffe601f,0xfffff13f,0x7ffff400,0x3fffa600,0x2fff880e,
    0x7fffdc00,0xffff1003,0x7fff400f,0xb3ffcc0f,0x2e2009ff,0xeffddffe,
    0xfff7000b,0x3ae2005f,0xceffffff,0x7fff6400,0x3fee01df,0x0c0ec2ff,
    0xdddddf30,0x09fffffd,0x3bbbbe60,0x4fffffee,0xc83fffa0,0x8800ffff,
    0x9004ffff,0xff309fff,0xffa8001f,0x3f2003ff,0xf8800fff,0xff984fff,
    0x0013ff67,0x01bfffee,0x0bfffee0,0x07366200,0x03511d00,0x0bfffee0,
    0x5ec0d037,0xf9999999,0xd800ffff,0x9999999b,0x200fffff,0x7ffc40ba,
    0xfffa803f,0x5c1db80f,0x7ffa86ff,0xffffa800,0x3ffe2003,0xfffa803f,
    0x27ff980f,0xd0004ffd,0x8009ffff,0x002ffffb,0x4005ff10,0xff70005a,
    0x0d3005ff,0xffb003e6,0x0f9807ff,0x1ffffec0,0x7fffb800,0x1ffffc40,
    0x7fc37fcc,0x007ff886,0x03ffffa8,0x03fffdc0,0x40ffffe2,0x3ff67ffa,
    0xfff30004,0x7dc005ff,0x50002fff,0x16c00dfd,0xffffb800,0xd82f4402,
    0xffff9804,0x4c026c06,0x0006ffff,0xc80fffee,0xff102fff,0x3609fd0d,
    0x7d4001ff,0xb8003fff,0x3f203fff,0x3fea02ff,0x0013ff67,0xcffffe88,
    0x7ffe400a,0x3ee0003f,0x000f1007,0x01ffffe4,0x5f307fd1,0x3ffffa00,
    0x2005f303,0x003ffffe,0x10fffa60,0xc803dff7,0x00ffcc5f,0x5c001bfb,
    0x0004ffff,0xb887ffd3,0x36201eff,0x3bff67ff,0x3ee20000,0x04efffff,
    0x009ffffd,0x400ffa60,0x3fa0004b,0x9999efff,0x4c2fffca,0xffb005fe,
    0xfe981fff,0xffffb005,0x6440001f,0xdffedffd,0xdfe8800c,0xb800efdb,
    0xffb003fd,0x44000bff,0xffedffdc,0x333200cd,0x3332e4cc,0x4c0000cc,
    0x64c09aba,0xeffffffe,0x379b000c,0x20005c00,0xfffffec9,0xffffffff,
    0x3fff21ff,0xffb904ef,0x329fffff,0x904effff,0xfffffffb,0x2a200009,
    0x2ea0000a,0x010001ac,0x7ffff654,0x0003ceff,0x00005544,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0005b710,0x000007b0,0x00000000,0x06aaa000,0x88000000,0x88000aaa,
    0xaaa8001a,0x00000001,0x55400000,0x4000001a,0x20002aa8,0x004ebcf8,
    0xbefffdb8,0x6e5cc001,0x84c81acd,0x0006fffa,0x2017ffee,0x0006fffb,
    0x000ffff2,0x800bfff9,0x2005fdfb,0x8006fffb,0x3205fffb,0x4c004fff,
    0xf300efff,0x7d401fff,0x7f4005ff,0x970003ff,0xe88007c4,0xfd9be8bf,
    0x7ff5402f,0x1effebbd,0x3fea01d7,0xffb0000f,0xffff100b,0x3fe0005f,
    0x7fcc004f,0x3e001fff,0x3e200ba0,0x4002ffff,0xfc805ffd,0x7fe4007f,
    0x3fffa00e,0x7ffdc04f,0xffff5000,0x85b0001f,0x4dfd001e,0xd813f63e,
    0xff981fff,0x7dc00fdf,0xff88003f,0xd7ff9005,0xff5000df,0x7ffb0009,
    0x16a00bff,0x7ff900b7,0x7c400dfd,0x3ff2005f,0x03bfa001,0xffdcffa8,
    0x01ffdc00,0x4ffbefe8,0x1a65a800,0x7d1ffdc0,0xffe884e8,0x3ffea01f,
    0x00bf7006,0x2200df70,0x07fb11ff,0x8004fc80,0x3fd10efa,0x16c1f100,
    0x6c47fe60,0x0df7003f,0x2009fb00,0x7f400ff9,0x2e013f22,0x0dfb805f,
    0xb0001ff3,0x32005fdf,0x970fa5ff,0x00dfffb0,0x2007fffb,0x76c000fc,
    0x901db000,0x005f800f,0x0db10bd0,0x01f6fb20,0x01f203b6,0xd800076c,
    0x801f9007,0x01fb81fb,0x3e200fc8,0x0004e884,0xffc800f9,0x43887d4f,
    0x402ffffa,0x01ffffe8,0x09800130,0x01500600,0x030000c0,0x593000a8,
    0x01500600,0x18000130,0x11001100,0x09800cc0,0x02880220,0x4005fd00,
    0x3eeffff9,0x07fffe80,0x6ffffde8,0x000554c0,0x30002aa6,0x00000155,
    0x98000000,0x54c000aa,0x01a98001,0x2001a980,0x2a6001a9,0x006a6001,
    0x7d400000,0x7ff4005f,0x7cc04fff,0xaec07fff,0x440ffffe,0x1dffeefc,
    0x3fbbf220,0x3f2201df,0xb01dffee,0x3a29ffff,0xfd84ffff,0xffd14fff,
    0x3f2209ff,0x401dffee,0x0cfedffb,0x7f6ffdc0,0x67fd400c,0x3fea01ef,
    0x3ea01efc,0x2e01efcf,0x00cfedff,0x07ffffd3,0x0ffff400,0xfffff500,
    0x3fee01df,0x43b206ff,0x262ffffd,0x3fff20ff,0x320ff980,0xff980fff,
    0x403fff20,0x7f44fffd,0xfffb04ff,0x84fffe89,0x3ff20ff9,0x45ffb00f,
    0xffb00efe,0xc8077f45,0x03ff70ff,0x3fee1ff9,0xf70ffc81,0x45ffb03f,
    0x3fe00efe,0xf30003ff,0x98009fff,0x3fffffff,0x05ffffc8,0x7ffec1f7,
    0xa87ffa3f,0xffe85fff,0x217ffea1,0x3fea1ffe,0x9fff905f,0x904fffd8,
    0xffd89fff,0x21ffe84f,0xfb85fffa,0x42ffd47f,0x7fd47ffb,0x7c5ffa85,
    0x22ffd46f,0x2ffd46ff,0xfff71bfe,0x3605ffa8,0xb0003fff,0x001fffff,
    0xfffffd88,0x7fffec4f,0x7ec1fa85,0xfff35fff,0x237ffccb,0x3e65fff9,
    0x7ffcc6ff,0x41bffe65,0x7e44fffb,0xfff704ff,0x44fffc89,0x3e65fff9,
    0x7ffc46ff,0x11fffcc5,0xff98bfff,0x0fffe23f,0x3fe25ffd,0x897ff43f,
    0x7ff43fff,0x98bfff12,0xffb03fff,0x9f10007f,0x0007ffff,0x3fffffee,
    0x13ffff22,0xfffb05f3,0x31fff4bf,0xffd0ffff,0x43fffcc7,0x3fe63ffe,
    0x9fff707f,0x704fffc8,0xffc89fff,0x23ffe84f,0x7dc7fff9,0x7ffcc4ff,
    0x313ffee5,0x7fd4bfff,0xaa7ff41f,0x7ff41fff,0xe83fff54,0x9fff74ff,
    0xb05fff98,0x90007fff,0x0fffff19,0x7ffff400,0x3fffee7f,0x7f40fa25,
    0x8aa24fff,0x887fffd9,0x3fff662a,0x3662a887,0xff707fff,0x4fffc89f,
    0xc89fff70,0x2a884fff,0x91ffff66,0xff889fff,0x13fff27f,0x7dcffff1,
    0xffccccff,0x99fff75f,0x2ebfff99,0xfccccfff,0x9fff95ff,0xb07fff88,
    0x88007fff,0x5ffffb0f,0x3f6fa000,0xfff31fff,0xff0274df,0x36605fff,
    0x407fffcf,0x7fffcfd9,0x7fe7ecc0,0x9fff707f,0x704fffc8,0xffc89fff,
    0x67ecc04f,0x7fec7fff,0x7fffc44f,0x889fffb0,0xffb0ffff,0x5555557f,
    0x2affff65,0xfb2aaaaa,0x555557ff,0x13fff655,0xb01ffff1,0xb8007fff,
    0x1bfffe65,0x367d0130,0xfff12fff,0xff0176ff,0xff901fff,0x40ffff33,
    0xfff99ffc,0x267ff207,0xff707fff,0x4fffc89f,0xc89fff70,0x3f204fff,
    0x47fff99f,0x7c43fffe,0xfffd0fff,0x0ffff887,0xb005fffb,0xfb005fff,
    0xffd005ff,0xffff887f,0x03fffd80,0x3ffa0f40,0x20ee01ff,0x43fff53e,
    0x06dffffd,0x22ffffc4,0xff30ffe9,0x1ffd30ff,0x261fffe6,0xfff30ffe,
    0x13ffee0f,0x2e09fff9,0x7fe44fff,0x0ffe984f,0xfc8ffff3,0x7ffcc3ff,
    0x30ffff27,0x7fe4ffff,0xfffc804f,0x4fffc804,0x43fffc80,0xfb07fff9,
    0x354007ff,0x02ffffdc,0x3e27d0d7,0x7fff447f,0x7ffdc00e,0x97ffa21f,
    0x7447fff9,0x3ffe65ff,0x32fff447,0x3ee0ffff,0x7ffe44ff,0x89fff704,
    0x7444fffc,0x3ffe65ff,0x227ffdc7,0x3ee6fff9,0x7ffcc4ff,0x01bffee6,
    0x201bffee,0xb806fffb,0x7fcc4fff,0x7fffb06f,0xff817400,0x7f700fff,
    0x07ff53e8,0xd00dfff3,0xffa87fff,0x1fffe64f,0x7cc9fff5,0x7ffd47ff,
    0x41fffe64,0x7ec5fffb,0xfff704ff,0x44fffd8b,0x3e64fffa,0x7ffc47ff,
    0x11fffd44,0xffa89fff,0x3fffe63f,0xfff34983,0x3e69307f,0x14983fff,
    0xffa89fff,0x7fffb03f,0x3bbbe600,0xfffffeee,0x219ff704,0x205fe9be,
    0x2e04fffc,0xffb84fff,0xffffcbff,0x3fffee17,0x17ffffcb,0x32ffffee,
    0xa817ffff,0x3fee6fff,0xfff504ff,0x27fffdcd,0x32ffffee,0x6417ffff,
    0x3ffdc6ff,0x3ee37fe4,0xffffd87f,0xffd8b31d,0xd8b31dff,0xb31dffff,
    0x7dc6ffc8,0x3fff607f,0x3337b004,0xffff3333,0xffd9101f,0x405dfdfd,
    0x0bfffcf8,0x40bffee2,0x9efffff9,0xf33efffe,0xfd3dffff,0x3fe67dff,
    0xffe9efff,0xfffe83ef,0x5fffdedd,0x377fffa0,0x4c5fffde,0xe9efffff,
    0x7ec3efff,0x407bfa1f,0x3bfa1ffd,0xffffe881,0x7f440fff,0x40ffffff,
    0xffffffe8,0x21ffd80f,0x3fa01efe,0x0f9805ff,0x1ffffec0,0x033aa620,
    0x7f5c7d10,0x0acefedf,0x51f7fdc0,0xffb87dfd,0x0fbfaa3e,0x7547dff7,
    0xffd103ef,0x3ffff2bf,0xbfffd105,0x717ffff2,0x7f547dff,0xdbff703e,
    0xffb801bf,0x2200dfed,0x01dffffd,0x3bffffb1,0x3ffff620,0x37fee01d,
    0xfd300dfe,0x401bffff,0xfff9804d,0x00fa006f,0x554c412e,0x04010000,
    0x04008020,0x02a60010,0x00153000,0x30008020,0x35300035,0x80053000,
    0x014c0029,0x00006a60,0xd002f980,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfb005fe9,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x04effffc,0xffffffb9,0x0000009f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01983730,0x005441a8,0x59bb9510,0x017b9700,
    0x5001ec80,0x2000a883,0x654400b9,0x17a2000b,0x5c001b30,0x006cc02e,
    0x2000bd10,0x0001bdca,0x00510191,0x0bd10baa,0x013fff20,0x7dfffd10,
    0xffe803d3,0x200dff31,0xffeacffb,0x9bfe881e,0xbf3002ff,0x44fff600,
    0xfc800fff,0xfff300ff,0x3f6001ff,0x0ffeb881,0x220df100,0x2000ffeb,
    0x74c001fd,0x00effecf,0xd914fb80,0x30bf2005,0x7fe400bf,0x7ffe4006,
    0x4407ffff,0xfff94fff,0x45ffc803,0x7f40effd,0x803ffb0f,0xff000fe8,
    0x0bffeabf,0x07ffff10,0x9ff915d1,0x2a09f700,0xb000ffe9,0x3fa6a03f,
    0x09f7000f,0x363ff880,0xf50004ff,0xfe8007dd,0x2001fdc0,0x3a001ffd,
    0x3ffffeba,0xf31ffe80,0xfff880df,0x717ffe44,0x37fe4fff,0xc800bf20,
    0x1fff13ff,0x05fffd00,0x8805ff10,0x0ffd806f,0xd804fb80,0x6f8800ff,
    0x21ffd800,0x8000fffa,0x4002ffea,0x001fc87f,0x0e004fd8,0x54001751,
    0x7cc01440,0x7ffdc3ff,0xfc9bff24,0x017e607f,0x01510660,0x4017fea0,
    0x1fd804fc,0x400ffd80,0xffb006f8,0x003fb001,0xff83fff0,0x4ef4c007,
    0xf3002ffb,0x0001fd0b,0x000001b6,0xff700000,0x2fffb87f,0xffc9bffa,
    0x001fd00f,0x00800000,0x03ffff98,0x7ec013ea,0x00fec00f,0x5400ffd8,
    0xff98004f,0x001ffc3f,0x05ffd0b6,0x0df07f70,0x30001800,0x00000155,
    0x21fffe40,0x7fec7ffb,0x203fff26,0x4c0002fc,0x000000aa,0x883ffecc,
    0x3ff6006f,0x8013ee00,0x3e200ffd,0xfff30006,0x0007fd4d,0x207ffd40,
    0x9bfd9998,0x009dfa99,0xfc880000,0xb01dffee,0x3a29ffff,0xf904ffff,
    0x2efe87ff,0xff93ffe4,0x000bf30d,0x3ffbbf22,0x0014001d,0x3f607ff6,
    0x03ff6001,0x360037c4,0x07f600ff,0x7fffc400,0x0000dfca,0xfff9dd95,
    0xfffffa8b,0xffffffff,0x9ffffb05,0x13ffffa2,0xffc83fe6,0x9fffb00f,
    0x904fffe8,0x3fe67fff,0x6cfff105,0x00fe82ff,0x320ff980,0x91000fff,
    0xa87f9800,0x7fec004f,0x8003fb00,0x9f500ffd,0xfffe8000,0x4ccc41cf,
    0xcffc8099,0x21ffffa8,0xccffccc9,0x03cdfecc,0xfd13fff6,0x3ffd09ff,
    0xc82fffd4,0x7fec4fff,0x7fff904f,0x20fffaa2,0x0bff1ffb,0x3a0005f9,
    0x3ffea1ff,0x5c077005,0xf10bea3f,0x3ffd000d,0xd0009f70,0x0df103ff,
    0xffffb000,0xdfffd307,0x646ffc85,0xbf304fff,0xf9001fd0,0xfffd89ff,
    0x32fffcc4,0x3ee0dfff,0x7ffe44ff,0x87fff904,0xd981fff8,0x5f983eee,
    0xbfff3000,0x4037ffcc,0x3fea01fa,0x1fd81edf,0xfff93060,0x0037c45b,
    0x0b7fff26,0x200c03fb,0xfffffdfb,0xf10bff00,0xfffa89ff,0xdf07f707,
    0x13ffee00,0xfd09fff9,0x3fffcc7f,0x644fffb8,0xff904fff,0x0dfff07f,
    0x6407f400,0xfe80ceee,0x1fffe63f,0x2200df70,0x409f5009,0x7ec001fc,
    0x073fae21,0xc813ea00,0x72fe881f,0x3e0bffff,0x3fffb80f,0xc83fffcc,
    0x802fcc2f,0x7e44fffb,0x22a884ff,0x707fffd9,0xffc89fff,0x7fff904f,
    0x001fffd0,0xfe885f90,0xa881df95,0x1ffff662,0x0002ffc8,0x3ea06f88,
    0x13ee001f,0x01fffffb,0xf5037c40,0x46ff983f,0x4c4ffffe,0x7fffb02f,
    0x80ffff98,0x01fdc0fe,0x644fffb8,0x6cc04fff,0x707fffcf,0xffc89fff,
    0x7fff904f,0x005fffd0,0xffd85f98,0x4c0bff52,0x07fffcfd,0x0000fffb,
    0x7fcc07f6,0x8df1001f,0x4ffd89ea,0x4c07f600,0x7ff41fff,0x7ffffcc4,
    0xffe81363,0x7fffcc3f,0xffffff50,0xbfffffff,0x227ffdc0,0x3204fffc,
    0x7fff99ff,0xc89fff70,0xff904fff,0x7fffd07f,0x440fe800,0xfff31fff,
    0xf33ff903,0xfff90fff,0x9f500007,0x07ff3a20,0x2a00fec0,0x9f5002ff,
    0x87ff3a20,0xfc86fffa,0x06baffff,0x261ffff4,0x3fea7fff,0xffffffff,
    0x3ee05fff,0x7ffe44ff,0x30ffe984,0x3ee0ffff,0x7ffe44ff,0x07fff904,
    0x4005fffd,0xfffa82fc,0x4c5fff31,0xfff30ffe,0x85fffd0f,0xdf1004ec,
    0x3fea7a20,0x804fb801,0xdf1007fb,0x3fea7a20,0x03ffff21,0x3ffffff6,
    0x1fffe401,0x2e1bffe6,0x0037c43f,0xfc89fff7,0x7ff444ff,0x41fffe65,
    0x7e44fffb,0xfff904ff,0x03fffb07,0x7dc17e60,0x7fff31ff,0xf997ffa2,
    0x7ffc47ff,0x07ffe21f,0x96c07f60,0x7c401ffa,0x005fb006,0xa96c07f6,
    0x3fff61ff,0xfffe884f,0x7fd402ff,0x27ffcc4f,0x17e617e4,0x44fffb80,
    0x7d44fffc,0x3ffe64ff,0x8bfff707,0xf904fffd,0x2a32a7ff,0x3fa007ff,
    0x25fff500,0xff52fff9,0x3fffcc9f,0xf0ffffe2,0x4fa805ff,0xff955d90,
    0x00fec019,0xfa801fd4,0xf955d904,0x3ffee19f,0xfff883ff,0xf12c4fff,
    0xfffa89ff,0x7dc0fe82,0x3ffee003,0x227ffec5,0xfcbffffb,0xfa817fff,
    0x3ffee6ff,0x7fffb04f,0x9ff17ff1,0x880bf200,0xfff52fff,0x2ffffee1,
    0x417ffffc,0x7ec5fffe,0x03be200f,0x7ffffff4,0x009f502f,0x880545f3,
    0xfffd00ef,0x3e25ffff,0x21cfffff,0xffffffea,0x7fdc3edf,0xf82ffdc5,
    0x2001fd86,0x3ee6fffa,0x7fcc4fff,0xffe9efff,0xfffe83ef,0x5fffdedd,
    0x3e7fffd0,0x3006f8bf,0x7ff900bf,0xff993fea,0xffe9efff,0x3ffe63ef,
    0xb013ee0f,0x5555403f,0xf880cffc,0xbade8806,0x807f607c,0xcffcaaaa,
    0x3ffffea0,0xe9bfffff,0x05ffffff,0x37f43ff9,0x0fe85f98,0x6ffff400,
    0x85fffded,0x3aa3effb,0xffd103ef,0x3ffff2bf,0x3ffffa25,0x019dfb53,
    0x6c003fa0,0x40dfe8ef,0x3aa3effb,0xffea83ef,0x5403eccf,0x7fd4004f,
    0x8803fb01,0x06fffffe,0xfa8009f5,0xfffe981f,0x7e40cfff,0x75c05fff,
    0x700ceedf,0x006f887f,0x95fffe88,0x020bffff,0x01530008,0x80010000,
    0x654002ea,0x100402ce,0x15797500,0x8001bb00,0x3e981eea,0xeeeeec80,
    0x001bb03e,0x2601eea8,0x544009aa,0x06a2000a,0x35102a60,0x0054c000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5d500000,0x0005e540,0x15106a00,
    0x0a605440,0x80166540,0x100cc1b9,0x55555555,0xcba98005,0x2f6e6001,
    0x5554c001,0xaaaaaaaa,0x37997501,0x0565cc00,0x2f6e6000,0x00000001,
    0x40031000,0xaefb81fc,0xfe800dfc,0x9ffec2ff,0xf880fff8,0x09ff70ff,
    0x3fffff22,0xfffd301e,0x6403d37d,0xffffffff,0x7dfd5006,0xdffb7001,
    0x007bffd9,0xfffffffb,0xea85ffff,0x0dffcaef,0x3ef3fa20,0x36e000df,
    0xdffeceff,0x3fffd803,0xd0ffff60,0x3f205fff,0x30df006f,0x027f43ff,
    0x3e0bffe2,0x5fff55ff,0x3a5fff50,0xfffb07ff,0x901dffff,0xdfffffff,
    0xffffff80,0x74c03fff,0xfd1001ef,0xfca88159,0x3fffa00e,0x7fffffff,
    0x3e637fd4,0x4fe880ef,0x22017fee,0x5440acfe,0x7ec00efc,0x3fff605f,
    0x417fff43,0x402ffff8,0x37f444f9,0xfb80bff2,0x27ff903f,0xf880fff8,
    0x09ff70ff,0xfffb57d7,0xd75d05ff,0x5407ffff,0xffffffff,0x3bfee00f,
    0x01bf3000,0x2207f620,0xffffffff,0x3fe25fff,0x84fff83f,0x7ffc2ffe,
    0x0037e605,0x3600fec4,0xfffb00ff,0x82fffe87,0x402ffff9,0x2ffe41fc,
    0x7403ffee,0x220cc03f,0x302a200a,0xff30b303,0xa88707ff,0x6676400b,
    0x203ccccc,0x2000effb,0xaaaaa8de,0x40ed809a,0xccdefffa,0x3ea2ffcc,
    0x6ffd84ff,0x3a17ffd4,0x0bd02fff,0x4a235953,0x3fa200ed,0x87fffb03,
    0xfb02fffe,0xf0fd00df,0xfffa8bff,0x0004f882,0x80600000,0x0002fffe,
    0x980017c0,0x32001fff,0x97fff70e,0x27443dfd,0x7f9807b2,0x643fffdc,
    0x7ffe45ff,0x427ffec1,0x37f620ec,0xd13efc9a,0xb05e8809,0xffe87fff,
    0x200a602f,0x7ffc44f9,0x41fffd45,0x0d4c0018,0x000d4c00,0x9807ffc8,
    0x1afa801a,0x37ffc400,0xff85f100,0x41fff10f,0x900360fa,0xffffa8bf,
    0x361ffec4,0x7fe42fff,0xf317c45f,0x547f109f,0xd80c400f,0x7ff43fff,
    0xfb80002f,0x22fffd42,0x0004fffa,0x67f6ffdc,0x7e7fd400,0x7ff4001e,
    0x3b7fee01,0xfffb00cf,0xfb8019df,0x3ee003ff,0xfb07ff40,0x001fc47f,
    0xfff10bfe,0x3bfe29ff,0x217fffc0,0x7dc7fffb,0x3b81ffa0,0xd8000fe2,
    0x7ff43fff,0x7e80002f,0x544fffb8,0x3fa66fff,0xffb03fff,0xc8077f45,
    0x03ff70ff,0xd807fea0,0x03bfa2ff,0xfffffff1,0x3ffa019f,0x01ceedbf,
    0x41ffd0dd,0x03742ffe,0xf901ff30,0xbf9dffff,0x87fffd01,0x3a1ffffa,
    0x3013fee6,0x7ff4c6e8,0xfffd83ff,0x017fff43,0x3217e200,0x7fd44fff,
    0x3ffff87f,0x7d47ffb8,0x45ffa85f,0x7dc406ff,0xffb81fff,0x2a2ffd47,
    0xffffffff,0x7ffd40ff,0x3ffffeff,0x0ffe84f8,0x0f90fff3,0xfb02fe40,
    0x40bfffff,0x7d45fffd,0xd93e0fff,0x3e4003ff,0xd83ffff8,0x7ff43fff,
    0x7dc0002f,0x44fffd82,0x6c0ffffa,0x7fc43fff,0x1fffcc5f,0xfe87fff1,
    0xffff502f,0x7fc45fff,0x1fffcc5f,0xfffffffb,0x7dc1dfff,0x3ffea6ff,
    0x7f417c1f,0x80dffcbf,0x5ff000f9,0xfffffc80,0xffff503f,0x23fffd41,
    0x00fffa2f,0xffb01f30,0x7fffb07f,0x102fffe8,0x80fd8037,0x7d44fffe,
    0x7fec0fff,0x27ffdc3f,0xfa97ffe6,0x27ff41ff,0xfffff710,0x227ffdcd,
    0x3305fff9,0x9ffffff9,0x322fffe4,0x417c6fff,0x0fffaffe,0xf3001f50,
    0xfff9801f,0xfb03ffff,0xff913dff,0x3fa2f8df,0x07d4003f,0x6c1fffec,
    0x7ff43fff,0x3fe2192f,0x05f880ef,0xfa89fffb,0xfffd87ff,0x227ffe43,
    0x3ee7fff8,0xffccccff,0xffe9805f,0x9fff90ff,0x007fff88,0x6cdffff5,
    0x7fcc5fff,0x3a13a0ff,0x05ffb8ff,0x17f200f9,0xffd3df90,0xfb105fff,
    0xffffffff,0x3ff64e89,0xd83e4004,0xffd83fff,0x3ffff24f,0x7fffdcd4,
    0xf903fa82,0xfffa89ff,0x43fffd86,0x7c44fffd,0xfffb0fff,0x55555557,
    0x3fffe200,0x889fffb3,0x3000ffff,0x7fecffff,0x7fffc45f,0x3ffa1b61,
    0xbd03ffd0,0xe80bfa00,0xfffd12ff,0x5e5cc0bf,0x6c1fffe8,0x001bfee6,
    0x3fff60bd,0xdffffd83,0xfffffbde,0x17fffee3,0x7fdc03f6,0x2fffd45f,
    0x3a1fffec,0x7fc43fff,0x5fffb0ff,0x3fee0000,0x87fffd3f,0x000ffff8,
    0xffc9ffe2,0x1ffff86f,0x1ffd03ea,0x5f117fea,0x201ff300,0x3a20fffa,
    0x26007fff,0x0fa86fff,0x05407ffa,0x3ff605f1,0xfffee83f,0x0fbff63f,
    0xf0dfffb1,0x2fffcc0d,0x360fffea,0x7fe43fff,0x3fffcc3f,0x0009fff9,
    0x647ffe20,0x7fcc3fff,0x5fe8007f,0x3e1bffea,0x11fc0fff,0x7ff45fff,
    0x7e401ee3,0x21fff205,0x001ffffb,0x3e03fffb,0x433ffa23,0xb03dc4b8,
    0x1bf07fff,0x100a2035,0x807f50fe,0x7fd45fff,0x3fffd82f,0x2627ffdc,
    0x3fee6fff,0x3a00006f,0x13ffee7f,0x000dfff3,0x7ffc47f9,0xa86ffe87,
    0xeeeed9bf,0xf75ddd34,0x80bfa007,0xff887ffe,0xff8800ff,0x70fea03f,
    0xb83bbffd,0x3fff603f,0x00037c43,0x1fc81f30,0x2e37fdc0,0xfffb06ff,
    0x44fff887,0x3e63fffa,0x24983fff,0x8ffe00ba,0x7d44fff8,0x02ee23ff,
    0x7ff40fd8,0x827ffc1f,0x7dc003fd,0x01ff3005,0xfe83ffe4,0xffe8806f,
    0x003fd804,0x3f602fdc,0x07fd43ff,0xf86c8000,0x47ff8806,0xffb02ffd,
    0x8dff907f,0xffd87ffb,0x4cb31dff,0x5fa81fff,0x7dc6ffc8,0x17ffec7f,
    0x7fc40fc4,0x03bfe24f,0xf7003fd8,0x17f2001b,0x883fff50,0x74402fff,
    0x3f6003ff,0x01bf7003,0x643fffd8,0xc80002ff,0x8027cc0e,0x9ff12ff9,
    0x827ffec0,0x3bfa1ffd,0xffffe881,0x3fe60fff,0x1bd52dff,0xfe87ff60,
    0x7fffe41e,0x201eb9ae,0x3fee7ff9,0xadffb800,0x07ffb510,0xc803fe80,
    0x1ffdc6ff,0x0077faa0,0x42b7fee0,0x003ffda8,0xfd89fffb,0x3620003f,
    0x001fc80c,0x0bff7fa6,0x40bfffd0,0x0dfedffb,0x3ffff620,0xffffc81d,
    0xfb802eff,0xb00dfedf,0x19dfffff,0xfbffb300,0x7e44003b,0x1cffffff,
    0x007fcc00,0xfecefea8,0x9ff9301e,0xfc880001,0x1cffffff,0x17fffa00,
    0x40003ff9,0x000aa008,0x3a600d44,0x00dfffff,0x260006a6,0x1aa98802,
    0x00353000,0x00006a62,0x53000033,0x44000355,0xa988002a,0x000d4009,
    0x35553000,0xfffe9800,0x05710dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,
    0xaaaaaaaa,0x5555510a,0x44155555,0x81aaaaaa,0x01cdecb8,0x00736e60,
    0x2a602880,0x2aaaaaaa,0x55555550,0x2aaaaaa6,0x2aaaaa2a,0xaa82aaaa,
    0x98800aaa,0x8009abca,0x1aaaaaa9,0x2aaaaa20,0x5100bb0a,0x00015555,
    0x54400000,0x4c0acddc,0x3ff26202,0x541bffff,0xaefffffc,0x77fed441,
    0x6d5fdc0a,0x5400dfff,0x41ffe9df,0x9bffffe9,0x4c0dfffe,0xbefffffd,
    0xfffd5301,0x3ffffa65,0x3ff262ef,0x981bffff,0x2600cffc,0xfebbdffe,
    0x3ee201ef,0x201fffff,0x90beffeb,0xffb8805f,0x3f2003ff,0x2a3fffff,
    0x64406ffe,0xfdceffff,0xb003dadf,0xe807ffff,0xd802ffff,0x645fa80f,
    0x3ea05fff,0x20bff71f,0xdcedffff,0xffb06fff,0x3e6009ff,0x7fffc40e,
    0xffff902f,0xb80bd00b,0xff881fff,0x7ffc404f,0x7ec00fff,0xd8027cc0,
    0x5c003fff,0xf883ffff,0x77ffd405,0x3fffb80b,0x5ffff900,0x2ffffd80,
    0xffd06c80,0x17fffd41,0xff70fff8,0xffffd03f,0x41fffdc3,0x006ffff9,
    0x3fee03f3,0xfff104ff,0x02f801ff,0xa80bfffa,0x7e406fff,0x5c06ffff,
    0x3600ff06,0xe8003fff,0x0f885fff,0x07fffee0,0x2007ff30,0x401ffffc,
    0x801ffffc,0x45fff05b,0xb83ffff8,0xfff31fff,0x89fffb03,0xe80ffff8,
    0xc801ffff,0x3fffe205,0x3ffff607,0xfc81a602,0xffd805ff,0x3ffb204f,
    0x16a04fff,0x7ec00fe4,0xfa8003ff,0x02d40fff,0x005ffff5,0x7e400fe6,
    0x7e401fff,0x5b801fff,0xff85ffd0,0xfffc83ff,0x7ec0fae2,0xfffe83ff,
    0x5ffffa81,0x7ec01f80,0xff302fff,0x81e40dff,0x802ffff9,0x901ffff9,
    0x7fffffb7,0x27d416a0,0x01fffec0,0x43fffe80,0xffff102d,0x003d8009,
    0x803ffff9,0x801ffffc,0x8879305b,0xfd80ffff,0x3f6004ff,0xfffd83ff,
    0x1ffffd03,0x7cc02dc0,0x3fa05fff,0x01f00fff,0x003ffffa,0xc837fffc,
    0x3fffffd3,0x037c0b50,0x531fffec,0xdfff7001,0xfff903c4,0x03a8005f,
    0x03ffff90,0x01ffffc8,0x7cc005b8,0xfffb06ff,0x7ffec00b,0x04fffd83,
    0x409ffff7,0xfffd001e,0xffff101f,0x220b509f,0x2006ffff,0xc80ffffe,
    0xffffff13,0x3f605a81,0x5fffec01,0x00dffffa,0x5cbfffe2,0xfffff104,
    0x20010001,0x401ffffc,0x801ffffc,0x7fec005b,0xdfff900e,0x1fffec00,
    0x8827ffec,0xd507ffff,0x7fffdc00,0xffffeb84,0xff502d87,0x7ec00dff,
    0x23c82fff,0x46fffff9,0x00fea05a,0x95ddfffb,0x6401dfff,0x203d5fff,
    0x007ffffa,0x7ffe4000,0x7ffe401f,0x005b801f,0xd3037fe2,0xddfffffd,
    0x7ffec03d,0x03fffd83,0x20bffff2,0x3fe2002d,0xfdae87ff,0x81e22fff,
    0x005ffffb,0x20fffff6,0x7fffdc3c,0xf8816a4f,0x2fffec06,0x8817ffea,
    0x206affff,0x006ffffb,0x7ffe4000,0x7ffe401f,0x005b801f,0x7fd40ff2,
    0xffffffff,0x0ffff601,0x9807fffa,0x34c6ffff,0x7fffec00,0x7ffd5e62,
    0xfd812e5f,0x32004fff,0x3c85ffff,0x2fffffc8,0x00fd80b5,0x3e0ffff6,
    0x3f600fff,0x3f603fff,0x00004fff,0x0ffffe40,0x07ffff20,0x3f8016e0,
    0x3ff33260,0x200ccdff,0xff83fffd,0x7ff400ff,0x000f61ff,0xc97fffe6,
    0x43ffffe3,0x3fff601e,0x3ff2004f,0xd03c84ff,0xb53fffff,0x3603fb80,
    0xffe83fff,0x3ffea02f,0x3fff600f,0x4000005f,0x401ffffc,0x801ffffc,
    0x00b3005b,0x001fffe8,0x4c1dfffb,0xfa803fff,0x01f15fff,0x3ffffa00,
    0x3ff20f88,0x5c069bff,0x2005ffff,0xc83ffffd,0xffffd103,0x5f880b5d,
    0x20ffff60,0x7404fffd,0x7fe405ff,0x000006ff,0x00ffffe4,0x007ffff2,
    0x01cc016e,0x003ffee0,0x5777ffec,0x2005ffea,0x4c8ffffe,0x3ffee000,
    0x7fcc5bcf,0x5403ceff,0x2006ffff,0xc82ffffd,0x3fffe603,0x0fe805ff,
    0xb07fffb0,0xfb80bfff,0x7ffdc02f,0x0200007f,0x007ffff2,0x003ffff9,
    0x002200b9,0x400fff10,0xffbbfffd,0x2e000dff,0x00fcffff,0x3fffe200,
    0xfffe81ef,0x7fc400ff,0x3fa007ff,0x03c80fff,0x2fffffd4,0xfd817dc0,
    0xfffd83ff,0x9806f803,0x000fffff,0x9077ec40,0xa803ffff,0xc801ffff,
    0x7c000004,0xffb0205f,0x80014c7f,0x05fffff8,0xffffd800,0xbffff706,
    0x3ffff200,0xffff8800,0xf9007904,0xf100bfff,0x0ffff60b,0x2007fff6,
    0xfffb003c,0xfa80005f,0x3fff24ff,0x7ffcc00f,0x002e802f,0x336a0031,
    0xd89504ff,0x00003fff,0x007ffff2,0x3fffe600,0x5ffff102,0x3fffe200,
    0xffffa803,0x36007900,0xfd005fff,0x20ffff60,0xe800fffd,0xffff5000,
    0x3208800d,0x3ff23fff,0xffff007f,0x800fa809,0x7f406ffc,0xccdefffe,
    0x7fec3fed,0x2600003f,0x00006fff,0xf901fffa,0xffb800ff,0x7ffc407f,
    0x4013203f,0x9005ffe8,0x7fffb05f,0xd98dfff0,0xf9001663,0x26007fff,
    0x83ffe60f,0x9003fffd,0x2603ffff,0xfff8801f,0x2a1f302f,0xffffffff,
    0x1fffec1f,0x3ff60000,0x3ee00002,0x27fcc04f,0x1fffdc00,0x805fff90,
    0x3fe6006e,0xb09f3005,0xff989fff,0xd87ff40f,0xfffd8001,0x41fd401f,
    0xfff10efc,0xfffb8009,0x3fca89bf,0x5ffff100,0xfefd9a60,0xe84fffff,
    0x00003fff,0x000037d4,0x3a003fe2,0xfd30001f,0xeffb887f,0x00ffcc01,
    0x7c00bf50,0x0ffffd87,0x3fe07ff6,0x20005abf,0x21cffffb,0x2e01edb9,
    0x04effeff,0xffffd500,0xc8005dff,0x7fe406ff,0x9ffff73f,0x1dffff50,
    0x03e80000,0x005d8000,0xc88000d7,0xdffedffd,0x3ffaa00c,0xb7002dff,
    0x360fe400,0xfedfd89e,0xbfff901d,0xeb880001,0xceffffff,0x0aa98800,
    0x2aa60000,0x0620001a,0x26205440,0xcccc980a,0x00002ccc,0x44000006,
    0x00031000,0x000aa880,0x00180000,0x510306a2,0x006e6003,0x2aa62000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aa60000,0x53001aaa,0x65401881,0x80a21cdd,
    0x20000aa9,0xbcdecb98,0x808005c0,0xaaaaaaa8,0xaaa88aaa,0x0aaaaaaa,
    0x55555551,0x55555555,0xaaaa8835,0xaaaaaaaa,0x5532aaaa,0x35555555,
    0x98000013,0xaaaaaaaa,0xaaaaaaaa,0x0510002a,0x0016d400,0x4ffffb98,
    0x3f3ff660,0xb104e98d,0x7df957df,0x9ffd507b,0x09ddddff,0xabcfffc8,
    0x0fbbefec,0xb9884a80,0x1bffffff,0x3ffffee6,0xf93109bf,0xddddffff,
    0x309fffff,0xddfffff7,0xdfffffdd,0x3ffff2a2,0xcefffeef,0xca880001,
    0xefffffff,0x6fffffee,0x000d7000,0x0007ffee,0x304fffc8,0x3fea1bff,
    0x4ff884ff,0x5c3ffd88,0xfff10eff,0x3faa09dd,0xffd300df,0x04f8801f,
    0x027fffe4,0x809ffff9,0x882ffffc,0x3f204ffd,0xff703fff,0x1ffffd0d,
    0x027fff4c,0xffdbf000,0xffb881ff,0x05fd0006,0x09fffd00,0x27ffe400,
    0x360fff44,0xffd84fff,0xf98ff600,0x27fec4ff,0x00dfff90,0xfb003ff6,
    0xffffb809,0x3fffee03,0x7fffdc03,0xb813ea02,0x2203ffff,0xffffd86e,
    0x77fff440,0x47cc0000,0x300ffffd,0xff5000df,0xfff7000b,0x7fdc0005,
    0x86ffe84f,0x7c44fffc,0x91f4407f,0xffc87fff,0xffffa80f,0x01fd1002,
    0x2e027fe4,0x2a02ffff,0x5c03ffff,0x6c02ffff,0x3fffee04,0x7ec35c03,
    0xfe880fff,0x740005ff,0x01ffffb3,0x7f40035c,0xdb8001ff,0x7fdc0002,
    0x2fffc44f,0x2627ffe4,0x1dc03fff,0xfc85fffb,0x7ffc42ff,0x07cc005f,
    0x404fffd8,0x202ffffb,0x403ffffa,0x4c2ffffb,0xffb812a0,0x1a2083ff,
    0x403ffff6,0x003ffffb,0x7ffecd70,0x00d1140f,0x04ffff98,0x2a600000,
    0xa89fff70,0xffc84fff,0x7fffcc4f,0xffc8e203,0x0fffe42f,0x007ffff2,
    0xffd10360,0x70ffffff,0x5405ffff,0x5c03ffff,0x0ec2ffff,0xffffb80a,
    0x7ec14583,0xff100fff,0xf1000dff,0x07fffec3,0xfd800716,0x0000ffff,
    0x3fff2200,0x44fffbbf,0xfc84fffc,0xffff84ff,0xff9801ef,0x237fe43f,
    0x00fffff8,0x6d440880,0x82aadfff,0x202ffffb,0x403ffffa,0x7c2ffffb,
    0x3ffee001,0xfd80783f,0x3fa00fff,0x6c002fff,0x07fffec4,0x7c4000b3,
    0x803ffffc,0x03ffffe9,0x7546ffec,0x7ec4ffff,0xfffc84ff,0xfffffd84,
    0x7fec01df,0x2617ff45,0x0007ffff,0x04fffc80,0x017fffdc,0x807ffff5,
    0x262ffffb,0x3fee001f,0x403dc3ff,0x200ffffd,0x004ffffd,0xfffb03ea,
    0x0002ec1f,0xfffff199,0x1ffffc00,0x443fff70,0x7ec4ffff,0xfffc84ff,
    0xffffe884,0x2a00cfff,0x1ffd9cff,0x06ffffb8,0xfffc8000,0x7fffdc04,
    0x3fffea02,0x7fffdc03,0x4003ff52,0x713ffffb,0xfffb00ff,0x7ffe401f,
    0x20ba005f,0xd98ffffd,0x1f10005f,0x00bffff6,0x881fffec,0xffb86fff,
    0x2fffe44f,0x9827ffe4,0xffffffff,0x3b7ae01f,0xfff900ac,0x900000bf,
    0xfb809fff,0xffffffff,0x3fffffff,0x77fffdc0,0x2001ffff,0xfeeffffb,
    0xffd807ff,0x3ff200ff,0x0b9006ff,0x3ffffff6,0xb70005ff,0x037fffcc,
    0x303fffd8,0xff70bfff,0x6fff989f,0x204fffc8,0xffffffd8,0x02ec42ff,
    0x17ffff20,0x3ff20000,0x7ffdc04f,0x999999bf,0x403ffffb,0xdbbffffb,
    0x3ee001ff,0xffdbcfff,0xffffd807,0x3ffff200,0xeeef9805,0xfffffeee,
    0x0005fea9,0xffffe83d,0x3fffd801,0x70bfff70,0xffd09fff,0x7fff443f,
    0xfffe9804,0x27ec6fff,0x3fffee00,0x33332206,0x642ccccc,0x7dc04fff,
    0x3ea02fff,0x7dc03fff,0x07f22fff,0x3ffffb80,0x3f601fa2,0x3f200fff,
    0xbe804fff,0xfe999999,0x0bd10fff,0xff70d500,0xffb00bff,0x3fff207f,
    0x84fffb84,0xebbffff9,0x0044fffe,0x3fffffd5,0x3337ffe2,0x7cc0abcc,
    0x54407fff,0x81efffff,0x5c04fffc,0x2a02ffff,0x5c03ffff,0x0fc2ffff,
    0x7ffff700,0xffd80798,0x3ff600ff,0x035c03ff,0xa83ffff6,0xf02e8005,
    0xd801ffff,0xffb03fff,0x9fff709f,0x3ffffa60,0x544fffc9,0x7fffdc02,
    0xffffff34,0xf87fffff,0xd800ffff,0xf901ffff,0xffb809ff,0x3fea02ff,
    0x7fdc03ff,0x0c0ec2ff,0x83ffffb8,0xffffd806,0x3ffffa00,0xb007e201,
    0x2c41ffff,0xeef98044,0xffffeeee,0x7ffec04f,0x09fff903,0x8809fff7,
    0x13fff20a,0xfff500b5,0x7ffffecb,0x22ffffff,0x801ffffd,0x901ffffd,
    0xfb809fff,0x3ea02fff,0x7dc03fff,0x40dc2fff,0x7ffff706,0xfffb0090,
    0x3ffe201f,0x4026c06f,0x240ffffd,0x99bd80e4,0xfff99999,0x3ff600ff,
    0xbfff703f,0x009fff70,0xa89fff90,0x4ffe800f,0x7fffffec,0x3e24ffff,
    0xfd803fff,0xff900fff,0xfffb809f,0x3ffea02f,0x7ffdc03f,0x7069802f,
    0x0007ffff,0x403ffff6,0x201ffffb,0xffd800ea,0x83c400ff,0x7fec00f9,
    0x3ff603ff,0xffff303f,0x00bfff90,0xa89fff90,0x2ffd805f,0x99837fb1,
    0x7fd44ffb,0xfffd807f,0xbfff700f,0x3ffee122,0x3ffea02f,0x7ffdc03f,
    0x82f4402f,0x003ffffb,0x01ffffb0,0x8813fffe,0xfffb002e,0xb06c801f,
    0xffff3009,0x1fffec0d,0x4c7fffb0,0x8005ffff,0x7d44fffc,0x97fe203f,
    0x1fd806fd,0x405fffb8,0x100ffffd,0x01d9fffd,0x407ffff9,0x403ffffb,
    0x203ffffc,0xff703fe8,0x3a0007ff,0xfd81ffff,0x03ec03ff,0x01ffffd0,
    0x17cc2fec,0x3ffffe80,0x409fffb0,0xecbfffe8,0x00bffffd,0x517fff20,
    0xd881bfff,0x07fee0ef,0x3a605fa8,0xfd80bdff,0x36600fff,0xffb01dff,
    0x7fec09ff,0x7ff405ff,0xa9999eff,0xfb02fffc,0x1000bfff,0x339fffff,
    0x803dffd5,0xf8800ffc,0x999cffff,0x4c4ffeca,0xffb005fe,0xffd01fff,
    0xffe880bf,0xceffb8ef,0xffd3000b,0x5d7545ff,0x3ffecefd,0x757bff90,
    0x2e007fdb,0xfedefffe,0x80001cff,0xfffffec9,0xfec88cef,0x1cefffff,
    0xfffffd93,0xffffffff,0x7f6443ff,0x1cefffff,0x7fff6540,0xbdefffff,
    0x7fff4c00,0x76e4c0df,0xffffffff,0x23ffffff,0x04effffc,0xffffffb9,
    0x3fffa69f,0x54400dff,0x54000661,0x1ccccccc,0x1aaa8811,0x37975500,
    0x54c40001,0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a200000,0xaaaaaaaa,0x5553000a,
    0x33555555,0x55544001,0x4002aaaa,0xaaaaaaaa,0x55555510,0x01335555,
    0x1bdca800,0x55555510,0x2a215555,0xaaaaaaaa,0xaa880009,0x55506200,
    0x51000355,0x55555555,0x55555005,0xaaa88003,0x9aaaaaaa,0xb9500009,
    0x7e4c4159,0x09bfffff,0xfff93100,0xdfffddff,0xfb988039,0x001fffff,
    0x7ffffff1,0x3ff2a213,0xffeeefff,0x26000dff,0x85fffffe,0xfffffb98,
    0x7fdd41bf,0xffffefff,0x6ffd402e,0x7fe40dff,0x17fffea6,0x3fee6200,
    0x800aefff,0x005fffea,0x7fffdd44,0xefffffef,0x39fd3003,0x3ff60dff,
    0x6c0003ff,0x3a61ffff,0xd800dfff,0x005fffff,0x0bfffff9,0x40ffffe8,
    0x802ffffb,0xfffffff8,0x3fff605f,0x7ffe403f,0xffff911f,0x361ff701,
    0x3ffe24ff,0x17fff22f,0xffffb000,0xfffc8003,0x3ff60005,0xfff511ff,
    0x7fc401bf,0x82fff88f,0x002ffffc,0x0ffffe40,0x03ffffa2,0xfffff990,
    0xfff7f001,0xfffd809f,0xffffa80f,0x7f7ff402,0x902fffff,0xb805ffff,
    0x7f41ffff,0x3fee0eff,0x447ffee4,0x3ee2ffff,0x640005ff,0x4000ffff,
    0x0005fffb,0x307ffff2,0x640bffff,0x0bfb0fff,0x00bffff2,0x3ffff900,
    0x1dfffd10,0x7ffe65c0,0x7d75403f,0x7e404fff,0xffd00fff,0x50fd409f,
    0x209ffffd,0x402ffffb,0x541ffffa,0x3fa3ffff,0x8bffe22f,0x7fdc7ffd,
    0x7e40005f,0x5c000fff,0x20005fff,0xe81ffffb,0xfd00ffff,0x3f2001ff,
    0x40002fff,0x501ffffc,0x5c09ffff,0x07ffff8c,0x7fffd574,0x7fffe404,
    0x0ffffb00,0x7ffc40ec,0xffff706f,0xffffa805,0xaffffcc1,0x75c1fffa,
    0xffb82984,0x7e40005f,0xbcceefff,0x17ffee02,0xffffb800,0x2ffffc81,
    0x001ffff0,0x00bffff2,0x3ffff900,0x3ffffe20,0x3ff69700,0x2af302ff,
    0x6404ffff,0xfb00ffff,0xb0003fff,0x3ee09fff,0x7d402fff,0x7fcc1fff,
    0x3fff95ff,0xfff70000,0xffc8000b,0xfffcbbff,0x5fffb81d,0x7dc006a2,
    0xffd81fff,0xffff00ff,0x3fff2001,0x7e40002f,0x3f601fff,0x29703fff,
    0x906ffff9,0x13fffea7,0x01ffff90,0x001ffffe,0xb80fffdc,0x5402ffff,
    0x7cc1ffff,0xfffb2fff,0xff700007,0x7ffec4bf,0xfff900df,0x7fffd41f,
    0xcafffdc2,0x5c01efff,0xff81ffff,0xffff85ff,0x6401ffff,0x0002ffff,
    0x00ffffe4,0x20bffff9,0x3ffffa4b,0xffa87c41,0x7fe404ff,0xfff880ff,
    0xff90005f,0x7fffdc0f,0x7fffd402,0xb3fffe41,0x00009fff,0xf90bfff7,
    0xfffc801b,0x37ffec0f,0x3b7bffee,0x5c06fffd,0x7e41ffff,0xfaa81fff,
    0x400abfff,0x002ffffc,0xfffd9988,0x2e0999af,0x9706ffff,0x227fffd4,
    0x3fffea5b,0x7fffe404,0x7ffff440,0x9fff0000,0x17fffdc0,0x87fffea0,
    0x323ffffa,0x80006fff,0x5e85fffb,0x1ffff900,0x21ffffb8,0x364ffffb,
    0x3ee02fff,0xfebaafff,0x7fc00cff,0xff9000ff,0xd50005ff,0xddfffffd,
    0x7ffdc9dd,0xff89707f,0xa87a0fff,0x6404ffff,0xcbabffff,0x000cfffe,
    0x401dff30,0x402ffffb,0xebcffffa,0x7dc0dfff,0x75002fff,0x45fffb81,
    0x3ff2004d,0x7ffd40ff,0x1bffee4f,0x5c09fff9,0xffffffff,0xff801bff,
    0xff9000ff,0xc80005ff,0x2e01ffff,0x9706ffff,0x33ffffc8,0x4ffffa8d,
    0x77fffe40,0x00fffffe,0x00ffdc00,0x00bfffee,0xdddffff5,0x3fe20379,
    0x3a280fff,0x3fee0fff,0x9001725f,0xfa81ffff,0x3fee3fff,0x27ffdc5f,
    0x13ffff70,0x3dffff73,0x007fffc0,0x02ffffc8,0x7fffe400,0x3ffff201,
    0xff889705,0xfa87b6ff,0x7e404fff,0xffe88fff,0x740003ff,0xfffb803f,
    0x7ffd402f,0x7fe4001f,0x23b31dff,0x2e3ffff9,0x0df95fff,0x0ffffc80,
    0x70ffffe4,0xffb8bfff,0x3ffee04f,0x7fff4c1f,0x1ffff01f,0x3ffff200,
    0x3f202002,0x3f201fff,0x09703fff,0x1f7ffffb,0x04ffffa8,0x987fffe4,
    0x001fffff,0x2e009f90,0x5402ffff,0x4001ffff,0xffffffe8,0x3fffe22f,
    0x377ffee2,0x32004fff,0x7f40ffff,0x7ffdc6ff,0x027ffdc5,0x503ffff7,
    0x3e0dffff,0xf9000fff,0x2e005fff,0x1ffffc82,0x0bffff60,0x7ffcc25c,
    0xfffa84ff,0x7ffe404f,0x3ffff20f,0x27d4000e,0x5ffff700,0x1ffffa80,
    0xffff9000,0x8dff905d,0xffeffffb,0xff9001ff,0x3ff221ff,0x7ffdc0df,
    0x027ffdc5,0x103ffff7,0xf03fffff,0x32001fff,0xd002ffff,0x3ffff903,
    0x037fffc0,0x3fffa097,0xffffa81f,0x7fffe404,0x27ffff40,0x1c0bf100,
    0x017fffdc,0x007fffea,0x8801b700,0xb6fffb81,0x3200dfff,0xfffeffff,
    0xfff704ff,0x04fffb8b,0x407fffee,0xf82fffff,0xf9000fff,0xf3005fff,
    0x3ffff901,0x0bfffea0,0xfff504b8,0x3fffea0b,0x7fffe404,0x7ffffc40,
    0x640bd002,0x2ffffb84,0x0ffffd40,0x07fd1000,0x57ffee00,0x804ffff8,
    0xaabffffc,0x7ffdc009,0x027ffdc5,0x103ffff7,0xf01fffff,0x32001fff,
    0xd802ffff,0x3ffff907,0x017fffa0,0x17ffc097,0x04ffffa8,0x407fffe4,
    0x00fffffb,0x7fffffe4,0xffb82fff,0x7fd402ff,0x260001ff,0xb8000ffe,
    0x3fea5fff,0x7fe402ff,0x7dc000ff,0x7ffdc5ff,0x3fffee04,0x6ffffa81,
    0x001ffff0,0x00fffff2,0x3ff20dfb,0xfffc82ff,0x3205c804,0x3ffea06f,
    0x7ffec04f,0xffffb01f,0x7fffdc0d,0x81ffffff,0x403ffffc,0x002ffffb,
    0x000ffd40,0x3637ffdc,0x3200ffff,0x4000ffff,0x7e46fffb,0x3ff205ff,
    0x7ffc41ff,0xffff00ff,0x3fffa003,0xb99999ef,0xffd06ffe,0xfd533bff,
    0xff1005df,0xc80fe203,0x7406ffff,0xf103ffff,0xf309ffff,0xffffffff,
    0x3fffa0ff,0x7ffec04f,0x3660004f,0xff90005f,0xffff88ff,0x3ffffa05,
    0x7ffe4002,0x037ffec7,0x33bffffd,0x03bffff7,0x80bfffe2,0xfffffec9,
    0xffffffff,0x3fb265ff,0xefffffff,0xfc9801bd,0x0d82efff,0x7fffee44,
    0xd931ceff,0x9bffffff,0xdfffff50,0x3ffffe23,0x26ffffff,0xfffffec9,
    0xfd910cef,0x09dfffff,0x002ccc80,0xdfffffb0,0x3fffff21,0xfffd931e,
    0xb007bfff,0xb1dfffff,0x21dfffff,0xfffffec9,0x1cdeffff,0x3ffffb20,
    0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0a880000,0x0598014c,0x00a81750,0x2aaaaaa2,0xaaaaaaaa,
    0x2aaaa61a,0x5102aaaa,0x2a255555,0xaaaaaaaa,0x55555541,0x5555550a,
    0x0aaaa815,0x220f6400,0xaaaaaaaa,0xaaaa982a,0x2aaa0aaa,0xaaaaaaaa,
    0x0aaaaaaa,0x83555551,0x99999998,0x09999999,0x0002a880,0x4400054c,
    0xbff70fff,0x203ff540,0x9adfffe9,0x3ffea00f,0xffeeeeef,0x3261ffff,
    0x1bffffff,0x5bffb710,0x3ffffee2,0x7e540aff,0xff70adff,0xfb817fff,
    0x3ee000ef,0xfffb981f,0xa881bfff,0x742dffff,0xffeeffff,0xfffeefff,
    0xffff712f,0x99999b87,0x99999999,0x05f88039,0x0017e400,0xfd97ffd4,
    0xfffeb87f,0x7fffec07,0x7dc05fff,0xfff880bf,0xfff704ff,0xbf3001ff,
    0x3ffffe60,0xc81ffc05,0x1b607fff,0x03fff300,0x027fffe4,0xfe817fe4,
    0x3fffe60c,0x3a17fd44,0x001c3fff,0x0bf10070,0x002fc800,0x3ea1fff0,
    0x3ffbae5f,0x5d7407ff,0x401ffffe,0x3ff202fc,0x3fa00eff,0xfb804fff,
    0x3ffff200,0x409f101f,0xf02ffff8,0x7ff44007,0x3ffee01f,0x077cc03f,
    0xfff30bd0,0xd85f309f,0x001c3fff,0x0bf10070,0x002fc800,0x42981510,
    0x81ffff20,0x801dc428,0x3ffe603c,0x7fcc02ff,0x3e200fff,0xffffe802,
    0xfb00bb06,0x00f10bff,0x01ffffd8,0x80ffffee,0x80e805f9,0xd04ffff9,
    0x43fffc85,0x200e0003,0x640005f8,0x0000002f,0x003fffd4,0xe8036000,
    0xb005ffff,0x6409ffff,0xffff3005,0x800eb89f,0x5c0ffffa,0x3ffae005,
    0x3fee01ff,0x07f503ff,0x7ffcc160,0xfc85704f,0x0001c3ff,0x00bf1007,
    0x0002fc80,0x7ffd4000,0x01a88007,0x3ffee028,0xff3000ff,0x1f101fff,
    0x7fffe400,0x4001f51f,0x1742ffff,0xffe9f980,0x3ffee01f,0x001fc83f,
    0x7fffcc02,0xfff90204,0x0e000387,0x00017e20,0x260005f9,0x403ffffe,
    0xfd87fffa,0xfff95fff,0xff10003d,0xc8007fff,0x4d85ffff,0xffffe800,
    0x64001f9e,0x01e65fff,0x3fffd3e8,0x1ffffdc0,0x00001db1,0x013fffe6,
    0x1c3fffc8,0x26627000,0x9efa9999,0x31199999,0x7f933333,0x01333333,
    0x807ffff0,0xf907fffa,0xffbdbdff,0xfd8001df,0x88006fff,0x2a1fffff,
    0xfff30006,0x30007fff,0x12e1ffff,0xfffd2e40,0x7fffdc03,0x0001fd33,
    0x27fffcc0,0x87fff900,0x7d4e0003,0xffffffff,0xb7ffffff,0xffffffff,
    0x9fffffff,0x07fffb00,0x707fffa8,0x7ec7ffff,0x3ea003ff,0x0001ffff,
    0x74bffff7,0x3fee0002,0xd0001fff,0x007a7fff,0xfffe83ea,0x3fffee01,
    0x004fffab,0x3fffe600,0x3fff2004,0x270001c3,0xeeeeeeea,0xeeeeeeff,
    0xdddddd95,0xddddddfd,0xfffb007d,0x7fffa807,0xc8dfff70,0x3a004fff,
    0x0004ffff,0x2bffffe2,0xfe80005c,0x90006fff,0x00f3dfff,0xfffe85f1,
    0x3fffee01,0x02fffffe,0xffff3000,0x7ffe4009,0x070001c3,0x8000bf10,
    0x6c0002fc,0x7d403fff,0xfff707ff,0x04fffb8b,0x1fffff90,0xfffb8000,
    0x80001fef,0x04fffff8,0xffa99998,0x9999ddff,0x7ff42740,0x3ffee01f,
    0xfffffdef,0xff980001,0x3f2004ff,0x0001c3ff,0x00bf1007,0x0002fc80,
    0x201fffec,0xf707fffa,0xfffb8bff,0xffff9804,0xfd00002f,0x00009fff,
    0x3fffffea,0x77777401,0xeeefffff,0x741b21ee,0x3ee01fff,0xfffd3fff,
    0x980001df,0x2004ffff,0x01c3fffc,0xbf100700,0x02fc8000,0x1fffec00,
    0x41fffea0,0x7dc5fffb,0xffe804ff,0x001805ff,0x007ffff7,0xffb3f100,
    0xf7000dff,0xdf980fff,0xfffccccc,0xfff704df,0x3fffe27f,0x7cc0005f,
    0x32004fff,0x001c3fff,0x0bf10070,0x002fc800,0x01fffec0,0x5c1fffea,
    0x7fdc5fff,0x7ffd404f,0x034400ff,0x03ffffa8,0xf89f4400,0x4004ffff,
    0x4c06fffb,0xffffffff,0xb80fffff,0x3ea3ffff,0x0004ffff,0x013fffe6,
    0x1c3fffc8,0xf1007000,0x2fc8000b,0x7ffec000,0x3fffd403,0x5c5fffb8,
    0x3e204fff,0xb803ffff,0xffff5005,0x44d80007,0x01fffffa,0xffb55555,
    0x155555ff,0x3fffffe6,0x0fffffff,0x43ffffb8,0x02fffffb,0x9ffff300,
    0x1fffe400,0x8038000e,0xffd805f8,0xffffffff,0x804fffff,0x5403fffd,
    0xff707fff,0x4fffb8bf,0x1bffff20,0xfa802740,0x20003fff,0xffffb06c,
    0x9999901d,0x999ffffb,0x2aaa2399,0xffffaaaa,0xffff702b,0xfffffb07,
    0xfff30003,0x7fe4009f,0x70001c3f,0xb00bf100,0xffffffff,0x9fffffff,
    0x07fffb00,0x707fffa8,0xffb8bfff,0xffff304f,0x07f7003f,0x0ffffea0,
    0x8807dc00,0x004fffff,0x000ffff7,0x201fffe8,0x883ffffb,0x00effffe,
    0x27fffcc0,0x87fff900,0x000e0003,0x00000000,0x5013fff6,0xf701ffff,
    0xfffc8dff,0xbffffd05,0x02ffd880,0x09ffff70,0xb807f500,0x802fffff,
    0x0007fffc,0x700ffff4,0x2607ffff,0x00efffff,0x17fffe60,0x44fffd80,
    0x000e0003,0x00000000,0xb017fffa,0xf905ffff,0xfffd8fff,0xfffffb86,
    0xba99999a,0xb001ffff,0x800bffff,0x7c403ffb,0x401fffff,0x001ffffe,
    0x807fffa0,0x205ffffd,0x0efffffe,0xdffff700,0x2ffff400,0x2aaaaab2,
    0xaaaaaaaa,0x00000003,0x3ffa6000,0x32a0dfff,0xdffffffe,0xdfffffb4,
    0xdfffffb1,0x3ffffe21,0xffffffff,0x201fffff,0xfffffeca,0x3ee03cef,
    0xc84dffff,0xfffffffe,0x7fff6dc5,0x8003dfff,0x6441fffe,0xeffffffe,
    0x3ffff664,0x900dffff,0xdffffffb,0x3ffa6059,0x0000dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00440000,0x0d440000,0x36e00000,0x20554401,0x02aa600b,0x00155100,
    0xa88006a6,0x00135301,0x00000d4c,0x186a6200,0x00060000,0x80000000,
    0x3ea04000,0x3f60001c,0xfff95fff,0xfffd103d,0xfff73bff,0x03ffee1d,
    0x37fb7fea,0xefc885b9,0x5401dffe,0x00dffdff,0x03df9ff5,0x3fffb6e2,
    0xffdfe98d,0x76ffdc03,0xfffb00cf,0x3fffa29f,0xfefe984f,0xa80007df,
    0xfffff77e,0x37ff4c7f,0x3bfffff9,0x7fffffd3,0x7cd3ff62,0xf305e544,
    0x5f7ffcc9,0xfffc8000,0xefffdede,0x3ffff900,0x3ffa0fe4,0xb1ffe43f,
    0xff981dff,0x403fff20,0x9ffb0ffb,0x3ee1ff90,0x707fcc1f,0x223fffff,
    0x5ffb05ff,0xfd8077f4,0x7fff44ff,0x3ea3fe84,0xff910007,0x7fffd4df,
    0xfb85f883,0x3fe20fff,0x263f84ff,0xffffdcff,0x443ffbdf,0x01cfffeb,
    0x8ffffee0,0x3a03fffd,0x20ba5fff,0x3ea2fffd,0x3ffee0ff,0xf50fff40,
    0x9ff70bff,0xf50fffdc,0x7c6ff8bf,0x7fffc0ff,0x2e0ffe44,0x2ffd47ff,
    0x6c4fffc8,0x7fcc4fff,0x2a003e43,0xe81cfffd,0x0f985fff,0xb87fffd0,
    0x43c46fff,0xa9adfff9,0x4c03fffc,0x802efffc,0x7e46fffb,0x3fea04ff,
    0xf904c9ff,0x3fff41ff,0xf993ffe6,0x3ffe65ff,0x222ffe86,0xfff12fff,
    0xf32ffe87,0xfffe89ff,0xf12ffdc3,0xfff98bff,0x44fffb83,0x7e44fffc,
    0x440342ff,0x00beffeb,0x2e1fffea,0x1bffee05,0x543ffffb,0x2607fd04,
    0xd71000ff,0x2e019fff,0x7fdc5fff,0x7fff404f,0x9bfea06e,0x3a26fffa,
    0x7ff47fff,0x51fffe63,0x4eb83fff,0xfd07ffea,0x21fff49f,0x7d41fffe,
    0x13ffee7f,0xf70bfff3,0xfffc89ff,0x27fffdc4,0x7ffecc03,0x3ffe002d,
    0xf100f43f,0x37a23fff,0x20764fff,0x1fd405fb,0x7ffed400,0x2fffdc2d,
    0x3013ffee,0xf807ffff,0x97ffee4f,0x20ffffbd,0x3ff662a8,0x0fffe47f,
    0x667ffdc0,0x225fffcc,0x7fffdc2b,0xfffcaaab,0x889fff90,0xffb87fff,
    0x27ffe44f,0x3bffffe2,0xfffeb880,0xffb8000c,0x3601a66f,0xf5954fff,
    0x6c1a2dff,0x006f801f,0x9bfff220,0x7dc5fffb,0xffd804ff,0x917ec06f,
    0x7d32bfff,0xfb301fff,0xfd8ffff9,0xffd803ff,0xaaaaaabf,0x3fb3ee02,
    0xcccccdff,0x9fffb0cc,0x40ffff88,0x7e44fffb,0xfffd84ff,0x3fe61fff,
    0x440003ef,0x0591ffff,0x36ffff50,0x973ffff1,0x7ec01fa0,0xffd50000,
    0x2fffdc9f,0x2013ffee,0x202ffff9,0x3fff20fb,0x3fffe5bd,0xf99ffc81,
    0x7ffec7ff,0x2fffd804,0xd97fd400,0xfd002fff,0xfff887ff,0x27ffdc0f,
    0x6c13fff2,0x30ffffff,0x0019fffd,0x8dfffc80,0x3fffe006,0x33fff26b,
    0x001fb01e,0x644001fb,0x5c0befff,0x7fdc5fff,0xfff8804f,0xf71a606f,
    0xfff8dfff,0x987ff4c7,0x7fe47fff,0xfffc806f,0x87ff2004,0x9004fffc,
    0xff987fff,0x4fffb87f,0x7027ffe4,0xa87fffff,0x002dfffd,0x99ffff30,
    0x7fffe400,0x1bfffe63,0x5f801fb8,0xbfffb300,0x2fffdc05,0x2013ffee,
    0x03ffffcc,0x1ffff502,0xd137ffc4,0x7ffccbff,0x17fffdc7,0x01bffee0,
    0x3ee2ffe4,0xff7006ff,0x6fff989f,0x644fffb8,0x30544fff,0x220bfffd,
    0x00bffffb,0x07ffff40,0x1ffff300,0x203fffe8,0x17e406f8,0x9fffd710,
    0xbfff7001,0x404fffb8,0x1ffff95a,0x237ff400,0x3ea4fff9,0x3ffe64ff,
    0x7ffffc47,0xffff3280,0x3fe29307,0x7fffcc4f,0x3fe21b03,0x1fffd44f,
    0x362fffdc,0x225c4fff,0xa804ffe8,0x001dfffd,0x000bfff5,0xff70bffd,
    0x0dfd801f,0xc980ffb8,0x4002efff,0x7e46fffb,0x43e205ff,0x004ffff8,
    0xfa83ffee,0x3ffee0ef,0x7ffffcbf,0x6ffffe41,0x7fec3b31,0x5cb31dff,
    0xf711ffff,0x223bffff,0x237fe43d,0xff507ffb,0x7fffdcdf,0x3ee0fdc4,
    0x3f22002f,0x7400beff,0xfb8001ff,0x06ff882f,0x5e7fffd4,0x544fffec,
    0x0001cfff,0xfd8ffff9,0x8dd106ff,0x001ffffd,0x7f47ffbd,0x7fffcc0f,
    0xefffe9ef,0x3ffffa23,0x7f442fff,0x20ffffff,0xfffffff9,0xfffffe9c,
    0x3ffb04fe,0xfd00f7f4,0xffbdbbff,0x22efb8bf,0x50000efd,0xfb80fffd,
    0x1ff10006,0xf980ffa0,0xfffffcbf,0x3aa4ffad,0x3f60000b,0xfd8effff,
    0xb10effff,0xff919fff,0xd809ffff,0xbfddff53,0x8fbfee03,0xf903efea,
    0x2205dfff,0x81dffffd,0x20dffffc,0x3effffd8,0x7f6ffdc0,0x7ff4400d,
    0xbffff95f,0x7f77ef54,0xc980000d,0x001fc407,0x07d40bb0,0x55445d10,
    0x0087a20a,0x00000000,0x98080000,0x0802001a,0x40015300,0x01a88029,
    0x4c000a98,0x0a98001a,0x0a982200,0x80080000,0x0260000a,0x00000288,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15300a98,0x00144000,
    0xc825c000,0x801c9802,0x805a80d8,0x8009800a,0x7951004c,0x00591001,
    0x32e20366,0x40bc980a,0x0b881cb8,0x02b32a20,0xa8059950,0xccc983cc,
    0xcccccccc,0xfc84cccc,0xfff76fff,0x7fffd49f,0x6ffffc85,0xfc8bffb1,
    0xfffeefff,0x417d407f,0x6ff800fc,0xbf01db00,0x30077d40,0x7fd401df,
    0x7fffcc01,0x07fec01f,0x41ffeb88,0x40fffff9,0x7fec5fff,0x427ffd47,
    0x1fffffe8,0x0bfb0fa8,0x83ba27f6,0xfffffffa,0xffffffff,0xbdfff907,
    0x75ffff9d,0x09fffd9f,0xfd1dfff7,0x17e41fff,0x80ffffea,0x04fb86fa,
    0x2600bfb0,0x104fb86f,0xff301dfd,0x06ffe807,0x3ff22ba2,0x807fec04,
    0x741ffe9a,0x264ffeac,0x3fe27fff,0x3fffa1ff,0x2fbfa20f,0x7fc1ffea,
    0xfa81ff73,0xaa897f26,0xaaaaaaaa,0x502aaaaa,0x7d4bffff,0xff10efff,
    0xdfff50ff,0xc8dffbb9,0x06fffe83,0xff507fe6,0x2000c001,0x04ff85fd,
    0x7cc1bfd1,0x7efdc03f,0x5ff1002f,0x897ea288,0x221ffd82,0xf997fe61,
    0x7fffc6ff,0x8fffff60,0x45fb84fc,0x81ff91db,0x03fee5fd,0xff500000,
    0xffff88df,0x207fffc0,0x266ffffa,0x3ee0640c,0xff301fff,0x003ffa8b,
    0x2ffcc000,0x7440ffee,0x807ff35f,0x07fb9ff8,0xff889f90,0x3ff25d1e,
    0x100ffec2,0x5fff85ff,0x3a637fec,0x07fa3fff,0x6f5c1fe2,0x72ffc1ff,
    0x000005ff,0x446fffa8,0xfff87fff,0x7fffd40f,0xfff88002,0x3fff104f,
    0x2207ffcc,0x99999999,0x09999999,0x7f44ffd8,0xfdfd102f,0x49f9007f,
    0x3fa603fe,0x3ffe23ff,0xfffd9daf,0x700ffec2,0x87ffb0df,0xf3104ffb,
    0x3fd03fc3,0x7fdc774c,0xff72ff41,0x33333263,0xcccccccc,0xfff504cc,
    0x87fff88d,0x7d41ffff,0xd8000fff,0xe880ffff,0x3ffe65ff,0xfffffd83,
    0xffffffff,0xfff984ff,0x40bffee3,0x9803ffe8,0x03fea0ff,0x20fffd98,
    0xcdfcccc9,0x1ffd82cc,0x3ee03ba0,0x017fcc1f,0x881fe8d7,0xfb9ff47f,
    0xf937dc1f,0x3fffea1f,0xffffffff,0xff507fff,0x7fff88df,0x541ffff8,
    0xa8007fff,0xd103ffff,0x7ffccbff,0xeeeeec83,0xeeeeeeee,0xfff883ee,
    0x40bffea3,0x400efff9,0x04fd83fd,0xb101ffc8,0xffd801d7,0x3041d901,
    0x803fe0ff,0x642fe43e,0x33bfe65f,0x3e20affe,0x9988ff67,0x99999999,
    0x50199999,0xff88dfff,0x1ffff87f,0x0037ffd4,0x2037fff4,0x3e61ffe8,
    0x000000ff,0x7f44ffc8,0xd7ff303f,0x1bea01df,0x2600ffcc,0x32ff507f,
    0x07ff603f,0x0b6667ae,0x441b60bf,0xcfff885d,0x7e40fffb,0x981ee8ae,
    0x0002fcde,0xdfff5000,0xf87fff88,0x7fd41fff,0x7fdc006f,0xff9801ff,
    0x0027fd46,0x17fe2000,0x3e607ff5,0x01bfd13f,0x2fe405fd,0x417cc7f7,
    0x9ff55ff9,0xf707ff60,0xd81fffff,0x7d309702,0x7ffff4c0,0x0400001e,
    0x2a000000,0x7fc46fff,0x1ffff87f,0x0037ffd4,0x709ffff1,0xf50bfe60,
    0x076a001f,0xfe85fd80,0x887ff304,0x037dc5fe,0x7fd4bfe2,0xff702edf,
    0x32637fc5,0xff52dfff,0x010dffff,0x50004044,0x00000577,0x20000000,
    0x7c46fffa,0xffff87ff,0x037ffd41,0x81ffffb0,0x21bea058,0xdff004fb,
    0x2a1be600,0x07ff304f,0x00017fa2,0xc8801310,0x0000ed43,0x00000000,
    0x00000000,0x7d400000,0x7ffc47ff,0x17fffc0f,0x401bffea,0xd83ffffa,
    0x6417d405,0x04fd800f,0x0bd01db0,0x3a201f44,0x00000005,0x00000000,
    0x00000000,0x00000000,0x3ffee000,0x3fffea0f,0x0ffffe21,0x200ffff7,
    0x2a26fffe,0x04b804fd,0x40020059,0x805a80d8,0xcc981000,0xcccccccc,
    0x004ccccc,0x64c01000,0x5c47001b,0x2882b882,0x333221a8,0x511ccccc,
    0x55555555,0x23555555,0xeeeeeee9,0xeeeeeeee,0xfffffc83,0xfffffa9e,
    0xfffff9af,0xfffff93f,0x7ffdc05d,0xffffffff,0x00000004,0x00000000,
    0x7ffffd40,0xffffffff,0xffff87ff,0x03fffd11,0xfffb10b3,0x56a017df,
    0x3e25fff8,0x9bfe65ff,0xfff33ffc,0x267fffff,0xffffffff,0x4fffffff,
    0xfffffff3,0xffffffff,0x00000009,0x00000000,0x00000000,0x80000000,
    0xaaaaaaa8,0xfaaaaaaa,0x20fffd47,0x7443ffe8,0x766fec3f,0x2a2dffff,
    0x1ffff73e,0x5c3fffee,0xbfff0fff,0x3fffffe6,0x999913ff,0x99999999,
    0x44445999,0x88888888,0x00000888,0x00000000,0x00000000,0x00000000,
    0x74000000,0x880ffe47,0x3ff4c6fe,0xfeb883f1,0x2a6fffff,0xff50ffff,
    0x9bfe61ff,0x77713ffc,0x00377777,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0bfe3f40,0xfa83fd10,0xda80b30f,0x7ec0beff,
    0x21fff43f,0x00019828,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf99fa000,0x4c7f1002,0x800225fd,0x09804c00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00089fa0,
    0x02bcc844,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000062,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_34_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,0,0,
1,0,1,2,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,0,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_34_latin1_y[224]={ 27,6,6,6,6,6,6,6,6,6,6,8,22,18,
22,6,6,6,6,6,6,6,6,6,6,6,12,12,9,13,9,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,31,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,12,6,6,9,6,
6,6,6,6,6,13,13,18,6,3,6,8,6,6,5,12,6,14,26,6,6,13,6,6,6,12,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,10,5,-1,-1,-1,0,-1,6,6,5,5,
5,6,6,5,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,10,12,5,5,5,6,5,6,6,
 };
static unsigned short stb__times_bold_34_latin1_w[224]={ 0,6,13,15,14,27,24,5,9,10,13,17,7,10,
6,9,14,11,14,14,15,14,14,14,14,15,6,6,17,18,17,13,27,22,20,20,21,20,18,23,24,12,16,25,
20,29,22,22,18,22,23,15,19,22,22,31,22,22,20,7,9,7,14,17,7,14,16,12,16,12,13,14,16,9,
9,17,9,24,16,14,16,16,13,10,10,17,16,22,15,16,14,9,3,9,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,13,15,16,16,
3,13,10,23,10,15,18,10,23,17,12,17,9,9,7,17,17,6,6,7,10,15,22,22,23,13,22,22,22,22,
22,22,31,20,20,20,20,20,12,12,12,12,22,22,22,22,22,22,22,14,22,22,22,22,22,22,18,16,14,14,
14,14,14,14,21,12,12,12,12,12,10,9,11,11,14,16,14,14,14,14,14,17,14,17,17,17,17,16,16,16,
 };
static unsigned short stb__times_bold_34_latin1_h[224]={ 0,22,11,22,24,22,22,11,28,28,12,17,11,4,
6,22,22,21,21,22,21,22,22,22,22,22,16,21,16,8,16,22,28,21,21,22,21,21,21,22,21,21,22,21,
21,21,22,22,21,27,21,22,21,22,22,22,21,21,21,27,22,27,12,3,7,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,16,16,15,22,15,28,28,28,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,27,22,16,21,
28,28,5,22,10,14,8,4,22,3,11,17,12,12,7,22,28,6,7,12,10,14,22,22,22,22,28,28,28,27,
27,26,21,27,28,28,28,27,28,28,28,27,21,28,29,29,29,28,28,14,24,29,29,29,28,28,21,22,23,23,
23,22,22,23,16,21,23,23,23,22,22,22,22,21,22,21,23,23,23,22,22,14,16,23,23,23,22,29,28,28,
 };
static unsigned short stb__times_bold_34_latin1_s[224]={ 254,249,177,236,24,69,196,249,190,1,145,
215,191,205,187,1,11,13,188,64,126,94,109,148,163,178,248,247,123,234,198,
41,204,220,55,233,166,126,147,66,101,203,1,142,90,134,166,143,216,110,164,
35,168,18,88,111,86,63,42,102,189,94,120,216,147,16,199,31,1,44,76,
51,38,243,226,1,188,1,216,79,71,18,26,112,90,94,141,158,233,216,40,
38,250,33,162,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,
198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,198,254,248,167,
55,181,109,200,24,194,194,212,55,120,205,124,234,199,233,167,135,139,229,232,
180,155,159,223,89,173,150,126,112,56,79,102,225,202,1,188,146,125,12,169,
181,43,190,236,133,111,203,87,1,133,71,1,105,39,47,24,110,146,48,19,
52,62,77,92,19,97,143,57,235,188,201,214,51,218,26,242,1,221,25,227,
173,158,79,36,71,1,1,107,125,34,70,173,156, };
static unsigned short stb__times_bold_34_latin1_t[224]={ 1,31,270,116,89,116,116,252,1,31,270,
231,270,283,283,140,140,231,208,140,231,140,140,140,140,140,208,140,253,270,252,
163,1,186,209,163,186,186,186,186,186,208,163,231,208,208,163,163,208,60,208,
186,231,163,163,163,231,231,231,60,163,60,270,283,283,253,163,253,186,253,209,
186,209,186,31,209,231,270,252,253,163,186,270,253,186,253,253,253,252,163,270,
60,1,31,283,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,1,60,60,
163,253,231,1,60,283,140,270,270,283,283,140,283,270,231,270,270,283,140,1,
283,283,270,270,270,116,116,116,116,31,31,31,60,60,89,186,60,31,31,31,
60,31,31,31,60,208,31,1,1,1,60,60,270,89,1,1,1,31,60,209,
116,89,89,89,116,116,89,253,208,89,89,89,140,140,140,89,231,116,231,89,
89,89,140,140,270,253,116,89,89,116,1,1,1, };
static unsigned short stb__times_bold_34_latin1_a[224]={ 123,164,273,246,246,491,409,136,
164,164,246,280,123,164,123,136,246,246,246,246,246,246,246,246,
246,246,164,164,280,280,280,246,457,355,328,355,355,328,300,382,
382,191,246,382,328,464,355,382,300,382,355,273,328,355,355,491,
355,355,328,164,136,164,285,246,164,246,273,218,273,218,164,246,
273,136,164,273,136,409,273,246,273,273,218,191,164,273,246,355,
246,246,218,194,108,194,255,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,123,164,246,246,246,246,108,246,
164,367,147,246,280,164,367,246,196,270,147,147,164,283,265,123,
164,147,162,246,368,368,368,246,355,355,355,355,355,355,491,355,
328,328,328,328,191,191,191,191,355,355,382,382,382,382,382,280,
382,355,355,355,355,355,300,273,246,246,246,246,246,246,355,218,
218,218,218,218,136,136,136,136,246,273,246,246,246,246,246,270,
246,273,273,273,273,246,273,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_34_latin1(stb_fontchar font[STB_FONT_times_bold_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_34_latin1_s[i] + stb__times_bold_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_34_latin1_t[i] + stb__times_bold_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_34_latin1_x[i];
            font[i].y0 = stb__times_bold_34_latin1_y[i];
            font[i].x1 = stb__times_bold_34_latin1_x[i] + stb__times_bold_34_latin1_w[i];
            font[i].y1 = stb__times_bold_34_latin1_y[i] + stb__times_bold_34_latin1_h[i];
            font[i].advance_int = (stb__times_bold_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_34_latin1_s[i] + stb__times_bold_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_34_latin1_t[i] + stb__times_bold_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_34_latin1_x[i] + stb__times_bold_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_34_latin1_y[i] + stb__times_bold_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_34_latin1_LINE_SPACING
#endif

