// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_39_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_39_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_39_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT        380
#define STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_39_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_39_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_39_latin1_LINE_SPACING          25

static unsigned int stb__times_bold_39_latin1_pixels[]={
    0x26666000,0x31000000,0x20000333,0x00019999,0x0ccccc00,0x26666200,
    0x10000000,0x00000333,0x00004ccc,0x00b882a8,0x5dddddd3,0x46a00000,
    0x999805e9,0xaaaaaaa9,0x3fee0002,0x000001ff,0x000bffff,0x0bfffea0,
    0x7fd40000,0xfd8003ff,0x000007ff,0x04ffff88,0xfffc8000,0x7ec0000f,
    0x07ffe66f,0x17ffff44,0x93aa0000,0xfeb887f9,0xffffffff,0x20002cff,
    0x0001fffe,0x0bfff300,0xfffa8000,0xf9000004,0x6c0007ff,0x00001fff,
    0x7ffffe40,0x3e200000,0x0004ffff,0x647fffe2,0x3f204fff,0x00002fff,
    0x8ff30ff6,0xffffffe9,0x00007f47,0x000bffe2,0x05ffc800,0xfff70000,
    0x3fe00000,0xfd80004f,0x2000004f,0x5ffffff9,0x3ff60000,0x0001ffff,
    0xffb9fffa,0x3ffea03f,0xf900002f,0x7ccff309,0x7fffffff,0x5c000374,
    0x000002ff,0x000037fc,0x000bfee0,0x009ff500,0x01ffa200,0xaffe8000,
    0x0001ffd8,0xfa8dff98,0x3a60005f,0x033f222e,0x02ffffa8,0x80ffc800,
    0x3fffa7f9,0x747fffff,0x2fe80006,0x7cc00000,0x8000000e,0x400004fb,
    0x400004fc,0x00001fe8,0x7e41efa8,0x4fe80005,0x0000ffcc,0xfff50000,
    0xfb80005f,0x2eff304f,0xffffffff,0x0003747f,0x00000164,0x00000654,
    0x00007700,0x000004d8,0x00000591,0x07ee01dd,0x103fa800,0x000000bd,
    0x17fffd40,0x3fff1000,0x7fedfe60,0x7fffffff,0x00000374,0x00000000,
    0x00000000,0x00000000,0x00300000,0x04400011,0x00000620,0xffffa800,
    0x5c00ae22,0x5fe606ff,0xfffffffe,0x003747ff,0x35797530,0x55544001,
    0xaaaaaaaa,0x55555442,0x555512aa,0x55555555,0xaaaaaa88,0x0000002a,
    0x35797530,0x55544001,0xaaaaaaaa,0x55555442,0x2a6002aa,0x0009abcb,
    0x3ffffff2,0x77ffec4f,0x57fffd40,0x0cffffe8,0x9813ffe0,0xffffff7f,
    0x6e8fffff,0x7ffec400,0x2ffffdbe,0xfffca880,0x42adffff,0xbefffcb8,
    0xffff9512,0x8855bfff,0x2befffcb,0xfffffff9,0x0efffd89,0x77ffec40,
    0x02ffffdb,0xffffca88,0x442adfff,0x2befffcb,0x77ffec40,0x02ffffdb,
    0x5fffff50,0x7d41bea0,0xfdeebfff,0xff705fff,0xdbfcc07f,0xffffffff,
    0x5003747f,0xd301bfff,0x2a001bff,0x005fffff,0x7d401ff5,0x5005ffff,
    0xfff501ff,0x1bea05ff,0x037ffea0,0x0037ffa6,0x2fffffd4,0x800ffa80,
    0x980dfffa,0xd800dffe,0xf303ffff,0x3fffea03,0x3fffe63f,0x01fffe83,
    0x7ffddfe6,0x47ffffff,0xffd8806e,0x3fe200ef,0xff9803ff,0xf1003fff,
    0xffff980b,0x0bf1003f,0x81ffffec,0x3f6201f9,0x3e200eff,0xf9803fff,
    0x1003ffff,0xffd880bf,0x3fe200ef,0x7fcc03ff,0x40d706ff,0xc85ffffa,
    0x7fc0ffff,0x5fe601ff,0xfffffff9,0x403747ff,0x800ffffd,0x401ffffb,
    0x03fffff8,0xff1013e0,0x7c007fff,0x3fffe604,0xfd80d706,0xfb800fff,
    0x7c401fff,0x2003ffff,0x7ffec04f,0xfffb800f,0x7ffec01f,0x2a02e81f,
    0xfa82ffff,0x3fe23fff,0x97a600ff,0xffffffff,0x2a03747f,0x2005ffff,
    0x4406ffff,0x003fffff,0xfff100fa,0x1f4007ff,0x07ffff60,0xfffa80ba,
    0x3ffe005f,0x7ffc406f,0x0fa003ff,0x05ffffa8,0x01bfffe0,0x88bffff3,
    0x7fffd407,0x4ffff982,0x003fffe6,0xffffff30,0x206e8fff,0x02fffff8,
    0x13ffff60,0x3fffff88,0xf100fa00,0x4007ffff,0x7ffcc03e,0xf103c45f,
    0x4005ffff,0x204ffffd,0x03fffff8,0x7fc40fa0,0x36002fff,0x7404ffff,
    0x12e0ffff,0x05ffff50,0x5cbffff1,0x8000ffff,0xffffffe8,0xff903747,
    0x5c001fff,0x101fffff,0x007fffff,0x3fe201f4,0x3a003fff,0xffffe803,
    0xffc812e0,0x2e000fff,0x101fffff,0x007fffff,0xfffc81f4,0x3ee000ff,
    0x2a01ffff,0x07a4ffff,0x05ffff50,0xfb9ffffe,0x220007ff,0x47fffffd,
    0x3fffe06e,0x7fd4006f,0xff103fff,0x74007fff,0x7fffc403,0x00fa003f,
    0xe93fffea,0x3ffffe01,0x7ffd4006,0xfff103ff,0x1f4007ff,0x06fffff8,
    0x7ffffd40,0x7ffffc03,0xffa80698,0xffff02ff,0x03fffdcf,0x7eca9800,
    0xfff88374,0x7cc006ff,0xf104ffff,0x4007ffff,0x7ffc403e,0x0fa003ff,
    0x47ffffc0,0x3ffe2069,0x7cc006ff,0xf104ffff,0x4007ffff,0xffff883e,
    0x7fcc006f,0x7e404fff,0x803dbfff,0x882ffffa,0x3ea5ffff,0x00000fff,
    0x4c1ba3ec,0x005fffff,0x37ffffc4,0x3fffff88,0xf100fa00,0x4007ffff,
    0xfff9003e,0x7cc07b7f,0x4005ffff,0x06fffff8,0x07fffff1,0x7fcc1f40,
    0x44005fff,0x406fffff,0x0ffffff8,0x2ffffa80,0x24ffff88,0x000ffff9,
    0x1ba3ec00,0x27ffffdc,0x3fffe200,0xffff107f,0x01f4007f,0x0fffffe2,
    0xf1003e80,0x401fffff,0x04fffffb,0x7ffffc40,0xfffff107,0x5c1f4007,
    0x004fffff,0x3fffffc4,0x2ffffec0,0x2ffffa80,0x42ffff98,0x2600ffff,
    0xd1f6007f,0x3ffff20d,0x7fc4004f,0xf880ffff,0x2003ffff,0x7ffc403e,
    0x0fa003ff,0x5ffffd80,0x7ffffe40,0x7ffc4004,0xff880fff,0x3a003fff,
    0xfffffc83,0x7ffc4004,0x7cc00fff,0xf5002fff,0xff707fff,0xfffe81ff,
    0x801fe601,0xfa83747d,0x4005ffff,0x07fffff8,0x07fffff1,0x3e201f40,
    0x2003ffff,0x3fe6003e,0x7fd402ff,0x44005fff,0x107fffff,0x007fffff,
    0x7ffd41f4,0x7c4005ff,0xd007ffff,0x7d400fff,0x7f41ffff,0xfffb82ff,
    0x801fe603,0xf983747d,0x4005ffff,0x05fffff8,0x07fffff1,0x3e201f40,
    0x2003ffff,0x7ff4003e,0xffff9807,0x7fc4005f,0xff105fff,0x74007fff,
    0xfffff983,0x7ffc4005,0xff5005ff,0x7ffd4009,0xffeacfdf,0x9fff105f,
    0xb003fcc0,0xff106e8f,0x9800dfff,0x104fffff,0x007fffff,0x3fe201fc,
    0x3e003fff,0x27fd4003,0x7ffffc40,0x7ffcc006,0xfff104ff,0x1fc007ff,
    0x37ffffc4,0x3fffe600,0x07fe004f,0xaffffa80,0x0ceffff9,0x9817ff20,
    0xd1f6007f,0x7ffffc0d,0x7ffd4007,0xfff102ff,0x1fc007ff,0x3ffffe20,
    0x000fe003,0x7fc007fe,0x54007fff,0x102fffff,0x007fffff,0xffff81fc,
    0x7fd4007f,0x32002fff,0x7ffd4006,0x4006a62f,0xf301fff8,0x3a3ec00f,
    0x3fffee06,0x3ff2000f,0x7ffc06ff,0x5f1003ff,0x7fffff00,0x000be200,
    0xffb801b2,0x32000fff,0x7c06ffff,0x1003ffff,0x3ffee05f,0x3f2000ff,
    0x6c006fff,0x7ffd4002,0x7e40002f,0x00ff304f,0xd01ba3ec,0x4007ffff,
    0x402ffffe,0x003fffff,0xfff003f3,0x3e6007ff,0x002d8001,0x01fffff4,
    0x05ffffd0,0x03fffff8,0x7f403f30,0x3a003fff,0x5302ffff,0xfa800788,
    0x80002fff,0x7f980ffd,0x0dd1f600,0x06ffffa8,0x0dffff30,0x0bffffb0,
    0x7ec01f20,0xf9005fff,0x03c42980,0x37fffd40,0x6ffff980,0x5ffffd80,
    0xfa80f900,0xf3006fff,0x3ee0dfff,0x2000ee4f,0x002ffffa,0xf307fb00,
    0x3a3ec00f,0xffffc806,0xefffd802,0xffffa800,0x01fd400f,0x0fffffa8,
    0xf701fd40,0x8001dc9f,0x802ffffc,0x800efffd,0x00fffffa,0x7e401fd4,
    0xfd802fff,0xffd00eff,0x20003a2f,0x002ffffb,0x985fd100,0xd1f6007f,
    0x3ffea00d,0x3ffea00e,0x7ffec005,0x1df300ef,0x7fffec00,0x01df300e,
    0x0e8bfff4,0x3ffea000,0x3ffea00e,0x7ffec005,0x1df300ef,0x3bffea00,
    0x17ffea00,0x7b5fffb0,0x3fff2000,0x5c00003f,0x801fe63f,0x1003747d,
    0xc983fffd,0x88003fff,0xaceffffd,0x000efeb9,0x77fffec4,0x0efeb9ac,
    0x6d7ffec0,0xfe880003,0x7fe4c1ff,0xfd88003f,0xb9acefff,0x44000efe,
    0x64c1fffe,0xf9803fff,0x50005fff,0x13dffffd,0x8e440000,0x1f6007f9,
    0xdb7000dd,0x9dfffdff,0xfeb80003,0x2effffff,0x7ff5c000,0x02efffff,
    0x0bffff30,0xfedb8000,0x1cefffef,0x7ff5c000,0x02efffff,0x7ff6dc00,
    0x01cefffe,0x8000dd40,0xccccccc9,0x2000003c,0x12e004c8,0x98800077,
    0x000001ab,0x03559553,0xcaa98000,0x750001aa,0x88000003,0x00001ab9,
    0x35595530,0x73100000,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x00000999,
    0x00001008,0x00013330,0x332a6000,0x001bcdee,0x8000006a,0x2a009999,
    0x330009bd,0x44000133,0x00009999,0x26662000,0x44000009,0x98000999,
    0xfffd805e,0x36200007,0x0bfee0df,0x7ffe4000,0x1000000f,0x3579bfd7,
    0x007ddb95,0x00001bd1,0x01ffffb8,0x400f7f54,0x0007fffd,0x0037ffec,
    0xfff90000,0xc800003f,0x4000ffff,0xffb007f9,0x3200003f,0xfff13fff,
    0xff10000d,0x00009fff,0x0019ff90,0xb1003ba6,0x7400007f,0x36001fff,
    0xffd801ff,0x3a20002f,0x00001fff,0x03fffd00,0xfff98000,0x7cc004ff,
    0x13ff6007,0x7ffe4000,0x00ffff34,0xfffffb00,0x2200003f,0x320003fe,
    0x02fe802f,0x2fff8800,0x03ffd400,0x0004ffd8,0x001fff44,0x7ffcc000,
    0xfe800001,0x000fffff,0xe8801fe6,0xf300007f,0x1ffec1ff,0x37fe6000,
    0x0005ffa8,0x0002ffa8,0x7dc00fa8,0x7dc0001f,0xff88002f,0x0ffd001f,
    0x0dfd1000,0xff900000,0xf5000003,0x09ff51bf,0x2003fcc0,0x00001fe8,
    0x00004c06,0x3fe627f4,0x3be60001,0x17200000,0x001fff10,0x80017f40,
    0x1004fff9,0x100003fd,0x000001fd,0x00002fe8,0xff989fd0,0x00ff3000,
    0x00005910,0x2a000000,0x00bd103f,0x0007fe20,0xc805f100,0x320005ff,
    0x3fea0002,0x0b22003f,0x00e44000,0x05910000,0x0bee0000,0xf9802f4c,
    0x88000007,0xaaaaaaaa,0x55442aaa,0x402aaaaa,0x000c4008,0xa8803fd8,
    0x80b5000b,0x0001fff8,0xfff90000,0x00000005,0x00000000,0x00880000,
    0x7f9800c4,0x55555551,0x55555555,0x54415555,0xfffffffc,0x7e5c42ad,
    0x5512beff,0x55555555,0x55555555,0x0bf50015,0x3afdff50,0x00f81fff,
    0x2a22fff4,0xaaaaaaaa,0xaaaaaaaa,0xfffb00aa,0x55555103,0x05555555,
    0x00002a00,0x00005400,0x0000a800,0x3f2a2ff3,0xffffffff,0xffffffff,
    0xfffff501,0x03fea00b,0xfffff951,0xffffffff,0xd003ffff,0x2ffc803f,
    0x20ffff77,0x7ffec01e,0x3fff2a20,0xffffffff,0x01ffffff,0x2a20fffd,
    0xfffffffb,0x9d0002bd,0x3a000000,0xd0000004,0x1fe60009,0x13ffffe6,
    0x07fffaa2,0x1fffffcc,0x4c05f880,0x884fffff,0x401fffea,0x7fec06f9,
    0x17fffe65,0x3ff2016c,0xffff304f,0xffd5109f,0x1bffa03f,0x3ffffe60,
    0x3fd40006,0x7d400000,0xa8000007,0xff30007f,0x13ffffe0,0x2203ff70,
    0x003fffff,0x3ffe013e,0x7fdc04ff,0x701fe401,0x7fcc3fff,0x807703ff,
    0x3e05fffb,0x5c04ffff,0xbff701ff,0xfffff100,0xffd8000b,0x6c000003,
    0x000003ff,0x4001ffec,0xffff07f9,0x03f7009f,0x0fffffe2,0xff803e80,
    0xfb804fff,0x9807fc01,0x7fd44fff,0x807700ff,0x3e06fffa,0xb804ffff,
    0x1fff101f,0x9fffff00,0x7ffcc000,0x26000006,0x00006fff,0x01bffe60,
    0x7fc1fe60,0x3f004fff,0x3ffffe20,0x200fa003,0x004fffff,0x206f803f,
    0x7dc1fffe,0x00b606ff,0x7c0ffff5,0xf004ffff,0x01ffcc03,0x027ffffc,
    0x5ffffb00,0x3f600000,0x00002fff,0x05ffffb0,0xff07f980,0x83709fff,
    0xffff101d,0x01f4007f,0x427ffffc,0xf100ec1b,0x1bffe60b,0xf813fff6,
    0x7fffd401,0x9fffff00,0x401d8370,0x3e01cfd9,0x0004ffff,0x0bfffff1,
    0xfff10000,0x00000bff,0x0bfffff1,0xff07f980,0x83b09fff,0xffff100a,
    0x01f4007f,0x427ffffc,0xf300541d,0x0ffff609,0x203ffff1,0x7fcc00f8,
    0xffff01ff,0x0a83b09f,0x201fd100,0x004fffff,0xffffff90,0xfc800003,
    0x001fffff,0x7fffe400,0x3e6001ff,0x9fffff07,0x7c4003f0,0x2003ffff,
    0xffff803e,0x4001f84f,0xfff883fa,0x3fffe41f,0xff500b50,0x3ffe03ff,
    0x001f84ff,0x7c07fd70,0x0004ffff,0x9fffff9f,0xfcf80000,0x0004ffff,
    0x7fffe7c0,0x1fe6004f,0x227ffffc,0x3e2001fa,0x2003ffff,0xffff803e,
    0x000fd44f,0x3fe60fe6,0x7fffc47f,0x2a00b605,0xff00ffff,0x1fa89fff,
    0x027f4400,0x027ffffc,0xfffdbdc0,0x700000ff,0x3fffff6f,0x2f700000,
    0x00fffffd,0x3fe0ff30,0x3fe64fff,0x3ffe2001,0x0fa003ff,0x93ffffe0,
    0xf8001ff9,0x46fffa84,0x702ffffd,0x3ffea00d,0x3ffffe07,0x0007fe64,
    0xff003ffb,0xd0009fff,0x3ffffea7,0x27d00003,0x03fffffa,0x3ea7d000,
    0x3003ffff,0x3fffe0ff,0x1fffdcdf,0x3fffe200,0x00fa003f,0x337ffffe,
    0x8001fffd,0x6fffb85e,0x03ffff2e,0x7dc007e6,0x3ffe06ff,0xfffdcdff,
    0x1bfea001,0x27ffffc0,0xfe83ea00,0x80007fff,0x3fffa0fa,0xfa80007f,
    0x1fffffa0,0xff83fcc0,0xffffffff,0x3fe2001f,0x3a003fff,0xfffff803,
    0x01ffffff,0xffb87d80,0xff9ebaff,0x003f887f,0xf813ffee,0xffffffff,
    0x3f2001ff,0xffff006f,0x44d8009f,0x02fffffb,0x3ee26c00,0x0002ffff,
    0x3ffee26c,0x7f9802ff,0x29fffff0,0x2001ffc8,0x03fffff8,0x3fe00fa0,
    0xff914fff,0x81f70003,0x1ffffff9,0x3e88dfff,0xfffb024c,0x7ffffc03,
    0x003ff914,0xf803fff4,0x2004ffff,0x7ffc40f9,0x260006ff,0x7fffc40f,
    0x3e60006f,0x7ffffc40,0xf07f9806,0xfd89ffff,0x3ffe2001,0x0fe003ff,
    0x13ffffe0,0xf30003fb,0x3fffff05,0x655fffe4,0x3a01d82e,0x7ffc06ff,
    0x00fec4ff,0x001fffb0,0x009fffff,0xfffc82ec,0xbb0001ff,0x3fffff20,
    0x20bb0001,0x01fffffc,0xfff83fcc,0x00fc44ff,0x7fffff10,0x7c01fc00,
    0x7c44ffff,0x81d90001,0x5c40dfc8,0x9502defd,0x402fff80,0x444fffff,
    0x3ff2001f,0xffff801f,0x03f1004f,0x17ffffe6,0x4c07e200,0x005fffff,
    0xff301f88,0xf980bfff,0x9fffff07,0x7c0603d0,0x1003ffff,0xffff005f,
    0x0603d09f,0x00009f10,0x3ea00e80,0xffff806f,0x0301e84f,0xf007fff7,
    0x2009ffff,0xfffffffc,0x0fffffff,0x7fffe400,0xffffffff,0x7e4000ff,
    0xffffffff,0x200fffff,0xffff07f9,0xb103909f,0x0fffffe0,0x7c00fcc0,
    0x1c84ffff,0x1fa80588,0x07b00000,0xf802ffe8,0x1c84ffff,0xfffa8588,
    0xfffff804,0x5559f004,0xfff75555,0xcf8009ff,0xbaaaaaaa,0x004fffff,
    0x5555567c,0xfffffbaa,0x7c1fe604,0x0084ffff,0x3fff6097,0x00f9005f,
    0x213ffffe,0x36009700,0x3d800006,0x801ffcc0,0x084fffff,0xfff10970,
    0xfffff005,0x200d7009,0x00fffffe,0x3fa00d70,0x7000ffff,0x3fffa00d,
    0x0ff300ff,0x013ffffe,0xffa81fc4,0x7d400fff,0xfffff003,0x00fe2009,
    0x0000f6c4,0x7ec01f44,0x3fffe004,0x07f1004f,0xf001fff3,0xf009ffff,
    0x3ffee007,0x07f003ff,0x3ffffee0,0x2007f003,0x03fffffb,0x3ffe0ff3,
    0xfe8804ff,0x3ffff602,0x01df300e,0x13ffffe0,0x000bfa20,0x5c0009f5,
    0x04fc802f,0x27ffffc0,0x6417f440,0xfff002ff,0x1fb809ff,0x3ffffe00,
    0x001fb807,0x01fffffe,0xff8007ee,0xff307fff,0xbfffff10,0x01ffea80,
    0x3bffff62,0x0efeb9ac,0xfffff100,0x1ffea80b,0x0aed8800,0x00cfb880,
    0x44002ec8,0x405fffff,0x3221ffea,0xff1003ff,0x7c40bfff,0x7ffe4007,
    0x1fe203ff,0xfffff900,0x003fc407,0x0ffffff2,0x3fee1fe6,0xa9acffff,
    0x0ffffecb,0xffffeb80,0x4002efff,0xcffffffb,0xffecba9a,0x2a0000ff,
    0xcbacdfec,0x7000cfed,0x3fee0007,0xa9acffff,0x0ffffecb,0x40019df5,
    0x0ffffffb,0x003ffe98,0x3ffffff2,0x03ffe981,0x3fffff20,0x3ffe981f,
    0x3ffff200,0x8bfcc1ff,0xffffffec,0xffffffff,0x4c007fff,0x001aacaa,
    0x3ffffb22,0xffffffff,0x007fffff,0x55e54c00,0x80000009,0xfffffec8,
    0xffffffff,0x0007ffff,0x3ffffb22,0xf93dffff,0x20bdffff,0xfffffed8,
    0x3ff26fff,0xb105efff,0xfffffffd,0x7fffe4df,0xfdb105ef,0xdfffffff,
    0x00002644,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00013333,
    0x40002011,0x04001dc8,0x33300000,0x77654001,0xb950002c,0x4cc40003,
    0x40000099,0x2aa00100,0x2a22aaaa,0x001aaaaa,0x59bd9731,0x00020003,
    0x80004400,0x001ffffa,0x88b7ff22,0xfff8000f,0xefd8801f,0x000ffee0,
    0x00ffffdc,0x3aefbfa6,0xfd3001ef,0xfd80005d,0x80000eff,0x10adffb8,
    0xfb75001f,0x7ffd4fff,0x6c401bcf,0xffdbefff,0x3f6003ff,0x00ffea1e,
    0xd8002e40,0x22002fff,0xdfffffff,0xffa8005e,0xffb804ff,0x0ffff14f,
    0xfffff100,0x227fc40b,0x4c00eff8,0x880005ff,0x0000efff,0xffffff88,
    0xe8006edf,0x3ffea7ff,0xbfff7005,0x1bfff301,0x24fffa80,0x8000ffff,
    0xff88001e,0x7fe4002f,0x3fffffff,0xffff9800,0x4fffc803,0x001ffff1,
    0xffffffc8,0xf01ffd01,0x7fc407ff,0xfb80001f,0x700000ef,0xffffffff,
    0xffb0007f,0x027ffd4f,0x03bfff62,0x03ffffa8,0x7c57ffee,0x54000fff,
    0x5ff50006,0xb519b000,0x001bffff,0x003bff20,0xfc87ffe2,0x7fcc004f,
    0x885ff98e,0x7fc40fff,0x3ffea04f,0xefd80000,0x33600000,0xdffffda8,
    0x7ffd8000,0xb00fffea,0x7001ffff,0x2203ffff,0x3ff21ffe,0x003d8004,
    0x20007fb0,0x000ba80b,0x18001880,0xfd000110,0x4c1fe98b,0xffd83fff,
    0x07fff201,0x01ff1000,0x980b8000,0x3f60001b,0x0fffea7f,0x05ffffa8,
    0x0dffff10,0x00031018,0x320001f1,0x00000002,0x00000000,0x103fa800,
    0xffff88dd,0x7e400981,0x4c0002ff,0x0000001c,0x7fec0000,0x40fffea7,
    0x02fffff8,0x13ffff60,0x5b800000,0x54c00000,0x02aaaaaa,0xaaaaaaa8,
    0x53000001,0x00135797,0xe8180088,0x8003ffff,0x0003fffa,0x98000000,
    0x009abcba,0x54fffb00,0xff903fff,0x5c001fff,0x221fffff,0xaaaaaaaa,
    0x54c02aaa,0x551002ea,0x55555555,0x3ffae655,0x5402ffff,0x41cefffc,
    0x3fffffd8,0x77ffec40,0x02ffffdb,0xaaaaaa88,0x442aaaaa,0x00dfffff,
    0x213ffe60,0xaaaaaaa9,0x2aa01aaa,0x8802aaaa,0xfdbefffd,0x6c002fff,
    0x3ffea7ff,0xdfffff03,0xffffa800,0x3feea23f,0x2bdfffff,0xffeffd88,
    0xfba8801e,0xbdffffff,0x7ffff442,0xff9801ff,0x7fffdc00,0x37ffea03,
    0x0dffe980,0x3ffeea20,0x82bdffff,0x2ffffff9,0x217ffe00,0xffffffd9,
    0x36e01adf,0x5403efff,0xe980dfff,0xfb000dff,0x1fffd4ff,0x37ffffc4,
    0x3fffe600,0xffff304f,0x6ff440df,0x005fffd0,0x37ffffcc,0x3ffffe20,
    0x05e800ef,0x83ffff98,0x00efffd8,0x00ffffe2,0x1bffffe6,0xffffff10,
    0x3ffe009f,0x3fffea05,0x3f2001ff,0x7ffec406,0x3ffe200e,0x7ffd803f,
    0x260fffea,0x005fffff,0x37ffffc4,0x5fffff88,0xff87ffe0,0x3e2006ff,
    0xf805ffff,0x05ffffff,0xff9804d8,0xfffd83ff,0xfffb800f,0x7ffc401f,
    0x33a205ff,0x5fffffe8,0x402ffe80,0x04fffffd,0xfb003f60,0xf7001fff,
    0xfd803fff,0x0fffea7f,0x13ffffee,0xfffff100,0x7ffffc0f,0x54fff704,
    0x000fffff,0x013ffffe,0x3fffff3e,0x401ec04f,0x543ffff9,0x2005ffff,
    0xf806ffff,0xd104ffff,0xfffffc8d,0x03bfe204,0xffffff10,0x805f3001,
    0x005ffffa,0xb01bfffe,0x7ffd4fff,0xfffffc83,0xffff8004,0xffff00ff,
    0xdfff109f,0x037ff5ec,0x13ffffe0,0x3fff63e0,0x0f602fff,0x8ffffe60,
    0x02fffff8,0x13ffff60,0x09fffff0,0x3fea13f6,0xff901fff,0x3ffee001,
    0x06d804ff,0x17ffffc4,0x9ffffb00,0xf53ffec0,0xfff707ff,0xf8800bff,
    0x3e07ffff,0xfa84ffff,0x711f16ff,0xfff80017,0xd0f804ff,0x03ffffff,
    0x3fe600f6,0x3fff23ff,0x3ee000ff,0x3e01ffff,0xff04ffff,0x3fffa20b,
    0x006fecc5,0x3fffffa0,0x9007ea00,0x001fffff,0x0fffffdc,0x3ea7ffd8,
    0xfff983ff,0x7cc005ff,0x3e06ffff,0xfb84ffff,0x000b77ff,0x09fffff0,
    0x3ffe21f0,0x3d80efff,0x3ffff980,0x01bffffe,0x7fffff50,0x27ffffc0,
    0x8807ffcc,0x37e26fff,0xfff50000,0x02740bff,0x037ffffc,0x3ffffea0,
    0x54fffb03,0xff883fff,0x54006fff,0x204fffff,0xd84fffff,0x02e8ffff,
    0xfffff800,0x3e60f804,0xd85fffff,0xffff9803,0xdfffff13,0xffff9800,
    0x3fffe04f,0xefffa84f,0xb8dff300,0xfd0003ef,0xf703ffff,0xffff8801,
    0x7fcc006f,0xffb04fff,0x81fffd4f,0x007fffff,0x1fffffd4,0x09fffff0,
    0x0f7ffffb,0x3fffe000,0x5c0f804f,0x43ffffff,0xfff9803d,0xfffff33f,
    0xfff8800b,0x3ffe06ff,0xfff884ff,0x09ff00ef,0x2a001bf6,0x445fffff,
    0xfff9802f,0x7c4005ff,0xfb06ffff,0x1fffd4ff,0x0fffffb8,0x3fffee00,
    0x7ffffc06,0xfffffb84,0xfff00004,0x01f009ff,0x5ffffff9,0x7fcc01ec,
    0xffff73ff,0xff88009f,0x3fe07fff,0xff704fff,0x5ff03fff,0x0017fe60,
    0x8bfffff6,0xfff7006d,0xf88009ff,0xfb07ffff,0x1fffd4ff,0x07ffffd0,
    0x17ffff40,0x13ffffe0,0x07ffffea,0x7fffc000,0xb00f804f,0x21ffffff,
    0xfff9803d,0xfffff93f,0xfff88009,0xfff00fff,0x7fec09ff,0x13ea3fff,
    0x8005ffd0,0x36fffff9,0x3ff2003f,0x44004fff,0x80ffffff,0x3fea7ffd,
    0x3ffea03f,0xfff5006f,0xffff00df,0xffff109f,0x3e00005f,0xf804ffff,
    0xffffd100,0x2600f6df,0xff53ffff,0x8800bfff,0x207fffff,0x404fffff,
    0xadfffffc,0x4ffe803f,0xffffd800,0x2a004ebf,0x005fffff,0x3fffffc4,
    0x3ea7ffd8,0x7fdc03ff,0xffe802ff,0xfff800ef,0xfffb04ff,0x005903ff,
    0x027ffffc,0xfff3007c,0x007bbfff,0x267ffff3,0x005fffff,0x2fffffc4,
    0x09fffff0,0xffffff70,0x1bffe009,0x3fffe200,0x26000fff,0x005fffff,
    0x2fffffc4,0x3ea7ffd8,0xffa803ff,0x3fee00ef,0xfff000ef,0x3fa209ff,
    0xebacffff,0x7fffc004,0x400f804f,0xfffffffa,0xffff9803,0xdfffff13,
    0xffff9800,0x3fffe04f,0xfff3004f,0xf9801fff,0xf90005ff,0x8007ffff,
    0x06fffff8,0x7ffffcc0,0x54fffb04,0xf5003fff,0xfc885fff,0x3e000dff,
    0x2604ffff,0xffffffff,0xffff8005,0x800f804f,0x3ffffffc,0x3ffff980,
    0x01fffffe,0x5fffff50,0x27ffffc0,0xffffd100,0x3fffa80d,0xffff1000,
    0xfff0007f,0xfa800fff,0xfb02ffff,0x1fffd4ff,0x3fff6a00,0x01cfffee,
    0x4fffff80,0x7ffff7c0,0xfff0003e,0x01f009ff,0x3fffff60,0xffff9803,
    0x3ffffee3,0x3fff2000,0x7fffc06f,0xffb8004f,0x3fee03ff,0xff10002f,
    0x70007fff,0x001fffff,0x037fffe4,0x7fd4fffb,0xff10003f,0x0001ffff,
    0x027ffffc,0x002aa2d5,0x9fffff00,0x22001f00,0x803ffffe,0x743ffff9,
    0x2003ffff,0x402ffffe,0x404fffff,0x7ffd40ba,0x07fff205,0x7fffc400,
    0xffd0003f,0x7f4007ff,0x3f602fff,0x0fffea7f,0xffffb800,0x3fe0003f,
    0x0f604fff,0x3ffe0000,0x00f804ff,0x0ffffe20,0x5ffff104,0x06ffffa8,
    0x0dffff30,0x09fffff0,0x7e427fe4,0x3ffee06f,0xfff10000,0x2a0007ff,
    0x3006ffff,0xd80dffff,0x3ffea7ff,0x7ff40003,0xf0001fff,0x2209ffff,
    0xf800000f,0x4c04ffff,0x7fd4001f,0x3e6fa83f,0xffc81fff,0xffd802ff,
    0xfff800ef,0x3ffe04ff,0x204ffa86,0x0001fff8,0x07fffff1,0x7fffe400,
    0xefffd802,0x53fff400,0x80007fff,0x1fffffe8,0xfffff800,0x0000b704,
    0x13ffffe0,0x70005f70,0x1ffd07ff,0xfa81bffe,0x3ea00eff,0x3fe005ff,
    0x3f604fff,0x02ffb84f,0x80027fe4,0x03fffff8,0x77ffd400,0x17ffea00,
    0xf53fffc0,0x200009ff,0xbefffffd,0x3fe2019a,0x05d05fff,0xfff10000,
    0x7f4c0bff,0x3fd8001f,0xfff1ffc8,0xfffe8803,0x1fffe4c1,0xfffff100,
    0x22ffcc0b,0xf7004fe9,0xf980019f,0x0004ffff,0x41fffe88,0x403fffc9,
    0x27fffca8,0x09affffa,0x7fe4c000,0x205fffff,0x0ffffffb,0x800003cc,
    0x0ffffffb,0x7fffffd4,0x41f4003e,0x3efdefe8,0x3ffb6e00,0x01cefffe,
    0x7ffffdc0,0x3bfaa00f,0x4003ffec,0x2001fec9,0x0efffffc,0xfdb70000,
    0x39dfffdf,0x55555500,0x55555445,0x2200001a,0x3b2201a9,0xffffffff,
    0x0000333d,0x7ffff644,0x003dffff,0x44051000,0x440001bb,0x88001ab9,
    0xffffffec,0x2ea03dff,0x100001ac,0xfffecb80,0x0cdfffff,0x57310000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66f65cc0,
    0x1002980a,0x00800000,0x04000001,0x88000008,0xd800002b,0x00000005,
    0x99998804,0x26600000,0x32200199,0x300003cc,0x6d403333,0x7f5c001c,
    0xffedffff,0x4403e9bd,0x3fee0efd,0xbfb10003,0x0017fdc1,0x2dffb880,
    0x800003e2,0x002ffefb,0x77ffedc0,0x9510001c,0x20379bdb,0x3fff606c,
    0xff500007,0x7e4005ff,0x40002fff,0x502ffffa,0x3001ffff,0x039dfffd,
    0x807ffff7,0xff14fffb,0x3f2000ff,0xdfff13ff,0xfff10000,0x0ddbffff,
    0x717c4000,0x3fa6000d,0xffeadd9c,0xffd9801d,0xefffdcdf,0xe8807ee2,
    0x80001fff,0x2003fffd,0x06fffff9,0x17ffec00,0x07ffffb0,0x06ffffb8,
    0x403ffe88,0xff15fffc,0xf90001ff,0x3ffe69ff,0xffc80007,0x3fffffff,
    0x21ae0000,0x7fcc002f,0x4ffc9765,0x06fffdc0,0x33bffea2,0xffe8802f,
    0xfff80004,0x6fff4003,0x10002ffe,0xff807fff,0x3ea05fff,0x1000ffff,
    0xff8807fd,0x013ff21f,0xb07ffcc0,0xb00007ff,0xffffb519,0x5c00001b,
    0x22001f86,0x91761ffe,0x3ffa209f,0x7ffd405f,0x3fa2004f,0x7fd40007,
    0xa7fd4004,0x50006fe8,0xffd007ff,0x3fe209ff,0x4c001fff,0x2203003f,
    0x30180000,0x02e00001,0x00003951,0x035c5f10,0xd87ffea0,0xffb04f85,
    0xffb003ff,0x744001ff,0x3f60001f,0x82fe8004,0xfd8003fd,0xffffb003,
    0x3ffffa05,0x007d0004,0x00000000,0x00000000,0xfdf70000,0xffb8005f,
    0x12e1764f,0x01bfffee,0x037fffcc,0x8000f620,0x1fb8004d,0x3a001f20,
    0x3ffee004,0xffffa80f,0x2770002f,0xaaaaaaa8,0xaaaaaaaa,0x0000aaaa,
    0x0000002a,0x00000054,0xb8002fc4,0x0bb4ffff,0xffff8851,0xfffd002f,
    0x000007ff,0x00000000,0xf3000000,0x3ff60fff,0x20001fff,0xffff9510,
    0xffffffff,0x003fffff,0x00002740,0x00004e80,0x0007fa80,0xddfffff5,
    0x3fff200b,0xced800ff,0x400fffff,0x0001ba98,0x00037531,0x0006ea62,
    0x3ffe0000,0xfffff885,0xf9800007,0xa884ffff,0x0001fffe,0x00000ff5,
    0x0000ff50,0x007ffb00,0x3fffffa0,0xffff006f,0x51f900ff,0x205fffff,
    0xffffefe9,0xefe9800d,0x800dffff,0xffffefe9,0xffffb00d,0x7fffe49f,
    0x83ffe85f,0x06fffff9,0xffff0000,0x1ffb809f,0x07ffb000,0xffd80000,
    0x26000003,0x30006fff,0xdfffffff,0x7fffcc01,0x98fdc06f,0xc84fffff,
    0x3ffee0ef,0x7077e405,0xfc80bfff,0x17ffee0e,0x44ffffa8,0xc85ffffa,
    0xfffa81ff,0x000005ff,0x009fffff,0xf30003f7,0x00000dff,0x0037ffcc,
    0xffffb000,0x3fe60005,0x03ffffff,0x0dfffff5,0xfff317d4,0x6ffa8bff,
    0x81ffffc4,0x7fc46ffa,0xdff503ff,0x03ffff88,0x889ffff3,0xfa85ffff,
    0xfffff907,0x3e000009,0xf004ffff,0xfffb0003,0x2000005f,0x002ffffd,
    0xffff8800,0x3a20005f,0x5fffffff,0x5fffffb8,0xff887f30,0x7ff47fff,
    0x2ffffc2f,0x7c2fffe8,0xffd05fff,0x5ffff85f,0x89ffff10,0x885ffff8,
    0xffff706f,0x200000bf,0xb84fffff,0x22000ec1,0x005fffff,0xffff8800,
    0xc800005f,0x01ffffff,0x7fffdc00,0x7fdc6fff,0x4f884fff,0xffffff88,
    0xf13fffa0,0x3fa0dfff,0x7fffc4ff,0x89fffd06,0xf106ffff,0xff889fff,
    0x20bf05ff,0x07fffffa,0xffff0000,0x0a83b09f,0x7fffe400,0x400001ff,
    0x1ffffffc,0x7e7c0000,0x0004ffff,0xfffffe98,0x3fffea3f,0x882f445f,
    0x547fffff,0x7ffc0fff,0x1fff506f,0x506ffff8,0xfff81fff,0xffff106f,
    0x5ffff889,0x3fe607d0,0x00007fff,0x09fffff0,0x9f00003f,0x009fffff,
    0xfffcf800,0x200004ff,0xfffffb7b,0xffb00001,0x221fffff,0x6c5fffff,
    0xffff300e,0xfd5060df,0x4180dfff,0x06ffffea,0x3fffaa0c,0xffff106f,
    0x5ffff889,0x7ffc0590,0x00001fff,0x44fffff8,0x5c0001fa,0x1fffffb7,
    0x6dee0000,0x000fffff,0x3fea7d00,0x80003fff,0xfffffbdd,0x9bffffe1,
    0x3fe600fc,0x75405fff,0x06ffffbf,0xfff7fd50,0x3faa00df,0x106ffffb,
    0xf889ffff,0x01305fff,0x17ffffdc,0x7ffc0000,0x07fe64ff,0x3ea7d000,
    0x0003ffff,0x3ffea7d0,0xa80003ff,0x3ffffa0f,0x36031007,0x45ffff75,
    0xf77ffffd,0xffffa803,0x3ffd102f,0x101bfffe,0x3ffe3ffd,0x7ff4406f,
    0x20dffff1,0x444ffff8,0x0005ffff,0x0bfffff1,0xffff0000,0x3fffb9bf,
    0xd07d4000,0x000fffff,0x7ff41f50,0xd80007ff,0x7ffffdc4,0xbb059802,
    0xf717fff4,0x05f7ffff,0x0fffff90,0xff87ffee,0x3fee06ff,0x1bfffe1f,
    0x3e1fffb8,0xff106fff,0xfff889ff,0x3ee0005f,0x8000ffff,0xfffff00d,
    0x03ffffff,0x3ee26c00,0x0002ffff,0x3ffee26c,0x260002ff,0x7fffc40f,
    0x80f9806f,0x03ffee5d,0x07fffffb,0x0fffffa0,0xff13ffea,0x3fea0dff,
    0x37fffc4f,0x7c4fffa8,0xff106fff,0xfff889ff,0x03efb85f,0x037fffec,
    0x7fc03f60,0xff914fff,0x03e60003,0x0dfffff1,0x2207cc00,0x006fffff,
    0x7fe41760,0x7cc01fff,0x3ff25d83,0x6ffff886,0xdffff300,0xf0bfffe0,
    0x3fe0dfff,0x7fffc2ff,0x85ffff06,0xf106ffff,0xff889fff,0x7ffd45ff,
    0x7ffe400f,0x6f4c00df,0x3ffffe00,0x8000fec4,0xffff905d,0x1760003f,
    0x0fffffe4,0x980fc400,0x405fffff,0xd2ec2ff9,0x3fea03ff,0xffd803ff,
    0xfff980ff,0x3fffea5f,0x5ffff986,0x21bfffea,0x2a5ffff9,0x3e06ffff,
    0x7fdc5fff,0x7ffec5ff,0xfffa804f,0xca89acff,0xfff803fe,0x00fc44ff,
    0xf980fc40,0x8005ffff,0xfff301f8,0xf9000bff,0xffffffff,0x401fffff,
    0xbb1bfff9,0xf805ffb3,0x2e01ffff,0xf301efff,0xffddffff,0x4c51ffff,
    0xfeefffff,0x228fffff,0xeefffff9,0x28ffffff,0x70ffffe8,0xc8bfffff,
    0x1002ffff,0xffffffb5,0x3e003bdf,0x1e84ffff,0x7ffe4030,0xffffffff,
    0x64000fff,0xffffffff,0x00ffffff,0x555567c0,0xffffbaaa,0x7fedc04f,
    0x0dffffff,0x7ff576c0,0x3ff6a0ae,0xfffe804f,0xfffb8dff,0x7fff42ff,
    0xfffb8dff,0x7fff42ff,0xfffb8dff,0xfff982ff,0xfffaffff,0x2fff447f,
    0xcfa98800,0xfff80009,0x881c84ff,0x2aab3e05,0xfffbaaaa,0x67c004ff,
    0xbaaaaaaa,0x004fffff,0x7ff401ae,0x53000fff,0x32001dd5,0x3fff660f,
    0x01cffffe,0x45bffb30,0x982effd8,0x3622dffd,0xfd982eff,0x3ff622df,
    0x3ffee02e,0xffff88ef,0x000cc2ff,0x000efd40,0x84fffff8,0x1ae09700,
    0x7fffff40,0x200d7000,0x00fffffe,0x3ee007f0,0x8003ffff,0x03f3005d,
    0x00d5dd4c,0x00100100,0x01001001,0x054c0010,0x10000000,0x2000dffd,
    0x004fffff,0x00fe07f1,0x1fffffdc,0xf7003f80,0x7007ffff,0x7ffc003f,
    0x198007ff,0x00000200,0x00000000,0x00000000,0x00000000,0x8000ffe8,
    0x804fffff,0x1fb82fe8,0x3ffffe00,0x001fb807,0x01fffffe,0xfc800ff1,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x22001bfe,
    0x405fffff,0x7c41ffea,0x7ffe4007,0x1fe203ff,0xfffff900,0x0fffa607,
    0xfffffc80,0x0000001f,0x00000000,0x00000000,0x00000000,0x36e20000,
    0xfb8001ff,0x9acfffff,0xffffecba,0x00fffa60,0xffffffc8,0x03ffe981,
    0x3fffff20,0x7fffe41f,0xfdb105ef,0xdfffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02b32a00,0xfffec880,0xffffffff,0x27ffffff,
    0x5efffffc,0xffffdb10,0x7e4dffff,0x105effff,0xffffffdb,0x00000dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ccc8800,0x00b22000,0x03ccc880,0x40006d40,0x266204eb,0x26000099,
    0x64401999,0x260004cc,0x4c401999,0x20000999,0xed8000da,0x056dcc01,
    0x10275c00,0x00013333,0x00aa02e2,0x3ffff600,0xedfd8001,0xffd8002f,
    0x7e4c02ff,0x7c4000ff,0x3ffa201f,0xff30005f,0xffc807ff,0xfa8002ff,
    0x74402fff,0x4c006fff,0x4000fffc,0x7fec05fc,0x22000fff,0x7ff401ff,
    0xff98007f,0x017ff61f,0xfffff980,0x907cc006,0xfff9800d,0x372e06ff,
    0x74000fff,0xfff8803f,0xffc8000f,0x7ffc404f,0xfd8006ff,0xfd1003ff,
    0x32e001ff,0x2000fffd,0x3b200ff9,0x004fffba,0x3a200ffa,0x64001fff,
    0xfff15fff,0x3fa0001f,0x002fffdf,0x003f1132,0x7ff6fff4,0x07ffcc02,
    0x400df700,0x8002fff9,0xfd804fff,0x003ffeef,0x2001fffc,0x4003ffe8,
    0x2000fff9,0x70a203fe,0x3ee009ff,0x3ffa2006,0x7ffd4004,0x001fffe3,
    0xfe89ffdc,0xf1172006,0x53fea001,0x7cc06fe8,0xff1000ff,0x5ff98003,
    0x027fcc00,0xfd8affcc,0x9ff5000f,0x1bfe2000,0x01fff300,0x20017f20,
    0xf8800efc,0x7f44001f,0x0cfc8006,0x2000bbaa,0x7ec42ff8,0x225f1002,
    0x0bfa005d,0x7cc07fb1,0x7fd000ff,0x03fe6000,0xd005fc80,0x007fb07f,
    0x300013f6,0x7cc001ff,0xff9800ff,0x3fee2000,0x007fd004,0x0007fa20,
    0x76400000,0xb801b601,0x7001dfff,0x3036403f,0xf7001fff,0x1ea8000d,
    0x54013600,0x003f202f,0x4c000136,0x3fe6002e,0x03fe800f,0x2fffff40,
    0x0001bee0,0x000007b1,0x00000000,0x00000350,0x01fff300,0x0001ff88,
    0x00000000,0x00000000,0x7ffcc000,0x002fdc00,0x01fffea8,0x00003ff1,
    0x00000000,0x31000000,0x22000375,0xf3000ab9,0x3fd801ff,0x2aea2000,
    0x2aea2000,0x2aea2000,0x2ae62000,0x80000000,0x2600fff9,0x740000ff,
    0x07fb02ff,0x055cc400,0x3fffff60,0x3fffff24,0x7fffec05,0x3ffff24f,
    0x3bfa605f,0x800dffff,0xefeeffd8,0x07ffcc03,0x4000df70,0x04ffcffc,
    0x4ffcffc8,0xffcffc80,0x77fec404,0xffb03efe,0x7fe49fff,0xff305fff,
    0x01ff401f,0x40ffdc00,0xb10006fb,0x07dfddff,0x227fffd4,0x805ffffa,
    0x544ffffa,0xf905ffff,0x2fffdc1d,0xd8bffa60,0x3fea03ff,0x03ff100f,
    0x21dfd100,0xfd105ff9,0x417fe61d,0xff30efe8,0x8bffa60b,0xff503ffd,
    0xfffa89ff,0x1fff505f,0x30017ee0,0x884fa87b,0xe98001ff,0x0fff62ff,
    0x227fffcc,0x805ffff8,0x444ffff9,0xfa85ffff,0x7fffc46f,0x11fffe03,
    0x3f205fff,0x07fb02ff,0xb0fffa00,0x7ffd07ff,0xfe83ffd8,0x41ffec3f,
    0x7fc47fff,0xffff982f,0x2ffffc44,0x982fffc8,0x7e4000ff,0xb05eabef,
    0x3fe0007f,0x17ffc47f,0x227fffc4,0x805ffff8,0x444ffff8,0xfe85ffff,
    0x7fffc2ff,0x09fff705,0x6543fffd,0x5c4ccccc,0x20e4c06f,0x7e40fffb,
    0x3ffee0ff,0x707ffe40,0xffc81fff,0x13ffee0f,0xf107fffa,0xff889fff,
    0x666545ff,0x1ff44ccc,0xca8815c4,0xdf701cde,0x7dc1c980,0xfffe84ff,
    0x27fffc41,0x017fffe2,0x113fffe2,0xfd0bffff,0xffff89ff,0x3ffff886,
    0x004fffd8,0x2201ff88,0x3fffc3ff,0xff17ffdc,0x5fff70ff,0x7dc3fffc,
    0xffff12ff,0x89fffb07,0x444ffff8,0x0005ffff,0xffe88bf7,0x220004ff,
    0x3fe201ff,0x0ffffe23,0xf113fff6,0xff889fff,0xff8805ff,0x7ffc44ff,
    0x0fffa85f,0x5437fffc,0xfd82ffff,0xfd8006ff,0x8fffa203,0xfb86fff9,
    0xdfff33ff,0x267fff70,0xffb86fff,0x5ffff53f,0x88dfffb0,0x7c44ffff,
    0x98005fff,0x7f7e40ff,0xb0002fff,0x7ff4407f,0x0bfffea3,0xf11bfff6,
    0xff889fff,0xff8805ff,0x7ffc44ff,0xfd50605f,0xff70dfff,0xfffb05ff,
    0x06fb800f,0xf51fffec,0xdddddfff,0x3fea9fff,0xfeeeeeff,0xffff54ff,
    0xfffddddd,0x0bfffee9,0xf11ffff6,0xff889fff,0xfe8005ff,0xfff12cc3,
    0x0df7000b,0x2e3fffd8,0xfd82ffff,0x7ffc47ff,0x7fffc44f,0xffff8805,
    0x2ffffc44,0x7fdff540,0xfffc86ff,0xffffd82f,0x03ff1001,0x71ffef64,
    0x5555ffff,0x3ee35555,0xaaaaafff,0xfff71aaa,0x5555555f,0x3ffff235,
    0x1ffffd82,0x113fffe2,0x800bffff,0xff9005fb,0x1ff88007,0x8fff7b20,
    0xd82ffffc,0x3e21ffff,0x7fc44fff,0xff8805ff,0x7ffc44ff,0x3ffa205f,
    0x90dffff1,0xfb05ffff,0x36003fff,0x323ae03f,0x3fff23ff,0xfff9000f,
    0x3ff2001f,0xff9000ff,0xfffb05ff,0x7fffc43f,0x2ffffc44,0x001ff300,
    0xb0003ff2,0x6475c07f,0x3fff23ff,0xffffd82f,0x13fffe21,0x00bffff1,
    0x889ffff1,0xf705ffff,0x7fffc3ff,0x2ffffb86,0x00ffffd8,0x3e606fb8,
    0x7dc7ff90,0xf7002fff,0x2e005fff,0x7002ffff,0xfb05ffff,0x7fc41fff,
    0x7ffc44ff,0x0ffa005f,0x4004ff80,0x43e606fb,0x3fee3ffc,0xfffd82ff,
    0x3fffe20f,0x2ffffc44,0x27fffc40,0x217fffe2,0x7fc4fffa,0xfffa86ff,
    0x7fffd82f,0x101ff880,0x51ffe43f,0x2009ffff,0x004ffffa,0x009ffff5,
    0x20bfffea,0x7c47fffd,0x7fc44fff,0xbf7005ff,0x002fd400,0x7c407fe2,
    0xfa8fff21,0xffd82fff,0x7fffc47f,0x2ffffc44,0x27fffc40,0x217fffe2,
    0x7fc2ffff,0xfff886ff,0x5fffe83f,0x3604fd80,0xefffeeef,0x1fffff14,
    0x7ffc4e20,0x227100ff,0x100fffff,0x0ffffe27,0xf117fffa,0xff889fff,
    0xff9805ff,0x00bf3000,0x7ec09fb0,0x4efffeee,0xd07ffff1,0xfff0bfff,
    0xffffb8bf,0xbffff005,0x45ffffb8,0x2a5ffff9,0xf706ffff,0xffff07ff,
    0x406fb803,0xfffffffd,0x3ffff65f,0x7fec3d05,0x6c3d05ff,0x3d05ffff,
    0x7c1fffdc,0xfff81fff,0x7fffdc5f,0x003fe805,0x402b89d1,0x7fec06fb,
    0x25ffffff,0xff83fffb,0xfffe81ff,0xfffff70f,0x3fffa00b,0xfffff70f,
    0xfffff98b,0xffffffee,0x37ffc428,0x1017ffe6,0x998803ff,0x20bffd99,
    0xaefffff9,0x7fcc4eb9,0xeb9aefff,0x7ffffcc4,0x444eb9ae,0x7fcc6fff,
    0xffffd05f,0x3ffffee1,0x8037dc05,0xfeeeefe8,0x007fe201,0xffb33331,
    0x37ffc417,0x4c17ffe6,0xafffffff,0x3007ffff,0x5fffffff,0xfd0fffff,
    0xf71bffff,0xd305ffff,0x27fec5ff,0x80027ec0,0xffa83ffc,0x05ffffff,
    0xfffffff5,0x3ffea0bf,0x305fffff,0x7fec5ffd,0x3fffe604,0xffffafff,
    0x003fe607,0x7ffffff4,0x0027ec07,0xe983ffc8,0x13ff62ff,0x1dffff70,
    0x5ffffff1,0xdffff700,0xffffff11,0x16ffecc5,0x405dffb1,0xfffeffd8,
    0x006fa803,0x4c0bbae0,0x03effffe,0x77ffff4c,0x7fff4c03,0x7ec403ef,
    0x803fffef,0x88effffb,0x82ffffff,0xdd7003fe,0x409ddddd,0x2e0006fa,
    0xffb102ee,0x4007fffd,0x800000a9,0x020000a9,0x55300020,0x00000001,
    0x00554400,0x0002aa20,0x30001551,0x53000155,0x00000001,0x00000000,
    0x00554c00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x0002cedb,0x5c4009d7,
    0x32002a80,0xca8004cc,0x40dd4001,0x32a2000b,0x0001cced,0x066f65c4,
    0x54057000,0x20fae001,0x9d5005e9,0x05e6e4c0,0x06666600,0x015405c4,
    0x005c414c,0x7fce7fd4,0x3fe2000d,0x5fff1000,0x5c037fec,0x2003ffff,
    0xa804fffd,0x98befffe,0xbff9000f,0x01bfffb5,0xffbff700,0x220007ff,
    0x07ba62fe,0xfb83fe80,0x107fb005,0x5ffb7df9,0x3fffe600,0x22fff884,
    0x3f205ffd,0x07ffe66f,0xf90fff98,0x1ff400bf,0x2bfff700,0x201ffff8,
    0x0ffffff8,0x7ffff880,0x7ffffc40,0x8805ffff,0x7fdc6ffd,0x7fec006f,
    0x03fffd10,0x7eefec00,0x81ff8003,0x1ff003fd,0x7e43ffb0,0xfffb801f,
    0x2bfff704,0xf01ffff8,0x3ff23fff,0x9bffa05f,0xb802fffb,0x7fd4006f,
    0x01fffa4f,0x7ffddff9,0xfffff100,0xfffdfb80,0xc803ffff,0x7fc44fff,
    0xff5003ff,0x05fffb8b,0x0bffa200,0x741fe600,0x86fa802f,0x7fcc6ffc,
    0x05ffe806,0xfe93ffea,0x3fffa07f,0x207fff50,0x3ea5fff9,0x7fc405ff,
    0x0cfc8000,0xf980bba6,0x003ff65f,0x9013fff6,0x177f64c7,0x83fffd80,
    0xd004ffff,0xfff88bff,0xdbf70005,0xfa8005ff,0x800ff886,0x7ffc43fc,
    0x027ffc44,0xf900bff3,0x01775419,0xcfc85db3,0x4bfff500,0x7406fffa,
    0x0000003f,0x9f907fb0,0x005b7100,0x3e000401,0xfff83fff,0xfff8805f,
    0x004ffe86,0xff88f754,0x13f2002f,0x7fc01fe6,0x427ffe41,0xf700ffff,
    0x0000000b,0x3ffee000,0x81fffea5,0x000006fb,0x5c05f500,0x0000000f,
    0xffff3000,0x09ffff07,0x81ffff30,0x54000fff,0x01fffb82,0xbf707fd0,
    0xfb0df300,0xffff09ff,0x00017205,0xa8000000,0x3fea6fff,0x01ff106f,
    0x37531000,0x00000000,0x0dd4c400,0x7ffff300,0x003ffff0,0x5c7ffff3,
    0x200002ff,0xa886fff8,0xaacffaaa,0x02adfdaa,0x3ffe13f2,0x3ffff83f,
    0x5cc40000,0xba88000a,0xfff9800a,0x413ffee6,0x4c0003fe,0xdffffefe,
    0x20000000,0x3bfa6003,0x400dffff,0x543ffff9,0xf1003fff,0xdfb3ffff,
    0x6dc40001,0x4fffedef,0x7fffffcc,0xffffffff,0x107fa06f,0xff07ffff,
    0x20000bff,0xefeeffd8,0xf9ff9003,0xfffd009f,0x5c0fffdc,0x7e40006f,
    0x17ffee0e,0xfffffe88,0x90068003,0x7ffdc1df,0x7fffcc05,0x000bffa3,
    0x37fffffa,0x7f440001,0xfffea9df,0x3bbba60f,0xfeeeeeff,0xff305eef,
    0x07ffff30,0x744dffff,0x203fffff,0x3f62ffe9,0x3bfa203f,0x980bff30,
    0x9ff90fff,0x0003ff10,0x3e237fd4,0x7ec03fff,0x4c003fff,0x46ffa806,
    0x203ffff8,0x2e3ffff9,0x2001cffe,0x00fffffb,0x1ffffffd,0x2a37ff44,
    0x3203ffff,0x807f984f,0xfffa84fb,0x7ffff83f,0x03ffffd8,0xff11fffe,
    0x0fffa05f,0xe9807ffb,0xb03ffadf,0xfe80007f,0x7fffc2ff,0x7fffdc05,
    0x013a2003,0xff0bfffa,0x7fcc0bff,0xfffd83ff,0x7ffe4400,0x3ee05fff,
    0xfffc82ff,0x06ffff83,0x17ee0ffa,0x3ee0bfa0,0xfff83fff,0x7ffdc0ff,
    0x9fff703f,0xb83fffd0,0x7fe40fff,0xacba800f,0x220df700,0x3fa01ab9,
    0x7fffc4ff,0x7fffd406,0x03fd1003,0xf89fffd0,0x3e606fff,0xffa83fff,
    0x27bf205f,0x02fffffc,0xff107ff1,0xfffd05ff,0x6c0ffc0f,0x83fc403f,
    0xf83ffffd,0x7d41ffff,0xff883fff,0xfffd83ff,0x5c3fffc4,0x00002fff,
    0xfd303ff1,0xf503df99,0xffff81ff,0x7fffd406,0x05ffa803,0xf81fff50,
    0x3e606fff,0xffa83fff,0x3ff441ff,0x03fffffa,0x7fd417e6,0xfffe82ff,
    0xd07f980f,0x05fb805f,0xf07ffff9,0xfa81ffff,0xffa83fff,0xfffd82ff,
    0x21bffe66,0x0003fffb,0xff507fb0,0x180fffcd,0x37ffff54,0x0ffffea0,
    0x005fff90,0x7fff5418,0x3ffe606f,0xffff983f,0x513ffe22,0x81dfffff,
    0xfff700fb,0xffffd05f,0xf10df703,0x02fd801f,0xf07ffff7,0xff50ffff,
    0xfff707ff,0xffffb05f,0x777fffd4,0x04fffeee,0xd06fb800,0x37fecbff,
    0x3feffaa0,0x7fd406ff,0x3ff203ff,0x3aa0006f,0x06ffffbf,0x20ffffe6,
    0x324ffff9,0xffd82fff,0x0fe25fff,0x82ffffc8,0xf31ffffd,0xffffffff,
    0x8dffffff,0xff500ff8,0xffff07ff,0x7ffff50d,0x05ffff90,0x2e3ffffb,
    0xaaaaffff,0x0001aaaa,0x7d40ffc4,0x3fff24ff,0xf1ffe882,0xfa80dfff,
    0xff303fff,0xd10007ff,0x3fffe3ff,0x3fffe606,0x5ffff983,0x109ffff1,
    0x29ffffff,0x7ffe405e,0xffffd82f,0xffffff30,0xffffffff,0x205fa8df,
    0xf83ffff9,0xffa85fff,0xfffc83ff,0xffffd82f,0x01ffff91,0x3fd80000,
    0x649fff90,0x7fdc4fff,0x1bfffe1f,0x07ffff50,0x10bfffee,0xfff705db,
    0x037fffc3,0x307ffff3,0x3ea9ffff,0xff507fff,0x01fdffff,0x82ffffa8,
    0x4cc6fffe,0xe9999aff,0x6c0999cf,0x3ffe203f,0x4ffff83f,0x83ffffa8,
    0xd82ffffb,0xff70ffff,0x000005ff,0xffb037dc,0x2fffdc7f,0xff89fff5,
    0x7fd406ff,0xfffd03ff,0x0fffc83f,0xff13ffea,0x7fcc0dff,0xfff883ff,
    0xfffff73f,0x3fffee05,0xff9805ff,0xfffe82ff,0xff07f985,0x400ff805,
    0xff84fffe,0xfffa82ff,0xffffa83f,0x27fffd82,0x004ffffa,0x03ff1000,
    0xf927ffe4,0x7fffc9ff,0x037fffc2,0x40ffffea,0x641fffff,0x3ffe2fff,
    0x37fffc2f,0x47ffff30,0x54bfffa0,0x01ffffff,0xbffffff9,0x3ffe2881,
    0x4fffe83f,0xff886fb8,0x201bea00,0xff84fffa,0xffff507f,0x7ffff107,
    0x44bfffd0,0x100fffff,0x0ff60007,0x649fff70,0xfff33fff,0x7fffd4bf,
    0x7fffd406,0x5ffffb03,0xf31fffa8,0x7fd4bfff,0x3fe606ff,0x2ebfb3ff,
    0xfff10fff,0x3a01ffff,0xaeffffff,0x3ff22e98,0x0ffff83f,0x7fa84fc8,
    0xf801fe40,0x7ffcc5ff,0x7ffff503,0x20fffee0,0x7ec1ffff,0x03d05fff,
    0x100df700,0x7fec9fff,0xfffff30f,0xffffffdd,0x3ffea051,0xffff503f,
    0x7ccdff0b,0xffeeffff,0xb828ffff,0xfff3ffff,0xfc87ff31,0xadffffff,
    0xfffffea9,0x85ffffff,0x7fcc5ffd,0x705fd01f,0x01ff80bf,0xfb8fff50,
    0x3ffea07f,0xdfff103f,0x985fff98,0x9aefffff,0xf88004eb,0xdff9001f,
    0x3fa1fff4,0xfb8dffff,0xf702ffff,0x7e409fff,0x3fe23fff,0x7fffff40,
    0xfffffb8d,0x3ffffd82,0x0bf71ffb,0x3ffffffa,0xf72effff,0x1dffffff,
    0x6c3ffd10,0x07fe03ff,0x6f980ff6,0x89ffd400,0x3ee00efe,0x3a604fff,
    0x13ff62ff,0xffffffa8,0xfb0005ff,0xaffc8007,0xfd984ffa,0x3ff622df,
    0x3fff602e,0x7ffdc06f,0x981dfdff,0x3622dffd,0xffe82eff,0xff913fff,
    0x7fdc017b,0x82efffff,0x0dffffe9,0x3fbfae20,0x1fe603df,0x9f9017fc,
    0xfdfd5000,0xffd801bf,0x7ec406ff,0x803fffef,0x3effffe9,0x00df7000,
    0x073bb6a0,0x44010010,0xfffffffe,0x2f2a6201,0x0800800a,0x40010000,
    0x001aba98,0x88001573,0x0551001a,0x1cb802aa,0x006a2000,0x3fffffa2,
    0xaa9801ff,0x0aa88000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7bb95000,0x40dd4003,
    0x5554c00b,0x0aaaaaaa,0x2cca9800,0xbdb97100,0x55500059,0x55555555,
    0x2ea20355,0x2000abcc,0x0001bdb9,0x66f6e5c4,0x4cccc002,0x00000000,
    0x55555554,0x510aaaaa,0x55555555,0xaaa88555,0x3222aaaa,0xfffd300b,
    0xea809fff,0xf98befff,0x7ffff400,0x007fffff,0x02fffee2,0x3bfff6a0,
    0x00cffffd,0xffffffa8,0x3fffffff,0xfccfffa8,0x7fd403ff,0x002effbd,
    0x6f7ffed4,0x800cffff,0x200ffffc,0x4c2ffffa,0x5003ffff,0xffffffb7,
    0x32a2159f,0xdfffffff,0x7fe5c42a,0xfff32bef,0xfffff30f,0x2207ffff,
    0xffffffff,0x7ffcc05f,0x4fffffff,0x2effd880,0x59dfb100,0x2ffeb981,
    0x7ffffdc0,0xffffffff,0x2237fec0,0xff504ffe,0x017ffd49,0x05677ec4,
    0x00bffae6,0xa80ffff6,0x7cc2ffff,0xd8003fff,0x402fffff,0x05fffffa,
    0xfd81ff50,0x3fe22fff,0xffffffde,0xffdfc80f,0x402fffff,0xfffffffc,
    0x74c00fff,0x3a6005ff,0x3fa2002f,0x3ffff604,0xffffffff,0x41fffdc6,
    0x7cc2fffa,0x7fff41ff,0x00bfa601,0xd804fe88,0x3fea05ff,0x7ffcc2ff,
    0xffc8003f,0x7cc01fff,0x1003ffff,0xffffb0bf,0xf9106ec7,0x7b05ffff,
    0x0177f64c,0x7ffffffc,0x7d405fff,0x3e2005ff,0x7f90000e,0x3fffffe0,
    0x3fffffff,0x4c17fffc,0x7ffc5fff,0x77ffdc0f,0x000ef880,0xfb007f90,
    0x3ffea01f,0x7fffcc2f,0xfffb8003,0x7fc400ff,0x3e003fff,0x0ffffa84,
    0x7fff40b3,0x0020082f,0x4cccd7d4,0x26009999,0x6c005fff,0xeeeee98f,
    0xfd81bcde,0x556ffcc1,0xffc99999,0x13fffe60,0xf99fffe2,0x7fd40fff,
    0x80fd82ff,0x9acdfedb,0x3a007f66,0xffff503f,0x3ffff985,0xffffb800,
    0x7ffc400f,0x0fa003ff,0x700066d4,0x0001ffff,0x0001b600,0x003fffd1,
    0xfff317dc,0x8bffd519,0x007dc6e8,0x3fe637f4,0xfff887ff,0x03fffea5,
    0xb89ffff3,0x0f7f4c2f,0x3744ffb5,0xfa826c40,0x7fcc2fff,0xfb8003ff,
    0x4400ffff,0x003fffff,0x500000fa,0x3100bfff,0x3be00157,0xfd80009a,
    0x2f4006ff,0xff127ff4,0x321fa89f,0x83ff8801,0x4c5fffff,0x3ff22fff,
    0x7ffc40ff,0x3ea2f46f,0xf51fa06f,0xffa80003,0x7ffcc2ff,0xffb8003f,
    0x7c400fff,0x2003ffff,0x6400003e,0x7ec405ff,0x203efeef,0xdefffffa,
    0xffff8801,0x20be6003,0x7ff44ffd,0xb8005f86,0xfffd81ff,0x1bff25ff,
    0xf03ffffd,0x17ccffff,0x4c05fff1,0x40005f87,0x4c2ffffa,0x8003ffff,
    0x00fffffb,0x1fffffc4,0x0d407d00,0x80bff100,0x3f62ffe9,0xffffb03f,
    0x403bffff,0xdcaffffc,0x20f902ce,0x7ff44ffd,0xe8007c86,0xffff506f,
    0x0bff5dff,0xd03ffffb,0x1f23ffff,0x0700fff9,0xfffe88f9,0xfffa83ff,
    0x7fffcc2f,0xfffb8003,0x7fc400ff,0x3a003fff,0x4400f603,0x3e03fffe,
    0x7ffc47ff,0x7ffffc42,0x04ffffff,0xffffffff,0x5d81dfff,0x7cc9ffb0,
    0x00fa83ff,0xc80ffe20,0xffffffff,0x7ffff903,0x23ffffd0,0x037ff45d,
    0xfd80fa80,0xffa83fff,0x7ffcc2ff,0xffb8003f,0x7c400fff,0x2003ffff,
    0x5013a03e,0x9ffffffb,0xd09fff70,0x7fdc3fff,0xffffffff,0x7ffcc3ff,
    0xfffc89ef,0x6c13a0ff,0x9ffd54ff,0x4003f301,0x7dc01ffb,0x0dffffff,
    0x86ffffa8,0x9d0fffff,0x0005fff8,0xfff703f3,0xffff507f,0x3ffff985,
    0xffffb800,0x7ffc400f,0x0fa003ff,0x7f5405f8,0x24ffffff,0xd83ffff8,
    0x32a64fff,0xfffffeec,0x3fea1fff,0x7ffdc4ff,0x7ec13e4f,0x01fffeff,
    0xfd800be2,0xffff5006,0xfb01dfff,0xfff83fff,0xff893e7f,0x5f10005f,
    0x07ffff50,0x985ffff5,0x0513ffff,0x3ffffee0,0x7fffc400,0x40fa003f,
    0xfb1007f8,0x7d4dffff,0xffd82fff,0xffc9806f,0x3ee5ffff,0x7fc44fff,
    0x20bd0fff,0xfff9cffd,0x4007e603,0xfa804ff8,0xffffffef,0xfffff986,
    0x6ffffdad,0x0bfff17a,0x2a07e600,0xfa83ffff,0x7fec3fff,0x200754ff,
    0x00fffffb,0x1fffffc4,0x3ea07d00,0x3ff2000f,0xfff71fff,0xffffb05f,
    0xffffc800,0x0fffff27,0x6c7ffff6,0x329ffb06,0x03ea07ff,0x200ffdc0,
    0xfffb3ffd,0xfd107fff,0xfffdffff,0x3fa36c7f,0x1f50006f,0x07ffff50,
    0x22bffff5,0x9efffffc,0xfff7001d,0xff8801ff,0x3a003fff,0x005ff903,
    0x93ffffd8,0xfb05ffff,0xb8003fff,0xff90ffff,0xfff909ff,0x3603ee5f,
    0x7fff14ff,0xfd801f20,0x07ffec06,0x0bfffff9,0x7e4565cc,0x83ee0fff,
    0x8000fffc,0xffff507c,0xfffff707,0xfffb1dff,0x7dc00bff,0x4400ffff,
    0x003fffff,0x27ff40fe,0x3fffe200,0x05ffff93,0x003ffffb,0x2a1fff90,
    0xfc84ffff,0x07f12fff,0x7fdcbffd,0x8027c40f,0x3e204ff8,0xfffc86ff,
    0x7ffc007f,0x3a1fc45f,0x10a204ff,0x3ffea09f,0xffefb83f,0x3ffe25ff,
    0x3ee000df,0x4400ffff,0x003fffff,0x37ffc0fe,0x8fffe400,0xd82ffffb,
    0x8000ffff,0x3fe26ff9,0xfffb85ff,0x3fe1b61f,0x22fffc6f,0xff5000fb,
    0x2fffd403,0x0fffffc4,0x0ffffa80,0x7ffcc6d8,0x7dc1e983,0x7ffff500,
    0x15533f90,0x7dc06a60,0x7fffdc3e,0xfffff007,0x20be2007,0x000ffff9,
    0xff53ffdc,0xfffb05ff,0x1ffc000f,0x2e1bfffe,0xa7cc7fff,0x2dffffd9,
    0x3e6bfff5,0x01ff6005,0x3609fffb,0xb001ffff,0x3e605fff,0x677fe444,
    0x2fcc0dec,0x07ffff50,0x300005fd,0x7dc1ffff,0xff007fff,0x26007fff,
    0xffffb81f,0x3fea0021,0x0ffffe24,0x0217fffa,0x3f60ff40,0xfffb87ff,
    0x998afb85,0x26609999,0x000ee899,0xfc809ff1,0xfff505ff,0x3ffee00f,
    0x4417dc05,0xdd009aa9,0x7fffd401,0x0027fc43,0x17fffdc0,0x00dffff7,
    0x017ffff6,0xfffd83e4,0x403dfb3f,0xfffb86fd,0x21ffff83,0x2601efe8,
    0xffff885f,0x81fffdc2,0xe88003fd,0x3fea001f,0x37ffd401,0x805fffb8,
    0xb004fffb,0xfd10007f,0xffffa803,0x0037fcc3,0x077ffd40,0x009ffff9,
    0x03ffffea,0x3fa07f50,0xfff9cfff,0x81ff882f,0x7cc6fff8,0x7ffe45ff,
    0x204d80cf,0x7ec5fffa,0x37f6204f,0x03ff7000,0xd007fd80,0xffb01fff,
    0xfffb801d,0x37f62002,0x03ff7000,0x87ffff50,0x0000fffb,0x361fffc4,
    0x2000efff,0x00effffd,0x3fe01df3,0xfff8dfff,0xeeb8bfff,0x8bffa601,
    0xff984ffd,0xfbacffff,0x0fffb804,0x2e00bff3,0x3309adff,0x8001bff9,
    0xf1004ff8,0xfffa8dff,0x33ff6a01,0xbff70000,0x3f266135,0xff7000df,
    0xfffc89ff,0xff980000,0x1dfff30c,0xfffd8800,0xfeb9acef,0x3fff200e,
    0xffffd52f,0x22007fff,0x3fffeffd,0x3ffffaa0,0x2a002cef,0x03efdffd,
    0x7fff5c40,0x001cffff,0x8003ff50,0xfffdfffb,0x7dff9104,0xd7100001,
    0x9fffffff,0xfffd8003,0x037fd46f,0xfffb1000,0x00019dff,0x7fffff5c,
    0xf9802eff,0x554c0fff,0x2600009a,0x2a6000aa,0x9800009a,0xa980000a,
    0x00009aba,0x3000154c,0x9a803555,0x4c000000,0x0009abaa,0x7fffff44,
    0x002ea1ff,0x2aea2000,0x54c00000,0x4001aaca,0x000002b8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7664c000,0x4c000bcd,0x0003dedb,0x2a6015c4,0xaaaaaaaa,0x5555300a,
    0x5554c555,0x10aaaaaa,0x55555555,0x2aaa0555,0x2a6002aa,0x0009abcb,
    0x2aaaaaa6,0xaaaa802a,0x03d91aaa,0x55555510,0x00000001,0xbd973000,
    0x50530159,0xbcfc8803,0x003ffffe,0xdff95df7,0xffffe981,0xffffe8af,
    0xfffea80c,0x00acffff,0x9ffffb73,0x7fffff54,0xfd710bef,0x57ffffff,
    0x0fbff6e0,0x7dfffb10,0x005ffffb,0xfffffd73,0xffca805f,0x09f71cef,
    0xfffff710,0xfff90005,0xfd89ffff,0xeb800eff,0xfedfffff,0x263e9bdf,
    0x3f606fff,0x1ffffdc3,0x7c4bfee0,0xfffb06ff,0xfffbdd7f,0x7ffe40bf,
    0x7ec005ff,0xffffd01e,0x7fff407f,0x1ff003ff,0x0dfffa80,0x00dffe98,
    0xfffffe88,0x0ff9801f,0xf7003fcc,0x20005fff,0x02fffffa,0xfd300df5,
    0xf7039dff,0x7fe47fff,0x5ffa82ff,0x00fffff8,0x7fc3fff3,0xfffb81ff,
    0x3ffe63ff,0xffff103f,0x1fc800df,0x3ffffea0,0x3fffe604,0x409d005f,
    0x00efffd8,0x00ffffe2,0x3fffffe2,0xd05e800e,0x3fea003f,0x360002ff,
    0xf303ffff,0xffffb803,0x3ffe8806,0x213ffffa,0xffd87ffd,0xfffb02ff,
    0x417fffc3,0xc85ffffa,0xf900ffff,0x4003ffff,0xfffe805e,0x7fff407f,
    0x0fc400ff,0x01ffffb0,0x03ffff70,0xfffffff0,0x3209b00b,0xfff5004f,
    0x7cc0005f,0x0d706fff,0x0fffffa8,0x5c7fd100,0xfd81ffff,0x7ffe42ff,
    0x5ffff04f,0xfa83ffe4,0xffa82fff,0xfff103ff,0x3e600bff,0xffffb801,
    0x3ffea02f,0x035c03ff,0x00bffff5,0x4037fffc,0xffffffcf,0xf981ec04,
    0xffff5006,0xffd80005,0x202e81ff,0x01fffff8,0xf911fcc0,0x3ffea07d,
    0x17fffe40,0x21ffffc4,0xfff500ba,0xffff305f,0x7fffec09,0x005c800f,
    0x0bfffff1,0x06fffff8,0xfff881f4,0x3f6002ff,0x47c04fff,0x2ffffffd,
    0x0ff80f60,0x2ffffa80,0x7ffcc000,0x3a03c45f,0x0004ffff,0x32a0007d,
    0x0ffffd81,0x05ffffa8,0x17fffd40,0x02ffffc4,0x07fffff3,0x36001f88,
    0x200fffff,0x01fffffc,0x3ff201f3,0x2e000fff,0x201fffff,0xfffffd0f,
    0xc80f603f,0xfffa803f,0x000ae62f,0x5c1ffffd,0x3fffea04,0x0770002f,
    0xffff0000,0x3fffe60b,0x7ffd4006,0xfffff02f,0x7ffffe80,0x260035c0,
    0x203fffff,0x04fffffe,0x7fffc0b9,0x7fd4006f,0x43e03fff,0xeffffff8,
    0x3ea03d80,0xffffa806,0xdffffe9a,0xffffa800,0xffd807a4,0x20001fff,
    0x7d400000,0xff300eff,0xfa800fff,0xfff02fff,0xfffb80ff,0x00be02ff,
    0x1bffffa0,0x7ffff7cc,0x3e205f07,0x4006ffff,0x04fffff9,0xffff983e,
    0x403d85ff,0x7fd400ff,0xffccfeff,0xfff006ff,0x440d31ff,0x007fffff,
    0x74000000,0x55440dff,0xabfffffb,0x7ffd402a,0xffff882f,0xfffff805,
    0x2000d506,0x82fffffb,0xfffffbdc,0xff303d42,0x8800bfff,0x206fffff,
    0x7fffdc0f,0x201ec3ff,0x7fd403fd,0x3fa20eff,0xffc805ff,0x2603dbff,
    0x006fffff,0x26000000,0xfff303ff,0xffffffff,0xffffa80f,0x4ffff882,
    0xfffffc80,0x10003e81,0x88bfffff,0xfffff8af,0xff7026c5,0x88009fff,
    0x207fffff,0xffffc80f,0x500f62ff,0xfffa80bf,0xffffc82f,0x7fffc401,
    0x3fea00ff,0x00005fff,0x5fb00008,0x7ffffcc0,0x07ffffff,0x417fffd4,
    0x802ffff9,0x44fffff8,0x360000f9,0x2e0fffff,0x3fffff66,0x7e403f10,
    0x4004ffff,0x0ffffff8,0x3ff601f0,0x07b0ffff,0x2a00ff88,0xf982ffff,
    0xfd803fff,0x7e405fff,0x0004ffff,0x00bbfaa0,0x99801f88,0x9bffffb9,
    0x7ffd4019,0xffffb83f,0xffffb000,0x00026c1f,0x8fffffe6,0x3fffe63e,
    0xfa80d73f,0x4005ffff,0x07fffff8,0x7ff4403e,0x007b6fff,0x7fd405fb,
    0xfff882ff,0xfff9805f,0x7ffdc02f,0x200005ff,0x001ffffe,0xff1000d3,
    0x7d4005ff,0x7f41ffff,0x3e6002ff,0x1f33ffff,0xfffd0000,0xfd03e6df,
    0x00fadfff,0x0bfffff3,0xfffff880,0xf9803e05,0x3ddfffff,0x2a05fb80,
    0xf882ffff,0xfd006fff,0xfff500ff,0x20000fff,0x04fffff9,0x3a000930,
    0x2a001fff,0xacfdffff,0x8005fffe,0xb97ffffe,0x3fee0000,0xb84dafff,
    0x0fbfffff,0x7ffffc40,0x7ffcc006,0x003e04ff,0xfffffff5,0x40ff1007,
    0xf02ffffa,0x2a00ffff,0xff9804ff,0x00007fff,0x01fffffe,0xfb800044,
    0x3ea000ff,0xfff9afff,0xa8000cef,0x1fbfffff,0xfff10000,0xf103fdff,
    0x00bfffff,0x01fffffe,0x5fffff50,0x7e4007c0,0x003fffff,0x3fea03fd,
    0xffff02ff,0x00ffc00d,0x1ffffff8,0xfff50000,0x000000ff,0xa800fff3,
    0x2a62ffff,0xfff80001,0x00006fff,0x37ffffec,0x5fffffb0,0x3fffee00,
    0x3ff2000f,0x007c06ff,0x3fffffd8,0x2a09f700,0xf882ffff,0x32004fff,
    0x3ffee006,0x400002ff,0x00000df0,0x02ffd54c,0xffffa8b3,0xf9000002,
    0x0005ffff,0xfffff980,0x3fffea02,0x7fff4007,0x3ffa003f,0x007c02ff,
    0x3ffffe88,0x2a0ff300,0xf882ffff,0x36002fff,0x3ffe2002,0x800005ff,
    0xfea804fa,0xfffea803,0x9889adff,0x7ffd45eb,0x1000002f,0x000dffff,
    0x1ffffa00,0x013fffe0,0x0dffff50,0x1bfffe60,0xf88003e0,0x3a003fff,
    0xffffa81f,0x0ffff982,0x003c4298,0x07ffffdc,0xfc806c00,0x7fffc400,
    0x7e5f7403,0xffffffff,0x7ffd43ff,0x2000002f,0x0003fffd,0x09fff700,
    0x003fff90,0x05ffff90,0x01dfffb0,0x54001f98,0x32003fff,0xffffa84f,
    0x84fffa83,0x00ee4ffb,0x37fffec0,0x2a03f600,0xfffb803f,0xb83e606f,
    0xffffffff,0x7ffdc0ff,0x2000002f,0x00007ff9,0x003ffe20,0x8001bfe6,
    0x200efffa,0x7005fffa,0xff70005f,0x437cc007,0xe85ffffa,0xfffd05ff,
    0xc80003a2,0x400dffff,0x2fb80de9,0x9ffff300,0xbff53f80,0x7fffffff,
    0x07ffff90,0x4fe80000,0x7ec00000,0x00ffa005,0x3fffd100,0x03fffc98,
    0x003ffd30,0xf8007fb0,0x7fffd40f,0x03bfea2f,0x1ed7ffec,0x7ffd4000,
    0xca89acff,0x019903fe,0x00effd80,0xa8ffffdc,0x443fffff,0x9effffea,
    0xf5000000,0x98000001,0x03ee001f,0x7f6dc000,0x1cefffef,0xfffffa80,
    0x1f4003ef,0xf50ff200,0xfddfb119,0x7fcc017d,0x200005ff,0xfffffda8,
    0x0001deff,0xa8005300,0x809a9881,0xccccccc9,0x2000003c,0x70000003,
    0x00038800,0x03573100,0x10000000,0x43c98005,0x00aa9818,0x0000dd40,
    0x37753100,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x2aaaaaa8,0x04ddcc40,
    0x0aba8800,0x544001c4,0x81cceedb,0xdb95001b,0x221c4179,0xaaaaaaaa,
    0xaaaaaaaa,0x2aa20aaa,0xaaaaaaaa,0x5555512a,0x23555555,0xaaaaaaa8,
    0xaaaaaaaa,0x5530aaaa,0x55555555,0x00000133,0x55555544,0xaaaaaaaa,
    0x02aaaaaa,0x1a807726,0x7ff5c400,0x3ff206ff,0xeeeeffcf,0xbffb505e,
    0x017ea7fd,0xcdffffb8,0xa9cffedc,0x7ff4c01f,0xcadfedbd,0x7ffe5444,
    0xffffffff,0x21ffffff,0xfffffba8,0x9512bdff,0xbfffffff,0x3faea237,
    0xffffffff,0x3fffffff,0xfffff953,0xbfffffff,0x44000037,0xfffffeaa,
    0xffffffff,0xf107ffff,0xff981fff,0xff88006f,0xffe886ff,0xffffd10e,
    0x1bff70df,0x17ffbfe2,0x33fff620,0xffffd500,0x067fd403,0x3027ffdc,
    0x109fffff,0x203fffd5,0x06fffff9,0x2fffffd4,0x3ffffe60,0xfffd9884,
    0xfffffb83,0xffff9312,0x88000019,0x6ffffdff,0x3fff5ccc,0x44ffffb8,
    0x002ffffc,0xd86ffff8,0x7fdc3fff,0x3fff501f,0x05ffffa8,0x017fffdc,
    0x101fffc8,0x7cc01fff,0x7fffc04f,0x0ffdc04f,0x5fffff88,0x7ffffcc0,
    0xfffff804,0x41ff5404,0x82fffffa,0x01fffff9,0x36bea000,0x2206ffff,
    0xfff307fd,0xffffe85f,0xffff8004,0x0ffffcc6,0x261bffe6,0xff886fff,
    0x3fea05ff,0x7e4003ff,0x09ff901f,0xff809f70,0xfb804fff,0x3ffffe01,
    0x7fffc404,0xffff803f,0x83f8804f,0x02fffff9,0x01fffff3,0x7ed7a000,
    0x7e806fff,0x2e1bff60,0x8001ffff,0x7dc6ffff,0x7fcc1fff,0x7ffec1ff,
    0x5ffff884,0x0fffff10,0x7407f600,0x09b006ff,0x04fffff8,0x7ffc03f0,
    0x7fc404ff,0xff803fff,0x79004fff,0x5fffff30,0x37fffe40,0xd87dc000,
    0xb806ffff,0xc880cc07,0xff0003ef,0xfffc8dff,0x7fffc40f,0x827fffc2,
    0xfb05ffff,0x20009fff,0xfff881f9,0x404b803f,0xb84fffff,0xfff00ec1,
    0xff8809ff,0xff803fff,0xa8304fff,0xfffff983,0x3fffe602,0x3e20003f,
    0x1bffff63,0x0007886a,0x86ea2000,0x7cc6ffff,0x7fcc1fff,0x3ffe20ff,
    0xbffff03f,0x3fffff50,0xf80ec000,0x4403ffff,0x7ffffc05,0x00541d84,
    0x809fffff,0x03fffff8,0x04fffff8,0xff98088d,0x7fc02fff,0x20006fff,
    0x7fffec6d,0x001c1c86,0x7fecc000,0xffff8dff,0x41ffff86,0x7d45fff9,
    0xfff02fff,0xffffb0bf,0x0440001f,0xefffffd8,0x3ffe0002,0x001f84ff,
    0x027ffffc,0x0fffffe2,0x13ffffe0,0x7fcc01e2,0x7e402fff,0x8002ffff,
    0x7ffec1fa,0x4401e86f,0x03fffffe,0x9efff880,0x6ffffeda,0x644fffb8,
    0x7fe42fff,0xffff02ff,0xffffff0b,0x7dc00000,0x2effffff,0xfffff800,
    0x2000fd44,0x404fffff,0x03fffff8,0x84fffff8,0xfff3007b,0xffb805ff,
    0x44004fff,0xffffd84e,0xd800fd46,0x8003ffff,0x7f41fffe,0xfd306fff,
    0x07bfea5f,0x40ffffee,0x7c45ffff,0x0006ffff,0x7ffff400,0x001dffff,
    0x993ffffe,0x7fc001ff,0x7c404fff,0xf803ffff,0x7dc4ffff,0xffff3007,
    0xfffb805f,0x364005ff,0x26ffffd8,0xf7001fea,0xc8007fff,0xff885fff,
    0x7fec06ff,0xf500bdff,0x3fe07fff,0x7ffd45ff,0x000005ff,0x7fffff44,
    0xf004ffff,0xfb9bffff,0xff8003ff,0xeeeeffff,0xffffeeee,0xffff803f,
    0x7ffecaef,0xfffff300,0xffffa805,0x07e6006f,0x67ffffec,0x5001ffff,
    0x2207ffff,0x04fffe80,0x5c0dffff,0x3e60031d,0xfff04fff,0xffffb8bf,
    0x8000004f,0xffffffe8,0x7c00dfff,0xffffffff,0x7fc001ff,0xeeeeffff,
    0xffffeeee,0xffff803f,0x7fffffff,0xfffff300,0xffff9805,0x277a006f,
    0xffd99999,0xffffefff,0xffff5001,0x24ffd887,0xf03ffff8,0xfd10dfff,
    0x3ffa0003,0xbffff07f,0x5fffffa8,0x2e000000,0xffffffff,0x7fffc06f,
    0x03ff914f,0x4fffff80,0x7ffffc40,0xfffff803,0x00ffd934,0x0bffffe6,
    0xbfffff50,0x3fffee00,0xffffffff,0x007fea6f,0x21ffffd4,0xf31ffffb,
    0x3fe07fff,0x3ffc86ff,0xffff5000,0x7fffec47,0x7ffffc45,0x7776c406,
    0x05eeeeee,0xfffffc88,0x3fe02fff,0x0fec4fff,0x3ffffe00,0x7fffc404,
    0xffff803f,0x803f444f,0x02fffff9,0x27ffffdc,0x36017c40,0x7dc6ffff,
    0xffff5001,0x4ffffe87,0x205ffff7,0xff86ffff,0xeeeeefff,0xfff701bc,
    0xfffbd9df,0xfffff0bf,0x3ffa200f,0x0081efff,0x3fffff22,0x3fffe06f,
    0x000fc44f,0x013ffffe,0x07fffff1,0x09fffff0,0x3fe600f3,0x7e402fff,
    0xd802ffff,0xffffd805,0xf5001f86,0xffc87fff,0xffff92ff,0x1bfffe07,
    0x3ffffffa,0x04ffffff,0x27fffff7,0xfd85ffff,0x5000ffff,0x105fffff,
    0xfffd100b,0x7fffc0ff,0x0301e84f,0x013ffffe,0x07fffff1,0x09fffff0,
    0x7ffcc01e,0x7fe402ff,0x7d401fff,0xffffd800,0xa8301d86,0x7443ffff,
    0x3ffee5ff,0xdffff03f,0xffffff70,0x7fffffff,0x3fe0d4c0,0xfffb85ff,
    0xff5001ff,0x1f105fff,0xffffd100,0x3ffffe01,0x05881c84,0x809fffff,
    0x03fffff8,0x04fffff8,0x3ffe600b,0x7ff402ff,0x1f4406ff,0x6ffffd80,
    0x543a81b8,0x1303ffff,0x04ffffa8,0x2e0dffff,0xffffffff,0x8005ffff,
    0xe885ffff,0x3003ffff,0x103fffff,0x3fe2005f,0x3fffe07f,0x0970084f,
    0x013ffffe,0x07fffff1,0x09fffff0,0x7ffcc006,0x3fe602ff,0x36401fff,
    0xdffffb00,0xf50ba010,0x44007fff,0xff05ffff,0x9fb30dff,0xf9755557,
    0xff000dff,0x3fe60bff,0xff3007ff,0xdf103fff,0x02fff400,0x009fffff,
    0x7ffc0fe2,0x7fc404ff,0xff803fff,0x40004fff,0x02fffff9,0x013ffff6,
    0x7ec003f3,0xf3006fff,0x3ffffa83,0x7fffec00,0x37fffd40,0x22013fe6,
    0xff8004ff,0x3fea05ff,0xff9803ff,0xff881fff,0x2fff8805,0x13ffffe0,
    0x7c0bfa20,0x4404ffff,0x803fffff,0x005fffff,0x7ffffcc0,0xdffff302,
    0x4005e801,0x807ffffd,0x7fd40ff9,0x7cc003ff,0x3fe65fff,0x3ee0ffff,
    0x03ff003f,0x0dffff00,0x02ffffa8,0x0fffffcc,0x201fffc4,0x3e204ffb,
    0x5405ffff,0xff881ffe,0x7cc05fff,0xf804ffff,0x0006ffff,0x1fffffcc,
    0x027fffcc,0x36001fe4,0x5407ffff,0xfffb87ff,0xffa8004f,0xffafddff,
    0xff12efff,0x1fecc03f,0x7fffc400,0xfffc8807,0x7fdc41bd,0xff880eff,
    0x7dc41eff,0x7ffdc05f,0xba9acfff,0x80ffffec,0x0ffffffb,0x3fffff20,
    0x3ffea00e,0x20000fff,0xaefffffd,0x2dfffdba,0x006ffb80,0x3fffffe6,
    0xfedb99ad,0xfffd86ff,0xff50006f,0x3ffe5fff,0x3f260ace,0xffeccdef,
    0x6cc4001d,0x01cfffff,0xfffffd98,0x0bdfffee,0x3ae6be20,0x1effedff,
    0xffffd910,0xffffffff,0x44ffffff,0xffffffec,0xfdb34dff,0xbfffffff,
    0x3fffb227,0x04dfffff,0xffffdb50,0xbddfffff,0xfff30015,0x9701bfff,
    0xfffffffd,0xffffffff,0x7ff449ff,0x001fffff,0x01a83510,0x37975310,
    0x664c0001,0x03cccccc,0x55e554c0,0x20a20019,0x000abba8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa00015,0x0001aaaa,0x55555551,0x20035555,0x01aaaaaa,0xaaaaa880,
    0x99aaaaaa,0x32a00009,0x55441bdd,0xaaaaaaaa,0x5544002a,0xaaaaaaaa,
    0xa8800199,0xaaaaaaaa,0xaaaa8000,0x511aaaaa,0x55555555,0x00133355,
    0x37b97100,0x013a0000,0x7ffff540,0x3ae60005,0xacffffff,0xfffd5000,
    0x951000bf,0xffffffff,0x09dfffff,0x74eff540,0x3f2a24ff,0xbdffffff,
    0x7e544002,0xffffffff,0x801befff,0xfffffba8,0x7cc004ff,0xacffffff,
    0xffff9511,0xffffffff,0x70003bff,0x3fffffff,0x03fd4000,0xbffff300,
    0xfff30000,0x260007ff,0x0005ffff,0x97ffffd4,0xeffffea8,0x8fffcc00,
    0xfa80fffe,0x0006ffff,0x7fffff50,0x3fffee62,0xfff3000d,0xc800ffff,
    0x04ffffff,0x17ffffd4,0x7ffffd31,0x7fffdc00,0x001fffff,0x0007ffb0,
    0x017fffe2,0x3fffe200,0xff10002f,0x88000bff,0xd82fffff,0x200fffff,
    0xffb1fffe,0x3fffe20f,0xf300004f,0xd107ffff,0x1005ffff,0x5fffffbf,
    0x3ff3e200,0x7c402fff,0xf902ffff,0xf300bfff,0xffffffff,0xff3000ff,
    0x3e2000df,0x80005fff,0x02fffff8,0x17fffe00,0x3fffe000,0xffff882f,
    0xffff303f,0x4402ee23,0x004fffff,0xfffff100,0x3fffe207,0xffaf801f,
    0xf7006fff,0x05fffff5,0x2fffff88,0x3fffff10,0xebadfe80,0x02ffffff,
    0x17fffec0,0x7fffc400,0xfff00005,0x200037ff,0x0005ffff,0x02fffff8,
    0x20dffffd,0x001ffffb,0x01fffffc,0xffff8800,0x3ffee03f,0x64fc00ff,
    0x801fffff,0xfffff9be,0x7fffc402,0x3fff602f,0x207e604f,0x04fffffa,
    0x3ffffe20,0xfff88005,0xff00005f,0xffffffff,0xfff8019d,0xff80005f,
    0xff902fff,0xff701fff,0xff8003ff,0x00003fff,0x07fffff1,0x27ffffc4,
    0x3ffe27e0,0x47cc05ff,0x02fffff9,0x17ffffc4,0x0dffff90,0xfffd00dc,
    0x7fe4009f,0x4001ffff,0x005ffff8,0x7fffff00,0x7ffffb55,0x12ffffc0,
    0x7fc00375,0xffd02fff,0x3fee0bff,0x7fc001ff,0x00003fff,0x07fffff1,
    0x0fffffe8,0x7ffec7e0,0x4d7600ff,0x402fffff,0x02fffff8,0x01fffff2,
    0x2ffffb80,0x3fff3e00,0x7c4004ff,0x7f5c5fff,0x3e02efff,0x7ec2ffff,
    0xff80efff,0xffff55ff,0xffff003d,0xffff105f,0xffffe85f,0xf004ffff,
    0x0007ffff,0x3ffffe20,0x7fffdc03,0x7cc7e03f,0xf103ffff,0x3ffffe63,
    0x7fffc402,0x3fffa02f,0x3e60006f,0xf7000fff,0x03fffff6,0x5ffff880,
    0xf003dff0,0xff05ffff,0xfff09fff,0xfffdf9bf,0xffff00df,0xffff905f,
    0xfffd970d,0x3e0059bf,0x0003ffff,0x7fffff10,0xfffffa80,0xffe87e05,
    0x4cd707ff,0x402fffff,0x02fffff8,0x09fffff1,0x37ffd400,0x3fea7d00,
    0x22003fff,0xf885ffff,0xffff000e,0xffffb05f,0xdfffff0f,0x0ffffea1,
    0x45fffff0,0x04ffffd9,0x00ffffdc,0x0fffffe0,0x7ffc4000,0x7fcc03ff,
    0x87e06fff,0x82fffffb,0x3fffe63e,0x7ffc402f,0xfff902ff,0xfc8000df,
    0x1f5003ff,0x03fffff4,0x0bffff10,0x7fc001db,0xffc82fff,0x7ffc0fff,
    0x7fffc0ff,0x7ffffc04,0x3fffffee,0x3ffff700,0xfffff800,0x3fea0003,
    0xffffffff,0x3fe64fff,0x07e07fff,0xa8dfffff,0x3fffe60f,0x7ffc402f,
    0x3f6622ff,0x0000dfff,0xb0037ffc,0xfffffb89,0xffff1002,0x4000dd8b,
    0xb82fffff,0x7c1fffff,0xfff85fff,0x7fffc05f,0xfffeccdf,0x7fdc03ef,
    0x7fc001ff,0x20003fff,0xffffbaa8,0x21aaaadf,0x07fffff8,0xffff907e,
    0x3e626c3f,0x4402ffff,0xfeefffff,0x01dfffff,0x1fff9800,0xf881f300,
    0x1006ffff,0x7ecbffff,0xffff8000,0xffffc82f,0x85ffff87,0x7c06ffff,
    0x7442ffff,0x701effff,0x8003ffff,0x003fffff,0xfffff100,0xffff9807,
    0xf107e06f,0x3e29ffff,0x7ffffcc0,0x7fffc402,0xfffffacf,0xf700001f,
    0x82ec007f,0x01fffffc,0xb5ffff88,0xff0009ff,0xffd05fff,0xffff09ff,
    0x0dffff0b,0x82fffff8,0x0fffffe8,0x01ffffb8,0x1fffffc0,0xfff88000,
    0x7fd403ff,0x07e05fff,0x23fffff6,0xffff985c,0x7ffc402f,0xffff52ff,
    0x880001ff,0x3e2005ff,0xfffff301,0xffff100b,0x05ffffbb,0x2fffff80,
    0x17ffffc4,0x7c2ffffc,0x7fc06fff,0xff502fff,0xff70bfff,0xff8003ff,
    0x04003fff,0x3fffff88,0x7ffffd40,0x3e607e04,0x82fcffff,0x02fffff9,
    0x17ffffc4,0x0bfffff9,0x005fd800,0x7fffffe4,0xffffffff,0x7fffc400,
    0x0fffffef,0x3ffffe00,0x3ffffa22,0x0bffff02,0xf80dffff,0xf102ffff,
    0xf70fffff,0xf8003fff,0x4003ffff,0xffff880d,0x7ffdc03f,0x407e02ff,
    0x06fffffe,0x05fffff3,0x2fffff88,0x17fffff4,0x005fb800,0xaaaaacf8,
    0xfffffbaa,0x7fffc404,0x0bffff96,0x6fffffc0,0x1effffec,0x217fffe0,
    0x7c06ffff,0x3a02ffff,0x5c1fffff,0x4001ffff,0x003fffff,0x7ffc41e2,
    0x7fec03ff,0x80fc06ff,0x03fffffb,0x05fffff3,0x2fffff88,0x7fffffcc,
    0x037cc000,0x7401ae12,0x200fffff,0x3a5ffff8,0xf002ffff,0x99bdffff,
    0xfff00379,0xdffff0bf,0x2fffff80,0x1fffffe0,0x007fffee,0x07fffff0,
    0xff883e40,0x3e203fff,0x7c02ffff,0x3ffffe01,0xfffff300,0xffff8805,
    0xffffb82f,0x3ba2006f,0x0fe12e00,0x7ffffdc0,0x3fffe203,0x3ffffe65,
    0xfffff800,0x3ffe0002,0x6ffff85f,0x17ffffc0,0x6fffff98,0x01ffffb8,
    0x1fffffc0,0x3e20df00,0x3203ffff,0xf805ffff,0x13fff201,0x2fffff98,
    0x7ffffc40,0xfffffb02,0x337f6007,0x3fdccccc,0xff000fdc,0x7c40ffff,
    0x7fe45fff,0x7fc405ff,0x10002fff,0xff0bffff,0xfff80dff,0xfff902ff,
    0xfff703ff,0x7fc4003f,0xfb004fff,0x3fffe20b,0xffff103f,0x405f001d,
    0x2a01fff8,0x402fffff,0x02fffff8,0x3ffffff1,0xfffffc80,0x21ffffff,
    0x7e4007f8,0xf103ffff,0xffd0bfff,0x7fc407ff,0x10002fff,0xf88dffff,
    0x3e206fff,0xfc84ffff,0xf903ffff,0x44005fff,0x805fffff,0xff104ffd,
    0xfd309fff,0x3e600bff,0x2037ec03,0x03fffffa,0x1fffffcc,0xffffff50,
    0x3fffea01,0xffffffff,0x007ffd30,0x7fffffe4,0x7ffffa81,0x2fffffb8,
    0xbfffff70,0x3ffea000,0x3ffea0ff,0xfff700ff,0xfd957fff,0x6c03bfff,
    0x2004ffff,0xcffffffb,0xffdbaaaa,0xfff903ff,0xf9757fff,0x6c005dff,
    0x0be601ff,0xbfffffb0,0xfffffc80,0x7fffec05,0x7ffcc0ef,0xffffffff,
    0xfffff96f,0x3fb620bd,0x6fffffff,0x3ffffff2,0xffffd32f,0x3fb22bff,
    0xdfffffff,0xffff9001,0xfff73fff,0x3625ffff,0xfffffffe,0x1cceefff,
    0x3ffffb20,0xd9303fff,0xffffffff,0xffffffff,0x7f64c7ff,0xffffffff,
    0x1000bdef,0x7dfffffb,0x7fed41a0,0xdfffffff,0xffffdb32,0x105dffff,
    0x7ffffffd,0x7ffffff4,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xaaaaaaaa,
    0x2aaa2aaa,0x9aaaaaaa,0x5dcc0001,0x2606a00a,0x00b22002,0x00b80ba8,
    0x55555554,0xaaaaaaaa,0x2aa60aaa,0xaaaaaaaa,0x2aaaaa01,0x2aaaa22a,
    0x0aaaaaaa,0x55555554,0x2aaaaa1a,0x55441aaa,0xe98001aa,0xaaaaa886,
    0x80aaaaaa,0xaaaaaaa9,0x2aaaa21a,0xf75101aa,0x7bffffff,0x7fff6545,
    0xffffffff,0xbff9002d,0xfff07fff,0x203ffdc7,0xb803ffd9,0xa8bdffff,
    0x7fffc00f,0xffffffff,0x20ffffff,0xffffffd9,0x36e01adf,0x2e23efff,
    0xffffffff,0x7fe540ad,0x3f21beff,0x41cfffff,0x002fffc9,0x5443ff44,
    0xffffffeb,0xfda980bd,0x221cefff,0x03fffffc,0x6fffff98,0x7ffffc40,
    0xdffff733,0x43bf6203,0x3ea3fffc,0x3fffe7ff,0xffffda82,0x7fffcc03,
    0x405fffff,0x102dfff8,0x05ffffff,0x3fffffea,0x81bf2001,0x7ffffff9,
    0x203ffd80,0x406ffffb,0xfd8000fe,0x7ffcc07f,0x3fe007ff,0x7ffe404f,
    0xfff8803f,0xfff805ff,0x7ffcc3ff,0x3ffe80ff,0x4c3fffea,0x3ff65fff,
    0x3fffaa0f,0x7e403fff,0xfffffffd,0x017fc402,0x17fffff2,0x9fffffb0,
    0x2007ec00,0x2ffffffa,0x7c027ec0,0xf100ffff,0xfff70009,0xfffff00f,
    0x0bfe600b,0x0ffffee0,0x27ffffc0,0x1fffff40,0x237fffec,0x7fc0fffa,
    0x877ae1ff,0x26ea3ed9,0x03fffffb,0xdfd9516c,0x805f3005,0x0ffffff9,
    0x7ffffc40,0x02f9800f,0xdfffffb0,0x4017e201,0x303ffffc,0xff98001f,
    0xfff807ff,0xef9805ff,0xffff5000,0x3fffe007,0xfffe804f,0xffffb83f,
    0x03fffa0f,0x0000fff9,0x03ffffc8,0x54001004,0xffffe806,0xfff7003f,
    0x0db009ff,0x7ffffc40,0x400dd04f,0x906ffff9,0xffe8800b,0xfff807ff,
    0x6fd404ff,0x3ffea000,0xffff003f,0xfffd009f,0xffff507f,0x1fffe65f,
    0x000005d4,0x00fffff2,0x01dc0000,0x1bffffee,0xfffffd00,0x000fd401,
    0x3fffffea,0x20007e41,0xe80ffffe,0x7ef6c003,0xfff807ff,0x0ff204ff,
    0x3fffea00,0xfffff003,0xffffd009,0xfffff507,0x03fffea5,0xfb800000,
    0x20003fff,0x00a801b9,0x3fffffe2,0x7ffd4001,0x013a05ff,0x7ffffe40,
    0x20007ea6,0x4c3ffffb,0x27ea000f,0xf807fffc,0xd884ffff,0xff50002f,
    0x3fe007ff,0xfe804fff,0xffb83fff,0xfff70fff,0x7f44003f,0xb803ffff,
    0xfc83ffff,0xff55ffff,0x40003dff,0x04fffffd,0xfffffd00,0x0001f703,
    0x3fffffa2,0x10002f9c,0x5c8dffff,0x7e4fe600,0xfff807ff,0x0774c4ff,
    0xffff5000,0x3fffe007,0xfffe804f,0xffffc83f,0x0fffff26,0x3ffff600,
    0xffffb803,0xbffff303,0xdffffdf9,0x3ffea000,0x50000fff,0x88bfffff,
    0x7cc0002f,0x04ffffff,0x7fffec00,0x5e800be1,0x201ffff2,0x2a4fffff,
    0x540000ef,0xf003ffff,0xd009ffff,0xf987ffff,0x3ee1ffff,0xb8004fff,
    0xb803ffff,0xf103ffff,0x2a1dffff,0x4003ffff,0x2ffffff8,0x7ffec000,
    0x001b62ff,0x7ffffe40,0x7d40000f,0x01f34fff,0xffc83f20,0xffff807f,
    0x05fff74f,0xffffa800,0xfffff003,0xffffd009,0x7ffffd47,0x7ffffd41,
    0x7ffd4000,0xfffb803f,0xffff103f,0x7fffc41f,0x7ffe4005,0x980005ff,
    0xf36fffff,0x7f400003,0x0004ffff,0xcbffffc4,0xc83f5005,0xff807fff,
    0xfffddfff,0x2a0001ff,0xf003ffff,0xd009ffff,0xffddffff,0xf1017dff,
    0x800bffff,0x803ffffa,0x203ffffb,0xff85ffff,0x3e6005ff,0x000fffff,
    0xfffffb00,0x800009d7,0x2ffffff9,0x7ffec000,0xf8802faf,0x07fffc84,
    0xfffffff8,0x00efffff,0x7ffff500,0x3ffffe00,0xffffe804,0x8009aaad,
    0x82fffffc,0xffffa84b,0xffffb803,0x17fffe03,0x8017fffe,0x03fffffe,
    0x3ffe2000,0x0000ffff,0xfffffd80,0x9999000f,0xffffffb9,0xe8599999,
    0x0ffff906,0x1dfffff0,0x0bfffffd,0x3fffea00,0xfffff003,0xffffd009,
    0x3fe20007,0xdaadffff,0x7ffff505,0x7ffff700,0x42ffffc0,0x7006ffff,
    0x00dfffff,0xffff9000,0x3000007f,0xbfffffff,0x33333200,0xcefffffc,
    0x3f22cccc,0x0ffff900,0x29fffff0,0x4ffffff9,0xffffa800,0xfffff003,
    0xffffd009,0x7fcc0007,0x06ffffff,0x00ffffea,0x80ffffee,0xff85ffff,
    0xff8806ff,0x3001ffff,0x7fffc400,0x4400003f,0xfffff9cf,0x3f60002f,
    0x7c402fff,0xfeeeeeef,0x00eeffff,0x549fffff,0x02ffffff,0x1ffffd40,
    0x4fffff80,0x3ffffe80,0x7ff44000,0x2a00ceff,0xb803ffff,0x3e03ffff,
    0xfff85fff,0xfffd806f,0x0b1005ff,0x7ffffc40,0x2f400003,0x1ffffff7,
    0x3fff2000,0x7ffc402f,0xffffffff,0xff00ffff,0xffc89fff,0x2000ffff,
    0x003ffffa,0x009fffff,0x007ffffd,0x003ae200,0x01ffffd4,0x01ffffdc,
    0xff0bffff,0xffa80dff,0x5000ffff,0x7ffc4009,0x200003ff,0x7fff40ed,
    0x4ccc05ff,0xffffd999,0x1099999b,0xffffffff,0x1fffffff,0x13ffffe0,
    0x3bfffffa,0xffff5000,0x3fffe007,0xfffe804f,0x3a00003f,0xfff5003f,
    0xfff7007f,0x7fffc07f,0x06ffff85,0x1ffffff4,0x44009d00,0x003fffff,
    0xf301f700,0x405fffff,0xffffffff,0xffffffff,0xddddd14f,0xfffffddd,
    0x3ffe01dd,0xfff884ff,0xf5005fff,0x3e007fff,0xe804ffff,0x0003ffff,
    0x005fff70,0x007ffff5,0x407ffff7,0xff85ffff,0x3ff206ff,0x2e006fff,
    0x3fe2003f,0x80003fff,0x3fee02fa,0x4000ffff,0x002ffffd,0x07fffc80,
    0x04fffff8,0x7ffffff3,0x7ffff500,0x3ffffe00,0xffffe804,0x3ea00003,
    0xfffa804f,0xfffc803f,0xffff103f,0x0dffff0b,0x3fffffe6,0x05ff7001,
    0x7ffffc40,0x27cc0003,0x7fffff40,0x7ffec005,0xfc80002f,0xfff807ff,
    0x3fee05ff,0x5402ffff,0x8803ffff,0x805fffff,0x004fffff,0x00bfee00,
    0x013fffee,0x413ffff2,0x446ffff8,0xfd06ffff,0x3009ffff,0x4003fffd,
    0x04fffff9,0x007fe600,0x3fffffe6,0x3fffa003,0xfc80003f,0xfff807ff,
    0x7ff406ff,0x2e02ffff,0xb804ffff,0x00ffffff,0x3bffffea,0x7e540000,
    0xfffb005f,0xfff980df,0xffa80fff,0x3fea0fff,0x7fdc0fff,0xaaabffff,
    0xfffdbaaa,0x3f2000ff,0x000effff,0x01fffdc4,0x7fffffcc,0xfff9802f,
    0x40000eff,0x5407fffc,0x01ffffff,0x3ffffff2,0xffffb03f,0x3ffb220d,
    0x3dffffff,0x3fffffb6,0x8003efff,0x8801bcc8,0xfffffffe,0x3fffb661,
    0x94efffff,0x3fffffff,0xfffffff7,0x3ffffe25,0xffffffff,0x7fffffff,
    0xfffecb80,0x0cdfffff,0x7ffffe40,0x7ec40cef,0xffffffff,0x7ff6cc0e,
    0x3dffffff,0xffff9000,0xffffd910,0x4c5dffff,0xfffffffe,0xffd14fff,
    0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xaaaaaaaa,0xaaaaaaaa,0x5400aaaa,
    0x00000004,0x00000000,0x10000000,0x40003753,0x1000abb9,0x44001575,
    0xb9881aba,0x2620009b,0x000000ab,0x4c375300,0xb0550001,0xffffffff,
    0xffffffff,0x4403ffff,0x999b104f,0x99999999,0x00799999,0x80000ffc,
    0x980005fb,0x406c0abb,0xffffefe9,0xbff9000d,0xfc807fff,0x5404ffcf,
    0x3ffffefe,0x5fffbfd3,0xeeffd880,0xfffb03ef,0x7ffe49ff,0xdff905ff,
    0x75c5fbff,0x3ee6ffff,0x67fec4ff,0x3ffffe09,0x07ffea63,0x07104fd8,
    0x7c007000,0xf700001f,0x7fe4000b,0x0b93ffee,0x7fdc1df9,0x77ec405f,
    0x107fff90,0x3fe61dfd,0x5c1df905,0x12ffdfff,0x3a607ffb,0x0fff62ff,
    0x227fffd4,0xb85ffffa,0x7ff711ff,0x96ffff88,0xfd8fffff,0x7fffff03,
    0x2e03fd10,0x007104ff,0x7fc00700,0xbf700001,0x9ffd1000,0x2077ffdc,
    0x7fc46ffa,0x3ffa03ff,0x03fffea3,0xffd87ffd,0x6c2ffdc3,0x7cc5ffff,
    0x7fff80ff,0x4c17ffc4,0x7c44ffff,0x7fe85fff,0xfff83fa8,0xfffefaef,
    0xfff02ec6,0x07ea07ff,0x4413ffee,0x00380003,0x400007fe,0xfe8005fb,
    0x2fffc47f,0x3e17fff4,0xff505fff,0x1ffff81f,0xf903ffee,0x7fff41ff,
    0x1ffffe41,0x3ee27ffc,0xfffe84ff,0x27fffc41,0x317fffe2,0x07b09fff,
    0x23ffffff,0x016c2fea,0x407fffff,0x7fffe41f,0x00007104,0x00ffc007,
    0x005fb800,0x742fffd4,0x7ff42fff,0x37fffc4f,0x640fffe8,0x3fffc7ff,
    0xfd17ffdc,0xfffb89ff,0x27ffe82f,0xd83ffff8,0x7fc44fff,0x7ffc44ff,
    0x7fffdc5f,0x3fe1260d,0x1b004fff,0x1fffffc0,0x7ffec390,0x12ffffff,
    0x00700007,0x80000ffc,0x7f4005fb,0x7ffc45ff,0x07ffd46f,0x261bfffe,
    0x17507fff,0x5c37ffcc,0x3fea3fff,0x7fffdc0e,0x50fffd81,0xfb05ffff,
    0xfff88dff,0x7fffc44f,0x7ffffc45,0x7fffc01e,0xff00001f,0x26007fff,
    0xceffffdc,0x000711cc,0x0ffc0070,0x05fb8000,0x93fffe20,0x0fffffe8,
    0x7fff5418,0xffffa86f,0xffff5000,0xfffddddd,0x7e441889,0xeeeeffff,
    0xf71ffffe,0xffb05fff,0xffff88ff,0x2ffffc44,0x7ffffff4,0x3ffffe03,
    0xfff00000,0xf98007ff,0x07104fff,0x7c007000,0xf700001f,0x7ffcc00b,
    0x3ff3364f,0x3faa01ff,0xb86ffffb,0x7001ffff,0x5555ffff,0x44035555,
    0xffffbdfc,0xaaaaaaab,0x5ffff90a,0x43ffffb0,0x444ffff8,0xfa85ffff,
    0x05ffffff,0x000fffff,0x1fffffc0,0x3fffe600,0x00007104,0x3bbbba67,
    0xeeeffeee,0xd92eeeee,0xfddddddd,0xdddddddf,0xa7fffdcd,0x5ffff95c,
    0x3e3ffd10,0xffc86fff,0xff9003ff,0x2e0001ff,0xffff52ff,0x7ffe4005,
    0xffffd82f,0x13fffe21,0x20bffff1,0xfffffffa,0x06ffff83,0x3fffe000,
    0x7fcc003f,0x007104ff,0x3ffe6700,0xffffffff,0x3fffffff,0xfffffffb,
    0xffffffff,0x7ffdcfff,0xff90ebcf,0xfffb85ff,0x21bfffe1,0x004ffffb,
    0x005ffff7,0x2a1ffe88,0x2003ffff,0xd82ffffb,0x3e20ffff,0x7fc44fff,
    0x3fa205ff,0xff87ffff,0x200006ff,0x003fffff,0x827fffcc,0x13800038,
    0x55555555,0x555557ff,0x2aaa6355,0xaefdaaaa,0x22aaaaaa,0x0feffffa,
    0xa83ffff2,0x7ffc4fff,0xffffa86f,0xfffa800f,0x3fe6004f,0x7fffcc5f,
    0x3ffea006,0x7fffd82f,0x227fffc4,0x445ffff8,0x7ffffe40,0x037fffc1,
    0xfffff000,0xfff98007,0x0007104f,0x0ffc0070,0x05fb8000,0x3ffffe60,
    0x237ffe41,0x7fc2ffff,0xfff886ff,0xff8805ff,0x47100fff,0xfe82fffe,
    0x42a01fff,0xe83ffff8,0x7fc45fff,0x7ffc44ff,0x7d42d45f,0x7ffc2fff,
    0x3e00006f,0x4003ffff,0x104ffff9,0x00700007,0x80000ffc,0x7f4005fb,
    0xfffc84ff,0x97fffe65,0x906ffffa,0x705fffff,0x2ffffec9,0xffff31e8,
    0xdffff909,0xffb8d301,0x1ffff83f,0x5c5ffff8,0x7cc5ffff,0x40fffc82,
    0x0006ffff,0x0fffffe0,0x9ffff300,0x20000e20,0x007fe003,0x002fdc00,
    0x3a17ffea,0x3fe62fff,0xfffeefff,0x7c428fff,0xaadfffff,0x7fffcc5d,
    0x24eb9aef,0x9bfffffa,0xffffffda,0x41fc98af,0x7cc6fff8,0xfffd05ff,
    0x3fffee1f,0x5437cc5f,0xffff86ff,0x3fe00006,0x4c003fff,0x7104ffff,
    0x40070000,0x700001ff,0xff8800bf,0x1fffc47f,0x6ffffff4,0x2fffffb8,
    0xffffff98,0xfff506ff,0xd0bfffff,0x9fffffff,0xffffff31,0x3a605fff,
    0x13ff62ff,0xffffff98,0x47ffffaf,0xfb12eff9,0xffff983f,0xff00000f,
    0x98007fff,0x7104ffff,0x40070000,0x700001ff,0xedd800bf,0x13ff24ff,
    0x116ffecc,0x4405dffb,0x0ceffffe,0x3ffffa60,0xfffd503e,0xffd983bf,
    0x4401dfff,0x3fffeffd,0xeffffb80,0xffffff88,0xfffdbf12,0xfffb83df,
    0x0005ffff,0x03fffff8,0x27fffcc0,0x38000388,0x4007fe00,0xcccccccb,
    0xcccccffd,0xfb9724cc,0x803efeff,0x22000800,0x544000a9,0x0353000a,
    0x40002a60,0x98000aa9,0x2218000a,0x000000aa,0x3ffffe00,0x7ffc4003,
    0x01c4224f,0xff001c00,0x3fff6003,0xffffffff,0x27ffffff,0x00aa9808,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,0xf8003fff,
    0x21b16fff,0x03800038,0x5c003320,0xcccccccc,0xcccccccc,0x0000004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff1000,0xff50007f,
    0x1c43fdff,0x0001c000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09fffff3,0x37ff6a00,0x40001c42,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fee0000,
    0x0000efff,0xcccd8802,0xcccccccc,0x003ccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffff64c,0x003dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000b22,
    0x001b9800,0x100ab980,0x03b80375,0xd9872011,0x00000001,0x403ee000,
    0x0002005c,0x07ea05f1,0x7fffdc00,0xffe89dff,0x3ae5ffff,0x3ffee6ff,
    0x7e44ffff,0x80000eff,0xfd13ffda,0x15dfffff,0x643dfffd,0xf55fffff,
    0xf703dfff,0x3eadffff,0x3624ffff,0xa80effff,0xfffb52ff,0x43ff619f,
    0x000beff9,0xfffffb80,0x7fffffff,0xf903fb80,0x01bee003,0x3ba03f90,
    0xfff50000,0xffffb0ff,0xf309f30b,0x2a07ffff,0x5c40006f,0x5c1dffff,
    0x7c1fffff,0xffff301f,0xffffdf9b,0x3fffe60d,0xfffedfbe,0xffefe8af,
    0xdffb06ff,0xffffffff,0x7ec45ffd,0x0001cfff,0xf8827bee,0x5402ffff,
    0x00bf706f,0x10017ffc,0x1df503ff,0x3fff6000,0x7fffc42f,0xfb00f987,
    0x3ea09fff,0xffb30001,0x7ec039ff,0x0be64fff,0xefffff88,0x07ffff50,
    0x87fffffe,0x24fffffe,0xb02ffffb,0x51139fff,0x2205fffd,0x02effffc,
    0xffb07b80,0xff980bff,0x001ffb83,0x90003ff2,0x0dfd01ff,0x3fffe600,
    0x1fffff84,0xfff302dc,0x001720df,0x7dfffd71,0xffff1001,0xf100fa3f,
    0x7c41ffff,0xfff05fff,0xfffc83ff,0x7fffcc4f,0x403ff903,0xda801ffc,
    0x001cffff,0xffff5097,0x37fcc03f,0x4002ffd4,0xdff10000,0x005ffa81,
    0xa8ffffd0,0x744fffff,0x7fffec02,0x93002f81,0x003bffff,0x7bffff70,
    0x3fffe00b,0x05ffff85,0xf90dffff,0xff883fff,0x2ff884ff,0x2005fd80,
    0x2dffffc9,0x7ff404c0,0x3fe204ff,0x07ffcc2f,0x32000000,0x5ffe86ff,
    0xffffb800,0x3fffef62,0x3ea01e67,0x03545fff,0x5fffff54,0x3fe20000,
    0xf000ffff,0xfff0bfff,0x3fffe0bf,0x1ffffc86,0x427fffc4,0xff3005fb,
    0xfeb88001,0x7000cfff,0x201fffff,0x7cc6ffe8,0x000004ff,0x45fff880,
    0x4004fffa,0xf15ffff8,0x25ffff91,0xfffd004c,0xc881ec1f,0x002effff,
    0x3fffee00,0x3fffe006,0x06ffff85,0xf90dffff,0xff883fff,0x04fc85ff,
    0x80007fe0,0x1dffffc9,0x3ffffe20,0x5fffd102,0x407fffcc,0xeeeeeeec,
    0xeeeeeeee,0x3ff206ee,0x1ffff45f,0x3ffff600,0xffff35b8,0x7dc007ab,
    0x01f14fff,0x00ffffe6,0x7fff4000,0xffff002f,0x0dffff0b,0x321bfffe,
    0x7c41ffff,0x3fd85fff,0x000bfa00,0x0ffffea0,0x05ffffd8,0xd11ffff4,
    0xffb03fff,0xffffffff,0xffffffff,0x22fffe40,0x4003fffd,0x2ebffffa,
    0x1abffffa,0x7ffff880,0xffeb8099,0x00000bef,0x01bfffea,0x7c2ffffc,
    0xfff06fff,0xffff90df,0x5ffff883,0x3e004fc8,0xd710001f,0x2017dfff,
    0x01fffffa,0x263fff44,0xaa985fff,0xaaaaaaaa,0x2aaaaaaa,0x98bfff10,
    0x88004fff,0x5c7fffff,0x004fffff,0x7dffffe4,0xfffb3001,0x100003bf,
    0x007fffff,0xff0bffff,0x3ffe0dff,0xffffc86f,0x2ffffc41,0xfa8037dc,
    0xffc98007,0xfe801dff,0xd1004fff,0xfff987ff,0x40000001,0xffe86ffc,
    0x3ff60005,0x7ffc44ff,0x7c4001ff,0x8005ffff,0xbefffeb8,0xffd90000,
    0xfff00fff,0xdffff0bf,0x21bfffe0,0x441ffffc,0xf885ffff,0x04fe803f,
    0x3ffffaa0,0xfff7000b,0x220501ff,0x7fd40fff,0x20000005,0x7d40eff8,
    0x7d40005f,0xffd81fff,0xffb0006f,0xa80005ff,0x01cffffd,0x3ff63aa0,
    0x7ffc03ff,0x6ffff85f,0x90dffff0,0xf883ffff,0xff705fff,0x03ff6207,
    0xbffff910,0xfff88005,0x205882ff,0xffa83ff9,0x00f66001,0x3a03bf20,
    0xff00005f,0x3ffea0df,0xfff50003,0x6440000d,0x402effff,0xffff31f8,
    0x3ffe201f,0x6ffff85f,0x90dffff0,0xf883ffff,0xfd885fff,0xfca9bdff,
    0xfb503fff,0x00039fff,0x417ffff6,0x07fcc04b,0xfd002fdc,0x7fc4003f,
    0x000efa80,0x407ff900,0x20000fff,0x00003ffe,0x5ffffb50,0xfffb1760,
    0x3ffe209f,0x7fffc46f,0x0fffff06,0x985ffff9,0x7445ffff,0xfffffdff,
    0x23ffdeff,0x03efffe8,0x7fffd400,0x804fa81f,0x03f903fa,0x8007ffa0,
    0x01dd01fc,0x07fcc000,0x8000df90,0x00000ffb,0x21ffe4c0,0x7fdc3fd8,
    0xffa82fff,0x3fea0fff,0x7fcc0fff,0x7ff41fff,0x7ffdc4ff,0x88ffcc6f,
    0x362defec,0x077fe65f,0x7fff4000,0xfeb999df,0x40b7003f,0x0593004c,
    0xd980ec40,0x6e800000,0x0001fcc0,0x000013e2,0x3fa25500,0xfff95fff,
    0x7e4dffff,0xb9ffffff,0x2fffffff,0xfffffff7,0xfffffd17,0x3ffff6df,
    0x00661fff,0x001730e0,0x7fffdc00,0xffffffff,0x0000002f,0x00000000,
    0x80198000,0x0980000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00f62000,
    0x2000eb80,0x400acda8,0xda802cc9,0xb9801100,0x1cc980bd,0x6cc05ed4,
    0x59b7100c,0x83ddc880,0xccccccc8,0xcccccccc,0x99911ccc,0x99999999,
    0x59999999,0x00110060,0x11110110,0x44440201,0xa8151008,0x0079000e,
    0x10005ffb,0x3ee00bff,0xd02fffff,0x981fffff,0xfc80fffc,0xfffd80cf,
    0x3ffe20ff,0x313ffee7,0xce88ffff,0xf505ff88,0x4c3df31d,0xffffffff,
    0xffffffff,0xffff33ff,0xffffffff,0x07ffffff,0x3ffa2099,0x1e800adf,
    0x21ffffcc,0x7ec1efea,0xfffc87ff,0x801bff12,0x7f401ffc,0xffd8003f,
    0x7ffdc01f,0x642fffcc,0x24fffece,0x40fffdca,0x646ffffa,0x25ffebae,
    0xfd2ffffb,0xfffc8fff,0xfd9bf62f,0xb1ffcc1f,0x666644df,0xcccccccc,
    0x11cccccc,0x99999999,0x99999999,0x1ef987fd,0x7fffffc4,0x1f301cff,
    0xf83fffc8,0xffd86fff,0x3fffe22f,0xc817fea6,0xffb803ff,0x7ffcc001,
    0x2ffe606f,0x443ff220,0x4c3ffec4,0x7fec0fff,0xb8510fff,0x3ffee5ff,
    0x8ffffd2f,0x361ffffb,0xb0bff66f,0x1ffe45ff,0x00000000,0xffb0ff60,
    0xcaadfc8f,0x8befffff,0xffe85eb8,0xfffffa84,0x2a4ffd80,0x2a0fffff,
    0x3ffc85ff,0xdf10cfa8,0xfd00774c,0x2e05ff5b,0x80ffe06f,0xff984ffa,
    0x7fffdc0f,0x83bf203f,0xfb0ffffa,0xfffa8bff,0xffc88987,0x70fff42f,
    0x000009ff,0x3fd80000,0x0fe1ffd8,0x7ffffed4,0x7fcc1fff,0xdffff104,
    0xff1ffa20,0xbff50dff,0xfe81ffe4,0x3f25b2ff,0x1ff503ff,0x1ff41ffa,
    0x7e40bf90,0x0fff981f,0x27fffec4,0x2227fdc4,0x3fee7fff,0x37ffc44f,
    0x7fed7e44,0xf70fffc2,0x000000bf,0x83fd8000,0x003e27fe,0x3fffff93,
    0xfb809f70,0x3fa202ff,0x4077faa1,0x3ffcdffa,0x33ffff20,0x1ffffdbc,
    0x3e64ff88,0x202fe83f,0x13fa06fb,0x0807ffcc,0xfffb05f7,0x25ffe8df,
    0xfe82fff9,0xd8ffcc4f,0x0fff42ff,0x3fe69ff9,0xffffffff,0xffffffff,
    0x3f600003,0x45ffb713,0x0d440018,0x0a2009b0,0x0041f440,0x01ffffd4,
    0x6fd555cc,0xf900baaa,0x40ffd81f,0x13fa06fd,0xff302fd4,0x00fe801f,
    0x643fffb3,0x07ffc3ff,0x3fa17fe4,0xf90bff67,0x997fe43f,0xffffffff,
    0xffffffff,0x200003ff,0x159933fd,0x00000000,0x00000000,0x8001dffb,
    0x8802ebd8,0x4ff883ff,0x7d40ffdc,0x404f882f,0x2200fff9,0x3ffe804f,
    0xdfb07fe6,0xf883fea0,0xbfffdcff,0xfd8ffe21,0x2aaaaa25,0xaaaaaaaa,
    0x001aaaaa,0x0006a600,0x00000000,0x64000000,0x000effff,0x037eaff5,
    0x3f206fd8,0x56fff41f,0xe885ffea,0x3fe625c4,0x003b600f,0x0ff07fee,
    0x1be209f5,0x3e67bff2,0x5fec41ef,0x000004fc,0x00000000,0x00000000,
    0xc8000000,0x0dffabff,0xf9affdc0,0x2ff981ff,0xd117fe20,0x1bffffff,
    0xfffffe88,0x07ffcc2f,0x36607744,0x2ec2fd43,0x09d00fc4,0x98031022,
    0x000000aa,0x00000000,0x00000000,0xc8000000,0x17fea3ff,0x7f47fff0,
    0x805fe84f,0xfeb82ffa,0xfffd03ef,0xfb81ffff,0x817442ff,0xde9beffc,
    0x80901a80,0x0000001a,0x00000000,0x00000000,0x00000000,0x0fff2000,
    0xfd817fea,0x30bfee0f,0x33200399,0x332a0003,0x2a4ccccc,0x0ccccccc,
    0x337b2a00,0x00000001,0x00000000,0x00000000,0x00000000,0x80000000,
    0x3ea03ffc,0x2602605f,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5007fd10,0x400003ff,0x442980a8,
    0xeeeeeeee,0x9999935e,0x99999999,0x2a299999,0xaaaaaaaa,0xaaaaaaaa,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x01a800a2,
    0x3ffe2000,0xf89bff22,0xffffffff,0xffffff36,0xffffffff,0x3fe6dfff,
    0xffffffff,0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x3fe5fffb,0xffff11ff,0x22dfffff,0xcccccccc,
    0xcccccccc,0xddddd33c,0xdddddddd,0x000bdddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fcc0000,0x43fffa4f,0xccccccc8,
    0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6fe40000,0x000bba60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_39_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_39_latin1_y[224]={ 31,7,7,7,7,7,7,7,7,7,7,9,25,21,
25,7,7,7,7,7,7,7,7,7,7,7,14,14,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,36,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,14,14,14,14,14,14,7,7,7,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,31,14,7,7,11,7,
7,7,7,7,7,15,15,21,7,3,7,9,7,7,6,14,7,16,30,7,7,15,7,7,7,14,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,11,6,-1,-1,-1,0,-1,7,7,6,6,
6,7,7,6,14,14,6,6,6,7,6,6,6,7,7,7,6,6,6,7,7,11,13,6,6,6,7,6,7,7,
 };
static unsigned short stb__times_bold_39_latin1_w[224]={ 0,6,14,17,16,31,27,6,11,11,15,20,7,11,
7,10,16,13,16,16,17,16,16,16,16,16,6,8,20,20,20,14,31,26,23,23,24,22,21,27,27,13,18,28,
23,33,25,26,21,26,26,18,22,25,26,35,26,26,23,8,10,8,16,19,8,17,19,14,18,14,14,16,18,10,
10,19,10,28,18,16,19,18,15,12,12,18,18,26,18,18,16,11,3,11,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,14,17,18,18,
3,16,12,25,11,17,20,11,25,19,12,20,10,10,9,19,20,7,7,9,11,18,25,25,26,15,26,26,26,26,
26,26,35,23,22,22,22,22,13,13,13,13,25,25,26,26,26,26,26,16,26,25,25,25,25,26,21,18,17,17,
17,17,17,17,24,14,14,14,14,14,11,11,12,12,16,18,16,16,16,16,16,20,16,18,18,18,18,18,19,18,
 };
static unsigned short stb__times_bold_39_latin1_h[224]={ 0,25,12,25,27,25,25,12,32,32,14,20,13,4,
7,25,25,24,24,25,24,25,25,25,25,25,18,24,17,9,17,25,32,24,24,25,24,24,24,25,24,24,25,24,
24,24,25,25,24,31,24,25,24,25,25,25,24,24,24,31,25,31,13,3,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,23,18,18,18,17,25,17,32,32,32,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,31,25,17,24,
32,32,6,25,11,16,9,4,25,3,13,20,13,13,7,25,32,7,8,13,11,16,26,26,26,25,32,32,32,31,
31,30,24,31,32,32,32,31,32,32,32,31,24,32,33,33,33,32,32,16,27,33,33,33,32,32,24,25,26,26,
26,25,25,26,18,24,26,26,26,25,25,25,25,24,25,24,26,26,26,25,25,16,19,26,26,26,25,33,32,32,
 };
static unsigned short stb__times_bold_39_latin1_s[224]={ 255,246,111,162,129,1,117,104,218,33,18,
57,85,47,231,180,191,65,239,1,195,35,52,95,112,129,248,244,47,150,154,
1,1,1,89,220,176,103,154,56,126,1,204,213,128,178,144,117,15,194,212,
84,1,223,54,81,149,122,98,185,170,176,34,59,239,116,181,134,1,149,113,
20,70,237,41,28,242,106,87,189,34,37,238,225,24,206,28,1,68,201,175,
110,175,68,200,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,
37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,37,255,249,235,
16,135,176,230,93,34,146,126,192,171,47,69,79,51,78,64,93,221,184,234,
248,192,75,138,231,55,162,188,64,94,121,148,75,48,102,201,1,179,45,228,
25,80,1,79,221,152,15,99,1,152,149,52,1,146,54,28,126,202,122,48,
98,173,191,209,80,33,20,164,37,81,96,111,237,172,208,51,52,145,79,215,
126,38,18,220,210,99,143,227,1,232,80,198,179, };
static unsigned short stb__times_bold_39_latin1_t[224]={ 1,101,358,160,101,160,160,358,1,35,358,
314,358,372,358,160,160,289,264,186,289,186,186,186,186,186,238,212,339,358,339,
212,35,264,264,212,238,238,238,238,238,289,186,289,264,264,212,212,289,68,264,
238,314,186,212,212,289,289,289,68,212,68,358,372,358,314,212,314,238,314,264,
238,264,238,68,264,289,339,339,314,212,238,314,314,314,314,339,339,339,212,339,
68,35,35,358,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,1,186,68,
212,339,289,1,68,372,186,358,339,358,372,186,372,358,314,358,358,358,186,1,
358,358,358,358,339,133,133,133,160,35,35,35,101,101,101,238,101,34,35,34,
101,35,68,68,68,264,68,1,1,1,68,68,358,101,1,1,1,34,68,264,
160,101,101,101,160,160,133,314,289,133,133,133,160,186,160,160,289,160,289,133,
133,133,186,160,339,314,133,101,133,133,1,1,1, };
static unsigned short stb__times_bold_39_latin1_a[224]={ 141,188,313,282,282,563,469,157,
188,188,282,321,141,188,141,157,282,282,282,282,282,282,282,282,
282,282,188,188,321,321,321,282,524,407,376,407,407,376,344,438,
438,219,282,438,376,532,407,438,344,438,407,313,376,407,407,563,
407,407,376,188,157,188,327,282,188,282,313,250,313,250,188,282,
313,157,188,313,157,469,313,282,313,313,250,219,188,313,282,407,
282,282,250,222,124,222,293,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,141,188,282,282,282,282,124,282,
188,421,169,282,321,188,421,282,225,309,169,169,188,325,304,141,
188,169,186,282,423,423,423,282,407,407,407,407,407,407,563,407,
376,376,376,376,219,219,219,219,407,407,438,438,438,438,438,321,
438,407,407,407,407,407,344,313,282,282,282,282,282,282,407,250,
250,250,250,250,157,157,157,157,282,313,282,282,282,282,282,309,
282,313,313,313,313,282,313,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_39_latin1(stb_fontchar font[STB_FONT_times_bold_39_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_39_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_39_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_39_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_39_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_39_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_39_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_39_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_39_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_39_latin1_s[i] + stb__times_bold_39_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_39_latin1_t[i] + stb__times_bold_39_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_39_latin1_x[i];
            font[i].y0 = stb__times_bold_39_latin1_y[i];
            font[i].x1 = stb__times_bold_39_latin1_x[i] + stb__times_bold_39_latin1_w[i];
            font[i].y1 = stb__times_bold_39_latin1_y[i] + stb__times_bold_39_latin1_h[i];
            font[i].advance_int = (stb__times_bold_39_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_39_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_39_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_39_latin1_s[i] + stb__times_bold_39_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_39_latin1_t[i] + stb__times_bold_39_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_39_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_39_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_39_latin1_x[i] + stb__times_bold_39_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_39_latin1_y[i] + stb__times_bold_39_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_39_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_39_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_39_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_39_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_39_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_39_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_39_latin1_LINE_SPACING
#endif

