// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT        144
#define STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_15_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_15_latin_ext_LINE_SPACING          10

static unsigned int stb__arial_15_latin_ext_pixels[]={
    0x00000000,0x401c8000,0x0000003a,0x00000000,0x00000000,0xccca8000,
    0x00004ccc,0x00004000,0x40601000,0x09b502cc,0x7d001fe8,0x02f8fa80,
    0x0b5007e2,0x02e403d0,0x75f403d1,0x5c05d882,0x801b500e,0x332e02f8,
    0x540df302,0x2a0fa007,0x44cceecc,0x3a01f8ea,0x403b881e,0x1007d406,
    0x220f405d,0x2fe22dfc,0x5c057f01,0x0498059c,0x5c03a9c8,0xda800802,
    0x8c806400,0x207b1039,0x0360398c,0x2a01cc64,0x81cc6403,0x0ae03c9d,
    0x16e01260,0x2e03a9c8,0x03a9859c,0x01c803e2,0xb07a0498,0x3e21f5b7,
    0x9500f300,0x6e54017b,0xdca8488c,0x39b9500b,0x2700ae20,0xc8aa9102,
    0x488aa209,0x5104e455,0x322aa445,0x2a0aa209,0x04e40adc,0x2a072551,
    0x50550392,0x2dc017b9,0xa81540e4,0x55098e42,0xa81c8288,0x40bdca82,
    0x52f13ffd,0xfb01f11b,0x9fd101ff,0x9fb03fb5,0x7441df95,0x5c1fdacf,
    0xa82fcacf,0x80f5c039,0x417c5548,0xf155224c,0xaa449905,0xb1320be2,
    0x7c1db77d,0x905f4c82,0x89320be9,0x01fdacfe,0x9905f0b7,0x905f1320,
    0xa667ecc9,0x3a24c82f,0x741fdacf,0x22127e21,0x6409900f,0x3b20fa85,
    0x5c83fa20,0x90ba0fa8,0xdb002a0b,0x905f0007,0x320be009,0x9905f004,
    0x5f26c364,0x320be990,0x649905f4,0x5b80fa85,0x904c82f8,0x24c82f89,
    0x0be9f52f,0xfa85c932,0x5ff707a0,0x3d807c41,0x8fa03f10,0x89f56c3f,
    0x2747d01f,0x37ffaa04,0x886af880,0xc82f9e47,0x5f3c8f14,0x791e2990,
    0x1f9320be,0x320be088,0x3e9905f4,0x03f14c82,0x3e16e0fa,0x89904c82,
    0x8d34c82f,0x29905f4d,0x747d01f8,0x10fed881,0x4c07a01f,0x3e69900f,
    0xf9ae4f20,0x7fcc9900,0x88fc40ad,0x83f5b82e,0x82f9e478,0xf3c8f14c,
    0x91e29905,0x45320be7,0xc82f800f,0x3e9905f4,0x01f34c82,0x3e16e132,
    0x89904c82,0x8b74c82f,0x29905f4c,0x749900f9,0x7c576901,0x1e601f00,
    0x264f55c8,0x5c81e6b9,0x842ffca8,0x92e83e98,0xf9e4788b,0xc8f14c82,
    0x229905f3,0xc82f9e47,0x0be00f34,0xa6417d32,0x0f34c82f,0x7c2dc2e4,
    0x89904c82,0x8f34c82f,0x29905f4e,0x2e972079,0xf15ba52a,0x7c40f301,
    0x23e67d02,0x2f89f44b,0x3dc047d0,0x30fb7fae,0x8f107ccf,0x27b05d3d,
    0x82e9ec78,0xd3d8f13d,0x07e27b05,0x3d82e862,0x0ba7b05d,0xe817c4f6,
    0x82e85b83,0x2e89903d,0x2a2fa3d8,0x27b05d4f,0x647d02f8,0xd193f13f,
    0x16a03e25,0x45f30bd0,0xd0fcc5de,0x1e65f30b,0x361fa87c,0x7ffffe43,
    0xb3d83e23,0x83e25f07,0x25f07b3d,0x1ecf60f8,0xd907d17c,0x3d97c1ec,
    0x5f07b2f8,0x417cc2f4,0x2f83d808,0x0f626475,0xdbec88be,0x745f07b3,
    0x20c2f985,0x3e24effa,0x74404c80,0x5c4eb89c,0x889d713f,0x44eb89ce,
    0x54d911de,0x83f13e66,0x3f997c6b,0x83f265f5,0x3ea7f32f,0x97c1f932,
    0x265f53f9,0x22fe60fc,0x4bea1fa8,0x25f50fc9,0x25f50fc9,0x33a20fc9,
    0xb904eb89,0x3f265f50,0x85d11d30,0x21f932fa,0x2fa96c18,0x67441f93,
    0x3cc4eb89,0x8dfc40d8,0xd9802e99,0x57443eff,0xb303effe,0xfb107dff,
    0xefd81bff,0x221aa5cd,0x32fbee2f,0x077ffae3,0x5c797df7,0x7dc1dffe,
    0x3fae3cbe,0xffda81df,0xdffeb82d,0x0efff5c1,0x2077ffae,0x203effd9,
    0xbffd7038,0x704ffc83,0xaf83bffd,0x3fae0eb9,0xffd981df,0x4060b03e,
    0x009d52cc,0x00204010,0x08010008,0x42e40f60,0x00400400,0x01002002,
    0x40040040,0x02000800,0x000200a0,0x9d730040,0x00800201,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5441d500,0x02c881aa,0x01999951,0x006f72a2,0x2003a7aa,
    0x11e5c722,0x03320009,0x2b72a000,0x20000000,0x8002a81c,0x00000bda,
    0x04a8d800,0x000aaaa0,0x2f60b5b7,0x5500004c,0x664c2f88,0x41ebe82c,
    0x0dfceffa,0xdb9acec8,0x801dc805,0x364c7648,0x982e40d1,0x813ee04d,
    0x00edbbed,0x35c017ec,0xd84c82f8,0x0d93b704,0x0fa009f7,0x179303e6,
    0xccc81d70,0x8b86f984,0x00bb102b,0x989b02e4,0x88554886,0x5ffd8111,
    0x5c0b703b,0x02f72a05,0xd50ec570,0xb500d800,0x20763620,0x2a04d86c,
    0x1c800d8c,0x444c82f8,0x20c8f605,0x4c01d8d8,0x40e4ea04,0x81c8362a,
    0x64eeb62a,0x50392a81,0x3600d805,0xaa4434c4,0x745b1322,0x5983b5ff,
    0x32d5dfb1,0x6d67f442,0x27fec41f,0x0f13543b,0x45a8064c,0x0fc5703b,
    0xc9857044,0xcccc8dc0,0x320be4cc,0x99999994,0xccc83fa8,0x32604ccc,
    0x20be5700,0x82f8ae4c,0x05f15c4c,0x1320be99,0x66666654,0x05a89b2c,
    0x41f13cc0,0xd83b5ffb,0x557e67b1,0x07d42e44,0x0ecbb69b,0xdb03c4d5,
    0x3f31a607,0x01f10fa8,0x43fd8b70,0x9999bf1f,0xfa6417c9,0x6c4ccccd,
    0x337e0dec,0x3b604ccc,0x20be7b03,0x82f8f64c,0x05f1ec4c,0x1320be99,
    0x666776f4,0x1ec49b2c,0x974791e2,0x3b5ea85b,0x33e8d578,0x3e80fc4b,
    0x211731f1,0x0789aa0a,0x0f40d5f1,0x262f89b2,0xbf8f3007,0x402f9e65,
    0x05f4c82f,0x23fb15a8,0x2be2002f,0x20be7b06,0x82f8f64c,0x05f1ec4c,
    0x1320be99,0x9b0265ea,0x323c42e4,0xa80f56e3,0x3cac43b5,0x3e64a8f4,
    0x65e69900,0x0f135401,0xf980fd6e,0x445ca740,0x87c1881f,0xf92e78e9,
    0x9ec17402,0x907cc02f,0x5b800beb,0x0be7b03f,0x0be3d932,0x17c7b132,
    0x4c82fa64,0x6c0993e8,0x8f10b624,0x81e7e23c,0xdb443b5a,0x30f43e63,
    0xb78ae40f,0x4d505466,0x1725d078,0x7dfcc174,0x46c83e80,0x6c7a772d,
    0x333337e2,0x7cbe0f62,0x642ccccd,0x337e952f,0x25d02ccc,0x05f3d85c,
    0x05f1ec99,0x0be3d899,0x26417d32,0xcccec9ea,0x45a89b0c,0x3b61ec78,
    0x20ed6a04,0xfe88ea8f,0x817c44d9,0x3a333a3e,0xf13543b1,0x207ccf30,
    0x40bf2069,0x1fa88bf9,0x2791ea5c,0x33337e0f,0x64cbea2c,0x9999bf0f,
    0x21bdd305,0x82ccccdf,0x7b03e679,0x3d8f60ba,0x7b0f60ba,0x2e9ec174,
    0xd91f43d8,0x13619999,0x360f88d3,0xb500fd43,0x3f27b076,0xe831df9d,
    0x3a22f985,0x6a8763ee,0x3fff21e2,0x302d43ff,0xdffda80f,0x2a78e982,
    0x4017c69d,0x3e1dffda,0xf8764002,0xffff9002,0x07b3d87f,0x07b1ec5f,
    0x0f63d85f,0x17c1ecbe,0x09fffff3,0x3e1a626c,0x05a87f32,0x7c41dad4,
    0xd1136203,0xb09d7139,0x13543b03,0x46b83f0f,0x401e605a,0x22dfc02d,
    0x0017c4bf,0x9005f01b,0x002f9743,0x9ec6b83f,0x41f932fa,0x64cbea3d,
    0x5f51ec0f,0x97d43f26,0x27360fc9,0x21604d99,0x5f7dc2f8,0x805d513c,
    0xbd303b5a,0x09d95337,0x20fbff66,0x3263b058,0x86a8d716,0x409b12f8,
    0x01f30079,0x07b6176c,0x0333337f,0x337f06b6,0xa9db8333,0x33337f0f,
    0x2f886a83,0xdffeb8f6,0x3fae1ec1,0x5c3d81df,0x75c1dffe,0x03e61dff,
    0x213333b9,0x4075c19e,0x9803e880,0x6e540173,0x01000bce,0x971c80c4,
    0x07b076e7,0x3006e572,0x805b700f,0x7c3dc0fa,0x81ffffff,0x7fffc3d9,
    0x6ed41fff,0x3fffffe1,0x2e40f61f,0x1ec0107b,0x081ec008,0x909b0080,
    0x26bfffff,0x0000003d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a037593,0x2aa00eae,
    0x3372a048,0x17e40e41,0x00000000,0x90aa3200,0x00179999,0x54090000,
    0x3ea00483,0x40327304,0x4c00d8ba,0x5553000c,0x88144e01,0x05c800ee,
    0x2206adb8,0x4c9c8574,0x2e006e40,0x59f7068b,0x260ec5f9,0x3e600d8d,
    0x2017ec00,0x40b901ee,0x567c3b8e,0x3601fdba,0xb807e204,0x07883d02,
    0x303b3b10,0x1cb80327,0x5003ed80,0x37203999,0x0957700d,0x37200750,
    0x21e47200,0x9500bdca,0x6e54039b,0x2e42e80b,0x1cdca83b,0x1b500b20,
    0x1672e01b,0x20720362,0x09b05f2a,0x00750162,0x01e2020d,0x000e6dcc,
    0x4017b950,0x95006af8,0x5400017b,0x32a00adc,0x372a00ad,0x4ae6880a,
    0x1fdacfe8,0x17e567dc,0x3f6b3fa2,0x3b042741,0x17e567dc,0x59999991,
    0x02403260,0x0be55059,0x1ec17d32,0x664ae077,0x5b00bccc,0x3e25b132,
    0xbec84ffc,0xb1324fba,0x6d67f445,0x07eb701f,0xfdacfe88,0x2667f4c1,
    0x03b6efb6,0x03b6efb6,0x03b6efb6,0x85c9ec79,0xb90ba0fa,0x20fa85c8,
    0x6c0adff9,0x44b90ba1,0x04fccccc,0x40f107db,0x2fa640ff,0x5559f4c8,
    0x20fcc1fb,0x7559f0fa,0x269703fb,0xafc43e27,0x221ae2e8,0x07c4f31f,
    0xd01f50b9,0x85c81725,0x2a5f10fa,0x1361b24f,0x6c89b0d9,0x7b0f44d8,
    0xe8fa03f1,0x407e2084,0x2ffca83e,0x0084e876,0x57c40764,0x3be07886,
    0xc82fa645,0x07fdddf4,0x3e2f89b2,0x26a84d82,0x0fc4b72e,0x098174b7,
    0x3f12dcba,0x4cf30fa0,0xd01f880f,0x7c9d1aa7,0x40fc0881,0x0440fc08,
    0x0f9bd83e,0x6ffcc990,0xc807cc0a,0x1d9ee024,0x002b7fe6,0x7d6e01f7,
    0x2ff57c41,0xfa645f5f,0x5c5f4c82,0x1729d00f,0xf307b05f,0x1e21eadc,
    0x4003e2d5,0x07cc3d5b,0x7ffe44c8,0x00f983ff,0x29916e99,0x0f8800f8,
    0x8800f880,0x903cdec7,0x45ff950b,0x3cd72079,0x9503b0f8,0x0be605ff,
    0xf88b92e8,0x2a7e5f14,0x20be990f,0x06d85f4c,0xcf81f7f3,0xa80fdaaa,
    0xf11e7e25,0x20f9adc3,0x3e24ffea,0xb903cc79,0x4c35c1f8,0x23cd7207,
    0x2600f34e,0x400f3007,0x0be2f60f,0x4f7011f4,0x747d02f8,0x0ecd911d,
    0x7f10f701,0x41f33cc0,0x8fcf20f8,0x20ba995d,0x4f885f3d,0xddf05f90,
    0x225c07fd,0x8a7c44ed,0x99887e2e,0x22276c4d,0x3547d02f,0x0be217c4,
    0xf517f1f4,0x86207e29,0x221881f8,0x16c1881f,0x3e617a7b,0xe83e0f32,
    0x3622f985,0x4760dfff,0x5e81f079,0x7ffffe40,0xf4c83e23,0x6d32be23,
    0x505f2f83,0x3e0f303f,0x16c03ee2,0xf9f107ea,0x9905d87f,0x85e81fa8,
    0x640f62f9,0x2f985e85,0xe8f6fb22,0x41f46c83,0x3641f46c,0x9d13d8f2,
    0xde89d713,0xce88d911,0xd304eb89,0x8ef43b01,0x403646c8,0x8f135c1f,
    0x6fd43f4c,0x3f265f54,0x4c00b980,0x86d85f07,0x7885a868,0x4473a201,
    0x882d43fb,0x04eb89ce,0x33a20720,0x0624eb89,0x445fcc5b,0x45fcc1fa,
    0x5fcc1fa8,0x34c1fa88,0x77fecc7b,0xdfffd883,0x3effd980,0x87613260,
    0x20dfffd8,0x09999afb,0x44be21aa,0x6c1fa647,0x37ffae4f,0x9809d101,
    0x4f885f07,0x05d51164,0xfdb100f1,0x175443bf,0x07dffb30,0xd981bc80,
    0x9be83eff,0x7fed40fb,0xbffb502d,0x37ff6a05,0x40f65902,0x04001000,
    0x0e405e40,0xffffb008,0xc81ecdff,0x3f4c8f15,0x80084f88,0x83cc00cd,
    0x121fa82f,0x002407d1,0x001f4402,0x0f220001,0x6764c010,0x01000400,
    0x01220040,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccccc8,0x048aa0b2,0xb8c80393,
    0x32002601,0x6dcc0001,0x0644881c,0x91032000,0xc920e4c3,0x747d0120,
    0x2dedc4db,0x9ea80930,0x06aeb80f,0xb900c9cc,0x471190b7,0x9980e9ea,
    0x3aac8809,0x5194add8,0xf87d7d05,0x3e4ccccd,0x868a640f,0x2a00eae8,
    0x401fc03d,0x403aa02e,0x44fbabec,0x2200fc78,0x221f80ee,0x43abe24e,
    0x03c43668,0x904d8893,0x402d401b,0x037201db,0xd8076950,0x40dd980d,
    0xeee881eb,0x40dbab85,0x53b1b9a8,0x5f09b109,0x2645ef80,0x98044220,
    0x02601cdb,0x901cdb98,0x3e21ae03,0x803f1e21,0x11f84abc,0x0110889d,
    0x42440f10,0x3333222b,0x999912cc,0x03260599,0x02f33332,0x654ae077,
    0x5c4ccccc,0x33333322,0x32602b84,0x8570ae00,0x05f2a82c,0x5322faf8,
    0xccfe9878,0x7dd5f644,0x2667f4c4,0x13eeafb2,0x98174019,0x203f1e20,
    0x27e2a81c,0x88f103f8,0xd93c43e7,0x88f61e21,0x14fccccc,0x09f99999,
    0x2b3e0fb6,0x3e61fdba,0xcca87d41,0x1ec4ccee,0x099999bf,0x01f6c07b,
    0x7fc3d87b,0xccdfa640,0x3ea7e2cc,0xf11e2990,0x86b93ea5,0x2a5f11f8,
    0x3e21ae4f,0x07c407e1,0x80fc7880,0x2be4c82f,0xf11e206f,0x1d97887c,
    0x201ec3c4,0x03b200ec,0x0be1abe2,0x7c4d9136,0x1ec0b702,0x40f6005f,
    0x0f606af8,0x645ef87b,0x59999bf4,0x2995d8fc,0x93a35478,0x1aa1302e,
    0x0981749d,0x507cc07e,0x23c49ffd,0x9905f01f,0x88275ffc,0x221f3c47,
    0x43c40ecf,0x803ee03d,0x3eb700fb,0x41ec17c1,0x2dc0b94e,0x8017c7b0,
    0x07eb703d,0x5f0f61ec,0x02fa645f,0x4caf88fc,0xa645b8f1,0x45b800f8,
    0x2001f14c,0x9887e01f,0x3f1e24d9,0xf9320be0,0x8f105f33,0x6fc43e78,
    0x1ec3c42f,0x3e602f98,0x22e4ba02,0x0fdaaacf,0x200fbf98,0xdf8f605b,
    0x3d82cccc,0x6c1725d0,0x2a7e1ec3,0x00be990f,0x8a6fd43f,0x4d3a3cc7,
    0x53ffaa0f,0x0f9a7479,0x1f93ffaa,0x12641760,0x9bf01f8f,0x0fc9d999,
    0x447881f7,0x547c43e7,0x0f61e20e,0x3f880fe2,0x20f99e60,0x403feeef,
    0x02dc02fc,0x6666fc7b,0x7983d82c,0xb0f603e6,0x32bb1f87,0x333337f4,
    0x453f60fc,0x4fa8bf87,0x4d99887e,0xf93ea2fe,0xf9366621,0x4473a201,
    0x5f1e23fb,0x2b3e3333,0x07e4daaa,0x3c4788bb,0x24d9e21f,0x5e83d878,
    0x3f202f40,0x8be3ffff,0x01e600fb,0x3e3d816e,0xf907b002,0x7b07ffff,
    0xf88fc3d8,0xfffff4ca,0xf107e3ff,0x3b221e29,0x641763db,0x8f6fb224,
    0x0fc9905d,0x37ffb620,0x3ffe3c41,0x9905f7ff,0x88fe20fc,0x221f3c47,
    0x43c4be27,0x3203643d,0x35c1f806,0x2606d85f,0x3605b807,0x1ec00be3,
    0x361ae0fc,0xa87e1ec3,0x403704df,0x222440b9,0x39d116c1,0x20c4fee2,
    0x4473a22d,0x8007e3fb,0x3039301e,0x26417c19,0x07880ba8,0x221d407c,
    0x2bee3d87,0x5f709999,0x35413333,0x442f97c4,0x700f304f,0x37f1ec0b,
    0x87b03333,0x6c2f886a,0xb07e1ec3,0x026f209f,0x11b313a2,0x207dcdf4,
    0x41dffed8,0x440fb9be,0x7c1dffed,0x2a01999a,0x36217606,0x41320be4,
    0x035c42e8,0x88be60f5,0x3ff63d87,0xffb6ffff,0x1ecdffff,0xf505f5c8,
    0xb700f303,0xffff1ec0,0x43d83fff,0x3d8b903d,0xf107e1ec,0x20336209,
    0x21dc80cd,0x0400cec9,0x8019d930,0x3ffffe00,0x3603b907,0x3e0cd80c,
    0xbd884c82,0xda80edc0,0x0003d982,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80192a80,0x2e9100b9,0x02aaa601,0x540aaaa2,
    0x03900c9c,0xd80c8b98,0x91b104cb,0x81902b85,0x27201cb8,0x0000082a,
    0x144e0110,0x00001644,0x22e60d40,0x064d400c,0x71911222,0x00260003,
    0x003a9500,0x2cb440a7,0x207332a0,0x3903ccc8,0x4016c079,0x0bb102db,
    0x83d83ca8,0x7d5f40f8,0xe81dd500,0x11776441,0x3a0bfb3f,0xd03bb704,
    0xfffa83d7,0x80f7fe45,0x7742efed,0x21dbc803,0x5eb8689e,0x827fdfc4,
    0xcbee983f,0x20032603,0xcccc81eb,0x032604cc,0x93333332,0x9992a82c,
    0x64c09999,0x1bcccc80,0x26666664,0x441f107b,0x04c03d0f,0x74cfa0f4,
    0x5d11bf11,0x31000130,0x26980022,0x441e405b,0x41979001,0x8130489e,
    0x305d15f8,0x7f52f881,0x6c01f6c0,0xcccdf83e,0x20fb604c,0x24ccccdf,
    0xdfa640ff,0x3604cccc,0xcccdf83e,0x33337e4f,0x3e20f64c,0x88366f40,
    0x3ff62eec,0x99333f13,0x223c87e2,0x76442eec,0x6fff542e,0x98bbb220,
    0xbfd300bf,0x1effc87b,0x05eeff4c,0xfd307ffb,0xb70fc45d,0xf5177f4c,
    0xd5f103e8,0xf86af880,0x1abe2002,0x8bdf00be,0x44005f4c,0x4c1f86af,
    0x3d805f2f,0x37d40f88,0xe87a67d0,0x3bbbbea1,0xd1e41f15,0x33e87a67,
    0x7447e23d,0x50f4cfa2,0x97c45dfb,0x5b9a63fa,0x41fd4be2,0x3e27d01e,
    0x3a6a8f10,0x916e1f13,0x00fd6e07,0x05f07eb7,0x7c1fadc0,0x917d7c02,
    0x5b800be9,0x5d81f83f,0x883d805f,0x27efee0f,0x2667e228,0x47987a4c,
    0x13c8f108,0x2299333f,0x424c999f,0x33f13e98,0x5c422993,0x23e8f50f,
    0x47a80bf9,0x7981e83e,0x2e1f8844,0xf1088f35,0x325d03e8,0x22e4ba05,
    0x02ccccdf,0x9bf1725d,0x54fc5999,0x337e990f,0x25d02ccc,0xb5c0fc5c,
    0x22ccccdf,0xf10f883d,0xfa977ee1,0x07a5eeee,0x4789f47d,0xddddf53c,
    0x3bbbbeab,0x4fb7fae5,0x35eeeefa,0x45b9e61d,0x177ed43c,0x1e83c8b7,
    0x53e206a8,0xe80d52e8,0x4f307f33,0x267980f9,0x33337e0f,0x3e67982c,
    0x333337e0,0x4caec7e2,0x059999bf,0x3f07ccf3,0x3337ef50,0x86cf62cc,
    0xfd8f50f8,0x74111e61,0x127764c1,0x88f33c8f,0xf5088f30,0x44799ec3,
    0xa8bfbb20,0x22111f47,0x3e8f50fb,0x547881e8,0x47ffbf11,0xfb30d478,
    0xfff907bd,0xfff907ff,0x8017c7ff,0x23fffffc,0xf88fc02f,0x2005f4ca,
    0x23fffffc,0x05f6b81f,0x1ae7b3d8,0xd17fa27f,0x205d1f47,0x3a0b201c,
    0x3a3e8fa3,0xd27ccd53,0x036a1f47,0x98fe65f1,0x97c4f30e,0xd02e83f9,
    0x0bc43e27,0x203e27d0,0xb83f0790,0xf35c1f86,0xd707e005,0xa87e017c,
    0x2005f4df,0x03f35c1f,0x7b00be7d,0xb307ffa6,0x4c5d17ff,0x1fe44eec,
    0x87b80de4,0x64c4eec9,0x6f7ec4ee,0x13bb265c,0x3ba60f66,0x7f7643dc,
    0x1ee7f4c2,0x76cc1fe4,0xb301e22e,0x43c805dd,0x2a2f886a,0x37f2f886,
    0x86a83333,0x3337f2f8,0x3f60fc33,0x333337f4,0xf2f886a8,0x21db3337,
    0x019999bf,0x04002004,0x5c26c400,0x0100202d,0xc8804004,0x00080002,
    0x01200000,0x3d835000,0xc81ecb90,0xfffffff5,0xf5c81ec3,0x23ffffff,
    0xffa7c41f,0x361fffff,0x3ffeb903,0x3ffe0cef,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70f20000,
    0x4017b933,0x0000003a,0xb80289c0,0x23220002,0x3051381b,0xdb881917,
    0x3cccca8c,0xc882aa44,0x26032602,0x58879104,0x55488e60,0x3220e350,
    0x2a032202,0x22ea0103,0x880bc982,0x0735702b,0xecc87537,0x3eef77a2,
    0xf883d00e,0x7f545fd9,0xfff980df,0x401ddb86,0x7ffcc069,0xb706eb86,
    0x8993d01b,0xeefcade8,0xaa443ccc,0xb01ebe82,0x4f41ec07,0x2c80b23b,
    0x36615522,0x1ebe83ec,0x03a20990,0x07fa203e,0x350db7d5,0x05d1d107,
    0x88981dd3,0x413a1ba0,0xf88df881,0x0ba23f12,0x02200000,0x0004c000,
    0xa8d70108,0x8c40003f,0x81003008,0x01a2b368,0x1800001d,0x11006011,
    0x5b3901f0,0x505d0fc4,0x98021101,0xd177f4c0,0xfe98b907,0x3d87e22e,
    0x4c1f4c42,0x7f542efd,0x3fbea0df,0x540dffbc,0x3660dffe,0x77ecc2ef,
    0x2177ecc2,0x101fc42d,0xc8f13c8f,0xf13c8f13,0xca4da3c8,0xfb31a202,
    0x2efd985d,0x26177ecc,0x7ecc2efd,0x887ffa2e,0x8d30fefc,0x13c8f14b,
    0x3faa3c8f,0x3e27d0df,0xe8d505d0,0x83e21f13,0x3b7fae4c,0x1e99fc43,
    0x44ba23f1,0x2e1df10f,0x97447e26,0x223d33f8,0x3e23d33f,0x40fc3d33,
    0x221cccee,0x64789e47,0xf13c8f13,0x277723c8,0xf11d4068,0x9fc47a67,
    0x267f11e9,0x3a67f11e,0x87a67f11,0x7d45f40f,0xf15b8d53,0x3c8f13c8,
    0x26ba23f1,0xa82e8447,0x22111e67,0x0fd5320f,0x25c7a87b,0x208fa621,
    0x1f999ce9,0x7a9f4c42,0xa5c7aa5c,0x03f25c7a,0x443999db,0x64789e47,
    0xf13c8f13,0x259043c8,0xf50ec0bb,0x4b8f54b8,0x8f54b8f5,0x34b8f54b,
    0x5723c43f,0x478ad45a,0x23c8f13c,0x0d57d310,0xd535c174,0x29907c40,
    0xb713e66a,0x37fae6a8,0x3f3bae3e,0x2e1eeeee,0x8b73edfe,0x76a8b76a,
    0x20fa6a8b,0x7b1e203e,0x1e27b1e2,0x07b1e27b,0x22d5e5a2,0x5daa2dc6,
    0x545bb545,0xb76a8b76,0x219f96a8,0x46ab545b,0x13d8f14b,0x3fae3d8f,
    0x8d478bed,0x1e25c82e,0x4c83e235,0x31737bf6,0x43f55b8f,0x1f41f53d,
    0x7b0fd426,0x1e6b71e6,0x4b71e6b7,0x101fc45c,0x0f89ec1f,0x7b07c4f6,
    0x903d83e2,0x8b33c3a5,0x479adc79,0x35b8f35b,0xb8f35b8f,0x647983e5,
    0xf13c8f14,0x20f89ec1,0x9ec3f53d,0x4ba1f13e,0x9f41f988,0x10f200f8,
    0xe8974154,0xaa7ccd53,0x3543bea6,0x5d27ccd5,0xd12e8fa2,0x23e89747,
    0x39fd33f9,0xf32f8333,0x23f997c7,0x97c7f32f,0x366983f9,0x3a0ae688,
    0x89747d12,0x1f44ba3e,0x2e8fa25d,0x3e0fc7d1,0x9a6c3d32,0x1fccbe0f,
    0x354fe65f,0x3bb669f3,0x0f7dcba2,0x301776cc,0x056d405d,0xfd89fdb3,
    0x3bf65cde,0x41defb8d,0x265cdefd,0x76cc4fed,0x27f6cc4f,0x7e5fff54,
    0x77dc7fff,0x2fbee3cb,0x32fbee3c,0x0f2fbee3,0x23dda876,0x4fed980d,
    0x2627f6cc,0x76cc4fed,0x27f6cc4f,0xeee98bf6,0x21776442,0x2e3cbefb,
    0x3f63cbef,0x08005cde,0x007d0000,0x04010177,0x01004020,0x04008010,
    0x00800040,0x01002004,0x00c08828,0x00801002,0x20002004,0x00200400,
    0x00000401,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55220000,0x2202c882,0x0003a80c,0x15c40f26,
    0x1a82aa44,0x40e67307,0x704980c8,0x32a2017b,0x002440ac,0x4c0aa02c,
    0x3372a01c,0x2aaa2488,0x0adca81a,0xc815c03a,0xcdca82b8,0x00399501,
    0x005ee540,0x39017b95,0x7d055488,0x4413203d,0x2efe980e,0x5436d764,
    0x85548839,0x2c82ecda,0xd80f2077,0x435cf5c2,0x0eb88be8,0xfcf881e2,
    0x03e20393,0x3603afe2,0x20efcacf,0x221ccceb,0xb1fdacfe,0x2a01d101,
    0x567dc0ee,0x557542fc,0x667f4c1f,0x7ede7ec4,0x6d67f441,0x40016e1f,
    0x10060111,0x43e27d01,0x2a07e0f8,0x3b000000,0x2200c076,0x441f1740,
    0xe88bb88e,0x67c40f10,0x02209509,0x76408844,0x3c83fa20,0x23aa1720,
    0x4c021104,0x22e42e80,0x2f88ee2e,0x5c2ec9f5,0x3ea1720f,0x3bb22010,
    0x21776442,0x6442eec8,0x111e62ee,0xfea83e20,0x3ffaa0df,0x37ffaa0d,
    0xffffffd0,0x06fff543,0x3e1bffd5,0xe89b8b51,0x3e27559a,0x03e24fea,
    0x3dff90d1,0x7c1effc8,0x3d1f56c3,0xb01f8813,0xbbfd701d,0x74791e21,
    0x5017c084,0x40be4e8d,0x3a03f12e,0x267d07b3,0x0f4cfa1e,0x3e87a67d,
    0x401aa3d3,0x447e23fc,0x3a23f12e,0x8ba23f12,0x1f88d168,0x447e25d1,
    0xb0ba1f2e,0x7c5620ee,0x0f13e88d,0x96e6983a,0x0f996e69,0xbdf2e4f2,
    0x403e61bf,0xdd0dc85c,0xf98f23c4,0x6f4c0adf,0xa645b81a,0x269900f9,
    0x0f69900f,0x299333f1,0x14c999f8,0x2299333f,0xf14c999f,0x1eca81a8,
    0x211f4c42,0x4c423e98,0x42552a3e,0x8847d310,0x1761f3e9,0xf8ac0aed,
    0xb83c5721,0x2602fe62,0x327a80bf,0xd0645724,0x85c81e67,0x223f772f,
    0x7e541e47,0x0b3f6a2f,0x1ea9d1e6,0x640f35c8,0xeefa87b5,0xdddf55ee,
    0x3bbbeabd,0xddddf55e,0x00f89f4b,0xedfeb932,0x8fb7fae3,0xd73edfeb,
    0x5c19db9b,0x3ae3edfe,0x6c1f3edf,0x6cb1190e,0x6a8f1498,0xb51660f1,
    0xefda85df,0xd12e3e62,0x2f8b5c07,0x98f887d0,0x7b1e25d4,0x1aa3dc04,
    0x29f517f0,0x227b01f8,0x0f67d02f,0x8f3088f3,0x3088f308,0x3b66088f,
    0x2b71262e,0x7d4f61fa,0xb0fd4f61,0x2faafaa7,0x9ec3f50a,0x07cf61fa,
    0xddaa5536,0xc83e23b2,0x11340f14,0x88443ee2,0x3177a0fb,0x4971263f,
    0xf82f985e,0x3e23f15a,0xf83ccf60,0xd9101320,0x152747b7,0x4c2f43f1,
    0x47d07b2f,0x23e8fa3e,0x23e8fa3e,0x740f443e,0x99aa3d12,0xa7ccd54f,
    0x2793e66a,0x53e66a87,0x47d3e66a,0x065c792c,0x467c45b1,0x203261e8,
    0x9e61d31d,0xfb8f30e9,0x2e89d713,0x4e7c45d3,0x3fb04eb8,0x3e65f1b2,
    0x364477a3,0x882137d3,0x39f316c1,0xce889df5,0x0f64eb89,0x9313bb26,
    0xeec989dd,0x427764c4,0xeed985c9,0x2e6f7ec3,0x6cb9bdfb,0x2b15cdef,
    0x9bdfb068,0xae6f7ecb,0x40dee98f,0x442deeda,0x6c42eeaf,0x3bb23a84,
    0x17f7642f,0x7dffd5d1,0x305bdb30,0x6407dffb,0x7dc0dffd,0x3f623cbe,
    0x33b20dff,0x4df46ffd,0x7fecc0fb,0x7ecc2ece,0x101ec3ef,0x20040080,
    0x0802f200,0x08010020,0x00200820,0x00002001,0x02019b00,0x10201002,
    0x00200100,0x08008006,0x3b260600,0x0710400c,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0e330000,0x98144e00,0x32a01cdb,0x81a800ac,0x7300adca,0x9aa81c85,
    0x88550394,0x5400acca,0xb80564c2,0x3a80d80b,0x445701b0,0x403a81cc,
    0x4c35c03c,0x36a289c4,0x2224c324,0xb87e1c8c,0x03100324,0x1ca600d1,
    0xf987d9b3,0x0ddb86ff,0x4fbabec8,0x0eebbed8,0x2fb61e40,0x5f5c0edb,
    0x3320be6c,0x49905f69,0x0eb88be8,0xdbec9320,0x87e5f545,0x07440fd8,
    0x8b303f62,0x074469aa,0x4c07b990,0x6edc5b02,0x31f8b3e1,0x1f8bd90f,
    0x5401f92e,0xe8806887,0x000004eb,0x87e21ae0,0x6405c86b,0xd1361b23,
    0xc82f9743,0x5320be94,0xd12aa9e8,0x20f93201,0x42b87e3d,0x1d00ec0e,
    0x43e880e8,0x0188c01d,0x200440e6,0x0b0fc0f8,0x24b87e06,0x480c401f,
    0x791e2000,0x1e2791e2,0x09817479,0x983e6022,0x07e3ddfe,0x8fc5d022,
    0xf0bdc82f,0x266e9905,0x20755bad,0x34b8d54c,0x7074022d,0x0b20e809,
    0x20970e82,0x43d93a2e,0x3d87b04c,0x0447e1e2,0x23fffff7,0x01f92e1f,
    0x43fffff7,0x82ffbcb8,0x2791e23d,0x4789e478,0x3001f13c,0xf9999999,
    0x9fd4be25,0xbd3000f8,0x26417c7f,0x9ad320be,0x64162b54,0xaaec1f14,
    0x0e84fede,0x2a1d00d1,0x22d9b505,0x37c52e06,0xd80fcc1f,0xf0f11ec3,
    0x2f936003,0x0911f932,0xa97dc26c,0x91e23d87,0x22791e27,0x20f99e47,
    0x9f34ffea,0x25f99999,0x0799f47a,0x43b2f720,0x17c4c82f,0xbbd36a64,
    0x364c82c1,0x7f76ecbe,0x07410ba2,0x23a21039,0xe8621cc8,0x95798720,
    0x0fccd31f,0x223d87b0,0x5c801f87,0x3e4e8afc,0x0b901d31,0x6c0f89ae,
    0x227b1e23,0x6c789ec7,0xd99887e3,0x43e207e4,0x1f89e45b,0xc83e6188,
    0xe87b05d4,0x93193d82,0x4c824cb2,0x7aa55e54,0x2e3c82dc,0x4e47602f,
    0x7dc7906a,0x56d6cf42,0x7b00f63c,0x3e1e23d8,0x3e075c01,0x07e4dffd,
    0x12e01d70,0x3e23d81f,0xb07c4f60,0x23d83e27,0x2649905d,0x3e8f535c,
    0x6a9b20fa,0x2f83dadc,0xca97c1ec,0x23b1d149,0x6419323a,0x985b8f33,
    0x5c0b36a5,0x25984c84,0x7de42cda,0x8ba1ecb8,0x8f61ec79,0x2a01f878,
    0xf009f80f,0x7007d403,0x21ec0f89,0x97c7f32f,0x7ccbe3f9,0x5c473a23,
    0x2233ea3f,0x4cbe23fb,0x222fe63f,0xe88f41fa,0x3f265f52,0xfc997d40,
    0x2d8832e0,0xe8ba23a6,0x89f41d31,0xf887442e,0xd86885ec,0x9f10e883,
    0xf36e98bd,0x3e9aea8d,0x788f61ec,0x31999af8,0xf807e03f,0x3f31999a,
    0x207c4b80,0x65f7dc3d,0x8f2fbee3,0x443cbefb,0xa81dffed,0xe983effe,
    0x7ed43dce,0xeed982df,0x0efff5c3,0x81dffeb8,0xc82deeda,0x777544ff,
    0x427f6441,0x41eccc2d,0x22676c1e,0x41eccc2d,0x32613e3f,0x1ec3d82d,
    0xfffff0f1,0x3fffff6f,0x7ffc0192,0xffffb7ff,0x07c4b85f,0x020040f6,
    0x80020010,0x00200000,0x04001002,0x01000000,0x0880a200,0x0cccc0c4,
    0x00044051,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x024c0000,
    0x81949857,0x1200322a,0xccccca80,0x81c802cc,0xb872982a,0x0f206441,
    0x6443c8f1,0x122f51c8,0x33321ce4,0x553901bc,0x649100c8,0x333216c4,
    0x666541bc,0x73194ccc,0x54722064,0x04cccccc,0x55554455,0x02f6a22a,
    0x82c82ae6,0xf881ec2a,0x7c44ed80,0xdfb007e0,0xeede805d,0xff12cccc,
    0x266fe2ff,0x3a20dd99,0x323544eb,0xf11eee45,0x25ec83c8,0x3f10f128,
    0xfcccdf8b,0x7c0eea84,0x13ccf101,0xcccdf81f,0x3bb32a4f,0x473194cc,
    0xca93a21f,0x984cceec,0x3333263f,0x3ee7765e,0x43f2fb20,0x062640ff,
    0x22060088,0x56666fc0,0x80267e60,0x9000997a,0xffdddddf,0xf13e8005,
    0x3c431183,0x4a20c0f2,0x448f8878,0x4417c41f,0x44189f80,0xf85b9747,
    0x2dc17c41,0x13a23f00,0x1f7405b8,0x83e21f30,0x9e41f14c,0x7c6645ef,
    0x3fee5fd9,0xf9f11fff,0x7cff3e27,0x225ecaac,0x7d05feaf,0xf0f60132,
    0x4fc49905,0xc8f985fd,0x47887b04,0xacc7883d,0xf80f8878,0xb3f15c81,
    0x41eaf8bf,0x0f56e1f8,0x5c2e40fc,0x89f87b05,0x902dc03f,0x21740797,
    0x6408a640,0x6645f5f4,0x02e88df8,0x84e7c49b,0x83f09cf8,0x11bf11f8,
    0x3b27a85f,0x1ec0cccc,0x3b33337e,0x3a237e24,0xb00fdd82,0x0f60f887,
    0x5e2b31e2,0x7f30f11b,0xdf8b5433,0x03be2e88,0x79f897e2,0x2a19bf98,
    0x87b05b86,0x5b806faf,0x5c0f2b50,0x98075406,0x21f53f1f,0x0f21f8cc,
    0x881f1172,0x3e20fc0f,0x21e43f11,0x3333b23e,0x33e1ec0c,0x224daaaa,
    0xffc8f21f,0x83d87fff,0xf107f32f,0x4b6f16a8,0x4cdfc878,0x790fc5aa,
    0x07dc07ea,0x37f213b6,0xeeb9aa4c,0x3e1ec5ef,0x2dc04ebf,0xd03c8744,
    0x980fd405,0xcaec7e3f,0x70f20f8c,0x7887881d,0x89b261f8,0xff99320f,
    0x3d804fff,0xf126417c,0x01e81e41,0x2fbea0f6,0xb547883c,0x3f078878,
    0xc83e2b70,0x1f203fb3,0x40fc07ea,0x7b05b85b,0x405f33f8,0xdaadd85b,
    0x3603cc2d,0x1f87f302,0x8f1995f1,0x2203ea3c,0xfff87887,0x91e21dff,
    0x6ccce6c9,0x17c3d804,0x3c8f1264,0x1bbbfbae,0x019080f6,0x0f17b8f1,
    0x3a07e0f1,0x3e3c8f13,0x0b50f101,0x5c1f40fc,0x21f87b05,0x70b700fb,
    0xc87dd999,0x7cc05c04,0x37ea1f82,0xf99e478c,0x0f10f101,0x6478803f,
    0x9dc81f34,0x21ec0999,0x1e24c82f,0xd807a079,0x441ad803,0x8878bdc7,
    0xb3337f07,0xf8f23c4d,0x4f11999a,0x2fe02ea8,0xb706d999,0xd83f0f60,
    0x7900b705,0x40a807b0,0xf0999bf8,0x478cfd83,0xfffffb3c,0x21e21e25,
    0x323c401f,0xfff909b4,0x7c3d8bff,0x91e24c82,0x3d807a07,0x3c43d980,
    0x3c43c526,0x0cfffff8,0x7fc791e2,0x44f17fff,0x7fffc03e,0x20b700cf,
    0x3e20fc3d,0x3c805b83,0x217c01f8,0xf5fffffb,0x0004f883,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32600000,0x37999900,0x57024488,0xccc81224,0x0dc882cc,0x05999997,
    0xc9540e49,0x4c81bccc,0x33321950,0xc95c0bcc,0x2e4ccccc,0x03225703,
    0x5700c872,0x66644ea0,0x98572ccc,0x8800dc0c,0x00999999,0x88000000,
    0x0f27d000,0x66fc0fb6,0x89e21fcc,0x13453a07,0x6666fc0f,0xbd16ec5e,
    0x7d859999,0x6fd320be,0x7fc4fccc,0x59f0fe81,0x9ec3fb75,0x24ccccdf,
    0xb07d41f9,0x80fc5c8b,0x3225d06b,0xb74fcccc,0x10fc3fd8,0x300c5dd9,
    0x26177ecc,0x7fe42efe,0x977ecc1e,0x8d41e82e,0x8357c43c,0x4f12641f,
    0x4413a078,0x3f107e07,0x980ba174,0x320be7ee,0x22f983f4,0x87ecc4df,
    0x4f64d82f,0x226c802f,0xfa9fc42f,0x0f880fc0,0x43b203cc,0xf32dfc79,
    0x063d33e8,0x3a67f118,0x987c4fa1,0x33f896e6,0x03d0375d,0x0fd6e1e4,
    0x789320fc,0x7b0ec9e2,0xfeaf89e2,0x23f107e5,0x80ba5ffe,0x20be78aa,
    0x4bb03f4c,0x87de47af,0x4f63d82f,0x329d002f,0x03f5f305,0x321ec03f,
    0x1f03ee04,0x24b9e3a6,0x34c999f8,0xa5c7a8c0,0xbf984479,0x1f5c7a80,
    0x0557f553,0x0b92e879,0x41bb99bf,0x0765e278,0x4f89e27b,0xc987e5f1,
    0x337a1746,0x3e7883cc,0xf4eccccd,0x74fcd703,0x67c3e3a1,0x360fdaaa,
    0x59999bf3,0x401f7f30,0x403f03fc,0xf980fc6a,0x3a772d82,0x777d45b1,
    0xb8c035ee,0x406ab545,0x16e2efda,0xdfcc98f5,0x9e63c83c,0x666fc0f9,
    0xf89e22fc,0x789640ec,0xff3c83e2,0x2e83dfff,0x41e666f4,0x2aab3e78,
    0xf503f4da,0xf59a5cfc,0x0ffbbbe1,0x6666fcf6,0x805f902c,0x803f04fc,
    0x3e20d51f,0x647a9703,0x223cc1f3,0x4798c030,0x11a8f15b,0x3cc3ee21,
    0x541e816e,0x7ffe4791,0x2a0fc3ff,0xfdf89e27,0x22789642,0x00fd320f,
    0x200ba174,0x5320be78,0x27e6b81f,0x7c3e5979,0x27b03ee2,0x01e6002f,
    0x3f05f3f5,0x207b4c80,0x9e3a605e,0x23e869da,0x5d0c033e,0xf13e8fa2,
    0x23cc3a61,0x7407d12e,0x3e3c9f41,0x107e35c1,0x8f89e21f,0x3c42a0ea,
    0x03f4c8f1,0x802e85d0,0x5320be78,0x47e3e81f,0x17c3e69e,0x0be7b1b6,
    0x3e207980,0x01f81f72,0x6407c7cc,0x7c5bf806,0x4eec984b,0x3b661806,
    0x1776cc4f,0xb30bfbb2,0x533109fd,0x2a0a6133,0x2be2f886,0x9e26d999,
    0x11a93678,0x7d323c4f,0x1742e801,0x905f3c40,0x36666fe9,0x275c7e0e,
    0x9f10be1f,0x999bf9ec,0x6c0f3019,0x26be2ec4,0x84de8199,0x09999afb,
    0x07b6176c,0x99999808,0x00008199,0xfb802004,0x0176ffff,0xff97207b,
    0x9e20dfff,0xa6cbe278,0x2991e278,0x742e801f,0x0be78802,0x77fffd32,
    0x2f88fc0c,0x7d417c3e,0x3fffe7b1,0x07981fff,0x23f881d7,0xa87fffff,
    0xffffd81f,0x207d46ff,0x0000007b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000020,0x14cbc8f1,0x00003c8f,0x320b93c4,0x984ca203,
    0xd53a9b8c,0xd16c3a61,0xfffb9647,0x2d8790fe,0x5a800393,0x41104cf6,
    0x212a0312,0x41edc2ca,0x990b2e0c,0x22c02a03,0x25ddddd8,0x33ff6209,
    0xea83efd8,0x7f5c0dff,0x3fbea0dd,0x220dffbc,0x1e25fd9f,0x91e27579,
    0x2ffefe27,0x33e24fd8,0x0372f13f,0xd15901e4,0x21fecfe8,0x52e2e8dc,
    0x6c03e6f8,0x5c789a64,0x3ae202ee,0x47646a2e,0x074ee2f8,0xb3b30774,
    0xd88e4e61,0x21d1750f,0x83d068a9,0x5512adb9,0xd1ecf555,0x2237fa27,
    0x7447e23d,0x13743722,0x5c3be21f,0x3a237e26,0x1abc8f12,0x9f13c8f1,
    0x43e237e6,0x7f109cf8,0x39b3310d,0xe85b6a83,0x4ee887a1,0xd37cab4c,
    0x5c7a1720,0x447fb504,0xec801cfc,0x45a9e83f,0x54b24bda,0x425db913,
    0x1f43540e,0x23333331,0x3c00cfb8,0x5f71e653,0x3108b533,0xfbb97c7d,
    0x99ce9821,0x643f11f9,0x20dd8f13,0x0f89ec78,0x1f11e8be,0x4c1fdf88,
    0x746eefee,0x360f86aa,0x47c0fdc2,0xb83c9dac,0x807a9706,0x033e67d9,
    0x5c077cc0,0x7c56c5f5,0x9e4b2750,0x8b70742c,0x777543a0,0x01a764ee,
    0x98d50b9e,0x5c5eeeef,0x1f13edfe,0xeeb8ba93,0x1eeeeefc,0xf89e41f1,
    0x41f10f60,0x0fc1f13d,0x5e21e25d,0x5c0f206a,0xa8cd83d5,0x21b3e20f,
    0x1ecb8fbc,0x9f8807d4,0x817db506,0x2201dfb8,0x4f40ecbf,0x13c9e66a,
    0x6674cbdb,0xccfb8744,0x2e0d9b50,0x03001080,0x183f71e2,0x3e3d87ea,
    0x3ea3f15a,0x22130fa0,0x269f1e47,0x7f32f83f,0x9743f1e2,0x13678878,
    0xd33b01e4,0x26efe7cc,0xdd50f67b,0x03f31be6,0x6fc43ee8,0x4cdd5002,
    0x971e4790,0x0a22983a,0x4cc41000,0x03d00c41,0x89f40000,0x54b90dfe,
    0x1fd93e66,0xdf5354d9,0x64789aa1,0x0f2fbee3,0x44f2fbee,0x225d0fc7,
    0x07e27887,0x15288066,0x226b8404,0x89f27c1f,0x42fffffd,0x000c40fb,
    0x9c00f618,0x00000028,0x00000000,0x33fb2600,0x6c0defd8,0x3725cdef,
    0x77ec0dff,0x21defb8d,0x0041e478,0x0fc78808,0x0001e25d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x06008000,0x00008040,
    0x00000000,0x5ddddd88,0x73164c08,0xda832326,0x0444130c,0x222b8391,
    0x20888888,0x09999999,0xa922aa13,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaa2000,0x562542aa,0x23ead51b,0xffb7b50f,
    0x71ffee1f,0xdd8874cb,0x913ddddd,0x25999999,0x6c91553d,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8800000,0x3698dd22,
    0x26204f1d,0x86022220,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x774c0000,0x0f626eee,0x489c47b3,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999880,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_15_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,0,0,1,1,1,0,1,1,0,0,
0,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,-1,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,1,0,1,0,0,0,0,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,0,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,0,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,
0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_15_latin_ext_y[560]={ 12,2,2,2,1,2,2,2,2,2,2,4,10,7,
10,2,2,2,2,2,2,2,2,2,2,2,5,5,4,5,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,13,2,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,5,5,5,5,5,5,2,2,2,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,5,2,2,4,2,
2,2,2,2,2,5,5,7,2,0,2,3,2,2,2,5,2,6,11,2,2,5,2,2,2,5,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,4,4,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,4,2,2,2,2,2,2,2,
0,2,0,2,2,4,-1,2,0,2,0,2,0,2,0,2,2,2,0,2,0,2,0,2,2,4,0,2,0,2,
0,2,0,2,2,1,-1,-1,2,2,0,2,0,2,0,2,2,2,0,5,2,2,-1,2,2,2,5,-1,0,2,
2,2,2,2,2,2,2,-1,2,2,4,-1,2,2,2,4,0,2,0,2,-1,2,2,4,-1,2,2,4,0,2,
-1,2,0,2,2,4,0,2,2,2,0,2,2,2,0,2,0,2,0,2,-1,2,-1,2,2,5,-1,2,-1,2,
0,-1,2,0,2,0,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,2,0,
2,0,2,-1,0,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_15_latin_ext_w[560]={ 0,2,5,8,7,12,9,2,4,4,5,8,2,5,
2,4,7,5,7,7,7,7,7,7,7,7,2,2,8,8,8,7,14,10,9,10,8,8,7,10,8,2,6,9,
7,11,8,10,8,10,9,9,8,8,9,13,9,9,8,4,4,3,6,9,4,7,7,7,7,7,5,7,7,3,
4,7,3,11,7,7,7,7,5,7,4,7,7,10,7,7,7,5,2,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,2,7,8,7,9,
2,7,5,10,5,7,8,5,10,9,5,7,5,5,3,6,8,2,4,4,5,7,12,11,12,7,10,10,10,10,
10,10,13,10,8,8,8,8,3,4,5,4,10,8,10,10,10,10,10,6,10,8,8,8,8,9,8,7,7,7,
7,7,7,7,12,7,7,7,7,7,3,3,6,4,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,
10,7,10,7,12,9,10,7,10,7,10,7,10,7,8,9,10,8,8,7,8,7,8,7,8,7,8,7,10,7,
10,7,10,7,10,7,8,7,10,7,5,6,5,5,5,5,3,4,2,2,9,6,8,5,9,7,7,7,3,7,
4,7,4,7,5,7,3,8,7,8,7,8,7,9,9,7,10,7,10,7,10,7,14,13,9,5,9,5,9,5,
9,7,9,7,9,7,9,7,8,4,8,6,8,4,8,7,8,7,8,7,8,7,8,7,8,9,13,10,9,7,
9,8,7,8,7,8,7,4,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,9,8,8,8,8,8,8,8,8,8,8,8,8,8,10,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,7,5,5,10,
7,8,7,8,7,8,7,8,7,8,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,7,13,12,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_15_latin_ext_h[560]={ 0,10,4,11,13,11,11,4,13,13,5,7,4,3,
2,11,11,10,10,11,10,11,11,10,11,11,7,9,7,5,7,10,13,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,11,10,11,10,11,10,10,10,10,10,13,11,13,6,2,3,9,11,9,11,9,10,11,10,10,
13,10,10,8,8,9,11,11,8,9,11,8,7,7,7,10,7,13,13,13,3,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,13,11,7,10,
13,13,2,11,6,7,5,3,11,2,4,9,6,6,3,10,13,2,4,6,6,7,11,11,11,10,13,13,13,12,
12,12,10,13,13,13,13,12,13,13,13,12,10,12,14,14,14,13,13,7,11,14,14,14,13,13,10,11,11,11,
11,11,11,11,9,11,11,11,11,11,10,10,10,10,11,10,11,11,11,11,11,6,9,11,11,11,11,13,13,13,
12,11,12,11,13,11,14,11,13,11,13,11,13,11,12,11,10,11,12,11,12,11,12,11,13,11,12,11,13,13,
13,13,13,13,13,14,13,13,10,10,12,10,12,10,12,10,13,13,12,7,11,13,14,13,13,13,7,13,12,13,
13,10,10,10,10,10,10,13,10,13,11,13,10,10,11,11,13,11,13,11,14,11,11,9,13,10,13,11,12,10,
14,11,13,11,13,11,13,11,14,14,12,11,10,11,13,11,13,11,13,11,14,11,14,11,13,10,13,10,13,13,
12,13,10,12,10,12,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,13,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,11,12,10,13,
11,13,11,14,13,14,14,14,14,14,14,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,13,11,14,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_15_latin_ext_s[560]={ 254,34,112,73,232,153,109,109,248,132,237,
97,252,127,162,166,224,72,239,41,215,163,120,223,66,112,175,250,166,89,157,
231,10,1,12,55,87,121,64,25,78,118,105,196,150,96,247,239,49,228,108,
201,206,85,158,177,140,130,168,240,131,47,193,152,133,15,117,216,47,191,58,
220,41,37,51,26,22,71,45,208,230,246,83,224,127,63,149,130,122,163,141,
232,43,67,118,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,254,118,36,
211,114,85,44,135,165,106,206,106,243,127,94,142,103,242,217,223,138,216,1,
171,98,212,200,185,128,141,153,177,56,152,65,232,1,12,46,83,108,126,143,
23,163,176,190,249,132,52,216,152,1,1,22,178,152,143,207,134,93,112,29,
98,90,82,164,65,57,49,32,33,25,17,9,1,185,250,95,191,216,77,203,
195,187,179,171,229,23,145,137,129,121,137,145,164,32,74,70,53,183,35,114,
19,215,1,226,238,237,222,81,205,171,188,43,172,90,156,61,148,10,132,217,
119,153,33,41,207,60,52,79,199,103,76,66,38,243,249,226,60,211,189,228,
28,253,253,99,128,181,122,112,135,89,71,143,95,90,200,127,223,121,151,159,
84,1,19,140,1,143,239,9,27,196,45,172,90,23,98,106,1,122,23,102,
125,182,17,34,136,46,144,33,180,12,197,163,227,202,215,182,211,196,1,181,
9,167,17,190,232,172,240,117,102,94,166,73,246,192,56,9,162,231,153,208,
195,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,36,199,199,245,
199,199,199,199,199,199,199,199,199,199,199,199,199,171,232,199,199,199,199,199,
199,199,199,199,199,199,199,199,74,53,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,171,248,
147,112,25,82,205,193,125,238,105,97,88,80,71,63,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,52,44,214,61,12,184,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,199,
199,199,199,199,199,199,199,199,199, };
static unsigned short stb__arial_15_latin_ext_t[560]={ 1,118,137,83,1,71,58,137,30,30,129,
129,129,137,137,71,71,118,107,83,107,83,95,107,95,95,129,118,129,137,129,
107,16,118,118,95,118,118,118,95,118,118,95,107,118,118,107,83,118,83,118,
83,107,95,118,118,118,118,118,1,83,16,129,137,137,129,83,118,95,118,118,
83,118,118,16,118,118,129,129,118,58,58,129,118,58,129,129,129,129,107,129,
15,30,16,137,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,1,107,16,
83,129,107,16,16,137,83,129,129,129,137,95,137,137,118,129,129,137,95,16,
137,137,129,129,129,95,95,95,95,16,16,30,44,58,58,107,16,16,16,16,
58,16,16,16,44,107,58,1,1,1,30,30,129,83,1,1,1,30,30,107,
83,83,83,58,83,83,83,129,83,83,83,83,83,95,83,107,107,71,107,71,
71,71,71,71,129,129,71,71,71,71,30,30,30,58,71,58,71,30,71,1,
71,30,71,30,58,30,58,58,58,107,58,58,58,58,58,58,58,44,58,44,
58,30,44,44,30,44,44,44,1,44,30,107,107,44,95,44,107,44,95,16,
44,30,118,58,44,1,44,44,44,129,44,44,44,44,95,107,95,107,107,107,
30,107,44,58,44,107,95,71,71,30,71,30,71,1,71,71,129,30,107,30,
83,44,107,1,83,30,83,30,58,30,58,1,1,44,58,107,71,16,95,16,
95,16,95,1,71,1,71,16,107,16,95,16,15,44,30,107,44,95,44,95,
95,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,95,118,118,1,
118,118,118,118,118,118,118,118,118,118,118,118,118,83,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,95,129,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,44,71,
44,107,16,71,16,83,1,15,1,1,1,1,1,1,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,1,1,16,71,1,83,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,118,
118,118,118,118,118,118,118,118,118, };
static unsigned short stb__arial_15_latin_ext_a[560]={ 60,60,76,119,119,191,143,41,
72,72,84,125,60,72,60,60,119,119,119,119,119,119,119,119,
119,119,60,60,125,125,125,119,218,143,143,155,155,143,131,167,
155,60,107,143,119,179,155,167,143,167,155,143,131,155,143,203,
143,143,131,60,60,60,101,119,72,119,119,107,119,119,60,119,
119,48,48,107,48,179,119,119,119,119,72,107,60,119,107,155,
107,107,107,72,56,72,125,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,60,72,119,119,119,119,56,119,
72,158,80,119,125,72,158,119,86,118,72,72,72,124,115,60,
72,72,78,119,179,179,179,131,143,143,143,143,143,143,215,155,
143,143,143,143,60,60,60,60,155,155,167,167,167,167,167,125,
167,155,155,155,155,143,143,131,119,119,119,119,119,119,191,107,
119,119,119,119,60,60,60,60,119,119,119,119,119,119,119,118,
131,119,119,119,119,107,119,107,143,119,143,119,143,119,155,107,
155,107,155,107,155,107,155,132,155,119,143,119,143,119,143,119,
143,119,143,119,167,119,167,119,167,119,167,119,155,119,155,119,
60,60,60,60,60,60,60,48,60,60,158,95,107,48,143,107,
107,119,48,119,48,119,63,119,72,119,48,155,119,155,119,155,
119,130,155,119,167,119,167,119,167,119,215,203,155,72,155,72,
155,72,143,107,143,107,143,107,143,107,131,60,131,81,131,60,
155,119,155,119,155,119,155,119,155,119,155,119,203,155,143,107,
143,131,107,131,107,131,107,48,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,162,161,161,119,161,161,161,161,161,
161,161,161,161,161,161,161,161,184,141,161,161,161,161,161,161,
161,161,161,161,161,161,161,183,144,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,143,119,60,48,167,119,155,119,155,119,155,
119,155,119,155,119,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,143,119,215,191,167,131,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_15_latin_ext(stb_fontchar font[STB_FONT_arial_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_15_latin_ext_s[i] + stb__arial_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_15_latin_ext_t[i] + stb__arial_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_15_latin_ext_x[i];
            font[i].y0 = stb__arial_15_latin_ext_y[i];
            font[i].x1 = stb__arial_15_latin_ext_x[i] + stb__arial_15_latin_ext_w[i];
            font[i].y1 = stb__arial_15_latin_ext_y[i] + stb__arial_15_latin_ext_h[i];
            font[i].advance_int = (stb__arial_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_15_latin_ext_s[i] + stb__arial_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_15_latin_ext_t[i] + stb__arial_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_15_latin_ext_x[i] + stb__arial_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_15_latin_ext_y[i] + stb__arial_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_15_latin_ext_LINE_SPACING
#endif

