// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT        178
#define STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_17_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_17_latin_ext_LINE_SPACING          11

static unsigned int stb__arial_17_latin_ext_pixels[]={
    0x80000000,0x00188028,0x2e000055,0x5eeeeeee,0x00000000,0x40000000,
    0x5401ccc9,0x0367200d,0x2e40075c,0x440754a8,0x2f20498c,0x03c882d8,
    0xddddddd9,0x3202c801,0x7654402f,0x3ea01cdf,0x5d802c85,0xb801f980,
    0x54c1cefd,0x02aacfaa,0xfd50dfd1,0xc83b05df,0x7f5c1d84,0xdfdb500c,
    0x4d444c89,0x13711019,0x802b2620,0x00fcc03e,0xdc801fbd,0x137e202f,
    0x36045c44,0x02aaaaad,0x1ee2035c,0xa88adf98,0x019d02fb,0x00d880bd,
    0xbfc803c8,0x3e00fda9,0x419fb802,0x2fcaacfa,0x931322cc,0x84e89fa8,
    0x6ea99bfb,0x0aa73132,0x7302a9cc,0x402880aa,0x00e44019,0x029802a8,
    0x136154e6,0x20205400,0x403f1078,0x501f82f9,0x91001003,0xd81fb809,
    0x3600be05,0x0db09b04,0x07a2643b,0x3ea24cb9,0x2992f881,0x0f29703c,
    0x9703ca5c,0xe81f8be8,0x40f21f8b,0xcefdb84b,0x43f17d01,0x1369703c,
    0x5bffb700,0x40f881d3,0x1bfb32e8,0x03f0f33d,0x90593bd5,0x0ba98037,
    0x00c413a0,0x77f5405f,0x81885d85,0x86a9326b,0x817604f9,0x413a9909,
    0x57209d5c,0x9b8b904e,0xc89b80c8,0x22e413a0,0x0fda9bfc,0x3a0c89b8,
    0x2776b904,0xfc809999,0x01ffc9ad,0x7f14b81f,0x10f4ff71,0xe99ed81f,
    0x802ac83f,0x0017c06f,0x3e6202f8,0x1cff980a,0x24c87c40,0x1efea84c,
    0x299003f8,0x13ab904e,0xb904eae4,0x04e80000,0x6c0fdcb9,0xc8274005,
    0xffffffb5,0x7441fb89,0x2d85d02f,0x8f26e8bb,0x3e61f879,0xea802883,
    0x003f301f,0x1f300be0,0x67ff6440,0xe8ee3f00,0x7ec47c43,0x9970be23,
    0x82753279,0x57209d5c,0x0f4b904e,0x8ec1e876,0x274b904e,0x360f4188,
    0x6d7209d1,0x7d09d004,0xf8ba60bd,0x364d83f0,0x87a85d52,0x3bff623f,
    0x81733603,0x05f0002f,0x2e2007a8,0x3e05f06f,0x8bee3d42,0xb777643f,
    0x57209d4c,0x13ab904e,0x2f83f2e4,0x13a5f07e,0x4005f2e4,0x04e97c1f,
    0x7c0136b9,0x307ca6c2,0x07cde27d,0x3d70f8ba,0x3a3f87a8,0x881fb89d,
    0x9d00fa9f,0x17c03660,0x06441720,0x817c0fcc,0x320de82f,0x96b81765,
    0xeae413a9,0x413ab904,0x45f07e5c,0x04e97c1f,0x8007e6b9,0x04e97c1f,
    0x260136b9,0x0fa9321f,0x7c4fc2e8,0x226c7ea1,0x3e61f86a,0x705f02e3,
    0x0fb81fcd,0x00be06d8,0x441fc09b,0x2a8fc40f,0x4bfa20f6,0x640bee2e,
    0x6c136996,0x6d7609b5,0x20fcbb04,0x25f07e2f,0x17cbb04d,0xb2f83f00,
    0x4eed7609,0xf1099999,0x10d716e3,0x3bd3d81f,0x81d95ff5,0xeaaed878,
    0x7f6dd43f,0x81b23e82,0x1fc98aed,0x07d00be0,0x754cdfe4,0xc9327985,
    0x20ffee04,0xfda99cfb,0x6c172994,0x65360b94,0x20fc9b05,0x25f07e2f,
    0x2749b05c,0xf07e0d98,0xda6c1725,0x2fffffff,0x1761aafe,0x22b703e2,
    0x8cff9cfd,0x7540fc08,0x33fa2f9d,0x5fcc2f8a,0x9101fcaa,0x9803bffd,
    0x2e00fc00,0xd504fffe,0x880d5264,0xfffb705e,0x0fba643b,0x40fb9fc4,
    0x881f73f8,0x2f88be3f,0xf72f88be,0x3ee3f881,0x117c6d80,0xf103ee5f,
    0x7dc06c07,0x4417cc0e,0x400de80f,0x310fc2f9,0x883ea3f0,0x7777e42f,
    0x074c05fe,0xf3017c40,0xd0136001,0x83f12645,0x9803e62b,0xbd14c80e,
    0x221dd735,0x0eeb9ade,0xdd735bd1,0x7ec46f41,0x3f6237a2,0xd735bd12,
    0x98aed81d,0x446f41fc,0x35bd12fd,0x07401dd7,0x6cc577cc,0x220f703f,
    0x32a21aee,0x9f43e83f,0x25f30ec8,0x417c3fd8,0x1ae200fb,0x0d901640,
    0x69817440,0xf716a264,0xd7101ee1,0x7fecc990,0x7fecc0df,0x7fecc0df,
    0x7ffcc0df,0x3ffe62eb,0x3ff662eb,0xfec880df,0xfff981df,0x3ff662eb,
    0x77dc00df,0xfff93d11,0x00ff207b,0x9dffffb5,0xda97ee01,0x7fe41eff,
    0x03ea4dbf,0x7f440fe2,0xf701b003,0x37ee005f,0x84c83b00,0x17ffe40e,
    0x9907fd10,0x80040020,0x00800800,0x80040010,0x08001000,0x04400418,
    0x88006200,0x00400880,0x103640bb,0x02200800,0x11030000,0x40020110,
    0x00002200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x27e20000,0x322ee07a,0x200b2201,0x109800b8,
    0x414c6a03,0x6c5fa81d,0x1302ea83,0xd879100a,0x81640b51,0x0bdb1eec,
    0x3bae61cc,0x40f40eee,0x000c99c8,0x17700391,0x0ff44039,0x470012a0,
    0x2a01d80b,0x24b81e45,0xf10498c8,0xfce80d73,0x9803a401,0x9d300ece,
    0xf983903d,0xf513a3ea,0x1bbb6e07,0x8e47dbb0,0x209f1039,0x037f1f98,
    0x7fff315c,0x01c817f7,0x64007dd7,0x6b9f8805,0x0075eec0,0x6e4005f1,
    0x5c05f05d,0x05c82746,0x40151880,0xca805328,0x80151002,0x422000a8,
    0x3fa93a18,0x54400820,0x13000288,0x02f8fc40,0x3fffb074,0x770001f1,
    0x8800a800,0x30980151,0x40019801,0xb80be018,0x75c82746,0x40f23b0b,
    0xcefdb84b,0x84b81e41,0x644efeda,0x80ec9703,0x2faa741e,0x812e0790,
    0x85a8ec2e,0x881cefdb,0xfd705f1f,0x4ffff43f,0xb81e80f8,0x5c02dffe,
    0x2e01cefd,0x5b82dffe,0xffeb81d8,0x7ff5c02d,0xdfebf82d,0x209d1ae1,
    0x3d41f35c,0xf917209d,0x741fb537,0xbfb8b904,0x13a6ea99,0x3e05f2e4,
    0x027d6742,0xf817209d,0x646b97c2,0x40fda9bf,0xfb85f1f8,0xff70fea9,
    0x5f01f13f,0xfcaadfd8,0xb537f903,0x55bfb01f,0x20f987f9,0xaadfd87a,
    0x5bfb03fc,0xbff87f95,0xe8d70fc8,0xb1f4b904,0x25c82749,0x3a5d81fb,
    0x0fd4b904,0x904e97c4,0x42f817cb,0xd00fdfee,0x2f817209,0x3ee6b97c,
    0x8fc45d81,0xc9d9f42f,0xf13ff911,0x0fd45f01,0x07ee17d4,0x503f5176,
    0x1363e85f,0x85f503f5,0x22fa81fa,0x46ba7c4f,0xb5cb904e,0x6413a1f8,
    0xd0c413a5,0x05d97209,0x5c827426,0x3a17c0be,0x13a0bd2f,0xf85f02e4,
    0x88274d72,0x22f8fc41,0x7c40d1f8,0x22f80f89,0x9d17604e,0x409d0620,
    0x1f8b5c5d,0xe8bb0274,0x42f97604,0x04d8d75c,0x35cfc4bb,0x5f2e413a,
    0x2e413a00,0x413a007f,0x17c0be5c,0xe83f993a,0x17c0b904,0x05f35cbe,
    0x22f8fc40,0x7c0499f8,0x12f80f89,0x3e35c05f,0x405f1002,0x35cfc46b,
    0x26b80be2,0xf9ae02f8,0x6c6bae42,0xdcd89b05,0x35c82743,0x413a003f,
    0xcb85f15c,0x3209d3cc,0x217c0be5,0x3a0fdc4e,0x17c0b904,0x1f9b5cbe,
    0x17c7e200,0x416cb2ba,0x2f80f89f,0x87d403f3,0x3f3001f9,0x33607d40,
    0x500fcc3d,0xa807e61f,0x74e89f0f,0x7c40fb8d,0x3607fd43,0x017cbb04,
    0x7cbb04d8,0xdb777643,0x817cbb04,0x7742742f,0x02ec1360,0x4d72f85f,
    0x47e2002f,0x5c77642f,0x0f89f80f,0x407f12f8,0x88017c7b,0x2a1ee03f,
    0x01fc40ff,0x701fc4f7,0x0fb977cf,0x9adf88d7,0x85f80eeb,0x2749b05c,
    0x20b90d98,0x6b81764d,0x2f9360b9,0x884e85f0,0xa6c1725f,0x4be17c08,
    0x6cc13a6b,0x417c7e20,0x3f02dffc,0x745f01f1,0x09d17206,0x206e8366,
    0x3a0bf05c,0x0dd17206,0xdff9f2e4,0x7f4c35c3,0x05f00dff,0x23f881f7,
    0x2e6d80fb,0xf71fc40f,0x07ddb205,0x3e068fe2,0xfb816401,0x27a9fc40,
    0xb9ae01f8,0x7c46d80f,0x017705f1,0xf80f89f8,0x3e607ee1,0x36c07dc2,
    0x0be607ee,0x81fb817c,0x40fdc2f9,0x404be2f9,0x981a201c,0x35bd106b,
    0xaed81dd7,0x3a21fc98,0x40eeb9ad,0xfda99cfb,0xd735bd14,0x7cc1a21d,
    0x440fd400,0x0eeb9ade,0x01f937f1,0x22bb62e4,0x8fc41fc9,0xf800d82f,
    0x07cc0f89,0x3f6673f2,0x9315db04,0x339f903f,0x0d7309fb,0xfd99cfc8,
    0xb339f904,0x3602f89f,0x7c41a202,0x3ff6601f,0xfec880df,0xffd981df,
    0xffb700df,0xffd983bf,0x937ec0df,0x0efc80bf,0x1bfffb30,0x202ffeb8,
    0x7f6441ef,0x8ffec1df,0xf80347ff,0x13f20f89,0x01effedc,0x03bffd91,
    0x41effedc,0xdb801ff8,0x6dc03dff,0x02f83dff,0x7ec0bbea,0x00400086,
    0x00040010,0x02004002,0x80020011,0x00800800,0x00000008,0x02002200,
    0x01000200,0x00100010,0x01000010,0x00000010,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x201ec3f8,0xd803d018,0x93191005,
    0xa801ca80,0x79000004,0x5001c880,0x6403b019,0x64c09705,0xeeeeec81,
    0x4012a02d,0x77c401c8,0x21100000,0x80310008,0x6440190c,0xc8072603,
    0x26c04e85,0x3faa01f8,0x05fb9001,0x2007dfcc,0x54fc402f,0x04dec807,
    0x03e8035c,0x427f405f,0x1d9f105c,0xdbaaade8,0x200f902f,0x6bce806b,
    0x980fab90,0x5000edee,0x2774c03f,0xc80fb760,0x02740205,0xb00fc136,
    0x0d400b99,0x100d4a60,0x51151005,0x00511500,0x20288015,0x07fba02f,
    0x15cee0b9,0x882f413a,0x30015001,0x1a94c04c,0x000cc620,0x10000193,
    0x42805115,0x09d1d85b,0x0fc2ffe4,0x00fa9f88,0x2177ff54,0x0f29703c,
    0x7ff5c25c,0x3ffaa02d,0x4b81e42e,0x2177ff54,0x5f49b12f,0x6d42e46d,
    0x82744efe,0x4efe445d,0xdffeb82c,0x93bf9102,0x425c0f25,0x402dffeb,
    0x884efeda,0xb82c9dfc,0xb702dffe,0xe9ea0f98,0x2073a204,0x1fcd701f,
    0xf9559f50,0xd5c82745,0xbfb17209,0xf507f955,0x745f9559,0x67d4b904,
    0x4be2fcaa,0x27c5f45d,0x99bfb8b9,0x7313a6ea,0xe99ed85f,0x556fec3f,
    0x99ed83fc,0x3209d3fe,0x6556fec5,0x337f703f,0x99ed8dd5,0x56fec3fe,
    0x86c83fca,0x04e9363e,0xd01f826c,0x09b03647,0x5c8274db,0xfa97209d,
    0x26c2fa81,0x3209d36c,0xf9b61365,0xf53e85da,0x81fa9723,0xffffd2f8,
    0x21f985bf,0x207ea3f9,0x987e62fa,0x97209d3f,0x42fa81fa,0x32f881fa,
    0xf51fcc3f,0x6c85f503,0x743f16b8,0x1f826c04,0xfcaabf98,0x4310bb01,
    0x13ab904e,0x6c09d2e4,0xd0c42ec5,0x85d97209,0x20fffe18,0xb2e5b63e,
    0x9de84c0b,0x87a83fa9,0x5d813a3f,0x274fe1ea,0xd813a5c8,0x21302ec5,
    0x13a3f87a,0x443645d8,0x02746b9f,0x640fc136,0x05feeeef,0x3a039ff3,
    0x413ab904,0x5c05f15c,0x80e7fcc6,0x7ccb904e,0xf5bf01cf,0x33e23e83,
    0x7400fe5c,0x1ea1fd44,0x7017c4fe,0xe9fc3d4d,0x0be2b904,0x801fc6b8,
    0x5f13f87a,0x41b235c0,0x02743dcd,0x7c0fc136,0x9100fb82,0x27419ffd,
    0x3209d5c8,0x7d403f35,0x67ff6440,0x22e413a0,0x20cffec8,0x43e8db2f,
    0x85f15efa,0x09d3cccb,0x261f83f9,0x5403f33f,0x3f987e0f,0x7cd7209d,
    0x7c43ea01,0xf1e665c2,0x1f99fcc3,0x06c83ea0,0x9ce81ff5,0x07720999,
    0x101f507e,0xdf71007f,0x9b5d826c,0x01fc5760,0x6fb880f7,0x102ec136,
    0xf897cdf7,0x97f60fa3,0xb777643f,0x6c6e884e,0xf13feaae,0x3b63dc07,
    0x09b3feaa,0x701fc576,0x77643f8f,0x3aabb66e,0x5c07f13f,0x0bf03647,
    0x4dfffffd,0x6c1f87fa,0x1911b205,0x41723f30,0x9360b94d,0xc897206e,
    0x0b91f980,0x4c064536,0x8fd45f1f,0x365f883e,0x8275ae05,0x4ef543fa,
    0x5c81ba2f,0x92f9dea8,0x06e9360b,0x5c0bb172,0x17cef546,0x322e40dd,
    0x5700be06,0x03910260,0x83f81c80,0x881f70f8,0xf881f73f,0x3e607ee3,
    0x87c41fc2,0xf1fc40fb,0xc881f107,0xfb81dc01,0x0ee0d902,0xf70fc0c4,
    0x0c45f303,0x440fb8fc,0x2607ee3f,0xc817dc2f,0x5c3f0316,0x642f981f,
    0x9806b986,0xfc82f82f,0x904b2000,0x4bd5337f,0xeeb9ade8,0xd735bd10,
    0x99cfc81d,0x9bfc84fd,0x37a25ea9,0x320eeb9a,0x05ea99bf,0x03f980f9,
    0xfb5339f7,0x740fe609,0x9f90f913,0x7d09fb33,0xade89f22,0x7e40eeb9,
    0x704fd99c,0x9fb5339f,0xc87c89f4,0x84fd99cf,0x00ffc46c,0x0b203bee,
    0xf98009fb,0x7fff5c2f,0xdfffd984,0x6fffecc0,0x7bffb700,0x27fff5c0,
    0x06fffecc,0x827fff5c,0x3bee04fe,0x3fff6e01,0x03df701d,0x407bffaa,
    0x503dffdb,0xd983dffd,0xb700dfff,0xdb807bff,0x7541dfff,0xfb701eff,
    0x21b207bf,0x04802000,0x00800000,0x80020010,0x10008000,0x00200400,
    0x40020004,0x20011000,0x20022000,0x40002000,0x10008800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x201cc000,0xff9800c9,0x0a8e02ff,0x64ea0970,0x20591001,
    0x002c8009,0x20754980,0x2c807549,0x91005900,0x64401931,0x2f775c01,
    0xc81dc254,0x00200c89,0x08001930,0x22000011,0xffd98621,0x4009d02e,
    0x2e009999,0xbbd706ce,0x5f0dbf10,0xf81ae3f3,0xd007d404,0xfdd80be9,
    0x803f7a01,0x0ea800fa,0x007dd900,0x999880d7,0x07cc2f81,0x2204dfa8,
    0x026c004c,0x01eeee88,0xc83d4fc4,0xc9cc8ba7,0x5c00507b,0x4402dffe,
    0x02a22a01,0x222a02a6,0x0d40150a,0x23500660,0x006a200a,0x01980351,
    0x3c800130,0x0f202a00,0x19839a5c,0x2a6025c0,0x8014000b,0x51003318,
    0xf8a60511,0x32933f12,0xbddddd90,0x2ab7f605,0x777643fc,0x2dc0eeee,
    0xb725c172,0x777745b8,0x20b94eee,0xddddd94b,0x777741dd,0xddd74eee,
    0x3b2bdddd,0x70eeeeee,0xb00f601b,0x7777640b,0x209d0eee,0x03d87a5c,
    0x06f805b8,0x36002ec0,0x702ec005,0x57d3bf6b,0xaaade849,0x0fd42fdb,
    0x55bb17d4,0x8d905555,0x325c84fe,0x2aaa3646,0x9fd4fbaa,0x2ab76b90,
    0x55542aaa,0x5534fbaa,0x365559f5,0x22aaaaad,0x00fc85f8,0x6ec07faa,
    0x3a2aaaaa,0xd0fcb904,0xa80d9009,0xfd5001fe,0x07faa003,0xc80ff540,
    0x3f217f16,0xbd04e84d,0xd97604e8,0xdd1b2004,0x1b25c83f,0x26e880d9,
    0xdae41fee,0x0dd10004,0x8026c17c,0x00be62fa,0x1360b99b,0xf2e413a0,
    0x36402743,0x40173360,0x9b005ccd,0x333600b9,0x217cd905,0x13a3ffda,
    0x405f12ec,0xc801366b,0x3236df46,0x80d91b25,0x1b6fa0fd,0x400136b9,
    0x20be00fd,0x43f6004d,0x54fc405e,0xe804d80f,0xd0fcb904,0x440d9009,
    0x4400fa9f,0x4400fa9f,0x4400fa9f,0x6c80fa9f,0xbc989dfb,0xfb989d2f,
    0xfa807e62,0x33333bb0,0x8be8d901,0x46c9724f,0xd07f206c,0xdae49f17,
    0x0099999d,0x05f007f2,0x133333bb,0x01f79f10,0x360fe6b8,0x2099999d,
    0x0fcb904e,0x40d9009d,0xd700fe6b,0xf9ae01fc,0x07f35c03,0x8c2fe2d9,
    0x3ffa9b49,0x7c42dfff,0xffd9ee03,0x6c84ffff,0xb91fa9f4,0x541b2364,
    0x3f53e82f,0x7fffed72,0x05f504ff,0xfffb05f0,0x3ea09fff,0x323e802f,
    0xfffffd86,0x2ec1364f,0x6402743f,0x06c8fa06,0xe80d91f4,0x47d01b23,
    0x4be6c86c,0x27d498f9,0x03fa99de,0x9b2e40dd,0x8fa36400,0x2364b96d,
    0xd04f886c,0x9b5cb6c7,0x8027c400,0x8004d82f,0xabf9805e,0x026c1fca,
    0x3e4d82e4,0x1b2013a1,0x7e555fcc,0x9557f301,0x2afe603f,0x7f301fca,
    0x6c83f955,0x64efc33a,0xfa89d0fa,0xf981fb83,0x6c801362,0xb99f11f4,
    0xd11b2364,0x9f11f40b,0x440136b9,0x20be005e,0x04d8004d,0xfeeeefc8,
    0x7dc026c5,0x43f1fc40,0x906c804e,0x0bfddddf,0x3fbbbbf2,0xddddf905,
    0x3bbf20bf,0x73645fee,0x3bffa6df,0x07f213a2,0x3f6673f2,0xd90026c4,
    0x2f7d43e8,0x76c6c8d9,0xdf50fa00,0x76c0136b,0x360be000,0x804d8004,
    0x360fb82f,0x9ade8804,0xe87e0eeb,0x5f06c804,0x05f01f70,0x705f01f7,
    0xf705f01f,0x24c03641,0x83744274,0xd83dffdb,0x0999999d,0x360fa364,
    0x4d91b25f,0x99999afb,0x2bfb07d0,0x999999dd,0x33335f70,0x360be013,
    0x0999999d,0x0fa809b0,0x27763f88,0x26099999,0x7c0dfffd,0x266673a1,
    0x07d43640,0x03ea1fc4,0x01f50fe2,0x80fa87f1,0x201b23f8,0xf504e828,
    0x3f600407,0x42ffffff,0x7c41f46c,0x6cd91b25,0x6fffffff,0x36bf107d,
    0x2fffffff,0xfffffffb,0x3f60be0d,0x02ffffff,0x205d809b,0x3ffff66c,
    0x40102fff,0x3ffffa1f,0x2ec3646f,0x205d8d90,0xd902ec6c,0xc9b205d8,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001e4400,0x7c40065c,0x64403fff,0x20800001,
    0x54026280,0x00254004,0x4c66028a,0x70019700,0x01644019,0x23260591,
    0x15cea03a,0x19100c40,0x00000093,0x40000000,0x2e003edd,0x333005ce,
    0x006b8013,0x5c01f35f,0xbcc86dfe,0x8005f106,0x666c002f,0x1ffbd305,
    0xa80d9f50,0x3f3a06cf,0x205f9d02,0x3e201fdd,0x03f7006d,0x5e417764,
    0x6c1dffd8,0xd903efd9,0xdddd73df,0x1dfc885d,0x01445440,0x00151350,
    0xa803f17d,0x05115000,0x2a015098,0x8005100b,0x03300028,0x35008844,
    0x151a802a,0x220a6510,0x06a20532,0x44002a60,0xd815400a,0x0ffb9bee,
    0x07f26ffe,0xddfb35dd,0xdc835555,0x0bb006b8,0x2076425c,0x0c89b869,
    0x1b702ec0,0x705c8f60,0xeee85b89,0x3604eeee,0xeeeeeeee,0x2e017600,
    0x3d806dc5,0x3bbbbbb2,0x1e403b0e,0xdddd94b8,0xeeec85bd,0xeeec82de,
    0xdd90eeee,0x361ddddd,0x97e5f81f,0x707e62f8,0x267d009f,0x0ff5400f,
    0x43ef87b8,0x7540006c,0x90bf101f,0x6427f41f,0x55543645,0xf504fbaa,
    0x55555dd7,0x007faa01,0xc85f88d9,0x2aab760f,0xd80be2aa,0x2b7ab904,
    0x3a2fdbaa,0x45fcbaad,0x2aaaaadd,0x2aaaab76,0xf36c1b62,0x416e3e85,
    0xd9fc804f,0x05ccd805,0x2df543f1,0x1d83d0fa,0x540b99b0,0xdd0be62f,
    0x3645c83f,0x9d037440,0x99b00176,0xfa86c80b,0x09b0be62,0x826c05f0,
    0x97a09d5c,0x363f984e,0xd804d804,0x217cf705,0x6f41363e,0x9ff01999,
    0x1f53f100,0x79cc8fa0,0xf83f07e2,0x0fa9f882,0x42f43f60,0x22e46dbe,
    0x00fd806c,0x801761f5,0x200fa9f8,0x3a1fb06c,0xaf804d85,0x41362efb,
    0x97609d5c,0x26cdb04e,0x26c026c0,0xe85f0f98,0x7fec0fe3,0x3b620fff,
    0x3e6b804f,0xf9749903,0xf83f0f51,0x80fe6b82,0xe80fbcf8,0x91724f8b,
    0x201fc80d,0x2667764e,0x1fcd7009,0x33e20d90,0x99dd80fb,0x2bfe0999,
    0x55bb0fc8,0x13abd555,0x82745f73,0x2667767b,0x26776099,0x41360999,
    0x3e85f0fa,0x202740f6,0x6bbfa8dd,0xa83647d0,0x65361f16,0x417c1f85,
    0xf501b23e,0x7d4fa05f,0x206c8b91,0x87ea02fa,0x05fffffd,0xd903647d,
    0xd817fd40,0x24ffffff,0x7ecbe23f,0xd5feeeee,0x85bfffff,0x361f504e,
    0x24ffffff,0x4ffffffd,0x5f3dc136,0x7c12e3e8,0xfb87e204,0xaabf983f,
    0xb8f881fc,0x7c1f5ae5,0x2fe617c1,0x7401fcaa,0x96d8fa05,0x9f106c8b,
    0xeaaaee80,0x557f3005,0x01b203f9,0x4026c0bd,0x04d9742f,0x2a677ab9,
    0xf704e83f,0x026c026c,0x405e826c,0xf503e62e,0x3a17c409,0xeeefc81f,
    0x7b5d05fe,0x7c07c7c4,0xdf90be22,0xd80bfddd,0xcf88fa04,0x7443645c,
    0x7777cc05,0xdf9005fe,0x320bfddd,0x9b026c06,0xb2e85f00,0x22757209,
    0xc82743fa,0x13601366,0xfb999360,0xdd07e202,0x33bdf915,0x44f6c133,
    0x17c0fffb,0x7e6407dc,0xde835f41,0x17c2fd88,0x09b007dc,0x17bea1f4,
    0x801db0d9,0xf005d85d,0xd901f705,0x13604d80,0x365d0be0,0x213ab904,
    0x2213a1fc,0x3601363f,0x3fa4d804,0x217ee03f,0xfcaeffd8,0x2e25ffff,
    0x23e89eff,0x83f880fa,0x04fc87fa,0x45d7fff3,0x03f880fa,0xd83e8136,
    0x3ee3645f,0x3099999a,0x333bb03f,0x407d4133,0x406c83f8,0x2677604d,
    0x85f09999,0x57209b2e,0x3a6e884e,0x0efba99d,0x26666776,0x3333bb09,
    0x80040133,0x20000800,0xd902ec00,0x5f50bf10,0x81760080,0xe813606c,
    0x3645f883,0x3ffffff6,0x3f60db6f,0x362fffff,0x1b21b205,0x7fec09b0,
    0x5f2fffff,0x3209b2e8,0x4fea09d5,0x0beffffe,0x7fffffec,0xfffffb2f,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xee880000,
    0x008002ee,0x2ffffc00,0x02000000,0x00000000,0x01000000,0x00000000,
    0x00000000,0x1a21f6cc,0x40fbf676,0x201cefdb,0x361cefeb,0x44793c45,
    0x2ba0aaaa,0x01bc80ef,0x33017fb5,0xd87c0133,0xb701dfea,0x41d35bff,
    0x109703d8,0xb116a07b,0x20b501bd,0x202effea,0xdfd881bc,0xfeda81c9,
    0x3ffae04e,0x3bf9102d,0x9dfb7059,0x0b7f6a03,0x079074b6,0x81f717ff,
    0x0feb9bfc,0xfc9adfd8,0x3a698972,0xbff85b81,0xd9055903,0x7764f915,
    0x4c0eeeee,0x3f22ffe5,0x64d6fe40,0x0f7a21ff,0x0f7a21a6,0x365303a2,
    0x7d407442,0x902fcaac,0xd33db055,0x99bfb85f,0xadfd86ea,0x9ed83fca,
    0x5fe43fe9,0x7c40fda9,0x87c0fb8a,0x17e0d12d,0x6417cc5f,0x2a07ea0e,
    0xf25c2a9f,0x07f0d901,0xe85d0288,0x55555bb2,0x227c7905,0xd107ee4f,
    0xe887705f,0x0b60ee01,0x816c0ed8,0x5106d84d,0x17cc3f10,0x45f103f5,
    0x22fa81fa,0xb8fe61f9,0x2645d81f,0x4b63d0f6,0x2f85f02c,0xd17cc0a2,
    0xdb17ec09,0x83dfdddf,0x3d02f86c,0xdddf31d8,0x801369fd,0x4b90be1e,
    0x85ebe84e,0x2e01e43b,0x26402dc3,0x442ec0b7,0x1f7fec41,0x2ec5f0f5,
    0xb0274130,0xd1fc3d4b,0x09d06209,0x1a6f5b90,0x3317c2f8,0x9f333333,
    0x47b80be2,0x1db9ae98,0xf02f86c8,0x57f32f83,0x01365555,0xb90be3c4,
    0x3e53617c,0x700b51dc,0xdb8074c7,0x401d33d9,0x3a01cff9,0xf31fb89d,
    0x801fc5f0,0xa9ae02f8,0x00be3f87,0x175006c8,0x0be0c4b6,0x3fffe65f,
    0xf35fffff,0x2207d403,0x43640f27,0x2f83f02f,0x376350be,0x54099999,
    0x4d3a27c4,0x0fa9321f,0x310e8954,0x221e8aa0,0x43d165c1,0xffec8818,
    0x8be05c0c,0x7c4be62f,0x99e665c2,0xf83ea01f,0x0fccfe61,0x1ffffc80,
    0x37aad300,0x225f0be5,0x7c53a02f,0x9a61f203,0x5f0d901e,0x645f07e0,
    0x3f63f51e,0x644fffff,0x0fb977c2,0xd716e3f1,0xf9b92d80,0xbd126401,
    0x17a24c80,0x750df710,0x4ee45fdb,0x90fe2fd8,0x0fe2dddd,0x5576c7b8,
    0x800be3fe,0x96c001f8,0xf0be3b2d,0x3f982fc5,0x745f81ba,0x1fffffff,
    0xf817c364,0xfd7117c1,0xf8026c7d,0x0f7fe7c0,0x1761aafe,0x0f42a4b8,
    0x02f6c698,0x225ed8d3,0x3a1f980c,0x222f8acf,0x362fcffb,0x06e9ae05,
    0x277aa172,0x6cc13a2f,0x98003e60,0x2a1e43e6,0xc80fc80b,0x2a07ee0f,
    0x0d32d82f,0x40e44364,0x220be22f,0x69804d85,0x3ee012f8,0x9817cc0e,
    0xd105c80e,0x882d6641,0xf16b320e,0x3ea1f107,0x5f00be20,0x26c817dc,
    0x22f981fb,0x3ee1f818,0x02dc6d80,0x3b1d8b60,0xfe885e88,0xc83fda8c,
    0x03fd99cf,0x6c812e3d,0x8de81f70,0x86982fd8,0xf84b804d,0x4577cc02,
    0x07a03fd9,0x31ec09d1,0x7b05fddf,0x917f77cc,0x4bd5337f,0x07fb12f9,
    0x4e7dc2f8,0x7e44fda9,0xe84fd99c,0x5db0f913,0x7d43f931,0x30199abc,
    0x4c6dea8d,0xffb102ee,0x7f5c05df,0x64f103df,0x3f61b203,0xebfff985,
    0x6ecdfd02,0xb0999999,0x74405f03,0x03dfffc9,0x333ba0f2,0x0b502d41,
    0x5c2d40b7,0xfc84fffe,0x7c04dbff,0xdfffdb82,0x7bffb701,0x07bffaa0,
    0x077ffb22,0xdffd99d9,0x40620660,0x10002000,0x20088200,0x0010006c,
    0x3ffff604,0x00032fff,0x8140020c,0x05409999,0x40150110,0x04004008,
    0x00040000,0x80044001,0x000c4000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x0001eeee,
    0x00000000,0x371b8000,0xd0133330,0x3e203f17,0x19500003,0x1b81fec0,
    0x5d02dc37,0x6d803fd0,0x6ec05f50,0xbad881f8,0x104eda83,0x01fe809d,
    0xf8be82f4,0xe883fd01,0x00cccc41,0x2203bfd7,0x201cefdb,0x01cefdb8,
    0x4167fedc,0x13f6201e,0x5c1f776c,0x0b700c89,0x00fbff62,0x27ae01f7,
    0x44fd881f,0xb90be06c,0x03e601f5,0x1ff405b8,0xf985fc88,0x1f305eab,
    0x403ab760,0x913700ea,0x41f5b901,0x40bb01c8,0x885c8afb,0x03d510be,
    0x3aa217d1,0x955bf901,0x0003c85f,0x80200000,0x01fb89de,0x11098062,
    0x3e06c800,0x100984c2,0x18803001,0xd03e6b20,0x0880fc47,0x44026130,
    0x984c0000,0x1fea8040,0x223d4bb0,0xd115951e,0x5554f443,0x0fb83d11,
    0x41661fb8,0x443effd8,0x0f43effd,0x1bfd9076,0xc817c0b8,0xfec80dfe,
    0x0bfda80d,0x222f81b2,0x5c40bfeb,0x75c40bfe,0xbfda80bf,0x25edd980,
    0x3d1f40f8,0x3b07a1d8,0xb50760f4,0x7fb5017f,0xb99b0781,0x544d8fa0,
    0x26b73b93,0x6d5f4ea5,0x203e8b33,0x6f407c4e,0x37a1fb89,0x07e1fb89,
    0x6c57645f,0x2fedba86,0x46d8aec8,0x646d8aec,0x1b27c8ae,0x26bb62f8,
    0x64d76c7c,0x3e4d76c7,0x91f22bb2,0x263fb57d,0x83f26c0f,0x45f07e2f,
    0x5d917c1f,0x8aec8f91,0x3e207c7c,0x33e80fa9,0x4789d81f,0x21d1d9a1,
    0x01f89a5a,0x1705b1b2,0x5f02e2f8,0x7c4be0fc,0xcfe83222,0x17c42f8a,
    0x88be2191,0x25d0ba0c,0x7ccbe06c,0x42f997c2,0x2f85f32f,0x1745d0ba,
    0x2e43d4fe,0x07e2f83f,0x8be0fc5f,0x85d1742e,0x4d703e2e,0x1f53e83f,
    0x86c0b368,0xd837bba6,0x3dc01f30,0x76dd412e,0x7f6dd42f,0x265f07e2,
    0x883ea00f,0x3007cc2f,0x777cc01f,0x40d94fee,0x2b90f52f,0x0f55c87a,
    0x3bbbe6b9,0xd81f34fe,0x7c9b0f35,0xf83f17c1,0x265f07e2,0x34feeeef,
    0x29fddddf,0xd91f41f8,0xb17ec7d0,0xd9a151a3,0x268b51d1,0x11b201f8,
    0xf159fd0d,0x7c567f45,0x265f07e2,0x44be600f,0x007cc3fd,0x5fcc01f3,
    0x2d92aaaa,0x87a97c08,0x2b90f55c,0x7f35c87a,0x1ea55555,0x3607c572,
    0x7c5f07e3,0xf83f17c1,0x55557f32,0x2aaafe65,0x7cc3f12a,0x741fcaab,
    0x93b97dc3,0xb966d739,0x2ccf21d3,0xe85d80fa,0x2f883ea0,0xf17c41f5,
    0x45f17c45,0x3fff21d8,0x222f84db,0x1d88be1d,0x5b2350be,0x1f87e26a,
    0x4e83f274,0x17c9d07e,0x3e0fc46a,0x7c5f0be2,0x22f8be22,0xf88be2f8,
    0x7c350be2,0x22f98d42,0x5feeeefc,0xe8ae41f4,0x3d117931,0xc885cf44,
    0xb07e41e8,0x47903f55,0x27fb12f9,0x47fb12f9,0x22fd88de,0x106c89dc,
    0x44ee40ec,0x644ee46c,0x1fa8f646,0x326fe2d9,0x2e27760f,0x2e27761f,
    0x2e27761f,0x7d47b21f,0x1f2277a1,0xe8db13d7,0x3a2fd88d,0x3a2fd88d,
    0x322fd88d,0x7643f51e,0x8be63f51,0x3a0fb82f,0x23e88f9b,0x0ba60ae8,
    0x2e982ba2,0xff739fb0,0xff916a0b,0x7fe49b7f,0x3fe64dbf,0x3ae22ebf,
    0x8bd801df,0x077fae20,0x883bfd71,0x9b23efeb,0x5c41efeb,0x75c42efe,
    0x7f5c42ef,0x77f5c42e,0x0e7fec43,0x260eff54,0x262ebfff,0x262ebfff,
    0x222ebfff,0x5c43efeb,0x4be63efe,0x23f880fa,0x819ff93e,0x01ceeec8,
    0x073bbb22,0xf9bffd70,0x40041e09,0x01000800,0x080f74c0,0x00080080,
    0x02002002,0x20020020,0x00400800,0x08004004,0x05d80080,0x000101b2,
    0x20400000,0x00001048,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x506d8000,0xda80003f,0x7d01884e,
    0x759703f1,0xb007fa07,0x300fe20d,0x3e73a019,0xd801d800,0x556541d9,
    0x81f8be83,0x80009999,0x41eeeee8,0x7cc03ed9,0x99980002,0x0391b809,
    0x801d95f3,0x4eec03f8,0x3e60f41f,0xec816e00,0x5575c0df,0x9b826c5e,
    0x6d7440c8,0x0fadc80d,0x3cc01f30,0x7c407ee0,0x3ffee02f,0x1657c03f,
    0x703bb5d1,0xddd10325,0xcfeb885d,0x66667cc1,0x176afee1,0x02f884d8,
    0x20fbbba0,0x19904ed9,0x00b9003f,0x83f07fd1,0xd9018008,0x22f8db15,
    0x001360f9,0x02613000,0x20040044,0x00044018,0x195f005f,0x20000000,
    0x20fc89ec,0xf11f405b,0x0ec08605,0x04000000,0x88002001,0x7ed43f01,
    0x0bfda80b,0x00c88be2,0x45ffc9ee,0x443effd8,0x6c43effd,0x7ec43eff,
    0x7fec43ef,0x0bfda83e,0x440dfec8,0x442fbefc,0x40afbefc,0x440bfeb8,
    0xda80bfeb,0xd0be20bf,0xf980a647,0x3f261ec0,0x00320ecf,0x205ff5c4,
    0x440bfeb8,0x6c40bfeb,0xdfebaeff,0xf8760f42,0x8f915d91,0x267c8aec,
    0x7f73000f,0x37a0e744,0x37a1fb89,0x37a1fb89,0x37a1fb89,0x37a1fb89,
    0x3b21fb89,0x57647c8a,0x4cf6c6d8,0x4cf6c2fe,0x9aed82fe,0x64d76c7c,
    0x3e457647,0xeee8fa06,0xf07e22ef,0x7d467cc9,0x7f4ec4c5,0x64d76c1e,
    0x3e4d76c7,0xd1f26bb6,0x15ff9119,0x3e0fc1f7,0x3a1747e2,0x265d0ba2,
    0x5fd7000f,0x7c0b84d8,0x5c5f02e2,0xf81717c0,0x745f02e2,0x22f89742,
    0x4c3f10c8,0xf987e22f,0x4be17cc2,0x5d17c2f9,0x83ee02e8,0x20fc88cf,
    0x6cbf70dd,0xf303f725,0x7ccfb15d,0x42f997c2,0x2f85f32f,0x21fcc171,
    0x45f07e4d,0xeeeef99f,0xddddf34f,0x3b117c9f,0x09b17cc0,0x50bfb6ea,
    0xba85fdb7,0x6dd42fed,0x76dd42fe,0xddddf32f,0xa803e69f,0x21ea2f87,
    0xae43d42f,0xdf35c87a,0x2e09fddd,0x263e801f,0x3e4cdffd,0xf307eb53,
    0x87a87cc7,0x2b90f55c,0x5cc5c87a,0xeeeeefed,0x7c5f07e6,0xaaaabf99,
    0x55557f32,0x3644ee45,0xd09b26c0,0x745f159f,0x3a2f8acf,0x3a2f8acf,
    0x3a2f8acf,0xf32f8acf,0x26555557,0x3e1ea00f,0x50be1ea2,0x21eab90f,
    0x5557f35c,0x003f3055,0x1ec22172,0x3f11d35f,0x47e21f98,0x0f55c87a,
    0x9721eab9,0xabf9aced,0xf07e2aaa,0x542f8fc5,0x44350be1,0x3e21dffb,
    0xa89b1f41,0x7d4be20f,0x07d4be20,0x883ea5f1,0x7c41f52f,0x7c350be2,
    0x0fc47622,0x30fc45f3,0x4e83f05f,0x17c9d07e,0x221aa06a,0x8191fc1f,
    0x5c7b7a2f,0xf107cc0f,0xf93a0fc3,0xe83f2741,0x17cc1f54,0x3e22f8aa,
    0xa8f647e2,0x7d47b21f,0x1bb03d81,0x0ee41f91,0x4ff625f3,0x27fb12f9,
    0x27fb12f9,0x27fb12f9,0x47fb12f9,0x643f51ec,0x6ec6c89d,0x6ec2fd89,
    0xdd82fd89,0x3761fb89,0x3b21fb89,0x05303f51,0x83f22376,0x5c5c88dc,
    0xf30bd54f,0x3bb0fc41,0x4eec3f71,0x27761fb8,0x23f31fb8,0x3f51eee8,
    0x17ec46f4,0x3bfae23f,0x1f7f5c43,0xfc882e88,0x23fd41df,0x24dbfffc,
    0x24dbfffc,0x24dbfffc,0x24dbfffc,0x24dbfffc,0x443efeb8,0x6c41dfeb,
    0x6c42eaef,0xb882eaef,0x75c42efe,0x7f5c42ef,0x2209503e,0x6c41effc,
    0x76dc0dff,0x0f980bef,0xfeb887e2,0x77f5c42e,0x177f5c42,0x7e4bbff2,
    0x7ffcc3ef,0x0207e2eb,0x04fd8020,0x00100008,0x01001001,0x20020010,
    0x00800400,0x40040040,0x0403e400,0x00228020,0x80fc41f3,0x00800800,
    0x00400804,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x980fceec,0x01df102f,0x1767e600,
    0x3201dc62,0x2b2a1e42,0x0999983a,0xf70391b8,0x6c1e89d1,0x7400ba01,
    0x752e0792,0x1ced9801,0xb80beda8,0x40f23e8e,0x03b0b74b,0x9807a1d8,
    0x76c05c9f,0x0eeeeeee,0x207a0079,0x80bfe21d,0x172fa03d,0x5c13ffea,
    0x934d80ef,0x43eaff44,0x372ba24d,0x83eeee81,0x53f04ed9,0x02f83f0d,
    0xe97c0072,0x54b6b904,0x26fea2ff,0x6cdfd46c,0x4e89fb05,0xa83e6b90,
    0x0be2f807,0x5401df70,0xaaaaeebf,0x3e009d0a,0x00441c81,0x10618806,
    0x207f315f,0x8aa9b009,0xd87d09ec,0x00000004,0x20fc0442,0x4002602f,
    0x57209d2f,0x4e83bd0b,0x7cc9b0ec,0x209d0300,0x04d8fa5c,0x200be2f8,
    0x5da74009,0x66667740,0x5c401f82,0x7fd40bfe,0x4fffa84f,0xa8110fcc,
    0x7fe44fff,0x0fa2640d,0x8760f49b,0x83d0ec1e,0x43b07a1d,0x3f017c1f,
    0x8274be00,0x10be4cec,0x264d801f,0x3bff620f,0x72e413a3,0xf9107e2d,
    0x657c5f7d,0x77d741ef,0x0bb0fa80,0xfdcccee8,0xd8ec0fc5,0x3e27c9ae,
    0x3e23f98a,0x7ec3f98a,0x457c41ce,0x033a23f9,0x13a1dffb,0x8be0fc9d,
    0x83f17c1f,0x45f07e2f,0xfa817c2f,0x13a5f000,0x30be0764,0x9839fd3f,
    0x6f43ebde,0x09d1fb89,0x6b9f8972,0x2fe99ed8,0x83f22ffe,0x49d03bff,
    0x209999dd,0x3e1fa84e,0x3e6be189,0x21f997c2,0x0887e608,0x263feb98,
    0x09b0221f,0x22f43bb1,0x45f07e4f,0x83f17c1f,0x45f07e2f,0x260be22f,
    0x74be003f,0x85f0b904,0x47c9befa,0x5c2fefd8,0x904e97c0,0x443dcd8b,
    0x4f8be61f,0x5407f27c,0x3ffff61f,0x3e213a5f,0xaf9ee7e2,0x3f65c87a,
    0xcefd81ce,0xb1ee1c41,0x09b039df,0x715fd132,0x8be0fc9f,0x83f17c1f,
    0x45f07e2f,0x42fd88de,0x97c003f9,0x5f0bb04d,0xf17c3fa8,0x2ea17cc9,
    0x209b2fed,0x207fd45d,0x0be2f87a,0xdd017cbb,0xe80bd555,0x27e0fa84,
    0x21eabe18,0x1ff5cc5c,0xf11ff5cc,0x2e617627,0xc826c3fe,0x6f7fef44,
    0x7c5f07e4,0xf83f17c1,0x4c5f07e2,0x642ebffe,0x4be04405,0x5f09b05c,
    0x9aec0f98,0x9fd26c0f,0x41725f15,0x7a85f84d,0x990be2f8,0xeef9817c,
    0x6f405fee,0x7c5fdbaa,0xe83f2f81,0x227b8714,0x3faa3dc3,0xf70e20df,
    0xe89904d8,0xf88be013,0x22f88be2,0x2f8be22f,0x86820be2,0x4f53dc5d,
    0x881f71f8,0x7c42f83f,0x40f89f42,0x7c41f53e,0x3f881f72,0x21f882f8,
    0x5f0fe2f9,0xd85d817c,0x7777f405,0x2f81f83c,0x23f713bb,0x44bb13f8,
    0xf10bb13f,0x3627f105,0x2640ee45,0x11bd00fa,0x446f45fb,0x2237a2fd,
    0x2237a2fd,0x207c02fd,0x447d32f9,0xd10fc9bf,0x01dd735b,0x2e1d905f,
    0x7dc3761f,0x3f625f30,0xd735bd13,0xb035cc1d,0x7c5fb13b,0x17c7b8af,
    0x4eec0fcc,0x09d09999,0x44be07e0,0x7542efeb,0x7f540dff,0x01f300df,
    0xa81bffd5,0x1f44c87f,0x3afffe60,0x3afffe62,0x3afffe62,0x3afffe62,
    0x7077e402,0xeb819dfb,0x7fecc2ff,0x205f00df,0x6442efea,0x7fe42dff,
    0x3f664dbf,0x3fe20dff,0x2bbf6201,0x37f6be2e,0x836c17c1,0x2ffffffd,
    0x207e009d,0x0040082f,0x00fbe004,0x01320001,0x80080080,0x08000800,
    0x20020020,0x0402f800,0x40020040,0x00800200,0x00000010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32600000,0x4c8f649a,0xb3b0c864,0x075df445,0xcb826666,
    0xe807b2ba,0xc813ee05,0x7f40ea84,0x3f300ec1,0x77775cbb,0x03f55eee,
    0xddd903f5,0x1fa805bd,0x81e40b20,0x5b0bd04b,0xbdddd900,0x1b907a05,
    0x8fc5fc5f,0xeeeeeeeb,0x5b107b15,0x7417db50,0xa93a2eca,0x5f1f74c5,
    0x41ff9857,0xd12eeee8,0x813a1bb5,0xd3f300e9,0x9d07e605,0xff0faec8,
    0x3bee0fff,0x33eaaa60,0x3a16e2aa,0x9555bd02,0x201ec0bf,0x99de884f,
    0x540ed999,0xe803f80e,0x85fcaaad,0x643fe82f,0x55530c89,0x7dc5559f,
    0x5f5c2f41,0x49d007d9,0x195f0048,0x40000110,0x8802204e,0x73640110,
    0x4130981f,0x4009802f,0x8060602f,0x303f984e,0xff901300,0x9ffddddd,
    0x0a7f0088,0x43f984e8,0x0001882f,0x90ed80be,0xaf85f01d,0x3a3efd9d,
    0xf12a02a4,0x77775415,0x9504a86e,0x912a04e8,0x8970f4c7,0x503f8af8,
    0x7df75f09,0x02f803b0,0x0efae895,0x2a6c8274,0x2a6eeeee,0x6c6eeeee,
    0x6cecb904,0x35dfc3ef,0xf1b209d0,0x3bf67615,0x0be02543,0x01facf88,
    0x17ff9d03,0x2013a1f7,0x26217c6b,0x6b84f999,0x224e8d70,0x64d71ae0,
    0x3ae0fa3f,0x3e1ae06b,0x7c0fc8bf,0x6b817c02,0x2741dffc,0x266627b8,
    0x266624f9,0x556ec4f9,0x3fe5eaaa,0x3fe0fb8b,0x7b827405,0x8bff8f7c,
    0xf01ae0fb,0x03ffa805,0xf17e7ea0,0x1ae013a5,0x705e805f,0x49d1ae0d,
    0x1f31ae6c,0x507c577a,0x099dff99,0x2f8bf0d7,0x7e64c17c,0x3e35c3cd,
    0x9fffff03,0x05e807d4,0x777ec2f4,0x17e5feee,0xf017e25f,0x7d49ffff,
    0x22fc7f10,0x5f01ae2f,0x2001fd00,0x2f85f4f9,0xf8d7009d,0x5c03b602,
    0x24e8d706,0x2be1ae08,0x98d579f8,0x82aafdaa,0x1742f86b,0x3eaa60be,
    0x3e35c2ac,0x3dc13a02,0x3b600ed8,0x4b904d80,0x3fe97c2f,0x4f704e80,
    0x5f0be2fe,0x00be035c,0xf300ddd9,0x74be17c9,0x17c6b804,0x1ae00fc8,
    0xb813a35c,0x3d5acc86,0xfdaa987b,0xf86b82aa,0x00be1742,0x5f1ae05f,
    0x86c82740,0x03f200fc,0x3e5c826c,0x03f997c2,0x44d904e8,0x45f0be2f,
    0x5017c06b,0x5407f35f,0x4be17c3f,0x7c6b804e,0x5c01fb82,0x04e8d706,
    0x4f3aa1ae,0x66540fcc,0x6b84ccfd,0x3e1742f8,0x6b817c02,0x109d017c,
    0x201fb87f,0x413601fb,0x45f0be5c,0x884e803f,0x85f17c3f,0x5f01ae2f,
    0x1fb93e20,0x42f83fa8,0x33339d2f,0x217c6b81,0x81999bfa,0xce8d706b,
    0x0d709999,0x037d47fe,0xf0d701ae,0x017c2e85,0x3e35c0be,0x2a677a02,
    0x4dfd46fb,0x26fea199,0xc826c199,0x7c5f0be5,0x7419999c,0x86fba99d,
    0x45f0be2f,0xd817c06b,0x3e20ed86,0x2f89999c,0xffffe97c,0x0be35c6f,
    0x3ffffffb,0xe8d706b8,0xd76fffff,0x04f89f60,0x21ae035c,0x0be1742f,
    0xf1ae05f0,0x7ffff405,0x7ffec0be,0xfffb1fff,0x826c3fff,0x45f0be5c,
    0x47ffffff,0x0beffffe,0x5f0be2f8,0x20be035c,0x25f881fb,0x4ffffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x4c0ec84b,0x33bbbb66,0xeeeeee81,0x52e0794e,
    0x3697001d,0x902ec001,0x3bbbba6b,0x3601b74e,0x95b80f63,0x419ddddd,
    0x322ea83d,0x42deeeee,0x3b69705c,0x56e5d702,0x3eeeeeec,0xddddddd9,
    0x4c87a201,0xeeec92e0,0x000002de,0x2f6e9500,0x3643ef87,0x5fb555bd,
    0xfbaaaaa8,0x7d7209b4,0x5f4fb802,0x80ff5400,0x9999917d,0x3217e29f,
    0x6c813a0f,0xdf7555bd,0xd0fea274,0x5fb7555b,0xeae427f4,0x2a7fd05f,
    0x55555db3,0x2aaab763,0xa87f602a,0x6f47f00f,0x885fcbaa,0x47f0cfeb,
    0xebaeffd8,0x5d5ae2df,0x16faa1f8,0x2ec2747d,0x04d9ba20,0xd880beb9,
    0x4005f4ef,0x0fb05ccd,0x98bea364,0xd902742f,0x74be613a,0x13a0fea4,
    0x83fdd2f4,0x981fbd5c,0x405d83ee,0x7f5c004d,0x07d41fc1,0xd87f309d,
    0x3b8fc9ae,0x3ff2233a,0x0d70fb8a,0x13ce647d,0x26c2743f,0x04d83f60,
    0x26c4beb9,0x2be99195,0x3f102efb,0x20d901f5,0xd0fd81f9,0xb6409d0b,
    0x9d2f884e,0x82740bea,0x91b6fa5d,0x990bafab,0xd80bb07d,0x3e7e6004,
    0x22ec3641,0x7ccdb04e,0xb88667c2,0x29b0fe60,0x4ba4c86b,0xade8f51f,
    0x3200ecaa,0x5556ec1f,0x365f5eaa,0x57fd3205,0x26b80fc8,0x9d06c83f,
    0x03ef3e20,0x9d6c813a,0x7d674f70,0xf7313a04,0x927c5f45,0x3d16efab,
    0x333bb07d,0x4cceec13,0xf8ae8099,0x5f10fcc1,0x54f704e8,0xb981fc87,
    0xeeeeefed,0x22d50d76,0xd1729b0f,0x01bfffff,0x3bf60bea,0x5f5feeee,
    0x7f4c80bb,0x91f417c4,0x1f30b70d,0xe817fd40,0x77f5b204,0x3ba3ffee,
    0xffd00fdf,0x3e85bfff,0x5f5723f5,0x0fad30f9,0x97fffff6,0x4ffffffd,
    0xe81f8a64,0x413a1ae3,0xb90f50fa,0x7f359db0,0x1ae55555,0x6b96e3e2,
    0x6cc4e87d,0x9b04f886,0x1fffd720,0x3a17d320,0x6555fcc2,0x2ec2d41f,
    0x09d02f40,0xccceeb64,0x5e97f41a,0x7f533bd0,0x5cb6c7d0,0xe9e4ba7d,
    0xb0176753,0x221d5009,0x0fa6b81f,0x3e3dc13a,0x83ea2741,0x6b9542f9,
    0x11ed7475,0x84e81f1f,0x817a21f9,0x37eb904d,0x7d3201fa,0x3bf21742,
    0x2545feee,0x13600be2,0x75b204e8,0x3e64e804,0x1fd44e83,0x5ccf88fa,
    0xe87d6e7d,0xb0176d93,0xddddd009,0x89f889df,0xd904e80f,0x1fb89dd8,
    0xeee88fcc,0x65ae3f51,0x7d07f326,0x3f509d0d,0x09b0076c,0x06d97d72,
    0x0ba17d32,0x081f705f,0x04d803d4,0x9d6c813a,0x1fb89d00,0xd0fe4274,
    0x7d5efa87,0x23e9abe6,0x04d80bb5,0xcfbaaaa8,0xd05bcd81,0xb887f109,
    0xff901efe,0x0fbff25d,0x7e43fd40,0xb999ce84,0x266bee6e,0x209b0999,
    0x0fe25f5c,0x1742fa64,0x47f101f5,0xd8035c3a,0x26673a04,0x013ad909,
    0xe83ba13a,0x0fa6e884,0xfd1f57f6,0xbb2b9f47,0x9999dd80,0x03f10099,
    0x6f40bba6,0x00efba99,0x00804002,0x7d42fc40,0xeffffe82,0x3ffff60c,
    0x209b6fff,0x0fd45f5c,0x1742fa64,0xd93640bb,0x09b005c8,0xb7fffff4,
    0x9d009d6c,0x8274bf10,0xf107d3fa,0x20fb8fab,0x6c05d83e,0x2fffffff,
    0x3f403f10,0x7dffffd0,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55557020,0x00110355,0x00000000,0x32760f40,0x003b07a4,0x00000000,
    0x4d88f400,0x21300f10,0xddddd50a,0x4b70f4cd,0x4b87a63c,0x151e8897,
    0x4750000a,0x543effd8,0xfd904fff,0x9ff9301b,0x8180221d,0x2ff6a06b,
    0x91dfeb80,0xeb8817dd,0x3f6760bf,0x2be0fc3e,0x25f07e5b,0x3b8ba8d8,
    0xd53dfb3b,0xe8d5009f,0x05b10efa,0x40bd15f0,0x547cc078,0x3e666626,
    0x21f9b6c4,0x3e8ff26b,0xb735c1f3,0x1bdb1132,0x3a6c9ec4,0xf11fb89d,
    0xec87f315,0x67cc6d8a,0x80225fa8,0x5d906b81,0x89ec8f91,0xfc8aeefc,
    0x9f26bb60,0x20fb8bff,0xf1c57c1f,0x3ff62f83,0x35ff1ffe,0x05f33bfb,
    0xff87df91,0x05ffdc3b,0x4405daf8,0x17c57407,0xf9d10bd0,0xbbd0f987,
    0x3a3e83e2,0x30fc5743,0x1ef44b65,0x4cbe05cb,0x2f88221f,0x325d8322,
    0x8c0110fd,0x099ec998,0x3e25d0ba,0x4fa17f42,0x5f97c2f9,0xcf83f17c,
    0xc8be0fc3,0x2a3f9ea5,0xfd99362f,0xa807f02d,0x7ffc1cfd,0xfffff883,
    0x05db647f,0x37cc03b6,0x579f8af8,0x81f16b8d,0x6c0eb8fa,0x42b9dc0e,
    0x362fedba,0x07cc1cef,0x1fad4fe0,0xffa8c011,0xdf35ffff,0x3e69fddd,
    0x66667dc0,0x2b90f55e,0x83f17c2f,0x17c1f82f,0x45f1f85d,0xef8ae479,
    0x98017c00,0x0fd6fc7e,0x0ccfd4cc,0xfc826d76,0x203fea00,0x7b3d5acc,
    0x985b8f88,0x4c80fa9f,0xacfe81dc,0x7f5cc2f8,0x5f003e63,0x223f11d3,
    0x21ae0600,0x2aaaabf9,0xabfb81f3,0x90f51aaa,0x7c5f0beb,0x8be0be22,
    0xf99322f8,0x323cc5f0,0x402fbee5,0x77dc402f,0x206d97c3,0x22be2078,
    0x100fdc1f,0x9d50bb5f,0x3603f327,0x5d3e82eb,0x2e1ecedc,0x3e20fa83,
    0x7c7b8712,0xede87622,0x80221f71,0x85f06b81,0x5fd0ba1a,0x9d07e1b8,
    0x6f45f0be,0xde82fd88,0x3f22fd88,0x45f0ffcd,0x7542e479,0x9817c1cf,
    0x25f02dfd,0x80f103f8,0x5fd4b769,0x8af41999,0xf51ff82f,0x2a1fea0d,
    0x05950b76,0x225f3033,0x227f13fd,0x644ee45d,0x5eaa7dc6,0x6b818022,
    0x87ea3d90,0xeefb8aec,0x4eec1f51,0xf85f1fb8,0x3afffa62,0xebfff982,
    0xb5b75f32,0x64798be9,0x5f1f2605,0xf8019f10,0x00c07ee2,0xffb0a854,
    0x3ee3ffff,0x4fb03ee0,0x213e04f8,0x0000150a,0x26dfffe4,0x881bffd5,
    0x6dc1dfeb,0x0220befe,0x33333118,0x77f5c413,0x577f5c43,0x442effd8,
    0x0be2efeb,0x0400105f,0x3cc5f000,0x5f020172,0x00000020,0x00000000,
    0x00000000,0x02002000,0x40228040,0x999999a8,0xffffff51,0x4020020b,
    0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x23a60000,0xb883ae4d,0xd044220a,0x9b5b9d49,
    0x3fffffe2,0x599934ff,0x33333322,0x000002cc,0x00000000,0x00000000,
    0x02000000,0x00183100,0x4000014c,0x66666441,0x3333224c,0x4c3a64cc,
    0x43f14e8f,0xfcdffef9,0xc87c4d91,0x000aa736,0xaa8f776a,0x01aaaaaa,
    0x00000000,0x00000000,0x00000000,0x5f303bd7,0x7dc5ddb0,0x6f6c5f51,
    0xbb306c81,0x1d105703,0x66666644,0x33333224,0x7c43e67d,0x233024d8,
    0x0a63dda8,0x00000001,0x00000000,0x00000000,0x00000000,0x546cc000,
    0x9c45ec85,0x1fdfe468,0x02212e73,0x6664cb2c,0x00035c0d,0xd07ccf10,
    0x000000ae,0x00000000,0x00000000,0x00000000,0x00000000,0x20f8ee00,
    0x3221f8f8,0x04fd87ee,0x3ffea5d1,0x25965fff,0x3a21efa8,0x5555543e,
    0x3478802a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e3452a0,0x4465c995,0x20fefd47,0x266622e9,0x37661999,0x0216e5c1,
    0x3fffffe2,0x00068807,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x97c3ece8,0xfb7d50f8,0x8fe4fea1,0x5b81abf9,0x00111800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x8b63541a,0x70e61319,0x20aeeea1,0x0000003a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_17_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,0,0,0,0,0,0,1,1,
-1,1,0,1,1,0,1,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,-1,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,1,0,1,0,0,0,1,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,0,1,0,1,
-1,1,1,1,0,0,0,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,0,0,1,0,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,
0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_17_latin_ext_y[560]={ 13,2,2,1,1,1,1,2,1,1,1,4,11,8,
11,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,1,1,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,2,1,2,1,15,2,4,2,4,2,4,1,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,5,5,5,5,5,5,1,1,1,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,5,2,1,3,2,
1,1,2,1,1,5,5,8,1,0,1,3,1,1,2,5,2,6,12,1,1,5,1,1,1,5,-1,-1,-1,-1,
-1,-1,2,1,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,1,-1,-1,-1,-1,-1,2,1,2,2,
2,2,2,1,4,4,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,4,2,2,2,2,2,2,2,
0,2,-1,2,2,4,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,2,-1,2,-1,2,2,4,-1,2,-1,2,
-1,2,-1,2,1,1,-1,-1,2,2,-1,2,0,2,-1,2,2,2,-1,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,4,-1,2,1,1,4,0,2,-1,2,-1,2,1,4,-1,2,2,4,-1,2,
-1,2,-1,2,1,4,-1,2,2,2,-1,2,2,2,-1,2,0,2,-1,2,-1,1,-1,2,2,5,-1,2,-1,2,
-1,-1,2,-1,2,-1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-2,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_17_latin_ext_w[560]={ 0,2,5,9,8,13,10,3,5,5,6,9,2,5,
2,5,8,5,8,8,8,8,8,8,8,8,2,2,9,9,9,8,15,12,9,11,10,9,8,11,9,2,7,10,
7,11,9,12,9,12,10,10,9,9,11,15,11,11,9,3,5,4,7,10,4,8,8,8,8,8,5,8,7,2,
4,7,3,11,7,8,7,8,6,8,5,8,8,11,8,8,8,5,2,5,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,8,9,8,10,
2,8,5,12,6,8,9,5,12,10,6,8,5,5,4,7,9,2,5,4,6,7,13,13,13,8,12,12,12,12,
12,12,15,11,9,9,9,9,4,3,6,5,12,9,12,12,12,12,12,7,12,9,9,9,9,11,9,8,8,8,
8,8,8,8,13,8,8,8,8,8,4,4,6,5,8,7,8,8,8,8,8,8,9,8,8,8,8,8,7,8,
12,8,12,8,13,10,11,8,11,8,11,8,11,8,10,10,12,9,9,8,9,8,9,8,9,8,9,8,11,8,
11,8,11,8,11,8,9,7,11,8,6,6,6,6,6,6,4,5,2,2,10,5,9,6,10,7,8,7,4,7,
5,7,4,7,6,8,4,9,7,9,7,9,7,10,10,7,12,8,12,8,12,8,15,14,10,6,10,6,10,6,
10,8,10,8,10,8,10,8,9,5,9,6,9,4,9,8,9,8,9,8,9,8,9,8,9,10,15,11,11,8,
11,9,8,9,8,9,8,4,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,10,9,9,9,9,9,9,9,9,9,9,9,9,9,12,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,6,6,12,
8,9,8,9,8,9,8,9,8,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,8,15,13,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_17_latin_ext_h[560]={ 0,11,4,13,14,13,13,4,16,16,6,8,5,2,
2,13,12,11,11,12,11,12,12,11,12,12,8,11,9,5,9,12,16,11,11,13,11,11,11,13,11,11,12,11,
11,11,11,13,11,13,11,13,11,12,11,11,11,11,11,15,13,15,7,2,3,10,12,10,12,10,12,13,11,11,
15,11,11,9,9,10,13,13,9,10,12,9,8,8,8,12,8,16,16,16,3,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,12,15,13,9,11,
16,16,2,13,7,8,5,2,13,2,6,10,7,7,3,12,15,3,5,7,7,8,13,13,13,12,14,14,14,14,
14,14,11,16,14,14,14,14,14,14,14,14,11,14,15,15,15,15,15,7,13,15,15,15,15,14,11,13,12,12,
12,12,12,13,10,12,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,7,10,12,12,12,12,15,15,15,
13,12,14,12,15,12,15,12,15,12,15,12,15,12,14,12,11,12,13,12,14,12,14,12,15,13,14,12,15,15,
15,15,15,15,16,16,14,14,11,11,14,11,13,11,14,11,15,15,14,8,12,15,15,15,15,15,8,14,14,15,
15,11,11,11,11,11,11,14,11,15,13,14,11,12,13,13,14,12,15,12,15,12,13,10,14,11,15,13,14,11,
15,12,15,12,16,12,15,12,16,15,14,12,11,12,15,12,14,12,15,12,15,13,15,12,15,12,14,11,14,15,
14,14,11,14,11,14,11,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,12,14,11,15,
12,15,12,15,14,15,15,15,15,15,15,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,16,14,12,15,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_17_latin_ext_s[560]={ 254,82,90,49,1,1,244,86,112,103,53,
175,252,139,119,101,198,55,247,28,193,163,149,85,158,172,253,171,139,66,156,
154,7,69,17,233,214,183,174,199,37,114,123,127,106,159,149,211,117,49,138,
170,225,176,202,1,235,94,27,18,62,13,8,128,114,1,204,19,195,57,53,
224,61,253,41,47,252,127,90,81,107,190,149,10,37,109,224,212,203,186,194,
23,139,1,101,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,254,252,22,
245,118,77,109,118,122,23,16,185,76,139,36,145,46,48,31,241,96,59,31,
111,60,247,1,233,142,128,156,114,209,39,1,222,235,196,220,60,156,121,139,
91,249,67,44,61,133,64,93,170,236,202,75,23,115,99,65,55,192,131,236,
14,79,70,61,52,43,181,236,19,10,1,243,234,121,60,88,219,189,1,171,
162,153,127,136,37,28,207,225,216,86,1,119,142,1,77,107,68,30,104,59,
95,161,124,1,115,200,97,178,116,193,106,91,145,34,133,189,88,231,82,199,
180,138,183,183,227,215,161,127,29,157,149,164,95,120,45,59,38,74,17,127,
205,248,250,142,249,239,211,218,120,166,181,176,10,24,9,24,52,246,184,206,
81,176,128,15,51,211,191,209,220,21,202,106,211,71,220,228,66,10,126,150,
66,167,213,109,10,88,19,92,28,44,37,72,18,111,46,111,251,229,67,166,
76,195,85,173,73,151,94,132,103,14,65,127,84,52,81,146,71,155,101,29,
144,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,23,38,38,82,
38,38,38,38,38,38,38,38,38,38,38,38,38,35,225,38,38,38,38,38,
38,38,38,38,38,38,38,38,131,98,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,143,167,
189,104,46,1,190,243,142,30,152,181,162,212,221,172,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,47,38,91,229,241,181,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,38,
38,38,38,38,38,38,38,38,38, };
static unsigned short stb__arial_17_latin_ext_t[560]={ 1,146,168,80,50,80,65,169,1,1,169,
158,158,168,168,80,94,146,134,108,146,108,121,146,121,108,146,146,158,169,158,
108,1,146,146,80,146,146,146,80,146,146,121,146,146,146,146,80,146,94,146,
80,134,121,146,146,134,146,146,18,94,18,169,168,168,158,121,158,121,158,121,
80,146,121,18,146,108,158,158,158,80,80,158,158,108,158,158,158,158,121,158,
1,1,1,168,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,1,94,18,
80,158,134,1,1,168,94,169,158,169,168,94,168,169,158,169,158,168,121,18,
168,169,158,169,158,80,80,80,121,50,65,65,50,50,50,121,1,50,50,65,
50,34,50,50,50,134,65,18,34,34,34,34,169,80,34,34,34,34,50,121,
94,108,108,108,108,108,80,146,108,108,108,94,94,134,134,134,134,94,134,94,
94,94,108,108,169,158,94,94,94,94,34,18,17,94,94,65,94,34,94,18,
94,17,94,18,94,1,108,65,108,134,108,80,108,50,94,65,108,1,80,65,
94,34,34,17,34,34,34,1,1,65,65,134,134,65,134,80,134,65,134,18,
17,50,146,94,17,17,17,17,34,158,50,50,34,34,134,134,134,121,134,134,
50,134,34,80,50,134,108,65,65,50,108,18,108,18,108,65,158,50,134,34,
80,65,121,34,121,34,121,1,121,34,121,1,34,50,121,134,50,17,121,50,
121,17,121,17,80,17,121,18,121,65,134,65,18,65,65,134,50,134,50,134,
121,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,80,158,158,1,
158,158,158,158,158,158,158,158,158,158,158,158,158,80,146,158,158,158,158,158,
158,158,158,158,158,158,158,158,121,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,50,121,
50,134,18,121,1,108,1,65,1,1,1,1,1,1,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,1,1,65,108,1,108,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158, };
static unsigned short stb__arial_17_latin_ext_a[560]={ 68,68,86,135,135,216,162,46,
81,81,95,142,68,81,68,68,135,135,135,135,135,135,135,135,
135,135,68,68,142,142,142,135,247,162,162,176,176,162,149,189,
176,68,122,162,135,203,176,189,162,189,176,162,149,176,162,230,
162,162,149,68,68,68,114,135,81,135,135,122,135,135,68,135,
135,54,54,122,54,203,135,135,135,135,81,122,68,135,122,176,
122,122,122,81,63,81,142,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,68,81,135,135,135,135,63,135,
81,179,90,135,142,81,179,134,97,134,81,81,81,140,131,68,
81,81,89,135,203,203,203,149,162,162,162,162,162,162,243,176,
162,162,162,162,68,68,68,68,176,176,189,189,189,189,189,142,
189,176,176,176,176,162,162,149,135,135,135,135,135,135,216,122,
135,135,135,135,68,68,68,68,135,135,135,135,135,135,135,134,
149,135,135,135,135,122,135,122,162,135,162,135,162,135,176,122,
176,122,176,122,176,122,176,150,176,135,162,135,162,135,162,135,
162,135,162,135,189,135,189,135,189,135,189,135,176,135,176,135,
68,68,68,68,68,68,68,54,68,68,179,108,122,54,162,122,
122,135,54,135,54,135,71,135,81,135,54,176,135,176,135,176,
135,147,176,135,189,135,189,135,189,135,243,230,176,81,176,81,
176,81,162,122,162,122,162,122,162,122,149,68,149,91,149,68,
176,135,176,135,176,135,176,135,176,135,176,135,230,176,162,122,
162,149,122,149,122,149,122,54,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,135,183,183,183,183,183,
183,183,183,183,183,183,183,183,209,160,183,183,183,183,183,183,
183,183,183,183,183,183,183,208,163,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,162,135,68,54,189,135,176,135,176,135,176,
135,176,135,176,135,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,162,135,243,216,189,149,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_17_latin_ext(stb_fontchar font[STB_FONT_arial_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_17_latin_ext_s[i] + stb__arial_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_17_latin_ext_t[i] + stb__arial_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_17_latin_ext_x[i];
            font[i].y0 = stb__arial_17_latin_ext_y[i];
            font[i].x1 = stb__arial_17_latin_ext_x[i] + stb__arial_17_latin_ext_w[i];
            font[i].y1 = stb__arial_17_latin_ext_y[i] + stb__arial_17_latin_ext_h[i];
            font[i].advance_int = (stb__arial_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_17_latin_ext_s[i] + stb__arial_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_17_latin_ext_t[i] + stb__arial_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_17_latin_ext_x[i] + stb__arial_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_17_latin_ext_y[i] + stb__arial_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_17_latin_ext_LINE_SPACING
#endif

