// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT        216
#define STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_19_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_19_latin_ext_LINE_SPACING          12

static unsigned int stb__arial_19_latin_ext_pixels[]={
    0x40000980,0x99999998,0x00130019,0x0c4017e2,0x26006a20,0x0a894c02,
    0x88051330,0x40a9801a,0xaaa80998,0x400c400a,0x31001109,0x40621100,
    0x00131028,0x333000c4,0x204c4033,0x1fb80008,0xff901b00,0x0fffffff,
    0x2e001f90,0x3ff8800e,0x6c403740,0x176be604,0x5c02ee88,0x417cc01f,
    0xccb84ffc,0x0ffea01c,0x805f3bd0,0x9fa804f8,0x740d705d,0x80bea006,
    0xffffffda,0x4e81db00,0x5003f800,0x3666620d,0x4401999f,0x002a002f,
    0x100fcef4,0xb98b803f,0x401df701,0x3e01b89b,0x0dc4dc02,0x370b84e8,
    0x07eb3e20,0xc804ff88,0x03bf2005,0x05f1035c,0xff983640,0x301fb9df,
    0x8009d03f,0x3f7001ea,0x8800f900,0x2202609a,0x9a98801b,0x06211009,
    0x44dc2e31,0x220c4220,0x8226e171,0x71883108,0x9d0226e1,0x89b85c62,
    0x88440310,0x31088621,0x39300440,0x153035c0,0x21100c40,0x0f55fffc,
    0x90013a00,0x800c4012,0xffd5007c,0x903f39ff,0xffea8091,0x96c80eff,
    0x9b607c8f,0x07c8f96c,0x8f96c9b6,0x9d1b607c,0xf96d81f2,0x207cb6c0,
    0x36c0f96d,0x277fffd4,0x7ffd435c,0x207c84ef,0x2bfffd6d,0x74c2dc7a,
    0x19dd99d0,0x5c025e40,0x901e8bfe,0x17df500f,0x2e05ff71,0x277e6049,
    0x4c0fe988,0x207c8532,0x214ca66d,0x299b607c,0x3607c853,0x207ca746,
    0xb6c0f96d,0x3e5b607c,0xbefc8db0,0x35c4fb98,0x2e62fbf2,0xdb03e44f,
    0x3d57ffee,0x74d90be6,0x205fbaef,0x6fdc04fc,0xf902ffda,0xe883fa80,
    0x4c02a03f,0x009f104f,0x01b607c8,0x01b607c8,0xd1b607c8,0x96d81f29,
    0x07cb6c0f,0xdb03e5b6,0x3fa81fcc,0x503f99ae,0xdb03e47f,0x3d57ffe2,
    0xfe8fe2f4,0x6fc0be60,0xf913a00f,0xd901f205,0x2e1fafa0,0x7dc1dffe,
    0x43d8aa00,0x6c0f91e9,0x91e987b6,0x43db6c0f,0x6c0f91e9,0x207ca746,
    0xb6c0f96d,0x3e5b607c,0x2036cdb0,0x06d9ae7d,0x6c0f93ec,0x87aaf546,
    0x741f50fb,0x8fa84f86,0xa85f103f,0xe80f902f,0x43f94d84,0x47eb9bfc,
    0x2274006d,0x6c0f91f9,0x91f989d6,0x44eb6c0f,0x6c0f91f9,0x207ca746,
    0xb6c0f96d,0x3e5b607c,0x202fcdb0,0x2fcd70fb,0x03e43ee0,0x1eab90db,
    0x3a2ecbe2,0xb5d85e83,0xf103ea0d,0xf881f205,0x45f52e43,0x9f0fd43d,
    0x74333330,0x07c8fcc4,0x3e6275b6,0xeb6c0f91,0x07c8fcc4,0x1f29d1b6,
    0x6c0f96d8,0xcb6c0f96,0x27c5b607,0x8b5cbe60,0xc97cc04f,0x5721b607,
    0x5f1bb07a,0x444f85e8,0xf103f52f,0xf902fa85,0x8d91fc40,0xf95101f9,
    0x7ffc2fc3,0xf989d0ff,0xeb6c0f91,0x07c8fcc4,0x3e6275b6,0x236c0f91,
    0xb6c0f94e,0x3e5b607c,0xd81f2db0,0xf9807f16,0x00fe2d72,0xd81f25f3,
    0x20f55c86,0x47e87bfa,0xf07dc2f9,0x5f913a0b,0x29f01f20,0x307dc0eb,
    0x43fbdffb,0xfb99986d,0x91f989d0,0x44eb6c0f,0x6c0f91f9,0x91f989d6,
    0x53a36c0f,0x3e5b607c,0xd81f2db0,0xd36c0f96,0xd70fa80b,0x43ea02f4,
    0x321b607c,0x27fc0f55,0x3754eff4,0x203f22f4,0x2ffdadfb,0xafd80f90,
    0x3e26d80f,0x5c3f30ae,0x743ea00f,0x0fa8fd44,0xf513abd0,0xaf403ea3,
    0xfa8fd44e,0x54e8bd00,0x7d57a01f,0x03eabd00,0xd00faaf4,0xdb007e4b,
    0x401f935c,0x7403ea6d,0x40f55c85,0xfdde81fc,0x7ffcc0df,0xd703ffff,
    0x0003f37f,0x7dc0ffcc,0x3f707e62,0xfc807744,0x31fb8bd0,0x3a7f307f,
    0x3f98fdc5,0xb8bd3f98,0xf307f31f,0x07f34e87,0x20fe67f3,0x307f33f9,
    0x260fe67f,0x2037e23f,0xf89ae3fa,0x263fa80d,0xc83f983f,0x83640f55,
    0x57e4014e,0x186eaaaa,0x0f900fa8,0xa9aeff98,0x46fc43fc,0x7442ffa8,
    0xdfebaacf,0xff715f90,0x6d567e43,0x2e2bf26f,0x2b3f21ff,0x2bf26fda,
    0x3f21ffb8,0xe86fdaac,0x36ab3f24,0x5567e46f,0x567e46fd,0x67e46fda,
    0xf986fdaa,0x43fca9cf,0x4e7fcc6b,0xcfc83fca,0xb906fdaa,0x81fc41ea,
    0x704f804e,0x36c4e83f,0x57440f70,0x02dfffe9,0x7f1bffd5,0xbfffd910,
    0x9effd883,0x77ff641f,0x3bff620c,0x7ff641f9,0x3ff620ce,0x7f641f9e,
    0x3fae0cef,0x677ff644,0xceffec80,0xceffec80,0xceffec80,0xbffd9300,
    0xd930d705,0x76405bff,0xb900ceff,0x81bfe1ea,0x80fd404e,0x6f7d45f8,
    0x01a200ff,0x00400303,0x04400440,0x04400880,0x04400880,0x55300880,
    0x44002203,0x20011000,0x20040008,0x20004039,0x51198008,0x0d401770,
    0x1f901b60,0xa8015750,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666662,
    0x01109819,0x31002a60,0x00029801,0x13100388,0x22006200,0x00310980,
    0x00131000,0x10a20353,0x20260041,0x88022018,0x4c260009,0x00c42600,
    0x04c40008,0x7fe40088,0x40ffffff,0xf7009d4f,0x04fc80df,0x590037e4,
    0x1db006c8,0x80bfd100,0x3f9ec84e,0xb005f700,0x3fea01df,0x235c3fff,
    0xf906a8da,0x207c8bff,0x03bf606d,0x03ee7ee0,0x404e9fb8,0x32001cc8,
    0xc80db00f,0x1999999f,0xf00351a8,0x1fbf002b,0xd002f980,0xf9806c81,
    0x7f1db001,0x5fe815c0,0x7007aa00,0xbf30bd1f,0x5c7f9315,0x981dec86,
    0x3e47f12f,0x23f20db0,0x5f3e805e,0x300bfb00,0x3e200715,0xf901b602,
    0xf9800000,0x3f8fa802,0x59802f80,0x100f7fe4,0x2a660015,0x39300019,
    0x00054400,0x26e83e40,0x0fb8006b,0x3607c8ee,0x8802a606,0xb8802201,
    0x865c3100,0x802a6008,0x803e406d,0xe80e985b,0xaec04efe,0x303f806d,
    0x6cc1dffb,0xffeb80af,0x3fae03ef,0x87b03eff,0x03fffffa,0x0fbfffae,
    0x641d30b7,0x1ae1980f,0x43d17fb7,0x0f900df8,0x7ffd436c,0x207c84ef,
    0xfffeb86d,0xdb03e43e,0x9dffff50,0x07c80db0,0x86c85f30,0x201afda8,
    0x803f52f8,0xe9df883e,0xfb83646f,0x703f931c,0x07f2639f,0x8adf993a,
    0xcfb83fc9,0x7cc3f931,0x3be63642,0xfa9ae01b,0x222ffdad,0x07c82ffd,
    0x17df91b6,0x07c89f73,0x239f71b6,0x81f21fc9,0x45f7e46d,0x036c4fb9,
    0x3ffffff2,0x0fe2f45f,0x0fb805d8,0xb099017e,0xc87eba2d,0xdd04fa86,
    0x0dd04fa8,0x6e83e49d,0x46e827d4,0x74c1fc5e,0x35c1dfff,0x3a2fc89f,
    0x320dfd8b,0x3f99b607,0x03e47f50,0xe827d4db,0x26d81f26,0x47f503f9,
    0x557e406d,0x7dc1aaaa,0x27401f50,0x03f22f40,0xaa742fa8,0x0d90d904,
    0x40d9054c,0xf92740a9,0x06c83301,0x50fb82a6,0x7edc401f,0x17cc223f,
    0x507ccbea,0xd81f21df,0x4fb01b66,0x6c9b607c,0x03e42a60,0x36036cdb,
    0x0f901b67,0x05d97c40,0x3fe601fc,0x403fffff,0x164fe1fb,0x005e86c8,
    0x274002f4,0xe8037df3,0xd97c4005,0x03f62005,0x25f103ea,0xc9fcc3f8,
    0x05f9b607,0x207c87dc,0xc8017a6d,0x05f9b607,0x406d87dc,0x46ec007c,
    0x007e602f,0xd55555f9,0x3a1fcc0d,0x11b20cd3,0x27c4009f,0x3a627400,
    0x7c41dfff,0xf8dd8004,0xf981fc42,0x7d42f882,0x3e837ee2,0x457a01f7,
    0xc97cc04f,0x27c5b607,0xb6c0f900,0x97cc04f8,0x003e406d,0xf501efea,
    0xf704f801,0x37617603,0x7dc3f359,0xf0013e0a,0x209d0009,0x7c3ffdb8,
    0x7bfa8004,0x1f501dd0,0x7e44e9ae,0x7d57fd42,0x7f307f30,0x5f300fe2,
    0x3e6d81f2,0xd81f2004,0xf9807f16,0xafc80db2,0x80aaaaaa,0x03dc04ff,
    0x2fc407ea,0xbef983e8,0x1ff445e9,0x2f4080bd,0x2013a020,0x017a0fd8,
    0x4c13fe01,0x5fcaabef,0xdadfb9ae,0xffd882ff,0x6d567f40,0x2a02f46f,
    0x36c0f90f,0x1f2080bd,0x5017a6d8,0x2aabb61f,0xffff92aa,0xf905ffff,
    0x6c05d803,0x7407e406,0x19fff303,0x5403f200,0x5403f22f,0x3f8a742f,
    0x07e45f30,0x1fc82fa8,0x3bfff660,0x3bae35c3,0x3ea01f9b,0xcefffc84,
    0xdb007e40,0x25e807d4,0x25f500fc,0x64bd00fa,0xfd9b600f,0x406fffff,
    0x74036407,0x02c80004,0x007a207f,0xd05f98db,0xbd05f98b,0x407749d0,
    0x417e60fa,0x200d905e,0x0cd701f8,0xb87507cc,0xf880f207,0x263fa80d,
    0x263f983f,0x7ccbd05f,0x3e23f983,0x303fa80d,0x40f10037,0x17c403f8,
    0x4416c000,0x7009502f,0x737bf50b,0x7bf503fd,0x5f03fd73,0x6555f7cc,
    0x9bdfa85f,0x3f881feb,0x701f5100,0x51b6274d,0x79036c3f,0xa9cff980,
    0xacfc83fc,0xdfa86fda,0x641feb9b,0x86fdaacf,0xfca9cff9,0x003f2203,
    0x6ff8b77a,0x001bfaa0,0xfbaefdc0,0x9003b00f,0x3bff6a07,0x3ff6a01c,
    0x0ff5c1ce,0x0fbfff66,0x1ceffda8,0x91006ff8,0xfa9ae0dd,0xfd81ffde,
    0x3ea02fee,0x3fb2605c,0x3fb202df,0xfb500cef,0x3b2039df,0x9300ceff,
    0x4405bffd,0x571007dc,0x2e600bb8,0x2600000b,0x0c01950a,0x00100080,
    0x005d4010,0x80100022,0x351000bb,0x2ea21cc0,0x02ee200a,0x04002e60,
    0x10002200,0x20004400,0x01551000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54400441,
    0x80131000,0x44266208,0x0ccccc41,0x80880620,0x31015102,0x00001101,
    0x10082200,0x2200cc01,0x01330009,0x4c000c40,0x098000aa,0x11015013,
    0x26011044,0x74009800,0x3ae02d89,0x6c03efff,0xfd27406f,0xfc87ea7f,
    0x84ffffff,0xb8d902fd,0xe81ff984,0x8004e86f,0xb5005b0e,0x41b60d31,
    0x77f402fd,0xffffd500,0x04f8801d,0xfdfff910,0x3f50019d,0xd09703f7,
    0x709d2749,0x17d403ff,0xb813faa0,0x03f931cf,0xe817a3ee,0x43f513a4,
    0xda9999fc,0x407fec4f,0x3203a26c,0x4e8ec80e,0x75400274,0x37b2004f,
    0x5fb0db01,0x85e8fc80,0xe9889df9,0x4017200f,0x2a21bee8,0xea7400ee,
    0x45703a03,0x5f30ae2b,0x413601f7,0xfa822018,0x2a60dd04,0xe93a019a,
    0x0f90fd44,0x17ff6374,0x9b04c9b2,0x0013a000,0x530004cc,0x3f636c01,
    0x26031002,0x409f104f,0x05d801a9,0x54c00ed8,0x00025c00,0x4ccccc00,
    0x40f90999,0xa981b26d,0x7ffffd40,0x22749d03,0xd81f21fa,0x217df6c6,
    0x3603f16c,0xd17fb704,0x03d993a3,0x1dffffd5,0x77fffd40,0x07f66d84,
    0xfb80fa80,0x3ea0aa00,0xb903ffff,0x9ec6fecc,0xffff504d,0xd87e209d,
    0xb03d8f63,0xffffff07,0xd81f2bff,0xf30017a6,0x07f9315b,0x3ea2749d,
    0x27cc1f21,0xd907edb6,0xa84e81ee,0xd2ffdadf,0x7cc17e69,0x0fe9889d,
    0xb98befc8,0x1fdb6c4f,0x6c07d400,0xadf98006,0x7cc3fc98,0xfdb59f30,
    0x3bf21aa5,0xd04fb98b,0x749d2747,0x33309d04,0x327f9333,0x27c5b607,
    0x3741f200,0xfa89d274,0x3bbbbf21,0x8b6c0cff,0x0365b25f,0xfc89f07f,
    0x20bf19d2,0x89f104f9,0x47f503f9,0x003ffded,0x427c07d4,0x3e419999,
    0xf8adc6e8,0x0f88ff44,0x1fd40fe6,0x2749d2ec,0x4013a09d,0xd81f25f9,
    0xf90013e6,0x49d03301,0xf90fd44e,0x201ff999,0xb64bee6d,0x40fc885d,
    0xe97d42f9,0x03ee06fd,0x2036c2a8,0x367ff67d,0x03ea001f,0x3fffe17e,
    0x2603f20f,0x40fb9ec1,0x6d83e27c,0xd3643ec0,0x209d2749,0x0ef8804e,
    0x3a6d81f2,0x3be60405,0x3a4e801b,0x8f90fd44,0x46d80ee8,0x09d6c8fd,
    0x81f503f7,0x5fbfd2f8,0x3e001b60,0xfd87dc05,0x2001dd11,0x986d80fa,
    0x3e60fb99,0xd8fc01be,0xf1ea5d85,0x5c0fb80b,0x3a4e93a7,0xfd009d04,
    0x9b607c83,0x85f500fc,0x01dfffe9,0x3ea2749d,0x17e61f21,0xd9bf11b6,
    0x21766176,0xe97d42f8,0x09f01f95,0x7c433333,0x6d97cc04,0xfa802fcc,
    0x2a00fb80,0x7fff4c0f,0x0bd1f81d,0x9f12ec9f,0x3642f980,0x09d2749d,
    0x05f9013a,0xf336c0f9,0xb8817a0b,0x24e83ffd,0xf90fd44e,0x0db0ff20,
    0x81b2dff7,0x7e44e81f,0x217e29d2,0xfffff85f,0xf9807f10,0x07f90db2,
    0xdd101f50,0x4403f201,0x9ec3ffdb,0xfb97e47c,0xf300fe20,0xe93a4d85,
    0x027413a4,0x81f207f7,0x4defd46d,0xb1001feb,0x13a4e81f,0xd03e43f5,
    0xfd836c1f,0x41f40f56,0x2ffdadfb,0x3617d49d,0x0fb99986,0x21f5017a,
    0x803fd06d,0x9fd100fa,0x01bfd755,0xae41fb10,0xcfec9df9,0x405e82fc,
    0x9d1fc0fa,0x3a09d274,0x540bf304,0xb50bd00f,0xf8839dff,0x4e85f303,
    0x643f513a,0x6d97e607,0x03e6df10,0xbeeb8274,0xfd89d1f9,0xfa803ee0,
    0x6d803f20,0x337cc1b6,0x2200fb89,0x41dfffec,0x45f303f8,0x17dd50f9,
    0xc8263bfd,0xf11b600f,0x749d2743,0xdf109d04,0x4c1fcc01,0xd013203f,
    0x441f501d,0x07713a2c,0x22001c88,0x3609b01c,0x80f98184,0x0ee880ab,
    0x6fc41f90,0x2603fa80,0x643f301b,0xd0132007,0xc81f501d,0x41f9001f,
    0x3fa80df8,0x78fe035c,0x03fa13a0,0x36ab3f20,0x026cc06f,0xf9557df3,
    0x13a5f70b,0x05f70079,0x7cc17dc0,0x44e85d80,0x20bd306d,0xebaacfe8,
    0x67fcc0df,0x4403fca9,0x75df00fc,0x2ecc00bf,0x9557df30,0x02ff60bf,
    0x2607f662,0x3fca9cff,0x4be201f8,0xf70be078,0x55555559,0x0ceffec8,
    0x300ff2a0,0x907dfffb,0x4bbfa3f9,0xf9906cfa,0x07f32003,0x0f7d41e4,
    0x03ffbdf5,0x64409d95,0x201dfffe,0x02dffec9,0xb303ee44,0x65400bff,
    0x7fecc04f,0x7f5403ef,0x0cffedef,0x37ffb260,0x3ae05b82,0x5cb7ba0f,
    0x7ffe40fe,0x107fffff,0x006a6001,0x05540110,0x05cc1555,0x2a000aa8,
    0x4c0e200a,0x055d440c,0x22001a98,0x20008000,0x00800aa8,0x4001a980,
    0x5d4c0008,0x040009ac,0x0ba802e0,0x01750d44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01109800,0x30000c40,0x00260001,0x00aaaaa2,0xcb8004c4,0x84c01ccc,
    0x10004008,0x21310013,0x09862008,0x201884c0,0x09803109,0x55009800,
    0x3b201555,0x006607ac,0x01300130,0x007f3db0,0x540013e2,0x7dc002ff,
    0x7774c01f,0x01db005e,0x07bbbb20,0x405f3bd0,0xfe800bea,0x3f3bd006,
    0x07de7440,0x813a3f20,0x6403f8ed,0x07ee000f,0x40f7776c,0x202dc9e9,
    0x1f9001fb,0x401ffc80,0x2e004fe8,0x77f30006,0x2be6001f,0x201880ec,
    0x007e6008,0x22001530,0xfff103ff,0x476c05fd,0x3ff8804e,0x001ff980,
    0xfe880dfd,0x4009d005,0x0c42202f,0x90088062,0x805f100b,0x880ecafa,
    0x4401a999,0x44019999,0x42203300,0xf90c4018,0x131036c0,0x3fffea00,
    0x5533304e,0x47641333,0x4c406d8d,0x2a666200,0x0621999a,0x02a20088,
    0x22002a60,0x88062009,0x323e5b20,0x4cc5b607,0x22199999,0x19999999,
    0x26666662,0x7fffe419,0xffc84fff,0xc84fffff,0xf81ff887,0x3e207f74,
    0x06d81f25,0x3f2013f2,0x84fb98be,0xffffffff,0x64c6cfe5,0xc813f200,
    0xffffffff,0x3640bf67,0xf5009f90,0x409f9003,0x4cd902fd,0x207c8532,
    0xfffff96d,0x3ff21fff,0x90ffffff,0xffffffff,0x4cccfe41,0x4fe44fda,
    0x44fda999,0x1ffd41fa,0x80fe8be2,0xd81f20fd,0x803f7e06,0x87f503f9,
    0xfc999999,0x8006d3e3,0x33100fdf,0x43333fb3,0x06c80ffd,0xf5003f7e,
    0x01fbf003,0x1b203ff6,0x5b607c80,0x999999fc,0x26667f21,0x267f2199,
    0x3e419999,0x207c8dd0,0x321fc46e,0x307d45cd,0x642fa8bf,0x7d41b607,
    0x01b603f8,0x8bf300fb,0xa800ecfc,0xf9003f8f,0x642ffec0,0x07f1f506,
    0x7d401fa8,0xbffb03f8,0xd30f6d90,0x96d81f23,0x401f200f,0x81f2007c,
    0xdb03e46d,0x7abf8bd0,0x897dc364,0x3607c84f,0x81b6bb06,0x007dc05f,
    0xff701df1,0xdaec019d,0x6c0f9006,0x83642fbe,0xfa80db5d,0x06daec01,
    0x6c85f7db,0xf91f989d,0x007cb6c0,0x01f200f9,0x89f307c8,0x909f307c,
    0x17c47ccf,0x363fa09d,0x3607c80e,0x3f52f886,0xf9809f10,0xd007fa02,
    0x4be20dfb,0x07c801fa,0xd907edb6,0x07ea5f10,0x3e201fa8,0x2db03f52,
    0x275b20fd,0xb03e47e6,0x3e401f2d,0x32007c80,0xcffeeeef,0x77777e40,
    0x0f980cff,0x1f8a74d7,0x203fdf30,0x2e1b607c,0x3e217e0f,0xc817cc03,
    0xf98d802f,0x17e0fb83,0x16d81f20,0x7dc364bf,0x1fa817e0,0x85f83ee0,
    0xb64bf16d,0x7c8fcc4e,0x7ffe5b60,0x3f25ffff,0x25ffffff,0xfffffffc,
    0x7e667e45,0x999f900f,0xb2f801ff,0x407ab649,0x81f204fb,0x7e45e86d,
    0x7d405e80,0x9103fb80,0x7427c361,0x32007e45,0x2fb9b607,0xfc8bd0d9,
    0x7403f500,0x9b607e45,0x13ad92fb,0xd81f23f3,0x55555f96,0x5557e435,
    0x2bf21aaa,0x641aaaaa,0x64077447,0xb0077447,0xc8f98be9,0x5017cc05,
    0xf317a01f,0x07ffffff,0x436c01f9,0x4fe205f9,0x7cc1f88d,0x03ffffff,
    0xd8db03e4,0x7fcc6c8f,0x503fffff,0x3ffe603f,0x36c3ffff,0x275b23f6,
    0x807d47ea,0x3200f95e,0x400f9007,0xc85f987c,0x2e05f987,0x3eaf87ae,
    0xf3017cc0,0xfc87f307,0x86eaaaaa,0x3fa80df8,0x360077c4,0xc86d9dbf,
    0x6eaaaaaf,0x8db03e40,0x7e46cdf8,0x06eaaaaa,0x2bf203f5,0x6c6eaaaa,
    0xeb66fc46,0x3f98fdc5,0x00f93f98,0x03e401f2,0x0ff20f90,0x40ff20f9,
    0xfcd85cf9,0x2017cc01,0x6fdaacfc,0x03f704f8,0xf9539ff3,0x1001fd07,
    0xf039fffb,0xc807ee09,0x3ee1b607,0xfb827c6f,0x9f01fa81,0x86d87ee0,
    0x15f96ffb,0x67e43ff7,0x1f26fdaa,0x7c803e40,0xfe81f200,0x0fe81f20,
    0xff707ff0,0x9005f300,0xa819dffd,0x20bf101f,0x82dffec9,0xaaaaacfb,
    0x500e882a,0x817e203f,0x6c1b607c,0x4407ea6f,0xa81fa85f,0x6cbf101f,
    0x362dfb06,0x641f9eff,0x320ceffe,0xaaaaaaaf,0x55555f90,0x2abf2155,
    0x320aaaaa,0x7c97e607,0x7ec17e60,0x9804f981,0x8022002f,0x007e406d,
    0xffff9002,0x320fffff,0xfc80db00,0x36c0f900,0x01b66f88,0x81fa81f9,
    0xd87e406d,0x088df106,0x3f201100,0x2fffffff,0xfffffff9,0x3ffff25f,
    0x0002ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26200000,0x00188000,0x02620188,0x75000988,
    0x0062012a,0x00726f6a,0x22722000,0x0261881c,0x31004110,0x200c4260,
    0x200003e8,0x813100cb,0x26f66018,0x3333301c,0xb01dcae0,0x2b9656a3,
    0x01db03d5,0x8800bd00,0x01f905fe,0x6d8007e4,0x5ff880f9,0x02fe5f40,
    0x980d34b8,0xf882f8af,0x6cc00fbb,0xbff10698,0x809f1f90,0xced884f9,
    0x00fd806b,0x027c4dd1,0x260bf97d,0xbd07ffff,0xeee981b6,0x7dd7a9f0,
    0x4000fcc2,0x76c000ea,0x017c44f8,0xa98003f1,0x3f8de800,0x100054c0,
    0x06203dfb,0x0ffd4088,0xb02deb80,0xbfb07f1d,0xb9c98000,0x00ba801d,
    0x4035c7e2,0x01880098,0x28800988,0x220c4188,0x33330000,0x44133333,
    0x05442201,0x50188031,0x109dffff,0x7ffd4001,0x131004ef,0x2db03e40,
    0x200aa998,0x99999998,0x4cc41881,0xb81999a9,0x441e8bfd,0x7fff5401,
    0x221880ef,0x804fc801,0x27e401fa,0x3ea0fd40,0x06d87ea1,0xfffffb80,
    0x1f26ffff,0xfb93a6d8,0xf90bf103,0x89f7317d,0x7df9004e,0x9009f731,
    0xb03e409f,0x3fffff6d,0x7ffe40cf,0x540fffff,0x3ffff21f,0x3ea0ffff,
    0x542ffdad,0x13bf301f,0xfa81fd31,0xdf803f51,0x00fd400f,0xf5003f7e,
    0x3ea1fa83,0x3a001b61,0x9999de9d,0x6d81f209,0xb01fd13a,0x503f981f,
    0x4c02747f,0x807f503f,0x0f900fdf,0x999fdb6c,0x4fe46fca,0xa8199999,
    0x2667f21f,0x227c1999,0x40fd42fc,0x89f104f9,0x403f51fa,0x5403f8fa,
    0x3e3ea01f,0x2a0fd403,0x6d87ea1f,0x5e8fd400,0x9b607c80,0x2a2fcc4e,
    0x6c06d82f,0x1b6013a7,0x47d40fb0,0x6c0f903f,0x93ea0fb6,0x0fd4007c,
    0x0be600f9,0x81fa85f5,0x50aa00fb,0xd807ea3f,0x1fa80db5,0x2036d760,
    0x50fd41fa,0x20036c3f,0x32017a6e,0x84e9b607,0x209f12fb,0xe87dc05f,
    0x7c0dfc9c,0xd807dc05,0x81f20db5,0x3ec0fb6d,0x1fa800f9,0x07d401f2,
    0x03f50be2,0x3f5000db,0x97c407ea,0x07ea01fa,0x01fa97c4,0x43f507ea,
    0x801b61fa,0x2017a2fa,0x999999fc,0x7f413a6d,0x4f880ed8,0xefe97cc0,
    0x13e26eba,0x5f105f30,0x81f207ea,0x7e40fb6d,0xfa800f90,0x7c401f21,
    0x3ea17d42,0x99984f81,0xfa8fd419,0x2fc1f701,0x3ee03f50,0x1fa817e0,
    0x43f50fd4,0xd1ba006d,0x45ffffff,0xfffffffc,0x7cc13a6f,0x07f101fe,
    0x41dd2f98,0x807f10fb,0x20fb82f9,0x3607c85f,0x8fd40fb6,0xfffffffc,
    0x3f21fa85,0x45ffffff,0x2a17e44e,0xff85f81f,0x47ea0fff,0xc8bd01fa,
    0x203f500f,0xa807e45e,0xf50fd41f,0xfa8036c3,0x55557742,0x2667f20a,
    0x13a6d999,0x2f404fb8,0x22f43ea0,0x5017a1f9,0xfc8bd01f,0x2db03e40,
    0x647ea07d,0x1aaaaaaf,0x2bf21fa8,0x5c1aaaaa,0x42ffdadf,0x986d81fa,
    0x3ea0fb99,0xff303f51,0x207fffff,0xfff981fa,0xf503ffff,0x3ea1fa83,
    0x7f401b61,0x805fffff,0x4e9b607c,0xf900be60,0x89d36c01,0x803f21f8,
    0xffff986d,0x07d43fff,0x5c0fb5e8,0xa800f90f,0x7001f21f,0xa83f37dd,
    0x200fb81f,0x547ea0fa,0xaaafc81f,0x3f506eaa,0x55555f90,0x507ea0dd,
    0xdb0fd43f,0x5559f300,0x0f900bf5,0x4c09d36c,0x06fc402f,0x889d1fd4,
    0x2037e21f,0xaafc83fa,0x7cc6eaaa,0x0fb3f983,0x800f93ec,0x801f21fa,
    0x7d40f981,0x900ee881,0xfa8fd41f,0x3f704f81,0x09f03f50,0x07ea07ee,
    0xb0fd43f5,0x3a0db00d,0x3607c805,0x2f9813a6,0xa9cff980,0x222743fc,
    0x4e7fcc1f,0x09f03fca,0x59f907ee,0x83ecdfb5,0x001f23fa,0x003e43f5,
    0xfa86d89d,0x559fd101,0x7d41bfd7,0x1fa83f51,0x3f50bf10,0xbf101fa8,
    0x1fa83f50,0xaaed87ea,0x07f32aaa,0x2aaaabba,0x26d81f22,0x00be604e,
    0x16fff64c,0x207e2274,0x02dffec9,0x17e203f5,0x833bffb2,0xfdcaaafd,
    0x55557e45,0x0fd40aaa,0x555555f9,0x7ef7d415,0x201fa81f,0x1dfffec8,
    0x83f51fa8,0x207e406d,0x2036c1fa,0x20fd40fc,0xd87ea1fa,0xb6ffffff,
    0x7ffff40f,0xd81f27ff,0x2f9813a6,0x27400800,0x001007e2,0x00fc80db,
    0x3fff6011,0xffc83dff,0x42ffffff,0x3fff21fa,0x442fffff,0x3f500aba,
    0xf5002200,0x00007ea3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x801c9800,
    0xa8019349,0xd800aaaa,0x803d7005,0xa980953a,0x36e01aaa,0x0062059a,
    0x13100260,0x00188026,0x8c409800,0x01880098,0x9880004c,0x26666621,
    0x41103001,0x404c6000,0x4a403118,0x0fa8fb80,0x07777740,0xfc803f40,
    0x07cb6c01,0x81f7775c,0x103fdae9,0x7d400bfd,0x1fade801,0x203dffb0,
    0x441dffd8,0xaf985f13,0xa7e56c6d,0xa93e01fa,0xfd82dbdf,0xfffdafff,
    0x53301fff,0x4c6d415f,0x7f3f3006,0x409f1bf0,0x266204bc,0x40199999,
    0x26620098,0x4c199999,0x09999999,0x22188031,0x19999999,0x6c088062,
    0x7d004f8e,0x40bfe200,0x3a0bb0fa,0x320fdaad,0xff703b16,0x53ceee81,
    0x5927c03f,0x17fb09b5,0x333ddfb3,0x3bba2033,0x0ef642ef,0x42c9f980,
    0x6406b8ea,0x3fff204f,0x200fffff,0x3ff204fc,0x20ffffff,0xffffffff,
    0x3e207f75,0x3fffff25,0x05fb0fff,0x000001b2,0xf7364000,0x0e445f10,
    0x20006cd9,0x201fa87e,0x13e6004f,0x4c001bf2,0xf300001f,0xf8000393,
    0x33f900fd,0xf8033333,0x33f900fd,0x99833333,0x23fc9999,0x20fd80fe,
    0x999999fc,0x3203ff61,0x077ff626,0x2a33bfae,0xfd882dfe,0x8bfa81df,
    0x039fd04e,0x3035dff9,0x85e83bfb,0x6d3e01fa,0x0fc8f4c3,0xb7006f88,
    0x1ec3f5bf,0xbfb707a6,0xf93033f5,0x7c7d403b,0x2000f903,0xf903f8fa,
    0x45f98000,0x217d45f9,0xbffb007c,0x556f4d90,0x26fb20fd,0xfcacfffb,
    0x7ed56f42,0x204ffd80,0x264fffd8,0xdfa80afd,0x213a5fca,0x753e01fa,
    0x07d8fcc4,0x37ea01be,0x13a1ffda,0x56fd43f3,0xdfb81ffd,0x2bb06fca,
    0x000f906d,0x7c836d76,0x03be2000,0x427c4bee,0xf7db007c,0x45f16c85,
    0xf90b61c8,0x8be27c87,0x7ff441c8,0x49f95000,0xf317e06c,0x07ea13a5,
    0xf989d4f8,0x7ff40dd1,0x227c5fff,0xf313a1fd,0x07f627c3,0x43fa8bf1,
    0x903f52f8,0x25f1000f,0x007c81fa,0xfe807fa0,0x07c80ed8,0xc83f6db0,
    0x20073fa6,0x999afda8,0x073fa1fa,0xab7cefd4,0x4bd03a23,0x337f306c,
    0x213a9f33,0x753e01fa,0x05e8fcc4,0x8aaaabba,0xd0fdc2f9,0x5f31f989,
    0x17cc1fb8,0xf83ee27c,0xfffffc85,0x41f705ff,0xffffc85f,0x3f205fff,
    0x0ff7cc02,0xffffffc8,0x2fc5b65f,0x7ffec4d9,0x6f7fec44,0x2fffffff,
    0xd13fff62,0x22f67d4b,0x23fa89de,0xffff506c,0x213abfff,0x753e01fa,
    0x06d8fcc4,0x81f501be,0xf313a1f9,0x3f303ea3,0x45d80fa8,0x3207e45e,
    0x1aaaaaaf,0x40fc8bd0,0xaaaaaafc,0x2007f701,0x2bf204fb,0x361aaaaa,
    0x8364bee6,0x5df14fca,0x2a0007dc,0xc85f14fc,0x7fecc2ff,0xf983643f,
    0x7d427402,0x9d4f8371,0x01f91fa8,0x2f980df1,0xa89d0fd4,0xfa85f31f,
    0x27c17cc1,0xfffffff3,0x4c007c87,0x3fffffff,0x3e6003e4,0x80be6005,
    0xd8db007c,0x81d16c8f,0xfd83f55e,0x0e887542,0xf88bd2f4,0x320bb02f,
    0xd88bf106,0x23f50b22,0x2f4be25d,0x427c47ee,0x44f806fc,0xf717a1fc,
    0x07f227c3,0x23f989f1,0xeaaaaafc,0x32003e46,0x6eaaaaaf,0xdf1003e4,
    0x017cc001,0x11b600f9,0x4ef4d9bf,0x19f13fa8,0x515fdf91,0xa89de89f,
    0x2a73f23f,0xd882feee,0xc80afb84,0x546d98cf,0x7dc7ea4e,0x5f90fdab,
    0x7dc3ff71,0xaeeeeaae,0x3ee0aaaa,0x321ffb8b,0x21ffb8af,0x1ffb8bfb,
    0xeea8cfc8,0x0fdc13e0,0x04f800f9,0x003e43f7,0xf98001fd,0x6c01f202,
    0x266ffb86,0x7543fffd,0xdff90dff,0x7fffb309,0x11bfff90,0x82fec89d,
    0xff703fe8,0x1fe5c3bf,0x3ff223f5,0x3bff622e,0x7ff5c1f9,0xfffffd9e,
    0x57ffe43f,0x3bff621f,0x7ffdc1f9,0xffb501fa,0x880fd41b,0x2aabf25f,
    0x3ea0aaaa,0x7e4bf101,0x0aaaaaaa,0x555559f7,0x80be6055,0xaaaaaafc,
    0x3f60db0a,0x20080106,0x03001000,0x40000620,0x40035500,0x44002200,
    0x40040000,0x80010008,0xfc80db00,0xffffff90,0x2036c5ff,0xffff90fc,
    0x3f25ffff,0x7fffffff,0x7e405f30,0x2fffffff,0x01be20db,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x11000000,
    0x201b8804,0x06601309,0x0411004c,0x01802620,0x4000002a,0x208800a8,
    0x22188000,0x0031001a,0x21510153,0x04422018,0x088330cc,0x4004c031,
    0x20033009,0x18801000,0x4c6d4031,0x2a091906,0x7b01faaf,0x2603ff70,
    0x76c0698d,0x42fde980,0x3fae00f9,0x7f5c01df,0x36602eff,0x75d6c698,
    0x363f21df,0x7c03ffff,0x3fffea05,0x3e43ea3e,0x361b6db0,0x32d90ba3,
    0x401dfb07,0x03f701fb,0xb827ff54,0x2f904ffe,0x0ef6407b,0x29b049b8,
    0xf307e03e,0x3ae01f75,0x407e602d,0x03d8b54c,0x1fae6ff2,0xeb89cfa8,
    0x0b7ae02f,0x4dd77ddd,0xfb31cffc,0x6403ae03,0x4fb98bef,0xd81f21d1,
    0x223f0b76,0x82994c0f,0x3e05d8fb,0xf982e403,0x7d44fb8c,0x2984fa8a,
    0x2a000053,0x034c0000,0xe8000000,0x01e61f12,0x881fa87b,0x003f905f,
    0x87dc1fd0,0x00dd04fc,0x3ea09f30,0xd81f258a,0x30f88916,0x0000000f,
    0xfa8bb000,0x00f913a0,0x41dfc980,0x3d8f4c3d,0x212e0f4c,0xb303dfda,
    0x3f6a03bf,0x4f32d83d,0x32a2003d,0x300b881f,0xbffd709f,0x47e63743,
    0x88f701fc,0x3ec1dffd,0x7c833f60,0x643abb60,0xefeeefee,0xb1e987b1,
    0x87b1e987,0xe987b1e9,0x85f10fe1,0x7e4c3ec0,0x95bf701d,0x3e6274df,
    0x41f989d1,0x5d6fd42e,0x656fd43f,0x5d6fd45f,0xa646dc3f,0xffd98069,
    0xd0001fde,0xeb9bfc8b,0x25f113a7,0x43f500fc,0x20fdaade,0x20fdc05f,
    0x82bf607c,0xdeaaddaa,0x1f989d0a,0x9d1f989d,0x989d1f98,0x7f05f11f,
    0xf70fee20,0xf88df95b,0x44e9fd45,0xf989d1f9,0x8bf03e21,0x3e62fc6b,
    0x88d717e2,0x807b0cfc,0x3f30aef8,0xffffff88,0x1ec7ffff,0x222747ea,
    0x7cc0f92f,0x8e445f12,0x17cc04f8,0x206d81f2,0x89d0ba3d,0xf989d1f9,
    0xd1f989d1,0x3f31f989,0xbff309f0,0x1fd45f88,0x3a9f05f3,0x44e8fcc4,
    0xf11aa1f9,0x99bf9807,0x07f14f99,0x7645a600,0xf707e60b,0xaaadf883,
    0x207eaaaa,0x89d1fca8,0x4c0f92f8,0x2073fa2f,0x17cc03f8,0x206d81f2,
    0x4e81f11f,0x4c4e8fcc,0x1f989d1f,0xf31f989d,0x51109f03,0x20be61dd,
    0x3603ea4f,0xd1f989d5,0x0f21f989,0xffa803f3,0xf35fffff,0x64ba0003,
    0x37e23d8d,0xf82ffa88,0x36637c06,0x9d1fdeff,0x40f92f88,0x3ff621fa,
    0x2a02f44f,0xdb03e40f,0xfb99f970,0xf313a199,0x23f313a3,0x4e8fcc4e,
    0x82f88fcc,0xa97cc03f,0x3e65d80f,0xa89d4f82,0x1fa89d1f,0x107f307e,
    0x3e6017cc,0xf3540083,0xffd51aa5,0x3fb07f1b,0xef893ea0,0x13a3f30a,
    0xc81f25f1,0x49f9500f,0x21b600fc,0x70bd00fa,0x99dd99fb,0x23f513a1,
    0x4e8fd44e,0x544e8fd4,0x5f10fe1f,0xf9a7c054,0x13e24f82,0xf717a7f3,
    0x23f717a3,0xfb8bf079,0x2d88bf10,0x401f717e,0x83cc7e2e,0x84f98340,
    0x07e60fd8,0x8fc403f7,0x44bf107c,0x9f32f40e,0x3e60fea0,0x9903f983,
    0x2e2f41ec,0x1fb8bd1f,0xbd1fb8bd,0x51761fb8,0x3ea2741f,0x3f989f11,
    0x775467e4,0xff715f90,0x3ee2bf23,0x3ee0b71f,0x7e43ea8c,0x7dc6d98c,
    0x2a03ea8c,0x004b96c6,0x2fff201f,0x7c43ffc9,0x02ffa88d,0x713e43e6,
    0x9de83fb5,0x77cc3fa8,0x203fca9a,0x6fdaacfc,0xc82f8f60,0x91ffb8af,
    0x23ff715f,0x1ffb8afc,0x3ff715f9,0x1fdc6fcc,0x17aa2bee,0x1dd519f9,
    0x41bffb50,0x1f9effd8,0x3f3dffb1,0xefda80b6,0xdfffb80b,0x0befda81,
    0xfbf50ba0,0x0fbf6003,0x07bfffaa,0x7c6fff54,0x3e4dfb03,0xb305fff5,
    0x32607fff,0xc802dffe,0x200ceffe,0xb101f11f,0x223f3dff,0x11f9effd,
    0x23f3dffb,0x1f9effd8,0xb827ffd4,0xda80befe,0x00400dff,0x20110022,
    0x02001001,0x81440040,0x00980028,0x80020018,0x2001002b,0x40002000,
    0x01830008,0x00220044,0x00088011,0x04002001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00130000,0x00098026,0x00009880,0x4404c310,0x22310310,0x00621101,
    0x80260013,0x44000009,0x100dc400,0x40000621,0x40130009,0x004c4009,
    0x21100988,0xf7005418,0x3f603d7b,0x017d400f,0x3aeb60db,0xd7f900df,
    0xffffff05,0x0fbcf883,0x985e9fa8,0x2d905daf,0x03ff607b,0x36c05f50,
    0x40f7f6a0,0x901dffe9,0x7cb64091,0x03d7bf70,0xf5003ff6,0xb807e405,
    0x7400efff,0x13a7ea06,0x6d4ec07b,0x0db1f704,0x174404e8,0x375df774,
    0xf882ffb8,0x980aaaac,0x3bf201ff,0x201df700,0x3ee05329,0x027406d8,
    0x6fd40ba2,0x67cc3fba,0x93706d98,0xb02994c0,0x3ee09b53,0x01f406d8,
    0x89fd426c,0x003e604e,0x00b70df9,0x00000000,0x0fd41fd0,0x2a1b232e,
    0x0000000f,0x00000000,0x45f80000,0x3a636c6b,0x00001501,0x00000000,
    0x0d907dc0,0x3cc00040,0x203bf930,0x9301dfc9,0x3f2603bf,0x3e63741d,
    0x43fcdb81,0xffd7007b,0x3bf9303b,0x20f4c3d8,0xb301dfd9,0x3f6603bf,
    0x3bfb301d,0x3f803f88,0x3bffd700,0x03bffd70,0x703bffd7,0xd703bffd,
    0xfd703bff,0xf136c3bf,0x2f7f6a07,0x83dfda86,0xcadfb81e,0x656fdc6f,
    0x656fdc6f,0x656fdc6f,0x3f313a6f,0x7fedf7d4,0x2fbb3b60,0x75cdfe40,
    0x7e56fdc7,0x43f313a6,0x45fcadfa,0x45fcadfa,0x45fcadfa,0x25fcadfa,
    0x57c401f9,0xbfc81ddb,0x5fe47eb9,0x5fe47eb9,0x5fe47eb9,0x5fe47eb9,
    0x5fe47eb9,0xc9767eb9,0xfb57fd06,0xfbadfa87,0x17e22643,0x517e27f5,
    0xf517e27f,0x7f517e27,0x743f313a,0x9fd17dc5,0x43d8df95,0xa8bf11fa,
    0x1f989d3f,0x7c5f317e,0x8bf17cc5,0xf317e2f9,0x9820fe65,0x45fdbfdf,
    0x7b0fd43d,0x50f61fa8,0x3ea1ec3f,0x43f50f61,0x5d8fd43d,0xd87ee17a,
    0x1ae2fc7e,0xf82f98d5,0x29f05f34,0xf34f82f9,0x313a9f05,0xf10fe63f,
    0x07ea0d47,0xf98fe544,0x989d4f82,0x3337f31f,0x26fe69f3,0x7f34f999,
    0x269f3333,0x4f9999bf,0x2a1f717e,0x8807d46f,0x95101fca,0x3f2a203f,
    0x03f95101,0x4407f2a2,0x5cbb1fca,0x5b73ec3f,0x200fe21f,0x203ea0f8,
    0xbb01f55d,0x557603ea,0x89d5d80f,0xd03f51f9,0x6cc9f00b,0xf51fdeff,
    0x313abb01,0x3fffea3f,0xfff55fff,0x3eabffff,0x55ffffff,0xbfffffff,
    0x1f5467dc,0x23f889f3,0x1fdeffd9,0x3f7bff66,0x37bff661,0x3bff661f,
    0x3ff661fd,0x3f661fde,0x8bb1fdef,0x26bd0dfb,0x3f31f98e,0x2f98ba00,
    0xf05f34f8,0x53e0be69,0x9d4f82f9,0x05f11f98,0xa7c04c9f,0x3f30aef8,
    0x753e0be6,0x2f98fd44,0x26017cc0,0x017cc02f,0x20befda8,0xf14f83f8,
    0x447e615d,0x23f30aef,0x3f30aef8,0x7cc2bbe2,0x2615df11,0x215df11f,
    0xf30bb1f9,0x5c7a37a7,0x0107f30f,0x2627c497,0xf989f13f,0x3f989f13,
    0x43f989f1,0xa89d02c8,0x3f513e3f,0x23f707e6,0xe9fcc4f8,0x5f88fdc5,
    0x45f896c4,0x88bf12d8,0xd88bf12d,0xbd00ea82,0x83f32f98,0xb83f31fb,
    0xfb83f31f,0x1fb83f31,0x31fb83f3,0xbb1fb83f,0xbf95d822,0x717e3ec5,
    0x7e47981f,0x320eea8c,0x20eea8cf,0x0eea8cfc,0x3baa33f2,0xfc82fb80,
    0x7dc6ea8b,0x3e26ea8b,0x22ffa88d,0x0eea8cfc,0x3ff715f9,0x36cc67e4,
    0x1b6633f2,0x8db319f9,0x06d98cfc,0x33ea0f71,0x37e26ea8,0xf12ffa88,
    0x25ff511b,0xffa88df8,0xf511bf12,0x2237e25f,0x1bf12ffa,0x5765ff51,
    0xf12fa8de,0xb87f933f,0xf03ea8cf,0x0dffda83,0x80dffda8,0xa80dffda,
    0xcc80dffd,0x7dff701f,0x1bffd701,0xf8dffea8,0x06ffed43,0x3f3dffb1,
    0x81dfffb8,0xb81dfffb,0xfb81dfff,0xfea81dff,0x37ffea04,0x46fff540,
    0x37ffaa3f,0x3ffaa3f8,0x3faa3f8d,0x3aa3f8df,0x2a3f8dff,0xb3f8dffe,
    0xa93ffa2b,0x502dffde,0x36017dfb,0x00200103,0x54008004,0x1000800a,
    0x00400100,0x80040022,0x02001000,0x02001310,0x80040020,0x02001000,
    0x20200040,0x00400209,0x00000044,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01400000,0x2a01402a,
    0x35100000,0x400804c1,0x00054009,0x01510000,0xa8800cc0,0x31002200,
    0x1a980440,0x0002a200,0x18800153,0x20009980,0x201000a8,0x077f6608,
    0x86a81f62,0x417207d8,0x81e9dfdb,0x9cffffea,0x677f5c1f,0x417b7e20,
    0x77656c6a,0x8bfdb80c,0xfdeec81e,0x3ffae02e,0xfbdd902e,0xc809d05d,
    0xff51b607,0x75c07fff,0x5403efff,0x004effff,0xffd501f5,0x75c01dff,
    0xd503efff,0xf54e89ff,0x744bf95b,0x883f107c,0x01f307ce,0x3ffb39f5,
    0xb88befa8,0x45fcc2ff,0x3d4624fa,0x3bfa0fc4,0x6fd45fba,0x3a22ffda,
    0x541f4c0c,0x441f913f,0x21f4c0ce,0xb03e404e,0x4c56fccd,0xbefb83fc,
    0xf904fc98,0x09f7317d,0xdf981f50,0x80fe9889,0x3f931cfb,0x4ea8cfa8,
    0x3e62fd3a,0x03d83cc2,0x407e21e6,0xf50fec4f,0xc87fd107,0x17dc3dc6,
    0x307f41ec,0x3f227c5f,0x8e5c4fa2,0x223e43e8,0x2aa2fa2f,0x2747d10a,
    0x26d81f20,0xfa8dd07c,0xf987f703,0xa807f503,0x4413e60f,0xe827d44f,
    0x47ea2ec6,0x999bf9ce,0x5c3cc4f9,0x26c3cc05,0x0fdc2f98,0x1fafa0d9,
    0xf307b8f9,0x86e82dc1,0xfa85f34f,0x2b3a2b52,0x07d8d14d,0xfccebad4,
    0x6ce74d12,0xd81f20cf,0x06603f26,0x6c6d80db,0x2a03ec06,0xa803ee0f,
    0x15303642,0x25f10be2,0xffffface,0x263cc5ff,0x2a3cc00f,0xf107ea06,
    0xca6c2743,0x2e73e61f,0x87cd2a4f,0xd07d00f9,0x5f103eab,0xe8e264f2,
    0x3c803f20,0x21d25c97,0x26fbaefe,0xf99b607c,0x027c01be,0xb80bf1f2,
    0xd83ea00f,0x005e8006,0x27f10fe2,0x3002f9ce,0x79802e8f,0x2f9807e2,
    0x43f88fd4,0xf50bea5c,0xefd88bff,0x85e80ba3,0xfa85f14f,0xc807a1d2,
    0x0bddfd73,0x3b2b6e1d,0x507f4f21,0x6d81f25f,0x0effff4c,0x3f500fe2,
    0x5f3013e2,0x09f07d40,0x7c433333,0x2e36c004,0x8bf19d4f,0x226402d8,
    0xb33e807a,0x913e23bf,0x6c8fe23f,0x17f90fcc,0x4c801dd5,0xf98fd3d4,
    0x25f913a2,0x96403b1e,0xe83cefca,0xc83d7b71,0x94f88bd2,0xb8836c0f,
    0x0fe23ffd,0x0fe23f50,0x7d405f30,0x3ffe17e0,0x0013e0ff,0x9ddd9ff3,
    0x4c67e53a,0x3075406d,0x365b80ff,0x33ee5d8b,0x53e1ffb8,0xf07dc0eb,
    0x2a02f989,0xfe9fe60e,0x7dc6ea9d,0x772ffdad,0x1d0f892a,0x5cee04e8,
    0xe8741d34,0x40f95e83,0x0fd8806d,0x41f7013a,0x007d405e,0x4c36c1f5,
    0x17a0fb99,0x17d71010,0xffb93a7d,0x87e201df,0x3e607be8,0xfd989b00,
    0x2bf61fbf,0x3e66d80f,0x3f104e81,0xbbd3dfc4,0xdd701bff,0x45a63f37,
    0x8d33eced,0x5da602f8,0x9d34d324,0x403ea9f0,0x2607f15e,0xe821b62f,
    0xdb007e46,0xb83ee24c,0xc83ea00f,0x805f500f,0x5909d2f8,0x8be87b00,
    0xb105d107,0x21f9840b,0x2fb81ff9,0x407e61f4,0xd3c5f43d,0xf9818029,
    0x30a89720,0xc806b83f,0x3e6a219d,0x25f31ba1,0x23f983f9,0x20fa80ee,
    0x333e64f9,0x406fc42f,0xc87e63fa,0xc8077447,0x7417e60f,0x43ea26c5,
    0x5c02d84e,0x3ffffcc6,0x02744264,0x3fe61f98,0x83fca9ae,0x06ea8afb,
    0xffff98d7,0x89d009d7,0x30adc86d,0xddfa83d7,0x6e42a9bc,0xe83d730a,
    0x646ea9ef,0x46fdaacf,0xfcaabef9,0xc9adfa85,0x9ff305ff,0xdf07f953,
    0xfd10bf75,0x1bfd7559,0xeb9bdfa8,0x5457dc1f,0x3ee13a2f,0x200f984c,
    0xfd06a878,0x1f980bdd,0xfffd35d1,0x77ed405b,0x200f980b,0x2a013a78,
    0x501ffdef,0x7039dffb,0xbfff979d,0x39dffb50,0x17ffb9d0,0x19dffd90,
    0x7dfffb30,0x6fffecc0,0xec981dfc,0xfb302dff,0x7f6440bf,0x36a01dff,
    0xd901ceff,0x504e87df,0x30033017,0x26660150,0x30544009,0x40080030,
    0x06a18019,0x0055d440,0x01100008,0x80040010,0x00220008,0x402c8810,
    0x10002000,0x40010001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02218000,0x00130044,
    0x26666666,0x20044099,0x26044008,0x00988c40,0x15555300,0x43100098,
    0x0c311109,0x15555502,0x4cccccc4,0x3a12e199,0x20022002,0xd0022018,
    0x4c40e609,0x19800999,0x80555554,0x7cc004e8,0x413a09d1,0xffb801fb,
    0x6fffffff,0x01b6036c,0x2627c4db,0xee986daf,0xeeec83db,0x88027c2e,
    0x99d1fade,0x21e456cf,0x321eeeec,0xffffffff,0xc8fe1b27,0x02747acf,
    0x80db03e4,0x360bb06f,0x0cffffff,0x77643f98,0x0bf101ee,0x09d1f980,
    0x8017c13a,0x999de9de,0x2036c099,0x3636c06d,0xb80ffb84,0x0000dc9a,
    0x7fcc0097,0xd99a73a2,0x4c4000cf,0x1999fd99,0x6c4fe1b2,0x3ffe2db9,
    0xafd984ff,0x2feaaaaa,0x360bb000,0x6fba999f,0x000005d8,0x13a3f300,
    0x2a000274,0x3600bd1f,0xb01b60a6,0x00002b8d,0x077ffae0,0x9d000057,
    0x7e4c0093,0x903e401d,0x74007f0d,0x777fe404,0x86ffeeee,0x7ec1dfd9,
    0x983ec0ef,0x4c3d804f,0x1efed41e,0x3f5bfb70,0x5b27413a,0x7401bfd7,
    0x76c017a6,0x406d83e8,0x2eb6246d,0x2eb60dfe,0x5fe40dfe,0xad947eb9,
    0x56c0dfeb,0x3039d4fc,0xcadfb81d,0xc81f206f,0x074c3f86,0x0e7e4e74,
    0xa86d81f2,0x2a5fcadf,0x03ec0aee,0xa7e56cfb,0xf50fcc4e,0xf507f75b,
    0x3a3ffb5b,0x3ba9dd04,0xf506ebbe,0xed802f45,0xd80db03e,0x5df77406,
    0x2efbba6e,0x3ea1ec6e,0xfbbeee81,0xe9e77746,0x7c41f504,0x7c81fd45,
    0x87f11b20,0xbefe80fa,0x4cfe46eb,0xf86d9999,0x0bb17cc5,0xd0fb81f6,
    0x313a79dd,0x1ae2fc3f,0x3a3fb13e,0x47ba4f8c,0x207ea0fe,0x7ffff46e,
    0x017ec2ff,0x1b65f8db,0x8fd41fd0,0x407ea0fe,0xfe81fca8,0x87e87ea0,
    0x4c1f504e,0x2a24f82f,0x641aafda,0xf50fe60f,0x7dc1fd01,0x3fffff20,
    0x5fcc6fff,0xd54f9999,0xccfec85d,0x3f47ea0c,0x447e6274,0x42f9803f,
    0x7d19d1fb,0x4c6e93f2,0x3a17d41f,0x20aaaaae,0x236c06fb,0xdd01b64d,
    0x98dd1f98,0x3bff661f,0x4c6e81fd,0x13a17a1f,0x01f507d4,0x7ff74cbb,
    0x4efe44ee,0x07d43fea,0xc87e6374,0xd999999f,0x7ffffd46,0x1dffb5ff,
    0x05557f54,0x3a17a3f5,0x1f98fcc4,0x7cc0fa80,0x49db09d1,0x3a0fcc4e,
    0x05ffffff,0x36c06ee8,0x89d01b60,0xf989d1f9,0x2615df11,0x7cc4e81f,
    0x413a13a1,0x20be60fa,0x640f904f,0x43ecffde,0x444e80fa,0x6d81f21f,
    0x2ec017cc,0x43ee07d8,0x7d44e84e,0x98107f31,0x4e8fd42f,0x262749d0,
    0x2ab3e61f,0xdb005faa,0x36c06d80,0x23f313a0,0xf98fcc4e,0x2740fdc1,
    0xe84e87e6,0x7c41f504,0x7c81fcc4,0x50045b20,0xf889d01f,0x46d81f21,
    0xb16c45f8,0x6d81f60b,0xf717a13a,0x03ee2fc3,0x9d1fc89f,0x4c4e93a0,
    0x2f41b61f,0x36c06d80,0x89d01b60,0xf989d1f9,0xf511bf11,0xf989d05f,
    0x413a13a1,0x467e40fa,0x0f900eea,0x0fa80364,0x90fc44e8,0x7e436c0f,
    0x76c6d98c,0xfa83ec0a,0x2bf213a3,0x3ee1ffb8,0xfb83ea8c,0x9d1ffb8b,
    0x4c4e93a0,0x3a07f31f,0x42aaaaae,0x2aaaaaed,0x555555db,0x2aaaabb6,
    0xd1f989d2,0x3aa1f989,0xe83f8dff,0x09d0fcc4,0x203ea09d,0x200dffda,
    0x401b207c,0x444e80fa,0x6d81f21f,0x83bfff70,0x57ec2ff9,0x745fdcaa,
    0x9effd884,0x5f7ed41f,0xf5fff900,0xd27413a3,0x0fb1f989,0x7ffffff4,
    0x7ffffec7,0xfffffb6f,0x3ffff6df,0xf989d6ff,0x81f989d1,0xf989d000,
    0x413a13a1,0x400200fa,0x400a607c,0x444e80fa,0x6d81f21f,0xfd800040,
    0xe82dffff,0x04002204,0x00000100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,0x1d700099,
    0x01e987b0,0x00980188,0x80620131,0x22130098,0x42624e81,0x88d44098,
    0x800c4261,0x216e1109,0x801310e9,0x08801109,0x33330660,0x1c413333,
    0x00620260,0x1310c431,0x33310440,0x55555003,0xfffffb01,0x075c019f,
    0x007e6274,0xfc809ff3,0xbf00fd80,0xfc837f40,0x324e83f9,0x7d49f10f,
    0x1d97f16f,0xea7c01f6,0x26c85f35,0x5bee06fd,0xd836c06d,0x7ffffc2f,
    0x41b25fff,0x2e1dfffc,0x5cbf103f,0x2a03fa1f,0x3ffff62f,0xdddb02ef,
    0x333fb03d,0x2000df75,0x100fcc4e,0x4405f3bd,0xb81fcc4f,0x9d1db00e,
    0x22017f60,0xed87cc1f,0xfb0ffd40,0xd0d46a00,0x3ff63f8b,0x1b6dfd01,
    0x05fb0db0,0xf9333333,0x97dc3647,0x407f46d8,0x987ee0fd,0x3627c45f,
    0x2fda999e,0x4c1f6000,0x3a0b504f,0x0000fcc4,0x06e83ee0,0xb8000000,
    0x00274001,0x399999fb,0xfa87dc00,0x2613bb60,0xd80db6df,0x30017ec6,
    0x0f7fe4bf,0x262f889d,0x2e17d45f,0xdd17dc1f,0x217a0db0,0xfb01dfd9,
    0x06c83ec0,0x641f989d,0x416a2e44,0xe985f55e,0x985eeeee,0x77774c0e,
    0xe996c5ee,0x04e874c0,0xeeefd87b,0x074c5fee,0x362ecbe2,0x6cdb86ce,
    0x366d80db,0x3be2001f,0x982bf660,0x97dc3f80,0x81fb84f8,0xd81fc8fd,
    0xdfa8bd06,0x07d85fca,0x07f303ee,0xb83f513a,0x0bb0ffc7,0x2217a7ea,
    0x84fcaaaa,0x555440fa,0xa9ec4fca,0x4e87d40f,0x907d89d0,0x6c07d43f,
    0x4f6c2f8d,0xdb65741f,0x1fdb6c06,0x640ff400,0xd01fb006,0xf501db1f,
    0x05fdf101,0x83f731b6,0xd917cc5f,0x7d41999f,0x5e817e61,0x47e60fdc,
    0x10be3ef9,0x135ffd33,0xfa82fc40,0x742fc400,0x0fa81f53,0xfb13a09d,
    0x0fa8fe20,0x6d87bfa8,0xb647cc9d,0x7ef6c06d,0x0bf2003f,0x0fe40364,
    0x501fef98,0x81bea01f,0x3ffffffd,0x4cccdfcc,0x2abfaa4f,0x7c47ea0a,
    0x5c57e405,0xb73f81ff,0xf703e6b9,0x0dffffff,0x0fa81ba2,0xa741ba20,
    0xe87d40fa,0x07d89d04,0x807d45f3,0xd76d84ff,0x0db6cae4,0x1fd9ffd8,
    0x3203fb80,0x2017dc06,0x81e604fb,0x5db01ffe,0x549fb755,0x5fffffff,
    0x21f703ec,0xdffb007b,0x36b903f3,0xf00b97ab,0x401db007,0x03b600fa,
    0x540faafc,0x13a09d0f,0xa8fb30fb,0xb03f900f,0xc9747e6d,0x1fd80db6,
    0x7cc01dd1,0x3a036405,0x202f9804,0xfd3f9079,0x3f20db01,0x36005f30,
    0x87b9b607,0x41a6106c,0x9f89f8fa,0xfeeea83e,0x1fc85eee,0xfc807d40,
    0x07d57e01,0xe82743ea,0x7ffffec4,0x807d42ff,0x674db06c,0x036db279,
    0x20bf31b6,0x36400ef8,0x3e600be0,0x3ea1e202,0x0db0bf33,0x22fc4be6,
    0xa83ec2d8,0xf98fe23f,0x9f02d403,0x4c07ef4f,0x2aadfaaa,0x7d4017dc,
    0x7c02fb80,0x0fa81f55,0xfb13a09d,0x50157999,0x207f101f,0xc933ae6d,
    0x86d80db6,0x00fe83fc,0x0000afb8,0x220017cc,0x3617dc5f,0x7e43f706,
    0xfd86d98c,0x85fdcaaa,0x805feffb,0x7ec1ddf8,0x7c01bf25,0x3339f503,
    0xa81f5033,0x419999cf,0xfa81f55f,0xb13a09d0,0x207d400f,0x99b606ff,
    0x76db22ff,0xdb2aaaaa,0xcfb87fa0,0x22aaaaaa,0x2e883fe8,0x2a02f980,
    0x3a03f61e,0x2aabb60f,0xffb85fda,0xfffd81df,0x5d402dff,0x206e2000,
    0x00fe63fa,0xfffc81fc,0x7d40ffff,0x7ffffe40,0x7d4aa0ff,0x04e87d40,
    0x2007d89d,0x005dc0fa,0xb647e8db,0x6ffffffd,0xc9be60db,0xffffffff,
    0x00fe2007,0x1fb80be6,0x9be205f7,0x3efffffd,0x00000040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x880cc022,0x88026200,0x4cccc400,0x00442200,
    0x26666662,0x0c453019,0x26662110,0x4c431019,0x10999999,0x00033333,
    0x18801106,0x31000020,0x99988440,0x20199999,0x880ec808,0x1d52aaaa,
    0x0004c000,0xff887c82,0x3f204f81,0xfb013a04,0x819fffff,0xfc809d4e,
    0x0fffffff,0x7ec3ffa2,0x3ff6d902,0x2a1dffff,0xfffff91f,0x3fff29ff,
    0xb004ffff,0x3600fc8f,0x1cffeb87,0x3fffffe2,0xb6c0f94f,0xfffffffc,
    0xb05f307f,0xdddd101f,0xfd883aab,0x80be01df,0x2a6bdfda,0x21ffd41f,
    0x3f7e02f8,0xfd809d00,0x46fca999,0xfc809d2b,0x41999999,0x07fec1fa,
    0x999fdb64,0x3f50ffb9,0x266667f2,0x3333f909,0xfa809fb5,0xf8817cc7,
    0x74c5fd44,0x2aaaaa26,0x6c0f92fc,0x3fb33316,0x5ff30333,0xde800000,
    0x5f00fdaa,0x3f6affa0,0x9b90fe23,0xf500fa8b,0x013a07f1,0x413ea0fb,
    0x003e404e,0x0bffb0f7,0x7d41f6d9,0x01f23f52,0x206e81f2,0x05e87df8,
    0x4c5e81f5,0xf92f401f,0x07c836c0,0xe997f7e4,0x985eeeee,0x88be200e,
    0xf705f01c,0x17a3f6c3,0x06c8f57f,0x4e836d76,0x207d8f66,0x4e74f67d,
    0x01f20dfc,0xdb1f7f64,0xfb6c85f7,0x8fd4fe20,0x207c807c,0x1ef3606d,
    0x217603ee,0x901fc40a,0xdb03e41f,0xaf881f20,0x555512f8,0x01f509f9,
    0xe981cfe8,0xb3eeefee,0x907d6dcf,0x17c47ccf,0x54be209d,0xbf34e81f,
    0x43f207d8,0xd75dfd4e,0xda803e4d,0x7edb61af,0xb83edb20,0x1f23f50f,
    0x27cc1f20,0xf10f76b8,0x7002f887,0x90be603f,0xb333333f,0x4401f20d,
    0x20bf102f,0x7ec400fa,0x2aaa24ff,0x2bd1aacf,0x261f98e9,0x8a74d70f,
    0x7c1f701f,0x85f8ce85,0x747ea07d,0x87dc1dd4,0xfffffffc,0x8b6c3dc5,
    0x57edb25f,0x2a6fdbaa,0xfffff91f,0x7777e4bf,0xf980cffe,0x71b60f71,
    0x813e600f,0xffffc86d,0xf906ffff,0x220be200,0x003ea06e,0x5f04fca8,
    0x2e3d1bd0,0x24d97c0f,0x2f40f56c,0xdfbd03f2,0x1fa81f60,0x3f317a9d,
    0x2aaaabf2,0x36c3dc1a,0x7edb25f7,0x20ceffff,0x555f91fa,0x667e4355,
    0x8fa00ffc,0x743f507b,0x205f9804,0x99fc83f8,0x906d9999,0x20be200f,
    0x83ea00ed,0xe81d10ea,0xbf905f05,0xfa6c3ec5,0x41723e62,0xfffffff9,
    0x417eff43,0x743ee07d,0x91f889d4,0x6c3dc00f,0xdb647ec6,0x323f5007,
    0x7447c807,0x999ec80e,0x33f809fc,0x05fa803f,0x03e407dc,0x401f20db,
    0x00fe42f8,0x21fb83ea,0x03fa89de,0x33ff103d,0xf5d707f9,0x3207d5f0,
    0x6eaaaaaf,0x6c0fcaf4,0xd4e9f607,0x0f91f889,0x236c3dc0,0x0fb6cdf8,
    0x03e47ea0,0x42fcc3e4,0xfffffffd,0x80d96c84,0x05e804fa,0xc836c0f9,
    0x5c5f1007,0x40fa802f,0x3fff660d,0x2aaaaa23,0xffbd51aa,0x173e605b,
    0x27c07f36,0x453a1fb8,0xfa83ec5f,0x222753a3,0x5c00f91f,0xffb86d87,
    0x3ea00fb6,0x0f900f91,0x1ee00ff2,0x202f9f88,0x3f8803fa,0x836c0f90,
    0x25f1007c,0x19999cfa,0x81660fa8,0xfffffa80,0x004134ff,0x3fdc1ffc,
    0xbf101fa8,0x6c5f5274,0x5fdcaaaf,0x7c44ea74,0x55555f91,0x6c3dc155,
    0x1f6dfb06,0x07c8fd40,0x03fa07c8,0xfee80f70,0x555df100,0x01f98355,
    0xc836c0f9,0x325f1007,0x0fffffff,0x000107d4,0xfd800000,0xdb04f981,
    0x89d0fc80,0xffffb0fd,0x3a9d07bf,0xffc8fc44,0x22ffffff,0xf106d87b,
    0x7d401f6d,0x0f900f91,0x1ee02fcc,0x7d409f50,0x44ffffff,0x40f900fa,
    0x200f906d,0x000002f8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26660000,0x7b199999,0x005c9e98,0x30f60000,0x0000003d,
    0x3a600000,0x305eeeee,0x1d30b70c,0x649b0ba6,0xd96a2e44,0x0e98fa63,
    0xefd983d5,0x05dfd70c,0x54077f26,0xf9303dfd,0x3ae27c3b,0xdfea8cef,
    0x03bfb302,0x1877ffae,0x7cc4e8c0,0xfd75b6d9,0x2d71001b,0x89d4fcad,
    0xb09b01f9,0x3a69fd75,0x005f40cf,0xb13713d1,0x32aaaa25,0x4d74d84f,
    0x3636c1f9,0x3dc3f90f,0x3a5d87fe,0x0fa8bf34,0x4efcc3d5,0xcacfdefb,
    0x656fdc2f,0x5d6fd46f,0x656fdc3f,0x5f649d5f,0xcacfffb9,0x656fd42f,
    0x5cdfe45f,0x3a30067e,0xdd58fcc4,0x4c0dd77d,0x9ddd4ffc,0x03f313a7,
    0x2b7ba136,0x4fabedfc,0xd80e7fe4,0x01ffffff,0x11f50bf1,0x3e24e83f,
    0x1fcefc42,0x1f7cc7e6,0x27ce745f,0x8bd007d4,0x13e43ff9,0x3e3fa8bf,
    0x8bf135c5,0x0b62a9fa,0x7c7c87f9,0x87b17cc5,0xd18031fa,0xd2c9f989,
    0x2a0fd41f,0x43f42efe,0xd80fcc4e,0x3fa0ee84,0x7f541ae1,0xe897d42d,
    0xf10dd105,0xa9ee17a7,0x05ff980f,0x4d736e7f,0x41bf7a0f,0x05f100fa,
    0xf73333ff,0x53e0be63,0x17cc03f8,0xb510277c,0x3f53335f,0x26666fe6,
    0x3f95104f,0x313a3006,0x263745bf,0x4073fe1f,0x7cc4e85e,0x3bffbba1,
    0x47c8bd5e,0x37e4c07a,0xd80fa8b9,0x3f77d80e,0x81365f10,0x36b901fe,
    0xfe8b97ab,0x00fa82fd,0xfffb03f3,0x3ea5ffff,0x03f35d80,0x86d80fa8,
    0xffdeffd8,0xf52fffff,0x4bffffff,0x1fdeffd9,0xa89d1803,0x3e62741f,
    0x74073fa1,0x0fd44e84,0x999dd999,0x7a8d913a,0xb937e4c0,0x01fc87a8,
    0x207f15f3,0xf501f8dd,0x3e3ea0dd,0x743e9f89,0x0fa81fb5,0x1fd07f30,
    0x4f82f980,0x7cc107f3,0x77c44f82,0xf3003ee2,0x0aef8805,0x230063f3,
    0x3a0fdc5e,0x36a0fcc4,0x742742ef,0x4d80fdc5,0x2a3644e8,0x85bfd507,
    0xb8bd32fa,0xfab6402f,0x106bfa80,0x3e09f19f,0xd03f7a7c,0x1f517e29,
    0x3fe22fc0,0x89f12d43,0xf717e3f9,0x7f313e21,0x17ec1fa8,0x22fc43aa,
    0xb83f32d8,0xf918031f,0xe83ff715,0xc980fcc4,0xf909d4ff,0x203ff715,
    0x3644e84d,0x19ff91ea,0x3fffff60,0x3339f51f,0x1727d033,0x26d81ffc,
    0x25fd81fb,0x2a4e86fc,0x7543ea2f,0x3aa77ee1,0x4fa8bfef,0x775467e4,
    0x3aa33ee0,0x75467e43,0x4467c40e,0xfa8afefc,0x6cc67e44,0x2a237e26,
    0x118032ff,0x83f3dffb,0x200fcc4e,0xb109d6b8,0x203f3dff,0x3644e84d,
    0x4017d1ea,0x5b1a88d8,0x3ffffff2,0x0289440f,0x83f701f9,0x31fd40fd,
    0xfd89d07f,0x07ee1f50,0x321bffb3,0xfb504eff,0xdfb501bf,0xbfff7017,
    0x37ffaa01,0x209dff90,0x541dfffb,0x33f8dffe,0x20044180,0x000fcc4e,
    0x0008813a,0x51b22740,0x0000000f,0x00000000,0x00000000,0x08004010,
    0x00200100,0x04002008,0x33350040,0x00053333,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10880000,
    0x33004c01,0x5440a0a0,0x42806601,0x06031009,0x2eeeeeee,0x2eeeeee3,
    0x8898263b,0x50202881,0x0cc0cc1b,0x22220062,0x000c4620,0x00000000,
    0x00000000,0xb5c00000,0x76fc40f9,0x7f50ff05,0x1fc40fe4,0x220fcde8,
    0x8ddbd17d,0x9d30defc,0x7777741d,0x3bbba6ee,0x25f37fee,0x4c1fabf8,
    0x0fb87e05,0x12fa83f2,0xb559fff9,0x43fffea1,0x0001f57b,0x00000000,
    0x00000000,0x29d00000,0x87a8c45c,0xbfb82feb,0x035103fb,0xf9d1e471,
    0x4d31f8e6,0x00ea1b2d,0x5f37a800,0x4c7eafe2,0xfa85cece,0x747b0361,
    0x3f6ab663,0x55510eff,0x00389cc5,0x00000000,0x00000000,0xf3000000,
    0x5f707f13,0x2e0d77d0,0x7774c3ff,0x3ae3eeee,0x643cc4ff,0x1b5b92e6,
    0xa80000ae,0x2be25f17,0x2ff660fa,0x5987ee40,0x4c404080,0x00000001,
    0x00000000,0x00000000,0x2dd00000,0x20f980fc,0xc81f88fa,0x6664c3ff,
    0x3d72cccc,0xdd8f3132,0xd33c96a0,0xeeeee8bb,0x27a806ee,0x31e23a0f,
    0x41570b7d,0x88000000,0xcccccccc,0x0000003c,0x00000000,0x00000000,
    0x274be200,0x5d83e695,0xf77f7176,0x2a06a207,0xbcc5fb9e,0x5fc08dd8,
    0x5dc041fa,0x803bbbbb,0x20410239,0x00001719,0x2aa20000,0x1aaaaaaa,
    0x00000000,0x00000000,0x00000000,0xb1075d76,0x30fcc7df,0xfb8fea1f,
    0xb703f882,0xf7698935,0x6e445fff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x001f88f9,0x82826062,0x00035102,
    0x86cc0000,0x222221ea,0x00008888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x00000511,0x00000000,0x547ea000,0xfffff31e,
    0x0009ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_19_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,1,1,0,0,1,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,-1,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,-1,
1,0,0,0,0,1,0,0,0,-1,1,0,0,0,1,1,0,1,0,0,0,1,0,0,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,0,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_19_latin_ext_y[560]={ 15,2,2,2,1,2,2,2,2,2,2,4,13,9,
13,2,2,2,2,2,2,2,2,2,2,2,6,6,4,6,4,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,17,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,6,6,6,6,6,6,2,2,2,7,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,15,6,2,2,4,2,
2,2,2,2,2,6,6,9,2,0,2,4,2,2,2,6,2,8,14,2,2,6,2,2,2,6,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,5,2,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,2,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,5,5,2,2,2,2,2,2,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,3,-1,2,-1,2,2,2,0,3,-1,2,0,3,2,5,-1,2,-1,2,
-1,2,0,3,2,1,-1,-1,2,2,-1,2,0,3,0,2,2,2,0,6,2,2,-1,2,2,2,6,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,2,2,3,0,2,0,3,-1,2,-1,2,-1,2,2,6,-1,2,-1,2,
0,-1,2,0,3,-1,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,5,4,4,4,4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,2,-1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_19_latin_ext_w[560]={ 0,3,6,10,9,15,11,3,5,5,7,9,3,6,
3,5,9,6,9,9,9,9,9,9,9,9,3,3,9,9,9,9,17,13,10,12,11,10,9,13,10,3,8,11,
8,12,10,13,10,13,12,11,11,10,12,16,12,12,10,4,5,4,8,11,4,9,8,9,9,9,6,9,8,2,
4,8,2,13,8,9,8,9,5,8,5,8,9,13,9,9,9,6,2,6,10,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,9,9,9,11,
2,9,6,13,6,8,9,6,13,11,5,9,6,6,4,8,10,3,5,4,6,8,14,14,14,9,13,13,13,13,
13,13,17,12,10,10,10,10,4,4,6,5,13,10,13,13,13,13,13,8,13,10,10,10,10,12,10,9,9,9,
9,9,9,9,15,9,9,9,9,9,4,4,7,5,9,8,9,9,9,9,9,9,9,8,8,8,8,9,8,9,
13,9,13,9,14,11,12,9,12,9,12,9,12,9,11,11,13,10,10,9,10,9,10,9,10,9,10,9,13,9,
13,9,13,9,13,9,10,8,13,9,7,7,6,6,6,6,4,5,3,3,11,6,10,6,11,8,8,8,4,8,
5,8,4,8,5,9,4,10,8,10,8,10,8,11,11,8,13,9,13,9,13,9,16,16,12,5,12,5,12,6,
11,8,11,8,11,8,11,8,11,5,11,7,11,5,10,8,10,8,10,8,10,8,10,8,10,10,16,13,12,9,
12,10,9,10,9,10,9,4,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,15,11,9,9,9,9,9,9,9,9,9,9,9,9,9,13,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,9,7,6,13,
9,10,8,10,8,10,8,10,8,10,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,9,17,15,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_19_latin_ext_h[560]={ 0,13,6,14,16,14,14,6,17,17,6,10,5,3,
2,14,14,13,13,14,13,14,14,13,14,14,9,12,10,6,10,13,17,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,14,13,14,13,14,13,13,13,13,13,17,14,17,8,2,4,11,14,11,14,11,13,14,13,13,
17,13,13,10,10,11,14,14,10,11,13,10,9,9,9,13,9,17,17,17,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,17,14,10,13,
17,17,3,14,7,9,6,3,14,2,6,11,7,8,4,13,17,2,5,7,7,9,14,14,14,13,16,16,16,15,
15,15,13,17,16,16,16,15,16,16,16,15,13,15,17,17,17,16,16,8,14,17,17,17,16,16,13,14,14,14,
14,14,14,14,11,14,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,8,11,14,14,14,14,17,17,17,
15,13,16,14,17,14,17,14,17,14,17,13,17,14,16,14,13,14,15,13,16,14,15,13,17,14,16,14,17,17,
17,17,16,16,17,18,16,16,13,13,16,13,15,12,15,13,17,17,15,9,14,17,17,17,17,17,9,16,16,17,
17,13,13,13,13,13,13,16,13,17,14,16,13,13,14,14,16,13,17,14,17,14,14,11,16,13,17,14,16,13,
17,14,17,14,17,14,17,14,18,17,16,14,13,13,16,14,16,13,17,14,17,14,17,14,17,13,16,13,16,17,
15,16,13,15,12,16,13,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,17,11,11,11,
11,11,11,11,11,11,11,11,11,11,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,16,14,16,13,17,
14,17,14,17,16,17,17,17,17,17,17,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,17,16,14,17,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_19_latin_ext_s[560]={ 37,227,196,177,107,65,131,192,77,218,203,
141,217,242,166,29,224,198,155,234,132,60,149,165,65,243,251,222,116,172,165,
204,186,18,244,230,41,65,109,216,175,105,207,175,166,153,83,193,94,179,119,
167,186,156,142,1,231,214,187,43,249,135,112,242,221,76,147,28,1,66,76,
99,56,53,97,32,253,151,107,18,90,41,126,226,198,132,204,224,214,143,185,
83,198,48,231,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,37,100,55,
123,175,60,149,162,249,109,140,195,182,242,133,174,166,235,152,105,226,158,226,
170,211,147,159,96,11,26,75,25,176,68,117,202,223,1,31,12,221,232,243,
15,192,197,142,244,215,86,201,232,183,80,57,121,51,215,173,151,108,44,126,
219,209,199,189,179,169,159,50,139,129,119,109,99,109,104,82,137,50,86,31,
21,11,1,244,130,245,215,206,197,188,237,247,12,26,95,94,107,33,81,71,
55,84,35,114,244,208,239,119,234,11,214,75,1,131,45,40,199,1,1,149,
160,61,90,109,152,178,160,160,15,28,71,185,175,170,167,216,215,237,129,48,
231,250,247,176,224,149,237,137,100,238,1,39,246,37,68,124,59,11,49,17,
190,22,66,41,143,77,105,126,117,82,136,123,1,204,246,197,1,14,229,53,
170,1,117,174,138,25,97,137,143,102,122,25,65,131,152,146,209,210,188,57,
235,1,225,221,11,197,20,172,35,27,46,44,127,62,244,72,51,205,96,90,
114,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,93,86,86,22,
86,86,86,86,86,86,86,86,86,86,86,86,86,147,38,86,86,86,86,86,
86,86,86,86,86,86,86,86,163,96,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,154,70,
168,119,184,80,162,90,140,201,124,115,104,95,84,75,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,1,51,10,106,37,229,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86, };
static unsigned short stb__arial_19_latin_ext_t[560]={ 19,165,205,106,56,106,90,205,38,38,205,
194,205,205,212,106,106,180,180,106,180,121,121,180,136,136,194,180,194,205,194,
165,38,180,165,136,180,180,180,136,180,180,136,165,165,165,180,136,180,136,180,
136,180,136,180,180,165,165,165,38,121,1,205,209,205,194,136,194,151,194,180,
136,180,180,20,180,136,194,194,194,136,136,194,180,165,194,194,194,194,165,194,
38,1,20,205,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,19,165,20,
136,194,165,20,20,205,136,205,194,205,205,136,212,205,180,205,205,205,151,1,
212,205,205,205,205,136,136,136,165,56,56,56,73,73,90,151,38,56,56,56,
90,73,73,73,73,151,90,1,20,20,73,73,205,136,1,1,1,73,73,165,
121,121,121,121,121,121,121,194,121,121,121,121,121,165,165,165,165,121,151,121,
121,121,121,106,205,180,106,106,106,106,1,1,20,90,151,73,106,20,106,20,
106,20,106,20,151,20,121,73,90,165,90,90,166,73,106,90,151,20,136,73,
90,1,38,38,20,73,73,38,1,73,73,151,151,73,151,73,180,73,151,38,
38,73,194,90,38,38,38,38,38,194,73,73,20,38,151,151,151,151,151,151,
56,151,38,121,56,151,151,106,106,56,151,38,106,38,90,90,194,56,151,38,
90,56,151,38,106,38,90,20,90,20,90,1,20,56,90,151,151,56,90,56,
151,38,90,20,106,20,106,20,165,56,165,56,20,90,38,165,90,180,56,165,
165,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,106,194,194,20,
194,194,194,194,194,194,194,194,194,194,194,194,194,106,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,106,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,56,121,
56,165,1,121,1,121,1,56,1,1,1,1,1,1,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,1,1,73,90,1,121,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194, };
static unsigned short stb__arial_19_latin_ext_a[560]={ 76,76,97,151,151,242,181,52,
91,91,106,159,76,91,76,76,151,151,151,151,151,151,151,151,
151,151,76,76,159,159,159,151,276,181,181,197,197,181,166,212,
197,76,136,181,151,227,197,212,181,212,197,181,166,197,181,257,
181,181,166,76,76,76,128,151,91,151,151,136,151,151,76,151,
151,60,60,136,60,227,151,151,151,151,91,136,76,151,136,197,
136,136,136,91,71,91,159,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,76,91,151,151,151,151,71,151,
91,200,101,151,159,91,200,150,109,149,91,91,91,157,146,76,
91,91,99,151,227,227,227,166,181,181,181,181,181,181,272,197,
181,181,181,181,76,76,76,76,197,197,212,212,212,212,212,159,
212,197,197,197,197,181,181,166,151,151,151,151,151,151,242,136,
151,151,151,151,76,76,76,76,151,151,151,151,151,151,151,149,
166,151,151,151,151,136,151,136,181,151,181,151,181,151,197,136,
197,136,197,136,197,136,197,167,197,151,181,151,181,151,181,151,
181,151,181,151,212,151,212,151,212,151,212,151,197,151,197,151,
76,76,76,76,76,76,76,60,76,76,200,121,136,60,181,136,
136,151,60,151,60,151,79,151,91,151,60,197,151,197,151,197,
151,164,197,151,212,151,212,151,212,151,272,257,197,91,197,91,
197,91,181,136,181,136,181,136,181,136,166,76,166,102,166,76,
197,151,197,151,197,151,197,151,197,151,197,151,257,197,181,136,
181,166,136,166,136,166,136,60,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,205,204,204,151,204,204,204,204,204,
204,204,204,204,204,204,204,204,233,178,204,204,204,204,204,204,
204,204,204,204,204,204,204,232,182,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,181,151,76,60,212,151,197,151,197,151,197,
151,197,151,197,151,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,181,151,272,242,212,166,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,204,
204,204,204,204,204,204,204,204, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_19_latin_ext(stb_fontchar font[STB_FONT_arial_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_19_latin_ext_s[i] + stb__arial_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_19_latin_ext_t[i] + stb__arial_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_19_latin_ext_x[i];
            font[i].y0 = stb__arial_19_latin_ext_y[i];
            font[i].x1 = stb__arial_19_latin_ext_x[i] + stb__arial_19_latin_ext_w[i];
            font[i].y1 = stb__arial_19_latin_ext_y[i] + stb__arial_19_latin_ext_h[i];
            font[i].advance_int = (stb__arial_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_19_latin_ext_s[i] + stb__arial_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_19_latin_ext_t[i] + stb__arial_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_19_latin_ext_x[i] + stb__arial_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_19_latin_ext_y[i] + stb__arial_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_19_latin_ext_LINE_SPACING
#endif

