// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT        282
#define STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_22_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_22_latin_ext_LINE_SPACING          14

static unsigned int stb__arial_22_latin_ext_pixels[]={
    0x51000000,0x0c402a21,0x00066400,0x0c4007d5,0x26200000,0x00000000,
    0x00000510,0x00098000,0x0a988000,0x40262000,0x00002618,0xfffffb80,
    0x304fffff,0x7c4be20d,0x27ffecc2,0x4003fb80,0x3fe6006e,0x7c43e204,
    0x2fffb800,0xfffffff7,0x05fb81bd,0x3ff613e2,0x7cc05f70,0x03ec3ec4,
    0x2f7fffae,0x4000fe40,0xfffffeb8,0x07fc003d,0x00bf0fc8,0x3f6013fa,
    0xcffcccca,0x09b02ccc,0x217c4be2,0x03fb8afd,0x74c005e8,0xf5df1000,
    0x1ff7e405,0x85577c40,0xcaaaacfb,0x3fee0eff,0xf989f103,0x980bee1d,
    0x3ec3ec4f,0xd759dfb0,0x001fc8bf,0x44e77fcc,0x7005fdb9,0xe875c03f,
    0x0fef9804,0x07e83ec0,0x97c41fa0,0xd0fe22f8,0x9000300f,0x432a0079,
    0x0054404b,0x2fb83fa8,0xffb8ff20,0x544f880f,0x3017dc1f,0x41f6009f,
    0x45fb03fc,0x3e6001fc,0x02fcc00e,0x8000015c,0x6c03fafc,0x6c00fd07,
    0x3e25f106,0x00117e22,0x9cc00173,0x9854c004,0x02615300,0x706bf262,
    0x72fcc05f,0x9f10df9f,0x17dc0fa8,0x81889f30,0x205f987d,0x007f26f8,
    0x86a077c4,0x0c45e989,0x98062130,0x037d7e00,0x803f41f6,0x22130aa8,
    0xfb85f12f,0xb3b1000d,0x004bd800,0x9f5ffff7,0xfaffffb8,0x7ffffc84,
    0x7f5017dc,0x21fe4fdc,0x207dc4f8,0x13e602fb,0xf70fb0fb,0x0fe40803,
    0x3f20fc80,0xf53f9dff,0x7d417d41,0x5f505f52,0x0fe4bea0,0x01fa0fb0,
    0x3ebfffee,0x0be25f14,0x1007fff9,0x9fd00129,0x915df500,0x577d49ff,
    0x9884ffc8,0x17dc09ef,0x3ee0fe98,0x3e20ff89,0x3ee07dc4,0xfb13e602,
    0x01fb0fb0,0x8801fc80,0x2a2fee2f,0x85f12ffe,0x2fc7d85f,0x21fb03ec,
    0x41f604f9,0x577d407e,0x5f14ffc8,0x98ed8be2,0x6dc00dfe,0x3fbe6002,
    0x7e43f400,0x13f21fa4,0xddf705f8,0x85dffddd,0x44df51fb,0x7dc3e44f,
    0xfb13e602,0x00ff0fb0,0xf3003f90,0xff513ea1,0x83f226c1,0x107e44f8,
    0xd17e209f,0x741f601f,0x7e43f407,0x884c5f14,0x807fe43f,0x9000aa98,
    0x7c407f5f,0xbf14fa85,0x3e609f50,0xddddf703,0x87ee05ff,0x4c9f13fc,
    0x202fb84f,0x6c3ec4f9,0xc8007e87,0x367b801f,0x2ec6f80f,0x41fa8fe6,
    0x407ea3f9,0x81fdc2fb,0x440fd07d,0xf14fa85f,0x7d42fc05,0xfffffb85,
    0x0df5f804,0xa7c41fcc,0x04f883f9,0x0bee05f5,0x3f701ff3,0xa7c47fc4,
    0x07f504fb,0x21f627cc,0x000fd87d,0x2ec00fe4,0x9f17e0bf,0xe836cdd0,
    0xefe81b66,0xb06feeee,0xf981fa0f,0x5f14f883,0x3606fe40,0xea8e7dc7,
    0x64bea02f,0x109f101f,0x2213e29f,0x201f704f,0x0efa82fb,0x3bea0fdc,
    0x20bf54f9,0x0fea04f9,0xf70fb0fb,0xf91dc805,0x3e69d003,0x3e63f984,
    0x3f89fb82,0x07f13f70,0x3bbbbbe6,0x07d81fee,0x41fc40fd,0x225f14f8,
    0xd0f7ec0a,0x3fa86d8b,0x27cc3f60,0x49f70dd0,0xb04fb86e,0xc817dc0f,
    0x6c0fdc5f,0x17e24fcf,0x2fc817e6,0x4c3ec3ec,0x43fe606f,0x15d801fc,
    0x743fb0bf,0x1f79f106,0x03ef3e20,0x5f980fe4,0x80fd07d8,0xf14fb84e,
    0x3ea0be25,0x9801edcf,0x8bf103fb,0x43f700fe,0x87ee4fd8,0x0dd04fd8,
    0x5fd017dc,0x7fc40fdc,0xfe83644f,0x6c0ef882,0x9f907d87,0x7e49fb10,
    0x1fa7b801,0x07f61ff5,0x6c06ded8,0x01be06de,0xd07d81fd,0x221fb80f,
    0x225f14fd,0x1ffb102f,0x3fffb6a0,0xb85f704f,0x9bff103f,0x7fc49fff,
    0xf04fffcd,0x5017dc09,0x407ee1ff,0x83dc4ffa,0xfcbbdffa,0x7d87d81f,
    0x36b3bf60,0x66fe45ff,0xf50ccccc,0x3b6fbea3,0x402fedfe,0x7d403ffa,
    0x807f503f,0xe83ec3fb,0x66ffc407,0x25f14fff,0x37d402f8,0x4c5677e4,
    0xdddfd04f,0x6c40dfdd,0x444f9cee,0x84f9ceed,0x0bee03f9,0x07ee9fb0,
    0x07dc4fd8,0xcffffd98,0x0fb0fb01,0x67ffedc4,0xfffffc81,0x4bf11fff,
    0xffa8cfea,0x7fc0311d,0xb00ff800,0x46f8801f,0x6c40007d,0xf13f9cee,
    0x0b98be25,0x0df10fdc,0xddf309f5,0x03fddddd,0x008fe601,0x05f507f3,
    0x4001b880,0x07d401b8,0x3ec026c0,0x04d80164,0xf9805540,0x02fd4005,
    0x013e009f,0x8003e200,0xf980406d,0x8be25f12,0x10fe44f9,0x909fb0bf,
    0x217e603f,0x3a1fc86e,0xfc81fc86,0x1fec4000,0x407fb100,0x03d801fa,
    0x05fc86e8,0x2a004ec8,0x1df900fe,0x540df700,0x01fa801f,0x40079800,
    0x6436c07f,0x3e25f11f,0x7e567ec2,0xda9bfd86,0x406f84ff,0x5efe40fe,
    0x6fe44fda,0x2e24fdab,0x998005fb,0x3e66005f,0x00fbe205,0xb98353d9,
    0x03eccc4f,0x4401b666,0x3aa01fb9,0xecaabdef,0xbf9903ff,0x005fcc80,
    0x0759f100,0xdfa80d30,0x3e24fdaa,0xeb885f12,0xfd980dff,0x546e8cff,
    0x41fdc03f,0x703effdb,0xfb87dffb,0x7cc001ef,0xff3000df,0x0ffb801b,
    0xb077fa60,0x2dff819f,0x800effc0,0xb5003efc,0x19bdfffd,0x20077f40,
    0x00000efe,0x3200fbae,0xeffda803,0x80260983,0x36006000,0x037c400f,
    0x00100000,0x00000000,0x00200002,0x00000000,0x00800080,0x00000020,
    0x00000600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x42980000,0x0004cc19,
    0x02660000,0x01880198,0x18800000,0x1e4c0000,0x32679100,0x400f6c02,
    0x401971ca,0x004eeee9,0x3aa00772,0x06ce5c03,0x26456540,0x01eba74c,
    0x3ffffee0,0x5d05ffff,0x3fee17d4,0xf8807d81,0x3fff6e05,0x406a82ef,
    0x1fc85ff8,0x7d83ff50,0x7d89ff30,0x3f6013e2,0x757dc001,0x02fcc00e,
    0x01fd7744,0x006aaaa2,0xee80075c,0x001fe800,0x205f71fd,0x7e44fbfc,
    0x66fdc0ff,0x83cccccc,0x2217d46a,0x807d85fa,0x9df705f8,0xb09fd755,
    0x27cf7407,0x3fea07f2,0xdf886c81,0xf89b22fa,0x0017cc04,0x5001ffd8,
    0x9ff3003f,0x025cd300,0x5404b9a6,0x9734c01f,0x09d1f980,0xda985fd8,
    0x0017dc0f,0x37f71174,0x00fb0f90,0x09f70bf1,0x0f307f62,0x90654726,
    0x01ffa83f,0x04b86540,0x05033000,0x26003710,0x03100310,0x402a9220,
    0x0980aa48,0x55244031,0x10980000,0xf703ee03,0x647b8005,0x87c87fff,
    0x3e21987d,0x22037c45,0x0623f84f,0x543f9098,0x806201ff,0x04c18818,
    0xcffffdb8,0xff701fa8,0x26019dff,0x7dc1fb3f,0x7dd3e602,0x7dd3e602,
    0xf993e602,0x17dc1fb3,0x0bee9f30,0x4fe64f98,0x40fb80fd,0x27c002fb,
    0x3206fee2,0x27e47d87,0x02fa8bf1,0x2a1f9008,0xf92fa82f,0xb003bea3,
    0x3ec3ec0f,0x7dfb09f1,0x05fff955,0xb757dfd1,0x25d301df,0x80bee0ec,
    0x405f74f9,0x405f74f9,0x64ba64f9,0x980bee0e,0x4c05f74f,0x764ba64f,
    0x7dc0fb80,0x1999999b,0x17d417cc,0x73ec0fb8,0x645f889f,0x3ea0001f,
    0xc9f617e1,0x800ffa9f,0x361f607d,0x7f913e27,0x3203fee0,0x01df503f,
    0x4c05f700,0x4c05f74f,0x4c05f74f,0x17dc004f,0x0bee9f30,0x70004f98,
    0xffffb81f,0x2a1fffff,0x302fa81f,0x9f77d83f,0x07e8bf10,0x30333331,
    0xf107e45f,0x7ffe7e49,0x3607d804,0x93e27d87,0xfdd105f9,0x5c05f989,
    0x84c0624f,0x53e602fb,0x53e602fb,0x53e602fb,0x3ee13018,0x7dd3e602,
    0x0c53e602,0x207dc098,0xcccccdfb,0x203f20cc,0x1bf102fa,0x882fdfec,
    0x7407f45f,0x440fffff,0xfa8fe64f,0x3a3bff21,0xb03ec01f,0x27c4fb0f,
    0x1bd103f7,0x801fc8ff,0x3e21f66f,0x7cc05f73,0x7cc05f74,0x7cc05f74,
    0x27f10fb4,0x53e602fb,0x53e602fb,0x5c3f887d,0x0017dc0f,0x80bea0fb,
    0x3fff67e8,0x645f880f,0xeaaaa81f,0x3745f80f,0x30efc8db,0x03ec01ff,
    0x7c4fb0fb,0xd36c1f64,0x4007ec1f,0xf10fb0fd,0xf980bee7,0x7cc05f74,
    0x7cc05f74,0x27f10fb4,0x53e602fb,0x53e602fb,0x5c3f887d,0x0017dc0f,
    0x80bea0fb,0x26ff66fa,0x545f885f,0x80fd803f,0x7c4fdc5f,0x3ee0fe43,
    0x7d81f605,0xf93e27d8,0x3f20ed86,0x7e401fe2,0x27f10fb2,0x53e602fb,
    0x53e602fb,0x53e602fb,0xf73f887d,0xfba7cc05,0x3ed3e602,0x03ee1fc4,
    0x7dc005f7,0xf102fa81,0x0bf27d89,0x0ef88bf1,0x3e207ec0,0x07de7c43,
    0x0ffa07f2,0xb0fb03ec,0x8df27c4f,0xf0fe40fc,0x6c7f200f,0x5f73f887,
    0x2fba7cc0,0x17dd3e60,0x21f69f30,0x405f73f8,0x405f74f9,0xf10fb4f9,
    0x7dc0fb87,0x20be6002,0x7dc0bef9,0x1fd13ec0,0x77d42fc4,0xa81ff700,
    0x86ded82f,0x1ff881fc,0x21f607d8,0x7e93e27d,0xb1f607ee,0x21fb001f,
    0xf53f887d,0xfaa7cc07,0x7d53e603,0x3ed3e603,0x03fa9fc4,0x01fd53e6,
    0x221f69f3,0x2e07dc3f,0xccccccdf,0x6c0fe24c,0x207e41ff,0xf12fd47d,
    0x33bfea0b,0xb82efedb,0x83ffa80f,0x1df501fc,0x21f607d8,0xfd93e27d,
    0x8df02fa9,0x26e801fb,0xf33f987d,0xf997d409,0x7ccbea04,0x3ecbea04,
    0x04f99fcc,0x027ccbea,0x261f65f5,0x2e07dc3f,0xffffffff,0x4002f47f,
    0xfd87d87c,0x64c0bf12,0x203efffe,0x203fe07c,0x17f601fc,0x6c3ec0fb,
    0xef993e27,0x989f702f,0xb27dc06f,0x3e27f50f,0x7c47f205,0x7c47f205,
    0x3ec7f205,0x05f89fd4,0x02fc47f2,0x2a1f63f9,0x0007dc3f,0x203ee03d,
    0x407c82e9,0x007881b8,0x0fe201ae,0x2ea004f8,0xfb016c00,0xfd89f100,
    0x2e0df505,0x41df504f,0xd1fec1fc,0x41ff105f,0x0ff882fe,0x3fe20bfa,
    0x3fd83f90,0x3fe20bfa,0x3e20bfa0,0xfd83f90f,0x88007dc3,0x2a13a00f,
    0x4407d82f,0x003544fc,0x06c80dd5,0xe98007ea,0xe807e01f,0x223f9806,
    0xdbacefff,0x3bf200ef,0x40efdbac,0xfedabefa,0x2ef7fe23,0x7fc41ffc,
    0x41ffcbbd,0xfcbbdff8,0x2afbea1f,0x3fe23fed,0x41ffcbbd,0xfcbbdff8,
    0x2afbea1f,0x07dc3fed,0x5073bf00,0x64c3d01f,0x2f4cc05f,0x880a6fe6,
    0x5f100fc9,0x400bf990,0x3a02fa98,0x9f730b9d,0x3a1fda80,0x7bfffd55,
    0xfff95001,0x3fee017b,0x6cc3f8df,0x301deffe,0x03bdffdb,0x37bffb66,
    0x8dfffb81,0x7ff6cc3f,0xfdb301de,0xff703bdf,0x32a7f1bf,0x3ea000fe,
    0x4987b05f,0xf10077dc,0x7df903bf,0x701eff40,0x003bfa0d,0x5404efb8,
    0x3bfb0dfe,0x061ffcc0,0x0020000c,0x00880010,0x22000440,0x88001000,
    0x80044000,0x03fff200,0x00110000,0x00000011,0x08022000,0x20000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8000000,0x003b2003,0x20073154,0x050a2002,0x20059500,0x00006618,
    0x00066400,0x002ca800,0xa801e4c0,0x4001971c,0x988003ca,0x00440000,
    0x22005950,0x4dd4004c,0x401b2003,0x403daaf9,0xf1002fb8,0xd000b935,
    0xdff5001f,0x8f2003f9,0x2a00fffc,0x3ff6603f,0x404fffff,0x360000fe,
    0x5dd1000f,0x6fcc007f,0xfff9003f,0x3f6007ff,0xf5005dbe,0x3ee003fd,
    0x1226e003,0x804b9a60,0x7e403edb,0xa802ffff,0x54000cfd,0x7179001f,
    0x90f4007b,0x05e8057f,0x6e6ffffc,0x1fc402df,0x002f9800,0x10027fcc,
    0xb007f2dd,0xbfd957df,0xeeb9ea80,0xfd5f8801,0x801b2001,0x48800cc8,
    0xb80000aa,0x06e9f8cf,0x20001330,0x80000009,0x0003e478,0x53ffffa8,
    0x0131003f,0x00026200,0x22000262,0x05f98009,0x131003fd,0x00131000,
    0x202fb800,0x405f74f9,0x405f74f9,0xbc5fa4f9,0xffb703fa,0xd7005dff,
    0xb817bfff,0x213e602f,0x43e45ca8,0x53e602fb,0xf53ffffe,0x7fffdc03,
    0xffb800ce,0x6400ceff,0x803fffff,0x0ceffffb,0x3ea05f70,0x3fffee03,
    0x7fe400ce,0x2fb83fff,0x17dd3e60,0x0bee9f30,0x05f74f98,0x22df27cc,
    0x677dc027,0x204febaa,0xfebacefd,0xf3017dc5,0x7ffff449,0x0bee1f22,
    0xfffb4f98,0x2207ea7f,0xfdbabefe,0x7dfd100e,0x201dfb75,0xfecabefd,
    0x57dfd105,0xf301dfb7,0xdfd1000b,0x01dfb757,0x3b2afbf6,0x3017dc5f,
    0x980bee9f,0x4c05f74f,0x4c05f74f,0x1e27f64f,0x36209f70,0xb03fc81f,
    0x3017dc5f,0x7c7fa29f,0xf70f91fe,0xfaa7cc05,0x03f53fff,0x3bea07f9,
    0xf503fc80,0xd05f981d,0x207f903f,0xffd80efa,0x3fc800ac,0xf981df50,
    0x7dc3fd05,0x7dd3e602,0x7dd3e602,0x7dd3e602,0xf993e602,0x1be207cf,
    0x5f989f10,0x2fb9be20,0x97dd3e60,0x0f93f9e9,0x27cc05f7,0x3ea7fffd,
    0x2e02fcc1,0x202fcc4f,0x817dc4fb,0x02fcc3fa,0x7fe413ee,0xbf303eff,
    0x7dc4fb80,0x7dc7f502,0x7dd3e602,0x7dd3e602,0x7dd3e602,0xd313e602,
    0xfa819fff,0x1fb80802,0x80bee040,0x1e4fb4f9,0x017dc3e4,0x3fd989f3,
    0x01fc83f5,0x00fe46f8,0x017e637c,0xdf003f90,0xdffec980,0x7c00fe40,
    0x7002fcc6,0xba7cc05f,0x5d3e602f,0x5d3e602f,0x413e602f,0x320ffef9,
    0x1fb0001f,0x202fb800,0x0f4dd4f9,0x017dc3e4,0x27f109f3,0x007ec1fa,
    0x01fb07ec,0xffd81fb0,0x07ec00ac,0x88007ec0,0x007ec4fd,0x3ff607ec,
    0x0bee00ac,0x05f74f98,0x02fba7cc,0x017dd3e6,0x5de209f3,0x4c41fa5f,
    0x03fc1999,0xf3017dc0,0xc83c5ba9,0x2602fb87,0xf53f884f,0xf9007f83,
    0xfc803fc5,0xeffffc82,0x3200ff03,0xfd00f22f,0x5f9007f8,0x7dffff90,
    0x7cc05f70,0x7cc05f74,0x7cc05f74,0x7cc05f74,0x9fe78844,0xfffe80fe,
    0x001fa0ff,0x4f980bee,0x93c96ef9,0x4c05f70f,0xf53f884f,0xf9007f83,
    0xfc803fc3,0x3ffb2601,0xc803fc0d,0xfd01fa1f,0x3f9007f8,0x6fff64c0,
    0xf980bee0,0x7cc07f54,0x7cc07f54,0x7cc07f54,0xe9e2bf14,0x2aa07f26,
    0x3f60feaa,0x01fd4000,0x36fea9f3,0x21f25f52,0x13e603fa,0x20fd4fe2,
    0x0fd800fd,0x3f6003f6,0x89fb1000,0x0fd800fd,0x3ea037ee,0x6c007ec4,
    0x9fb1000f,0x9f301fd4,0x2fa813e6,0x97d409f3,0x8bea04f9,0x7f3788fe,
    0x7ec01fd4,0xb900bee0,0xfa813e63,0x3ee7ff62,0x13e61f26,0x3f882fa8,
    0x01fb83f5,0x00fdc6e8,0xd00f2374,0xe801fb8f,0xcbdffd86,0x0fdc0efd,
    0x00f23740,0x5027ccfd,0xc817e25f,0x640bf11f,0x640bf11f,0x3effea1f,
    0x3be20ffb,0xf307ec00,0x887fcc0d,0xb07f205f,0x3e419fff,0x3f902fc4,
    0x07ea7f10,0x4fb80df3,0x3ee037cc,0x1fa03f44,0x4fb80df3,0xbffffd70,
    0xb80df301,0x3a03f44f,0xfc817e27,0x3e20bfa1,0x220bfa0f,0x20bfa0ff,
    0x7f5c0ff8,0xefa80cff,0xc81ff700,0x44fd884f,0x0ff882fe,0x07c80e64,
    0x1ff105fd,0x07ea7f10,0x77d413ee,0xf504fb80,0x80dfb81d,0x04fb84fa,
    0xfa801df5,0x504fb800,0x0dfb81df,0x17f44fa8,0xff107fc4,0x83ff977b,
    0xfcbbdff8,0x5effc41f,0x2601ffcb,0x77fd400f,0x02efedbc,0xffb59dfb,
    0x77bff10b,0x03f03ff9,0xdff883e4,0x101ffcbb,0x6407ea7f,0xefdbacef,
    0x2b3bf200,0xfb00efdb,0x1dfb97bf,0x2eb3bf20,0xc9800efd,0xcefc800f,
    0xb00efdba,0xdfb97bff,0xbbdff881,0xed981ffc,0xb301deff,0x203bdffd,
    0x1deffed9,0xc9803c40,0x403efffe,0x1cfffdb8,0x3bffb660,0x6407981d,
    0x76cc0ccf,0x2201deff,0x5403f53f,0x00bdfffc,0xbdfffca8,0x7fff5c00,
    0x7e5400df,0x8800bdff,0x95001fc9,0x8017bfff,0x0dffffeb,0xbdffdb30,
    0x80011003,0x00440008,0x00c40000,0x11000300,0x7e404a80,0x002200ff,
    0x01fa9fc4,0x00800010,0x40002200,0x2dfb8000,0x40001000,0x00440008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8004c88,0x0664403c,0x00072e00,0x00597000,
    0x01ca9644,0x00154370,0xca8006a6,0x98000002,0x6400992c,0x2197000c,
    0xeee8803c,0x8e5405ee,0x9995004b,0xddd70399,0x04c885dd,0x260017dc,
    0x3f602fdf,0x3bea006e,0x000fb00f,0x000ff7d4,0x400bf5f9,0x000fbaeb,
    0xf9001fe4,0x017ec007,0x0fea3f60,0x3001fd40,0x1003f9bf,0x80799999,
    0x002fbee8,0x03ddddd7,0x83999995,0x027c02fc,0x0fe5ba20,0x027cd7e4,
    0x837c6fcc,0xbf10007d,0xfe8003ba,0x6f5c000e,0x01ca8002,0xd800b2a0,
    0x4be6002f,0x017a005e,0x000bfea0,0x7cc00131,0x2000004f,0x4f883109,
    0x00009880,0x4c400000,0x7d809999,0x00098000,0x31000130,0x004c0001,
    0x00261530,0x31000175,0x00000001,0x7fffdc00,0x200000ce,0x93e602fb,
    0x441fb3f9,0x7fffe401,0x0bee003f,0x27cc05f7,0x77fffedc,0x03517d82,
    0x37fffae0,0x7ff5c00b,0x7dc00bdf,0x800cefff,0x0bdfffeb,0xf5ffff70,
    0xffffb709,0xfff7005d,0xff7019df,0x1bdfffff,0xffffffb8,0x7444ffff,
    0xefdbabef,0x7ffffdc0,0x7dc0deff,0xe993e602,0x07d81d92,0xfd957dfb,
    0x70bee00b,0x227cc05f,0xebaacefb,0x7fdfec4f,0x3bf602ff,0x205febac,
    0xfebacefd,0x57dfd105,0x6c01dfb7,0x5febacef,0xfc8aefa8,0x5677dc4f,
    0xd104feba,0xdfb757df,0xaaacfb81,0x2a0effca,0xccffcccc,0x81fe42cc,
    0x33ee0efa,0xeffcaaaa,0xf980bee0,0x987d8004,0x003fd05f,0x02fb85f7,
    0x04fb93e6,0x7fec3fb1,0xc80fea8b,0x905fb03f,0x20bf607f,0x1df503fc,
    0x3f607f90,0x27e43f42,0x3f6209f7,0xf503fc81,0x9017dc1d,0x407e807f,
    0x27dc05f9,0x1fe405f7,0xa7cc05f7,0x3ec13018,0x3fa817dc,0x7dc2fb80,
    0x7c53e602,0xfb27c406,0x7cc5f989,0xf31be205,0x2637c40b,0x227dc05f,
    0x9be205f9,0x14fa85f8,0x44f880df,0x27dc05f9,0x2fcc05f7,0x3f901fa0,
    0x17dcdf00,0x17dcbf30,0x21f69f30,0x261f63f8,0xfb80005f,0xf3017dc2,
    0x0200bea9,0xb8df03fb,0x7dc0401f,0x0fe40401,0x07ee37c0,0x883f9810,
    0x1005f54f,0xdf003f90,0x7f5017dc,0x7ec07e80,0xf70fd800,0xf71fd405,
    0x7da7cc05,0x41f63f88,0x000acffd,0x17dc2fb8,0x07f29f30,0x7ec1f600,
    0x20003f60,0xfd8000fd,0x360fd800,0x27c4000f,0x01fca7c4,0xb001fb00,
    0x4c0bee1f,0x03f400fe,0x97e401fe,0x1fd302fb,0x9f3017dc,0xd8fe21f6,
    0x3ffff207,0x0bee003e,0xa7cc05f7,0x3333107e,0x47d83ec3,0x0ff0007f,
    0x6401fe00,0x4001fe2f,0xfd4fb86e,0x06666620,0x4bf200ff,0xfeeeeefb,
    0x07e802ef,0x1fc803fc,0xfdddddf7,0x02fb85df,0x443ed3e6,0x2601f63f,
    0x800dffec,0x017dc2fb,0x203fa9f3,0xb0fffffe,0x746f883f,0x00fd0007,
    0x7e401fe0,0x5c001fa1,0x753f621f,0xffffe80f,0x6401fe0f,0xddddf71f,
    0x3f4005ff,0x36003f60,0xddddf70f,0x0fea05ff,0x10fb4f98,0x2003ec7f,
    0xfb804fd8,0xf301fd42,0x2aa07f29,0x9fb0feaa,0x07ec4fa8,0x0007ec00,
    0x7ec007ec,0x20003f60,0xfffcdff8,0x55503f94,0x07ec1fd5,0x2fb87ec0,
    0xe8007fcc,0x400fdc07,0xf30bee6e,0x409f301f,0xf30fb2fa,0x01e43ec7,
    0x3f7011fa,0x3ea04f98,0xfb007f52,0x32b7ff61,0x402fb86f,0x00bee1dc,
    0x00fdc3b9,0x00bee374,0xeed883b9,0x07f54f9c,0x0fdc1fb0,0x05f73740,
    0xfd001df5,0x5c06f980,0x2a0bee4f,0x02fc40ef,0x2a1f63f9,0x1fa1f63f,
    0x21fd4fd0,0x02fc40fc,0x03be23f9,0x2bf61fb0,0xf980dfff,0x983fe606,
    0x83fe606f,0x27dc06f9,0xff981be6,0x89fcc020,0x07ec00ef,0x4fb80df3,
    0x2fe40bee,0x7dc03f40,0x5c1df504,0xd0bf902f,0x21ff105f,0xb1fec1fc,
    0x501bf70f,0x3a2fcc9f,0xf105fd07,0x8077d41f,0x04fb0ffb,0x6c427e40,
    0x884fc84f,0x04fb84fd,0x9f901df5,0x6e89fb10,0x3bea1fc8,0xb81ff700,
    0x41df504f,0x0bfa02fb,0x3f200fd0,0x0efdbace,0x5fd017dc,0xcbbdff88,
    0x2fbea1ff,0x1f63feda,0x6e5effec,0x5eff40ef,0xbff104fd,0x503ff977,
    0xfdb79dff,0x4003ec5d,0xffdacefd,0x2b3bf605,0x3f205ffd,0x0efdbace,
    0x36b3bf60,0xbdfc85ff,0xffa84fda,0x2efedbce,0xb759df90,0x02fb81df,
    0x7e803fea,0x3fff2a00,0x02fb80bd,0xdb303fea,0xf703bdff,0x6c7f1bff,
    0x3fffae07,0xfeb880df,0x7f6cc04f,0x32601def,0xd83efffe,0xfdb88007,
    0x5c401cff,0x801cfffd,0x0bdfffca,0x7ffedc40,0x3ff6e01c,0x3fb2603e,
    0xca803eff,0xb80bdfff,0x027ec02f,0x002000fd,0x9fb00bee,0x00800440,
    0x008803ec,0x02200060,0xfb006200,0x00030000,0x0010000c,0x00000180,
    0x02000188,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2e001e4c,0x8803c88c,0x3c880542,0x933c8593,0x03c98005,0x0000f260,
    0x97000395,0x01100005,0x00000c40,0x00165400,0xc8001cc8,0x04c8800c,
    0x4c03c980,0x007ec000,0x03f37e20,0x035ce740,0x703babee,0xb000dd7f,
    0x0fd8001f,0x00df1000,0x003fbf70,0x26deff44,0x8003fd00,0xdd0003cc,
    0xfbf90001,0x027d4001,0x44005f70,0xdf304fdf,0x0017cc00,0x2002ffa8,
    0xd801dfd9,0x1ffb01ff,0x002f9800,0x70004e88,0x4f98001f,0x3ae001dd,
    0x2000deb9,0x4e6001fe,0x01fa8004,0x6f8bfa80,0x20017a00,0x23fa006c,
    0x06f982fb,0x00000000,0x00260000,0x00000000,0x00000000,0x00000000,
    0x0025ec00,0x00000000,0x00000000,0xfff70000,0xffffffff,0xf8817ee5,
    0x8027f404,0x7ffdc5f8,0xb80cffff,0x013e205f,0x3a0009fd,0x9fd0004f,
    0x013fa000,0x3ffffff6,0x7f401fff,0x202fdc04,0x203f94fc,0x23f904ff,
    0xffb801fc,0x5fffffff,0x9f9017ee,0x3fe017e2,0xccccdfec,0x07ff71cc,
    0xef9813e2,0x45f8800f,0xedcccdfb,0x1ffdc1ff,0x3e604f88,0x7cc000fe,
    0x7cc000fe,0x7cc000fe,0x665c00fe,0x1ffccccc,0x003fbe60,0x9be605fd,
    0x6ff983fa,0x00fe4fd0,0x66666fdc,0x17f43ccc,0x17e26f98,0x07f27f70,
    0x203ffee0,0x2bf204f8,0x45f8803f,0x8df702fb,0xf880fffb,0x0febf204,
    0x07f5f900,0x03fafc80,0x01fd7e40,0xc807fb00,0x7cc03faf,0x221fe80f,
    0x0fbfb85f,0x03f927c4,0x98005f70,0x21fe80ff,0x87f405f8,0xcfb801fc,
    0x204f886f,0xf100df5f,0x3202fb8b,0x1bf3ee3f,0xf5f813e2,0xdf5f800d,
    0x0df5f800,0x00df5f80,0x3e017f20,0x9f700df5,0x87e83fb8,0x7d43f9ed,
    0x2e007f22,0x4fb8002f,0x17e21fdc,0x07f24fa8,0x0ff27ee0,0x4bea09f1,
    0x2fc401fc,0x5f980bee,0x10ff27ee,0x64bea09f,0x25f5001f,0x5f5001fc,
    0x7d4007f2,0xa8003f92,0x97d400ef,0x1fe801fc,0x87ee0bf3,0xfc8bf3f8,
    0x2e007f20,0x3fd0002f,0x17e217e6,0x07f20fe8,0x3fe27ee0,0x7ec13e20,
    0xf8809f30,0x3e017dc5,0x3fe27ee7,0x7ec13e20,0x36009f30,0x2009f30f,
    0x009f30fd,0x027cc3f6,0xb001ff30,0x2013e61f,0x201fd6f9,0x647ea3f9,
    0x07f23747,0x2666fee0,0x3e601999,0xbf101fd6,0xff913ea0,0x5cdfffff,
    0x7c4df51f,0x7f45f884,0xf717e200,0xf70fe805,0x4f89bea3,0x07f45f88,
    0x1fd17e20,0x7f45f880,0x3a2fc400,0x2fe8800f,0x7f45f880,0x3fefc800,
    0x54f927c0,0xfc89f11f,0xffffb801,0x201fffff,0xf103fefc,0xf903fa0b,
    0x4799999b,0x44ff21fb,0x5c2fb84f,0x717e203f,0x70fe805f,0xf89fe43f,
    0x7dc2fb84,0x2e17dc03,0x217dc03f,0x17dc03fb,0x3f600fee,0xb85f7003,
    0x0bfd003f,0xf12f4db0,0x3f907ea9,0x999bf700,0xe8019999,0x217e205f,
    0xfeeeeffa,0x21fb801f,0x84f88ff8,0xfeeeeefe,0xf717e206,0x3ee7f805,
    0x3e23fe21,0xeeeefe84,0x77f406fe,0x406feeee,0xfeeeeefe,0x7777f406,
    0x7e406fee,0x3bbfa005,0x7006feee,0x11f7005f,0x0f95e85f,0x5f7003f9,
    0x02fb8000,0x3ffa17e2,0x01ffffff,0x77d41fb8,0x777cc4f9,0x01feeeee,
    0x02fb8bf1,0x41fb9be2,0x4c4f9efa,0xeeeeeeef,0xdddf301f,0x203fdddd,
    0xeeeeeef9,0xddf301fe,0x03fddddd,0xf9801bea,0xfeeeeeee,0x802fb801,
    0x640fbaf9,0x03f90bd7,0x80005f70,0x17e202fb,0x07f20bf3,0x3f607ee0,
    0x80fe44fc,0x8bf105f9,0x8bf202fb,0xfcfd81fb,0xf980fe44,0x2603f905,
    0x203f905f,0x03f905f9,0x3fe617e6,0x407f2000,0x2fb805f9,0x30db9f00,
    0x3f907f3f,0x0005f700,0x3e202fb8,0xfc80fec5,0x881fb801,0x037c4fff,
    0x17e203fa,0x1bee05f7,0xfff103f7,0x7f406f89,0x7f406f80,0x7f406f80,
    0x7f406f80,0x0007fa20,0x00fe80df,0xdd8017dc,0x03fbf04f,0x5f7003f9,
    0x02fb8000,0x05f997e2,0x333337f2,0x203f72cc,0x0fea4ffa,0xbf107f70,
    0xecccdfb8,0x0fdc0fff,0x3ea4ffa8,0x2a1fdc03,0x21fdc03f,0x1fdc03fa,
    0x7f700fea,0x666677e4,0x3ea2cccc,0x201fdc03,0xff7002fb,0x641bf603,
    0xccccccdf,0x9999bf70,0xfb809999,0xfd97e202,0x3ffff201,0x3f74ffff,
    0x1fb27ec0,0xf886f880,0x7ffffdc5,0x1fb80bee,0x0fd93f60,0x3f637c40,
    0x3637c400,0x237c400f,0x37c400fd,0xfffffff9,0x07ec7fff,0xf701be20,
    0x81fe2005,0xfff904fb,0x2e3fffff,0xffffffff,0x017dc07f,0x00000bf1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x90cb8000,0x00f26007,0x0032e393,0x7e40164c,0x20c80bf0,
    0x2ebf001a,0x1986202f,0x0a807930,0x00440066,0x00654726,0x66400330,
    0x95079301,0x2e013225,0x04c4002c,0x3f29f100,0xfb3fa801,0x7defc400,
    0x003fb001,0x4007f5fb,0x0fc800fe,0xbadc80bf,0x2ebf000f,0xbfff102f,
    0x9fbf107d,0x0f4c6640,0x1756ff4c,0x027cff40,0x3600ff10,0x6fc40edf,
    0xf707743f,0x0fefd405,0x77fff5c0,0xca7c400c,0xb3fa801f,0x3ffa800f,
    0x2005f300,0x2a005ff8,0x2000001f,0x4002deb8,0x9a540098,0xb8fe80bc,
    0x9ffb102f,0x13f27360,0x002ffc40,0x3ee01fe2,0x47f45f8b,0xb03f52fb,
    0x7757e60d,0x2af7f600,0x0000efdb,0x00000000,0x00000000,0x980bee00,
    0x2e00004f,0x00ceffff,0x00800000,0x04c40000,0x00000000,0x40000000,
    0x8df503fd,0x27e405fb,0x6c013fa0,0xffffffff,0x3ffff61f,0xf71fffff,
    0xffffffff,0x7ffffdcb,0x3ee5ffff,0x7dd3e602,0xffffffff,0xabefe885,
    0xf100efdb,0xfffffb8b,0xf885ffff,0xf102fdc5,0x404fe809,0xfffffffb,
    0x801f65ff,0x22fc45f8,0x80fea5f8,0x013ea4f9,0x02fe89f9,0xef980df3,
    0xcccb800f,0x21ffcccc,0xcccccccb,0x99bf71ff,0x5c799999,0xccccccdf,
    0x980bee3c,0x999bf74f,0xf9079999,0x203bea07,0x66fdc5f8,0x83cccccc,
    0x1ffdc5f8,0x3e604f88,0x37ee00fe,0x3ccccccc,0x5f8801f6,0x97e22fc4,
    0x93e603fa,0x2fc400fc,0x3fa03fe6,0x1fd7e401,0x00ff6000,0x0bee3fd8,
    0x2002fb80,0x53e602fb,0x7cc002fb,0x4427dc05,0x0017dc5f,0x3fee2fc4,
    0x204f880f,0x2e03fafc,0x01f6002f,0x2fc45f88,0x03fa97e2,0x007e93e6,
    0xb89f70fd,0xdf5f803f,0x02fe4000,0x2fb8bf90,0x800bee00,0x53e602fb,
    0x7e4002fb,0xf886f801,0x40017dc5,0x7e7dc5f8,0x3e04f886,0x17dc0df5,
    0x2aa2fb00,0xf88bf100,0x7f52fc45,0x0df27cc0,0x3fa07f20,0xf500bf31,
    0x20007f25,0xf5000efa,0x002fb81d,0xfb800bee,0x7dd3e602,0x007ec002,
    0x17e207ec,0xf10005f7,0x3fc9fb8b,0x2fa827c4,0x0bee03f9,0xfffafd80,
    0x445f883f,0xf52fc45f,0xdf27cc07,0x2607f600,0xb001fd6f,0x0013e61f,
    0x26001ff3,0x9bfb80ff,0x5c199999,0x999999bf,0xf3017dc1,0x2666fee9,
    0x07f81999,0x5f885f90,0x4cccdfdc,0x8bf10199,0x20ff89fb,0x21fb04f8,
    0x37f704f9,0xd8333333,0x1fea8aff,0x17e22fc4,0x567d4bf1,0x4fbaaaaa,
    0x03f401fa,0x1007fdf9,0x000fe8bf,0x22005fd1,0xfff702fe,0x43ffffff,
    0xfffffffb,0x80bee1ff,0xffff74f9,0xf83fffff,0x883f9007,0x7fffdc5f,
    0x881fffff,0xfa8fdc5f,0x3e213e26,0x7dc07f45,0xffffffff,0x7f50bf61,
    0x2fc45f88,0xfffa97e2,0x4fffffff,0x1be007f2,0x2e00bfd0,0x801fdc2f,
    0x3f6003fd,0x3337ee03,0x2e0ccccc,0xccccccdf,0x980fea0c,0x999bf74f,
    0xfd819999,0x440fd800,0x666fdc5f,0x880ccccc,0xf90fdc5f,0x3ee13e27,
    0x7dc1fdc2,0xcccccccd,0x9f103f60,0x2fc45f88,0xacfa97e2,0x4fbaaaaa,
    0x643217ea,0x017dc03f,0xeeeeefe8,0x05fc806f,0xf7017f20,0x017dc005,
    0x7d409f30,0xb8005f72,0x886e801f,0x0017dc5f,0x87ee2fc4,0x84f88ff8,
    0xfeeeeefe,0x2002fb86,0x444f887d,0x222fc45f,0x980fea5f,0xd127e44f,
    0xf700dfbf,0xdddf3005,0x403fdddd,0x3ea006fa,0x002fb806,0xf8800bee,
    0x7dc7f205,0x037cc002,0x17e213ee,0xf10005f7,0x7d41fb8b,0x77cc4f9e,
    0x1feeeeee,0xfb0017dc,0x5f889f10,0x97e22fc4,0x13e603fa,0x3aeb3bf2,
    0x2fb803ff,0xf301fc80,0x003fe60b,0x5c007fcc,0x0bee002f,0xf105fd00,
    0x000bee1f,0x77d413ee,0x7dc5f880,0x45f88002,0xfcfd81fb,0xf980fe44,
    0xb0017dc5,0xf889f10f,0x3e22fc45,0xf980fea5,0xbfffb704,0x5c03df97,
    0x406f802f,0x0ff440fe,0x001fe880,0x7dc005f7,0x6ffc4002,0x2e1ffcbb,
    0xdf90002f,0x01dfb759,0x05f717e2,0xfb8bf100,0x44fff881,0x707f406f,
    0x43ec005f,0x22fc44f8,0x52fc45f8,0x027cc07f,0x700ecc0c,0x03fa805f,
    0x3bf21fdc,0xcccccccc,0x9999df92,0x3ee59999,0xcccccccd,0x33337ee4,
    0xd984cccc,0x5c1deffe,0xccccccdf,0x3ff2a04c,0x3e200bdf,0x6666fdc5,
    0xf884cccc,0xfa80fdc5,0x700fea4f,0x666fdc7f,0x364ccccc,0x7c44f887,
    0x3e22fc45,0xf980fea5,0x2e000004,0x007ec02f,0xfff91be2,0x7fffffff,
    0x3ffffff2,0xff73ffff,0xffffffff,0x7fffffdc,0x04407fff,0xffffff70,
    0x0200ffff,0x7dc5f880,0xffffffff,0x7dc5f887,0xfd93f601,0xf737c400,
    0xffffffff,0x27c43ecf,0x8bf117e2,0x80fea5f8,0x000004f9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e000000,0x2aa27f56,0x56e81aaa,0xeeee807f,0xccca805e,
    0x233001cc,0x10988098,0x00620013,0x00135310,0x02014c15,0x40a80000,
    0x002a2008,0x00000000,0x84400000,0x13100a98,0xf00a8262,0x7fccfead,
    0x56e85fff,0xeeee807f,0xeeea805e,0xcfa802ee,0xee880ef8,0x2e200fd8,
    0x403dfffd,0x01effffa,0x885d87e6,0x7404efeb,0x7c403f11,0x2037ff21,
    0x88fc406c,0x3017dc0f,0x5f89fa9f,0x4401fd40,0x5d90fcbf,0xf109ffff,
    0x04d8dd1b,0x00000000,0xd0000000,0xf9807eed,0x77ec01fe,0x304fdbac,
    0x1fd715df,0x907f1ea0,0x409fd7bf,0x5404fefa,0x13a27ea7,0xdf7005f1,
    0x405f709f,0x7c4fd4f9,0x401fd405,0xf90eabf8,0x03fd517f,0x6b81fdf5,
    0x7c417e20,0x7ffffdc5,0x3ee5ffff,0xffffffff,0x004fe805,0x200ae191,
    0x27d402ca,0x1fe83fb8,0x26c82fc4,0x21fd41f8,0x02a200fc,0x2e6c9760,
    0x51003646,0x980bee01,0x05f89a4f,0x7c401fd4,0x2a1fe4d3,0x3039703f,
    0x417e201f,0x66fdc5f8,0x23cccccc,0xcccccdfb,0x77cc03cc,0x26a2000f,
    0x04d4c400,0x7fc01fd0,0x27e82fc1,0xb99de998,0x303f609f,0x26a6209f,
    0x4bb17c00,0x003f10fa,0x7dc04d44,0x25d3e602,0x3fa80bf1,0x77f11530,
    0x3e207e47,0x3e015304,0x220bf103,0x0017dc5f,0xc80005f7,0xda803faf,
    0xf502efff,0x0403dfff,0xff98ff20,0x0fffffff,0xfffffffb,0xf82f4bff,
    0xeffffa85,0x35c1f301,0xa802e4d9,0x5c2efffd,0x3bbe602f,0x2a02fc45,
    0x7fffdc3f,0x40fc83fb,0x7ffd44f8,0x882e40ef,0xb8bf105f,0x0bee002f,
    0x1bebf000,0xf715df50,0x8aef983f,0x4ccc0feb,0xa9999999,0x2ab7e64f,
    0x2622aaaa,0x9de99afa,0x237417e0,0xfeb8aef9,0x57cc6b80,0x003f13e9,
    0xff715df5,0xf3017dc3,0x80bf101b,0x2bbe63fa,0x7c83ffc8,0x3be64f88,
    0x3d45fa8a,0xbf105f88,0x2e002fb8,0x3ea0002f,0x7f403f92,0x3fa2fcc0,
    0x3fe2fc41,0xffffffff,0x8837c6ff,0x21fc7a80,0xe8fd04f8,0x742fc41f,
    0x323fea84,0x981fd005,0x980bee5f,0x80bf104f,0xb03fa3fa,0xf10f907f,
    0x3ee0fec9,0x3e207e21,0xfb8bf105,0x1999999b,0x4cccdfdc,0x87ec0199,
    0x0df104f9,0x3a0bf1fe,0x66667fc7,0x46fccccc,0x42fcc1fd,0xf107e26c,
    0x0bf1fa09,0x003f11fa,0x16e447e2,0x73fc1be2,0x827cc05f,0x1fd405f8,
    0x907f70df,0x3fc9f10f,0xbf109d00,0xff717e20,0x3fffffff,0x7fffffdc,
    0xbf101fff,0x4f980fe8,0x3fe61fb0,0x0fffffff,0x17e201fa,0xfd739ff3,
    0x4cef4c41,0x17e099fb,0xffff3374,0x541fffff,0x7c576007,0x13e64ead,
    0x03fa87ec,0x2fc413e6,0x27ccfea0,0x43e41fcc,0x009f14f8,0x82fc435c,
    0x66fdc5f8,0x20cccccc,0xcccccdfb,0x85f700cc,0x04f983fb,0x2b7e61fb,
    0x6c2aaaaa,0x427d401f,0x41dfffe8,0xfffffffd,0x7c17e5ff,0x2aab7e65,
    0x02e42aaa,0x5cf51f98,0x7ec13e66,0x7d409f30,0x044bf102,0x427ccfea,
    0x887c83f8,0x400bf14f,0x82fc40f9,0x017dc5f8,0x20005f70,0xfeeeeefe,
    0xdf06f886,0x981106f8,0x00ff405f,0x57d4407e,0x2099de99,0x7c4f887d,
    0x03f81106,0xf3364bb0,0x37c1be21,0x0fe40bf1,0x89f35f88,0x2e1be1fb,
    0x93e2003f,0xf82c887f,0xf882fc42,0x70017dc5,0xdf30005f,0x3fdddddd,
    0x5fa83fd0,0x17e60fec,0x2fe40ffa,0x7b803e20,0x42fa81fc,0x20fec1fc,
    0x003e65f9,0x2a6b87e6,0xf507fa0f,0xf882fe8b,0x22bf100f,0xfb07ec6f,
    0x2003fd83,0x907f63f9,0xf88bb01f,0xfb8bf105,0x00bee002,0x7cc07f20,
    0xc9cff985,0x67fcc0ef,0xe880feb9,0xdfebabdf,0x839cf800,0xe807e25c,
    0x984feadf,0x0feb9cff,0x22ec01ae,0xf98b90f9,0x40efc9cf,0xfcbbdff8,
    0xd97e201f,0x445fdbef,0x3ffeacff,0x443fb500,0x04fc9cff,0x105f88f5,
    0x002fb8bf,0x3e000bee,0x4c07f406,0x100dfffe,0x803bfffd,0x04efffec,
    0x3a17fee0,0xd8803ea4,0x3a204eff,0x26c1dfff,0x7ec07cc0,0xffe982fe,
    0xfdb300df,0xf8803bdf,0x17ffae25,0x7cf7fecc,0x83ff8803,0x00beffe9,
    0x82fc43f1,0x66fdc5f8,0x24cccccc,0xcccccdfb,0x01fd44cc,0x00300fee,
    0x01880018,0x44130000,0x30002001,0x1d4004c0,0x00600530,0x40000110,
    0x00011000,0x13000800,0x5f882fc4,0x7fffffdc,0x3fee7fff,0x7fffffff,
    0x3e2007ec,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00cc2620,0x4c400262,0x42213100,
    0x00000a98,0x0c426000,0x1304c000,0x401304c0,0x013000b9,0x44031098,
    0x00988009,0x00400131,0x003300cc,0x004c0620,0x26200044,0x3ee7fa00,
    0x2007fc04,0x0bdffffb,0x7d76cbee,0xf1004fff,0x0fc47a07,0x01f93f98,
    0x6407c47e,0x3602fb9f,0xb101fc8f,0x7fe440b3,0xb3f982df,0x0bff101f,
    0x3e205fb0,0x3fae200f,0x88df303e,0xf9bffffd,0x25ffffff,0x203f887d,
    0x001effd9,0x7f301ffb,0x05f701ba,0x5d5f7f44,0x25d50ffd,0xfe98bffd,
    0xfffff701,0x09fdf50f,0x00eb974c,0x7409fdf7,0x774403fe,0x024e203f,
    0x1fd539fd,0x01d92e98,0x4409f3fd,0x01fcc04f,0x09fb59fd,0x67f441fb,
    0xcefcfcaa,0x1f63cccc,0x9ed80fe2,0xafc806e9,0x1913a86e,0x7e402b80,
    0x86cbf503,0x81fd42fd,0x01cfa998,0x00000151,0x3c880151,0x70079300,
    0x313ea05b,0x3260009f,0x12a01951,0x2fb81d40,0xb07207f4,0x07ff907f,
    0x07f10fb0,0x01fb8fe6,0x1164cf22,0x54c02603,0xb80df300,0x03f64acf,
    0x22a609f1,0x553103f8,0x01351001,0x26026031,0x54c4009a,0x1301880a,
    0x115c17dc,0x80c42603,0x42603109,0x2dc13018,0x88260fdc,0x00ffe05f,
    0x40fe21f6,0x003f25f9,0x21f602a6,0x7ffd43f8,0x00fe40ef,0x21f61ffc,
    0x7ffdc4f8,0xffb83fbf,0xfb504fff,0x87d85dff,0x3ffa63f8,0xfff704ff,
    0x887d89ff,0x200fee3f,0xfb3f887d,0x21f67f10,0xf10fb3f8,0x441fd007,
    0xc80fee4f,0x887d803f,0x2ebf603f,0x7ffd404f,0x221f60ef,0x22bbe63f,
    0x007ec5fa,0x21f60fec,0x2bbe64f8,0x7dc3ffc8,0xa85fd51c,0x1ffb8aef,
    0xe8fe21f6,0xb85fb11f,0x45fd51cf,0x263f887d,0x887d804f,0x7f10fb3f,
    0x6cfe21f6,0x5103f887,0x24f887fb,0x33ee02fc,0x3ec19999,0xff101fcc,
    0xaef9807f,0x21f65fa8,0x707f63f8,0xc803fc3f,0x7c43ec2f,0x7fb03fa4,
    0x43fa86d8,0xb2fcc0fe,0x27c7f10f,0x50db0722,0x7c43ec7f,0x9ddffd73,
    0x4fe21f60,0xfb3f887d,0x21f67f10,0xbff903f8,0x0fec9f10,0xffffff50,
    0x7d43ec3f,0x03fff203,0x1fb83fb0,0x7c7f10fb,0x200ff007,0x443ec1fc,
    0xf70df14f,0x47f73007,0x6cff06f8,0x3fa3f887,0xfb98002c,0x4fe21f63,
    0x03ccfeca,0x367f10fb,0x0fb3f887,0x221f67f1,0xdf73103f,0x3fb27c43,
    0x66677d40,0xb07f20cc,0x77fd107f,0xff06e2bf,0x7f10fb00,0x7ec013e2,
    0x6c0fd800,0x9f34f887,0xdb507f30,0x7cc9ffff,0x1f61fb04,0xffe88fe2,
    0xfdb502df,0x43ec9fff,0x00fe43f8,0x6cfe21f6,0x0fb3f887,0x221f67f1,
    0x24fa803f,0x80bf24f8,0xef9803fb,0xc83fedab,0x3ef3f62f,0x36013e22,
    0xbf13f987,0x2007ee00,0xf887d86e,0x7f109f34,0x98acefc8,0x6c13e64f,
    0x7f30fb0f,0x87ffd730,0xf98acefc,0x0fe61f64,0x30fb00fb,0x3e61f67f,
    0x27f30fb3,0x003f987d,0xf727c4fd,0x801fe407,0x3f8dffeb,0x7ff446e8,
    0x6c02fc47,0x1fe3fa87,0x06f98b22,0x2ea027dc,0x7f70df00,0x27d437c4,
    0xd9be0df1,0x0263fa87,0x437c4ff1,0x2a1f64fa,0x6c02fc3f,0x0fb3fa87,
    0x2a1f67f5,0x7f50fb3f,0x227f82ec,0x441be24f,0x104003ff,0x3e21be0f,
    0xc887f84f,0x3fd83f92,0x81f907f6,0x1df504fb,0xd81fe980,0xf11fec1f,
    0xfe89fb0b,0x3f92fd41,0x0bf13fd8,0x6c2fc4fd,0xfb07f24f,0x64007dc7,
    0xfc9fec1f,0x1fc9fec1,0x41fc9fec,0x507f23fd,0x3227c4bf,0x03ffc83f,
    0x7e41e600,0x20fffd42,0xa87e41fd,0x3fedabef,0x3f273fe2,0x759df904,
    0x98801dfb,0xcff882fa,0x7ec3ffea,0x44ffda9b,0xefc9cff9,0x36afbea0,
    0x2b3f23fe,0x5fec4fca,0x2a4ffda9,0x3fedabef,0x7bdffff7,0x55f7d4d7,
    0x7df53fed,0x3ea7fdb5,0x53fedabe,0x7fdb57df,0x7e4df7c4,0xd113e20f,
    0xf7fb55bf,0x0999999d,0x4c739f10,0xcefcadff,0x33fe21ff,0x7fdc4fc9,
    0x74c3f8df,0x2a00beff,0x00bdfffc,0x2604efb8,0x43f9effd,0xe8cfffd9,
    0xdfffe986,0x8dfffb80,0x3ffae23f,0xfffd983f,0x7fdc6e8c,0x9f53f8df,
    0x3ffffb55,0x7c6fffdc,0x237ffee3,0x37ffee3f,0x3ffee3f8,0x7e4c3f8d,
    0x27c40dff,0x9aefffc8,0x7fffffff,0x989df900,0xf50dfffe,0xbeffe983,
    0x00800100,0x00000080,0x00600088,0x00040060,0x80060011,0x40330000,
    0x02001000,0x00600040,0x00002200,0x080c4000,0x00000040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00800000,0x20004c40,0x04c40098,0x33006600,0x00000001,0x80620080,
    0x000c4009,0x06213000,0x30002620,0x00099803,0x0004c2a6,0x13001730,
    0x80000062,0x540cefeb,0xefffe8bf,0x401fd004,0x32006ff8,0x027dc03f,
    0x056ff5c4,0x09b3bf50,0x20f7ff62,0x82fa82fa,0x3dfffec9,0x4c3f8800,
    0x4401f93f,0x3f2006ff,0x4027dc03,0x4faffffb,0x882fa8cc,0x9fcc059d,
    0x017dc0fd,0x37f609f3,0x6fd46fca,0x4feb9bdf,0x36017d40,0xf8804f9f,
    0x801f9005,0x04fdacfd,0xf881ffdc,0xf83fdadf,0xcf987d85,0x00bd710a,
    0x974c3f88,0x27f600eb,0x05f8804f,0x7d401f90,0x24ffc8ae,0x105d32fa,
    0x25d30129,0x017dc0ec,0x89f309f3,0x13fea2fa,0x3b80bfa2,0x0ca964c0,
    0x900064c0,0x361fcc03,0xfbee880f,0xfb85fb04,0x9f107e41,0x3a203f98,
    0x00fe2005,0x32a39300,0x00064c00,0x643f4039,0x0d8bea4f,0x00005b70,
    0x4f980bee,0x543507d8,0x813e606f,0x220350a9,0x9a88009a,0x009a8800,
    0x02fa83f7,0xf03f5315,0xf989f10f,0x27f07ea3,0xd10ceeed,0x7c454c09,
    0x009a9883,0x2004d4c4,0x44009a98,0x5f8809a9,0x7f714fa8,0x2a620b33,
    0x554c400a,0x2602fb80,0x5005f84f,0x446f80bf,0x1fdfffeb,0x177ffed4,
    0x2efffda8,0x5dfffb50,0x1fc89f50,0x6feffe98,0x85e82fc4,0x4d51b66e,
    0x2a6d99be,0xbffffb86,0x7fffd43f,0xffff501e,0x3ffea03d,0xfff501ef,
    0x83f983df,0xffff94f8,0x3fffee01,0xffff704f,0x202fb89f,0xe9cf84f9,
    0x04fa83ef,0x277f63f4,0x77d46fc8,0x541ffb8a,0x1ffb8aef,0x7dc577d4,
    0xdadfc81f,0x9bff984f,0x437c2ffc,0x89fb86f8,0x45d2643f,0xdf307c7a,
    0x4c7ff915,0x0feb8aef,0x75c577cc,0x4577cc0f,0x77cc0feb,0x220feb8a,
    0x714f884f,0x33ee037f,0xfb85fd51,0x5c5fd51c,0x113e602f,0xffd7dfbf,
    0x3601fd41,0xed8bf50f,0xf303fa2f,0x7cc0fe8b,0x3e607f45,0x5fffe885,
    0x4fa81fd0,0x1fee0ff4,0xd03ef3e2,0x1f656745,0x6c0fe8b6,0xf107fa3f,
    0x7c41fe8b,0x3e20ff45,0x3e20ff45,0x27dc3745,0x436c05f5,0x5436c3fa,
    0x980bee3f,0x21ffcc4f,0x00fea4fb,0xb8fee1fb,0x0df14f8e,0xf06f89fe,
    0x7f837c4f,0x7dcdf7cc,0x221be20e,0x56ffcc6f,0xbdb07efd,0x6ef45d0d,
    0xdf12e82f,0x82fc7f70,0x7e82fc7e,0x7c7e82fc,0x1fb8fd05,0x2fa93f62,
    0x01fdcc00,0x5f71fdcc,0x3e227cc0,0xf537c40f,0x3f67e807,0x4d7e1f30,
    0x261fb04f,0x261fb04f,0x6c1fb04f,0xf327cc0f,0x3221f609,0x506d9eff,
    0x749707ff,0x87c41f72,0x33f984f9,0xffffffff,0x3fffe61f,0xf30fffff,
    0xffffffff,0x3ffffe61,0x3e20ffff,0x24fffcdf,0x76d402fa,0xda84ffff,
    0x2a4ffffe,0x213e603f,0x7d4fd06f,0x1fb3fc03,0x4d7e25f1,0x261fb04f,
    0x261fb04f,0x221fb04f,0x7c4fd05f,0x0401fd04,0x407fc0bd,0x25d8ba69,
    0x2213e66a,0x555bf33f,0x6fcc5555,0x22aaaaaa,0xaaaaadf9,0x2ab7e62a,
    0xd882aaaa,0x2a4f9cee,0x33bf202f,0x7e44f98a,0x24f98ace,0x0bea04f9,
    0xf537c1fa,0xf72fcc07,0x89fdc9d5,0x7c4df06f,0x37c4df06,0x417e26f8,
    0x7c43747e,0x27c414c7,0xea7409f0,0x0fa2be22,0x7c7f70df,0x06f81106,
    0x1106f811,0x081106f8,0x17d47f30,0x4fa86f88,0x93ea1be2,0x07f205f8,
    0x49f50bee,0x87fa03fa,0x0fec6ff9,0x45fa83fd,0x22fd41fe,0x22fd41fe,
    0x22fcc0fe,0x227d41fc,0x807e40fc,0x13a201fa,0x1fd84e88,0x83fb1fec,
    0x20fec5f9,0x20fec5f9,0x20fec5f9,0x643745f9,0x440bea1f,0x224fd85f,
    0x744fd85f,0x00ff882f,0x1df937fd,0xd7b31fd4,0x55bfb0bf,0xcff989fd,
    0x7cc0efc9,0x40efc9cf,0xefc9cff9,0x64df7cc0,0x67fcc0ff,0x7c40ffd9,
    0xc82fc9ae,0xde8805fc,0x04fca89b,0xffd59ff1,0x5ce7fcc7,0x67fcc0fe,
    0x7cc0feb9,0x40feb9cf,0xfeb9cff9,0x6d5efe40,0x81f7cc4f,0xffda9bfd,
    0x6d4dfec4,0x6ffc44ff,0x201ffcbb,0x40dfffc8,0x3ffee3fa,0xffecf984,
    0xfffd302d,0x3ffa601b,0xffd300df,0x3fa601bf,0xfd301eff,0x36a01bff,
    0xdfd03dff,0x3f6e2001,0x6cc02cef,0x443f9eff,0x101dfffe,0x203bfffd,
    0x01dfffe8,0x03bfffd1,0x40fbff6e,0xfd981ffd,0x4c6e8cff,0x6e8cfffd,
    0xdeffed98,0x40006001,0x0088a200,0x00300060,0x00620018,0x00440030,
    0x00200004,0x01800220,0x006000c0,0x00000030,0x006000c0,0x00000220,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98800000,0x200cc000,0x13100098,0x98800000,0x01984400,
    0x80033000,0x13002819,0x00133000,0x131000c4,0x00031000,0x22002620,
    0x44054400,0x31013109,0x13102621,0xdff10262,0x201fe400,0x7ec406f9,
    0x07d80dff,0xdffff700,0xff7db019,0x302fb809,0xffb700bf,0x03f519ff,
    0x2f7fffae,0x3fff6e00,0x7fd402ef,0x7fffe403,0x7f64c03f,0x10003dff,
    0x4fa801df,0x6e882ec0,0x2df101fb,0xd8fe80ee,0x27cff40f,0xa802fc40,
    0x22ffa02f,0x007d84fa,0x5d5f7f44,0x7fec0efd,0x17dc01bb,0x7ec00fd8,
    0xfffcaabe,0x759dfb02,0x3bee0bfd,0x04febaac,0x205f7bf1,0xfecabefd,
    0x2159f305,0xc8005eb8,0x27fec00f,0x7cc01d70,0x3be601fe,0x5fdf100f,
    0x01951c98,0x1d400498,0x07e43f98,0x7f9001f6,0xfd83bea0,0x40bee002,
    0x81fe401c,0x3fc80ffb,0x4fb85fb0,0x9703fb10,0x17e61321,0x0fe60ff4,
    0x2002f441,0x09d3802c,0x32a007e6,0x401ca802,0x553102ca,0x0aa98801,
    0x40554c40,0x6c36c1fa,0x26013517,0xb27dc05f,0x17dc001f,0xf9804d4c,
    0x89fdd105,0x9be205f9,0x27c406f8,0xf7009a98,0x7f0fea05,0xe8977fec,
    0x88353104,0x413a00aa,0x4c06204e,0x20135100,0xffb83308,0xff704fff,
    0x3ee09fff,0x7dc4ffff,0x3f60fe61,0xc82ffffb,0x366f801f,0x317dc007,
    0x709ffffd,0xf1bd103f,0x0401fb8f,0x20200bea,0x84ffffe9,0x9aa005f9,
    0x2a3f51ed,0xfffffc86,0x05ffffbb,0xd80d909d,0x6d43f887,0xed82efff,
    0x39f74ffb,0x9f70bfaa,0xf70bfaa3,0xb8bfaa39,0x7ec1b61f,0x41fea8cf,
    0x0fd800fd,0x2fb800fb,0x17ec47fa,0xfd36c1f6,0x20007ec1,0xfd0001fc,
    0x360bf623,0x3200acff,0x20983f34,0x542fee0f,0xfb89cffe,0x07d44e84,
    0x8fe21f60,0xffb8aefa,0x8ddffec1,0x6c3fa86d,0x36c3fa86,0x43f71fd4,
    0x987fb05f,0xc803fc5f,0xb800fb2f,0x39113e2f,0x20ed86f8,0x001fe2fc,
    0x4ccc41fa,0x32227c19,0xdffff901,0x01ea5d07,0xfc85d8b6,0x2741fc86,
    0x0fb007f1,0x207f47f1,0x017ec5f9,0x9803fb98,0xfb9803fb,0x4fd87ee3,
    0x47f81fd8,0x23f9007f,0x17dc007d,0x6f8059fd,0x87f207e4,0x0fe8007e,
    0x0fffffe8,0x3000b3fa,0x741bffd9,0x05d00f52,0xf983fc98,0xdb52ec03,
    0x7c43ec19,0x1fe0df13,0x3b6a01fb,0xda84ffff,0xa84ffffe,0x24ffffed,
    0x06fec1fb,0xd83f60fb,0xb0fd800f,0x22fb800f,0x82dfffe8,0x3607ee7e,
    0x20007ec7,0xaaaa81fc,0x3ffa20fe,0x6c4002df,0x41f92e4f,0xc981f13c,
    0xfffffffe,0x2e04ffff,0xbd57f30f,0x99fc43ec,0x6c1fb04f,0x159df907,
    0xcefc89f3,0x7e44f98a,0x24f98ace,0x26fc81fb,0xfb8fb07d,0x1f66e801,
    0x981fb808,0x7ec3ffeb,0x8df02fa9,0x8ee402fb,0x0fd803fa,0x43ffeb98,
    0xd33f403c,0x87dc5764,0x5677dc6a,0xaaaacfa8,0x45f301aa,0x87d9b218,
    0x209f33f9,0x221f60fd,0x224fa86f,0x224fa86f,0x2e4fa86f,0x363f901f,
    0x2637c40f,0x227dc06f,0x21fd40ba,0xf10260fc,0x02fef98f,0x06f989f7,
    0x77c43fe6,0x1307ec00,0x03f47f88,0x6d49d1fa,0x447d11df,0x883fb86f,
    0x5409d009,0x3ea1f62f,0x1be0df13,0xb0bf10fb,0x6c2fc49f,0x3617e24f,
    0x3227ee4f,0x1fec7ee0,0x13ee13ea,0x3a6077d4,0xfd17e61f,0x43f42fc4,
    0x0df505fd,0x3f6213f2,0xb8077d44,0xd0bf10ff,0xa80dfb8f,0x1027444f,
    0x444f989d,0x81fc86fe,0x90bf206c,0x3a3fd83f,0x362fd41f,0xb537fb07,
    0x9bfd89ff,0x7ec4ffda,0x24ffda9b,0xbaef89fb,0x26fff65f,0xdf900ffc,
    0x81dfb759,0x7f42fb98,0x7e44fdbd,0x444fcaac,0xdbacefff,0x3bf600ef,
    0x505ffdac,0xfdb79dff,0xaacfc85d,0xdffd84fc,0x880efdcb,0xfca89bde,
    0xd737fd04,0xf935df7d,0x3203f309,0xabefa81e,0x3fe63fed,0x6c0efc9c,
    0x9fffb307,0xffd98dd1,0x6cc6e8cf,0x26e8cfff,0x9ffd31fb,0x7ffcf6c1,
    0x7fe5400d,0xefc80bdf,0x4ffeb884,0x3fffeb88,0xfffd55e8,0xdb88017b,
    0x4c01cfff,0x03efffec,0x07fffd71,0x6fffff5c,0x3ff6e200,0x3f6602ce,
    0x3ffaa4ff,0x903f883e,0xfb8ddddf,0x4c3f8dff,0xd80dfffe,0x0c001807,
    0x04000600,0x08000880,0x800c0000,0x00c06008,0x44000600,0x00044001,
    0x00400022,0x40110040,0x2666203a,0x18001019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x200cc000,0x20150008,0x440a8008,0x4d4c0621,0x80062000,0x03d9bdc8,
    0x00000000,0x26200000,0x88000000,0x00099999,0x98000000,0x2f72202c,
    0x04c403d9,0xff05d1ec,0x017f7ec0,0x013ea0d9,0xf19f30d9,0xffffe98b,
    0x04ff9804,0x1ffd7d70,0x1be21fc8,0x0fe57efb,0x3f903ec0,0x7ec1f600,
    0xffffb802,0x2fffffff,0x1fffffe4,0x2e000bee,0xcfffffff,0x204fb800,
    0x00ffebeb,0x77cc17ec,0x260db05f,0x3e60bb0d,0x204ffd81,0xddf701f9,
    0xfb11fe81,0x7d77c405,0x40208803,0xb1ba21fc,0x00fe576f,0x03f903ec,
    0x13e21f60,0x6ff67fc0,0x41cccccc,0x40999998,0xfb8002fb,0xffedcccd,
    0x10164c01,0x1fcc0041,0x100002a0,0x07d105f7,0x3e88274e,0x27c0e5c0,
    0x0ca80722,0x2a200197,0x4c1fc809,0xf93abec5,0x640fb003,0x87d8021f,
    0x27f7003a,0x4c4001fc,0x9bfb809a,0x7dc01999,0x980df502,0x554c400a,
    0x4c01d400,0xb1017200,0xd00bb05d,0x22017609,0x4059fd01,0x18818808,
    0x2efffda8,0xb0b60fe4,0x00fe436f,0x23f903ec,0x111f603b,0x21fd0066,
    0x3ea001fc,0x7dc1efff,0x3effffff,0x7e405f70,0xeffffa83,0xfffffb80,
    0x0a988444,0x37409f10,0x3ea0fa80,0xfa84e800,0xd107d800,0x7d85bfff,
    0x23740ff8,0xffb8aefa,0xb0507f21,0xb003f90f,0x7ecfe40f,0x6c23f601,
    0xf504ffbe,0x9800fe49,0x0feb8aef,0x2aaab3ee,0x2fb83ffc,0xdf317e20,
    0xfb8bf515,0x6c5fd51c,0x84ffffae,0x09f304f8,0x89b627ea,0x889d002f,
    0x80fb002f,0x2a3ffeb9,0x88ffe61f,0x2607f43f,0x2007f25f,0x801fc87d,
    0x3bff207d,0xd8f7ec00,0xfd01bbff,0xe800fe41,0xf72fc41f,0x2e1fe205,
    0x363fc02f,0xdb0fdc1f,0x7fec7f50,0x441fe98b,0x00ff984f,0x5e877ff2,
    0x0bd13a00,0x40983ec0,0xb93e27f8,0x887ea5ef,0x7e4ff06f,0xfc87d801,
    0x5df63fc1,0x0037f23f,0x02fd93f6,0x3ff227d4,0x7c6fffff,0x17dcfd05,
    0x7ee43fb0,0x7f40cccd,0x98001fe0,0x50bf63fb,0x444f887f,0xd70001ff,
    0xb800fa81,0x6c07d40e,0x7e85f887,0x4f9bb374,0xd827cc6d,0xb003f90f,
    0x5e83f90f,0xf32eabec,0x8ff5003f,0x07f400fd,0x333337f2,0x3fffe63c,
    0xf70fffff,0x3723f405,0x740cccdf,0xa8013e27,0x24ffffed,0x227c40fd,
    0x00ff44f8,0x7cc1f980,0x20fcc00f,0x07d80ff9,0x9f9559f9,0xf57f0fb8,
    0x09f313e3,0x00fe43f6,0x00fe43ec,0x1fef83ec,0x3ec7ef80,0x3bbbfea0,
    0xf9801ffe,0x2aaaaaad,0x27d40bee,0x9be017dc,0xdf9005f8,0x6c9f3159,
    0x7c44f887,0x4000fe64,0x7efc43e8,0x3e21f400,0x107d80fd,0x307fffd7,
    0x7f11f35f,0x06f883f3,0x400fe4df,0x801fc87d,0x03f9507d,0x07d8fb10,
    0x7ffffff4,0x0df001ff,0xccdfb822,0xb81ffecc,0xf17e202f,0x3e25910f,
    0x1f64fa86,0x49f113e2,0x02fb83fa,0xf39d11b2,0x3a236401,0x07d80f9c,
    0x37a017c4,0x41f37a7c,0x92fd41fe,0x90fb003f,0x40fb003f,0x8fb001fc,
    0x417e607d,0x3fb001fc,0x3fee5f98,0x01dfffff,0x1fe405f7,0x21f907f6,
    0x24fd85f8,0x444f887d,0x3743744f,0x9ed81f50,0x81f501fa,0xd81fa9ed,
    0x01fdc407,0x77e49df9,0x939ff304,0x00fe41df,0x00fe43ec,0x03f903ec,
    0x40fb1f60,0x03f901fd,0x2e73fe60,0x26fee0fe,0x05f70019,0x3fe21bee,
    0x7ec4fc9c,0x24ffda9b,0x444f887d,0x5df7dc4f,0x05f103fe,0x81dfdddb,
    0xeeed82f8,0x103ec0ef,0x7cc07f95,0x80bfea2f,0x40dfffe9,0xcccccdfc,
    0xbf90fb0c,0x21999999,0x337f207d,0x360ccccc,0x5f983ec7,0x33337f20,
    0x7f442ccc,0x17dc1dff,0x666fdc00,0x300fffec,0x9817dffd,0x6e8cfffd,
    0x113e21f6,0x9ffd709f,0x4c02ec03,0x9805d80f,0x2a07d80f,0x0ff803de,
    0x01801fe2,0x3ffffff2,0xf90fb1ff,0x3fffffff,0xfffc81f6,0x361fffff,
    0x1fd83ec7,0x3fffff20,0x80604fff,0xfb8002fb,0x03efffff,0x200c0020,
    0x004f887d,0x00193000,0x40032606,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,
    0x06209999,0x10330044,0x00000013,0x00054c00,0x09809980,0x000c4310,
    0x99998800,0x31098809,0x64000c41,0x0004d9be,0x2201e4c0,0x50099999,
    0x53101881,0x98844015,0xffb80000,0x07ee3fff,0x42fcc17a,0x01fd47f8,
    0x7ffdc9f3,0x4fffffff,0x077fffd4,0x3fa201f6,0x40ffe44f,0x705f8cfa,
    0x9fffffff,0x7fffdc01,0xfb1dd03f,0x2a003f41,0x6c1ffdbe,0x207f701f,
    0x7fd405fa,0x0fb84fff,0x3fee0fec,0x2dd04fff,0x80bfa3fa,0x266621fe,
    0x207ee099,0x201db05e,0x80fea3f9,0x3332a4f9,0x2ccccffc,0x3ea2bbe6,
    0x3bbbff65,0x219cfb83,0xc80fdbfa,0x37ee06ef,0x1ffedccc,0x13333310,
    0x907fbe20,0x0208800f,0x7fc42fc4,0x88079300,0xc8099999,0xf70f640f,
    0x20bfaa39,0x7c45d35d,0x223fc80f,0x07ee1301,0x0072217a,0x3ffff675,
    0xffffffff,0xfb01fa06,0xfd51fb83,0x1f903555,0x40f22990,0x0bee00cb,
    0x2a2037d4,0x41654009,0x40620068,0x3217dc09,0x1353102f,0x80aa9880,
    0x6c009fd8,0x0003fa86,0x45fa8bf5,0xf73f887d,0x4cccbd03,0x09819999,
    0x55559f93,0x405bf755,0x803fc07e,0xf905517d,0x99980980,0xfb819999,
    0x2a0ff202,0x442efffd,0xac815310,0xfb06a618,0x6f887f10,0x7fd41be2,
    0xff701eff,0xffe89fff,0x2601666f,0x802603fb,0x81df13fd,0xf73f887d,
    0x3fe6bf03,0x20ffffff,0x80fea4f8,0x03f404f9,0x3f6009f1,0x324ffffa,
    0xf313e207,0x1fffffff,0x3e202fb8,0x5c577d45,0x3ebb61ff,0x7d424fff,
    0xb0dfffe9,0xf507f10f,0x3e607f27,0x40feb8ae,0x5fd51cfb,0xf504fec4,
    0xffffdb50,0x8813e209,0xd81fe9ff,0x3f73f887,0x4ccccbf0,0x27c44fc9,
    0x555559f5,0x7e809f75,0x6c017e20,0x1fea8bff,0x427c40f9,0x4fc99999,
    0x3fc02fb8,0x4bf303fa,0xfe98bffd,0x44e7fd41,0xf10fb4fd,0x17e7fa07,
    0x17e20ff4,0xc87f50db,0x3f23d40f,0x04f98ace,0xff9809f1,0xf10fb03f,
    0x17e0bee7,0x4f885fa8,0x3fffffea,0xaa84ffff,0xf82aaffa,0x3f62c887,
    0x07c9fd44,0x3ea013e2,0xccdfdc85,0xf887f40c,0x17ecff06,0x0bf50fea,
    0x3e21f6df,0x3fee6623,0x82fc19af,0x3fb9807e,0x7b827f62,0x13ea1be2,
    0x7e4027c4,0x3e21f606,0x5fa8bf73,0xf101df30,0x55567d49,0xf84fbaaa,
    0x0fffffff,0x83f20fec,0xca7c41fd,0x3013e207,0xbfb901df,0x27e81999,
    0x21fb04f9,0x227c40fd,0xfb6e83fa,0x7fd47f10,0x1fffffff,0xfffffff3,
    0xfeda81ff,0x3ffa4fff,0x7c43ee5f,0xf104fd85,0x2fff8809,0x27f30fb0,
    0xffcadffb,0x100fe885,0x301fd49f,0x407e809f,0x4fc9cff8,0xca7c43ec,
    0x8813e207,0x0bee00fe,0x827ccdf0,0xf10fb0fd,0x6e82fa89,0x447f30fb,
    0x99bfb999,0x2aab7e61,0x77e42aaa,0x644f98ac,0xfb0fe40f,0x09ffb537,
    0x5fb013e2,0x50fb01ff,0x3fefee7f,0x7f445dbf,0xfa93e201,0xd013e603,
    0xdffd300f,0xf887d817,0x27c40f94,0x5c01fe88,0x897e202f,0x3ecdf06f,
    0x0bea27c4,0x7d43edba,0x3f2aaa23,0x1be0aaac,0x50df1044,0x640fc89f,
    0x3fff661f,0x9f106e8c,0x5fba7e40,0x9fec1fc8,0xfd8031fb,0xf527c402,
    0x2027cc07,0x817a007e,0xf94f887d,0xfd827c40,0x202fb802,0x20ff43fc,
    0x221f65fa,0x7417d44f,0x3fd83f96,0x3bfbbbaa,0x07f61eee,0x42fc4bf3,
    0x207e44fd,0x2d8302fd,0x3e609f10,0x3ea1fec6,0x73fedabe,0x07f9003f,
    0x1fd49f10,0x7e809f30,0x6c1baa00,0x0f94f887,0x1fe427c4,0xf702fb80,
    0x939ff30d,0x443ec1df,0x7417d44f,0xdb57df56,0x017d407f,0xfd739ff3,
    0xda9bfd81,0x1efdc4ff,0x0be005fb,0x7fc427c4,0x2e0ffc40,0x73f8dfff,
    0xaefb803f,0x220aaaaa,0x980fea4f,0x803f404f,0x0fb06eba,0x881f29f1,
    0x5577dc4f,0x7dc0aaaa,0xfffecccd,0xbfffd300,0x4f887d81,0x737417d4,
    0x07f1bfff,0x3a2017d4,0xd981dfff,0x46e8cfff,0x0bf67fe8,0x106df6c0,
    0x205fb09f,0x5c0106fa,0x7ffe401f,0x222fffff,0x980fea4f,0x803f404f,
    0x0fb00bde,0x881f29f1,0x7fffe44f,0x7dc2ffff,0x03efffff,0x887d8060,
    0x7417d44f,0x7d400086,0x18006002,0x03d90200,0xf10fb220,0x6405fb89,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9000000,0x007fffff,0x02000000,0x98000000,
    0x11000001,0x884c2a60,0x00003510,0x00003300,0x00000000,0x20000000,
    0x00000198,0x46f981fb,0x2eeeeefd,0xfb00ffee,0x88007f2d,0x360dffeb,
    0xffffb807,0xfa82dfff,0x7ffffdc2,0x2a00deff,0x7fffdc2f,0xff7db3f9,
    0x01fc85ff,0xfb303ff5,0xfd005dff,0xc807d809,0x3effffff,0x017ee7d8,
    0x3ffee9f9,0x4fffffff,0xbf73ffe4,0xf7027c40,0x7c6f981f,0x05ffb805,
    0x0fe5bfe2,0xf959ff00,0x7dc03ecd,0xffcccccd,0x3ee17d42,0xffcaaaac,
    0x22ff980e,0xffc89dfa,0xd517ffb3,0x540fe41f,0xbef881ff,0x2600feb8,
    0x1f600fef,0x33337f20,0x23644fed,0x4df302fe,0xcffcccca,0x3be22ccc,
    0x40ffee1a,0xfff104f8,0x3e26f981,0x0fefb803,0x3f2dff70,0xa83f5001,
    0xf700fb2f,0xb89fe605,0x80bee1bf,0x7ffdc3fc,0x7fb03fa2,0x4bf313f6,
    0x0ffd41fc,0x1fd41fb8,0x407f5f90,0x81fc807d,0x7cc00fe8,0x401fe80f,
    0x41fcc07e,0xf880fffb,0x81f9bd04,0x4cbea6f9,0x07f7f701,0x0fe5bb3a,
    0x2bf06e80,0xb815517d,0x643fa02f,0x0bee7fff,0x37f65f98,0x2e1be2fb,
    0xdf03fb3f,0x3ff50fe4,0x06e82ec0,0xfb037d7e,0x80fe4330,0x2e0622fb,
    0x401fdc4f,0x2fea207e,0x1bf3ee09,0x23ee13e2,0x72fcc0fc,0x85fffdbf,
    0xf885e9fb,0x003f96ea,0x5fb5f880,0x7dc7ffff,0x5c43fa02,0x80bee1bf,
    0x7d4b63fa,0x7f109f32,0xc87ec1f6,0x001df51f,0x7d417e20,0x1f603f92,
    0x80fe49f9,0x741f60fc,0x200bf31f,0x3fffa07e,0x3f27ee2f,0x3e627c43,
    0x4f881f92,0x3f26bbf6,0x3f27ee1f,0xf96ebdc0,0x3fc80003,0xfd515ffb,
    0x7cc0bee3,0x3ee17d45,0x201fd302,0x109f32fa,0x3ec1f67f,0x01ff53f9,
    0xd80ff400,0x3609f30f,0x7f913ee7,0x89f93333,0x3adf307d,0x40fd000f,
    0x2e09bfa8,0x220ff89f,0xfc97a24f,0x20ea4f80,0x267ee6fa,0x96ea743f,
    0x7d40003f,0x7f50bf66,0x2eaab3ee,0x17d42ffd,0x3bbbbbee,0x3ea02eff,
    0x4fea1fe2,0x937c41fd,0x009fff9f,0x2205fb10,0x6c07f45f,0xff909f77,
    0xb0bfffff,0x1ff7e40f,0xf980fd00,0xdf51fb83,0x41f927c4,0x003f80fc,
    0x5e8fdcff,0xfcb747e2,0x1df50001,0x53e207ec,0xfffffffb,0x5c2fa82f,
    0x2ffeeeef,0x3f62fa80,0x4fd9fec1,0xdff927d4,0xd8003fd1,0x70bee03f,
    0xbf7fb07f,0x2eab3f20,0x1f60dfdc,0xe800bfd0,0x5c1fcc07,0x7c4ff21f,
    0x0fc85f54,0x1fb003f8,0xb87dc7ee,0x00fe5ba6,0x36077dc0,0x7f74f887,
    0x54013333,0x2617dc2f,0x17d400ff,0xffb59ff1,0x32b7ff67,0x9877e46f,
    0x9f3000ff,0xeeeefe80,0xfffd86fe,0x501fc80f,0x2e03ec9f,0x03f4002f,
    0x87ee0fe6,0xb4f88ff8,0xffffffff,0x21362e8f,0x4c7ee5f8,0xcb749d3f,
    0x6fdc001f,0x4f887d80,0xfa8005f7,0x7d417dc2,0x10bea00e,0x27f5dffd,
    0x0dfffafd,0x17ee0fe4,0xf300fd40,0xfddddddd,0x5f9bfd83,0x9fe01fc8,
    0x017dc07d,0x7f301fa0,0xefa83f70,0x999974f9,0x0a899fd9,0x45f507f2,
    0x3e7ba1fb,0x00fe5ba1,0x3ec0bf90,0x02fba7c4,0x3ee17d40,0x540bf902,
    0x3e21102f,0xf9004fb3,0x3007fd03,0x80fe4019,0xf93ec5f9,0x3e01fc85,
    0x5f701f67,0x4c07e800,0xd81fb83f,0x7e404fcf,0x9bef8800,0x87ee0efd,
    0xcb746cfb,0x09f5001f,0x74f887d8,0xef98005f,0x7405f70b,0x005f502f,
    0x401f67f1,0x1ff881fc,0x406f8000,0xe89f60fe,0x5c07f20f,0xf701f65f,
    0x407e8005,0x81fb83f9,0x6404fff8,0x262fcc0f,0x5c0dfffc,0xd0ffe61f,
    0x33337f2d,0x9ff10ccc,0x36799999,0x5f74f887,0x23ffb000,0x3fea02fb,
    0x8802fa80,0x3200fb3f,0x01df501f,0x3fa817e4,0x8fb1fdc0,0x337f25fa,
    0x20ffedcc,0x017dc07d,0x7f301fa0,0x3ea03f70,0x207e404f,0xb80605f9,
    0x3a0ff41f,0xffffff96,0x3ffea3ff,0xfb6fffff,0x0bee9f10,0x017dc000,
    0x0bea13f6,0x03ecfe20,0x3f601fc8,0x6c0bf205,0xb37c400f,0x3f25fb0f,
    0x0cefffff,0x0bee03ec,0xf980fd00,0x3601fb83,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09910000,0x273ae04c,0x5ce75c6b,
    0x7fffffc6,0x4cccc7ff,0x55555309,0x2a015555,0xaa98800e,0x21301880,
    0x20351009,0x4d4c01a9,0x41301880,0x17e42609,0x7fdd7e20,0x5fffffff,
    0x4f980fea,0xfffffff5,0x657e21ff,0x209ff01f,0xffff71fc,0x36019fff,
    0xffffffff,0x307f881f,0x7edfccbf,0x3f6fe22f,0x7777743f,0x3fe67fee,
    0x20035fff,0xb803f501,0x6c4fffff,0x4f9bf887,0x97ffffcc,0x40dffffb,
    0x44ffffe9,0xf13f887d,0x27cd7e69,0x6fdcbee0,0x3ccccccc,0x4f980fea,
    0x99999bf5,0x557e2199,0x06ff983f,0x666fdcfd,0xb81ffedc,0xfccccccc,
    0x304c881f,0x8110449d,0xc8002208,0x4ccccc1f,0x54060030,0x473ee01f,
    0x21f62fea,0x223e9bf8,0xdfea89ef,0x46fb89df,0x45fb11fe,0xf13f887d,
    0x07e93a29,0x005f73f4,0x9f301fd4,0x7c400fea,0x7f70bf15,0x2e4f881f,
    0x00df702f,0x4ccc3fd8,0x22019999,0x4c015310,0x813ea000,0x01800c09,
    0x436c03f5,0x221f63fa,0x0fec573f,0x3ee1ffe2,0x439113e2,0xf13f887d,
    0x9817dc09,0x800bee4f,0x53e603fa,0xbf1003fa,0x7cf6c3f4,0x5f717d43,
    0xc801fe40,0x7fffcc5f,0xdb00ffff,0x109ffff5,0x1be2009f,0x800c4f88,
    0xffffff31,0xf7300fff,0x5fc43ec7,0x741ba0d8,0x3a4f884f,0x21f602cf,
    0x409f13f8,0x41f905f8,0x3ea002fb,0x7d53e603,0x5cbf1003,0x2fcfe21f,
    0x02fb83f2,0x3ea017e6,0x9999980e,0x3ff604fc,0x441fe98b,0x03f9004f,
    0x400627c4,0xbfb99911,0xfdb50999,0x43ec9fff,0x3e21eef8,0xfffff904,
    0x7f44bfff,0x43ec2dff,0x809f13f8,0x5c5f80fd,0x999999bf,0x55567d41,
    0xf54fbaaa,0x997e2007,0x3e47ea3f,0x805f71ba,0x07fcc07f,0x6c05fa80,
    0x221fd42f,0x06f8804f,0x400627c4,0x6403f501,0x4f98acef,0x213e61f6,
    0x59f905f8,0x30555555,0x3ec7ffd7,0x04f89fcc,0x0bea1fd4,0xfffffff7,
    0x7ffd43ff,0x4fffffff,0xfffffff5,0x3e2fc41f,0x11fa9f24,0x402fb89f,
    0x5fd100fe,0x003be600,0x44f881fb,0x3fb804f8,0x00627c40,0x101fa80c,
    0x6c9f50df,0xff03fa87,0x04c17fe0,0x367f8813,0x9f13fa87,0x87d8df00,
    0xcccccdfb,0x2b3ea0cc,0x4fbaaaaa,0x99999bf5,0x36c5f889,0xfaa7c4bd,
    0x3a017dc1,0x007fb00f,0x36003fa2,0x7c44f887,0x400fe804,0x1800c4f8,
    0x3e203f50,0x3f24fd85,0xfd81fec1,0x207ffcc2,0xd0bf12fb,0x3f60fe4f,
    0xf9009f13,0x3ee13e21,0x80fea002,0x007f54f9,0x11f717e2,0x0f95e85f,
    0x07f805f7,0x3a200bf9,0x36bf301f,0x7c44f887,0x4027cc04,0x1800c4f8,
    0x7ec01510,0x24ffda9b,0xfedabefa,0x95bff103,0x939ff7ff,0xaacfc8bf,
    0x2fbea4fc,0x9f13feda,0x4fe617e6,0x02fb81fb,0xf980fea0,0x22007f54,
    0x7dd7cc5f,0xb85ebe40,0x21be202f,0x3f6006fa,0x3ed7e602,0x13e227c4,
    0xf1003f70,0x22300189,0xcccccccc,0x67ffecc4,0x7ffdc6e8,0x36203f8d,
    0xfd30dfff,0xeb8819df,0xffb83fff,0x9f13f8df,0xeb7417e6,0x4005f706,
    0x53e603fa,0xbf1003fa,0xf30db9f0,0x05f707f3,0x3fe617e4,0x007f9000,
    0x3e21f695,0x36027c44,0x44f8800f,0x3fe63001,0x07ffffff,0x00008006,
    0x22001006,0x00000800,0x5c0febee,0x0fea002f,0x07f54f98,0x37617e20,
    0x03fbf04f,0x1bee05f7,0x2e003fd1,0xaaaaaaef,0x443ecb60,0x2027c44f,
    0x89f1007e,0xaaaaaaaa,0x000001aa,0x00000000,0x00000000,0x403ffe20,
    0xcccccdfb,0x80fea4cc,0x007f54f9,0x3fee17e2,0x2e0dfb01,0xffecccdf,
    0x6677e40f,0x92cccccc,0xffffffff,0x887d8e25,0x2027c44f,0x09f1005f,
    0x00000000,0x00000000,0x00000000,0xfb813f20,0xffffffff,0xf980fea7,
    0x22007f54,0x207f885f,0xfff704fb,0x9017ddff,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4004d440,0x54c400a9,0x09a88009,0x854c02a6,0x41a9881a,0x10880aa8,
    0x33088153,0x99999998,0x20620221,0x86606218,0x4c426018,0x21109880,
    0x00d441a8,0x02a0a86a,0x14c000cc,0x23500033,0x0590000b,0x7ed402a0,
    0xff502eff,0xff501dff,0x36a03dff,0x3f72ffff,0x6ffff5c4,0x7fffe41f,
    0x5ffffbbf,0x7fffd76c,0x53fefb64,0xfffffff9,0x1ff0fb0f,0xf91f66e8,
    0x7d417dc9,0x7c41ff12,0x3ffebb66,0x1efffa9f,0x44d91fa8,0xfbdfdbef,
    0x5d10ba26,0x00fd4fe2,0xff97f5c4,0x027c001d,0x77d427dc,0x4c1ffb8a,
    0x45fa8aef,0xfeb8aef9,0x5c577d40,0x361ea8ff,0x46fc89df,0xffd50bfb,
    0x6c9f7139,0x1fe98bff,0x4c377ffb,0x24fc9999,0x8ffe61fa,0xfc9f63f8,
    0x3ec2fc44,0x21fe97ea,0xefb8affd,0x444fa8bf,0xf985f34f,0x20fffcef,
    0x5fd12fe8,0x206d87dc,0x222dffc9,0xf003effc,0x81ffd009,0x22fcc0fe,
    0xd0fdc1fd,0x745f883f,0x26a7cc0f,0x17f6c5fa,0x90df90bb,0xf50bf63f,
    0x5400bf67,0xf727c45f,0xfb0fd4bd,0x07ec13ee,0x95f909f1,0x742fd87f,
    0x3f63ec4f,0x89f10dd0,0xebfe887d,0x9f36e83f,0x01cffea8,0x0067ff54,
    0xfafa809f,0x3fc1be23,0x82fc01fe,0x7c1be27e,0xb8fee2cf,0x64c04f8e,
    0xfb3f983f,0x1fb4f881,0xd01df300,0xdb3e6ecd,0x205fbfd8,0x207ee2fa,
    0xfd85ffe8,0x3f20fe40,0x07f27f50,0x05f303ee,0x2a07ffd1,0x3fa3f93f,
    0xfc98002e,0xdfdddb2f,0x96d85ddd,0xfd827ccf,0xf3009f10,0xffffffff,
    0x7ec13e61,0x0f987ec2,0xffec98bf,0xffffffff,0x9f10fb4f,0x3fa201f6,
    0x2fe1f700,0xfd89f1fa,0x97e00fff,0x03fea06e,0x903f21f6,0x7dd3e61f,
    0x7cc0fb82,0x02ffe882,0x747f65f7,0xc88002df,0xfdddb2ff,0x7cc5dddd,
    0x13e67f33,0x05f887ec,0xaaaadf98,0x413e62aa,0x447ec0fd,0x7dcbf12f,
    0xacfa8ace,0xfb1aaaaa,0x01f69f10,0x7cc03fd1,0x9bf88f9a,0x7cdfec1f,
    0x3e63f205,0x20fff603,0x640fc87d,0x3743f20f,0x03f627c4,0x85fd7fd1,
    0xb87f35f8,0x5400bffe,0x3e01cffd,0x6e83f204,0xf1be0df1,0x37c5910f,
    0x41be2088,0x4eafb86f,0x437c4fee,0xb09883fb,0x1f69f10f,0xbd005fb0,
    0x43e6f4f9,0x4c0bf27d,0xf500fcbf,0x87d83fb9,0x207e40fc,0xf987f35e,
    0x20ffecef,0x5fd13fe8,0x205e87e4,0x221dffd9,0x800bffeb,0xa89f104f,
    0xfa83fd1f,0x3f20fec5,0xbf307f60,0x27d41fe8,0x3f637fcc,0xfe889f31,
    0x0fb1fc86,0xc81f69f1,0x9df9003f,0x3ec277e4,0x37a01ff1,0x22df105e,
    0x7e43ec6f,0x3e607e40,0x3be21f71,0x26fbdfeb,0x89f443e8,0x1001f52f,
    0x37fe5ff9,0x8827c002,0xff31a80a,0x881df939,0x44fc9cff,0xfeb9cff9,
    0x64e7fcc0,0x5bfb00ef,0xbfe89fd5,0xaefbeeb9,0x21f64fc9,0x2e0fb4f8,
    0xaaaaaaef,0xf517fcc0,0xfa8fb05f,0x205ff705,0xd93ea1fd,0x7e40fc87,
    0xa82a1980,0x30003300,0x5c000d45,0x3a000392,0xfe980003,0xfd300dff,
    0xfd1017df,0x3a603bff,0xf300dfff,0x305bffd9,0x7549fffb,0x43ec3eff,
    0x320fb4f8,0xffffffff,0x3e20ff82,0x5fb0fb07,0x3ee0ff10,0x0fb2fd84,
    0x00fc81f9,0x00000000,0x00000000,0x00600000,0x000c0010,0x088a2006,
    0x00440100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40088000,0x00f5c009,0x0880600c,0x7fff4098,
    0x222fffff,0xe8204080,0xffffffff,0x17e60442,0x98820551,0x21310660,
    0x2a29f118,0xaaaaaaaa,0x2666622a,0x21999999,0xf17ffffa,0x0000000b,
    0x00000000,0xfefd8000,0x037f7dc2,0x7f5405f9,0x1fffe43f,0x90ba13ea,
    0xbbbbbbbb,0xeb7c2643,0x6ee5be27,0x22fddddd,0x97e64eed,0x99cffffc,
    0xfc83fa4c,0x8bf4bea3,0xfffff35f,0x21ffffff,0xfffffff9,0xdd30ffff,
    0x017e2bdd,0x00000000,0x00000000,0x44bb0d98,0x2205f11e,0x7d4fe009,
    0x43ee1f30,0x36764ffd,0xd70003ba,0x44fd6f8b,0x52f8806f,0x22950f49,
    0xffffcabf,0xdb05f53f,0x025c8f54,0x00000000,0x00000000,0x00000000,
    0x3ee20000,0x33fca982,0xdddddddd,0x07d07ccd,0x229d39b2,0x003efffd,
    0xafc7d988,0x2017e27e,0x164592f8,0x32a0225b,0x5c40aa1b,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfe88bb62,0xddd33fbd,0x5cdddddd,
    0x0fe426c7,0x83baa274,0xcccccccb,0xe85bfd1c,0x804e8d94,0xd33d32f8,
    0x00000a21,0x00000000,0x00000000,0x00000000,0x00000000,0x13dc3ea0,
    0x3e20007f,0x03db0be0,0x6c9f993a,0x3ffffffa,0x72c802ff,0xf8802c89,
    0x00077aa2,0x00000000,0x00000000,0x00000000,0x00000000,0x227ea000,
    0x3af3e66d,0x405f904f,0x3a27ebee,0x44e8199e,0x00000512,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900000,0xa8bda83b,
    0xb805f903,0x3fff20bd,0x002741ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_22_latin_ext_x[560]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,0,0,0,1,1,1,1,1,0,1,-1,1,0,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,0,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,1,0,1,1,1,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_22_latin_ext_y[560]={ 17,2,2,2,1,2,2,2,2,2,2,5,15,11,
15,2,2,2,2,2,2,3,2,3,2,2,6,6,5,7,5,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,19,2,6,2,6,2,6,2,6,2,2,
2,2,2,6,6,6,6,6,6,6,3,6,6,6,6,6,6,2,2,2,8,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,6,2,2,5,2,
2,2,2,2,2,7,7,11,2,0,2,5,2,2,2,6,2,9,16,2,2,7,2,2,2,6,-1,-1,-1,-1,
0,-1,2,2,-1,-1,-1,0,-1,-1,-1,0,2,-1,-1,-1,-1,-1,0,5,2,-1,-1,-1,0,-1,2,2,2,2,
2,3,2,2,6,6,2,2,2,2,2,2,2,2,2,3,2,2,2,3,2,6,6,2,2,2,2,2,2,2,
0,3,-1,2,2,6,-1,2,-1,2,-1,3,-1,2,-1,2,2,2,0,3,-1,2,-1,3,2,6,-1,2,-1,2,
-1,2,-1,3,2,1,-1,-1,2,2,-1,3,0,3,-1,2,2,2,-1,6,2,2,-1,2,2,2,6,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,6,-1,2,2,2,6,0,3,-1,2,-1,2,2,6,-1,2,2,6,-1,2,
-1,2,-1,2,2,6,-1,2,2,3,-1,2,2,3,-1,3,0,3,-1,2,-1,2,-1,2,2,6,-1,2,-1,2,
0,-1,2,-1,3,-1,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,4,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-2,-1,2,-1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__arial_22_latin_ext_w[560]={ 0,3,7,11,11,16,13,3,5,5,7,10,3,6,
3,6,11,6,10,11,11,11,11,11,11,11,3,3,10,10,10,10,19,15,12,14,13,12,11,14,12,3,9,13,
10,14,12,15,12,15,13,13,12,12,13,19,14,13,12,5,6,5,9,13,5,11,10,10,10,11,7,10,9,3,
5,9,2,15,9,11,10,10,6,10,6,9,10,15,10,10,10,7,3,7,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,9,11,11,12,
3,11,6,15,7,9,10,6,15,13,6,11,7,7,4,9,11,3,5,4,7,9,16,16,17,10,15,15,15,15,
15,15,19,14,12,12,12,12,5,4,7,6,15,12,15,15,15,15,15,9,15,12,12,12,12,13,12,11,11,11,
11,11,11,11,17,10,11,11,11,11,4,5,7,6,11,9,11,11,11,11,11,11,10,9,9,9,9,10,10,10,
15,11,15,11,16,13,14,10,14,10,14,10,14,10,13,13,15,11,12,11,12,11,12,11,12,11,12,11,14,10,
14,10,14,10,14,10,12,9,14,10,7,8,7,7,7,7,5,6,3,3,13,7,11,7,13,9,9,10,5,10,
6,10,5,10,6,11,5,12,9,12,9,12,9,11,13,9,15,11,15,11,15,11,19,18,13,6,13,6,13,7,
13,10,13,10,13,10,13,10,12,6,12,8,12,6,12,9,12,9,12,9,12,9,12,9,12,11,19,15,13,10,
13,12,10,12,10,12,10,5,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,13,11,11,11,11,11,11,11,11,11,11,11,11,11,16,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,11,7,7,15,
11,12,9,12,9,12,9,12,9,12,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,11,19,17,15,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_22_latin_ext_h[560]={ 0,15,6,16,19,16,16,6,20,20,7,10,5,2,
2,16,16,15,15,16,15,15,16,14,16,16,11,14,10,6,10,15,20,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,19,16,19,9,2,4,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,15,15,11,12,15,12,11,11,11,16,11,20,20,20,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,19,16,10,15,
20,20,3,16,8,10,6,2,16,2,6,12,8,9,4,15,19,3,6,8,8,10,16,16,16,16,18,18,18,18,
17,18,15,20,18,18,18,17,18,18,18,17,15,18,19,19,19,19,18,10,16,19,19,19,18,18,15,16,16,16,
16,15,16,16,12,15,16,16,16,16,15,15,15,15,16,14,16,16,16,15,16,8,12,16,16,16,16,20,19,20,
17,15,18,16,20,15,19,16,19,16,19,15,19,16,18,16,15,16,17,15,18,16,18,15,20,16,18,16,19,20,
19,20,19,19,20,21,18,18,15,15,18,14,17,14,18,15,20,20,18,11,16,20,19,20,20,20,11,18,18,20,
20,15,15,15,15,15,15,18,15,20,16,18,15,15,16,16,18,15,19,16,19,16,16,12,18,15,20,16,18,15,
19,16,19,16,19,15,19,16,21,20,18,16,15,15,19,15,18,15,19,16,19,16,19,16,20,16,18,15,18,20,
17,18,15,18,14,18,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,16,18,15,19,
16,19,16,19,18,19,19,19,19,19,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,20,18,16,19,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_22_latin_ext_s[560]={ 253,13,75,110,40,153,33,83,14,66,50,
235,105,171,178,146,122,110,55,238,1,17,1,138,74,98,251,115,213,58,224,
153,194,164,190,120,77,15,41,135,28,53,83,139,44,29,242,60,76,208,96,
161,221,240,1,57,241,207,91,105,248,247,246,143,126,182,49,13,137,24,234,
196,66,203,155,180,253,155,79,1,128,117,89,226,89,237,133,107,144,110,96,
134,25,27,109,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,253,216,95,
186,181,172,29,33,132,175,9,171,87,171,121,157,98,170,37,1,121,11,124,
139,69,45,29,203,30,209,12,1,85,101,117,133,238,162,154,168,223,40,103,
16,189,184,176,1,112,124,136,152,182,212,79,193,104,242,111,27,53,178,186,
37,25,13,1,226,228,216,61,65,184,172,160,148,32,250,93,234,86,119,62,
50,38,82,131,17,50,228,218,208,198,214,55,225,42,197,34,119,236,220,67,
68,66,47,112,215,81,237,58,213,199,107,29,174,66,134,153,185,1,98,27,
70,40,73,52,84,138,127,51,14,195,166,37,76,95,129,8,150,116,248,45,
97,250,247,199,112,15,104,83,35,123,212,249,183,161,94,105,111,122,129,141,
72,238,121,97,21,140,150,13,227,196,128,96,170,153,58,1,207,169,147,107,
76,212,248,1,93,228,150,198,55,168,153,1,20,183,207,52,209,82,162,226,
1,27,143,1,176,224,58,142,21,192,66,236,72,224,14,21,149,104,1,101,
87,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,82,158,158,95,
158,158,158,158,158,158,158,158,158,158,158,158,158,79,36,158,158,158,158,158,
158,158,158,158,158,158,158,158,182,194,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,137,164,
50,47,136,236,162,226,175,239,188,201,211,237,14,152,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,57,45,1,191,120,27,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158, };
static unsigned short stb__arial_22_latin_ext_t[560]={ 17,224,269,122,44,122,140,269,23,23,269,
256,269,269,269,122,122,224,224,139,224,224,157,240,157,157,240,240,256,269,256,
224,1,224,224,174,240,240,240,174,240,240,174,224,224,224,224,174,224,103,224,
174,224,157,240,240,208,224,240,44,122,23,256,269,269,240,174,256,157,256,224,
157,224,224,1,224,1,256,256,256,224,224,256,240,224,240,256,256,256,157,256,
1,1,23,269,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,17,208,44,
139,256,208,1,1,269,174,269,256,269,269,157,269,269,240,269,269,269,208,44,
269,269,269,269,256,191,174,191,191,84,84,84,84,103,84,191,1,84,103,103,
122,103,103,103,122,208,103,44,44,44,44,103,256,174,44,44,64,103,84,191,
174,174,174,174,191,157,157,256,208,157,157,157,157,208,139,208,208,157,240,157,
157,157,191,139,269,256,139,139,139,139,1,64,1,122,208,84,139,1,208,44,
139,64,140,64,191,64,122,84,122,191,139,122,191,103,122,103,208,23,122,103,
122,64,1,44,1,64,64,23,1,103,103,208,208,103,240,122,240,103,190,23,
23,84,240,122,23,64,23,23,23,256,84,64,1,1,191,191,191,191,191,191,
84,191,1,139,84,208,208,157,122,64,208,64,122,64,122,140,240,64,191,1,
174,64,174,64,174,44,174,44,191,44,139,1,23,64,157,208,208,44,208,64,
208,44,139,44,139,23,139,1,140,84,191,84,23,103,103,208,84,240,103,208,
208,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,122,240,240,1,
240,240,240,240,240,240,240,240,240,240,240,240,240,139,256,240,240,240,240,240,
240,240,240,240,240,240,240,240,122,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,103,139,
84,191,23,174,23,174,23,64,23,23,23,23,44,23,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,1,1,84,174,23,157,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,240,
240,240,240,240,240,240,240,240,240, };
static unsigned short stb__arial_22_latin_ext_a[560]={ 88,88,112,175,175,280,210,60,
105,105,123,184,88,105,88,88,175,175,175,175,175,175,175,175,
175,175,88,88,184,184,184,175,320,210,210,228,228,210,192,245,
228,88,158,210,175,262,228,245,210,245,228,210,192,228,210,297,
210,210,192,88,88,88,148,175,105,175,175,158,175,175,88,175,
175,70,70,158,70,262,175,175,175,175,105,158,88,175,158,228,
158,158,158,105,82,105,184,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,88,105,175,175,175,175,82,175,
105,232,117,175,184,105,232,174,126,173,105,105,105,182,169,88,
105,105,115,175,263,263,263,192,210,210,210,210,210,210,315,228,
210,210,210,210,88,88,88,88,228,228,245,245,245,245,245,184,
245,228,228,228,228,210,210,192,175,175,175,175,175,175,280,158,
175,175,175,175,88,88,88,88,175,175,175,175,175,175,175,173,
192,175,175,175,175,158,175,158,210,175,210,175,210,175,228,158,
228,158,228,158,228,158,228,194,228,175,210,175,210,175,210,175,
210,175,210,175,245,175,245,175,245,175,245,175,228,175,228,175,
88,88,88,88,88,88,88,70,88,88,232,140,158,70,210,158,
158,175,70,175,70,175,92,175,105,175,70,228,175,228,175,228,
175,190,228,175,245,175,245,175,245,175,315,297,228,105,228,105,
228,105,210,158,210,158,210,158,210,158,192,88,192,118,192,88,
228,175,228,175,228,175,228,175,228,175,228,175,297,228,210,158,
210,192,158,192,158,192,158,70,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,237,236,236,175,236,236,236,236,236,
236,236,236,236,236,236,236,236,270,207,236,236,236,236,236,236,
236,236,236,236,236,236,236,269,211,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,210,175,88,70,245,175,228,175,228,175,228,
175,228,175,228,175,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,210,175,315,280,245,192,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_22_latin_ext(stb_fontchar font[STB_FONT_arial_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_22_latin_ext_s[i] + stb__arial_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_22_latin_ext_t[i] + stb__arial_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_22_latin_ext_x[i];
            font[i].y0 = stb__arial_22_latin_ext_y[i];
            font[i].x1 = stb__arial_22_latin_ext_x[i] + stb__arial_22_latin_ext_w[i];
            font[i].y1 = stb__arial_22_latin_ext_y[i] + stb__arial_22_latin_ext_h[i];
            font[i].advance_int = (stb__arial_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_22_latin_ext_s[i] + stb__arial_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_22_latin_ext_t[i] + stb__arial_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_22_latin_ext_x[i] + stb__arial_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_22_latin_ext_y[i] + stb__arial_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_22_latin_ext_LINE_SPACING
#endif

