// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT        339
#define STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_25_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_25_latin_ext_LINE_SPACING          16

static unsigned int stb__arial_25_latin_ext_pixels[]={
    0x00000000,0x00004ca8,0x01300000,0x33100044,0x1310cc00,0x00130980,
    0x31000cc4,0x00098801,0x00666662,0x10198000,0x20000013,0x40066009,
    0xffffb8aa,0xffffffff,0x4001ae01,0xfa8002fe,0x7fd4000e,0x36e17e00,
    0xd800beff,0x27f9002f,0x5f6c01fe,0x0ffa000f,0x200f7440,0xf9000ff9,
    0x7000ffff,0x84ffb809,0x64003ffb,0x2217e06f,0x22fb87fe,0xeeeeaaff,
    0xeeeeeffe,0x0007f100,0x3a0009f5,0x1fe8001f,0x3bea2fc0,0x7003febb,
    0x37fa001b,0x03db003f,0x7002fd40,0x13ea001b,0x0ccccc40,0xf301ec00,
    0xec985f9d,0x1ff1000f,0x6fec2fc0,0x3fe2fb83,0x800df302,0x6c8003f9,
    0x007f5000,0xbf007f50,0x1fe20fd8,0x403dcd90,0x6c804ff8,0x037401ee,
    0x401ee6c8,0x26c800fc,0x0fc4007b,0xfe89fe88,0x7003fb81,0xf85f803f,
    0x80026207,0x7d4006f9,0x2decc006,0x4c000000,0x3e2fc501,0x2a01cb87,
    0x43301263,0x931d4018,0x00621980,0x26024c75,0x47500621,0x03d40049,
    0x007f3000,0x117e00cc,0x1fe800bf,0x8800df30,0xd8640009,0x0014c000,
    0xbffffb71,0x22fc7ee3,0x6f9804fd,0x7fc2fd80,0x37cc3fd0,0x3fe17ec0,
    0x37cc3fd0,0x3fe17ec0,0x37cc3fd0,0x2a217ec0,0x2ca85eec,0x07f30f20,
    0x7fffedc4,0x7c45f80c,0xfe872a05,0x400df301,0x0973dec9,0x4005ada8,
    0xe8805acb,0xffeccdff,0xd117e3fd,0x37cc03df,0x3fe17ec0,0x37cc3fd0,
    0x3fe17ec0,0x37cc3fd0,0x3fe17ec0,0x37cc3fd0,0xfd117ec0,0x4c1bffdf,
    0x989f506f,0xdffd104f,0xf83fffb9,0xf702fc45,0xf980ff45,0xffff7006,
    0xf880fdbf,0x586c004f,0xa827f440,0x322fc6ff,0xf303ffef,0x985fb00d,
    0x0df30621,0x21985fb0,0x4037cc18,0x310cc2fd,0xfd806f98,0x6fccff62,
    0x6c0ff44f,0x4427cc1f,0x7e440cfe,0x9f317e0f,0x3fd17dc0,0x2601be60,
    0xfff913ff,0x007ffb80,0x36025ed4,0x3ffe604f,0x71fc97e0,0x6f983dff,
    0x8002fd80,0x2fd806f9,0x806f9800,0xf98002fd,0xf32fd806,0x237c6dcb,
    0x437c44fb,0x05fe85f8,0x98bf27f4,0xe8bee03f,0x00df301f,0x0ff907fd,
    0x002fbfe8,0x3fe200c4,0xbfbbd100,0xe88bf154,0x01be61ff,0x40e54bf6,
    0x00df33c8,0x2072a5fb,0x00df33c8,0x2072a5fb,0x00df33c8,0xe8fee5fb,
    0xf71fe203,0xf887f607,0xf1ecc00f,0x2e00fd8b,0x4c07fa2f,0x80ff806f,
    0x37e607f9,0xb93006f8,0x9f5019bd,0x3ea3ba20,0x7e41fe07,0xb00df30f,
    0x220bf25f,0xb00df36f,0x220bf25f,0xb00df36f,0x220bf25f,0xb00df36f,
    0x7c47f25f,0xfd0fec00,0xfaafec01,0x26bf0005,0x17dc02ff,0x1be603fd,
    0x3fc0df10,0x07fa5f90,0xffddff90,0xb02fc83f,0x403fe61f,0x1fd80dfc,
    0x5fb00df3,0x5be20bf2,0x2fd806f9,0x2df105f9,0x2fd806f9,0x2df105f9,
    0x2fd806f9,0x201aa3fb,0x80bf34fa,0x007f96fa,0x02fd57e0,0x03fd17dc,
    0xbf301be6,0x1ff03fc0,0xefa813ee,0xfd13f620,0xff83fb03,0x83dfd101,
    0x00df31fb,0x20bf25fb,0x00df36f8,0x20bf25fb,0x00df36f8,0x20bf25fb,
    0x00df36f8,0x6cbee5fb,0xbbfc0224,0x473ee02f,0xbf0002fd,0xb803bea2,
    0x4c07fa2f,0x037c406f,0x897ea0ff,0x05d900ff,0x41fe8df3,0xf1fe81fc,
    0x14ffd88b,0x4037ccdd,0x105f92fd,0x201be6df,0x105f92fd,0x201be6df,
    0x105f92fd,0x201be6df,0x3e9f52fd,0x3f203fe2,0x237407ea,0xbf0002fd,
    0x3ee02fb8,0x7cc07fa2,0xa81fe806,0xd85fb07f,0x7d44003f,0x5f717ec6,
    0x505f9fe0,0x4c1bfdff,0x92fd806f,0x26df105f,0x92fd806f,0x26df105f,
    0x92fd806f,0x26df105f,0x12fd806f,0x1fdcf5ff,0x204fdf98,0x027e45f8,
    0x27cc5f80,0x0ff45f70,0xfa806f98,0x21ffaa1e,0x06fa87f8,0x7fff6dd4,
    0x3faa7e46,0x02fcbf10,0xff05ffb1,0x3f21fd00,0x1fe6f882,0x17e43fa0,
    0x00ff37c4,0x20bf21fd,0x201fe6f8,0x3bfea0fe,0x7f406fda,0x513e601f,
    0xf86e00bf,0xf702fc45,0xf980ff45,0xddff9006,0xdf70ffdf,0x3ff99999,
    0x7bfffd10,0xaff98df5,0xf93f204f,0x40ffa805,0x93fc00fe,0x74df307f,
    0xf93fc00f,0x7f4df307,0x7f93fc00,0x07f4df30,0x3fe61fe0,0x7dc00bef,
    0x2227cc06,0x7fdc00ff,0x05f88bf0,0x01fe8bee,0x3bf6a000,0xffe86f8b,
    0x4fffffff,0x7cc0dfd8,0x205ffd86,0x897e1ff9,0x6c3fb81a,0xb9bea03f,
    0x366fa83f,0xb9bea03f,0x366fa83f,0xb9bea03f,0x366fa83f,0x21bea03f,
    0x2a0019f8,0x41fcc03f,0x3fe205fd,0x817e17e4,0x407fa2fb,0x4c0004c8,
    0x4cf7cc6f,0x0ffa9999,0x37d41fe2,0x54067fd4,0xf12fc1ff,0x543fb81f,
    0x3fe982ff,0xdfd11bea,0x74c17fd4,0xd11bea3f,0x417fd4df,0x1bea3fe9,
    0x7fd4dfd1,0xb83fe982,0x00fe8006,0x7f441fd4,0x07fecc0c,0x640bf0bf,
    0x4c07fa2f,0x80ec807f,0x01fe44fb,0x81ff0ffa,0x77446fe8,0xfedcdfff,
    0x7e45f82f,0x703ff51c,0xffdbbfff,0xd97dff09,0xfffb8dfb,0xf84ffedd,
    0x6fdecbef,0x76efffdc,0xbeff84ff,0x7dc6fdec,0x4ffeddff,0x266009b0,
    0x7ec404fc,0x9dfff302,0x5f83fffd,0x74441fe8,0x4407fa1f,0x1df9807d,
    0xff81ff51,0x2e37d400,0xfefcabef,0xffc87747,0xbf01ceff,0xfffffe88,
    0x3fff6e03,0xffd103df,0x36e1ba9f,0x103dffff,0x1ba9fffd,0x37ffff6e,
    0x9fffd103,0x3ff6e1ba,0x07e03dff,0x0077fec0,0xc980dff7,0x80cfffff,
    0x27ffb85f,0xb8006ffe,0xffffb005,0x05fa83ff,0x2e21ff88,0x3fb3fffe,
    0x004c404c,0xbcb8826c,0x80022001,0x00880018,0x22000620,0x00062000,
    0x00140022,0xca801795,0x0262000b,0x972a09b0,0x4c000bcc,0x332a001e,
    0x02fd809b,0x0220bf90,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00008000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33000000,0x00988000,0x00000000,0x00000000,0x00000000,
    0x0000cc40,0x13300026,0x00000000,0xfff90a00,0x71bffeeb,0xfffffffd,
    0x0eecc01f,0xfffdb880,0x7dc000cf,0x1bf205ff,0x03bea000,0x003ffa00,
    0x0001ff50,0xb8007fe2,0xda8003ff,0x1bdfffff,0x00bff200,0x6c007fcc,
    0x2e07fd4f,0x001fdc3f,0xfdca8bd1,0x7479bf75,0xfeeeffff,0x2c3600ee,
    0x677ff440,0x3001fffd,0xd80799ff,0x7f40001f,0xfcfc8001,0x27dc000e,
    0x003fc800,0x007f77e6,0x5677ff4c,0x00dffeca,0x00feefd4,0x7c4017ec,
    0x7dc0bf56,0x1001fdc3,0x5d7e60bf,0x7fffdc3f,0xb007f51f,0xfe880b11,
    0x07fe440c,0x10027dc0,0x7d4000bd,0x56fa8002,0x1f9000bf,0x005f8800,
    0x3fe23fe2,0x05ffd400,0x201ff910,0x0ef88ff9,0x64013e20,0x4401dd0f,
    0x001fdc09,0x57e60bf1,0x7ffec3fb,0x007f51ff,0xfe803bb1,0x4027f405,
    0x262002fd,0x02620000,0x00098800,0x00000000,0x077cc000,0x000df900,
    0x26200000,0x0fee0000,0x1e7fe540,0x21fdd7e6,0x51ffffff,0x806f987f,
    0x01ff12fd,0x33203d98,0x3201cdff,0x01cefffe,0x9dfffd90,0x3ffb2003,
    0xdf301cef,0x3e65fb00,0xf32fd806,0xe85fb00d,0x99ee540e,0x2605f72c,
    0x2a973ddb,0x640f202c,0x01cefffe,0x9bfb8395,0xffc82cec,0xbafcc5ff,
    0x7fffe43f,0xf987f51f,0xf52fd806,0xff30000b,0xd301ffff,0xfffb9bff,
    0x6fff4c05,0x202fffdc,0xfdcdffe9,0x06f982ff,0x0df32fd8,0x1be65fb0,
    0x1fb8bf60,0x33fbffa2,0x2a13e3fb,0x7edfffff,0x13ea0df3,0xfb9bffd3,
    0x87f705ff,0xffeffdfb,0xf305f885,0xff30feeb,0x0fea3fff,0x5fb00df3,
    0x80000ff2,0x3fe205f9,0x82ffa80d,0xfa80dff8,0x0dff882f,0x7cc2ffa8,
    0xf32fd806,0x265fb00d,0x22fd806f,0xf51fec6e,0x2636c3ff,0xfff712ef,
    0x0fec0ff4,0xf501bff1,0x5c3fb85f,0x7fb30dff,0xbf305f88,0x3ffa0fee,
    0x987f51ff,0xb2fd806f,0x5400005f,0x013f604f,0x4fd83ff5,0x360ffd40,
    0x0ffd404f,0x5fb00df3,0x3f601be6,0xfb00df32,0x09f927c5,0x20fb8ffb,
    0x27fb83fd,0x237c44fb,0x7fd404fd,0xdf70fee1,0x5f88ff10,0x0feebf30,
    0xfa8ffe4c,0x6c037cc3,0x0005fb2f,0xf981fdc0,0x24fc800f,0xfc800ff9,
    0x2003fe64,0x01be64fc,0x037ccbf6,0x06f997ec,0x45f32fd8,0x46fa80ff,
    0x203fe1fa,0x71fe27f8,0x007fcc7f,0x87f727e4,0x43f903fb,0x2bf305f8,
    0x8fe403fb,0x037cc3fa,0x04fc97ec,0x407f6000,0xdf3004fb,0xf98027dc,
    0x4c013ee6,0x201be66f,0x00df32fd,0x01be65fb,0x987dcbf6,0xc89f505f,
    0x7c0df10f,0x1fd0fec7,0xf98027dc,0x5f70fee6,0x5f88bee0,0x0feebf30,
    0x0fea3f90,0x5fb00df3,0x0dc017ea,0x7e403fa0,0x64ff1003,0x4ff1003f,
    0xff1003fc,0x7ec037cc,0xfb00df32,0x3601be65,0x1fdcdb2f,0x33f42fb8,
    0x2a3fc0bf,0xfc8bf34f,0x5cff1003,0xb80fdc3f,0x4c17e23f,0xc807f75f,
    0xf987f51f,0xf12fd806,0x0ffb801f,0x2fd81fe0,0x7ec7fa00,0x6c7fa002,
    0x47fa002f,0x2fd806f9,0x5fb00df3,0x3f601be6,0x81fdcf92,0x893e61fe,
    0x3e1fe06f,0x2fd85f77,0x7dc7fa00,0xfc817dc3,0x7cc17e21,0xfc807f75,
    0x6f987f51,0x3f62fd80,0x813fe205,0x0bfa05f9,0x5fd1fe80,0xfe8ff400,
    0x4c7fa002,0x32fd806f,0x25fb00df,0x2fd806f9,0x217ea3f7,0x03fe27fa,
    0x0ff503fd,0xfd0fd5f9,0xb8ff4005,0xe827dc3f,0xf9837c0f,0xfc807f75,
    0x6f987f51,0x3a22fd80,0x7fecc0cf,0xc813ea00,0x43fe003f,0x3fe003fc,
    0x7c007f90,0xb00df30f,0x201be65f,0x00df32fd,0x44fe65fb,0x5bfea1ff,
    0xefa82fe9,0x261ffaa1,0x3fc84fdf,0x7dc3fe00,0x2e0ffdc3,0x44eff85f,
    0x807f75f9,0xf07f51fc,0x981fd00f,0xffecefff,0x017dc01f,0x3e2009f5,
    0x44013ea6,0x4013ea6f,0x403fc6f8,0x201fe0fe,0x201fe0fe,0xfa97e0fe,
    0xeffcfedf,0x3ff202ff,0xd07fefee,0x09f503ff,0x3fb9be20,0x75efffdc,
    0x8fff506f,0x807f75f9,0xd07f51fc,0x307f801f,0x19fffff9,0x4403fb00,
    0x4fc800ff,0x32003fe2,0x003fe24f,0x01fd13f2,0x007f47f8,0x801fd1fe,
    0xb50fec7f,0x33bf23bf,0x3f6a0260,0xf706f8be,0x003fe20d,0x43fb93f2,
    0xdfffcbfb,0xafcc0400,0x8fe403fb,0x03fd83fa,0x33a01bea,0x007f4000,
    0xff3013f6,0x4c04fd83,0x027ec1ff,0x7fb07fe6,0x3f637d40,0xfb1bea03,
    0x2237d407,0xe88000ee,0x0df1002f,0x4fd80fea,0xb90ffcc0,0x800c7f70,
    0xf75f984c,0xf51fc807,0x305ff507,0xfe8807fd,0x01be2004,0x7d406fec,
    0x01bfb02f,0x3f605ff5,0x82ffa80d,0xfe982ffa,0x4c17fd43,0x17fd43fe,
    0x7cc1ff4c,0x3fe6002e,0x7dc076c3,0xd801fd04,0x2ffa80df,0x01fdc26c,
    0xf5313fc0,0x40273eeb,0x207f51fc,0xfeddfffb,0x07f2004f,0x400ff230,
    0xedcdffe8,0x3fa202ff,0x2ffedcdf,0x337ffa20,0x2e02ffed,0xffeddfff,
    0xbbfff704,0x3ee09ffd,0x4ffeddff,0x2b3bfa60,0x3ff72a21,0x511dfc82,
    0x7e4cc3ff,0xdffe8804,0xd82ffedc,0x00fee10e,0xfffc9ee0,0x20dfff75,
    0x407f51fc,0x3dffffdb,0x05ffe980,0x007fffcc,0xdfffb510,0xfb510039,
    0x10039dff,0x39dfffb5,0xffffb700,0xffdb807b,0x6dc03dff,0x003dffff,
    0xffffffd5,0x6c019fff,0x41ffffff,0x1000effd,0x39dfffb5,0x5dbffea0,
    0x24d8003f,0x5531aaa9,0x442a6055,0x0011001a,0x8801bc88,0x40001bcc,
    0x04400008,0x00022000,0x11000088,0x00022000,0xabccba98,0x2f2a2001,
    0x00bca80a,0x4c002200,0x001530ac,0x00000070,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13100000,
    0x0000004c,0x00000000,0x00000000,0x00000000,0x00000031,0x11000000,
    0x0c400000,0x88013100,0xfb800000,0xbf513e63,0x0df317e6,0xf8805fb0,
    0x3fa0004f,0x74005ff3,0x7ffcc0ff,0xffffffff,0xffffff32,0xf3039dff,
    0x02fd803f,0x9dfffd97,0x3ea2fc80,0x007fa005,0x7cc03bee,0x4003fb81,
    0x4effffd8,0x403bfe20,0x80bf51f9,0x2bfe0efd,0x513e63fb,0xf317e6bf,
    0x805fb00d,0x30007ffb,0x8013eebf,0x7cc6fcfc,0xeeeeeeef,0xddff31ee,
    0x5fffdddd,0x6c06ff98,0xceffd82f,0x901effdc,0x002fd45f,0x3fd003fd,
    0x3fb85c80,0x37ffe600,0xe80dffec,0x49b05fbf,0x3bf605fa,0x04c57fc0,
    0x4c131026,0x6c037cc0,0x7dff402f,0xd0fd8002,0xbafd400d,0x001be65f,
    0x7e440df3,0x027ffcc7,0x0dfd85fb,0xf906fd88,0xd002fd45,0x02fa803f,
    0x1fdc1f88,0xd107fd00,0xf94fc89f,0x3ea0f989,0xf01dfb05,0x2000005f,
    0x2fd806f9,0x1be37e60,0x00000000,0x260037cc,0x22ff806f,0xb01ffef9,
    0x402fe45f,0x22fc82fe,0x3fa005fa,0xb0018801,0x1003fb8d,0x03fd40df,
    0x2fd45e80,0xff8077ec,0x4b221caa,0x4cf202ca,0x02fd806f,0x00ff4bf2,
    0x3f601be6,0x983fc802,0x37cc006f,0xbf31fec0,0x8bf60df7,0x2ea800ff,
    0x17ea2fc8,0xb101fe80,0x409dffff,0x10fee2fa,0x037cc399,0x072a0332,
    0x8bf50bea,0x3fe00efd,0x53e63fb9,0x29f506f9,0x2fd806f9,0x27dc3fe0,
    0x3601be60,0x83fc802f,0x7cc006f9,0x260ff806,0xfb09fd5f,0x0001be65,
    0x05fa8bf2,0x3e607fa0,0xdffecdff,0x3ee6f880,0x3e0ffa23,0x5f70003f,
    0x5fa81fd0,0xff003bf6,0x27cc7f73,0x23fb03fd,0x2fd806f9,0x7fc4bf50,
    0x201be600,0x3fc802fd,0x9999ef98,0x3e609999,0x8bfd3106,0x83ff35f9,
    0x009f72fd,0x7d45f900,0x207fa005,0x4fe883fe,0x89fdcfd0,0xfff503fe,
    0x3ee0037b,0x5fa85f82,0xfd001ffb,0x27cc7f71,0x26f889f7,0x2fd806f9,
    0x3fd85fb0,0x3601be60,0x83fc802f,0xfffffff9,0x3fe65fff,0xffffffff,
    0xf72fcc0e,0x7f92fd8d,0x26666620,0x3ea2fc81,0x107fa005,0x83fd40df,
    0xd17f70fd,0xffe9807f,0x2e00cfff,0x542fc42f,0x04fffddf,0x23fb8fe8,
    0x71fe24f9,0x4037cc7f,0x87f882fd,0x1be606fa,0x3200bf60,0xccff983f,
    0x23cccccc,0xffeeeff9,0x8bf302cf,0x6cbf64fe,0xffffb03f,0x545f90ff,
    0x07fa005f,0x0cc80df3,0xd7f72fc8,0x6dc4007f,0xf701ffff,0xfa84fa85,
    0x02ff9dff,0x263fbbec,0xfd0fec4f,0x6c037cc1,0xccefb82f,0x301ffccc,
    0x05fb00df,0xdf307f90,0xb86f9800,0x8bf301ff,0x25fb1ff9,0xddd905fb,
    0x45f90ffd,0x3fa005fa,0x0003ff81,0x3ffee7f7,0x3a60005f,0x42fb80ff,
    0x5ffa83fb,0x7c803fee,0x227cc7f7,0x88bf34fa,0x81fe807f,0xfffffffe,
    0x0df304ff,0xf9005fb0,0x800df307,0x1ff706f9,0xdf70bf30,0x037ccbf6,
    0x45f90ff0,0x3fa005fa,0xbdfffa81,0x2e9f5001,0x302feaff,0x707fb003,
    0xa82fc85f,0x205fd86f,0x7cc7f76c,0x05f77f84,0x0ff801ff,0x4cccf7cc,
    0x980ffa99,0x02fd806f,0x6f983fc8,0xb037cc00,0x05f981df,0x7c5fb9fd,
    0x90ff000f,0x002fd45f,0x3fa603fd,0x200cffff,0x267f72fc,0x01fd80ff,
    0x17dc2fd4,0x17ea13ea,0xb5c0ffe2,0x213e63fb,0xfd07eafc,0x643fd407,
    0x41ff403f,0x2fd806f9,0xf983fc80,0x037cc006,0x5f989ff1,0x45fdff30,
    0x7c400ffc,0x3ea2fc87,0x007fa005,0x3ffffb71,0x1fdc3f60,0x09f70bf9,
    0x2fb83fc8,0x2fd42fc4,0x5c01ffa8,0x2613e63f,0xff504fdf,0xf05fd305,
    0x86fa801f,0x2fd806f9,0xf983fc80,0x037cc006,0x5f987fea,0x90bfff20,
    0xff7103ff,0x7d45f90f,0x007fa005,0xd01ffd30,0x3fa1fdcf,0xb82ffc42,
    0x82fb80ff,0x205fa86f,0xb8cc0ffc,0x7413e63f,0x3ff601ff,0x84ffeddf,
    0xff8805fa,0xfe807f81,0x983fc800,0xeeeeeeff,0x0df34eee,0x2fccdfb0,
    0x320bffa0,0xffedefff,0x22fc80cf,0xeeeeeffa,0x307fa3ee,0xf07fb003,
    0x3e61fdcb,0x77ffcc0f,0x702fffdd,0xf50fd05f,0x22ff440b,0x263fb9ff,
    0x00df704f,0x5bffffd7,0x6400bf60,0x400fe85f,0x360f267f,0xffff982f,
    0x5fffffff,0xff100df3,0xf3017e67,0x3fb2a05f,0x3201deff,0x3fffea2f,
    0x3a4fffff,0x200fec1f,0x727cc5fa,0x10bf907f,0x3bffffdb,0x7e417dc0,
    0x2602fd41,0x407fe3ff,0x07f504fa,0x00027440,0x3fd82e40,0x6f99bea0,
    0xd8001fe8,0x002a2003,0x80005440,0x055000fb,0x417c0350,0x1fe404fb,
    0x0a9803f2,0x4003b200,0x04f882fb,0x80001530,0x01fd04fb,0x00002e80,
    0x5ff504d8,0x7c47fd30,0x001fe61f,0xfb30017c,0xbfb3000b,0x03dd9000,
    0x6403fd90,0x40fc40fe,0xff705ff8,0x2a027c41,0xdd7004fe,0x203f9001,
    0xfea800fc,0xfd888003,0x013f2663,0x000097a0,0xf7061db0,0x9ffdbbff,
    0xffbbff90,0x097e0007,0x0001fd00,0x260003fa,0x09f5004f,0x27c43fa8,
    0x6f7ffcc1,0x7e42fffd,0x400ff000,0x3a2203fa,0x4013e207,0x03ff06f8,
    0x7ec1fff9,0xfb8000ef,0x500005ff,0xfb70dfff,0x6407bfff,0x0003efff,
    0xa817fff2,0x54005fee,0x6c005fee,0x76c01ffe,0xffdd00ff,0x89fdfb01,
    0xdffffed8,0x2e01fc41,0xfe803ffe,0x3ffa00ff,0x9007dc05,0x3fe05ffd,
    0x540ccb81,0x2a0000bc,0x200000ac,0x04400ab8,0x00002600,0x93005e54,
    0x79300037,0x15970003,0x40159700,0x2ea00acc,0x2a009801,0x00bca805,
    0x99003550,0xa80b6003,0x026600ac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e200000,0x2ee2005f,0x80000b70,0x00df36f9,0x8b600188,0x000000d9,
    0xfd97f400,0x22000002,0x003fd1fe,0x90001a98,0xff10007d,0x3ffb000d,
    0x00bf9000,0x0077fc40,0x04fcfe80,0x9fdfffd0,0x3ffffe60,0x767dc03f,
    0x3b62000f,0xd79f7001,0xff880009,0x7ff10001,0x7fd4009f,0x33be6000,
    0x4fd8002f,0x009fb000,0x009f9fb0,0x0077e7e4,0x0001df10,0x002fdfec,
    0x02fd9fe4,0x0bc98744,0x99999910,0x05ffb005,0x3ffffa60,0xbedb802e,
    0x1fe40000,0x17fea000,0x0003fb00,0x20009ff5,0x970004fd,0xb4fc8005,
    0x2df5007f,0x3f2005fa,0x53f20001,0x310004fc,0x33000000,0x1a8800c4,
    0xb79ff100,0x00000ff7,0x0004f880,0xf9800310,0x00620003,0x0001a980,
    0x19800066,0x00000000,0x10000000,0x09dffffb,0x5fb00df3,0x03fd0ff8,
    0x677fff64,0xad53f201,0x01be63fb,0x00000bf6,0x3601be60,0x4400002f,
    0x04effffd,0xefffecb8,0xffdb8804,0x5c400cff,0x40cffffd,0x7c400efc,
    0x3ffff22f,0x26ffffff,0x1ffa04fc,0x3fe65fa8,0x0dffecdf,0x3f601be6,
    0x1fe87fc2,0xdcdffe98,0x3fb02fff,0xf316456a,0x005fb00d,0xfffffff7,
    0x4cdfffff,0x32fd806f,0xffffffff,0x3fe6039d,0x0dffecdf,0xb99dffb0,
    0x3a203dff,0xfffdceff,0x9dffd101,0xfe83fffb,0x2e2fec04,0xeeeeeeee,
    0x417ea6ff,0xf901fff8,0x7441ff47,0x201be64f,0x310cc2fd,0x501bff10,
    0x25fb05ff,0x01be605a,0x3fe00bf6,0xeeeeffee,0x1be65eee,0x7fccbf60,
    0xffeeeeee,0x883fe82f,0x0dfd84fe,0xe886fd88,0x7fe440cf,0x2067f440,
    0x3e60ffc8,0x01ff501f,0x222ff980,0x9fbf507f,0x37c43fa0,0x37ccff50,
    0x80017ec0,0x7fd404fd,0x2d46fdc1,0xfb00df30,0xf55fb805,0x037cc00d,
    0x06f997ec,0xdf11ff22,0x3f23fd40,0x742fe805,0x227f405f,0x27f405fe,
    0x3fe21bf2,0x1ffc4002,0x4fe40ff4,0x266f886f,0x9866406f,0x52fd806f,
    0x26791039,0x4fc800ff,0x02efff44,0x5fb00df3,0xdf51ff80,0x4037cc00,
    0x00df32fd,0x037cc5ff,0x00ff8332,0x3fe22ea8,0xf11ecc00,0x83d9801f,
    0x027ec4fe,0x5c17fa20,0x1fb6f83f,0x1ffc4fa8,0xb00df300,0x220bf25f,
    0x2009f76f,0xffc886f9,0x37cc0dff,0xf7017ec0,0x30037d4d,0x25fb00df,
    0x3fd806f9,0xf3001ffc,0x2fd4000d,0x005fa800,0xfa8ffcc0,0x0efd8006,
    0x4f98bf30,0x42fc85f7,0x01bdfffa,0x3f601be6,0xdf105f92,0x7c400ff2,
    0x7fffe407,0x3601be61,0xa8bfa02f,0x1be6006f,0x37ccbf60,0x3ea07fc0,
    0x2e01bdff,0x3f20004f,0x07f90003,0x3adf9000,0x7fdc001f,0x3ee3fc00,
    0x0fe8bf32,0xfffffe98,0x4037cc0c,0x105f92fd,0x800bf6df,0x236a01fe,
    0x01be66fd,0x37d40bf6,0x26667bea,0x037cc199,0x06f997ec,0x260bfd31,
    0x0cfffffe,0x99881fe4,0x0bf61999,0x0017ec00,0x04fefe80,0x4017fd40,
    0xff1f60fd,0x2e2037c4,0x261ffffd,0x92fd806f,0x3adf105f,0x07fa002f,
    0x4c7fe5a8,0x02fd806f,0xfffa85fd,0x21ffffff,0x2fd806f9,0xfffffff3,
    0x8801dfff,0x21ffffdb,0xfffb03fd,0x017ecfff,0x0002fd80,0x800dff30,
    0xf7003ff8,0x47f22fc5,0x74c003fa,0x00df30ff,0x20bf25fb,0x007f96f8,
    0x54b907fc,0x37ccbf65,0x7d417ec0,0xcccffa86,0x3e60cccc,0xf32fd806,
    0x9fffdddf,0x3fa60005,0x320bf70f,0x327feeee,0x9f90004f,0x17ec0000,
    0x8017fa00,0xa87f54f9,0x1983f93f,0x1fe3fd80,0x17e43fa0,0x04fab7c4,
    0x1fe8df10,0xff0ffcb5,0xfd01fd00,0xdfb9999d,0xe807f800,0xf70df30f,
    0x2006603f,0x00df33fd,0x00bf53fc,0x005fa86e,0x02fd8037,0x2001bf60,
    0xf883f96f,0x03fb0fd5,0x03fa5fa8,0x41fe4ff0,0x01ff16f9,0x5fc89f90,
    0xfd1beab5,0xfa87f801,0xffffffff,0x007f4006,0x706f99fe,0x03fb01ff,
    0x03fe5fa8,0x1ff13fc0,0xf10ffb80,0x0ffb801f,0x5c00bf60,0xfd8000ff,
    0x3edd07e8,0x6404fb85,0xa80ff63f,0x2a0fee6f,0x3013f66f,0xefe883ff,
    0x6c1ffded,0x21bea03f,0xaaaaacfd,0x7ec006fc,0xf99bea03,0x703bf606,
    0x23fc809f,0x7c400ffc,0xf102fec7,0x205fd89f,0x7ec04ff8,0x01ff9802,
    0x09f5f500,0x220febf2,0x1ff705ff,0x74c17fd4,0xd11bea3f,0x80dfd8df,
    0xfb102ffa,0xf503dfff,0x87fd305f,0x1bea07f9,0x305ff500,0x037cc7fd,
    0xff889ff1,0xc81ff705,0xffb881ff,0x2067f447,0x7440ffd9,0x7fecc0cf,
    0x2017ec00,0x20002ff8,0xf302fef8,0x3fe601fd,0x2fffddef,0xeddfffb8,
    0xbeff84ff,0x7446fdec,0xffedcdff,0x801d9002,0xfeddfffb,0x203fd84f,
    0xfb8006fa,0x4ffeddff,0x3ea037cc,0x77ffcc1f,0x902fffdd,0xffdbdfff,
    0xfff3019f,0x03fffd9d,0x3b3bffe6,0xfd801fff,0x777fe402,0xeeeeeeee,
    0x401ffd00,0x76c406ff,0x201dffff,0x3dffffdb,0x29fffd10,0xffda886e,
    0x2a001cef,0xfffb7005,0x1ff307bf,0x7777fd40,0xb80eeeee,0x83dffffd,
    0x6fd806f9,0xffffed88,0x7f65401d,0x4c01deff,0x0cfffffc,0x7fffe4c0,
    0x5fb000cf,0xfffffc80,0x0fffffff,0xfd80df90,0x0004c004,0x03100044,
    0x40002200,0x00880018,0x3ea027ec,0xffffffff,0x2004400f,0xff8806f9,
    0x80004c03,0x31000098,0x02620001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1f880000,
    0x098801ae,0x00000026,0x74400000,0x0000006f,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfd03c980,0x67e4001f,0x3ea003fc,0x5c00bf35,
    0x02ffffff,0x8004fd80,0x8004fcfd,0xe80005fc,0x1ff1003f,0x4c001df1,
    0x7f4404ff,0x000df703,0xff500bf9,0x00ffa809,0x7005fc80,0x1ff307ff,
    0x33f21bea,0xb51000ef,0x5fa8005b,0x64c00bf3,0x001ccccc,0x5c0037cc,
    0x0005fb5f,0x540003fb,0x77cc005f,0x3e2001fd,0x7c403fcf,0x8001ff07,
    0x7cc00ff8,0x7dc02fce,0x077c4004,0x0feefcc0,0x43c98bf6,0x00bf56fa,
    0x100004c4,0x4c400013,0x03f60000,0x22626600,0x5e880009,0x003ba000,
    0x000bfee0,0x007fa5fd,0x02fb87f5,0x4401fb80,0x01fe89fe,0xf90007ec,
    0x11ff1003,0x013e61ff,0x3fb20000,0x9001ceff,0x039dfffd,0x3bfffb20,
    0x0000001c,0x9dfffd97,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffff99b,0x42ffffff,0xfdcdffe9,0x3fa602ff,0x2fffdcdf,
    0x337ffa60,0xfc82fffd,0x17fc400e,0x6e677fec,0xf1001eff,0x3e20009f,
    0x0ffcc04f,0xf100bf60,0x47fa009f,0xff3005fa,0xe82fd803,0x7fffcc1f,
    0x2fffffff,0xfffffff3,0x3ee5ffff,0xf83fd003,0xeeeeff9b,0x221eeeee,
    0xffa80dff,0x80dff882,0xff882ffa,0x82ffa80d,0x2fec04fe,0x6c406fec,
    0xfff7006f,0x1ffee000,0xd80dff30,0x3ffdc02f,0xbf51fe80,0x01bfe600,
    0x83fd05fb,0xeeeeeff9,0xff31eeee,0xdddddddd,0x400fee3d,0x7cdfc1fe,
    0x04fd8006,0x3f60ffd4,0x20ffd404,0x7fd404fd,0xa80ffcc1,0x02fe40ff,
    0x7f4017f4,0xfe8002fb,0x3fe602fb,0x00bf604f,0xd005f7fd,0x4017ea3f,
    0x3604fff9,0x4c1fe82f,0x37cc006f,0x400fee00,0x273e21fe,0x7fcc006f,
    0x264fc800,0x4fc800ff,0x32003fe6,0x886fc84f,0x00ff82ff,0x7cc02ea8,
    0x4c006f8d,0x2606f8df,0xfb01ffef,0x7c6fcc05,0xf51fe806,0x3fbe600b,
    0xd05fb01f,0x006f983f,0x2e0037cc,0x43fd003f,0x006f9cf8,0xf98027dc,
    0x4c013ee6,0x4013ee6f,0x89fd06f9,0x06f984fd,0xe97e4000,0x4bf2001f,
    0x7bf301fe,0x80bf60df,0x803fd2fc,0x00bf51fe,0x41bef7e6,0x41fe82fd,
    0x7cc006f9,0x45fdc006,0x7f40bddc,0x1be77e61,0x2007f900,0x00ff27f8,
    0x07f93fc4,0x7cc1fe20,0x2e0df51f,0x7c00004f,0x4009f70f,0x209f70ff,
    0xb09fd5f9,0xb87fc05f,0xa8ff404f,0x2bf3005f,0x82fd84fe,0x037cc1fe,
    0x7001be60,0xdffdffbf,0xbf30ff41,0x33333df3,0x17ec1333,0x3f63fd00,
    0x6c7fa002,0x07fa002f,0x01feb7e4,0x266207f9,0x3ea01999,0x2003fe25,
    0x03fe25fa,0x0ffcd7e6,0x2fd40bf6,0x7f401ff1,0x2600bf51,0xd83ff35f,
    0x4c1fe82f,0x999999ef,0x27be6099,0x09999999,0x6cc33fee,0xfa87fa4f,
    0xffffff9e,0x3fa5ffff,0x747fa002,0x47fa002f,0x3fa002fe,0x13fbfa01,
    0xffb03fd8,0x7ec0ffff,0x6c01fec2,0x4c1fec2f,0xfb1bee5f,0xfb0bf605,
    0xfa8ff407,0x5cbf3005,0x7417ec6f,0x7fffcc1f,0x25ffffff,0xfffffff9,
    0x1bee5fff,0x21fe97ea,0xccff9ffa,0x23cccccc,0x3fe003fc,0x7c007f90,
    0x4007f90f,0x3fe600ff,0xc82fdc06,0x107feeee,0x80df50ff,0x86fa87f8,
    0xb27f45f9,0x50ff105f,0xa8ff40df,0x8bf3005f,0x20bf64fe,0x67fcc1fe,
    0x3ccccccc,0x33333fe6,0x3ee3cccc,0x3fa6f884,0x1be7fee1,0x2009f500,
    0x013ea6f8,0x09f537c4,0x3601be20,0x037cc02f,0x3bee0ff0,0x1ffccccc,
    0x3333bee0,0x7cc1ffcc,0xfd8ffcc5,0xcccefb82,0xfd01ffcc,0x4c017ea3,
    0xd8ffcc5f,0x4c1fe82f,0x37cc006f,0x7c0fee00,0xffb87fa7,0x7c4006f9,
    0x24fc800f,0xfc800ff8,0x2003fe24,0x2fd804fc,0xf000ff80,0x3ffffa0f,
    0x204fffff,0xfffffffe,0x42fcc4ff,0xd05fb6fb,0xffffffff,0x547fa09f,
    0x0bf3005f,0x20bf6df7,0x037cc1fe,0x7001be60,0xfe9fe07f,0x1be7fee1,
    0x3013f600,0x04fd83ff,0x3f60ffcc,0x00ffcc04,0x7e4017ec,0x43fc400f,
    0x99999ef9,0xf980ffa9,0xa999999e,0x417e60ff,0x4c2fdcfe,0x999999ef,
    0x1fe80ffa,0x3e600bf5,0x5fb9fd05,0x6f983fd0,0x0037cc00,0xd3fc0fee,
    0x7cd5443f,0x1bfb0006,0x3605ff50,0x2ffa80df,0xf501bfb0,0x0bf6005f,
    0x440ffe40,0x3fc87ffb,0x7e41ff40,0xf31ff403,0x3fbfe60b,0x3a01fe42,
    0xf51fe83f,0x417e600b,0xe82feff9,0x0037cc1f,0xf7001be6,0x1fe9fe07,
    0x2000df30,0xedcdffe8,0x3fa202ff,0x2ffedcdf,0x337ffa20,0x2002ffed,
    0x3f2002fd,0xfffedeff,0x400ff80c,0x00ff86fa,0x0bf337d4,0x3e17ffe4,
    0x437d400f,0x00bf51fe,0xffc817e6,0x4c1fe82f,0x37cc006f,0x7c0fee00,
    0x89987fa7,0xeeeeeff9,0xa884eeee,0x01cefffd,0xefffda88,0xfda8801c,
    0x4001ceff,0x654002fd,0x01defffe,0xff100bf5,0x4402fd43,0x80bf31ff,
    0x17ea2ffe,0xfd07fe20,0x3bbbfea3,0xbf33eeee,0xe82ffe80,0x777fcc1f,
    0x4eeeeeee,0xdddddff3,0x3ee9dddd,0x0ff4ff03,0xffff33ff,0xbfffffff,
    0x80001100,0x04400008,0x005fb000,0x6c004c40,0x4bf9002f,0xbf9002fd,
    0xff3017e6,0xc8017ec5,0xfa8ff45f,0xffffffff,0xf980bf34,0x4c1fe82f,
    0xffffffff,0xfff35fff,0xffffffff,0x3fc0feeb,0x00ffc3fd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x97000cc3,0x2a2002d8,0x7dc00720,0x54009f75,0xf126c00a,
    0x98000003,0x22001262,0x807b6002,0x4c006218,0x406f98ef,0x0ff89fe8,
    0xfd97f400,0x3a3fd102,0x20c4331f,0x4c40642b,0x06620260,0x003fe7f8,
    0x07ed67c4,0xddfffa80,0x2ff6000f,0x17fc006f,0x17b37e60,0x001bfe20,
    0x0bdbfff9,0x805bd980,0x87f404fb,0x9f7001fd,0xdf3001fd,0xf10005fb,
    0xf9809f7f,0x43fe2fce,0x26bee0fe,0x26bf506d,0x01ff885f,0x0007fcff,
    0x4003bfb5,0x005db55d,0x000ffe88,0x64c017fc,0xbfe800ad,0x22fe005f,
    0x64001deb,0x06f801b0,0x03fb0fe8,0x0017fec0,0x40007ff7,0xf7005ff9,
    0xfd0ff89f,0x01dffc81,0x417e6bf5,0x000005f9,0x310000c4,0x01980001,
    0x40000000,0x007f93fc,0xada80000,0x00009805,0x00000000,0x00062000,
    0x01000033,0x33f70000,0x05fb00df,0x3bfffb2e,0xfffd9004,0xb710039d,
    0x8019ffff,0x0973ddb9,0x12e7bb73,0xff880000,0x9ff10004,0x1005f900,
    0xffb809ff,0xffffffff,0xffff31ff,0x039dffff,0x0027fc40,0x07fa03fd,
    0x7fcc1fe8,0xffffffff,0x01be602f,0x3ff60bf6,0x1effdcce,0xb9bffd30,
    0x74405fff,0xfffdceff,0xfffff501,0xfffa8fdb,0xdf37edff,0xb805fb00,
    0xf70007ff,0x05f900ff,0xa80fff70,0xeffeeeee,0xff30eeee,0xffdddddd,
    0x3fee005f,0x407fa007,0x07fa01fe,0xdddddff3,0xcb83dddd,0xfd806f98,
    0x4406fec2,0xdff886fd,0x882ffa80,0x7e440cfe,0x8977cc0f,0x3be67ffb,
    0x26fff712,0x02fd806f,0x0017dff4,0x2017dff4,0xbfe802fc,0x37cc002f,
    0xc881be60,0xf7fd007f,0x407fa005,0x07fa01fe,0x3a000df3,0xd806f98f,
    0x2017f22f,0x027ec2fe,0xbfd07fea,0x7ec4fe80,0x3f67fb83,0xdf37fb83,
    0x4c05fb00,0x4006f8df,0x406f8df9,0x6fcc02fc,0x7cc006f8,0x4037cc06,
    0x6fcc02ff,0x3fd006f8,0xfe807fa0,0x80037cc1,0x806f98fe,0x003fe2fd,
    0x0ff98baa,0x3e24fc80,0x21ecc00f,0x27f880ff,0x37f880ff,0x05fb00df,
    0x01fe97e4,0x0ff4bf20,0xfc805f90,0x4c003fd2,0x037cc06f,0x3f201fec,
    0xfd003fd2,0xe807fa03,0x0037cc1f,0x06f98fe8,0x0df32fd8,0x8027dc00,
    0x017ea6f9,0xff037c40,0x37f81be2,0x05fb00df,0x04fb87fc,0x27dc3fe0,
    0xff805f90,0x4c009f70,0x037cc06f,0x3fe007fc,0xfd009f70,0xe807fa03,
    0x0037cc1f,0x06f98fe8,0x09f72fd8,0x801fe400,0x00ff27f8,0xff02fcc0,
    0x37f817e6,0x05fb00df,0x0ff897ea,0x3e25fa80,0x405f900f,0x03fe25fa,
    0x26037cc0,0xbfd3106f,0x3e25fa80,0x80ff400f,0x07fa01fe,0x33333df3,
    0x1fd01333,0x5fb00df3,0x4cc40ff2,0x0bf61999,0x5fb1fe80,0x81be2000,
    0x7c0df17f,0x5555ff37,0x05fd5555,0x07fb0bf6,0x3fd85fb0,0x7ec05f90,
    0x9801fec2,0x7ffcc06f,0xefffffff,0x3617ec00,0x80ff403f,0x07fa01fe,
    0xfffffff3,0x1fd0bfff,0x5fb00df3,0x7fec0ff6,0x0bfa7fff,0x5fb1fe80,
    0x40ff4000,0x207fa7fa,0xffff37fa,0xffffffff,0xf50ff105,0xa87f880d,
    0x205f906f,0x06fa87f8,0xf980df30,0xcfffeeef,0xa87f8802,0x80ff406f,
    0x07fa01fe,0x99999ff3,0x1fd07999,0x5fb00df3,0x776417ee,0x0ff27fee,
    0x9f90ff80,0x0f7d4000,0x77d4ffd5,0x7cdffaa1,0xaaaaaaaf,0xefb82fea,
    0x1ffccccc,0x3333bee0,0xfc81ffcc,0x999df702,0x3003ff99,0x86f980df,
    0xfb801ffb,0xffccccce,0x7407fa01,0x307fa01f,0x3fa000df,0x1fd00ff0,
    0x7f801be6,0x7c4013ea,0x5c017ea6,0xfeeffc81,0x77fe47fe,0xdf37fefe,
    0xfd05fb00,0xffffffff,0x7ffff409,0xc84fffff,0xffffd02f,0x009fffff,
    0x6f980df3,0xe801ff70,0xffffffff,0x407fa04f,0x07fa01fe,0x3a000df3,
    0xf801fd0f,0xf8007fc7,0x2003fe27,0x03fe24fc,0xb501ff70,0x50df17df,
    0x2df17dfb,0x2fd806f9,0x4cccf7cc,0x980ffa99,0x999999ef,0x17e40ffa,
    0x4cccf7cc,0x400ffa99,0x37cc06f9,0x2601dfb0,0x999999ef,0x3fd00ffa,
    0xfe807fa0,0x80037cc1,0x407fb0fe,0x07fe46fa,0x9fb1fe20,0x6c1ff980,
    0x13fe205f,0x1006f880,0x201be6df,0x01fe42fd,0x0ff20ffa,0x2fc87fd0,
    0x7f403fc8,0x2037cc03,0x3fe206f9,0xe807f904,0x203fd03f,0x07fa01fe,
    0x3a000df3,0x305ff50f,0x3ff907fd,0xb0fff710,0x5ff501bf,0x9819fd10,
    0x076c0ffd,0x01db27dc,0x01be69f7,0x01ff0bf6,0x0ff86fa8,0x3f237d40,
    0x5400ff82,0x037cc06f,0xff501be6,0xa801ff03,0x203fd06f,0x07fa01fe,
    0x40000df3,0xfeddfffb,0x3fff204f,0x0cfffede,0xdcdffe88,0x3e602ffe,
    0xfffeceff,0x511dfc81,0x8efe43ff,0xdf31ffa8,0x7d45fb00,0x21ff8805,
    0xff8805fa,0xbf50bf21,0x403ff100,0x37cc06f9,0x3ea37ec0,0x81ff8805,
    0x03fd01fe,0x3fe60ff4,0xeeeeeeee,0xffb7004e,0x95007bff,0x03bdfffd,
    0xefffda88,0xffc9801c,0x3600cfff,0x81ffffff,0x1ffffffd,0x3f601be6,
    0x6400bf62,0x400bf65f,0xb0bf25fc,0x17f2005f,0x7cc06f98,0x23ff8806,
    0xbf9002fd,0x3fa03fd0,0xf307fa01,0xffffffff,0x11000bff,0x004c4000,
    0x40001100,0x2a200098,0x2a200abc,0x37cc0abc,0x00017ec0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x24c35000,
    0x05c83ea0,0x80b617b5,0x2e016c4b,0x2009f94f,0x0ef98ff9,0x40055100,
    0x00131098,0x88005544,0x05ffffff,0x02fe97f4,0x7fffffdc,0xeeeee802,
    0x0130004e,0x99999910,0x03000005,0x6c013300,0x804edfff,0x981fdcee,
    0x00ffffef,0x01f6b3e2,0x002fdfec,0x007fb7ea,0x9000ff98,0x800ff25f,
    0xd1001ff8,0x809ddddd,0x803fcff8,0x1cccccc9,0xeeeeee80,0xffb71004,
    0x3e6037df,0x983fffff,0x4c02dfeb,0x801cfffc,0x2be206fb,0x8800deb8,
    0x4b701cdb,0xfda801ca,0xdff1001c,0x5ff90001,0x00ff9800,0x0ff25f90,
    0x001ff880,0xbff30000,0x00000000,0x9bfff100,0x0005fffb,0xffdeff88,
    0xb5bff503,0x0ff801ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb00df30,0xff980005,0xffffffff,0x27fc402f,0x884fe880,0x3fa01ffb,
    0x7545fd01,0x542ff81f,0x207ee05f,0x7ec01ff9,0xffffff32,0xd05fffff,
    0x3fe2003f,0x7fffcc04,0x900cefff,0xffffffff,0x7ffccdff,0xffffffff,
    0x8801df92,0x3fff22ff,0x6fffffff,0x3f601be6,0xffffff32,0x265fffff,
    0xeeeeeeff,0x7dc01eee,0x07fd007f,0xfd00ffb8,0xf509f503,0xfd06f989,
    0xdff30001,0xff32fd80,0xdddddddd,0x003fd03d,0xf301ffee,0xfffddddf,
    0xdddd707f,0x4dffdddd,0xeeeeeff9,0x3fa1eeee,0x2e2fec04,0xeeeeeeee,
    0x01be66ff,0x77fccbf6,0xeeeeeeee,0x0000df31,0x300beffa,0x0ff600df,
    0x17e40ff4,0x82fd47f8,0x79db7100,0x204fff98,0x00df32fd,0xe800ff40,
    0x3e602fbf,0x03ffb106,0x262ff980,0xff98006f,0x001ff501,0x3e62ff98,
    0xf32fd806,0x06f9800d,0xf8df9800,0x801fdc06,0x03fd05fa,0x83fa01fb,
    0x3e6007f9,0x30effeff,0x3603ffdf,0x000df32f,0x7cc00ff4,0x3e606f8d,
    0x0037e406,0x6f987ff1,0x10df9000,0xf88005ff,0x4037cc3f,0x00df32fd,
    0x80006f98,0x403fd2fc,0xff3002fd,0x3fa07fa0,0xff83fb00,0x445fb000,
    0xf7bf33fd,0x7ccbf60d,0x07fa0006,0x0ff4bf20,0xfe806f98,0x85fe8802,
    0x3a0006f9,0x0027ec4f,0x3e617fa2,0xf32fd806,0x06f9800d,0xf70ff800,
    0x000ff409,0x03fd01ff,0xa8fec0ff,0x04eeeffe,0x4cb221fa,0xfb09fd5f,
    0x8001be65,0x0ff801fe,0x1be609f7,0x36013ee0,0x06f980ef,0x547fe600,
    0xefd8006f,0xd806f980,0x800df32f,0x99999ef9,0x3ea00999,0x7c03fe25,
    0x07fe001f,0x81fe07fa,0xffdd52fc,0x77ec09dd,0x26bf300a,0x997ec1ff,
    0x999999ef,0x03fd0099,0x3fe25fa8,0xa806f980,0x07fdc05f,0x9999ef98,
    0x32009999,0x8003fd6f,0xdf300ffb,0x3e65fb00,0x9999999e,0x3fffe609,
    0x05ffffff,0x07fb0bf6,0x7c400bf6,0xff03fd07,0x3e60fec0,0xfffd1006,
    0x72fcc17b,0xf32fd8df,0xffffffff,0x007fa0bf,0x83fd85fb,0x6f9806f9,
    0x980bfea0,0xffffffff,0x77f405ff,0x7fd4004f,0x201be602,0xffff32fd,
    0x4bffffff,0xcccccff9,0xff103ccc,0x3ee0df50,0x20df3003,0x00fe81fe,
    0x00bf30fd,0x7fffed44,0x4fe8bf32,0x67fccbf6,0x3ccccccc,0x7c403fd0,
    0xf986fa87,0x106f9806,0xff9807ff,0xcccccccc,0x037fcc03,0x300ffe20,
    0x25fb00df,0xcccccff9,0x1be63ccc,0xccefb800,0x981ffccc,0x4fd8306f,
    0x3fb03fd0,0x0ff21fe0,0x37fda800,0xb1ff98bf,0x001be65f,0x3ee01fe8,
    0xffccccce,0x5c037cc1,0x00bfd05f,0x20000df3,0x7f4002fd,0xd00ff005,
    0x001be61f,0x74000df3,0xffffffff,0x887fd04f,0x00ffa9df,0x09f703fd,
    0x00dd0bf3,0x4ff41322,0xb6fb85f9,0x001be65f,0x3fa01fe8,0xffffffff,
    0x64037cc4,0x006fd84f,0x20000df3,0x3f6002fd,0x003fa006,0x0037ccff,
    0x4c001be6,0x999999ef,0xfe880ffa,0x17fff5c4,0x3fe03fd0,0xfb07f621,
    0x3fb00335,0x0bf37f88,0x4cbf73fa,0x3fa0006f,0x333df301,0x41ff5333,
    0x2fe806f9,0x98007fdc,0xfb00006f,0x03fee005,0x2a03fd80,0x001be66f,
    0x32000df3,0x81ff403f,0xedcdffe8,0x3fa02fff,0xf9bff701,0xffffb89f,
    0x23fddeff,0xfecbdff9,0x3e60bf34,0x0df32fef,0xc80ff400,0x31ff403f,
    0x46fb80df,0x26001ff9,0xfb00006f,0x03ff3005,0x982ffa80,0x01be63fe,
    0x2000df30,0x37d400ff,0xbfffb710,0xd03dfd57,0x7ffd403f,0xaadf983e,
    0x43ffffdb,0x23effffb,0x3ff205f9,0x000df32f,0x0ff80ff4,0xdf337d40,
    0x88bff260,0x7cc002ff,0x5fb00006,0x002ff880,0xdbbfff70,0x06f989ff,
    0x7777fcc0,0x24eeeeee,0xff8805fa,0x3ea03001,0x8801fe81,0x13300400,
    0x7cc04c40,0x997ff405,0xeeeeeeff,0x1fe84eee,0xf8805fa8,0xdddff31f,
    0xc85fffff,0xeeeeeeff,0xff30eeee,0xdddddddd,0x02fd809d,0x77777fe4,
    0x80eeeeee,0x3dffffdb,0xeeeeff98,0xf34eeeee,0xffffffff,0x017ecbff,
    0x00005fc8,0x00007fa0,0x26000000,0x97fcc05f,0xfffffff9,0xfe85ffff,
    0x9002fd81,0x3fffe6bf,0xc80ceeff,0xffffffff,0xff30ffff,0xffffffff,
    0x02fd80bf,0x7fffffe4,0x00ffffff,0x3fe60044,0xffffffff,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000031,
    0x08800cc1,0x00013000,0x31198800,0x30000001,0x88262001,0x4c433009,
    0x8000cc00,0x98805019,0x000c4000,0x2a801310,0xdffc9800,0x05f91402,
    0x801fe9f2,0xcafdc1fe,0x7fed403f,0x3ff6001d,0x06f88001,0x02ff9ff4,
    0x57e7be20,0xfffd37f9,0x9fe8019d,0x7f900ff8,0xffa80bfa,0xffdb8804,
    0x03f71dff,0x7003bfe2,0x09dfffd9,0x700ffcc0,0x83fd0b59,0x3ffddffb,
    0x0bf25e88,0x003fd2f4,0xf9fb03fd,0xcbef980b,0xd9f7007f,0xdddb001f,
    0xbf305dff,0xf10013ee,0x3fe6bf3d,0xffdcdffb,0x37be200e,0x7e7f401f,
    0x3f3be603,0x37ffa202,0x3fdffecc,0x817effa0,0xfdcceffd,0x2fc801ef,
    0xfe8586c0,0xf883fe21,0x362fc40f,0x3fa3f881,0x881fe801,0x1fc806fe,
    0xdf300bf2,0x32e01be6,0xd81cffcc,0x1000dd0e,0x7fcd6adf,0x05fe884f,
    0x4401ffd4,0x3fa205ff,0xfd103fd1,0x81bfea09,0xb07f93fc,0xdfb101bf,
    0xa804f880,0x21fe84bd,0x43fc83fb,0x541e65f8,0x2007fa0f,0xf80001fe,
    0x000fee0f,0x037c4000,0xb7c40000,0x40bff33d,0x00002ff8,0xfd800000,
    0x03ffe604,0x00bf9000,0x400005fd,0x443fd018,0x2a3fc80a,0x01bbcefc,
    0x801fe8db,0x76dc41fe,0x8a7ec03c,0x6dc400fe,0x6dcc03ce,0x2206f8ad,
    0x4c02cedc,0x8ef8addb,0x9007fe63,0x376e209f,0x3b6e200b,0x881ca82c,
    0x403fe23c,0x105fdde8,0xff017bb7,0x205d5001,0x540bddb8,0xfd3c881c,
    0x43ff1003,0x405ffffc,0x400ff44f,0x3ffe61fe,0xf100effe,0x9809fd7f,
    0x0effefff,0xdfffffa8,0xdfff706f,0x3fea0bff,0x986fdfff,0x37d400ff,
    0x7ff7ffcc,0xfefffa83,0x4417e44f,0x4413ea6f,0x987fa8ee,0x23ffefff,
    0x980006f9,0x23ffefff,0xd6f882fc,0x7f65403f,0x9805f883,0x400ff42f,
    0x88bf61fe,0x3fee03fd,0x22fd802f,0x77cc3fd8,0x30dff912,0x3faa17ff,
    0xc897fcc4,0x07f986ff,0x7fc46f98,0x441ff30b,0x7fd50bff,0x37c417e4,
    0x43f605f9,0x3fe20ff9,0x2e1ff30b,0x7c40004f,0x21ff30bf,0xd6f882fc,
    0x6fffc03f,0xb805f880,0xe801fe87,0x3221fa1f,0x1dffd302,0x5910fd00,
    0x6fc82fd8,0xff882fd8,0x3f20bf60,0x8807f986,0x5c1fe47f,0x2213f23f,
    0x105f90ff,0x6c0ff4df,0xf90ffc1f,0x3f27f707,0x33333103,0xfb83fc83,
    0xdf105f93,0xdaa807fa,0x02fc42ff,0x00ff42f4,0x5dfb0ff4,0xd5ff7001,
    0x3604d4bf,0x3f400aef,0x07f86f88,0x107e8bf2,0x00ff30df,0x00fd8ff3,
    0x3f603fd0,0xdf105f91,0x07f20ff4,0x00fd87fa,0xffb03fd8,0x0fd8ffff,
    0xf882fc80,0x2a003fd6,0x202fc46f,0x01fe83f8,0x3fa21fe8,0xf980bdff,
    0xf19ff11e,0xfffe881f,0x037c40bd,0x206f88df,0x40df13fb,0x807f986f,
    0x003fc6fa,0xffffffff,0x20bf25ff,0xb8bf66f8,0x7f8ff02f,0x320bf700,
    0x7c7feeee,0x105f9007,0x8007fadf,0x017e20ff,0x03fd03f5,0xda883fd0,
    0x7e42ffff,0x27effcc2,0xffffda88,0x6f81be22,0x7f7037cc,0x86f81be2,
    0x5fb807f9,0x7c401fe2,0xeeeeeeef,0xf105f92e,0x3faa7e4d,0x3fc4bf10,
    0x2006f980,0x401fe27f,0xd6f882fc,0xfb014c3f,0x3202fc45,0x3663fd07,
    0x5401fe82,0x407fc7fd,0x5001fffb,0x107f8ffb,0x207f88df,0x441fe2fc,
    0x807f986f,0x303fc4fc,0xf9000ff8,0x7ccdf307,0x3f204faf,0xf8303fc4,
    0xf8ff000f,0x83fc8607,0x743fd6f9,0x20ff882f,0x827405f8,0xf0bf51fe,
    0xfe82644f,0x7f40ff61,0xe826440f,0x2a07f61f,0xd01fe86f,0x4c0fec1f,
    0x407f986f,0x0ff41ff8,0x07fd2fcc,0x41fdc332,0x2ffec6fa,0xfe83ff30,
    0x3f25f981,0x23fc400f,0x75f981fe,0x3adf507f,0x321bee1f,0x3037c46f,
    0x4c7fa05f,0xb1bea0ff,0x4c7f883f,0x7ffe41ef,0x220fec0e,0x106fdc7f,
    0x1bf70dfd,0x6fd46fb8,0x261bfa20,0x437e407f,0x0fec0dfa,0x6fa81df5,
    0xdfd11bea,0xa80cffa8,0x0dfa81ff,0x3ff20fec,0x47ffb881,0x8fec0dfa,
    0xb7f446fa,0x5f7f41fe,0xff80fffb,0xd00fb84d,0x76ffec3f,0x6ffcc2ff,
    0xfe84fecb,0xeaefecdf,0x37fe60ff,0xfc84fecb,0x06fefccf,0xdff79ffd,
    0xf99ff901,0x8ff30dfd,0x01fffdfa,0xbfd79ffb,0xfb7bffb0,0xcbeff83f,
    0x3ba26fde,0xfedcdfff,0x33ff602f,0xff905feb,0x9fffdbdf,0xd79ffb01,
    0xcbeff8bf,0x83fd6fde,0x0dffffc8,0xdb0fff50,0xfb10ff40,0x3ee05dff,
    0x3203efff,0xb10dffff,0xdffff70b,0x77ff6407,0x3fee06f8,0x3b200dff,
    0x986f8eff,0x77ff5c7f,0x6fffdc01,0xffff700b,0xfffd1039,0x90ee9ba9,
    0x039dffff,0x17bfff70,0x7fff6540,0x7fdc01de,0x7f440bdf,0x3fadd4ff,
    0x08006601,0x4c000110,0x00131000,0x44010044,0x00220009,0x11000220,
    0x00110000,0x02200088,0x02600c40,0x44000262,0x00988000,0x18800880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06620000,0x03309980,0x0cc01310,0x06200131,
    0x09886600,0x20000000,0x4c066098,0x04c00621,0x06620000,0x00000998,
    0x88620000,0x4c000981,0x01988001,0x007fd000,0x1bee3fea,0x6c05ff10,
    0x4c03fd3f,0x0bdfffeb,0xfe8afd80,0xbb7c4001,0x5fa8002f,0x43fe07f9,
    0xffd301fe,0x3fff67df,0x202fffff,0x17f203fe,0x2f7fb220,0x3bff6a00,
    0xfe87f403,0xf50036c1,0x4fd8009f,0xf5002fc8,0xe8fec00b,0x027dc00f,
    0x80ff3fa2,0xda89befb,0x7fc400ef,0xf88002fd,0x20005f76,0x3e05fcfc,
    0xf503fd0f,0xb9fd97df,0xdddddddf,0x2017ea03,0x3fa601fe,0xf506ffce,
    0x409ffbbf,0xb83fd0fe,0xcef8800f,0x0df3003f,0x76c00bf2,0x2a7f3000,
    0x005f802f,0x7dc09ff3,0x20076c02,0x10004ff9,0x000beedf,0x2600efe8,
    0x3fe60621,0x01fffc83,0x8800ee80,0x90ff605e,0x443fb07f,0x443100fe,
    0xe802f981,0xb003fd1f,0x00bf201f,0x00000000,0x5f700004,0xd8335551,
    0x4000000e,0x005f76f8,0x64000000,0x07ffa05f,0x30000000,0x98df10bf,
    0x003fb85f,0x00004f80,0x217e4000,0x262cedca,0x6540adec,0xca83c881,
    0x2a6b8bee,0x3e3c881c,0xbffddf52,0xdb9104e8,0xddb98059,0x35f76f8a,
    0xc9805bd9,0x6540cded,0xff13c881,0x00ffd401,0x9e440e54,0x23c881ca,
    0x3ea001fd,0x9105fa85,0x1b2059db,0x0b3b7220,0x059db910,0x77fe45f9,
    0xeffceffe,0x0bf20fff,0xdffb1be2,0x7e45ffff,0x1f36f882,0x22fa83ea,
    0xefffb86b,0xfff505ff,0x3eedfbff,0x0dffeffd,0xffeeffc8,0x220bf21f,
    0x880ff36f,0x2fc801ff,0x05f96f88,0x887f4df1,0x207fc01a,0xfffb82fe,
    0x1fa85ffe,0x3fbffee0,0xdfff705f,0x52fc8bff,0xdffe88bf,0x2fc9bea1,
    0x3bee6f88,0xfc87fee2,0x4b96f882,0x98be20fa,0x42ffe60f,0x77cc4fea,
    0x2edff912,0x9fd31dff,0x3620efa8,0x220bf24f,0xf00df56f,0x1333335f,
    0xb7c417e4,0x26f882fc,0xffffd8ff,0xf9bfd302,0x17ff307f,0x7f113faa,
    0x542ffe60,0x5ffcc4fe,0x7e49fd50,0xff901f92,0x3f27f903,0xff16f882,
    0x326fed81,0x7d6f882f,0x37655fd4,0x105fb17c,0x417ec1ff,0x10ff76fc,
    0x417641ff,0x20bf26f9,0x00bf76f8,0xfffffffd,0x7c417e4b,0xdf105f96,
    0x75eff7fc,0xfff701ff,0x20bf60bf,0x82f40ff8,0x0ff882fd,0x3fe20bf6,
    0xb8805f90,0x32bf306f,0xf56f882f,0x27f8fc89,0xd6f882fc,0x1ff77d47,
    0xc81fe2f8,0x7c41fa2f,0x3f60bf76,0x26fa8801,0x76f882fc,0x9bff009f,
    0x7e479999,0x5f96f882,0x3fe2df10,0x2237dc0f,0xefd9aefd,0x5f903fc1,
    0x40ff07b8,0xc81fe2fc,0xb985f92f,0xffffffed,0xf96fffff,0x3eedf105,
    0x87ec7ea3,0x96f882fc,0x0fc87d4d,0x06f887cc,0x037c4fee,0x640feedf,
    0xfedba83f,0x20bf26ff,0x00bf56f8,0x5f9003ff,0x0bf2df10,0x84ff9be2,
    0x13ee1ff8,0x06f89bea,0x83f30fee,0x4fee06f8,0x4fee06f8,0xdffd12fc,
    0xdddff77b,0x3f2bdddd,0x7f76f882,0x91fd8fe2,0x26df105f,0x3741f50f,
    0x206f99ae,0x40df13fb,0x2e05f76f,0x3fffa23f,0x3f26fabd,0xdf36f882,
    0x801ff880,0x96f882fc,0x7cdf105f,0x745fb01f,0x261fd01f,0x20fee06f,
    0x7037cc4f,0xb81be67f,0x3f65f93f,0x802fd41c,0x56f983fc,0x1fd17abf,
    0x9be60ff2,0x7cc1f53f,0x3fc49d13,0x83fc5f90,0x207f76f8,0x037f62fc,
    0x41fe4df3,0x01ff16f9,0x6400ffdc,0xf96f983f,0x7f4df307,0x3fc3fb01,
    0x1fe25f90,0x46d82fc8,0x4bf207f8,0x4bf207f8,0x907f8afc,0x5cf660df,
    0xf36fa83f,0x37c41d9d,0x4df507f7,0xcb849afa,0x0ff40ee8,0x07f60fe8,
    0x82fddbea,0x20ff10fe,0x20fee6fa,0x813f26fa,0xfb801ffe,0x7f76fa83,
    0x1fe4df50,0x07fa3fc4,0x03fd0ffc,0x03ee03fa,0x83fa03fd,0x21fd01fe,
    0x981ff2fc,0x1fe83fff,0x6fe88df5,0xfd887ffa,0xfd11bea3,0x2202fb8d,
    0x0dfb80ee,0x37ee37dc,0x7ddbfa20,0x3e2fdc1f,0x537f440f,0x26fe88df,
    0xffc83ff9,0x46fa801f,0x8df56fe8,0x3fe26fe8,0x3f22fdc1,0x7dc6fa85,
    0x8837dc0d,0x206fdc2f,0x06fdc6fb,0x92fc9bee,0x3dfb57df,0x9fd77bfd,
    0xdecbeff8,0x2fbfea6f,0xeff85ffc,0xb86fdecb,0xfdb9acef,0x33ffa00e,
    0xfc80effb,0x76fefccf,0xffd79fdf,0xcabefb81,0x77fc7fef,0x4c6fdecb,
    0xbfecbdff,0xeeeeeefd,0x32fbfe3e,0x3bfe6fde,0x5c6fdecb,0x0efebcff,
    0xfebbefe8,0xbcffe81f,0x17a00eff,0x3fef3ffa,0xbcffe80e,0x4bf20eff,
    0x23effeb8,0x83dfffd8,0xdd4fffe8,0x3ffb37a2,0xfffd102d,0x6dcc1ba9,
    0x800aceff,0x00dffffb,0x3e3bffb2,0xfff93f76,0xffd7101b,0xe887f67f,
    0x30dd4fff,0x367dfffb,0xffffffff,0x53fffa24,0x3fffa26e,0xffd30dd4,
    0x7fe401bf,0x3ee01eff,0x6400dfff,0xbffff707,0x7fffdc01,0x4417e40d,
    0x44004c00,0x00112201,0x010000c4,0x20004400,0x80060008,0x00620008,
    0x40000220,0x00310018,0x0c400188,0x88002200,0x20004401,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06620000,0x00000000,0x00000620,0x00988000,0x88620000,
    0x00033001,0x19880331,0x4c400600,0x00066000,0x10c400a6,0x00018003,
    0x104c4033,0x02ff8813,0x059ffd50,0x4c8afe88,0x7fff5cc0,0x0df300bd,
    0x07fa5fb0,0x677fff64,0x83fc8001,0x803fd0fe,0x6c004ffa,0x0ffc404f,
    0x6c00fec0,0x7fedc406,0xcb800cff,0xd0fe805a,0x7edc403f,0xa800bdff,
    0x27fa04ff,0x5f980ff8,0xfdeffc80,0xdffd802f,0x26fbee01,0x980efda8,
    0xd2fd806f,0xdffe983f,0x002fffdc,0x87f41fe4,0x3be601fe,0xdf3003fc,
    0xa817e600,0x7dc01ffe,0x3bffa201,0x401fffdc,0x1fd00b0d,0x7fcc07fa,
    0x0effdcef,0x0ff3be60,0x00fef7c4,0x7fd403f7,0x4c07f622,0x2e02fefd,
    0x2076c02f,0x2fd806f9,0x6ffc41f1,0x002ffa80,0x88620ff2,0xfe8ff401,
    0x000fd801,0x5dec07ee,0x80fe601f,0x6440cfe8,0x2f6a00ff,0x06218804,
    0x64067fc4,0x23fd106f,0x7ff501fe,0x09fb0000,0x43360df3,0x22fb80fe,
    0x3b60acb9,0x3601be60,0x4fd8f12f,0x800ffd40,0x000003fc,0x00000000,
    0x0bd00fd4,0x7f405fe8,0x0000c404,0x32037e40,0x0000005f,0x40b3b722,
    0x01ff01ff,0x09f77951,0x7677dc5f,0x6f993a0f,0x3e9afd80,0x32003fe6,
    0x07f9004f,0x8059db71,0x402cedb8,0x402cedb8,0x202cedb8,0x01f901fa,
    0x26007fc4,0xbdb9303d,0x76e4c019,0x02db80cd,0xdc980ff8,0x8ca80cde,
    0x3fee1cda,0x7f85ffef,0xfd30bfa0,0x4c3fffff,0x5d85f50f,0x806f99ae,
    0x7dc3eefd,0x00df3004,0xfff50ff2,0x3ea09ffd,0x504ffeff,0x09ffdfff,
    0x3ffbffea,0xf303f504,0x005fa805,0x7f77fe40,0xeffc81ff,0x0001fffe,
    0xdff90bf6,0xfb83fffd,0xff33fffb,0xd13faa17,0x45ff105f,0xfc88cff8,
    0x07d9725f,0x0df30f98,0x3f205fb0,0x00ff1003,0xbff88ff2,0xf887fd50,
    0x87fd50bf,0xfd50bff8,0x50bff887,0x83f507fd,0x3fc805f8,0x83bea000,
    0x77d44fd8,0x9893f620,0x99999999,0x3ea4fc99,0x713f620e,0x361539ff,
    0x20ff882f,0x3ffb85fc,0x9fe60ff2,0x7c013e3e,0xfb00df32,0x800bf605,
    0x3fc801fe,0x3fe213f2,0x3e213f20,0x2213f20f,0x213f20ff,0x0fd40ff8,
    0x3f6003b6,0x0bb20002,0x05d91be6,0x7fff4df3,0xffffffff,0x20bb25ff,
    0x837dc6f9,0x88bf207f,0xefdabeff,0x6c03fe2f,0x027c7d0f,0x00df32f8,
    0x0bfa05fb,0xc801fe80,0x6c07fa3f,0x6c07fa1f,0x6c07fa1f,0x6c07fa1f,
    0x81fa801f,0x00bf60ea,0x1bea2000,0xfd37d440,0x9999999b,0x100bfb99,
    0x84fb8df5,0x0fee06f8,0x95ffffd3,0xc81be25f,0x4374d92f,0x261f30b9,
    0x02fd806f,0x7fc007f9,0x3e3fc800,0xffffffff,0x3ffffe2f,0x3e2fffff,
    0xffffffff,0x3ffffe2f,0x402fffff,0x1ff984f8,0x200013f2,0x6fffedba,
    0xfffdb750,0xb8017ecd,0xfedba84f,0x41fdc6ff,0x0fee06f9,0x7ec2aea2,
    0x7dc0df11,0x0bea1f33,0x1fe35cbd,0x7d403fa0,0x00df1004,0x77fc4ff2,
    0x2eeeeeee,0xdddddff1,0x3fe25ddd,0xeeeeeeee,0xddddff12,0xe805dddd,
    0x21fff986,0x837005fa,0xabdfffe8,0x7fff446f,0x3f26fabd,0x447fb004,
    0xfabdfffe,0x7c417dc6,0x800bf207,0xf903fc7e,0xbdf91fc5,0xd13a21ff,
    0x207f801f,0xfc800ff8,0x3f60f264,0xf8003fe2,0x03fe000f,0x0000ff80,
    0x5dd103ee,0x007fc43f,0xdfd83fee,0x3f637cc0,0xf537cc0d,0x43ff100d,
    0x37cc0dfd,0x0ff40bee,0x07ae0fe8,0x01fd17e6,0x22fa87fa,0x3ba21cb9,
    0xf501fec0,0x404fd80d,0x1be61ff9,0x03fe87fa,0x81ff4199,0x40ffa0cc,
    0x40ffa0cc,0x07f300cc,0xd83f51dd,0x93fe205f,0x4df507f8,0x8df507f8,
    0x2fe403fe,0x1bea0ff1,0x37ee05f7,0x3e237dc0,0x2e07f445,0x42fe40df,
    0x3ba202fb,0x982ffa80,0xdfd803fe,0x442ffa80,0x51fe61ff,0x46fa81df,
    0x37d40efa,0xdf503bea,0x7d40efa8,0xf70bd106,0x443bfb9b,0x7ecc0cfe,
    0x2207fc0f,0x207fc6fe,0x7fd46fe8,0xf83ff903,0x237f440f,0x3ffa02fb,
    0xd80effbc,0x02febbdf,0xfff79ffb,0x2b3bee01,0x200efdb9,0xfeddfffb,
    0xffd1004f,0x05ffdb9b,0x3ff77ff2,0xdbdffd83,0xdffd81ff,0xfd81ffdb,
    0x81ffdbdf,0xffdbdffd,0x9501fb01,0x983bfb99,0xffecefff,0xabefb81f,
    0x7dc7fefc,0x7fefcabe,0xdcdeffa8,0xefb81ffe,0x47fefcab,0x7fdc02fb,
    0xd7100dff,0xfc805bff,0x4c00dfff,0x0aceffdb,0xffffdb80,0x6d44003d,
    0x401cefff,0x203efffc,0x01cffffb,0x073fffee,0x1cffffb8,0x33fffee0,
    0x2005f501,0xff9301fa,0x22019fff,0xfb3fffeb,0x7fff5c43,0xdb103fb3,
    0x201bdfff,0xb3fffeb8,0x8017dc3f,0x00040008,0x010000c4,0x00008800,
    0x26000220,0x00022000,0x00880011,0x1e400440,0x10015100,0x00880013,
    0x88000440,0x00440009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00662000,0x18800266,
    0x0c400600,0x00620c40,0x00080062,0x4c400262,0x06026201,0x00000620,
    0x0971cc98,0x9db71000,0x00000005,0xbb000000,0x36000fc4,0x04fd804f,
    0x0ceffea8,0xf1007f60,0xfc8f9009,0xffffd880,0xbfff704e,0xd900db00,
    0xb83bffff,0x0fbfea4f,0x0df305e8,0xeef85fb0,0x7fc43fff,0xfa85ffff,
    0x984ffeff,0x22fd806f,0x7dc006f9,0xffffffff,0x6fcc1fff,0x81fdc6ec,
    0xfd1006f9,0x5e7fd401,0xffea85fd,0x40076c01,0x7cc36c5e,0xdffecdff,
    0x1fd53e20,0x74c03f70,0xfffdcdff,0x9df93ee4,0x00fa83fb,0x5fb00df3,
    0x02b98644,0x85999999,0xfd50bff8,0xd806f987,0x001be62f,0xffddddd5,
    0x301ddddd,0x3fb817b9,0x4c001fb0,0xb03fe04f,0x1fbbd83f,0x22007ee0,
    0x7f427c4f,0x204fe883,0x07f302fa,0xfa827fc4,0x17ccee4f,0x4c09d0fd,
    0x02fd806f,0x4fc80000,0xfb50ff88,0x9999999f,0x3e67bfd9,0x6f980006,
    0x02620000,0xf8800000,0xf501fc86,0x400fe203,0x10fe22f9,0x83fd40df,
    0x017a04fe,0xffa809fb,0xc83f23b1,0x9803ee0f,0x52fd806f,0x2a791039,
    0x3a3c881c,0x323fb01f,0xffffffff,0x36ffffff,0x9bddddff,0x0df30017,
    0x3c881ca8,0x66f6e4c0,0x37b72600,0x7c2fcc0c,0x7407ea06,0x7ee65c06,
    0x0cdfdccd,0x0cc80df3,0xfc83fb98,0x003fe600,0xfc8b7bee,0x809f1f60,
    0x2fd806f9,0x2df105f9,0x26f882fc,0xffffffff,0x01be62ff,0xfff98bf6,
    0x3fffffff,0x32037cc0,0x956f882f,0x7f77fe43,0xeffc81ff,0x3ea1fffe,
    0xf501fdc4,0xd801f903,0xffffffff,0x0ffe0fff,0x23ec1880,0x27dc02fa,
    0x5c1ff980,0x0fb93a2f,0x6c037cc0,0xf105f92f,0x3e20bf2d,0xddddff16,
    0x7cc5dddd,0x262fd806,0x999999ef,0x3e601ffd,0x4417e406,0x3ea7f76f,
    0x513f620e,0x27ec41df,0x03fc49f5,0x05f307ea,0x83745e80,0x01bdfffa,
    0x93ea73e6,0x3fc805f8,0x883ff100,0xf12fcaef,0x00df3009,0x20bf25fb,
    0x105f96f8,0x0007fcdf,0x55555ff3,0x4c5fd555,0x027ec06f,0x2fc80df3,
    0x27f76f88,0x46f982ec,0x26f982ec,0x01be64fa,0x02f443f5,0x09f13e20,
    0x7fffff4c,0xcffeb80c,0x3a003b60,0x0bfa002f,0xfb8bbf26,0x806f9800,
    0x105f92fd,0x220bf2df,0x640ffa6f,0x3fffe60c,0xffffffff,0xf501be62,
    0xffbaaa8d,0x17e41aaa,0x03fbb7c4,0x88037d44,0xf13ea6fa,0x0fd8009f,
    0x3017bb71,0x401fcc5f,0x1ffffdb8,0x703f7010,0x0017f41d,0x220403fd,
    0x30736e4f,0x25fb00df,0x96f882fc,0x54df105f,0x237d40ef,0xaaaaaff9,
    0x262feaaa,0x237dc06f,0xfffffffe,0x4417e43f,0xba87f76f,0x506fffed,
    0x4dfffdb7,0x6ffcc4fa,0x361fa800,0xfb85fcbf,0x20007ea0,0x8800ffe9,
    0x21ffa84f,0x3fe003fc,0x5c3f2000,0x3e64fddf,0xf92fd806,0x3f2df105,
    0x7ec6f882,0x41ffdbdf,0x2fd806f9,0x9fd01be6,0x9ffa9988,0x417e4099,
    0x227f76f8,0xfabdfffe,0x6ffff446,0x13ea6fab,0x8803bfa2,0xfc8b224f,
    0xffffffb0,0x261fffff,0x803fd801,0x1fff986e,0x7c4013ea,0xe8fe2006,
    0x07f87f25,0x07f90fe8,0x20ff2df3,0xfffb86f9,0x06f981cf,0x3be62fd8,
    0xfda99999,0x01be600f,0x2df307f9,0x81bfb3fb,0x06fec6f9,0x04fa9be6,
    0x06e813f2,0xdf973744,0x999df999,0xf5007f61,0x440fc80b,0x3e21fade,
    0x04fc800f,0x27c43f20,0x007f45f5,0xa83fb9fe,0xf507f76f,0x3007cc0d,
    0x45fb00df,0xfffffff9,0x7cc02fff,0x541fdc06,0xff17f76f,0x7f89bea0,
    0x27d4df50,0x3ee0df10,0x107fa601,0xf704f87f,0x203fc809,0xa8ee83f9,
    0x2027ec1f,0xf1001ff9,0x7f317cc7,0xdf501fec,0x3fa237d4,0xfe88df56,
    0xf301aa06,0x4c5fb00d,0xcceeeeff,0x06f9800a,0x3fa237d4,0x03fe7f76,
    0x0ff8dfd1,0x9f537f44,0x84fa87ee,0x3bea03f9,0x3e62f980,0x20bff102,
    0xbd100ffb,0xbfb9bf70,0xa80dfd83,0x3f2002ff,0x0fb93e20,0x3a60bfea,
    0x65f7fc3f,0x3bfe6fde,0x206fdecb,0xdf3011fa,0x7cc5fb00,0x6f980006,
    0xecbeff80,0x2e7f76fd,0xfefcabef,0x655f7dc7,0x53ea7fef,0x0ffcbff9,
    0x9f502f44,0x3f507dc0,0x6f7ffcc0,0x3602fffd,0xdccca80f,0x7ff441df,
    0x02ffedcd,0x3ba0fe20,0xfff70db0,0x109ffdbb,0x9ba9fffd,0xdd4fffe8,
    0x0ff7fc40,0x3f601be6,0x0001be62,0x3a201be6,0x2edd4fff,0xfffd713f,
    0xeb887f67,0x23fb3fff,0x3ffaa4fa,0x100fc81d,0x43ffffff,0x4403e47d,
    0x1dffffed,0x5400bea0,0xffb5101f,0xd80039df,0x5fffd307,0x3ffff6e0,
    0x800c403d,0xcb880018,0xd806f981,0x001be62f,0x8801be60,0x220fee01,
    0x00044000,0x07220110,0xaaaaaa98,0x00110220,0x0f200130,0x1000a880,
    0x01640001,0x008800aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20f3b6e2,0x01cda8ca,0x00000000,0xdb880000,0x000000bd,
    0x03310000,0x119504c4,0x33019bb7,0x013104c4,0x004c8800,0x00f239b3,
    0x80cc4000,0x8e6cc018,0x5c464c3c,0x86640bdd,0xeffefff9,0x3ffefee0,
    0x7f98bf53,0xa9fddfdc,0x05f9005f,0x26002fd4,0x03ffefff,0xffffff70,
    0x8dffffff,0x1ff402fb,0x3ee1ff88,0x0efffffb,0x22fda7e4,0x4c0003fc,
    0xedf8807f,0xff302fff,0x19dfffff,0x3e613f60,0xfdbf105f,0xebfb85ff,
    0x3e0effff,0x6c45fb1f,0x273fee3f,0xf98bf50a,0x9fddfdc7,0x5f9005fa,
    0x1002fd40,0x3fe617ff,0xfeeff800,0xeeeeeeef,0xf5017dc5,0x2e17e409,
    0x9fd11cff,0xc87f9fd0,0x6440003f,0x32649804,0x3bbfe601,0x43ffffee,
    0xbff886f9,0x3264984f,0x31cffb82,0xe86649fb,0x3ee2c887,0xf50bf506,
    0x2a593fb8,0x05f9005f,0xf9002fd4,0xb807f707,0x800df55f,0x81ba02fb,
    0x86fb84f8,0x5ff886f9,0x00002d88,0x7cc00000,0x43ff9106,0xb2fd80fd,
    0x7dc0005f,0x3605fa86,0x3ee00aef,0xb50bf504,0x50e8bfb8,0x0bf200bf,
    0x80665fa8,0x3e0000fd,0x800df51f,0x000002fb,0x0df109f7,0x0001f100,
    0x32600790,0xf300cded,0x006fb80d,0xcedc8800,0xf884fb82,0x3fffa206,
    0x81fdc0bd,0x20fc45fa,0x3ea2abfb,0x405f9005,0x405f55fa,0x3ee0007f,
    0x7001bea6,0x5c46545f,0x232a0cdd,0x07f71cda,0x5c4655be,0x5cb20cdd,
    0x805bd953,0xffc805f8,0x981fffee,0x72fe806f,0x8065c019,0x5ffefffb,
    0x07f81fdc,0x7fffed44,0x7d40bee2,0x83fb8085,0x5f9005fa,0x27defd40,
    0x4000ff10,0x01bea2fe,0x3ee75f70,0x0efffffb,0x27fff7f7,0x2edf03fb,
    0xefffffbf,0xfffbee80,0x13ea05ff,0x6c41df50,0x806f984f,0x401fd4fb,
    0xbff980fe,0x7dc9fd50,0xa800ff03,0x40bee7fd,0x7f7005fa,0x8330bf50,
    0x541312fc,0x7f803fff,0x46fa8060,0x99999efa,0x76ffb819,0x3fa239ff,
    0x1539ff74,0xbb7c0fee,0x9fd11cff,0x2617ffd0,0x1ff981ff,0x7cc17640,
    0xa806f986,0x7401fd5f,0x882fd80f,0x207f70ff,0x2099107f,0x205f71fe,
    0x7f7005fa,0xff88bf50,0x17f4bf20,0x3a005ff5,0xd05f981f,0xffffa85f,
    0x5c1fffff,0x30df70ef,0x5c1beedf,0x3eedf03f,0xfe86f986,0x7c43fc83,
    0x2a20003f,0x77ff746f,0xb7cc1eee,0x03fa00fe,0x72fc81fe,0xd81fe07f,
    0xf73fc41f,0x4017ea05,0x45fa83fb,0x4bf20ff8,0x0bfd12fe,0x3606fd40,
    0xa86fa81f,0xccccccff,0xb8bfa60c,0xf76f884f,0x7c0fee09,0xdf109f76,
    0x7f703fd0,0x2001ff44,0x6fffedba,0x7777ff74,0xfeb7cc1e,0xf103fa00,
    0xfb9fdc0d,0x30ccff03,0x9fd97bff,0x5fa817dc,0xf507f700,0x40bf200b,
    0x6c005fff,0x05febcff,0xb9999dfd,0x7ffc00df,0xb7c0fee2,0x07f703fb,
    0xf81fddbe,0xfb80fe86,0x8800ff63,0xfabdfffe,0xb806f986,0x7401fd4f,
    0x7037cc0f,0x7c0fee7f,0xffb87fe7,0x17dc3eff,0xf7005fa8,0x200bf507,
    0xbf7b02fc,0xbfff7000,0xffff5017,0x00dfffff,0x7f717ddc,0x817ddbe0,
    0x2edf03fb,0xfd0df03f,0x37c4fee0,0x81bfb010,0x06f986f9,0x01fd3fc8,
    0x1fe207f4,0x07f72fc8,0xc81ff9fe,0x206a200e,0x7f7005fa,0x3200bf50,
    0x017ea02f,0x36017cc0,0xcaaaaacf,0x17dc006f,0x5dbe07f7,0x2035002f,
    0xd0df03fb,0x7ccfee0f,0x7c4ff306,0xf30df507,0x3a5fd00d,0x203fa00f,
    0x01fd01fe,0x701f1fe0,0x3f6203fb,0xb802fd46,0x005fa83f,0x2fd405f9,
    0x04fc9800,0x37d40ff3,0xfb8bee00,0x0beedf03,0x2e07f640,0xfd0df03f,
    0x2ff8fee0,0x07fc4fd8,0x3e61bfa2,0xfd37dc06,0x5c07f401,0x037dc0df,
    0x41aa5f88,0x7ec03fb8,0x5c017ea0,0x005fa83f,0x2fd405f9,0x20df3000,
    0x1bea03fd,0x7dc5f700,0x0beedf03,0x7dc3fa80,0x0fd0df03,0xbefc8fee,
    0x5c0ffc88,0xfefcabef,0x9306f987,0x007f43ff,0x3ffa01fd,0x800effbc,
    0x207a4fb8,0xdd306fff,0xeeffa8bf,0xf73eeeee,0xdddff507,0x3f27dddd,
    0x3bbfea02,0xc83eeeee,0xff982fff,0x3bbfea00,0x20eeeeee,0x40fee2fb,
    0xd005f76f,0x3fb81ffd,0x20fd0df0,0x7ffe43fb,0xeb882fff,0x83fb3fff,
    0xffeeeff9,0x07f42fff,0x7dc01fd0,0x9800dfff,0xa9801fff,0x206f2200,
    0xfffffffa,0x507f74ff,0xffffffff,0xa80bf29f,0xffffffff,0x201a884f,
    0x7fd404fd,0xffffffff,0x3fb8bee0,0x00beedf0,0x3ee02b2e,0x0fd0df03,
    0x32e60fee,0x008800ac,0xffffff30,0x1fd017df,0x44007f40,0x05e4c000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99803300,0x0b220c40,0x8262065c,0x2072a098,
    0x000003c8,0x2e400188,0x06aa00be,0x12ec0000,0x2609883f,0x9bdb9301,
    0x2f8b9001,0x35500000,0x00000000,0xfc800000,0x45fff706,0x82fcc4f9,
    0x47fc40fe,0x417e46f9,0x3fe206f8,0x5005ffff,0x7c400bff,0xfb006ecd,
    0xfffff009,0x66fcc0df,0xf95fa86e,0xfddff909,0xdf8803ff,0x3fe606ec,
    0xe804ffff,0x3ffe604f,0x00ceffff,0x7fcc07fb,0x8000fee0,0xff980ff8,
    0x313ea0cd,0x203fa0bf,0x640fedfa,0x406f882f,0x02cccccc,0x03fcef88,
    0x002f6e60,0x664027ec,0x4c03cccc,0x9f900bdc,0x41df50bf,0xb9804fd8,
    0x332200bd,0xe802cccc,0x3bfe604f,0x3ffffeee,0xfb00ff88,0x666ff647,
    0x07ee001c,0x4fa827d4,0x0fe82fcc,0xf903ff70,0x000df105,0xfe8ff400,
    0x00000001,0x40000000,0x2ec80efe,0x00006f98,0x98000000,0x3ff9106f,
    0xdf309f90,0xeeeefed8,0x3ee00002,0x2cefdb83,0x03fa0bf3,0x4417e400,
    0x76e4406f,0x8000002c,0x402cedb8,0x402cedb8,0x00cdedc9,0x00b3b722,
    0x1bea2000,0x19bdb930,0x1676dc40,0x02f76e20,0x3ee037cc,0x740ff886,
    0x003fb82f,0x33333322,0x07f71ccc,0x267ffffd,0x221fd05f,0xcccccccc,
    0xf105f91c,0x77ffdc0d,0x4065c5ff,0x543c80cc,0x04ffefff,0x9ffdfff5,
    0x3fbbff20,0xfffb81ff,0x39505ffe,0xffedba80,0x3bff206f,0xfa81fffe,
    0x304ffeff,0x07ffdfff,0x5fd00df3,0x37d4bf70,0xddc8bfb8,0xffff880a,
    0xf72fffff,0xf313ea07,0x7c43fa0b,0xffffffff,0xdf105f92,0x542ffe60,
    0x30bf24fe,0x24f985ff,0xfd50bff8,0x50bff887,0x0efa87fd,0xff313f62,
    0x213faa17,0xffd103fb,0x20df57bf,0x3f620efa,0xa85ffc44,0x5ffc43fe,
    0xf981ff30,0xd04fb806,0x5c07fa3f,0xffffffdf,0xb93f2000,0x989f503f,
    0x001fd05f,0x41fe49f9,0x05fb06f9,0x13e61ff1,0x2fb89ff7,0x3fe213f2,
    0x3e213f20,0x260bb20f,0x4417ec6f,0x81fdc0ff,0x37cc0dfd,0x6f982ec8,
    0x7fc427e4,0x3ee0ff20,0x54037cc3,0xf7bf505f,0x8e7fdc0b,0xf7004fd9,
    0xf503fb8b,0xff07f989,0x5c5fb801,0xf06fa83f,0xff17e40f,0x3f46eed8,
    0x0fec07fa,0x07f603fd,0xff1bea20,0x3ee17e40,0xf507f883,0x6fa8800d,
    0x1fd80ff4,0x774003f6,0x41eeeeff,0x266626f9,0x099afffe,0x2fd437dc,
    0x2e077d40,0xffffe83f,0xfc87ff32,0x03bea00f,0x6fe88df5,0x3ee06f88,
    0xccf87f63,0xff8bf10f,0xffffffff,0x3fffffe2,0xba82ffff,0x226fffed,
    0x70fee06f,0x103fe07f,0xdba80dfd,0x7fc6fffe,0xffffffff,0xee801fe2,
    0x41eeeeff,0x3ffea6f9,0x4fffffff,0x37c427dc,0x2e03fe60,0xadfca83f,
    0xd9bfff30,0x3e601fff,0xbefe880f,0xf986fdfc,0xfa8fee06,0x25f55f33,
    0x3bfe22fa,0x2eeeeeee,0xdddddff1,0x7f445ddd,0x26fabdff,0x0fee06f9,
    0x3bee07f7,0x07fefcab,0x57bfffd1,0x777fc4df,0x12eeeeee,0x6f9800ff,
    0x2a24fb80,0xaabfeaaa,0xf81fdc1a,0x407fe607,0x89f503fb,0xbfffcdf9,
    0x1ff980fc,0x53fff620,0x207f886e,0x657e22fc,0x1fb4f88f,0x3e000ff8,
    0x37f6000f,0xff137cc0,0x3ee17e40,0xfffd7103,0x3f607f67,0x3e37cc0d,
    0x81fe000f,0xc806f981,0x007ec03f,0x83fc0fee,0x3ee02fe8,0xf989f503,
    0xfd100315,0x07e0c005,0x0fe80ff4,0x5fa6ebec,0x903fe85f,0xc81ff419,
    0x2a0ff10c,0xe80ff46f,0x401fdc0f,0x7c426408,0xfe8df507,0x7f419903,
    0x7cc5f981,0x2a2fe806,0xffffffff,0x81fdc4ff,0x809fd07f,0x89f503fb,
    0x7f4005f9,0x03e20004,0x3ee06fdc,0x24fafb86,0xfa83fbfc,0x2a37d40e,
    0x237d40ef,0x37f440ff,0xdf7037ee,0x20007f70,0x881ff03e,0x077d46fe,
    0x1bf51bea,0x37cc1fd8,0x5511bee0,0x5557fd55,0xff03fb83,0xf7009fb0,
    0x4f7fe607,0x3f6005f9,0x1fc40004,0xfbcffe81,0xfef880ef,0x403ffea2,
    0xffdbdffd,0xdbdffd81,0x5f7dc1ff,0xe87fefca,0x0effbcff,0xb0003fb8,
    0x77dc533d,0x87fefcab,0xffdbdffd,0xebcffd81,0x306f985f,0xfb003ff9,
    0xf03fb801,0xcccffb8f,0x7f72cccc,0xf9affe40,0x99ff7005,0x00599999,
    0x2e0ffbfa,0x200dffff,0x3fe20ffe,0x7fffdc06,0x3ffee01c,0xfeb881cf,
    0x703fb3ff,0x201bffff,0xf50003fb,0x7f5c4bff,0x703fb3ff,0x4039ffff,
    0x80bdfffb,0xffeeeff9,0xfb002fff,0xf03fb801,0xfffffc8f,0x7f75ffff,
    0x00d44100,0xffffffc8,0x51005fff,0x00088037,0x07fd0df9,0x11000220,
    0x40004400,0x03fb8008,0x11005400,0x80011000,0x7ffcc008,0x00beffff,
    0xf7003f60,0x0001fe07,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10c40000,0x00000003,0x00000000,
    0x3a600000,0x24eeeeee,0x00f202ca,0x4c0cc400,0x00973ddb,0x00001400,
    0x325bb730,0x9d931953,0x00000005,0x0004cc00,0x87fa1fd0,0xfffffffc,
    0x3bf26fff,0xb17fc400,0x0efa80bf,0x7d41fd80,0x7ff8807f,0x7fffffd4,
    0x541be65f,0x800bf54f,0x7d46ffe8,0x37edffff,0xffffffff,0x30bd105b,
    0x85fb00df,0xfcffeffa,0xfdff9f76,0xffff98bf,0x01ceffff,0x0677fed4,
    0xeffffc88,0xfd17d401,0xeeb87fa1,0xffeeeeee,0x36027f46,0x817fc45f,
    0xfb801ff8,0x17ffd41f,0xf91ffea0,0x207fa005,0x00bf51fd,0x263cefd8,
    0xfff712ef,0x3bbbbfe6,0x7c45ffff,0xd806f985,0x44bbe62f,0xbff76ffb,
    0xf98ff661,0xfeeeeeef,0xdffb02ff,0xfd01fffb,0x03ffd79f,0x2188bfe6,
    0x7fcc0018,0xa80ffcc2,0x0ffa80ff,0xf9803fe8,0x7ffd41ff,0x23ffec05,
    0x9f7000fd,0x17ea6f88,0xfb01ff00,0x3e6ff707,0x88bfea06,0x806f985f,
    0x20bf62fd,0x10df76fc,0x1037ccff,0x1df50ff9,0x37dc5fc8,0x7fd43fdc,
    0x2200002f,0x0df903ff,0x7ec05ff1,0xe802fe46,0x6fd41fee,0x3f3e207e,
    0xf10037c7,0x3ea3fb8f,0xf837c005,0xf37f880f,0x955fc80d,0x37cc79ff,
    0x0fd17ec0,0x81fddbe2,0x00df31fc,0x83fd85ff,0x0ff60ff8,0x7ec47fe2,
    0x0cb82fef,0x017fa200,0x04fd89fd,0xefa9ff44,0xfd9fc800,0x17e6fd41,
    0x227fafb8,0x4037935f,0xa83fa1fd,0xff97005f,0x81be2199,0xa80df37f,
    0xbffff96f,0x7ec037cc,0xb7c0df12,0x25f702fb,0x3fd806f9,0x0fe806dc,
    0x8fec02ea,0x82fc8dfc,0x3f6000fe,0x8ffcc00e,0xff3006fa,0xf3003ff5,
    0xbf507f69,0x23b60bf3,0x3ffbea7f,0x9f504fff,0x0bf517e6,0x3fffff60,
    0xbfc0bf30,0x37e406f9,0x0df30bf1,0x1be25fb0,0x203f76f8,0x00df33fb,
    0x7cc001ff,0xa9fe2007,0x3fa0bf22,0x01ff7000,0x0ff5bf20,0x07fff700,
    0x0fecdd10,0x443f57ea,0x3ee7f8bf,0x3ffd99bf,0x50beeff0,0x86f800bf,
    0x4dfe06f8,0x127fc06f,0x55ff30bf,0xfd555555,0x2df03fc5,0x23f902fb,
    0xfd3106f9,0x04fc800b,0x6405fd10,0x800fe82f,0x74002ffa,0xe8004fef,
    0x43fb006f,0xcafd41fd,0x7c4fdc2f,0x3ea0b267,0x7eafc80f,0x7c005fa8,
    0xf503fd06,0x2aabbe6f,0x20fffcaa,0xfff985f8,0xffffffff,0x2607fa2f,
    0x3a09f76f,0xfffff30f,0x01dfffff,0x4007fd40,0x7e403fe8,0x4400fe82,
    0xf98003ff,0xffa8006f,0x21fd402f,0x9afd41fd,0x7f8b745f,0x260bfe00,
    0x5fa84fdf,0xfa837c00,0x4dffaa1e,0xffffffff,0x42fc40df,0xaaaaaff9,
    0x2a2feaaa,0x5bfa20df,0x2fdc1ffb,0xffdddff3,0xfa80059f,0x09fd001f,
    0x1fd05f90,0x0005fe80,0xf1000bf6,0x2201ff9f,0x541fd86f,0x3f89fa5f,
    0x7e400ff1,0x503ffd03,0x06f800bf,0x3bfbbff2,0x555df37f,0x3e201355,
    0xd806f985,0x667fec2f,0xfff76fff,0xf98dfd7b,0x001ffb86,0x5c007ff2,
    0x05f9004f,0x37ec01fd,0x00bf6000,0x1bf69fb0,0x66666fe4,0xbf51cdfe,
    0x10fb97dc,0xfb014cff,0x541bee03,0x037c005f,0x3e2fbf6a,0x1000df36,
    0x00df30bf,0xfff705fb,0x2feedf3d,0x4c0dfffc,0x01ff706f,0x4003df90,
    0x5f9001fd,0x3ee01fd0,0x7ec0000f,0x89bee002,0xfffd83ff,0x2fffffff,
    0xeafccbf5,0x2fe9fe26,0x3ea06f88,0x800bf503,0x6f88006f,0xf1000df3,
    0xb00df30b,0xf884c05f,0x300c7f76,0x077ec0df,0x8001dfb0,0x5f9000fe,
    0xff301fd0,0x5fb00003,0x307fe600,0x999883ff,0x09afe999,0xf9fe8bf5,
    0x6fc9fe23,0x3fa04fc8,0x800bf500,0x701db06f,0x001be69f,0x037cc37c,
    0xf88017ec,0x26007f76,0x13fe206f,0x00002fec,0xfe82fc80,0x0017fc40,
    0x8802fd80,0x1df903ff,0xf507f600,0x20fefb8b,0x67ff47f8,0x4cc0effb,
    0x17ea04fc,0x3f20df00,0x23ff511d,0xff0006f9,0x4037cc9d,0xdf1002fd,
    0x7cc00fee,0x20ffd406,0x260006fa,0x20bf2001,0x77fe40fe,0xeeeeeeee,
    0x017ec00e,0x3fa02fec,0xa83fb005,0x22ffcc5f,0x7fe447f8,0xffd80dff,
    0x3bfea00e,0x43eeeeee,0x3fff606f,0x1be61fff,0x33ffd400,0x05fb00df,
    0x1fddbe20,0xd806f980,0x7777fc6f,0x201eeeee,0x5f9001ff,0xffc81fd0,
    0xffffffff,0x17ec00ff,0x3003fee0,0x3fb005ff,0x2fe85fa8,0x03303fc4,
    0x5400bca8,0xffffffff,0x22037c4f,0x7cc0abca,0x26040006,0x02fd806f,
    0x0054caa0,0xf8806f98,0xfffff33f,0x403fffff,0x5f9001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa9800000,0x66cc0002,0x3bbb6791,0x42eeeeee,0xe8b52dc8,0x55cc3e63,
    0xaaaaaaaa,0x26007f74,0x97ec01ff,0xffb803fb,0xffffffff,0x7fc401ff,
    0x7fffc404,0x54ffffff,0x0efd80bf,0x3f2009fb,0x7f409f93,0x7cd7ea07,
    0xffffffff,0xffff32ff,0x5019dfff,0xbdffffff,0x20bf9007,0x4ffffff9,
    0x5fffdbf1,0x3ffffffe,0x6f6c2fff,0x6fd45fff,0x400264ec,0x26007f72,
    0x97ec06ff,0xeea803fb,0xeeeffeee,0x7fdc00ee,0x777fc407,0x53eeeeee,
    0x077ec0bf,0x3fe00df5,0x3e20bf50,0x27f901ff,0xeeeeeff9,0xff31eeee,
    0xffffdddd,0xeeeffa87,0x6405ffff,0x9999105f,0xc9926599,0x90df5002,
    0x2602ee23,0x00260adc,0x3003fb94,0x7ec09fff,0x20007f72,0xfd0006f9,
    0x3fc405f7,0x360bf500,0x01fe80ef,0x0ff12fd4,0x7413f7ea,0x800df30f,
    0xffb106f9,0xe982fd43,0x0000003f,0x07fe2000,0x00980000,0x400fee50,
    0xb01ffef9,0x000fee5f,0x4c0037cc,0x2206f8df,0x17ea007f,0x7dc03bf6,
    0x3a17ec04,0x6f9fc81f,0x1be66f88,0xc80df300,0xa817ea6f,0x3333225f,
    0xb81ccccc,0x0032e00c,0x232a1fec,0x700cddb8,0x50009819,0x39910fee,
    0x837defcc,0x917f72fd,0xf98017bb,0xd2fc8006,0x01fe203f,0x77ec5fa8,
    0x881fe200,0xf83fb87f,0x4fa81fb6,0xf3001be6,0x2a5fd00d,0x89be605f,
    0xffffffff,0x200fe82f,0x5fa800fe,0xffffbfb8,0x40fe80ef,0x3ee50009,
    0xf30ffa23,0x3f613fab,0xfdffbf72,0x37cc01df,0xfb87fc00,0x400ff104,
    0x03bf65fa,0x7dc0bf60,0x7cc5f984,0x2fc85f74,0xf3001be6,0x2a9f700d,
    0x00fee05f,0x0fe827e4,0x3e003fa0,0x1cffb81f,0x1fd09fd1,0x2e500098,
    0x307fd13f,0xb07fe6bf,0x433fee5f,0x3e604fd9,0x12fd4006,0x3ff101ff,
    0x41333333,0x01ffb5fa,0x7f417ea0,0x2fb8ff01,0x20fe8bf3,0x99999ef9,
    0x1be60999,0x77d57ea0,0xdfcaa999,0x205fb800,0x03fa00fe,0x3ee0bf50,
    0xfe86f986,0x728004c0,0x207fd17f,0xb1bee5f9,0x2a1bee5f,0x01be605f,
    0x3fd85fb0,0xffffff88,0x37ea3fff,0x2004fffd,0x037cc0ff,0x3e3ec1fb,
    0xff31be27,0xffffffff,0x4c037ccb,0xfffff56f,0x5001ffff,0x07f401df,
    0xfd801fd0,0xf109f702,0x0981fd0d,0x3afee500,0xd17e603f,0xfb97ec9f,
    0x2606f884,0x1fe2006f,0x3fe21bea,0x2eeeeeee,0x3e77ffea,0x85f9002f,
    0x8bee02fc,0xfa8fe45f,0x6667fcc3,0x263ccccc,0x56f9806f,0xdb9999df,
    0x7fcc05ff,0xd007f400,0x03fc401f,0x21be07f7,0x8004c0fe,0x0bffff72,
    0x3fe62fcc,0x0fee5fb1,0x0df303fc,0x66677dc0,0x7c41ffcc,0x97fea007,
    0xf9800ffb,0x3e603fc5,0x3fa87f54,0x06f983f9,0x5c037cc0,0x540bf55f,
    0x1ff980ff,0x3a00fe80,0x80ff200f,0xd0df03fb,0x5000981f,0x0bfabfee,
    0xb7dc2fcc,0x207f72fd,0x01be607f,0xffffffe8,0x3fc44fff,0xfb0df500,
    0x543fa00b,0xf96f804f,0x0fd5f883,0xf9800df3,0xf54fc806,0x443fd80b,
    0x1fd002fe,0xff007f40,0xf81fdc01,0x04c0fe86,0x267f7280,0x05f980ff,
    0x2e5fb9fd,0x4c0ff03f,0x3df3006f,0xff533333,0x5003fc41,0x07ff10bf,
    0x07f67f70,0x41fa3f60,0xdf30bf6e,0x806f9800,0x80bf52fe,0x027f44fb,
    0x7f401fd0,0xb80df100,0xfd0df03f,0x25000981,0x217f23fb,0xdff305f9,
    0x7c0fee5f,0x401be607,0x1ff403fc,0x7d400ff1,0x803ff505,0x200df6f8,
    0xf904fafa,0x0df307f5,0x5c06f980,0xb017ea6f,0x0027ec7f,0x0fe803fa,
    0xfb80bf30,0x1fd0df03,0xaaaaab98,0x7f74aaaa,0x2fcc2fe8,0x2e5fff90,
    0x4c0ff03f,0x01ff006f,0x1fe26fa8,0x3205fa80,0x5fec00ff,0xfdf1003f,
    0x03fbe605,0xf3001be6,0x8bff260d,0xff9105fa,0x3333fee1,0xfe82cccc,
    0x5c03fa00,0x81fdc04f,0x000fe86f,0x7cc3fb80,0xd017e60f,0x40fee5ff,
    0x01be607f,0x3e2017ea,0x400ff11f,0x3fa205fa,0x07ffcc05,0x401ffd00,
    0xdff306ff,0xdddddddd,0x3bbbfe69,0x542fffff,0xffeeeeff,0x3fff22ff,
    0x85ffffff,0x03fa00fe,0x3ee017e4,0x1fd0df03,0x07f70000,0x02fccbf9,
    0x1fdcbfe6,0x1be607f8,0x6400bf60,0x400ff15f,0x7fcc05fa,0x002ff403,
    0x9fb01bf2,0x3ffffe60,0x35ffffff,0xddffffff,0xffff5019,0x0039dfff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000aa00,0x6f6e4c02,
    0x3b72200c,0x2217a22c,0x2202cedc,0xca83cedb,0xb883c881,0x2e200bdd,
    0x54402ced,0x6dcc2cec,0x81ca80cd,0x501973c8,0x64c59db9,0x10000ade,
    0x6edcc654,0x502fb262,0x19bb7119,0xc8804c40,0x221cb80c,0xcccccccc,
    0x3601971c,0x7dd95007,0xdff90d71,0xf703fffd,0x22bffdff,0x77ffdc7f,
    0xfff985ff,0x3f20effe,0x7cc6f882,0xa83ffeff,0x04ffefff,0xbffdfff1,
    0x3ffbffea,0x7c417e42,0xffc83fd6,0xffceffee,0xaec0fffe,0x21d70ba8,
    0xfffffbfb,0x2fffff9b,0x3fffefee,0x07f500ef,0x1bea27ec,0xfffffff1,
    0x403fa5ff,0xeffd807d,0x7d42ffff,0x313f620e,0x3faa17ff,0x5ffccd73,
    0xfd89fd50,0xfc8ff622,0x3e26f882,0x41ff30bf,0xfd50bff8,0x2a3fe887,
    0x2a2efefd,0x20bf21fe,0x543f76f8,0x6fff445f,0xdf91bea1,0x1dfdffff,
    0x7d433fee,0x4bf50bff,0xfd11cffb,0x880fea09,0x03ff12ff,0x1fd27e40,
    0xdf701f60,0x320ffdc5,0x6c6f982e,0x956f984f,0x7fc417ec,0x8b221fa0,
    0x26f882fc,0x23fb83fc,0x0ff884fc,0x7ff413f2,0x3f25fa83,0x83a6f882,
    0x1ffc80fc,0x77f43fc8,0x2e0ffdab,0xe86fe86f,0x3e61bee7,0xa807f506,
    0x003fe8ef,0x01fd17ee,0x0ff881f6,0x88037f6c,0x80ffc6fa,0x1fe0dcfe,
    0x3bf62fc8,0x20bf200a,0x003f66f8,0x1fd80ff4,0x7fdc07f6,0x17e4ff00,
    0x006ab7c4,0x3e60df71,0x17e43fc5,0x09f909f7,0x213ee3fb,0x07f506f8,
    0x00bfdf90,0x3fa077d4,0xffffff88,0x9f52ffff,0x507f8fc8,0x4dfffdb7,
    0x3bf207f8,0xfb81be20,0x37fffa23,0x4417e40b,0xf801fe6f,0xffffffff,
    0xfa81fe2f,0xfeeeeeef,0xf105f90f,0x2e601dbd,0xffffffed,0x266fffff,
    0x2e4f984f,0xd82fc83f,0x3e07f71f,0xdfdddd96,0x3fa09ddd,0x1ff3000e,
    0xddd11fd0,0x5ddddffd,0xb1fa8fee,0x7fff441f,0x3e66fabd,0xf30fee06,
    0x221fdc0d,0x22ffffda,0x16f882fc,0x3fe200ff,0xeeeeeeee,0xffa81fe2,
    0xeeeeeeee,0xff105f91,0x3bffa205,0xeeeffbbd,0x3ea5eeee,0x3ee4f883,
    0xfd82fc83,0x5be07f71,0xfffffffd,0xffe886ff,0x01ff9800,0x81f601fd,
    0x6c7f13fb,0x3037f61f,0x807fc4df,0x03fc42fc,0xfda805f9,0x3e60ff27,
    0x7c181fe6,0x07fe000f,0xf9003fdc,0x6c0df307,0x02fd41cf,0x8bf21be0,
    0x82fc83fb,0x207f71fd,0x007f506f,0x880dfbf9,0x03fa02fe,0x2bf503ec,
    0xf887f45e,0xfe8df507,0xfd01fd02,0x6443fa03,0x3ee3fd04,0x3fa6fa83,
    0x3fa5f981,0x7ec19903,0x105ffb03,0x541fdc9b,0x20ff106f,0x87b306fc,
    0xffc9adfe,0x3f20fee0,0x7f71fd82,0x1fd41be0,0x1fedbea0,0xfe809fd0,
    0x7cc0fb00,0x1be20ece,0x6fe881ff,0x3ee06fdc,0xb81bf706,0x220fec6f,
    0xd11bea7f,0x206fd4df,0x03bea1fd,0x0efa8df5,0x206fffdc,0x11bea3fc,
    0x07fc0dfd,0x3a0fffe6,0x3fffee1f,0xf70effff,0xfb05f907,0x37c0fee3,
    0x3e203fa8,0xb03ff11f,0x01fd009f,0x3ffd01f6,0x3ee1fec4,0x7fefcabe,
    0xffbcffe8,0x33ffa00e,0x7cc0effb,0x44fecbdf,0xfdecbeff,0x75e7fec6,
    0xbdffd85f,0xefd81ffd,0xfdaffebb,0xf86fdbcf,0x6fdecbef,0x36afbf20,
    0xbbdfe9ef,0x4476c4fe,0x2e3f91cb,0xd82fc83f,0x3e07f71f,0x6c07f506,
    0x2e37d43f,0xccccccff,0x2201fd2c,0x5f7fd401,0xeb885ffc,0x03fb3fff,
    0x01bffff9,0x1bffff70,0x3bfffee0,0x4fffe883,0xbfff70dd,0x3ffee017,
    0x3fee01cf,0x3fb20dff,0xfe880bef,0x440dd4ff,0x223effeb,0x883dfffd,
    0x07f70400,0x23fb05f9,0x20df03fb,0x0df700a8,0xfffc93f6,0xd5ffffff,
    0xddddd11f,0x225ddddd,0x2dffecde,0x88000880,0x00110000,0x0c4004c4,
    0x88002200,0x200c4000,0x00310008,0x02600440,0x00000000,0x00000000,
    0xff100000,0xffffffff,0x00011225,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x54654000,0x203951cd,0x883953c8,0x2032e1cc,0x993c80cc,0x5d308001,
    0x47a601ec,0x100083d8,0x00554003,0x44066031,0x04400400,0x440c4060,
    0x99999999,0x33333109,0x00013333,0x26066010,0x08804440,0x7dc00b76,
    0xbf33fffb,0x17dcfee0,0x2fc87fd1,0x3e617fcc,0x2a003ff4,0x7dc3f66d,
    0x0fd9ba01,0xd017ffee,0x07fe005f,0x7fcc1fe8,0x077ff220,0x983bffd5,
    0xfd83fffe,0xffd87a81,0x6fffffff,0xfffffffb,0x267fedff,0xea83fe6f,
    0x307fc2ef,0xa86fb81f,0x7fff90ef,0x4e7fdc01,0x3a03fa0a,0x3a25f70f,
    0x5c4f983f,0xc97dc4ff,0x3fae200c,0xee97e24f,0x7f51fc80,0x03faa7c4,
    0x3e00dff5,0x47fea01f,0x576c2ff9,0x237e26ea,0xc86f45f9,0x43ffd50f,
    0x2e337a8b,0xcccccccc,0x9999973c,0x3fedf999,0x43fe6f99,0xff8d51f8,
    0xfb07baa0,0x6441fe85,0xfb81cfff,0xf30fee06,0x7f457dcb,0xddb1fe03,
    0x93007e8d,0xf9019fff,0xbf513ea5,0x5f501be2,0x007f3f60,0xfbffa800,
    0xf51fc42f,0x46e82623,0x365f5108,0xdff11fbb,0x0000bfdf,0x99ffb7c0,
    0x2dc3fe6f,0xbf01f0ba,0x017ccbd0,0xb8bbffaa,0x91be204f,0x7f5fdc5f,
    0x9f0fec03,0x017e21f9,0x805dffd5,0x25fb0ff8,0x05fb0ff8,0xcf9827f4,
    0x777445f8,0x2eeeeeee,0xa83fffa8,0xfb81fc1f,0x7fffed43,0xd510fd42,
    0x0000039f,0xf11fb6f8,0xf8d33f4b,0xffec9a60,0xc9800002,0x807f76ff,
    0xf71fe0fd,0xfa80bfff,0x25f55f33,0x3ff602fa,0x4bf6001c,0x22df34fb,
    0x3ee600ff,0x1fb1fc83,0x7fffffc4,0xf982ffff,0x21f981ff,0x44fc82f8,
    0x2f99aef9,0x33ee0fd4,0x2aaaa60f,0x002aaaaa,0x49f3e5be,0x2f5ef46d,
    0x40aca87a,0x20002208,0x5f76feb8,0x9f33fa80,0x2feaffb8,0x47e57e20,
    0x401fb4f8,0x5000befd,0xc83fe2bf,0x1889f52f,0x99be23ec,0xf300004f,
    0x9f03ff9f,0x5fb107d4,0x17e43f50,0xd3f887ea,0x7ffffecd,0x2006ffff,
    0x50e4756f,0x00059507,0x05f9afcc,0x33fff260,0xf8805f70,0x3fb83f96,
    0xbec01ff3,0x02fdfa6e,0x073ffee2,0x07f21fd0,0x30fec3fa,0xb89f539f,
    0x3603f42f,0x4ffe601e,0x6fe41ffa,0x33fa25fd,0x33be22aa,0x0fd44fed,
    0x2aa60986,0x2aaaaaaa,0x0000aa00,0x57e60000,0xfda805f9,0x02fb82ef,
    0xb86f9fc8,0xb817f22f,0x2ff24faf,0x3faa003f,0x32fb82ef,0x453e609f,
    0x67ff5c6f,0x1fdc3fc0,0x7fc03ff0,0x2607fd43,0x7ffdc2dc,0x37260fff,
    0x01fa8771,0x00000000,0x20000000,0xfb802208,0x3ee01dff,0x3fef9802,
    0x17f42fb8,0x2a2fef88,0x00cc0fff,0x44ffff66,0xf901b64f,0x4020bea1,
    0x01a881a8,0x03980332,0x00000055,0x00000000,0x00000000,0xfb000000,
    0x05f70019,0x2e03ffa0,0x807fd42f,0x3fe20ffe,0x8801ff86,0x098316fb,
    0x00260980,0x00000000,0x00000000,0x00000000,0x00000000,0x00600000,
    0x2e005f70,0xb05f705f,0x21bf20bf,0x01ff83fe,0x000000c0,0x1302cba8,
    0x53bbbba6,0xbbbbbbb8,0xf32bbbbb,0xffffffff,0x00009fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,0x339fffff,
    0x3ffe61f7,0xdddd35ff,0xdddddddd,0x2eeeee29,0x1bbbbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xecbdf800,
    0x20ffffff,0x00099999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33bb260e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_25_latin_ext_x[560]={ 0,1,1,0,0,1,0,0,1,1,0,1,1,0,
2,0,0,2,0,0,0,0,0,1,0,0,2,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,2,0,1,
1,1,1,1,1,0,1,1,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
2,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,2,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,1,1,1,1,1,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,
0,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_25_latin_ext_y[560]={ 20,3,3,3,2,3,3,3,3,3,3,6,17,13,
17,3,3,3,3,3,3,4,3,4,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,20,8,3,3,6,3,
3,3,3,3,3,9,8,13,3,1,3,6,3,3,3,8,3,10,19,3,3,9,3,3,3,8,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,3,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,3,4,3,3,3,4,3,7,7,3,3,3,3,3,3,3,
1,4,0,4,3,8,-1,3,0,3,0,4,0,3,0,3,3,3,1,4,0,4,0,4,3,8,0,3,0,3,
0,4,0,4,3,2,-1,-1,3,3,0,4,1,4,0,4,3,3,0,8,3,3,-1,3,3,3,8,-1,0,3,
3,3,3,3,3,3,3,-1,3,3,8,-1,3,3,3,8,0,4,0,4,-1,3,3,8,-1,3,3,8,0,3,
-1,3,0,3,3,8,0,3,3,4,0,3,3,4,0,4,1,4,0,4,-1,3,-1,3,3,8,-1,3,-1,3,
0,-1,3,0,4,0,3,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,3,6,6,3,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,0,3,0,
3,0,3,-1,0,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-3,-2,-1,3,-1,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_25_latin_ext_w[560]={ 0,4,6,13,12,18,15,4,6,6,8,11,4,7,
3,7,12,7,12,12,12,12,12,11,12,12,3,4,11,11,11,12,21,16,13,15,14,13,12,16,14,3,10,14,
11,16,14,16,13,17,15,13,14,14,15,21,15,15,14,5,7,5,10,14,6,12,11,11,11,12,7,11,10,3,
6,11,3,17,10,12,11,11,7,11,7,10,11,16,12,11,11,7,2,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,3,11,12,12,14,
2,12,7,17,8,10,11,7,17,14,7,12,8,8,5,11,13,3,5,5,8,10,18,18,19,12,16,16,16,16,
16,16,22,15,13,13,13,13,5,5,8,7,16,14,16,16,16,16,16,11,17,14,14,14,14,15,13,12,12,12,
12,12,12,12,19,11,12,12,12,12,5,5,8,7,12,10,12,12,12,12,12,12,12,10,10,10,10,11,11,11,
16,12,16,12,18,14,15,11,15,11,15,11,15,11,14,14,16,13,13,12,13,12,13,12,13,12,13,12,16,11,
16,11,16,11,16,11,14,10,16,11,8,8,8,8,8,8,6,5,4,3,14,8,13,8,14,11,11,11,5,11,
6,11,6,11,7,12,5,14,10,14,10,14,10,13,15,10,16,12,16,12,16,12,21,21,15,7,15,7,15,8,
13,11,13,11,13,11,13,11,14,7,14,9,14,6,14,10,14,10,14,10,14,10,14,10,14,13,21,16,15,11,
15,14,11,14,11,14,11,6,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,18,14,12,12,12,12,12,12,12,12,12,12,12,12,12,18,14,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,8,8,16,
12,14,10,14,10,14,10,14,10,14,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,12,22,19,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_25_latin_ext_h[560]={ 0,17,7,18,21,18,18,7,22,22,8,12,7,3,
3,18,18,17,17,18,17,17,18,16,18,18,12,16,12,8,12,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,2,4,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,22,22,4,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,22,18,12,17,
22,22,4,18,9,11,8,3,18,2,7,14,9,10,4,17,22,4,6,9,9,11,18,18,18,17,21,21,21,20,
20,20,17,22,21,21,21,20,21,21,21,20,17,20,22,22,22,21,21,10,18,22,22,22,21,21,17,18,18,18,
18,17,18,18,13,17,18,18,18,18,17,17,17,17,18,16,18,18,18,17,18,10,14,18,18,18,18,22,22,22,
19,17,20,17,22,17,22,18,21,18,21,17,21,18,20,18,17,18,19,17,20,17,20,17,22,17,20,18,21,22,
21,21,21,21,22,23,21,21,17,17,20,16,19,16,20,16,22,22,20,12,18,22,22,22,22,22,12,21,20,22,
22,17,17,17,17,17,17,21,17,22,17,21,17,17,18,17,21,17,21,17,22,18,18,13,21,17,22,17,20,17,
22,18,21,18,22,17,21,18,24,22,20,18,17,17,21,17,20,17,21,17,22,18,22,18,22,17,21,17,21,22,
20,21,17,20,16,20,17,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,22,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,13,14,14,14,14,14,14,14,14,14,14,14,14,14,18,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,20,18,20,17,21,
18,21,18,22,21,22,22,22,22,22,22,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,23,23,21,18,22,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_25_latin_ext_s[560]={ 251,251,211,59,111,126,59,218,229,187,178,
215,231,114,252,24,218,246,220,1,56,86,179,210,192,14,62,251,66,187,1,
233,167,54,166,176,151,137,71,211,165,251,94,84,111,69,13,77,143,191,204,
73,39,145,99,115,40,24,9,7,218,1,109,137,242,27,99,91,87,103,123,
131,28,252,244,1,252,186,204,55,192,180,13,68,157,80,21,45,227,99,240,
236,233,209,100,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,251,252,185,
231,173,226,76,79,242,40,163,89,199,114,56,122,223,1,154,100,249,27,13,
251,236,172,145,78,157,40,87,169,99,116,148,105,145,122,85,42,207,221,1,
236,165,246,198,219,195,1,71,88,105,33,32,133,181,122,137,152,1,66,212,
27,14,1,234,182,205,192,153,73,144,131,118,105,250,212,218,1,27,222,1,
239,226,227,205,120,14,168,157,170,124,201,236,10,174,121,39,171,37,156,217,
228,240,199,224,197,50,145,56,114,209,87,160,184,16,95,86,108,85,182,146,
157,82,189,16,78,207,66,130,16,90,235,195,241,30,201,209,192,227,233,166,
230,251,252,32,1,71,220,236,194,33,171,139,154,147,21,33,40,52,60,108,
183,114,115,133,133,144,155,129,240,49,65,15,134,213,101,135,116,177,125,99,
13,177,247,173,244,54,75,206,1,193,47,1,248,162,14,226,20,68,160,131,
171,124,241,27,240,56,21,22,51,32,78,1,197,100,17,1,116,180,71,39,
13,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,218,242,242,58,
242,242,242,242,242,242,242,242,242,242,242,242,242,107,40,242,242,242,242,242,
242,242,242,242,242,242,242,242,58,138,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,193,111,
210,147,94,74,162,45,170,83,144,133,118,107,92,159,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,28,45,139,1,58,32,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242, };
static unsigned short stb__arial_25_latin_ext_t[560]={ 22,49,322,216,72,216,159,322,49,49,322,
307,322,333,112,159,138,271,271,159,271,271,178,289,178,197,322,235,322,322,322,
271,26,289,289,197,289,289,289,159,271,159,197,289,271,271,289,197,271,138,271,
216,289,216,289,289,271,271,271,26,178,26,322,333,322,307,178,307,178,307,271,
271,289,216,1,289,178,307,307,307,271,271,322,307,271,307,322,322,307,271,307,
1,1,1,333,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,22,94,1,
138,307,253,1,1,327,197,322,322,322,333,178,333,322,307,322,322,322,253,26,
67,322,322,322,322,197,216,216,235,94,94,94,116,116,116,235,26,94,94,94,
116,94,94,94,116,235,138,26,26,26,116,94,322,159,26,26,26,116,94,216,
216,216,216,197,235,197,197,307,235,197,197,197,197,116,235,235,271,197,289,197,
178,178,235,178,322,307,178,178,159,178,26,26,49,138,253,138,253,49,253,1,
159,72,159,72,253,116,159,138,159,253,159,138,253,138,253,138,253,49,216,138,
159,94,26,116,116,72,116,49,1,116,94,216,253,138,289,138,289,116,289,49,
26,1,307,159,49,49,49,49,49,322,94,116,49,49,235,235,235,235,235,235,
94,235,49,235,94,235,235,159,235,94,253,94,253,26,159,178,307,72,235,49,
235,116,197,49,138,72,159,49,235,72,159,1,26,116,159,216,253,72,216,138,
216,72,216,26,159,49,178,49,253,72,253,72,1,138,72,253,138,289,138,253,
253,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,197,289,289,26,
289,289,289,289,289,289,289,289,289,289,289,289,289,216,307,289,289,289,289,289,
289,289,289,289,289,289,289,289,197,307,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,116,178,
116,253,72,178,72,178,1,72,1,1,1,1,1,1,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,1,1,72,178,1,178,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,289,
289,289,289,289,289,289,289,289,289, };
static unsigned short stb__arial_25_latin_ext_a[560]={ 99,99,127,199,199,318,239,68,
119,119,139,209,99,119,99,99,199,199,199,199,199,199,199,199,
199,199,99,99,209,209,209,199,363,239,239,259,259,239,219,278,
259,99,179,239,199,298,259,278,239,278,259,239,219,259,239,338,
239,239,219,99,99,99,168,199,119,199,199,179,199,199,99,199,
199,80,80,179,80,298,199,199,199,199,119,179,99,199,179,259,
179,179,179,120,93,120,209,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,99,119,199,199,199,199,93,199,
119,264,133,199,209,119,264,198,143,197,119,119,119,206,192,99,
119,119,131,199,299,299,299,219,239,239,239,239,239,239,358,259,
239,239,239,239,99,99,99,99,259,259,278,278,278,278,278,209,
278,259,259,259,259,239,239,219,199,199,199,199,199,199,318,179,
199,199,199,199,99,99,99,99,199,199,199,199,199,199,199,197,
219,199,199,199,199,179,199,179,239,199,239,199,239,199,259,179,
259,179,259,179,259,179,259,220,259,199,239,199,239,199,239,199,
239,199,239,199,278,199,278,199,278,199,278,199,259,199,259,199,
99,99,99,99,99,99,99,80,99,99,263,159,179,80,239,179,
179,199,80,199,80,199,104,199,120,199,80,259,199,259,199,259,
199,216,259,199,278,199,278,199,278,199,358,338,259,119,259,119,
259,119,239,179,239,179,239,179,239,179,219,99,219,134,219,99,
259,199,259,199,259,199,259,199,259,199,259,199,338,259,239,179,
239,219,179,219,179,219,179,80,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,199,269,269,269,269,269,
269,269,269,269,269,269,269,269,307,235,269,269,269,269,269,269,
269,269,269,269,269,269,269,306,240,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,239,199,99,80,278,199,259,199,259,199,259,
199,259,199,259,199,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,239,199,358,318,278,219,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_25_latin_ext(stb_fontchar font[STB_FONT_arial_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_25_latin_ext_s[i] + stb__arial_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_25_latin_ext_t[i] + stb__arial_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_25_latin_ext_x[i];
            font[i].y0 = stb__arial_25_latin_ext_y[i];
            font[i].x1 = stb__arial_25_latin_ext_x[i] + stb__arial_25_latin_ext_w[i];
            font[i].y1 = stb__arial_25_latin_ext_y[i] + stb__arial_25_latin_ext_h[i];
            font[i].advance_int = (stb__arial_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_25_latin_ext_s[i] + stb__arial_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_25_latin_ext_t[i] + stb__arial_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_25_latin_ext_x[i] + stb__arial_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_25_latin_ext_y[i] + stb__arial_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_25_latin_ext_LINE_SPACING
#endif

