// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT        128
#define STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_arial_bold_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_13_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_13_latin_ext_LINE_SPACING           8

static unsigned int stb__arial_bold_13_latin_ext_pixels[]={
    0x2aaaaa60,0x42a60082,0x5409900a,0xa8805401,0x807b00a8,0x880a802c,
    0xaa880aaa,0x375014c1,0xc8815109,0x500400c8,0x2980a813,0x05550530,
    0x4406aa20,0x554c40aa,0x0155100a,0x46601510,0x0a80ee03,0x7fffec79,
    0xf8834c6f,0x1d103f1f,0x55103d40,0x5c17b203,0x2202d405,0xccc881ba,
    0x6c29a981,0x05fd104f,0x0bf905f3,0x39910190,0xd82e81f8,0x1ff60fef,
    0x4ff8836a,0x7d45ffb0,0x7442ffff,0x881ffddf,0xd885fffd,0x203e602e,
    0x983f8af8,0x501d902f,0x5440fc1f,0x54544330,0x5542aa20,0x202e6e21,
    0x8825c04a,0x443550aa,0x85544152,0x511b21aa,0x98351313,0x20065440,
    0xa8554458,0x45c43f1a,0x0e53e20a,0x3fffb1ee,0x84f80be2,0x20ecdffe,
    0x0fd412e8,0x89fdcbfa,0x3106a21a,0xfd391017,0x102f989f,0x43f1ea03,
    0x1fefffd8,0x7f116da6,0x36d31fcc,0x3601bc82,0x263f880d,0x116da63f,
    0xf71fcc7f,0x8fe63f88,0x3ffa62f9,0x77f541df,0x3f98fe20,0x42db4c3f,
    0x4cf704fe,0x5f12ccaf,0xe89fff50,0x5745ccff,0x4ccfcfe8,0x7c4313e6,
    0xfe98fe63,0x2fe61dff,0x17cc0cf9,0x917df7dc,0x4bf61f8f,0x3e2007fa,
    0x1000fe63,0x417fc407,0x00fe63f8,0x47f31fc4,0x98fe20fb,0xfe8be63f,
    0x3e0eea8a,0x8fe24ecc,0x2003f3f9,0x5c0efcfa,0xf1133e27,0x815f7105,
    0x265ccffa,0x22bee9d6,0xf880bea6,0xafe8fe63,0x7f30eea8,0x85f307f1,
    0x72fd8cf8,0x9f11f87f,0x7ccbf7a2,0x8fe23f32,0x265f33f9,0x07fff21f,
    0x3e217fee,0x97ccfe63,0x4c7f11f9,0x443ba23f,0xf98fe63f,0x2fb89f32,
    0x7f10b3f5,0x97cc1fcc,0xf31f91f9,0x7fe47b8d,0x7dc0be23,0x4b99d100,
    0x1f50f8cb,0x101fccd1,0xf99fcc7f,0xbf997dc4,0x42f983f8,0x2e5f31fa,
    0x2fa8fc3f,0x3e67f39b,0x8fe23f32,0x265f33f9,0x9f15b11f,0x881f9bd0,
    0x7ccfe63f,0x8fe23f32,0x43ba23f9,0x98fe63f8,0xf985f52f,0x41195f53,
    0x20fe63f8,0x263f32f9,0x3dc7a8ef,0x2f8a7f54,0xccd80db0,0x7b9eaf25,
    0x3e25e877,0x9fcc7f13,0x99fcc2fa,0xf9819f3f,0x2fa8fd42,0x3e63f1f2,
    0x265f55da,0x3e23f52f,0x97ccfe63,0x3f6e61fa,0x27c57cc5,0x33f98fe2,
    0x7c47ea5f,0x47b8fe63,0x98fe63f8,0xfa87f32f,0x4dd7ff13,0x7cfe63f8,
    0x87ea5f31,0x3dc3eff9,0x22d79353,0xd80bd02f,0x3e76a5cc,0x40ebef9a,
    0x10feacfc,0xf99fcc7f,0x3f99fd43,0x42f98bfb,0x22feaef8,0xbdf0fc7b,
    0x2a7f33e4,0x2f993e1f,0x4c7ea7f3,0x7e45e9cf,0x24f87e99,0x2a7f32f9,
    0x2f993e1f,0xf993e1ae,0x45f8be62,0x3bfea1fc,0x25f327c1,0x3ea7f31f,
    0x2e17ec41,0x53b77e67,0x809f02f8,0x23e25ccd,0x08dfdceb,0x7c2efda8,
    0x45f8be64,0x267f31fc,0xea80a883,0x83ea2fad,0x32b3f61f,0x3633e24f,
    0x3aaffa1f,0xfb19f10f,0x17e67ee3,0x85ffffff,0x10feabfe,0x743fb19f,
    0x320feabf,0xfeabfe86,0xdfc8bea0,0x06c45fda,0x0feabfe8,0x3633e23f,
    0x13e5b11f,0x0cffb8f7,0x05f305f1,0x7545ccd8,0xb505d881,0xfd57fd05,
    0x7ed6fe41,0x43dcfe65,0xa95c42f8,0x7c7fe21f,0x5bfd7d51,0x43f7ff90,
    0x642fffe9,0xfd11fbff,0x4dfd4dbd,0x7f4c5f99,0x5ffe42ff,0x3fffa61f,
    0x3a613f62,0x3fea2fff,0x416fed40,0x3ffa602a,0xffc87e2f,0x3fbf61fb,
    0x1261ff61,0x7ffc9ff1,0x42e66c00,0x4fecdeea,0xd3079510,0xfb505fff,
    0xb53f985b,0x3bfa0760,0x150a985f,0x04000004,0x43ec0000,0x000100fc,
    0x10053010,0x20001530,0x02a02000,0xaa815300,0x1aa88102,0x222002aa,
    0x02a62008,0x01001510,0x28804000,0x00006a60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x03b805d8,0x39100f5c,0x15102a60,0x26015100,0x88110800,
    0x1106a21a,0x3bab8026,0x1d401c98,0x2a207220,0x26202980,0x40611019,
    0x00cc38a8,0x800a8835,0x044a00c9,0x89981a88,0x40553902,0x7b9b002a,
    0xf300fc40,0x416e01d5,0x17cc4df9,0x7c436f40,0x07775404,0x43f98fe2,
    0x3a605f6b,0x80b900f9,0x416e00bc,0x26fcc3f8,0x9b07ffc8,0xbb7b01f3,
    0x81d30698,0x0fb802f9,0x7403b6e0,0x74de40ed,0x100fea80,0x4cbd05ff,
    0x02ea201a,0x32601510,0xf3061102,0x09ab8805,0x2a2027c4,0x263f881a,
    0x04d5c43f,0x2a622aa2,0x2a263511,0x51533511,0x54426a23,0x5544fe21,
    0x86a23530,0x215511a8,0x443511a9,0x0220fa1a,0x2a200be6,0x1806e600,
    0x59300011,0x5c2ffdc0,0x83ffff93,0x41dfffe9,0x645fffd8,0x9f61ffff,
    0xf35f30fb,0xdfffe98b,0xe9813e21,0x3e21dfff,0xfe98fe63,0x8fe21dff,
    0x4c7f13f9,0x7cc7f13f,0x1fcc7f13,0x98fe27f1,0x7cc7f13f,0x9fcc7f13,
    0xc8fe63f8,0x30fb9f66,0xd887ffbf,0x7f445fff,0x77dc1fff,0x7dcfb2fb,
    0x07ffff20,0x5503f37a,0xd17e27f1,0x41dd515f,0x227f72fe,0x7d4bf13f,
    0x7dfccbd1,0xea8afe85,0x7409f10e,0x10eea8af,0xfd1fcc7f,0x221dd515,
    0x7c4fe63f,0x1fc4fe63,0x98fe27f3,0x7c4fe23f,0x1fc4fe63,0x98fe27f3,
    0x7cc7f13f,0xd1fa9ee3,0x7dcf7ccb,0x1fdcbfa1,0x4dd317fd,0x52fd8cf8,
    0x3f897a3f,0x8af98bf1,0xaefa644f,0x2e27cc08,0x4189f32f,0xcf808aef,
    0x3ffe62f9,0x3ee27cc2,0x3e609f12,0x3f897dc4,0x227ccfe6,0x4c7f12fb,
    0x7cc7f13f,0x9fcc7f13,0x88fe63f8,0x7cc7f13f,0x9fcc7f13,0x44fe63f8,
    0xfa8fe63f,0x98be73e1,0x3e67f13f,0x889f10c4,0x17d47ea0,0xef85f39f,
    0x99fc808a,0xffaa6c7e,0x30bea0df,0x500bea7f,0xfc81bfff,0x36f7cc7b,
    0x27f30bea,0x85f504f8,0xf993e3f9,0x3f985f52,0x89fcc7f1,0x7c4fe63f,
    0x1fc4fe63,0x89fc47f3,0x7c4fe63f,0x1fc4fe63,0x98fe27f3,0xfc83e63f,
    0xf89fcc7b,0x7d405f53,0x2a155512,0x7e45f51f,0xdfffa87b,0x7fffffc0,
    0xdf9517a2,0x4fea1fcc,0xf95003f9,0x4c4ff98d,0x3e63f9af,0xdf89fd43,
    0x87f31aaa,0x2affa3fa,0xa87f30fe,0x7cc7f13f,0x9fcc7f13,0x44fe63f8,
    0xf88fe63f,0x9fcc7f13,0x44fe63f8,0x7c4fe63f,0x47a8fe63,0x77cc4ff9,
    0x07f30fca,0xfff99fcc,0x5fd5bf12,0x95027fcc,0x4cdfd4df,0x3abba5f9,
    0x45f83f21,0xf897a1fc,0x07e43d53,0x25f307fa,0xf917e0fc,0x3ffffe23,
    0x43f917e5,0x7c2effd8,0x49f0fe45,0xf993e2f9,0x22f993e2,0xf88be64f,
    0x22f993e3,0x4f8be64f,0x264f8be6,0x3fa1b22f,0x1ffefcc1,0xf13f897a,
    0x3662fa8d,0x0ff42fad,0xb0fc87aa,0x5ba1f90f,0x646fbaef,0x645fdadf,
    0x3e0feacf,0x6e86fbae,0x3f20b660,0xd985fdad,0xfdadfc83,0x3f207705,
    0x7f45fdad,0x3fa0feab,0x3fa0feab,0x3fa0feab,0x3620feab,0x3faaffa3,
    0x3faaffa0,0x3faaffa0,0x3faaffa0,0x21ba0ba0,0x33f202f9,0x3bee0fea,
    0x3712feba,0x20dd07ea,0x806fbaef,0x7ed4aa2b,0xdfda81ef,0x85dfb502,
    0x2a1effda,0x9d5102ff,0x20b7f6a0,0xfb505da8,0x81fd405b,0xe982dfda,
    0x7f4c2fff,0x7ff4c2ff,0x7fff4c2f,0xfd32ed42,0xffe985ff,0x7fff4c2f,
    0x17fff4c2,0x82ffa8d3,0x7ed402f9,0xdffeb82e,0x537f7f42,0x3f6a05ff,
    0x2db801ef,0x00000000,0x2201a880,0x5440001a,0x06a00001,0x04004000,
    0xa8040040,0x00200201,0x06602002,0x004c0351,0xa9801000,0x0000d442,
    0x00001a80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0d4c0000,0x0d441640,0x502a886a,0x2039100a,
    0x22e60318,0x09aaaa84,0x82aaaaa8,0x403e9809,0x133303e9,0x2064e540,
    0x2a20d41a,0x15105440,0x880d446a,0x1025401a,0x19103719,0x039aa837,
    0x64401b50,0x059100c8,0xff902ea8,0x03aa03ff,0x27c43f76,0x13b205fb,
    0x6ec07f10,0xf10ffa04,0x441dffff,0x447fffff,0x0fd7440f,0xf983d7d0,
    0x3aba02ff,0xf887fc43,0x3e217cc3,0x9a7cfe23,0x7fff443f,0xc805f01f,
    0x21bf206f,0x5d001ff8,0x5c09fb00,0x07d7c405,0x82fc4fe2,0x211180b9,
    0x207fb4f8,0x54c00a98,0x32600401,0x7f71fc40,0x17201fc4,0x0d400d4c,
    0x710054c4,0x29ff1035,0x026003f8,0x1fcc2613,0x1ba62ffa,0x50135975,
    0x91013597,0x35089a83,0x2aaaaa60,0x2f2ea22a,0x1a826a1a,0x530d4c55,
    0x22022bbe,0x7cc5fffd,0x0ff33e22,0x0effff4c,0x07ffffa2,0x445f7df7,
    0x3e25fffd,0x3f88fe63,0x3fa21fc0,0x7f101fff,0x1dfffe98,0x0effff4c,
    0x7f13fff1,0x897df7dc,0xa7cfe23f,0x113e23f9,0x7ffffc41,0x3fffe20e,
    0x11fcc0ef,0x40fe21ff,0x6fffffff,0x57ffffea,0x27f10ff8,0x5e97f67d,
    0xe81bfff5,0x7cc7f72f,0x0ffffe22,0x775457f4,0x3a62ffa0,0x3f633e26,
    0x9fdcbfa2,0x0efeeef8,0x97ffffe2,0x45ff41f8,0x87f106e9,0x0eea8afe,
    0x3baa2bfa,0xf1df7f10,0x3f633e27,0x9fc47f12,0x7d47f34f,0x22155512,
    0xf88fee3f,0x7f30fee3,0x3f8a7fc4,0x005e9fb8,0xa7fc47fa,0x3e1f73f8,
    0xca87f17f,0x8313e66f,0x2ffe22f9,0x227cc0fe,0x889f12fb,0x97d47ea0,
    0xdf10c4f9,0x5bf10df9,0x10fcc355,0xf100889f,0x3ee27cc7,0x2fb89f32,
    0x7f7f55f1,0x897d47ea,0xa7cfe23f,0x4cfe63f9,0x47f12fff,0x98fe23f9,
    0xf11fcc3f,0xd07f13ff,0x7e4017ab,0x227ffe23,0x9f35f33f,0x3d53f53f,
    0x02fa87e4,0x29f117cc,0x217d45f9,0x225f53f9,0x23f50aaa,0x405f52fa,
    0x88bf53f8,0xa83e603f,0x0155512f,0x217d47f1,0x985f53f9,0x3f65f13f,
    0x3ea3f53f,0x9fc47f12,0x5e87f34f,0xeef897d4,0x3be20efe,0x7cc0efee,
    0x23befe23,0xfe97d43f,0x4fb84fff,0x7c77dfc4,0xf1f79f13,0x5d77cf77,
    0x300fe66f,0xfb27c45f,0x3ea1fcc5,0x3fe67f33,0xfd5bf12f,0xf880fe65,
    0xdf88bf23,0x3f10aaaa,0xfff99fcc,0x3e63f882,0x3f99fd43,0x12f89fd4,
    0x2b7e27ff,0x447f12fe,0x0fe69f3f,0x5ff97df7,0x21bf3be2,0x306fcef8,
    0x7d57c47f,0x557f43fb,0x4c1aaaef,0xfaaf886f,0x5777a3fb,0x3f6a6ddd,
    0xf12f41ef,0x9f117cc7,0x8bf07fc4,0xa8df11fc,0x3eb7662f,0x13f897a2,
    0x887fc47f,0x20ffffff,0xf51be23f,0x21fcd2a5,0xbf0fe45f,0x45f11fc8,
    0x2b7663fb,0x7c47f12f,0x20fe67f3,0x222effe9,0xf88bf53f,0x7f30bf53,
    0x3ffd97c4,0x17ffffe6,0xf880ff88,0x7e47ffb2,0x909ff73f,0xd59f901b,
    0xb817d41f,0xb5bf901d,0xbaefb8bf,0x2a3712fe,0x3ab3f21f,0x801db80f,
    0x7dc5c849,0xf72febae,0xdfc83f97,0x6fe45fda,0x3b705fda,0x23f51b88,
    0x4cfe2049,0x220baa04,0xf88bf23f,0x7f30bf23,0x3ff897c4,0xaaee83f6,
    0x2ab3f62a,0x3e25f12a,0x4c7fea3f,0x0f54c2ff,0x2a2efda8,0x2eb980ff,
    0x40b7f6a0,0x742dffeb,0xfda86fef,0x02eb982e,0x3e20be98,0x16fff5c0,
    0x2a07ffb1,0xfb502dfd,0x0bae605b,0xf89bfbfa,0x98ffcc0b,0x26d440bf,
    0x1ff11fc4,0x0ff88fe2,0x22f88fe6,0xe89f33fb,0x3fa7ffff,0x5f16ffff,
    0x8ff11fdc,0x0054c0ff,0x5300a880,0x00800001,0x3000154c,0x414c0015,
    0x00001009,0x0a980000,0x0a60aa60,0x205306a2,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x0e6aa05d,0xa8064644,0x80222600,
    0x0553703b,0xc80ee053,0x0039300e,0x02a80591,0x44440108,0x93022301,
    0x00ccc401,0x02a80726,0x111302a7,0x1dc13330,0x44a8666a,0x81a881a8,
    0x4c00c8c8,0xdcd8000c,0x405ff104,0x07f105ed,0xf983657c,0xf01ff500,
    0x2a01f305,0x017206be,0x7bd3016e,0xd02f76c0,0xd1f30f57,0x7ec09b09,
    0x9026c07f,0x09d703fb,0xff98d75f,0x6547e23f,0xd83f11ec,0x076f40fd,
    0x1f402fec,0x442a83c8,0x5304b81a,0x2a255797,0x2aa1abca,0x511a9889,
    0x55435577,0x03222abc,0x886a0133,0xb804a81a,0x00ddc403,0xbb880751,
    0x54155301,0x5502acba,0x15565540,0x10aeef2a,0xcbbca835,0x2e20d442,
    0x1b886a21,0x2b88554c,0x4e5d4411,0x2a212a80,0x7f707f11,0x3fe20fe4,
    0xfffffd82,0xbfffff56,0x23f91fdc,0x15fffffa,0x44ffffff,0x4413e23f,
    0xf10fe23f,0x17fc405f,0x4405ff10,0x3fe202ff,0x7c47f302,0xf887ffff,
    0xffff882f,0x3fffe27f,0xf11fcc7f,0xf98fffff,0x7f31fcc3,0x8fe61fcc,
    0xfff102f8,0x23fb87ff,0x09ffd1fc,0x709f31fd,0x17cc0bff,0x1fd07fa0,
    0x8ff409f3,0x8fe203f8,0x47f104f8,0x2ffdc3f8,0x5c0bff70,0x3fee05ff,
    0x417fee05,0x00fe23f9,0x3e217fee,0x300fe203,0x201fc47f,0x31fcc3f9,
    0x261fcc7f,0x204be23f,0x1fd98bf8,0x327cc7f4,0xd9f3019f,0x1f9bd01f,
    0xfc80be60,0x0fecf983,0x1fc47f90,0x27c47f10,0x0fe23f88,0x3a01f9bd,
    0x9bd00fcd,0x3f37a01f,0x01f9bd00,0x01fc47f3,0x2207e6f4,0x00fe203f,
    0x01fc47f3,0x47f30fe6,0x30fe63f9,0x7f67c47f,0x4f88fe25,0x107f67cc,
    0x17fe407f,0x827c57cc,0x09f702f9,0xfb817fe4,0x7ffffc44,0x4f88fe25,
    0xffffff10,0x27c57cc7,0x427c57cc,0x984f8af9,0xf984f8af,0x3f984f8a,
    0x17ffffe2,0x889f15f3,0x225fffff,0x4c5fffff,0x3fffe23f,0x261fcc5f,
    0xf98fe63f,0xdf11fcc3,0x0fe23f91,0x85ff90bf,0x1be203f8,0x83f4cfe4,
    0x06f982f9,0x6f9837c4,0x1aaadf88,0x04f88fe2,0x7f755bf1,0x43f4cfe4,
    0xc87e99fc,0xfc87e99f,0x9fc87e99,0x23f987e9,0x41aaadf8,0x447e99fc,
    0x221aaadf,0x4c1aaadf,0x2ab7e23f,0x261fcc1a,0xf98fe63f,0x7f11fcc3,
    0x21fc4be6,0xf06f885f,0xf82fc019,0x982fffff,0x007fc42f,0x07fc42fc,
    0x7f101fc4,0x3f8827c4,0xffff8fe2,0x7fffc2ff,0x7fffc2ff,0x7fffc2ff,
    0x7fffc2ff,0x11fcc2ff,0xffff807f,0x80fe22ff,0x1fcc03f8,0x3f9807f1,
    0x47f31fcc,0x11fcc3f9,0x7c4be65f,0x2fc13e23,0x17e05fd8,0x3e666fea,
    0x7ec2f985,0xbf02aaac,0x55559fb0,0x2aaab7e2,0x6fc47f10,0x47f11aaa,
    0x337f53f8,0x4dfd4bf3,0x2fea5f99,0x3ea5f999,0x2a5f999b,0x45f999bf,
    0x2b7e23f9,0x37f50aaa,0x6fc4bf33,0xbf10aaaa,0x7cc15555,0x2aab7e23,
    0xf30fe60a,0x7f31fcc7,0x4be23f98,0x75bf12f9,0x817e01fd,0x3ec2fc00,
    0x0be607e4,0x0dfffffd,0x3fffa17e,0xffff16ff,0x88fe21ff,0xf15fffff,
    0x87d9fc47,0xf90fb0fc,0x43f21f61,0xfb0fc87d,0x1fcc1f90,0x1ffffff1,
    0x443f21f6,0x10ffffff,0x41ffffff,0x3ffe23f9,0x0fe60fff,0x31fcc7f3,
    0x223f987f,0x3e25f32f,0x3e01dfff,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3015c000,
    0x0cce0133,0x284c0210,0x02630080,0x200006a2,0x0555551a,0x510a2053,
    0x26606130,0x0d440028,0x054402a2,0xa8a88010,0x054a2000,0x35029808,
    0x02a602a2,0x20550298,0x800100a9,0x17ffe04e,0xec806f4c,0x07bd106e,
    0xb0bfb7f1,0xbddf10bb,0x5033fae0,0xffffbfff,0xf887c81f,0x3a60f66c,
    0x82ef882d,0x1fcc7ffc,0x3fb607ee,0x17f6fe26,0x262faf98,0x5ed82fff,
    0x2e1fefcc,0xffccf887,0x4137e60f,0x81f981f8,0x7fe44df9,0x5551e41f,
    0xaaaa8555,0x5555542a,0x1a889542,0x1df103a8,0x2a0103f9,0x7c40fa9f,
    0x3be23e9b,0x0002fe99,0x0f31f1b5,0x00062008,0x03f70fe6,0x6fc49f75,
    0x5f301fc8,0x0c401039,0x040577cc,0x7e457fc4,0x44062224,0x22203101,
    0x3e2b6218,0x7fc4fe24,0x3fe27fff,0x3fe27fff,0x3fe27fff,0xff887f10,
    0x5f33f882,0x22177f54,0xcfb85fef,0xb8bea5ec,0x33fae02f,0x1ede7a60,
    0x5c0cfeb8,0x7f5c0cfe,0xf70fe60c,0x17e7fdc3,0xb87ea7f1,0x543afcef,
    0x7f542efe,0x2a0fe61e,0x17e21efe,0x0f7f54bf,0xea83bff6,0x77fec1ef,
    0xe97f6e60,0x203f8cff,0x0fe203f8,0x7f14ff88,0xf885ffb8,0x37e25f32,
    0x3fa20fc9,0x5557f706,0xfff30fdc,0x74dfc4bf,0x83cd7643,0x223e9bf8,
    0x3e23e9bf,0x0fe63e9b,0x233e23f7,0x4cbe22fd,0xfb19f11f,0xfc9df885,
    0x997633e0,0x5d8cf82f,0x7cdf13e2,0x27ea5d8c,0x3633e1c8,0x47227ea5,
    0x265e9cf9,0x203f88cf,0x0fe203f8,0xf89fff88,0x207e6f43,0x2a5f32f8,
    0x3e27f11f,0x262ebfcd,0x3ee3d8bf,0x8aab3ea2,0x205eccfb,0xf71ee9bd,
    0x67dcbd99,0x333ee5ec,0xf70fe65e,0x17d47ea3,0x547e65f1,0xfa85f51f,
    0x07ea7f11,0x07ea17cc,0x55ba27c4,0x7dff101f,0x7c407ea1,0x33f70bef,
    0x44efd4bf,0x225fffff,0x225fffff,0x225fffff,0x23f8efbf,0x444f8af9,
    0x3ea5f32f,0x47ea7f11,0x7ed41ffd,0xfb8fea0e,0x5557f702,0xa65ede60,
    0x2e2aabfb,0x3ee2aabf,0x2fe62aab,0x3ea1f73c,0x97c45f51,0x2a3f51f9,
    0xf88fd42f,0x98223f53,0x088fd42f,0x2abf13e2,0xdb88111f,0x0223f54f,
    0x3a29fb71,0x3bf26def,0x1aaadf8a,0x86aab7e2,0x21aaadf8,0x3fbfaaf8,
    0x41fa67f2,0x4efc43d9,0x939f10fc,0x209307ff,0xacffcbfe,0xb17f30aa,
    0x5decf607,0x47b17f35,0x263d8bf9,0x3e63d8bf,0x7c7eaedb,0x2e02fd9d,
    0xfb3bf11f,0xfc9df885,0x91ba77e0,0x4dd3bf0b,0x49f754f8,0x3aa6e9df,
    0x277e5e89,0x3a27aa6e,0x8cf85705,0x0fe203f8,0x3e203f88,0x7fc7ffb2,
    0x5442ffff,0x2dfe985d,0x2edffed4,0x32205f4c,0xfffffbff,0x203bf6a1,
    0xa8bbaa79,0x7ed40efd,0x077ed40e,0x5dfb37f3,0x02fbfea8,0x7f541ff7,
    0xdfe982fc,0x30f7ed42,0xefda81f7,0x77f53e21,0xb07bf6a0,0x7ed43bff,
    0x0effec1e,0x37f62db8,0x0aaaadf8,0x15555bf1,0x2aaab7e2,0x3fe25f10,
    0xf3337f53,0x0001a88b,0x00298004,0x10660000,0x00000001,0x15300000,
    0x30000000,0x01000015,0x00000000,0x7fc420d4,0xff10ffff,0x3e21ffff,
    0xf10fffff,0x87d9fdc5,0x000000fc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x040d4000,0x51015288,
    0x1a814c03,0x2a510540,0x51010880,0x1a814c03,0x4046a000,0x01528818,
    0x330001a8,0x440d4051,0x3300400a,0x44cc12a0,0x2a81180a,0x30284404,
    0x53000535,0x790a6660,0xfcfea93a,0x7416da62,0x205d00ed,0xb51e207a,
    0x3ddd30b6,0x3a01dbd0,0x7d81f303,0x1df303ee,0x6c0dffb8,0x8075405e,
    0x322fbefb,0x0e980e9b,0x3faa0990,0x077fec1e,0x232e06f2,0x2376e40e,
    0x41dffb5f,0x9f883de8,0x43ffe42e,0xff884df9,0xf1d4fe22,0x8005fb3b,
    0x10020111,0x10082d40,0x22260111,0x40980300,0x590bd1fa,0x7c5fc43f,
    0x22200983,0xd8cf8808,0x0044002f,0x2ec67c06,0x887f35f3,0x01080403,
    0x3913f5bf,0x02222030,0x03111008,0x79ffd066,0x32f98fd4,0x7cc7e65f,
    0x4be63f32,0x265f31f9,0x3aa1e41f,0x77f542ef,0x2177f542,0x7542efea,
    0x7ce7c2ef,0x877fecc2,0x3e6bd1fa,0x7fdc3f32,0x3ea4ffdf,0x7f5c5f51,
    0x067f5c0c,0xfa833fae,0x320fa801,0x7fe41fff,0x0fffe41f,0x17dff1bd,
    0x2a0fffe4,0x7fe42efe,0x067f5c1f,0x7cc3bff6,0xfa8fcc0c,0x47e65f32,
    0x263f32f9,0x3e63f32f,0x21e83f32,0x10fc9df8,0x221f93bf,0xf10fc9df,
    0x3e21f93b,0x3f20fc9d,0xfdade87b,0x4dba1f72,0x3623f32f,0x2f99ff8a,
    0x44bea3f5,0x3e23e9bf,0x2fe23e9b,0x447ea3e9,0x3624fa80,0x2b624f8a,
    0x22b624f8,0x6dc5364f,0x9f15b14f,0x87e4efc4,0x224f8ad8,0x3ea3e9bf,
    0x07f11c89,0x4cbf677e,0x3e63f52f,0x4be63f52,0x2a5f31fa,0x3f51e21f,
    0x88fd4fe2,0x3e23f53f,0x4fe23f53,0x4c7f11fa,0x88fd44ff,0x5ba3f74f,
    0x443f52f9,0x4fccffdb,0x25fd5bf1,0x2e5eccfb,0x3ee5eccf,0x4efc5ecc,
    0x24f9886e,0x5cc5fdb9,0x7edcc5fd,0x227aaf25,0x97f6e65e,0x4c7f11fa,
    0x33ee5fdb,0x3bfe25ec,0x2a07f10b,0x7f32fcfe,0xa9fcc7ea,0x3ea7f31f,
    0x87ea7f31,0xf88fd46a,0x4fe23f53,0x2a7f11fa,0x3ea7f11f,0x1fe87f11,
    0x53f88fd4,0x9fcd7a3f,0xd3bf31fa,0x6cc3555f,0x57f72fad,0x555fdc55,
    0x0aaafee2,0x1443dfb5,0x3a73e6db,0x97a73e65,0x2e5e9cf9,0x263bffb2,
    0x3ea5e9cf,0x33e67f11,0x2afee5e9,0x27edc42a,0x2f98019f,0x23fb19f1,
    0x11fd8cf8,0x223fb19f,0x321fd8cf,0x7e4efc44,0x1f93bf10,0x43f277e2,
    0x10fc9df8,0xe81f93bf,0x1fb3bf06,0x44feb3e2,0xf51fd8cf,0x5d35ff13,
    0x98fd46e2,0x3e63d8bf,0x2fe63d8b,0x43da83d8,0xf73fabf9,0x4fdcbf33,
    0x267ee5f9,0x3da8ae5f,0x897e67ee,0xf70fc9df,0x5fccbf33,0x227aa3d8,
    0x3013f65e,0x7dffe45f,0x87efff21,0x321fbffc,0x0ba1fbff,0xd30b7fa6,
    0xdfe985bf,0x216ff4c2,0x3ea2dfe9,0x5bfb302f,0x7e44fea8,0x3ff61fbf,
    0x7f45ffdc,0x77ed46fe,0x2077ed40,0x5440efda,0x0cfeb85c,0x44dbdfd1,
    0x3a26defe,0x457a6def,0x3bfa25ca,0x16ff4c6d,0xa8dbdfd1,0x7fec0efd,
    0x0980041d,0x00000000,0x00000006,0x06a20000,0x00000000,0x000154c0,
    0x001a8000,0x40000000,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x81a802a6,0x02a600a8,0x88a8054c,0x00088882,0x39101318,0x21985440,
    0xa9809998,0x05440028,0x00050330,0x1a880a98,0x0a86a6a2,0x82982a20,
    0x54c00029,0x81885100,0x9440c428,0x302a200a,0x09bf3035,0x82e403e6,
    0x7ec1fefd,0x6b9f82fe,0x260f774c,0x5dd82fff,0xfb107570,0x7e43fdff,
    0x3dae85ff,0x30fccbe6,0x87b2a05f,0x205f302b,0x20ddbce9,0x3efe63f8,
    0x3f660b64,0xf87c9dff,0x1ffe7cc2,0x06ed5f4c,0x4c1c8dd3,0xed80e46e,
    0xf917cc05,0x44443fff,0x82803101,0x223f8bf8,0x7d449b2f,0x00820dd9,
    0x01500200,0xb1fea5fb,0x0610133b,0x987e65f3,0x443ea02f,0x26072205,
    0x2598ba8d,0x2afe63f8,0x2bfa12e4,0x1869eea8,0x7e4f7cc1,0x22aab661,
    0x599aa659,0x01666a98,0x12f98013,0xfc97e27f,0x7ffe41ff,0x10fffe41,
    0x7c41f75f,0xfffffd02,0x8fccbe65,0x263f32f9,0x3e63f32f,0x53e23f32,
    0x37e2fde8,0xf997cc0b,0x87e65f31,0x264fecf9,0x440393c8,0xada8d81e,
    0x98fe2396,0x31a60ddf,0x22efb89f,0xf31effd9,0xc8d8fe27,0x34c397bb,
    0x0d9a601b,0xb85dfd50,0x3be2fcff,0x22b6208a,0x3e2b624f,0x93e2b624,
    0x360fdaf9,0x8cc81eef,0x7ccbe60f,0x47e65f31,0x263f32f9,0x3ea3f32f,
    0x227f39b2,0x3e63feff,0x4be63f32,0x27be61fa,0x31bb31fb,0x680fc80b,
    0x7f13983b,0x07c427cc,0x44f985f5,0xf32fe8df,0x9968fe27,0x5498e6b7,
    0x04aa4c09,0x21f93bf1,0x22fd8cf8,0x260dfffa,0x6dcc5fdb,0x2fedcc5f,
    0x54bf35f3,0x6f540aee,0x25f30afb,0x2a5f31fa,0x3ea5f31f,0x47ea5f31,
    0x5f55daf9,0x3e66d84c,0x33e23f52,0x4fe61fd8,0x2a1b03f8,0x96817e47,
    0x3f89d4a5,0x31740fe6,0x2a2fa87f,0xf34fcb9f,0xcb41f93d,0x3a0751eb,
    0x1d00eeb8,0xf11fa9ea,0x17d47ea7,0xcf9b7e54,0x273e65e9,0x3a73e65e,
    0x1fd4be65,0x3fffa09d,0x2a7f32ff,0x3ea7f31f,0x47ea7f31,0x7c3f53f9,
    0x2189f25e,0x7d4fe67c,0x87efff21,0x507f13f9,0x2f99f669,0xd9d33906,
    0x3e64f876,0x45f89902,0xfadfd47c,0x87ffbf33,0x3b689c9c,0x07a2a770,
    0xf53eccee,0x8fd4fe23,0x643d52fa,0x5f99fb8f,0xb97e67ee,0x3e65f99f,
    0x9f94f9aa,0x4dbcc757,0x8fec67c4,0x11fd8cf8,0x223fb19f,0x361fd8cf,
    0x224fcacf,0x3e25e9cf,0x9301fd8c,0x0fcaef98,0x23f7d0e8,0x445f52f8,
    0xfd13231e,0x2a01fd57,0x7ed6fe46,0x7e4ffc45,0x74405f30,0x1a213222,
    0x5f4d109b,0xf93bf11f,0x17ecefc1,0x22df75df,0x3a26defe,0x3fa26def,
    0x32be66de,0xffbd90ef,0x4175ae1f,0x321fbffc,0x3f21fbff,0x3ff21fbf,
    0xfd7d51fb,0x17fd705b,0x01fbffc8,0x33e617f3,0x2a3b83ff,0x3fff21fa,
    0x3eded885,0x01dffe88,0xbfb503e2,0x5bfdd105,0x362017cc,0x45903ede,
    0x51641cfd,0x6ff4c3f5,0x17dff542,0x003dffb5,0x20000000,0x00018440,
    0x01000000,0x26000000,0x03028002,0x4002006a,0x40003000,0x10004c00,
    0x04ccc280,0x00000c0a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7002a200,0x2a603009,
    0x22031028,0x3510d440,0x4c403530,0x981a800a,0x002a200a,0x22098260,
    0x1a886a2a,0x2aaa02a2,0x20a8a809,0x22a0001a,0x51098c0a,0x26aaa001,
    0x03505500,0x01a880a6,0x4054406a,0x3fff662a,0x201bb01d,0x7441ffea,
    0x0fffd83e,0x7c433ff6,0xfe88fe63,0x7f4c1fff,0x7f101dff,0x227fffcc,
    0x2a5fffd8,0x3e21f71f,0xaffc5f34,0xcfa99cf9,0xff887f10,0x2fe23fff,
    0x4c07f13f,0x2f643fff,0x05f12ee4,0x7fffff10,0x04f81f88,0x076f407d,
    0x07f104f8,0x22bfa1f3,0x7fc40fea,0x09b4f882,0xf15f1051,0x4fe67e67,
    0xe8fe63f8,0x746e98bf,0x80eea8af,0x223ba3f8,0x5cbfa1fc,0x3ee3f53f,
    0x47629f10,0x3bbfa2f8,0x7f11efee,0xfd98bf88,0x22597f11,0x000cdeef,
    0x2c80804c,0x4c5fc404,0x002221fd,0x01118030,0x7f10eb3e,0x913e6220,
    0x85ffb85f,0xfc809afa,0x26fe21ff,0x8afcf73f,0x7c4fe63f,0x89f30444,
    0x23f882fb,0x7ccfe208,0x2e3f50c4,0x9629f10f,0x88fe22f9,0x887be23f,
    0x7c53e23f,0x373be23b,0xf11fc46f,0x3f88bfb7,0x3f73e362,0x9f11fc46,
    0x7e4ff7e6,0xfff92fff,0x9fd5765f,0x20ff7c6c,0xabf883f8,0x3a1fcc2f,
    0x7fdc0fcd,0x22b622fe,0x337fdc4f,0x3e2df35f,0x97d4fe63,0x5f50aaa8,
    0x3f883f98,0xdfddddd5,0x2fa80bea,0x413e21f9,0x3ffe22f9,0x13e23fff,
    0x57e19df9,0x91fc43f8,0xf11fc41f,0x7c43f91d,0xfb8ef883,0x7c33bf22,
    0x2215df35,0x3310ff99,0x7e5ee1ff,0x077c47f5,0xf1265fc4,0x3f985f57,
    0x713e2be6,0xb731767f,0x7d67c4bf,0x45bbbf24,0x7ccfe63f,0x265fff33,
    0x441fd43f,0x999bf53f,0xa80fe6df,0xf10fe9df,0xf88be609,0x363fbaad,
    0x856fdc3f,0xf887f15f,0x3f883f63,0x117ccfe2,0x269f107f,0x42b7ee2f,
    0x3a07f35f,0x221fe81f,0x1f9fdeaf,0x5fc413f6,0x3e6fe24c,0x643f7575,
    0x7d47e99f,0x4e7ccf92,0x36c3ee5e,0x4c9f2fc2,0xfa8df12f,0x23f917e2,
    0x3e67f34a,0x25e93e24,0xbfdf53f8,0x4c13e21f,0xf88fe22f,0x7f10fea3,
    0x43f8a7cc,0x44fffff8,0x4cbe23f8,0x220fe22f,0x7c45f33f,0x17cd3e63,
    0x17ec17ec,0x36fcfef4,0x1fc413ee,0xcdfd9fc4,0x7fffc6ff,0x74f7c2ff,
    0x97e67ee4,0xf34f9cf8,0x5ff45f77,0x3bee0fea,0x3f22feba,0x3ee5fdad,
    0x33f21fcb,0x33f21feb,0x13f50fea,0x3555bf10,0x23f88be6,0x10fe23f8,
    0x21fd75bf,0x56fc43f8,0x223f881a,0x7c45f32f,0x5f33f883,0x7f5d6fc4,
    0xdfb85f30,0x55bf71aa,0x4feb7dc3,0x12aaadf8,0x647f107f,0xf53fefff,
    0x98bf3337,0x3fa20dfd,0x6ff5c6de,0xd30bbf20,0xfd705fff,0xbfb505bf,
    0x83ffd885,0xda81efec,0x407ea2ef,0x35fffff8,0xf11fc45f,0x3e21fc47,
    0x3e21dfff,0x2201fc43,0x7ccbe23f,0x3e20fe22,0x7fc45f33,0x0be61dff,
    0x3a9ffffd,0x3e64ffff,0xfff03f94,0x20fe2bff,0x4ae083f8,0x000fc87d,
    0x04000000,0x00000040,0x05440000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x222a8000,0x8a80260a,0x3510a60a,
    0x555554c0,0x2205302a,0x2198a810,0x12aaaaa9,0x00544515,0x1a944211,
    0x542a886a,0x54c09aaa,0x15102a60,0x55501540,0x20aa8835,0x355512a9,
    0x55555501,0x00a88544,0x002a2151,0x222a886a,0x2a1aaaaa,0x0aa1aaaa,
    0x43f20351,0xc813e27d,0x3761746e,0xfffff00f,0x20be0dff,0x7541eee9,
    0x3ffff60f,0xfd93ba6f,0x7774c0ee,0x22591d31,0xf88bf64f,0x260effff,
    0xdf71ba5f,0x05ff10bf,0x4dfffff1,0x5bfa4ff8,0x23fffff8,0x27fffff8,
    0x205f33f8,0x805f13f8,0x43bf64fa,0x15fffffa,0x5c9fffff,0x5e87f23f,
    0x447f39f1,0x0204c04f,0x4fdc0446,0x1011005e,0x98044021,0x2e09882f,
    0x08440acf,0x7fb4f880,0x0fee3f88,0x445f95f7,0xfb85f33f,0x2e3f885f,
    0x22dff12f,0x317f16ff,0x80fe23fb,0x405f33f8,0x2025f109,0x013e4ffc,
    0x00fe23fd,0xb89f31fd,0xf11f7f22,0xf11fc409,0xbd03f887,0xdbf8817a,
    0x3f6fe25f,0x0bffff25,0xfdf985f3,0x8bfb9f13,0x11fc43f8,0xf107f99f,
    0x7f41fcc7,0x0be6085f,0xf881f9bd,0x6fc47ee3,0xf16dfa8f,0x3f8a7c47,
    0x57ccfe20,0x44fe25f9,0x3a25fecf,0x0dffd4f9,0x03f88ff2,0x007f67cc,
    0x21dfffd9,0xf88d74f8,0x7f10fe23,0x3ffa5f50,0x23be24ff,0x91df11fc,
    0x3fe6623f,0x986fea60,0x1df10aef,0x21fc43f7,0x3ffe23f8,0xeeef883f,
    0x0ffa80ef,0x5f317e60,0xfff889f1,0x3efe24ff,0x7f16ddca,0xffff15f8,
    0xf99fc4bf,0x89fc45fb,0xf81fc8ef,0xf701bf14,0x7ffff889,0xa805ff90,
    0xf10ccfec,0x47f11ae9,0x41fc43f8,0xaaefaafe,0x7ccfe21a,0x0be67f12,
    0xefee83fd,0xf887f30e,0x1fc43f33,0xbff88fe2,0x677c40fe,0x0bff606f,
    0x99fc85f8,0x556fc47e,0x9d5f12fc,0x0fe2db7d,0x2ab7e2bf,0x7ccfe21a,
    0x89fc42ff,0x9f05f33f,0x437cc27c,0x102aadf8,0x764ae0df,0x9f10eeff,
    0x7f11fc40,0x7fcc3f88,0x3e205fff,0x4be25f32,0x40bf62f9,0x217cc2f9,
    0x445f32f8,0xf11fc43f,0x7f117e69,0x33ea17ea,0x81e880fe,0x22ffffff,
    0xf8afc3f8,0x16d9ffca,0xf8a7c47f,0x7ccfe203,0x89fc46de,0x9f05f32f,
    0x03fe227c,0x2fc00fe2,0x5fb535e8,0x5556fc45,0x3f88fe21,0x83f61fc4,
    0x222aaaee,0x3e25f32f,0x37ee5f32,0x217cc1aa,0x997c42f9,0xf10fe22f,
    0x5fb27c47,0x45f91fc4,0x85f98ef8,0x4dfd41c8,0x37e25f99,0x5f14fcaa,
    0x7c5b6ff5,0xf10febad,0x2215555b,0x7f35f33f,0x32f89fc4,0x27c9f05f,
    0x4aaab3f6,0x0bf003f8,0xf10f9126,0x7c4bffff,0x7f10fe23,0x3ffa27cc,
    0x4cbe27ff,0x3e65f12f,0x89ffffd2,0x217cc2f9,0x445f32f8,0xf11fc43f,
    0xf887fc49,0x7e43fe23,0x5f10bf22,0x10fc87d8,0x449fffff,0x2db5f8af,
    0x21dffff8,0x0ffffff8,0x64be67f1,0x3e27f10f,0x49f05f32,0x7ffff44f,
    0x2007f16f,0x0001905f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55500000,0x1a835013,0x4ccc4026,
    0x2a20c419,0x81a886a1,0x2aaa60a8,0x2a0aa2aa,0x30d4c551,0x02004105,
    0x33331010,0x02d40003,0x40100002,0x00081000,0x02000840,0x02040810,
    0x44104100,0x223fffff,0x227f10ff,0xffff704f,0x98fffecf,0x7c47f13f,
    0x3f60fd83,0x3f66ffff,0xb3ecfe60,0xff72f4bf,0xfc89ffbf,0x77f541ff,
    0x2f984022,0x6b85f7f3,0xb83dfd50,0x7fec0cfe,0x2bbfaa0e,0x3ffaa1fa,
    0x7103ffeb,0x77fecc3f,0x47e65f31,0x2abb02eb,0x97c4d92f,0x265bcbda,
    0xefdbfebf,0x4fd33f88,0x27f14ff8,0x333104f8,0x3a2be67f,0x8fe27f35,
    0x07fdc3f8,0x1fd417cc,0x7c3ee1f9,0x3627f17f,0x2f99ff8a,0x449f15b1,
    0x010fc9df,0xaf997cc2,0x99fd952d,0x225d8cf8,0x3ea3e9bf,0x3bf11c89,
    0x3e23d5f9,0xfb8efd9d,0x833ff260,0xf32fe8df,0x7ecc7e65,0x7e5ee0cf,
    0x997c49f4,0x3e64feff,0xbf9afe8d,0x443f23f8,0x13f89fff,0x44d9009f,
    0x89fcd7a1,0xf88fe23f,0x02f980fd,0x5f32fcbf,0x3f53f9f3,0x667fedc4,
    0x97f6e64f,0x027f11fa,0x7f52f984,0x3bfbb21b,0x2e03f50e,0x3e25eccf,
    0x23f50bef,0x47ea6df8,0x52fccef8,0x73f505df,0x54be69f9,0x8ff5c41f,
    0xf9fde9f8,0x8fccbe21,0x3e4be64d,0xf99df19f,0x477dfc4d,0x8809f13f,
    0x265f702f,0xfffff13f,0x07d66c7f,0x8fc817cc,0x2f3e22f9,0x267bbf8f,
    0xaaafe9df,0x4bd39f31,0x027f11fa,0x9f53f984,0x3f50d701,0xaabfb822,
    0xaa7edc42,0x4c1bf11f,0x555bf31f,0x5073fe63,0x7ccfeb7f,0xfda83f53,
    0x3e7f3a0e,0xf897c47c,0x47e64e8a,0x3be33e7c,0x2be20cee,0x9f13fbfa,
    0x9f706c80,0xadf89fcc,0x51f73fba,0x205f301f,0xde87cbf9,0x54dbbb5d,
    0xe9aff89f,0x4bf33f72,0x10fc9df8,0x6c6fc420,0x3e0d701f,0x2fe66e9d,
    0x227aa3d8,0xf93bf15e,0xdfb3dd01,0xfea81d73,0xf93ff10e,0x3f633e21,
    0x705bfd31,0xf113fadf,0x97fffea5,0x67cf91f9,0x4be203f8,0x09f13ffd,
    0x44fa83e8,0x447f13f9,0xfffffb3f,0x3a02f983,0x3ffc84fe,0xffd89ff7,
    0x3a25ffdc,0x7f4c6def,0xf504022d,0xaa983f5b,0x77ed42aa,0x2077ed41,
    0x3a61dffd,0xffb302df,0x4c07ffd7,0x5bfdd11d,0x71fbffc8,0xba7cc039,
    0xb897c42f,0x47e639a9,0x0fe33e7c,0x7ff12f88,0x86aab7e2,0x57fc42f8,
    0x3e27f32a,0x5554fe23,0x17cc0bfc,0xf505ff90,0x00bfe63f,0x4cc00000,
    0x40019999,0x00fffffd,0x00000000,0x00200010,0x00000000,0x07f10000,
    0x27f717c4,0x25fffff8,0x7ffdc1f9,0x3e27f36f,0x3ea0fe23,0x2602f980,
    0xf8ff107f,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22040800,0x00204088,0x08100210,0x2200c402,
    0x730c8194,0x26e01710,0x1110a62a,0x44198111,0x82aa0a22,0x4c088888,
    0x42a20c41,0xa88041c8,0x64473198,0x97446e25,0x377761c8,0x253172dd,
    0x3bba2eeb,0x00002eee,0xaf880000,0x3ffee5f9,0xbf15f72f,0xdf881f30,
    0x87dcdb3f,0xc85fdbf8,0x2f365e87,0x17ebba25,0x27aa0ff2,0x5c9bd51f,
    0xb71fffff,0x7457a65b,0xb973665c,0x951fffff,0xb8b2a63d,0x3aa5f11f,
    0x5f52cbef,0xea99ecdb,0x88ec4b90,0x2aaaaa2f,0x2eb55d0a,0x266662ee,
    0x00000099,0xfbf88000,0x077d4c45,0xf301fbfb,0x30aef881,0xdf897a3f,
    0x414c1fb8,0x8fe7e62b,0xdf885fe8,0xb2757c46,0x55544f15,0x44ba20aa,
    0xc99a755a,0x2aaaa26e,0x7543ea1f,0x641f50cf,0x1dfb5771,0x211b67e6,
    0x000020a9,0x00000000,0x88000000,0x3fb02fff,0x7542ff88,0x7f11eefe,
    0x443f39d0,0x3b23f33f,0x3e206eee,0x3bfe63ea,0x117c7640,0x5e5c9d5f,
    0x33333265,0x25985d10,0x1af363ee,0x79131f88,0x2488f3a2,0x23220038,
    0x0000003a,0x00000000,0x10000000,0x5fb0dbdf,0xca89ff10,0x5f11cdfd,
    0xf88d9f70,0x332e3f32,0x2f3604cc,0x9ba37e26,0xea8db3f8,0x439710f9,
    0x91eeeeea,0x2024c7dd,0x3a204bd9,0x44c1bb31,0x00000000,0x00000000,
    0x00000000,0x8af88000,0x2ab7ee3f,0x207f3ba1,0x417c40f9,0x97c43ff8,
    0x5c2541f9,0x28191912,0xb8081062,0x000002a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x325f1000,0x7ffffb0f,0x4c3747ee,0xd817c40e,
    0xf997c40f,0x02f43641,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_13_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,-1,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,0,-1,0,0,-1,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,-1,0,-1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_13_latin_ext_y[560]={ 10,1,1,1,0,1,1,1,1,1,1,2,8,6,
8,1,1,1,1,1,1,1,1,1,1,1,3,3,2,3,2,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,11,1,3,1,3,1,3,1,3,1,1,
1,1,1,3,3,3,3,3,3,3,1,3,3,3,3,3,3,1,1,1,4,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,3,1,1,2,1,
1,1,1,1,1,4,3,6,1,0,1,2,1,1,1,3,1,5,10,1,1,4,1,1,1,3,-1,-1,-1,-1,
-1,0,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,3,1,-1,-1,-1,-1,-1,1,1,1,1,
1,1,1,1,3,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,
-1,1,-1,1,1,3,-1,1,-1,1,-1,1,-1,1,-1,1,1,1,-1,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,1,-1,1,1,0,-1,-1,1,1,-1,1,-1,1,-1,1,1,1,-1,3,1,1,-1,1,1,1,3,-1,-1,1,
1,1,1,1,1,1,1,-1,1,1,3,-1,1,1,1,3,-1,1,-1,1,-1,1,1,3,-1,1,1,3,-1,1,
-1,1,-1,1,1,3,-1,1,1,1,-1,1,1,1,-1,1,-1,1,-1,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,-1,1,-1,1,-1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,3,2,2,2,2,2,2,2,2,2,2,2,2,2,1,3,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-2,-1,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__arial_bold_13_latin_ext_w[560]={ 0,2,5,7,6,10,9,3,4,4,5,7,3,4,
3,5,6,5,6,6,7,7,7,6,6,6,2,3,7,7,7,7,12,9,8,8,8,8,7,9,8,3,6,9,
7,9,8,9,8,9,9,8,7,8,9,11,8,9,7,4,5,4,7,8,3,7,7,7,7,7,5,7,7,3,
4,7,3,10,7,7,7,7,5,6,4,7,7,10,7,7,6,5,2,5,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,2,7,7,7,7,
2,7,4,10,5,6,7,4,10,8,5,7,4,4,3,7,8,3,4,3,5,6,10,10,10,7,9,9,9,9,
9,9,13,8,8,8,8,8,4,4,5,5,9,8,9,9,9,9,9,7,9,8,8,8,8,9,8,7,7,7,
7,7,7,7,10,7,7,7,7,7,4,4,5,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
9,7,9,7,9,7,8,7,8,7,8,7,8,7,8,9,9,8,8,7,8,7,8,7,8,7,8,7,9,7,
9,7,9,7,9,7,8,7,9,7,5,5,5,5,5,5,4,4,3,3,9,6,7,5,9,7,7,7,4,7,
4,7,5,7,5,7,4,8,7,8,7,8,7,9,8,7,9,7,9,7,9,7,12,11,9,5,9,5,9,5,
8,6,8,6,8,6,8,6,7,4,7,6,7,4,8,7,8,7,8,7,8,7,8,7,8,8,11,10,9,7,
9,7,6,7,6,7,6,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,8,7,7,7,
7,7,7,7,7,7,7,7,7,7,10,9,7,7,7,7,7,7,7,7,7,7,7,7,7,10,9,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,5,5,9,
7,8,7,8,7,8,7,8,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,13,10,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_13_latin_ext_h[560]={ 0,9,4,10,12,10,10,4,12,12,5,7,4,2,
2,10,10,9,9,10,9,10,10,9,10,10,7,9,8,5,8,9,12,9,9,10,9,9,9,10,9,9,10,9,
9,9,9,10,9,10,9,10,9,10,9,9,9,9,9,12,10,12,6,2,3,8,10,8,10,8,9,10,9,9,
12,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,12,12,12,4,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,12,10,7,9,
12,12,2,10,5,6,5,2,10,2,5,8,5,5,3,10,12,2,3,5,5,6,10,10,10,10,11,11,11,11,
11,10,9,12,11,11,11,11,11,11,11,11,9,11,12,12,12,12,12,6,10,12,12,12,12,11,9,10,10,10,
10,10,10,10,8,10,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,7,8,10,10,10,10,12,12,12,
11,10,11,10,12,10,12,10,12,10,12,10,12,10,11,10,9,10,11,10,11,10,11,10,12,10,11,10,12,12,
12,12,12,12,12,13,11,11,9,9,11,9,11,9,11,9,12,12,11,7,10,12,12,12,12,12,7,11,11,12,
12,9,9,9,9,9,9,11,9,12,10,11,9,9,10,10,12,10,12,10,12,10,10,8,11,9,12,10,11,9,
12,10,12,10,12,10,12,10,13,13,11,10,9,10,12,10,12,10,12,10,12,10,12,10,12,10,11,9,11,12,
11,11,9,11,9,11,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,12,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,10,11,9,12,
10,12,10,12,12,12,12,12,12,12,12,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,12,11,10,12,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_13_latin_ext_s[560]={ 252,253,165,41,181,102,63,149,91,178,143,
24,153,206,188,94,156,213,34,222,54,91,21,27,37,44,62,251,190,101,214,
134,211,142,152,96,171,180,233,60,45,41,80,105,19,161,10,70,1,1,115,
247,62,51,70,80,125,241,225,188,165,176,80,192,171,103,116,145,239,153,219,
182,205,201,125,193,189,245,46,111,190,54,32,161,249,206,38,222,16,140,9,
22,28,110,157,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,252,253,140,
33,237,1,157,168,201,143,124,88,130,206,198,211,118,137,109,138,180,105,202,
184,175,114,95,65,220,209,124,135,86,96,106,116,126,11,34,224,142,161,170,
185,200,211,216,136,196,28,242,10,54,72,91,72,81,110,128,142,160,239,157,
25,17,9,1,245,237,229,92,214,206,198,32,190,251,23,28,99,148,56,132,
124,116,108,100,54,198,86,78,70,62,183,191,226,151,24,37,8,243,243,10,
228,20,213,199,196,63,182,230,164,141,147,10,129,19,113,1,94,82,73,55,
121,96,218,208,55,45,143,168,14,77,222,126,85,205,93,194,166,179,180,163,
151,252,233,137,156,106,19,25,46,1,69,64,64,137,113,151,9,245,237,136,
235,48,134,47,204,172,186,204,156,114,174,35,55,124,16,81,178,178,206,72,
190,188,79,29,221,1,236,1,1,234,40,6,1,21,47,71,251,169,49,151,
57,233,65,119,73,101,99,82,107,244,226,1,38,37,47,219,29,212,227,64,
121,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,87,119,119,193,
119,119,119,119,119,119,119,119,119,119,119,119,119,171,168,119,119,119,119,119,
119,119,119,119,119,119,119,119,154,127,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,11,29,
198,17,130,231,116,163,101,93,84,160,148,58,49,41,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,74,66,213,171,31,182,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119, };
static unsigned short stb__arial_bold_13_latin_ext_t[560]={ 13,64,118,76,1,53,53,118,28,15,118,
118,118,118,118,64,64,98,108,64,108,76,87,108,87,87,118,98,108,118,108,
98,1,98,98,87,98,98,98,87,108,108,87,98,108,98,108,87,108,87,98,
76,108,87,108,108,98,98,98,1,76,1,118,118,118,108,76,108,76,108,98,
64,98,98,1,98,98,108,118,108,76,64,118,108,41,108,118,108,118,64,118,
1,1,1,118,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,13,15,1,
76,108,98,1,1,118,76,118,118,118,118,76,118,118,108,118,118,118,87,1,
118,118,118,118,118,76,76,76,76,41,41,41,41,41,87,98,1,41,41,41,
41,41,41,41,41,87,53,1,15,15,15,15,118,76,15,15,15,15,41,87,
76,76,76,76,64,64,64,108,64,64,64,65,64,87,98,98,98,64,98,64,
64,64,64,64,118,108,64,64,64,64,15,15,15,41,65,53,65,15,53,28,
53,15,53,15,53,28,53,41,53,87,53,53,53,53,53,53,53,28,53,41,
53,28,15,15,28,28,28,28,1,41,41,87,98,41,98,41,87,41,87,28,
28,1,108,53,28,28,28,28,15,118,41,41,15,15,87,87,98,87,87,87,
28,98,28,53,28,87,87,53,53,28,53,28,53,28,65,53,108,28,87,28,
53,28,98,15,53,15,53,28,65,15,65,1,1,41,64,98,53,15,76,15,
76,1,76,15,76,15,76,15,76,28,87,41,15,41,41,87,41,87,28,98,
87,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,87,108,108,1,
108,108,108,108,108,108,108,108,108,108,108,108,108,76,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,76,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,41,87,
28,98,1,76,1,64,1,1,1,1,1,1,1,1,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,1,1,28,64,1,76,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108, };
static unsigned short stb__arial_bold_13_latin_ext_a[560]={ 52,62,88,104,104,166,134,44,
62,62,72,109,52,62,52,52,104,104,104,104,104,104,104,104,
104,104,62,62,109,109,109,114,182,134,134,134,134,124,114,145,
134,52,104,134,114,155,134,145,124,145,134,124,114,134,124,176,
124,124,114,62,52,62,109,104,62,104,114,104,114,104,62,114,
114,52,52,104,52,166,114,114,114,114,72,104,62,114,104,145,
104,104,93,72,52,72,109,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,52,62,104,104,104,104,52,104,
62,137,69,104,109,62,137,103,74,102,62,62,62,107,104,52,
62,62,68,104,155,155,155,114,134,134,134,134,134,134,186,134,
124,124,124,124,52,52,52,52,134,134,145,145,145,145,145,109,
145,134,134,134,134,124,124,114,104,104,104,104,104,104,166,104,
104,104,104,104,52,52,52,52,114,114,114,114,114,114,114,102,
114,114,114,114,114,104,114,104,134,104,134,104,134,104,134,104,
134,104,134,104,134,104,134,134,134,114,124,104,124,104,124,104,
124,104,124,104,145,114,145,114,145,114,145,114,134,114,134,114,
52,52,52,52,52,52,52,52,52,52,146,104,104,52,134,104,
104,114,52,114,52,114,72,114,89,114,52,134,114,134,114,134,
114,132,135,114,145,114,145,114,145,114,186,176,134,72,134,72,
134,72,124,104,124,104,124,104,124,104,114,62,114,89,114,62,
134,114,134,114,134,114,134,114,134,114,134,114,176,145,124,104,
124,114,93,114,93,114,93,52,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,135,140,140,104,140,140,140,140,140,
140,140,140,140,140,140,140,140,159,132,140,140,140,140,140,140,
140,140,140,140,140,140,140,154,135,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,134,104,52,52,145,114,134,114,134,114,134,
114,134,114,134,114,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,134,104,186,166,145,114,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_13_latin_ext(stb_fontchar font[STB_FONT_arial_bold_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_13_latin_ext_s[i] + stb__arial_bold_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_13_latin_ext_t[i] + stb__arial_bold_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_13_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_13_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_13_latin_ext_x[i] + stb__arial_bold_13_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_13_latin_ext_y[i] + stb__arial_bold_13_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_13_latin_ext_s[i] + stb__arial_bold_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_13_latin_ext_t[i] + stb__arial_bold_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_13_latin_ext_x[i] + stb__arial_bold_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_13_latin_ext_y[i] + stb__arial_bold_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_13_latin_ext_LINE_SPACING
#endif

