// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT        142
#define STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_14_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_14_latin_ext_LINE_SPACING           9

static unsigned int stb__arial_bold_14_latin_ext_pixels[]={
    0x00393000,0x5c04c800,0x10065404,0x8c009803,0x20063008,0x98022009,
    0x03330099,0x2a510188,0x20130881,0x2000298a,0x80803328,0x2054c009,
    0x64401109,0x1a880002,0x01d80510,0x3ba202ec,0x2775c05c,0x3e201f88,
    0x300fd402,0x02fdd809,0x0ec805b7,0x77440720,0x8055504e,0x1fbd105e,
    0x640fed90,0xbfd502fe,0xd81b7a03,0x007fd44f,0x1aa7f07f,0x4c01fce8,
    0x03f886ff,0x007540bf,0x53330106,0x01889801,0x00e98071,0xa4405d4c,
    0x20332604,0x4e4c0948,0x8c094880,0x40948808,0x80d44059,0x15c03529,
    0x40bd3df0,0x9073e601,0x40e60573,0x88c0be3f,0x80dfe400,0x02efa809,
    0x3faa05d5,0x75c0fbcf,0xfd301eff,0x075905bf,0x3f301ce4,0x362fc4d9,
    0x1364fcc7,0x7cc7d8bf,0xb17e26c9,0x26c9f98f,0x553ec5f8,0xd8bf11a8,
    0xb8350aa7,0xff81effe,0x3ec5f881,0x4cea07e6,0x05f7f542,0x7543647f,
    0xfd500bef,0x17dfd505,0x3a82ffe4,0x667fdc53,0x67fdc3ff,0x7fd41ffd,
    0x6d41ffbc,0x8813f602,0x17e2298a,0x298a88fb,0x88fb17e2,0x17e2298a,
    0x298a88fb,0x5cfb17e2,0x3e25f51f,0x23f73ec5,0x33fee2fa,0x7fec1ffd,
    0x1f62fc43,0xeefd83f5,0x36ffee6e,0x0fa8fe6f,0x1bf6ffee,0xf717ffa6,
    0x5f8dfb7f,0x2ddddfb0,0xdfd10ff8,0xdf307fc4,0x8f620ff8,0xf880bcb8,
    0x2a86a07f,0x547d8bf1,0x22fc4aa1,0x2550d47d,0x2a3ec5f8,0x22fc4aa1,
    0x3e53e27d,0x227d8bf1,0x7fc4f94f,0x9fb9be60,0xb17e25fd,0x3e20fc8f,
    0x1fe2df14,0xf98b61b9,0x0dc8ff12,0x3fc43f98,0x885f8372,0x3e6df14f,
    0x21fb9d15,0x10fe85f9,0xfbfd00bf,0x05fbf70d,0xf8afc9f1,0x49f13ec5,
    0x7d8bf15f,0xf15f93e2,0x93e27d8b,0x7d8bf15f,0x3e24fb6c,0x7db63ec5,
    0x3fa17e64,0x4bf25f70,0xf93ec5f8,0x5ba2fa87,0x7c4005f9,0x5400bf33,
    0x402fcc2f,0x3a2fa85f,0x6d767f56,0xfb07f51f,0xeed8fea3,0x207e42a5,
    0xf885f8ee,0x22fc57e4,0x5f93e27d,0x227d8bf1,0x2fc57e4f,0x3e4f89f6,
    0x47d8bf15,0x3e21fcfa,0x33ea3ec5,0x360fea1f,0xf17ff11f,0x4fb17e25,
    0x89fcc6fa,0x9807f56f,0x1fd4be20,0xfa81f700,0x542ef803,0x3e2df13f,
    0x543fa5dc,0xf10ff85f,0xb53ff6cb,0xa7cc1fff,0xf27c41fd,0x89f62fcb,
    0x45f97e4f,0x5f93e27d,0x7c4fb17e,0x6c5f97e4,0x5f87ff87,0x23ffc3ec,
    0x20ff85fa,0x2fc6ffe8,0xf81f71f6,0xbf36fdbf,0x3f31fc08,0x6c0117e6,
    0x4045f987,0x5ffc47fc,0x43bfa6fd,0x83fe26f9,0x207fc6f9,0xf719f57e,
    0x7ee6fe41,0x4bf27c44,0x9f13f46f,0x7e8df2fc,0x3e5f93e2,0x49f13f46,
    0x0fd1be5f,0xe8df09f9,0x7c44fc87,0x641be60f,0x1fa37c6f,0x9ec883f5,
    0xfd8ff16e,0x887dc7f0,0x7407ec7f,0x7ec7f886,0x76cc0620,0x2fbf66e9,
    0x7fdc2ffc,0x7d42ffcc,0xf57febcf,0x7fc3fd37,0xef87ffff,0x37f65fc9,
    0x4f7c4fdb,0x2f7f65fc,0x64f7c4fd,0x36f7f65f,0x7e4f7c4f,0x3f6f7f65,
    0xfd81fc84,0xfc84fdbd,0xfccffb81,0x7e4f222f,0x3f6f7f60,0x37117cc4,
    0xb7df72fc,0x89b1fc9f,0x84fdbefb,0x7df704f8,0x40fa89fb,0x7d57e2b8,
    0x701effdb,0x2a03dfff,0x360ceffd,0x7f52fcff,0x7fdc2fb8,0x3ff625ec,
    0x67fdc0df,0x3fff625e,0x767fdc0d,0x37fff625,0x2f67fdc0,0x41bfffb1,
    0xfb105fea,0x7f541bff,0x3bffee05,0x45fdfd81,0x40dfffd8,0x37fa3ff8,
    0x77e4c2fe,0x07c4fe0c,0x20677e4c,0x32602fee,0x83440cef,0x062feefe,
    0x02000400,0x881fb008,0x0020005f,0x80000400,0x20100000,0x00800bc9,
    0x01001793,0x00805950,0x9951164c,0x26390003,0x0b2e0003,0x44066000,
    0x00001bca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f604100,0x702fffff,
    0x4006a209,0x22044009,0x00620352,0x400002a2,0x00000513,0x4c04c154,
    0x13100a8a,0x2600a880,0x226a0000,0x4c00aa02,0x200c4600,0x5500082a,
    0x4ca20820,0x5c5bca81,0x81ccefcc,0x0f904eeb,0x6c03fd70,0xb00fde83,
    0x405d80bf,0x900befea,0xeca803db,0x7c402dff,0xcbe83f82,0x901bb605,
    0x03bee093,0x505bffb5,0x17cc09df,0xfeb827c0,0x6c37402e,0x40be203f,
    0x7eec1dae,0x7c017501,0x00c44c05,0x3a9c8037,0x37101f30,0x40323220,
    0x5ffdc048,0x002206fd,0x3f2637d7,0x1fc0aa03,0x498064e2,0x80e4c037,
    0x3fea2b9c,0x2a81febc,0x2c803980,0x0c400410,0x05503ecc,0x0d44164c,
    0x816fff4c,0x447e805f,0x75c3ec5f,0x86d81eff,0x2a0befea,0x3fae0d42,
    0x23fc41ef,0x7ff5c0dc,0xb88eb81e,0x221f9a8a,0x27f3ec5f,0xf13ec5f8,
    0x17e27d8b,0xff8350fb,0xfe98f620,0xffeb81df,0x4a67501e,0x4c3ec5f8,
    0x7dc2dffe,0x0efff4c0,0x3e2299d4,0x7de7fd44,0xe805f81f,0x1f62fc47,
    0x3ffb9ff7,0x5ffdc4f8,0x547ee6fd,0x373fee2f,0x017e61ff,0x3ff73fee,
    0x66fccfc1,0x3e24d8ff,0x227f3ec5,0xbf13ec5f,0xb17e27d8,0x3e24f88f,
    0xebbef805,0x7ee7fdc7,0x7777ec1f,0x47d8bf16,0x1ffbcffa,0x77df03ea,
    0xeeefd8fd,0x1ff13e26,0x02fc1ec4,0xb17e23f4,0xf307fc4f,0xff11fc4d,
    0x29f10dc8,0x983fe27c,0x100fea6f,0x337cc1ff,0xb57e976d,0xf9f62fc4,
    0x27d8bf13,0xf13ec5f8,0x27c47d8b,0xaf76c7f5,0x4472a5f8,0x89be60ff,
    0x3e2df14f,0x83fe3ec5,0x88fe63d8,0x7c472a5f,0x27c4df14,0x2fc00bf1,
    0x17e23f40,0x742fccfb,0x7cc5f30f,0x49f6d805,0x30fe85f9,0x2fcc08bf,
    0x5f4b87f4,0x3e23baf4,0x227f3ec5,0xbf13ec5f,0xb17e27d8,0x3e24f88f,
    0xfd9ffb65,0x42fcc1cf,0x745f50fe,0x27d8bf16,0x7f9005f8,0x2a0e7fec,
    0x4f89ba2f,0x5eed8fea,0x47e805f8,0xf53ec5f8,0x3e63fb07,0x2a00fea2,
    0x0fea1fcf,0x23fc47f6,0xb07f50fd,0x4be72e3f,0x221e8bf8,0x27f3ec5f,
    0xf13ec5f8,0x17e27d8b,0x6c4f88fb,0xf913f40f,0x0fea1bff,0x89fcc7f6,
    0x7d8bf16f,0x5eed8fea,0xfc887be2,0x27f30dff,0x893e26f8,0x21ffb65f,
    0xf87e805f,0x0bf53ec5,0xf31fc1ff,0x8fff008b,0x20ff85fa,0x24fdbefb,
    0x30ff85fa,0x33f677ed,0x3ec5f85d,0x1f62fc7f,0x2fc7d8bf,0xa89f11f6,
    0x07feccff,0x17ea7fb3,0xdbff83fe,0x4fb17e6f,0x9ffb65f8,0x3f6601fa,
    0x9bf6ffe3,0x207fc4f8,0x6b80987e,0xfd1be1be,0xdf307fc4,0xb1fe24e8,
    0x444fc81f,0x21be60ff,0x220cefc9,0xf1be60ff,0x7df7db53,0x27e8df06,
    0x8fd1be3f,0x1be3f46f,0x884f88fd,0xf50ceffc,0xff8a7c47,0xd911be60,
    0x3a37cdd3,0x9fa07fc7,0x88fea0fb,0x3a7b224f,0xff513e26,0xbf0ffd79,
    0x09f9bf50,0x89fb7bfb,0x2ffccffb,0x2fbee35c,0x81fc84fd,0x2ffccffb,
    0x3ee09b30,0x542ffccf,0xd89d102f,0x3e4fdbdf,0x3f6f7f63,0x7edefec4,
    0x7edefec4,0xd881fcc4,0xfd79fd05,0x7e67fdc5,0x5f86e22f,0x13f6f7f6,
    0xffd79ff5,0x5e7f43dc,0x7c3712fe,0x36a13e25,0x4c80ceff,0x101bff90,
    0x701bfffb,0x3e03dfff,0x0677e4c1,0x7dc0bfd5,0x2a601eff,0x3bffee07,
    0x99bdf301,0xffb109fd,0xb11fc1bf,0xd881bfff,0x6c40dfff,0x3ea0dfff,
    0x01f5302f,0x707fffb3,0xfd03dfff,0x7ec45fdb,0xfda80dff,0x0df90cef,
    0xe87fffb3,0x3e22fedf,0x03600404,0x08004000,0x4c002a80,0x000800bc,
    0x00100177,0x800de54c,0x00203900,0x93008004,0x400ddc05,0x54400800,
    0x800201cc,0x0400cb80,0x001cca88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06a6a200,
    0x25300cb8,0xa80c400a,0xbf10aa02,0x01a887d8,0x298a8388,0x3ffe2000,
    0xffb81def,0x006a203f,0x00980790,0x098801e4,0x98019700,0x8802200a,
    0x00006fff,0x4199440e,0x3bffd32a,0x407ebb20,0xbf105dfa,0x83ef980d,
    0x41fa81fa,0xd83ec5f8,0xec82b806,0x377e602f,0x66677c43,0x0999887f,
    0xa8003b20,0x03fae00f,0x7401f6e4,0x5dfa805e,0x17a02740,0x54013330,
    0xfd502ddf,0x83fbb03d,0xfd77df6e,0x880aa320,0x02a60188,0x2a093570,
    0x5f881a82,0x201903ec,0x05500eb9,0x440a98a8,0xf887ec5f,0x00c83ec5,
    0x19100440,0x02226075,0x10072730,0x80388061,0x3ffae02a,0x0531701e,
    0x4437767c,0x5f88881a,0xffd7072a,0xbffd303d,0x4413f603,0x24ffffff,
    0xffff14f8,0xb17e29ff,0x7ffffc4f,0x97fbf24f,0x1deffff8,0x44f9077c,
    0x26e999df,0xf13ec5f8,0x403bdfff,0xfffffffc,0x27e93e25,0x0bf10ff9,
    0x17ec09fb,0x3fea1ff1,0xff51ffff,0x7dc3ffff,0xb01ffdcf,0x3a7e609f,
    0x3fffea08,0xcffd81ff,0xfdcffb81,0x75df7c1f,0x107ff887,0x459999df,
    0x99df14f8,0xb17e2599,0x66677c4f,0x9959f12c,0x3333be21,0xf927fc7f,
    0x6fffffc4,0x4fb17e21,0x7fcccef8,0x9bfbdf10,0x927c4799,0x54bfee3f,
    0x03ffc43f,0x31fe4df1,0x21ffb999,0x0ffdccc9,0x37cc1ff1,0xdf03ffc4,
    0xdccc981d,0xffc880ff,0x41ff10df,0xa97e26f9,0x17efdc1c,0x3e202fc4,
    0x5f80bf14,0x40bf13ec,0x7c40dafa,0xfff07ec5,0x9df89f23,0x22fc43fd,
    0xfb17e27d,0x5f75f701,0x5f527c40,0x0fdd3fb6,0xb80bf7ee,0x2206f8cf,
    0x5fd102fe,0x07f42fcc,0x4c0bf7ee,0xfd103ffe,0x7ecc2e45,0x1fd0bf33,
    0xe80e7fec,0xef885f8e,0x3e20aaaa,0x5555df14,0x89ba37c1,0x30aaaaef,
    0x22151b7f,0x46e999df,0x44f96fdf,0xf88bfa5f,0x3bf13ec5,0x5ba0dd33,
    0x20aaacfb,0x7d3e24f8,0xdd0fb6dc,0xefe80bf1,0x813f601f,0x41fd44fd,
    0x7c7741fd,0x407efc05,0x7d7744fd,0x1fd53e23,0xff910fec,0xda7cc1bf,
    0x7fffc41f,0x453e21ff,0x21ffffff,0x24fdbdfd,0x1ffffff8,0x23f99ff1,
    0x1dfffff8,0x3e57de7c,0x07fccbf1,0x3e27d8bf,0xa81dffff,0xfffff73f,
    0x3ba27c45,0x5f8fbaf9,0x01fda7cc,0xfb80ffe6,0x2a17ee05,0x260ff85f,
    0xc983fb4f,0x7dc1f8e8,0x79fd5885,0x217ea5fd,0x7fb300ff,0x27ee6fe4,
    0x9f1017e2,0xfb1017e2,0x05f88bff,0xf11f7fcc,0x9f07fb3b,0x5f89f7fa,
    0xe8df27dc,0x3f677e27,0xfb99fd03,0x3227c405,0xfcf98fcf,0x7ee6fe43,
    0xa807ec04,0x1df500ef,0x7cc1ff10,0x7ee6fe46,0x3e76fc44,0x47203bea,
    0x223fffd9,0xa9be60ff,0xff93e23f,0x7c47ffff,0xf8a7c405,0x220b3005,
    0x880e805f,0x9f0bfa5f,0x74c1ffea,0xfb7bfb03,0x5fd2fc49,0xfeeeefa8,
    0xf713e202,0x20fffcdf,0x07ffffff,0x0ff883ec,0x5c01ff10,0x42ffccff,
    0x87ffffff,0x3e21efea,0x0bae000f,0x3ff33fee,0x7f5e7f42,0x2fb87f52,
    0x33333be2,0x77c53e23,0xf883cccc,0x6677c40b,0x441263cc,0xf83fe65f,
    0x2621ff64,0xfffb106d,0xf32fc41b,0xf707f41f,0x7c49999b,0xfb1ffcc4,
    0x7dc3fa8f,0x7f41f602,0xfd1cccce,0xb839999d,0x7d41efff,0x86817dc3,
    0x1ccccefe,0x2e0b9310,0xd981efff,0x03f63fff,0x7ffc4bf1,0x53e25fff,
    0x5ffffff8,0xff881950,0x0225ffff,0x93ee2fc4,0x221fe24f,0x100800ac,
    0xf34fb8bf,0xfffffb8b,0x3fe13e27,0x1fb17ea1,0x1f605f88,0x7ffffff4,
    0xffffffd2,0x0fd80205,0xe8082fc4,0x02ffffff,0x00801593,0x00000020,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03ffb000,0x93f300aa,0x7c83be0d,0x2a001a88,
    0x94415302,0x02a53019,0x7c4144d4,0x10088444,0x4404e89f,0x200a9809,
    0xf027c409,0x9817f44b,0x81a8802c,0x6c8fb4f8,0x41c2a09f,0x7c49f109,
    0x44e05304,0xffffff12,0xca9ffe29,0x402f881f,0xff03a8c8,0x07c83e49,
    0x13a05f10,0x7c407f76,0x13bea06d,0xd5d10b22,0xbf13e201,0x09d05d80,
    0x9f10ff5c,0x2fe8afc0,0x801f9f10,0x2e5900eb,0x302c9d44,0x649f09bd,
    0x3e413e22,0xdf10edd8,0x3e259999,0x4c0fd42d,0xeffeb802,0xf91fff81,
    0x14c00dc0,0x03510388,0x15400a98,0x03730350,0x817e27c4,0x403880c8,
    0x53e23a8c,0x7f57e0a9,0x00446203,0x531a806e,0x20fb17e2,0x0d459008,
    0x806209f1,0xf102fc40,0xfb03f507,0x6e7fdc09,0xb7efc1ff,0x409fb07c,
    0xf89f20ef,0x3fffff64,0x7c83be2f,0x3fffffe2,0x3f613e24,0xbf13e204,
    0x13a27c40,0x9f104f88,0xfddf8bf5,0xfd8bf104,0xff88bf60,0x45f69f10,
    0xff13ec5f,0x3e29ffff,0x27c49f14,0x9ffffff1,0x5df127c4,0x0fe21555,
    0xfff107ea,0xf983fe20,0x657de7c6,0x207ff887,0xf89f24ff,0x33bf32e4,
    0x7c93fe1c,0x33333be2,0xff113e22,0x3e27c40f,0xbf13e205,0xf8827c40,
    0xffff85fd,0x6c5f880f,0xfc9be20f,0x8bed3e23,0xdf13ec5f,0x3e259999,
    0x27c49f14,0x59999df1,0xfff127c4,0x0fe23fff,0xfbf707ea,0xfd0bf305,
    0x7dfea7c1,0xf02fdfb8,0xf89f23ff,0x3fe0bf04,0x2fc4f91f,0xbf713e20,
    0xf13e205f,0x3e27c40b,0x2e33e205,0x21bffe22,0x885fabff,0x2e07ec5f,
    0x7c46f8cf,0xb17e2fb4,0xf102fc4f,0x4f893e29,0x9f1017e2,0x7f102fc4,
    0x8ee83f50,0xd83fa85f,0x7fd53e1f,0x05f8ee87,0x89f2dfbf,0x3e0bf04f,
    0x7c4f96fd,0x220aaaae,0x2fc7744f,0x02fc4f88,0x205f89f1,0x13feeef8,
    0x5f85f7df,0x5df10bf6,0xfd01fd55,0xb4f883fd,0x4fb17e2f,0x0aaaaef8,
    0x893e29f1,0x2abbe24f,0x893e20aa,0x20fe205f,0x6d3e61fa,0x7c2fd41f,
    0x7fd93e0f,0x81fda7cc,0x27cafbcf,0x20bf04f8,0x27cafbcf,0x1ffffff8,
    0xb4f993e2,0xf89f103f,0xf10cccce,0x3e205f89,0xea7c57e6,0x1ff32fc7,
    0x7fffffc4,0x83ff980f,0x2fcfb4f8,0xffff89f6,0x229f11ff,0xf893e24f,
    0x221fffff,0x333be24f,0x507f13cc,0x6e6fe43f,0x307fc44f,0x3e24f8df,
    0x7ee6fe47,0xfbfd4f84,0x05f827c4,0x89f7fa9f,0x927c405f,0x109fb9bf,
    0xfffff89f,0x5f89f11f,0x16f93e20,0x5f93e69f,0x8bf12fe4,0x01fb00fd,
    0x6f9f69f1,0x40bf13f4,0x449f14f8,0x1017e24f,0x7fffc49f,0x507f15ff,
    0x7ffffc3f,0xccffb87f,0x07d302ff,0x1ffffffe,0x13ffd53e,0x7c17e09f,
    0x7c4fff54,0xff1fcc05,0xb10fffff,0xf109b109,0x3e205f89,0x09b11ba4,
    0x5f881f4c,0x07d807ec,0x5efecdd0,0x817e24fd,0x598b14f8,0x3e202fc4,
    0x7f107404,0x7f51fec8,0xffb82fb8,0xdb3101ef,0x2fb87f50,0x44ffb27c,
    0x3e0bf04f,0xef89ff64,0xff53cccc,0x5f70fea5,0x5cc0fb98,0x3e27c40f,
    0xf10cccce,0x1f263749,0xf8836cc4,0x7d807ec5,0x3625ff80,0x3e20dfff,
    0xf13cccce,0x7cc2fe29,0x999df10b,0x2027c479,0x4bdf11be,0x81fb0ccb,
    0x200205f8,0x0fd80ac8,0x893e2fc4,0x7c13e27f,0x3fc49f05,0xbffffff1,
    0x40fd8b26,0x40de45f8,0x44f881bc,0x11ffffff,0x7913749f,0x402b2201,
    0x807ec5f8,0x00bc807d,0x3fffe201,0x549f15ff,0x7c432a0c,0x225fffff,
    0x9164c04f,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff6200,0xf894266f,0x409fb004,
    0x80003328,0x0005fff9,0x20000000,0x10009898,0x20808201,0x00260000,
    0x00131000,0x88008440,0x36044009,0x00000fff,0x23022260,0x37fff608,
    0x29ddd34f,0xff8804f8,0x00feec07,0x303dffd5,0xefea8133,0xeffeb80b,
    0x20bfd701,0xed81cfd9,0x22fec0fa,0x0795b01f,0xfd30795b,0x10b73019,
    0xfff99fd7,0xf05f50ff,0x983dfd3b,0x2f400dad,0x266217c0,0x982ed981,
    0xeb81dffe,0x17e742fa,0x23f3dfff,0x567c4108,0x5fbf700c,0xf700d440,
    0x883ffb9f,0x6dffdc4f,0x6e7fdc6f,0x4e7c41ff,0x5ebee83f,0xbcc1b8c8,
    0x5c40b71f,0xf1057102,0x7b10bf7d,0xfff9bfb0,0x39309999,0xdfb9dff0,
    0xd8803950,0xf887c400,0xf14fffff,0xbef8bf9b,0x2a9b87eb,0x7fe43c98,
    0x93e21f9e,0x82feeff8,0xf885f8ee,0x7c43efff,0xf11be60f,0x3723fc49,
    0x7cc1ff10,0x1fcefc46,0x543e4fe2,0x25d7a82c,0x1543501f,0x46e20b2a,
    0x2550d46e,0x01fe25f9,0x83fe02e6,0x405cc1fd,0x2cb9cca8,0x677c4d50,
    0x23f52ccc,0x54bf10fd,0x42a86a1c,0x3f620ab8,0x93e21f9e,0xf317a6f8,
    0xdf107f69,0x7cc9fd99,0x3e20ff85,0xf3017e64,0xfc81fd0b,0x9f9db04f,
    0x21ffefc8,0x05b8fbf8,0xf92fc9f1,0xf9103ffd,0x2bf27c43,0x557fc3fa,
    0x27efec1a,0x6c5f71be,0x6fec4fdf,0xc85fdfff,0xfa817e24,0x7fec3f91,
    0xbf27c41c,0x6437f7e4,0x93e21f9e,0xc83f24f8,0x444fdcdf,0xfa87f45f,
    0x3e21fd83,0xf500fea4,0x7d43fb07,0x7d408aff,0x457e62ff,0x1f8dcc5f,
    0x57e4f883,0x30bf15f9,0xf27c45fd,0xffb0beeb,0xb97c49ff,0x4fee2fc7,
    0x1a8f72f8,0xd07ea7f9,0x55577c45,0xff7bf10a,0x6fffe445,0x8afc9f10,
    0xec83934f,0x893e21f9,0xfff1f65f,0x5f88ffff,0x85f98fe4,0x993e20fd,
    0x17ea045f,0x46fc43fe,0x7f30fdfe,0x917d43f2,0x6f56e01f,0xafc9f10f,
    0x403f22fa,0x7c9f10fc,0x07f89f55,0x87fbbbee,0xfb97dc5f,0x36a1feee,
    0x2feeefff,0xfff883e2,0x37661fff,0x7fb301fc,0xf55f93e2,0x1f9ec805,
    0xbff893e2,0x70fea4fa,0x2e2fc45f,0x3aaff12f,0x127c46fa,0xf10fd8ff,
    0xf537cc1f,0xfa93fe65,0x8fe63f51,0x5e67e06d,0xafc9f12e,0xb89b63f9,
    0x93e25f70,0x7c4bf35f,0x266bea07,0x3f917e09,0x42666bea,0x9bfb8df9,
    0xf11aa099,0x43f6180b,0x453e23fa,0x9fcd7e4f,0x7cf640a8,0xdf893e21,
    0x03f60cfe,0x22fc4bf1,0x33fee1fb,0x27c42ffe,0x13f6fbee,0x5ff99ff7,
    0x7fdd77c4,0x9fab7e2f,0x03fcaef8,0xf175e6b7,0x3e2bf93d,0x3e23fcae,
    0x4f7c6ead,0x337f65fc,0x0ccccfff,0x41db3bf1,0x21ff735f,0x50ed9df8,
    0x93bfd17f,0x3e22641f,0x3eb7e205,0x7f5e7f45,0x97f27be2,0x641fcaee,
    0x93e21f9e,0x680014f8,0x03fa2fc4,0x3dfdfff7,0x7e4c27c4,0xfffb80ce,
    0xdffd981e,0x37faa2fa,0x01f7f442,0x707ef43f,0x744bd9ff,0xdfea83ef,
    0x2f67fdc1,0xff9bff71,0x7fd41fff,0xffcafc2e,0x2177fd43,0xeffbdffd,
    0x3be21743,0x3ee3cccc,0x7fecc0bf,0x767fdc3f,0x20fbf665,0x3e21f9ec,
    0x40013e24,0x99df11bf,0xb10407fb,0x00027c41,0x10008004,0x41440080,
    0x00020001,0x08000000,0x20080100,0xf1030080,0x00bfffff,0x80000020,
    0x3e20a8a9,0x98000d44,0xdffff11c,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x07e73a00,0x200004c4,0x44000018,0x41308809,0x88001108,0x10060110,
    0x5fff7013,0x088088c0,0x20223013,0x00260111,0x22013013,0x46018110,
    0x02600008,0x004c0260,0x7e404c00,0x0322ae00,0xfec817d4,0x20bfb04f,
    0xbf1effea,0x23360bd0,0x03efe22f,0x5b1077aa,0x40bfb01b,0x999880ec,
    0x20fb3600,0xcd80ecf9,0x364fcc3e,0xfb807fd4,0xf980fb81,0x4c1740fb,
    0xec886c9f,0x00ffa80b,0x07dc07ee,0x85bffd30,0xd80ec0fc,0x303fe22f,
    0xd7bf7039,0x0c8c889f,0x7fe67fdc,0x806c44e9,0x6540f9af,0x87ebfd82,
    0xc8c881c9,0x3600d880,0x01e4404f,0x0f220397,0x320a62a2,0x403b02b9,
    0x9039502b,0x05315109,0x370bf7dd,0x200ec057,0x79ff503b,0x222c83ff,
    0x37c449bb,0x157107f9,0x443f45c8,0x83fe20ab,0x5c43cef9,0x3bbfb60a,
    0x82f2e24f,0xb88514f8,0x565c40bc,0x40565c40,0x65407ff8,0x81597102,
    0x21a8aa1a,0x22a86a2a,0x21a8aa1a,0x5405cc2a,0xf3059506,0x59503f27,
    0x95016540,0xd883fe05,0xeefb8d43,0xf8cfb84f,0x26fefc86,0xfc999998,
    0x99bfbf21,0x644fe85f,0x3f6e6fef,0x37fa3eec,0x3333ea6f,0x137eff40,
    0x7c4bf9df,0xdfb85fce,0xffdf902f,0x2fe77c43,0xf8afc9f1,0xf27c57e4,
    0x15f93e2b,0xbfb2fc9f,0x640f889f,0x3ea1ffef,0x77e43f72,0x7f7e41ff,
    0x7ff7e41f,0x22017e21,0x1ff29f4f,0x220ff7f4,0x3ea3934f,0x13ffffff,
    0x7d47269f,0x3e21fd83,0xeae43934,0x70fc8543,0x0a8dd9ff,0x273ea1f9,
    0x2673ea19,0x85f8ee81,0x54bf15f9,0x3e2199cf,0xf27c57e4,0x15f93e2b,
    0x4f8afc9f,0x7b97c57e,0x457e62e8,0x7dcbee5f,0x97e2bf32,0x4cbf15f9,
    0x7d4bf15f,0xf897bb63,0xfbdbafac,0xa83ff980,0x339f302f,0x0bea5f93,
    0x07fc2fd4,0x3bae05f5,0x3f6a3dfc,0x2a9f50ff,0x3fff6a1f,0xd0bbffa0,
    0x4f985dff,0x22fa83fb,0x3bffa0fc,0x15f93e22,0x4f8afc9f,0xbf27c57e,
    0xf75f93e2,0x4c83fddd,0x50fc8bea,0x7d47ee5f,0x17d43f22,0xc8bea1f9,
    0x76cbf10f,0x3eb3e27f,0x7ec0fb5d,0x1513f980,0x23fd1fe2,0x221513f9,
    0x31be60ff,0x7ec2a27f,0x9f54efee,0x53e61f71,0x719f52f9,0x0feb981f,
    0xf907f5cc,0xf989fb9b,0x3ae61b63,0xafc9f10f,0x7c57e4f8,0xf27c57e4,
    0x55f93e2b,0xb813335f,0x26d8fe66,0x261f93f9,0x3f99b63f,0x363f99b6,
    0x9fa07fc6,0xf75ff4f8,0xdd03ec07,0x77dc3f95,0x57744fdb,0x33fee1fc,
    0xaee82ffc,0xd71f31fc,0x1fe9bfa8,0xfa9f6ffa,0x7f51fe9b,0x2fea1f93,
    0x3ffe0fc9,0x77c47fff,0x2fea3fca,0x27be0fc9,0x327be5fc,0x3f27be5f,
    0x97f27be5,0xf15fc9ef,0xf981db3b,0x7f95df10,0x226faef8,0x223fcaef,
    0x223fcaef,0x543fcaef,0x27febcff,0xefde8cf8,0xb303ec03,0xdfd707df,
    0x07dfb309,0x203dfff7,0x5ea3efd9,0xfcffd85c,0xb0bbf222,0x7645f9ff,
    0x77f642ef,0x5f70fea2,0xc83efe88,0x7fdc2efe,0x33fee5ec,0x3b3fee5e,
    0x97b3fee5,0x2a5ecffb,0x43f02eff,0xd983efe8,0x77f440cf,0x83efe883,
    0xb503efe8,0x7c419dff,0x07d80014,0x00001000,0x21100002,0x80001008,
    0x40400800,0x82fc40fd,0x00000800,0x40000000,0x00404400,0x00400400,
    0x00010004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9300fed9,0x80984401,
    0x440c4018,0x40080009,0x42205000,0x27e60009,0x2200986c,0x0004c409,
    0x007e73a0,0x3cce9801,0x5e5c4104,0x5079f500,0xee805ddd,0x2e09887b,
    0x774c0e87,0x43dc0ec2,0x0727500e,0xb6407390,0x204fd83f,0x205e885e,
    0x0fbcffea,0x00ceeec8,0x3ed90759,0x1177f4c4,0x5fd87519,0x836c17a0,
    0x5702efe9,0x3bb20191,0xca9a80ce,0xfd165740,0x3f6e0dfb,0x00aaa982,
    0x36c35774,0x883b8f95,0x2a12a3da,0x3601dc7c,0x04fd804f,0x3260d4a6,
    0x205980c8,0xcffb80d8,0x0bd83ffc,0x0b6a03aa,0x3be0d4a6,0x13e20fda,
    0xb1019191,0x3e036201,0x7fc46e9e,0x5ec4ffff,0x97103aa0,0x542b8817,
    0xb5301f90,0x2017301f,0x449ee8ba,0xd13c40d8,0x01d26cc0,0x440689e2,
    0x7fc407ff,0x9805cc07,0x2017300b,0x87fc40b9,0xca5c6fe8,0x5c4598ee,
    0x5e5c40bc,0x0544fe20,0xbcb889f1,0x205e5c40,0xa7c0bcb8,0x6677c45e,
    0x3af2e2cc,0x7f4598ee,0x541a86fd,0x7dc0fffd,0x6fec4fff,0x7ff7ec4f,
    0x1dcd440e,0xcb8164f1,0x3c40775c,0xfdfb8059,0x0bf7ee02,0x3627efec,
    0x6fec4fdf,0x27efec4f,0x373a2bf3,0x4d6a360f,0x6fdfe8d2,0xf337eff4,
    0x89f1013b,0x7f46fdfe,0x7eff46fd,0x0beb3e26,0xb8d80bf1,0x2151a793,
    0xa93e20fc,0x7c0fb8cf,0x97c4df15,0x7cd3e27b,0x25fff886,0x2062b148,
    0x062688bb,0x81896291,0x3a05f8ee,0x2f885f8e,0x7b97c4f7,0xf13dcbe2,
    0xb3fa9ee5,0x79687f6b,0xfc854390,0xe87e42a0,0x4f884fff,0x2a0fc854,
    0xc8541f90,0x9f59f10f,0xaaaaef88,0x86f75da0,0x3fff6a1c,0xbfa93e20,
    0x8bea1fe9,0xdddf70fd,0x6f8bea3f,0x4ec06f88,0x4b206cf8,0x447604e8,
    0xfda7cc4e,0x3fb4f981,0x1feeefb8,0x23fdddf7,0x71feeefb,0x223fdddf,
    0x83fa5dcf,0x3a555a8e,0x83fff6a0,0xb10fffda,0x89f1013f,0x2a0fffda,
    0x36a0fffd,0x29f10fff,0x3ffe23fd,0x2e3a1fff,0x7d43a6ab,0x3e20fb8c,
    0x17e7fec4,0xf53747f3,0x3e613335,0x9f10df12,0x7a88a4c0,0x826ecb10,
    0xf9137649,0xf909fb9b,0xfa89fb9b,0x5f50999a,0x2bea1333,0x35f50999,
    0x877f4133,0xec9dc6f9,0x33ea598e,0x19f50fb8,0x102f41f7,0x5c67d49f,
    0xf719f50f,0x3ee33ea1,0x87f49f10,0x5ddc05f8,0x7d4b37b3,0x3e21fe9b,
    0xdd0b3084,0x6fc47f95,0x2bbe0ed9,0x04f886fc,0xb01ea83a,0x207b7ae3,
    0x43dbd70e,0x87ffffff,0x47ffffff,0x10ed9df8,0x221db3bf,0xf10ed9df,
    0x7ec1db3b,0xd82ffcbe,0x7f5074c3,0x2fea3fd3,0xbbfb1fe9,0x527c4397,
    0x2a3fd37f,0xf51fe9bf,0x3e23fd37,0xf10fda9c,0xe987b00b,0x17e7fec0,
    0x57cc09f1,0x20fbf220,0x74c2effa,0x3f886ddf,0x777cc750,0xd9532cc0,
    0x32a63a81,0xfb87f50e,0x5f70fea2,0x542effa8,0x7fd42eff,0x177fd42e,
    0x3dffb7f5,0x06f77640,0xb17e7fec,0x3ae5f9ff,0x3e24ffec,0x17e7fec4,
    0x6c5f9ffb,0x9f12fcff,0x77c47ff5,0xec83cccc,0x40100ded,0x065404f8,
    0x40000800,0x988503f8,0x08809819,0x7ec11028,0x1fb2fc40,0x80105f88,
    0x40200400,0x20020001,0x81000400,0x040084f8,0xf8800020,0x205fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x221eea98,0x4d444eee,
    0x4044223b,0xacb880b9,0x447b9440,0x6f409882,0x2777445b,0x2602a86a,
    0x4055c400,0x3e13e209,0x01100986,0x54000c26,0x05ddd501,0x2e26a04c,
    0x5fb17e23,0x2044625f,0xd7bb0111,0x18571150,0x1a82a211,0x17ff6400,
    0xff10aaaa,0x0fdfc4bf,0xf893f7f6,0xaafc5fce,0x07642fc6,0x55039351,
    0xbf27c455,0x6403fea0,0x77dc6fef,0x8df09f10,0x20db01fb,0xffc85deb,
    0x55304f81,0x883ee015,0xf14feeef,0x22e9fd8b,0x766c2fce,0x20dcd443,
    0x33feeef8,0x4bead91f,0xa87e84f8,0x2ca86e8b,0x59306f88,0x54f72f88,
    0x3ea199cf,0x3bea59ae,0x43503622,0x12a86a2a,0x9b82fc9f,0x934f882b,
    0xf895ce43,0x00ec6f84,0x40664077,0x203501df,0x3b00bcb8,0x457e6f88,
    0x06c7ec5f,0x07910793,0x5be20b2a,0x531515f8,0x127c4bea,0xfefd8ffb,
    0x7ff7e46f,0x2a213e21,0x3bbee3b9,0x3bffa1fe,0x9037ff22,0x221a8bff,
    0x27c57e4f,0x5f93e2bf,0x46a2a8aa,0x10d402fa,0x2a6df09f,0x2aa62aaa,
    0x2aaa62aa,0xf813e22a,0x8dfbfd04,0x3e23b89a,0x22fc5be4,0x41a81dfd,
    0x7e43b89a,0x93e21ffe,0x5f50d45f,0x7fef93e2,0x337cd3e2,0xf897e2bf,
    0x25fff884,0x40999afa,0x17e0feb9,0x127c45f8,0x4f8afc9f,0xbf27c57e,
    0xf37f9be4,0x0544fe65,0x427c49f1,0xbffff96f,0x92ffffe4,0x7c4bffff,
    0x2a05f904,0x3be21f90,0x49f14fee,0x7d8bf16e,0x77c49f10,0x2bf34fee,
    0xf93e25f8,0x3fa93e25,0x27d9c9f3,0xfa9be2fa,0x1fc43f22,0x6fc437c4,
    0x37f50ed9,0xd82fc1f9,0x893e24ff,0x27c57e4f,0x7e4f7cbf,0x3fee7ea5,
    0x2bba0fb9,0x893e21fc,0x7446f84f,0x81fe881f,0x13e21fe8,0xfda80ff6,
    0x7cdf10ff,0xf3749f15,0x9f107d8b,0x2abf37c4,0x7c43f22f,0x24f897e4,
    0x84fdaefa,0x6f8fe67d,0x226d8fe6,0x504f883f,0xfec85dff,0xfa82fc2e,
    0xf893e22e,0xf27c57e4,0x2f67fdcb,0x3aff773e,0x21f7ecc5,0x333e24f8,
    0x1fe897e6,0xe881fe88,0x2627c41f,0xcfa8223f,0x49f10fb8,0x3749f16f,
    0xf107e8df,0x2df27c49,0xf89b63f9,0x24f897e4,0x84fdfdfa,0x7e577c7d,
    0x3f2bbe26,0x3e206e43,0xbb303404,0x3be05df0,0x3df13e22,0x64f7cbf9,
    0x3b61a05f,0x983fecbf,0x224f885c,0x4fccfbcf,0x17ec0bf6,0x4f882fd8,
    0x54dd1fc4,0xf11fe9bf,0x13623749,0x13f6f7f6,0x49f127c4,0xf95df16e,
    0x3e25f807,0xb002bea4,0x6ddfe98f,0x221f7f44,0x01fc42fa,0x3e6606fe,
    0xfc83fec0,0xff713e27,0x67fdcbd9,0xa877a05e,0x80ffa8ff,0x27c40f99,
    0xbff919f1,0x926677e4,0x7e4999df,0x13e24cce,0xb0bffbf2,0x3e25f9ff,
    0x1f731ba4,0x0dfffd88,0x27c49f10,0x1f7f44dd,0x7c49ff10,0x3600bea4,
    0x54020007,0x403f882b,0x01bb81c9,0x27c40801,0x32600000,0x37c5fe22,
    0x4f881bb8,0xffffd800,0x9fffff67,0x227ffffd,0x0177104f,0xdd27c402,
    0x00401bc8,0x49f127c4,0xc880086e,0x15127c43,0x0000fb00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeea807f1,0x3a0000ee,0x27d8bf17,0xdd00d42a,0x114cea00,
    0x81951505,0x299c9829,0x7fc40544,0x7e403eff,0xb5ffffff,0x7d53e61f,
    0xf11fffff,0x320ef80b,0xf997fe27,0x3ff6fd4f,0x7f32ffff,0x3a24f880,
    0xffff14ee,0x0adfa87d,0xfd9827c4,0x449f301c,0x777e403f,0x2fbf260e,
    0x2fc5fa00,0xf51fb9f6,0xff537405,0x37777ec7,0xffef88bf,0xdfb1f62f,
    0x81fa8ddf,0x4feccef8,0x9bfbdf10,0x653e6799,0xfb99930f,0x2677e21f,
    0x9f24ff81,0x3fee7ff8,0x3f32efd4,0x07d11cce,0x2aa24f88,0xd99df11a,
    0x177fec9f,0x5f7413e2,0x449fd06e,0x6d80b9bf,0x13eebba0,0xd8bf17e8,
    0x43e53e27,0x3fa6e8ba,0x3e29f109,0x7c45df56,0x222997a6,0x262df15f,
    0x3e209afb,0x7dc07f45,0x3f602fba,0x5fd104f9,0x6fffffc4,0x3e47ffe0,
    0x3ba3fdf1,0x0bf0fd4f,0x11dc6a76,0x221a819f,0xf887f45f,0x13e22b8c,
    0x20fdc7a6,0x3fe24ffc,0x77fc2fee,0x7d8b221d,0x22fc5fa0,0x44fb6c7d,
    0xf56ffefd,0xdd17d45d,0x4f897ff2,0xf52543f2,0xfffdb745,0x917e24ff,
    0x3eedd03f,0xf710aaac,0x9fb015fd,0xfc99df88,0x3e5bf7e3,0x9f17f9f1,
    0x17e1b69f,0x7f777ce2,0x7c45ff15,0x3f917e24,0x4ffbbbe2,0x36018cf8,
    0x93ebe60f,0xf897a6f8,0xf300febe,0x5f8bf40b,0x3f3ea3ec,0xb7cd3e21,
    0x7f30effd,0x445f9be2,0x25b9f65f,0x54dbe3f8,0x3fe1abfc,0xa85f74ff,
    0xfffff73f,0x3fffff65,0x7c42fdc4,0xbcf97e25,0x33e27caf,0x94fafadd,
    0x1677e64b,0x26dd0ff8,0xf127c44f,0xdf12fb8b,0xfccf8afc,0x6744fb80,
    0xc93e24f8,0x305f500f,0xf3f401df,0x7ff87d8b,0x74df17d4,0x6fdbff86,
    0x57ff117e,0x3ba3649f,0x0fd46fca,0x07f22fc4,0x05fb99fd,0x826fee62,
    0xdf880efa,0x53e4fc99,0x33e27dfe,0x74f8fcfb,0x1677e649,0x7f5f66f8,
    0xbf127c44,0x49f11fb8,0x0539f16e,0xbbfc8bf7,0x6cbf11df,0x17cc2a26,
    0xf9ae0774,0x90fd1be6,0x3e3f989f,0x3b221ba6,0xf117e6e9,0x3ec19fdb,
    0x31bb7fa6,0xe8bf101d,0x3bbbea0f,0xfffb02fe,0x03fe29ff,0x77ffffc4,
    0x3ffd53e0,0x1bff39f1,0x17e0a69f,0xf9becbf0,0xbf127c44,0x49f10fe8,
    0x2a09f16e,0xffffd85f,0xf77ff14f,0x7ed77c49,0xdfa82c80,0x2f7f64fc,
    0x81fc84fd,0x3a6fcaef,0x4bf0dc46,0x053e22ef,0x55ba03f4,0x222ccccc,
    0x44fdccef,0x337ee0fe,0x9f9534cc,0x333bfa35,0x35df11cc,0x3fec9f03,
    0x22ffe9f1,0x0bf0b94f,0x7c5f65f8,0xdf127c44,0x7c47fb99,0x427c5ba4,
    0x11cccff8,0x2219f333,0x540cfecf,0x09b01cfe,0xd8837ff2,0x3aa0dfff,
    0xbbfd305f,0x6ff4374d,0x89ff22fe,0xd01fa04f,0x3fffff6d,0x3bfffe24,
    0x3ee2fcc3,0x7d47ffff,0x7fffff41,0xf80bf12f,0x4f89fe24,0x369f13fb,
    0x2fc05f86,0xf113e2fb,0x77fffc49,0x2dd27c43,0xfffb84f8,0x04f882ff,
    0x017e0000,0x2f260100,0x10dd0000,0x50103995,0x2a015403,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd01be000,
    0x7fffc409,0x5773e23e,0x12eeeeea,0xe813e29f,0x14f89764,0x09fb009f,
    0x37ffffe2,0x3ffffe20,0xf8813a4f,0x5f887ec5,0xfff887ec,0x93e21def,
    0x227fffff,0x5eec5bde,0x77fffc46,0x3e22fd83,0xfffffb0f,0xfd12fc5f,
    0x7ec0fe85,0x2fd4bf50,0x887fccfd,0x2055c45f,0x817e036f,0x2feccef8,
    0x3aab79f1,0x9f11ffee,0x25f813e2,0x4f89646d,0x883ffc40,0x25fdccef,
    0x2ccccef8,0x45f8817e,0xddffb0fd,0x3be2bffd,0x3e27fccc,0x93333be4,
    0x2a20c9a9,0x677c41b9,0x37c44fec,0x7e65c7f9,0x457e1cce,0x23fb82fe,
    0xe97ec6f8,0x7dc7f20f,0x7e47f52f,0x3677c6fe,0x97e205f8,0x779f15f9,
    0x14f893e0,0x5f82a69f,0x3e235126,0xdfb82b8c,0x745f882f,0xbf017e26,
    0x3f62fc40,0xd555df70,0xfb17e27f,0x05f93e21,0x5c4d41a8,0x3fa2fc43,
    0x37c67dc0,0x757e0bf0,0x54bf103f,0x7e77c43f,0xfed97d43,0x53e23f74,
    0x03bfe1c9,0x7c4132fc,0x67c53ea5,0x4f88d700,0xf8bf59f1,0x14f88325,
    0xe87fdddf,0xef885f8e,0x3e23fcaa,0x3e0aaaae,0x2abbe205,0x5df10fea,
    0x3e21fd55,0x226e999d,0x2aabbe4f,0xdf127c41,0x2fc49fdd,0x3bfa07f2,
    0x7c17e01f,0x7ec04fdd,0xff701fb0,0x33e9f10d,0x17d4fb6d,0xafc06f88,
    0x3ffe23f9,0x09f11fff,0x29f10fe2,0x5f85fdf8,0x37c53e20,0xfda7ccbf,
    0x7ffffc41,0x3fffe21f,0x8817e1ff,0x0fffffff,0xfffffff1,0x3ffffe21,
    0xff93e21d,0x27c43fff,0xff2fcdf1,0x20bee9ff,0x2fc03ff9,0x00fffff8,
    0x882fcfea,0xf3dd03ff,0x4cbf1f75,0x3fa1513f,0x0a8afc06,0x82f33be2,
    0x81f704f8,0xdfff14f8,0xa7c40bf0,0xfc9be4f8,0x7c44fdcd,0x221fd315,
    0x102fc05f,0xf10fd8bf,0xbf10fd8b,0x4f887fb3,0x1026677e,0xdf27c49f,
    0x07f22fc4,0x17e007ec,0x02fd5ffc,0x205f5df1,0xfc80fffd,0x3fcf98fc,
    0xa8fe5774,0x102fc06f,0x827c40bf,0xf14f885d,0x05f85f7d,0xd27c53e2,
    0x7fffffcd,0x3ee2fc47,0x5f80bf12,0x1fb17e20,0x21fb17e2,0x88bfa5f8,
    0xf1017e4f,0x4dd27c49,0x807f45f8,0xf05f807d,0xfb017ecb,0x2f7ea0fd,
    0x26ffb85f,0x7ecc1fff,0x6667fc3e,0x3333be1c,0x440bf10c,0xf109f04f,
    0x23f53e29,0x10ccccef,0x6e93e29f,0x22fb87f5,0xffcccef8,0x9999df10,
    0x666677c7,0x0fd8bf10,0x10fd8bf1,0x887fccbf,0xf1017e4f,0x4dd27c49,
    0x4fdccef8,0x17e01f60,0x01ff32fc,0x3e217fea,0xf985fb0f,0x001ff63f,
    0x8bfffffe,0x11ffffff,0x427c40bf,0x14f883f8,0xff93e69f,0x9f11ffff,
    0xfb6e93e2,0x3e25f881,0x222effff,0x25ffffff,0x11ffffff,0xf10fd8bf,
    0xbf10fd8b,0x49f14fb8,0x127c405f,0xff13749f,0x7d807dff,0x8bf05f80,
    0x0bfe05fc,0x0ff88ff2,0x0bf50ffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7102ca80,
    0x01730159,0x99926ee2,0x86a19999,0x02f2e22a,0x59739951,0x2e22eea0,
    0x5459502c,0x29aa86a2,0x26000204,0x3b89b81d,0x0570ea00,0x731b99cc,
    0x1b850943,0x23715c55,0x222e2029,0x5cc3971c,0x5cdc2bbb,0x1d41b883,
    0x1006e637,0x3ffbf25b,0x17f3be21,0xfb89fbfb,0x8c024fee,0xfe97e4f8,
    0x7efec6fd,0x7e45fdff,0x4fdfffff,0x74fff7e4,0x66fc9f16,0x0fd53a27,
    0x3ea1ab36,0x3fedef81,0xfb8b95f1,0xfd505f31,0x9be3be2b,0x22fffffb,
    0x5fe2f94f,0x17ff52f9,0xefedef88,0xfff70ffd,0x2ff7c4bf,0x45f617c4,
    0x3a25f9bf,0x3e6fe24f,0x67d4bf15,0x5cbe2199,0x27fca7c7,0xf93e2300,
    0x507e42a5,0x8fd4ff23,0x23ff15f8,0x22bf30fc,0x49f16adf,0x6fdc68df,
    0x17cfdc5f,0x41333331,0x9fb97e6f,0x3e53e22f,0xa85bff91,0x577c1fff,
    0x9f9a7c7e,0x20fb9ffa,0xf11dffc9,0x0fdd3eab,0x6f883fa2,0x09bf9988,
    0x1bf7e231,0x55c1f199,0xe83f22fa,0x3bee2eff,0x75f51fee,0x8c021f7b,
    0xda97e4f8,0x3f6a0fff,0x52feeeff,0x7777ec5f,0x7e45f51f,0x77c9f12e,
    0x20ffd83d,0x7e46dbf8,0x93e3ffff,0x07de745e,0x7d49f1fb,0x313f601e,
    0x4f83ea3f,0x36fb72fe,0x22bfb105,0x3ea7f33f,0x3e20ff41,0xfffffb84,
    0x46fff885,0x4d623f3d,0x2e61b63f,0x335f50fe,0x6d77ea13,0x4f88c027,
    0x5c67d57e,0xf71bf30f,0x3e213337,0x8666bfa3,0x883f63f9,0x2a03be4f,
    0x5ef44fef,0x2aaaa60f,0x25e93e1a,0x7d46dbf8,0x3ff621fc,0x07ffc41c,
    0x9f1f6b7e,0x7ee5f76c,0x977f5c43,0x2a5f33f8,0x220bf61f,0xcfba984f,
    0xfbef882a,0x441b7ea2,0x2a3fcaef,0xf10fc9bf,0x7fc1db3b,0x0c023fba,
    0x2abf93df,0xf51fe9bf,0xf93bfd17,0x7fe5fec1,0x3be26e9c,0x9ef84fca,
    0x75f885fc,0x26cfcc5f,0xd27c0f54,0x407d6ecb,0xff9106fe,0x52fd7f49,
    0x7c5fffff,0x3ea7fea4,0x077fea0f,0x54be67f1,0x777df91f,0x5f101fc4,
    0x3a7f15c8,0x3a201446,0xefec83ef,0x1177fd42,0x0087dfbd,0x2f67fdc3,
    0x6c5f9ffb,0x3effbdff,0x7de7fe44,0x77f441ef,0xbd5df703,0x15503060,
    0x9f03d509,0x2b8c8af4,0x97005f70,0x51fe4bee,0x24f87131,0xa8df17f8,
    0x267f100c,0x3f63f52f,0x0fe27fff,0x8bec1d88,0x0007f33f,0x01002002,
    0x33333002,0x40080053,0x00800080,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0x02008000,0xccccc980,0x79999933,0x5dfccbea,0x4044221f,0xc98260dc,
    0x88444462,0xccccc810,0x9991ec4c,0x00009999,0x00000000,0x00000000,
    0x00000000,0x4cf70000,0x4bba66ee,0x41a21ee9,0x24fd84f9,0x75fffffb,
    0x2abfffff,0x3f77f32f,0x11fccbe6,0xfba7c5b3,0xff96efff,0xb83e6feb,
    0x7c3bbbbb,0x2eeeeee4,0x00000003,0x00000000,0x00000000,0x00000000,
    0xf7513e54,0x4c56a661,0x87ddb93d,0x6d660ffd,0x4d760001,0x1f55f11f,
    0x5d4930ae,0xa89a8dc1,0x279951dd,0x0000288a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2fae7880,0xd987aa0f,0x5f30bf24,0x8757447f,
    0x04eeeeea,0x030c1976,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x543f7b27,0x2b9972cf,0xcbe459e8,0xbb516d47,
    0x1dc09bbb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13150e20,0x5dc4eeea,0xd99ec400,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_14_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,-1,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,0,-1,0,0,-1,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,-1,0,-1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_14_latin_ext_y[560]={ 11,2,2,1,1,1,1,2,1,1,1,3,9,6,
9,1,1,1,1,1,1,2,1,2,1,1,4,4,3,4,3,1,1,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,2,1,2,1,12,1,4,2,4,2,4,1,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,4,4,4,4,4,4,1,1,1,5,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,11,4,2,1,3,2,
1,1,1,1,1,4,4,6,1,0,1,2,1,1,1,4,2,5,11,1,1,4,1,1,1,4,-1,-1,-1,-1,
0,0,2,1,-1,-1,-1,0,-1,-1,-1,0,2,-1,-1,-1,-1,-1,0,3,1,-1,-1,-1,0,-1,2,1,1,1,
1,2,1,1,4,4,1,1,1,1,1,1,1,1,2,2,1,1,1,2,1,3,4,1,1,1,1,1,2,1,
0,2,-1,1,2,4,-1,1,-1,1,-1,1,-1,1,-1,2,2,2,0,2,-1,1,-1,1,2,4,-1,1,-1,1,
-1,1,-1,1,1,0,-1,-1,2,2,-1,2,0,2,-1,1,2,2,-1,4,2,2,-1,1,2,2,4,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,-1,1,2,1,4,0,2,-1,1,-1,1,1,4,-1,1,2,4,-1,1,
-1,1,-1,1,1,4,-1,1,2,2,-1,2,2,2,-1,2,0,2,-1,1,-1,1,-1,1,2,4,-1,1,-1,1,
0,-1,1,-1,1,-1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,4,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,1,-1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_bold_14_latin_ext_w[560]={ 0,2,6,7,7,11,9,3,4,4,5,7,3,4,
3,5,7,5,7,7,7,7,7,7,7,7,2,2,7,7,7,8,13,10,9,9,9,8,8,9,9,3,6,10,
8,10,9,10,8,10,9,8,8,9,10,12,9,10,8,4,5,4,7,9,4,7,8,7,7,7,5,7,7,3,
4,7,3,11,7,8,8,7,6,7,5,7,7,10,7,7,7,5,2,5,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,7,7,7,7,
2,7,5,11,5,7,7,4,11,9,5,7,4,4,3,7,8,3,4,4,5,7,11,11,11,8,10,10,10,10,
10,10,13,9,8,8,8,8,4,4,5,5,10,9,10,10,10,10,10,7,10,9,9,9,9,10,8,8,7,7,
7,7,7,7,11,7,7,7,7,7,4,4,5,5,8,7,8,8,8,8,8,7,8,7,7,7,7,7,8,7,
10,7,10,7,10,8,9,7,9,7,9,7,9,7,9,10,10,8,8,7,8,7,8,7,8,7,8,7,9,7,
9,7,9,7,9,7,9,7,9,7,5,5,5,5,5,5,4,4,3,3,9,6,8,5,10,7,7,8,4,8,
5,8,5,8,6,8,4,9,7,9,7,9,7,9,9,7,10,8,10,8,10,8,13,12,9,6,9,6,9,6,
8,7,8,7,8,7,8,7,8,5,8,7,8,5,9,7,9,7,9,7,9,7,9,7,9,8,12,10,10,7,
10,8,7,8,7,8,7,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,8,7,7,7,
7,7,7,7,7,7,7,7,7,7,11,9,7,7,7,7,7,7,7,7,7,7,7,7,7,11,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,10,7,5,5,10,
8,9,7,9,7,9,7,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,10,7,13,11,10,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_14_latin_ext_h[560]={ 0,9,4,11,12,11,11,4,13,13,6,7,5,3,
2,11,11,10,10,11,10,10,11,9,11,11,7,10,7,5,7,10,13,9,9,11,9,9,9,11,9,9,10,9,
9,9,9,11,9,11,9,11,9,10,9,9,9,9,9,12,11,12,6,2,3,8,10,8,10,8,10,10,9,9,
12,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,13,13,13,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,10,12,11,7,9,
13,13,3,11,6,7,5,3,11,2,5,9,6,6,3,10,12,3,3,6,6,7,11,11,11,10,12,12,12,12,
11,11,9,13,12,12,12,11,12,12,12,11,9,12,13,13,13,13,12,7,11,13,13,13,12,12,9,11,11,11,
11,10,11,11,8,10,11,11,11,11,10,10,10,10,10,9,11,11,11,10,11,7,8,11,11,11,11,13,12,13,
11,10,12,11,12,10,13,11,13,11,13,11,13,11,12,10,9,10,11,10,12,11,12,11,12,10,12,11,13,13,
13,13,13,13,13,14,12,12,9,9,12,9,11,9,12,10,12,12,12,7,10,12,13,13,12,12,7,12,12,12,
12,9,9,9,9,9,9,12,10,12,10,12,10,9,11,10,12,10,13,11,13,11,11,8,12,10,12,10,12,10,
13,11,13,11,13,10,13,11,13,13,12,10,9,10,13,10,12,10,13,11,13,11,13,11,12,10,12,10,12,13,
11,12,10,12,10,12,10,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,13,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,11,12,10,13,
11,13,11,13,13,13,13,13,13,13,13,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,13,12,11,13,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_14_latin_ext_s[560]={ 254,197,166,67,236,111,84,162,50,214,126,
227,252,199,220,208,206,248,1,140,9,26,83,34,94,223,235,253,153,146,192,
34,105,75,86,63,230,96,148,241,114,144,43,202,105,186,176,73,19,46,134,
231,193,50,213,234,224,182,158,249,191,1,132,210,177,51,17,247,68,18,76,
82,67,63,92,46,42,200,129,1,96,109,220,10,90,43,145,181,161,60,212,
187,129,226,191,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,254,105,83,
130,169,150,211,169,204,102,110,113,154,199,186,224,140,117,116,121,173,240,1,
187,182,105,246,137,25,1,13,158,38,6,174,225,37,48,136,84,74,55,41,
177,50,59,155,138,125,101,187,73,39,20,17,105,91,29,119,142,192,174,167,
168,160,152,144,198,122,114,59,104,83,75,67,59,251,63,112,234,221,163,232,
223,214,217,197,121,26,175,167,159,151,132,16,150,115,167,97,91,25,212,201,
59,219,39,238,21,55,248,36,238,171,1,214,230,202,188,225,170,240,33,83,
183,31,193,1,241,216,198,168,1,164,137,124,240,10,157,57,224,234,206,220,
215,211,177,118,185,20,162,153,145,238,128,123,114,108,54,28,10,248,1,219,
49,175,28,183,73,209,209,178,226,214,10,94,131,10,102,156,71,131,249,111,
19,91,26,232,107,21,99,1,41,178,135,11,248,64,49,200,57,206,68,121,
76,177,123,152,148,132,240,64,84,161,93,185,65,10,196,128,205,136,244,144,
152,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,29,35,35,229,
35,35,35,35,35,35,35,35,35,35,35,35,35,47,84,35,35,35,35,35,
35,35,35,35,35,35,35,35,191,94,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,30,75,
249,203,158,126,140,143,122,114,104,96,86,78,68,60,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,49,41,141,196,9,1,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,35,
35,35,35,35,35,35,35,35,35, };
static unsigned short stb__arial_bold_14_latin_ext_t[560]={ 1,105,134,70,30,57,57,134,16,1,134,
126,126,134,134,57,70,94,105,57,105,105,70,116,57,57,126,30,126,134,126,
105,16,116,116,57,105,116,116,70,116,116,105,116,116,105,105,57,116,57,116,
57,116,105,116,116,116,116,105,44,70,44,134,134,134,126,105,116,105,126,105,
105,116,116,44,116,116,126,126,126,105,105,126,126,105,126,126,126,126,105,126,
1,16,16,134,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,1,105,30,
82,126,105,1,1,134,82,134,126,134,134,82,134,134,105,134,134,134,94,57,
134,134,134,126,126,82,82,82,94,44,44,30,30,82,82,105,16,30,30,30,
82,30,44,30,82,105,30,16,16,16,1,44,126,82,16,16,16,44,44,105,
82,82,82,82,82,82,82,126,94,82,82,82,82,70,94,94,94,82,116,70,
70,70,94,70,126,126,70,70,70,70,1,57,1,70,94,44,70,57,82,1,
70,1,70,1,70,16,57,57,82,116,94,57,82,44,57,44,57,44,94,44,
70,1,1,16,16,16,16,16,1,44,44,116,105,57,116,57,105,44,82,44,
44,44,126,94,44,16,16,44,44,126,44,44,44,44,116,116,116,105,116,105,
44,94,44,94,44,94,105,57,94,30,94,16,57,30,57,57,126,30,82,30,
94,30,94,16,70,30,70,30,94,16,70,16,1,44,94,105,94,16,94,30,
94,1,57,16,57,16,57,30,94,30,94,30,16,70,30,94,30,94,30,94,
94,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,70,126,126,1,
126,126,126,126,126,126,126,126,126,126,126,126,126,70,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,94,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,30,70,
16,94,1,70,1,70,1,1,1,1,1,1,1,1,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,1,1,30,57,1,70,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126, };
static unsigned short stb__arial_bold_14_latin_ext_a[560]={ 56,67,95,112,112,178,145,48,
67,67,78,117,56,67,56,56,112,112,112,112,112,112,112,112,
112,112,67,67,117,117,117,122,196,145,145,145,145,134,122,156,
145,56,112,145,122,167,145,156,134,156,145,134,122,145,134,189,
134,134,122,67,56,67,117,112,67,112,122,112,122,112,67,122,
122,56,56,112,56,178,122,122,122,122,78,112,67,122,112,156,
112,112,100,78,56,78,117,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,56,67,112,112,112,112,56,112,
67,148,74,112,117,67,148,111,80,110,67,67,67,116,112,56,
67,67,73,112,167,167,167,122,145,145,145,145,145,145,201,145,
134,134,134,134,56,56,56,56,145,145,156,156,156,156,156,117,
156,145,145,145,145,134,134,122,112,112,112,112,112,112,178,112,
112,112,112,112,56,56,56,56,122,122,122,122,122,122,122,110,
122,122,122,122,122,112,122,112,145,112,145,112,145,112,145,112,
145,112,145,112,145,112,145,144,145,122,134,112,134,112,134,112,
134,112,134,112,156,122,156,122,156,122,156,122,145,122,145,122,
56,56,56,56,56,56,56,56,56,56,157,112,112,56,145,112,
112,122,56,122,56,122,77,122,96,122,56,145,122,145,122,145,
122,142,145,122,156,122,156,122,156,122,201,189,145,78,145,78,
145,78,134,112,134,112,134,112,134,112,122,67,122,96,122,67,
145,122,145,122,145,122,145,122,145,122,145,122,189,156,134,112,
134,122,100,122,100,122,100,56,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,146,150,150,112,150,150,150,150,150,
150,150,150,150,150,150,150,150,171,143,150,150,150,150,150,150,
150,150,150,150,150,150,150,166,145,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,145,112,56,56,156,122,145,122,145,122,145,
122,145,122,145,122,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,145,112,201,178,156,122,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_14_latin_ext(stb_fontchar font[STB_FONT_arial_bold_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_14_latin_ext_s[i] + stb__arial_bold_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_14_latin_ext_t[i] + stb__arial_bold_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_14_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_14_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_14_latin_ext_x[i] + stb__arial_bold_14_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_14_latin_ext_y[i] + stb__arial_bold_14_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_14_latin_ext_s[i] + stb__arial_bold_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_14_latin_ext_t[i] + stb__arial_bold_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_14_latin_ext_x[i] + stb__arial_bold_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_14_latin_ext_y[i] + stb__arial_bold_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_14_latin_ext_LINE_SPACING
#endif

