// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT        156
#define STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_15_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_15_latin_ext_LINE_SPACING          10

static unsigned int stb__arial_bold_15_latin_ext_pixels[]={
    0x99999995,0x54001310,0x30066002,0x01a88035,0x00000000,0x00000000,
    0x31000000,0x80098062,0x98801309,0x0000c400,0x22004c50,0x002a8009,
    0x7ffec153,0x4f987fff,0x2005f300,0x02f403fa,0x5f50076c,0x3600e980,
    0x3b6e06cd,0x7013e600,0x3fffe01b,0x405ddb01,0x67403ff8,0x007f204e,
    0xd801d9d7,0x403f400e,0x36e00ffa,0x01fc806b,0x2201ffdc,0x01fd06ef,
    0x05500598,0x32201e40,0xb801d800,0x102aac04,0x2aac03db,0x2ab012e0,
    0x40333302,0x56640555,0x017a600d,0x07b600f2,0x97001b10,0x04cad880,
    0x0ec005d4,0x2024ce40,0x1fd0393a,0x00e6e5c0,0x0b515b97,0x4c07372e,
    0x02d5404d,0xc83d35d1,0x4459310b,0x5e41e9ae,0x74459310,0x85e41e9a,
    0x2ba22c98,0x885e41e9,0xcdcb82c9,0x16443c81,0xb82c8879,0x43c81cdc,
    0x1ccb82c8,0x82c88790,0x2e01cdcb,0x665c01cc,0xd01ca801,0xfffd101f,
    0xffe887ff,0x7442ffff,0xa83fffff,0x0375405b,0xf83d35d1,0x5d127cc6,
    0x4c6f83d3,0x3a6ba24f,0x93e637c1,0x7c1e9ae8,0xfd127cc6,0x6f87ffff,
    0x98df27cc,0x3fffa24f,0x2637c3ff,0x3fffa24f,0x2637c0ef,0x3fffa24f,
    0x7ff443ff,0x7f440eff,0x3200efff,0xb01fd02f,0x87fea3bf,0x3ff71cfd,
    0xff51dfd8,0xfd801503,0x1be0001f,0x6f8009f3,0x3e0027cc,0x20027cc6,
    0xfb27cc6f,0xf87fea3b,0x8df27cc6,0x477f64f9,0x31be1ffa,0xc867e49f,
    0x3e637c4f,0x7d477f64,0x6433f21f,0xc867e44f,0x40bf204f,0x07fc40fe,
    0x87fc53f2,0x3e24fee8,0xd527e40f,0xff101bff,0xfc97e09f,0x49f31be1,
    0x6f87f25f,0x64bf27cc,0x9f31be1f,0x7c3f92fc,0xff8a7cc6,0x8df27e40,
    0xf31be4f9,0xf903fe29,0x53e637c9,0x20540ff8,0xf8a7cc6f,0xf8a7e40f,
    0xff10540f,0x3f200a81,0xf981fd02,0xbf55f985,0x99be77a2,0xf15f985f,
    0xf707f95b,0x4bf01fd7,0xf31be1fc,0x43f92fc9,0xbf27cc6f,0x98df0fe4,
    0x1fc97e4f,0x269f31be,0x3e5f985f,0x8df27cc6,0x30bf34f9,0x3e637cbf,
    0x3e00df34,0x5f9a7cc6,0x0df35f98,0x9000df30,0x503fa05f,0x2adf30bf,
    0x9be6bb4f,0x46f985fa,0xfe84fc98,0x25f83fc8,0xf31be1fc,0x43f92fc9,
    0xbf27cc6f,0x98df0fe4,0x1fc97e4f,0x2a9f31be,0x3e6f985f,0x8df27cc6,
    0x30bf54f9,0x3e637cdf,0x3e00bf54,0x5faa7cc6,0x0bf56f98,0x9000bf50,
    0x303fa05f,0x7cbf70ff,0x4bf70ede,0x25fb87f9,0x4c4feffc,0xbf0df15f,
    0xa8ff0fe4,0x1fc97e4f,0x7c9f51fe,0x47f87f25,0xfc97e4fa,0x29f51fe1,
    0x25fb87f9,0xff27d47f,0x0ff34fa8,0x2a3fcbf7,0x150ff14f,0x9a7d47f8,
    0xf15fb87f,0x3fc4150f,0x2fc82054,0x8bfa0310,0x3bf63fe8,0x5fd0ffa0,
    0x4fa9ff44,0xeefc89f3,0xb37c1ffe,0xf707f43f,0x43fb37c7,0xf8fee0fe,
    0x0fe87f66,0x366f8fee,0xfb83fa1f,0xfe88bfa3,0x3fb83fa3,0x23fb83fa,
    0x8ffa22fe,0xe8fee0fe,0xfd17ea1f,0x5fd1fdc1,0x3fd1ff44,0x87fa2fd4,
    0x6c7f25fa,0x501fb01f,0x8dff9dff,0x6ffbdffc,0xffceffa8,0x3f677ea6,
    0x77777fc4,0x7dd7f44f,0x373bf21f,0x2ebfa0ff,0x33bf21ff,0x2bfa0ffd,
    0x3bf21ffb,0x3fa0ffdc,0x3f21ffba,0x2a0ffdce,0x46ffceff,0x0ffdcefc,
    0x3ff73bf2,0x3f3bfea0,0x6e77e46f,0x37fea0ff,0x77e40ffd,0x3ea0ffdc,
    0x546ffcef,0x40ffddff,0x0ffddffa,0x03ff3be6,0xffd303dc,0xfcbf989f,
    0x3fa604ff,0xbffd84ff,0xf113ea6f,0x66ffd41f,0x7fffe41f,0x7e6ffd42,
    0x17fffe41,0x07f37fea,0xa85ffff9,0x641fcdff,0xe982ffff,0xff904fff,
    0xfff905ff,0xfffd305f,0x3ffff209,0x2dffe982,0x05ffff90,0x209fffd3,
    0x302dffe9,0xd705bffd,0x01e403df,0x00106008,0xfb004008,0x0107f903,
    0x00100220,0x20010022,0x88004008,0x22001000,0x10008800,0x02002200,
    0x01000880,0x00080020,0x00001001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00804000,0x54c00c46,0x21100000,0x400c4008,0x40098029,0x013100a1,
    0x26200d4c,0x22660188,0x20061809,0x21e400a9,0x336e02c8,0x28035101,
    0x000c4620,0x04c002a6,0x6440c462,0x9ff304cc,0x6f40d90d,0x377c405d,
    0x40b27660,0x5c01fbfa,0x007e201f,0xcbe80b93,0x88076c03,0x3f200eef,
    0xb7f303f9,0x0177760d,0x6f80ddf1,0xff9827cc,0x01fdd01e,0x3a2033ea,
    0x2f4003ec,0xce81fb80,0x4ccc884e,0xf0351330,0x006f440d,0x2e00e4ea,
    0x01f6403d,0xbf300654,0x4405d980,0x006c402b,0x9d80ae75,0x362ee04b,
    0x801bb100,0x3e01c8ba,0xfb827cc6,0x415d2a02,0x980ffffd,0x0644005e,
    0xbd302d80,0x22c88790,0xfd96443c,0x1ccb80ff,0x00dee540,0x2a037b95,
    0x32a00bdc,0x402601bd,0xc8b2213c,0x32a16443,0x7b9500bd,0x2c887901,
    0x441cdcb8,0x73cccccc,0x3262cb89,0x09f31be2,0xcb87ffff,0xbf89e4c1,
    0x3c981dad,0x99999100,0x33225999,0x1e43cccc,0xf93e637c,0xffba7cc6,
    0x3fffa20c,0xfffd80ef,0xfffd83ff,0x77fe43ff,0xfffd81ff,0x67e4c3ff,
    0xf31be2fb,0x93e637c9,0x41ffeffc,0x41ffeffc,0xd127cc6f,0x4c7fffff,
    0xb5ffffff,0xf737fc3f,0x13e637c5,0xf502bfea,0xbf11fe8d,0x0ffec01d,
    0x7fff7e40,0xfff34fff,0x37c4bfff,0xf93e637c,0x0df27cc6,0x13f219f9,
    0x3fe63bf9,0x7cc77f20,0x5fa9be0f,0xff98efe4,0x3ff2ffa0,0x49f31be2,
    0xdf27cc6f,0xa9be2fd4,0x3e637c5f,0x7d477f64,0x23ff301f,0x1fff53fb,
    0x4c6f83f6,0x6c0df04f,0xfd89f73f,0xfff880cf,0x7c77c404,0x87fe6006,
    0x4c6f86f8,0x9f31be4f,0x03fe237c,0x4c0ff815,0x06607fc1,0xf06617fd,
    0x3e21981f,0x46f8bf64,0xf31be4f9,0x1985ff49,0x41985ff4,0xf8a7cc6f,
    0x4427e40f,0x657e63fe,0xf8df2fcf,0x7cc1fd47,0x3e7fe204,0x1fffa80f,
    0x007f5fdc,0x00df15f7,0xdf10ffa2,0x24f98df0,0xdf27cc6f,0xf9806f98,
    0x4c266626,0x8266626f,0x4c2dfffa,0x4266626f,0xf8bee3fa,0x8df27cc6,
    0x3ffea4f9,0xdfffa82d,0xa7cc6f82,0x85f985f9,0xdd6f84fd,0xe89f39f3,
    0x2a0fee0f,0x7ffd403f,0xd13ef602,0x7c07f91f,0xddddff17,0xf109fb01,
    0x4f98df0d,0x749f31be,0x00bf50af,0x7ffe4bf3,0x7fe4bf34,0x7ffe444f,
    0xffc97e64,0x7ecbf34f,0x49f31be2,0x2227cc6f,0xc884fffc,0x237c4fff,
    0x30bf54f9,0xb05fc8df,0x2bbe9f3f,0x6e77dc3f,0x01fc80ff,0x9ea85fd8,
    0x57e65e8d,0x27f706f8,0x0eeeeff8,0x6f882fe4,0xf27d47f8,0x3f24fa8f,
    0x150ff11f,0x3f2a67f8,0xfca99fe4,0x7f4c1314,0xfca99fe0,0x3ff77fa4,
    0x49f51fe2,0x98a7d47f,0x4c43fa60,0x7f83fa60,0x87f9a7d4,0x03bea5fb,
    0xfc97efdc,0xfffc81fd,0x001fb02e,0x3bbe07f7,0x3bbf22fc,0xffe81ffe,
    0x7d406fff,0xd0df100e,0xfd1fdc1f,0x0261fdc1,0x22fd43fd,0xd27d43fe,
    0xf34fa87f,0x3fa1fe8b,0xdb127d43,0x07f43f75,0x707f47f7,0xfd17e67f,
    0x3fd17e63,0x47f707f4,0x4ffa22fe,0x3e601ff9,0x0fff50ff,0x03fc00f8,
    0xfd503fb8,0xeeeff87f,0x777d44fe,0x3e606fee,0x21be201f,0x0ffdcefc,
    0x3ff73bf2,0xff50be60,0xf881ffbb,0x23ffdcef,0xffdceff8,0x3f737f63,
    0x6e77fc46,0x645513ff,0x373bf20f,0x33bf20ff,0x37f60ffd,0x6fec6fdc,
    0x77e46fdc,0x3ea0ffdc,0x3a6ffcef,0x44ccccef,0x17fe26ff,0xfdb037f0,
    0x00fee009,0x444fa81d,0x887fa0ff,0xd3ccccff,0x499999df,0xfff906f8,
    0xffff905f,0xe981e885,0xfb302dff,0xfb305bff,0xec885bff,0xfd980dff,
    0x77f42dff,0xfffc86fc,0xffffc82f,0x6fff6442,0x6fff6440,0x2ffffc80,
    0x44fffe98,0x7ffffffe,0x0ffa27f4,0x9d907b50,0x00fee001,0xf903fb05,
    0xff11be67,0x3fabffff,0x227fffff,0x4004406f,0x08091008,0x01000400,
    0x20080020,0x200cddb8,0x80088008,0x22001000,0x00001000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2205e980,0x30f20110,
    0x0c30f6b9,0xb0a00b72,0xb880c407,0x7b9500bd,0x322ccb81,0x6664c0cc,
    0xb95101cc,0x00330037,0x22002613,0x99999009,0x4c000035,0x01ccb801,
    0x0988004c,0x54066000,0x8809881e,0x7f503fcf,0xff17e03f,0xbbbb13ab,
    0x3400ffc8,0x827c413a,0xfc86fdfc,0x3b21ffef,0xb83bfe3f,0x82ffffff,
    0x5fcbcefd,0x3200fdc0,0x1db006ce,0x3fffffe0,0x01ff701f,0x3a203f98,
    0xb00effff,0x80bd001f,0x03f705fe,0x203f607d,0x76401118,0xe93e2003,
    0x5406ec44,0x9d0ea01f,0x36f812e0,0x3ea6f819,0x0bf1fcc5,0x1bd5fffd,
    0x0bb105d8,0x1ed803c8,0x3e00d880,0x6c42fdc7,0x01e403c9,0x27e433f2,
    0x0d9805b0,0x407676a0,0x3b10184b,0x07f43fb0,0x09999999,0x9d1fc4bf,
    0x3333332a,0xf910bea4,0x32e4e89f,0xdf91e4c1,0x4c2ffa01,0x0bf1fcc1,
    0x89d1fffd,0xfd9fd56d,0x0f2603f3,0x1accccc8,0x7f80f260,0x3c982fcc,
    0x2b333320,0x2a07fc41,0x66666640,0x66666644,0x66666644,0x43fb3c84,
    0x2a0f20fe,0xff8bf13f,0x7c0fffff,0xb4e8fe65,0x4fffffff,0x7dfec3f9,
    0x6fa93a3f,0xfef88ff4,0xdfffa83f,0x17e3f982,0x13a3ffee,0xfb19f31f,
    0x7fec0f6b,0xffffff01,0x07ff603f,0x7f6667fc,0x203ffb02,0x1fffffff,
    0x7fc01be6,0x3e0fffff,0x20ffffff,0x0fffffff,0x89fd5be2,0x7c1be25f,
    0x06f85f76,0x87f66bf0,0xf00fe84e,0x3273e23d,0x7fb06a1a,0x98fb93ee,
    0xffc883ff,0xbf1fcc4f,0x93a3faa0,0x9fccd969,0x4fff884c,0x85fb8ff0,
    0xff04fff8,0x2203bfff,0x8ff04fff,0x017ea5fb,0x037c037c,0x37c4037c,
    0xf88beedf,0x0fb3f906,0x657e00df,0x7f42744f,0x3eabf500,0xff1002bb,
    0xafd41ff3,0x982626e8,0xf8fe60fe,0x93a3ea05,0x8fd4bd5b,0xfebfb81d,
    0x2fcc7f80,0x407f5fdc,0x203ff37f,0xf80febfb,0xff12fcc7,0x806f8150,
    0x806f806f,0x367f26f8,0xf9837c47,0xeeff84fc,0xd35f84ee,0x7f42741f,
    0x3e65df00,0x40d4776d,0x7442fffa,0x3e66d8ef,0x7f30ff45,0xd1f502fc,
    0x364fadc9,0x1fd07a8f,0x99ff07f9,0x1fd05fd9,0x54ff07f9,0xc8fe80ff,
    0xcccff83f,0x50ff42fe,0xeeeff8bf,0x7777fc4e,0x7777fc4e,0xf337c44e,
    0x06f889f9,0x3fe07ffa,0x5f84eeee,0xe84e8be6,0x743f980f,0x13a4fcef,
    0xff902fec,0xdcdfd83f,0xbf1fcc6f,0x12747d40,0x3feebf6f,0x15f982fb,
    0xfffff0df,0x22bf303b,0x7ec7f86f,0x6f8afcc5,0x1dfffff8,0xffddffa8,
    0x77777fc0,0x77777fc4,0x77777fc4,0x3fa37c44,0x7037c41f,0x201be0df,
    0xe8fe65f8,0xfa80fe84,0x06fff442,0x00fee09d,0xec883ff5,0x1fcc0dff,
    0x747d40bf,0x5f645fc4,0x64189dfc,0x41ffeeef,0x903ff37f,0x83ffdddf,
    0x90ffc47f,0x83ffdddf,0x203ff37f,0xf82dffe9,0xf806f806,0x5c6f8806,
    0x206f886f,0x00df03fb,0xd27c4bf1,0xf501fd09,0x13a03b03,0xa6441fdc,
    0x09d503fa,0x205f8fe6,0x7cc4e8fa,0xff0fe603,0xf89fdddd,0xff03fea7,
    0x209fdddd,0x3bfe05e8,0x3fc4feee,0x32201ff5,0xf00df01d,0x100df00d,
    0x883fb8df,0x0ffd986f,0x99999ff0,0xff13fea1,0x03fa13ab,0x40d01ff9,
    0x207f704e,0x200fedfd,0x1ff640f9,0x1f501dff,0x7bdf309d,0xfa87fb95,
    0xff07fc44,0x13ea5fd8,0xf5101ff1,0xf889f503,0xbfb1fe0f,0x7c0f6220,
    0x20cccccf,0x0cccccff,0x333333fe,0x7ecdbe20,0x986f880f,0x3ffe01de,
    0x9d51ffff,0x07b5d981,0x82dc81fd,0x5c0f6028,0x39b7103f,0x32073620,
    0x03bba2ee,0x440ae326,0x80abddb9,0x23fc81fd,0xd8ffc47f,0x443fc81f,
    0x03fb02cd,0x223fc7f9,0x03dc81ff,0x3ffffffe,0x3fffffe1,0x3ffffe1f,
    0x4dbe21ff,0x0df101de,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0007332e,0xd00e56dc,
    0x3a603d35,0x223106b8,0x88990000,0x9880b52c,0x0f202600,0x00b71d50,
    0x200f2600,0x64790061,0x933c8004,0x90110983,0x32626407,0x8817a60c,
    0xcc879009,0x5a84cccc,0x9997050c,0x103ff503,0xae80bb5b,0x71d301e9,
    0x0fefe20d,0x7fc17fc4,0x17c53e24,0x3f201db0,0x2a02fc41,0x27a05b8e,
    0x0ffec04a,0xf0177760,0x3f203fcd,0x217d5be1,0x7c40ebe9,0xff99fe05,
    0xa8276742,0xff8df02f,0x740fffff,0x5c1e5f44,0xbad81cdc,0x039b9704,
    0x640e6e5c,0x75416443,0x216b3204,0x49f10fff,0x401b106d,0x005f882d,
    0x80336a00,0x4404fff8,0xf37c00dd,0x0002d80f,0x0bf10373,0x83ff8bfc,
    0x07260311,0xfa806f80,0x3a215c41,0xc83fffff,0xffffe883,0x7fff443f,
    0x2637c3ff,0x5911324f,0x3ffe01e4,0x0fd49f15,0x992c8899,0x77ef7c40,
    0x0fe87f62,0x7dc03c98,0x99900feb,0xf37c0379,0xb7c3c80f,0x333322fa,
    0x5d7e24cc,0x3fa3fe5f,0x33217e03,0x37c4cccc,0x41b601be,0xa8efec3c,
    0x21be21ff,0x3ff51dfd,0xffa8efec,0x49f31be1,0xf93e24ff,0x57eefc05,
    0xf8fe64f8,0x3fd3e24f,0xfd7bff10,0x2fc4fea1,0x3a01ffd8,0xff03fc8f,
    0x3e0bffff,0x8df01fe6,0x7fc5f56f,0xf10fffff,0xeff8bf5b,0x217e00ff,
    0x0fffffff,0xdddff1be,0xf885f89d,0xf903fe26,0x3e237c49,0xf8a7e40f,
    0xdf27e40f,0x3ffe4f98,0x02fc9f10,0x3e7fe37e,0xfff93e24,0x81fe9f10,
    0xf8bee7f8,0xff105f76,0x457e609f,0x74cdf06f,0x1fe6f82f,0xf56f8df0,
    0x3e2037c5,0xdfff87fe,0x3e17e05f,0x7fc6f806,0x3e24eeee,0x3e66f884,
    0x3e25f985,0x7cc2fcc6,0xbf30bf35,0xf93e637c,0x7c9f15ff,0xafc3feae,
    0x2fc4fdfb,0x53e2bfff,0x99be207f,0x1f67f24f,0x407f5fdc,0x1ffeeefc,
    0x42fcc6f8,0xdf01fe6f,0x7c5f56f8,0x7fffc406,0x2fe9ffc2,0x00df0bf0,
    0x4c06f8df,0x2a6f883f,0x226f985f,0x4c2fd46f,0xf30bf56f,0x93e637cd,
    0x4f8afddf,0x83fab3fe,0xf13ffa5f,0x457eefc9,0x7c40ff4f,0xcf98bea7,
    0xf91fd04f,0xddddff07,0xdf0df09f,0x203fcdf0,0x2fab7c6f,0x93bbbbfe,
    0x7c6f9ef8,0x3e03fea7,0xeeeeff85,0x01be37c4,0x4df107f1,0x25fb87f9,
    0x43fcc6f8,0x70ff35fb,0x3ea3fcbf,0x27fe37e4,0x1fc9fe4f,0x24ff997e,
    0x3e37e3f8,0x40ff4f9f,0x0febdff8,0x7cc0fff4,0x4fa8df15,0x1be07fc4,
    0xff9be1fe,0x1be3cccc,0xff8beadf,0x3e24eeee,0x23fc7f75,0xf85f85fd,
    0x7c4eeeef,0x66667fc6,0x3e213e0c,0xfd117f46,0x7f437c47,0xfe8ffa22,
    0xfe8ffa22,0x75f8fee0,0x737c9fbf,0x3f22fc3f,0x75f87ea4,0x81fe9fbf,
    0x82efdef8,0xddf906fb,0x0fec3ffd,0x11be1fe4,0x7fcdf0df,0x1be5ffff,
    0x6f8beadf,0x1fd2fc40,0x45ff11fe,0x806f85f8,0x7ffffc6f,0x221b61ff,
    0x677fd46f,0x437c46ff,0x6ffceffa,0x7fe77fd4,0x7ee77e46,0xffe97e0f,
    0x81fb97e4,0xf8d905e8,0x3fd3ffa5,0xb802bf10,0xdddff03f,0x0ee009fd,
    0x889f71be,0x40eec0de,0xf8bee06f,0x4037a006,0x17e205e8,0x00d101be,
    0x881f5077,0xfffe986f,0xd306f884,0x3a609fff,0xff904fff,0x265f85ff,
    0xfb97e4ff,0xf81fa881,0x9ff32fc2,0x4f3333fe,0x3f6605f8,0x444fa80f,
    0x9db800ff,0x3f733fe0,0x10fd440f,0x20df07f3,0x33fe1ffc,0x5440cccc,
    0x03f5102f,0x9ff09ff5,0x3e219999,0x0276e00a,0x406f887d,0x201be200,
    0x44002000,0x4fc8bf00,0x441fb97e,0xf85982cd,0xfffa7e45,0x80f25fff,
    0x3fb01de9,0x91007f90,0x77fffc1b,0x2166c40d,0x06f80bdc,0xffff87b9,
    0x1eec1fff,0xd502cd88,0xfffff019,0x016dc3ff,0x44a81b91,0x000006f8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02456000,0x79037b75,0x01003b60,0x01b20154,0x426d7200,
    0x8999915f,0x6c03ccc9,0x959b100f,0x02dc7540,0x6d6e00d4,0x0754f4c4,
    0x65400000,0x59b102cc,0x3200020b,0x7441c983,0x10553983,0xeb8017b7,
    0xffffb02e,0x6437c47f,0x67fc46de,0x405fd906,0x006ec07d,0x53a136b9,
    0x64c4ccc8,0x076403cc,0x202dbba8,0x5405b8ea,0x4dadc05a,0x20754f4c,
    0x6e5c04d9,0xcca85a8a,0x7b79302c,0xbf930d90,0x7d437c45,0xed827c43,
    0x5fcfe80e,0x8efe4000,0x0df10ff9,0x51330613,0x07519103,0x40e6c400,
    0x91e4c1cb,0x79303c87,0x33333220,0x803c983c,0x6ea803c9,0x33333320,
    0xb7503c84,0x3ffffa20,0x666642ff,0x222644cc,0x3ba1be2c,0x0df12fdb,
    0x400007f5,0x4c0f95f8,0x3e2fbcfd,0xdf10cc0f,0x2fbcfd98,0x222641e4,
    0x2f3f662c,0xf502982f,0xdf11fe8d,0xffd837c4,0xfffff981,0x01ffd85f,
    0x3600ffec,0xffff01ff,0x37c41fff,0x33f60150,0xff83ff71,0x3e0fffff,
    0x7ed3e24f,0x227f30ff,0xf50df15f,0x216fe4c7,0xfe82dfc9,0x2ffa05fc,
    0x4df32ffc,0xdf109998,0x2ffcbfe8,0x31fe1be2,0x7e5ff49f,0x1fc97e2f,
    0x24fb9fec,0x21be26f8,0x9804fff8,0x7ffc41ff,0x13ffe204,0xf04fff88,
    0x50df100d,0x7c41bffd,0x89fdd10f,0x0fff806f,0x33fee9f1,0xdfffff70,
    0x8fea1be2,0x3a2fdbee,0x7dc2fdbe,0xd97e205f,0x7e4bf32f,0x44df14ff,
    0xf88bf65f,0xa7cc7f86,0xf8bf65f8,0xff107f25,0x37c41ff3,0xd7f70df1,
    0x1ff4401f,0x807f5fdc,0x700febfb,0xdf01fd7f,0xf88df100,0x3ea3fcad,
    0x8df3bd15,0x5fff806f,0x2637c9f1,0x86f8823f,0x227f33fa,0x3e27f35f,
    0x23bfbf25,0xf71fd41b,0xf9533fc5,0x3fa9be29,0x86f88bee,0xfaa7cc7f,
    0x25f8bee3,0xfffa81fc,0xdf137c42,0x07f91fd0,0x8fe827ec,0x91fd03fc,
    0x323fa07f,0xeeeff83f,0x8837c44e,0x53ea4fc9,0xff8df35d,0x6fc4eeee,
    0x3e4f8afd,0x3fcaef86,0x3fb82df1,0x2dfffff7,0x16fffffb,0x0ffbeebf,
    0x917ecbf1,0xf14fb87f,0x5fb2fc4d,0x77fc37c4,0xbf14feee,0x64bf17ec,
    0x10bfb01f,0x2637c4df,0x320df15f,0x22bf305f,0xf15f986f,0x3e2bf30d,
    0xeeeeff86,0x7e437c44,0x6f7c4fef,0xff8bf70e,0x6fc4eeee,0x3e4f9ff8,
    0x24ffe986,0xf92fbef8,0x2608fe65,0x24f9823f,0xdfe80ffd,0x3fe62ffd,
    0xf13ffece,0xffddfe8d,0x3fe1be22,0x3a4feeee,0x3e2ffddf,0x7dc07f66,
    0x3e26f883,0x7f777e46,0x8077d41f,0x1ffeeefc,0x7ff777e4,0x7f777e41,
    0x44037c1f,0xf9a7d46f,0xfd077ec4,0x5f806f87,0x7f49fbf7,0x7c40e80a,
    0x0ffcff8e,0xf8ff2bbe,0x3fe3fcae,0x80efffbb,0x4c2fbaeb,0x222dfffd,
    0xfbaeb86f,0x1fe1be22,0xbaeb89f3,0x3eebfa2f,0x107f701f,0x3e37c4df,
    0x24feeeef,0x3fe01ff9,0x7c4feeee,0x44feeeef,0x4feeeeff,0x37c4037c,
    0x13f677ea,0xdff7bff9,0x4bf00df0,0x3ff24ffe,0x3e21be81,0x985dfd76,
    0x7f4c4ffe,0x77fe4c4f,0x8aa20eca,0x01f901fc,0x322a88d1,0x3e1be21f,
    0x2a8a7cc7,0xdffa87f2,0x07f701fc,0x537c4df1,0xd0ff889f,0x299999df,
    0x87fc44fa,0x87fc44fa,0x07fc44fa,0x199999ff,0x7fec37c4,0x32fe66fb,
    0x9ff04fff,0x2fc19999,0x20089ff3,0x400804d9,0x20400400,0x6fddfe80,
    0xf109b110,0x7eeff413,0x3fc37c46,0xddfe93e6,0x2e00106f,0x226f883f,
    0x3207f66f,0xfffffd3f,0x3207f6ff,0xf903fb3f,0x3f207f67,0x3fffffe3,
    0x041be21f,0xff801060,0x3e1fffff,0x00027e45,0x00000000,0x33b6e200,
    0x2017b700,0x3b6e22db,0x7c37c40c,0xb7127cc7,0x0000019d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa88000,0x01ecf4c2,0x336e0726,0x2c9ca801,0x40732a99,0xb7105abd,
    0x01f44059,0x64c7372e,0x3c82f4c1,0x40655644,0x2eb702ea,0xb5790005,
    0x20734881,0x55443910,0x1517502a,0x2aaaa010,0xd10e4c00,0x3b603d35,
    0x5c13a200,0xd51fc81e,0x1ff909dd,0x91fffee0,0xb801ffbf,0xf9ff4faf,
    0xff303fff,0xfffff105,0x4413e20b,0xabfffffe,0x0ff3e23f,0xfb9f31be,
    0xaec09d01,0x6fff544e,0x902ff980,0x26d901dd,0x13bba62f,0x321bf3a2,
    0x01dddd06,0x2ba22fb8,0x6dec81e9,0x5d803ae0,0x4c000eb8,0x0ff26200,
    0x700beedf,0x37fe755f,0x3305fc88,0x7eccff60,0x1dfd8002,0x445b3fd5,
    0x98df0111,0x203078cf,0x24f9cf98,0x03fcadf8,0x3e008031,0x02000ae6,
    0x20000df0,0x098002fb,0x0c004403,0x5bf93144,0x4c2dfc98,0x7c2fccfd,
    0xfd981fd5,0xff0dafcc,0x32237c41,0x214c0dff,0x7fe444f8,0x903fe20d,
    0x7e441ddf,0x2637c0df,0x7e444cdf,0x3fffa0df,0x64c41fff,0x3f92fc4f,
    0xb06fff54,0xea893fff,0x92fc0dff,0x83fff63f,0xd987f25f,0x97e2fccf,
    0xfc97e1fc,0x21fc97e1,0x3547f25f,0x745fb7dd,0x3fa2fdbe,0x3e22ffcb,
    0xbfe85f8d,0x43fc2ffc,0x7ddfec7f,0x33333264,0x5dfec7fc,0x2617e64f,
    0xfbbfd87f,0x3be637c4,0x4fbbfd81,0x07f27ee2,0xf89fdff9,0x6fc47f25,
    0x3fee3fca,0x656fc40c,0x3f92fc3f,0x5f833fee,0xcbfe87f2,0xfc97e2ff,
    0x21fc97e1,0x5f87f25f,0xf9bdc7f2,0x4fe6bf13,0x6c9f15f8,0x7f57e22f,
    0x2fd93e22,0xf13fc3fc,0xfff50d4b,0x221fffff,0x5fa86a5f,0x2fc46f98,
    0x7cc6f835,0x06a5f884,0x9f51b2d9,0x64bf13e6,0x27e4c41f,0xf93101be,
    0x87f25f89,0x3f25f86f,0x17ec9f11,0xbf0fe4bf,0x64bf0fe4,0x1fc97e1f,
    0xffff71f7,0x3fffeedf,0x7dc7f56f,0x7fcd7e22,0x17e47f50,0xfa9fe1fe,
    0xf11be203,0xf301fd4f,0xfa8bf70f,0x3ea3fc03,0x3603fa84,0x51effeff,
    0xf89fb3bf,0xffc87f25,0x9037c4fe,0x5f89fdff,0x3fff47f2,0xf51fc97e,
    0x4bf17dc7,0xfc97e1fc,0x21fc97e1,0x7e47f25f,0xf9823f98,0x364f8823,
    0xfa97e22f,0x17ec9f14,0x44df11fe,0x3ff0ee5f,0x4bf12fdc,0xd117f43b,
    0x2e5f887f,0x7f707f43,0x71dcbf10,0x419bf9bf,0x7c6fbffd,0xa7d47f66,
    0xa837c4f9,0x6f89f34f,0x0ffc47f6,0xf11fd9be,0x4df17ec9,0xfd9be1fd,
    0x21fd9be1,0x7ec7f66f,0x47f95df1,0x3a3fcaef,0x222ffccf,0x23fbc9df,
    0x42ffccfe,0x89fb917f,0x4c4fbcfd,0x40ffdcff,0x544fbcfd,0x06ffceff,
    0xc89f79fb,0x00ffccef,0x449f79fb,0x4101f99f,0x7dd7f40e,0xfb3bf51f,
    0x540afe89,0x744fd9df,0x3a1ffbaf,0x2ebfa0af,0x333fa1ff,0x2ebfa2ff,
    0x2ebfa1ff,0x2ebfa1ff,0x2ebfa1ff,0x263fb1ff,0x7f4c4ffe,0x5f7ecc4f,
    0x3a77e22f,0x3bf660df,0xfabfc2fb,0x7fe440ef,0xdffda80d,0x0dffc881,
    0x04fffe98,0x2037ff22,0x202ffffc,0x2a0dffc8,0x7d007a8f,0x7e6ffd43,
    0x1befff61,0xffb03ff9,0xdffa8df7,0x87fee1fc,0x21fcdffa,0x22fbefd9,
    0x21fcdffa,0x21fcdffa,0x21fcdffa,0x51fcdffa,0x00400819,0x04010002,
    0x80000400,0x00800000,0x00088000,0x00311880,0x1002136a,0x00080100,
    0x00200801,0x02002002,0x00020020,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x11e40b0c,
    0x7303d35d,0x07b60351,0x3d704d88,0xa9c98000,0x1901b880,0x2f4c0016,
    0xea85cb54,0xb107aa04,0x1ca8000b,0x02b76e20,0x5c16e3aa,0x0bd3038a,
    0x0bb02ea8,0x20000000,0x2a03c9e8,0x88fe03ee,0xce81e9ae,0x6cec80fe,
    0x5d803ae0,0x07fd59f0,0x3fee13f6,0x83eea86f,0x7c44efeb,0x5cb543fc,
    0xe817dfc4,0x9103f303,0xffd81bff,0xa9be986f,0x5c7540ec,0x84fdda85,
    0x3a03fce8,0x220be204,0x442efccf,0x3e2fbefc,0xfc84feac,0x7c40000f,
    0x98008001,0x40044030,0xff59ff01,0x40fcab81,0x4005f76f,0x21fc9cf8,
    0x88001118,0x10060111,0x9f77fb01,0x21fca7c4,0x98bb89e9,0x0044000e,
    0x03004462,0xbff10110,0x67ec1fd7,0x33fe2ffb,0x00980ffa,0x541fc97e,
    0x067fec47,0x1033ff62,0xd8819ffb,0x7ec40cff,0xf937c0cf,0x2fef5c43,
    0x893e69f3,0x3e20cffd,0xefeb81ce,0x216fe4c4,0x64c2dfc9,0x6fe4c2df,
    0x01a97e22,0xe8ac87f2,0x754776cc,0x7f540dff,0x7ff540df,0x6fff540d,
    0x06fff540,0x897dcff1,0x7f8bf65f,0xffea87f2,0x3f25f80d,0x33fa2e41,
    0x667f47fc,0x7e67f47f,0x3fe67f47,0xf1ff33fa,0xbf90fe4d,0x4fea3ffb,
    0x333fa5f8,0x77ffdc7f,0x3f939f11,0xd17edf74,0x7745fb7d,0x2fba2fdb,
    0x007f52fd,0xd51d0ffe,0x5bf15984,0x56fc47f9,0x2b7e23fc,0x2b7e23fc,
    0x2b7e23fc,0x99be23fc,0x7dc7f54f,0x11fb9be2,0xf07f95bf,0x8fa0fe4b,
    0x4cbee5f9,0x7ccbee5f,0x2fccbee5,0xb97e65f7,0x1fc97e2f,0xa9fe4bf1,
    0x3e6bf13f,0x9898bee5,0x39df14fc,0x2bf13f98,0x26bf13f9,0x3e6bf13f,
    0x97e2bf13,0x43dd903b,0x88d10b57,0xc9884fc9,0x4fc9884f,0x884fc988,
    0x9fe24fc9,0x6cbf12fa,0x1fb97e2f,0x7c27e4c4,0x1f887f25,0x54f98fea,
    0xfaa7cc7f,0x1fd53e63,0x98fea9f3,0x1fc97e4f,0xaa7cc7f5,0x3ea9f34f,
    0x6fd53e63,0x3fee3fb9,0xffff71ef,0x3fffeedf,0xfffff76f,0x3ffffeed,
    0x13ef3f66,0x22765f88,0x6495688f,0x7e44feff,0x7fe44fef,0x77fe44fe,
    0x7f7fe44f,0x3af7fe24,0x3f2ff60f,0x1fb97e2f,0x213fbff2,0x7a87f66f,
    0x25f72fcc,0x4cbee5f9,0x7ccbee5f,0x2fccbee5,0xf92fc5f7,0x1fb97e23,
    0x4cfeabf3,0xeb8bee5f,0x64c4c4ef,0x3047f34f,0x47f3047f,0x4408fe60,
    0x3260dffc,0xaad4bf12,0x3ea5b2ee,0xa7d49f34,0x4d3ea4f9,0x7cd3ea4f,
    0x27cd3ea4,0x85dfbdf1,0x22fcefd9,0x7d47ee5f,0x5fd09f34,0x42e43ff7,
    0x747fbcfe,0x7f47fbcf,0x67f47fbc,0x5e7f47fb,0xb0fe407f,0xfe8ff79f,
    0x33fa0feb,0x1dd887fb,0x8fee77ea,0x3e3fcaef,0x3be3fcae,0x2bbe3fca,
    0x0ee443fc,0x20fedf7c,0xa8f620dc,0x2a4fd9df,0x2a4fd9df,0x2a4fd9df,
    0x2a4fd9df,0x224fd9df,0xf708015f,0xfa83bb05,0xfa84fd9d,0x0fa1fcdf,
    0x1073ff62,0xd8839ffb,0x7ec41cff,0x7fec41cf,0x83ffa01c,0x441cffb8,
    0x7ec42efc,0x3d8881cf,0x26277f5c,0x7f4c4ffe,0x27ff4c4f,0x2213ffa6,
    0xefd983d8,0x7dddd703,0x8df7ffb0,0x6c6fbffd,0x7ec6fbff,0x7fec6fbf,
    0x017e26fb,0xf9885f70,0x6fbffd83,0x00098020,0x00000000,0x002dd800,
    0x37200000,0x80100203,0x80200400,0x800403dc,0x04004008,0x40040040,
    0x2001e400,0x05ee41c9,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x8bdb8000,0x883ccccc,
    0x5e40dcbe,0x221e40da,0x2aaaa22c,0x15bb7101,0x802f72a0,0x3001cdcb,
    0x09d1007d,0x39b70079,0xcdcb8000,0x81555501,0x16c2d8da,0x26cf5400,
    0x1ecc3e98,0x39970166,0x2a005cc0,0x20564c1c,0xa824c1d8,0xfffeffff,
    0xf8dc86ff,0xf82ff981,0xff527cc6,0x37d309ff,0xffc81d95,0x7f441ffe,
    0xd803ffff,0xf10d9005,0xffefc80b,0x7de7ecc1,0x3ffffa22,0x0eeee83f,
    0x44d86fd8,0x741fedf8,0x0bb00fac,0x81ec7d7f,0x0effffe8,0x902fffec,
    0x3ff7e45f,0x01d83fd3,0x0ffe65ff,0x31004420,0x49f31be0,0x4c0999fc,
    0xe98aaaae,0x45fa9be0,0x3ff51dfd,0x42200180,0xbf017e20,0x97fd13e2,
    0x8efec5ff,0x88001ffa,0x7c46b809,0x011185df,0xaec7d40c,0x19f900f9,
    0xb4f893f2,0x44bf205f,0x2225f55f,0x7cc16a1f,0x3e01fe46,0xfd887f25,
    0x2637c0cf,0x4067f64f,0x76cae9ac,0x1985ff47,0x9f903fe2,0xfddffd98,
    0xdfeb885f,0xbf7bf12e,0x3e205f85,0x7fc4bf65,0xfb127e40,0xefeb819f,
    0xff107cc4,0x033ff620,0x7cc9dfd7,0x2207b4d8,0xf70540ff,0x7e413ea3,
    0x217d57e2,0x7d403a1f,0x77777d44,0x43f92fc2,0x7c7fccfe,0xfff27cc6,
    0xe98e81df,0x7d4b16a9,0x2fcc2dff,0x2bba2fcc,0x45fabffc,0x10ffbcfc,
    0x21fd79ff,0xfa84cffb,0x2fccbee3,0x99fd2fcc,0x64e7c4ff,0xdf117c1f,
    0x9ff33fa0,0x21fc9cf8,0x00f99fee,0x7f300df3,0x17e417ee,0x3f09fff3,
    0x44fb812e,0x42eeeefa,0x7cc7f25f,0x46f8bee5,0x539914f9,0xddf3789f,
    0xff911a21,0x442fd49f,0x6fb8886f,0xd95f89f2,0xfb9fe29f,0x10ffffd2,
    0xfa97ecbf,0xbf36f985,0xcef897dc,0x2fc49b01,0x25f72fcc,0x4101cef8,
    0x7d41753e,0xffbfd005,0xfc8bf20d,0xe88c1efd,0x46fa8720,0x92fc03fb,
    0xf98fea3f,0x09f51fe4,0x566763fc,0x8262953d,0x4ff30fe9,0xffb8bf30,
    0x1ffffffe,0xbf1b77f5,0x24f997e2,0x37fa01fc,0x0ff32ffd,0x98feabf7,
    0x3bffee4f,0x0bf135c1,0x727cc7f5,0x2603dfff,0x226ceb8f,0xcb80a87f,
    0x2fc825fa,0x413e27f3,0xf88bf23c,0x807fd10f,0x7cc7f66f,0x0fe8bee5,
    0xf1644fee,0xf35ada8d,0xd17e65b1,0xcf97f43f,0x4d7e63fd,0xddf3026f,
    0x9fe25f51,0x00dd12fb,0x745f75d7,0x4cffa22f,0x898bee5f,0x87cc4fc9,
    0x25f985f8,0x326262fb,0x33a7d04f,0xa87fa1f9,0x7d46a25f,0x47f63f93,
    0x10bf13fa,0x3216ed4d,0xcefffcff,0x5d7f44cc,0x2f3fa1ff,0x6e77e47f,
    0x36ffa0ff,0x220dc83f,0x6e6fec3d,0x6effd46f,0x4efcc6ff,0x46fabffd,
    0x227ebcfe,0x367ebdff,0x224cceef,0xfa87f22a,0x746ffcef,0x3ea7fbcf,
    0x2f83fb9d,0x33fa0b72,0x277ea7fb,0xb0fa83fb,0x7fd41f39,0x3e20ffdd,
    0xdf30febe,0x5f741ff9,0xf12d82fd,0xdfd50bf9,0x8ffffff5,0x21fcdffa,
    0xc81cffd8,0x6cc2ffff,0x3bae04ff,0xfec883ee,0xffe980df,0x3f20efef,
    0x1effdaef,0x873ff7a2,0x22efdcf8,0x0fffeceb,0x21bf77fa,0x884fffe9,
    0x75c1cffd,0x227b04ef,0xffd885e8,0x277f5c1c,0x17bea3e8,0x20b7ffa6,
    0x75c0cfea,0x77ecc1ef,0x2aa25983,0x4000204e,0x02200000,0x00440010,
    0x5b820008,0x000c0200,0x5c404002,0x00400ced,0x84400800,0x40000bdb,
    0x3102a200,0x80100080,0x01300400,0x00000022,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x260ec400,
    0x06f72a04,0x32e20ba8,0x32642c41,0x900eb839,0x10037999,0x99999999,
    0x5f84e885,0x01b907f2,0x24f989d1,0xd10fd07d,0x01644993,0x30baa000,
    0x32b625b9,0x40dabc84,0x01e438ab,0x05e88baa,0x6c035173,0x5c19701e,
    0xfd31fb0c,0xffb01d83,0xfea87fff,0x8d7950ff,0x3ee7f82c,0xff807e42,
    0x6405ffff,0xffffffef,0x25f83644,0x41f441fc,0xb27cc0ec,0x7e41b20f,
    0x8013e60f,0x213a03f8,0x3fee2cfe,0x543ff981,0x3ffa5fdd,0xce89d05f,
    0x0ffce84e,0x701d9d70,0xec9be27f,0x16a1f888,0xff98efe4,0x8fa23fa0,
    0x7c1a24f9,0xf0007a67,0x8817f4cd,0x8806f8ef,0x0fe4bf00,0x4c044044,
    0x14c1f64f,0x00770130,0x20301fc4,0x4401306f,0xdf300881,0x44606013,
    0x21300081,0x3f2ff009,0x01d0fc02,0x4c3303fe,0xf998815f,0xa9fe03b0,
    0x3ffffee6,0x17e637c1,0x037c57dc,0x43fffff7,0x3e07f25f,0x93fab3e6,
    0x741fa4f9,0x1fedf886,0xfb3dd1d1,0x677e654b,0x87fb7e24,0x9f0df05f,
    0x0df09fd5,0xf87fd5df,0xacf86f86,0xfd9f64fe,0x5fdc3f71,0x971f806f,
    0x9989be60,0x9fddf509,0x2cd77ea1,0x95044ff0,0x7d41ffb9,0x7c1be2af,
    0xddddff17,0x3ff732a1,0x81fd9be0,0x3eb3fe6f,0x3fcbf30f,0x7fc41fe4,
    0xadfe845d,0xffff92fd,0x2effc4ff,0x7c37c17e,0x7c0ffacf,0xfeacff86,
    0x21be1be0,0x70ffacff,0x3ecffe3f,0x05bfff73,0x7711d118,0xffc97e61,
    0xf75ff54f,0x643d0c47,0x3e201fe1,0x2f7ff41f,0x227f70ff,0x40eeeeff,
    0x57f41ff8,0x26f81ffb,0x7cc7f27f,0x7ec7fccf,0xe80ff104,0x2627f50f,
    0x3e219cfa,0x1be0bf07,0x7c1fc9fe,0x87f27f86,0x7f86f86f,0x4dfc47f2,
    0x324f8dff,0x327fffff,0x99d3c80e,0xf9533fcb,0x06f97e69,0xff17e495,
    0xf02fe880,0xfe86f98d,0x4406ffff,0xdffa82fe,0x3e6f81fc,0x6fcc7ee6,
    0x17e67dff,0x3a037c43,0x7f10fea7,0x17e0df10,0xf737c37c,0x26f86f83,
    0x3e1be1fb,0x87ee6f86,0xfafbfbee,0x277ea622,0x8d103f61,0x50ffa4d8,
    0x5f9be29f,0x8bb6e1d0,0x01ff407f,0x544fb8df,0x06feeeef,0x5c201ff4,
    0x72fcdf03,0x8813e63f,0x7c4bee4f,0x7f33f405,0x5f882c88,0x21be0bf0,
    0xdf07ee5f,0xf0fdcbf0,0x4bf0df0d,0x37bee1fb,0x7fe47ef9,0x6c3c7fff,
    0xff113a22,0x6c7ffb9d,0x3b82fccf,0x7fcbf9f1,0xff93cccc,0xcff83999,
    0x7f40ffec,0x3333fe21,0x999ff93c,0x204edc03,0x1fb97e6f,0xefc809f3,
    0x017e25fe,0xeb9fccfd,0x3e26eeee,0x1be0bf05,0x7c1fb97e,0x87ee5f86,
    0x5f86f86f,0x3ff987ee,0xfa988bff,0xb30b219d,0x6cc5efe8,0x5c42dfff,
    0x226883ef,0x3ffe4eaa,0xfffb5fff,0xffff87ff,0x237cc0de,0x5ffffff8,
    0x07fffffb,0x9be06ec4,0x6447ee5f,0x43db9802,0x33f405f8,0x3ffff27f,
    0x7c17e27f,0x4bf0df05,0x7c37c1fb,0x86f87ee5,0x3ee5f86f,0x2fd8ff41,
    0x26009f30,0x1004ccc0,0x10198000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54400000,
    0x970f22aa,0x0f202640,0x290655e4,0x99999548,0xbcccc899,0x3fa1fd81,
    0x907a76e0,0x1e42c887,0x43aa7a60,0x90e5c3c9,0x1322c889,0x1cb88591,
    0x15555544,0x99313279,0x00791e41,0x23c80f26,0x8832e03c,0x713323dc,
    0x66664199,0x666440bc,0xddd33ccc,0x81fa37cb,0xf837c07f,0x3bae0fbe,
    0xffffffb1,0xffffff8f,0x5f89fd45,0x3ea27f44,0x1dfcaaaf,0x53d301be,
    0x4c7fa21d,0xf127fc6f,0x93e63fc9,0x2a6feffb,0xf16fffff,0x2ff99fed,
    0x005f8b7c,0x9be03ffb,0xc87f605f,0x83ffe3df,0x3ffe1fff,0x3e60ffff,
    0x805fffff,0x40cbf46f,0xf837c07f,0x0fe800d6,0x17f4cdf0,0x4417ddbe,
    0xeeeffd81,0x3bfe3ffe,0x7d4003de,0xfff83fd6,0x23fc9f10,0xfb9be4f9,
    0x5f933312,0xf8bfdbe2,0xbf16f83f,0x09fff100,0x1fd817e0,0x4bffe1f6,
    0x1fe1fff9,0x7fcc07f9,0x8fbe37c1,0x3fc0eefe,0x5f7c1be0,0x1fd06f82,
    0x8bf31be0,0x7dc7d9fc,0x1be1ffff,0xeeff89f3,0xb06f85ff,0xfff09fdf,
    0x47f93e2b,0xfa8264f9,0xb7c4bd03,0xf03fe8ff,0x2fdd7e2d,0x407f5fdc,
    0x3fabbe6f,0x7ff43f63,0x5d3f7e2f,0x71fe1fdf,0x0ffa205f,0x745ff1be,
    0x25cff05f,0x6f8727be,0x07f41be0,0xdf157fd4,0x544fcf98,0x3e0ffdcc,
    0x44feeeef,0x3e07f46f,0x01fff106,0x9f15fbbf,0x7f7777fc,0x701df504,
    0xffb7c41f,0x2df00ffe,0xd05fadf8,0xdf07f91f,0x87f567fc,0x82bfaa7c,
    0xf9db7ddf,0x7f777fc3,0x7c13f604,0x7fa9bea6,0x7c7e9fe0,0x81be3fae,
    0x77ff6c6f,0x97bffa0e,0x01ffe87f,0xeff83ff1,0x37c4feee,0x20df07f6,
    0x1bf06ff8,0x7fc9f3ff,0x984feeee,0x45f880ef,0xfbfff6f8,0x77c5be0b,
    0x22bf307f,0x9fe6f86f,0x7e8f71fc,0xcf9fbdf8,0x3bbfe1fc,0x5fc81efe,
    0x26fd9be0,0x89fe07fe,0xf04c77c1,0x2aa37c0d,0x46f82bfe,0x06fb86f9,
    0x8df05fd1,0x557fc4f9,0xb06f87fc,0x2bf09fff,0x1fe4fdfb,0x01f909f3,
    0x2df107ee,0xf05fd3ff,0x0bfffe2d,0x3ffbbbf2,0x5cdf37c1,0x87e8d51f,
    0xcafdf9df,0xdf31fe1f,0x3e00efa8,0x7e99be26,0x0df01fe0,0xd06f81be,
    0xf71be01f,0x3a07f709,0xf98df03f,0x77ffffc4,0xefa86f81,0xd2fc1ff8,
    0x263fc9ff,0x3204b84f,0x4ff6f887,0x8b7c0ffa,0xff86f9ef,0x7c4feeee,
    0x31fb97e6,0xf5f87e87,0x7c3f91ff,0xff33fc47,0x37c6f803,0x4f3333fa,
    0x23ccccff,0x7c0df06f,0x3e01fd06,0x20ffeccf,0xfc80ffd9,0x1be1cccf,
    0x99ff89f3,0xff11be00,0x4bf1bea3,0x31fe4ff9,0x201d909f,0xff6f886e,
    0x8b7c5fd8,0x7d47f75f,0xdf07fc44,0x323f72fc,0x57e1fa0e,0x7c3f96fd,
    0x24fecccf,0x4ccccefe,0xfd1be37c,0x3fedffff,0x1be5ffff,0x20df037c,
    0xffff00fe,0x1de981bd,0x7fffffb0,0xf13e637c,0xf91be00d,0x17e4fd89,
    0x263fc9f9,0xf00fd84f,0x1fedf10b,0x8b7c5ff1,0x7ec3fa5f,0x9be3fc81,
    0x7ec7ee5f,0x5d7e1fa0,0x7fc3f94f,0x7f44ffff,0x007fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26400000,0x999064c0,0xccc89999,0x159302cc,0x2cccccc8,0x06b33332,
    0xccca8970,0x032e4ccc,0x20e5c791,0x333323c9,0x65c4b81b,0x0000b262,
    0x31000000,0x00133333,0x00000000,0xc97e0400,0x40005faf,0xf880ff5f,
    0x3ffffe1f,0x3fffe0ff,0x7ffe44ff,0x3ffffe0f,0x3ffffe4f,0x8ff501ff,
    0x7ffffffd,0x47f70ff2,0xf0ff46fa,0xd8bfffff,0xfb9bfe1f,0x377ff662,
    0xefeb85ff,0x216fe4c4,0x060dffc8,0x33ff6218,0x467fec40,0x3ffaa3f9,
    0x77fec40d,0xb884ffda,0x97e2edfe,0x9f15eafc,0x5ffb3ff7,0x5c0ff5f8,
    0x01be1fff,0x10ff99be,0x7f93eabf,0x17ee3fc0,0xfe81ffe2,0x7f46f980,
    0x4fb9fec0,0x45fd337c,0x1fff53fb,0xcaee83f6,0x225fabff,0x3a1fc9cf,
    0x3f62fdbe,0x18064fbb,0xd1ff33fa,0x7d3ff99f,0x0ff2b7e2,0x7fff9bfb,
    0xbcfc89f7,0xfc97e0ff,0x77ff14a9,0xf8ff79ff,0x667c0ff5,0x3e01be1f,
    0x0988fec6,0x203fcbf1,0x6c2fcc7f,0x03fa07ee,0x86f887f4,0x40ff9ff8,
    0xf32fcc6f,0x7cbf3f2b,0x26fb8886,0x073be27c,0x457e27f3,0x20186a5f,
    0x97dcbf31,0x3abee5f9,0x127e4c42,0xfb27e4bf,0x4fecafc4,0x0defc97e,
    0xfd3fcbf1,0x840ff5f8,0x3bbfe1fc,0x54ffc4ee,0x5f900ffb,0x22f777fc,
    0x2fecccff,0xd03f4fd4,0x5cfee01f,0x5fff503f,0xf8df0df0,0xf39f3dd6,
    0xffeffb89,0x3ee1ffff,0xfff71eff,0x80feadff,0x31fd4601,0xf98fea9f,
    0x7f7fe44f,0xffa8fea4,0x7f50ffff,0x37cbf1b7,0x25f885fb,0x2bf1f66f,
    0x21fc807f,0x44eeeeff,0x02ffffff,0xffff8bf9,0x7ffffc7f,0x7ea7c41d,
    0x7c403fa0,0x7ec01fb6,0x8ff0df05,0x5df4f9fd,0xf9afcc7f,0x32626026,
    0x1047f34f,0x4031dcbf,0x97dcbf31,0x50fee5f9,0xf893e69f,0x4c097f25,
    0x22fa8eef,0x41ffbafe,0x7d9be4f8,0xc807fafc,0x3e01be1f,0xf7009aaf,
    0x7f80ff0b,0xcfc83ff3,0xfe80cffc,0x17e7fa00,0x1be07f70,0xfdfb8df1,
    0x4c3fbf92,0xabffd9df,0x2e77ea6f,0x3f2bbe3f,0x93ef3f63,0xbcfe8601,
    0x7de7f47f,0xfd9dfa87,0x7fe6fe44,0x7f45fbbf,0x7fd47ebc,0x27c41fbb,
    0x57e3ecdf,0x21fc807f,0x806f806f,0x80ff05fa,0xd83fea7f,0x80ffffff,
    0x3bee00fe,0x81fdc02f,0x2627dc6f,0xfff50fff,0xfb5dff90,0xefeb83df,
    0x227ff4c4,0x060dffc8,0x33ff6218,0x0e7fec41,0x46fbffd8,0xfdaefeb8,
    0x3f7a20df,0x880101cf,0x07d9be4f,0x0f3333fe,0x667fc3f9,0x01be0ccc,
    0x49dddff1,0x363fc07f,0xe81fa05f,0x3ffe200f,0xf81fdc00,0x80ffdccf,
    0x17fe26ff,0x40080100,0x33330000,0x00003333,0x10200080,0x000000c0,
    0x3fffe000,0xf0fe45ff,0x43ffffff,0x7ffdc06f,0xf01fe5ff,0xd01ff88f,
    0x2007f40f,0x3fb805fd,0x1bdffff0,0x7fd13fa0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001fc97e,0x08800000,
    0x40008098,0x360fc809,0xfffff70f,0x2fd57ea1,0x4db1a9cc,0x7c3f71fd,
    0x87e49f75,0x2b8298b8,0x221b10ae,0x444441cb,0x22165408,0x6dc08888,
    0x97109b04,0x2742c983,0x4005931a,0x322c8ac8,0x03b91363,0x9f0fe4bf,
    0x6fc49fd5,0x797d31fe,0x0fe4c0bb,0x33ea13e6,0xfa85f800,0x5dccbf13,
    0x2bf60ffd,0xface80ff,0x4ffe3f70,0x2fd6fc7d,0xf9dd83b2,0x3eebfa22,
    0x6dc7fa65,0x3fffea7a,0x3f7d51ff,0x3fffffea,0xa85f5931,0x35e541ff,
    0xafc5b5d1,0x9f529eaa,0x2a6f7f22,0x49f3bf32,0x4441d75f,0x3f25f84c,
    0x3feb3fe1,0x4cbbff10,0xa84fffff,0x6440dffd,0x1dffe982,0xbb7417e0,
    0x41ff881f,0xfc82fff8,0x26fe24f8,0xff89f5ff,0x97f3007f,0x2fff441f,
    0x4d907e22,0x0cccccc9,0x664d369b,0xd911fdcc,0x85fee85f,0x25d664f9,
    0x4fbf6a95,0xffbf73f9,0x273e23ff,0x2044664f,0x25f80bdb,0xfc9fe1fc,
    0xbf10ff11,0xefe98fea,0x6666540b,0xeffc984c,0x99df9930,0x4374fdc1,
    0xff902fe8,0x81f99f10,0xfafbfbde,0x017fffc2,0x644f9fd8,0x643f02ff,
    0x4444440e,0x80ba36e0,0x5f1b91fa,0x107e57cc,0x7ef41f33,0x26dd83a1,
    0x5d4131e8,0x002e96c1,0x1fd9be00,0xf11fb9be,0x3e27f10d,0x640bfea4,
    0x107fffff,0x3fee3ff7,0x3e21ffff,0x03fd83fd,0xfb07fff1,0xdefb87f3,
    0x8ff87ef9,0xbcf8806f,0x3fb7ee0f,0xddf71f82,0x3ffffea1,0x01bfb11f,
    0xedfa8fd4,0x527c5f63,0x40130bbd,0x00001738,0xaa98ba60,0x2bfa2742,
    0xb97e1ffb,0x3e0bf11f,0x7542fecf,0x26621cff,0x7ecc1999,0x3e6622df,
    0x0ffd819e,0x0e667fe4,0x883fd3fd,0x3e60fbbf,0xbf0bff3f,0x20ec8fee,
    0xaf43f8ed,0x330985e8,0x5dddcc33,0xb98000bb,0x0ea2b800,0x00000031,
    0x5cd70000,0x2a2fc7ff,0x3e1fcdff,0x2fc47ee5,0x37fff7d4,0x4c1ffd98,
    0x1cffa84f,0xbf502fc0,0x5fffffb0,0x437ccfee,0x1ff83739,0x74bf05fb,
    0x45c1f90f,0x00040839,0x00000000,0x00000000,0x21800000,0x02003bb9,
    0x447ee5f8,0x0cc2505f,0x7d303220,0x32001730,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2eeeee20,0x5d17b1bb,0x55555554,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999100,0x3a2f6599,
    0xdddddd12,0x0000005d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_15_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
1,0,0,0,0,0,0,0,0,0,-1,0,0,-1,0,0,-1,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,-1,0,-1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,-1,-1,-1,-1,-1,0,0,0,0,0,0,0,-1,1,0,0,1,0,1,
-1,1,0,1,0,0,0,0,0,0,0,0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_15_latin_ext_y[560]={ 12,2,2,2,1,2,2,2,2,2,2,3,10,7,
10,2,2,2,2,2,2,2,2,2,2,2,5,5,3,4,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,13,2,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,5,5,5,5,5,5,2,2,2,5,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,5,2,2,3,2,
2,2,2,2,2,5,4,7,2,0,2,2,2,2,2,5,2,6,12,2,2,5,2,2,2,5,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,4,1,-1,-1,-1,0,-1,2,2,2,2,
2,2,2,1,4,4,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,3,4,2,2,2,2,2,2,2,
0,2,-1,2,2,4,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,0,2,-1,2,-1,2,2,4,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,2,2,-1,2,0,2,-1,2,2,2,0,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,4,-1,2,2,2,4,0,2,-1,2,-1,2,2,4,-1,2,2,4,-1,2,
-1,2,-1,2,2,4,-1,2,2,2,-1,2,2,2,-1,2,0,2,-1,2,-1,1,-1,2,2,5,-1,2,-1,2,
0,-1,2,0,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_bold_15_latin_ext_w[560]={ 0,3,6,8,7,12,10,3,5,4,5,8,3,5,
3,5,7,5,7,7,8,8,7,7,7,7,3,3,8,8,8,8,14,10,10,10,10,9,8,10,9,3,7,9,
7,11,9,10,9,11,10,9,8,9,10,13,9,10,8,5,5,4,8,9,4,8,8,8,8,7,5,8,8,3,
4,8,3,12,8,8,8,8,6,7,5,8,8,11,8,8,7,5,2,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,8,8,8,8,
2,8,5,11,5,7,8,5,11,9,5,8,5,5,4,8,9,3,4,4,5,7,12,11,12,8,10,10,10,10,
10,10,14,10,9,9,9,9,4,4,6,6,11,9,10,10,10,10,10,8,11,9,9,9,9,10,9,8,8,8,
8,8,8,8,12,8,7,7,7,7,4,4,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
10,8,10,8,11,8,10,8,10,8,10,8,10,8,10,10,11,9,9,7,9,7,9,7,9,7,9,7,10,8,
10,8,10,8,10,8,9,8,10,8,6,6,5,5,5,5,4,4,3,3,10,7,8,6,9,8,8,7,4,7,
5,7,6,7,6,8,4,9,8,9,8,9,8,10,9,8,10,8,10,8,10,8,14,13,10,6,10,6,10,6,
9,7,9,7,9,7,9,7,8,5,8,7,8,5,9,8,9,8,9,8,9,8,9,8,9,9,13,11,10,8,
10,8,7,8,7,8,7,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,10,8,8,8,8,8,8,8,8,8,8,8,8,8,12,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,6,6,10,
8,9,8,9,8,9,8,9,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,8,14,12,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_15_latin_ext_h[560]={ 0,10,4,11,13,11,11,4,13,13,5,8,5,3,
2,11,11,10,10,11,10,11,11,10,11,11,7,10,8,6,8,10,13,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,11,10,11,10,11,10,10,10,10,10,13,11,13,6,2,3,9,11,9,11,9,10,11,10,10,
13,10,10,8,8,9,11,11,8,9,11,8,7,7,7,10,7,13,13,13,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,13,11,8,10,
13,13,2,11,6,7,6,3,11,2,5,10,6,6,3,10,13,3,3,6,6,7,11,11,11,10,13,13,13,12,
12,12,10,13,13,13,13,12,13,13,13,12,10,12,14,14,14,13,13,7,12,14,14,14,13,13,10,11,11,11,
11,11,11,12,9,11,11,11,11,11,10,10,10,10,11,10,11,11,11,11,11,8,9,11,11,11,11,13,13,13,
12,11,13,11,13,11,14,11,14,11,14,11,14,11,13,11,10,11,12,11,13,11,13,11,13,11,13,11,14,13,
14,13,14,13,13,14,13,13,10,10,13,10,12,10,13,10,13,13,12,7,11,13,14,13,13,13,7,13,13,13,
13,10,10,10,10,10,10,13,10,13,11,13,10,10,11,11,13,11,14,11,14,11,11,9,13,10,13,11,13,10,
14,11,14,11,13,11,14,11,15,14,13,11,10,11,14,11,13,11,14,11,14,12,14,11,13,10,13,10,13,13,
12,13,10,12,10,13,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,13,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,11,13,10,14,
11,14,11,14,14,14,14,14,14,14,14,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,13,11,14,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_15_latin_ext_s[560]={ 255,213,232,130,195,194,243,219,243,80,213,
62,209,244,250,10,79,9,35,153,63,44,24,154,234,218,126,252,35,158,53,
145,112,189,235,207,103,15,43,13,135,162,226,166,1,223,125,136,25,75,52,
65,72,34,81,114,115,92,246,96,164,91,188,71,239,195,109,157,207,149,217,
127,204,200,20,180,176,238,10,175,218,227,19,141,202,1,71,105,88,70,80,
25,31,43,223,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,255,252,49,
118,26,243,58,72,81,161,182,97,173,244,53,87,203,156,152,197,243,120,102,
239,248,147,167,130,242,1,32,129,127,149,171,111,122,133,73,193,204,214,224,
144,234,248,12,154,58,192,10,33,140,19,30,138,170,161,182,203,41,61,98,
27,209,200,191,182,173,161,128,144,136,128,120,112,106,210,215,108,70,222,52,
43,34,25,16,44,218,243,234,225,216,239,103,112,91,174,121,157,132,139,224,
121,235,99,192,77,17,57,144,36,61,17,182,1,182,235,218,227,233,208,10,
9,28,26,39,1,60,52,10,71,42,61,87,201,35,194,85,1,249,43,21,
228,81,251,216,174,246,211,201,192,117,95,169,161,155,45,36,21,29,12,7,
85,111,70,236,51,185,145,47,61,1,147,213,87,130,177,1,204,182,165,160,
170,138,138,100,186,110,104,81,96,50,156,1,11,34,166,49,192,1,183,245,
198,90,1,80,61,120,16,164,96,150,231,184,1,70,229,88,102,53,141,79,
172,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,66,166,166,174,
166,166,166,166,166,166,166,166,166,166,166,166,166,86,184,166,166,166,166,166,
166,166,166,166,166,166,166,166,108,227,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,203,245,
238,178,171,25,151,148,130,121,111,102,92,83,73,64,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,53,44,214,87,21,100,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,
166,166,166,166,166,166,166,166,166, };
static unsigned short stb__arial_bold_15_latin_ext_t[560]={ 1,122,144,74,17,98,60,144,46,46,144,
144,144,148,148,86,86,133,133,86,133,98,110,122,98,98,144,110,144,144,144,
122,32,122,122,98,133,133,133,110,122,122,98,122,133,122,122,98,133,98,133,
98,133,98,133,133,122,133,122,32,98,32,144,152,148,133,98,133,74,133,122,
98,122,122,32,122,122,133,144,133,86,86,144,133,60,144,144,144,144,122,144,
32,32,32,144,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,1,74,32,
98,144,110,32,32,152,86,144,144,144,148,98,152,144,110,144,144,144,110,32,
144,144,144,144,144,98,110,110,110,32,32,32,60,60,60,110,32,32,32,32,
60,32,32,46,60,122,60,1,1,1,46,46,144,60,1,1,1,46,32,122,
74,86,86,86,86,86,60,133,86,86,86,86,86,110,110,110,122,86,110,86,
86,86,86,86,144,133,74,74,74,74,32,46,46,60,74,46,74,46,74,1,
74,1,74,1,74,17,74,46,74,110,74,60,74,46,60,46,60,46,60,32,
74,17,60,17,60,17,60,60,17,60,46,122,110,60,110,60,122,46,122,60,
46,60,133,60,46,1,46,46,46,144,46,46,46,46,110,122,122,122,122,122,
46,110,46,86,46,110,110,74,86,46,98,1,86,17,98,98,133,32,110,32,
98,32,110,17,98,17,86,32,86,17,98,1,17,32,74,122,74,17,74,17,
74,17,86,17,60,17,98,17,110,17,110,17,32,60,17,110,60,110,17,122,
110,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,74,133,133,17,
133,133,133,133,133,133,133,133,133,133,133,133,133,74,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,74,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,17,86,
17,110,1,98,1,74,1,1,1,1,1,1,1,1,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,1,1,17,98,1,98,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,133,
133,133,133,133,133,133,133,133,133, };
static unsigned short stb__arial_bold_15_latin_ext_a[560]={ 60,72,102,119,119,191,155,51,
72,72,84,125,60,72,60,60,119,119,119,119,119,119,119,119,
119,119,72,72,125,125,125,131,209,155,155,155,155,143,131,167,
155,60,119,155,131,179,155,167,143,167,155,143,131,155,143,203,
143,143,131,72,60,72,125,119,72,119,131,119,131,119,72,131,
131,60,60,119,60,191,131,131,131,131,84,119,72,131,119,167,
119,119,107,84,60,84,125,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,60,72,119,119,119,119,60,119,
72,158,80,119,125,72,158,119,86,118,72,72,72,124,119,60,
72,72,78,119,179,179,179,131,155,155,155,155,155,155,215,155,
143,143,143,143,60,60,60,60,155,155,167,167,167,167,167,125,
167,155,155,155,155,143,143,131,119,119,119,119,119,119,191,119,
119,119,119,119,60,60,60,60,131,131,131,131,131,131,131,118,
131,131,131,131,131,119,131,119,155,119,155,119,155,119,155,119,
155,119,155,119,155,119,155,154,155,131,143,119,143,119,143,119,
143,119,143,119,167,131,167,131,167,131,167,131,155,131,155,131,
60,60,60,60,60,60,60,60,60,60,169,119,119,60,155,119,
119,131,60,131,60,131,83,131,103,131,60,155,131,155,131,155,
131,152,155,131,167,131,167,131,167,131,215,203,155,84,155,84,
155,84,143,119,143,119,143,119,143,119,131,72,131,103,131,72,
155,131,155,131,155,131,155,131,155,131,155,131,203,167,143,119,
143,131,107,131,107,131,107,60,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,156,161,161,119,161,161,161,161,161,
161,161,161,161,161,161,161,161,183,153,161,161,161,161,161,161,
161,161,161,161,161,161,161,178,156,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,155,119,60,60,167,131,155,131,155,131,155,
131,155,131,155,131,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,155,119,215,191,167,131,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_15_latin_ext(stb_fontchar font[STB_FONT_arial_bold_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_15_latin_ext_s[i] + stb__arial_bold_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_15_latin_ext_t[i] + stb__arial_bold_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_15_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_15_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_15_latin_ext_x[i] + stb__arial_bold_15_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_15_latin_ext_y[i] + stb__arial_bold_15_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_15_latin_ext_s[i] + stb__arial_bold_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_15_latin_ext_t[i] + stb__arial_bold_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_15_latin_ext_x[i] + stb__arial_bold_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_15_latin_ext_y[i] + stb__arial_bold_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_15_latin_ext_LINE_SPACING
#endif

