// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT        172
#define STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_16_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_16_latin_ext_LINE_SPACING          10

static unsigned int stb__arial_bold_16_latin_ext_pixels[]={
    0x4cc40c00,0x20099999,0x00980098,0x026002a8,0x4ccccccc,0x00980000,
    0x4110054c,0x50088600,0x00054c05,0x404c40aa,0x546600a9,0x22001a82,
    0x8551001a,0x8a882619,0x54c400a8,0x6c403301,0xffb0b900,0x407fffff,
    0x17dc00ee,0x6c00fea0,0xffff80ff,0x5f904fff,0x301ffc80,0x4ed40ddf,
    0x3a6b603c,0xc84ffc80,0x80dd81ff,0x85ff885d,0x2ff00ffc,0x3bffea5d,
    0xfdffb300,0x0fdc01bf,0xf537c5fe,0xfe803f53,0x03ff986f,0x217e01fd,
    0xaacfdaa9,0xb001b300,0x2009b005,0xff84c9e9,0x701aaaab,0x64f4c03d,
    0x03917704,0x32201f5c,0xc99c882d,0x6c417fc0,0xdb85d82b,0x1fe442d8,
    0x7f4bb4c8,0xcf984fa9,0x403b660a,0x7914c81b,0x440188c4,0xffc819ef,
    0x80bffa86,0x017e404c,0x80a82a62,0x0eec403c,0xff01a880,0x02a62001,
    0x5c401530,0x26a60550,0x81881980,0x198bf02a,0x85d86253,0x7f300a98,
    0xfd2ecaa0,0xb99fcc07,0x2a6d9a89,0x1546a20a,0xa882aa55,0x82dfca81,
    0x6c1feef8,0x8dc43fff,0x202fc82a,0xfceffffa,0x100ddcc2,0xff88039b,
    0x4ffc4fff,0xffa81999,0x7f4c1dff,0x7fd42eff,0x7fd46fcf,0x07fc3fff,
    0x10ff07fa,0x740ff8bf,0xffa8bb1f,0x27cc1dff,0x7dcbb7f8,0xf74d80df,
    0x1f57fddd,0xf2fc8fee,0x1fddbe2f,0xffff05f9,0xbf59f70d,0x2a09fe88,
    0xc86fcfff,0x7dff502f,0x1760bff9,0x4c07ff30,0x3ffbbeff,0x3ffffffe,
    0x36f7fe61,0x5d67f47f,0x227fa0ff,0x3bfea6fd,0x3fe3ffdb,0x1fe0ff40,
    0x81ff13e6,0x7ccbb1fe,0x447fdbdf,0x576ff05f,0x42ffdcf9,0x3fe5f89f,
    0xe9be25d1,0x8b7c5fe7,0xfd81fa6f,0xff13fd01,0x7f40fe81,0xfc86fd89,
    0x7c47fd02,0x15dcc0ff,0x6c0dff90,0xff274c4f,0x74155557,0xff0f743f,
    0x4bf11ec8,0x30ffa6f9,0xd03fe1ff,0x7547f83f,0x3a07fc1f,0x1ff4bb1f,
    0x0bfb07ba,0x2e5f70ff,0x3eef30ff,0xd1743f60,0xbfc9f31f,0x263fa6f8,
    0x203fa04f,0xd0ff66f9,0xf32fc41f,0xf105f90d,0x3fb7a21f,0x13ffff22,
    0x407fbbe2,0x0ff801ff,0x2003fe20,0xfa81cffc,0x7fc5be65,0x1ff2ff80,
    0x23fc1fe8,0x40ff85fc,0x3e2bb1fe,0x1ff3000f,0x1ff987f8,0x3ed6e5f7,
    0x3ea3c5ba,0x45fe1fcb,0x3f2fea6f,0x320df101,0x46ffffff,0x997ea0fe,
    0xa82fc86f,0x3f2bd16f,0x1fe29913,0x217eb3ee,0x2aaa26f9,0x4c01ff0a,
    0xffb1006f,0x73fc47ff,0x6c1be6df,0xfe81ff3f,0x3f623fc1,0x3fa07fc3,
    0x01be6bb1,0x77f81fe8,0x7ddffe47,0xf99f6d51,0xeef88bb4,0x26f8bfc6,
    0x2606eef8,0x999ff05f,0x67f43ff9,0x37dcff11,0xb7c417e4,0x887fb0ed,
    0x9fe87fdb,0x3fc40ff8,0x3e3ffff1,0x34eeeeef,0xec9800ff,0x37bf62ff,
    0x20ff36ff,0xe81ff3fd,0x7c43fc0f,0x3fa07fc4,0x01fe6bb0,0xb7f827c4,
    0x23fffb8b,0xeacfa8f8,0xfc80eddf,0x6f8bfc4f,0xf5027fe4,0xf70bf507,
    0xfb1ffdcb,0xf90dffbf,0x83b7fa05,0x33bf62ff,0xfb37cc7f,0x4cc5ff07,
    0xfffff1fe,0x07fe2dff,0x70aa2175,0x45fec4bf,0x883ff15f,0xe81fd2ff,
    0x7c43fc0f,0x3fa07f45,0x07fe2bb0,0x827cc175,0xfd10bb7f,0x5bd74e8b,
    0x981119dd,0xf8bfc1ff,0x900ffcc6,0x105fb05f,0x220cc1ff,0x885f8bec,
    0x43ff9009,0x49f50ffb,0x7fffe47f,0x0dfc86ff,0x3c407fa2,0x3ff127ec,
    0x5fb83fe2,0x3a5f98aa,0x43fee0df,0x11fe23fd,0xfb1be0df,0x4bb3fc47,
    0x87fe24fd,0xb6f883f9,0x98ff264b,0x217dc05f,0x2fcc06f9,0x1fd01be6,
    0x4f88f000,0x709f3154,0x3bff205f,0x3e62ffec,0x3e0ffc9e,0x1ffccccf,
    0xffddffe8,0x413f100f,0x4ffdfff9,0x7fee7fe4,0x3fb37f62,0x3f7ffe62,
    0x37fea2ff,0x3faa4ffd,0x2a1bfd05,0x24ffddff,0x37ffe65d,0x0bfae4ff,
    0xc976bfd5,0xe884fcdf,0xfecaabce,0x80bff262,0xff934ffa,0x01ff7605,
    0x6c42be20,0x7f677ec3,0xf982fa82,0x81effecb,0x51fddffc,0x10bf70bf,
    0x019dffd9,0x7ec44fc8,0x75c40bef,0x76442eff,0xffd883ef,0xfffb81ef,
    0x07bee0cf,0xff70ff4c,0x22ec19ff,0x20beffd8,0x1efb84fc,0x5f75c4bb,
    0xdfb95100,0x4ff98159,0xf986fe40,0x0bbfa04f,0xe8afe400,0x1f7f6440,
    0x010a0698,0x417ec020,0x00200ff8,0x04002000,0x80020000,0x04000000,
    0x00000800,0x00000000,0x00000000,0x98000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x18819800,0x13001530,0x000098a0,0x510a80cc,0x01540660,
    0x80013000,0x27ee0009,0x17bb204e,0x81fccf98,0xdb01fade,0x076207dd,
    0x36e03760,0xaaaa82e9,0x4059b300,0xd302dbed,0x26620007,0x3fe13330,
    0x7e40ff40,0x40ffe402,0x7cc06bdc,0x9ee1fe05,0xc87f81f9,0x013603ff,
    0x64007ff2,0x3f6001ff,0x20485c06,0xf302f8dd,0x5555407f,0x4049ab81,
    0xbff101f9,0x05dddd10,0x64412aee,0x3ee00dca,0x3f62c800,0x3e7fff5f,
    0x4c0ff40f,0x327a600a,0x88017504,0xf11fe04e,0x44c85e89,0x540c99c8,
    0xd101efff,0x3d300b93,0x564c0099,0x190b9980,0x8888ccc3,0x188c4661,
    0x4cc351a8,0x5503190b,0x73550351,0x30c40cc3,0x98632173,0x99a81881,
    0x3107401b,0x7c27bebf,0x220ff40f,0x04c0550b,0x20550b88,0x71fe01a8,
    0x541fb83f,0x1a882aa2,0x317f77ba,0x22131013,0x2620cc41,0x7ffffd40,
    0x3fa07fc3,0x1fe81ff1,0x41fe81ff,0x07fcbf5f,0x3ebf07fa,0x7cbf5f85,
    0xff8ff40f,0x0ff8ff40,0x7d7e0ff4,0xf10d9505,0x81ff1beb,0x3ffea1fe,
    0x0bf306fc,0x8df9fff5,0x84fffff8,0x7c43ec7f,0x47f73fc4,0x799f12fc,
    0x4c6fb811,0x645fb0ff,0xa8bf61ff,0x3ffdbeff,0x23fd03fe,0xf8ff40ff,
    0x260ff40f,0x207fc130,0x0984c1fe,0x7fc13098,0x0ff8ff40,0x40ff8ff4,
    0x0984c1fe,0x217fffd4,0xff8df5f8,0x3fd0ff40,0x3e60dfb1,0xfd89fe85,
    0x2efbfe66,0x3e3fc3ff,0x27f8bf06,0xfd1fa6f8,0xd1ff407d,0xfd1fdc7f,
    0xfd07fc7f,0xff0ff987,0x1ff1fe81,0x81ff1fe8,0xa88aa1fe,0x1fe81ff1,
    0x2a1a88aa,0x07fc6a22,0x207fc7fa,0xe81ff1fe,0x1a88aa1f,0x83fb67fa,
    0xff8df5f8,0x5f887f40,0x2fcc1be6,0x26f997e2,0x2274c4fd,0x7c17e27f,
    0x23fa3fc6,0x7ffd44f9,0xa8ff980c,0xf8afcc6f,0x44df15fe,0xf2ff80ff,
    0xff1fe81f,0x1ff1fe81,0x99fe1fe8,0xfe81ff5f,0x25f99fe1,0x7fd7e67f,
    0x0ff8ff40,0x40ff8ff4,0xf99fe1fe,0x20d1bf15,0xfe8df5f8,0x5fa87fc0,
    0x2fcc1be6,0x26f997ea,0x4ff001ff,0xf8fd04f9,0x0fe5fd47,0xc837fec4,
    0x7c41ffcf,0x2afd7f57,0x6c1be64f,0xfe81ff3f,0x1fe81ff1,0x21fe81ff,
    0x7fd7e67f,0x4ff0ff40,0xf99fe5f9,0x1fe81ff5,0xf1fe81ff,0x3e1fe81f,
    0x6fd57e67,0x3ebf104a,0xff11fec6,0x0df73fc4,0x4ff117e6,0x44df36fb,
    0x1fe0aaaa,0xff1be0bf,0x206eef88,0xf880fdbc,0x91fd04ff,0x5f93f93f,
    0x3fd83fcc,0xf0fe81ff,0xff0fe81f,0x9fe0fe81,0xe81ff5f9,0x5f99fe0f,
    0xff5f99fe,0x1ff0fe81,0x81ff0fe8,0xf99fe0fe,0xb73bff15,0x46fafc43,
    0x4ffddffa,0x37fef7ec,0xefd85f98,0x4ff16ffd,0x3e1ffff8,0x45f83747,
    0x44ffc87f,0x0fbbccf9,0x7e40df50,0xfd7f57fa,0x220ffc41,0xe81fd2ff,
    0xfe81fd0f,0x0fe81fd0,0xfd5f99fe,0x9fe0fe81,0xf99fe5f9,0x0fe81fd5,
    0xd0fe81fd,0x3e0fe81f,0xffe97e67,0x57e20ffb,0xeffeb86f,0xf8bfd884,
    0x17e61515,0x97e2ff62,0x3fa662ff,0x30fb1fe1,0xf987f87f,0xfdefe81f,
    0xa817e605,0xfbf14fef,0x5c1bfd0d,0x447fb0ff,0xf88ff67f,0x7f88ff67,
    0x36bf53fc,0xff1fe23f,0x54ff2fd4,0x7c47fb5f,0x7f88ff67,0x47f88ff6,
    0xfb17ea7f,0xf5f885bf,0x5501ec0d,0x72fbafcc,0x7cc5509f,0xe8837f25,
    0x3f30f11f,0xf30787b8,0x33ff660d,0x8817e600,0x3ffa2fff,0xfdfff984,
    0x37fea2ff,0x3fea4ffd,0x3ea4ffdd,0x744ffddf,0xf55febcf,0xe89ffbbf,
    0x3a5febcf,0xf55febcf,0x549ffbbf,0x24ffddff,0x4ffddffa,0x2ff5e7f4,
    0xafc402f2,0x0233606f,0x4bfb37f6,0x82ffdff9,0x42fecdfd,0xfffddffe,
    0x4d813f10,0x427e21f4,0x6402ffc9,0x405f9803,0x3ff20ffe,0xdfffb102,
    0x9ffff703,0xcffffb81,0x67fffdc0,0x7d77fcc0,0x33fffee5,0x7d77fcc0,
    0x3ebbfe65,0x33fffee5,0x67fffdc0,0x67fffdc0,0x7d77fcc0,0xbf970345,
    0x3a6073fe,0xefec881e,0x81f7f5c3,0x883efec8,0x40ceffec,0x987d45fc,
    0xf35fc80f,0x0013009f,0x6fc80bf3,0x04007fd4,0x00200100,0x08004004,
    0x00080080,0x04002001,0x40910040,0x5ddb4eec,0x00800000,0x00008000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000bfe20,0x4ccc0066,0x74fd4099,0x002a6205,
    0x6f880153,0x4007f400,0x9f5005fc,0x81c4e4c0,0x201c89c8,0x3330773b,
    0x2fc80133,0x2a008220,0x2206604f,0xf5dd001d,0x98003309,0x7ceec05f,
    0x3b602082,0x3e6000fc,0x7fff4403,0x0ffc86ff,0x3bffff50,0x2efffe98,
    0x5400be60,0xfbfa801f,0x7405e802,0x7f303fec,0xeb7407f3,0xffffff86,
    0x881b202f,0x17a04b9e,0x95370ff0,0x05d9fa80,0x0ec800ff,0xe827fc40,
    0x426666a9,0x09900199,0xfdbfffb0,0x26039309,0x47fdbdff,0x0ffbacfe,
    0x50015730,0xaa980137,0x00e4c01a,0x2602aa66,0x20333099,0xff81baa9,
    0x20ffdbab,0x540c4619,0x218cc0cd,0x2667f818,0x2203190b,0x0ff00baa,
    0x2005dc40,0xbb300ca8,0x3fa07fc3,0x26666201,0x3fe09999,0x260fcbff,
    0x742efffe,0xff0f743f,0x7fd41ec8,0xff503fff,0x3ea07fff,0xe983ffff,
    0xfa82efff,0x7fc3ffff,0x3ea0ff40,0x7fc3ffff,0x1ff17f40,0x33331fe8,
    0x03fe1333,0x3e7f83fd,0x2a0ff40f,0xf83fffff,0x3ea02b8f,0xfa81dfff,
    0x1981dfff,0x07fa07fc,0x7fffffc4,0x3ff63fff,0x3fa0fcbf,0xf10ffbac,
    0x9ff9001f,0x2fbfea03,0x7fd43ffd,0x543ffdbe,0x3ffdbeff,0x7fdd67f4,
    0x36fbfea0,0xd03fe3ff,0x5f7fd43f,0x83fe3ffd,0x03fe0fe8,0x3fffe3fd,
    0x81ff4fff,0xff3fc1fe,0x3ea1fe81,0x43ffdbef,0x41fffeff,0x7fdbdff9,
    0x7edeffcc,0x07fc7f87,0x67e407fa,0x0aaaacfe,0x3f2fffe6,0x23d91fe0,
    0xfb1006f9,0x3fe87fff,0x7fd07fcc,0x3fa0ff98,0xff07fcc3,0x0ffa1ec8,
    0x03fe1ff3,0x21ff43fd,0xffff0ff9,0x0ff89fff,0xabff8ff4,0x81ff1aaa,
    0xff3fc1fe,0x3fa1fe81,0xff07fcc3,0x7fd13ee7,0x0ffa1ee8,0x7c7f83dd,
    0x440ff40f,0x2005f97f,0x320fcbfb,0x7f981cff,0x7ff64c00,0xff01ff12,
    0x3e03fe25,0xf01ff12f,0x0e7fe45f,0x7fc07fc4,0x1fe81ff2,0x5ff01ff1,
    0x03ffbbfe,0x23fd03fe,0x03fe00ff,0x3e7f83fd,0xf88ff40f,0x3e2ff80f,
    0xff89fe0f,0x007fc400,0x207fc7f8,0x93fc81fe,0x2033337f,0x220fcbf9,
    0x223ffffd,0x885d41ff,0xf9afdc2a,0x3e67fb06,0x3e67fb06,0x6c47fb06,
    0x3e63ffff,0x3fe7fb06,0x6f98ff40,0x43fe7fb0,0x40ff86fc,0x333ff1fe,
    0x3a07fc33,0x1ff3fc1f,0x0df31fe8,0x747f8ff6,0x300df30f,0x23fc00df,
    0x207f40ff,0xfff90ff8,0x2fe60fff,0xfec980fc,0xf893f62f,0x5c1ff11f,
    0x360ff35f,0x360ff33f,0x360ff33f,0xffec983f,0x3f60ff32,0x0fe81ff3,
    0x4ff60ff3,0xf13fa0ff,0xff0fe81f,0x3e3fffff,0x3e07f40f,0x1fd03fe7,
    0x1fec1fe6,0x99be23ff,0x07f9807f,0x81fd1fe0,0x4efdc0fe,0x2aaacfd9,
    0x21f97f30,0x32fdc2a8,0x89ffbfff,0x2ffdcffc,0xff883ff1,0xf883ff12,
    0x883ff12f,0xb85512ff,0x883ff15f,0xe81fd2ff,0x883ff10f,0x4c1ff2ff,
    0xd03fa2ff,0x2aaffe1f,0xe81fd0aa,0x1fd3fc0f,0x3ff10fe8,0x3fe2ff88,
    0x3e23febf,0xf885d41f,0x3e05d41f,0xff11fec7,0xffffffd0,0x32fe6005,
    0x5c1ff10f,0x77fec45f,0x7ff5c40b,0x706ff42e,0x06ff41ff,0x6ff41ff7,
    0x7c43fee0,0xfe97ee0f,0x6c3fee0d,0xfd1fe23f,0xf87fdc1b,0xfb37dc0f,
    0x1ff3fc47,0xff11fec0,0x11fecff0,0x20dfe8ff,0x2ffe0ffb,0x27ec0bff,
    0x27ec3ff1,0x47f83ff1,0x4ffddffa,0x766677d4,0x97f3002f,0x6e7fe41f,
    0x07d902ff,0xf981dd98,0x42fffdff,0xfffdfff9,0x7efffcc2,0x67fe42ff,
    0x3fe62ffd,0x2a2fffdf,0x44ffddff,0xfffdfff9,0x2a03bb02,0x24ffddff,
    0x3fea00ff,0x7444ffdd,0xfbbff50d,0xdfff989f,0x03fc2fff,0x7fefffcc,
    0x7efffcc4,0xfb87f84f,0x7f40cfff,0x77777ec2,0xfcbf983e,0x3bffae20,
    0xe803dc02,0xdfffb104,0x3fff6203,0xfffb101e,0xffd7103d,0xfffb105d,
    0xffff703d,0xfffb1019,0x02ec403d,0x419ffff7,0x4eeeeeff,0x033fffee,
    0xfffb8fa2,0xffd880cf,0x007f81ef,0x017dffb1,0x017dffb1,0xf50080ff,
    0xfffffb0d,0xd75d309f,0x3b200201,0x33ba201d,0x04000800,0x00800200,
    0x00080020,0x077ba002,0xffff8040,0x20106fff,0x0100cee8,0x017a0040,
    0x40080020,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa9800,0x0058ac40,0x44310330,
    0x98062001,0x406a2001,0xd8198819,0x3ea02f9d,0x90077404,0x7c407f3d,
    0x43200fbb,0x2f3a200c,0x4d4c400f,0xf307d500,0x2037dc0b,0x3ea003fb,
    0x32a32a04,0x3205d500,0x4eeeb82f,0x202ffc80,0x43ff85f8,0x001fd0fd,
    0x1fe09ff3,0x3ffffa60,0xff507fc4,0x809ff105,0x00fd405e,0x7d402ff4,
    0x27fd402f,0x201ffcc0,0x83fffffa,0x4c0db05e,0x36404ebf,0xfb80bd00,
    0x7f700fb8,0x9a982ec0,0x401b8800,0x0fff84e8,0x007f43f6,0x7c074e6c,
    0x5f7fcc07,0x43fe3ffb,0x4cc42ff9,0x330999aa,0x2a661886,0x5333009a,
    0x8c466013,0x80066018,0x77fd402a,0x0d43ffdb,0xaa980662,0x53009aa9,
    0x9806a001,0x209a99a9,0x8199a999,0x7fffd429,0xffff103f,0x9999989f,
    0x4bfff099,0x401fd0fd,0x3fc18819,0x227ec155,0x263fe4e9,0xfffd83ff,
    0x7ff3ffff,0xffff0fd8,0xfff85fff,0x7fc2ffff,0x7cc07ec3,0x3ff9803f,
    0xff50ffa0,0x03fa3fc1,0xfffffff8,0x803ff984,0xfff03ff9,0x3e69ffff,
    0x41ffffff,0x2fbfea7f,0x7fcc3ffd,0x3e3ffbbe,0xf4ffffff,0x43f65fdf,
    0x03fe00fe,0xfcbfc3fd,0x7c00ffc5,0x5303ffaf,0x21559fb5,0x43f60fff,
    0xffdbabff,0x36eaffe0,0x83ffe0ff,0x6ffc80fd,0x106ffc80,0x45ff01ff,
    0xf007f47f,0x0355557f,0xf900dff9,0x2affe0df,0x55511aaa,0x7f81ffb5,
    0x1ff30ffa,0x93a627ec,0x1aaaabff,0xfb1df3ff,0xff803fa1,0x7ff0ff40,
    0x226f98df,0xfff0aaaa,0x5f900bff,0x7ecbfff0,0x2fe81ff0,0x45fd03fe,
    0x03f65fff,0x403fddf1,0xa81feef8,0x7c7fb06f,0xff007f47,0xfddf1001,
    0x7f77c403,0x2000ff81,0x17f82ff9,0x45ff01ff,0x0ff801ff,0x6e7e5fe0,
    0x7c01fd0f,0xff0ff40f,0x27f883ff,0xff1ffff8,0xc805ff9f,0x2feff82f,
    0x883fe1fb,0x883fe0fe,0x3fbfe0fe,0xcfb81fb2,0x33ee05fa,0x07f985fa,
    0x3a3fc7f9,0x267fe00f,0xacfb8199,0x2b3ee05f,0x999ff85f,0x07ff1019,
    0xd837cdfe,0x544df33f,0x33ff0aaa,0xf8bfc333,0x01fd0fef,0x74cccffc,
    0x17fffe1f,0xfe9987fa,0x3fea7ff1,0x3e0bf200,0x0fd8ef9f,0x9fffffff,
    0xfffffff8,0x477cffc4,0x44ff40fd,0x13fd00ff,0x1ff881ff,0x7f87fa13,
    0xfff007f4,0xfe83ffff,0xfd00ff89,0xff81ff13,0xe81fffff,0x7cdfe05f,
    0x3e27fb07,0x47fffe27,0x1fffffff,0x87ffdcff,0x3ffe00fe,0x3e1fffff,
    0x7dc2fd8f,0x7c7fa60d,0xc817fa0f,0x9f97f82f,0x3bbfe1fb,0xeeff80ff,
    0xf97f80ff,0x37cc1fb9,0x4df307fb,0xb4fe83fd,0x3fc1ffbf,0xbff803fa,
    0x3e60aaaa,0x3e60ff66,0x7ff0ff66,0xfd815555,0xff8bfc06,0xff17fc41,
    0xf8ff4cc5,0xf0aaaabf,0xfd0ffe8f,0x3e3ddddd,0x1ffccccf,0x2237c5fe,
    0xfffedffe,0x7fcc1ff0,0xff05f902,0x7c3fbfe2,0xff0df90f,0x5fe1bf21,
    0x320feff8,0x86ffffff,0x6ffffffc,0xffcfff98,0x3fa3fc3f,0x9003fe00,
    0x0dffffff,0xdffffff9,0x7dc00ff8,0xfd3fc00f,0x907fdc1b,0x8ff441bf,
    0x31fe00ff,0x3fffa1ff,0x81ff2fff,0xfc9fe1fe,0x77ffe443,0xf903fe0c,
    0xf05f901d,0xf87ffdcf,0xff13fa0f,0x9fe27f41,0x3fe0fffb,0x41ffcccc,
    0xffccccff,0xefffd881,0xfd1fe4ff,0x2007fc01,0xffccccff,0x66667fc1,
    0x803fe1ff,0x7f801ffa,0x3ff7ffe6,0xddffe82f,0x01ff0fff,0xdc807760,
    0x7f40ff82,0x5c02dd81,0x01dd803f,0x47f82fc8,0x41ff0ffe,0x83fe2ff9,
    0xd1fe2ff9,0x217ea1ff,0x217ea5fb,0xb10405fb,0x3bfa3fc7,0xdff1eeee,
    0x3ea9dddd,0x3ea5fb85,0x3fe5fb85,0xfd4eeeee,0x85dddddf,0x7ffec47f,
    0xffd9101e,0x777fc19d,0x5d884eee,0x07fc3640,0x02ec07fa,0x362007d4,
    0xf82fc805,0xff87fcc7,0x1ff37dc0,0x31fe6fb8,0x20bf61ff,0x05fb0ff8,
    0x40001ff1,0x7ffff47f,0xfffff2ff,0x20bf6dff,0x05fb0ff8,0x3ffe1ff1,
    0xffd6ffff,0xf87fffff,0x01000207,0x7ffffffc,0xc80ef746,0x40ff82df,
    0x0ef6c1fe,0xe805bd50,0x000001de,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf9ed8000,0x203fb002,0x03ff104c,
    0x01951950,0x300d45dc,0x98039339,0xaaaa885f,0x74401100,0x0fec1dbd,
    0x7ec0ff20,0x0e44e4c4,0x802aaaa2,0xa98198ba,0x65fc42aa,0x17a7ea0f,
    0x1ff88fee,0xa82fadd8,0x15106a22,0x220aa853,0x3302b81a,0x98027fc4,
    0x741fe02f,0x7e400ecd,0xbd300fb8,0x57d401ff,0x076402fa,0x40f7774c,
    0x57501dd8,0x8817609b,0x3f7f703f,0x217cd7d4,0x101eeee8,0xd503ffbd,
    0x5ff50ddd,0x9d01ff90,0x440ecdd8,0x4cff04ff,0x44eed85f,0xb8bf23fb,
    0xbfc2efff,0x3009aa99,0x04c41113,0x26666055,0x22333300,0x4c440999,
    0x4ccc4009,0x33533009,0x44033033,0x20cc01cd,0x099a9999,0x13335333,
    0x310442a6,0x06601333,0x86220998,0x09999999,0x2a666154,0x306a099a,
    0x54cc1333,0x33fc199a,0x109910bf,0x3ba3f4df,0xfbfc7f88,0x40cfffff,
    0x07fcc6fb,0x0ffe60ff,0x7fcc6fb8,0x803ff980,0xff303ff9,0xf83fffff,
    0x00ffe607,0xfffff8ff,0xfffff4ff,0x201fe9ff,0x0ffe607f,0x43f61ffc,
    0x4fffffff,0x3fffe3fc,0x21fe4fff,0x7fffcc7f,0x99fe1fff,0x3a05705f,
    0x3e64f98f,0x3e1feaad,0xfcbbff8f,0x3a3fe84f,0xfc83fc3f,0xd1ff406f,
    0x1bff207f,0x441bff20,0x0ffdaaaa,0xdff903fc,0x5ffc7f80,0x7ff1aaaa,
    0x1fe35555,0xffc81fe0,0x6c1fff06,0x5557ff0f,0x7fc7f835,0x3e1aaaab,
    0x55447f87,0x3e0ffdaa,0xff717e67,0xcbfa85df,0x3bbbee1f,0x3fbfe1ee,
    0x307fe20f,0xf0df51ff,0x3fddf10f,0x7d47fcc0,0x3fddf106,0x0ff77c40,
    0x7c17fcc0,0x3fddf107,0x03fe3fc0,0x5fe00ff8,0x107f81b9,0xff03fddf,
    0xff87ecbf,0x7fc7f800,0x3fc3fc00,0xff0bfe60,0x23ba2fd4,0x777c47f8,
    0x8132fcc6,0x640ff9ff,0xffcfc82f,0xcfb87f81,0x67e405fa,0x59f701ff,
    0x567dc0bf,0x1ffc405f,0x59f707f8,0x3e3fc0bf,0x3e19999f,0x3e19999f,
    0x7c2fffdf,0xbf59f707,0x365fdff0,0x3333ff0f,0x9ff8ff03,0x43fc1999,
    0x0ffe207f,0x97faf3fa,0x1feaadf9,0x7fc27fe4,0x5ff26fbb,0x427e40ff,
    0xff04fff8,0x1ff13fd0,0x027ffc40,0x01ff13fd,0x03fe27fa,0x1fe05fe8,
    0x07fc4ff4,0x7fffc7f8,0xffff1fff,0x4ffe3fff,0xe83fc5fa,0x7c0ff89f,
    0x0fd8ef9f,0x3fffffff,0x7fffc7f8,0x21fe1fff,0x417fa07f,0x25faeff9,
    0x1eeeeefb,0x74c0ffcc,0x5ff21dff,0x81fe40ff,0x31fe06fa,0x201fecdf,
    0x9be606fa,0x26f983fd,0x0dfb03fd,0x26f987f8,0xf8ff03fd,0xf0aaaabf,
    0x2155557f,0xf8bf30ff,0x3f66f987,0xdcfcbfc3,0x5557ff0f,0x7fc7f815,
    0x3e0aaaab,0xdfb07f87,0xf31a2100,0x37cc04cb,0xfbfc0f20,0x9817ec0f,
    0xf91fe05f,0x80dfffff,0x3ff205f9,0xfc86ffff,0xb86fffff,0x43fc00ff,
    0x6ffffffc,0x00ff8ff0,0x27f803fe,0x643fc5f8,0x46ffffff,0x1fdff17f,
    0x1fe003fe,0x87f801ff,0x00ffb87f,0xff827e60,0x3f266fbb,0x046e402f,
    0xf107fdfe,0x817e601f,0x6667fc7f,0x3e601ffc,0x3333fe05,0x67fc1ffc,
    0x2a1ffccc,0x87f801ff,0xffccccff,0x07fc7f81,0x3fc01ff0,0xf87f8bf1,
    0x1ffccccf,0x0fffb9fe,0x8ff001ff,0x43fc00ff,0x00ffd47f,0xfd327e40,
    0x27fcc3bf,0x3e0f74c0,0xffdddff7,0xf02fcc07,0x7dc2fd4f,0x5417e605,
    0x2a5fb85f,0x3a5fb85f,0x2eeeeeff,0x217ea3fc,0x7c7f85fb,0xf4eeeeef,
    0x29dddddf,0xff17e27f,0x5fb85fa8,0x21ffd1fe,0x4eeeeeff,0x3bbfe3fc,
    0x21fe4eee,0x777ff47f,0x00002eee,0x3e000000,0x402dffff,0xd9fe05f9,
    0x00ff882f,0x0bf60bf3,0x17ec3fe2,0xffe87fc4,0x7c3fffff,0x7c417ec7,
    0x3fe3fc0f,0xff6fffff,0x3edfffff,0x8ff17e27,0x0ff882fd,0xf0ff98ff,
    0x8dffffff,0x7ffffc7f,0x3e1fe6ff,0x7fffff47,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02080000,0x3104d4c4,0x33026130,0x261882a8,0x20a1880a,0x5403732a,
    0x1980cc01,0x15500980,0x18898035,0x46a01950,0x0130981a,0x02aa00aa,
    0x004c02a8,0x40aa0154,0xa9802bb9,0x35028a00,0xb01b106a,0xff507bdf,
    0x07f67fff,0x7f81d7b5,0x74ff43fc,0xcbe83fff,0xfffdef84,0x037ffd42,
    0x203fe0ff,0x4c2ffcc8,0x2200fcbf,0x8d81fbef,0x01fbf504,0x3e01d7b5,
    0x9027c407,0xfff307ff,0x80bee019,0xfffc83f9,0xffff904f,0x0b99b01b,
    0xfd03f7ea,0x502e6701,0x7ffb7dff,0x037301f9,0xfe82a8ff,0x40ffebdf,
    0x27ff02b8,0x547f44fb,0x3e0ff02f,0xffee980f,0x401c9d43,0xb81e9ef8,
    0x8072e01d,0x00aa01b9,0x4ce44075,0x7edffc0c,0x3a805703,0x0ff14c88,
    0xdff77ff5,0x5c015710,0x05ffd42c,0xfd0d4455,0x87aff987,0x47f80ba8,
    0x744fe82b,0xff02b82f,0x27fa2fcc,0x20ff02fb,0x44dc40ff,0x3511546f,
    0x9ef89b88,0x03511546,0x44550375,0x201ba81a,0x750489b9,0xbf12b883,
    0x5cc06ea0,0xffb7101b,0x2ff83f90,0x15415dcc,0x3fff6351,0x15f99fe3,
    0x5fff01ff,0x0dffff98,0x77ffddfe,0x7f907fa2,0x2177ffdc,0xf517e67f,
    0x83fc0bff,0x3ffee0ff,0xf33fc6fe,0x7f7ffdcb,0xf33fc09e,0x27fffd4b,
    0x2a5f99fe,0x74c4ffff,0x7d44ffff,0xfb304fff,0x4ffffa87,0x217ff7f4,
    0x007fcefd,0xfffc93f2,0xbf33fc4f,0x7f827fa2,0x837cd7e6,0x8bff83fd,
    0x775fe3fc,0x03fa7f88,0x447749f7,0xbf33fc7f,0x7c07ffc8,0x7f41ff07,
    0x3fc6fd89,0x44ff4bf3,0x4cff06fd,0x3627f65f,0x5f99fe1f,0x87f627f6,
    0xd8dfd2fd,0xe81fd89f,0xd89fd85f,0x3229f31f,0x47f93ea2,0xfffffffa,
    0x3e29915f,0x2bf33fc7,0x9fe09fe8,0x20ff35f9,0x237cc3fd,0x37e7fe6f,
    0x1fd1feaa,0x5bf34fb8,0x33fc3fd5,0x7f6fecbf,0x83fc0dbc,0x54bf10ff,
    0xbf33fc6f,0x06fa97e6,0xf8afccff,0xbf33fc05,0x5f8817e2,0x3e21fdb7,
    0x4bf73005,0x7ff405f8,0x64f7cc1c,0x3bfe60ff,0x445feeee,0x33fc7fdb,
    0x8bfffabf,0x7c57e67f,0x217fc41f,0xf87f45fa,0xeeeeefbf,0x3fc81fd1,
    0x3dddddf7,0x22bf33fc,0x0ffff16f,0x7fc331ff,0x37cc9f50,0xf55f99fe,
    0x7f837cc9,0x02fcd7e6,0xf35f99fe,0x7567d40b,0x0bf30fd8,0xbf31fd80,
    0x5fffd980,0x0feeffe4,0x3fc81ff1,0xf1ff3bf6,0x1fd2fccf,0xe97ea7f8,
    0x03bee0df,0xf2fc4ff1,0xd04cbf3f,0xf33fd81f,0x3e6004cb,0x7fccbf35,
    0x15f9ff85,0x3ee6f8ff,0x4bf53fc6,0x7c1bee6f,0x27f97ea7,0xfa9fe1da,
    0x11da9fe5,0xf17e1ddf,0x4e98ed4f,0x2a7f83fa,0xd511311d,0x212e101f,
    0x47fe24fe,0xff1fe4fa,0x39fb2fd4,0x2ff5e7f4,0xfffbfff3,0x3efbf605,
    0x5ffdfe2f,0x643fa6fb,0x2ffe1ffd,0x3fee06fb,0x3faf7fa4,0xfebfc4ff,
    0x77ec4fed,0x67f46ffb,0x3bf65feb,0x9fd06ffb,0x6fe4bfd7,0x33fa0ffb,
    0x37f25feb,0x37f60ffb,0x6fe42feb,0x33fa0ffb,0x5efe44fd,0x55df30ff,
    0x08dc80df,0x3ff7bfe2,0x3f27be64,0x3af3fa0f,0x98ffea5f,0x445faeff,
    0x401efffd,0xbfc2dffc,0x3a1dffe9,0x43ffe88f,0x201dffe9,0x3fa60dfc,
    0x7c3eacff,0x10bffb37,0x98df5ff9,0x225faeff,0x306faffc,0x44bf5dff,
    0x7cc2dfeb,0x2e25faef,0x37a22dfe,0xeb882dfe,0x7fecc2df,0x6ff5c40c,
    0x0efff542,0x930bfa20,0xff907dff,0x7fcc3fbb,0x10085fae,0x04000400,
    0x00080000,0x01020000,0x40020020,0x04000800,0x80040080,0x08004300,
    0x08010000,0x80080000,0x00000800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0xa8131881,0x02a60351,0x35301530,0x00882980,0x4100d46a,0x2006a600,
    0x035300a9,0x84c40550,0x20013000,0x1510351a,0x88a88151,0x8805500a,
    0x8805502a,0x9998550b,0x22079019,0x0880a88a,0xff81a811,0x237cff40,
    0xdf30bf5f,0x882fc40d,0x912ec06e,0x29f019ff,0x9bdfb04f,0x803bbe20,
    0x1ba205f8,0x6c09ff90,0x6f8802df,0x37ea0362,0x0bddb00f,0x903f53f5,
    0x0fdc07fd,0xff502fa8,0x7fccdf9f,0x1bb987ff,0x42faafa8,0x6c1edff8,
    0x7f40ff84,0x0984c6e9,0x301c8bb8,0x200c8807,0x3f33f63f,0x20130984,
    0x4ea01734,0x2012602c,0x339100c8,0x1fbb3019,0x7f4df100,0x44059700,
    0x311880cc,0x40953910,0xe81d401b,0x2a6fd89f,0xbb06eeef,0x02622620,
    0xd9055153,0x9fe81ff0,0x1a88aa4a,0x2a1a88aa,0x22a86a22,0x88fc41a8,
    0x2a21fe6f,0x02ea200b,0x2200ba88,0x2ea200ba,0x406ee600,0x7106eaa8,
    0x3feadf13,0x005d440b,0x15c05773,0x05700ae0,0x25f882b8,0x007f26f9,
    0x2e605773,0x0577302b,0x40ff81f5,0x9fe0cefe,0xf99fe5f9,0x25f99fe5,
    0xf517e67f,0x41fd2fcc,0x40dffff9,0x40dffff9,0x40dffff9,0x40dffff9,
    0x40dffff9,0x4c2ffefe,0x5c3ffffe,0xfb6fefff,0x7ffcc7ff,0x7ffe40df,
    0x77ffdc4f,0x177ffdc2,0x70bbffee,0x7d45dfff,0xdfd9be65,0xffffc82d,
    0x27fffe44,0x113ffff2,0x740ff85f,0x3e67f81f,0x25f99fe5,0x7f97e67f,
    0x54d917e6,0xff87fa5f,0x7fc3fc8b,0x7fc3fc8b,0x7fc3fc8b,0x7fc3fc8b,
    0x3e63fc8b,0xbfd85914,0x4ff46fd9,0x3fd16fd8,0x7e45ffc1,0x3fc53223,
    0xd1fe23ba,0xee8ff11d,0x47747f88,0xb9fe27f8,0x3fbffe6f,0x3fc53225,
    0x89fe2991,0x9d0ff14c,0x07f40ff8,0x7cbf33fc,0x27f97e67,0xf99fe5f9,
    0x4bf52745,0xf8df31fe,0x4df1be66,0xf337c6f9,0x1be66f8d,0x1cffe8df,
    0x4ff137c4,0xe9bea5f8,0xdf1be60f,0x4cffb710,0x31feaadf,0x23fd55bf,
    0x1feaadf9,0x3fd55bf3,0x37fef7ec,0x2207f455,0xdb887fdb,0x7fdb887f,
    0x207f46c8,0x267f80fe,0x5f99fe5f,0x3e5f99fe,0x2f897e67,0x50fe97e6,
    0xf50fe8bf,0xbf50fe8b,0x8bf50fe8,0xe8bf50fe,0x3fff660f,0x1fd17e65,
    0x26f993ea,0xd17ea0fe,0x7e77ec1f,0x3bbbbee7,0xddddf71e,0x3bbbee3d,
    0xdddf71ee,0x5fec43dd,0x8ff205f8,0x6c7fcefd,0x7ec7fcef,0x0fa87fce,
    0x07f88ff6,0xff2fd4ff,0x54ff2fd4,0x5fa9fe5f,0x26f883ea,0xf89fe27f,
    0x5f89fe25,0x25f89fe2,0x897e27f8,0x9897e27f,0x3e0fea88,0x4df17e67,
    0x883fa6fb,0xfa97e27f,0x25f99fe4,0x0997e609,0x260997e6,0x4550265f,
    0x6c9b15f9,0x3fc9f51f,0xf53fc9f5,0x17c43fc9,0x9fdbbff5,0x3faf3fa0,
    0x3faf3fa5,0x3faf3fa5,0x3faf3fa5,0x33f61b25,0x5f7ec3fd,0x5f7ec2ff,
    0x5f7ec2ff,0x5f7ec2ff,0x5f7ec2ff,0x2bbe62ff,0x5f7e46fa,0x5f7ec2ff,
    0x873fa6ff,0x22ffbefd,0x0ffc9ef9,0xf1beeffe,0xff8df77f,0x5ffc6fbb,
    0x66fec6fb,0x333f62fe,0x327be66f,0x93df30ff,0x27be61ff,0x44e80ffc,
    0x204ffffa,0x25faeff9,0x25faeff9,0x25faeff9,0x25faeff9,0x3efb884e,
    0x205bff90,0xf902dffc,0x3ff205bf,0x5bff902d,0x83bffd50,0x882dfeb8,
    0x2e6faffc,0x6ffe43ff,0xfddffc82,0x077ffa61,0x983bffd3,0x74c1dffe,
    0x76441dff,0x7fec43ef,0x6effe40e,0x377ff21f,0x377ff21f,0x0206c81f,
    0x80080080,0x02600800,0x04002000,0x00100080,0x04002002,0x80220040,
    0x00000800,0x00000000,0x10010020,0x03100100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x502a802a,0x4c033005,0x00a98000,0x200a9aa8,0x3333311a,0x01980981,
    0x22002aa0,0x0c02a0a9,0x300c40cc,0x0a980135,0x4c00a620,0x10035100,
    0x45440153,0x02a600a8,0x30130020,0x7e40a981,0x40bee04f,0xfff303fa,
    0x400df03f,0x01eecefc,0x710bd3f7,0xfffbbfff,0x1ff6c9ff,0x3e2005f1,
    0xffffa804,0x7f5c2fce,0xfd03fe1e,0xfffffa83,0xefffe983,0x17fffcc2,
    0xff88bf30,0xff504fff,0x2f703bff,0xcefc81fa,0xefda81ee,0x7443fb83,
    0x39117e40,0x00ae0193,0x2abf6075,0x9006f85f,0xb81f981b,0xffc80c89,
    0xaabfffcb,0x4d73f11a,0x00ea006c,0x3f2fbfea,0x7defe45f,0x3fd03fe6,
    0x7edf7fd4,0x5d67f43f,0x26bfa0ff,0x997e607f,0x3ffbbeff,0x7edeffcc,
    0x90f96d87,0x741f981b,0x32a4febf,0x6541e43e,0x9815dcc1,0x577302bb,
    0x213eaff0,0x36a0556f,0x798dfff8,0xf880ba88,0x403fea0f,0xf88fb9f9,
    0xa965cc02,0x23fe80ac,0xff10fff8,0xe81ff14c,0xf30ffa1f,0x3b23fc1f,
    0x00aa9be1,0x227ecbf3,0x21ff44e9,0x9df971ee,0xe9ad47fd,0xa7ccf35f,
    0x223e87f8,0xffc8d106,0x7ffe44ff,0x7fffe44f,0x81fdbfc4,0x41fffeff,
    0x6cba78ad,0x37fffe61,0xff11fea0,0xdbf83333,0xffb80d95,0x0effffff,
    0x6f443fe2,0x73df32fe,0x7f40ff83,0xff01ff11,0x80e7fe45,0x97e6007e,
    0xff8801ff,0x777f6c00,0x97cb64ef,0x8fea3b2c,0x5b1f40ff,0xa6443e60,
    0x453227f8,0x7c53227f,0x80ffbfc7,0xf89f73ff,0x70fcaf88,0x7e45ffc7,
    0x3fa17ee3,0x3aa1ffff,0x6402f89d,0x3e69ff15,0xaf45bea4,0xffff53fc,
    0x3a07fc9f,0x360df31f,0x3fff623f,0x3bbff63f,0xf9afcc01,0x42aaaa26,
    0x3f5006f9,0x798f85f3,0x237e2770,0x99f41ffa,0x7107ea06,0xfb710ffb,
    0x8ffb710f,0xf81df77f,0x11d1fe0f,0x99dc5d7f,0xdf537c6f,0x15557ff0,
    0x1debb640,0xabffca88,0x6dbe26fa,0x3ea7fb0e,0x07fcfd0f,0x83fcc3fa,
    0xfec983fd,0x39dfb72f,0xff15f980,0x98ffffc4,0x2af7007f,0x13c4740f,
    0xffff91e4,0xf70f403f,0x9dfb0fdc,0xfcefd8ff,0x3fe77ec7,0x7c5fd9fe,
    0x15907f47,0xa8f43e6f,0xf987f45f,0x8007fc47,0x5daf8af8,0x77f677ec,
    0x6ff45eee,0x7ccbfe0e,0x07f4bee6,0x0ffc43fa,0x1544bfe2,0x02fb97ee,
    0xf97e6151,0x47fa662f,0x85d41ff8,0x5ffffffe,0x9f4e6cb2,0x7f45441e,
    0x3fccb500,0xf93ea5f7,0x27f93ea7,0xff1fe4fa,0x47fe0fe8,0x34f4c5f8,
    0x3fc4d579,0x17fc4bf1,0x32001ff9,0x4cf71f56,0x098bfa5f,0xff70ffe4,
    0x7e43fe21,0x3fc47fb0,0xffb837fa,0x7dc1ff10,0x7dc0dd15,0x6fe49f72,
    0xfd87fa20,0x7d47fe24,0x262aeead,0xd73eb88e,0x06f895c4,0x93d7443a,
    0x327be67f,0x93df30ff,0x27be61ff,0x23fe0ffc,0x7ffc7fbd,0x1ea83feb,
    0xdfb03ae2,0xffb85ff7,0xeeeffffe,0xf32f885e,0x4f7c4d93,0x4fdbeffc,
    0x7f677fe4,0x7e77e42f,0x3f77fea6,0x6fffcc4f,0x7fe42fff,0xdfb2ffdc,
    0x3e63d9df,0x7f42ffdf,0x20fffddf,0x4ffdfff9,0xa827cfe2,0xd03ae21e,
    0x2e07fd7f,0x653fbf64,0x377ff23f,0x377ff21f,0x377ff21f,0x3f63fe1f,
    0x7fdefc2e,0x3fbf6a03,0x5bff900d,0x36fffee0,0xc86fffff,0x321ff746,
    0xfffbbfff,0x7f65fcc4,0x9fd501ef,0xcffffb81,0xefffd880,0xeffeb881,
    0x3ff73ee2,0x0fbfae3f,0x33bffb22,0xbeffd880,0x0be27ea0,0x0dfefda8,
    0x101dfea8,0x8fd4c41d,0x080082eb,0x00200080,0x08002000,0x2a000100,
    0x20200981,0x40010a00,0x02000800,0x80200080,0x08001000,0x1000c310,
    0x03300200,0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13013000,0x01101100,0x440cc062,
    0x7730298a,0x06666603,0x06ea02a8,0x80330062,0x008200a9,0x255006a6,
    0x4fffe81a,0x4a600098,0x7fffcc1a,0x84fffe81,0x443511a9,0x8511511a,
    0x0311b9aa,0x15441450,0xf7198033,0xd880e887,0x7ff4cdd0,0x21b7ea0d,
    0x07fbd01e,0xf05ffdfd,0x819fffff,0x7ffd43fa,0xf00ff44f,0xb02fc80f,
    0x3a209bdf,0x37ea00fe,0x1aaaa80f,0xf1002fcc,0xaaa883fb,0x1aaaa80a,
    0x5f9affe4,0x4eed8fee,0xfe9fff7c,0x42e66c00,0x803fe1fb,0x643ecaff,
    0x9b21fd03,0x224fbbfe,0x812a0fb9,0x14f984c9,0x977ff059,0xd87509ff,
    0x3a1fd89f,0x07f8189f,0x73480e54,0x015d2a01,0x5d440b2e,0x4005e980,
    0x40ae02ca,0xff86a22a,0x7dcbf309,0x3fe13223,0x801fd09c,0x41b80ab8,
    0x6419abff,0x50688fa4,0x227917ff,0xd911be5f,0xb9803a21,0x1cffe81b,
    0x7fc41ff0,0x0bf11541,0xf83eafe8,0x540f5407,0x11543732,0x25515435,
    0x7ffcc1b9,0x94de40df,0x5554c2b8,0x3ffee1aa,0xbf33fc2e,0xb97e63fc,
    0x86e6aa3f,0x800fe87f,0x1b9aa82a,0x1bffffff,0x0b63e8aa,0x2157ffec,
    0x2a4fbafd,0x40772f8c,0x4c2ffefe,0xff85fffd,0x9fe17e40,0x7ff405f9,
    0x6c07f80d,0xffcef80f,0x3f23f92f,0x677cdf15,0x2ffe2fff,0x65663fc8,
    0x2e5fffcf,0x3a4fffff,0x3fc7f88e,0x263fcbf3,0xef8fee6f,0x3a1fe3ff,
    0xf87f800f,0x57ff3ffe,0xe9fe7fd7,0x7f440d33,0x6fff8809,0x068a7ec4,
    0x116453e6,0x41fd5113,0xf91eeffe,0x53fc7f89,0xf027f43b,0x5fc8df1f,
    0x57ee7ff0,0x2affd3fa,0x7dcffe3f,0x06f8df35,0x89fe2bf9,0xf31ffb99,
    0x7c3fd55b,0x47f97e67,0xf8ff27f9,0x21fe09cf,0xf05f90fe,0x2139ff0f,
    0x7d7ea0ff,0x37f23d07,0x7f403fa0,0x16c05fbb,0x1cffe8f7,0x37d577cc,
    0x64333ff2,0x3f23fc4f,0xff70ffbd,0x37c7fc03,0x87fc0bfb,0x3e37e5f9,
    0x3e1fc9fe,0x3eabf30f,0x7e407f45,0xff303fe2,0x77777dc5,0x5f99fe1e,
    0x7bff31fe,0xf83fc7ff,0x5f90fe86,0xf0ff0ff0,0x7fafdc1f,0x7d1b35a8,
    0x27cc07f4,0x99a601fb,0x7ffecc7f,0x0efff545,0x0bf607fc,0xdfeb88ff,
    0xf807ffa2,0x0446f887,0xfb2fc4ff,0x8df7f5f7,0x7c57e27f,0x7e417e27,
    0xfe883fa1,0x8132fcc3,0x7f97ea7f,0x7eff77cc,0x437c1fe3,0x87f800fe,
    0xeccff87f,0x1d0ff2ff,0x03fa1fa8,0x00fe97e6,0x89eba23b,0x80fea889,
    0x41ff02ed,0x83fc0ff9,0x0ff442ec,0x4df10ff0,0xf89fe6f8,0x7f5ffea5,
    0xbf13fc4f,0x17fdf7ec,0x43fa1fc8,0x7ff04fe8,0xbcfe8df7,0xf31fe5fe,
    0xb83fc02b,0x4007f43d,0xff87f87f,0x1fe3ffff,0x741fb897,0xccfd81cf,
    0x7ecb505f,0x55df34fe,0xf835c0df,0x83ffeeef,0x3a1ae07f,0xf1eeeeef,
    0x3f3bf20f,0x5f89fe2f,0x7fdd7fe2,0x8bf13fc1,0x3202dffc,0x7e43fa1f,
    0x3a65eedf,0x7fcc1dff,0x31fe5fae,0x206f80bf,0x7777f47c,0x7c3fc1ee,
    0x3e00ff86,0xefa83a27,0x20ffee3e,0xd00cffd9,0x50fd4c41,0xd903bffd,
    0x3fffe03b,0x90ff02df,0xfffd03bd,0x81fe5fff,0x3fc2deca,0x33fd8bf1,
    0x7c4ff0ff,0x3f900105,0xfffd87f4,0x010006ff,0x013a23fc,0x85bf90df,
    0x2ffffffe,0x7c37c3fc,0x199fe00f,0x2204ccc4,0x01440000,0x00000203,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26330000,0x0620aa80,0x5ccaa131,0x4c415501,0x40999999,
    0x54019999,0x85445442,0x2a204c18,0x0ffffcc2,0x22151151,0x4cc26001,
    0x04401999,0x881984c4,0x26666619,0x553b8099,0x4c15c554,0x33099819,
    0x44033333,0x99999999,0x33044220,0x00330310,0xf9ff8153,0x3f21fcc3,
    0x677cff23,0x27c42fff,0x3ffffff6,0x7ffffc3f,0x27fdc0cf,0x0fe97bb6,
    0x41fc8df1,0x2a0aaaa8,0x1fd2faaf,0x3fe9f700,0x4c1fffff,0x3f61dffe,
    0x7fd41ff2,0x3fffffe2,0x37ffea4f,0x3ffbbe6f,0xa87ffe1f,0xfffff6ff,
    0xfff101ff,0x27ffffff,0x3e0edff9,0xf70ff40f,0x1fdc099f,0x750ba3fe,
    0x3fe2ff10,0x17ee7ff0,0xfb553073,0xbff81559,0x3224ffcb,0x33220c99,
    0x2f443fa0,0x15dcc072,0x74262262,0xa7fdc00f,0x6fdaabff,0xb2fddff4,
    0x7cc3fe5f,0x555ffc2f,0x22bfa1aa,0x233fe6fd,0x93ffe4fb,0x57ff6ffc,
    0x33f20555,0x0aaaacfe,0x7ec57133,0xeffeeeef,0x40ddff91,0x747fc0a9,
    0x35555530,0xf1fe5fe4,0x9557e61f,0x05f901b9,0x3ff107fc,0xe85502a8,
    0x05512a0f,0x509ffff9,0x3a00fe85,0x81ff4fef,0xfe93a67f,0x23fe5f90,
    0x0ff83ff9,0x6f99be20,0x3e7f83fe,0x5bfba6ef,0x7f8800ff,0x855005f9,
    0xeaaabffa,0x5cdfe0bf,0x2aaaaa61,0x7dc31ff1,0x3e24ffff,0x89fe0ffe,
    0xfff9df5f,0x7c05f905,0x3e17e40f,0x0fe8ff07,0x447f81d1,0xff0ff14c,
    0x27600fe8,0x333ff4fa,0x0ff80bf7,0x3ebfe3f9,0x333ff03f,0xf12fcc33,
    0x43fa3fcd,0xcf88fcff,0x9001ff6f,0x266ff27f,0xff87f819,0x41fe9999,
    0x71fffdff,0x3e9fffff,0xffb99887,0xdffffd71,0xf5f89fe5,0x9897ee7f,
    0x7f409bfd,0x89f91eef,0xfe8ff07f,0xb883fc00,0x747f87fd,0xf4fa800f,
    0x01ffffff,0x21f727ec,0xf05fffff,0x43ffffff,0xff9bea7f,0x57fcdf11,
    0xf6fafaaf,0x885fffff,0xffff90ff,0xff0ff0ff,0x83ffffff,0x229f53ff,
    0xff1ffb99,0xd717fcc0,0x3e5ddffd,0x87fd7e27,0x3fffa5f9,0x67fe44ff,
    0x7f89f90c,0x00fe8ff0,0x677ec3fc,0x7f47f87f,0xff4fa800,0x01dfb999,
    0x87d41df9,0x82ffcfff,0x0aaaabff,0x9bfef7f2,0x23febeff,0x8fccf8ff,
    0x9999ff6f,0xd99dfb83,0xf82aaacf,0xccccff87,0x987fc1ff,0xf17fcc5f,
    0x30ffa20f,0x2355ff55,0x3fd7e27f,0x7ecc4bf1,0x40ff809b,0xf83fc2fd,
    0x3e007f47,0x0ff27d47,0x800fe8ff,0xc81ff4fa,0x2077e43f,0x7d4ffe79,
    0x2007fc0f,0x26fbffc8,0x20bffbff,0x3edfdf7f,0xfe801ff6,0x802fffff,
    0x740ff87f,0xbf13fc1f,0x1fe1ff44,0x3f213fa2,0x643fffff,0xbf13fc2d,
    0x7fc05f90,0xff03fe60,0x01fd1fe0,0x4f7cc7f8,0x23fc0ffc,0x4fa800fe,
    0x23fd81ff,0x22880efb,0xf17fa0ff,0x7c42001f,0x2ff01fe6,0x3edf4ffc,
    0x33bea00f,0xf802fecc,0x7f40ff87,0x2bf13fc1,0x87f84fe8,0x85eedffc,
    0x3e36406f,0x3f217e27,0x3bbbfe02,0xf07f83ff,0xeeeefe8f,0x3f21fe1e,
    0x3fc1fddf,0x3bbbbbfa,0xeffa7d41,0xf11ffeee,0x323ddddf,0x7cc1ff2f,
    0x3bbbfe2f,0x9be204ee,0xfabfc07f,0x03fedf2f,0x77ec2fe8,0x3fc3eeee,
    0x07fa07fc,0xfcafc4ff,0x0ff5eedf,0x0dfffffb,0x0b7f20df,0x642fc4ff,
    0x3fffe02f,0x20ff02df,0x7ffff47f,0x081fe2ff,0x3ffa3fc0,0x7d42ffff,
    0xbffffff4,0x7ffffdc3,0x3fe5f91f,0xff877e40,0x206fffff,0xf017a5e8,
    0xb7c3fe2f,0x0df500ff,0x9ffffffb,0x40ff87f8,0xf13fc1fe,0x3fffff6b,
    0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80330000,0x22066019,0x81980661,0x221a8818,
    0x26619809,0x4cc40999,0x33309999,0x26620133,0x88099999,0x4c406601,
    0x41988310,0x99866098,0x98800999,0x4cccccc0,0x4c404cc1,0x3fe61530,
    0x203c81ff,0x97301bb9,0x4c02b2a5,0x175102bb,0xff980554,0xff81fe03,
    0x07f87ec3,0x43fd03fe,0x3fe67ffa,0xfff97f21,0x3fea4fff,0xfff2ffff,
    0xfd85ffff,0x23ffffff,0x40dfffd8,0xb1fe83fd,0xb0ffe45f,0xfff3fc5f,
    0x74019fff,0x3fffe62f,0x1bee1fff,0x4bf21ff3,0xf80aaaa8,0x5ffdfd06,
    0xffffffb8,0x7fe40eff,0x7ffcc4ff,0x900fd8df,0x03fc0dff,0x87ec1fff,
    0xd03fe07f,0x205fe43f,0x41ff36fb,0x3ffcbbff,0x1ffdddd5,0x3f6eaffe,
    0x3f6aa60f,0x2ff60aac,0x37d44fb9,0x23fb9be6,0x83fe3ffe,0x32effe7f,
    0x5ff704ff,0x7ed55544,0xfd1ff40f,0x0aa0e547,0x14f986f8,0xff15c859,
    0x4c893e69,0x8bff8ff1,0x880fbcfc,0xff01feef,0x5fff8554,0xb9bfc3f6,
    0x3fd03fe1,0x3a06ffaa,0x7fc3febf,0x7d417ea0,0x5fd03fe3,0x26c0bf20,
    0xc83fe1fa,0x7c57e64f,0xf8df15fe,0xff883fe7,0x017ffcc1,0xff305ff3,
    0x3e00df51,0x7ffffe47,0x073ffa3f,0x55ffe544,0xfdb886fa,0x7ff1be67,
    0x3eb3ee0d,0x97f2ff05,0x1fb2feff,0x4bfff7fe,0xfe9999ff,0x30bfffd1,
    0x1ff0dfff,0x45e82fdc,0x03fa20ff,0xfa8017e4,0x3fa3fc86,0x5fd5fe21,
    0x7f89f57e,0x85f903fe,0xf102fcee,0x7e7e407f,0xb8ff001f,0x22eeffee,
    0x6c5fffd9,0xeeefecef,0x7e77ec5e,0xbfd17ea7,0x3e27fa01,0x6fbff80f,
    0x6c77cffc,0x3ea7ff0f,0xfffffff5,0x02bf623f,0x7fc0ffec,0xb83ffdcc,
    0x7ffffc1f,0x0bf204ff,0x2603bea0,0xfd0df36f,0x93f93f91,0x3fe7f85f,
    0x3f727e40,0x17fa05f7,0x009fff10,0x10df03fc,0x21fd5113,0x98bfa5f9,
    0x27f93ea0,0x81be27f8,0x20ff66f9,0xbfc1ffff,0xff0fdcfc,0x67fd7e61,
    0x361ffccc,0x7fff101f,0x9ffffff0,0xdff0df10,0xfc801ffd,0x0077cc02,
    0x907f73ff,0x2feaff5f,0xff3fc0fe,0x9f33fc81,0x1bf60bee,0xfc837d40,
    0x0df03fc2,0x4df55df3,0xeffc9ef8,0x3be64fdb,0x3f60ffc9,0x3202ffbe,
    0x86ffffff,0xbfc5ffff,0xff0feff8,0x40ffafc4,0x407f61fe,0x7c1ffefd,
    0x1fcc019f,0x06fc87fc,0x3ee017e4,0x7f5fe402,0x14fefa80,0x4ff0dfbf,
    0xd97ec0ff,0x23efeeef,0xf3000ffb,0xff07f20b,0xfea81e40,0x7ffe41df,
    0xc84fffbb,0x641fddff,0x7fc02dff,0x41ffcccc,0x3e2fd8ff,0x7c3ffee7,
    0x07fd7e27,0x81fd87fa,0x46fc8ffa,0x1fb800ff,0x13fa0ff8,0x54c02fc8,
    0x2fffcc00,0x3a2fff88,0x3e7f84ff,0x6c3fe20f,0x54ffffff,0x7cc003ff,
    0x8ff03a05,0x2eeeeeeb,0x00808008,0x50010008,0xf8bf70bf,0x23fcdf17,
    0x44ff0ffe,0xfe81ff5f,0xff107f61,0x1ff1ff47,0xff01fb00,0xc817fcc1,
    0x01fdc02f,0xfd017ff4,0x417fe41f,0x3bbbfe7f,0x8bee03ff,0xeeeeeffe,
    0x320bf302,0x7fe47f84,0x0003ffff,0x00000000,0x3fe20bf6,0xf3fc9fe0,
    0xff0ff98f,0x40ffafc4,0x907f61fe,0xf1ff98df,0x20fd001f,0x837dc0ff,
    0x1fdc02fc,0x9007fdc0,0x80ffa8df,0x3ffffe7f,0xd17dc02d,0x7fffffff,
    0x00417e60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x1154489b,
    0x57015335,0x33333330,0x400ba885,0x595101ba,0x11541654,0xaa86a635,
    0x50d44550,0x50e11385,0x0e542ea3,0x5506e655,0x882aa373,0x5555531a,
    0x21551543,0xc984a82a,0x00604400,0x2617a12e,0x2fa0620a,0x91d501e9,
    0x5fe0a60b,0x44ffffe9,0x3f37e67f,0x8bbffee2,0xfff98601,0x7ffd40df,
    0x7fffcc4f,0x20efffee,0x7c57e67f,0x3f26fa9f,0x9be2bf91,0x2ffffffb,
    0xbdffddf1,0x33be5fff,0x3fbe2fff,0x7e47f73f,0x9fffff72,0x3e5fcbfc,
    0xffa87d87,0x321dd01d,0x5ffc881f,0x32fc86f8,0xd9fb8dbf,0x2f9cf886,
    0xb7f85ff0,0xff1bfa5f,0xd0f56fcc,0x00cff11d,0x7e45ffc3,0x7ec4fec3,
    0x3f22ffe1,0x3fc7f73f,0x7f7dcbf3,0x7f4fea1f,0xdfe87f57,0x47fe26fd,
    0x3ebf55fe,0x7fcbf73f,0x7cdf109c,0x3fee6627,0xf1beffe1,0x36a0fb0f,
    0x77e42eff,0x3f660efd,0x80980bef,0x0d7311ca,0xfd89f3dd,0xdff705e8,
    0x76dd7e20,0xdf99fe0f,0x55bf30e9,0x318063fd,0x3e26f8df,0xf89be605,
    0x3e6fbabf,0xffb17e67,0xfdf1bf07,0x2fc43f93,0xf93fc4fb,0x87fd7e67,
    0x6c1fe5f9,0xf984fa9f,0x0ffffc2f,0x7fffd5fe,0xfeb885ff,0x5077fe45,
    0xff9039ff,0x4407ffff,0x74fe40ec,0x0feb7e27,0xdd0fdf74,0xfb1d59f5,
    0xbff33fc1,0x77777dc3,0xfa8c031e,0x5f987f45,0xdff17e60,0x33fcbddd,
    0x82ffb8bf,0xfbfafbfd,0x89fa5f86,0x7c4bf26f,0xf2fc4ff5,0x3f73ea0f,
    0x7c1ff441,0xabfc6fef,0x84eeffee,0x7e44ffc9,0x3bfe60ef,0xeeeeeb82,
    0x5f17502e,0x217d6fc4,0x540fd9fb,0x3fe5f8bf,0x8bf0eef8,0x2617ea7f,
    0x2018265f,0x2fc4ff11,0x3a1da9fe,0x4c47fe67,0x25fa9fe0,0x540ffff8,
    0x09ffd7ff,0x44dfddfd,0x7c4bf26f,0xf2fc4ff5,0x237f7c0f,0x1ff04fe8,
    0x6c3fc5f9,0xdffeb887,0x77e77e41,0x33fff220,0xd8800981,0x2f47644e,
    0x744f8ed8,0xfb03fb0f,0xfe85fd7b,0xff05febc,0x300cdf77,0x17fdf7ec,
    0x83fef7f2,0xefffcefb,0x33fa2fdb,0x2bfa5feb,0xaffc45fc,0x6fd41ffb,
    0xdf12fdff,0xf5f897e4,0x0df2fc4f,0x3f21ffdc,0x5fe5eedf,0x361fe7f8,
    0x00cffa87,0x407f21db,0x86f85feb,0x89b802fc,0x7317100b,0x10222088,
    0x305bfdbd,0x20bf5fff,0x061dffe9,0x16ffe418,0x416ff5c4,0xffbbffea,
    0x577fcc3e,0x7f4bf95f,0x7f99fec3,0x37c43030,0x7d7e25f9,0x06f97e27,
    0xffb03fe2,0x73fcdfff,0x12a1fe9f,0x102002e6,0x0bd07500,0x000005f9,
    0x00860000,0x33000008,0x20533333,0x01001000,0x00000801,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8826013,0x2eeeee61,0x7730622b,0x0a857777,0x21988150,0x40cc666f,
    0xccca841a,0x1110f721,0xaa811111,0x54c6a350,0x5dddddc1,0x0000003b,
    0x00000000,0x00000000,0x00000000,0xf70ffb60,0x54ff7e65,0x35ffffff,
    0x3fea1fbf,0x3a15ffff,0x8bfbe609,0x7c5be5fa,0x7ff4cff6,0xfff76cce,
    0x3fe27a83,0x227fffff,0xb2fd7e4f,0x7777744d,0x000006ee,0x00000000,
    0x00000000,0x00000000,0xa9a6d300,0x57aa62ec,0x5f999998,0x2623f133,
    0xd9199999,0x65b21fbd,0x16897ea5,0xbeb9fedf,0x3314fffd,0x1077b213,
    0x41111111,0x2198cc4a,0x000000c8,0x00000000,0x00000000,0x00000000,
    0x4fc40000,0x9f52e85b,0x225f80bd,0x2aaaa25e,0x83bea1aa,0x27c4d75d,
    0x26eafc3d,0x00000980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x92e81dea,0x5f80bf5d,0x3ea13bd1,0xf15fffff,0x75fd45d5,
    0x1a810d44,0x00000053,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6644b600,0xfc8d403b,0x555512ff,0xa808c355,0x000000bd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_16_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,0,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,0,-1,0,0,0,0,0,0,0,0,1,1,
-1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,0,0,0,1,0,1,0,-1,1,0,0,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,-1,0,
-1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,1,0,1,0,1,0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_16_latin_ext_y[560]={ 12,1,1,1,0,1,1,1,1,1,1,3,10,7,
10,1,1,1,1,1,1,1,1,1,1,1,4,4,3,4,3,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,13,1,4,1,4,1,4,1,4,1,1,
1,1,1,4,4,4,4,4,4,4,1,4,4,4,4,4,4,1,1,1,5,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,4,1,1,3,1,
1,1,1,1,1,5,4,7,1,-1,1,2,1,1,1,4,1,6,12,1,1,5,1,1,1,4,-1,-1,-1,-1,
-1,-1,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,3,1,-1,-1,-1,-1,-1,1,1,1,1,
1,1,1,1,4,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,3,4,1,1,1,1,1,1,1,
-1,2,-1,1,1,4,-1,1,-2,1,-2,1,-1,1,-1,1,1,1,-1,2,-2,1,-2,1,1,4,-1,1,-2,1,
-1,1,-2,1,1,0,-2,-1,1,1,-1,1,-1,2,-2,1,1,1,-1,4,1,1,-2,1,1,1,4,-1,-1,1,
1,1,1,1,1,1,1,-1,1,1,4,-1,1,1,1,4,-1,2,-2,1,-1,1,1,4,-1,1,1,4,-1,1,
-1,1,-2,1,1,4,-1,1,1,1,-1,1,1,1,-1,1,-1,2,-2,1,-2,1,-1,1,1,4,-2,1,-2,1,
-1,-1,1,-1,1,-1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-2,-2,1,-2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_bold_16_latin_ext_w[560]={ 0,3,7,8,8,13,11,3,5,5,6,8,3,5,
2,5,8,5,8,8,8,8,8,8,8,8,3,3,8,8,8,9,14,11,9,10,9,8,8,11,9,4,7,10,
8,10,9,11,8,11,10,9,9,9,11,14,10,11,9,4,5,4,8,10,4,8,9,8,8,8,6,8,7,2,
4,8,2,12,7,9,9,8,6,8,5,8,8,12,8,8,7,6,2,6,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,8,8,8,8,
2,8,5,12,5,8,8,5,12,10,6,8,5,5,4,8,9,2,5,4,6,8,12,12,12,9,11,11,11,11,
11,11,15,10,8,8,8,8,5,4,6,6,11,9,11,11,11,11,11,8,11,9,9,9,9,11,8,9,8,8,
8,8,8,8,13,8,8,8,8,8,5,5,6,6,9,7,9,9,9,9,9,8,9,8,8,8,8,8,9,8,
11,8,11,8,11,9,10,8,10,8,10,8,10,8,9,11,11,9,8,8,8,8,8,8,8,8,8,8,11,8,
11,8,11,8,11,8,9,7,11,8,6,6,6,6,6,6,4,4,4,2,11,6,9,6,10,8,8,8,5,8,
5,8,5,8,5,9,4,9,7,9,7,9,7,11,9,8,11,9,11,9,11,9,14,13,10,6,10,6,10,6,
9,8,9,8,9,8,9,8,9,5,9,7,9,5,9,8,9,8,9,8,9,8,9,8,9,9,14,12,11,8,
11,9,7,9,7,9,7,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,11,8,8,8,8,8,8,8,8,8,8,8,8,8,11,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,6,6,11,
9,9,8,9,8,9,8,9,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,15,13,11,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_bold_16_latin_ext_h[560]={ 0,11,5,12,14,12,12,5,15,15,6,8,5,3,
2,12,12,11,11,12,11,12,12,11,12,12,8,11,8,6,8,11,15,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,13,11,12,11,12,11,11,11,11,11,14,12,14,7,2,3,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,11,11,8,9,12,9,8,8,8,12,8,15,15,15,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,11,14,12,8,11,
15,15,3,12,6,7,6,3,12,3,6,10,6,7,3,11,14,2,3,6,6,7,12,12,12,11,13,13,13,13,
13,13,11,14,13,13,13,13,13,13,13,13,11,13,14,14,14,14,14,8,12,14,14,14,14,13,11,12,12,12,
12,12,12,12,9,11,12,12,12,12,11,11,11,11,12,11,12,12,12,12,12,8,9,12,12,12,12,15,14,15,
13,11,13,12,15,12,14,12,15,12,15,12,14,12,13,12,11,12,13,11,14,12,14,12,15,12,13,12,15,15,
14,15,15,15,14,16,14,13,11,11,13,11,13,10,14,11,15,15,13,8,12,15,15,15,14,14,8,13,13,14,
14,11,11,11,11,11,11,13,11,14,11,13,11,11,12,12,14,11,15,12,14,12,12,9,13,11,14,11,13,11,
14,12,15,12,14,11,14,12,16,16,13,12,11,12,14,12,14,11,15,12,15,12,14,12,15,12,14,11,14,15,
13,13,11,13,11,13,11,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,15,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,13,12,13,11,14,
12,14,12,14,14,14,14,14,14,14,14,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,15,15,14,12,15,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_16_latin_ext_s[560]={ 26,193,65,207,82,86,38,57,56,62,43,
171,61,82,253,49,55,168,184,148,159,212,126,77,22,229,216,190,198,34,180,
107,194,1,174,196,149,208,247,184,40,144,176,197,159,236,22,145,68,171,86,
157,97,135,117,129,57,178,168,250,248,245,244,121,116,233,38,51,133,23,50,
203,32,253,177,13,253,114,127,41,226,217,135,210,142,74,142,92,83,233,151,
139,156,170,73,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,26,251,236,
167,105,67,182,185,110,216,13,235,19,82,48,94,1,201,28,220,105,198,27,
253,88,8,50,226,238,1,31,105,207,219,28,52,64,93,1,47,112,121,198,
231,250,192,197,138,102,157,68,80,92,114,136,189,114,159,178,1,126,11,244,
28,19,10,1,239,230,221,219,80,194,185,176,167,74,137,114,152,123,115,104,
94,84,74,64,207,1,40,31,22,13,209,216,225,145,143,147,196,244,175,226,
157,159,139,80,120,237,102,1,81,62,62,167,174,169,20,25,1,71,242,183,
224,59,101,13,30,39,11,72,7,53,130,24,36,105,17,86,194,248,230,51,
68,23,168,50,218,20,132,84,63,159,189,183,44,188,128,53,221,99,89,251,
105,84,34,76,137,136,154,10,29,1,144,110,243,204,61,71,60,115,237,148,
214,126,207,104,166,91,114,58,53,37,44,16,1,95,14,92,214,217,220,197,
183,122,111,146,93,140,72,1,214,103,123,91,73,40,76,59,240,45,204,166,
192,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,185,32,32,234,
32,32,32,32,32,32,32,32,32,32,32,32,32,229,242,32,32,32,32,32,
32,32,32,32,32,32,32,32,1,11,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,159,158,
176,121,118,148,150,205,130,160,169,179,207,188,194,227,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,47,38,11,100,26,129,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32, };
static unsigned short stb__arial_bold_16_latin_ext_t[560]={ 17,129,164,104,18,104,78,164,18,18,164,
154,164,164,157,91,91,129,129,78,142,91,104,142,117,104,154,142,154,164,154,
142,1,142,129,104,142,129,129,104,142,142,104,129,129,129,142,104,142,49,142,
104,142,104,142,142,142,142,142,18,91,18,154,164,164,142,104,154,91,154,142,
91,142,117,1,142,77,154,154,154,129,129,154,142,91,154,154,154,154,64,154,
1,1,1,164,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,17,104,18,
104,154,129,1,1,164,104,164,154,164,164,104,164,164,142,164,154,164,117,34,
154,164,164,164,154,104,117,117,117,49,49,64,64,64,64,130,34,64,64,49,
49,49,64,64,64,129,64,34,34,34,34,34,154,104,34,34,34,34,64,117,
104,104,104,104,91,91,91,142,117,91,91,91,91,117,129,129,129,91,117,91,
91,91,91,91,154,154,91,91,91,91,1,34,1,64,129,49,78,1,78,34,
78,1,78,1,78,34,78,64,78,117,78,64,117,34,78,49,78,1,64,64,
64,1,1,49,18,18,18,49,1,49,64,130,130,64,130,64,142,34,117,18,
18,64,154,78,1,18,1,49,49,154,49,49,49,34,129,129,117,117,117,64,
49,129,49,129,49,117,117,78,78,49,117,1,77,34,104,104,154,49,117,34,
117,49,117,34,78,1,91,34,117,34,117,1,1,49,117,129,77,18,77,18,
117,1,78,1,78,18,78,18,64,18,117,18,18,64,64,129,49,130,64,117,
117,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,78,154,154,1,
154,154,154,154,154,154,154,154,154,154,154,154,154,77,142,154,154,154,154,154,
154,154,154,154,154,154,154,154,91,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,49,91,
64,129,18,91,18,78,18,18,18,18,18,18,34,18,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,1,1,34,104,1,78,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154, };
static unsigned short stb__arial_bold_16_latin_ext_a[560]={ 64,76,109,127,127,204,165,54,
76,76,89,134,64,76,64,64,127,127,127,127,127,127,127,127,
127,127,76,76,134,134,134,140,223,165,165,165,165,153,140,178,
165,64,127,165,140,191,165,178,153,178,165,153,140,165,153,216,
153,153,140,76,64,76,134,127,76,127,140,127,140,127,76,140,
140,64,64,127,64,204,140,140,140,140,89,127,76,140,127,178,
127,127,115,89,64,89,134,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,64,76,127,127,127,127,64,127,
76,169,85,127,134,76,169,127,92,126,76,76,76,132,127,64,
76,76,84,127,191,191,191,140,165,165,165,165,165,165,229,165,
153,153,153,153,64,64,64,64,165,165,178,178,178,178,178,134,
178,165,165,165,165,153,153,140,127,127,127,127,127,127,204,127,
127,127,127,127,64,64,64,64,140,140,140,140,140,140,140,126,
140,140,140,140,140,127,140,127,165,127,165,127,165,127,165,127,
165,127,165,127,165,127,165,165,165,140,153,127,153,127,153,127,
153,127,153,127,178,140,178,140,178,140,178,140,165,140,165,140,
64,64,64,64,64,64,64,64,64,64,180,127,127,64,165,127,
127,140,64,140,64,140,88,140,110,140,64,165,140,165,140,165,
140,162,166,140,178,140,178,140,178,140,229,216,165,89,165,89,
165,89,153,127,153,127,153,127,153,127,140,76,140,110,140,76,
165,140,165,140,165,140,165,140,165,140,165,140,216,178,153,127,
153,140,115,140,115,140,115,64,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,166,172,172,127,172,172,172,172,172,
172,172,172,172,172,172,172,172,195,163,172,172,172,172,172,172,
172,172,172,172,172,172,172,190,166,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,165,127,64,64,178,140,165,140,165,140,165,
140,165,140,165,140,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,165,127,229,204,178,140,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_16_latin_ext(stb_fontchar font[STB_FONT_arial_bold_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_16_latin_ext_s[i] + stb__arial_bold_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_16_latin_ext_t[i] + stb__arial_bold_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_16_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_16_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_16_latin_ext_x[i] + stb__arial_bold_16_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_16_latin_ext_y[i] + stb__arial_bold_16_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_16_latin_ext_s[i] + stb__arial_bold_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_16_latin_ext_t[i] + stb__arial_bold_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_16_latin_ext_x[i] + stb__arial_bold_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_16_latin_ext_y[i] + stb__arial_bold_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_16_latin_ext_LINE_SPACING
#endif

