// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT        188
#define STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_17_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_17_latin_ext_LINE_SPACING          11

static unsigned int stb__arial_bold_17_latin_ext_pixels[]={
    0x00000000,0x44000000,0x00000009,0x00000000,0xdddddd70,0x000098bd,
    0x00000000,0x00000000,0x00000000,0x203d3000,0x400cfec8,0xfeb804fb,
    0x3be200be,0x6c077c00,0x2027fc47,0x00bdffda,0xfd807ff3,0x9dfd700f,
    0xfffffc85,0xd87f27ff,0x407ff307,0x6403c8bc,0x0dfc80ff,0x6ffedcc0,
    0xf17f301c,0xf101f98b,0x30ffe605,0x3be207ff,0xb07fd100,0x337f2019,
    0x4027406f,0x1fffeffe,0xfb801d90,0xbee8fb00,0xdfff901f,0x9bd10bff,
    0x3abea01f,0xfeeffb85,0x20bf701f,0x221f61fe,0xb100fcde,0x57d401bf,
    0x04feb85e,0x2eab3bee,0x8ae982fe,0xfb05e84e,0x88fdef40,0xec81fbde,
    0x20bbf600,0x25fd02fe,0x020600bb,0x3f625df7,0xd9005306,0x2131f605,
    0x0bffb809,0x21885ff3,0x06211009,0x05fb87fa,0xdff90bf7,0x98621f69,
    0x10880000,0x5c17e603,0x00bea01f,0x3e60fe40,0x42613104,0x02202618,
    0x04c40fd0,0x5c02ffb8,0x0fb9cefe,0x03710ffe,0xb1b00f3a,0x11765f60,
    0x984fe8bd,0x677f5c0a,0xd73bd502,0x98867f43,0xf90bf701,0x2a1f69df,
    0xa80bdffd,0xb81eb9de,0xf880befe,0xdd72fb86,0x64d93d95,0xf317a22e,
    0x6c01fc89,0x320ed80e,0x3a17a22e,0xd73bd507,0x06fffec3,0x7ffffff4,
    0x007fe23f,0xfe8077b0,0x97eafb05,0x00ffc5fa,0xffeeffb8,0x7fe7fe41,
    0x37ffea2f,0x417ee00b,0xf71f61fe,0xc8bffdff,0x42fffcff,0x1fffeffe,
    0xf73e86f8,0xf11ffd5b,0x5fa97ea1,0x007ec6f8,0x83fe07fe,0x217ea5fa,
    0xfcffc87f,0xf57f52ff,0x177e41df,0x3fcc7ff7,0x26014400,0x27d80fff,
    0x4c5fb0ff,0x2f77647f,0x22fdc3fd,0x85ff10fe,0x02ffffea,0x87fa0bf7,
    0x42ffee5c,0x43fa2ff9,0x3bee2ff8,0xfd0dfb12,0x26f8fc43,0xff8be6fa,
    0x8fd05fb0,0x81ff807f,0xd87fc0ff,0x742fcc2f,0x2e5ff10f,0x7cbfd15f,
    0x9bfbe23f,0xb1000ff8,0x3f207dfd,0x327d83ff,0xff87f8bf,0xe9bfffa1,
    0x4c3310cf,0x9817f46f,0xfb80ffeb,0x6c03fd05,0xf30a984f,0x3fe2fe8d,
    0x7d40dc43,0x8beaf52f,0x641f14f9,0xfb07f8bf,0x3e01be23,0x640ff81f,
    0x7dc7f8bf,0x3a37cc1f,0x7c7ff32f,0x3a23ff16,0x0ffc7f9e,0x9bfb0fa2,
    0xaff883ff,0x3e67d86f,0x4fc84fad,0x3fea6f98,0x37cc0bdf,0x4264cbfa,
    0x05fb81fe,0x0ffc03fb,0x3fa37cc0,0x4003ff12,0x32d72ff9,0x2dcfee1f,
    0x413eb7e6,0x00df11fd,0x81ff03ff,0x644fadf9,0x237cc1ef,0x3bfea2fe,
    0x74ff34fa,0x320ff88e,0x517f61ef,0x3ee17e45,0x47d85fd5,0xfa81fefe,
    0x51bf262f,0xf85ffffd,0x745ff31f,0x207fe22f,0x7bfb05fb,0x907fcd2a,
    0x8ffcbddd,0x0ff32ff9,0x3e61fe80,0x27fa2fb8,0xfefe82f9,0x06f8fd01,
    0x0ff81ff8,0xb81fefe8,0x98ffc45f,0x7ff4c2ff,0x3f63fe26,0x7441ff50,
    0x80fffeff,0x743ffeca,0x7d8bf92f,0xfb037fdc,0x0bfffdff,0xc83ffae6,
    0x22fffeff,0x6ffdeffb,0x3ea0bf70,0x0ffcfb5f,0x7e4dfffd,0xf12fffef,
    0x437c001f,0xfdbef8af,0xff705fdf,0x1fa37c0d,0x3fe07fe0,0x206ffb80,
    0xfeffc86f,0x1ff902ff,0xf90ff7ec,0x9fff910f,0xcbdfe883,0x2affe63f,
    0x11f60ffc,0xfeb807ff,0x13262dff,0x19d907fa,0xffdb83fb,0x8026204f,
    0x4fe9f619,0x67646f98,0x07fe1fd8,0x85f887d1,0xf95db55d,0xff10227b,
    0xf913e207,0x1ff0dcc3,0xff101ff0,0xeb83fc07,0x9321fd8c,0x8bfee2fd,
    0x3b203ff9,0x325fa80c,0x3ffff23f,0x11f63fff,0xdd5001ff,0xff117f40,
    0x1fd04d43,0xa805dd10,0x7d9be05f,0xdf90bfee,0x41fd04d4,0x17f61efc,
    0x1dd10bf1,0x7c41fc80,0x883f500f,0x7cd3ee3f,0xf101ff07,0x543f401f,
    0xfc83fa09,0x3ee0ffbd,0x06ffedff,0x7ff105f0,0x67fc7ff7,0x366fdccc,
    0x00bfd737,0xdff703e8,0xdfd8dffb,0x3dc06fca,0x5e817ea0,0xbfff91f6,
    0x6fecbfff,0x7f446fca,0x2a0fffef,0x9fd104fd,0x3fd95337,0xb02ff5cc,
    0xff89b60b,0x7f544ffe,0x02ff5cc7,0xefd8b7f6,0x7e446fca,0x2f3e62ef,
    0x5404fffd,0x3ff205ee,0x0df55fbe,0x4df65ff1,0xe9800eff,0x3f6e00ee,
    0xffd984ff,0x5ddb01ef,0x17405b00,0xfffb70fb,0xfffd985b,0xfffc881e,
    0x0077e41c,0xbdffdb71,0x0eff9817,0x3e603f10,0x217ff6a1,0x7fcc3ffc,
    0x1ffcc00e,0x01dfffb3,0x00082804,0x3f601000,0x862bf903,0x80000009,
    0x00011000,0x10601cc0,0x11000803,0x00880200,0x09800880,0x02600c40,
    0x04c03002,0x00402200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa806ec00,0x1f5c0551,0x0054ca60,0x42a009d5,0x54f4c009,0x3637200e,
    0x2005b304,0x00000de9,0x6c0faa00,0xeda7541e,0x9d3bb000,0xb80076c0,
    0x04ed802d,0x3b600ed8,0x02666201,0x505ffd30,0x02fb809f,0xf983f57e,
    0x23f202fd,0x07e401fb,0x03fbff20,0x100fff60,0x26201fdf,0x37a2008c,
    0x3fe6004f,0x205e8003,0xfafd41fe,0xc9fa800f,0x013e200f,0x7fcc05ac,
    0x807f400f,0x7ff403f9,0x777f406f,0x5403e980,0x02a8d401,0x2980aa55,
    0x01500153,0x001a88b8,0x2a600551,0x00dcaa01,0x00153151,0x8007ef7a,
    0x07fa00a8,0x003febf5,0x4c00d466,0x805b5002,0x7403fffc,0x1005300f,
    0x7c401333,0x3db0000f,0x83db4ea8,0xa83db4ea,0xeffeb84e,0x7541ed83,
    0x3effeb84,0x1f7ff5c0,0x53aa0f6c,0x427541ed,0x003effeb,0x5c002613,
    0xfe83effe,0xaffafd41,0x07b60cfe,0xffd709d5,0xa83db07d,0x7d7fc44e,
    0x5c07f406,0x76c0befe,0x3b227541,0xdea81eff,0x83fd1eb9,0xa83fd5fa,
    0xfa83fd5f,0x7fffff45,0x2a0ff45f,0x7ffff45f,0xfffd05ff,0x1fe8bfff,
    0x41feafd4,0x7fff45fa,0x17645fff,0x0ed87dd1,0x7ffffff4,0x3ea0ff45,
    0xdfdbfff5,0x17ea0ff4,0xbffffffd,0x2fd41fe8,0x017f57ee,0xeffe81fd,
    0x07fa1fff,0xefdb8bf5,0x7e7fe40c,0xa83fd2ff,0xfa83fd5f,0x5fa83fd5,
    0x7dc4bbf2,0xf507fa2f,0xb8977e4b,0x977e42ff,0x3fa2ffb8,0x1feafd41,
    0x5df92fd4,0xfc8bfee2,0xf89bfea4,0xb8977e47,0x507fa2ff,0xfe8ffebf,
    0x5fa83fd1,0x7dc4bbf2,0xf507fa2f,0xbf92fe8b,0xdf707f40,0xfe9bf625,
    0x7e42fd41,0x3e21fd03,0xfa83fd2f,0x5fa83fd5,0x25fa83fd,0x26fc83ff,
    0xf2fd41fe,0xf8df907f,0x3a6fc83f,0xfeafd41f,0x7ff2fd41,0x37d4df90,
    0x3ea1fffb,0x7e41ffc5,0xbf70bfa6,0xd4fb87fe,0x3e5fa83f,0x3a6fc83f,
    0xf32fd41f,0x01ff957f,0x43ff83fa,0x507fa1b8,0x305fb0bf,0xfd2fe8df,
    0x3fd5fa83,0x83fd5fa8,0x03ff15fa,0x20ff4ff5,0x03ff15fa,0x0ffc4ff5,
    0x83fd3fd4,0xa83fd5fa,0x503ff15f,0xff3fc4ff,0x88ff25f9,0x27fa81ff,
    0xfa7dc2fd,0x7f53ee1f,0xff8afd41,0x3fa7fa81,0xff92fd41,0x207fffff,
    0x03ff10fe,0x5fa83fd0,0x6f980ff8,0x41fe97f4,0xa83fd5fa,0xfa83fd5f,
    0x3e20ff35,0xfa83fd0f,0x3e20ff35,0x220ff30f,0xa83fd0ff,0xfa83fd5f,
    0x3e20ff35,0x3e67fa0f,0x43fd4fad,0x1ff107f9,0x27fd17f2,0x747f63ff,
    0xf9afd41f,0x3a1ff107,0xff2fd41f,0x0dfb9999,0x03fcc3fa,0x2fd41fe8,
    0x1ff81fe2,0x07fa5ff3,0x707fabf7,0xf707fabf,0x2a07fe6b,0xb83fd0ff,
    0x503ff35f,0x07fe61ff,0x0ff43fea,0x20ff57ee,0x03ff35fb,0x5fec1ff5,
    0xff6f8bfb,0xfa81ff98,0xfbfff30f,0x37ffe1ff,0x707fa7fd,0x207fe6bf,
    0x83fd0ffa,0x10df55fb,0x21fd05ff,0xfe800ff8,0x3e62fdc1,0x3fbff206,
    0xb85fb2ff,0xfb85fb4f,0x4fb85fb4,0x9ff20ffe,0xf27dc2fd,0xf8ff907f,
    0x367fc83f,0xfda7dc2f,0x7ff27dc2,0xcfb8ff90,0xdf5fd1fd,0xff907ff0,
    0x1dfffda8,0x873feffe,0xf27dc2fd,0x6cff907f,0xfda7dc2f,0xfd0bf903,
    0x3a20ffc1,0x9f70bf63,0x76404fb8,0xbfb1fd8c,0x8bfb4fe8,0xe8bfb4fe,
    0xa8bbf24f,0xd17f63ff,0x5177e49f,0x2efc87ff,0x5fd8ffea,0x45fda7f4,
    0x8bbf24fe,0x77cc3ffa,0x13fbf27f,0xffa8bbf2,0x3fe0b503,0xe8bfb010,
    0xa8bbf24f,0xd17f63ff,0x412e009f,0x87bf21de,0xd17f65fd,0x203fc89f,
    0x4c3fa09a,0x0fffdfff,0xfffbfff3,0x3f7ffe61,0x3ffa20ff,0x7cc6fffe,
    0x20fffdff,0xfffeffe8,0xfeffe886,0x7ffcc6ff,0xff30fffd,0x441fffbf,
    0x6fffeffe,0x7ccbfff0,0xffe882ff,0x2e06fffe,0x200ff80e,0xfffdfff9,
    0x3fbffa20,0x7ffcc6ff,0x9000fffd,0xe897a20b,0x20fffeff,0xfffdfff9,
    0x403ff990,0x46fcadfd,0x41efffea,0x41efffea,0x01efffea,0x209ffff9,
    0x01efffea,0x809ffff9,0x504ffffc,0xa83dfffd,0x901efffe,0x6c09ffff,
    0x07ffc3ff,0x09ffff90,0x7fc5ff88,0x7fff5400,0xffff901e,0x3fffaa09,
    0x3fe6001e,0x883ddd14,0xa81cfffc,0x3e1efffe,0x7ecc05ff,0x00601eff,
    0x2001800c,0x80060008,0x00440008,0x80060030,0x0ffb8008,0x088037ec,
    0x80000400,0x80022001,0x00040001,0x88060008,0x00044000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8377764,0x74c059ad,0x5c8db804,0x99303b60,
    0x00db8039,0xeeed8000,0x74c0eeee,0x3aa01eaa,0x01b3b303,0xd50b91b7,
    0x0d42e009,0x00006ec0,0x2012e590,0xeeed80ed,0x0ed82dee,0x01db076c,
    0x40666620,0xccb85eec,0x9fd9f04c,0x8805fa80,0x3fe01fef,0x8054ccc0,
    0x40009c88,0x3ffa01fd,0xc80fffff,0x037404ff,0xf1015971,0x07f205fd,
    0x003f3ae0,0xff3005f7,0x0efe8807,0xfe80ff80,0x43ffffff,0xf0ffc0fe,
    0x3fee001f,0x7fec81ff,0x10002000,0x06a60013,0x01b95400,0x98006e55,
    0x00ff402f,0x19100aa0,0x301b9540,0x002b8055,0x03300153,0x007ef7a0,
    0xd0198002,0x006fc83f,0x007fc3ff,0x40199988,0x1f97e87f,0x13aa0f6c,
    0x802fbfae,0xb00befeb,0xd507b61d,0x9d507b69,0xfd001100,0x3bfae003,
    0x1f97e82c,0x93aa0f6c,0x7e81f97e,0x3f6a01f9,0xfeb80bdf,0x426202ce,
    0x541ed809,0xdffda84e,0xf507fa0b,0x7fc0ed8d,0x1f6c3fe1,0x03effeb8,
    0x75d761fe,0xbf507fa0,0xfffeffe8,0xffeffe81,0xfd0ff81f,0x3fd5fa83,
    0x3b205fa8,0xeeeeeeee,0x9999bfd1,0xfeeffb87,0x0ebaec1f,0x4bf507fa,
    0x5d81d75d,0xfff701d7,0xffb8bffd,0x7641ffee,0x3fa4eb85,0x3ee2fd41,
    0x3a5ffeff,0x3feaa9bf,0x87fe07f4,0xd05fc8ff,0x0bffffff,0x3fa001fe,
    0xdf72fd41,0xf71bf625,0x21bf625d,0xa83fd0ff,0xfa83fd5f,0xffdff305,
    0x3a3fffff,0x45ffffff,0x017ee1fe,0x5fa83fd0,0xffb80000,0x745ff30b,
    0xf117ee1f,0xd0ffcc5f,0x2e5fa83f,0x5ff30bff,0x3ffffffa,0x3e07f40c,
    0x3bf3fe1f,0x712efc80,0xd8ff05ff,0x7f43b60e,0x7ff2fd41,0x1ffc1b88,
    0x43fe06e2,0xeafd41fe,0xc82fd41f,0x7406f9bf,0x409999bf,0x43310cfe,
    0x743b60ed,0xedafd41f,0x076c3b60,0x427ec1db,0x433fa0a9,0x26fb8198,
    0x20ff44fd,0x213f65fa,0xf99fd0a9,0xf03fa09f,0x2ffffc3f,0x6fc83ff8,
    0xd07fc7f8,0xf507fa3f,0x2007fe2b,0x3e001ff8,0xfa83fd0f,0x5fa83fd5,
    0x6f98ff88,0x5400ff40,0x7c0bdfff,0x7f47fa0f,0x0ffafd41,0xd07fc7fa,
    0x800ffc3f,0x00bdfffa,0x03feb3fa,0x25fa83fd,0x1fe801ff,0x1fd09ff1,
    0x3bfe1ff8,0x0ffc41fe,0x23fc3fd4,0x747fa0ff,0xf9afd41f,0x00ff3007,
    0x83fd0ff8,0xa83fd5fa,0xf34fc85f,0x7479999f,0xffd5001f,0xd07fc5ff,
    0xf507fa3f,0x1fe83feb,0x98ff41ff,0x3bbb20ff,0x7ffff545,0x5fdff302,
    0x5fa83fd0,0x77641ff3,0x7d43fd5e,0x3e07f41f,0x3ea7fe1f,0xf883fcc6,
    0x3fe3fc0f,0x0ff47fa0,0x07fc57ee,0x0007fc40,0x707fa1ff,0xf707fabf,
    0xf30ff88b,0x74dfffff,0x1eeeeeef,0x21ffd730,0x747fa0ff,0xffafdc1f,
    0x07fc7fa0,0xd0ffc3fd,0x2e60dfff,0xff900ffe,0xf707fa0b,0xffd0ffcb,
    0xfb07fadf,0x7fc0fe8d,0x1fec3fe1,0xff503ff3,0x07fc7f81,0x70bf63ff,
    0x220ffc9f,0x220ffc3e,0xfb0ff83e,0x5fb4fb85,0x77dc4fb8,0x999efcaa,
    0x3ffffa09,0x09932fff,0xf83fe3fd,0xfb85fb1f,0x8ffc1ff4,0xe87fe0ff,
    0x936f984f,0x2203fd09,0x85fb01ff,0x213fa4fb,0x883fd6f9,0xf03fa4ff,
    0xf987fc3f,0x320ffe0f,0x7f47f87f,0x3f63ff11,0xdf927f45,0x3f22fec3,
    0x3e17f61e,0x9fd17f67,0x89fd17f6,0x6fffffff,0xfe82d800,0x7f47fe22,
    0x3f63ff11,0x1fea7f45,0x47fa3ff1,0x3fee1ff8,0x5fd37e42,0xff00ffc4,
    0xfd17f601,0x3217fdc9,0x203db86f,0xb700f80f,0xa8bbf207,0x6c7f83ff,
    0x31ffebef,0x1fffbfff,0x7ff7ff44,0x77ff440f,0x3faa0fff,0x3f7ffe67,
    0xbfff30ff,0x77dc1fff,0x006fcaaa,0xeffb84e8,0x3bf66ffd,0xff31ffeb,
    0x361fffbf,0xb1ffebef,0x83ffd7df,0xfffdfffc,0x3f7bfee5,0x807fc06f,
    0xfffdfff9,0x7efffe40,0x01f705ff,0x403f10be,0xffe880fb,0x6546fffe,
    0x5fff447f,0x3ffaa1fd,0xffc881ef,0xff9101cf,0x2ffc839f,0x0f7fff54,
    0x07bfffaa,0xeff987fd,0x2e02eeee,0x7fedc2ff,0x5fff444f,0x3ffaa1fd,
    0x3ffa21ef,0xffd11fdb,0xfb703fb7,0xfb705bff,0x1ff009ff,0x77fff540,
    0xbfffb701,0x409dd905,0x3ff60ffc,0x9013bb20,0xfb09ffff,0x180020ff,
    0x01000200,0x30018018,0x3e61fea0,0x03ffffff,0x10020044,0x00200c00,
    0x80020002,0x003fe000,0x2002000c,0x40201000,0x00044000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcaeb8000,0x345a601e,0x7db4eed8,0x83db4e98,0x21db1eeb,
    0x003d91ec,0x2a200f6c,0x33601a88,0xb1b903d8,0xd8049809,0x3633200d,
    0x88175c03,0x36a1e9bd,0x46e405c8,0x80f2204d,0x99809999,0x07910099,
    0x000007b6,0x6fc037f4,0xffc803f8,0x3a9dfd03,0x757e60ff,0xe8bfee2f,
    0x3fa3fd0f,0x007f3002,0x409f35f5,0xf100eef9,0x3ee201fd,0x05f501df,
    0x200fef98,0x7fdc05f8,0x402fee85,0x2601fef8,0xffff305f,0x0bffff07,
    0x0bea07f2,0x07dffd70,0x409f5f90,0x04005328,0xbffd1fa0,0x52feafcc,
    0xfe8005ff,0x20053002,0x401a88a8,0x0d4c01aa,0x0dffdf90,0x0d4c0066,
    0x55400a20,0x3002a880,0x02a88035,0x26026666,0x03900999,0xfffd00a6,
    0x0980bfff,0x7ff5c031,0x7ff5c03e,0x7f47e83e,0x3abf32ff,0xd83ffaaf,
    0x3fa3d90e,0x3bbba202,0x2f644eee,0x87db275c,0xdddd14e9,0xaef89ddd,
    0x87db1ccd,0x09db04e9,0x37bbbbb6,0x76c3db02,0x5c2deeee,0x5eeeeeee,
    0xddddddd1,0x6c03db09,0xc83b604e,0x977e401e,0xed83ffb8,0x3fa274c1,
    0xd05fffff,0x8bffffff,0xb7e7f47e,0xff9fd5f9,0x7f43fa0d,0x7c405fd1,
    0x45ffffff,0x3fe62ff8,0xf983ffa1,0xffffff15,0x85aef8bf,0x17e60ffe,
    0x3a03ffe6,0x3fffffff,0x3ffa1ff8,0x323fffff,0x7fffffff,0xfffffff1,
    0x2603ff0b,0x1fd00fff,0x3fe017f4,0xfe86fc83,0xdf937d41,0x90bfee25,
    0x3fee25df,0xd1fd1fa2,0x3fabf39f,0xfe82ffff,0x0bfa3fd0,0x703ff900,
    0x3a27ecdf,0x817e65ff,0x7fec1ffc,0x32fff40e,0x7fff90bf,0x6fc83fd0,
    0x07fa1ff8,0x17ee0df9,0x7c0ffe40,0x7fff901f,0x2fe83fa0,0x2a07fe20,
    0x541fe87f,0x320ffe6f,0x641ffc6f,0x1fd1fa6f,0x3abf7ff3,0x40ffbbff,
    0x3a3fd0fe,0x3fea002f,0x3eb3fa02,0x97fff40f,0x5ff505f9,0x49fff910,
    0xbf32fffe,0x86faff88,0x437d41fe,0x507fa1ff,0x017ee0df,0x7fc0bfea,
    0x6faff881,0x17f41fd0,0x3e20ff30,0x2a0ff40f,0x503ff16f,0x40ffc4ff,
    0xfd1fa7fa,0x757fff21,0xfd17fa4f,0x17f47fa1,0x404ff980,0xe82feff9,
    0x0bf36fcf,0xea809ff3,0xdf9fd2ff,0x2bf717e6,0x4dff42fe,0xff83feaa,
    0x2aa6ffa1,0x0bf703fe,0x3e04ff98,0xfd5fb81f,0x7f41fd05,0x207fe602,
    0xcdfe87f8,0xff36fdcc,0x7cc3fe20,0x3a1ff107,0xff887f47,0x7d45fd5f,
    0x7f43fa2f,0xd1005fd1,0x3ff200bf,0x9fd1fd05,0x5fe88bf3,0x3e76a260,
    0x39fd1fd5,0xf92fe8bf,0xfffffe8b,0x21ff80cf,0xcffffffe,0x440bf700,
    0x0ffc05fe,0x85fc97f4,0x00bfa0fe,0x7dce27ff,0xfffffe86,0x03ff36ff,
    0x3fe61ff5,0xfd0ffa81,0x3fea0fe8,0xefd85fd5,0x47fa1fd0,0x4eeeeefe,
    0x880077ec,0x31fd01ff,0xfd8bf7ff,0xb5bf300e,0x263fa7f3,0x3e65fbff,
    0x20ffcabf,0x04ffccfe,0xccfe87fe,0x2fdc04ff,0xf801dfb0,0x55ffcc1f,
    0x07f40ffc,0xefc805fd,0x83ffefa9,0xfb999bfe,0x3f20ffe6,0x7e41ffc7,
    0x81fd1fa7,0x985fd5fd,0x3a1fd4ff,0xfffffd1f,0x00ffe4df,0x7f403fe0,
    0x64bfff90,0x77ec01ff,0x21fd0fee,0x3f25fffc,0x23ffffff,0x09ff11fe,
    0x11fe87fe,0x2fdc09ff,0xf801ffc8,0x7fffe41f,0x07f43fff,0xfe8805fd,
    0x80fffeef,0x937d41fe,0x1ffd45df,0xffa8bbf2,0x3db81fa3,0xe801edc0,
    0x5427541f,0xff8002ff,0x3e21fd00,0x05ff55ff,0x43bff910,0xbfff10fe,
    0x6e6667fc,0xfa87fa6f,0x3a1ff81f,0x407fea1f,0x2ffa85fb,0xff83ff00,
    0x46fdcccc,0x00bfa0fe,0x3bbfff22,0x20ff42ff,0x3ffa26fa,0xe886fffe,
    0x46fffeff,0x1f703cfe,0x2600fb80,0x1fa80ffe,0x77777ff4,0x807fc06e,
    0x57fea0fe,0xeeeeeffe,0x1fd0b506,0x6faaffd4,0x3fd2ff88,0x1ff86fd8,
    0x0dfb07fa,0x3ffa17ee,0xf86eeeee,0x221bea1f,0xe83fa2ff,0x04eeeeef,
    0x740eb822,0x6437d41f,0x6404ffff,0xfe84ffff,0x0277645f,0xfb809dd9,
    0x42f75c3f,0xfffffffe,0xe807fc07,0xfeafec0f,0x07ffffff,0xd81fd053,
    0x3207fb5f,0xf883fd5f,0xfd0ffc4f,0xb84ff883,0xffffe85f,0x1ff87fff,
    0x2fe40ff6,0x7fff41fd,0x80006fff,0x037d41fe,0x00880011,0x00400200,
    0x00004030,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x200a2880,0x4ea804ea,0x2002eb80,0x3ec800dd,
    0x546a1510,0x0531a80a,0x1288176c,0x07a1d105,0xb701546a,0x643ddddd,
    0x99104d8d,0x4274c573,0x3aa00ed8,0x13333104,0x03511510,0x403d55d3,
    0x100005e8,0x3b203a1d,0x1bbffa02,0x64003ba0,0x006d800f,0xbf5005f5,
    0xf17f503f,0x3aa03fa9,0xfbf901fc,0x09dfff01,0x3e213fee,0x3fee0df4,
    0x222fffff,0x9d501fef,0x4076c3ff,0xbf106eed,0xffff507f,0x9f15f507,
    0x9013ff20,0x05d9001f,0xd104ffb8,0x00a8a40d,0x2a000544,0x800a8801,
    0x2a350019,0x2350a881,0x015100aa,0x220d44d4,0x00801533,0xfe81546a,
    0x983f9dff,0xa802201a,0x0a88a880,0x31053298,0x15101333,0x05540351,
    0x46c006a0,0x28801005,0x274c3ed8,0x09d70bd9,0xeed8276c,0xb00eeeee,
    0x13b6009d,0x0f6c3db0,0x76c04ed8,0xb013b601,0x0276c03d,0x7f3bfffd,
    0x1f77776c,0x1ed83db0,0x3bbbbbb6,0x6c01db0e,0x0eeeeeee,0xdddddddb,
    0x3bbbbb61,0xddddb0ee,0x3fa01ddd,0xdddddb05,0x41ed81dd,0x97e60ffe,
    0x3fe62ff8,0x01fff301,0xfffffffd,0x01fff301,0x200fff98,0x207fe1ff,
    0x3e00fff9,0x1fff301f,0xf980ffc0,0xfff700ff,0x7ff47f3b,0xff06ffff,
    0x3fa1ff83,0xd0ffffff,0x7fff401f,0xffd0ffff,0x3a1fffff,0x0fffffff,
    0xfffffffd,0x01fff301,0xfffffffd,0x7f41ff81,0xf717e65f,0xf9027ecd,
    0x03fd07ff,0x01fffe40,0xf80ffff2,0x3207fe1f,0x3fe03fff,0x07fff901,
    0xffc80ffc,0xbff9103f,0x30ff47f3,0x83ff07fd,0x007fa1ff,0x0ff401fd,
    0xfd007fa0,0x001fe803,0x3a0ffff2,0x83ff001f,0xbf32fffe,0x1ff59fd0,
    0x1bebfe20,0x7c4007fa,0x3e206faf,0x3fe06faf,0xff107fe1,0x0ffc0df5,
    0x037d7fc4,0x5ff103ff,0x9df880df,0xf507fa3f,0xff83ff0f,0xfd007fa1,
    0x7f43df73,0x200ff401,0x0ff401fe,0x6faff880,0xff001fe8,0x36fcfe83,
    0xfdff30bf,0xfeafdc05,0x6666ff42,0xfd5fb83c,0x7f57ee05,0x7fc3ff02,
    0x2feafdc1,0xbf703ff0,0x0ffc0bfa,0x02feafdc,0xe8fe77e2,0x7c3fc41f,
    0xfd0ffc1f,0x7479999b,0x3a7fdcff,0x23ccccdf,0x3ccccdfe,0x333337fa,
    0x33337fa3,0xfd5fb83c,0xcccdfe85,0x741ff83c,0x5f9cfe8f,0xe80bff90,
    0xfe8bf92f,0xe85fffff,0x3a0bf92f,0x3e0bf92f,0xfd07fe1f,0x7fc17f25,
    0xbf92fe81,0x3fa07fe0,0x7c40bf92,0x07fa3f9d,0x1ff83ff1,0xfffd0ffc,
    0x1ff4bfff,0x3fffa3ff,0x3ffa5fff,0x3fa5ffff,0x3a5fffff,0x85ffffff,
    0xe8bf92fe,0x85ffffff,0x4c7f41ff,0xf105fbff,0x5ffcc03f,0x3fa0ffca,
    0x4c09999b,0x0ffcabff,0x7e55ffcc,0x3e1ff80f,0x2affe61f,0x1ff80ffc,
    0x7e55ffcc,0x4c1ff80f,0x0ffcabff,0x47f3bf10,0x07fc41fe,0x43ff07fe,
    0x09999bfe,0xd1fe87fa,0x4133337f,0x09999bfe,0x26666ffa,0x2666ffa0,
    0x55ffcc09,0x2ffa0ffc,0xff809999,0xffc87f41,0x803fe05f,0xfffffffc,
    0x32007fa3,0x3fffffff,0x7fffffe4,0x3e1ff83f,0x3ffff21f,0x1ff83fff,
    0x7fffffe4,0x641ff83f,0x3fffffff,0x47f3bf10,0x43fcc1fe,0xd0ffc1ff,
    0x20fe803f,0x803fd1fe,0x0ff401fe,0x32007fa0,0x3fffffff,0x7fc007fa,
    0xff887f41,0x803fe05f,0xfdccccff,0x3e007fa6,0x6fdccccf,0x6e6667fc,
    0x3e1ff86f,0x3333fe1f,0x1ff86fdc,0x6e6667fc,0x7c1ff86f,0x6fdccccf,
    0x47f3bf10,0x13fa21fe,0x43ff07fe,0x07f401fe,0x007fa3fd,0x1fe803fd,
    0x7c00ff40,0x6fdccccf,0x7fc007fa,0xff507f41,0xa807fc0b,0xd2ff886f,
    0x3ddddddf,0x3fe21bea,0xff10df52,0x3fe1ff85,0xff10df51,0x3ea1ff85,
    0x7c2ff886,0x221bea1f,0x9df882ff,0x3bbbfa3f,0x83ff06ff,0x3bbfa1ff,
    0x1fd1eeee,0xeefe8ff4,0xdfd1eeee,0x3a3ddddd,0x1eeeeeef,0xddddddfd,
    0x3e21bea3,0xddddfd2f,0x41ff83dd,0x02fec0fe,0x0ff601ff,0xfffeafe4,
    0x7fb2ffff,0x1fed7f20,0x0ffc5fc8,0x40ff63ff,0xb0ffc5fc,0xf17f207f,
    0xc81fec3f,0xf9df885f,0x3bffffa3,0xf83ff00c,0x3ffffa1f,0x41fd2fff,
    0xffffd1fe,0x3ffa5fff,0xfd2fffff,0x25ffffff,0xfffffffe,0x3f207fb2,
    0xffffffd5,0x001ff85f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd8000000,0x0091000e,0x00000000,
    0x20000000,0x00019898,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e000000,0xb095000f,0x4eecdf5b,0xeea81efe,0x04ff880b,0x6f5407fa,
    0x44f41eb9,0xfadf880e,0x0cfec884,0x273ffa60,0x22eeeeee,0x2a32e04e,
    0x7eccf645,0x7ecf6c3e,0x4f9fb82e,0x7d43eea8,0xb807f600,0xf102cefe,
    0x80fb809f,0x36a00ef8,0x6c40bdff,0x19803efe,0x3fe07600,0x33ffe5ef,
    0x6f7e47fd,0x7d7740ff,0xf903d902,0xa85fff9f,0xb1d903fe,0x3ef3f20b,
    0xfffff304,0x7fffffff,0x37f60364,0x7ffeff41,0x33ffe2ff,0xefe80ffd,
    0x20fbcf80,0x80f6404e,0x1ffeeffb,0x201fbee8,0x401f706d,0x5ffefffb,
    0x0ffe6fec,0x7777776c,0x1ffed40e,0x1ffc1ffc,0xf73fc1ff,0x00130989,
    0x3fe21fd0,0x03088002,0xd07e8ff4,0x13fea1bf,0x20001f50,0xdfb12ffe,
    0x03ff1ffc,0x35f30131,0x0003ea5f,0x2fdc3fd0,0x3e00984c,0x7dc01104,
    0x45ff30bf,0x3a0bf22a,0x0fffffff,0x0fffbfee,0x43ff03ff,0x99df31fe,
    0x7feccbfb,0x0beea82d,0x85fd1be6,0xda80beea,0x9df902df,0x83ff30bf,
    0x17c404fe,0x742dfda8,0xff3fcc4f,0x3660ff43,0x557c43df,0xd9809d1f,
    0x0cfe83df,0xbfb30331,0x260be207,0x4fd83dfd,0x76540a98,0x01fe83ff,
    0x3dcc8fe8,0x07fc07fc,0x33bea3fd,0x2fba3ccc,0x3bf20ffb,0x8df30ffd,
    0x37bf22fe,0x37fee0ff,0xfff885ff,0xf90ff504,0xf819999d,0xffdffb84,
    0xff10bfa5,0x1fe83fe1,0x0bfb3fee,0x03eafddd,0x2fecffb8,0x05efffd4,
    0x17f67fdc,0x3fee07d4,0x0ffc2fec,0x65eff440,0x401fe83f,0x3e01d6f8,
    0x3a0ff80f,0x54cdf11f,0x0665df30,0xff27dcff,0x7f8bfe63,0x21ff93ee,
    0x3ff620fe,0x86fa813f,0x0ffffffb,0xd0ffc36c,0x3e0bfa1f,0x7f41ff1f,
    0x1ecc3fa1,0x32742ee2,0x0f661fd0,0x0bffffaa,0x20f661fd,0xb30fe86c,
    0xd907fcc7,0xc97eabdd,0xccdfe83f,0x27be63cc,0x3e03fe05,0xfe87fa0f,
    0x3f61febd,0x3be61cff,0x3f25fdcc,0xf32fffef,0x26bfb99d,0xfd1fe46f,
    0x4bf7ff59,0x9dfc86fa,0x20fb8199,0xe9fe46f9,0xff1ff82f,0x6f88ff41,
    0xf98fa800,0x00df10ef,0x10ffeb98,0x113a00df,0x43ff00df,0xff16fffe,
    0xfd07ff77,0xf8bfffff,0x7c5f9bdf,0x3a0ff80f,0x3bff621f,0x7fff5c42,
    0x9999df51,0xfd8cec87,0x9999df51,0x9f71be67,0xfffc9fe2,0xfb03fe63,
    0x4c5f3009,0xfea7dc6f,0xff8ffc42,0x37cc7fa0,0xf6ca7400,0x9301be67,
    0x3e63fd09,0x4c2f8806,0x84fe806f,0x3bff26f9,0x9bfe85fb,0x7fe40999,
    0x26dc2fed,0x5a80ff80,0x9f912a88,0x20a99be2,0x443fa09a,0xff82a66f,
    0x3fc43fa1,0x9fd07ffa,0x4013fee1,0xfd0ffc4f,0xff50bfa1,0xfd04ea81,
    0xfa817e61,0xfe97a9d0,0x2fe8bf30,0x0fe87fe2,0x80fa8bf3,0xb8bf30fe,
    0x437e42ff,0x07fa0f10,0x81f7fe40,0x3fa601fb,0x440eb80f,0x21febbff,
    0x21febdfe,0x46fcadfd,0x21febdfe,0x45fecffc,0xfffecefd,0x3bffea2f,
    0xeeeeffff,0x7fe46d84,0x4bfa5fec,0xf505ffdb,0xfd9ff703,0x2bb27405,
    0x3b3fee3f,0x6f7fdc2f,0x67fdc6ff,0xb83e42fe,0xc82fecff,0x5fffdfff,
    0x3fa03e60,0x20195001,0x7dc04eec,0x8bfd103f,0x443dffda,0x6cc2effd,
    0x6c41efff,0xfeb82eff,0x7fec40be,0x540fc9df,0xfffadfff,0x87b85fff,
    0x3a0befeb,0x81bffb2f,0x3aa05eeb,0x83ea03ef,0x7541fefa,0xffb703ef,
    0x3bfaa09f,0x3aa05e83,0x3f6e03ef,0xfe802dff,0x77777f47,0x200ec1ee,
    0x20026000,0x00400400,0x40040044,0x40103000,0x80620000,0x01004000,
    0x41540040,0x10004028,0x00980200,0x00040008,0x7ffff404,0x00342fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15000000,0x04c44c40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x27a0b519,0xdfd701d8,0x3ef7a017,0x3207fa01,0x3e7fa05b,0x16ffecc6,
    0x6c07e5fa,0x3fae00ff,0x0df303ef,0x033fa776,0x07af3faa,0xf103f6dd,
    0x3f601f99,0x81fe400f,0x2fc807f8,0x217e5f30,0x7102faee,0x22039dfd,
    0x4406984e,0x401cefeb,0xfd301dfd,0x3fbffa09,0x4ff981ff,0x5e407ea0,
    0x1d73f505,0x0ffbbee8,0x2a075d76,0xffd05eaf,0x260bffff,0xedfff82f,
    0x7effdc6f,0xecaec2ff,0x503ffa80,0x7c40bd5f,0x1017cc03,0x447dc07f,
    0x04ff883f,0x3ee639d1,0x7427fcc2,0x4c73a201,0x000002fb,0xfd8977dc,
    0x08803106,0x10880540,0x332ef981,0x06211000,0x7dc4bbf2,0xff01102f,
    0x3fd0ff47,0x8000bfe2,0x0c422019,0x02200310,0xfb310188,0x06207f73,
    0x32b99f44,0x226c443f,0x2afa205a,0xd85f32aa,0xd883b60e,0x1ffc3efe,
    0x3baa06e2,0x6ffecc0b,0x0ed83b62,0xb076c1db,0x76c39fff,0x076c3b60,
    0x41ffc1db,0xd83b66fc,0x7dc3ff0e,0x2fe8ff14,0x4c16fed4,0xda82dffd,
    0xbfb502df,0x0b7f6a05,0xe876c1db,0x1fffffff,0x70fbfb62,0x557b3ea9,
    0x07e24d85,0x9d9bf4b8,0x741ff16a,0x3f37f61f,0x003ff11f,0x83ff7bf2,
    0xf0ffbbee,0xff8ff41f,0xeb887fa0,0x41ff1fff,0x741ff1fe,0x503ff11f,
    0xfd07fcff,0x4fb87fe3,0x22fe8df1,0x45ffdffb,0x20ffbbee,0x45ffdffb,
    0x45ffdffb,0x25ffdffb,0x547fa0ff,0x0afeadfb,0x87ff37f6,0x44a25f2d,
    0x01324d87,0x8b5c7e5b,0x3fd07fc7,0x265f9154,0xb9fe007f,0x265df34f,
    0x1fe83fe1,0x88ff41ff,0x3e9f912a,0x7fc7fa0f,0x3fcc7fa0,0x1ff0ff88,
    0x23ff8ff4,0x443fa1fd,0xe87fe2ff,0x265df30f,0x1fd0ffc1,0x41fd0ffc,
    0x7c3fa1ff,0xf987fa0f,0x64550bf2,0x07e23e2f,0x7c4ae0f4,0x3e1f0660,
    0xf87a1eee,0x9507fa0f,0x3fe27ffd,0xccef9800,0x3fff65fd,0xfe83fe1c,
    0x8ff41ff1,0x1febbff8,0xf8ff41ff,0x7cc7fa0f,0xf0ffa81f,0xff8ff41f,
    0x7dc7fddf,0xf32fffcf,0x3f63fc8d,0x1be61cff,0x91be67f9,0xf91be67f,
    0x1fe83fe7,0x5bf77fb5,0x3ffeca81,0x2289747a,0xf88f600f,0xecaf8f45,
    0x20ff83e0,0x7bfd11ff,0x20ffc7f9,0x33bea3e8,0x3ae23ccc,0x41ff1fff,
    0x7c1ff1ff,0x37ff6a1f,0x1ff83fe3,0xf0ffc1ff,0x7cff907f,0x7fc7fe0f,
    0x5c41cffb,0xf32fdcff,0x2e24fb8d,0xdf31fffe,0x8df34fb8,0xb8df34fb,
    0x7fc1ff4f,0xffffffd1,0x2f7fa23f,0x75d323fc,0x4c0d55db,0x5322f746,
    0xd1a69d1f,0x547fe23f,0xfc8ff25f,0xf897f61e,0x95442a66,0x23fd4fc8,
    0x23fd1ff8,0x4ec81ff8,0x1ff88ff4,0x87fe23fd,0x3fea2efc,0x7fc47fa3,
    0x80021ff1,0xe87fe2fd,0x3225510f,0xfe87fe4f,0x0fe87fe0,0xd0fe87fe,
    0x447fe23f,0x219fd9ef,0x98ff25fa,0xd117932f,0x99b17405,0x30caf98b,
    0xefd85d39,0xff11ffeb,0x7447ff77,0x40fffeff,0x11febdfe,0x23fd77ff,
    0x1ffebefd,0x3ffd7dfb,0xefd87e20,0xdfb1ffeb,0x7443ffd7,0x46fffeff,
    0x1ffebefd,0xfb0001ff,0x7f67fe45,0x3aeffe25,0x3b3ff21f,0x767fe45f,
    0x767fe45f,0x3afbf65f,0x369f11ff,0xfbbff886,0x885fcc3f,0x99aa03ea,
    0x7cc2ffef,0x107d510b,0x43fb7ffd,0x45fbeffc,0x81cfffc8,0x542effd8,
    0x3a23dffd,0xd11fdbff,0xb83fb7ff,0x7ff444ee,0xffd11fdb,0xff903fb7,
    0xffd109ff,0x03fe3fb7,0xd70bf600,0xfda817df,0xefeb83df,0xbefeb80b,
    0x0befeb80,0x3f6fffa2,0x417e5f31,0x85fbeffc,0x02dfffd9,0x3b2660f4,
    0xdfefd980,0x00800402,0x80080020,0x00200200,0x00400400,0x00200220,
    0x00400000,0x10008008,0x40100200,0x01002618,0x05100180,0x000c00cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x00000002,0x00000000,
    0x00000000,0x00000000,0x08000000,0x984aadc8,0x3b60d9cd,0x2a003b60,
    0xf984f8bf,0x03be203f,0xfd980ff2,0x3ffae03d,0x9d0bd13e,0x17e7f307,
    0x40d309d1,0x3e204ff8,0x903fb80e,0x3ee05bfd,0x2fec45ea,0x3f6007c4,
    0x407f9002,0x7305eafb,0x75c09dfd,0x3fae02df,0x260fb9ce,0xbd82fdbe,
    0xd07fc5fc,0x87ff4c3f,0xe83e8ae9,0x1d901fbd,0xffb836c0,0xffe82fec,
    0x7f8dffff,0x2e983bd8,0x427fcc9d,0x3ebba01e,0x6401f702,0x7fcefb87,
    0x9303ff60,0x403d85f1,0x7f1002f9,0x101ffb00,0x1dfffffd,0x0ffdffb8,
    0xffffffe8,0xf000003f,0xfb0ff41f,0x0988009b,0x20022013,0x3661fd01,
    0xb8977dc3,0x2886baff,0x89b11000,0x0984c05a,0xb0300110,0x4407fa3f,
    0x983fe009,0x00208806,0x02620031,0xfe9877e4,0x3fb87f44,0xff7177e4,
    0x3efed887,0x7c2dfda8,0xff87fa0f,0x80beea80,0xea80beea,0xbeea80be,
    0x3e01be20,0x3eefc83f,0x10fbfb62,0x9b07dfdb,0xdb100fc4,0xfed887df,
    0x77f6c43e,0x1be63fa3,0x4416fed4,0x300ba4e8,0x445d9df9,0xffccffec,
    0xed83b60d,0xff506e60,0x7fc03fc1,0xb1bfbe23,0x5c3ff9bf,0x3e5ffdff,
    0xff87fa0f,0x7fef7e40,0x3ff7bf20,0x3ff7bf20,0x3ff7bf20,0xf880df30,
    0x43ffa81f,0x21ffcdfd,0x41ffcdfd,0xfb01324d,0x7ec3ff9b,0x3f61ffcd,
    0x1ff1ffcd,0xbff707f9,0x7dfd4bff,0xffa80b53,0x6fe47fec,0xefcdfffc,
    0x8ff41ff0,0xaaaaaaa8,0x35fd11ff,0x223ff101,0x1547f9ee,0xd0ffc5f9,
    0x7c47fa1f,0xff03fe1f,0x5cff27dc,0x4fb9fe4f,0x3a4fb9fe,0x7ccbf30f,
    0xa83ff107,0x22a8bf22,0xf895c2fc,0x64550310,0x2fc8aa2f,0xff2fc8aa,
    0x3ff0bf91,0x459507f4,0x3fb0661e,0x2298fff2,0x7cfee6fc,0x7cc7fa0f,
    0xffffffff,0x09ffffd2,0x44774ff3,0x7f6540ff,0xfc8df33f,0xffd7dfb3,
    0xdf307fc3,0x3e6bfb99,0xf35fdcce,0x26bfb99d,0x25fdccef,0x22fecffb,
    0xffa81ff9,0x3ffeca80,0x01fff654,0x21bbf27b,0x543ffeca,0x6543ffec,
    0x11ff3ffe,0x237cc9fd,0x892e03fc,0x75dbe25f,0x7f6545fb,0xf4fdccef,
    0xf88ff41f,0xffaaaabf,0x035df951,0x21fb1ff1,0xbfd10ffa,0x1be67f97,
    0x3ffa29f7,0x83fe1fdb,0x3ccccefa,0x79999df5,0x33333bea,0x9999df53,
    0x83efea87,0x47fc83ff,0x3fcbdfe8,0x7f97bfd1,0xf99b9a60,0xf97bfd11,
    0x32f7fa27,0x97bfd13f,0x7cc3fe7f,0xfb8df32f,0x7741f104,0x23eb7e65,
    0x2fbfa4fa,0x3ccccefc,0xf0ffc1ff,0x20ff985f,0x77ec03fb,0xfa9ff21f,
    0x1ff8ff25,0x16c103fa,0x26f883fe,0x4cdf10a9,0x54cdf10a,0x054cdf10,
    0xefc82764,0xf50ffea2,0x5fa9fe4b,0x21740ff2,0xc97ea5e8,0x7e4bf53f,
    0x9fe4bf53,0xf97ee0ff,0x6403fa1f,0xf8973363,0x263fb1ff,0xa99bf26f,
    0x3fe23fd0,0x6c43bf21,0x003ba25f,0x7fcc5ff7,0x3eeffe23,0x3b3ff23f,
    0x3e1f405f,0x75eff40f,0x3af7fa1f,0x3af7fa1f,0x3af7fa1f,0x103f101f,
    0xdfffdffd,0xff77ff10,0x3eeffe27,0x7446a83f,0x7ddffc45,0xf77ff13f,
    0x2effe27f,0xbb1ff3ff,0x67fe45fd,0x4cd305fe,0x3f22ffef,0x3e26febe,
    0xbdfffbbf,0xd7dfb1ff,0xdffe83ff,0x3ff60eff,0x7dc5eeff,0x86ffedff,
    0x45fbeffc,0x400befeb,0x81ff2ffb,0x442effd8,0x6c42effd,0x7ec42eff,
    0x4eeb82ef,0x27fffe40,0xbf7dff90,0x2fdf7fe4,0x3bbfa0f4,0x3efbff21,
    0x3efbff25,0x3efbff25,0x9ff71ff5,0x017dfd70,0x1b9330b6,0x2fbfb7a2,
    0x4e7ff5c0,0x3a22effd,0x441fdbff,0x540dffeb,0x26ffedcf,0xfffdbcf9,
    0x00800404,0x01ff0440,0x04004004,0x20000040,0x20020008,0x2a214400,
    0x80080aaa,0x02000800,0x4c050010,0x010010c1,0x04000802,0x04140400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32200000,0x665c2ccc,0x59bda84c,
    0x3d900130,0x3d7098bb,0x10bb2660,0x00059999,0x7541ed80,0x2e003eac,
    0x36004ccc,0x004ea81e,0x00faa000,0x00000000,0x0b5b9100,0xa85b9100,
    0x3f7bd13e,0x443757d4,0x7643eeee,0xfdbe86ee,0xd801fc84,0x47f26f9f,
    0xffff01fc,0x7777441f,0x07ef7a23,0x07fa17ea,0x4c9f7bf5,0xdddd906f,
    0x3e1d13d0,0x2a5fa81f,0x3f605eaf,0x4c13ea02,0x217e43ff,0x3fee05f9,
    0x201fe801,0x5fd42ffa,0x3bfea4f8,0xf993ee5f,0x01ffc83f,0x74000000,
    0x89fd801f,0x00e87fa6,0x0007fd33,0x3a607ff3,0x7d41fe84,0x03b23c8d,
    0x23fea800,0x45fa81ff,0x7f100ffd,0xbd009880,0x6c6d83f7,0x3f6fe206,
    0x9807ea00,0x574c6e8c,0x747fa3e8,0x1881311f,0x76c40260,0xd83b63ef,
    0x76c1db0e,0xb89dff90,0x1e9fdaee,0x0979dff9,0x05fb5dd5,0x31017dd5,
    0x507fa000,0x04c1d5bf,0x005bfb50,0x2fd40ffc,0x0011004c,0x213109f3,
    0x200c1809,0x08802618,0x27ef64c0,0x3f27f880,0x41db07e3,0x46eeeeea,
    0xf1ffcdfd,0xff8ff41f,0x7fe47fa0,0x3f3ff24e,0x77fe41ff,0xff9ff904,
    0xfdefc85f,0x9beb760f,0x26eeeeea,0x5ffd41fe,0x71beb760,0xb0bffbff,
    0x540ffc1d,0xdfb3db5f,0x77ecf6c5,0x6c07fb02,0x360ed80e,0x7443b20e,
    0x7754fa66,0x7fd46eee,0x76c0fffe,0x4fb9be60,0x20fe85f1,0x47ffeeea,
    0x7fcbf22a,0x07fc7fa0,0x20ff43fd,0x03ff10fe,0x87f403fd,0x73fc2ff8,
    0x2f7ffc9f,0x4fffddd5,0x42fd41fe,0x7fc5efff,0x1fd03fa1,0xafd40ffc,
    0x0ffdcfff,0x1ffb9fff,0x7f406fd8,0x3fa0fe80,0x7fd4fee0,0x3baa5f91,
    0x97ec7ffe,0x07f42ff8,0x9afdcdf5,0xa807f42f,0xfeca81ff,0x7f41ff3f,
    0x8ff41ff1,0xdf32dffb,0x1fe81fe8,0x2fe8df30,0x3f733be6,0xf500ffe5,
    0x2e0ff43f,0x983ff85f,0x3a1fe46f,0x2a07fe0f,0x7fc7ff5f,0x0ffc7ff1,
    0xfe801df9,0x3fa0fe80,0x7fed7e20,0xff501fd3,0x3f23fc43,0xdf307f44,
    0x43faa7dc,0x2ff980fe,0x7e5eff44,0x8ffc1ff3,0x6c7fe0ff,0x8df33eff,
    0x01fe81fe,0x22fe8df3,0x3ccccefa,0xff9807fe,0x3ee17ec2,0xf981ff84,
    0x3fa27dc6,0xb92a7fe0,0x7f43ff5f,0x8ff43ff1,0x02620ff8,0x41fd01fd,
    0x7c7f40fe,0x985f9eed,0x23fcc2ff,0x307f43fc,0xfb9fe4ff,0x3e207f44,
    0x325fa83f,0x3e23fd3f,0x3e23fd1f,0xff07f61f,0x3a07fe21,0x443fa01f,
    0x99be22ff,0x4403fe0a,0x45fd83ff,0x00ff84fe,0x207f43ff,0x3a7fe0fe,
    0x3fe9f90f,0x07fc7fa0,0x363fc3fd,0x7407f42f,0xf903fa0f,0x5f9f97f7,
    0xfd03ff88,0x3fa07f43,0x2fd87fc0,0x20fe8bf7,0xff104fe8,0x3f67ff77,
    0xfb1ffebe,0x6c3ffd7d,0x33ff23df,0xdfd81fff,0xff9ff903,0xebdfe85f,
    0x2203fe1f,0xfff304fe,0xff01fffb,0x3b3ff201,0x3e0fe85f,0xffeffc9f,
    0x8ff41ff1,0xb87fa0ff,0xe86fdcef,0x3a0fe80f,0x4fffcc0f,0x3a20fffa,
    0x33fee04f,0x40fe85fe,0x326fdefc,0xfb07f45f,0x643ddddf,0xd15fbeff,
    0x223fb7ff,0x21fdbffe,0x3ee25ffa,0xfa81fccf,0x9ff7105f,0xffd885f9,
    0x6c07fc2e,0x21eeeeff,0x01efffe9,0x7f5c01ff,0x20fe80be,0xeffc89ff,
    0x1fe83fe2,0x20ff41ff,0xe80dffda,0x3a0fe80f,0xf17ff80f,0xeeffd8bf,
    0x77ed41ee,0xa80fe80b,0x17f20cfe,0x7ffec1fd,0x40081fff,0x01000800,
    0x00002000,0x407fc020,0x1ffffffd,0x01ff0030,0x00fe8010,0x3a0ff808,
    0x7f41ff1f,0x01fd0001,0x407f41fd,0xb0ffa5fc,0x03ffffff,0x401fd002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x42deb800,0x21ba25e8,0x982eeeee,0xeda81ced,
    0x2076c00b,0xb0003eda,0xdb4ea83d,0x03d90001,0x2f445d90,0x2018804c,
    0x83eeeeed,0x03ba22ec,0xeeeeeec8,0x03db1eee,0xb1cccc88,0xc87ddddd,
    0x76c7b21e,0x5c1deeee,0x3673663e,0x3bbbbae0,0x403b65ee,0x225ffffd,
    0xf31fe26f,0xf987ffff,0x3ee0ffef,0x7fc06fef,0x17ffff61,0xe82b7f26,
    0xffafd41f,0x22fd8000,0xbf52ffd8,0x07f22fd4,0xffe807ec,0x7cc6ffff,
    0xf9817f26,0xffffffef,0x9803fd1f,0xffd2eeee,0x7f4dffff,0x7ff4bf62,
    0x321fffff,0x17f2f64f,0xfffffff9,0x7c407f4f,0x37c43fe7,0x9cfa8ff1,
    0xb9fec099,0x7ec3fe2f,0x7c47fe01,0x7d43ff16,0x3fa6fedf,0x0ffafd41,
    0x2e2fd800,0x43fe0cef,0x80ff42fd,0x43fd00fd,0x57f43fe9,0x3f201ff8,
    0x7f406f9b,0x2003deee,0x43fea1fe,0x747a22fe,0xf927ec1f,0x17ee0009,
    0x7c1007f4,0x7c4df10f,0x880d7e47,0xd9fe00ff,0x547fe01f,0xfe8ff64f,
    0x0ff47f61,0x64ffd7ea,0xaeea80cf,0x20ff22fd,0x647f8bfc,0xd5534eff,
    0x1fe8557f,0x3bea3fd4,0x3fe205fb,0x7f406f98,0xd85fffff,0xfd07fa0e,
    0x26a8bfa5,0x91fe41fe,0x3f67b67f,0x20bf702e,0x3aa00cfe,0xf89fe23f,
    0x1ffffec7,0x077effe6,0x809fbdf5,0x6cbf31ff,0x7f90a64f,0x2bf507fa,
    0x46fedfff,0x2fffcffc,0xf98bdff9,0x7fe44fad,0xfffff94e,0x4dff4cff,
    0x2621ff10,0x901afffe,0x333fe69f,0xa87fa3cc,0xd07f40ff,0xe8ffd43f,
    0xdfe82a2f,0x2e0efdcc,0xfb9fff3f,0x20bf701f,0x3f200efe,0x547fe22f,
    0x7deffc7f,0x33bfea2f,0x3ffa21ff,0xd0ffc03f,0x40bff77f,0x83fd0ffa,
    0x747ff5fa,0x7c43fa1f,0x0bdff92f,0xfd03fdfd,0x67f66543,0x3ffffe4c,
    0x7fe47fe4,0xf887ffff,0xfffff30f,0x3a0ff4df,0xfd07f42f,0x74bfffff,
    0x3fffa02f,0x97d44fff,0xa87fe3ff,0x7c2aefca,0x2fd8801f,0xfff9fff1,
    0xf32fd410,0xff8fea3f,0x3e02fd8a,0x37bfa61f,0x43ff504f,0xfafdc1fe,
    0x7ccff20f,0x5f917f46,0x741bfee0,0x301fb01f,0x3e6137fd,0x7ff5530f,
    0x55df7055,0x13333df9,0x3ff30ff4,0x3bfa0fe8,0x17f43eee,0xb5337fd0,
    0xff8fccbf,0xeec87fa1,0xffb0eeff,0x457ea001,0x07fdfdef,0x4ff137cc,
    0x54bf36f8,0x7fc3735f,0x107f9180,0x42fd83ff,0x5c3ff4fb,0xfe8df33f,
    0x7c40bf22,0x203fd03f,0x83fd00fd,0x3f32a7fa,0xfff84cdf,0x7406ffff,
    0x85ffffff,0x007fa0fe,0x0ff405fd,0x87c43fe2,0x207fa0ff,0x0feb85fb,
    0x4ff26f98,0x3a2016f8,0x5fd13ee7,0x73fc4fea,0x7cd3ee7f,0x1fe93227,
    0x5fd84f98,0x23ffa7f4,0x443fa1fe,0x40bf22ff,0x3fb00ff8,0x1fe80aa0,
    0xffc93fa2,0x7dc7ffff,0x06fcaaae,0x6777fff4,0x3fa0fe80,0xd017f401,
    0x20ffa83f,0x1fe83fe1,0x1fd05fb8,0x3ff7bf60,0xf900df10,0xfb83ff9d,
    0x3f21ffdf,0xff10ffce,0xdfe89ffd,0x013106fe,0xfffbfff3,0x3f77ffe1,
    0x7fe7fe47,0x730bf22f,0x6fec0bfd,0xffffff93,0xfeeefe8f,0x03fd00ff,
    0xdff30ffa,0x3fa5dddd,0x741fd001,0x777f401f,0xddfd4eee,0x7dcbffdd,
    0x0ff41ff3,0x0fe82fdc,0x439ff910,0xfc8806f8,0xbff702ff,0x2dffc885,
    0x4c2ffed4,0xf500dffd,0x3fffaa0b,0x3febfe1e,0x67fdc41c,0x30bf22fc,
    0x7d401dff,0xfffff95f,0xffffe8ff,0x07fa00ce,0x3fe61fea,0xfd3fffff,
    0xe83fa003,0x7fff401f,0xfffd6fff,0x3fb89dff,0x40ff41ff,0x01fd05fb,
    0x04000010,0x40080080,0xfa800800,0x01001805,0x982fc800,0x00002000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09d30000,
    0x44017640,0x05f6d47f,0x3ed8bf30,0xeee9a74c,0x25d74eee,0x83eeeeed,
    0xeeeeeeed,0xdb001db0,0x76c3b609,0xeeeed800,0xdb0ed83e,0x4c1ed801,
    0x90bbb64e,0x2b7627dd,0x4403d92b,0xec8099ed,0xd707b601,0x3bbbb63d,
    0x7776c2de,0xd1db3eee,0x1f547b69,0x7ec00df3,0x73fec012,0x220ffdff,
    0x07ff45fe,0x3ffeabf3,0x27f95fff,0x6ffffffe,0x7ffffff4,0x9801fd0f,
    0x0fe80fff,0xffd001ff,0xfe8dffff,0x7d401fd0,0xefcaaacf,0x7c4bfff2,
    0xdd7b54ff,0xfe80bfa3,0x2fe82fff,0xffb8bfa0,0x3fffffa2,0x3fffa3ff,
    0xf3fd4fff,0x27dc7fed,0xafd8016e,0x7ffea859,0x41fec3fe,0x7ff45ffc,
    0x4cc57e65,0x1311fe99,0x3fe987fa,0x1fd007fa,0x83fffc80,0x001ff0fe,
    0x1ff4c3fd,0x7fc01fd0,0xffffffff,0x7d4ffff6,0x2fe804ff,0x026bfe20,
    0x2fe80bfa,0x1fe85ff5,0x05fd37e4,0xffacc7f4,0x57441311,0x44ffcaea,
    0xed85fdfd,0x5c5517fb,0x2ff7d44f,0x7ccbfffa,0x7407f505,0xfd3fd41f,
    0x200fe803,0xe86faff8,0x3b61ff0f,0x7d41fe83,0x4ff43b67,0x0ff41efb,
    0xfdff9bea,0xd89fbf91,0xd00bfa0e,0x743df73f,0x2abfa02f,0x41fe83ff,
    0x80bfa6fa,0x3ff1e9fe,0xeffb9440,0x3ff63ffc,0x81fe2504,0x27be22fe,
    0xb7e7f45f,0x80dd05f9,0xd3fc41fe,0x479999bf,0x5c0aa8fe,0xfe85fd5f,
    0x0bf91ff0,0x22137fd3,0x3a1fd0ff,0x747fdcff,0x6fdcccdf,0x7f4feffe,
    0xd07f44fb,0xfd0aa25f,0x7f4ffbbf,0x3ff3fa02,0x5537fd06,0x567f47fd,
    0xf03fa2aa,0x9bee003f,0x013fa4fc,0x37ec1fe2,0xd17e67f2,0xbf39fd1f,
    0xfe807f70,0xfe8ffc41,0x3a5fffff,0x7f41fe8f,0x0fe8bf92,0xf01df9ff,
    0x7fc9ffff,0x8ffa1fd1,0x3fffa1ff,0x3fe6ffff,0xfbdf8df9,0x5fd07f44,
    0x47fd1be6,0x405fd0ff,0x82fffffe,0xcffffffe,0x3fffffa0,0x3ff03fa6,
    0xfb93ee00,0x1005ffb4,0x41dfb0ff,0xe8bf34fa,0x5fbff98f,0x9fe40ff8,
    0x87fc41fe,0x09999bfe,0x983b63fa,0x0ffcabff,0x7fffc3fa,0x137fd305,
    0x87f43fe6,0xe87fa1fe,0x6fb999bf,0x3ebfa3fe,0x07f44fbb,0xd17a65fd,
    0xfe8ff43f,0x2efffa02,0x667f40ff,0xacfe84ff,0xf03fa2aa,0x5c13ee3f,
    0x76d3ea4f,0x47f8802f,0x7fec0efc,0xfd0fffff,0x117fff21,0x3a7f90bf,
    0xfd3fcc1f,0x900fe803,0x7fffffff,0xeeff87f4,0xa83fd01f,0x7f43fa7f,
    0x1fe87fa0,0x91ff37d4,0x89f73fdf,0x00bfa0fe,0xe8ff41fd,0xe93fa02f,
    0xf88ff45f,0xd017f44f,0xf71ff81f,0xfa93ee09,0x2200bf64,0x203bee7f,
    0xeffeeeec,0x3fe21fd0,0xd81fd45f,0x7f443fd2,0xfd007fa4,0x3333fe01,
    0x43fa6fdc,0xd06fa9ff,0xd27f443f,0xfe83fa1f,0xdf507fa1,0xbffd47fc,
    0xd07f44fb,0x20fe805f,0x405fd1fe,0x8bfea2fe,0x87fea1fe,0x03fa02fe,
    0x3ee003ff,0xefd93ea4,0x7c45eeee,0xffffff17,0xfd17e60b,0x322ffd41,
    0x3fa6b82f,0x746ffeee,0x1eeeeeef,0x0df501fd,0x43fa5ff1,0xd07fb0ff,
    0x1fffdddf,0x20fe87f4,0x507fa1fe,0x7c47fcdf,0xfe89f75f,0x3bbbbfa0,
    0xfe83fa4e,0xdddddfd1,0xdfb0bfa9,0xdfb07fa1,0x1fd017f4,0xf7001ff8,
    0xffb27d49,0xf88dffff,0xffffff77,0xfd17e60b,0x7ec5fd81,0x7fff4081,
    0x7ff40cef,0xfd2fffff,0x3207fb01,0x3fe1fd5f,0xfe81ff30,0x740cefff,
    0x7f41fd0f,0xdf507fa1,0x73fe87fc,0x3a0fe89f,0x26ffffff,0x747fa0fe,
    0xd6ffffff,0xd4ff985f,0xd4ff883f,0x207f405f,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeb8000,0x3b25eeee,0x3b65e983,0xee8a74c1,0x644eeeee,0x264eb85e,
    0x8bb620ee,0x0fba22ec,0x000001db,0x80000000,0x57000000,0x00355555,
    0x40000000,0x81010098,0x203b60ed,0xb076c0aa,0x876cdd3d,0xfffffffc,
    0x3f21bee7,0xdf507fa4,0x3fffffe2,0x317fc45f,0x25fd83ff,0x527e46fc,
    0x43fc4dff,0xd503dfd9,0xfec8817d,0x80dffccf,0x9302dfda,0x6cc5d9df,
    0x76c42dff,0x180223ef,0x6467fed4,0xfda80dff,0x3769d32d,0x05f706fa,
    0x9d7997f3,0x03fd07fc,0x20ff83fd,0x3fa7f9fe,0xf105fb80,0x3a1ff81f,
    0x9037d41f,0x4df703ff,0xaff884fd,0x37d41ff9,0x3ea1fffb,0x7f67fdc5,
    0x7fef7e42,0x3ff37f20,0x2e0efcdf,0x545ffdff,0x747fecff,0x360ffbbe,
    0x111ffcdf,0xfbff50c0,0x1df9bfff,0x6ffeffdc,0xbdfff6f9,0x3e60bee0,
    0x3e3fffff,0x3607fa0f,0xfd07fc0e,0x407f4d53,0x8ffa05fb,0x20ff46f9,
    0x5ff506fa,0x7fd67f40,0x9fdff700,0x67fcff10,0xfe87f92f,0x27f87b30,
    0xfc8a64fb,0x1ff8fee6,0x91fd83fa,0x4bbe67ff,0x5f915419,0x3fe18022,
    0x7e4dff12,0x9fe87fe3,0x5107ff5c,0x41559fb5,0x21fe9afe,0x4c7fa0ff,
    0xf2aaaaaa,0x26d7f41f,0x0bf701fd,0x89f937dc,0xfdcccdfe,0x404ff986,
    0x402feff9,0xfd00effe,0x29f5bf33,0x01be21fe,0xbfb99df3,0xceffeca8,
    0x8df34fdc,0x2edf13fc,0x3ff65fbe,0xfeca81cf,0x98c0113f,0x6677e47f,
    0xc8df34fd,0x03ff2fdf,0xfffffff5,0x47f537c3,0x647fe0ff,0xf7ffffff,
    0x20effc1f,0x05fb80fe,0x0ffc7fe2,0x3ffffffa,0x02ff446f,0xb805ffc8,
    0x2ff604ff,0xff6f8bfb,0x7d406f98,0x3a3cccce,0xccefcbef,0xb8df33cc,
    0x1f5bf34f,0x7f5c49f5,0x7bfd11ff,0x180227f9,0xcefc8df1,0x8df32ccc,
    0x03fe1efb,0x337fb326,0x3627fe0c,0x7c47fa2f,0x9999951f,0x7c47fa99,
    0xb80fe81f,0x4e7ec05f,0x99bfe86f,0x77ec6fb9,0x03ff1000,0x00ffff88,
    0x3a3fb9f7,0x0fe86faf,0x337c4bf3,0xfc9be615,0x1ff82a66,0x7ffc43fa,
    0x4aa23fb1,0x4bf54fc8,0x0c0113fc,0x337fc3fd,0xfd0ffc15,0x5c00ff85,
    0xfffe882f,0x2fbf62ff,0x0aa81ffe,0x7ff5f7ec,0xfb80fe81,0x7e77d405,
    0x7d41fe83,0x0007ff26,0xefd801ff,0xfdf305fd,0x427f7e4f,0x42fecffb,
    0x11febdfe,0xbfff77ff,0x7fe43ff7,0x77e45fec,0x3fe26feb,0xff11febb,
    0x0227ff77,0x3f7fea18,0x0ffbdfff,0x1bfb3ff2,0x5f7003fe,0xf9dbbf30,
    0x6dfff44b,0x441fe81f,0x81fdbffe,0x05fb80fe,0xe80ffff8,0xfab7d41f,
    0x0ff8002f,0x3e27fea0,0x4bfff03f,0xd502fff9,0xffb107df,0xcffeb85d,
    0xb82effd9,0x3a20befe,0x540befed,0x7e43dffd,0x0115fbef,0x37ff6a0c,
    0xb82effd9,0xff80befe,0x18054c00,0x2e001008,0x0000100c,0xff900bf7,
    0xf507fa0b,0x3bbbffad,0x07fc06ee,0x3ee4ff88,0x43ffd80f,0x00400fff,
    0x00804008,0x00086008,0x35100801,0x20333333,0x00100100,0x00000000,
    0x80000000,0xff9805fb,0xfa83fd02,0xffffffd6,0x00ff80ff,0x0bfd0df9,
    0x6fd81ff7,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x00440000,0x350d46a0,0xd8950151,
    0x3bbbbaa1,0x76437aa6,0x27643b64,0x90ed85d9,0xe99ba21d,0x00000103,
    0xfa800000,0x21ffffff,0xfff50008,0x7643ffff,0x16ecc044,0x5ba20833,
    0x04dd32ec,0x76c20453,0x5402efd9,0x3237a0fd,0x24ffc8df,0xfb801df9,
    0x23b60fc9,0xfb4fe86e,0x7ff7754b,0x7fce7ec7,0x1bf23fe0,0x72fd4bf5,
    0x647fea7f,0x203fc82f,0x22fec43d,0x3f623ffd,0xfc93a20d,0x3fffea1d,
    0x83fe1fff,0x3fea2eea,0x4c1fffff,0x7d4df10f,0x22feffff,0x36ff11fe,
    0x3faff32f,0x6dbe1fd0,0xffb9fff7,0xeffeb881,0x3fb3ffe0,0xd11ffcef,
    0x3e605dff,0x67cc4f9c,0x7ff444f9,0x3ff500ef,0x42ffff88,0xf80efcff,
    0x7c45fb0f,0x3fa7ffb5,0x5c3ffc40,0x1931cbdb,0x9f23225f,0xff34e8da,
    0x01b6bea9,0x55f07fc0,0x323f900f,0xb97cc4ee,0x0dffda9c,0xfb7f85f3,
    0x87f5be65,0x5729b0dc,0x447fe3ff,0xf81cfffc,0x361ff51f,0x7ffecc3f,
    0x07f4ff44,0x20fed7e4,0xf300fff9,0x13fea05f,0x6417fffe,0xfe86f8bf,
    0x5f9eedf8,0x543fdfb8,0x7fc1cffc,0x30ffd910,0x6d36225f,0x33263f56,
    0x220ccccc,0x401f9e67,0x088021fc,0xb7404400,0x0017e0fb,0x8ff43ff0,
    0x7fc04ff9,0x1fe4df30,0xd10ffd88,0x3ee0df3f,0x7fec2fcb,0x03ff884f,
    0x3fe1bfee,0xef882fee,0xfbfc83fb,0x442fcfcb,0xec86f8ef,0xca74441f,
    0x1fd47c8f,0x1f56ba6c,0x3fffffea,0xbbd0fa1f,0x003f900d,0x00000000,
    0xe83fe000,0x5dffd11f,0x25f99fe0,0x7f5c43fb,0x2b3e60ef,0x7c6fc43f,
    0x7f4f7ec5,0x8813fa24,0x7fc4feff,0xffb06f99,0x3fff301f,0xfb81fff5,
    0x4f445f93,0x4fefea4b,0x3ea7fdfb,0xf8a6c2ce,0x266624fe,0x20609999,
    0x18800bb8,0xaa8fffee,0x10aaaaaa,0xdddddddd,0x20000007,0x307fa0ff,
    0x7c19fffb,0x3fb97e67,0x03bfff91,0xc83f63f2,0x7640fd8f,0x7fec7d10,
    0x3fa1eeee,0x3fe1ff9b,0xff507fb0,0xf8bffc0b,0xd30ed85f,0x2165400b,
    0x332a2899,0x06a1542c,0x00000000,0x3e27fff7,0x3fffffff,0x2eeeeeee,
    0x0000001b,0x80ff41ff,0x9fe0ffc8,0x4cfee5f9,0x9a800cff,0x0d46a0a8,
    0x7ffec080,0x4df91fff,0x4c3fe6fc,0x02ff80ff,0x03fe97f2,0x00000000,
    0x00000000,0x00888000,0x00000000,0x3a0ff800,0xf05c401f,0x7f72fccf,
    0x000000a6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_17_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,0,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__arial_bold_17_latin_ext_y[560]={ 13,2,2,1,1,1,1,2,1,1,1,3,10,8,
10,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,1,1,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,2,1,2,1,14,1,4,2,4,2,4,1,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,5,5,5,5,5,5,1,1,1,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,5,2,1,3,2,
1,1,1,1,1,5,5,8,1,0,1,2,1,1,1,5,2,6,13,1,1,5,1,1,1,5,-1,-1,-1,-1,
-1,-1,2,1,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,1,-1,-1,-1,-1,-1,2,1,1,1,
1,2,1,1,4,4,1,1,1,1,1,1,1,1,2,2,1,1,1,2,1,3,4,1,1,1,1,1,2,1,
-1,2,-1,1,2,4,-1,1,-2,1,-1,1,-1,1,-1,2,2,2,-1,2,-1,1,-1,1,2,4,-1,1,-2,1,
-1,1,-1,1,1,0,-2,-1,2,2,-1,2,-1,2,-1,1,2,2,-1,5,2,2,-2,1,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,-1,1,2,1,4,-1,2,-1,1,-1,1,1,4,-1,1,2,4,-1,1,
-1,1,-2,1,1,4,-1,1,2,2,-1,2,2,2,-1,2,-1,2,-1,1,-1,1,-1,1,2,5,-2,1,-2,1,
-1,-1,1,-1,1,-1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,1,-1,
1,-1,1,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-2,-2,1,-2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_bold_17_latin_ext_w[560]={ 0,3,7,9,8,13,11,3,5,5,6,9,4,5,
3,6,8,5,8,8,9,9,8,8,8,8,3,3,9,9,9,9,15,11,10,11,10,9,8,11,9,3,8,10,
8,11,9,12,9,12,10,10,9,9,12,15,11,12,10,4,6,4,9,10,4,8,8,9,9,8,6,9,8,3,
5,8,3,13,8,9,8,9,6,8,5,8,9,12,9,9,8,6,2,6,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,9,9,9,9,
2,8,6,13,6,8,9,5,13,10,6,8,5,5,4,9,10,3,5,4,6,8,13,13,13,9,11,11,11,11,
11,11,16,11,9,9,9,9,5,5,6,6,12,9,12,12,12,12,12,9,12,9,9,9,9,12,9,8,8,8,
8,8,8,8,13,9,8,8,8,8,5,5,6,6,9,8,9,9,9,9,9,8,9,8,8,8,8,9,8,9,
11,8,11,8,12,9,11,9,11,9,11,9,11,9,10,11,12,10,9,8,9,8,9,8,9,8,9,8,11,9,
11,9,11,9,11,9,9,8,11,9,6,6,6,6,6,6,5,5,3,3,10,7,9,6,10,8,8,8,5,8,
5,8,5,8,6,9,5,9,8,9,8,9,8,11,10,8,12,9,12,9,12,9,15,14,10,6,10,7,10,7,
10,8,10,8,10,8,10,8,9,5,9,8,9,5,9,8,9,8,9,8,9,8,9,8,9,9,15,12,12,9,
12,10,8,10,8,10,8,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,11,9,9,9,9,9,9,9,9,9,9,9,9,9,12,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,8,6,6,12,
9,9,8,9,8,9,8,9,8,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,8,16,13,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_17_latin_ext_h[560]={ 0,11,4,13,14,13,13,4,16,16,7,9,6,3,
3,13,12,11,11,12,11,12,12,11,12,12,8,11,9,6,9,12,16,11,11,13,11,11,11,13,11,11,12,11,
11,11,11,13,11,14,11,13,11,12,11,11,11,11,11,15,13,15,7,3,4,10,12,10,12,10,12,13,11,11,
15,11,11,9,9,10,13,13,9,10,12,9,8,8,8,12,8,16,16,16,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,12,14,13,9,11,
16,16,3,13,7,8,6,3,13,2,6,11,7,7,4,12,14,3,4,7,7,8,13,13,13,12,14,14,14,14,
14,14,11,16,14,14,14,14,14,14,14,14,11,14,15,15,15,15,15,8,13,15,15,15,15,14,11,13,13,13,
13,12,13,13,10,13,13,13,13,13,12,12,12,12,12,11,13,13,13,12,13,9,10,13,13,13,13,16,15,16,
14,12,14,13,15,13,15,13,16,13,15,13,15,13,14,12,11,12,14,12,14,13,14,13,15,13,14,13,16,16,
15,16,15,16,16,17,15,14,11,11,14,11,14,11,14,12,15,15,14,8,12,15,16,16,15,15,8,14,14,15,
15,11,11,11,11,11,11,14,12,15,13,14,12,11,13,13,15,12,15,13,15,13,13,10,14,12,15,13,14,12,
15,13,16,13,16,13,15,13,16,16,14,12,11,12,15,12,15,12,15,13,15,13,15,13,15,12,15,12,15,16,
14,14,12,14,12,14,12,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,16,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,12,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,13,14,12,15,
13,15,13,15,15,15,15,15,15,15,15,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,16,16,15,13,16,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_17_latin_ext_s[560]={ 255,224,229,193,125,169,94,237,215,209,133,
201,181,203,241,214,242,23,29,1,38,20,30,58,39,57,250,67,10,171,34,
66,183,99,213,19,71,82,231,231,24,246,48,209,200,162,48,94,194,240,220,
193,1,76,11,70,58,45,34,37,122,248,123,209,209,148,86,86,95,96,105,
65,141,137,44,115,111,20,1,119,116,125,194,139,122,221,100,110,81,112,72,
248,66,176,214,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,255,251,11,
198,211,150,139,11,249,212,146,44,193,203,240,220,186,128,153,140,224,10,131,
245,203,159,164,53,226,79,139,174,24,46,58,100,119,225,160,33,36,215,166,
195,247,160,93,70,137,1,192,150,121,75,52,62,208,65,22,42,32,11,177,
120,111,102,93,221,70,61,105,37,28,19,10,1,191,197,184,235,225,228,174,
164,154,230,135,230,129,107,184,85,76,238,173,199,213,17,81,10,215,243,234,
221,164,204,20,183,32,159,142,50,124,71,185,82,237,75,1,56,87,38,205,
31,142,102,145,154,191,12,79,1,1,176,150,190,153,174,206,187,112,138,220,
214,77,251,145,63,221,231,52,226,91,231,225,71,228,204,240,181,92,13,247,
134,165,42,150,104,156,1,139,29,235,128,24,129,11,84,106,167,156,121,203,
21,174,91,157,40,91,47,112,67,97,145,123,133,185,62,237,44,10,35,246,
26,181,1,205,49,182,58,163,240,134,203,168,69,91,80,216,195,99,114,8,
250,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,186,157,157,1,
157,157,157,157,157,157,157,157,157,157,157,157,157,47,182,157,157,157,157,157,
157,157,157,157,157,157,157,157,108,239,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,144,203,
167,1,88,129,101,177,50,1,60,108,117,127,111,136,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,54,45,70,163,20,153,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157, };
static unsigned short stb__arial_bold_17_latin_ext_t[560]={ 1,139,176,98,52,83,83,176,1,1,176,
164,176,181,176,83,126,152,152,139,152,139,139,152,139,139,152,152,176,176,176,
139,1,152,139,98,152,152,152,83,164,152,139,152,152,152,152,98,139,52,152,
83,164,139,164,164,164,164,164,52,83,36,176,181,176,164,139,164,139,164,139,
83,152,152,36,152,152,176,176,164,98,98,164,164,139,164,176,176,176,139,176,
1,1,1,176,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,1,126,83,
112,164,139,1,1,176,98,176,176,176,181,98,181,176,139,176,176,176,139,68,
176,176,176,176,176,98,112,112,126,68,68,68,68,68,68,139,1,68,68,68,
68,68,68,68,68,139,68,19,19,19,19,19,176,112,19,19,19,19,68,139,
112,112,112,112,112,112,112,164,112,112,112,112,112,126,126,126,126,126,139,98,
98,98,112,98,164,164,98,98,98,98,1,19,1,52,126,68,98,19,83,19,
83,1,83,36,83,36,83,68,126,152,126,68,126,68,83,83,83,36,83,68,
98,1,1,36,1,36,19,1,1,52,68,152,152,68,152,52,139,68,126,36,
36,68,164,126,52,1,1,52,36,176,52,52,52,19,139,152,152,152,152,139,
52,126,52,83,52,126,152,83,83,36,126,52,83,52,83,83,164,52,126,36,
83,52,126,36,98,1,83,1,98,36,98,1,1,52,126,139,126,36,126,19,
126,36,98,19,98,19,98,19,112,19,126,36,1,52,52,126,52,126,52,126,
112,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,112,164,164,19,
164,164,164,164,164,164,164,164,164,164,164,164,164,112,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,126,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,52,98,
52,126,19,112,19,112,36,36,36,36,36,36,19,36,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,1,1,36,112,1,112,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__arial_bold_17_latin_ext_a[560]={ 68,81,115,135,135,216,176,58,
81,81,95,142,68,81,68,68,135,135,135,135,135,135,135,135,
135,135,81,81,142,142,142,149,237,176,176,176,176,162,149,189,
176,68,135,176,149,203,176,189,162,189,176,162,149,176,162,230,
162,162,149,81,68,81,142,135,81,135,149,135,149,135,81,149,
149,68,68,135,68,216,149,149,149,149,95,135,81,149,135,189,
135,135,122,95,68,95,142,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,68,81,135,135,135,135,68,135,
81,179,90,135,142,81,179,134,97,134,81,81,81,140,135,68,
81,81,89,135,203,203,203,149,176,176,176,176,176,176,243,176,
162,162,162,162,68,68,68,68,176,176,189,189,189,189,189,142,
189,176,176,176,176,162,162,149,135,135,135,135,135,135,216,135,
135,135,135,135,68,68,68,68,149,149,149,149,149,149,149,134,
149,149,149,149,149,135,149,135,176,135,176,135,176,135,176,135,
176,135,176,135,176,135,176,175,176,149,162,135,162,135,162,135,
162,135,162,135,189,149,189,149,189,149,189,149,176,149,176,149,
68,68,68,68,68,68,68,68,68,68,191,135,135,68,176,135,
135,149,68,149,68,149,94,149,117,149,68,176,149,176,149,176,
149,172,176,149,189,149,189,149,189,149,243,230,176,95,176,95,
176,95,162,135,162,135,162,135,162,135,149,81,149,117,149,81,
176,149,176,149,176,149,176,149,176,149,176,149,230,189,162,135,
162,149,122,149,122,149,122,68,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,177,183,183,135,183,183,183,183,183,
183,183,183,183,183,183,183,183,208,173,183,183,183,183,183,183,
183,183,183,183,183,183,183,202,176,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,176,135,68,68,189,149,176,149,176,149,176,
149,176,149,176,149,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,176,135,243,216,189,149,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,183,
183,183,183,183,183,183,183,183, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_17_latin_ext(stb_fontchar font[STB_FONT_arial_bold_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_17_latin_ext_s[i] + stb__arial_bold_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_17_latin_ext_t[i] + stb__arial_bold_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_17_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_17_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_17_latin_ext_x[i] + stb__arial_bold_17_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_17_latin_ext_y[i] + stb__arial_bold_17_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_17_latin_ext_s[i] + stb__arial_bold_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_17_latin_ext_t[i] + stb__arial_bold_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_17_latin_ext_x[i] + stb__arial_bold_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_17_latin_ext_y[i] + stb__arial_bold_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_17_latin_ext_LINE_SPACING
#endif

