// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT        206
#define STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_18_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_18_latin_ext_LINE_SPACING          12

static unsigned int stb__arial_bold_18_latin_ext_pixels[]={
    0x99999995,0x00cc4059,0x2e0ae004,0x007fd00e,0xc8803ff1,0x64c65402,
    0x64c99501,0x20591004,0x881cccca,0x3cb82aaa,0x032632a0,0x96440e5c,
    0x4406003c,0x0eb82b8c,0xb880cc88,0x666540ac,0xb81b1d40,0xcca804cc,
    0xfff91313,0x407fffff,0x0f6203fc,0x0fc81ea8,0xf7003f98,0x80366005,
    0xf506edf8,0x802fc8df,0x3fff203c,0x2aaa883f,0xf104ffc8,0x17f40bfb,
    0x001fdfc8,0x06edc03e,0x17e407e4,0x23ffffcc,0x7c41fffd,0x7ffe84ed,
    0xeafffd40,0xffbaa9af,0x9f101aab,0x3203fd80,0x980fc83f,0x4006a002,
    0x7540d35a,0x017fb01e,0x69ad4099,0x69ad4000,0x2a06fa88,0x072e00de,
    0x26003ed8,0x21a6b505,0xb03d80fc,0x988ff67f,0x01a881fe,0xfd8035fd,
    0x983d919d,0x3f9800ff,0x40b7fa60,0x80fc82ca,0x654403eb,0x65c970ac,
    0xc873220a,0xfd83e98e,0x1f4c7641,0x66441597,0x8fa63b21,0x33220acb,
    0x072e3fc1,0x01550732,0x80579951,0x565c3db8,0x7e473220,0x0fa63b20,
    0x74011dfb,0x9903971f,0xa9807fa3,0x072e2cff,0x1b001ff3,0x3fff601b,
    0x55117307,0x035a03f2,0xdffffff5,0x7c1ff47f,0x3ea3f62f,0x7ec1fe84,
    0x0ffa4fa8,0xa8fd8bfe,0x3e0ffa4f,0x3fa3fc2f,0x7f42ff83,0x7ffffd42,
    0x7fec40df,0x20ffa3ff,0x6c1f92ff,0x7cc4fa8f,0x47fa02ff,0xd2ff83fe,
    0x7ffec03f,0xf30bfa5f,0x0fb9001f,0x2616ff4c,0x96fcfffe,0x207d701f,
    0xfcacfff9,0x7c1ff47f,0x04c4622f,0x446207f4,0x3e0ffa09,0x04c4622f,
    0x85ff07fd,0x20ffa0ff,0x317f42ff,0xffb59fff,0xffbdfd8b,0xff07fd0f,
    0x11883f25,0x7f7f4413,0x3a3fd04f,0xfd2ff83f,0x57fe5403,0xff30bfa1,
    0x05ffd001,0x77e41fec,0x1f96ffb9,0xd80aba88,0x0fffcc6f,0x25ff07fd,
    0x446a60aa,0x305546fb,0x3e0ffa35,0x54c1552f,0x5ff07fd1,0x7fd0dfc8,
    0x2fe85ff0,0xff503bf6,0x32e7fe25,0xf07fd09a,0x0aa8a65f,0xba7d46a6,
    0xd1fe85ff,0x3a5ff07f,0x42fdc01f,0x07fcc2fe,0x817ffe60,0x21ff83fd,
    0x541f96fc,0x7c2fffff,0x3fbbe24f,0x3fe0ffa4,0xafdc5fd2,0x17f41ffb,
    0x20ffabf7,0x5c5fd2ff,0xff07fd5f,0xfd5fe885,0xfe85ff07,0x7fc13fe2,
    0x2076ff34,0x02ff83fe,0xaafdc5fd,0x83ff50ff,0xf07fd1fe,0x9007fa5f,
    0x985fd09f,0x6fe400ff,0x87fb00ff,0xcb7d47f9,0x326bfa0f,0x447fe65f,
    0x3a5fc8ee,0xfd2ff83f,0xffbafdc5,0xbf717f43,0x4bfe0ffa,0x757ee2fe,
    0x4c2ff83f,0xf07fd4ff,0xf12fe85f,0x457f605f,0xfe8179ff,0xfd02ff83,
    0xff8afdc5,0xfe83f91e,0x5ff07fd1,0x5fb007fa,0xff985fd0,0x3a7fe200,
    0x987fb04f,0x65bf20ff,0x6fb8840f,0x87f43fe6,0x20ffa6fc,0x5c5fd2ff,
    0xfd1fe65f,0x3feafdc5,0x45fd2ff8,0xf07fd5fb,0x3a2fd85f,0x742ff83f,
    0x203ff32f,0x577fe6fc,0xf07fd1fe,0x7f43ae5f,0xfe997ee2,0x1fe87fbf,
    0x25ff07fd,0x0ffc01fe,0x3fe617f4,0x7d5bee00,0xf8bdf907,0x32dfd13f,
    0x3ffb220f,0x36bfe27f,0xfd97fa1f,0x5fd1ff83,0x83fa2fdc,0x6d7ee2fe,
    0xfd1ff83f,0x3fdafdc5,0x07fc1ff8,0x83ff07fb,0x07ff12fe,0xeffb97fa,
    0x20ff65fe,0x3a1f91ff,0xb117ee2f,0x3fd03fff,0x47fe0ff6,0x3fe201fe,
    0x7cc2fe80,0x44ffa00f,0xfff982ff,0x3ffbfee0,0x3e21f96f,0x7c7f99cf,
    0x3fe22fff,0x3fe13f63,0x2fe45fd1,0x22fe87fa,0xf09fb5fc,0xfc8bfa3f,
    0x3ff09fb5,0x427ec7f8,0xf17f41ff,0x87ff30bf,0x360cfffb,0xf91ff84f,
    0x5fc8bfa1,0xfd09ff70,0x3fe13f63,0x7cc03fd1,0x0005fd06,0xff99bff3,
    0xeeb8040b,0x21f95fac,0x71fea6fa,0x7feccbff,0xfb87ff20,0x7ec7fd0f,
    0x7fd0fec5,0x1ffcafec,0x1ff43fee,0x87ff2bfb,0x23fc0ffb,0x3fee1ffc,
    0xff70ffc0,0x03ffaa19,0x3ff203b3,0x7e43fee1,0x2fec7fd0,0x21bea197,
    0x43ff91fe,0x03fd0ffb,0x2fe82fdc,0xfc807fc4,0x0fffffff,0x04d40fe8,
    0x443f29f7,0x47ffbcff,0xffeffffb,0x77ffc42f,0x3ff24fff,0x7e45ffdc,
    0xfb9ff93e,0x3bffe2bf,0x3ff24fff,0xff15ffdc,0x549fffdf,0x7ffc46fd,
    0x3664fffe,0x7ffec0ff,0x3c82fffe,0x3fbffe20,0x643f24ff,0x25ffdcff,
    0x23fdaefc,0xff11ffa9,0x749fffdf,0x7f65c2bf,0xf885fd03,0x2ab3fe07,
    0x7e84feaa,0xfeaaefd8,0x7f5c1f92,0x9f31feaf,0x03bfffb5,0x13ffff66,
    0xbf5bffb1,0xfb16ff98,0x6ccbf5bf,0x6c44ffff,0x265fadff,0x644ffffd,
    0xffd982ff,0x2ffe44ff,0x1dfffeb8,0xfd9801d0,0x87e44fff,0x5fadffd8,
    0x837fff62,0x3661fffd,0x7f44ffff,0x07fffc7f,0x06b82fe8,0x1fee0ff5,
    0x3ffa6172,0x040a64ff,0x100020a0,0x31000801,0x02200085,0x80440010,
    0x008800a9,0x00200351,0x4c022000,0x15100082,0x44033310,0x98333100,
    0xe880009a,0x2209fb01,0x2201c2ff,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65cc0000,0xca8800ab,0x265400bc,0x800b2e00,0x991004ed,0x05dd3001,
    0xec80b2a0,0x4000cc84,0x035501cc,0x2e020880,0x001cc81c,0x39759500,
    0x22009930,0x0595003d,0x4c980e5c,0x3332ea20,0xfffd883c,0x2604ffee,
    0x03ffffff,0x8800bffa,0xf9f9006f,0x007f7005,0x801fbdd1,0xbf500ef8,
    0x001ff85f,0x7ec1bbee,0x37fe6004,0xf83fe84d,0xf8afb82f,0x3e37e205,
    0x200bf205,0x7c400d9c,0x40bfa00e,0xff884fee,0x446fffff,0x4fb81bee,
    0xdabfff88,0xfff980ff,0x00f4c005,0xd802a8d4,0x51151003,0x200da803,
    0x1ff8773c,0x7d17b100,0x5c009fb0,0xfe81dc9b,0xea82ff83,0x36a04e8a,
    0x26400da8,0x54036dc0,0x417f400d,0x6c0eb9eb,0x3ffcffff,0x85cc3ba2,
    0x7ec3f9aa,0xfc83fe86,0xa8800ffd,0x2a202bcc,0x2a201cdc,0x54402bcc,
    0x95100bcc,0x41aa839b,0x223ff1a9,0xcca880aa,0x004fd82b,0x20af32a2,
    0x82ff83fe,0xb82bcca8,0x971cc81c,0x32e39903,0xcb8e6411,0x7f41cc81,
    0x332072e2,0x3afffff1,0xffc8fe47,0xf8b96fdf,0xff10084f,0xfa809fd3,
    0x40dfffff,0x4fffffe8,0xffffffa8,0xffff980d,0x7ff443ff,0x17f24fff,
    0x747fe5fd,0xffffa85f,0x13f60dff,0x7ffffd40,0x20ffa0df,0x7ffd42ff,
    0x3fa0dfff,0x7fd2ff83,0x0ffa5ff0,0x41ff4bfe,0xd17f42ff,0x365ff07f,
    0xe8fd7fff,0xff119f73,0x2ff89ea9,0x7d5bee00,0x33ffe607,0x7ec5ffda,
    0x20ffc9ae,0xfdacfff9,0x5fffc45f,0x3f60ffda,0x10ffc9ae,0xf9fe61ff,
    0xf986fd9f,0x5ffdacff,0x3e6013f6,0x5ffdacff,0x8bfe0ffa,0xfdacfff9,
    0x3e0ffa5f,0xff07fd2f,0x3fe0ffa5,0x5ff07fd2,0x0ffa2fe8,0x7ffd4bfe,
    0xe97c4fd7,0x7ccff60f,0x4003ff10,0x05ff13fe,0xff503bf6,0x3b617f45,
    0xf503bf62,0x7437ec5f,0xdb0bfa3f,0x4fb97f45,0x203bfbfe,0x7fd40efd,
    0xfb009fb2,0xd2ffa81d,0x6c5ff07f,0x97fd40ef,0xd2ff83fe,0x3a5ff07f,
    0xfd2ff83f,0xfe85ff07,0x3fe0ffa2,0x3f5ff662,0xd89f11f5,0x1ff8d71f,
    0xcdff9808,0x9ff05ffc,0xffb93fe0,0x413fe01c,0x213fe4ff,0x01cffb80,
    0xf0ff57ee,0xff03ffff,0x7ed3fe09,0xf04ff804,0x3e0ffa9f,0x7c13fe1f,
    0xff07fd4f,0x3fe0ffa5,0x5ff07fd2,0x0bfe0ffa,0x41ff45fd,0xfd7e82ff,
    0x7c3fbbdc,0x09fd0fa7,0x7ffe47fd,0x440fffff,0x4bfb02ff,0x0cfffff8,
    0x7ec0bfe2,0x2005ff15,0x0cfffff8,0x237cffc4,0x445fcfff,0x2bfb02ff,
    0x7fc404fd,0x3f6bfb02,0xf887fc44,0x3abfb02f,0xfd2ff83f,0x3fa5ff07,
    0x7fd2ff83,0x2fe85ff0,0x0bfe0ffa,0x3f33f5fa,0xcb7dcbf3,0x85ffd40f,
    0x33fe1ffb,0x44feaaaa,0xdf901ff9,0x3ffffd70,0x7e407fe6,0x8003ff16,
    0x41ffffeb,0x7fc3fefd,0x7fcc5ff2,0x3f6df901,0x80ffcc04,0x43ff96fc,
    0x3ff30ffb,0x1ff5bf20,0x83fe97fc,0xf07fd2ff,0x3e0ffa5f,0xfd17f42f,
    0xfd05ff07,0x3fa7f1fa,0x2fefffcc,0xffffffb0,0xfb83fd49,0xe81ffc47,
    0x3fee205f,0x3a07ff14,0x0207fe5f,0x313fee20,0x1ff81fff,0x1ffc4df5,
    0xfffb5fe8,0x3e25ffff,0x22bfd03f,0x4fffefff,0x7f40ffe2,0x3ff07fb5,
    0x47fe0ff6,0xb1ff83fd,0xe83ff07f,0x3e0ff62f,0x8fd7e81f,0x9cec98ed,
    0x70131cee,0xfd87bffd,0xf85ff104,0x33ff985f,0x26fb81fd,0x3ff985ff,
    0x4ffa13fa,0x37dc0fe9,0x0ffc37f4,0x42ffc7fd,0xfffb3ff9,0x7fc5ffff,
    0x263ff985,0xf83efffd,0xb3ff985f,0x363ff09f,0xfb1ff84f,0x3f63ff09,
    0x7f41ff84,0x3fe13f62,0x88fd7e81,0x76c401ee,0x003dd500,0x3fee03e0,
    0x41ffd50c,0x97fa24fe,0xfd50cffb,0x85ffd41f,0x93fa1ffb,0x3fe85fe8,
    0x2e033aa0,0xffd50cff,0x701ce981,0x3faa19ff,0x200f880f,0xfd50cffb,
    0xb87ff21f,0x43ff90ff,0x3ff90ffb,0xffc87fdc,0xbb03fee1,0xf70ffe45,
    0x1fafd01f,0x226b3fa2,0x800efba9,0x1f88006d,0xffdfffb0,0xefffa85f,
    0x7fec2fff,0xd82fffef,0x44ffffff,0xfffefffa,0x01ffb512,0xfd81fd44,
    0x02fffeff,0x7fec0bf5,0x102fffef,0xfffd803f,0x3e22fffe,0x24fffeff,
    0xfffefff8,0x3fbffe24,0x3ffe24ff,0xd984fffe,0x3fbffe27,0x3afd04ff,
    0x3fff7207,0x2600bdff,0xd0002edd,0xffd703df,0x3fee03bf,0xfd701eff,
    0x75c03bff,0xff703dff,0x7fcc3dff,0x3fb6e02f,0x3fffae00,0x1feda81d,
    0x6ffff5c0,0x00f7f401,0x03bfffd7,0x09ffffb3,0x09ffffb3,0x09ffffb3,
    0x89ffffb3,0x6cc3fdd8,0x3a04ffff,0x2a200fd7,0x00262001,0x02006600,
    0x04001880,0x44002200,0x1002aa01,0x40080013,0x00800098,0x01000d40,
    0x08800440,0x22001100,0x22006600,0x03118800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0d46e200,0x7d9003a6,0xc8000cb8,0x01413004,0x3a203ba6,0x59101d94,
    0x4176c0f2,0x801cdca8,0xcc8803c9,0x4165c3c8,0x5cb00ccc,0x80595002,
    0x8ca8162b,0x6665c1c9,0xccb81abc,0xc82ccccc,0x000072e4,0xb02fbbf4,
    0x9f03fffd,0x7f42fcc0,0x00ff8001,0x204caea8,0xf886fee8,0x3f201fd5,
    0xfdfc81fd,0x3ffffa20,0x00ff404f,0x20fe4fe4,0x17fec3fd,0x001fbd90,
    0xbf300ff2,0x7774409d,0xfffffe86,0x7fff44ff,0x7cc5ffff,0xfd80bfa2,
    0x2db02fff,0x0d4502ea,0x09500fc8,0x2a0007fa,0x02f6e002,0x81c98ca8,
    0xed803109,0x2c8ac883,0x3f26bbf6,0x003d300f,0x7ec16cb6,0x200bff23,
    0x2a6000a9,0x801b8801,0xdfe80ee9,0x21ffdaaa,0xaaaaadfe,0x072e3f41,
    0x40aaaa98,0x71cc81cb,0x4c399039,0x5306aa5f,0x06e67fa3,0x01799510,
    0x005e5d44,0x54aa22e6,0x220d4c1a,0x5501cdca,0x76c2fe81,0x0bcca882,
    0x0af32a20,0x1ffdcff6,0x0af32a20,0x01797510,0x82a88b98,0x740bcca8,
    0x3a3fe83f,0x44fa803f,0x81cb80aa,0xf07fd1cc,0x3e0ffa5f,0xbf93fc2f,
    0xfbfd2fe8,0xff301bff,0xd107ffff,0x81dfffff,0x6fcfffe9,0x22fe8bf9,
    0x4fffffe8,0x7fdc2fe8,0x7ffcc01c,0xffa83fff,0x360dffff,0x403ffbbf,
    0xdffffffa,0xffffe880,0x7ff4c0ef,0x7fcc6fcf,0x3fa3ffff,0x3fa2ff83,
    0x742fc803,0xf83fe82f,0xff07fd2f,0x3fe0ffa5,0xff887f42,0x7ff4ff30,
    0x7c43feab,0x0ffdabff,0x2eb3ffa2,0x4f7f44ff,0x1ff16ffb,0x5dfb1fe6,
    0xfe81ff93,0x7ffffc42,0x5fffc40c,0x3e60ffda,0x5ffdacff,0x0bfffbf6,
    0xdacfff98,0x7ff445ff,0x744ffbac,0x26ffb9ef,0xfdabfff8,0xd99dfd0f,
    0xfffe8ffd,0x3f61ffff,0x7f417f41,0x7fd2ff83,0x0ffa5ff0,0x45fb0bfe,
    0x749f72fe,0xfb1bea4f,0x7e47fd0d,0x8877d40f,0xe9bf61ff,0xfe89f72f,
    0x3fa176c2,0xffffd702,0x7f437ec3,0xf503bf63,0x3bfff65f,0x1dfb00ff,
    0x3f22ffa8,0x8877d40f,0xd9bf61ff,0xfd3fe86f,0xd07fffff,0x3fffffff,
    0x0bfa07f4,0x4bfe0ffa,0xd2ff83fe,0xc85ff07f,0x7f57ee3f,0xff88bfa1,
    0x20213fe0,0xff3004fe,0x57ee6fb8,0x67fdc1fe,0x2017f401,0x3fe4ffb8,
    0x04ff8084,0x2fff69ff,0x9ff04ff8,0x4fe93fe0,0xfb8ff300,0xd0213fe6,
    0x05ff939f,0x7f8807fd,0x3fe82fe8,0x07fd2ff8,0x20ffa5ff,0x117e42ff,
    0xfe8df3ff,0xff89fe23,0x445ff002,0xff109999,0xff137e41,0xfff10df3,
    0x5fd019ff,0x3ee07f4c,0x1005ff16,0x57f605ff,0x0bfee4fd,0x3f605ff1,
    0x9988bfe5,0x41ff1099,0x05ff16fc,0x7fe47fd0,0x7c01ff41,0xfe82fe87,
    0x7fd2ff83,0x0ffa5ff0,0x83fb0bfe,0x7f43fefd,0xff897ee5,0x21ff8801,
    0x3a4ffffb,0xd8dfd13f,0x3ae03fef,0x7f41ffff,0xfd127f42,0x2007fe2b,
    0xdf901ff9,0x1dfd0ff6,0xfc80ffcc,0x7dc3ff16,0x4ffa4fff,0x3ff16fe8,
    0xfe87fd00,0x200ffa0e,0x417f40fe,0xb2ff83fe,0x363ff07f,0x741ff83f,
    0x07ffcc0f,0x3ff7fffa,0x4040ffc2,0x3fbaa4ff,0x3fbfee4f,0x7ffcc6ff,
    0x4ffb8800,0x3fea17f4,0x3e2fffef,0x7fc4081f,0x3f6bfd03,0xf127fcc3,
    0xf97fa07f,0x3ffbaa4f,0x3ffbfee4,0x0207fe6f,0x4ff987fd,0x3ffffffa,
    0xfd07f67f,0xff07fb05,0x3fe13f63,0x3ff09fb1,0x0dfd06f8,0x05dfd7fd,
    0x47fd09fd,0x89fb06fd,0x85faceeb,0x0fe986fe,0x0bfa37dc,0x07bfffee,
    0x47fd09fd,0x3ff985ff,0x3ffb07fb,0x7fcc2ffc,0x7ec1bf63,0x7d6775c4,
    0x3fa13fa5,0xff907fd3,0x3fffffa3,0xd0fee7ff,0xf09fb05f,0xb87ff23f,
    0x43ff90ff,0x0bea0ffb,0x8ff41ff4,0x42ffea00,0x3fea1ffb,0xa93fea1c,
    0x3a13ee09,0x449fd03f,0x00ffc5fe,0x3fea09fb,0x5c3ff70b,0xffd50cff,
    0x4019d501,0xfd50cffb,0x0e7fd41f,0x04d49ff5,0x5ffd49f7,0xd503ff70,
    0x43540019,0xc80f45f8,0x43fee1ff,0xfffefff8,0x3fbffe24,0x223e44ff,
    0xfe80ffda,0xffffb001,0xfff509ff,0x6c5ffffd,0x13febaef,0x2a01ffb5,
    0x2fffefff,0x8801ffb5,0xffffb02f,0xfffb09ff,0x2205fffd,0x7fec04fa,
    0xa82fffef,0xffffefff,0x3aebbf62,0x7fffec3f,0x9f5104ff,0x7c835c00,
    0xfff8817c,0x6cc4fffe,0xd984ffff,0x7c44ffff,0x817ffcc3,0x3ae001fe,
    0x36a03dff,0x4c0cefff,0x265fffff,0x7dc02fff,0x3f21efff,0x3bb7205f,
    0x37ffae00,0x3fffae03,0x3fdb701d,0xbfffd700,0x7ffed403,0x7ffcc0ce,
    0xffd705ff,0x3fb6e07b,0x1bfe2001,0x177ec7f1,0x27fffecc,0x04400220,
    0x0aa80a88,0x44000620,0x98004000,0x00aa80aa,0x0d440620,0x88002620,
    0x44004000,0x00100009,0x2aa60010,0x44008800,0x15100009,0x80198350,
    0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdb00276c,0xe880000b,
    0xcb82cb86,0x03797301,0xb8b2a397,0x0099301c,0x91393014,0x322b2203,
    0x00ca9dc2,0x40077cc0,0x400ca8ca,0x3b2002ca,0x09db0005,0x8032a970,
    0x400c98ca,0x9000002a,0xf7007f9f,0x3fe607f9,0x3fc405ff,0x3fa07ff4,
    0x7ffff442,0x5cbfa0ff,0x6c0bfa5f,0xbfc8801f,0x80dddd00,0x7cc0fdfc,
    0xfd8004fd,0xbfbf1000,0x000ef880,0x8009f9f5,0x4c03fcfb,0x7c404fdf,
    0x0ff805fd,0x07ea7cc0,0xa802a8d4,0x2aa20552,0x82a802aa,0x17f45ffe,
    0xf759ffd1,0xca8e5c9f,0x3a20bfa2,0xffffa802,0x01ee980f,0xeb8176c4,
    0x00150005,0x5400dea8,0x4caa000d,0x2a8d4002,0x5005eb80,0x1dd001bd,
    0x0db3e980,0x005e5d44,0x2a202ca8,0x5cc02bcc,0xfffd2a88,0xff917f43,
    0x550efa81,0x2fe86a61,0x2af3332e,0xfbf7fb01,0x5e6665c9,0xb872e01a,
    0x201cb82c,0xccccccc9,0x99910ccc,0x2e199999,0x971cb82c,0x220ccb83,
    0x40f2e0cc,0x099502cc,0x66666654,0x999912cc,0x65c19999,0x74459903,
    0x00efffff,0xffa827e4,0x4c0dffff,0xd6fcfffe,0x17f4dfdf,0x3fa009fd,
    0x17f4bf72,0xfffffffd,0x26f1df09,0x3fffffa0,0x45fd04ff,0x17f40ffe,
    0xffffffb0,0x3e21ffff,0x1fffffff,0x2fe81ffd,0x1fff89fb,0x5ff51fea,
    0xfd00ffb8,0x3fff205f,0xf13fffff,0x3fffffff,0x3ee17fd4,0x59ffd10f,
    0xfc809ff7,0xacfff984,0x77f45ffd,0x7fd6ffb9,0x44bfa7ff,0x266622ff,
    0x3ee5fd09,0xdfe8bfa5,0x41ffdaaa,0xbfd07cfe,0x03ffb555,0x2fff45fd,
    0x7fcc0bfa,0xaaaacfe9,0x7dd55542,0x8bffd0ff,0x4cdf72fe,0x17f24fff,
    0x3ff89bf6,0x20bfff30,0xabffbaa9,0x2eaaaa1a,0x37ec0fff,0x7fe47ff1,
    0x90077d40,0x81dfb09f,0x3ff12ffa,0xaafeb7ec,0xf12fe8ff,0x7fffdc3f,
    0x97ee5fd4,0x20ffa2fe,0x7ffd43fe,0x741ff40c,0x3a2fe83f,0x0bfa1fff,
    0x02fea7ec,0x3a1ffc80,0x4bfa1fff,0xfdf70ff9,0x7c41ff4d,0x640dfb3f,
    0x4c00ffdf,0xff9000ff,0x367ff103,0x0027f46f,0x9ff09f90,0x3fcd3fe0,
    0xd97f5bee,0x3fe2fedf,0x53ffbaa4,0x74bf72fe,0x3e0ffa2f,0xfffe982f,
    0x3fe0ffa2,0x3fa2fe82,0x20bfa6fe,0x05fd0ff8,0x743ffb80,0x8bfa6fef,
    0xff5fb1ff,0xffb80ffc,0xff101ffa,0xf9809fd3,0x3ffb800f,0x3febfee0,
    0x33117fc1,0x27e40133,0x7ec0bfe2,0x7e41ff15,0x3fe25fd6,0x41bfa2ff,
    0x2e5fd4fd,0xfe8bfa5f,0x07feecce,0xfe9bf3e2,0x07feecce,0x7dff45fd,
    0xf905fd3f,0x7fffff4b,0x0bff304f,0x3a7ff7fd,0x7fcff62f,0x07f99fe8,
    0x7027fff4,0x301feadf,0xff9801ff,0x4fffe805,0xff70ffc4,0x27e409ff,
    0x7e407fe6,0x7f44ffa6,0x7fdc5fd6,0x477fea2f,0x5fd4ffb8,0x22fe97ee,
    0x3ffffffe,0xfd789a88,0x3fffffa1,0xe8bfa03f,0xfe8ffaaf,0xfd0ffc42,
    0x109fffff,0x2bfa0dff,0x22fe8ffa,0xf76f9dfb,0xf980bf77,0x89ff406f,
    0x3fe602ff,0x01bfe200,0xff837fcc,0x13ffbaa4,0x7fc44fc8,0x7dcbfd03,
    0xfd6fffef,0x642ffe85,0xffffefff,0x97ee5fd2,0x273fa2fe,0xff882ffc,
    0x67f4dd79,0x3a02ffc9,0x7ecbfa2f,0x7fe42fed,0x002ffeee,0x3fa01ffd,
    0x45fdbfb2,0xf33fcff9,0xfd007fbd,0x66ffcc07,0x3e605ffc,0x03ffa00f,
    0xfb03fe80,0x6d53f60d,0x3fe13f63,0x5c3ff985,0xfd5facee,0xa82ffa85,
    0x20cefffd,0x74bf72fe,0xfc8ffa2f,0xefffc81f,0xfc8ffa3f,0x745fd01f,
    0x5ffff12f,0x7fffffc4,0xffc802ff,0x7c4bfa01,0x7ffc2fff,0x07fffe1f,
    0xfc80ff60,0x0fffffff,0x3201ff30,0x7ec001ff,0x439ff503,0x1df54ffa,
    0xff707ff1,0x83ffaa19,0x213ee09a,0xe8800cea,0x49f9003f,0x3a1ff41f,
    0x7fe440ef,0x3a1ff42e,0x22fe80ef,0x3ffee2fe,0x2667fee2,0x7dc02ff9,
    0x717f403f,0xffe85fff,0x803ffec7,0x33fe03fd,0x04feaaaa,0xff701ff3,
    0x07fb0007,0x7ff7ffd4,0xffff12ff,0x3ff601df,0x6c2fffef,0x83febaef,
    0x2e004fa8,0x13ffd807,0x4c3fe85f,0x20f104ff,0x27fcc3fe,0x85fd17f4,
    0x0ffa2ffe,0x3ffffffa,0xfffffd2f,0x0bfa7fff,0xffc85ffd,0x802ffdc5,
    0x0ff503fd,0x7fcc1fee,0xfffffe80,0x3f603fff,0x7ffed403,0x7fed40ce,
    0x7ff5c01d,0xfff981df,0xfedb85ff,0x27eec401,0xd83ffe60,0x907fd2ef,
    0x209103ff,0x1ffc83fe,0x85fd17f4,0x1ff52ffa,0xffffffd0,0x3ffffa5f,
    0x5fd3ffff,0x7d42ffa8,0x01ffcc3f,0x9fb03fd8,0x260bfe20,0xfffe80ff,
    0x203fffff,0x002003fd,0x00080004,0x26201553,0x40066000,0x01980aa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22079500,0x2aa0792c,0x3603ca80,0x30000750,0x59500099,
    0x800f2600,0x00000020,0x00a19800,0xb103ca80,0x01cb815c,0x072e0597,
    0x001c45d4,0x66440e5c,0x70072a00,0x77c001dd,0x07f7f200,0x077c13ea,
    0x103fbd70,0xc80dffff,0x3be2002f,0x3fef8800,0x0fcefd80,0x0fffff40,
    0x00fe5be0,0x4c1b2ba6,0xfd85ffff,0x01fbd900,0x3bea0bf3,0x07f7d40f,
    0x993ffbea,0xdf10fd4f,0x6c09ffb0,0x3f3e603f,0x001b3006,0x413207db,
    0x0a9800da,0x05555510,0x6d400990,0xb91b7000,0x3db9d801,0x0aaaaa80,
    0x01ebaec0,0x5100cda8,0x7b105555,0x5b8054c0,0x49b19b10,0x4c3d8cd8,
    0x93e88531,0xea87a60d,0x35301ea9,0x00a994c0,0x99999991,0x33332e19,
    0x872e2ccc,0x665c01aa,0x972ccccc,0x05999999,0xca80132a,0x0132a004,
    0x2a004ca8,0x132a004c,0xb804ca80,0x33332e1c,0x0e5c2ccc,0x99999997,
    0x32e1cb85,0x42cccccc,0x3332e1cb,0x65c2cccc,0x65c03971,0x72cccccc,
    0x88399039,0xffffffff,0xffffffd1,0xfb17f4bf,0xffffe809,0xfffd5fff,
    0x3a0bffff,0xffd002ff,0x0bffa005,0x8017ff40,0xfd002ffe,0x3ffa005f,
    0xfd17f402,0x8bffffff,0x3fffa2fe,0x7f45ffff,0x3fffffa2,0xd17f45ff,
    0xbfffffff,0x05fd2fe8,0x7ffffff4,0xff07fd5f,0xf7555505,0x2b7fa1ff,
    0x3fa1aaaa,0xfd013f62,0x2355555b,0xaaaaadfe,0x05fff981,0x805fff98,
    0x9805fff9,0xf9805fff,0xff9805ff,0xfff9805f,0xfd17f405,0x8355555b,
    0x2b7fa2fe,0x7f41aaaa,0x2aab7fa2,0xd17f41aa,0x355555bf,0x05fd2fe8,
    0x55556ff4,0xff07fd1a,0x43ff9005,0x2fe803fe,0x7fd013f6,0x2003fe80,
    0x400ffdfc,0x400ffdfc,0x400ffdfc,0x400ffdfc,0x400ffdfc,0x400ffdfc,
    0x200ffdfc,0x00ffa2fe,0x07fd17f4,0x3fe8bfa0,0x7f45fd00,0x3a5fd003,
    0x7f41552f,0x7c1ff403,0x1ffdc02f,0x3fa00ffa,0xfd013f62,0x003fe807,
    0x09fd3ff1,0x27f4ffc4,0x9fd3ff10,0x7f4ffc40,0x3a7fe204,0x27fe204f,
    0x3fe204fe,0x3fa04fe9,0x7400ffa2,0x400ffa2f,0x00ffa2fe,0x07fd17f4,
    0x67f4bfa0,0x7fd1fffe,0xff83fe80,0x217fe602,0xfffffffe,0x4fd8bfa1,
    0x7fffff40,0xffffd1ff,0x6fb83fff,0xb7dc0ff5,0x5bee07fa,0x5bee07fa,
    0x5bee07fa,0x5bee07fa,0x5bee07fa,0x8bfa07fa,0xfffffffe,0xffd17f41,
    0xe83fffff,0x3ffffa2f,0x17f41fff,0xfffffffd,0xffd2fe83,0x3fa9fd35,
    0xd1ffffff,0xffffffff,0x41bfe205,0xfffffffe,0x4fd8bfa1,0x7fffff40,
    0xffffd1ff,0x3fe83fff,0x3fa05ff1,0x3a05ff13,0x205ff13f,0x05ff13fe,
    0x17fc4ffa,0x5ff13fe8,0x7fc4ffa0,0x7f45fd02,0x41ffffff,0x3fffa2fe,
    0x7f41ffff,0x3fffffa2,0xd17f41ff,0x3fffffff,0x47fd2fe8,0xffffd5fb,
    0x3ffa3fff,0x02ffffff,0x3fa01ffd,0x362fe803,0x01ff404f,0x3e600ffa,
    0x85ffccdf,0xffccdff9,0xccdff985,0xdff985ff,0xf985ffcc,0x85ffccdf,
    0xffccdff9,0xccdff985,0x45fd05ff,0x5fd003fe,0xfe801ff4,0x7400ffa2,
    0x400ffa2f,0x5c5fd2fe,0xe807fd5f,0xc82ff83f,0x0ffa01ff,0x4fd8bfa0,
    0x3a01ff40,0xfffc803f,0x640fffff,0xffffffff,0x7ffffe40,0x7fe40fff,
    0x40ffffff,0xfffffffc,0x7fffe40f,0x7e40ffff,0x0fffffff,0x0ffa2fe8,
    0x7fd17f40,0xfe8bfa00,0x745fd003,0x25fd003f,0x757ee2fe,0x41ff403f,
    0x1ffdc2ff,0x3a00ffa0,0xd013f62f,0x03fe807f,0xaaaacff8,0x567fc4fe,
    0x7c4feaaa,0xfeaaaacf,0x55567fc4,0x67fc4fea,0x44feaaaa,0xeaaaacff,
    0x5567fc4f,0xfe84feaa,0x7400ffa2,0x400ffa2f,0x00ffa2fe,0x07fd17f4,
    0x17f4bfa0,0x00ffabf7,0x85ff07fd,0xfffffffe,0xfffffd3f,0xb17f4fff,
    0x5fffffff,0x3ffffffa,0xfffffd7f,0x41feafff,0x41fea7fb,0x41fea7fb,
    0x41fea7fb,0x41fea7fb,0x41fea7fb,0x41fea7fb,0x22fe87fb,0xfffffffe,
    0xffd17f47,0xe8ffffff,0x3ffffa2f,0x17f47fff,0xfffffffd,0x5fd2fe8f,
    0xfffeafdc,0x7fd7ffff,0xffe85ff0,0xd3ffffff,0xffffffff,0xfffb17f4,
    0x3fa5ffff,0xd7ffffff,0xffffffff,0x7fc413f6,0x3e209fb2,0x2209fb2f,
    0x209fb2ff,0x09fb2ff8,0x27ecbfe2,0x9fb2ff88,0xfd0bfe20,0x7fffff45,
    0xd17f47ff,0xffffffff,0x3ffa2fe8,0x747fffff,0x3ffffa2f,0x97f47fff,
    0x757ee2fe,0x7fffffff,0x05ff07fd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x22080cc8,
    0x0c98ca80,0x0cc88000,0x1003d980,0x00057995,0x20000000,0x5cb32a00,
    0x81cccccc,0x15c403eb,0x6c0ea1b0,0xd8ea09b4,0x3b67b200,0x09999881,
    0x59379300,0x02ae22aa,0x207ae3ae,0x2a819999,0x20bf2155,0x882ecefb,
    0x7f505fdf,0x03fb81fe,0xa801b1b0,0x0dffffff,0x5100fae0,0x212e1599,
    0x3d880de9,0xdbffffb0,0x05ffffff,0x3f6609f9,0xceb80eff,0x3fdf501f,
    0x3036efc0,0x3207f39f,0x5003ffff,0x3fa9f5bf,0x440ffffc,0xfff04fee,
    0xffbff0ff,0x556c0f63,0x037aa04d,0x205d974c,0x1f72003d,0xb59fff30,
    0x06b40bff,0x3fffffea,0x2b9b83fe,0xffb83fd8,0xabfffdad,0x1a980aaa,
    0xbf939fd0,0x97002e60,0x402a8805,0x4c40753a,0xf5000999,0x3ffa7b1b,
    0xc983fe9a,0x06666604,0xcb92fffe,0x32e0b2e1,0x55999971,0x32e0e5c0,
    0x3a059903,0x3bf602ff,0xb817fd40,0x9fff303e,0x220fff95,0x2dfe985d,
    0x3fee27fc,0x30571001,0x407fc4ff,0x15c402b8,0x1006ee20,0xbb880377,
    0xdfa94c01,0x647fd1e8,0x00ab885f,0x1ffc0ae2,0x1ffd17f4,0xfffd2fe8,
    0xfd01bfff,0x5c2ffa85,0xfff980ff,0x7c13fe05,0x0aba884f,0x7fcc6fd8,
    0xa982aa1f,0x4cffffb1,0x0ffc42ff,0x3bfff660,0x3bbbfea0,0x3ff661ff,
    0x7fecc0ef,0xfffd80ef,0xffffb05f,0x3ffff60b,0xdeffe985,0x8bfa29df,
    0x3ff625fb,0x7fecc2ff,0x417fc0ef,0x17ffa2fe,0x2b7fa5fd,0xfe85ffca,
    0x3e26fd82,0xffbf903f,0x205ff101,0x7ffd45fd,0x127fc2ff,0x7f49fddf,
    0x7f4d7ee2,0x203fea2d,0x47ffffff,0x25fc9cfe,0xaaaaaefa,0x3f273fa0,
    0x7e4e7f45,0x7ddf7e45,0x5df7e42f,0x5f7e42ff,0x6ff42ffb,0xfe85ffb9,
    0xefd97ee2,0x3fa0ffba,0x7fc5fc9c,0x3fa2fe81,0x74bfa1ff,0x217fcc3f,
    0x3ff882fe,0x3fe20dfb,0xff984fe9,0xfe8df900,0x3e65fc9a,0xf91dd11f,
    0xbf717f4b,0x1fea1fec,0x3ffffffc,0x07fc4ff3,0x98b221ff,0x4c3fe27f,
    0xf83fe27f,0xff17ea2f,0x3fe2fd45,0xff897ea2,0x3fa17f61,0x7fc57ee2,
    0x3fcc26a1,0x0ffc1ff1,0xfdfd17f4,0x3fe97f4d,0x17f44fd8,0x1ffaffb8,
    0x1feadf70,0x7ec0ffe2,0x4df71085,0x21fd0ff9,0xb8bfa6fc,0xf30ff65f,
    0x01ff981f,0x3fbbbfea,0x3b3bf61f,0x3bbfea4f,0xdff51ffe,0x3e63ffdd,
    0xf987fc47,0xf987fc47,0xf987fc47,0x7f42fdc7,0x3fcd7ee2,0x3bbbfea0,
    0x207fe1ff,0x3effa2fe,0x3fa5fd3f,0x7f45fc83,0x13fffa02,0x5ff13fe8,
    0x456cbff0,0x7f6443ff,0x2bfe27ff,0xe97fa1fd,0xfd97ee2f,0x2a17fc43,
    0x3bea01ff,0x640aaaaa,0x77d44fff,0xf50aaaaa,0x2155555d,0x9fe60ff8,
    0x9fe60ff8,0x9fe60ff8,0x42fe47f8,0x4d7ee2fe,0xdf5020ff,0x7c155555,
    0x3a2fe81f,0xfe8ffaaf,0xbf907fd2,0x3e602fe8,0x37fe606f,0xfb85ffcc,
    0xffffd8bf,0x2673fe20,0x17fffc7f,0x17f47ff1,0x41fecbf9,0xffd51efd,
    0x910ff803,0xff81e205,0x0ff85910,0x23ff8591,0x91ffc4fc,0x323ff89f,
    0xfd17f44f,0x453f200b,0xf87fa2ff,0xea85910f,0xfd17f40c,0x4bfb7f65,
    0x44fd83fe,0x1ff402fe,0xffffff90,0xfffb01ff,0xfa8bfffd,0xff71fea6,
    0xd07feccb,0xf92fec7f,0xffff98bd,0xffffffff,0x3b3bf64f,0x201f304f,
    0x44fecefd,0x44fecefd,0x1ffeeffb,0x7ff77fdc,0x7f77fdc1,0x76ffdc1f,
    0xffd805ff,0x3fb7ff24,0x7f677ec5,0x3a1fd444,0x7c4bfa2f,0x07fd2fff,
    0x02fe87fd,0x9ff01fec,0x09fd5555,0x3fbfffae,0x79ff10ef,0xfffb8fff,
    0x642fffef,0x25ffdcff,0x74c0fff9,0xfffdaeff,0x7fe44fff,0x077fc04f,
    0xc827ffe4,0xfd504fff,0x3faa019f,0xffd500cf,0x37faa019,0x7fc405fa,
    0x67fed40f,0x44fffc80,0x7f40eedb,0xffb8bfa2,0xfc87fd2f,0x2017f40f,
    0x0ff503fd,0x88201fee,0x57ff5c6d,0xb59f31fe,0xb103bfff,0x10bf5bff,
    0x40000880,0x1006a000,0x00400200,0x00040010,0x01550001,0x31008004,
    0xfe8bfa01,0xfe97ff42,0x82ffffff,0x1fec02fe,0xff104fd8,0x00400005,
    0x0040020a,0x00000000,0x00000000,0x00000000,0x00000000,0x2fe80000,
    0x5ff50bfa,0x37bffffa,0xd805fd01,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb8000000,
    0x732cb83e,0x02764039,0x3ae02754,0x88793003,0x204c81cb,0x47201ba8,
    0x5c455449,0x1999980b,0x1cb80e5c,0x81362f62,0x47647910,0x0ee983e9,
    0xb3037a60,0x2600801b,0x74c7642e,0x00c46a02,0xd1001dd3,0x03b6201b,
    0xfd84fc80,0x84ffffcc,0x7402fdfa,0x017e200e,0xd93ffbb2,0x0be61fde,
    0x07ffffdc,0x3a17675c,0x41ffffcf,0x7f47ffff,0xfb85fd02,0x33d880fe,
    0x7d47ecbf,0x02ff7444,0x0fea03fb,0x3f701ec4,0x03fa8fd8,0x405ffff7,
    0xfc806eee,0x001fd401,0xfffb0353,0xc83ffd77,0x06440773,0x32003260,
    0x33e4ffee,0x441b63f8,0x03fc89ef,0x5ffd0373,0x99989fd3,0xe817f419,
    0xb02cc82f,0x1893227f,0x98ca8131,0xa803901c,0x6c07fb03,0x01311887,
    0x9301542e,0x2c803931,0x44007500,0x07fec0ab,0x2ae213fe,0x80375100,
    0x4a600ab8,0x7cfe66fa,0x3e205f35,0x2a200acf,0x71ff40ab,0x0aba88bf,
    0x2fe817f4,0x74c0dd44,0x552d8adf,0x0aa8d4c1,0x305546a6,0xa982aa35,
    0x205bfd31,0x0377105f,0x4401bb88,0x5dc401bb,0x00ddc401,0x8bffff62,
    0x25fd85fd,0x42ffffd8,0x40fffffb,0x42ffffd8,0x6fdeffe9,0x6d9fce7c,
    0x67fffdc0,0x7ffffd41,0x5fb8bfa2,0x8bffffea,0x45fd02fe,0x20fffffb,
    0x238ffffd,0x757ee2fe,0x7f57ee2f,0x17f57ee2,0x3fff6bf7,0xfd83f887,
    0xffb05fff,0x3ff60bff,0xfffb05ff,0x3fff60bf,0x2bbf605f,0x09fb0ffb,
    0x577ecbf9,0x3df10ffb,0xefd87f91,0x3fa0ffba,0x5c6ffb9e,0x02f98eff,
    0x46ffec98,0x25fc9afe,0xe97ee2fe,0x3a5fc9af,0x225fd02f,0x23fc89ef,
    0xfe82dfe9,0x17f57ee2,0xb8bfabf7,0x7dc5fd5f,0x505bfd35,0xbbefc83f,
    0x5f7e42ff,0x77e42ffb,0x7e42ffbb,0x642ffbbe,0x82ffbbef,0x426a1ff8,
    0x16fc83fd,0x884d43ff,0xf880acff,0x7c426a1f,0x221bf61f,0x20ba9b61,
    0x03fe63c9,0xfe9bee21,0x22117ee2,0x40bfa6fb,0x59ff12fe,0x740ff601,
    0x7f57ee2f,0x17f57ee2,0xb8bfabf7,0x640ff65f,0x3ea2ff87,0xbf517fc5,
    0x17ea2ff8,0x22fd45ff,0x217ea2ff,0x1fec07f9,0x07f9b7e4,0x1cffffb8,
    0xff301fe6,0x7cc06fb8,0x7c4fddf2,0x444fdbdf,0x3a7fffec,0xc897ee2f,
    0x3fa7fffe,0x7dc5fd02,0x7ec1cfff,0x7dc5fd03,0xafdc5fd5,0x757ee2fe,
    0x7e57ee2f,0x4c5e85ef,0x987fc47f,0x987fc47f,0x987fc47f,0x987fc47f,
    0x207fc47f,0xfb020ff9,0x3e6bfb07,0x764c020f,0x83fe66ff,0xf907fc40,
    0x5f36d80d,0x7fecc3f5,0x33fe20ce,0x8bfa7f99,0x39ff15fb,0x5d7f4ff3,
    0x930bfe1d,0x3fd8dffd,0xafe45fd0,0x757f22fe,0x7f57f22f,0x7f5d7f22,
    0x221fc43d,0x89fe60ff,0x89fe60ff,0x89fe60ff,0x89fe60ff,0x21fe60ff,
    0x47fa2ff8,0xa7f443fd,0x47fa2ff8,0x43fe63c9,0x87fa2ff8,0x81bfa2fe,
    0xf33f72f9,0xa83bf707,0x261fea6f,0x537d41ce,0x7e57f4ff,0x3263ff34,
    0xfd83fe63,0x7ec7fd03,0xafec7fd5,0x757f63fe,0xfd97f63f,0xff81fa83,
    0x7ff13f23,0x8ffe27e4,0x91ffc4fc,0x323ff89f,0xdbff904f,0xf99fecbf,
    0x3ff21fff,0x3fe25fed,0x7e44fdbd,0x7dc5fedf,0x206ffedf,0x3eabe66d,
    0xff113a01,0x2a0fff79,0x5e7fc45f,0x26bfa7ff,0x225ffeff,0x44fdbdff,
    0xffc85efc,0xff95ffdc,0x3f2bffb9,0xf95ffdcf,0x64bffb9f,0xb83e45ef,
    0x41ffeeff,0x1ffeeffb,0x7ff77fdc,0x7f77fdc1,0x777fdc1f,0x3f6a01ff,
    0x5cff60cf,0xfda83fff,0x7fecc0cf,0xffda80ce,0xaefea80c,0xe85f306f,
    0xeeda86ff,0xeaffeb81,0x07fb6a1f,0x3fabffae,0x3fae5fd1,0x7fecc0df,
    0x7ffcc0ce,0x56ffec40,0x5bffb15f,0x37ff62bf,0xbffb15fa,0x7ffccbf5,
    0xfea81ba0,0xffd500cf,0x3ffaa019,0x9ffd500c,0x33ffaa01,0x08001000,
    0x00100080,0x98004002,0x26203302,0x4c400800,0x08000800,0x80100100,
    0x00800800,0x13010008,0x00400100,0x00040010,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x813b2000,0x20098cc8,0x2ea202b8,0x165c400a,0xd103ec80,0x9b981b67,
    0x07d902a8,0x2e200fb2,0x0175100a,0x21a98355,0x101d94e8,0x4ec80a15,
    0xd703eb80,0x05e5c407,0xc982f4c0,0x8d407302,0x4cccc419,0x441b1d40,
    0x5fbf502a,0x4077fcc0,0xa85fffd8,0x302fffff,0xb80dfdff,0x4f981fdf,
    0xfffb10fd,0x0bf10df9,0xfb103f44,0xff985fff,0x22fe45ff,0x6d7e22fe,
    0x7efff80f,0x405fbf50,0x07ec05f8,0x0fffffc4,0x3ea07f60,0x901e83fb,
    0xfc85ffff,0xddf83fff,0x3c837d46,0x3f762077,0xfd5bf906,0xfc9afe87,
    0x3f27fb05,0x81dcf202,0xdf903109,0x950dff75,0x36039100,0x20ffbaef,
    0x22feacfe,0x0ff30ff8,0x4e206213,0x2e7900a8,0x10032604,0xb19f9039,
    0x00e4409f,0x05b87f51,0x4c41542e,0x2a880999,0x75104e98,0x4fb99803,
    0x0df51ff8,0x641bee21,0x8805fb5f,0x815c402b,0x21bf22fe,0x15c402b8,
    0x1350ffc4,0xe89f92e4,0x5109f72f,0x2ea20157,0x1575100a,0x402aea20,
    0x7ec0aba8,0xaa807fb2,0x23fc8388,0x415500f8,0x4c1551a9,0x54c1551a,
    0x3fee02a1,0xffc80fff,0x3fe22fff,0xec88ff30,0xff307fff,0x7ecc0bfd,
    0x7ecc0eff,0x3fe60eff,0xfd99bea0,0x7ecc0eff,0x1fe60eff,0xb85fd300,
    0xfa83fd5f,0x7d42ffff,0x7d42ffff,0x7d42ffff,0x7d42ffff,0x3fa2ffff,
    0xc880ff8a,0x264fffff,0xd0264f93,0xfeafdc5f,0x17f57ee2,0x221fcbf7,
    0x43fc89ef,0x5ffccffc,0x0ff99fe6,0xff339ff1,0x017ffa20,0x8bf939fd,
    0x25fc9cfe,0x9bee0ff8,0x45fc9cfe,0x25fc9cfe,0xa8020ff9,0x9ff883ff,
    0xc9afe86f,0x64d7f45f,0x64d7f45f,0x64d7f45f,0x64d7f45f,0x3ee7fa5f,
    0xf55df506,0x9ff7c49f,0x8bfa00f9,0x5c5fd5fb,0x7dc5fd5f,0x9ff10fe5,
    0x45ff1015,0x89fe67fb,0x54df50ff,0xffff987f,0x3e60a98f,0x7cc3fe27,
    0xff83fe27,0x3fcdbfa2,0x9fe61ff1,0x5ff10ff8,0x7ed40ff4,0x3fefd81e,
    0x21bee210,0x210df710,0x71086fb8,0x3ee210df,0x3fea7fa6,0xfd91fe83,
    0x0f60981f,0xf717f439,0x5fb8bfab,0x8afdc5fd,0xffffb84f,0x883fe61c,
    0x21ff30ff,0x33fe27f9,0x4fe87ffb,0x545fddfd,0x1ffeeeff,0xffdddff5,
    0x7f6ffdc3,0xdddff56f,0x3bfea3ff,0x3f21ffee,0x5405fedf,0x0fff986f,
    0x7fffec88,0x3ffff644,0x1ffffb22,0x8ffffd91,0x27fffec8,0x45ff91fe,
    0xff1d77f9,0x3f635403,0x5fb8bfa2,0xeafdc5fd,0x7cd7ee2f,0xdffd9305,
    0xff307fc4,0x7d43fe21,0x757ff5c7,0x443fe21f,0x77d47fff,0xf50aaaaa,
    0x8155555d,0x56fbefeb,0x155555df,0x2aaabbea,0x67fed40a,0x1ff10cc0,
    0xff10dfd0,0x7c4ff339,0x227f99cf,0x27f99cff,0x7f99cff8,0x3e673fe2,
    0x7fc87fa7,0x227ebfe6,0xb8ba00ff,0xc8bfa2fe,0x7e45fd5f,0xafe45fd5,
    0x31e4c6fa,0x91fec1ff,0xf72fe8df,0xf82e820b,0x03bfee1f,0xf0b221ff,
    0x080b221f,0x887fcdf5,0xc887fc2c,0x883bd702,0x20df50ff,0x26fa83fe,
    0xa9bea7fa,0xfa9bea7f,0x7fa9bea7,0x27fa9bea,0xf0ffc1fe,0x813ee5ff,
    0x8be3ea5b,0x757f63fe,0x7f57f63f,0x37dd7f63,0x3f6f7fe2,0x7f77fd44,
    0x7effdc2f,0xc83f801f,0xffffedff,0x3b3bf60e,0x7677ec4f,0x26fa804f,
    0x44fecefd,0x04fecefd,0x6ffe4274,0x3f6a22ff,0xbcff880f,0x33fe27ff,
    0x3fe27ffb,0x3e27ffbc,0x227ffbcf,0x27ffbcff,0x6fdfcafe,0x7feeffdc,
    0x7ec3f101,0x9ff91fff,0x3ff2bffb,0xff95ffdc,0x3eebffb9,0xceffd987,
    0x2effc980,0x003bff70,0xff90fbf2,0x909d35ff,0x3f209fff,0xdf5004ff,
    0x904fffc8,0x36a09fff,0xfeb881ee,0x17ffcc2d,0xfd5ffd70,0x757ff5c3,
    0x2bffae1f,0x3ffae1fe,0x3fae1fea,0x3fd1feaf,0xde83dfd5,0x3200cffd,
    0x11fccc44,0x2bf5bffb,0x5fadffd8,0xbf5bffb1,0x00101fee,0x00040022,
    0x001100cc,0x80010008,0x20010098,0x8004c400,0x4002aa00,0x02001000,
    0x00080040,0x40022804,0x0202a00a,0x88020020,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a81d400,0x55015cc0,0x7d705555,0x982aa5d7,0x5503a81a,0x4c01b980,
    0xd53d501b,0x01797103,0x9802ed36,0x8001993c,0x400acca8,0x1ec3d74e,
    0x8af72a20,0x903973c9,0x32e39739,0x5441cc81,0x54401cdc,0x32a80acc,
    0x8b2a0037,0x0f886fc8,0x07ffff60,0x21fffffe,0x3fa5f8df,0xfc897ee2,
    0xf300f886,0xea81dfff,0xfdd05fff,0xffffd30b,0x03fdf305,0x0ffdbea0,
    0xd77df700,0x6cfe605f,0xfa81b60f,0xb8dfffff,0xff07fd5f,0x0ffa5fd5,
    0xffe88bfe,0xbf704fff,0xfe85fd77,0x400dfffc,0x1b7264fc,0xaefb80f6,
    0x677cc5fc,0x4c64c4cc,0xfb8bfa0c,0x361b7265,0x3673f603,0x7de7f43f,
    0x80cc882f,0x06fb8dfd,0x7d400797,0x2e003ff6,0xb82f980f,0x0fb8df2f,
    0xdacfff88,0xfd5d9dff,0x5f75ff07,0x8bfe0ffa,0xffc9aefd,0x7cc07dc0,
    0x3aafffa2,0x427e403f,0x3a03cc6c,0x9f50ae2f,0x35305540,0x85fb8bfa,
    0x3e03cc6c,0x7c4bf30f,0x0aa9bf26,0x21ff86a6,0x55d440ac,0xb7d4a600,
    0x260351ff,0x269ff90f,0x9bfd971f,0x417cc7df,0x7fd40efd,0xf07fd3e9,
    0x3fa1f15f,0x3fa2ff83,0x1f3176c2,0x3e69dffb,0x37d49fd1,0x1b213f20,
    0x47fc405d,0x79bf9019,0x3ee2fe81,0x2fdc5fd5,0xb00ba364,0x547f917f,
    0xfe9fea5f,0x1fe97ee2,0x7ffffd40,0x6f7ff4c2,0xfff9ff6f,0x3d74c81b,
    0x7f4f65f3,0x45ffffff,0xf04ff84f,0x0ffa1dff,0xfe8fb7fe,0x3ee2ff83,
    0x6d3201cf,0x2791fa9c,0x03fe22fe,0x26c84fc8,0x6ffcc06a,0x7fec1eff,
    0x8bfa2fff,0x645fd5fb,0x1aa6c85f,0x227ffec0,0x43ff27f8,0x5d7ee2fe,
    0xfd04cefe,0xfe8bf935,0xff6ffb9e,0xe87fd55f,0xf16a09d2,0x1b607eeb,
    0x3f605ff1,0x7fc1ff46,0xff83fe84,0x3ffffe22,0x9cd9740c,0x3fab50fa,
    0xf901fe23,0x98f41109,0x3bfe60ab,0x5f645fc9,0x8bfa6fc8,0x6c7fd5fb,
    0x07a0885f,0xfeffa839,0x7ef7ec1f,0x5c5fd0ff,0xfffffd5f,0x26fb8840,
    0x5bf61ff8,0xf1bea4ff,0x334c0fa3,0x7dc1f67f,0x6407fe60,0x7c1ff46f,
    0xf83fe82f,0xfffeb82f,0x7f6c7e1f,0x2ff5a62f,0x4fc80bf7,0xecf9adc0,
    0xff8bfe65,0xfe8ffc00,0x7fe57ee2,0x5c05ffdc,0x3fe1fec5,0xfb88df51,
    0x5fd0ffbe,0xefa8afdc,0xffd91019,0x2e3fccff,0x7c45ff6f,0x92e4f60f,
    0x6fedd2e3,0x7cc3cffc,0x740ffe22,0x7c1fec5f,0xf83fd81f,0x3fee201f,
    0x745ecf64,0x77ff52e4,0x7e402ffd,0x9443e204,0xe87fe27c,0x4bfa0c1f,
    0x457f22fe,0x05fadffd,0x3feb83e2,0x01ff1be6,0x45fd3fd4,0x817ee5fc,
    0x7f99cff8,0x6fc83fe2,0x07fcc7ff,0x3f77e6b7,0x3fffa5d0,0x4f85ffff,
    0x7fcc2ffc,0x7fc27ec3,0xff84fd81,0xfb81fd31,0xfa9ed6e6,0x3affa5d1,
    0xb1ed42ef,0x6426409f,0xf8a7f42f,0x7c47fe27,0x5fd8ffa7,0x4c80b504,
    0xf88fe3aa,0xed8df30f,0x1ff49f90,0x27fe6bfb,0x2a6fa820,0xfd17f47f,
    0x7fb97fed,0x21752744,0x73dd10ec,0x8dd0137f,0xfd50cffb,0x21ffc81f,
    0xffc80ffb,0xfe83fee1,0xe897fa24,0x3b26a1ac,0x54023fd0,0x03ff88ef,
    0x81fc81f3,0x44ffeffa,0x24ffdffb,0x5ffdcffc,0x0f981ae0,0xd87ffff6,
    0x6c3ffdff,0x320ffeef,0xb5ffdcff,0x1fdfffff,0x3fef3fe2,0x7f6ffdc7,
    0xfbdfff6f,0x439d107f,0x57e20eda,0x21f201fb,0xfffefffd,0xfefff882,
    0xfff104ff,0xfa89fffd,0x42fffeff,0x3b661ce8,0xf1007fa0,0x201dffff,
    0x3fffdc3d,0x405f7fd4,0x6c44ffeb,0x205fadff,0x43d86ff8,0x6443f998,
    0xfd883efe,0x7fec41ef,0x9bf55fad,0x75c7fffd,0x541feaff,0xff6faefe,
    0x4405dfd3,0x40ceffec,0xa80fb3f9,0xfffeb81f,0x3ff6201d,0x7ecc03ff,
    0xff704fff,0x32203dff,0x740ceffe,0xffda801f,0x2a60a01d,0x400202aa,
    0x44000400,0x0540280a,0x80110010,0x02018000,0x00100080,0x42620088,
    0x40098008,0x00088000,0x03100088,0x06200880,0x00000100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xca880000,0x3a2002bc,0x02a8800d,0x00bcba88,0x005e6544,0xa8551173,
    0x2201ea9e,0x0aa02cca,0x0072e353,0x3b60e65c,0xaa8f6c42,0x74c0aa21,
    0x6664c00d,0x0ccccccc,0x54197397,0x4cc1ea9e,0x267aa099,0x22b9622e,
    0x41cc81cb,0x0e5c5129,0x397176c0,0x7fffffd4,0x02fb800d,0xe880ff30,
    0x80efffff,0x3ffffff9,0x7e7fff4c,0x205fee86,0x0efffffc,0x4ff63fc4,
    0xffc803fe,0x83f7f22f,0xa93f62fb,0x003fb06f,0xfffffffb,0x2bfa1fff,
    0x2ff740fe,0xb17fffe6,0xfbdb0bff,0x7fc1ff41,0x53bffe62,0x303eeffc,
    0xf32fe89f,0xbffb59ff,0x44005700,0x3ffa206e,0x444ffbac,0xffdabfff,
    0x3ee7bfa0,0x00cc886f,0xff95bff3,0x7ec7f88f,0x1555bfd3,0xac887fd0,
    0xfb0ae2c8,0x1c82f549,0xfe9ff980,0x3a2aaaac,0x6440faaf,0x0999980c,
    0xb9806644,0x3fffffe0,0x553fffff,0x77fe42a6,0xfd07503e,0xf503bf65,
    0x2357305f,0x15400aba,0xfa81ff90,0x3a1bf60e,0x6c3ff13f,0x01bb886f,
    0x3ff88bf9,0x27fb1fe2,0x4ffffffe,0x0aa817f4,0x89fb0554,0x2e22aa4c,
    0x753f600b,0x557f402f,0x2ee22aa6,0x2a20aa80,0x541aaaaa,0x2b7faa0a,
    0x41cffaaa,0xa97f40aa,0x8554aa0a,0x209ff2fe,0x3ffe24ff,0x1ffffeff,
    0x7f40ff10,0x213fe004,0x3ee3fcc0,0x2ffffec6,0x44dfb010,0x74ff60ff,
    0x3ffdccef,0x17f40bfa,0x24fd8bfa,0x3f3fa0ea,0xff881fff,0xfe805fd0,
    0x3f3fa0ba,0x17f41fff,0x7ffffff5,0x1ff42fe8,0x17f417fc,0x3fffb3fa,
    0x23ffbff0,0x02ff8afe,0x4dfecbfb,0x6fb9dffc,0x7fc0bfb0,0x42666622,
    0xf8802ff8,0xfc9bf20f,0x262ffbbe,0xeeeeeeee,0xe87fe27f,0xfc87fd3f,
    0x7f40bfa5,0x9fb17f42,0x4d7ff404,0x25fc84fe,0x4ffffffe,0x3ffa0bfa,
    0x7f44fe9a,0x3faaaa22,0x3a17f41f,0xffffffff,0x7f42fe82,0xff4fe9bf,
    0x4d7f497f,0x8df901ff,0x6c1ff710,0x8077ec1f,0x3fee1ff8,0x03ff14ff,
    0x7f44ffa0,0x5fa8bfe6,0x3fffffe6,0x3fe27fff,0x3fa7ff13,0x5fd3fdc3,
    0x5fd0bfa0,0x3fa027ec,0xff117ee3,0x7fffff43,0x3a0bfa4f,0xfd17ee3f,
    0x20bfea05,0x7fff42fe,0xe82fffff,0xf727f42f,0x3fa0ffeb,0xfd03ff8a,
    0x7fff644b,0x22ffffff,0x7fc00efc,0x93ffbaa4,0xfb8081ff,0xf36fffef,
    0xf10ff88f,0xf933337f,0x76fffc4d,0x339fd3ff,0x17f4bfd5,0x17f42fe8,
    0x2fe809fb,0xdff917ee,0xe805ffdd,0x2e2fe82f,0x5417f45f,0x85fd03ff,
    0x82ff83fe,0x71ff42fe,0x3a0bfebf,0xf30bff2f,0x4d6ff47f,0x1aaaabff,
    0x40981ff1,0x49fb06fd,0x43fe84fe,0x15faceeb,0x23fcc1ff,0x24fe85fe,
    0xfdefcff8,0xffffffd3,0xe817f43f,0xfb17f42f,0x2e2fe809,0x3fffe25f,
    0x7402ffff,0x2e2fe82f,0x2617f45f,0x0bfa04ff,0x05ff07fd,0x22fe85fd,
    0xd03ff5fb,0x433fee5f,0xff30ffea,0x17917fd4,0x8df507fc,0x3ea1cffa,
    0x42ffea4f,0x826a1ffb,0xc8ffe4fb,0x897fdc4f,0x5fe21ffb,0xbdddfd00,
    0xd02fe819,0x362fe85f,0x717f404f,0x4cffdcbf,0x7402ff99,0x2e2fe82f,
    0xd117f45f,0x42fe80bf,0x82ff83fe,0x717f42fe,0x3a07febf,0x3bfff62f,
    0x67fc2fff,0xfdcfffeb,0x7e5f7dc6,0xefffa83f,0x7ec2ffff,0x6c4fffff,
    0x23febaef,0x1ffeeffb,0xfffeffd8,0x3a03fc43,0x02fe803f,0x22fe85fd,
    0xfffffffd,0x2fdc5fd2,0xfffd07fd,0x3fa5ffff,0x3ee2fe82,0xffb17f45,
    0xfe8bffff,0x7fc1ff42,0x7f42fe82,0x0ffd7ee2,0x3fae17f4,0xfea81dff,
    0xdfffb9df,0x3fffeb80,0x3bfff6a0,0xbffd700c,0xfffff307,0x19ffd50b,
    0x1effedc0,0x3fa03fc4,0xd02fe803,0x362fe85f,0x2fffffff,0xaafdc5fd,
    0xfffe80ff,0x5fd2ffff,0x2fdc5fd0,0xfffd8bfa,0x17f45fff,0x0bfe0ffa,
    0x45fd0bfa,0xd03ff5fb,0x0800405f,0x00620010,0x00880010,0x0400aa98,
    0x06600200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65c00000,0xc882abcc,0x50b2e004,0xbcccb879,0xd8bd882a,
    0x0f62fa24,0xe8802ed8,0x2a275c06,0xcccccccc,0x2e198d42,0x801aa81c,
    0x20e5c2ec,0x974c02ca,0x9905975d,0xc81e5c19,0x9819932c,0x0bb880cc,
    0x2e04ca80,0x40abcccc,0x82accccb,0xe87951cb,0x0dffffff,0xfb801fe6,
    0xfd0bfe26,0x81bfffff,0x7dc0fefb,0xfbf900fe,0x407f8801,0x7ffe40ef,
    0x2e3fffff,0x3fa2ffff,0x8804fd82,0x3617f46e,0xf9fd404f,0xffd87fb6,
    0x2e17fd42,0xd17fa0ff,0xfffe88bf,0x3ffa00ef,0xfffffd02,0x7fff47ff,
    0x3fa0dfff,0xdfe8df92,0x225ffcba,0x97fc006d,0xadfe86fb,0xcb85ffcb,
    0x22039902,0xa880792c,0x26032602,0xaabffbaa,0x3a1542e1,0x004fd82f,
    0x217f4191,0x310134fd,0x91fec261,0x9bf605ff,0x7fd43ff8,0xfc81ff92,
    0x303fd89d,0x3fa0bfff,0x27fdaaad,0xffcaadfe,0x37e4bfa5,0x5ff30ffa,
    0xba8d46dc,0x5ff6fb82,0xff987fd0,0x20554aa2,0xa82aa0aa,0x5446a60a,
    0x511aaaaa,0x30355555,0x115501ff,0x417f4177,0x155004fd,0x9fb057f4,
    0x055403f7,0x0ffee7fb,0xdfb3ff88,0x3fe7bf20,0x3e20fd82,0x1ffbf907,
    0xff887fd0,0xff987fd1,0x1bee5fd2,0x29fb07fd,0xfddfa8e9,0x67fc44ff,
    0xb07fd06f,0x7feffc9f,0x7f917f41,0x23fd27fc,0x3ffffffa,0x7ffffff5,
    0xfd01ff30,0x3a3ffff9,0x004fd82f,0x1f7f45fd,0xe809fffb,0x3eeff62f,
    0xaffb803f,0xfff101ff,0x37dc00bf,0x27f4ffc4,0x9fee1ff4,0xd4fd83fe,
    0xea97ea5f,0x17f22adf,0x3f273fea,0xfffd950f,0x6ff5439d,0xff97f22a,
    0x22fe84bf,0x2dff35fa,0x2aaa27f8,0x55511ffe,0xff303ffd,0xd35ffd01,
    0x3aebfa9f,0x0f6c9fb3,0x1bfd17f4,0x7401ffec,0x3ffbf62f,0xfffd002f,
    0x0fffa809,0x703ff700,0x3a1feadf,0x1effffff,0x57f20ffa,0x7c9f52fe,
    0x3f27ffff,0x3e27fa85,0xfffff91f,0x7fffc7ff,0xff97f27f,0xff0bfa03,
    0x3ee3ffee,0x205ff504,0x77642ffa,0x3fa3eeff,0x57f57ee3,0x749fb4fc,
    0xf12fe81f,0x027f445f,0x3ff62fe8,0x9800ffef,0xffa806ff,0x1ffa800f,
    0x3fe27fd0,0x7fffff42,0x20ffa4ff,0x265fd5fc,0x6c1ff43f,0x7c6fa84f,
    0x9fb3311f,0x83fe8133,0x80bfe4fd,0x6cfec2fe,0x81fdafbf,0xff503ffa,
    0x9ffb9507,0xf717f459,0x46a6bfab,0x202aa4fd,0x45ffd2fe,0xfd004ffe,
    0x7c5ffec5,0x07fd004f,0x05ffff88,0xff302fe8,0xe8bff99b,0xe9ff4c3f,
    0xfd4fd83f,0x7fd0fe25,0xdf507ff0,0xfdd71ff8,0xfe85dddf,0x3fe3ff83,
    0xf50bfa01,0xff9f3bf9,0x2609ff30,0x7fcc04ff,0x3ee2fe80,0x9fb05fd5,
    0x754bfa00,0x013f762f,0x49fb17f4,0xfd802ffb,0x7d7fec03,0x81fe202f,
    0xfffffffc,0x320ffa0f,0xfd07fd5f,0x42f8bfa7,0x3ff223fe,0x7fc6fa80,
    0xddffdd71,0x223fe85d,0x07fe0ffc,0x7fc42fe8,0x889fff3f,0xbfd105fe,
    0xd01ff300,0xfeafdc5f,0xd004fd82,0x3617f45f,0x45fd004f,0x077f43fd,
    0xfa80ff60,0x401ffb2f,0x2b3fe019,0x3a4feaaa,0xea7f443f,0xe87fe43f,
    0xfe81312f,0x03ffffff,0x81ff8df5,0x3ffa03fc,0x7c3fffff,0x20bfa01f,
    0x5ffb1ffd,0xffffffd8,0xffffffb5,0xd01ff30b,0xfeafdc5f,0xfffffd82,
    0xd17f42ff,0xffffd85f,0x17f42fff,0x4ff987fb,0xf881fec0,0x417fe25f,
    0x7fa80ff8,0x7ff4ff70,0xd1ffffff,0x5fffffff,0x45fb97f4,0x1deffffe,
    0x3ff1bea0,0x7f407f90,0xf81defff,0x20bfa01f,0x21fee7fb,0x5ffffffd,
    0xbffffffb,0xfd01ff30,0x2feafdc5,0xffffffd8,0xfd17f42f,0xfffffd85,
    0xb17f42ff,0x03ffb07f,0xffc81fec,0x4417fd40,0x04fd80ff,0x3ffa5ff1,
    0x3a1dffff,0x41deffff,0x00bf72fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcb800000,0x92cccccc,
    0xb8e5c019,0x0373001c,0xcc89664c,0x70cccccc,0x49999999,0x82bccccb,
    0x1abccccb,0xcca8e540,0x52cccccc,0x41cb8035,0x33220ccb,0x39903970,
    0x551065c0,0x26155555,0x9705971a,0xcb816643,0xc8859972,0x2e0000cc,
    0x7300002e,0xfd054c37,0x2bffffff,0x4bfa01ff,0x7fcc02fe,0x7fcc1eff,
    0xfffff14f,0x3ffa3fff,0xfd0fffff,0x41bfffff,0xfffffffe,0x325ff304,
    0xffffffff,0xfd809fb3,0xf50fffc4,0x7fc1ff4f,0x541ff502,0x1fffffff,
    0x03ffabf7,0x437e45fd,0xdffd2ff8,0x351fffb8,0x20533333,0x01d982fc,
    0x2bffffb0,0x2b7fa3fd,0x3ff1aaaa,0x2fe8e5c0,0x7ed67ec0,0x5542fdc4,
    0xd0fffbaa,0x455555bf,0xffcaadfe,0x2aab7fa4,0x7fd41ffd,0xff75532f,
    0x13f63557,0x7fccdf70,0xfe97f24f,0xf882ff83,0x333260ff,0x9d50ffdc,
    0x5fd17ffa,0x3ea0ffcc,0xd83fffa7,0x04031fff,0xff982fc8,0x2fbf203e,
    0x22fcaffb,0x8ffc03fe,0x21550aa8,0x441552fe,0x54ff10ff,0x3200adfd,
    0x00ffa1ff,0x26fc87fd,0x23fe83fe,0x982ffffc,0x04fd80ff,0xefb87fcc,
    0xfe8ffa6f,0xfd82ff83,0x17ec00ff,0x743fffd0,0x361ff42f,0x8bfbfa4f,
    0x4031feff,0x3bffbae0,0x3ffae2ee,0x517fc0cf,0x7f43f1df,0xfe8ffc03,
    0x67f4bfa5,0x2601fffe,0x3ffffa7f,0xe87ff701,0x21ff403f,0x20ffa6fb,
    0x3a3362ff,0x80ff982f,0x1ff804fd,0x7fcff5fb,0x3fe0ffa1,0x07fdfdc2,
    0xfe809f30,0x90bfa6fe,0xd0ffc4df,0x37e6bf9f,0x904031fe,0x7fffffff,
    0x27fff930,0x77fc47f9,0x7fffff45,0xfb3ff1ff,0xffd2fe8d,0x7409fd35,
    0x2b7f6a4f,0xe85ff980,0x21eeeeef,0xffbaadfe,0x3b33bfa4,0x5fd047fe,
    0xfb01ff30,0x3e7fb009,0x7f99fe8f,0x7ffffff4,0x7dbe22ff,0x003fa00f,
    0x3a7ff7fd,0xa8ffcc2f,0xbfd7f47f,0x031febfb,0x7f933104,0x7fdc0133,
    0x7cc1ff14,0xffffe82f,0xfdff1fff,0xfd2fe81d,0xfd82fdc7,0x8827e40e,
    0xfffd06ff,0x7ff45fff,0x3a0effff,0x03ffffff,0x7fcc17f4,0xb804fd80,
    0x7f76f9df,0xfffe8bf7,0x3a2fffff,0x2a01ff1f,0xfd09885f,0x5fd1ff55,
    0x13f69fd0,0xfb3fd3fd,0x08063fd3,0x64c05f90,0x3fe1dfff,0x7f417f23,
    0x7ffffc03,0x2fe97f41,0x3ff617ee,0xfd04fc80,0x00ffa01f,0x05999dfd,
    0x5ff939fd,0xf982fe80,0x804fd80f,0xf33fcff9,0x3fe87fbd,0x3bf72ff8,
    0xfd015ff3,0x3fabf703,0x05fdbfb2,0x83ff1df7,0x7fbfb9fe,0x008063fd,
    0xffd105f9,0xdff7039f,0x3fa03ffd,0x7e7ffc03,0x2fe97f45,0x1dfb17ee,
    0x3f213f20,0x00ffa01f,0x7fd007fd,0xfd00ffe4,0xb01ff305,0x3ffe009f,
    0x07fffe1f,0x25ff07fd,0xfffffffd,0xbf706f84,0x7ffc4bfa,0xfcff882f,
    0xff99fe86,0x8063fd5f,0xf3013100,0xfea8017f,0x0ffa02ef,0x8bfe5ff0,
    0x5c5fd2fe,0x803ff25f,0x1ffdc4fc,0xfd00ffa0,0xe87fd007,0x05fd00ef,
    0x9fb01ff3,0xb1fffa00,0x07fd0fff,0x3332a5ff,0x7cc2cffc,0x17f53205,
    0x3605fff7,0x1fe83fff,0x47fa7fff,0xfffc8201,0x0513ffff,0xfd001100,
    0x2fffffff,0x74df51ff,0x7dc5fd2f,0xffffff15,0x3a27e41f,0xffffffff,
    0xfe807fd3,0x4c3fe803,0x05fd04ff,0xffb01ff3,0xc85fffff,0x2ffdc5ff,
    0x17fc1ff4,0x9f701ff0,0x17f43ea0,0x7d40bffa,0xd1fe80ff,0x547fa3ff,
    0x22999999,0xfffffffc,0xd0000003,0xffffffff,0xd3fe87fe,0xfb8bfa5f,
    0xffffff55,0x3a27e41f,0xffffffff,0xfe807fd3,0xc83fe803,0x82fe81ff,
    0xffd80ff9,0x542fffff,0x1ffcc3ff,0x17fc1ff4,0x7f901ff0,0x42fe8260,
    0xff102ffa,0x7e47fa0b,0x00007fa7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x5540aba8,0x06a66a60,0x71006ee2,0x015c4015,0x51ab9800,0x5dc40157,
    0x5502aea1,0x2a20d4c1,0x88aa801b,0x55442aa3,0x222622e1,0x4c551543,
    0x5c45542b,0x5302aa0b,0x2aaaaa23,0xaa85531a,0x2a83fd80,0x09d30155,
    0x30554155,0x5442aa35,0xfa8220c2,0x3fa2ffff,0x13ef7ee2,0x10bffffb,
    0x985ffffb,0x800efffd,0x3ffe24c8,0x1ffffeff,0xecffffd8,0x3fa1ffff,
    0xffb97ee2,0x7e440fff,0x3fa4ffff,0x7fd4bfd2,0x3e1fffff,0xfcdfffbf,
    0x3f3fa4ff,0x8bf91fff,0xffff52fe,0x4ffe67ff,0x07fb06fc,0x303ffbff,
    0x7c7f90bf,0x7f47fa4f,0x97ecbf52,0x35fd0fe8,0x717f4bf9,0x7e49d5bf,
    0x6c2ffbbe,0x20ffbaef,0x05fc9cfe,0xfd93ff66,0xb9dffc9b,0x65ffe46f,
    0x7fa9dfff,0x15fb8bfa,0x87f913df,0x4ffaaefa,0x03bf6bfa,0x8bffbffd,
    0xeffa9eff,0xffd0ffb9,0x3e29fd35,0x544ff30f,0x2e1ffeaa,0x101ffaff,
    0x97fff013,0x3ea17e60,0x3e2dff35,0x2754bfa7,0x1dfd7ff9,0x3a6fb884,
    0x1e57ee2f,0x12fd45ff,0x984d43ff,0x503fe27f,0x0839fffd,0x7ec1ff71,
    0xffb8bfe1,0x17f4bf61,0x33fe2bf7,0x323fd00a,0xfdfd0ffe,0x263ff01f,
    0xff17fc6f,0x3fe8ffc5,0x93fd97ee,0x0bfea09f,0xd70ffff6,0x25dddddd,
    0xeee983ff,0x5fe4eeff,0x4fb8fffb,0xff900bfa,0x7f6441df,0xb8bfa7ff,
    0xff30ecef,0xff30ff88,0xeeeffa80,0xbfff11ff,0x3ffb2205,0x2fffffff,
    0x7fcc1ff3,0xfd3fffff,0xff72fdc5,0xbfcc39ff,0xfd1ff8eb,0x4ff03fff,
    0xf0ffc6f8,0xfe8ffc3f,0x6fa97ee2,0x7ff503ff,0x321bfe20,0x3fffffff,
    0xfff505ff,0x7ecbffff,0xfdafbfd9,0xf100bfa1,0x67fc45ff,0x8bfa7f99,
    0x7fc42efc,0xff99fe60,0x55df5020,0x3fe61555,0x2b7fa00d,0xaaaabff9,
    0x7d41ff11,0xd1aaaabf,0x262fe45f,0x3e66ffec,0x0ff89faf,0xb0df9ffd,
    0xf8bf939f,0xff87fe1f,0x2fdc5fd1,0x261beffe,0x3fee04ff,0x55554c2f,
    0x03ff0aaa,0x55df9551,0x4efe7d43,0x17f47fcf,0x5ffffd10,0x27fa9bea,
    0x417f63fe,0x893f23ff,0xf87fa2ff,0x6445910f,0x7cc2dfff,0xbc8bfea7,
    0xffd93f20,0x1ff42f22,0x98f26bfb,0x4bffe0ff,0x74bfa4fb,0x3fffe22f,
    0x87fe0eff,0x747fe1ff,0xf917ee2f,0x5fe887ff,0x3ff7fe20,0xff059500,
    0x105f9803,0x3ffe7fff,0x09897f44,0x3ff23bfa,0xffbcff89,0x3f73ff27,
    0xddff705f,0xdffc83ff,0x677ec5fe,0xffd704fe,0x75e7fc7f,0x46fdcfff,
    0xfffeeff9,0x3f26fdcf,0xf15ffdcf,0xb89fb7bf,0x21ffddff,0x4cdf52fe,
    0x0fcbdccf,0x21ff87fe,0x5c5fd1ff,0x07ffc45f,0x3ffffff6,0x2ff57fa5,
    0x1ff83fd8,0xfb02fcc0,0xd0bff63f,0xea97ea5f,0xffeb9720,0xffd11fea,
    0x7540bf5b,0xfb500cff,0xfff9019f,0x49fb5009,0xfb9dffea,0xfc980dff,
    0xdfffb9ef,0x2b7ff620,0x3bff665f,0x7feef40c,0xfd17f40c,0x7fc08047,
    0x1ff87fe1,0x42fdc5fd,0xfffd84fd,0x1ff75fff,0x32a0ffe6,0x4401ff82,
    0xb9fee01a,0xf52fe87f,0x2002000b,0x40010000,0x30001000,0x80020105,
    0x00040080,0x00011401,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd8000000,0xb4d80bb4,0x2ee2950b,0x712bbbbb,0x45777777,
    0x2f220bc9,0x98166540,0x2059304d,0x5c0c40cb,0xb885dc43,0x3b23b98b,
    0x3100440c,0x3b91ed41,0x99866662,0x21999999,0x6d5365d9,0x99999911,
    0x00000999,0x00000000,0xafb80000,0x73f903fa,0x9b7e445f,0x5fffffff,
    0xfffffff3,0x457afe6b,0x9f30feef,0x1ffb01fb,0x6c3fbfa8,0x47fa0fde,
    0xf318cb89,0x2e7fe21f,0xc89fc46f,0xd5a9beff,0x3fa37c5f,0x22dfff72,
    0xffffffff,0x76f97dc7,0x3bbba23f,0x0006eeee,0x00000000,0xe8000000,
    0x7d41fe8f,0x6e4c5f9d,0xb9999916,0x333322bf,0x36312ccc,0x88be6f76,
    0x7fc41fda,0x23fa884f,0x7f47b0f8,0x2bfddf91,0x3ff10ff9,0x3bb6ebf7,
    0xffffff70,0x64cbfadf,0xffb85d40,0x2666665f,0x12b81999,0x00000221,
    0x00000000,0x00000000,0x89be77ea,0x901fe8ff,0x005f980d,0x45b23f90,
    0x3f9bf33f,0x80ffafc8,0x7457c3fc,0x5ff307c2,0x547f47f8,0x2a81314f,
    0x00033b6a,0x00000000,0x00000000,0x00000000,0x9f700000,0xdafd8bf5,
    0x980d902f,0xfffff35f,0x50f6c9ff,0x3f23f75f,0x5fe21fc8,0x364e63fc,
    0x8bb17fee,0x21dc6cde,0x0003713a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07f477c4,0x41be3be2,0x9afcc06c,0x5fffffff,0x7e4dfff7,
    0x3f3fa63f,0x3fc53f22,0x0207fdf1,0x00a22a0a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3f200000,0x7f502fb9,0x003107f5,0x88888881,
    0x00666660,0xbb82ee00,0x000004c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x2a80551a,0x00000055,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_18_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,0,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,0,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,0,0,1,1,1,1,0,-1,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_18_latin_ext_y[560]={ 14,2,2,2,1,2,2,2,2,2,2,4,11,8,
11,2,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,15,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,2,5,5,5,5,5,5,2,2,2,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,14,5,2,2,4,2,
2,2,2,2,2,6,5,8,2,0,2,3,2,2,2,5,2,7,14,2,2,6,2,2,2,5,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,1,-1,-1,-1,-1,-1,2,2,2,2,
2,2,2,1,5,5,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,4,5,2,2,2,2,2,2,2,
-1,2,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,2,2,2,-1,2,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,2,2,-1,2,-1,2,-1,2,2,2,-1,5,2,2,-1,2,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,2,2,2,5,-1,2,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,2,-1,2,2,2,-1,2,-1,2,-1,2,-1,1,-1,2,2,5,-1,2,-1,2,
-1,-1,2,-1,2,-1,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,3,3,3,3,3,3,3,3,3,3,2,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,2,-1,2,-1,
2,-1,2,-1,-1,-1,-1,-1,-1,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__arial_bold_18_latin_ext_w[560]={ 0,3,7,9,9,14,12,4,5,5,6,9,4,5,
3,6,9,6,9,9,9,9,9,9,9,9,3,3,9,9,9,10,16,12,10,11,10,9,9,12,10,3,8,11,
9,12,10,12,10,13,11,10,10,10,12,16,11,12,10,5,6,5,9,11,4,9,9,9,9,9,6,9,8,3,
5,8,3,14,8,10,9,9,6,9,6,8,9,13,9,9,8,6,3,6,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,9,9,9,9,
3,9,6,13,6,9,9,5,13,11,6,9,5,6,5,9,10,3,5,4,6,9,14,14,14,10,12,12,12,12,
12,12,17,11,9,9,9,9,5,5,6,6,12,10,12,12,12,12,12,9,13,10,10,10,10,12,10,9,9,9,
9,9,9,9,14,9,9,9,9,9,5,5,6,6,10,8,10,10,10,10,10,9,10,8,8,8,8,9,9,9,
12,9,12,9,13,10,11,9,11,9,11,9,11,9,10,12,12,10,9,9,9,9,9,9,9,9,9,9,12,9,
12,9,12,9,12,9,10,8,12,9,6,6,6,6,6,6,5,5,3,3,11,7,10,6,11,8,8,9,5,9,
6,9,6,9,6,10,5,10,8,10,8,10,8,12,10,8,12,10,12,10,12,10,16,15,11,6,11,7,11,7,
10,9,10,9,10,9,10,9,10,6,10,8,10,6,10,8,10,8,10,8,10,8,10,8,10,9,16,13,12,9,
12,10,8,10,8,10,8,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,12,9,9,9,9,9,9,9,9,9,9,9,9,9,13,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,6,6,12,
10,10,8,10,8,10,8,10,8,10,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,9,17,14,13,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_bold_18_latin_ext_h[560]={ 0,12,5,13,15,13,13,5,16,16,6,9,6,3,
3,13,13,12,12,13,12,13,13,12,13,13,9,12,10,7,10,12,16,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,14,12,13,12,13,12,12,12,12,12,16,13,16,7,3,3,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,13,10,9,9,9,13,9,16,16,16,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,13,9,12,
16,16,3,13,7,8,7,3,13,2,6,11,7,7,3,13,16,3,4,7,7,8,13,13,13,13,15,15,15,15,
15,14,12,16,15,15,15,15,15,15,15,15,12,15,16,16,16,16,16,9,14,16,16,16,16,15,12,13,13,13,
13,13,13,14,10,13,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,9,10,13,13,13,13,16,16,16,
15,13,15,13,16,13,16,13,16,13,16,13,16,13,15,13,12,13,15,13,15,13,15,13,16,13,15,13,16,16,
16,16,16,16,16,17,15,15,12,12,15,12,15,12,15,12,16,16,15,9,13,16,16,16,16,16,9,15,15,16,
16,12,12,12,12,12,12,15,12,16,13,15,12,12,13,13,16,13,16,13,16,13,13,10,15,12,16,13,15,12,
16,13,16,13,16,13,16,13,18,17,15,13,12,13,16,13,16,13,16,13,16,14,16,13,16,13,15,12,15,16,
15,15,12,15,12,15,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,13,11,11,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,13,10,11,11,11,11,11,11,11,11,11,11,11,11,11,13,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,13,15,12,16,
13,16,13,16,16,16,16,16,16,16,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,16,15,13,16,13,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_18_latin_ext_s[560]={ 252,251,107,153,98,63,43,102,241,34,95,
214,90,145,131,191,22,94,33,116,150,26,16,160,70,80,242,170,54,36,231,
201,12,212,225,53,236,1,61,40,139,252,245,164,112,198,174,1,71,62,82,
210,101,199,185,122,189,176,50,235,163,218,66,151,163,1,129,34,119,44,43,
65,24,20,155,11,247,144,159,23,235,76,207,104,109,95,168,224,187,126,178,
90,42,137,121,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,252,249,174,
99,134,27,195,208,168,139,59,11,26,145,221,175,83,221,46,76,135,99,1,
141,115,21,52,1,55,1,207,29,58,71,84,97,123,49,158,29,156,173,190,
207,217,1,183,29,37,7,55,79,134,157,181,246,86,205,227,245,12,36,109,
186,176,166,156,146,136,76,64,106,96,86,56,66,134,133,126,157,11,108,242,
231,220,209,198,197,114,175,166,157,148,40,50,95,110,107,136,88,41,32,134,
42,92,22,60,1,207,228,18,206,1,52,48,238,38,153,232,133,231,143,12,
163,1,85,72,197,184,38,59,32,242,223,215,235,200,228,149,192,166,208,80,
247,252,238,117,72,14,116,159,125,125,28,22,147,238,139,176,124,117,146,140,
167,149,48,98,127,183,14,11,219,25,195,171,173,146,184,116,79,86,245,219,
248,108,50,104,32,68,1,123,78,105,129,1,25,221,139,97,184,23,222,1,
231,224,240,216,100,194,36,170,45,178,65,195,115,243,1,88,232,79,156,199,
120,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,86,211,211,241,
211,211,211,211,211,211,211,211,211,211,211,211,211,170,241,211,211,211,211,211,
211,211,211,211,211,211,211,211,185,11,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,208,109,
120,58,161,75,144,90,126,117,106,199,184,81,70,97,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,12,46,138,14,56,196,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211, };
static unsigned short stb__arial_bold_18_latin_ext_t[560]={ 17,159,196,131,54,103,117,196,36,36,196,
185,196,196,196,103,117,172,172,117,172,131,131,172,131,131,185,172,185,196,172,
159,19,159,159,145,159,172,172,145,172,145,131,159,172,172,172,145,172,87,172,
131,172,131,172,172,159,159,172,1,131,1,196,196,196,185,131,185,131,185,172,
145,172,172,1,172,159,185,185,185,131,117,185,185,87,185,185,185,185,117,185,
1,1,1,196,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,17,117,1,
131,185,159,1,1,196,131,196,196,196,196,131,196,196,172,196,196,196,145,20,
196,196,196,196,196,131,131,117,145,71,71,71,71,71,87,145,19,71,71,71,
71,71,87,71,87,159,87,19,19,19,19,19,185,87,19,19,19,36,87,145,
117,117,117,117,117,117,87,185,117,117,117,117,117,159,145,145,159,117,159,103,
103,103,103,103,185,185,103,103,103,103,36,36,36,71,103,71,103,19,117,36,
103,19,103,36,103,36,87,87,87,159,103,71,87,71,87,71,87,36,87,71,
87,54,36,36,36,36,54,54,1,71,71,145,145,71,145,71,145,71,145,54,
36,1,185,103,54,54,36,36,19,185,71,71,19,19,145,145,159,159,159,159,
54,145,54,103,54,145,159,103,87,54,87,36,87,36,87,87,185,54,145,36,
87,54,159,19,103,19,117,36,103,36,103,1,1,54,103,159,103,36,117,37,
117,1,117,19,87,19,131,19,131,54,159,54,19,54,71,159,54,159,54,145,
145,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,145,172,172,1,
172,172,172,172,172,172,172,172,172,172,172,172,172,131,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,131,185,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,54,131,
54,159,1,145,1,131,1,1,1,1,1,1,1,1,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,1,1,54,145,1,117,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,172,172,172,172,172,172,172, };
static unsigned short stb__arial_bold_18_latin_ext_a[560]={ 72,86,122,143,143,229,186,61,
86,86,100,151,72,86,72,72,143,143,143,143,143,143,143,143,
143,143,86,86,151,151,151,157,251,186,186,186,186,172,157,201,
186,72,143,186,157,215,186,201,172,201,186,172,157,186,172,243,
172,172,157,86,72,86,151,143,86,143,157,143,157,143,86,157,
157,72,72,143,72,229,157,157,157,157,100,143,86,157,143,201,
143,143,129,100,72,100,151,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,72,86,143,143,143,143,72,143,
86,190,95,143,151,86,190,142,103,141,86,86,86,149,143,72,
86,86,94,143,215,215,215,157,186,186,186,186,186,186,258,186,
172,172,172,172,72,72,72,72,186,186,201,201,201,201,201,151,
201,186,186,186,186,172,172,157,143,143,143,143,143,143,229,143,
143,143,143,143,72,72,72,72,157,157,157,157,157,157,157,141,
157,157,157,157,157,143,157,143,186,143,186,143,186,143,186,143,
186,143,186,143,186,143,186,185,186,157,172,143,172,143,172,143,
172,143,172,143,201,157,201,157,201,157,201,157,186,157,186,157,
72,72,72,72,72,72,72,72,72,72,202,143,143,72,186,143,
143,157,72,157,72,157,99,157,123,157,72,186,157,186,157,186,
157,183,186,157,201,157,201,157,201,157,258,243,186,100,186,100,
186,100,172,143,172,143,172,143,172,143,157,86,157,123,157,86,
186,157,186,157,186,157,186,157,186,157,186,157,243,201,172,143,
172,157,129,157,129,157,129,72,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,187,193,193,143,193,193,193,193,193,
193,193,193,193,193,193,193,193,220,183,193,193,193,193,193,193,
193,193,193,193,193,193,193,214,187,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,186,143,72,72,201,157,186,157,186,157,186,
157,186,157,186,157,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,186,143,258,229,201,157,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_18_latin_ext(stb_fontchar font[STB_FONT_arial_bold_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_18_latin_ext_s[i] + stb__arial_bold_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_18_latin_ext_t[i] + stb__arial_bold_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_18_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_18_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_18_latin_ext_x[i] + stb__arial_bold_18_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_18_latin_ext_y[i] + stb__arial_bold_18_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_18_latin_ext_s[i] + stb__arial_bold_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_18_latin_ext_t[i] + stb__arial_bold_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_18_latin_ext_x[i] + stb__arial_bold_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_18_latin_ext_y[i] + stb__arial_bold_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_18_latin_ext_LINE_SPACING
#endif

