// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT        265
#define STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_21_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_21_latin_ext_LINE_SPACING          14

static unsigned int stb__arial_bold_21_latin_ext_pixels[]={
    0x55300000,0x55555555,0x000aaa00,0x3ae00555,0x1554000d,0x002aa200,
    0x11060008,0x0006aa00,0x33000131,0x80553000,0xf5000c08,0xffff9009,
    0x7ffffcc0,0x7c67dc05,0x262c980f,0x903d8806,0xffffffff,0xff9801ff,
    0x03fea001,0x2000ffc0,0x2002fff9,0xd9006ffd,0x229b001d,0xfffb801f,
    0x017f6000,0x4003ff30,0x2602fff9,0x3100d70f,0x3530035b,0x77744053,
    0xefd804ee,0x2e9f502f,0x01ed807f,0xdfffddd7,0xfd801ddd,0x00ff4002,
    0x44002ea8,0x800ff9fe,0x804fccfb,0xff300597,0x5df300bf,0x2fec00bf,
    0x007fe600,0x00ff9fe8,0x200bfff6,0xd801f14d,0x00001f14,0x5409db10,
    0xf00ff74f,0x3ff2005b,0x000d4000,0xbf7000d4,0x531a9800,0x15455003,
    0x00077640,0x42a60015,0x553000aa,0x00aa8800,0x06a63510,0xaa980510,
    0x98aa6608,0x2a6608aa,0x3c99e4c2,0x15e5d440,0xffeccfa8,0x09ff104e,
    0x4003ff20,0x362bcca8,0x005fd103,0x2600165a,0x8800bccb,0xa981bcca,
    0x262a9822,0x2055302a,0x001bcca8,0x00179973,0x00379951,0x2a201554,
    0xff902bcb,0x7fc9ff20,0x6fa8ff90,0x7fdc0df5,0x541effff,0x6ffffdcf,
    0x3ff20000,0xffffb800,0x704fdeff,0x7e7401a7,0xffff3001,0x7dc07fff,
    0x20cfffff,0x4ff907fc,0x0ff907fc,0xbffffff7,0x3fffe601,0x3ee03fff,
    0x00cfffff,0x3ee07fd8,0x41efffff,0x4ff907fc,0x8ff907fc,0x207933c9,
    0xffdffffc,0x273ea1ff,0xd882affd,0x01ee8bee,0xfc801ff9,0xffffdfff,
    0x0177a606,0x200fffe2,0xfedffff9,0xfffb81ff,0x324fffde,0x64ff907f,
    0xa8ff907f,0xfffddfff,0xdffff984,0xfb81fffe,0x4fffdeff,0xf907fd80,
    0xffffbfff,0xfc83fe43,0x7e41ff27,0x3fe60007,0x9bff222e,0x20ff74fa,
    0xfdfffff8,0x01ff901f,0x32177fcc,0x014406ff,0x406fffb8,0x2a0bfff8,
    0x77fc46ff,0x643ffa22,0x64ff907f,0xc8ff907f,0x447ff87f,0x3ea0bfff,
    0x177fc46f,0xd801ffd1,0x2eff987f,0xfc9bff22,0x7e4ff907,0x764ff907,
    0xf9077545,0x4bff203f,0x20ff72c9,0xffb8bffd,0x01ff901f,0x3e60ffec,
    0xec982fff,0x7ff404df,0x3fee01ff,0x64159702,0x0bda81ff,0x9ff20ff9,
    0x8ff907fc,0x554c0ffc,0x5c0bfee0,0x07ff20ac,0xfb002f6a,0x203ff90f,
    0x0ff92ffc,0x07fc9ff2,0x237ecff9,0x1bfa0ffa,0xf704ff88,0xf917fe0f,
    0x03ff203f,0x7fcc6ff8,0x7fcc4ffa,0xf306ffff,0x6c0bff5f,0x6fe8007f,
    0x641ff200,0x641ff27f,0x6fffc47f,0x01ff600b,0x0001bfa0,0x1bfa1ff6,
    0xff94ff88,0x7fc9ff20,0x37ecff90,0x5ff83fea,0xfb82ffc0,0x543ff887,
    0x1ff901ff,0xe897fe20,0x6c5ff89f,0x07fc88df,0x03ff6ff9,0x26622ffc,
    0x17fe0999,0xf907fc80,0xfc83fe4f,0xfffffd87,0x445ff82d,0x3e099999,
    0xfd80005f,0x7c05ff87,0x320ff95f,0x641ff27f,0xf51bf67f,0x013fe21f,
    0x5c6a2dff,0x1ffc40ff,0x7e407fea,0x29ff100f,0x1bfe2fe8,0x41ffb822,
    0x7ff34ff8,0xff517fe0,0x2ffc7fff,0x320ff900,0x641ff27f,0xfffb307f,
    0x45ff89ff,0x23fffffa,0xd80005ff,0x027fc47f,0x07fe5bfe,0x1ff93fe4,
    0x37ecff90,0x5ff83fea,0x7d57fe20,0xf8dfff54,0x80ffec5f,0x3fe00ffc,
    0x7fc47fb6,0xfffdb985,0xf0ffdc1f,0x51bfa0df,0x7c7fffff,0x3ff2006f,
    0x3f27fc80,0x407fc80f,0x21fffca8,0x7ffd46fe,0x01bfe3ff,0x3e1ff600,
    0x57fe205f,0x7fd80ffb,0x3f603fee,0xff71bf67,0xa807ff41,0x6c9f53ff,
    0x67fec6ff,0x901fffb9,0x7ff401ff,0x1ffcc4fd,0x3f33ffee,0x557ff41f,
    0xfc81ffda,0x47ff300f,0x17b307fd,0x3f603fee,0x3603fee7,0x2072a27f,
    0x3ff23ffa,0x6c7ff300,0x217b307f,0x437f4298,0xff500ffe,0x3a0bfee7,
    0x20bfee7f,0x71ff67fe,0x27fe41ff,0xfa8fff44,0x7f440444,0x01ffefff,
    0x27ffdc00,0xff10fff4,0xf30ffd49,0xffffffff,0x209ff50b,0x3fee3ffa,
    0xf71ffd83,0x5cffd05f,0x27fe82ff,0xff986ff8,0x5413fea3,0x0ffee3ff,
    0x7fe47ff6,0x3f217fe0,0x1ffe884f,0x9337fff3,0x7ffcc9ff,0x24ffc99b,
    0xffd11ffb,0x9beffe81,0x3ea4fffc,0x64c13aa4,0x01ff9bee,0x7c401dd5,
    0xffb89cff,0x917fcc4f,0x7ffe43ff,0x0fffffff,0x99bfffc8,0x7f43fffc,
    0x4ffc9adf,0x266fffe6,0x3fe64ffc,0x4ffc99bf,0x544e7fec,0x7fe41ffe,
    0xfffc99bf,0x4d6fff43,0x3fea4ffc,0xd04ffb9d,0xff937dff,0xffffc89f,
    0x7e40ffff,0x0fffffff,0x3bfbffe6,0x7ffcc0ff,0x20dfffff,0x217ee4fa,
    0x00ffa819,0x7d401ff7,0xffffffff,0xedffe80d,0x17fe2fff,0xfd81ffd4,
    0xdfffffff,0x7ffffcc0,0x7fe40fff,0x40ffffff,0xfffffffc,0x7fffc40f,
    0xfb04ffff,0xbfffffff,0xfffff981,0x7ff40fff,0xf300efff,0xbfffffff,
    0xffffd701,0x3ffae01b,0xffb80dff,0x880ff9cf,0x83effffc,0x213a64fa,
    0xffb32ffc,0xf103ecc0,0xdffff93d,0x77fecc07,0x5ff54fe9,0xb7037fc0,
    0x405bdfff,0x0bdfffc8,0xbffffd70,0x3fffae01,0xffb100df,0xdb807dff,
    0x202defff,0x0bdfffc8,0x1dfffe88,0x7fffe440,0x0013003e,0x00300098,
    0x9f500620,0x7fc40f5c,0x202fffff,0x205404e8,0x00440018,0x7e401ffb,
    0x0008801f,0x04c00088,0x10002600,0x00220003,0x0c400220,0x00018800,
    0x00000000,0x00880000,0x073bfb66,0x00000750,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0x17abea01,0x3fc8ff88,0x44017ea0,0x203fc8fe,0x0aa607fd,
    0x40bcca80,0x405512a8,0x4c1802a9,0x4044182a,0xf7001bb9,0xc985ff1d,
    0x002cc882,0x55300d54,0x15510055,0x25555300,0x055302a9,0xdb00ffec,
    0x1007fe09,0xfa803997,0x6cc406fe,0xfef9801a,0x902fd806,0x3fee00ff,
    0xab7d41ff,0x01bf606f,0xf87fd8ba,0xffe81f32,0x7fc00eff,0x4fa84fb8,
    0x001fefd8,0x3203fff7,0xfe806fff,0xfffc805f,0x3f20ff96,0x1ffbf507,
    0xd301df30,0x3e29b005,0x00776400,0x4007c536,0xd8800eeb,0x200ff904,
    0xe985cffe,0x7ec09d35,0x3f63c406,0x44fffb87,0x3ffabffa,0x826c7aa0,
    0x467dc4fa,0x77c400ef,0xfd9506fa,0xfdbfc80d,0x9e7fe402,0x0ff907fc,
    0x07d51bb1,0x33c981b7,0x08aa9879,0x7930aa66,0x15530f26,0x53154cc1,
    0x930aa605,0x8000f267,0x2a983ff8,0x40005530,0x503fec5b,0x2a1ff901,
    0x32ea202c,0x009f502b,0x54c2a600,0x501bee00,0xf900aa25,0xf907fc8b,
    0xa98154cf,0xdf50aa62,0x0ff91bea,0x2df51ff2,0x83fe46fa,0x41ff27fc,
    0xab7d47fc,0x102f5c6f,0x41ddffdd,0x0ff907fc,0xffd70bd9,0x5307fd8b,
    0x01dff305,0xffffff70,0xd94fa83d,0xaa8bd70b,0x8155300a,0x305556fb,
    0x23550355,0x83fe45fc,0x41ff27fc,0x31ff27fc,0xf90f2679,0x931ff20f,
    0xff90f267,0x7fc9ff20,0x3c98ff90,0x07fc8793,0x1fffffea,0x1ff20ff9,
    0xffe89bf6,0x1ff66fff,0x7fc43fec,0x3ff203ff,0x1ffffdff,0x0ffd53ea,
    0xbff517fa,0xf70dff10,0x3fa1ff6d,0xc9ffcc5f,0xc83fe45f,0x641ff27f,
    0x001ff27f,0x7fc83fe4,0x20ff9000,0x41ff27fc,0xf90007fc,0x7fecc40f,
    0xc83fe409,0x326fd87f,0x3fffbbff,0x1ff60ffb,0x37fff7fa,0x1177fcc0,
    0x27d4dff9,0x17fcc9ff,0x3f60ffec,0xf76fb82f,0x3fffc43f,0x2fe47fee,
    0x3fe41ff2,0x9ff20ff9,0x517b27fc,0x41ff21dd,0x517b27fc,0x41ff21dd,
    0x41ff27fc,0x517b27fc,0x01ff21dd,0x3fe417fa,0x6fd87fc8,0x55de57fe,
    0x3f60ffb0,0xfe8bfcc7,0x07ff20ef,0x4fa97fe4,0x07fc9ff2,0x7fccdff1,
    0x3e6df705,0x3fffee3f,0x5fc9ff21,0x7fc83fe4,0x3fe41ff2,0x237ecff9,
    0x0ff90ffa,0x46fd9ff2,0x0ff90ffa,0x07fc9ff2,0x237ecff9,0x0ff90ffa,
    0x3f209ff0,0xfb0ff907,0x0fcffe2d,0x7fd83fec,0xff917fd4,0xf1037f47,
    0xf993ea9f,0x5c09fd1f,0x01ffd3ff,0x25ff9bee,0x3a3ffdfd,0xf917f25f,
    0x64ff901f,0x64ff907f,0xf51bf67f,0x641ff21f,0xf51bf67f,0x641ff21f,
    0x641ff27f,0xf51bf67f,0x101ff21f,0x1ff205ff,0xb7ec3fe4,0xb079cff8,
    0x11ff60ff,0x2fe43fff,0x5ff80bff,0x9cfe89f5,0x7ff401ff,0x3ee02ffc,
    0xbff9bf66,0x47ff15fd,0x07fe45fc,0x0ff93fec,0x27fc9ff2,0x87fd46fd,
    0x4ff907fc,0x87fd46fd,0x4ff907fc,0x4ff907fc,0x87fd46fd,0x7fd407fc,
    0x320ff901,0x3a6fd87f,0x25974cef,0x0ffb07fd,0x3f27fff7,0xf809ff13,
    0xfb89f56f,0xf9806fcf,0x7dc05fff,0x3e63fee6,0xff57fa9f,0x3ee2fe43,
    0x326fe82f,0x64ff907f,0xf51bf67f,0x203ff21f,0x51bf67fc,0x03ff21ff,
    0x0ffc9ff2,0x1bf67fc8,0x1ff21ff5,0x7e40ff70,0xd87fc80f,0x2bbff66f,
    0x0ffb3ff9,0x7fdc1ff6,0x3fe0efef,0x557fe205,0x7fffc44f,0x1fff9003,
    0x3e66fb80,0xff17fbaf,0x5fc8ff73,0x4cdfffcc,0x3ff24ffc,0x3f27fc80,
    0xff71bf67,0x3603fee1,0xf71bf67f,0x203fee1f,0x03fee7fd,0x46fd9ff6,
    0x0ff90ffb,0x3ee06fd8,0xd87fd80f,0x3fffa26f,0x41ff66ff,0x3fa607fd,
    0x07ff42ff,0x9f53ffa8,0x001fffb0,0x2e013fe2,0x36ffe26f,0x3f6ffa5f,
    0x7dc2fe46,0x0effffff,0x3f603fee,0x7fd9ff27,0xffb87fdc,0x3f67fe82,
    0xfb87fdc7,0x2e7fe82f,0x27fe82ff,0x87fdc7fd,0x2ff407fc,0xfd05ff70,
    0xe88dfb0f,0x3f61ceff,0x700ffb07,0x4ffc8dff,0xf51ffe88,0x00bff509,
    0x5c027fc4,0x7ff7f46f,0x13ffbf22,0x3f6e0bf9,0x7dc0ceff,0x327fe82f,
    0x447fee7f,0xfff30ffe,0x49ff9337,0xffd11ffb,0x26fffe61,0x3e64ffc9,
    0xffc99bff,0x7447fee4,0x8809b0ff,0x3fe603ff,0x4ffc99bf,0x0bd85fd8,
    0x3fec09b0,0x1ff71e54,0xc9beffe8,0x13ea4fff,0x8800bfea,0x6fb804ff,
    0x507fffe4,0xfc85ffff,0x300fd405,0xf9337fff,0xf33fe49f,0x1ffdfdff,
    0x7fffffe4,0x3ffe60ff,0x320ffefe,0xffffffff,0x7ffffe40,0x3fe60fff,
    0xd0ffefef,0x3ff2660b,0x7fffe401,0x2e60ffff,0x007c45ff,0x43fec09f,
    0x6fc8affb,0xffffff98,0x93ea0dff,0x4007fea9,0x26204ff8,0x7ffd46fc,
    0x07fffc46,0x54027bf2,0x7ffe400f,0x320fffff,0x67ffdc7f,0x7f5c0ff9,
    0xfb80dfff,0x40ff9cff,0x0dffffeb,0xbffffd70,0x39fff701,0x333f21ff,
    0x01ffffa0,0x6fffff5c,0x21fffe40,0x267ec06a,0xffe83fec,0xf9103fff,
    0xf507dfff,0x0ffffe29,0x409ff100,0x7c46fffc,0x6ffe84ff,0x106fffc8,
    0x75c057df,0x640dffff,0x3000307f,0x20006001,0x004c0009,0x6f6c4018,
    0x0077fb60,0xefc80260,0x6cc02983,0x107fd85e,0x20039db5,0xd27d4018,
    0xf10007df,0x7775c09f,0xc82ffe85,0xeeeb84ff,0x00bbae05,0x0000004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c400000,0xe806fcbf,0x0ffc805f,0x5542aa00,0x322b8800,
    0x2202c880,0x001aaaaa,0xcfc80599,0x02a985ca,0x066472e0,0x80055540,
    0x50000c08,0xff300055,0x1df9000b,0x6f9bfc80,0x55555440,0xcca880aa,
    0x8cfb801b,0x37d400ff,0x4007f900,0x003ff2fe,0x40fdfffb,0x3ffe207f,
    0xefb805ff,0x3fb3e600,0x006fd83f,0x00ffcbfa,0x400fffe2,0x000b90f9,
    0x1000bfe2,0x4007fbfd,0xfd000ff8,0x7fec03fd,0x42ffffff,0xdffffffb,
    0x0f553600,0x20006e40,0x47b6005c,0x99d801ed,0x0ff202db,0x0d555544,
    0x22007740,0x37ec0221,0x33239700,0x37ffdc00,0x03fffb00,0x000bf200,
    0x03762bae,0x3000f540,0x7fdc07dd,0x2fffffff,0x3f77ffea,0x8154c4ff,
    0x40aa62a9,0x40aa62a9,0x2ea202a9,0x751002bc,0x3fcc0579,0x154c0aa6,
    0x20553000,0x01bf62a9,0x3ffa0000,0x0a2001ff,0x00035000,0x00af2ea2,
    0x00de6544,0x406f32a2,0xfd6ffffe,0xff87fc85,0xfc83fe47,0x7e41ff27,
    0x7e41ff27,0xfffff707,0x7fdc03df,0xd01effff,0xc83fe47f,0x2e17b27f,
    0x641ff25e,0x363bf67f,0x42f643ef,0x5ff305eb,0x554c0bff,0x0aaaaaaa,
    0x555554c0,0x81aaaaaa,0xeffffffb,0x3fffee01,0xffb80cff,0x7c0dffff,
    0x5fd6ffff,0x54c0ffc8,0x641ff20a,0x641ff27f,0x641ff27f,0xffffc87f,
    0xc81ffffd,0xfffdffff,0x325fc81f,0x54ff907f,0x92ff41ff,0xd9ff20ff,
    0x4fffffff,0xbfd07fea,0x7fedff20,0xfffff900,0xe805ffff,0xffffffff,
    0x7fe44fff,0x1ffffdff,0xfdefffb8,0x7ffd44ff,0x644fffdd,0x5fd6ffff,
    0x0bdfff88,0x7e41ff20,0x7e41ff27,0x7e41ff27,0x1177fcc7,0xff98dff9,
    0x1bff222e,0x07fc9bee,0x24ff8ff9,0x1ff22ff9,0xbffb3fe4,0x7c3ffb33,
    0x20bfe64f,0x7ff34ff8,0x3bbbff20,0x2a01eeee,0xeeffecff,0x3e63eeee,
    0x3ff222ef,0x1177fc46,0x3fe41ffd,0x3fe63ffc,0xb05fd6ff,0x05bfffff,
    0x9ff20ff9,0x4ff907fc,0x8ff907fc,0xff901ffc,0xc80ffe45,0x93fd42ff,
    0x91ff20ff,0x323fe4ff,0x6cff907f,0x93fe61ff,0x41ff27fc,0x1bfe1ffb,
    0x80007fe4,0x00ffb6fe,0x7e407ff2,0x207ff22f,0x3ff20bda,0x260554c0,
    0x05fd6ffc,0x3fffff66,0xfc83fe44,0x7e41ff27,0x7e41ff27,0xf1037f47,
    0x1037f49f,0x1ff989ff,0x1ff20ff9,0x13fa3ff3,0x9ff20ff9,0x25ff87fd,
    0x09fd1ff9,0x36aabffa,0x0ffc81ff,0xb2ffa800,0x1bfa00ff,0x3fa4ff88,
    0x7ffc4006,0xdf5000bd,0x95100bfa,0x3fe43fff,0x1ff27fc8,0x0ff93fe4,
    0x0bff1ff2,0x17fe5ff8,0xff98bff0,0x3f20ff91,0xff9cfe87,0xfc83fe41,
    0x3fe1ff67,0x7fce7f45,0xfffff981,0xfc85ffff,0x0999999f,0xffd9bfa0,
    0x7c199999,0xf2ffc05f,0xffb000bf,0xa805bfff,0x5445fd6f,0x23ffa81c,
    0x4ff907fc,0x4ff907fc,0x4ff907fc,0x7fc04ff8,0xf809ff16,0xf93fcc6f,
    0x2e1ff20f,0xfc86fcff,0x7ecff907,0x713fe60f,0x320df9ff,0xffffffff,
    0x7ffe40ff,0x306fffff,0x7ffec7ff,0xf10fffff,0x26ff809f,0xb30005ff,
    0x409fffff,0x445fd6fa,0x3ff986ff,0x3f203ff2,0x3203ff27,0x203ff27f,
    0x02ffc7fc,0x2ffcbff1,0xfa8bff10,0x3203ff26,0xffff887f,0xc80ffc83,
    0x237ff67f,0x7c42ffc8,0xbff03fff,0xf90ffea0,0xdfffffff,0xfd83ff60,
    0x0fffffff,0xff8817fe,0x0001bfe5,0x03fff951,0x217f5bea,0xea89cffd,
    0x03fee1ff,0x0ffb9ff6,0x3fee7fd8,0x7f47fd80,0x47ff500f,0xff500ffe,
    0x3ee5fb87,0xb07fd80f,0xff701fff,0x7ecffb01,0x05ffffff,0xf501fffb,
    0x237fc05f,0x26000ffc,0xfeccceff,0x01ffd007,0x7fd8ffea,0x2a217b30,
    0x03ffa81c,0x10bfadf5,0xffffffff,0xe82ffb89,0x20bfee7f,0x0bfee7fe,
    0x9ff91ffa,0x643ffd10,0xffe884ff,0xff71fec1,0x2a0ffd05,0x5ff705ff,
    0x77ecffd0,0x2a05fffa,0x1ffb05ff,0xf90ffe40,0x7fe4001f,0x07ffffff,
    0xd109ff90,0x1ffdc3ff,0xff88ffec,0x503ff986,0x220bfadf,0x83effffd,
    0xc99bfff9,0x3ffe64ff,0x24ffc99b,0xc99bfff9,0xeffe84ff,0x84fffc9b,
    0xfc9beffe,0x20ff84ff,0xc99bfff9,0x5ff504ff,0x26fffe60,0x3f64ffc9,
    0x3fea0026,0x435c0002,0xf1000ffc,0xffdddddf,0x77ff400f,0x84fffc9b,
    0xfc9adffe,0x4e7fec4f,0x501ffea8,0x880bfadf,0x3f200cff,0x0fffffff,
    0x7fffffe4,0x7ffe40ff,0x980fffff,0xffffffff,0xffff980d,0x540dffff,
    0xffffc84f,0x54c0ffff,0x7fe407fe,0x20ffffff,0xd53006fd,0xf90000ff,
    0x3333ff90,0x7fe41333,0x999ffd81,0x7fcc0999,0x0dffffff,0xffffff98,
    0x7ffc40ff,0x204fffff,0x805fd6fa,0x75c04f98,0x700dffff,0x01bffffd,
    0x37ffffae,0x3fff2200,0x7e4403ef,0xfb03efff,0x3fffae01,0x7ffc40df,
    0xffeb803f,0x37ec0dff,0x1ffffc40,0x5efdc000,0xffffff91,0x3fe29fff,
    0xfffffb06,0xf910dfff,0x8807dfff,0x00bdfffc,0x7dffffb1,0x5fd6fa80,
    0x0ff2aa20,0x4c000980,0x0004c000,0x188000c4,0x98027c40,0x01f7f400,
    0xbd9004c0,0x00fbfa00,0x8ef64400,0xfffffffc,0x07ff74ff,0x3ffffff6,
    0x00c406ff,0x44000880,0x5cf26001,0x59dd101c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbf53fd00,0x50322440,0x7f400179,0x66544005,0x2654000a,0xa880aa98,
    0x2aaaaa62,0x265c019a,0x554c0aa6,0x800aa602,0x55530099,0x01555555,
    0x53017fa2,0x07970005,0x2600332a,0x000aaaaa,0x22016c3b,0x88154c1c,
    0x7400efef,0xffc86dad,0x06fa800f,0xffffd910,0x2e005fff,0x09ff907f,
    0x7ffe4ff7,0x80efffff,0x3f24fefa,0x17ffcc0f,0x004fff88,0x3ff209ff,
    0x2fffffff,0xd803fa20,0x7ff4006f,0x05fef986,0x1fffffc8,0x0fb9f700,
    0x7fc83fb0,0x2007baa0,0xca81cec9,0x0dc803ff,0xaceffa80,0x03feb988,
    0xff906ea8,0x327fb83f,0xffeeeeff,0x6c77c46f,0x4c1ff92f,0x3f602fff,
    0xff801fea,0xdddff904,0x8803dddd,0x01bf603d,0x443dff98,0x403fc8fe,
    0x00aaaaa9,0x3006f6a0,0x20ff90df,0x001bcca8,0x8813f600,0x2601bcca,
    0x3fc801ff,0x7ffe4000,0xff93fdc6,0x00ffe881,0x7c43ff20,0x4aa202ff,
    0x1aa802a8,0x0001ff90,0x20579751,0x3ea006fd,0x54400007,0x26002bcb,
    0x3600bccb,0xb87fc83f,0x0cffffff,0xe8beed88,0xb82fec1e,0x0dffffff,
    0xec897fc4,0x0fb5eabe,0x3a2fbb62,0x7ffff91e,0x1ff93fdc,0xd903ff70,
    0xe88ffc8b,0x055303ff,0xaaa98aa6,0x90aaaaaa,0xfb8001ff,0x41efffff,
    0x13baa6fd,0x76c41fea,0xb81ee8be,0x1effffff,0x3ffffe60,0x0ff883ff,
    0x7fdc7fc8,0x44fffdef,0xfdfffff8,0x542fe41f,0xfffddfff,0xfe89fd44,
    0xf35fffef,0xfffff883,0xdff91ffd,0xc9fee1ff,0x07fd80ff,0x9ffc8dfb,
    0x3f203ffe,0x90ffc80f,0xffffffff,0x267ff25f,0xfc809999,0xffffdfff,
    0x7fcdbf61,0xf10df706,0x3ffbffff,0xfdffffc8,0xff981fff,0x1fffedff,
    0x7fc837d4,0xe88bbfe2,0x2fff60ff,0x641fffb8,0xf87fc86f,0x9fd3e47f,
    0x87f27fe4,0xffb8bffd,0xff3df91f,0xffc9fee9,0x4fffeeee,0xffc8dfb0,
    0x3204fffe,0x0ffc80ff,0xdddddff9,0x3fff23dd,0x4c6fffff,0x3f222eff,
    0x3e3bf66f,0x0bf900ef,0xff717ffb,0x177fcc3f,0xf88dff91,0x3fea0bff,
    0xfc82fdc6,0x2a07ff27,0x91bfe0bd,0x2ff983ff,0x2a607fe4,0x7fc57a0a,
    0x5f8bfe60,0x3ff237fc,0x3ff6df91,0x3ff27fb9,0x01dfffff,0xfff91bf6,
    0x3203ffff,0x0ffc80ff,0xf9001ff9,0xdfffffff,0xf901ffc8,0x3fbbf65f,
    0x09ff300e,0x1ffc8dff,0x7e407ff2,0x40bfee2f,0x13f60acb,0x0dfd3fe4,
    0x2a1ffc40,0x5ffd81ff,0x02f7ffe2,0x44fb9fc4,0x49f10ff9,0x7fd43ff8,
    0x3fe2df91,0x3ff27fbe,0x402ffebb,0x7ffe46fd,0xf906ff9b,0x21ff901f,
    0xfc800ffc,0x0dfd000f,0xffda7fc4,0xffb80fff,0x21ffc40e,0x1bfa1ffa,
    0x3f64ff88,0x03fe8007,0x02ffcff9,0xfa89ff10,0x45ffb81f,0x2dfffffd,
    0x43fd8fd4,0x88bea7fa,0x8ffd44ff,0x3bfee6fc,0xe83ff27f,0x1bf603ff,
    0x7fe49ff9,0x999ffc84,0xf90ffc99,0x1333333f,0xf8007fe4,0xdaffc05f,
    0xb84fffff,0x4ff884ff,0xbff0ffd4,0x3fe5ff80,0x4ccccc45,0x7e40ffe0,
    0xd0017fe7,0x41ffd8df,0xd981cff9,0x264fffff,0xfd87fd3f,0xdfd0df15,
    0xdf91ffd8,0x327fffe8,0x3ffe20ff,0xfc8dfb01,0x07ffe20f,0xfffffff9,
    0x3ff21fff,0x26ffffff,0xf8800ffc,0xdb7fc04f,0x41ffb9ff,0xfe83ffb8,
    0xf88ffec6,0xf37fc04f,0xffffa8bf,0x6413f63f,0x001bfe7f,0xff939ff9,
    0x806fb83f,0x21fffca8,0x7d4df75f,0xc82fe8cf,0xfffc9cff,0xff98df91,
    0x703ff27f,0x1bf60dff,0xffb81ff9,0x7ffffe46,0xf90fffff,0xdfffffff,
    0x4cccffe4,0x17fe0999,0xdfb5ff88,0x5fd837f4,0xfc9cffc8,0x817fe1ff,
    0x1bfa5ff8,0x47fffff5,0x4ff904fc,0x17b307fd,0x77ffffc4,0x22fe41ff,
    0xffa81ca8,0x77fc5f63,0x2ffffffe,0xdfffff10,0x21bf23ff,0x3ff27ffc,
    0xd83ffd80,0x407fe46f,0x3ff24ffe,0xffc99999,0x9001ff90,0xffffffff,
    0x807ff49f,0x4dfb3ffa,0x6fb82ffa,0xefffff88,0x03ffa1ff,0xff91ffd4,
    0xb8ffe601,0x5cff905f,0x1ffd83ff,0x7cdf7ec4,0x222fe41f,0x3ff986ff,
    0x676453ee,0x311cefb8,0xf37dfb10,0x221bf23f,0x03ff27ff,0xfb03ffe2,
    0x980ffc8d,0x1ff91fff,0x3f21ff90,0xfffc800f,0x24ffffff,0xfe884ffc,
    0xfd8dfb1f,0xb106fb86,0x43ff37df,0xfe884ffc,0x413fea1f,0x1fe63ffa,
    0x3ffa3fe4,0x44ffc9ad,0x40ffa819,0xcffd84fd,0x41ffea89,0x3f2005fe,
    0x7fd40cc4,0x0019b700,0x3600336e,0x066dc06f,0xf901ff90,0x003ff21f,
    0xfd00f980,0xfff937df,0x802f7609,0xa81987fa,0x77ff40ff,0x84fffc9b,
    0xc99bfffc,0x0ff43fff,0xff305ee4,0x81ffffff,0xffb32ffc,0x441ffdc4,
    0xffffffff,0x1adff884,0xc84fe988,0x0ffb32ff,0x98037d4c,0x3ee606fa,
    0x37d4c05f,0xf901ff90,0x267ff21f,0x40099999,0xfff300fa,0x01bfffff,
    0xfa813eea,0x4bff21bf,0xff987fd9,0x0dffffff,0xffffffb0,0x4fa81bff,
    0x6444fba8,0x880bdfff,0x3fffffff,0x4407fff2,0x03effffd,0x3bffff22,
    0x104ffffe,0x7fffffff,0x013eeaa0,0xc813eeaa,0x2aa03fff,0x3ff204fb,
    0xf90ffc80,0xffffffff,0x2bef9809,0xeffffc88,0x5f955103,0x137ffc40,
    0x7fffffff,0x3ffff220,0xffdb803e,0x9fa02def,0x203fbaa8,0xfed98008,
    0x16f641de,0x98001880,0x0bdefecb,0x6f7f6cc0,0x02f3b601,0x802f3b60,
    0x76c03eec,0x3ff200bc,0xf90ffc80,0xffffffff,0x05dd7009,0xee980188,
    0x6ed9802c,0x0ef7f6cc,0x20001880,0x25f50008,0x0002cee8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb8800000,0xaa980bcc,0x53154c00,0x02ff9805,0x03799510,0x0aa80000,
    0x17300155,0x1bf600aa,0x403ff880,0x54c05ff9,0xff901550,0x000efc80,
    0x7f4013fe,0x02ff4005,0x4001ff70,0x03fc8ff8,0x85fb1df1,0xfffffffa,
    0x2007fe44,0x01ff27fc,0x3ee007fb,0x00cfffff,0x36002fdc,0xa805fd2f,
    0x802fefff,0xf9002fe8,0xfdfe8809,0x7f4ff602,0x2207fb02,0x3ee000ff,
    0x01df5005,0x00077d40,0xf50013f2,0xefa80bfd,0x77ffcc4f,0x323fffed,
    0x3fe400ff,0x1f440ff9,0xdefffb80,0xcb404fff,0x64bb2002,0x5465c01e,
    0x9b1000cd,0x2e013600,0x900dd8ae,0xd80bb25d,0x8003d505,0x0372005d,
    0x0001b900,0x3b200172,0x0dec800d,0xf507bfe2,0x007fe4ff,0x65d44000,
    0x3bfe202b,0x803ffa22,0x55401fce,0x0155300a,0x53005554,0x55555555,
    0x2aaaaa61,0x5530aaaa,0x15555555,0x2aaaaaa6,0x154c0aaa,0x35555553,
    0x002aa603,0x55101553,0x000aaa80,0x20005554,0xa9800aaa,0xb817fdc2,
    0x01ff90ac,0x17ae5eb8,0x3fffffee,0x81ffc81e,0xff100bda,0x5ffa807f,
    0x2206ff88,0x3f203fff,0xffffffff,0xffffff92,0x3ff25fff,0x2fffffff,
    0xfffffff9,0x27fd85ff,0xfffffffc,0x07fe40ef,0x2e13ff20,0x3ffe207f,
    0x3ffe2003,0x3ffe2003,0x6c7fd803,0x7fe4006f,0xf93fe400,0xdffffc8f,
    0x7f41ffff,0x3fee0006,0x1ffd806f,0xf7017fec,0x7fe40dff,0x1eeeeeee,
    0xdddddff9,0x3bff23dd,0x91eeeeee,0xddddddff,0x327fd83d,0xffeeeeff,
    0x007fe46f,0xf707fff2,0x37ffdc0f,0x0dfff700,0x037ffdc0,0x17fe3fec,
    0x21333331,0x7e400ffc,0xff99ff27,0x1bff222e,0x74000bff,0x4401ffff,
    0x17fe66ff,0x03ffffd0,0x32003ff2,0xffc800ff,0x00ffc800,0xffc9ff60,
    0x907ff440,0xffc801ff,0xd03fdc6f,0x2003ffff,0x001ffffe,0x803ffffd,
    0x237fc7fd,0x93fffffa,0x7fc801ff,0x1ffc9ff2,0x7fc5ff90,0x5ff30005,
    0xff700bff,0x9803ffa7,0x905ffaff,0xff9001ff,0x01ff9001,0x4001ff90,
    0x03ff27fd,0xffc87fee,0x7fffe400,0x7cc1fee3,0x9805ffaf,0x805ffaff,
    0x05ffaff9,0x3ffa3fec,0x3ffffea0,0xc801ff93,0xfe9ff27f,0xf93fe206,
    0xff90006f,0x3a003ff6,0x402ffcff,0x01ffb7fc,0x33333ff9,0x4cffe413,
    0x3f209999,0x0999999f,0x26667ff2,0x27fd8099,0x7fd80ffc,0x32007fe4,
    0xf70ffeff,0x7edff20f,0xdbfe400f,0xbfe400ff,0x3f600ffd,0x9817fec7,
    0x01ff93ff,0x9ff27fc8,0x2ffc05ff,0x2f660ffb,0xf9a7fc40,0xfff9803f,
    0xa7fc405f,0xffc83ff9,0x26ffffff,0xfffffffc,0x3ffff26f,0x3f26ffff,
    0x6fffffff,0x3ff27fd8,0x4fffeeee,0x32007fe4,0xf74ff9ef,0x269ff10f,
    0x3fe203ff,0x4407ff34,0x07ff34ff,0x3fea3fec,0x327ff505,0x3fe400ff,
    0x13fe2ff9,0x7fdcdff0,0x5c1ffd83,0x01bfe1ff,0x2007ffe4,0x1bfe1ffb,
    0x3ffffff2,0x3fff26ff,0x326fffff,0xffffffff,0x3fffff26,0x7fd86fff,
    0x3ffffff2,0x0ffc81df,0xffdb7e40,0xffb87fb9,0xfb81bfe1,0xb81bfe1f,
    0x81bfe1ff,0xdffe87fd,0x3fffdb99,0x33335ff9,0xfc9ff213,0xf8817fe7,
    0x56fff45f,0xfe84ffc9,0x1ffdaaaf,0x804ff880,0xfdaaaffe,0x007fe41f,
    0x64007fe4,0xffc800ff,0xc9ff6000,0x2ffebbff,0xc801ff90,0xf7dff16f,
    0x555ffd0f,0x3fa03ffb,0x1ffdaaaf,0xb555ffd0,0x1ff603ff,0x3fffffa2,
    0xff90dfff,0x2dffffff,0xe9ff27fc,0x7ff500ff,0xffffff98,0x7ffcc0ff,
    0x05ffffff,0x4c04ff88,0xffffffff,0x007fe45f,0x64007fe4,0xffc800ff,
    0xc9ff6000,0x0fffa0ff,0xf9003ff2,0x3ff7fdcd,0x3fffffe6,0xff985fff,
    0x5fffffff,0xffffff98,0xffb05fff,0x77fff5c0,0x7fffe42d,0xff96ffff,
    0x9ff93fe4,0x103ffd10,0x017bfff9,0xfffffff9,0xf8801fff,0x7ffe404f,
    0x0fffffff,0x32003ff2,0xffc800ff,0x00ffc800,0xffc9ff60,0x907ffe20,
    0x6fc801ff,0x323ffff4,0xffffffff,0x7ffe40ff,0x0fffffff,0x7fffffe4,
    0xfd80ffff,0x02ffcc07,0x9000cdb8,0xbeffe8df,0x404fffc9,0x3fe02efb,
    0x807ff505,0x7fc04ff8,0x647ff505,0x999999ff,0x333ff909,0x3f213333,
    0x9999999f,0x3333ff90,0x7fd81333,0xff703ff2,0x99affc8d,0x8df90999,
    0x7fc7fff9,0xf87ff505,0x87ff505f,0x7ff505ff,0x8880ffb0,0xfb9802fb,
    0x37fdc405,0x3fffffe6,0x44400dff,0x2ffa80fd,0xf101bfe0,0x17fd409f,
    0x7fe4dff0,0x4fffffff,0xfffffff9,0x3fff29ff,0x94ffffff,0xffffffff,
    0x327fd89f,0x3ffd80ff,0x3ffffff2,0x90df96ff,0x17fd4fff,0x7fd4dff0,
    0xfa9bfe02,0x21bfe02f,0x2aa207fd,0x5d5400fd,0x7ffdc04f,0xffffc884,
    0xeaa9803e,0x401ffb06,0x3e201ffc,0x03ff604f,0xff91ffc8,0x9fffffff,
    0x3ffffff2,0xfff94fff,0x29ffffff,0xfffffffc,0x93fec4ff,0xfff101ff,
    0x3fffff21,0x0df96fff,0x7fecfff1,0x6c7ff200,0x3ff200ff,0x6401ffb1,
    0x03fec1ff,0xd0039dd5,0xfb80179d,0x0018804e,0x0005ef64,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x9804fb9f,0x9805fb6f,0x2a03531a,0xd8ef883c,0x1ffd002f,
    0xf10bff00,0x3005fb1d,0x2aa201dd,0x25511aaa,0x39fb11a8,0x2637309b,
    0x00bff003,0x7ec03ffb,0x5555101f,0x8bfb8035,0xff5000ef,0x2d876003,
    0x3f63be20,0x3be60002,0x3bee006f,0x75fb804f,0x41bf209f,0x7004fefb,
    0xfa80dfbf,0x13fbee05,0xa807fd40,0xf54fffff,0x675d7eeb,0x7fc41ffe,
    0xfa804fef,0xefdfb805,0x06fdfb80,0x09fffff3,0x003fdfd0,0xf70017f4,
    0xdf500fb9,0x40d300bf,0x64001eeb,0x29d5005e,0x0bd703ea,0x44006f64,
    0x6c05d75e,0x00dec805,0x2201dd30,0xd51aaaaa,0x30cd3aa9,0x9931b301,
    0x100b9001,0xb10faabb,0x2a20faab,0x8801aaaa,0x3a6003ee,0x1bda8002,
    0x801bd900,0x5554c7fb,0x53019aaa,0x80551015,0x2a600aaa,0x2aaaaa62,
    0x5402aaaa,0x154c00aa,0x55555554,0x555542aa,0x982aaaaa,0x2055302a,
    0x0554c2a9,0x2aaa1544,0x22aaaaaa,0x2a6002a9,0x00aaa802,0x2aaaaaa6,
    0x2aaa0aaa,0x40155300,0x2a600aaa,0x201aaaaa,0x7ffe47fb,0x40efffff,
    0x7fb84ffc,0x80fffe20,0x3fff27fd,0x0fffffff,0x807fff10,0xffff87fd,
    0x7c6fffff,0xffffffff,0xfb07fd86,0xf91ff60f,0xf8ff709f,0xffffffff,
    0xd801bf26,0x7ffc407f,0x3ffff203,0x2a2fffff,0x6ff885ff,0x80fffe20,
    0xfffffffc,0x77ff641e,0xddddff94,0xffc8dfff,0x703fdc1f,0x7ec0dfff,
    0x3ffbbae7,0x700eeeef,0xfd80dfff,0xeeeeee87,0x77746fff,0x86fffeee,
    0x0ffb07fd,0xfff91ff6,0x7747fb83,0x6fffeeee,0xfd801bf2,0x37ffdc07,
    0xddddff90,0xffd83ddd,0x7017fec1,0x7e40dfff,0xffffeeef,0x5bffff61,
    0x7f440ffc,0x1bfff20f,0x7ff40ff7,0x0ffb01ff,0xe8007fe4,0x3601ffff,
    0xfff3007f,0x3fff3003,0x3f60ffb0,0xfc8ffb07,0x03fdc6ff,0xf90fffcc,
    0x03fec00d,0x407ffffa,0x22000ffc,0x17fe66ff,0x03ffffd0,0x3fee1ff2,
    0x4abff665,0xffb80ffc,0x8fffff21,0x5ff307fb,0x1ff60bff,0x9800ffc8,
    0x205ffaff,0xff8807fd,0xfff8802f,0x360ffb02,0xc8ffb07f,0x3ee3ffff,
    0x17ffc407,0x3bb23bf2,0x4c0ffb04,0x905ffaff,0xfb8001ff,0x401ffd3f,
    0x05ffaff9,0x3ff20ff9,0xff91fee1,0xfc8ffb01,0xff70ffef,0x7fedff20,
    0x3207fd80,0x7fc800ff,0x3f601ffb,0x03ffe807,0x6c07ffd0,0x20ffb07f,
    0x77fe47fd,0x80ff70ff,0xffc83ffe,0xd85ffffe,0x6dff207f,0x9ffc80ff,
    0x20099999,0x02ffcffe,0x0ffdbfe4,0xff507fc8,0x4b3ffae5,0xfeeeeffc,
    0x4f7e44ff,0x10ff74ff,0x0ffe69ff,0xffc81ff6,0x9a7fc400,0x0ffb03ff,
    0xb005ffd8,0x7fd80bff,0x3f60ffb0,0x7fcf7e47,0x7ec0ff74,0x1bff905f,
    0xfd81ffd1,0x269ff107,0xfffc83ff,0x206fffff,0x405ffff9,0x7ff34ff8,
    0x3e60ff90,0x9ffffd3f,0x3ffffff2,0xb6fc81df,0x70ff73ff,0x437fc3ff,
    0x3ff207fd,0xf0ffdc00,0x81ff60df,0xb800effb,0x7ec00eff,0x360ffb07,
    0xfdb7e47f,0xf707fb9f,0x3ff201df,0xfb03fee0,0xf87fee0f,0xffffc86f,
    0x6406ffff,0x7dc00fff,0x321bfe1f,0x49ff307f,0x5ffe47fb,0xf902ffeb,
    0x3efbfe2d,0xaaaffe87,0x3fec1ffd,0xe801ff90,0xffdaaaff,0xf307fd81,
    0xff3001ff,0x0ffb001f,0x3fec1ff6,0x77fc5bf2,0xfff987fb,0xf51ff200,
    0xd07fd83f,0xffb555ff,0x000ffc83,0xd009ff10,0xffb555ff,0xf307fc83,
    0x907fdc7f,0x1fff41ff,0xdff737e4,0xffff98ff,0x6c5fffff,0x03ff207f,
    0xffffff98,0x7fd85fff,0x801fff88,0xb001fff8,0x41ff60ff,0x737e47fd,
    0xf88ffdff,0x37e401ff,0xffb07fea,0xffffff30,0xffc8bfff,0x9ff10000,
    0xfffff980,0x7e45ffff,0x545ff507,0x1ff96fff,0x320fffc4,0x3ffff46f,
    0x3ffffff2,0x3f60ffff,0x803ff207,0xfffffffc,0x3fec0fff,0x200fffa2,
    0x2003ffe8,0x0ffb07fd,0x8df91ff6,0x3a27fffe,0x6fc803ff,0x3f60ffd4,
    0xfffffc87,0x320fffff,0xf10000ff,0xfffc809f,0x0fffffff,0x7ff41ff2,
    0xfcb7fec0,0x237fdc0f,0x7ffcc6fc,0xfa82ffc7,0xc81ff63f,0x17fe00ff,
    0x3f61ffd4,0x4cf7fe47,0x3f219999,0x999999ef,0xfb07fd81,0xf91ff60f,
    0x27fff98d,0x9999effc,0x51bf2199,0x87fd83ff,0x7ff505ff,0x4cccffe4,
    0x3e200999,0x82ffc04f,0x3ff23ffa,0x3ffda999,0x07fe4110,0xdf91ffec,
    0x7d4fff90,0xd9bfe02f,0x03ff207f,0xff017fd4,0x7ec7fd8d,0xffffffff,
    0xfffffb0f,0xd81fffff,0x20ffb07f,0x437e47fd,0x3ff67ffc,0xffffffff,
    0xffa8df90,0x3ea3fec1,0xc9bfe02f,0xffffffff,0x13fe204f,0x3e02ffa8,
    0x3ffff26f,0x2005ffff,0xff880ffc,0xf10df90f,0x007fecff,0x1ff63ff9,
    0xfb00ffc8,0x0ffe401f,0xfffd8ffb,0x0fffffff,0xfffffffb,0x7fd81fff,
    0x3f60ffb0,0x7c437e47,0x3ffff67f,0x90ffffff,0x41ffa8df,0x07fec7fd,
    0x3f23ff90,0xffffffff,0x813fe204,0x3f200ffd,0xfffff91f,0x000005bd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x55554c03,0x65d4400a,0x0000002b,0x06400000,
    0x4f74c037,0x073204ec,0x22579510,0x2aaaaaaa,0x000e62a8,0xeec8cec8,
    0x4c4cb803,0x80b2e62a,0x059102b8,0x02644e54,0x05991000,0x55303990,
    0x3602fd88,0x201fffff,0xeffffffb,0x017f4401,0x22003bee,0x0f62bcca,
    0x007e5f64,0x01df37f9,0xfd301ffc,0xfff7bfff,0xf30fffff,0x3f605d77,
    0x3f60ffff,0x04ffffee,0xff907fe2,0x1fffff91,0xc87fefb8,0x37be201f,
    0xffff302f,0x7f7ec0bf,0x641ffc01,0x3ffff67f,0xaaaa980e,0xffff900a,
    0x403ffffb,0x59780d3b,0xfffffb80,0x7104fdef,0xa7c403bd,0x177401fd,
    0xfdffff88,0xeeeeffff,0x07db505e,0x0666665c,0xfd11bffb,0x6417e40f,
    0xffeffeff,0x2fbbec5f,0x3ea017e2,0x3332205f,0x19f702cc,0x177401df,
    0xdffabfe4,0x2aa65ffe,0x0aaaaaaa,0xc88bbfe6,0x37a606ff,0x00766c05,
    0xffbffff9,0x00000dff,0xffc80000,0x0fff910c,0x6c000000,0x03fee0ff,
    0x8bfff200,0xdf11ffe9,0x01fc93ea,0x00000000,0x6dff2000,0x24eaebbf,
    0xfffffffc,0x07ff62ff,0x51017fe4,0xf9802a00,0x37fe42ef,0x019dd950,
    0x80677654,0xf81deec8,0x07ff886f,0x077bb220,0x20ef7644,0x07fd47fd,
    0x90b3bb26,0x5ff707ff,0xf14fabfc,0xbdd9100b,0x67765403,0x59dd9300,
    0x05eff5c0,0x2effaff9,0xdddff906,0x7f43dddd,0x213fe206,0x644dfec9,
    0xb077545e,0xfff983ff,0xffffc82f,0xfffc82ff,0x7fc42fff,0x3e22ffff,
    0x33ffb04f,0xff881333,0x7c42ffff,0x362fffff,0x707fd46f,0x47ffffff,
    0xff981ffc,0x47f67f63,0x7fc401fc,0xfc82ffff,0x5c2fffff,0x43ffffff,
    0x5fffffe8,0x77fddff2,0x001ff906,0xbff017fe,0xffffff98,0xff51bf66,
    0x3e637fc1,0x7dc4ffaf,0x0ffeb9df,0x3ae77fee,0x2bbf60ff,0xff30ffd8,
    0x3ffff207,0x77ec3fff,0x360ffd8a,0x0ffd8aef,0x0ffa8dfb,0x25fc8bfa,
    0xff980ffc,0x457ffa64,0xaefd805f,0x3ee0ffd8,0x0ffeb9df,0x45fc8bfa,
    0xffb8bffc,0x3fe2ff92,0x7fe42dff,0x04ff8800,0x37f637fc,0x3f67fc88,
    0xf887fd46,0x227fa25f,0x237f45ff,0x1bfa3ffa,0x3fe27ff5,0x7ccbfe23,
    0xffff903f,0x7fc47fff,0x7c4bfe23,0x6cbfe23f,0xd07fd46f,0x3f2037df,
    0x85ff880f,0x5447f209,0xf11ffc42,0x2a37f45f,0x2fbfa3ff,0x571bfe01,
    0xfc89ff21,0x3ff24fff,0x40999999,0x3fe205ff,0x3fee0884,0xffa8dfb1,
    0x3a29ff10,0xf89bfe2f,0xf15ff84f,0x26bff09f,0xffeeeeff,0x3a09ff14,
    0xeff9807f,0xf34ffeee,0x9ffddddf,0x1ff51bf6,0x5f7fffd4,0x2203ff20,
    0xafc404ff,0xf30efffa,0x9ffddddf,0x3fe13fe2,0x3bfffea5,0x00ffe20b,
    0xfdf70ff9,0x3ffff21f,0x7f46ffff,0x3ffa8547,0xffffdb98,0xffa8dfb1,
    0x1fedbfe0,0x7fc4bff1,0xff15ff83,0x3e6bff07,0x3eeeeeef,0x3ffc17fe,
    0x7777fcc0,0xdff33eee,0x367ddddd,0x207fd46f,0x26ffffeb,0xff880ffc,
    0xfc8fe404,0xdff32fb9,0x227ddddd,0x45ff83ff,0x26ffffeb,0x7e404ff8,
    0x27fd6b87,0xfffffffc,0x89ffe46f,0x41ffebff,0xffccfffb,0xffb8dfb1,
    0x13f7ffa0,0x6fe87ff3,0xdfd27fcc,0x3fe4ff98,0x40ffe803,0xff007ff9,
    0x007ff007,0x2103fee0,0xf92ffda8,0x07ff501f,0x26ff2fc4,0x200ffe5f,
    0x27fcc6fe,0x17fed442,0x92cb8bff,0xd73fd1ff,0x07fe4bf6,0x55dffd00,
    0xf889ffff,0x6c7fea4f,0x707fdc7f,0xffd09fff,0xb33ffd83,0x9ffec3ff,
    0x3f61ffd9,0x543df50e,0xffa9cfff,0x199999ff,0xefa877ec,0x7d43bf61,
    0xffd7101e,0xff117fcc,0x8983ff23,0x3f201ffe,0xb27d5fe1,0x87bea1df,
    0xffb33ffd,0xf88bfe63,0x4cbff61f,0x36ff93ff,0x0ff9ecef,0x4c001ff9,
    0xffffffff,0x8bfe60cf,0x3ff71ffc,0xf883ffa2,0xffb89cff,0xfffe884f,
    0x7f443fff,0x543fffff,0x85ffefff,0xeffffffd,0xffffffff,0x3fbffea1,
    0x77ffd45f,0x3fe605ff,0x6f7fe45f,0x43ff25ff,0x205ffffa,0x5cfe45f8,
    0x3bffea2f,0x7ff445ff,0x7e43ffff,0x4c5ffdef,0x26ffffff,0xffff57fc,
    0x07fe49ff,0x3ffb2200,0x20fffdef,0xfffedffe,0xdfdfff32,0x7ffd41ff,
    0x0dffffff,0x5dffd910,0x3bffb220,0x9dffd502,0x3fffee01,0xffffffbb,
    0x7ff541ff,0xffea80ce,0x3baa00ce,0x7ff5c40c,0x43ff20df,0x200dfffb,
    0x7ffcc1fc,0x77ff540e,0xffec880c,0xffeb882e,0xffe980df,0x99ff21ce,
    0x7e42effd,0x9999999f,0x3ea0c400,0x4f7fecc6,0x3ffee4fe,0xdf10ff9c,
    0x7dffff93,0x10004400,0x80022001,0x11000008,0x00002200,0x02000620,
    0x03501e40,0x02200088,0x01000c40,0x3f20d900,0xffffffff,0x44020004,
    0x15003000,0x00000188,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f209500,0xffffffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00b2a990,
    0x465c0f32,0x664003c8,0x15510003,0x26398355,0x510154c3,0x953c8815,
    0x00e5c403,0x88066540,0x32a0510a,0x665c0991,0x00cc9800,0x00000997,
    0x2793032e,0x42a203c9,0xc83cb828,0x64405954,0x3f7ee02c,0x077cc00f,
    0x01feef98,0x0003bea0,0x1ff4ffd4,0xb0faf3e2,0x0ffd40ff,0x9037e7e4,
    0x001fffff,0xff8817fc,0xff104edf,0x3be607fb,0x03fe805f,0xf9807fa2,
    0x7c05ffff,0xbf76fa87,0x2f6fffc0,0x3ee07fe2,0x3f600ffd,0x3ff601fe,
    0x400fd802,0x74004ffc,0x3ea0000f,0xda83fc9f,0x03fec0be,0x3fa03ff5,
    0x37ff101f,0x3ea009fb,0x36e7ae03,0x17fea01d,0x1fe47f44,0xf1009f30,
    0x6666440b,0x217e602c,0x207933c9,0x41ddb9ea,0x3ff602fc,0x3e33ee02,
    0x0000000e,0x00000000,0x02e8ffd4,0x2a07fd80,0x2a0001ff,0x00df71ff,
    0x00000040,0x00000000,0x0fee0000,0x00000000,0x5ec80000,0x75c07754,
    0xec980bdf,0xfb7302ce,0x59dd939d,0x2afbb620,0xc986d9ff,0x3fec4dfe,
    0xd703ff50,0xff1017bf,0x5009ff3b,0x25d37bdb,0x077545ec,0x9137fb26,
    0x90eea8bd,0x90eea8bd,0x90eea8bd,0x80eea8bd,0xdd9501fd,0x77654019,
    0xa82f5c0c,0x2e00ceec,0x3f60bdfe,0xd107fd46,0xb8bfffff,0x43ffffff,
    0xfffffff8,0x442fffff,0xffefffff,0xffff9819,0x81ff66ff,0x3fa21ffa,
    0xf905ffff,0xd801bfff,0x26ffffff,0x07fd46fd,0xdffffff3,0x3fea37ec,
    0xffa8dfb0,0xffa8dfb0,0xffa8dfb0,0xff907f80,0xf905ffff,0x645fffff,
    0xffffc87f,0x7ff442ff,0x1bf65fff,0x7fe41ff5,0x3a2ffb8b,0xf917f22f,
    0x3fff911d,0x7ec1ff71,0x1fffb8bf,0xf911bfb0,0xf503fecf,0x45ffe43f,
    0xffb82ffb,0xcffb805f,0xfb0fff98,0x360ffa8d,0x27fc88df,0x87fd46fd,
    0x87fd46fd,0x87fd46fd,0x07fd46fd,0x3fee17e2,0x20ffeb9d,0xfeb9dffb,
    0xfb8ff90f,0x0ffeb9df,0x3ee2fff2,0xfa8dfb2f,0x571bfe0f,0x00df7f41,
    0xe89ff504,0xfb17fe2f,0xf704403f,0xa81ff63f,0x71bfe1ff,0xffffd815,
    0xdff0151f,0xfda7ffe4,0x2207fd46,0x7ec7fee0,0xfd87fd46,0xfd87fd46,
    0xfd87fd46,0x2a07fd46,0x546fe83f,0x51bfa3ff,0xd1ff27ff,0x23ffa8df,
    0xd855c6ff,0x887fd46f,0xffa803ff,0xb880beff,0xeeeffffd,0x7ff14ffe,
    0x2601ffb8,0xb1ffffdb,0x8ffd40ff,0xfc803ff8,0xfbeff9bf,0x5cffe20f,
    0xdfb5fe9f,0x5cc0ffa8,0xfb1ffffd,0xfb0ffa8d,0xfb0ffa8d,0xfb0ffa8d,
    0x640ffa8d,0x427fc41f,0x09ff15ff,0x89ff2bff,0x15ff84ff,0x6fd807ff,
    0xff887fdc,0xfffd7004,0xdfffb8df,0xeeeeeffc,0xa87ff34e,0xfff701ff,
    0x3f63ff99,0x7fdc1537,0xd009ff11,0x7fffd4bf,0x7d57fc46,0x1bf6bfd2,
    0x7fdc1ff7,0xfb1ffccf,0xfb0ffb8d,0xfb0ffb8d,0xfb0ffb8d,0x740ffb8d,
    0xf83ff887,0xf07ff15f,0xf89ff2bf,0xf15ff83f,0x47fd809f,0x17fe0ffb,
    0xb5108597,0x32ffc5ff,0x9ff009ff,0xf881ffc8,0x6c7fea4f,0x323ff9ff,
    0x717fe0ff,0x913fe259,0xbff05fff,0x6d3fe27f,0x887fdc7f,0x47fea4ff,
    0x87fdc7fd,0x87fdc7fd,0x87fdc7fd,0x07fdc7fd,0x1bfa0df1,0x37f49ff3,
    0x3fe53fe6,0x9ff31bfa,0x4b2e2ffc,0xffd11ffb,0xf997fec1,0x445ff33f,
    0x47ff11ff,0xdf30fffc,0xf997ff45,0x2ff981ff,0xbfec7ff2,0x7feaaeff,
    0xff997fec,0x6c47ff63,0x7e40efff,0x23ff915f,0xffd11ffb,0xfc8bfe61,
    0x223ff71f,0x3ff70ffe,0x7dc3ffa2,0x21ffd11f,0xffd11ffb,0xfd827d41,
    0x43ffb33f,0xffb33ffd,0xffb1ff23,0xd87ff667,0x27ff32ff,0xfefefff9,
    0x3fffe60f,0x77fe46ff,0x7fec5ffd,0xefffffed,0x7ffcc6ff,0xd01ffeff,
    0x5fffdbff,0x7ffe5ff6,0x7fcc2fff,0x7cc6ffff,0xffffffff,0x3ffe20ff,
    0x3e64fffe,0x0ffefeff,0x3ffb7ffa,0xfdfff32f,0x3fe61ffd,0x30ffefef,
    0xffdfdfff,0x3fbffe61,0x0bf20ffe,0x7fffff44,0x7fff443f,0x1ff23fff,
    0xffffffd1,0xfffff987,0x67ffdc6f,0x7f4c0ff9,0x75c41cef,0x6c40dfff,
    0xfe98cfff,0xff980dff,0x301ff8df,0x9fd3dffb,0xfffc9ff6,0xdffd303e,
    0xfffd3039,0xdb0bee7f,0x705dffd9,0x1ff39fff,0x74f7fecc,0x33ffee4f,
    0x3fee0ff9,0x2e0ff9cf,0x0ff9cfff,0x3e73ffee,0x8803fa0f,0x102effec,
    0xc85dffd9,0xffec887f,0xdffd302e,0x20006039,0x20031000,0x00400200,
    0x30000880,0x30004001,0x44130101,0x22001800,0x0c003000,0x00c00300,
    0x011000cc,0x20000440,0x00020008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3000cca8,0x265c0199,0x5931ca80,0x00c4aa60,0x06403551,0x8aa20037,
    0x255302a9,0xc86641aa,0x0599100c,0x64c0b320,0x4400001c,0xca8801aa,
    0x472e00ab,0x543301cb,0x00599100,0x66440f32,0x0565cc01,0x00bfdf30,
    0xfd100ffa,0x325fb005,0x3bbf603f,0xbffff703,0x03f2fb20,0x64ff334c,
    0x3eff907f,0xff8ffc4f,0x03fffd01,0x3200efa8,0x7ffec05f,0xfffc80ff,
    0xfffd105f,0x3fa03fff,0xff905fd2,0x3f601fbd,0x77d401fe,0xc81bee00,
    0xd01fffff,0x9807f91f,0x0dd1004f,0x07fa1ff0,0x882ffe44,0x83ffdeff,
    0xf701deb8,0xff93f4cf,0x27fdff20,0x40664332,0x406f9bfc,0x0fd800ee,
    0x333332e0,0x7f77fdc0,0x7fff442f,0xb82ffffd,0x7d03971c,0x3ee09d93,
    0x3a00ef8c,0x81fc800f,0x5ffbcffa,0x00000000,0x27fe6620,0x17b01ff9,
    0x1ff907fb,0xb8001bf6,0xff93547f,0x1f4dff20,0x00000000,0xfe800000,
    0xff71bf64,0x006ffb8b,0x00000000,0x4ff70000,0xdd9506fd,0x77654019,
    0x3bb2a00c,0x7ffff40c,0x881fffff,0x7c1ffbdb,0x647fea5f,0xc877545e,
    0x2f9ceffe,0x7fe41ff2,0x76441fa8,0xdd9101de,0x3bb2203b,0xbdd9101d,
    0x37fb2603,0x3f609884,0x6406e4c6,0x7f64c3ff,0xbfd9304d,0x37fb2609,
    0x9bfd9304,0x137fb260,0x427fcdf9,0x2ffffffc,0xffffffc8,0xfffffc82,
    0x3ffffa2f,0x641fffff,0x46ffffff,0x4bfe64ff,0x87fd46fd,0x18effffd,
    0xffc83fe4,0x7ffc42ee,0x7fc42fff,0x7c42ffff,0x442fffff,0x42ffffff,
    0x6ffffff9,0x00ffee20,0x7cc9ff30,0x4c6fffff,0x46ffffff,0x6ffffff9,
    0x7fffffcc,0x7ffffcc6,0x7d5bf66f,0x4effdc0f,0x3ee0ffeb,0x0ffeb9df,
    0x3ae77fee,0xc97ec0ff,0xbeffb83f,0xff11fffc,0xfd9ffcc9,0xd987fd46,
    0xff902aff,0x6c07ff20,0x0ffd8aef,0x3f62bbf6,0x22bbf60f,0x3bf60ffd,
    0x360ffd8a,0x07fc88df,0xdd10fff6,0xfddddddd,0x446fecbf,0x46fec7fc,
    0x6fec7fc8,0x7ec7fc88,0x6c7fc88d,0x27fc88df,0xd0ffb6fd,0x23ffa8df,
    0x1ffd46fe,0x3ffa8dfd,0x81fe87fc,0x97fdc7ff,0x3fe23ff8,0xffa8dfb3,
    0xf901fee0,0x441ff20f,0x4bfe23ff,0x3fe23ff8,0x7c47ff12,0x447ff12f,
    0xf70442ff,0x3ffb603f,0x3ffffe22,0x46ffffff,0x107fee08,0x220ffdc1,
    0x1107fee0,0x8220ffdc,0x2dfb1ffb,0x3fe24ffc,0xff15ff84,0x3e2bff09,
    0x755ff84f,0x57ff55ff,0xf113fe21,0x98ffe29f,0xa8dfb2ff,0x01fee0ff,
    0xff901ff9,0x3bbbfe60,0xdff34ffe,0x269ffddd,0xffeeeeff,0xddddff34,
    0xfdb989ff,0x7dc01fff,0x2abbfe0f,0x44ffbaaa,0x1ffffdb9,0x7fffedcc,
    0x7ffedcc1,0x7fedcc1f,0x7edcc1ff,0x4dfb1fff,0x7ff13ffe,0x3fe2bff0,
    0xff15ff83,0x3fabff07,0xffffffff,0xff09ff11,0xff327fcb,0xff71bf65,
    0x2e03fdc1,0x07fd80ff,0xdddddff3,0x3bbfe67d,0xff33eeee,0x27dddddd,
    0xeeeeeff9,0x33ffee3e,0x7c401ffc,0x203ff63f,0x3fee3ffa,0x2e1ffccf,
    0x1ffccfff,0x3f33ffee,0x33ffee1f,0x3fee1ffc,0xfb1ffccf,0xe8fff44d,
    0xd27fcc6f,0x24ff98df,0xa7fcc6fe,0xefecdfeb,0x31bfe0cc,0x52ff47ff,
    0x71ff63ff,0x03fdc1ff,0x3fa0bfee,0x200ffe06,0x3ff803ff,0x4403ff80,
    0x47fea4ff,0x3fe62ec8,0x3a0fff22,0x49ff11ff,0x9ff11ffa,0xff88ffd4,
    0x7c47fea4,0x447fea4f,0x47fea4ff,0xa7fc46fd,0xffb33ffd,0xd99ffec3,
    0x4fff61ff,0x3f61ffd9,0x3f205f92,0x43ffb33f,0x4dfd1ffb,0xffd11ffb,
    0x3007fdc1,0xf9337fff,0x877ec09f,0x3bf61efa,0x7ec3df50,0x6c3df50e,
    0x23df50ef,0x3ff22ff9,0x3623bf61,0x9cffe87f,0x3e65ffda,0x4c7ff22f,
    0x47ff22ff,0x3ff22ff9,0x7e45ff31,0x645ff31f,0x22dfb1ff,0x3fa29fd1,
    0x443fffff,0x3ffffffe,0x7fffff44,0xfe87fc3f,0xfffff101,0xfff887ff,
    0x3fe62fff,0x20ffefef,0x3206fffa,0xffffffff,0x3bffea00,0x7ffd45ff,
    0x7fd45ffe,0x7d45ffef,0x745ffeff,0x2fffedff,0x3fffffe6,0xfffff884,
    0xdffe85ff,0x3fa2fffe,0x22fffedf,0xfffedffe,0x3fb7ffa2,0x37ffa2ff,
    0xdfb2fffe,0x43fffff1,0x02effec8,0x05dffd91,0x0bbffb22,0x203fcdf1,
    0x02ffffd8,0x705fffd1,0x1ff39fff,0x2037ff44,0x0dffffea,0xceffea80,
    0xceffea80,0xceffea80,0xceffea80,0x4f7fecc0,0x7fecc4fe,0x3fae201d,
    0xfd980bdf,0x264fe9ef,0x4fe9effd,0x3a7bff66,0x3bff664f,0x3f664fe9,
    0xfb4fe9ef,0x80fbfead,0x00220008,0x98260088,0x40026000,0x20018008,
    0x004c0008,0x11000880,0x44002200,0x40008800,0x10004000,0x40022001,
    0x00110008,0x00200022,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x00deabed,0x98579951,
    0xc99e4c2a,0x02aa2003,0x01c80b22,0x01c80b22,0x15c01771,0x33333310,
    0x800b2e60,0x300acca8,0x90aa6055,0x02aa8009,0x002f32e6,0x00af2ea2,
    0x54c0054c,0x40554c01,0x553002a9,0x07fadf50,0x7fffffdc,0xfa8ff71e,
    0x9900df56,0x6cc1bffb,0x4c0d704f,0x20d704fd,0x980feef8,0x3fff200f,
    0x7fdc1fff,0x7ec02fff,0xc84ffddf,0xd8ff907f,0x1ff6000f,0x3fffffe6,
    0x3ffee03f,0xf901efff,0xd101bfff,0xd883dfff,0x7ec3ffff,0xd0ff9006,
    0x3207f51d,0xfffdffff,0x64c7fb9f,0xff007933,0x3e23ffff,0x02f884fe,
    0xf109fdf1,0x3ea2e205,0x7f404e82,0x2a1fffff,0x07febdff,0x17ea07b6,
    0x1ff20ff9,0x7ec005f7,0x6ffffcc7,0xfc81fffe,0xffffdfff,0x7eeffcc1,
    0xfdfff83f,0x7effe46f,0x01bf63ff,0x30003fe4,0x7dc45dff,0x0006c8ef,
    0x8bfea660,0x5c84f898,0x213e2620,0x86fb805c,0x5ffc00fa,0x37e41999,
    0x3db05ff1,0x3e615555,0x7e41ff25,0xb0027cc7,0x5fffc4ff,0xf31bfea0,
    0x7fe445df,0xff72fec6,0xff31ffb8,0xfe93fe23,0x6401bf66,0xd517b27f,
    0x80ffec1d,0x324fbffc,0x2077545e,0xff9beed8,0x7cc4f881,0x4c4f8801,
    0x4fa9801f,0xff300fe2,0x045fd801,0xeef98fa8,0x323f32fe,0xf0ff907f,
    0x73fec00d,0x2b2e05ff,0x6407ff20,0xa93f62ff,0x202ff47f,0x3fee1ff9,
    0xdfb1dfb1,0xb13ff907,0x20ffa8df,0x3fe206fe,0x51bf60df,0x7ffc41ff,
    0x881ffeff,0x8802ec4f,0x2a02ec4f,0x1b25f89e,0x37f7fea0,0x9006fc81,
    0x25e87e6d,0x320ff93e,0x000fd87f,0x03fecffb,0xf1037f40,0x55ffd49f,
    0x467fc4fe,0x21ff983c,0xfffb2ffa,0xfc89ffff,0x546fd8ff,0x017fe0ff,
    0x8dfb0dff,0x3ff60ffa,0x81fffb8b,0x003ea4f8,0x01f527c4,0x223fffd0,
    0xfffc802f,0x3fb65fff,0x4fa06eef,0x23fa9af9,0x320ff95c,0x002fb87f,
    0x22ffcffb,0x20999998,0x2ffc05ff,0x117fffea,0x7ffffdff,0x3ff23fe8,
    0xd33bffb3,0x9ffe43ff,0x87fd46fd,0x7fc04ff8,0x7d46fd86,0xfb1bfe0f,
    0x7435103f,0x54406e63,0x05910fa1,0x6445d833,0x64d77e41,0xffffd3ff,
    0xf997c0ff,0xcb5c3fff,0x30ff907f,0x9ff6009f,0x7ffd45ff,0x09ff13ff,
    0x3fa26ff8,0x3e22ffff,0x47fd9cff,0xfffdcffb,0x7cc3ffb3,0xfd9ffa3f,
    0xff07fd46,0x42ffc40b,0x87fd46fd,0x7fdc3ff8,0xf90fb801,0x1f700bfd,
    0xf9803fd8,0x4401fec1,0xbff555ff,0xf9a6c055,0xca6c5f99,0x87fc80ff,
    0xffb006f8,0x3fea37f4,0x17fe3fff,0x3f65ff88,0x221ff90e,0x8bfe27ff,
    0xffcfffc8,0x9ff0dfb3,0x6fd9fff6,0xffd07fdc,0x20ffea01,0x87fdc6fd,
    0x7fd43ff8,0x7b17c401,0x2f8803f2,0x7401ffe4,0x801ffe44,0x0bfe26fe,
    0xb8fcdae0,0x7fdcbe2f,0xfd07fd80,0x3fa14c41,0x4c03ff26,0x03ffa3ff,
    0xff89ffd4,0xff8ffe23,0x9442ff45,0x0ffb2ff9,0x9ff76bff,0x07fdc7fd,
    0xfd109ff9,0xb8ffb03f,0x917fe0ff,0x06c803ff,0x46c80df3,0x5403fafa,
    0x0febea0f,0x24ff8597,0xf9800efb,0x5dba1f9b,0xd05ff70f,0xc87f20ff,
    0xa97fe0ff,0x7ff504ff,0x74427fe4,0x47ff11ff,0x1ffa2ff8,0x704cc9ff,
    0x83ff61ff,0x9ff24ff9,0xffd11ffb,0x9beffe81,0xf704fffc,0x83ffa23f,
    0xfff33ffd,0x540fc403,0x87e200ef,0x00cf9cf9,0xf9cf98fa,0x5c3ff20c,
    0x99ff51ff,0xf7017337,0xf317dc05,0xff9337ff,0xfa8fea09,0x44ffb9df,
    0xc99bfffc,0x7ff43fff,0x4fffc9be,0xffc877fc,0x7d4ffea0,0x74d7fa3f,
    0x237ff65f,0x3f21ffc8,0x3fbffe67,0x7fcc0ffe,0x0dffffff,0xdfdfff30,
    0x7ffcc1ff,0x201ffeff,0x00dfa85d,0x3ffea2ec,0xb8d703ff,0x223fffff,
    0x25ffffff,0xfffffffc,0x17bf704f,0xf905fb71,0x1fffffff,0xffd17e20,
    0xfb01dfff,0xbfffffff,0xfffff981,0x7d40dfff,0xe84fffff,0x546fffff,
    0x21ffffff,0xfffffefd,0x3ee3fe45,0x80ff9cff,0x3effffc8,0x9cfffb80,
    0x7ffcc0ff,0xf301ff8d,0xfffff883,0x2201f981,0x405f103f,0xffc983f8,
    0x65efcc4f,0x2a06fffe,0x01cffffd,0x37ffffae,0x3a23f400,0x2e01dfff,
    0x02defffd,0x3bffff22,0x3fff6a03,0xfffd880c,0xeffeb80d,0x7fd67ec1,
    0x307fc85f,0x00062000,0x0022000c,0xaaa88298,0x802980aa,0x5005101a,
    0x40200803,0x00260009,0x18800260,0x11000310,0x00031000,0x8800c003,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x000acca8,0x5100aa88,0x80003799,
    0x981bcca8,0x4155302a,0x2aa60aa8,0x55553000,0x2aa60355,0xaa954c00,
    0x55554c00,0x1aaaaaaa,0x832198a2,0x9950000c,0xec8ceb81,0xc98cc84e,
    0xa98154c2,0x59dd9302,0x2f643ed8,0x55300553,0xffdbffb0,0x1ff98009,
    0xffffffb8,0x2e06980c,0x0dffffff,0x7fe41ff2,0xfb87fe60,0xfff9001f,
    0xc83dffff,0x7fe400ff,0x7f400ff8,0xffffffff,0xbfff34ff,0x3656ec7f,
    0x09fffff5,0x3bf20bfa,0x545ffffe,0x7e40ffdf,0x40ffc80f,0x3ffffffb,
    0x2dfb13fe,0x02ccffeb,0x41ed8ff9,0x26005fa8,0x7ffdc1ff,0x5c4fffde,
    0xbfff507f,0x7e49fffb,0x4c1ff907,0x47fee1ff,0x3bff2008,0x21ffffee,
    0x7e400ffc,0x2a00fe8f,0xeeffecff,0x3b93eeee,0x76441bb7,0x3333261c,
    0x903fa82c,0xffd11bff,0x642ffd81,0xcccccffe,0x3fa1cffe,0x4ff97f22,
    0xfffdb7ec,0x4ff904ff,0x217730ed,0xff3005f9,0x1177fc43,0x3fdc1ffd,
    0x7ff87fc8,0x7fe41ff2,0xff707d40,0x7e403d13,0x325ffb87,0xbfe400ff,
    0xdb7f4078,0x0000007f,0x7fe40000,0x8003fee0,0xffffffff,0x3a3fffff,
    0x9ff01bef,0xffb16fd8,0x3ea00133,0x25fdff50,0x776c41f9,0x3f21ff9b,
    0x90bda81f,0xfc89dffd,0xc8554c0f,0x81ff907f,0x7dffdc6c,0x41ff201f,
    0x1ff91ffd,0x4e8ffc80,0x7ecbfea0,0x417ae007,0x8bd705eb,0x4eec8ceb,
    0x3fea3fe4,0x37aafb21,0x3203ff21,0x7ffd40ff,0x13fe0bef,0x477e4dfb,
    0xaf5c3eec,0x2ec9f15c,0x7fffc47d,0x3fa1ffef,0x3fff6006,0x6fffc46f,
    0x20ff900b,0x07aa0ffc,0x803ffff7,0x5ff507fc,0xf9003ff2,0x4dfd00af,
    0x99999ffd,0xf907fc81,0xf91ff20f,0x4bffffdd,0x0ffd47fc,0x43fffdfb,
    0x99999ffc,0xfeb80ffc,0x17fe6fff,0x77fe4dfb,0x3f24ffff,0x80bea7d7,
    0x22fff65c,0x3fe1fffb,0x3ff66005,0xffffd82a,0xdbfe42df,0x001ff94e,
    0xc801dff7,0x264ccffe,0x41ff93ff,0x01ff24ed,0xffd8ffe6,0x40ffffff,
    0x0ff907fc,0xbff91ff2,0x321ffd11,0xb0ffd46f,0xfc895dff,0xffffffff,
    0xfb51080f,0xfd1bfe5f,0x44effe4d,0x7dff27fe,0x35c01f52,0x1ffd8dff,
    0xf70017fe,0xfffd980f,0x75ff24ff,0x001ff95f,0xff003ffb,0x7ccfffff,
    0x741ff94f,0x201ff25f,0x3ff60ffd,0x40ffffff,0x0ff907fc,0x1ff91ff2,
    0x6fc87fdc,0xffb0ffd4,0x3ffff201,0x20ffffff,0x3fe22ff9,0x3ea5fff1,
    0xb87ff26f,0x36ff90ff,0xb1545f14,0xf70ffe29,0x0037fc3f,0x54401fee,
    0xff91fffc,0x07fe53b6,0x007fff60,0x8667ff66,0x1ff93ffa,0x0ff9276c,
    0xccceff98,0x3f2007fe,0x320ff907,0x2a3fe47f,0xa8df91ff,0x81ff61ff,
    0x99999ffc,0x7fe40ffc,0x3fe5ffde,0x26ffffff,0x8ffd47fc,0x76cd77fc,
    0x44be5f99,0x0ffd43ff,0x2f660ffb,0x2a21fee0,0x93ffa81c,0x03ff20ff,
    0x003ffdd0,0x7fdc1ff2,0xc801ff92,0x7ffe407f,0x007fffff,0x3fe41ff2,
    0x3fe47fc8,0x37e47fea,0x6fd87fea,0x3203ff20,0x7f5c40ff,0x33fe0dff,
    0x326fcefe,0xc8ffd46f,0x3227f37f,0x41f70dff,0x0ffe45ff,0xffb07ff7,
    0x7c43fdc3,0x93ff986f,0x03ff20ff,0x003ff730,0x7ff41ff2,0xc801ff90,
    0x3bfe207f,0x07ffeeee,0x7e41ff20,0xfc8ff907,0x5c0ffd46,0x0dfb00cd,
    0x7e407fe4,0x033fa00f,0xfc8069ff,0xfc8ffd46,0x5c10bee7,0x99ffec2f,
    0x7ff41fff,0x44ffc9ad,0xffd80ffb,0x1ffea89c,0x3ff20ff9,0x2099999a,
    0x9999affb,0x4cffe419,0x323ffeaa,0x99999aff,0x7e40ff90,0x99ffd81f,
    0x7e409999,0x320ff907,0x2a37e47f,0x5fb981ff,0x7e40dfb0,0x00ffc80f,
    0x9ff17e62,0xfa8df900,0xfb8ff91f,0x2fdb98bd,0xefffff98,0x7ffcc1ff,
    0x540fffff,0x7fc46fff,0x24ffffff,0xfff907fc,0x5cdfffff,0xffffffff,
    0x7ffffe47,0x7fe45fff,0x96ffffff,0x1bfe20ff,0x7fffffec,0x83fe46ff,
    0x8ff907fc,0x0ffd46fc,0x6c13eeaa,0x03ff206f,0x55403ff2,0x027fc4fb,
    0x3fea37e4,0xfb50ff91,0x4c039fff,0x1ff8dfff,0xbdfffc88,0x10dffb00,
    0x87dffffb,0xfff907fc,0x5cdfffff,0xffffffff,0x7ffffe47,0xfffc82de,
    0xf96fffff,0x40ffee0f,0xfffffffd,0xc83fe46f,0xc8ff907f,0x20ffd46f,
    0xfb00bcee,0x407fe40d,0xee880ffc,0x803ed82c,0x8ffd46fc,0x004c07fc,
    0x22000220,0x10011000,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x164d3200,0x98510a88,
    0xaaaaaaaa,0x654f222a,0x26ff64c1,0x2000aa88,0x077545ec,0x2200e64c,
    0xbec803cc,0xdd701dea,0x500f3200,0x20aaa079,0x665c0aa9,0x8800aa60,
    0xe883953c,0x82f2e62e,0xbfd703cb,0x55553017,0xec880355,0x99e4c1de,
    0x3ff7ee3c,0xbdbfff00,0xffffffc8,0x3f20ffff,0x7ffcc6fc,0xff986fff,
    0x51bf6001,0x09fb01ff,0x805fdfb0,0x01fffefd,0xdf500ff9,0x706fd801,
    0x46fe83ff,0x3f24fefa,0x33f2000f,0x33ff886f,0x7c43ffff,0x3fffa21f,
    0xfffc85ff,0x881effff,0x22ffffff,0xd8bf75fb,0x73d502ff,0xeeeb83bb,
    0x0eeeefff,0x3f60fff4,0x987fc88d,0x3f6001ff,0x2607fd46,0x8cfa804f,
    0x3ff600ff,0x1bae04ae,0x32003fa0,0x4bff104e,0x3be22ffa,0x1ff92fd8,
    0x81ffe800,0x7ff72ee8,0x7e4bf305,0x42ffb8bf,0xffeeeffc,0x577ec1ff,
    0x7930ffd8,0x00000f26,0x000ffc80,0x3ff70440,0x6c001f50,0x007fd46f,
    0x3f600000,0x0198800f,0xfb800000,0x800dfd1f,0xeefffffc,0xb0c40002,
    0x6ff800df,0x1ff2055c,0xff897fee,0x200bfe23,0x4eec8ceb,0x7764675c,
    0x007fe404,0x6dcc17ae,0x6c81ffff,0x5dfb35db,0x3fea37ec,0x37aafb20,
    0x3ed87d91,0x0ffb176c,0x74c1fea0,0x24eeeeee,0xeeeeeee9,0x7d67fc44,
    0xc8bd702f,0xffffffff,0x3bbbba64,0xfb3e44ee,0xf8af5c0d,0x0ff9003f,
    0x7fcc7ff6,0x44ffeeee,0x3bbf25eb,0x3f25ffff,0x05ffffee,0xf9003ff2,
    0x99fff70f,0xf0ea83ff,0x7fffffbf,0x1ff71bf6,0x8ffff7ec,0x9bfe67fb,
    0x1bf61ff9,0xfa82fec0,0x25ffffff,0xfffffffa,0x6fdffc85,0xff91ff20,
    0x1fff7557,0x3fffffea,0xdfb3ec5f,0xff8bfe40,0x20ff9004,0xdff32ffa,
    0xc87ddddd,0x237ff27f,0xff90ffe8,0x01ffd11b,0xf9003ff2,0x2a4ff88f,
    0x7ffc01ff,0xfb6ff98b,0x360ffb8f,0x3e64aeff,0x21fff71f,0x037ec6fc,
    0xa8817fec,0x22fffbaa,0xfffbaaa8,0x3fff72a2,0x7fc83cef,0x3ea07fe4,
    0xf755513f,0xb0fe85ff,0xf3fe40df,0x322cb8bf,0x264ccffe,0x00ffe3ff,
    0x1ff93fe4,0xffc87fdc,0xea83fee0,0x05eefffe,0x2ff98ff9,0xff007ff2,
    0xff76fd8d,0xd83ffe23,0x27fd00ff,0x9fd2fffd,0x7ec06fd8,0x3ff6003f,
    0x21ffec03,0xfffffffb,0x647fc86f,0x27fcc0ff,0xfe83ffd8,0x7e40dfb1,
    0x7ccbff67,0x3ffffe3f,0xd93fe67f,0x83df50ef,0x51ff27fc,0x51ff23ff,
    0x7ffdc3ff,0xf907ffff,0xfdbffd0f,0x5ff805ff,0xfff9bfec,0x360ffefe,
    0x7d7f207f,0x1ff8cfcf,0xff9037ec,0x27fe4007,0x2613ff20,0xaadffbaa,
    0x7e47fc82,0x417fe40f,0x5ff04ffc,0x7fc81bf6,0x3fffffe6,0x4cffecc6,
    0xfa8ffea1,0xc85ffeff,0xf51ff27f,0xf51ff23f,0x03ff203f,0xfb30ff90,
    0x809fd3df,0x73fe44ff,0x1ff39fff,0xff3037ec,0xf7df3df5,0x7c0dfb0f,
    0x5c09a84f,0x7fdc05ff,0xff999505,0xff90799b,0xfeeeffc8,0x7fdc0fff,
    0x367ff105,0x31ff206f,0x9039dffd,0x0bfee0ff,0x019dffd5,0x237e4ff9,
    0x8df91ffa,0xff901ffa,0x207fc801,0x3e013608,0x0c3fe44f,0x06fd81f3,
    0xffa7f7fc,0x2ce984fe,0xff989fd0,0x803bfea2,0xf700effa,0xdfffffff,
    0xffc8ff90,0x41efffff,0xf300effa,0xc81bf67f,0x019fb07f,0x7ff41ff2,
    0xfc80d700,0xff51bf27,0xff51bf23,0x003ff203,0x27c00ff9,0x3f227fc0,
    0x3607dc07,0x7ffe406f,0x103fffb2,0xff503fb5,0x21ffd537,0x9999fff9,
    0x267ffe61,0x2eaa6199,0xc82aadff,0x55ffe47f,0xfff981aa,0x3e619999,
    0x640dfb4f,0x0bf3107f,0x2aa67ff2,0x1b203ffe,0x37e4ff90,0x37e47fea,
    0x7e407fea,0x03fe400f,0x7c099fb0,0x203fe44f,0xdfb2bdf9,0x50fffa80,
    0xd5530fff,0x3fffa01f,0x3ff61fff,0x367fffff,0x7fffffff,0xc807ff10,
    0x007fe47f,0x7fffffec,0x6d3fe67f,0x21ff206f,0xf904fbaa,0xbfffffff,
    0x81bdfb80,0x51bf27fc,0x51bf23ff,0x3ff203ff,0x003fe400,0x7fc0bdb1,
    0x5c03fe44,0x00dfb2ee,0x27fc4dff,0x200def5c,0x6c0bdeca,0x7fffffff,
    0x3ffffff6,0x07ff107f,0x7fe47fc8,0xffffd800,0x3ba27fff,0x7e40dfb3,
    0x01677447,0xbdfffff9,0x3bd91005,0x0000ff90,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0bd90000,
    0x5554cbd7,0x30aaaa81,0x2a980155,0xaa855530,0x2aaaaaaa,0xaaa86aa2,
    0x22155300,0x2aa881aa,0xe8beec88,0xd917d91e,0xaaaa987d,0x54400aaa,
    0x555002bc,0x80154c01,0x99999999,0x44005530,0x1ee8beed,0x201665c4,
    0x8f7441cc,0x1aa982aa,0x5bd71aa8,0x25fe83ff,0xff84fffc,0x01ff92ff,
    0x7cc0ffc8,0x7fffc2ff,0x266fffff,0x17fea3ff,0xffd1bfe2,0x443ffc83,
    0xffdffffe,0xffffdfb1,0x7fffe49f,0xf705ffff,0x403dffff,0x3603fff8,
    0xfff9806f,0xf94fffff,0x3ffe200d,0x741ffdff,0x3ee04fff,0xd97fcc2f,
    0x45ffe87f,0x2ff93ff9,0x8bfe64ff,0x7cc6fffc,0x1ff92fff,0x260ffc80,
    0xeee82fff,0x26fffeee,0x7fec3ff9,0x2617fec1,0x1bfe66ff,0x3ee73ff2,
    0x5dffb1ff,0x3f23ffd3,0xfffeeeef,0x65f7fc44,0x3fee05fe,0x01bf606f,
    0x3fffffe6,0x00df94ff,0x3ee2fff6,0x37fe61ff,0x5fff301a,0xff71ee88,
    0x23fffc43,0x2ff91ffb,0x91ff27fc,0x7dc1ffff,0x1ff92fff,0xf10ffc80,
    0x7cc005ff,0x0ffe61ff,0x7fccdff1,0x3a7ff905,0x46ff81ff,0x3ffb1ffc,
    0xffca7fcc,0x3237fc40,0x80ffcc6f,0xb01ffffe,0x266600df,0xf90efd99,
    0x91bfe00d,0x0ffd43ff,0x00bfffa0,0xffb8ffe6,0xc9ff21ff,0x3a3ff37f,
    0x7f77e44f,0x4bff7f63,0x7e400ffc,0x03ffe88f,0x30bffe20,0x7ff705ff,
    0x7c403ffa,0x884ffcff,0x8ffd44ff,0x95ff87fd,0x8dfb01ff,0x83ff82ca,
    0x05ffaff9,0x27754dfb,0xfc87fe20,0x444eec8e,0x8ffd43ff,0x80eeffec,
    0x002ffefb,0x7efecbff,0xfc97fa3f,0x3fe73fa7,0x2fe77e41,0x325ff7ff,
    0x7fe400ff,0x4003ffe9,0xff883ffe,0xff9ffd01,0xffffa805,0xa89ff106,
    0xf0ffb1ff,0x267ff2bf,0x003ffb99,0xff903ff9,0x3f603ff6,0x900dff36,
    0xfeffc87f,0x3fe25fff,0xfd8ffd44,0x7cc0ffff,0xb002ff9f,0x7edffcdf,
    0x7e47ff15,0x1bf3fee7,0x4dfebbf2,0xf92ff9ff,0xeffc801f,0x36004fff,
    0x07fe05ff,0x02ffffcc,0x201fffd8,0x8ffe46ff,0x3fe21ffd,0xffffff94,
    0x3f2007ff,0x34ff883f,0x1dfb07ff,0xf9801dff,0x46ffe40f,0x3fa0ffe8,
    0xb88ffec6,0xbfe81aff,0xf7002ff8,0xf53ff31f,0xfc87feaf,0x0ffffe27,
    0x27fe3bf2,0x92ff9dfb,0xffc801ff,0x801fffff,0x3e00effb,0x3fff200f,
    0x3fffb000,0xf997fec0,0x1bffb1ff,0x3f25ff91,0xefffffff,0x81ffe401,
    0x1bfe1ffb,0x03bfbbf6,0x3f213f60,0xc83fee0f,0xfffc9cff,0x3207fea1,
    0x885ff15f,0x2bfe61cc,0x73ff17fb,0x6c7fc8ff,0x6fc80fff,0xf37fd7fd,
    0x003ff25f,0xff37fff9,0x0fff980d,0x3e203f40,0xfff5004f,0x7ffc40df,
    0xfb1fffff,0x4bffffff,0xa9999ffc,0xff100ffe,0x557ff409,0x7ec1ffda,
    0x4c00ffff,0x47fc81ff,0x3fe21ffa,0x21ffefff,0x7fcc1ffa,0xf985ff10,
    0x36ffe22f,0x3f6ffa5f,0x3ea3fe46,0x32df905f,0xff99ffef,0xc801ff92,
    0x13ff24ff,0x400fffc4,0x27fc407d,0x7efffc40,0x3ff2203f,0xdfb1ffad,
    0xfc8bfff5,0x03ff980f,0x7fcc0ff5,0x5fffffff,0x27ffffec,0x7e41bee0,
    0x220ffd46,0x1ff9befd,0xff907fea,0x4fffffff,0x77f42ff9,0x3fbf22ff,
    0x2a3fe44f,0x2df902ff,0xff37fffa,0x9003ff25,0x7ffc41ff,0x01fff441,
    0x7fc403a8,0x8bffd804,0x84401fff,0x4dfb1ff9,0x501ff900,0x0f2607ff,
    0xffffffc8,0x3f60ffff,0x201ffb9f,0x8df904fd,0x20661ffa,0x3fea0ffa,
    0x7ffffe41,0x0fc47fff,0xa83ffff2,0x4c02ffff,0x3f207fea,0x26bfff16,
    0x35ff92ff,0x3f213333,0x237fdc0f,0x9999effc,0x07322199,0x5404ff88,
    0x1bfea6ff,0xfb1ff980,0x33ff900d,0x03ffd753,0x7fc03326,0x6c7ff505,
    0xe81bfa6f,0xa8df903f,0x4bff21ff,0x7fd47fd9,0x54cccc41,0x1b621bff,
    0xf11bffea,0xdec81fff,0x203ffff8,0x4fffa6fc,0xfff92ff9,0x32dfffff,
    0x4ffe80ff,0x3ffffff6,0xff30ffff,0x027fc405,0xfd83fff1,0x3ff3003f,
    0x3f201bf6,0xffffffff,0x203fee05,0x3fe02ffa,0xffa9bf66,0x901ff882,
    0x21ffa8df,0xfffffff8,0x400ffd43,0x06c42ff8,0x7427ffc4,0xd6fc86ff,
    0x6fc807df,0x7fcc7ff2,0xffffff92,0x03ff2dff,0x7ec7ffe6,0xffffffff,
    0x405ff30f,0x3f204ff8,0x1fff884f,0xd91ee980,0xffff900b,0xb807dfff,
    0x0ffd80ff,0x7ec7ff20,0x7cc37ec6,0xa8df900f,0x7f6cc1ff,0x1ffa81de,
    0x002ff880,0x7e417ff4,0x004db84f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,0x301aaaaa,
    0x45510155,0xaaaaaaa9,0x555530aa,0x0aaa0555,0x5530aa88,0x00335555,
    0x8aa602a6,0x455302a9,0xaaaaaaa9,0x5555531a,0x5c055555,0x0039901c,
    0xaaaaa820,0xca82aaaa,0x3dd10cee,0x2a006a60,0xfd70ceec,0x545ec85b,
    0x4c3ed8ee,0xec9cefdb,0x577442ce,0xfffffffc,0x427fe41e,0x3fff27fb,
    0x92ffffff,0xdfffffff,0x901ffc83,0x3fff21ff,0x00efffff,0x43bffff9,
    0x03ff27fd,0x7fe43ff2,0x94ffffff,0xffffffff,0x5ff701ff,0xb500bfe0,
    0x065d37bd,0xffff9060,0x05ff35ff,0xff9013f6,0xfffdffff,0x237ecbff,
    0x24ff8ffa,0xfffffff8,0x222fffff,0xeeffcaff,0x321ffffe,0x3fdc1fff,
    0xdddddff9,0x3bff23dd,0x4c7fffee,0x4dff04ff,0xfeeeeffc,0xeffc86ff,
    0x9ff65ffd,0xffc80ffc,0xddddff90,0x3bbae7dd,0x0eeeefff,0xf817ffcc,
    0x3fff602f,0x20066fff,0x2e77fee1,0x02fe8efe,0x7fdc09fb,0x3ffffb9d,
    0x1bf65ff5,0x49fb1ff5,0xffc88efc,0x10ffb89f,0x70ff95dd,0x7ffe4bff,
    0xff93fdc6,0x81ff9001,0x3ffc2ffd,0xff91ffd4,0x40ffe881,0x47fea5ff,
    0x03ff27fd,0x7fe43ff2,0x07fe4000,0x2ffffd88,0x37ff3331,0x467fdc13,
    0x0030fff9,0x3ea37f43,0xfb01f89f,0x2e3ff409,0xdafec6ff,0xe87fd46f,
    0x13fea083,0x1ff205fd,0xffc8ffe4,0xc9fee3ff,0xffc800ff,0x3227fcc0,
    0x07fe41ff,0xff701ff9,0x3e22cc83,0x7e4ffb3f,0x90ffc80f,0xfc8001ff,
    0xf9ff700f,0x3fffee5f,0x3fe6ffff,0x0d3fff26,0x84ff88c0,0x3a25edff,
    0xeeefffee,0xff113fe0,0x2dffdddf,0x57fd46fd,0x7edc40fc,0xfeeeefff,
    0x20ff904f,0xdff92ffa,0xc9fee1ff,0x999999ff,0xf503ff20,0x44ff987f,
    0x07fe45ff,0xfb803fec,0x7e4ffb1f,0xfc99999f,0x001ff90f,0x9700ffc8,
    0x3ee5ff11,0x6fffffff,0x27ee7ff1,0x230035fe,0xfff83ff8,0x7ffffcc3,
    0xff10ffff,0xeeeff887,0x8dfb5eee,0x5c0bfffb,0xeffcdfff,0x904eeeee,
    0x4ffe60ff,0x74ff9efc,0x7fffe4ff,0x3f26ffff,0xfffcaabf,0x3e67fe81,
    0x777fe42f,0x804fffee,0x9ff66fe8,0xfffffffc,0xfff90fff,0x640bffff,
    0xff8800ff,0x7ff33312,0x2bfe2133,0x06bfd2fa,0x4c6fe860,0xccc883ff,
    0x20cccefe,0x2ffd46ff,0xff71ff60,0xf997fe01,0x3fe4004f,0xdf94ff98,
    0x9fee7ff6,0xfffffffc,0x3ffff26f,0xf704ffff,0x321ff23f,0xdfffffff,
    0x1ffe8801,0xfffc9ff6,0x0fffffff,0xfffffff9,0x007fe40b,0xff817fc4,
    0x27fbff02,0x30034ff8,0xfd99ffec,0x409fb007,0xfe98cffc,0x27ff11ff,
    0xffd11ffb,0x647ff101,0x5df30fff,0x1ff27322,0x6fc9ffcc,0x4ff7dff1,
    0xfc800ffc,0x02deefff,0x2ffd3fe2,0x7f5dffe4,0xffe8802f,0xff93fec2,
    0xff933333,0x2667ff21,0x3ff20099,0x02ff8800,0x3ff205ff,0x063ff915,
    0xfffe8860,0xfb003fff,0x7fff4409,0xfeffffff,0xdfff30ef,0x3601ffdf,
    0xffffedff,0x3e26ffef,0xf507fcaf,0xfb9bf25f,0x3ff27fef,0x00ffc800,
    0xffaffe80,0x3a0ffc82,0x3fa203ff,0x327fd82f,0x0ffc80ff,0xc8001ff9,
    0xff8800ff,0x2203dd02,0x4fffefff,0xd9106006,0x6c005dff,0x7fe4404f,
    0xfffd89ef,0x67ffdc1d,0xfb100ff9,0xffd319ff,0x57fc41bf,0x1ffd07fc,
    0xfffd1bf2,0x4007fe4f,0xb8000ffc,0xf907feff,0x0fffc41f,0xd817ff44,
    0x203ff27f,0x1ff90ffc,0x00ffc800,0x5532ff88,0x45555555,0x2effeced,
    0x1100c00c,0x22000000,0x00300300,0x20010040,0xda999ffc,0x31bf23ff,
    0x7fe4ffff,0x09999999,0x10001ff9,0x3209ffff,0x37fdc0ff,0x5556ffe4,
    0x7e4ffb1a,0x90ffc80f,0xfc8001ff,0x2ff8800f,0xfffffff7,0x01104cdf,
    0x2666666a,0x00000299,0x00000000,0x90000000,0xffffffff,0xfc86fc8b,
    0x3ffff27f,0xf94fffff,0x3f60001f,0x1ff901ff,0xff87ffb0,0xb3ffffff,
    0x407fe4ff,0x1ff90ffc,0x00ffc800,0xff72ff88,0x0dffffff,0x00000000,
    0x00000000,0x00000000,0xdfffff90,0x10df905b,0x7ffe4fff,0x94ffffff,
    0x2a0001ff,0x3ff206ff,0x50fff880,0xffffffff,0xffc9ff67,0xf90ffc80,
    0xffc8001f,0x02ff8800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f64c000,0xbdd9104d,0x5eff5c03,0x22180440,0x8bd9000b,
    0xeca80eea,0x332200ce,0x33bb2601,0xc85c4002,0x30eeb85e,0x9ddddddd,
    0x0ef55f64,0x6cd76c00,0x1bdb51df,0xdd31f754,0x764675c9,0x361f644e,
    0x00176c3e,0x9dd52f64,0x11644000,0x7ffcc177,0x7fc46fff,0x7442ffff,
    0x225fffff,0xfbbdcaee,0x8019ff12,0x07fd46fd,0x3ffffff2,0x207ff102,
    0x3ffffffb,0x50ffc980,0x25fe83ff,0xfffffffa,0x3fffbf65,0xfe8bfc81,
    0xffffdfd0,0x1dffff9f,0xffe8fff4,0x3ffbbf20,0x99fee5ff,0x87fe66ff,
    0xd86f8afd,0x41dff36f,0x306d42e8,0x3bbe27fd,0x911bfb0f,0x8aefd8ff,
    0x3ff20ffd,0xf32ffb8b,0x9fffffff,0x077fffe2,0x3fea37ec,0x2e77fee0,
    0xff880ffe,0x7e45fd03,0x3fff6a05,0xf993fe0f,0x2eaaa22f,0x3ff62fff,
    0xb6f984ae,0x45fff47f,0xfc8bfffa,0x33bfe22f,0x6ffe42ff,0xf30ffe88,
    0x43ffee3f,0x47fc46fc,0x477ec4fc,0x7fec0eff,0x3e29ff52,0xf51713fe,
    0x3ff70445,0xff88ffe2,0x1571bfe2,0x7fe6ffdc,0x7fff5c46,0x2a37ec3e,
    0x51bfa0ff,0x3a0007ff,0x2e201bef,0x40befffe,0x01bf27fc,0xffd87ffb,
    0xf55fd100,0x7fc7fe8d,0xf70ffe66,0xff909fff,0xfd07fdc1,0x74bfff67,
    0xf8dfc84f,0x3fbff62f,0xcfff880f,0xf3310eff,0x5cc6fb87,0xf31ffffd,
    0x9ffddddf,0x3600ffe2,0x403fe64f,0xb0ffffc9,0x10ffa8df,0x2bff09ff,
    0xeeeeeeeb,0x3fffea5e,0x3ffe20be,0x3fe601cf,0x7e407ff2,0x207fd84f,
    0x42ff8dfc,0x12ffc6fe,0xdffb07ff,0xff51ff20,0xcffafe43,0x881ff8cf,
    0xb0ffbaff,0x201fffff,0x80effff8,0xa7d4c3f9,0xffccfffb,0xddddff31,
    0x13fe27dd,0xff88ffa0,0x87ffd401,0x87fdc6fd,0x5ff83ff8,0xfffffff9,
    0xfffeb8df,0x0bffe26f,0x7fd6fec0,0x20bff700,0x33fa06fd,0x2ff41ff9,
    0x3ff893fe,0xc80fffd8,0x30ffd47f,0xdf3df5ff,0x67f40ff7,0xfffb1ff9,
    0x7fdc0bff,0x2a7f302f,0xff8df89e,0xff87fea4,0x5c5ff803,0x5c3bf22c,
    0xffb880ff,0x71ff65ff,0x237f41ff,0x99954ff9,0x08799999,0x6c5ffb51,
    0x200cffff,0x505fdffa,0x3f601dff,0x327fe206,0x3e2ff45f,0x70ffe24f,
    0xf90bffff,0x7c1ffa8d,0xfdff4fef,0x363bea09,0x2a7ff64f,0xfffa81ff,
    0x23f982ff,0xff99fffe,0xfd87ff22,0x6c3df50e,0x47ff32ff,0xeffffffc,
    0x3ffff6a0,0x88ffdc0c,0x3ff60ffe,0x203ffb33,0x2ff98099,0xf9107fe2,
    0x3e05bfff,0xff982fff,0x3619999f,0xeafdc06f,0xff17fa2f,0xf11ffc49,
    0xc87ff7bf,0x20ffd46f,0xffb2fffc,0x2a7fa03f,0xfd37ec6f,0xf9effa8d,
    0x20d442ff,0x76fff419,0x3fea2fff,0x7cc5ffef,0x266fffff,0xffffffff,
    0x17dfff15,0x3fbffe60,0x3fa20ffe,0x103fffff,0x3ff207ff,0x2205ffde,
    0xc80fffeb,0xfffb07ff,0x7ecfffff,0xf9afd806,0x9ff17fa6,0xffd1ffc4,
    0xfc87ffa1,0x2a0ffd46,0xfff50fff,0x0ff53ee0,0x3ffa9bf6,0x7fc43bf2,
    0x3f660004,0x544fe9ef,0x980ceffe,0x641ceffe,0x21d31534,0xf7002df8,
    0x81ff39ff,0x02effec8,0x5c40ffe2,0x000dfffe,0xff301fb5,0x3ffff609,
    0x1bf67fff,0x854c6a20,0x127fc5fe,0x8ffee7ff,0x1bf26ff9,0xdff03ff5,
    0x2a827fc4,0x8dfb0351,0x102e0ffd,0x02200007,0x02000880,0x8000c000,
    0x00088001,0x03100155,0x00000c00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x0f2a01ca,0x220de5c4,0x01c881ba,
    0x13ca8591,0xdddddddd,0x3bbba21d,0x2e0eeeee,0x2ea5771b,0x22101a83,
    0x99109999,0x2a2cc883,0x64f2a2de,0x3e21990c,0xffffffff,0xfffff13f,
    0x007fffff,0x00000000,0x00000000,0x7ff40000,0x0fff885f,0x13ff7fc4,
    0xf885fddf,0x26fffb81,0xffff16fd,0x221fffff,0xffffffff,0x3e9ff10f,
    0x2e2ffd6f,0xda9cefff,0x49ffff52,0x22fdc5fb,0xdf90fc88,0x887fc7fe,
    0xdddddddd,0xbbbb12dd,0x05bbbbbb,0x00000000,0x00000000,0x3ea00000,
    0xffb81fb4,0xfd8d443f,0x5d7e3b30,0x3a4ebfbe,0x5bf63f34,0xcbbbbbb8,
    0x777710ff,0x22177777,0x3adff4ff,0xfffff57f,0x3ea5ffff,0x0fe44fff,
    0x7eaa98df,0xb85ddbf2,0x0000000b,0x00000000,0x00000000,0x64000000,
    0xff87f71f,0xffdb87fd,0x932fc81f,0x3e25bffd,0x805c8fe2,0x20000ff8,
    0x36bfd3ff,0x9513b56f,0x55449fff,0x404081aa,0x0000bddb,0x00000000,
    0x00000000,0x00000000,0x2fb80000,0xfbfdc5f7,0x3677ee3f,0x2227ec1f,
    0x5f640fee,0x005f50fd,0x3ba21ff1,0x0eeeeeee,0xb9fe4bfa,0x0000805f,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbef88000,0xfc9ff47e,
    0x3feb3ee6,0xe8273f61,0x7e446e8f,0x4400f22e,0xffff10ff,0x4c1fffff,
    0x2a21510a,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8b7fae00,0x5ff10ffa,0x4bf3bfa2,0x225ffffb,0x00020332,0x32217710,
    0xcccccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01000000,0x43cb8797,0x55555300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_21_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,0,1,1,1,0,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,-1,0,0,0,0,-1,-1,0,0,0,0,1,1,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,1,1,1,1,-1,0,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,0,0,
0,0,0,0,0,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-1,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_21_latin_ext_y[560]={ 17,3,3,3,2,3,3,3,3,3,3,5,14,10,
14,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,19,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,8,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,17,7,3,3,5,3,
3,3,3,3,3,7,7,10,3,1,3,4,3,3,3,7,3,9,17,3,3,7,3,3,3,7,0,0,0,0,
0,0,3,3,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,5,2,0,0,0,0,0,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,6,3,3,3,3,3,3,3,
0,3,0,3,3,7,0,3,-1,3,-1,3,0,3,0,3,3,3,0,3,-1,3,-1,3,3,7,0,3,-1,3,
0,3,-1,3,3,1,-1,0,3,3,0,3,0,3,-1,3,3,3,0,7,3,3,-1,3,3,3,7,0,0,3,
3,3,3,3,3,3,3,0,3,3,7,0,3,3,3,7,0,3,-1,3,0,3,3,7,0,3,3,7,0,3,
0,3,-1,3,3,7,0,3,3,3,0,3,3,3,0,3,0,3,-1,3,-1,2,0,3,3,7,-1,3,-1,3,
0,0,3,0,3,0,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,5,5,5,5,5,5,5,5,5,5,3,7,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,0,3,0,
3,0,3,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-2,-1,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__arial_bold_21_latin_ext_w[560]={ 0,4,7,11,10,16,14,4,6,6,7,11,3,6,
3,7,10,7,10,10,11,10,10,10,10,10,4,4,11,11,11,11,19,14,12,13,12,11,10,14,12,4,9,13,
10,14,12,14,11,15,13,12,12,12,14,18,13,14,12,5,7,5,9,12,5,10,10,10,11,10,7,11,10,3,
5,10,3,15,10,11,10,11,7,10,7,10,11,15,11,11,10,7,3,7,11,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,10,11,10,11,
3,10,7,15,7,10,11,6,15,12,7,10,6,6,5,9,12,3,6,5,7,10,16,16,16,11,14,14,14,14,
14,14,19,13,11,11,11,11,6,6,7,7,14,12,14,14,14,14,14,9,15,12,12,12,12,14,11,10,10,10,
10,10,10,10,16,10,10,10,10,10,5,5,7,7,11,10,11,11,11,11,11,10,11,10,10,10,10,11,10,11,
14,10,14,10,15,12,13,10,13,10,13,10,13,10,12,14,14,12,11,10,11,10,11,10,11,10,11,10,14,11,
14,11,14,11,14,11,12,10,14,11,7,7,7,7,7,7,5,5,4,3,13,8,11,7,13,10,10,10,5,10,
6,10,7,10,7,11,6,12,10,12,10,12,10,13,12,10,14,11,14,11,14,11,19,17,13,7,13,8,13,8,
12,10,12,10,12,10,12,10,12,7,12,10,12,7,12,10,12,10,12,10,12,10,12,10,12,11,18,15,14,11,
14,12,10,12,10,12,10,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,17,14,10,10,10,10,10,10,10,10,10,10,10,10,10,15,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,14,10,7,7,14,
11,12,10,12,10,12,10,12,10,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,14,10,19,16,15,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_21_latin_ext_h[560]={ 0,14,6,15,17,15,15,6,18,18,7,11,7,4,
3,15,15,14,14,15,14,15,15,14,15,15,10,14,11,7,11,14,18,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,16,14,15,14,15,14,14,14,14,14,18,15,18,8,2,4,11,15,11,15,11,14,14,14,14,
18,14,14,10,10,11,14,14,10,11,15,11,10,10,10,14,10,18,18,18,5,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,14,18,15,11,14,
18,18,3,15,8,10,7,4,15,2,7,13,8,8,4,14,18,3,4,8,8,10,15,15,15,14,17,17,17,17,
17,17,14,18,17,17,17,17,17,17,17,17,14,17,18,18,18,18,18,10,16,18,18,18,18,17,14,15,15,15,
15,15,15,16,11,14,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,11,12,15,15,15,15,18,18,18,
17,15,17,15,18,14,18,15,19,15,19,15,18,15,17,15,14,15,17,15,18,15,18,15,18,14,17,15,19,18,
18,18,19,18,18,20,18,17,14,14,17,14,17,14,18,14,18,18,17,10,15,18,19,18,18,18,10,17,17,18,
18,14,14,14,14,14,14,17,14,18,14,17,14,14,15,15,18,15,19,15,18,15,15,11,17,14,18,14,17,14,
18,15,19,15,18,14,18,15,20,20,17,15,14,15,18,15,18,15,19,15,19,16,18,15,18,14,18,14,18,18,
17,17,14,17,14,17,14,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,18,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,15,17,14,18,
15,18,15,18,18,18,18,18,18,18,18,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,19,18,15,19,15,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_bold_21_latin_ext_s[560]={ 200,66,83,37,1,190,125,78,242,70,34,
190,50,103,129,218,61,133,80,165,216,105,216,174,205,227,251,228,102,66,45,
136,48,148,123,29,1,27,109,175,96,91,165,39,28,13,14,190,39,24,66,
51,120,144,51,233,86,71,53,218,157,193,9,141,110,1,238,23,17,12,208,
196,185,252,105,163,252,156,184,68,112,100,137,91,43,57,114,195,172,1,126,
192,162,27,91,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,200,193,111,
116,34,150,252,136,133,1,19,145,54,103,128,154,42,141,27,249,116,230,228,
252,122,243,1,211,71,54,88,116,218,203,61,95,28,65,129,51,110,122,134,
146,158,76,170,117,95,133,166,36,186,55,40,233,62,27,14,237,92,205,170,
245,234,223,212,201,190,40,234,211,143,132,121,110,205,250,162,248,49,12,25,
13,1,238,226,80,152,196,185,174,30,90,115,126,178,154,220,89,138,44,201,
35,91,13,159,241,1,114,235,74,222,41,12,144,154,133,142,102,154,237,193,
207,76,200,227,15,144,68,1,9,129,159,204,240,125,149,109,165,128,157,122,
73,43,252,100,27,173,107,115,181,222,179,250,16,249,72,121,110,64,83,249,
190,173,80,184,15,1,57,177,155,212,218,185,78,147,90,113,202,165,83,93,
107,1,195,35,166,131,230,241,219,215,46,21,1,48,83,23,248,102,152,77,
207,118,72,105,51,1,1,224,71,199,91,178,166,80,146,128,96,139,83,182,
198,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,176,164,164,79,
164,164,164,164,164,164,164,164,164,164,164,164,164,12,175,164,164,164,164,164,
164,164,164,164,164,164,164,164,94,220,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,233,163,
248,36,237,1,49,24,213,226,200,1,12,25,36,62,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,61,50,166,57,34,140,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164, };
static unsigned short stb__arial_bold_21_latin_ext_t[560]={ 20,213,255,150,116,116,133,255,60,41,255,
228,255,255,255,133,150,228,228,150,213,166,166,213,166,166,228,213,243,255,243,
213,60,213,213,182,228,228,228,166,228,228,166,213,213,213,228,166,228,116,228,
182,228,166,228,213,213,213,213,22,166,22,255,255,255,243,166,243,182,243,213,
213,213,182,22,213,116,243,243,243,213,213,243,243,182,243,243,243,243,213,243,
60,22,60,255,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,20,198,22,
166,243,198,1,22,255,182,255,243,255,255,166,255,255,228,255,243,255,182,41,
224,255,243,255,243,166,166,166,198,79,79,98,79,98,79,182,79,79,79,79,
79,79,98,98,98,182,98,60,79,41,41,41,243,116,41,41,22,22,98,198,
150,150,150,150,150,150,116,228,198,150,150,150,150,198,133,198,198,150,198,150,
150,150,133,133,243,228,133,133,133,166,41,41,41,98,150,98,133,41,198,41,
133,1,134,1,116,60,133,98,133,198,166,116,116,41,116,60,116,60,198,98,
116,1,60,60,60,1,60,79,1,60,98,182,182,98,182,98,182,22,182,22,
22,98,213,133,79,1,60,60,60,243,79,22,79,60,182,182,182,182,182,166,
79,182,60,182,98,198,198,116,116,60,116,1,116,22,116,116,228,79,198,60,
198,98,182,60,116,1,116,41,182,41,133,1,1,98,150,198,98,41,133,41,
133,1,150,1,116,41,166,22,198,22,198,22,22,79,98,198,98,198,98,198,
198,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,150,228,228,22,
228,228,228,228,228,228,228,228,228,228,228,228,228,166,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,150,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,79,133,
79,198,1,134,22,133,1,1,1,22,22,22,22,22,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,1,1,41,133,1,133,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228, };
static unsigned short stb__arial_bold_21_latin_ext_a[560]={ 84,100,143,167,167,267,217,72,
100,100,117,176,84,100,84,84,167,167,167,167,167,167,167,167,
167,167,100,100,176,176,176,184,293,217,217,217,217,201,184,234,
217,84,167,217,184,251,217,234,201,234,217,201,184,217,201,284,
201,201,184,100,84,100,176,167,100,167,184,167,184,167,100,184,
184,84,84,167,84,267,184,184,184,184,117,167,100,184,167,234,
167,167,150,117,84,117,176,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,84,100,167,167,167,167,84,167,
100,222,111,167,176,100,222,166,120,165,100,100,100,173,167,84,
100,100,110,167,251,251,251,184,217,217,217,217,217,217,301,217,
201,201,201,201,84,84,84,84,217,217,234,234,234,234,234,176,
234,217,217,217,217,201,201,184,167,167,167,167,167,167,267,167,
167,167,167,167,84,84,84,84,184,184,184,184,184,184,184,165,
184,184,184,184,184,167,184,167,217,167,217,167,217,167,217,167,
217,167,217,167,217,167,217,216,217,184,201,167,201,167,201,167,
201,167,201,167,234,184,234,184,234,184,234,184,217,184,217,184,
84,84,84,84,84,84,84,84,84,84,236,167,167,84,217,167,
167,184,84,184,84,184,116,184,144,184,84,217,184,217,184,217,
184,213,217,184,234,184,234,184,234,184,301,284,217,117,217,117,
217,117,201,167,201,167,201,167,201,167,184,100,184,144,184,100,
217,184,217,184,217,184,217,184,217,184,217,184,284,234,201,167,
201,184,150,184,150,184,150,84,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,218,226,226,167,226,226,226,226,226,
226,226,226,226,226,226,226,226,257,214,226,226,226,226,226,226,
226,226,226,226,226,226,226,250,218,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,217,167,84,84,234,184,217,184,217,184,217,
184,217,184,217,184,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,217,167,301,267,234,184,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_21_latin_ext(stb_fontchar font[STB_FONT_arial_bold_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_21_latin_ext_s[i] + stb__arial_bold_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_21_latin_ext_t[i] + stb__arial_bold_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_21_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_21_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_21_latin_ext_x[i] + stb__arial_bold_21_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_21_latin_ext_y[i] + stb__arial_bold_21_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_21_latin_ext_s[i] + stb__arial_bold_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_21_latin_ext_t[i] + stb__arial_bold_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_21_latin_ext_x[i] + stb__arial_bold_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_21_latin_ext_y[i] + stb__arial_bold_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_21_latin_ext_LINE_SPACING
#endif

