// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_11_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_11_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT         94
#define STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_11_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_11_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_11_latin_ext_LINE_SPACING           7

static unsigned int stb__consolas_11_latin_ext_pixels[]={
    0x1000aa55,0x0550ed40,0xa81880cc,0xdd116542,0x2a03baa5,0x220a22a2,
    0x2f21544c,0x44005500,0x5402009a,0x00071003,0x00188154,0x0b2e0000,
    0x00e00000,0x00244000,0x2160ea75,0x93305eec,0x103880e8,0x320e9819,
    0x6c162572,0x266a3b80,0x5dcc4b82,0x5dcc1dc2,0x04b83902,0x75126126,
    0x220589dc,0x2640ee05,0xfa95c3ea,0x106d8570,0x261e6097,0xdddd2eee,
    0x3a2b1068,0x42983cc0,0x753eeeea,0x25feb8ea,0x27f5c069,0x6c176166,
    0x8930ec0d,0xa8360b15,0x0c4331aa,0x35551072,0x1886624c,0x555106c4,
    0x3327f5c3,0x4ee3a8c4,0x2e61a8d8,0x2aa20aae,0x3aa1dc1a,0x5d3aa574,
    0x4c077622,0x01d10604,0x2215340d,0x220a03b5,0x21dc1aaa,0x23a6753a,
    0x59817c44,0xcd8685bb,0x23443b80,0xb15bec9c,0x3caa8360,0x07216cb3,
    0x2c43f55d,0x3ae2d966,0x47eaba4f,0x9665bb59,0x89dc752d,0xd730eade,
    0x7d574155,0xca9dc751,0x1d752b8e,0x81dddc57,0x1eee9849,0x7681a077,
    0x4c166c49,0x2aba2eee,0x4ea1dc1f,0x3077d119,0xd8ab85db,0x7730e44a,
    0x45a8db01,0xb15abc9d,0xe8ee0360,0x3444b8d0,0x8741790f,0x4d12da26,
    0x92b62ae7,0x771d4d0e,0x1622c9a2,0xb8ea79a2,0x25777753,0x362bcaba,
    0xd0930688,0x4fb65901,0x25f45eee,0x03a21ba2,0x43b879a2,0x05dd303a,
    0xaaac83a2,0x75716459,0x261dd88d,0xace55ec4,0x7701b058,0x16a255dc,
    0x0b61373a,0x46cc9577,0x5926e745,0x55dcb355,0xb13b8ea4,0x3a0b115c,
    0x3b8ea4dc,0x9d4afa75,0xf55f12ce,0x04a89301,0x2069dc77,0x25ec42df,
    0x4dce80ee,0x089d43b8,0x1d80f55c,0xd12a32ae,0x5dc1d303,0x75b1a23b,
    0x6c16295d,0x37a23b80,0x23661c80,0xde885880,0x1b324f40,0x4a8cab81,
    0x259837a2,0x20ecb11d,0x5408d986,0xeb9d4ee3,0x5cbe6752,0x4983daad,
    0x70e9825c,0x45d681a7,0xd9647b58,0x2011b33e,0x43a9d43b,0xddd51d8d,
    0x43b5d989,0x07666468,0x20e8d11b,0xb10c9c8c,0xb0ee0360,0xef88720b,
    0x6c1260de,0xf14eea85,0x57661bdd,0x7642ec1d,0x0fb7e24e,0x77c43bae,
    0x9dc750de,0x8ea5f13a,0x234c3b2d,0x0b31efee,0xee977754,0x11e8b46e,
    0x71dc7a2b,0x037bbe27,0x2753a877,0x1883efea,0x2d87df90,0xf8874566,
    0xb9660faa,0x0360b102,0x2e03b0b2,0x263b92a2,0x86e03b04,0xefc8ee4a,
    0x85701d83,0x2a0c4058,0x3b2ccee4,0x81640188,0x1e81882b,0x42440620,
    0xe9831018,0x3b92a770,0x1d4ea0c4,0x3902b816,0xdbbd0950,0x0f6ab6e1,
    0x8af32277,0x1d931ce8,0x6d43b326,0x74cfa203,0x83d70ecc,0x983203da,
    0x0720ecce,0x45b80f6a,0x2615c058,0x3b20ecce,0x2e02b84e,0x0ae16e06,
    0x57077b26,0x05707660,0x3bbaa0ae,0x81d99d32,0x43a9d42b,0x00080200,
    0x034c3b00,0x884cc044,0x0220c419,0x88331040,0x40c00880,0x11008198,
    0x01002000,0x02000662,0x00200010,0x00400040,0x03310001,0x00442202,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x00002a82,0x40005c71,0x0005b00b,0x06ec4593,
    0x9930ef6e,0x64ec0205,0x6c0e6cc3,0x166cc3c9,0x9800b366,0x870002cc,
    0x3cb84cd8,0x75c24cdc,0x01c4bd81,0x710007ae,0xa8188399,0x98016c05,
    0x221dc2bb,0x77743eef,0x20ecb30e,0x20aae05d,0x22097018,0x0262209e,
    0xdd90004c,0x2201088b,0x10088881,0x2ec06201,0x07bba600,0x5e40c162,
    0x21010409,0x01d81880,0x9dd70222,0x42ccff88,0x2201104c,0xaaa80ec0,
    0x2d106aa1,0x2283b878,0xa8066c09,0x42f7642c,0xd9095008,0x2771d4bd,
    0x834cee3a,0xdd90ee3a,0x544eeb8b,0x4eeb8ee3,0x775c0cd8,0x0b200744,
    0x2dc3ddd3,0x74c4eeb8,0x3bba61ee,0x774c1262,0x516cb32e,0x3b8597ff,
    0x75c4eeb8,0x5540764e,0xd1132a3c,0xb10ee1a2,0x0262506c,0x1a61dd7d,
    0x317f774c,0xa834c399,0x771d4ee3,0xb8ea0be2,0xb2cc1a63,0x26771d45,
    0x0bb98b65,0x0952d966,0x3a01d0d0,0x2d9661eb,0x803a203a,0x5c07440e,
    0xbff992a2,0x96636c2c,0xd96cb32d,0x1261dc01,0x7703fbf1,0x2c436588,
    0x5ec6541b,0x69805f12,0x44337b22,0x4ee3a82f,0xed98ee3a,0x223b8ea2,
    0x92a2b82f,0x515cee3a,0x5735d5c9,0x5404ba54,0x15982543,0x54a8ae1d,
    0x7500ee09,0x4c5903b8,0x1165f545,0x9515c3bb,0x03b4a8ae,0x2224c3b8,
    0x88770596,0x1b2c4365,0x31d555dc,0x207a05db,0x22ed980e,0x71d4ee3a,
    0x8ea1d107,0x9176cc3b,0x5c752cc5,0x4c2cc593,0x9acc590e,0x12e07405,
    0x8b23b4d8,0x4b209759,0x964683ed,0x254593ed,0x1dddc590,0x22cacc59,
    0x3b803b59,0x345a224c,0x0d9621dc,0xbb306cb1,0x703a2072,0x1d101e07,
    0x4753b8ea,0x8ea3b03b,0x321d103b,0x2e3a92a2,0x99254593,0x4a8b21d9,
    0x4c24c07e,0x592f5c05,0x77059a54,0x770e41dc,0x0765a9dc,0x9a2362c8,
    0x51652a2c,0x47700769,0x4d11efee,0x43bbba2c,0xd1683658,0x204efc81,
    0x3441a61d,0x36598ec0,0xea8ecb31,0x1d9664ee,0x3b2d4760,0x96a3b2cc,
    0x43a2b31d,0xee98765a,0x0f40721d,0x365a96a0,0x43a607a1,0x3a65883b,
    0x1f764770,0x557c4760,0xa8ecb50f,0x7776c765,0x85882c81,0xe8162018,
    0x50377b20,0x89ddd505,0xa83eb81e,0x77644eee,0x64277644,0x544eec81,
    0x77644eee,0x644eec83,0x76ef43ee,0x2a0fbb20,0xd9302c43,0x2176643b,
    0x764c3eec,0x0bbbaa1d,0x5ddd506c,0xddb814a8,0x8f6ab6e5,0x77643eec,
    0x33260c43,0x5c2e880e,0xc8876602,0x0004004d,0x897777d4,0x80000000,
    0x00000003,0x50000000,0x30000881,0x00000013,0xec800110,0x30ec1884,
    0x0570000d,0x00100031,0x00000660,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0006ec40,0x02206200,0x24cdc4b8,0x16c0ef6e,0xdd883762,
    0xa9982d40,0x882a8b80,0x5c0d4a1e,0x011000dc,0x4551664c,0x2aa83bdb,
    0x10b605b0,0x305501bb,0x1aa9839b,0x2a00e6cc,0x40026a22,0x54c712c8,
    0x30e6cc1a,0x04444663,0x104b825c,0x01dd983b,0x09804103,0x08888088,
    0x02202222,0xaa8d79d1,0xde811049,0xc80881ea,0x00975efd,0xd8130770,
    0x100882ab,0x98111101,0x700882bb,0xac402209,0x92a25c0b,0x072d1b3b,
    0x97022097,0x42775d76,0x97011008,0x3a603885,0x1dc751ee,0x71d49dd7,
    0x3aaf76c7,0x2771d4ee,0x15503668,0x3a3eef88,0x777c4350,0x590752a3,
    0xb8777740,0xe83bbba3,0x1f503b02,0x877254ae,0x5c3ea2aa,0xdd515542,
    0x575cc7dd,0x9505540a,0x4ad9d9dc,0x77740aa8,0x6cb30226,0xe83bbba2,
    0x225c46ee,0x2a03a058,0x5b2ccee3,0x5983b8ea,0x23a9dc75,0xd06cb13b,
    0x8b441d77,0xf16881a7,0x2a20e8ec,0x5c3b80a8,0x76441dc3,0xa7540ec3,
    0xb1dc952b,0xba754557,0x2e0aaf62,0x0aaeb983,0x2543aefa,0x2166e277,
    0xa8346abd,0xb89515c3,0x224c0683,0x12a0a9d8,0x8ae771d4,0x41dc754a,
    0xa9dc7559,0x1b2c4ee3,0x5a23b92a,0x16881a68,0x24ee874d,0x43b86bdf,
    0x3e01dc3b,0x3b2a0760,0x1dc952b8,0x71d9505d,0x07701745,0x3b92a162,
    0x2721dc95,0x8b667660,0x32667506,0xd0771662,0x6fc44980,0x1d412e6b,
    0x5598b277,0xaacc1dc7,0x771d4ee3,0x4770d962,0x87f7e23a,0x87f7e206,
    0x32781d2d,0x70ea1dc1,0xd89dbd07,0x2bbbba81,0x447dddd5,0x2eeea3ec,
    0x20fb222b,0x770b103b,0x8ee4a9d4,0x9d54dcc9,0x2f774399,0xa8b37277,
    0x77741dc4,0xb3444985,0x71d41661,0x754a8b27,0x3aacc1dc,0x8771d4ee,
    0x43b2cc18,0x81885968,0xea5c5968,0x3b839340,0x440ee044,0xd3a81d81,
    0x03b92a57,0x15f4ea1f,0xd01dc0f8,0x4a8ecb30,0x2b58d8b2,0x1dc1a068,
    0x1dc1d96a,0xb1126034,0xb303d06c,0x4765a8ec,0x97087659,0x4b31d966,
    0x76415c1d,0x468b444e,0x8d16882b,0xc9a5efed,0x71321dc1,0x0760ae07,
    0x4a975cea,0x24ede8ee,0x6f45d73a,0x2e03b84e,0x93bb20ee,0x570eeaca,
    0xddfb8f76,0x6425c1a0,0x683b83ee,0xd96224c0,0xc877b260,0x1f7644ee,
    0xddd13bb2,0x32277641,0x800084ee,0x1008b268,0x2680164d,0x03bbba1c,
    0x02077774,0x3a8f776c,0x3b92a5f1,0x05f13a80,0x00001dc0,0x77400000,
    0xd000226e,0x77741ddd,0x88f7f746,0x00000365,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0002aa00,0x221d4055,0x166cc09a,0x99302662,0x66cc1c05,0x2e0d5c02,
    0x438b80dc,0x260e202a,0x5039818c,0xb8710155,0x0554c3bd,0x35102662,
    0x442cd981,0x1664c099,0x22e026a2,0x2a098a2a,0x202a8288,0x2201543a,
    0x5cc0d442,0xb11aaf61,0x04981dc0,0x22022097,0x64c000aa,0xe800884f,
    0xb300880c,0x12603901,0x5910b26a,0x40eacd87,0xb81300c8,0x055446ba,
    0x8808825c,0x25c000aa,0x4b124d54,0x30a66a0d,0x20930577,0xe859501c,
    0x575442db,0x732d99d9,0x0aa8155d,0x0aa82aa8,0x55437774,0x54377740,
    0x0eeee87a,0x75435544,0x82a981cd,0x42a980aa,0x45530262,0x55303659,
    0x982b87d4,0x26098a0e,0x986d80aa,0x286d80aa,0x44262826,0x82628365,
    0x82628262,0xeebe8262,0xe881dde0,0x731cccea,0x55ec155d,0x36155ec6,
    0x7b0346ab,0x33a068d5,0xd107707a,0x22750d77,0xd0eb6e0e,0x56dc1d77,
    0x2e0d9623,0x0d92a3ad,0x4ea8eb6e,0x87666457,0xbab83658,0x2e0eec46,
    0x0eec46ba,0x25886cb1,0x886cb10d,0x1b2c4365,0x4b10d962,0x57b1950d,
    0xda882eec,0x13d51068,0xd16ccecc,0x5b33b305,0xd99d9834,0x0d2d41a2,
    0x868ee0ee,0x5078ae3a,0x220f1dc9,0xb3078365,0x950783e6,0x4566571d,
    0x406cb10e,0x0eeee0e9,0x7777074c,0x9621b2c4,0x88745a0d,0x1b2c4365,
    0x4b10d962,0x7555770d,0xd0667ba2,0x4377ee17,0x3aa3cec9,0x3b221ccc,
    0x87333aa3,0x33aa5eee,0x97bba1cc,0x41dc1a3b,0xa8ea1a2c,0xa8ee0d14,
    0xd9620d13,0x5eec0d10,0x2ea0d10d,0x377a2bbb,0x906cb10e,0x446c1d99,
    0xb0766646,0x1b2c4d11,0x3b20d962,0x86cb10dd,0xb2c43658,0xb30d9621,
    0x74d6472b,0x80d8342d,0x1f006886,0xd10681a2,0xf35a8340,0x5cee0ee0,
    0xd8f23a86,0xd8765981,0xd83a2d01,0x0760d801,0x4415f4ea,0xb30e8b45,
    0x557c43a2,0x43a2b30f,0x5a0faaf8,0x0745a0e8,0x0745a2c4,0xd1683a2d,
    0x320e8b41,0x7dcb24ef,0xb83d80c0,0x377ee0ee,0xf713b7a0,0xf70341bb,
    0xdd0341bb,0x220ee0d9,0x33a86bee,0x2376cc1d,0x76cc4eec,0x306ef646,
    0x306c0ddb,0xeb9d4ddb,0x3b21e882,0x3b77a0dd,0x47b55b70,0x5b70edde,
    0x6ef647b5,0x20377b20,0x377b21e8,0xc8377b20,0x37b20dde,0x3a20aa0d,
    0x00fc4dee,0x80000000,0x3a006eee,0x774006ee,0x754000ee,0x000001de,
    0x00100000,0x0017c4ea,0x34c3b000,0x00d30ec0,0x00000000,0x00000800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x464c288a,0x0ea02a81,0x1910b600,0x33105a83,
    0xb00a9981,0xa8288a85,0x0550ea02,0x3a803762,0x511512e0,0x2a818c98,
    0x20550ea0,0x55441cc8,0x3602d81a,0xdd882d42,0xdd880e20,0x07366000,
    0x44330200,0x9a853351,0x415dcc2c,0x22058849,0x883feb80,0x220aa880,
    0x80886bce,0x5dcc299a,0x03904982,0x12601111,0x85335030,0x5dcc2c9a,
    0x03904982,0xaae8d33d,0x1100441f,0x22220220,0x88881620,0x4426ee40,
    0x64771d40,0x2d9665ee,0x02aa02aa,0x82aa02aa,0xd30aaeb9,0x7d445fdd,
    0x54377742,0x20d9a20a,0x0aa86eee,0x0aa80aa8,0xa8f60aa8,0x40a66a25,
    0x2aa64efc,0x260554c0,0x0554c0aa,0x35882aa6,0x1ecf344b,0x360db0b5,
    0x8d88db06,0x7588361a,0x3a677317,0x5c752fee,0x68740d33,0xbe83aefa,
    0x3aefa0eb,0x4c3aefa0,0x6980aaeb,0x81a355ec,0x4b10ebbe,0xabd81a0d,
    0x36355ec6,0x355ec6ab,0xb530f4d1,0x70db097b,0x6bab8d75,0x2ae35d5c,
    0x335d5c6b,0xdce81d3b,0x441e9a24,0x0eec41dd,0xde887762,0xac4390ea,
    0x9858ae8d,0xf13b8ea6,0x552aee05,0x77254ee4,0x4953b92a,0x3d01623b,
    0x8343b24c,0xb2c4ee4a,0x99d98341,0x5b33b32d,0x4cb66766,0x2f22d99d,
    0x69cb884a,0x1d3035d4,0x1d301d30,0x1d301d30,0xd983a766,0x84abc808,
    0x5ddc3bbb,0xd11dddc3,0x8999c964,0x742c75b4,0x263b8ea1,0x86f442ed,
    0x51dcea3b,0x773a8ee7,0x5c0b11d4,0x74591d43,0x3a8ee5ee,0xddd06cb1,
    0x8e66754b,0xd51cccea,0x33aa3999,0x03ba21cc,0xd879bbb7,0x33323ee8,
    0x83b3320e,0x3320eccc,0x3b3320ec,0x443aab30,0x3a20deef,0x4688d80e,
    0x446c688d,0x572b9626,0x3a3693b9,0x2a1dc58b,0x03a20ee3,0x23b2ccbb,
    0xb2cc7659,0x341d9663,0x3a598698,0x3b2cc1a0,0xd10683a0,0x83441a20,
    0x6c25c068,0x69d984b8,0xb30e8acc,0xe8acc3a2,0x4c3a2b30,0xb9661d15,
    0x2e1dc953,0x0faaf884,0x221f55f1,0x4b10faaf,0x75bb571d,0xd31dccee,
    0xd80ecb30,0x3bb20ec1,0x32277644,0x277644ee,0x03d0775c,0x40d0fbb2,
    0x89b04eec,0x8377ee06,0x3ee0ddfb,0x377ee0dd,0x5f5c1dc0,0x1eaf23dc,
    0xde83b77a,0x3b77a0ed,0xe83b77a0,0xd3b30edd,0x3b33a61d,0x56dc1dc0,
    0xb55b73da,0x4f6ab6e7,0x36a3ede8,0x37723daa,0xeec80f44,0xa93bbaa4,
    0x0000003d,0x3bbea000,0xdddd002e,0xddd01000,0x0000000d,0x4d000770,
    0x000004ee,0x98800000,0x43b07701,0xdb4c3b69,0x3e601a61,0xfa802f88,
    0x40002eee,0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x424cdc00,0x2e001a89,0x06ec4499,
    0xb82d42d8,0x06ec4499,0x28a00170,0x36e24cdc,0x8000003b,0x00004002,
    0x40039910,0x91154c0c,0x15400e21,0x9138864c,0x20ea0e21,0xb80e22aa,
    0x41aa982c,0x020809a8,0x5c1d5bd1,0x881044ee,0x10088088,0x22204101,
    0xe9836008,0x074b12ee,0x64098041,0x7774c5dd,0x6897bb61,0x3762f644,
    0x22f7743e,0x16cc4eeb,0x36e24760,0x0e436a3a,0x220e4059,0x436a391d,
    0x5ec24c1c,0x2073f22a,0x209704b8,0x96a3d84b,0xb2ccb268,0xd0777745,
    0x77741ddd,0x83bbba0e,0x77746eee,0xd10eaa86,0x2074b101,0x688db06d,
    0x4c00e83a,0x100b6145,0x6cd1068d,0x07601641,0x8931903c,0x0d5408ac,
    0x19126f22,0xe8352893,0x26015882,0x20d4a0ac,0x3a6881aa,0x572c9621,
    0x5c0ee254,0x0ee07703,0x3360681a,0x220770ea,0x1dd883a5,0x2ba0eec4,
    0x26012a6a,0x131b1345,0x813d12a0,0x2c87f53a,0x1a207601,0xdec85898,
    0x2e626540,0xe8589858,0x3b221ead,0x21777a23,0x756f43fb,0x5e4132a1,
    0x23d2c44a,0x0771662c,0xb81dc0ee,0x4c1a0683,0xed964365,0xb83e2d13,
    0x1dddc3bb,0x04b8bfe6,0x4cbb3598,0x3a60ebbf,0x72765c2e,0x2c875997,
    0x3a03b0bd,0x5f707201,0x01c824c0,0x350e8139,0xe87443e0,0x43a13720,
    0xe8824c1a,0x1f6fc40e,0x0ee25459,0x703b81dc,0xe8bddd07,0x0d92a5ee,
    0xef89dc77,0x1a2364cd,0x4744d11b,0x300b31e8,0x5c93036b,0x43a01d03,
    0x2c8772fa,0x2603b057,0x7ce4c6ee,0x24c05911,0x930fce4c,0xbd034795,
    0x81b2c49d,0x24c06849,0x20b10970,0x0770765a,0xb81dc0ee,0x4c1a0683,
    0x43a61f35,0x3e20b13b,0x55f10faa,0x22d9661f,0x6d2e101e,0x20593442,
    0x9a26880e,0x3601640e,0x2360ea01,0x980b22ce,0x22ce8d84,0x2034590d,
    0x81b2c42b,0x24c06849,0x40b10770,0x03b83eec,0x5c0ee077,0xd81a0683,
    0x3baa0dce,0x36e0b12e,0x55b73daa,0x22f76c7b,0x3ba1dec9,0x5c3bd10e,
    0x3bba24de,0x2e0f7742,0x3bfaa3ee,0x07bbb605,0x7b52b815,0xdd0f7764,
    0x6d4ae3df,0x68fae573,0xd9620540,0x687bfba0,0x207bfba0,0x2000103b,
    0x3ba0eeee,0x3bbba0ee,0xe83bbba0,0x377746ee,0x3b008000,0x1a61db4c,
    0x01100000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40998875,0x260018c9,0x002a81aa,0x31930000,0x800288a8,
    0x0002a83a,0x5c000075,0x000048ac,0x00000000,0x80000000,0x540382cb,
    0x03885502,0x1262b866,0x93502aa2,0x12e03445,0x25a8aee6,0x10e4b33c,
    0x64d41dbd,0x5714cd42,0x84987555,0x37e62bb9,0x7544981c,0x9bf33eee,
    0x25597103,0x29df9007,0xa441d158,0x263e9aa5,0x82eed85e,0x4c6d84f8,
    0x3722feee,0x3425c43e,0x21dc0ee0,0x6c976058,0x1aa81533,0x77c41aa8,
    0x5054cc3e,0xb344f450,0x1dcbfddf,0x5540a998,0x23a645c1,0x41aa81aa,
    0x5541d159,0xacc3b82a,0x3c4980e8,0xdac46d80,0x43672a21,0x913d99eb,
    0x21e230b5,0x0eec44cd,0x0e9661d0,0x4153424c,0x0d542aaa,0x8202a762,
    0x46bce8cb,0x44ca84ca,0x67447668,0x2588726b,0xc9661dd9,0x33a20721,
    0x8e26546b,0x2132a39b,0x572cc4ca,0x1dc36554,0x4982b966,0x1aea023c,
    0xcc9859b1,0x599772db,0x23c05987,0x5ddc4aca,0x92549503,0x97684983,
    0x6546caa8,0x035efc44,0x40d9a277,0x68893049,0x21b344b2,0x6449bbab,
    0x8ff77cc5,0x9a22cde9,0x64e24c0d,0x93049874,0x88955fe8,0xd2f76c0e,
    0x12612abf,0x746c36cf,0x2e0dd13e,0x3767239a,0x7902cc49,0x46c4ab44,
    0x7441d068,0x424c2ebb,0x01d104be,0x83668893,0x0365882b,0xd1126093,
    0xd9621d73,0x275bb750,0xb30cedc8,0xb10390e4,0x2712606c,0x260930e2,
    0xd8792cc4,0x25987702,0x53c4983c,0x4469d987,0x6ef5c4bd,0x9355392d,
    0xc8970598,0x5f11dcac,0x884a81f5,0x424c0d89,0x205b02df,0x41b2c449,
    0xd962556b,0x449824c0,0x9620bcf8,0x3b99b30d,0x59856ed4,0x5881c872,
    0x93893036,0x24c1261c,0x97074d66,0x4d661dc0,0x03c4980e,0x2b11eaf2,
    0x90dc643d,0x21662cc3,0xdcaaa84b,0x87b55b71,0x2616a00e,0x4b85d684,
    0x6cb11260,0x58aed2a0,0x1efee836,0x3447bfba,0x7c436588,0x33260f99,
    0xf51c9661,0xd9623ddd,0x5c7bfba0,0x3ba3aaaa,0x3bfba1ef,0x443bdf31,
    0x1dc0eeef,0x3a077be6,0xdddf1efe,0x453ba681,0x0cac3d15,0x3ba58876,
    0xdddf31ef,0x30ec9505,0xcde8254d,0xd0f7f740,0x777c47a2,0x47bfba0e,
    0x065c3658,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00002ca8,0x002cc980,0x00000000,
    0x00006aa6,0x00000000,0x5cc0dd40,0x4c155002,0x815506a2,0x81980bb9,
    0x1314289a,0x800a66e2,0x2e203749,0x4433000b,0x2a82a261,0xdea84e5c,
    0x25a8f61c,0xd12feee9,0x5c3ea135,0xbdf103b2,0x365b2d47,0x37775620,
    0x3fbe225c,0x2a6887a4,0x3ba3eeee,0x7ddf10ee,0x3ba77254,0x2155ec6e,
    0x37263adb,0xe83aafa1,0x2ab60edc,0x5435d5c6,0x9deee543,0x6d4c3658,
    0x85db34bd,0x885b10da,0x5260cabc,0xd11c9665,0x3625cd59,0x10e89d40,
    0x26980f4d,0x574ea84a,0x0e9a2076,0x21c966b6,0x55540d58,0x972e9a22,
    0xb81dc1dc,0x2a78b443,0x5d034ee4,0x9ed441a0,0x99d8ae4a,0x0b223666,
    0x6edcc3a6,0xb1951b1b,0x2e20d962,0x4b11b58b,0x4d49904b,0x2e3628cc,
    0xd1344742,0xf953a86c,0x2b8ea399,0x1e812af2,0x23b2a0ee,0x2d103b2b,
    0x90774468,0x81a91333,0xd9a26caa,0x5c06cd12,0x16887703,0x1a77254d,
    0x8343ec88,0x54773bab,0x33aa79e3,0x3af321cc,0x21599510,0xb13bea8d,
    0xbdddb86c,0x1ec93593,0x332a65b8,0x70723a19,0x1b2c4757,0x2133d310,
    0xee892a3a,0x83b87700,0x3b2bbbba,0xb09ddf10,0x49dcab8b,0x1d10bddd,
    0x3a35d744,0x20770689,0x0fefc43b,0x3a7dddd5,0x3b1e05ee,0x96635930,
    0x896af61d,0x03a2b106,0x85b8c875,0x2e361d16,0x2e066444,0x5ddc2644,
    0x222c6544,0x0d9620de,0x1d40e899,0xd304b879,0x3a750770,0x4d103b2b,
    0xb877662d,0x80d3adda,0x4157442d,0x07703abb,0x8b2d10ee,0xd034ee4a,
    0x6dd989db,0xeec9332e,0x83b33a23,0x37a0ddeb,0x260c40dd,0x3b23ecde,
    0xb97b70dd,0x2a1332e7,0x80440594,0x588bb010,0x03a25c36,0x7703a675,
    0x20ee07a0,0x0765d73a,0x27a1e9a2,0x36ab6a69,0x4425c0d3,0x4037a206,
    0x6887703b,0x277254d1,0x44000406,0x04c31000,0xddd30004,0x8000003d,
    0x00000008,0x07400000,0x2e077baa,0x2eeefa83,0x3e275077,0x223dddb2,
    0xc9323eef,0x25f11f34,0x3be26eee,0xe80d10ee,0x3ba0ee06,0x964d10ee,
    0x0034ee4a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x05355288,0x20998853,0x646aa62a,
    0x0ea4cccc,0x00000000,0x00000000,0x986a5000,0x0a0628a8,0x20015140,
    0x885501aa,0x2aaa8662,0x15400198,0x42644793,0x0065c418,0x884cccc4,
    0x44d42aaa,0x48897772,0x85c0aa88,0x33332bb9,0x00005433,0x00000000,
    0x00000000,0x6dc7ab7a,0x44392bdc,0x2d1623a5,0x541cac4b,0x3d05504c,
    0x365541d1,0x5c4c81d4,0x4476224c,0x8eaae2c9,0x1dd3599c,0x2eeee271,
    0x01d77710,0x0003aab8,0x00000000,0x00000000,0x00000000,0x55c6a1d0,
    0x773739ba,0x20ef4c93,0x58ca84be,0x55544498,0x4077a21a,0x2b32a20e,
    0x93072e61,0x83a21ec8,0x22361ed8,0x25dd3375,0x900aaaa8,0x00000001,
    0x00000000,0x00000000,0x00000000,0x26aa6e0d,0x475bb553,0x16f40ee8,
    0x24c0eacc,0xb06eeee6,0xb730b20b,0x258ac37b,0x4ee20da8,0x2ef20ae9,
    0x04077664,0x00155551,0x00000000,0x00000000,0x00000000,0x68000000,
    0x27355370,0x362dccd9,0x42eb4699,0x04982b8d,0x87997033,0x310ea04a,
    0x52cca84c,0x0b32a179,0x00000053,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26aa6e0d,0x41f33f13,0x87a2d020,0x3dfdd010,0x3d34c3b8,
    0x303bbbe2,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_11_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,0,0,1,1,
2,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,1,1,0,0,0,0,0,1,1,0,0,0,0,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
2,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,2,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,-2,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_11_latin_ext_y[560]={ 8,0,0,0,-1,0,0,0,0,0,0,2,6,4,
6,0,0,0,0,0,0,0,0,0,0,0,2,2,2,3,2,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,0,2,0,2,0,2,0,2,0,0,
0,0,0,2,2,2,2,2,2,2,0,2,2,2,2,2,2,0,-1,0,3,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,2,-1,0,1,0,
-1,0,0,0,0,2,4,4,0,0,0,1,0,0,0,2,0,4,8,0,0,2,0,0,0,2,-1,-1,-1,-1,
-1,-2,0,0,-1,-1,-1,-1,-1,-1,-1,-1,0,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,0,0,0,0,
0,0,0,-1,2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
-1,0,-1,0,0,2,-1,0,-1,0,-2,0,-1,0,-1,0,0,0,-1,0,-1,0,-2,0,0,2,-1,0,-1,0,
-1,0,-2,0,0,0,-1,-2,0,0,-1,0,-1,0,-1,0,0,0,-2,2,0,0,-1,0,0,0,2,-1,-2,0,
0,0,0,0,0,0,0,-1,0,0,2,-1,0,-1,0,2,-1,0,-1,0,-1,0,0,2,-1,0,0,2,-1,0,
-1,0,-1,0,0,2,-1,0,0,0,-1,0,0,0,-1,0,-1,0,-1,0,-2,-1,-1,0,0,2,-1,0,-1,0,
-1,-1,0,-2,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-3,-2,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_11_latin_ext_w[560]={ 0,2,4,6,6,6,7,2,4,4,6,6,3,4,
2,6,6,6,6,6,6,6,6,6,6,6,2,3,5,6,5,4,6,6,6,6,6,5,5,6,6,6,5,6,
5,6,6,6,6,7,6,6,6,6,7,6,6,7,6,4,6,4,6,7,4,6,6,6,6,6,6,6,6,6,
5,6,6,6,6,6,6,6,5,6,6,6,6,6,6,6,6,5,2,5,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,2,5,6,6,6,
2,6,5,6,4,6,6,4,6,5,4,6,4,4,6,6,6,2,2,4,4,6,6,6,6,4,6,6,6,6,
6,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,7,6,6,6,6,6,6,6,6,6,7,8,6,7,6,6,6,6,6,6,5,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,5,6,6,6,6,6,5,
6,8,7,6,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,7,6,6,5,7,6,
6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,7,6,
7,6,6,6,6,6,6,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,7,6,7,7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__consolas_11_latin_ext_h[560]={ 0,9,3,8,11,9,9,3,11,11,5,6,4,2,
3,10,9,8,8,9,8,9,9,8,9,8,7,8,7,4,7,9,11,8,8,9,8,8,8,9,8,8,9,8,
8,8,8,9,8,10,8,9,8,9,8,8,8,8,8,11,10,11,5,2,3,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,9,9,6,7,9,7,6,6,6,9,6,11,12,11,4,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,9,11,8,7,8,
12,10,3,9,7,6,4,2,6,3,4,7,5,5,3,9,10,2,2,5,7,6,8,8,8,9,9,9,9,9,
9,10,8,10,9,9,9,9,9,9,9,9,8,9,10,10,10,10,10,6,11,10,10,10,10,9,8,9,9,9,
9,9,9,10,7,8,9,9,9,9,8,8,8,8,9,8,9,9,9,9,9,6,9,9,9,9,9,11,11,11,
9,9,9,9,11,9,10,9,10,9,11,9,10,9,9,9,8,9,9,9,9,9,10,9,11,9,9,9,10,11,
10,11,11,11,11,11,9,10,8,8,9,8,9,8,9,8,11,11,10,6,9,11,10,11,11,11,6,9,10,11,
11,8,8,8,8,8,8,9,8,11,9,9,8,9,11,9,10,9,10,9,10,9,9,7,9,8,11,9,9,8,
10,9,10,9,10,8,10,9,11,11,9,9,8,9,10,9,10,9,10,9,11,10,10,9,11,9,9,8,9,11,
9,9,8,10,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,11,9,9,11,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,9,11,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_11_latin_ext_s[560]={ 255,141,138,157,7,229,243,252,48,29,99,
70,252,161,252,163,146,171,178,132,185,139,125,199,100,206,253,248,212,118,218,
251,53,192,49,107,8,70,126,72,119,105,114,150,43,164,36,16,83,219,112,
242,98,235,90,63,56,15,23,60,205,65,77,166,156,172,207,139,65,165,1,
171,241,234,70,220,213,7,245,151,9,124,1,132,29,193,238,14,56,249,63,
83,1,96,111,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,255,250,109,
57,158,43,4,177,132,221,146,231,125,161,224,150,106,179,94,89,143,79,227,
252,174,84,207,35,177,205,198,120,193,186,200,93,86,234,142,156,50,71,58,
51,44,37,30,23,120,138,241,248,1,50,184,21,122,77,57,70,43,178,22,
164,157,150,143,136,129,142,200,170,99,92,85,78,191,85,92,71,43,64,96,
22,15,8,1,49,236,229,222,215,208,129,143,76,180,173,166,159,185,145,36,
131,191,117,200,103,170,89,81,72,99,57,50,43,36,29,15,15,214,1,243,
236,212,89,198,115,234,157,207,241,172,29,50,226,144,15,134,8,65,247,27,
13,8,42,222,34,64,7,227,220,28,158,22,1,193,161,127,135,153,184,233,
165,1,171,84,186,29,127,178,64,149,57,135,215,120,91,120,186,98,212,20,
106,112,240,56,22,77,179,98,219,113,193,248,150,200,207,113,8,84,110,91,
152,128,187,164,41,105,194,136,201,214,36,106,102,1,36,106,63,227,228,76,
30,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,70,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,41,34,121,114,21,48,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,14,151,248,150,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__consolas_11_latin_ext_t[560]={ 1,26,84,67,1,26,37,76,1,1,85,
85,67,84,72,13,57,67,67,57,67,57,57,67,57,67,26,67,76,85,76,
37,1,67,76,57,76,76,76,57,76,76,57,67,76,67,76,57,76,13,76,
47,76,47,76,76,76,76,76,1,13,1,85,84,84,76,47,76,57,76,76,
47,67,67,1,67,67,85,76,76,57,37,85,76,47,76,76,85,85,47,85,
1,1,1,85,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,1,26,1,
67,76,67,1,13,84,47,76,76,85,84,76,84,85,76,85,85,84,57,13,
80,84,85,76,85,57,57,57,57,47,47,47,57,57,13,67,13,47,47,57,
57,57,57,57,57,67,37,13,13,26,26,13,85,1,26,26,26,26,47,67,
47,47,47,47,47,47,13,76,57,47,47,47,47,57,67,67,67,47,67,37,
47,47,47,47,85,37,37,37,37,37,1,1,1,37,37,37,37,1,37,26,
37,13,37,1,37,13,37,37,37,67,37,37,37,37,37,26,37,1,37,26,
26,13,1,13,1,1,1,1,1,26,26,67,57,26,67,26,67,37,57,13,
13,26,85,26,13,26,13,1,1,85,26,26,14,1,57,67,67,57,57,57,
26,67,1,26,26,67,26,1,47,13,47,13,26,13,26,26,76,26,57,13,
26,26,57,13,37,13,26,13,57,13,26,1,1,26,26,67,37,13,37,13,
37,13,37,1,13,13,37,1,37,47,67,47,1,57,47,67,13,67,47,76,
76,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,13,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,1,1,47,47,1,13,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,1,26,1,1,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,67,
67,67,67,67,67,67,67,67,67, };
static unsigned short stb__consolas_11_latin_ext_a[560]={ 97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,97,
97,97,97,97,97,97,97,97, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_11_latin_ext(stb_fontchar font[STB_FONT_consolas_11_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_11_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_11_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_11_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_11_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_11_latin_ext_s[i] + stb__consolas_11_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_11_latin_ext_t[i] + stb__consolas_11_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_11_latin_ext_x[i];
            font[i].y0 = stb__consolas_11_latin_ext_y[i];
            font[i].x1 = stb__consolas_11_latin_ext_x[i] + stb__consolas_11_latin_ext_w[i];
            font[i].y1 = stb__consolas_11_latin_ext_y[i] + stb__consolas_11_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_11_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_11_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_11_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_11_latin_ext_s[i] + stb__consolas_11_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_11_latin_ext_t[i] + stb__consolas_11_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_11_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_11_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_11_latin_ext_x[i] + stb__consolas_11_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_11_latin_ext_y[i] + stb__consolas_11_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_11_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_11_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_11_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_11_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_11_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_11_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_11_latin_ext_LINE_SPACING
#endif

