// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_12_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_12_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT        102
#define STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_12_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_12_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_12_latin_ext_LINE_SPACING           8

static unsigned int stb__consolas_12_latin_ext_pixels[]={
    0x04c0e271,0x80202d88,0x500a8010,0x22380181,0x0aaa0601,0x8809802e,
    0x01006010,0x2200cc30,0x0318860a,0x1988d544,0x44008020,0x80ec5dc0,
    0x2a201808,0x055ecc2a,0x24e44288,0x0d477722,0x1e42c562,0xd881b350,
    0x407bd03d,0x0f05502d,0x203a24c8,0x682af87a,0xb8997b10,0x107b81f4,
    0x33d407bb,0x42fe2099,0x03ed91fa,0x7cba6544,0xdd885990,0x7388b203,
    0x360ba603,0x18555101,0x2136e077,0x4cdfc0ca,0xb1588590,0x36e44010,
    0x80201844,0x82dc80cb,0x1aa1a607,0x20103c04,0x1000360e,0x0200c220,
    0x10c2541a,0x895003e1,0x0883b907,0x4299a203,0x950d1104,0x85348530,
    0xa4298784,0x58859079,0x85892ab1,0x6cc3fbbe,0x3b660eee,0x41cec0ee,
    0xeeaf82dc,0x30ec0b60,0x21e1dddb,0x750eeed9,0x1254aeaa,0x2542f64b,
    0x85eed8b1,0x4cb09507,0x2a0f21f3,0x490a63c4,0x47705eed,0x774c3c4a,
    0x2540e80e,0xd31e255e,0x3b678950,0x45621642,0x512e1f15,0x21f1eb2b,
    0x82d87c2d,0x80ca80c9,0x03e2b54f,0x8b61f1dc,0x645b0f87,0xf13aebd9,
    0x221e12e1,0x1e20970f,0x9e0ae03a,0x20991f4a,0xf12a3c4a,0xa83a0f10,
    0x323a23c4,0x2543b85c,0x645e255e,0xf12a2ced,0x0590eda8,0x3b3c9621,
    0xf83ad3c8,0x590f8590,0x6c0dffb8,0x4da2782e,0x90f96606,0x2c87c3c5,
    0x8eb6363a,0x20f03b3c,0x1e203b3c,0xf05e8fa6,0x204cfa54,0xf12a3c4a,
    0xa8950f10,0x7b52a3c4,0x5e254688,0x39933c4a,0x5c1e2541,0x32c40595,
    0x93790d1d,0x85eee87a,0x32085eee,0x9e16ba23,0x2d40f168,0xe878bddd,
    0x565745ee,0x1a3a62ac,0x068e983c,0x360761e2,0x57d2a782,0x4789500e,
    0x43c43c4a,0x51e2541d,0x1641e939,0x78957895,0x1e254164,0x9442cadc,
    0x5c1ef458,0x3a21f2bc,0x9801d100,0x07d2e4ca,0x403a4b9e,0x1e01d14b,
    0x367a01d1,0x1ef40dcc,0x80f7a078,0x07507878,0x6b8fa54f,0x25478950,
    0x0d11e21e,0x3a23c4b5,0x4b305a9c,0x12d5e25a,0x25a81d8f,0x1bddf378,
    0x5633bbb2,0x4c07dc58,0xeee8b76e,0x1ff7743f,0x1d932af6,0x0deef85b,
    0xdd0f40f2,0x7743c7fd,0x26e723fe,0x6c0fb81b,0x0fb84efe,0x541e1e20,
    0x87d2a784,0xfdb4a85c,0x87896a9d,0x34416478,0x1ddf50b7,0x2e6886c0,
    0x3e2dcd15,0x116e6880,0xb1588a05,0x3bee04b8,0x27896a0d,0x2689e25a,
    0xbd99f14c,0x703a2078,0x3cf12d4b,0x0aa7896a,0x059012e0,0x78698097,
    0x44b80950,0x88512a02,0xd1a616e6,0x407775c0,0x5c950049,0x3bae0eee,
    0x5c0bb70e,0x424c0eee,0x9ac56249,0x40ea00ec,0x265cabf9,0x76c5cabf,
    0x555b74ce,0x9a603c1f,0x2afe60e9,0x7ccabe5c,0x33225cab,0x00764c4a,
    0x80ec98f6,0x3662ebb8,0x7702fa04,0x54424c3d,0x3ae1264c,0x5d7710ee,
    0x04400008,0x98000100,0x40440001,0x9ac56208,0x54400802,0x01aa881a,
    0x145b0760,0x2a202040,0x5115541a,0x302a6035,0x0530c005,0x00cc1aa8,
    0x102aa04c,0x44355101,0x00d54000,0x00000000,0x00000000,0x00144a20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ee44000,0xcccc9848,0xac883704,
    0xbb890a64,0x006dc1d8,0x36e06d40,0xd80c9c80,0x10166641,0x95036a07,
    0xb019887b,0x216665c3,0x24e442d8,0x2a209988,0x3220202a,0x987620e0,
    0x032b200d,0x20c8836a,0xca806dc3,0x20abd980,0x37d2cccc,0x5310f09b,
    0xdeb8833d,0xf12a24c0,0x5c41b9c4,0x881b5038,0x41c5c40b,0xf81702c9,
    0x07502ea9,0x99dd8171,0x2032fa63,0x0266ba0b,0x0ca81717,0x226dffb8,
    0x859902aa,0x06e1a4f9,0x81c880a6,0xd27cc0b8,0xed81c5c4,0xa9877182,
    0x3e25a89e,0x87ddfd70,0xaebe8869,0x54777220,0x07b913c4,0x4c43bb91,
    0x31ddc882,0x1ee54485,0x3278f72a,0x531eeb83,0x25c0d348,0x07a5b950,
    0x3222dca8,0x477fcc3d,0x640f7226,0x6876cc1d,0xb9116e54,0x88b72a07,
    0x876cc3dc,0x220f7226,0x3dc885ae,0x3d0f2698,0x261a6078,0x1337f0d6,
    0x4df4f12a,0x04cdfc4d,0x337f0f97,0x6ecf12a1,0x26776399,0xb07aa7e3,
    0xf12a1597,0xf50cc52e,0x299dc819,0x6e41557d,0x366fa299,0x9a3bfe64,
    0xca84d9be,0x26a5e4c0,0x2fa299dc,0x4cee44d9,0x99366fa2,0x4df4d3cc,
    0x40fa5c4d,0x34c4d9be,0x03c1e879,0x31bb60d3,0x2af12a0f,0x80799e25,
    0x44a83cc7,0x81a60d37,0xdb442ecf,0x4f2f12a0,0xd71d17ca,0x55f41e21,
    0x96a0f10a,0xb477f478,0x3b61e25a,0x169ea4c2,0x27896a0f,0x3c4b5078,
    0x2ad1d193,0x363b1e25,0x4c7896a2,0x781f12e6,0xefb81a60,0x4b50bb61,
    0x21e87978,0x361e02ed,0x5de2542e,0x452e3314,0x2234de19,0xbbc4a8d6,
    0xa87c5e24,0x207a0b55,0x1e87905a,0x1e5a2ee2,0x45ae887a,0x16adb549,
    0x2d47a1e4,0x498f43c8,0x3d0f2d79,0xc97b33e2,0x4cd30f43,0x03d0b70f,
    0x5aba81a6,0x268876d4,0x41e8795b,0x50780eda,0x2f12a1db,0x4f2f953c,
    0x42d9e7ca,0x5e2546ae,0x754f11f8,0x3a0b54a9,0x87905a81,0x0f2d101e,
    0x20fa5c3d,0x82d5ba49,0x05a8f43c,0x2931e879,0x1e8796e8,0x21f555b7,
    0x8d30f43c,0xea80defb,0xb8434c4e,0x5cb705ba,0xf8970eee,0x80f0b700,
    0xbbc4b55b,0xf125de24,0xfd88d33c,0x33c4b51e,0xfe98bddd,0x3bba0f10,
    0x12e0f12e,0x25da201f,0x45b1d83e,0x83c5aa49,0x07887c4b,0x4930f897,
    0xb0f8976d,0xf8972d83,0x447dfdb0,0x30501406,0x2e01bffd,0x43a62cc5,
    0x1e16e05b,0x5b9a2b70,0x7c5e23f1,0x4c050f11,0x50b73444,0x43360f80,
    0x43360d80,0x816e1d30,0x96e1d35a,0x205eccf8,0x98433669,0x0cd8b70e,
    0x82dc3a61,0x05b874c2,0xb70e9962,0x5df90760,0x40930498,0x6f77cc0d,
    0x3ee06d40,0x3bbe60de,0x77cc780d,0x3bbae0de,0x997bba60,0x024c5eee,
    0x1ddd7075,0x5dcc8498,0x742775c4,0xb93bae22,0x66d40def,0x837bee1e,
    0x80faaadb,0x3bae22e9,0x1037bee4,0x77dc9dd7,0xfb84980d,0x87a200de,
    0x5d00defb,0x08804400,0x088000a0,0x3fb60000,0x0000004e,0x01300440,
    0x35301100,0x00022000,0x2000a980,0x0c416c1d,0x00000000,0x11000011,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32550000,0x1b303600,0x101b7000,0x50aa485b,
    0x20210325,0x01084ac8,0x0197036a,0x036e0611,0x859806dc,0x5000192a,
    0x024e441b,0x41554413,0xabd98308,0x12e03800,0x6dc12b22,0x77505980,
    0x88959107,0x23303030,0x306dc882,0x710bb605,0x21717071,0x1981d178,
    0x2607bd05,0x7107bd04,0xe8873b01,0x1c5c43c8,0x3881c5c4,0x05b85198,
    0x065405c4,0x155443c8,0x230f23a2,0x82c5203b,0x44126038,0x2038838b,
    0x6c12603a,0x86f65c2d,0xbbe83dc8,0x4c90a63f,0x0cccb830,0x8f89ee54,
    0x21214c1e,0x20e0c880,0x98706440,0x5408440c,0x5c1b8540,0x5cb33321,
    0x10598dc1,0x66479999,0xcc8082cc,0x404222cc,0x4f02cccc,0x4c2ccc80,
    0x0a64cccc,0x0f333229,0xcc885999,0x200083cc,0x56a4d9be,0x4f12a7ac,
    0x83e66207,0xbf1399dd,0x26789505,0x93e60dfe,0x9f339966,0x4b1ccb34,
    0x23907239,0xd531a66a,0x2699aa13,0x3666600c,0x9827aa64,0x3aa60fed,
    0x037fa609,0xeb813d53,0xa9f83eef,0x27aa622e,0x267896a1,0x54fc4d99,
    0x26cccc2e,0x32c1fdb3,0x793c4b57,0x3c4a875a,0x34c3e00f,0x4a82ef88,
    0x4b70e8bc,0x53cd0ed9,0xf343b669,0x9254f254,0x6cb61d85,0xb2d86982,
    0x81dead85,0x6c34c0e9,0x1d11a601,0xf01a616e,0x260f2780,0x21e25a86,
    0x0793c0e9,0xf01d83a6,0x47a1e654,0x2a3d49bc,0x1bf7f3c4,0x98a5c3e0,
    0xa83d1f11,0x33c4abc4,0x2a79a799,0x79a79934,0xb92a792a,0x74c1b69a,
    0xd30d3069,0x12e9f0d3,0x2e1a607a,0x546980ae,0x2034c3c4,0x0f54fc07,
    0x5575434c,0x9f81e87b,0xb83d01ea,0x9953c0ae,0x57971e87,0xf9e2543e,
    0x643e0793,0x55e2f953,0x2af12a0e,0x1d1933c4,0x326953cd,0x4a9e68e8,
    0x32ee4a9e,0x01fc869e,0x207f20d3,0x20971667,0x83f93069,0x21e25469,
    0x3e03c069,0x50d302ec,0x4b8f755d,0x2e05d9f0,0x3c3f9304,0x30f89795,
    0x25a96edd,0xf04a9e78,0xf17892e1,0xbc4b52e4,0xa4cb50e9,0xa6c3a6bc,
    0x874d7949,0x526c3a4d,0xd30d75d7,0x069834c0,0x01d32ccf,0x987901a6,
    0x85a874c6,0xf00f4069,0x5434c1a6,0x00e99e25,0x03a61a6f,0xcd874790,
    0xfb8b70e9,0x5b9a20de,0x3cc24a9e,0x0a1e23f1,0x3ae5b9a2,0x745260de,
    0x4d2fbae6,0x775cdd14,0x92fbae4b,0x986e8cea,0x34c1a606,0x02e96678,
    0x3bbba1a6,0x775c34c0,0x5406980d,0x0b6784ee,0x7896a1a6,0x0b6780ba,
    0x3bbba05d,0x5d2fbae0,0x01d40def,0x53c1ddd7,0x2617f749,0x824c5eee,
    0x3000eeeb,0x24c036c9,0xf30000db,0x41a61b63,0x34c3efed,0x7fd56678,
    0x3bfb67ff,0x7dfdb003,0x1f7f6c00,0x21a67800,0x5e25a869,0x3c7ffffa,
    0x7fffd4d3,0x04000007,0x0254f000,0x00008800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x91021059,0x88197093,0x882202aa,0x541c4400,0x822303bb,0x3030192a,
    0xb80c0441,0x0882200d,0x84000201,0x5424e440,0x15544192,0x03055ecc,
    0x04220da8,0x04c03b10,0x08877722,0x104ac883,0x80c06d40,0x507bd038,
    0x8873b019,0xeec882aa,0x5bc80d52,0x2f540750,0x0fc41466,0x81d11d97,
    0x1c5c45cc,0x7d2e0da8,0xd50f7620,0x20f7a07f,0x851980ca,0x77182aa8,
    0x5c417ec4,0x700fa5c0,0x5fc1e403,0x416ec099,0x83dd8849,0xb87a80b8,
    0xb8082ccc,0x064c2ccc,0x510b332e,0x901a63bb,0x02cc9815,0x16665c04,
    0x32ae3604,0x66411082,0x400182cc,0x688f8308,0x40654020,0x6542cccc,
    0x88706440,0x0b332e1f,0x01999100,0x0100f301,0x84459997,0x20200d41,
    0x366099ae,0x266ba0de,0xe837fee0,0x3b66099a,0x3aa1a63e,0xa9da82ff,
    0x22fec82e,0x764099ae,0x095bb72f,0xea98bfb2,0x317f6409,0x76cc1bdb,
    0x216e7a0d,0x76c0dffb,0x409ea982,0xd27cc2ed,0x4cd743b0,0xec839960,
    0x3afbaa1b,0x6cc176c4,0x266ba0de,0xc83fb660,0x41bdb302,0x92e1d01e,
    0xd1e4101e,0x8ee3f103,0x2d874c69,0x991264a8,0x93203d04,0x26407420,
    0x24c86981,0x1d25c3a0,0x104fb92e,0x0b5d11e4,0x16ba21a6,0xc99a1db3,
    0x2a780f46,0x9842ce84,0x0eda83b6,0x03d25c3a,0xe8164076,0x555f4970,
    0x4d755d30,0x54c0aabe,0x42aafa4c,0x4598ee5a,0x12a0b24b,0x57d00f8f,
    0x59007c15,0x2600f835,0xae980f86,0x755d36ba,0x1e373a6d,0xf4b932a6,
    0x2970d301,0x34f3260f,0x1557d079,0xcba8953c,0x2baea0ac,0x3a6b702d,
    0x2afa6baa,0x902bae0a,0xd755d305,0xf98555f4,0x2afa2aaa,0x932af60a,
    0x4b50aabe,0x4791223b,0x07c4a82d,0x2aafa01f,0x5ecc03e0,0x9803e1ec,
    0xaf980f86,0x555f32aa,0x22eecf25,0x4764cabd,0x1d86982d,0x47464c5b,
    0x2afa06e6,0x744a9e0a,0x7990acc8,0x56e0155d,0x3a2aaaf9,0x7e4c0aab,
    0x2be60b21,0x2207a2aa,0xd103d01f,0xd303d264,0x5c288fa2,0x49505f35,
    0x1e81e47a,0x363a0790,0x980f22b8,0x1f883c86,0x14c81f88,0x2993447f,
    0x985eccf8,0x2f667c46,0x099af293,0x361d01e8,0xb0b6ba64,0xddf30f53,
    0x7407e21b,0x0b23c801,0x80f407e2,0x07a3eefa,0x3d26776c,0xa8ef7b60,
    0x166f7447,0x443e9a54,0x407a2eec,0x2572eec8,0x3b220dea,0x64434c2e,
    0x3bbea2ee,0x44fbbea3,0x361fcfee,0x55b74cee,0x5c6981f5,0x930faaad,
    0xe83e9ba2,0x497dd701,0x7542dacc,0x2540eeac,0x3d1f77d4,0xc83bbba0,
    0x47ddf502,0xd002eeee,0x3a005ddd,0x00002eee,0x03effa80,0x01777740,
    0x7f6c0000,0x0000003e,0x2d83b000,0x0ecfbfb6,0x0db24cb6,0x005dddd0,
    0x00f764d1,0xdd0006e0,0x3b2005dd,0x000004ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0x1001104c,0x00844030,0x13001003,0x81300088,0x2e01b301,0x5006cc0d,
    0x0110181b,0x40044130,0x50036608,0xa810881b,0x5c020192,0x0abd980d,
    0x5442dca8,0x14c1b500,0x94400312,0x207bb118,0x200ec43c,0x7d2e0786,
    0x206f65c0,0x0f203dd8,0x87900762,0x14c1eee8,0x14c1c5c4,0x765c0b88,
    0xc807620d,0x2a00ec43,0x171014c4,0x1983e970,0x887bb105,0x0771838b,
    0x6e4533b9,0x205c40eb,0xecb9e25a,0x2571a80d,0x04061169,0x1ddd3010,
    0x20000078,0x20040308,0x6dd40400,0x71666642,0x665c5999,0x0b33322c,
    0x10040100,0x06544a80,0xa8000ca8,0x5030880c,0x1032a019,0x2e5b3c0f,
    0x225a8dc1,0x20964007,0x4b1ccb69,0xd1399639,0xeaf8b991,0x037fa60e,
    0xe981bfd3,0x6ff4c0df,0x206ff4c0,0x3660ded9,0x27aa60ff,0xe8266ba0,
    0x3aa6099a,0x837fee09,0x3ee0dffb,0x37b660df,0xb13bf660,0x20bb605d,
    0x76c0dffb,0x40dffb82,0x85db02ed,0x96ed105a,0x25a9a66a,0x037ef678,
    0x53ca20b2,0x53c953c9,0x7c7b52a9,0x5c3a2b54,0x12dc3a25,0x0e896e1d,
    0x5b8744b7,0x47a4b874,0x0f434c3c,0x21a601e8,0x8f208f20,0x970e8f20,
    0x3a24a974,0x85ae885a,0x5ae88f20,0xae88f208,0x545ae885,0x361ed105,
    0xf12d45b2,0x2c83c9fc,0x53c953c0,0x32a953c9,0x5a278f49,0x78953c4a,
    0x2254f12a,0x74cf12a7,0x4cb36baa,0x55f434c6,0x02aafa0a,0x132a60d3,
    0xca989953,0x2d755d34,0xf4b92a69,0x301f4b81,0x0fa5c995,0x52e4ca98,
    0x20fa5c0f,0x136d1078,0x25a8d3d3,0xc84a9e78,0x254f5882,0xa54f254f,
    0x3c5a9ce8,0x54f12ad1,0x278953c4,0x78953c4a,0x54aaabe6,0xd0d31a65,
    0x55f41557,0x5ec34c0a,0x32af64ca,0x4d32af64,0x4b52aaaf,0x216c764a,
    0xabd85b1d,0x216c764c,0x4764cabd,0x42d8ec2d,0xd9a210ce,0x96a0fe44,
    0xc84a9e69,0x361d2982,0x1d26c3a4,0x0eefa936,0x43a6973c,0x2d43a65a,
    0xe996a1d3,0xa874cb50,0x3a207e25,0xe8698970,0x34c03d01,0x4d14c9a2,
    0x8a64d14c,0xe88f881f,0x4bd99f14,0x225eccf8,0x667c5326,0x14c9a25e,
    0x7c4bd99f,0x7ec45ecc,0x23c4d14e,0xfe9da869,0x2c84a9e2,0x725f75c0,
    0x775c97dd,0xee81264b,0x37bae0de,0x206f75c0,0x75c0deeb,0x6f75c0de,
    0x71f77d40,0x86981bdd,0x4c03d01e,0x24ceed86,0x3b64ceed,0x3bbea4ce,
    0x5d2fbf23,0xb70faaad,0x76c1f555,0x555b74ce,0xa6776c1f,0x70faaadb,
    0x881f555b,0x1f747446,0xa9e001a6,0x04eeec84,0x01100000,0x00000000,
    0x80000000,0x3ba3efed,0x3bbba2ee,0x00fbfb62,0x20000000,0x41d96c1d,
    0x6c1d802d,0x96c1d802,0x0e616c1d,0x0001a600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8cc4000,0x21002660,0x312774c0,0x2f609803,0x20c220df,0x037fee01,
    0x6cc13003,0x440220de,0x32202010,0x9104c03d,0xb1ccb07b,0x774c1bf7,
    0xddb30484,0x43fb661d,0x9740cccb,0x098220a8,0x82209822,0x3510d501,
    0x20603088,0x7cb84ee9,0x2026e44d,0xf97003de,0x64fe1e40,0x9f916ec3,
    0x971e4107,0xe87901bd,0x40ec4970,0x6ec41f4b,0x12e27a23,0x366fa1e4,
    0x9fc953c4,0x7c1e003c,0x440ec5b0,0x885c0f99,0x3b21d14c,0x4bb21d12,
    0x1c41e0e8,0x37612fb2,0x20007a82,0x10095017,0x781bff70,0x84a9e020,
    0x98157dc0,0x204004ca,0x086baae9,0x32184400,0x081dada9,0x278f12d4,
    0x964a9e4a,0x7ddfd739,0x3ae2c87c,0x0b81f00a,0x590b29b1,0x0b2590b2,
    0x0788e20f,0x3a602008,0x540f00df,0x8217b204,0x7b267c3c,0x4953c1bf,
    0x27e0dfbd,0x2655ec3c,0x8bd90bd9,0x322aaaf9,0xc85ec85e,0xa874745e,
    0x64bbbb62,0x254f0f43,0x254f254f,0x42f7741e,0x40f81fc9,0x0939b31d,
    0x35909359,0x21bf7f09,0xed816658,0x3bbb62ee,0x416e1d12,0x81c52a07,
    0x22995307,0x3c9fc2fc,0x64fe4a9e,0x44b677e3,0x781e1326,0x81e00fc4,
    0x4b1d1e07,0x790e883a,0x26c3a1e8,0xa54f254f,0xd10aafa8,0x1f079001,
    0x1d0833a6,0x01d00740,0x334cf27f,0x101d100b,0x20f12a1d,0x17dd2a07,
    0xa655ec3c,0x92a787ac,0x92a792a7,0xceed92a7,0x2a1e0784,0x20783eef,
    0xbb1b1e07,0x5c3d0595,0x7dd707c4,0x53c953c9,0x82abea29,0x3ba3feee,
    0x5b0f80ee,0x320a6b20,0x29ac81aa,0x99a6953c,0x3d01e805,0x03c1e254,
    0x44781495,0x4f0f1326,0x2a78284a,0x3b04a9e4,0x7703c0f0,0x1e0781e0,
    0x1e4344b5,0x902dc3a6,0xb0e92e03,0x12d41e89,0x4f30850f,0x5e8d984c,
    0x3075c6cc,0x2a78bd1b,0x202ccd34,0xe987903c,0xa81e0b50,0xeed87804,
    0x953c3c4c,0x92a78498,0x41f412a7,0x0cc81e07,0x8781e078,0x2dc0ddeb,
    0x200defb8,0x2e1ea83e,0x77544bee,0x8b957f34,0x117f7449,0x66c747bd,
    0x22d43a0e,0x9e0ecd8e,0x02ccd34a,0x5c16e0b7,0x7f6c0dee,0x3bfba64e,
    0x04efed81,0x9e4efed8,0x53c0444a,0x0c0953c9,0x76c9dfdb,0xed8304ef,
    0x3bfb64ef,0x013bfb64,0x004eeef8,0x00026060,0x440d5440,0x2b94c000,
    0x4cae1d75,0x2ea571ef,0x514a9e0e,0xdddf02cc,0x027777c9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6e443a96,0x3ea04c03,0xb85db390,0x290a62dd,0x5c40cccb,
    0x116e541c,0x774c17b9,0x32606624,0x0c221ccd,0x982776c4,0x033dca81,
    0x1dd5b030,0x4a8eee44,0x09004162,0x4a80c012,0x51e6664c,0x22065405,
    0x902cc880,0x2dc88599,0x12a783aa,0x3207b35d,0x237a5983,0x8fcccc59,
    0x19aebc4a,0xb904df4c,0x6457c533,0x447cb804,0x6c09cc9e,0x8952e82d,
    0x3760cce8,0x5c01f399,0x7cb54f87,0x21f1099b,0x81eec44b,0x20379f07,
    0x23f4c0eb,0x2e5b9998,0xd50bb603,0x2ea9e881,0xe896ccfc,0x78b32d89,
    0x1aa5992a,0x0a1e8004,0xd78951d8,0x1e203a01,0x6cc970f8,0x4f23c0de,
    0x9a60203b,0x34c1dc4a,0x3c0400f8,0x3c81e6d1,0xb830883b,0x2be3eefe,
    0xe82e43ea,0x970ec079,0x85ae8897,0x599a21e9,0xa96a973c,0x2a4a9e05,
    0xd9c8fb94,0x200f402e,0x2f12a4ba,0x2fa21cce,0x540b50cc,0x5c3a0dce,
    0x6dc763c4,0x8bb6720a,0x05912a5a,0x87c66297,0x9e17b23c,0x260bb669,
    0x2e0e468e,0x9a6783c1,0x81e7704d,0x5c1fe469,0x25d101f4,0xaf8f0aeb,
    0x34cd30db,0xdb9361f0,0x98de8f3e,0x803d2d45,0x78951eca,0x3a65d731,
    0x40b55b99,0x5d30ede9,0x8ec78d75,0x237a0adb,0xa745a259,0x325eefea,
    0x323ef953,0x264f0f04,0x7bd03b6a,0xf03632c8,0x3aa6a9e0,0x6c0f3440,
    0x8ec0fb22,0xd70ea82d,0xcaf83e15,0x577bb22e,0x75777c49,0xd1e23f51,
    0x747e6143,0x96ab5001,0x4d14b878,0x3e20f178,0x2abe6b70,0x5cf63c2a,
    0xd90a1e83,0xb82c8979,0x0267de24,0x01bddf0f,0xb81f716e,0x20f0d7ab,
    0x74c2ebaf,0x33f33761,0x41dc34c0,0x645eccf8,0x78f33445,0xfba541a6,
    0x70f881e0,0x3e201e89,0x89e40140,0xf8b616e6,0x0866cb50,0x1f8b54d3,
    0x771d51e0,0x12a003d0,0x223f1059,0x1e01d5f7,0x2e2dc01e,0x6acdc984,
    0x0acf81e8,0x2aa61d10,0x416c0afb,0xaaadb83b,0x2d10970f,0x0b73c4d9,
    0x203c01d3,0x0f40deea,0x824c1da8,0x775c4eee,0xa87ddb0e,0x3ae20eee,
    0x87bbb24e,0x43c3eefa,0x3a2eeefc,0x2c895001,0x3ebddd30,0x0f0f06b8,
    0x4c37bbe6,0x9dd880ec,0x24eea85d,0x98780007,0x29ddd706,0x22016c1d,
    0xfef83eff,0x0037b60d,0x01e80005,0x00000440,0x00000002,0x013bfb60,
    0x831001e8,0xc87c002c,0x293bfb65,0x7c029800,0x000009d3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x23980000,0x21502a48,0x5490d41b,0x666406a2,0x32499262,0x41912ccc,
    0x1837b623,0x2a61fdb3,0x0ca83aaa,0x0100b326,0x664c5b93,0x2774c4cc,
    0xc881c471,0x20a9c0cc,0x97f6400b,0x43982cc8,0xccb82044,0x8599972c,
    0x48531cda,0x9930b332,0x66644999,0x21b8373c,0x20e4791e,0x10e8991c,
    0x02c83a2f,0x3ea9d53f,0x4f54cfb1,0x1d349f30,0x0ec7e52e,0x6c172b9c,
    0x2a76a0fd,0x9c85882e,0x3d5311e9,0x2abea003,0x1bec80ec,0x00f41b58,
    0xa9e88499,0x25c3a22e,0x74b531d3,0x335b099a,0xa94cf4c1,0xea9f9e25,
    0x067aa622,0x9aa9b333,0x234f5469,0x2698ec2c,0x07a3e269,0x7699e059,
    0x698db199,0xd36876cc,0x5d26d755,0xbbb8e0ae,0x49507c60,0x64058849,
    0x5ec834c3,0x076557d4,0x3faa1674,0x403d1efe,0x1666880f,0xec81d1b5,
    0x3607a1fd,0x4b507701,0x983c9e78,0x5b074c06,0x707f60b6,0x1e836d35,
    0x416fc477,0xbadcf02c,0x260eabea,0x369e64c6,0x2605555d,0x5e5c71fc,
    0xf12a0f80,0x82f7f74c,0x027aa21e,0x2a67a23c,0x0accba85,0xb87a3526,
    0x2bae03e0,0xd05dd0f0,0xaabe8b63,0x221335b0,0x2baa19cc,0x3aa7e7ba,
    0x0f406981,0x7e41a7a6,0x34f65dc1,0xdf1074f2,0x33e05905,0x2d7570ee,
    0x1931a60e,0x207e2d1d,0x2e73c85a,0x541f0172,0x816207c4,0x0e7edc4c,
    0x6e67c478,0x0acc8e85,0x547a34ea,0x3ae0f63f,0x7e541f0a,0x23c8f41a,
    0x9bb0aabe,0x933ba639,0x3e7baaea,0x40d302ec,0x303f904b,0xaeba8d5d,
    0x23474c6b,0x1641e8f8,0x456409f8,0x2634c1b2,0x77d4d794,0xddd1f93d,
    0x0170ce1d,0x0f52541f,0x4c16e0b1,0x99a23c06,0x216d74c5,0x3a6feeec,
    0x5dfb10a1,0x5d4799a2,0x7dee41ae,0x407607a0,0x9e25a83b,0x41a60d37,
    0x20d300e9,0x67547b2e,0x43ce86e8,0x1641d578,0x1d859078,0x3a2931a6,
    0x22cc0086,0x3e02e193,0x81f4d2a0,0x1a605b80,0x166688f0,0x3905b599,
    0x4401e893,0x44d9b446,0x3a22cfdc,0x207a4cca,0xb507701d,0x416cf3c4,
    0x4c05d069,0x43e25c86,0xf90db1f9,0xc9727881,0x6c1e4eee,0xefed8ec1,
    0x0036c933,0x3332e154,0x3fffe0dc,0x887dff56,0xff14eeee,0xb0698dff,
    0x99a29dfd,0x1eec9a25,0xddd12672,0xf887305d,0x9ea983ef,0x77450a20,
    0xd503b2ee,0x896a9ddd,0x698699e7,0x47ffffa8,0x00000069,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74189400,0x40a62eee,0x54098849,0x32208445,0x80263ccc,0xc9863109,
    0xaed8bccc,0x06f74c4e,0xddb34a9a,0x13afbaa1,0x0deeb804,0x50017764,
    0xdaeba8c4,0x586f5ec4,0x9a24a8f2,0xa87446ec,0x887b6725,0x322db81a,
    0x910a0e41,0x2022503b,0xac813101,0x261d1068,0x22cd85dc,0x3ea0ebda,
    0x3307d2e0,0x40ec4133,0x89e36a3c,0xaabcb999,0x21d11d8f,0x36953c5b,
    0x076d3081,0x23c820f5,0x20b1024c,0x3b71e8cc,0x793f8d1f,0x4f11323a,
    0x8db8784a,0x9663760e,0x22ee4cb8,0x86c6590e,0x468887ea,0x14843b59,
    0x3a0e5e5c,0xa81e83b8,0x47669d45,0x4401a21c,0x8083cccc,0x303c6d40,
    0x5b7f13b9,0x2a78f12a,0xba815d74,0x20182dbe,0x803e4cb9,0xb87f6058,
    0x2a78d58b,0x4b6099d4,0x5db0781e,0x7930a1d8,0x5771d8e4,0xd88f09af,
    0x225c746c,0x9711ddcb,0x1dacc937,0x207541e4,0x74e5d2a5,0x4c003b70,
    0x10001999,0x223600a3,0x78950aaf,0x7e4c953c,0x155d5991,0xb133332a,
    0x40749957,0x444cfdca,0x562ae4de,0x2ba953c6,0x20d1b306,0x0d83f907,
    0xbea9ae60,0x1a7332a6,0xd8d7951e,0x1f644599,0x8d92b953,0x7d42d459,
    0x175000cd,0x00000000,0x329bb100,0x87440faa,0x84d8745a,0x10f31b3c,
    0x34433333,0x4c41e499,0xc8ec19ea,0xf1ab1573,0x20b76a54,0xb50f03ce,
    0x8806c1d3,0x2214c6cb,0x2e65d9dd,0x106260bf,0x9c8b8aed,0x09737911,
    0x453bbbe0,0x000002aa,0x00000000,0x3babba60,0x7037bae0,0x3bba97dd,
    0xbd59d50e,0xddb03981,0x17764499,0x15700162,0x6a54f1ab,0xd03ee172,
    0x43a69dfd,0x5440365b,0xf0f775c1,0x2aa893a7,0x0007bbae,0x00999307,
    0x00000000,0x00000000,0x40000000,0x0b300008,0x00710000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x77777701,0x00133263,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x2a1d4dea,0x311aaaaa,
    0x00000033,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8d40000,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_12_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,0,0,1,1,
2,0,0,0,0,0,0,1,0,0,0,0,2,1,0,0,1,1,0,0,0,0,0,1,1,0,0,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,1,0,0,0,0,0,0,0,0,0,0,0,1,
0,1,1,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
2,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,2,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,0,1,1,0,0,1,
1,-2,-1,1,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_12_latin_ext_y[560]={ 8,-1,-1,0,-1,-1,-1,-1,-1,-1,-1,1,6,4,
6,-1,0,0,0,0,0,0,0,0,0,0,2,2,1,3,1,-1,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,9,-1,2,-1,2,-1,2,-1,2,-1,-1,
-1,-1,-1,2,2,2,2,2,2,2,0,2,2,2,2,2,2,-1,-2,-1,3,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8,2,-1,0,0,0,
-2,-1,-1,0,0,2,4,4,-1,0,-1,0,-1,-1,-1,2,-1,3,8,-1,0,2,-1,-1,-1,2,-2,-2,-2,-2,
-2,-3,0,0,-2,-2,-2,-2,-2,-2,-2,-2,0,-2,-2,-2,-2,-2,-2,2,-1,-2,-2,-2,-2,-2,0,-1,-1,-1,
-1,-1,-1,-1,2,2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,1,0,-1,-1,-1,-1,-1,-1,-1,
-2,0,-2,-1,0,2,-2,-1,-2,-1,-2,-1,-2,-1,-2,-1,0,-1,-2,0,-2,-1,-2,-1,0,2,-2,-1,-2,-1,
-2,-1,-2,-1,0,-1,-2,-3,0,-1,-2,-1,-2,0,-2,-1,0,-1,-2,2,0,-1,-2,-1,0,-1,2,-2,-3,0,
-1,-1,-1,0,-1,0,-1,-2,-1,0,2,-2,-1,-2,0,2,-2,0,-2,-1,-2,-1,0,2,-2,-1,0,2,-2,-1,
-2,-1,-2,-1,0,2,-2,-1,0,0,-2,-1,0,0,-2,-1,-2,0,-2,-1,-3,-1,-2,-1,0,2,-2,-1,-2,-1,
-2,-2,-1,-2,-1,-2,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-4,-3,-2,-1,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_12_latin_ext_w[560]={ 0,3,5,7,6,7,7,2,5,4,6,7,4,5,
3,6,7,6,6,6,7,5,6,6,6,6,3,4,6,6,5,5,7,7,6,6,7,5,5,6,6,5,5,7,
5,7,6,7,6,7,7,6,7,6,7,7,7,7,6,3,6,4,6,7,4,6,6,6,6,6,7,7,6,5,
6,6,5,7,6,7,6,6,6,5,6,6,7,7,7,7,6,6,2,5,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,6,7,7,
2,6,6,7,5,6,6,5,6,5,5,6,5,5,6,7,6,3,2,5,5,6,7,7,7,4,7,7,7,7,
7,7,8,6,6,6,6,6,6,6,6,6,7,6,7,7,7,7,7,6,7,6,6,6,6,7,6,6,6,6,
6,6,6,6,7,6,6,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,6,6,6,6,7,6,7,
7,6,7,6,7,6,6,6,6,6,6,6,6,6,8,9,7,7,6,6,6,6,6,6,5,6,6,6,6,7,
6,7,6,7,6,7,6,6,7,6,6,6,6,6,6,6,5,6,6,5,6,6,6,6,7,6,6,6,6,5,
5,8,8,6,8,6,5,6,6,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,8,7,7,6,8,7,
6,6,6,6,6,5,6,6,7,6,7,9,7,6,6,6,6,6,6,6,6,6,7,7,6,6,7,7,7,7,
7,6,6,6,6,6,6,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,6,8,7,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,6,5,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__consolas_12_latin_ext_h[560]={ 0,10,4,8,11,10,10,4,12,12,6,7,5,2,
3,11,9,8,8,9,8,9,9,8,9,8,7,9,8,4,8,10,12,8,8,9,8,8,8,9,8,8,9,8,
8,8,8,9,8,11,8,9,8,9,8,8,8,8,8,12,11,12,5,2,4,7,10,7,10,7,9,9,9,9,
12,9,9,6,6,7,9,9,6,7,9,7,6,6,6,9,6,12,13,12,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,9,11,8,8,8,
13,11,4,9,6,6,3,2,6,3,5,8,6,6,4,9,11,3,2,6,6,6,9,9,9,9,10,10,10,10,
10,11,8,10,10,10,10,10,10,10,10,10,8,10,11,11,11,11,11,6,11,11,11,11,11,10,8,10,10,10,
10,10,10,10,7,8,10,10,10,10,9,9,9,9,10,9,10,10,10,10,10,7,10,10,10,10,10,12,12,12,
10,9,10,10,11,9,11,10,11,10,11,10,11,10,10,10,8,10,10,9,10,10,10,10,11,9,10,10,11,12,
11,12,11,12,11,12,10,11,8,9,10,9,10,8,10,9,11,12,10,6,9,12,11,12,11,12,6,10,11,11,
12,9,9,8,9,8,9,10,9,11,9,10,9,10,11,9,11,9,11,10,11,10,9,7,10,9,11,9,10,9,
11,10,11,10,10,8,11,10,11,11,10,10,8,9,11,10,11,9,11,10,12,10,11,10,11,9,10,9,10,12,
10,10,9,10,9,10,9,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,12,10,10,12,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,9,11,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_12_latin_ext_s[560]={ 183,103,243,76,24,147,190,253,62,68,165,
60,212,84,252,183,9,15,37,37,193,51,57,201,71,244,251,25,186,224,223,
235,93,215,237,64,22,122,128,122,141,232,181,203,211,224,238,131,217,1,148,
149,156,44,195,187,179,171,164,81,207,158,199,76,231,46,30,53,147,245,114,
167,216,136,124,129,85,75,83,9,142,107,119,24,172,17,97,138,111,156,186,
137,4,131,68,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,183,223,103,
134,114,106,1,124,217,116,152,158,249,84,172,249,206,30,193,126,236,1,159,
252,253,146,132,179,208,200,192,187,154,162,192,200,177,174,67,208,105,241,98,
133,91,112,162,213,98,228,196,211,226,242,1,68,9,17,110,74,53,222,179,
215,126,133,185,119,170,81,30,91,140,77,183,176,95,81,109,102,84,237,69,
61,53,45,37,38,22,15,8,1,248,7,55,101,220,26,205,198,234,67,189,
169,144,155,131,140,204,126,117,107,229,95,88,78,74,67,60,53,138,88,32,
25,38,24,81,32,88,73,117,85,212,24,59,60,178,74,163,52,149,19,250,
109,120,105,230,144,31,176,45,151,90,46,60,250,163,244,1,84,10,208,33,
82,39,219,46,68,53,135,182,146,166,248,151,60,45,170,91,1,195,17,95,
30,226,99,67,156,53,39,18,1,31,242,16,9,204,185,44,160,221,249,214,
153,236,75,169,89,190,96,38,139,104,164,112,116,127,142,124,219,241,235,234,
227,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,228,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,47,40,1,10,15,198,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,243,175,16,9,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7, };
static unsigned short stb__consolas_12_latin_ext_t[560]={ 13,38,89,81,15,38,38,50,1,1,90,
90,89,97,84,1,71,81,81,71,71,71,71,71,71,71,71,71,71,89,71,
38,1,71,71,71,81,81,81,71,81,80,61,80,80,80,80,61,80,15,81,
71,81,71,80,80,80,81,81,1,1,1,89,97,89,90,50,90,50,80,71,
61,61,71,1,71,71,90,90,90,71,71,90,90,71,90,90,90,90,71,89,
1,1,1,97,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,13,61,15,
81,81,81,1,15,89,61,90,90,89,97,90,93,89,81,89,90,89,71,15,
80,55,90,90,89,61,61,61,61,50,50,50,50,50,15,81,50,50,38,50,
38,50,50,38,38,81,38,15,15,15,15,27,90,27,27,15,15,27,50,71,
50,50,50,50,50,50,38,90,81,50,50,38,38,61,61,61,61,50,50,50,
50,50,50,50,90,50,50,50,50,38,1,1,1,38,61,38,38,15,61,15,
38,15,38,15,38,15,38,38,38,71,38,38,71,38,38,38,39,15,61,39,
39,27,1,15,1,15,1,15,1,27,27,81,61,27,61,27,81,27,61,15,
1,27,90,50,1,27,1,27,1,90,39,15,1,1,50,61,81,61,71,61,
27,61,15,61,27,61,27,15,61,15,61,15,27,15,27,71,90,27,71,15,
71,27,71,15,27,15,39,39,81,15,27,15,15,27,27,81,61,1,27,1,
61,1,27,1,27,1,27,15,61,27,71,27,1,27,27,61,27,61,27,61,
61,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,1,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,1,1,39,39,1,1,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,1,61,15,15,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81, };
static unsigned short stb__consolas_12_latin_ext_a[560]={ 106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_12_latin_ext(stb_fontchar font[STB_FONT_consolas_12_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_12_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_12_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_12_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_12_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_12_latin_ext_s[i] + stb__consolas_12_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_12_latin_ext_t[i] + stb__consolas_12_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_12_latin_ext_x[i];
            font[i].y0 = stb__consolas_12_latin_ext_y[i];
            font[i].x1 = stb__consolas_12_latin_ext_x[i] + stb__consolas_12_latin_ext_w[i];
            font[i].y1 = stb__consolas_12_latin_ext_y[i] + stb__consolas_12_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_12_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_12_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_12_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_12_latin_ext_s[i] + stb__consolas_12_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_12_latin_ext_t[i] + stb__consolas_12_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_12_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_12_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_12_latin_ext_x[i] + stb__consolas_12_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_12_latin_ext_y[i] + stb__consolas_12_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_12_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_12_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_12_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_12_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_12_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_12_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_12_latin_ext_LINE_SPACING
#endif

