// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT        232
#define STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_20_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_20_latin_ext_LINE_SPACING          13

static unsigned int stb__consolas_20_latin_ext_pixels[]={
    0x047e63f3,0x00131000,0x01333306,0x00000144,0x4cc40304,0x01988019,
    0x70073b6e,0x2a5b007d,0x002ea805,0x3ae0275c,0xb803d503,0xb81f542e,
    0x20ec803e,0x2603eeed,0xe883910c,0x4c2eb802,0x3f63f31f,0x3be6001c,
    0xf11fb801,0x2ec09fff,0x500ff200,0x40be6bff,0x200ffffc,0x7db01fe8,
    0x3ee05f95,0x6fdc03fc,0x05fd803f,0xf7013ee0,0x03f707f9,0x37ec5ff8,
    0x101fe7dc,0x7e6647ff,0x7dcff204,0x5c01fcc4,0xf98fcc3f,0x200fd711,
    0x540794d8,0x27cccc5f,0x2a003f88,0x5f7cc01d,0x3f203f60,0x37a20199,
    0x7c81db00,0x01931c88,0x93002ca8,0x00b22003,0x70326391,0x41eb803f,
    0x98e443e9,0x2036e00c,0x50a204f8,0xb803f981,0xf98fcc3f,0x20017cc1,
    0x1df102f8,0x0c9827c0,0x90079700,0x90df103f,0x40b2a00f,0x02f881fa,
    0x00000000,0xf7000000,0x00000003,0x004f8800,0xb803f980,0xf98fcc2f,
    0xda804f81,0x3f900fef,0x80004f80,0x6403e9eb,0xf913e607,0x05d5d500,
    0x6426c0bb,0x80eeeefe,0x0eeeefec,0xeeeefec8,0x3b209d10,0x3b209d10,
    0xbfb53f70,0x3a60f543,0x3bbbba62,0xddddd30e,0x109f101d,0x4c3b209d,
    0xf727543f,0x3f31f985,0xefc809f0,0x4f885fec,0xfec84f80,0xeb80eeee,
    0x036403e9,0x807c83f2,0x1f88794b,0x8b93dfd7,0xcefcabfd,0x7e55fec0,
    0x55fec0ce,0x3fa0cefc,0x3fa2fc40,0x9f72fc40,0x2e1ff9bf,0x931fcc1f,
    0x263fd999,0x81fecccc,0x81fd04f8,0xa8fe65f8,0x2617d45f,0xbf03f31f,
    0xfdf27d40,0xf802fb87,0x7e55fec4,0x07b700ce,0x2fa80db0,0x37e601f2,
    0xbfabd41f,0x3e65c8fc,0x1fcc3ec3,0xb0fe61f6,0xfa87f70f,0x3ea1fdc2,
    0xfa87fee2,0x3f983f73,0xf700fdc0,0x2e09f103,0xf317d43f,0x3ea17ea7,
    0x1f98fcc2,0x99fa06d8,0x07ec7e8f,0x87f327c0,0x0276407d,0x8fe602f4,
    0x0151007c,0xbbdd76b9,0x1f907ee6,0x07e41fb8,0x81f907ee,0x207ec6f8,
    0x707ec6f8,0x3eebf05f,0x2e01fcc1,0x207ee01f,0x8df104f8,0x2afe60fd,
    0x985f505f,0xacfa801f,0x96c93e20,0xf803fc1f,0x1f907ee4,0x203ffe20,
    0xf802fca8,0xdb701f25,0xfa6c19df,0xf9972d93,0x27cc3f44,0xd13e61fa,
    0x7c47f20f,0x3e23f904,0xb740fdc4,0x01fcc1fb,0x1fb807ee,0x3f204f88,
    0xdf989f11,0x307ea05f,0x3fea003f,0x74e8fe62,0xf802fc3f,0x0fd13e64,
    0x541fe7d4,0x4fb002ff,0x5e6f407c,0x3e73a6fe,0xfd172bd2,0x3a05fd9b,
    0xd02fecdf,0x205fd9bf,0x203f74f9,0xb83f74f9,0x3f76e81f,0x7dc03f98,
    0x2207ee01,0x5d3e604f,0x7f5fcc1f,0xf983f501,0x40afb801,0x2a3f12fa,
    0x7c01be2f,0x7f66ff44,0x82fdf602,0x7e803fa8,0x3f2001f2,0x3e5f37d1,
    0x65fd47d4,0x97f501cd,0x2fea039b,0xbf401cdc,0x6ebf406e,0x75f81fb8,
    0x403f983f,0x07ee01fb,0x2fd013e2,0xe8bf986e,0xf981881f,0x982ec061,
    0x0fdcf73f,0xa93e00fb,0x201cdcbf,0x401fb4f8,0x326f805d,0xd2fa8007,
    0x273eabe9,0xc801f20f,0x001f2007,0x700fefee,0x3f707f7f,0x83f72fb8,
    0x0fdc03f9,0x9f103f70,0x83fbfb80,0x81ff13f9,0xf31f9828,0x3e209f03,
    0x707dc9b4,0x649f003f,0xa8fd4007,0x301f203f,0x4c03e49f,0x9b2feedb,
    0x13fefff6,0x3999dff7,0x999dff70,0x99dff703,0x7ffc4039,0x07ffc400,
    0x7e4d6fdc,0x7f307ee5,0x2e01fb80,0xbf75511f,0xfff10355,0x7cc7f301,
    0xf313f60e,0x13e07e63,0x3a2f8ef8,0x7c01fcc7,0x333bfee4,0x7c4fb01c,
    0xf701f205,0x3fa03e45,0xb92fdccc,0xf881984c,0x44ffeeef,0xffeeeff8,
    0x7777fc44,0x17f204ff,0xfb82fe40,0x7dc3efff,0x2e01fcc1,0x547ee01f,
    0x3fffffff,0x3e60bf90,0xfc877d43,0x1f98fcc3,0x33f604f8,0xdf07f50f,
    0x7fc49f00,0x444ffeee,0xc807ec5f,0x1f237407,0x97d42f98,0x3f6000fa,
    0xfb07f440,0x360fe881,0x807f440f,0x3fb001fd,0x40007ee0,0x07ec02fa,
    0x80001fb0,0x100001fd,0x07e63f30,0xefe8813e,0x9f506fca,0x03f64f80,
    0x67d41fd1,0x902fdaaa,0x3217e40f,0xf903f207,0xdf0027c5,0x20df1fa0,
    0x7e837c7e,0x2a00bf50,0x007ee05f,0x3e007ec0,0xe9837c06,0x802fd401,
    0x7cc001e9,0x3f983f31,0x27fffc40,0x4f80bf20,0x363f41be,0x5fffffff,
    0xbf303f50,0x6fdc0f90,0x2a2ffeb9,0x81ca99cf,0xfda9adfd,0x54d6fec3,
    0x56fec3fd,0x2a63fda9,0x2a600efc,0x3ee00efc,0xfb577001,0xfebacc89,
    0x3faeb322,0x5301f702,0x2e001df9,0x985f300f,0x3263f31f,0x4fcc00fe,
    0x443f6000,0x3f64faaa,0x23fda9ad,0x99999df8,0x39df00fe,0x3f203be2,
    0x7fe40aaa,0x6cc2f9cf,0xc880ceff,0x882dffff,0x82dffffc,0x2dffffc8,
    0x540277d4,0x1fb804ef,0x09fff700,0xb85dfff7,0x3202efff,0x009df506,
    0x03ea06c8,0x6c7e63f3,0x06c801df,0xff10e880,0x7fe449ff,0x17d42dff,
    0xd7302fb8,0x7e403a2b,0x00100fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c2dc000,0x0003f31f,0x00000000,0xf8807ec0,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x40131098,0x05fd8019,0x0660060c,
    0x21720fb2,0x82deedb8,0x03220018,0x03100ea0,0x50b905d9,0x7777440b,
    0x5c0eeeee,0x9884efed,0x02040260,0x4c409980,0x00262000,0x988005d5,
    0xfa879000,0xe88df882,0x807fe01e,0x3e02d8da,0xff806dad,0x36c3ff41,
    0x3b73bfa6,0x5d77fdc6,0x6c01ea05,0xd13fee04,0xf90db0df,0x7f777440,
    0x3fa0eeee,0xdb06dcde,0x47f20bd5,0x4fc804f9,0x8801fe98,0x3f600efe,
    0x07be6005,0xbfb0be20,0x006e4bb0,0xae9803fa,0x3bfa601e,0x740fe801,
    0xf136c3ff,0x89c8303f,0xec981efc,0x81f402cf,0x3a3d9aea,0x6436c3ff,
    0x40bea007,0x764003fb,0x6c436a04,0x20175402,0x336200dc,0x3b300dc8,
    0x50136200,0xc881fdfb,0x80000000,0x000003db,0xdb1b77a0,0x000017e4,
    0x1bbffff6,0xd0003f98,0x9b6c1fbb,0xeeeeffee,0x3605f502,0x0000000f,
    0x00000000,0x20000000,0x05fecefc,0x40b904d8,0x361deedb,0x826cb904,
    0xeedb885c,0x45f5bd2d,0x6c01be6d,0x4feeb904,0x3fff204d,0xbddb706f,
    0xd8fe77a3,0x99fd9936,0x0bea0399,0xb70027e4,0x04d89dfd,0x3bb6e0b9,
    0x2e41361d,0x2277f6dc,0xb803eeed,0x7d44efed,0xf98ffbe4,0x43ec17e1,
    0x5edcefe8,0xbf3ec17e,0xdfd31f60,0x757addb9,0x127c5b66,0x82fc1333,
    0x0fa1fb7d,0x1d7de7ec,0x3b73bfa2,0x6c3f6bd5,0x2a007c86,0x5dfd102f,
    0xdcdefe80,0x47d82fc6,0x5edcefe8,0x3a3ec17e,0x646dcdef,0x7f404fcc,
    0x3f46dcde,0x7ccfd1f3,0x43ec17e1,0x17e182fe,0x360bf3ec,0x4607fe27,
    0x5b65f75e,0x3ffee3f9,0xcbec17e6,0x9f505f3f,0x417f41ee,0x6d3e6bd1,
    0x2a007c86,0x7ffe402f,0xf803fb83,0x2fe8fb05,0x3ec17e18,0x7c4007f7,
    0x100fee04,0x0fcb649f,0xd82fc5f3,0x7c01fdc7,0x82fcfb05,0xd00bf27d,
    0xf36db7cb,0xf3755447,0x7fc5f60b,0x90fc81fe,0xe807f70d,0x21b63f65,
    0x0bea007c,0xb1bfae20,0x20bf001f,0x200fee7d,0x7ecfb05f,0x813e2000,
    0x1fcc00fd,0x7d47ee9d,0x23ec17e2,0x05f800fd,0x7d82fcfb,0xb97a01be,
    0x09f16d9f,0xfb05f9ba,0x21fffe44,0x3f61767d,0x9f12f400,0x400f90db,
    0x7e4002fa,0x3e013f23,0x07ecfb05,0x27d82fc0,0x3e2004fc,0x5013f204,
    0x7d47e25f,0x82fc5f52,0xf803747d,0x82fcfb05,0x4c49f17d,0x7c4bd099,
    0x203fe6dd,0x3ec17e6e,0xb877f7d4,0x0dd09d1f,0x6efc8bd0,0xf5000fc8,
    0x24f88005,0x3e02efe8,0x0374fb05,0x44fb05f8,0xf8802efe,0x0bbfa204,
    0x2e7b9fcc,0x2fc5f51f,0x802fc7d8,0x2fcfb05f,0x5c7f37d8,0xc8bd6fff,
    0x213ea6ef,0x3ec17e6e,0xf34fbb64,0x017e0fe9,0x0dff117a,0x3ea005f5,
    0x41fd4002,0x5f83fffc,0x802fcfb0,0xf90fb05f,0x27c407ff,0x21fffe40,
    0x7dc9b4f8,0x82fc7f50,0xf8037c7d,0x82fcfb05,0x5447f37d,0xf88bd6ea,
    0x5677ec6f,0x6c17e6fb,0x4bf15d87,0x239bfcfe,0xc85e806f,0x557df06f,
    0x6c0bea03,0x0efcaaac,0xf8dfd710,0x037cfb05,0x20fb05f8,0xf106feb8,
    0x3fae2009,0xd17c77c6,0x0df1fd4f,0x200fd1fa,0x37cfd06f,0x209f17e8,
    0xdfb0bd6e,0x7dfffd70,0xe87e837c,0xffb89f74,0x201fa6ff,0x506f885e,
    0x2a05fffb,0xffffb02f,0x3f20019f,0xd3f41be3,0x741be00f,0x513fc807,
    0x0355bf75,0xcfd8ff20,0x7dc7f50f,0x22fc1ba3,0x06e802fd,0x5f8374bf,
    0x01ba03fe,0x37404c00,0xdf9bd5f8,0x3f501dfd,0x0002fd81,0x0002017e,
    0x40004c40,0x7c1ba4f8,0x3a00bf65,0xf100bf06,0x3ffffea9,0x9f1003ff,
    0x7e577f44,0x1fb1fdc6,0x77cc4fa8,0x2a07ec00,0xf503f64f,0x37427d49,
    0x74c00f4c,0xfa81fb01,0x7dfffd94,0x7cc1ee01,0x4fa8000e,0xd3003d30,
    0x003d3003,0x03f63fa8,0x077cc9f5,0x9f503f60,0xa807f500,0x87f5000f,
    0x004ffff8,0xff957df3,0x759ff901,0x55f7ccbb,0x3be60ffc,0x6c0ffcab,
    0x86fbacef,0x0fb800fb,0xf957df30,0x801f981f,0x33ff205c,0x3f205dba,
    0x001f700f,0x1f7001f7,0x32aab360,0x2fbe60ef,0x7e40ffca,0x265dbacf,
    0x0ffcabef,0x3f2aab36,0x6c1fc00e,0x0efcaaac,0x40004fcc,0x00dfffe9,
    0x0b7fffaa,0x01bfffd3,0x01bfffd3,0x0fbfffae,0x036401b2,0x037fffa6,
    0x026c01ea,0x0b7fffaa,0xd900efc4,0x6401b200,0x3ffff606,0xffe980cf,
    0xffd500df,0xffe985bf,0x7ffec0df,0xef800cff,0x7ffffec2,0xb806c80c,
    0x2000203f,0x04001000,0x00002600,0x26004000,0x40035002,0x00000000,
    0x26200000,0x10002000,0x26200200,0x82e4c000,0xf0000098,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13103fb8,0x274c1ea8,0x039bddd3,0x40801310,0x01104400,
    0x006c8188,0x809884c4,0x01310018,0x880060c0,0x004c4009,0x100310c4,
    0x37b6a013,0x98805003,0x1bd30000,0x20009880,0xfd100098,0xf10fdc1d,
    0x7777d41d,0x3fa203ff,0x263f900e,0x2afea04f,0x13fee03f,0x6fc400fb,
    0x7dc1ee88,0xd305baef,0x2b7e003f,0x3df3006d,0x0077f440,0x00bef3e6,
    0xdf903df3,0x6401dfd9,0x07fa604f,0x801bf300,0x9800efe8,0xcd8801ef,
    0x43f70dc8,0x117d40fe,0x19b101ff,0x21b501b9,0x7fdc02d8,0x366baa04,
    0x5d801f63,0x22720372,0x6e401efc,0x1efe9800,0x4404d880,0x400dc8cd,
    0x6c402ed9,0xfc89f504,0x200fee04,0x4f2000dc,0x919b102f,0x026c401b,
    0x323f7000,0x642fa81f,0x0000001f,0x3ec00000,0x00000000,0x00000000,
    0x00000000,0x01fa0fd0,0x2a000000,0x0000000f,0x77777740,0x07f53f73,
    0x81fb0bea,0xb50b904d,0xdb8807bd,0xdb882dee,0x00fb2dee,0x201ef6d4,
    0x5403deda,0x6d403ded,0x76d403de,0x6f6d403d,0xdeedb803,0x8ae41361,
    0x643f904f,0x4eeeeeee,0x2e009d90,0xdd306ffd,0x643ddddd,0x5d55c83e,
    0x4feeeee8,0x5409f7f7,0xf09f732f,0xdf91f60b,0xd301dfd9,0x98ddb9df,
    0xb6edcefe,0x33bf200f,0xefc80efe,0xfc80efec,0xc80efece,0x80efecef,
    0x0efecefc,0xefecefc8,0xdcefe880,0xbec17e5e,0x45f703f9,0xfeeeeeec,
    0x00fff885,0x2ffde7f4,0x777f774c,0x361ffa1e,0xf980fff6,0x401fff74,
    0x03fffffa,0xfa9f60bf,0x3e227dc4,0x3fe2181f,0x500fb181,0x544fb89f,
    0x2a27dc4f,0x2a27dc4f,0x2a27dc4f,0x2a27dc4f,0x7427dc4f,0x417e182f,
    0x2a05f57d,0x81fe802f,0x2e03fcfa,0x07f7f52f,0xffe817d4,0x04fcb6c3,
    0xfbfba7cc,0x36b3ea06,0x360bf02f,0x23f41fa7,0x2fc802fc,0x3f403ec0,
    0xe83f47e8,0x47e83f47,0x7e8fd07e,0xd07e8fd0,0xf803fb8f,0x0feafb05,
    0x3ee017d4,0x817efb03,0x02f5726e,0x377a05f5,0x300136c6,0x3ea7ee9f,
    0x7f45f504,0x2fb05f80,0x43f904f8,0x00df006f,0x04f880fb,0x413e23f9,
    0x209f11fc,0x209f11fc,0x209f11fc,0x209f11fc,0x003f61fc,0xf9bec17e,
    0x4403f703,0x369f106f,0x97c9f00f,0x40bea07d,0x1b62fade,0x3ee9f300,
    0x5f507f91,0x82fc27d4,0x2e07f37d,0x4c49f12f,0x449f1099,0x80fb0999,
    0x25f703f9,0x25f703f9,0x25f703f9,0x25f703f9,0x25f703f9,0x45f703f9,
    0x20bf006e,0x3a0df17d,0xa80fec07,0x3e07f51f,0x81f21f54,0x3abd02fa,
    0x01f5db66,0xd0fdd3e6,0x742fa83f,0x7d82fc0f,0x4bea05f5,0x3ffee3f9,
    0x7fdc7f36,0xfa80fb6f,0x3ea5f502,0x3ea5f502,0x3ea5f502,0x3ea5f502,
    0x3ea5f502,0x2fc5f502,0x4fb05f80,0x01fd42fd,0x13ec07f7,0x2e5ba0bf,
    0x817d40dd,0x5b65f75e,0xa7cc03fb,0x83fe21fb,0x21fd42fa,0x3eafb05f,
    0x3e65f503,0x4dbaaa23,0x5baaa23f,0x1aaaaafd,0x4bea07f5,0x25f503fa,
    0x25f503fa,0x25f503fa,0x25f503fa,0x45f503fa,0x20bf006f,0x2b3fe67d,
    0xdf100efc,0x3f62fc40,0x32f9fc80,0x817d409f,0xbb6dbe5e,0xba7cc03f,
    0xf52fd41f,0x06f8fd05,0x5c0fe6fd,0x3a09f10f,0x5ba09f16,0x4ffffffd,
    0x43ee07f3,0x21f703f9,0x21f703f9,0x21f703f9,0x21f703f9,0x41f703f9,
    0x20df007e,0x7ffecc7e,0x807f600c,0xfdaaacfa,0xbaffe882,0x0bea00ff,
    0xdb3f72f4,0x7f500bea,0xdd000000,0x837c57e0,0x7407fc7e,0x1ba03fe6,
    0xfd06f880,0x27e837c4,0x44fd06f8,0x7c4fd06f,0x37c4fd06,0x017ec7e8,
    0x505f8374,0x03fa805f,0x7fffffec,0xfffd105f,0x02fa801b,0xb6efc4bd,
    0x17e401e9,0x74c00f4c,0xf503f601,0x3ea17e49,0x37427d43,0x98dd09f5,
    0xa85f901e,0x2a17e43f,0x2a17e43f,0x2a17e43f,0x2a17e43f,0x2a17e43f,
    0x0077cc3f,0x09f503f6,0x10cc7be2,0x9df880df,0x00fe9999,0x7d40017f,
    0xefc8bd02,0x36b3e606,0x001f706f,0x77cc01f7,0x260ffcab,0x06fcacff,
    0xdf759dfb,0xfbacefd8,0xf9807dc6,0x986fcacf,0x86fcacff,0x6fcacff9,
    0xfcacff98,0xcacff986,0xacff986f,0x9ff906fc,0x77ccbb75,0x200ffcab,
    0x365ffffa,0x3cccccdf,0x0bee05f5,0x2a2003ea,0x20aacfca,0x037fc45e,
    0x019fffb1,0x036401b2,0x06ffff4c,0x027ffec4,0x0fbfffae,0x0fbfffae,
    0xffd880d9,0x3ff6204f,0x3ff6204f,0x3ff6204f,0x3ff6204f,0x3ff6204f,
    0x7ff5404f,0x7ff4c2df,0xba8800df,0x7fffff42,0x201fb6ff,0x540005f8,
    0x2fffffff,0x01bf617a,0x00000004,0x00100040,0x02600130,0x20004000,
    0x20004000,0x20004000,0x10008000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00810000,0x26200062,0x00009880,0x00c40133,0x882e4136,
    0x27540009,0x18804c40,0x007a6062,0x22004c40,0x76e4c009,0x304c44ee,
    0x7ddd9101,0x004c1310,0x98262014,0x3bbbba60,0x133001ee,0x1fc87f70,
    0xdff709f3,0xef980b75,0x001fe981,0xff7027dc,0x05f8b75d,0x1dfd10fb,
    0x2013ea00,0xbf301ef9,0x017a07f7,0x8807be60,0xff900efe,0xdb0bf9bf,
    0x9ff10bd5,0x2bb60797,0x04fc805e,0x262f576c,0x1eeefeee,0xff04fc80,
    0x5b10da8f,0x3df91390,0x64026c40,0x05d5000d,0x1efc89c8,0x447d82fc,
    0x800dc8cd,0x04d88009,0x2e02ed98,0x1362000f,0x1b919b10,0xf2ffffb8,
    0x5c13b20b,0x13b2001f,0x6401fdc0,0x017d404e,0x7dc05d50,0x00000003,
    0x00000000,0x3ec17e00,0x3bbb6000,0x00000003,0x000009f1,0x7fffec00,
    0x2e000bf2,0x0000002f,0x17d40000,0x74c00000,0x21eeeeee,0x745c83ec,
    0x40eeeeee,0x0eeeeeee,0x0e6f774c,0x5f827640,0x13b20fb0,0x409f9990,
    0xddd3006c,0x03e4039b,0x3aa09d90,0x7ff4ba00,0x764bf2ff,0x24eeeeee,
    0xdd104ff8,0x1ddddddd,0x7777774c,0x320fb21e,0x3002fa85,0x005ddddd,
    0xdddfddd3,0x36c3ff43,0x3bbbbbfe,0x77777fc0,0x7777d40e,0x3fe203ff,
    0xfb05f80f,0x001fff10,0x03ec09f1,0xffeeefa8,0x1005f303,0x1f701fff,
    0xfffd9fc0,0x7764bf2f,0x3a5feeee,0x7442efdf,0xeeeefeee,0x3bfbba60,
    0x21ffa1ee,0x002fa86d,0x0399bffb,0xfd02fa80,0x2fc6d87f,0xf5005f80,
    0xa807fc45,0x05f83fcf,0x7f9f50fb,0x6c09f100,0x445f5007,0x00db00ff,
    0xf507f9f5,0x7ccbe203,0x00bf2fff,0x4c7ee3fd,0x0bea03fe,0xfe817d40,
    0x7d436c3f,0x2fcf8802,0x05f50040,0x8db1b77a,0x00bf005f,0x03f90bea,
    0x2fc2fdf6,0xbf7d87d8,0x6c09f100,0xc85f5007,0x803f501f,0x3f50bf7d,
    0xfea8be20,0xfb80bf2f,0x3fb03f23,0x5400bea0,0x8dbbd02f,0x802fa86d,
    0x3202fafb,0x205f504f,0x1b62fade,0x017e00bf,0x03f617d4,0x207ed3e2,
    0xf88fd06f,0xf8801fb4,0x5401f604,0xf007ec2f,0xfda7c409,0x0a88fcc0,
    0x215303f3,0x51be205f,0x504f889f,0x0bea005f,0xdb17d6f4,0x9f005f50,
    0x3ff405f3,0x2bd02fa8,0x5df1b66e,0x5df05555,0x5f505555,0x7d413ee6,
    0x06e87f51,0xf51fa8df,0x204f8807,0x25f5007d,0x7dc04fb9,0x3ea3f500,
    0x2fa97cc3,0x0bf003f3,0x67ec0fec,0x3ea09f10,0x205f5002,0x436cdd5e,
    0x4fd402fa,0x4c0aacf9,0x02fa80ff,0x36cbeebd,0x1ffffffe,0x1ffffffe,
    0x0fffffea,0xb17e27d8,0x6c4fa81f,0xf1017e27,0xa803ec09,0x803fffff,
    0x44fb03f8,0xfd97c45f,0xbf001f55,0xfb80fee0,0xf500fdaf,0x40bea005,
    0x1b65f75e,0x2db00bea,0xf82ffff9,0x3a05f506,0x3e36dbe5,0xf819999d,
    0xa819999d,0x102fdacf,0x260fd8bf,0x0ffcabef,0x01fb17e2,0x0fb027c4,
    0x3f6b3ea0,0xf10db002,0x5fc0fd8b,0x0fa8fdf8,0x6f885f80,0x01ffd980,
    0x7d400bea,0xdb7cbd02,0x59f95516,0xf32f8815,0x40bf2205,0x5cbd02fa,
    0x02fc6d9f,0x5f5005f8,0x67d407f4,0x4c2fdaaa,0x540dfffe,0x2fdaaacf,
    0x7d813e20,0x7f45f500,0x542f9800,0x2fdaaacf,0x5fc7d5fc,0x84f8807b,
    0x3f2001fd,0x400bea03,0x5cbd02fa,0xfff56d9f,0xfc85ffff,0xfc82fb99,
    0x40bea02f,0x1b77e25e,0x017e00bf,0x09f517d4,0xfffffffb,0x6c0fe20b,
    0x5fffffff,0x7d813e20,0x7d45f500,0xfd8bd004,0x45ffffff,0xf7db4dcf,
    0xfa87f500,0x027c4003,0x3ea005f5,0x6fc4bd02,0x7c36406d,0x882fffff,
    0xd02fa800,0x7c6efc8b,0x200bf005,0x107f42fa,0xd33333bf,0x220db01f,
    0xe99999df,0x409f100f,0x85f5007d,0x0fa800fe,0x33333bf1,0x97ef41fd,
    0x5f546dfb,0x3e20ffb9,0x54cd4406,0x0bea01fd,0x5e817d40,0xf30377e4,
    0xb99afa83,0x5544002f,0x3a0aacfc,0x3e37fc45,0x40aaaaae,0x0aaaaaef,
    0x8fea17d4,0x05f702fa,0x2fa817f9,0x55445f70,0x6c1aadfb,0x41aaaaaf,
    0x01fd42fa,0x205f54f8,0x89ff62fb,0x7ff4c6ff,0x66fec1ef,0xff33cccc,
    0xfa805dff,0x3f2aa202,0x117a0aac,0x6fcc0dff,0x59f31b62,0xfff50035,
    0x2f45ffff,0x3ffe37ec,0x7fc1ffff,0x541fffff,0x3f67e82f,0x710bf100,
    0x100fd83b,0x7fffd4bf,0x7fec3fff,0x7d44ffff,0xd8007e82,0x6cbf100f,
    0x882fec4f,0xffffd009,0x4cc4dfff,0x405f5001,0xfffffffa,0x1bf617a2,
    0x0fe69b50,0x009ffff3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3d300183,0x31002620,
    0x00062001,0x04080262,0x4401e5c0,0x3bba6009,0x098801ee,0x98009880,
    0x026206ec,0x1eeeee98,0xfb001020,0x1008100b,0x41804c13,0x01886201,
    0x1ddddddd,0xdb5bf008,0x7441b600,0x3fa600ef,0x577fdc01,0x0f7cc05b,
    0x09f31fc8,0x1027e7e4,0x32201dfd,0x4c00cccc,0x77cc01ef,0x267fd401,
    0x100efe88,0x20199999,0x409f31fc,0x3202d8da,0x3609f31f,0x37e05eae,
    0x37e606da,0xddff03fb,0x2fec1ddd,0x400f7f4c,0x8cd883f8,0x06e400dc,
    0x3df91390,0x2a026c40,0x2205b10d,0xb101510a,0x0001b919,0x22013620,
    0x80fb004d,0x00dc8cd8,0xb10da800,0x0f574c05,0x0b621b50,0x74c04ec8,
    0x76cc01ef,0x3e017e02,0xf900007f,0x00000001,0x00000000,0x000007aa,
    0x0017209b,0x09f10000,0xdeda8000,0xdb800003,0x00000003,0x5f800000,
    0x3a64fc80,0x01eeeeee,0x203d913e,0x3bba64e8,0x3a61eeee,0x91eeeeee,
    0x653a203d,0x5c9d101e,0x904d801f,0x27d82fcb,0xeeeeeee9,0x3bbbbb21,
    0x05f504ee,0xeeeeeee8,0x7f677e40,0x013b200e,0x3ba02764,0x740eeeee,
    0x40eeeeee,0x0eeeeeee,0x0566f76c,0xd30005f8,0x03dddfdd,0x0bf307ea,
    0xeee987f2,0x3a61eeef,0x31eeefee,0x4c7f20bf,0x5c3f905f,0xd06e801f,
    0x27d82fcf,0xeeefeee9,0x3bbbbb21,0x03f705fe,0xeeeeeff8,0x9f713ea0,
    0x003ffe20,0x7c01fff1,0x40eeeeef,0x0eeeeeff,0x777777fc,0x7f777fc0,
    0xaaaef82f,0x17d4002a,0x2fd82f40,0x5f502fcc,0x3605f500,0x362fcc2f,
    0x2e2fcc2f,0xd06e801f,0x07d82fcf,0xfe8005f5,0x37fb32a1,0x805f81cc,
    0x2a0fd07e,0x7d403fcf,0x017e03fc,0x05f802fc,0x1fe98bf0,0x3ffffffc,
    0x300bea00,0xb1be205f,0x017d401f,0x6f8817d4,0x1be207ec,0xa9fb81fb,
    0x83740bfe,0x3ec17e7e,0x2e002fa8,0x7ff75c3f,0x05f81eee,0x1fc827c4,
    0xd80bf7d8,0x02fc0bf7,0x0bf005f8,0x17e617e0,0x833333bf,0x05f503fd,
    0x97e407c8,0x17d404f9,0xf9017d40,0x7e413e65,0xbf709f32,0x6e8df99f,
    0xd82fcfd0,0x2005f507,0x037406f8,0x0fe602fc,0x53e217dc,0x29f100fd,
    0x00bf00fd,0x02fc017e,0xf8fb05f8,0x83ffc405,0x0fe202fa,0x03f6df10,
    0xf5005f50,0xfdb7c405,0x3f6df100,0x321ffb80,0x2aabba0f,0x417e7eaa,
    0x005f507d,0x0bf007f6,0x55555df0,0x2fa817d4,0x03fa8fd4,0x40fea3f5,
    0x82aaaaef,0x82aaaaef,0x82aaaaef,0x7c1f905f,0x504fd805,0x007dc05f,
    0x401fefdc,0x2fa802fa,0x01fefdc0,0x5c0ff7ee,0xfd17d42f,0x4fffffff,
    0x2a0fb05f,0x03fb802f,0x7fc027c4,0x3ea7ffff,0x7d85f503,0x13ec17e2,
    0x3fffe0bf,0xffff87ff,0xffff87ff,0x905f87ff,0x0802fc3f,0x5e80bea0,
    0x401bfa00,0x2fa802fa,0xd006fe80,0x20fdc0df,0x267ba3f9,0x1be7e999,
    0x02fa83f4,0x7cc037c4,0x999df803,0x5c0fe619,0xfb17e20f,0x7ec5f881,
    0x9999df80,0x9999df81,0x9999df81,0x3f905f81,0x5555577c,0x40bea000,
    0x3ee001fa,0x005f5003,0x7f7005f5,0xb80fee00,0xdd1fcc1f,0xf06e9fa0,
    0xb00bea0b,0x05f5003f,0x6f880bf0,0xacfa8fd0,0x7d42fdaa,0x82fdaaac,
    0x00bf005f,0x82fc017e,0x7ffffc7d,0x3ea001ff,0xa800db02,0x05f5002f,
    0xf5005f50,0x80bea005,0xd1fcc1fb,0x0fd9fa0d,0x2fa827d4,0x6c00fea0,
    0x805f800f,0x21fd42fc,0xfffffffd,0x7ffffec5,0x005f85ff,0x017e00bf,
    0x02fcc2fc,0x3ea002ec,0x4003f882,0x5f5002fa,0x5005f500,0x0bea005f,
    0x1fcc1fb8,0xf99fa0dd,0x00ffcabe,0x1be205f5,0x00bf7310,0x3fe6017e,
    0x7c46fcac,0xfe99999d,0x3333bf10,0x05f81fd3,0x17e00bf0,0x3fa22fc0,
    0x400fd401,0xaacfcaa8,0xf5000f90,0x7e554405,0x2aa20aac,0x500aacfc,
    0x0bea005f,0x1fcc1fb8,0xd31fa0dd,0xa881bfff,0x20aacfca,0xcccccdfd,
    0x001dff93,0x2aaaabbe,0x27ffec40,0x2fb817d4,0x0bee05f5,0x155555df,
    0xaaaaaef8,0x555577c0,0x6e67fc0a,0xcf9802ff,0x7fffd401,0x40002fff,
    0x3fea02fa,0x2a2fffff,0x2fffffff,0x2a005f50,0x307ee02f,0x7e83747f,
    0xfffa8020,0x3fa2ffff,0x16ffffff,0xfff80013,0x0201ffff,0xbf100fd8,
    0x2fc403f6,0x3ffffffe,0x7fffffc1,0x7ffffc1f,0x7fffc1ff,0x36e000ce,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40060c00,0x009d9002,0x03ddddd3,0x03ddddd3,
    0x2a015100,0x14c0002c,0xfedb8001,0x80b2a04e,0x01eeeee9,0x80ef76dc,
    0xdd8804d8,0x003aa000,0x26603762,0x54b60199,0x02d4b605,0x33300baa,
    0xb5bf0033,0x809f900d,0x4400fff8,0x880ccccc,0x000ccccc,0xd5d507c8,
    0x9f5c8005,0x7f401be2,0xd506dcde,0x332205d5,0xfd100ccc,0x2a0bdb9d,
    0x37e200ff,0x332600ee,0x3a204dfe,0xfffff00e,0x01fefdc0,0xd807fbf7,
    0x7fffc05f,0x1efe9807,0x5403fb80,0x00003fcf,0x745a8000,0x00f29704,
    0x743f3db0,0x003fb807,0x0001e52e,0x20182fe8,0xc89dc03c,0x3fbba602,
    0x000ee05e,0x50059500,0x03930059,0x00000000,0x40bf7d80,0xeeeeeee9,
    0x77777741,0xc89f200e,0x03fbf301,0x6449ed80,0x000fd806,0x9007f7e6,
    0x01fdc09d,0x40000000,0x000000fb,0x00000000,0x3b200000,0x77777404,
    0xda7c40ee,0xfddd300f,0xeff83ddd,0x3200eeee,0x00544007,0x17e436c0,
    0x20027e40,0x7fc400a8,0x001fb00f,0x00defdb8,0x501bdfb7,0x401fdddb,
    0xa80defdb,0x36a03efd,0xfdb703ef,0x3f6a019d,0xdfdb703e,0xfff88019,
    0x3bbbfe00,0xa8fd40ee,0x02fa803f,0x774c017e,0x42eeeeff,0x8174c1ea,
    0xb86feedb,0x5dfd1001,0xcefedb80,0x07f9f500,0xfe8801ba,0x7440eccd,
    0x6c0eccdf,0x80feccff,0x0eccdfe8,0x37e56fe4,0x37e56fe4,0x37f5e6f4,
    0x37e56fe4,0x37f5e6f4,0x80ff3ea0,0x44fb005f,0x02fa805f,0x664c017e,
    0x41ccccfe,0x21fcc1fb,0x6fdcefe8,0x9fd33d30,0x07fff903,0x1bfaf37a,
    0xbf05fbec,0x4017ec00,0x1fd402fd,0x0bf603ee,0x2fa87f30,0x05f50fe6,
    0x1fcc3f90,0x3f200bea,0x02fdf601,0x8bf100bf,0x17d400fd,0xf9000bf0,
    0xf983f700,0x1b60fec3,0x7e6fefcc,0x0dfd7107,0x9f107f20,0x01be03f6,
    0x7c4027c4,0x5c0fd804,0x4027c40f,0x325f80fc,0xa805f80f,0x3e03f22f,
    0x102fa805,0x7c03f69f,0xaacfa805,0x7d402fda,0x2aabbe02,0x403e402a,
    0x11fcc1fb,0x260db0bf,0x007ea2ff,0x5f5007f9,0x07f51fa8,0x0bea00fd,
    0x3a00bea0,0x7d40fb86,0xcccfd802,0x33f66fcc,0x986fcccc,0x362feedb,
    0x6fcccccf,0x2feedb98,0x0fea3f50,0x1555577c,0x3ffffff6,0x017d405f,
    0x0fffffff,0x1fb807c8,0x07f31fcc,0x113e60db,0x84f8809f,0x42feedb9,
    0x3617e27d,0x03fa802f,0x5f803fa8,0x1fd40fb8,0x66667f40,0x333fa3cc,
    0x7f43cccc,0x3a2fdccc,0x3ccccccf,0x7ee667f4,0x2fc4fb02,0x7ffffff8,
    0x266677e2,0x3ea00fe9,0x26677e02,0x403e4019,0x51fcc1fb,0x260db05f,
    0x5404f83f,0x6667f43f,0xb17e22fd,0x00ef981f,0x7cc02fcc,0xfc87e805,
    0x6c02fcc0,0x01fd801f,0x17d42f98,0x5f3003fb,0x5f882fa8,0x4efc07ec,
    0x0bea1999,0x5f5017dc,0x64002fc0,0x20fd400f,0x213e63f9,0xf07f306e,
    0x32aab369,0x50be60ef,0x5567d45f,0xffc82fda,0x3e25dbbc,0x07fc400f,
    0xffb83f60,0x2007fc40,0x4fb804fb,0x7e40fc80,0x32013ee2,0x5417e40f,
    0x2fdaaacf,0x07ec05f8,0x3ea05f88,0x20017e02,0x1fc402fa,0x2fc47fd1,
    0x1fcc1bf6,0xffffda7c,0x207e40cf,0x3fff62fc,0xd505ffff,0xfa85bfff,
    0x540daadf,0x20daadff,0xfcfcaefa,0xaadffa80,0x4df7f40d,0x5f7f41ba,
    0x37ee1ba9,0x742ffeb9,0x21ba9bef,0xffeb9dfb,0xfffffd82,0x005f85ff,
    0xf5007dc0,0x8002fc05,0xe81aabef,0x43feeabf,0x6dedadfd,0x89f07f30,
    0x37ee07d8,0xf12ffeb9,0xfd33333b,0x500fe201,0x501dfffd,0xb81dfffd,
    0x00fa9eff,0x81dfffd5,0x1effffc8,0x77fffe44,0x4e7ffe41,0x7ffe442f,
    0x7ffe41ef,0x6fc42f9c,0x0fe99999,0xf10002fc,0x9f955107,0xaaef8155,
    0x6d400aaa,0xfd982fff,0x6c43f8cf,0x306c8dff,0xbd09f07f,0x9cfffc80,
    0x2e05f52f,0x003f502f,0x10010004,0x44002000,0x10031001,0x08018800,
    0xf702fa80,0xaaaaef85,0x85df000a,0xfffffffa,0x7fffffc2,0x2002001f,
    0x40010008,0xe84f83f9,0x7ec01002,0x2e0bf100,0x00000005,0x00000000,
    0x00000000,0x807ec000,0x7fffc5f8,0x93001fff,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4036e7b1,0x107725d8,0x6c036e7b,0x43260b52,0x0fae01c8,
    0xec84eb80,0x205f0003,0x203910c9,0x80512dc8,0x75c003eb,0x0007d904,
    0x4bae07a6,0x33333018,0x80b52d80,0x2e019999,0xc984d89d,0x75c03910,
    0x7f7cc003,0x7ec3ba01,0x03fdf301,0xc81fefdc,0x2e09f73f,0xfb803fcf,
    0x000ff204,0x4ff201f5,0xf9bb04fb,0x67dc0bfd,0x09f7003f,0xa8003fc8,
    0xfeff982f,0x0fffff06,0x403fdfb8,0x6407ffff,0x3fc80eef,0x33ee09f7,
    0x0e4c003f,0x07261950,0x95003930,0x02a14405,0x0064c722,0x19500591,
    0x06ffdb80,0x820150a2,0x472202b8,0x164400c9,0x4000ca80,0x7ffe42fa,
    0x200000af,0x000002ca,0x50a20197,0x32639101,0x00000000,0x00000000,
    0x00000000,0xbff79fd0,0x00000000,0x00000000,0x2130bea0,0x000004fa,
    0x00000000,0x2a000000,0xb703effe,0xfda809df,0x4c1ea83e,0xd307aa2e,
    0x3a60f545,0x5d307aa2,0x8ba60f54,0x7f7f52fb,0x013bf6e0,0xb809dfb7,
    0x6dc04efd,0x7edc04ef,0x3bb6a04e,0xfeda82fe,0x9dfb701f,0x04efdb80,
    0x02e983d5,0x501bdfb7,0x6d407dfb,0xbf9003ef,0xbfb07977,0xf901dfb7,
    0xfb8df95b,0x3f71fcc1,0x07ee3f98,0x20fdc7f3,0x307ee3f9,0x2b93747f,
    0xdbdfd85e,0xbdfd80ef,0xdfd80efd,0xfd80efdb,0xd80efdbd,0x40efdbdf,
    0x2feccffc,0x2fe677e4,0x77edefec,0xfdbdfd80,0x260fdc0e,0x66ff443f,
    0x56fe40ec,0xadfc86fc,0x05f806fc,0x27d42fb8,0x45f50fe6,0x71fcc1fb,
    0x2e3f983f,0xf71fcc1f,0x3ee3f983,0x49f1fcc1,0x2fb8fb2f,0x0bee27d4,
    0x42fb89f5,0x217dc4fa,0x217dc4fa,0x513e64fa,0x3227cc5f,0xf50bee1f,
    0x7d42fb89,0x3e60fdc4,0x26017ec3,0xf317d43f,0x7c02fa87,0xe837401e,
    0x2fc07e46,0x23f983f7,0x71fcc1fb,0x2e3f983f,0xf71fcc1f,0x53e3f983,
    0x6e8f90fa,0xd06e8dd0,0x8dd06e8d,0x6e8dd06e,0x20fe4dd0,0x261f62fa,
    0x3741ba4f,0x2e3741ba,0xf11fcc1f,0xf01f9009,0x2fc07e4b,0x02fbfea0,
    0x363ec17e,0x6fcccccf,0x47f307ee,0x71fcc1fb,0x2e3f983f,0xf71fcc1f,
    0x5ba3f983,0x0bf1ba5c,0x360bf1f6,0x47d82fc7,0x5f8fb05f,0x543f4fb0,
    0x2fc1ba2f,0xbf1f60bf,0x83f71f60,0x00bea3f9,0x333333f6,0x3333f66f,
    0xb8806fcc,0x82fc3ffe,0x6667f47d,0x07ee3ccc,0x20fdc7f3,0x307ee3f9,
    0x260fdc7f,0xf307ee3f,0x997cfe47,0x7d82fc4f,0x7c7d82fc,0x05f8fb05,
    0xfb05f8fb,0xf17d4374,0x05f97e0b,0xfb05f8fb,0x1fcc1fb8,0x9fd007f5,
    0x74799999,0x3ccccccf,0xd07f4c00,0x3fb1ba0d,0xf983f500,0x7f307ea3,
    0x8fe60fd4,0x51fcc1fa,0x223f983f,0x0ffbaffe,0x746e8374,0x06e8dd06,
    0xdd06e8dd,0x74dd06e8,0x1ba2fb87,0xd06e93e2,0x8dd06e8d,0x31fcc1fa,
    0x03fb00bf,0x00003fb0,0x83f90fdc,0x027dc3f9,0x7fd11fc4,0x7fd11fc4,
    0x7fd11fc4,0x7fd11fc4,0x7fd11fc4,0x0dfffe88,0x1fcc1fc8,0x87f307f2,
    0x21fcc1fc,0x21fcc1fc,0x91fcc1fc,0x917fcc3f,0x322fb83f,0x321fcc1f,
    0x221fcc1f,0x88ffa23f,0x27dc00ff,0x40027dc0,0x6fbaaac8,0x7dd5ffc4,
    0x9befe80e,0x55ff41ba,0x5ff43fee,0x7f43feea,0x743feeab,0x43feeabf,
    0x3feeabfe,0x7c400bf8,0x40efbabf,0xefbabff8,0x5d5ffc40,0x5ffc40ef,
    0x7c40efba,0x20efbabf,0xfcfcbff9,0x2eaffe22,0x55ffc45f,0x7fc40efb,
    0xe80efbab,0x43feeabf,0x0daadffa,0x5d4df7f4,0x54df7f41,0x3ffe201b,
    0xfd880dff,0xf9100cff,0xd983dfff,0x4c3f8cff,0x43f8cffd,0x3f8cffd9,
    0x7c67fecc,0x467fecc3,0x8007d43f,0x00cfffd8,0x019fffb1,0x033fff62,
    0x067ffec4,0x0cfffd88,0xf8aeffa8,0x67fff442,0xcfffd880,0x9fffb100,
    0x33ff6601,0xffea83f8,0x7fe440ef,0x7e441eff,0x8801efff,0x00020019,
    0x00110031,0x00440022,0x01100088,0x00040000,0x80010002,0x08004000,
    0x01000400,0x02200080,0x06200100,0x00000c40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,
    0x203ec84e,0x1dfda8ea,0x43effea8,0x16c43eea,0x40e44326,0x40512dc8,
    0x3ae003eb,0xa803ec84,0xd9503eed,0xdc885bbd,0xd72e8512,0xea8ea85b,
    0x07f200bf,0xea80dd44,0x89d70001,0x01d904e8,0x50003500,0x0005e743,
    0x1fe409f7,0xfcdfcfb8,0x2ef7f20f,0x3f2fe63c,0x4ff21b21,0xfcdd84fb,
    0xf9f705fe,0x409f7007,0x37f203fc,0x7fe44fdb,0x6ec2fecc,0x67c5fefc,
    0x2e2feced,0x06fdcfcf,0x3fee0ffe,0x01fb83ff,0xfd04fb80,0x8005f881,
    0xdddb02f9,0xfee8be67,0x02c8802f,0xffb80ca8,0x05f8fea1,0x3e67f35c,
    0x40542881,0x6440ae20,0x64401931,0x980ca802,0x9f33f43f,0x71042fa8,
    0x4f8bff05,0x0fc87fee,0x2bf10750,0x0fdc0fe8,0xb80b2200,0x2017d43f,
    0x9903dc6c,0x4c1ee9f9,0x000001fe,0x4bf05f70,0xe9f201ef,0x000009d3,
    0x00000000,0x9fa0fdc0,0x017d41fc,0x26d86f80,0x017d42fb,0x1fb8fe60,
    0x00000fdc,0x03f637c4,0x802b8fb0,0x440754f8,0x3bf6a05f,0x0fbf6a03,
    0x54dd03f7,0x7d40beff,0x00fc9fcc,0x019dfdb7,0x019dfdb7,0x019dfdb7,
    0x019dfdb7,0x419dfdb7,0xe8bf60fc,0x3aa2fa87,0x09f174c1,0x3f983f70,
    0x49f10f70,0xda9fb87d,0x3fb221df,0xc81eeb8d,0xb009f11f,0x13e2000f,
    0xbf907e80,0xbf90df95,0x0fdcdf95,0x3fae237c,0x4d6f5c3f,0x2f37a02f,
    0xbcde86fe,0xbcde86fe,0xbcde86fe,0xbcde86fe,0x6c3f26fe,0x7d43742f,
    0x7f307ee2,0x0fdc027c,0x83e40fe6,0xb82fdafe,0x0ffcdfcf,0x7fff77d1,
    0x74f981fb,0x00fb003f,0xf8013e20,0x7d43f984,0x5f50fe62,0x0bf307ee,
    0xbd007f4c,0x003f9000,0x3f9003f9,0x9003f900,0x3e23f23f,0x2fb86e84,
    0x47f307ee,0x41fb804f,0x07ea83f9,0x2e03dff3,0x40fea1ff,0xd05f33fb,
    0x3ec01baf,0x404f8800,0xfc81feca,0x03f25f80,0x2e0fdd7e,0x80fdc02f,
    0xfa8000fc,0x802fa802,0x2fa802fa,0x1f92fa80,0x43f903be,0x07ee2ff9,
    0x4027c7f3,0x31fcc1fb,0xfd109bff,0x5f725cbf,0x87e60bf0,0x3fbfb83f,
    0x2000fb00,0x5ffc04f8,0x9999fb00,0x667ecdf9,0x9f76fccc,0x644bfb55,
    0x306fbaaa,0x2039915f,0x82feedb9,0x82feedb9,0x82feedb9,0x82feedb9,
    0x92feedb9,0x987bee1f,0x2fdfcaef,0x47f307ee,0x41fb804f,0x803f23f9,
    0xdd4fc8fe,0x13740fdc,0xfdddfdb9,0x01fff109,0x44001f60,0x201fc04f,
    0xccccccfe,0x33333fa3,0xffff73cc,0xffff887d,0xf1bd00df,0xcfe83fbb,
    0x7f42fdcc,0x742fdccc,0x42fdcccf,0x2fdcccfe,0x7ee667f4,0x7fd41f92,
    0x26bbfea1,0xf307ee2f,0x7dc027c7,0x0df1fcc1,0xf5fd1fcc,0xb740fdcb,
    0xcdfdcff8,0x0bf902cc,0x88003ec0,0x201fc04f,0x1fd801fd,0x8800fdc0,
    0x5c7dc019,0x42f98fe7,0x50be62fa,0x2a17cc5f,0xf50be62f,0x3ea17cc5,
    0x5f981f92,0xfa8bea08,0x0001fcc1,0x5403fa00,0x8bffe22f,0xf95f81fb,
    0x6c00be61,0x01f6001f,0x26027c40,0x4027dc00,0x0fdc04fb,0x2203d300,
    0x9274d93f,0x322fc81f,0xf917e40f,0x3f22fc81,0x1f917e40,0x01f92fc8,
    0x22fa80dd,0x0ffa23f8,0x3a6007a6,0x301bf701,0x20ffa89f,0xc97dc1fb,
    0x2a013ee7,0x03ec005f,0x5404f880,0x9befe800,0x5f7f41ba,0x03f71ba9,
    0x6d807dc0,0xb8beabea,0x2ffeb9df,0x3fae77ee,0x2e77ee2f,0x37ee2ffe,
    0x2e2ffeb9,0x2ffeb9df,0xf95511f9,0x742fa809,0x83feeabf,0x0fb800fb,
    0xd133ff20,0xbfff959f,0x7e4d6fdc,0x3beefea5,0x9530b9cf,0x7d8001df,
    0x409f1000,0xfc8806fa,0x6441efff,0xf71effff,0xb8364003,0x427fe40f,
    0x2f9cfffc,0x7ce7ffe4,0x4e7ffe42,0x67ffe42f,0x7ffe42f9,0x31f92f9c,
    0xf5009fff,0x8cffd985,0x9006c83f,0x8fd9300d,0xc8dfffc8,0xdfffb34f,
    0x89efd887,0xdf51fffd,0x2bf60009,0xa881aaaa,0x41aadfba,0x0c4006f9,
    0x00001880,0x00800000,0x00080020,0x40008002,0x02200000,0x00000000,
    0x08000010,0x80000088,0x4ffffffd,0xffffffa8,0x0000083f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xec800000,0xd50eeeef,0xb801e983,0x00fae04e,0xa8ee4bb1,0x80bfea8e,
    0xb05efec8,0x75c016a5,0x01bbbae4,0xdb2e4136,0x6e4407dd,0x443eeeee,
    0x7001b73d,0x13ae009d,0x8144b722,0xb1019999,0x9fd036e7,0x3f545b10,
    0x0fd516c4,0x6f7645b1,0x7e55fec1,0xa83f70ce,0x027dc02f,0x7407f9f7,
    0x7dc3fb0e,0x446fdcfc,0x704cbeff,0xf7007fbf,0x07ecca89,0x64fd06e8,
    0xfd104fcc,0x0599bfbb,0x7003fdf3,0x13ee009f,0x2ff7e6ec,0x207ffff8,
    0xb981fef9,0xdf73642f,0x77dcd90f,0x2b226c87,0xb0fe67ea,0x7d41fb8f,
    0x880b2202,0x9501931c,0xff707261,0x3fb07e43,0x40165400,0x03e402c8,
    0x887e8374,0x263fb04f,0x01c9803f,0x91002c88,0x05710405,0x80e4c000,
    0x87e60feb,0x0fcc7c88,0x1f98f911,0x3ee3f710,0x3f707e41,0x00002fa8,
    0x2fb80000,0x00df17d4,0xf9000000,0x1fa0dd00,0x9f3093e2,0x00001fcc,
    0x00000000,0x65400000,0x3e413a4f,0x3a3e413a,0x1fffec84,0x5c7e89f3,
    0xa817d41f,0xd503effe,0x1ea87dff,0x83f7174c,0x009f13f9,0xd80fbbb6,
    0x3e403eee,0x87e83740,0xf52e9cf8,0xe981fcc3,0x40eeeeee,0x505bd72e,
    0x017fd51d,0x6c07dddb,0x1d503eee,0x4c417fd5,0x201f94fb,0x6403f27c,
    0x3f503f27,0xcdfe87ea,0x20fdc2fe,0xbdfc82fa,0xbdfc83cb,0x20fdc3cb,
    0x307ee3f9,0x4013e27f,0x3204fccc,0x3e404fcc,0x87e83740,0xf70dfff8,
    0x0d56fcc1,0xff999991,0xecedcf81,0x67e7dc2f,0xfccc86fd,0x13f33204,
    0x7ee7e7dc,0x2633ba26,0x7cd6e02f,0x17cd6e02,0x8ff557d4,0x81cdcbfa,
    0x417d41fb,0x00bf005f,0x23f983f7,0x89fcc1fb,0x27c4004f,0x32027c40,
    0x0dd0dc47,0x3dfd31fa,0x7ffcc7c8,0x417dc03f,0x2e27c5ff,0x403f21ff,
    0x4f8804f8,0x7e43ff70,0xe8017a00,0x4417a005,0xf90e9dfd,0xe88fee00,
    0x801ef82f,0x0fdc01ef,0x41fb8fe6,0x009f13f9,0xf8804f88,0x3f63e404,
    0x9fa0dd1f,0xfc84fdfd,0x02673e61,0x0df04f98,0x542fb8db,0x009f102f,
    0x0bee09f1,0x03f205f5,0xc8007e40,0xff70000f,0xfb83999d,0x1dfdebbf,
    0x805f7fd4,0xb80beffa,0xf71fcc1f,0x9f13f983,0x804f8800,0x23e404f8,
    0x20dd1ffd,0x13e2727e,0x03f98bee,0x13e06f88,0x3e60fdc0,0x1009f103,
    0x307ee09f,0x2e5f307f,0x915f302c,0x5cbe6059,0x3bbbb22c,0xdddff14e,
    0x7efdc9ff,0x7107f94f,0x2e207ffd,0x0fdc3ffe,0x41fb8fe6,0x009f13f9,
    0xf8804f88,0x3223e404,0x43741ba3,0x24fa84f8,0x0fe803f9,0x7dc013e0,
    0xf881fcc1,0x704f8804,0xe83f983f,0x3a09ff55,0xd01fbb75,0xcb93feab,
    0x1fb3cccc,0x3f70fe88,0x3fa60001,0x507f4c00,0x803f983f,0x009f12fa,
    0xf8804f88,0x7403e404,0xf885f886,0x3e61df04,0x2017e403,0x83f7004f,
    0x09f103f9,0x3ee09f10,0x3ee1fcc1,0xf709d7d0,0x7dc1f981,0x4009d7d0,
    0x7dcfd06f,0x0fdc0001,0x7f10fdc0,0x6c01ff44,0x8009f10f,0x4f8804f8,
    0xb7403e40,0x882febb9,0x77df704f,0xfa8355bf,0x7004f804,0x103f983f,
    0x09f1009f,0x47f307ee,0xbd3f93f8,0x3e61fc41,0x9fc9fc45,0x222220de,
    0x2a6b7f60,0x007ee3fd,0x7dd55644,0x5d556446,0xeabfe86f,0x3f6603fe,
    0x22013e24,0x1aadfbaa,0x2b7eeaa2,0x5fd5551a,0x7cdba055,0x2eaa23ff,
    0x7541aadf,0x24ffffff,0xaaaaaff8,0xfb8027c1,0x5511fcc1,0x44355bf7,
    0x1aadfbaa,0x47f307ee,0x3ffff66d,0x3bf51b63,0xfffb36c1,0x3fffea7f,
    0xffff912f,0x001fb85b,0x1bfffff1,0xdfffff88,0x8cffd980,0x113ee03f,
    0xfff5009f,0x7d47ffff,0xd3ffffff,0x0fffffff,0xffffa800,0x00203fff,
    0xfffffff5,0xf7004f87,0x3ea3f983,0x23ffffff,0xfffffffa,0x7f307ee3,
    0x727403ee,0x3fffd81f,0x993a01f7,0x001bbbbb,0x06620000,0x44006620,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdeda8000,0x3bdfd903,0x9dddddd0,0x21b72e20,
    0xc80cefeb,0x00ba203e,0x403efda8,0xedb802ea,0xedb881de,0x3bbba2de,
    0xdeda83ee,0x213ae003,0x364efedb,0xdb70b904,0x07d7007b,0xd8800f54,
    0x32201b73,0x75c0512d,0x64432603,0xb9df7001,0xfb99d09f,0xeeeef85f,
    0xeeffb84e,0x7ee6ff46,0x303fc80f,0x37f2007f,0x3f606fca,0x33bfa205,
    0x77f4c5ed,0x3bba6edc,0x77e44fee,0x5c00efec,0xcdefe84f,0x3ec17e6d,
    0xbf959fb1,0x0ff3ee01,0x07337f72,0x403fdf30,0x05fefcdd,0x3207f9f7,
    0x3009f73f,0x401fc89f,0x4027c6f9,0x7f500cfb,0x19503fb8,0xf3007f30,
    0x9302fa87,0x0c17f403,0x40303ff1,0x713ea4f9,0x4164409f,0x82fc03fb,
    0xd103b67d,0x3263910b,0x7777f740,0x401c9801,0x6440ae20,0x85101931,
    0x40fc800a,0x46e805f8,0x02fc404f,0x05f507ee,0x9007f300,0x000bf01f,
    0x3f200fee,0x24f98002,0x000fd07e,0x0bf003f6,0xc98fcdf6,0x0001fa9b,
    0x000007ee,0x00000000,0x7f445e80,0x3e27c406,0x200fd404,0x1fb10ef8,
    0x983eeed8,0xfb27543f,0x4df99999,0xeeeeeee9,0x3e003f60,0x29f30006,
    0x43f904f8,0xeeeeeee9,0x5f809f90,0x7d5b2fb0,0x1ae9d3ce,0xa8fdc7d0,
    0x3ae5d00a,0xea8ea82d,0xeeed80bf,0x0fbbb603,0x3bea4f80,0xdeb9887e,
    0x05e677c0,0x33bb2bf2,0x7f67fd40,0x84fccc81,0xd17ea3f9,0x7999999f,
    0x7e666644,0x2201ba0f,0x0266624f,0x07f34f98,0xccc88bee,0xfd10ffcc,
    0x6c17e05d,0x3617abb7,0x3e201f75,0x3ffabee3,0xcedcf83f,0x7e7dc2fe,
    0xccc86fdc,0x3f33204f,0x329f1004,0x740fc8df,0x7740cfff,0x3f63fffe,
    0x41ffccdf,0x4404fffb,0xf53f984f,0x0003fb0b,0x00bf0bee,0x7ffdc7f3,
    0x7d53e606,0xb805f502,0x3fffc82f,0x9d7d82fc,0x7cdb20fe,0x717cc511,
    0x0fd11bff,0x5c4f8bff,0x403f21ff,0x4f8804f8,0x8ffb7e00,0xfb99887c,
    0x43fe600e,0x72fcc0fd,0x40bfd5bf,0xabf984f8,0x009f705f,0x0df09f30,
    0x55447f30,0x553e606e,0x405f503f,0x3ae204f9,0xbec17e6f,0x2bb09d4d,
    0x2a5f52f8,0xf717ee0f,0x46d86f83,0x817d42fb,0x4f8804f8,0xb07bfe00,
    0x807f500f,0x3a0fb2fc,0x3fc89f57,0xbf309f10,0xbefe80bf,0xdf101ba9,
    0x3e201fa0,0x7cc0dd04,0x3ee07f34,0x400df100,0x3a0df3fc,0x2f3eed97,
    0xfd9fc9d2,0x41fb8f75,0x8027c3f9,0x81fcc1fb,0x4f8804f8,0x3e03f600,
    0x403f9805,0xd01f92fa,0x17e21f2d,0x5fcc27c4,0x3f2201fe,0xfd01efff,
    0x200bf601,0x206e80ff,0x20df13fa,0x003fa07e,0x20dd4f88,0x36a3f55f,
    0x33a2f8ad,0x46c8fcf8,0x21fcc1fb,0x83f7004f,0x09f103f9,0x54009f10,
    0x4017dc3f,0x87ec01fc,0xda7c43f9,0x882fc40f,0xe8bf984f,0x04e8801f,
    0xef980bf2,0x7427d400,0xfc8bf206,0xfc81fd42,0xd9fd4002,0xbd27d40f,
    0xf5bb1b60,0xfb8bb7f1,0x13e1fcc1,0x3e60fdc0,0x1009f103,0xbfe8009f,
    0x554c5fca,0x2a24fdaa,0x742febaa,0x50fea9bf,0x3fd757df,0x3e613e20,
    0xb801ff13,0x009f500f,0xbb759ff9,0xfbacefd8,0xdfb59f36,0xfcacff98,
    0x6c09f506,0x0efcaaac,0xff957df3,0x54d77cc1,0xa6f641fd,0x0fdc4edd,
    0x009f0fe6,0x07f307ee,0x3e2013e2,0x7fec4004,0xffffa84f,0x7fffcc2e,
    0xfffc881d,0x7fff540d,0x7dd5441e,0x47f31aad,0x3ee00ef9,0x557fc41c,
    0xfea81aaa,0xfeb82dff,0xffb13eff,0xffb1019f,0x2bfe209f,0xffb1aaaa,
    0xe9819fff,0xd880dfff,0xfb80dfff,0xb87ff51f,0x3e1fcc1f,0x983f7004,
    0x3eeaa23f,0x2aa21aad,0x001aadfb,0x00262004,0x00400131,0x3ffea018,
    0x7f33ffff,0x2e00efa8,0x7fffd43d,0x00403fff,0x00040130,0xffffa801,
    0x04c43fff,0x00200080,0x42ff8ff5,0x21fcc1fb,0x83f7004f,0x3ffea3f9,
    0x3ea3ffff,0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd507dddb,0xdfdb7003,
    0x260f5419,0x5005a82e,0xeed9800b,0x202ea80e,0xeda80100,0x66f75c3d,
    0xeeee880b,0xd30eeeee,0x7447ae09,0x3ffaa003,0x7774c03e,0x003d52ee,
    0x706f7edc,0xa83e881d,0x6f75c01e,0xeee880bc,0xb0eeeeee,0x81dddddd,
    0xfb84fccc,0xebcde801,0xf307ee6f,0x3200f907,0x37fea007,0x05fd81dc,
    0x641ba0dd,0x323fccdf,0x43ffeeef,0xeefeeee8,0x107f60ee,0x8027c4bf,
    0x03cbbdfc,0x8e66ffec,0xfe8801fb,0x3f20eccd,0x7dc27c40,0x7777e401,
    0x4cf443ff,0xf0e99999,0x01dddddf,0x07ee13e2,0xfb8fe400,0x3e41fcc1,
    0x3a007c80,0x01d9800f,0xf75757f7,0x4089f307,0x07fa20fc,0x3e202fa8,
    0x9f107e46,0x10017e00,0xdf705f9f,0x5fb05bdd,0x6667f540,0x7dc2efcc,
    0xd107e401,0xdecac43f,0x002fc361,0x07ee13e2,0xfb97d400,0xee99fcc1,
    0x32eeeeff,0xddddffdd,0x00017e05,0x5fffffd8,0xfc803f50,0xf502fc40,
    0xf32fb805,0xf004f889,0x57dc003d,0xccdfb82f,0x013e26fe,0xdddddff9,
    0x71fb89ff,0xf881f909,0x1fa89625,0x10017e1b,0xd53f709f,0xdb73017f,
    0x307ee5fd,0x3fb3267f,0x9931cccc,0x039999fd,0xdddb013e,0xfb97e407,
    0xc803f705,0x2a07d80f,0xdb6e802f,0x2a009f10,0x7c00beff,0x1fb82f9c,
    0x02fa9fe4,0x27c40fc8,0x41ff67dc,0x227d80fc,0x3e1b5b85,0x427c4005,
    0x6fccfdfb,0x7ee667f4,0x3f983f72,0x0f9007c8,0x56fdd544,0x7e6642aa,
    0x0fd17e04,0xfda807ee,0x303f20ab,0x40337f73,0xf882fdfa,0x5c40b984,
    0x3f503ffe,0x2e1559f3,0x7f55f81f,0xf881f900,0x80cffc84,0x320abfda,
    0x2990b10f,0x3333df0d,0x5c27c401,0x4c3f21ff,0xfa97d42f,0x3e41fcc1,
    0x3e607c80,0x7fffffff,0x3e209f10,0xff107e44,0x7c7fffff,0x3f21ffff,
    0x7fffffc1,0x882fec07,0x02ffc44f,0x2db01fd3,0xf72ffff9,0x17e2df03,
    0x3fffff20,0x3ffa64ff,0x3ffffe01,0xb2c47f21,0x7fc361dd,0x2206ffff,
    0x542fb84f,0xfc81f92f,0x7f447f12,0x3bbffb63,0x400f905e,0x09f1004f,
    0x50fb1be2,0x415557fb,0x7e419fd9,0x567e5541,0xdfdcc982,0x313e21cc,
    0x1fb80dff,0x82f997c4,0xd27d41fb,0xabfc801f,0x32e4fbaa,0x3f6601fc,
    0x588fe419,0x3be1b03a,0x2202aaaa,0x4c1fb84f,0xd73bf73f,0x55ff45ff,
    0x3b323fee,0xf903cccf,0x88027c00,0x4cbfa04f,0x803f705f,0x00fd80fc,
    0x775405f5,0x221eeefe,0x910ca84f,0x90df7555,0x705f733f,0x83fae23f,
    0x0daadffa,0x09f103f2,0x0fc803f7,0x1cb10fd8,0x4005f86c,0x41fb84f8,
    0x3fff23f9,0x3f662f9c,0xfc83f8cf,0x000fc800,0x13e2009f,0x4fffffc8,
    0xfc803f70,0xf502fcc0,0x40bea005,0xff8804f8,0xff80dfff,0xfb82ffff,
    0x881effff,0x320efffd,0x5c27c40f,0x207e401f,0x829625f9,0x8800bf0d,
    0x4c1fb84f,0x03b2083f,0x54075c22,0x02fa802f,0x3e2009f0,0x7959f504,
    0x03f705f9,0x3fa20fc8,0x980bea01,0x1ccdfdcc,0xf70013e2,0x266bea03,
    0xcdfb82fb,0x827c401a,0x427c40fc,0x07e401fb,0x8ac43fd1,0x05f86c2f,
    0x7dc27c40,0xf101fcc1,0x202f8805,0xf01aabef,0x3e03557d,0x209f1004,
    0xda8dd06e,0x21aaaabf,0x3ffdccfc,0x93017d40,0x4399bfb9,0xaaaaadf8,
    0x36c0f900,0x5c6ab3e6,0x07ea001f,0x13e207e4,0x2aaaafee,0x3f733f21,
    0xb012c43f,0x2a2017e1,0x71aadfba,0x203f983f,0x3e202df8,0xfffb502d,
    0x3fff6a05,0x54409f02,0x41aadfba,0xfff88100,0x325fffff,0x801cefff,
    0x5f5002fa,0x3ffffe20,0x209901ff,0x7ffcc3f9,0x4003f74f,0x103f205b,
    0xffff709f,0x7ffe49ff,0xeef881ce,0xf0feeeee,0xffff500b,0x07ee7fff,
    0x4da807f3,0x0402e540,0x04f80100,0x3fffffea,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bba0000,
    0xdd10eeee,0x1ddddddd,0x9d30bb50,0x76403b20,0x7401d504,0x37bddd52,
    0x13600ec8,0xdb0b7b6e,0x29dddddd,0x8274c1ea,0x0d912e4b,0x0acdeed8,
    0x5e983db0,0x65720fb2,0x4eeeeeee,0xb0b7b722,0xe9817209,0x6f77541e,
    0x77774c2c,0x03d91eee,0xeff813a2,0xdd10eeee,0x1ddddfdd,0xd837ff4c,
    0x8827d42f,0x0fb80fff,0x777dcfe0,0x0bee4fee,0x33fa1fcc,0x3bb63fdb,
    0xf75feeee,0xd8077c43,0x80fb1765,0x2ffeeeff,0x3fec4ff8,0x32db0ffd,
    0x5feeeeee,0x5ff9bfd3,0x207e8374,0x6fdc1ffe,0x3a65ffec,0x31eeefee,
    0x807f20bf,0x17d4005f,0x06faefb8,0x00fe8df1,0xf507f9f5,0x7dcbe203,
    0x5f987ec1,0x0fe41f90,0x7f3003f6,0x00fe87ee,0x3ec4e936,0x3fd317e0,
    0x3be27ef8,0xdb0fffa7,0x8321fe80,0x741ba6f8,0x83f9f907,0x0ff621fb,
    0x17ec0bea,0x0bf017e6,0x7102fa80,0x27f7037c,0x7df602fb,0xf101fa85,
    0x5f507ee5,0x746f83f4,0x6c03f986,0x0fe47ee7,0xfccefcc8,0xf80fb2ce,
    0x5fc5f985,0x74f7f72f,0x7036c6dd,0x21fb007f,0xf30fd06e,0x1fb83f77,
    0x17d42fcc,0x07ec6f88,0xf50017e0,0xd01be005,0x7c40bf5f,0x1f981fb4,
    0x5c7e6151,0xf707e41f,0x37c3f985,0x7f3027c4,0x81fd4fdc,0xfeeefee8,
    0xf80fb3ee,0x57c4fb05,0x21f79d5e,0x1b62fade,0x7d8037c4,0x743f41ba,
    0x1fb83f76,0x02fa86f8,0x027ccbf2,0x1555577c,0x3e005f50,0x07ffcc06,
    0x0fea3f50,0x4cbea5f3,0x9559f71f,0x644f987f,0x7c07f40f,0x7f71f605,
    0x25f1009f,0x203ec1f8,0x221f905f,0xa9f9fbaf,0xd9babd0f,0x1003fb06,
    0x555774bf,0x8fdc7eaa,0x20fdc1fb,0x02fa84fa,0x007edbe2,0x3ffffffc,
    0x3e005f50,0x405fd806,0xf117e27d,0x87d57f65,0x1efffffb,0x543747e8,
    0x5febaaef,0xffb87f30,0x31f9800f,0x7c07d81f,0x3e63f905,0x1f56ef89,
    0x6d97dd7a,0xfb003fb8,0x7fffff43,0xb93e27ff,0xb98fdc1f,0x02fa80fe,
    0x801fefdc,0x019999df,0x37c00bea,0x407ffe60,0x207ec5f8,0xa8fdf8bf,
    0x5335f70f,0x31fb85fd,0x3ffaa07f,0x1fb03fbe,0x806fbfb8,0xfb0f50f9,
    0x3f905f80,0xa9fec7e6,0xdb7cbd1f,0xc8037c46,0x4ccf743f,0x71b67e99,
    0xffffb83f,0x05f501ef,0x7c00dfd0,0x017d4005,0x4ff406f8,0x559f506f,
    0xabf85fb5,0x2e7bbf8f,0x262fc41f,0x4001f74f,0x84f982f9,0x704fa9fb,
    0xdfdddfdd,0x17e03ecd,0x2a3f33ec,0x97a3f50e,0x7ec6d9fb,0xe84fc801,
    0x33eafd06,0x1acfcaaa,0x801559f7,0x3fb802fa,0x50017e00,0x81be005f,
    0xb07f73fb,0xbfffffff,0x7db4dcf8,0x3e20fdcf,0x00dd7e86,0x0fd80fc8,
    0x07f91fb8,0xdb55fb53,0x3e03ec55,0x3ea5f985,0x97a3f301,0x3ea6ddf8,
    0xd04fc803,0x7fe5fa0d,0x3fffffff,0x7d4003f7,0x002fa802,0x5f50017e,
    0x7cc1be00,0xbf107f46,0x1fd33333,0xdfb97ef4,0x9f707ee6,0x007f7f70,
    0x27cc1fdc,0x07fa1fb8,0xfb0b9364,0x7f445f80,0x7cc07ea1,0x6efc8bd2,
    0x7f900df1,0x17e83740,0x7f733333,0x8007ee13,0x2fa802fa,0x2aabbe00,
    0x05f500aa,0x33ff3322,0xf507fa3c,0xfb817d4b,0xff89ff62,0x3aeb3ee6,
    0xfff980ef,0xfd995100,0x5c03f609,0x203fe21f,0x3f61365d,0xff1aaaaa,
    0xb85ffb99,0x3a5f300f,0xfdb7fc45,0x73cccccd,0x799999ff,0x203f41ba,
    0x00fdc1fb,0x2b3f2aa2,0x005f500a,0x7ffffffc,0x2605f501,0x5fffffff,
    0x4bf609f7,0x4bf100fd,0x72fec4fd,0x017dffff,0xdf3037f4,0x13e6039d,
    0x2fd41fb8,0xfb09d26c,0x3e9fffff,0xb80cefff,0x3a7f300f,0xffd6fd85,
    0x32dfffff,0x6fffffff,0x701fa0dd,0x401fb83f,0xfffffffa,0x0005f502,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x981cdeee,0x50370003,0x77ed405f,0x3a60f543,
    0x7d53b622,0x3220001e,0x1eeb8dfe,0xdb700a20,0x36e019df,0x7f540def,
    0xdfb703ef,0xddddd309,0x20f641dd,0xd01ae5d8,0x76413a27,0x15f91d10,
    0xd72e83db,0xea8ea85b,0x7776c0bf,0x05bdb303,0x3bbbea02,0x027e43ff,
    0x3ea13f20,0xf95bf902,0x3e60fdcd,0x3f7efba3,0x0bea07ed,0x7ffddf44,
    0x9fb00fdb,0x7f5e6f40,0x666ff446,0x2ef7f20e,0xdbdfd83c,0x333220ef,
    0x3e60ffcc,0x1f70fec6,0x0fe8fe20,0xb9f12fc4,0xf8ddb9db,0x22fecedc,
    0x6fdcfcfb,0x4c27e664,0x6c1febef,0xf117d43f,0x00dfb81f,0xfa81fec4,
    0x7d43f982,0x3f983f72,0x457ee5f3,0x005f502f,0x817ccfee,0x7e4003fc,
    0xbf00bf61,0xfa85f700,0x5c17dc04,0xf987f54f,0x717cc511,0x222fa85f,
    0xf76fa8ff,0x727c5ff8,0x407e43ff,0x7c7c84f8,0x3ea3ff45,0x7d40fe42,
    0x85fd100e,0x99bfb999,0x2bf01f91,0xb9fcc1fb,0x1fc9f50f,0xf3002fa8,
    0x00101fc3,0x13e25f50,0xdd007be0,0x4f981ba0,0x217ebf60,0x2a5f52f8,
    0xfb17e20f,0x25f34f88,0x361be0fb,0x5f50bee6,0x8db09f10,0x2a3fd45e,
    0x9807ec2f,0x077cc1fe,0x7ffffffc,0x9999fb7f,0x307eedf9,0xef99ee7f,
    0x5f504fee,0x77f6e440,0x40004fee,0x52feedb9,0xdff5005f,0x360bf017,
    0x880df107,0x27f00ffe,0xf90f75fd,0x7f113e21,0xf07dc7e6,0x983f7009,
    0xd84f883f,0x17e227c7,0x13ee65f5,0x3ea5fd10,0xf955500e,0x33fa5559,
    0xf73ccccc,0x4f93f983,0x12cccef9,0xffffffff,0x373fe21f,0xf12cccdf,
    0xffffffff,0x6e667f41,0x2007f52f,0x7c3ffeb8,0x3fa0fb05,0x206fe800,
    0xc8fcf8ce,0x3f73f986,0x23f33f88,0x2013e0fb,0x41fcc1fb,0xadfa84f8,
    0x07f621fd,0x07fffff5,0x4fc89f90,0xfd82fa80,0x260fd401,0x27d4f73f,
    0xcfcaaa88,0x21f90aaa,0x555102f9,0x21555555,0x997d42f9,0xfe98005f,
    0x43741ba0,0xcfc802fc,0x1f5bb04f,0x5ba0bb7f,0xf33f886e,0x04f83ee3,
    0x1fcc1fb8,0xfea827c4,0x207bf21d,0x02fdacfa,0x7dc0ff62,0x20bea00d,
    0x1fc404fb,0x47ea7fd1,0x5f5006fb,0x04fb9f20,0xc81f9000,0x001ff12f,
    0x0fe43f70,0x09f50fe6,0x0bf29f50,0x76ed37b2,0x05f7f704,0x5c7e67f1,
    0x2e013e0f,0x441fcc1f,0x0088004f,0x80fe8bea,0x7d402fe8,0x205f500e,
    0x1ba9befe,0x3fbaaffa,0xfbf5bf13,0x3ea0175b,0xdf77f502,0x2601739f,
    0x73bf701d,0x7fd45ffd,0x5910daad,0xf88df755,0x20efbabf,0xaaaaaff8,
    0x3fd1be21,0xff51ffb8,0x41ffe207,0x2e3f33f8,0x2e013e0f,0xa89fcc1f,
    0x91aadfba,0x009ddddd,0x44fa8bea,0xd3001ef9,0x2013103f,0x1effffc8,
    0x3e33ff66,0x7e57fea3,0x05f501ff,0x3627bf62,0xbfb01fff,0x4e7ffe40,
    0x7fff542f,0xfffff10e,0xfffb101b,0xffffa819,0x3fd13fff,0x3ea0ef98,
    0xfb017fc7,0x7ccfe209,0x027c1f71,0x4fe60fdc,0xfffffffa,0x79999973,
    0xfd0bea00,0x20006dc1,0x555534d8,0x06203555,0x10100110,0x0400a880,
    0x07660044,0x40100020,0x00200198,0x00000000,0x00000000,0x00000000,
    0xfa85f500,0xfd800003,0x05ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2fa80000,0x000007e8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x542e8800,0x7440004e,0x0b7b6a00,0x44100800,0x75c1cefe,0x83eb80df,
    0xb502ded9,0xbbbbb703,0x444447bb,0x10c98088,0x33333039,0x20001510,
    0x42ec84ea,0x2a5d73ea,0xaaaaaaaa,0x0000002a,0x00000000,0x2fd47f30,
    0x083e87e6,0x3d9021f1,0x4d709d31,0xa87f31f9,0xbf75911f,0x537e67cc,
    0xdf989fff,0x6ee82fdb,0xccccccb8,0xfffffd3c,0x52fc87ff,0xfffff09f,
    0x262fffb8,0x813ea01e,0x653ea3fc,0xffffff2f,0x000fffff,0x00000000,
    0x4fe60000,0x21db05fa,0xbcfe21fc,0xdf1d50fb,0x14f98bab,0xf53fd8bd,
    0xfb03740b,0xb13e32a1,0x475c5e8d,0x5550003f,0x887f7555,0x44440542,
    0x3677e208,0x2201f73f,0x50b9802b,0x000bee7f,0x00000000,0x40000000,
    0x205fabf9,0xb31ba4f8,0x56c5ddfd,0x74b51d68,0x3f603f26,0xfee885fc,
    0x3e0df101,0x89b62f44,0x54c1f72f,0x01aaaaaa,0x00001fc4,0x3ff61f98,
    0x3000005f,0x0007ee7f,0x00000000,0x40000000,0xa805fdf9,0xe885f51f,
    0x7c4f40ef,0x4bead34e,0x1bfa02f9,0x2077e644,0x89f01fe9,0x5c93e26d,
    0xffff92f4,0xf8809fff,0x02000003,0x00000f2a,0x01d52e88,0x00000000,
    0x00000000,0x07fafe60,0x887e4db0,0x0cfbfbfc,0x2ad3d15b,0x82f49f15,
    0x5c03fffa,0x803bea2f,0x7ef7cc4f,0xfa83f30e,0x22222221,0x00015000,
    0x00000000,0x00000000,0x00000000,0xf3000000,0x2e03fd17,0x6c47f31f,
    0x8db962f0,0x7dc7d5b6,0xdfa87f31,0x2aa23fd8,0x9ff70ffb,0x3f326599,
    0x0f2e22ce,0x000ae053,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44fe6000,0xd27cc0ff,0xd807c40d,0xdd0bb31d,0x45f98fe4,0xbdff31fd,
    0x777775c3,0x7ddddd53,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf31fcc00,0x0054281d,0x7f5c0151,0x4285303e,0x00000703,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x43f98000,
    0x00000efa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_20_latin_ext_x[560]={ 0,4,2,0,1,0,0,4,2,2,1,0,2,2,
3,1,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,2,0,0,1,0,1,1,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,2,1,0,0,1,1,1,1,1,0,0,1,1,
1,1,1,0,1,0,1,1,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,1,0,0,2,1,1,2,1,0,2,1,2,2,0,1,1,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_20_latin_ext_y[560]={ 14,0,0,1,-1,0,0,0,-1,-1,0,3,10,7,
10,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,1,16,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,-1,-2,-1,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,4,-1,1,1,1,
-2,0,0,1,1,4,7,7,0,0,0,2,0,0,0,4,0,6,14,0,1,4,0,0,0,4,-3,-3,-3,-3,
-3,-3,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,4,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-2,0,-3,0,1,4,-3,0,-3,0,-3,0,-3,0,-3,-1,1,0,-2,0,-3,0,-3,0,1,4,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-3,1,0,-3,0,-2,0,-3,0,1,0,-3,4,1,0,-3,0,1,0,4,-3,-3,1,
0,-1,-1,1,0,1,0,-3,0,1,4,-3,0,-2,1,4,-2,0,-3,0,-3,0,1,4,-3,0,1,4,-3,0,
-3,0,-3,0,1,4,-3,0,1,1,-3,-1,1,1,-3,0,-2,0,-3,0,-3,-1,-3,0,1,4,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-6,-4,-3,0,-3,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_20_latin_ext_w[560]={ 0,3,7,11,9,11,11,3,7,7,9,11,6,7,
5,9,11,9,9,9,11,9,9,9,9,10,4,6,8,9,8,8,11,11,9,10,10,9,8,10,9,9,8,10,
8,11,9,11,9,11,10,9,11,9,11,11,11,11,9,6,9,6,9,11,7,9,9,9,9,9,11,11,9,9,
8,10,9,11,9,11,9,9,10,9,10,9,11,11,11,11,9,8,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,8,10,11,11,
3,9,9,11,7,9,9,7,9,9,7,9,7,7,10,10,9,5,3,7,7,9,11,11,11,8,11,11,11,11,
11,11,12,10,10,10,10,10,10,10,10,10,11,10,11,11,11,11,11,9,11,10,10,10,10,11,9,9,10,10,
10,10,10,10,11,9,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,10,10,10,10,11,9,11,
11,10,11,10,12,9,10,10,10,10,10,10,10,10,12,13,11,11,10,10,10,10,10,10,9,9,10,10,10,11,
10,11,10,11,10,11,10,10,11,10,10,10,10,10,10,10,9,10,10,9,9,9,9,9,10,10,10,10,10,8,
9,13,13,10,12,10,9,10,10,9,9,10,10,10,9,9,11,11,11,11,11,11,11,11,12,11,10,10,12,11,
10,10,10,10,9,9,10,10,11,10,11,13,11,10,10,10,10,10,10,10,10,10,11,11,9,9,11,11,11,11,
11,10,10,10,10,10,10,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,10,12,11,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,9,9,11,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_20_latin_ext_h[560]={ 0,15,5,13,18,15,15,5,20,20,9,11,8,3,
5,17,14,13,13,14,13,14,14,13,14,13,11,14,12,6,12,15,19,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,20,17,20,7,3,5,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,10,10,10,15,10,20,21,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,13,13,13,
21,17,5,14,10,9,6,3,9,5,7,12,8,8,5,15,17,5,3,8,10,9,14,14,14,15,17,17,17,17,
17,17,13,16,17,17,17,17,17,17,17,17,13,17,18,18,18,18,18,9,18,18,18,18,18,17,13,15,15,15,
15,15,15,16,11,13,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,11,15,15,15,15,15,19,19,19,
16,15,17,15,17,14,18,15,18,15,18,15,18,15,17,16,13,15,16,15,17,15,17,15,17,14,17,15,18,19,
18,19,18,19,18,20,17,17,13,14,17,14,16,14,17,14,17,18,17,10,14,19,18,19,18,19,10,17,17,18,
19,15,15,13,14,13,14,17,14,18,15,17,14,16,18,15,17,15,18,15,18,15,14,11,17,14,18,15,17,14,
18,15,18,15,16,13,18,15,18,18,17,16,13,14,18,15,17,15,18,15,18,16,18,15,17,14,17,14,17,19,
17,17,14,17,14,17,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,20,19,17,15,20,17,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,18,15,18,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_20_latin_ext_s[560]={ 253,249,186,123,89,43,171,251,31,79,33,
72,247,248,250,12,1,23,187,13,207,23,33,102,43,91,251,249,21,115,12,
245,105,45,69,96,144,1,245,107,197,229,118,112,135,155,167,127,219,181,1,
150,11,160,79,57,33,239,177,87,127,39,105,194,178,108,183,118,162,40,63,
1,11,75,207,64,1,196,219,138,23,120,208,128,52,50,184,172,160,205,150,
70,1,9,155,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,253,251,99,
97,85,132,5,182,135,170,248,53,125,248,43,145,97,30,81,73,167,13,161,
250,249,89,239,23,236,224,212,162,204,137,80,58,170,182,165,142,34,23,147,
194,34,113,229,1,108,12,111,135,147,99,44,63,239,195,170,33,173,56,178,
110,99,88,77,66,55,119,84,188,12,1,240,229,53,89,228,239,172,217,150,
138,126,114,102,96,90,79,68,57,46,153,177,226,130,242,1,220,24,21,184,
187,108,164,13,153,159,218,227,84,221,175,48,198,216,209,13,231,240,75,205,
24,67,117,56,129,46,141,67,46,91,80,198,194,45,179,37,190,1,78,226,
217,204,229,113,187,1,197,11,238,12,103,92,78,216,217,231,144,100,210,123,
240,168,57,152,215,201,98,119,58,158,183,123,195,87,12,133,60,45,156,22,
141,114,205,228,24,206,35,109,155,162,1,140,129,192,59,120,41,78,130,102,
207,35,35,24,73,1,46,70,31,149,182,22,165,68,124,139,193,85,171,145,
68,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,135,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,58,94,236,193,18,216,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,152,33,140,129,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,233,
233,233,233,233,233,233,233,233,233, };
static unsigned short stb__consolas_20_latin_ext_t[560]={ 1,1,220,193,23,131,131,51,1,1,220,
207,207,158,85,79,163,193,193,163,193,163,163,193,163,193,39,61,207,220,207,
131,1,193,193,163,193,193,178,163,193,193,163,193,193,193,193,163,193,42,207,
163,193,163,193,193,193,193,193,1,61,1,220,220,220,207,131,207,115,207,178,
147,178,178,1,163,178,207,207,207,131,131,207,207,178,207,207,207,207,131,207,
1,1,1,220,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,1,23,23,
178,178,178,1,61,220,163,147,220,220,158,220,220,220,207,220,220,220,147,61,
79,17,220,207,220,147,147,147,131,42,61,61,61,79,79,178,97,61,61,79,
79,79,79,42,61,178,61,42,42,42,42,42,220,23,23,42,42,23,79,178,
131,131,131,131,131,131,97,207,178,131,131,115,115,163,147,163,163,115,163,115,
115,115,115,115,207,115,115,115,115,115,1,1,1,97,97,97,97,97,178,23,
97,23,97,23,97,42,115,79,97,178,97,97,97,79,97,97,97,79,163,79,
115,42,1,42,1,23,1,23,1,79,79,178,163,79,147,97,147,79,147,61,
23,61,207,147,1,42,1,42,1,220,61,61,42,1,131,131,178,147,178,147,
42,147,23,131,61,147,97,23,147,79,115,42,115,42,115,147,207,61,147,42,
131,61,163,23,147,23,147,97,178,23,115,23,23,61,97,178,178,23,131,79,
115,23,115,23,97,23,147,61,178,61,163,79,1,79,79,163,42,163,61,147,
147,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,79,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,1,1,61,131,1,42,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,23,131,23,23,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178, };
static unsigned short stb__consolas_20_latin_ext_a[560]={ 176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_20_latin_ext(stb_fontchar font[STB_FONT_consolas_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_20_latin_ext_s[i] + stb__consolas_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_20_latin_ext_t[i] + stb__consolas_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_20_latin_ext_x[i];
            font[i].y0 = stb__consolas_20_latin_ext_y[i];
            font[i].x1 = stb__consolas_20_latin_ext_x[i] + stb__consolas_20_latin_ext_w[i];
            font[i].y1 = stb__consolas_20_latin_ext_y[i] + stb__consolas_20_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_20_latin_ext_s[i] + stb__consolas_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_20_latin_ext_t[i] + stb__consolas_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_20_latin_ext_x[i] + stb__consolas_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_20_latin_ext_y[i] + stb__consolas_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_20_latin_ext_LINE_SPACING
#endif

