// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_21_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_21_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT        256
#define STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_21_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_21_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_21_latin_ext_LINE_SPACING          14

static unsigned int stb__consolas_21_latin_ext_pixels[]={
    0x0003e8fa,0x00000000,0x0f7cc000,0x220002a2,0x5119802a,0x20037001,
    0x4000aca8,0x207220aa,0x40aa203b,0x2a88001a,0x75472200,0x20a83eee,
    0x0056dc19,0x7741db70,0x054406ee,0x2e8a7c9f,0x0007ea00,0x09d00bf9,
    0x2600dfc8,0x005f504f,0x403ffe88,0x400fdbfb,0x74c00ffb,0xb002fedf,
    0x546fe87f,0xffe882ff,0x20027c43,0xb003ffe8,0x3337eedf,0xff8a7dc2,
    0x003ff6a0,0xcc833ff6,0x07d407ec,0x1fd27c9f,0x9001f600,0x7ec0937f,
    0x300fee02,0x017d4057,0x7f51bd10,0x802efc80,0x27cc06fa,0x3db007ee,
    0xff98bfb0,0x7d46f441,0x88013e23,0x803fa8de,0x403f74fc,0x4c1762e9,
    0x02fcc03f,0xf1f203ec,0x0df127c9,0x98009f10,0x13f20d90,0x7c402b88,
    0x05f505db,0x00000000,0x20bd1002,0x80c0005d,0x9f100008,0x0c000000,
    0x800003f7,0x017d406e,0xf1b603ec,0x13ea27c9,0x5dcc0000,0x206f884f,
    0x2a03fee8,0x4bea0d56,0x54c00aa8,0x5300999a,0x26013335,0x2e0999aa,
    0x4c1f700f,0x04c42600,0x4cccc044,0x213e2099,0x98026098,0x26666660,
    0x02603f70,0x407d8098,0x87d801fb,0xf0dffdc8,0x0fec27c9,0x13335530,
    0x3ffffa60,0x2a01fd85,0xffd80d36,0xff95f502,0xffd301df,0xe98bffff,
    0x45ffffff,0xffffffe9,0xa9a993a5,0x5c1fe0f9,0xdd05f53f,0xffffff98,
    0xbf713e24,0x27f707f8,0x4ffffff9,0x41fe03f7,0x407d83fb,0x47d801fb,
    0x1eefdff9,0x7cc27c9f,0xffffe983,0xaff885ff,0x3e24ffb8,0x2e57cc05,
    0xfa80aa60,0x85fb8afe,0x15fb11fe,0x5fb11fe8,0xfb11fe81,0x7e47e615,
    0x321f8cff,0xf50fd82f,0x3330dd05,0x27c49f53,0x05f90bf7,0x4cccc1fb,
    0x203f74fa,0x80fd82fc,0x007dc07c,0x227fa3ec,0x09f27c2f,0x447fa17e,
    0x2fc80afd,0x7dc7fb3a,0x00dea804,0xfa817fec,0xf307ec0f,0x7cc4f987,
    0x3e627cc3,0x2f727cc3,0xf8bf8afa,0xbf117e62,0x037417d4,0x29f127c4,
    0x8bf305fb,0xa7c405f8,0x8bf301fb,0x05f505f8,0x27d8036c,0xf83f33fa,
    0x23f40b24,0x827cc3f9,0x3eabe27f,0xa8805fb3,0x3be201aa,0x707f504f,
    0x261fd43f,0x261fd44f,0x261fd44f,0x9b6db24f,0x7f42f8af,0x2fa8bee0,
    0x4f8806e8,0x017ef3e2,0x017dc1fd,0x00fdd3e2,0x017dc1fd,0x3b267bf9,
    0x64fb001e,0x4f81f51f,0x7d43f900,0x7c427cc3,0x53e23ea4,0x3ff600fe,
    0x5f505fff,0x20bea0fd,0x83be22fa,0x077c41fd,0x0ef883fb,0x9f5d87f6,
    0x507e27ea,0x3ea3f47f,0xf8806e82,0x03ffbe24,0x03f47f50,0x01fba7c4,
    0x407e8fea,0x9fd35fea,0xfc9f6001,0x009f0f71,0x0ef88bea,0x93e607f6,
    0x03f5be5d,0x1fecc6ae,0xa82fcbec,0x6c1fb82f,0xb04feeff,0x209fddff,
    0x44feeffd,0x2f73f8ce,0xf36f80f9,0x6e82fa89,0x3e24f880,0x6f805fbc,
    0x9f1009f3,0x2df007ee,0x0fe604f9,0x7d803744,0x7c364fea,0xd85f9004,
    0x504feeff,0x2df1fc7f,0x7c4000fd,0x4f9afc45,0x0fc82fa8,0x06f2ebea,
    0x0de5d7d4,0x1bcbafa8,0xfb3f8ce8,0x64fe41ea,0x7417d41f,0x224f8806,
    0xc809f94f,0x8801fc9f,0xc803f74f,0x2e01fc9f,0x4007dc07,0x363be27d,
    0x406a4f85,0x2ebea1fd,0x53e601bc,0x7dd7e0f9,0x546f8002,0x3ea1fe2f,
    0x3f22fc42,0x003f9001,0x536007f2,0x4e8ff9de,0x50df9f30,0x100dd05f,
    0xfb27c49f,0x37e7cc09,0x3f74f880,0x06fcf980,0x07ee03e4,0xfdf91f60,
    0xf93e395b,0x1fc8ff04,0x3657e200,0x813e69f1,0x6ffffec8,0x83f907ec,
    0xffbabefa,0x7777fd41,0x77fd40bc,0x7d40bcee,0x20bceeef,0xff5ff75d,
    0x1fff401d,0x037417d4,0x89f127c4,0x3ffa03fe,0x2e9f1003,0x3ffe801f,
    0x3ee03e40,0xea87d801,0x49f1efff,0x545f984f,0x0bceeeff,0x5c9d1fd0,
    0xfe817e2f,0x226faaab,0x2a27d45f,0x80dfffff,0xffeeefe8,0x3bbfa20f,
    0x3a20fffe,0x0fffeeef,0x01884cd9,0x5f507fb8,0x9f100dd0,0x3fa227c4,
    0x400ff702,0x003f74f8,0x0f900ff7,0x7d801fb8,0x49f07f10,0x441fc84f,
    0xfffeeefe,0x11fdfb80,0x981fd8df,0x3ea6f82f,0x47fcccce,0xfd8012fa,
    0x3f64fc81,0x3f64fc81,0x3f54fc81,0x01fdc000,0x7d4037c0,0x7f700003,
    0xfb9fd400,0x803fb801,0x00fd407d,0x81f983ec,0xbf513e4f,0x9f903fb0,
    0x3f2fff60,0x6437c42f,0xfb37dc2f,0x3fffffff,0x7f8017d4,0x83fc7f50,
    0x541fe3fa,0x40017e3f,0x54000ff8,0x02fd804f,0x3fe20136,0x5cbf6000,
    0x07fc401f,0x3e2037c0,0xf507d804,0x127c9f01,0x20ff01ff,0xfff103fa,
    0x13ea03bf,0xffb75df5,0x7d41be2d,0x7400bea4,0xffa99acf,0x266b3fa0,
    0x33fa0ffa,0x20ffa99a,0x07511dfa,0x003ff751,0x81ff7353,0x06fd99bb,
    0x5d440fe2,0x26ee01ff,0x2bee6fd9,0xff751099,0x1fed4403,0x260e7ec0,
    0x0f707d99,0x3f64f93e,0x3359fd02,0x3e201ff5,0x85f9001b,0x6d8dfffb,
    0x53fc07f5,0x3f62005f,0x441dffff,0x1dfffffd,0x7ffffec4,0xfffea81d,
    0x1effa82e,0x5ffff700,0x1bffff90,0xfa807d40,0x7fe401ef,0x3fee0dff,
    0x3dff54ff,0x004ffc80,0x7fc3fd93,0x207507ff,0x17c53e4f,0xfffffb10,
    0x007d403b,0xb00413a0,0x88fec01f,0x4cc40009,0x01998801,0x10019988,
    0x004c4013,0x2200cc40,0x01880099,0x98800262,0x99998809,0x22001310,
    0x33020000,0x9f000333,0x2200127c,0x01100199,0x00000100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x000004c1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00555550,0x20030000,0x00000dea,
    0x881aa800,0x0000c00a,0x00000000,0x50054400,0x55555555,0x15797503,
    0x00000000,0x000b2200,0x15440000,0x803ffff4,0x01df52fd,0x3e201fec,
    0x46f405ca,0x237a02f9,0x43fec2f9,0x0ff602fa,0xd8aefe98,0xf915f301,
    0x205fe880,0xb81ba2fa,0xffff101f,0x549fffff,0x82ffffff,0x03fb9ee8,
    0x6405fd10,0x7fdc01ff,0x01ffc800,0xf9807fe6,0x6403f406,0xb009f52f,
    0xb8f9809f,0x2fffd405,0x217ffea0,0x17d43ffd,0x66409fb0,0x6406ffd9,
    0x3a603fff,0xfa80eead,0x1fb81fa3,0x37ea6660,0x5ff30999,0xfd802621,
    0x3dd1002f,0x17ed7ec0,0xfb00df50,0x6c405fb5,0x80bf301f,0x2209807e,
    0x20051001,0x98801ffc,0x20331001,0x17d46efd,0x08800510,0x88013100,
    0x40402621,0x5fe4cc40,0xbf101999,0x4000bf20,0x00620009,0x200cc131,
    0x26098800,0xf3009801,0x2a07e80b,0x44015102,0x1540abb9,0x40aa0a88,
    0x377300a8,0x545f7fb0,0x5973102f,0x15102a81,0x02b2e620,0x40abb988,
    0x2a15102a,0xffffffff,0x320bf107,0xcba8002f,0x2e6200ab,0x881540ab,
    0x0666620a,0x055e5d40,0x985440aa,0xd03f405f,0x540fea0f,0x21ffffff,
    0x747f507e,0xe987f507,0x360dffff,0x417d4df7,0x2ffffffb,0x41fd41fa,
    0x2ffffffb,0xffffffa8,0x9fd41fa1,0x99bfc998,0x20bf1019,0xf5002ffa,
    0x205fffff,0x1ffffffa,0xd1fd41fa,0xfa80ffff,0x742fffff,0x3e67f507,
    0xfd03f405,0x3ee0fea0,0x20c988af,0x747f507e,0x7c47f507,0x26fc98af,
    0x3ea5f77d,0x44577e42,0x541fa1c9,0x4577e43f,0x7fdc1c98,0x3a0c988a,
    0xf707f507,0x817e2003,0x2603effb,0x01310aff,0x93115ff7,0x3fa83f41,
    0x981fa662,0x81310aff,0x227f507e,0xd03f405f,0xf10fea0f,0x20fd001d,
    0x541fa3fa,0x360bf23f,0x5be2fb1f,0x017e62fa,0x23fa83f4,0xdf1005f9,
    0x2a0fd001,0x001fb83f,0xfc980bf1,0x02fc83ff,0xd001df10,0x740fea0f,
    0x400bf207,0x227f507e,0xd03f404f,0xf90fea0f,0x541fa007,0x7d41fa3f,
    0xa7d41fe3,0x3ea7f27d,0x74007fa2,0x7f47f507,0x007f9001,0x41fd41fa,
    0xbf1001fb,0x0ffee200,0x3f2005f9,0x2a0fd003,0x640fd03f,0x20fd002f,
    0x809f13fa,0x541fa07e,0x8007ec3f,0x747f507e,0x3e27f507,0x9f6bf104,
    0x3e2fadf8,0x541fa006,0xd801be3f,0x20fd000f,0x01fb83fa,0x8800bf10,
    0x017fd47f,0x7e8007ec,0x1fa07f50,0xe802ffa8,0x3e27f507,0xfd03f404,
    0x0fd0fea0,0x3fa83f40,0x99fd41fa,0x3edbe04f,0x7c4beff6,0x82aaaa25,
    0x227f507e,0x2aaaa25f,0x7e801fa0,0x5f707f50,0x0017e200,0xdff703f6,
    0xd003f407,0x740fea0f,0x1f7fdc07,0x4fea0fd0,0x03f404f8,0xf0fea0fd,
    0xa83f400d,0x7d41fa3f,0xbfc07f53,0x97f7cc7d,0x3ffe24f9,0x7d41fa2f,
    0x7fc49f33,0x801be2ff,0x107f507e,0x17e200bf,0x260ff100,0x6f83fffc,
    0x7d41fa00,0x9300fd03,0x0fd07fff,0xfd000fea,0x3fa83f40,0x0fd003fc,
    0x507e8fea,0xf813e67f,0x5ffb0fb6,0x17d417e2,0x44fea0fd,0x7c5f505f,
    0x541fa007,0x57bfb03f,0x6c17e207,0x2ffcaacd,0x21ffdc40,0x41fa007f,
    0x00fd03fa,0x3a1ffdc4,0x0dc7f507,0x2bfaaaa2,0xfa83f42a,0xe8007ec2,
    0x3f45f507,0x0bf12fa8,0x4c3ed3e2,0x541be2ff,0x7d41fa2f,0x17d41be2,
    0x1fa001fb,0xec9817d4,0x0bf106ff,0x37fffff6,0xb1fe2002,0x41fa001f,
    0xd55512fa,0x2200555f,0xfa83f47f,0xff98ff72,0x6c7fffff,0xfc83fb07,
    0x360fb004,0x7ec1f61f,0x1fdc1fe1,0xa81fe800,0x7ec1f62f,0x3ea07fa1,
    0x6c013f22,0x1003fb07,0x02620000,0x320fd800,0x20fb004f,0xffff31fd,
    0x6c00ffff,0x7ec1f60f,0x8000df51,0x43fc42fc,0xfc802ff8,0x3f23fc42,
    0x3ee3fc42,0x9b037c44,0x2a077cc0,0xf10bf22f,0x540ef98f,0x00bfe22f,
    0x0ff10bf2,0x09b004d8,0x22001360,0x017fc47f,0x1fe217e4,0x44013a20,
    0x2217e47f,0x26c0047f,0xf959ff10,0x37fea05f,0x3e21fcbc,0x42ffcacf,
    0xffcacff8,0x65eff442,0x07f102ff,0xdbbdffc8,0x2b3fe22f,0xffc82ffc,
    0x542fdbbd,0x1fcbcdff,0x3f2b3fe2,0x00fe202f,0x3e200fe2,0x2ab37603,
    0xffa82ffc,0x221fcbcd,0x2ffcacff,0xcdd87c80,0x442ffcaa,0x2ffcacff,
    0x201fc400,0x02efffd8,0x677ffecc,0x77ffec40,0xdfffb102,0x3fff6205,
    0x003ea01d,0x37ffff6a,0x77ffec40,0x3fff6a02,0xffd980df,0x7ec40cef,
    0x7d402eff,0x800fa800,0x3ff600fa,0x2602dfff,0x40cefffd,0x02efffd8,
    0x7ec15fb0,0x102dffff,0x005dfffb,0x04001f50,0x02000800,0x00800100,
    0x11000310,0x22000200,0x08002000,0x44006200,0x20031001,0x00800098,
    0x36600020,0x0009883f,0x06200004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8800000,0x5510aa80,0x35501355,0x02a61510,0x00000000,
    0x00000000,0x2e620000,0x00d400ac,0x00001260,0x66664400,0x0000002c,
    0x32000151,0xdfc800df,0x507ff200,0x265fa85f,0x43ffffff,0x92fa86fd,
    0x8bea003f,0x2ff4406e,0x401bf900,0x01df52fd,0xf9807ff2,0xfff7001f,
    0x1fc05fff,0xfa81b200,0xe980ed8c,0x881d8aef,0x003eeeee,0xff981bf9,
    0x20017a01,0x7f9003fc,0x2fdafd80,0x0ef98bea,0x3ae673e6,0x50fff62f,
    0x4007f25f,0x981fa3fa,0x400eeade,0x97e403fc,0x2bf604fa,0x3f6202fd,
    0x4577e401,0xfa881c98,0x7ddcc00b,0x077fcc04,0x6ffd9cc8,0x3fc80000,
    0x5c07f620,0x004c000f,0x09880130,0xd12fa866,0x5c4f981f,0x51fbf64f,
    0x8007f25f,0x88620080,0x4004c009,0x98806209,0x02600660,0xd3005f98,
    0x305fffff,0x00bffffd,0x04400131,0x800ddcc0,0x20130009,0x2ea004f8,
    0x81540abc,0x555540a8,0x6cbea2aa,0x4c4f981f,0x8febf65f,0x003f92fa,
    0x8801bb98,0x2600acb9,0xbb9801bb,0x03773001,0x3a037730,0xbff8801f,
    0x7c41a9fc,0x04ffb8af,0x802aee62,0x3a601bb9,0xa80dffff,0x41aaaaaa,
    0x1aaaaaaa,0x7fd403ec,0x3f42ffff,0x7ffc3fa8,0x2bea7fff,0x89f302fb,
    0x7f5f63fc,0x07f25f50,0x7ffff4c0,0xffff700d,0xffe985ff,0xfe980dff,
    0xd300dfff,0x301bffff,0x81bffffd,0x25f9006f,0xe8bf206c,0xffa81fec,
    0x74c1ffff,0x440dffff,0x6fc98aff,0xfffffff8,0x7fffffc4,0x301fcc4f,
    0x026215ff,0x30fea0fd,0x54fd3333,0x3e604fdf,0x6c5fdbad,0x4bea9f57,
    0xff8801fc,0xc86fc98a,0x1c988aef,0x3262bfe2,0x457fc46f,0xff886fc9,
    0x446fc98a,0x6fc98aff,0xaaa897e2,0x1765fb0a,0x2abe27f8,0x457fdc3f,
    0x3fe20c98,0x646fc98a,0x7c1fd82f,0x4099999e,0x099999ef,0x0bf206e8,
    0x3fa83f40,0x3bea7e80,0x3ffe604f,0x3a7d82ff,0x3f92fa8f,0xfb05f900,
    0xc802fcc3,0x321fd82f,0x641fd82f,0x321fd82f,0xf31fd82f,0x97fffc49,
    0x104eaefa,0x7c47d49f,0x2003be24,0x21fd82fc,0xf89f507f,0x400df006,
    0x05f901fa,0x1fd41fa0,0xb5f53f40,0x553e605f,0x3e67d86f,0x03f92fac,
    0x93ea0ff0,0x0ff001fe,0x507f93ea,0xf507f89f,0x4fa83fc9,0x8bea0bf1,
    0xf305fffb,0x64df2ec9,0x20ff003f,0x209f14fa,0x8037c5f8,0x82fc006f,
    0x7e802ffa,0xfd007f50,0x0ff457d4,0x89f527cc,0x97dfec7d,0x27c401fc,
    0x01be5f88,0x5f8827c4,0x97e209f1,0x2bf104f8,0x4bf104f8,0x985f506f,
    0x7d43fffc,0x366f8fe3,0x04f8800f,0x813e6bf1,0xf8037c6f,0x807e4006,
    0x3a03effb,0xd007f507,0xef997d4f,0x3fa27cc0,0xfdf31f60,0xf3007f25,
    0x5f8b7c09,0x4c2aaaa2,0x7cdbe04f,0x4f99be04,0x027cdbe0,0x540ff4df,
    0xfecf982f,0x07cd3e64,0x9803f4bf,0x7d5be04f,0xdff1fe03,0xff85dddd,
    0x102eeeee,0x7fe4c07f,0xf507e83f,0x7d4fd007,0x9f317ee2,0x21f64fb8,
    0x03f92ffd,0x5fe03fa8,0x3ffe24f9,0x7c07f52f,0x3fc07f57,0xabfc07f5,
    0xf99fe03f,0x5417d40e,0xf10fe88f,0x24f89b2b,0x07f5006f,0x204f9bfc,
    0x7777fc6f,0x777fc2ee,0x1f602eee,0xd0ffee20,0x200fea0f,0xfb0bea7e,
    0x7fc27cc7,0x5ff30fb0,0x333337f2,0x6f813e64,0x4bea0bf1,0x4dbe04f9,
    0xf99be04f,0x27cdbe04,0xdffc8df0,0x7b82fdbb,0xe8fe87f6,0x07f8bee4,
    0xb7c09f30,0x89f105f8,0x00df006f,0x22005f50,0xfa83f47f,0x3ea7e802,
    0xf98ff442,0x0fb3fb84,0x7ffe4bf2,0xbf10ffff,0x06f93e20,0x417e25f5,
    0x20bf14f8,0x417e24f8,0x20bf14f8,0xffda84f8,0x36c80dff,0x1fdfb8ff,
    0x00fd8df1,0x9f105f88,0x43fb83fc,0x00df006f,0xfd8017a0,0x0fec1f60,
    0x000037c0,0x007f2000,0x1fdc1fe0,0x45f503fd,0x7c7f707f,0x7f87f707,
    0x83fc7f70,0x404403fb,0xffeeedee,0xfcbffd82,0x8027e42f,0x5c7f707f,
    0x7c37c44f,0x000df006,0x3e2007ee,0x3e217e47,0x02fd4087,0x0136009b,
    0x13603fa0,0x37c44fb8,0x5f503be6,0x1be227dc,0x86f889f7,0x237c44fb,
    0x037c44fb,0x7ff5c136,0xff100cef,0xff103bff,0x889f7005,0x5eff446f,
    0x06f82ffc,0x22000df0,0x2ab3764f,0x7fc42ffc,0x442ffcac,0x01ffdbcf,
    0x7f1007f1,0x427ed400,0x3fa203f8,0xc82ffcbd,0x2fdbbdff,0x3f2f7fa2,
    0x5eff442f,0xfe882ffc,0x442ffcbd,0x2ffcbdfe,0x3e00fe20,0x01bf8803,
    0xcbcdffa8,0x2f7fa21f,0xfd882ffc,0x9ff01dff,0xff859999,0x802ccccc,
    0xffffb0fc,0x3f6205bf,0xffb02eff,0x07d403bf,0xb0007d40,0x003ea09f,
    0x03bfffb1,0x6ffffed4,0x6fffec40,0xbfffb101,0x7ffec403,0xfffb101d,
    0x00fa803b,0x7d4017c4,0x3ff66000,0x7ec40cef,0x00801dff,0xfffffff8,
    0x7fffffc4,0x8818804f,0x00040009,0x40062001,0x00440018,0x00080031,
    0x00100088,0x00080008,0x00310004,0x01100151,0x01000400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00037730,0x2af2ea00,0x22000d40,0x000001cb,0x00000000,
    0x00000000,0x00000000,0x00001cc8,0x00000000,0xaa880000,0x7f440aaa,
    0xf300dfff,0xfff5003f,0x7fdc5fff,0x7fffb000,0x5007ff20,0x74c3745f,
    0x201d8aef,0x74c01ffc,0x501d8aef,0x1003745f,0xffc805fd,0xdd17d401,
    0x2005fb00,0x9f500dfc,0x3ea01db1,0xfc801ba2,0x1bf9000d,0xfffffd98,
    0x22bfe21f,0x36206fc9,0x2bfe601f,0x37d41310,0x200cf980,0x202fdafd,
    0x321fa3fa,0x206ffd9c,0x202fdafd,0x06ffd9cc,0x007e8fea,0xfd801dd1,
    0x3ea02fda,0x19501fa3,0x200ff200,0x2a00eff9,0x6401fa3f,0x0ff2003f,
    0x657fffe2,0x360bf21f,0x9004c01f,0x0022005f,0x131007ec,0x020200cc,
    0x09880220,0x00880066,0x31000808,0x0cc13100,0x2aa02020,0x026002aa,
    0x01001880,0x00026001,0x3fff2013,0x37c3f95f,0x2a604fa8,0x400bf202,
    0x20df001a,0x10a600a9,0x55555555,0x05440d54,0x26002a98,0x0aa6002a,
    0x26aaaa20,0x2600aa80,0x5555540a,0x7fff41aa,0x80054c07,0x809aaaa8,
    0x02a600aa,0x2a60154c,0x0aaaaaaa,0x32bffffd,0x2209f11f,0x0bff605f,
    0x7c017fd4,0x705f9804,0x263e403f,0x5fffffff,0x0bea1ff6,0xd8017fec,
    0xffb002ff,0xffff9805,0x82fdc3ff,0x7ffc0ff8,0x3a04ffff,0x800fe407,
    0x3ffffff9,0xff882fdc,0x405ffb00,0xfffffffc,0xbffffb1f,0x01fcc7f2,
    0x3fbe20df,0x0fbfee04,0x3fa804f8,0x3e403f50,0x4cefd4cc,0xf50fff60,
    0x09fdf105,0x009fdf10,0x9809fdf1,0x2feb99cf,0x1fdc0ff4,0x4ccccf7c,
    0xf901fa00,0x273e6003,0x7f42feb9,0xf103fb81,0x4cc409fd,0x2e6fa999,
    0x3f95ffff,0x07f80fea,0x980fd5f5,0x7c43fffc,0xfffff904,0x017d4dff,
    0x82fc40db,0x17d46efd,0x403f57d4,0xa807eafa,0x7cc07eaf,0x3ea27dc4,
    0x6f837c45,0x6407e800,0x89f3001f,0x22fd44fb,0x2bea06f8,0x1fd8007e,
    0xfcaffff4,0x37c09f51,0x005f97d8,0x7c47ff71,0x7fb55305,0x017cc555,
    0x82fc40db,0x3ea2fbfd,0x05f97d82,0x805f97d8,0x4c05f97d,0x742fcc4f,
    0x7c0bf22f,0x407e8006,0x9f3001fc,0x2fe85f98,0x97d80bf2,0x27dc005f,
    0x3f95feb8,0x2fc417e6,0x04f9afc4,0x5f89fe20,0xf300fd80,0x40bd1ec7,
    0x3efb05f8,0xbf10bea6,0x5f8813e6,0xafc409f3,0x13e604f9,0x2df307f9,
    0x01be05f8,0x3f901fa0,0xf913e600,0x3e2df307,0x7cd7e205,0x00df1004,
    0x0ff0fe42,0x8bea0bee,0x87ec007f,0x07e805f8,0xd37d4fe2,0xd82fc40b,
    0x0bea5f77,0x503fc5f5,0xf503fc5f,0xbf303fc5,0x6c0bfb75,0x3e01fcaf,
    0x02eeeeef,0x03f901fa,0x36eb7e60,0x32bf605f,0xf8bea01f,0x003fb007,
    0x13f21fc8,0x83f60ff1,0xff1001fc,0x37c02fc4,0x8ffe4fe0,0x417e204e,
    0x3eadf17d,0x3f907ec2,0x1fc83f60,0x0fe41fb0,0x2fffff98,0x027f7c40,
    0x3bbbbbfe,0xf901fa02,0x3ffe6003,0x77c402ff,0x907ec04f,0x04fa803f,
    0x3a21fc80,0x81ffcbdf,0x227d45f8,0xffcaacdd,0xf101be62,0xf7f4f80b,
    0x5f8813e9,0x54fe4fb0,0xf517e22f,0xfa8bf109,0x7d45f884,0x3ea9f304,
    0x00ffc806,0x3f40037c,0x4c007f20,0x900df54f,0x2fc401ff,0xef8813ea,
    0x41fc8000,0x01dfffc8,0xf9999df5,0xfffffd8f,0x2037cc2d,0x4e7c04f9,
    0x407f6d8f,0x44fb05f8,0x3ea2fadf,0x87fcccce,0xfccccefa,0xcccefa87,
    0x49f307fc,0x2fc404fa,0x740037c0,0x800fe407,0x013ea4f9,0xefa80bf1,
    0x207fcccc,0xfb0001fd,0xb017e201,0xffffffff,0x205f7103,0x17e406f9,
    0x7d5b37a0,0x17e203fa,0x3eff63ec,0x3fffff62,0x7fec1fff,0x41ffffff,
    0xfffffffd,0x744f981f,0x017e200f,0x1fa001be,0x26003f90,0x1007f44f,
    0xfffd80bf,0xa81fffff,0x1fe0004f,0xf1145fd0,0x6413ea0d,0x4c404c07,
    0x76c00ffa,0x05fbf13e,0x47d82fc4,0xdf12fef9,0x6f893ea0,0x37c49f50,
    0x4f984fa8,0xbf1027dc,0xd000df00,0x001fc80f,0x04fb89f3,0x6f8817e2,
    0xef889f50,0xa9bf9800,0x7fcc03fd,0x07f51fff,0x005e83fc,0x005fff90,
    0x7fec1ffb,0x77e66442,0x361f63cc,0x407f52ff,0xf80fea7f,0x7f80fea7,
    0x0ff84f98,0xff00bf10,0x44599999,0x2aafeaaa,0xccccdfc8,0xff84f984,
    0x540bf100,0xfb1fe03f,0x5ddddddf,0x27ffff4c,0x21ccb880,0x07f600fd,
    0x13510000,0xf51bf200,0xffff983f,0x21f65fff,0x01fb2ff9,0x00fd8fec,
    0x007ec7f6,0x84f983fb,0x0bf103fb,0xfffffff0,0x7ffffcc9,0xfffc87ff,
    0x7cc0ffff,0xf103fb84,0xb007ec0b,0x7ffff43f,0xa882ffff,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04000000,0x216654c0,0xaaaaaaa8,0x00000002,
    0x00000000,0x08000000,0x000f2600,0xccccc880,0x006aa002,0x2a205500,
    0x0002a800,0x00000000,0x2e06fa80,0x7cc7feff,0x05ffffff,0xde80dfc8,
    0xee882f98,0xdd103fb9,0x3e607f73,0x77f4c01f,0x7e401d8a,0x037d400d,
    0x202ff7cc,0x3a201ffc,0x9003eeee,0x4f74409f,0xa83f43fb,0x81fcc03f,
    0x22001ffc,0xbf9002fe,0xf73dd101,0x4c1fea07,0x54cc045f,0x640099df,
    0x3ffea03f,0x017fec05,0x22017fec,0x273201fd,0x7e406ffd,0x80ff5003,
    0x205933c8,0x002fdafd,0x29afc800,0x7417fec0,0xc807f507,0xfdafd80f,
    0x01ee8802,0xfb007f90,0x700a805f,0x2fc4005f,0x31001300,0x80026003,
    0x00260009,0x00980088,0x15100540,0x19826200,0x015102a8,0x026013a0,
    0x03fa83f4,0x826213e2,0x00188019,0x0130004c,0x55555551,0x800f7cc5,
    0x2aa205f8,0x222aaaaa,0x2aaaaaaa,0x2aaaaaaa,0x206aa1aa,0x2aaa20a8,
    0x2a22aaaa,0x52aaaaaa,0x3054c015,0x55555555,0x54017d41,0x3f415102,
    0x2a603fa8,0xaaa982fb,0xfd0aaaaa,0xfb80fea0,0x55555441,0x555402aa,
    0x40d542aa,0x555540a8,0xfff31aaa,0x7ccbffff,0x7c400cff,0x3fffe605,
    0x3fe65fff,0xf15fffff,0xffffffff,0x7d43fec9,0x3ffffe62,0x3ffe65ff,
    0xbf75ffff,0xfc83fe20,0x1fffffff,0x1fa00bea,0x20fd17d4,0xffe983fa,
    0xfffc84ff,0xfd1fffff,0x6e80fea0,0xffffff98,0x3ffea05f,0x43fec7ff,
    0x7fffc2fa,0x2a664fff,0xdf1099df,0x4403dfb3,0x7d4cc05f,0x54cc099d,
    0x266099df,0x0999dfa9,0x5f50fff6,0x99dfa998,0x4efd4cc0,0x2e07fa09,
    0x4cccc43f,0x17d46fa9,0x2fa83f40,0x21fd41fa,0x9ffd2ff8,0xa9999988,
    0x7d41fa6f,0x2605f303,0x0099dfa9,0xfd817fb6,0x3e17d43f,0x8099999e,
    0x21fb85f8,0xbf101ffa,0x2017e200,0x5f8805f8,0xf51bbf60,0x2017e205,
    0x8bf505f8,0x3f6006f8,0x0a997d41,0x45f507e8,0xc87f507e,0x1fb5f11f,
    0x3f43fb00,0x0fb03fa8,0xf100bf10,0x77ec0bf5,0x1be17d46,0xfb85f880,
    0xf8837cc2,0x00bf1005,0xbf100bf1,0x517dfec0,0x017e205f,0x2fe817e2,
    0x7dc00bf2,0xffdbfa84,0x541fa0df,0x7d41fa2f,0x2af73743,0x227dc02f,
    0x107f507e,0x0bf1009f,0xd817ef90,0x0bea2fbf,0x2fc400df,0x3f6077c4,
    0x1005f880,0x0bf100bf,0xbec0bf10,0x440bea6f,0x05f8805f,0x02fc5be6,
    0xff506f88,0x745f915d,0x3f45f507,0xd2fc3fa8,0xf880fe69,0x5f507e86,
    0xf1001f90,0x17e9f00b,0x7d4df7d8,0xf10037c2,0xd8bfea0b,0x200bf107,
    0x5f8805f8,0x3605f880,0x0bea5f77,0x7c402fc4,0x7e57ec05,0x203fb001,
    0x93e20efa,0xeeeeeefe,0x7d41fa2f,0x32f8b7c3,0x40fec07f,0xf03fb07d,
    0x017e200b,0x333be3f5,0x52fbbec3,0xeeeff85f,0x05f882ee,0x0ff37fa6,
    0xf8802fc4,0x805f8805,0x45f605f8,0x2205f56f,0x05f8805f,0x8027f7c4,
    0x0bea04fa,0xeeefe9ba,0x1fa2feee,0x5df61fd4,0x7d40bee7,0xf885f904,
    0x1001fa87,0x3e6d80bf,0x8bec4eef,0xff85f56f,0x882eeeee,0x4ffb805f,
    0x677e6644,0x017e203c,0x3e2017e2,0x9fc9f605,0x0bf102fa,0xf900bf10,
    0x1df1001f,0x37417d40,0xe8bea0fd,0xfb85f507,0x203fa4eb,0xff100ef8,
    0xd07ff959,0x02fc400d,0xb02fc7f1,0x17d4fe4f,0x5f8801be,0xf98ff300,
    0x05ffffff,0x3e2017e2,0x205f8805,0x3eb7e27d,0x100bf102,0x0bf100bf,
    0xf5007f60,0x83f4dd05,0x6c1f62fa,0xbcffd81f,0x03fb02fe,0x2efffd88,
    0x22003f98,0x2aff205f,0x89f605fa,0x37c2fadf,0x400bf100,0x2f9800fe,
    0x22017e20,0x05f8805f,0x5f7fb1f6,0x22017e20,0x05f8805f,0xfa804fa8,
    0x41fa6e82,0x10bf22fa,0x7fff40ff,0x009f501e,0x03f205e8,0x3e05f880,
    0x205fffff,0x17dfec7d,0x5f8801be,0xfc999a88,0x880bd005,0x05f8805f,
    0x1f605f88,0x2205fdf3,0x05f8805f,0x7c405f88,0x82fa800e,0x7d41fa6e,
    0x32b3fe22,0x077a02ff,0x4001df10,0x09f100fb,0xf505f880,0x40bf3337,
    0x17f7cc7d,0x999101be,0x3e6799df,0x000dffff,0x664413dd,0x223ccefc,
    0x3ccefccc,0x3ec0bf10,0x99117fec,0x44799df9,0x3ccefccc,0xfd80bf10,
    0x2eeeeeef,0xe9ba0bea,0xd885f507,0x2202efff,0xeffd801f,0xb82eeeee,
    0x01fb81bf,0xcefccc88,0x3be1fa3c,0x6c3ec2aa,0x667fc2ff,0xfff32ccc,
    0x54cbffff,0x6d4000aa,0x3fffe61f,0x3fe65fff,0x105fffff,0x4c3ec0bf,
    0x3ffe62ff,0x3e65ffff,0x05ffffff,0xffe80bf1,0x22ffffff,0x3a6e82fa,
    0x0405f507,0xfd001880,0x5fffffff,0x310bd910,0x3fffe600,0x09f35fff,
    0x6c1fffff,0x7c2ff987,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x31000dea,
    0x55541577,0x0001aaaa,0x55300080,0x00000000,0xcccc8800,0x5000002c,
    0x22000003,0x402ccccc,0x3332201a,0x075002cc,0xa8002aa0,0x20aa6001,
    0x3506a1a8,0x00b95f10,0x3ffffff5,0x3ffffffe,0x5f31bd04,0xb00df500,
    0x1bd005ff,0x7fe405f3,0x3633ea01,0xdddd100e,0x9f10007d,0x007fdd10,
    0x42fa8a88,0x03eeeee8,0x2207fdd1,0x803eeeee,0x7dc03ff8,0x2a6600ef,
    0x7d4009df,0xdd7f700d,0x2607fe41,0x7dc05b8f,0xf0c988af,0x0133333d,
    0x4017ffea,0x77c407fa,0xfffa804f,0x3f6bf605,0x03bfe602,0x82a20000,
    0xd36a81fa,0x7cafb800,0xd36a8000,0x3fa00000,0x3a2bee01,0xffff880e,
    0x0fea03ff,0xfb03bee0,0x03ff903f,0x3e0077c4,0x01988006,0x3ea00540,
    0x331007ea,0x03304c40,0x55440188,0x202aaaaa,0x4c1b21fb,0x5c005caf,
    0xaaa84faf,0xf981aaaa,0x154c05ca,0x00000400,0x06b7eeaa,0x32200000,
    0xc8055302,0x006f803f,0xaa802a98,0xd81aaaaa,0x55405f97,0x541aaaaa,
    0x41aaaaaa,0x2009aaaa,0xfffffff9,0x8007ee05,0x5c000dea,0x3fffe02f,
    0xbd504fff,0x02ffd801,0x3006aa60,0x2aa20355,0xaa9804fa,0x0d554c01,
    0x405ffb00,0x06f800fd,0x402ffd80,0x4fffffff,0x04f9afc4,0x3ffffffe,
    0x7fffffc4,0x7ffff44f,0xf53301ef,0x9988133b,0x41999bfc,0x20088098,
    0x202fbaa9,0x099999ef,0x201aaa88,0x9804fef8,0x984ffffe,0x224ffffe,
    0x04fffffd,0x13ffffa6,0x3fffffa2,0x4fef8800,0x7fc01fa0,0x102eeeee,
    0xef809fdf,0x54099999,0xef81fe2f,0x7c099999,0x4099999e,0xffb999fe,
    0xa817e202,0xffffffff,0x37417d47,0x7fffffd4,0x6c01be02,0x505fffff,
    0xf980fd5f,0x4c2a98af,0x22a98aff,0x4fa89cfe,0x5315ff30,0x0c45fb05,
    0x07eafa80,0x77fc01be,0xf502eeee,0x06f80fd5,0x0fe41fb0,0x0df006f8,
    0x1be21fa0,0x26205f88,0x1999bfc9,0x237417d4,0xfc98bef9,0x5c01be02,
    0xb07fb31a,0xfe80bf2f,0x201fe801,0x827c43fb,0x0df001fe,0x2fcbec00,
    0x1be00ff0,0x0bf2fb00,0x5f8806f8,0x06f827d4,0x1fa00df0,0x5f8817e4,
    0xa803f700,0x7f46e82f,0xdf017dc0,0x22fc4000,0x209f35f8,0x5f8805f8,
    0x3e20fec0,0x2005f884,0xbd301cfd,0x09f35f88,0x1be003fa,0x9f35f880,
    0x7d4037c0,0x07fcccce,0x01be00df,0x04fa83f4,0x3ee00bf1,0x7417d401,
    0x3ee1be26,0x3bbbfe02,0x8df002ee,0x4c1fe2fa,0x03f9803f,0x427c43f4,
    0x362003f9,0x3f60beff,0x7f8bea1f,0xdf009f70,0xff17d400,0x77777fc0,
    0x3ffff62e,0xff81ffff,0x7c2eeeee,0x42eeeeef,0x20bf307e,0x3f7005f8,
    0x6e82fa80,0x0bee13e6,0xeeeeeff8,0x7fff6442,0xf907ec6f,0x300bf303,
    0x887f80bf,0x005f984f,0x70fffc98,0x907ec1df,0x05ff103f,0x3f6006f8,
    0x7fc07f20,0xf12eeeee,0x3e13ea0d,0x42eeeeef,0x2eeeeeff,0x05f883f4,
    0x3ee00bf1,0x7417d401,0x3ee0fea6,0x7401be02,0x26faaabf,0x427d45f8,
    0x7f8807f8,0x3ea07f40,0x0007f884,0xf88127dc,0xfa827d45,0xf1fcbcdf,
    0x8599999f,0x827d45f8,0x01fd406f,0x200df0ff,0x20fd006f,0x0bf105f9,
    0xf500bee0,0x2fccdf07,0x0df017ec,0x4df05f30,0xfccccefa,0xd005fd07,
    0x317e405f,0x0bfa09ff,0x205f9800,0xfccccefa,0x3fff6607,0xfffff0ce,
    0xcefa89ff,0xdf07fccc,0x3600fd80,0xf8037c1f,0x2e0fd006,0x00bf103f,
    0x17e017e2,0x5c7f8dfb,0x01be02ff,0x4df70bf2,0xfffffffd,0xbeff981f,
    0x77fcc4ca,0x9ff34cab,0x2609f7f9,0x44cabeff,0xfebaabd8,0x3ffff602,
    0x7401ffff,0xb07ea006,0xffffffff,0x8000df03,0x006f84e8,0x41fa00df,
    0x0bf100fe,0x1d5efec0,0x77f567ec,0x7edf7e46,0x01be02fc,0x3f6ebbea,
    0x2a0df16f,0xfffb104f,0xfffb107f,0x9f7fd47f,0x3ff6204f,0x7ff443ff,
    0x3e202eff,0x4409f506,0x113e003f,0x213ea0df,0x3e40006f,0x0df006f8,
    0x9fb11fa0,0xcefccc88,0x7f64c03c,0xdffc986f,0xeffc86d8,0x3fe02f99,
    0x5c2ccccc,0x56d8dfff,0x403fc07f,0x01002000,0x99800400,0x203fa800,
    0x007ea07f,0x7f509df8,0x67fc3fc0,0x9002cccc,0xccff815f,0x67fc2ccc,
    0x7f42cccc,0x985ffdcc,0x5fffffff,0x02200200,0x7fc00080,0x104fffff,
    0xfb007ec0,0x00000003,0x00000000,0x3fb007ec,0x7ed40000,0x7ec01fb0,
    0x7fffffc1,0x7fb1004f,0xfffffff8,0x7fffffc4,0x77fff44f,0x0000001d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0x233000bd,0x446600a8,0x880dc00a,0x19802a61,0x15400151,0x441a86a2,
    0xa802aa21,0x2a880660,0x2a055400,0x0530001a,0x4c033054,0x5510021a,
    0x50155000,0x06a60035,0x999aa980,0x2e203550,0x0007fe22,0x401fb7f7,
    0x200fdbfb,0xafa80ffb,0xb80dfffd,0x2000fdbf,0xeebfb86f,0x7fe4fd40,
    0x14fb80ef,0xffd101ff,0x20ff6007,0xe8002fd8,0x3e29f704,0xdfffb80f,
    0xffd101fb,0x81fec007,0xe8802fd8,0xe982edbf,0xd5ffffff,0x6fa83dff,
    0x640007e4,0xefc802ef,0xa837d402,0x2fc89eff,0x8005df90,0x01df706f,
    0xf715fdf5,0x2ec5d30b,0x1fd46f44,0xf9007b60,0x5f753005,0x05d8ba60,
    0x40fbaa35,0x03fa8de8,0xfc801ed8,0x3fffaa02,0x11fe80ce,0x2e6215fb,
    0x89be62ff,0x0000005d,0x7d401000,0x0013e20e,0x4001be00,0x07ec0ffa,
    0x00000000,0x3ffa6000,0x000004ff,0x00000000,0xfcbda800,0xf987f304,
    0x261ff304,0x00037e5f,0x22005544,0x54401aaa,0xe82fa80a,0x80155306,
    0x106f9a98,0x07f50155,0x404c43f7,0x22026208,0x82202620,0x22088098,
    0x09ffd2ff,0x4c00554c,0xaa9800aa,0x00aa9800,0x4400aa98,0x3fa82ffa,
    0x5f9027cc,0x4c2617e2,0x3ff6201a,0xfffb04ff,0xffb10bff,0x82fa89ff,
    0x7fff446e,0x7fe440df,0x7ec46fff,0x17d44fff,0x05f517d4,0x7417d4dd,
    0x9ba0bea6,0x326e82fa,0x1fb5f11f,0xdffffe88,0xffffe880,0xfffe880d,
    0xffe880df,0xfe880dff,0x6c40dfff,0xf886ffff,0xb807f60e,0x7f106a1f,
    0xb03dfff9,0x213f225f,0x87fb31ab,0x49f912fd,0x226e82fa,0x5fc88aff,
    0x7cc4efec,0xfc897ec6,0x3f20bea4,0x9ba0bea1,0x2a6e82fa,0x3ea6e82f,
    0xb9ba6e82,0x7fc45f57,0x445fc88a,0x5fc88aff,0x64457fc4,0x457fc45f,
    0x7fc45fc8,0x745fc88a,0x82fc99bf,0x04feeffd,0x3e201ba2,0x44fb8aff,
    0x007e83f9,0x41fccbf1,0x3a0bea7e,0x3f60bf26,0x4df09f51,0x2a7e83f9,
    0x2a0fe82f,0x3ea6e82f,0x0bea6e82,0xe82fa9ba,0xf34e97e6,0x7ec17e47,
    0x3f60bf21,0x3f60bf21,0x3f60bf21,0x3f60bf21,0x6f887f51,0x0de5d7d4,
    0x082ffed8,0x1ba0ffc4,0x03f901f9,0x80fc9be0,0xd05f51fc,0x2fa83f4d,
    0x64df05f9,0xf51fc80f,0x7d45f985,0x0bea6e82,0xe82fa9ba,0x9ba0bea6,
    0x3e65f16f,0x17d41fa3,0xe8bea0fd,0x3f45f507,0x41fa2fa8,0xb01fb2fa,
    0x800fe41f,0x1df902fe,0x83f613e2,0xfffffffd,0x7ff6442f,0x3fff66ff,
    0xf52fffff,0x837cdd05,0xf01fb3f9,0x7ffffecd,0x7df52fff,0xfa81ffb5,
    0x0bea6e82,0xe82fa9ba,0x9ba0bea6,0x17dcf77d,0xf8fe60df,0x37c7f306,
    0x41be3f98,0x4c1be3f9,0x3f20dd3f,0x3bbbfea1,0xf03740bc,0x213e25ff,
    0x2aff60fc,0x740aaaaa,0x26faaabf,0xaaaaabfd,0xdd05f50a,0xd3f9837c,
    0xbfd9be0f,0x50aaaaaa,0x019fffff,0x54dd05f5,0x3ea6e82f,0x0bea6e82,
    0x4ebfb9ba,0x306f83fa,0xf9837c7f,0x1fcc1be3,0xf8fe60df,0x1fa7f306,
    0xdfd10fe4,0x6c1fffdd,0x443bf205,0x320fc84f,0x05f3003f,0x001fe4df,
    0x707e9be0,0xf307f65f,0x5401fe4d,0x3fa8012f,0x20fea6f8,0x3e0fea6f,
    0x1be0fea6,0x5fd79ffb,0x45f707e8,0x745f707e,0x3f45f707,0x41fa2fb8,
    0xb01fb2fb,0x640fec1f,0x2204004f,0x260fc84f,0x85f9006f,0x01be66fb,
    0x3ee4fa80,0x7f737443,0xdf337f44,0x4005f500,0x3e37ec5f,0x17e37ec5,
    0x6c5f8dfb,0xefffe86f,0x7443fb81,0x3a21fdc6,0x3a21fdc6,0x3a21fdc6,
    0x3a21fdc6,0xbf30fee6,0x47f507f8,0x27c4002a,0x3ff607e4,0x7d43baac,
    0x46ffdbae,0x3baacffd,0xd107fdc0,0x45fd759f,0xedfbcff8,0x5567fec6,
    0x800bea3b,0x6efeacfd,0x77f567ec,0x7f567ec6,0x7567ec6e,0x01de86ef,
    0x75d67f44,0x567f442f,0x7f442feb,0x442febac,0x2febacfe,0x75d67f44,
    0x5d67f42f,0x567f41ff,0xf30ffa99,0x27c4003f,0x7fdc07e4,0xffb84fff,
    0xfb86d8df,0x2604ffff,0xffd882ff,0xffe981ef,0xfff70db4,0x017d49ff,
    0xb1bff930,0x8dffc98d,0x6ffe4c6d,0x7fe4c6d8,0x0fc46d8d,0xefffd880,
    0xdfffb101,0x3fff6203,0xfffb101e,0x3ff6203d,0xffd881ef,0xffd881ef,
    0x3e21dfff,0x13e2000f,0x013003f2,0x01300010,0x80040060,0x88098000,
    0x00880009,0x02200110,0x06200440,0x02000400,0x00800100,0x00300040,
    0x08806662,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00554000,0x982a0151,0x00154401,
    0x0d540554,0x30155000,0xcb883555,0x41502981,0x04353019,0xa8005510,
    0x400d540a,0x4402bca8,0x000289a9,0x4c02a880,0x2a601511,0x30010021,
    0xd8004c01,0x42fec03f,0x01ff14fb,0x800fffa2,0x5fb103fd,0x887fb000,
    0x10fffffe,0x7c45fddd,0xff14fb85,0xbdfffb81,0x3ffe881f,0xb107fb00,
    0x77fcc05f,0xfffb05ff,0x2aaa0dff,0x7441f22a,0x2fee03ff,0xfffb80fd,
    0x7ec41fbd,0x41fe03ff,0x1ed803fb,0xe984fc80,0x6f441762,0xed803fa8,
    0x002fc801,0x8bf607b6,0x2f43ee18,0x45d301f9,0xdd51a85d,0xf51bd107,
    0x401ed807,0x41dd02fc,0x4eff42fd,0xffd06f98,0x74427cff,0x3203fa8d,
    0x2a3502ef,0xbbfd83ee,0x05f902fe,0x000001fb,0x00000003,0x00000000,
    0x93e406f8,0x0000be6d,0x00000000,0x543f9800,0x3e13ea3f,0x3f37e806,
    0x00000000,0x27ccbf10,0x2fc45f98,0x2a61aa88,0x8802a200,0xaa8800aa,
    0x00aa8800,0x9800aa88,0x67ec1aaa,0x53a3f701,0x5554405e,0x06aaa201,
    0x201aaa88,0x2201aaa8,0x17dc1aaa,0x82fc87f6,0x007e806f,0x3106aaa6,
    0x04c41101,0x4c9f3044,0xb83fa03f,0xffff882f,0x301fffdd,0xfffb105f,
    0x3ff6209f,0xffb104ff,0x3f6209ff,0xfd104fff,0x6c41ffff,0x3a20beff,
    0x00fc8fef,0x17fffff6,0x17fffff6,0x17fffff6,0x17fffff6,0x97fffff6,
    0x85fd11fb,0x806f80fe,0xffe8807e,0x0bea0fff,0xe82fa9ba,0x7f447fc6,
    0x7e8fea00,0x3ff21710,0x5f305f89,0x3f225fb0,0xf912fd84,0x3225fb09,
    0x912fd84f,0x445fb09f,0x1fff9301,0x1fcc5544,0x7ecc6ae0,0xfd98d5c3,
    0xfd98d5c3,0xfd98d5c3,0xfd98d5c3,0x07f63f73,0x4037c1fa,0x22fd807e,
    0x7417d418,0x1ba0bea6,0x005fddf7,0x4013e6df,0x511f25f8,0x83f985fd,
    0x741fcc7e,0x3f41fcc7,0x21fa0fe6,0x9f70006f,0x88002f40,0x05f8805f,
    0xf8805f88,0xf75f8805,0x07ec1fa3,0x1fa01be6,0x3ea01be0,0x0bea6e82,
    0x1dff31ba,0x3f27f200,0xfb93e001,0x8399ff10,0x21fc80fc,0x21fc80fc,
    0x21fc80fc,0x41fc80fc,0x4c001cfd,0x001f705f,0x6f8037c0,0x3e00df00,
    0x3eedf006,0x5f709f91,0x74037f44,0x01cfd807,0xa9ba0bea,0x3e66e82f,
    0x07f52fee,0x501bf3e6,0xfffffffb,0xd807ee1f,0xffffffff,0x3fffff62,
    0x3ff62fff,0x22ffffff,0xfffffffd,0x77fec42f,0x2aaf620b,0xbf982feb,
    0xc880dfd8,0x446ffffe,0x46ffffec,0x6ffffec8,0x7ffff644,0x7fff6446,
    0x3a23f76f,0x2ffe20df,0xe806edfb,0xeffd8807,0x7417d40b,0x9ba0bea6,
    0xb8ff98fe,0x0fffa02f,0xdfabef98,0x01fa2aaa,0x555557fb,0x555fec15,
    0x3f60aaaa,0x0aaaaaab,0x2aaaaff6,0xff9300aa,0x3fffa21f,0x3add02ef,
    0xbfe86ebd,0x7f46faaa,0x746faaab,0x46faaabf,0x6faaabfe,0x7d555ff4,
    0x6fc83f76,0x6ea7ff4c,0x26007e80,0x3ea0fffc,0x0bea6e82,0xf51fcdba,
    0x7dc01fbd,0xbf0fe407,0xf900fec0,0x00ff2007,0xfc801fe4,0x27dc0003,
    0x3f7004cc,0x983ee3f3,0x3e66f82f,0x0be66f82,0xf82f99be,0x5be0be66,
    0x82fd81fb,0x3f4037c0,0x2a4fb800,0x3ea6f83f,0x87f56f83,0x7dc06ffc,
    0xfa87e403,0x403bea07,0xdf3006f9,0x401be600,0x4c0006f9,0x2209b05f,
    0x3ea3f33f,0xdf70bf20,0x9bee17e4,0x937dc2fc,0x326fb85f,0xfbb7dc2f,
    0xf802fa81,0x0007e806,0x6c5f8bf3,0x3f62fc6f,0xff88df36,0x003fe204,
    0xdfbf79f5,0xcffc8755,0x567fec0b,0xcffd83ba,0xffd83baa,0xfd83baac,
    0x443baacf,0x2febaabd,0x4db03f88,0x546e9df8,0x6ffdbaef,0x3f6ebbea,
    0x2ebbea6f,0x3bea6ffd,0x2a6ffdba,0x6ffdbaef,0x3eeae3f7,0x806f800f,
    0x55ec407e,0x7ec2feba,0x6c6efeac,0x26efeacf,0xfffcbefd,0x3feea22f,
    0x27ff9001,0xda84fffc,0xfffb82ff,0xfff704ff,0x3fee09ff,0xff704fff,
    0xfe889fff,0xf502efff,0xfa83f701,0xfffb80ef,0x7fdc6d8d,0x7dc6d8df,
    0x5c6d8dff,0x46d8dfff,0x6d8dfffb,0x37ffe3f7,0x510df001,0x0555fd55,
    0x5dffffd1,0xb1bff930,0x8dffc98d,0x3fff226d,0xf50ff9ae,0x008003df,
    0x30022003,0x0004c001,0x004c0013,0x062004cc,0x00400400,0x00040010,
    0x20004001,0x98098000,0x7fffffff,0x44004cc0,0x20011000,0x00098800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c014c13,0x0005510a,0x5442a600,0x40a98622,
    0x20098098,0x221510a9,0xaa98000a,0x05440aa1,0x2aa05540,0x086a6001,
    0xd0086a60,0x4c07ffff,0x15101511,0x802a8800,0xaaaaaca8,0x0350d440,
    0x54402aa0,0xe8df9bcc,0x9f503fff,0x40007fa2,0x229f507d,0x36bea1fe,
    0x5f50dfff,0xbed80bf0,0x800bea4f,0xd4ffffe9,0xb00bea0f,0x05fb107f,
    0xf7bfff70,0x7bfff703,0x5555503f,0x7edfdc01,0x4cdfdcc0,0x1fff4400,
    0xffffff70,0xd7f703ff,0x07fb001d,0x33fbffee,0x7e99dfef,0x1dd14f98,
    0x4f815300,0x1dd14f98,0xc89effa8,0xbf05f52f,0xfa89fb00,0x15ff3002,
    0x541fa553,0x007b602f,0x51a805f9,0x546a07dd,0x200003ee,0xfff82efc,
    0x3a204fff,0xfa83fa8d,0x2e00df0d,0x1ed800ef,0xff03bf50,0x0001fb89,
    0x3f30fe40,0x0efa8000,0x417d53e2,0x3ea0005f,0x403fd002,0x005f507e,
    0x00000000,0x00aa9800,0xacfca800,0xdd00001a,0x000006f8,0x3e03fb00,
    0x5301c986,0x0fe40015,0x04404c40,0x55ba0bea,0x9805f82f,0x44bea1aa,
    0x02fc40aa,0x117d41fa,0x988054c3,0x4cc40199,0xa9862019,0xffffd100,
    0x3333101b,0x88017d40,0x7f301999,0x4ccc06f8,0x04c09999,0xf81fe053,
    0x3ffa2006,0xfc800dff,0xe82fa801,0xb7417d46,0x205f82fa,0x54ffffe9,
    0x1dfff95f,0x1fa01fcc,0xb5f517d4,0xfe81bfff,0x7ff407ff,0x36bea07f,
    0x3e20dfff,0x85fc88af,0x2a07fffe,0x81cfd9af,0xf707fffe,0x3e206f83,
    0x44ffffff,0x3fffe8df,0x00df02fc,0x3222bfe2,0x01fc805f,0x46e82fa8,
    0xf56e82fa,0x3e60bf05,0xf52a98af,0x4bf715fd,0x83f405f9,0x3bfea2fa,
    0x4c42fc89,0x4cc407e9,0x3bfea07e,0x3f22fc89,0x4c41fd82,0x37ea07e9,
    0x441ffcdf,0x3f907e99,0x984ccff8,0x42fe9999,0x7e99dfef,0x00df02fc,
    0x07f60bf2,0xf5003f90,0x2fa8dd05,0x887f56e8,0x403fd05f,0x07ec0ffa,
    0x507e80ff,0x1077d45f,0x003f409f,0x077d40fd,0xa83f49f1,0xa81fa02f,
    0x80fe63ff,0xf81f907e,0xfb806eef,0x7dc4ff84,0x06f817e1,0x0bea0fd0,
    0xf5003f90,0x2fa8dd05,0xd8bf56e8,0x405f886f,0x21fb83fa,0x41fa02fd,
    0x20bea2fa,0x801fa06e,0x20bea07e,0x7cc1be6e,0xfa81fa03,0x1fa06f84,
    0x01be0fe4,0x0df05f98,0xf02fc393,0x4c1be00d,0x00fe403f,0x237417d4,
    0xf56e82fa,0x7fbdd59f,0x7d403f98,0x3a62fa82,0xfd4cabef,0x2fa8bea0,
    0x01fa06e8,0x0bea07e8,0xf306f9ba,0xf503f407,0x3f40dd05,0x037c2fb8,
    0xdf00ef88,0x6f817e00,0x3e60df00,0x400fe403,0x546e82fa,0xbf56e82f,
    0x8ff31bff,0x17d405f9,0x7fe40fdc,0x2e0fd3ff,0x3a0bea2f,0xe801fa06,
    0x3a0bea07,0x17dc1fa6,0x17d40fd0,0x20fd0374,0x8037c4f9,0x01be01fd,
    0xe80002fc,0xc805f707,0x83fa801f,0x5f50006f,0x01fe2002,0x01f905f5,
    0x20fd03ba,0x20bea1fd,0x801fa06e,0x20bea07e,0xd10fee6e,0x2a07e80d,
    0x3a06e82f,0x6f87fa07,0x7c03fc80,0x200bf006,0x10fee04d,0x03f900dd,
    0x0dfb17e0,0x02fa84d8,0xf5017f40,0xf105f885,0x2b22fd07,0x417d46fd,
    0x801fa06e,0x20bea07e,0x2b3fa26e,0x3f402feb,0x0dd05f50,0x9ff503f4,
    0x81999ff5,0x06f805fa,0x7f100bf0,0x5d67f440,0x1fc802fe,0xfd59fb00,
    0x41fc40dd,0x7cc002fa,0xf54cabef,0x03ff757d,0x45fa07ea,0x7d40dfff,
    0x2aa26e82,0x442aafea,0x2aafeaaa,0x237417d4,0x81efffd8,0xaafeaaa8,
    0x37417d42,0x55fd5551,0xffffd305,0x7fc43fff,0x7c4ccccc,0x500bf006,
    0xffd8801f,0xbf9001ef,0x93099999,0x40db1bff,0x02fa80fa,0xffffd880,
    0xbffff913,0x20000001,0x266e82fa,0x7fffffff,0x7fffffcc,0x7417d47f,
    0xff300206,0xa8ffffff,0x3e66e82f,0x07ffffff,0x7ffd4004,0x37c7ffff,
    0x18805f80,0x64000400,0x0fffffff,0x0c400110,0x40000988,0x00000800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa80000,0x50d4402a,0x20554003,0x705302cb,0x97053019,0x5cc05301,
    0x5995301b,0x2aaaaa01,0x2aa600aa,0x02bba880,0x44033054,0x30d400aa,
    0x00015555,0x2e62006e,0x2e6200ab,0x555540ac,0x377302aa,0xa80aa800,
    0xafc0abcb,0xb807fffe,0xb000eebf,0x87fb907f,0x3ffea5f8,0xff52fc40,
    0x885f881f,0xf84ffffe,0xf83fffff,0x41ffffff,0x43ffffc8,0x1ffffffa,
    0x1ff14fb8,0x4ffffd88,0x3ee1ff90,0xb8002fff,0x3fea00ff,0xfb81ffff,
    0x3e2fffff,0x4c7fffff,0x00dffffe,0x7fd43fd8,0x3e22ffff,0xf7007e83,
    0x07b6001d,0x3f21fd44,0x903eeea0,0x07ddd41f,0x4bfa03f2,0x88543fd8,
    0x4efc0ffa,0x7f441999,0x3e2099ad,0x30bf711e,0x7ec2ec5d,0xfb09f912,
    0x005f703f,0x7dc0df50,0x40c988af,0xc988aefc,0x3a666661,0x262bfe27,
    0x0f6c06fc,0x4c42bfe6,0x1fa07ea0,0xd8000000,0x40be62ff,0x40be60fb,
    0x20be60fb,0x807e83fa,0x402fc2fc,0x1fd402fc,0xf30003f4,0x5910fd07,
    0x4000bee0,0x003be200,0xe80017e6,0x3f60bf27,0x02fc8001,0x838bf400,
    0x9880a609,0x27e80199,0xe83ee05e,0x5e83ee05,0xfe881fb0,0x3e0fdc02,
    0x4027c405,0x42fc44f9,0xf9019998,0x8003f901,0x266002fb,0x32099999,
    0x03fd003f,0x0ff3f400,0x333313ea,0x0bf21333,0xdf9fd000,0xfffd1bf0,
    0x0ffffd07,0x7e53fba2,0x7e43ee00,0x7e43ee00,0xff98dd00,0x21ba203f,
    0x88fd405f,0x119fd009,0xfffd05fd,0x3ffff60f,0x4002ffff,0xff1002fb,
    0x6c9fffff,0x00df000f,0x09f17e80,0xfff897e2,0xff54ffff,0x3fa20005,
    0xdfef80bf,0x99887e99,0x4c6aa07e,0xf994c03f,0x3f994c03,0xaefb97e0,
    0x2fee543f,0x1cfffff8,0x3ffff3f2,0x7ffec40d,0xfd33101e,0x2aaaff60,
    0x5c000aaa,0x2666002f,0x1fa2fe99,0x5512fc40,0x37e80155,0x2637c09f,
    0x22fe9999,0x1003effb,0x7c01fff9,0xd00fdc4f,0x002f400f,0x0bd0017a,
    0x15fd8df8,0xffeeb89f,0xfecbaa84,0x337dfb1f,0xfff70df9,0x20fd005f,
    0x04c003fc,0x17642fb8,0x1be27dc0,0xff127cc0,0x57e805ff,0x203fc07f,
    0xffc984fb,0x75fec03f,0x64c37c07,0x5c01fa01,0x03ee000f,0x7c00fb80,
    0x0fe62ffe,0xc804fc88,0xf901fb5f,0xffaa7ec3,0xf983f403,0x03fee006,
    0x7ffa8bee,0x3fc2fcc0,0xf505f880,0x9f37e805,0xbf3037c0,0x03ffb880,
    0x3e03f42a,0x00fd0006,0x03bae7f3,0x77ec5fcc,0x3ae7f301,0x20f7f40e,
    0x07e802fa,0x03f97f88,0x113ea7f5,0x03f401ff,0x77559ffb,0xf705ff90,
    0x102ffcc5,0x01fb01df,0x17d41be0,0x82fc5fa0,0x1df104f8,0x401fe200,
    0x0037c07e,0x16e807e8,0x5ba01fdf,0xdd05eac8,0xfb03fbe2,0xd001fb03,
    0x7ddbe00f,0x3f92fb82,0x3f403f90,0x3ffffee0,0xb83ff884,0xb0054c2f,
    0x013f203f,0x17d40ff4,0x707f9be0,0x007f607f,0xfd001fb0,0xd0006f80,
    0xbb1fb80f,0x03f701f7,0x363f70bd,0x2fcc0fbd,0x3e6017e6,0xf13fc805,
    0x3f21fd0b,0x3a00fe82,0x803f6007,0x02fb81fe,0xf101fe40,0x1df3005f,
    0xf5022fa8,0x3e227dcb,0x8007f906,0x0fd007f8,0xfd0006f8,0xcfa9fc40,
    0x21fc43fc,0x9fc40ee8,0xd83fccfa,0x21ffbadf,0xefdbaab9,0x3aeaae20,
    0x556fe45f,0x33fe63fd,0x7404fdaa,0x407f1007,0x05f705fa,0x5402fd40,
    0x1fcbcdff,0x6ddeffe4,0xfb79f12f,0x5eff443f,0x5fa82ffc,0x32ab3760,
    0x555102ff,0xdf0555fd,0x3aaaa200,0x536c2aaf,0x6d8dfddd,0x360cf74c,
    0x1bfbbaa6,0x206fffe4,0x0beffffa,0x177fffc4,0x82efffb8,0x83ffffe9,
    0xaafeaaa8,0x7077e602,0x555419ff,0x200aacfd,0xcccccff8,0xefffd984,
    0xfffda80c,0x3fff60df,0xfffd881d,0xccff881d,0xfffb4ccc,0x7cc05bff,
    0x87ffffff,0xfff3006f,0x7dcfffff,0x7dc1f701,0x73fffdc1,0x003ee03f,
    0x00198801,0x00040033,0x7ffcc013,0x5c07ffff,0x7405447e,0x2fffffff,
    0x3ffffea0,0x000407ff,0x40010022,0x7fffd400,0x04c47fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05440aa0,0x80055cc4,0x553002a8,0x54351035,0x81555541,
    0xd0088098,0x2207ffff,0x7f401aaa,0xb9803fff,0x02c882bc,0xa8800a88,
    0x40015100,0x543ffffe,0x2aaa0001,0x00a882aa,0x85501544,0xaaaaaaaa,
    0x26aaa61a,0x3ea0fd00,0x7ff7fcc3,0x3ffa200d,0x3fffa203,0xebfb80ff,
    0x3ffff40e,0x06e82fa8,0xb0155555,0x40bfffff,0x400aaaaa,0xb85ffffd,
    0x0fdc00ff,0xfa80fdc0,0x2aaaa002,0x0013e20a,0x3fffffd4,0x7f401fd4,
    0x3e23fb80,0xdccccccc,0x3fffff24,0xfa83f41e,0xfa833ea3,0xf51bd106,
    0x188bf607,0xd003bee0,0x3a0bea0f,0x8d5c0006,0x00003fd9,0x54041bf7,
    0x01fb806f,0x5f501fb8,0x27c40000,0x05fed800,0x7cc01fd4,0x5a237c45,
    0xf92541a9,0x45ff7335,0x747f507e,0x0007f305,0x00000df0,0x82fa83f4,
    0x02aa206e,0x5105f880,0x1fd80355,0x4cc40100,0x11999bfc,0x3337f933,
    0x2200bea3,0x9f108809,0xbf5f1000,0x0263fa80,0x83f90fec,0x23dd9368,
    0xf107f24a,0x7d41fa1f,0x3ff23f53,0x200c4fb5,0x00e7ec18,0x20054c31,
    0xd05f507e,0xffffb10d,0x6c37c009,0x205fffff,0x4ccc407e,0xfffff501,
    0x3feaffff,0x57ffffff,0x2a02a65f,0x9f16e82f,0x5f201310,0x4dfd405f,
    0x2df100fd,0xb86885f8,0x40fe4956,0x2a0fd3fc,0x33eed93f,0x3ee1f529,
    0xfb11f201,0xafa817df,0xd00dfffd,0x3a0bea0f,0xf912fd86,0xfffec889,
    0xb31ab86f,0xd01fa07f,0x2620ffff,0x1999bfc9,0x337f9331,0x3f6fea33,
    0x0bea0dff,0x2e27c5ba,0x2fd3e05f,0x0bbffea0,0x01fb5f70,0x951f10d1,
    0xa7cc0fe4,0x367f507e,0x23f30dd5,0x41b602fa,0x2a0fffc9,0x2fc89eff,
    0x0bea0fd0,0xd07f31ba,0xaaabfe8f,0x2bf1006f,0xeeffeee8,0x3a6622ee,
    0x801fb807,0xdff501fb,0x7d45f915,0x49f16e82,0x47ea05fb,0x6cc3ccef,
    0x3fa002ef,0x4c4d103f,0x3ffa956c,0x757e63ee,0x57a7f507,0xf32f885e,
    0x00bd16c7,0x077d49f7,0x41fa09f1,0x646f83fa,0xf31fc80f,0x7c00df05,
    0x9ff99916,0x1fa03999,0x2e007ee0,0x41df501f,0x20bea4f8,0x3ee9f16e,
    0xdff36c05,0x1fffdc9d,0x881bea00,0xa5433b66,0x223eeffe,0x3ea0fd5f,
    0x261f2bb3,0x3e69f11f,0x3e6013e6,0x1ba0bea5,0xd8bf03f4,0x7fffec6f,
    0x5f92ffff,0xec886fb8,0xfd06ffff,0xff03f400,0x03ffffff,0x0bea03f7,
    0xe82fa9ba,0x0bf79f16,0x417e3f88,0x9803faaa,0x5eeffeee,0x4a85b344,
    0x57e607f2,0x325f507e,0x2ab9df37,0x7fe57e0f,0x2f623f88,0x2a2febaa,
    0xfd06e82f,0x7f567ec0,0x555fec6e,0xdf50aaaa,0xd0dffb75,0x0df5557f,
    0x07e801fa,0x2ab3f6aa,0x501fb80a,0x7d4dd05f,0xfdf16e82,0xabfc801f,
    0x1fd405fa,0x77e664c0,0x133443cc,0x207f24a8,0x360fb3fa,0x2e25f31f,
    0xf6d8bd2c,0x445f37f7,0x42effffe,0xd06e82fa,0x6ffe4c0f,0x01fe46d8,
    0xd8dfffb8,0x37c17cc6,0x1fa007e8,0x2e00bee0,0xd05f502f,0xb7c1fd4d,
    0x405fbcf8,0x05ffffff,0x22001fd4,0x1b9a205f,0xd03f9254,0xf10bf23f,
    0xfb80ed8f,0x6c7cfe41,0x9f501fae,0x1ba0bea0,0x884403f4,0x0037cc3f,
    0x7e42f982,0x7e837dc2,0x2201fa00,0x05f8805f,0xf8dd05f5,0x4f8b7ec5,
    0x2fea09f9,0x5405f999,0xeee9803f,0x3445eeff,0x3f24a89f,0xf897f221,
    0x42ffcacf,0xfca9bfe8,0xf56cfb83,0x07ea01f9,0x837417d4,0x836c007e,
    0x3baacffd,0xefa85e80,0xd06ffdba,0x803f400f,0xb03abdfd,0x3ea757bf,
    0x67ec6e82,0x9f16efea,0x43f427ec,0xfa82aaef,0x444ccccd,0x3ccefccc,
    0x49501344,0x5ffdcdfc,0x2efffd88,0x0b7ffb20,0xfff1ffd4,0x5f503e40,
    0x2aaa2dd0,0xd802aafe,0xfffb80af,0xaee804ff,0x46fffdc0,0x440fd06d,
    0x2aafeaaa,0x1bffb260,0xab7ff64c,0x64c6e82f,0xf16d8dff,0x3e63fe89,
    0x0fffff84,0x7fffffd4,0x40bf100f,0xfffffff8,0x3fff24ff,0x000802de,
    0x07fcc004,0x54000bf9,0xff36e82f,0x00ffffff,0x09805fb3,0x40bf6600,
    0x981fa000,0x7fffffff,0x20400100,0x106e82fa,0xd113e201,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09aaa980,0x3ffffe80,0xa9800544,
    0xaaa82980,0x21aaaaaa,0x2ea0002a,0x5555541b,0x401551aa,0x555510a9,
    0x26aaaa01,0x55555500,0x5440aa35,0x55555510,0x2a02a255,0x5001530a,
    0x54155015,0x440a881a,0x14401aca,0x2aa00151,0xaaaaaa81,0xff900aaa,
    0x5403dfff,0x7d40aaaa,0xb03f9003,0x7fffc41f,0x3e4fffff,0xffe98006,
    0xfffd0dff,0x0bf29fff,0xfff51fd8,0xffe89dff,0x7fc1efff,0xfd4fffff,
    0x7fccbea0,0xf55fffff,0x3f25fa85,0x444fe801,0x21ff63ff,0x3ffea2fa,
    0xa9ee03ff,0x5ffa800f,0xffffffd8,0x35f901ff,0x0005ff73,0x04d567d4,
    0x4ccd7e44,0x4ccc1fd9,0x20999dfa,0x2fe8006f,0x999fe92a,0x40bf5099,
    0x266fea6f,0x27fa1fd9,0x3e2ffb99,0xd099999e,0x998bea0f,0xf5099dfa,
    0xf9077cc5,0xb8fff003,0x0fff63ff,0x837e65f5,0x5cd901fd,0x5fef8807,
    0x99999988,0x83f900fd,0x4cc40ff8,0xffff5019,0xfffc89ff,0x1fffffff,
    0x37c0bf10,0xd013e600,0x2a0ff00f,0xf10fea3f,0x37c43f4b,0x507e80df,
    0x50bf105f,0x903fa25f,0x5f9f003f,0xdfb1fe74,0x1fb2fa8d,0x4db05f88,
    0xf9fd807c,0x813e2005,0x43fc81fc,0xf507fffe,0x49fb3337,0xaaaacfd9,
    0xbf100bfe,0x2a0037c0,0x403f402f,0x20fd82fc,0x3a5f83fa,0x1be5f907,
    0x0bea0fd0,0x4bea17e2,0x01fc81fd,0x3f35ebf8,0x17dfec9f,0x6c1fa5f5,
    0x7fffffc7,0xfa80ffff,0x32005f8b,0x207f200f,0x74cc44f9,0xfd07f507,
    0x7ec0fe41,0xf817e200,0x017d4006,0x13ea01fa,0xb87f51be,0x7d41fa3f,
    0x07e80df4,0x0bf105f5,0x205f75f5,0x5fc401fc,0x49f6c8fb,0x97d4df7d,
    0x541f907e,0xaeeaadfa,0xbf16e882,0xe817e200,0x3e63eeff,0x7d41fa05,
    0x3f22fb83,0x0feaaaac,0xaaefbaa8,0x2f5437c0,0x2aab3f2a,0x55557f42,
    0x3ea3fc0a,0x76e6fd43,0xf983f42f,0xdddddff5,0x3bbbbfa5,0x5f882fee,
    0x204fdfa8,0x5fc401fc,0x49f3fbf8,0x3ea5f77d,0xfd887f92,0x813a3f81,
    0x00bf11fc,0xffe807f2,0x817e23ee,0xb07f507e,0x7fffe43f,0xfe80ffff,
    0x7c3fffff,0x3e2ffe86,0x46ffffff,0x2ffffffe,0x81f90fe4,0xeffeeefa,
    0xafc41fa1,0x2eeeeeff,0xddddddfd,0x50bf105f,0x7e409fdf,0xfd97c401,
    0x8becbf0f,0x3e25f56f,0x0fffdcdf,0x209f17c4,0x017e23f9,0x3f2017e2,
    0x3a05f981,0xf887f507,0x266bf20f,0x2200fd99,0x361be05f,0x017d41ff,
    0x27d401fa,0xa87f50df,0x260fd0ff,0x7e80df5f,0xbf105f50,0x05fb5f50,
    0x5f3007f2,0x365f97ea,0x8bea7f27,0x7dacedc8,0x40fe2f98,0x402fc46e,
    0x1fc801fc,0x1fa03fa8,0x764cdfd4,0x6c0fe42f,0x817e200f,0xf503506f,
    0x2007e805,0xf507f37f,0x1fa5f907,0x406f9fdc,0x105f507e,0xd15f50bf,
    0x803f903f,0x743912f9,0xadf89f65,0x326e802f,0xffffffff,0x3337ee4f,
    0x104cefcc,0x07f200bf,0x07e807fa,0x5ffffff5,0x1fb03f90,0xdf02fc40,
    0x402fa800,0x27f2007e,0x83fa80fc,0x3a0fd1fd,0x7e80df0f,0xbf105f50,
    0x3be65f50,0x2a00fe40,0x7d9ba02f,0x2017dfec,0x3ee623fa,0x209afa99,
    0xfffffffc,0x05f907ff,0xfc887f20,0xfa83f405,0x3f200aac,0x2200fd81,
    0x001be05f,0x07e805f5,0x41bf3ea0,0x87fc43fa,0xf27ec47e,0xf507e80d,
    0xf50bf105,0x3f22fdc5,0xd017d401,0x3be63ecd,0x41bea02f,0x8003ea7b,
    0x1be205f8,0xfdcdfc80,0xeaaa885f,0x0fea2aaf,0x7ec0fe40,0xf817e200,
    0x82cccccf,0xccccdfdc,0xf800fd0c,0x9bf503ff,0x7f45ffd9,0x7c5ffdcc,
    0xd2cccccf,0x644bea0f,0x53ccefcc,0x323fd85f,0x24ccccdf,0xd9ba01fa,
    0x912ffd87,0x201bfdb9,0x1001ee6c,0x017e40bf,0x5bdfff90,0x3ffffe60,
    0x00fea7ff,0x07ec0fe4,0x7fc0bf10,0xf85fffff,0xffffffff,0xfc800fd1,
    0xffff500f,0xfffe819d,0xffff81de,0x20fd4fff,0xffff32fa,0x0beabfff,
    0x3ff23fd1,0xf70fffff,0x0fb3ec03,0x3fe25ff3,0x936c02ce,0x05f8800f,
    0x00000df1,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55000000,0x35555101,0x05654401,0x5555554c,
    0x401550aa,0x205510a9,0x802a62a8,0x55555429,0x5301aaaa,0x55554405,
    0x22095009,0x2a00020d,0xa8808001,0x54402aa1,0x1aa881aa,0x553002a6,
    0x002aa203,0x4c035553,0x809880aa,0x3ffaa008,0xfffffa81,0xffffb84f,
    0x7fffe43f,0xbf71ffff,0xfe83fe20,0x3ee2fd81,0xff89f201,0x4fffffff,
    0x2605ffb0,0x83ffffff,0x71fd82fd,0x27c4003f,0xfa83f200,0x1fffbaff,
    0x2fffffec,0xfbbffff1,0xffd303ff,0x7fec49ff,0xffe884ff,0x7f440fff,
    0x3ea0dfff,0xfe986e82,0xbfa81fef,0x225fdb99,0x43ff51cf,0xfa999998,
    0x7dc0ff46,0x3e637cc3,0xf900fd45,0x9dfa9998,0xfef88099,0x7339f304,
    0xdfe885fd,0x3a23fdef,0x09f1003f,0xbf0ffa20,0xbf19ff91,0x7fb31ab8,
    0x4ffe42e2,0x57fcc5f8,0x4bf62a98,0x17ec4fc8,0x8aff8831,0x0bea5fc8,
    0x6cfe61ba,0x443fa81f,0x3ee020ff,0x541fd803,0xc837c45f,0xf503fa3f,
    0xf1036c05,0xfd5f500b,0x9f713e60,0xffd9ff50,0x1009fb10,0x5fd3009f,
    0x4ff32fa8,0x05f8807c,0x3a3e4bf1,0x20fe601f,0x64037c7e,0xf51fd82f,
    0xd820dd05,0xc83fa81f,0x027d402f,0x17f413ee,0x3fe205f9,0x2f983fb8,
    0x5f881b60,0x05f97d80,0x85f989f3,0x40bf61fd,0x66640dfc,0x41cccefc,
    0x0fb81efa,0x800fb9be,0xfb93e06f,0xfc80bf10,0x3f61fc80,0x541fa01c,
    0xdd05f52f,0xf503fb00,0xb803fb07,0x81be203f,0x80bf16f9,0xf306fdfa,
    0x40bd1ec7,0xafc405f8,0x44f984f9,0x546f83fc,0x83bea03f,0xffffffff,
    0x403bee3f,0x3fffe0fc,0x3fb220ff,0x3f6a6fff,0x0fffffff,0xffd807f3,
    0x22ffffff,0x40beffd8,0x2a7f306f,0xd806e82f,0x443fa81f,0x00fe807f,
    0x5fb007f6,0xffb003f9,0x7d4fe203,0x5f8817a6,0x0ff17d40,0xbfb75bf3,
    0x09f31be0,0x9f106fc8,0xb803fe60,0x2667be0f,0x5555ff41,0xf57df36f,
    0x7cc5555b,0x555fec05,0xc980aaaa,0x41be0fff,0xd05f53f9,0x503fb00d,
    0x5ffb759f,0x2a03fc80,0xfef8804f,0x01ff9004,0xd1ffc9fc,0x202fc409,
    0x307f20fd,0x405fffff,0x80bee0ff,0x9f100dfb,0xb80ffd40,0x4c0ff10f,
    0x3f96f82f,0x0ff102fc,0x20003fc8,0x5c1fa4fb,0xdf07f52f,0xf503fb00,
    0x801bffff,0x3be204fc,0x01ff9000,0x40bfdf30,0x3e9f7f4f,0x8817e204,
    0x2627d45f,0x640df54f,0x00ffa9df,0x4f8809fb,0x5417f4c0,0x203ff52f,
    0xcb7dc2fc,0xe80ff50f,0x01be602f,0x3ee5f980,0x17e37443,0x3fb00dfb,
    0x00137f50,0x3fb013f2,0x802fc400,0xf02fd9fe,0x3edb1f39,0xa817e203,
    0x7fccccef,0x09f527cc,0x3ffffff2,0x401ff441,0xfd8804f8,0xfdfbef83,
    0x3bea3abf,0xf56ffdba,0x55dfbf79,0xabeff987,0x2b3ff64c,0x2af623ba,
    0x3a22feba,0x42febacf,0x6efeacfd,0xfa81fd80,0x013f2003,0xf88009f5,
    0xf14fb805,0x2d9bd01f,0x2203fafa,0x3fff605f,0x261fffff,0x2a07f44f,
    0xef9aa9cf,0x0003ff30,0x262fe400,0xffe98eff,0x46fffdc5,0x64fff26d,
    0xfd884fff,0x7fdc3fff,0x3fa24fff,0xd882efff,0xc981efff,0x806d8dff,
    0x03fa81fd,0xf8809f90,0x2fc4000e,0xfb83be60,0xf13eed85,0x2fc405fb,
    0x9f506f88,0x13ee27cc,0x25f701db,0x554c00ea,0x00aaaaaa,0x4404075c,
    0x40200200,0x26001001,0x8004cc00,0x10011000,0x99bfd999,0x2a00fea1,
    0xeeeeeeff,0xddddffb1,0x17e205dd,0x5fd05fd0,0x3f60ffd8,0x417e202f,
    0x99fe03fa,0x040ff84f,0xff900010,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0xffffff88,0x007f51ff,0xfffffff7,0x3ffffa5f,0xf102ffff,
    0xa82fdc0b,0x2a37e46f,0x17e201ff,0x3fb007ec,0x0fee13e6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13101330,
    0x980a9862,0x20999999,0x04c26009,0x88031053,0x405654c1,0x02a21511,
    0x40131013,0x09d3002c,0x9881bb98,0xbca80199,0x1501a801,0xbcb8814c,
    0x81a80c80,0x50e204b8,0x405665c1,0x0d401bca,0x706e04c0,0x50fe88bf,
    0x1bfffb5f,0x3fffffe2,0x7dc1fe4f,0xfffd1bf3,0xf900fdc7,0x41ffeef8,
    0xfe8ffeaf,0xfb89f10f,0x4013e205,0x3ff207fc,0x7fff42ff,0x32f7a607,
    0x441f404e,0xf107f25f,0x7cc1ffff,0xc897ea0e,0x47f207ff,0x3fbbe4f9,
    0x1ff77ec7,0x3200ffb8,0xb07ff66f,0xf517e45f,0x45f913df,0x2fe99999,
    0x43fa0bf2,0x7e99dfef,0x46d80bea,0x9df0fe20,0x25f19bf3,0x017ee4f8,
    0x362009f1,0x3a27f503,0x83f4cc47,0xd8accaf8,0x572e8e44,0x86f89fd4,
    0xdf50ff22,0xcfb8bf51,0x749f307e,0x7dcbee06,0x7f103f61,0x8ffec09f,
    0x7fc42ffe,0x77d44fa8,0xfb813e20,0x3e22fcc4,0x3f713fe5,0x3a2d8fe6,
    0x44fcb985,0xa7c3fe7f,0x00bf74f8,0x200009f1,0xe80fe47c,0x36be9907,
    0x7fb10f8b,0xfd87fd7b,0x7dc07f50,0x05fffa83,0x93741fa1,0x1dd5303f,
    0xc83f51b6,0x3e203f76,0x260bd32f,0x2fa86edf,0x0bf306e8,0x22fb83fa,
    0xf11c986f,0x44f9be69,0x7c4fabee,0xf14f93e4,0x5540bf79,0x1aaadfba,
    0x2aaaaaaa,0x5c1f91aa,0x360fd01f,0x0ba5b5f2,0x2607ffb3,0x7cc1ba4f,
    0x01ff900e,0x13fa87e8,0x37ffe0bf,0x21fb8fb0,0xf817a1f9,0x3ff2000f,
    0x6e82fa81,0xf700ef88,0x01be3747,0x88ffcafc,0x7c47ea3f,0x7c9f27c4,
    0x01ffdf14,0x3fffffe2,0xfff14fff,0x29ffffff,0xe81fa2fb,0x9b7e5d07,
    0x6fffdc2e,0x5f70fd81,0x2a01df70,0x3a00efef,0x3ee1dd07,0x2abf7102,
    0x746ea9cf,0x7dc17d45,0x17fec004,0x437417d4,0x5be201fd,0x8037c3f9,
    0xf37f7f6d,0x7f677c45,0x7c9f27c4,0x0bf79f14,0x4efccccc,0x26666099,
    0xd1099999,0x7405fddf,0x363e9907,0x3df10f8a,0x7dc9f75b,0xbfb0bf12,
    0xefaafd40,0x3e60fd00,0x7cc03f64,0x837fff25,0x70fd81fa,0xfc8009ff,
    0x17d41feb,0x00ff2374,0xf03f27f2,0x3e7f200d,0x4c1faed8,0x27c2b8bc,
    0x4f8a7c9f,0x9f1009f9,0x65c40000,0x883f401b,0x4dd98d9f,0x44625d14,
    0xf703f64f,0x7c4fffff,0xff32fd45,0x3f90ffff,0x777457e2,0x404c41ff,
    0x26131008,0xafd4000a,0x0bea0ef9,0x005fa9ba,0xdf0bf9f3,0x55b3ee00,
    0xf8000fcf,0xf14f93e4,0x22027ec9,0x09d3004f,0x503f4000,0x01bd759f,
    0x220981f4,0xccccc982,0x220a8144,0x504ccccc,0x79991098,0x00000001,
    0x2e0ff880,0x3a0bea5f,0x9999ff16,0x0bffa099,0x7fd401be,0xffb1ffe3,
    0x27c3ffff,0x4f8a7c9f,0x9f101ff4,0x6c1ff200,0x11ffffff,0x555fd555,
    0x0059b710,0x00000013,0x00000000,0x00000000,0xfd82fe80,0x2dd05f53,
    0xfffffffa,0x3e0ff707,0x41ff3006,0x5554c5fc,0xf93e0aaa,0x227c53e4,
    0x06a02fe8,0xa981ec40,0xf30aaaaa,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaaaa800,0x25712aaa,0x111112b8,
    0x82a01111,0x701ba819,0x8008817b,0xfffe81bb,0x3333332f,0x22133333,
    0x002aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0xfffb0000,
    0x3e6fffff,0x3ff2df36,0x40ffffff,0x10ff14fb,0xfffc85fb,0xfb017a0e,
    0x2eeeea07,0xfffffff1,0x3e67ffff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33331000,0x57e6fd33,0x555535f9,0xe9815555,
    0x2fc81762,0x2bbea9f1,0x07b604fa,0x4ccccc00,0x10999999,0x00333333,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,0x02fc57e2,
    0x26000000,0x3bffe62e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c5f6000,0x2eea9f14,0x00bbbbbb,0x2a200000,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50c40000,0xfffc8d43,0x000fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_21_latin_ext_x[560]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
3,1,0,1,1,1,0,1,1,1,1,1,4,2,1,1,2,3,0,0,1,0,1,2,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,2,1,0,0,1,1,1,1,1,0,0,1,1,
1,1,1,0,1,0,1,1,2,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,1,0,0,2,1,1,2,1,0,2,1,2,2,0,1,1,4,4,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_21_latin_ext_y[560]={ 15,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
11,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,17,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,15,4,-1,1,2,1,
-2,0,0,1,1,5,8,8,0,1,0,2,0,0,0,4,0,7,15,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-3,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-2,1,-3,0,1,4,-3,0,-3,0,-3,0,-3,0,-3,-1,1,0,-2,1,-3,0,-3,0,1,4,-3,0,-3,0,
-3,0,-3,0,1,-1,-3,-3,1,0,-3,0,-2,1,-3,0,1,0,-3,4,1,0,-3,0,1,0,4,-3,-3,1,
0,-1,-1,1,0,1,0,-3,0,1,4,-3,0,-1,1,4,-2,1,-3,0,-3,0,1,4,-3,0,1,4,-3,0,
-3,0,-3,0,1,4,-3,0,1,1,-3,-1,1,1,-3,0,-2,1,-3,0,-3,-1,-3,0,1,4,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-4,-3,0,-3,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_21_latin_ext_w[560]={ 0,4,7,12,10,12,12,3,6,7,9,11,6,7,
5,9,11,10,10,10,12,9,10,10,10,10,4,6,9,10,9,7,12,12,10,11,10,8,8,11,10,9,8,10,
9,12,10,11,10,12,10,10,11,10,12,12,12,12,10,6,10,7,10,12,7,9,10,9,9,10,11,11,9,10,
8,10,10,11,9,11,10,9,9,9,10,9,11,12,11,11,9,9,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,9,11,11,12,
3,10,10,12,8,9,9,7,10,9,8,10,8,7,10,11,10,4,3,8,8,10,12,12,12,7,12,12,12,12,
12,12,13,11,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,10,11,11,11,11,11,12,10,10,10,10,
10,10,10,10,12,9,11,11,11,11,11,11,11,11,10,10,11,11,11,11,11,11,11,10,10,10,10,11,10,11,
12,10,12,10,12,10,11,11,11,10,11,10,11,10,12,14,11,11,10,11,10,11,10,11,9,10,10,11,11,11,
11,11,11,11,11,11,11,10,12,10,10,11,10,11,10,11,10,10,10,10,10,10,10,10,10,10,10,11,11,9,
10,14,14,11,13,11,10,11,10,10,9,11,10,11,10,9,11,11,11,11,12,12,12,12,12,11,10,9,12,11,
11,10,11,10,10,9,11,10,11,10,11,13,11,10,11,10,11,10,11,10,11,10,12,12,10,10,12,12,12,11,
12,11,10,11,10,11,10,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,10,13,12,13,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,10,9,11,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_21_latin_ext_h[560]={ 0,16,6,14,19,16,16,6,21,21,10,11,8,3,
5,18,15,14,14,15,14,15,15,14,15,14,12,15,13,6,13,16,20,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,20,18,20,8,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,20,22,20,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,14,13,14,
22,18,5,15,11,9,6,3,10,4,8,13,9,9,5,16,18,4,4,9,11,9,15,15,15,16,18,18,18,18,
18,18,14,18,18,18,18,18,18,18,18,18,14,18,19,19,19,19,19,9,19,19,19,19,19,18,14,16,16,16,
16,16,16,17,12,15,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,11,16,16,16,16,16,20,20,20,
17,15,18,16,18,15,19,16,19,16,19,16,19,16,18,17,14,16,17,15,18,16,18,16,18,15,18,16,19,20,
19,20,19,20,19,21,18,18,14,15,18,15,17,14,18,15,18,19,18,11,15,20,19,20,19,20,11,18,18,19,
20,16,16,14,15,14,15,18,15,19,16,18,15,16,19,16,18,15,19,16,19,16,15,12,18,15,19,16,18,15,
19,16,19,16,18,15,19,16,19,19,18,17,14,15,19,16,18,15,19,16,19,17,19,16,18,15,18,15,18,20,
18,18,15,18,15,18,15,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,20,20,18,16,21,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,16,19,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_21_latin_ext_s[560]={ 246,249,11,215,164,91,228,250,43,9,155,
100,243,95,250,198,75,1,23,87,228,98,108,241,119,204,251,153,153,19,132,
242,121,96,107,185,118,129,85,197,138,149,209,159,170,180,193,218,12,211,109,
241,84,1,94,71,58,45,34,200,245,238,232,82,41,176,85,199,70,209,115,
230,160,127,191,181,59,77,13,230,92,170,45,220,149,242,33,55,1,241,23,
228,1,219,49,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,246,248,246,
73,120,218,5,12,30,12,68,205,1,95,144,72,223,142,176,215,61,62,200,
250,252,196,124,165,62,49,36,14,224,175,49,62,75,1,192,14,234,223,84,
114,80,34,208,26,1,37,140,103,128,199,79,185,175,237,13,202,132,102,25,
159,148,137,126,115,104,170,186,96,58,46,34,22,128,24,198,130,219,152,207,
195,183,171,159,112,147,136,125,114,103,134,74,207,181,104,36,25,60,93,190,
228,120,205,25,194,187,74,95,144,243,216,159,81,73,13,49,36,26,142,245,
80,91,85,108,97,84,109,152,17,138,127,36,187,91,140,108,13,45,175,23,
214,1,133,106,146,25,157,36,168,89,137,125,69,1,24,180,61,160,206,1,
233,117,73,52,68,48,1,58,48,211,163,61,58,115,11,210,163,88,234,47,
1,149,12,1,70,225,195,237,38,178,240,155,144,56,119,49,138,96,217,150,
170,49,206,37,133,12,39,187,70,13,25,101,179,162,188,230,115,174,175,223,
246,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,1,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,61,50,219,1,29,162,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,167,81,155,144,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,231,
231,231,231,231,231,231,231,231,231, };
static unsigned short stb__consolas_21_latin_ext_t[560]={ 21,24,247,205,45,139,139,122,1,1,235,
235,235,247,129,84,173,220,220,173,205,173,173,205,173,205,103,173,220,247,220,
122,1,220,205,173,205,205,205,173,205,205,173,205,205,205,205,173,220,64,220,
173,220,189,205,220,220,220,220,1,45,1,235,247,247,220,156,220,122,220,189,
122,189,189,1,189,189,235,235,220,122,139,235,220,189,220,235,235,235,139,235,
1,1,1,247,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,21,64,1,
205,220,189,1,84,247,189,235,235,247,247,235,247,235,220,235,235,247,156,65,
235,173,235,235,235,173,173,173,139,64,65,65,65,65,103,189,103,45,45,103,
65,84,84,84,65,205,65,45,45,45,45,45,235,45,24,45,24,24,84,205,
139,139,139,139,139,139,103,220,156,139,139,139,139,156,173,156,173,122,156,122,
122,122,122,122,235,122,122,122,122,122,1,1,1,103,189,103,122,103,189,24,
103,24,103,24,103,45,156,103,103,189,103,103,189,103,122,103,122,103,173,84,
122,45,1,24,1,24,1,45,1,84,84,205,156,84,156,103,205,84,156,84,
24,84,235,156,1,45,1,45,1,235,65,65,45,24,156,139,205,173,189,173,
84,156,24,156,84,189,122,45,122,45,156,24,122,45,156,156,220,65,156,45,
156,65,173,45,139,24,139,64,189,24,103,24,24,84,103,205,189,24,139,84,
189,24,139,24,103,24,156,84,189,65,189,65,1,65,65,173,84,173,84,156,
156,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,65,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,1,84,139,1,84,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,24,139,24,24,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__consolas_21_latin_ext_a[560]={ 185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_21_latin_ext(stb_fontchar font[STB_FONT_consolas_21_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_21_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_21_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_21_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_21_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_21_latin_ext_s[i] + stb__consolas_21_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_21_latin_ext_t[i] + stb__consolas_21_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_21_latin_ext_x[i];
            font[i].y0 = stb__consolas_21_latin_ext_y[i];
            font[i].x1 = stb__consolas_21_latin_ext_x[i] + stb__consolas_21_latin_ext_w[i];
            font[i].y1 = stb__consolas_21_latin_ext_y[i] + stb__consolas_21_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_21_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_21_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_21_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_21_latin_ext_s[i] + stb__consolas_21_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_21_latin_ext_t[i] + stb__consolas_21_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_21_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_21_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_21_latin_ext_x[i] + stb__consolas_21_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_21_latin_ext_y[i] + stb__consolas_21_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_21_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_21_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_21_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_21_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_21_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_21_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_21_latin_ext_LINE_SPACING
#endif

