// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT        122
#define STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_consolas_bold_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_13_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_13_latin_ext_LINE_SPACING           9

static unsigned int stb__consolas_bold_13_latin_ext_pixels[]={
    0x1020a82a,0x010164c0,0xa80f2002,0x00c19982,0x06600400,0x26200011,
    0x04400019,0x20b26008,0x188000a8,0x06aa604c,0x2032e726,0x409f7039,
    0xb8c882c9,0x881dd101,0x82620aaa,0x4a6f6608,0x263f11f8,0xb105f53f,
    0x87f30737,0x037203f9,0x7ffc06dc,0x3ee03f51,0x409f304f,0x702fe43d,
    0x47ffa8bd,0x7ec09d7b,0xd884f985,0x04fffb83,0x07dd3fe6,0x37ffec9f,
    0x2036ab62,0x46440db8,0x1dad881c,0x0ee05fc8,0xf517774c,0xfb77274d,
    0x8fc47e27,0x203b31d8,0x86e84da8,0x07d501d8,0x417c136e,0x44f5c0ed,
    0x202d883e,0xb01f881c,0x731ea0d5,0x80fcc0ae,0x98ee02d8,0x3e03f73f,
    0x7c1f709d,0x31049f34,0x7ffe4098,0x10530a67,0x84c18815,0x83114c29,
    0x3a5ff509,0xf8898314,0x88543f11,0x5fffc80a,0x5e5407dc,0xe83c741a,
    0xd105f07a,0x8d50fc4b,0x79501aaa,0x4c43e835,0x3d4099b8,0x7a829853,
    0xa81aaaa8,0x9f1f22fc,0x0fb85f10,0x40efcd3e,0xf993e0fb,0x87ee1adb,
    0x27ffe44f,0xfba7c1f7,0x20fb93e1,0x3adbf54f,0x467c1f74,0x3e23f11f,
    0xbf983f32,0x217a3ffa,0x5c3efced,0x2059304e,0x75cf702f,0x76c7cffa,
    0xefced84f,0x83ee2743,0x3f73d44f,0x743d427c,0x77ec4fee,0x6e8db0ef,
    0xf70d7d4c,0xbff927c1,0x49f07dc3,0x7c41edfa,0x9fcc3f54,0x7c1f71fb,
    0x87ea9f14,0x7d53e0fb,0x1f74eaf9,0xf88f467c,0x07e65f11,0x457b32f9,
    0x8f72f83f,0xfd80bcb9,0x3ea05f06,0xf7f7d9b0,0x5cbe13e0,0x3ee2ec87,
    0x44f513e0,0xd983f54f,0x3f327c06,0xb1f27fb9,0x7ffffc4d,0x227c1f71,
    0x1f70ffc9,0x37ff627c,0x646dbec1,0x20fba7c7,0x236df64f,0xbd53e0fb,
    0x41f74eed,0xf11f884f,0x2db07e65,0x03f36d9f,0xdd8db3bd,0x0fef86ec,
    0x25f102f8,0x07af9fbe,0xdb3bd09f,0x3ee1ff30,0xd8f513e0,0x03ff0db7,
    0x4fdee4f8,0x27c1f54e,0xf07d43dc,0x7dcbea07,0x3fea13e0,0x0febe61f,
    0x1f76e8db,0x7f5f327c,0x553e0fb8,0x3ee9ff37,0x47e213e0,0xc83f32f8,
    0x3e2db79e,0x00deee83,0xf9fa87ea,0x5f302f83,0x1abe7efa,0x6f77427c,
    0x07dc5d80,0x7cc7a89f,0x80d903fa,0x7debea4f,0x3f95df14,0x39f30d90,
    0x266e63f7,0x7c1f71fd,0x43f9da84,0x23e40ffe,0x27c1f76d,0x1f703ffa,
    0x3f67aa7c,0x467c1f74,0x3e23f11e,0xcfb83f32,0x222f49d5,0xfd9819bf,
    0x2f5b21ff,0xd0fb817c,0x989dfbf7,0x7f109cf9,0xf70fa033,0x21ea27c1,
    0x0f500ffe,0x37fe24f8,0x3ffa61fb,0x3ee0bb02,0x3ffe62ff,0x3f83ea3f,
    0x07f7b2ea,0x41f509f7,0x1fc1f54f,0x83ea13ee,0xa7ccf53f,0x3e2fe0fa,
    0x4be23f11,0x5ffcc1f9,0xd03f21fc,0x3e23ffff,0x53e1fb9c,0xd817c0fc,
    0x326eef65,0x3ffffe20,0x07ffffa2,0x3e0fa87d,0x27dc3d43,0x44f80f50,
    0xf883fffa,0x4407f013,0xf303101f,0x7543f739,0x0fc82dff,0x1fcaef88,
    0x83f739f3,0x9cf980fc,0x27f101fb,0x89fb9cf9,0x2a03f11f,0x2fffb81f,
    0x43f52f44,0xfb37f34f,0x3ffffe63,0x0fdc17c2,0x0ea800d7,0x3e27c3f5,
    0x7dce7cc3,0x07e43d41,0x3e201f10,0x36007543,0x03ff66ff,0x1f302fb8,
    0x207fff70,0x03fda82d,0xf70bff66,0x1fed47ff,0x207fff70,0x3fee1fe9,
    0x3e23f13f,0xb837e541,0x54fe600d,0x362fcadf,0x5f71fcff,0xcdf89f55,
    0xde887f30,0x8f6403cb,0x52fcadfa,0xfff701fd,0xb53ee4c7,0x27dd007f,
    0x4c0fecd9,0x54153001,0x303b8802,0x05c00807,0x00800e54,0x800e5404,
    0x080e4c00,0x41f88fc4,0x03300cca,0x6664c130,0xd8bd0081,0x05066647,
    0x1002f2e2,0x0e664c59,0x98080155,0x0072a4cc,0x19971298,0x00000000,
    0x00000000,0x00000000,0x64400000,0x00001910,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17c42a00,0x20155510,0x3103303c,0x40013333,0x8001c9c8,
    0x65c1eaf8,0x880b2600,0x9879103c,0x4c001999,0x4ccc29bd,0x10574a80,
    0x0e601553,0x3c880197,0x40cb9c98,0xb8c882c9,0x982ba541,0x0882622c,
    0x7d409826,0x8f401fc5,0x3ba602f8,0x3a0bd02e,0xfffffb85,0x543ffec4,
    0x40bd703e,0x20b903da,0x9901dad8,0xff033201,0x5fc83fff,0x223fdbb8,
    0xb5c4ffff,0x7fffd45d,0x6426d443,0x22066405,0x6c40daad,0x85fc81da,
    0xad88bb6b,0xa74df51d,0x443f92f8,0x80fe1b9c,0x55f12fa8,0x20151037,
    0xf530aa98,0x2f98155d,0x9818afb8,0x06ad81aa,0x5106af2a,0x206aa601,
    0x355300a8,0x25105f30,0x440a881a,0x440fd8af,0x8877c40a,0x897fff21,
    0x4c1884c1,0x0c405440,0x88151026,0x333104c1,0xa74bfea1,0x543f9af8,
    0x44fe1aaa,0x2dfff51a,0x20feeef8,0x7d44fffc,0xffd73fff,0x82f981dd,
    0xffd80cfb,0xb02c986f,0x7e47df9d,0x7ffec4ff,0x227ffe46,0xf986fffd,
    0xf9017c42,0xb97c49ff,0x93fff20f,0x57f301fb,0xf83ee7ff,0x927c1f74,
    0x0fb89fff,0x4fffc93e,0x3a4f83ee,0xbbf55fff,0x2f5fc53a,0x7f27f774,
    0x756fcbf1,0x4fe2bf10,0x223f73f9,0x5e8310ef,0xdd10be60,0x127cc5ff,
    0x4be0dfb0,0x7dcfe67b,0xf3049f31,0x27cc7ee7,0xf885f301,0x3ee7f302,
    0x47fbbf11,0x323f73f9,0x5f27dd37,0x41f75ecc,0xa7c1f74f,0x5c3f73f9,
    0x9fcd3e0f,0x7c1f71fb,0x2beabd04,0xfff14e9f,0x2fe4f801,0xb55f30ee,
    0x329f17c4,0x01fba7c7,0x85f302f4,0x31fe99fa,0x7f7c03bf,0x26d9de80,
    0xdf9a7c7c,0x9a7c7c81,0x0be601df,0x641975f1,0xedf8a7c7,0x29f1f20e,
    0x369f517c,0x3eedb3f6,0xf07dd3e0,0x5c9f1f29,0x23e53e0f,0x27c1f74f,
    0x37af55e8,0x07f9f14e,0x87ffe4f8,0x3e23bbf8,0x3a36cfe2,0x0fba6f96,
    0x217cc0bd,0x24f88df9,0x7d41dffc,0xdeee83f9,0x64dd1b60,0xd1b61dff,
    0x40effe4d,0x77fc42f9,0x2dd1b67f,0x364f8af8,0x21fbb746,0x36f3d94f,
    0xba7c1f76,0x236d3e0f,0x4f83ee6e,0x1f76e8db,0xf55e827c,0x57c53bee,
    0xf93e01fc,0x677ec6ec,0x3f937f13,0x5f2db1f2,0x4f744fa8,0xfb82f981,
    0x7e4c2fcf,0x22f5b20f,0x3e419bf8,0x1ff931b6,0xc98db1f2,0x2fea60ff,
    0x8fdd7e21,0x2f8b6c7c,0xdb1f21f9,0x53e6bbe2,0x2e9d5cfb,0x07dd3e0f,
    0x4db1f29f,0x3e53e0fb,0x9f07ddb6,0xff3d57a0,0x1be2be29,0x3e6fe4f8,
    0x453ff225,0x3ea2ffff,0xf0fdd3e0,0x41fffa89,0xbfd302f9,0x29f17d40,
    0x7fff40fc,0x27c1f51f,0x41f52fa8,0x7c5f504f,0x5f11ffff,0xf07d47e6,
    0xa7ccbe29,0xe993e0fa,0x7ff32fff,0xf83ea3f9,0xa9fc1f53,0x0fa93e0f,
    0x9f07d4fe,0xd03f83ea,0x14fb9eab,0x7c13ea5f,0x21fdcfe4,0x440be20f,
    0xf11fcaef,0x3309f35d,0x32fc00c0,0x263fb337,0x2a2fffff,0x77c53e1f,
    0x33731fca,0x2bbe23fb,0xb33731fc,0xf897203f,0x3be23f32,0x88181fca,
    0x981fcaef,0x22fffb80,0x31fb9cf9,0x223f739f,0x261fcaef,0xf11fb9cf,
    0x3e63f95d,0x26e1fb9c,0x0c0183fa,0x4060fe20,0x3017c478,0xfe985ffb,
    0x807cc2ff,0x76f4c0f9,0x3fffe62f,0x3eaabee3,0x3f2b7ea4,0x98bff662,
    0x6cc3ffff,0x3ffe62ff,0x4437a03f,0x6cc3f32f,0x80f982ff,0xf982ffd9,
    0xf700db80,0xfffb87ff,0x417fecc3,0x6cc3fffb,0x7ffdc2ff,0x4c2fff43,
    0x981f300f,0x7cc0fecd,0x0e443880,0x98040040,0x5540e603,0xbd01101a,
    0x6664c7d8,0x00440101,0x98008802,0x3e65f11c,0x00e60081,0x1981cc01,
    0x20040080,0x00400800,0x01cc0002,0x19971073,0x00000730,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20790000,0x99988098,0x32032e01,0x7dc0f203,0xe8755704,0x753704ff,
    0x95004400,0x327220ae,0x22079101,0x20b2603c,0x2aa602c9,0x01d88001,
    0x07d50530,0x27220762,0x802c981c,0x2e3220cb,0xa8879101,0x64e440aa,
    0x7ec17a01,0x0ffffe86,0xccc81da8,0x443ccc83,0xdd881c8c,0xa827cc40,
    0x47f501ee,0x2edae06d,0x33203ea8,0x22019900,0x1dad883d,0x5c6fffd8,
    0x2f984bef,0x742e4660,0x205f3078,0xdad883ea,0x32076a01,0x3033205f,
    0x7d505ddd,0x7c0aa980,0x402f40fe,0x54c40aa9,0x40aa980a,0xa981abca,
    0x3104f80a,0xd8350155,0x21881106,0x10999998,0x01104413,0x04409998,
    0x024f9862,0x99839513,0x75e80999,0x3309d703,0x99998333,0x01881109,
    0x4ccc1333,0x4ccccc19,0x88666660,0xfd302209,0x7cfd45ff,0xfd302f43,
    0x7ffd45ff,0x3fffa63f,0x8fbf3b62,0xf82fffe9,0x3ffffa84,0x0db13ffa,
    0x2e4f83ee,0xf54fffff,0x40db274d,0x2e4ffff8,0xdf993e0f,0x42a21501,
    0x23fffff9,0x40aaefa9,0x7fc1510a,0xfff30fff,0xd51367ff,0x7cdfff50,
    0xff30ffff,0x7ffc7fff,0x74df50ff,0x2088f744,0xffe8bd6c,0x088f747f,
    0xe8621df1,0xb97c111e,0x8088f747,0x8877c44f,0xdb13e621,0x07dd3e20,
    0x3fea17cc,0x1036c9d2,0x221fb15f,0xfc81f74f,0x4cbe21df,0x3fa6661f,
    0x3bbffae0,0x0fccbe20,0x26660be6,0x6b89b0fe,0xf980fdd8,0x0fe99982,
    0x3fea17cc,0x01fcc9d2,0xee83f29f,0x40fe62aa,0x07f301fb,0xf336cef4,
    0xfb89f007,0x36c4f801,0x209f1f70,0xaefd42f9,0xf881b64e,0x47dc1f72,
    0x1ff9304f,0x40fccbe2,0x20bd02fb,0x983f32f8,0xc8bee02f,0xf88b71b5,
    0x02f980fa,0x0be60bee,0xa93abbf5,0xffff301f,0xfa82f45f,0x3ba6f901,
    0x77403f53,0x007ea0de,0x3a6f913e,0x36c4f83e,0x201fdf10,0x7d7d42f9,
    0x881b64e9,0x7c43fddf,0x97d400fe,0x883f32f8,0x4417a05f,0xf983f32f,
    0xdc8bf102,0x75c5bbf9,0x17cc4ef9,0x5f305f88,0x4e9fafa8,0x57dc07ea,
    0x2bba4faa,0x203f50aa,0x2a9f517c,0x337f101f,0x26601fa8,0x22f909cf,
    0x6c4f84fa,0x7dc0aaae,0xf50be604,0x06d93b7a,0x203bb7e2,0x99b984fb,
    0x2a5f11fd,0xd007ec1f,0x7d4be20b,0xfd817cc1,0x5f766dc0,0x0dfcdf45,
    0x07ec0be6,0xebd42f98,0x413e64ed,0xffd3ec5e,0x413e61ff,0x7cd3e1fb,
    0x3ffffa04,0x3e209f31,0x3f72ffff,0x3627c27c,0x7cc2ffff,0xf50be602,
    0x06d93bee,0x213e2be2,0xfff982f9,0x7f56fc3f,0xdd00bee1,0xfd5bf033,
    0xfb82f983,0xdfaeeb82,0x03fbbe64,0x0bee0be6,0xbbd42f98,0x55ff44ef,
    0x205f101b,0x5d5ff45c,0x9f35df11,0xa8dd5ff4,0xbfe93e1f,0x440881ba,
    0xf84f9aef,0x3e601104,0xf50be602,0x55db27fc,0xfc97c415,0xf5017cc0,
    0x3f7ff901,0x06aabbe2,0xf907ffea,0x7d4c3f7f,0x2abbe21b,0x3fadf51a,
    0x27f2b724,0x886fea60,0x261aaaef,0xf9ea1bfa,0x7ffec44f,0x3e07f501,
    0x3fff620d,0x8bfffa61,0xf51fffd8,0x6c45f95b,0x82f81fff,0x262fffe9,
    0x17c09cf9,0x3e602f98,0x49f73d42,0x222ffffd,0xf989f32f,0x00812a02,
    0x07fffff5,0x7fc01004,0xfff50fff,0x5d3ea7ff,0x3e65f13f,0x3ffffe6f,
    0x7fffff50,0xa87ffffc,0x00013ee7,0x00726077,0x64c00040,0x488001cc,
    0x7ffc4080,0x001222ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9800000,0xc9b9829b,0xd983ea80,0x164c4ffe,
    0x00007910,0x80fe23f3,0xcb80aaa8,0x003c8800,0x0e4e4400,0x203c8800,
    0x22076200,0x8c881b8c,0x882c981b,0xba540aaa,0x2002c982,0x0c9b9828,
    0xbd98065c,0x77002029,0x0bb207fb,0x3fe23c74,0x2b624eaf,0x9819901d,
    0x6c0d51ef,0xdd303645,0x2017205d,0x5f7dc0cc,0xa84ebdc4,0x3ffe983e,
    0x3e601990,0x3205f303,0x217f205f,0x74c1dad8,0x5db5c2ee,0x200ed6c4,
    0x5d906bfc,0x6ddc1720,0x40bf103f,0x99819999,0xb89d7009,0x314e9fff,
    0x18811098,0x07e2ef36,0x07e617c4,0x26200988,0x83333100,0x9cc1ca89,
    0x0cccc42b,0x103f277a,0x40ec4013,0x98819998,0x83333100,0x4c419999,
    0x4cccc199,0xc8009881,0x4ccc42bf,0x81999980,0x01640098,0x441fffff,
    0x5cc4ffff,0x3ffea0bc,0x7c1f54e9,0x927c1f73,0x6407b7d9,0x7ec0bb06,
    0x741bf606,0x2e60ffff,0x5e5cc0bc,0x87ffff40,0xfb0fb3f8,0x741e4c0d,
    0x7ec0ffff,0x1ffffd06,0xd07ffffc,0x7fc1ffff,0x37ec0fff,0x2e0fb950,
    0x7fc3ffff,0x37ec0fff,0x4c059510,0xd8af882f,0x9bb3760f,0x54e9ffe8,
    0x4f89fc1f,0x5e6441f7,0xfa81fc06,0x201fdf00,0x05e80fef,0xbb1bb376,
    0x105e8dd9,0xdf03f75f,0xdd9f701f,0x7f7c05e8,0x7cc05e80,0x7cc05e82,
    0x881fdf02,0xf707fcfe,0xf985f911,0x301fdf02,0x7cc0fdff,0x1f72f882,
    0xdb887ea0,0x7c1f54e9,0x413e3ee3,0x03ea01f8,0xf9fa84e8,0x83f9fa83,
    0x03f5005e,0x105e87ea,0x3f50db5f,0xf13f887f,0x3f502f45,0x980bd07f,
    0x4c05e82f,0x3f9fa82f,0x707c87e4,0xf313e21f,0x07f3f505,0x5f3001dd,
    0x87fbbf10,0x201fffd9,0xfffff54e,0x807f7c47,0x4e81cbcd,0xeb643dc0,
    0xd0bd6c85,0xfd98ffff,0x3ff661ff,0x9ffffa1f,0x20efaaf8,0xff98bd6c,
    0x3ffa3fff,0x85eb647f,0xf987fffe,0x87fffe82,0xbd6c82f9,0x5c1f26d8,
    0x5f317a0f,0xf117ad90,0x20be6007,0x220eedf8,0x201fb9cf,0xf557f54e,
    0xd504fb87,0x1f98b7f5,0x53e17c40,0xfca7c0fc,0x11557740,0x223f739f,
    0x3a1fb9cf,0x4be22aae,0x7e53e4fa,0x2666fe60,0xf0aabba0,0x5dd03f29,
    0xd05f3055,0x5f30555d,0xd83f29f0,0x07dc1f26,0xf82f98bf,0x04f81f94,
    0x5f105f30,0x4dfcc9f1,0x3f8841fd,0x261fc1f5,0xda9e882f,0xc8036c6a,
    0x3ffffe66,0x3ffffe62,0xbf982f42,0x37f31fd9,0x882f43fb,0xf35e98af,
    0xdf85ffff,0x982f4189,0x742fffff,0x7417cc05,0x2617cc05,0x2e2fffff,
    0xf707fbaf,0x5f30fea1,0x2fffff98,0x981cdfec,0x97c41bfa,0x33ff60fc,
    0x3bfbea1f,0x21fc1f50,0xd14c82f9,0x8017c45f,0x555f71f9,0x5557dc9f,
    0x5557744f,0x87f3ff60,0x3a1fcffd,0x5f10aaae,0x2bee3dfb,0x7f4c4faa,
    0x2abba0ff,0xf555f70a,0x0aaaee89,0xdd06fea6,0x7d4c1555,0x2aabee1b,
    0x33bfa24f,0xff97f707,0x70dfd4c1,0x889f555f,0xff80fffd,0x4be20fff,
    0x260044f9,0x7f07d42a,0x10002f98,0xbd1a8005,0xfb17a7d8,0x40ffffe8,
    0xffd00400,0x17a001ff,0x3a0220fb,0x8bd0ffff,0x7ffff47d,0x83ffffe0,
    0x3e0ffffe,0x8bd0ffff,0xfb80087d,0x7ffc0def,0x7d8bd0ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x82ba5400,0x53029bd9,0x42ba5415,0x1e4400cb,0x00164c00,
    0x5c540000,0x886f980c,0x57c41eaf,0x204fb81e,0x3fb10ee8,0x7ec07700,
    0x202f2e61,0x4fb83dce,0x6c43ba20,0x3fa0001f,0x5c54006c,0x0f77440c,
    0x3e62fb98,0x5c2edae3,0x7f4c3fdb,0x2edae2ff,0x033202e4,0x5b113af7,
    0x89d7b83b,0xefb89d7b,0x3fbbe24b,0xa82b9b87,0x107b503d,0x0ee03919,
    0x5f9501dc,0x9bb032a0,0x107910dd,0x0ee03919,0xbefb81dc,0x217ffe44,
    0x3e25d8fa,0x55447fee,0x4dfdd00a,0x404c42f9,0xee822098,0x4ccc4111,
    0x20cccc41,0x9cc19999,0x0cccc42b,0x4e615ce6,0x0e544c2b,0x107eebf1,
    0xbcb98595,0x0a83c980,0xa8854151,0xb05442a0,0xa881dfdf,0x107ea02c,
    0x17950595,0x95017950,0x1ca89817,0x221fed44,0xbafc4554,0xa81e4c1f,
    0x0be61fdb,0x4df50dfb,0x7407f34e,0x3fa0ffff,0x3ffe0fff,0x05e540ff,
    0xa83ffffa,0x3c981510,0x7c417950,0x7fcc3f32,0x3766ec7e,0xf89bb3ee,
    0x4be23f32,0x265f11f9,0xfb93f31f,0x23f7fcc7,0x261fffd9,0x77ec7eff,
    0x3fbf60ef,0x3bfbf60e,0xb032e2a0,0x5541fdbf,0xf997c41a,0xb1bb3ee1,
    0x7cc3fdbf,0x2a07f7c2,0x3ea9d2ff,0x5e817a01,0x7ec17cc0,0x417a0efe,
    0x5c3f32f8,0x77ec6ecf,0x265f10ef,0x2003ba1f,0x227f11fa,0x3e65f12f,
    0x47e65f11,0x2e3f32f8,0x7749d3f7,0xfb9cf880,0x3e603ba1,0x4be67f32,
    0x265f33f9,0xffddf13f,0x22fa9fcc,0x97c44fed,0x227f11f9,0x3ea5f32f,
    0x9fa8be21,0xeaefd43f,0x2f403f54,0x2f980bd0,0x23f997cc,0x265f105e,
    0x3e27f11f,0x4fe65f32,0x223f32f8,0x3ff6603f,0xfffff31f,0x8fccbe27,
    0x223f32f8,0x3ea3f32f,0x0fe29f7a,0x8fecdfcc,0x41f703f8,0xa7c1f74f,
    0x7c53e0fb,0x43ee3f75,0x444f83f8,0x3e63f32f,0x1f73ffff,0x21f887ea,
    0xafa8bd6c,0x09f34e9f,0x3a3ffff4,0x2f987fff,0x749f07dc,0x4be27fff,
    0xffff31f9,0x4f83ee7f,0xf87e65f1,0xf739f104,0x2666fe63,0x47ea5f10,
    0x223f52f8,0x3e23f52f,0x13e1fbdf,0x21fcffd8,0x7c3f704f,0xba7c3f74,
    0x97c53e1f,0x263f71f9,0x7c44f83f,0x2fe63f32,0x23f70999,0x9f0541fa,
    0xbd7a83f2,0x5d5ff49d,0xd0aabba1,0x5f30555d,0xe93e1fb8,0x4be22aae,
    0x337f31fa,0x4f87ee13,0x737fb018,0x0fecdfcc,0xdf8313bf,0x2b7e1fea,
    0x3ab7e1fe,0x0fffea1f,0x210737fb,0x1cdfec6b,0x23f93bf3,0x31fc9df9,
    0x223f93bf,0x3e63f32f,0x4f80fd9d,0x3bf07dc0,0x74e7cc31,0x7cc7621f,
    0x5ea2ffff,0x3f624efb,0xe817a1ff,0x2617cc05,0x3a1fc9df,0x3fab7e05,
    0x986277e1,0x4c1fc9df,0xfffd880f,0x87f3ff60,0x320fffe9,0x3f21fbff,
    0x3ff21fbf,0x403aa1fb,0xd00fffd8,0x7ffec43b,0x70fffee0,0xffb87fff,
    0x7ccbe23f,0x30bffee1,0xf70139f3,0x0fffe98b,0x987efff2,0xf555f73f,
    0x09ff3d49,0x555dd05f,0x05557741,0xfb837f53,0x557743ff,0x3efff20a,
    0x83fffa61,0x3983fffb,0x22002000,0x40080100,0x00006600,0x04000e4c,
    0xf1010020,0x20207e65,0x82fffff8,0x0402203a,0x3ec5e820,0x2227dcf5,
    0xffffe80e,0x83ffffa0,0x080fffff,0x81ffffd0,0x02008800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb81e4c0,0x443ba204,0x0a2001fd,0x2003d7d3,0x27dc000a,0x3621dd10,
    0x84c1881f,0x7774406a,0x20f77441,0xfb81eaf8,0x554c0ed9,0x05442a19,
    0x442a0aa6,0x8393350a,0xd101bb8a,0x444fb81d,0x05440999,0x75000544,
    0xabca8157,0xcfb80cc1,0x0e46446e,0x407703b8,0x986bcffe,0x7cc2202c,
    0x116fbea0,0x0ee03919,0xf07d41dc,0xa8803e69,0x555440aa,0xc883da80,
    0xfffd83a9,0x3ea5f17f,0x43bfbf60,0x3a3f32f8,0xdf11fefe,0x07701fdd,
    0x7f439191,0x3fff25ff,0xfd327dc4,0x7f6fe49f,0x0fbf3b61,0x227f10bd,
    0x981e4c2f,0x2079303c,0x982acf98,0x1cdb603c,0x730b2a22,0xbcb98179,
    0x505e5cc0,0x05da7c1f,0x5405e5cc,0x0bca80bc,0x7d40bca8,0x4be20f99,
    0x267f10fa,0x3e65f11f,0x44fe1fd1,0xca87f15f,0x01cca81c,0x7dcfe6bd,
    0x9df87661,0x3e67f319,0x533dcbe1,0x3e6155df,0x3ee3ffff,0x767dc6ec,
    0x03767dc6,0x3b3ee09f,0x5540db06,0x6ecdd81a,0x363766ec,0x83ea6ecd,
    0x3951514f,0x6c6ecdd8,0x3f60efef,0x3bf60efe,0x7cdb20ef,0x07d4be20,
    0x221f91bf,0x17a3f32f,0x6c9f17c4,0x67ec4ccf,0x1f2bd04c,0x40fcc09f,
    0x743f30fb,0x3fae6d9d,0x37f30eef,0x44fe2133,0x3e27f12f,0x0be27f12,
    0x89fc427c,0x3606d82f,0x0fd404fe,0x3f501fa8,0x3e4f83ea,0xf500fffe,
    0x9fccbe63,0x267f32f9,0xaec7f32f,0x25f14ef9,0x3ffe60fb,0x8fd4be22,
    0x7c5f105e,0x77c03be3,0x46daf400,0x03f5146e,0xe87ea1f7,0x05e80dee,
    0x7cc313bf,0xff33ffff,0x3fe67fff,0x09f03fff,0x07fffff3,0x309f00db,
    0x6cc3fffb,0x3f661fff,0x7c1f51ff,0x8bea3be4,0xf71fffd9,0x20fba7c1,
    0x27c1f74f,0x44afe6bb,0x322ffadf,0x37e0efbf,0x20bd1fea,0x21fc9bf8,
    0x7dc1dffb,0x32bd01df,0x29f736c7,0x9cf981fa,0x337f11fe,0x7f4c17a0,
    0x337f30ff,0x266fe613,0x3337f309,0x3e613e01,0x6d80999b,0x67c44f80,
    0x39f11fb9,0x273e23f7,0x7c1f51fb,0x897c53e4,0xf71fb9cf,0x21fba7c3,
    0x27c3f74f,0xf883e6f9,0x5f36faef,0xbffc8fe6,0x3e20bd1f,0xfb882fff,
    0x07fdc40f,0x3e0faaf4,0x0fd5be24,0x21fcffc8,0x741ffffe,0x3e075c05,
    0x4efc189d,0x0c4efc18,0x277e09f0,0xf00db018,0xfd9bf989,0x3fb37f31,
    0x47f66fe6,0x23fa98fa,0x3e65f14f,0xbf31fd9b,0x37e63f93,0x3bf31fc9,
    0x5e7d43f9,0x085f11af,0x85f519f3,0xf1030d70,0x7ec45405,0x43f622a0,
    0xdf13fa9b,0x54e83f95,0x1f98403f,0x3a27c3f5,0x83db019e,0x260fffe9,
    0x3a60fffe,0x7ccc0fff,0x7ff4c09c,0xaaaed80f,0x8273e660,0x361fcffd,
    0x3f61fcff,0xf1f51fcf,0x5f14f8bf,0x70fe7fec,0xffb87fff,0x1fffdc3f,
    0x8bffffdc,0x3fff202f,0xf9877a04,0xff017c40,0xffff87ff,0xb317ffa3,
    0x52fdc5ff,0x23f3003f,0x42fcadfa,0xc881fffa,0x04401102,0xfff10110,
    0x802205ff,0xf12ffffd,0x0085ffff,0x80002004,0x0085f14f,0x02004008,
    0x00722020,0x98726002,0x4401c883,0x40002200,0x0fd40880,0x99306440,
    0x00004039,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0xf1000101,0x8530a605,0xfb819998,
    0x2be20ed9,0x0f77441e,0x3be63f30,0x00005503,0x15530000,0x260aa988,
    0x4ed981aa,0x2a077440,0x4c0101cc,0x130621aa,0x20330322,0xa881ebe9,
    0x1306a201,0x004ccc40,0x30fffb10,0xa7fe409f,0x43f702f8,0x3ffff44f,
    0x540ea722,0x0aaa883d,0x6dc47e60,0x3ae7f84f,0x24fa9aa6,0x6a93ea6a,
    0x517fff4c,0x7f47ffff,0x7d67c4ff,0x3f60ee02,0x83f984cc,0x3ee6fffd,
    0x21fd53e0,0x20b2605e,0xfb85ecec,0xa813e5fe,0x3603ffff,0x6c403db3,
    0x2135f502,0x221baaf8,0xde83f54f,0xa8854199,0x20a88540,0xba81510a,
    0x987d81fc,0x0fc5b621,0x987e2993,0xee83f14c,0x43be2111,0x227d8218,
    0xbb887f2f,0x0077c3a8,0x24f983b1,0x24f83ee0,0x2abbea62,0xd30e6540,
    0x3f88f6a6,0xa813e5f5,0x442fc89f,0x08bf89fe,0xf901aaa8,0x1fdddf10,
    0xde86dbec,0x3f32f880,0x11f997c4,0xfc87e65f,0x87d81fed,0x367e624b,
    0x907b4c83,0x07f30f69,0x2ec007ee,0x9703bbba,0x7dc9ddfb,0x555541df,
    0x2e077e62,0x8f453e0f,0x20eeffeb,0x2b64ccfd,0x9ee69cfb,0x0449f4fc,
    0x993e23f5,0xffff50ee,0x227f6c1b,0x11ccfec9,0xf98fe2bf,0xfffe83fa,
    0x0fccbe23,0x447e65f1,0x3e63f32f,0x7fe43f33,0x7b92f542,0x1aaaa0d5,
    0x7d435554,0x3ba6f901,0x907ffa23,0x3e206adf,0x7fdc47a9,0x83ffbb60,
    0x3ee1dffc,0x20fc53e0,0xd01df05e,0xfc9e25f3,0x29f5eee8,0x57ffe6f8,
    0x541ff15e,0xf83fa9bf,0x667f64c4,0x227c5f11,0x99880ffe,0x265f11fd,
    0x7ccbe21f,0x47e65f11,0x643f30fb,0x883cfc86,0x807e201f,0x01fa81f8,
    0x513ea2f9,0x2fee1fd5,0x3b623ebf,0x222a7eef,0x83fa80fd,0x1f70ffc9,
    0xf52f8a7c,0xffb8dfff,0x44fa7a1d,0x3a37ff27,0xc9fe29f5,0x7ccbf1bf,
    0x27c5f10e,0x887c827c,0x9f70fe2f,0x3e25f500,0x97c43f52,0x2a5f11fa,
    0x3ea1f71f,0x817a0a61,0xcd81c9cd,0xc9cd81db,0x7dc13e61,0x97cc13e1,
    0x6c5ff75d,0x3e19af9d,0x5f883fff,0x0fa97d40,0x9897ccfe,0xfb8809de,
    0x5df5790f,0x29f1fdcb,0x1fa8224f,0x1ee887f5,0xf05f73dd,0x3e21f209,
    0x7e41fc9b,0x1fd53300,0x20ff56fc,0x3e1feadf,0x9f31fead,0x42e43fd3,
    0xe8ea81fd,0x5c9b542e,0x21774754,0xf11babfe,0x4cc9f35d,0x33f91fd9,
    0x7d66c1ff,0xd1028813,0xd99b981d,0xf739f31f,0x3dd0be63,0x0fd88a83,
    0x887a23f3,0xbf0fc9df,0xcbfa8555,0x33d880ff,0xf9987ffb,0x443e409c,
    0x36a2fffe,0x37ffe03f,0x0fdffe41,0xc87efff2,0x3f21fbff,0x21f61fbf,
    0x3d12ffe8,0x8f449dd9,0x327a21ea,0x7fec44ee,0x3fffa61f,0x45dfff12,
    0x0eedffe8,0x8bff7df5,0xacfd80f9,0x7ffff30a,0x263fffb8,0x0fffd42f,
    0xfa87ffff,0xfffa82fe,0x83ffffe2,0x000deffa,0x7fffc404,0x4003e42f,
    0x400801ca,0x00400800,0x5d401002,0x8faa6991,0x64dff14c,0x0007d534,
    0x00400804,0x7c0e6020,0x0441ffff,0x40722020,0x00801100,0x00000008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x7d301cf9,0x2035303d,0x26622eee,0x88310999,
    0x2aa01020,0x501dd100,0x99999883,0x401fff30,0x0e654018,0x7f413330,
    0x83ba204f,0xfb81ebe9,0x4ccccc44,0x321ee880,0x0b2a201f,0x9988babe,
    0x06009809,0x88353013,0x3a099999,0x403f84ff,0x9300ffff,0x09fffd05,
    0x7fdc3555,0x25f34fff,0x741f53f9,0x40ff7f44,0x44fea83b,0x24dccddb,
    0x1f200fb9,0x504ccfd8,0x7cc4dfff,0x64c0ee04,0x21c8c882,0x83fffffa,
    0x3019503a,0x9b50fdff,0x23ffffa8,0x1f980bf8,0xfffd85f1,0x3ffffee4,
    0x3e13e624,0x818bf803,0x8541c99a,0x80d5547d,0xdb6d82f9,0x07f7f744,
    0x335063f5,0x27e7c439,0x126ff6ae,0xbbe401f5,0x360077c0,0x179f00fd,
    0x2a065c54,0x55540cb8,0x7e4ccc41,0x2a06aaa1,0x00ee81aa,0x9fa83555,
    0xfff12fc8,0x7ffff49f,0x7dcbea7f,0x9f017cc0,0x206a27f0,0x7745ffdf,
    0x1f901fef,0xf9827f6c,0x41fdf882,0x3dc6eaec,0x43fdfdd0,0xf12b89f0,
    0x110fa895,0x5c0eefc8,0xaf881dff,0x21fff00f,0x227feef8,0x76c7feef,
    0x362fc04f,0x4fed84fe,0xfdb01fc4,0x9f11fa89,0x4bf26fe2,0x23fa9bfa,
    0x985f30fb,0x3e13e02f,0x1ff05f8b,0xf87f41f7,0x9f05f883,0x907bfb70,
    0x3ea7d0bf,0x8599fd50,0x9f07f0fe,0x49ec9ab8,0x87fc47d4,0x2e202fea,
    0x7cf5c0ff,0x117faa4e,0x7c47eebf,0x09f03f75,0x04f80fdc,0x2013e13e,
    0xeafffc4f,0x53e25f15,0x22feeef9,0x43fdadf9,0x213e02f9,0x7f00eebf,
    0x805e87ea,0x709f00ee,0xfdc87bfb,0x35d360cd,0xe8355fb3,0x55c4f805,
    0x7d4498bb,0xfdb0ff88,0x07ec4540,0xc86fe6fa,0x997c44fb,0x3e65f11f,
    0x17a04f81,0x213e04f8,0x9f039bfd,0x2bf1bfc8,0x265f52f8,0x542fccdf,
    0x7cc2fdee,0x3fe13e02,0x7d4fe01f,0x1db017a1,0x2f9827c0,0x641bfa98,
    0x03dc5fef,0xb89f00bd,0xfa8931aa,0x207c8110,0x7cc3ffff,0x89f00fee,
    0x223f32f8,0x9f03f32f,0x4f807ea0,0x3f2213e0,0x544f80ff,0x3e27f51f,
    0x47e65fee,0x03ee02f8,0x427c05f3,0x4fe06ecf,0xd817a1fa,0x2660aabf,
    0x17cc09cf,0x98777f74,0xb32fbccf,0x2f41555f,0x235bf550,0x22933bab,
    0xf901afb9,0x1f983555,0x09fcadc8,0x44273e66,0x3e23f32f,0x7ccc3f32,
    0x9837409c,0x26609cf9,0x82f809cf,0xf509cf99,0x3e21ff97,0x88fcc1ac,
    0x27dd542f,0x7ccc17cc,0x3e6fe09c,0x87ea7f05,0xffff105e,0x3fffe27f,
    0x4c17cc2f,0x71261bfa,0x3ffffee5,0xfff817a2,0xdddd73ff,0x3fffee9d,
    0x7ffff907,0x32f88598,0x3ffe2dff,0x265f12ff,0x3e65f11f,0x5fffff11,
    0x7fc417d4,0xfff12fff,0x885885ff,0xf52fffff,0x17c41bdf,0x85f11f98,
    0x5f303eff,0x2fffff88,0x001fdcfe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,0x0be21333,
    0x088260c4,0x0c4098c4,0x83333300,0x0621ebe9,0x30131013,0x80262062,
    0x133304fb,0x98877440,0x31022199,0x2204ccc4,0x4ccc1999,0x98260980,
    0x884c4099,0x84413109,0x51771008,0x80bcb987,0x595101e8,0xa83a8ba8,
    0x982a20bc,0xf13fffff,0x7d4fea05,0x36d51362,0x01b536c7,0x303ffffe,
    0x3e0fa859,0x2227fc43,0x6fd86a8f,0x88391910,0x7705ffff,0x2e7fffe8,
    0xffb93e0f,0x3fffa3ff,0x9ffff10f,0x11fc97c4,0x7d4bffff,0x9bea7f95,
    0x32e0db4e,0x3764eefd,0x81f886ec,0x3aa7eff9,0x3f64eeed,0x89f70efe,
    0xf10fe999,0x8fd81975,0x5ae26c6e,0xe993e1fb,0x505f300e,0x07d45555,
    0x24eec87f,0x42edbfb8,0x20d40fef,0x7dcbe228,0xe8aaaaa1,0x3ee9f105,
    0x3f223ee0,0x2be20bd2,0x35f10fd8,0xfb97c47f,0x4ffaff52,0x369d2ffa,
    0x3d4fc406,0xf9931fa8,0x4077439b,0x36aaf8bc,0x6ccfe65f,0x7c45f701,
    0x77cc7fef,0xb8dae41f,0x07e67f15,0x5f303fb1,0x21ffddb0,0xf98fe0fa,
    0x3bfaa4e9,0x3e7ea5ff,0x89ea2743,0x76c1f72f,0x40bd0ffe,0x7dc4f8fb,
    0x417a9f10,0x221f72f8,0x17c45ebf,0x3efb6e9f,0x3abbf54d,0x3b620db4,
    0x3f667eef,0xbf9931ff,0x6c0fe239,0x3eefddf3,0x3e2013e0,0x1fbafc45,
    0x4ee42fec,0x65ba5bbf,0xf307fa07,0xf51fd405,0xa747ffff,0x44cb544e,
    0x8dc8bd6c,0x3be26b8c,0x47f504fe,0x7c43ccee,0xd07dc0fe,0x89ffffab,
    0x3e23fddf,0xb97c40ff,0x99f9b72f,0x3a7ebea9,0x27760db4,0x39f119af,
    0x81f883f7,0x7f17b04f,0x4f87ee33,0x2207ec02,0xff83f32f,0x7766dc0f,
    0x17a3ee5b,0x17cc17ec,0x5fd45f88,0x21f73faa,0x3abb664e,0x07e53e1d,
    0x4b99f5d7,0x42fdacf8,0x667745f8,0xfb84fb83,0x557757e0,0x83bb7e22,
    0x7c43fcf8,0x2b6e4fff,0x3af55c9f,0x360db4ed,0x3e613fac,0x7441fd9b,
    0x239bfd81,0x2614f9cc,0xf51fc9df,0xf882fb87,0x57dc3f32,0x7d775c4f,
    0x0befe64d,0x3e603fd1,0x540ee882,0x7fecfe0f,0xdff96fff,0x3ffe65df,
    0x3b7ea2ff,0x44be23df,0xd03ba24f,0xb82f980b,0x17a7f50f,0x127c57c4,
    0x7c43f95f,0x94ae409c,0xa77ddeab,0xf7df506d,0x7e7fecbf,0x10666661,
    0x3e61fffb,0x3ee5ffbf,0x88fea3ff,0xf11aaaef,0xafc47e65,0x75bea1fc,
    0x207ffc4f,0x7f5300ea,0x0aacfd83,0xa99fc1f5,0x5362dfaa,0x2aabee1f,
    0x3e7fe64f,0x326fe22f,0x2ab3f60f,0x2f980bd0,0x0ffcbfb8,0x221555dd,
    0x3e21f92f,0x0be26f8a,0x3d572264,0x2abb69ff,0x4020200a,0x01fffff8,
    0x40201040,0x7ffffd40,0x47e65f13,0x54bf11fc,0xfc87f74f,0xffff8005,
    0x3ffffe0f,0x81fc1f51,0x07c5ec4e,0x3e27d8bd,0x7fc43fb6,0x7fffc2df,
    0xf980bd1f,0x0deffb82,0x443ffffa,0x3e29f32f,0x0be29f52,0x3d5ae26c,
    0x3fff69f7,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x260732a0,
    0x1510a83c,0x80035500,0xbbb81bba,0x2e0d443b,0x02043731,0x933507a2,
    0x45705cc5,0x2000ba8b,0x8751c41a,0x266e662a,0x0805c40b,0x4000f800,
    0x2aaa0301,0x53af70aa,0x222222f9,0xbb106000,0x1f8b663b,0xfb0bbba6,
    0xecfb8999,0x8fccbe26,0x2f226ffa,0x03a2761f,0xddd07fb9,0x3f7e61ff,
    0xd17a2be3,0x5f303ea7,0x11fefee8,0x7c43eedd,0x89e87fee,0x27a89d0e,
    0xec93e1fb,0x7c43eefe,0x98fff441,0x3eba0efe,0x87f910ea,0x227dc3fb,
    0x71eeeee8,0x997c53af,0x2e1fffff,0x513ee9d7,0x4d7f2155,0x36f73a26,
    0x3e203be1,0x4be25f13,0x507dc1f9,0x6c75c5f9,0x7d407f05,0x7f2dd323,
    0xfcfa81dd,0xd0444443,0xcf98fe1f,0x7dd7e23f,0xb926dae1,0x4f89ae32,
    0x7c7643f3,0x27e225ba,0x53365720,0x177f4c5f,0x5f987f73,0x8007e7e2,
    0x87e27b7a,0x261f9999,0x00fee573,0x655c0722,0x3fee49db,0x3fffe61d,
    0x3e65f13f,0x75c3bf61,0x7cdfc2e9,0xbf103f81,0x3e5c8dc8,0x8bf901fe,
    0xd4fffffb,0x237e404b,0x223f32f8,0x3ae0faaf,0xb644ccfa,0xb9fae46c,
    0x9fffff75,0x3b635d36,0x037bfb60,0x9e47f07f,0x3bbba25b,0x1822111e,
    0x00800fc0,0x7b957000,0x0ffb8893,0x213337f3,0x883f52f8,0x45ddf53f,
    0x7f05d8fb,0xfd103ba0,0x4375fc1d,0x2623fdfa,0x0bd09999,0x3e20ffe8,
    0x47643f32,0x3bb7ea4e,0x1fd7cc3d,0x8adcfd72,0xf509af99,0x2bba25fd,
    0x10e3e2a0,0x893ee17f,0xaaa8760d,0x000000aa,0xd1000000,0x4543b915,
    0x277e0fd8,0x7f56fc18,0x221bff71,0x22ba0999,0x4e7ccc0f,0x88aaff60,
    0x26be0999,0x0fa9fc4f,0x817a0f4c,0x3e26e9fc,0x4fc43f32,0xf3ff30e9,
    0x81ffd05f,0x88b73f5c,0x2e0a881f,0x40b84fff,0x0014fffa,0x00000000,
    0x2a000000,0x7ffc3ede,0x7fff4c3f,0x87efff20,0x04eeeb80,0x8bffffe0,
    0xd70fffff,0xfb97c9dd,0x3d301023,0x25f505e8,0x265f14f9,0x2df1001f,
    0x85fb81fd,0x88b73f5c,0x0000000c,0x00000000,0x00000000,0x00440100,
    0x00004022,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xed880000,0x07f62532,0xbd101111,
    0x33333321,0x0000000c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1373efae,0x1fffd497,0x333321dc,0x00000ccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7754aa00,0x04ccc400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_13_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,0,0,1,1,
2,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,1,1,0,0,0,0,0,1,1,0,0,0,1,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
2,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,2,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,-2,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_13_latin_ext_y[560]={ 9,0,0,0,-1,-1,0,0,-1,-1,0,2,6,4,
6,0,0,0,0,0,0,0,0,0,0,0,2,2,1,3,1,0,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,10,0,2,0,2,0,2,-1,2,0,-1,
-1,0,0,2,2,2,2,2,2,2,0,2,2,2,2,2,2,-1,-2,-1,4,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,9,2,-1,0,0,0,
-2,-1,-1,0,0,2,4,4,-1,0,-1,1,-1,-1,0,2,0,4,9,-1,0,2,-1,-1,-1,2,-2,-2,-2,-2,
-2,-3,0,0,-2,-2,-2,-2,-2,-2,-2,-2,0,-2,-2,-2,-2,-2,-2,2,-1,-2,-2,-2,-2,-2,0,-1,0,0,
0,-1,-1,-1,2,2,0,0,0,-1,0,0,0,-1,0,-1,0,0,0,-1,-1,2,1,0,0,0,-1,0,0,-1,
-2,0,-2,0,0,2,-2,0,-2,0,-2,-1,-2,0,-2,-1,0,0,-2,0,-2,0,-2,-1,0,2,-2,0,-2,0,
-2,0,-2,-1,0,-1,-2,-3,0,0,-2,-1,-2,0,-2,0,0,-1,-2,2,0,-1,-2,0,0,0,2,-2,-3,0,
0,-1,-1,0,0,0,0,-2,0,0,2,-2,0,-1,0,2,-2,0,-2,0,-2,0,0,2,-2,0,0,2,-2,0,
-2,0,-2,0,0,2,-2,0,0,0,-2,-1,0,0,-2,-1,-2,0,-2,0,-3,-1,-2,0,0,2,-2,0,-2,0,
-2,-2,0,-2,-1,-2,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-4,-3,-2,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_bold_13_latin_ext_w[560]={ 0,3,5,7,7,8,8,3,5,5,7,7,4,5,
3,7,7,7,7,7,7,7,7,7,7,7,3,4,6,7,6,6,8,8,7,7,7,6,6,7,7,7,5,7,
6,7,7,7,7,8,7,7,7,7,8,7,8,8,7,5,7,5,7,8,5,7,7,7,7,7,7,7,7,7,
6,7,7,7,7,7,7,7,6,7,7,7,8,8,7,8,7,6,3,6,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,7,7,7,
3,7,6,8,5,7,7,5,7,6,5,7,5,5,7,7,7,3,3,5,5,7,8,8,8,5,8,8,8,8,
8,8,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,8,
8,7,8,7,8,7,7,7,7,7,7,7,7,7,8,9,7,8,7,7,7,7,7,7,6,7,7,7,7,7,
7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,6,6,7,7,7,7,7,6,
7,9,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,7,7,8,7,7,6,8,7,
7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,8,8,7,7,7,8,8,8,
8,7,7,7,7,7,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,7,8,7,9,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__consolas_bold_13_latin_ext_h[560]={ 0,10,4,9,12,11,10,4,13,13,6,7,6,3,
4,11,10,9,9,10,9,10,10,9,10,9,8,10,9,5,9,10,13,9,9,10,9,9,9,10,9,9,10,9,
9,9,9,10,9,12,9,10,9,10,9,9,9,9,9,13,11,13,5,2,3,8,10,8,10,8,10,10,9,10,
13,9,9,7,7,8,10,10,7,8,10,8,7,7,7,10,7,13,14,13,3,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,12,9,9,9,
14,12,4,10,7,7,4,3,8,3,6,8,6,7,3,10,11,3,2,6,7,7,10,10,10,10,11,11,11,11,
11,12,9,11,11,11,11,11,11,11,11,11,9,11,12,12,12,12,12,7,12,12,12,12,12,11,9,11,10,10,
10,11,11,11,8,9,10,10,10,11,9,9,9,10,10,10,10,10,10,11,11,7,10,10,10,10,11,12,12,13,
11,10,11,10,12,10,12,10,12,10,12,11,12,10,11,11,9,10,11,10,11,10,11,11,12,10,11,10,12,12,
12,12,12,13,12,13,11,12,9,9,11,10,11,9,11,9,12,13,11,7,10,13,12,12,12,12,7,11,12,12,
12,10,10,9,9,9,9,11,9,12,10,11,9,10,12,10,12,10,12,10,12,10,10,8,11,9,12,10,11,9,
12,10,12,10,11,9,12,10,12,12,11,11,9,10,12,11,12,10,12,10,13,11,12,10,12,10,11,9,11,12,
11,11,9,11,10,11,9,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,13,11,10,13,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,10,12,12,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_bold_13_latin_ext_s[560]={ 139,251,211,82,190,51,147,217,27,64,176,
156,190,15,236,60,225,73,17,139,74,42,1,156,158,221,250,219,249,203,43,
83,70,90,108,123,140,148,124,131,66,50,205,163,195,179,187,211,171,148,155,
180,229,188,34,26,17,131,1,58,68,110,195,29,9,210,25,226,75,17,17,
239,9,9,132,245,237,148,114,242,181,231,99,9,247,25,139,130,106,33,61,
125,5,95,1,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,139,196,1,
57,49,41,1,48,229,216,39,122,221,15,1,240,164,218,170,33,21,150,26,
247,251,184,69,45,114,105,96,90,85,134,200,236,1,64,115,18,34,94,58,
26,228,42,176,192,196,10,81,97,207,129,145,83,161,169,177,194,210,42,204,
126,85,77,69,102,110,18,202,180,25,17,9,74,172,164,148,218,210,202,194,
186,178,82,50,91,146,138,130,122,66,223,8,116,76,109,159,106,9,162,25,
154,41,98,1,245,57,170,219,209,241,242,184,234,168,114,151,143,18,1,118,
43,33,49,73,73,24,33,153,87,34,121,212,1,1,61,238,25,222,188,113,
79,189,53,93,9,218,241,233,248,75,121,81,89,65,51,33,233,89,99,124,
113,132,225,90,246,140,101,240,226,16,117,202,125,185,133,142,234,129,65,137,
174,9,9,105,189,89,197,147,107,56,208,40,32,105,171,33,200,248,155,232,
67,215,59,102,181,181,50,165,166,205,99,138,198,96,230,116,163,172,197,58,
224,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,157,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,49,41,213,156,17,139,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,173,164,40,32,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81, };
static unsigned short stb__consolas_bold_13_latin_ext_t[560]={ 14,54,108,98,1,42,77,108,1,1,108,
108,108,117,108,42,77,88,88,77,98,77,77,88,66,88,98,66,77,108,98,
77,1,98,98,77,98,98,98,77,98,98,66,98,98,98,98,66,98,1,98,
77,88,77,98,98,98,98,98,1,42,1,108,117,117,98,77,98,77,108,77,
66,98,77,1,88,88,108,108,98,66,66,108,108,66,108,108,108,108,77,108,
1,1,1,117,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,14,77,16,
88,88,88,1,16,108,77,108,108,108,117,108,108,108,98,108,108,117,66,42,
108,108,108,108,108,77,77,77,77,42,42,42,42,54,16,88,54,54,42,54,
54,42,54,42,42,88,54,16,16,1,16,16,108,16,16,16,16,16,42,88,
42,66,66,66,42,42,42,98,88,66,66,66,54,88,88,88,54,54,54,54,
54,54,54,54,108,54,54,54,54,54,1,16,1,42,66,42,54,29,54,29,
54,29,54,29,42,29,54,42,42,77,54,42,54,42,54,42,42,29,66,42,
66,29,29,29,16,16,1,16,1,42,16,88,88,42,66,29,88,29,88,16,
1,29,108,66,1,16,16,16,16,108,29,29,29,29,66,66,77,88,88,88,
29,88,16,54,29,88,66,1,54,16,66,16,66,16,66,66,98,29,88,16,
66,42,88,16,66,16,66,29,88,16,77,16,16,29,29,88,77,1,29,1,
77,1,77,1,29,1,77,1,66,29,98,29,1,29,29,98,29,77,29,98,
66,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,1,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,1,1,29,77,1,1,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,1,77,16,16,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,88,
88,88,88,88,88,88,88,88,88, };
static unsigned short stb__consolas_bold_13_latin_ext_a[560]={ 114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_13_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_13_latin_ext_s[i] + stb__consolas_bold_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_13_latin_ext_t[i] + stb__consolas_bold_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_13_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_13_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_13_latin_ext_x[i] + stb__consolas_bold_13_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_13_latin_ext_y[i] + stb__consolas_bold_13_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_13_latin_ext_s[i] + stb__consolas_bold_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_13_latin_ext_t[i] + stb__consolas_bold_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_13_latin_ext_x[i] + stb__consolas_bold_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_13_latin_ext_y[i] + stb__consolas_bold_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_13_latin_ext_LINE_SPACING
#endif

