// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_14_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_14_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT        136
#define STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_14_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_14_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_14_latin_ext_LINE_SPACING           9

static unsigned int stb__consolas_bold_14_latin_ext_pixels[]={
    0x00002211,0xa9800055,0x02ca8001,0x55001500,0x009b9101,0xffe82a80,
    0x3d882a04,0x00f22136,0x2fff8855,0x2e4002aa,0x6cc0f32e,0x1a8aa81f,
    0x37660790,0x144a0000,0x4cc02fae,0x53a3c809,0xd807a84e,0x0d700a9e,
    0x01d10fea,0x3f661fd4,0x00f881ff,0x6fc417e4,0x7fec45eb,0x43edd80d,
    0x1f301ade,0xd0df2fc4,0x3b7609d9,0x88beea23,0x0fe800ed,0x7741bf2e,
    0x6f4f6c0a,0xc85ddd80,0xffd702ca,0x987fdb0d,0xfff882fb,0x29d2fc46,
    0x4405d84e,0x9f501f31,0x3ba07930,0xff83c880,0x3b221bab,0x0a2601ef,
    0x3a1f8976,0x8c44fdbf,0x6c427418,0x044087ff,0x8c40c462,0x982f8818,
    0xdd008800,0x44605f10,0xd9818600,0xb77bfb05,0x05d80260,0xea74bf00,
    0xffb10004,0x360df10f,0x85f882da,0x17e62dcc,0x0e76f7c4,0x51f31aa0,
    0x8bea7d55,0x6ffec47d,0x2ffa13a0,0xbd27c4ff,0x45f507e4,0x440ffffd,
    0x7e43f52f,0x41ffffe0,0x542f886e,0xff03f21f,0x90fd4fff,0xa817e61f,
    0xd903f21f,0x83f21fa8,0x32753a5f,0xd03ffffd,0xfb89ff7f,0x201bb300,
    0x176641fb,0x7f5077fe,0x7fec4099,0x6ffdf5c6,0x7dc1f94d,0x93faffa1,
    0x7c57d44e,0x5e93e0fd,0x4c7d8fe6,0x7c40fdaa,0x07e43f52,0x3a0fb555,
    0x7d41f986,0x55503f21,0xf90fd4fb,0x0ccc7ee1,0x207e43f5,0xf90fd47b,
    0x3a9d27c1,0x0fee3ba4,0x3f7e2bea,0xffb81ba0,0x5507f100,0x21dffd30,
    0x3a04fff8,0x3365ffbe,0xfb4dddbe,0x45f52fa8,0x2f913a6d,0x93e1faeb,
    0x4f8b745e,0x5f103ee0,0x00fc87ea,0xd91ba0f9,0x7e43f50d,0x1fa9f200,
    0x447e43f2,0xc87ea7ff,0xa9774c0f,0x4f83f21f,0x29f0d53a,0xd77c83f8,
    0xb027c3f5,0x727c07ff,0xb301bfff,0x77ff4cbf,0x675d7d40,0x336befa7,
    0x7d43f73d,0x87dc1f92,0x9bebec4e,0x45e93e2f,0x201fb9fb,0xa97c40fb,
    0x6403f21f,0x4fd8dd07,0x03f21fa8,0xc87ea7c8,0x3663f90f,0x0fc87ea7,
    0x1fa9f744,0x3a4e83f2,0x1fb7fb04,0x3e6fafb0,0x67c09f12,0x9a9ba05f,
    0x1be04fa9,0x1f71bf7e,0x2fa1f77d,0xf52ebeaf,0x47d87e45,0xfc89d2fa,
    0x3e1fa9f8,0xd9f117a4,0x440fb80d,0x7e43f52f,0x1ba0f900,0x43f503ea,
    0xa9f200fc,0x7d43f21f,0x21fa9f23,0x2a3e40fc,0x0883f21f,0x666f413a,
    0x53f1f901,0xfa82f43f,0x217e07d9,0x55935f99,0xfd7889f9,0x7c8fafa8,
    0x3fbfbefa,0x9f99ff10,0x23f50fdc,0xcb6fdc4e,0x85e93e0f,0x7dc03ffd,
    0x1fa97c40,0x23e403f2,0x2209ee99,0xf90fd42f,0x3f53e401,0x59fd07e4,
    0xf90fd4fb,0x0fd46c81,0x9d2741f9,0x556fc53a,0x32dbf700,0xbe41f20f,
    0x23f982fb,0xf35ffffb,0x36a19fff,0x7c44fcfc,0x3365faef,0x6c41c8ca,
    0x917cc4ff,0xff113a1f,0x24f89f7b,0x807f985e,0xa97c40fc,0x7c81f22f,
    0x137ffffc,0x322fa85f,0x5f53e407,0x3ff623e4,0x7c8bea5f,0x917d46c8,
    0x29d2fc4f,0x3ffff64e,0xfbdff885,0x77417d44,0x0fc84fa9,0x222fcbf1,
    0x77ff4c0a,0x1bfff303,0x2bf003dc,0x27e67fc0,0x9fff309d,0x7f509f00,
    0x21beab20,0x53df12f8,0x883740bf,0xef887f00,0x37405fa9,0x0bf53df1,
    0x27be20a2,0x445d85fa,0x045fa9ef,0x2faa753a,0x3fe603f2,0x4c1fb04f,
    0x546fffff,0x3277e24f,0x9903f85f,0xf101f880,0x7e40b75d,0x3ffa63fe,
    0xa8b3ba0c,0x7edcc00f,0xd81bf2a2,0x33221eff,0x37ffea2f,0x13f6f620,
    0x0cfc82ec,0x1037ffea,0xfa89fb7b,0x07f00dff,0xa837ffea,0xfffa83fd,
    0x4ea7400d,0x0dd75bf5,0xdd1003ea,0x7e4ccfdc,0xff90df11,0x00e88bbb,
    0x40288035,0x5403dec8,0x3b60103c,0x2a00663e,0x0275c3ee,0x1eee8808,
    0x7ddb1008,0x1b5016c0,0x776c4010,0x1d100203,0x05950080,0x753a0008,
    0x033bb6e4,0x238800cc,0x191fd46d,0x00000220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3d800000,0x0000007b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19dc4088,0xa8000164,0x00e27102,0x41a8aa80,
    0x22a200aa,0x006a6029,0x0aa02ec0,0x2600cee2,0x01c4e21a,0x8595009b,
    0x2605a8d9,0x00ea3204,0x2a330353,0x2206a200,0x2824c03c,0x80059051,
    0x7ff6dc4b,0x3aa017e0,0x1f6ec5ff,0x40fdcfdc,0x3a7b607c,0x0076c40d,
    0x3ea03ff7,0x1fffd983,0x3b7606f8,0x07ff6dc3,0x4fdc3fa8,0x06f881fb,
    0x4fd41fd4,0x03fb00fb,0xfa80bff2,0x40ddf503,0xece80df8,0x3607f604,
    0x004f83fe,0xf81301e4,0x5df7dc05,0x180c4624,0x2303ec06,0x2004c008,
    0x7c026008,0x0881babf,0x98062310,0x30c02600,0x004c0040,0x22014400,
    0x22004c00,0x1880c401,0x30144031,0x5c013e01,0x43f51ffe,0x3e6bf0fc,
    0x7d41be25,0x0fd43f21,0x3fff21f9,0x3ff624ff,0xdffd880d,0x0fffecc0,
    0x4c1bffb1,0x1bff605f,0x10fffecc,0xd981bffb,0x3f621fff,0x7ff4c0df,
    0x541f91ff,0x7d41f92f,0x237ff5c2,0x51ffffe9,0x2e07e43f,0xfea86ffe,
    0x7fff4c5f,0x2fff541f,0xf81bffb1,0xfc81efdc,0x43f51dfd,0xdf1bf0fc,
    0xfa81fcc1,0x0fd43f21,0x3faa61f9,0x3affa1aa,0xfebfe84f,0x0dd5ffc4,
    0xf89fd7fd,0x6eaa81df,0x43757ff0,0x7c4febfe,0x3fa1babf,0x47744feb,
    0xd8fe63fb,0x47d8fe67,0x745bbdfd,0x3ea3fb8e,0xdfd83f21,0x5f7dc5bb,
    0x7dc7744b,0x25df7dc3,0xf89fd7fd,0x5f86fbdf,0xf90fd41f,0x503bb7e1,
    0xc87ea07f,0x7e43f50f,0x17d43ec0,0x362fa8db,0x7d417e66,0xffd31b62,
    0xf30dd01d,0x6d8bea0b,0x17d417e6,0x7f14f8db,0xe89f16e8,0x2fcc9f16,
    0x51fc53e0,0xf987e43f,0xf01be205,0x6f88fe29,0x236c5f50,0xf883f25f,
    0x90fd478c,0x213ffe1f,0x43f503fa,0x643f50fc,0x7e43ec0f,0x0fc83ee0,
    0x1dff83ee,0x01f707e4,0x0dd0bfb3,0x1f9077fe,0x3bff07dc,0x83ee0fc8,
    0x5c0fdbfd,0x7dc1fb9f,0x47ee1fb9,0x6dfec199,0xfc87ea0f,0x86663f70,
    0x5fec03f9,0x40fe60fd,0xf83ee0fc,0x5bf03f24,0x3f21fa8d,0x885f9bf0,
    0x643f506f,0x7e43f50f,0x23ec3ec0,0xf51f62fa,0x877ff4c5,0xf017d47d,
    0x3a60dd0f,0xa8fb0eff,0x3bffa62f,0x22fa8fb0,0xf881ccde,0xecf886ec,
    0x7fc47e46,0x20e66f47,0x643f21fa,0x2a7ff88f,0x666f403f,0x7d81fd41,
    0x6c9f17d4,0x1deffc87,0xf87e43f5,0xdfd83fd5,0x643f54bb,0x7e43f50f,
    0xb8cdfe40,0xfb87ea1f,0x36607ea1,0x7d43f75f,0x9f955931,0x804f74cc,
    0x43f75fd9,0x5fd981fa,0x88fd43f7,0xfb00aadf,0x0fff607f,0x89f663f9,
    0x7d40aadf,0x8fe43f21,0x80fea7d9,0x540aadf8,0x543f703f,0x3ee77e1f,
    0x21bdd504,0x5f9f22fa,0xffc81df1,0x3e45f55f,0x443e45f5,0x45f34ffe,
    0xc8be60fc,0x7cdbe00f,0x7fcc3f22,0x3ffe0cff,0x9b7c06ff,0xf803f22f,
    0x07e45f36,0x30bffffb,0x43fcc0ff,0xfb1f23fa,0x17d4bfff,0xf91fd4f9,
    0x3f6037c4,0x1be25fff,0x41f917cc,0x6c04ffff,0x7d4f7c43,0x2ec00885,
    0x97ea7be2,0x05fa9ef8,0xccff8131,0xfccff84f,0x3f2ab264,0x13f33fe4,
    0x7d100be6,0x27e5564c,0x4c9f99ff,0x3e4fcaac,0x3ea4fccf,0x7f503f22,
    0xfe81fd40,0x8bea7dac,0x53df10fc,0xdacfe8bf,0x25defec7,0xb07e45f5,
    0x7fc977bf,0x067c4fcc,0xffa82e80,0x403f80df,0xdfffa82e,0x06fffd40,
    0xffe983f8,0xcffe980c,0x33fffe60,0x033ffa60,0x2fea01e6,0x19ffff30,
    0x3067ff4c,0x4c19ffff,0x3ea0cffe,0x32a6ebad,0x0df9506f,0x52fffec4,
    0xa8dd75bf,0x6c40dfff,0xffc85fff,0x2eb7ea4f,0x4fffc86e,0xf033ffa6,
    0x1006c009,0x00007440,0xd1002002,0x00800401,0x00020044,0x2206e440,
    0x02200400,0x776dc010,0xb813ae0c,0x5c06004e,0x0100ceed,0x5c020060,
    0x0200ceed,0x000fa008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x226a0133,0x300a980a,
    0x53151015,0xffffffb8,0x50a62a20,0x5407d4df,0x001a9802,0x22edc026,
    0xc88298a8,0x1f90fd43,0x40fa9bea,0x07c83529,0x2a605fb0,0x501c4e21,
    0x3e29f105,0x802aa00e,0x802b81a9,0x3ffe21a8,0xf10ae03e,0x3fa20dff,
    0x40edfa84,0xfb80edfa,0x77d5441f,0x0ffdc0aa,0x07d4bfea,0xfa80fb76,
    0x20be2003,0xffb84dfb,0x2a2dcc81,0x7d43f21f,0xfb01f52f,0xa807c81d,
    0xb87f500c,0xdd81fb9f,0xfca7c43e,0xa80bf201,0x406f883f,0x37e20df8,
    0x6f883feb,0x4c062000,0x11098110,0x0bf00220,0x6ffa8088,0x188c41f5,
    0x5f200260,0x880dd07a,0x545d9900,0x7d43f21f,0x0601f56f,0x799703e4,
    0x061804c0,0x3e20c462,0x04c04fac,0x01980260,0x8a7c40c4,0xd883305f,
    0xfea80dff,0x2fff545f,0xfb9bffae,0xf80fffff,0x3ea6fa85,0xf53f9f50,
    0x54fe1761,0x6c03ea6f,0x213e0117,0x87fffff8,0xf90fd42a,0x2abefea1,
    0x3bffe20f,0xf9703e43,0x3f60f90d,0x07ecbea0,0x3b3e25f5,0x7dfff106,
    0x7fffff88,0x0ffffff1,0x7c4bfffe,0xfff87f74,0xfd7fd4ff,0x4bbefb89,
    0xd92efbee,0x2a25bbdf,0xf80aaefa,0xf52ffa85,0x2b7e7ea1,0x25f0bb0f,
    0x81f52ffa,0x24fffffc,0x23cefcc8,0x26fdccc8,0x0fd57a4f,0x3a3ea1f9,
    0x37e20fae,0x01f23feb,0x4c1f21ba,0x4f99ba4f,0x3fff89ba,0x7fd7bf10,
    0xb7ee6644,0x86fdccc8,0xf10adffa,0xf5507fff,0x6c5f535d,0x7c41be26,
    0x200bf306,0x542fc05f,0x2a1f56ff,0x90fcfb8f,0xfa97c22b,0xa981f56f,
    0x3a21aafe,0x3604eefe,0x55e93e1f,0xfa87e43f,0x220fdfa8,0x3e4bf14f,
    0x03e43740,0xd85f51fb,0x3e22fa8f,0x4f880fec,0x0fec0bf1,0xfcd81fd8,
    0x27defc43,0x707e4bf0,0x4c0fe61f,0x263f703f,0xf80bf019,0xa9fcfa85,
    0xff11f50f,0xfa75b21f,0xf53f9f51,0xf501f601,0x7c3fb803,0x917d57a4,
    0xffe87d4d,0x1fdd3e20,0x90dd00f9,0x375fcc0f,0x22375fcc,0xf885f9cf,
    0x3ee07f74,0xf107f703,0xa7c439f3,0x6cbf00fd,0x3fa97d47,0x3f207f50,
    0xbf07ff88,0x9fa85f80,0x1f50fadf,0x475c3ff2,0x3f51f8ff,0x3601f5bf,
    0x100fdc07,0xaf49f0df,0x24fa9ef8,0x41ff50fa,0x643ffff8,0x6e82aaaf,
    0x7fec07c8,0x885ffb02,0xf885f94f,0xdf103fff,0xb5c1be20,0x29f11fff,
    0x5cbf04f9,0x7d47ea1f,0x3207f503,0x3e0fb31f,0x7d42fc05,0xf50fcfb8,
    0x75c3fe21,0xf50fafdb,0x201f9f71,0x007e407d,0x229f01fb,0x13ffea5f,
    0x107f41f5,0xfc89f7bf,0x86e86fff,0x037cc07c,0x29f10df3,0x37e20ff8,
    0x01fb04fb,0xf9f403f6,0x1fd27c43,0x917ccbf0,0x441be21f,0x647f506f,
    0x0880bf07,0xfff88fa8,0xdfa80880,0x1f50fdea,0x3201fff1,0x05e819bf,
    0x577c0fee,0x004e85fe,0xfb4f88fb,0x37401101,0x027c03e4,0x2011013e,
    0xb81fb4f8,0x207f703f,0x203ffff9,0x3e2fc008,0x7ec4fccf,0x37f64bbd,
    0x2b3fa4bb,0xf80bf07d,0xff90fa83,0xff507f01,0x3ea1ff71,0x2201ff90,
    0x3fb64ffe,0x999ff102,0x2eeffd49,0xf9002fe6,0x9f34f88b,0xdd330bb0,
    0x5557e413,0x27c04f82,0xa7c40fe0,0x33fe24f9,0x99ff14cc,0x7ccf6c99,
    0x503f80ad,0x3a635df5,0xffc80cff,0x27ffe44f,0x20bfffb1,0x203a205f,
    0x81ff10fa,0x15fa80e8,0xf887d4ff,0x2e04400f,0x3ffe600b,0x640087ff,
    0x033a200d,0x207f49f1,0xfffff82d,0x1bffff26,0x409f013e,0x49f100e8,
    0xffff30fe,0x3fffe6ff,0x7fc7f17f,0xf807442f,0x0044ffff,0x06004008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x7fffc3c8,0x2835304f,0x200aa851,
    0x9dc40999,0xc833b881,0x2dec9802,0x5500ef98,0x066664c0,0x6ecc1a98,
    0x80713880,0x4002aa3b,0x205501a9,0x151033b8,0x06a53053,0x289ffffb,
    0x0015c051,0x40512811,0x099981a9,0x2aa2dcc8,0x3fa81aef,0x6c43fed8,
    0x6fff880e,0x207ff6dc,0x360ffedb,0x65f7cc06,0x41dce442,0xffd83edd,
    0x3fa80fee,0xfb82cac8,0x5f301fb9,0x2a0076c4,0x07dbb03f,0x701ffdb7,
    0x3bf603ff,0x0d557ec0,0x7c40ffb6,0x1fce4406,0x7d40ffb6,0x86fff883,
    0x05f82ecc,0x20098026,0x04c00009,0x05f30260,0x05901fd4,0x7cc188c4,
    0x980fbcff,0x0c0bb300,0x0983e403,0x118804c0,0x22009803,0x07d80c00,
    0x00cc0098,0x2603f3e6,0x00002600,0x3617e055,0x3fe4ffff,0x3ff64fff,
    0x3fffe4ff,0x7d4df54f,0x13ffffe0,0x6ffd40bd,0x5f504f80,0x9fff73e4,
    0x7fffc1f7,0x407fdc4f,0x884fffff,0x00ffb83f,0x3ee01ff7,0x01ff700f,
    0x549ffffb,0x7ec2deff,0x7fdc0999,0x4ffffd80,0xfd837f30,0x41fb4fff,
    0x3fff62fa,0x37ffee4f,0x57ec2fc0,0x3beaa1aa,0x2aabf61a,0x46bbeaa1,
    0x41f52ffa,0x541aefaa,0xfddf881f,0xfa827c1f,0xfff99f22,0x3eaa0fbc,
    0x1ffec1ae,0x40d77d54,0x3ffd80fb,0x3607ffb0,0x7ffb03ff,0x43555fb0,
    0x23febcfa,0x6c3ffffd,0xaafd83ff,0x3fffaa1a,0x1aaafd82,0x363749f3,
    0x26a1aaaf,0x42fc4fa9,0xd85f807d,0x7d45f807,0xbf01f56f,0x9fd427c0,
    0x7f6fc7fa,0x3e45f50e,0x03ef3ff2,0x2fe7c17e,0x82f40bf0,0xf9f05fcf,
    0x417f3e0b,0x07d85fcf,0x367e87ea,0x42fe7c07,0x73bf307d,0x6c0fb05f,
    0x3ec2fa8f,0x3e2fccc0,0x0999fd85,0x99fd85f8,0x7d45f809,0xf80fa9fc,
    0xf103f205,0xff83f67f,0x59f54fbd,0x73530fb5,0xf50bf01f,0x82fc0fb3,
    0xd9fa81fa,0x87d9fa87,0xfa87d9fa,0x99fd87d9,0xfc87ea09,0x4fd40fb1,
    0x999fd87d,0x0be61f90,0x982667f6,0x9fd86ebf,0x3ffee099,0x35df555f,
    0x41ffffec,0xffffd85f,0x4fd45f83,0x5f80fadf,0x3a60fe20,0xf2fc6fef,
    0x3ffffeab,0x7c07dc07,0x05f77c85,0xc836c17e,0x77c85f77,0x5f77c85f,
    0xd85f77c8,0x3ea3ffff,0x57ec7ee1,0x7ddf21aa,0x9ffffec2,0x360be67d,
    0x7ec3ffff,0xffffd82f,0xfafcbf13,0x1f64ffff,0x01f617e0,0xf71f517e,
    0x80bf01f9,0x03ff206d,0xbfaaf49f,0x7dc07d99,0x9ee85f80,0x30bf04fa,
    0x2a7ba05f,0x7d4f744f,0x27d4f744,0xb13ea7ba,0xfb0fd40f,0x93ffff61,
    0x6c4fa9ee,0x17d4fb07,0x1be603ec,0x9df883ec,0x21f985fc,0xd85f807d,
    0x7d45f807,0xf80fff88,0x9017cc05,0x57a4f83f,0x821f22fa,0xf98bf07e,
    0xbf06ffff,0x3fe60f90,0x3fe66fff,0x3fe66fff,0x3fe66fff,0x03ec6fff,
    0x9837c3f5,0xfffff31f,0x9f707d8d,0x0fb05ff7,0x81f609f0,0xc85ddffc,
    0x2aabf62f,0x86bbeaa1,0x2a1aaafd,0x1f51aefa,0xfaa83ff2,0x997a01ae,
    0x4f86fdde,0xf917d57a,0x43feef98,0xf71aefaa,0x543f9333,0x9f11aefa,
    0x32667ee0,0x9333f71f,0x2667ee3f,0x333f71fc,0x557ec3f9,0x3f33ea1a,
    0x2e5f902f,0x21fc999f,0x361aaafd,0xfd82fbff,0x04f81aaa,0x883555fb,
    0xfb2ec400,0x7ffc9fff,0x3fff64ff,0x3ffffe4f,0x3fe21f54,0x13ffffe0,
    0x332e2298,0x57a4f80b,0x261f22fa,0xffff81bc,0x3fa8db4f,0x453ffffe,
    0xfa8db00a,0xb3fa8db3,0x8db3fa8d,0x3fff63fa,0x37bfea4f,0x36d36601,
    0xfffd8fea,0x7ec0044f,0x04f84fff,0x009ffffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x133300ff,0x710e2710,0x202a80e2,0x200aa82a,0x16403a8c,0xaaa80cb8,
    0x00003261,0x32200136,0x1aaa83a9,0x000c9ab8,0x8c80d554,0x5a8d983a,
    0x65403c88,0x440065c2,0xa8d98002,0x028cd885,0x3f600791,0x6fff883f,
    0x21fb9fb8,0xd81fb9fb,0x3edd83ed,0xfc8076c4,0x9fffd02f,0xee86cec8,
    0xb80bea4e,0x7c40dfff,0x0dffd886,0x77407fd4,0x42ff884e,0x740efebf,
    0x5ff904ee,0x81f73f50,0x7f504ece,0xa801db10,0x4bffd506,0x5c0fb9fa,
    0xce80ffdc,0x9f2fc44e,0x30c000bf,0x88c40c30,0x30188c41,0x31004401,
    0x130981bf,0xa803e600,0x0084fa99,0x109f55fb,0x40440001,0x004fbdff,
    0x22000110,0x00260311,0xdffb1013,0x0977df70,0x11880400,0x3f55e883,
    0x03fee0fb,0x713ffff6,0xfffb01ff,0x7ffffc9f,0x93ffffe4,0x220dffd8,
    0xeb85fffd,0x3ff623ff,0x2600390d,0x3ff625f9,0xb339f10d,0x06ffec4d,
    0xb81bfff7,0xf97e3ffe,0x037ff625,0xf81bffb1,0x3a4f97a4,0x7c5e93e5,
    0xfbee97a4,0x881be25f,0x6c40dffd,0x7ec40dff,0x7c8440df,0x7ffb05f7,
    0x83555fb0,0xafd83ffd,0x3beaa1aa,0x2bbeaa1a,0x93eabf61,0x5c5f9afe,
    0x3f62badf,0x373a4faa,0x3ffee1ff,0x3eabf65f,0xffffff34,0x527d57ec,
    0x7dc9f533,0xe93e2bad,0x17f2ffa5,0xf8bf97fd,0x3a4f97a4,0x7c5e93e5,
    0x5d7d57a4,0x80fe67ce,0x745fcbfe,0x7f45fcbf,0xea745fcb,0xcf84fa9e,
    0x7c07d85f,0x807d85fc,0xf117e05f,0x3e6db339,0x20dd17e3,0x26d99cf8,
    0xf15fbdfe,0x9cf8afcb,0x207f16d9,0x86d99cf8,0x81ba5f99,0x17d57a4f,
    0xfb17d4fb,0x4f97a4f8,0x17a4f97a,0x8fbaf49f,0x7f50fbbe,0x27d8bea0,
    0xfa9f62fa,0xf39d1f62,0xfa8dffff,0x99fd87d9,0x1f67ea09,0x202667f6,
    0xf317e05f,0x3eefffff,0x20bf17e1,0x27fffff9,0x6fc5ba6e,0xfff35fc9,
    0x4d7f4fff,0xfffff319,0x2ffffdcf,0xbd27c0bf,0x70fc87ee,0x9f07e43f,
    0x2f49f2f4,0x93e2f49f,0x91f5f55e,0xfb81fd4f,0x0fdc3f21,0xc87ee1f9,
    0x27ef3e0f,0x5f21fc99,0x7ffec2fb,0x17ddf23f,0x20fffff6,0xf117e05f,
    0x7c4bea07,0x3f8837c5,0x326d97a0,0x7f15ddff,0x9ffff440,0x4bf103f8,
    0x4f81be5f,0xfb1fd57a,0xf8fb1fd4,0x8a7cbf14,0x2fc53e5f,0xf8afc53e,
    0x3e25faef,0x3ec7f506,0xf53ec7f5,0x377e3ec7,0x3dd1fd46,0x207d89f5,
    0x6c4fa9ee,0x3e05f807,0x199afe85,0x8bfd5df1,0x3a2badfc,0x97a199af,
    0x0fc4446d,0x303335fd,0x99afe85f,0xbf93bf11,0x815d6fe4,0x77ff14f8,
    0x5dffc49f,0x7f577c4f,0x97fabbe5,0x7c5feaef,0x3e65feae,0x6fec0dff,
    0x77ff14bb,0x5dffc49f,0x2effe24f,0x6c82fc4f,0x1bffffe6,0x3ffe60fb,
    0x403ec6ff,0x2217e05f,0x3ee3fffe,0xffc85dcf,0x3fffa23f,0x706d97a3,
    0x7fff445f,0x7442fb83,0x3ff23fff,0x7ffe45dd,0x2a1fe983,0x7d40dfff,
    0x7fd40dff,0x37fea5dd,0x377fea5d,0x2eeffd45,0xffc803f1,0x37ffea4f,
    0x06fffd40,0xf037ffea,0x7dc77e0b,0x361fc999,0x3f71aaaf,0x7ec3f933,
    0x3eaa1aaa,0x3beaa1ae,0x0040301a,0x2f40c008,0x417620db,0x18176201,
    0x40100110,0x100102da,0x40080100,0x05100800,0x10010040,0x82740100,
    0xfa8db2eb,0x53ffff63,0xfb1fd46d,0x7ffc9fff,0x3fffe4ff,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70b2a000,0x65c00019,0x011001a9,0x00b90310,0x10b51b30,
    0x42ca8079,0x880000cb,0x2d46cc3c,0x220a3362,0x2165403c,0x376e00cb,
    0x00751902,0x02c9ac88,0x0001bc80,0x2e0cc880,0x01654001,0x3b620fea,
    0x0fffe980,0x207bffaa,0x007f3ccb,0xf81fd0bb,0x3ea0efeb,0x76740fb9,
    0xb107f504,0x3ffae01d,0x540de883,0x32e0fb9f,0x76740ffd,0xb107f504,
    0xfb9f901d,0x4c5ff905,0x6ec0fffe,0xffe984e8,0xbfff13ff,0x21efebf8,
    0x322ffcdd,0xf90d55ce,0x3007f503,0xfe809801,0x2eea0a99,0x3df9704f,
    0x17cf901f,0x5effc044,0x4462004f,0x09801301,0x82badfb8,0x80800018,
    0x02603118,0x22bf0130,0xfe81104f,0x188c0a99,0xadfaef88,0xff17ec41,
    0x77ecdf7b,0x3aaf67ea,0x81fb81f8,0x7fec4009,0x6ffec40d,0x2202ffa0,
    0x3a01fffd,0x0cf9018e,0xbf1fff5c,0xbffb12fc,0x06ffec41,0x881bffb1,
    0x1ba0dffd,0xb87ffd70,0x3ee0dfff,0x3fee0dff,0x3ffee0df,0x6fffdc0d,
    0x207ed3e0,0xfd0dfffb,0xbffb1017,0x07f1fb81,0x64bf1fcc,0x9ae1fb0f,
    0x104dcffa,0x0fffe983,0x8bf97fd0,0x265fcbfe,0x3fa0dffe,0x1ba05faa,
    0x6fdc0f90,0x5e93e2ba,0xd93eabf6,0x3f64faaf,0x57ec4faa,0xb817e4fa,
    0x4d42badf,0x266a4fa9,0x2a66a4fa,0x3ea66a4f,0x27d4cd44,0x3503f79f,
    0x3fa69f53,0x32ffa0df,0x39f3ec5f,0xf0fed4c1,0x07d87e49,0xa80754c4,
    0x2a67fa0f,0x9f62fa80,0x221f62fa,0x747f34fc,0xf901ba07,0x49f03740,
    0xb339f15e,0x36673e2d,0xdb339f16,0x36cce7c4,0x803740dd,0xf9985f99,
    0x985f9985,0xbf3305f9,0x3027de7c,0x4fc88bf3,0x363ec5f5,0xfb8bffe6,
    0x4fb27c2e,0x02f8807d,0x5ff41fd7,0xfc87ee00,0x87e43f70,0xf73fb99b,
    0x0dd03ec3,0x817e07c8,0x7fcd7a4f,0xfff37fff,0x3ffe6fff,0x3ffe67ff,
    0x2b7ee7ff,0xf7017e2b,0x7fdcbfff,0x3ffee5ff,0x3fffee5f,0x2ffffdc5,
    0xf713f69f,0x266ebfff,0x643f74fb,0x83f9f60f,0xb9df80fa,0x3601f64f,
    0x33f25fcc,0x37ffa60a,0x9f63fa80,0xfe9f63fa,0x47f50dff,0x901ba07e,
    0x9f037c0f,0x103f8af4,0x80fe207f,0x7fdc03f8,0xf881be3f,0xf2fc57e5,
    0x15f97e2b,0xbf12fcbf,0x7ec9f2fc,0xeafcbf11,0x7f50dfff,0x7c3f23ec,
    0xfff01883,0x5407d89f,0xfd2eaf9f,0x884fc880,0x224fbbff,0x444fbbff,
    0x6577c40a,0x901ba04f,0x5d6fe40f,0xafe80882,0x26bfa199,0x266bfa19,
    0x0ccd7f41,0x56fe42ec,0x3277e22b,0xf93bf15f,0x3f277e2b,0xbf93bf15,
    0x2fe4efc4,0x23f9319f,0x25fc9df8,0x5ffc43f8,0x56fcc4fb,0x07ee1adf,
    0x0110033e,0x5f1f15f1,0x266e0bf6,0xfff503fb,0xdfffa81b,0xffa83f80,
    0x3dd3305f,0x2aabf201,0x41fffe42,0xfffe883f,0x8ffffa23,0x443fffe8,
    0x2f83fffe,0xc87fff90,0x3f25ddff,0x3ff25ddf,0x37ff25dd,0x6effe45d,
    0x0fff33e5,0x44bbbff9,0xdfffa80f,0xfffffb80,0x13e07f23,0xc9720fe0,
    0x93ffe26f,0x400dfffe,0x3a200800,0xfff00200,0x3ff20dff,0x220106ff,
    0x0600c00e,0x00030030,0x88022008,0x08802200,0x20000440,0x00200008,
    0x1f402004,0x00003a20,0x00188997,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xa9c883c8,
    0x2c800003,0x001aaa80,0x05935910,0x80751900,0x0000003b,0x00000000,
    0x1466c400,0x65401654,0x80733222,0x9c883ccb,0x20b2a03a,0xeda82aaa,
    0x51ccdc0d,0x9d03e45f,0x01ff509d,0x7ff5c0f9,0x774027c6,0x27fec44e,
    0xc84e8dd8,0xffc84fff,0xfd32f402,0x307c81bf,0x443ffffd,0x27fec45f,
    0x10fffecc,0xd881bffb,0x372e5eff,0x3f7f60ff,0x910fea04,0x7e5c07fb,
    0x201ff506,0xbddb03fa,0x40ccdfc8,0x8bea3ffb,0x0623107c,0xb07d8044,
    0x4f8b77bf,0x445f4000,0x2031184d,0x882feaab,0x3be5e800,0x83ec5fa9,
    0x4c3fb8ee,0x7dd7f47f,0x0dd5ffc4,0xe89fd7fd,0x0105f9af,0x0981f27f,
    0x3a00fe60,0x4c011016,0x00bf0000,0x322fa811,0x1fffd307,0xc87fff4c,
    0xf34fffff,0xefdcf80b,0x2ebd27c1,0x21f9ec8d,0xf3017a4f,0x44bd27c5,
    0x9f15fffd,0xffffcaf4,0x1fc53e4f,0x745f50d4,0x2a0bf30f,0x3f99b62f,
    0x97a4f97a,0x7d45e8df,0xf985fddf,0x25dfe803,0x3e0efebf,0x7ec0efeb,
    0xb01fc46f,0x22fa8dff,0x533fd07c,0x854cff41,0x71aafea9,0xff06663f,
    0x24f8df7b,0x15d95b5e,0x0bd27c7b,0x4f83b6a6,0xf9afe97a,0x47f73f65,
    0x21aafea9,0x800fdbfd,0x1ffd88fb,0x1f9077fe,0x21fb87dc,0x25e93e5e,
    0x4cc0dffb,0x4c2f9ef9,0xe981913f,0x2f7fe1df,0x3ef7fe4f,0x26375544,
    0x1baaa03f,0xe83e45f5,0x0bfe80bf,0x90cfecc4,0xf8fff11f,0x24f83f25,
    0x649b3d5e,0xf05e93e3,0xd27c1bff,0x25e8fe6b,0x7d85ffe8,0x20399bd0,
    0x3bebf21b,0x3ffa61fc,0x2fa8fb0e,0xf97e25f5,0x9ffd97a4,0xe9ce8849,
    0x5fd9fcc3,0x97e1bfee,0x05f97e5f,0x803f98dd,0xf917d46e,0x837ffa60,
    0xf50dffe9,0x3f23ffff,0x24f8fb31,0x5e93e0fc,0x7b13d95b,0xa80bd27c,
    0x75e93e5f,0x3db2f43f,0x887d89f9,0xf980aadf,0x2e9ff70f,0x75fd981f,
    0xf88fd43f,0x93e5feae,0x9dd3f75e,0x777f7ccf,0xfb9fcc2e,0x3e1ba6a3,
    0x3a4f97a4,0x3f98dd05,0x17d46e80,0x4fc880f9,0x3ec4fc88,0xf8f91fd4,
    0x229f1f64,0x3db1b95f,0x5f8a7c3f,0x453e6e80,0x3e25f55f,0x23ec7f35,
    0xffffb07d,0x3ea1fd0b,0x6f803f23,0x707e45f3,0xa7cbdbff,0x3e2db5f8,
    0x01f5765f,0x0dd007f3,0x49f2f49f,0xf98dd05e,0x7d46e803,0x3706eaaa,
    0x4cdc7f73,0x4dfe43fb,0x1f6b3fa1,0xf89f73bf,0x7f15feae,0xd5df1762,
    0xf95350bf,0xaff577c9,0x15feaef8,0xc8bf33bf,0x45f519bf,0x3e3e40fc,
    0x3264fbae,0x3fe4fcaa,0x3a104fcc,0x57fabbe5,0x25fd9bfc,0x098ef9dd,
    0x0139f531,0x7c13dd33,0x3a4f97a4,0x84f74cc5,0x3a6603f9,0xfb5f509e,
    0x3fffa03f,0x37fffa0d,0x127ff440,0xfe8bfffb,0xdffa84ff,0x13ffa65d,
    0x21777fea,0x7d44ffff,0x3fee5ddf,0x3ffee5dd,0xa7ff440d,0x26ebadfa,
    0x7f4c1fea,0x7fffcc4f,0x33ffa60c,0xff52f400,0x3ff62bbb,0x5ff53fce,
    0x3fea3ffd,0xfff83fff,0x5e93e6ff,0x7fc5e93e,0x07f36fff,0x037ffffc,
    0x0c403100,0x80300440,0x00400800,0x0400c004,0x10010020,0x0ceedb81,
    0x88010066,0x9b000400,0x20008010,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x13e4f800,0x3c882c98,0x28cd8800,0x106ccec4,0x3f6153b9,
    0x072e2fff,0x20371322,0xc87ea2ca,0x1b89910f,0x9c885950,0x2e27543a,
    0x017f64c1,0x03ffff60,0x2c837b26,0x645d8000,0x41e65c02,0x0fc97a4f,
    0x41360bea,0x539103c8,0x827c9f07,0x9d9d04f9,0x5c4ffea8,0x3e60ffdc,
    0x33261faa,0x999fb1ff,0x6dc1fc83,0x1fd41aa6,0x70fc87ea,0xfa8354db,
    0x881ff503,0xfa8d51fa,0xffa80ace,0x3f6aa63f,0x06677c40,0x7ff4c09f,
    0x05f8df04,0x27c37e5c,0xfb1fccbd,0x33a0df10,0x01ff504e,0x08827c9f,
    0xbd062310,0x00205fb5,0x805d8100,0x3f16b808,0x87ea0260,0x7c5ae0fc,
    0x08801301,0x1f89fe88,0x3be20374,0x81f703ba,0x209f02fa,0x83fcaef8,
    0xe802fc08,0xd17a4f86,0x80413e2d,0x04403118,0xfb13e4f8,0x1bff60df,
    0x75fc9f30,0x1bff60ef,0x9fb1bff6,0x86ffd815,0xffd09b6b,0x90fd49ff,
    0x84db5c1f,0x6c2ffcdd,0x32a2ffcd,0x6fc44daf,0x02fa82bb,0x0fdc0fb8,
    0x50efedf8,0xffb2fc3f,0x0bf35f8d,0x5e93e1ba,0x20fdcfdc,0xbd4ffffe,
    0x7fff49f0,0x4f8a7c4f,0xaa837554,0xf1fd406e,0x5549f7bf,0x46eaa86e,
    0x2a1fffec,0xea8886ea,0x2feaaa80,0x20fc87ea,0xfd80ea88,0x77ec7eae,
    0x2a2a67ea,0x777fcc0e,0x400fd44f,0xffff70fb,0xfbdff8ff,0x53747f54,
    0xf8df8dd5,0x9f0dd00e,0xd9f117e2,0x5fd5550d,0xaa8be1b6,0x577c2fea,
    0x06e80efe,0x1dd10374,0xdd0bf2fc,0xbf303740,0x0be20dd0,0x1fa89f50,
    0x05f103f2,0x3635c3f6,0x5f10d70f,0x73ec7f30,0x5c0fffff,0x57f9510f,
    0x457e5f85,0xe87feeff,0x00776fc6,0xfd5df0dd,0x407ffb0b,0x6fdf24fa,
    0x84fa81f8,0x82fcafff,0xd037406e,0x17a4f83f,0x206e81ba,0xb06e85f8,
    0xdf10df19,0x43e45f50,0x360efbcd,0x6c03ec07,0x927c6f8c,0x26bee21f,
    0xf703f201,0x25e93e03,0xe86ebcb8,0x2027ffc6,0xddffa86e,0x2207f985,
    0x7fd7dc6f,0x837c40f9,0x374020bf,0x0fec1ba0,0xdd0bd27c,0x2a6a3740,
    0xa86e83fd,0xfe86cd8f,0xfa9ef880,0x7c447d45,0x0fb01f61,0x46cd8fa8,
    0x546faafd,0xdf55901f,0x93e03f70,0xd09f305e,0x02fcdf8d,0x2f8881ba,
    0x3fa03fa8,0x6feefd40,0x9f00fe87,0x09ee9980,0xb04f74cc,0x27c999bf,
    0x4f74ccbd,0x427ba660,0x4cc3efff,0x55f109ee,0x6fec3fbf,0x7ffd41aa,
    0x744be20d,0x1f603ec3,0xfdfaaf88,0x837ff221,0x22aabfc9,0xfb81effd,
    0x52f49f01,0x4cc1df95,0x3abf09ee,0x4f74cc1f,0x6545f700,0x2b7f606f,
    0xfb5ff11a,0x1aadfd8d,0x3ffe01f4,0x7fffc6ff,0xfffff16f,0x7cbd27cf,
    0x3fe6ffff,0xf8026fff,0x2b96ffff,0x3fe0eca8,0x20104fff,0xd8fff65c,
    0xb903ec07,0x8003b2a2,0x86fffffb,0x7c07ee00,0xceff97a4,0xb7ffffc0,
    0x7c1df15f,0xb106ffff,0x3e0275cb,0x3fe4ffff,0x7ffc5fa8,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20059000,0xd06a0028,0xfb80280b,0x3e604f87,0x7fcc2def,
    0xfff77fff,0xf3001fff,0x45f736c7,0xffff01fc,0x4007ea85,0x003dfff8,
    0x40000000,0xff705f3e,0x9301f701,0x22000c98,0xfb7fffff,0x2fb97d41,
    0xdffd03fa,0x887f4405,0x5e89d05f,0xf8813ea0,0x1cdff87f,0x1ff5e7cc,
    0x2df99991,0x21d1cabb,0xf90fffe9,0x745fd99b,0x3ea09f16,0xffd10adf,
    0x1bffb10f,0x0ff2b7e2,0x7d4fffae,0x7dc5fddf,0x33f60dff,0x3f2f85fc,
    0xf707ffb0,0xaadf9821,0x3ff620ee,0x3733220d,0x3749f36f,0x5427d5be,
    0xdf301aef,0x4e83fcc3,0x37ee02f4,0xf87ced80,0x3e63ffde,0x3fa81fa2,
    0x1d5f7377,0x6c2a67fa,0x23ffeeef,0xb00fcbfa,0xf93907f9,0x29f55fb0,
    0xf717e4f8,0x2666575b,0x26a2f9ef,0xf3d74fa9,0x3fa63f3d,0x67c2efee,
    0x4dafb85f,0x20ffffe4,0x205fcbfe,0x2a3f61fd,0x7f5fd42f,0x87b79f00,
    0x21a80efa,0xd7fffff9,0x3e6064cb,0x1f27ea0e,0x3ea7e93e,0x3a03f91b,
    0x0ecc8ee7,0xcf9817fd,0xffd86e99,0x39f3f103,0x39f11f20,0x273e2db3,
    0x203742fb,0x983e9ce8,0x37a9b5f9,0x97f713e9,0x6cfd415f,0x40dffc87,
    0x7d47f36c,0x1fdc1f62,0x741bafe6,0x3bfe03ff,0x05fd13fd,0x2b7eaa20,
    0x427f4bd2,0x3e53a4fc,0x7fcfb27c,0xf503f77f,0x4774ddc7,0x1bffd30e,
    0x1bffffe6,0xf6b81be2,0x98f903ff,0xf17fffff,0x5f83dfff,0xdddfdf30,
    0xaffffdc5,0x47fffd3d,0x2f90f579,0x07ff22fb,0x7dc7f2f4,0xdf103f21,
    0x5c0bff60,0x43be00ff,0x20ff624f,0x5e89d008,0x47fb0bf2,0x09fc99fb,
    0xf337d53e,0x7f407ec5,0x0e926ee0,0xcf9a7e44,0x7ffc6e99,0x7f3e84ff,
    0x0fe23e40,0x47f9a7c4,0x0fabb06f,0x9b5f97e2,0x33f6a13a,0x54f744fd,
    0x403f6e4f,0x2a1f98ec,0x3f61f63f,0x7c0df300,0xf97e04ff,0x3e64fc85,
    0x05e87b07,0xffb0bfa2,0x7fc5ffff,0x8be60eff,0x5c3fa86f,0x4dc3a39b,
    0x47f33fb9,0x2609f06d,0x3203ffff,0x199afe87,0x907ec9f1,0x376575bf,
    0xf1098ef9,0x3b2bf93b,0xd5088ff8,0x7cc9dd9f,0x7dc6ffff,0x3ffff900,
    0x27ddffc4,0x09f00fee,0x403fabee,0x75c17e5f,0xaaa8df30,0x555dd2aa,
    0x4c40f4c3,0x3e09fc99,0xccf981ad,0x40fe82ff,0x743a49bb,0x7f30dfff,
    0x3fffe36c,0x7ccf6c4f,0x3faaa0ad,0x3fffa22a,0x9f75bf13,0x2a7fff90,
    0x21ffeaff,0xf15ddffc,0x643ffd9f,0x99fb8995,0x2fee1fc9,0x559f32aa,
    0x7ffd41dd,0x333fe20d,0xf884f84c,0x97e0bf36,0xf102005f,0x3fabffff,
    0x90004fff,0x7cc09f0f,0x4f981def,0xffffffb8,0x8fe60620,0xf109f06d,
    0xff17ffc7,0x1060ffff,0x4017bfff,0x01101800,0x369b0104,0x8fea36c4,
    0x937ffffb,0x30080c98,0xf0ffffff,0x7ec5f909,0x017e5f82,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7c2ec000,0x34f98fd3,0xfb85bdff,0xf70fffff,
    0x221fffff,0x7c43efff,0x7fc1df14,0x77fd43ef,0xf917d42d,0x21f537d4,
    0x64ff15f9,0x9ffffb07,0x7cfffff6,0x0004ffff,0x0a800000,0x002f49f0,
    0x8bf34e80,0x07e46a1a,0x098445f5,0x7f4fa13a,0x5d824fff,0x5c3f92f8,
    0xfd79f31f,0x577d5447,0x5df5510a,0x3af7e215,0x7e53e23f,0x2fedefc1,
    0x47fd79f5,0xfa9f22fa,0x3ea1f52f,0x1f27fb8f,0xd8d557ec,0xf551aaaf,
    0x3ffe235d,0x0bff3762,0x321dfd7f,0x885fafed,0x2f49f06f,0x13a07ffb,
    0x3a1be33e,0x7f33fa9f,0x2f57a3ec,0x2ea5f0bb,0x2df32feb,0x4cbe115c,
    0x2f99f64f,0x202fc1fa,0xf14f885f,0x27d67c4b,0x7d4fb27c,0x22fa9fa1,
    0x55bfea7c,0xbb5df50f,0x07d83e4f,0x885f80fb,0x2bbf65d8,0x7deffc7e,
    0xf7ff7f94,0x93e05701,0x1f73f75e,0xddbf09d0,0x89ffd101,0xf889f16e,
    0x3ad92f9b,0x27d41f8c,0x3ad91ff5,0xf8b7c3f4,0x7e46fea4,0x2fc05f81,
    0x23fba7c4,0x9f06ecf8,0x643f53ec,0xb559f51f,0x54fe7d4f,0x7fb9d50f,
    0x7ec1f21f,0x80fb0999,0x2f77445f,0xbf1ae1fb,0x19d6cafc,0x2aaaa23f,
    0x5e93e0aa,0x5447e2d9,0xdf0aadfa,0x0ffdc09f,0x207ea7ee,0x27eebd5e,
    0x3e20f9ff,0xf1d71a86,0x47e43f1f,0x5fffe2fa,0x905f81fb,0x7c45ffff,
    0x7fc43fff,0xf73bf03f,0x3f70fd4b,0x9fffffea,0x0fadf9fa,0x1f3df5d7,
    0x7ffec1f2,0x5ffffb3f,0x6cfdc5f8,0x49f01f65,0x233ad95e,0xfffff71f,
    0x5f8a7c1f,0x2e1fb7f5,0xf0ffffff,0x9f505f99,0x767c43fd,0x0fb8fb86,
    0x8fbfbbf5,0x5f5c00fe,0x3ea0fafd,0xb17cc7ca,0x260bf01f,0x3e20aefa,
    0x67c44fbd,0xffff80fe,0xfd87ea0c,0xfb337f50,0x7e7dc7d4,0x3e6fed70,
    0x41f60f91,0x7c0aaafd,0xb1deec45,0x57a4f80f,0x03f19d6c,0x5feaef80,
    0x274077ae,0x741fea7c,0xffc89d14,0x4c7b2d83,0x326fdaff,0xf501bbdf,
    0xf81fbd5b,0xf17cc5ed,0xbf017e0d,0x83f69f10,0xf85f9cf8,0x7c3f500d,
    0x27c8bea6,0x0fff88fa,0x47e22ad9,0x360fb07c,0x2a62fc07,0x80fb0aaa,
    0xeb657a4f,0x2fc41f8c,0x35ddffa8,0x9d015555,0x83be29f0,0x07fcc040,
    0x7d5fe200,0x13ffffe5,0x7fdc7fd4,0x261ffec0,0xf02ffccf,0xf885f80b,
    0xa7c49f34,0x5027c2fc,0x545ff99f,0x0fa9f22f,0x11721ff9,0x2aabf23f,
    0x23555fb2,0x5df5507d,0x433332a3,0xbd27c07d,0x0fc675b2,0x501013a2,
    0x57019999,0x00000000,0x2a000000,0xf70ff15f,0xdeff981f,0xbf017e01,
    0x87f49f10,0x41ff14f8,0x3bfea04f,0xf917d41d,0x0ff887d4,0xf92f88b9,
    0x3ff6dfff,0x3e0fb4ff,0x0004ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x81bff600,0x2061302b,0x27cc1ddb,0x376e21db,
    0x6edc1b81,0x362264c1,0x04e880cd,0x209bbbbb,0x1aaa82ca,0x31126366,
    0x89e41a80,0x931aaaaa,0x06641953,0xa6c77771,0x2bbbbbbb,0x00000000,
    0x00000000,0xdd530000,0x4357b150,0x363f8cf8,0x7e42dbbd,0x33622fba,
    0xf53fd45f,0x3fe61fb7,0x427d5c46,0xccc81fdc,0x03fa83cc,0x4fd49ddd,
    0x1dff10fb,0x3e3fd47a,0xbfffff35,0xb11f27ea,0x9fffe61d,0xdddddd1f,
    0x0000007d,0x00000000,0xd8000000,0x2feefc86,0x5b336db2,0xffd0d3d9,
    0xd117e209,0x17c5721f,0x3fb50db1,0x886b8f98,0x01100888,0xe9eb8000,
    0x8df30fdf,0x7cd7204f,0x001107b9,0x00000000,0x00000000,0x40000000,
    0x3ffc886d,0x771fc67c,0xf5036bd5,0x01dd301f,0x7dd7dcdb,0x7dcc36c0,
    0xf87d1f45,0x0005ffff,0x6e433000,0x901e4042,0x016a3629,0x00000000,
    0x00000000,0x00000000,0x6ef436c0,0x2e7ea3ec,0x1d55950f,0x989fdd0d,
    0x3baa4cff,0x71177e41,0x755447fd,0x98730e25,0x00019999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc00000,0x1ec219fe,0x5f45b3d8,
    0x4fe43d98,0x333262fc,0x91000664,0x5eecc999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff000000,0x0130dfff,0x87dd9100,
    0x003fa4fa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_14_latin_ext_x[560]={ 0,2,1,0,0,0,0,2,1,1,0,0,1,1,
2,0,0,0,0,0,0,1,0,0,0,0,2,1,0,0,1,1,0,0,0,0,0,1,1,0,0,1,1,0,
1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,
3,0,0,0,1,0,0,1,0,0,1,0,1,1,0,0,0,2,2,1,1,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,1,
0,-2,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_14_latin_ext_y[560]={ 10,0,0,1,-1,0,0,0,-1,-1,0,2,7,5,
7,0,0,1,0,0,1,1,1,1,0,0,2,2,2,4,2,0,0,1,1,0,1,1,1,0,1,1,1,1,
1,1,1,0,1,0,1,0,1,1,1,1,1,1,1,0,0,0,1,11,0,2,0,2,0,2,0,2,0,0,
0,0,0,2,2,2,2,2,2,2,0,3,3,3,3,3,3,0,-2,0,4,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,10,2,-1,0,1,1,
-2,0,0,0,0,3,5,5,0,0,0,1,0,0,0,3,0,4,10,0,0,3,0,0,0,2,-2,-2,-2,-2,
-2,-2,1,0,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,3,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,0,0,
-2,0,-2,0,1,2,-2,0,-2,0,-2,0,-2,0,-2,-1,1,0,-2,0,-2,0,-2,0,1,2,-2,0,-2,0,
-2,0,-2,0,0,-1,-2,-2,1,0,-2,0,-2,0,-2,0,1,0,-2,3,1,0,-2,0,1,0,3,-2,-2,1,
0,-1,-1,1,0,1,0,-2,0,1,2,-2,0,-1,1,2,-2,0,-2,0,-2,0,0,2,-2,0,1,2,-2,0,
-2,0,-2,0,0,2,-2,0,1,0,-2,-1,1,0,-2,0,-2,0,-2,0,-2,-1,-2,0,1,3,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-4,-3,-2,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_14_latin_ext_w[560]={ 0,3,6,8,8,8,8,3,6,5,7,8,5,5,
4,7,8,7,7,7,8,6,8,7,7,7,4,5,7,7,6,6,8,8,8,7,8,6,6,8,8,6,6,8,
6,8,8,8,8,8,8,7,8,8,8,8,8,8,7,4,8,5,8,8,5,7,8,7,7,7,8,8,7,7,
7,7,7,8,7,8,8,7,7,6,7,7,8,8,8,8,6,6,2,6,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,8,8,8,
2,8,7,8,6,7,7,5,8,6,6,7,6,6,8,8,8,4,3,6,6,7,8,8,8,5,8,8,8,8,
8,8,9,7,7,7,7,7,7,7,7,7,8,8,8,8,8,8,8,7,8,8,8,8,8,8,8,8,7,8,
7,7,7,7,8,7,7,8,7,7,7,8,7,7,8,7,8,8,8,8,8,8,8,7,8,7,7,8,8,8,
8,7,8,7,8,7,8,8,7,7,7,7,7,7,9,9,8,8,7,7,7,7,7,7,6,7,7,7,8,8,
8,8,8,8,8,8,8,7,8,7,7,7,7,7,7,7,6,8,7,7,8,8,7,7,8,7,7,7,7,6,
7,9,9,7,9,7,7,8,8,8,7,8,7,7,8,7,8,8,8,8,9,9,8,8,9,8,8,7,9,8,
7,8,7,7,7,6,7,7,8,7,8,10,8,7,8,7,8,7,8,7,8,7,9,9,8,8,8,8,8,8,
8,7,8,7,7,7,7,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,7,9,8,10,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,7,6,8,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__consolas_bold_14_latin_ext_h[560]={ 0,11,4,9,13,11,11,4,14,14,7,8,6,3,
4,12,11,9,10,11,9,10,10,9,11,10,9,11,9,5,9,11,13,9,9,11,9,9,9,11,9,9,10,9,
9,9,9,11,9,13,9,11,9,10,9,9,9,9,9,13,12,13,5,2,4,9,11,9,11,9,10,11,10,10,
13,10,10,8,8,9,11,11,8,9,11,8,7,7,7,10,7,13,15,13,4,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,11,13,10,9,9,
15,12,4,11,8,7,4,3,7,4,6,9,6,6,4,10,12,4,3,6,8,7,10,10,10,11,12,12,12,12,
12,12,9,13,12,12,12,12,12,12,12,12,9,12,13,13,13,13,13,7,13,13,13,13,13,12,9,11,11,11,
11,11,11,12,9,11,11,11,11,11,10,10,10,10,11,10,11,11,11,11,11,8,11,11,11,11,11,13,13,13,
12,11,12,11,12,11,13,11,13,11,13,11,13,11,12,12,9,11,12,11,12,11,12,11,12,11,12,11,13,13,
13,13,13,13,13,14,12,12,9,10,12,10,12,10,12,10,12,13,12,7,10,13,13,13,12,13,7,12,12,12,
13,11,11,9,10,9,10,12,10,12,11,12,10,11,12,11,13,11,13,11,13,11,11,9,12,10,12,11,12,10,
13,11,13,11,13,11,13,11,12,13,12,12,9,11,13,11,13,11,13,11,13,12,13,11,12,10,12,10,12,13,
12,12,10,12,10,12,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,12,11,14,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,13,11,12,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_bold_14_latin_ext_s[560]={ 254,250,144,183,65,229,167,132,27,43,9,
193,50,157,127,134,125,124,27,70,45,59,137,72,94,179,17,119,9,86,38,
205,84,192,140,217,73,116,123,25,82,130,155,55,109,100,91,142,64,93,46,
134,28,92,10,1,244,235,227,111,65,151,77,167,151,166,34,149,86,132,162,
110,171,187,166,195,203,160,152,218,212,151,144,89,102,178,218,235,34,220,244,
182,1,234,118,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,254,252,1,
146,209,105,4,74,110,51,137,17,136,157,25,103,56,22,43,70,94,1,100,
251,163,63,186,227,74,101,128,238,142,151,160,169,27,117,114,26,32,16,36,
19,52,109,44,126,19,48,70,87,102,121,138,210,116,157,192,34,43,238,54,
162,154,145,137,129,121,1,157,104,96,87,79,71,66,10,19,43,26,35,10,
1,243,234,225,169,208,200,191,183,175,156,245,165,10,133,203,171,1,101,210,
112,18,77,228,55,10,141,186,220,63,68,247,85,230,60,212,109,196,117,178,
125,26,219,201,183,174,147,216,7,91,83,96,1,57,51,40,220,24,236,9,
104,248,1,244,125,143,199,194,18,202,168,160,153,174,45,35,30,185,201,195,
80,211,62,63,53,203,93,134,149,1,157,236,166,60,186,196,174,203,110,239,
221,143,119,130,244,113,1,96,179,79,9,44,52,35,89,37,17,9,159,241,
43,225,78,207,117,189,60,125,211,71,237,185,134,176,213,83,221,229,109,246,
228,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,100,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,34,49,229,176,16,74,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,57,19,44,52,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80, };
static unsigned short stb__consolas_bold_14_latin_ext_t[560]={ 1,1,127,106,1,71,83,127,1,1,127,
117,127,127,127,45,83,106,95,83,106,95,95,106,83,95,106,83,106,127,106,
71,1,106,106,58,117,117,117,83,117,117,95,117,117,117,117,83,117,1,117,
83,117,95,117,117,106,106,106,1,45,1,127,127,127,106,83,106,83,106,95,
83,95,95,1,95,95,117,117,106,71,83,117,106,83,117,117,117,127,95,117,
1,1,1,127,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,1,58,17,
95,106,106,1,45,127,83,117,127,127,127,127,127,127,106,127,127,127,95,45,
117,127,127,117,117,95,95,95,71,45,45,45,45,58,45,106,17,45,45,58,
58,58,45,58,45,117,45,17,17,1,17,17,117,1,1,17,17,17,45,106,
71,71,71,71,71,71,45,106,71,71,71,71,71,95,95,95,95,71,95,71,
71,58,58,58,117,58,58,58,58,58,17,17,17,58,58,45,71,58,58,17,
71,31,58,17,71,31,58,45,45,106,58,45,58,45,58,45,58,45,58,45,
58,31,17,17,17,17,17,1,1,45,45,106,106,45,95,45,83,45,83,45,
17,31,127,83,1,1,1,31,17,117,31,31,31,1,71,71,106,83,106,83,
31,83,31,71,31,83,58,31,58,31,58,17,58,17,71,71,106,31,95,31,
71,31,95,17,71,17,83,17,71,17,83,31,17,31,31,117,83,17,83,1,
83,1,83,1,31,1,83,31,95,31,95,31,1,31,31,95,31,95,31,95,
83,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,31,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,1,1,31,83,1,1,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,1,71,31,17,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,106,
106,106,106,106,106,106,106,106,106, };
static unsigned short stb__consolas_bold_14_latin_ext_a[560]={ 123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_14_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_14_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_14_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_14_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_14_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_14_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_14_latin_ext_s[i] + stb__consolas_bold_14_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_14_latin_ext_t[i] + stb__consolas_bold_14_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_14_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_14_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_14_latin_ext_x[i] + stb__consolas_bold_14_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_14_latin_ext_y[i] + stb__consolas_bold_14_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_14_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_14_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_14_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_14_latin_ext_s[i] + stb__consolas_bold_14_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_14_latin_ext_t[i] + stb__consolas_bold_14_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_14_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_14_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_14_latin_ext_x[i] + stb__consolas_bold_14_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_14_latin_ext_y[i] + stb__consolas_bold_14_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_14_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_14_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_14_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_14_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_14_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_14_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_14_latin_ext_LINE_SPACING
#endif

