// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT        168
#define STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_16_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_16_latin_ext_LINE_SPACING          11

static unsigned int stb__consolas_bold_16_latin_ext_pixels[]={
    0x207aa3d5,0x80000019,0x03550009,0x100004cc,0x01302201,0x0155540a,
    0x80260053,0x00000001,0x8820a600,0x00d554c0,0x00288000,0x39500000,
    0x2e1aa980,0xf983f71f,0xd1001fa6,0x201be05f,0x0ff205fb,0x2209fff9,
    0x3e20effd,0xf90df50f,0x01ffff09,0x1fea013e,0x3bb01fec,0x027ec07f,
    0x7f4417f2,0x3f57e20f,0x360ffff2,0x2fe8804f,0x1fa13fe6,0x7ecff440,
    0x307be983,0x2e3ffffd,0x7c43f71f,0x9001fa1f,0xfb81d31b,0xa80ae205,
    0x4fca981e,0x6e99ee88,0x85f987f4,0x03f203fb,0x3e600ba6,0x4c05f906,
    0x3db00efe,0x3a7b209f,0x440bfb85,0x0fc8db3e,0x409f3db0,0xfc880ee8,
    0xdc803f40,0x7f300dc8,0x2a73fa0f,0x3ee3f70b,0x0fd0ff61,0x20db5300,
    0x5fe883fc,0x201f9d50,0x20fc84fa,0x020001f9,0x00001f90,0x00000001,
    0x00fb0000,0x00007e40,0x743f9800,0x2204c407,0x4dcc4c41,0xb81fe218,
    0x3e23f71f,0x17ee7e85,0x037fff44,0x07eb50ff,0x5403efaa,0x545fc44f,
    0x89fa3f99,0x13fff25f,0x7fe40fc8,0x3ffa1fff,0xfffc86ff,0x7ffe41ff,
    0xc87f91ff,0x3ffffa3f,0x3fc87d86,0x00fc9fe4,0x23fffff9,0x21fe43fc,
    0x757f44f8,0xd13ea0df,0x3a27d41f,0x207bfe0f,0x2e3f71fb,0xdf57e83f,
    0x3f33fa01,0x981fb04f,0x0b2e07df,0x4fd44fa8,0x3a4ecffe,0xdca97e27,
    0xc83f204f,0x20bfeabf,0x646fcccb,0x20bfeabf,0x0bfeabfc,0x20fe8df3,
    0xe86fcccb,0x7f46f987,0x7f901f90,0x3e617fd5,0x3e207f46,0x7eefff44,
    0x1fd13ea5,0x83fa27d4,0x2e2efff9,0x3f61931f,0x0ef9fe81,0x3bb2bf30,
    0x982fb80f,0x0fff100b,0x2fb227d4,0x3a5ebf9f,0x3ea17e27,0x7e83f204,
    0x8df00bea,0xfd0bea7e,0x47fa17d4,0x137c05f9,0x47fa0bf5,0x203f25f9,
    0xfd0bea7e,0x7f417e63,0x3fc5fd0a,0x20fe89f5,0x207f44fa,0xf73ffeb8,
    0x7f41fa03,0x4bee01ff,0xf981fccf,0x13fffaa4,0x5407ffee,0x476ef44f,
    0x89fa4ebf,0x204fa85f,0x647f60fc,0x3637c01f,0xfd83f91f,0x4fb83f91,
    0x26f803f9,0x9f700efe,0x80fc87f2,0xb83f91fd,0x2203f94f,0xfe8fd4fe,
    0x0fe89f50,0x01fd13ea,0x01fbb7e4,0xf9fd01fb,0x7ccfe409,0x4f983fb9,
    0x0ff6ab2e,0x2a07f7fb,0x4f6e744f,0x89fa4faf,0x204fa85f,0x3ffea0fc,
    0x546f804f,0xfa84ffff,0x6f884fff,0x4cdf00df,0x2df104fc,0x5407e46f,
    0xf884ffff,0x57f40df6,0x50fe8fd0,0x2a0fe89f,0x3007f44f,0x54c7eedf,
    0x1fd05f70,0x27f207fd,0xf705f77c,0x3e27cc07,0x9f506f8e,0xafaedce8,
    0x5f89fa2f,0x3f204fa8,0x002a77a0,0x2a77a37c,0x0153bd00,0x401fe7e4,
    0x3206e86f,0x07e43fcf,0x90054ef4,0x3e207f9f,0x4ff13f44,0x507f44fa,
    0xd30fe89f,0x2e7ff999,0x3e63f71f,0x3ff17e84,0x329d5f70,0x5c1fd81f,
    0x3ea5feed,0x65541fd3,0xf9bd2adf,0x3f41dfff,0x7e554bf1,0x20fc82ad,
    0x802accff,0x5667fc6f,0x2accff82,0x001fff30,0x4c0fb0df,0x07e40fff,
    0x815667fc,0xf100fff9,0xfebbfe89,0x8fd13e63,0xf13f44f9,0x7dc7ffff,
    0x07fc3f71,0x40ffa9fa,0xfe8afef9,0x3f637c40,0x3f25fbbd,0x7ff45f91,
    0x91db6fff,0x27e81713,0x3fffa5f8,0x20fc86ff,0x05fffffc,0x3fff237c,
    0x7ffe45ff,0x0bfd05ff,0x01f61be0,0x01f90bfd,0x0bfffff9,0x4f8817fa,
    0x21fffff4,0x263fc5f9,0x4c43fc5f,0xfb8fdc09,0x4c417ea1,0x767fec00,
    0x221fe83f,0xfe97ea7f,0x1305fdcc,0x98001fb8,0x20fe604f,0xe8bf30fc,
    0x4cbf300f,0xf987f45f,0x7f407f45,0xc85f9801,0x640ff407,0x3a2fcc0f,
    0x201fe80f,0x047f43f9,0x7fb59fd0,0x7fb59fd0,0x3f703f20,0x09f707ee,
    0xff8801f9,0x84fc83ff,0x35ffbbff,0x0fffffff,0x9ef887f3,0x366a0398,
    0xa83f202f,0x3df50fda,0xd5591fe6,0x98f7d47f,0x4c7bea7f,0x13f6a67f,
    0x83feaac8,0x36a62df9,0x357f904f,0x3fcc7bea,0x2209fb53,0x03f41fea,
    0x827fff44,0x204fffe8,0xf71fb86d,0x0db0bb03,0x74017f10,0xf5fff504,
    0x3fb0beeb,0xff980fb8,0x3ffe04ff,0xf87fdc05,0x3ff20fff,0x7ffc1eff,
    0xffffc84f,0x7fffe41e,0x013ff21e,0x5c09ffff,0x09ff90fe,0xf91fffe4,
    0x7e43dfff,0x0ffe604f,0x001001fa,0x5c044004,0x4003f71f,0x00c98008,
    0x1fb01800,0x00c44fb8,0x13300262,0x99982200,0x10099881,0x4cc40133,
    0x20266200,0x99880098,0x04c41000,0x10266620,0x01310133,0x000c4010,
    0x88000000,0x00000621,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22044220,
    0x0000c409,0x03000006,0x00004410,0x4ccc40cc,0x00001999,0x00000000,
    0x00441000,0x10c41980,0x22133333,0x33099999,0x00262033,0x00099800,
    0x3efb6000,0x3fa27d43,0x881df500,0x880ebeff,0xdff105fe,0xd4f981d7,
    0x01ff981f,0x7fd41fd4,0x260fffff,0x5f6401ff,0x03bea03f,0x74417fa2,
    0x17fa205f,0x007f53e6,0x3fe61df5,0x7fe43f22,0xfffd4fff,0x3fffe9ff,
    0x401fdc4f,0xff101ffb,0x45fd100f,0xed882dfe,0x7f44fa84,0x7104d980,
    0x33607d93,0xc9b884d8,0xd93e883e,0xa8037620,0xfdaa883f,0x6ec40aac,
    0x30176400,0x6c66c09b,0x04d8cd84,0xe889b19b,0x26cc0d93,0x0fc9bfe6,
    0x235559f9,0xf1acfdaa,0x5c7ff95f,0x5ced403f,0x1fffb81d,0x3b206ec0,
    0x881315ff,0x1fd13ea1,0x13103530,0x03530188,0x54c01a98,0x5c0d4c01,
    0x84ffffff,0x409882fc,0x43553018,0x220c4098,0x26219999,0xaa980c40,
    0x03102621,0xff986aa6,0x3f21f92f,0x3e17e402,0x3fb93ee7,0xb0135300,
    0xa9807f7f,0xaafe8809,0xfa87f44f,0xfd107f44,0x27d41dff,0xffe883fa,
    0x7ff440ef,0x7ff440ef,0x7ff440ef,0x3f72a0ef,0x2fc82cce,0x07f44fa8,
    0x23ffffd3,0x907f44fa,0x7d4fffff,0xfd307f44,0x13ea3fff,0x7ff4c1fd,
    0xdf9f31ff,0x017e43f2,0x64ff0bf2,0x700fee3f,0xdf0fffff,0x3fea0df1,
    0x57f906ff,0xf50fe89f,0x3fa0fe89,0x3ea5ffbc,0x9fd07f44,0xcfe8bff7,
    0x67f45ffb,0x67f45ffb,0x3fa85ffb,0x7d417e40,0x9fd07f44,0x13ea1753,
    0x5554c1fd,0xfd13ea7f,0x5d4e7f41,0x0fe89f50,0x42ea73fa,0xfcafcbf9,
    0x5fffff90,0x77fc2fc8,0x0fee0dfe,0x5babffc8,0x40fe9fd4,0x44bacffa,
    0x4fa9fe99,0x44fa87f4,0xf8bf50fe,0xfe89f50f,0x0ff8bf50,0x50ff8bf5,
    0xf50ff8bf,0x7d40ff8b,0x5417e403,0xf887f44f,0xfd13ea07,0x9f53f401,
    0x0ff10fe8,0x43fa27d4,0x2fe607f8,0xf90fcef8,0xfc83999b,0x077f7fc2,
    0x7fc40fee,0xfc8fe400,0xf1017f42,0xd13ea9ff,0xfd13e61f,0x4bf61fdc,
    0xb87f44fa,0xfb97ec3f,0x3fb97ec3,0x43fb97ec,0x01fd42fd,0x13ea0bf2,
    0x0f7fc1fd,0x03fa27d4,0xd13ea7e8,0x40f7fc1f,0xf07f44fa,0x27f303df,
    0x5f90fffc,0xbfc2fc80,0x81fdc5fb,0xcfe804fa,0x1fe25fdc,0x7d41bf10,
    0x5f987f44,0xc85f937c,0xfe89f53f,0x3fc85f90,0x93fc85f9,0xf93fc85f,
    0x7d43fc85,0x5417e404,0xf307f44f,0x27d45dff,0x27e803fa,0x307f44fa,
    0x7d45dfff,0xff307f44,0x89fcc5df,0x05f90fff,0xd3fc2fc8,0xb81fdc3f,
    0x4cfff93f,0x27ffffff,0x43e805f9,0xd07f44fa,0x647fb59f,0xfa97e42f,
    0x2fc87f44,0x42fc97e4,0xc85f92fc,0xfc85f92f,0x155ffcc2,0x27d417e4,
    0xfd7103fa,0xfd13ea7f,0x9f53f401,0x75c40fe8,0xe89f53ff,0x7ff5c40f,
    0x7fe47f33,0x5999bf90,0x4b37fb2e,0xfb97ee7f,0x7f93ccce,0x2fb9ff2a,
    0x06f98fec,0x227cc098,0x7fff4c7e,0x3f627dc2,0x27e89f31,0xb8fec4fb,
    0xfb8fec4f,0x4fb8fec4,0x7fe40fec,0x982fc84f,0x3203f44f,0x7e89f36f,
    0x89f33f40,0x9b7e407e,0x3203f44f,0x7c47f36f,0xfffff90f,0x3fffffa9,
    0x87fc4ff4,0x56fffffb,0x3f67e89f,0x7f8a7dc0,0x3e63fcc0,0x1fb83fc5,
    0xff10ef98,0x4ff17e61,0x1ff10ef9,0x7fc43be6,0x3e21df30,0x221df30f,
    0x099880ff,0xbf301310,0xb7cc07f8,0x103fc5f9,0x3e2fccff,0xf9b7cc07,
    0x3e603fc5,0xf703fc06,0x3107ee01,0x7c409801,0x3601fa0f,0xf301ff46,
    0xfb59fd0d,0x7403ba07,0x743fecff,0x743fdacf,0x743fecff,0x743fecff,
    0x743fecff,0x903fecff,0x807e401f,0x23fdacfe,0x3ffccce9,0x0ff6b3fa,
    0xe89fd799,0x263fdacf,0x23ffccce,0x23fdacfe,0x3ffccce9,0x7c0bf910,
    0xc81df00d,0x20fe600f,0x07fccffc,0x3fea1fcc,0x88046dce,0x3204fffe,
    0xfffb107f,0x9fffd107,0x07fffb10,0x107fffb1,0xb107fffb,0x36c07fff,
    0xfe881b60,0x7ffc44ff,0x7ff443ff,0xdfffb84f,0x27fff440,0x0fffffe2,
    0x889fffd1,0x203fffff,0x3f600efc,0x6d8ffb06,0xfb807dc0,0x7c405fff,
    0x7fff544f,0x10008004,0x02001001,0x00080040,0x22002001,0x08004400,
    0x04004c40,0x40080040,0x40080098,0x01880098,0x20440110,0x400c4008,
    0x200c0008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22110088,0x4c0c3100,
    0x01100c41,0x80013530,0x0000cc19,0x3eeed800,0x00004410,0x00000000,
    0x00000003,0x22000022,0x000001cc,0xe881ffb8,0xf103fd9f,0x0fefb60f,
    0x263edfcc,0x203f22ff,0x3fee07f8,0xdcf987ff,0x37dcff0e,0x74413f20,
    0x3332e05f,0x1fd4f982,0x44077d40,0x5401fcde,0x2ff440ef,0x3a207f90,
    0x3efb205f,0x03ffea03,0x4407f7d9,0x3bea02fe,0x20bfa200,0x641db9da,
    0x2200dc8d,0x09db106f,0x7cc1deb8,0x2203f26f,0x57ff906f,0x837660b7,
    0x401ff17f,0x233602eb,0x406a604d,0x4c0d93e8,0x0eec404d,0xad413660,
    0x205f701f,0x3204d8cd,0x2ffe202e,0x8805d902,0x01366009,0x35300376,
    0x20035301,0x1a9809a9,0x2609a980,0x01f92fff,0xff8826a6,0x426a6000,
    0x2605fb7f,0x10310199,0x7fff4413,0x2620620e,0x30310660,0x4ccc0333,
    0x6fcc1999,0x99999987,0x98260311,0xa8199999,0x9999883f,0x7ffe4199,
    0x10009884,0xfa813333,0x3fa26fff,0xff500eff,0x7ff44dff,0xfffb80ef,
    0x57f3e67f,0x7ffdc0fc,0x4013ea7f,0xff6ffffa,0x7ffc0bf5,0x21fe44ff,
    0x2f3fa2fd,0xb0ff25ff,0xc8bfe65f,0x7ffffc0f,0xffffff84,0xff80a987,
    0x0fb7ffff,0x7fffc7f1,0x82fc87ff,0xfffffffa,0x213f2a60,0xffb003fb,
    0x67fd45ff,0x2f3fa4ba,0xcffa85ff,0x2f3fa4ba,0x5ffe45ff,0x36fe65ba,
    0x3f20fc9f,0x3ee5babf,0xfa8fff93,0xfff4bacf,0x657fc01f,0x43fe23ff,
    0xf17ea6f9,0x4c3fe21f,0xc9bfe66f,0x7e57fc0f,0x7666643f,0x5f89fe5f,
    0x57fb3332,0x323f887c,0x2a5feccc,0x221abfea,0x0aacfdaa,0x3fb84fa8,
    0xacfef880,0x7d40bfa0,0x3fa07fc5,0xff8bf502,0x4c01ff10,0x0fcdf9bf,
    0x7e401ff1,0xfe8ff953,0x07fbff02,0xc89f73fc,0x7dc5fb3f,0x7f917ec3,
    0xfff98bf6,0x27f81f92,0x3fe204fb,0x05f89fe0,0x19f21ff1,0x3fe205f1,
    0x3fffffe0,0xa805f905,0x803fb84f,0x7c41fcfb,0xfb0fee07,0xf703fc45,
    0x9f52fd87,0xbfb3f980,0x5013ea1f,0x3e27e89f,0x3fe3fe07,0x1fe4ff00,
    0x91be7fe2,0x223fc85f,0x7cc6f9ff,0xf81f95fc,0xfe80ff27,0x0bf13fc3,
    0xa8fb8ffa,0xfd02f99f,0x99ff9987,0xa805f900,0x803fb84f,0x7cc1faee,
    0xf90bf205,0xf902fcc7,0x7f73fc85,0x3f99fff2,0x3ee1fff5,0x7c4fff93,
    0x5f99fa0f,0x82fddfe0,0x80dfeeff,0x7e41fefc,0x3f217e42,0x6dfcc1fe,
    0x7fc0fc9f,0xf700dfee,0x2fc4ff0b,0x23ee2fdc,0xb81f9bfc,0x201be05f,
    0x27d402fc,0x3e601fdc,0xf31fffab,0x3217e40d,0xc81be62f,0xfc97e42f,
    0x7ccff953,0x7e43ffa3,0xfc8ff953,0x3e67fccf,0x3fe9fe06,0x00efeff8,
    0x9f70dff1,0x7fc41fd8,0xdf9bf986,0x7f7fc0fc,0x01ff100e,0x222fc4ff,
    0x7c7dc0ff,0x7c41f9ef,0x00bf100f,0x4fa805f9,0x7e403fb8,0xf10cdfa8,
    0x3627dc0f,0xb81fe21f,0xfa8fec4f,0x47f33f44,0x89f50ffb,0xffffb87e,
    0x7f81fe25,0x2ff03fe6,0x0bf205fb,0x7fc43be6,0xf982fc80,0xf81fbfb3,
    0x3fa0bf77,0x2fe4fd02,0x2fea0bfa,0x740fbfbf,0x013e602f,0x9f500bf2,
    0xff807f70,0x3fe81fdc,0x3e21df30,0x981ff40f,0x21ff10ef,0x41fa0ff8,
    0x0ff88098,0x80cc41fa,0x04c403fe,0x80ff4ff0,0x9ffd02fc,0x0bf207fd,
    0x7ffd4fe6,0x83fd3fc0,0x37f605fb,0x17ee5ffd,0x77c6efd4,0x9017ee0f,
    0x05f9003f,0x3fb84fa8,0x3ffffea0,0xdceffa81,0x3fb3ffa6,0xdceffa83,
    0x3fb3ffa6,0x7e67fe43,0x3201f907,0x907fccff,0x3bfea01f,0x007e46dc,
    0xc82fdcff,0xfffb102f,0x4c17e407,0xf03ffa3f,0xff12fdcf,0x7ccbdddd,
    0xff15faff,0x3e6bdddd,0x221ffb3f,0xb5eeeeff,0x3f200dfd,0x5bf95502,
    0x66677dc5,0xcdfa9f63,0x27fff541,0x407fffb1,0x224fffea,0xf703fffd,
    0x1b60bfff,0x0bffff70,0xffd501b6,0x7c06d89f,0x3203fe27,0xc800802f,
    0x2e3f982f,0xf13fc0ff,0x3fffe21f,0xf10187ff,0x26ffffff,0x44ff70ff,
    0xb7ffffff,0x3f20017b,0xfffffd02,0x7ffffdcd,0x7fd49f16,0x0100203f,
    0x80040080,0x80044008,0x00044008,0x00002201,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x75c00000,0x07dddb04,
    0x03553000,0x00088200,0x000000c0,0x08844000,0x00003530,0x8200c006,
    0xca800008,0x13100002,0x0000e540,0x026a6000,0x03fb8000,0x640b332e,
    0xfe983fbe,0x7f441fff,0x1fd4f985,0x3205fe88,0x01ff983f,0xd101df50,
    0x7df6c0bf,0x77ffec43,0x103bea00,0x881d7dff,0x260ebeff,0x7e81fd4f,
    0x05f9f700,0x7540bfd1,0xbe983fff,0x40efa807,0x40ffffeb,0x446ffffa,
    0x017e45fe,0x8813112a,0x3a05d901,0x540ba9cf,0x93e883f5,0x09b19b0d,
    0x6ec40bee,0xb026cc00,0x36209b19,0xebcfe84e,0x209b305f,0x883ec9b8,
    0x7443ec9b,0x05f50d93,0x36062130,0xff884d8c,0xbf981b9a,0x6c26cc07,
    0x20fecfff,0x44bacffa,0x3f64d8cd,0xf517a203,0x0660fe89,0x403fc431,
    0x99887df9,0x26620999,0x26620999,0x09980999,0x26004cc0,0x33331009,
    0xff17e613,0x02620621,0x4cc40266,0x09980999,0x0fd01be0,0x260c4098,
    0x2db800ef,0x13333310,0x367fffe6,0x880bfa0f,0x06099999,0x2a27ffe4,
    0xf987f44f,0xff83f22f,0x405cc01e,0x24fffffc,0x24fffffc,0x44fffffe,
    0x3e207ff8,0x1ffe207f,0xa7fffff4,0xc97ec3fb,0x2217ec3f,0xfffd07ff,
    0x7ff889ff,0x7e807f20,0x8fd13e60,0x2202fff8,0xfffd07ff,0x3ffea9ff,
    0xff10fd9f,0xfffffe80,0xdfd81d54,0x13ea3ffd,0x9bfe61fd,0x3ffe60fc,
    0x7fff542e,0x55567e44,0x2aab3f21,0x2b3f6aa1,0x80fffdc1,0xf701fffb,
    0xfb5503ff,0x90bf2359,0x4c3fe27f,0x1fffb86f,0x1acfdaa8,0x880fffdc,
    0x981fa05f,0x3fa3f44f,0xfb80dffd,0xfdaa81ff,0xffff31ac,0x17e61fb3,
    0x359fb550,0xd5f887ee,0x227d4fdb,0x5fff30fe,0xfd7103f2,0x6d565c7f,
    0xc80bf23f,0x02fc802f,0x3607f7fb,0x7fb03fbf,0x217e407f,0x917e42fc,
    0x360bf67f,0x3f203fbf,0x07f7fb02,0xbfe807ec,0x89f30dff,0x74dbe67e,
    0x3fbfd85f,0x3f60bf20,0xf30fd9ff,0x70bf200d,0x7c5fd43f,0x89f50fda,
    0xbf9f30fe,0x6fc803f2,0x2fc93e60,0x3200bf20,0xdf1df02f,0x41be3be0,
    0x3206f8ef,0x3627d42f,0x3e7fe22f,0x0df1df06,0x8ef817e4,0x413e606f,
    0x33fedffe,0x4fd333bf,0x1ff11ff8,0x206f8ef8,0x3fd702fc,0x01fe21fb,
    0x8bee17e4,0x1fb7bbfa,0x21fd13ea,0xfc9fdbf9,0xb71be600,0x7fe4bfdd,
    0x3ff22fff,0x2fc82fff,0x81fd3fa8,0xa81fd3fa,0x3201fd3f,0x8877c42f,
    0x1fefc87f,0x01fd3fa8,0x4fea0bf2,0x41fa00fe,0x26bf32fe,0x47ffffff,
    0x0ff8cffc,0x807f4fea,0x1fb002fc,0x7e401ff4,0xbf117e42,0x4f99fe9d,
    0xf37f33f4,0x33a61f9b,0x3f63ffcc,0x3f25fbbd,0x3f21cccd,0xfc81cccd,
    0x5f91fc82,0x85f91fc8,0x205f91fc,0xcffd82fc,0x6ff883fe,0x0bf23f90,
    0x8fe417e4,0x0bee02fc,0xf35f89fa,0x70ff999d,0xfc89ffff,0x3f205f91,
    0x541fb002,0xc86dceff,0x3617e42f,0x263fdcff,0x7f33fc5f,0x7c43f7f6,
    0x3e23ffff,0x2fc97ea7,0x3200bf20,0xdccfe82f,0x6e67f45f,0x6e67f45f,
    0x205f905f,0x3203fffb,0xb99fd02f,0x20bf20bf,0x05fdccfe,0xf13f437c,
    0x0fd13e6b,0x3fa1ff62,0xf905fdcc,0x503f6005,0xf909fffd,0x7442fc85,
    0xcfe83fff,0x4fe63fda,0x6c40fffa,0xff77ff07,0xf9017e4b,0x985f9005,
    0x27ffffff,0x7ffffff9,0x3fffffe6,0x5c05f907,0x417e402f,0x7ffffff9,
    0xff985f90,0x6407ffff,0xbf13f41f,0x80fd13e6,0x3ffe60ff,0x5f907fff,
    0x307f8820,0x217e407f,0x00ce83fc,0x313fffa2,0x407ff47f,0x5fff504e,
    0x666fe4bf,0x3337f22c,0x37fb2e2c,0xfd85f72c,0x1fd85f71,0x21fd85f7,
    0x82cdfecb,0xc83edff9,0x6c2fb82f,0x37fb2e1f,0xfd85f72c,0xfd17e201,
    0x44f9afc4,0x3b37e27e,0x3617dc5f,0x37fb2e1f,0x3f7be22c,0x701f503f,
    0x2259bfd9,0x000e4409,0xfb8fe601,0x0c00a80f,0x9fffff90,0x27ffffe4,
    0x29fffffd,0xda7dc0fd,0xfda7dc0f,0xffd27dc0,0x36a09fff,0x82fc81df,
    0xd27dc0fd,0x369fffff,0x2027dc0f,0xbf13f44b,0x44fd13e6,0xfd83eeec,
    0xffd27dc0,0xed989fff,0x740a602d,0x004fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c008820,0x0000000e,0x202b8003,0x88440001,0x22110000,0x0002d400,
    0x00000018,0x03eeed80,0x06000000,0x00000000,0x1ff98000,0x03fa9f30,
    0x7641b6a6,0xcde883fb,0xbeff881f,0xc817c00e,0x44f9803f,0x2a03fbed,
    0x7df6c0ef,0xf9836c03,0x81fec01f,0xed83f9dd,0x3ef7a3fa,0x6665c0df,
    0x7bd01fa2,0x7ec01bff,0xd500fea4,0xff909fff,0x9dd83fff,0x3ffeb83f,
    0x37620ff6,0x8d93e880,0x206fffe8,0x376202ec,0x7d937101,0xf701f880,
    0x883f9005,0x136604ed,0xd88276c4,0xd881ffff,0x40bf200d,0xfb00efe9,
    0xfedffe89,0x26666623,0xffe80fd0,0x5fb03fed,0x65c05f88,0x3f23fdaa,
    0x4c0bfeab,0x6fd40efe,0x87f93fda,0x20999998,0x20999998,0x44ffccfe,
    0x20999998,0x26009998,0x7f540c41,0x266620ff,0x8bf10099,0x20999998,
    0x80999998,0xf9fd0099,0x99988399,0x00000099,0xbf32fe80,0xa7fffff4,
    0x997f407e,0x17dc005f,0x7e93e600,0xd0080bea,0x85f96f8f,0x24fffffc,
    0x34fffffe,0x83fbb2bf,0x24fffffc,0x43fffffa,0x83f22ff9,0x20dfdffa,
    0x04fffffc,0xfffc85f7,0x3fff24ff,0x3ffc44ff,0xd02fb7cc,0xb89fffff,
    0xfeb83ffe,0x3ffeb83f,0x2a5f89fa,0xfd1acfda,0x3f41bfd5,0xffd88bf1,
    0x5c00722f,0x3f65feed,0xfea83f91,0x3bfe24ff,0x85f97fee,0x21aaacfc,
    0x71acfdaa,0x87f33e5f,0x21aaacfc,0x3ffcadfa,0x0fc9bfe6,0x321ae7fa,
    0xd01aaacf,0x5559f90d,0x55567e43,0x20fffdc1,0x500fdff8,0x54359fb5,
    0x2a3fdadf,0x2a3fdadf,0xfd3fdadf,0x17e42fc4,0x97f77ffa,0xf897e27e,
    0x76c3dcdf,0x3f60effa,0x3ea5fbbd,0xacb84fff,0x9df13fda,0x0bee9999,
    0x5f9005f9,0xb9f99fc8,0xa80bf23f,0xf99fe64f,0x7c1f92ff,0x05f90b97,
    0x5f907f50,0x36017e40,0xffa83fbf,0x0bf202ef,0x3f4df1fa,0xb7c7e9be,
    0x3217e27e,0xff17f42f,0x64bf13f4,0x6ffec04f,0x54ff14fd,0x02a77a5f,
    0x0ff27cc0,0x0bf217dc,0x3f90bf20,0xfc8beef9,0xfd13ea02,0x657f3e63,
    0x426dfe0f,0x0fd802fc,0x3f202fc8,0x37c77c02,0x04fffd88,0xeff885f9,
    0xdff17fee,0x3fe2ffdd,0x4fd7feee,0x42fc85f8,0x7e87f47e,0x00fe97e2,
    0x26f8a7ec,0x25ffbbff,0x702accff,0x7e4bfddb,0x3f72baae,0x2fffffc8,
    0x57dc2fc8,0x7e43f94e,0x3ea2ffff,0xbf997ec4,0x320fc9fd,0x3208becf,
    0x442fffff,0xffff904f,0x7fffe45f,0x7f4fea2f,0x0ff5b900,0x9df10bf2,
    0x3be29999,0xdf14cccc,0x9fa99999,0x42fc85f8,0x7e87f47e,0x00fe97e2,
    0x54df07ec,0x325fafff,0x6c5fffff,0x645fbbdf,0x3d53ffff,0x1cccdfc8,
    0x77cc2fc8,0x320fe8af,0x2a1cccdf,0xf98ff44f,0x20fcdf9b,0x21ffffe9,
    0x41cccdfc,0x9bf901fc,0x66fe4399,0x647f21cc,0xdf19b02f,0x1fe0bf20,
    0x07f80ff0,0x3f213ea0,0x0ff13f42,0x07fb0131,0x21be0fd8,0x17e63f51,
    0xa9fe21fd,0x183f905f,0xfc802fc8,0xfecffd82,0xf5017e43,0xf987fc49,
    0x701fbfb3,0x17e417bf,0x7e40df10,0xe80bf202,0x265fdccf,0x03ffefdf,
    0x5df905f9,0x577e4575,0x2bbf22ba,0x2fea82ba,0x5ff42fc8,0x0fc83feb,
    0x3dcdff98,0x40df07ec,0x23df50ee,0x5dffc7f9,0x41df05ff,0x017e43fc,
    0x7fc417e4,0x02fc83ff,0x25fc93ea,0x1fff53f9,0x5f901f30,0xf9017dc0,
    0x9817e405,0x27ffffff,0x02dfffd8,0x7fe40bf2,0x7ffe43ff,0x7fffe43f,
    0x65c3ff83,0xffb2cdfe,0x81b607ff,0x6c2fffea,0xfc81be0f,0x3bffff27,
    0x7d7ffd41,0x7e4dfb05,0x6666fe42,0x337fb2e2,0xc802fe22,0x2a2cccdf,
    0x21fffcef,0x03ffa3f9,0x66fe41ea,0x901fa2cc,0x645999bf,0xf72cccdf,
    0x7cc1fd85,0x37fb2e00,0x8801102c,0x13004400,0x9fffffd0,0x00440088,
    0x7c1fb008,0x26204406,0x1000c009,0xfffc8081,0x3fffa4ff,0x003264ff,
    0x49fffff9,0x40cefffa,0x03fee3f9,0x7ffe41ae,0x805914ff,0x24fffffc,
    0xb4fffffc,0x544fb81f,0x7ffff407,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6c1f776c,0x00003eee,0x04410000,
    0x00000000,0x04410000,0x004c0010,0x00000000,0x00000000,0x208000ee,
    0x00000008,0x2cccb800,0x202cccb8,0xf90dfa98,0x8803ffd5,0x3f57e25f,
    0x74404fd8,0x202fdc2f,0x37a6dafa,0x7c40dffb,0xdff10fd5,0x1bea01b5,
    0xfb85fd10,0x3f9dd805,0x05d9df70,0x7f403bee,0x7e404fc9,0x09fb04fa,
    0xd83f57e2,0x17f4404f,0x2fc817ee,0x01333331,0xffa80133,0x9bff95ff,
    0x25f880df,0xdb0db3e8,0x3ba209f3,0xb80bf300,0x37ffa0ef,0xd9f445fd,
    0x4fd9c886,0xe8817e60,0x80bf300e,0xf980efe9,0xfa80cfff,0x4fe40eda,
    0xcfc802fb,0x4f9ed81f,0xb0db3e88,0x3a209f3d,0x20bf300e,0xffff95ff,
    0x07ff889f,0xc86fd4c4,0xf101fa5f,0x0000000b,0x2fe80000,0x000001fe,
    0x00000000,0x3fd9b980,0xc8000000,0x0000002f,0xa8000000,0x5559f91d,
    0x01fffb83,0x649fffd7,0x3ae0622f,0x89fe5fff,0x5f89fe5f,0x7c5f89fe,
    0xfb117e27,0xfd1fa5ff,0x03fffc81,0x2207fff9,0x7e42fffd,0xfff903ff,
    0x0ffff207,0x407fffdc,0x642fffd8,0xfb103fff,0x7e405fff,0xffd703ff,
    0x07ffd707,0x2e07ffd7,0x7e403ffe,0x1fdfec02,0x27e5f7e4,0xefc805f9,
    0x89fe5fcb,0x5f89fe5f,0x7c5f89fe,0xff897e27,0xe8fd3dcd,0x3f3bf20f,
    0x7e77e44f,0x66ffc44f,0x3f3bf23d,0x7e77e44f,0x7e77e44f,0x6df7e44f,
    0x66ffc43f,0x3f3bf23d,0x567f444f,0x9df902fe,0xadfa89ff,0x2b7ea3fd,
    0x2b7ea3fd,0x56fd43fd,0x0bf203fd,0x88df1df0,0xfc93e66f,0xf89fe202,
    0x25f89fe5,0x7f97e27f,0x44ff17e2,0x7413f25f,0x6f89fe27,0x26f89fe2,
    0x827e47f8,0x89fe26f8,0xf89fe26f,0x7f89fe26,0x09f91be6,0x47f89be2,
    0x20bf24fb,0xd1fe26f8,0xf1fa6f8f,0xd1be3f4d,0x43266f8f,0x22fffffc,
    0x4c1fd3fa,0xfc93e64f,0xf893e602,0x25f89fe5,0x7f97e27f,0x44ff17e2,
    0x7403fa5f,0x2a3febbf,0xfa87f44f,0x1fd07f44,0x1fd13ea0,0x21fd13ea,
    0x987f44fa,0x3fa3fc4f,0xfe89f500,0x2fc87f60,0x87f44fa8,0x7feeeff8,
    0xffdddff1,0x3fbbbfe2,0x3bbbfe27,0x7e57fe7f,0x3f21cccd,0x27d45f91,
    0x017e49f3,0xf2fc49f5,0x4ff2fc4f,0xf89fe5f8,0x4bf13fc5,0xfffd00fe,
    0x744fa87f,0xfe89f50f,0x7d403fa0,0x4fa87f44,0x44fa87f4,0xf8bf50fe,
    0xfa807f47,0x3fb07f44,0x27d417e4,0x677c43fa,0x9df14ccc,0x3be29999,
    0x3e24cccc,0x364cccce,0x7405f93f,0x265fdccf,0x2213f26f,0x2e5f9809,
    0x5fc9fa5f,0x3a5fc9fa,0x4fd17f27,0x40ff65fc,0xff3008fe,0x4ff33fc4,
    0x81fec7f8,0x99fe27f9,0xf99fe27f,0x6f99fe27,0x07fb1be6,0x47f89fe6,
    0x05fd12fc,0x23fc4ff3,0x203fc07f,0x807f807f,0x7cc0bf20,0x747fffff,
    0xc84ffcdf,0xfb9fd00f,0x7eefecbf,0x3f77f65f,0x3f77f65f,0x7eefec5f,
    0x337fe65f,0xfd00fd3d,0xfe87fd9d,0x7cc3fece,0x3fa3dcdf,0x7f43fece,
    0x7f43fece,0x7f43fece,0x7cc2febe,0x3fa3dcdf,0x7d43fece,0xd02ffebe,
    0xc87fd9df,0x322baaef,0x322baaef,0x642baaef,0x202baaef,0x72cccdfc,
    0x261fd85f,0xd84fafff,0x2bffe606,0x2bffe65f,0x2bffe65f,0x2bffe65f,
    0x57ffcc5f,0x7fff545f,0xfb100fd2,0xffb107ff,0x3ffaa07f,0x3fff622f,
    0x3fffd883,0x83fffd88,0x503fffe8,0x6c45fffd,0xff903fff,0x36205f7d,
    0xff903fff,0xfffc87ff,0x7fffe43f,0x3ffffc83,0x3fffff20,0x4fb81fb4,
    0x80088008,0x01801800,0x40030018,0x02000c40,0x80100040,0x02001000,
    0x80100040,0x10001000,0x11002200,0x08800880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00804410,0x80000000,0x00000001,0x00000080,0x010b2200,
    0x26002000,0x00010201,0xeec80000,0x0000003e,0xd705fd10,0x3fd0bdff,
    0xd5f889f9,0xdaeff88f,0x4404fd80,0x02fdc2fe,0x3609fff9,0x3a203f9d,
    0x109fb02f,0xd81b5dff,0x7fe43fae,0xfa8cc07f,0x7c4bfd11,0xf1077c43,
    0xfa81b5df,0x07edbe03,0x7ec427ec,0x7d76c2ff,0x85999703,0x2207fffc,
    0x42fc83fe,0xefc80ee8,0x4fe45fcb,0xb3e882fb,0x4fd9c88d,0x104f9ed8,
    0x17e601dd,0x0ff6b7ee,0x4403bfa6,0xf3db00ee,0x4fd9c889,0xdfc89fb0,
    0x4fea04aa,0x47e3b26c,0x20ff885d,0xa84fd9c8,0x7657a03f,0x127cf6c0,
    0xb07b9bff,0x3f20009f,0xdd104aad,0x8017fe03,0x017e27f8,0x00000000,
    0x0fe80000,0x000007f5,0xb0000000,0x0fea007f,0x0fabfae4,0xfb800330,
    0x004fffff,0x0027e400,0x27fff540,0x200007fb,0xbfff99da,0x893e64ff,
    0x5f89fe5f,0x44fffea8,0x544fffea,0x7544fffe,0xfea84fff,0x7cdfa4ff,
    0xbf13fc0f,0x907fffc8,0x27f8ffff,0x7ffe45f8,0x073ffea7,0x3fffffee,
    0x3e7f7ea4,0x7bd13203,0x372a1bff,0x3f22ccef,0xfffc84ff,0xf9007f44,
    0xcb83ffd5,0xff53fdaa,0xfffc839f,0xfb375004,0x93ea3f9b,0xf89fe5f8,
    0xfdaacb85,0x3f6ab2e3,0x3f6ab2e3,0x3f6ab2e3,0x7ed565c3,0x207fafd3,
    0xfc97e27f,0xdfc84aad,0xf13fc4aa,0x2556fe4b,0x507fff26,0x8599dfb9,
    0x2206d9b9,0x76fff46e,0xa81fd43f,0xdca84fdc,0x9007f44f,0x80df9bff,
    0x3ff264f9,0x13f72a1f,0x9fc7ea00,0xf97ee5f9,0x26017e27,0x813e604f,
    0x13e604f9,0x7dfa9f30,0x3e27f80f,0xfb00ff65,0xbf13fc07,0xfc801fec,
    0x5007f504,0x1bff603f,0x457e65fd,0x80eeefee,0x13ea04fa,0x2fe407f9,
    0xfddb70fd,0x2a13f20b,0x5c7ae04f,0x24feefec,0x25ffdcfe,0x5c17e27f,
    0x6dc5feed,0x76dc5fee,0x776dc5fe,0xfeedb85f,0x07bf2fd5,0xf52fc4ff,
    0xff5039ff,0x227f839f,0x33ffea5f,0x3faaaf21,0x8807f502,0x3ee1cabf,
    0xf13f419d,0x33bf722b,0x204fa80c,0x6ffcc4fa,0x88bf23dc,0x7ddefec1,
    0x5fd55795,0x7f409f50,0xabfccfbe,0x2fffe61a,0x5f89fe5f,0x5fbbdfd8,
    0x97eef7f6,0x25fbbdfd,0x45fbbdfd,0xd5fbbdfd,0xff07fe4f,0x3f262fc4,
    0xffc981ff,0x5f89fe1f,0xd8fffe4c,0x2a04ffff,0x7d76c03f,0x205fb0fd,
    0xf517e27e,0x204fa809,0xffe984fa,0x880bf22f,0x7ed7ea7f,0x9f504fff,
    0xab77fd40,0x5f88401f,0x445fc9fa,0x7c57ea7f,0x3fc57ea7,0xa9fe2bf5,
    0xfa9fe25f,0x22fd8fd5,0xc817f27e,0xd27e404f,0xf902fe4f,0x20054c49,
    0x27ea04fa,0x17ee7d5c,0x98bf13f4,0xfa82abff,0x4c13ea04,0x402fc83f,
    0x45ffbbff,0x13ea01fc,0xeafcdf88,0x2200a9df,0x3f77f65f,0xfbbff85f,
    0x3eeffe5f,0x3eeffe5f,0x3eeffe5f,0x7ddffc5f,0x3aaefd5f,0x3f77f60f,
    0x3aaaf25f,0x7555e42f,0x3f77f62f,0x3aaaf25f,0x2007e42f,0x222abff9,
    0x25f1d73e,0x3a2dffe8,0x3f217e27,0x3f2aa4ff,0x3f2aa2ad,0xc83dc2ad,
    0x7ffd402f,0xa83645fa,0x222adfca,0xcfe98eec,0x2201fffa,0x2bffe65f,
    0xafffa85f,0x2bffea5f,0x2bffea5f,0x2bffea5f,0x57ffd45f,0x3ffefd5f,
    0x7d7ffcc3,0x13ffff65,0x313ffff6,0x6cbf5fff,0x6d84ffff,0x49fff900,
    0x117fa26c,0x13f49fd9,0x3a04c0bf,0x3a6fffff,0x4c6fffff,0x2005f901,
    0xfe80d401,0x3266ffff,0x40062083,0x06001809,0x20060060,0x02003001,
    0x00988030,0x006004c4,0x00440131,0x80000260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x207ddd90,0x5403eeec,0xf0c40984,0xa8827ccf,0x00500001,0x3bb20000,
    0x0000003e,0x10000000,0x3c800000,0x30007900,0x00000001,0x204ccd4c,
    0x65c04eec,0x999702cc,0x262f4405,0x4ff3f44f,0x7fec44f9,0x3fa200df,
    0x3f44fc82,0x200efa80,0xed82cccb,0x3fa203fa,0x213fff22,0x2600ffff,
    0xfd1019fe,0x9ec83b7d,0x9fff905e,0x213107f3,0x5fd104f8,0x7f11ff5c,
    0x3f887fa6,0x1fc43fd3,0x9ffffff3,0x027ee7e4,0xffc80000,0x3a27cc4f,
    0x44f99fe7,0x04fd9cfd,0x3ee01dd1,0xd3003f43,0xfd80001d,0x303ba204,
    0xd5509f95,0x7fffc01f,0xfd9c880f,0x0f7f440d,0xfbcfca98,0x3f53fb80,
    0xd501dd10,0x3f932ec9,0x43f932ec,0x7e5ffc5d,0x5f9be1ac,0x20ffff20,
    0xfd97e27f,0x3e63ffdd,0x4cff3f44,0xf897e64f,0x2020000f,0x5c00007e,
    0x00003ffe,0xe80a7d40,0x27fa600f,0x40000001,0x1fdc04fa,0xaaf6c000,
    0xfa8fcc0f,0x0fa8fcc0,0x417dcfee,0x904fa8fe,0xf89ff9df,0xafc57e27,
    0x13e67ede,0x9f33fcfd,0xffe89fd4,0x3fffff61,0xd13fff24,0x901bff7f,
    0xbf509fff,0x5ef47fb5,0x2f7a0dff,0xdfa80dff,0x400fe84e,0x642dc8fe,
    0xffc84fff,0x04fa804f,0x5f901fdc,0x6d543ffd,0x9f983f8e,0x89f983f8,
    0xfb8fe43f,0x05fefa82,0x23fc4df1,0x7d57e27f,0x30fdaf8b,0x9fe7e89f,
    0x2abee4fd,0x32e2fdff,0x32a3ffcc,0x6fff44fd,0xfdca83fe,0xd37c7e84,
    0x747fdbff,0xb83fedff,0x0fe82eff,0xffdfd02a,0x27ee545f,0x4027ee54,
    0x1fdc04fa,0xdf9bff90,0x836c5654,0x5106d8a8,0x21fb0db1,0x3ea2fffb,
    0x4fa8535f,0x44ff07f4,0x2f77f55f,0xe89f30fd,0x3ff77fe7,0x1bfdf71e,
    0x17f203f9,0x4bfa27d4,0x13ea05f9,0xffdddff1,0x25f997f4,0x44bf32fe,
    0x3fa05ffd,0x5fe8dfb0,0x09f509f7,0x7d4027d4,0x901fdc04,0xfa83f4bf,
    0x200fd401,0x71fd81fa,0x3be6159f,0x7d47cafe,0x4ff07f44,0x9dbf15f8,
    0x744f99fe,0x3a37ffe7,0x6c7ff53f,0x00efa80f,0x227e89f5,0x113ea05f,
    0x499999df,0x7e97e27e,0xfcea97e2,0x7f43fa04,0x4f987f47,0x3ea04fa8,
    0x404fa804,0x8bf203fb,0xa8bf8818,0x2cabf882,0x22a8bf88,0xc85f71fc,
    0x47eff89f,0xd1fe27f9,0xffb2fe4f,0x27cc7fb9,0x0c0ef9fa,0x437c4df1,
    0x3ea01ff8,0x0bf13f44,0x03fc27d4,0x3a5f89fa,0xf5097e27,0xc987f409,
    0x09f33f41,0x27d409f5,0x2e027d40,0x00bf203f,0x6c2fedb6,0x6d83f996,
    0xba7dcbfb,0xf98fec2f,0xecefe84f,0x7eefec3f,0x3fffa25f,0x664e7cc3,
    0x3601fe6f,0xe82febdf,0x227d402f,0xa817e27e,0xaaefc84f,0x5f89fa2b,
    0xa85f89fa,0x003fa04f,0x5427ccfd,0x013ea04f,0x7f7013ea,0x2a017e40,
    0x545bea9f,0xfa83ee1f,0x3e25bea9,0x72cdfdcf,0x0bff75df,0x307fffb1,
    0xe8bf5fff,0xf39f300c,0x403fc3df,0xc82fffd8,0x2a2cccff,0xfd2adfca,
    0x65542fc4,0x7fe42adf,0xf89fa3ff,0x25f89fa5,0x12adfcaa,0x0157fd55,
    0x2a4f99fa,0x2a2adfca,0xa82adfca,0x702adfca,0x647999df,0x74fa202f,
    0x47d12fee,0x27d10bfc,0x3a62feee,0x324fffff,0x04fddfff,0xc8806002,
    0x0cc04001,0xffe80200,0x3ffa4fff,0x44fd6fff,0xffffe85f,0xfd01106f,
    0x44fd2fc4,0x3ffffa5f,0xfffff56f,0xf99fa05f,0x3fffffa4,0x3fffffa6,
    0xfffffe86,0xfffff706,0xd9017e4d,0x6c8764c4,0x364fffe2,0x0201d931,
    0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9802aa60,
    0x84d4c01a,0x40199998,0x26a60098,0x00015100,0x80262000,0x81310001,
    0x98033018,0x035301aa,0x80333331,0x3fc00098,0x21fe4bf1,0x333313fc,
    0x200cc333,0x19999998,0x40002a60,0x104c4098,0x313ffff2,0xa81dfffd,
    0xff96ffff,0xfd883fff,0xfffb82ff,0x7f7f447f,0x027ffe45,0x3fee09fb,
    0x03fd80ff,0x7d47f5db,0x3ea07f44,0xffffd303,0x77fff443,0x1fffff20,
    0xe8fffec4,0xbf13fc07,0x43fa37cc,0xfeeeeefa,0xffa80ff0,0x4c0fffff,
    0x3a64ffff,0x6f986dc2,0xaafc87f4,0x3a1ffa9a,0x2a4fb8af,0xf94bacff,
    0x7c41999b,0x7e40abcf,0x6f45babf,0x654cbd10,0x9f3db04f,0x0baaefa8,
    0x3f602fc8,0x3fa27d44,0xfe81fd40,0x3fa0ba9c,0x2a65ffbc,0x9fb07faa,
    0xf01fa175,0x3fa2fc4f,0x4ed4bf31,0x3fe1f0bd,0x55441cde,0x740aacfd,
    0x3e22b9bf,0x6c6fbcaf,0x7e47f72f,0x9fe2fc82,0x40bfa5f8,0x0bf600fc,
    0x2a00ff88,0x83f3bb37,0xfb0004fa,0xa8000001,0xfb87f44f,0xf14fffff,
    0x3e2fd40f,0x3e0fd00f,0x7f80fd07,0x29f717e2,0x2a36a1fc,0xdff0f8fd,
    0x3f205fff,0xa80df102,0x441fffff,0x7dc6f8ef,0x3f23f4c1,0xff11fd9d,
    0x404dfe40,0x5409a8ff,0x7c66404f,0x4fa87d3d,0xff4f83f4,0xfffffd80,
    0x3fffff64,0x0fe89f54,0x599dfb95,0x7dc0f7fc,0x7e817ec3,0xb9fa0df0,
    0x5f89fe5f,0x546fb7c4,0x7f87d7c5,0x17e41fea,0x7d405f88,0xdf905fb3,
    0xf91ea85f,0xfffb05ff,0xf902fcc7,0x7fc4bfff,0x3ee2ffff,0x5f4fff93,
    0xf51360fb,0x3f887d89,0xcccb80ff,0x3332e3ff,0xe89f53ff,0x981fd40f,
    0x3f22efff,0x7e81fe42,0x3bbffba6,0x077d5fa5,0x642fe4fd,0xcad43fcf,
    0x8ff0f8fd,0x3ffaa0ff,0x3ffaa1ee,0x2a7c85ee,0x00bff03f,0x4c7ff953,
    0xf31ffdff,0x75ccc40d,0x737ff34f,0xca9fe4ff,0x87eefa7f,0x3227d44d,
    0x2f99ea8f,0x2fe400ff,0x27d4bf90,0x07f503fa,0xc9fff5c4,0xe817e42f,
    0x33ff3267,0x3be7fa4c,0x7feefec0,0x40fff985,0x43e17f5a,0xd51fe27f,
    0x6cc3ddff,0xfc83ccef,0xecb85f51,0x0bea2cdf,0x50fe9be2,0x801fe2df,
    0xe8df15fa,0x7e89f50f,0x757fe372,0x3ee27d43,0xf1facfd9,0x03bea00f,
    0x9f3077d4,0x03fa87e8,0x13eedf90,0x41fa03fb,0x3fffd06f,0xbf5fff30,
    0x56a17fa0,0x57fc3e0a,0x5f903feb,0xf5017e20,0xcb81fd5b,0x1ee2cdfe,
    0x46f8b7cc,0x400ffa7f,0xe83fe5fb,0x7e83fe27,0x26f263ea,0x2627d40f,
    0x0fbfffbf,0x3ff100ff,0xf307fe20,0x4fa87f8b,0x3e6df300,0x101ff10e,
    0x741be0ff,0x54604fcf,0x503fd01f,0xf87c5f1b,0x3202efff,0x80bf102f,
    0x42fffffc,0x209bfc98,0xff957719,0x7e567fc7,0x373bfea4,0x3ffb7776,
    0x27edf7e4,0x1ff33ff2,0x07f513dd,0xfef889f5,0x01fe7efb,0x2fe80bfa,
    0x7fb59fd0,0x2557ff30,0x3ffccce9,0x8ffb3ffa,0xf04febcc,0x3fa3fa0d,
    0x53077403,0x5d6a09fb,0x00ffc3e0,0xfd982fc8,0x3ea3ccce,0x20ff898d,
    0x04fffffe,0x985dfffd,0x540cfffe,0xffb4fffe,0xfff903bf,0x3fffee09,
    0x43fffc85,0x22adfcaa,0x7cdff6ff,0x667fe407,0x333ff22c,0x3fffa22c,
    0x53fff204,0x43fffff8,0x5c3fffd8,0xdf00dfff,0x0ffc5fa0,0x7fe4ff90,
    0x3fffea04,0x00ff0fff,0x7fd417e4,0x3226ffff,0x2fb81d40,0x18800980,
    0x00110100,0x40044006,0xfffffd00,0x5fd9ff4d,0xfffd01fe,0x7fff49ff,
    0x400104ff,0x80098809,0x37c00400,0x03fea7e8,0x00262088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x99800999,0x33333300,0x88015303,
    0x00c31009,0x30198153,0x26666201,0x01881300,0x40266613,0x884c4098,
    0x26600999,0x33331009,0x9804c413,0x01310cc1,0x33310062,0x260cc133,
    0x882604c1,0x26099999,0x31199999,0x26661310,0x3fffe201,0x0fff103f,
    0xfffffff1,0x827fff4c,0x2d906ff8,0x7ffd41f9,0xf70bf64f,0x3ffff609,
    0x362ff542,0xfff3f887,0x26fa8bff,0xfff50ff9,0xfff887ff,0x7fff43ff,
    0x413ea4ff,0xfb9bee7f,0x6401fb03,0xf14fffff,0xf89fee3f,0xfff937c6,
    0x7fffc7ff,0xd87f97ff,0x9fffff2f,0xfcaef881,0x1fffb83f,0x7ee66644,
    0xfd35ff16,0x20dffb05,0xec81f56d,0x9f72ffbb,0xef881fd8,0x3ffa0acf,
    0x7c43e45f,0x7fb55ff3,0x47fb2fd8,0x3ffcadfa,0x3ff2bbe2,0x2b3f6aa3,
    0x3e093ea1,0x7dc1ff17,0x6401fb03,0xf31aaacf,0xfd9ffa7f,0x93ffeeef,
    0x6415559f,0xf15feccc,0xff9be61f,0x7c45feaa,0x3f61fe65,0x2fd803fb,
    0x22fcc9f5,0x74c6fbfa,0x02efeeff,0x23fc4fee,0x3f9f707f,0xc8bf3790,
    0x6f97c467,0x3df317e6,0x264fa8df,0xf997e27f,0xfa82fc87,0x6dfe2eac,
    0xd81fdc2f,0x40bf200f,0xfdf8eef9,0xfdddffb0,0x400bf27f,0x4ff20ff8,
    0xf89fe2fd,0x3fa2fc47,0x037c77c1,0x25fa9be2,0x7dba26f8,0x7677e446,
    0x8ff201cf,0x209f31fe,0x2601faee,0x7d47dc5f,0x64df2f99,0x2fffd83f,
    0x47fa27d4,0x20ff45f8,0xfffa82fc,0x17ebfe0d,0x07ec0fee,0xa817e451,
    0x0fbfbfbf,0x326f8df1,0x87fd002f,0x7c6f9ff8,0x3ffe3fc7,0x7d45fb4f,
    0x7e401fd3,0x36f3fe23,0x37c7f27f,0x880d93f8,0x64ff20ff,0xfabf982f,
    0x45f981ff,0xf9bfc8fb,0x0bfffff1,0x3ea1bfe2,0xfff97ec4,0xfc85fb4f,
    0x40f7f542,0xfb80ffff,0x3e21fb03,0xfffff94f,0x33fe7ea5,0xddff10fa,
    0x777e4dfd,0x05fb81ee,0x7f83fdf9,0x9df91bea,0x1fc87fa5,0x1fe205f9,
    0x5bfbffea,0x221be4f9,0x7440bb2f,0xfeafcc2f,0xdfa8fc80,0x5c5f980c,
    0x1f9eff8f,0x0bfd95ff,0xfa81fff5,0xefc8ff44,0xfc83fd2c,0xf827fec2,
    0x3fb83fdf,0x3fe21fb0,0x3999bf95,0x2abf63ea,0xdddff11f,0x7777e4df,
    0x807fc41e,0xeff86ff8,0x2fc41fff,0x67f41ff1,0x7f905fdc,0xcafcc440,
    0x2effeeef,0xfffffff9,0x3e07fd10,0x9ff05f9f,0x2fcc03fb,0x2fefefea,
    0x7fc4df0f,0x22feff40,0x43fe24fa,0x03fe25f8,0x4fa885f9,0x81ff1ff0,
    0x41fb03fb,0x205f90ca,0x3f57b8fb,0x64df1be2,0x017f402f,0x3bfe0bf2,
    0x25f880bc,0x3ffe65fc,0xff887fff,0xfb2fd800,0x27ffffff,0x2dfabfc9,
    0xf9017f44,0xfff507fb,0x2fcc03ff,0x3be377ea,0x37c4df0f,0x87fe33ee,
    0x897f24fa,0x3217f25f,0xf04fa82f,0x7f717eef,0xfc803f60,0x3f50f702,
    0x64df1be2,0x017ee02f,0x01fe0bf2,0x3fff3be2,0x3fb0bee1,0xb9703fc8,
    0x86f80bff,0xe83f88fa,0x545eeeff,0x27d80fff,0x32e1cdfa,0xff34cefd,
    0x7fc3ff67,0x3e23fecc,0x7d4df70f,0x221fffce,0x21fffcef,0x22cdfecb,
    0xf4cccefa,0xdf71ff4f,0x37f67999,0x37f21ccc,0x30f92ccc,0xdf1be25f,
    0xff8817e4,0xfc85eeee,0xf8807f82,0x7ec0ceff,0xff127dc0,0x0b7ffa01,
    0x45ee1be0,0xfffff82f,0x437fc47f,0x3ffea4f8,0x3fffffa3,0x3ee1ff37,
    0x0b3bffe7,0x52ff89f9,0x8819dfff,0x740cefff,0x2a4fffff,0xff7fffff,
    0xffb87fcc,0xfffb6fff,0x7ffe47ff,0xf30f94ff,0x4df1be25,0xfff102fc,
    0x5f90ffff,0x00000ff0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdd700000,0x0c41989d,0x04c03333,
    0x99998862,0x00000199,0x03300054,0x00064c00,0xf0000000,0x5512fc4f,
    0x02880001,0x00000030,0x640002a2,0x64004fff,0x7e9fe43f,0x666549f0,
    0xfc8bfe63,0x89fffff0,0xf53f44f9,0x21ffffff,0x4ffbfff9,0x27f4f7e4,
    0xf5003ff3,0x7fff541f,0xb103f704,0xfeb85fff,0x3fffc83f,0x3e7fffc8,
    0xeee97e27,0x3fabf22f,0x407fb01f,0x6f43fefc,0x9d70dffb,0xfc89f79f,
    0x03f704ff,0x2a09fb95,0x3a37cc0f,0x7f10fb0f,0xc9bfe600,0xff95ff0f,
    0x9fa27cc7,0xaacfdaa8,0x9bfb3750,0x3fabea3f,0x3fea1fbd,0x707bee02,
    0x707fb559,0xcdff883f,0x36b7ea3d,0x3f3bf23f,0x2ab7f24f,0x85f89fe4,
    0x37ff24f9,0x03d706fc,0x8f6b3336,0x73fedffe,0x1f9dfbdf,0x407ecfe6,
    0x13ea01fb,0x43b1f377,0x64bf31fe,0x2f99ea8f,0xf989fff9,0x3e1f92ff,
    0x4f993ee7,0x02fc83f4,0xd93f8fd4,0x261fcbee,0x0efd83fe,0xdd14f980,
    0x3f2bddfd,0x2df1fa04,0xd9fe26f8,0x7c4ff03f,0xc93fbf25,0x2001fa5f,
    0x4f1f5f69,0x2ebf32fe,0x2faafa9f,0x203ea3f5,0x13ea01fb,0x45ddfdf7,
    0x5c3f94fb,0x1facfd9f,0xf989fb95,0x3e1f95fc,0xdf98ff27,0xf907e999,
    0x3bfb2e05,0x3eabb4fe,0xfe884fee,0xb7017fa4,0x3322bfdd,0x1fd4cdfd,
    0x3bbbfe20,0xfe89f57f,0x439fff50,0x7cd7e27f,0x8bf24f8a,0x3fffea18,
    0x3e950fff,0x89fa3d3e,0x3f51f75f,0x273e65f3,0x3fffea7d,0x27d40fff,
    0x220f7fd4,0xbf98df6f,0x540fbfff,0x7edfcc4f,0xddff0fc9,0x7ffcc1bf,
    0x5f907fff,0x57f99f70,0x67d57635,0x1efb81aa,0x7ec0bfea,0xfb85fbbd,
    0xf8807f41,0xf54cccce,0x3260fe89,0x64fd1fff,0x9dffd15f,0x993017e4,
    0x26199999,0x743eb5f5,0x47dd7e27,0x322f99fa,0x33261fff,0x540ccdfd,
    0x6fefec4f,0x1fe7e43f,0x3beffbe2,0x7cc4fa87,0xf0fcdf9b,0xf981dfdf,
    0x907fccce,0x3eadd05f,0x05f76c81,0x74c077ec,0xf53fc43f,0xfd83f70b,
    0xf981fe03,0xfc81fe27,0xbffbbfb4,0x005f9018,0x94ae80a2,0xbf13f4b9,
    0x267ea3ee,0x2e00c42f,0xdfcaa81f,0x51f3332a,0x80fff981,0x50dff6ff,
    0xfb3f989f,0x7ddfe1fb,0x1fa27cc5,0x57e417e4,0xf70a9dfe,0x2133dfd3,
    0x74405fe8,0x7ddffc5f,0x4c0a885f,0x323dcdff,0x3a2baaef,0x323fecef,
    0xf32feaab,0x3e6bf5ff,0x5f90ffff,0x4c0ff600,0x3a0edcde,0x47dd7e27,
    0xf32f99fa,0xf701ffff,0xfffffd03,0x3a00e98d,0x367fd05f,0x4c4fa85f,
    0x21fff53f,0xf987fa7f,0x2fc83f44,0xffacfe98,0xf5dfd11f,0x00fa23ff,
    0x7ffd45d8,0x333325fa,0x3ffaa3cc,0x7fffe42f,0x0ffff623,0x309ffffb,
    0x8aaaaa20,0x3f7002fc,0x7e82ba80,0x547dd7e2,0x5512f99f,0x03260555,
    0x00000000,0x2b7f2aa0,0x7ff47f32,0x32fdcff0,0xf907e89f,0x20310405,
    0x000000c0,0xfffff806,0x0880105f,0x01310040,0x00000000,0x00000000,
    0x00000000,0x3fa00000,0x7f36ffff,0x27f87fdc,0x89f30ff8,0x005f907e,
    0x00000000,0x00000000,0x22000000,0x110f6401,0x00000040,0x44102200,
    0x5d70f5c0,0x552dddc8,0x43555555,0x00008888,0x00000000,0x1ff30000,
    0x7fec3fe2,0x70a64fff,0x80601981,0x5fb9fa09,0x20040304,0xbbbbb821,
    0x203fd82b,0x217ee5ff,0xfc8dd4f8,0x3e23711e,0x105fffff,0xfafc45fd,
    0xff9bfe27,0xf96665c6,0x5fffffff,0x001bfffe,0x00000000,0x5fc80000,
    0x6665c5fb,0x5cbfa3ff,0x83bffe4f,0x3aa1fffd,0x77d5fa3f,0x0fea3f60,
    0xf905fff7,0x3ffa7f31,0x67d44fff,0x98df700f,0x5d9f445f,0x2effb7ea,
    0x7777711f,0x81dd10bf,0xfd8dd5f8,0x4c013f63,0x09999999,0x000f3332,
    0x00000000,0xbfd00000,0x22fe40bf,0x4c5fdfe8,0x32ae2fc9,0xe8ffba4f,
    0x7c40ef9f,0x2fe61fb5,0x53e60fd9,0xd3e8006e,0x0013e60b,0xffe8bdc0,
    0x8005e806,0x1010dd4f,0x00000000,0x00000000,0x22000000,0xdf500fff,
    0x30dff101,0x7f901df9,0x3bfa3fa8,0xf15f701f,0x0fd43ee9,0xbb87eedd,
    0x3ee2bbbb,0x76443f50,0x2000000e,0x03c800aa,0x00bb3e80,0x00000000,
    0x00000000,0x88000000,0xff880fff,0x85fff701,0x7e44fdc9,0x3fa3fa84,
    0x71fb04fc,0x362fea5f,0x3e67f20f,0x3fffffe4,0x24d85b15,0x000002c9,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd0bfbfd0,0x237ee05f,
    0x3ea662fe,0xa8abbf65,0x3afd2dfc,0x7c57dc3f,0x217ffe45,0x003f96e8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fea7e40,
    0x8b333ff2,0x7c4ba25c,0xfff10dff,0xbffffcff,0x543ff17e,0x13101b34,
    0x00ec36a0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e26fa80,0xfffffd1f,0x00098009,0xffa9fa00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_16_latin_ext_x[560]={ 0,3,1,0,0,0,0,3,2,1,1,0,1,1,
2,0,0,0,0,1,0,1,0,0,0,0,2,1,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,0,2,0,0,0,0,1,1,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,
3,0,0,0,1,0,0,1,0,0,1,0,1,1,0,1,0,2,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-2,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_16_latin_ext_y[560]={ 11,-1,-1,0,-1,-1,0,-1,-1,-1,-1,2,8,5,
8,-1,0,0,0,0,0,0,0,0,0,0,2,2,2,4,2,-1,-1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,-1,0,12,-1,2,-1,2,-1,2,-1,2,-1,-1,
-1,-1,-1,2,2,2,2,2,2,2,0,3,3,3,3,3,3,-1,-2,-1,4,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,2,-1,0,0,0,
-2,-1,-1,0,0,3,5,5,-1,0,-1,1,-1,-1,-1,3,-1,5,11,-1,0,3,-1,-1,-1,2,-3,-3,-3,-3,
-3,-3,0,0,-3,-3,-3,-3,-3,-3,-3,-3,0,-3,-3,-3,-3,-3,-3,3,-1,-3,-3,-3,-3,-3,0,-1,-1,-1,
-1,-1,-1,-2,2,2,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,2,1,-1,-1,-1,-1,-1,-1,-1,
-2,0,-3,-1,0,2,-3,-1,-3,-1,-3,-1,-3,-1,-3,-1,0,-1,-2,0,-3,-1,-3,-1,0,2,-3,-1,-3,-1,
-3,-1,-3,-1,0,-1,-3,-3,0,-1,-3,-1,-2,0,-3,-1,0,-1,-3,3,0,-1,-3,-1,0,-1,3,-3,-3,0,
-1,-1,-1,0,-1,0,-1,-3,-1,0,2,-3,-1,-2,0,2,-2,0,-3,-1,-3,-1,0,2,-3,-1,0,2,-3,-1,
-3,-1,-3,-1,0,2,-3,-1,0,0,-3,-1,0,0,-3,-1,-2,0,-3,-1,-3,-2,-3,-1,0,3,-3,-1,-3,-1,
-3,-3,-1,-3,-1,-3,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-5,-4,-3,-1,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static unsigned short stb__consolas_bold_16_latin_ext_w[560]={ 0,3,7,9,9,9,10,3,6,6,7,9,5,6,
4,8,9,8,8,7,9,7,9,8,8,8,4,5,8,7,7,6,9,9,8,8,9,7,7,9,9,7,7,8,
7,9,9,9,8,9,8,8,9,9,9,9,9,9,8,5,9,5,9,9,6,8,8,7,8,8,9,9,7,7,
8,8,7,9,7,9,8,8,8,7,8,7,9,9,9,9,7,7,3,7,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,8,9,9,9,
3,9,8,9,7,8,8,6,9,7,7,8,6,6,9,8,9,4,3,6,7,7,9,9,9,6,9,9,9,9,
9,9,10,8,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,8,9,9,9,9,9,9,8,8,8,9,
8,8,8,8,9,7,8,9,8,8,8,9,8,8,9,8,9,9,9,9,9,9,9,8,9,8,8,9,8,9,
9,8,9,8,9,8,9,9,8,8,8,8,8,8,10,11,9,9,8,8,8,8,8,8,7,8,8,8,9,9,
9,9,9,9,9,9,9,8,9,8,8,8,8,8,8,8,7,8,8,7,9,9,8,8,8,8,8,8,8,7,
7,10,11,8,11,8,7,9,9,9,7,9,8,8,9,7,9,9,9,9,10,10,9,9,10,9,8,8,10,9,
8,9,8,8,8,7,8,8,9,8,9,11,9,8,9,8,9,8,9,8,9,8,10,10,9,8,9,9,9,9,
9,8,9,8,8,8,8,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,8,10,9,11,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,8,7,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_bold_16_latin_ext_h[560]={ 0,13,5,11,14,13,12,5,16,16,8,9,6,3,
4,14,12,11,11,12,11,12,12,11,12,11,10,12,10,6,10,13,16,11,11,12,11,11,11,12,11,11,12,11,
11,11,11,12,11,14,11,12,11,12,11,11,11,11,11,16,14,16,6,3,5,10,13,10,13,10,12,13,12,12,
16,12,12,9,9,10,13,13,9,10,12,9,8,8,8,12,8,16,17,16,5,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,14,11,11,11,
17,14,5,12,9,7,5,3,9,4,7,10,8,8,5,12,14,4,3,8,9,7,12,12,12,13,14,14,14,14,
14,14,11,14,14,14,14,14,14,14,14,14,11,14,15,15,15,15,15,8,14,15,15,15,15,14,11,13,13,13,
13,13,13,14,10,12,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,9,12,13,13,13,13,16,16,16,
13,12,14,13,15,13,15,13,15,13,15,13,15,13,14,13,11,13,13,12,14,13,14,13,15,13,14,13,15,16,
15,16,15,16,15,16,14,14,11,12,14,12,13,11,14,12,15,16,14,8,12,16,15,16,15,16,8,14,14,15,
16,12,12,11,12,11,12,14,12,15,13,14,12,13,15,13,14,12,15,13,15,13,12,10,14,12,15,13,14,12,
15,13,15,13,14,12,15,13,15,15,14,13,11,12,15,13,14,12,15,13,15,14,15,13,15,12,14,12,14,16,
14,14,12,14,12,14,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,16,14,13,16,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,13,15,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_bold_16_latin_ext_s[560]={ 255,250,200,49,114,152,158,252,9,37,228,
210,149,236,208,77,217,89,59,1,39,27,35,21,9,30,251,250,77,131,69,
249,71,11,108,18,127,190,218,45,29,147,147,164,173,198,10,137,245,116,20,
128,39,109,68,98,117,235,226,182,165,100,139,226,155,86,177,104,39,112,155,
222,245,237,116,165,65,192,184,121,94,11,155,131,119,139,236,246,49,183,59,
164,1,208,171,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,255,251,59,
222,232,242,5,194,162,55,147,122,181,236,174,218,114,95,83,76,190,208,223,
213,252,90,202,106,138,128,118,162,77,87,97,136,155,204,78,233,1,95,59,
50,124,214,242,10,1,49,71,21,41,51,61,67,19,100,119,138,157,126,203,
77,68,58,49,40,31,41,49,205,242,232,223,214,1,240,196,187,162,169,142,
132,204,113,103,164,188,76,66,57,48,198,216,172,10,223,104,232,229,213,239,
194,1,172,21,123,80,85,38,192,137,20,1,10,86,142,68,133,186,241,29,
151,219,188,40,135,60,125,70,106,184,175,208,58,146,67,168,1,107,76,194,
91,68,220,198,81,129,155,89,16,97,235,226,211,63,97,85,181,46,155,38,
139,28,50,186,22,19,204,176,160,119,169,30,152,10,181,148,59,98,108,202,
30,149,213,167,95,148,105,32,232,110,123,90,81,216,140,212,178,31,114,12,
179,1,86,236,169,225,20,11,174,187,73,109,145,129,160,227,178,91,197,100,
83,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,206,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,53,44,244,1,25,1,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,246,132,90,81,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193, };
static unsigned short stb__consolas_bold_16_latin_ext_t[560]={ 1,66,157,135,66,95,109,122,1,1,147,
147,157,157,157,66,108,135,135,122,135,122,122,135,122,135,81,95,147,158,147,
19,1,135,135,122,135,135,135,122,147,135,122,135,135,135,147,122,135,51,147,
122,147,122,135,135,135,135,135,1,51,1,157,157,157,147,66,147,81,147,122,
66,108,108,1,122,122,147,147,147,81,95,147,147,122,147,147,147,158,122,158,
1,1,1,157,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,1,51,66,
122,122,122,1,51,157,122,147,158,157,157,147,157,158,147,158,158,157,108,51,
157,128,158,147,158,109,109,109,95,51,51,51,51,51,51,135,51,66,66,51,
51,66,51,51,66,135,66,19,19,19,19,19,158,66,19,19,19,19,51,122,
95,95,95,95,95,95,51,147,95,81,81,81,81,109,95,95,95,81,95,81,
81,81,81,81,147,108,81,81,81,81,1,1,1,81,95,66,66,19,66,19,
66,35,81,35,81,35,81,66,81,135,81,81,109,66,66,66,66,19,66,66,
66,19,1,35,1,35,1,35,1,51,51,135,109,51,109,66,147,51,109,19,
1,51,147,108,1,19,1,35,1,158,35,35,19,1,109,109,135,109,135,109,
35,109,35,66,51,109,66,19,66,35,108,35,81,35,81,109,147,35,109,19,
81,35,95,19,95,19,95,51,95,19,95,19,19,35,95,122,95,19,95,51,
108,19,95,1,35,1,95,19,122,35,122,35,1,35,35,108,35,122,35,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,35,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,1,1,35,95,1,51,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,1,95,19,19,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,122,
122,122,122,122,122,122,122,122,122, };
static unsigned short stb__consolas_bold_16_latin_ext_a[560]={ 141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_16_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_16_latin_ext_s[i] + stb__consolas_bold_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_16_latin_ext_t[i] + stb__consolas_bold_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_16_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_16_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_16_latin_ext_x[i] + stb__consolas_bold_16_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_16_latin_ext_y[i] + stb__consolas_bold_16_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_16_latin_ext_s[i] + stb__consolas_bold_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_16_latin_ext_t[i] + stb__consolas_bold_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_16_latin_ext_x[i] + stb__consolas_bold_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_16_latin_ext_y[i] + stb__consolas_bold_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_16_latin_ext_LINE_SPACING
#endif

