// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_17_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_17_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT        186
#define STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_17_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_17_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_17_latin_ext_LINE_SPACING          11

static unsigned int stb__consolas_bold_17_latin_ext_pixels[]={
    0x00b22591,0x40040000,0x10066200,0x20188033,0x00000200,0x884ccc40,
    0x3ae00999,0xb500000c,0x274c019d,0xb70274c0,0x0000016e,0x3b200000,
    0x206a2001,0xf33914ea,0x3e613e69,0x7ec3fb04,0xea81fb81,0x05ff103f,
    0x3200f7cc,0x3e60bb07,0x07fa003d,0xfffd0bf3,0x41bffee7,0x220594fb,
    0x5c2effec,0x980ffcef,0x3e604fdf,0xfdf504fd,0x3bffaa09,0x4c07fa03,
    0xf880cefd,0x0fec5f55,0xb85f9f00,0x9f3df76f,0x1bee13e6,0x3ff8bfe2,
    0x3e2077dc,0x019701cf,0x0df003c8,0x3ae213f2,0x2ff8802f,0x65543fdc,
    0x0559f73f,0xff305f30,0x7cc9fddf,0x4aa13e24,0x265500a9,0x2057300a,
    0x04eeeffb,0x3fea0bfe,0x6f886ffe,0x00fec7f7,0x543d9f88,0x9f37f35f,
    0x80dc13e6,0x3e61cc3a,0x202fb81f,0xdd100ceb,0x4013003f,0x09f103fe,
    0x015c0ea0,0x00bee7f5,0xb01fffb5,0x1ba188bf,0xa81a99f6,0xaabca882,
    0x555e5442,0x88007fe2,0xd31ff881,0x20c1107f,0x406aa1fd,0x2fd40deb,
    0x44f9a7cc,0x22aabca8,0xd82aa0aa,0x203f702f,0xf303eaf9,0x654407b1,
    0x7fc42aab,0x2a60df00,0x5530aaaa,0xb9fd4055,0x3bfee02f,0x07fcc5ff,
    0xdbb37f30,0x517ee1f7,0xfeff88df,0x3bfe26ff,0x0ffe6fff,0x3bffb220,
    0x6fb8bf52,0x27d513a6,0x41df91fd,0xa9f544e9,0x9f39f35f,0xeff893e6,
    0x83fa6fff,0x40ff11fe,0xb5f301fc,0x806f6407,0x6fffeff8,0x0fd02fb8,
    0x4bfffff6,0x2a07fffb,0x2205f73f,0x3fff89ff,0x099997ea,0x5fddf3f7,
    0xd83fe23f,0xfa97e42f,0x5fa97e45,0x98177fec,0x74feefff,0x267fa87f,
    0xfda7d45f,0x7cc0efa9,0x4faa7d45,0x269f39f3,0x7d4bf24f,0x3fd07f45,
    0x1fd817ee,0xd8037ae0,0x25f900ee,0x09f505fa,0x266203f6,0xf3312fd9,
    0xfb9fd40f,0x3eebf502,0x4d3f25fb,0xf5fb4fff,0x643f5db3,0xfb0ff13f,
    0x83f637c1,0x7ffe446f,0x222fec2f,0x7f887f91,0x29f517e6,0x980ffbfd,
    0xf9a7d45f,0x23519f34,0xf83f64f9,0x3fd07f46,0x3f2e0ff2,0x06f2ea05,
    0xd81fffc4,0x7c41be0f,0x809df506,0x03fc42fd,0x40bee7f5,0xdf1dd3fb,
    0xfca8a7dc,0xdd1f9dd4,0xab7cc1f7,0xc9cfb84f,0x64e7dc4f,0xfff7104f,
    0xb803fe61,0xf33fc44f,0xffb4fa8b,0x517e607f,0x7cd3e69f,0x3ee4f984,
    0x7f44fc9c,0x0fec7fa0,0xfb80ffec,0xfb84ffff,0x39f705fd,0x83f409f9,
    0x3600ffd8,0x503fc42f,0x640bee7f,0x7f8bf8af,0x29f71bea,0xf7bf7cde,
    0x1fd9fe81,0x0dffffa8,0x06ffffd4,0x7d4bfe20,0x7cc26665,0xbf32fd46,
    0xf7fb4fa8,0xa8bf303f,0x3ea5914f,0x3ea4f985,0x7f40dfff,0x1fdc7fa0,
    0x43307f98,0xf9fd87f9,0xffffa80f,0x6c1fe00d,0x42fd802f,0x4fea07f8,
    0x57f902fb,0x7c4df13f,0x6f53ee3f,0x86dcf9fc,0xdd06fdfb,0x4036e806,
    0x9f91fe80,0x7c53ffe6,0xf98ff62f,0x9fda7d45,0x2fcc0efb,0xf50a93ea,
    0x93e67d3b,0x07f4036e,0x817e63fd,0x74c401fc,0x2fdbfc0f,0xf30036e8,
    0x6c01fa0d,0x503fc42f,0x540bee7f,0x8bf36dcf,0x4feceffb,0xffdff5db,
    0x07fff107,0x02f337fa,0x41799bfd,0x6feccef8,0x7e5453ee,0x3fb7ff24,
    0x3ea2fcc6,0x17f63fb4,0x74fa8bf3,0x3e77eadf,0x6ff49f34,0x07f40bcc,
    0x9037c3fd,0xfff9103f,0xba7d41ff,0xccdfe84f,0x209f700b,0x25fb006e,
    0x1ccffccb,0x02fb9fd4,0x3f69fff3,0xefffea83,0x15ceefb2,0x2e01ff90,
    0x22ffffff,0x2ffffffb,0x19ffffd1,0x13ee37d4,0x981bfff5,0xfd9fdc5f,
    0x7cc9fd11,0x5fa9fdc5,0x269f3df7,0x3fffee4f,0xe83fa2ff,0x5c0bfa1f,
    0x9adfd81f,0x4cbf20fe,0xffffb87f,0x00fe82ff,0x4bf600dd,0x2ffffffd,
    0x02fb9fd4,0x1bfb7ff2,0x00bea060,0x3e207fb0,0x6f8afdc6,0x02622fdc,
    0x9f71ffc4,0x3e20bf30,0x20017e47,0x117e47f8,0x9a7cc4c4,0xfb8df14f,
    0xf307fc05,0xf05f501f,0xe83fe21f,0x21ffeeef,0x22fdc6f8,0x01be04fc,
    0x1db00ffc,0x05f73fa8,0x00dfffe8,0x8ffc0fea,0x7e4c40b8,0xc83be606,
    0x641df33f,0x703fa83f,0x09fd9dff,0xd8dbbff1,0xa86fdcef,0x33bf603f,
    0x9f3006fd,0x077cd3e6,0xf73307f9,0x3e0df50f,0x2f7fe0ae,0xdff30ffe,
    0x7cc7fddd,0xfb8ff20e,0x04fc980e,0x40df9339,0x3ee623fa,0x20137f73,
    0x1f7001cf,0x3ffffe60,0x0077fdc0,0x17fffff6,0x0bfffffb,0xfea803ee,
    0xfd302eff,0x7fec41bf,0x00fb80df,0x037fff62,0x4f9a7cc0,0x17fffff6,
    0xb817fff4,0x23feb81f,0x0fccfffa,0x46fa87f7,0x45fffffd,0xeff980ee,
    0x3fffff00,0xfeaffcc0,0xdfff73ff,0x4c003d30,0x05554402,0x53000d4c,
    0x2aa60155,0x800a600a,0x06002001,0x00c00530,0x4f9a7cc0,0x5005554c,
    0x40180155,0xfb009808,0x4c0ff883,0x00880aaa,0x55530026,0x4c42a200,
    0x13331099,0x00000000,0x00000000,0x00000000,0x00000000,0x1a88d440,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bddd500,0x298001db,
    0x00c88000,0x0000dea8,0x201eaa6c,0xb80005d9,0x3db04ccc,0x00d440f9,
    0x20000000,0x01f544e9,0x000007db,0x6c03db30,0x8802deee,0x0db101cc,
    0xdd507fa0,0x001fd0ff,0xaefd86c8,0x003e602c,0xbf101df5,0x5fe20bea,
    0xfbf103fc,0x595dfb0b,0x03bbbb20,0xf80fffa6,0x3faa02fc,0xaafc43ef,
    0x30bf502f,0xb04fa8bf,0x2bbf605f,0xfaafc42c,0x203fd102,0x04fffeff,
    0xf980bfa2,0x205ff006,0x00fe87f8,0x2ba22ec0,0xec981ffe,0x80aa03df,
    0x207f76f8,0x94c05119,0x3aba20a8,0x100001ff,0x03d9f880,0x89dddff7,
    0x207f76f8,0x45f986fb,0xe88004fa,0x7c41ffea,0x40007f76,0x40ff50ff,
    0x54c098a9,0x202aaefb,0x21fe2018,0x202ca8fe,0x0202efca,0x2fffffe4,
    0x10550353,0x40d4c0c1,0x55554c2a,0x74c0200a,0x4e99f544,0x6f5c1f54,
    0x1003ff00,0x202a00c1,0x227d45f9,0x403effea,0x20182200,0x7c0cefea,
    0x5003fe0f,0xffffb85f,0xfdb80fff,0x43fc41ef,0x85fffdfe,0xd34ffffd,
    0xff13ea89,0x5fb82bb3,0x7f5437d4,0x22fdc0ce,0x7ffec6fa,0x77f542ff,
    0x2a2fcc0c,0xfa8bf34f,0xf00eed84,0xeeea807f,0x7776c6ee,0x8bf32eee,
    0x3bfee4fa,0x8bba24ee,0x887d73e8,0x7f7fdc5e,0x64c7fc6f,0x1fb2a06f,
    0x267bea62,0xfeeffe81,0x7f43fc42,0x2e2fe9af,0xf31bfaef,0xff14fa8b,
    0x1ff109d3,0x3fee17ec,0x7fc46ffe,0x3310bf60,0x7fdc5fb3,0x2fcc6ffe,
    0x22fcd3ea,0x7ffc44fa,0x05dffb03,0x1bbbbfee,0x5fffffff,0x49f517e6,
    0x3fe601ff,0x3fcd3e66,0x1ff893f2,0x7ffc7fd3,0xfe980cff,0xdf303fff,
    0x11077dc0,0x2fe87f88,0x9afe93ee,0xf517e61f,0x827fff49,0x88ff13fc,
    0x87fd31ff,0x00ff13fc,0x47fe25fb,0x17e63fe9,0x517e69f5,0x5fdfb89f,
    0x5ffff910,0x5c004fb8,0xf517e66f,0xf301ffc9,0xd93e65ff,0x541ff13f,
    0xff37dc5f,0x3fa09fd9,0x981fffab,0x00bfe06f,0x83fa1fe2,0x2a3fe5fa,
    0xf517e60f,0x7fffec49,0x4fab7cc2,0x1bee2fd4,0x013eadf3,0x22fd4bf6,
    0x517e66fb,0xf517e69f,0x0ff9fd89,0x83ffee20,0x3e2004fb,0xf717e61f,
    0x4177fec7,0x9f36fef9,0x43fcb7cc,0xf3fd43fb,0x983ff11f,0x07f7db6f,
    0x1fe20df3,0x7f43fc40,0x9fd93ee0,0x2a2fcc7b,0xffffa84f,0x0fecff41,
    0x0ff50fee,0x003fb3fd,0x50fee5fb,0x2a2fccff,0xfa8bf34f,0x02fdbfc4,
    0x3ee2ff88,0x3a02aaad,0x323fc44f,0x3fff221f,0x3f73e62f,0x5fec4f99,
    0x21fe40ff,0x643fe7f8,0x7c67d45f,0x7f985f9c,0x2200ff30,0x3a0fe87f,
    0x3b7bee2f,0xfa8bf319,0x87fd7b84,0xfc86fdfb,0x7dc3fc43,0x5fb006fd,
    0x4ff10ff2,0x9a7d45f9,0xf527d45f,0x20213ee9,0x3ffee2fe,0x0df706ff,
    0x1bf73bf6,0x987ffdc4,0x4f9dfacf,0x641fffcc,0xff37c44f,0xf987fe21,
    0x04fa9fac,0x7cc95bff,0x7fe65c07,0xb79fd1cc,0xfffd88df,0xfa8bf34f,
    0x7f5b2114,0x41fffc42,0x437c44fc,0xb003fff8,0xf113f25f,0x3ee2fccd,
    0x3fb8bf33,0x23fccbf2,0x6feccef8,0x04ccefdc,0xd880ffc4,0xf8805fff,
    0x3fa9f32f,0x0ffd84fa,0x2fd46fb8,0x12fec1ff,0x0ff2dbdf,0x887fffd4,
    0x3ff601ff,0xffd2ffff,0x3e6019ff,0xb8bf31be,0xfffdf33f,0x03ff20df,
    0x0bf51bee,0x6c003ff2,0xfa8df72f,0x5f91fe25,0x45f91fe2,0x1ffeeefe,
    0x37ffffa2,0x74027dc0,0x04f9804f,0x3e63fd01,0x509fdf74,0x87fe60bf,
    0xf90003fd,0x100dfbdf,0x081bfb03,0x0027fa00,0x91fe217c,0x3ffb625f,
    0x07fb00be,0x3fd87fe6,0x7c007fb0,0x6c3ff31f,0x6e77ec3f,0x6e77ec6f,
    0x3bbfe66f,0xfc883fee,0xb809f702,0x01f9006f,0xdfd99df1,0x9fff27cc,
    0x7ec09f50,0xf506fedf,0xdfffd807,0x4c0fea00,0x82fedfff,0x000fe86f,
    0x9dfb03f1,0x05f10dfb,0xb01bf262,0x88dfdbff,0x4e406fc9,0x7fec6fc9,
    0xfd886fed,0x7ec40dff,0x0fee0dff,0x81f20df5,0x26eeeffb,0xeeeeeff8,
    0x442ffb82,0x20cffffe,0x13fee4f9,0xff9013ea,0x03ee01bf,0x2e003db0,
    0x3ff6200f,0x41fc41ef,0x1f3000fe,0x1bfffb10,0x3ee03f30,0xffc800ef,
    0x77fdc0df,0x7ffffc00,0x0dfffc81,0xb01800c0,0x80ff883f,0x3ffee01a,
    0x3ffe27ff,0x5303ffff,0x4c026201,0x213fe24f,0x001004fa,0x03e88053,
    0x00800a60,0x006202a2,0x00006000,0x01000353,0xa9800d4c,0x0000802a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xeeeeeee9,0x000deb84,0x1b95b700,0x3766fae0,0xed816400,0x3db307c9,
    0x04cccb80,0x77447db0,0x3ae0fa22,0x037ae00d,0x0dd9beb8,0x11774400,
    0x3600007d,0xdd50003e,0x3b60dddd,0x19d7000e,0x5c07db10,0x31b880de,
    0x9ddffddd,0x80eeafc8,0x405f55f8,0x7f700efd,0xf9801bf3,0x07ffd302,
    0xd900ff44,0xfd801ddd,0xf337fcc2,0x0eeafc89,0x80eeafc8,0x40df9bfb,
    0x4c5f55f8,0xb13e66ff,0xd80595df,0x42fd402f,0x86eeeffb,0xb803fff8,
    0xf7bd104f,0x1dd5f907,0x5fa87fd8,0x76f88000,0x0000007f,0x007ffed4,
    0x00000002,0x97ffcc00,0x000004f9,0x2edf1000,0x4bffe63f,0x3aba24f9,
    0x700001ff,0x009f70df,0x000bfbf7,0xfc800000,0x2a05fa87,0x1100cefe,
    0xdffd500c,0x19dfd507,0xbffdff70,0x033bfaa0,0x43ea89d3,0x4c0cefea,
    0xf99f544e,0xa89f36fe,0x3a63effe,0x4e99f544,0x30441f54,0xf36fef98,
    0x3aa00409,0x05400cef,0x7ec027dc,0x36e00ff9,0xfdb81eff,0x3bbaa1ef,
    0xa81a82ee,0xfdff705f,0x0776c0df,0x4eeeffb8,0x37ff7fdc,0x3fe27fe2,
    0x7f7fdc3f,0x2a2fcc6f,0x3fbfee4f,0x2a2fcc6f,0x5f99f34f,0x77fdc9f3,
    0x517e64ee,0xf517e69f,0xeeeeec89,0x3fb9f30e,0x1ddb09f3,0x3ffbfee0,
    0xeeeeea86,0x2aab7ee6,0x05fb7f82,0x0bfbbffa,0x45fddffd,0x03feeeea,
    0x3e217ea0,0x107fd31f,0x3fe07fff,0x4c7fe201,0x5d7ea3fe,0x3fe25fbf,
    0x7cc7fd31,0xff8a7d45,0x7cc7fd31,0xcf9a7d45,0x3e4f9ef8,0x517e601f,
    0xf517e69f,0xeffeec89,0xbf59f30e,0xfff889f3,0xd31ff883,0xeeffb87f,
    0x3fffee6e,0xfba7d46f,0x220efb84,0x0883bee0,0xa800ff20,0x5c5fa85f,
    0x5fdfb86f,0x7d407ff0,0x7f737dc5,0xfa9be3ba,0xbf337dc5,0x8bf54fa8,
    0x517e66fb,0x7e53e69f,0x80ffe4fc,0x9a7d45f9,0xa827d45f,0xfd4f985f,
    0xfdfb89f5,0x7dc5fa85,0xf7027dc6,0xfc81333b,0x5ff0ff32,0x4002ff80,
    0x42fd43fc,0x43fb85fa,0xf9fd87fa,0x2effd80f,0x3fd43fb8,0xf17f15f9,
    0x3ea1fdcf,0x9f517e67,0x4ff50fee,0x9a7d45f9,0x49fff14f,0xf982effd,
    0x5f9a7d45,0x5fa827d4,0xfdf74f98,0x0ff9fd89,0x1fea1fdc,0x27dc09f7,
    0x3fbbbfa0,0x101fe21f,0x7f9000ff,0x7d41ffd8,0x7c43fc85,0x05fb7f87,
    0x45ffff91,0x93fc43fc,0xdf13f57f,0x9fe21fe4,0xca7d45f9,0xf33fc43f,
    0x9f34fa8b,0xf9127fec,0x2fcc5fff,0x22fcd3ea,0x0bf504fa,0x27ffc9f3,
    0x3217edfe,0x2e3fc43f,0x2e2aaadf,0x3bfe604f,0x3e63feee,0x003fcc07,
    0x3fe21fe4,0x7e42fd41,0x3ea37c44,0x5c409f74,0x89f90fff,0x373ea6f8,
    0x27e4bf36,0x45f99be2,0x889f94fa,0xf517e66f,0xff893e69,0x0fffb884,
    0x34fa8bf3,0x504fa8bf,0x5c9f30bf,0x5d3ea4ff,0x2227e44f,0x7fffdc6f,
    0x3bbfee6f,0xf50fee6e,0x2603fccd,0x3fc8007f,0x2fd40fe8,0x17ea37dc,
    0x01fe65f9,0x37dcbfe2,0xfff997ea,0x37dc7fb4,0x45f997ea,0xa8df73fb,
    0xf717e65f,0x9fb13e67,0xf997fc40,0x5f99fdc5,0x5fa81fdc,0x3fe24f98,
    0x3fccbf24,0x8bf51bee,0x20999dfb,0x27fffffb,0x87fc41fd,0x3e201ff8,
    0x1fe4001f,0x98007fb5,0xd0ff61ff,0x83ffdddf,0xff31fe80,0x3f21fec3,
    0x7cc6fedf,0xf88ff61f,0xff997e47,0x7f88ff61,0x3f2017e4,0x447fa023,
    0xf897e47f,0xfa817e47,0x77f40005,0x3e61ffee,0xf70ff61f,0x027c4009,
    0x37f617d4,0x81bfb040,0x225fd020,0x07f501de,0x1bfb7ff6,0xfddddff3,
    0x76677c47,0x76ffec6f,0xbfffd06f,0xfdbffb01,0xfb9dfb0d,0xfedffd8d,
    0xfdcefd86,0x897fd406,0x46feccef,0x46fdcefd,0x06fdcefd,0x7f5017ea,
    0xddddff30,0xedffd87f,0x004fb86f,0x1fa003f2,0x3fb7ffe6,0x3b7ffe62,
    0x3f73b22f,0x03ee000f,0x40dfffc8,0x137d43fb,0x019ffffd,0x201bfff9,
    0xffc801cf,0xffd880df,0xfffc80df,0xfffd880d,0x93fe600d,0x0cffffe8,
    0x06fffec4,0x037fff62,0x133bf72e,0x1fdc07dc,0x3ff21bea,0xeffb80df,
    0x3fee06ee,0x207fec02,0x41efffd8,0x21efffd8,0x001efffa,0x2008014c,
    0x07fc41fd,0x00400262,0x010007a6,0x000800c0,0x80d44006,0x00300098,
    0xffffb006,0x205301ff,0x07fc41fd,0x7ffdc008,0x054c07ff,0x00201540,
    0x00002004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x04e982a8,0x000154c0,0x105d59b1,
    0x0007f37f,0x9176c1db,0x01dddddd,0x50007db1,0x003ed805,0x7006f5c0,
    0xb101b95b,0x3b607b3b,0x37ae07c9,0x13332e00,0xb0077a60,0x83ed807d,
    0x700dcadb,0x6f5c019d,0x43fef980,0x3ea005fa,0xcaefd80d,0x409ff302,
    0xf500effc,0x3ee1ff0b,0x77ff7646,0x7def440e,0xb037c003,0x003f985f,
    0x401dd5f9,0x3a200efd,0x3ffa605f,0x1dd5f903,0x03bbbb20,0x6c00ef98,
    0x017ec02f,0x3e601dfb,0xd5f903ea,0x1532a81d,0x55002fd4,0x3ffaba20,
    0x80100001,0x88ff86fb,0x0bf501ff,0x8b6c4000,0x6f98003f,0x00000000,
    0x00000400,0x00000000,0xaf980000,0x1db0003d,0x2a02fd40,0x01005eee,
    0x41effdb8,0x02effec8,0xfb1ff015,0x102fd407,0x205dffd9,0x981516f9,
    0x202f404e,0x266b80ec,0x4eeeeeee,0x416f776c,0x0eeeeeec,0x45e887d7,
    0x0eeeeeec,0x216f776c,0x8fa22ee8,0x2eeeeeed,0x3bbbbbb6,0x440deb82,
    0xfe9f544e,0x5017ea00,0x3b20ffdd,0x740eeeee,0x262feeff,0x24feefff,
    0x0eeeeeec,0xa80bf9ff,0xdfff305f,0xfba989fd,0x5fa82aae,0xf9003be0,
    0x774cfb01,0x7c4eeffe,0x644fffef,0x30eeffee,0x644fc8ff,0x40eeffee,
    0x24fffeff,0x93e66ff9,0x2fffffff,0x3ffffffe,0x0aa82aa2,0xd4fb8df3,
    0x02fd401f,0xdd907f88,0x7dc1ddff,0x5fd8220e,0xffdd90c4,0x3fffe1dd,
    0xd82fd402,0x3ee0c45f,0x40ffffff,0xa94c05fa,0x203f20bc,0x40bf507d,
    0x20ff50ff,0x27fb05fa,0xbf500ff8,0x7fa87fc0,0x7ccbffe6,0x701bee04,
    0x3a0fe8df,0xfb8df30f,0x85951fd4,0xff1005fa,0xff05fa80,0x007fcc05,
    0xbff85fa8,0x17ea00ef,0x22003fe6,0x8199efa9,0x67e405fa,0x43ee6fff,
    0x3ea0db1c,0xff83fe05,0xf305fa80,0xfa80ff2d,0xff83fe05,0x26dfdf30,
    0x03ff104f,0x3fa0ffc4,0x37cc3fa0,0x7eff53ee,0x017ea5ff,0x3ea03fc4,
    0x5407f885,0x2026665f,0xd8ff85fa,0x217ea04f,0x026665fa,0x3ea037cc,
    0x4dffe405,0xf33f71fe,0x2fd41bab,0xdf931ff0,0xfd817ea0,0x3ea00ffb,
    0x3263fe05,0x3f73e66f,0x9fd04f99,0xfe84fe80,0x77cc3fa0,0xfd4fdaaa,
    0x2a1ff35f,0x0ff1005f,0x7f985fa8,0xff9a7e40,0xf85fa84f,0x502ff88f,
    0x269f90bf,0xdf304fff,0x6405fa80,0x7dcbf63f,0x20bd7fb9,0x3ffe05fa,
    0xbf500cff,0x01fffcc0,0xfff817ea,0x33e60cff,0xb84f9dfa,0x837dc06f,
    0x4c3fa0fe,0x4fffffff,0xa8ff45fd,0x81eeeeff,0x2fd407f8,0x3ee03fcc,
    0x509f9514,0x2e1ff0bf,0x3f72e0ff,0x453ee4ce,0xdf304fca,0x6405fa80,
    0x7d4bf22f,0x05e9fee9,0x67fc0bf5,0x17ea04fe,0xa801ffb0,0x3b3fe05f,
    0xfea7cc4f,0x0ffc44fa,0x3a03ff10,0x7cc3fa0f,0xd4fc999e,0xfa8ff41f,
    0x881fffff,0x42fd407f,0x3ea01ff8,0x7d427dc6,0x3fa0ff85,0x3fffff65,
    0xfb8df50f,0xa80ff304,0x917e405f,0x2befea5f,0xbf505fcf,0x7fc47fc0,
    0xa80bf501,0x05fa805f,0x87fe23fe,0x9fdf74f9,0x7f404fe8,0x7d47fa04,
    0xfb8df30f,0x0ff41fd4,0x407f8800,0x1bfb05fa,0x5c7ff108,0x005fa84f,
    0xf893e200,0xf813ee3f,0x5fa84adf,0x5f917e40,0x7f6dfbe6,0x7c0bf504,
    0x2a0bf90f,0x027d405f,0x1ff02fd4,0x24f997f2,0x1bee4fff,0xfc80df70,
    0xf30fffde,0x1fd4fb8d,0x037c0ff4,0xbf501fe2,0x3b7ffe60,0x33bfee2f,
    0x05fa84fe,0x7e400fea,0x7677fdc1,0x3ffea04f,0x777fd40f,0xc8bf21ee,
    0x2a9ff32f,0x0bf504ff,0x1ff887fc,0x133bf72e,0xb97027d4,0x1ff099df,
    0x27cc7fe2,0x3fe29ff7,0xf12eeeee,0x45dddddf,0x0fccffe8,0xd4fb8df3,
    0x220ff41f,0xff99703f,0x7ee5c399,0xffd884ce,0x7ff541ef,0x3f72e2ef,
    0x00fb84ce,0xea87ff70,0x8802efff,0xfffff501,0xf917e43f,0x7c4bfe25,
    0x40bf503f,0xd97f60ff,0x80ffffff,0x3ff604fa,0x7fc0ffff,0x27cd7f60,
    0x3fe29ff1,0xf13fffff,0x07ffffff,0x71be6011,0xfe83fa9f,0xfd805441,
    0x362fffff,0x00ffffff,0xfd80c002,0x4c0fffff,0x0054c002,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x403eeb80,0xadb80ceb,0x19d700dc,0x2e001db0,0xcb884eee,0x3b663eed,
    0xdffb7001,0x0dcadb83,0x0000f6cc,0x83ed8000,0x76c01ed9,0x3ed807c9,
    0x704cccb8,0xeb809999,0x1a88000d,0x81eceec4,0xb007c9ed,0x900dc47d,
    0x7dc07dff,0x8077ec04,0xfb83eaf9,0xecefd803,0x77fffd46,0x00ff444f,
    0x0bfbbffa,0x74403bf6,0x0774401f,0xfd804f98,0x807fa202,0x6c03ffe9,
    0xdddd902f,0x1dddd901,0x03babf20,0x0bef3a60,0xe9817fa2,0x2fd803ff,
    0xff883fec,0x40000000,0xf883daf9,0x807fc406,0xfacffff8,0x1df70004,
    0x00000044,0xfb80ffcc,0x00000006,0x00000001,0xf3000000,0x20000fbb,
    0x7fc80000,0xd300bf30,0x7744bddd,0x3ae0fa22,0x805f900d,0xff980dff,
    0xd84facff,0x05ff00ee,0x6eeeeea8,0x37777754,0x01b80550,0xec80776c,
    0x2a0eeeee,0x546eeeee,0x546eeeee,0xb06eeeee,0xeed801dd,0x35bf3000,
    0x1cdeee98,0x6403bb60,0x20eeeeee,0x009f501a,0x4cbdfffb,0x513e66ff,
    0x3e603797,0x3fffea05,0x67fffcc3,0x7ffc44fa,0xb807f883,0x5c6eeeff,
    0x106eeeff,0x79505795,0x0fffe203,0x777ff764,0x3bbbfee0,0x7777fdc6,
    0x7777fdc6,0x03fff886,0x880fffe2,0xf305fcca,0x109fffdf,0x3b207fff,
    0x400eeffe,0x0ccefecc,0x985fdf88,0x49f32fff,0x04fffffb,0x5ff101fb,
    0x7fc4bffb,0x5c4facff,0x7f985fdf,0x5c04fb80,0xfffa804f,0x7fffec7f,
    0x05fdfb83,0x4fb82fd4,0x2e027dc0,0xfdfb804f,0x17f7ee05,0x2fffffdc,
    0x3fea5f98,0x02fefdc1,0xed8017ea,0xb80eeeff,0xef985faf,0x0cc9f36f,
    0x13ea0ff3,0x3ffa9fe6,0x3eb3ffea,0x07fcfec4,0x3ee01fe6,0x2027dc04,
    0x2399bff9,0x81fd14fb,0x200ff9fd,0x09f705fa,0x7dc04fb8,0xff9fd804,
    0x1ff3fb00,0xbf52ff98,0x9f917e60,0x00ff9fd8,0x0f6617ea,0x3ba00fec,
    0x3e62aef8,0x04f99fdc,0x3a01fd31,0x321bff07,0x55e5c44f,0x2fdbfc4f,
    0x2e00ffc4,0x5c2aaadf,0x642aaadf,0x267fe04f,0xdbfc2fd9,0x417ea02f,
    0x42aaadfb,0x42aaadfb,0x82aaadfb,0x3e05fb7f,0x4fc85fb7,0x2fcc17e6,
    0x36ff17ea,0x217ea02f,0x0fe80ffd,0x3fe2fe60,0x3eb3e65f,0x3f224f9d,
    0xf700ffff,0xb5fff507,0x24fa807f,0xb09f74fa,0x3ee081bf,0x7dc6ffff,
    0x7f46ffff,0xfffff102,0xba7d47ff,0x417ea04f,0x46fffffb,0x46fffffb,
    0x46fffffb,0x509f74fa,0xfb13ee9f,0xf982fcc5,0x9f537d45,0x5fa813ee,
    0x0ff06fb8,0x9df88fc8,0x57f53e60,0x26b7f64f,0x0df100fe,0x03bfffa6,
    0x97e49f50,0xfff987f9,0x37ee2fed,0x6fdc0999,0x17ec0999,0x9999ff88,
    0x7ccbf209,0x5c17ea07,0x5c0999df,0x5c0999df,0x640999df,0xf90ff32f,
    0x5fb1fe65,0x5f982fcc,0x25f92fdc,0x17ea07f9,0x406f8804,0x985feeff,
    0x49fdf74f,0x01ff10ff,0xff500fe4,0x749f5005,0x81ffeeef,0x21efffd9,
    0x27dc04fb,0xfe81bf20,0x7777f401,0x0bf501ff,0x9f7013ee,0x7404fb80,
    0x41ffeeef,0x1ffeeefe,0x05fd93f2,0x24fe8bf3,0x1ffeeefe,0xb800bf50,
    0x3bbea03f,0x24f985fe,0x37fe4fff,0x2600ffeb,0x41fe405f,0x7ccff608,
    0x03feeeef,0x027dc1be,0xff1013ee,0x7fd4db9d,0x3fe65bac,0x503feeee,
    0x013ee0bf,0x4fb809f7,0x3bbbfe60,0x3bfe63fe,0x3e63feee,0x305ffecf,
    0x43fee2bf,0xfeeeeff9,0xf10bf503,0x007feecb,0x33be21fb,0xffb93e64,
    0x333ffea4,0x887f400f,0x81ffdcdf,0x70efedfe,0x106fa87f,0x3bfee07f,
    0x77fdc6ee,0xffd986ee,0x7fffdc6f,0xdf50fee6,0x4cefdcb8,0x37777fdc,
    0x1bbbbfee,0x4ddddff7,0x737d43fb,0x5c6fa87f,0x305f9eff,0x47fffdff,
    0x237d43fb,0x24cefdcb,0x073fa2f9,0x3fe25f88,0xf893e67f,0x4000984f,
    0x3bfb62ea,0x9dfb301d,0x3e20fec1,0x700a880f,0xb8ffffff,0x407fffff,
    0x3604c400,0xb07fc41f,0x41ffffff,0x47fffffb,0x47fffffb,0x27fffffb,
    0x87fc41fd,0x07fc41fd,0xfff9800c,0x20fec1de,0x3ff60ff8,0x0730ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbd701f6c,0x203b2001,0x99500deb,0x2ed88037,
    0x754076c0,0x26002e99,0x15554c0a,0x702aaa98,0xdd8816eb,0x2054c000,
    0x2603d54d,0x1bd5004e,0x4c002764,0xb505f640,0x03d54d81,0x203319d7,
    0xbd5004e9,0x01f76cc1,0x57e405fb,0x37c400ee,0x107757e4,0x407fffff,
    0xdd102fe8,0xff901dff,0x57bbaa09,0x7ffe40fd,0x0ffff907,0x4413fbea,
    0x2000eeee,0x65fe20fc,0x4fdf983f,0x64077d40,0x8bea005f,0x7f13fbfb,
    0x87f97f88,0x83fffcf9,0x5404fdf9,0x37fe60ef,0x000005fe,0x40017e40,
    0x980224fc,0x3f32200a,0x405500cf,0x0bf7feea,0x2e600000,0x2a22a602,
    0x3749d301,0x550288cc,0x02a802a6,0x32a0054c,0xb5db647e,0x8144660d,
    0x4aa03510,0x20aa00a9,0x2eff13fc,0x2a2f443e,0x406eeeee,0xeeeec87f,
    0x05df90ee,0x20579510,0x100ffcba,0x7c405795,0x2f2a0357,0x03797501,
    0x5100de54,0x97ea0579,0x5505541a,0x15505541,0x41550554,0x982aa0aa,
    0x2e3ffffe,0x01face9f,0xca806f2a,0x06f2a01b,0x7f41bca8,0x1fe6df51,
    0xeffb89f9,0x13ea06ee,0x3bbffbb2,0x19fffd10,0x8fffff50,0x0fffffe8,
    0x07ffffa8,0xffb01fe2,0xfffb87ff,0xfffd84ff,0xffffa83f,0xe80bf507,
    0xfe83fa0f,0x0fe83fa0,0x20fe83fa,0x2affa0fe,0xdfd11fff,0x3fa609f3,
    0x7f4c4fff,0x7f4c4fff,0x7f4c4fff,0x23fa4fff,0x4ff60ef9,0x27dc0ff8,
    0x5401fd00,0x3ff6a05f,0x4cdffcc6,0x74467ec3,0x4dffcc0f,0x81fe2039,
    0x41fd14fb,0xf71fe619,0xf983fa29,0xf50399bf,0x3a0fe80b,0xfe83fa0f,
    0x0fe83fa0,0x30fe83fa,0x0fefb6df,0xcfe81b61,0x3fa1ffb9,0x3a1ffb9c,
    0x21ffb9cf,0x1ffb9cfe,0x985fb1fd,0xf707f96f,0x017e6009,0xff300bf5,
    0x3e204fc8,0x3f207f47,0x81fe2004,0x2fd999ff,0x7c1fd310,0x22fd999f,
    0xbf5004fc,0x3fa0fe80,0x0fe83fa0,0x20fe83fa,0x543fa0fe,0x5f9cf8cf,
    0xdf301fa8,0x8df34fd8,0xd8df34fd,0xfd8df34f,0x09fb1fd4,0x701ff7fb,
    0x205555bf,0x2fd401fc,0x37ed5664,0x5f980bfa,0x0bfa07f4,0xf107f880,
    0x47ffffff,0x0fffffc8,0xfffffff1,0xa8017f47,0xd07f405f,0xfd07f41f,
    0x1fd07f41,0x21fd07f4,0xfa9facf9,0x6f567c44,0xbf717ea1,0x2bf717ea,
    0xaafdc5fa,0xfeafdc5f,0x260dff98,0xff703fff,0xdf10dfff,0xf90bf500,
    0xfd81bfff,0xfd1be602,0x2002fd81,0x3ff107f8,0x7ec13333,0xf10fe9ad,
    0x4133333f,0xbf5002fd,0x3fa0fe80,0x0fe83fa0,0x20fe83fa,0x443fa0fe,
    0x87f96def,0x25ecf9ed,0x9a7dc6f9,0xf9a7dc6f,0x6f9a7dc6,0x30fea7dc,
    0x0ffd89fd,0x1333bf70,0xf5007f70,0xc806620b,0x43fe206f,0x37e40ffa,
    0x740ff100,0x887fc01f,0x007fa0ff,0x3ea00df9,0xfa8ff405,0x7d47fa0f,
    0x7d47fa0f,0x7d47fa0f,0x37bff20f,0x7d4fd46f,0x87fe27b8,0x43ff12fd,
    0x43ff12fd,0x43ff12fd,0x541fd2fd,0x702fd46f,0x00ff009f,0x3fa817ea,
    0xdb9dff10,0xfffcefe8,0x6e77fc40,0xa81fe206,0x7c5bacff,0x20ffebdf,
    0x45bacffa,0x06dceff8,0xefc80bf5,0x3f20fffd,0x320fffde,0x20fffdef,
    0x0fffdefc,0x106fffec,0x1b6be29d,0x8dfdbffb,0x46fedffd,0x46fedffd,
    0x26fedffd,0x4fdab8fe,0x9f7027d4,0x5004fa80,0x007dc0bf,0x88dfffb3,
    0x80fccffe,0xb86fffd9,0x81ccffcc,0x546ffffb,0x40fccfff,0x986ffffb,
    0xf506fffd,0x443ddddf,0x20fccffe,0x0fccffe8,0x3f33ffa2,0x333ffa20,
    0xc80f6c0f,0x10bff20f,0x881bfff9,0x440dfffc,0x440dfffc,0x3a0dfffc,
    0x40dffe8f,0x3fee04fa,0x07f46eee,0x33bf72e0,0x02002984,0x00800110,
    0x3ffffff6,0x98026202,0x00131000,0xffffa801,0x800881ff,0x80088008,
    0x00fa2008,0x40060020,0x06003001,0x09f500c0,0x3fffffdc,0xffb009d1,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2013b200,0xd501bcba,0x1b90753b,
    0x2f2a01b7,0x816eb701,0x42ed8cea,0x2603d54d,0x1bd5004e,0x64002764,
    0x0165c40e,0x9b01bd50,0x33ae07aa,0x09d30198,0xec837aa0,0x50000004,
    0xca80b2a5,0x81654aa0,0x4002aaa9,0x3fee05fc,0x7dc44fff,0xfe885fff,
    0xffffb02f,0x09fdf507,0x0bf637e6,0x20ff2ff1,0x5404fdf9,0x05fc80ef,
    0xff30ff40,0xdf500bff,0x3f2ff101,0x7ffe7cc3,0x04fdf983,0x7e4077d4,
    0x102fcc05,0x3f7fa0db,0x49ff05ff,0x85fffdfe,0xf707fffc,0x26015309,
    0xbf31fe61,0x0d4409fd,0x1fd14fb8,0x94c05730,0x223301a8,0x02a65502,
    0x054c02a8,0x7ec3fd00,0x2a801fd1,0x10288cc0,0x995406a2,0x300aa00a,
    0x03fdc015,0x3ffa0df3,0xfd80ff9a,0x3e6bffa1,0xffb0000f,0x401bca81,
    0xda80fe98,0x379501ff,0xfb333ff0,0x01bcba85,0x95006f2a,0x0de54037,
    0x54037950,0x32ea01bc,0xfd9fa1fe,0xc98bca80,0x03797502,0x5406f2ea,
    0x97501bcb,0x2f2ea037,0x2a60ae01,0x3a2aaefb,0x4007fa2f,0x207fa2fe,
    0xff301bca,0x3ffffa61,0x7fffe444,0x3fffa20f,0xffffd85f,0x3ffffe23,
    0x3ffee3ff,0x7ff4c4ff,0xfffb04ff,0xffffb07f,0x7ffffb07,0x87ffffb0,
    0x1fffffe8,0x217f2ff2,0xfffffefa,0x7ffffdc3,0x7ffffdc4,0x7ffffdc4,
    0x7ffffdc4,0x7ffffdc4,0x20aaaa64,0xfffffffb,0x0ff41fd0,0x41fd07e4,
    0x3ffa61fe,0x74ff04ff,0x21ffb9cf,0x0fe9adfd,0x3fe233f6,0x7f453ee0,
    0x3333ff10,0xff30cc13,0xffb9cfe8,0xfe8a7dc1,0x7f453ee0,0x7f453ee0,
    0x7f453ee0,0x7f433f60,0x413ffe21,0x1f6bf508,0x263fcc33,0x4331fe61,
    0xf30cc7f9,0x9fe6198f,0x9887fffb,0x3a199efa,0xb307fa0f,0xfd07f43f,
    0x7dce7f43,0x25fb711f,0xf27ec6f9,0x443fe21f,0xff17ec7f,0x745fb333,
    0x3a62001f,0xfd8df30f,0x6cccffc4,0x2667fe2f,0x267fe2fd,0x27fe2fd9,
    0xff12fd99,0x3fee1fe8,0xf102c88f,0x4c403ee7,0xfd3100fe,0x03fa6201,
    0x8807f4c4,0xf3310fe9,0xe837cc0f,0xfd87fa0f,0xe83fa1ff,0xfd8df31f,
    0x7d439d34,0xbff2fdc5,0x3e61ffd7,0xff89fe46,0x2a3fffff,0x445bacff,
    0x50fffffc,0x225fb8bf,0x3fffffff,0xfffffff1,0x3ffffe27,0xffff13ff,
    0x1be67fff,0x2f7ea3fd,0x3223faef,0x0fffffff,0x3fffff22,0x3ffff220,
    0x3fff220f,0x3ff220ff,0x3f220fff,0x7c40ffff,0x741be607,0x7d47fa0f,
    0x3a0fe81e,0xfb8bf51f,0x2e37cc05,0x33ffea4f,0xc8df30fc,0x333ff13f,
    0xfffb8133,0x4d6fec6f,0xb8df30fe,0x267fe24f,0x3ff10999,0x3e213333,
    0x1099999f,0x133333ff,0x23fd1be6,0x5fff92fc,0x4e7d5fe4,0x4d6fec19,
    0x2b7f60fe,0x37f60fe9,0x3f60fe9a,0x360fe9ad,0x40fe9adf,0x1be607f8,
    0x23fd07f4,0x41fd04fc,0xb8df31fe,0x0ffc404f,0xd11305fb,0xff07fc4b,
    0x5000ff43,0x221ff09f,0x43ff10ff,0x00ff42fd,0x3fd007fa,0x2201fe80,
    0x647fea7f,0xfd1ffa2f,0x0ff813e6,0x87fc1ff1,0x43fe0ff8,0x43fe0ff8,
    0x43fe0ff8,0x3fc40ff8,0x4000ff30,0xff000efb,0xfd87fe21,0xffb0bf72,
    0xfb80dfdb,0x7f67fec1,0x5d67fd46,0x3e03f605,0x20ffebdf,0x86fedffd,
    0x45bacffa,0x45bacffa,0x45bacffa,0x45bacffa,0x1fffddfe,0xffd77ff5,
    0x7ff5fe45,0x5effc3ab,0x37fe0ffe,0x3fe0ffeb,0x3e0ffebd,0x20ffebdf,
    0x0ffebdff,0x3fe03fc4,0x83fa84ad,0x104dffe8,0xdffd8df9,0x03ffa6fe,
    0x01bfff91,0x3623ffa8,0xfb80dfff,0x3f206fff,0x67ffd42f,0x3ff220fc,
    0xfff700df,0xffff70df,0xdffff70d,0x8dffff70,0x1fccffe8,0x3efbffee,
    0xd3bfd31f,0xfffa8bff,0x3fea0fcc,0x3ea0fccf,0x2a0fccff,0x20fccfff,
    0x0fccfffa,0x399ff997,0x81ffff50,0xff9100fb,0x107bf20f,0x641bfff9,
    0x2000c06f,0x200300a9,0x0a980098,0x00600130,0x4c400988,0x2004c400,
    0x00220098,0x13020022,0x04c004c0,0x04c004c0,0xffd804c0,0x2202ffff,
    0x26005301,0x03005301,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05badc00,0xaa855553,
    0x2b702aa0,0x233aa05b,0x931532ed,0x54400017,0x2a02aabc,0x000000de,
    0x0274c000,0x1654aa00,0x0198ceb8,0x00175975,0x3201bcb8,0x2a60db8d,
    0xd8002a81,0x550aa00e,0x2f2a2000,0x827f7d42,0x7f47fffc,0xdf503fa0,
    0x237e609f,0x3f7ee2fd,0x36c40fff,0xfffdff10,0x403bea0d,0x3f6a04f9,
    0x3fb2203e,0x7efcc2ef,0x19dfd504,0x5fffdfe8,0x1fffe7cc,0x3fffffa2,
    0x1f7ff541,0x220bfff9,0x2fdc2ffe,0x3f661bea,0xd007f44e,0xea87fc1f,
    0xffa83eff,0x02b987ff,0xfe83fa00,0x2602b980,0xffb83512,0x7cc3fd8c,
    0x7d4bf206,0xf700aa05,0x2eb3ee0d,0xefff985e,0xa99544fe,0x7ff7fdc0,
    0x74d7ff46,0x81a8842f,0x43fd0cfd,0x24eeeffb,0x104ffb98,0x41ff1035,
    0x6ffd42fd,0x803fa6fe,0x643fe0fe,0x263ffdde,0xa8399bff,0x20aa81bc,
    0x741fd0aa,0xaa82aa0f,0x0aa82aa0,0x33ea97ee,0x8555df75,0x541be0fd,
    0x06e01bcc,0x7ccc4fe2,0x0622fec3,0xf886f32a,0x747fd31f,0xaa93ee2f,
    0x3fc42aa0,0x01ff87fa,0x32a0df50,0x89fe41bc,0x3a1fe87f,0x5951fd2f,
    0x03fe0fe8,0x09f937d4,0x27ffff4c,0xd0fe83fa,0xfd07f41f,0x1fd07f41,
    0x09f707f4,0x7fffffdc,0x3273ee0f,0x7fffc44f,0x55554c3f,0x7fddae2a,
    0x03fe66c9,0x7fffff10,0x9bee2fd4,0xe97ea0fe,0x7cc3fa0f,0x7ff0ff46,
    0xf11bea00,0xf987ffff,0x5f989f56,0x6ff53f62,0x83fa5fff,0x49f500ff,
    0x33fa02fe,0x3fa1ffb9,0x07f43fa0,0xd07f41fd,0xfd07f41f,0x31027dc1,
    0xa8333df5,0x640dffff,0xff90224f,0x466cffff,0x7d4f50df,0xfc826665,
    0x43fb8224,0xb83fa7fa,0xfe83fa4f,0x1fe8df30,0x540bbff6,0x27e43feb,
    0xfb3fd011,0xfd34fa83,0x26bffabf,0x7c1fd2fe,0x3beea60f,0x7cc0bf61,
    0x1fd27ec6,0x51fe87f4,0xd07f41ff,0xfd07f41f,0x26027dc1,0x74099efa,
    0x177e4036,0x9ff55530,0xf317d674,0x7fcd3f21,0x40bbf24f,0xd3fc43fc,
    0xfd17f41f,0x7f887f41,0xfc887fea,0x7ffc2fff,0x402efc83,0xfb86fdfb,
    0xd6faffbb,0xfea7dc5f,0x7dc1ff71,0x1bee1dff,0x97ee2fd4,0x643fa0fe,
    0x20fffdef,0xe83fa0fe,0xfb83fa0f,0x3fffe204,0x66ff44ff,0x7ff440bc,
    0x1bf200cf,0x7cc9f39b,0x32a29f70,0x3fffa24f,0xf113f20c,0x7ede7f4d,
    0x1fd07f46,0x7ffeeff4,0x0fffb881,0xffe881fa,0xfff880cf,0x8dfffb83,
    0x541fd5f9,0xffbdfd5f,0x7e4cc4bf,0xb9dff10f,0x9f71be6d,0x21fd07f4,
    0x0fccffe8,0x20fe83fa,0xb83fa0fe,0x3eea204f,0x7fdc1aae,0xda82ffff,
    0x1ff506ff,0x73ffd6c8,0x3ee37d4f,0x26ffda84,0xd2fd46fb,0xe819ffff,
    0xe883fa0f,0x201fdcff,0x012e2ff8,0x641bff6a,0x3ffa80ff,0x707f53ea,
    0x2ffffa9f,0x8bf607fa,0xf16fffc8,0xfd17ec3f,0x1103fea3,0x51fe8bd1,
    0xa8ff41ff,0xf30000ff,0xf71be20f,0x443fcc0b,0x52f982ff,0x7fc47d35,
    0xf9813ee3,0xfd87fe67,0xe8027fa3,0x101ff51f,0xe8087fa1,0x9800a61f,
    0x207fb07f,0x4bf60ff8,0x74bfa0fe,0xe802208f,0xfd85f81f,0x7e46fedf,
    0x700fffde,0xfdefc85f,0x37bf20ff,0x3fa80fff,0x3256ffc0,0x91fe41df,
    0xd0dfb559,0x4dfec09f,0x7fdc0eea,0x3324fece,0x7ec6fdaa,0x7f46fedf,
    0x7ef7e400,0x8ff400ff,0x6feccef8,0x6640bfe2,0x2626fdaa,0x77e406fc,
    0x33fa6fdb,0x03fa6fdb,0x6fecccc8,0xfc882f98,0x7f440dff,0xf500fccf,
    0x67ff447f,0x3ffa20fc,0x0fb80fcc,0x07fffd40,0x8bfffffb,0x40dffffc,
    0x0eeeeffc,0x806fffe4,0x22efffea,0x80dffffc,0x740dfffc,0x7ff4400f,
    0x7f400fcc,0x9ffffd11,0xc80ffc41,0x2e0dffff,0xfc800eff,0x7ffe44ff,
    0x803fa0cf,0x80cffffe,0x88018028,0x202a6000,0x80088008,0x40620029,
    0x3100aaa9,0x7fffec03,0x800100ff,0x40066201,0x88006200,0x440c4000,
    0x10022009,0x006a6033,0x44020020,0x00019801,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xd513a200,0x01d55a87,0x05dddd00,0x27777754,0x984edc98,0x99502aaa,
    0x0dea8037,0x2f775400,0x03319d70,0x201b71b9,0x641effdb,0x77545d35,
    0x37ae2eee,0x6dc6e400,0x206f5400,0x30199dea,0x77f5c09d,0x76dc0eee,
    0x1b90003e,0xffeb81b7,0xf71be61d,0x86fef889,0xee83efeb,0x3fee03ff,
    0xffc85fff,0xfffb84ef,0x3fffe20f,0x03bea03f,0xd50fbfae,0x33e60ffd,
    0xfe883fff,0xddffd02f,0xfb8ff85f,0x3fbbbaa4,0x10077dc3,0xfa805ffd,
    0x7f67c40e,0x4fdf984f,0xeffeffc8,0x3bbbfa0e,0x83efeb84,0x7dc2ffe8,
    0x3e67fdce,0x5c427dc6,0xffeffd82,0x5c07f904,0x0f7d402f,0x893f2000,
    0x7e40aa00,0xf884ffdf,0x00d44207,0x3bee0351,0x54330220,0x260ff200,
    0x00d4401a,0x15410154,0x441532a8,0xb85f88ef,0x6ffdc05f,0x81a881fe,
    0x4c7f60fe,0x5327dc6f,0x54710555,0x407f906f,0x0ff402fb,0x20aaaa60,
    0x4aa02efc,0x87fc42ca,0x7fc40ff8,0x654aa0c8,0xaaaaa982,0x26017fc2,
    0xfc802aaa,0x40aaaa63,0x40bc98a9,0x40bc98a9,0x5302aaa9,0x27f70555,
    0x01fd85f8,0x2a810ff4,0x12fe8595,0x71be61ff,0x3fffdc9f,0xfc83fc40,
    0x337bee03,0xcddbff81,0x43fffdc0,0x40cfffe8,0x25fffdfe,0x20fec5fa,
    0x3a0ffff8,0x645fffdf,0x227fffff,0xfffb807f,0x2e3fc807,0xbf707fff,
    0x7dc1ffff,0x2e0ffffd,0xff707fff,0x225f90ff,0x07fa2aef,0xdfe80ff0,
    0x3fe65fff,0x1be62fed,0x7ccc49f7,0x905fa807,0xfb86e47f,0x3e24ffff,
    0x20ffffff,0x2a07f998,0x7ff46ffd,0xff30ff9a,0xf9117ec1,0xaffe83bf,
    0x2aa60ff9,0x1fe64ffa,0x01fe6620,0xf9988ff2,0xb19ff707,0x467fdc7f,
    0x3e6623fd,0x0ff33107,0x3ffe23fb,0x4c407fa7,0xfe8199ff,0x2e0ff9af,
    0x3e60efff,0x7c427dc6,0x80ffc407,0x09ff53fc,0x3e21ff71,0x220ff61f,
    0x47f9807f,0xe87fa2fe,0x32fffeff,0x3fa0ffff,0x7e407fa2,0x1003fcc6,
    0x07f900ff,0x97ee0ff1,0xa97ee3ea,0x407f883e,0x12fd87f8,0x0ff433bf,
    0xffffffa8,0x3fd17f41,0x9bfafbea,0x427dc6f9,0x3fa207f8,0x7d4ff203,
    0xf87fe03f,0x7c427dc7,0xfdaacc87,0x3fd07f46,0x7f6f7644,0x20ff5b52,
    0x207fa0fe,0x7fc40ffa,0x00ff1001,0x0ff107f9,0x9f7013ee,0x101fe200,
    0x227f90ff,0x101fe85f,0x81555ff7,0x7c7fa0fe,0x7ccbfa0f,0x7c41fdc6,
    0x807fd107,0x980a63fc,0xc8bfa0ff,0xc87f883f,0x740dffff,0xf007fa0f,
    0xd07f881f,0x220ff41f,0x1bfb02ff,0x087f8808,0x3fc417f4,0x7dc04fb8,
    0x80ff1004,0x16fa87f8,0x803fd0bf,0xd07f407f,0xfc8ff13f,0x3f36df32,
    0x887f881f,0x3fc803fe,0x3ff732e0,0x7ee7fd44,0x207f880f,0x41fd03fa,
    0x17f201fe,0x07f41fe2,0x04fe83fd,0x3fb7ffe6,0xec87f882,0xf880ffdc,
    0xb809f707,0x0ff1004f,0xdfd07f88,0x3a199df9,0x203fc01f,0x747fa0fe,
    0x30ffbbdf,0x70fffedf,0x2399ff99,0x2eeeeffe,0x79bfd991,0x07dfffb0,
    0x707bffee,0x8399ff99,0x41fd00fb,0x3fbb21fe,0x3f32e0ef,0x83fa1ccf,
    0x3bff21fe,0x7ec40eee,0x332e1eff,0xff51ccff,0xfccb83df,0x13ee1ccf,
    0xcb809f70,0x2e1ccffc,0x21ccffcc,0xffffffd8,0x3a603fd0,0x22eeeeff,
    0x447fa0fe,0x401efffd,0xfffffb00,0x3ffffe5f,0xffff33ff,0x00620dff,
    0x3fff6008,0x014c2fff,0xb0ff41fd,0xfd817dff,0x3a2fffff,0xfd87fa0f,
    0x200fffff,0xfffffb00,0x3f60085f,0x2e2fffff,0x027dc04f,0x3ffffff6,
    0x3fffff62,0x7f40102f,0xfffff501,0xd07f45ff,0x0001303f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x542eb800,0x477a600d,0x06d42dea,0x90da85d7,
    0xeeea803d,0x7544e985,0xdb04e983,0x0dea8001,0xd98007b2,0xd71ba3ee,
    0x66f77445,0x3a627541,0x22007b24,0x3bba205e,0xc81b81cd,0xe9803b60,
    0x34eeeeee,0x9ddddddd,0x17bbba60,0xeeed8098,0x88ffae2d,0x87be603f,
    0x8fe27d99,0x8fe23feb,0x775401fd,0x545f987f,0x27efcc4f,0xf50007f4,
    0x777ff41d,0x777fcc02,0xb333ff14,0x7f7fc47f,0xd17f44ff,0x4017ec3f,
    0x3fe206f9,0x3ea4fffe,0x7fd2fdc6,0x573d5035,0x3ba6b933,0xb04eeffe,
    0x260bdfff,0xffeff84f,0x6d8fe24f,0x7fc05540,0x8fe21b65,0x800fec6d,
    0x45f987f8,0xa99544fa,0x50007f40,0x5ddffd05,0xfe82fd80,0x0fffffff,
    0x0ffd4ff1,0xb17eadf5,0x2df3005f,0xf53fc449,0x7fffec3f,0x3fffa0ef,
    0x3e7aa2ff,0xfa85b8ef,0x2fefc405,0x3fe13e60,0x9fc4ff50,0xaaa981fa,
    0xf53f7302,0x3ea7f103,0x3550fec1,0xbf30ff10,0x20554fa8,0x951fd0a9,
    0x55555305,0x0131fd85,0x7fd407f4,0x10cfdaaa,0x6c4fc8ff,0x7ec0feaf,
    0xfdef9802,0x3f23fc45,0x3fb3fe24,0x7eddff44,0x6f44d51f,0x405fa85b,
    0x3305fafb,0x3e133bf5,0x7c43fe0f,0xff704f8b,0x1bff90ff,0x22fe209f,
    0xf91fd84f,0x30ff101d,0xfd4fa8bf,0x3fa1f901,0x7e45fffd,0x7ec7ffff,
    0x2622fffb,0x2099afe9,0x2fd999ff,0x7d4abfee,0x41fffc45,0x50f662fd,
    0xfb817fff,0x54bf52af,0xfe8df12f,0x2354ff60,0x2e625bdd,0x1dd009df,
    0x7fc455df,0xff3fffff,0x360df931,0x1fe66206,0xb006d862,0x3ea7f60d,
    0x30ff100e,0xf94fa8bf,0xfd3ec263,0x4c1ff35f,0x6c4ffaaa,0x2a7fcdff,
    0x3fffffff,0x3ffffffe,0x55bfffe2,0xb06fc86f,0xb8ffec5f,0xfff00eff,
    0xfc9beadf,0x41fd1fa1,0x3f2d54fb,0x3fea5b9f,0xbf985fff,0x5545fff8,
    0xff1aadfb,0xf5019fff,0x80ff1003,0x1fa801fa,0x01ff7fb0,0x2fcc3fc4,
    0x4d7dd3ea,0x17f4dd5f,0x1bf203fd,0x10ff93f6,0x1557ff55,0x7ed557fc,
    0x5c27fe62,0x3ffbb25f,0xc8bf60ee,0x0dfbb0ff,0xfb84ffcc,0x2fc4fea5,
    0x97f443fa,0x32dc9b6a,0x9059dfb9,0x013bf11f,0x33fe13e6,0xbcf884fe,
    0x0ff101de,0x81eda7c4,0x6c3db4f8,0x7c403fff,0x7dc5f987,0x2ff97f53,
    0xfe83fa5f,0xd80ffa81,0x3a03fa1f,0xfc8ff00f,0x9fd1fe22,0x1577e54c,
    0x98350bf6,0xd1fe206f,0x767fc49f,0x7eeff43f,0x704daa5f,0x7c0bf50b,
    0x4c05feef,0xf88ff84f,0xeaab6c1f,0x6c0ff106,0xdb03fd96,0xbfd87fb2,
    0x1fe201ff,0x25f91fe2,0xfbfeecf9,0x1fe83fa4,0xfd817fc4,0x3fa03fa1,
    0x2fc8ff00,0x7fdc5fe2,0x2bbf2a60,0x4c017ec2,0x45fe206f,0x3ff20ffb,
    0x3fa0efff,0xfb543eff,0x17ea16e5,0x2ff777d4,0x87fc04c0,0x987ea5fc,
    0x20ff104f,0x1f9f99fa,0x7cfccfd4,0x3bee7f61,0x360ff100,0x226fdcef,
    0x3fefafef,0x41fe83fa,0x87f604fe,0x00fe80fe,0x222fc8ff,0x43fffeff,
    0x0eeffeec,0x17bbbbf6,0x3bbbbfe6,0xfffdff12,0x3f237d47,0xea803fa5,
    0x85c99ab9,0x21fb05fa,0x65c4cef8,0xff0ccccc,0x3a27fe21,0x97077ea4,
    0x22399ff9,0x4ffff94e,0xffff94e8,0x45fd8fec,0x1ccffccb,0x037fff62,
    0x8bff6fff,0xc87fa0fe,0x20eeeeff,0x203fa1fd,0xc8ff00fe,0x3bffe22f,
    0x413ea01d,0x87fffffd,0x3ffffff9,0x03bdfff1,0x7f419037,0x3fffea00,
    0x5fa85fff,0x3fe25f88,0x7ffff47f,0x6c1ff1ff,0x3fa0fcdf,0x7fffec7f,
    0x221f92ff,0x43f22f99,0x3f62f998,0x7ec9fd11,0x302fffff,0xffaaff40,
    0x1fe83fa0,0x3ffffff6,0x0fe87f60,0x00000fe8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a600000,0x2e01cdee,0x4176c0ff,
    0xdddd10ed,0x3baa5ddd,0x3bb26eee,0xd900eeee,0x361d503d,0x7d513a24,
    0x3bbbbba6,0xddb0004e,0x59dddb01,0xeeeeed81,0xe887d72e,0x7d717aa5,
    0x335c0764,0x1774409d,0x87ba27d1,0x6c1db2ee,0x7754002e,0xdddb5eee,
    0x2a0aa87b,0x3fe6000a,0x7544fffe,0x2fe40fff,0xfff89fe6,0xff72ffff,
    0x7764dddd,0xf980eeff,0xf0fb82ff,0x3ee37cc9,0xdffddd34,0x20fd409d,
    0xff83fff8,0x7fc4ffee,0xf32fffff,0x7fc4fc8f,0x7e43ff12,0x17ea7d80,
    0x3e66ff98,0x3ea9ff14,0x3ee1ff3f,0x3ee05d86,0xdfd5eeef,0x07f4dffd,
    0x77fe41fd,0xff52fcc2,0x07fdff43,0x89f71fe6,0x0ffa9999,0xbf5009f7,
    0x42fdfe80,0x1cf99fd9,0x84fb8df3,0xffc805fa,0x42fefdc1,0x01ff10ff,
    0x4ff637dc,0xb7d40ff8,0x407e44fc,0x9817ea7d,0x29f32fff,0x7ff97ff9,
    0x07fe23fe,0xf701dfb1,0x7443fa09,0x7f41fd2f,0x31f666a0,0x264fc8bf,
    0x3ff01ff0,0x3f2017ec,0x2a013ee4,0x32fee05f,0x3fffe62f,0x8df37fff,
    0x05fa84fb,0x7ec077ec,0x07fc0ff9,0x3fe201fd,0x3fcb7cc1,0x81ff7fd0,
    0x9b6390fb,0x3be605fa,0x3e69f36f,0xf4fcf9fc,0x6407fb1f,0x827dc1ff,
    0x753ee0fe,0xb883fa0f,0x22fcc7ec,0x01ff05fa,0x01fe27fb,0x6fdc1ff1,
    0x5fa82aaa,0x0bf2df10,0x37f73dd3,0x36aabbe6,0x105fa84f,0xdbfc0bfd,
    0x6d5ffc2f,0x413fa04f,0x500ffbfd,0x3f709fff,0xfa9babf3,0x3f73e605,
    0xf5f34f99,0x3fe9f3fb,0xffb805fc,0x26677ee2,0x9fe41fd0,0xe83fa0fe,
    0x2fcc7dae,0x07fc1bea,0x05fab7d4,0x3fee2fe4,0x5fa86fff,0x0bf23fb0,
    0xf30fd57e,0x09ffffff,0x1bfa0bf5,0x89f74fa8,0x02ffffff,0x7fcc0df7,
    0x07ffc03f,0xebfdcfdc,0xf9817ea5,0x54f9dfac,0x57edfb3f,0x9002ffff,
    0x3ffee3ff,0x735fd5ff,0xe83fa1ff,0xfd7bf10f,0x2fdc5f98,0xff880ff8,
    0x3e202fc8,0x4cefdc1f,0xa85fa809,0xa98bf24f,0x31bfdadf,0x9f9333df,
    0x3a20bf50,0x32fc80df,0xb99ff8ff,0x0ffc42ff,0xa803ff60,0x9fa84fff,
    0x2a5e9fee,0x753e605f,0x73f54faf,0x5ffd7e9f,0x7fdc00ef,0x3333bee2,
    0x5fffffd2,0x0ffa8ff4,0xf31af7ae,0xff04fe8b,0x3fabf601,0x2e17ee00,
    0x85fa804f,0xfffffffc,0xffffff97,0xf71be69f,0xd80bf509,0x777f40ef,
    0x83fe1ffe,0x027f44fc,0x3fa02fd4,0x5fd41ffb,0x2a5fcfaf,0x5d3e605f,
    0x13f74fef,0x47fd7e3d,0x3bf204fd,0xfe827dc1,0x77e40abd,0x2660fffd,
    0x57e60999,0xff00ffb8,0x1bfbee01,0x9f703ff0,0xd70bf500,0x2bdffddd,
    0x9fd9bfa8,0x4fb8df30,0xfb805fa8,0xdddff31f,0xb07fc7fd,0x8037dc5f,
    0x5bee04fa,0xbf7cc6fc,0x17ea4fed,0x3ffe4f98,0x2dd01f74,0x42ff88ff,
    0xfb80efe8,0x4401fd04,0x30fccffe,0x4c7fffff,0x43fffeff,0x2eeffeec,
    0x701fffc4,0x3bfee0bf,0x3f72e6ee,0x17e404ce,0x2636c7ea,0x5427dc6f,
    0x23d5005f,0xf37d43fb,0x44dfd99f,0x2eeeeeff,0xff104fa8,0xf98bfe23,
    0x549ff54f,0x31eeeeff,0xba7fdc9f,0x1ff6e80f,0x0bb03fee,0x0fe827dc,
    0x26600880,0x3fe60999,0xffd81def,0xfe83ffff,0x407fe01f,0x27fffffb,
    0x0ffffffd,0x1f70bf20,0xb8df317a,0x005fa84f,0xff883fb0,0x17bffff0,
    0x7fffffc4,0x904fa83f,0x226fc8bf,0x47ff12ff,0x1ffffffa,0xa7fc49f3,
    0xff7e80fc,0x2002ff41,0x01fd04fb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x77103797,0x2f2a0ae6,0x32a02c98,0x5795101b,0x501bcca8,0x98a98379,
    0x654aa0bc,0x85bdb302,0x5154c2a8,0x54c2a605,0x2a62aaaa,0x22a62a81,
    0x8000572c,0x27d402c8,0x4c15554c,0x2206aa0a,0x3bdb502e,0xb80deec8,
    0x2a3b104d,0xfb313663,0xffffb87f,0x37ffa24f,0x3bea3fff,0xd83fffff,
    0x7d43ffff,0xfff17fff,0xffe987ff,0x3f7ee4ff,0xfbfd0fff,0xacfa8bff,
    0xd1ff45ea,0x6407f43f,0xfffff90f,0x3ea2fdcf,0x33ff7ee6,0xc83ae3ff,
    0x404f980e,0xfffb86fb,0xdf71fd87,0x28af8988,0x323fef6c,0x7ff45fdb,
    0xdf13fb06,0x2fba2fd4,0xf98662fd,0x5bea3ea7,0xafd4226d,0xe8a7dc7d,
    0x337ff30f,0x40893f27,0x1ffb9cfe,0x7fb19ff7,0x3fe6bffa,0x3fbd3f10,
    0x64ffcc5d,0x098fe44f,0x7d554cfb,0xd83fe24f,0x3e77ee2f,0x3bf25f8f,
    0x9f305fc8,0x9880a880,0xa9fd87f9,0x7dfe40ef,0x0ff107fc,0xf9a89f73,
    0x1fb4fa86,0x25f327d4,0xfd3104f8,0xca7cdf21,0x3ee7f107,0x36667fe0,
    0x3209f92f,0x8df302ef,0x54bf74fd,0x7f45fd3e,0x27abad31,0x37f7dc4b,
    0xeafcd7dc,0xf90df906,0x5f71fe27,0xf91ba9f1,0xcaa88bff,0x5511aadf,
    0x88355555,0xffbfd87f,0x19ffd500,0xf887fb10,0xd0df02ff,0xf989f31f,
    0x27c4fe64,0x1fffff91,0x7fffc5b6,0xffff910f,0x3fe21fff,0xfd3fffff,
    0x3fffa205,0xf717ea0c,0xfe813eeb,0xead47fa0,0xffb0b55d,0xff97f503,
    0x03fea17e,0x227d5be6,0xdd3f89fb,0xfa81ffd0,0x55ffffff,0xbfffffff,
    0xffd87f88,0xfffb303f,0x03fe885d,0xdf01fd31,0x83f69f50,0x767fc1a8,
    0x26b7f61f,0x3e2db0fe,0x2ff2199c,0x22199cfa,0x099999ff,0xfda805fb,
    0xf71be66f,0xfe813ee9,0x47c47fa0,0x443d9e9e,0xcf984fff,0x444fbfee,
    0x27fa02ff,0x44fdc1fd,0xffc8dd3f,0x32aa20ef,0x5511aadf,0x88355555,
    0xffbfd87f,0xdbf9eb81,0x1777ff46,0xdc8df979,0x4fec1dff,0xed9806f8,
    0xf887fc1d,0x17e6f90f,0x204f9bf4,0x1bf201fe,0xff13fcc0,0x4fb97ec3,
    0x1fe83fa0,0x3f662f72,0x0ffdff40,0x3bebfbe2,0x2027f43f,0xfb86fdfb,
    0x64dd3f89,0x301df95f,0x01b8809f,0x27f61fe2,0xf8880efb,0xddddd813,
    0x906f7ba1,0xd883bbbb,0x33300771,0x5effc133,0xb7f50ffe,0x7e4537ff,
    0x43abffeb,0x25bacffa,0x96dceff8,0xd8dfb559,0x2e6fedff,0xe83fa04f,
    0x77f7e41f,0xffbafe40,0xffdbffc0,0x3bbbff22,0x1fffc40e,0xe9fc4fdc,
    0x20b916e6,0x37e404f9,0x667fe65c,0x17f63fb1,0x000001a8,0x7cc00000,
    0x3ea3ffff,0x360fccff,0x25ffeaff,0xffe9dfe9,0x6ffffb85,0xcb7ffecc,
    0x440dffff,0x2e0dfffc,0xe83fa04f,0xa809881f,0xd17f60ff,0xd83feabf,
    0x80ffffff,0x9fb80ffc,0x000dd3f8,0x3a601644,0xfffffd83,0x3a23fb2f,
    0x0000004f,0x4c000000,0x09809999,0x20110440,0x262004c0,0x0cc40400,
    0x00000180,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xb107914a,0x0faa05dd,0x15555554,0x3ffffffd,
    0x57601544,0xeaa6c1db,0x2ee60261,0x20136e3b,0x33330dda,0x55433333,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x3ee00000,0xcfe81fd3,
    0x1fee82fe,0x7fffffc4,0x9999990f,0x3bffa219,0xfcbfcbb0,0x9fe5fe22,
    0x7fe40efc,0x502fe47f,0x7fffc1df,0xfd1fffff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0xfd800000,0x4be65f98,0x747dc4f8,0xc9999985,
    0x2fea000f,0x3e5fbefc,0x11983f96,0x000fff45,0x82b80dcc,0xaaaaaaaa,
    0x1555550a,0x00000000,0x00000000,0x00000000,0x00000000,0x3fb4f980,
    0x127c4fea,0x200bea7f,0xbbbb90fb,0x5c36a1bb,0x5dba1fff,0x13aa001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x31fd0000,
    0x767fc4bf,0x1fb1b21f,0xffd0ca80,0x4403ffff,0x0a995409,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x981fd2fb,
    0x20dc2ded,0x000001b8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32498000,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_17_latin_ext_x[560]={ 0,3,1,0,0,0,0,3,2,1,1,0,1,2,
3,0,0,0,1,1,0,1,0,0,0,0,3,1,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,0,2,0,0,0,0,1,1,0,0,0,0,1,1,
0,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,3,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,
3,0,0,0,1,0,0,2,0,0,1,0,1,1,0,1,0,3,3,1,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_17_latin_ext_y[560]={ 12,0,0,1,-1,0,0,0,-1,-1,0,3,8,6,
8,0,0,1,0,0,1,1,1,1,0,0,3,3,2,5,2,0,0,1,1,1,1,1,1,0,1,1,1,1,
1,1,1,0,1,0,1,0,1,1,1,1,1,1,1,-1,0,-1,1,13,0,3,0,3,0,3,0,3,0,-1,
-1,0,0,3,3,3,3,3,3,3,0,3,3,3,3,3,3,-1,-2,-1,5,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,12,3,-1,0,1,1,
-2,0,0,0,0,4,6,6,0,0,0,1,0,0,0,3,0,5,12,0,0,4,0,0,0,3,-2,-2,-2,-3,
-3,-3,1,1,-2,-2,-2,-3,-2,-2,-2,-3,1,-3,-2,-2,-2,-3,-3,3,-1,-2,-2,-2,-3,-2,1,0,0,0,
0,0,0,-1,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,0,0,
-2,0,-2,0,1,3,-2,0,-2,0,-3,-1,-2,0,-2,-1,1,0,-2,0,-2,0,-3,-1,1,3,-2,0,-2,0,
-2,0,-3,-1,0,-1,-2,-3,1,0,-3,0,-2,0,-2,0,1,-1,-3,3,1,-1,-2,0,1,0,3,-2,-3,1,
0,-1,-1,1,0,1,0,-2,0,1,3,-2,0,-2,1,3,-2,0,-2,0,-2,0,1,3,-2,0,1,3,-2,0,
-2,0,-2,0,0,3,-2,0,1,0,-2,-1,1,0,-3,0,-2,0,-2,0,-3,-1,-2,0,1,3,-2,0,-2,0,
-3,-2,0,-3,-1,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-4,-2,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_17_latin_ext_w[560]={ 0,3,7,9,9,10,10,3,6,7,8,9,6,6,
4,9,9,9,8,8,9,8,9,9,9,9,4,6,8,8,8,7,10,10,8,9,9,8,7,9,9,8,7,9,
8,9,9,10,8,10,8,9,9,9,10,10,10,10,9,5,9,5,9,10,6,9,8,7,9,9,9,9,8,8,
8,9,8,9,8,9,8,9,8,8,9,8,10,10,10,10,8,7,3,8,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,8,9,10,10,
3,9,8,10,7,9,9,6,9,7,7,9,7,7,9,8,9,4,3,7,7,8,10,10,10,7,10,10,10,10,
10,10,11,9,9,9,9,9,9,9,9,9,9,9,10,10,10,10,10,9,10,9,9,9,9,10,8,8,9,9,
9,9,9,9,10,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,8,10,
10,9,10,9,10,9,9,9,9,8,9,8,9,8,10,11,9,10,9,9,9,9,9,9,8,9,9,9,9,9,
9,9,9,9,9,9,9,9,10,9,9,9,9,9,9,9,8,8,9,8,9,9,8,8,9,9,9,9,9,8,
8,12,12,9,11,9,8,9,9,9,8,9,9,9,9,8,10,9,10,9,10,10,10,10,10,9,8,8,10,9,
9,9,9,9,9,8,9,9,9,9,9,12,9,9,9,9,9,9,9,9,9,9,10,10,9,8,10,10,10,10,
10,9,9,9,9,9,9,7,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,10,9,11,10,12,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__consolas_bold_17_latin_ext_h[560]={ 0,13,5,11,16,13,13,5,17,17,8,9,7,3,
5,14,13,11,12,13,11,12,12,11,13,12,10,12,11,5,11,13,16,11,11,12,11,11,11,13,11,11,12,11,
11,11,11,13,11,16,11,13,11,12,11,11,11,11,11,17,14,17,6,3,4,10,13,10,13,10,12,13,12,13,
17,12,12,9,9,10,13,13,9,10,13,10,9,9,9,13,9,17,18,17,5,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,13,16,12,11,11,
18,14,4,13,10,7,5,3,9,4,6,11,7,7,4,13,14,4,3,7,10,7,12,12,12,13,14,14,14,15,
15,15,11,14,14,14,14,15,14,14,14,15,11,15,15,15,15,16,16,9,15,15,15,15,16,14,11,13,13,13,
13,13,13,14,10,12,13,13,13,13,12,12,12,12,13,12,13,13,13,13,13,9,13,13,13,13,13,16,16,16,
14,13,14,13,15,13,15,13,15,13,16,14,15,13,14,14,11,13,14,13,14,13,15,14,15,13,14,13,15,16,
15,16,16,17,16,17,14,15,11,12,15,12,14,12,14,12,15,17,15,9,12,17,15,16,15,16,9,14,15,15,
16,13,13,11,12,11,12,14,12,15,13,14,12,14,15,13,15,13,15,13,15,13,12,10,14,12,15,13,14,12,
15,13,15,13,15,12,15,13,15,16,14,14,11,13,16,13,15,13,15,13,16,14,15,13,15,13,14,12,14,16,
15,14,12,15,13,14,12,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,17,17,14,13,16,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,13,15,16,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__consolas_bold_17_latin_ext_s[560]={ 248,248,57,70,58,196,122,250,29,75,207,
168,249,115,249,22,210,11,31,238,60,52,61,32,1,100,250,249,100,38,211,
181,145,109,120,139,1,42,220,111,80,51,159,201,172,191,181,131,228,207,247,
171,90,63,21,161,150,139,129,116,43,110,18,104,87,9,220,51,112,41,113,
70,84,194,92,44,54,148,87,68,142,161,78,59,203,237,137,117,106,199,128,
36,5,83,47,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,248,252,39,
236,185,144,1,53,65,100,246,240,28,115,96,79,10,237,216,224,94,229,63,
74,250,232,1,1,33,1,22,222,73,133,195,168,22,141,225,84,104,164,12,
162,144,240,32,148,175,202,223,179,11,110,79,158,54,76,97,127,218,1,196,
247,184,174,164,154,144,33,30,247,102,92,82,72,167,12,207,149,21,119,1,
237,227,217,207,178,186,176,166,156,146,68,30,90,184,104,229,51,209,11,220,
51,230,124,11,114,40,72,218,206,134,61,174,94,154,114,190,123,200,41,94,
31,89,167,50,177,197,9,135,65,246,1,123,103,30,197,185,71,164,21,80,
101,60,188,11,19,240,101,70,228,197,112,20,11,21,133,81,155,40,165,110,
206,90,158,213,23,246,122,107,230,86,239,65,1,43,61,217,19,195,187,234,
51,153,177,192,80,117,121,152,81,33,189,1,1,143,99,215,60,48,151,121,
11,131,30,238,236,137,40,182,21,132,73,174,156,212,216,93,172,90,226,129,
228,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,1,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,54,44,11,133,122,243,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,187,42,1,1,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205, };
static unsigned short stb__consolas_bold_17_latin_ext_t[560]={ 15,1,177,154,20,84,99,166,1,1,166,
166,99,177,107,84,113,154,127,113,154,127,127,154,127,127,69,37,154,177,154,
113,1,154,154,127,154,154,154,113,154,154,127,154,154,154,154,113,154,1,141,
113,154,141,154,154,154,154,154,1,69,1,177,177,177,166,113,166,99,166,141,
113,141,99,1,141,141,166,166,166,113,113,166,166,99,154,166,166,166,113,166,
1,1,1,177,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,15,1,20,
127,141,141,1,69,177,113,154,166,177,177,166,177,177,141,166,166,177,113,69,
177,80,166,166,177,141,141,141,99,69,69,69,37,37,20,141,69,69,69,84,
20,69,69,84,37,141,20,20,37,37,20,20,166,37,37,37,37,1,84,141,
84,99,99,99,99,99,69,166,113,99,99,99,99,127,141,127,127,99,127,99,
84,84,84,84,166,84,84,84,84,84,20,20,20,69,84,69,99,37,99,37,
84,37,84,20,69,53,84,69,69,141,84,69,84,69,84,37,69,37,99,69,
99,53,1,53,1,1,1,1,1,53,53,141,141,53,127,53,127,53,127,53,
1,53,166,127,1,37,20,53,1,166,53,53,53,20,84,84,141,127,141,127,
53,127,37,99,69,127,53,37,99,37,99,37,113,37,99,127,166,53,127,20,
113,53,127,20,113,37,113,20,127,37,113,37,20,53,53,141,113,20,113,20,
113,20,113,1,53,37,113,20,113,53,141,53,1,20,53,141,20,113,53,127,
127,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,69,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,1,1,69,99,1,20,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,1,84,37,20,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141, };
static unsigned short stb__consolas_bold_17_latin_ext_a[560]={ 150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_17_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_17_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_17_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_17_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_17_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_17_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_17_latin_ext_s[i] + stb__consolas_bold_17_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_17_latin_ext_t[i] + stb__consolas_bold_17_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_17_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_17_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_17_latin_ext_x[i] + stb__consolas_bold_17_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_17_latin_ext_y[i] + stb__consolas_bold_17_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_17_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_17_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_17_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_17_latin_ext_s[i] + stb__consolas_bold_17_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_17_latin_ext_t[i] + stb__consolas_bold_17_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_17_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_17_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_17_latin_ext_x[i] + stb__consolas_bold_17_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_17_latin_ext_y[i] + stb__consolas_bold_17_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_17_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_17_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_17_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_17_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_17_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_17_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_17_latin_ext_LINE_SPACING
#endif

