// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT        226
#define STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_19_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_19_latin_ext_LINE_SPACING          12

static unsigned int stb__consolas_bold_19_latin_ext_pixels[]={
    0x0000c431,0xcb800f20,0x3029800c,0x3fe60015,0x0710d404,0x29800cc0,
    0x54403100,0x999114c0,0x22062059,0x01880009,0x95022188,0x26621999,
    0x00988099,0x40133100,0x22081ba8,0x3fa01c80,0x7dc03fd1,0x027cc01e,
    0x0098efd8,0x3fe03fe6,0x02ff9805,0x4fc8ffdc,0x17fffd40,0x9807ff10,
    0x4bfd04ff,0xfff12ff9,0x8bfd10bf,0x7cc004fc,0x4dfd404f,0x7fffe45f,
    0x09ffff51,0xf10009fb,0x3fe601bf,0xff97f43f,0x7427ffc1,0x2a03fd1f,
    0x3fc800ce,0x7f53c980,0x7c13fe20,0x00ca805f,0xff11ffb8,0x2efbea05,
    0x7ff101fe,0x27df7c40,0x5ff32ff4,0x10267fe2,0x7e4bf7dd,0x2fbe2004,
    0x7fff404f,0x8ff4cc41,0xd84fecc9,0x7fc4004f,0x04eff403,0x20ffcbfa,
    0x7f41ffa9,0xdb503fd1,0x00062007,0x3601fb51,0x002a605f,0x5001dff7,
    0x4c1ffa83,0x813e60ef,0x98554029,0x2605440a,0xa981be22,0x13f21530,
    0x1530aa80,0x6c00aa80,0xd84fc81f,0x0d54004f,0x41103fc0,0xd0ff2008,
    0x3e07fa3f,0x5d401f9c,0xf502aabc,0xf501ffff,0xaaaa881f,0x42f9fc01,
    0x0aaaaaa9,0x07f237e4,0x5e5d41fa,0xbcba82aa,0x506a62aa,0x4c1be215,
    0x90aaaaaa,0x30d5449f,0x01551055,0x05557975,0x09f903fb,0x859717fb,
    0x0aa882a9,0x154c37c4,0x3ee05544,0x1fe8ff44,0x200fcee8,0x6ffffffd,
    0xffdeffa8,0xfa83fd85,0x76c04fff,0x7ffe41fc,0x0ff80fff,0x3736edf1,
    0x7ffec0fc,0x7fec6fff,0x3f66ffff,0x7c43fe24,0xfffff906,0xfd93f21f,
    0x703fea0e,0xffffb0df,0x03fb0dff,0xfbfb09f9,0x7fd49fff,0x7c437dc0,
    0x5c0ffa86,0x744fb86f,0x9103fd1f,0x477dc05b,0xfe80cfd8,0x447fff94,
    0xeaa881ff,0x16ec404f,0x7fdd554c,0x7f52fe80,0x3f7dfff9,0x7ec477dc,
    0x223bee0c,0x93f60cfd,0x0df10ff8,0x3feeaaa6,0x3bf29f90,0x7f43ff80,
    0x6c477dc3,0x81fd80cf,0xeffd84fc,0x3fe1ffcb,0x7cc1ff43,0xfe87ff06,
    0x7f45f983,0xff903fd1,0xf51fe40f,0x774ff30b,0x03fe65fc,0x5cc09f90,
    0x7c400bcc,0xf94fc80f,0xf7bf3df3,0xbf51fe45,0x17ea3fc8,0x87fc49fb,
    0xff1006f8,0x3fef3f21,0x7ccdf901,0xf51fe40f,0x3207f60b,0x20efd84f,
    0x99bf24fe,0x3f6620ff,0x7ccdf904,0x237ff00f,0xd01971fe,0x3ee03fff,
    0x3ee13ee5,0x4df59f35,0x4fc806fa,0xffffff30,0x407fc405,0x9f3fb6fa,
    0x5c3f79f3,0xf713ee5f,0x3f627dcb,0x7c43fe24,0x21ff1006,0x201ffefc,
    0x0bf90ff9,0x827dcbf7,0x84fc81fd,0x32fe44fd,0x917f21ff,0x7fcc09ff,
    0x74c0bf90,0x8803fd7f,0xf104fdff,0x903ffbdf,0x3e67eebf,0x3201bea7,
    0x1137304f,0x7fc40ff9,0x5fd6fa80,0x3f99f57f,0x7fef7fc4,0x7ef7fc41,
    0xf127ec1f,0x401be21f,0xfdf90ff8,0xf3fe807f,0xbdff105f,0x07f603ff,
    0x13f613f2,0xf3fe8bf9,0x1ffda85f,0x17fcffa0,0x3fa9bfd0,0x7defdc01,
    0x9ddbf706,0xbf57f203,0x03fe27f9,0x44009f90,0x1ff100ff,0x2bfabf70,
    0x0fdbfabf,0x073bb7ee,0x073bb7ee,0x0ff893f6,0x3e200df1,0xff79f90f,
    0x7d77dc03,0x9ddbf707,0x640fec03,0x744fd84f,0x7d77dc3f,0xb813ee07,
    0x2a07faef,0x188ff45f,0x0ff9bfd8,0xf5001fe8,0x1bea9f1b,0x4fc805fd,
    0x3fbb2e20,0x01ff100f,0x3e7fa9fb,0x746fcfdc,0x01fe801f,0x3fe24fd8,
    0x2200df10,0x369f90ff,0xdff100ff,0x007fa09f,0x4fc81fd8,0x3fea4fd8,
    0x27f7fc41,0x7c40df30,0x3ea04fef,0x1fe8ff44,0x83fe87fc,0x1cdeeffc,
    0x92fbff98,0xb83fc8bf,0x1eefffee,0x3fbbffe6,0x01ff100f,0x3e3f63ff,
    0x642ffeef,0x41cdeeff,0x1cdeeffc,0x1ff127ec,0x7c401be2,0x3a29f90f,
    0x3fff206f,0xbddff900,0x5c7f6039,0x1eefffee,0x9ffb9dfb,0x803fff20,
    0x7fe406f8,0xd13ee00f,0xfa87fa3f,0x3e617f26,0x42ffffef,0xff37fff8,
    0x640ffa83,0x2fffffff,0x0ff897fa,0xfb81ff10,0x42e67f26,0xfeff981b,
    0x3fe62fff,0x362ffffe,0x443fe24f,0x1ff1006f,0x4ff993f2,0x4c0bff30,
    0x2ffffeff,0xfff91fd8,0x3f65ffff,0x2603ffff,0x37c405ff,0x7017fe60,
    0xfd1fe89f,0x5ccefe43,0x20ffc47f,0xfff985fd,0xdfb05ffe,0x7c1dd100,
    0x403ff23f,0x17fcc7fa,0x3e2009f5,0xf8afec1f,0x202fec1f,0x0df10ff9,
    0x0001fea0,0x7c407fe6,0x6c2fec1f,0x67ec001f,0x1ff98008,0x7cc07f80,
    0x21fdc01f,0x743fd1fe,0x2fffffff,0x9fb07fe6,0x0fffff20,0x6404fe88,
    0x767fec2f,0x22150fff,0x13fa26fd,0xf3050bfe,0xf34fd83f,0x084fd83f,
    0x06f89ff2,0x41bf6215,0x7f4c00fe,0xb07fe604,0x703fb09f,0x009fb09f,
    0x74013fa6,0x4fe980bf,0x3a17f4c0,0x3e23fd1f,0x4feccccf,0x7f6f7ff4,
    0x013fb00e,0xc803fe20,0x3ffa24ef,0xffd0feae,0x2fe43fff,0x7feeffa8,
    0xfdbdffd0,0x6f7ff41d,0xffb80efe,0x3ffe23ff,0x3ffffa5f,0x206f881f,
    0xe806fffb,0x0efedeff,0x903ffff9,0x809fb03f,0x2006fffb,0xff73fffa,
    0x5fff80df,0x23fd1fe8,0x47fb85fb,0x03deeeb8,0x260017e2,0x41f64402,
    0x3bb6e018,0x2602440c,0x7102deec,0x7107bddd,0x5407bddd,0x66442dee,
    0x3bb6e2cc,0x407d100c,0x71003dea,0xca87bddd,0x05d80ccc,0xdea80595,
    0x23950003,0xcc803dea,0x3fa3fd02,0xff307fb1,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x91ec8000,
    0x0000003d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00988004,0x983b864c,
    0x4c409881,0x26001999,0x18e64c09,0x98807c80,0x13330019,0x013026c0,
    0x4ccccccc,0x2a002009,0xc981971c,0x4d4c001c,0x80799000,0x1cb801cb,
    0x101e6400,0x00666203,0xf9817fea,0xf300efff,0xff889fdd,0x3ee27e40,
    0xfb807fff,0x3ffe24ff,0x36c03fef,0x1bffff20,0x3ffffb66,0x7f413e04,
    0xfffff302,0xff50bfff,0xfefe880b,0x003ff502,0x09fffff7,0x3600dfd8,
    0x3f601fef,0xbfb001fe,0x03bfea01,0x09fffffb,0x2a07e33a,0x07ffeeff,
    0x3e20f726,0x2627e40f,0x4c02aaaa,0x8942cdff,0xffb503dc,0x7ff907ff,
    0xfff98997,0xf104fedf,0x4c0bfa07,0xeeeffeee,0x01f8ce84,0x64401cc8,
    0x3bfee00c,0x32a04ecc,0xcc8e5403,0x1991ca80,0x2e03ca80,0x360efacf,
    0x84fffeef,0xfe80fdec,0x330ffea4,0x3fe21310,0x03327e40,0x17f20131,
    0x704c40cc,0x09fdffff,0xfff809fd,0x4c4fb9ff,0x5512efec,0x405559ff,
    0x6f6402ff,0x09a9800f,0xfd004c40,0x00988009,0x88013530,0x13530009,
    0xfd801310,0x8999ff63,0xf30989cb,0x226fd81f,0x8a7e40ff,0x8a7e40ff,
    0x827e40ff,0x0ff882fe,0x39ff27e4,0x3ff6025f,0xfffff103,0x7fe49f73,
    0xfff73fff,0x7c0fffff,0x16e4402f,0x3ffffee0,0xeffffa84,0x5005fe80,
    0x201dffff,0x84fffffb,0x00effffa,0x89fffff7,0x1fec04fd,0x1ff11ff5,
    0x0df74fc8,0x07fc4ff9,0x07fc53f2,0x07fc53f2,0x0ffc13f2,0x3f207fc4,
    0x3f57ff14,0x3bfffa20,0x7ffffcc1,0x9ff54fb9,0x2aa235f9,0x202aacff,
    0x7fe402ff,0x33bfee07,0x77fd44ec,0xffc87ffe,0xdff500ae,0xff70fffd,
    0xfa89d99d,0xb87ffeef,0x44ecceff,0x1fec04fd,0x03fe2dfb,0x217f29f9,
    0x03fe27fa,0x03fe29f9,0x03fe29f9,0x7dd549f9,0x3fe22abf,0xffd27e40,
    0x37fa01fd,0x7fc3fffc,0xb4fb9fff,0xfe81f2df,0x805ff002,0xfd01fffe,
    0x5c9fd009,0x7ff443ff,0x24fe84ff,0x27f43ffb,0xff727f40,0xd804fe87,
    0x777ec04f,0x1ff11eff,0x0df94fc8,0x07fc4ff5,0x07fc53f2,0x07fc53f2,
    0xfffd93f2,0xff10ffff,0x3a24fc81,0x7c44ffff,0x43ffd32f,0xfb9ffffb,
    0x81b67fd4,0x5ff002fe,0x27effc40,0x7d405fe8,0xa837ec0f,0x3ea5fffe,
    0x3a37ec0f,0x07fd405f,0x0bfd1bf6,0x59717fb0,0x0effffd8,0x9f903fe2,
    0x9bea1fee,0xa7e40ff8,0xa7e40ff8,0x27e40ff8,0x333ff731,0x3f207fc4,
    0x6ffffa84,0x9ff12ffc,0xfb9ffea8,0x817a9fb4,0x5ff002fe,0x37defdc0,
    0x80aeffc8,0x07fc86fb,0xfb8ffecc,0x7e47fc86,0x6fb80aef,0x7fe47fc8,
    0xfbfb00ae,0x5fec7fff,0x3fe25fe8,0xffaa7e40,0xff12fec1,0xff14fc81,
    0xff12fd81,0xfb84fc81,0xc81ff106,0xff9bf04f,0xd8f7fe45,0x3ee3104f,
    0x09f1df74,0xff8017f4,0x3e6ff602,0xfffe880f,0x542fe44f,0x2ff8807f,
    0x8ff50bf9,0x44ffffe8,0x47fa85fc,0x84ffffe8,0x7fdbeffd,0x97fccff6,
    0x27e40ff8,0x3fea3dff,0xf903fe21,0xff11ffc9,0xf903fe21,0x220bf909,
    0x427e40ff,0xc87ff3f8,0x02ffdfff,0xdff14fb8,0x9fd079bf,0xf80bfe00,
    0x5407fd0f,0x3f25fffe,0x0547fa86,0x37e47fea,0xfea83fd4,0x21bf25ff,
    0xffd507fa,0x10efd8bf,0xd8ff61ff,0xc81ff15f,0x3fffee4f,0x07fc45ff,
    0xeffb93f2,0x3fe25ffd,0x7ec27e40,0xc81ff104,0x5f33714f,0xfd303ff5,
    0x3ee007ff,0x3ffffaa4,0x5cdffc84,0x7d40bfe0,0x26017f26,0x0ff71ffd,
    0x77fc4df5,0x3ee5ffee,0x4c06fa87,0x0ff71ffd,0xfd980df5,0xf893f61f,
    0x7d47fb0f,0x640ff89f,0x7fff544f,0x6c0ff883,0x7fffdc3f,0x3607fc43,
    0x103fe83f,0x13fd81ff,0x9fffffff,0x002ffc80,0x57f909f9,0x1ffff620,
    0xbf902ff8,0x200ff733,0x3ff52ff8,0x3fa25fd8,0x7d43ffff,0x402fec1f,
    0x3ff52ff8,0xf8805fd8,0xf893f62f,0xfe87fb0f,0x7ec0ff8d,0x7c05fd03,
    0x407fe23f,0x47ff02fd,0x7fc41ff8,0xf88ffe00,0xdffd911f,0x5ff1005b,
    0x83ff8860,0x0066007c,0xfffffd00,0x540a85ff,0x47bfe1ff,0x99881ffa,
    0x547bfe00,0x2a0541ff,0x47bfe1ff,0x20541ffa,0x93f61ffa,0x7c000ff8,
    0x407fe23f,0x5c5cbffc,0x05ffdeff,0x7fdc0bf3,0x3725ffde,0x7fdc04ff,
    0xfb05ffde,0xfeccdf80,0xfdefc80f,0xd00db06f,0x01fd001f,0xd9999ff1,
    0x777fc49f,0x7fdc5ffe,0x7405ffff,0xffff700f,0xeff88bff,0x7dc5ffee,
    0x445fffff,0x5ffeeeff,0x1ff127ec,0xff701fd0,0x440bffbd,0x5c1ffffe,
    0x300cffff,0x3ee01dff,0x3fe0cfff,0xffb800ce,0x0bd00cff,0x1dffffe8,
    0x1bfffd30,0xdf1017a0,0x2e0df100,0x227fb85f,0x03fffffe,0x807fffd5,
    0x7f5406f8,0xffe883ff,0xfd503fff,0xffd107ff,0x9fb07fff,0x3e207fc4,
    0x3fffee06,0x0aba800c,0x6dc00220,0x8804400d,0x00110000,0x03310035,
    0x01a80180,0x74401f44,0xf307fb03,0x0099883f,0x3a200110,0x10011003,
    0x02200133,0xd8026620,0x103fe24f,0x0011007d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5e5c0000,0x52542cc8,0x804c0019,0x26031cc9,0xcc8001cc,
    0x20072e03,0x42cc8bcb,0x26032a4a,0x2660770c,0x98819999,0x9dc01999,
    0x204cc1c8,0x07930098,0x10009988,0x6654007b,0x13102661,0x4c00f260,
    0x81ec4019,0x8dfc8099,0xf2ff83fe,0x0fea007f,0x3fbfffe2,0x003ff503,
    0xfd806fec,0x37f201fe,0x2ff83fe8,0xddf307ff,0xffff309f,0xfff70fff,
    0xeefc80ff,0x51bfe21f,0xbfdf309f,0x803ffe40,0xfb800ffc,0x51ffe21f,
    0xbfdf309f,0x3ffff220,0x01ff903f,0x72c987ff,0x5c372039,0x7ed4400d,
    0x0f722500,0x50019910,0xc8e54079,0x972c980c,0x6dc37203,0x207b9300,
    0x6eeeeff9,0x02aaaa98,0x7c41cdb8,0x213ea2ff,0x3a05934c,0xf9801fff,
    0x40cc8805,0x3ea2fff8,0x85934c84,0xfeeeffe8,0x3e0bf304,0x2620663f,
    0x50026200,0x801fffff,0x20660098,0x22066098,0x26206609,0x4c013100,
    0x31009881,0x001fe601,0x4cc00131,0x537ffc41,0x80ccc09f,0x004fdff8,
    0x33100333,0x537ffc41,0x04cc409f,0x03107ff2,0x3fe04cc4,0xfc81ff13,
    0xeffffa84,0xfdeffa80,0xffff505f,0x40ff881d,0x81ff14fc,0x81ff14fc,
    0x7ffd44fc,0x07fc40ef,0xfff513f2,0x07f981df,0x1dffff50,0x3ffff220,
    0x5fdff13f,0xff9113ea,0xdfb87fff,0x3f2206fb,0xfb83ffff,0xff11ffff,
    0x213ea5fd,0x11fffffb,0x7dc007ff,0x3fe1ffff,0xfc81ff12,0x7f77fd44,
    0xf94fe87f,0xeffa87ff,0x7fc47ffe,0xff8a7e40,0xff8a7e40,0xff527e40,
    0xf88fffdd,0xf527e40f,0x98fffddf,0x409999ff,0x7ffeeffa,0xeeeffe88,
    0xdf5ff14f,0xffe893ea,0x7ec4feee,0xe880ff9b,0x44feeeff,0x2feefffd,
    0x2abf7ff1,0x77ffec4f,0x00ff52fe,0x7f77ffec,0x7fc4bfe2,0x3fa27e40,
    0xf98ffee4,0xd17f3ba7,0x11ffdc9f,0x14fc81ff,0x14fc81ff,0x24fc81ff,
    0x8ffee4fe,0x27e40ff8,0x1ffdc9fd,0xbffffff3,0x3fee4fe8,0x220ffe43,
    0x2bfaff11,0x07ff24fa,0xfd0ff831,0x883ff907,0x110ffea1,0x27fe3fe2,
    0x0ffea4fa,0xfd9fee11,0x0ffea4ff,0xf897f411,0xf527e40f,0x2e6fd81f,
    0xdf59f35f,0x3f607fd4,0xf903fe26,0xf903fe29,0xf903fe29,0xfb03fea9,
    0x3207fc4d,0xd81ff54f,0x3bbfe66f,0x03fea4ee,0x1ffc4dfb,0x77d5fe20,
    0x07ff14fb,0x2fe4df50,0x3a00ffe2,0xcbfc405f,0x3fa4fadf,0xd937dc05,
    0x02ff49ff,0x0ff897f4,0x0df727e4,0xbafe4ff9,0x3ee7f99f,0x3e27fc86,
    0xf8a7e40f,0xf8a7e40f,0xfba7e40f,0x3e27fc86,0xfba7e40f,0x3e67fc86,
    0x6437dc07,0x201fea7f,0x3fbfa7f8,0x3200ff54,0x47fb99df,0x5ff007fa,
    0xff17f880,0x017fc9f7,0x93f21fea,0x1fe802ff,0x4fc81ff1,0x9fea17f2,
    0x3e6fd5fc,0x3ea17f27,0xf903fe27,0xf903fe29,0xf903fe29,0x3ea17f29,
    0xf903fe27,0x3ea17f29,0xf901fe67,0x7dcff50b,0x453fff67,0x53ffea7f,
    0x3fff67fb,0x3fffffa4,0xd9fee2ff,0x5ff14fff,0x3f67f880,0x05ff14ff,
    0x7e42ff98,0xb005ff14,0x903fe23f,0x5437e49f,0x3e37ea7f,0x37e4df54,
    0x1ff13fd4,0x1ff14fc8,0x1ff14fc8,0x0df94fc8,0x07fc4ff5,0x437e53f2,
    0x01fe67fa,0x4ff50df9,0x3ffb26fb,0xffe8ff14,0x7f64df74,0x999ff14f,
    0x37dc9fd9,0x3e29ffd9,0x33fc402f,0x3fe29fff,0x21efd802,0x05ff14fc,
    0x07fc4310,0x87fb93f2,0x2ffe66fa,0x7dcbf92f,0x3e26fa87,0xf8a7e40f,
    0xf8a7e40f,0xfba7e40f,0x3e26fa87,0xfba7e40f,0x3e66fa87,0x2e7fffff,
    0x2a6fa87f,0xf14fc87f,0xf54ffa8f,0x3ee9f90f,0x3ea7fb85,0x3fe4fc87,
    0x3a3fc403,0x00ffe4ff,0x3fbfffe6,0x200ffe4f,0x81ff10ca,0x07fea3fd,
    0x7ffc4bfb,0x7d43ff37,0xf12fec1f,0xf13fd81f,0xf13fd81f,0xf53fd81f,
    0x225fd83f,0xa9fec0ff,0x32fec1ff,0x4fffffff,0x2fec1ffa,0x4fc85ff3,
    0x29fd0ff1,0xa7e42ff9,0x1ff983fd,0x4fc85ff3,0xff101bfa,0x3fa4ffa8,
    0xfffb1006,0x037f45df,0x3ff93fe2,0xdff07fe2,0xf307fea3,0xf0bffdff,
    0x07fea3df,0x0ffc47ff,0x0ffc47ff,0x0ffc47ff,0x3fea3dff,0xff11ffc1,
    0xfa8f7fc3,0x227d401f,0x3ff51eff,0x3f21efd8,0x364fe804,0x013f21ef,
    0x3dfb0bf2,0x9ff727e4,0xb80004c1,0x80260cff,0x19ff7018,0x5c5fd04c,
    0x85ffdeff,0x5ffffffb,0x07ffff90,0x3fffffee,0xfdeffb85,0x6f7fdc5f,
    0x77fdc5ff,0x7fdc5ffd,0xfb85ffff,0x5c5ffdef,0x05ffffff,0xfffb87f8,
    0xff985fff,0x404ffeff,0x3fe62ffa,0x404ffeff,0xfff986f8,0x7f44ffef,
    0xd02fffff,0x7fff401f,0x1fd02fff,0x7fffff40,0x3ee0222f,0xd500cfff,
    0x7ec07fff,0xffea8009,0x3ffee03f,0xfffb80cf,0xfffb80cf,0xffea80cf,
    0x3ffee03f,0xffea80cf,0x3dff003f,0x03fffea8,0x3bffff62,0x21bff602,
    0x2effffd8,0x2077fc40,0x2effffd8,0x1dfffeb8,0xeb806f88,0xf881dfff,
    0xfffeb806,0x0022001d,0x2fc40088,0x10004400,0x40022001,0x00110008,
    0x00880044,0x880eecc0,0x800c4000,0x018803dc,0x1006ed40,0x22004003,
    0x2004003e,0x004003e8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07933c88,0x65c03310,
    0x26204c41,0x26200cc0,0x80199999,0x71ca83cc,0x07990019,0x92a00e5c,
    0x239500ca,0x3cc800cb,0x07913c88,0x26000db8,0x71ca82cc,0x006dc019,
    0x980732a0,0x0e5c009a,0x21dc3260,0x3fbea000,0x17fdc00e,0x361fefd8,
    0x88ffe63f,0x3ff200ff,0x6c07ffff,0xefe880df,0x0dfd802f,0x403fdfb0,
    0x207ff2ff,0x802fefe8,0xdf300dfd,0x7fc401df,0x07ff3004,0x80bfbfa2,
    0x2e004ff8,0xfff701ff,0x3bf609ff,0x3bbe601f,0x16ffd44f,0x2e013260,
    0x239500ef,0x747fb0cc,0x007fc45f,0xdddffdd7,0x6401e540,0x03ca801c,
    0x8066472a,0x801b70dc,0x3ca801cc,0x800cc980,0x399001fd,0xb0039900,
    0x3322003f,0x99dff700,0x3239509d,0x0f72600c,0x017fffea,0x99881331,
    0x26660099,0x27fb0999,0x7fc40ffc,0x205ff000,0x304c4099,0x4c098813,
    0x9804c401,0x26013109,0x26666609,0x26620999,0x44099999,0x4cc40199,
    0x44099999,0x4cc40199,0x22099999,0x01999999,0x20ccccc4,0x04c404fe,
    0x4ccc4188,0xfc981999,0xffffb84f,0x3fffea1f,0xfffff304,0x3e6ff65f,
    0x00ff882f,0xff105ff0,0xff14fa8f,0x3e24fa8f,0x21bf200f,0x0df90ffa,
    0x3fe61ff5,0x25ffffff,0xfffffffe,0x7ffffec2,0xfffffe84,0x7ffec2ff,
    0xfffe84ff,0x3f22ffff,0x407fffff,0x747fffff,0x817e405f,0x3fff20fe,
    0x3f607fff,0x777ffec6,0x3fb3262f,0xfdddd304,0x3faff65f,0x001ff104,
    0x3fe20bfe,0x7c53ea2f,0x893ea2ff,0x3fe200ff,0xff11ff42,0x3a63fe85,
    0x4eeeffee,0x3ffffffa,0x7f77ec2f,0x7fff44ff,0x7ec2ffff,0x744fffee,
    0x2fffffff,0x3bbffbae,0x3bffea06,0x577fe45e,0xfd02fc80,0xeeffeeb8,
    0xfa9bf206,0xfc80443f,0x6cbfe004,0x3e207fff,0x05ff000f,0x7d4dfff1,
    0x54dfff14,0x003fe24f,0x43fd4df9,0x01fea6fc,0x7f4005ff,0x3f63fd86,
    0xd86fe807,0x201ff63f,0x0bfe06fe,0x40ff7f60,0x44ffffe8,0x40fd02fb,
    0xf73102ff,0x002ff49f,0xff8013f2,0x05ffbfb2,0x7c003fe2,0xfeff882f,
    0x3fe29f52,0x449f52fe,0x7fc400ff,0xff107fd2,0xff00ffa5,0x07fee005,
    0x0ffa8ff6,0x3607fee0,0x803fea3f,0x3fe01ffb,0x7df7c402,0x7fff5403,
    0xd14cfee5,0xc817fc0f,0x17fc5fff,0x8013f200,0xf97fb2ff,0x01ff101f,
    0x3e20bfe0,0x29f55fbf,0xf55fbff8,0x4007fc49,0x207fadfc,0x807fadfc,
    0xff9802ff,0x7ec7fb03,0x40ffe606,0x81bf63fd,0x7fc03ff9,0x7ddfdc02,
    0x7ecc009c,0x3f67f71f,0x17fc0df1,0x7c41dfb8,0x27e4002f,0x3f65ff00,
    0xf885ff8b,0x05ff000f,0x53ff1ff1,0x3e3fe29f,0x3e24fa9f,0xeff8800f,
    0x3bfe203f,0x02ff803f,0x3f606fe8,0x201effee,0x3bf606fe,0x3a01effe,
    0x02ff806f,0x7ffdc7f4,0x52ff8806,0x37d3fe7f,0x3ee05ff0,0x002ff883,
    0xff0027e4,0x7fd4ff65,0x8007fc42,0x97f882ff,0x3e29f5bf,0x49f5bf97,
    0xf9000ff8,0xfff900ff,0x700bfe00,0x7fec01ff,0x3ee00eff,0x3fff600f,
    0x3fee00ef,0x202ff800,0x79bf75f9,0x8ffd40a8,0xf6ffabfa,0x8817fc0b,
    0x007ff009,0x3e004fc8,0x7ec7fb2f,0x3fffe20f,0xfdd71fff,0xbfc4dddf,
    0xf14fbff8,0x93effe2f,0xf1000ff8,0x7ff1007f,0x980bfe00,0x5fec03ff,
    0xff305fe8,0xe8bfd807,0x07ff305f,0xfc80bfe0,0xf883fc9b,0x25ffeeef,
    0x9fcfccf9,0x40bfe05f,0x0dfd02d9,0x2004fc80,0x447fb2ff,0x3ffe25ff,
    0xff91ffff,0x7c4fffff,0x453fff67,0x93fff67f,0x3e000ff8,0x05ff002f,
    0xfe80bfe0,0xf33fd805,0x00bfd05f,0x0bfe67fb,0xff8017fa,0x3ffffe02,
    0xfffe883f,0x7e7cc4ff,0x205fcfac,0x0ffd02ff,0x09833fee,0x82609f90,
    0x00001ffa,0xf127d400,0x8a7ffccf,0x93ffe67f,0x3e000ff8,0x05ff002f,
    0x7dc0bfe0,0x23fd800f,0x07fdc5fd,0xbfb1fec0,0x2000ffb8,0x9df502ff,
    0xf9807fd9,0x25fdf107,0x3fe04fef,0x740bf902,0x02ffffff,0x3bea09f9,
    0x1fd05ffe,0x2009f700,0xd1fe20ff,0xd1fe29ff,0x7ffc49ff,0xff01ffff,
    0x00bfe005,0xfff817fc,0x6c3fffff,0xf87fea3f,0x3fffffff,0x3ff51fec,
    0x7ffffffc,0x3ffbae3f,0x70fec6ee,0x3e60dddf,0x6cfff104,0x7f75c4ff,
    0x80186eef,0x21dfffeb,0xeefffeeb,0x33fffa61,0x9006f880,0x3bfe003f,
    0xffa8ff12,0xffa8ff14,0x3ffffe24,0x05ff01ff,0x7c00bfe0,0xfffff02f,
    0x3fd87fff,0xffff2ff4,0xfd87ffff,0xfff2ff43,0x647fffff,0x27ffffff,
    0x7ffdc6f8,0x2203d507,0x0ffea5ff,0xfffffff9,0x32010000,0x2fffffff,
    0x1f440088,0x26005d80,0x000001dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77f44000,0x19999880,
    0x326014c0,0x0298031c,0x4401e640,0x072e0099,0x24a80062,0x0e5c00ca,
    0x10039930,0x20033333,0x072e03cc,0x9303cc80,0x1ca80ee1,0x54950197,
    0x00e64c0c,0xb7009880,0x2201cc01,0x3fee04fe,0x3fee07ff,0xffff880e,
    0xdff703fe,0x01bfb001,0x0fffffdc,0x320ff7ec,0x25ff004f,0x3bf603ff,
    0x07fea01f,0x0fffff70,0x3601bfb0,0xfd801fef,0xfddf300d,0x7f7f4409,
    0x3fe5ff02,0x001ffa83,0x7c407fc4,0x0bff304f,0x2a602a20,0x4fe02aaa,
    0x3722502f,0x017cfe03,0xffb00f2a,0xca85fddf,0x3fcc1991,0x1b70dc80,
    0x066472a0,0x4c019910,0x5402aaaa,0x6472a03c,0x00f2a00c,0x6400f726,
    0x5c37201c,0x0199100d,0xfb027dc0,0x01bfea03,0x266207ec,0xdb019999,
    0x333103f9,0x3b603333,0x266201fc,0x10ffea00,0x04c40cc1,0x262005fb,
    0x09988009,0x4cccccc0,0x99999981,0x99999981,0x99999981,0x4cc02621,
    0x40099880,0x81999999,0x41999999,0x19999998,0x9981ff80,0xdc819999,
    0x17f2e601,0x3ffffff2,0x205bb107,0x7ffffffc,0xc805bb10,0x17fa07ff,
    0xfd81ff10,0x6401bea4,0xffc807ff,0x3fffe607,0x7ffcc7ff,0x7fcc7fff,
    0x7cc7ffff,0x327fffff,0x80ffa86f,0x3e607ffc,0x4c7fffff,0x47ffffff,
    0x7ffffffc,0x7cc37d40,0x007fffff,0x1fffffd8,0x777ff75c,0x0aa0d4c6,
    0xdddffdd7,0x01799730,0xf80ffff4,0x07fc402f,0x03fd13f6,0x803fffd0,
    0xf301fffe,0x98dddddf,0x46eeeeff,0x6eeeeff9,0x77777fcc,0xfd0bfe26,
    0x07fffa07,0x77777fcc,0x7777fcc6,0x7ff75c6e,0x17f406ee,0x77777fcc,
    0x57fe4006,0xff00fffe,0xf88ff605,0x205ff00f,0x2ffffff9,0x84fdff88,
    0x7c402ff8,0x2e27ec0f,0x6ffc405f,0x37fe204f,0x00ff304f,0xff300ff3,
    0x900ff300,0x883fd4df,0xf304fdff,0x00ff300f,0xf9802ff8,0x200ff307,
    0xf13ff029,0x3fe05fbb,0x7c47fb02,0x205ff00f,0x7fc889b9,0x86fbdfb8,
    0x7c402ff8,0x2227ec0f,0x37ee00ff,0x37ee06fb,0x0ff306fb,0xf300ff30,
    0x00ff300f,0x0ffa5ff1,0x837defdc,0x7f9807f9,0x4017fc00,0x0ff303fc,
    0xf989ff30,0x09f75f57,0x1fec0bfe,0x3fe01ff1,0x03fe2002,0x01ff37fb,
    0xff8807ff,0x84fd999a,0x2ff603fc,0x7fb00ff9,0xff301ff3,0xf9813333,
    0x4c09999f,0x409999ff,0x09999ff9,0x07fadfc8,0x03fe6ff6,0x26667fe6,
    0x4ccffcc0,0x00bfe009,0x3e601ff1,0x4c09999f,0xdbfcc7ff,0xff05fb8f,
    0xf88ff605,0x405ff00f,0x0ffeecb8,0x83fe87fc,0x7fc406fe,0x84ffffff,
    0x43fe07f9,0x21ff03fe,0xfff983fe,0x7fcc5fff,0x7cc5ffff,0x4c5fffff,
    0x85ffffff,0x203feff8,0x307fd0ff,0x8bffffff,0x5ffffff9,0xf700bfe0,
    0x7fffcc0b,0x47fc85ff,0xf95f8ff8,0x6c0bfe09,0x403fe23f,0xfff302ff,
    0x7d41ffdd,0x3ee17f26,0x7c4260cf,0x4ffeeeef,0xdf505fd0,0x37d42fe4,
    0xdff30bf9,0xff989ddd,0x7cc4eeee,0x4c4eeeef,0x04eeeeff,0x7d40fff9,
    0x3e617f26,0x4c4eeeef,0x04eeeeff,0x3fd00bfe,0x7777fcc0,0xe86fa84e,
    0x2ff8afef,0x3f605ff0,0x7c03fe63,0x44bfd02f,0x277f20ff,0xffd07fb9,
    0x3e25ffff,0xa827ec0f,0x99dfc86f,0x9dfc87fb,0x7f987fb9,0x9807f980,
    0x07f9807f,0xc80ffe20,0x87fb99df,0x7f9807f9,0x5017fc00,0x07f980df,
    0x540ff54c,0x05ffdfff,0xafe40bfe,0xff00ffe8,0xfc8ffe05,0x3ffffa0f,
    0xff902fff,0x3fe23bff,0xff027ec0,0xfffffe83,0x7fff42ff,0x7cc2ffff,
    0x807f9807,0x7f9807f9,0xd017fc00,0x5fffffff,0xf9807f98,0x017fc007,
    0x7f9805fb,0x700f7fc0,0xf809ffff,0xfdff502f,0x3fe01fff,0xfd9ffb02,
    0x33fe21ff,0x204feccc,0x0ff884fb,0x9f7027ec,0x66667fc4,0x33fe24fe,
    0x4c4feccc,0x07f9807f,0xf9807f98,0x817fc007,0xeccccff8,0x403fcc4f,
    0x7fc007f9,0x300ff302,0x700180ff,0x775c017f,0xfd86eeff,0x2e0fe9ef,
    0x46eeffee,0xfeaeffe8,0xff70bf70,0x7c407e40,0x1027ec0f,0x217ee1ff,
    0x217ee7fb,0x7ffcc7fb,0x7fcc7fff,0x7cc7ffff,0x4c7fffff,0x07ffffff,
    0x2fdc0bfe,0x3fe63fdc,0x7cc7ffff,0x5c7fffff,0x46eeffee,0xff9804fc,
    0x8007ffff,0xfffc807e,0x03107fff,0xffffffc8,0x7ec03107,0xb01ff983,
    0xb03fe209,0xb3fd809f,0x23ff307f,0x1ff983fd,0x3fffffe6,0x7ffffcc7,
    0x7fffcc7f,0x7ffcc7ff,0x3fe07fff,0xf307fb02,0x7fffcc3f,0x7ffcc7ff,
    0x7fe47fff,0x3e27ffff,0xfff9800f,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x91000000,
    0x3260f227,0x2193001c,0x0799003b,0x40333331,0x4c031cc9,0xcb8031cc,
    0x0ca92a01,0x20022188,0x4c43100a,0x26004c00,0x41998002,0x4c402218,
    0x06600260,0x4c408862,0x884c4000,0x4c4c4019,0x2009984e,0x500efef9,
    0xdf3003ff,0xbfb009fd,0xfffff701,0x3bfffe20,0xffff883f,0xfdfb03fe,
    0x7fcbfe03,0x5f9bfa83,0xfa837ec0,0x7ec05f9d,0x07ff100e,0x2a0f7ec0,
    0xd105f9bf,0x8803fb3f,0x4dfd40ff,0x0027ec5f,0x3ff53ff3,0x3fcdfc80,
    0x037fffaa,0x2200664c,0xdc9800cc,0x203ca803,0x202aaaa9,0x9407b912,
    0x39503dc8,0x43720332,0xfffd00db,0x206fd803,0x7ec06ffa,0xff880eeb,
    0x01bfb003,0x8807fffa,0xf8801ffe,0x1fffe80f,0xf88027ec,0x800ef99f,
    0xf10fddfc,0x98bfd7bf,0x33100099,0x99999801,0x4cccc419,0x13310199,
    0x40133100,0x104c4099,0x83333333,0x19999998,0x54002aa0,0x10054c00,
    0x4c06a235,0x00551002,0x35100155,0x403fe200,0x04fd80aa,0x02aa1530,
    0x7156fe40,0xf33fd4df,0x405bffff,0x3e607ffc,0x647fffff,0x07ffffff,
    0xf900fff9,0x1ffe20ff,0x7ffe49f5,0x7fe47fff,0x54c7ffff,0x97301541,
    0x15971037,0x81bcb980,0x4c00acb8,0x97101bcb,0xbcb98015,0xffcca981,
    0x05e65cc0,0x0b2e2ff6,0x405506a6,0xd85fdcba,0xf997f24f,0x04fffeef,
    0x2603fffd,0x46eeeeff,0x6eeffeeb,0x803fffd0,0xf881fffe,0xb93ea2ff,
    0x46eeffee,0x6eeffeeb,0x1ff11fec,0x6ffffd88,0x17ffffdc,0x37fffec4,
    0x0bffffee,0x1bffff62,0x0bffffee,0x1bffff62,0x1ffffff9,0x7fffffcc,
    0x3fff7f62,0xf11fec4f,0xfffe981f,0x94fd85ff,0x07fcc1df,0xff883ff9,
    0x0ff304fd,0x2202ff80,0x2204fdff,0xf884fdff,0x413ea6ff,0x2ff802ff,
    0x7fc47fb0,0x5d5fff40,0x2e2bfe65,0x5fff40ff,0x2bfe65ba,0x7f40ffb8,
    0x7cc5babf,0x40ffb8af,0x25babffe,0xffa9bffb,0x32226e60,0x2fbff67f,
    0x8ff61ffc,0x6ff40ff8,0xfd85fd99,0x7cc0ff8c,0x2e27f40f,0xf306fbdf,
    0x02ff800f,0x81bef7ee,0x886fbdfb,0x9f52feff,0x3e00bfe0,0x447fb02f,
    0x07fea0ff,0x17f44fd8,0x7ec03ff5,0xff517f44,0x744fd803,0x807fea2f,
    0x03fe23ff,0x3f61ff10,0xfd93fa0e,0xfb83fe23,0x3617f20f,0x4c1ff9cf,
    0x22fe40ff,0x80ff9bfd,0x09999ff9,0xfd80bfe0,0xfb00ff9b,0xf881ff37,
    0x09f55fbf,0x3fe00bfe,0x7c47fb02,0xd017f20f,0x7ffddddf,0x3fa02fe4,
    0x23ffeeee,0xefe805fc,0x323ffeee,0x83fe205f,0x65c40ff8,0x9fb0ffee,
    0x8ff65fc8,0x17f20ff8,0x29fb0bf9,0x3fe61ffe,0x3fe37dc0,0xff307fd0,
    0x7c0bffff,0x743fe02f,0x3a1ff03f,0x7c7fc43f,0xff04fa9f,0x205ff005,
    0x83fe23fd,0x77fc05fd,0x362eeeee,0x777fc05f,0x3f62eeee,0xeeeff805,
    0x17f62eee,0x3e20ff98,0x3bffe60f,0x89fb0ffe,0x88ff65fc,0x913f60ff,
    0x269fb0bf,0x1ff31ffe,0x9bea6fc8,0xeff985fc,0x3fe04eee,0x7e4df502,
    0x3f26fa85,0xdfcbfc45,0x05ff04fa,0x3f605ff0,0xfc83fe63,0x4017f406,
    0x17f406fc,0x74037e40,0x06fc802f,0xff883fe2,0xff897fa0,0x3fe89fb0,
    0x0ff98ff6,0x0bf917f2,0xaff449fb,0x2fec0ff9,0xff733bf9,0xf800ff30,
    0x33bf902f,0x3bf90ff7,0x7f88ff73,0x209f7ff1,0x2ff802ff,0x3fa2bf90,
    0x313fea0f,0x7d402fec,0x0bfb0c4f,0x4189ff50,0xffa805fd,0x227ff0c4,
    0x8ffe0ffe,0x49fb0ffc,0x57f21ffa,0x3ee0ffe8,0xb0bff50f,0xf36fb89f,
    0xd1ffc41f,0x5fffffff,0x7c007f98,0xffffd02f,0xffe85fff,0x222fffff,
    0x13fff67f,0x7fc017fc,0xffdff502,0xfffd81ff,0x3bfe26fe,0xffd87dcc,
    0x3fe26fef,0xfd87dcce,0x7c46feff,0xd87dccef,0x326fefff,0x0ffffeff,
    0x3ffb3ff6,0xfb9dfb0f,0xfeffa89f,0x3fe20fff,0xd85fffee,0x4ffcc9cf,
    0xfd711ff3,0x6667fc4d,0x3fcc4fec,0x220bfe00,0xfeccccff,0x3333fe24,
    0x9fe24fec,0xff04fff9,0x405ff005,0x0fe9effd,0x45ffffb8,0x06ffffe9,
    0x98bffff7,0x706ffffe,0xd30bffff,0x2e0dffff,0x7ec5ffff,0x220fe9ef,
    0x0feaeffe,0x07ffffd7,0x3fa7bff6,0x56fffcc0,0xfacfd85f,0x3ffe64ff,
    0x3ee1efff,0x7cc7fb85,0x5c7fffff,0x26eeffee,0x27fb85fb,0x27fb85fb,
    0x27ff47f8,0xdddffdd7,0xeeffeeb8,0x88003106,0x10019800,0x20033001,
    0x00330008,0x00188022,0x00260031,0x00880062,0xff980880,0x7ec0bdef,
    0x261ff983,0x47ffffff,0x7ffffffc,0x3fe60ff6,0xff307fb1,0xff51fe23,
    0x7ffffe49,0x7fffe47f,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c0001b8,0x0400c401,0x00188011,
    0x33304cc4,0x40033300,0x04410008,0xb0000110,0x0998801d,0x0c400666,
    0x02662011,0x19884c40,0x2604cc40,0x08809880,0x20044100,0xa832a018,
    0x4c4000ff,0xf9809ffa,0x7cbfa04f,0x09ff301f,0xa837fe20,0x7fd403ff,
    0xadffd803,0xff2fe82d,0xb5bffb03,0x3e613005,0x06ffc406,0xf5007ff5,
    0x3a20bf37,0xf305dcef,0x403ff53f,0xfd10dff8,0x6c0fd87f,0xe82dadff,
    0x2603ff2f,0x4ff884ff,0xb0007fa2,0x885fffff,0xfd04fbef,0x3e207fe5,
    0x7c404fbe,0x07fd103f,0x2203fe88,0x81fffcbe,0x883ff2fe,0x01fffcbe,
    0x03fa97f4,0x7440ffe2,0xfffe803f,0xdffffb01,0xf33ff107,0x1ffc401d,
    0xfb9f2bee,0x7fe5f442,0xff2fe81f,0x9f7df103,0x37445ff0,0x7fe65400,
    0xa985541c,0x40220880,0x401530aa,0x0aa801aa,0x1000aa80,0x08822015,
    0xe800a880,0x5401532f,0x00aa801a,0x37e00aa8,0x15303ffc,0x355002aa,
    0x227eaf90,0x00a8805f,0xaa804411,0x40881530,0x54c001ef,0x7300ffcc,
    0x83530159,0x2a0d4c2a,0x0aa0d4c2,0x982a8353,0xa980bccb,0xcb981541,
    0x2b2e600a,0x9ff55100,0x65cc0555,0x2b2e600a,0x02b2e600,0x00fffb98,
    0x4c015973,0x7d40bccb,0x00fd8fc9,0x40179973,0x2200acb8,0x0cb80acb,
    0x165c454c,0xffffffc8,0xfffffd80,0xff11fec2,0xff11fec1,0xff11fec1,
    0xff11fec1,0x7ffffcc1,0xf11fec2f,0xffffd81f,0xffffd82f,0xffffb82f,
    0xffb07fff,0xffb05fff,0xffb05fff,0xff905fff,0xffb09fff,0xff305fff,
    0x7445ffff,0x302facff,0x05ffffff,0x05fffff7,0x85fffff7,0x767dc1fd,
    0x7fdc5fff,0x5c0ffa9b,0x0ffebbff,0x0ff88ff6,0x0ff88ff6,0x0ff88ff6,
    0x0ff88ff6,0x3f2226e6,0xff11fec7,0x75dffdc1,0x2ffee0ff,0x5440ffeb,
    0x82aacffa,0xffebbffb,0x3aeffee0,0x2ffee0ff,0x3ee0ffeb,0x20ffc9bf,
    0xffebbffb,0x6444dcc0,0x5f89987f,0x32226e60,0x457fcc7f,0x3fe60ffb,
    0x3a0ffb8a,0x5fffdc1f,0x8ffe0ffc,0x17fc0ff8,0x23fd8ffe,0x8ff60ff8,
    0x8ff60ff8,0x8ff60ff8,0x7c400ff8,0xf88ff60f,0xff0bfe0f,0x3fe17fc7,
    0xf00bfa03,0x3e3ff85f,0xff1ffc2f,0x3fe3ff85,0xff8bfe23,0x4401ffc2,
    0x01fb00ff,0x360ff880,0xfb17f44f,0x3fa2fe89,0xff0ffdc1,0xf883fe25,
    0xb03fe60f,0xf11fec9f,0xf11fec1f,0xf11fec1f,0xf11fec1f,0xeecb881f,
    0x88ff60ff,0x81ff30ff,0x81ff34fd,0x0bfa04fd,0x7ec0ff98,0xfd81ff34,
    0xfd81ff34,0xff83ff14,0xfd81ff33,0xfeecb884,0xa9bfa80f,0xfdd97100,
    0x7777f41f,0x3bfa3ffe,0x3a3ffeee,0x3a2fdc2f,0x441ff32f,0x03fe60ff,
    0x11fecbf9,0x11fec1ff,0x11fec1ff,0x11fec1ff,0x7ffcc1ff,0x3f60ffee,
    0x7cc3fe23,0xf9afe40f,0xd02fe40f,0x07fcc05f,0x07fcd7f2,0x07fcd7f2,
    0x07fcd7f2,0x07fccffa,0xfff317f2,0xf881ffdd,0x4c3fffae,0x0ffeefff,
    0x3bbbbbfe,0x3bbbfe2e,0x0bfa2eee,0x12fe8bf7,0x07fcc3ff,0x4fd85ff1,
    0x0ff98ff6,0x0ff98ff6,0x0ff98ff6,0x0ff98ff6,0x0ff897fa,0x0ff98ff6,
    0x4fd85ff1,0x4fd85ff1,0xf880bfa0,0xf8a7ec2f,0xf8a7ec2f,0xf8a7ec2f,
    0xf897fc2f,0x3a27ec2f,0x903fe25f,0xd1b6db1f,0xd07fc4bf,0x05fd005f,
    0x5fb85ff0,0x29ff17f4,0x7fc0ffe8,0x643ff30d,0x41ffd15f,0x1ffd15fc,
    0xffe8afe4,0x7f457f20,0xfc8ffe0f,0x7457f20f,0x437fe0ff,0x37fe1ff9,
    0x7403ff30,0x86ffc04f,0x37fe1ff9,0x7fc3ff30,0x7c3ff30d,0xf83fee4f,
    0x83ff30df,0x83ff23ff,0x3f2bd3fa,0xffc8ffe0,0x36017f60,0x43ff805f,
    0x917f45fb,0x1ffffdff,0xffefffb8,0x7ff7fd45,0x3bfea0ff,0x3ea0ffff,
    0x20ffffef,0xffffeffa,0x3fb3ff60,0x3bfea0ff,0x3ee0ffff,0x5c5ffeff,
    0x05ffefff,0x42e6ffe4,0x5ffefffb,0x7ff7ffdc,0x7f7ffdc5,0x77ffdc5f,
    0x7ffdc4ff,0xffd85ffe,0xd10fffec,0x23757e4d,0xfffecffd,0x333bfe20,
    0x677fc47d,0x21ffc7dc,0x217f45fb,0x0fe9effd,0x04ffffa8,0x1fd3dffb,
    0xfe9effd8,0x74f7fec0,0x4f7fec0f,0x3ffa20fe,0x7ec0feae,0x540fe9ef,
    0xf504ffff,0xb1009fff,0x3ea0ffff,0xff504fff,0x3fea09ff,0xfff704ff,
    0x3ffea09f,0xdffd104f,0x87f21fd5,0x7441ffd8,0x40feaeff,0x86ffffe9,
    0x46ffffe9,0x22fdc1cc,0x001882fe,0x00c40044,0x03100188,0x0c400620,
    0x22001880,0x00011000,0x00220066,0x00880044,0x02200110,0x08000c40,
    0x26000c40,0x00033001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33304cc4,0x02662000,
    0x00001104,0x10c40188,0x000c4013,0x19982662,0x65c454c0,0x0c002202,
    0x00544006,0x86204cc4,0x546a2098,0x221880bc,0x01330009,0xddd30062,
    0x7997309d,0xcb88a981,0x6ffc4002,0x000ffea0,0xfd01bff1,0x36607fe5,
    0xff9804ef,0x3e77ea04,0x013fe605,0xd306ffc4,0x7e7ec0bf,0xffd83fff,
    0x4fc82dad,0x1fb007fb,0x40dff880,0x545f9dfa,0x86fffdef,0x805f9dfa,
    0xf980efe8,0x3bba604f,0x7fffcc4e,0x3f3f62ff,0xf1003fff,0x0ffa207f,
    0xd01ffc40,0xf307fe5f,0x440bffdf,0x2a04fbef,0x3be206ff,0x7fc404fb,
    0x20bfb103,0x7fdbeffd,0x7ffe5f44,0x7fb4fc81,0x017f2e60,0x7d407ff1,
    0xbfffa86f,0xffa82ffa,0x04fe8806,0x009f7df1,0x6444dcc0,0x2fbff67f,
    0x355007fd,0x50015500,0x22088035,0xff13fc80,0x0a985540,0xaa802a60,
    0x55401530,0xd80aa801,0x01ff10ef,0x18300544,0x3fffffb0,0x4c00d540,
    0x23ffa80a,0x015304fd,0x55403530,0x2e601530,0xff8800ac,0x3e21dfb0,
    0x565c400f,0x02b2e200,0x1654b32a,0x80bccb98,0x40ff12fd,0x200bccb9,
    0x300bccb9,0x26017997,0x5440bccb,0x4fd81aaa,0x8a983fe2,0xaa882cb8,
    0x5ff901aa,0x5441fffd,0xa9817951,0x7d42cb88,0x35104c47,0x55102f2a,
    0x2aa20355,0x3ff601aa,0x65c42fff,0x9fb0ffee,0xf7007fc4,0xf705ffff,
    0x7cc5ffff,0x3fffefff,0x7fffffcc,0x7f477dc2,0xfffff304,0xffffb05f,
    0xffffb05f,0xffffb05f,0xffffa85f,0x3e24fd84,0x3ff3f60f,0x7ffd43ff,
    0xf13ff04f,0x77d45fbb,0x7ec6fffd,0x2a3ffffc,0xdefa807f,0x7fd46fff,
    0xfff504ff,0x2ffee09f,0xff30ffeb,0x361ffddf,0x403fe24f,0xffb8aff9,
    0x2e2bfe60,0xf11510ff,0xb98ff39f,0x447fc889,0x2604ffff,0x47fc889b,
    0x81512ffa,0x81512ffa,0x81512ffa,0xd84feaa8,0xd83fe24f,0x47fdbeff,
    0x984feaa8,0x9f75f57f,0x7d5fffd4,0x2fbff62f,0x01fea7fd,0x3eafffea,
    0x3faaa22f,0x9fd55104,0x7ff0bfe0,0x0ff897fa,0x07fc49fb,0x17f44fd8,
    0x02fe89fb,0x003f63fb,0x7f441ff1,0x1003514f,0x0ffdc1ff,0x7007fee0,
    0x7e4003ff,0x3e24fd84,0x443bf60f,0x09f900ff,0x2e3f6ff3,0xd8ffea5f,
    0x443bf64f,0x00ff50ff,0x27ec7ff5,0xfc804fc8,0x6c0ff984,0x7e47ff4f,
    0x7c49fb0f,0xdddfd00f,0x77f47ffd,0x223ffeee,0xfeccfecb,0x7f765c41,
    0xffdfd10f,0x97109f73,0x7cc1ffdd,0xf980beff,0xf980beff,0x6400beff,
    0x224fd84f,0x893f60ff,0x09f900ff,0x32bf1ff1,0x311fea4f,0xff127ec1,
    0x2a01fea1,0xc804c47f,0x84fc804f,0xafe40ff9,0xfffecffd,0x7fc49fb0,
    0xddddff00,0x777fc5dd,0xff32eeee,0x1ddddffd,0x7f77ffcc,0x3f2df70f,
    0x7fcc3fde,0x4c0ffeef,0x982ffffd,0x982ffffd,0x202ffffd,0x24fd84fc,
    0x93f60ff8,0x9f900ff8,0x22bfbfa0,0x01fea2ff,0x0ff893f6,0xff500ff5,
    0x804fc800,0x2ff884fc,0xffe8a7ec,0x9fb0feae,0xfe807fc4,0x402fe802,
    0x401fb2fd,0x43fe25fe,0x3fffa4fc,0xff12ff40,0x1ffee201,0x207ffb88,
    0x3207ffb8,0x8ff5004f,0x03fe24fd,0xffa827e4,0x7d45ffdf,0x224fd807,
    0xfa8000ff,0x027e4007,0xdff827e4,0x1883ff30,0xb0000bf3,0x0bfb00bf,
    0x05fd0fd8,0x1ff91ffc,0x6ff89bf2,0x3ff23ff8,0x11fee020,0xb808ff70,
    0x013f207f,0x9fb1bf62,0xfc807fc4,0x3fffee04,0xd807fa84,0x203fe24f,
    0x0ff500fe,0xc804fc80,0xdfff704f,0x0fe80bff,0xf1001fd0,0x88fb99df,
    0x27dcceff,0xbfffddfb,0x767fec5c,0xdff30fff,0xd87fffd9,0x0fffecff,
    0x3ff333b2,0x7e667644,0x6667644f,0x7f75c4ff,0xf881eeff,0x127ec1ff,
    0x7f75c1ff,0x7dc1eeff,0x01fea00b,0x0ff893f6,0xff5037c4,0xfffdd700,
    0x7f75c3dd,0x7d41eeff,0xfe804fff,0x0037c42e,0x0dffffd3,0x4dffffd3,
    0xffb9ffd8,0x77ff445f,0x3faa0fea,0x21ffbdff,0xfeaeffe8,0x3ffffee0,
    0xfffffb84,0xfffffb84,0xfffffc84,0x0ce882ff,0x3fe24fd8,0x3fffff20,
    0x403f42ff,0x4fd807fa,0x7d103fe2,0x6403fd40,0x2fffffff,0x3ffffff2,
    0x4001102f,0x1f441dc9,0x30019800,0x02620403,0x03100188,0x99800c40,
    0x80199801,0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x42662000,0x20099998,0x884eeee9,0x22001999,
    0x26200acb,0x03d90999,0x0661ec80,0x00620262,0x01999998,0x74c06213,
    0x99804eee,0x33004c01,0x0ee01310,0x10262033,0x08813101,0x08800988,
    0xe9802620,0x03984eee,0x7d437fe2,0x3a604fff,0xffe84eee,0xffb800ff,
    0xff502fff,0x301fe9ff,0x3fe27f83,0x3ee27ec0,0xfc83caef,0x41ffffff,
    0x307e9df8,0x2209dddd,0x83fffffc,0x1ff102fe,0xffb84fc8,0xd83fff72,
    0xb0dfb30f,0x21bf661f,0xffc980fd,0xffff985f,0xeeee980d,0x442ffcc4,
    0x7664c3ff,0xcb80004f,0x7cc00ffd,0x80ffb8af,0xf9cfecc9,0x4c3fe205,
    0xb03fe24f,0xffbcd89f,0x76ffe42f,0xfc80eeef,0x440003ff,0x4feeeffe,
    0xff102fe8,0xfa84fc81,0x47f7311f,0x1bf6a2fb,0x37ed45f7,0x3fea0bee,
    0x7fcc4eef,0x0006ffcd,0x3550dff5,0x4404fc80,0x3e600acb,0x227ec00f,
    0x67e402fe,0x3fe200a8,0x7fc41510,0x51027ec0,0xf92ff881,0x40353007,
    0xc80bccb9,0xa88c41ff,0x22aacffa,0x27e40ff8,0x8fff4098,0x44df05f8,
    0x7c4df05f,0x403ff885,0x8bfe64fd,0x321541a9,0x9711531d,0x6467e405,
    0x7ffffdc0,0x801ff302,0xffeeeefe,0x8027e403,0x3e200ff8,0x5127ec0f,
    0xdf703555,0xaa881fe4,0xfff301aa,0x7fc45fff,0x7fffdc03,0x3fe27fff,
    0x3c827e40,0x0fdafcc4,0x807ecdf0,0x3203f66f,0x07fc405f,0x1fec9fd1,
    0x7ec01ff1,0x903ffffc,0x7cc1ffff,0x80ffb8af,0x7fc00ff9,0x02eeeeee,
    0xf88027e4,0x03fe200f,0x7ffd49fb,0x324fc84f,0x7fd419cf,0x137304ff,
    0x3fd4ff91,0x67fd5440,0x03fe22aa,0x4ff109f9,0x2faaffec,0x017d5be0,
    0x740beadf,0x541bcabf,0x97ffea6f,0x03fe23fd,0xfdbeffd8,0x2effe887,
    0x0bfa27ec,0x0ba83fe6,0x64000bfa,0x1ff1004f,0x3607fc40,0x3faaa24f,
    0x3f24fd84,0x755447ff,0x3fe2004f,0x7fecff70,0x102fe84f,0x44fc81ff,
    0x46a67feb,0x444c05f8,0x7c44c05f,0x3ffffe05,0x65bee5ff,0x3f66fdff,
    0xd803fe23,0x41ff10ef,0xfd05fffc,0x07ffdddd,0x3fea1ff3,0x40017f65,
    0xff1004fc,0x207fc401,0x09f904fd,0x677e49fb,0x8813f204,0x70ffeecb,
    0x27ff64df,0xff8817f4,0xffb27e40,0x007ec0dd,0xfb000fd8,0x55f7fc01,
    0xddf72ffc,0x6cdf51df,0x443fe23f,0x449fb3fe,0xfddf10ff,0x3bbbfe09,
    0xff982eee,0x7c4dff90,0x807dccef,0xff1004fc,0x207fc401,0x09f904fd,
    0x01fe49f9,0xff9827e4,0xf50ffeef,0xfd09f90f,0x903fe205,0x00bfe69f,
    0x402aa7f5,0x201a9bfa,0xf81553fa,0xfaa7ec2f,0xd97ee4ff,0x543fe23f,
    0x449fb6ff,0x27e4a0ff,0x26002fe8,0x85fd10ff,0x06ffffe9,0xf1004fc8,
    0x07fc401f,0x27e413f6,0x07f937dc,0x3fa09f90,0x7cc3fe25,0x7427e42f,
    0x81ff102f,0x80ff73fd,0x03ff96f8,0x9fdf1df1,0x3ff2df10,0x3f21ff41,
    0xfd85ff34,0xff98ff64,0x3f67ff10,0x3203fe24,0x00bfb04f,0x20007fcc,
    0x9f9002fd,0x803fe200,0x1ff40ff8,0xff884fc8,0xf9007f92,0xfc8ffe09,
    0xc87bf60f,0x204fe84f,0x47fe23ff,0x3f202ff9,0xc81fcf98,0x321ba10f,
    0x41fcf98f,0x8ffe26fc,0x83fe65fe,0x1ffd15fc,0x449fb044,0x04fc80ff,
    0xfb99dff1,0x8003fe60,0x3f2006f8,0x01ff1004,0x77647fc4,0x09f900ff,
    0x3bffbff6,0x09f900ee,0x3ffb3ff6,0x3fffe60f,0xffc84ffe,0x77fdc5cd,
    0x7ff45ffd,0x74fea2bd,0x1fd42fbd,0x27f50bf6,0x7c42fbde,0x546ffdef,
    0x44ffdeff,0xffffeffa,0xf893f600,0xfffdd70f,0xffe983dd,0x3bba26ff,
    0x8804eeff,0xdd700eff,0x403ddfff,0xfffffff8,0xff71ff11,0xffeeb85f,
    0x7fe41eef,0x2e1fffff,0x1eefffee,0x3abbffa2,0x7ffec40f,0xffd882ef,
    0xffffb87f,0x7ffec40c,0x3fe2dd16,0x89ba27ff,0x5ba22dfe,0x987ffff8,
    0x980cfffe,0xfb03fffe,0x401fd3df,0x43fe24fd,0xfffffffc,0x3e606602,
    0x06ffffff,0x3201bb50,0x2fffffff,0x3ffffe20,0xc80401ff,0x2fffffff,
    0xffc80110,0x882fffff,0x000c4001,0x80088033,0x03f93cb9,0x30fe43f3,
    0x3f21ffff,0x2201f981,0x10011001,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666000,
    0x0cc40099,0x41544353,0x26200098,0x13531019,0x30013100,0x00131015,
    0x35300298,0x99999881,0x00026209,0x99980062,0x01310c40,0x82a9804c,
    0x11530aa8,0x65440597,0x65cc0bab,0x006200bc,0x98826620,0x3fffe609,
    0xffd302ff,0xf98ff6bf,0x7004fc87,0x543dffff,0x504fffff,0x401dffff,
    0x04fd85ff,0xb80ffe20,0x2a4fffff,0x24ffffff,0x3ea004fc,0x3f204fff,
    0x6fd45fff,0x0bfa05f9,0x3ee07fd4,0x3fff3f66,0xffffc84f,0x3fff60ff,
    0x9ff302ff,0x86ffc400,0xd32ffffb,0x105ffddd,0x36799dff,0xff1fe63f,
    0x2a01ffff,0x27fdbcff,0x3ffeccea,0x7ff77fd4,0x3617fe07,0x3fe2004f,
    0x99dff703,0x7fffd49d,0x013f24ff,0x7dccefd4,0xcccffd86,0x406ffa84,
    0x0ffe02fe,0x77fec7fd,0x3ee1ffcb,0x50ffa9bf,0x202a25ff,0x804fbef8,
    0x88cc3ff8,0x20bfe06f,0x47fb07fa,0x77f647f9,0x88ff604c,0x17f601ff,
    0x1ffdc9fd,0x4fd80a98,0xfd014c00,0x405fa809,0x4bf004fc,0x3e62f999,
    0x0153000f,0x559ff551,0x3e66fc85,0xe83bf60f,0xf88ffe4f,0x003ff70f,
    0x002a6155,0x332a0355,0x20bfe06f,0x47fb05fb,0x24fc87f9,0x7ccbfb00,
    0xa93f200f,0x137ec0ff,0xfb035555,0x53059717,0xe8555555,0x02fd405f,
    0x1aa893f2,0x5ffa27ee,0x301bee6d,0x45555555,0xfffffffb,0xfc87fcc7,
    0x3f227ec5,0x7c41ff15,0x7dfff30f,0x5300aa81,0x555554c1,0x3eb3f22a,
    0x2e0bfe06,0x4c7fb05f,0xfccfc87f,0x77fcc1ef,0xa9983ffb,0x21bee1ff,
    0x3ffea7fc,0xffdfd84f,0x7ffdc3ff,0x7fe47fff,0xcffa80ae,0x364fc82a,
    0x7edb20ef,0x3f21f72b,0x7fffdc05,0x3eaa27ff,0xfe82aacf,0x4fd85ff3,
    0x0ff9afe4,0xfd983fe2,0x0bf62fff,0xfff70fec,0x47f4ffff,0x4bfe06fa,
    0xfffffff9,0x7d47fb3f,0xfefffc87,0xffffa85f,0x2ffff984,0x3fd42fe4,
    0xb09fd551,0x8ffb7dff,0x5ffdccc9,0x27ffff44,0x3fffffea,0x77e53f21,
    0x546faec0,0x980bf91f,0x05ffdccc,0xefb805fd,0x44fd87fa,0x41ff13fe,
    0xfb880ff8,0x740ff27f,0x3733260f,0x3bff25ff,0x44bfe06e,0xcccefecc,
    0x3fe2bfb1,0xa97fe40f,0xffffc87f,0x7f66443f,0x2a1bf25f,0xb09f907f,
    0x03fe21df,0xd500efd8,0x5544bfff,0x3f27ffcb,0x5d81ffbc,0xf91fa8ff,
    0x0efd800b,0x7777ff74,0x4feff882,0x3fea4fd8,0x7f44ffe1,0x4ff7010f,
    0x3e3d94fb,0x2077ec07,0x7fc01118,0xfb05fb82,0x8dffffdf,0x83fe65fc,
    0xffd88efc,0x5c7fe600,0x906fa87f,0x449fb09f,0x3ff700ff,0x03ffb300,
    0xefc8ffdc,0x36d901ff,0x321f73df,0x3fee005f,0xffffff81,0x1fff903f,
    0xffb9dfb0,0xffeffc89,0x999d90ff,0xfafd49ff,0x2e06f8cf,0x666641ff,
    0x05ff01cc,0x3ff60bf7,0x647fc9ef,0xf83fe24f,0x201ff42f,0x83ff52ff,
    0x09f905fd,0x07fc49fb,0x10017fd4,0x7fcc05ff,0x07ffdf91,0x5ffa67ee,
    0x4017f26d,0x7f402ffa,0x05ff9802,0x07fffffb,0x3fe7bff6,0x9fffff70,
    0xeffaef98,0x5ff505f9,0x5dddddb0,0x40ffd413,0x17fb05fb,0x127e4088,
    0x21ffc1ff,0x3fee02fe,0x7d47bfe1,0xb09f901f,0x207fc49f,0x02a04ff8,
    0x36203ff5,0x3ef3f27f,0x444bf01f,0x017f22fa,0x3a013fe2,0x1ff9804f,
    0x00119fb0,0x303fe231,0x37fe2033,0x883fcfdf,0xfa8004ff,0xf705ffee,
    0x400ff60b,0x83fe24fc,0xefecdffc,0xffdddd90,0xfffffb89,0x213f205f,
    0x03fe24fd,0x7fc40dfd,0x325ffeee,0x22fffeee,0x01ffb4fc,0xbf935df5,
    0xfe805fc8,0x9bff9006,0x409fd30b,0xf10004fd,0x201fd01f,0xfffadfff,
    0x4406fe82,0xffd30888,0x17ee019f,0xfc801fec,0xf903fe24,0x7ec1bfff,
    0xd502efff,0xdd707fff,0x363ddfff,0xb83fe24f,0x27ffffff,0x3fffffe8,
    0x0effffe4,0x37f453f2,0x84effe98,0x7fdc05fc,0xb107ffff,0x7fdcffff,
    0x027ec06f,0x440ff880,0x4bffa06f,0x7fdc1fff,0x3f27ffff,0x00447fff,
    0x2cb82fdc,0x7c49f900,0x4c03100f,0x80220009,0xfffffffc,0x7fc49fb2,
    0x3fffff20,0x0099887f,0x4fc80262,0x01013fe6,0x3f202fe4,0x807fffff,
    0x01ef5419,0x90001654,0x203e8819,0x1ff90ffc,0xffffffc8,0x1fffff27,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5d402662,0x3532aabc,0x266622a8,0x33333009,
    0x4cc01333,0x20099980,0x13001998,0x4c00004c,0x26209881,0x26604c40,
    0x20262009,0x79730198,0x4cccccc3,0x26666099,0x4cccc199,0x09988099,
    0x4c066600,0x02620099,0x11009980,0xfffff701,0xfffffd83,0x7c47fb6f,
    0x9ffff50f,0xffffff30,0xfff70bff,0x7fffc1bf,0x7ffec2df,0x4f880cef,
    0x84c889f1,0x03fe21e8,0x217f49fb,0x3ffe62fe,0x7fcc2dff,0x3622fe41,
    0xff36ffff,0x2bffffff,0x7ffffff9,0x3fffffe6,0x007ffc86,0xff03fff3,
    0xfd85bfff,0xffffc804,0x7ec3ff84,0x2e2feeff,0x0cfd88ef,0x87fc47fb,
    0x984fecc9,0xd99abc9f,0x7677fcc5,0x3fbbfe0f,0x337f64ff,0x4f984ffe,
    0x2ff987f3,0xff897fa1,0xffaa7ec0,0x0cffaaac,0xfffddff3,0x3e65fd89,
    0x55fff41f,0xffddd35b,0x3fe69ddd,0x3e66eeee,0xe85eeeef,0xfe801fff,
    0xeeff81ff,0x37f64fff,0xdffc81aa,0x17fc3ffe,0x20887ff5,0xd97ea3fc,
    0x203fe23f,0xfd7984fc,0xbf91729f,0xf90ffc08,0xfa8ff63f,0x273ee60f,
    0x7fdc1cfb,0x220effff,0xea7ec0ff,0xffffffff,0x641ff31f,0x4bfe21ff,
    0x0ffd44fd,0xf982ff80,0x403fcc07,0x404fdff8,0xf81ffdfb,0x6c7ff21f,
    0x41efffff,0xfd1bf60c,0x5c02ff45,0xfd93ee5f,0x3203fe23,0x2e27984f,
    0x1fec5caf,0x9fd07fe0,0x0ff88ff6,0xfffffff1,0xfbdff0ff,0x40ff887f,
    0x9bff74fd,0x261bff99,0x227f40ff,0x40ff9efb,0x3fe005fc,0x4c07f982,
    0xbdfb807f,0x23fe206f,0x41ff81ff,0xb5bfb4fe,0x7dc01fff,0x5ff0ff47,
    0xfbdff100,0xf11fec3f,0x309f901f,0x45ccf88f,0x3fe602fe,0x36bf909a,
    0x45fd99cf,0xbfdabfda,0xbf737c42,0x999aff88,0xd0bfa4fd,0x207fcc5f,
    0xfffe85fc,0x2005fd83,0x9ff982ff,0x1fe60999,0x3fe6ff60,0x3fe7fb00,
    0x84d7fcc1,0x449fb5fc,0x17f603ff,0x0bfe2175,0x33bb7ee0,0xff31fec1,
    0xf309f901,0x5727fb26,0xeeeeffe9,0x4bffffe0,0xffffb6fb,0x21f901df,
    0x24fa80fd,0x7ffc46f9,0x3a4fffff,0x2fffffff,0xdf703fe6,0x2e0dff50,
    0x7f74406f,0x3fe63eef,0x3e65ffff,0x7c3eeeef,0xf507fd0f,0x3fe0ffcd,
    0x2df72fff,0x827f44fd,0x7c402ff9,0x01fe802f,0xffe8afe4,0x7984fc80,
    0x4d7237f5,0x0eeeeffe,0x64bbbffa,0xfb9bfb6f,0x367d81df,0x7ccbf507,
    0x7777fc45,0x3ffa4ffe,0x262fffff,0x337e40ff,0x8559ff55,0xf10c4ff8,
    0x4c9fffff,0x24eeeeff,0x4ffffff9,0x85fc9bea,0xd07fe1fe,0x3f25ddff,
    0x3fe89fb6,0x2985fe88,0x7e401ffc,0x2a1cdeef,0x0ffffeff,0x37984fc8,
    0x17f45c8b,0xbfb07fe0,0x4ff88ff6,0xffddffd7,0x91ff887d,0x40ff887f,
    0xd0bfa4fd,0x207fcc5f,0x3fff25fd,0xffd87fff,0x5ff06fef,0xf980ff30,
    0x4cefe407,0x577dc7fb,0x7c2bffaa,0xfdafec1f,0x40ffd99c,0xff985fe8,
    0x2601bfa5,0x2ffffeff,0x3fa7bff6,0x7984fc80,0x7f45c893,0xf10ffc02,
    0xfb0ff67f,0x3bbffaeb,0xfff83eff,0x7fc43fff,0x5fd27ec0,0x3fe62fe8,
    0x740ffe20,0x7ffd402f,0x305ff05f,0x07f980ff,0x7ffffff4,0x3ffff22f,
    0x7fc7ffff,0x7ecffe21,0x442fffff,0xfff705fe,0x13067fdc,0xbfb07fe2,
    0x20bf3188,0xf97984fc,0x0bfa2e43,0xfd713ff0,0xff31fecd,0x0bf15f87,
    0x3f7bbbf2,0xb03fe20f,0x3a17f49f,0x223fe62f,0x66546feb,0x3204cdff,
    0x417fc03f,0x3fcc07f9,0x9999ff10,0x666549fd,0x7c4dffcc,0x26feb89f,
    0x40bceefd,0x3e605fe8,0x7ffff43f,0x83ff32ff,0x03fa04fd,0x4fcc27e4,
    0x35d999b9,0xffffffff,0x7fffffc5,0x3fbbf61e,0x53e20eff,0x0ffa84f9,
    0x1ff12fec,0x0bfa4fd8,0x7ffcc5fd,0x75c1efff,0x206eeffe,0x17fc00fd,
    0x7fffffcc,0xfb81fe67,0xf807fb85,0xfffff81f,0x013f61ef,0xfffffffb,
    0xfeb80445,0x3ffa1dff,0x200efede,0xfdd72efe,0x3e63ddff,0x5fffffff,
    0xfffffff3,0x6f7ffc5f,0x7fffec0b,0x9a7cc0be,0x9105503f,0x3607fc41,
    0xfd0bfa4f,0x6f7ffcc5,0x017f400b,0x17fc026c,0x7fffffcc,0xfd81fe67,
    0x401ff983,0xefff81ff,0x027ec0bd,0x3ffffff6,0x1008002f,0x007bddd7,
    0x3ff25b93,0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33000000,0x33331000,0x26204c43,
    0x4cccccc0,0x20066099,0x204cc099,0x204c4099,0x445eeee8,0x26620199,
    0x4c026201,0x31033109,0x18804c43,0x84cc0266,0x19999998,0x4ccccccc,
    0x26666209,0x00800999,0x04c002aa,0x01799730,0x04c404cc,0x8003ff00,
    0x367fffff,0xf0ffe63f,0x5fffffff,0xff003fe2,0xf11ffd4b,0x444fa8ff,
    0x7ec5eeee,0x360cffff,0x644fffff,0x50ffa86f,0x24ff83ff,0x21fd02fc,
    0x1ff885fe,0xfffffff9,0x7fffffcc,0x3fffa5ff,0x6c02ffff,0x803fb00e,
    0xffb06ffb,0xff905fff,0x05fb89ff,0xa8007fe0,0x365eefff,0x3e17fa3f,
    0x2fffffff,0xff801ff1,0x447ffb0f,0x13ea2fff,0x3bbbf600,0x3bbf66ff,
    0x3fe24fff,0x3f61ff42,0xfc83fee6,0x3fdcfd02,0xfdd73fdc,0x774cdddf,
    0x24eeeffe,0xfffffffe,0x03ffd102,0x7f5407f6,0x2ffa86ff,0xcffc8151,
    0x17ee4ffd,0x0751ff80,0xd83fdfd8,0x001ff93f,0x7fc43fea,0x4bffe200,
    0x3fe23fff,0xa893ea6f,0x4fd81aaa,0x1fecbfea,0x26fc8ffb,0x2ff987fa,
    0x02fb87ff,0x217fccfd,0x05ff04fd,0x74005ff0,0x1dff306f,0xfc80fec0,
    0xffb86fcd,0xb8bfe201,0x00bf70ff,0x027f67fc,0xb07f7df1,0x005ff37f,
    0x1ff127f4,0x56fe7c40,0x3fe24fcf,0x549f52fe,0xfd84ffff,0x3fda7ec4,
    0xff883fea,0x3f607fd2,0x7dc0ffbe,0x3a3f4533,0xf817fc4f,0x02ff802f,
    0xf503ff70,0x3fffe0bf,0x4663ffff,0xfff986fb,0x07fcc0be,0x17ee3ff1,
    0x0cffff80,0x33eefee0,0x3faff609,0x83fea004,0x3e600ff8,0x4f9fcfdc,
    0x557effe2,0x3faaa24f,0x7f44fd84,0x37ec7fb3,0x03fd6fe4,0x707ffff1,
    0x37c7f67f,0x07f99bf2,0x3fe00bfe,0x83ff9802,0x33204ffb,0x01ccdffc,
    0x3f660df7,0x3fe62fff,0x5fb97fc2,0xffd31644,0x71fd0019,0x7fecdfff,
    0x27f4007f,0xf9803fe2,0x5f9dffbb,0x27fe3fe2,0x09f904fa,0x8ffd49fb,
    0x1effeefd,0x03feff88,0xfa837fe4,0x31be9ff3,0x817f21ff,0x2ff802ff,
    0xf506fe80,0x07f600bf,0x7101bee0,0xcffe8fff,0xbf73ffdb,0xff91fff8,
    0x2bf3003f,0x3f63cdfb,0xf5002ffd,0x00ff881f,0x2bfe6fe6,0x65fe25f8,
    0xf904fadf,0xfdddfb09,0x7fffec9f,0x1fff200e,0x203fffa0,0xf6ffabfa,
    0x3fa5ff0b,0x200bfe03,0x7fdc02ff,0x03bfe600,0xf7003fb0,0x8ff7010d,
    0xfffffff9,0x7fc4bf72,0x03ff152f,0x7f937f90,0x1ff97fb0,0xf10bfd00,
    0xe9fd401f,0x3e25f88f,0x09f7ff17,0x3ff613f2,0x5fec2eff,0x3e205fe8,
    0x77fd403f,0xfccf985f,0xfd85f9fc,0x3e00ff8d,0x02ff802f,0x2200ffe6,
    0x3f601efe,0xc86fb801,0x05ffccce,0x23ff1553,0x42fdc5fb,0xfff801ff,
    0xbfd83fff,0x7cc05ff8,0x00ff881f,0xf894cfea,0xffd9fe26,0xb09f904f,
    0x9fec019f,0x3fe02ff9,0x7d67f402,0x67e7cc2f,0xfa85fcfa,0x7fc06fbf,
    0x202ff802,0x362005fe,0xb80001ff,0xffffb86f,0x7fa800cf,0xff8017ee,
    0x6677d401,0x53fd83fe,0x2fec05ff,0x2e00ff88,0x226f882f,0x13ffe67f,
    0x27ec27e4,0x5fd8ff60,0xfb80bfe0,0xf88dfd0f,0x09fdf2fe,0x807fdff1,
    0x2ff802ff,0x0001ff70,0x777641d9,0xf700eeee,0x00ff4c0d,0xf71ffd44,
    0x7fffc00b,0x87f63fff,0x3f66eefb,0x2603ff63,0xfff101ff,0x3ee3ffff,
    0x3fc4ff02,0xeeb93ffa,0xfb1eefff,0x2a3fd809,0x05ff01ff,0xffa93fe2,
    0xfd9ffe23,0x3fffb04f,0xddffdd70,0xf817fc0d,0x3fffffff,0xffffd800,
    0x3ff21fff,0xf83fffff,0x3ffff206,0x7fffdc5f,0xffff06ff,0x1be27fff,
    0x7ecffff7,0x3617fe23,0x3ffe205f,0x5f71ffff,0x47f89fe0,0x3ff24ffa,
    0xfb2fffff,0x743fd809,0x205ff05f,0x7ff40ffc,0x7d4bff10,0x0fff703f,
    0x3ffffff2,0x7c0bfe07,0x3fffffff,0x7e400000,0x43ffffff,0x3ff202e8,
    0xfffb82de,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06a60040,0x2b2e6055,
    0x952cca80,0x0de5cc05,0x20179973,0x405951bb,0x0000acb8,0x20bccb98,
    0x42cb88a9,0x417951a8,0x0aa882a9,0x42a60155,0x154c0aa8,0x91177151,
    0x0004c405,0x55443530,0x06aaaa21,0x2aaaaaa6,0xb8013302,0xc80c400c,
    0x88ff601f,0x7ffec0ff,0x3ffe62ff,0x443fffef,0xf36ffffd,0xd85fffff,
    0x3fffbfff,0x2fffffb8,0x7ec07fa0,0x3f62ffff,0x2a3ffffc,0x26fffdef,
    0x37dc0ffa,0x87f605fb,0x8bfe26fe,0xfedffdfb,0x7fffd43f,0x9720f4c4,
    0x83bf64fc,0xb84ffffa,0x47ffffff,0x204fffe8,0x07ec01fe,0xfd817fec,
    0xfb83fe23,0x10ffebbf,0xf39ff115,0xbabffe8f,0xf9113735,0x7fc5fccf,
    0x7fcc6f8d,0x880ffb8a,0x2ffa84ff,0x77fec151,0x3fea7fdb,0x3e2ffabf,
    0xf91ff43f,0xf883fa07,0xfb89fd4f,0x5faefeaf,0x3aaaf3ea,0x7e47ff25,
    0x3f29f90e,0x7f55440e,0xfdccc984,0x755fec5f,0x103fd01f,0x90eaf919,
    0x47fb09ff,0x0bfe0ff8,0x47f607ff,0x03ff50fd,0xfb87fc40,0x83f65fb1,
    0x817f44fd,0x1ffb80cb,0x7c43bf60,0x6c7ff50f,0xf99bf24f,0x7653ee0f,
    0xbff50ff1,0xb5fb81df,0xbbf9be5f,0x322f8fde,0x320efdff,0x401ffbcf,
    0xefd804fc,0x07f737c0,0x3bee07fa,0xfa86fcfd,0xf11fec5f,0xb03fe61f,
    0x7f65c49f,0xbf91fecc,0xfeecb880,0x3f61f90f,0x3fa0fecd,0x03ffeeee,
    0xbefff980,0xff127ec0,0x1311fea1,0x5fc87fcc,0x8cffafd4,0x3fffb06f,
    0x47f67f70,0x7b71f36f,0xdff9132f,0x1ffefc81,0x5c04fc80,0x2e6f81ff,
    0xfffff33f,0x7eccbfff,0xff300bff,0xf88ff61d,0xc81ff30f,0xffdff35f,
    0x3f61dddd,0x3bffe605,0x21fb0ffe,0x20eeeefd,0xeeeeeeff,0xffffff32,
    0x7feccbff,0x893f62ff,0x00ff50ff,0x217fcffa,0x9effaef9,0x0dff505f,
    0xf8fecfee,0x4bfaef36,0x0fffe45b,0x00bffbf2,0xffa813f2,0xfd59fd02,
    0x3ffbba63,0xff714eee,0x3e603bff,0x4c7fb0df,0x85ff10ff,0x365fb4fd,
    0x40df900f,0x43fe25fe,0x403fb0fc,0x774c02fe,0x84eeeeee,0x3f67ffb8,
    0x7d43fe24,0xf5df7007,0xbfbff10f,0xff107f9f,0x27f709ff,0x3e2df1fd,
    0x49b6adb8,0x21ffcefc,0x01ffbcfc,0xff8827e4,0x3fffa604,0x2e07fa02,
    0x86fbfcdf,0xafe44ffb,0x3fe0ffe8,0x363ff30d,0x2a05fd0f,0x3ff8c4ff,
    0x8fdc3ff2,0x17f603fe,0xfb808000,0xff893f67,0x2200ff50,0xff04feff,
    0x05fff5bf,0x85ff5bfd,0x3e3fb3fb,0x5e4ab766,0x321df91f,0x369f90ff,
    0x13f200ff,0x998037f4,0x380ff400,0xff9062f9,0xffdff507,0x7ffdc1ff,
    0x37ee5ffe,0x45cbfffd,0xb6fefffd,0x1fffd9ff,0x3fff37e6,0x77fc44bb,
    0x37207dcc,0xfcccec80,0xf893f64f,0x400ff50f,0xfd00fffc,0x907ffe5f,
    0x83ff21ff,0x3e3fb3fb,0x32afba26,0x7903a62f,0x6fe8a7e4,0x77fff75c,
    0xfffff71e,0xccccc8ff,0x803fd01c,0x2ffd80fd,0x3a7bff60,0x7fffd40f,
    0x5cffec44,0xffb85fff,0xdffd15ff,0x7fe41fd5,0x985fff9d,0x106ffffe,
    0xfff709ff,0x24fd89ff,0x0ff50ff8,0x902ffcc0,0x83ff21ff,0x3fa22ffa,
    0x8fecfee5,0x1cedb86f,0x4c9f9000,0x3fff24ff,0xff92ffff,0xed8fffff,
    0x5502eeee,0x0f5c0001,0x11000c40,0x004c4080,0x400c4022,0x4c004c08,
    0x201ed801,0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09880666,0x15401330,
    0x45900998,0x6cc3222b,0xec804401,0x40eeeeee,0x10888008,0x0c008881,
    0xfffff811,0x10000fff,0xeee98111,0x7fcbf24e,0xffffffff,0x00000002,
    0x00000000,0x3f200000,0x3f221fff,0x7fffdc4f,0x263ffa82,0x7d44fffe,
    0xafdcdf36,0x3fe206fb,0xfffffd82,0x3bfee0ff,0xf3fe92e1,0x81ffd43f,
    0x743fd2fd,0x0ffeeeee,0xe8805fd1,0x7774c0df,0xeee9fa4e,0x2eeeeeee,
    0x00000000,0x00000000,0x26aa0000,0x3fff24fd,0x37f5f544,0x7fd37fd4,
    0x8ff45fd7,0xd9fec1fe,0x1fdf903f,0x3bfe2000,0x366f89ff,0xe883ff2f,
    0xfd2fe83f,0x2e1fb003,0x3fa207ff,0x007b0003,0x00000000,0x00000000,
    0x51000000,0x7e4c45fd,0x6c1bee04,0x7d4bf16f,0x0ff29f94,0x3fe23fe2,
    0x27cdfcc0,0x22222222,0x7fdcfee0,0x74bf64ff,0x8605500f,0x21fb0008,
    0x2a606ffa,0x00000000,0x00000000,0x00000000,0xffe80000,0x504fc81e,
    0x57ee05ff,0x653ea6f8,0xf309f94f,0xd81ff31f,0x7ec3fb0f,0x10ffffff,
    0x227f5415,0x001fd1fc,0x21d40000,0x000000ba,0x00000000,0x00000000,
    0x00000000,0x90ff7310,0x05ff709f,0x7f41ff73,0x3fa1ffbd,0x2fe83fd1,
    0x23fa85fd,0x3332e5f9,0x0000cccc,0x000ee175,0x00000000,0x00000000,
    0x00000000,0x00000000,0x93550000,0x77f654df,0x99bff70c,0x2606ffc1,
    0x7d43fffe,0xa7dcdf36,0xc85d85fb,0x0000001e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x321efffe,0xfb1fffff,0x00c3ffff,
    0x5c570044,0x001911c1,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x33310198,0x4cccc433,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_19_latin_ext_x[560]={ 0,3,2,0,0,0,0,3,2,2,1,0,1,2,
3,0,0,1,1,1,0,1,0,0,0,0,3,2,0,1,1,2,0,0,1,0,0,1,1,0,0,1,1,1,
1,0,0,0,1,0,1,0,0,0,0,0,0,0,0,2,1,2,0,0,0,1,1,1,0,0,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,
4,0,0,0,2,1,0,2,0,0,1,0,2,2,0,1,0,3,3,2,1,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,0,0,0,0,1,1,1,0,0,1,
1,-3,-2,1,0,0,1,0,0,0,1,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,0,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-2,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_19_latin_ext_y[560]={ 14,0,0,1,0,0,0,0,0,0,0,4,10,7,
10,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,16,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,6,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,14,4,0,1,1,1,
-2,0,0,1,1,5,8,7,0,1,0,2,0,0,0,4,0,6,14,0,1,5,0,0,0,4,-2,-2,-2,-2,
-2,-3,1,1,-2,-2,-2,-2,-2,-2,-2,-2,1,-2,-2,-2,-2,-2,-2,4,-1,-2,-2,-2,-2,-2,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,2,0,0,0,0,0,0,0,
-2,1,-2,0,1,4,-2,0,-2,0,-2,0,-2,0,-2,0,1,0,-2,1,-2,0,-2,0,1,4,-2,0,-2,0,
-2,0,-2,0,1,0,-2,-3,1,0,-2,0,-2,1,-2,0,1,0,-2,4,1,0,-2,0,1,0,4,-2,-3,1,
0,0,0,1,0,1,0,-2,0,1,4,-2,0,-1,1,4,-2,1,-2,0,-2,0,1,4,-2,0,1,4,-2,0,
-2,0,-2,0,1,4,-2,0,1,1,-2,0,1,1,-2,0,-2,1,-2,0,-3,-1,-2,0,1,4,-2,0,-2,0,
-2,-2,0,-2,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-3,-2,0,-2,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_19_latin_ext_w[560]={ 0,4,7,11,10,11,11,4,7,6,9,10,6,7,
4,10,10,9,9,9,11,9,10,10,10,10,4,6,9,9,9,7,11,11,9,10,10,9,8,10,10,9,8,10,
9,11,10,11,9,11,9,10,10,10,11,11,11,11,10,6,9,6,10,11,7,9,9,8,10,10,10,10,9,9,
8,10,9,10,9,10,9,10,9,9,10,9,11,11,11,11,9,8,3,8,11,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,8,10,11,11,
3,10,9,11,7,9,10,7,10,8,8,10,7,7,10,10,10,5,4,7,8,9,11,11,11,7,11,11,11,11,
11,11,12,10,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,9,11,10,10,10,10,11,9,9,10,10,
10,10,10,10,11,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,9,11,
11,10,11,10,11,9,10,10,10,9,10,9,10,9,11,12,10,11,10,10,10,10,10,10,9,10,10,10,10,10,
10,10,10,10,10,10,10,10,11,10,10,10,10,10,10,10,9,9,10,9,10,10,9,9,10,10,10,10,10,9,
9,13,13,10,12,10,9,10,10,10,9,10,10,10,10,9,11,10,11,10,11,11,11,11,11,10,9,9,11,10,
10,10,10,10,10,9,10,10,10,10,10,13,10,10,10,10,10,10,10,10,10,10,11,11,10,9,11,11,11,11,
11,10,10,10,10,10,10,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,10,12,11,13,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__consolas_bold_19_latin_ext_h[560]={ 0,15,6,13,17,15,15,6,18,18,9,10,8,3,
5,16,14,13,13,14,13,14,14,13,14,13,11,14,12,6,12,15,18,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,18,16,18,7,2,5,11,15,11,15,11,14,14,14,14,
18,14,14,10,10,11,14,14,10,11,14,11,10,10,10,14,10,18,20,18,6,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,14,17,13,13,13,
20,17,5,14,10,8,5,3,10,4,8,12,9,9,5,14,17,5,3,9,10,8,14,14,14,14,16,16,16,16,
16,17,13,16,16,16,16,16,16,16,16,16,13,16,17,17,17,17,17,10,17,17,17,17,17,16,13,15,15,15,
15,15,15,16,11,13,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,11,14,15,15,15,15,18,18,18,
16,14,16,15,17,14,17,15,17,15,17,15,17,15,16,15,13,15,16,14,16,15,16,15,17,14,16,15,17,18,
17,18,17,18,17,18,16,17,13,14,16,14,16,13,16,14,17,18,16,10,14,18,17,18,17,18,10,16,17,17,
18,14,14,13,14,13,14,16,14,17,14,16,14,15,17,14,17,14,17,15,17,15,14,11,16,14,17,14,16,14,
17,15,17,15,16,13,17,15,17,17,16,15,13,14,17,15,17,14,17,15,18,16,17,15,17,14,16,14,16,18,
16,16,14,16,14,16,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,18,16,15,18,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,14,17,17,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_19_latin_ext_s[560]={ 21,250,94,86,79,204,46,250,46,84,246,
235,25,248,250,226,229,1,240,54,207,118,218,78,43,21,251,248,233,72,1,
247,91,195,76,1,133,176,186,141,110,201,1,67,89,99,111,64,133,12,143,
107,211,163,189,177,165,153,222,136,91,187,61,162,102,53,211,44,189,75,10,
12,86,76,75,128,33,163,107,21,194,204,117,97,152,11,127,139,151,182,216,
226,1,247,82,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,21,249,112,
54,98,144,5,90,110,139,248,41,120,248,174,148,32,243,17,1,137,21,101,
131,157,9,226,51,206,194,182,174,13,57,113,59,101,143,54,69,125,147,158,
204,215,36,82,93,65,71,166,189,212,37,13,185,25,49,60,71,94,169,230,
246,79,193,58,216,35,46,32,156,12,1,238,227,102,199,210,134,170,123,148,
137,24,112,101,86,145,68,57,46,35,214,204,235,47,130,181,200,172,232,195,
157,217,136,239,115,1,179,1,233,219,12,136,22,25,168,237,146,117,46,193,
125,161,114,139,176,184,103,228,21,80,235,121,32,35,96,13,122,236,119,54,
54,189,206,85,125,23,143,33,153,195,86,12,44,194,71,57,32,33,43,12,
64,1,206,242,75,167,1,150,113,127,221,105,159,82,181,107,63,166,156,246,
178,143,188,224,91,201,80,213,11,155,69,132,121,121,123,165,171,68,90,46,
240,24,104,1,24,1,221,35,23,224,225,97,164,109,132,237,155,96,178,160,
151,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,57,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,9,64,200,23,32,1,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,178,215,132,121,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,43,
43,43,43,43,43,43,43,43,43, };
static unsigned short stb__consolas_bold_19_latin_ext_t[560]={ 20,41,215,173,22,111,127,173,1,1,202,
202,215,169,180,77,143,188,173,158,173,158,143,187,158,188,143,77,187,215,202,
59,1,173,173,173,173,173,173,143,173,187,158,187,187,187,187,158,187,22,187,
158,187,143,187,187,187,187,187,1,77,1,215,215,215,202,94,202,94,202,158,
173,158,158,1,158,173,202,202,202,158,158,202,202,143,202,202,202,202,158,202,
1,1,1,215,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,20,111,22,
173,173,173,1,22,215,158,158,215,215,169,202,215,215,187,215,215,215,158,22,
215,215,215,202,215,143,143,143,143,94,77,77,94,77,22,187,77,77,77,77,
77,77,94,94,94,173,94,22,22,22,41,41,202,41,41,41,41,41,77,173,
94,111,111,127,111,127,77,202,173,127,127,111,111,127,127,127,127,111,127,111,
111,111,111,111,202,127,111,111,111,111,1,1,1,94,143,77,94,41,127,41,
94,41,94,41,94,59,94,94,94,173,111,77,143,94,94,77,94,41,143,77,
94,41,1,41,1,41,1,41,1,77,22,173,158,77,143,77,187,59,143,59,
1,59,202,143,1,59,1,59,1,202,59,59,59,1,143,143,188,143,187,143,
59,143,41,127,59,127,111,41,127,41,127,41,111,41,111,143,202,59,127,22,
127,59,127,22,127,22,127,59,188,22,127,22,22,59,111,173,158,22,111,22,
143,22,94,22,77,41,94,22,173,59,158,59,1,59,59,158,59,158,59,158,
158,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,22,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,1,1,59,127,1,77,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,22,158,22,22,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173, };
static unsigned short stb__consolas_bold_19_latin_ext_a[560]={ 167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_19_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_19_latin_ext_s[i] + stb__consolas_bold_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_19_latin_ext_t[i] + stb__consolas_bold_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_19_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_19_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_19_latin_ext_x[i] + stb__consolas_bold_19_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_19_latin_ext_y[i] + stb__consolas_bold_19_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_19_latin_ext_s[i] + stb__consolas_bold_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_19_latin_ext_t[i] + stb__consolas_bold_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_19_latin_ext_x[i] + stb__consolas_bold_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_19_latin_ext_y[i] + stb__consolas_bold_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_19_latin_ext_LINE_SPACING
#endif

