// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT        286
#define STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_22_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_22_latin_ext_LINE_SPACING          14

static unsigned int stb__consolas_bold_22_latin_ext_pixels[]={
    0x33221991,0x20000000,0x3000dffb,0x99910003,0x0dffa801,0xca801880,
    0x26666600,0xb982b880,0x004d4400,0x40028826,0x41301998,0x00198818,
    0xbca80660,0x33332a01,0x9880ea04,0x41331001,0x3ff11ff8,0x00ae2d40,
    0x154ffee0,0x8017fee0,0x5401efe8,0xff5002ff,0x02ffd40d,0xb0bfffff,
    0x37fcc5ff,0x09ffff90,0x27fc3fee,0x01eff980,0x70ff33ff,0xf70001ff,
    0x3fff20bf,0xfffffb03,0x5413fee0,0xffb801ff,0x7c47fe23,0x27ff501f,
    0x22001ffa,0x40bf51aa,0x004fddfb,0xc88019d9,0x9df5000c,0x1bfea0bf,
    0x85ffeee8,0x3fe62ffd,0xf99dfd06,0x11ff909f,0xff3009ff,0x7ffdc01b,
    0x00ffb84f,0x27eefdc0,0x40fff54c,0x702aaefd,0x3fea09ff,0x23ffa801,
    0x3ff11ff8,0xfd8dff30,0xd988000f,0x2199103f,0x664401cb,0x7fffcc01,
    0x970cc800,0x40077205,0x84d985ff,0x0efc81db,0x8ae03fe6,0x3cb800b9,
    0x207bb500,0x22000ffb,0x403970cc,0x05fd83ff,0x3ea01990,0x3ffa801f,
    0x7fc47fe2,0x440ffe81,0x3f2006ff,0x8801ffff,0xffff1000,0x7c47dc03,
    0x00000003,0x00005ff8,0x7f901ff3,0x00000000,0x07fdc011,0x36000001,
    0x005fd84f,0x0ffd4011,0xf11ffd40,0x907fe23f,0x3fe605ff,0xffffe805,
    0x3fee06ff,0xb82fffff,0x2603f88f,0x2a01fedf,0x3fffffff,0x017ffffe,
    0x7fdc2ffc,0x3f227fc0,0xcafdc463,0x5ff882ff,0xff105ff9,0xfffff70b,
    0x23fee5ff,0x7e42effd,0x85ff882f,0x05fd84fd,0x7fffffdc,0x543ff52f,
    0x5ff30eff,0xff88ffc4,0x2e027fc1,0x3fee00ff,0x85fffc8c,0xffffeffd,
    0xfbbfa82f,0x00ddcc03,0x3fffffea,0x3ffffe3f,0x70bff005,0x24ff81ff,
    0xfffa8ff8,0xbff16faf,0x3e25ff70,0x42ffb85f,0xffffeffd,0xffdff72f,
    0x7fc43fff,0xd82ffb85,0x205fd84f,0xffffeffd,0x223ff52f,0x3fe60eff,
    0x7c47fe22,0x00bfea1f,0x7fc05ff3,0x83ff7fa5,0x1bf22ff9,0xf00bffb0,
    0x99880fff,0x263ffa99,0xf005ff99,0x81ff70bf,0x23be64ff,0x6f9ffeff,
    0xdfd03ff6,0x7f40ffd8,0xf917fcc6,0x9cfffb8d,0x7fec5ffa,0xfb837f40,
    0xf305fd86,0x2a37e45f,0x1ffe89ff,0xff117fcc,0xfd87fe23,0x04ff800f,
    0x3be65ff3,0x1fea1ff9,0x19801ff3,0x2ffff980,0x81ffc400,0xbff005ff,
    0xff81ff70,0x37ef3ee4,0x2a7f8ff9,0x0ffe22ff,0x7fc45ff5,0x3e63fd43,
    0xb13fee0f,0x17fd41ff,0x3e607ff1,0x0bfb09cf,0x1ff31fea,0x7fecffd4,
    0x221ff981,0xe82aa1ff,0x0dfb006f,0x67dc7fea,0x3fea3ff8,0x75c1fea1,
    0x700dffff,0x8009ffff,0xbff03ff8,0x2e17fe00,0xb27fc0ff,0xdf35fb5f,
    0x25ff8df1,0x5ff80ffb,0xff503fee,0x3ee3fd43,0x20ffdc0f,0x03fee5ff,
    0xfb3ffe98,0xa87fea0b,0x7effd47f,0x43ff102f,0x7fc01ff8,0x20ff7004,
    0x23fd0ffb,0x5f7f44ff,0xfff05ffc,0xd01dfffd,0x800ffb9f,0xbff03ff8,
    0x2e17fe00,0xb27fc0ff,0xbf53fd5f,0x0ffc8df3,0x3ff20bfd,0x3fa0bfd0,
    0x5c5ffcbe,0x0ffdc0ff,0x2ff43ff2,0x25dffb10,0x3bfa05fd,0x7d45ffcb,
    0xf101ffff,0x00ffc43f,0x7d4013fe,0x88ffb80f,0xfd13fe7f,0x201bffff,
    0x217fdc0b,0x1ffbaff8,0x40ffe200,0xbff005ff,0xff81ff70,0x27fe7fa4,
    0x4c5fadfb,0x02ff9bff,0x5ff37ff3,0x3fffffa0,0x207fdc0d,0x7fcc0ffc,
    0x2e02ff9b,0x02fec0ff,0x1bfffffd,0xfffaffa8,0x7c419900,0x037ec01f,
    0xff507fc8,0x3fe29f73,0x26a37ee3,0x3ff88000,0x7fcc7fd4,0x0ffe2003,
    0xff802ffc,0x7c0ffb85,0x3fe7fa4f,0x83fbcfc9,0x407fcefe,0x707fcefe,
    0x201351bf,0x3ff40ffb,0x07fcefe8,0x2fec2fe4,0x09a8dfb8,0xff53ff50,
    0x8ffc400d,0x1ff21ee8,0xf983ff40,0xff32fdaf,0x004f7e45,0xff999710,
    0x3fe6fd89,0x0ffe2006,0xff802ffc,0x7c0ffb85,0x3fabf64f,0x81ffeffd,
    0x404ffffa,0x904ffffa,0xfb8013df,0x40fff20f,0x404ffffa,0x05fd84fd,
    0xa8013df9,0x89ff91ff,0x3fe21ff9,0x7d43ff11,0x05ff801f,0xfc9ffbfe,
    0x3fffe60f,0xfc80ceff,0x44ffffff,0x03ff24ff,0xfb9ffc40,0x6fffffff,
    0x3fffffee,0x81ff76ff,0x2ebf24ff,0x04ffedff,0x2007fffe,0xf301ffff,
    0x19dfffff,0x7ff7ffdc,0x7fffc06f,0x6c27ec01,0xffff305f,0x7d419dff,
    0xc8fffa1f,0x47fe24ff,0x3fe21ff8,0x017fcc03,0xf71bfff9,0xeefe887f,
    0x7dc6ffff,0x4ff999df,0xffa87fe6,0x27ff3002,0xfffffffb,0x3fffee6f,
    0xff76ffff,0x3f24ff81,0x006a2554,0x3200bff9,0x3fa205ff,0x26ffffee,
    0x3ffffffb,0x805ffc80,0x05fd84fd,0xfffddfd1,0x10ffd4df,0x3fe63fff,
    0x7c47fe22,0x007ff41f,0xffb00ffb,0xe81dffff,0x21ffc86f,0x27fc47fd,
    0xfffffff9,0x3fea00bf,0x002fe802,0x31ffc400,0x7e4000ff,0x3ff9001f,
    0x7e437f40,0x031ff71f,0x801ffc80,0x05fd84fe,0x3ff90dfd,0x22044000,
    0x83ff11ff,0xff906ff9,0xffff1005,0x09ff109f,0x7fec1ff7,0x749ffd31,
    0xffffffff,0x0ffd8187,0x3202fdc0,0x3fea003e,0x04427f42,0x200bff50,
    0x3e205ffa,0x70ffb84f,0xfa8001ff,0x2ff9805f,0xff885fd8,0x880ffb84,
    0x7c4000ee,0x503ff11f,0x5ffa89ff,0x013bf500,0xcaacfff8,0x7ffdc5ff,
    0xf14feffe,0xf933337f,0xfcdfd83f,0xefd804ff,0x805fd00a,0x40fffdcd,
    0xfcabdffa,0x77ff6d42,0x3ffb6a00,0x67ffc00e,0x2e5ffcaa,0xeda800ff,
    0x3ae00eff,0xdffb07ff,0x567ffcbd,0xf505ffca,0x3ff1000f,0x7dc07fe2,
    0x01dff12f,0x4c00bf60,0x4ffffffe,0xb3dfff90,0x203fee9f,0x7fec4ff9,
    0xa800cfff,0xff881fff,0x7ffff400,0xfffff501,0xdfffa83d,0x6fffd400,
    0xfffe9800,0x7fdc4fff,0xdfffa800,0x0f7fe400,0x27ffffd8,0xffffffe9,
    0x0013f204,0x7fc47fe2,0x7447f601,0x02aa000e,0x15575300,0x7ec01300,
    0x2a1bfe06,0x44000aba,0x0055101a,0x88015753,0x57101ab9,0x06ae2003,
    0x2aaea600,0x10019880,0x26200357,0x4cccc400,0x0aaba981,0x400054c0,
    0x3ff11ff8,0x00044080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x002aa0aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17a20000,0x913cb880,0xb8039999,0x2000c403,0x00001cc9,
    0x01300000,0x10026620,0x00000000,0x22000620,0x00980099,0x19880000,
    0x00000000,0x005fb800,0x3e2bfff7,0x3203ffff,0xfffb83ff,0x77c400df,
    0xafd401fd,0x23fe05fa,0xfc800fe8,0xfff9100f,0xfff30dff,0x9ff07939,
    0xe801ff70,0x000fe807,0xa807bfe6,0xfff101ff,0x3fffffff,0xfffffb10,
    0x03fffc0d,0xfff88ff9,0xe800bfd0,0xeff8803f,0xff55511a,0x227fe407,
    0xfffffffd,0x3e27ea01,0xffffe802,0x3ffff202,0x03ffd004,0xffffffd1,
    0xfffbfb0f,0x709ff0bf,0x06f801ff,0x3e6007f8,0x1ffb804f,0xffffff10,
    0xfa83ffff,0x07ffffff,0x205ffff3,0x17fec7fc,0xaa800bfd,0x00ffa800,
    0xbb101ffc,0x4ceffdc1,0x3e205ffc,0xb8800fee,0xcca801cc,0x413aa002,
    0x0a60cffb,0x81e5c462,0x0ffb84ff,0x6dc17e20,0x8805efff,0x2e009889,
    0x266601ff,0x4199bffb,0x989cfff8,0xffff705b,0xfa9ff209,0x002ff44f,
    0x37dc0022,0x4001ffc0,0x1ffd86ff,0x00073220,0x00000331,0xffd81988,
    0xff000000,0x101ff709,0x7443bf95,0x07ffffff,0x3ea1fe40,0xffffffff,
    0x405ff303,0x74002ffd,0xf907fdcf,0xd03bfe2f,0x3fee00bf,0xc82fffff,
    0x53ff806f,0x7fffffff,0x3ea0ffe6,0x5c27fc2f,0xffd880ff,0x27fc6fff,
    0x6c407fdc,0x326fffff,0x4ff804ff,0x3fe0ffb8,0x5c0ffb84,0x326fffff,
    0x4acfccff,0x507fa600,0xffffffff,0x0bfe607f,0x20037fc4,0x1ffbaff8,
    0x3ffb7fc8,0xfb00bfd0,0x5fffffdf,0xff00df90,0x3ffffea7,0x03ff53ff,
    0x4ff87ff3,0x7d40ffb8,0x47ffffff,0x0ffb84ff,0x7fffffd4,0x3fffea7f,
    0x709ff00b,0x427fc1ff,0x3ff20ffb,0x3fe6efef,0x2e005f96,0x440ffffe,
    0x99affb99,0x05ff3009,0x9988ffe6,0x98ffa819,0xaffc83ff,0x0bfd03ff,
    0x3f22ff98,0x2017f206,0x333313ff,0x3fee7ff5,0x7c4ff881,0x20ffb84f,
    0x989cfff8,0x5c27fc5b,0x3ffe20ff,0x645b989c,0x40dfffff,0x0ffb84ff,
    0x3fee13fe,0xfb1bff30,0x6d7ff411,0xfffd800f,0x3ee06fff,0x5ff3001f,
    0xfe8bfea0,0x37ec0fff,0xfff90dff,0x02ff40df,0x1ff31fea,0x01ffd4c4,
    0xff101ffc,0x2207ff27,0x427fc4ff,0x3ff60ffb,0x709ff002,0x17fec1ff,
    0xffffb300,0x5c27fc1f,0x213fe0ff,0x5ff70ffb,0x3fff21fa,0x7fd400ff,
    0x04ffff8c,0x26003ff7,0x5ff702ff,0x207ffff4,0x03ff24ff,0x03ffbff9,
    0xff5017fa,0x3ea3fd43,0x7ff003ff,0xfb9ffc40,0x43ff981f,0x0ffb84ff,
    0x7c00dff1,0x10ffb84f,0x22000dff,0x3fe4fffb,0x3e0ffb84,0xb0ffb84f,
    0x6c1be1ff,0x00cfffff,0x33be6dfd,0x03ff707f,0x540bfe60,0x0ffb83ff,
    0xffa87fe6,0x7fcffe42,0xd00bfd06,0x8bff97df,0x800cffe9,0x3fe203ff,
    0xf507ff53,0xb84ff85f,0x47ff30ff,0x7fc19998,0xf30ffb84,0x0cccc47f,
    0xff37fcc0,0x7c1ff709,0x367fb84f,0x205f88ff,0x1fffffd9,0x57f93ff8,
    0x3ff701ff,0x40bfe600,0xffb85ff8,0x3fffff20,0xbfe45fff,0x5fe84ffb,
    0xfffffe80,0x07ff300d,0x7c407ff0,0xb0dff13f,0x84ff81ff,0x5ff50ffb,
    0xf07ffff4,0x21ff709f,0x3ffa2ffa,0x5ff800ff,0x3fee13fe,0x3f617fe0,
    0x3e6bff25,0x7f6fcc04,0xf97fc46f,0xa81ff98f,0xff3002ff,0x20fff405,
    0x3ffa0ffb,0x47ffffff,0x07ffa7fc,0xdfb80bfd,0xfd8009a8,0x203ff804,
    0x3ff63ff8,0x84ffc99d,0x0ffb84ff,0x7ff45ff7,0x213fe0ff,0x5ff70ffb,
    0xd87ffff4,0xffd9899b,0x3ee13fe4,0xa8fff60f,0x3ffe63ff,0xf7038bfc,
    0x3fe1ffe7,0x1ff55fab,0x041bff30,0x2a02ff98,0xfc99bfff,0x337ff10f,
    0x643ff933,0x83bfe67f,0x99999efe,0x0013df90,0x7fc037e4,0x88ffe203,
    0x5ffffffe,0xff709ff0,0x2e0ffea1,0x213fe0ff,0x7ff50ffb,0x3fe1ff70,
    0x46ffffff,0x0ffb84ff,0x3fffffe6,0x7ffe40df,0x3f906fff,0x37fa1bfa,
    0x40ff93fc,0x03fefffe,0xfc805ff3,0x0fffffff,0xff301ff7,0x3f23fe49,
    0x3ffffa4f,0xfff35fff,0x2019dfff,0x3ff806fc,0x910ffe20,0x7c09ffff,
    0x227fb84f,0x0ffb85ff,0x9fee13fe,0xffb85ff8,0xffffffb0,0xb84ff817,
    0xfffd987f,0x3ff6603f,0x3ab3a5ff,0xc84ffdbf,0xffa8ffff,0x3fffa604,
    0x05ff303f,0xdffffd50,0xff037ec9,0x3e23fe4d,0xffffd2ff,0x3fa2bfff,
    0x06ffffee,0x7ff00df7,0x981ffcc0,0x2ff402ff,0x3ffa37ec,0xfd07fdc1,
    0xfe8dfb0b,0x207fdc1f,0x3fa00999,0x2206fd85,0x3fb002ff,0xffffff81,
    0xffd105ff,0x001dffff,0x00001331,0x20002660,0x00000efa,0xfc86fe80,
    0x806fb81f,0x3fea03ff,0x267bfe02,0x51ffec1c,0xfffa89ff,0x20ffc99b,
    0x3fea3ffd,0x4dfffd44,0xe880ffc9,0x47ffb00e,0x3f204ffa,0x641fa005,
    0x02deffed,0x27ffff44,0x40077440,0xd1000ee8,0x3fe0001d,0x003ba201,
    0x9ff10fb2,0xf501ff70,0x33ff805f,0x5c01ffb0,0x446fffff,0xffffffff,
    0xfffffc80,0x3fe20fff,0x80ffffff,0xfffffffc,0x207fa80f,0xfffffff8,
    0x2bbf600f,0x4406f800,0x3fe2005f,0x1fea0009,0x5003fd40,0x3e2000ff,
    0x0ff502cf,0x3fe0bfa0,0x5ffcaacf,0x453bffa0,0xfb3ffeee,0x009fff9b,
    0x303bffd5,0x01bffffd,0x77ffff54,0xffffe984,0x3ffaa00d,0x9f904eff,
    0xffffe980,0x7ffd400d,0x202fc401,0x3ea004fa,0x04fc8005,0x64009f90,
    0x3fa0004f,0x009f906f,0xfd301ff1,0x809fffff,0xff15ffd8,0x3ff67fff,
    0x0000cfff,0x30001300,0x00260013,0x53002660,0x0004c001,0x322006a2,
    0x000e4c02,0x53000353,0x002a6001,0x40000a98,0x015300a9,0xa9805510,
    0x22000aab,0x26666609,0x002aeaa0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04c00000,
    0x00000000,0x01000200,0x40400001,0x00000000,0x40405500,0x10331000,
    0x20005ffd,0x2601effa,0x999001cc,0x3e601999,0x801ff9af,0x3101effa,
    0xfc800013,0x7fffd40f,0xfff3ffff,0xff0ff987,0x40ff985f,0x3c9cfff9,
    0x27ecdf70,0x7ffffffc,0xfb37dc2f,0xfffffc89,0x447fc03d,0x3ea000fe,
    0x7ecdf705,0x3fffb204,0x02ffb84f,0x2027fd40,0x801fdef8,0x00ffffff,
    0x007fffa2,0x32213fea,0x266fffff,0xffe802ff,0x7ffffd41,0xdfff3fff,
    0xfff0ff98,0x6c0ff98d,0x05ffffdf,0x1bfe1ffb,0x3ffffffe,0xf87fec2f,
    0x7fffe46f,0x3f205fff,0x31004fff,0x3ff607fb,0xfd10dff0,0x20bfffff,
    0x554002a9,0xf89fa801,0x99999802,0x00aa8801,0xfd103550,0x64ffffff,
    0x4ea804ff,0xbffb9988,0x5ffff099,0xfff87fcc,0x103fe62f,0x980f2e23,
    0x3e076a3d,0x099999df,0x83b51ecc,0xfeb99ffc,0x0b32a01f,0x3fffff20,
    0x6d47b301,0x9adffe81,0x006204b9,0x3e200310,0x00000fee,0x4004cc40,
    0x7fdc0998,0xff98a60c,0x40331002,0xfff82ff9,0x7c3fe66f,0x3fe66fff,
    0x10006200,0x004ff803,0x5c7fc800,0x00c403ff,0x7ffffff4,0xffa80006,
    0x3fff2005,0x3ff200df,0x64400dff,0x427fc01c,0x7e440ffb,0xc886ffff,
    0x366fffff,0x008800ff,0x4ffffec8,0xff82ff98,0x1ff32ffd,0x4cbff3fe,
    0xfffc80ff,0x3ff200df,0x4ff80dff,0xfb84ff80,0xf98ff90f,0xffff903f,
    0x19ff701b,0xff0bfff9,0x45ffffff,0xfd001ffd,0x03ffffff,0xfffffffd,
    0x03fffc03,0x3fee13fe,0x3ffffa20,0x7ff447ff,0x3f27ffff,0x00cc804f,
    0xffffffd1,0xf05ff30b,0x3e6bfd5f,0xdfb5ff0f,0xffd03fe6,0xd03fffff,
    0x3fffffff,0xaaaadff8,0x2e13fe0a,0x44ff90ff,0xffe80ffe,0x7c1fffff,
    0x3ff7fa5f,0x7fffffc0,0x01ffa2ff,0x64ceffdc,0x6ffdc5ff,0x305ffc99,
    0x7c05ffff,0x20ffb84f,0x0a60cffb,0x14c19ff7,0x017ffff5,0x3fa03ff1,
    0x84b99adf,0xaff82ff9,0x0ff99ffa,0x35ff35ff,0x6ffdc1ff,0x5c5ffc99,
    0xffc99dff,0x7fffffc5,0x213fe0ff,0xdff90ffb,0xf705ffff,0xbff933bf,
    0xef997fcc,0x6ffc1ff9,0x3e099999,0x6ff8806f,0xff10ffd8,0x701ffb0d,
    0x7c09ffff,0x20ffb84f,0xfd800ffd,0xfffc800f,0x3fe20dff,0x005ffa81,
    0x3fe0bfe6,0x1ff39ff2,0x4f7ecbfe,0x0dff10ff,0x3fe21ffb,0x3e0ffd86,
    0x0eeeeeff,0x3fee13fe,0xdfffff90,0xb0dff101,0x47fea1ff,0x43ff8cfb,
    0x7fc404ff,0x83ff9806,0x7ff32ffa,0xfd05ff50,0x7fc0ffb9,0x320ffb84,
    0xffc804ff,0xfffb3004,0x07fe21ff,0x98007ff6,0x72ff82ff,0x3e1ff5ff,
    0xff9ff32f,0x2a0ffe61,0x07ff32ff,0x27fc5ff5,0x7dc27fc0,0xf73ff90f,
    0x07ff30df,0x3fee5ff5,0x13fe3fd0,0xfff009ff,0x303ff500,0x07fea7ff,
    0xff10ffe6,0x3e03ff75,0x20ffb84f,0x00bffffa,0x017ffff5,0x29fff710,
    0x7fe81ff9,0x417fcc00,0xfbff12ff,0xfd8bfe1f,0x3ff50fff,0x3ea7ff30,
    0x23ff981f,0x4ff804ff,0xff90ffb8,0x3ea17fdc,0x73ff981f,0x7cff11ff,
    0x556ffc4f,0x3ffa0aaa,0x40ffdc01,0x3ff74ff8,0xfa89ff10,0xf03ff98f,
    0x81ff709f,0x0dfffffc,0xdfffffc8,0x36ff9800,0x0dff05ff,0xf82ff980,
    0x3ffff22f,0x7fcc5ff0,0x03ff70ff,0x3fee9ff1,0x3e4ff881,0x84ff804f,
    0x4ff90ffb,0x7fdc6ff8,0xf54ff881,0x3e29f73f,0x7ffffc3f,0x3fee0fff,
    0x40ffdc05,0x3ff74ff8,0xfd89ff10,0x7fc1bfe6,0x980ffb84,0x80fffffd,
    0x0fffffd9,0xff36ff80,0x806ff885,0x9bffb998,0x7cc5ff09,0x85ff0fff,
    0xff70fffd,0x2e9ff103,0x4ff881ff,0x266677fe,0x2e13fe09,0xc8ff90ff,
    0x07fee2ff,0x7fcd3fe2,0x5ff32fda,0xeeeefff8,0x37ffe20e,0xff75b99a,
    0x2e7ff303,0x3ff981ff,0x1ff927fc,0xff709ff0,0x7ffdc401,0x3ffee204,
    0xb31337b4,0x0bfe69ff,0x3ea01ffe,0x3fffffff,0xfffd85ff,0xff985ff0,
    0x303ff70f,0x07fee7ff,0xfff8ffe6,0x3e2fffff,0x90ffb84f,0x26ff98ff,
    0xff981ffb,0xc9ffbfe3,0x027fc0ff,0xffffffa8,0x507ff55f,0x0ffea5ff,
    0xff98bfea,0x3e0bfea1,0x007fb84f,0xf300dff3,0x3ffffedf,0xff50efff,
    0x803ffd07,0xfffffffa,0xf985ff3f,0xb05ff0ff,0x0ffea1ff,0x7fd4bfea,
    0x3e2ffa83,0x2fffffff,0x9fee13fe,0x2ffd87fc,0xff507ff5,0x46fffe45,
    0x4ff83ffb,0x3fff6600,0x0dff13ef,0x3fe21ffb,0x320ffd86,0xffffffff,
    0xfd85fe85,0x017fe006,0xfffdaffc,0x3ea0cfff,0x05ffb83f,0x001df300,
    0x21ff9000,0xffd86ff8,0xfb0dff10,0x0efa801f,0x1bf617fa,0x86ff8800,
    0x7fec0ffd,0xf80effff,0x4fd8004f,0x933bff90,0xdffc89ff,0x744ffc99,
    0xffffffff,0x2a3ffd87,0x4cdec4ff,0x364ffd98,0xffd9899b,0xa83fdcc4,
    0xfff883ff,0x405b99ad,0x1dd102fe,0xc8dff000,0xffc99dff,0x4ceffe44,
    0xff804ffc,0xf51ffec2,0x03ba209f,0xc99dffc8,0xfff884ff,0x37fe04ff,
    0x20099999,0xffd101ff,0x881dffff,0xeffffffe,0x266ffe20,0x441ffc99,
    0xffffffff,0x7fffffc0,0x7fffc6ff,0xf906ffff,0x40266209,0xfffffffa,
    0x4167fc05,0x7e4007fa,0x7ff443ff,0x440effff,0xeffffffe,0x167fc400,
    0xfffffff1,0x01fea01f,0xffffffd1,0x13bf501d,0xffffff00,0x1be205ff,
    0x9ffffb10,0x7fffec40,0x980ffb84,0xffe984ff,0xffd80dff,0x6c0bffff,
    0x0bffffff,0x80003fb0,0x3effffd8,0x6437fec0,0x7ff4004f,0xffffb104,
    0x7ffec409,0x3ff6004f,0x7ffff4c6,0x013f200d,0x13ffff62,0x3e002fd8,
    0x2fffffff,0x08800260,0xfb004400,0x2037fc0d,0x13330009,0x00133300,
    0x88000031,0x40d4c001,0x554000a9,0x80011000,0x15300008,0xa98004c0,
    0x40044000,0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26aa6000,0x04000400,0x17ff4404,0x017fec00,0x403dff50,
    0xeff9bffa,0x009ff701,0x3fe6ffea,0x0001311e,0x02200101,0x31000000,
    0x013fee01,0x903bdb10,0x80199999,0x44004ffb,0x300401a9,0x03fffffd,
    0x7939fff3,0x9fb37dc0,0x400bfee0,0x02ffdfe8,0x5404ffa8,0x04ff9aff,
    0x013f7bee,0x9ff35ff5,0x2000ffa8,0x013f66fb,0xff805ff3,0x8000fe88,
    0xdefb83ff,0xdfd1004f,0x3ffffe01,0x37bee00f,0xfff7004f,0x07fee01f,
    0xfb9bfff1,0xfffbfb03,0x87fec0bf,0x0aa606ff,0x2a88d4c0,0xa801aa80,
    0x4403550a,0xa802aa2a,0x3e03550a,0x3ff6003f,0xfb80dff0,0x7ffe404f,
    0xffb8004f,0x15515440,0x9809db00,0x22019999,0x7002aa2a,0x201ddfff,
    0x7fdc3ffe,0x2e231002,0x51ecc03c,0x2000003b,0x00000198,0x10000000,
    0x00ff9003,0x03b51ecc,0xa801ed88,0xfd0002cc,0x9801880b,0x10009999,
    0x09988003,0x800ffe80,0x7fdc1ffc,0x00000004,0x3ee13fe0,0xfffd880f,
    0x427fc6ff,0x13fe0ffb,0x9ff03fee,0xf901ff70,0x2201bfff,0x000002ff,
    0x80000000,0xff901ff9,0x3fe01bff,0x7e405fff,0x9100dfff,0x40dfffff,
    0x22004ff8,0x1efff980,0x80ffff00,0xfffffffa,0x2e13fe3f,0x7ffd40ff,
    0x7fc7ffff,0x3e0ffb84,0x40ffb84f,0x0ffb84ff,0x7ffffff4,0x80dfb01f,
    0xff881ffc,0x3fffff25,0xfff06fff,0x0dfb000f,0x3ffffffa,0xffeee81f,
    0x3ffffa05,0x7f441fff,0x207fffff,0x91002ff9,0xfffff889,0x3fe600cf,
    0x3fea02ff,0x23ffffff,0x0ffb84ff,0x2273ffe2,0x427fc5b9,0x13fe0ffb,
    0x9ff03fee,0x7dc1ff70,0x5ffc99df,0x4403ff30,0x0ffc85ff,0x3ffffff2,
    0xfff986ff,0x3fe2002f,0x99dffb82,0x7fc05ffc,0x33bff705,0xffb8bff9,
    0xfa80a60c,0x8ff3001f,0xfffc9ffd,0xffff700e,0x7dccc409,0x3fe099bf,
    0x360ffb84,0x9ff002ff,0x7fc1ff70,0x7c0ffb84,0x10ffb84f,0x1ffb0dff,
    0xf9013fa0,0x227fc43f,0xfeaaaaa9,0xffffb84f,0x21ff2004,0xffd86ff8,
    0x2217fe00,0x0ffd86ff,0x2a003ff6,0xcccffdcc,0x41ff9302,0x3ffa66ff,
    0xffb9fd05,0x40bfe600,0x0ffb84ff,0x7c00dff1,0x20ffb84f,0x0ffb84ff,
    0x7fdc27fc,0xf507ff30,0x03fee05f,0x3f25ff88,0x6ff9800f,0x0ffb9fd0,
    0x7cc27fc0,0x02ffa83f,0x3fe617fe,0x322ffa83,0xffc804ff,0x44ffffff,
    0x20ffffd8,0x3fa21ffe,0x5d7fc40f,0xff9801ff,0xf709ff02,0x88ffe61f,
    0x27fc1999,0x9ff07fdc,0xff81ff70,0xf50ffb84,0x07ff303f,0xf900ffe2,
    0x009ff11f,0x3e207ffa,0x801ffbaf,0xffa80ffa,0x203ff981,0x1ffa85ff,
    0x3ea3ff98,0x5300bfff,0x3555ffd5,0x0abdffd8,0xfc8bffee,0x4c7fd41f,
    0xff9803ff,0xf709ff02,0xe8bfea1f,0x3fe0ffff,0x3e0ffb84,0x40ffb84f,
    0x0ffb84ff,0xff103ff7,0x2037e409,0x0ffbcff8,0x504ffb80,0x07ff31ff,
    0x3ee0bfd0,0x04ff881f,0x3fee17fe,0x644ff881,0x00dfffff,0xff8817fa,
    0x77ffec06,0x6fd87fe9,0x3e601bfe,0x709ff02f,0x8bfee1ff,0x3e0ffffe,
    0x20ffb84f,0x0ffb84ff,0x7fdc27fc,0xf103ff70,0x17fc409f,0x13ffff20,
    0xd81bfe60,0x301bfe6f,0x3fee03ff,0x204ff881,0x1ffb85ff,0xd984ff88,
    0xf00fffff,0x27fcc09f,0x7ffffdc0,0x324ff83f,0x7fcc00ff,0xf709ff02,
    0x20ffea1f,0x13fe0ffb,0x4ff83fee,0x7fc0ffb8,0xf70ffb84,0x07ff303f,
    0x7c405fd8,0xfe800fff,0xc93fe01f,0x1bf600ff,0xf981ffb8,0x217fe03f,
    0xff981ffb,0x3ffee203,0x403ff884,0xd8800fff,0xff984fff,0x300bfea1,
    0x13fe05ff,0x5ff89fee,0x3fe0ffb8,0x7fc7fb84,0xff87fb84,0x3ea7fb84,
    0x02ffa83f,0x3200ffd4,0xffb804ff,0xa87fe604,0x7ff102ff,0x541ffd40,
    0x17fe02ff,0x3ea0ffea,0x6ff9802f,0x6c02ff98,0x4019beff,0xffc85ffb,
    0x05ffffff,0xfe817fcc,0x7f46fd85,0xd07fdc1f,0xe8dfb0bf,0xe86fd85f,
    0x226fd85f,0x0ffd86ff,0x5404fe80,0x7fcc02ff,0x7fffe406,0xf705ffff,
    0x86ff880f,0x3fe00ffd,0xd86ff885,0xbff000ff,0xd003ff50,0x021fffff,
    0x3fa17fe2,0x7fffffff,0xd817fcc0,0x13fea3ff,0x9337fff5,0x1ffec1ff,
    0xffd89ff5,0x3613fea3,0x13fea3ff,0xf933bff9,0x3fee009f,0x00bfea00,
    0xfe803ffd,0x7fffffff,0xf9009ff0,0x9ff933bf,0xf905ff80,0x9ff933bf,
    0xd9899bd8,0x07fd84ff,0x43fffaa0,0xffecbcee,0x4cdffc42,0x441ffc99,
    0x99bffb99,0x3ffffe20,0xffc80fff,0x20ffffff,0xfffffff8,0x7fffc40f,
    0xf880ffff,0x0fffffff,0x7fffff44,0xff1000ef,0x017fd407,0x5555bff7,
    0x26ffe255,0x41ffc999,0xe8800ffa,0x0effffff,0xe882ffc0,0x0effffff,
    0x7ffffffc,0x3ffb326f,0x74310004,0x83ffffff,0xff980ffb,0x7ffffd44,
    0x7f4c3fff,0x2a00dfff,0x84effffe,0x0dffffe9,0xbffffd30,0x7fff4c01,
    0xffb100df,0xf90009ff,0x017fd40d,0xfffffffd,0x203feeff,0x2ff44ff9,
    0xffffb100,0x3fffee09,0x6c46ffff,0xfb04ffff,0x417fffff,0x0005fffe,
    0x2aeeaa20,0x7c0dfb00,0x7fffd46f,0x2603ffff,0x00998000,0x09800130,
    0x40009800,0x2a200008,0x05ff500a,0x7ffffff4,0x40dfb7ff,0x005546ff,
    0x7dc00880,0x6fffffff,0x4cc00220,0x00575009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00101000,0x20199988,0x00404ffb,0x07ffd100,0x8802ffd8,0x40022000,
    0x00802ee9,0x20000000,0x0efb8efb,0x204ffd80,0x00cccccc,0xb81effa8,
    0x205fc8df,0x1ff9aff9,0x2027fdc0,0x1ff9aff9,0x3f66fb80,0x7fff5404,
    0xefb81fff,0xfff984fd,0xe8803c9c,0x3fa201ef,0x3e602ffd,0x2ff9802f,
    0x1ffffd40,0xc9cfff98,0xfd11ff03,0x3a23fe01,0x3ffea00f,0x05ffb005,
    0x0ffffff8,0x2027fd40,0x8805fffb,0x5c01fffe,0x4404fdef,0xb001fffe,
    0x81bfe1ff,0xfeeffffe,0x5515441f,0xfffdfd81,0x02a9805f,0x05511a98,
    0x5c027fdc,0x376604ff,0xfd81ed88,0x905ffffd,0x6409ffff,0x9804ffff,
    0x1551002a,0x33333300,0x20035500,0x2a2002a9,0x5154400a,0x0aa88015,
    0xda8f6600,0xfffff901,0x0003ff53,0x03cb88c4,0x88006620,0x0f6c4019,
    0x880f6c40,0x44620019,0x665403cb,0x02cca802,0x00006620,0x00000000,
    0x00000000,0x00000000,0x27fffffe,0x7ffc1ffa,0x0005ffff,0x3ffffb20,
    0x3fffb204,0x0000004f,0x00003fee,0x00000000,0x89ffffd9,0x3dfffffc,
    0xffffff50,0x05fe87ff,0xbfffff90,0x30fffe07,0x427fc1ff,0x3ffe27fc,
    0x1fffffff,0x207fff80,0x9ffffff8,0x7ffc1ffa,0x3fe5ffff,0x207fcc3f,
    0xffffffe8,0xffffe885,0x3ffea5ff,0x7c3fffff,0x2fffffff,0x2a003fee,
    0xffffffff,0x7fffffc3,0x3ffea2ff,0x443fffff,0x5ffffffe,0x7fffffe4,
    0xffffa85f,0x7f43ffff,0xffff9005,0xfff0bfff,0x3e0ff98d,0x227fc84f,
    0xffffffff,0x7fcc01ff,0x3ffe02ff,0x1ffa9fff,0x7fcccccc,0xf31bffe5,
    0xadffe81f,0xffe84b99,0x2a4b99ad,0xffffffff,0x7fffffc3,0x03fee2ff,
    0x3ffffea0,0x7ffc3fff,0x2a2fffff,0xffffffff,0x4d6fff43,0x4ffe44b9,
    0x441ffeb9,0x99bffb99,0xc802ff40,0xffeb99ff,0x317fffc1,0x427fc1ff,
    0x5cccc7fc,0x80199bff,0x204ffffb,0xa9fffffe,0x5ff801ff,0xf98bfffe,
    0x017fea0f,0x4402ffd4,0x99bffb99,0x4cceffc0,0x83fee099,0xff733100,
    0xdff81337,0x22099999,0x99bffb99,0x4017fea0,0x1ffdc7fc,0x7405ff30,
    0x8ff9005f,0x7ffc3ffb,0xf83fe66f,0x207fc84f,0x74002ff9,0x2607fdcf,
    0xfa9fffff,0x25ff801f,0x3e66ffff,0x007ff60f,0x2000ffec,0x3fe02ff9,
    0xd8ffb804,0x3e601eff,0x013fe02f,0x3605ff30,0xff9001ff,0x2603ff98,
    0x17fa02ff,0x3e63fe40,0x7feffc3f,0x7fc1ff32,0x2607fc84,0x3e2002ff,
    0x201ffbaf,0xfa9fffe9,0x25ff801f,0xf32ffdff,0x003ff41f,0xf3000ffd,
    0x027fc05f,0x7fff7fdc,0x5ff300ff,0x20027fc0,0xffd02ff9,0xd13fe400,
    0x7fcc01ff,0x4017fa02,0x3ffa27fc,0xaff57fc0,0x37fe0ff9,0x07fdaaaa,
    0xa800bfe6,0x03ff98ff,0xffa8aa88,0x3e5ff801,0xff35feaf,0xf0037fc1,
    0xff3000df,0x556ffc05,0x3fee0aaa,0x03ffc9cf,0x7fc05ff3,0x00aaaaad,
    0x3fe05ff3,0x3bff2006,0x4c02ffff,0x17fa02ff,0x7ff7fe40,0xaaff82ff,
    0x20ff99ff,0xffffffff,0x0bfe607f,0x3fe6fd80,0x1ffa8006,0x3fe5ff80,
    0xff99ffaa,0x200dff10,0x98006ff8,0x3ffe02ff,0x2e0fffff,0x13fe24ff,
    0xff017fcc,0x01ffffff,0x3e20bfe6,0x3ff2006f,0x9800efff,0x17fa02ff,
    0x7ffffe40,0x3e5ff00e,0x3e0ff9cf,0xfeeeeeff,0x00bfe607,0x3ff24ff8,
    0x0ffd4000,0x5ff2ffc0,0x83fe73fe,0x3fe007ff,0x2ff98007,0x3bbbffe0,
    0x03fee0ee,0x3fe609ff,0x3bbffe02,0xff300eee,0x801ffe05,0x6ffb9ffc,
    0x202ff980,0xff9005fe,0x3e0dff73,0xff5ff72f,0x7e427fc1,0x00bfe607,
    0xff50ffcc,0x1ffa8005,0x3fe5ff80,0x1ff5ff72,0xe800fff4,0x7cc001ff,
    0x013fe02f,0x9ff03fee,0xf80bfe60,0x7fcc004f,0x003ffd02,0x2ffb9ff2,
    0xd017fcc0,0x9ff200bf,0x2ff82ffb,0x41ffbff1,0x07fc84ff,0x6400bfe6,
    0xffffffff,0x07fe4005,0xff93fe20,0x1ffbff12,0xb802ffdc,0x7cc005ff,
    0x013fe02f,0x9ff03fee,0xf80bfe60,0x7fcc004f,0x00bff702,0x6ff89ff2,
    0xd017fcc0,0x9ff200bf,0x2ff86ff8,0xf83ffff2,0x207fc84f,0xfd002ff9,
    0xffffffff,0xdfd104c0,0xffb11c88,0xff917fc5,0x7ffc41ff,0x445b99ad,
    0xb99adfff,0x405ff305,0xffb804ff,0xf9827fc0,0x013fe02f,0x2205ff30,
    0xb99adfff,0x3f23fe45,0x7dccc42f,0x7f4099bf,0x4099999e,0x17fe47fc,
    0xfff98bfe,0x3213fe0f,0x0bfe607f,0x266ffe20,0x881ffc99,0x2fffddff,
    0x7fffffc4,0xff317fc6,0xfffa81ff,0xfa85ffff,0x25ffffff,0x9bffb998,
    0x4ceffc09,0x3fee0999,0x33127fc0,0x81337ff7,0x99999dff,0x3fee6620,
    0x7fd4099b,0x645fffff,0x237fcc7f,0xfffffffa,0x7ffff43f,0x3fe45fff,
    0x5ff1bfe6,0x3e0fffd8,0x207fc84f,0xfb802ff9,0x84ff980f,0x3fffffe9,
    0xcffffd88,0x3f617fc0,0xffd880ff,0xfb103eff,0x7d47dfff,0x3fffffff,
    0x7ffffffc,0xf03fee2f,0x7fffd49f,0x7fc3ffff,0x22ffffff,0xfffffffa,
    0xfffd883f,0x43fe43ef,0x3fea2ffd,0x43ffffff,0xfffffffe,0x7ec3fe45,
    0xf30bfe2f,0x427fc1ff,0x3fe607fc,0x206fd802,0x2ea606ff,0x2009800a,
    0x7ffcc2ff,0x2000c400,0xffff5018,0xff87ffff,0x22ffffff,0x27fc0ffb,
    0xfffffff5,0xfffff87f,0x3fea2fff,0x03ffffff,0x000000c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0e644000,0x8027fdc0,0x54004ffb,
    0x7fcc1eff,0x1001ff9a,0xf5007ffd,0x664403df,0x26bfe601,0x1bf701ff,
    0x3fa20bf9,0x6664002f,0x2a000ccc,0xf5001eff,0x7fdc03df,0x17ff4404,
    0xcccccc80,0x013fee00,0x101effa8,0xffff8801,0x3f7bee01,0x7ef7dc04,
    0x09ff5004,0x00ffff44,0x801efe88,0x7c404ffa,0x3a201fff,0x7dc01fff,
    0xffb805ff,0x3fffe002,0xff5000ff,0x27fd4009,0x13f7bee0,0x200bfee0,
    0x00ffffff,0x009fbdf7,0xfd709ff5,0xf701bfff,0x2a207f11,0x54402aa2,
    0x2a002aa2,0x0aa8801a,0x800aa600,0x8fb801aa,0x554403f8,0x00553000,
    0x3300154c,0x54003333,0x0d54001a,0x0aa8aa20,0x9802a980,0x51019999,
    0x2a005545,0xfdfff01a,0xbfa81dff,0x000003fb,0x00000000,0x40000000,
    0x003fbbfa,0x00000000,0x00000000,0x00000000,0x00000000,0x3ee05c00,
    0x85ffd82f,0x57ee05fc,0xff881ffc,0x3fffff25,0x3ff26fff,0x06ffffff,
    0x3fffffe6,0xf30fffe3,0x17ff601f,0xfffffff8,0x7ffffc2f,0xfff801de,
    0x1fffe007,0x207fff80,0xff881ffc,0x00ffff05,0xffffffff,0xffffff85,
    0x7fffc2ff,0x7fc2ffff,0x02ffffff,0x0881ffc4,0x7dc0bf90,0xf90bff14,
    0x7fffe41f,0x3f26ffff,0x6fffffff,0x3fffff20,0x31bffe3f,0x00cc01ff,
    0x3ffffffe,0x7ffffc2f,0x3e604fff,0xf9802fff,0xf9802fff,0xff102fff,
    0x301ff90b,0xf805ffff,0x2fffffff,0x7ffffffc,0x7ffffc2f,0x7ffc2fff,
    0x442fffff,0x74ffcccb,0x74ff81ff,0x927e40bf,0x27fc43ff,0x3aaaaaa6,
    0x2aaa64ff,0x204ffeaa,0xff04feff,0x07fcc5ff,0x37ffffae,0x999dff80,
    0x4e7fc099,0x702fffb9,0x7009ffff,0x7009ffff,0x6409ffff,0x13fe21ff,
    0x027fffdc,0x266677fe,0x4ceffc09,0x6ffc0999,0x7c099999,0x099999df,
    0x3ffffff2,0xf81ff74f,0x640df74f,0xc97fe24f,0xff9800ff,0x06ff9806,
    0x413f3bea,0x3e66ffff,0x7f7ffc0f,0x27fc0eff,0x7c44ff80,0xfb9fd07f,
    0xfb9fd00f,0xfb9fd00f,0x92ffc40f,0x33fa01ff,0x27fc07fd,0xf004ff80,
    0x13fe009f,0x333bff70,0x03fee9ff,0xc9bea9ff,0xff90ff26,0x2009ff11,
    0xfe801ffe,0x32ff601f,0xffbff04f,0x1703fe65,0x7fc2ffb8,0xb09ff004,
    0xaff883ff,0x3e201ffb,0x201ffbaf,0x1ffbaff8,0x3e23ff20,0x75ff104f,
    0x27fc03ff,0xf004ff80,0x13fe009f,0xff88ffb0,0xff81ff74,0x3fe2df54,
    0xff887fb2,0xb800ffbc,0xffb804ff,0x323fe204,0x3fe099df,0x1ff35fea,
    0xf87ff100,0x0aaaaadf,0x7fdc27fc,0x7cc7fd42,0x23fea03f,0x3ea03ff9,
    0x203ff98f,0x0ffbcff8,0xff31ff50,0x556ffc07,0x6ffc0aaa,0x7c0aaaaa,
    0x0aaaaadf,0x55556ffc,0x263ffb0a,0x1ff74ffe,0x2df34ff8,0x05fb4ffa,
    0x009ffff9,0xf300dff3,0x95fc80df,0x7fc5ffff,0xff99ffaa,0xfcccb880,
    0x7ffffc4f,0x27fc0fff,0x3f61ffd4,0xfd81bfe6,0xfd81bfe6,0xf901bfe6,
    0x7ec09fff,0xff81bfe6,0x40ffffff,0xffffffff,0x7fffffc0,0x7fffc0ff,
    0xff70ffff,0x29fdffdf,0xa7fc0ffb,0x2fffb7f9,0xfff882fd,0x1ffe800f,
    0x401ffe80,0xddff92ff,0xcff97fc3,0x7fe40ff9,0x7c4fffff,0x0eeeeeff,
    0x7fd427fc,0xff927fc2,0xfc93fe01,0x649ff00f,0x3fe200ff,0x93fe00ff,
    0xfff00ffc,0xf81ddddd,0x0eeeeeff,0x77777ffc,0x777ffc0e,0x3ff20eee,
    0xf74fd9ef,0xf14ff81f,0x367fbbef,0x09ff901f,0x7009ff70,0x7fa809ff,
    0x97fc13f2,0x20ffaffb,0xf999dffb,0x8027fc4f,0x1ffb84ff,0xffa87fe6,
    0x2a1ff982,0x1ff982ff,0xf900bfea,0x0ffcc09f,0x3fe05ff5,0x009ff004,
    0x7fc013fe,0x7cc26004,0x5c1ff70f,0xf5ff14ff,0x03fd9f97,0xf300bfea,
    0xdff300df,0xfddffb00,0x44bfe09f,0x360ffdff,0x227fc47f,0x9ff004ff,
    0x7e41ffb0,0x5fffffff,0xffffffc8,0xfffc85ff,0x405fffff,0x3f202ffa,
    0x5fffffff,0x3e009ff0,0x09ff004f,0x40013fe0,0x33fea3fe,0xf14fffb8,
    0xddf33fbf,0x0bfea01f,0xd003ffd0,0xff8803ff,0xf04fffff,0x7fffe45f,
    0x74c7ff60,0x027fc4ff,0x7fd44ff8,0x7fffff45,0xffe87fff,0x87ffffff,
    0xfffffffe,0x17fd407f,0xffffffd0,0x13fe0fff,0xf8027fc0,0x09ff004f,
    0x44b7fe00,0xfeffffff,0xff9bffe4,0x5ff500ff,0x556ffdc0,0x3fee2aaa,
    0x22aaaaad,0xfd999efb,0x8bfe099d,0x2e0ffff9,0xfeffefff,0x4cceffc4,
    0x4e7fc099,0x220fffca,0xc9999bff,0x2ffe21ff,0x1ffc9999,0x2666ffe2,
    0x2a01ffc9,0x7ff102ff,0x3ff93333,0x3333bff0,0x99dff813,0x6ffc0999,
    0x7c099999,0x099999df,0xf53ffe40,0x49fb3dff,0x3ff24fff,0x05ff500f,
    0x7ffffff4,0x3fffa7ff,0x3a7fffff,0x7fffe43f,0xffb0bfe4,0xefffc81f,
    0x7ffc4fd9,0x7c2fffff,0x1effffff,0x7cc07fdc,0x203fee4f,0x3fee4ff9,
    0x204ff980,0xff702ffa,0xf09ff301,0x5fffffff,0xfffffff8,0x7ffffc2f,
    0x7ffc2fff,0x802fffff,0x401981a8,0x3fea1ffe,0x80bfea07,0xfffffffe,
    0x3ffffa7f,0xff37ffff,0x4ffffc81,0xfff30bfe,0x3e002601,0x2fffffff,
    0x1ef7fffc,0x3fe06fd8,0xff81bf66,0xff81bf66,0x40bfea06,0x1bfe06fd,
    0x3ffffffe,0x7ffffc2f,0x7ffc2fff,0x7c2fffff,0x2fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bffa200,0x07bfea00,0xa8027fdc,0x06209803,0x10006e60,
    0x4013fa33,0x33000999,0x40098801,0x02006209,0x00330660,0x44266001,
    0x104c4099,0x28826013,0x88001980,0x04cc4199,0x7dc00260,0x3fea002f,
    0x3f7bee04,0x027fdc04,0x01fe67fe,0xf7001ffe,0xb003ff1f,0x3e2009ff,
    0x3ffe203f,0x3e67fe01,0x9fffb307,0x7ec77dc0,0x3f637ee3,0x3ff601ef,
    0x440dff99,0x80ef9afe,0x09ff0ffb,0x3002ffdc,0xfe983dff,0x37ffe01f,
    0x00154c02,0x15440355,0x7fdc0155,0x7fffdc04,0x07ffc404,0xdf5ff700,
    0x005ff900,0x0fffffff,0x01ff9fd1,0x213fffee,0x6ffefffa,0x70ffff20,
    0xfffffddf,0xf13ff701,0x7ff4409f,0x11ff900f,0x37ee09ff,0xff9804fd,
    0x3ffb100d,0x1bffffe0,0x00000000,0x50019900,0x36a007bb,0x57fdc002,
    0x0664c02c,0xeffeee80,0x7951cb85,0x441eed40,0x7ff50cff,0x7dc1e5c0,
    0x3ffc9cff,0x05971cc8,0xb8039910,0x32202e62,0xb803970c,0x0997003c,
    0x97ffeea6,0xfffffffa,0x3fffea3f,0x3ea3ffff,0x3fffffff,0x00200040,
    0x1fee0000,0x7c400000,0x4400003f,0xd81ff700,0xff70006f,0x0027fc49,
    0x00000800,0x00000000,0x21ffd100,0xfffffffa,0x3fffea3f,0x3ea3ffff,
    0x3fffffff,0x04fffd98,0x013fff66,0x83dfffd7,0x7ffffec8,0xdfffd700,
    0x3fff6a03,0x3fae03ff,0x7f5c1eff,0x3f60dfff,0x7feccccf,0x3dfffd70,
    0x9ff03fee,0x3fe07fdc,0x3fff6604,0x7c0ffb84,0xf03fee4f,0x207fdc9f,
    0x07fdc4ff,0x7fe413fe,0x7ff73312,0x5ccc4133,0x22099bff,0x99bffb99,
    0x7f7ffd40,0xefffa86f,0xffe886ff,0x3e61ffff,0x07ffffff,0x7fffff44,
    0xffffc81f,0xfe883fff,0x7c1fffff,0x0efffeff,0xfffffffd,0xfffe88ff,
    0x1ff71fff,0x3fee4ff8,0xfa827fc0,0x5c6ffeff,0x727fc0ff,0x24ff81ff,
    0x27fc0ffb,0x9ff03fee,0x2607ff60,0xff9802ff,0x02ff9802,0x3ea19ff1,
    0x433fe23f,0x7fe43ffa,0x3a1c99ad,0x01ff22ff,0x9335bff9,0x10dffa83,
    0xbff907ff,0x0b839335,0xefd97fdc,0x41999999,0xc99adffc,0xff81ff71,
    0xff03fee4,0x219ff109,0x3fee3ffa,0xff727fc0,0x3ee4ff81,0x2e27fc0f,
    0x527fc0ff,0x260dffb5,0xff9802ff,0x02ff9802,0x6fd81ff7,0xdfb03fee,
    0x2a037fc4,0x03fdc3ff,0x3a00dff1,0x0ffe20ff,0x4000dff1,0x1ff93ff8,
    0x80dff100,0x27fc0ffb,0x4ff81ff7,0x7ec0ffb8,0xff03fee6,0x3e07fdc9,
    0xf03fee4f,0x40ffb89f,0x3fffe4ff,0x05ff300e,0x3005ff30,0x3ff605ff,
    0x27fecccc,0xeccccffd,0x00bfea7f,0x7fb81ff7,0x400bfea0,0x1ffc45ff,
    0x8800bfea,0x54ffcccb,0x20881bff,0x7dc02ffa,0xf727fc0f,0xd84ff81f,
    0xfeccccff,0xff03fee7,0x3e07fdc9,0xf03fee4f,0x40ffb89f,0x0b7fe4ff,
    0x3005ff30,0xff3005ff,0x3ffffa05,0x3fa7ffff,0x7fffffff,0xfb007fee,
    0x5c0ff70f,0xff8801ff,0x2e1ffc44,0xff9001ff,0x6c9fffff,0x2ffeefff,
    0xf7007fee,0x2e4ff81f,0x427fc0ff,0xfffffffe,0xf03fee7f,0x207fdc9f,
    0x03fee4ff,0x0ffb89ff,0x05ff27fc,0x3005ff30,0xff3005ff,0x267bf605,
    0x3f619999,0x1999999e,0xf900bfee,0x207fb81f,0xf8802ffb,0x21ffc45f,
    0xfb802ffb,0x4ff999df,0x77ffffdc,0x700bfee2,0x24ff81ff,0x27fc0ffb,
    0x4cccf7ec,0x03fee199,0x07fdc9ff,0x0ffb93fe,0x3fee27fc,0x39727fc0,
    0x005ff300,0xf3005ff3,0x03ff205f,0x2003ff20,0x7dc05ff9,0x81ffa21f,
    0xff005ff9,0x4c3ffb8d,0x7fd805ff,0xe8827fc4,0x05ff984f,0x07fdc000,
    0xff909ff7,0x41ff7001,0x3fee4ffb,0xfb93fee0,0x713fee0f,0x27fdc1ff,
    0x17fcc002,0x4017fcc0,0xff502ff9,0x3ea0881b,0x3a0440df,0x1b989dff,
    0xfd31bff3,0xdffe80ff,0x7ec1b989,0x3fffb8bf,0x989dffe8,0x4c7ff61b,
    0xff304ffe,0x44efff40,0x0ee881b9,0xf719ff50,0xbff509ff,0x3fea0881,
    0x24fffb8c,0xffb8cffa,0x233fea4f,0x7d44fffb,0x4fffb8cf,0xf3009ff1,
    0x5ff3005f,0x405ff300,0xffeefffd,0x777ffec2,0x7ffcc2ff,0x3f62ffff,
    0x07feffff,0x7fffffcc,0x7fffcc2f,0xf983feff,0x22ffffff,0xeffefffb,
    0x35ff704f,0xffffff30,0x40ff505f,0xeffffff8,0xdfffb04f,0x7fc45ffd,
    0x24feffff,0xeffffff8,0x3fffe24f,0x7c44feff,0x4fefffff,0x2620fff7,
    0x099bffb9,0x2ffee662,0x2e662099,0xb8099bff,0x82ffffff,0x2ffffffb,
    0xeffffd88,0x2ffff621,0xfd8807f9,0xfa81efff,0x03fd8eff,0x3dffffb1,
    0xd9efffc8,0x7fff104f,0x3ffff620,0x404fc81e,0xfd9efffa,0x3fffee04,
    0x7ffd42ff,0x7d44fd9e,0x44fd9eff,0xfd9efffa,0x9efffa84,0x09ff14fd,
    0x3fffffea,0x3ffea3ff,0x2a3fffff,0xffffffff,0x00266203,0x44002662,
    0x0004c401,0x04400620,0x98018800,0x054c4000,0x2a600c40,0x00033000,
    0x33002662,0x3000cc00,0x40198003,0x3ffea018,0x2a3fffff,0xffffffff,
    0x3ffffea3,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00988000,0x44028826,
    0x0198000a,0x88333100,0x98000099,0x00999809,0x100006e4,0x033014c0,
    0x804c4131,0x2600a209,0x19988001,0x00004cc4,0x0cc0bfb0,0x41300300,
    0x7f900028,0x7fc3fee0,0x3bfff504,0x5ffb809b,0x0f7fcc00,0x0007ffa6,
    0xff709ff0,0x7cc1fb9d,0x8dfb804f,0x7ec1effd,0x427dc2ff,0x0ef9afe8,
    0x9ff0ffb8,0x002ffdc0,0xe983dff3,0x130001ff,0xffb817fc,0x3fffee05,
    0xf0ffb84f,0xfe98009f,0xf11ff901,0x3b3b609f,0x3ee04fff,0xf3004fdd,
    0x3f6201bf,0x3fe0001f,0x7fffed44,0x02ff40ff,0x7fff77dc,0xf5bf50ff,
    0x8807fc4b,0xf900fffe,0x209ff11f,0x804fddfb,0xb100dff9,0x7d4003ff,
    0x2e0ff11f,0xfd84fddf,0xc84feeff,0x04ff88ff,0x0ffffeb8,0x00b98ae0,
    0x2203cb82,0x003970cc,0x32e00797,0x13fe0004,0x09fffffb,0x3ee00ff2,
    0x3ffc9cff,0x6c3f65f9,0x0e64402f,0x80b98ae0,0x03970cc8,0x97003cb8,
    0x8ffdc009,0x0cc883c9,0x2ffc4397,0x2e62b804,0x7fffec00,0x001006ff,
    0x00100010,0x00100010,0x46a27fc0,0x7f40fff8,0x49ff7005,0x25f74ff8,
    0x005fb8fe,0x80010006,0x40004000,0x07fee000,0x7fcc0600,0x0044000d,
    0xff8cffa8,0xffd704ff,0x7f5c019f,0x3ae00cff,0x2e00cfff,0x200cfffe,
    0x00cfffeb,0x3fffff6a,0xffffea84,0xb80815c4,0x8a7fc0ff,0xff8efcef,
    0x7fffdc00,0xfffb304f,0x7ffecc09,0x3fff6604,0x7ffecc04,0xfffff504,
    0x2e07ffff,0x7c4fffff,0x2e02dfff,0x00dffffe,0x677cdbfa,0xffffd87f,
    0xffd80fff,0xd80fffff,0x0fffffff,0xffffffd8,0xffffd80f,0xffc80fff,
    0x6c4fffff,0x0fffffff,0xfffcbfcc,0xff03fee3,0x6c77f5c9,0x7ffec02f,
    0xffa84fee,0xfa86ffef,0xa86ffeff,0x06ffefff,0xdffdfff5,0xffffff50,
    0xffb07fff,0xe989fddf,0xf82fffff,0x0efffeff,0x2ff27ff0,0x3fea0ffa,
    0x44ffda9d,0xfda9dffa,0x4effd44f,0x7d44ffda,0x4ffda9df,0x6d4effd4,
    0x6ffd44ff,0x7d49ff10,0x87ff50df,0xffffdff9,0xf81ff71f,0x0bf5084f,
    0x4085ff88,0xff50cff8,0xa867fc47,0x33fe23ff,0xf887ff50,0x87ff50cf,
    0x9affb998,0x2ffc4099,0xffec9804,0x3ee05c1f,0xf2ff882f,0x743ff31f,
    0x747fe86f,0x747fe86f,0x747fe86f,0x747fe86f,0x747fe86f,0xd27fc0ff,
    0x37fc41ff,0x2a77ffe6,0x81ff74ff,0x1ff104ff,0x00dff980,0x3f607fdc,
    0xfb03fee6,0x3607fdcd,0x207fdc6f,0x3fee06fd,0x06ffcc01,0x01ffe400,
    0xff81ffc4,0x1ff55fab,0x7fe427fc,0x3f213fe0,0x3213fe0f,0x213fe0ff,
    0x13fe0ffc,0x5ff83ff2,0x17fe4ff8,0xdff31ffa,0x1ff76fe8,0x5fb04ff8,
    0x7ffc0131,0x9ffb02df,0x6cffd999,0xfeccccff,0x3333ff67,0x7fec7fec,
    0x07fecccc,0x3e007fee,0x1882dfff,0xb881ffc8,0xd04ffccc,0x3f27f9bf,
    0x2e0ffe27,0x07ff11ff,0x3fe23ff7,0xf11ffb83,0x23ff707f,0xffb83ff8,
    0xff09ff11,0x3613fe29,0x217fcc7f,0x81ff76fd,0x9dfa84ff,0xfd305fff,
    0xfe85ffff,0x7fffffff,0x3ffffffa,0x3fffa7ff,0x747fffff,0xffffffff,
    0x007fee07,0x3fffffa6,0x3fbbfea2,0xfffc86ff,0xf904ffff,0x9ff51fff,
    0x7dc2ffc4,0x70bff10f,0x17fe21ff,0x7fc43fee,0xf10ffb85,0x21ff70bf,
    0x4ff84ff8,0xffd0bff1,0x7ec2ff98,0xff81ff76,0x7f47fc44,0x32602fdb,
    0x3f61fffe,0x1999999e,0x26667bf6,0x27bf6199,0x6c199999,0x999999ef,
    0x007fee01,0x1fffec98,0x9ffffff3,0x99dffb81,0xfd104ff9,0x81dfffff,
    0x47fe87ff,0x47fe87ff,0x47fe87ff,0x47fe87ff,0x47fe87ff,0x27fdc6ff,
    0x5ff88fff,0x3f617fcc,0x21ffcc06,0x3e6df3fc,0x47ff9004,0xfc800ffc,
    0x0ffc800f,0x001ff900,0x0005ff50,0x3310fff2,0x223fec03,0x3fa204ff,
    0xff904fff,0x89ff913b,0xfc89dffc,0x4effe44f,0x7e44ffc8,0x4ffc89df,
    0x644effe4,0x97fec4ff,0x3f64fffb,0x3ffd89cf,0x3f617fcc,0x517fe406,
    0x4f9bfcbf,0x0ffe40c4,0x0881bff5,0x11037fea,0x2206ffd4,0x206ffd40,
    0x37fe6008,0xf9031020,0x01dd103f,0x7f4c7ff6,0x27fe204f,0x7fffc400,
    0x7c40efff,0x0effffff,0x7fffffc4,0x7ffc40ef,0x440effff,0xefffffff,
    0x7ffffcc0,0x3fe24fef,0x986fffff,0x837ec2ff,0x3a26fff9,0x3fb3f20f,
    0x7f77fd42,0xfffd86ff,0x7ec2ffee,0x42ffeeff,0xffeefffd,0xeefffd82,
    0x7ff402ff,0x7fd43fef,0x506fffee,0x7ffdc0ff,0x204feffe,0x362005fa,
    0x2204ffff,0x204ffffd,0x04ffffd8,0x13ffff62,0x4ffffd88,0x27bffea0,
    0x7ff444fc,0xff980cff,0xfa837ec2,0x10ff20df,0xff309ffb,0x2019ffff,
    0x2ffffffb,0xffffffb8,0xfffffb82,0xffff702f,0xfe9805ff,0x7fcc3fff,
    0x900cffff,0xfffc809f,0x2604fd9e,0x0130001a,0x4c000980,0x0004c000,
    0x01880026,0x3e600cc0,0x8837ec2f,0x8008001a,0x22001998,0x99880099,
    0x00998800,0x80013310,0x26200998,0x00a98019,0x00000130,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400000,0x000cc000,0x2620ccc4,0x2a620009,0x00033101,0x4cc40000,
    0x9884cc01,0x40022009,0x008000a8,0x00040000,0x0980ccc4,0x22098062,
    0x44033001,0x00019999,0xff500662,0x5c09b3bf,0x3e6005ff,0x7ff4c1ef,
    0x7ffe4401,0x07fdc1ef,0x33fff200,0x77fcc000,0x267ff601,0xffb80dff,
    0x542fffff,0x44d9dfff,0x4fffbaff,0x3bfff6a0,0xfb1bf74e,0x3e6005df,
    0x33ff01ef,0x4cffc0ff,0x5ffb807f,0x0fffffb0,0xffffd900,0x3fb3b609,
    0xbbf704ff,0xbff3009f,0x07ff6201,0xffdeffd8,0x003fee0f,0x5fffffe8,
    0x037fe600,0xff89ffb8,0xffdffb04,0xced85fff,0x7fc4fffe,0x84fffffe,
    0xfffffffc,0xfffddf74,0xff9803ff,0x3ffee00d,0x3ffee04f,0x6efdc04f,
    0xffeec84f,0x3ffa2007,0x8205ffff,0x199103cb,0x7970072e,0x4c132e00,
    0x8bfea4ff,0xf5000ffb,0x007fee3f,0x66401e5c,0x3e605971,0x081bf22f,
    0x3ffe0f2e,0x547fe8ae,0x9ff10dff,0x2a73ffee,0x1e5c05ff,0x803dda80,
    0x64403dda,0x6403970c,0x3ffa007f,0x804b99ad,0x00220008,0x04400088,
    0x3ea1ffa8,0x083fee1f,0xff89bf20,0x00040402,0x98ff5001,0x7c0000ff,
    0xd1fee0ff,0x74ff81ff,0x0ffd89ff,0x000000c0,0x90000004,0x3fea00ff,
    0x7ff5c005,0xfeb80dff,0xeb80dfff,0x700dffff,0x41bffffd,0xdff10ffb,
    0xffd8ffb8,0x70ffb82e,0x3ff601ff,0x02ffeacf,0x019fffd7,0x7fa87fea,
    0x7fc0ffb8,0x55313fe4,0x4ff85ff8,0xffb81ff7,0xfffffb81,0x7c0ffb84,
    0xfffeb84f,0xfffff00c,0x00ff900b,0xf0007ff6,0x1dfffdff,0xfffefff8,
    0x7f7ffc0e,0xfff80eff,0xf70efffe,0x81dfd11f,0xffffeffb,0x5effc41f,
    0xddf103ff,0x3ffdffff,0xffffffd8,0x97dfd00f,0x1ff70bff,0x13fe4ff8,
    0x3e13fe20,0xb81ff74f,0x7ffec1ff,0xffb84fee,0x3f627fc0,0x80ffffff,
    0x805fffff,0xffd007fc,0xfb817000,0x3ee05c2f,0x3ee05c2f,0x7dc0b82f,
    0xf71ff72f,0x9fff703f,0xf90bff53,0x14407fff,0x93f69ff3,0xfda9dffa,
    0xffffd04f,0x1ff701bf,0x13fe4ff8,0x3e13fe20,0xc81ff74f,0x17fe20ff,
    0xf03fee02,0x4effd49f,0x9984ffda,0xfc805ff9,0xff066cc7,0x3e20000d,
    0x3ff8803f,0x003ff880,0x3fee7ff1,0xfb82ffb8,0x207fec4f,0x5512fffc,
    0xf51ff801,0x7f437f4b,0x9a8dfb87,0xf03fee00,0x8027fc9f,0xa7fdc6ff,
    0x3ff40ffb,0x20037fe6,0x27fc0ffb,0x0ffd0dfd,0xfc805ff8,0x453ffe27,
    0x710006ff,0x109ff999,0x09ff9997,0x9ff99971,0x3f332e20,0xf31ff74f,
    0x0ffb85ff,0xffb0ffdc,0x1ff31ffd,0x99ff9530,0x427fcdfb,0x77e40ffc,
    0x0ffb8009,0x09ff27fc,0x7dcbff60,0x41ff74ff,0xfff83ffc,0x3fee02df,
    0x9ff27fc0,0x7c01ff90,0x27fc805f,0x3fe6fff9,0xfffc8007,0x7e44ffff,
    0x44ffffff,0xfffffffc,0xfffffc84,0x21ff74ff,0x3ee3fffb,0x98ffdc0f,
    0xaeff9aff,0xffffd87f,0xf16fffff,0x83ff707f,0xeffffff9,0x207fdc0c,
    0x013fe4ff,0x7fffffcc,0xdfff74ff,0x3a60dfff,0xb82fffff,0x8a7fc0ff,
    0x1ffb83ff,0x32017fe0,0xd17ff47f,0x7dc003ff,0x4ff999df,0x26677fee,
    0x37fee4ff,0x5c4ff999,0xff999dff,0x7d41ff74,0x81ff71ff,0x4ff90ffc,
    0x5c6ffffa,0x99ff99ef,0x0bff1099,0xfe881ff7,0x46ffffee,0x27fc0ffb,
    0x7d4009ff,0x74ff9eff,0x07ffffff,0x3fffd930,0x7fc0ffb8,0xf70bff14,
    0x02ffc01f,0x20d43fe4,0x36005ffb,0xb27fc47f,0x24ff88ff,0x27fc47fd,
    0x9ff11ff6,0xff703fee,0xfd03fee7,0x3f23fe4f,0xf1fec2ff,0x43ffc03f,
    0x86fe87fe,0x3fee1ffc,0x0013fee0,0x29ff0c40,0x00018ffb,0xff70fff2,
    0xff27fdc1,0xf80ffd0f,0x07fc805f,0x35bfff10,0x3ffb0b73,0xfd93ffa6,
    0x49ffd31f,0xffd31ffd,0xd31ffd89,0x03fee9ff,0x3fee5ff5,0xfa8fff20,
    0x0bffe64f,0x13fee9f9,0x44effe41,0x7fc44ffc,0x2a0ffb84,0xfffb8cff,
    0x000ee884,0x3fee9ff0,0xf9031000,0x8cffa83f,0x3f24fffb,0x4ffc89df,
    0x6402ffc0,0x3fea007f,0xb85fffff,0xfeffefff,0x3fbffee4,0x3fee4fef,
    0x44feffef,0xeffefffb,0xf91ff74f,0x3ee1dffd,0x86fffeff,0xfffffffe,
    0x3bfea1ff,0x2fdeffef,0x3fffffe2,0xcfff80ef,0x445ffcaa,0xfeffffff,
    0x0007fa84,0x07fdd3fe,0xfeeffa80,0xfff886ff,0x224fefff,0xefffffff,
    0x7ffffdc0,0xfff16fff,0x03ffffff,0xeffffd88,0x3dfff903,0xfffc89fb,
    0x7e44fd9e,0x84fd9eff,0xfd9efffc,0xff91ff74,0x7fecc1bf,0xf9103fff,
    0xdff39fff,0xfbaffec1,0x7ec42fff,0x3a604fff,0x04ffffff,0xfb3dfff5,
    0x0009f909,0x0ffba7fc,0xfffff300,0x3fea019f,0x444fd9ef,0x704ffffd,
    0xffffffff,0x3ffffe2d,0x2001ffff,0x00260018,0x02600098,0x88001300,
    0x40018801,0x10220019,0x00130033,0x00555d4c,0x0a9800cc,0x44266000,
    0x99880019,0x00066001,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000bf9,0x88004c43,0x26660199,0x80ff7099,0xdddb0019,0x4cc400dd,
    0x8004cc41,0x00262098,0x00a0cc00,0x01988035,0x80ccc400,0x0cc000a8,
    0x19804c40,0x03300988,0x80004cc4,0x909ff2fe,0x15fb01ff,0xff3003fd,
    0x7fffc03d,0xb109fb5f,0xdfffffff,0x0ffffff0,0x107bfe60,0xd1005ffb,
    0x401df35f,0x41efffeb,0x0bfb1ff9,0xb75dfff1,0x0001ffa8,0xf505ffd1,
    0x409b3bff,0xf9105ffb,0x449f707f,0x4fb83ffc,0x7ffffe44,0xf897fa06,
    0xf909ff0f,0xffff301f,0x1bff300b,0x5ffeee80,0xfff983ff,0x06ffffff,
    0x37fe6000,0x00bfee00,0x403fffa2,0xffffffe8,0xfe97fd41,0xffecfb86,
    0x3ffffe6f,0xfd1000ff,0x3b3b603d,0xbf704fff,0xfdf309fb,0x260ff887,
    0x7fc43fef,0x3ffffa20,0x97fa07ff,0x213fe3c8,0xb9300ffc,0x00f2e007,
    0x13237fe0,0x2fecbff6,0x65c00100,0x01993003,0x64039910,0x1c99adff,
    0x407223b8,0xff82f2a1,0x000fffff,0x5c100795,0x2199103c,0x3fc881cb,
    0x7e4417ec,0x3ee17ec3,0xe80a60cf,0x427fc05f,0x00000ffc,0x5ff80008,
    0xfd8ffe20,0x7ffecc05,0x00002004,0x7fc40200,0x00000006,0x0001ffa8,
    0x00004000,0x5fb8ff20,0x5fb8ff20,0x4000ffd8,0x27fc05fe,0x3fe07fe4,
    0x3fe05fff,0x004fffba,0xffa817fe,0xfa817f61,0x5c6ffeff,0x1effd8df,
    0x0bfffff0,0x7ffdd7fc,0x8017fd44,0x205fffff,0x505fffff,0x059733ff,
    0x817ffffe,0xeffd8dfb,0xfa813fa1,0xff89fe47,0x7c4ff200,0x04ffc80f,
    0x3e02ff40,0x40ffc84f,0x205fffff,0xfffffeff,0x40bff004,0x4efec7fb,
    0x433fe209,0x3bee3ffa,0x80fffffe,0x205fffff,0xfffffeff,0x4007fee4,
    0x205fffff,0x505fffff,0xbffff7ff,0x0bfffff0,0x7fff77dc,0x40bfb0ff,
    0xd9fe45fb,0xd9fe402f,0xffff502f,0x0bfd0017,0xffc84ff8,0x2ffcccc0,
    0xd15dfff0,0x17fe00ff,0x7fec7fc8,0x03fee4ff,0x7ffdcdfb,0x983ffc9c,
    0x3e05ff99,0x7fe8aeff,0x4c00bfea,0x2605ff99,0xf505ff99,0x3fff9fff,
    0x05ff9998,0x3273ffee,0x40df93ff,0x17ea04fc,0xc80bf500,0x00dfffff,
    0x9ff017fa,0x7c01ff90,0x83ffe05f,0xbff007fb,0x3f63fe40,0x3ff63eef,
    0x27fecccc,0x3fe24ffb,0xf02ffc04,0x13fdc1ff,0xff000bff,0x417fe00b,
    0xff30fffa,0x702ffc05,0xa7fc49ff,0x23dd17fa,0x1ff103fd,0x007fc400,
    0x7ffffecc,0xf80bfd00,0x00ffc84f,0x4ff817fe,0xff80154c,0xfb1ff205,
    0x3ffffa0b,0x3ee7ffff,0x2027fc0f,0x13fe05ff,0xdffd8553,0x3e01b989,
    0x0bff005f,0xff88bfea,0xb817fe03,0x9a7fc0ff,0xd4ffa8ff,0x22bf605f,
    0x32fd8019,0xffb88013,0x80bfd04f,0x0ffc84ff,0xff817fe0,0x2ffc0004,
    0x7ec3ff70,0x333dfb05,0x7fdc3333,0x3e027fc0,0x013fe05f,0x7fffff4c,
    0x017fe02f,0xffa82ffc,0xf80ffe21,0x03fee05f,0x27fe29ff,0x03ff6ffd,
    0xffff3bf5,0x7d57ea01,0xdff3005f,0xff017fa0,0xf80ff909,0x013fe05f,
    0x4c0bff00,0x417f63ff,0xfb800ffc,0x2027fc0f,0x13fe05ff,0xdffff700,
    0x802ffc03,0x3ff505ff,0xff01ffc4,0x207fdc0b,0x3ebfe4ff,0x40ffafff,
    0xfb370ff8,0xf11ff105,0x7fc00bfb,0xf80bfd05,0xdfd1134f,0x3e05ff80,
    0x7fc0004f,0x457ff405,0x2a099dfe,0x70440dff,0x04ff81ff,0x9ff02ffc,
    0x009fd000,0x7fc017fe,0x443ff505,0x17fe03ff,0x7fc0ffb8,0x337fbfa4,
    0x3fc87fdf,0x7e40ff44,0xd8bf3f93,0xffd9899b,0x333dfd04,0x753fe133,
    0x7c03ffff,0x013fe05f,0xa80bff00,0xffffffff,0x77ffec6f,0x3fee2ffe,
    0x3e027fc0,0x013fe05f,0x2001ff10,0xbff005ff,0xf887fea0,0x817fe03f,
    0x27fc0ffb,0xff35fffb,0x445fa8df,0x35fa83fe,0x7c5df9df,0x6fffffff,
    0x3fffffa0,0x369ff5ff,0xffb83fff,0x46ffffff,0x7dc004ff,0x6fffffff,
    0xfffffd30,0xfff70dff,0x7fdc5fff,0x3ee27fc0,0x6fffffff,0x260027fc,
    0x3ffee05f,0x2e6fffff,0xffffffff,0xf887fea6,0x3fffee3f,0x7dc6ffff,
    0xf927fc0f,0x97ffe1ff,0x3fe60fe8,0x43fa22ce,0x24fffffa,0xbffffffd,
    0x3ffffa00,0x02205fff,0xffffffb8,0x027fc6ff,0x3ffffee0,0x09806fff,
    0x404cc400,0x27fc0ffb,0x3fffffee,0x027fc6ff,0xfb802620,0x6fffffff,
    0x3fffffee,0x87fea6ff,0x3fee3ff8,0x46ffffff,0x27fc0ffb,0x7fe4bff7,
    0xff50ff24,0x81fe4bff,0x133305f8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1bbbbb60,
    0x004ccccc,0x440d54c4,0x30026209,0xff11ff20,0x88018807,0x98826209,
    0x6c06601a,0x3106eeee,0x54000033,0x80000003,0x27fc0ffb,0x44000220,
    0x00c40199,0x98000331,0xfff001aa,0x3ffe0fff,0x3fa205ff,0x7441ffff,
    0xb80ef9af,0x324fffff,0x81ffc47f,0x00dffffb,0x1df35fd1,0x5c37ffd4,
    0xfffff04f,0xffffe88f,0x05fd304f,0xff827fdc,0x307fffff,0x5c1fffd9,
    0x827fc0ff,0x004fffec,0x6407bfe6,0x5c0dffff,0xfa8000ff,0xfd31ffff,
    0x77740005,0xfff105ff,0xd103fdbd,0xffb01fff,0x7e49fddf,0x6c1ffc47,
    0x0effffff,0x81fffd10,0x220fe898,0x220000ff,0x4fffffff,0x2e06ffd8,
    0xffff04ff,0xff90ffff,0x7dc1ffff,0x6c27fc0f,0x0efdbbef,0x806ffcc0,
    0xfffffffe,0x0003fee1,0x3ddbfff3,0x0081bff6,0x7ec17fe0,0x3322001f,
    0x085ff881,0x7ff11ff2,0x3ee4ffa8,0x0732204f,0x3f627fe4,0x2a008802,
    0x361ffe60,0x066406ff,0xaaaacff8,0x4d77fe42,0x207fdc19,0x427e44ff,
    0x1e5c04fb,0x933bff70,0x07fdcbff,0x403ff600,0x7f5c6ffd,0x7fc00cff,
    0x004ff865,0x06ffcc00,0xff88ff90,0x7ec37f43,0x9500800f,0x817ee5fd,
    0x0dffffeb,0x440ffc80,0x7c0001dd,0x2ffc402f,0x3e07fdc0,0xdb9be24f,
    0x0000fd8d,0x3f61bfe2,0x041ff70f,0xb102ff40,0x7fffec3b,0x3fe00fff,
    0x7ff13fbd,0xfffff300,0x7ffc5fff,0x47fc82df,0x3fe23ff8,0x70fffd43,
    0x3dffb1bf,0x45fecd4c,0x3ffe00ff,0x400efffe,0x7cc006fd,0x2fffffff,
    0xff700bfe,0x81ff7003,0x6cbee4ff,0x24fa8fff,0xfffffff9,0x20ffe62f,
    0x1ff72ffa,0x7c03dffb,0x7fd4004f,0x04ffda9d,0x44fffffe,0xff9803ff,
    0x22ffffff,0x2fffffe9,0x7ff11ff2,0xff917fcc,0x777dc5ff,0xf70fffff,
    0x00bf6bdf,0x42ffb817,0x02ffca98,0x7ffffcc0,0x3bfe2fff,0x7fec0bcd,
    0xfb83cdca,0xf927fc0f,0x2213ff31,0x3fffe65f,0x3ea2ffff,0x73ff981f,
    0xfffffdff,0x77fd5541,0x7f402aaa,0xf707fe86,0x7fc45dff,0xaaaa8803,
    0xc980effc,0xff91fffe,0xf51ffe41,0xf9ffd13f,0x67ffdc7f,0x8263ffc9,
    0xf10005fa,0xffffe87f,0xaaa88003,0x3e0effca,0x23ffffff,0xfffffffe,
    0xb83fee0e,0x7ddf64ff,0x2aa26f85,0x20effcaa,0xff881ffb,0x939fff74,
    0x3ffe27ff,0x07ffffff,0x7fe427fc,0x17fffee0,0x2000ffe2,0xc801ffe8,
    0x17ff93ff,0x7d49fff9,0xf89effcf,0x893fee3f,0x1ff104ff,0x3332e200,
    0x7f7644ff,0x774c0eff,0x0fff4401,0x3ffb2aaa,0x77dffd1f,0x7fd4dffb,
    0x24fffb8c,0xdf0bf77d,0x20fff440,0xff881ffb,0x7c49ff74,0xff99914f,
    0xbb89999d,0xfb83ff88,0x3ffbfa1f,0x003ff885,0x0c42ffd8,0xffc97fe4,
    0x4ffeefff,0x21bffff3,0x3fee2ff9,0xfd827fc0,0x3f201332,0x04ffffff,
    0x3f62ffdc,0x17fec06f,0xfd4ffb80,0x221ffb0d,0xfeffffff,0x3fea3f24,
    0x6c0bf11a,0x1ffb82ff,0xff73ff98,0xff04ff81,0x46ffe409,0x0ffb85ff,
    0x442ffcb2,0x7dc003ff,0xeeffa84f,0x3ff26fff,0x4ffa8eff,0xfa85fff1,
    0xf03fee1f,0x2abf509f,0xdffb85ff,0x804ff999,0x7ffe46fe,0x009ff700,
    0x7fdaffc4,0x3ea1ffb8,0x24fd9eff,0x1fffd2fb,0x3fee07f3,0x507ff504,
    0x03fee5ff,0x13fe09ff,0xfff7ffe8,0x7fc0ffd0,0x003ff885,0x7cc1bfe6,
    0x20cfffff,0x0c408ffc,0x1bf61bfa,0x4ff81ff7,0x6fc47fc4,0x447fd85f,
    0x5ff804ff,0xf980ffe8,0x7fd4006f,0xfc83ff94,0xff31980f,0x9b737c43,
    0xff301fb1,0x437fc40d,0x1ff70ffd,0x9ff04ff8,0xfc9ffd40,0x4ffc89df,
    0x3e217fe0,0xfff1003f,0x1ff98801,0x2e007fc8,0x7ff90cff,0x7fc0ffb8,
    0x9fc9fe44,0x31ffd85f,0x30229ffd,0xff907ffb,0x201fff10,0x3ffae618,
    0x2a1bff31,0x3fd806ff,0x4fb84fc8,0x400fff88,0xfc99dffc,0xf03fee4f,
    0x013fe09f,0x7fffc411,0x3e00efff,0x03ff885f,0x555bffd0,0x20df5035,
    0x7f4007fc,0xb85fffff,0x527fc0ff,0x3f3be6bf,0x77ffdc2e,0xff74feff,
    0x50bfffff,0xbffd05ff,0x3ea35555,0x43ffffff,0xfffffffd,0x42dff800,
    0xfebcefe8,0xadffe80d,0x7f441aaa,0x20efffff,0x27fc0ffb,0x88004ff8,
    0xb84ffffd,0xffffffff,0x5007ff16,0xffffffff,0x3207f707,0xffc8007f,
    0x1ff704ff,0x1fd14ff8,0x13ffffea,0x367bfff2,0xfffff74f,0x3fffc85d,
    0xffffffa8,0xffff53ff,0x3fee03bf,0xf9000dff,0x3fff20ff,0xffff504e,
    0xb107ffff,0xf709ffff,0xf04ff81f,0x0980009f,0x3ffffee0,0x7ff16fff,
    0xfffff500,0x03107fff,0x10000cc4,0x40ffb801,0x207f94ff,0x004c05f8,
    0xcb802662,0xffff500b,0x9987ffff,0x00062000,0x02200d44,0xffffff50,
    0x008807ff,0x9ff03fee,0x00013fe0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10331000,
    0x32a00033,0x882ffc80,0x013305ff,0x00000260,0x3bb60026,0x999986ee,
    0x00330009,0x00000000,0x0cc00000,0x77640000,0x00001eee,0x5c27fc00,
    0xffd880ff,0x3fea6fff,0x2ffd4001,0x7dc2ffc4,0x3fff622f,0x3ff502ef,
    0x7fffffc0,0x01ffa85f,0x87fffff8,0x205fffff,0x44ffffd8,0xfffffff8,
    0x3ffa1fff,0x3001deff,0x47ffffff,0xffffffff,0xbffff701,0x3e23fe41,
    0xfffd80ff,0x25f901ff,0x02ff47f8,0xffb84ff8,0x7ffffd40,0x07fea7ff,
    0x20dff500,0x37f40ffd,0xffddffd1,0x03ff703f,0x7ffffffc,0x001ffb85,
    0x3ffbba00,0xfffff105,0x567c4bff,0x1fcaaaaa,0x3ffffffa,0xfffc804f,
    0x3ffe3fff,0xc81fffff,0x25ffefff,0x17fec7fc,0x12fd8000,0x005fe8df,
    0x1ff709ff,0x44e7ffc4,0x07fea5b9,0x54077200,0x8ffe22ff,0x3fe22ffa,
    0x201ffb84,0x5ff99999,0x0001ffb8,0x360bff00,0x3ffb12ff,0x33beabe2,
    0x77f43f31,0x02fffb99,0xf827f7fc,0x819999df,0x1910dff8,0x9ff53fe4,
    0x8ff40000,0x02ff46f9,0xffb84ff8,0x200bff60,0x00001ffa,0x7fdcbff0,
    0x3fa1ff20,0xffffff54,0xff807fff,0xffffff55,0x7fdc7fff,0xff827fc0,
    0xf889ff05,0xb935f14f,0x743f33ff,0x03ffc45f,0x209f9df5,0xff5004ff,
    0xf17fc805,0x3ffe01df,0xff9905ff,0x259dfb99,0x9ff005fe,0x3e21ff70,
    0x3ff5006f,0xff077fd4,0x7e40bfff,0xfa8bfd0f,0x54bfea4f,0xffffffff,
    0xaaffc03f,0xffffffff,0xf03fee3f,0x217fe09f,0x5ff84ff8,0x9dfa85f1,
    0x3617fa1f,0x97fb01ff,0x013fe09f,0x32007fdc,0x403ffb7f,0xf05fffff,
    0xffffffff,0x4017fa9f,0x0ffb84ff,0x4cc47ff3,0x447fea19,0x7ffc0eff,
    0x3fe605ff,0xfe82ff9b,0x224ffcef,0x99affb99,0x8affc009,0x99affb99,
    0xf03fee09,0x417fe09f,0x16fe86ff,0xf9df885f,0x155dfd51,0x3e20bfee,
    0x099dfc8f,0x7dc013fe,0x57fe400f,0x4ccc03ff,0xff5305ff,0x2139fb33,
    0x9ff005fe,0x3ea1ff70,0x3ffffa2f,0xfd13ff50,0xff33303f,0xfcefe80b,
    0xffffb107,0x00ffdc0b,0x3ee17fe0,0x03fee01f,0x17fe09ff,0x75df7fec,
    0x2e5f17ff,0xf1f9afec,0x2a3fffff,0x95fc83ff,0x7fc5ffff,0x227fffff,
    0xffffffff,0x37fffe43,0x9817fe00,0xfd0bf66f,0x213fe00b,0x5ff70ffb,
    0xa87ffff4,0x01ffd9ff,0x7d405ff8,0xfd304fff,0xcc89ffff,0x03ccdffd,
    0xffb85ff8,0xf03fee01,0x417fe09f,0xfffffff8,0x3fa5f16f,0x3fa3f31c,
    0xff51eeff,0x3f25ff05,0x3ffe1eef,0x3e27ffff,0x3fffffff,0x0ffeffe4,
    0x540bff00,0xfd07f65f,0x213fe00b,0x7ff50ffb,0x3ea1ff70,0xf002ffdf,
    0xffff00bf,0x51bff103,0x7ffc7ffd,0x806fffff,0x1ffb85ff,0xff03fee0,
    0x7017fe09,0x2bff5999,0xf98bb2f8,0x3ee17fa1,0xf93fd41f,0x2677fe09,
    0x0ffb8199,0x7fcffe40,0x217fe006,0xfccefdca,0x017fa4df,0x3fdc27fc,
    0xff70bff1,0x3ffffea1,0x00bff001,0x3f20bff9,0xa9bfe20f,0x2aabffca,
    0xfb85ff80,0x03fee01f,0x17fe09ff,0x227ff100,0x1f98332f,0x3ff617fa,
    0x7f77fec0,0x009ff04f,0xf9003fee,0x4013feef,0xfffc85ff,0x27ffffff,
    0xbfd005fe,0xffe8dfb0,0xfa87fdc1,0x800fffaf,0xffc805ff,0xfb0dfd01,
    0x005ff50f,0x7d427fc4,0x83fee02f,0xbff04ffb,0x10ffd800,0xf983fe5f,
    0xff517fa1,0xfffff88b,0x09ff04ff,0x9003fee0,0x00fff4ff,0x754c2ffc,
    0x2affbacf,0x7ec017fa,0x513fea3f,0xf9337fff,0x2a7fea1f,0x5ff806ff,
    0xb02ffd40,0x2ffcc5ff,0x2106ffcc,0x5ffb11c8,0x041bff30,0xff719ff5,
    0x417fe09f,0xffeba998,0x2374be24,0x27bfa1f9,0x5c0fffca,0xdfd999ef,
    0x013fe099,0x2667ff26,0x99ff2099,0x7fc00eff,0x7cc7f605,0x999efe86,
    0x7ffc4099,0xc80fffff,0xffffffff,0x3f23ff50,0x42ffc04f,0x00effeda,
    0x3fbfffe6,0xfffd01ff,0x3ffe27fd,0x3fa06fff,0x3e23feff,0x4fefffff,
    0x3ea0bff0,0x444fffff,0xaaaaaacf,0x3fffa1fc,0xfe81efff,0x27fffe43,
    0xff8809ff,0x6fffffff,0x9ff91ff2,0xffffffb8,0x98ff46ff,0xffffe85f,
    0xfe985fff,0x2a00dfff,0x24effffe,0x3ffa1ffa,0x3ffffee3,0xfff56fff,
    0xffd5001b,0x74c03bff,0xfb13ffff,0x4c019fff,0x543ffffe,0x4fd9efff,
    0xfffffff7,0x77ffd4df,0xffff881c,0x21ffffff,0x03defffe,0xffc81ff3,
    0x013fe4ff,0xfffffff1,0x23fe4dff,0x3ee2fff8,0x6fffffff,0x85fa87fc,
    0xfffffffe,0x40004c05,0x1ffa8099,0x7dc7ffe2,0x6fffffff,0x20003571,
    0x4cc40019,0x88001300,0x80660099,0xfffffffb,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00000009,0x00000000,0x33000000,0x00000000,
    0xe8199800,0x9ffe62ff,0x7fcc3fff,0xffffff10,0x3e03ffff,0x7ffc07ff,
    0xf981deff,0x22ffa84f,0x46fd86fd,0x1deffffe,0xffffffe8,0x6ffb86ff,
    0xf901ff60,0x907dffff,0x2a0001ff,0x7fe43fff,0xfc83dfff,0x80ceffff,
    0x44ffffd9,0xff002ff9,0x7d4ff909,0x3fffffff,0xe8bffffe,0x9fff24ff,
    0x7fcc6fff,0xffffff10,0xf303ffff,0x7fc05fff,0x84ffffff,0x37f41ffd,
    0x1bf61bf6,0xfffffffd,0xfffffe89,0x3fee6fff,0x1ff606ff,0xffffff90,
    0x4ffe41df,0x7ffc4000,0x7fffe43f,0x7fe45fff,0x20ffffff,0xfffffffa,
    0x400bfe64,0x27fc84ff,0xfffffffa,0x3eeab63f,0xfe9fffe7,0x8bfffe7f,
    0x26660ff9,0x0199bffb,0x409ffff7,0xffb99cff,0x72ffc42f,0x7ffec3ff,
    0x6fffffff,0x3ee67bfa,0x2aaaa2ff,0xf95ffbaa,0x6c0dffff,0x3ff20c7f,
    0x25ffd999,0xcefffffc,0x7ff7e400,0x5ccffe43,0x9ff21ffe,0x3a23ffd9,
    0x0fffa8ad,0x3e005ff3,0x227fc84f,0x99bffb99,0xf0ff9880,0xfbf33fdf,
    0x9bfffe1f,0xff300ff9,0xfb9fd005,0x2227fc0f,0x9ffb87ff,0x7fec4ff8,
    0xffffffff,0xff117fa6,0x23ff900f,0x06fd8cf9,0x22f55ff6,0x3ff40ffc,
    0xfffffff9,0x2bfe601f,0x23fe43ff,0x1ff23ffb,0xb8089ff1,0x05ff32ff,
    0x3f213fe0,0x205ff307,0xf0fffffc,0xf7f77f7f,0x3ff7fe1f,0x2601ff32,
    0x7fc402ff,0xff01ffba,0xd03ffb09,0x881ff7bf,0xe9999efd,0x217fa0ef,
    0x3e201ffd,0x0dfb046f,0x2fff7fec,0xff903ff2,0x2a23ff21,0xbfd05ffd,
    0x8ff90ffe,0x1ff23ff9,0xf7007ff3,0x00bfe65f,0x3fe427fc,0xfb82ff98,
    0xff11ff1e,0xff1fdbf3,0x57fabfe1,0xff300ff9,0x98ffa805,0x09ff03ff,
    0xff505ff7,0x1bf607ff,0xefea9bf6,0x05ff70aa,0xfb017fe4,0x77ffec0d,
    0x6c0ffc82,0xf03ff27f,0x21ff70ff,0x13fe43ff,0x7fe41ffd,0x00efea99,
    0xff30ffd8,0x3e0dd885,0xfdaaaadf,0x905ff307,0x11ff93bf,0x7d7ffeff,
    0xff55ff1f,0xfe81ff33,0xb07fffff,0xf837fcdf,0x03ffa84f,0x7ec0dffd,
    0x6fffffff,0x47fffffe,0xff103ffa,0x986fd80d,0x3203fffd,0x97fea0ff,
    0x7fe40ffc,0xff8ffe20,0x7ff7fe43,0x7ffe42ff,0xa801ffff,0x0bfe64ff,
    0x7ffcdffd,0x07ffffff,0xff305ff3,0xdf31fddf,0x8ffcfff2,0xf39ff2ff,
    0xffffe81f,0x49ff07ff,0x4ff80ffc,0x2622ffa8,0x099bffb9,0x7fffffec,
    0x3fffa6ff,0x05ff51ee,0xfb00bfee,0x0ffff90d,0xfeeeffc8,0x03ff20ff,
    0x46fd8ffb,0x7ffe43ff,0xffc80eff,0x02ffffee,0xf983bfe6,0xf3fffc2f,
    0xfdddddff,0x40bfe60f,0x3e6311a8,0x3fa1ff56,0x3fee5ff2,0x5cc40ffa,
    0xf9819bff,0x20bfea1f,0x1ffb84ff,0x3fffffea,0x4f7ec3ff,0x746fe999,
    0x81ffb85f,0xfd806ff8,0x07fdbc86,0x7fffffe4,0x707fe41d,0x57fd4bff,
    0x09cff999,0xdff73ff9,0xff98ff90,0x83ffd107,0x7fe42ff9,0x3f213fe4,
    0x305ff307,0x33555555,0xfe97a2df,0x3fe25ff2,0xff300ffd,0x7fffe405,
    0xff85ffff,0x220ffd84,0xaacffbaa,0x7ec37ec1,0x7ec2ff46,0x02ffb80f,
    0x3f606fd8,0x55ffe407,0xddff901a,0x7e41ffff,0xffffffff,0x7dcff94f,
    0x6c3fe42f,0x7ff441ff,0x982ff981,0x7e427fc1,0x905ff307,0x5bffffff,
    0xf97f40df,0x3ffff22f,0x405ff300,0xfffffffe,0x544ff87f,0x54cc45ff,
    0x6c099bff,0x746fd86f,0x82ffd45f,0xdfb006ff,0x3203fec0,0xffc800ff,
    0x640dffff,0xffffffff,0x44ff94ff,0x43fe46ff,0x3fa20ffd,0x05ff301f,
    0x3f213fe0,0x305ff307,0x53555555,0xf9ff40df,0x3fffe62f,0x205ff300,
    0x9999bff8,0x67fc1ffc,0x40fffca9,0xfffffffa,0x6c37ec3f,0x54f7f46f,
    0xfb80fffc,0xd555103f,0xfd8555ff,0x9199999f,0xff9001ff,0x26201357,
    0xcff99999,0xfc8ff909,0x267ff22f,0x3a26ffc9,0x2aaaacff,0x33337ff3,
    0xf909ff03,0x7fdccc4f,0xf700099b,0xff9fec0b,0x807ffec2,0xff702ff9,
    0xf89ff301,0x1effffff,0xdffdcc98,0x437ec1cc,0x7fff46fd,0xff01efff,
    0x7fffd40f,0x7ec7ffff,0x97ffffff,0xff9001ff,0x3ff80001,0x3fe63fe4,
    0x3fffff26,0x3ff21fff,0x36ffffff,0xffffffff,0xfc84ff83,0x3ffffea7,
    0xf7003fff,0xffa7ec0b,0x807ffcc2,0xdfb02ff9,0x3fe37fc0,0x3003deff,
    0x37ec05ff,0x3ffa37ec,0x3ee03def,0x3ffea03f,0x6c7fffff,0x7fffffff,
    0xf9001ff9,0xff80001f,0x7ec3fe43,0xdffff92f,0xfffc817d,0xf36fffff,
    0x3fffffff,0x7fc84ff8,0x3fffffea,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x640b3000,0x44006602,0x01000000,0x166000c0,
    0x08080040,0x2c804040,0x31001000,0x4cc40400,0xffffff90,0x07ff2dff,
    0x7fd57fe2,0x321ffe85,0x757ee05f,0x8ffd00ff,0xffffffff,0xffffff12,
    0x3e63ffff,0x82ffb84f,0xfd701ff8,0x2e01bfff,0x4c1efffe,0xf704fffd,
    0xa809ffff,0xffd705ff,0xffb1019f,0xd85ffd15,0xffeacfff,0xf00fff22,
    0x09fff75f,0x5c9ffff5,0x1effd8df,0x7fe4ffea,0x16ffffff,0x1ff90bff,
    0xff30ffec,0x2e05fc8b,0x105ff74f,0xffff89ff,0xff12ffff,0xffffffff,
    0x6ee7fe43,0xff105ffc,0x3fbffe03,0x3fa20eff,0x2a1fffff,0x46ffefff,
    0x4feefffd,0x207bfee0,0xfffffffd,0x77ff7f40,0xdf10ffef,0xffdffffd,
    0x813ffa23,0xfffffeff,0x3f77fe64,0xffddf73f,0x3fe61fff,0xd5555532,
    0x0ffe49ff,0xff989ff1,0xf703ffa5,0xf9a7e40b,0x42ffb85f,0x99999dff,
    0x3fee6660,0xffe8199b,0x100effff,0x702e03ff,0x6ffe45ff,0xff11c99a,
    0x44ffea19,0xfb0085ff,0xbff501bf,0x4c9ffb53,0x329ff56f,0x7fcc513f,
    0x7ec49fb4,0xefff80df,0x3f27fe8a,0x7fdd7ee4,0x33ffc9cf,0x7fcc05ff,
    0xf92ffc46,0x53ffb01f,0x0df709ff,0x0fff27e4,0x09ff0ffb,0x402ff980,
    0x6ffbbffc,0x5ffdd554,0x7fc402aa,0xb80dff13,0x9b7ec0ff,0x74400dff,
    0x1bfa04ff,0x14fb9ffa,0x813ee5ff,0x90bf51ff,0xfff81dff,0x2fd9fee0,
    0x27fddbe6,0x3fe29ff1,0x207ffa01,0x4ff88ffc,0xffddff10,0x364df501,
    0x0ffe47f9,0x13fe17fe,0x805ff300,0x83fea2fe,0xfffffffe,0x6665c47f,
    0x05ff54ff,0xccccffd8,0x3fffe7fe,0x3ffe982d,0x7e427fc0,0x7fc7f90f,
    0x54c5fdcd,0x6fdccffc,0x7c3fff50,0xfb154c4f,0xffbafdc9,0xff8a7fc0,
    0x209ff701,0x0ffbcff8,0x0fffff20,0x2ff8b7d4,0x1ffd47fb,0xbff05ff3,
    0x20155555,0x3e202ff9,0xb87fe21f,0xccdffccc,0x3fffff24,0x03ff74ff,
    0xffffffe8,0x3ffa67ff,0x3fee2fff,0x0ffe201f,0x17e47fee,0x4bffffff,
    0xfffffffd,0xffd106ff,0x5c027fc7,0x72ffccff,0x24ff81ff,0x0dff3019,
    0x04ffffc8,0x303fffc4,0x6d3feadf,0xf937fc2f,0xfffff01f,0x3e601fff,
    0x8bfe202f,0xff100ff8,0x33bff703,0x3fee9ff3,0x4cf7ec02,0xc9819999,
    0x3ea1fffe,0xbff102ff,0x3f21ff70,0x2666bfe3,0xff33df70,0xf3013333,
    0x04ff85ff,0x47ffffb0,0x27fc0ffb,0x401ffe80,0x400ffff8,0x301ffff9,
    0x6dfff6ff,0xe87fec2f,0xddfff06f,0x3e601ddd,0x727f402f,0x0ffc40df,
    0x3fe23fec,0xc80bff34,0xf90000ff,0x3ffe987f,0xffd0fff0,0x2ff89fdc,
    0x0ffc7fb0,0x207ffea0,0x2a2004ff,0x207fdc0a,0x70bfa4ff,0x3f2009ff,
    0xfffe804f,0x3eff105f,0x41fd9fee,0x3ff8affa,0x98009ff0,0x7fe402ff,
    0x2204ffce,0x1ffd81ff,0x7f49ffd3,0x51b989df,0x10881bff,0x103ff903,
    0xff90bffd,0x49ff913b,0x0bff55fa,0x27fdd3f2,0x00effc82,0x553009ff,
    0x3ee35555,0xf8a7fc0f,0x01bfe60f,0x5402ffa8,0x82ffdcff,0xfcbfaff8,
    0x7fc41fec,0xff01ffac,0x2ff98009,0x3ffffa20,0x2aa00fff,0xfefffb80,
    0x3fe64fef,0x362fffff,0x2ffeefff,0xfffddff5,0x45ffd80d,0xfffffff8,
    0x3f7fe20e,0x52ecefef,0xdffdfdff,0x37ff25fb,0x2013fe00,0x5ffffffc,
    0x4ff81ff7,0x1ffe89f5,0x00bfea00,0xdff31ffd,0x33fbff10,0xfd01fddf,
    0x7fc0dfbf,0x17fcc004,0x5775ffb0,0x64000dff,0x4fd9efff,0x77fffec4,
    0x7ffffdc1,0xfffff32f,0x1d70019f,0x9ffffb10,0x26bffea0,0x3f62ffff,
    0x5ffff75f,0x3fe013a2,0xaaaa9804,0x81ff71aa,0x5c1314ff,0xaaaaadff,
    0x405ff502,0x3ff24ffb,0x3e6fff83,0xffb80fff,0x37fe04ff,0x30099999,
    0x3fe605ff,0xf92ffa83,0x9fffffff,0x18800130,0x10099880,0x01000333,
    0x02600130,0x31022033,0x00000103,0x3a000000,0xffffffff,0x205ff507,
    0x3e20fff8,0x27ffc0ff,0xf301fff9,0x7fc03fff,0x02ffffff,0x1c405ff3,
    0x7ffe4170,0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffa0,0xff507fff,0x20fff205,0x7ff45ffc,0xe81ffea1,0x7ffc07ff,
    0x302fffff,0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff701dc0,0x5104ff81,0xf8000015,
    0xf985ffff,0x2fffffff,0xff105ff9,0xfa813fab,0xc81fff17,0x203301ff,
    0x3fe60ffa,0x0055440e,0x4c004008,0x554c2880,0x8804c401,0x000000aa,
    0x9f500000,0x7ff53df7,0xb81ffdc0,0x227fc0ff,0x0dffffd8,0xf00ffc40,
    0xf30bffff,0x5fffffff,0x3ee17fe2,0x5c0bfb2f,0xa97fea5f,0x03fe04ff,
    0x7fc43fea,0x3fffa20e,0xfb97663f,0x7649f503,0x7441df31,0xfffff32f,
    0x84ffea85,0x505ffffc,0x7ffe41df,0x504fffff,0x7d4003ff,0xfffefffe,
    0x07ff700f,0x9ff03fee,0xea99bfe8,0x07fe200f,0x85ff9998,0xffcaaaa8,
    0xd03ff60e,0x9037e4df,0x8affd89f,0xff0b86fe,0x88ffa8e2,0x77c41ffe,
    0xff10fffd,0xf107fee7,0x4c7fea9f,0xffe88eff,0xdff77911,0x227fffd4,
    0x4ffccffb,0x3f25ffe8,0x4fffffff,0x400dffd0,0xeff8cffa,0x0ee01fe8,
    0x7fc0ffb8,0x3ffe3f24,0x3e205e8e,0x0bff001f,0xa83ffd10,0x8ffe22ff,
    0x23dd17fa,0x7ff443fd,0x7fcc1ffd,0x51ffafea,0x03ffb3ff,0x2a0ffc82,
    0xc8dfb0ff,0x987ff16f,0x01ffeeff,0xff3b17fa,0x3ee3fd89,0x007ffd86,
    0x3fdcfb80,0xf11ff500,0x000ffa5f,0x7fc0ffb8,0x7cdfcfe4,0xff100fa9,
    0x017fe003,0x7fc0bff6,0xf983fee5,0xfd4ffa8f,0x7ffff305,0xfffff910,
    0x37fea19f,0xff9802ff,0xff16fd86,0x7ec7fe67,0x3ffff306,0x01dffd30,
    0x45fd13fe,0x7ff887f9,0x47fc4000,0xfa800ff8,0x9ff43fe6,0xfffffff8,
    0x1ff71fff,0x23f14ff8,0x23f35edf,0xfffffff8,0xbff01fff,0x204ffb80,
    0x8bfd0ffc,0x6ffd9ff8,0x3ff603ff,0x7fff4407,0x7ffffd41,0x077fcc01,
    0x4fe87fdc,0x13fa1ff7,0x4077ff44,0x80effee9,0x92fec4ff,0xb97f60df,
    0xeeeeeeee,0xbf91fec3,0x7fcdf500,0x3fe27fd0,0xffffffff,0xff81ff71,
    0x3b3e5f14,0x3fe23f33,0xffffffff,0x4c0bff01,0x7fcc06ff,0xff82ff9b,
    0xffaffffa,0x3ffff980,0xfffffc88,0xf5ff51df,0x3fea01df,0x92ff980d,
    0x9a7f41df,0x7ff441ff,0x3ea00eff,0x544ff82f,0x82ffefff,0x3ff21ffa,
    0x24ffffff,0x17fc46f9,0x0ff9bea0,0x4cccc7fd,0x2e199999,0x93fee0ff,
    0x71f77f4f,0xffa9998f,0x3fe0199a,0x01fff105,0x0ff9dfd0,0x3f37fbfa,
    0xeff887fd,0x7fc41ffe,0x51fe9fe9,0x0dff51ff,0x5dddfff3,0x2ff9a7f4,
    0xefc97fcc,0xf33ffd10,0x2eb261df,0x3fba67fd,0x3fea2eff,0x7ffec2ef,
    0x4ccccc42,0x0bb20999,0xdf5017aa,0x03fe87fc,0xcffa8022,0x2e4fffb8,
    0xfac89c9f,0x007fe204,0xffe82ffc,0xa81aaaad,0xfb04ffff,0xdfff35ff,
    0xff33ffb0,0x4fd0a81d,0x7e43fea3,0x7fffd44f,0x6cdf53ff,0x74df904f,
    0x4c3ff72f,0xffff73ff,0x7fffcc5d,0x65c003ff,0x0000000b,0x7fcdf500,
    0x3ea07fd0,0xffff102f,0xfd89fdff,0x406fb99b,0xff701ff8,0x2dffffff,
    0xfffffffa,0x3ffff03f,0x7c3fff20,0x1ffdc5ff,0x7fc0bff7,0x3a0ffa80,
    0x266623ff,0x50620999,0x8130a201,0x2a24981c,0x2666601a,0x00000099,
    0xa8000000,0x7f43fe6f,0x409ff903,0xfd9efffa,0x3ffffb84,0x701ff880,
    0xffffffff,0x3ffffead,0xff903fff,0x92ffdc0d,0x37fcc9ff,0x19817ff4,
    0x7c41ff50,0x000001ff,0x00000000,0x00000000,0xfa800000,0x1ff43fe6,
    0x9800ee88,0x00044001,0x000002aa,0x00000000,0x00000000,0x001ee980,
    0x66666664,0x0004cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00998662,0xffffffe8,0x00cc44ff,0x4c009988,0x4c400620,0xddddb019,
    0x267ffe8d,0xf2ffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x5c000000,0x24ff89ff,0x3ffa3ffa,0x24ffffff,0x2a0efffa,
    0x07ffa62c,0x3ff87fdc,0x80f7fcc0,0x7c7fffff,0x3ffe67ff,0x55552fff,
    0x55555555,0x00000000,0x00000000,0x00000000,0x00000000,0x87fdc000,
    0x9fffa3ff,0xd9999998,0x3ffffe4f,0xd887fb0e,0x8ffb81ff,0x3e604ff8,
    0x222200df,0x1ffdc088,0x15555551,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x747ff0ff,0x9f9007ff,0x3fe63fea,0x9700ffef,
    0x0b98ae09,0x0000f320,0x00000088,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9fea0000,0x0bfe62ff,0x4eaa7e40,0x013fffa2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9fe60000,
    0x440002fe,0x01ba8009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x86600000,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_22_latin_ext_x[560]={ 0,4,2,0,0,0,0,4,2,2,1,0,2,2,
3,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,0,1,1,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,1,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,0,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,3,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,0,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,1,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_22_latin_ext_y[560]={ 16,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
12,0,1,1,1,1,1,1,1,1,1,1,4,4,4,6,4,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,18,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,5,5,5,5,5,5,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,16,4,-1,1,2,1,
-2,0,0,1,1,5,9,8,0,1,0,2,0,0,0,5,0,7,16,0,1,5,0,0,0,4,-2,-2,-2,-3,
-3,-3,1,1,-2,-2,-2,-3,-2,-2,-2,-3,1,-3,-2,-2,-2,-3,-3,5,-1,-2,-2,-2,-3,-2,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-2,1,-3,0,1,4,-2,0,-2,0,-3,0,-2,0,-2,0,1,0,-2,1,-3,0,-3,0,1,4,-2,0,-2,0,
-3,0,-3,0,1,0,-2,-3,1,0,-3,0,-2,1,-3,0,1,0,-3,5,1,0,-2,0,1,0,5,-2,-3,1,
0,0,0,1,0,1,0,-2,0,1,4,-2,0,-1,1,4,-2,1,-3,0,-2,0,1,4,-2,0,1,4,-2,0,
-2,0,-2,0,1,4,-2,0,1,1,-2,0,1,1,-3,0,-2,1,-3,0,-3,-1,-2,0,1,5,-2,0,-2,0,
-3,-2,0,-3,0,-2,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-5,-4,-2,0,-2,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__consolas_bold_22_latin_ext_w[560]={ 0,4,8,12,12,13,13,4,8,8,10,12,7,8,
6,11,12,10,10,10,12,10,11,10,10,11,4,7,10,10,9,8,12,13,11,11,12,10,10,12,11,10,9,11,
9,12,11,12,11,13,11,10,12,12,13,12,13,12,10,6,11,7,12,13,8,10,11,10,11,10,12,12,10,10,
9,11,10,12,10,12,11,11,11,10,11,10,12,12,12,12,10,9,4,9,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,9,12,12,12,
4,12,10,12,8,10,10,8,12,10,9,10,8,8,12,11,12,6,4,8,8,10,13,13,13,9,13,13,13,13,
13,13,13,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,10,12,12,12,12,12,12,11,11,11,12,
11,11,11,11,12,10,11,12,11,11,11,12,11,11,12,11,12,12,12,12,12,12,12,11,12,11,11,12,11,12,
13,11,13,11,13,10,12,12,11,11,11,11,11,11,13,14,12,12,11,11,11,11,11,11,10,10,11,11,12,12,
12,12,12,12,12,12,12,11,12,11,11,11,11,11,11,11,10,11,11,10,11,11,10,10,11,11,11,11,11,9,
10,14,15,12,14,11,10,12,12,11,10,12,11,11,11,10,12,12,12,12,13,13,12,12,13,12,11,11,13,12,
11,12,11,11,10,10,11,11,12,11,12,14,12,11,12,11,12,11,12,11,12,11,13,13,12,11,12,12,12,12,
12,11,12,11,11,11,11,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,13,11,13,12,15,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,10,10,12,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__consolas_bold_22_latin_ext_h[560]={ 0,17,7,15,20,17,17,7,22,22,11,12,9,4,
5,19,16,15,15,16,15,16,16,15,16,15,13,16,13,8,13,17,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,21,19,21,8,3,6,13,17,13,17,13,16,17,16,16,
21,16,16,12,12,13,17,17,12,13,16,12,11,11,11,16,11,21,23,21,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,14,15,
23,19,6,16,12,10,6,4,12,5,9,14,10,10,6,16,19,6,4,10,12,10,16,16,16,17,18,18,18,19,
19,19,15,19,18,18,18,19,18,18,18,19,15,19,19,19,19,20,20,10,20,19,19,19,20,18,15,17,17,17,
17,17,17,18,13,16,17,17,17,17,16,16,16,16,17,16,17,17,17,17,17,12,17,17,17,17,17,21,21,21,
18,16,19,17,20,17,19,17,19,17,20,17,19,17,18,17,15,17,18,16,19,17,19,17,20,17,18,17,19,21,
20,21,20,21,20,21,18,19,15,16,19,16,18,15,19,16,20,21,19,11,16,21,19,21,20,21,11,18,19,20,
21,16,16,15,16,15,16,18,16,20,17,18,16,17,20,17,19,16,20,17,19,17,16,13,18,16,20,17,18,16,
19,17,19,17,19,16,19,17,20,20,18,17,15,16,20,17,19,16,20,17,20,18,19,17,20,16,18,16,18,21,
19,18,16,19,16,18,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,21,21,18,17,21,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,17,20,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__consolas_bold_22_latin_ext_s[560]={ 254,249,64,231,155,127,74,250,11,20,125,
51,218,155,148,171,71,116,200,122,163,153,164,105,63,131,251,133,158,226,208,
247,130,39,188,241,53,66,183,14,224,236,86,207,244,1,14,214,139,42,176,
245,77,1,52,39,25,12,1,217,120,24,237,164,104,114,62,125,79,136,238,
115,227,39,32,27,120,1,239,169,164,152,218,147,96,27,86,99,112,50,75,
14,1,207,91,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,254,248,145,
194,90,66,6,1,113,188,247,168,80,155,38,137,208,103,148,190,124,59,15,
73,250,199,230,157,231,217,96,246,128,156,183,14,1,186,169,148,197,233,221,
136,1,13,25,28,92,39,160,173,183,48,61,179,123,40,66,93,85,170,151,
50,38,25,13,1,240,90,195,132,190,177,165,153,107,179,214,143,91,192,66,
53,40,27,14,14,1,235,222,210,198,156,182,143,142,110,157,126,220,245,52,
88,65,114,1,61,149,149,114,73,156,101,209,82,125,49,89,37,74,138,102,
186,53,45,69,169,95,224,207,1,226,101,79,167,113,155,175,219,137,28,13,
95,77,64,16,118,28,84,234,237,136,187,196,246,107,1,53,211,226,127,14,
77,94,24,161,213,84,104,36,116,208,1,110,201,106,101,69,182,161,40,98,
140,199,119,225,176,221,217,237,48,213,141,194,182,239,202,26,74,119,128,200,
108,82,189,56,1,79,172,132,176,13,204,26,194,132,39,201,145,141,51,36,
25,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,233,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,70,58,63,88,29,168,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,108,229,194,182,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143, };
static unsigned short stb__consolas_bold_22_latin_ext_t[560]={ 1,1,277,216,25,146,164,249,1,1,265,
265,265,276,276,68,199,233,233,199,233,199,199,233,216,216,199,199,249,265,249,
127,1,233,233,164,233,249,216,216,233,233,216,216,216,233,233,199,233,25,233,
182,249,216,249,249,249,249,249,1,68,25,265,276,277,249,164,249,146,249,199,
164,199,216,25,216,216,265,249,249,164,164,249,249,216,265,265,265,265,216,265,
25,1,1,277,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,1,47,25,
216,249,233,1,68,277,199,233,265,277,276,265,277,265,249,265,265,277,199,88,
277,257,265,249,265,182,182,199,68,108,108,108,68,88,47,216,47,108,108,108,
47,127,127,127,68,233,88,47,47,68,47,47,265,47,68,68,68,47,108,233,
164,164,164,164,164,146,108,249,182,146,146,146,146,182,182,164,182,146,182,146,
146,146,146,146,265,146,127,127,127,127,1,1,1,108,199,68,127,25,108,88,
127,88,127,47,127,88,127,108,127,216,127,108,182,88,127,88,127,47,127,108,
127,68,1,25,1,25,1,25,25,88,88,233,182,88,182,88,216,88,182,47,
1,88,265,182,1,88,1,25,1,265,88,68,25,1,182,182,233,164,233,199,
108,182,47,127,88,199,146,47,146,68,199,47,164,68,164,182,249,88,182,47,
164,88,182,47,164,68,146,47,199,47,146,25,25,88,146,233,216,25,164,47,
216,25,164,25,108,68,127,25,199,108,182,108,1,68,108,199,68,199,108,199,
199,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,68,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,1,1,108,164,1,25,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,25,146,25,25,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216, };
static unsigned short stb__consolas_bold_22_latin_ext_a[560]={ 194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_22_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_22_latin_ext_s[i] + stb__consolas_bold_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_22_latin_ext_t[i] + stb__consolas_bold_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_22_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_22_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_22_latin_ext_x[i] + stb__consolas_bold_22_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_22_latin_ext_y[i] + stb__consolas_bold_22_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_22_latin_ext_s[i] + stb__consolas_bold_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_22_latin_ext_t[i] + stb__consolas_bold_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_22_latin_ext_x[i] + stb__consolas_bold_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_22_latin_ext_y[i] + stb__consolas_bold_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_22_latin_ext_LINE_SPACING
#endif

