// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT        358
#define STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_bold_25_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_bold_25_latin_ext_LINE_SPACING          16

static unsigned int stb__consolas_bold_25_latin_ext_pixels[]={
    0x3fee3ff7,0x00000001,0x30015553,0x8000a885,0xd3002aaa,0x3aa003bd,
    0x004cc005,0x004ccc40,0x26000662,0x098800ab,0x26620262,0x22000999,
    0x0cc4003c,0x40cc8800,0x3a600099,0xf70eeeee,0x807fee3f,0x00f4c0ea,
    0x02fff980,0xff15ff88,0xeffc800d,0x1eff9801,0x8017f600,0x2000effd,
    0x4404fff9,0xd3005ffe,0x401dffff,0x03ff36fb,0x0bfffffb,0x8027ff40,
    0x8005ffe8,0x3fe26ffd,0x3ffe6005,0x3ff70fff,0x7d407fee,0x00fffc6f,
    0x643bfe60,0x2dff301c,0x32007ff8,0x991004ff,0x3ff88007,0xdfddf900,
    0x0bffe600,0x13fb7fa0,0xfdbfff50,0x3fe201df,0xffb06fff,0x7c00bfff,
    0xbfd005ff,0xfe8009fd,0x017fe27f,0xcccdff98,0x3ee3ff70,0x1fffa81f,
    0x000fffdc,0x07fcc555,0x17645d90,0x001aa880,0x8007ddb1,0xfc801eea,
    0x405fe88e,0xd800eff9,0x209fd15f,0x3e60dff8,0x3ffa603f,0x5ff9800d,
    0x007fea00,0x27f457f6,0x447ff500,0x3e6005ff,0x23ff703f,0x7fc41ffb,
    0x0dffb03f,0x17f26200,0x3b200000,0xb7fd002e,0x0000007f,0x00000000,
    0xf706fd80,0xf300000d,0x000000bf,0x7c400000,0x3fe6005f,0x2e3ff703,
    0x2ffec1ff,0x007ffd10,0x3fffff62,0x201aa983,0xdf900aaa,0x2df005ff,
    0x973004f9,0xa8555579,0x2aaaaaaa,0xaa806aa6,0x7997300a,0x7fcc5555,
    0x203ff301,0xaaabccb9,0x00bff302,0x2aaf32e6,0x4035532a,0x2aaa0aaa,
    0x222aaaaa,0x1aaa85ff,0x7dc0ffe6,0x4c3ff71f,0x7cc00eff,0x7fcc00ff,
    0x40efffff,0x3fe06ffa,0x3e2df00f,0xffefd805,0xffffd801,0x3e27ffff,
    0x5fffffff,0xff81bfea,0xffffd80f,0x3f27ffff,0xf3759516,0xffffb05f,
    0x260fffff,0xffd805ff,0x57ffffff,0x7ffc0dff,0xffffff10,0x2ffc4bff,
    0xf983bff2,0x23ff703f,0x3ff21ffb,0x07ff9002,0x6defffc4,0xfff85fff,
    0x205ffa81,0x004fa8ff,0xf9001795,0xdfffb7bf,0x7ffffc4b,0x7ffc5fff,
    0xc85ffa81,0xfffdbdff,0x3a2ffe5e,0x3feaffff,0x7edeffe4,0xff305eff,
    0xbdffc80b,0x3e5efffd,0x5ffa81ff,0x3fffffe2,0x97fe25ff,0x7cc1fffb,
    0x23ff703f,0x3ffe1ffb,0x0dff5000,0xffd27fe4,0x4ffc87ff,0x2a02ffd8,
    0xa800ffff,0x7c00ffff,0x017fe46f,0x7e45ff98,0x82ffd84f,0x17fe46ff,
    0xbffb1ff3,0xf87fd3ff,0x017fe46f,0xff80bff3,0x3217fe46,0x2ffd84ff,
    0x225ff980,0x3fff35ff,0x2e07ff30,0x23ff71ff,0x22006ff9,0xfff00fff,
    0x3feffe61,0x223ffc45,0xbc9807ff,0xffff9000,0x21ffcc05,0xf3004ff9,
    0x47ff88bf,0xff987ff8,0xf727fcc3,0xff37ff1f,0x7fcc9fb3,0x3027fcc3,
    0x7fcc0bff,0x2227fcc3,0x3ffc47ff,0x225ff980,0x2fff8dff,0x2e07ff30,
    0x543311ff,0x7f4004ff,0x25ff981f,0xb0dff6fb,0x27fdc5ff,0x37999530,
    0xbfffff00,0x2a2ffc40,0xff3003ff,0x5c5ffb0b,0x5ff884ff,0xbf91ffd4,
    0x1ff51ff5,0x2ffc47fb,0xf980ffea,0x17fe205f,0xffb07ff5,0x8027fdc5,
    0x3fe25ff9,0x2603ffee,0x3ff703ff,0x001ffdc0,0x3ea0bff2,0x7f53fa4f,
    0x3a5ffa87,0xfff900ff,0x4c0bffff,0x407ffdff,0xfea9cffe,0xbff3000f,
    0x7f4bff50,0x39ffd00f,0x7ec1ffd5,0x2ff77fbc,0x67ff43fe,0x200ffea9,
    0x7f405ff9,0x0ffea9cf,0x3fa5ffa8,0xbff3000f,0x7fffffc4,0x40ffe600,
    0x3f201ffb,0x7fdc001f,0xf14ffb83,0x207ffa3f,0x6ff98fff,0x3737bf60,
    0xff703fff,0x5403ffd5,0x3fffffff,0x417fe600,0x6ff98fff,0x3ffffea0,
    0x5e7ec3ff,0x3faff97f,0x7ffffd42,0x7fcc03ff,0x7fffd405,0x3fe03fff,
    0x006ff98f,0xff897fe6,0x2606ffdd,0x3ff703ff,0x001ffe40,0x3ee0bff2,
    0x7f4ff74f,0xcbffc81f,0x202602ff,0xffd06ff9,0x7c413fee,0x00ceeddf,
    0xc82ffcc0,0x02ffcbff,0x9ddbbff1,0xff77fd01,0x10ffdbf2,0x19ddbbff,
    0x40bff300,0xceeddff8,0x65ffe400,0x3e6002ff,0x237fe25f,0xff304ffe,
    0x4c7fee07,0x0bff70aa,0xa81ffe80,0x749fb4ff,0xeff980ff,0x3e0007fe,
    0x35ff887f,0x3fea0dff,0xff980001,0xfddff305,0x00ffd40f,0x8ffbcfe8,
    0x547faeff,0xf30001ff,0x0ffd40bf,0x777fcc00,0x7fcc007f,0x7cd7fe25,
    0x3ff983ff,0x3ee3ff70,0x00fff51f,0x4407ffc4,0x21ff8dff,0x3ff607ff,
    0x753004ff,0xf50fff99,0x407ffc7f,0xaaabeffa,0x2ffcc001,0x09ffffb0,
    0x555f7fd4,0xf9cfd81a,0x4fffffff,0x555f7fd4,0xcaaa881a,0x20aaaeff,
    0xaaabeffa,0xffffd801,0x2ffcc004,0x7fdcbff1,0x81ffcc1f,0x3ff71ffb,
    0x98007ffc,0x3ffe05ff,0x17fea7fb,0x01ffffa8,0x7ffffec4,0x1ffd87ff,
    0x3a20fff6,0xffffffff,0x0bff3003,0x00ffffd4,0xffffffd1,0xeafe47ff,
    0x86ffdbff,0xffffffe8,0x3ffe63ff,0x2fffffff,0x3fffffa2,0x3ea03fff,
    0x4c001fff,0x17fe25ff,0x7cc1fffb,0x23ff703f,0x3ff21ffb,0x05ff7002,
    0xd2fffff4,0xfff805ff,0x77ff4405,0xf87ffccc,0x82ffd47f,0xffeeeffd,
    0xff9802ff,0x02fffc05,0x7f777fec,0x4ff72fff,0x6c03511a,0xfffeeeff,
    0xfffff32f,0xd85fffff,0xfffeeeff,0x17ffe02f,0x897fe600,0x7ff445ff,
    0x5c0ffe66,0x43ff71ff,0x4400fff9,0x7fc407ff,0x6ffebcff,0x00fffc40,
    0x3fe17fee,0x6677fcc7,0xfc87ffdc,0x05ffc82f,0x2204ffb8,0x7e401fff,
    0x35ffc82f,0xf90005ff,0x0bff905f,0x82ffc800,0xff105ffc,0xff70003f,
    0xff300009,0x5c7fee07,0x37fec1ff,0x200fffa0,0xfffffffa,0x2ffec00e,
    0x2a1ffe40,0x7ffe47ff,0x2fffffff,0xff983ffc,0x03ffd805,0x3e017ff6,
    0x4bff307f,0x7c000efe,0x0bff307f,0xfff01e64,0x6c17fe60,0xfb0005ff,
    0x0664c07f,0x2e07ff30,0x83ff71ff,0xfb04fff8,0x7fec00bf,0x75104fff,
    0x7001fffb,0xff713dff,0xeeffe8ff,0x44ffeeee,0x3a60cfff,0x26f6e3ff,
    0x220fffea,0x00fffdba,0x260cfff8,0x3fea3ffe,0x209b312e,0x3a60cfff,
    0x7ff103ff,0x3067ffc0,0x2ea27ffd,0x5c00fffd,0xfffea9bd,0x301ff200,
    0x5c555bff,0x03ff71ff,0xfb85fff5,0x3fe000ff,0x7fd4009b,0xf1001fff,
    0xfdffffff,0xa82ffc4f,0x7ffdc6ff,0x44ffffff,0xfffffffb,0x7ffffd42,
    0xffff7001,0x709fffff,0x9fffffff,0x3ffffee0,0x2a04ffff,0x3fee00ff,
    0x4fffffff,0x07ffffea,0x3ffffee0,0x27f402ff,0x3ffffe60,0x2e3ff70f,
    0xbff501ff,0x2001fff8,0xf5000ffa,0xa80019df,0xfb9dfffe,0xf80ffee7,
    0x7fecc1ff,0xea81deff,0xa80dffff,0x4000ceff,0xdeffffd9,0x3fff6a01,
    0x3f6600be,0x401defff,0xfd9806fc,0x541defff,0x5000ceff,0x01bffffd,
    0xe9805ff0,0xf70eeeee,0x807fee3f,0x00f4c0ea,0x1000f2a0,0x02620000,
    0x6c01ffb0,0x000403ff,0x00004002,0x00400020,0x00000100,0x00040040,
    0x00000040,0x5c7fee00,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x02ca80cb,0x91001310,0x004cc019,0xeec80600,
    0x04c03eee,0x00066200,0x18800155,0x21db9300,0x3000cde9,0x00055435,
    0x2600aaaa,0x055532aa,0x5c400110,0x3ffa0c3c,0x7fcbff06,0xffffffff,
    0xf713335f,0x1fff88df,0xffffdb30,0x1bff605b,0x80027fcc,0xffb00ffc,
    0x3a209fff,0x7ecc05ff,0x801effff,0x7fc000ff,0x7fffe400,0x05ffff50,
    0xff75df70,0x77fdc003,0x4f7fcc01,0xb101effa,0x401bffff,0xebeffff8,
    0x0bfffa1f,0xffff97fe,0x5fffffff,0xfff97ffb,0xc83fff98,0xffffffff,
    0x20fffd04,0xf0004ff9,0x332e01ff,0x5fb04ffc,0x3fee07f7,0x01ffffff,
    0x22003fc4,0x7ffd407f,0x3ff6e23c,0x7ff4400f,0x3ee004ff,0x7fcc00df,
    0x204ffa8d,0xfffffff9,0xf79f501f,0xffe8dfff,0x325ff86f,0xcdffeccc,
    0x35ff93cc,0x1dfb07ff,0xbcefffc8,0xff504fdc,0x013fe605,0x4007ffc0,
    0x2fd04ff8,0xfff983f9,0x81dcaabd,0xcdffedb8,0x407f9800,0x7dc01ffd,
    0x3795003f,0x01554400,0x06aa2aa8,0xccefff88,0x88607ffe,0x7ff40acb,
    0x02ffc2ff,0x3f205ff9,0x3e60002f,0x003103ff,0x8027fcc0,0xbfffaaa8,
    0xff882aaa,0x3ffdf704,0x400bff70,0xfffffffa,0x37dc402f,0x2201bfa0,
    0x000004ff,0x0003fdc0,0x222ffdc0,0x80003ffe,0x7c6ffffe,0x0bff205f,
    0x5544ffe4,0x7ec2aa81,0x2aaa004f,0xff301aaa,0x302b2e69,0xffffffff,
    0x9ff10fff,0xc80e6540,0xff3005ff,0x5fbdfddf,0x3ffffae0,0x00bff00f,
    0x3ffc17fe,0x2004ffa8,0x07ff84fe,0xfff09ff5,0xf8dff503,0x29ff507f,
    0x22ffcefe,0x3ff205ff,0xf33ff702,0xf8ffd09f,0x3f6001ff,0xf305ffff,
    0xdffff99f,0x7ffffcc1,0x887fffff,0x41ffe4ff,0xfff74ffa,0x4ffc8019,
    0x7f4045fb,0x01ffffff,0x3fe00bff,0x2a0fff05,0x32a204ff,0x7ff81ffc,
    0xf889ff50,0x8fff106f,0x9ff507ff,0x9bfe3bfa,0x3ff205ff,0xf31dd502,
    0x44ffd09f,0x4cccc7ff,0x3ffff609,0xffff305f,0x40dfffff,0xf8800fff,
    0x541ffe4f,0xffff14ff,0x3ffa03bf,0x7e403fd2,0x1dcfedff,0x3e00bff0,
    0x20fff05f,0xff904ffa,0xff07ffff,0x513fea0f,0x7ffc0bff,0x7d41ffe0,
    0x3f2dfd4f,0x640bff3f,0xff3002ff,0x7ccffd09,0x7ffffc6f,0x20bff304,
    0xf32ffff9,0x3ffe05ff,0x24ff8800,0x9ff507ff,0x7fffffcc,0x577fe41e,
    0xfff100ff,0xf8807fa3,0x0ffb004f,0x7fd41ffe,0xfefffd84,0x3ffc3fff,
    0x7dc4ffa8,0x87ffe04f,0x9ff507ff,0xb7fc5bfa,0x3ff205ff,0xf37ff302,
    0x54ffd09f,0x7fffc6ff,0x0bff304f,0xf907ffe6,0x03ffe09f,0xff93fe20,
    0x889ff507,0x2ffffffc,0x3fffffe6,0x7cdff501,0xffd9980f,0x5bff7002,
    0xfa83ffc1,0x477fcc4f,0x21fffff9,0x9ff507ff,0x3a04ffb8,0x41ffe1ff,
    0x4dfd4ffa,0x05ffbffc,0x7d40bff2,0xe84ff98f,0x31bfe67f,0x2609ff73,
    0xbff305ff,0x3e0bff50,0xff8800ff,0x7d41ffe4,0x3ffaa04f,0x3ffee0ff,
    0x7dc1efff,0xf10ff14f,0xb8007dff,0x1ffe6fff,0x3f627fd4,0xff7df71f,
    0xfa83ffc5,0x02ffd44f,0x3ffc1fff,0xdfd4ffa8,0x2fffffc4,0x3205ff90,
    0xd09ff35f,0x07ffc4ff,0xf9827fd4,0x09ff305f,0x3fe0dff3,0x4ff8800f,
    0x7fd41ffe,0x1fffb804,0x7ffffe44,0x4d3ff23f,0xefff886f,0x7ffe4001,
    0x7d41ffe6,0xfd3ff44f,0x7fc9ff37,0xa89ff507,0xfff106ff,0xff507ff8,
    0xff91bfa9,0x7fe40bff,0x3e639702,0x7c7fe84f,0x4ffa83ff,0x260bff30,
    0x5ffa84ff,0x1001fff0,0x83ffc9ff,0xff004ffa,0x3fbf205f,0xdff51fff,
    0x75cc17ea,0xff9001ff,0x83ffc139,0xb7fc4ffa,0x6ff88ff9,0x7fd41ffe,
    0x407ffc44,0x3ffc5ffa,0xdfd4ffa8,0x05ffff88,0x4c00bff2,0x47fe84ff,
    0x7d41fffb,0x0bff304f,0x3ee13fe6,0x05ffd03f,0x7fc9ff10,0x029ff507,
    0xb00fff88,0x27fff35f,0x4fbbfff9,0x801ffcc0,0x0fff06fe,0xdff13fea,
    0x2ffc5bf2,0x3fea0fff,0x445ffd84,0x3ffc2ffe,0xdfd4ffa8,0x40bfff90,
    0xf3002ffc,0xd0ffd09f,0xfb57bfff,0x17fe609f,0x3e227fcc,0xdffb02ff,
    0xff105335,0xfa83ffc9,0x557bfb4f,0x740dfff9,0x6c7ffb1f,0xfdefffff,
    0x200bff01,0x0fff05ff,0xffb13fea,0x27fd4ffa,0x3fea0fff,0xbefffa84,
    0xff86ffec,0x3a9ff507,0x5fff886f,0x400bff20,0x7fe84ff9,0xfffffe98,
    0x55514fff,0x1555dff9,0x2a67bfe6,0x3e605ffe,0x887fffff,0x41ffe4ff,
    0xfffb4ffa,0x41ffffff,0x3a23fe09,0x3ff621ff,0xf01fffff,0x17fe00bf,
    0x7d407ffc,0x7e7fe44f,0x7c5ffb0f,0x4ffa80ff,0xffffff90,0x1fff01df,
    0x3fa9ff50,0x40bff906,0xf3002ffc,0x40ffd09f,0xcfffffec,0xffffff31,
    0x3e65ffff,0xefffffff,0x7fff5400,0x24ff886f,0xffa80fff,0xffffff94,
    0xdefe819f,0x06fffdff,0x19dfffb5,0x7c017fe0,0x01ffd05f,0xff987ff7,
    0x6ffd9eff,0x7dc07ff4,0x3ffaa03f,0xffd00cff,0x007ff701,0x00013fee,
    0xfd09ff30,0x0133100f,0xfffffff3,0x3fe65fff,0x003effff,0xf8804cc4,
    0x203ffa4f,0x4cc43ffb,0x3fffa009,0x00efffff,0x5ff803fc,0x360bff00,
    0x1ffd83ff,0xffffffa8,0x1ffec1ff,0x6400ffec,0x7fec02ff,0x001ffd83,
    0x64c05ffd,0xff00000c,0x00cc980f,0x7ccdfb00,0x980018cf,0x7fc400cc,
    0x360fff64,0x199301ff,0x3fffb2a0,0x7f8802ce,0x100dfd00,0x3fea09ff,
    0x6ffc99bf,0x3ffffee0,0xbfffa80d,0x006ffc99,0x0e61dff5,0x9337fff5,
    0xfb700dff,0x3fe401ff,0x6ff98000,0x8003fe40,0x3fe60ffa,0x1ff20004,
    0xfa93fe20,0xffc99bff,0x401ff206,0x7d4003fc,0x01ffb006,0x3603ffa8,
    0xffffffff,0x0277f201,0x3fffff60,0xf1001fff,0x83ffffff,0xfffffffd,
    0xffff801f,0x0027f403,0xffea9b98,0x0027f403,0x3e60ffd8,0x3fa0004f,
    0xff755504,0xfffffd89,0x3fa01fff,0x005fb004,0xf5004fb8,0x65c459ff,
    0x7dc00fff,0x400dffff,0x7dc002ff,0x000dffff,0x7fffffcc,0xfffffb82,
    0x3bff000d,0x0005ff00,0x3fffffea,0x0017fc00,0xf36fffc8,0x7fc0009f,
    0xfffffb02,0xfffff709,0x02ff801b,0xc8003ff0,0x3ff6003f,0xffff50ff,
    0x004c4007,0x0000cc88,0x50000131,0x98801597,0x00000000,0xffff9800,
    0x8000000c,0xdd34fec8,0x64000007,0x203eeeee,0x00000098,0x20000000,
    0xbd30eeca,0x00000039,0x00000000,0x00000000,0x20000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x2a00c3cb,0x540aaa1a,0x500002aa,
    0x0aa80555,0x2aa600aa,0x02aa6000,0x81555400,0x007260cb,0x7f402662,
    0x55ff80ff,0x5bdfffff,0x00e64000,0xcb802aa8,0x98007260,0x0aa98000,
    0x2003ffc8,0xebeffff8,0x2ffea01f,0xfd300efd,0xfd80007f,0x6fec00df,
    0x7d407fda,0xfa800eff,0x6c000eff,0xffa80dff,0x9803ffe5,0xfe80efff,
    0x55ff83ff,0xffffffff,0x1ff3000d,0x0bfff700,0xfff2ffd4,0x5ffe8801,
    0x3bffea00,0x001ffe40,0xffff79f5,0xdfff300d,0x3ffd8801,0x07ffb000,
    0x3ffffe60,0x36ffea02,0x3fea01ff,0xb001ffdb,0x7fd407ff,0x4c03ffe5,
    0x40efecff,0xff86fffe,0xfb9dff55,0x22009fff,0xfc805fc9,0xa80efeaf,
    0x03ffe5ff,0x07f75fb0,0xffb7ff50,0x001ffe43,0x00acb886,0x40015530,
    0x4c000aaa,0x544001aa,0x0d5400bc,0x0d540555,0x55300555,0x4c197003,
    0xa86aa02c,0x7ffff41a,0xffaaffc2,0x1037fec4,0x07fffffb,0x2aa0aa88,
    0x64c19701,0x7f37e802,0x55435500,0x000fff22,0x31000088,0x00088003,
    0x44000110,0x06620009,0x4c400000,0x33000001,0x3fffa001,0xfaaffc6f,
    0x83ffcc4f,0xfffffff9,0x0262000e,0x5c000880,0x0001ffef,0x000fff20,
    0x1bffffb1,0xffffd980,0xffb101ef,0xd8801bff,0x800dffff,0xdffffed9,
    0xffffd982,0x83ffc1ef,0xfd984ffa,0x7c1effff,0x49ff507f,0xfd004ff9,
    0x7fc3ff9d,0xf989ff55,0xdfff886f,0x405fffdb,0xdffffed9,0xffffd882,
    0x3995000d,0xfffffb00,0x1ffe4fff,0xfffff500,0x3ee03fff,0x1fffffff,
    0xffffffa8,0xfff501ff,0x403fffff,0xfffffffc,0x7fffdc4f,0x7fc1ffff,
    0xb89ff507,0xffffffff,0xfa83ffc1,0x013fe64f,0x2ffcf7f4,0x93feabff,
    0xfc83ffe9,0x3ffffa4f,0xfffff903,0xffa89fff,0x01ffffff,0x007fffd4,
    0x3ffffff6,0x00fff27f,0x6677ffc4,0xff987fff,0x1dcaabdf,0x6677ffc4,
    0xff887fff,0x7fffccef,0x79dfff90,0x7fcc9fb9,0x1dcaabdf,0xffa83ffc,
    0x2f7ffe64,0x7fc1dcaa,0x4c9ff507,0xdfd004ff,0xaffc7ff6,0xfffffffa,
    0x21fff04f,0x85ffbff9,0xcbcefffc,0x3ffe24fd,0x07fffcce,0x017fffe4,
    0x3f33332e,0x00fff27f,0x3a22ffe4,0x2ffdc3ff,0x88bff900,0x7fe43ffe,
    0x21fff445,0x3103fff9,0xf002ffdc,0x93fea0ff,0x3e005ffb,0x49ff507f,
    0xfd004ff9,0x7fd3fead,0xffffff55,0x97fe601f,0x98dff6fb,0x43103fff,
    0x7f445ffc,0x3fffe03f,0xfff0005f,0xf801ffe4,0x6ffb80ff,0xf002ffe4,
    0xdff701ff,0xfb80fff8,0x027fec6f,0x400bff90,0x9ff507ff,0xf002ffe4,
    0x93fea0ff,0x79934ff9,0x7ff4dfd0,0xbff55ff8,0x2a0dffd7,0x753fa4ff,
    0x027fec7f,0xf701fff0,0x37fe60df,0xff0007ff,0x401ffe4f,0xff106ff9,
    0x0cfffb8f,0x8837fcc0,0x1bfe67ff,0x3fe3ffc4,0x3fee001f,0x7ff800cf,
    0x7dc9ff50,0xff800cff,0x4c9ff507,0xffffdcff,0xfb9bfa0e,0xff55ffcf,
    0x20fffa29,0x3ff14ffb,0xfff87ffa,0x0dff3001,0x7dc1ffe2,0x001ffeaf,
    0x3ff27ff8,0x05ffa803,0xff883ffe,0xf501dfff,0x87ffc0bf,0x3fe05ffa,
    0x98fff10f,0x3e209999,0x201dffff,0x9ff507ff,0x6fffffc4,0x541ffe01,
    0x3ffe64ff,0x24ffffff,0x7fffc6fe,0x549ff55f,0x4ffb87ff,0x8fff4ff7,
    0x4ccc7ff8,0x0bff5099,0x7f407ffc,0x0009ff77,0x1ffe4fff,0xf027fdc0,
    0xfff983ff,0x7dc1efff,0x47ffe04f,0x3fe04ffb,0xf8dff31f,0x7cc4ffff,
    0x81efffff,0x9ff507ff,0xffffff98,0x507ff81e,0x7ffcc9ff,0x74dff52f,
    0x7fffe46f,0xfe89ff55,0xda7fd43f,0x4c3ffa4f,0x7fffc6ff,0x409ff74f,
    0x7fc41fff,0x000dff35,0x1ffe4fff,0xd027fdc0,0xff9103ff,0x7dc5ffff,
    0x47ffa04f,0x3fa04ffb,0xf8dff51f,0xc884ffff,0x42ffffff,0x9ff507ff,
    0xfffff910,0x507ff85f,0x7ffcc9ff,0xdfd3ffc1,0x55ffff88,0x6ffb89ff,
    0x7fc6ffc4,0xffa9ffe1,0xa7ffffc6,0x3fa04ffb,0xf1ffd41f,0xff8001ff,
    0x3337ff27,0xff50cccc,0x007ffc0b,0x43ffffaa,0x3fe05ffa,0x40bff50f,
    0xdff30fff,0x04ffb998,0x07ffff54,0x3fea0fff,0x7fff5404,0x541ffe0f,
    0x17fe64ff,0x86fe9ffa,0xff55fffc,0x42fff889,0x2a7fbfff,0x1bfe65ff,
    0x2a9ff733,0x3ffe05ff,0xfb0ffec0,0x7ff8007f,0x3ffffff2,0xdff30fff,
    0x801ffe20,0xff31fffb,0x99ffe20d,0xfff106ff,0x5407ffc4,0xff7004ff,
    0x407ffc3f,0xf7004ffa,0x07ffc3ff,0xff327fd4,0x7f4ffd09,0x55fff986,
    0xdff909ff,0x25ffffe8,0x3fe22ffe,0x34ffa80f,0x3fe20dff,0x7d47ff87,
    0x3ffc005f,0xfffffff9,0x3ffe21ff,0x005ffa80,0xff897ffc,0x25ffa80f,
    0xfa80fff8,0x41fffc5f,0x3e004ffa,0x03ffa2ff,0xf800ffee,0x03ffa2ff,
    0xff98ffee,0x0007fe84,0x3fe20000,0x6ffebcff,0xfa83fff8,0x01fff14f,
    0xff98bff5,0x7ffdccce,0x01ffe200,0x88bffb00,0x10042ffe,0x7fec1fff,
    0x217ff445,0x7f445ffd,0x0fffdc2f,0x20093fea,0x3f60fff8,0x21ffd83f,
    0x83ffe200,0xffd83ffd,0x3a13fe61,0x0332607f,0x400664c0,0xfffffffa,
    0x1fffb80e,0xffb27fd4,0x42ffe88b,0xfffffffc,0xa8082fff,0x0f3206ff,
    0xcbefff98,0xdfd86ffe,0x6fffcaab,0x65f7ffcc,0xff986ffe,0x6ffecbef,
    0x57bfffd0,0x6fec9ffb,0x6fffcaab,0x4cdfffd4,0x6fec6ffc,0x6fffcaab,
    0x4cdfffd4,0x7fcc6ffc,0x3207fe84,0x1ff2007f,0xfffffd80,0x6ffff404,
    0x264ffdab,0xfecbefff,0xeeffe86f,0x84ffeeee,0xfffb9ade,0x807ff103,
    0xfffffffc,0xffffd81e,0xc80fffff,0xefffffff,0xfffff901,0x3a603dff,
    0xffffffff,0x3fffff64,0xfd80ffff,0x1fffffff,0x7fffffec,0xffd80fff,
    0x41ffffff,0x7fe84ff9,0xe8013fa0,0x2ffe004f,0xffd30009,0x89ffffff,
    0xfffffffc,0x82ffc41e,0xffe86ffa,0x2a06ffff,0xfea800ff,0x3f204fff,
    0x0cffffff,0x3ffffaa0,0xfffea804,0xffd9004f,0x7e439fff,0x0cffffff,
    0x3ffffee0,0xffffc80d,0x2e00cfff,0x80dfffff,0x7fe84ff9,0xf800bfe0,
    0x1ff5002f,0x3ffb2000,0xea81cfff,0xf704ffff,0x0fffc07f,0x13ffffee,
    0x3000df90,0x4ccc4001,0x00098000,0x22000130,0x4cc40099,0x04c40009,
    0x00999880,0x26004c40,0x07fe84ff,0x54000000,0x9880003c,0x00260009,
    0x7ec01ffb,0x0013103f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4aaa6000,0x26002aa9,
    0x1a980aaa,0xda8002aa,0x13330003,0xaa82aa20,0x002aa801,0x2a002aa6,
    0x2a0002aa,0x5550003d,0x7427fd45,0x2aaa85ff,0x3ffff200,0x0d5402ff,
    0x55300555,0x43cb8801,0x26666001,0x9eff9809,0x3001effa,0x3ee05fff,
    0x001ffbae,0x8005fff1,0x3201effc,0x805febff,0xa805fffb,0x4c00efff,
    0x88003ffe,0x6c002fff,0x3fea0dff,0x4077fdc4,0x9003ffe9,0x05ffffff,
    0xefdbffa8,0x77ffd400,0xdffff100,0x32203fd7,0x5fffffff,0x7d46ffcc,
    0x3fe6004f,0x3ffa200e,0x3e2004ff,0x3f2002ff,0xfff7004f,0xd5ff900b,
    0x3fea01df,0x4401ffdb,0x44003ffd,0x36002fff,0x4ffa83ff,0x8807ffe6,
    0x98803ffd,0x80099999,0x400efff9,0x1ffdbffa,0xfffbcfa8,0xffff706f,
    0xa8bfffff,0x0006aa2a,0x65400555,0x4eb8001b,0x006aa200,0x51005550,
    0xa80d5415,0x400aaa1a,0x5c000aaa,0x2aa6004e,0x749ff501,0x555004ff,
    0x00044001,0x5400554c,0x0c0aaa1a,0xf3015971,0xf13fffff,0x000440bf,
    0x110004c0,0x20098000,0x00999998,0x30001300,0x00044001,0x04c40000,
    0x9ff50000,0x0001bfee,0x7fffec40,0x0000000d,0x3f600000,0xf89fffff,
    0x7ffec45f,0xd91000df,0x101dffff,0x01bffffb,0xffffd910,0xffffd81d,
    0xfd91005f,0x2201dfff,0x0effffec,0xdffffd88,0x2a0fff00,0xfdb304ff,
    0x7fc5bfff,0x2a9ff507,0x0fff8cff,0x3ffffe20,0x7d46ffff,0x1fffffff,
    0xf80fffe8,0x7fffec5f,0x3fa6ffff,0x25ff80ff,0x9fffffff,0x3fea5ff8,
    0x01ffffff,0x7fffffd4,0x7ffd41ff,0x201fffff,0xfffffffa,0x7fffec1f,
    0xfffa805f,0xa81fffff,0xffffffff,0x7ffffd41,0x7ff81fff,0xf909ff50,
    0x9fffffff,0xffa83ffc,0xffd9ff54,0xffff8807,0x226fffff,0xffccefff,
    0x3fffe87f,0x7fec5ff8,0x26ffffff,0xff83fffe,0x3fffffe5,0xf15ff89f,
    0xfff99dff,0x7fffcc0f,0x221fdcbd,0xffccefff,0xffff307f,0x403fb97b,
    0x7cc05ff9,0xfdcbdfff,0x6ffffcc1,0x3e21fdcb,0xfffcceff,0xf507ff87,
    0xefffc89f,0x3e4fdcbc,0x29ff507f,0x06fffffa,0xffdaaa88,0x3ff22aac,
    0x21fff445,0xff86fffe,0x666ffec5,0x3ffa3ccc,0x3a5ff86f,0x89ffffff,
    0x8bff95ff,0xfd03ffe8,0x641101df,0x7ff445ff,0x80effe83,0x17fe6008,
    0x101dffd0,0x80effe81,0x117ff208,0x7ff87ffd,0x7cc9ff50,0x7c3103ff,
    0x29ff507f,0x1fffeffa,0x817fe400,0xffb80fff,0x17ffff46,0x3ffb17fe,
    0x5ffffd00,0x3ff25ff8,0xff89ffff,0xf701fff5,0x1fff50df,0x203ffe00,
    0x7fd46ffb,0xff30000f,0x07ffd40b,0x00fffa80,0xf701fff0,0x507ff8df,
    0x27fec9ff,0x2a0fff00,0x99ff54ff,0xfc800dff,0x06ff982f,0xffe8fff1,
    0x22ffc6ff,0xfe801ffd,0x2ffc6fff,0x3fffffd1,0xdff3bff1,0x321ffe20,
    0xff3004ff,0x91ffe20d,0x4c0009ff,0x3ff205ff,0x13ff2004,0x8837fcc0,
    0x83ffc7ff,0x3ffe4ffa,0x41ffe001,0x9ff54ffa,0x4007fff1,0xffa82ffc,
    0xe83ffe05,0x3e1ffcef,0x00ffec5f,0x0ffe77f4,0xffd88bff,0xadff89ff,
    0x3ffe05ff,0x801ffec0,0x3fe05ffa,0x00fff60f,0x205ff980,0x36003ffd,
    0xff5003ff,0xf07ffc0b,0x53fea0ff,0x4ccc7ff8,0x41ffe099,0x9ff54ffa,
    0x4007ffea,0xffb82ffc,0xe87ffe04,0x3e5ff9ef,0x567fec5f,0x3fa1aaaa,
    0x3fe5ff9e,0x11b97305,0x09ff7bff,0x3fa0fffc,0x9ff7002f,0xfd0fffc0,
    0x7cc0005f,0x0bffa05f,0x002ffe80,0x7fc09ff7,0x541ffe1f,0x8dff34ff,
    0x3e4fffff,0x29ff507f,0x3ff64ffa,0x05ff9006,0x7f409ff7,0x7edbfa1f,
    0xfd8bff1f,0x3fffffff,0x8ffedbfa,0x3e2005ff,0x204ffbdf,0x7ffc1ffe,
    0x09ff7002,0xfff0fff4,0x7fcc0005,0x00bffe05,0x7002fff8,0x7ff409ff,
    0x7d41ffe1,0xf8dff54f,0x3fe4ffff,0x2a9ff507,0x3ffe24ff,0x82ffc804,
    0x3fe05ffa,0x7d5bfa0f,0xfd8bff4f,0x3fffffff,0xa7fd5bfa,0x3e2005ff,
    0x205ffadf,0x7ff40fff,0x0bff5003,0xffd07ffc,0x7fcc0007,0x00fffa05,
    0x5003ffe8,0x7ffc0bff,0x7d41ffe0,0x98dff34f,0x3fe4ffb9,0x2a9ff507,
    0x7ffdc4ff,0x417fe401,0xff106ff9,0x3fa6fe8f,0x7ec5ff8f,0x26fe801f,
    0x05ff8ffe,0x3e77fe20,0x0fff106f,0x26009ffb,0xfff106ff,0x0004ffd8,
    0xfd817fe6,0x3ff6004f,0x0dff3004,0xfff1ffe2,0x229ff501,0xffa80fff,
    0x2a03ffe4,0x09ff54ff,0xfc80dffd,0x0fff882f,0x7f45ffa8,0x3ff3fee6,
    0x400ffec5,0x33fee6fe,0x3e6005ff,0x80fff8df,0xffb85ffa,0xfff8800f,
    0x5c5ffa80,0x30000fff,0x7fdc0bff,0xfff7000f,0x1fff1001,0xfe8bff50,
    0x23ffb80f,0xffa83fff,0x2e03ffa4,0x800003ff,0xffb02ffc,0x42ffe88b,
    0x7fffc6fe,0x00ffec5f,0x3ffe37f4,0x3ee005ff,0x88bffb4f,0xff882ffe,
    0x360880df,0x7ff445ff,0x06fffc42,0xbff30044,0x06fffc40,0xbfff1044,
    0x7fec1101,0x217ff445,0xffd83ffd,0x507ffee1,0x1ffec9ff,0xc980ffec,
    0x7fe4000c,0x7dfff302,0xfd0dffd9,0x5ffffc8d,0x7400ffec,0x7fffe46f,
    0x7f443885,0x7dfff32f,0x5c0dffd9,0xecbdffff,0x3bffe61f,0x706ffecb,
    0xd97bffff,0x2ffcc03f,0x37fffee0,0x7dc1fecb,0xfecbdfff,0x2fbffe61,
    0xfa86ffec,0xffc99bff,0xbdfffe86,0x3ea4ffda,0xffc99bff,0x201ff206,
    0xcffdaaa8,0x7ffe42aa,0xe81effff,0x7fffc46f,0x666ffec5,0x1bfa3ccc,
    0xb0bffff1,0xdfffb9df,0xffffffc8,0x7fe401ef,0x41ffffff,0xfffffffc,
    0x3fff201e,0x221fffff,0xaeffcaaa,0xfffc80aa,0xc81fffff,0xffffffff,
    0x7ffffe41,0xffb01eff,0x03ffffff,0xffffffd3,0xfffd89ff,0x201fffff,
    0xff8804fe,0x6fffffff,0x4ffffea8,0x3f21bfa0,0x7ffec5ff,0x3a6fffff,
    0x5fffc86f,0x7fffff44,0xffea81ef,0x36a004ff,0x80ceffff,0x04ffffea,
    0xdffffb50,0x7fffcc19,0x02ffffff,0x9dffffb5,0x3fff6a01,0xfea80cef,
    0xfb804fff,0x400dffff,0xcfffffec,0xfffffb81,0x017fc00d,0x7fffffc4,
    0x04c06fff,0x7cc37f40,0x7ffec5ff,0x3a6fffff,0x5fff986f,0x079dd950,
    0x10000260,0x004c0013,0x26013100,0xffffffff,0x098802ff,0x0004c400,
    0x13100013,0x01331000,0x00002620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x97000000,0xfc80e4c1,0x002fffff,0x55415554,0x5540002a,
    0x8013002a,0x007260cb,0xf02aaa60,0x13fea0ff,0x2200aa98,0xb8800099,
    0x54000c3c,0x66cc02aa,0x01553000,0x7fffffc4,0xaaa87fff,0x21a98002,
    0x7fd400aa,0x3203ffe5,0x02ffffff,0x2037ff60,0x0003ffe9,0x2201bffb,
    0x0effffec,0xfff2ffd4,0x7ffcc001,0xf507ff83,0x3ffea09f,0x09ff300e,
    0xeffff880,0x36001feb,0x7f400dff,0xfffa804f,0xffff100e,0x30ffffff,
    0xb8007ffd,0x01ffbaef,0xfff2ffd4,0x33333101,0x3ff60013,0x1ffec403,
    0x80fff600,0xfffffffa,0xf2ffd41f,0x3e6001ff,0x0fff01ef,0x3ea13fea,
    0xd01ffdbf,0x7d4001ff,0x06ffffbc,0x400fff60,0x7d404ffe,0x881ffdbf,
    0xacffdaaa,0x7ffb102a,0x7fff4400,0x4197004f,0x000002c9,0x54003553,
    0x553000aa,0x7fffcc03,0xb81fdcbd,0x800b260c,0x3ffc02aa,0xaa84ffa8,
    0x7d40aaa1,0x710c003f,0x2a600159,0x3766001a,0x550d5400,0x05ff9005,
    0x00055540,0x00006f2a,0xfa83ffc0,0x0000004f,0x7ff40000,0x0000880e,
    0x7ff80000,0x0009ff50,0x00037fc0,0x00000000,0xfc800000,0x0000002f,
    0x3fff6000,0x3e6fffff,0x89ff507f,0xfffffffd,0xffffd86f,0x7e46ffff,
    0xfffa803f,0xfffa8000,0x7ffd400f,0xff02deff,0x413fea0f,0x400ffffa,
    0x54002ffb,0x2200ffff,0xffffffff,0x7fffc46f,0xf96fffff,0x02ff980f,
    0x2a005ff9,0x2200ffff,0xffffffff,0x3fff606f,0x3e6fffff,0x89ff507f,
    0xfffffffd,0xffffd86f,0x7e46ffff,0x4ffc803f,0xffff9000,0xffffa805,
    0xff86ffff,0x209ff507,0x402ffffc,0x64005ff8,0x2202ffff,0xffffffff,
    0x7fffc46f,0xf76fffff,0x0ffcc01f,0x9002ffc8,0x4405ffff,0xffffffff,
    0x37ff606f,0x3e3ccccc,0x89ff507f,0xccccdffd,0xcdffd83c,0x7e43cccc,
    0x3ffd803f,0xfffff000,0xceffa80b,0x7c4ffffd,0x09ff507f,0x017ffffe,
    0xf8007ff6,0x2205ffff,0xacffdaaa,0x6d55442a,0xf72aacff,0x0ffcc01f,
    0xf002ffc8,0x440bffff,0xacffdaaa,0x07ff602a,0x7d41ffe0,0x00ffec4f,
    0x2003ffb0,0xfe803ffc,0xff98002f,0x7d407ffd,0x237fec4f,0x9ff507ff,
    0xfffbff30,0x009ff300,0x1fff7fe6,0x002ffc80,0x3ea0bff2,0x03fea00f,
    0x4c017fe4,0x007ffdff,0x6c00bff2,0x7ff801ff,0xfd89ff50,0x3ff6001f,
    0x07ff9001,0x0005fff0,0x3ffd5ff7,0x2627fd40,0x83ffc7ff,0xffb84ffa,
    0xe801ffea,0xffb800ff,0x9001ffea,0x7e4005ff,0x01ffa82f,0x7e403fea,
    0xaffb802f,0xf9001ffe,0x3ff6005f,0x507ff801,0x1ffd89ff,0x007ff600,
    0x7401ffe4,0xfe8003ff,0x5409ff77,0x37fcc4ff,0x3ea03ffe,0xf77fe84f,
    0x7ff5009f,0x3eeffd00,0x5ff9004f,0x417fe400,0x1ff11ff9,0xffc81fea,
    0xf77fe802,0x3ff2009f,0x59ffb002,0x7fc35555,0xd89ff507,0xaaaaacff,
    0xaacffd81,0x7fe41aaa,0x04ffd803,0xf9affc40,0x93fea06f,0x7f43ffe9,
    0x42ffb80f,0xdff35ff8,0x101bfe00,0x1bfe6bff,0x0017fe40,0xff305ff9,
    0x7d4bfee3,0x00bff207,0x3fe6bff1,0x05ff9006,0x3fffff60,0x1ffe3fff,
    0x3f627fd4,0x3fffffff,0xffffffd8,0x1ffe43ff,0x007ffdc0,0x7fc7ff50,
    0xffff500f,0xfb09ffff,0x81ffb07f,0x3ffe3ffa,0x02ffc800,0xfff8ffea,
    0x02ffc800,0x260bff20,0x2bffb1ff,0x3ff207fb,0xf1ffd402,0xff9001ff,
    0x3fff6005,0x3e3fffff,0x89ff507f,0xfffffffd,0xffffd83f,0x7e43ffff,
    0xfff8803f,0x7ec0880d,0x40fff61f,0xfffffffa,0x37fff500,0xfb0dff93,
    0x01ffec3f,0xfb02ffc4,0x01ffec3f,0x90017fe4,0x5ff105ff,0x3eeffff1,
    0x3f6aaa26,0xfd82aacf,0x00fff61f,0x6c00bff2,0xfff801ff,0x6c4ffa80,
    0x3f6001ff,0x7ff9001f,0x3ffff200,0x7c1fecbd,0x82ffd47f,0xffebdffa,
    0x3ffff606,0xff80efff,0x802ffd47,0xfff00ffd,0xc805ffa8,0x3f2002ff,
    0xaaff882f,0x6fb9ffdf,0x3fffffe2,0x7ff87fff,0x6402ffd4,0xffb002ff,
    0x01ffd003,0xffd87ff7,0x07ff6001,0x001ffe40,0xfffffff9,0x677fcc3f,
    0x507ffdcc,0x3ffa29ff,0x3fffee03,0x9dff303f,0x00fffb99,0x3e613fe6,
    0xffdcccef,0x02ffc807,0x7c0bff20,0xcfeafdaf,0x3ffe25fc,0x47ffffff,
    0xdccceff9,0xffc807ff,0x03ffb002,0xfb07ffb0,0x01ffd83f,0x4007ff60,
    0x54003ffc,0x0cfffffd,0x3ffffff2,0xfa82ffff,0x01ffea4f,0xfc80ffea,
    0xffffffff,0x1ffd002f,0xffffffc8,0x6402ffff,0x3f2002ff,0xff7ff02f,
    0x0bf9df71,0xf90ffe20,0xffffffff,0x2ffc805f,0x003ffb00,0x9337fff5,
    0x3ffb0dff,0x00ffec00,0x0003ffc8,0x3fa01bff,0xfeeeeeef,0x44ffa84f,
    0x7f403ffe,0x777ff405,0x04ffeeee,0xfe87ff50,0xfeeeeeef,0x17fe404f,
    0x205ff900,0xff35feff,0x3fa00bfd,0xeeeffe85,0x404ffeee,0xfb002ffc,
    0x799999bf,0xffffffd8,0xdffd81ff,0xd83ccccc,0xcccccdff,0x666ffe43,
    0xf300cccc,0x17fe203f,0x7d437fd4,0x037fdc4f,0x7c409ff1,0x0dff505f,
    0xff137fc0,0x11bfea0b,0x59ffb555,0xdaaa8855,0x3a2aacff,0x3ffa3fff,
    0x5ff8804f,0xfa82ffc4,0x6d55446f,0x202aacff,0xfffffffd,0xffffb86f,
    0xfffb00df,0xb0dfffff,0xffffffff,0xfffffc8d,0xf500ffff,0x01ffdc0d,
    0xffa83fff,0x017ffc44,0xf705ffff,0x0fffc07f,0xf71ffc80,0x0fffc07f,
    0xfffffff1,0xfff88dff,0x26ffffff,0x3f20fffe,0xfff004ff,0x80ffee5f,
    0x3fe21fff,0x6fffffff,0x3fffff60,0x26206fff,0xffffd800,0xfd86ffff,
    0x6fffffff,0x7fffffe4,0x59500fff,0xb007fec0,0x4ffa87ff,0x2606ffc8,
    0xffd81efd,0x00fff600,0xffd96644,0x88fff600,0xffffffff,0x7fffc46f,
    0x366fffff,0x7ffcc6ff,0x5dfb3003,0xfd803ff6,0x3fffe23f,0x006fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x02aa2155,0x00aaaa00,0x22055550,0x2600c3cb,
    0xaa8000aa,0x9832e02a,0x0554c01c,0x00155300,0x01c9832e,0x402aaa80,
    0x36600198,0x5531000c,0x86aa0135,0x86aa02aa,0x988002aa,0x55435501,
    0xfbefd802,0xffd8004f,0x3ff6000d,0xffff880d,0xf501febe,0x6c001dff,
    0xff500dff,0xa807ffcb,0xa800efff,0x5400efff,0x03ffe5ff,0x80dffd80,
    0xefffffd9,0x027ff401,0x7fffffe4,0xfb7ff504,0x5ffd401d,0xe8000efd,
    0xb7ff507f,0x3f6001df,0xfd8003ff,0x7fec003f,0x3ef3ea03,0xff506fff,
    0xb003ffb7,0xffa807ff,0x2a03ffe5,0x01ffdbff,0x3ff6ffea,0xf97fea01,
    0xffb000ff,0x3fffee07,0x7401ffff,0x7fe404ff,0x204ffeef,0x800efff9,
    0x000efff9,0x2604ffa8,0x4000efff,0xa98002aa,0x554c001a,0x32e21801,
    0x5435500a,0x0d54c02a,0x3260cb80,0x55435502,0xaa86aa02,0x93065c02,
    0x06aa6005,0x55efffcc,0x6cc01dca,0x3ffe200d,0x2a600c41,0x2aa6000a,
    0x1ffb0000,0x000aa980,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x000005ff,0x000fff98,0x00000000,0x00017fe6,0x3ffffea0,
    0xff5002de,0x7ff401ff,0x225ff80f,0xffffffff,0x3fffe26f,0xf96fffff,
    0x17ff409f,0xfffffff1,0x07ff4dff,0xffca7fd4,0x64bffa04,0x3ffa04ff,
    0x3ffffee2,0xf92fffff,0x7fdc00bf,0xffffffff,0x00f7ffc2,0x3fffffee,
    0x3fe2ffff,0xffffffff,0x1ffc805f,0xffffffb0,0x3fea0dff,0x06ffffff,
    0x02ffffc8,0x3e0ffffa,0x3fffe25f,0x226fffff,0xffffffff,0x01fff16f,
    0xff88dff5,0x6fffffff,0x3ea03ffa,0x01fff14f,0x7fc4dff5,0x46ffa80f,
    0xfffffffb,0xfff72fff,0xfff70019,0x5fffffff,0x67ffffcc,0xfffff700,
    0x7c5fffff,0xffffffff,0x7fc405ff,0x3ffff606,0xf506ffff,0xffffb9df,
    0xfffff809,0x1bfffa05,0xaaa897fe,0x22aacffd,0xcffdaaa8,0x13ff22aa,
    0x5510bffa,0x5559ffb5,0x7d407ff4,0x213ff24f,0x7fe42ffe,0x542ffe84,
    0xfeeeeeee,0xffff11ff,0x775403bf,0xfffeeeee,0xffffff11,0xddd505ff,
    0x3fffdddd,0x7ff66664,0x5c03cccd,0x3ff602ff,0x03cccccd,0xffd89ff5,
    0x3f7fe606,0x3fffa07f,0x902ffc2f,0x3f2005ff,0x1fff102f,0x64037fd4,
    0x1ffd02ff,0x7c49ff50,0x1bfea0ff,0xfa83ffe2,0x7ff4006f,0x7ffffcc5,
    0x7f4001ef,0x233ff25f,0x003ffffc,0xf9017ffa,0x7fe8005f,0x000ffec0,
    0xff313fea,0x757fdc0f,0xfffd01ff,0x205ff8df,0xf9002ffc,0x27fe405f,
    0xf9005ffd,0x03ffa05f,0xff913fea,0xc817ff49,0x0bffa4ff,0x80fffc80,
    0xffffffc8,0x1fff9002,0xfd317ff4,0xff9003ff,0x2ffc801f,0x013fea00,
    0xa8003ffb,0x37fcc4ff,0x3feeffd0,0xff9dfd04,0xf902ffc3,0x3ff2005f,
    0x23ffe202,0xf9006ff9,0x03ffa05f,0xff113fea,0x40dff31f,0xff98fff8,
    0x3ffe6006,0xfffea802,0x7ffcc00f,0x222ffec2,0x7cc04ffe,0xffc802ff,
    0x03ff6002,0x8003ffb0,0x3fa64ffa,0x2bff103f,0xdfd06ff9,0x2ffcbff3,
    0x2005ff90,0x7e402ffc,0x002ffdbf,0x3fa05ff9,0xfdcccccf,0xdbffc84f,
    0x7fe402ff,0x2002ffdb,0x5c004ffe,0x7f401fff,0xcfffb84f,0xd017fee0,
    0x3f2009ff,0xbff1002f,0x559ffb00,0x3ea03555,0x4fffffff,0xff8ffea0,
    0xfb6fe80f,0xc817fe3f,0xff9002ff,0xffff8805,0x3ff2006f,0xfffffd02,
    0x109fffff,0x00dfffff,0x0dfffff1,0x0077fe40,0x9017ffc0,0x3fa01dff,
    0x9ff92fff,0x0077fe40,0x9002ffc8,0xffb003ff,0x07ffffff,0x3fffffea,
    0x0ffec00f,0xdfd07ffb,0x2ffd3fea,0x2005ff90,0xfc802ffc,0x32001fff,
    0xfffd02ff,0x9fffffff,0x07ffff20,0x0ffffe40,0x01fff980,0x0fffc401,
    0x401fff98,0xffeffffd,0x3fff301f,0x017fe400,0xfb006ff8,0x7fffffff,
    0x3af7fea0,0x3ffc06ff,0x3fa17fea,0x3fe3ffa6,0x00bff205,0x44017fe4,
    0x64005fff,0x1ffd02ff,0x2209ff50,0x22005fff,0x3a005fff,0x37f604ff,
    0x6fffcaab,0x4013ffa0,0x3ffffffa,0x0013ffa0,0xf7005ff9,0x3ff6007f,
    0xa7fd4001,0xf303ffe8,0xffb999df,0x7dcdfd0f,0x3205ffcf,0xff9002ff,
    0x0bff6005,0x205ff900,0xffa80ffe,0x00bff604,0x2005ffb0,0x7ec06ffc,
    0xffffffff,0x00dff901,0x40dfff90,0xc8006ffc,0xffe802ff,0x03ffb000,
    0x2a4ffa80,0xfff907ff,0x5fffffff,0x7ffc6fe8,0x3ff205ff,0x05ff9002,
    0x000bff60,0x3fa05ff9,0x04ffa80f,0xb000bff6,0xff3005ff,0xfffc803f,
    0x300cffff,0x20003fff,0xf980fffa,0xfc8001ff,0x27fcc02f,0x003ffb00,
    0x7f44ffa8,0xeeffe83f,0x44ffeeee,0x7ffe46fe,0x0bff205f,0x8017fe40,
    0x64002ffd,0x1ffd02ff,0x6c09ff50,0x7ec002ff,0x4ffe802f,0x1ffa6200,
    0x2013ffa0,0x20fff100,0x90004ffe,0xffd805ff,0x07ff6000,0xb89ff500,
    0x2ffc46ff,0x7f46ffa8,0x2ffffc46,0x9ffb5551,0x55544555,0x02aacffd,
    0x5100bff6,0x559ffb55,0x5407ff45,0x3ff604ff,0x17fec002,0x3bbffee0,
    0xf02eeeee,0xfffb809f,0x2eeeeeee,0xfd9579d9,0xdfff70bf,0x05dddddd,
    0xf1017fe4,0xffd800bf,0x03cccccd,0xff889ff5,0x80ffee2f,0x1bfa1fff,
    0xf897fff2,0xffffffff,0x3ffffe26,0x3606ffff,0x7fc402ff,0x6fffffff,
    0x3ea03ffa,0x0bff604f,0x805ffb00,0xfffffffd,0xff883fff,0x7fffec01,
    0x93ffffff,0xdfffffff,0xfffffb01,0x407fffff,0x3f202ffc,0x7fec002f,
    0x06ffffff,0xff909ff5,0xb007fecd,0x437f47ff,0x3e25fff9,0xffffffff,
    0x3ffffe26,0x3606ffff,0x7fc402ff,0x6fffffff,0x3ea03ffa,0x0bff604f,
    0x805ffb00,0xfffffffd,0x3c883fff,0xfffffd80,0x933fffff,0x405bdddb,
    0xfffffffd,0x3f203fff,0x0132e02f,0x3fffff60,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x51000000,0x3fff6355,0x006fffff,0x2005554c,0x54c00cd9,0x53002aa1,
    0xa9805543,0x0015510a,0x001ffff5,0x5ffffff9,0x04cc4000,0x4c000000,
    0xffffc809,0x776402ff,0x0bbb2002,0x3fffff20,0x20cc402f,0x02662099,
    0x3ffff200,0xffffffb4,0x7cc00dff,0xffe802ff,0x5d77dc04,0x77dc01ff,
    0x3601ffba,0x004ffbef,0x005ffff9,0x5ffffff9,0x0ffdc000,0x400009fd,
    0x3ffa8998,0xffffffc8,0x3ffbf202,0xffefc802,0x7fffe402,0x7f4402ff,
    0x7f45fd8c,0x7fe4004f,0xbffb4fff,0x00799999,0x4003bfe6,0x74404ffe,
    0x8804ffff,0x804ffffe,0x2003fffd,0x805fffff,0x09999998,0x4ffb0600,
    0x0000fff8,0xff97ff70,0x33333101,0xf8b7c013,0xbf16f805,0x99999880,
    0xfff88009,0x03ffd86f,0x20bffe20,0x40001ffd,0x6cc002aa,0x3795000d,
    0x01bca800,0x9800aaa0,0x007ffdff,0x0ffc8000,0x3ff913fe,0x3fee0000,
    0x00005feb,0x027d47fc,0x027d47fc,0x7fcc0000,0x03ffd80e,0x6c17fea0,
    0x000001ff,0x00000000,0x80000000,0x1ffeaffb,0xffffff10,0xff80dfff,
    0xa83ff10f,0x2e00007f,0xd82ffbff,0xffffffff,0x1ffff506,0x1ffff500,
    0x1ffff500,0xffd80000,0x0fff2003,0x0000ffec,0xfffffff9,0xfffffd81,
    0xff506fff,0xffd801ff,0x46ffffff,0xcdefffff,0xf77fe800,0x3ffe209f,
    0x06ffffff,0x32007ffc,0x200003ff,0x7ec03ffb,0x6fffffff,0x8002f260,
    0xf9000bc9,0x44005fff,0x360abcba,0x3f6003ff,0x59ffb01f,0xf0035555,
    0x1fffffff,0xffffffd8,0xfff906ff,0xfffd805f,0x7c6fffff,0xffffffff,
    0x4d7fe203,0x555106ff,0x85559ffb,0xbfffaaa8,0x16f42aaa,0x332a6000,
    0x7ec03ffd,0x3cccccdf,0x2aa06aa2,0x79995302,0xfffff003,0x3ffee00b,
    0x3ff24fff,0x03ff6002,0x7fffffec,0x7fd403ff,0xd82aaeff,0xcccccdff,
    0xbfffff03,0xccdffd80,0x7ffc3ccc,0x4fffedcc,0x7fc7ff50,0x2ffc800f,
    0x3ffffe60,0x507fffff,0x02f32635,0x7fffff4c,0x7fec03ff,0x84ffa801,
    0xfffc87ff,0x2605ffff,0x807ffdff,0xfffffffd,0xa80bff24,0xeefffeee,
    0x3ffff66e,0x6c03ffff,0x6c06feef,0x3e6001ff,0x6c07ffdf,0xfff001ff,
    0xb01fff90,0x1ffec3ff,0x3017fe40,0xffffffff,0x2ffe0fff,0x41fffffb,
    0xfeeffff9,0x7fec03ff,0x84ffa801,0xdefd87ff,0x703fffdc,0x03ffd5ff,
    0x885fffd4,0x80bff22a,0xfffffffa,0x07ff67ff,0x3affe200,0x0ffec06f,
    0xfd5ff700,0x0ffec03f,0xfd07ff80,0xa8fff09f,0xffc805ff,0x03ffe002,
    0x7fff7fc0,0x7ff46fff,0x201ffdc4,0xfa801ffd,0x987ff84f,0xd06ff980,
    0x813feeff,0xfb803fff,0x2eaa201f,0x22aaaeff,0xb8001ffd,0x406fe8ff,
    0x3a001ffd,0x409ff77f,0xff001ffd,0x317fee0f,0xfb999dff,0x5ff900ff,
    0x007ffc00,0xf33ffff8,0x1ffe61ff,0xfb00ffee,0x3555559f,0x7fc27fd4,
    0x43ffc007,0xdff35ff8,0x401ffe20,0xf3001ffb,0x0ffec0bf,0xfeaff400,
    0xffd82aae,0x41aaaaac,0xdff35ff8,0x5567fec0,0x3ffc1aaa,0x7e46ff98,
    0xffffffff,0x17fe402f,0x001fff00,0xffb0fffe,0x2e13fee3,0x7fec03ff,
    0x23ffffff,0x7ff84ffa,0x3f32ea60,0x23ffa87f,0xff980fff,0x03ff7006,
    0xd813fea0,0x7cc001ff,0xfffffd2f,0xffffffb0,0x3ffa87ff,0x7ec03ffe,
    0x3fffffff,0xff883ffc,0x7777ff47,0x404ffeee,0x3e002ffc,0xfff000ff,
    0x3f25ff90,0x03ffb83f,0x7fffffec,0x13fea3ff,0x3f621ffe,0x87ffffff,
    0x3ff61ffd,0x007ff983,0x2e003ff7,0x3ff603ff,0x03cccccd,0x7fff4ff9,
    0xffffd87f,0x7ec3ffff,0x40fff61f,0xfffffffd,0x883ffc3f,0x17fe27ff,
    0x32037fd4,0x3fe002ff,0x0dff000f,0x3ff25ff9,0x403ffb83,0xfa801ffd,
    0x447ff84f,0xfccceffe,0x547ff87f,0xfff885ff,0xf9000000,0x7ffec05f,
    0xf06fffff,0x2037f49f,0xff001ffd,0xb05ffa8f,0x3fe003ff,0x5cdff307,
    0x3ffe03ff,0x00bff201,0xf000fff8,0x25ff90df,0xffc84ffb,0x00ffec03,
    0x3e227fd4,0x42ffdc7f,0x77fcc7ff,0x07ffdccc,0x2e00bfff,0x07ff6002,
    0xffffffd8,0xcffa86ff,0x6c06feaa,0xff9801ff,0x7ffdccce,0x2003ffb0,
    0xbff707ff,0xfb007fec,0x17fe407f,0x005ffd00,0x3ff21bfe,0xfb8dff52,
    0x7fec03ff,0x46ff9801,0x7fe47ffe,0x323ffd43,0xffffffff,0xfffa82ff,
    0x365dbabe,0xfff003ff,0x5ff30001,0xffffffb0,0x1ffd80df,0xfffffc80,
    0xd82fffff,0xfff001ff,0x000fffa0,0xfc807ff1,0x3ff6002f,0xff0299ae,
    0x7c5ff90d,0xfffcacff,0x0ffec03f,0x567ffc40,0x7dc7fffe,0xfffb89ef,
    0x7777ff47,0xb04ffeee,0xbfffffff,0x5402fffc,0xfd0006ff,0xdddff10b,
    0xfd80dffd,0xeffe801f,0x4ffeeeee,0xf001ffd8,0x6ffd88ff,0x885fe800,
    0xacffdaaa,0x7ffcc02a,0xdff07fff,0x7dc5ff90,0xffcfffff,0x66ffec03,
    0x7ec3cccc,0x7fdfffff,0x7fffffc4,0x3fe27fef,0x40dff505,0x3effffea,
    0x6640bff2,0x8003fffd,0xffb84ff9,0x55577f40,0x666ffec0,0xbff13ccc,
    0x361bfea0,0xcccccdff,0x6e67ffc3,0x4002ffff,0xff885ff8,0x6fffffff,
    0xffffea80,0xf90dff06,0xffffb85f,0x6c03ff8a,0xffffffff,0x77ffec46,
    0xfea87fb8,0x27fb9dff,0x3fe03ffb,0x0098801f,0x7fff4013,0xff10005f,
    0x437f45ff,0x41fffffe,0xfffffffd,0x407ff76f,0x7fec1fff,0x46ffffff,
    0xffffffff,0xfff0001e,0x7fffc45f,0x006fffff,0xff802662,0x102ffc86,
    0x3ff60003,0x06ffffff,0x98800131,0x007fec00,0x00007ffb,0x059dd900,
    0x1efda800,0xffd07ff3,0xffd83fff,0xb6ffffff,0x7fec01ff,0x7ffffec3,
    0x7ffc6fff,0x0003ceff,0x00177ecc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44009880,0x00026209,0x30002666,
    0x03310033,0x09882620,0x09882620,0x200d54c0,0x22000099,0x0ccc403c,
    0x3104cc00,0x2a214c01,0x00198800,0x88266620,0x00000199,0x01510a60,
    0x00fffd40,0x07fe6df7,0x03dff900,0x4407ff80,0xfb805ffe,0x5c03ff36,
    0x203ff36f,0x3ffffffa,0x0004ff98,0xd8813ffa,0x2e000eff,0x02ffa9ff,
    0x3fe2bff1,0x2fff4406,0x27ffcc00,0x003bff62,0x220ff700,0x0dff15ff,
    0x3ff7fea0,0xfffff101,0xdffc800d,0xffffa800,0xbfd04fff,0xff8809fd,
    0x7c406fff,0xf506ffff,0x5fffdfff,0x0004ff98,0x2e017ffe,0x32000eff,
    0x2602ffff,0x0fff16ff,0x04fedfe8,0x80bffe60,0x0000effb,0x7fcc13fa,
    0x500fff16,0x03ff25ff,0x006fff4c,0x4007ff90,0xfffffffa,0xfd15fd84,
    0xdffe9809,0xdffe9800,0x5c5ffd00,0x27fcc5ff,0x03ff5000,0x003bfe60,
    0xc802ffc8,0xd80bb22e,0x009fd15f,0x3001dff3,0x22001dff,0x201ffcca,
    0x00bb22ec,0x00000000,0x26662000,0x00009fff,0x40000000,0x7fcc7ff8,
    0x0027fcc5,0x00000000,0x00000000,0x00000000,0xffffff90,0x10000007,
    0x44157975,0x02aa81aa,0x055e5d44,0x3ef2ea20,0x332a607f,0x654c01bc,
    0xa8801bcc,0xff980acc,0x261ffe45,0x159734ff,0x0acca880,0x5e6654c0,
    0xacca8801,0x50355100,0x81aa8855,0x0d5442aa,0x2aa21554,0xfd82aa81,
    0x3ffffeff,0x02b32a20,0xfffffb80,0x213fea4f,0x3fee07ff,0x2e04ffff,
    0x7fffffff,0xffffff90,0x3fff20bf,0x2a05ffff,0x43ffffff,0x3ff24ff9,
    0x667fcc0e,0x500effff,0x07ffffff,0x3ffffff2,0x3ffea05f,0xffa83fff,
    0x7d47ff84,0x547ff84f,0x47ff84ff,0x7ff84ffa,0x7cc77fcc,0xfb81ffff,
    0x804fffff,0xfffffffd,0x3e13fea4,0xffffb07f,0x3f209fff,0x7ffeeeff,
    0xfb9bdfb0,0xbdfb07ff,0x507fffb9,0xfff9bfff,0xfaa7fcc7,0xfff980ef,
    0x86ffffff,0xffcdfffa,0xcdefd83f,0xfa83fffd,0x3fffcdff,0x7fc27fd4,
    0x7c27fd47,0x427fd47f,0x27fd47ff,0x3ff63ffc,0x5ff7df71,0xffffffd8,
    0x3fea04ff,0x545510bf,0x87ff84ff,0x510bfffa,0x83fff305,0x301307ff,
    0x30130dff,0x3ffd0dff,0xf987ffc4,0x203ffb4f,0xf32ffff9,0x1ffe85ff,
    0x1303ffe2,0xfd0dff30,0x07ffc43f,0xfff09ff5,0xff84ffa8,0x7c27fd47,
    0x427fd47f,0xd3ff47ff,0x4c9ff37f,0xff912fff,0x0fffe03f,0x3e13fea0,
    0x03fff87f,0x3e13ff20,0x7ff8007f,0x2a3ffc00,0x1ffc85ff,0x3ff69ff3,
    0x83fff303,0x3fea4ffc,0x001ffc85,0xbff51ffe,0x7d43ff90,0x547ff84f,
    0x47ff84ff,0x7ff84ffa,0x7fc27fd4,0xff9b7fc7,0x3f66ff88,0x83ffe83f,
    0xf5007ff8,0x88fff09f,0x7f4007ff,0x407ff81f,0x7ffccba9,0x3f32ea60,
    0x66ffdc7f,0x33ffeccc,0x3ffee9ff,0xa85ff983,0x37fee5ff,0x3ffecccc,
    0xff997530,0xccdffb8f,0x2a3ffecc,0x47ff84ff,0x7ff84ffa,0x7fc27fd4,
    0x7c27fd47,0xfcb7fc7f,0x7f4bff16,0x85ffc80f,0xf5006ff9,0x98fff09f,
    0x7fc006ff,0x107ff80f,0xfffffffb,0xffffb10f,0xffc8ffff,0xffffffff,
    0x7f49ff33,0x27fcc5ff,0xff937fcc,0xffffffff,0xffffd887,0x7fe47fff,
    0xffffffff,0x3e13fea3,0x427fd47f,0x27fd47ff,0x3fea3ffc,0x7ec7ff84,
    0x3fea7fd7,0x7d41ffe4,0x07ff986f,0xff09ff50,0x007ff98f,0x7fc07ffc,
    0xceffe887,0x7447ffcc,0xffccceff,0x666ffec7,0xf31ccccc,0x3fffd89f,
    0x3ea13fe6,0x337ff65f,0x21cccccc,0xccceffe8,0x6ffec7ff,0x1ccccccc,
    0x3fe13fea,0x7c27fd47,0x427fd47f,0x27fd47ff,0x3ff23ffc,0x5ffb0ffc,
    0x7cc07ffc,0x0fff885f,0x444ffa80,0x7ffc47ff,0x0bffa000,0xff70fff1,
    0xfb8fff0b,0x5c7ff85f,0xff3002ff,0x4cdff909,0x3ffb84ff,0xb800bfee,
    0x47ff85ff,0x2a002ffb,0x3ffc44ff,0xff113fea,0x444ffa8f,0x27fd47ff,
    0xff31ffe2,0xdffb3dff,0xfb82ffe8,0x0bfff04f,0xfe8dff30,0x05fff87f,
    0xfd0fff60,0x87ff90ff,0x7fe47ffa,0x2a3ffd43,0xff3006ff,0x4cfff109,
    0x7ffc44ff,0x801bfea2,0x7fd43ffc,0x0037fd47,0xffe8dff3,0x3a37fcc7,
    0x37fcc7ff,0xff31fffa,0xa87ffe8d,0xffffffff,0x742ffec1,0xfff502ff,
    0x44bb757d,0xffeacfff,0xefffa87f,0xfa85dbab,0xfffeacff,0x89effb87,
    0x7dc7fffb,0xfffb89ef,0x99effe87,0x3fe63a99,0xdff73334,0x54cf7fcc,
    0xffe85ffe,0x43a9999e,0xfb89effb,0xeffe87ff,0x443a9999,0xffeacfff,
    0x67ffc47f,0x447fffea,0xffeacfff,0x67ffc47f,0x707fffea,0x01bfffff,
    0xd77ffff3,0xffd80dff,0x6c5fffff,0xfdffffff,0xfffffb07,0x3ffa0bff,
    0x87fdefff,0xfffffff8,0x7ffc47fe,0x87feffff,0xfffffff9,0x753fe66f,
    0x262fffff,0xffffffff,0xffff980e,0x7c46ffff,0xfeffffff,0xfffff987,
    0xffd86fff,0x87fdffff,0xdffffffd,0xffffd87f,0xfd87fdff,0x7fdfffff,
    0x0013bf90,0xfffffff9,0xffd5003d,0xfd887dff,0x07fb8eff,0x3bffffaa,
    0xbfffb103,0x3aa0ff91,0x7fb9dfff,0x9dfffea8,0xffb107fb,0x7cc9ffff,
    0x5dfffd4f,0xfffffd88,0x7fec403e,0xea84ffff,0x7fb9dfff,0xfffffb10,
    0xfffb109f,0xb10ff71d,0xff71dfff,0x1dfffb10,0xffb10ff7,0x20ff71df,
    0x754002ff,0x000cffff,0x4c400988,0x02620000,0x40004c40,0x4c400098,
    0x13310000,0x3000cc00,0x26620003,0x00098800,0x10013310,0x09880013,
    0x0004c400,0x64400262,0x1310000c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00055400,
    0x10000cc4,0x4cc41333,0x33100001,0x03331013,0x10998801,0x004c4333,
    0x04c41310,0x664c2aa2,0x2a214c03,0x00198800,0x88266620,0x73000199,
    0x05555799,0x05799951,0x04c40351,0x202a214c,0xffe883c8,0x200ec9cf,
    0x8005ffe8,0x6c44fff9,0x20000eff,0xf104fff9,0x07fb7bff,0x744fffc4,
    0x3fff23ff,0x9b7dc02d,0x57fcc1ff,0x80effffd,0xdff15ff8,0x05ffe880,
    0x44fff980,0x000effd8,0x3ffffff6,0x7ffe47ff,0x7fdc7fff,0x0ffc40ef,
    0x7fc57fe2,0x5c4ffe86,0xfffffdef,0x3fb7fa00,0x3ffe6004,0x03bfee02,
    0x0bffe600,0x7fffedc4,0x3ffa03ff,0xfc85ffb1,0x100effff,0x30dfffff,
    0xfffffdff,0x2dff309f,0x7f407ff8,0x26004fed,0x3ee02fff,0xffc800ef,
    0x5efffdbd,0x3337fff2,0x3affe67d,0x4c27f43f,0x0fff16ff,0x4c70bfff,
    0x3f601dfd,0x3009fd15,0xf3001dff,0x7cc001df,0x3fee00ef,0x009dffff,
    0x3bf63ff9,0xffecca81,0x3ffa605f,0xffff980d,0x320dff52,0xd80bb22e,
    0x009fd15f,0x3001dff3,0xff801dff,0x3e17fe46,0xafdc01ff,0x81bee6f9,
    0x20bb22ec,0x00001ffb,0x00000000,0xb5000000,0x01fff959,0xffb80000,
    0x7cc0002f,0x03ffc1ff,0x00000000,0x3e600000,0x227fcc3f,0x7dc03fff,
    0x3fe2ff14,0x40000001,0x800acca8,0x800acca8,0x800acca8,0x800acca8,
    0x02bccca8,0x27ffe544,0x02b32a20,0x209ffb00,0x980acca8,0x07fe85ff,
    0x002b32a2,0x002b32a2,0x002b32a2,0x402b32a2,0x7fd45ff8,0x677ffec3,
    0xdf76f981,0x953013f6,0x2a203799,0xffffb80a,0x3fee04ff,0x2e04ffff,
    0x04ffffff,0x3fffffee,0x3ffff204,0x3fee07ff,0x701fffff,0x09ffffff,
    0x5c2ffdc0,0x44ffffff,0x7fe84ff9,0xffffff50,0x7fffd407,0x3fea03ff,
    0x2a03ffff,0x03ffffff,0xfd539ffd,0xfffe881f,0x7ff42eff,0x00efaaff,
    0x3ffffff2,0x40ffa85f,0xfffffffd,0xffffd84f,0xfd84ffff,0x4fffffff,
    0xffffffd8,0xfffc84ff,0xf907dccd,0xbffdddff,0xffffffb0,0x3fa009ff,
    0x7fffec3f,0x3e64ffff,0xa87fe84f,0xfffcdfff,0xcdfffa83,0xffa83fff,
    0x83fffcdf,0xffcdfffa,0xffffa83f,0x36a03fff,0x222fffff,0x2ff8aeeb,
    0x6e6f7ec0,0x7fdc3fff,0x44bffe61,0x3e61fffc,0xfff912ff,0x897ffcc3,
    0x3e61fffc,0xfff912ff,0x001fff83,0x7d45fff3,0x97ffcc7f,0xa81fffc8,
    0x20fffecc,0xf912fff9,0x13fe63ff,0x3ffa1ffa,0xd03ffe21,0x7ffc43ff,
    0xf10fff40,0x1ffe81ff,0xf883ffe2,0x00ceeddf,0x0bfff510,0x09804fd8,
    0x7dc6ff98,0x20fff61f,0x3ff63ffe,0x363ffe83,0x3ffe83ff,0x3fa0fff6,
    0x01fffc3f,0xff84ffc8,0x20fff61f,0xffb83ffe,0x7fec1fff,0xf33ffe83,
    0xa8ffd09f,0x1ffc85ff,0x3f217fea,0x217fea1f,0x3fea1ffc,0x2a1ffc85,
    0xa80001ff,0x3fea06ff,0x3ffc0000,0xffe87fee,0x3a5ffc80,0x5ffc80ff,
    0x3f203ffa,0x203ffa5f,0x7fec5ffc,0x3fa01cef,0x23ffd81f,0xffc80ffe,
    0x0bdffb85,0xfc80ffe8,0xd09ff35f,0xcdffb8ff,0x23ffeccc,0xccccdffb,
    0x3fee3ffe,0xffeccccd,0x3337fee3,0x2a3ffecc,0x1aaabeff,0xd309ad88,
    0x3fe209ff,0x75300112,0xfc8fff99,0x541ffe2f,0x41ffe6ff,0x1ffe6ffa,
    0xfff37fd4,0xd11bfea0,0x05dfffff,0xff901fff,0xfa83ffc7,0x01ffa86f,
    0x7fd41ffe,0xfd09ff36,0xfffffc8f,0x323fffff,0xffffffff,0x3fff23ff,
    0x3fffffff,0x3ffffff2,0x3a23ffff,0xffffffff,0x3ffffe23,0xfb00ffff,
    0x03bffd1b,0xffffffb1,0x22ffc8ff,0xff980fff,0x2603ffe5,0x03ffe5ff,
    0xfff97fe6,0x505ff980,0x85fffffb,0xffc80fff,0x2603ffe3,0x1ffa85ff,
    0x2603ffe0,0x09ff35ff,0xdffd8fff,0x1ccccccc,0x33337ff6,0x3f61cccc,
    0xccccccdf,0x337ff61c,0x41cccccc,0xffeeeffd,0xfffd12ff,0x2a019fff,
    0xfeefd8ff,0x677ff445,0x7e47ffcc,0x20bffa2f,0x3ffa4ffb,0x3a4ffb82,
    0x4ffb82ff,0x3ee0bffa,0x7fd4404f,0x417ff45f,0x3ffa2ffe,0x004ffb82,
    0x2e0bffa0,0xff8804ff,0x0017fdc7,0x5c005ff7,0x3ee002ff,0x3ff2002f,
    0x445ffc82,0x7c401999,0xff0ff8af,0x7c2ffdc1,0xb17fe47f,0x5ffd0bff,
    0x7f42ffec,0x217ff62f,0x3ff62ffe,0x002ffe85,0xffd8dff5,0xb07ffcc4,
    0x5ffd0bff,0xfd807710,0x02ffe85f,0x7d45ffb8,0x3fea006f,0x1bfea006,
    0x006ffa80,0x7fcc1ffe,0x40199305,0x74df35fc,0x50fff21f,0x3ffd8fff,
    0x2effffe6,0x7fcc6ffe,0x6ffebbff,0x5dffffcc,0x7fcc6ffe,0x6ffebbff,
    0xe984d6c4,0x7ffd44ff,0x45fffbae,0xebbffff9,0xbffb06ff,0x5ffffcc0,
    0x4c06ffeb,0xfe82fffd,0x3a9999ef,0x999effe8,0xeffe83a9,0xe83a9999,
    0xa9999eff,0x3067ffc3,0x3f207ffd,0xf83fea07,0x7dc1ff0f,0xfffb89ef,
    0x321ffec7,0xefffffff,0xfffffc81,0xffc81eff,0x81efffff,0xfffffffc,
    0x7fffc41e,0xd80fffff,0xefffffff,0xfffffc80,0xfff01eff,0xffffc80d,
    0x6401efff,0xff305fff,0x0dffffff,0xfffffff3,0xffff30df,0xf30dffff,
    0xdfffffff,0xffffffb8,0x3fa04fff,0xd87fd104,0x7c46feef,0xfeffffff,
    0x541ffec7,0x00cffffe,0x33ffffaa,0x3fffaa00,0x3faa00cf,0xe880cfff,
    0x0cffffff,0x3ffffee0,0x3ffaa00c,0x3ee00cff,0xffea803f,0xfc800cff,
    0x7fec402d,0xb104ffff,0x09ffffff,0x3fffff62,0xfffb104f,0xfb309fff,
    0x803bdfff,0x0bf902ff,0x501dff93,0xf73bfffd,0x203eec8f,0x4c400098,
    0x004c4000,0x44002620,0x44001999,0x04c40019,0x88001100,0x00000009,
    0x44001331,0x26200099,0x26620009,0x00002000,0x20022000,0x00000098,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x1988000a,0x13331000,0x5e5c4aaa,0xc9855441,
    0x3310003c,0x04ccc400,0x55403553,0x2209980a,0x84cc4009,0xca801998,
    0x13300001,0x55000080,0x98800001,0x00155009,0x00013331,0x44155753,
    0xec9cfffe,0x17ffa200,0x49fff300,0xffff9ffd,0x36bfe63f,0x000effff,
    0xf9803ff4,0x37fd44ff,0xf701fff0,0x405ff53f,0xfe89fff8,0x7ffd403f,
    0x4cccc400,0x509ff309,0x0019fffd,0x939fffd1,0x7e40001d,0x7fff441f,
    0xfc80ec9c,0xff5001ff,0x7dcbffff,0x0fffffde,0x13fb7fa0,0x217ffcc0,
    0xfefffffd,0xfdff30ff,0x009fffff,0xf9807fe8,0x3fff02ff,0x640bff50,
    0x7402ffff,0x05ffb1ff,0x803fff70,0x55fffffd,0xfffb83ff,0xfb806fff,
    0x0fffffde,0x21bf6000,0xffffdefb,0x3fff500f,0xeffffb80,0xfb31c5ff,
    0x8afec03b,0x7fcc04fe,0xdfffd80e,0x3e67ffb0,0xdff52fff,0x407fe800,
    0x3200eff9,0x2ffd84ff,0x2017fe40,0x3dfb1ffc,0x013fa200,0x57fffff6,
    0x77fc46fc,0x802ffd99,0x0077f663,0x7ff0fff2,0x1dfd98e0,0x80fff440,
    0x0183fff8,0x00000000,0xfa8bffb0,0x83fff34f,0x7f4007ff,0x3e200007,
    0x03ffc47f,0x00000000,0xaffcc000,0x1ffd43fe,0x00009ff3,0x4c7ff900,
    0x000000ff,0x013fee00,0x0de6654c,0x5e665440,0x79995302,0x883ffb03,
    0x0bff31aa,0x5d440ffd,0x5c47ffbc,0x37950acc,0xfb8bff60,0x6654404f,
    0x0d5442bc,0xa8801554,0x9800abcb,0x7fd405ff,0x880ffe63,0x02aa81aa,
    0x8801ffe4,0x079930aa,0x0d555554,0xc802ffc8,0x5fffffff,0x3fffff20,
    0xffffc87f,0x7fec5fff,0x84ff9801,0xfff707fe,0xff8fffff,0xfffdefff,
    0x25ffa81f,0x3f200ffe,0x547fffff,0x07ff84ff,0xffffffb8,0x05ff9804,
    0xfe8b7fc4,0x13fea01f,0xff901ffe,0x2bfe6007,0x80effffd,0x05fffffd,
    0xfb003ffb,0x7fffb9bd,0x99bfff90,0x9bdfb0fb,0x7ec7fffb,0x4ff9801f,
    0xffc87fe8,0x47ffeeef,0xffffcbdf,0xfff06ffc,0x640dff31,0x7dccdfff,
    0x7fc27fd4,0x7fffec07,0xf9804fff,0xdffd805f,0x7d403fff,0x407ff84f,
    0xf3003ffc,0xffffffdf,0xfffffb09,0x007ff60b,0x1bfe6026,0x4c007ffe,
    0x366ff980,0xff9801ff,0x7cc7fe84,0x23ff42ff,0xf99ffdc1,0xcbffc80f,
    0x3ffe02ff,0x84ffa801,0x3fea07ff,0x005510bf,0xf100bff3,0x5005ffff,
    0x0fff09ff,0x3003ffc8,0x3ea5ffff,0x2ffcc06f,0x0001ffd8,0x7ffc3ffc,
    0x7ff80003,0x26007ff6,0x47fe84ff,0x7fe84ffc,0xf88ffd40,0xeeff982f,
    0x1fffc07f,0x7c27fd40,0x0fffe07f,0x05ff9800,0x21ffffb8,0x4ffa81aa,
    0x7e407ff8,0xfff3003f,0x4c07ff83,0x3ffb05ff,0x665d4c00,0xfffd87ff,
    0xba9801ce,0x3f67ffcc,0x4ff9801f,0x7ff47fe8,0x9887fe81,0xfaabffca,
    0xffffb02f,0xefffd809,0x09ff501c,0x3fe20fff,0x7fcc0007,0x7fffdc05,
    0x509ff0ef,0x0fff09ff,0x3003ffc8,0x0ffd0bff,0xfb05ff98,0xffb1003f,
    0x10ffffff,0x5dfffffd,0xfffffb10,0x0ffecfff,0x7427fcc0,0x407ffc7f,
    0x7ffd47fe,0xffffffff,0x3ffff502,0xffffe880,0x27fd42ef,0xff983ffc,
    0x7fcc0006,0x23ffe205,0x3ff8dffd,0xff84ffa8,0x01ffe407,0xfe84ff98,
    0x82ffcc07,0x74401ffd,0xffccceff,0x3fff6a07,0x3ffa22ff,0x27ffccce,
    0xf9801ffd,0x7c7fe84f,0x27fe80ff,0xffcbdff9,0x200aaaaa,0x2a005fff,
    0x22fffffd,0x7ff84ffa,0x000fff30,0x2e05ff98,0xdffd13ff,0x9ff505ff,
    0xfc80fff0,0x9ff3003f,0xf980ffd0,0x03ffb05f,0xff85ffb8,0xfffa8807,
    0x3e17fee5,0x0000007f,0x7c40ffe8,0xfa9ff27f,0x3fe2000f,0xfa88001f,
    0x13fea5ff,0x3e20fff1,0x260000ff,0x3ff205ff,0x3ffffe22,0x444ffa80,
    0x7fe407ff,0x09ff3003,0xff980ffd,0x803ffb05,0x7fd43ffc,0x9bfea007,
    0x7fd43ffc,0x00199307,0xfd803326,0xb3ffec3f,0x017fdcdf,0x000bffb0,
    0x3e66ffa8,0x03fff46f,0x4000bfff,0x3ee05ff9,0x27ffcc4f,0x7f46ff98,
    0x1ffe407f,0xe84ff980,0x2ffcc07f,0x5c01ffd8,0xffb89eff,0x84d6c47f,
    0x3ee4ffe9,0xfffb89ef,0x400ff907,0x7fd407fc,0x7fffeabf,0x3fe63fee,
    0x544510ef,0x800fffdb,0xfd309ad8,0x67ffc49f,0x207fffea,0xbabefffa,
    0x5ff9805d,0x26fffe60,0x80efffc9,0xfeacfff8,0x7fe407ff,0x09ff3003,
    0xaaa88ffd,0x0aaaeffc,0xf8803ffb,0xfeffffff,0x7ffffc47,0x3e20ffff,
    0xfeffffff,0x4009fd07,0xffe804fe,0x27fdffff,0xfcfffff9,0x3ea7ffff,
    0x1001ffff,0xffffffff,0xffffd81f,0x6c07fdff,0x5fffffff,0xffcaaa88,
    0x7e40aaae,0xffffffff,0xffffb06f,0xc80ffbff,0xcccccdff,0x213fe60c,
    0x7ffcc7fe,0x2fffffff,0xd5003ffb,0xff73bfff,0xfffffe88,0xffea80cf,
    0xf07fb9df,0x17fc005f,0x77ffec40,0x7fdc7fb8,0xdffff72f,0x00677fd4,
    0xfffffd10,0xffb1019f,0x00ff71df,0x7dffffd5,0xffffff30,0xf705ffff,
    0xfd19ffff,0xfffb10bf,0xc80ff71d,0xffffffff,0x213fe60f,0x7ffcc7fe,
    0x2fffffff,0x44003ffb,0x26620009,0x01310019,0x00000000,0x88180026,
    0x00008099,0x00199988,0x10000131,0x7ffcc013,0x2fffffff,0x40002620,
    0xfc800098,0xffffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33310000,
    0x26666621,0x6654c001,0x654401bc,0x333100ac,0x22000133,0x99100999,
    0x00cc4001,0xeeeeeea8,0xa882a201,0x00013301,0x26000353,0x88266000,
    0x26620009,0x22098809,0x88266009,0x3bbaa009,0x40001eee,0xf70dffe8,
    0x400fffff,0xfffffffc,0xfffff505,0xffffb07f,0xff3000bf,0x37fec09f,
    0x05ffe880,0xffffffb8,0x6c3ffa01,0x2ffc40ff,0x3bfff600,0xfd501ea9,
    0x5fffffff,0xff53ff70,0x3ffe6005,0xd11ff304,0x4ffdc07f,0x3ee02ffa,
    0x001fffff,0x70fffa20,0x00ffffff,0x7ee6f7ec,0x7ffd43ff,0x6c3fffcd,
    0x005fffff,0x2017ffcc,0xfd007ffe,0xa9809fdb,0x200aaaaa,0x3fff0fff,
    0x777fff74,0x7effcc06,0xfc82ffff,0xffffffff,0xffff902f,0x3ffe6005,
    0x7ffff402,0x7ffe400f,0x5554c02f,0x10000aaa,0xff003ffd,0x4c04c00f,
    0x0fff46ff,0x2601fff1,0x3e6005ff,0xffa800ef,0xd15fd802,0x7000009f,
    0x3e27547d,0x07ffffff,0x5dfb10a8,0xf59fff50,0x401555ff,0xf3002ffc,
    0xfb1001df,0x3f2003df,0x0000002f,0x1ffe0000,0x53ffc000,0x3ff90bff,
    0x0017fe60,0x00000000,0x0acca880,0x3eea0000,0x0002aaef,0x3a2ffe80,
    0x0000006f,0x00000000,0x0acca880,0x55555400,0x0fff001a,0xf9975300,
    0x66ffdcff,0x03ffeccc,0x11aabff3,0x0f326155,0x0d555554,0x2aaaaaa0,
    0xffffb801,0x555504ff,0x7fc40355,0x2aaaa005,0xdff301aa,0x55406fe8,
    0x2aaaaaaa,0xbcb89554,0x55555501,0x712aa803,0x7fd40379,0x2003ffff,
    0x05fffffd,0x4400fff0,0xfffffffd,0x3fffff27,0x303fffff,0x98ffddff,
    0xffffdaff,0x7fffec0e,0x7ffec05f,0x7fec05ff,0x84ffffff,0x05fffffd,
    0x3f637fe2,0xfffd82ef,0x9ff505ff,0x7fc06fe8,0x6fffffff,0x7ffcffec,
    0xfffd83ff,0x7fec05ff,0x83fffff9,0xffcdfffa,0xfffb003f,0x3fe00bff,
    0xdffd1007,0x6cfff999,0xcccccdff,0xfff301cc,0xeff98bff,0x44ffffff,
    0x05fffffd,0x2fffffec,0x225fff30,0x7ec1fffc,0x2205ffff,0xffffedff,
    0x7fffec1f,0x87ff705f,0xf82aaffe,0xffffffff,0x7ffffec6,0x7ec0fffe,
    0x6c05ffff,0xffefffff,0x10fff40f,0x98001fff,0xfff005ff,0x3ee4fd88,
    0x2e7ff85f,0xea8002ff,0xf982efff,0xdff52fff,0x002ffcc0,0x7ec0bff3,
    0x03ffe83f,0xf8817fe6,0xffebdfff,0x417fe605,0x7ff42ffc,0x4ccc0fff,
    0x41fffc99,0xfb0dfffd,0x2ffcc07f,0x437fff60,0x3fea3ffd,0x001ffc85,
    0xf802ffcc,0x9fffec7f,0x7fd43ffc,0x801bfea7,0x05ffffe9,0xff07ffe6,
    0x02ffcc0f,0x740bff30,0x5ffc80ff,0x8817fe60,0x3fe65fff,0x417fe606,
    0x7ff42ffc,0x7c400fff,0x5ffd83ff,0xf3027fd4,0x5ffd80bf,0xff727fd4,
    0xffd9999b,0x5ff98007,0xff8fff00,0x3dff75ff,0xe8ffff71,0xa9999eff,
    0x7ffffdc3,0x217fe605,0x3fe607fe,0x17fe6005,0xff507ff8,0x02ffcc0d,
    0xff81dff1,0x417fe607,0x37f43ffb,0x09ffd100,0x55107ff6,0x02ffcc03,
    0x55107ff6,0x7ffffe43,0x003fffff,0xf802ffcc,0x97ffe47f,0xfffffff8,
    0x7ffcc7fe,0x5c6fffff,0x205ff9ae,0x7fe84ff9,0x8017fe60,0x3fe05ff9,
    0x05ff980f,0xf8817fe6,0x207ff85f,0xff705ff9,0x2006fe89,0x3f606ffd,
    0xff30001f,0x01ffd80b,0x999bffb0,0x80039999,0xff005ff9,0xea87b70f,
    0x7fb9dfff,0xfffffd88,0xbff3044f,0x7427fcc0,0x17fe607f,0x205ff980,
    0xffb82ffe,0x817fe604,0x7ff85ff8,0x5417fe60,0x037f46ff,0x200fffb8,
    0x30001ffd,0xffd80bff,0x05ff7001,0x5ff98000,0x000fff00,0x13fa2131,
    0x300dfd10,0x7fcc0bff,0x2607fe84,0x3e6005ff,0x17ff605f,0xf980bffa,
    0x17fe205f,0xff981ffe,0xe87ffe05,0xfff9806f,0x00ffec02,0x405ff980,
    0xf5001ffd,0x980000df,0xfff005ff,0x0dfb0000,0x3001ff70,0x7fcc0bff,
    0x2607fe84,0x3e6005ff,0x3ffe605f,0x06ffebbf,0xf102ffcc,0x40fff0bf,
    0x3f205ff9,0xafffabff,0x7ffc40aa,0x01ffd804,0x80bff300,0x3a001ffd,
    0xa9999eff,0xcaaa8803,0x50aaaeff,0x55fff555,0xbff00035,0x101ffb00,
    0x5dff9555,0x27fcc155,0x55513ff4,0x1555dff9,0x7fe55544,0x7e40aaae,
    0x1effffff,0x7fe55544,0x3e20aaae,0x227ff85f,0xaeffcaaa,0x3ff620aa,
    0xffffffff,0x667ffec2,0x7fec4ccc,0x95551001,0x81555dff,0x26001ffd,
    0xffffffff,0xffff9806,0xf2ffffff,0xffffffff,0xffd0009f,0x7ffe407f,
    0x7ffffcc5,0x262fffff,0x27fe84ff,0xfffffff9,0x3fe62fff,0xffffffff,
    0xffffea82,0xffff980c,0x22ffffff,0x7ff85ff8,0x3fffffe6,0xec82ffff,
    0xffffffff,0x3ffffe22,0x7ec7ffff,0xfff3001f,0x5fffffff,0x4001ffd8,
    0xffffffd8,0xffff9804,0xf2ffffff,0xffffffff,0xfb30009f,0x7f64405d,
    0x7ffffcc4,0x262fffff,0x27fe84ff,0xfffffff9,0x3fe62fff,0xffffffff,
    0x30026202,0xffffffff,0x2ffc45ff,0xfff33ffc,0x5fffffff,0x44004c40,
    0xffffffff,0x00ffec7f,0xffffff98,0x7ec2ffff,0x2620001f,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3c980000,0x2200aaa8,0x10154409,0x202a8813,0x00440098,
    0xdddddd50,0x3104cc03,0x000cc401,0x55440088,0x8802aa81,0x00660019,
    0x31003310,0x10013333,0x00133057,0x4001e440,0xffffd809,0x7fc07fff,
    0x3fffe63f,0x711ff883,0x3fe20fff,0x20fff711,0xec881ff8,0x5c00dfff,
    0x01ffffff,0x3fea7fee,0xfffffc82,0x7fec403f,0xffa80dff,0xb306ff84,
    0x03dfffff,0x5dffffd5,0x05ffe880,0x2fffffec,0xf327ff40,0x7f40009f,
    0x7f64404f,0xffb0efff,0x40ffffff,0x2a25fff8,0x4fe86fc9,0x741fffe6,
    0x1fffe64f,0x7f4c27f4,0x01efffff,0x2aaaaaa6,0x7fffe400,0xfffffd02,
    0x3fea0bff,0x41ffffff,0x6ff84ffa,0xffffffb8,0x7ffdc1ff,0x202fffff,
    0x204fedfe,0x05fffffd,0xf33fffcc,0x7fc0009f,0x3ffea05f,0x971fffff,
    0x0fff9999,0x6541ffd8,0x437dc3fe,0x6fb87f9a,0xfb87f9a8,0x75bffd06,
    0x0000bffd,0xb017fe40,0xfffb7559,0xcefff885,0x7d47fffc,0x4c6ff84f,
    0xcaabdfff,0x2bffe21d,0xb07ffb98,0x013fa2bf,0xf1017fe6,0x27fccdff,
    0x03ff5000,0x2f7fffe6,0x7fc01fdc,0xfb808807,0x07fe25ff,0x3fe23fcc,
    0xf88ff301,0x45ffa81f,0x5301fff8,0x00037999,0x0fffa000,0xfe88bff9,
    0x213fea3f,0x2ffdc6ff,0xe84ffa80,0x800000ff,0xea805ff9,0x013fe60d,
    0xdffd0000,0xff801101,0x10154c07,0x813f65ff,0x027ec7f9,0x04fd8ff3,
    0xff903ffd,0xfffff909,0x15510bff,0x7000f326,0x0fff85ff,0x3ea6ffb8,
    0x646ff84f,0xff5005ff,0x554ffd0b,0x301aa802,0x4c000bff,0x079934ff,
    0x55555554,0x1fff52aa,0x03ffc000,0xcda83fee,0x01df56fe,0x1df53fcc,
    0xdf53fcc0,0x321bfe01,0xefd85fff,0x43fffdcd,0xfffdaff9,0xffd000ef,
    0x8837fcc1,0x13fea7ff,0xfff71bfe,0xfff88019,0xfd93ff24,0x81ffc407,
    0x20005ff9,0xfffdcff9,0xffff80ef,0xf96fffff,0xff80009f,0x507fe407,
    0xff139bff,0xf16e9805,0x16e9805f,0x3fe205ff,0x3ffffa25,0xff980986,
    0x7ff7fcc6,0xa884ffff,0x543ffeba,0x3ffe05ff,0xff09ff50,0xfffff88d,
    0x3ffee01d,0x7e45ffee,0x0bfe600f,0x0002ffcc,0xfffffff3,0xffff09ff,
    0x36dfffff,0x7c0003ff,0xfffd907f,0x009fb003,0xb0009fb0,0xaffcc09f,
    0x7ffcfffa,0x263ffc00,0xff52ffff,0xfffff50d,0x04ffb817,0x7fd47ffe,
    0x4c37fcc4,0x1effffff,0xdfffff50,0x5403ff70,0xbff301ff,0xf9857100,
    0xdff52fff,0xf9333330,0x0bffa3ff,0xd0fff000,0x803fffff,0x54000ffa,
    0x7d4000ff,0x37fe600f,0xfff2fffd,0x7e65d4c0,0x0fffcc7f,0x3ba61ffe,
    0x2e1fffff,0x3ffa04ff,0x7c4dff51,0xff9107ff,0xf905ffff,0x41bfffff,
    0x3ff52ffa,0x7cc03fee,0x4ffe805f,0xff07ffe6,0x7fff100f,0x00017ffc,
    0xfff91ffe,0xff880335,0x97fc4002,0x2ff88008,0x7ffffc40,0x221bfe0d,
    0xfffffffd,0x742ffcc7,0xffd9807f,0x40bff50f,0xfff50fff,0x7ffffd79,
    0xffffea80,0x3277ff60,0x3fe65fff,0x3f29ffb3,0x017fe607,0x261ffff1,
    0x07fe85ff,0x3a27ff44,0x7c0003ff,0x017ff47f,0x3fe6bfb0,0x277f600f,
    0x3602effe,0x41fff35f,0x443ffff8,0x7ff445ff,0x47ffccce,0x7fe84ff9,
    0x4cbffa00,0xfff106ff,0x7fffffd4,0x801fffde,0xff51fffb,0x21fff98b,
    0x2dfff5ff,0x3fe606fc,0x1fffe805,0xffd09ff3,0xd86ffd80,0x220004ff,
    0x0fffc7ff,0xfd0ffa80,0x3fea01ff,0x06fdce88,0x3ffa1ff5,0x417ffc0f,
    0x7fdc4ffb,0x7cc7ff85,0x007fe84f,0x7fc4bff6,0x25ffa80f,0x8dfffffa,
    0xf001fff9,0x0bff25ff,0xeff8bff2,0xfd9ffffa,0x017fe605,0x7cc7ffe2,
    0x207fe84f,0xfb80fffb,0xa80800ff,0x27ff46ff,0xfb97fc40,0xff880feb,
    0xf887fa82,0x1fd7f72f,0x7445ffc8,0x1ffe40ff,0xff31ffea,0x200ffd09,
    0x3f60fff8,0x17ff445f,0x88137ff5,0xff880209,0x907ffb0f,0x677ec5ff,
    0x3ffcfecf,0x4017fe60,0x13fe67fe,0x7fcc1ffa,0xbfff102f,0x2b7a1101,
    0x5c3fffb9,0x3201cfff,0x3fadf15f,0xf985fc80,0xf15fc83f,0xff103fad,
    0xbffd539f,0x713dff70,0xff98ffff,0x2e27fe84,0xfffca99a,0x5f7ffcc5,
    0x7d46ffec,0x37f6004f,0x6fffcaab,0x222fffee,0x3f20fffb,0xfffcafff,
    0x17fe602f,0xf98ffea0,0x887fe84f,0x7dc04fff,0xfecbdfff,0xffffffd1,
    0x3ffff60d,0x43fea2ff,0x0ffffffb,0xff503fea,0x2e1ff507,0x40ffffff,
    0xfffffffa,0xffff880e,0x4c7fefff,0x27fe84ff,0xfffffff9,0xfffc80ef,
    0x541effff,0x3f6004ff,0xffffffff,0x7fffff40,0x7fdc2fff,0x3ffff37f,
    0x7fe55544,0xdb10aaae,0x4ff98bff,0xffd87fe8,0x44cccccf,0xfffffffc,
    0xfffff71f,0xffffc809,0x5c7fd12f,0x10effeee,0xfffa87fd,0x47fd11ee,
    0x0effeeeb,0x4efffe98,0x6ffff540,0x7fcc7fb9,0x3e67fe84,0x02efffff,
    0x27ffff54,0x2004ffa8,0xfffffffc,0xfffc880c,0xffa81dff,0x83fffe4f,
    0xfffffff9,0xdff32fff,0xd09ff305,0xffff88ff,0xa87fffff,0x0ceffffd,
    0x510004c4,0x17f23db9,0x2fe41fd0,0x8fffffdc,0x07f405fc,0x220004c0,
    0x4ff98009,0x4cc47fe8,0x01300009,0x8003ee98,0x20009998,0x7fcc0198,
    0x31fff22f,0xffffffff,0x2600c5ff,0x47fe84ff,0xfffffff8,0x04c407ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04c40000,0x2aaa6200,0x80004400,0x0004cc01,
    0x55503551,0x84ccc400,0x59930aa8,0xbcb98801,0xddd5039a,0x06003ddd,
    0xfb002600,0x5fffffff,0x44002200,0x003ffedb,0x5407ff40,0x20fff4ff,
    0xfffb4ffa,0x309fffff,0x5bffffdb,0xfffffc80,0xeffec886,0x01ff9004,
    0xa8017fe2,0x07ff84ff,0x4c9fff30,0xffffdaff,0xffff700e,0x3ee0ffff,
    0x401fffff,0xea800ffc,0xfb03ffff,0x5fffffff,0x7fffe440,0xfffd881d,
    0xf7103fff,0x03ffa0ff,0x3ffd3fea,0xffb4ffa8,0x89ffffff,0xfffffffc,
    0x3ffee04f,0x7fcc6fff,0x00effedf,0xf8807ffc,0x3fea005f,0x9807ff84,
    0x7fcc2fff,0x6ffffffe,0xeeefffc8,0x555307ff,0xff801555,0x7ffe400f,
    0xfd86ffff,0x2eeeeeef,0xfffffd10,0x7ff443ff,0xb81cccef,0xfd07ffff,
    0x29ff501f,0x9ff507ff,0x33337ff6,0x3fff22cc,0x04fdcbce,0x2085fff1,
    0x7ec43ff8,0x807ffc06,0x2a005ff8,0x07ff84ff,0x4c077fcc,0xff32ffff,
    0x17ffcc5f,0x00001ffa,0xfa803ffe,0xfffbabff,0x4003fec3,0xeb9beffc,
    0x00f7fe45,0x3fffffe6,0x501ffd07,0x41ffe9ff,0x3ffb4ffa,0x03fff980,
    0x17fe6031,0xb1887f90,0x7d55445f,0x12aaabff,0x7d400bff,0x007ff84f,
    0x41fff980,0x3ff24ffc,0x5447fe84,0x222aa81a,0xabfffaaa,0x0bffa2aa,
    0x7fd8fff5,0x41ffe800,0x007ffc40,0x7fd77fcc,0x501ffd07,0x41ffe9ff,
    0x3ffb4ffa,0x004ffd80,0x4409ff50,0x3fff70ff,0x7ffccdf3,0x7fffffff,
    0x5550bff1,0x7c27fd43,0xaaaaa87f,0x3e62aaaa,0x25ffa85f,0x7fe81ffe,
    0x7fc27fd4,0x3ffffe67,0x3e7fffff,0x41fff07f,0xff8007fd,0x05ffa806,
    0x3ffc4b60,0xfa80ffe8,0x2a0fff4f,0x03ffb4ff,0x0001fff8,0x7dc09ff5,
    0x23dfff54,0xffff30fe,0x2fffffff,0x7fe45ff8,0x213fea0e,0xffff87ff,
    0x266fffff,0x6ff984ff,0x3fa03ffe,0x7c27fd47,0x3fffe67f,0x27ffffff,
    0xffd80fff,0x3bbbff61,0x17fe201c,0x3b37ff20,0x7c401cef,0x01ffd07f,
    0x1ffe9ff5,0xffda7fd4,0x31ffe201,0x66413333,0xccceffdc,0x3fa7f91c,
    0xff02fd85,0x97fe201f,0x7d41fffb,0xf87ff84f,0xffffffff,0x2a13fe66,
    0x03ffe5ff,0x9ff51ffa,0x7fc0fff0,0x0fffa00f,0xffd8bff6,0x105fffff,
    0xffb00bff,0x7fffffff,0xe83ffc40,0x4ffa80ff,0x3fea0fff,0xffffffb4,
    0x8dff35ff,0x3e4fffff,0xffffffff,0x3e5fb3ff,0xf03fc83f,0x3fe201ff,
    0x503fff35,0x7ff889ff,0xfc999998,0x13fe61ff,0xffe8ffee,0x2a3ffc40,
    0x07ff84ff,0xfc803ffe,0xffecbeff,0x37332e3f,0x7fc4ffff,0x5fffffff,
    0x6677ffec,0xf101fffe,0x03ffa0ff,0x3ffd3fea,0xffb4ffa8,0x55ffffff,
    0xffff8dff,0x3f73324f,0xb1ccccef,0x907ff15f,0x03ffe07f,0x7fc6ffc4,
    0x8dff302f,0xf8807ffe,0x27fcc3ff,0xfd8bffe2,0x23ffec3f,0x7ff84ffa,
    0x67ffe65c,0x7ff40ccc,0x2fffffff,0x7c7ffc80,0xffffffff,0x6c1ffec5,
    0xfff104ff,0x2a03ffa0,0x20fff4ff,0x9ffb4ffa,0xf3155555,0xffb998df,
    0x409ff504,0xb0bff3fc,0x03ffe05f,0x7ff77fc4,0x33ffe203,0x407fffea,
    0xf984ffe8,0xffea99ef,0x55fffd45,0x7d47fffe,0x6c7ff84f,0xffffffff,
    0xeffeb80f,0x8801ffeb,0x3ea60fff,0x409999ef,0xffa83ffc,0x20fff105,
    0xffa80ffe,0xf501fff4,0x807ff69f,0xfa80fff8,0x09ff504f,0xfffba7dc,
    0x3e03fd1e,0xfff100ff,0xfd801fff,0x7fdfffff,0x9837fec0,0xffffffff,
    0xffffe80e,0x7d47feff,0x647ff84f,0xeeefffee,0x3ffe000e,0x0fff8800,
    0x5c02ffc4,0x5ffa84ff,0x3a0fff10,0x4ffa80ff,0xff701ffd,0xf007ff67,
    0x9ff507ff,0x9813fea0,0x27fff67f,0x3ffe06f9,0xfbbff100,0xffd880df,
    0x207fb8ef,0xf300fffb,0x07dfffff,0x46fffec4,0x27fd47fe,0xff81ffe2,
    0xff50000f,0x1bff200b,0x2a017fe2,0x3ffd87ff,0x3a0fff10,0x3ffb80ff,
    0xffb07ffb,0x7007ff63,0xffa83fff,0x809ff504,0x6c6623fe,0x0bffa03f,
    0x7f46ffc4,0x1098804f,0x3fe609fd,0x33fe602f,0x20980018,0x37fcc7fe,
    0xfe81fffa,0xffa8002f,0x5d55642f,0xf883fffe,0xbffd005f,0x01fff935,
    0x7f41ffe2,0xffbac88f,0x37fff52f,0x7ecdff93,0xfffe801f,0x04ffdabd,
    0xf9809ff5,0x406fd83f,0x299aeffd,0x3fe6bff1,0x37ec003f,0x404fff88,
    0x00004ff9,0xfff11ffa,0x0ffffd59,0x4cd77fec,0x3b733222,0x7fc44fff,
    0x84ffffff,0xccceffcc,0x3fe61ccc,0x22ffffff,0xfffcccc8,0x1ffd1ccc,
    0x8bfffff1,0xfffffffd,0x007ff61f,0x3fffffa6,0xff504fff,0xbfff7009,
    0x9801dffb,0x17ffffff,0x7ffdcbff,0x417fe001,0xccccfffd,0x013fe64c,
    0xd87fe800,0xfdffffff,0x3fffe607,0x3ffe27ff,0xf884ffff,0x01cfffff,
    0xffffffff,0xfd885fff,0x7c41dfff,0xffffffff,0xf11ffd3f,0x3ee09fff,
    0x6c0dffff,0x3b2001ff,0x01cfffff,0x26009ff5,0x00cefffd,0xdffffd50,
    0xffb17fe2,0x3ffa001f,0x3fffe23f,0x267fffff,0x200004ff,0xffd887fe,
    0x407fb8ef,0x26ffffea,0x0bdefff8,0x4004ccc0,0xffffffff,0x06602fff,
    0xffffff88,0x4403ffff,0x00131000,0x04cc4000,0x0027fd40,0x3100004c,
    0x22ffc413,0x3006ffe8,0x7fc45dfb,0x7fffffff,0x0000fba6,0x26206ed8,
    0x26620000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x332a2000,0x004c02bc,0x15797510,0xdddddd30,0xffffff05,0x64bfffff,
    0x2ffc82ff,0x70013fea,0x7fc15403,0x4ffa8007,0x3fff2000,0x0000ffff,
    0x6f7fffec,0x3fff600c,0x3e00cdef,0xffffffff,0x1fff36ff,0x3e1fff10,
    0x0cdeffff,0x3e0ff980,0x3fff202f,0xfda87fff,0x7dc03fff,0x984fffff,
    0x83ffffff,0xffffffff,0x3ff25fff,0x2a2ffc82,0xff3004ff,0xf1bfe20d,
    0xff5000ff,0x7ffc0009,0x700fffff,0x7fec03ff,0x03ffffff,0xfffffffb,
    0x333be07f,0x6fcccccc,0x3f613ff6,0x3ffffe3f,0x4c03ffff,0x03ff10ff,
    0x3337fff2,0x3fff627d,0xfb05ffff,0x09ffffff,0x35555551,0xffd99990,
    0x3ae7999b,0xeccccdff,0xfff51dff,0x360379bd,0xd8aa8cff,0x03ffc3ff,
    0x0027fd40,0xaeffffa8,0x07fee02a,0xedcdffd8,0xffd84fff,0x4fffedcd,
    0x837995f8,0x83ffe26f,0x7ffc6ff9,0x4fffedcc,0xff89fea0,0x803fff01,
    0xfdbceff8,0x7ffd42ff,0x0005510b,0x205ff900,0xfffffffd,0xf53fffff,
    0xbfffffff,0xfffff881,0xff85ffff,0x4ffa8007,0x77ec01aa,0xff7006fe,
    0x20ffec03,0x7ec0fffc,0x07ffe41f,0x2ffffd7e,0x25ffb8df,0x3ffc2ffd,
    0x2207ffe4,0xfa99ffc9,0x3fff819f,0xffd84980,0x801fffc4,0x01aaaaaa,
    0x640bff20,0xeeeeefff,0xff52efff,0xbffffddf,0xffffff50,0x0fff01ff,
    0xd59ff500,0x7ff100ff,0x3ee00dfd,0x07ff601f,0xffb13ffa,0xf89ffd03,
    0x29fd5335,0x99ffe86f,0x07ff85ff,0xffe89ffd,0xffffffff,0x77ffec1f,
    0x7fdc001c,0x801ffe25,0x05fffffd,0xc80bff20,0x2ffc82ff,0xfb893fea,
    0x67fd42ff,0xf82ffe98,0xffa8007f,0xb805ffff,0x706fe8ff,0x9bffb999,
    0x0ffec399,0x3f62ffdc,0x45ffb81f,0xdf7f985f,0xffbbff50,0x2e0fff01,
    0x7fff45ff,0xffffffff,0x7ffff441,0xff7002ef,0x0037fccb,0x0bfffffb,
    0x9017fe40,0xb33337ff,0x27fd45ff,0x3f227ff4,0x7c27fd47,0x84fd887f,
    0x01dffffb,0x3bfabfd0,0x3fff62aa,0x3fffffff,0x4559ffd5,0x3faa6ff9,
    0x3fe62acf,0xb7cc2fc6,0xffffd06f,0x4c1ffe09,0x7f4c46ff,0x19efd99c,
    0x3ffff6a0,0x3ffe802f,0x4001ffe6,0x7e405ff9,0x2fffffff,0x7fffffe4,
    0x3ea2ffff,0x44ffb84f,0x2ffc45fe,0x7fec3ffc,0xdfffb33f,0x97fcc003,
    0x2e7ffffe,0xcdffdccc,0xfffff1cc,0x9ffe21ff,0x0fffffff,0x15f8fff1,
    0x1be7ffb9,0x807fffcc,0xfff107ff,0x5fd8ffa0,0x3ffea200,0x23ffdc05,
    0x8000fff8,0x7e405ff9,0x2fffffff,0x7fffffe4,0x3ea2ffff,0x43ffc84f,
    0x84ff86fe,0xffff87ff,0x09ffff95,0x3fa7fc80,0x3ee07fff,0xfffff01f,
    0x9ffe21ff,0x0fffffff,0x35f8fff1,0x037c5bff,0x7fc07ffb,0x20fff107,
    0x013f62ff,0x981bfea0,0xfff81fff,0x5ff98005,0x7fed54c0,0x7fe40aac,
    0xffdaaaac,0xf113fea2,0x0ffc83ff,0x3fe0bfe6,0x92fffc87,0x8009ff9d,
    0x01bfa4ff,0xfb00ffdc,0x8dff303f,0xff981ffd,0x84f9afc6,0x3fffe26f,
    0x7c6fffff,0x4dff307f,0xaacffba9,0x6c41adff,0xbffd309a,0x40fffe60,
    0xbabefffb,0x17fe605d,0x202ffc80,0xffc82ffc,0x2ebbfea2,0xfa85fffc,
    0x07feaaef,0x8f6e0fff,0x4009ff50,0xfeaacffa,0x03ff7006,0x7dc0ffec,
    0x40ffec5f,0x8afc5ffb,0x3a26f82c,0xeeefffee,0xfb83ffc5,0x3fffee5f,
    0x4fffffff,0x7fffffc4,0xff980fff,0x7ffdc03f,0x2605ffff,0x3f2005ff,
    0x0bff202f,0xffa8bff2,0x0dffffff,0xffffffa8,0x07ff80ff,0x004ffa80,
    0x3ffffff6,0x3ff7006f,0x740ffec0,0x0ffec3ff,0x57e1fff4,0x206f82d8,
    0x3fe02ffc,0x547ffd07,0xfeeeffee,0x7f443eef,0x80dfffff,0x1003fff9,
    0x07dffffb,0x9002ffcc,0x7fe405ff,0x2a2ffc82,0x2defffff,0xffffff10,
    0xfff0dfff,0x09ff5000,0x3bbbfe20,0x00006ffe,0xfb10ffec,0x43ffb0df,
    0x5f86ffd8,0x44df0ff9,0xcdffeccc,0x223ffc3c,0xff506ffd,0x22007fcc,
    0xf101ffc9,0xf88007ff,0xff9800cf,0x0bff2005,0xfc82ffc8,0x013fea2f,
    0x098bffe8,0xfff89ffb,0x02cccccc,0x9999dff5,0x07fdc399,0x42aabbfa,
    0xaaaaaaa8,0x6ffec2aa,0x82ffffdc,0xffdcdffd,0xb35f82ff,0x7fc4df07,
    0x6fffffff,0x7ee67ffc,0xdf702fff,0xc8007fcc,0xffff106f,0x05dddddd,
    0x54403fea,0xaaeffcaa,0x0bff200a,0xfc82ffc8,0x013fea2f,0xf882ff4c,
    0x3fffe0df,0x505fffff,0xffffffff,0x7437f47f,0xf51fffff,0xffffffff,
    0x7fffec1f,0xfb01efff,0x3dffffff,0x33333be0,0x226fcccc,0xacffdaaa,
    0x7ffffc2a,0x3201efff,0x801fea5f,0xfff503fe,0x5fffffff,0xf9817f20,
    0xffffffff,0x0bff202f,0xfc82ffc8,0x013fea2f,0x40d40150,0xffffffff,
    0xffff505f,0x267fffff,0xfffe83ff,0xffff51ff,0x41ffffff,0x3ceffffd,
    0x77fffec0,0x7fffc03c,0x6fffffff,0xf80bff20,0x03ceffff,0x1bee4fd8,
    0xf500cc80,0xffffffff,0x8072e05f,0xfffffff9,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x500ffffa,0x9ddfffff,0xfffffd81,0xfffb6fff,0x5fffffff,
    0x3ea03ffa,0xfffff14f,0x3eadffff,0x25ffe84f,0xfb003ffc,0x2fff98df,
    0x3bffffea,0xffff702d,0x25ffffff,0x3fa04ffc,0x01fff52f,0x3fe4dff9,
    0x7f4bfe60,0x13ff203f,0x20bfff90,0xffffffff,0xfff55fff,0x2205bdff,
    0x7ffe402b,0xffff502f,0x6c3fffff,0xffffffff,0xffffffb6,0x3fa5ffff,
    0x14ffa80f,0xffffffff,0x713feadf,0x7fe41dff,0x1fffb003,0xf51fffdc,
    0xdfffffff,0xffffff70,0x3e25ffff,0x6ffa80ff,0x3e22ffec,0x03fee2ff,
    0xff91ff98,0x00fff40d,0x20bffff3,0xffffffff,0xfff55fff,0x83dfffff,
    0x3fe04ffe,0xff505fff,0xdfff955b,0x6666ffec,0xffffb3cc,0x25ffffff,
    0xffa80ffe,0xffb55514,0x3fea5559,0x907ffe64,0x3f6007ff,0x3fffa3ff,
    0x373bfea3,0x7544ffff,0xffeeeeee,0x213ff21f,0x7fcc2ffe,0x717ff21f,
    0x7fcc01ff,0x101fff31,0xffd80fff,0x999905ff,0x7999bffd,0x3733bfea,
    0xff30efff,0x37fe60ff,0x9ff507ff,0xfb0fff98,0x7d40003f,0x203ffa7f,
    0xff904ffa,0x749ff505,0x3ffc84ff,0x2bfffd00,0x2a4ffff8,0x37fec4ff,
    0x88bffd00,0x3fea0fff,0x22bffb06,0x7fd41fff,0xf83fea00,0x5ffa82ff,
    0x3ff3fea0,0x05ff9005,0xff313fea,0x1bffe25f,0x7ff57fdc,0xf84ffa81,
    0x03ffb0ff,0xd1fff400,0x9ff501ff,0x2a0bff20,0x0dff74ff,0x7400fff2,
    0xdfb8ffcf,0x13fea4fe,0x3200fff3,0xffc80fff,0x440bffa4,0x5ffc9fff,
    0x2a01ffa8,0x13ff20ff,0x7c40bff6,0x005ff8ef,0x3ea05ff9,0x24ffc84f,
    0xffd00dea,0x3ea13fee,0xb37fcc4f,0x260003ff,0x07ff47ff,0xfc827fd4,
    0x8cffa82f,0xff900fff,0x3ebfe007,0x4fdbfdaf,0xff313fea,0x5fff300d,
    0x263ffe20,0x7fe406ff,0xf980fffe,0x2a1ff11f,0x437fd47f,0xff900fff,
    0x64017fe3,0x9ff502ff,0x4009ff70,0xdff35ff8,0x755bff50,0x7fec3fff,
    0x01aaaaac,0x3fa1ffec,0xfdcccccf,0x05ff904f,0x7ffd9ff5,0x801ffe40,
    0xffcfcaff,0x3fea5fd8,0x00fffa64,0xf9013ffa,0x805ffb7f,0x04fffff8,
    0x3fee3ff3,0xfff0ff52,0x982ffcc3,0x017fe5ff,0xfa817fe4,0x03ffc84f,
    0xff8ffea0,0x7fffd40f,0x7ec2ffff,0x3fffffff,0xd03ffe60,0xffffffff,
    0x3ff209ff,0xfffffa82,0x01ffe406,0xfffaaff8,0x7fd4bfb6,0x04ffffff,
    0x400effc8,0x06fffff8,0x01ffff70,0x7fec7fe6,0xffb0ff75,0xe81ffe47,
    0x017fe0ff,0xfa817fe4,0x0fffd44f,0x6c3ffb00,0x7ffd43ff,0x25ffffff,
    0xfffffffd,0x13ff603f,0x3ffffffa,0xf904ffff,0xfdff505f,0x7fe403ff,
    0x8aff8803,0x4dfb3fff,0xfffffffa,0x1fff9800,0x3ffff900,0x3ffff600,
    0xf15ff101,0x21beefff,0x3ffa5ffb,0x7c2ffb80,0x5ff9005f,0x333bfea0,
    0x4004fffe,0x2ffd47ff,0xfb993fea,0x03ffb2ff,0x80fff980,0xffa80ffe,
    0x505ff904,0x0dff99ff,0x4401ffe4,0x21ffb1ff,0x37fea6fc,0xe806ffeb,
    0x3e2004ff,0xff3005ff,0x3e20dfff,0x9ffdfaaf,0x7ff886fb,0xff10dff1,
    0x200bff0b,0xff502ffc,0x09ffffff,0xff985ff9,0x7ffdccce,0x7ec27fd4,
    0x003ffb5f,0xfd04ffd8,0x09ff501f,0x3ea0bff2,0x03fff8cf,0xf1007ff9,
    0xfc9bee3f,0x7453fea6,0x3ff203ff,0x2ffd8006,0xff9ffd00,0x36bfe05f,
    0x5fccfeaf,0xff55ffd0,0xdddff709,0x1ddfffdd,0xa817fe40,0x0bceefff,
    0x647fff98,0xffffffff,0x13fea2ff,0x7fed7fee,0x3ffe6001,0x501ffd00,
    0x3ff209ff,0xf54ffa82,0x7ff903ff,0x223ff300,0xfa9ff209,0x41ffea4f,
    0x8001fff9,0xfa802ffd,0x0fffb8ff,0xb8ffbff8,0xf705fcef,0x703ff99f,
    0xffffffff,0x6403ffff,0x9ff502ff,0x1fffe600,0xdddddffd,0x7fd49ffd,
    0xfb3ffe84,0x7fe4003f,0x203ffa04,0xff904ffa,0x6c9ff505,0x3ffc86ff,
    0x201ff980,0x13fea7fc,0xffd07ffd,0x3ff60009,0x13ffe802,0xdff09fff,
    0x3fbfe6bf,0xffdff305,0x3bbbaa0f,0xeefffeee,0x40bff200,0x36004ffa,
    0x17fe23ff,0xff537fd4,0xffff955b,0x3337ff63,0x7fc43ccc,0x03ffa00f,
    0x55453fea,0x2aacffda,0x7fc49ff5,0x66ffe44f,0xf50ccccc,0x53fdc01f,
    0x6ffb89ff,0x7777ffdc,0x3602eeee,0x7fdc02ff,0x03ffee0f,0x7f47fffd,
    0x3ffe04ff,0xf88004ff,0x5ff9005f,0x0013fea0,0x03ffb813,0x7fd47ffe,
    0x2fffffff,0x3ffffff6,0x2ffe46ff,0x2a03ffa0,0xffff14ff,0x2adfffff,
    0x7ffdc4ff,0x3fffff21,0xff50ffff,0xa87fdc01,0x7ffc44ff,0x3fffff62,
    0x203fffff,0x3e202ffd,0x5ffe83ff,0xf907fff4,0x7fe409ff,0xf88002ff,
    0x5ff9005f,0x0013fea0,0xd803ff60,0xffff53ff,0xfd817ddf,0x6fffffff,
    0xd007ffe2,0x9ff501ff,0x3fffffe2,0x9ff56fff,0x7e4dffd0,0xffffffff,
    0x5c01ff50,0x09ff50ff,0x7fecdff9,0xffffffff,0x80bff603,0xff707ffc,
    0x237fec5f,0x2a03fff9,0x8000ffff,0xf9005ff8,0x13fea05f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fffe800,0x05005ff8,0x9953000a,0x95100379,0xca880159,
    0x2aa22bcc,0xb882aa81,0x802f262c,0x000acca8,0x99710022,0x006f2a15,
    0x01579751,0x2aa60131,0x442aaa01,0x5dc3952a,0xc9855440,0x712aa83c,
    0x57300379,0x02aaa203,0xffd0aaa2,0x80bff07f,0x1fec3fd8,0xfffffc80,
    0x3fee05ff,0xf904ffff,0x54ffffff,0x47ff84ff,0xfabffff8,0xffa81fff,
    0xc803ffff,0x3ffe01ff,0xffffdeff,0xfffff701,0x7fffdc9f,0x037fd42e,
    0x3fe61fff,0xffdafffb,0x36bfe62f,0x360effff,0xfffff9ff,0xfffff503,
    0x0dffb03d,0xffe87ffb,0x205ff86f,0xf50fffe8,0xdfb00bff,0x07fffb9b,
    0xfffffffb,0xdfffc89f,0x3fea7dcc,0x7f47ff84,0xfcffffbe,0x6fffd45f,
    0x7c03fffc,0x2f7e04ff,0xffcffffc,0xfffffd86,0x333b24ff,0x7ffc0ffe,
    0x265ffa81,0xfeffffff,0x3fe64ffe,0x4ffffffe,0x3bfffff6,0x77dc0fff,
    0x42ffb98a,0x3ee4ffe8,0xffffe86f,0xf982ffc2,0x7fcc0eff,0x202600ef,
    0x7fcc6ff9,0x3fff912f,0x2a00fffc,0x27ff84ff,0x9ffb0ff8,0xffe83fe6,
    0x803ffe21,0x70603ffd,0x83fe67ff,0x510bfffa,0x20ffc405,0xffd84ffc,
    0x2e3ffe62,0x4cdf96ff,0xff52ffff,0x86fffecd,0x37e63ffd,0xee8cfffa,
    0x44fffcc0,0xffe80fff,0x42ffc6ff,0x2205fffa,0x8001effe,0x1ffec7ff,
    0xfff1fff4,0x84ffa807,0xb9bea7ff,0x23ff12ff,0xffc85ffa,0x2000d401,
    0x5ff11ffa,0x9801fffc,0x442ffecc,0x3ffc47ff,0x7fd4ffe6,0x7fccff92,
    0xfb3ffc1f,0x24ffa8bf,0xfcafa8fd,0xffc83f99,0xfd03ffee,0x7fc3ff9d,
    0x01fffdc5,0x017ffec4,0xfff99753,0xfc80ffe8,0x3bfff65f,0x84ffa81c,
    0xa9bee7ff,0x2ffaabff,0x9999bff7,0x00007ffd,0x2fff2a62,0xff12ffaa,
    0x3bff600f,0xffd82ffe,0xf313fee2,0x643fea3f,0x217fe67f,0x07ff67fe,
    0xaafc3551,0x0bf1fb9f,0x817ffffa,0x25ff9efe,0x3fff65ff,0x7ffe4002,
    0x7fffec43,0x3ffc7fff,0x3a26ffa8,0x22efffff,0x7ff84ffa,0xfffa97f2,
    0xff92ffff,0xffffffff,0x77777747,0x2a4eeeee,0xffffffff,0xdff32fff,
    0x7c5ff300,0x25ffa82f,0x7fcc0ffe,0x3f21ff51,0x3a13fe67,0x007ff67f,
    0x7ffd53e2,0x7fc41ba2,0x5bfa00ff,0x2bff1ffd,0x0004fffa,0x3a23fffd,
    0xffccceff,0x4c07ffc7,0xffda85ff,0x9ff52fff,0x2fe4fff0,0x55557ff5,
    0x3337ff61,0x3e1ccccc,0xffffffff,0x7bff36ff,0x55555ff9,0x201ffe61,
    0xffeacff9,0xf31fff02,0x23ff30df,0x4ff90ffa,0x7fe84ff9,0x7c007ff6,
    0x7cbd3f55,0x5ffff705,0xffab7f40,0x7fd4bff4,0x3fa2005f,0x17fee1ef,
    0x5ffd1ffe,0x4409ff70,0xff55fffa,0x2e7ff889,0x807fea6f,0x32002ffb,
    0xcccccccc,0x54ff93cc,0x3fe200ff,0xfffd800f,0xff902fee,0xf305ff97,
    0x643fea3f,0x213fe67f,0x07ff67fe,0x47d47ec0,0x983f99fb,0x00ffffff,
    0x47ff4dfd,0x7ffcc5ff,0x7ffcc00e,0x21ffe40e,0x7fec7ffa,0x802ffe85,
    0xdff36ffa,0x3ee7ffe8,0xa80fff27,0x000006ff,0x5ff737ec,0x005fff80,
    0x40262355,0x07feeff9,0x3fea3ff3,0x7fccff90,0x3f67fe84,0x3bf3001f,
    0x1fd79119,0xfdaffe88,0x5cdfd06f,0x885ffcff,0xf501effe,0x3fee0bff,
    0x7fffb89e,0x5dffffcc,0x2b626ffe,0x29ffd309,0xfeacfff8,0x47fe67ff,
    0xd060fffe,0x53333dff,0x203c9807,0xfff98ffb,0xffa8510e,0x15dbabef,
    0x33333333,0x27fffec0,0xff51ff98,0xff99ff21,0x3f67fe84,0x3bf2001f,
    0x82fea889,0xfff15ffd,0xff8dfd09,0xfb105fff,0xfffc85ff,0x3fffe204,
    0xc87fefff,0xefffffff,0x3ffffe21,0x3f60ffff,0x7fdfffff,0x7f7f7ff4,
    0x7cc7feff,0x6fffffff,0x9827ff40,0xffcfffff,0xffd87fff,0xf55fffff,
    0x1fffffff,0x07fffea0,0xffa8ffcc,0x7fccff90,0x3f67fe84,0x7fd4001f,
    0xfb81efff,0x3ffea0ff,0x3f237f41,0x7e405fff,0x5fff50ff,0xbfffd500,
    0x3aa0ff73,0x440cffff,0xcffffffe,0x77ffec40,0x7f447fb8,0xffff98ef,
    0xffffd886,0x7ffc04ff,0x4bffee04,0x506ffffb,0x27dffffd,0xeeeeeee9,
    0x1bffe00e,0xff51ff98,0xff99ff21,0x3f67fe84,0xb988001f,0x5fff301b,
    0x741fff90,0x7fffc46f,0x5c1fb805,0x04c4001f,0x4004c400,0x88019998,
    0x20620009,0x99880099,0x01bd5000,0x01331030,0x00002620,0x00000000,
    0x00000000,0xdfd00000,0x00bfff90,0x00000402,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0dfd0000,0x000bfff3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaaaa0,0x05552aaa,0x55543550,
    0x11001aaa,0x80664c00,0xaaa81aa8,0x4c400001,0x55d54401,0x01553100,
    0x140620d4,0x0d5400d4,0x5cc03710,0x9999881a,0x20199999,0x54401ffc,
    0x8666001b,0x26666199,0x7c002200,0xffffffff,0xf880ffb6,0x3ffff63f,
    0x7ffdc05f,0x1ffb803f,0xfc8bff10,0x4074c0ef,0x3fea01e8,0x3ffffa00,
    0x7fffe42f,0x24ff884f,0x8ffa25fd,0xff7106fe,0x3ffe209f,0x7ffff4c3,
    0x3fffea0e,0x80ffffff,0x2606fff9,0x64c5ffff,0x22dff10c,0x3ff626ff,
    0x03ffd80e,0xfffffff8,0x01ff96ff,0xffb17fcc,0x7e40bfff,0x403fffff,
    0xff101ffb,0x20fffdcb,0x3a20eff9,0x7cc660ff,0x373760a7,0x77fec7ff,
    0x7fec2fff,0xfd87ff51,0xf07ff71f,0x2609ffff,0x3fa27fff,0x2a6ffecf,
    0xffffffff,0xfcfd80ff,0xffffd02f,0x89fee1df,0x0dff16ff,0x7cc1dff7,
    0x4cc00fff,0x1fffc999,0x7d403ff7,0x0bff301f,0x7ec4ffe6,0x80ffdc07,
    0xfff35ff8,0x23bff603,0x7ec3ffe8,0x3fd8ef8b,0x8a23ffc0,0x3fea3ffd,
    0xf10bff13,0x20ffecdf,0x104ffcec,0x3ee1ffff,0x447ff21f,0x99999999,
    0xb8ffa819,0x67fcc0ff,0xffceffd8,0xbff2ffc6,0xfa97fa60,0x44000fff,
    0x3fea3fff,0x3ee3ff52,0x0bff300f,0x3ff51fea,0x880ffdc0,0x2fff8dff,
    0x3bbff620,0x7ff443ff,0x85ffeffe,0x203ffdca,0xff11ffe8,0xa807fecd,
    0x8dff14ff,0x4c09ff30,0x8ff90fff,0x80002ff9,0x513fa3fe,0x7ffe41ff,
    0xf2ffc2ff,0xfe8800bf,0x7f44005f,0xd9ffcc4f,0x40ff94ff,0xff705ff9,
    0x3ba1ff98,0xeeeffeee,0xfddff14e,0xffd1007f,0x7ecc07ff,0xfd01cfff,
    0x3a205dff,0x4ffea4ff,0x7f405ff8,0x2603ff66,0x37fc04ff,0x7fd41ff9,
    0x55555511,0x6fc85555,0x3310ffd4,0xf05dfd70,0x0027fc9f,0x6c0015c4,
    0x2bff06ff,0x0df96fff,0xfa82ffcc,0xff1ff22f,0xffffffff,0x3fffe2df,
    0xff3000ff,0x7ecc01df,0x5500cfff,0xe887ffd7,0x0ffe84ff,0x3f203ff9,
    0x209ff52f,0x3ee04ff9,0x273fea2f,0xff50ffe9,0xffffffff,0x3a0bfe21,
    0x3600006f,0x000fb63e,0xfffb8000,0xff5dff00,0x40bfb3ff,0xff105ff9,
    0xc89ffdbf,0xcdffeccc,0xbbff13cc,0xfd100bff,0xd881dfff,0xfffffeff,
    0x32ffd404,0x3e605ffd,0x303bfa5f,0x1bfa29ff,0x6cc4ff98,0xffd84ffe,
    0x3ea3ffff,0xffffffff,0x260bd70f,0x000002ee,0x20000000,0x3602fff9,
    0xcfecfcef,0x3fe603ff,0x3fffe605,0x1ffb804f,0xfd1bff10,0x7ff4409f,
    0x740effdb,0xfd8ef8cf,0x3f333a24,0x3fffe3ff,0x7fe46fff,0x744bff32,
    0x207ff26f,0x6ffffffe,0x5c03dff5,0x0001dffe,0x00000000,0x00000000,
    0xc809fff1,0xffcaffff,0x3fe602ff,0x055d4405,0x101ffb80,0x3ffe6bff,
    0x23ffe882,0x4660effd,0xf882e7f9,0x7c4fffff,0x46ffffff,0x8ff23fe8,
    0x13f21fc8,0x7ffffff4,0x00000116,0x00000000,0x00000000,0x99fffb00,
    0x7fdc9999,0x3ffff37f,0x7fe55544,0x3310aaae,0x80333333,0xff101ffb,
    0x20fffdcb,0x7f443fe8,0x501fea05,0x26605555,0x18099999,0x80202010,
    0x09999998,0x00000000,0x00000000,0x20000000,0xfffffff8,0x3ffea7ff,
    0x983fffe4,0xffffffff,0xffff52ff,0x5c01ffff,0xbff101ff,0x440fffd8,
    0x98807103,0x00000001,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffff8,0x3ffe67ff,0xf31fff22,0xffffffff,0x3bbba65f,0x2600eeee,
    0xbff100aa,0x006ffe88,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccc4000,0x2880aa20,0xddd90544,
    0x0ddddddd,0x3bbbbbaa,0x55555551,0x23555555,0x4ffffffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,0x13ffe24f,
    0x7fc57fe2,0x3fffff66,0xf707ffff,0x3e3fffff,0xffffffff,0xffd5ffff,
    0x0009ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x217ffcc0,0x4c0ffffb,0x4fff16ff,0xbbbbbbba,0x555107fd,0x3ffe1555,
    0xffffffff,0x999995ff,0x00000799,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xfa80dfe8,0x2ec80fff,0xfb800bae,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0003ffd8,0x003fdc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09800000,0xfb800000,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_25_latin_ext_x[560]={ 0,4,2,0,1,0,0,5,3,2,1,0,2,3,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,1,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,2,2,0,1,0,4,5,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,1,1,1,0,0,1,1,1,0,0,2,
1,-3,-2,1,1,0,1,0,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,-1,0,1,2,-1,0,
0,0,0,0,1,1,0,0,0,0,0,-2,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,
0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,-1,0,-3,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0, };
static signed short stb__consolas_bold_25_latin_ext_y[560]={ 18,0,0,2,-1,0,0,0,-1,-1,0,5,13,10,
13,0,1,1,1,1,2,2,2,2,1,1,5,5,4,7,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,20,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,18,5,-1,1,2,2,
-2,0,0,1,1,6,10,10,0,1,0,2,0,0,0,5,0,8,18,0,1,6,0,0,0,5,-3,-3,-3,-3,
-3,-4,2,1,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,0,-1,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
-2,1,-3,0,2,5,-3,0,-3,0,-3,0,-3,0,-3,-1,2,0,-2,1,-3,0,-3,0,2,5,-3,0,-3,0,
-3,0,-3,0,1,0,-3,-4,2,0,-3,0,-2,1,-3,0,2,0,-3,5,2,0,-3,0,2,0,5,-3,-4,2,
0,-1,-1,2,0,2,0,-3,0,2,5,-3,0,-2,2,5,-2,1,-3,0,-3,0,1,5,-3,0,2,5,-3,0,
-3,0,-3,0,1,5,-3,0,2,1,-3,-1,2,1,-3,0,-2,1,-3,0,-4,-1,-3,0,2,5,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-6,-5,-3,0,-3,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,5,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_bold_25_latin_ext_w[560]={ 0,5,9,14,12,14,15,4,9,9,12,13,8,8,
6,13,14,12,12,12,14,12,12,12,12,13,6,8,11,12,11,9,14,14,12,12,13,10,10,13,12,11,10,13,
11,14,12,14,12,14,13,12,13,12,14,14,14,14,12,8,12,7,12,14,9,12,12,11,13,12,13,13,12,12,
11,13,12,14,12,13,12,13,11,11,12,12,14,14,14,14,11,11,4,10,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,11,13,14,14,
4,12,12,14,10,12,12,8,13,11,10,12,9,9,13,13,13,6,4,9,10,12,14,14,14,10,14,14,14,14,
14,14,15,12,12,13,12,12,12,13,12,12,14,13,14,14,14,14,14,12,14,13,13,13,13,14,12,13,13,13,
13,13,13,13,14,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,12,14,
14,13,14,13,14,12,13,14,13,12,13,12,13,12,15,16,14,14,12,13,12,13,12,13,11,12,12,13,13,13,
13,13,13,13,13,13,13,13,14,12,12,13,12,13,12,13,12,12,12,12,12,12,12,12,13,13,13,13,13,11,
12,16,16,13,15,13,12,13,13,12,12,13,13,13,12,12,14,13,14,13,15,15,14,14,15,13,13,11,15,13,
13,13,13,12,12,11,13,12,13,12,13,16,13,12,13,13,13,13,13,13,13,13,15,15,12,12,14,14,14,14,
14,13,13,13,12,13,12,10,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,13,15,14,17,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,12,11,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__consolas_bold_25_latin_ext_h[560]={ 0,19,7,16,23,19,19,7,25,25,12,13,10,3,
6,21,18,17,17,18,16,17,17,16,18,17,14,18,15,8,15,19,24,16,16,18,16,16,16,18,16,16,17,16,
16,16,16,18,16,22,16,18,16,17,16,16,16,16,16,23,21,23,8,4,6,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,18,18,13,14,18,14,13,13,13,19,13,23,26,23,7,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,17,16,16,
26,21,6,18,13,11,6,3,13,5,10,16,11,11,6,18,21,6,4,11,13,11,18,18,18,18,21,21,21,21,
21,22,16,21,21,21,21,21,21,21,21,21,16,21,22,22,22,22,22,12,22,22,22,22,22,21,16,19,19,19,
19,19,19,20,14,17,19,19,19,19,18,18,18,18,19,18,19,19,19,19,19,14,19,19,19,19,19,24,23,24,
20,18,21,19,21,18,22,19,22,19,22,19,22,19,21,20,16,19,20,18,21,19,21,19,21,18,21,19,22,24,
22,24,22,24,23,24,21,22,16,18,21,18,20,17,21,18,21,23,21,13,17,24,22,24,22,24,13,21,22,22,
24,19,19,16,18,16,18,21,18,22,19,21,18,20,22,19,21,18,22,19,22,19,18,14,21,18,22,19,21,18,
22,19,22,19,21,17,22,19,22,23,21,20,16,18,22,19,21,18,22,19,23,20,22,19,21,18,21,18,21,24,
21,21,18,21,18,21,18,18,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,24,24,21,19,24,22,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,23,19,22,23,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_bold_25_latin_ext_s[560]={ 255,245,223,239,102,220,170,251,11,21,93,
52,162,75,15,226,57,206,13,100,206,166,193,40,155,152,248,196,14,182,26,
101,149,1,16,231,225,29,245,1,53,66,244,78,92,104,1,113,235,195,119,
142,221,232,191,176,161,146,133,246,141,67,195,60,233,38,114,147,67,105,15,
194,205,84,220,57,183,185,200,51,98,111,213,65,44,77,170,13,239,96,1,
127,1,139,208,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,255,249,115,
179,94,210,6,185,22,29,159,126,35,75,225,48,171,153,116,106,1,128,242,
243,251,152,41,139,42,27,12,1,224,17,126,154,82,215,137,69,42,28,215,
1,173,169,59,87,166,228,30,45,102,1,200,80,171,117,145,88,116,72,81,
100,141,28,58,1,235,203,132,26,180,166,152,138,231,1,97,125,71,217,43,
29,15,1,239,118,225,211,197,183,169,120,41,49,217,72,56,72,100,31,17,
28,88,1,46,140,74,232,84,159,181,43,176,236,71,86,43,127,15,44,240,
155,186,135,60,164,131,191,14,93,100,130,66,139,46,152,115,38,239,208,211,
28,183,28,219,1,230,107,159,232,66,55,60,243,178,200,153,109,15,123,57,
32,70,144,54,201,86,145,224,125,186,111,31,111,1,85,166,90,97,194,157,
42,1,222,102,57,74,15,158,1,16,111,237,54,212,128,52,139,210,186,14,
125,150,14,75,189,179,124,113,71,196,168,114,205,129,144,84,171,218,198,181,
245,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,1,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,78,64,27,81,31,164,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,89,208,237,54,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196, };
static unsigned short stb__consolas_bold_25_latin_ext_t[560]={ 1,143,334,282,28,185,205,28,1,1,334,
334,334,348,348,121,244,263,282,244,300,263,263,300,244,263,300,244,317,334,317,
185,1,300,300,244,282,300,263,263,300,300,244,300,300,300,317,244,300,28,300,
244,300,263,300,300,300,300,300,1,99,28,334,348,334,317,165,317,205,317,263,
185,244,225,1,263,244,317,317,317,263,263,317,317,263,317,317,334,317,205,334,
28,1,28,334,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,1,185,28,
263,282,282,1,121,348,263,317,334,348,348,317,348,334,282,334,334,348,244,76,
334,36,334,334,334,244,244,244,244,99,121,99,99,99,53,282,99,99,99,76,
99,76,99,121,121,282,76,53,53,76,53,53,334,53,76,76,53,53,121,282,
165,165,205,165,205,185,143,317,282,185,185,185,185,205,225,225,225,185,205,185,
185,185,185,165,317,165,165,165,165,165,1,28,1,143,244,143,165,143,225,76,
165,76,165,76,205,76,143,143,143,282,165,143,225,143,165,143,165,143,225,121,
165,53,1,53,1,76,1,28,1,121,53,282,225,121,225,143,282,99,225,99,
28,99,334,263,28,53,1,76,1,334,99,76,53,1,205,205,282,225,282,225,
121,225,53,205,76,244,143,28,185,76,225,76,185,76,185,225,317,99,225,53,
205,121,225,53,185,53,205,121,282,53,205,28,28,121,143,282,263,28,205,99,
263,28,165,28,143,28,205,99,263,99,244,121,1,121,121,263,121,244,121,225,
205,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,143,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,1,1,143,205,1,28,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,28,185,28,28,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282, };
static unsigned short stb__consolas_bold_25_latin_ext_a[560]={ 220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,220,
220,220,220,220,220,220,220,220, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_25_latin_ext(stb_fontchar font[STB_FONT_consolas_bold_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_25_latin_ext_s[i] + stb__consolas_bold_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_25_latin_ext_t[i] + stb__consolas_bold_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_25_latin_ext_x[i];
            font[i].y0 = stb__consolas_bold_25_latin_ext_y[i];
            font[i].x1 = stb__consolas_bold_25_latin_ext_x[i] + stb__consolas_bold_25_latin_ext_w[i];
            font[i].y1 = stb__consolas_bold_25_latin_ext_y[i] + stb__consolas_bold_25_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_bold_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_25_latin_ext_s[i] + stb__consolas_bold_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_25_latin_ext_t[i] + stb__consolas_bold_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_25_latin_ext_x[i] + stb__consolas_bold_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_25_latin_ext_y[i] + stb__consolas_bold_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_25_latin_ext_LINE_SPACING
#endif

