// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT        222
#define STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_22_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_22_latin_ext_LINE_SPACING          10

static unsigned int stb__courier_22_latin_ext_pixels[]={
    0x02000c40,0x00660000,0x0004c000,0x000000a2,0x00000000,0x98803000,
    0x01800999,0x18000000,0x88300000,0xb8000000,0x4003d100,0x0166005a,
    0x00950016,0x22003737,0x001d801e,0xb102b9d4,0x1a600b51,0x6e402c80,
    0x33332e05,0x00f76202,0x73a80019,0x00376e05,0x907c03c8,0x64036609,
    0xeeeefeee,0x01d30391,0xb5002dc0,0x002f8801,0x14520097,0x220074c0,
    0xa8051592,0x22660975,0x6cc0153d,0x4564a200,0x1d32d882,0xd1018850,
    0x00c816e3,0xd825d6a0,0x7b003d33,0x01dc1d00,0x641901d3,0x4c0e46e1,
    0x800e2001,0x40060048,0x13260039,0x2cc00440,0x12290162,0x200d83b8,
    0x2c459804,0x20d80408,0x8081103a,0x0999ad98,0x01024520,0x0002a801,
    0x8320e200,0x40e46e1c,0x973003bc,0x09104c00,0x40262153,0x31000009,
    0x00199813,0x00000000,0x88000066,0x00009999,0x33302662,0x6666f654,
    0x4c004c04,0x0001310a,0x4cc46662,0x32013009,0x391b8720,0x52009198,
    0x6dedc028,0x33661d9c,0x5c3dbceb,0x6c42dcbe,0x53fb63ef,0x2f642ce9,
    0x76c7dfb1,0x47dfb14f,0xdfb14fed,0x3227f6c7,0x10dbfcbd,0x7f6c7dfb,
    0x9b333324,0x3b63efd8,0xc859d34f,0x7000c85e,0xb305b97d,0x27b79d79,
    0x3b63efd8,0x26d9934f,0x5f5c4ccc,0x80e402dc,0x003bc80b,0x1e403737,
    0xb81b13a2,0x0ec1e41f,0x1d44882c,0x1220b058,0x82c24416,0x7dc15c48,
    0x804882c0,0xa8910585,0x00320b03,0x1b0760f2,0x10581fb8,0xc9221609,
    0x07201d83,0x13000200,0x2ed42cc0,0x5987e075,0x220b0d10,0xb03a8584,
    0x44161220,0x4c910584,0x20b03605,0x05858048,0x0750b091,0x20b30032,
    0x0fc0ea68,0x0b04882c,0x34416691,0x3b600390,0xa98805fe,0x2b10f601,
    0x87201b0d,0x0b07603d,0x0b0ea122,0x0584882c,0x9220b091,0x4160201b,
    0x05858048,0x05875091,0x407b0032,0x07201b1d,0x85824416,0x0ec07b48,
    0x2e0101c8,0x336e00da,0x40e81dba,0x40ae550d,0x3a803a1e,0x4b04882c,
    0x2441603a,0x0584882c,0x2c002c91,0x58580488,0x3a960910,0x01d00320,
    0x3d02b9d4,0x2c1220b0,0x2a00ea44,0x07203903,0x22001d56,0x910ec684,
    0x687e6162,0x44162440,0xb0167504,0x44161220,0x2c910584,0x04882c00,
    0x09105858,0x0ea02cea,0x8a440686,0x0581f985,0x52216091,0x1c824406,
    0x16498390,0x5c361a00,0x15b71dc3,0x202c39b7,0x04882c3a,0x20b00eb6,
    0x09105848,0x00d9220b,0x804882c0,0x40910585,0xcdd803ad,0x750164ec,
    0x66dc56dc,0x20910581,0xa80b4885,0x2777f743,0x0e439072,0x6deedb88,
    0x2d859aa8,0x0dc5edc4,0x1a0ec019,0x00f50244,0x41a1220d,0x49106848,
    0x8834004c,0x10685804,0x2003d409,0x3600c809,0x5c5edc41,0x64910681,
    0x915eefee,0x001d8032,0x126341c8,0x6c4340ec,0xb803440d,0x43441661,
    0x2a01b81d,0x1b81d803,0xd81b81d8,0x81a21b81,0x0dc0ec08,0x5c0ec2c0,
    0xe800ea01,0x1a20b302,0x40ec0dc0,0x4d22001b,0x1740d105,0x333a61c8,
    0xd02b87cc,0x2d8833a0,0x83c81b00,0x220da81d,0x54006c05,0x6d41620d,
    0x06d41620,0x983b50b1,0xb106d40e,0x1b507500,0x003602c4,0x20f203b8,
    0x501b001d,0x2002c41b,0x0760f23b,0x9c8303b8,0x542b9999,0x56436c43,
    0x101eccda,0x2e07b333,0x2a01dcce,0x9980cccf,0x9f5000cb,0x67d40199,
    0x33ea00cc,0x9df500cc,0x33ea01bb,0xb99880cc,0x999f500e,0x01973301,
    0x3ae00640,0x33101dcc,0x67d407b3,0x4cc400cc,0x6675c0db,0x8006401d,
    0x9b90b105,0x225dd3bb,0x32a00443,0x009801cc,0x664c0260,0x04c004cc,
    0x4c001300,0x40031000,0x59991009,0x64c02600,0x00004ccc,0xcca80130,
    0x0013001c,0x9802f32e,0x15400000,0x002601b0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa83bbf20,
    0x00002eee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000c000,0x44880404,
    0x0400001b,0x00ea0c80,0xa8320000,0x0003d802,0x3600d880,0x02000000,
    0x00000001,0x5c000000,0x69800005,0x03d03cc0,0x501d41b0,0x26c07b3b,
    0x03bc8099,0x205bae88,0x01d8803c,0x30132ba6,0xd300b73d,0x401e8801,
    0x0f2001e9,0x007b1f40,0x00016076,0x00ec0077,0x4007a6f6,0x003a602b,
    0x016c40b1,0x20176f66,0x104401d9,0x0048cc01,0x812e00f2,0x059001e8,
    0x301cc190,0x001b001d,0x09700162,0x2004c130,0x005701e8,0x6c400f20,
    0x0910d402,0x000901a0,0x01300480,0x20064388,0x07790009,0x1a8004c0,
    0x00000170,0x44019000,0x43880643,0x0035000c,0x68037000,0x2002a800,
    0x0026001b,0x804c03a8,0x00099999,0x1310a980,0x01b10d88,0x00b72fae,
    0x65f5c002,0x1000002d,0x7f6c7dfb,0x6c7dfb14,0xd88004fe,0x36201b10,
    0x80001b10,0x3b63efd8,0x0ae0004f,0x40000000,0x802dcbeb,0x997b700e,
    0x33332279,0x47dfb16c,0x33664fed,0x003dbceb,0x20760f20,0x6405feed,
    0x3bae1d83,0xdd71eeee,0x0583dddd,0x9220b091,0x1feeeeec,0x36000000,
    0x5eeeeeee,0xed891058,0x45eeeeee,0xefeb8058,0x360feeef,0x8bba60df,
    0x2a01d83c,0x07d09304,0x44882c58,0x260fdc0d,0xb304cc41,0xdab81a20,
    0x1a20b300,0x807200e4,0x20b09105,0x8b103248,0x204cc419,0x404cc419,
    0x20b0b01c,0x0b01c848,0x91910039,0x6c15c0d8,0x03441661,0x2a03601b,
    0x44162c02,0x20fc0ea4,0x8b7261ec,0xac07603d,0x6c07b03a,0x0e401c81,
    0x161220b0,0x1d819244,0x5b930f64,0x37261ec8,0xb0b01c82,0x40721220,
    0xab805885,0x06c06c48,0x3603d875,0x06e04981,0x44162c00,0x40e40364,
    0x03a2b81b,0x164983a8,0x90750074,0x1601c803,0x4882c244,0x06e0770a,
    0x2e06e0ae,0x808a1c82,0x43909105,0x200ec022,0x4061488d,0x01d0b159,
    0x1006c1d4,0x4580037b,0x815c9105,0x2b81b81e,0x3909101a,0x220340e4,
    0x0e401c84,0x161220b0,0x20588244,0x1b82b81b,0x99ac82b8,0x84882c06,
    0x980699ac,0x69d8ac04,0x681dab80,0x01622440,0x4016edc4,0x224882c5,
    0x1b81f985,0x750162b8,0x058498d0,0x200e41d4,0x2441601c,0x1b04882c,
    0x415c0dc0,0xdc82b81b,0x882c06cc,0x06ccdc84,0x44e601b0,0x09d006ce,
    0x1c875016,0x58059000,0x6dc4882c,0xb81cdb8a,0x80322b81,0x66674c1d,
    0x3600c87c,0x0e401c81,0x1a1220d0,0x20164244,0x1b82b81b,0x161c82b8,
    0x321220d0,0x824c0161,0x0074dcdb,0xb0064072,0x00402c43,0x8834580b,
    0xb8bdb884,0x22b81b81,0x390d1059,0x98573333,0x0720d105,0x40ec0390,
    0x1b81d81b,0x3712224c,0x70370570,0x20a03905,0x1c81b81d,0xd80d8050,
    0x64004a99,0x1a20b301,0x10598039,0x40ec5809,0x3037001b,0x1e42fb89,
    0x5882c0ec,0x901d83c8,0x2a01c803,0x6d41620d,0x81d11620,0x3ee24c58,
    0x17dc4982,0x540c80e4,0x0e41620d,0x10ea00c8,0x80e6244b,0x360f201c,
    0x3e601a21,0x12a01c82,0x002c41b5,0x3b37601b,0x675c2ebb,0x202a81dc,
    0xdcceb80d,0x39007201,0x0cccfa80,0x03333ea0,0xbb0b103b,0xb05d77d9,
    0x85d77d9b,0xf501901c,0x07201999,0x551a0064,0xc80e6244,0x6e675c01,
    0x64c015c1,0x4c2ddcec,0xfa80eb99,0x33100ccc,0x018807b3,0x77e40260,
    0x0bbbaa0e,0xeeec804c,0xddd91eee,0x04c03ddd,0x3be01300,0x105eeeee,
    0x200c4003,0xeeeeeeee,0xe802600f,0xfeeeeeee,0xeec84c00,0xeeeefeb8,
    0x4eeeed83,0x002804c0,0xcc880988,0x004c00bc,0x0007332a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x911c4000,0x88900000,0x00037d43,0x000ff440,0x80440004,
    0x12a01c1a,0x0b200000,0x00620000,0x15414c19,0x00098091,0x00079000,
    0x5c006600,0x36259804,0x50deed80,0x22f207fd,0x000b01d8,0x0039016c,
    0x04aaedd8,0x1d88074c,0x756640b5,0x20097001,0x7544cae9,0x827f6c2f,
    0x27a600fc,0xd39900db,0x332f6e03,0x2025c03c,0x300dbad8,0x65ee400b,
    0x5ec40dbf,0x200000da,0x2006cc1c,0x01601cda,0x3900b620,0x032e0800,
    0xdc9805a8,0x2445500b,0x19002640,0x40774154,0x2200e605,0x00da803d,
    0x6407d093,0x0e61c804,0x15c00da8,0x986e07dc,0x4c099884,0x3661c819,
    0x45600000,0x00dc00aa,0x003330e4,0x33000c00,0x4c006600,0x5b000003,
    0x00cc0b09,0x01980098,0x4c0aa036,0x8004c002,0xd8166039,0x74c03300,
    0x642f642c,0x7ec40b51,0xb13fb63e,0x01dd79f5,0xdd11c800,0x1f7ec419,
    0x7fcc9fdb,0x2f36e01f,0x5ee40dbc,0x0000dbfc,0xbdfddd30,0x8583b581,
    0x0dbfcbdc,0x1e665edc,0x36ff2f72,0x000006e0,0x3cccbdb8,0x0806e000,
    0xdbcbcdb8,0x90581d40,0x41600d73,0x4c0df848,0x13bbbae6,0xb016e390,
    0x01c81220,0x5c1f3097,0x3b60fb82,0x001ceeee,0xb162b034,0x20fb82b8,
    0x0ae3e849,0x1bd883ee,0x02ff76c0,0xdb0fa126,0x002c0bfd,0x203e612e,
    0x7b903a85,0x105801b9,0x07605f09,0x32720075,0x09105803,0x702cc0e4,
    0x40d81661,0x2002cc1c,0x962b9606,0x0d836059,0x6c0b32a8,0x02ddb880,
    0x0d8036ae,0x1b5702a8,0x05980160,0x0b0ea02e,0x580b31e4,0x540d0910,
    0xec801d43,0x9105800e,0x015c0e40,0x320201b8,0x1a003a81,0x0dcb3458,
    0x5c01b810,0x16400201,0x0dc07558,0xd81d5600,0x00057000,0x07203a96,
    0x4882c077,0xa81900f8,0x1b159003,0x40910580,0xb000d81c,0x73039000,
    0xa8b03400,0x22002cb3,0x800b01bd,0x59261600,0x2006f620,0x02641649,
    0x750000d8,0x0d039016,0x4f84882c,0x003a8588,0x58036239,0x40e40910,
    0x20016005,0x00074c1c,0x2cec2c0d,0x36e2000b,0x5980162d,0x64390910,
    0x16edc401,0x220721c8,0x002c2206,0x3900eb60,0x44160570,0xb8adce84,
    0x9003a81d,0x05806cc3,0x2c0e4091,0x0da7f764,0x7f776400,0x81a05303,
    0x0365d985,0x06cb2000,0x1c82f980,0x20024c68,0x824c682c,0x5874c1da,
    0x204feec8,0x7776c07a,0x41a17a20,0x5b955848,0xd0c41d40,0x42f7543f,
    0x0e409106,0x321900e4,0x990e4004,0xd8340aa0,0x992e44ef,0x32b00400,
    0x9d993004,0x99d305bb,0x58020f99,0x3e66674c,0x1bb9df50,0x401900e4,
    0xb000003a,0x00b03703,0x003983a8,0x00dc0ec0,0x64093039,0x20440d10,
    0x1542541c,0x44000244,0x82cc2206,0x0440d148,0x33900dc4,0x59857333,
    0x999c8910,0x15c02b99,0x80320498,0x02cc000d,0x20b106d4,0x4c1d4005,
    0xb500b303,0x07202c41,0x2a0d81e4,0x32074c1d,0x06cc2c81,0x02cc0032,
    0x30e983b5,0x6d43905f,0x498074c1,0x262c4160,0x82c1c82f,0x8064c058,
    0x9981b03c,0x2e6000cb,0xccfa800c,0x009e980c,0x30730750,0x9f500197,
    0x01c80199,0x13b2f3ae,0x03773bea,0x74c34072,0x73002ccd,0x677d4019,
    0x3b3260dd,0xefa82ddc,0x97700ddc,0x06c05501,0x5bb9d993,0x403602a8,
    0x3ae00cbb,0x64c4ecbc,0x04004ccc,0xc9804c00,0x3ae00ccc,0x3eeeeeee,
    0x01300010,0x3bbbbba2,0x0033104e,0x77774031,0x04417540,0x31000400,
    0x10013100,0x7e402003,0x3bbaa0ee,0xfc809882,0x3bbaa0ee,0x4c400102,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01fff980,0x00000018,0x44006600,0x0005b001,
    0x8101c240,0x91004c00,0x4c1901b8,0x2cccca82,0xc82a8320,0x640ffec2,
    0x71980e60,0x2a0c92e0,0xf0ea0c82,0x016401df,0x0e400660,0xeed80fc0,
    0x2001ceee,0x2f36e04b,0x1f900dbc,0x3ae09d00,0x65c04eee,0x8fa02c88,
    0x5017e03d,0x74c07b3d,0x99880db9,0x27a60099,0x2e03204c,0x0dbad881,
    0x2442c6e0,0x4c132ba6,0x40585bae,0xb804cae8,0x6401ecbd,0x3200d801,
    0x4c802cc1,0x03e612e0,0x500001cc,0x16ed4007,0x20098260,0x01d8801a,
    0x09803d88,0xa805b100,0x0f201b82,0x1542c720,0x03c802c8,0x0ea0c80b,
    0x202d83c8,0x1c80001c,0x015403a8,0x9805c0b3,0x310a9801,0x4c003a81,
    0x00000000,0x3ae00000,0x00002dcb,0x00037055,0x0aa16190,0x00580000,
    0x34416600,0x0ccc0390,0x00e60720,0xb8005700,0x20dbcbcd,0xdbcebcd9,
    0xeb801d43,0xdfd82dcb,0x764bba60,0x361feeee,0x81ceeeee,0x1feeeeec,
    0x360760f2,0x15405fee,0x42fea8dc,0x88d84fed,0x3bae2a85,0xdd91eeee,
    0x23ddddfd,0x21defa85,0x0f60eeeb,0x203902d8,0x3201ecc8,0x3aa074c1,
    0xda7f6c2f,0x2612e000,0x3f70360f,0x07900750,0x3b05703b,0x32162064,
    0x20642cc1,0x34416658,0x5401b570,0x07741b82,0x3bbfb22c,0x640ae4ef,
    0xb8720c81,0x570160b1,0x40ea00e8,0x201b801c,0x403feeec,0x016580ee,
    0x542e0598,0x07503f03,0x20d10598,0x8190ea0d,0x3a81c81d,0x3d876064,
    0x3aac0760,0x83703620,0x2d0584ad,0xc806c439,0xb8720c81,0x1b8320b1,
    0x4880b06e,0x03700390,0xd80990e4,0x3216584a,0x00574fee,0x540e4036,
    0x407b1883,0x0b15981d,0x03903b85,0x21dc2873,0x260ea00e,0xb8bb0164,
    0x82c1dac1,0x205d8735,0x8720c81c,0x446e0b1b,0x8090325d,0x7003903b,
    0x12a0e403,0x32583b58,0x006c3201,0x503d02b8,0x803a7307,0x03b5703a,
    0x30720588,0x342c401d,0xc8721220,0x83709301,0x32258b15,0x20cddcfc,
    0x9003901c,0xa9541603,0x802a165a,0x7003902d,0x1640e403,0x2658b158,
    0x002c3204,0x503f30b1,0x101a7307,0x6c027409,0x3fbbb200,0x0580d803,
    0x126341d4,0x960dc154,0x3b33162b,0x81541379,0xb01c801c,0x8dc6ce60,
    0x0d104885,0x00dc00e4,0x72c1a039,0x6c0f22c5,0x9fdd90b0,0x66dc56dc,
    0xb3983a81,0x07203a80,0x21c80590,0xc816404c,0x9d307600,0x0aa0f999,
    0x1668b06e,0x1540dd22,0x01c801c8,0x49b5220b,0x8b60ee0b,0xeeeeeee8,
    0x3ba03704,0x217540ee,0x9d70b345,0x00e49d97,0x8bdb8819,0x3bbbae1b,
    0x0193eeee,0x403900ec,0x07224449,0x91126095,0x64344166,0x82b99999,
    0x22c1b82a,0x32910b3a,0x03902a81,0xd8160390,0x98163a49,0x0001eccd,
    0x3bbbbbb6,0x54580003,0x40cc40b3,0x20032049,0x0b30001b,0x203901a2,
    0x322c40e8,0x07442c81,0x1d83c962,0x570b1058,0x9d858370,0x50193985,
    0x32007207,0x15ec0b01,0x0cc80959,0x4880b500,0x16016a00,0x05981676,
    0x4006c0f2,0xc816600d,0x0e401d83,0x645881d8,0x881d8d01,0x0ee675c5,
    0x541b0154,0x160ed546,0x2ce61766,0x003905b0,0x20aba039,0xd01ed45d,
    0x05d9dddf,0x13980973,0x5804b980,0x97305d98,0x65e75c01,0xd999884e,
    0x8032e603,0x201dcceb,0x7c4eeeed,0x25eeeeee,0x7540eeee,0xddddddf2,
    0x7e40260b,0x3bbaa0ee,0x0aaa8152,0x0b913bf6,0x32510042,0x41eeeeee,
    0x544eefee,0x222ec0aa,0x0260602f,0x03970008,0x9dfb0010,0x800205c8,
    0x332a0198,0x2000801c,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32200880,0xc800cccc,0xccccb802,
    0x02000001,0x480b80b8,0x11200260,0x1007b007,0x00f62008,0x00102013,
    0x1c46f540,0xc880e224,0x0e22400c,0x5c000024,0x44001221,0x26605dcb,
    0x57440199,0x4ccc404c,0x22efd809,0x36a03fec,0xc815b05c,0x0bf01dc1,
    0x03b11790,0x202dcf4c,0x3a60f63e,0x417e05b9,0xeeb8fa3e,0x89c0eeee,
    0x88bc82ec,0xd33b701d,0x6c45e405,0xddb03b01,0x40bddddd,0x700dabd8,
    0x541d09db,0x00643883,0x0001d419,0x58091058,0x9bb2faa0,0x35007c1c,
    0x00736a00,0x1301cc19,0x7506404c,0x304c06e0,0x26007201,0x00e6d400,
    0xcda80303,0x0e41a601,0x204b8058,0x82b92a2c,0x1b10d885,0xefd88000,
    0x0b13fb63,0x102a8122,0xb50e4d0b,0x00000000,0x00000000,0x40390000,
    0x002dcbeb,0x00003fd0,0x01c81e80,0xb0b0000b,0x00034163,0xee9837f6,
    0x584882c2,0x80e40910,0x5b0e403a,0xeeeeeed8,0x77776c5e,0x776c5eee,
    0x6c5eeeee,0x5eeeeeee,0x3bbbbbae,0xdddddd71,0x3bbbbae3,0x7901c81e,
    0x7775c3b0,0x00e41eee,0x00bfddb0,0x11439097,0xddddddb0,0x9cc1ccbd,
    0x331b7266,0x2b809988,0x910581d8,0x2a1220b0,0x1e81abda,0xc81f8720,
    0x20390b01,0x90b01c85,0x00e41603,0x80390072,0xd105981c,0x01c80720,
    0x400dab80,0x699ac86a,0x4cb01c80,0x86cb4a85,0xb930f645,0x03a83605,
    0x4161220b,0xabdaa848,0x42cdb881,0x0720f11c,0x8580e42c,0x0390b01c,
    0x3200e416,0x3200e401,0x07603d81,0xa89c8072,0x00eab002,0xd99b90f3,
    0xd1603900,0x935aec41,0x15c0dc2c,0x2c0b1598,0x91058488,0xb8800e40,
    0xc83cc725,0x21c808a1,0x22872022,0x008a1c80,0x401c8039,0x740e401c,
    0x0720ea00,0x3dbbdbc8,0x44059260,0x20161c87,0x74c08a1c,0x2cb58ebb,
    0x0570370b,0x0b00ed5c,0x2441a122,0x2b800390,0x3203e239,0x5640699a,
    0x4d640699,0x4cd64069,0x6401c806,0x3200e401,0x42440681,0xb03b201c,
    0x40390e40,0x0501c86a,0x101a66b2,0x36a6ac35,0x5c0dc0fd,0x16027402,
    0x640e4244,0x82407201,0x40fc391b,0x6406ccdc,0x6e406ccd,0x66e406cc,
    0x401c806c,0x200e401c,0x1d40581c,0x703900e4,0x40931a03,0x1901c85b,
    0x00d99b90,0x0103b3a8,0xc8057037,0x84883401,0x901a60d9,0x54437a03,
    0xc83c8726,0x2c390161,0x64058720,0x00720161,0x401c8039,0x3600c81c,
    0x07201c81,0x333a60ae,0x20b207cc,0x3901901c,0x5c3a002c,0x57037003,
    0x0ec01c80,0xdce980dc,0xb80e400c,0x0e42eec9,0x0a0390d3,0x0e414072,
    0x0501c828,0x80390072,0xeeeeb81c,0x220b30ee,0x0e403906,0x4cce415c,
    0x0f882b99,0x77777774,0x501c80fe,0x5d116c40,0x2e24c0c4,0x200e402f,
    0x201620da,0x200d000e,0x0f41c81c,0x32064072,0x01c81901,0x1901c819,
    0x01c80390,0x409100e4,0x3901d83c,0x415c0e40,0x0970b105,0x03901b80,
    0x6ee64c32,0x2edee980,0xd77d9bb0,0x5400e405,0x4800cccf,0x8025c201,
    0x2cc1c81c,0x32064072,0x01c81901,0x1901c819,0x01c80390,0x027300e4,
    0x00ee675c,0x5c0e4039,0x81b01542,0x0c5c000e,0x220c80e4,0x10011001,
    0x3bbb6003,0x0009804e,0x37220f26,0x0602a002,0xdddddd0c,0x77741fdd,
    0x20feeeee,0xeeeeeeee,0x3bbbba0f,0xdd90feee,0x3b23dddd,0xd91eeeee,
    0x703ddddd,0x90098039,0x43dddddd,0x3bae1efc,0x541ddf92,0x00062eee,
    0xdddd06a2,0x001fdddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00073064,0x80036a00,
    0x9000003c,0xcb879999,0x89401ccc,0x675c0802,0x00808288,0x2a070002,
    0x083dcddc,0x02004008,0x0201c002,0xccccb801,0x88010101,0x20100400,
    0xb00dbad8,0x6400bfdd,0x6c401e9c,0xc93605ba,0x0e20dc04,0x40133331,
    0xb301d8ad,0xed99499b,0x0990da81,0xb007db93,0x13519b05,0x03a83607,
    0xb019bb97,0x16c01d41,0x03a65d10,0x00999988,0x980b6299,0xecb881ee,
    0x0f203e84,0x4006d5c0,0x1901222a,0x220881cc,0x00182400,0xb80ecb60,
    0xe980000d,0x2541b02d,0x0f981d88,0x36607135,0x987505db,0x05dbd984,
    0xdc800ec4,0x5400000d,0x456e01ed,0x8970f43d,0x2b00003e,0x0000003a,
    0x2d980000,0x777775c0,0x4c02081e,0x3bbbae05,0x201101ee,0x4020583a,
    0x00e26a5a,0x01b00013,0x00040026,0xddddb006,0x00c0bddd,0xd0950404,
    0x3bba63e8,0x92602dee,0x5feed805,0xed8fbaa0,0x2ff76c0e,0x0032a550,
    0x03530072,0x01c8006c,0x15c05544,0x08d4406c,0x1c4d43e6,0xb0003530,
    0x80155101,0x198ea1a9,0x0e404cc4,0x00353058,0x82c82351,0x0730f61c,
    0x1c872079,0x401b5700,0x2e02b81c,0x443500da,0x880e403c,0x482dcbed,
    0x26039002,0x443ecadc,0x3361660e,0x3ae1edba,0xd88389a9,0x8802dcbe,
    0x656e4c4c,0xbbed883e,0x30f645dd,0x203905b9,0x6e5f6c45,0xdb759b02,
    0xd8aa0363,0x80d81cc2,0x558024c6,0x15c0e407,0x2b80eab0,0x01c8064c,
    0x5cc7905b,0x3902dde9,0x30b60360,0x2b81ddbf,0x4ed441d8,0x3c82d838,
    0x03617fa0,0xea83d0b6,0x82b81b83,0x16c08a1c,0x360ae1e4,0x2d8ea0d1,
    0x4c4981cc,0x807cccce,0x81c81649,0x02c9302b,0x3209032a,0x4f105a81,
    0x03b10dca,0x22073039,0x0f5d6e46,0x5401036a,0x882d4389,0x7325c407,
    0x545a9a20,0x570370b5,0x20d33590,0xda8f105a,0x8ea0b040,0x8b01cc1c,
    0x2b99999c,0x20390e40,0x2c9999ac,0x400e4390,0x07202a3c,0xf11d80ae,
    0x81c84981,0xeeeeeeec,0x503a12a7,0x54017bbb,0xb015c389,0x3b257003,
    0x27eeeeee,0x41b96a1c,0xdc82b81b,0x405706cc,0x5eeed41d,0x1715c160,
    0x0b160398,0x498d0162,0xb9999b90,0x00931a05,0x0e40f36a,0x2c1b0154,
    0x1c81c858,0x05701b00,0x9a80f544,0x1b015438,0x00729100,0x164598dc,
    0x320ae06e,0xb0154161,0xc8f54401,0x1cc01d81,0x1b0154b0,0x33333a60,
    0x05703907,0x0f9999d3,0x1c80a602,0x1b1e60b0,0xa81c8488,0x19037005,
    0x3504981c,0x1e60b071,0x005a95c0,0x7c41b3b1,0x415c0dc0,0x3058501c,
    0x2a93038f,0x1cc00e83,0x1ddf9398,0x64177754,0x82b99999,0x9c82b81c,
    0x482b9999,0x40720298,0x30b620bb,0x01c81c89,0x6c47105b,0x903f1620,
    0x20e26a03,0x90b620bb,0x416c5983,0x91076c38,0x2fb89307,0x5c1901c8,
    0x3f0b620b,0x95074390,0xd81cc2c8,0x2c06e000,0xb81c8588,0x90b10582,
    0xc8097555,0x3373f201,0x05b9d501,0xccfc8072,0x6e6d41ed,0x66666c0c,
    0x9aca983d,0xcdcfc82d,0xcdced981,0xedccfc80,0x3736f661,0x3b37602f,
    0x80e42ebb,0x66e7e40c,0xdccccd81,0x21e674c3,0x221cc6f9,0x14dc001d,
    0x640d80aa,0x01542b81,0x0999881b,0xdddddd90,0x0c002603,0x77777764,
    0x01003301,0x99880220,0x02601988,0x019800c0,0x8800c419,0x77777401,
    0x1300feee,0x03002200,0xdddd5044,0x2a0003bb,0xa83bbf21,0x9ddb2eee,
    0xefc9f76c,0x0bbbaa0e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x10288ceb,0x08810081,
    0x04040040,0x01980020,0x001500e0,0x00711bd5,0x00808300,0x0330002a,
    0x01666654,0x80000cc0,0x00080080,0x01980008,0xb32800a8,0x547a603d,
    0x1d32d885,0x90076d40,0x74c0b629,0x00da802d,0x0e9807b0,0x02ec89c0,
    0x8361dc00,0x003a6049,0x331006d4,0xda800133,0x01997100,0x500ea0d8,
    0x36a001db,0x01b5000e,0x00001d30,0x6404dd88,0x453200dd,0x07b6e02d,
    0x204c86d4,0x00b6004b,0x00000f44,0x77645dfb,0x6e66cc0b,0x200f4400,
    0x8000004b,0x0705c05b,0x405dbd98,0xc805b14c,0x4b805b14,0x2a0f4400,
    0x27f6c2fe,0x20060030,0x200c0080,0x00020080,0x20088001,0x5805feed,
    0x00980910,0x00100220,0x0017fbb6,0x00489001,0x01010013,0x00400808,
    0x1dd00880,0x08aa20b0,0x9801a988,0x11a8801a,0x3008aa20,0x45510035,
    0x20035300,0x82c00dab,0x03531048,0x4401a988,0xb57001a9,0x221a8801,
    0x40e23502,0x104cc419,0x83330133,0x204cc419,0x204cc419,0x204cc419,
    0xfc8584ad,0x6dc6ccbb,0xd881dbac,0x9b02dcbe,0xfc83db75,0x6c46ccbb,
    0xf902dcbe,0xd88d9977,0xac02dcbe,0x4882c03a,0x1dbacdb8,0x1dbacdb8,
    0x1dbacdb8,0x2e03aac0,0xdbdaccac,0x510bca80,0x5b930f64,0x76416f4c,
    0xb930f644,0x3261ec85,0x930f642d,0x583b585b,0x403d41e4,0x3c82d848,
    0x790ec15c,0xc82d8f50,0x23d41e43,0x9303c82d,0x2441602c,0x91004880,
    0x49812200,0x266d8016,0x02f2e204,0x3a857037,0x206e0b02,0x2b81b82b,
    0xac2b81b8,0x40f12c58,0x05a8d003,0x040da8f1,0x0b51c0f1,0x8e0789e2,
    0x320f105a,0x10580721,0xd0034009,0x43903400,0x5899001c,0x7005e5c4,
    0x24885703,0x40dc163e,0x2b81b82b,0x2c2b81b8,0x00932c57,0x36f76dc4,
    0x541d80ae,0x1260bddd,0x23b015c0,0x40570049,0x024c681d,0x2e21220b,
    0xb886deed,0xb886deed,0x1a06deed,0x3bb6e093,0x10feeeef,0x202ee217,
    0x3582b81b,0x0dc126b9,0x5c0dc15c,0x42b81b82,0x0244b345,0x2a8d03b0,
    0xea880360,0x0aa00911,0x200910d8,0xd303602a,0x340f9999,0x681d8488,
    0x1d8681d8,0x999d3068,0x641790f9,0x12232002,0x360ae06e,0x02a9c9b8,
    0x37057037,0x70370570,0x459d4585,0x1a057005,0x40e3cc16,0x05801649,
    0x160058f3,0x4cce43cc,0x03b02b99,0x8d02b837,0x02b8d02b,0x2666720d,
    0x2e42c2b9,0x70a62980,0xb5705703,0x0dc032e6,0x5c0dc15c,0x42b81b82,
    0x65459d85,0x43a86c40,0x20bb86d8,0x640fc2d8,0x1b1032a1,0x85b105dc,
    0x706c40ca,0x2c16c417,0x41b30588,0x6c43a858,0x1b621d46,0xb06d8875,
    0x4c571620,0x101710ff,0x71260547,0x6c9b305f,0x5f712605,0x82fb8930,
    0x1617dc49,0x37ee1766,0x66e41ccc,0x642ee9dd,0xcd81cdcf,0xfb83dccc,
    0xfc81cccd,0xbf701cdc,0x9f903999,0x4055039b,0x999f500d,0x37737201,
    0x33722ee9,0x322ee9dd,0x2ee9ddcd,0x6c0d80aa,0xeceacdcc,0x40eeee03,
    0x2ebbecdd,0xb01721f8,0x05d77d9b,0x5d77d9bb,0xd77d9bb0,0xb913bf65,
    0x04c004c0,0x22001300,0x30009800,0x40026001,0x1ddf9009,0x30177754,
    0x40026001,0x40130009,0x3aa0eefc,0x0c0c42ee,0x01880100,0x00c40000,
    0x0c400310,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3b980020,0x804c6600,0x0973000a,
    0x00400cc0,0x3102e1c4,0x00002aa2,0x05100054,0x50d4004c,0x01a86e03,
    0x103d2fd8,0x20000455,0x388e205a,0x00000540,0x0eda8000,0x30033480,
    0x74c0b31d,0x00514800,0xeda801b5,0x74436200,0x5dedf540,0xeeeed83d,
    0x999b7d02,0xd10074c0,0x0f22c803,0x20059164,0xbfc8572b,0x75cc6ccb,
    0x300fb801,0xbe806c4b,0xddb04ccd,0x002e07dd,0x00b62990,0xe8801939,
    0x74400d98,0x00dcdc01,0x4532012e,0xeb80002d,0x800006c0,0x00366029,
    0x00000b62,0x064ae000,0x664f5079,0x000001ca,0x00014c00,0x404000c8,
    0x1000a800,0x00440022,0x8004004c,0x44198080,0x5c0dc099,0x400d4c42,
    0x000401a9,0x02aa200c,0x35003530,0x40f104ae,0xa8803903,0x06a62022,
    0x30035310,0x4d6cc035,0x54c40099,0x33106601,0x4cc41981,0x40155100,
    0xa8801a98,0x0554400a,0x37261ec8,0x715c0dc2,0x103b759b,0x205b97db,
    0x0ccc0199,0x7d95b930,0x5b97db10,0x57bb7b50,0x39000930,0x665dfe40,
    0x6dd66dc6,0xdbacdb81,0xdcbed881,0x666f64c2,0x2b36e03c,0x21ec81db,
    0x0f642dc9,0xdc985b93,0xcdb83eca,0xdc981dba,0xdc983eca,0x03703eca,
    0x2b81b857,0x416c2440,0x0f66443c,0xb01ecc88,0x82d85b01,0x0bea2c3c,
    0x07200122,0x403d41e4,0xb0910048,0x01907905,0x37048800,0x70370570,
    0x02d80d85,0xd80d8488,0x416c06c2,0x0dc2b81b,0x2a34015c,0x0dc0f105,
    0x81cc0dc0,0x3c416a68,0x1605d075,0x1e207200,0x400d0038,0x27882d46,
    0x0019ad98,0x5c0dc1a0,0x22b81b82,0x200d1039,0x26881cc6,0x370d1039,
    0xb81b8570,0x37bb6e22,0x03b015c6,0x206e006e,0xeeeeeeec,0x91d80ae7,
    0x32a05901,0x0e406c40,0xb710024c,0xb710dbdd,0x02b8dbdd,0x66f65476,
    0x76dc401c,0x703706de,0x45703705,0xeeeeeeec,0x6f76dc47,0x77777646,
    0x3bbb27ee,0x1b87eeee,0x0bbb22b8,0x2340ec57,0x5c03602a,0x1c81b801,
    0x86c05500,0x2e02c80c,0x901cccdf,0x6c009103,0x681d8681,0xc81b0154,
    0x1a076000,0x5c15c0dc,0x00722b81,0x0e4681d8,0x5c001c80,0x37002b81,
    0x82c340ae,0x2006e079,0x2005a81b,0x41ccf305,0x801b802f,0x2e00b01c,
    0xd02b8d02,0x321e60b0,0x1a057000,0x5c15c0dc,0x016a2b81,0x2d46815c,
    0x4c005a80,0x48017dc4,0x70db10ea,0x7016c417,0x36037003,0x05dc3882,
    0x2e0e85b1,0x8049802e,0x8819501c,0x6d88750d,0x21b621d4,0x20b620bb,
    0x43a8183a,0xb89306d8,0x7dc4982f,0x51c416c2,0x2d86d887,0x4416c388,
    0x77d9bb03,0x0f26605d,0xdd3bb9b9,0x1cdcfc85,0x0dc00dc0,0x3db99f90,
    0x039b9f90,0x7d79d991,0x20065dc0,0x337ee01c,0x6e6e41cc,0x3722ee9d,
    0x42ee9ddc,0x201cdcfc,0x903eccdd,0x5dd3bb9b,0xd77d9bb0,0x77d9bb05,
    0xdccfc85d,0x6ee6e41e,0x67e42ee9,0xcfc81edc,0x06201edc,0x300de4c0,
    0x8804c001,0x4eeeeeee,0xddddddd1,0x4c006609,0x40008800,0x3bfbb200,
    0x001301ee,0x00260013,0x02600098,0x310004c0,0x3000c400,0x40013003,
    0x00330019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x416a0000,0x33002dc9,0x4c40a200,0x15002a20,
    0x26200808,0x48826001,0x404c0010,0x40402020,0x0046a200,0x40002fdc,
    0x04040440,0x40d54462,0x01551098,0x005a9bd8,0x1700a000,0x70d88688,
    0xdea9eb87,0x07a601eb,0xdbdbb65c,0x29909901,0x766442d8,0x36e03ebc,
    0x541d9cdb,0x36e03dde,0x5c912ecb,0x86d41622,0xb759b04c,0x6cccc03d,
    0x3eeeed81,0x01d32d88,0x3aa1ecb7,0x4c3dbbdb,0xeebcfaec,0x81ddd500,
    0xdd71dfec,0x07a205df,0xb82a8190,0x22ee42c2,0x001d3068,0x3d8087bd,
    0x2207b6a0,0x3c84c83f,0x512a2744,0xb5b07907,0x01dccd85,0x15c0b7a6,
    0xccc980ec,0x640000ce,0x3ba600dd,0x0e81d701,0x434c0df8,0x910570ac,
    0x03d102c0,0x0999ad98,0x4c848390,0x40010390,0x3001002e,0x43b02c40,
    0x2c5da859,0xf882cc58,0x22003102,0x01036a00,0x220586a6,0x001800aa,
    0x5c0dc011,0x03b02f82,0x1220e422,0x30022058,0x07999bd9,0x640edc72,
    0x04c45501,0x10160151,0x44333333,0x00199999,0x5887b254,0x6c39001b,
    0x26607603,0xa8826201,0x0bddda80,0x476d6f44,0xecadc985,0x22033303,
    0x2e035511,0x20682b81,0x3b36e23a,0xb02444ae,0x03551188,0x239000c8,
    0x80e40dcb,0x6ddb2e39,0x640581db,0x91fccccd,0x23f9999b,0x99999998,
    0x1b03a599,0xe8d100aa,0x9910ea00,0x5db2e03d,0x2a201dbd,0xe981d11e,
    0x42d80d85,0xea81ecc8,0xb83dbbdb,0x00f82b81,0x36616c19,0xa8b02445,
    0x03dbbdbe,0x20e40032,0x4c0720d8,0x4043de83,0x8b20e405,0x9b51641c,
    0xb9999999,0x04887634,0x9101a0ec,0x37a00dc0,0x52607043,0x398b904b,
    0x80dc0d10,0x2e0740eb,0x84f82b81,0x3d412258,0xeb858122,0x00c80740,
    0x64750390,0x05d07301,0x3b810160,0x0950ee04,0x1dc36588,0x582d80ee,
    0x03701dc0,0x40fc02e8,0x16601b1c,0xddddddd9,0x1b80dc0f,0x5c0dc2b8,
    0xb8adce82,0x0f80721d,0x1b858122,0x001902b8,0x1c962072,0x980b0550,
    0x04eeefee,0x1095012a,0x2aa3c80f,0x5b02d859,0x01d80360,0xb00b006e,
    0x647b9999,0x01c8b301,0x06e03700,0x23eed8ae,0xcaac2eeb,0x1a00b82d,
    0x70b0a691,0x03205703,0x92618e40,0x0b05501c,0x80b30000,0xe80b6059,
    0xd1037620,0x2cc03b10,0x00dc0688,0x50370016,0x0b517609,0x0dc06e00,
    0x1600015c,0x45881c40,0x42447548,0x7502b81b,0x43639030,0x82c0721b,
    0x80b22005,0x8b304459,0x36076208,0x3620ce82,0x6400ec42,0x2e00ec43,
    0x26002c01,0x5da85b04,0x203882d8,0x5703701b,0x01602cc0,0x20f442d8,
    0x415cb348,0x3202b81b,0x76c3eccd,0x75c9bb36,0x207b791e,0x40aee005,
    0xd89cc0d8,0x37621cc0,0xaac81ecc,0x6c41eccd,0xceb80981,0x01b801dc,
    0x1977002c,0x19d9db10,0xccfc81df,0x406e01ed,0x7302b81b,0x027a6019,
    0x3b2f7620,0x5cf7f641,0x703704cd,0x80013005,0xdd303000,0x0809dddf,
    0x3bbbbb60,0xdddddb3e,0x4026207d,0xea804438,0x02eeeeee,0xeee88026,
    0xdd34eeee,0x0809dddf,0x4c001880,0xddddd101,0x8fbb69dd,0x40102eeb,
    0x000cccc9,0x08800131,0x75c7ddb0,0x0000002e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44004400,
    0x2000000a,0x0013003c,0x4c351000,0x00000601,0x10262153,0x00002035,
    0xb8000000,0xffff885f,0x8066204f,0x1fffffff,0x33310130,0x98333333,
    0x2604cc41,0x8040a620,0x3a201ee9,0x3603cbdb,0x7403eeee,0x6e5f5c04,
    0x3fbba602,0x2b7660de,0xf00ce9ed,0x4c006403,0x3dbcebcd,0x2b2a3fe4,
    0x04cb800c,0x000132e0,0x30048858,0xb099759b,0x97b70720,0x2666a799,
    0x20a99999,0x8b7261ec,0xd77b96f9,0xb507fd49,0x14c00f61,0x64000000,
    0x0d001d83,0x80bd1036,0x2003200d,0x440fdc0d,0x800e202c,0x00048004,
    0x20122160,0x001b104a,0x33e8498d,0x81b81100,0xc8595c2b,0x4041ff71,
    0x4cc41980,0x26620cc0,0x30155100,0x3401a20b,0x005c81cc,0x3335b310,
    0x03f03a81,0x100dc880,0x04808090,0x161a9808,0x54910122,0x40488bab,
    0x95406c48,0x0dc08801,0xb103015c,0x00ccc04c,0x16e4c3d9,0x2dc987b2,
    0x1f656e4c,0x801d80f6,0x0b300c86,0x76540666,0x06c4cccd,0xb88001c8,
    0x0240ea83,0x260481b7,0x36b7a21e,0xdbd8858e,0x20a8641c,0x15c0370b,
    0x1003006e,0x02b81b81,0x32202c40,0x206e01ec,0x2b81b82b,0x1d16c06c,
    0x43401d40,0x930b702a,0x006403d9,0x580f40ae,0x41362580,0x0903d984,
    0x07441991,0x2f6217a6,0x03925c88,0xd88580a6,0x1100301b,0x5c2b81b8,
    0x4003d301,0x2e06e01b,0x22b81b82,0x034d1039,0x2c1a0122,0x00dc05e8,
    0x98588019,0xbb86a81f,0x113d71c9,0xdb8d6dd4,0x8d6dd418,0x12e089ea,
    0x219002e4,0x103880e4,0x16edc40b,0x1b811003,0x6c0e42b8,0x3700441d,
    0x415c0dc0,0x3b22b81b,0x27eeeeee,0x0299d405,0x2a2b6e0d,0x00dc05be,
    0x15b70019,0x674439b7,0x8f623100,0x2a66625d,0x11c9c9ae,0x6c9b3333,
    0x02cc0365,0x20492730,0x40055029,0x8110032c,0x3617dc3b,0x7fd42442,
    0x0dc03700,0x5c0dc15c,0x06400722,0x340aa3b0,0x162736a0,0x00640370,
    0x1b8bdb88,0x06dc0036,0x43720b37,0x70f54241,0x5980e4b3,0x9864e600,
    0x402e1712,0x0d60080d,0x37ae0440,0x362ebbec,0x0ffa8182,0x40dc0370,
    0x2b81b82b,0x82cc016a,0x1220aa68,0x1b80b100,0xb8000320,0x0fa20161,
    0x05d31693,0x910f60e4,0x0bb04a96,0x26488640,0x2c0910bb,0x034882cc,
    0x189b8110,0x11001ec0,0x89300dc0,0x5c4982fb,0x1c416c2f,0xd98760f2,
    0x22000640,0x7500dc05,0xb8360030,0x4ec04481,0xc80220d9,0xd99d8081,
    0x0bb50b60,0x262cc17d,0x2a05980c,0x1c82f983,0x1b811003,0x0cb87d00,
    0x6c01b800,0x82ebbecd,0x2ebbecdd,0x0f6e67e4,0x40ee675c,0x002ccde9,
    0x37006ccc,0x4eccdd80,0x43d99988,0x06b98be8,0x800eaaa8,0x2aa000c8,
    0x33b620ea,0x220ef8ce,0x880cdcfd,0x403cbbcc,0xcecc980c,0x220062dd,
    0x4e800dc0,0x74401ffc,0x04eeeeee,0x00c40031,0x02600330,0x26000220,
    0xdd10cccc,0x409ddddd,0x3332a009,0x00b32a01,0x9f003d90,0x76400999,
    0x0c001881,0x00001300,0x555404c4,0x0baaaaaa,0x41b8004c,0x00000018,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0cc40000,0x5000df50,0x20033001,0x81331019,0x20000199,
    0x3ffe600a,0x20000d99,0x0000000a,0x00980000,0x88000000,0xfff300aa,
    0x00005b03,0x20200000,0x04cbacd9,0x80720016,0x0dbfcbdc,0x6de5e6dc,
    0xec859d30,0xd8fbf625,0x003904fe,0xee987472,0xbe83bb23,0xeeb85bcd,
    0x37f603ee,0xec8bfa60,0x7b103eee,0xdddd70bb,0xdfb10729,0x32609bdd,
    0x6403ecad,0xa8004a81,0xfeeefeee,0xddfddd90,0x0ffa83dd,0x20362095,
    0x701c8005,0x25c1f705,0x207507cc,0x81220b05,0x9139001c,0x202b81c8,
    0x80154029,0x0001d82b,0x7500a872,0xb50d04b8,0x405b01b0,0x4000c81c,
    0x21b1225b,0x41b8720c,0x75488ffb,0x96122175,0x56f54029,0x30d81661,
    0x21605c0b,0x1220b03a,0x039001c8,0xb9999bd5,0x8019983b,0xa836002a,
    0x58033303,0x0370ea00,0x0731d41a,0x881c81a2,0x10355118,0xc86c488b,
    0x981b8720,0x238a2190,0x5e7cec1b,0x445ec0cd,0x20806e7b,0x21d4002b,
    0x12441605,0x33359333,0x56440e40,0x443c9999,0x95401ecc,0x58acc00b,
    0x403d9910,0x030ea005,0x7764d034,0x207eeeee,0x5f542a9c,0x0dc3dbbd,
    0x82e18522,0x49002a1c,0x74298e28,0x0732540e,0x01b002c9,0xb01d4b00,
    0xccca9220,0x900cccde,0x2666b203,0x006e02c9,0x32007d95,0x81b801da,
    0x4009ac98,0x9e98803a,0x01c86c09,0x2e09d900,0x81b0740e,0x1c8069d8,
    0xb7912400,0x40be1c41,0x00b00325,0xb3a8002c,0x40910580,0x2039001c,
    0x2dccccdc,0xdd8806e0,0xefba9800,0x5c0dc02a,0x5403cedc,0xccfcc803,
    0x005a8644,0x3700fe44,0x7442c570,0xdfdd506c,0x25db03dd,0x53154a24,
    0x0e4ae078,0x42c00360,0x5b04feec,0x09105807,0x01c800e4,0x5c057039,
    0x1059b701,0x9ac99883,0x9100dc01,0x0620ea00,0x416c581a,0x01c9c838,
    0x0d8ae06e,0x1c803a44,0x10c9be20,0x7c0b85c5,0x21263700,0x0e401320,
    0x01ea0190,0x3902441a,0x0e407200,0x2037015c,0x88730552,0x402abdaa,
    0x400e601b,0x0683983a,0x3733f216,0xb807201e,0x106e2b81,0x700e4009,
    0x1baa445f,0x40fe122e,0x2e556dc5,0x498440d1,0x01d40320,0x700dc0ec,
    0x64072003,0x06e02b81,0x88730550,0x4019ac99,0x020ae01b,0x1a0e60ea,
    0x003b01dc,0xb81b8072,0x98911622,0x2ec03903,0x82cc064c,0x441dc1de,
    0x41da80bd,0x6c0f20e9,0xb5001b00,0x00002c41,0x2e072039,0x55006e02,
    0x00e40730,0x20d101b8,0x83983a85,0x51025c46,0xb8072002,0x86d42b81,
    0x1c81cc48,0x664403a0,0xeea83cbb,0x202dcee8,0x33bea01c,0xbceb80dd,
    0x65ccc4ec,0x999f5000,0xeeeeea81,0xddd10eee,0x3b29dddd,0x44bbb23e,
    0x4eeeeeee,0x3bbbbbb2,0xefeb83ee,0x7777441e,0xdff34eee,0x75c7dddd,
    0x3eeeeeee,0x1ef777f4,0x7440e5c0,0x24eeeeee,0x3bae3eed,0x77f76c42,
    0x7f6c3eee,0x260003ee,0x40044000,0x0018800b,0x99930331,0x00980099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbdd93000,0x40000003,0x0000a62a,0x3fff3000,
    0x0003fd10,0x880001fb,0x000001fe,0x00ef764c,0x20620200,0x01fe8099,
    0xff981e40,0x4400001f,0x015001a9,0x06f77ec4,0xeb808760,0x0feeefef,
    0x409dddd7,0xdd512e3b,0xea8776c7,0x827f6c2f,0x0007201c,0xddb01b75,
    0x003900bf,0xee9837f6,0xfb021d82,0x897f4c1b,0x87ae2bbd,0xad982dc8,
    0x00bd0019,0x3bf62039,0x9b704dee,0x5f403b75,0x01b04ccd,0x64400aa0,
    0x0ea06c48,0xb81c8000,0x0580ee82,0x001c8072,0x2ae00dac,0x000e400d,
    0x5503b057,0x03b05900,0x0ae06e2c,0x0599bd91,0x200e4000,0x91005a86,
    0xed80a600,0x64c41cee,0x89157001,0x9801d40d,0x2e072019,0x0584ad82,
    0x261c8072,0x03657019,0x9c807558,0x06c01aa8,0x9bc98875,0x5c1b0099,
    0x1b85b503,0x513902b8,0x26666205,0xd0072019,0x43400ea0,0x40355118,
    0xca93260d,0x911b001e,0x151d40c2,0x203d9910,0xb582b81c,0x80720583,
    0x819dd11c,0x24c03658,0xbbdbc80b,0x2c56603d,0x6666f654,0x0166b101,
    0x2b81b8b3,0x7b77b790,0xfccccdc8,0x06803901,0xbddb711a,0x77b7d50d,
    0x3203607b,0x15800dc0,0x89d40d3b,0xc80dc03f,0x82c9999a,0x32058b15,
    0x02dc7201,0x1c806c39,0x40ec8072,0x076ae00e,0x36a001b8,0x2e0c800d,
    0x1d902b81,0x0b20e458,0x4c45b9c8,0xb06c099e,0x03ae0d03,0x7501b01d,
    0x139801b8,0x51d40d9d,0xb901b801,0xb05b9999,0x0e40b15c,0x4c079390,
    0x4c6806c4,0x06e07204,0x01b809d0,0x9c981f40,0x15c0dc3b,0x021b81c8,
    0x6c9c8077,0x22667e64,0x41a0570c,0x0d82b81b,0x400dc1c8,0x4074dcdb,
    0x3701883a,0x20ae0720,0x0e40b345,0x6c01dd90,0x981d999a,0x207cccce,
    0x6402b81c,0x9000dc01,0x026203b5,0x205f70e6,0x9502b81c,0x06803900,
    0x36c43a96,0xd82b81b8,0x06e13260,0x012a6760,0x5c0e60ea,0x05703901,
    0x640b3a8b,0x0362b201,0x67666664,0x4cccce40,0x5703902b,0x0dc01c80,
    0x01d14a80,0x77d9b900,0x5703903d,0x07200b30,0x3722c0d0,0x42ee9ddc,
    0xed82b81b,0x03701cde,0x73122588,0x703983a8,0x0ae07203,0xc8167616,
    0x06c47201,0x10580d80,0x0ae0720b,0x01b80390,0x2e2cc588,0xc86206a1,
    0x85703901,0x1c804459,0x303b8340,0x40dc1cc1,0x7000d82b,0x1222a803,
    0x3983a873,0x20720370,0x5d98582b,0x21c80720,0x40d800d9,0x3203602a,
    0x0e402b81,0x036006e0,0x0b22c8ee,0x40e40520,0x7303622b,0x88d00720,
    0x26a6004b,0x88ae06e0,0xc81eeefe,0xec82eeee,0xeeefeb8e,0xddddd73e,
    0x3ba27ddd,0xdb4eeeee,0xb1f76c9d,0x225c89df,0x4eeeeeee,0x5eea87fa,
    0x321dfd70,0x3baa0eef,0xc8bbf62e,0xeeed83ee,0x77776c4e,0x3bfa20ee,
    0x0013fae1,0xefc87930,0x76cbbae1,0xd13eeeee,0x89dddddd,0x03deeefe,
    0x3bb62980,0x000bbae3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000020,0x00000000,
    0x4c000000,0x00c00050,0x01331066,0x144046a2,0x835300a2,0x00000001,
    0x00000000,0x36000000,0x01ceeeee,0xec83b76e,0xd31feeee,0xb05bdddd,
    0x3faa1bdd,0x3bfbbb23,0xdfb11eee,0xfb83bbdd,0x3bba60de,0xd526c401,
    0x40390005,0x0b7261ec,0x87b6eb36,0xb7b56bdb,0xdcbed881,0x37bea0d2,
    0x5c3bbae1,0xd504eeee,0x21df501f,0xeeeeefe9,0x3bbbb66e,0x3f625eee,
    0x2e0bdeee,0x41eeeeee,0x5882cc1c,0x98b10320,0x41c83c83,0x390640d9,
    0xb10720dc,0x03602a81,0xc881dc88,0x0072001d,0x2b857037,0x6cc911d8,
    0x905b1266,0x2e02c07d,0xbc803a82,0x0582bd84,0x2160391a,0x1c82cc0d,
    0x20ea0720,0x3b032049,0xc81b0398,0x83203661,0x03906e1c,0x1220b093,
    0xd8802eb8,0x401c800c,0x6d42b81b,0x4f855040,0x1e20b52c,0x370dc190,
    0xb3900750,0x0582bc98,0x21603916,0x1c81b80d,0x40e60720,0x30770a06,
    0x23912607,0x1c83205a,0x7503906e,0x50370390,0x7b30005d,0x0dc01c80,
    0x6eed415c,0xddb0360b,0x80ae1fdd,0x6c46e01d,0x00ea0325,0xb8c8ea72,
    0x40862582,0x0d808a1c,0x201c83a8,0xd8074c1c,0x73058803,0x1ae722c0,
    0xac803900,0x980db999,0x00fb8684,0xdd536c00,0x81bdddfd,0x4402b81b,
    0x2d8191ea,0x00d80ae0,0x0b2d54aa,0xac7200ea,0x33d05758,0x4cd64095,
    0x36206c06,0x3b201c81,0x2b603fee,0x01b05b0d,0x6e4580e6,0x39000dcb,
    0xedccdc80,0x0398b00c,0xb30007d5,0x5c01c807,0x981c2b81,0x204f8534,
    0x980f3069,0x416371b3,0x571c803a,0x33a0ae37,0x337204dc,0x555ec06c,
    0x403902eb,0x9d41321c,0x02c858d8,0x1e4580e6,0x007200b3,0x2e0d3039,
    0x5d500322,0x0019b300,0x5c498039,0x0e40fc2f,0x1706dd4b,0x05b105ec,
    0x2d26d488,0x321883a8,0x415cbb11,0x21c80e65,0x1555ec05,0x41c80720,
    0x36e2b84a,0x992224c2,0x41c87303,0x401c803b,0xb105501c,0x1db80162,
    0x2000dc88,0xecdd801c,0x33362ebb,0x6ed43dcc,0x507d9b15,0x20039b9b,
    0x4163a49d,0x8723983a,0x0160ae2b,0x1b0501c8,0x3900e400,0x2a588590,
    0xb103a20f,0x640d81cc,0x01c80681,0xb02a80e4,0xc8800571,0x0003b70d,
    0x00620039,0x0c040088,0x36000440,0x5412b22b,0x80723983,0x3200582b,
    0x00d81901,0x01c80720,0xd59bb70d,0x99620767,0x0e40ec43,0x0072015c,
    0x201d1039,0x260005b9,0x00400030,0x00000000,0x8bb00000,0x307503da,
    0x05700e47,0xc80e400b,0x390006c0,0x503bbba0,0x3be0105d,0xd55eeeee,
    0xb03bbddd,0x2f441ddd,0x42777f74,0xdeeeeefe,0x00027400,0x00000000,
    0x00000000,0xf1176000,0xeeeeeb85,0xddd73eee,0x997774c1,0x3a06eefe,
    0xfeeeeeee,0x3dddfd10,0xdddddd90,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa9880000,0x30133101,
    0x08aa2033,0x00015510,0x31330310,0x51006a60,0x2a601443,0xa88c4ea1,
    0x22310530,0x220701aa,0x4cc46662,0x4c420200,0x99819999,0x88266201,
    0x5104c419,0x26600041,0x40666209,0x2a000404,0x2eb36e7f,0x416f4c1d,
    0xbbfc84ec,0x56e4c6cc,0x01ec03ec,0x56e443d7,0x6e5f6c45,0xaccacb82,
    0x76c40dbd,0x3aa5ddbb,0x5bccdbcd,0x6ddedf54,0xbdeccb83,0x519d931e,
    0x89aa059f,0x9999b91d,0x0f66443f,0x3ae2dea8,0x6ddb2e0d,0x744991db,
    0x21cfc980,0x20b04edb,0x3262bbc8,0x2037cc0d,0xb023a848,0xd8f50790,
    0x02602d80,0x85b70370,0x6c03c82d,0xa83d1266,0x4992643e,0x3a075c1c,
    0x07912e80,0xea80b62b,0x20e47d10,0x8806e02c,0xde812a0d,0x7549b043,
    0x85701b01,0x4c2e2b1b,0xf102e160,0x4910d00b,0x40f1163e,0x03440e63,
    0x0ae06e00,0x901e20b5,0xb516a589,0x70dc3916,0x42b81b85,0xd9d85848,
    0x7443ee01,0x700ee044,0x4b9d8803,0x2f401740,0xd09303f5,0x5bbdd930,
    0x202e0e60,0x3bb6e24f,0x5726b06d,0xc8024c49,0x7eeeeeee,0x5c0dc000,
    0x43b015c2,0xeeefeedb,0x2d4390fe,0x4370e437,0x15c0dc2b,0x3be1a0ea,
    0x263f900d,0x4025404f,0x04e8801b,0x4bd10058,0x2a0d81fb,0xa813a603,
    0x47d01703,0x71b0681d,0x48855393,0x2a003900,0xeeeeeeee,0x215c0dc0,
    0x5e43602a,0x31b80b20,0xb8722c8b,0x70370ae1,0x68498d05,0x25f503d3,
    0x016606e8,0x6e5c00dc,0xf9802c01,0x8ea03b64,0x3b1d100d,0x405c0570,
    0x41a0571b,0x019735ab,0x0016a00b,0x2b81b800,0x42cf3058,0x3676205c,
    0x21c83e20,0x0370ae1b,0xcbee8857,0x41a2584e,0x261762f9,0x01b80445,
    0x201d89e4,0x323f8805,0x024da00e,0x59916239,0x15ed4495,0x06d88750,
    0xa82ec9b3,0x5b06c40c,0x98000710,0x5dc17dc4,0x22b8b620,0x41710ff9,
    0x90f220ed,0xb8570dc3,0x44f42b81,0x5c58771a,0x2643d303,0x703981b1,
    0x0ec1e403,0x71744058,0x0cab801b,0x26662000,0x2004ccc1,0xee9ddcdc,
    0x81721f82,0x81cccdfb,0x01edccfc,0x3376002a,0xfc81ebbe,0xccd81cdc,
    0x23eceacd,0x2fdcdbd9,0x1eb8f7dc,0x8fbb65d7,0x4c002eeb,0x417a0efe,
    0xeed96458,0xdd13eeee,0x749ddddd,0x4ffb22ef,0x4eeefee9,0x200b3164,
    0x000005e8,0x00098000,0x8004c000,0x005b0019,0x01300062,0x0c818188,
    0x00000062,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13000000,0x05303510,0x3bbae009,0x31eeeeee,
    0x361766bb,0x2aaa023e,0x21aaaaaa,0x82219809,0x8888880a,0x20eec408,
    0x77777710,0x00177777,0x00000000,0x00000000,0x00000000,0x301c8000,
    0x5644b95b,0x0b62c85b,0xb8005dd9,0x1fe6df31,0x20541ff1,0xaaaaaaaa,
    0x541ff51a,0x6cc3fea5,0x3ffffe60,0x9ec366ff,0x2aaaaa3c,0x00aaaaaa,
    0x00000000,0x00000000,0x00000000,0x36ee0000,0x26154580,0x2dbc80da,
    0x000e8ad4,0xf8afc46e,0x12627d46,0x70ffa800,0x220ffa89,0x2222220d,
    0x0b6e0408,0x00000000,0x00000000,0x00000000,0x00000000,0x1222c566,
    0x06d5ed52,0x321d84f8,0x4f86e002,0x5c1f913e,0x5ddddc4b,0x8221bbbb,
    0x01101100,0x00000000,0x00000000,0x00000000,0x00000000,0x06c40000,
    0x46e0c895,0x2b603a65,0x3446d42c,0x23e86e00,0x4041fc3e,0x99999999,
    0x10000009,0x77777777,0x00005777,0x00000000,0x00000000,0x00000000,
    0x39000000,0x6ee44570,0x377376a3,0x642c8b60,0x204002ef,0x0090260a,
    0x00000000,0x4ccccccc,0x00019999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05300000,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_22_latin_ext_x[560]={ 0,4,2,1,2,1,2,4,5,2,0,1,2,1,
4,2,2,2,1,1,2,1,2,2,2,2,4,2,0,0,0,0,2,0,0,1,1,0,1,1,1,2,1,0,
1,0,0,0,1,0,0,1,1,0,0,0,0,0,2,0,0,0,2,0,4,1,0,1,1,1,2,1,0,1,
1,1,1,0,1,1,0,1,1,1,1,0,0,0,0,1,2,0,5,0,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,1,1,0,
5,1,3,0,0,0,0,1,0,-1,3,1,3,3,4,0,1,4,4,3,2,1,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,2,2,2,2,-1,0,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,1,1,-1,1,0,1,0,1,0,1,0,1,0,1,1,1,
1,1,1,1,1,1,1,0,1,0,2,1,2,1,2,1,2,1,2,1,0,0,1,1,0,1,1,1,1,1,
1,1,1,1,1,0,1,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,0,1,0,1,0,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,
0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,2,1,0,
1,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_22_latin_ext_y[560]={ 16,3,4,3,3,3,5,4,4,4,4,5,13,9,
13,2,3,3,3,3,4,4,3,4,3,3,7,7,5,8,5,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,2,4,3,20,3,7,4,7,4,7,4,7,4,3,
3,4,4,7,7,7,7,7,7,7,4,7,7,7,7,7,7,4,4,4,9,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,16,7,3,4,6,4,
4,4,4,4,3,7,10,9,4,2,1,4,3,3,3,7,4,8,15,3,3,7,3,3,3,7,0,0,1,2,
1,0,4,4,0,0,1,1,0,0,1,1,4,2,0,0,1,2,1,7,4,0,0,1,1,0,4,4,3,3,
3,4,4,3,7,7,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,5,7,3,3,3,4,3,4,4,
2,4,1,3,4,7,0,3,1,3,1,4,1,3,1,4,4,4,2,4,1,3,1,4,4,7,1,3,1,3,
1,3,1,4,4,3,1,1,4,4,2,4,2,4,1,3,4,3,1,7,4,3,1,3,4,4,7,0,0,4,
4,4,4,4,4,4,4,0,3,4,7,1,3,4,4,7,2,4,1,3,0,3,4,7,0,3,4,7,1,3,
0,3,1,3,4,7,1,3,4,4,1,4,4,4,1,4,2,4,1,3,0,3,0,3,4,7,1,3,1,3,
1,0,3,1,4,1,3,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,4,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,4,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,7,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,1,3,1,
3,1,3,0,2,0,1,0,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-3,-1,0,3,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_22_latin_ext_w[560]={ 0,3,8,9,8,9,8,4,4,5,8,10,5,9,
4,8,8,8,9,9,8,9,8,8,8,8,4,6,10,11,10,7,8,12,11,10,10,11,10,10,10,8,11,12,
10,12,11,10,10,11,12,9,10,11,12,12,11,11,8,4,8,4,8,13,4,10,11,10,11,10,9,10,11,9,
7,11,9,12,10,10,11,11,10,9,10,11,12,12,11,11,8,4,2,4,9,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,8,10,9,11,
2,10,6,12,7,10,11,9,12,13,6,10,6,6,4,11,10,4,4,6,7,10,12,12,12,7,12,12,12,12,
12,12,12,10,11,11,11,11,8,8,8,8,12,11,10,10,10,10,10,8,11,11,11,11,11,11,10,10,10,10,
10,10,10,10,12,10,10,10,10,10,9,9,9,9,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,
12,10,12,10,13,11,10,10,10,10,10,10,10,10,10,11,12,11,11,10,11,10,11,10,12,10,11,10,10,10,
10,10,10,10,10,10,10,11,10,11,8,9,8,9,8,9,8,9,8,9,12,10,11,8,12,11,10,10,9,10,
9,10,9,10,9,11,9,11,10,11,10,11,10,11,10,9,10,10,10,10,10,10,12,12,12,10,12,10,12,10,
9,9,9,9,9,9,9,9,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,12,12,12,11,11,
11,8,8,8,8,8,8,9,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,10,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,12,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,10,8,9,10,
10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,10,12,12,11,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_22_latin_ext_h[560]={ 0,14,6,15,15,14,12,6,15,15,8,11,6,3,
4,16,14,13,13,14,12,13,14,13,14,14,10,12,11,5,11,13,15,12,12,13,12,12,12,13,12,12,13,12,
12,12,12,13,12,15,12,13,12,13,12,12,12,12,12,15,16,15,7,2,4,10,13,10,13,10,12,13,12,13,
17,12,12,9,9,10,13,13,9,10,13,10,9,10,9,13,9,15,15,15,3,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,13,13,12,9,12,
15,14,2,13,7,9,6,3,13,2,7,12,8,8,4,13,14,4,5,8,7,9,13,13,13,13,16,16,15,14,
15,16,12,16,16,16,15,15,16,16,15,15,12,14,17,17,16,15,16,7,13,17,17,16,16,16,12,13,14,14,
14,13,13,14,10,13,14,14,14,13,13,13,13,12,13,12,14,14,14,13,13,10,10,14,14,14,13,17,16,16,
14,13,15,14,15,12,17,14,16,14,16,13,16,14,15,13,12,13,14,13,15,14,15,13,15,12,15,14,16,17,
16,17,16,16,16,17,15,15,12,12,14,12,14,12,15,13,15,16,15,9,13,17,16,17,16,16,9,16,16,16,
16,12,12,12,12,12,12,16,13,16,13,15,13,12,13,13,15,13,16,14,17,14,12,10,16,13,16,13,15,13,
17,14,16,14,16,13,16,14,17,17,15,13,12,13,16,13,15,13,16,14,17,14,17,14,15,12,15,14,15,17,
15,16,13,15,12,15,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,10,13,13,13,13,13,13,13,13,13,13,13,13,13,14,10,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,14,15,13,16,
14,16,14,17,15,17,16,17,16,17,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,18,16,14,17,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_22_latin_ext_s[560]={ 253,250,159,190,69,185,94,251,81,215,228,
194,168,211,201,245,241,189,98,164,181,172,94,195,123,246,250,249,172,179,183,
242,1,190,147,35,112,49,38,46,136,72,57,123,14,25,147,46,61,243,81,
204,136,69,159,1,237,215,103,225,200,173,106,231,206,1,14,25,160,36,227,
102,203,81,11,169,159,106,119,71,207,69,193,217,91,205,215,12,181,57,162,
200,78,168,221,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,253,238,26,
157,130,135,253,63,249,182,123,151,147,211,1,211,140,81,237,249,196,226,142,
191,174,244,115,204,147,134,121,113,219,196,26,100,50,65,102,232,164,188,110,
122,89,98,134,152,179,1,231,48,234,170,54,131,86,19,208,119,176,222,81,
12,137,148,1,220,209,47,82,178,36,58,69,144,134,124,1,126,219,70,89,
67,35,113,155,47,95,244,232,220,80,71,38,1,159,102,202,126,12,58,119,
78,106,56,154,198,175,13,1,166,45,152,208,164,98,174,86,35,221,192,234,
112,243,197,95,31,57,68,46,37,39,190,102,14,103,113,74,147,181,121,161,
11,143,171,230,220,130,142,13,61,140,50,85,79,1,168,92,115,35,123,203,
34,243,142,196,178,185,213,23,92,144,231,90,153,186,83,225,227,117,34,21,
45,122,131,1,132,209,231,186,142,165,46,242,175,214,1,238,242,73,11,34,
23,26,195,59,12,95,24,46,1,230,207,22,163,101,131,56,113,26,135,65,
92,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,74,214,214,58,
214,214,214,214,214,214,214,214,214,214,214,214,214,108,240,214,214,214,214,214,
214,214,214,214,214,214,214,214,113,58,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,155,24,
205,175,78,220,107,196,151,10,130,140,107,42,83,152,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,1,14,209,172,25,185,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214, };
static unsigned short stb__courier_22_latin_ext_t[560]={ 17,89,213,56,73,105,189,203,73,73,203,
189,213,213,213,21,89,120,135,89,176,149,89,149,89,73,149,163,189,213,189,
149,73,176,189,163,189,190,190,163,176,190,149,189,190,190,176,149,190,56,189,
149,189,163,189,190,176,176,189,56,21,56,213,213,213,203,163,203,149,203,176,
149,176,149,21,176,176,203,203,203,135,149,203,189,149,189,203,203,203,163,203,
56,73,56,213,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,17,149,163,
163,203,163,1,89,185,149,213,203,213,213,163,217,213,163,203,176,213,149,89,
213,213,203,213,203,149,149,149,149,39,39,89,105,89,21,176,39,21,21,73,
73,21,21,73,73,163,105,1,1,21,73,21,213,135,21,1,21,21,21,176,
135,105,105,120,120,120,120,203,120,120,120,120,120,120,120,149,176,135,177,105,
105,105,120,120,203,203,105,105,105,120,1,39,39,105,120,73,105,89,177,1,
105,39,105,39,120,39,105,89,120,177,135,89,135,73,89,73,149,73,163,73,
89,39,1,39,21,56,56,56,1,89,73,163,177,89,163,89,163,73,135,73,
56,73,203,135,1,39,1,39,39,203,39,39,56,56,163,163,176,177,163,163,
56,135,39,135,56,135,163,135,120,56,120,56,89,1,89,163,189,39,135,56,
135,56,135,21,89,39,89,39,135,39,105,1,1,56,135,163,120,39,149,73,
149,39,105,1,120,1,120,73,177,56,105,73,1,56,21,135,56,177,56,135,
176,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,135,149,149,73,
149,149,149,149,149,149,149,149,149,149,149,149,149,135,189,149,149,149,149,149,
149,149,149,149,149,149,149,149,105,203,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,56,105,
56,135,21,89,21,89,1,73,1,21,1,21,1,21,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,1,21,105,1,89,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__courier_22_latin_ext_a[560]={ 186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_22_latin_ext(stb_fontchar font[STB_FONT_courier_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_22_latin_ext_s[i] + stb__courier_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_22_latin_ext_t[i] + stb__courier_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_22_latin_ext_x[i];
            font[i].y0 = stb__courier_22_latin_ext_y[i];
            font[i].x1 = stb__courier_22_latin_ext_x[i] + stb__courier_22_latin_ext_w[i];
            font[i].y1 = stb__courier_22_latin_ext_y[i] + stb__courier_22_latin_ext_h[i];
            font[i].advance_int = (stb__courier_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_22_latin_ext_s[i] + stb__courier_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_22_latin_ext_t[i] + stb__courier_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_22_latin_ext_x[i] + stb__courier_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_22_latin_ext_y[i] + stb__courier_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_22_latin_ext_LINE_SPACING
#endif

