// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_28_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_28_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_28_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT        170
#define STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_28_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_28_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_28_latin_ext_LINE_SPACING          13

static unsigned int stb__courier_28_latin_ext_pixels[]={
    0x10003100,0x00010000,0x0000002e,0x200000ea,0x00100000,0x00000102,
    0x00000080,0x06aaaaaa,0x75000020,0x33333300,0x10033333,0x80040008,
    0x2008003a,0x00000099,0x12a06440,0x2000cccc,0x00000049,0x0dcc0040,
    0x00000200,0x981c0a20,0x02000009,0x00000980,0xe9800000,0x002c4002,
    0xb0003ea0,0x03a6000b,0x074c3640,0x0004c800,0x3a201362,0x88001d51,
    0x01ec002d,0x322000e4,0x803ccccc,0xbd90004d,0x3bbe601b,0xfeeeefee,
    0x2dc3e600,0xc803f300,0xd8800dde,0x005fd704,0x3002e980,0xeb87c83f,
    0x3ae007ee,0x3ee000ed,0xf32e8002,0x0e465401,0x8001e980,0x81d001ea,
    0x04ee985a,0x003f3000,0x0d00597b,0x76c01f4c,0x005f3000,0x5c000570,
    0x13a2001e,0x000fd400,0x007ae0d9,0x00096e10,0x221009d1,0xe88004dd,
    0x25d10803,0x40016c00,0xbb100100,0xd72f4400,0x8688b303,0x2a5d100f,
    0x03f5000e,0x03d72744,0x16402744,0x9d5d7000,0x7c83f300,0xdd803c40,
    0x32005f50,0x9a6c003f,0x3986401f,0x800be600,0xa803eaec,0x201fcace,
    0xfa80004a,0x01639801,0x36bea0f1,0x9804a805,0x1fd0001e,0x001d9000,
    0xd70003d8,0xfa800003,0x454f7001,0x174402f8,0x5d8a4f80,0xb802f980,
    0x80be2337,0x0fcc002d,0x2e4003ee,0x82982980,0x07c34459,0x00ea9744,
    0x29801d70,0x05d10198,0x64000b20,0x0001760d,0x38807880,0x00600388,
    0x00ba29b0,0x0007232a,0x4bb005d3,0xca8804d8,0x0004a802,0x4880075c,
    0xc8788091,0xf003b20e,0x40002600,0x00500039,0x5c000a20,0x53000000,
    0x05c0e200,0x1a800620,0x03500530,0x405c0e20,0xaaaaceaa,0x7102e00a,
    0x00002800,0xf8688b30,0x00261880,0x00000098,0x01640031,0x00050280,
    0x0003c400,0x45000000,0x06e60018,0x1400c400,0xa8000028,0x004c0004,
    0x100336a0,0x2006030f,0x02cbd807,0x54c00000,0xad982d41,0x9800000d,
    0x42aaaaaa,0x207620d9,0x4c409998,0x00a62019,0x98813331,0x220d9819,
    0x0999881d,0x9910ccc4,0x399999bd,0x44099988,0x26662199,0x2a0ccc40,
    0x2aaa82aa,0x0d0d1166,0x440014c4,0x5551009a,0x4cc45555,0x40ccc409,
    0x0aaaa22c,0xa8805310,0x55550aaa,0x401e2015,0x5512cdc9,0x259b9303,
    0x33311aa8,0x22199881,0x4cc40999,0x100a6201,0x99881333,0x259b9301,
    0x9a541aa8,0x4400bddb,0x4cc009aa,0x87880199,0x20019999,0x00b1cc07,
    0xa8966e4c,0xb9bf701a,0x3201f15f,0x55540730,0x2a2aaa82,0x47cccccc,
    0x20be61fa,0x3a25eeed,0xdfc84efe,0xeed81dec,0x3bfba25e,0x5f30fd44,
    0x44bdddb0,0x2d84efee,0x4bdddb00,0xdb4efee8,0x7f744bdd,0x20f3f24e,
    0x34404fcb,0xbd9bf900,0xeceeb803,0x332668cf,0x3b67cccc,0x3fba25ee,
    0xfd31644e,0x66fe4079,0xccc881de,0x3d99970f,0x3f201e20,0xcf9dfcad,
    0x7e56fe42,0xddb2cf9d,0x77f744bd,0x44bdddb4,0xfc84efee,0xed81decd,
    0x3fba25ee,0x656fe44e,0x542cf9df,0xfeaaefac,0xfd9df902,0xfddd50d5,
    0x5478807f,0x003ffeee,0x0914880f,0x3f2b7f20,0xec82cf9d,0x5017f4c0,
    0xcfc806e5,0x004fcb83,0x0770000f,0x427442d8,0x403b80e9,0x7700002d,
    0x05b02d80,0x0b601dc0,0xd82d8077,0x22016a02,0x984e8806,0x981b700e,
    0xb8f006fc,0x16416c03,0x274403d7,0x03a0074c,0x407880ec,0x86eb80db,
    0x86eb80db,0x2e16c03b,0x3a216c03,0x3b80e984,0x036e16c0,0x77541bae,
    0x6d42e981,0x2203f4c1,0x0344069f,0x1e00d3f1,0x200336a0,0x06eb80db,
    0x00fec0b5,0x0b600b6e,0x01e005a8,0x5b00ee00,0x03a604c8,0x002d8077,
    0x2d807700,0x1dc005b0,0x80770b60,0x3a06982d,0xc8068801,0xd503a604,
    0x8f006d80,0x6416c03b,0x4c801d92,0x0e803a60,0x81e203b0,0x11be02f8,
    0x5c37c05f,0x0ee16c03,0x204c85b0,0x201dc0e9,0xf80be22d,0x5c05f506,
    0x07a80f46,0x0401ea5c,0x2007a970,0x3333301e,0x7c05f100,0xb701f886,
    0x4c0000d7,0x78007a06,0x55530555,0x22d80770,0x5c4c8069,0x55516c03,
    0x77055530,0x05b02d80,0x0b601dc0,0xb02d8077,0x2200b505,0x64034c06,
    0x1a200f44,0xb00ee3c0,0x00bb5905,0x409900d3,0x2203b00e,0xd901a607,
    0x43640698,0x2e16c03b,0x0d316c03,0x403b8990,0xd901a62d,0x1f101ea0,
    0xe80901a2,0x74000971,0x7f500971,0x3ffeeea8,0x1b2034c0,0x4474c16a,
    0xbdcba81f,0x5a82d800,0x0fcbbc00,0x1dc3664c,0x803c8b60,0x3601dc68,
    0x9303f2e2,0xd80770d9,0x5c005b02,0x0ee16c03,0x21a605b0,0x80d1001e,
    0x2268803c,0x23c00006,0x6416c03b,0x1e400edf,0x01d03440,0x703c4076,
    0x25c69809,0x00ee1a60,0x6c03b85b,0x1a200f22,0x2e2d8077,0x5a834c04,
    0x00362d80,0x00f13440,0x80789a20,0x27e203fa,0x26025c06,0x1e883b86,
    0x359bd0ba,0x869807d7,0x3a3c001e,0x0770d100,0x400762d8,0x0b601dc6,
    0x5c34403a,0x2d816c03,0x5b00ee00,0x016c03b8,0x1002cc5b,0xd001d80d,
    0x20000254,0x0b601dc7,0x3602dcf2,0x0740d001,0x40f101d8,0x26364079,
    0x1dc36407,0x80770b60,0x3400762d,0x4c5b00ee,0xfa836407,0xea87e200,
    0x6c3b8001,0x21dc0202,0x200f402d,0x3cc03d4b,0x20b21b20,0x8801e42e,
    0x1662d806,0x201d1e00,0x6c03b868,0x0ec003e2,0xe82d8077,0x0770d100,
    0x007902d8,0x70b601dc,0x2602d807,0x68800766,0x1d8007c0,0x78000077,
    0x20b601dc,0x0f816e2c,0x03a03b00,0x207880ec,0x11be02f8,0x5c37c05f,
    0x0ee16c03,0x8007c5b0,0x5b00ee1d,0x0df017c4,0x87b80fea,0x801bdfd9,
    0x6882d40e,0x405a81d0,0x0971e807,0x0df017c4,0x3b84c859,0xd300b600,
    0x23c000ec,0x770d100e,0x003a2d80,0xd80770ec,0x0d100e82,0x102d8077,
    0x3b89501d,0x00ee16c0,0x699d805b,0x3a034400,0x0ee3b000,0x3b8f0000,
    0x216416c0,0x2001d05c,0x3601d01d,0xeb80f101,0x5c376441,0x4376441e,
    0x2e16c03b,0x01d16c03,0x403b8760,0x220f5c2d,0x3dd506ec,0xb9805d30,
    0x20b301ed,0x5987880e,0x203c01d0,0xd701e268,0xb86ec883,0x41641aa5,
    0x2d9aaa98,0x00699d80,0xd100e8f0,0x22d80770,0x3b8d001d,0x807416c0,
    0x6c03b868,0x3b37ae02,0x201dc1df,0x3601dc2d,0x016ecc02,0x7fffffcc,
    0x6800ec0f,0xf000016a,0x416c03b8,0x1d85c82c,0x80740d00,0x700f101d,
    0xd3bf95bf,0x3f2b7ee0,0x403b869d,0x3601dc2d,0x23400762,0x5c16c03b,
    0x69dfcadf,0x77df5950,0xe98005fd,0xeeeeec80,0xc87883fe,0x3feeeeee,
    0xd87701e0,0x656fdc02,0x37a869df,0xf907a01d,0x05fb99bf,0x0005bb30,
    0x1a201d1e,0x643b012a,0x25468803,0x403a0760,0x6c04a868,0x201a9801,
    0x2a0ec04a,0x6c00ec04,0x79000006,0x034cd100,0x0951e000,0x0bfee1d8,
    0x1e4ffff5,0xfff93440,0x8ecfffff,0xfffffffc,0xbdb983ff,0x6dcc0d11,
    0x0950d11b,0x202541d8,0x2200f21d,0x07602546,0x688dedcc,0x332a2950,
    0x0590000b,0x3333333f,0x33f0f10d,0x40d33333,0x16a07407,0x446f6e60,
    0x203d5d06,0xc80ee46a,0x000db002,0x2201d1e2,0x07c07886,0x889900d3,
    0x07407c07,0x40788688,0x401cc00f,0x2207c078,0x6c007c07,0x40398002,
    0x6c4c8069,0x8f100002,0x0007c078,0x264034c0,0x0001d800,0x2001a200,
    0x7c078868,0x83e03c40,0x444c8069,0x20007c07,0x80095068,0x2a1e401d,
    0x1e20ec04,0xf01d8095,0x00e82cc0,0x3ea0d100,0x7c43d103,0x6c00b200,
    0xd8b50002,0x0ba0d901,0x30264354,0x3540ba0d,0x20d901d8,0x700d502e,
    0x205d005f,0x2a05d06a,0x00069806,0x04c805f7,0x803e61a6,0x425400e9,
    0x900d502e,0x4c099005,0x403e0006,0x2a0002c8,0xd04a8004,0x1741aa05,
    0x204c86a8,0x2a05d069,0x504a8006,0x206d8009,0x200ec1f8,0x0763c44a,
    0x40970950,0xfeeeeeec,0x20950003,0x1f4c0efc,0x02e981a2,0x36000698,
    0x3b622cc3,0xfa87d306,0xea85d881,0xfa87d300,0xed88b301,0xfa87d306,
    0x3001b001,0x301fa87d,0x801fa87d,0x0360002d,0x1d50bb10,0x3ea0bea0,
    0xe981d802,0x4400fd43,0x42ec400d,0xd50000ea,0x10006880,0x2e88005d,
    0x1fa87d30,0x1fa87d30,0x0ea85d88,0x1fa87d30,0xa8174400,0x0e7ec004,
    0x00d11766,0x0344d0f1,0x8037a3c4,0x9999999f,0x82e88006,0xfd9df56a,
    0x3ee0b603,0x802d802e,0x04fbaaa9,0xf15fdbfb,0xdbfd303f,0xddfc803d,
    0x7f4c01de,0x7ec01eed,0x1ff8afed,0x1eedfe98,0x4c009500,0x401eedfe,
    0x01eedfe9,0x035f7555,0x64009500,0x401deddf,0x0dfddfe9,0x27dd5544,
    0x3ddbfd30,0x004dd880,0x077b77f2,0x775d5440,0x007bb300,0x07d95553,
    0x3ecaaa98,0x776ff4c0,0x76ff4c01,0x6efe401e,0x7f4c01de,0x54c01eed,
    0xa883ecaa,0xc800aadc,0x4ffdefc9,0x20ffffe4,0xc83ffffa,0x7d41ffff,
    0x95003fff,0x2a601d80,0x1d03ecaa,0x6c400a98,0xfc8cfece,0x3eeaaa1f,
    0x6665c01a,0x0054402c,0x2000d440,0x1a880019,0x0002a200,0x010006a2,
    0x0006a200,0xccc80351,0x08004ccc,0x00033000,0x32a01331,0x51000bcc,
    0x20000003,0xcca80019,0x200000bc,0x801bcccb,0x001bcccb,0x510006a2,
    0x00198003,0x97001a88,0x32603799,0x8002cccc,0x000009a9,0x40000000,
    0x7025401d,0x00037999,0x001a8800,0x09999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd1000000,
    0x0000f100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x507ffff2,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00200020,0x20001000,0x88000000,0x0008009a,0x80100040,
    0x0000b048,0x33000000,0x75093013,0x1b100000,0x20ea0598,0x4400382a,
    0x2622440c,0x00088019,0xb8013551,0x74c02b83,0x88000001,0x0000002d,
    0x33312400,0x00000333,0x00060004,0x4ccc4020,0x98819981,0x20333100,
    0x1016c1d8,0x05501607,0x00754073,0x80001d50,0x5c8002e8,0x400f5400,
    0x8cfeceeb,0x0001d506,0x3d3003d3,0x025c1e80,0x88d00f54,0x45ff706d,
    0x83777c0b,0x401d90ec,0x202743f8,0x403d72fa,0x01d90dd8,0x1eb8005b,
    0xfeed85f5,0x201fe200,0x6afecefc,0xbb11bb10,0x1f5fd401,0x00bb13a0,
    0x8009d7f5,0x01e802e8,0x77f6cb50,0x300beeee,0x005c800d,0xd70001a2,
    0x8fbbfb20,0x3a63ffeb,0x7f7441fe,0x222f984e,0x2e0f403f,0x0f434404,
    0xa8007ae0,0x5f30001f,0x800bb000,0x2e03eaec,0x037e4c0d,0x7d4003d7,
    0x801fa801,0x00eecde9,0x441f5764,0x8c981e47,0x0785eec9,0x2009df50,
    0x4c01ec2d,0xd7000ede,0x0034c09d,0x20076f4c,0x01be200e,0x07e983b5,
    0x3201f75c,0x6c0bb10e,0x3ae02643,0x26003b21,0x006b803e,0x7103a0ba,
    0x400fa03f,0x57d4005d,0x00ec8000,0x00eb8074,0x01640dd5,0x66f54000,
    0xdeb800ee,0x3f5004ec,0x0017cc00,0x3a0007aa,0xb12ec004,0x6d80d509,
    0x5400fd40,0x01ea801e,0x6c0054c0,0x8f113a25,0x4062000f,0x000a2007,
    0x00388000,0x02e80298,0x1d003880,0x203d0000,0x8019807a,0x00000502,
    0x98013015,0x007f001f,0xa80741a6,0x9d00f705,0x76775400,0x0bb003df,
    0x017203a0,0x0b207b95,0x0a980000,0x000aa800,0x06200044,0x20001300,
    0x05028002,0x8068803d,0x00098008,0x99988013,0x140ccc40,0x21e3c428,
    0x4c409998,0x4c401e19,0x014c4002,0x31026662,0x441b3033,0x800b501d,
    0x74009aa8,0x4026a200,0x22024068,0xaa88009a,0x09998809,0x2200ccc4,
    0x013001aa,0x6c003ea0,0x07401d02,0x00a017c4,0x1f441f88,0x03a00280,
    0xf195009b,0xaaa85901,0x202aaa82,0xa8800298,0x9999881a,0x80999999,
    0x88019999,0x99999999,0x99998099,0x99998801,0x10999999,0x2662000d,
    0x4c099999,0x09999999,0x4cccccc4,0x97bbb609,0x224efee8,0x09999999,
    0xddb0f1e2,0x77f744bd,0x9bf900f4,0xdfc803bd,0xeed81dec,0x3bfba25e,
    0x5f30fd44,0xfc800f40,0xd06afece,0xfd9dd701,0x000d8d19,0xcfeceeb8,
    0xecefc868,0x3bbb66af,0x13bfba25,0x3bf73baa,0x8804cc6a,0x98026c19,
    0x0e803a06,0x4ccc4b90,0x09700199,0x4ccc4066,0x81999999,0x2007d10e,
    0x8590974a,0xfcb83cfc,0xbd9bf904,0xdceea803,0xdfdb6aef,0x5fdddddd,
    0x3ffeeea8,0x7777f6c0,0x542feeee,0x403ffeee,0xeeeeefed,0x00952fee,
    0xdfdddd10,0xeeef8bdd,0x3a25eeee,0x5eeefeee,0x88b601dc,0xeeefeeee,
    0x2e0f1e25,0x40f16c03,0x80e984e8,0x80e984e8,0x0016c03b,0xb500b500,
    0x1d07e983,0x7e4c0db8,0x7000f546,0x46fc981b,0x23f4c1da,0x5416c03b,
    0x327f980e,0x7f541efe,0x2005f12e,0x2203a03c,0x6c3ea05d,0xbeeeeefe,
    0x2000ee00,0xeeefefed,0x44740fee,0xe92a003e,0x016c1641,0x309d10b5,
    0x203aa01d,0x900747f9,0x034fc405,0x80b200e8,0x1d0069f8,0x003b9640,
    0x03c07880,0x203c4099,0x1016c03b,0x41e3c40f,0x0f16c03b,0x81d30264,
    0x703a604c,0x0002d807,0x07a00740,0x2a0e83d4,0x6cc36c06,0x0d501bdf,
    0xa80f46d8,0x0b601dc7,0x23d401f5,0xa8d300e8,0x4078800f,0x3ecbaabe,
    0x03a17c40,0x3e203f71,0x0b2f0001,0xddd5d03a,0x5a92a003,0xd034c164,
    0x74c09903,0xf5007d40,0x80b200e8,0x1d003d4b,0x29701640,0x200e801e,
    0x0000772c,0xd30780f1,0x1dc07880,0x07880b60,0x770699e2,0x4c1e2d80,
    0x1a64c806,0x80771320,0x260aaa2d,0x812e02aa,0x0e824068,0x80d1007a,
    0x0f41edb9,0x40689a20,0x0b601dc4,0xb705003d,0x00f707a0,0x999d00f2,
    0x0fe003fd,0xa816a01d,0x9800acfe,0xe81d0595,0x5005f71f,0x40b22d89,
    0x6985a82d,0x00f44c80,0x2c803a14,0x4025c7a0,0xe80b200e,0x01d00971,
    0x0005a964,0x443c0788,0x203c401e,0x1016c03b,0x2fbbc40f,0x22d80770,
    0xd1007907,0x234401e4,0x9716c03b,0x06cc981f,0x001b007c,0x001a21d0,
    0x3443a600,0x2000d800,0x1e16c03b,0x4b85b000,0x0f8806c8,0x03b20740,
    0x401d13a0,0x7654400e,0x82c9e404,0x3a20f40e,0x9a225400,0x3d0d302c,
    0x8d100790,0x441d0007,0x3c4d1002,0x00510740,0xe80789a2,0x034c0a20,
    0x0a03c400,0x01e200f6,0x202d8077,0x7dde2078,0x2d807702,0x6800ec1e,
    0x2e340076,0x07416c03,0x025c0688,0x0e8003d5,0x20000095,0x2000952c,
    0x077001ea,0x001662d8,0x03a61d10,0x012e01b2,0x003aa03a,0x3a00e89d,
    0xd0264000,0xd0304b21,0x4a80b701,0x6c0594c8,0x00ec1662,0x40016668,
    0x5c01660e,0x83a016c3,0xd8770059,0x0b307402,0x2200016c,0x802d4007,
    0x201dc078,0x881e202d,0x01dc1a67,0x01f078b6,0x8007c760,0x5b00ee1d,
    0x01a201d0,0x7ecc01f1,0xb87401bd,0x401d8003,0x4000773c,0x701bdfd9,
    0x12e2d807,0x1756e000,0x00f807b8,0x80b700e8,0x6c40743f,0x10688005,
    0x202c964d,0x5403d00e,0x02c8e884,0x1f01d9a6,0x025c7600,0x5eeeee80,
    0x05a81d00,0x02f77774,0x202d40e8,0x205eeeee,0x03a600f9,0x1f1003c4,
    0x7701e200,0x1e202d80,0x3b83c788,0x3a0f16c0,0x03a3b000,0x80770ec0,
    0xd100e82d,0x26007900,0x21d01edb,0x06d8003b,0x001dc7e2,0x41edb980,
    0x9716c03b,0x02666660,0x3ea05de8,0x74016e00,0x7c407a00,0x65d55f42,
    0x4c0b103e,0x77649506,0x5c03a02f,0x6d412a04,0x34cec02c,0x476001d0,
    0x3333304b,0x2d4ccf41,0x00e82cc0,0x016a667a,0xd0074166,0xa80b5333,
    0x202fa82f,0x00b60078,0x01dc0788,0x207880b6,0x03b83c78,0x0760f16c,
    0x2003b340,0x0b601dc6,0x4034403a,0x0e980068,0x000b50e8,0x5d9839fb,
    0x2000016a,0xb00ee0e9,0x76c42545,0x3e605fee,0xe80be200,0x4c01d001,
    0xce81f506,0x2601fecc,0x3205b02f,0x80b66f22,0x201f100e,0x00bba04a,
    0x0ec05bb3,0x2212a680,0x3a5feeed,0x3b201620,0x03feeeee,0xc805883a,
    0x3feeeeee,0x805883a0,0x0dfddfe9,0x5b803c40,0x501e2008,0x2201d809,
    0x20f1e207,0x0f0ec04a,0xc9a200f2,0x25468803,0x403a0760,0x005b0068,
    0x261d0590,0xfc9c8006,0x34c4ffde,0x22c80000,0xd10ec04a,0x0f00f100,
    0x016a09b0,0x40fffff6,0x742e43fc,0xe9807640,0x04edaced,0x4cbfbbbe,
    0x3ffffd80,0x3f60ffc8,0x02f987ff,0x01e406d8,0x100d1344,0x41c00e8f,
    0x9999999f,0x07003a06,0x3333333f,0x0e00740d,0x10009e88,0x901d300f,
    0xf101e203,0x1e200f80,0x7883c788,0x260f07c0,0x1a64c806,0x80f11320,
    0xd100e80f,0x03b1a600,0x360e83c8,0x4f4c0002,0xd8005b00,0x0f11e401,
    0x200fc0f8,0xa8078078,0x0001e80f,0xe82f8800,0x2300ea80,0x74c02fb8,
    0x0002d999,0x40000000,0x4034c02d,0x2200fc4c,0x8f100747,0xe80ec04a,
    0x0951e200,0x401d01d8,0x001f4078,0x203d00f1,0xd00f102c,0xf101aa05,
    0x403e3c40,0x078d502e,0xc8698132,0x1741a604,0x203b06a8,0xd8b6006c,
    0x3a07e206,0xe9803e60,0xf980ba00,0x36c3a600,0x02e83f10,0x880d50d5,
    0x7d007807,0x22000698,0xd07b802c,0x22016e01,0x1643b806,0x00b20254,
    0x4c002c80,0x4c099006,0x3c406a86,0x6c78803a,0x0e825401,0x803b1e20,
    0x4401d04a,0x80064107,0x90264078,0x2601e205,0x200fd43e,0x791e2078,
    0x3f50fa60,0x21762078,0x85d880ea,0x87d300ea,0x88b301fa,0x9a6006ed,
    0x2ecc1cfd,0x417d40e8,0x06c102fa,0x5f505f50,0x3660e7ec,0x7d43e985,
    0x2a03d901,0xd5007807,0x440002d8,0x1d03e806,0x1a200f40,0x50590760,
    0x000d8809,0x6c001b10,0x50bb1002,0x407b201d,0xf100747a,0x83c40344,
    0x689e200e,0x01d07880,0x4dd983c4,0x6981e200,0x07881640,0x3ddbfd30,
    0x4680f100,0xbfd306d8,0xdddf03dd,0x37b77f20,0x76efe401,0x6ff4c01d,
    0x6fec01ee,0x01ff8afe,0x3f2723b0,0x76c4ffde,0xdfe980fe,0x36a00dfd,
    0xdfe9804d,0x64e40dfd,0x204ffdef,0x01eedfe9,0x7ee6f74c,0x2007801d,
    0x4000d11e,0x34c03dd9,0x034c01d0,0x321e01a2,0xbb104a82,0x9bb10009,
    0xafbaaa80,0x377f2001,0x774c01de,0xfb1dfdcd,0xffffffff,0x3ffff2ff,
    0x9ffffd41,0xfffffffd,0xfff97fff,0xffffa83f,0xffffffb3,0x000fffff,
    0xffffff88,0x3ffea6ff,0x12ffffff,0xffffffff,0x201a880d,0xfffffff8,
    0x5100006f,0x004ccc03,0x06600066,0x8006a200,0x000000a8,0x262026a6,
    0x04cc4019,0x33100000,0x026a6001,0x2000d440,0x26009a98,0x0fffffff,
    0x00000000,0x3ffff600,0x0407f903,0xf51fff90,0x9fffffff,0x00000000,
    0x09999999,0x10003300,0x00001353,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04000000,0x2000f600,0x2008001b,0x00199998,0x1d401320,0x20004400,
    0x33101aa8,0x01998813,0x25400f4c,0x3a6001d4,0x2aa20001,0x55100000,
    0x10015555,0x26666004,0x80000099,0xd882440c,0x36602cc0,0x4c4024c0,
    0xb1009999,0x0ec05981,0x40040162,0x2440b048,0x00020058,0x998803d3,
    0x00099999,0x05824400,0x88083366,0x99999999,0x10b20099,0x28800019,
    0x2600b900,0x9000ddce,0x1744001d,0xeefeee98,0x6e744003,0x0036400d,
    0x75401fe2,0x26aefdce,0x76c4eeec,0xf7d703ef,0x321d9005,0x2fae000e,
    0xcec8002f,0x00e9803c,0x33333326,0x01d2c402,0x3bbbbba2,0x17627405,
    0x05f51eb8,0x01fa97d4,0x03d71eb8,0xeeeeee88,0x75cbea05,0xfa97d401,
    0x803fc802,0x36025c1e,0xfc8025c1,0x7d7d7003,0x77f776c0,0x43f884ee,
    0x5c1e804e,0x9d95d304,0xefed81db,0x2feeeeee,0x1f4cfa60,0x5c2ec4e8,
    0x802ec02f,0x007ae2fa,0x2e9800bb,0x20009500,0x807ae2f9,0x37c4006c,
    0x7cc07540,0x0b601dc7,0x04e886ec,0x4004efa8,0x009d10dd,0x3e6002d4,
    0x26000002,0x400001e5,0x2602643d,0xe9801ede,0x3a6000ed,0x000000de,
    0x80076f4c,0x7000ede8,0x9bd3007f,0xde9801dd,0xf9000eec,0x221bb005,
    0x0078805d,0x9803d85b,0x000eecde,0x07401771,0xed880590,0x990f601e,
    0x3a205f70,0x26026004,0x30012e00,0x0254003f,0x00980980,0xa8008000,
    0x771ea00f,0x20502d80,0x00053002,0x1d800a05,0x2007aa00,0x007620d9,
    0x4c403cb5,0x10000002,0x00070007,0x266200e2,0x00ccc409,0x00e00071,
    0x15300020,0x000a9800,0x0a050008,0x00001e20,0x1000a980,0x803a0053,
    0x0015002c,0x300fdc00,0x026a2000,0x40033330,0x02540009,0x99999880,
    0x44000009,0x007a01aa,0x2d80770a,0x198804cc,0x06666662,0x980cccc0,
    0x003c0099,0x0fd4002e,0x14a805f3,0xecdfc80d,0x2013301d,0x4cccc198,
    0x4cc09999,0x99999999,0x03333301,0x44bdddb0,0x2624efee,0x40999999,
    0x33310098,0x99999998,0x26666209,0x80999999,0x10019999,0x13333333,
    0x4c409988,0x401e2009,0x10019999,0x13333333,0x37b37f20,0x2c803a01,
    0x4cccccc4,0x26209999,0x40999999,0x201311fa,0xdd701998,0xb8d19fd9,
    0x4c407eee,0x2a001999,0xeee88004,0x221eeefe,0xd5002aaa,0x8d5dfb9d,
    0x80770007,0x07bfb22d,0x3b65dfd5,0x0beeeeef,0x85dddd50,0x101efeeb,
    0x0220000f,0xd13b8000,0x3a613a20,0x20f7f640,0x3be2efea,0x25eeeeee,
    0xefeeeef9,0x7540feee,0xb803ffee,0xdd116c03,0x4bdddfdd,0x7441fee9,
    0x3bbe4efe,0x365eeeee,0xeeeeeefe,0x777542fe,0x774403ff,0x25eeefee,
    0x3a26efe8,0x0f100efe,0x7ffddd50,0xfeeee880,0x27445eee,0x20e8074c,
    0x77f6c028,0x2feeeeee,0xddfdddd1,0xe98fa8bd,0x7f7441fe,0x2606dc4e,
    0x81e206fc,0x3eefeee9,0x00009500,0x6664c0b2,0x980ea807,0x4001667f,
    0x2216c03b,0x3a0d300e,0xb80fdc40,0x5503b004,0xb80555f7,0x03d10bdc,
    0x599dc000,0x074c0990,0x434c03a2,0x45993207,0x2200f868,0x03b8069f,
    0x00f1016c,0x21640dd5,0x03a13207,0x27e202c8,0x403c4006,0x880d100e,
    0x34fc4007,0x9901e200,0x074074c0,0x803a00b3,0x980f102c,0xc81baa0f,
    0x1b603542,0x09500788,0x00009500,0x203c00b2,0xb9ea00fa,0x80770004,
    0x3d05b82d,0x82d403a0,0x901d005a,0x20799f99,0xeeb9ace9,0x260aaa2e,
    0x7ffc42aa,0x32ffffff,0xb709900d,0x4c1e07a0,0x21a22cc6,0x0f52e00f,
    0x05b00ee0,0x6e5403c4,0x30785903,0x2c803a0d,0x000f52e0,0x201d00f1,
    0x003c4068,0x1000f52e,0x64034c0f,0x5eeeee84,0x16401d00,0x07cc0788,
    0x0b207b95,0x2068803d,0x00950078,0x20000950,0xe80f002c,0x412e2801,
    0x2e099999,0x2d816c03,0x401d025c,0x7dc5980e,0x01e203c1,0x1fd103f1,
    0x32607e5c,0x254b606c,0x834401e4,0x87825c2d,0x222cc1e8,0x47a00f86,
    0x201dc04b,0x201e202d,0x2c80f8ca,0xe80f443c,0x1e80b200,0x03c40097,
    0x40688074,0xb8f40078,0xc81e2004,0x9e868803,0x1d005a99,0x07881640,
    0x3e32a3c4,0x01a22c80,0x5401e200,0x204a8004,0x0059001a,0x5000f01e,
    0xfdddb109,0x0b601dcb,0x00e98744,0x880e803a,0x0d126f46,0x41740788,
    0x0e85cae8,0xb8ec0d10,0x0d001d84,0x8074c3a2,0x45983d82,0x9a206868,
    0x201dc078,0x201e202d,0x8590974a,0x83a03d82,0x44d10028,0x201e2007,
    0x880d100e,0x789a2007,0x1d81e200,0x441d0d00,0x1441d005,0x3c407880,
    0x16425d2a,0xf1000095,0x20012a00,0x400b204a,0x4c0f002c,0x80688005,
    0x36025478,0x01756e01,0x8176203a,0x599a3e27,0x0d103c40,0x3a1e65d1,
    0x8f40d100,0xb000f83b,0x01756e03,0x34400b50,0x05b0ee00,0x80b601dc,
    0x3a4a8078,0x16a01641,0x802cc1d0,0x88016c3b,0xd100e807,0x2e007880,
    0x788016c3,0x0ec003e0,0x3a07003a,0x3c401660,0x1e92a240,0x00077164,
    0x12a00f10,0x2c812a00,0x1e005900,0x3f0004b8,0x03c47880,0x5de801f1,
    0xcbaabe80,0x5a87403e,0xf1012a1d,0x0fa22d40,0xd100e83d,0xeeefeeb8,
    0x4003a5ee,0x0177a01d,0x22000f88,0x2a074006,0x5b00ee05,0x25403c40,
    0x2202c8b5,0x7777400f,0xa81d005e,0xd00f1005,0xdddddddd,0x3a007880,
    0x78802d40,0x0ec003a0,0xd078803a,0x200bdddd,0x24a80078,0x0771645a,
    0x200f1000,0x04a8004a,0x0b2004b2,0x209703c0,0x2a099999,0x16c3c406,
    0x0f9806b8,0xfeccce80,0x2591d801,0x7880952c,0x83e89a60,0x6880740e,
    0x6ccfccc4,0x4007609b,0x0007cc06,0x0688005b,0x80741660,0x1016c03b,
    0x2d89500f,0x802d80b2,0x805a999e,0x1001d059,0x3333d00f,0x7880d533,
    0x03a0b300,0x01d81e20,0x4401d0d0,0xb5333d07,0x2001e200,0x45916c4a,
    0x7880005a,0x50009500,0x40696409,0x540f002c,0xfeeed884,0x7a80f645,
    0x3ee23ea8,0x3a00f001,0x32007640,0x1dd6a1f2,0x9f881e20,0xe87883e8,
    0xb3c0d100,0xd1007903,0x2dc00f00,0x801a2004,0xfeeeeeec,0x1d809503,
    0x12a01e20,0x5b8164d1,0x1620e808,0x3bbbbb20,0x078803fe,0x80d100e8,
    0xddd90078,0x1007fddd,0x4401e40f,0x1e200e86,0x200b1074,0x25408078,
    0x1a62c9a2,0x401e2000,0x7cc6a04a,0xffffffff,0x6401f2ff,0x3440f002,
    0xee983c40,0x101dfdcd,0x003dfbfb,0xa80e803c,0x1a6ee00e,0x0d100b2f,
    0x7b03edb8,0x41a201d0,0x1a607a68,0x01e01320,0x00e4074c,0x4cfc00d1,
    0x10699999,0x2200f80f,0x4c84a807,0x901d3059,0x41c00e83,0x9999999f,
    0xe8078806,0xffd0d100,0x20bfffff,0x9999999f,0x26078806,0x3f64c806,
    0xffffffff,0x3801d07f,0x4fd80f10,0x1653212a,0xf10000b6,0x2c812a00,
    0xd007c000,0xfffff503,0x0fc3ffff,0x53101e20,0x076e0013,0x07401e00,
    0x2f2a05b8,0x200ecec4,0x0f7c404b,0x80ec1762,0x074d106c,0x01a604c8,
    0x901e803c,0xa8034405,0x2e80ec04,0x07880d50,0xc8e884a8,0x85901e82,
    0x951e200e,0x3c401d80,0x06880740,0x0254016c,0x80f10076,0x001a604c,
    0x00740362,0xd01e20f1,0x744254bf,0x007cc2c8,0x01e201d3,0x80590254,
    0x4403e02c,0xa805b007,0x6403c406,0x000e4002,0x401d0078,0x83b9301e,
    0x3a200ecb,0x76d66c00,0x16603fec,0x9660ddb1,0x50bb100f,0x201e001d,
    0x880b204c,0xa803b006,0xfa87d304,0x5403c401,0xc859b504,0x01d0b204,
    0x500763c4,0xe8078809,0x0680d100,0x04a803b0,0x176203c4,0x2a0003aa,
    0x78803a02,0x42880f10,0x059b504a,0x05f505f5,0x04a803c4,0x01b100b2,
    0x05d10bae,0x0f6401a0,0x0d8807a8,0x012b6600,0x803a00f0,0x10fd3069,
    0x5dddb0fd,0x0d444b80,0xafedfd80,0xf2cc1ff8,0xbdbbf900,0x2603c003,
    0xd1016406,0xf100d100,0x776ff4c0,0xa8078801,0x698bba04,0x803a1640,
    0x2201a278,0x7403c407,0xbc80d100,0x100d103b,0x9007880f,0x003bdbbf,
    0x3a173620,0x3c41e200,0xdd025400,0x377fa605,0x03c400df,0x40b204a8,
    0x74c04dd8,0x2002fede,0x74c03bbc,0x01dfdcde,0x20013762,0x7fcc01a9,
    0x6c0fffff,0xf903ffff,0xdd05f887,0x00000660,0x20015100,0x19800a18,
    0xfffff300,0xfffa81ff,0x42ffffff,0xfffffff9,0x0ffffe40,0x80ffffea,
    0x3fe201a8,0x46ffffff,0xf987fffd,0x3ffffea2,0xffb2ffff,0xffffffff,
    0x07ffff2f,0x227ffff5,0xffffffff,0x89fffee6,0x2a03ffff,0xffffc80a,
    0x9ffffd41,0xfffffff8,0x000cc06f,0xfffd8100,0x7fffffff,0xfffffff1,
    0xfffd80df,0x4402f987,0xfff90099,0x27ffffff,0xfffffff9,0x0002ffff,
    0x40006a20,0x531000aa,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0002c41d,0x00ccccc0,0x0007d500,0x99988001,0x006a6009,
    0x02880000,0x402b2e20,0x30020cc9,0x31004199,0x20013333,0x26019999,
    0x000020cd,0x00000000,0x00000000,0x99988000,0x02880099,0x00000000,
    0x00000000,0x00000000,0x13333310,0x14c00000,0x4cc0014c,0x00000000,
    0x7d400130,0x4e805f52,0xeeea82ec,0x6cc003ff,0x7002ed9e,0xeeeb807f,
    0xfb83cecc,0x0002fecd,0xb5950488,0xdb79d300,0xcecbf981,0x75d300fc,
    0xd101d99d,0x80bddddd,0x06ccccdc,0xdb7d95d5,0x004b8000,0x3a200097,
    0x36200b50,0x20d4c002,0x8074c05a,0x5eeeeee8,0x006d6cc0,0x4b8004b8,
    0x003d1000,0x801d8a5c,0x362002d8,0x016c4002,0x3bbbbba2,0x8012e005,
    0x007ae4e8,0x8805fd70,0x0d50006e,0x00665ecc,0x801ede88,0x4402643d,
    0x16c0069f,0x3ee003a6,0x963bd103,0xe881d905,0x204ccc43,0xb04c9998,
    0x81f10154,0x065c406a,0x0002ee00,0x01605700,0x20001dc4,0x376000dc,
    0x4cfa2000,0x04e8801f,0x3f737ee0,0x3e600f8a,0x19000002,0x0dd800e6,
    0x0006ec00,0x75c005d3,0x9d1009b0,0x00274400,0x000013a2,0x4001bb00,
    0x0000ddec,0x0ff100b2,0x2403d700,0x007000e6,0x752e0000,0x000cc401,
    0x83f20080,0x8816a165,0x13bbb21e,0x2019dfdb,0x1e40191c,0x266620f8,
    0x4c409999,0x88333100,0x09999999,0x330240b0,0xd8000333,0x01d90005,
    0x00fccfa0,0xd900174c,0x202fe981,0x333101ea,0x13333333,0x000dcaa0,
    0xd90003b2,0x003f5001,0x804d8754,0x3a6002e9,0x0174c002,0x00333330,
    0x50007640,0xfffd0007,0x04c03fff,0x8803b200,0x26620584,0x4cc40199,
    0x99999999,0x025c7a00,0x88003fb2,0x99999999,0x2589d099,0x2a00fc45,
    0x0b601dc6,0x7803b710,0x77744b20,0x265eeefe,0x77441fee,0xdddd14ef,
    0x360bdddf,0x77754000,0x710003ff,0x801a8000,0x54006a38,0xd816a001,
    0xd802e01f,0xeeeeeefe,0x0b6e02fe,0x4000d400,0x000b801a,0x5003885c,
    0x001a8003,0x3aa001a8,0x0003ffee,0x0000006a,0x00000b20,0x2445801c,
    0xfdddddb0,0xddfdb07b,0x05fddddd,0xf00789a2,0x77f6c001,0x2feeeeee,
    0xb516589d,0x03b87a00,0x8800016c,0x2205b106,0x206ea807,0x301e202c,
    0x20001bb9,0x000069f8,0x00000000,0x07e20000,0x00035edc,0x00590074,
    0x00000000,0x00000000,0x00000000,0x069f8800,0xdca80000,0x710188bd,
    0x80b2159b,0x188bddca,0x22770000,0x4c1e401c,0x6401d05d,0x02d87702,
    0x0e8000f8,0x9636cb20,0x2c801dc5,0xa85b00ee,0x42aa982a,0x17775c5a,
    0xdca80788,0x3c405903,0x01ec4360,0x801ea5c0,0x36a1cdb8,0x4c15540b,
    0x415542aa,0x15542aa9,0x2d41554c,0x41f88e98,0x030bdca8,0x5416401d,
    0xa800bdcb,0x8800bdcb,0x5402cddb,0x0188bddc,0x200b3b2e,0x402cddb8,
    0x000bdcba,0x40059d97,0x5c003d4b,0x36202cec,0x4dfdb9ad,0xeba9bfa8,
    0xadd882c9,0x224dfdb9,0x17bb712a,0x26066cc0,0x07901e41,0xe816401d,
    0x07c02d40,0x59007400,0x8b2c37a2,0x5c77002c,0x32e16c03,0x23664c0f,
    0x1643a64a,0x8ca80788,0x2202c80f,0x36e12207,0x25c7a001,0x3ae6fa20,
    0x20edaec8,0x664c0fcb,0x2607e5c6,0x07e5c6cc,0x0ee1b326,0x222e87a2,
    0x5edb9bde,0xd0b200e8,0x07d7359b,0x75cd66f4,0x26fbea03,0x6ec40dfc,
    0x84dfdb9a,0xdda9ade9,0x937df500,0x59bd01bf,0x74c07d73,0x00dda9ad,
    0x300971e8,0x1bb535bd,0x13e207b0,0x5dd101d3,0x93e207b0,0xaaceafc8,
    0xb93000ed,0x2203c817,0x5900740f,0x003a0b30,0x039b711f,0x70b200e8,
    0x0b22cdbd,0x80771dc0,0x2201d02d,0x643b2546,0x9500f102,0x880b212e,
    0x6441dc07,0x1e268804,0x991fae00,0x41a201d0,0x3a0d100e,0x0590d100,
    0x0b23c85d,0x510742e4,0x001a2000,0x807d41a2,0xf881ec5c,0x6b80f444,
    0x0b900fa8,0x1e883440,0x26880d70,0x80f44078,0x2e03546b,0x5f300f44,
    0x425c06a8,0x203d82fe,0x3200bdca,0x83a1dc03,0xeeec8028,0x7c03feee,
    0x06da9bea,0x2002883a,0x20077165,0x5b00ee2c,0x234403a0,0x02c83a4a,
    0x749500f1,0x0f101641,0x1b501b70,0x00b61dc0,0x87989f10,0x3a0d100e,
    0x03a0d100,0x32164344,0x40ba3b84,0x1660e828,0x8002d800,0x2203f82d,
    0x4b80d52f,0xf0f201ec,0x0017c407,0xc807b05b,0x05b0ee03,0xd8f201ec,
    0x01620804,0x1009b0ba,0x31a605d0,0x320017bb,0x83a25403,0x999f8059,
    0x7c069999,0x1d02d80f,0x2cb002cc,0x70f4016a,0x1d02d807,0x5c951a20,
    0x03c40b24,0x2c8b5254,0x6c401e20,0x03a05883,0x355100b5,0x0e81d01f,
    0x403a0d10,0x2201d068,0x41aa5b86,0x02b3ea2c,0x17bbbba0,0x26aaa620,
    0x2aa6202d,0x034c2d9a,0x0804da54,0xd334c03c,0x53109500,0x0f05b355,
    0x20740d30,0x2601e05a,0x950007a6,0x01e85b00,0x1a201d00,0x02dda813,
    0x74598079,0x5405eeee,0x3f00ec04,0x77741660,0x596005ee,0x235401e8,
    0xe816c03b,0x25a8d100,0x104fdfc8,0x2d89500f,0x007880b2,0x4c160ed4,
    0x3ae01d05,0xffffecdf,0x80741fff,0x2201d068,0x1a201d06,0xe8074dea,
    0x77f65c41,0xb5333d02,0xccdffc80,0xbff902fd,0xfa85fb99,0xffffffff,
    0x88003d6f,0x7fd4f006,0xffffffff,0x666ffe46,0x803442fd,0x03a0b307,
    0x1d3c01a2,0xd8049800,0xe8000742,0x3a80d100,0x300f20ae,0x5a999e8b,
    0x12a00ec0,0x20d100f8,0x005a999e,0x206a8596,0x202541e8,0x2201d01d,
    0x1a983cc6,0x89500f10,0x7880b268,0x7b799000,0x3bbbbb20,0x81eb83fe,
    0x201d000f,0x2201d068,0x1a201d06,0x6a80f574,0xe84ea880,0x1dc81620,
    0x03b90590,0x800d30b2,0x0344000e,0x000d33c4,0x10b203b9,0x320f100d,
    0x3feeeeee,0x27880688,0x8068002c,0x8001642f,0x580d100e,0x5403c858,
    0x40b10744,0x20788068,0x3a0d100f,0x25801620,0xe881d905,0x07c07883,
    0x88d100e8,0x0788001f,0x594c84a8,0x70003c40,0x9999f809,0x01d86999,
    0x403a007f,0x2201d068,0x1a201d06,0x1e881fd4,0x40f88022,0x0f89c00e,
    0x01f10b20,0x00be2164,0x0f8002c8,0x05f12d40,0x59007c40,0x05a801f0,
    0x3333333f,0xb5003e0d,0xb05c034c,0x2617e407,0x0740b806,0x2c2c0688,
    0xd0b201e4,0xfff93801,0xffffa83f,0x0d100f83,0x2c07003a,0x7677dc0b,
    0x540ba01f,0x36407606,0x3c4001e4,0x47442540,0x101e202c,0x09502c03,
    0x541dc1d8,0x01d8085f,0x640760d9,0x1b203b06,0x3a6077e4,0x03a025c3,
    0x68bc401d,0x0d10ba60,0x035c174c,0x41700d30,0x2e0f405b,0x981a2006,
    0x7405b82e,0x0ec04a81,0x907a02dc,0x889d301d,0x82ddb83d,0x84e980ec,
    0xc80d100e,0x80f20e60,0x100740e8,0x4036000f,0x3a0d100f,0x2581e200,
    0x005fd405,0x07ea1f4c,0x376c4598,0x80a20fc4,0x504a8078,0x03c4059b,
    0xb024c0e6,0x7444a803,0xa8bbfea0,0x3622cc1e,0xd88b306e,0xd88b306e,
    0xdf56a86e,0x7f703fd9,0x01d09910,0xf705b3c4,0xf705b05d,0x20b7605d,
    0x203b25d9,0x40dd84e9,0x05bb04e8,0x5c16cbb3,0x81bb02ef,0x803b04e8,
    0x881bb04a,0xb9df504e,0x3b62037d,0x3ff94edd,0xbedcefa8,0x1a201d01,
    0x01999910,0x20ba2079,0x001e200e,0x100f8122,0x78803a0d,0x13b2ccc4,
    0x37bbbf70,0xbfd30593,0xbfb003dd,0x83ff15fd,0x05fdbdfa,0x812a01e2,
    0x01e202ee,0xb7333393,0x2201a201,0x9eddf987,0x01eedf9e,0xf15fdbfb,
    0xfdbfb03f,0xfb03ff15,0x3ff15fdb,0x802a6074,0xfecdfdca,0x2200e80d,
    0x3fb3b627,0x221ffc8c,0xc8cfeced,0xdffb81ff,0xefa82eed,0x2e01bedc,
    0x402fecef,0x2eeddffb,0x67f676c4,0xfb81ffc8,0xd102fece,0x7dc0f100,
    0x9802fece,0x00cc000a,0xf70054c0,0xfffb8dff,0x79004401,0x1d03eb88,
    0xb8003c40,0x8807c1dc,0x3c401d06,0x3267332e,0x4d66cc3c,0x4403ddba,
    0x0544001a,0x81575100,0xfffffff8,0x3fffec6f,0xfff117cc,0x88dfffff,
    0x00accccc,0xa83ffff9,0x1983ffff,0x15100150,0x000a8800,0x00000544,
    0x809a9880,0xfffffffd,0x1a887fff,0x000d4400,0x98009a98,0x0d4c000a,
    0x0026a600,0x26000351,0x3fff201a,0x7fffd41f,0x0006a603,0x00000000,
    0x80000000,0xceffffff,0xfffffd81,0x007fffff,0x13ffea00,0x3f65fff9,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1b802e07,0x131001b8,0x0381c404,0x5c01c0e2,0x88000001,
    0x0000000c,0x00000998,0x980e20e2,0x33102982,0x10013333,0x98000019,
    0x05300009,0x10000053,0xc8800355,0x44000000,0x3333100a,0x44013333,
    0x381c400c,0x000054c0,0x44135300,0x54c03883,0x40040000,0x322000c8,
    0x40055000,0x0806cc5a,0x5c3c8000,0xd8136a04,0x3e6034c2,0x22003763,
    0xd0bf34ee,0x07405a81,0xedd8816a,0x00bea003,0x400f67d4,0x0002efd9,
    0x2e005fd7,0xd30ec805,0xd72f4407,0x3bbbea03,0x3ea01eee,0x6c4001ec,
    0x002774c2,0x07ae4e88,0x36e6fb60,0xeecde983,0x1ecfa800,0x300b6200,
    0xb839d9db,0xeeeeeeee,0x03d9f506,0x882d40e8,0x401eecfe,0x9bf90068,
    0xd30ec85b,0x3b37b207,0x5f98001d,0x007b3ea0,0x880bf3a6,0x0eaaedcf,
    0x0fd41f70,0x20000774,0xff036c5e,0x2b3e605f,0xde8802fc,0x24a8003e,
    0xcacea84d,0x5675401f,0x27d301fc,0xfc800dd8,0xd30ec804,0xd98f4407,
    0x00b20003,0x7d4003b2,0xbd9001ec,0x0025401b,0x03e98764,0x25407d10,
    0x377b2000,0xdfd71000,0x0d70ba01,0x07d30ec8,0x3d007d10,0x301dc6a8,
    0x3a61d90d,0x32b3aa03,0x5419b01f,0x26034406,0xd9f5004e,0x1a613203,
    0x20b701c8,0x407d30ec,0x209d11ea,0x00776618,0x000fa800,0xdeb80000,
    0x00565400,0x54000b20,0x65440764,0x0b2a2002,0x00370350,0x1c41c006,
    0x00688590,0x0bb00b20,0x80019100,0x004a803a,0x401c41c4,0x025402f9,
    0xb001d400,0x705d137d,0x1c40ba0b,0x0ba601c4,0x10ec12e0,0x0e21dc01,
    0x595100e2,0x40970780,0x00ba2068,0x00401910,0x6c0b6059,0x03883881,
    0x0002e02e,0x04980000,0x00000000,0x00000000,0x0001452a,0x00000000,
    0x3a000000,0x90001d80,0x0001c405,0x4a800000,0x54000000,0x0004a801,
    0xe8808000,0x05b81f40,0x001a8000,0x8016a01d,0x0000001e,0x40d104a8,
    0x009901f9,0x0b500000,0x000a20b6,0x2ea00000,0xba800bdc,0x01700bdc,
    0x9bb71000,0x97500005,0xb710017b,0xdda8059b,0x32e00952,0xdb8802ce,
    0x6e5402cd,0x710188bd,0x555059bb,0x3a055530,0x71007c40,0x00b2159b,
    0x33b2e000,0xbdcba802,0x40012a00,0x0002cecb,0xddb8a540,0x982aa80b,
    0x5d4c02aa,0x301f8d31,0x80d5544d,0x40002aaa,0x2007903d,0x9bb71068,
    0x53055505,0x3602c855,0x76e7ecc0,0x88003a3d,0x0030bdca,0x33aaa1ec,
    0x200aaaaa,0x400bdcba,0x030bdca8,0x7d7359bd,0x5cd66f40,0x2255103e,
    0x2a00bddb,0x0dfc9bef,0xacde8020,0x3ea03eb9,0x80dfc9be,0x4adcaadd,
    0x54d6f4c0,0x7df500dd,0xd881bf93,0x4dfdb9ad,0xfc9befa8,0x303f2e0d,
    0x4c3a0d99,0x2fea02fc,0x42c9eba9,0x3260aaa8,0x9ade980b,0x9bd00dda,
    0x2a07d735,0x00ceedbd,0xbb535bd3,0x55555501,0xd3950555,0xb85f7557,
    0x3664c0fc,0xedccee98,0x440f11ea,0x40b3f227,0x554c3fcb,0x2075402a,
    0x097001f8,0xbf937df5,0x2607e5c1,0x882d46cc,0xd10ba61f,0xe8801269,
    0x05edb9bd,0x65c0eb88,0x0cccccde,0xd7359bd0,0x26f7a207,0x22005edb,
    0x10688006,0xb559d5f9,0x201f501d,0x0003a05c,0x403ea0d1,0x7e42dc5c,
    0x5c07a204,0xb900fa86,0x89f103d8,0xd0b900fa,0x8741a201,0xe980cfda,
    0x442ee880,0xbed89fcc,0x407a20fb,0x8344006b,0xeea9bdfa,0x6b80f440,
    0xcccccce8,0x80eea85e,0x100e81e8,0xd105f10d,0x0f01665b,0x950b300f,
    0xbf700f99,0x6c003fb7,0x5c807d41,0x88d100e8,0x3a2ed80f,0x5cee5503,
    0x02c81cfe,0x77f640b9,0x0000b600,0x902c8344,0x002d800b,0x0bfa02d8,
    0x880fe0f6,0x000f982f,0x203f82d8,0x103f12f8,0x201ec09f,0xf101fc3c,
    0x89701aa5,0xd0be203f,0x0741a201,0x807a075c,0x3aba02f9,0x807b0443,
    0x016c003c,0x807b16e0,0x7540743c,0x2601fa80,0x0d100e86,0x9a7c405d,
    0x30ec3c05,0x3c025c1d,0x77eff440,0x7f0f1000,0x03a17c40,0x88edc344,
    0x01f14acd,0x2a5b9590,0x2881743e,0xb0175cc0,0x16c00005,0x10288174,
    0x05b35553,0x6cd554c4,0x34c0ba02,0x892a01a6,0x54c402ed,0x34c2d9aa,
    0x2079a540,0x2601e04e,0x52a01a66,0x1a60804d,0x201d12a0,0x2e01d068,
    0x0ba01625,0x07802fe8,0x55310698,0x88005b35,0x1a601e0f,0x2a01d307,
    0x0740e806,0x40344688,0x8780b36b,0x2c8fb23b,0x174c0780,0x95001d71,
    0x44a80698,0x2e0d100e,0x22773eef,0x10dd7006,0x0567d43f,0xb03d8800,
    0x55310005,0x9f505b35,0xbff90015,0x3205fb99,0x2fdccdff,0x234403a0,
    0xfffffffa,0x05f36fff,0xb99bff90,0xffffa85f,0x56ffffff,0x68825c09,
    0x7ffd4f00,0x6fffffff,0xffa8003d,0xffffffff,0x06880746,0x4a87401d,
    0x0ba02d80,0x43c01a20,0xfdccdffc,0xd11e8002,0x3d301e00,0x16402540,
    0x2a34403a,0x0d169804,0x5f2cc3c4,0x03c0074b,0x402640f6,0x7fffd42d,
    0x46ffffff,0x080d100e,0x5003b0e4,0x710f601f,0x8005dfd9,0x8005b078,
    0xfdccdffc,0xdfd97102,0x3203b905,0x5901dc82,0x46880740,0x01640069,
    0x42c80ee4,0x02d40069,0x201a2099,0xd001a678,0x00698001,0x41a201d0,
    0x24cb600e,0x03d016c0,0x8f100d10,0x005901dc,0x201a23b0,0x007a2078,
    0xe83b00b5,0x05a8d100,0x6a81e5a8,0x23ab3788,0x440f0068,0x1e01a207,
    0x074001a6,0x07400688,0x2c4620b5,0xea880970,0x6c0ec004,0x40772002,
    0x9d51002c,0x859007c4,0x80b200f8,0xf88d100e,0x1003a002,0x2216401f,
    0x03e6002f,0x801f027c,0x800be25a,0x17c4002c,0x68807400,0xd0ec01d0,
    0x0f405f00,0x2d400f80,0x016401f1,0x801f0740,0x005d105a,0xe81f00f5,
    0x0788d100,0x6407a3c8,0x2e591d04,0x40f0059b,0x80f300f8,0x002f8859,
    0x00d100e8,0x4df642dc,0x403e1fc9,0x7c40112c,0x3607e000,0x401f1002,
    0xf100442c,0x2e981a21,0x05d30344,0xb8688074,0x440f2006,0x0ba6068a,
    0x05d001ae,0x02dc09f3,0x400d707a,0x2e0b8069,0x901d8006,0x21d43a0d,
    0x5f901ec6,0x5b800f40,0x40d10f40,0x500cc2e9,0x0f405b8b,0x7f5003d8,
    0x80ec25c0,0x2204c86c,0x0f416e0e,0x7d30fac8,0x7d01e007,0x05901720,
    0x076001ae,0x0fa80364,0x9059f910,0x404b9e09,0x06b8010e,0x81a20079,
    0x2025c2e9,0x3ee0b60e,0xfb82d82e,0x4403a02e,0xb305bb06,0x56603a2b,
    0x02efb82d,0x4bb305bb,0x133a21e9,0x4e881bb0,0xbb305bb0,0x274c0764,
    0x2ecc16ec,0x0ddb1166,0x8973443a,0x2ddb83d8,0xdd8007a0,0x16c27440,
    0x3e6177dc,0x6c07e443,0xd827440d,0xdca81d04,0x5980eb83,0x744376c4,
    0x2e83f984,0x8bd502ec,0x80f001ee,0x03ee22e9,0x16ec01d0,0x11662ecc,
    0xec880ddb,0x3a034401,0x3fb93222,0x0bae4c88,0x1a203f71,0x2e0b6254,
    0x41fdc2ef,0x676c44c8,0x1ffc8cfe,0x33fb3b62,0x0e81ffc8,0x7fdc0d10,
    0x7e42eedd,0xb13fcaad,0xf919fd9d,0xbbff703f,0xbbf505dd,0x405ff55d,
    0x02fecefb,0x776effdc,0xedcefa82,0x37fee01b,0xbfb02eed,0x23ff15fd,
    0xdd90fffd,0xbbdb101b,0x207ff29d,0x77dc001e,0xdb102fec,0xff919fd9,
    0x7ef7e443,0x33bee00e,0x40b902fe,0x329ff30e,0x200dfddf,0xf8afedfd,
    0xecdfc81f,0xfbdd101e,0x5c2f980b,0x2601e007,0x401efdfe,0xdffb8058,
    0xbfb02eed,0x23ff15fd,0x004eedeb,0xdfd880d1,0x6fee545f,0x6cc0dfec,
    0x401efddf,0x1dfecdeb,0x67f676c4,0xb951ffc8,0x01bfd9bf,0x510006a2,
    0x3ffee003,0x00fffdc6,0x64c01353,0x1a880bcd,0x01353000,0x4c000330,
    0x4d4c001a,0x000a9800,0x44004d4c,0x0620000a,0x7ec00cc0,0x1fffffff,
    0x1001a980,0x15100035,0x100d4c00,0xffffffff,0x0133001f,0x20002a20,
    0x151000a9,0x3f200000,0xffffffff,0x00015303,0x0026a600,0x262002a2,
    0x10058000,0x9a988013,0x000a9800,0x5440054c,0x4d4c4001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06200000,
    0x00c00531,0x44000266,0x6e5401aa,0x954188bd,0x9501cdb8,0x22000000,
    0x405c001b,0x8032200b,0x7bb712a8,0x00000001,0x000cccc0,0x01999800,
    0x1b800aa0,0x70b200b8,0x41555107,0x40000bc9,0x4cc41999,0x20d98199,
    0x107101d8,0x20004007,0x2a2009a9,0x0130000a,0x00004c00,0x0617b951,
    0x26602620,0xaa880219,0x203a8009,0x55400198,0x982aa982,0x3fffe20c,
    0x8fe986ff,0x04fcdfd8,0x75c0dd93,0xdfc8002f,0x6ec40efc,0x24dfdb9a,
    0xaaceafc8,0x400bb06d,0x67cc001c,0x5406b9de,0x5409d11f,0xf9101ecf,
    0x1db559d5,0x3ffffe20,0x3ffe206f,0xdd705fff,0x3ffe00fd,0xeeb87fff,
    0xdcf8807e,0xf500eaae,0x9f017625,0xfcc886e8,0x0fbbed89,0x3b205f50,
    0x3bba3eef,0x0fd43eee,0x876405f3,0xfeb803e9,0x5cdc1eff,0xa84fdcef,
    0x2001d9ad,0xc8002edc,0xd10002ed,0x0bdb737b,0x75c2ff88,0x907f37ee,
    0x0d5fd9df,0x1fdb0364,0x207e5c00,0x5ff86cc9,0xbeae8000,0x7df11740,
    0x005900d3,0x075c0dc8,0x213e207b,0x902c81fe,0x005b001d,0x03766098,
    0x80bb3a60,0x407f30ec,0x003d82fe,0x44000000,0x44000007,0x36618807,
    0x7674401d,0x3a000003,0xc80443ea,0x2016404f,0xa800003b,0xcc801ecf,
    0x06fe40c1,0x0b10076c,0x40005900,0x0590002c,0x5b5b0172,0xa89b3c40,
    0x903f4c1d,0x0001f00d,0x321a201d,0xfe80002e,0x2208f102,0x2002c806,
    0x2a9b00f8,0x0f425c06,0x00ae0598,0x000000b6,0x38807220,0x40ba0388,
    0x00000069,0x0003c400,0x0001e200,0x0000e400,0x000bfa00,0x700b2006,
    0x22000007,0x0068800c,0x209b0172,0x2c8003c9,0x000b2000,0x20288174,
    0x3c405b69,0xf501e83b,0x001f0000,0x01a201d0,0x8059d970,0x8807402e,
    0x2002c806,0x26d6a019,0x88074040,0x3aaa0006,0x40aaaaac,0x2aa982aa,
    0x40000000,0xaa8d100e,0x202aa982,0x000bdcba,0x36e200f1,0x078802cd,
    0x00b3b2e0,0xcecb8000,0x0002e802,0x7700b200,0xaa982aa8,0x16600002,
    0x1f801b80,0x320076d4,0x64401641,0x3b801640,0x8002b3ea,0xbc405b1e,
    0x12034428,0x0003e000,0x8034403a,0xdda9ade9,0x1d801d00,0x45900d10,
    0x4002aaa8,0x20003d5a,0x54cd100e,0x765c02aa,0x40cccccd,0x664c0fcb,
    0xdb895446,0x555300bd,0x2201d005,0x2607e5c6,0x59bd06cc,0xf1007d73,
    0x937df500,0x03c401bf,0x6d4d6f4c,0x0555440d,0xbd301793,0x401bb535,
    0x5555001e,0x59055555,0x7e5c3b80,0x543664c0,0x2aaaaaaa,0x0002e554,
    0x06881ec0,0x805909d3,0x402c83fa,0x65c40de9,0x96e02efe,0xb01e202d,
    0x5554c001,0xdb88f802,0x8807403d,0x80f44106,0xc801d06b,0x5900d102,
    0x001e7f4c,0x800074ba,0x654d100e,0x05b007cc,0x8d100e80,0xaaceafc8,
    0xccca80ed,0xd100e807,0x034403a0,0x5e201a20,0x900fa85a,0x2203c40b,
    0xc88d701e,0xbbed89fc,0x5c07a20f,0x74007a06,0x5ecccccc,0x81dc02c8,
    0x9d0d100e,0x8bd99999,0x00005dcb,0x883a04a8,0x205901ec,0x05900dd8,
    0xa88017dc,0x360e884e,0xd501e202,0x3332a003,0x9ceaf807,0x01d00eda,
    0x3d9a21a2,0x00741e40,0x403440b2,0x0007ae2c,0x0002c972,0x781a201d,
    0xe8005b00,0x3fa0d100,0x07803d82,0x20d100e8,0x000d100e,0xedf8805b,
    0x3e203f81,0x036af102,0xd03c807b,0x360887d5,0x1e81e403,0x1d501d00,
    0x03b80590,0x3a1a201d,0xb300ea80,0xddddd100,0xbddddddd,0xa92e22b2,
    0x3793104e,0x9881fdc1,0x37a609bc,0x3e200880,0x80b61e40,0xdfd98078,
    0xf00f001b,0x3a07b03f,0x4f10d100,0x0e869807,0x06881640,0x001d92c8,
    0x80698b90,0x6880740b,0xecc881e0,0x7401cccd,0x0ba0d100,0x403c034c,
    0x3a0d100e,0x4c40d100,0x202d9aaa,0x0d302fc8,0x6de20950,0x34c03c3f,
    0x07802fe8,0x003d0698,0x6403a60e,0x0e81dc02,0xd3070d10,0x4c02cc01,
    0x9999999e,0x9715b999,0x447b6239,0x33332e4d,0xccb8de9a,0x5999970c,
    0x2e4d8bb2,0x0d307404,0x003c405b,0xf007b6e6,0x16603f00,0x986c80f4,
    0x21e00d17,0x8816400e,0x05dac806,0x3b20b900,0x0e84e980,0x103c0d10,
    0x15559d55,0x0d100e80,0x4034403a,0xd100e807,0x834403a0,0xfdccdffc,
    0x40f9f702,0xfffffffa,0x2f106fff,0x401a20c9,0xd1005d07,0x00f41e00,
    0x3201e980,0x0e81dc02,0x3d300d10,0x78805980,0xfa812e00,0x2e02dec3,
    0x024c572f,0x25bc89d3,0x44c883fb,0x2202d82d,0x03a60007,0x100f8078,
    0xdb117a0d,0x0d11f30d,0x801d0f10,0x900d101d,0xc8001dbf,0x6e77d405,
    0x7ffd41be,0x01e06884,0x03a0016c,0x100e8344,0x7dc0f00d,0x7ffdc6ff,
    0x86880741,0x105901dc,0x34c0f119,0x881e2000,0x3d078806,0xf100d100,
    0x7fffffec,0x0f4401ff,0x3b848b20,0x01a201d0,0x0b3003d1,0x164003a0,
    0x32a06ec4,0x41bd3058,0x1ec88680,0xb952c6cc,0x41bfd9bf,0xd99999e9,
    0x000f100b,0x201e02c8,0x3a0d100f,0xf8afedfd,0x07c3e61f,0x003a16a0,
    0x201a203b,0x6c00b73c,0x003a6005,0x03c0d100,0x074002d8,0x201d0688,
    0x00078068,0x34403a00,0x02c803e2,0x05f103c4,0x3e03c400,0x1e82d400,
    0x5a801f00,0x0ba20000,0x2d878b20,0x81a201d0,0x0b3002e8,0x3a201320,
    0x7441fd40,0x02ec8588,0x81fcc2d8,0xd310588e,0xdddd5013,0x2209dfdd,
    0x79007607,0x807c03c0,0x1511d068,0x16e3f500,0x801d03d0,0x3201a206,
    0x176016e2,0x0000ba00,0xc803c0b5,0xc80ec003,0x1a201d06,0x0b2001e0,
    0x23640760,0x00ba6068,0x006b80f1,0x0b701e20,0x003d01e8,0x403d016e,
    0x00f6003b,0x03f0f164,0xb0364076,0x002cc007,0xa82d805d,0x21623b00,
    0x982d8802,0x01625901,0x05b0005d,0x40db03c4,0x201e01f8,0x3a0d100f,
    0xb0fd4000,0xd04e881b,0xd101d401,0x05c85900,0x208009b1,0x0f60000d,
    0x01d10078,0xd88b3095,0x2201d06e,0x88007806,0x222cc00d,0xb82d86ed,
    0x03c402ef,0x2ecc16ec,0x0dd80788,0x03d02744,0x3a206ec0,0xd802c804,
    0x22c81d04,0x5981aa3d,0x4d8376c4,0x00b301d0,0x1f441f44,0x33336200,
    0x0ec4002e,0x7e666c00,0x00036082,0xb03c405b,0x05d9839f,0x8807c03c,
    0xb8001d06,0x7677dc2f,0x3fff982f,0x401bbbf3,0xc82c8068,0x1a203d85,
    0x5001376a,0x07809b75,0x3fb37ae0,0xfdbfb01d,0x0e83ff15,0x00f00d10,
    0xd8026ec4,0xff8afedf,0x3fb3b621,0x101ffc8c,0x37fee00f,0x1e202eed,
    0x7f677dc0,0x2000f402,0x02fecefb,0x32006764,0x7fec3a05,0x3bbdb3ff,
    0xafedfd80,0x81721ff8,0x8005980e,0x01eecdfc,0x40058800,0x400020da,
    0x09bb5058,0x3c405b00,0xfbdf9390,0xf00f009f,0x0741a201,0x4c0bee00,
    0x1510001a,0xffffff10,0x17fdcdff,0xff9fffea,0x6fffffff,0x33220000,
    0x7fffe40b,0x403fffff,0x151000a9,0x46fffb80,0xff91fffb,0x7fffffff,
    0x0a880000,0x2006a200,0xfffffffc,0x26a603ff,0xfffffc80,0x2603ffff,
    0x3fff601a,0x801fffff,0x400001a9,0xfffffff8,0x031000ff,0x22005440,
    0xffffffff,0xfffff10f,0x0a98007f,0x5d950000,0x3333e200,0xfca8007c,
    0xff100002,0x3fff2bff,0x03ffffff,0xff901353,0x7fffffff,0xfd17fff2,
    0x800387ff,0x000000c8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c6aa200,
    0x2600bddb,0xaa980199,0x31004001,0x35100003,0x0d4c4001,0x00d54400,
    0x99999988,0x000a6200,0x98006a62,0x35512cdc,0x9800b81c,0x2aaa300a,
    0xaaaaaaaa,0xbddc980a,0x00015530,0x44099988,0x4c14c199,0xa82aaa82,
    0x005802aa,0x376e2000,0x3333302c,0x10099801,0x33331033,0x002a8003,
    0x005ee5d4,0x4ccccc40,0x800dc419,0x4cc40998,0x19999880,0x19999880,
    0x544154c0,0x4ccc402a,0x01999999,0x54400544,0xdf59b910,0xd705fd55,
    0x775c0fdd,0x5c01efcc,0x321efffe,0xd70000fe,0x0d19fd9d,0x3b2b3766,
    0x6775400d,0xd106aefd,0x3dddfddd,0x3bd9bf90,0xcacdd980,0x37f200de,
    0x2cf9dfca,0xb80d30b6,0x262eecdf,0x5c280055,0xcafebaef,0x001c80cd,
    0x744bdddb,0x97a24efe,0x3cfc81eb,0x4404fcb8,0x7fffc407,0x3bea05ff,
    0x320dfc9b,0x01eeeefe,0xea81dfd9,0x77f6c2ef,0x2203efee,0x0eaaedcf,
    0xd7359bd0,0xfdfd5007,0x21fddddd,0x6b9decf9,0xed8bdfb0,0xeefed85f,
    0xeea83efe,0x2a03eefe,0x3664c0fc,0x3bfbfb60,0x880feeee,0x2205fced,
    0x0f7547ff,0x0f10174c,0x903540fc,0x01f01839,0xc981b700,0x300db86f,
    0x203aa03d,0x0b2007f9,0x074c2744,0x3d300db8,0xdd701b70,0x5f959f30,
    0x3a207640,0x5000a992,0x774c0f54,0xb800b602,0xec816c03,0x80b600dd,
    0x0078805a,0x900fa800,0x44003b0b,0x540d300f,0x880ec984,0x00077661,
    0x13d901a2,0x04c3a0b2,0x07401bb5,0x212a0688,0x09500ec9,0x0d100e80,
    0x074165e0,0x207b125c,0x3ea0fff9,0x7881ae02,0x881d81a0,0xffffd006,
    0x06a803ff,0x4012a36c,0x5007d40d,0xc816400f,0x9503a604,0x7c41b030,
    0xca81be02,0x8816a00a,0x80050ede,0x7dc05f12,0xb800b602,0x75016c03,
    0x0f40d300,0x00003c40,0x85f101fc,0x400999ad,0x5403d05b,0x00012e04,
    0x5c816c00,0x000e82c8,0x06880740,0x504b812a,0x100e8009,0x0b2b300d,
    0x0003a03a,0x407a85b7,0x00f100f8,0x016612a0,0x1e8001f0,0x64d13440,
    0x1621ccce,0x4005003d,0xc806982c,0x73771a24,0x06996259,0x74000364,
    0x00a3d401,0xf101e650,0x559d5505,0x07701555,0xb00002d8,0x2200b505,
    0x2aaa9807,0x12a01a60,0x5dfddddb,0x012e1740,0x511e8095,0x02f76e25,
    0xb3555310,0x5901f105,0x5554c1d0,0x3fffe602,0x1fffffff,0x40f404a8,
    0x8074004a,0x593c8068,0x006881d0,0x36016a00,0x2000f102,0x2bb2aa3b,
    0x23e02aaa,0xd101cdb8,0x44857000,0x000f0e44,0x07905900,0x3715cd10,
    0x25c722a8,0x2aa61a60,0x4016a02a,0x25000a0e,0x442d804a,0xccccdecc,
    0x6c03b81c,0x015554c2,0x101e8698,0x333f3333,0x7ccc9813,0x3ffffea0,
    0x6c6fffff,0x98175c41,0xa801d30e,0xfc8a5404,0x0edaacea,0xb99bff90,
    0x3209705f,0x33260c12,0x100e807c,0x2a02540d,0x01714a84,0x00d100e8,
    0x0304b21d,0x5400003a,0x407e200f,0x0fa80078,0x3333b72e,0x2fabe04c,
    0x04a86da9,0x2e240d80,0x002ccea0,0x0ec16400,0x04836680,0xc80f33a8,
    0x07ccc986,0x50e400ee,0x80f32800,0x00b602f8,0x216c03b8,0x2007ccca,
    0x7441662d,0xeeefeeee,0xd303c05e,0x4c076000,0x00f52e06,0xd1660254,
    0xb907b05f,0x0f20b203,0xf002c964,0x1a201d00,0x42cc04a8,0xe803fbca,
    0x6880d100,0x320164b2,0x7f500002,0x0f103dc0,0x980f6cc0,0x407fc005,
    0x4001dc2d,0x43b99c86,0x00009748,0x001f0590,0x200e3476,0x7c05f148,
    0x0b207806,0x80051dc0,0x2fb80be2,0x3b800b60,0x01e016c0,0x80076698,
    0x20780078,0x1d8002f8,0x4de80760,0x777f76c0,0x0ba3c44e,0x803e234c,
    0xd901d82c,0x01e005fd,0x3bbbbbba,0xefeed86e,0x5c3c44ee,0x01d000df,
    0x649501a2,0xeea82fee,0x5403eeee,0x0f7541cc,0x0f10174c,0xb300baa0,
    0xb301f800,0x868003b8,0x74884bad,0x26666609,0xe82c8010,0x91a3b000,
    0x0f5c9100,0x1e01bb22,0x477002c8,0x3d514002,0x6c05dd50,0xb00ee002,
    0x6c007805,0x3c400699,0x1ae03c00,0x1d807600,0x667ee65c,0x9db9882c,
    0x3a344099,0x0688d100,0x40760ba6,0xf002d9bc,0x33333d00,0xb7310d53,
    0x26881333,0x6c004fd8,0x2c80d901,0x4c0b66f2,0xe8019ea9,0xefaca86f,
    0x4402febb,0x30095007,0x100f800b,0xd8005a8d,0x3a873240,0xdddb1095,
    0x05901abf,0x0d9a003b,0xf70ea016,0x0d3bf95b,0x801dc0f0,0x85000a1c,
    0x9febbefb,0x800b602c,0x2016c03b,0x16ecc007,0x2001e200,0x982dd807,
    0xf980ec5d,0xa801e200,0x03a2cc04,0x5c16c344,0x903c82ef,0x03c00265,
    0x20688074,0xfbacc04a,0x506a04ab,0x406ed88b,0x132feeef,0xf3006880,
    0x2a29505f,0x78800bcc,0xb3003100,0xd100f800,0x2b800698,0x11c82e24,
    0x07cf100d,0x00790590,0x47315cd1,0x260721b8,0x00d11bdb,0xe802d40f,
    0x105000a0,0x0b215997,0x12a002d8,0x007803b0,0x788006d8,0xf7007800,
    0xb05ddbbf,0x882fb883,0x0999f999,0x877012a0,0xb10d100e,0xf919fd9d,
    0x2c82543f,0x0e807800,0x02540d10,0x04a854ee,0x3b7b20b2,0x980ff8af,
    0x002d999e,0x2fdc0166,0x440004a8,0x2cc00007,0x34403e00,0x3a20016c,
    0x99d89d90,0x9e200fc5,0x2607a00f,0x3a24c806,0x98b33260,0x40344005,
    0x2a00f407,0x00a00146,0x016c0590,0x00f80f10,0x016c003c,0x3c003c40,
    0x80273200,0x0cfeeeed,0x55f75550,0x10254035,0xd100e83d,0x06c0d440,
    0x54164074,0x03a01e03,0x40950344,0x204a81e8,0x4c15102c,0x2c87700d,
    0x004a84a8,0x012a01fd,0x2200f100,0x40059800,0xf30d100f,0xb3074c01,
    0x6a81d100,0x201f3c40,0x98132078,0xe8805986,0x40254000,0xd1035407,
    0x01400283,0x03c80b20,0x06a81740,0x034c0078,0x0f000500,0x35b00580,
    0x07880013,0x83d812a0,0x000d100e,0x32075416,0x01e04a82,0x5034403a,
    0x4a81ec09,0x1c800b20,0x50590760,0x8a403d09,0x0012a03f,0xff500f10,
    0x40059809,0x2a0d100f,0xa82fa82f,0x203d501e,0x5cf501ec,0x1017442e,
    0x201d50bb,0x03d501ea,0x7802e880,0x7440ec80,0x01400282,0x0e880b20,
    0x43e984a8,0x007801fa,0x0000016c,0x559001e0,0x0000ec05,0x225400f1,
    0x01d04eb8,0x65c001a2,0xc8df5c1d,0x01e04a82,0x5034403a,0x204eb889,
    0x800b204a,0x43c0cad9,0x2dc4a82c,0xa881c970,0x8000aadc,0x5ffb8078,
    0x3e002cc0,0x74c0d100,0x200dfddf,0x4edcced8,0xdcdee980,0x6f74c1df,
    0xbf9002fe,0xd8803bdb,0x804edcce,0x03ecaaa9,0x3bea00f0,0x00502dec,
    0xdaa98028,0x337ae02c,0xfd301dfe,0x1e003ddb,0x35f75550,0xfffff880,
    0x327fffff,0xffffffff,0xd815403f,0x01ffffff,0x4fffffd8,0x3fffffa0,
    0xfffb82ce,0x00fffdc6,0x3fb22000,0x4fffffff,0xfffffff9,0x3ffea7ff,
    0x217fff46,0xcefffffe,0xfffffa82,0x02ffffff,0xff90d4c0,0xfffff51f,
    0x7fec9fff,0x0dffffff,0xccccc980,0xffffc802,0xa83fffff,0xfffff302,
    0xff50bfff,0x2fffc89f,0x00026620,0x31000131,0x1a880135,0x00033000,
    0xcb800262,0xff901bcc,0x7fffffff,0x32005440,0xaaaaaaaa,0xca802aaa,
    0x4c01cccc,0x06a2001a,0xffffffc8,0x33323fff,0x00004ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x80199998,0x80199998,
    0x99999999,0x2e164199,0x99999883,0x22099999,0x44019999,0x00199999,
    0x400ccccc,0x01999998,0x99999988,0x26209999,0x204cc409,0x99999998,
    0x20666620,0x99988199,0x00988019,0x266604c4,0x98333300,0x4c009999,
    0x99999999,0x26600019,0x40999999,0x03310099,0x06660133,0x26603333,
    0x8804c409,0x01000199,0x00021100,0x55440080,0x8555501a,0x839700a8,
    0x65c00cda,0x5531c2ce,0x02e55510,0x002f72ea,0x71000d98,0x001059bb,
    0x3bbfbba6,0xeee98733,0x3e603eef,0xeeefeeee,0xdd13e0fe,0xddddfdb0,
    0x76c5fddd,0x83dfeeee,0xeeeeefed,0x7775400b,0x7f6c03ff,0x01ceeeee,
    0xdddddfdb,0x3fa2bddd,0x3bfba26e,0xdfdddd10,0x77f64bdd,0x8fffae3e,
    0x3eefeee9,0xf01bfaa0,0x3bfb23df,0x77f7541e,0xddddfd93,0xeef983bf,
    0xfeeeefee,0x0e77dc40,0x7777777c,0x07bfb25e,0x7e45dfd5,0x77f540ee,
    0x85dddd52,0xd31efeeb,0xfee883fd,0x13aa004e,0xe885ee5c,0x00003db1,
    0x2cfc880d,0x7c47f970,0x7de7d47f,0x01d95d72,0xbb535bd3,0x07e54f31,
    0x21a3b326,0x3eb9acde,0x5003f500,0x1bf937df,0x416c4264,0x501fc84a,
    0xd1166009,0xe80001f0,0x0790b200,0x103a0bb3,0x3e2003f7,0x501d0069,
    0x2603c05d,0x06880745,0x807403c4,0x012a00eb,0x9502de88,0x8806881d,
    0xeb883b07,0xf0d11661,0x0398cd81,0x3a22640f,0x3a60d300,0x4b81d300,
    0xdd503b00,0xd9801640,0x9ace981e,0x7542eeeb,0x0f10000d,0x316601e0,
    0x10f41fff,0x444c8d5d,0x07bd701e,0x0bbe201d,0x02006880,0x2e403ea0,
    0x2a09b136,0x02540d04,0x7c344598,0x00740000,0x3203c859,0x0b500e83,
    0x400f52e0,0x3c0d100e,0x201d1660,0x403c4068,0xa805c80e,0x1a7a2004,
    0x16c074f4,0x80ec12e0,0x0d116659,0x7803441f,0x416e0d30,0x2216e01e,
    0xd005a81e,0x207b9501,0x1764402c,0xfe881f88,0x0019f700,0x43b00788,
    0x2e12e0e9,0x3f61aa2d,0x00f63cc3,0x4403a0d9,0x005b0006,0xf101fc00,
    0x04d8cd85,0xa80ee12a,0x688b3004,0x2aaa60f8,0x3200e802,0x1f101e42,
    0x003a00e8,0x74025c7a,0x03c07600,0x2201d166,0x7403c406,0x4a8026c0,
    0x20f5a200,0x0b501d59,0x403b01e8,0x8688b31d,0x3c01660f,0x85b00f44,
    0x6c3d804b,0x1fb8b303,0x0f8ca83c,0x0fee02c8,0x95d105d0,0x01fe440b,
    0x8ee00f10,0x400b23ec,0xe80fb84c,0x41a601e1,0x880d100e,0x02d9aaa9,
    0x500d3000,0xa809fb09,0x22540084,0x3444880a,0x1f332a2c,0x402883a0,
    0x3a1dc03c,0xd1003a00,0x007403c4,0x0511e01f,0x80d100e8,0xd10e8078,
    0x00254007,0x25b12ad1,0x2601d00e,0x2d807606,0x868688b3,0x3d82800e,
    0x0e987440,0x0b71e880,0x8937a344,0x212e9506,0x00cfa82c,0x99744344,
    0x02ed8807,0x4b300788,0x4003a5af,0xffff882d,0x00d12fff,0x6880741e,
    0x3337ff20,0x666442fd,0x4ccccccc,0x3fffffea,0x6c46ffff,0x0025405e,
    0x00df5254,0x01e001a2,0x6405983a,0x03a25403,0x0ee01762,0x980e805b,
    0x0951e03e,0x80d100e8,0xe88e8078,0x00254003,0x268874d1,0x3207900e,
    0x7c407603,0x5401a200,0x005a8005,0x9800bab7,0x13c00eae,0xa82ccd1f,
    0x4c5907a4,0x8b5000de,0x800f43e8,0x99911ee9,0x79999f99,0x47566f10,
    0x20b20068,0x80688079,0x2201d078,0x3203b906,0xaaaaaa82,0x1a62aaaa,
    0x05da6c00,0x92a0012a,0x2aaa04e8,0x802aaafb,0xeeeee807,0x2601e405,
    0x65d55f45,0xa81d003e,0x77777405,0x777c05ff,0x777404ee,0x406eeeee,
    0xeeae8078,0x012a001e,0x1e4ee688,0x7c1a201d,0x3ea07600,0x4c034402,
    0x880622fe,0x177a000f,0x2007ee00,0x543ab50e,0x22d49504,0x007ba62c,
    0xd07d134c,0x837aa001,0xaafbaaaa,0x591d02aa,0xb80166ee,0xf801fb85,
    0x0e82d400,0x01f10d10,0x88000164,0x226c002f,0x0009505d,0xccb80095,
    0x803cccfc,0xa999e807,0x2601e405,0x7f666745,0x3a0b3001,0x26667a00,
    0x3f00dda9,0x9e809733,0x06a99999,0x8ff403c4,0x095002fb,0xd1d13440,
    0x83b00741,0x7776c04a,0x68801dfe,0x934cf4c0,0x000b601d,0xdb0001f3,
    0x4b23b009,0x12a0952c,0x7541645b,0x44fc400d,0x9807883e,0x078801ed,
    0x74c3eb20,0x4c7d903b,0x4084de87,0xd80f405b,0x0d10d901,0x0000174c,
    0x826400d7,0x2a04a83d,0x06a04a81,0x07800688,0x901620e8,0x0744a807,
    0x3b2003b2,0x03feeeee,0xf06a803a,0x80740398,0x403c4068,0x4007441e,
    0x6886a04a,0x803a26e4,0x3600ec4a,0x4400199a,0x29916406,0x010b700f,
    0x2b7000f0,0x0f96402e,0x2540eeb5,0x2e02c9a2,0x3b6e00cf,0x64407b03,
    0x01e2002e,0x0f745ea8,0x9907ffcc,0xd50f56e1,0x7440dd83,0xdb116604,
    0x3ee0b60d,0x2001002e,0x05d982dd,0x2c812a00,0x80b204a8,0x80780068,
    0x0f21c00e,0xa80e8590,0x4ccfc00e,0x3a069999,0x03c0f400,0x06880740,
    0x407403c4,0x204a805b,0x3d11a22c,0xd13c00e8,0x40003b00,0x3a074068,
    0x901d305b,0x4c007803,0x5c01d10e,0x02cbc69b,0x0b299095,0x2207f910,
    0x02ec41ef,0xf10007f7,0x2e17cc00,0x70dff107,0x37a61ddd,0x9df701ef,
    0xbfb005fd,0x81ff15fd,0x8cfeced8,0x3ee01ffc,0xbbff7001,0xa80005dd,
    0x12a0b204,0x01a202c8,0x803a01e0,0xd101e478,0x0b700e81,0x40760254,
    0x3c16c00e,0x68807400,0x07403c40,0x025401e8,0xe8034459,0x03b96400,
    0x220001d8,0x3ea1dc06,0x0b203d02,0x0f4400f0,0x4bca81aa,0x4a80ecec,
    0x002c8e88,0xacd85db1,0x503feced,0x2200019f,0x88000007,0x04c06202,
    0x4001a980,0x544000a8,0x01910001,0x0009a980,0x16409500,0x40590254,
    0x80780068,0x791e200e,0x03a0ba20,0x803b01e8,0x4401d04a,0xe800780f,
    0x7880d100,0x09700e80,0x88b204a8,0x9801d006,0x03b001d5,0x22034400,
    0x320ff20e,0x0f00b204,0x04c81740,0xecb83b93,0x36a09500,0xa74c002c,
    0xb00d444b,0x0d00003b,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2a0b204a,0x6880b204,0x0e807800,0x88791e20,0x401d03eb,0x88068869,
    0xd5101d07,0x3a001e05,0x7880d100,0x1f100e80,0x45902540,0x001d0068,
    0x07600b7d,0xa8068800,0x0ff8dede,0x402c80d3,0xd8099007,0xe887e983,
    0xee812a07,0x00010002,0x02000008,0x00000000,0x00000000,0x00000000,
    0x98000000,0xffffffff,0xfff32fff,0xffffffff,0xfffff885,0xffffc86f,
    0xfb3fffff,0xffffffff,0x7ffffcff,0xffd81cef,0x27f903ff,0x541ffffc,
    0xffb3ffff,0x3bffffff,0xffffffd0,0x13fffdc0,0x3e27ffff,0x6fffffff,
    0x20fffff6,0xfff30ffc,0xffffffff,0x07ffff25,0x807ffff3,0x7fec02fb,
    0x4c01ffff,0x0fffffff,0xffa80660,0x2fffffff,0x7fffffcc,0x2fffe80f,
    0x222fffdc,0x360dd05f,0x2f987fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66dc4000,0xa802f6a1,0x0188bddc,0x540b3b2e,0x02aa982a,0x8617b951,
    0x2aa20800,0x502f260a,0x2aaa8555,0x71ed4aa6,0x2026005b,0x55555542,
    0x2aaa22aa,0x1555541a,0x376e2551,0x5555300b,0x31aaaa80,0x40c41555,
    0x54000009,0x4c03100a,0x8819980a,0x001002db,0x76543995,0x6666541c,
    0x4ccccccc,0xd905f64c,0x4cfbae3d,0xaaaaaaaa,0x00040aaa,0x2dc88180,
    0x1643ec80,0x6eeedcee,0x262ddddd,0x99999999,0x22099999,0x99999999,
    0x00099999,0x00000000,0x10000000,0xd91d737d,0xdd881db5,0x84dfdb9a,
    0xdda9ade9,0x2607e5c0,0xbde886cc,0x3aa5edb9,0x47a61510,0xed89fcc8,
    0xbf910fbb,0x2a4fdb85,0xdbeaceed,0x7d403dac,0x333a3640,0x225ecccc,
    0x65c2cedc,0x2bf223de,0x80edaace,0x5c07ccca,0x9bf72cfd,0x3ae17cc1,
    0x2201d000,0x3664c9bd,0xc9ad886c,0xd51ffe23,0x5403d737,0x87ff401f,
    0x21e99ab8,0xaaaaaaa9,0xf10faaaa,0x7fe4fb5b,0x32a5ff51,0xcccccccc,
    0xd882c1cc,0xdff10972,0x2274df44,0x41fff32c,0xddbb6c4f,0x2ddddddd,
    0x3bbbbbb6,0x3eeeeeee,0xddddddb1,0xbddddddd,0x00000000,0x00000000,
    0x323f5c00,0x4f881ec4,0x06b80f44,0x321a201d,0xeeb8b902,0xd02edfce,
    0x540887d5,0x4c0f440e,0x6893e63f,0x1db0bea0,0x80ea80e8,0xe81e2068,
    0x7803d82f,0x13a26980,0x07642fa8,0x0d000740,0x41d06a1a,0x260746ff,
    0x01d7f105,0x4c40ffe2,0x43e0003a,0xffb9745c,0x0003ff30,0x87d10ba0,
    0x87ffcc5d,0x2f56e42c,0x0000dff1,0x00000000,0x00000000,0x00000000,
    0x27c40000,0x5c06a9e6,0x0f201ec4,0x7434403a,0x85f05102,0x00bfa06b,
    0x03d30ea8,0x03a1e1a6,0x0fd88bee,0x200e9838,0x7409702d,0x0f00d302,
    0x00ba6d30,0x03fb0fee,0x5a9800e8,0xe8d100d0,0x07412a4f,0xf705b974,
    0x7776441f,0x43e0004e,0x7faa643d,0x00003fe2,0x02e98641,0x01f641d9,
    0x014416d4,0x00000000,0x00000000,0x00000000,0x44000000,0x0e80f9aa,
    0x0781009b,0x100e8698,0x0159f50d,0x201d05a8,0xaea8002e,0x1e16601e,
    0x447f903a,0x3d3001fe,0x01d05980,0x80688074,0x1fae9807,0xfd13f200,
    0x4f4df743,0x7ecc0fdb,0x1d880d01,0x10d11fec,0x83d89b0d,0x2a1e43fd,
    0x5c3e0004,0x37c47e26,0xeeeeb9fe,0x2eeeeeee,0x00d49bb3,0x0000006a,
    0x00000000,0x00000000,0x00000000,0x20000000,0xffecdfeb,0x3d1fffff,
    0xf0068800,0x41a201d0,0x82efecb8,0x3a07902c,0x05f70001,0x0e878598,
    0x2fe893f2,0x2003d100,0x3a02d41e,0x0f00d100,0x01bddf30,0xff127ec0,
    0x67ff5cc3,0x0680e802,0x0bf20366,0x70b62179,0x6f85d10b,0x09d710e8,
    0xfe887c00,0x3a2fc5fd,0x26666626,0x00999999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x801f03d7,0x0344000e,0x880743c4,
    0x89d51006,0x3a03d04b,0xebe98001,0x21e16601,0xb83be60e,0x02e8805f,
    0x803b12a0,0xf00d100e,0x0f64d300,0xf50ffc40,0x801bb20b,0x1b50682b,
    0xd7107ee0,0x00e885dd,0x4c17ccd3,0x05fcceee,0x03950d00,0x0002a839,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07f01d80,
    0x0f8002c8,0x80742d40,0xf1004468,0x1a607c41,0x754001e8,0x16603d30,
    0xdd303a1e,0x36027dc1,0xd30e8003,0x1a201d00,0x51a601e0,0x20ee880d,
    0xb1d305fa,0x16a17509,0x6e413d33,0x3e60b999,0x40000200,0x00004038,
    0x00000010,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x541dc000,0x01a6085f,0x7405b82e,0x8d901d81,0xf307404b,0x01df959f,
    0x0ea8007a,0x42cc0f4c,0x5e880e87,0x04d81fd4,0x2c9dc01d,0x0d100e80,
    0xb0d300f0,0xf3077405,0x7447a209,0x4c2dca81,0x970ccccc,0x00019999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1d100000,0xd5177fd4,0x74c07643,0x7440dd84,0xed88b304,
    0x6441fdc6,0x36e2ba24,0x1e80eb8b,0x2601d500,0x43c2cc1e,0x98bd100e,
    0x1d02e42f,0x80347c40,0xf00d100e,0x1f30d300,0x27c41db0,0x00298530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6fcc0000,0xedf9e9ed,0xdcefa81e,0x3bee01be,
    0x7ec02fec,0x1ff8afed,0xfd9bfb95,0x2a00cc1b,0xffffffb0,0xfffc83ff,
    0xc9ffff45,0x8bfe0fff,0x83b103fe,0x3fffe269,0x400fffff,0x7fdc03fc,
    0x8fffdc6f,0xfffffffc,0x3fffa3ff,0x0b52fec3,0x00000079,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01980000,0x01530015,0x2001a980,0x262000a8,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_28_latin_ext_x[560]={ 0,5,3,2,2,2,3,5,7,3,0,1,3,2,
5,2,2,2,2,2,2,2,3,2,2,3,5,3,0,1,0,0,2,0,1,1,1,1,1,1,1,2,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,0,1,2,0,0,0,2,0,5,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,1,1,0,0,1,1,2,0,6,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,5,2,1,2,1,
6,1,3,0,0,0,0,2,0,-1,4,1,4,4,5,1,2,5,5,4,3,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,2,2,2,2,-1,0,0,0,0,0,0,3,0,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,
0,1,0,1,0,1,1,2,1,2,1,2,1,2,1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,2,2,2,2,2,2,2,2,2,2,0,0,2,2,1,2,1,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,
1,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,2,2,0,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_28_latin_ext_y[560]={ 20,4,5,3,3,4,6,4,4,4,4,6,16,12,
17,3,4,4,4,4,4,4,4,4,4,4,9,9,6,10,6,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,3,4,4,25,3,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,5,9,9,9,9,9,9,4,4,4,11,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,20,9,3,5,7,5,
4,4,5,5,4,9,12,12,5,2,2,5,4,4,3,9,4,10,19,4,4,9,4,4,4,9,0,0,0,2,
1,0,5,5,0,0,0,1,0,0,0,1,5,2,0,0,0,2,1,8,4,0,0,0,1,0,5,4,3,3,
4,5,5,3,9,9,3,3,4,5,4,3,4,5,4,5,3,3,4,5,5,7,8,3,3,4,5,3,4,5,
2,5,1,4,5,9,0,3,1,4,1,4,1,4,1,4,5,4,2,5,1,4,1,4,5,9,1,4,1,4,
1,4,1,4,5,3,1,1,5,4,2,5,2,5,1,4,5,4,1,9,5,4,1,4,5,4,9,0,0,5,
4,5,4,5,4,5,4,0,3,5,9,1,4,4,5,9,2,5,1,4,0,3,5,9,0,3,5,9,1,4,
0,3,1,4,5,9,1,4,5,5,1,4,5,5,1,5,2,5,1,4,0,3,0,3,5,9,1,4,1,4,
1,0,3,1,4,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,5,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,5,9,4,4,4,4,4,4,4,4,4,4,4,4,4,3,9,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,1,4,1,
4,1,4,0,2,0,0,0,1,0,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-1,0,3,0,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__courier_28_latin_ext_w[560]={ 0,4,9,11,11,11,10,5,5,5,10,13,6,11,
5,11,11,11,10,11,10,11,10,10,11,10,5,7,12,13,12,9,10,15,13,13,13,12,13,13,13,11,13,14,
13,15,14,13,12,13,14,11,13,13,15,15,14,13,11,5,10,5,11,16,5,13,14,12,14,12,12,13,13,11,
8,13,11,15,13,13,14,14,12,11,13,13,15,15,13,14,11,6,2,6,11,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,10,12,11,13,
2,13,8,15,8,13,14,11,15,17,7,13,7,7,5,13,11,5,5,7,9,13,15,15,15,9,15,15,15,15,
15,15,15,13,12,12,12,12,11,11,11,11,14,14,13,13,13,13,13,9,14,13,13,13,13,13,12,12,13,13,
13,13,13,13,15,12,12,12,12,12,11,11,11,11,12,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,
15,13,15,13,16,14,13,12,13,12,13,12,13,12,13,14,14,14,12,12,12,12,12,12,14,12,12,12,13,13,
13,13,13,13,13,13,13,13,13,14,11,11,11,11,11,11,11,11,11,11,15,13,13,9,14,13,13,13,11,13,
11,13,11,13,11,13,11,14,13,14,13,14,13,14,13,11,13,13,13,13,13,13,15,15,14,12,14,12,14,12,
11,11,11,11,11,11,11,11,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,15,15,13,14,
13,11,11,11,11,11,11,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,13,13,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,11,11,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,15,13,15,15,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__courier_28_latin_ext_h[560]={ 0,17,7,19,20,17,15,9,20,20,10,14,8,2,
4,20,17,16,16,17,16,17,17,17,17,17,12,14,14,6,14,16,18,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,18,15,16,15,16,15,15,15,15,15,20,20,20,8,2,5,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,16,12,11,12,11,16,11,20,20,20,4,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,16,17,15,11,15,
20,18,3,16,8,11,8,2,16,2,7,15,9,9,5,16,18,4,6,9,8,11,16,16,16,16,20,20,20,18,
19,20,15,20,20,20,20,19,20,20,20,19,15,18,21,21,21,19,20,10,18,21,21,21,20,20,15,17,18,18,
17,16,16,18,12,16,18,18,17,16,16,17,16,15,17,15,18,18,17,16,16,12,14,18,18,17,16,22,21,20,
18,16,19,17,19,15,21,18,20,17,20,17,20,17,19,17,15,17,18,16,19,17,19,17,19,15,19,17,20,21,
20,21,20,21,20,22,19,19,15,16,18,15,18,15,19,16,19,20,19,11,16,21,20,21,20,21,11,20,20,20,
21,15,16,15,16,15,16,20,17,20,16,19,16,16,16,16,19,16,20,17,21,18,15,12,20,17,20,16,19,16,
21,18,20,17,20,16,20,17,21,21,19,17,15,16,20,16,19,16,20,17,21,18,21,18,19,15,19,17,19,21,
19,20,17,19,16,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,12,16,16,16,16,16,16,16,16,16,16,16,16,16,18,12,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,19,17,19,16,20,
17,20,17,21,19,21,21,21,20,21,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,24,22,20,18,22,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__courier_28_latin_ext_s[560]={ 470,507,323,223,411,499,255,256,357,390,221,
378,284,398,383,363,259,29,55,394,432,179,371,311,299,349,408,504,338,333,365,
28,127,97,113,66,68,55,127,96,141,155,110,167,182,196,323,124,228,84,82,
455,241,238,212,307,292,278,266,172,234,257,272,410,359,460,217,17,123,488,38,
154,479,467,75,41,16,109,167,30,1,209,82,58,224,44,151,392,95,264,139,
151,148,505,371,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,470,507,360,
491,70,331,486,177,389,138,291,125,300,398,80,427,315,279,248,232,353,493,72,
365,347,240,262,207,404,388,372,502,14,43,489,191,425,470,475,72,1,30,59,
15,86,110,136,495,431,150,401,112,305,453,192,501,265,196,277,415,315,343,318,
110,319,386,420,446,460,305,1,66,333,373,322,489,91,287,145,43,246,360,430,
400,191,236,263,474,351,223,251,96,318,60,443,469,414,185,371,1,28,374,253,
346,16,70,263,472,289,444,1,28,345,457,292,211,358,57,59,83,467,305,482,
15,329,345,498,429,96,359,110,17,399,45,417,51,138,405,165,293,441,168,413,
84,387,181,302,319,70,267,439,291,193,42,30,56,333,1,443,15,224,446,199,
1,485,454,157,331,131,474,15,79,235,1,484,43,239,359,389,414,396,138,375,
277,152,250,458,280,303,434,277,420,245,382,225,168,275,406,29,103,158,117,305,
171,122,335,387,113,373,237,124,460,167,271,138,210,249,98,205,346,290,263,332,
344,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,357,195,195,183,
195,195,195,195,195,195,195,195,195,195,195,195,195,180,430,195,195,195,195,195,
195,195,195,195,195,195,195,195,98,445,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,289,165,
319,252,178,151,206,232,182,209,154,140,126,220,98,84,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,1,46,423,207,31,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195, };
static unsigned short stb__courier_28_latin_ext_t[560]={ 22,47,156,47,26,68,140,156,26,26,156,
140,156,156,156,26,88,106,106,88,106,88,88,88,88,88,140,123,140,156,140,
123,68,140,140,123,140,140,140,123,140,140,123,140,140,140,140,123,140,68,140,
106,140,123,140,140,140,140,140,26,26,26,156,156,156,140,88,156,88,140,123,
123,106,106,1,106,123,156,156,156,123,123,156,156,123,156,156,140,156,123,156,
26,26,1,156,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,22,106,88,
123,156,123,1,68,156,123,156,156,156,156,123,156,156,123,156,156,156,106,68,
156,156,156,156,156,106,106,106,88,26,26,1,68,47,1,123,26,26,26,26,
68,26,26,26,47,123,68,1,1,1,47,26,140,68,1,1,1,26,26,123,
88,68,68,88,88,88,68,156,106,68,68,88,88,106,88,106,140,88,123,68,
68,88,106,106,140,140,68,68,88,106,1,1,26,68,106,47,88,68,123,1,
68,47,88,26,68,26,68,68,88,123,68,68,106,47,88,68,88,47,123,47,
88,26,1,26,1,47,1,47,1,47,68,123,123,68,123,68,123,47,123,47,
47,47,156,106,1,47,1,26,1,156,47,47,47,1,140,106,140,106,123,106,
47,68,26,106,47,106,88,106,106,47,106,26,88,1,68,123,140,26,88,26,
106,47,106,1,68,26,88,26,106,26,88,1,1,47,88,140,106,26,106,47,
106,26,88,1,68,1,68,47,123,47,88,47,1,47,26,88,47,106,47,106,
106,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,106,123,123,47,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,140,123,123,123,123,123,
123,123,123,123,123,123,123,123,68,140,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,47,88,
47,123,26,88,26,88,1,47,1,1,1,26,1,1,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,1,1,26,68,1,47,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123, };
static unsigned short stb__courier_28_latin_ext_a[560]={ 237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,237,237,237,237,237, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_28_latin_ext(stb_fontchar font[STB_FONT_courier_28_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_28_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_28_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_28_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_28_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_28_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_28_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_28_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_28_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_28_latin_ext_s[i] + stb__courier_28_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_28_latin_ext_t[i] + stb__courier_28_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_28_latin_ext_x[i];
            font[i].y0 = stb__courier_28_latin_ext_y[i];
            font[i].x1 = stb__courier_28_latin_ext_x[i] + stb__courier_28_latin_ext_w[i];
            font[i].y1 = stb__courier_28_latin_ext_y[i] + stb__courier_28_latin_ext_h[i];
            font[i].advance_int = (stb__courier_28_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_28_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_28_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_28_latin_ext_s[i] + stb__courier_28_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_28_latin_ext_t[i] + stb__courier_28_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_28_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_28_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_28_latin_ext_x[i] + stb__courier_28_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_28_latin_ext_y[i] + stb__courier_28_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_28_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_28_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_28_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_28_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_28_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_28_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_28_latin_ext_LINE_SPACING
#endif

