// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT        212
#define STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_32_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_32_latin_ext_LINE_SPACING          15

static unsigned int stb__courier_32_latin_ext_pixels[]={
    0x00016200,0x00000000,0x00066000,0x04000026,0x0003ae00,0x00790000,
    0x40000000,0x99999999,0x00019999,0x00000000,0x0000aaa0,0xa8800020,
    0x540ae000,0xb8000002,0x0002e886,0x20000000,0x40000049,0x0000500b,
    0x22000000,0x4066000c,0x00200019,0x09f30000,0x0003ae00,0x6400075c,
    0x2fa8000d,0x00034c00,0x32002744,0x007a200f,0x003b6200,0x000f2264,
    0xfff0074c,0xffffffff,0xffff70ff,0x50005fff,0x004c800d,0x0001fdd3,
    0x40027e40,0x3002dbda,0x0003f10d,0x43e400d3,0x001e03f9,0x00001e88,
    0x1e4005f5,0xe887b600,0x07a20005,0x4c013200,0xf5001eee,0x0001fb87,
    0x00007ab5,0x20005f50,0x2002fced,0x002fced8,0x003dbbd1,0x640017dc,
    0x27cc0002,0x2007e400,0x220002e9,0x9ec8005e,0x3d50004e,0x43c40f80,
    0x80000079,0x744001fb,0x0007c005,0x000bfb00,0xd801621b,0x005eb9be,
    0x32002fa8,0x3e03f987,0x07ee0000,0x005f7000,0x5c004e88,0x0004f9af,
    0x360013e6,0x73fb800e,0x37a6007f,0x20000ed8,0x0000b92e,0x44000fd4,
    0x009f30de,0x13ea1bd3,0x1fdc9f50,0x8000f640,0xf50002ff,0x80620007,
    0x0e65d11b,0x22004e80,0x2e25f50b,0x87546e00,0x7881f039,0x70398798,
    0x00f64003,0x000ed880,0x4400001f,0x10d8000b,0xceca800b,0x01fc8001,
    0x00980c40,0xf500003e,0x07ae0005,0x006f4400,0x0005ff30,0x22001fd4,
    0x1eb800de,0xd8801f4c,0x3540005f,0x200001f1,0x07900008,0x83c803b1,
    0x20b601d8,0x000b8059,0x40003b60,0x1000002d,0x003f60bf,0x3f702004,
    0x7c40fea0,0x1f01fb05,0xd8798788,0x8027c40f,0xc80000ec,0x0001f006,
    0x36a00000,0x000002db,0x000075c0,0x0003e000,0x20007e60,0x5d800009,
    0x00004400,0x9d0005f3,0x00200400,0x7d000030,0x900004c8,0x000003bd,
    0x00000000,0x00016d40,0x00000000,0x03100980,0x902aa620,0x4018030b,
    0x3e031009,0x43cc3c40,0x20013018,0x00400000,0x000cc0f8,0x10000544,
    0x15100015,0x00002000,0xffffd800,0x006fffff,0xb0b90004,0x00040009,
    0x40001551,0x20010000,0x4c409999,0x4cccc199,0x00cccc40,0x00f98798,
    0x00b1d400,0x00002a20,0x5c000000,0x44003b8b,0x8000000a,0xfffffff9,
    0x0266662f,0x64033331,0xf54fedef,0x204cccc1,0x4cc19998,0x4ccc4099,
    0x443c42c1,0x10266664,0xa8803333,0xaa88000a,0x3623e000,0x402dfeff,
    0x93efeffa,0x4cccc9ff,0x80cccc40,0x93efeffa,0x4cccc9ff,0x30cccc40,
    0x7ecdffff,0x26627fff,0x0999999f,0x44099998,0x0ff01999,0x4cccc0df,
    0x19999999,0xbfbbfd30,0x33331005,0x26660013,0x36199999,0x7f46ffff,
    0xfffb5fff,0xffffe8df,0x7b03d805,0x361c8000,0x3bfea000,0x29ff93ef,
    0xfa84fffd,0xfff10fff,0x805fffff,0xffa80346,0x9ff93efe,0x2a13fff6,
    0x2660ffff,0xb2e99999,0xfe8dffff,0x6f445fff,0xb0ff6c40,0xfe8dffff,
    0xfffb5fff,0xffffe8df,0x3603c405,0x7f46ffff,0xfe985fff,0x9802dfdd,
    0x02dfddfe,0x5c0ce9f8,0x985f702f,0xfb09ccce,0xffe8dfff,0x217dc5ff,
    0xb09ccce9,0xfe8dffff,0x26665fff,0x2666626a,0x36001f07,0x7f46ffff,
    0x80885fff,0xffff9008,0xffffffff,0xfa83fa81,0x3fffe202,0xffd804ff,
    0x4fffffff,0x207c01e2,0x001f0078,0x01e601f3,0x0b51b300,0x3a617dc0,
    0xbb109ccc,0x07ae6013,0xd3333331,0x0931c805,0xce985f70,0x3bb109cc,
    0x007ae601,0x401e22d8,0x2204e80f,0xf007886f,0x1f007881,0xf100f100,
    0x3ea03e00,0x2a02fa83,0x402fa83f,0x0be202ff,0x1ff401f3,0x40f803c4,
    0x0ffa00f9,0x007c01e2,0xf83c40d3,0x401e2000,0xb800000f,0x3e60f805,
    0x4007a601,0x4000f9f8,0x803c4078,0xf803c40f,0x7404d800,0x5ecc0003,
    0x401f3000,0x00f983fe,0x0b6001ec,0x801bdb10,0x0ffa00f9,0x07b003e6,
    0x01e22d80,0xb01aa07c,0x007885db,0xf007881f,0x100f1001,0xf303e00f,
    0x4c0f4c03,0x807a601f,0x745b805f,0x441fc403,0x3e81f007,0x3c41fc40,
    0x1a600f80,0x001f0788,0x00f803c4,0x805b8000,0x2a00fa0f,0x5b5b800e,
    0x44078800,0x7881f007,0xf8801f00,0x40035400,0x00999998,0x3f8807d0,
    0x03cc09b0,0x000016c0,0x07f100fa,0x00798136,0x401e22d8,0xd7017c0f,
    0x00788d51,0xf007881f,0x100f1001,0x7d03e00f,0x3e81d500,0x5f00ea80,
    0x00f8f100,0x007883e8,0xe800f81f,0x1f007883,0x0f1034c0,0x0788003e,
    0x2ffdc1f0,0xb827ffcc,0x0d50f805,0x8f401740,0x03c4006a,0x207c01e2,
    0x801f0078,0x005d004c,0x7fffffc4,0xd001f004,0x6c03e607,0x802d8003,
    0x00f801a9,0x01f303e8,0x8b6000f6,0x441f0078,0x0f83ea07,0x207c01e2,
    0x001f0078,0x00f100f1,0x2006a83e,0xe801aa2e,0x3a001f02,0x0f600f31,
    0x307c01e2,0x220f600f,0x4c01f007,0x07c1e206,0x3e00f100,0x4c16e620,
    0x00b704c9,0x97001e47,0x03e27980,0x3c407880,0x03c40f80,0x07e200f8,
    0x10003540,0x79801f3f,0x1ec07b00,0x2d8003cc,0xfeffec88,0x200f302f,
    0x260f603d,0x445b0007,0x3541f007,0x11742f88,0xf103e00f,0x22003e00,
    0xf0078807,0x97001e41,0x097001e4,0x887c007e,0xf107b007,0x07883e00,
    0x00f107b0,0x2069803e,0x4001f078,0x501f0078,0xb704c80b,0x00b60688,
    0x22640598,0x01e2003c,0x103e00f1,0xb803e00f,0x00174005,0x8805b5b8,
    0x4c07b007,0x8001ec0f,0x20aca82d,0x07880fa8,0x07cc07b0,0x16c000f6,
    0xb83e00f1,0x47b09d04,0x881f0078,0x1001f007,0x200f100f,0x9800b60f,
    0x59800b65,0x8f3007f0,0x883f801f,0x1f81f007,0x07883f80,0x034c01f0,
    0x8003e0f1,0x501f0078,0xb704c80b,0x007e0788,0x20fc0788,0x01e20069,
    0x103e00f1,0xf803e00f,0x002dc001,0xf00d51e8,0xd807f003,0x40003e63,
    0x04b8002d,0x807f003f,0x0003e63d,0x200f116c,0x17212e0f,0x200f11ec,
    0xf803c40f,0x88078800,0x0fc1f007,0x00fcf100,0x03fe0f10,0x406b87d0,
    0x007883fc,0x6406b81f,0xf007883f,0xf1034c01,0x78800ba0,0x0b501f00,
    0xfff704c8,0x00f40fff,0x83540f10,0x80f1001e,0x881f0078,0x2e01f007,
    0x01f88006,0x01f13cc0,0x1fe406b8,0x01ec3e60,0x30005b00,0xf901ae0f,
    0x7b0f9807,0xf116c000,0x46a83e00,0x445d00eb,0x7881f007,0x26201f00,
    0x10199f99,0x1e83e00f,0x01e9e200,0x767c1e20,0xbd06d881,0x107bd701,
    0x3a03e00f,0x83deb80d,0x401f0078,0x541e2069,0x225d981e,0xb501f007,
    0x3b704c80,0x16c0f533,0x1ec0b300,0x0f1005b8,0x81f00788,0x201f0078,
    0x0b90002e,0x01e44c80,0x6f5c06f4,0x0f9bd803,0x300b6000,0x40f11355,
    0x3deb80de,0x00f9bd80,0x0788b600,0xf33cc1f0,0x0f107c03,0x00f103e0,
    0x7ffec03e,0x7885ffff,0x016c1f00,0x0016cb30,0x3ea3e0b3,0x204fdbcd,
    0xdecbdfd8,0x007883c8,0x7bfb101f,0x10791bd9,0x3303e00f,0x41333f53,
    0x3bfb2078,0x1e20bffe,0x02d407c0,0x222dc132,0xb800f207,0x999bf104,
    0x1001fb99,0x8807880f,0x4403c40f,0x0006a80f,0x1f8003e2,0x7ec4034c,
    0x3c8decbd,0x004df980,0x7e4416c0,0x07ffeeef,0x3b2f7f62,0xf9803c8d,
    0x16c0004d,0x81f100f1,0x2e02e8ae,0x7c403c46,0x7c403c40,0x1e200000,
    0x03c83e20,0x003c92e0,0xa887c12e,0x73001bcc,0x441e4379,0x200f8807,
    0x0f21bcb9,0x83e201e2,0xfffffffc,0x300f11ff,0x01e20135,0x016a03e2,
    0x0216e099,0x5d003542,0x33333ae0,0x8802eccc,0x4c01e807,0x79803d07,
    0xc80005d0,0x3a0d5004,0x37973001,0x0fd801e4,0x2216c000,0x00f501de,
    0x1e437973,0x0000fd80,0x3007a174,0x809bd50f,0x4c01e82f,0x79803d07,
    0xd0015100,0x35479803,0x03545d00,0x003e05d0,0x20790000,0x003cc01e,
    0x007a0790,0x788000f3,0x74005440,0x5a83cc01,0x05b82640,0x200fa5a8,
    0x805d00ea,0x8078806a,0xc82e403c,0x3d42e403,0x007c4000,0x005b81ec,
    0x9b003c80,0xc85d0000,0x0003c406,0x026c00f2,0x7907e200,0x0fd05c80,
    0x807905d8,0xc807905c,0x00bfb005,0xe85c8079,0x740ea803,0xf00ea803,
    0xe8000001,0x5c807902,0x640ba000,0x0002e403,0x0bfb01aa,0x05c80790,
    0x13f201f1,0x32d402dc,0x80f4c05f,0x801f0078,0x00fa8078,0x03ea03f3,
    0x01f40fcc,0x4404d800,0xdcccccdf,0x1740000f,0x00007c40,0x805f07e2,
    0x17400079,0x00007c40,0x403ea1ee,0xeefa81f9,0xa806f4c0,0x203f300f,
    0x03f300fa,0x2a00f6a0,0x303f300f,0x40f4c05f,0x07a602f9,0x000000f8,
    0x07d403e6,0x30001f98,0x403ea01f,0x6c0001f9,0x401ed404,0x03f300fa,
    0x37b6626c,0xa805b80d,0x2a05fd45,0x4012e02f,0x803c404c,0x027cc1eb,
    0x09f307ae,0x200001f3,0x33ae00f9,0x2ecccccc,0x003e6000,0x2a000132,
    0x3a603d87,0x03e60007,0x88001320,0x83d703fb,0x91f984f9,0x009ffddf,
    0x04f983d7,0x13e60f5c,0x7000e880,0x204f983d,0x17d40bfa,0xfa817f50,
    0x00007c02,0x5c03fa80,0x0027cc1e,0x75c03fa8,0x00027cc1,0xe8803f93,
    0x983d7000,0x77f4c04f,0x43ff94ff,0x99999dc9,0xe885b999,0x202dfeef,
    0x31009ae9,0x999983d7,0x2e01999f,0x003ffeef,0x07ffddf7,0xb00000f6,
    0x2a017407,0x07f50006,0x40001f10,0x1e983fb8,0x04fe7dc4,0x200fea00,
    0xdd5000f8,0xb805ffdd,0xb03ffeef,0x80035307,0x03ffeefb,0x7ffddf70,
    0x4002b800,0x03ffeefb,0xdfeefe88,0xeefe8802,0xfdd302df,0x10007ddd,
    0x05ffdddd,0x3ffbbee0,0xeeee8803,0xdf7002ff,0xd8007ffd,0x801efeee,
    0x77dc002b,0x22003ffe,0xfffc801a,0xffffffff,0x00aa205f,0x41fffff2,
    0xfb4fffff,0xffffffff,0x009a9809,0x2009a980,0x08800000,0x03e00f10,
    0xffeeee88,0xfdddd902,0xed9801dd,0x2e02dfee,0x88dffefe,0xee880fff,
    0xd902ffee,0x01ddfddd,0x01aaaa88,0x1004d4c0,0x2a600000,0x9a980009,
    0x40000000,0x440009a9,0x5510002a,0x2aaaaa00,0x5550000a,0x2a600035,
    0x2aaa0009,0x3530001a,0x55530001,0x20000001,0x000009a9,0x00000000,
    0x00000000,0x00000000,0x40000000,0x8099004b,0x4c01aaaa,0x02aaaaaa,
    0x00155550,0xa8000d44,0x54c01aaa,0x002aaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35d30000,0x07ae6201,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffc800,0x9fffff07,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05014000,0x0e400000,0x20d88000,0x0000002d,0x910012e0,0x014c0001,
    0x01500000,0x5497000a,0x0006e005,0x5c0ea800,0x9804c00e,0x02a02801,
    0x13007100,0x20280260,0x04b8000a,0x44000d70,0x15554c02,0x5400b800,
    0x0a80002a,0x2e000150,0x0c406605,0x00660330,0x4c015551,0x64c03301,
    0x06666003,0x4020cccc,0x01b620ed,0x8003bd90,0x440002fa,0x6c01b65e,
    0x76400003,0x3bba6001,0x4ffb8001,0x4016e000,0x01b621ec,0x05f31fb8,
    0x005ffb10,0x2fc800f2,0x16e00fec,0x41ec016c,0x3e6000f8,0x0bea00ee,
    0x41ec05f7,0x764000f8,0x000f9001,0xee880fe6,0x744007ee,0xfdd301fe,
    0x2fb80001,0x640007e4,0x50fea01f,0x21fd405f,0xffb101fb,0xa8b59ffb,
    0xb80fdc3f,0x5d9aeecf,0x44ffffb8,0xf13ffffc,0x274d7e40,0x0058ea00,
    0x20003f98,0x4003b25e,0x880004e9,0x3ee000ed,0x22007f73,0x00ee88ed,
    0x7000f640,0x4009f37f,0x005f31fa,0x09f31bd3,0x04009d10,0x217d0008,
    0x5f3006c8,0xb8013661,0x4c03f92f,0x401ed8cf,0x09b30af9,0x00076c40,
    0x7f5000f9,0x20078800,0x807f54f9,0xf980000f,0x8000de8c,0xde9800ed,
    0xe9801fc8,0xd101ed8d,0x85fd983b,0x00ed8de9,0x0dfd982a,0x83e00f10,
    0x17fd4078,0x01b0e400,0x0009d300,0x00075cb9,0xb00017a2,0x41eb800b,
    0x84e803e9,0x1db1007c,0x05fd3000,0x07f0fc40,0x5d887f10,0x000de880,
    0xffc98000,0x36a001cf,0x9000beff,0x202fa81d,0x5000dfd8,0x0017dffb,
    0x0c4002ec,0x000bee00,0x17cc01e2,0x00f813a2,0x09fb1000,0x80037600,
    0x4000dfd8,0x03dc05fd,0x3f620bf1,0x22000005,0x3c41f007,0x98000c40,
    0x20005a8d,0x04080018,0x00bb1000,0x00400040,0x00802002,0x88000bb0,
    0x00408001,0xb0004010,0x8000000b,0x00440001,0x20010040,0x00110002,
    0x00000020,0xf10001b8,0x40100400,0x0c00000f,0x40001000,0x20060002,
    0x202dc03d,0x04cccc01,0xf1066662,0x07883e00,0x8009b0b9,0x64000bd9,
    0x22004d85,0x080000aa,0x02aa6000,0x00155100,0x0002aa60,0xaa980001,
    0x04cccc00,0x20066662,0x80009aa8,0x84fffd80,0x260ffffa,0x4cc40999,
    0x9aa88019,0x26662000,0x22009999,0x22000aaa,0x544000aa,0x000000aa,
    0x00055553,0xaa8800f1,0x000f800a,0x26666620,0x33331000,0x88133333,
    0x99999999,0x4ccccc09,0x19999999,0x330200f6,0x43333333,0x746ffffd,
    0x1e25ffff,0x20f107c0,0x8806f87f,0x00099999,0x4037c3fc,0x2dfddfe9,
    0x99999880,0xdfec8000,0x304a9eff,0x05bfbbfd,0x3ff7fb20,0x4ccc4a9e,
    0x99999999,0x3f7fb201,0x3f64a9ef,0x7ff46fff,0xbfd905ff,0x98b59ffb,
    0x19999999,0x4c027762,0x3fff61eb,0x7ffff46f,0xfbbfd905,0x7d40b59f,
    0xffffffff,0x7effec42,0xfd305acf,0x8805bfbb,0xacffdffd,0x0ffffe85,
    0x3f777440,0x8803c400,0xacffdffd,0x7fc41f05,0xfff105ff,0x2e009fff,
    0xffffffff,0x7fffdc3f,0x7c3fffff,0xffffffff,0x01ae7fff,0xffffffb0,
    0x03c49fff,0x803c40f8,0x0441e20f,0x3fe20044,0x4004ffff,0x54008808,
    0x202fa83f,0x4ffffff8,0x2606ec00,0x3fa85efc,0x6ec02fa8,0x92f7e4c0,
    0xffffffff,0xbb01ffff,0x45efc981,0x201f0078,0x5fd981ed,0x3ffffff6,
    0x03e64fff,0x00f107b0,0x40f6c03e,0x44005fd9,0x3077a207,0x07f50bfb,
    0x37a205f5,0x442fecc1,0x4000f999,0x07880078,0x6cc1de88,0xfb81f05f,
    0x3f10009b,0x8097001f,0x3a025c2e,0x21e207c2,0x00576c79,0x1e203c40,
    0x01e207c0,0x000f107c,0x1f3f1000,0xf3000000,0x800f4c03,0xb000f9f8,
    0x4c5f9809,0x407a601f,0x42fcc04d,0x6c0f805b,0x222fcc04,0xd901f007,
    0x2205d801,0x2604d807,0x3e00f107,0x6c00ec80,0x703c4005,0x262fc40f,
    0x207a601f,0x017e207b,0x0f10003e,0xf700f100,0x0f82fc40,0x2e000bee,
    0x097005b5,0x9025c2e4,0x87881f0b,0xdefda879,0x4078801b,0x881f0078,
    0x3c41f007,0xadc00000,0x8000002d,0x00ea803e,0x5005b5b8,0xe8bb001f,
    0x540ea803,0xb85d800f,0x3ea0f805,0x3c45d800,0x07d40f80,0x0f102d40,
    0x0f601f30,0x40f803c4,0x05a800fa,0x07b03c40,0x401f45b8,0x201ec0ea,
    0x000f805b,0x3c4003c4,0x16e01ec0,0x001ec87c,0x201aa3d0,0x701f504b,
    0x3e03ea09,0x03cc3c40,0x1013f2a6,0xf007880f,0x1f007881,0x0bff73c4,
    0x2009fff3,0xfb80d51e,0x4fff985f,0x05d00354,0x201aa3d0,0x5451002c,
    0x590ba006,0x16e0a200,0x002c83e0,0xf0078851,0x00003c81,0x20f600f1,
    0x401e2079,0x0001e40f,0x1ec0f100,0x400d5040,0x0401ec2e,0x220007c0,
    0x80788007,0x3f00803d,0x260001db,0x97003e27,0x12e05f10,0x207c0be2,
    0x20079878,0x01e205d8,0x103e00f1,0x7883e00f,0x4cc16e62,0x2279804c,
    0x16e6200f,0x0f2264cc,0x3cc04b80,0x00f801f1,0x5c007900,0x200007c4,
    0x07c3805b,0x200f1000,0x0000f40f,0x1f300788,0x01e203d8,0x0007a07c,
    0x2e078800,0x001e4006,0x0006b897,0x788001f0,0xb8078800,0x3fbe0006,
    0x91320005,0x01360007,0x88581360,0x44004887,0x880f100f,0x7881f007,
    0x1e20f880,0x0099016a,0xa803c899,0x0b626405,0x26405980,0x007880f2,
    0x59800b60,0x2e0001e2,0x0f103445,0xf0078800,0x00003c41,0x31ec00f1,
    0x803c401f,0x0001e20f,0xed80f100,0x002d800a,0x02bb6166,0x4000f800,
    0x07880078,0x80015db0,0x2000bb3f,0x40034c1f,0x06b8006b,0x14c07880,
    0x0f102e80,0x01f00788,0x447a803d,0x26405a87,0x01a60fc0,0xf899016a,
    0xf01e2001,0x1a606983,0x2001f800,0x0001a678,0x4c0f116e,0x03c40006,
    0x001e60f8,0x26007880,0x78807b0f,0x03cc1f00,0x01e20000,0x06f7bf6a,
    0x0788007e,0x037bdfb5,0x220007c0,0x00788007,0x06f7bf6a,0x002ec1f0,
    0x000f41aa,0xf98003f3,0x40788001,0x0fc400fb,0x03c40788,0x403b80f8,
    0x2d43c45d,0x0d501320,0x80b5007a,0x1000f44c,0x1e83540f,0x74000d30,
    0x699e2001,0xfffb8000,0x01a607ff,0x3e00f100,0x99881e60,0x0f100999,
    0x00f9bd80,0x20f803c4,0x26662079,0x1e200099,0x89f95300,0x01e2001e,
    0x4013f2a6,0x03c4000f,0x98003c40,0x03e04fca,0x81ec00bb,0x00fa005b,
    0x44000fa0,0x2027dc07,0x101e206c,0x2203e00f,0x883f100f,0x26405a87,
    0x02dc0f60,0xd899016a,0xd8166002,0x1e20b703,0x2002d800,0x0001e259,
    0x1ea6676e,0x44000788,0x3c41f007,0xdffffff0,0xf3001e20,0x00f1009b,
    0x3e07883e,0x796fffff,0x20007880,0x800b65d8,0x2ec40059,0x220007c0,
    0x00788007,0x1f05d880,0xf8805e88,0xfdcccccd,0x8005c800,0x1e20005c,
    0x7059fd70,0x203c403f,0x00f88078,0x84e983d9,0x6405a878,0x3337e204,
    0x200fdccc,0x3226405a,0x4412e003,0xdcccccdf,0x0003f00f,0x44b800f2,
    0x2dc0001f,0x003f01e2,0x7c403c40,0x5a8007c0,0x36001e20,0x8078800f,
    0x8007c0f8,0xf100f25a,0x90f88000,0x0025c007,0x333107c4,0x013333f3,
    0x99880788,0x09999f99,0x220f8800,0x9cf980f9,0x9999d700,0x9805d999,
    0x3e60d00f,0x0f100d00,0xeffd8ca8,0x3c401efe,0x1e600f40,0x7fdddf70,
    0x016a1e20,0x6675c099,0x02eccccc,0xa899016a,0x5c0ba006,0xccccccce,
    0x0007b02e,0x42e801aa,0x2dc0003d,0x007b0404,0x3cc01e80,0x05a80174,
    0x136001e2,0x3cc01e80,0x25a80174,0x983cc03c,0x1aa5d002,0x00a62e80,
    0xffff8974,0x0fffffff,0xff301e20,0xffffffff,0x7400a63f,0xf01fff32,
    0x0ba0ffff,0x17c40d50,0x02f881f0,0x00f1003e,0x001ae988,0x807900f1,
    0x03b9005c,0x405a8788,0x500ba04c,0x3202d40d,0xea803e84,0x6a805d00,
    0x0e003f10,0x81d5007d,0x707001f8,0x7c4b500b,0x07907001,0x006b85c8,
    0x003c40b5,0x3c8003e2,0x035c2e40,0x700f25a8,0x1003ee0b,0x5401f43f,
    0x1003ee0e,0x001ec03f,0x800003c4,0x0fc400fb,0x01e20000,0x404d807c,
    0x3e026c0f,0x8003c400,0x01e2001e,0x0fcc03ea,0x78801d80,0x9f900f88,
    0x07c01e20,0x9f900f88,0x74c05f30,0x3e00f101,0x4401d700,0x3017cc6d,
    0x803ae03d,0x805b86d8,0x10075c5a,0x201f50db,0x009b01f9,0x003c40b5,
    0x1f500132,0x26c07e60,0x01b92d40,0x27dc0ba2,0x05f31b20,0x13ee0f4c,
    0x03440d90,0x88007880,0x013ee01b,0x02b880d9,0x264012e0,0x83e00754,
    0x007c00ea,0x64c001e2,0x200f1002,0x027cc1eb,0x44066770,0xed989b07,
    0x004b80dd,0x2626c099,0xfa80dded,0x7017d40b,0xc8132009,0x80de982f,
    0x17d40bfa,0x3a60bf20,0xa805b80d,0xe982fc85,0x983d700d,0x0bb6204f,
    0x0f102ecc,0x40007c40,0x027cc1eb,0x36605db1,0xd10bb625,0x167f5c0b,
    0x5fd40fdc,0x75c17d40,0x01fb82cf,0x1000a874,0x0366000f,0x5c167f5c,
    0x01d9801f,0x1009ae98,0x9bf83d73,0xf9999999,0x26666fe0,0x880f9999,
    0x0199f999,0x201dabc8,0x999f9999,0x3fbbee01,0x7e44003f,0x260f101e,
    0xf94ffefe,0x04d74c3f,0x301eb988,0x329ffdfd,0xefe881ff,0x3a602dfe,
    0xd731009a,0x777f5403,0x7f4403ff,0x5002dfee,0x07ffddfd,0x26667726,
    0x505b9999,0x07ffddfd,0x7ffddf70,0x3bbfee00,0x4cc0befe,0x21999f99,
    0xeefeeeec,0x777dc000,0xff7003ff,0x017dfddd,0x07fddff5,0xeffd8ca8,
    0x3a201efe,0x502dfeef,0xfddffb19,0x9fb5003d,0x7ccccc40,0x2a009999,
    0x19500e9b,0x3dfddffb,0x01d9b980,0x83ffffe4,0x3e4fffff,0xffffffff,
    0x3fffe0ff,0x0fffffff,0xffffffd8,0x0e54405f,0xffffffb0,0xa9809fff,
    0x40000009,0x400d4403,0xf07ffffc,0x4409ffff,0x5510001a,0xfffff900,
    0x13ffffe0,0x80015510,0x220002a8,0x3ff200aa,0xffffffff,0x554405ff,
    0x09a98000,0x1aa98800,0xffffffb0,0x2aa69fff,0x0002aaaa,0x200026a6,
    0x1001aa98,0x31000135,0x54400355,0xaa988002,0x7cc00001,0xffffffff,
    0x377101ff,0x0d54c400,0x00039500,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x28054003,
    0x40071000,0x01999999,0x003c8000,0x48003d10,0x06601300,0x0200dc80,
    0x17102e20,0x26666620,0x5554c009,0x04d54401,0x3005b800,0x2aa07307,
    0x201100aa,0x22033028,0x26660099,0x0c402601,0x201d1000,0x02880400,
    0x00c88051,0x00198144,0xc80006e4,0x06440000,0x000dc400,0x2600004c,
    0x170000aa,0x03333300,0x00803331,0x800f774c,0x01b621ec,0x007bba60,
    0xfffffff9,0x880007df,0xf98000ed,0x803c4004,0x2005b05b,0x13602ff9,
    0x3fc89f70,0xffffff88,0x7776c06f,0xfbbfd905,0x3200b59f,0x83fb001f,
    0xeeef81fe,0xf304fc83,0xf982fb89,0xfffb06ff,0x6c16e0bf,0x09f30003,
    0x83c41fec,0x13e60de8,0x201eee98,0x017d44f9,0x8005ff30,0x0002fee9,
    0x4003ddd3,0x800cfdfb,0x0ae3fffa,0x3ff7fb20,0x74404a9e,0x3ff201ee,
    0x3fe63fff,0x40d503ff,0x005f73fb,0x013a6fee,0x17dcfee0,0x7e4c2dc0,
    0x0bd10005,0x000fea00,0x3a006fea,0x800d910b,0x03ea00dd,0x05c40b88,
    0xa8001ec0,0xd981ed85,0x00ed805f,0x40e60e60,0x003a600f,0x03d91dd1,
    0x0f805ff0,0x6c886740,0x007f5000,0xd80f10f3,0x2e02fb9e,0x4407f72f,
    0x001fc8ee,0x2a000dd8,0x8009f33f,0x807f73fb,0x5fb11ee8,0xdfb52d80,
    0x40dd801d,0x2a05efc9,0xb807f73f,0x8806ec05,0x983d703f,0x5fd3003f,
    0x983d7000,0x202dc03f,0x04e8004f,0x8005f300,0xfdfecfea,0x9fff9300,
    0x3a000003,0x6c000005,0xc8b50003,0x202ec00e,0x000000dc,0x013200f8,
    0xf000dfc8,0x007c01f7,0x073fff26,0x8007e600,0x5c03c42d,0x07ae01ef,
    0xdfc807d3,0x50000000,0x004e883f,0x03e983d7,0x001cc0e6,0x026c014c,
    0x0fd417e6,0x05b80fa6,0x0fc80bd1,0x00220110,0x11000188,0x0b700220,
    0x008007b8,0x2a000400,0x007ec41e,0xaa88000c,0x303ee009,0x99881333,
    0x000f6019,0x001f52d4,0x000080b5,0x3e005544,0x3000f600,0x04d8f800,
    0x0018003e,0x1e400080,0x004c01e2,0x03001002,0x00554c00,0x08004010,
    0x06aa2040,0x05544000,0x6c007d40,0x00401105,0x009d10b7,0x0133309f,
    0x33306662,0x44003333,0x33100999,0x880b7013,0x99999807,0x41999999,
    0x01999999,0x07c40ba0,0x33333333,0x76403333,0x5acffddf,0xfffb1fc4,
    0xffffe8df,0x20007b05,0x8000f25a,0x09999998,0x377fa600,0x401f02df,
    0x0099883d,0x47c06666,0x201f01f8,0x00999998,0x4c013310,0x443c8199,
    0x4cccccc7,0x4c199999,0x19999999,0x04cccccc,0x3f7fb200,0x3104a9ef,
    0x20013333,0x99999999,0x3bae1999,0x7f4c0004,0x3202dfdd,0x33051002,
    0x01333013,0x803f98b7,0x7ffdc1fa,0x2ffff887,0xfffffff9,0x7fd407df,
    0x7fd41fff,0x02dc1fff,0xfff9012e,0xffffffff,0x3ffff21f,0x203effff,
    0x3ff20078,0xffffffff,0x81ed80ff,0x46c85fd9,0x401f0078,0x4b50003d,
    0xff10001e,0x00dfffff,0x0bea0fea,0x4c3d803e,0xffb06fff,0x2e1f0bff,
    0xff101f05,0x3009ffff,0x3f60dfff,0x21e45fff,0x3ffff278,0xffffffff,
    0xffffffb0,0x3ff69fff,0x0cefffff,0x32606ec0,0xfff885ef,0xfc804fff,
    0xffffffff,0x025c0fff,0xf507f500,0x80003e05,0x7ec6fffe,0x2a5b87ff,
    0x40db002f,0xb82e403e,0x205fc985,0x407c0079,0x007ee05b,0x1f04bb4c,
    0x5fc985b8,0xb7000ba0,0x0ec81f00,0x0fdc2ec0,0x803e00f1,0x2b50003d,
    0x36000078,0x00fcc003,0x200f83d3,0x00bfe03d,0x2e83e01f,0x9f8800f8,
    0x0bfe000f,0x887901f0,0x0f805b87,0x81f00f10,0x9b01fca8,0x8805f980,
    0xb7000f9f,0x04b81f00,0x4c03f300,0x0003c41e,0x413202dc,0x2005f55b,
    0x03e604f8,0x05b807cc,0x0078827c,0x5575c1e2,0x000dedba,0x0f825d2e,
    0x413e02dc,0xb7000aea,0x07d41f00,0x1fd42d40,0x803e00f1,0x2b50003d,
    0x36000079,0x401f4003,0xd803e0ea,0x803efe03,0x3541f00f,0xdadc007c,
    0x03efe002,0x443c80f8,0x0f805b87,0x01f00f10,0x03ea07d4,0x56e01760,
    0x00b7002d,0x0004b81f,0x41d5007d,0x5b800069,0xbdb82640,0xfa802fef,
    0x3e835c03,0x0f7016e0,0x3072a07c,0x3bbbee0d,0x2d8003fe,0xb703e097,
    0x36a07b80,0xb700acef,0x01e41f00,0x7893e200,0x1ec01f00,0x0f35a800,
    0x04ccccc4,0x1aa003d8,0x803e2e80,0x1363e02f,0xd81f00f8,0x8f4007c3,
    0x363e006a,0x16e03e04,0x07c02dc0,0x00f80788,0x400b2264,0xd51e8028,
    0x3e016e00,0x026625c0,0x8ba006a8,0x5b800069,0xefb82640,0xfb809f70,
    0x35c3e802,0x0f1016e0,0x513f60f4,0x3f216e0b,0x5c3e2001,0x80b70d04,
    0xfb750078,0x8700b705,0x5f80001e,0x007c01e2,0xa80a807b,0x7ffc0f15,
    0x07b06fff,0x97001e40,0x02f5407c,0x7c07e23e,0x0f981f00,0x44f3003e,
    0xf11f000f,0x3a203e03,0x402dc01d,0x3e01e203,0x1f0fc400,0x13cc0000,
    0x00b7001f,0x3bf29707,0x03c80dff,0x007892e0,0x26405b80,0x174c0eb8,
    0xf3001f90,0xb7007e21,0x0b604b80,0x705b8d7f,0x4007ea0b,0x40292e6a,
    0x0025c05b,0x116e0fd4,0x0003c40d,0x401e25f8,0xd00f600f,0x007cb505,
    0x00f605a8,0x966002d8,0x404fc80f,0x03e0b70f,0x1f2e407c,0x01e44c80,
    0x3e0b70f8,0xb807fb00,0xf1003445,0x79001f00,0x900001e2,0x5b803c89,
    0x76dc0344,0x36136a0d,0x3f166002,0x405b8000,0x260b704c,0x001f900f,
    0x5c01ed72,0xc807ee05,0x9707da63,0x0fa816e0,0x452e4c80,0xf702dc07,
    0x71320003,0x1e60788b,0x893e2000,0x6c01f007,0x2d417403,0x816a005d,
    0x007e003d,0x4c03e788,0x2e83e01f,0x101f00f8,0x3f003e5f,0x41f00698,
    0xeb80f82e,0x3c45b800,0x1f00f100,0x01a69700,0x6983f000,0x03c45b80,
    0x0f8827dc,0x8f1000fc,0x2dc0003d,0x02dc1320,0x007ee09b,0xd7006de8,
    0x1bdb7555,0x6d324c80,0x02dc0f23,0xb87a0136,0x75c07fff,0x0dedbaaa,
    0x44b80170,0x07fffffb,0x999881e6,0x11fcc099,0xd803e00f,0x2d417403,
    0x816a00d7,0x007a003d,0xd803e788,0x86a83e03,0x2a01f00f,0x835401f6,
    0x2a0f801e,0x83c80f86,0xfffffb85,0x201e2007,0xd35a800f,0x83540000,
    0x7ffdc01e,0x05b807ff,0x8007a1ec,0x800fc478,0xfffffb83,0xb704ffff,
    0x7d407cc0,0x007e6002,0x7f7777dc,0x974b7003,0x2dc0b65a,0x78807e20,
    0x203ccedc,0x3feeeefb,0x3f102740,0x7a999db8,0xfff81e20,0x17d46fff,
    0x803e00f1,0x5417403d,0x2d4026c5,0x16c007b0,0x007cb300,0x3607c07b,
    0x00f807c3,0x3d803efa,0x81f00b70,0x1e407c3d,0x2676e1e2,0x1e2007a9,
    0x56a003e0,0x36000078,0xdb80b703,0xb807a999,0x0b626404,0x0eb85980,
    0x36e1b620,0xd9999999,0x3e80b704,0x22004f98,0x90b7000f,0x22b5003f,
    0x40f4f10f,0x2e019dc9,0x999f501e,0x16e0249d,0xcfe807f2,0x2dc2ecc0,
    0x001f01e2,0xf11f216a,0x9881f100,0x99999cd9,0x45a82e99,0xbb302ed8,
    0x42a01ec0,0xf92e003c,0x0f80f600,0x301f07cc,0xff30133f,0x3337e201,
    0x400fdccc,0x1f07cc0f,0xb8788790,0xf1003c45,0x97001f00,0x440000fc,
    0xdcccccdf,0xf116e00f,0x4c809700,0x097001e4,0x37a60bf2,0x26405b80,
    0xa80cedcc,0x002f409e,0x16e001f1,0x5a600fd4,0x40f9745a,0x03fffffc,
    0x337613fa,0x2e004ecc,0x3603f505,0xdffdfeba,0x08085b80,0x42d400ba,
    0x4c01e84e,0x7ffffc47,0xffffffff,0xff705a82,0x017dfddd,0x54ba01ec,
    0x0f8ba006,0x80f80f60,0xff903e5c,0x03f20dff,0x6666675c,0x07c02ecc,
    0x7901f2e4,0x085b8788,0xf00f1008,0x1ec5b001,0x6675c000,0x02eccccc,
    0x7020216e,0x3544c809,0x75405d00,0x203ffeef,0x3226405b,0xf03fffff,
    0x007dc1ff,0xb7000f88,0xf1007d40,0x0f1990f6,0x81f00000,0x5b85304b,
    0x2a003ea0,0x016e00af,0x5006b96a,0x3c81fa8b,0x00002e40,0xa9880b50,
    0x807b001a,0x2a00fa2e,0x3d803e0e,0x4be203e0,0x2000000f,0x2035402e,
    0x1f2f880f,0xb8788790,0xf105a805,0xf8801f00,0x1c007e20,0x035402e8,
    0xb8b500b7,0x1f426404,0x44007540,0x05b800ae,0x80000264,0x1f1003f8,
    0x9b016e00,0x4c1f8f80,0x2e20078e,0x2e1a6001,0x05b8b704,0x03c4026c,
    0x22d402dc,0x745a804d,0x2601f506,0x0571001f,0x2e202d40,0x201ec002,
    0x980be62e,0x79007c1e,0xf6a807c0,0x00ae2001,0x00f803c4,0x0fb5403e,
    0x5c3c43d8,0xf105a805,0x4d801f00,0x36200eb8,0x1f007886,0x16a016e0,
    0x984c8097,0x007a602f,0x0b7002e8,0x571004c8,0x8803ec00,0x80b7000f,
    0x1efa01f8,0x260035fc,0x7097000d,0x0b716e09,0x3c401f88,0x2d402dc0,
    0x6cc0bb62,0xeb80be65,0x20027cc1,0x0b5001d9,0x6c003b30,0x3ea17403,
    0x7c17d40b,0x0f81a600,0x8003efa0,0x04b801d9,0x007c0990,0x81f01f7d,
    0xa805b878,0x1f00f105,0x5f902e40,0x9701bd30,0x2dc13200,0x012e2d40,
    0x02fea099,0xc98005f5,0x6405b802,0x00766004,0x333017c4,0x64c0333f,
    0x07ae019d,0x5ed82f6c,0x01d37500,0xdc987d30,0x25b99999,0x2e019dc9,
    0x301e201e,0x333333b9,0x3ee0b733,0x0befeeef,0x3bee0172,0x26003ffe,
    0x32e01d9b,0x26e605dc,0x6ccc401d,0x9999999c,0xeefe882e,0x999f02df,
    0xf985dd05,0x0ff98099,0x01d9b980,0x8804d74c,0x9f981eb9,0x20ff9809,
    0x4c7885fb,0x999999dc,0x26665b99,0x4c1999f9,0xfc99999f,0xeefea806,
    0x35d303ff,0x07ae6201,0x33333b93,0x644b7333,0x039b301d,0x37fbbfa2,
    0x32b32002,0x04edcc02,0x30073662,0x64003b37,0xfffffb06,0xfff90bff,
    0x27f407ff,0x4fb817e4,0x00377100,0x3f29fff9,0xffffffff,0x7fffff95,
    0x07027f40,0x7fffffe4,0x05ffffff,0xa80d54c4,0x026a6000,0x70072a00,
    0xca807999,0x7fffc401,0xffffffff,0x00aa202f,0x540b3332,0x1bffff22,
    0xca8007e4,0x7fffe401,0x9fffff07,0x837fffe4,0x3806e0fc,0x3ffffff2,
    0xb5ffffff,0xffffffff,0x3ffff29f,0x4002ceff,0x3f200aa8,0xfff07fff,
    0x3fff29ff,0xffffffff,0x5ffff35f,0x01ffffa8,0xa8000aa2,0x7ffd402c,
    0x7fffec6f,0x000e5403,0x0000001c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99999980,0x12a00199,0x00660130,0x20013531,0x00999998,0x3005b500,
    0x6c007307,0x05eeeeee,0x05c40b88,0x0002da80,0x05c40044,0x008802e2,
    0x333332e0,0x013000cc,0x06628800,0x4402d980,0x2605c40b,0x99999999,
    0xb8800199,0x004c00bd,0x66666540,0x408001cc,0x71000000,0xeca8005b,
    0x2aa2002c,0x22001aaa,0x99999500,0x02000399,0x10040000,0x01555555,
    0xccca8000,0x3ee1cccc,0xffffffff,0x401fc803,0x6405b05b,0x404fedef,
    0x4ffffff8,0x00bfd000,0x01fe83fb,0x55555530,0xc89f7003,0x0dfb003f,
    0x401f4c00,0x41fe44fb,0x0ea3ffe9,0x66666654,0x7ffd400b,0x5a800ae2,
    0x6fd800f2,0x3f21fdc0,0x3fffff23,0x0fffffff,0x32f7f200,0x19ffd302,
    0x9993012a,0x80039999,0xd301ee5c,0xc8ad8005,0x959f9001,0xcde8807f,
    0x3005cccc,0x3332607d,0x8001cccc,0x400001fa,0x777ecc69,0x401cdecc,
    0x993001ea,0x40399999,0x0ed80078,0x32217d00,0x881bd106,0x3f1000ed,
    0x5d50001f,0x07307300,0x5c400000,0xa8005c40,0x7f30002e,0x7102e200,
    0x3f667b01,0x800002fe,0xdddd52d8,0x792dc001,0x20175400,0x405c40b8,
    0x000f805b,0x4f6001f7,0x001fefd9,0x43b20000,0x33ea01fb,0x44b1004e,
    0x440eb805,0x5807a02f,0x0003f980,0x007f2000,0x26603333,0x33f25c99,
    0x64015cb1,0x00003fbf,0x36003c40,0x3f26000e,0x09d01cff,0x2b7005c8,
    0x0000002d,0xb0b90000,0x00000009,0x00bea000,0x2e200000,0x00aa8800,
    0x40014c00,0x0000b64b,0x02dc0000,0x04e8007c,0x30054400,0x99881333,
    0xa8764019,0x447f201f,0x70d800ed,0x901f8807,0x0b016609,0x4cc02fa8,
    0x01999999,0xf7003b60,0xffc89fff,0x8bf30cff,0xed880ae5,0x3301bd10,
    0x33333333,0x001e2033,0x40180003,0x005d006a,0x4c01aa3d,0x19999999,
    0x13333310,0x6f87f800,0x44026660,0x4ccc4199,0x00999999,0x333001d8,
    0x33333333,0x99999983,0xbfd30199,0x31005bfb,0x00013333,0x99817499,
    0x99999999,0x4ccccc19,0x05b81999,0x03f000f8,0x26009988,0x3fff6199,
    0x7ffff46f,0x01d83605,0x012e0366,0x2e013b66,0x24c1e605,0x803b0020,
    0xfffffffd,0x0d9804ff,0x3e00f100,0xb960fdc0,0x16412e02,0x3ffffff2,
    0x80ffffff,0x04ccc078,0x4cc19988,0x41999999,0x80d5002f,0xb003e279,
    0xffffffff,0xffff889f,0x044004ff,0xfffb8044,0x2ffff887,0x3fffffee,
    0x00003fff,0x3ffffff2,0xb0ffffff,0xffffffff,0xa83fa89f,0x3ffe202f,
    0xc8004fff,0x3ff207a3,0xffffffff,0xffffb0ff,0xb89fffff,0xf1003805,
    0x06fff980,0x44bffffb,0x0001f007,0x00000000,0x83c407b0,0x000001fa,
    0x00003c40,0x1f007880,0x0ae587c8,0x016e0000,0xb81e203e,0xff887fff,
    0xffffb2ff,0x229fffff,0x9007c007,0x44003c89,0xf9f88007,0xd0000000,
    0x4b85c807,0x54401740,0x16e17441,0x03c403e0,0x1e9807e6,0x01f3f100,
    0x807e2d80,0x100f805b,0x688b700f,0x400f1000,0x207c02ff,0x001f0078,
    0xa8800151,0x20000009,0x47edb82e,0x003eabda,0x20013510,0x02620078,
    0x00788062,0x2c0fc81f,0x02a60057,0x03e016e0,0x00fa01e2,0x207880b9,
    0x0174006a,0x4006983f,0xb5b80078,0x20000005,0x01f300f9,0x202e4097,
    0x8cffeffc,0xf805b85e,0x3e80f100,0xb800ea80,0x553005b5,0x557f559d,
    0x01f00b70,0x116e01e2,0x7775400f,0x3e02eeef,0x103e00fb,0xb803e00f,
    0x203ffeff,0xcffefec8,0x217fee2c,0x0f84fff9,0xd1eb3fa2,0x91003d90,
    0x599ffdfd,0x75403c40,0x3ff64fef,0xf007880e,0x72c4f981,0x77fec405,
    0x016e03ff,0x201e203e,0x01f300f9,0x012e0788,0x41aa07b0,0x01e2001e,
    0x203547a0,0xff985ffb,0x741ae04f,0x3ea09703,0x443bd100,0x0b705fdb,
    0x81e201f0,0x00ba006a,0x5c03547a,0xefeeefee,0x402dc0de,0x700f100f,
    0x00ffffff,0x55fdd544,0x1363e00a,0x803c40f8,0x41ee880f,0x6fc40ee9,
    0x47fb510a,0x93305b98,0x136c1f09,0xcd981c8f,0x215bf100,0x2203fda8,
    0x3a62c807,0x0fb88dca,0x80f803c4,0x15cb0cfa,0x930adfa8,0x2016e0bf,
    0x2e00f103,0xf1007d06,0x360025c0,0x16e07b03,0x4c007880,0x98803e27,
    0x0993305b,0x7035c3e8,0x7405f109,0x5c1bb604,0x1e203805,0x12e003c8,
    0x007c4f30,0x701e23f0,0x3c40700b,0x54ccedc0,0x00f10007,0xf80fc47c,
    0x0f803c40,0x22ec04d8,0x20fa206b,0x7c26405a,0x4c7887e0,0x707d500e,
    0x101f440d,0x3fea000f,0x01e22740,0xeec8807c,0x0fe20ae7,0x88b709d0,
    0x400f1006,0x88035c3e,0xd001aa07,0x999bf105,0x2001fb99,0x22640078,
    0x405a803c,0x887cc04c,0x04d8001f,0x9b5d816e,0x00688b70,0x002d81e2,
    0xc8990166,0x3cc3e003,0x00d116e0,0x22dc03c4,0x0f100078,0xf05b87c0,
    0x1f007881,0x2e8806a8,0x80a803ea,0x7c26405a,0x43c41f10,0x517203e9,
    0x1005401f,0x17e2000f,0x200f11ea,0x2e68800f,0xfa806d82,0x01e22dc1,
    0x1f3003c4,0x3c4007e2,0x0f800f30,0xccccceb8,0xf1002ecc,0x34c1f800,
    0x13202d40,0x001ed720,0x40ba035c,0x16e1a65d,0x03c400f1,0x03c4003f,
    0x200d307e,0xb80d30f8,0xf1003c45,0x1010b700,0x7c00f100,0x103e0ba0,
    0x7b03e00f,0x7db12e00,0x202d4003,0x8f20f84c,0x407ae078,0x00df6c3b,
    0x51003c40,0x87e05f13,0x001f0078,0x02f82b96,0xfffb87b0,0x0f1007ff,
    0x007b5c80,0x00ba03c4,0x402e835c,0x00f1006a,0x401e8354,0x8026405a,
    0xf98006de,0x76c07c01,0x3fee1e20,0x22007fff,0x88007a07,0x0f41aa07,
    0xccfccc88,0xfb82ccfd,0x2007ffff,0x805b8078,0x0078805a,0x0f86a83e,
    0x40f803c4,0x70d5001e,0x407bffdb,0x7c26405a,0x3eefbe60,0x20336200,
    0xdffedb86,0x44078803,0xeffeefec,0x22feeeee,0x001f0078,0x77c42b96,
    0xeeeeeeee,0x4cedc4ee,0x0f1007a9,0x800dbd00,0x80354078,0xf007882e,
    0x400f1001,0xa80b703d,0x98026405,0x03e8001f,0x03b607c4,0x99db81f1,
    0x1e2007a9,0x166002d8,0x20b703d8,0xdccfdcc8,0x9db82cce,0x22007a99,
    0xa805b807,0x20078805,0x03e1ec0f,0xd03e00f1,0x101a6003,0xb501bd95,
    0x81e84c80,0xa802edda,0x8809512e,0x2200deca,0x82b7e607,0xaaaaabf8,
    0x2201e20a,0x15cb000f,0x2aaaafe2,0x41aaaaaa,0x8803c45b,0x01f98007,
    0x2f403c40,0x025c1760,0x078804c8,0x9999bf10,0x2d401fb9,0x7c401320,
    0x802e4000,0x2603b64e,0x03c45b86,0x01e40f10,0x37e20970,0x0fdccccc,
    0x809734c0,0x1003c45b,0x500b700f,0x400f100b,0x1f07cc0f,0x0f880788,
    0x04b801ec,0x02d42740,0x000b6132,0x017bdb00,0x1e204e80,0x03f104c8,
    0x1e600f40,0x3a0ae580,0x216e0001,0xf3333080,0xf1003333,0x80788001,
    0x6ec41ee8,0x009ae980,0x8803d731,0x999d7007,0x405d9999,0x8026405a,
    0x3e6000f8,0xd97c8d00,0x16e13601,0x03c40202,0x817400d5,0xcccccceb,
    0x92d402ec,0x8085b809,0xc980f100,0x9999999d,0x078805b9,0xf97203e0,
    0x3cc01e80,0x22e8035c,0x5a879805,0x02dc2640,0x05834000,0x81e20798,
    0x007f103c,0x017201e4,0x1720ae58,0xa805b800,0xffffffbd,0x7c403fff,
    0x803c4000,0x4ffeffc8,0x0fffff90,0x813ffffe,0x805d0078,0x9016a06a,
    0x003e2009,0x41f017c4,0xd500eee8,0xb500b701,0x07d01e20,0x0ba01d50,
    0x25a80d50,0x402dc03c,0x640f105a,0xffffffff,0x9805ffff,0x2203e007,
    0x07901f2f,0x807d05c8,0x9007e25c,0x3201f10d,0x001f884f,0xf107201c,
    0x2206c803,0x7ec1aa07,0x7cc0980f,0x4003f300,0x01f40ae5,0x2016e0c4,
    0x8003d85a,0x3c4000f8,0x0073ea00,0x00362000,0x00f100f1,0x807c403e,
    0x1f1004fc,0x1f013600,0x6442dfd8,0x500b701f,0xf301e20b,0x880f4c05,
    0x5c01f007,0x0b700b64,0x01e20b50,0xc801dc00,0x5403e004,0x01f501f6,
    0x6f4407e6,0xf1076c40,0x40bea05f,0x6ef6cc4d,0x2880eb80,0x22074058,
    0x05f502ff,0xb13a03c4,0x3621bbfd,0x4c1eb81f,0x572c004f,0x26033e60,
    0x402dc3fc,0x8003445a,0x3c4000f8,0x579bf900,0x8000ae21,0x8078803a,
    0x4099004b,0x6ef6cc4d,0x800f8800,0x907c00ea,0xfddff93d,0x402dc01b,
    0x500f105a,0x02fa817f,0x0264012e,0x2e016c99,0xf105a805,0x401a0000,
    0x03e001f8,0xd700fbe8,0x4404f983,0x84feeefc,0xeeefeae8,0x3fa602ef,
    0x3ff94ffe,0xf9759f90,0x0f6a0b05,0x3bbfaba2,0x99982efe,0x441999f9,
    0xb68dfefe,0x5c01bfdf,0x003ffeef,0xc880ae58,0x0cffeeef,0x4cccee4c,
    0xe85b9999,0x3e200150,0x803c4000,0xfeccdefd,0x20000dff,0x2662bad8,
    0x41999f99,0x31009ae9,0x3fa603d7,0x3ff94ffe,0x267e6660,0x2666fe01,
    0x50f99999,0x04d4c41d,0x26677260,0x25b99999,0x999f9999,0xfddfd101,
    0x4d74c05b,0x03d73100,0x2601e8f2,0x999999dc,0x26665b99,0x001999f9,
    0x6d493590,0x26003fdc,0xff98099f,0x3fbbee00,0x2a62003f,0x55530009,
    0x00d44003,0x055ee4c0,0xceeeeec8,0x35553002,0x3fffff60,0xa884ffff,
    0x40015301,0xd10009a9,0x3bb67ddd,0x80554c03,0xfffffffc,0xa85fffff,
    0x999804fd,0x2660199f,0x01999f99,0x0004c011,0x3f62b880,0xffffffff,
    0x0fffff94,0x813ffffe,0x7ec001a8,0x05ffffff,0xffffffff,0x00001fff,
    0x3ffffff2,0xb5ffffff,0xffffffff,0x0154409f,0x83ffffe4,0xa84fffff,
    0x7fe40321,0xffffffff,0xffffb5ff,0x009fffff,0xca839710,0x7ffe4002,
    0x001f906f,0x00001353,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0x85ffffff,0xfffffffd,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000020,
    0x20080000,0x00200000,0x88100000,0x40000800,0x000002da,0x99999950,
    0x00800019,0x08000000,0x00000400,0x00000002,0x981d4000,0x16412e04,
    0x00003710,0x2a815c01,0x04006000,0x0aa05700,0x4c000200,0x441e4009,
    0x2076201d,0x154c0059,0x55500026,0xb0000800,0xe880001b,0x2aa62005,
    0x1bb02e40,0x02744000,0x20007aa0,0x007d11f9,0x770001bb,0xd8800771,
    0x33326004,0x0000bccc,0xd50009d1,0x5e880003,0x0006ec00,0x20013a20,
    0xd50001ea,0x407c4003,0x43ba202e,0x5b900de8,0xb10001b9,0x7c434c0b,
    0x09fb0001,0x9800ffc4,0x4001f886,0x57fa00fb,0x00dffffb,0x027ccbd3,
    0x05f71fdc,0xb87f6c40,0x3ba6006f,0x09f7000f,0x0003b600,0xf9002f44,
    0x3ea9fdbd,0x00076c00,0x32002744,0x22003fbf,0x4009d13f,0x234000ed,
    0x377a6006,0x0000000e,0x90009d30,0x20007f7f,0xdb0005e8,0x17a20001,
    0x0ff3ee00,0x07f7f900,0x6dcdf640,0x7f7f9006,0x012624c0,0xdb00bd10,
    0x680bd737,0xf9813aa0,0x2fb6002f,0x64005eb9,0x6f5c401e,0x88136a1d,
    0x2002fced,0x000edde9,0x02f543e0,0xfb000f80,0x0fe4000d,0x400fe600,
    0x76c40de8,0x03f9001f,0x1001fcc0,0x037a21db,0x02f47d10,0x9000fe40,
    0x7d401263,0x3100bf23,0x00013333,0xb1000fe6,0x0037a21d,0x40003f98,
    0x7cc001fc,0x876c4004,0x6c400de8,0x001bd10e,0x000b7b26,0x81c803d5,
    0x013a6005,0x801ceca8,0x801d100f,0xeca8002a,0x076c001c,0xf105fa80,
    0x001eb801,0x80004d88,0x3600b20f,0x1eefeeee,0x00005c40,0x0590012e,
    0xdf102740,0x2004b800,0x825c002c,0x951dc02c,0x0025c000,0x2001bdb1,
    0x2206a81e,0x04ffffff,0x70005b00,0xc800b209,0x09700002,0xb8002d80,
    0x4b807904,0x00000590,0x581c8000,0x0000f200,0x15c03e00,0x00000000,
    0x354005a8,0x00000f60,0x87c00000,0x5553005a,0x000157f5,0x00000000,
    0xdbb01aa0,0x00000005,0x00000000,0x00000000,0xf8800000,0x000000f9,
    0x00000000,0x00000000,0x00000000,0x0006a600,0x498026a2,0x0000024c,
    0x0f800544,0x02662000,0x00000000,0x04c80b50,0x20002662,0x04c000a9,
    0x0330003e,0x02a6001f,0x000d4c00,0x17c00a98,0x00d51d70,0x51000151,
    0x01510001,0x53000000,0x03530001,0x00133100,0x000b6b70,0x00002662,
    0x00000000,0x01a98000,0x53000000,0x3fb22003,0x4402ffef,0xccffefec,
    0x0dcadc82,0x3ee00000,0xfc83ffef,0xffffffff,0x3fbfea05,0x3ee2b9ef,
    0x4fff985f,0x2d401000,0x3fea1320,0x02b9effe,0x7ffdffb1,0x2efffb80,
    0xdfb3001f,0x803e1bff,0x3ffeffd8,0x77ff6440,0xfd8802ff,0x7883ffef,
    0x00f83ea0,0x07ffdff7,0x7ffdff70,0xffdff700,0x30bff707,0x6c409fff,
    0x203ffeff,0xffeffec8,0xfeffa802,0xe802b9ef,0x7d400d51,0x2b9effef,
    0x40bfffe2,0x3ee6fffa,0x4fff985f,0x7cc2ffdc,0xfd9104ff,0x2e05ffdf,
    0xfff985ff,0xdffd9104,0xaca805ff,0x4403ea20,0xfb510adf,0x5106e207,
    0x3fffee3b,0x443fffff,0x0774c1ee,0x3333f331,0x07b60133,0x4c47ff73,
    0x0993305b,0x3221fffb,0x05a82eff,0x307b6264,0xbf507ff7,0x417f2615,
    0x3ebe61ec,0x105fcc00,0x2a01f1d9,0xbf930adf,0x51056540,0x56fd401f,
    0x6a8bf930,0x42e85f10,0x774c1ee8,0x4c1ee880,0x1ee880ee,0x7310774c,
    0x4132660b,0xf930adfa,0x882b2a0b,0x07b600fa,0x9807ff73,0x36003e27,
    0x1ffdcc1e,0x73006fa2,0x82dcc41d,0x5cc44c99,0x20993305,0x3ea20aca,
    0x305b9880,0x2b2a0993,0x0003ea20,0x40d704b8,0xdb8803e8,0x2676e0be,
    0x41fb9999,0xf82ec04d,0x803ae000,0x405a83fa,0x8f99884c,0x83f31de9,
    0xd726405a,0x221fd401,0x2627403f,0x00ff980f,0xfeb807e2,0x7403f880,
    0x20970004,0x727403f8,0x0f613a09,0xd85d809b,0x26c2ec04,0x016a1760,
    0x807f1099,0x04b8004e,0x1fd401d7,0x80791320,0x0fea00eb,0x81e400f2,
    0xa826405a,0x80026405,0x9016a04b,0x012e0009,0x1f507980,0xdb880540,
    0x20b700bd,0x403541f9,0x000f82e8,0x07b003f1,0x404c80b5,0xb5003fbf,
    0x03f14c80,0x806d87b0,0xe81761fa,0x2013200f,0x806d80fd,0x798001fa,
    0x3f500db0,0x6c17212e,0x3a201aa3,0x3a201aa2,0x3a201aa2,0x13202d42,
    0x07ea01b6,0x3f10f300,0x1f807b00,0x03f1034c,0xa8b507b0,0x5a81741f,
    0x05a82640,0x79800264,0x099016a0,0x4c01e600,0x207889aa,0xb8801bed,
    0x18800bde,0x03d82f88,0x001f0970,0xa80401aa,0x3e026405,0x016a001f,
    0x0401aa99,0x23d8017c,0x803ee02f,0x80f9800e,0x807b002f,0x07889aa9,
    0x54f6005f,0x2e8075c6,0xb25c00f6,0x3d92e007,0x05a89700,0x8017c264,
    0x26aa603d,0x006a8788,0x3d06a801,0x80401aa0,0x3e27ec78,0x4c80b500,
    0x04c80b50,0x7889aa98,0x099016a0,0xf1135530,0x777fe440,0x6dc07ffe,
    0xa883dffe,0x8016dc40,0x003d03e8,0x4003e1aa,0x2d40004b,0x03f01320,
    0x900edc40,0x440012e9,0xeeeeeeef,0x1f14eeee,0x78807cc0,0xf881f100,
    0xeeeeeeee,0xfc884eee,0x87ffeeef,0xeeeeeef8,0xf34eeeee,0x41f00fcc,
    0x74d5001e,0x0f4d5001,0x02d46a80,0xdddf1132,0xdddddddd,0xeeffc889,
    0x04b87ffe,0x2e07b000,0x00009705,0xd33d7c3f,0x13202d40,0x413202d4,
    0xfeeeffc8,0x9016a07f,0x3bff2209,0xd107ffee,0x801ea03b,0x400deca8,
    0x805b8ad9,0x4007a04e,0x9000f869,0x05a80009,0x003e0264,0x81ffffcc,
    0x2000994c,0xaaaaabf8,0xf31aaaaa,0xf100f880,0xf103e200,0x55555557,
    0xde883555,0x7f10f501,0x55555555,0x74574355,0x03d1ae02,0x001e9a60,
    0x9800f4d3,0x13202d46,0x555557f1,0x44355555,0x90f501de,0xbf100009,
    0x1fb99999,0xb0000990,0x5b975aa5,0x099016a0,0x1099016a,0x81ea03bd,
    0x4426405a,0x20f501de,0x003c406c,0x40d809d0,0xb017601b,0x3e12e007,
    0x000b5000,0x026405a8,0x2000003e,0x4000b54c,0x05f0001e,0x01d007dc,
    0x03d01f30,0x22036400,0x20003d07,0x17c04dea,0xb25c00f6,0x3d92e007,
    0x05a89700,0x000f4264,0x43c406c8,0xeb80005a,0xeccccccc,0x80005a82,
    0x652e7b4b,0x99016a03,0x099016a0,0x207880d9,0x6426405a,0x2f83c406,
    0x80583cc0,0x22162079,0xd700d904,0x03e0ba00,0x00007cc0,0x404c80b5,
    0xd800000f,0x20001f33,0x09d0005c,0x079007f4,0x0b901f90,0x26017c00,
    0x4000b907,0x5c2ec07e,0x35c5d006,0x01ae2e80,0x9016a174,0x2000b909,
    0x4c3cc02f,0x1740000f,0x03e61aa0,0x43ed3000,0x2d403d78,0x02d41320,
    0x300be132,0x3202d40f,0x3cc02f84,0x1fa603d8,0x0d9007e2,0xeb83a858,
    0x01f42880,0x00174172,0x10f500b9,0x013f201f,0x8800001f,0x2a01721f,
    0x18803e87,0x07fc41ea,0x7d403f30,0x1007d00f,0x3a603d83,0x2200fa07,
    0x303bbea1,0x00fa01bd,0xc807d0b9,0x2e403e85,0x4fc807c4,0x431007d0,
    0x41fa603d,0x887a805c,0xb901f007,0x3e20f500,0x203d746a,0x09f900f8,
    0x27e403e2,0x0fd301ec,0x4fc807c4,0x1fa603d8,0x3ee20f4c,0x3fe209fc,
    0xc805f502,0x03ea06c2,0x037a234c,0x3aa01db1,0x3a25da80,0x02fd981e,
    0xdded989b,0x00003e00,0x77445e88,0x982fd981,0x3fc980cf,0xf5d1076c,
    0x41fcc015,0x980af9eb,0x3fc980cf,0x3ee20f4c,0xcf9809fc,0xf33fc980,
    0x3ffbbf23,0x206f4404,0xde880ed8,0x44076c40,0x076c40de,0x6f6cc4d8,
    0x80cf980d,0x07a63fc9,0x813f9f71,0xfd981ee8,0x99004b82,0xb303dd10,
    0x21ff405f,0x44d806fb,0xb00dded9,0x0dded989,0x3ee20f4c,0x89b009fc,
    0x4c0dded9,0x7e7dc41e,0xfefeb809,0x0fff88df,0xdddfd5d1,0xb91005df,
    0x9af985b9,0x86b99999,0x4feeefc8,0xfeeeec80,0xeffb80ce,0x2600cffe,
    0xf94ffefe,0x4fcccc3f,0x30009999,0x5c05dfdd,0x0cffeeff,0x3bbbf220,
    0xdf900cff,0x03ffe5fd,0xdfeefe98,0x9105fff0,0x19ffdddf,0x3ffbfae0,
    0x80fff88d,0xffeeefc8,0x2a60f60c,0x3bf22001,0x64404fee,0x404feeef,
    0x4feeefc8,0x7ff7f4c0,0x9103ff94,0x19ffdddf,0xbffdfd70,0x701fff11,
    0x19ffddff,0x20135d30,0xf701eb98,0x019ffddf,0x27c40fc8,0x7ff7f4c0,
    0xd303ff94,0x3f29ffdf,0x7f7f5c1f,0x0fff88df,0x4ffefe98,0xfeb83ff9,
    0xff88dffe,0x0035100f,0x006aaa60,0xfffd80c0,0x06ffffff,0x00026a62,
    0x54c00353,0x0d44001a,0x7ffffdc0,0x2006ffff,0x2a6001aa,0xaa98001a,
    0x00351000,0x0009a880,0x8002aa60,0x4c0001a8,0x000100aa,0x01353100,
    0x004d4c40,0x00135310,0x30000d44,0x2a200155,0x2aa60001,0x3ffff201,
    0x9fffff07,0x000d54c0,0x1a880000,0x00351000,0x40003510,0xa88001a8,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00100000,
    0x02b80018,0x80000055,0x00010008,0x0006f2e6,0x26200066,0x5b004001,
    0x09700b30,0x555540b2,0x3601aaaa,0x5500d882,0x55555555,0x03797303,
    0x200bcb88,0x000c00c8,0x0a88000c,0x0aaa0000,0x00001554,0x880b32a2,
    0x332a2001,0x2e000002,0x44005904,0x15300099,0x15531000,0x4c000000,
    0x0020002c,0x21720000,0x1fa8004d,0x559fd100,0x21a603fb,0x0f5c01f8,
    0x801f4c00,0x6fdc004d,0x7fcc3fdb,0xfeffd88f,0x77f4c02d,0x3fff0dff,
    0x3fa82fec,0x3a200fee,0x201bd10e,0xeeeeeeee,0xfa93e605,0xddddf103,
    0xc87fdddd,0x304febef,0x209fb9ff,0x01e204fc,0x05fff5c4,0x77f7fd40,
    0x4009ff93,0x74c0fee9,0x880000fe,0x81dbcefd,0x2600fffa,0x0dfdbced,
    0x3fffff20,0x1dd101ff,0x710037a2,0x03fffffd,0x7ffdffb1,0xdffcac40,
    0x7dc01efe,0x03ffffff,0x4cefe7e4,0x05fb804e,0x1fe000d0,0x5f7001be,
    0xfffb8800,0x4df6c00a,0x676c05eb,0x0fe6002f,0x800de880,0x217cc1fa,
    0x40ce9f99,0x17f702fb,0x0d7cfe44,0x2201fff1,0x4001ecde,0x7404fbfc,
    0x3ba20001,0x01e201fc,0x4c1ec8f6,0x261fc44e,0x203fc82d,0x23b90078,
    0x17dc06c9,0x027333a6,0x1f007c00,0x0de98000,0x03fff700,0x17620be6,
    0x13333330,0x09f7f900,0x01107720,0x32615bf5,0x39df305f,0x99807f70,
    0xb8019999,0x4013fae0,0x01f006fc,0x01101100,0x3000fe40,0x0bb15bfb,
    0x8073b2a0,0x09f30de8,0x20005f50,0x81f400ed,0x405ff06b,0x00fcc2f8,
    0x5b701ff5,0x0001b900,0x07a00baa,0x003b2000,0x7c47e00e,0x2d41f502,
    0x1fdc0e88,0x1f100f10,0x03e603d0,0x40003fe8,0x0003e00f,0x44003f88,
    0x802202cb,0x000001f9,0x7c400baa,0x807f1000,0x403f984e,0x000001fb,
    0x17100040,0x00003e00,0x006c4000,0x0fa02a60,0x10790000,0x001e803b,
    0x1f502e40,0x17e07e20,0x007b16e0,0x000001f9,0x0f400000,0x00000000,
    0x7c06a9e6,0x44c80f62,0x03e203fb,0x412e0b50,0x01fc403e,0x0f803e00,
    0x00136000,0x07b00000,0x00003530,0x36005b80,0x4c1fa806,0x000d7007,
    0x00000000,0x000007c0,0x00000000,0x153003d1,0x00000000,0x80f70000,
    0x8802f83d,0x7cc007c7,0x00000000,0x0f400544,0x00d4c000,0x0d526400,
    0x401f12e8,0x4417d459,0x83adfffb,0x3e09905b,0x3003e800,0x07c01f03,
    0x1f500266,0x80000000,0xffec881f,0x00002ffe,0x17c00b70,0x00183d80,
    0x17fee3f1,0xf713ffe6,0x9fff30bf,0xfff90000,0x8bffffff,0xff985ffb,
    0x0033004f,0x8bdffdb8,0xdffb106b,0x000007ff,0x64000000,0x07c26405,
    0x00f11e80,0x7dc003e2,0x4fff985f,0x7ff7fdc0,0x0cc47a03,0x77ff6440,
    0x3a0002ff,0x3d407e21,0x234401f1,0x85fd42fa,0x2dc1fea8,0x03cc0fd4,
    0x3f6603d8,0x01f0dffe,0xfeffc87c,0x0007901e,0x07b80000,0x7d441595,
    0xfffffb80,0x3ea3ffff,0xdf1005ff,0xdddddddd,0xe80009dd,0x260b7313,
    0x2dcc44c9,0x7dc4c998,0xffffffff,0x267e6623,0x4c409999,0x4993305b,
    0xfff75fe8,0xbee880bf,0x87afca99,0xf930adfa,0xfffff10b,0xffff8801,
    0x7ffc400f,0x00f600ff,0x2003f0b7,0x3001f10f,0x7311601f,0x4132660b,
    0x774c1ee8,0xfffede80,0x82b2a04f,0x98000fa8,0x74c1ec87,0x1fb01f44,
    0x05f10fd4,0x64b707e6,0x00f103ff,0x05fcc0f6,0x401f1d91,0x2e20de9f,
    0x2a21e83f,0x800b1001,0x001fda98,0x33b70970,0x83f73333,0xf1005c99,
    0x55555557,0x80003555,0x3202d44c,0x4c80b504,0x4ccccedc,0x01f01fb9,
    0x26405a80,0x98777ae2,0x9813a05d,0x00fe21ef,0xf333109d,0xf3331001,
    0xf3331001,0x2a017401,0x79803f85,0x07dc0174,0x02d407c4,0x2026c132,
    0x11bdd85d,0x2e000dd7,0x705b8004,0x907ff9df,0x987baa0d,0x0501f21f,
    0x1fedccb7,0x83f801f8,0x3fae01f8,0x9813fe00,0x7ec47c1f,0x34c01ffe,
    0x03fff600,0x5b879800,0x2dc03f30,0x10003d00,0xffffffff,0x89ffffff,
    0xa826405a,0x16e26405,0x01f00fcc,0x26405a80,0x1f882fd4,0x3fa805c8,
    0x07ea01b6,0x1f0001f0,0x7401f000,0x7fc2d402,0x3ae1f400,0x203fe200,
    0x405a80f9,0x8806a84c,0x01fc002e,0x74003cc0,0xffbff702,0xfb877605,
    0xd83e62d8,0x305b8003,0xc80d709d,0xd804c83f,0x201be00f,0x8ef5e25c,
    0xdd701fc8,0x1db51000,0x11355300,0x5f10310f,0x32005b80,0x99f88005,
    0x99999999,0x02d44c99,0x202d4132,0x7c40c44c,0xccfccb82,0x02d402cc,
    0xb01aa132,0x3a003d07,0x1ec00be4,0x3e0003e0,0x200f8000,0x7c2d402e,
    0x06d881ec,0xf9d301db,0xb503f301,0x03d84c80,0x6c800970,0x444d54c0,
    0x407c4007,0x427542ec,0xd1dfefd8,0x07b07c43,0x7440b700,0xeb80de82,
    0x9800e83d,0x200be00f,0xc82efc78,0x0016fcc6,0x6440fdc0,0x7ffeeeff,
    0x7007d100,0x803e800b,0x90003e18,0x26405a89,0x026405a8,0xccc81f44,
    0x403ccccf,0x5426405a,0x1e226405,0xddf15c80,0xdddddddd,0x000f809d,
    0x0f8000f8,0x0b900f60,0xb79bf51f,0xbdfc809f,0x301f3fdc,0xc80b503f,
    0xd5001e84,0xc8879800,0x7ffeeeff,0x7cc2d400,0x2203f300,0x91a07c0a,
    0x80b7000d,0xbdfd886a,0x443c8dec,0x401f1007,0x743f001f,0x263f300f,
    0x6400002f,0xa80ef444,0x2009d007,0x67cc005b,0x363fc980,0x2a16c002,
    0x5a826405,0x27402640,0x54000f80,0x2d426405,0x00f11320,0xaabf8a64,
    0xaaaaaaaa,0x40007c01,0x00f8000f,0xf09d0132,0x06f32a21,0x05665cc0,
    0x505f501f,0x1e84c80b,0x8800d300,0x4077a20f,0x416c007a,0x001ec05c,
    0x03f300d3,0x3c405b80,0x64379730,0xf8803c43,0x74007e00,0x25d00b61,
    0x9800004c,0x1e203646,0x5b801760,0xeefc8800,0x2e40cffe,0x5a81f100,
    0x05a82640,0x01760264,0x2d4000f8,0x016a1320,0x2003f099,0x00007a2e,
    0x0f8000f8,0x2e00f800,0x07c17c05,0x07c00000,0x02d417d4,0x400f6132,
    0x23cc004b,0x003c406c,0x700f603e,0x802ec00b,0x3ee20cfb,0x07c02dc0,
    0x0741e400,0x5f007cc0,0x04b8f100,0x0001f8f4,0x017c7880,0x00d901e6,
    0x640005b8,0x0be200ad,0x02d426c0,0x202d4132,0x001b204c,0x05a8001f,
    0x202d4264,0x8804d84c,0x0001720f,0x0f8000f8,0x2200f800,0xf01f300f,
    0xf0000001,0xb507f701,0x06b84c80,0x5b8005d0,0x01e6017c,0x80d906a8,
    0x01f5003e,0x7777fd40,0x0665b81c,0x5d0001f3,0x1f900790,0x35c02fc0,
    0x3a7981a6,0x64001404,0xfd301ec6,0x144075c0,0x340005b8,0xb803f500,
    0x3201f106,0x201f104f,0x01d704fc,0x000be051,0x13f201f1,0x1099016a,
    0x426c407f,0x4018803e,0x00f8000f,0x26c00f80,0x001f04d8,0x701f0000,
    0x201f107f,0x807d04fc,0x8807625c,0xd301ec1f,0x981e400f,0x003f301f,
    0x015105f5,0x96e00fd4,0x40035c5a,0x01f980f9,0xff803fea,0x3607e603,
    0x03e49903,0x220144f1,0x220f4c2f,0x5409fcfb,0x2e0d300f,0x032c0005,
    0xd9817f50,0xb313600e,0x13601bbd,0xa81bbdb3,0x320d300f,0xd85d981e,
    0x06ef6cc4,0x2099016a,0x774c0bfa,0x980cf980,0x007c03fc,0x7c0007c0,
    0x321fcc00,0x0001f00f,0xf901f000,0xdb313609,0x1bd101bb,0x7e40ed88,
    0x4c27d40b,0x7e7dc41e,0x200f8009,0x7f710bec,0x817ecc08,0x01e207ff,
    0x43e21b73,0x7d4002fa,0x2e0fe603,0x4c40af9e,0x3fa84e9f,0x32219d10,
    0x2616f41f,0x20bba27c,0xdfd704e9,0xfff11bff,0x2666be61,0x2626b999,
    0x00099dc9,0x1003ed98,0x07ffddfd,0x9ffdfd30,0x3a607ff2,0xff94ffef,
    0x2666be63,0x3206b999,0x0cefeeee,0x4ffefe98,0x36e63ff9,0x20199101,
    0x3ffdefe8,0x7777e440,0x4cc40cff,0x09999f99,0x4fccccc4,0x4cc40999,
    0x09999f99,0x0efefe98,0x7777f74c,0xdd500003,0x7dc3ddfd,0xffdfd303,
    0x2207ff29,0x04feeefc,0x3ffbbf66,0x3fbfae02,0x0fff88df,0x3ea01a60,
    0xef82ffef,0x3e00cefe,0xc81e207f,0x3bee5fff,0x3bba202e,0xe9802ffe,
    0xff0dfeef,0x23ffe65f,0x1efeefd8,0x7ff7ecc0,0xfeffd881,0xefea81cf,
    0xa8802ffe,0xffffb001,0x6cdfffff,0x06ffffff,0x4c400000,0x1a88001a,
    0x00351000,0xfffffffb,0x35300dff,0x200d4400,0x4c4ffffa,0x2200ffff,
    0xa98001a9,0xffff300a,0x3fffffff,0x3fffffe6,0xf31fffff,0xffffffff,
    0x02a603ff,0x0aaaaaa8,0x55510000,0x80181555,0x310001a8,0x54c00135,
    0x006a2001,0x1a980000,0x880054c0,0x0003400a,0x2aaa0051,0x9a88001a,
    0x1a980000,0x400d4400,0x30009aa8,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000d544,0x6c001dc4,0x4c01f444,0x200f541e,0x882d8028,0x7502b80d,
    0x00266200,0x98002b88,0x33301bcb,0x99998813,0x04d44019,0x3b100000,
    0x0aaa0b50,0x05e5c400,0x00075000,0x3a6174c0,0x01a98801,0x40aa6006,
    0x8000003a,0x200d7000,0x6402aaa9,0xfffa85ff,0x05554404,0x20198800,
    0x0001bba8,0x8aaaa600,0x15530018,0x13551000,0x26aa2000,0xb89f9100,
    0x5c0004ee,0x5d8aeecf,0xbf11be20,0xfb87f700,0x07fdb882,0x0fea4f98,
    0x07a2074c,0xdffdff50,0x33ee0573,0x105d8aee,0x87ff9bfd,0x22fffffd,
    0x5ffffffe,0x7ff7f644,0xfff502cc,0x5c07ffff,0x260bf22f,0x4c000fee,
    0x000ea8be,0x000366ec,0x3fb89f50,0x7f6f7e40,0xf101a60d,0x06cdd8dd,
    0x87ffec00,0x402effc8,0xeee8807c,0x2dcc407e,0xb104c998,0xb59ffbff,
    0xfffeb880,0x9dfd51ff,0x34003dfd,0x3f777440,0x7f6405ff,0x04a9effd,
    0x3b2f3bea,0xbfd9002e,0x5cb59ffb,0x04b82fff,0xfd505c00,0x8808801b,
    0x20603000,0x0079befc,0x803f9dd1,0x05eb9bed,0x3ee60f6c,0x7541703f,
    0x83f880df,0x006983ea,0x15bf103d,0x980ff6a2,0x80199999,0x800edcf9,
    0x4a80000f,0x000d3000,0x44030180,0x72ec40de,0x06acc80b,0x988000d3,
    0x31de98f9,0x003e403f,0x05a803c4,0x0ef44264,0xb9017f66,0x02fe1883,
    0xf1001f93,0x7e4f1000,0xc981bb01,0x0dd885ef,0xed809b10,0x2a5fd981,
    0x3bb22fff,0x002eeeef,0x00000080,0x44110000,0x00764007,0x401cec98,
    0x0fea00eb,0x02e40100,0x006981f5,0x440d703d,0x2000003e,0x03e004d8,
    0x000b6000,0x0000034c,0x32027400,0x3e602fbd,0x00d306a8,0x01fdfc00,
    0x44000c40,0xc80b5007,0x3e207b84,0x2003e205,0x2013a00f,0x27880078,
    0x9809b068,0x7002e85f,0xb003b20b,0x54c3eb8b,0x00aaaaed,0x00035300,
    0x440006a6,0x01e2000a,0x88000000,0x803d801f,0x007400a8,0x200d30be,
    0x200fa81e,0x00a9800a,0x00f80000,0x009fd300,0x800d3026,0x00a9800a,
    0x1fe80354,0x306a9ec0,0xf018800d,0x0000003f,0x0b500788,0x403d84c8,
    0x4016e05b,0x44035c02,0x36788007,0xd800fa81,0xccca9e45,0x7d43c82c,
    0x4005a800,0x4004cc4b,0xffeffec8,0x7ff64402,0xf7002ffe,0x1007ffdf,
    0x0000000f,0x00803540,0x1fff7fdc,0x6987b000,0x3b603d00,0x7ec4001b,
    0x0003ffef,0x0001f002,0x32202ea8,0x88034c1f,0xffb100ed,0x0ba07ffd,
    0x9aa03540,0x400d306a,0x003f03fb,0x0f100000,0x099016a0,0x5c01007b,
    0x0f300005,0xf1000f10,0x1002c804,0x98a634c5,0x3c83a20d,0x52e00000,
    0x00dffefc,0xfa882b2a,0x882b2a00,0x3ba200fa,0x100774c1,0xffff880f,
    0x7ffc400f,0x012e00ff,0x983dd100,0x1e8000ee,0x01e8034c,0x0f7ffb6e,
    0x930adfa8,0x1fffb0bf,0x40bbff22,0x3fffe20f,0xf5068805,0x700d301b,
    0x56fd409f,0x788bf930,0x8ba03c00,0x300d306a,0x007c03dd,0x1fffff10,
    0x50078800,0x6b84c80b,0xffffb800,0x005fffff,0x03c40264,0x07c03c40,
    0x14c2b800,0x0f4570e2,0xbb700000,0x0026d41b,0x5c000970,0xbb013604,
    0x4c403c40,0x98800f99,0x13200f99,0xd809b000,0x4c2e4005,0x2003d006,
    0x440deca8,0x2227403f,0x1de98f99,0xb81f03f3,0x598009bf,0xd3017ec4,
    0x100f74c0,0x2a4e807f,0xb80f4006,0x06983545,0x07c01fe4,0x3e666200,
    0x803c4000,0xd826405a,0x331000ae,0x133333b9,0x2a0fdc00,0xabfbaaaa,
    0x1e202aaa,0x6c000f10,0x50ea14c1,0x00001e29,0x3e209f70,0x00f30000,
    0x06a83cc0,0x0f102e88,0xf0001f00,0x0002d401,0x05d100d5,0x1a603ae0,
    0xe8000f40,0x7d4036c4,0x007f7f01,0x405f707c,0x21ea8acd,0x53100dfa,
    0x9fdc133d,0x2a01b600,0xd800971f,0x3541f883,0x8267aa62,0x1f000ee9,
    0x000f8000,0x05a803c4,0xdfb50264,0x0b70037b,0x07bae200,0x3f333332,
    0x203ccccc,0x0034c078,0x953730d0,0x01e6b109,0x2dc05100,0x2a600f60,
    0x3007889a,0x20f11355,0x2097003d,0x00f80078,0x3e600f80,0x007b0000,
    0x03ee012e,0x81e8034c,0x17c79805,0x3ff03d80,0x3d90f800,0x44597500,
    0xb97ea2ed,0xe99ccccc,0x0cdcca9e,0x73d8017c,0xd83d8009,0x665c6a84,
    0x3fc89ccc,0x00f817e6,0x20007c00,0x40f50078,0x953004fc,0x005b809f,
    0x88005dd0,0x40788007,0x21a00069,0xb105bac9,0x999881e6,0x1fff3099,
    0x04c80970,0xfdddff91,0x7fe440ff,0xd07ffeee,0x441aa003,0x000f8007,
    0x02e400f8,0x4007a3d4,0x00fdc06a,0x107a00d3,0x226c803f,0xeeeeeeef,
    0x3f04eeee,0x1db3f000,0x227dc000,0xfc805be8,0x12541d13,0xdddddddf,
    0x1aa9dddd,0x0f983d00,0xbf5006a8,0x3e05be81,0x007c0000,0x7d401e20,
    0x066f6cc4,0xb8176200,0x003d0005,0xf1000f10,0x20007880,0x09314c1d,
    0xff81e295,0xff76ffff,0xc809707f,0x501de884,0x4077a20f,0x2003d07a,
    0x000f1069,0x01f0001f,0xd981ee88,0x9800f42f,0x3007ee06,0x883d028d,
    0x45f502ff,0xaaaaabf8,0xf01aaaaa,0xbfdf0001,0x07ba2000,0xea816af6,
    0x89e0220d,0xaaaaaabf,0x0f11aaaa,0x503e8780,0x82fd880d,0x4ccc59bc,
    0x0099999f,0xf10003e0,0x3bfbaa00,0x03ff94ff,0xb700f880,0x00032000,
    0x1e2001e2,0x5c0007e0,0x90aa14c2,0x5a8007c5,0x2e07ffe6,0x36426404,
    0x03641e20,0x801ec1e2,0x000f104b,0x01f0001f,0x3fbbfee0,0x003d80cf,
    0x003b2097,0x3f0799a6,0xeefeae88,0x01e82efe,0x8000f800,0xb800bb3f,
    0x16ab504f,0x5c00bf62,0xe8000f45,0xff0b5002,0xffffffff,0x301bf505,
    0xfffb966d,0x06ffffff,0xf10003e0,0x0d456a00,0x2e8014c0,0x00000b70,
    0x88007880,0x0003d807,0x205dc4d1,0x1741d11c,0x05445a80,0x426404b8,
    0xf83cc02f,0x6b83cc02,0x1e205d00,0x20003e00,0x574c000f,0xe8035c01,
    0x3000ec82,0x07cc3ccd,0x806baa60,0x0f80005c,0x1760f800,0xe880f540,
    0x01b90b50,0x017216e0,0x2e803d40,0x99999998,0x02e881eb,0x0002cc3a,
    0x10003e00,0x0016a00f,0x3f1003ee,0x000016e0,0x1000f100,0x003f100f,
    0x3326970e,0x216c6443,0x00b5006b,0x426404b8,0x41fa603d,0x81fa603d,
    0x102e403e,0x001f000f,0x3d0001f0,0xb900fa00,0x4c001db0,0x0f703e66,
    0x1f400f40,0x00f80c40,0x02ec0f80,0x5cce6400,0x1320000d,0x418803e8,
    0x0026c05d,0xcc800354,0x2e00ea99,0x003e0002,0x16a00f10,0x9013ee00,
    0x4002dc0d,0x788002a9,0x70078800,0x436c401d,0x2099003d,0x005a804d,
    0x2132025c,0x67dc41e9,0x20f4c09f,0x809fcfb8,0x76c40de8,0x2001e200,
    0x00f8000f,0x8802c980,0x076c40de,0x10880376,0x97213d73,0x326003e9,
    0x4067cc02,0x01f03fc9,0x5e881f00,0x6665c000,0xd88002ed,0x4067cc03,
    0x76c43fc9,0x8002f4c1,0x9970006a,0x64405db9,0x001f0002,0x0b500788,
    0x059fd700,0x02dc03f7,0x00fffe20,0x1e200020,0xe982fc80,0x201d900d,
    0x3b6203e9,0x400bb302,0x9b301dc8,0xffdfd703,0x81fff11b,0x8dffefeb,
    0xc880fff8,0x304feeef,0x3333f333,0x9f999988,0x4cc40999,0x09999f99,
    0x0076af20,0x7f777e44,0x9999ec84,0xfb3c9999,0x3f63ffff,0x579003fe,
    0xdf91003b,0x9819ffdd,0x99999f99,0x301f3100,0x0000139f,0x3d3000b5,
    0xddf91018,0x64019ffd,0x00befeff,0x00f5cc40,0xb882cc00,0x998802c9,
    0x09999f99,0x4fccccc4,0x05a80999,0xffd8ca80,0x9881efee,0x19999dc9,
    0x80fffe20,0x99999998,0x26209999,0x9999f999,0x3bbfaa00,0xfd9803ff,
    0x001dfdcd,0xdfdddff7,0x3fe60017,0x7ffd42ff,0x0035101f,0x80006a20,
    0xfb009a98,0xffffffff,0x3ffffe69,0x31ffffff,0xffffffff,0x2a203fff,
    0xa988001c,0xffff9009,0x09ffffff,0x22001440,0xa98001ca,0xffff700a,
    0x30dfffff,0xfff01fff,0xed8000ff,0x7774003f,0x4c00feee,0x54c000aa,
    0xfff10000,0x6c0005ff,0x059503fe,0xffffff30,0x263fffff,0xffffffff,
    0x00081fff,0x01aa9880,0x3ffffffa,0x2a202fff,0x7ffff402,0x6fffffff,
    0xfffffff3,0x8803ffff,0x530000aa,0x54c40001,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26200000,0x00999999,0x80005544,0x00009aa8,
    0x2aaa9800,0x555554c0,0xaaaaaaaa,0x0dcc04c2,0x4ccc0000,0x0cccc409,
    0x40003551,0x6c02aaa9,0xffa84fff,0x000310ff,0x25c06cc0,0x98006600,
    0x00099999,0x33301333,0x99999881,0x99988009,0x99800999,0x41331009,
    0xff885ffa,0x06a6004f,0x0001ca80,0x33333333,0x99983333,0x44001999,
    0x9980003b,0x41999999,0x09999998,0x44000000,0x4cccc01b,0x99999999,
    0x99999981,0xfffa8000,0x82ffffff,0x2dfddfe9,0x979df500,0xff7005dd,
    0x107fffff,0x380fdddd,0x3fe27000,0xdfbffb15,0xfb003c03,0xffe8dfff,
    0x09dd95ff,0x3bbba200,0x04eec407,0x3fa1eb98,0x3f200003,0x3a207b61,
    0xbffff75f,0xfffffd80,0xf900ceff,0xfffc8bff,0x3ffffe25,0x7fc406ff,
    0x406fffff,0xff07fffb,0x82dcc5ff,0x32204c98,0x02ffeffe,0x5467e774,
    0x7ffe402e,0xffffffff,0xfffff50f,0x3ee009ff,0x05d8aeec,0xfffffeb8,
    0xf10fffff,0x4dffffff,0xffffd83b,0xd9801fff,0xff00eecf,0xffffffff,
    0xfffd8fff,0x00ceffff,0xf501e200,0x4405f507,0x09b100dd,0x33333330,
    0x0701e200,0xd3b70e00,0xf00eb839,0x803c4001,0x0004b80f,0x1f300f10,
    0x17e43d80,0x33ea0000,0x3ae200de,0x017661dd,0x3f95103e,0x099016e0,
    0x360002d8,0x403e8003,0xc80b505b,0x882b2a04,0x447100fa,0x26003ffc,
    0x303e0976,0x505c000f,0x74401bfd,0x3e0971ad,0xff307b00,0x99999881,
    0xb87b0009,0x87881f06,0xa881f079,0xf10001fc,0xd300fcc0,0x5c00ba03,
    0x44000005,0x38001c07,0xb901ff5c,0x788003e0,0x09701f00,0x401e2000,
    0x221e604d,0xd1000006,0x417ea007,0x007c01f8,0x80b701f5,0x0016c04c,
    0xf30007b0,0x5403e601,0x00026405,0x00000097,0x07c12e97,0x200001e6,
    0x5c1fc400,0x0f601f04,0x4000035c,0x03e03078,0x3e0f30f1,0x0003ea00,
    0x803e81e2,0x2e1e40ea,0x0f238bdd,0x10002a20,0x7000380f,0x3cc02fb8,
    0x1e2000f8,0x025c07c0,0x30078800,0x320f601f,0x00000002,0x03d80d50,
    0x9172007c,0x999999db,0x36019dd9,0x00f60002,0x03e82e40,0x0099016a,
    0x00003cc0,0xf04b96c0,0xeeeef981,0x0cc001cd,0x04b82ec0,0x640f601f,
    0x4b800003,0x1e207c00,0x2007c1e6,0x0788005c,0x317400d5,0x135c3b8d,
    0x3bfee01d,0x0f1003ff,0xb8700038,0x3f61f005,0xffffffff,0x1f007886,
    0x00198970,0x0f600788,0x260041e6,0x00660001,0x013202d4,0x21f8801f,
    0xcccccedb,0xb00ceecc,0x01ec0005,0x06b87d00,0x013202d4,0x3c44d54c,
    0x1fffff10,0x4b87c400,0x555f30d0,0xe889fd75,0xbffff75f,0x25c03e20,
    0x107b00e8,0x3fffe209,0x00b7000f,0x4c3c40f8,0xf8801f07,0xc83c4001,
    0x2b92e003,0x215c482c,0x774c1ee8,0x0e03c400,0x016e1c00,0x9f9988fc,
    0x88099999,0x9701f007,0x017ffff2,0x98022788,0xd101ec0f,0x3fffeebf,
    0x2ebfd105,0x5405ffff,0x3e026405,0x2dc3c800,0x25b01320,0x0f6003e9,
    0x1f3001b7,0x0b5003e6,0x3f2204c8,0x07ffeeef,0x007cccc4,0x0525cd50,
    0x0fa60798,0x4c3bbd71,0x2e05b85d,0x01ec00a4,0x07cccc40,0x1c007980,
    0x1f0383c4,0x88007900,0x4c005b07,0x00298765,0x6c04d895,0x0e03c405,
    0x016e1c00,0x0007c0f4,0x203e00f1,0x36a1dedb,0xf71f1005,0x3e63d807,
    0x6ef5c400,0x5c417661,0x17661dde,0x026405a8,0x712e003e,0x6c04c80b,
    0x6c003fdc,0x400ffe23,0xb5007d5c,0xbd104c80,0xf001ea03,0x97264001,
    0x80f301e2,0x82fd40fb,0x702641f8,0x1ec01e29,0x0007c000,0x7880003f,
    0x5c007c00,0xf83c4004,0x469e2001,0x54b1000b,0x202e8806,0x038bf378,
    0x005b8700,0x4001f03d,0x701f0078,0x007e209f,0x2007bbe2,0x2007b0f9,
    0x03f105fa,0x0fc417ea,0x426405a8,0xfffffffe,0x7fdc5a86,0x4fffffff,
    0x00067f40,0x003b21ec,0xb5006de8,0x0d904c80,0x07c00788,0x7fdc3d00,
    0x403cc07f,0x3603541f,0xff701ec3,0x00f600ff,0xf8803e00,0x05ffffff,
    0xcfcccc88,0x7ff41ccc,0xa86fffff,0xe83c4005,0x469e2001,0x6cb1001b,
    0x44097003,0x01c1ff77,0x802dc380,0x2000f81e,0x701f0078,0x4403d80b,
    0x5ec003fd,0x0d5000f9,0x80d503d8,0xc80b503d,0x99f99884,0x5c5a8099,
    0x9999999d,0x07fd504d,0x4001ec00,0xeefeeee9,0x01f100ee,0x017c13f2,
    0x01f001e6,0x33b71e20,0xf807980f,0x13202d41,0x4cedc07b,0x0007b007,
    0x998801f0,0x980099dc,0xcccfcccc,0x4fccc42c,0x25a80999,0xd83c403c,
    0x1d966002,0xd2540126,0x881aa003,0x00387917,0xd005b870,0x44001f03,
    0x9701f007,0xf9104c80,0xbf3000f9,0x202d4009,0xc80b504c,0x4c80b504,
    0x25c007c0,0x8899016e,0x5402dafd,0x0a807b00,0x36003c40,0x06ef6cc4,
    0x0fd301ec,0xf5000f80,0x0249d999,0x50f501e6,0x25c4c80b,0xd8024970,
    0x3e005403,0x0016a000,0x0f800f10,0x00f24b80,0x800f20f1,0x01b0ae4b,
    0x007a2c85,0x80f1034c,0x5b870003,0x01f01d00,0x7c403c40,0x26404b80,
    0x00788db8,0x54001fb0,0x5a826405,0x6dcc2640,0x40199101,0x5c2d800f,
    0x93226405,0xd817402d,0x22017403,0x77ecc007,0x81df94ff,0x67dc41e9,
    0x01f0009f,0x3b333760,0xa81e6004,0x6405a82f,0x09702d44,0x2e807b00,
    0x970007c0,0x00788000,0x916c007c,0xd5079807,0x8d117400,0x22c98cd8,
    0x400f60e8,0x701e204b,0x0b70e000,0x003e03e0,0x079803d0,0x804c8097,
    0x09b00078,0x26405a80,0x226405a8,0x4c4ffffa,0x1f00ffff,0x2dc0f880,
    0x05b01320,0x807b02e8,0x77774c2e,0x800eeeef,0x701ec1a8,0x11bffdfd,
    0x1f001fff,0x09703e00,0x555f30a6,0x2a05dd97,0x3e226405,0x0a209701,
    0x00ba01ec,0x01e4001f,0xf001e200,0x320f8801,0x7d02dc03,0x4b81d500,
    0x42d82b98,0x405d006b,0x8001c078,0x3c402dc3,0x1e4000f8,0x025c1720,
    0x01e20132,0x50003e20,0xb504c80b,0x00004c80,0x136007c0,0x8099016e,
    0xd817402d,0x22017403,0x1a200007,0x6c40d440,0x3001f000,0x16e0970d,
    0x59bdddf3,0x26405a80,0x704b82dc,0x5d00f60b,0x3a000f80,0x1e200401,
    0x4d801f00,0x2e8806e4,0xe980be60,0x32007b01,0x5c807d04,0x00e03c40,
    0x2016e1c0,0x8005d05a,0x03f300fa,0x0099012e,0x099000f1,0x4c80b500,
    0x04c80b50,0xf8005710,0x2dc17200,0x05b01320,0x807b02e8,0x003c402e,
    0x00543a00,0x1f0015c0,0x09709700,0x000f316e,0x2099016a,0xb825c0de,
    0x2e807b05,0x6b8007c0,0x1e2025c0,0x2e401f00,0x3a2176c4,0x40bfa805,
    0x076402fa,0x3a203e98,0x0076c40d,0x000701e2,0x040dc88e,0x07aa03d1,
    0x07ae1766,0x025c09f3,0x01e20132,0x50001f10,0xb504c80b,0x26004c80,
    0x33f3001d,0x20dd9333,0xd9809db8,0x5eccc41c,0xe9999999,0x27366622,
    0x2e999999,0x133f3310,0x9fb50000,0x2eb62000,0x3e666622,0x74c09999,
    0x4ccee4c3,0x3ea65b99,0xb9801999,0x0199101d,0xb9357db1,0x4b733333,
    0x999cd998,0x222e9999,0x999f9999,0x99bfa809,0x02e99999,0x0333f333,
    0x99999f98,0x7fd406ec,0x22003fee,0x02dfeefe,0xfb9bfb30,0xdf91003b,
    0x26209fdd,0x9999f999,0x89c000e0,0xdf12ffff,0xfec807fb,0x700bffee,
    0x407ffddf,0x9b301dc9,0xf9999883,0x3b209999,0x00eefeee,0x2203b730,
    0x0edcc0cc,0x4c00cc88,0xfc801d9b,0xacefffff,0x5ffff980,0x88ffffe4,
    0xffffffff,0xf12fffff,0xffffffff,0xf305ffff,0x01ffffff,0x20000000,
    0x3ffe62b8,0xffffffff,0x329fff91,0xffffffff,0xfffff55f,0x7fd407ff,
    0x7ffcc4ff,0xffd9500f,0xbfffffff,0x3fffffe2,0x2fffffff,0xfffffff3,
    0x7dc3ffff,0xffffffff,0xffff903f,0x3f207fff,0xacefffff,0x01351000,
    0x000aa200,0x20001530,0xf3009a98,0xffffffff,0x2aaae3ff,0xaaaaaaaa,
    0x531003aa,0x009a9800,0xa8026a60,0x7dc4ffff,0xfff33fff,0xffffffff,
    0x2aaaaa63,0xfff5002a,0xffff989f,0x89ffff50,0x400ffff9,0x000001ca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x075c0ea8,0x99999998,0x4cc19999,0x98009999,0x99999999,0x26660999,
    0x88133100,0x33100999,0x26662013,0x33300099,0x88333333,0x00999999,
    0x33001988,0x20099881,0x4cc41999,0x99801999,0x80099999,0x01999999,
    0x4c04ccc0,0x4cccc099,0x83333100,0x99999999,0x26219999,0x99999999,
    0x8804ccc0,0x4cccc199,0x40199881,0x0003bdda,0x02004000,0x10000000,
    0x04c409f9,0x04c400c4,0x26200188,0x0a880009,0x03530010,0x26060000,
    0x17e40acb,0x3ff207f6,0xffffffff,0xffffb0ff,0x9019dfff,0xffffffff,
    0x3eebffff,0xfff887ff,0xfffff52f,0xfffffa83,0x7ffffc41,0xfffd804f,
    0x14ffffff,0xdfffffff,0x03fff980,0xf997ffd4,0xfffb06ff,0x3fffeabf,
    0xc84effff,0xffffffff,0xfffc80cf,0x03efffff,0x3637fff4,0x3ff67fff,
    0xffff07ff,0x7ffffc9f,0x7fffffff,0x3fffffee,0x3fee3fff,0xffff887f,
    0x7fffff92,0x81ffffcc,0x003ebbee,0x05d106a2,0x01de80f0,0x17dc0000,
    0xd50bffee,0x7fec9fdf,0x9fdf700e,0x201fffd8,0x9effeffa,0x3bfee02b,
    0x221e23ff,0x2ffeffec,0xf10bff50,0xda83e9ff,0x80c0ea8a,0x7c02dc00,
    0x32a207c0,0x7009701f,0x2e017c4b,0x2003cc0e,0xf9f8800f,0x003c4000,
    0xd9d0007b,0x3e07be80,0x4c07c02f,0x80eeb887,0x0fdb885b,0xbf930b70,
    0x26405b80,0x0d5001e8,0x7987881f,0xd05d012e,0xb705c807,0xd300dd80,
    0x3bff2000,0x805e8cff,0x67e44078,0x75400000,0x2fffa82e,0xb95d3164,
    0xfa81f711,0x43727d11,0x41ed80fb,0xe883ffb9,0x5c774c1e,0x220aca87,
    0x0b7300fa,0x01af7262,0x5c0000ee,0x07c0f805,0x09701f50,0x00f98b70,
    0x00f103f3,0xb5b803c4,0x00788005,0x27a000f6,0x0f1f302e,0x1f007dfc,
    0x85d80f30,0xb82ec05b,0xb7027c05,0x09704c80,0x103e0f60,0x025cf30f,
    0x403e60b9,0x20b700f9,0x01e405e8,0xb8877a20,0x0f1005fd,0x000ff620,
    0x700ff660,0x3fea007d,0x10ba2740,0x44e81f7f,0x0fea00eb,0x9fdb0136,
    0x54097000,0x00e7e405,0x400007a2,0x7c0f805b,0x25c26400,0x435c2dc0,
    0x503e02e8,0xd0069839,0xf1001aa3,0x4001ec00,0x17905b9e,0x026c7c0f,
    0x980f301f,0x2602dc0f,0x7b80b707,0x099016e0,0x1f1003e2,0x987881f0,
    0x07d412e7,0x80fa0d70,0x804e885b,0x0274004b,0x1e200ddb,0x005fb300,
    0x0019f910,0x50bf1000,0x5fb8354f,0x03f10fa8,0x806a87b0,0xf30005e8,
    0x13202d40,0xf887fd30,0xb800ffff,0x00f83805,0x012e0fc4,0x3626c0a2,
    0x3f60f404,0x3cc02d44,0x3c4001f1,0xd0007b00,0x11f107e3,0x0fc47c0f,
    0x807980f8,0x2602dc2e,0x7880b707,0x099016e0,0x416e016c,0x3cc3c40f,
    0x005f1097,0x5c06b87d,0x8801fcc5,0x40b7000f,0xf1009b5d,0x07baa000,
    0x00067dc0,0x3e26a200,0x412e3f02,0x2a3f02f9,0x07b01006,0x2a6012e0,
    0x2a07889a,0x44026405,0x4ccc42ea,0x445b800f,0xc800f806,0x01a225c3,
    0x00d73e88,0x5c6bf85b,0x1e44c805,0x6c00f100,0x991e8003,0x7c0f15b8,
    0x203e0b70,0x207c4079,0xb82e405b,0xb7025c05,0x1aa04c80,0x221605d0,
    0x4d804887,0x3e21f300,0x5f52dc01,0xd005b800,0x06997605,0x5c000788,
    0x3bf501df,0x76440000,0xeeeffeef,0x07b2feee,0x3bbbbbe2,0x000972fe,
    0x06a800f4,0xfdddff91,0x202d40ff,0x01a6004c,0x88b7001f,0xb800f807,
    0x01e225c4,0x001f7f30,0x20fb4c79,0x4c1f804b,0x801e2006,0x11e8003d,
    0x0788fc1f,0x0f82e83e,0x43640798,0x0eda885b,0x0fdc0b70,0x04c80b70,
    0x007980fc,0x6b8003c4,0x03dae400,0x005f55b8,0x0442ffa8,0x883b603e,
    0x666665c7,0x03cccccf,0x5433f220,0x310002ee,0x056fcc13,0x555557f1,
    0x7c40f215,0x0aaaaaab,0x0f400099,0xde886980,0x2d40f501,0x5a801320,
    0x7dc007c0,0xf807ffff,0x7dc5a800,0x8007ffff,0x499002fb,0x01e47b4c,
    0x800f41aa,0x00f60078,0xd53d87a0,0x541f03c4,0x07980f86,0xff701fb3,
    0x03ffffff,0x6dd5575c,0x7fdc00de,0x4fffffff,0x04c82640,0x4c003c40,
    0x6de8001f,0xfdf7b700,0x2a7b2005,0x81f13fc6,0x507c40ed,0x99f99999,
    0x44005999,0x0bfa63fc,0x91fffc00,0x2007e209,0x005f304b,0x1ec000b5,
    0x06c84b80,0x80b503c4,0x7139b04c,0x800f801d,0x07a999db,0x45a800f8,
    0x07a999db,0x7005fe80,0x365a974b,0x5b81ec02,0x6c00f100,0x261e8003,
    0xf03c45d6,0x407c3d81,0xffeeeef9,0x333b700c,0x207f9533,0x3feeeefb,
    0x3333b700,0x9809b333,0x88003f07,0x003e8007,0x2e003f30,0x009f70ef,
    0x86aa6c1f,0x2603b64e,0x00078806,0xea8067dc,0x3fe6001e,0x3f881e46,
    0x9f706a80,0x0001f300,0x417401ae,0x503cc02f,0x2a04c80b,0x01f002cc,
    0x80788b70,0x5c4b800f,0x32003c44,0x5a803e8e,0x1e9e21f1,0x33337e20,
    0x8800fdcc,0x500f6007,0x3e741e81,0x4c0f81e2,0x3e603e0f,0x4009aaaa,
    0x4274405b,0x801fc85b,0x4026405b,0x4003542e,0x02e40078,0x2001f100,
    0x0174c0eb,0x3d9f88d5,0x201d97c8,0x0078804d,0x2003bf50,0xfc800dfb,
    0xfd83541f,0x07a0980f,0x82603aba,0xe87a805c,0x3d82e403,0xf881fa60,
    0x0009f900,0x5b800f80,0x007c0808,0x0212e16c,0x3f10fa80,0xe8b56980,
    0x675c01f2,0x2ecccccc,0x36007880,0x07a17403,0x207887f5,0x03e5c80f,
    0x2dc001e6,0x82dc3cc0,0x02dc01fa,0xb16e0132,0x00f10007,0x806807cc,
    0x0b7000f8,0x434c03e6,0xee880feb,0x001d500e,0xeea800f1,0xcfc88002,
    0x7413fa00,0x86eff6c4,0x4fea1fd8,0x6ccb93e9,0x207ba21f,0xde882fd9,
    0x98076c40,0x7e7dc41e,0xd989b009,0x0f4c0dde,0x00f807aa,0x45a805b8,
    0x207c400f,0x3e20004b,0xf1007d41,0x0f1990f6,0x035402e8,0x07b003c4,
    0x0c0f42e8,0x101f03c4,0x1e603e5f,0xe802dc00,0x1f502dc1,0x13202dc0,
    0x07c43e20,0x8803c400,0x1003e02f,0x816e001f,0x3e07a04d,0x10b7f605,
    0x1e2003f9,0x001fecc0,0x4c1fec40,0xdfd100ff,0x3bf6d1bf,0xfefb80df,
    0x06ff7ec5,0xffeeffb8,0x3bf2200c,0xeb804fee,0xf88dffef,0xefe980ff,
    0x41ff94ff,0x017dc3fb,0x00b7001f,0x6c00f8b5,0x20004b84,0xf80d903e,
    0x3c74c1f8,0x03e00f10,0x1ec00f10,0x003d0ba0,0x500f81e2,0x01e603ed,
    0x7c402dc0,0x13602dc0,0x026405b8,0x000b73c8,0x026c01e2,0x01f1003e,
    0x0f9816e0,0x7f643d70,0x7e4f6409,0x000dfeef,0x9f9101e2,0xe9800001,
    0x200bee2e,0x015301a8,0x15100a88,0x006aa600,0x00135310,0x20001a88,
    0x406001a8,0x5c007c01,0x07c5a805,0x012e0b90,0x13602e40,0xd7f07be8,
    0x4c8025c0,0x7b003c40,0x00f42e80,0x803e0788,0x07980fbe,0xd900b700,
    0x1f880b70,0x04c80b70,0x000bad30,0x075403c4,0x1f1003e0,0x7d016e00,
    0x477f75c0,0x883aa7fc,0xf00009a9,0x0000de80,0x5b975400,0x00000000,
    0x00000000,0x00000000,0x33100000,0x13333f33,0x9999dc98,0x265b9999,
    0xfc99999f,0x333b9306,0x09fb8801,0xb017f510,0x417b60bd,0x31009ae9,
    0x999983d7,0x4c41999f,0x99999cd9,0x2be62e99,0x3f531009,0x30133f30,
    0x9fa981ff,0xdc980199,0xda999999,0x0cee4c0e,0xdb983d70,0x0e6cc409,
    0x4007ce80,0x199f9998,0x333337f0,0x2601f333,0x20199f99,0xd5019db9,
    0x000d4013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff30000,0xffffffff,0x3fffff23,0x5fffffff,0xdffffff9,0x3fff2059,
    0x3601ffff,0x7cc1ffff,0x2fc85fff,0xff909f70,0x3ffe0fff,0xffffb4ff,
    0x229fffff,0xffffffff,0xf72fffff,0x3fa0ffff,0x3ff24fff,0x41f906ff,
    0xfffffffa,0x3ffff203,0x0bdfffff,0x1fffffe4,0x3fea9fd0,0x7ffec6ff,
    0x04fb803f,0x7ffffec0,0xffff85ff,0x0fffffff,0xffffffd8,0xffffc85f,
    0x01fff03f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x510002a6,
    0x0b880013,0x200a8800,0x502ffff8,0x1000dfff,0x02606200,0x7cc2ffdc,
    0x066004ff,0x8d3007a0,0x7dc3fffe,0x3ffe25ff,0x7ffe43ff,0x40f4406f,
    0x7ffff94b,0x443bfff2,0x8803c80e,0x200fffff,0xfffffffb,0x200203ff,
    0x33102cb8,0x0d883981,0x332a1910,0xcccccccc,0x00004ccc,0x00017100,
    0x40155510,0x6ed41802,0xdddddddd,0x40001ddd,0xa8181000,0x2aaaa62c,
    0xaaaaaaaa,0x33221aaa,0xcccccccc,0x0ccccccc,0xddddddd5,0x0003dddd,
    0xffeffd88,0x3bfb2203,0xb802ccff,0x3fee003f,0x7d103ffe,0x40eb9803,
    0xf910fffd,0x4ffdc5df,0xfe88effd,0x2dcc40df,0x7444c998,0xbffff75f,
    0x7edcfdc0,0x6c42fabd,0x6f4c409e,0x04d7cc40,0x8027ea62,0x11fc85e8,
    0x6f4439b3,0x260fe409,0x9998804f,0x2676e00f,0x01fb9999,0x89e980d3,
    0x74fff86b,0x03760f9d,0x6664cbd1,0xcccccccc,0x3ffae7dc,0x37f6a02d,
    0xdfffd881,0x547ffe60,0xfff30fff,0xd00bee03,0xaaaaaa88,0x0aaaaaaa,
    0x2081ffe4,0x29d100dc,0xff50fff8,0x3777723f,0xdddddddd,0x2ee24ddd,
    0xbbbbbbbb,0x0bbbbbbb,0xddddddd5,0x0005dddd,0xc9856fd4,0x0adf885f,
    0x1007fb51,0x3dd10017,0x3c80ee98,0x33107900,0x263bd31f,0x1bff311f,
    0x1ec53bb2,0x426405a8,0x261ddeb8,0x2bbee05d,0x3203feb8,0x2027440e,
    0x2026404c,0x82fc86f9,0xb013a63c,0x005fa83f,0x20b7007c,0x01a601f9,
    0x3e63c819,0x360780ff,0x00017a25,0xf30ab9e6,0xb515bd01,0x9f52ec8b,
    0xf987ffc4,0x41ffe27f,0x3a01fbf9,0x76400001,0x3a20de98,0x9d103b60,
    0xfb9fffdc,0x000003ff,0x00000000,0x00fe2000,0x2206b89d,0x6c00003e,
    0x2d42ec04,0x805d07ea,0xbf003fbf,0x834c5f98,0xa826405a,0x203f105f,
    0xc807d05b,0x3009d10e,0x300fc40f,0x03fd81df,0x400fe679,0x02fd42fe,
    0x40c401f0,0x034c02f8,0x7ff91e40,0xd1bb01e0,0x1e60000b,0xd0698790,
    0x8f70fe21,0x237fc7ff,0x72e887ff,0x0072601d,0x36074c00,0xfc83ea9e,
    0xff987f31,0x01bfb10f,0x00000000,0x40000000,0x21fa806d,0x002a00fa,
    0x8806a800,0x3f63c42e,0x3fe007c4,0x3e07e001,0x05a83c40,0x406a8264,
    0x2a05d03d,0x4e9ec806,0x2dc0f600,0x6c41ff50,0x3eef204f,0x0ffa2002,
    0x1f001df7,0xd83e8800,0x36a2d31c,0xffd16e02,0x2fec03c0,0x54f30000,
    0x6c3ffffd,0x07e69702,0x237f41f5,0x437f45fe,0x2f22ec4d,0x999931d9,
    0x99999999,0x3bd70039,0x102ca5c0,0x00000015,0x00000000,0x00be0000,
    0x06fb61ec,0x0f600000,0xf0fc25c0,0x7c034cf5,0x7c0fc001,0x05a83c40,
    0x405a8264,0x7c07884c,0x004fc800,0x502e8354,0x27f443ff,0x013ffb20,
    0xfc87ff10,0x0007c00e,0x7fe4c13a,0x00befdfd,0x03ff88b9,0x1dfd101e,
    0x55e60000,0x5b0f60ae,0x6c4e92e0,0x3f62fec5,0x1b227ec4,0x43751274,
    0xbbbbbbb9,0x01bbbbbb,0x00000000,0x00000000,0x00000000,0x777777c4,
    0x84eeeeee,0x03dffedb,0x99999997,0x0f479999,0x52d86a80,0x402dcbad,
    0x40fc000f,0x5a83c40f,0x05a82640,0x501f8264,0x1dbd100d,0x3542e800,
    0x7443ff70,0x4c76404f,0xff1000ee,0x400efc89,0x0176000f,0x10067f4c,
    0x80df509b,0x3637a207,0x7980000e,0x6987b03d,0x5f7d41f0,0x21fdc2fe,
    0x51fe43fc,0x00be201f,0x00000000,0x00000000,0x00000000,0x7c400000,
    0xaaaaaaab,0x54401aaa,0x66540dec,0xcccccccc,0x4c007a2c,0x2e7b4b86,
    0x01f00794,0x40f81f80,0xc80b5078,0x4c80b504,0x01360b90,0x003ae7f3,
    0x201ec5b8,0x3fa20efa,0x0db0f203,0xfb87fd10,0x000f800e,0x67d400d9,
    0x640ba206,0xe883c02f,0x000076c5,0x544ee5a2,0x5f6c1dfe,0xfd984eb8,
    0x5c2fa81c,0x3917dc1f,0x00004980,0x00000000,0x00000000,0x00000000,
    0x0007a000,0x0004e800,0x25c00f60,0x2f10fb4c,0x000f801e,0x2207c0fc,
    0x4c80b507,0x04c80b50,0x3f2639f5,0xf70fe602,0x447e2003,0x0efa800f,
    0x83c81fec,0x217f403e,0x1f000dfa,0x5101d700,0x109b2f88,0x2753335f,
    0x3f33105d,0x6d82f413,0x3ae20000,0x984ca8be,0x40000cec,0x7441c40b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x002e4000,0x00798058,
    0x7401ae00,0x746af882,0x001f007a,0x440f81f8,0x3201f107,0xc80b504f,
    0xffdbf984,0xf981fcdf,0x2003f502,0x4c00994c,0xc82fd86f,0xfb00f983,
    0x4005f985,0x807d400f,0x5f126c69,0xcccccc88,0xcccca802,0x0c80712c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8803e800,0x6c803f11,0x01f40000,0x43fe8172,0x01f006fb,0x40f81f80,
    0xb3136078,0x0b501bbd,0x217c44c8,0x33ea3dc1,0x005f9301,0x8001f3f1,
    0x21fc85e9,0x1dd81cd9,0x13e60fe4,0x3f333310,0x57cc1333,0x6b999999,
    0x000e6162,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x980cf980,0x05ff13fc,0x32600bea,0x40de8800,
    0x3f200ed8,0x33027c40,0x133333f3,0x3f02be60,0xfd301f88,0x3ff29ffd,
    0x44076e61,0x080040cc,0x90ffffee,0xb007ffff,0x3a2000bf,0xfff94b81,
    0x14ff987f,0x9809903d,0xffffffff,0xfffb1fff,0x0dffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0xcffeeefc,0x3bfaba20,0x7002efee,0x3f22007f,0x0004feee,
    0x3fffee00,0xc86fffff,0x2ffc5fff,0x54409ff1,0xffffa801,0x07fffcc4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,
    0x5553000a,0x00288003,0x0009a988,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_32_latin_ext_x[560]={ 0,6,3,2,3,2,3,6,8,4,0,1,4,2,
6,3,3,3,2,2,2,2,3,2,3,3,6,4,0,1,0,0,2,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,3,1,6,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,2,1,0,0,1,2,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,2,
0,1,0,1,0,1,1,2,1,2,1,2,1,2,2,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,0,3,2,3,2,3,2,3,2,3,2,0,0,2,2,1,2,2,1,2,1,
2,1,2,1,2,1,2,0,1,0,1,0,1,0,1,1,0,1,0,1,0,1,0,0,1,2,1,2,1,2,
2,2,2,2,2,2,2,2,1,2,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,2,
1,2,3,2,3,2,3,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,3,2,0,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__courier_32_latin_ext_y[560]={ 23,5,5,4,4,5,8,5,5,5,5,7,18,14,
19,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,29,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,23,10,4,6,9,6,
5,5,6,6,4,11,14,14,6,3,2,5,5,5,4,11,5,12,22,5,4,11,5,5,5,10,0,0,1,2,
2,0,6,6,0,0,1,2,0,0,1,2,6,2,0,0,1,2,2,10,5,0,0,1,2,1,6,5,4,4,
4,6,6,4,10,10,4,4,4,6,4,4,4,6,5,6,4,4,4,6,6,8,9,4,4,4,6,4,5,6,
3,6,1,5,6,10,1,4,1,4,2,5,1,5,1,5,6,5,3,6,1,5,2,5,6,10,1,5,1,4,
1,5,2,5,6,4,1,1,6,5,2,6,3,6,1,5,6,5,2,11,6,5,1,4,6,5,11,1,0,6,
5,6,5,6,5,6,5,1,4,6,10,1,5,5,6,10,3,6,1,5,1,4,6,10,1,4,6,10,1,5,
1,4,1,4,6,10,1,5,6,6,1,5,6,6,2,6,3,6,1,5,0,4,1,4,6,11,1,4,1,4,
2,1,4,2,5,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,6,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,6,10,5,5,5,5,5,5,5,5,5,5,5,5,5,4,10,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,1,5,1,
5,1,5,0,3,0,1,0,1,0,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,1,4,1,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__courier_32_latin_ext_w[560]={ 0,5,11,13,11,13,12,5,6,5,11,14,6,13,
5,11,11,11,12,13,12,13,12,12,11,12,5,7,14,15,14,11,12,17,15,15,14,14,14,15,15,11,15,16,
15,17,16,15,14,15,16,13,14,15,17,17,15,15,13,5,11,5,11,18,5,15,16,14,16,14,14,15,15,13,
10,15,13,17,15,14,16,16,14,13,13,15,17,17,15,15,11,6,3,6,13,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,11,14,13,15,
3,14,9,17,10,14,15,13,17,19,9,14,8,8,5,15,13,5,5,7,9,15,17,18,17,11,17,17,17,17,
17,17,17,15,14,14,14,14,11,11,11,11,16,16,15,15,15,15,15,11,15,15,15,15,15,15,14,14,15,15,
15,15,15,15,17,14,14,14,14,14,13,13,13,13,14,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
17,15,17,15,18,16,15,14,15,14,15,14,15,14,14,16,16,16,14,14,14,14,14,14,16,14,14,14,15,15,
15,15,15,15,15,15,15,15,15,16,11,13,11,13,11,13,11,13,11,13,17,15,15,11,16,15,13,15,13,15,
13,15,13,15,13,15,13,16,15,16,15,16,15,16,15,13,15,14,15,14,15,14,17,17,16,14,16,14,16,14,
13,13,13,13,13,13,13,13,14,13,14,13,14,14,15,15,15,15,15,15,15,15,15,15,15,16,17,17,15,15,
15,13,11,13,11,13,11,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,16,15,15,13,15,15,15,
15,15,15,15,15,15,15,15,15,15,16,16,15,15,15,15,15,15,15,15,15,15,15,15,15,16,16,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,15,11,13,15,
14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,17,15,17,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__courier_32_latin_ext_h[560]={ 0,19,9,21,22,19,16,9,22,22,11,16,10,2,
5,23,19,18,18,19,18,19,19,19,19,19,13,15,16,6,16,18,20,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,21,17,18,17,18,17,17,17,17,17,22,23,22,8,2,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,13,12,13,12,18,12,22,22,22,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,19,19,17,12,17,
22,20,3,18,9,12,9,2,18,2,9,18,10,10,5,18,20,5,6,10,9,12,18,18,18,19,23,23,22,21,
21,23,17,22,23,23,22,21,23,23,22,21,17,21,24,24,23,22,22,10,20,24,24,23,22,22,17,19,20,20,
20,18,18,20,14,18,20,20,20,18,19,19,19,17,19,17,20,20,20,18,18,14,16,20,20,20,18,25,24,23,
20,18,22,19,21,17,23,20,23,20,22,19,23,19,22,19,17,19,20,18,22,19,21,19,21,18,22,19,23,25,
23,24,22,24,22,25,22,22,17,18,21,17,20,17,22,18,22,23,21,12,18,24,23,25,22,23,12,22,23,22,
23,17,18,17,18,17,18,22,19,22,18,22,18,18,18,19,21,18,23,19,23,20,17,14,22,19,22,18,22,18,
23,20,23,20,22,18,23,19,24,24,22,19,17,18,22,18,21,18,23,19,24,20,23,20,22,17,22,20,22,25,
21,22,19,21,18,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,21,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,14,18,18,18,18,18,18,18,18,18,18,18,18,18,20,14,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,19,22,18,23,
19,23,19,24,21,24,23,24,23,24,23,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,27,25,22,20,24,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__courier_32_latin_ext_s[560]={ 509,240,357,229,104,316,319,369,504,147,262,
348,283,486,435,485,89,65,135,348,295,172,323,202,215,227,505,393,378,393,363,
414,379,94,190,455,30,15,45,489,223,112,1,302,124,140,158,17,175,41,206,
385,257,126,239,76,60,286,272,239,497,185,375,447,423,469,306,437,289,1,399,
273,142,341,111,210,355,93,127,45,101,118,78,16,112,111,173,60,157,172,250,
245,507,321,409,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,509,135,246,
463,143,302,328,392,502,33,326,191,310,486,471,466,347,426,274,502,429,369,468,
441,387,290,337,220,308,244,226,336,67,423,390,211,88,17,366,455,392,133,408,
168,196,441,347,258,493,301,233,217,101,439,223,298,32,360,314,453,153,13,384,
258,1,238,270,18,34,124,401,105,109,17,482,263,75,61,47,1,17,399,48,
63,78,120,50,30,332,222,206,254,496,95,249,208,155,362,286,286,57,335,85,
173,117,140,374,371,148,431,359,461,237,478,497,180,116,32,243,495,270,405,332,
446,180,19,240,298,131,266,191,79,471,423,254,1,183,352,421,449,29,91,1,
316,76,236,148,330,256,51,487,372,206,207,330,169,344,433,441,286,66,270,158,
304,1,269,221,252,205,188,96,417,195,51,286,342,51,334,415,419,87,402,52,
326,17,195,302,407,358,349,449,166,272,302,186,346,434,357,478,481,475,453,318,
437,224,386,282,363,164,93,491,318,34,188,1,35,122,406,330,138,469,420,378,
390,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,420,80,80,287,
80,80,80,80,80,80,80,80,80,80,80,80,80,278,452,80,80,80,80,80,
80,80,80,80,80,80,80,80,451,485,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,388,186,
463,77,407,157,469,141,201,106,170,376,154,1,122,35,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,1,63,69,433,138,152,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80, };
static unsigned short stb__courier_32_latin_ext_t[560]={ 1,120,196,76,53,99,178,196,53,53,196,
178,196,196,196,1,120,140,140,120,140,120,120,120,120,120,140,178,178,196,178,
140,76,178,178,140,178,178,178,140,178,178,159,178,178,178,178,159,178,76,178,
140,178,159,178,178,178,178,178,53,1,53,196,196,196,178,120,178,120,196,140,
120,159,140,1,140,140,196,196,196,120,120,196,196,159,196,196,196,196,159,196,
53,29,53,196,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,1,120,120,
159,196,159,53,76,189,159,196,196,196,196,140,196,196,140,196,178,196,140,76,
196,196,196,196,196,140,140,140,120,29,1,53,76,76,29,159,53,1,29,53,
76,29,1,53,76,159,76,1,1,29,53,53,196,99,1,1,1,53,76,159,
120,99,99,99,140,140,99,178,140,99,99,76,140,120,120,120,178,120,159,99,
99,99,140,140,196,178,99,99,99,120,1,1,29,99,120,53,99,76,159,29,
99,29,99,53,99,29,99,53,99,159,99,76,140,53,120,76,99,76,120,53,
99,29,1,29,1,53,1,53,1,53,53,159,140,76,159,76,159,76,140,76,
29,76,196,140,1,29,1,53,29,196,53,29,53,29,159,140,159,159,159,159,
53,120,53,159,53,159,159,159,99,76,159,29,99,29,76,159,178,53,99,53,
140,53,140,29,76,29,76,29,140,29,99,1,1,29,99,159,120,29,120,76,
120,29,99,1,76,29,99,29,159,53,99,53,1,76,29,99,76,120,29,120,
120,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,120,159,159,76,
159,159,159,159,159,159,159,159,159,159,159,159,159,140,178,159,159,159,159,159,
159,159,159,159,159,159,159,159,76,178,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,29,120,
29,140,1,120,1,120,1,76,1,1,1,29,1,29,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,1,1,53,76,1,76,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159, };
static unsigned short stb__courier_32_latin_ext_a[560]={ 271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_32_latin_ext(stb_fontchar font[STB_FONT_courier_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_32_latin_ext_s[i] + stb__courier_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_32_latin_ext_t[i] + stb__courier_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_32_latin_ext_x[i];
            font[i].y0 = stb__courier_32_latin_ext_y[i];
            font[i].x1 = stb__courier_32_latin_ext_x[i] + stb__courier_32_latin_ext_w[i];
            font[i].y1 = stb__courier_32_latin_ext_y[i] + stb__courier_32_latin_ext_h[i];
            font[i].advance_int = (stb__courier_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_32_latin_ext_s[i] + stb__courier_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_32_latin_ext_t[i] + stb__courier_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_32_latin_ext_x[i] + stb__courier_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_32_latin_ext_y[i] + stb__courier_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_32_latin_ext_LINE_SPACING
#endif

