// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT        112
#define STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_courier_bold_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_13_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_13_latin_ext_LINE_SPACING           6

static unsigned int stb__courier_bold_13_latin_ext_pixels[]={
    0x88000330,0x40300180,0x0c00882b,0x03280410,0x08062008,0x40199910,
    0x00802101,0x84018042,0x02080c00,0x220c6004,0x26200111,0x19828800,
    0x06620200,0x804a8044,0x6cc26c03,0x1dc0f200,0x73301d88,0x85cd9831,
    0x97019c99,0xb0337130,0x0263109b,0x2f620762,0x884dd80d,0x0da80dbd,
    0x880dbd88,0x83b5b01d,0x99504dd8,0xf81b9b05,0x4c03fa80,0x5407e80d,
    0x07ec868b,0x100aa07d,0x8044000d,0x0ca83118,0x21501310,0xa80a8818,
    0x01510510,0x23106215,0x80a8cc09,0x18814009,0x1300a013,0x40130140,
    0x131880a8,0x90280630,0x0100f209,0x20001bc4,0x700f9878,0xfd018015,
    0x5f6443ff,0x26e76440,0x22ea06ae,0x76c6f646,0xd91a2ea3,0x5d47db1b,
    0x6c6f6468,0x377f623e,0x7db1bd90,0xd905f644,0x6447db1b,0x5f6440be,
    0x3b637b20,0x4377f623,0x43ed8dec,0xbd90deea,0x37b27db1,0x3ff23ed8,
    0x203e25ff,0x3f27fcbc,0x77c49fd5,0x757f24ff,0x26c3c44f,0x7fe40730,
    0x743d03fe,0x4e746d9c,0x0014c0fe,0x01fa97d4,0x07ea5f50,0x1fa97d40,
    0x25f739f1,0x743f52fa,0x4bea6d9c,0x3673a1fa,0x536ce746,0x7c47ea5f,
    0x5f52fb9c,0xa9ce87ea,0x3ea5f52f,0x47ea5f51,0xd86d88e9,0xf83fdc84,
    0x33f88d52,0x86a97c5f,0xd882e878,0x88e980ee,0x2cc7a06d,0xefaacc7a,
    0xd83fff63,0x9e26fa9f,0x3ea7f678,0x36789e26,0x9e26fa9f,0x21716e78,
    0x4599e278,0x33c4f11e,0xe8b31e8b,0xb73c4f11,0x3c4f10b8,0x4f1098b5,
    0x2789e278,0x3e61aa4b,0x5c077e40,0x20f885d6,0x4175ae3d,0xd502e878,
    0x3549709f,0x990f23d0,0x92ebe2f2,0x8f44da88,0x4789e269,0x13c4d31e,
    0x44d31e8f,0x203c9e27,0x43c9e278,0x93c4f14c,0xc8794c87,0x793c4f14,
    0x64f13c40,0x9e213313,0x2789e278,0xb06d89f9,0x81ecbd87,0xadf886de,
    0x436f40fb,0x0f609f98,0x7cc3d7c4,0x47a06d89,0xecb9745a,0x7f7ec3d4,
    0x22698f44,0x263d1e27,0x74789e26,0xf13c4d31,0x44f102dc,0x225d16a7,
    0x745a9e27,0xf12e8b52,0x440b73c4,0xd74c9e27,0x2789e29f,0xff71e278,
    0xfb9e60dd,0x7dc3ff8b,0x1cecf882,0x7fc42fb8,0x5c1ae7ff,0xdfd705d5,
    0x15d0fc0d,0x5c77c4f7,0x22ec5aa6,0x73f8d92e,0xf8d92e8b,0xd92e8b73,
    0x7ccb73f8,0x4fe1c88a,0x3dc5745b,0x2ba2dcfe,0x5c5747b8,0x265b9fc7,
    0x3e1c88af,0x457ccb73,0x2dcfe2e8,0xa882dcfe,0x80a0ba05,0x700f106b,
    0x1f88280d,0x205fffe8,0x2f7645a8,0xfa877f66,0x3fa21dfe,0x3fee3fef,
    0x37fe63fe,0x1ff7fdc0,0xfb81bff3,0x3fe63fef,0x6fff540d,0x3037fe60,
    0xff983bfb,0x0efecc0d,0xf3077f66,0xffea81bf,0x037fe60d,0x4c1dfff7,
    0x7fcc0dff,0x17f6cc0d,0x40fb8d50,0xfd80efeb,0x0efeb81d,0x85503f50,
    0x41f999fa,0x54c2fed8,0x04720201,0x00440110,0x04008802,0x40080110,
    0x00200400,0x00400801,0x00801002,0x08010044,0x10015510,0x2aa98088,
    0x53015550,0x80044055,0x0ffb4ff8,0x00000155,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x08017101,0x28000c60,0x00c00000,0x04202801,0x02028030,
    0x0bbbbbaa,0x08804004,0x00021011,0x64434008,0x201080cc,0x30062005,
    0x80abd885,0x4dfc8810,0x5c0f2020,0x0dad8838,0x3f02cca8,0x201b7b10,
    0x2234c01f,0x109b902d,0xbd881b7b,0x980f880d,0x44dd85cd,0x82eafbdb,
    0x56c40ddb,0x8b94d80d,0xf880dbd8,0xb109bb00,0x819985bf,0x0f80dbd8,
    0x3200d880,0x0ea220ee,0xcd836f62,0x6d6c47c9,0x017100c0,0x018c02a2,
    0x0c010806,0x40621ec0,0x13101318,0x04060140,0x5c131881,0x2505b78c,
    0x000a8818,0x44060140,0xc9dc8131,0x7db1bd94,0xffff1050,0x3e004c0f,
    0x76c6f640,0x0e2f8283,0xdfd882a2,0xdb1bd90d,0x205f6447,0x6c40bec8,
    0x2bf90ddf,0x6f7544fe,0x3220f980,0xdeea84df,0x97ffff20,0x7e44dfc8,
    0x3ff25fff,0x137f221f,0x775c05e2,0x3637b25e,0x3ff7fe3e,0x13bbb63f,
    0x75c9dddb,0x16e45d93,0xa8fd4bea,0x7c2eeeee,0x3bbbb200,0x50efecc5,
    0xed87ea5f,0x37faa4ee,0x467776c1,0xf52fb9cf,0x9ce87ea5,0x36ce746d,
    0x45f739f1,0x9ce8d52f,0x6c4c82fa,0x4e747c9c,0xb11d32fa,0x27c9cd8d,
    0x206d88e9,0x1f27361e,0xdda881e2,0x0fd4bea1,0x2fa3d96a,0x7d5f44fa,
    0x076cfa24,0x9e25fd71,0x2bef6e78,0xd5007c2e,0xfb88d79d,0x4789e20a,
    0x4c21afb9,0x4d7dcc7b,0x27885c5b,0x23d16678,0x45b8f459,0x5175ae0b,
    0x07c4098b,0x316a38be,0x7c6a92e1,0x1aa4b8e2,0x838be1e8,0x225c01fa,
    0x96a1e278,0x21ae363d,0xaf986b8d,0x22d51c0f,0x78cb9e27,0x8331f85b,
    0x884abeca,0x21e27887,0xfa8fcc78,0x40793c40,0x43c9e278,0x94c8794c,
    0xc8dbd007,0x4c813313,0x321dfea8,0x3e613313,0x7f546d89,0x3627e61d,
    0xfea87a06,0x17ffdc1d,0x13c44b82,0x7b0db88f,0x1f500fa8,0x37e0ff20,
    0x3c4f14eb,0xffb80bc4,0x27f4e42f,0x22788788,0x7f447887,0x2e7882ef,
    0x2789e205,0x45a9745a,0xf700b72e,0x9fd74c85,0xb9840fc4,0x27f5d327,
    0x308ddff7,0x6effb8f7,0xf73087a0,0x4b96a060,0x7c4f13c4,0x223dafff,
    0x92f8892f,0x3f2e0f10,0x885b9fc3,0xff804c07,0x06980acf,0x1e216e7f,
    0x4cf100e8,0x3e1c88af,0xb8ae8b73,0x33dc5747,0xb839115f,0xe88af986,
    0x47e616e2,0x115f30fa,0x4cb5105d,0x5101f51f,0x1f98fc0b,0xa86881f5,
    0x3f83d88e,0x745d00b7,0x4ef4799d,0x101f9879,0x01bff30f,0x40e403f5,
    0x0f9ae8da,0x3e607dd1,0x4fcc40df,0x4c4175c0,0xbffd509f,0x206ffcc1,
    0x6cc1dfd9,0x7ff541df,0x01dfd70d,0x7c1dfff7,0x2effe881,0x3077ffdc,
    0x7f445fdb,0x7f6cc2ef,0xd12f75c2,0x20e05dff,0xf304ffd8,0x3b6601bf,
    0xfffff10e,0x23ffffc4,0x0302fffb,0x2fffb804,0xfdff1050,0x00d41fff,
    0x5fffe804,0xbfffd008,0x02004008,0xa9808010,0x0c04402a,0x20220040,
    0x40200aa8,0x1a980aa8,0x01000020,0x0aa88010,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8c802080,0x64c1000c,0x4100404c,
    0x775c1800,0x200200bd,0x81008201,0x22040419,0x40180ccc,0x00c00180,
    0xb0088082,0x107db13d,0x0a601800,0x37f62044,0x0300820d,0x20cc4310,
    0xf02decc2,0x491003d3,0x37601998,0x80b7b304,0x6d67cc3c,0x2209bb05,
    0x16b2a01d,0x21ef89e2,0x2661e24e,0xdb01b301,0x5b100970,0xb81dbd80,
    0x3eadf506,0x400eed41,0x202ae03c,0x2e73e25b,0x4173662f,0x41b300d9,
    0x207ee7ea,0x87ebe202,0x45ddb4eb,0x231068ba,0x3100a009,0x443cc7a0,
    0x00110131,0x44f10153,0x11e27887,0x062017d9,0x4400c0f1,0x20005000,
    0x281f3ef8,0x73006006,0x22dc7e20,0x2201440b,0x4f101301,0x1ddb11fb,
    0x43ffffa0,0x003f51f9,0x4bdb4ed8,0xd80bdeeb,0x77744eee,0x6c6f4c3f,
    0x17bdd71e,0x101ddb10,0x13c43c4f,0x46d9ce8f,0x1e24eeed,0x2201ddb1,
    0x3db00eed,0x3fdc7db1,0x0f8f9f88,0x6c03bb62,0x223ed89e,0x29900eed,
    0x37bae03c,0x777775c3,0x893bbb60,0xfea83ea7,0x88f1f104,0x53fb1e27,
    0x999dc8df,0x36b3e64e,0x44fabe85,0x7c41fbce,0x33e61d73,0x9fd505da,
    0xf8878920,0x3a2ccf11,0xa86bee61,0x204fea87,0xdf504fea,0x20f107ea,
    0xa81fb978,0x2df504fe,0x27f541fa,0x4c0b76b8,0x3e65ebaf,0x2e60faac,
    0x799e21af,0x6c43d7c4,0x89e24fef,0xb8d31e87,0x742e9fad,0xd71b0f31,
    0xd03ea5d0,0x263d1a63,0x20f5f107,0x8a7c1e20,0x88990f27,0xaf886d87,
    0x41ebe207,0x881f3ef8,0xff11f107,0x107af881,0xf103e7df,0x7cdaa0f5,
    0x4f11c88a,0x26e7a0f8,0x27887884,0x82eadc58,0x9e21fcfb,0x8d31e878,
    0x41fcfdea,0xf503feee,0xf91ffd81,0x746fffe8,0x2b703fee,0x0f13c42e,
    0x8b53c4f1,0x3c43c42e,0xb702eadc,0x3e7e20ba,0x27e620f8,0x7d47fec0,
    0x882eadc0,0x5c0f8f9f,0x54b705d5,0x8f10dffe,0x40bffa2e,0x74078878,
    0xaea85fff,0x85c8bf86,0xff98d92e,0x5e740feb,0x092f881f,0x6b9ae80a,
    0xe80fde74,0x13c45fff,0x23c4f10f,0x7887b8ae,0xfffe8788,0x0bfffd05,
    0xe83f72f1,0x80a06fff,0x7885fffe,0xffe81fb9,0x0e83e85f,0xae87e3c4,
    0x43c40aad,0x9fa9a278,0x56d41f99,0x80dfd985,0x223feffb,0x25d0ff6f,
    0x4cef40fa,0x5f02e987,0x3ea5d1aa,0x7cccfd40,0x0af89e21,0x6cc789ae,
    0x4fcc41df,0x9fa8be20,0x4fd41f99,0x47c41f99,0x0e4c0ff8,0x3f505d30,
    0x8f883f33,0x27ea0ff8,0x03ea1f99,0x99f885d7,0x74cd746c,0x4427e622,
    0x4ff8847b,0x02000ffb,0xc9fc0110,0x7c8ffec6,0x41ffffe2,0xff3ff901,
    0x3e47ff67,0x1ff69ff1,0x3b0f744b,0x3fa01058,0xf8a545ff,0x7c4ffb4f,
    0xfd8ffb4f,0x2b80fa8f,0xa7fc40c0,0x47fec7fd,0x29ff10fa,0x040aa7fd,
    0xb06fffec,0x745fffff,0x0dd55fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x2201eeea,
    0x08402602,0x6cf76400,0x0200822e,0x4c020188,0xbdd501b5,0x2af62001,
    0x100dacc0,0x99880403,0xc80a8809,0x04403eee,0x03013333,0x80015544,
    0x41999102,0x37301308,0x9d7145c0,0x40260bb6,0x36602fb8,0x3620b500,
    0x987880db,0x260de8bf,0x4dd885ad,0x9bb00d98,0x4e740420,0x443c42fa,
    0x402103a8,0x09bb00d9,0xfc85ddd9,0x57dcc2fe,0x7c52a2c0,0xfff76eee,
    0x6cce885f,0x220e6ecc,0x19980dbd,0x9b82e6c4,0x4c1b7903,0x7d41f51f,
    0x40f105ff,0x20060198,0xebe80c02,0x31015104,0x22013026,0x46f64131,
    0x098b53ed,0x0bec8818,0x4c05f644,0x8131a880,0x2d42603c,0x260f83c4,
    0x53a4c8a0,0x2072545a,0xb0131018,0x80109ddd,0x9e204201,0x1cce7478,
    0x1fb20788,0xd707bbaa,0x3ae1dddd,0x3fa0eeee,0x77775c1f,0x53bbb60e,
    0x70eeeeeb,0x2a1ddddd,0x4f23f52f,0x3bb60998,0x1b673a4e,0x75cdb39d,
    0x07f25d93,0x880ceec8,0x447884eb,0x7407ffff,0xb334c7a1,0xa9fd81bb,
    0x2fffd46f,0x7ec6bee6,0x27f66fa9,0x2a7f66fa,0x4789e26f,0xf103ffc9,
    0x221e21dc,0xacf982fb,0x559f30fa,0x07d5f41f,0x41f559f3,0x9f31afb9,
    0x33e61f55,0x44f10faa,0x27f5d327,0x16635f73,0x23d1663d,0x741db3e8,
    0xc9ba8099,0x882fd984,0xf3001f07,0x744d32e8,0x98f42ea9,0x41cce746,
    0x8d31e878,0x31e8d31e,0xd8f13c4d,0x27ea0f70,0x883c44c9,0x126e7a07,
    0x2f89373d,0x4dcf41b9,0xb9e87884,0x24dcf449,0x5f33c4f1,0x47885d11,
    0x43ca643c,0x03ebe64c,0x4405fffd,0xf311ea07,0x99001f03,0x23febfdc,
    0x3a1e8ce8,0xffc98d31,0x31e87883,0xe8d31e8d,0xc8be8d31,0x0fbffa25,
    0x13ffffee,0xe81e20f1,0x2ffe82ff,0x2fc4ffec,0x1e205ffd,0x3fa0bffa,
    0x8f13c42f,0x440efffb,0x54ba2d47,0x0ff21745,0x2512d4fa,0x8f50c5b8,
    0x8fc4fffd,0x0a03d019,0x9741dd70,0x87b86c6c,0x8d92e878,0x92e8d92e,
    0x80dfe98d,0x202800e8,0x1dcf1078,0x74155b5d,0x0280aada,0x88155b5d,
    0x0aadae87,0xf82ab6ba,0x402e0b73,0x7b8ae878,0x443dc574,0xb1a63d07,
    0x7f443bff,0x81ca82ff,0x6882fffb,0x6cb05d30,0x9ff7fdc1,0x443effe8,
    0x3fee09f9,0x3bfee3fe,0x3fbfee3f,0xea80ec43,0x44174c02,0x4fd409f9,
    0x266ba4c9,0x3a66ba2e,0x5740f542,0x3e622e99,0x3a66ba09,0x8ba66ba2,
    0xe980dff9,0x209f9882,0x6cc1dfd9,0x81f981df,0x0020d52e,0x0201b801,
    0xddf01800,0x08802209,0x88bfffd0,0x08802200,0x40001540,0x7ffff881,
    0x53ffffee,0xb2fffffd,0x885fffff,0xfffffd80,0x6d7fffa2,0xfb2fffff,
    0x0105ffff,0xbfffd018,0xf7008010,0xfbfe45ff,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x31881318,0xdd702201,
    0x00301ddd,0x40261107,0x055ec40a,0x44019991,0x44015101,0x8c044011,
    0x00984408,0x806d6603,0x701c5402,0x01035101,0x880776c4,0x13188111,
    0x66644160,0x06660000,0x6e434408,0x20ddc80d,0x263ffef8,0x440faacf,
    0x220b600f,0xfee985cd,0x260ea220,0x207ec019,0xfb01fefa,0xffdff8d1,
    0x2206ee42,0x01f105cd,0x1dcd8042,0x7902dca8,0x5c1ddf50,0x13faa05c,
    0x6c40dcd8,0x4c0f104d,0xfa9fd819,0x06f7fe46,0x2010d175,0xaec05402,
    0x24dcf47a,0x50054018,0xdb264f20,0x3bbae9dd,0x3fb980ee,0x8985b974,
    0x89ef828f,0x00a00a80,0xd93eb813,0x88088885,0xf3026009,0x880dd605,
    0x80a207af,0x7ffb1028,0xe80776c4,0xcebccd31,0xf7122001,0xfffa85ff,
    0x74789ec5,0xfffb82ff,0x22fffd42,0x87c2fffb,0x46bee669,0x20faacf9,
    0x6c0feffb,0x3fee4dad,0x203f00fe,0x2a0fffea,0x7f542fff,0x367d10ff,
    0x3fffaa0e,0x50bffea0,0x32e1fffd,0x39cda82b,0xfb05d5b8,0xfffd81ff,
    0x225c66c0,0x23d04fea,0x33a3e669,0x9bea7f61,0x326be279,0x0e673a0f,
    0xb5d1e27b,0x26be2155,0x2673a0fc,0x3f26be23,0x223cc3e0,0x249b9e87,
    0x40fc89f9,0x3f31fffa,0x5f101f91,0x43e25d03,0x741f51f9,0x57cc1f12,
    0x0f89740f,0xe83ea3f3,0x37f61f12,0x05ee4c4e,0x442ffff4,0x54444da8,
    0xf100fc4d,0x364ba0f5,0x3d073fae,0xf70fa9a6,0x64c3ffff,0x23bea3ff,
    0x74cd7478,0x3fffff72,0xf71ffe4c,0x8fc3ffff,0x7f43c45a,0x1f125c2f,
    0x92ed73f8,0x7ffcc0f8,0x5c11a63f,0x04699745,0x11a61fe4,0x34cba2dc,
    0x41f15c82,0x7d41dd9b,0x7ec1f999,0x7f7ec4fe,0x21e56e44,0xffd05d5b,
    0x839d07ff,0x8fdcd31e,0x0d8311e9,0xfb3cc0f7,0x3a65ffff,0xf70d8311,
    0x64188f4c,0x43c43d8c,0xd30aadae,0x2f81f911,0x3223a6d7,0x1740a00f,
    0x7d4be635,0x441a8ba0,0x98d45d07,0x1741f52f,0x1e63aa35,0x9ff124aa,
    0xb16a9ff6,0x85d8b54b,0x7ff41cfc,0x400ae85f,0x6c9741ce,0xffeb87ea,
    0x7dffd10e,0x4409fb30,0x3bffae2d,0x87dffd10,0x220effeb,0x4fcc44fe,
    0x8ba66ba0,0x546feffb,0x3fee1fff,0x01f706fe,0x541bffd5,0x7f542fff,
    0x40fcc0df,0x2a0dffea,0x7f542fff,0x0fff60df,0x2e00b762,0xfdffd10b,
    0x3fbffa27,0x4fd43c43,0x00f41f99,0x3fee0e74,0x004063fe,0x801a8011,
    0x0220081a,0xfe808010,0xffffb5ff,0x0100105f,0x20044004,0x40200400,
    0x0102fffb,0x01004008,0x20540010,0x30022008,0xffb4ff88,0x6ff44018,
    0x0000440e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0x0380cc01,0x080a8054,0x20140001,
    0x00053019,0xbec88044,0x0c400300,0x05004200,0x10070198,0x95018801,
    0x00004201,0x15019805,0x40000440,0x4c36b301,0x01b504cd,0x3fba616a,
    0x983af661,0xcdd981d5,0x406e6c41,0x321e405a,0xfc89fd5f,0x2ece743d,
    0x11ffbfee,0x7889b9d9,0xb103ab30,0x409501b9,0xfffd5059,0x2e03f601,
    0x81d5981a,0x6c41cdd9,0x205a80db,0x3ffa81d8,0x1b8bec88,0x117ffff2,
    0x00402082,0x26b9e404,0x8030570c,0x2013101a,0x7c04c018,0x5d7b0d52,
    0x7c47a2cc,0x9ce81f71,0x203c40fe,0x44026201,0x12e80c01,0x01f1301f,
    0x10044053,0x40226035,0x20262009,0x9ce8789e,0x223a64fd,0x67776c6d,
    0x366fa9fd,0x3f66fa9f,0x5cf26fa9,0xf51f65a7,0xfffa85ff,0x217ffd42,
    0x7d42fffa,0x2eb5c2ff,0x7926f64c,0x7c4b73c8,0x9f7d5660,0x20aafba8,
    0x7dc2fffb,0x7ffdc2ff,0x317ffdc2,0x77fdc08d,0x07ffec0f,0xfb03fff6,
    0xfffd81ff,0x207ffec0,0x5f40fffd,0x8fa2cc6e,0xf731aa4b,0x234c7a35,
    0x31e8d31e,0x87fe7ccd,0x3f33ac9e,0xa8fcc3ea,0x3ea3f30f,0x43ea3f30,
    0xe81f51f9,0x7d9cf86d,0x3e25d16e,0x2f20fdab,0xdb34baf8,0x2be23bdf,
    0x35f10fc9,0x26be21f9,0x935f10fc,0x2351741f,0x40fc89f9,0x4444da88,
    0x6d4444da,0x226d4444,0x4444da88,0x7e5744da,0x4c990f23,0x7886d89f,
    0x8f4698f4,0x4698f469,0x3a3a7cc9,0x72e8b73c,0xe8b72e8b,0xb72e8b72,
    0x217dc2e8,0xaf99e66a,0x6764c7b8,0x753b2e0f,0x7fdc3c41,0xfff71fff,
    0x3ffee3ff,0xffff71ff,0x6fff543f,0x207c4970,0x7ec4fefd,0x7f7ec4fe,
    0x227f7ec4,0x7ec4fefd,0x7a8f44fe,0xfb85d16a,0x747886ef,0xd92e8d92,
    0xa84d92e8,0x46e63a4e,0x261f52f9,0x3e61f52f,0x4be61f52,0x2a5f30fa,
    0x7c435c0f,0xdff98b71,0xdf107c01,0x30f10d71,0x1e98623d,0x188f4c31,
    0xe80c47a6,0x7e4474c1,0x52ec5aa0,0x16a9762d,0x5d8b54bb,0xd52ec5aa,
    0x395d1762,0x07b8ae8f,0x71e216a2,0x7dc7fdff,0x3fee3fef,0x87df93fe,
    0x7fd4113b,0x17ffd42f,0xf50bffea,0xfffa85ff,0x203bfae2,0x7cc1dfea,
    0xfd983ccf,0x077fbea5,0xeb833733,0x3fae0eff,0x3ffae0ef,0x3bffae0e,
    0x7dc17540,0x3fa26fef,0xffd13fef,0x3ffa27fd,0xdffd13fe,0x3bffa27f,
    0xfdffd13f,0x0fff7f67,0xb303bfb3,0x9f9885fd,0x00880220,0xd9004022,
    0x0080101b,0x01002004,0x00805553,0x10179595,0x808e4555,0x82fffffa,
    0x00200400,0x40080001,0x88022008,0x08802200,0x80200220,0x202aa200,
    0x0005fffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbd880000,0xdb80600a,0x40a13039,0x0700499d,
    0x88380066,0x1b598131,0x0e0181c0,0x84400008,0x07774409,0x713b23d9,
    0x4408cc40,0x31028019,0x02603803,0x018940e0,0x5441d300,0x3a888000,
    0x83ffeff8,0xbb101b89,0x44008207,0x100fd01d,0x09bb103b,0xb85b0042,
    0x85a82fff,0xbb302be9,0x05cd8839,0x2f99ae06,0x8fec807c,0xb103f646,
    0x07ec81b9,0x16e640b6,0x376e03b0,0x418035c0,0xb176069a,0x447db13d,
    0x220e88cf,0x80400eed,0x2200eed8,0x06f10109,0x05035188,0x01ddddd7,
    0xfc9af881,0x3cf98080,0x20100c40,0x1aa2fffb,0x2ffff43d,0x07882bc4,
    0x40f10084,0x06008200,0x018ba050,0x2099b212,0xfab7d419,0x43d83e21,
    0x9fd84fea,0x4fea86fa,0x3ffbff50,0x43efef88,0x2a1ffffb,0x33e62fff,
    0x3ffa0faa,0xfffff76f,0xfe83fec3,0x83fec2ff,0x9af887fd,0x1e8d50fc,
    0x3c402be2,0x7fd0ef10,0x5bf11bf2,0xffb07fd8,0x45ffff70,0x222ffffb,
    0xc85fefbe,0x764eccc7,0xf9f7c400,0x1eeb7e20,0x8f41ebe2,0x07af8869,
    0x11b2fee6,0x7cc3e69f,0x3f31ffa9,0x9b9e83ea,0x98fd46c4,0x0f10311e,
    0x2216a33a,0x3ee1e207,0x2d51ffff,0x3ffa23d4,0x2207880e,0x27a60d8f,
    0x3f221f8f,0x3c40f104,0x4e8b54e8,0x89f888b5,0x5507760f,0x0645b7d9,
    0x83e3e7e2,0xb81cecf8,0x263d05d5,0xb05d5b86,0x88ffffdf,0x565cf60f,
    0xe8b72d9f,0x5c0bffa2,0x77ff5c1f,0x31e83c40,0x3c40f10d,0x2a188f4c,
    0x7c0f8f8e,0x20788331,0x37f7e078,0xf103ed47,0x31e83c40,0x10d31e8d,
    0x263f07cf,0x4bae36e3,0xfb978859,0x7f403c41,0xd92e85ff,0x88bfffd0,
    0x418af98f,0x261f33f9,0xf30faaff,0xdae83ea5,0x26fee0aa,0x4c4064c4,
    0xea97409f,0x1027e620,0xfeb813f3,0xff5fb0ef,0x45fff709,0x4c409f98,
    0xfbfd809f,0x204fcc45,0x4c409f98,0x6997409f,0xf8869974,0x7f7dc1f0,
    0xc9e74424,0xff88f881,0x54077f60,0x5c1f999f,0x3ea3feff,0x7e41f999,
    0x7fc5ffef,0x3fe63eff,0x7ffd42ff,0x174cd742,0x370fffff,0x27ffff88,
    0x227fb6fa,0x3e27ffff,0x00107fff,0x7fc40801,0x3ffe27ff,0x47d6b87f,
    0x10fffff8,0x7c4fffff,0x5fee7fff,0x3aff73fe,0x7defec3f,0xd300d443,
    0x47fec029,0x02aaa0fa,0x3fed3fe2,0xa7fc4044,0x020887fd,0x00257010,
    0xfffffb01,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51002600,0xe8800000,0x3b7220ee,0x3102600b,
    0x2e011026,0x7442ed9e,0x031280ee,0x10142606,0x02f6e205,0x2081ddd1,
    0x76c6f640,0x405edc43,0x14c06019,0x206efec4,0x6445eeeb,0x443100be,
    0x36a19999,0x806620cf,0x6cc04405,0xf7035c02,0xceb8df13,0x4d7dc004,
    0x3fff986d,0xffb06ee4,0xabff981f,0x36e0180f,0xd983f00d,0x103b102d,
    0x881b117b,0xa8933b00,0x6c43f52f,0x3b20d989,0x643fec1f,0x39f11fef,
    0xdda885f7,0x836ce741,0x742010fe,0x1fb24c9c,0x41ae00f8,0x2234142a,
    0xb834c7a0,0x37d4fec1,0x2640e831,0x36a22020,0x43d07c44,0x1102fffa,
    0x88010001,0x5decec08,0x03fff648,0xb1e27880,0x7c91d791,0x1f0f3501,
    0x02e2dd6e,0x3d16625c,0x2010fea8,0x1e235430,0x01ffffe2,0x5d88bb88,
    0x21eb8744,0x7fdcd31e,0x698f42ff,0x8ffffff2,0xfffd03fd,0x227f7ecd,
    0x1f98f478,0x7effc1f5,0x9bfffa2f,0xfbff07fd,0x93bdac5f,0x3626d444,
    0x1e27887f,0xbd24253b,0x9b01e206,0x25c100f2,0x7c4990f2,0xb02010fa,
    0x3e07885f,0x530ffb00,0x54999d95,0x3a2dceca,0xaa746c8b,0x2e698f45,
    0x6c2e999d,0x23f51b03,0x788bb16a,0x1745b8f4,0x8d8227be,0xf03c41fa,
    0xacac113d,0x27f7ec94,0xf13c43c4,0x5d2348d8,0x3c40fdee,0x816e1db0,
    0x8b512e5a,0x087d722e,0x7880e810,0x078803e0,0x506c6336,0x7d47d53d,
    0x4c7a1fef,0x226c9746,0x3d86b8af,0xfe887ee0,0xf1e23fef,0x07d4be63,
    0x81fb807e,0x5407e078,0xd52da8cc,0x41e21762,0x9ba8b73f,0xf3992bac,
    0xdb10f109,0x64457cc1,0x07b11d51,0x7c4f715d,0x02013fee,0x23f03c40,
    0x4103c419,0xcf8842d8,0x97439304,0x7f7fdc69,0x1077f6a3,0x37f7017b,
    0x645b0889,0x7d45f8bf,0x0d7c42ff,0x3124dfdc,0x1af8813f,0x445b9d70,
    0x223feffe,0x7fcc09f9,0x2dceb80d,0x883fffa6,0x3dd109f9,0x6fff5413,
    0x209ffb10,0x5541dfd9,0x982012fb,0x04fcc40f,0x3117ffdc,0xcee8013f,
    0x5c0bd300,0x0ffaff72,0xfd008011,0xfffff0df,0x08000cc0,0x43ffff98,
    0xff17ffff,0x7ffccfff,0x0880203f,0x07ffff88,0x80401001,0xff56fffe,
    0x08010dff,0x3fe20080,0x13333335,0x7fffc408,0xfff10207,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44013100,0x82604dfc,0xdeea8018,0x204c0020,0xc85d93eb,
    0x2020004e,0x21eeeeea,0x1044eeed,0xdd8dd981,0x2f776541,0x43ddddd5,
    0x23ed88ed,0x20bd10dd,0xdd900402,0x20220bdd,0x1103deeb,0x103bdd50,
    0x0ded8810,0x8873bb62,0x7d402eed,0x1f273603,0x7e4fffe6,0x3ea73a01,
    0x8df33fb2,0x3a25fffa,0x4f541d94,0x2f2fa20c,0x717ffd46,0x4c5d5f5b,
    0x3fea1afa,0x4fe21ffb,0x3efae0eb,0x3eb6e6bb,0x557ea2ea,0x7dcff21f,
    0xff707883,0x77dd305f,0x0fffea8d,0xb17aabe6,0x7dc41dff,0xef89fb82,
    0xec80441b,0x33f21fba,0x3c83e60a,0x3c838be0,0x5a8133d0,0x1a63d04c,
    0xf987339b,0x9025c0fa,0x8fcc7f9d,0x2f1770fa,0x4fc3c42d,0x8f46bbfb,
    0xaae8fc69,0x0e5e2ea4,0xd71e5df1,0x1e20bbed,0x03ee27e2,0xe8957d95,
    0x22781f12,0x0f6a220f,0x23d059f1,0x83fec3f9,0xcea8f25a,0x9790a1fd,
    0x1dfea8ff,0x3a37fffc,0x44f22fff,0x34c7a099,0xb10bff26,0x7ffdc19f,
    0x54973d81,0x05e21745,0x7c5e23c4,0x7fff47ff,0x04fe9e26,0x9f8815f5,
    0x6f65c78f,0x3fbaa2cd,0xffff71ee,0x4fe9c83f,0xfff0234c,0xfefd87a9,
    0x7406fdc4,0x41e20d31,0x2a1fcbea,0xfdc80f25,0xb0f73083,0x92d4fa07,
    0x2e93fae9,0x8f50d8d7,0x7cc09fa8,0x47d5d900,0x881f51f9,0x27a1e207,
    0x57428afb,0xce87c6b9,0x0f7f4c0a,0x2e3ee5e2,0x222cafbc,0x3e22afaa,
    0xfff82989,0x351740ac,0x2a3d07c4,0x3fec9b16,0x3645f475,0x99f50788,
    0x1ebaea83,0x981df906,0x3d81f51f,0xf99a63d0,0x3ee2e88a,0x3ffa3fef,
    0x05fe4c3e,0x442e23ee,0x7d47dedf,0x80f982ff,0x3aa08f98,0x8f45ffbf,
    0x574ee46a,0x407cc0f8,0x5c7f88f8,0x883d8a8c,0x1dffd707,0x7c5746cc,
    0x837ffaa0,0x226c98f8,0x512feffe,0x7547911f,0x7cc41fef,0xa8075408,
    0x83e61bcf,0x3a21ecbd,0x5ec42eff,0xb8d52e81,0x0440efff,0x3fe60110,
    0x3fffe61f,0x0201020e,0x3a17ffdc,0x20205fff,0x43ff8ffc,0x20ffffec,
    0x7ec1fffa,0xa7fc4f57,0x080d07fd,0xfffeff88,0xff90080f,0x701101bf,
    0x007fffff,0x13ffffc4,0xff887fff,0x2fee083f,0xf0083ff8,0xbfe4bfff,
    0x000883ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04110000,0xd727776c,0x9f5cbb27,
    0x6d3b62ec,0x64fb625e,0x6ed3625e,0xa83bdd50,0x775c1dee,0x028200bd,
    0xeeed9854,0x0f7bae4e,0xd9deb828,0xeb80512e,0x3baa6eee,0xbdd71c9d,
    0x203bb607,0x300beeeb,0x4022106a,0x82220110,0x2004310a,0x40204020,
    0x41ffdffa,0x3a24eabe,0x53a21bb3,0x227720ed,0x987dc3d9,0x3273e22f,
    0x105f710f,0x57f305f7,0x5fff50bb,0x443ba609,0x265caadc,0x0705eaaf,
    0x21bd17f3,0x7f301de9,0x97dc4f55,0x9d55f31b,0xf309fd30,0xffb8b957,
    0x3f3fe1ff,0x3fbffe2f,0xb7fff40f,0xdf53f9eb,0x5efd47fe,0x64bfa0ff,
    0x77f5305f,0x986b8d8d,0x67c40faf,0x4fd6dc0f,0x8d51f82d,0x22fdcdfa,
    0x0ede2078,0x3e63cc7a,0xfd883f51,0x28b8cb83,0x4001f13c,0x9f704eae,
    0x89373d01,0x22788678,0x83d7c40f,0x4fccf51e,0x4f7c1ffa,0x27e36e08,
    0x0fdcec3c,0xfcfa87f9,0x2066dec2,0x80f8f9e9,0x87fffefd,0x07f900f9,
    0x33aa0bee,0xb4c81ebf,0x8dfffd07,0x055e2078,0xb50ffbba,0x037f22e8,
    0x7fc2ffdc,0x3baa3d4f,0x3ffa1eee,0xd0ff6201,0x20f105ff,0x56e0f478,
    0x5fffe82e,0x0b67e72e,0xcbd2e03f,0x3e21fa83,0x427ec0ed,0xfbf02ffd,
    0xf31f10fb,0x92f88515,0x37e20f10,0x75ffcc0e,0x0f9f880f,0x446b9ae8,
    0x2a788ea7,0x307eefa3,0xc883ea5f,0x5adb80cf,0x447a0f88,0x5741aaaa,
    0xcfc880fa,0x05565740,0x4789d4f1,0x2ffff41e,0x99754d74,0x220faaff,
    0x1f5b809f,0x48afa879,0xaec9327b,0x17d5f44f,0xc82fdfec,0x745ffeff,
    0x0f98798c,0x445da744,0x7ec0ff6f,0x31aa3d04,0x7cc9911f,0x54ba4c88,
    0x17ffd40f,0x6dc3fd98,0xd931f100,0xcc974020,0x74037ee0,0x3e61e88a,
    0x31f14c88,0x988fa8d9,0x6cc5741f,0x45ffff33,0x7c3ffff9,0x7c7ccf9f,
    0x7e407fff,0x3fea7ff6,0xeb643fb8,0xf8810203,0x7fdc7fff,0x7f57f62f,
    0x207c9fc4,0xd6fa81fa,0x3fffee5f,0xfffff74f,0x3e47ff29,0x23d50008,
    0xfc83fff9,0x90b00dff,0x2abf13ff,0x3fff201d,0xffff71ff,0x37fff29f,
    0x7ed3fe20,0x37ffff27,0x00002570,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x21010000,0x08808100,0x5ce61510,0x202e5301,0x8180a881,0x3bba2018,
    0xfff72eee,0x2d50c7ff,0x3702a21f,0x0a86054c,0x108300a8,0x9dddb198,
    0x37777766,0xbbbbb30d,0x000001bb,0x00000000,0x44000000,0x17ff7d47,
    0xd97fedfd,0x5cb3b07f,0x46cc2d8c,0x5c2fb84c,0x2e2ef459,0xaa983e65,
    0x33312eaa,0x59874133,0x436b661d,0x9972e0f8,0x7743b10f,0x4c7e67ae,
    0x9996a1b5,0x55551199,0x2ee21555,0x000bbbbb,0x00000000,0x00000000,
    0x7499f9b0,0xb72e8b53,0x21dc0f10,0x1f31f8ce,0x1f7f30b9,0x06d265d8,
    0x2d807896,0x25bbbbb7,0xa96911ea,0xd992a373,0x2884045b,0x080085d7,
    0x00000000,0x00000000,0x00000000,0x43bfd300,0xf6a8d31e,0x7b10f103,
    0x21746643,0x9743d8db,0xdb1a666b,0x01a0e989,0x55554c72,0x2e04200a,
    0xdc882e2d,0x0000001d,0x00000000,0x00000000,0x00000000,0x8d9f1000,
    0xbbd0d31e,0x4411f310,0x02a512aa,0x1020b94c,0x540405d4,0x0000022a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xebfdc728,
    0x220fd42f,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_13_latin_ext_x[560]={ 0,2,1,0,0,0,1,2,3,1,0,0,2,1,
2,0,0,0,0,0,0,0,1,0,0,1,2,2,-1,0,0,1,1,-1,0,0,0,0,0,0,0,0,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,0,2,0,1,0,-1,2,0,-1,0,0,0,0,0,0,0,
0,0,0,-1,0,0,-1,0,0,0,0,0,0,-1,0,0,0,1,2,1,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,2,0,0,0,0,
2,0,1,-1,1,0,-1,1,-1,-1,1,0,1,1,2,0,0,2,2,1,1,0,0,-1,0,0,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_13_latin_ext_y[560]={ 9,1,2,1,1,1,2,1,1,1,1,2,7,5,
7,0,1,1,1,1,1,1,1,1,1,1,3,3,2,4,2,2,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,0,1,1,11,1,3,1,3,1,3,1,3,1,1,
1,1,1,3,3,3,3,3,3,3,2,3,3,3,3,3,3,1,1,1,4,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,4,1,2,2,2,
1,1,1,2,1,4,5,5,2,0,0,0,1,1,1,3,1,4,8,1,1,4,1,1,1,4,-1,-1,-1,0,
0,-1,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,3,1,-1,-1,-1,0,-1,2,1,1,1,
1,1,1,1,3,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,
0,2,-1,1,2,3,-1,1,-1,1,-1,1,-1,1,-1,1,2,1,0,2,-1,1,-1,1,2,3,-1,1,-1,1,
-1,1,-1,1,2,0,-1,-1,2,1,0,1,0,2,-1,1,2,1,-1,3,2,1,-1,1,2,1,3,-1,-1,2,
1,2,1,2,1,2,1,-1,1,2,3,-1,1,1,2,3,0,2,-1,1,-1,1,2,3,-1,1,2,3,-1,1,
-1,1,-1,1,2,3,-1,1,2,2,-1,1,2,2,0,1,0,2,-1,1,-1,1,-1,1,2,3,-1,1,-1,1,
0,-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-3,-1,-1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__courier_bold_13_latin_ext_w[560]={ 0,3,5,7,6,7,6,3,3,3,6,7,3,5,
3,6,6,6,6,7,6,7,6,6,6,6,3,3,8,7,8,5,5,9,7,7,7,7,7,7,7,6,8,7,
7,9,8,7,7,7,8,7,7,7,9,9,7,7,7,4,6,4,6,9,3,7,8,7,8,7,7,7,7,7,
6,7,7,9,7,7,8,8,7,7,7,7,7,8,7,7,6,4,3,4,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,3,6,7,7,7,
3,7,5,8,5,7,8,5,8,9,5,7,4,5,3,7,7,3,3,4,5,7,7,9,7,6,9,9,9,9,
9,9,9,7,7,7,7,7,6,6,6,6,8,8,7,7,7,7,7,5,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,
9,7,9,7,9,8,7,7,7,7,7,7,7,7,7,9,8,8,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,6,7,6,7,6,7,6,7,6,7,7,8,8,6,7,7,7,7,7,7,
7,7,7,7,7,7,7,8,7,8,7,8,7,8,7,7,7,7,7,7,7,7,9,9,8,7,8,7,8,7,
7,7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,8,7,7,
7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,8,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,6,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,9,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__courier_bold_13_latin_ext_h[560]={ 0,9,4,10,10,9,8,5,10,10,6,7,4,2,
3,11,9,8,8,9,8,9,9,9,9,9,7,8,7,4,7,8,9,7,7,8,7,7,7,8,7,7,8,7,
7,7,7,8,7,9,7,8,7,8,7,7,7,7,7,10,11,10,5,2,3,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,9,9,6,7,8,7,6,6,6,9,6,10,10,10,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,8,9,7,7,7,
10,9,3,8,4,5,4,2,8,2,5,9,5,5,3,9,9,3,4,5,4,5,8,8,8,8,10,10,10,9,
9,10,7,10,10,10,10,9,10,10,10,9,7,9,11,11,11,10,10,6,9,11,11,11,10,10,7,9,9,9,
9,9,9,9,7,9,9,9,9,9,8,8,8,8,9,8,9,9,9,9,9,7,7,9,9,9,9,11,11,11,
9,8,10,9,9,8,11,9,11,9,11,9,11,9,10,9,7,9,9,8,10,9,10,9,9,8,10,9,11,11,
11,11,11,11,10,12,10,10,7,8,9,8,9,7,10,8,9,10,10,6,8,11,11,11,10,11,6,10,10,10,
11,7,8,7,8,7,8,10,8,10,9,10,8,8,8,9,10,8,11,9,11,9,7,7,10,8,10,9,10,8,
11,9,11,9,10,9,11,9,11,10,10,9,7,8,10,9,10,8,11,9,11,9,11,9,9,8,10,8,10,11,
9,10,8,10,8,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,
8,8,8,8,8,8,8,8,8,8,9,7,8,8,8,8,8,8,8,8,8,8,8,8,8,10,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,9,10,8,11,
9,11,9,11,10,11,11,11,11,11,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,11,10,9,11,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__courier_bold_13_latin_ext_s[560]={ 254,252,102,11,177,176,164,77,250,212,1,
159,114,154,140,57,57,171,178,143,210,135,169,167,88,25,251,250,96,90,138,
225,32,171,181,185,163,147,105,33,114,97,193,130,63,149,140,202,235,94,79,
9,89,147,45,35,27,19,11,103,202,247,53,170,128,202,57,185,167,167,17,
241,25,247,19,1,231,205,8,81,10,102,197,49,239,41,16,244,228,78,215,
132,113,108,132,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,254,251,210,
65,73,57,99,182,144,155,118,45,81,154,122,160,66,119,32,60,150,227,235,
124,98,72,108,37,11,1,242,235,137,147,183,19,37,202,175,216,232,64,72,
82,125,240,57,249,193,1,26,114,130,103,111,222,111,146,162,178,80,119,243,
224,216,208,200,192,184,176,1,159,151,143,135,127,105,194,202,139,86,27,70,
62,54,46,38,122,189,17,9,1,243,217,225,234,217,131,89,194,184,66,1,
161,98,145,33,129,154,113,224,95,113,79,71,137,49,49,33,33,25,97,25,
1,72,80,170,194,49,96,88,11,72,127,55,113,64,121,206,227,249,129,151,
166,96,24,145,144,127,104,41,209,236,17,9,1,242,155,161,71,169,210,186,
193,210,174,174,157,218,226,75,17,117,83,17,121,25,153,122,104,80,114,63,
105,46,91,64,41,111,198,241,245,88,9,119,200,192,158,132,153,226,190,184,
35,136,213,9,221,186,229,237,19,36,177,169,41,137,55,90,161,99,153,59,
51,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,43,217,217,218,
217,217,217,217,217,217,217,217,217,217,217,217,217,232,88,217,217,217,217,217,
217,217,217,217,217,217,217,217,19,218,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,1,202,
234,106,138,74,122,29,106,28,90,82,74,66,58,50,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,1,42,208,47,34,66,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217, };
static unsigned short stb__courier_bold_13_latin_ext_t[560]={ 1,26,104,26,14,48,78,104,1,26,104,
87,104,104,104,14,48,78,78,37,78,37,48,37,48,58,87,68,96,104,96,
78,58,96,96,78,96,96,96,87,87,87,78,96,96,87,87,78,87,58,96,
87,87,78,96,96,96,96,96,26,1,26,104,104,104,87,68,87,58,87,87,
58,87,78,1,87,78,96,104,87,68,58,96,87,78,87,104,96,96,58,96,
26,26,26,104,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,1,48,48,
87,87,87,26,37,104,78,104,104,104,104,78,104,104,58,104,104,104,48,48,
104,104,104,104,104,78,78,68,68,26,26,26,68,68,26,87,26,26,37,37,
68,26,26,37,58,87,68,1,1,1,37,37,96,58,1,1,1,37,37,87,
58,58,58,58,58,58,58,96,58,58,58,58,58,68,68,68,78,58,78,58,
58,58,58,58,96,96,58,58,58,48,1,1,1,48,78,26,48,48,78,14,
48,1,48,14,48,1,48,26,48,96,48,48,68,37,48,37,48,48,68,37,
48,14,14,1,1,14,14,37,1,26,37,96,68,48,68,37,87,14,68,37,
26,37,104,68,14,14,14,37,1,96,37,37,37,1,96,68,96,68,87,68,
26,68,26,37,26,68,68,78,48,26,78,14,48,14,48,87,87,26,78,26,
48,26,78,14,48,14,37,14,37,14,48,14,14,14,37,87,68,14,37,14,
78,14,37,14,37,1,37,37,78,26,68,14,14,48,26,68,14,78,14,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,14,
78,78,78,78,78,78,78,78,78,78,78,78,78,58,96,78,78,78,78,78,
78,78,78,78,78,78,78,78,26,87,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,26,48,
14,78,1,68,1,68,1,26,1,1,1,1,1,1,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,1,1,14,68,1,68,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__courier_bold_13_latin_ext_a[560]={ 110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,110,
110,110,110,110,110,110,110,110, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_13_latin_ext(stb_fontchar font[STB_FONT_courier_bold_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_13_latin_ext_s[i] + stb__courier_bold_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_13_latin_ext_t[i] + stb__courier_bold_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_13_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_13_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_13_latin_ext_x[i] + stb__courier_bold_13_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_13_latin_ext_y[i] + stb__courier_bold_13_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_13_latin_ext_s[i] + stb__courier_bold_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_13_latin_ext_t[i] + stb__courier_bold_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_13_latin_ext_x[i] + stb__courier_bold_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_13_latin_ext_y[i] + stb__courier_bold_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_13_latin_ext_LINE_SPACING
#endif

