// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_18_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_18_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT        186
#define STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_18_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_18_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_18_latin_ext_LINE_SPACING           8

static unsigned int stb__courier_bold_18_latin_ext_pixels[]={
    0x00000000,0x00640000,0x0400000c,0x10400200,0x00000000,0x20666620,
    0xaaaaaaa8,0x00000002,0x00000000,0x00000060,0x37007a80,0x7cc2dc00,
    0x13a2003f,0xd807bf20,0x400f2004,0xdbd805ca,0x802e8802,0xfff980d8,
    0x33332a04,0x7ffffd40,0x003e86ff,0x013205f7,0x93ea07b0,0x1a73207e,
    0x3fe0f7e4,0x40d50005,0x01d001eb,0x2e203760,0x00ee003f,0x403ea372,
    0xaa4405d8,0x323203a8,0x266e9100,0x880fa603,0xb8875174,0xc86e04fc,
    0x67cd7d41,0x04e886d9,0x17601ca8,0xc9813a20,0x56e412e2,0x1f54d81f,
    0x64002fd4,0x4006600e,0x087003e8,0xb3001fc4,0x40026005,0x0e624403,
    0x12203c88,0x200cc073,0x9f01cc48,0xa8390dc0,0x81b67f1f,0x02a00003,
    0x80000510,0x6c000132,0x00e00115,0x00400f36,0x1fa8ab88,0x3ffeafe2,
    0xb8816b01,0x41ffefff,0x5510b73d,0xa88aaa25,0x4455512a,0x455512aa,
    0x55512aa8,0xaa895544,0x55109f02,0x488aaa25,0xaa89d4fe,0x7d455512,
    0xb881ffff,0x4e5cc01b,0x7f6fffc1,0x255517ff,0x3fe62aa8,0x77ec1fff,
    0x2e603fff,0x46c409ac,0x3bff2205,0x3f620efe,0x7c46ffff,0x700befcb,
    0x5e7e4099,0x8dc0cffe,0x9fffd839,0xffb1fffd,0x23fffb3f,0xffd9fffd,
    0xb3fffb1f,0x3ff63fff,0x81fffd9f,0x9fffd84f,0x7f01fffd,0xfb3fffb0,
    0x332e23ff,0x3ff621fd,0xfffd03ff,0x6fe5c1ff,0xffb7ecca,0x43fffb3f,
    0x6c1fdccb,0x83febcef,0x85fffffe,0x33f200ca,0x7ec3ffeb,0x443ff98c,
    0x18805fff,0x1fd0fe20,0x50774000,0x2a0ee87f,0xf507743f,0x3ea0ee87,
    0x7f507743,0x077413e0,0x81fc07f5,0x80fea0ee,0x233f61f9,0x97d42fd9,
    0x45e81fd8,0xfa83ba7c,0xfb07e603,0x17ec6e81,0x55544bf7,0xfe87f101,
    0xffd93ea0,0x01fffc46,0x50bffff3,0x320fc83f,0x81ffd0ff,0x3a17c45e,
    0x17a17c45,0x445e85f1,0x3e22f42f,0x17a09f02,0x81fc05f1,0x3017c45e,
    0x3e13ea3f,0x1d107e46,0x3a7c8bd0,0xf3017c45,0x27c87d83,0x364d83f8,
    0x3f507fff,0x47ee0fc8,0x220fbcfb,0x9304fdcf,0xf887f757,0xfb307f43,
    0xbd03f6a1,0x22f42f88,0x222f42f8,0x3e22f42f,0x0be22f42,0x445e827c,
    0xcefcb82f,0x0be22f41,0x03f71f98,0x67fcc1f9,0xf917a00a,0x80be22f4,
    0x11fec1f9,0x800fd49f,0xf882fff9,0x2f907f43,0x221f75f9,0x07bfb3fc,
    0x3217b32a,0x40ffebdf,0xd03ee0fb,0x2f42f88b,0x88bd0be2,0x3e22f42f,
    0x8be22f42,0x0ccefcca,0xd05f117a,0x5e87ffff,0x3f3017c4,0x207dc1f2,
    0x5c4fffd9,0x4f93cefc,0x3017c45e,0xefffd83f,0x003ee0ff,0xc8375fcc,
    0x20ffebdf,0xfb0efaf9,0xffc9ffcc,0x7ffffd46,0xeffeb885,0xf707dc0f,
    0x17c45e81,0xe85f117a,0x17a17c45,0x445e85f1,0x3ffff62f,0xf117a2ff,
    0x117a0005,0xb8fcc05f,0x2047d82f,0xfff11fd9,0x74f91dff,0xf3017c45,
    0x2ddbed83,0xfb002fa8,0xd7103f71,0xff81fddf,0x040bf31f,0x05e877e0,
    0x0fb87c8c,0x41fb03ee,0x507ec0fa,0x2a0fd81f,0xf507ec0f,0x3ea0fd81,
    0x07ec0100,0x13e201f5,0x01f507ec,0x45f88fd4,0x222745f9,0x6cdb003f,
    0xa803ea0f,0x4402ec1f,0x3e22885f,0x8404f99d,0xdbefd87c,0x0bd100ff,
    0x3faeb7e2,0xfb99883f,0xfdacf986,0x65f7cc3f,0xcbef984f,0xcbef984f,
    0xcbef984f,0xcbef984f,0x20db104f,0x04fcbef9,0xbef981e4,0xea9984fc,
    0x7edffdc7,0x5d6ffc0f,0x2e6600fe,0x32fbe64f,0x7ea9884f,0x2004f744,
    0x6fcacffb,0x1fffffee,0x546fb998,0x00bffedf,0xfeb813fa,0xfd86ffef,
    0xffb00eff,0xff50dfdf,0x3fea017f,0xfff500bf,0x3ffea017,0x7fff500b,
    0xa817f601,0x6c00bfff,0x2fffea00,0x0ffffdc0,0x4077fed4,0x02dfffdd,
    0x5037ffea,0xf9817fff,0x7ffc1fff,0xffea805f,0x2abba0df,0xffb82fba,
    0x0136c0ef,0x00130000,0x31003551,0x03000c00,0x003000c0,0x0600000c,
    0x40300080,0x08801aa8,0x2a001300,0x2600c00a,0x1555301a,0x3220c400,
    0x5df712ef,0x00001550,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x3fe6bfff,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x1100000a,0x00000044,0x31d80180,0x012a000b,
    0x40000000,0x0001913b,0x04000000,0x644ee000,0x00b62000,0x11006437,
    0x43100000,0x400ec802,0x46d404f8,0x0f4401e8,0x9034e640,0x6fd403df,
    0x2e05d02f,0x00e9800e,0x213e62dc,0x6f444ffe,0x3013203f,0x401d30bd,
    0xf00d904c,0xfde885ff,0xcf985d03,0x373e605e,0x36ffb206,0x2007a201,
    0x5c01f36c,0x200b6005,0x7cc03eeb,0x1fadc802,0x01f51b90,0x09f005c4,
    0x5f500191,0x6440dd80,0x827e542f,0x205d801b,0x017d42ed,0x017d42ec,
    0x0dc02fbe,0x2e1a89f0,0x300ae200,0x3e600f66,0x00020802,0x26001300,
    0x50019800,0x6c000026,0xb13e0b73,0x015016e7,0x81fc4070,0x01bb884f,
    0x509f00a8,0x74054001,0x2a21fc06,0xf855512a,0x881bb884,0x055512aa,
    0x44006ee2,0x81bb8802,0xfff35ffb,0x77ffdc41,0x3fee21ff,0xb881ffef,
    0x0ddc401b,0xff9affdc,0x0398dc0f,0x0731b89f,0x55555551,0x2aaaaa61,
    0x49f03f82,0x43ffffd8,0x82aaaaa8,0x2aaaa24f,0x2aaaa22a,0x0bea0aaa,
    0x7ffec3f8,0x3e1fffd9,0x3ffff624,0x6cfffec3,0x3f621fff,0x55103fff,
    0x7fec4035,0x8ff4c3ff,0x67e44fd8,0x320cffeb,0x0cffebcf,0x0fffff62,
    0x0fffff62,0x3f623fd3,0x013e0004,0x3fffff20,0xffff73ff,0x3e07f0ff,
    0x36633f64,0x3ffff22f,0xf927c0ff,0x321fffff,0x3fffffff,0xd07f0374,
    0x3e1fd41d,0x36633f63,0xf507742f,0xd98cfd87,0x7fffd82f,0x36633f60,
    0xdd17d42f,0x07f43f88,0x40fe87f1,0x2fd98cfd,0x7ecc67ec,0x8dd17d42,
    0x1ffd0ffc,0x21ff94f8,0x4fe40ffe,0x3f73fa99,0x5ff0bf73,0x213ea9f0,
    0x4e7ccc6f,0x330bf620,0x9fc8139f,0x7dc3fa99,0x8bd07f01,0xfa84c2f8,
    0x22f46f84,0x213ea2f8,0x5fff306f,0x0df09f50,0xf50beadd,0x3ea0fc83,
    0x9f507e41,0x427d4df0,0x5f56e86f,0xfb50fd98,0x1fb34f81,0x1f703f6a,
    0x8bdc7e71,0x84fe80fe,0xf903f74f,0xff109f01,0x7dc13e03,0xbf03f388,
    0x117a0fe0,0x40fdc05f,0xf117a0fc,0x7e40fdc5,0x86ebf980,0x40fc81fb,
    0xf886eafa,0x7f107f43,0x07ee0fe8,0x40fdc3f2,0x757d40fc,0x7dc1f706,
    0x41f727c0,0x6e7dc0fb,0x03fb180f,0x7ca7c13e,0x09f01f70,0x704f81fc,
    0x5c01fb9f,0x5e83f81f,0x64ba17c4,0x2f41f707,0x707c8be2,0xf71fb01f,
    0x1f707c83,0x3205ffd0,0x40ffebdf,0x0ffebdfc,0xc87dc1f2,0xfd01f707,
    0xb83ee05f,0x1f727c0f,0x3fee07dc,0x07f700ff,0xf74f81fc,0x13e0fb05,
    0x209f04f8,0x200ffffb,0xe83f84f8,0x53e17c45,0x747d82fb,0x5f717c45,
    0x3bf10fb0,0x82fb89f3,0x40df507d,0x0feffeb8,0x7f7ff5c4,0x9f60bee0,
    0x507d82fb,0x707dc0df,0x3ee4f81f,0x1f703ee0,0x5fa866f5,0x3e07f036,
    0x5f98bf14,0x827c09f0,0xf51f704f,0x207e4066,0x2a0fd83f,0x5f8a7c0f,
    0x83f62fcc,0x317e20fa,0xffff70bf,0x4c5f88ff,0x005f505f,0x64603e46,
    0x3e62fc47,0xbf317e25,0xf980bea0,0x7c3ffdac,0x3f6b3e64,0xb087dc3f,
    0x2f89be2b,0x93e60fe6,0x0ffdbffb,0x82fc09f0,0x421f704f,0xf89f105d,
    0x65f7cc0c,0x3ee4f84f,0x4c0ffdbf,0xb84fcbef,0x80ffdbff,0x2fbaaaee,
    0x7fedffdc,0x007f4cc0,0x41bee662,0xb86fb998,0x40ffdbff,0x0ffdbffb,
    0x2007f4cc,0x46fefffd,0x77ffec3f,0x333f666f,0x9bfb5fcc,0x3fe65fb9,
    0x2a27ff40,0x64c0effd,0xfc83cefc,0x79df9935,0x66667ecc,0xf83f605f,
    0x7ffd43ff,0x6d43f80b,0xff500eff,0x3f6a017f,0x77e440ef,0xa85df712,
    0x7e40effd,0x7ec06fff,0xffb00eff,0x3f6a01df,0xffb500ef,0xffffc81d,
    0x54018806,0x3ee01880,0xd5ffffff,0x45ffffff,0x01aa980a,0x3ffee011,
    0x71a80eff,0x21dfffff,0xfffffffb,0xaa836205,0x0a80300a,0x00600110,
    0xfff30088,0x413ffe6b,0x55551008,0x01aa8801,0x8800d544,0x22011000,
    0x0000aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10008000,0x0011005b,0x22570017,
    0x80a1880d,0x0001b12b,0x00339730,0x040b2201,0xaa855544,0x0000f202,
    0x0d555440,0x002dcf60,0x88000000,0x0029802d,0x04c8007b,0x3e601e6c,
    0x3fb205ec,0x02f881db,0x903fde88,0x74403e6d,0x074c03fd,0x1fffffd0,
    0x3e607d40,0x6c3f85ec,0xfffacfff,0x076e74c0,0x29d01ae0,0x2efffffc,
    0x200e6370,0x017402d8,0xcf980bf2,0x203f405e,0x2f4004e8,0x50163620,
    0xb31805c3,0x800be607,0x0010401b,0x02fa8037,0x0fec4bea,0x5c350dd0,
    0x3f207ec0,0x3501bf71,0x01d90054,0x33f917dc,0x20000fb5,0x6fcc03e8,
    0x4039501a,0x18802e1a,0x22001440,0x20195002,0x55512aa8,0xaa895544,
    0x3fffff22,0x3597301f,0x544aaa21,0x3397302a,0x1f9002a0,0x2fa80744,
    0x98339730,0x7e47dc4f,0x4d65d405,0x8dd00700,0xb8be60fb,0x1fff35ff,
    0xffd80510,0x4c0006ff,0xb9809acb,0x2aa209ac,0x5554401a,0x5441aaaa,
    0xfffb01aa,0x363fffb3,0xfffd9fff,0x799bfb31,0xfffffd01,0x367fff6b,
    0x7ff41fff,0x15510fff,0x3fe61554,0x836c00ac,0x40fffffe,0x2ff7dc7e,
    0xfffffb10,0x01aaaa8b,0x99fb87f5,0x3fa60feb,0x5449fb11,0x9f101aaa,
    0xfe88db11,0x3fffa04f,0x7fff45ff,0x3fff65ff,0x7fffdc07,0x7fec4fff,
    0xa83ba07f,0xf507743f,0x6c02f987,0xee97ee2f,0x5f50fea0,0x7fe47f62,
    0x981fff35,0xf304fffd,0x3625f507,0xf707e41f,0x3f603fff,0x7d4bf30a,
    0x3f707fff,0x1fffffb8,0x91ba2fa8,0x85dfffff,0x2a020cf8,0x45fb04fc,
    0xb8bf65fb,0x17ffcc5f,0x267f7ee0,0x2fff984f,0x42f88bd0,0x2617c45e,
    0x20fe202f,0x5f117a4d,0x83a20fc8,0x103be3fb,0xfd81fd98,0x3a20fc80,
    0x5f717dc0,0x07f01fd1,0x09fc8855,0xbfb81fb0,0x2dd01ffb,0x99fc82fa,
    0xeffc87da,0x2213e00b,0x7f14d83f,0xebf989b0,0x476e6406,0xebf983f8,
    0x2f88bd06,0x30be22f4,0x00fd405f,0x30be22f4,0x360159ff,0x4e81fc8f,
    0x13e21fc4,0x80567fcc,0x443ee2fa,0x000fd44f,0x43ec01f7,0x01fd10fb,
    0x2e0dd5f5,0x260be60f,0x13e05fec,0x3f5007ea,0x3ee3f600,0x3bf6be01,
    0xf71fb00d,0x2f88bd03,0x20be22f4,0x71fdbaef,0x88bd001f,0xfffd982f,
    0x04fef884,0x1fd75bff,0x36600fc8,0x1fb84fff,0x3f239fb3,0x2e21f70c,
    0x07dc0bcc,0x7ecc1f90,0xd05df31c,0x27ee05ff,0x0a60feb9,0x213e01f7,
    0x07dc00fb,0x7ccefc40,0xffb3f304,0x2677e20d,0x7c45e84f,0x0be22f42,
    0xa93fffaa,0x445e802f,0x3f66042f,0x3606fa81,0x442dfffd,0xfb30204f,
    0x3ff27d83,0x2a5ff13f,0x5ffff51f,0x3ea00fb8,0xb8ffff22,0x206fa84f,
    0x41fffffb,0x98fb32fd,0x2a3cefcc,0x017d402f,0x3fffffdc,0x4befffc8,
    0xffffff70,0x07d41fb0,0x00fa83f6,0x217e2022,0xfa83f628,0x0fe22740,
    0x02d8027c,0x227401f9,0x817e23f8,0x3a13e200,0x9ea0fb85,0x400205f8,
    0x2fee02fa,0x7fe41ffb,0x7fe43fff,0xbf10efff,0x217e2510,0x2aabba28,
    0xd9ce82fb,0x55dd16e6,0xef985f75,0xef984fcb,0x1b204fcb,0xfcacffb8,
    0x3f2fbe66,0xebadff84,0x3009f00f,0x05f881f7,0x7f5d6ffc,0x64407f20,
    0x2afbf606,0x20fb85fc,0x207f20fb,0xd3300fc8,0x887dc01f,0x3ea620fe,
    0xb81a600d,0x26fcacff,0xefcacffb,0xf712efc8,0x75e7e45d,0xf916eccf,
    0x0bbee25d,0x2017fff5,0x200bfffa,0x7ff54059,0x7ffd40df,0xfffdd80b,
    0xcefcb82d,0x2e17ae01,0x7feec01f,0x902fc2df,0xfffc80bf,0x3f6e21df,
    0x220fdccc,0x906fb84f,0x260dffff,0x5df31cfd,0xff8809f0,0xbfffd503,
    0xdfffea81,0xf35fff98,0x3ffe29ff,0x36fffffe,0x3fe6bfff,0x0c00304f,
    0x31000b80,0x04c00300,0x07ffffd0,0x30012a00,0x00002a01,0xff980988,
    0x40ffffff,0xaa880019,0xfff900aa,0x17427dc7,0x01880080,0x00000188,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55154000,0x800c86e0,0xaaaa81d9,0x4c053001,0x80aaa22a,
    0x2a000008,0xb1009acb,0x1d13b005,0x01dddd70,0x810000dc,0x25900a18,
    0xc92a00d8,0x81b12b82,0xdb01b12b,0x89640bdd,0x016c400d,0x20d54355,
    0x0fccf880,0x00db9f30,0x7d47f7f7,0xfd007fff,0xfd97ffc0,0x01e981ff,
    0x3f620b70,0xf985ffff,0x2fe205ec,0x999881fa,0x0017e200,0x7d5b2254,
    0x0ff7a600,0x2037bb60,0xe883fde8,0x333103fd,0x1fef4c01,0x217b3e60,
    0xffb8fffb,0x510bf50f,0x02b88015,0x910e2170,0x0620013f,0xf50efe88,
    0x2003f307,0x15fb00ec,0xb86a17e6,0x3f57f100,0xaa895544,0x2aa01302,
    0x20faaaa1,0x005c0020,0x03700550,0x5cf601b8,0xa800b805,0x83ba02e1,
    0x21fee2fa,0x1009acba,0xaa880377,0x07dc0aaa,0x09acba80,0x7f14ffe8,
    0x01c00110,0xa88aa0fe,0x2a0aaa0a,0x3f61fbbf,0x1fffd9ff,0x45555553,
    0xffb8fffb,0x415510df,0xaaa882aa,0xa88aa601,0x2aaaa62a,0x2aaaa22a,
    0x0731b82a,0x40355551,0x2aaa1aa9,0x45f117a0,0x3ff626fb,0x7ec45fff,
    0x3f603fff,0x7dc4ffff,0x7ffec400,0xfcde85ff,0x3fe63f89,0x4455304f,
    0x007ea2aa,0x7fcd7ff2,0x3ffff20f,0xa83ba2ff,0x3fffee3f,0xf507747f,
    0xf35ffc87,0xfffd81ff,0x6cbffe07,0xfff71fff,0x7ffe4fff,0xc8000fff,
    0x42efffff,0xff57fff8,0x3e22f49f,0xafd97ea2,0xcfd8bf30,0x2602fd98,
    0x0fb81ee9,0xf9857ec0,0x9ef8de85,0x13f2e23f,0xffd97ffc,0x2e21f71f,
    0x8fee0bcc,0x5fe440ef,0x117a0afd,0x5ccfdc5f,0x3e22f45f,0x3be3fb82,
    0x05fff300,0x7d43bfa2,0x3ee67ee3,0x04e7ccc5,0x3ffa1ff9,0x6d4cfe40,
    0x220afa87,0x3e22f47d,0x83f97e62,0x3e13ea2a,0xf705e806,0x20fe3d41,
    0xbf55e82a,0x4413e07f,0x47f50efe,0xffff51fa,0x1fc8fd85,0xd0f91f70,
    0x5ee2f88b,0x22f40fe8,0x91fb02f8,0x75fcc03f,0x453ffa06,0x7f45ee3f,
    0xfb309f00,0xf703f6a1,0x3e617cc1,0xe8db5f9a,0x9f117cc5,0x3ee007ea,
    0x7400fc81,0x7dc1f705,0x74003f50,0x7c0fff65,0x453ffa04,0x3a13e23f,
    0x04fef885,0x8bffdfd9,0x4617c45e,0x445e81fd,0x9fdf102f,0x1fb8fd80,
    0xf13f9bd0,0x403fb187,0x5c1f704f,0x5ccfdc0f,0x65fc40fe,0x7dc5e8ff,
    0x25f03ee0,0x799710fb,0x07dc1f21,0x5c45e815,0x0fdcccfd,0x332e21f7,
    0x22fbe60b,0x09f03ff8,0x7c4fe6f4,0x655f7ec3,0x40df505f,0x45ffeffc,
    0x5c17c45e,0xf88bd03f,0x101bea02,0x209f33bf,0x3f9ef8de,0x27c03fb8,
    0x03ee0fb8,0x03fffff7,0x3effbb3e,0x7e5f7c44,0xfa8fd404,0x05f72fff,
    0x3a17c4fb,0x7ffffcc5,0x23f50fff,0x322ffffa,0x07f71fff,0xf8de813e,
    0xffc83f9e,0x13e01dff,0x3617af90,0xf503ea0f,0x41fb06cb,0x027c00fb,
    0x1fffffee,0x3fdfaaf4,0xf01b2fd4,0xfb83ee09,0x7fddfdc0,0xdd7fdf01,
    0x9ffd307f,0x13e21501,0x4c5f897a,0x9d0fe25f,0x13e20080,0x2001017a,
    0x7d57a04f,0x026203fd,0x2db013e0,0xcbef984f,0xf137c44f,0x7edf7cc5,
    0x7404f804,0x82fbaaae,0x88fff65e,0x3e0be26f,0xfb59f304,0xd10fb87f,
    0x71ffd01f,0x03e205ff,0x7dfb27c4,0xffb8bf95,0x3e20ffdb,0x202fdace,
    0xdfb00fc8,0x440bf957,0x027c00fc,0x81ffecbd,0x32e00fc8,0x2bb01cef,
    0x7fff504f,0xdccdfd81,0x5ffecc2f,0x33bf2e00,0x8977e441,0x3be62efb,
    0x363ff88b,0x32fdccdf,0xb079df99,0x4cdfdfff,0x5df31cfd,0x3ff36fd8,
    0x8082fec0,0x81dffffc,0xa80effda,0x5c02effd,0x7ffe406f,0x1bee01df,
    0x6677e654,0x222fbe60,0x0df703ff,0x03ffffe8,0x03002a33,0x7ffffff4,
    0x3fa00102,0x7fcc3fff,0x49fff35f,0x7f71fffc,0x7ffffff4,0xdfffff72,
    0x7e403101,0x913ee3ff,0x2007f47f,0x01310000,0x00200110,0x004c4000,
    0x7fffec00,0x3fff22ff,0x00007f71,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x2e028801,0xdd701b12,
    0xc83201dd,0x20057100,0x01301998,0x2a0000dc,0x2e00aaaa,0x0190dc04,
    0x05b10004,0x11004c50,0x13597300,0x37005b10,0x4402d880,0x816c40a1,
    0x01100a18,0x40fff620,0x37a202f9,0x1333103f,0x42ee7540,0x03ffffd8,
    0x41ffffb1,0xf884ffe9,0x3fff6e04,0xfffff53f,0x3d9bd10d,0x41b73e60,
    0x204bcff9,0x2605ecf9,0x3b207f0f,0xffe81dbf,0x67cc5fff,0x813e205e,
    0x3205ecf9,0xcf981f36,0x1f36c85e,0x076ffb20,0xd01bbfc8,0x1006e003,
    0x1b880377,0xfb319fb0,0x07c1b905,0x2607e29d,0xd9b9f900,0x01cf9885,
    0x7100d453,0x0cc84c05,0x200b86a0,0x7b318020,0x2fdc5fb0,0x2600b86a,
    0x00b86a00,0x2e1a8082,0x31802080,0x804f807b,0x5544b509,0x222aaaaa,
    0x443ffffd,0x0aaaaaaa,0xb0df09f5,0x791e2389,0x0aaaaaa2,0x407af6bf,
    0x2aaa204f,0x55555101,0x03555105,0x44003ff2,0x55101aaa,0x1fc45555,
    0xaaaa8a6c,0x55510aaa,0x55415555,0x54435512,0x10aaaaaa,0x44555555,
    0x4c2aaaaa,0x50aaa22a,0xf9017df9,0x7d4dfdff,0x26ffffff,0x2fd98cfd,
    0x3ffffff2,0xf903f73f,0x406fff41,0x329f915a,0x20ffffff,0x203d7b5f,
    0x3fff604f,0xfffff907,0x7fffd81f,0x2001fb30,0xf907fffd,0x2a1fffff,
    0x7ffe401f,0xff93ffff,0x267fffff,0x6ffd9fff,0x3ffffff2,0xfffff93f,
    0x3ffff21f,0x4bffe0ff,0x3fa1fffd,0x6fec3fff,0x3ea2ffdb,0x56d9cf9a,
    0xfc8df09f,0xf93fa999,0x47c43ee0,0xfa643fd8,0x33e664dc,0x5f67dc09,
    0x9809f01e,0xf3302fff,0x3fe60139,0x311f702f,0x05fff300,0xb8273e66,
    0x99fc800f,0x27f23fa9,0x3ee3fa99,0x3f903f21,0x4cc7f533,0x7ccc09cf,
    0x77f4409c,0x13e07f50,0x7f7cd3e2,0xd9fc7ea5,0x1f903f76,0x1f9c47dc,
    0xb8dd05f5,0x321bd32f,0x9f0996ac,0x0f5fed40,0x5fcc04f8,0x2027c06e,
    0xf706ebf9,0x4c03fffd,0x27c06ebf,0x7dc017d4,0x7dc3f388,0x7dc3f388,
    0x1f703ee0,0x13e07e71,0x7ff409f0,0x13e07f14,0x23be67ea,0x53f9227d,
    0x07dc1f27,0x881fb9f7,0x541fcc5f,0x3329b0df,0x4f84dbf8,0xf01ebd80,
    0xfb8fd809,0xfb013e01,0xff703f71,0x7ec0dd77,0x13e01fb8,0xb8a217e2,
    0xfb80fdcf,0xbfb80fdc,0x7dc0fdaa,0x13e00fdc,0x66f409f0,0x9f03f89f,
    0x11df9f10,0x5c1fc0bf,0x7dc7d82f,0xffb80fff,0x9100efdb,0x55ae9d9f,
    0x804f85fe,0x7e641ebd,0x9df882ce,0x813e04f9,0x84f99df8,0x203ee1fb,
    0x04f99df8,0x67fdc13e,0x3fee6fca,0xfffb80ff,0xffffb80f,0x7ffdc0ff,
    0xf013e00f,0x77c6f409,0x209f03f9,0x1ffcbffd,0x17e20fe0,0xa8fb8bf3,
    0xfffa8337,0x27d41103,0x09f001f3,0x7cc3d7b0,0xfb85ffff,0x3e07ffff,
    0x3fffee04,0x2e0fb87f,0xffffb80f,0xa813e07f,0x2e0dfffe,0x5c337a8f,
    0x5c337a8f,0x40fc999f,0x0337a8fb,0x204f809f,0x07fbf55e,0xfff305f3,
    0x3f803dff,0xffb7ff70,0x3610fb81,0x556ffdc5,0x83f125c4,0x13e02a4e,
    0x2a07af60,0x55577406,0x409f02fb,0x2fbaaaee,0x01f707dc,0x5f7555dd,
    0x132013e0,0x4bb087dc,0xb97610fb,0xf703ee0f,0x27c2ec21,0x25e813e0,
    0x3b363ffd,0x0221f707,0x039df970,0x981dffb5,0x5fccccfd,0x37fffffc,
    0x217fbbf2,0x930efff8,0xd5079df9,0xf885dfbf,0x977e443f,0x9932efb8,
    0x7e4479df,0x25df712e,0x9fb34fd8,0xb8977e44,0xdf9932ef,0x03ee6079,
    0xf9999fb3,0x3333f66b,0x19fb15fc,0x7ecc9fd3,0x935fcccc,0x64c79df9,
    0x7cc3cefc,0x23ff88be,0x00001dfc,0x80fffffa,0xffff7008,0x2198bfff,
    0x1aaa9819,0x3fee04c0,0x5440efff,0x0100aa9a,0x3e6bfff3,0xffff74ff,
    0x3ffe61df,0x2a9fff35,0xfffa8fff,0x26bfff30,0xfff74fff,0xbd501dff,
    0xffffff70,0x3fffeebf,0xfff75fff,0x2e1fff93,0x5fffffff,0x1dfffff7,
    0x3bffffee,0x5c7fff20,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555440,0xb31d80aa,
    0x58b00800,0x006aaa20,0x1006c4ae,0x77775c01,0x88220000,0x0c00c180,
    0x3ae002a0,0x00000eee,0x00000013,0x00220880,0x41800003,0xd8804401,
    0x7ffffe42,0xfdfa83ff,0x2a2ae202,0x4eceb81f,0x01ffff60,0xf30ff7a2,
    0x103bffdf,0x7c401333,0x3eebea04,0x0e98cb81,0x1fff6fec,0x4c402f98,
    0xffa80099,0x77ffdc42,0x3fea01ff,0x43ff27ba,0xbf980ffe,0x3bee02fa,
    0x5c05e801,0xf500e98c,0x320b207f,0x03fa999f,0x3f620171,0x2606ffff,
    0xfff9801b,0xb1037002,0x88bd77ff,0x202aaaaa,0x06f4c02d,0xa82dfc88,
    0x00feacff,0x555101d3,0x4c015555,0x33f20bfc,0x200cffeb,0x2668afc8,
    0x01fb50fd,0xdc807b62,0x1e401e98,0x40b7f220,0x003e89ea,0x0fce23ee,
    0x20355551,0x3ff98cfd,0x801aaa88,0x5106ebf9,0x41555555,0xc83ee1fb,
    0x00ffffff,0x00130011,0x98fe6011,0x3201882f,0x3fffffff,0x239f7530,
    0x007f43f8,0x8555f113,0x803ee0fb,0x00188018,0x00440062,0x703b00c4,
    0xf901fb9f,0x543dffff,0x21bff64f,0xd807fffd,0xfc81fb8f,0x23ffffff,
    0x303ee0fb,0xd70139f3,0xfd703dff,0xffd703df,0x262f983d,0x3fffe62f,
    0x5333f905,0x7ff5c47f,0x907ea2fd,0xffeb881f,0x41f702fd,0xffda80fb,
    0x7ffcc2ef,0x3ff6a05f,0xfffb82ef,0xfffda80e,0x2e13e22e,0xdd00ffff,
    0x7dcdf733,0x01f79f71,0x4405fff3,0x904f99df,0x47f5333f,0x403ee0fb,
    0x759f904f,0x567e41ff,0x33f20ffb,0x3e60ffba,0xbc98be62,0x8fb83fba,
    0x6fe43f38,0x3e22ffdb,0x3f207f43,0x702ffdbd,0x2607dc1f,0x44fdbbef,
    0x83fbabc9,0x4fdbbef9,0x7fe5f7dc,0x36efbe60,0x2e13e64f,0xd8337a8f,
    0x37c9fd45,0x2603eebf,0x3ee06ebf,0xf707ffff,0x6c47e711,0x207fb14f,
    0x555bf04f,0x556fc7f9,0x2b7e3fca,0xf913fcaa,0x2a0be61b,0xcfb85ecc,
    0x227c40fd,0x5efe42fc,0x13e20ffe,0x33ee05f9,0x3e43ffda,0xecca81f4,
    0x43e87c85,0xf927c45f,0x42fd47d0,0xb17610fb,0x2be6bf0b,0x360fb0ef,
    0xdd01fb8f,0x705f7555,0xfa81fb9f,0x06ff98ff,0xffff509f,0x3feabfff,
    0xf55fffff,0x2bffffff,0x5f31efe8,0x2fffffd4,0x207fffdc,0x217cc0fa,
    0x0feffeb8,0x05f303ea,0x3fbfffee,0xfa8027c6,0x4f85ffff,0x6e82f980,
    0x1bee013e,0xf9999fb3,0x25e85d8b,0x0bf31fff,0x89f33bf1,0xf712efc8,
    0xffffb85d,0x4f800400,0x9999cf88,0x3339f109,0x273e2133,0x54009999,
    0x5e877e1f,0x337a8fb8,0x05f70be2,0x17c47c8c,0x4fdc0bee,0x041be009,
    0xf85e877e,0x22fc4106,0x041be4f8,0xfffb8ff7,0x2ec5ffff,0xb7dfb27c,
    0xfff701ff,0xfff98fff,0xb8bfff35,0x10337a8f,0x04f801f9,0x7b9759f9,
    0x6e5d67e4,0x32eb3f23,0x1fd5103d,0x3faeb7e2,0xb087dc3f,0x7ed67ecb,
    0x5ccc41df,0xdacfd86f,0x0fb81dff,0xbabdfb80,0x2eb7e26e,0x6fdc3ffe,
    0x7e46ebab,0x2e1ffcbd,0x26ebabdf,0x1b5005f9,0xa97dc5d8,0x00bffedf,
    0x5f7555dd,0x2e06d400,0x2e17610f,0xdf99306f,0xffeb8879,0x3fae22ef,
    0x3ae22eff,0xfa82efff,0x7ff5c2ff,0x3f666ffe,0x225fcccc,0x3ffeffeb,
    0x4077ffec,0xffeffeb8,0x7000fa83,0xb83bfffd,0x86ffeffe,0x81dfffeb,
    0xb81efffc,0x041dfffe,0x263fd100,0x26fdccff,0xfc88026d,0x05df712e,
    0x6cc7fa20,0x05fccccf,0xfffffb80,0x1003100e,0x30031003,0x2e009803,
    0x5fffffff,0xaa880130,0x20013001,0x80088001,0x00220009,0x00440044,
    0xfff90000,0x4c0009df,0xfff35fff,0x7fdc0009,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4e200000,0x4005c00b,0x00110008,0x4411005c,0x0c180000,0x03bbbae0,
    0x88008822,0x0c080000,0x01700060,0x000001c4,0x1300001c,0x017000c0,
    0x10000144,0x6c40b97d,0xffdffd05,0x3ffae05b,0x0bb04ffd,0x01e88da8,
    0xdd82ffa8,0x4cc405d9,0xf75f5009,0xfdcffc83,0x3f80b84f,0x407e575c,
    0xd800dfd8,0x7c05d805,0x2744005f,0x200cfda8,0xfc82fffc,0x202ec01e,
    0x677c04e8,0x0b57904a,0x3fea03c8,0x641fdbcf,0x1dffcbef,0xdd7004c8,
    0x0bf22007,0x2a201fdc,0x774c01aa,0xcfffc980,0x6417c45c,0xd00dea82,
    0x09901b27,0xbf502640,0xf102e800,0x3f609f9d,0x46e40bac,0x009900fa,
    0xfff901e4,0x44004407,0x3a0fec01,0x7f713e25,0x0c400620,0x05f11300,
    0x7fffd800,0x3e201880,0x20be601e,0x00002604,0xbd000000,0x40620022,
    0xf90f90fb,0x20022005,0x20088008,0xb84f9bd8,0xda80efff,0x6d82efff,
    0x307ea7c8,0xffff987f,0xbffff305,0x37ffae20,0x743ff22f,0xfff300ff,
    0x3fffae05,0x3203f886,0x01ffffff,0x641dfff7,0x41ffd0ff,0x1ffd0ffc,
    0xffe87fe4,0xdffeee80,0x6fffeb81,0x437dcfdc,0x3ee018de,0xffb80eff,
    0xfffb80ef,0xf999500e,0x7e5f7dc1,0x2efbe60f,0x23fd84fd,0x437e26f9,
    0x5e4c3fd8,0xbc983fba,0xdfc83fba,0x3662ffdb,0x201fb50f,0xf986ebf9,
    0xf887ebac,0x337f6603,0xbefb80bc,0x1fb30ffc,0xfd983f6a,0x6cc1fb50,
    0xd01fb50f,0x43fd79ff,0x47ebacf9,0x20effbfb,0x42effef8,0x0ffcbefb,
    0x3ff2fbee,0x3f2fbee0,0x3fbfe60f,0xf117e2ff,0x41f43e49,0x1ffefffd,
    0x7fff7fdc,0x0bd99503,0x222f6654,0x2e17e44f,0x6c03ee0f,0x7cc1fb8f,
    0x65c299bd,0xf981ccdf,0x7c45f802,0x0fb83ee4,0x81f707dc,0x203ee0fb,
    0xf327c1fe,0xfb85337b,0x3e66fb88,0x2fc7eadf,0x445f93e2,0x9f117e4f,
    0x3fe887ec,0x7cdd05f3,0x36fb6004,0xbb7100ad,0xfffa87f5,0xfffa85ff,
    0x207d45ff,0x707dc2f9,0x33bf101f,0xfffb709f,0xfffffe87,0x4c02f983,
    0x3ee6e82f,0x1f703ee0,0x83ee07dc,0xc86e80fb,0x1fffedc7,0x11fc83ee,
    0xf997ccdf,0x05f36e82,0x3a0be6dd,0x3fa89f16,0x24f88bf1,0x0bb0106f,
    0x3e1fc400,0x37e17a1d,0x85f117a1,0x707dc2fb,0xffff701f,0x9312a8ff,
    0xf300203f,0x445f8805,0xfb83ee4f,0x1f707dc0,0x03ee0fb8,0x54bd03fa,
    0x5c3f9312,0x7c5f328f,0x2fc4fe25,0x22fc53e2,0x88bf14f8,0x5f717e4f,
    0x7fe5efe4,0x2eaf7ee1,0x04f7446e,0x433e6200,0xffebadf8,0x3aeb7e23,
    0x567ec3ff,0x3e61dffd,0xe83ffdac,0x22fbaaae,0x0fdbacfe,0x77c05e88,
    0x7e41fdba,0x261ffcbd,0x43ffdacf,0x3ffdacf9,0x7fed67cc,0x5df7fdc3,
    0x2b3fa2fd,0x9fb30fdb,0x7dc1fb9f,0x3f20febc,0x321ffcbd,0x21ffcbdf,
    0x1ffcbdfc,0x1bf2b7ee,0x207bfff2,0x41dfffeb,0x4005ffff,0x3ae5ffff,
    0x5c6ffeff,0x46ffeffe,0xffeffeb8,0x7f7ffec3,0x44bbf226,0xffd92efb,
    0x13fa05bf,0x09fffd50,0x207bfff2,0x86fefffd,0x86fefffd,0x46fefffd,
    0x2dffeefe,0x16ffff64,0x7ffb9ff9,0x905dff90,0xf903dfff,0xff903dff,
    0xffd703df,0x40044019,0x2aaa6008,0x5554c000,0x13000980,0x44004c00,
    0x57ffe601,0x4c44fff9,0x04400000,0x0c400880,0x31001880,0x44009800,
    0x10010009,0x11001100,0x01001100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00300a20,
    0x0e400002,0x00c00c08,0x001c4070,0x26004c00,0x0000802d,0x4c880110,
    0x130060c0,0x20713300,0x4401d35b,0x0033ae01,0x01104003,0x5f300008,
    0x200f7e40,0xffff883f,0x2e09f04f,0x3200ecae,0x176201ef,0xff701bb0,
    0x983ffe6b,0x2d604fff,0x419ffd50,0x0ffffffe,0x4037ffb2,0x32e01b8b,
    0xfe880e98,0x3abe605f,0x41227503,0x22efffda,0x2204b8e8,0xabf9801f,
    0x27edc42f,0x03d02fa8,0x007d46e4,0x99bf109f,0x03bf1039,0xdc8033ea,
    0x07b00fa8,0x3fa612e0,0xee89fb11,0x99703fcb,0x27dd6fc0,0x4fd999db,
    0x04fbadfa,0xfc880bb3,0xf77fd02d,0x00f27a09,0x5f7cc022,0x452a4fdb,
    0x400be606,0xefc81ed8,0x887f704f,0x01880220,0x02f884f8,0x42ffffd4,
    0x00220018,0x40220022,0xf31ba2fa,0x01883745,0x267c83ea,0xf9022f40,
    0xf1000000,0x00007e47,0xc83dffd7,0x76743e87,0xffffb833,0x802200ef,
    0x3a2009f0,0x42ffcdff,0x546fffeb,0x11aadfaa,0xf8839bbf,0x3e66e99d,
    0x3ae05fff,0xfeb81eff,0xffeb81ef,0x5f56e81e,0x83ee0fb8,0xa85ffff9,
    0x4c0dd13f,0x4dd3103f,0x1ffd0ffc,0xffe87fe4,0x2fa8be60,0x3ffa1ff9,
    0x7dd67e40,0xa8013e0f,0x3220dfcb,0x7cc2ccdf,0x201dffef,0x7791004f,
    0x261fb9ff,0x267ebacf,0x5fffffff,0x49ffdff1,0xc98a60fb,0xfc83fbab,
    0x320ffbac,0x20ffbacf,0x0ffbacfc,0x6c3757d4,0x7930fd46,0xffb07f75,
    0x07e405ff,0xb30fffd4,0x983f6a1f,0x81fb50fd,0x267ff15e,0x81fb50fd,
    0x3fcaaadf,0xf93041be,0x33ee017b,0xbffd881a,0x413e05eb,0x3f2e60aa,
    0xbf34fbaf,0x99885337,0x90d409cf,0x54007dcf,0xadf85ecc,0x37e3fcaa,
    0x3e3fcaaa,0x83fcaaad,0x46d82ffe,0xecca81fa,0x7ff7f445,0xdb817a03,
    0xf707dc5f,0x3ee0fb81,0x7ffffd40,0x0fb83ee3,0x3fffffea,0x2af7ee5f,
    0x362aa6eb,0x7ffec1ee,0x21fb80ff,0x209f00fb,0x3ffff65f,0x36e5ffff,
    0x13e03fff,0xdf897cc0,0x3fea5da9,0x7fd45fff,0xf55fffff,0x2bffffff,
    0xfffffffa,0xf706fa85,0x3fea3e41,0x17dc5fff,0x00fe60fb,0x20fb87ee,
    0x707dc0fb,0xf999101f,0x1f707dc5,0x4ccce7c4,0x7fff5c09,0x0b15981d,
    0x2e0137f5,0x7c03ee0f,0x9f30fa84,0x42667be1,0x03f9312a,0x07d400fe,
    0x7c7ffff5,0x9f117a1d,0x22133333,0x099999cf,0x333339f1,0x2605f501,
    0x3bf17a2f,0xf71f22f4,0x5001f901,0xf707dc5f,0x3ee0fb81,0xb83fe200,
    0xf903ee0f,0x207b9759,0x59acc04c,0x3fb75bf0,0x01f707dc,0xdf0f213e,
    0x7b77ffb5,0x3f6eb3fa,0x5dd03900,0xbf10bf95,0x75d6fc41,0x567e43ff,
    0x33f23dcb,0x3f23dcba,0x263dcbac,0x3fa00fe9,0x37e22fdb,0x2a3ffeba,
    0xf06fbbdf,0xd9559b0b,0x6d67cc1f,0x567cc3ff,0x2b223ffd,0x67cc1ffd,
    0x5c43ffda,0xa82efffe,0x776c00fd,0x9fffd501,0xfd8a7ec4,0x33bf3263,
    0x3ffe60e3,0xd92effee,0x6445bfff,0x52cccccc,0x2039dffb,0xeffeb83f,
    0x7f5c46ff,0x3ae22eff,0x2e22efff,0xf92efffe,0x7440dfff,0xffeb84ff,
    0x7fdc6ffe,0x705d00ef,0xb03dfffd,0xb0dfdfff,0x44dfdfff,0xfb00beff,
    0x440dfdff,0x8026d401,0xf5011000,0x4dff31ff,0x0efffffb,0x40220980,
    0xfff98098,0x0085ffff,0x002600a8,0x01880188,0xaaa88188,0x4008800a,
    0x00110009,0x03100300,0x00200620,0x000000c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4f620000,0x55553009,0x015554c0,0x00110022,0x005101c4,
    0x98055553,0x01800001,0x26791000,0x00001c00,0x20b73d80,0x56e02208,
    0xaaa980e9,0x00030602,0x80de544c,0x001883d8,0x403bf2f2,0x500cccca,
    0xd7019999,0xff703dff,0x407d3005,0x665404e8,0x01d700cc,0x3ff21ff5,
    0x207bf200,0x3204fff9,0xd100efcb,0x79837409,0x81cc6e00,0xa81fbafa,
    0x332a0913,0x319700cc,0x3ffae01d,0x3ffffe24,0x5c3d883f,0x008006de,
    0x90088000,0x41ff759f,0x402e98eb,0x007b002e,0x806d4011,0x1fb30fd8,
    0x03ea3720,0x1009f971,0x6403d803,0x1ffffc84,0x37a60000,0x22004400,
    0x2dfc8801,0x49999f50,0x1fb30ef9,0x201e9800,0x1ffd0ffc,0xffe87fe4,
    0x0efffb80,0x7e5556fc,0x00440003,0xeffeb800,0x41f70001,0xf00000fb,
    0x77ffdc09,0xc8800000,0xff90099f,0x0003ffa1,0x2077ffdc,0x005ffff9,
    0x06405e80,0x20720fe2,0x98660fe9,0x41fb50fd,0x1fb50fd9,0xffcbefb8,
    0xffffff50,0x27ffccbf,0x6fff7fcc,0x04fff981,0x1ff759f9,0xb827ffcc,
    0xfd03ee0f,0x417ff45f,0xbefb834f,0xfff70ffc,0x3fee1fff,0x3ee0ffff,
    0x6cc1effe,0x5c1fb50f,0x20ffffff,0x0ffcbefb,0x0feeaf26,0x2613ffe6,
    0x332a05ff,0x4c6ecccc,0x7dcf603f,0x1f707dc4,0x03ee0fb8,0xf14f88bf,
    0x41333339,0xd884fcb8,0x885ebbff,0x5bf04fcb,0x5c47f955,0x43f704fc,
    0x46fd40fb,0xf80efaac,0x117e3f9c,0x3b33ee9f,0x3b33ee6f,0x5effdc6f,
    0x2e0fb85e,0x3b33ee0f,0x3e22fc6f,0x85ecca84,0xf704fcb8,0x7fffdc0b,
    0x3ff27fff,0x757776c2,0x707dc0be,0x2e0fb81f,0x3a0be60f,0x32eb3f26,
    0x2e09f03d,0xf803ee1f,0xfffffa84,0x209f05ff,0x2ffebef9,0xf8efadf8,
    0x4c2e9f03,0x2916e82f,0x55220dfa,0x70fdc0df,0x2e0fb81f,0x6fd5220f,
    0x9ba0be60,0x05fffffa,0x40bd027c,0xf55d81f9,0x67e44409,0x707dc6f8,
    0x2e0fb81f,0xf117e20f,0x7fff5c49,0x2e09f02e,0xf803ee0f,0x999cf884,
    0x409f0099,0x85feeffc,0x1fcffdfd,0x8bf109f0,0x02fd44f8,0x83ee0bf5,
    0x707dc0fb,0x10bf501f,0x3e4f88bf,0x9f017a1d,0x17a02f40,0x731f25f3,
    0x6ed8f744,0x7fed67cc,0x7ed67cc3,0x65efe43f,0x01e981ff,0x41f704f8,
    0x413e00fb,0x3dcbacfc,0x708809f0,0x3f7fee0b,0x6413e07f,0x21ffcbdf,
    0xbf50a5fa,0xfb83ee14,0x7ed67cc0,0x852fd43f,0x1ffcbdfc,0xffd75bf1,
    0xbd027c07,0xfcbefb80,0x3aeb7e67,0x0d3d5146,0x0dfdfffb,0x0dfdfffb,
    0x203dfff9,0xcca82ef8,0xfb10ccef,0x950ff629,0x44199df9,0x22efffeb,
    0x0ccefcca,0x2217fcc0,0x545fc9ff,0x40ccefcc,0x2a1efffc,0x51fdccff,
    0x43fb99ff,0x213f64fd,0x26fefffd,0x1fdccffa,0x20f7ffe4,0x6ffeffeb,
    0x6677e654,0x039df910,0x205f7ed4,0x203fffeb,0x1881feec,0x44003100,
    0xfb008800,0x2a5fffff,0x6ff98fff,0x7fffffec,0x3f603102,0x002fffff,
    0x27cdbe01,0x3ffffff6,0xff901102,0x3f23ffff,0xf31fffff,0x1bff31bf,
    0x7fe40310,0x1101ffff,0x7ec00980,0xf52fffff,0x0100bfff,0x3a200330,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01000300,0x14c00300,0x81104000,0x015952a8,
    0xd35b8062,0x04cf6201,0x4e5cc000,0x32a20001,0xa880000b,0x9acb9801,
    0x09acba80,0x15555510,0x22006a20,0x42a981bb,0x377102aa,0x1fee002c,
    0x2005fc80,0x200cfffb,0x7fd401fa,0x2fabf880,0x7fff77e4,0x3fffae0e,
    0x40913a86,0x880efcbc,0x3fa04fff,0xff30ffff,0xffff9807,0x33ffe62f,
    0x6fec40f9,0xfffd02ed,0x7fec4bff,0xffb05fff,0xfd889fff,0xfd882edd,
    0x7ff43fff,0x445fff11,0x4d3ffffd,0xf104fff9,0x7005a800,0x207f95bf,
    0xffe800e9,0x203db100,0x27f51efe,0x07ebacf9,0x06620031,0x2a09f970,
    0x223fb12f,0x97d403fb,0x3f2e26d8,0x4df441b4,0x45fb0b60,0x42bf65fb,
    0x3a6605f9,0x445f441e,0x8cfd85b0,0x13e22fd9,0x8cfd8bf1,0x2e21efd9,
    0x20f104fc,0x2885a80a,0x201b22ec,0x1fdf7008,0x1fd01100,0x37bf34f8,
    0xffff9853,0xbffff305,0x3f209f00,0x3f883a20,0x03ee1c40,0x7b70a73e,
    0x21d13ddf,0x3e4d83f8,0x5e802a83,0x1bdbb5b8,0x3e13ea1d,0x527c1fc6,
    0x7c0df09f,0xfd88f104,0x2fdc5a81,0x3ff23f40,0x7c44ffdc,0x7fe40fbd,
    0x2f44ffdc,0xfffb72f4,0xfbabc987,0xfbabc983,0x20eefc03,0x880acff9,
    0x01fffabf,0x827c1bea,0x9652ad1e,0x0fd401fa,0x3d0bd000,0xf72ca475,
    0x1fc1f903,0x903f727c,0x2e13e01f,0xaefbaefe,0x6ceff6c0,0x17ec01bf,
    0x333fff26,0x07dcfe45,0x333fff26,0xaaf42f45,0x503f9312,0x6540bd99,
    0x3fe205ec,0xfffd982f,0x77e5fc44,0x01bff00b,0xfdf3c13e,0x007dcea1,
    0x665c43ee,0x0bd02a0b,0x64ea072f,0x1fc1f707,0x2e0f927c,0x8809f00f,
    0x04ddebfe,0x20fd1bf7,0xdf103fd8,0x7dd3e603,0x201ef880,0x9fd4e85e,
    0x7d41fb75,0xfa85ffff,0xf705ffff,0xd98101bf,0x17ffe21f,0x09f013a0,
    0xc97474b6,0xfa805f51,0x25ffff51,0x6c2f42f8,0xb8e463aa,0x9fc7d82f,
    0x17dc9f1c,0x409f03ec,0x1e650dfa,0x43f64bfa,0x3e203fe8,0x3bbbf603,
    0x403f885f,0xfd94f85e,0x1df85bff,0xe877e17a,0x209fbd05,0xf11fc44e,
    0x001007ff,0x3ef6e09f,0x3e26ae8b,0x09f12885,0x3a1fc4bd,0x9dd95b84,
    0x262fc4d1,0xf3f9fc5f,0x3e62fc49,0x29813e05,0x30a82e98,0x2ff98f3d,
    0xd901fc40,0xf109fddd,0x98774407,0x41ec43fb,0xffebadf8,0x3aeb7e23,
    0x413e03ff,0x0febadff,0x013f73e2,0x204f8015,0x707a61cd,0x4df959ff,
    0x5fcabefd,0x3f6b3be2,0x74c39b02,0x7edffdc1,0x3e37ea0f,0x7fdc2fcd,
    0x3e00ffdb,0x00f5c004,0xf897f764,0x5c5cccef,0x201ccdfc,0x7e5c3feb,
    0x7fe41ccd,0xfb50bfd3,0xfdffd701,0xeffeb8df,0x7e6546ff,0x3f760cce,
    0x3f222dff,0xf307bfb3,0x9df9950b,0xbddd9019,0x3fffaa03,0x7fffe40d,
    0x77fed41d,0x6f776402,0x1dffb501,0xffd9ffd8,0x1dffb504,0x99df9950,
    0x7fffa801,0x3e25fd00,0x20ffffff,0x03fffffe,0xffd1bffa,0x02007fff,
    0x026026d4,0x3f6004c0,0x302fffff,0x327ff301,0x360106ff,0x02ffffff,
    0x80188002,0x00080098,0x00110004,0x00440044,0x5ffffffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa88306,0x00005551,0x00002e00,0x5555555c,0x006aaaa3,
    0x220267b1,0x1aaaaaaa,0x0d543551,0x500aaaa6,0x42600a5b,0x0157105a,
    0x2aa009d3,0x220331aa,0x2aaa6001,0x2aaa21aa,0x5555101a,0x55555103,
    0xaaa98555,0xbd1ec402,0xfffd89d3,0xb81fffd9,0x3ff25ffe,0x002f8800,
    0x180605f9,0x80fffff5,0xb80efcbc,0x4fffffff,0x3fe6dff9,0x3ffffe0f,
    0xbfd5b102,0x7f7ffe40,0x0ffffa86,0x7d4017dc,0x98dd7fff,0x2e05ffff,
    0x4fffffff,0x3bfffff2,0x7ffffe41,0x3fffea1e,0x66546fff,0x453e60cc,
    0xe817e44f,0x2e0fea0e,0x3664ccdf,0x02f9800f,0x80603950,0x0027f221,
    0x7efdc008,0x93ee4f99,0x67ec40fe,0x00c4009c,0x5ffb7bfb,0x81b31bb0,
    0xc880445d,0xc989309f,0xfa83fbab,0x4f99edad,0x7fdccf74,0x7dccf740,
    0x9f35f50f,0xf9800db3,0xbd000fe5,0x05e82f88,0xc80c47dc,0x01ffffff,
    0x2e0c0300,0xff300c9f,0xedcc809f,0x4fec3f88,0xfffb02fc,0x77fcc7ff,
    0xa7c41dff,0x4e85fef9,0x37fa7e20,0x41f705ff,0x17b32a04,0xf88ed9ba,
    0x0fe636c3,0xf53f98db,0xf336cfe3,0x4ba009ff,0xbd04fff9,0x3fee2f88,
    0x7dc0ffff,0x6cc1fffe,0x4c0bccdf,0x40304fff,0x80fffdc1,0x7c04fcb8,
    0x880defda,0x9b604fef,0x3ff627d8,0x4fd45ebb,0x227d8ef9,0x4982cfeb,
    0x05f97ff9,0xffa801f7,0x1fc45fff,0xeb81bdfb,0xeb97e3cf,0x2297e3cf,
    0x65c4313f,0x2239004f,0x8bd04fcb,0x3bf262f8,0xbffb83cc,0x02f986eb,
    0x1827e5c4,0x0cffa860,0x7cc09f00,0xd706ffd9,0x1b6039ff,0x70fdc1f7,
    0x77e7c41f,0x3fea5f88,0x8fd406ff,0x00fb83f8,0x98bd0efc,0x11bff62f,
    0x361fffff,0x1fffff15,0x9df93176,0x00027c03,0x222f413e,0x5c05e82f,
    0xf303ee1f,0x1827c005,0x07ffe460,0x9027c0f5,0x2097dfff,0x3601cf98,
    0x5c6fcaae,0xfb03ee0f,0x503ff97f,0x21f5003f,0x20fb83f8,0x2eb7e27a,
    0xb27c3ffe,0x21b6099d,0x27c36c4f,0x807ffff6,0xb13d884f,0x3f609f07,
    0x17a03ea0,0x07dc1f70,0x4f800be6,0xba98c030,0x7c03ee0f,0x9b673a04,
    0x677e645b,0x9dfffb02,0x07dc1f70,0x3dfffff3,0x80883f20,0x707f10fa,
    0xd707dc1f,0xd8dffdff,0x22dcdb1f,0x361fd46d,0x3f81fd46,0x6f984f80,
    0x209f0df3,0x04fcbef9,0x20fb80bd,0xbaef80fb,0x209f01fd,0x7ee44601,
    0x2a0fdccc,0x20ccefcc,0xccfebcfc,0x5f7e4c6e,0x0ccfea80,0xfb14fd88,
    0x00887dc7,0x3b333fee,0xfaa7ec45,0x333f6e25,0x20980fdc,0x37fa208f,
    0x266eccfe,0x46fdccfe,0x6fdccfe9,0xa83efc98,0x20ccefcc,0xdf995040,
    0xfffa8199,0x677e4c0b,0x9a7ec43c,0xffea84fd,0x77e6544f,0x2666a0cc,
    0xfff32999,0x6c1fffff,0x12ffffff,0xffffdfff,0xffffc8df,0x2ffffe81,
    0xf98fffa8,0x3fa0006f,0x4c2fffff,0x0efc9fff,0xfffffff3,0x87f7001f,
    0xfffffec8,0x3bfffee6,0xeffffb84,0x3ffffb04,0xffffffd8,0xffffb002,
    0xc80605ff,0x546fffff,0xfffa8fff,0x3f601100,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa9800000,0xa82aaa1a,0x82aaa0aa,0x435512aa,0x02aaaaa8,0x50aaa880,
    0x1aaaa855,0x2aa06a60,0x2aa20000,0x5555301a,0x50554455,0x50554455,
    0xaaaa9855,0x54455300,0x5555542a,0x55510aaa,0x55418055,0x86a601aa,
    0x5d0e982a,0x01aaaa88,0xa8873b22,0xff101aaa,0x53ffeaff,0xff35fff9,
    0x27ffe6bf,0x3ff26ffd,0x5d00ffff,0xf59fffb0,0x3ffea1ff,0x83ffe07f,
    0xd9804ffb,0x83fffec5,0x27fffffb,0xfff35ffc,0x7cdbff21,0x3fffe0ff,
    0x7ffc1dff,0x223fffb2,0xffffffff,0xffffffb2,0xaaede887,0xf107ffff,
    0x89ff71ff,0xff906e48,0xfb03dfff,0x7ffe45fd,0xafa82eff,0xbf31f620,
    0x0fdc5f98,0xcf9981f9,0x6413e009,0x881bf71f,0x3ea009fc,0x101ffa3f,
    0xff305ffb,0x733f705f,0x3e3fb8bf,0xf8a7dc0e,0x4cf6c40f,0x77f444fb,
    0xdf887f50,0x322fa999,0x20fd999f,0x3f22b728,0x57f91009,0x20005fb5,
    0x46fb99ee,0x3f9013f8,0x5f30fb53,0x361b6bf3,0x3ee0fdc7,0x27c03ee0,
    0x8fb827c0,0x03ee05fc,0x3eafff30,0x9ff9107f,0x1bafe601,0x407f45ee,
    0x901fc8fd,0x3603fd5f,0x3fa07dc6,0x9d07f14f,0xfb83e26a,0x3aa0bea0,
    0x03623ee1,0xfffffff5,0x27ffcc1f,0x21fd45d8,0x983ee06f,0x7e5fc42f,
    0x2f985e8f,0x2afee1ba,0x09f00fda,0x2ab7eaa6,0x017fbee0,0xcf9801f7,
    0xb87dfdaf,0x7ec00dff,0xfb181fb8,0x13fbe203,0x6c05ffb0,0x37a1fa26,
    0xe83f89fc,0x9f704fce,0x6441ffb9,0x7d47dc0d,0xdaabfb82,0x27e5c40f,
    0x225f85d8,0x2e0b8bff,0x80feb99f,0x4fbfeecf,0x20be6dd0,0x0ffffffb,
    0xfff309f0,0x7dcbffff,0x3ee01fff,0x7f4fcc00,0x7fec7cbf,0x99df8803,
    0x807f704f,0xffb806fa,0x3fbbf600,0xef8de82f,0xfffe83f9,0xfffff704,
    0x2f77e41d,0x7dc021f7,0x200fffff,0xbd0bb04f,0x27e7f7f4,0x03fffff7,
    0x3fbaffbe,0x0fb3f703,0x3f2667ee,0x26609f00,0x2e099cf9,0x700fe8af,
    0x3e63d41f,0x87c8ffb9,0x2e01dffa,0xa87fffff,0x27c0365f,0x81bf7ea0,
    0xd01cdefd,0x20ff7eab,0x3ee09d4e,0x888df710,0x8f507dc0,0x0fc999fb,
    0x42ec13e0,0xff17f14f,0xffbbfb8d,0xf71ffd01,0x3f7e205f,0x7dc1f704,
    0x9f009f00,0x27c43ee0,0x83ee0fb8,0x1f27b1f9,0xe80cffb8,0x22fbaaae,
    0x40be26f8,0x23be204f,0x00db05fa,0x83ffd97a,0x07dc014e,0x07dc01f2,
    0x707dc1f7,0xd827c01f,0x5dd17dc5,0x87dc3dfb,0x6fd80fe8,0x7e403ff3,
    0x8cfd880f,0x33264fe9,0x13e03cef,0x7e473f66,0x99fb710c,0x6fe41fb9,
    0x880bfae2,0xdf913ffc,0x6cbbee25,0x42fdccdf,0x4c1cefcb,0x19fd14fe,
    0x80667f54,0xff88bef9,0x05e77dc3,0x6e667ecc,0x7edc406f,0x360fdccc,
    0xa89fb13f,0x30ccefcc,0x8dfb99ff,0x33ffffea,0x3be639fb,0x1fd1fe42,
    0xfb82fcc0,0x0fffc9ff,0x1dfffff7,0x3ff20ba0,0x265ff13f,0xffffffff,
    0x22bfff10,0xd9805fff,0x26bfff35,0xfffd4fff,0xffe85fff,0xb7fe43ff,
    0x3fa1fffa,0xff902fff,0xe88fee3f,0xfc81ffff,0x00dfffff,0x7fffffcc,
    0x1dff30ff,0x7ec1bff5,0xf92fffff,0x4409dfff,0x23fffc80,0x000004fb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55554400,0x88002aaa,0x0aaaaaaa,0x16c00408,0x00330440,
    0x0001880c,0x31003100,0x08801100,0x10110022,0x00440301,0x00000220,
    0x80000000,0x00000309,0x7fffffd4,0x8019f36f,0xfffffffc,0x367ffa23,
    0x806a02ff,0x2c9efffb,0x3ff21ff5,0x3ffe60f8,0xd0ffc85f,0xffb501ff,
    0xffeb85df,0xeffeb86f,0x66fff441,0xfffb82ff,0x37b3f60e,0xfdff31fc,
    0x9ff903bf,0x7fdc9ffb,0xff30ffff,0xe8bff71f,0x4bffa2ff,0xffb8fffe,
    0xffdff12f,0x0ba05ffd,0x2a27ffcc,0x6d9cf9af,0xc807ffb1,0x23fa999f,
    0xdcfffcfd,0xefb8000f,0x3626ffcb,0x8dbfb30f,0x43fbabc9,0x1fb50fd9,
    0xfdbbef98,0x3aeb3e64,0x7dd67e47,0x3eef220f,0x3ee0fdcf,0xf30ffcbe,
    0x6c4bffdf,0x985ebbff,0x25ccfffc,0x26feccfb,0xefb8ffc8,0x5646fd42,
    0x7fd50efa,0xfc833fa2,0x05ebffae,0x3f2e207f,0xb3f8fd44,0x02efe98d,
    0x47e711f7,0x53df34f8,0x55554c9f,0xf117e0aa,0x3ee0fb8b,0x17b32a03,
    0x40fb83ee,0x3e63e87c,0x6fc299bd,0x4c3fcaaa,0x4fbaffcb,0x229f117e,
    0xfb8bf14f,0x3e203ee1,0x3ea9101e,0xefefa80d,0x1df5bf00,0x3e3f987f,
    0x29f2f986,0x3bf7f27c,0x889f00fe,0xa81d4fe4,0x67dc1dfe,0x897cc0fd,
    0xf35fffff,0x2dffffff,0x5c6e82f9,0x2a03ee0f,0xb85fffff,0x9f03ee0f,
    0x3fff6e00,0x3ffffea3,0x3fff65ff,0xf35fffff,0x8be6dd05,0xf707dc6e,
    0x5007f101,0x1ffd80bf,0x33ff7f60,0x5f77d81f,0x653e3f30,0x3bfff627,
    0x7f013e03,0x8bffa200,0xf80ffffb,0x1333df34,0x4ccccccc,0x4f88bf10,
    0x01f70fdc,0x5c2f43bf,0xdf03ee0f,0x9312a820,0x2673e23f,0x19f30999,
    0x442667be,0xdf27c45f,0x0fb89f73,0x0fe203ee,0x6c14bf50,0xf702fecf,
    0x260fffbf,0x3f306ebf,0x7f43e53e,0x2027c02f,0xdffb803f,0x9bd47dc0,
    0x3ffaff21,0xc8003dbb,0x41ffcbef,0x2ffebef9,0x7f5d6fc4,0x6d67cc3f,
    0x5efdc3ff,0x33fa6eba,0x3f20fdba,0x3e3dcbac,0xdbbffdae,0x3f2f7f23,
    0xfffff71f,0x453f621f,0x6fe5c3fd,0x67fd41cc,0xdfd31fdc,0x3e213fea,
    0x3605fc9f,0x29f902ff,0x2e2fc8ef,0x6540feaf,0xf80ccefc,0x07bfaa03,
    0x4bb087dc,0xffdaffc8,0x5c03702e,0xfb01efff,0xd70bfddf,0xb0dffdff,
    0x70dfdfff,0x643bfffd,0x442dfffe,0x22efffeb,0xffeefff9,0x77ffe42e,
    0x26aa3321,0x31fff51e,0xfffe8dff,0x7ffe43ff,0xdff71fff,0xf01dff71,
    0xfa813e6d,0xf1fff106,0x94cbf95f,0xffffd838,0x3bf2e2ff,0x0bbf621c,
    0xccccfd98,0x0044085f,0x002200b6,0x00980022,0x04400310,0x22002620,
    0x01104c01,0x00000088,0x00000000,0x00000000,0x3a000000,0x3a63ffff,
    0xffffb803,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x24511c00,0xa8322053,
    0x2aa60443,0x0c1aaaaa,0x09881b88,0x2a088060,0x5eeeeeed,0xcaa5c010,
    0x80a80541,0x44444409,0x4cc40888,0x3b6a1999,0x5eeeeeee,0x00074d6e,
    0x00000000,0x26000000,0x3fff9eff,0x220bb7a2,0x6e45d34d,0xef983e88,
    0x3fd35fa8,0x7fffffc4,0x9dbd16ff,0xd127f7c4,0x09f105db,0x776d43f6,
    0x6c45eeee,0xbbec6e5f,0x4e89761f,0x2e3d85d3,0xffffffff,0xffff70ff,
    0x7776ccff,0x265eeeee,0x00000913,0x00000000,0x2bf20000,0xc881cff8,
    0x2faaf445,0x85e88ec8,0x6c0efefa,0x4cccccc1,0x8745b6d9,0xdca8f35b,
    0xf82ffe85,0x33f60004,0x2b92fdef,0xf98990fa,0x7e543a25,0x77777710,
    0x4cc45777,0x00001999,0x00000000,0x00000000,0x3dd7f300,0xdf11fec0,
    0x8fe80fea,0x0ffc85f9,0x5b6001d8,0xab5c7a2c,0xb1727327,0x7d43fb5f,
    0x3bbbb6a0,0xe98dc5ee,0x03cd2e3f,0x0026d400,0x00000000,0x00000000,
    0x00000000,0x03bffe60,0x93fa8d30,0xd13f903f,0xefefa81b,0xdb000ec0,
    0xe88fbb62,0x3fbae3ff,0x3a27f72f,0xdda8990f,0x004ddddd,0x0000e298,
    0x00000000,0x00000000,0x00000000,0xbf980000,0xede986e9,0x3f73e983,
    0x42744764,0x15fa8ef9,0x2e009dfd,0x10130044,0x2443a821,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf98dfc80,0x220040be,
    0x0a638a64,0x88530644,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ff4c000,0x0001df91,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_18_latin_ext_x[560]={ 0,3,2,0,1,1,1,3,4,1,1,0,3,1,
3,1,1,1,0,1,1,1,1,1,1,1,3,3,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,0,0,0,-1,-1,0,0,1,3,1,1,1,-1,3,0,-1,0,0,0,1,0,0,0,
1,0,1,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,2,3,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,0,1,0,
3,0,2,-1,2,0,-1,1,-1,-1,2,0,2,2,3,0,0,3,3,2,2,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,0,-1,0,1,0,0,0,0,1,0,
1,0,1,0,1,0,0,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
0,1,0,1,0,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__courier_bold_18_latin_ext_y[560]={ 13,2,3,2,1,3,4,3,2,2,2,3,10,7,
11,1,2,2,2,2,2,2,2,2,2,2,5,5,3,6,3,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,2,2,16,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,6,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,13,6,2,3,4,3,
2,2,3,3,2,6,7,7,3,0,1,1,2,2,2,5,2,6,12,2,2,6,2,2,2,6,-1,-1,0,0,
0,-1,3,3,-1,-1,0,0,-1,-1,0,0,3,0,-1,-1,0,0,0,5,2,-1,-1,0,0,-1,3,2,2,2,
2,3,3,2,5,5,2,2,2,3,2,2,2,3,2,3,2,2,2,3,3,4,5,2,2,2,3,2,2,3,
1,3,0,2,3,5,-1,2,0,2,0,2,0,2,0,2,3,2,1,3,0,2,0,2,3,5,0,2,0,2,
0,2,0,2,3,1,0,0,3,2,0,3,1,3,0,2,3,2,0,5,3,2,0,2,3,2,5,-1,-1,3,
2,3,2,3,2,3,2,-1,2,3,5,0,2,3,3,5,1,3,0,2,-1,2,3,5,-1,2,3,5,0,2,
-1,2,0,2,3,5,0,2,3,3,0,2,3,3,0,3,1,3,0,2,-1,2,-1,2,3,5,0,2,0,2,
0,-1,2,0,2,0,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,5,3,3,3,3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,2,0,
2,0,2,-1,1,-1,0,-1,0,-1,-1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-4,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__courier_bold_18_latin_ext_w[560]={ 0,3,6,9,8,8,8,3,4,5,8,9,4,8,
3,8,8,8,9,8,8,8,8,8,8,8,3,4,10,10,10,8,7,11,10,9,9,9,10,10,10,8,10,10,
10,11,11,10,10,10,10,9,9,10,11,11,10,10,8,5,8,5,8,12,4,10,11,10,10,9,9,10,10,9,
7,10,8,11,10,9,11,10,10,8,9,10,10,11,10,10,8,5,3,5,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,3,7,9,8,10,
3,9,6,11,6,9,10,8,11,12,6,9,5,6,4,10,9,3,4,5,6,10,10,12,10,7,11,11,11,11,
11,11,11,9,9,9,9,9,8,8,8,8,10,11,10,10,10,10,10,7,10,10,10,10,10,10,10,9,10,10,
10,10,10,10,11,10,9,9,9,9,9,9,9,9,9,10,9,9,9,9,9,9,10,10,10,10,10,10,11,10,
11,10,11,10,12,10,9,10,9,10,9,10,9,10,9,12,10,10,9,9,9,9,9,9,10,9,9,9,10,10,
10,10,10,10,10,10,10,10,10,10,8,9,8,9,8,9,8,9,8,9,10,10,10,7,10,10,10,10,8,10,
8,10,8,10,8,10,9,11,10,11,10,11,10,11,9,9,10,9,10,9,10,9,11,11,10,10,10,10,10,10,
9,8,9,8,9,8,9,8,9,9,9,10,9,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,10,10,
10,8,8,8,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,10,9,9,9,9,9,9,9,9,9,9,9,9,9,11,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,10,8,9,10,
9,10,10,10,10,10,10,10,10,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,10,11,11,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_bold_18_latin_ext_h[560]={ 0,12,5,13,14,11,10,5,14,14,8,10,6,3,
3,14,12,11,11,12,11,12,12,12,12,12,9,10,10,5,10,11,13,10,10,11,10,10,10,11,10,10,11,10,
10,10,10,11,10,13,10,11,10,11,10,10,10,10,10,14,14,14,6,2,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,11,9,8,8,8,12,8,14,14,14,5,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,12,10,8,10,
14,13,2,11,6,7,6,3,11,3,6,12,7,7,4,12,13,4,4,7,6,7,11,11,11,11,14,14,13,13,
13,14,10,13,14,14,13,13,14,14,13,13,10,13,15,15,14,14,14,7,13,15,15,14,14,14,10,12,12,12,
12,11,11,12,9,11,12,12,12,11,11,11,11,10,12,10,12,12,12,11,11,9,10,12,12,12,11,15,15,14,
12,11,13,12,13,10,15,12,14,12,14,12,14,12,13,12,10,12,12,11,13,12,13,12,13,11,13,12,14,15,
14,15,14,15,14,16,13,13,10,11,13,10,12,10,13,11,13,14,13,8,11,15,14,15,14,15,8,14,14,14,
15,10,11,10,11,10,11,14,11,14,12,13,11,10,11,12,13,11,14,12,15,12,10,9,14,11,14,12,13,11,
15,12,14,12,14,11,14,12,15,14,13,12,10,11,14,11,13,11,14,12,15,12,15,12,13,11,13,11,13,15,
13,14,11,13,11,13,11,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,13,10,10,10,
10,10,10,10,10,10,10,10,10,10,11,9,10,10,10,10,10,10,10,10,10,10,10,10,10,13,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,12,13,11,14,
12,14,12,15,13,15,14,15,14,15,15,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,17,15,14,12,16,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__courier_bold_18_latin_ext_s[560]={ 35,251,152,111,217,211,43,252,179,140,237,
107,126,191,252,121,101,242,25,139,46,32,206,130,121,170,248,251,151,131,11,
138,74,162,239,168,33,22,228,178,87,98,189,117,128,139,216,212,205,53,52,
117,1,11,75,63,194,183,174,178,169,118,117,200,168,77,175,99,67,119,22,
160,32,53,175,127,246,225,160,141,22,34,171,110,43,88,214,202,191,90,182,
144,78,112,142,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,35,249,41,
150,151,106,195,64,213,200,110,50,85,191,156,178,103,22,250,43,159,184,91,
164,173,79,96,60,14,1,244,236,232,1,110,131,154,25,94,175,159,93,185,
216,135,150,226,235,217,244,183,34,199,221,244,71,22,164,112,37,79,100,117,
196,128,45,206,96,85,110,129,200,80,70,60,190,64,84,43,23,245,128,235,
225,215,126,185,44,139,164,153,142,165,1,234,195,89,195,33,56,45,183,246,
11,236,238,246,217,69,195,12,171,206,149,139,74,43,108,195,88,1,33,58,
98,157,57,1,23,45,12,89,13,205,143,12,154,166,84,79,238,122,206,101,
226,82,246,223,204,23,226,146,35,32,168,68,34,134,172,147,1,117,73,107,
77,53,56,68,176,231,160,66,118,32,23,12,228,45,1,194,32,206,35,184,
110,217,55,194,187,130,13,111,76,90,101,154,59,22,121,228,220,48,1,121,
12,210,159,90,148,215,179,240,94,228,105,100,56,153,103,136,132,145,188,176,
216,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,226,63,63,1,
63,63,63,63,63,63,63,63,63,63,63,63,63,234,54,63,63,63,63,63,
63,63,63,63,63,63,63,63,141,65,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,164,49,
197,1,124,132,184,78,143,206,123,82,101,67,79,68,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,1,46,13,1,24,11,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63, };
static unsigned short stb__courier_bold_18_latin_ext_t[560]={ 17,50,176,50,35,106,155,143,35,35,166,
154,176,176,149,35,106,106,131,106,131,106,93,106,106,106,143,106,154,176,166,
131,65,154,154,131,155,166,154,131,154,154,131,154,154,154,154,131,154,65,155,
131,166,143,154,154,154,154,154,19,19,19,176,176,176,166,93,166,93,166,143,
79,143,143,1,131,131,166,166,166,93,93,166,166,143,166,166,166,166,106,166,
19,19,19,176,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,17,79,106,
143,166,143,19,65,176,131,176,176,176,176,131,176,176,106,154,176,176,79,65,
176,176,176,176,176,131,131,119,119,19,35,65,65,65,35,143,65,19,19,65,
65,19,19,65,65,143,65,1,19,19,19,19,176,79,1,1,35,35,35,143,
93,79,93,79,131,131,106,166,106,106,106,106,106,119,119,119,155,93,143,93,
93,93,119,119,166,143,93,93,93,119,19,1,35,93,119,79,93,79,143,1,
93,35,79,35,79,35,79,79,79,143,79,79,119,65,79,65,79,79,119,79,
79,35,1,50,19,50,19,50,1,65,65,155,119,65,143,79,143,65,119,65,
35,65,166,131,1,50,1,35,1,176,35,50,50,1,143,131,155,119,143,131,
50,119,50,79,50,106,143,131,79,65,119,50,79,19,93,143,166,35,131,35,
93,50,131,1,93,35,106,35,131,35,93,1,35,65,93,143,106,35,119,50,
119,19,106,1,106,1,106,50,119,50,119,50,19,50,19,119,50,119,50,119,
119,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,119,143,143,65,
143,143,143,143,143,143,143,143,143,143,143,143,143,131,166,143,143,143,143,143,
143,143,143,143,143,143,143,143,50,166,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,50,106,
50,143,19,93,19,93,1,50,1,19,1,19,1,1,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,1,1,35,106,1,65,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143, };
static unsigned short stb__courier_bold_18_latin_ext_a[560]={ 153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_18_latin_ext(stb_fontchar font[STB_FONT_courier_bold_18_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_18_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_18_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_18_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_18_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_18_latin_ext_s[i] + stb__courier_bold_18_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_18_latin_ext_t[i] + stb__courier_bold_18_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_18_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_18_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_18_latin_ext_x[i] + stb__courier_bold_18_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_18_latin_ext_y[i] + stb__courier_bold_18_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_18_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_18_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_18_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_18_latin_ext_s[i] + stb__courier_bold_18_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_18_latin_ext_t[i] + stb__courier_bold_18_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_18_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_18_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_18_latin_ext_x[i] + stb__courier_bold_18_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_18_latin_ext_y[i] + stb__courier_bold_18_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_18_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_18_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_18_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_18_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_18_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_18_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_18_latin_ext_LINE_SPACING
#endif

