// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_19_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_19_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT        196
#define STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_19_latin_ext_FIRST_CHAR            32
#define STB_FONT_courier_bold_19_latin_ext_NUM_CHARS            560

#define STB_FONT_courier_bold_19_latin_ext_LINE_SPACING           9

static unsigned int stb__courier_bold_19_latin_ext_pixels[]={
    0x00080000,0x03880191,0x20198000,0x00ee002b,0x3200a82a,0x00a0059a,
    0x449301d4,0x5dddd505,0x0cc16440,0x98010033,0x03a80661,0x20066198,
    0x00dc803a,0x40530198,0x136002d8,0x32013a60,0x50017401,0x0274403f,
    0x2e033c8c,0x1300edaf,0xd88031bb,0x01a5c605,0x440bb37a,0x5f980620,
    0x02fbcf98,0x0d9fffb3,0x405f79f3,0x67cc05e8,0x0fdc02fb,0x03f9bd30,
    0x36c27fe4,0xd1004e98,0x400b6009,0x8027c05e,0x2d8801ea,0x0f887e20,
    0x7c409d30,0x4e807e20,0x0f887e20,0x4c802ea0,0x20130172,0xff300ed8,
    0x103ffd99,0x0f6001db,0x9801bb10,0x5515400d,0x136236e0,0x800aa0db,
    0x0ee00028,0xdfb88154,0x15100aaa,0x000a1980,0x00050cc0,0x00142660,
    0x55379300,0x2aaa0003,0xdf0001aa,0x0201fc81,0x00200080,0x9bc98008,
    0x6c0201aa,0x4407b506,0x02aa61aa,0xbf7bff91,0x35515930,0x3ffffff2,
    0x401b7705,0xfb83f35d,0x4ffeaaff,0x5c1f9aec,0xffeaafff,0x41f9aec4,
    0xfeaafffb,0x3fffa64f,0xfff76fff,0x2a9ffd55,0xf75fffff,0x9ffd55ff,
    0x21220fe2,0x101effc8,0x2603dff9,0x886cfffd,0xe981effc,0x46ffffff,
    0x6c1effc8,0x5c032b06,0x93ffe7ff,0xfffcdff9,0x3ffffa60,0x277e65ff,
    0x07272019,0x3ea02088,0x3ffd99df,0xff501044,0x87ffb33b,0x3fea0208,
    0x23ffd99d,0xcfea8afd,0xb33bff50,0x4cccc7ff,0x33bff55f,0x07ea7ffb,
    0x7eeffcc0,0x6effcc2f,0x67fcc2ff,0x3e61ffec,0x6c2ffddf,0x0cfea8af,
    0x3ff77fe6,0x2ee41762,0x5f987f60,0xffe87fe2,0x3aa2ff60,0x1004f84f,
    0x42aa2079,0x436c1aa8,0x442aa26e,0x7436c1aa,0x5442aa26,0x37436c1a,
    0x44fb87f1,0x7c06e86d,0xb9ba1b65,0x1ff8801f,0x7fc43fa6,0xef83fa61,
    0xff88fe40,0x7c43fa61,0xff127dc3,0x0107f4c3,0x92fc4004,0xf927d43f,
    0x70fe27fb,0x3009f09f,0xff903797,0xdb13ff65,0x97fe4dd0,0x436c4ffd,
    0x6cbff26e,0x7436c4ff,0x9f30bea6,0x406e86d8,0x9ba1b65f,0x4fa803f9,
    0x09f53fb8,0x20fe27f7,0x2e13ea48,0xf985f53f,0x3ee13ea4,0x3fffee03,
    0x7c4fe400,0x5fb8fe45,0xf30bea9f,0xfa809f09,0xfb84ffff,0x0db13e62,
    0x262fb8dd,0x37436c4f,0x44f98bee,0x2fc6e86d,0xd0db13f2,0x1b65f80d,
    0x881ff1ba,0xf103f90c,0x3e207f29,0xf9003f54,0x2fc9f103,0x81fc93f2,
    0xda8bb4f8,0x7c403fff,0x47dc1fcd,0x7c9f16f9,0x7ec27e45,0x4d45fdbb,
    0x7d40fd88,0x0db13e22,0x222fa8dd,0x37436c4f,0x44f88bea,0x7e46e86d,
    0x6c4ffebe,0x2fc06e86,0xfa8dd0db,0x92fecbdf,0x329f101f,0xf74f880f,
    0x101f9003,0x75f7e49f,0x203f24ff,0x3a0db4f8,0xffc806ef,0x0ffbf885,
    0x5f7dc7f7,0xfe984ffe,0x6dcc1dff,0x17d41fee,0xe86d89f1,0x9f117d46,
    0x546e86d8,0xdb13e22f,0xfeb88dd0,0x436c4fdf,0xdb2fc06e,0xffb30dd0,
    0x41fd45df,0x707f53fb,0x200fe67f,0x23fb83fa,0x4fdffeb8,0x4fee0fea,
    0xfbbf986d,0x80ffc402,0x1fd12ffe,0x4fdffeb8,0x7fdc0620,0x7d41ffee,
    0x3f913e22,0x8bea1fc4,0x10fe44f8,0x222fa87f,0xf10fe44f,0x1fcc4407,
    0x03f887f2,0x443f927c,0x441aa03f,0x43fa20ef,0x3fa20ef8,0x19103fe0,
    0xfe883be2,0x47f31100,0x3fa20ef8,0x11f90db0,0x05f880bf,0x3ff33ff6,
    0x81fcc203,0x0df881fa,0x7df307ee,0x7c43dff9,0x4c0febcf,0x1effcbef,
    0x3faf3fe2,0x7e5f7cc0,0x33fe21ef,0x33100feb,0xcff883fb,0x4cc40feb,
    0x33fe23fc,0xd7100feb,0x337fea07,0x6ffd43ff,0x7fd43ffc,0x2a2fecbd,
    0x03ffcdff,0xa83fb331,0x23ffcdff,0x5577c46d,0xfd9880fe,0xffbdf502,
    0x6ccc4039,0x201d101f,0xdffdbbef,0x7efffe41,0x67ff4c2f,0xfbfff901,
    0xcffe985f,0xfbfff901,0xcffe985f,0x9ffff901,0x073ffa60,0x30bffff7,
    0x54039ffd,0x3f2601ff,0xff9302ff,0x3ff6605f,0xffc982ef,0xffff902f,
    0x3fff2609,0x3fee1542,0x7dc3ffff,0xed80ffff,0xffb80110,0x812604ff,
    0xffefffea,0x10009882,0x00131001,0x02620022,0x2e200440,0x008800bc,
    0x88037971,0x08800000,0x0c001100,0x5c400880,0x008800bc,0x26667ba0,
    0x6665c46e,0x2e000202,0x800400bc,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x47df9100,0x0000dfeb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe9bffe60,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x14433000,
    0x85100570,0x9803a803,0x40000001,0x866004cb,0x41433028,0x26002cc8,
    0x401b9001,0x039004d8,0x00330008,0x37488004,0x201ba440,0x0dd88029,
    0xf9ee1260,0x5d33d503,0x2201fcc0,0x5c04c9af,0x27fe401f,0x201fcf70,
    0x00ffd05b,0x8174cf54,0xf983f35d,0x9ff9004f,0x0fe6f4c0,0x80f6e7cc,
    0xff9305e8,0x3ff205bd,0x401fb804,0x100ecbe8,0x2e01d97d,0x26e00dff,
    0x103fa039,0xdd700dc7,0x803d1007,0x2600ceda,0x446dc00e,0x0dc7103d,
    0x3ec01db0,0x80fbae00,0x04f80208,0x04d88db8,0x0d415455,0xf80f2035,
    0xb85ffccf,0x4c04d88d,0x6cd6400d,0x0366b200,0x205c8754,0x9f501dd8,
    0x00000080,0x00001800,0x48800000,0xacb8fd80,0x55100800,0x3e0554c3,
    0x04035554,0x2a61aa88,0x2aaaaa0a,0x0fdc0201,0x000809f1,0x00008002,
    0x20000300,0xffc880fe,0x57ffdc1e,0xff74ffea,0x89ffd55f,0x0edfffd9,
    0xfd55fff7,0x2bffee9f,0xff74ffea,0x49ffd55f,0x7ec03ccb,0x881fffff,
    0x7dc1effc,0xf13ffe7f,0x98bfff19,0x2e2deffc,0x53ffe7ff,0x45fffff9,
    0x26cfffd9,0x4c0d43fb,0x986cfffd,0x886cfffd,0x7dc1effc,0x4ffeaaff,
    0x76fffecc,0xd55fff70,0x217e29ff,0x2ffddff9,0x36677fea,0x3bff53ff,
    0x7cc7ffb3,0x51ffdcdf,0xffb33bff,0x2677fea7,0xbff53ffd,0x227ffb33,
    0x7ec06fff,0x20fea8ae,0x2ffddff9,0x0bf30fec,0x813df9bf,0x45ffccff,
    0x117e61fd,0x7ccbf333,0x11ffeccf,0x3017bffd,0x3ffd99ff,0x7f667fcc,
    0x377fe61f,0x37fea2ff,0x263ffd99,0x1ffdcdff,0xfb33bff5,0xf10fea7f,
    0xb07f4c3f,0x86d8dd0d,0x2a07ec6e,0x1ba1b61f,0x6d8dd0db,0x80dd06e8,
    0x897d41fd,0x83fa61ff,0x207f25f8,0x3f705fff,0x97e227c4,0xf2fc01fc,
    0x5c1fc81d,0x77c2fffd,0x1df0fe40,0x3ff11fc8,0x0db07f4c,0x540fd8dd,
    0x9ba1b61f,0x427d42fb,0x3a1b63fb,0x137436c6,0x0db0607f,0x6e86d8dd,
    0xe837436c,0x2607ec06,0xf709f53f,0x5f89fc87,0x701dfff0,0xfc81a87f,
    0x5f805f89,0x4c9107f1,0x7f137cc0,0x41fc4910,0x2e13ea48,0x9ba1b63f,
    0x6d8303f8,0x90bee6e8,0x6c9f103f,0x436c6e86,0x4007ea6e,0x36c6e86d,
    0x3a1b6374,0xfd80dd06,0x7e4fb10d,0x7c44f881,0x5bf01fcd,0xffe883df,
    0x9bf100bd,0x2abf003f,0xd85e801f,0x2a007ea7,0x81fc801f,0x3a1b64f8,
    0x6c007ea6,0x0fea6e86,0x49f101f9,0x36c6e86d,0x643f7374,0x21b63eee,
    0x37436c6e,0x741ba1b6,0x7fffec06,0x203f23ff,0x5ffc84f8,0xff74fc88,
    0xfffdb839,0x00bff902,0x400fdd7e,0x3febceff,0x3ee007ee,0x880fc801,
    0x9ba1b64f,0x3bbb21fb,0x89ba1b63,0x5c1fd45f,0x1ba1b63f,0x7d4dd0db,
    0x4bfffd13,0x36c6e86d,0x3a1b6374,0xfd80dd06,0x7d40adda,0xf883fb83,
    0x54ff981f,0x30265fff,0x07fe20df,0x03f9afc0,0x3efffdd8,0x7cc01fcc,
    0xb83fa803,0x9ba1b63f,0xfffd13fa,0x237436cb,0x83be20fd,0x87f20fe8,
    0x10fe43f8,0x5437c47f,0xf887f21f,0x7f10fe43,0x0fe21fc8,0x01f60374,
    0xfe883be2,0x1005f880,0x83ec2f40,0x93e005f8,0x406440ff,0x103fe05c,
    0x2207fc19,0x441df10c,0x887f20fe,0x2a1be23f,0xf887f21f,0x3ea27d43,
    0x443ffcdf,0x40febcff,0x0febcff8,0x765effe4,0x2f3fe21f,0x67fc40fe,
    0x7fc40feb,0xdd00febc,0xa801fd80,0x43ffcdff,0xb002fd98,0x2f3bfe0f,
    0x7ecc43fe,0x3f266202,0x32f7fea3,0x175c42fe,0xecbdffa8,0x2f7fea2f,
    0x3fea2fec,0x7c43ffcd,0x640febcf,0x1fecbdff,0x3faf3fe2,0x64c0fd80,
    0xfd302fff,0x3fa6039f,0xffd701cf,0xffd307ff,0x3ffa6039,0x9ffd301c,
    0xcffcca83,0x3ffffc3c,0x17ffe4c0,0x03ffffee,0x3760fdb0,0x7dc3efff,
    0xfa80ffff,0xfd985fff,0xffa82eff,0x3fff6601,0xfffd982e,0xfffc982e,
    0x39ffd302,0x3ffffae0,0x1cffe983,0x00440710,0x01100088,0x044004c0,
    0x11000880,0x3fffff60,0x1666545f,0x2e201100,0x13002ccc,0x2e201300,
    0x32a02ccc,0x1001801b,0x03000c00,0x04400220,0x11001300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c122000,0x986603cc,0x20035001,0x91006000,0x7500e547,
    0xff505500,0x85ffffff,0x00389dd8,0x26198162,0x20019801,0x88000019,
    0x2601100c,0xd9100661,0x20661987,0x33006619,0x5014c0cc,0xdfff105f,
    0x17de7cc0,0x00fff620,0x7ecc03f7,0x7cc0edff,0x7e80ff25,0xefa86d80,
    0x42feeffe,0x002ffbbc,0x67cc07f3,0x7fe402fb,0x04ffc804,0x2603f9ee,
    0x4c1fa04e,0x2202fbcf,0x3e60feff,0xbfa82fbc,0x5fd401fc,0x206d81fc,
    0x406e801e,0xcc800dd8,0x36602e88,0xb9bff300,0x441303ff,0x88066009,
    0xf50deffd,0x017cdba5,0x802e8001,0x6dc00dd8,0x36e04d88,0x47104d88,
    0x700b601b,0x006ec409,0xdd8807ee,0x0037a200,0x6d806f44,0x03740040,
    0x20000008,0xf503f601,0x545554c3,0xbc980aaa,0x37fa1aa9,0x23f32ffc,
    0x3ee3f36e,0x4ffeaaff,0x00000000,0x00000000,0x6c000000,0x00000006,
    0x64c36c00,0xdd02deff,0x6f7fe4c0,0xfffff502,0xfffd981d,0x207f10ed,
    0x7effffc1,0x3fa63fff,0xf16fffff,0x74506c47,0x9dffa8a6,0x74c3ffd9,
    0x0fffffff,0xfffffff5,0x477ff45f,0xf50effe8,0xa9ffecbf,0x4fff65ff,
    0x3ffffffa,0x7ffffff5,0x3fffffea,0x277ff5c3,0x3fffffea,0x7dffff73,
    0x7fffdc01,0x9ff0db00,0x1ba0bff9,0x5ffccff8,0xbdfddb30,0x6e6ffcc1,
    0x003f51ff,0x54cdf662,0x2a2bf63f,0x2ffa0cfe,0x3606e801,0xfd986e86,
    0x50ffeefe,0xfddffddf,0xc86f7ec5,0x97fa66fe,0xbfd32efd,0xefa977ec,
    0xdf53ffee,0x3ea7ffdd,0x5c3ffeee,0x6cc4effe,0xd52deffe,0x01ffdddf,
    0x40ffff6a,0xf10fdc6d,0x7dc1ba09,0x2e013e21,0x540fd80f,0x7643f71f,
    0x4c7d83ee,0xfb87f13f,0x1f7ff4c4,0x436c0dd0,0x3f7f506e,0xe97d43f2,
    0x97d45f36,0xf885f32a,0xdf103fa6,0x23f507f4,0x4c7ea6f9,0x7cc7ea6f,
    0x3a01b606,0x7c43f506,0x8377f404,0x2a1fdc6d,0x3ee0dd01,0x7dc00d43,
    0x2181fc40,0xfffd13fa,0x3f98fb0b,0x04f985f5,0x3a03fd73,0x1ba1b606,
    0x5657dee4,0x9b747e66,0x3e2fe61f,0xfa81fa9f,0x9f503fcc,0x88f987f9,
    0x223e60fe,0x223e60fe,0x01b600fe,0x10fd41ba,0x5dfcc0bf,0x7446d82f,
    0x3a00bdff,0x7bffd106,0x503ee001,0x0df1003f,0x98fb03f5,0x9f917e3f,
    0x713e22d4,0xdb079ff9,0x2efe0dd0,0x3a281fff,0xf79f10a6,0x3601f79f,
    0x7fec05ff,0xb017ec05,0x017ec05f,0x41ba01b6,0x2ffcbcfa,0x17e23f20,
    0x7fedc1b6,0x3ff32a2f,0xffdb83cc,0x3ee0e42f,0xdd90fdc0,0x5effe47d,
    0xd9911fec,0x47f3199f,0x4ffebefc,0x3f2673f2,0x37ffff42,0x4c37436c,
    0x01fffcbf,0x3b7e0374,0x2207ceef,0x7fc400ff,0xc813f200,0x013f204f,
    0x41ba01b6,0x02fffffa,0x3faabbe2,0x302636c0,0x7fffecdf,0xf30265ff,
    0x3ee27c4d,0xfe89fd40,0x7ff5c5ff,0x3ffe23ff,0x23f9afff,0x4fdffeb8,
    0x17fffff2,0x221fc800,0xffffc83f,0x0374015a,0x3fef3ffa,0xd8036c07,
    0x4c97ea06,0x2a4c97ea,0x27c1325f,0xbfa83740,0x3ee05fc9,0x6c3fffff,
    0x03ec2f46,0x13ec2f40,0xf887c89f,0x3101fa86,0x05f50001,0x988fe622,
    0x36c01fea,0xfd79ff10,0x47ee9d01,0x80dd02f8,0x6ff99ffd,0x6d8036c0,
    0xb741ff10,0x45ba0ff8,0xcc9ba0ff,0x06e801fe,0x827dc3f5,0x6e9999ee,
    0x33bfe36c,0x1f903feb,0xfd79dff0,0x6deffc47,0x7bff904f,0x3ea03fd9,
    0xfd331001,0x3fb33101,0x1ae01ba0,0x039ffd30,0x9bfb7bf9,0xffcb87fb,
    0x74ff903c,0x9ff9705f,0x33ff2e07,0x6666fec3,0x999bfb6f,0x3337f6df,
    0x0bbf26fc,0xccffcc98,0x6c7bfb31,0x7df910cf,0x6d86ff5c,0x1f7ffeec,
    0xdd80fec8,0xda83efff,0x75c04fff,0xf503ffff,0xfff3005f,0xffff907f,
    0x5c02e409,0x22011002,0xffffdfff,0x7fff43ff,0x5c9f706f,0xffffd04f,
    0x3ffffa0d,0x7ffffec6,0xfffffb6f,0x3ffff6df,0xfa8006ff,0xf73fffff,
    0x8ffc4bff,0x3fa6fff9,0x4c0551ff,0x98009800,0x80018800,0x00088009,
    0x5c402b2e,0x500000bc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb800000,0x400befff,0x93001319,0x1cccc980,
    0x880cc330,0x260389dd,0x2b82b801,0x07333260,0x03a80ae0,0x451003a8,
    0x7ec00028,0x09ffd31f,0x19100066,0x01cc0590,0x10000164,0x32a0ae00,
    0x3bbfaa3c,0x57a00ffe,0x017d405f,0x40733326,0x902fbcf9,0x3205ff77,
    0x03b204ff,0x32605ff1,0x76401ccc,0x1017a200,0x5bd100bd,0x3f9ee09f,
    0xfb36ffc8,0x09ff907f,0x7f413a20,0x200ffa80,0x7fe443f9,0x00fa800c,
    0x7fec0764,0x9f10fd46,0x204fafc0,0x800001e8,0x01000dd8,0x41ec46dc,
    0x017e205a,0x8016a002,0x003c803c,0x71c405d9,0xd8fff603,0x4d88db86,
    0x3ea03d80,0x6c00fd84,0x377fe60f,0x07ae02ff,0x8db00b50,0x817e21fa,
    0x0004f8cf,0x7557ffdc,0x220004ff,0x0001effc,0xc8837400,0x00001eff,
    0x00000000,0x87f7ec00,0x0000006d,0x01b607f4,0x0ffc49f3,0x82e01fd3,
    0x236c0000,0x2ffcbcfa,0xefcefc88,0x3bfffee2,0x9dffa80b,0xff73ffd9,
    0x98dfffff,0x22ffddff,0x3ffffffa,0x7ffffff5,0xdff986e8,0x3fea2ffd,
    0x7d4fff65,0xf73fffff,0x8dffffff,0xffd31ffd,0x3ffffee9,0xf9fd86ff,
    0x7ffdcdb5,0x7ec6ffff,0x89ffd31f,0x2036c2fb,0x213ea0fd,0x9bb983fb,
    0xffff73fa,0x8db0dfff,0x02fffffa,0xdffffff7,0x7f777f54,0x6e86d80f,
    0x3bbbbfaa,0x987fe26f,0xffdb30fe,0x3fb665bd,0x23742def,0x3fa61ff8,
    0x7ecbfd30,0xdffdb32e,0x3bbfaa5b,0x7fe46fee,0x2a7ffb36,0x6feeeefe,
    0xdb5f97d8,0x77777f54,0x9b7fe46f,0x1fd43ffd,0x45f881ba,0x24f881fc,
    0xefffffe8,0xddddfd50,0xfa8db0df,0x2a05fc9b,0xfa83fbbf,0x1b613e21,
    0xd83f51ba,0x3ee13ea6,0x37406e83,0x3ea1df90,0x3e23fb84,0x37403fa6,
    0x436c1fa8,0x51b63ffd,0x7d86d83f,0xfa8ddff1,0x7fec36c1,0x93e61b63,
    0x07f204fe,0x49f101f7,0x6ffa9cfe,0x21b60fd4,0xf70fd46d,0x3eabe609,
    0x3e21fa81,0x46e86d85,0x3a9f89fa,0x13e207f2,0x40dd01ba,0x207f25fc,
    0x667d44f8,0x541ba03f,0x83a9f89f,0x8db0fefd,0x3a9f89fa,0x1bfea7d8,
    0x753f13f5,0x361fdfb0,0x3f64f986,0xf30bf105,0x3e27f707,0x43f9ff34,
    0x3a9f89fa,0x37f666d8,0xfe833f63,0x543fffff,0x82ffcbcf,0x7d46e86d,
    0x0fc83fee,0x06e84f88,0xc8dd0374,0xd84f880f,0x837405ff,0x203feefa,
    0x8db5f9fd,0x503feefa,0x1bf639fd,0x407fddf5,0x0db5f9fd,0x706e87f5,
    0x883be03f,0xf35f50fe,0x7d45f53f,0x9b603fee,0x3e25fffb,0x3b7f6a1f,
    0x7ffd41cf,0xd0db02ff,0x3feefa8d,0x3fb83fa8,0x037406e8,0xb83fa8dd,
    0x00ff883f,0xeefa8374,0x7e5f603f,0x777d46da,0x7fff703f,0xddf51be2,
    0xfcbec07f,0x42fc86da,0x540df06d,0x43ffcdff,0x1fb1ffdf,0x01ff77d4,
    0xb80080db,0xfa80fc8f,0xf905fc9b,0x3ea1fc43,0x22489f89,0x03fa20ef,
    0x40dd01ba,0x1077c46e,0x01b601fd,0x44fd41ba,0x17d8489f,0x9fa8ddff,
    0x080489f8,0x27e27ea0,0xff17d848,0xdb0ff0dd,0xe9805f70,0xffc80cff,
    0x7d44ffcc,0xd8489f89,0x9007ea06,0x3ea0f91f,0x3e213ee1,0x540febcf,
    0xf50fd41f,0x207ff9bf,0x8837406e,0xcdffa85f,0x01b603ff,0x20fd41ba,
    0xf53ec1fa,0x541fa8df,0x407ea01f,0x20fd41fa,0x71bfea7d,0xe81fb07f,
    0xbeffa806,0xffff12c9,0x83f507df,0xa836c1fa,0xdbe402ff,0x23dfd987,
    0x7f4c0cfd,0x6fecc1cf,0x4c1fdccc,0x64c2fffc,0x931ccffc,0x22399ff9,
    0xff9302ff,0x3ff2e05f,0x7fe64c3c,0x9bfb31cc,0x7543fb99,0x4cdfb1cf,
    0xfdcccdfd,0x305ff501,0xfb999bfb,0xd8e7f543,0x5407f46f,0x005f50ff,
    0x7fffffff,0x980447ee,0xfdcccdfd,0x440dffb1,0x05329800,0x7c4bfff7,
    0x2e01101f,0xffffffff,0x3ea01101,0xf53fffff,0x5c7fffff,0x74008801,
    0x7d46ffff,0xf73fffff,0x3fffffff,0xf89fffdc,0x3ffffee6,0x02201fff,
    0x7fffffdc,0x3ffee1ff,0x01b8df13,0x3005a8ea,0x0102a615,0x3ffffee0,
    0x79951fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03dfffd3,0x65401910,0x14400bcc,
    0x757ffee0,0x0a8503ff,0x5400b260,0x0016a03d,0x54011000,0x01b002a0,
    0x8662ccb8,0x0660a828,0x06600110,0x00000cc0,0xffe9824c,0x65cc1eff,
    0x220443cc,0x400defed,0x665404e8,0x3bea00cc,0x7dfd500e,0x6640bbfe,
    0x3ea00fa9,0x4032b004,0x2f8802fa,0x40fd00db,0x400edafb,0x3ffa01fb,
    0x0ba67aa6,0x00ba676a,0x9ff900fd,0x704ffc80,0x3ea01fcf,0xdffdb302,
    0x3bffa23b,0xa83743ee,0x007b002f,0x3d301433,0x91fa81ae,0x75c401bf,
    0x004c402d,0x37c05dc8,0x00530b80,0x04e98097,0x06e81a60,0x75c07dd7,
    0x404b803d,0x704d88db,0x7109b11b,0x03d100dc,0x27f61ba0,0x01985bdb,
    0x800005f5,0x0003f35d,0x13f6bea0,0x55550000,0x7dc00400,0x00000002,
    0x37400000,0x00000000,0x00cc9800,0xe8000000,0xb7b76f86,0x202fa800,
    0x01efffe9,0x3ee00822,0x3ea00fff,0xffb807ff,0xffd100ff,0xffffb80d,
    0x7017e200,0x2a01ffff,0x73ffffff,0x017dffff,0x403fffee,0x7fffd46e,
    0xffff73ff,0x7fdcdfff,0x226fffff,0xefe9affe,0xa803ff91,0x43ffffff,
    0x800ffffb,0xdb8fe86e,0xf504d85b,0xfdb10985,0x155101bd,0x36a06aa2,
    0x3ea03fff,0x2a00dfdf,0x2203fffd,0x7ed406e9,0x0fe403ff,0x07fffb50,
    0x37bffb66,0xffddff52,0xfffb501d,0xdb31ba07,0x3aa5bdff,0x26feeeef,
    0xfeeeefea,0x267bf626,0x07ea0efd,0xbdffdb30,0x3fffda85,0xff986e80,
    0x06f85bde,0x543f85f5,0x4bff202f,0x3fa04ffd,0x5cbea06e,0x6efe804f,
    0xfd006e80,0x05f880dd,0xe806efe8,0x4fb8fb06,0x741bbfa0,0x7d41ba06,
    0x07ea36c1,0x221fa8db,0x65d7d44f,0x201ba00b,0x6e806efe,0x0b7bd710,
    0xf0bea0ff,0x5c02fa89,0x4c13e62f,0xf502fbbf,0xf3007ec3,0x6e805f77,
    0x2fbbf980,0xf3007e40,0x6e805f77,0x01fb0fb0,0xd05f77f3,0xfa83740d,
    0x543a9f89,0x43a9f89f,0x513e21fa,0x01dfffff,0x77f301ba,0x406e805f,
    0x7fc45bdb,0x337f7220,0x17d44fcc,0x4f88bea0,0x0bf11f90,0x3e67bfb3,
    0xf11f903e,0xc806e80b,0x4c05f88f,0x223f204f,0xd837405f,0xfc81fb87,
    0x06e85f88,0x777d41ba,0xfddf503f,0x3bbbea07,0x4f7d44fe,0x0dd02fb8,
    0x05f88fc8,0x0199ff97,0xff98b7b7,0x3ffffe61,0x17d44fff,0x222fa826,
    0xaaef884f,0x7ffdc0fe,0x3e21bf65,0x4c0feaae,0x81ccffcc,0x0feaaef8,
    0x7c407ec0,0x200feaae,0xf70fb06e,0xeaaef883,0xdd03740f,0x0ffbbea0,
    0x81ff77d4,0x4feeeefa,0x07f117d4,0xaef881ba,0x7fd40fea,0xdb83ffff,
    0x00ffd45b,0xf85f5002,0x4f88bea3,0xffffffb8,0xff700003,0xfd87ffff,
    0xb85fffff,0x03ffffff,0x7fdc27cc,0x3a03ffff,0x1f90fb06,0xffffffb8,
    0x0dd03743,0x227e27ea,0x4fc4fd44,0xf10fd448,0x3e21fa89,0x7dc0dd04,
    0x103fffff,0x5bdb801f,0xf5007fc4,0x3e17d403,0x3f2fbe64,0x4cf741ef,
    0x7dc06e99,0x4ccf7401,0x03f106e9,0xe9999ee8,0x740fe806,0x06e9999e,
    0x263ec1ba,0x999ee86f,0xd03746e9,0xf507ea0d,0x3ea0fd43,0x4f887ea1,
    0x09f10fd4,0x99ee81ba,0x3ba06e99,0xfdfee986,0xff500cc5,0x9bfb9105,
    0xffc89f99,0xf912ffdf,0x06ff5c7d,0xc880ffdc,0x37fae3ef,0xc886ee80,
    0x37fae3ef,0x644fea00,0x37fae3ef,0x99ff9930,0x3b33faa3,0x3bf221ff,
    0x7437fae3,0xff9936ff,0x37f66399,0xb31fdccc,0x3fb999bf,0x32277f66,
    0x1bfb32ef,0x664cbbf2,0xf911ccff,0x06ff5c7d,0xaaa88098,0x088002a9,
    0xffffff30,0x013109ff,0xfe9bffe6,0x401301ff,0x3fa6fff9,0x301301ff,
    0x7ff4dfff,0xf99ec01f,0x3fffa6ff,0xffffff51,0x3bfffee7,0x37ffcc0d,
    0x32e3fffd,0xfffff52c,0x3fffee7f,0xff71ffff,0x23ffffff,0xffabfffa,
    0x15fff53f,0x3fea7fff,0xff33ffff,0x0ffff4df,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x22776200,0x59999303,0x01cccc98,0xb1000033,0x1880713b,
    0xb0000080,0x7dcee001,0x06ffffff,0x5bb50026,0xffb80040,0x2ec800ff,
    0xcccc9807,0x82000401,0x00000000,0x807d4000,0x982ffbbc,0x4c4eccdf,
    0xdb01cccc,0x3203d300,0x2602ffbb,0x01fc03bd,0x9103e200,0x2abf7bff,
    0x6feeeefe,0x2e01b770,0x7d02fbcf,0x7fffb500,0x4fe9ca80,0x0e6664c0,
    0x7cc00be0,0x01d503d8,0x4400fa20,0x07ae003e,0xc8b90040,0x01b60003,
    0x002005f5,0xd10126e6,0x2bffea09,0x4c6fffea,0x0fffcdff,0x20db07ea,
    0x45d01c9c,0x00bd106b,0x1001bbfa,0x3a600000,0x2ed7cc04,0xf1007ee0,
    0x00fe6007,0x7fd40170,0x3a63ffff,0xfff5021f,0xffa87fff,0x3603504d,
    0x9ffd31ff,0x220032e0,0x33bff303,0x7c417ffb,0xa83ffa1f,0x03a9f89f,
    0x51e20791,0xf980380f,0x3ee02fbb,0xff700fff,0x80dfffff,0x038cc038,
    0x02980330,0x5cc00a60,0xd983931c,0x3e2deffe,0xd980cfcc,0x362deffe,
    0x4c1ffeff,0x7fe42bcb,0x227ffb36,0x435510aa,0x35510aa8,0xa86e86d8,
    0x8ff7f24f,0x203feefa,0x6a81bcb9,0x2e20ffd3,0x447e402b,0x3ff6a05f,
    0xddfd503f,0x2e60dfdd,0x0ddcc01b,0x10379730,0x06aa2155,0x3019bca8,
    0xfffdffff,0x9f41ba03,0x1ba02fe9,0x21fa93e2,0x43fffffe,0xc9b63ffd,
    0x49ffb2ff,0x9ffb2ffc,0xc86e86d8,0x93ebf71f,0x503feefa,0xb89fffff,
    0xd98f37d5,0x880effff,0x00feaaef,0xf50377f4,0xffd86d83,0xffd80dff,
    0x7fd40dff,0x7fe44fff,0xf909ffb2,0x540fffff,0x6f9cff89,0x37e60dd0,
    0x1ba09f70,0x7cc307ee,0x6c2fa88c,0xb8db0fef,0xf713e62f,0x1b627cc5,
    0x263ee1ba,0x7d49f16f,0xa8489f89,0x2e0fd889,0x74798f8d,0x84fc88bf,
    0x3ffffffb,0x0beefe60,0x54fc4fd4,0x64ce7ec3,0x4ce7ec5f,0x889a85fc,
    0x317dc0fd,0x89df989f,0xdb700ffa,0x01fd99ff,0x9fec40dd,0xa86e80f9,
    0x37fe202f,0xf9fd80ac,0x22fa8db5,0x117d44f8,0x6e86d89f,0x70ffbf88,
    0x2a0fd47f,0x776dcc1f,0x66f56e1f,0x3333be67,0x4f740ffc,0x3206e999,
    0xf505f88f,0x1be07fdd,0xc86f83f2,0x776dcc0f,0xf117d41f,0x85a87c89,
    0xfffeffe8,0x06e81fff,0x80feeea8,0xb79ff06e,0x7ff5cc3f,0xafcbec1e,
    0xf117d46d,0x3e22fa89,0x837436c4,0x1fd12ffe,0x33337f66,0x3bfee1fd,
    0x45ea1ffe,0xfff50eec,0x223fffff,0x3fae3efc,0x5577c40d,0xeefa80fe,
    0xa83f983f,0xf507f32f,0x7f77fdc5,0xf117d41f,0x26005f89,0x266bfa4f,
    0x8620dd01,0x0dd00ee8,0xa97fffa6,0xfb17e623,0xf51bbfe2,0x3ea27c45,
    0x3f913e22,0xffd81fcc,0x3ee3ffcc,0x1fffffff,0x0fdc1bf1,0x9ef803f1,
    0x3e619999,0x3fffa6ff,0x7ffffdc1,0xf89fa83f,0x7437c489,0x3fa1be0f,
    0x7dc1bf10,0x9f117d41,0xf0180fe8,0xb7dffb7d,0x2e0dd01d,0x0dd026c5,
    0x6fec0ee8,0x3ec4fdbb,0xef98dff5,0x261effcb,0x1effcbef,0x3ff73fe2,
    0xffdefa80,0x823e001c,0xdffdbbef,0x214c3761,0xfecbbefb,0xd023e000,
    0x0dd3333d,0x21fa83f5,0x4ffccffb,0x7fe67fdc,0x7eddf7c4,0x2fbe61df,
    0x3ea1effc,0x82fdbbde,0xffeefff9,0x3ff3264f,0x3bbee1cc,0x7e64c1fe,
    0x86d81ccf,0x0cefffeb,0x7ec73faa,0xfdfffc86,0x6fffe42f,0x7fe4c2ff,
    0x221db01c,0x25fc8000,0xffefffea,0x0ffbfe22,0x13ffff6a,0x322bf900,
    0x37fae3ef,0x999bfb30,0xffea83fb,0xfffd503f,0xdfffd507,0xfffc85ff,
    0x7ed42ffd,0x04c03eff,0x3fffea06,0x2aaa23ff,0xffffa80a,0x201983ff,
    0xfff70098,0x4c41be27,0x00098800,0x00002002,0x30018804,0x00131003,
    0xdfff3040,0xfb8ffff4,0x1fffffff,0x02200110,0x4c400620,0x00006000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x08000000,0x7fd40001,0x02ffe89e,0x32600000,0x99901ccc,
    0x23b10799,0x801cc05a,0x398001eb,0x3333332e,0x40b76a22,0x45702dc9,
    0x376a203a,0x573cb803,0x985b86cc,0x01102bcb,0x881d4770,0x008802a2,
    0xdb801b90,0x0ba201e8,0x36677fe6,0x07d101ff,0xc9807d10,0xfff01ccc,
    0xbf701fff,0x00fd803d,0xe81fdf6c,0xffb0fb82,0x3e27ffff,0x7e46ffff,
    0xcf885fff,0xffd101fc,0x6ff880dd,0x1eefc8bd,0x1ffffff4,0x416f3fee,
    0x701fccf8,0xffb827cf,0xcde985bc,0x7f3d701f,0xdb01fcc0,0x0fe60dd0,
    0x0000fe60,0x1c4009f0,0x1c401880,0x2213e071,0x25f516e4,0x447ee2d8,
    0x2207f24f,0x5fd100ba,0x06edb000,0x233e60e6,0x444c2fa8,0x2ea200cc,
    0x4c010400,0x2a80cc88,0x14c5c0aa,0x0db006a0,0x400a60dd,0xfffb8029,
    0x0233e00f,0x8066f2a0,0x2a019bca,0x3ee219bc,0x0098aaad,0x7f3007ec,
    0x83f98bea,0x3f902bb8,0x366ee200,0x57973056,0x0566ffc4,0x2aa21551,
    0x5442aa21,0x0377301a,0x2601bb98,0x2aa22bcb,0x22035510,0xd0db02bb,
    0x0379730d,0x2a01bb98,0x3e03fffd,0xfc81dfff,0xfc87ffff,0xfc87ffff,
    0x3f27ffff,0x805fffff,0xff9705f8,0x3aabbe21,0x3fff661f,0x656f40ef,
    0xffffb102,0x3fffa0df,0x3fae63ff,0x25ff91ef,0x3ff24ffd,0xfb09ffb2,
    0xfb01bfff,0xfe81bfff,0xff93ffff,0xb313ff65,0xd81dffff,0x7fd46e86,
    0xffb04fff,0x7f401bff,0x337fe06e,0x277e60ff,0x3e60ffa8,0x20ffa89d,
    0xffa89df9,0x06677e60,0x7c417d40,0x7ffdc4ff,0x445ff44f,0x3ffe24fc,
    0x5fe40eff,0xf986fea8,0x752fa88c,0x5f72fcc4,0x8bee27cc,0x4e7ec4f9,
    0x67ec5fc9,0x3e65fc99,0x2e2fa88c,0xfd13e62f,0xd89f9117,0x89a86e86,
    0x67ec0fd8,0xf305fc99,0x10205f77,0x2d43e47f,0xf916a1f2,0x009f0b50,
    0x2a201fb0,0xbbff12fe,0x33be61ff,0xf10ffccc,0x447f51bf,0x4437cc4f,
    0x360acdff,0x24fdbbdf,0x513e22fa,0x3e27c45f,0x1be0fc86,0x6ffc43f2,
    0x117d40ac,0x6677cc9f,0x3ea0ffcc,0x2e60fe61,0x37c1feed,0x47e407e4,
    0x9ba005f8,0x00bf005f,0x04f8017e,0xf802fc40,0x9fd45f75,0xfffffffa,
    0x4db1be1f,0x306e81fa,0x2e3dffd7,0x20cefffe,0x513e22fa,0xf327c45f,
    0x3e65f507,0x2e62fa83,0x3ea1effe,0xffa93e22,0x41ffffff,0x40ffccff,
    0x1ffeeffb,0x0bea0fe6,0x1fd55df1,0x3a4f8808,0x07f4180f,0x0603fa0c,
    0x5f50013e,0x3eebf100,0x9ef93e21,0x7f419999,0x44f89ba0,0x223a86f9,
    0x82dc45f9,0x513e22fa,0x3e27c45f,0x1be0fe86,0x311d43fa,0xf117d4bf,
    0x9999ef89,0xdffd8819,0xf706fc41,0x0fe86f83,0x7fffffdc,0x76567ec3,
    0x2f7bea0f,0x3bea2fdb,0x2a2fdbbd,0x2fdbbdef,0x2feddfec,0xbed81fb0,
    0xdf33fecb,0x7dc5fd79,0x20fecbbe,0x43fdbef9,0xfffdbdfc,0x6ddefec4,
    0x41f5cc4f,0xeffcbef9,0x3f2fbe61,0x33fee1ef,0x7fdc4ffc,0x3f64ffcc,
    0x264fdbbd,0x1effcbef,0x3b2efbee,0x7c05d00f,0x1dffdbbe,0x3ff33fee,
    0x9999ee84,0x7ffecc6e,0xfffda83f,0xfffda83e,0xfffda83e,0xfffe983e,
    0x2a13601d,0x543ffffe,0xda82ffff,0xeb84ffff,0x75c40cff,0x20effeff,
    0x0cefffeb,0xfc80f74c,0x642ffdff,0x42ffdfff,0x503fffea,0xeb87fffd,
    0x640cefff,0x42ffdfff,0x04ffffda,0x3aa03ff2,0x42ffefff,0x443fffea,
    0x3fae3efc,0x3000880d,0x03000c00,0x80000620,0x40044009,0x00080098,
    0x02620031,0x00262000,0x04400262,0x4c400880,0x8004c400,0x01300098,
    0x02200188,0xfd37ffcc,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x401b9100,0x2aa1264a,
    0x5dc01cb8,0x80044011,0x00801000,0x10054510,0x400001b9,0x3795003a,
    0x951aa883,0xa8a20003,0xc8002200,0x0f76e00d,0xb98050cc,0x54c01001,
    0x0801bb99,0x0fe6f4c0,0x985f9bf0,0x06ffffff,0x707fbff2,0x7dc3bffd,
    0x00dffe9f,0x017c40b9,0x2609f3dc,0x3d01fcde,0x3203f400,0x647fffff,
    0x2fffeeff,0x4f705d30,0x79ff704f,0x3f37a20b,0x3ffffb81,0x203f35d8,
    0xb305fffd,0xfe8d9fff,0x201fffff,0x5515406b,0xf700ba80,0x205f713f,
    0x7cc5fdfd,0xf30ffcce,0x0bfb7dff,0x07d300bd,0x45500410,0x4009f02a,
    0x277e6019,0x7cc0ffa8,0x981b8bff,0x2008202f,0x300cc889,0x477c14c5,
    0x10440fd8,0x3f233e60,0x7667fcc1,0x2bfe21ff,0x1db04f98,0x40377300,
    0xf501bcb9,0x0a827c45,0x30fc45f9,0x362fec7f,0x51001c47,0x80577100,
    0xfb882bb8,0x2e202aad,0xb50f902b,0x2a007be0,0x06f2e601,0x201bcb98,
    0xf981bcb9,0x5544bea3,0xfa835510,0x0ef87f51,0x89f10fe4,0x3600706e,
    0x540dffff,0xa84fffff,0x2613e22f,0x045fdffc,0xb87d8fe6,0x80aaaa0f,
    0x36602aaa,0x4c0effff,0x20effffd,0x3ffffffb,0x77fffecc,0x3e002fc0,
    0x2aaaa204,0x3ffea1aa,0xfffa84ff,0xfffa84ff,0x107dc4ff,0x6cbff29f,
    0x6d7d44ff,0x20fe20ff,0x3a27c448,0x6546aa26,0xc99cfd81,0xd889a85f,
    0xf117d40f,0xfdcffa89,0x1ff9106f,0x88fdc3ec,0xff106fff,0x45ff40df,
    0x5ff44fc8,0x7cc4fc88,0xbfe8099d,0x7f44fc88,0x409f0180,0x4ffffffa,
    0x07ec44d4,0x07ec44d4,0x07ec44d4,0x7dcbf0f9,0x5f513e62,0x0fd49ffb,
    0x3744f880,0xfffddff9,0x0fc86f85,0x0ff76dcc,0x3f21bfb3,0xfa83fa1e,
    0xd81bfb07,0x2621fb87,0x1ba6206e,0x666677cc,0x99df30ff,0x32a1ff99,
    0x7cc0ccef,0x0ffcccce,0x36ef7bea,0x33bf2e2f,0x64d7d43c,0x76dcc0ef,
    0xedb981fe,0xedb981fe,0xf03f21fe,0x9f117d49,0x7fb11fa8,0x322007ee,
    0xf31ba2ef,0x4c3717ff,0x2e2fa83f,0x21ffeeff,0xffd2fffa,0x1fe17e25,
    0xb87d82e4,0xe806e80f,0xfffff506,0x3fea3fff,0x91ffffff,0xa85fffff,
    0xffffffff,0x77ffed41,0x7fffff43,0x0efa940e,0x7ff77fdc,0x7f77fdc1,
    0x777fdc1f,0x98bea1ff,0xf88bea2f,0xbf10fd44,0x3e600fe6,0x3e1ba3ff,
    0x7437c01e,0x5c1bf10f,0xdd00401f,0xd8005f88,0x6e80fc87,0x3be06e80,
    0x7c199999,0x4199999e,0xdf009df9,0x40333333,0x800800ea,0x6fc40efa,
    0xdf887ee0,0xdf887ee0,0x4f887ee0,0x22fa83f2,0x5cfd44f8,0x207fcbd1,
    0x85f800c8,0xcffb804f,0x5f7c4ffc,0x501dffdb,0x2fbea05f,0x05501feb,
    0x3aa23fd1,0xdd00dd06,0x65df7dc0,0x2fbee0fe,0x76c0fecb,0x3ee5fdbb,
    0x80fecbbe,0x7d803eb9,0x0d43bea0,0xbffb77df,0x7eddf7c3,0x2efbe1df,
    0x3f61dffd,0x77cc6fcd,0xb51effcb,0x47f9df9f,0xfecbdffa,0x09f93102,
    0x3faa009f,0xffea83ff,0xfa82ffef,0x3ff6a02f,0x703fe01d,0x87ff2bff,
    0x3ccffcca,0x333ff32a,0xffffda83,0xffffda84,0xdfffe984,0x7fffed41,
    0x803dd304,0xbff507ed,0x7f54bf99,0x2a2ffeff,0x2ffefffe,0x3fbfffaa,
    0x3bff622f,0xfdfffc80,0xf7bff92f,0xffd981bf,0xfff302ef,0xccefcb8d,
    0x88008803,0x40022001,0x00088008,0x3ffff606,0x3fff65ff,0x26205fff,
    0x80098800,0x00988018,0xc804c000,0x85ffffff,0x00310018,0x00440062,
    0x08800262,0x37500180,0xdfffffd0,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00ea2b80,
    0x22040011,0x04b86cc1,0x50040018,0x25c26c03,0x0b76a079,0x0803cb80,
    0x8803e980,0x97100000,0xaa985533,0x3b801cb8,0x01d89e40,0x06aa6f26,
    0xb801e497,0x30d5443c,0x20930155,0xc81fccf8,0x101effec,0x12a3dff9,
    0x4c03bbf2,0x00edfffd,0x377a03e6,0x441ff985,0xfa80deed,0xff005fff,
    0x3bff220d,0x0bd7f701,0x05d00ff8,0xfffffd88,0x3fffe1ff,0x3a01efff,
    0x27f74c06,0xfffffe98,0x6f76c46f,0x46ff8800,0x3ffe7ffb,0x5101fc84,
    0x9dff3017,0xff985ffb,0x01dbffdd,0x6ffcc073,0xf501ffdc,0x2074b303,
    0x05501ff9,0x02fc8774,0x3067fe4c,0x05ffbbff,0x55005c17,0x3f2027c0,
    0x40ffd98c,0xfa8bffd8,0x5c01ba06,0x2a2bf601,0x05500cfe,0x3fb0db00,
    0x02882fcc,0x3e206ee6,0xf887fc45,0x413fa61f,0x1fb02bb8,0x01501fa8,
    0x260745a2,0x5e5cc0ff,0x3e24f881,0xdb377105,0x3a61ff88,0x2215510f,
    0x5c4001aa,0x220aaadf,0xfb07f84f,0xdd01f983,0x5442aa20,0xf70fe21a,
    0x006ee609,0x10db3771,0x510fe4bf,0x6c355555,0x0c0dffff,0x09f51fb8,
    0xffd987f7,0x0fe20eff,0x32e2aa0c,0x717dd901,0xff51fe27,0x49f09fff,
    0x7fec46f9,0x27d46fff,0x2ffc9fdc,0x13209ffb,0x3ffffff2,0x1fa0fea5,
    0x4fe607ec,0xffffffe8,0x365ff90e,0x30bea4ff,0xffffb09f,0xfffd881b,
    0x13f906ff,0xffffa8bf,0x339fb4ff,0x77754bf9,0xf93feeee,0xfe89f103,
    0x2a4fc88b,0xfff9801f,0xd9306fff,0x543fc39f,0x640fd889,0x647fe9af,
    0x46fea8bf,0x24f881fc,0x213e62fb,0x3bf306f9,0x11ef8833,0x37f60ff9,
    0x3623fd30,0x0deeffee,0x44f98bee,0x3627e45f,0x45fc99cf,0x6fea8bfc,
    0x83f9bf10,0x0efc9afa,0x2e1f90df,0xfeeeeeef,0x9f101f93,0x666677cc,
    0x643f70ff,0x3fee3eee,0x3aa2fb89,0x86e82bce,0x41feedb9,0x27ffffe9,
    0x237cc4f8,0x24f880fc,0x913e22fa,0x027c09ff,0x3fffffea,0xfffffb07,
    0x5037407f,0x3227c45f,0x44ffebef,0xf10fc86f,0x3206f989,0x3ea505ff,
    0xf507f30e,0x3ee0fea5,0x7f707f52,0x7fffffd4,0x227f51ff,0x3ea5fffe,
    0xb1993e22,0x5c4c8dbb,0x01ffeeff,0x7d4bf573,0x1fd46e81,0x45f51fdc,
    0x037ea4f8,0xb51009f0,0x3f60fb5b,0x7400bdda,0xf88bea06,0x6fff5c44,
    0x2a0fe64f,0xdd03f52f,0x500ffc40,0xe86f81df,0x441df10f,0x41df10fe,
    0x4f7c0fe8,0x3e219999,0x3ea1fa86,0x9a213e22,0x837e201d,0x3f6201fb,
    0xdf313e22,0x3a20ef88,0xf88bea0f,0x0c883ee4,0x7d80027c,0xdb000fb0,
    0x9f117d40,0x21fcc440,0xf10fe86f,0x2206f989,0x43bea05f,0xf99ff71a,
    0xccffb89f,0x6ffd43ff,0xefb83ffc,0x320fecbb,0x1fecbdff,0x84f88bea,
    0x0cc3d0e8,0x3ff6efbe,0x3ff6f21d,0xfdbdfc84,0x6ffd44ff,0x77cc3ffc,
    0xf11effcb,0xd85f933b,0x405fdbbf,0x1fd80fe9,0xf3015400,0x03dff97d,
    0xb83fb331,0x44ffccff,0xfffdbdfc,0x817ecc44,0x5fccdffa,0x40ffffaa,
    0x302ffffa,0x5405fff9,0xb84ffffd,0x263ffffe,0x3df90dfd,0x6e89dd70,
    0x7f7fff54,0x39ffd12f,0x3bffae20,0x7e4c0eff,0xfff902ff,0x7fe45ffb,
    0x7f4c1eff,0x3f601dff,0x3ffe1fff,0x3332207f,0x640ccccc,0x42ffdfff,
    0x504ffffc,0x7107fffd,0x1dffdffd,0x03ffffee,0x3ffffff2,0x11000885,
    0x88002200,0x50130009,0x3ffa5fff,0x40220202,0x40008018,0x00220018,
    0x2aa00262,0x9800c401,0x66543ccc,0x3ffe202c,0x881fffff,0x5e5c4009,
    0x10008800,0x6665c403,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03cb8000,0x5510aa88,
    0xaa880403,0x71035510,0x77775400,0x7dddd503,0x300dc880,0x008800b7,
    0x640d996c,0x17ff22ef,0xa82d4762,0xcb83eeee,0x9730373c,0x40200037,
    0x00dc8009,0x5025c366,0xb7301599,0x7d91037d,0x900dff00,0x13ff65ff,
    0x45bdff93,0x9ff72ffb,0x00abfc88,0x4c019998,0x6f4c0199,0x06ca81fc,
    0x16f3fee0,0x2e0ff7ea,0x13fae1ef,0x3017efd4,0xfff10333,0xfff513ad,
    0xbb9809ff,0x7f6c3fa9,0x66f442db,0x3bbf202f,0x7fffff01,0xeb99df98,
    0x01ecd542,0x2fb8036c,0x99ff13e6,0x22fb8bff,0x77f5c4f9,0x2155103e,
    0x77101aa8,0x0aa2a805,0x11300354,0x03220199,0x00fc84f8,0xcb980322,
    0x1bb7401b,0x0fd889a8,0xfffffe88,0x83d9940e,0x7300e629,0x4cc57dc0,
    0x2b32be60,0x7e4c1e88,0xcb8ed801,0x7c45f501,0x4f887ee4,0x09f117d4,
    0x903955f5,0x13ff65ff,0x1dffffb3,0x2a20aa98,0x6cc3541a,0x50155542,
    0x427c0555,0x8d5440fc,0x7ffd41ca,0x15ba04ff,0x1feedb98,0xffa9cfe8,
    0x0e5c5546,0x5102aaa8,0x22355555,0x4e6407da,0x88935baf,0xb03aa3ea,
    0x83dfffff,0xb93e22fa,0x3ea0d43f,0x3ea13e22,0xfb86ffff,0x7fd13e62,
    0xff89f911,0x89fff24f,0x837f20eb,0xf106fff8,0x427c0dff,0x77fe40fc,
    0x4d42fffe,0xdd00fd88,0x7f77fdc0,0xf9a7c41f,0xfff31fcf,0xff88dfff,
    0xffff506f,0x1ffea9ff,0x9aa3a3d0,0x23322266,0xaefd84fd,0x17d45fb8,
    0x7ff449f3,0x22fa80bd,0xbffa84f9,0x17d41fb8,0x677cc9f1,0x220ffccc,
    0x3fb1bb5f,0x7f5ef764,0x374c41cb,0x7c0dd310,0xf980fc84,0x4c1b8bff,
    0xd01feedb,0xb837e20d,0x7cd7d41f,0x3ee2fa9f,0x442fb89f,0x35f506e9,
    0x3ec41df9,0x17f743e0,0x7de76dcf,0x17ec1cbe,0xbefa87ee,0x6dc1effc,
    0x77c42fff,0x540effeb,0xf50fe22f,0xff527c45,0x83ffffff,0x6e9ff9ed,
    0xfb1bf910,0x3a01ba07,0xca653e06,0x403df00f,0x1ffeeffb,0x5f7c0dd0,
    0x7c1dffdb,0x41fb1ffd,0x413e22fa,0x77d4a06e,0x9ec07c80,0x22166d36,
    0x42fd8cfd,0x2a3f887d,0x2ffeffff,0xb86f9813,0x42ffdfff,0x513e21fa,
    0x3e27c45f,0x8199999e,0x4fdffdfb,0x3baa5dd0,0xdd00dd03,0xf96ea7c0,
    0xbf1027c0,0x6e80fdc1,0x3bfffaa0,0x67fe43ff,0x17d44ffc,0x01ba09f1,
    0x1f201df5,0x2ebd7d50,0x8f7c43dc,0x17ec2eeb,0x9bfa83ee,0x0fb0bd00,
    0xfa80f88c,0xdf313e21,0x5c3dff97,0x0fecbbef,0x7fef7fcc,0x75fc4303,
    0xdd00dd03,0x3fa3bea0,0x013e05fb,0xbffb77df,0x3100dd03,0xfff105e4,
    0x5f507dff,0x06e827c4,0x20d43bea,0x22ec807c,0x7c4304d8,0x3ffae2ea,
    0x7d45fdbd,0x5e77fc02,0xddd003fe,0xdf71dfd8,0xfdfffc85,0x7ffed42f,
    0xabff884f,0xeea801ff,0x3ff32a6f,0x3f32a3cc,0x3ff23ccf,0xb80effba,
    0xa83ccefc,0x2ffefffe,0x799ff995,0x5c3fe600,0x3660111f,0x23df90df,
    0x3ccffcca,0x3f337fea,0x079fd915,0x03eefeb8,0x74bfdd50,0x0beffeff,
    0x37600fcc,0x4003efff,0x2bffea09,0x9884fff8,0x80131000,0x800fd0fe,
    0x3fff66fc,0x3ff65fff,0x4405ffff,0x3ffffa00,0x403100ef,0x5ffffffd,
    0xa8004000,0x5ffd2fff,0x3ffffff6,0x3fffff25,0xfffff75f,0x00011005,
    0x008817f6,0x00260014,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x665c005b,
    0xbedb9803,0x80799701,0x260b51d8,0x3bbaa001,0x0ea2b83e,0x15dc4000,
    0x330330a8,0x01333333,0xffa8022a,0x5cc0efff,0x0736e204,0xccb83970,
    0x55fff703,0x33229ffd,0x5664c002,0x20019930,0xfff502c9,0x1eea7fff,
    0x06fff880,0x75ccefcc,0x037ffc42,0x5417efdc,0x4ccc005f,0x3f99f101,
    0x406ffe40,0x0effffd9,0x0c36cbe6,0xdfff3060,0x77f76cc0,0x0dfff50d,
    0x17ffffa2,0xff11ffd4,0x37fea0df,0xf33ffd99,0x7ffc009f,0x03ff93ff,
    0x6cc13ea0,0x222deffe,0x40dd0007,0xd35950f9,0x4401b603,0x003f900c,
    0x2201bb98,0x37ea00ba,0x8bfe84fc,0x02044fc8,0xaed83006,0x81f7002d,
    0xf906ebd9,0x7f407e45,0x6c0dd03f,0x04f86e86,0x13315f70,0x98800fd4,
    0xf106e800,0x06e816e0,0x4fddf532,0x202db049,0xd01cb8aa,0x05951539,
    0x037ffff6,0x6e805555,0x99df3026,0x5541ff99,0x4180302a,0x0fb8005f,
    0x22541b60,0x7e7dc3f9,0x36c0dd03,0xaaa7c374,0x2bf6a21a,0x5d7d40aa,
    0x2aaa80bc,0xf9886e80,0xe80bfa61,0x4a9e8756,0xddfb0686,0xffffff98,
    0x7ff47c46,0x67ec3fff,0x3e25fc99,0x03ec06ff,0x3fffffea,0xdfff11ff,
    0xfd830060,0x007dc001,0x0fec00db,0x207f3df1,0x3a1b606e,0xfff8cf86,
    0x3ffffee5,0x7fffd44f,0x3ffe20ef,0xeb86e806,0xccdfcbee,0xf1fadd01,
    0x261e0571,0xffb82fff,0x4a22fb89,0x46e89ffa,0x220fc86f,0xffb306e9,
    0x27be01bd,0x4c419999,0x2180306e,0x44d8eff9,0xb007dc1c,0xb13f600d,
    0x3a07f13f,0x1ba1b606,0x027bf37e,0x50333fb3,0x85f713df,0x6e806e98,
    0x6e57f540,0x316e82ea,0x150d8bd8,0x0fffb8b3,0x27c45f50,0x99f63f98,
    0xe82fa83f,0xbdfdd306,0x2efbee01,0x06e80fec,0x33fa1803,0x13e26fdf,
    0x036c01f7,0x9f313f62,0x03740fe2,0xff0dd0db,0x407c80bf,0x40fe22fa,
    0x206e806e,0x1ec10cfa,0x2ad50374,0x643d8ced,0x8bea06ec,0x45f304f8,
    0x7f437c7d,0x7cc06e80,0xfffda803,0x060dd04f,0x7e53e230,0xf913e21f,
    0x3a206d80,0xffffd84f,0x206e82ff,0x20fe21fc,0x3200efff,0xf10fd407,
    0x3a01ba09,0x3a206206,0xec80dd04,0x6d813622,0x4f88bea0,0x23ec5f30,
    0x4ffccffb,0x2fb80dd0,0x8013f014,0x2180306e,0x23ffcbfd,0x4fdbdff8,
    0xff9836c0,0xfb999702,0x440dd01d,0x80febcff,0x901efadf,0x221fa80f,
    0x260dd04f,0x01ccffcc,0x66543fa8,0xd703ccff,0x99507ddf,0x6cc799ff,
    0x83df90df,0xfe89dfd8,0x1ffff541,0x333ff32a,0x6667fe43,0x0bbd00fd,
    0x799ff995,0xfd98600c,0x7ed46fef,0xf99304ff,0x3fe2399f,0xa81dccce,
    0xf9950efd,0xfd30799f,0x4fc8839f,0x32a39ff7,0x260cccfe,0x5df90dfd,
    0x333ff32a,0x3ffffea3,0xffff803f,0xffffffb4,0x3600880b,0x26ffffff,
    0xffd2fffa,0xaafff985,0x201103ff,0x5ffffffd,0x7ffffff4,0x3602a205,
    0x25ffffff,0x9999999a,0x18801881,0x7ffffd40,0xfffff13f,0xfffb07ff,
    0x3fffff65,0x4c02205f,0x5fff54ff,0x3fffffee,0x22bffea2,0xfffb3fff,
    0x0000bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x8fff65ff,0x0adffffd,0x3a6bffa2,
    0xbffd31ef,0x800f7fec,0x70005428,0x019dffff,0x7ffd4100,0xf52fffff,
    0xb87fffff,0xf500ffff,0xb9ffecbf,0x41cfffff,0x3ff65ffa,0xffffda83,
    0x3bffa0ff,0x30effe88,0x403dfffd,0x4c066009,0x981efffe,0xea9efffe,
    0x0fbbbaa1,0xe995e5cc,0xb8bbf66f,0x26feeeff,0xfd99efd8,0x49ffb10e,
    0xb800dffc,0x19ff31ff,0xfddff500,0x2ee601df,0xfeefa9a1,0xdf52feef,
    0xda87ffdd,0xfd303fff,0xea977ecb,0x21ffeeef,0x3bf66fe9,0x77f7fec2,
    0x3bf60ffe,0x44dfd90d,0x500defed,0x8836c0ff,0x880defed,0xf98defed,
    0xe80cccc1,0xf13fffff,0x3203fa1d,0x3f517d47,0x437427c4,0xefea807e,
    0x01fff4c2,0x213ee3ec,0x5aeffffd,0xf9b74bea,0x1be63f52,0x2206efe8,
    0xf503fa6f,0x7fc45f83,0x7ec0fe88,0x83f23f73,0x3e6552fa,0x4402fa82,
    0x501ba03d,0x45f5005f,0x81555458,0x2fa88cf9,0x40fef3ea,0xf527c47c,
    0x7dc27c43,0xe9813e62,0x7f5402ff,0x361f602e,0x2673f60f,0x47e61ffc,
    0x3e63f16e,0xf300fe88,0x7d405f77,0x1fa83fcc,0x3be617e6,0x2e5f82fe,
    0x7cc6acaf,0x1fa9ff8b,0x004ecfa8,0x5f501ba0,0x8bea0bf1,0x1bffe209,
    0x0566ffc4,0xf902ffec,0xfa8bf6a2,0x884feeee,0x2203f65f,0x5c003ffd,
    0x3f621dff,0x43f71eef,0x0c1fc86f,0x2fd80cdd,0x17e23f20,0x2a0bffb0,
    0x01ffeeef,0x7f307ff5,0x440fffdc,0xfbcffbcf,0x01fffa80,0x67fe65c0,
    0xe97d40bc,0x8805f503,0x3ae606e9,0x3fb21eff,0xfff905ef,0xeefa89ff,
    0x1f904fee,0x3ff20bf1,0x7ec4000d,0x3bff624f,0x3e63f51e,0xeb82fa83,
    0x9f905eff,0x75577c40,0x03fe200f,0x7ff777d4,0x309ff705,0x0fffdc7f,
    0xceefedf8,0x227fe447,0xf882a609,0x1fffffff,0x502617d4,0x6e80985f,
    0x2fcc4750,0x33f2036c,0x21fa81bc,0x79f304f8,0x7fec405f,0x3bff7003,
    0x83f21f60,0xc80fe86f,0xfa85effe,0xfff71325,0x6d807fff,0xfc887ea0,
    0x17ef7d42,0x2b5f72fc,0xfbcffe80,0x17f7ec7f,0x200fe8fe,0x217d406e,
    0x3e17d43f,0xbfb06e83,0x65c9fb77,0x0f904cff,0x27c43f50,0x200ddfd0,
    0xd503ffe9,0x47d805df,0x67fdc6f9,0x37404ffc,0x1ba0ff88,0xdd3333dd,
    0x3ea06d80,0xff11fcc1,0x7fb07fa1,0x20fc47ee,0x6ff99ffd,0x3e17d4cc,
    0x6e805f14,0x13e17d40,0xe84f85f5,0xdfffd706,0x67fe4c19,0x2ccfeb82,
    0xc89dfd98,0x7ff502ef,0x0efea800,0x3007ffd1,0x3ffd99fd,0x07dffd50,
    0x20e7fe4c,0x6fcccdfd,0x75c7df91,0x7fe5c0df,0x66fecc3c,0xfd51ffdc,
    0x88bff61b,0xdcdfeefe,0xfd3fe43f,0xcdfdc88b,0x00b74fcc,0x3f7220dd,
    0x914fcccd,0x9f999bfb,0x333ff32a,0xf7009883,0xffb09fff,0xfff509ff,
    0x407fff57,0xd70000ff,0x40033a23,0x1deffffb,0x7f400440,0x7fec6fff,
    0xff36ffff,0x0ffff4df,0x71bffffa,0x5bffffff,0x74477fe4,0x7edc45ff,
    0x5c3fffff,0xf313ee4f,0x9fffffff,0x4132002e,0xfffffff9,0xfffff34f,
    0x3ff69fff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb0000000,0x1bfd13df,0xffd80660,
    0x3fa604ff,0x70ffffff,0x017dffff,0x3ffffffa,0x2bfff76f,0x3fa63ffe,
    0xffb01eff,0x553ffa63,0xffffffff,0x7dffff72,0xfd0ffd01,0x7fffdc1d,
    0x7ffdc0ce,0xb986ffff,0xbca801bc,0x05771019,0x81771dc4,0x35510aa8,
    0x37730198,0x9aa82aa0,0x3dfb0039,0x3640bfb3,0x05bdff70,0x777f7ecc,
    0xddfd50ff,0xff901ffd,0x2adfdddd,0x5dff3efe,0x06f7f6c4,0xfb36ffc8,
    0x3fbbea7f,0xff52feef,0xd81dffdd,0x37fe63ff,0x3fbbfea0,0x3bfaa0ef,
    0x7d46feee,0xf904ffff,0xd98fffff,0x4c0effff,0xfffddfff,0x7ecbff21,
    0xb03fe24f,0x641bffff,0x79ff92ff,0xd327fdc9,0x5dfddddf,0x777e4000,
    0xf7f501cd,0x1fa83f23,0x436c13e2,0x7e47ea6e,0x005f500d,0x536c7ffb,
    0x17cdba5f,0x4c4fb8fb,0x0bff66ff,0xa89f71f6,0x4d436c1f,0x7cc0fd88,
    0x20ffa89d,0x4fc88bfe,0x67fe4ff4,0x317dc6f9,0x7ec4c89f,0x5c5fc99c,
    0x47bfe62f,0xb31faaf8,0x5df999bf,0x667e4000,0xbdc81ffd,0x7d46acaf,
    0xb6c17e21,0x57d4556b,0x17d404fd,0xd87f7ec0,0x9b747e66,0x3f61f61f,
    0x22bfbe60,0x87d82fef,0x227ea0fd,0xdb983a9f,0x43e41fee,0x333be65a,
    0x9f10ffcc,0x07f66ffc,0x027c45f5,0x507e437c,0x2e2fc45f,0xeefa8fa6,
    0x33224fee,0x40cccccc,0x7c27cc7c,0xa81fffbb,0x02ffcbcf,0x2a0ffdfb,
    0xfa807fff,0x5f9fd802,0x29ba28db,0x30fdc3ec,0xf7f9bf7f,0x777fec45,
    0x77d43f71,0xdff703fe,0x05f83ffd,0xffffffa8,0x745f31ff,0x2a1fffff,
    0x3013e22f,0x545f507f,0xf113e22f,0x77d41f79,0x3e64feee,0x1fffffff,
    0x30fe63e4,0x03fff97f,0x05fffff5,0xa83ff7ec,0x200dfdff,0x3604c2fa,
    0x40db5f97,0x2e1f606e,0x3f2be61f,0x3622f9df,0x3f51eeff,0x41ff77d4,
    0x07ee0df8,0xef8301fd,0x7c199999,0x3335ff15,0x13e22fa8,0x83fa1be0,
    0x213e62fa,0x0fd42eda,0xc80009f1,0x41fedccf,0x15affffc,0x5fc9bfa8,
    0xa835db60,0x5409f72f,0x5f61fc2f,0x3a06eff8,0x3f21f606,0x3fe2be60,
    0x87d82f9a,0x227ea0fc,0x5f7c489f,0x2a1dffdb,0x2fdbbdef,0x3b2efbee,
    0x3fb3f20f,0x260edbef,0x1effcbef,0x99ff7176,0xbef989ff,0x2000effe,
    0x013e21fa,0x9bddf900,0x47ee9d01,0xb87ea2f8,0x500db04f,0xa807ec3f,
    0x9f627c2f,0x1ba06ffa,0x237cc7d8,0x3e6972f9,0x37cc7d82,0x43f507ea,
    0xffefffea,0x77ffed42,0xffffda83,0x5dffe444,0x7e40dfff,0xf12ffdff,
    0xfffea81f,0xfbfff903,0x3f62003d,0x205df90c,0x33fae03a,0xb7bf902c,
    0x267fb9bf,0x33f63dfd,0x0733fee0,0x7ccf7f66,0x37f7223e,0x3aa4fccc,
    0x70dfb1cf,0xea879ff9,0x21ffeccf,0x36e3dfd8,0x33fa60df,0x3661ffec,
    0x1fdcccdf,0x00c00188,0x04400988,0x00988031,0x80088022,0x3ea00018,
    0x3fff9aff,0x7fec0970,0xfff884ff,0x3ffffffd,0x7c4bfff7,0x3ffffa1f,
    0x25fffb83,0x3ffe66fd,0x2e4fffff,0x0df13fff,0xb8dffffd,0x40deffff,
    0x3f66ffe8,0x3ffee1ff,0x7fdc1def,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x73000000,0x00072639,0xb8aa8000,0x5530001c,
    0x970d5545,0x3551e466,0x30377179,0x0d544155,0x42aa8aaa,0x43951aa8,
    0x35532aa8,0x55555544,0x200aaaa1,0x32a00029,0x5c110443,0xcccccccc,
    0xdda86621,0x376a0cc2,0x4ccccc41,0x216ed409,0x816f6418,0xffeffff9,
    0x223b101f,0x0f447a0e,0x7fffffcc,0x3f51fc46,0x3e6bfffa,0x3fff27ff,
    0xfff14fff,0xf0ffffff,0x3ffe49ff,0xff35fff3,0x777fe43f,0xfff52fff,
    0x7d4ffff1,0xf14fffff,0x0db00dff,0x89b703b8,0xf15f99fd,0xffffffff,
    0x3371fe45,0x3d13fc1f,0x7fffdcf3,0x5d54ffff,0x2a2dc5d3,0x226a07a9,
    0x886f9cff,0xf987f34e,0xff705f53,0xfe85f713,0xf910efab,0x3e067dc7,
    0x7d47fccf,0x2faafe8e,0xd8ddafc4,0x55ffcc1f,0xfff981ff,0x2fe61b8b,
    0x3ea0bfd8,0x220efc9a,0xd17106e9,0xff98371d,0x8fc89701,0x444444f8,
    0x1ba2fa88,0x20dd1b6e,0x2eeee26b,0x4590bbbb,0x227d735a,0x36e07eee,
    0x0feccffe,0x81fd53e6,0xa87f54fa,0xd113e22f,0x6f881dff,0x49f103f6,
    0x6cfe60fc,0x3db07f37,0x220dd3ff,0x3e00effe,0x3f7e601e,0x3bea501f,
    0x3ee0dd00,0x223fffff,0x4b80feff,0x2007f3dc,0x305f12f9,0x642e41f7,
    0x8888880e,0x96ccf540,0x51990ee9,0xeffe883f,0x11ffffff,0x80df31ff,
    0x543fd2fd,0x2e13e22f,0x35f703ff,0x649f109f,0xbecfe61f,0xfdfb83f9,
    0x3f204fdf,0x2027c05f,0x00dfeff9,0x37401df5,0x83bffb30,0x20ef99fe,
    0xe9aa0dc8,0x2a5f3002,0x21e98986,0x867ba24b,0xfffffffb,0x00b76a3f,
    0x989b9d91,0x266bfa4f,0x7d4774c1,0x3b65f905,0x9f117d41,0x83feefa8,
    0xf00fdef8,0xf98ff79f,0x20fe6fb3,0x3ffdeff9,0x1bf9bfb0,0x9f3013e0,
    0x3bea13f2,0x40dd0350,0x2e0effe8,0x6c53ea2f,0x01860dee,0x20cc3a20,
    0x0cc3dec8,0x261dddd5,0xcccccccc,0x7c000001,0xdbeffdbe,0xe8b6c40e,
    0x0dd87645,0xfc86fecc,0xd11df31e,0x09ff903f,0x3ffffff2,0x3f637f24,
    0x7c40df9b,0x4c1ffabf,0xeff88ffe,0x333bf2e1,0xfd2dfc83,0x337fea59,
    0xff9955fc,0xaafb8799,0x0260623f,0x00000000,0x00000000,0x3fe60000,
    0x04fffeef,0x88e0b82e,0x25fff503,0x702e2ffe,0x201ff101,0x44f2334b,
    0x9dfd9ffe,0xd0fe81ff,0x33fff50f,0x7ff47fff,0x3a20efff,0x29ff34ff,
    0x5ffffffc,0xbffffffb,0x0002a288,0x88001a80,0x2eeeee60,0x9854511b,
    0xcccccccc,0xda9761cc,0xeeeeeeee,0x0260002d,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e60ea80,0xe88b72ff,0x3ea1ff13,
    0xf73fffff,0xffffb9fc,0x14ffffff,0x3bbaa1ff,0x3eeeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb800000,0xfdfd5db1,
    0x1761f44b,0x88808200,0x88088888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2098cc00,0x000cc4ec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_19_latin_ext_x[560]={ 0,3,2,0,1,1,1,3,4,1,1,0,3,1,
3,1,1,1,0,1,1,1,1,1,1,1,3,3,-1,0,0,1,1,-1,0,0,0,0,0,0,0,1,0,0,
0,-1,-1,0,0,0,0,1,0,0,-1,-1,0,0,1,4,1,2,1,-1,3,0,-1,0,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,0,1,1,0,0,-1,0,0,1,2,4,2,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,3,1,0,1,0,
4,0,2,-1,2,0,-1,1,-1,-1,2,0,2,2,3,0,1,3,3,2,2,0,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,-1,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,0,-1,0,1,0,0,0,0,1,0,
1,0,1,0,1,0,1,-1,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,-1,-1,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,-1,-1,0,0,
0,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,0,1,1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-1,0,-1,-1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__courier_bold_19_latin_ext_y[560]={ 13,2,2,1,1,2,3,2,2,2,2,3,10,7,
11,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,2,1,2,1,16,1,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,2,5,5,5,5,5,5,2,2,2,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,13,5,1,2,4,3,
2,2,2,3,2,5,7,7,3,0,0,1,2,2,1,5,2,6,12,2,2,5,2,2,2,5,-1,-1,-1,0,
-1,-1,3,2,-1,-1,-1,-1,-1,-1,-1,-1,3,0,-1,-1,-1,0,-1,4,2,-1,-1,-1,-1,-1,3,2,1,1,
2,2,2,1,5,5,1,1,2,2,1,1,2,2,2,2,1,1,2,2,2,3,4,1,1,2,2,1,2,2,
0,3,-1,2,3,5,-1,1,-1,2,-1,2,-1,2,-1,2,3,2,0,3,-1,2,-1,2,3,5,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,3,2,0,2,0,3,-1,2,3,2,-1,5,3,2,-1,2,3,2,5,-1,-2,3,
2,3,2,3,2,3,2,-1,1,3,5,-1,2,2,2,5,0,3,-1,2,-1,1,3,5,-1,1,3,5,-1,2,
-1,1,-1,2,2,5,-1,2,3,2,-1,2,3,2,0,2,0,3,-1,2,-1,1,-1,1,3,5,-1,2,-1,2,
-1,-1,1,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,4,2,2,2,2,2,2,2,2,2,2,2,2,2,1,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,2,-1,2,-1,
2,-1,2,-1,0,-1,-1,-1,-1,-1,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-5,-2,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__courier_bold_19_latin_ext_w[560]={ 0,4,6,10,8,8,9,4,5,5,8,10,4,8,
4,8,8,8,9,8,8,8,9,8,8,9,4,5,11,10,11,8,8,12,10,10,10,10,10,10,10,8,11,11,
10,12,11,10,10,10,11,9,10,10,12,12,10,10,8,4,8,4,8,12,4,10,11,10,11,10,9,10,10,9,
7,10,9,12,10,10,11,11,10,8,9,10,11,12,10,10,8,6,2,6,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,4,8,10,8,10,
2,10,6,12,7,10,11,8,12,12,6,10,6,6,4,10,9,4,4,6,6,10,11,12,10,8,12,12,12,12,
12,12,12,10,10,10,10,10,8,8,8,8,11,11,10,10,10,10,10,8,10,10,10,10,10,10,10,9,10,10,
10,10,10,10,12,10,10,10,10,10,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,
12,10,12,10,12,11,10,10,10,10,10,10,10,10,10,12,11,11,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,8,9,8,9,8,9,8,9,8,9,11,11,11,7,11,10,10,10,9,10,
9,10,9,10,9,10,9,11,10,11,10,11,10,11,10,9,10,10,10,10,10,10,12,12,11,10,11,10,11,10,
9,8,9,8,9,8,9,8,10,9,10,11,10,9,10,10,10,10,10,10,10,10,10,10,10,11,12,12,10,10,
10,8,8,8,8,8,8,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,10,9,9,10,9,9,9,
9,9,9,9,9,9,9,9,9,9,11,11,9,9,9,9,9,9,9,9,9,9,9,9,9,12,11,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,10,8,9,10,
10,10,10,10,10,10,10,10,10,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,10,12,12,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__courier_bold_19_latin_ext_h[560]={ 0,12,6,14,15,12,11,6,14,14,8,10,6,3,
3,14,12,11,11,12,11,12,12,12,12,12,9,10,10,6,10,12,13,10,10,12,10,10,10,12,10,10,11,10,
10,10,10,12,10,14,10,12,10,11,10,10,10,10,10,14,14,14,7,3,4,9,12,9,12,9,11,12,11,11,
15,11,11,8,8,9,12,12,8,9,12,9,8,8,8,12,8,14,14,14,4,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,12,13,11,8,10,
14,13,3,11,5,8,6,3,11,2,7,12,6,6,4,12,13,3,5,6,5,8,11,11,11,12,14,14,14,13,
14,14,10,15,14,14,14,14,14,14,14,14,10,13,15,15,15,14,15,8,13,15,15,15,15,14,10,12,13,13,
12,12,12,13,9,12,13,13,12,12,12,12,11,11,12,11,13,13,12,12,12,10,11,13,13,12,12,16,15,15,
13,11,14,12,13,11,15,13,15,12,15,12,15,12,14,12,10,12,13,11,14,12,14,12,13,11,14,12,15,15,
15,15,15,15,15,16,14,14,10,11,13,11,13,10,14,11,13,14,14,8,11,15,15,15,14,15,8,14,15,14,
15,10,11,10,11,10,11,14,12,14,12,14,11,11,12,12,14,11,15,12,15,13,10,9,14,12,14,12,14,11,
15,13,15,12,15,12,15,12,15,16,14,12,10,12,14,12,14,11,15,12,15,13,15,13,13,11,14,11,14,15,
14,14,12,14,11,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,11,11,14,11,11,11,
11,11,11,11,11,11,11,11,11,11,12,10,11,11,11,11,11,11,11,11,11,11,11,11,11,13,9,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,12,14,11,15,
12,15,12,15,14,15,15,15,15,15,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,18,16,14,13,16,14,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__courier_bold_19_latin_ext_s[560]={ 255,77,180,13,88,68,133,211,249,194,155,
204,199,198,227,207,192,155,164,132,174,69,161,123,141,93,220,198,47,223,59,
45,141,115,139,222,116,152,59,46,23,246,143,70,82,127,93,115,12,216,47,
24,105,193,34,174,150,128,106,150,95,249,164,214,173,163,1,174,224,185,215,
202,225,236,156,204,183,77,36,225,168,156,114,247,146,209,56,90,103,236,136,
200,250,87,178,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,255,249,43,
91,68,1,252,23,207,24,246,14,187,198,231,232,248,180,216,204,188,13,239,
193,241,173,234,25,92,1,244,137,137,217,34,174,104,82,34,175,125,238,171,
148,116,78,69,208,140,61,197,219,241,58,1,47,108,23,45,56,67,105,23,
212,220,34,181,170,159,130,1,128,150,12,96,85,75,65,202,113,34,191,198,
45,1,235,224,12,180,84,231,126,201,14,88,111,56,147,59,12,161,168,162,
242,183,100,194,89,208,78,126,171,71,103,187,68,164,150,175,117,119,102,47,
35,227,230,34,134,43,77,54,36,186,197,1,46,14,104,34,237,155,81,230,
72,117,145,124,65,31,154,47,122,125,12,78,1,11,226,158,215,14,187,37,
182,57,159,23,136,47,58,54,233,94,70,100,1,205,209,161,196,24,243,1,
139,225,136,1,52,133,246,173,193,21,184,97,47,132,111,95,107,108,202,36,
57,12,213,238,73,216,1,23,34,143,79,156,143,167,178,150,187,247,196,212,
221,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,12,123,123,205,
123,123,123,123,123,123,123,123,123,123,123,123,123,23,83,123,123,123,123,123,
123,123,123,123,123,123,123,123,95,236,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,237,82,
216,114,186,213,164,191,145,23,123,112,101,90,79,68,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,1,57,119,1,25,227,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
123,123,123,123,123,123,123,123,123, };
static unsigned short stb__courier_bold_19_latin_ext_t[560]={ 1,123,183,52,36,123,149,183,20,52,183,
161,183,190,190,52,110,149,149,96,149,96,96,96,96,123,172,161,161,183,161,
110,82,161,161,110,172,172,172,123,161,149,149,172,172,172,172,123,161,52,172,
136,172,149,161,161,161,161,161,67,67,52,183,190,190,172,136,172,123,172,149,
123,149,149,1,149,149,183,183,172,123,123,183,161,123,172,183,183,183,123,183,
52,36,52,190,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,1,67,82,
149,183,161,1,82,190,149,183,183,183,190,136,190,172,123,183,183,190,136,67,
190,183,183,183,183,136,149,136,123,67,67,67,82,67,67,172,1,52,52,52,
52,52,52,52,67,172,82,1,1,1,52,20,183,82,20,20,20,20,52,172,
110,82,96,110,110,110,82,183,110,82,96,110,110,110,110,136,149,110,136,82,
96,110,96,96,172,136,82,82,123,110,1,20,20,96,136,67,110,82,136,20,
82,20,96,20,96,1,96,67,96,161,123,82,136,67,96,67,110,82,149,52,
123,20,1,20,1,36,36,36,1,67,67,172,136,82,136,82,161,67,149,67,
67,67,183,136,36,36,20,67,20,183,67,20,67,36,161,136,161,149,161,149,
52,123,52,110,52,149,149,110,110,52,149,20,123,20,82,161,172,52,110,52,
110,36,136,36,82,20,96,20,96,36,96,36,1,36,96,161,110,36,96,52,
136,20,96,20,82,20,96,96,136,36,136,36,20,36,36,110,36,123,36,136,
136,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,123,149,149,36,
149,149,149,149,149,149,149,149,149,149,149,149,149,123,161,149,149,149,149,149,
149,149,149,149,149,149,149,149,82,172,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,36,123,
36,136,1,123,1,123,1,67,1,1,1,1,1,1,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,1,1,36,82,1,52,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,149,
149,149,149,149,149,149,149,149,149, };
static unsigned short stb__courier_bold_19_latin_ext_a[560]={ 161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT or STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_19_latin_ext(stb_fontchar font[STB_FONT_courier_bold_19_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT][STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_19_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_19_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_19_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_19_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_19_latin_ext_s[i] + stb__courier_bold_19_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_19_latin_ext_t[i] + stb__courier_bold_19_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_19_latin_ext_x[i];
            font[i].y0 = stb__courier_bold_19_latin_ext_y[i];
            font[i].x1 = stb__courier_bold_19_latin_ext_x[i] + stb__courier_bold_19_latin_ext_w[i];
            font[i].y1 = stb__courier_bold_19_latin_ext_y[i] + stb__courier_bold_19_latin_ext_h[i];
            font[i].advance_int = (stb__courier_bold_19_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_19_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_19_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_19_latin_ext_s[i] + stb__courier_bold_19_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_19_latin_ext_t[i] + stb__courier_bold_19_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_19_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_19_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_19_latin_ext_x[i] + stb__courier_bold_19_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_19_latin_ext_y[i] + stb__courier_bold_19_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_19_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_19_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_19_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_19_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_19_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_19_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_19_latin_ext_LINE_SPACING
#endif

