// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_13_latin_ext_BITMAP_HEIGHT        112
#define STB_FONT_times_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_times_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_13_latin_ext_NUM_CHARS            560

#define STB_FONT_times_13_latin_ext_LINE_SPACING           8

static unsigned int stb__times_13_latin_ext_pixels[]={
    0x00006e00,0x001b00e6,0x40044033,0x0044c019,0x05002a26,0x006aa204,
    0x00002000,0x1500a800,0xa8005400,0x44014400,0x00019800,0x406002a0,
    0x220366ca,0x02205404,0x80144019,0x0026200d,0x06540199,0x26202d20,
    0x03350500,0x814e4033,0x54029c82,0xb1019999,0xbb801d40,0x7700b003,
    0x400dc807,0x029c8048,0x01e5c02c,0x4880100d,0x2a00c0cc,0x22008802,
    0x0082028b,0x89805171,0x40a2e200,0x48145c42,0x98280e60,0x0c405c04,
    0x0800c00c,0x10011001,0x00308802,0x88093003,0x34030800,0x9bb99813,
    0x26162cc2,0x8026a02a,0xb30cbaba,0x50332219,0x36619757,0x9819910c,
    0x0cd982ba,0xd9941991,0x7419910c,0x64433660,0x57530a0c,0x529982e0,
    0x4c2cbba8,0x73ea82ba,0x530f223d,0x65e54057,0x82ba981c,0x19910cd9,
    0x30cbaba8,0x4332219b,0x19910cd9,0x15c1d168,0x224881f3,0x2602a985,
    0x41912e04,0x12e0d42e,0x06a17419,0x17434479,0x2174506a,0x21742c1a,
    0x4479141a,0x56632386,0x1e4532c2,0x07c5b0d1,0x21a23c87,0x790aa0ca,
    0x2a174344,0xe83225c1,0x50ba0d42,0x8d06cd03,0x950545bb,0x35c01510,
    0x3a088788,0x10f10cc1,0x98660f41,0x07a16c0f,0x307a2833,0x20f41983,
    0x40f98419,0xa95ca62d,0x230fc453,0x2a16c0f9,0x3e638f65,0x01f116c0,
    0x0b607cc1,0x1e21983d,0x0cc1e822,0x4d03307a,0x545cb50d,0x88970a27,
    0x0bae01d4,0x307a01aa,0x0f403543,0x5b86b866,0x450660f4,0x0540cc1e,
    0xd701983d,0x26854b70,0x44fc851d,0x0f85b86b,0x86b866db,0x3311aa5b,
    0x3a2dc35c,0x00d50cc1,0x0f41983d,0x50d9a066,0x223d46ad,0xb1311663,
    0x70b51503,0x1983d00b,0x307a016e,0x23543543,0xe8a0cc1e,0x3a120cc1,
    0x354a0cc1,0x2d131354,0xdd301369,0x21aa1aa3,0x439f8abd,0x1ae6a86a,
    0x6a86a93a,0x5b8660f4,0x20cc1e80,0xb340cc1e,0x8b714fc1,0x64dc3459,
    0xf103e381,0x20a85b00,0x542d8078,0x87903e20,0xd8a0542d,0x361a0542,
    0x7c4a0542,0xa64e1e40,0xc81099ac,0x83c81f15,0x887993da,0x0f11e40f,
    0x3207c479,0x882a16c3,0x0542d807,0x4d0150b6,0x30762645,0x64ee0b89,
    0x26d55cc1,0x3c822174,0x8221741c,0x216c1c3c,0x20e1e40e,0x1b070f22,
    0xb141c3c8,0x80d40e85,0x2598a228,0x2f80742d,0xe85b03f3,0xb0f226c0,
    0x21e40e85,0x90442e83,0x1c3c8387,0x7122ba62,0x0e035379,0x43dbe98e,
    0x36207c43,0xabd81aac,0xaacd881b,0x81babd81,0xb00baba8,0xd8503757,
    0xb0381bab,0x44503757,0x5500baba,0x7b10a621,0x55d44395,0x0583200b,
    0x20175751,0x441da9cc,0x7b00baba,0x59b10375,0x3757b035,0x306eaf60,
    0x00805355,0xea800808,0x04037e60,0x80080040,0x02001000,0x00201018,
    0x00101802,0x002006a6,0x10010001,0x02002200,0x80080040,0x00001000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00205100,0x4ccc0000,0x01801100,0x00005400,
    0x00000800,0x00000a80,0x006e01d4,0x22015551,0x2180a203,0x70000000,
    0x00999b99,0x200cca20,0x0af2029c,0x075700d5,0x58c814e4,0x28a802e0,
    0x12200e88,0x2015bb10,0x06a82bc8,0x32215c36,0xd8b7302b,0x2e03ab80,
    0x44024401,0x03500aaa,0x4d880de4,0x26e055cc,0x8a0a7203,0x8ae0050f,
    0x49802a1c,0x03440820,0x09300dc4,0x8066018c,0x401d01a9,0x80310801,
    0x0001a028,0x00104051,0x40344072,0x8866cc00,0x022220cc,0x15510082,
    0x403902b8,0x4c0f8039,0x839910cd,0x10f54581,0x2cbba879,0x6540a3a2,
    0x5dd41ccb,0x2219b32c,0x260cc0cc,0x419910cd,0x910f540d,0xc8866cc7,
    0x815d4c0c,0x884c1316,0x32219b30,0x9833660c,0x16d55ec0,0xdda80bae,
    0x21742baa,0x515d5c19,0x70f6219d,0x866c4575,0x84ccdccb,0xe80f8038,
    0x03a20d42,0x2a0ec81d,0x744532c1,0x506546cb,0x2e8a6585,0x0edd60d4,
    0x06c1a85d,0xe8350764,0x88f20d42,0x74c55686,0x30ba3d88,0x074c5b03,
    0x25435431,0xd831ae60,0x22130cc1,0x131235c1,0xf1479062,0x201ae0a1,
    0x0cc1e80f,0x97076074,0x43f10ccb,0xf11e9a21,0x30fc4101,0x688660f4,
    0x0cc1e8d1,0x9972e036,0x98660f41,0x2ba16c0f,0x6c770d81,0x216c0cc1,
    0x901f100d,0x0269b805,0xb4433076,0x8152e878,0x03c8f168,0x0175c01f,
    0x3307a03e,0x9c2d81b0,0x4fc8334d,0x354b2688,0x09f90662,0x4f41983d,
    0x0660f42a,0x4d36701b,0xb8660f41,0x16fc5b86,0x0763b86c,0x0d85b033,
    0x803a07d0,0x84a9e999,0x4d10cc1d,0x8839f987,0x3e0791e6,0x80b51500,
    0x0cc1e80f,0x2703606c,0xe9819ae8,0x2e59a21e,0xee984e86,0xb83307a1,
    0x0cc1e809,0x5744e036,0x8660f419,0x4746a86a,0x23b86c1e,0x16c0cc1d,
    0x6816e036,0x4cf5d640,0x10542d83,0x106c83cd,0x7c0f23cd,0xa807c700,
    0x0542d83f,0x98e1606c,0x4b9021bf,0x1e22aaf8,0xb2e408f2,0x77740a85,
    0x4150b60c,0x3e6382e8,0x82a16c1b,0xf31e40f8,0x4ba23f53,0x0150b63b,
    0x2617445b,0x4c05300f,0x43c80d31,0x2d41e683,0x40f23cd0,0xdaab980f,
    0x22640a04,0x414c1b03,0x4510fd43,0x4d81a259,0x2cc511e4,0x89443879,
    0x7070f229,0x41fa8701,0x216c1c3c,0x5c02a80e,0xb0870f21,0x942e8383,
    0x8d31c03a,0x81babd82,0x5a81fadd,0xc87eb760,0x88701f03,0x3601700f,
    0x21b01bad,0x5c1e9818,0x872af621,0x54e64068,0x32af621d,0x20dd5ec1,
    0x6c0a99cb,0x42b81bab,0x6c0dc1e9,0xba881bab,0x209100ba,0xbabd8399,
    0x6641e641,0x9b555d91,0x914c8026,0x0409955f,0x76440420,0xbd104201,
    0x7543fa81,0x06037e60,0x12e88020,0x5c040000,0x4008801c,0x37300400,
    0x00020080,0x80100080,0x0802a600,0x00000020,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40510000,
    0x00aaa601,0x50066051,0xaba80001,0x887aa0cb,0x4c0e7c3c,0x82216603,
    0x19b30cd8,0x0a203322,0x090b2eea,0xb30002ec,0x02aa2037,0x20af6600,
    0x300cbdd9,0x01980555,0x2b00e6e6,0x0a019805,0x20795039,0x0e402aa9,
    0x81220588,0x89700bb9,0x3507640c,0xa8062068,0x0f22e440,0x3901a85d,
    0x06a14cb0,0x2ee06626,0xb815c204,0x01ce4298,0xa96c0ae1,0x81a23b87,
    0x0626200d,0x03600a50,0x18c0c1cc,0x18057530,0x70030040,0x0221e205,
    0x1a0ccb97,0x9865d5d4,0x20821109,0x0660f43c,0x430fc40c,0x42660988,
    0x54054408,0xb30f221e,0xa9803220,0x3e25902b,0x20b207c0,0x15d4c008,
    0xcc8866cc,0x220c0300,0x559b30cd,0x8d11e43b,0x31daacd9,0x263b559b,
    0xbdd981cd,0x803540bc,0x0d0669b3,0x4f30c897,0x6419b10b,0xb0660f43,
    0x7e45b557,0x262bab84,0x566cc2e7,0x507641da,0xb30ec983,0x4790197b,
    0x4d9ac868,0xb32d4354,0x4790197b,0x0d42e868,0x8f6219d5,0xb0f20cd8,
    0xd81f3187,0x3d861ec2,0x96c07b0c,0x016e0eb8,0x419ae89c,0xb0443c46,
    0x3c8790e5,0x188660f4,0x47ba61aa,0x72d83109,0x32e0c3d8,0x96a70665,
    0x0f98f52d,0x1373216c,0x5b1aa1ae,0xd81f31ea,0x70660f42,0x643c848d,
    0x35c11e43,0x408f22dc,0x4079023c,0x0f12742c,0x41bf98e0,0x6cc03546,
    0x0f21e428,0xf100a85b,0xb4572041,0x2146cc78,0xa6ce023c,0x96492c19,
    0x2e1ae0f8,0x20f45645,0x322640f9,0x435c1f12,0x0660f45b,0x1e4054ba,
    0x753990f2,0x32354354,0x4e643a9c,0x5901e43a,0x221746b8,0xd07ea1c0,
    0x0bb005b8,0x1e43c879,0x1443e80e,0xd879a2b3,0x83a9cc85,0xa8335d13,
    0x366b229d,0x23543544,0x2d81d32d,0x366b20f4,0x23543544,0x7cc0cc1e,
    0x3c879039,0xf11cce64,0x4e643c81,0x1cce6439,0x542c80f2,0x0d566c46,
    0x683707a6,0x839803c4,0xb037a23c,0x16e03757,0x4472af62,0x320e61e6,
    0x2638399c,0x646a81bf,0x40f884dc,0x5c37a63c,0x32b3222e,0x884dcc80,
    0x0b61e40f,0xc81b2015,0x08f21e43,0x7903a16c,0x6408f204,0x07b0b203,
    0x80e200aa,0x20442e86,0x01c3c80a,0x200f9812,0x2a1e6849,0x0e023c80,
    0x455183f5,0x2d81e8ac,0x402a8074,0xd15903fa,0x40e85b03,0x0b501c3c,
    0x790f21e4,0x2eaea228,0x79143c80,0x6c50f228,0x24c03e62,0x827a0580,
    0x2a1aacd8,0xcb87903b,0x5d017b01,0x6ec2c428,0x207751fa,0x83d3143c,
    0xb054d41b,0x75103a65,0x02c40175,0x4b605e44,0x55d440e9,0x3757b00b,
    0x47902d40,0x5bd10de8,0x44020595,0xd12caade,0x3a65955b,0xbd32dbbe,
    0x00c01b95,0x80d54008,0xbd102980,0x5d900001,0x20089b55,0xe8814c10,
    0x0002caad,0x2e1bd302,0x0100102e,0x86f4c300,0x200102eb,0x40f64400,
    0x00000de8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x0006029a,0x9b30c44c,0x33663b55,0x44005401,0x32f72203,0x33219b30,
    0x0d417440,0x20000910,0x1980000a,0x79500a20,0x40bb0399,0xaa8aa008,
    0x213bb62a,0x20002bd9,0x01004000,0x44ae0214,0x1051028a,0x33220557,
    0x3d861ec0,0x6b803a80,0xb0a3ffa0,0x82941225,0x2e014019,0xba82c039,
    0x4457d51b,0x037900db,0x4c2a832a,0x03b90198,0x22aaa826,0x57080888,
    0x47985d80,0x3bca83a8,0x21e98354,0x1099cc83,0x5300c881,0x23c81980,
    0x01801e40,0xfff02eb8,0x048ad851,0xa80cc04c,0xc881ccbc,0x19802200,
    0x40430542,0x203e2020,0x21101980,0xb10cd881,0x815d5c19,0xf028a038,
    0x96442b88,0x1e983443,0xb9e6ee0a,0x441b26e0,0x90edd603,0x03c87539,
    0x54540388,0x851ffb05,0x07c404cd,0x1950edd6,0x559b3154,0x2207103b,
    0x219b10cd,0x219b306a,0x311aa3ea,0x103b7583,0x8f21e407,0x1ae03109,
    0x2604cf54,0x30c42679,0x06d1027d,0xb2a8511a,0x033190e5,0x68b441ae,
    0x321cce64,0x1c06b803,0x0a32a01f,0x0d805f9b,0x1f1345a2,0x40c3d810,
    0x790f206b,0x1f0b6068,0xd127435c,0x9035c1a2,0x45a23c87,0xd305d707,
    0x44f31903,0x81fb8f16,0x4346dae8,0x28d98d43,0x5d700b62,0x790aa7a0,
    0x2e00f204,0xb557302e,0x36145409,0x03602f9a,0x2354553d,0x011e4198,
    0x21e40bae,0x6c0ab43c,0x90f107c2,0x702a9e87,0x790f205d,0x5150f344,
    0x79261a0b,0x2fb879a2,0x4343d344,0x85d8260a,0xb515033f,0x0f2026e0,
    0x150a1e45,0x1f10e0b5,0x25b0a2a0,0xb81b02f9,0x27435c09,0x2a0ea732,
    0xc87905a8,0x362dd7c3,0x6c0f999b,0x026e1e44,0x3c82d454,0x43cd11e4,
    0x2e1a03e3,0x21e689e3,0xc9a20e8a,0x40510fa2,0x81dfb839,0x3bba03e3,
    0x955bd10c,0x36efba65,0xea81f1c2,0x2a037e60,0x6c37a628,0x3a06c0cf,
    0x90f10cee,0x8399cc87,0x90f203e3,0x37b1e687,0x39901f33,0xceee83b5,
    0x7901f1c0,0x98f343c8,0x8684daab,0x53cd1e69,0x26883651,0x8f238145,
    0x2e60280a,0x89444daa,0x05c07029,0x026d55cc,0x40a2a038,0x4a22c038,
    0x79136298,0x573023c8,0xc87909b5,0x42d8f343,0x101b100f,0xab98a625,
    0x643c84da,0x70fd6ec3,0x41f40f88,0x3762fbdc,0x759931fa,0x5c2aad88,
    0x1dd40a81,0x1f10e028,0x8054ce5c,0x381b81cb,0x5ec007c4,0x16028a80,
    0x272e2454,0x54e640a9,0x38a1e41d,0x90f207c4,0x85b1e687,0x65c1600f,
    0xf10e0a99,0xe886f441,0x3aa0840d,0x40037e60,0x0a021010,0x98006010,
    0x20ea8002,0x06e60df9,0x0ea80800,0x800037e6,0x29802031,0x08803730,
    0x2caade88,0x86fcc1d5,0x1bd10de8,0x4c7e67e6,0x207f50de,0x2a0dcc00,
    0x0037e60e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00015554,
    0x055530b0,0x19004004,0x00640019,0x201cdcc0,0x880c8029,0x00200aaa,
    0x26091910,0x219b1099,0xb50043ea,0xb82e8833,0x4c545a80,0x2602bc80,
    0x00099880,0x98a81333,0x5c062260,0x8131300e,0x8829bb99,0xa982cdba,
    0x4055302a,0x2941f8f9,0x26050150,0x189881ab,0x06004d40,0xa8055544,
    0x2815dd46,0x43999105,0x0d50fc3c,0x1ca0e4c4,0x09d0381c,0x645c1257,
    0xd11e65c2,0x333227f1,0x32227441,0x20513104,0x98ae0cd8,0x0b234c0f,
    0x055301c4,0x33663178,0xb31c1daa,0x5d43b559,0x2600e204,0x36aaf604,
    0x3b559b32,0x6961eb98,0x1ec433aa,0x1f0f204c,0x06213068,0x26026066,
    0xacc81981,0x24bac982,0x50e83109,0x20980544,0x98cc3109,0x43c81309,
    0x13a2ddc6,0x881ae0d3,0x0af3300a,0xb0a2187b,0x816cc187,0x106b806b,
    0x30f63543,0x58b46998,0x22e1235c,0x81f0f22c,0x45a21316,0x171e4647,
    0x91e46459,0xb1fa8791,0xb440ee1b,0x910c6c78,0x2591703a,0x9b4cf168,
    0x5a8f2126,0x1f89ea2e,0x82eb80f8,0x98c81d48,0x2a047907,0x8c811e40,
    0x805d707b,0x07c402eb,0x232208f2,0x4174746b,0xac98152e,0x81f0f24b,
    0x4f344556,0x2b261139,0x4c22734b,0xa6d54113,0x222874c4,0x9881b1e6,
    0x2eb261d8,0x43a3cd14,0x23c8188f,0x89ea356a,0x4541f81f,0x1d89885a,
    0x39907926,0x9cc83875,0x41e9263a,0x22a05a8a,0x641f405a,0x44ea3a9c,
    0xf983d346,0x7903b839,0x20d740f8,0xb83b9e68,0x83b83b83,0x9037f159,
    0x8f3441bf,0x21c9b80d,0x51e6883b,0x32059757,0x8b714fc3,0xf1c34c3c,
    0x5c393701,0x4ce641e3,0x27320a23,0x42d8ee39,0x1f1c03e3,0x4e6416e0,
    0x2344b639,0x41b20b26,0x09e450e9,0x4f05bf0d,0xe98c3a67,0x98c3a650,
    0xfb9ae30e,0x27838810,0x64ee06c7,0x4f143a61,0x02e97447,0x0ec4c879,
    0xb9877166,0xc9dc4daa,0x79079a61,0x47901504,0x260d9660,0xb984daab,
    0x0f984daa,0x29704790,0x0e447468,0x1bf902d4,0x0efa37a2,0x5bb07a3a,
    0x906fe43f,0x06fe41bf,0x37a21bf9,0xd81dfbac,0x87eb760b,0x1edf4c0d,
    0xadd837f2,0x00c8641f,0xa9bcb879,0x05757301,0x3a60f887,0x7dee43db,
    0x03943c82,0x2af22879,0x703e21c2,0x21740f88,0x36250f22,0x75d31fbd,
    0x00016a07,0x3ea7e602,0x00000841,0x80000800,0x00174410,0x40002100,
    0x00100de8,0xf3075402,0x8084001b,0x12caade8,0x5955bd10,0x7cc1d500,
    0x7cc1d50d,0xb555d90d,0x32ab7a29,0x44000842,0x000001ec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06a6a05c,0x80c42601,
    0x9813180e,0x0d4d42bc,0x0760676a,0x8c074166,0xbb80a881,0x04cc41c0,
    0x0a51062a,0x84e83535,0x1983444b,0xb80055c4,0x0c6640b8,0x41dc0ba2,
    0x26260068,0x3620d440,0x77970049,0x1c12a019,0x0d50cccc,0x2883c5a2,
    0x4a35d7d4,0x44199982,0x281441c9,0x75f50a20,0x2e0ea44b,0x2e02e3aa,
    0x416cc3cc,0x054540eb,0x10381515,0x5a3c8c83,0x4e03a248,0x20654443,
    0x1980e052,0x0f620744,0x28989151,0x8723da88,0x260380e9,0xf50c4261,
    0x31e68835,0x33cd0621,0x40260621,0x981a8809,0x3cd01300,0x55c3b131,
    0x04c03349,0x0d440544,0x4c04c04c,0x44e60980,0x03a34b30,0x02a202a2,
    0x02a202a2,0x203602a2,0x4046cc09,0x0c10c809,0x06213264,0x45a27919,
    0x9a20ab47,0x3478b447,0x6478b44f,0x254644a8,0xa8c89151,0x9a254644,
    0x710e4dc7,0xa8c80e37,0x51075224,0x22c8b891,0x322e2c8b,0x1dcb22e2,
    0x06c3b25c,0x29107522,0x1075220e,0x1d4883a9,0x2a3209d8,0x23217d44,
    0x4cc4344a,0x5a26b999,0x8844e678,0x8d77f1e6,0x23cd11e6,0xa9e689e6,
    0x1f1d43e3,0x23a82366,0xd07c750f,0x1072773c,0x75154ce1,0x1d89887c,
    0xac982366,0x2975934b,0x5934bac9,0xb8c3a697,0x238d8b64,0x2621d898,
    0x362621d8,0x88762621,0x51ec1d89,0x4d1187c7,0xc8683e3a,0x26b9999d,
    0x883b9e68,0x363cd1e6,0x79a21fad,0x447e63ea,0x4b64b9e6,0x2fa8b64b,
    0x4972d92e,0x99e3f52d,0x23303dbe,0x6c971c8d,0xf50726e2,0x41dc1dc5,
    0xf903b83b,0x21e9661b,0x0e4dc38d,0x9370726e,0x5c1c9b83,0xb83a61c9,
    0x1ce54b64,0x30d16c97,0xf344790d,0x79a1874c,0x05110f34,0x341543cd,
    0x261b34cf,0x2688c366,0xb34c3669,0x701c1601,0x6cd31cb4,0x11872770,
    0xd32874cd,0x32874ca1,0x68190a1d,0x93b81b1a,0x2e1c9dc3,0x1c9dc393,
    0x1b10e4ee,0x2441b34c,0x41a0d9a6,0x4d03a22e,0xbb06fe47,0x20f343f5,
    0x2b760bd8,0x6ec2441f,0x0ab2e1fa,0x4e545597,0x2e1565c3,0x038a82ac,
    0x4dc38397,0xd31565c5,0x1ce547b7,0xdfc837f2,0xfc837f20,0x2a20dc0d,
    0x3a606c1b,0x36fa63db,0x98f6fa63,0x2fa63dbe,0x32e06c3d,0xacb8582a,
    0xbcb88342,0x1fadd81c,0x9fa82100,0x084001f9,0x00042008,0x80000100,
    0x1808001a,0x00040000,0x00080000,0x00000ba2,0x2e880000,0xf3000200,
    0x08400805,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0336a176,0x5957d777,0x41538318,
    0x441d7053,0x540cbaad,0x982ec098,0x2aa602ba,0x0166001a,0x20513002,
    0x981981a8,0x887aa0cd,0x0442663c,0x189982cc,0x2a1dcc38,0x902a0640,
    0x5ed80a81,0x776c1570,0x106aaa1e,0x0baa8175,0xb2886626,0x0c5d1e45,
    0x873895f5,0x145442e9,0x307c4376,0x4198985b,0x2aa1a23c,0x3a2188aa,
    0x50d80a80,0x365f5c0d,0x2eb1e66e,0x76416c1d,0x2e7986a0,0x17a00a80,
    0x288a2064,0x320a60c8,0x266a0a20,0x2a606c40,0x44b24599,0x4b954b15,
    0x85c06213,0x78096c78,0x10ed65d4,0xc8351015,0x202616c3,0x3607cc09,
    0x5a326622,0x4a603a09,0x26881a01,0xd13c731e,0x2e0b61a2,0x25b0665c,
    0x05445443,0x20206213,0x70640e5a,0x5b038320,0xd1200760,0x1b254911,
    0x168a5462,0x2354950f,0x44684abd,0x2910c99b,0x9122a20e,0x322e4c85,
    0x6b92a322,0x464ca5b8,0x4640d8a5,0x2ad04c6a,0x2e593440,0x0553d1e3,
    0x4d36705b,0x93146cc1,0xb443a2fa,0x9c4c2878,0x02a1900a,0x9501a864,
    0x16cfc43f,0x227542a8,0x43607669,0x53661e68,0x424dec5b,0x4c451386,
    0x023661d8,0x5934b859,0x50f8ea97,0xc994d50d,0x2a0d8a0d,0x83a63d54,
    0xb3445baf,0x09b8f2d4,0x3a2705b0,0x445d819a,0x11dabe89,0x1106a3cd,
    0x444c58a2,0x444c4b8a,0x95254162,0x261203e2,0x3ce6c2fb,0x83cd10cc,
    0x12d8f368,0x336e1fa8,0x0726e2cd,0x642c85f5,0x6c970773,0x23c81f12,
    0x1358c989,0x9159706c,0x23cd06c5,0x76c2aaf8,0x0677747b,0xbf98e0b6,
    0xdab83981,0x689e6881,0x0e0b51c0,0x02d47017,0x905b24cb,0x510d3588,
    0x83cd030b,0x22e8b638,0x21ce0dc2,0x688c393b,0x2619296c,0x0d9a650e,
    0xaa81d0b6,0x20d85533,0x06c1b1ea,0x101a23cd,0x2531289e,0xfa8703b0,
    0xc9dc0a81,0x54f34114,0x350a8934,0x0a20a81b,0x406cd466,0x981b2c38,
    0x36092c42,0xfadd8080,0xc8833b51,0x44bacfbb,0x261c662a,0x272a3dbe,
    0x2fa37a23,0x9706fe42,0xbaba8855,0x05535500,0x155ecc1b,0xd11e6836,
    0x99cb9e00,0xd307990a,0x0eea1b83,0x13baafa6,0x5a23f5bb,0xd988e228,
    0x1ad88a20,0x261b311c,0x19ba83be,0x85357048,0x420f00b9,0x81000000,
    0x00200020,0x00400000,0x845d1008,0x3f32e880,0x00e5c3f3,0x81b98b2a,
    0x014c0000,0x10210081,0x18100835,0x04020cc4,0x80010000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcbca8000,0x2a01041c,0xcbaba83a,0x5cfaa330,0x36a7911e,
    0x6cc32e0c,0x0019910c,0x2a606666,0xcbba81aa,0x294262a2,0x43a27366,
    0x824590db,0x40e6cc3b,0x14cceccb,0x4c133333,0x46332099,0xcd980cd9,
    0x89507d50,0x80acbdd9,0x00b6098a,0x218999a2,0x556ed402,0x2a0ca82b,
    0x4881b342,0xa8644b85,0x0e0f8b61,0x1741a899,0x216ee06a,0xa988a84e,
    0x4c532c1a,0x7b0fa22d,0xb8e1d0d4,0x07b0381e,0x40250f8a,0x22399910,
    0x40b60ca8,0xbfaaace9,0x712d81c0,0x3989d01d,0x32ec0a80,0x235cc03d,
    0x20407c41,0x10950366,0xb502110f,0x479871ec,0x20cc1e83,0x8813013a,
    0x213711a9,0x813061f8,0xb851e409,0x887a628b,0x01e41999,0x2040207c,
    0x56c09809,0x40f85b01,0x742c8131,0x226098c4,0x18630311,0x9b807a63,
    0x311aa026,0xc8836683,0x2603542d,0x336d87c0,0x3a0a25b0,0x17910cc1,
    0x59495190,0x4427e450,0x7903a60e,0x3ea1f440,0x913666a2,0x7f5502e7,
    0xd1040215,0x6ec0e881,0xf3337b00,0x535d7d41,0xa9ae359d,0x5fcc6baf,
    0x52bea0ea,0x981a4afa,0xb84a9e99,0xe8744e86,0xb7076e20,0x55ec1a80,
    0x2d5039f8,0x21983d03,0xf1d40bc8,0x4c2834a1,0x3606c1ee,0xeaa81e40,
    0x303d32ad,0x302a790d,0x080433f3,0xd106c06c,0x4ccdec05,0x6c4f340f,
    0x268d509b,0x783b0e87,0x2b206878,0x788399eb,0x666f43c8,0x03c424c4,
    0x327b50ae,0x40e7a03c,0x0ae0542d,0x9132d92e,0x20426223,0x03606c5c,
    0x336aa079,0x03a21a2a,0x103e00f2,0x1b01b020,0x85b016d4,0x2c8f340f,
    0xe879a1ec,0x868683b0,0x01a63306,0x0c879136,0x5d0c7710,0x5f079088,
    0x0eb807e6,0x2b838790,0x32836698,0x26288a15,0x903606c5,0x74164287,
    0x1e4096c3,0x20103e0a,0x206c06c0,0xf85b142d,0x22d8f340,0xd0f340f9,
    0x0d0d0761,0x234c707d,0x3b539902,0xf77502c4,0x5566c41d,0x58321321,
    0x2f602c40,0x702b81ba,0x53550559,0x1cabd885,0x22e88ba2,0x22dbbee9,
    0x75c00dd8,0x2fba64aa,0x21fd42db,0x21999999,0x317442e8,0x265b99dd,
    0x547f50ce,0xbd31f98f,0x8fa81b97,0x22be21f9,0xfa87ea3e,0xf914c801,
    0x08809955,0x02000030,0x20020026,0x36201000,0x0020000d,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcd98ae00,0x66cc1990,0xe883d981,0x910675c3,0x065eecc5,
    0x98197bb3,0x6cc2cbcd,0x55ec5bac,0x219d52da,0x3732e3d8,0xcd9864cc,
    0x44cc7d50,0x28098899,0x060cc660,0x02a2a02e,0x1f4433b5,0x9b334cf2,
    0x597bb301,0xb30b8b81,0x3663b559,0x2200bcbd,0x225db303,0x3033623d,
    0x0912d85b,0xb87c80f6,0x2264620f,0x46b96c3c,0x45b0f52d,0x44516c3d,
    0x48d71aa1,0x0d8a1f14,0xb4c1f0b6,0x48141269,0x064933b9,0x20fa202a,
    0x054a1c98,0x80b60a87,0x9c1d712d,0x6c30f60b,0x2e01d712,0x1c4be206,
    0x215dc1e4,0x0f2048ad,0x3ee23db8,0x43b8d100,0x12c8f32d,0x16e2c81f,
    0x0f88025b,0x7c0152e8,0x07c2d800,0x10c47c36,0x9cc11711,0x3105aaf8,
    0x4ccc4333,0x04c098c1,0x33609826,0x3a1641db,0x08f204c4,0x5c13a164,
    0x0e3a602e,0x215ce1e4,0x01e404cd,0x07c5cd37,0x361dc3a8,0xd9ac8992,
    0x1ea9bc84,0x7d024dec,0xf00e7e60,0x3337b001,0xbaaba81f,0x556554c2,
    0x5403c970,0x266a4d99,0x9aebea4d,0x4c3a60e9,0x5354b60e,0x99ae359d,
    0x1d4e640e,0x150d70b2,0x00ec80b5,0x42b8cc79,0x0f202fcd,0x07ce5d38,
    0x66c3b848,0x04dcc81a,0xd85d5379,0x80b7039b,0x800f806c,0x80f999bd,
    0x41405d2e,0x200cbe69,0x4d0d3069,0xd83606c7,0xb13d4b60,0x1b1aa137,
    0x64399cc8,0x1f1c3542,0x3c817540,0xd8bbbbb6,0x07902f9a,0x1f0aea9c,
    0xd8770170,0x07a2b202,0x16c798b2,0x5a801f30,0x0fc40f80,0x0c80f85b,
    0xbc814019,0x83a2efbb,0x80e880e8,0x0d81b1e6,0x3e9bd836,0x1b0f6164,
    0x859023c8,0x6d55cc3d,0x01f35304,0x5b0ae079,0x50f20be6,0x207c9d1c,
    0x6c3b820b,0x074cb602,0x16c7a8b6,0x5a8285d0,0x22880f80,0x00007c2d,
    0x2d800002,0x26812d81,0xd83606c7,0x36026f60,0x81b03e62,0x4c5b143c,
    0x03e21c0f,0x1e42e471,0x437a62b8,0x7dd30cfd,0x547a65b7,0x775c7f51,
    0x4c33627e,0x0de980de,0x2b7a65d7,0x037a61dc,0x136aabb2,0x7d403d91,
    0x437a6183,0x000003fa,0x955d7000,0xf525575c,0x8ba23f31,0x265d12e8,
    0xbde980de,0x117440dc,0x265955bd,0x540dcade,0x5437e60e,0x4433ee2e,
    0x000000de,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cccc400,0x8998caa3,0x54618c18,0x400a8330,
    0x00a80131,0x98999800,0x1dcc3000,0x2e0ee619,0x00888880,0x7331cd40,
    0x2b101bb8,0x208284c5,0x82a66330,0x984cc0a8,0x26330cc1,0x0d440981,
    0x22a218cc,0x410500a8,0x89a81300,0x9627624c,0x3aa2aae8,0x5d55f549,
    0x81ba81d5,0xa885bafa,0x41a85c0b,0x85778838,0x107442b8,0x889085c5,
    0x5555543a,0x5555550a,0x2eb2cc45,0x1298e132,0xcca8c9ab,0x6985ca20,
    0x752217f1,0x320a9e20,0x1e2d12c8,0x22a25917,0x9334c644,0x4141a2fa,
    0xa8c81728,0x10546984,0x434174c3,0x7301c9a6,0xab89e685,0x8886ee00,
    0x0d740888,0x8362ddec,0x41982e59,0x4ccc4333,0x1b140099,0x28854dcb,
    0x55292447,0x0eab07a3,0x362623cd,0x4e629641,0x2e679a08,0x411b33ba,
    0x2221d54a,0x111cabe8,0x89c81171,0x220e8ea5,0xb062140e,0x934d0d09,
    0x4d05d403,0x95006e66,0x555554c1,0x32a0b7a0,0x38986c1c,0xa855d42e,
    0x999998e0,0x53504009,0x105cc098,0x2c92e108,0x79a0f52a,0x6cc1c9b8,
    0xf340ee18,0x21fa81dc,0x2e2c8abb,0xcaa981d9,0x8ed6a0aa,0x12d8b24b,
    0x454489c4,0x1d34341d,0x01771072,0x415cc34d,0x0288171a,0x9ab83d1d,
    0x4c0886c3,0x00043310,0x00000000,0x640d9660,0xb8f34488,0x987d0393,
    0x44f3430e,0x3344630e,0xc9dc363d,0x36050113,0x0d966398,0x4d4955d7,
    0x2a9529ab,0x7cc3f31f,0x23e8af89,0x267ea02a,0x0417101f,0x27ea0602,
    0x2204c1fa,0x0000002e,0x1d016275,0x104472e2,0x850ccd41,0x26702acb,
    0x987eb321,0x82a83cbe,0x2b360dfc,0x5437f21f,0x2af6639c,0x3baafa62,
    0x26726664,0x32e0e130,0x0000002a,0x00000000,0x00000000,0x4c000000,
    0xf02a750f,0x164c3188,0x26665dd5,0x10000121,0x08000000,0x00840800,
    0x4ccc4081,0x00000019,0x00000000,0x00000000,0x00000000,0x00cc2600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20c40000,0x2eee0000,0x2eeee3bb,0x0000003b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_13_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-1,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,1,0,1,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
0,0,0,0,-1,0,0,0,0,-1,0,0,0,0,1,0,-1,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_13_latin_ext_y[560]={ 10,2,2,2,1,2,2,2,1,1,1,3,8,6,
8,1,2,2,2,2,2,2,2,2,2,2,4,4,3,4,3,2,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,12,2,4,1,4,1,4,1,4,1,1,
1,1,1,4,4,4,4,4,4,4,3,4,4,4,4,4,4,1,1,1,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,4,2,2,3,2,
1,2,2,2,2,4,4,6,2,1,2,3,2,2,2,4,2,5,9,2,2,4,2,2,2,4,-1,-1,-1,0,
0,0,2,2,-1,-1,-1,0,-1,-1,-1,0,2,0,-1,-1,-1,0,0,3,1,-1,-1,-1,0,-1,2,1,2,2,
2,2,2,1,4,4,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,3,4,2,2,2,2,2,1,2,
0,2,-1,2,2,4,-1,2,-1,2,0,2,-1,2,-1,1,2,1,0,2,-1,2,0,2,2,4,-1,2,-1,2,
-1,2,0,2,2,1,-1,-1,2,1,-1,2,0,2,-1,2,2,1,0,4,2,1,-1,2,2,1,4,-1,-1,2,
1,2,1,2,1,2,1,-1,2,2,4,-1,2,2,2,4,0,2,-1,2,-1,2,2,4,-1,2,2,4,-1,2,
-1,2,-1,2,2,4,-1,2,2,3,-1,1,2,3,-1,2,0,2,-1,2,-1,1,-1,2,2,4,-1,2,-1,2,
0,-1,2,0,2,-1,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,4,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-2,-1,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__times_13_latin_ext_w[560]={ 0,2,5,6,6,10,9,2,4,4,6,7,3,4,
3,4,6,4,6,5,6,6,6,6,6,6,2,3,7,7,7,5,11,9,8,8,9,7,7,9,9,4,5,9,
7,11,10,9,7,9,8,6,7,9,9,11,9,9,7,4,4,3,6,7,3,6,7,5,6,5,6,6,6,3,
4,6,4,10,6,6,7,6,4,5,4,6,6,9,6,6,6,4,2,4,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,2,6,6,6,6,
2,5,4,9,5,6,7,4,9,7,5,7,4,3,3,7,7,3,2,3,4,6,9,9,9,5,9,9,9,9,
9,9,12,8,7,7,7,7,4,4,4,4,9,10,9,9,9,9,9,6,9,9,9,9,9,9,7,6,6,6,
6,6,6,6,8,5,5,5,5,5,3,3,4,4,6,6,6,6,6,6,6,7,6,6,6,6,6,6,7,6,
9,6,9,6,9,6,8,5,8,5,8,5,8,5,9,8,9,6,7,5,7,5,7,5,7,6,7,5,9,6,
9,6,9,6,9,6,9,6,9,6,4,5,4,5,4,5,4,4,4,3,9,6,5,5,9,6,6,7,4,7,
4,7,5,7,5,7,4,10,6,10,6,10,6,8,8,6,9,6,9,6,9,6,11,9,8,4,8,4,8,4,
6,5,6,5,6,5,6,5,7,4,7,5,7,4,9,6,9,6,9,6,9,6,9,6,9,7,11,9,9,6,
9,7,6,7,6,7,6,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,10,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,6,4,4,9,
6,9,6,9,6,9,6,9,6,9,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,6,12,8,9,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_13_latin_ext_h[560]={ 0,9,4,9,10,9,9,4,12,12,6,7,4,2,
3,10,9,8,8,9,8,9,9,9,9,9,7,8,6,4,6,9,12,8,8,9,8,8,8,9,8,8,9,8,
8,8,9,9,8,11,8,9,8,9,9,9,8,8,8,11,10,11,5,1,3,7,10,7,10,7,9,9,9,9,
12,9,9,6,6,7,9,9,6,7,8,7,7,7,6,9,6,12,12,12,2,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,9,11,9,6,8,
12,11,2,9,4,7,4,2,9,1,4,7,5,5,3,9,11,2,4,5,4,7,9,9,9,9,11,11,11,10,
10,10,8,11,11,11,11,10,11,11,11,10,8,11,12,12,12,11,11,6,10,12,12,12,11,11,8,10,9,9,
9,9,9,10,7,9,9,9,9,9,8,8,8,8,10,8,9,9,9,9,9,6,7,9,9,9,9,11,12,11,
10,9,11,9,11,9,12,9,12,9,11,9,12,9,11,10,8,10,10,9,11,9,10,9,11,9,11,9,12,11,
12,11,11,11,11,12,11,11,8,9,11,8,10,8,11,8,11,12,10,6,9,12,12,11,11,12,6,11,11,11,
12,8,9,8,9,8,9,12,8,11,9,12,8,8,9,9,11,9,12,9,12,9,9,7,11,8,11,9,11,8,
12,9,12,9,11,9,12,9,11,10,11,10,8,8,12,9,11,9,12,9,12,10,12,9,11,9,12,9,11,11,
10,11,8,10,8,11,8,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,9,11,8,12,
9,12,9,12,10,12,11,12,11,12,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,12,11,9,12,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_13_latin_ext_s[560]={ 252,253,250,31,228,98,194,218,21,1,183,
234,214,241,225,60,159,145,138,8,101,214,221,228,235,242,252,210,153,214,138,
249,142,76,167,26,66,58,176,1,214,96,138,108,118,126,144,73,150,93,158,
94,202,60,50,38,86,192,184,224,248,252,207,241,229,24,235,38,214,51,70,
131,109,105,1,156,93,127,146,94,116,124,122,57,236,44,31,224,115,155,101,
16,101,114,233,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,252,35,8,
19,108,120,129,59,246,84,230,9,222,241,83,233,241,79,202,194,221,11,68,
251,247,198,236,87,204,194,184,178,48,117,171,198,80,90,241,204,178,170,152,
52,147,142,245,1,43,48,161,183,203,74,112,161,6,213,232,242,122,132,35,
123,200,193,186,179,172,36,70,153,147,141,135,129,31,27,22,53,73,15,77,
70,66,57,50,168,63,29,248,1,7,238,24,1,26,224,15,116,58,91,43,
182,62,170,229,1,223,188,194,43,200,116,108,140,40,60,65,176,32,204,109,
231,193,164,32,25,99,92,154,59,144,137,183,14,132,169,186,163,127,101,250,
142,181,190,146,119,136,86,76,112,176,186,251,40,76,112,218,139,166,175,207,
81,193,213,36,6,210,217,51,84,160,109,102,212,81,225,14,242,103,226,84,
26,65,231,154,64,17,45,19,219,42,123,232,243,214,208,147,127,92,163,175,
211,126,237,66,221,49,43,1,21,171,244,192,33,130,11,132,100,1,147,8,
232,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,238,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,16,1,155,155,155,155,155,
155,155,155,155,155,155,155,155,240,16,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,222,38,
209,107,132,77,119,171,104,191,91,185,71,202,52,26,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,33,26,162,162,6,98,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155, };
static unsigned short stb__times_13_latin_ext_t[560]={ 13,39,100,72,39,62,51,105,1,14,100,
91,105,105,105,51,62,91,91,72,91,72,72,72,72,72,91,91,100,100,100,
72,1,92,91,82,92,92,91,82,91,92,72,91,91,91,72,72,91,27,91,
82,91,82,82,82,92,91,91,26,39,1,100,108,105,101,39,101,39,101,82,
72,72,72,1,51,72,100,100,101,72,72,100,101,82,101,101,91,100,72,100,
1,1,1,105,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,13,82,39,
82,100,82,1,27,105,82,100,101,100,105,72,108,100,101,100,100,105,82,39,
105,100,100,100,101,72,72,72,72,39,39,39,39,51,51,82,26,26,26,26,
51,26,27,26,51,92,27,1,1,1,27,27,100,51,1,1,1,27,27,92,
51,62,62,62,62,62,51,101,62,62,62,62,62,92,92,92,92,51,92,62,
62,72,62,62,100,101,62,62,72,62,26,14,39,51,51,39,62,39,62,1,
51,1,51,26,62,1,51,26,51,82,51,51,51,27,72,51,51,39,51,39,
51,1,39,14,39,39,39,39,14,39,39,82,62,39,82,39,82,39,82,26,
14,39,100,51,14,14,39,39,14,100,26,14,39,14,82,51,82,62,82,62,
14,82,26,62,14,82,82,72,62,26,62,14,62,1,62,72,91,27,82,27,
72,27,82,1,62,14,72,27,62,14,62,14,39,14,39,82,82,14,51,14,
51,14,51,14,39,14,62,27,62,1,51,14,27,51,27,82,51,92,14,92,
62,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,62,82,82,14,
82,82,82,82,82,82,82,82,82,82,82,82,82,51,101,82,82,82,82,82,
82,82,82,82,82,82,82,82,14,101,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,14,72,
14,82,1,82,1,72,1,39,1,14,1,14,1,27,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,1,1,14,72,1,72,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82, };
static unsigned short stb__times_13_latin_ext_a[560]={ 47,63,77,94,94,156,146,34,
63,63,94,106,47,63,47,52,94,94,94,94,94,94,94,94,
94,94,52,52,106,106,106,83,173,136,125,125,136,115,104,136,
136,63,73,136,115,167,136,136,104,136,125,104,115,136,136,177,
136,136,115,63,52,63,88,94,63,83,94,83,94,83,63,94,
94,52,52,94,52,146,94,94,94,94,63,73,52,94,94,136,
94,94,83,90,38,90,102,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,47,63,94,94,94,94,38,94,
63,143,52,94,106,63,143,94,75,103,56,56,63,108,85,47,
63,56,58,94,141,141,141,83,136,136,136,136,136,136,167,125,
115,115,115,115,63,63,63,63,136,136,136,136,136,136,136,106,
136,136,136,136,136,136,104,94,83,83,83,83,83,83,125,83,
83,83,83,83,52,52,52,52,94,94,94,94,94,94,94,103,
94,94,94,94,94,94,94,94,136,83,136,83,136,83,125,83,
125,83,125,83,125,83,136,121,136,94,115,83,115,83,115,83,
115,83,115,83,136,94,136,94,136,94,136,94,136,94,136,94,
63,52,63,52,63,52,63,52,63,52,133,104,73,52,136,94,
94,115,52,115,52,115,76,115,65,115,52,136,94,136,94,136,
94,113,132,93,136,94,136,94,136,94,167,136,125,63,125,63,
125,63,104,73,104,73,104,73,104,73,115,52,115,80,115,52,
136,94,136,94,136,94,136,94,136,94,136,94,177,136,136,94,
136,115,83,115,83,115,83,52,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,136,146,146,94,146,146,146,146,146,
146,146,146,146,146,146,146,146,136,99,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,102,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,136,83,63,52,136,94,136,94,136,94,136,
94,136,94,136,94,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,136,83,167,125,136,94,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_13_latin_ext_BITMAP_HEIGHT or STB_FONT_times_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_13_latin_ext(stb_fontchar font[STB_FONT_times_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_13_latin_ext_BITMAP_HEIGHT][STB_FONT_times_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_13_latin_ext_s[i] + stb__times_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_13_latin_ext_t[i] + stb__times_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_13_latin_ext_x[i];
            font[i].y0 = stb__times_13_latin_ext_y[i];
            font[i].x1 = stb__times_13_latin_ext_x[i] + stb__times_13_latin_ext_w[i];
            font[i].y1 = stb__times_13_latin_ext_y[i] + stb__times_13_latin_ext_h[i];
            font[i].advance_int = (stb__times_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_13_latin_ext_s[i] + stb__times_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_13_latin_ext_t[i] + stb__times_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_13_latin_ext_x[i] + stb__times_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_13_latin_ext_y[i] + stb__times_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_13_latin_ext_LINE_SPACING
#endif

