// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_15_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_15_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_15_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_15_latin_ext_BITMAP_HEIGHT        142
#define STB_FONT_times_15_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_15_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_15_latin_ext_NUM_CHARS            560

#define STB_FONT_times_15_latin_ext_LINE_SPACING          10

static unsigned int stb__times_15_latin_ext_pixels[]={
    0x00098000,0x01100000,0x00000644,0x00000000,0x004c0000,0x00980022,
    0x80003128,0x30110062,0x6400300c,0x8c400001,0x26204400,0x40274c09,
    0x01db0059,0x0e880190,0x32200ae0,0x02eec804,0x3ee017a2,0x200fd802,
    0x2025c02a,0x01d1001e,0x9c40bd30,0x0037a203,0x03dd5077,0x244003ea,
    0xeb801b80,0x260f403d,0x01b9c2da,0x4cd4005c,0x00d45403,0x50028035,
    0xa8a80351,0x100d4e01,0x71330125,0x9006a2a0,0x15001c40,0x3200d400,
    0x0015402e,0x003e0020,0x809f0008,0x02880260,0x040040b2,0x13003002,
    0x300cc013,0x13130075,0x40098980,0x80000000,0x23100989,0x00031882,
    0xd88bba60,0x4066620d,0x401dcbb9,0x0ee5dcc0,0x74c088f8,0x2037622e,
    0x2e600fba,0x90001dcb,0x6ddde4c5,0x56656541,0xdcabc982,0xd88bba62,
    0x402aa20d,0x5dd303a9,0xee986ec4,0xc9837622,0x1df51dca,0x0f545fb1,
    0x774c7fb1,0xda837622,0x7c6d40f8,0x33ff2200,0x4c2646cc,0x207c6d42,
    0x440fc46a,0x3f11aa3e,0xc85fd5f0,0x3a902984,0x1f88d503,0x641d8bea,
    0x21c81d32,0x260fcc5b,0x1321d40e,0x900ee0a6,0x14c26403,0x8d0a6132,
    0x0f99b21c,0x321ea0e2,0x00002984,0x90a2de40,0x44005309,0x7906c83f,
    0x21b20fe2,0x84c8d71f,0x0d529829,0xd8d907f1,0x17cb2123,0x641f88c4,
    0x4181f46c,0x0882984c,0x099027c0,0x2984c853,0x7cc3117c,0xa80b8fe0,
    0x22984c86,0x265c88f9,0x2205c88f,0x426405bb,0x3223e629,0x3ea07ea5,
    0x03f53c80,0xf10f81f5,0x414c2643,0x542fbaac,0x260fa81f,0xf3590356,
    0x2e0fa803,0x03f30fa8,0xb0a61320,0x3eea0993,0x85309900,0x7e42984c,
    0x2f44fa04,0x1321aa09,0x16a1f0a6,0x73816a1f,0x2132054b,0x25a87c29,
    0x903f307b,0x0fcc1ee7,0x1320e83e,0x5c8710a6,0x41f983dc,0xf75904ad,
    0x98d4f700,0xbb30f71f,0x114c2641,0x3ea41a69,0xc8530990,0xefb82984,
    0x1f376b82,0x321aa051,0xa87c2984,0x105a87c5,0x03b33ee7,0x0f853099,
    0x540fd4b5,0x3f53c80f,0x10f81f50,0x42984c8b,0xf50fcc0c,0xe981f503,
    0x01f35902,0x2a299fa8,0x9b03f30f,0xa82984c8,0x0d52987b,0x990a6132,
    0x3f620530,0xbea47c42,0x990d500b,0xb50f8530,0x320b50f8,0x70225dcc,
    0x50f8350b,0x35c1fc4b,0x707f13c8,0x83739f0d,0x3ea1a85b,0xf88f7d42,
    0x40b06b83,0x44205f2c,0x3a35c3bf,0x42dc4d83,0x1e23621a,0x20beeab2,
    0x2dc1a85b,0x0b9060d4,0x813ae59b,0x1a85b86a,0x8f45b8f4,0x16e2985b,
    0x3d090f30,0xe88d716e,0x235c5901,0x008f81e8,0x220090f3,0x0f446b83,
    0x75cb2038,0x88f704c0,0x360fd40e,0x2e243cc4,0x64388f35,0x98487985,
    0x1dc58487,0x82f887d4,0x87984a89,0x1ebcec84,0x907af3b2,0x2e1445b8,
    0xec81cbbd,0x5f541ebc,0x819181dc,0xf01dcbea,0xcbbdb801,0x815d1001,
    0x441dcbea,0xb8b200ba,0x5dc0abce,0xb300baac,0xb703b737,0xdf883977,
    0xf30322fa,0x3977b703,0x072ef6e0,0x4412eb3a,0x5f5c06c5,0x3977b700,
    0x01080420,0x2ffa63d9,0x01100fcb,0x00880108,0x008806f6,0x04400ba6,
    0x88054400,0x2603b500,0x820081ba,0x4004c000,0x2fa80008,0x0880f7d4,
    0x01001100,0x00200810,0x00000044,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x11080000,0x0d880200,0x09b00cc4,0x05980020,
    0x04404410,0x00000603,0x58818001,0xb00a1500,0x2ee00216,0x030c0080,
    0x06013062,0x000042e6,0x08440066,0x3f010440,0x07550099,0x40afa06a,
    0x3aa01b9b,0x0dc01dbb,0x70770a60,0x0fae0ec7,0x5d006e88,0x0dc0e180,
    0x3006f440,0x80510715,0x2038828b,0x3e881eea,0x541c07ea,0x093705eb,
    0x0a622aa6,0x440f3990,0x0040f66e,0x74044058,0xb5008200,0x00201f88,
    0x44000032,0x2a2a0172,0x71008802,0x54006038,0x26008402,0x2a80a603,
    0x3d0f2000,0x4e6000e0,0x05014c0c,0x04a65000,0x80772ee6,0x7779304a,
    0x5cc03a3b,0x0fc41dcb,0x65dcc364,0x0103d01d,0x00000082,0x0eddde4c,
    0x5dcc3859,0x779301dc,0x8bba63b7,0x986c0dd8,0x837622ee,0x88bfa64b,
    0x3d0f20dc,0x11774ce0,0x207a21bb,0x44444c39,0xd88bba61,0x1aa0100d,
    0x3bd303f1,0xe8e40e98,0x0fc46a80,0x41f701f5,0x6c0fc46a,0x7d10fa21,
    0xb17d47e6,0xe98bfea3,0x3903a60d,0x88d51c34,0x32074c1f,0x20a61321,
    0x0a61323b,0x2985c879,0x5ec7a1e4,0x14c26470,0x9c8907f2,0x84c850e9,
    0x883e8829,0x3d06c83f,0x3a3105f0,0x3641fc40,0x447e60f7,0x8486c83f,
    0x87a3c83c,0x83f3123d,0x11882f85,0x20fe270f,0x0c417c6c,0xb7053099,
    0x2614c264,0x214c2643,0x20dcf43c,0xb8a61322,0x2c921f98,0x213214b5,
    0x44479029,0x40fa81fa,0x401f9878,0x540fd40e,0xf703f50f,0x07d40fd4,
    0x79079017,0x06ad30f4,0x7cc1b9b2,0xa9c35401,0xf30fa81f,0x53099003,
    0x4c264d50,0x21322882,0x37a1e429,0x14c26403,0xb339a54b,0x264189dc,
    0x363c814c,0x83f307bb,0xe807b859,0x1f983dc0,0x5c9b07f1,0x1443f307,
    0x3d1e41e4,0x7d104ad8,0x300f7071,0x4c1ee70d,0x3200f71f,0x25a82984,
    0x0b82984c,0x790a6132,0x3201fae8,0x44f62984,0x7c4ee533,0x984c8151,
    0x3f507902,0x83b81f50,0x207400f9,0x20fa81fa,0xf50f446b,0x0c81f503,
    0x3d1e41e4,0x3ea02e98,0x8801f304,0x503f5387,0x2003e61f,0x3b82984c,
    0x550a6132,0x642984c8,0x707d4f43,0xd114c264,0x8bc9c179,0x09903379,
    0x220f2053,0x1d86b83f,0x074205f0,0x21ae0fe2,0x440cbaeb,0x1d86b83f,
    0xde8837a2,0xd00b03d0,0x20817c07,0x83f89c0e,0x20817c6b,0x1c81a85b,
    0x7906a16e,0x221a85b8,0x3a7f30de,0x542dc71e,0x4d227441,0x70a3792d,
    0x0f20350b,0x207a235c,0x1303ae06,0xd11ae03a,0x407f6203,0x740f446b,
    0x80e801c0,0x2e03d803,0x87304c0e,0x83d11ae3,0xf304c0eb,0x0f316090,
    0x87989709,0x0b881a84,0x8890f31c,0x540298d0,0x90243cc0,0x6e5f5405,
    0x2e01ccc1,0x03a0abce,0x00ee5f54,0xbea80f5c,0xc83701dc,0x44b0809c,
    0x03e800ba,0x4055e75c,0x97d50e0b,0x2f3ae03b,0xcbbdb80a,0x77b70181,
    0xb7017039,0x0b103977,0xbdb87072,0x839cc1cb,0x701a8829,0x2103977b,
    0x9008800c,0xab804005,0x20002202,0x2002202a,0x7440d409,0x20076a1a,
    0x00801dfa,0x00440e18,0x20110008,0x33008800,0x02a00880,0x0440e0a6,
    0x2a201330,0x11001aaa,0x0000dec0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,0x06dcedcd,
    0x189401b7,0x98008000,0x10401805,0x40003b80,0x04620062,0x02004a80,
    0x280b1910,0x02200300,0x0cbded88,0x9588284c,0x10044203,0x0100dddd,
    0x04c04620,0x53052dc5,0x02ed4073,0x564c0dd1,0x803701dc,0x3ba202ec,
    0x3f702404,0x800de880,0x19003deb,0xdbbbc980,0x20299a81,0x2af2603a,
    0x813202dc,0xd019cffe,0x8054e03b,0x00004c9e,0x3ae00ea6,0xb807443d,
    0xb8010405,0x40aa2a00,0x40080e46,0x00500718,0x4024a203,0x02608019,
    0x03a60040,0x10021039,0x7503a607,0x3ffe0180,0x0053019c,0x2ee60000,
    0x0ea601dc,0x3ea04c10,0xe985b81b,0x9837622e,0x0001dcac,0xee98c45f,
    0x02037622,0x2dcabc98,0x30ee564c,0x2227dc01,0x113ee0dd,0x227dc1bb,
    0x20be0dd8,0x6e5dcc18,0x81f40201,0xdcabc981,0x0ce7ff42,0xdb9db9b7,
    0x701d8bea,0x3e235403,0x5c007201,0x16e01d01,0x1a14c264,0x44bf6639,
    0x13f20cfb,0x2a14c264,0x3a61ce9b,0x391a1d40,0x7f7007ea,0x43fb8298,
    0x4c3fb829,0x2a007e62,0x2ea0fc46,0x03f31ce9,0x87503a60,0x8a19cfd8,
    0x123d8a5b,0x07f104f8,0x8027c0d9,0x2e01d04f,0x85309905,0x45b8622f,
    0x2efb81f8,0x3a14c264,0x303e8790,0x1f8622f8,0x530fdd40,0x14c3f750,
    0x4530fdd4,0x83f8807b,0x23c8746c,0x20dd987b,0x4dc0303e,0x5a60b701,
    0x01f7501a,0x01f503f5,0xba801f75,0xb700e80f,0x90a61320,0x3e16e09f,
    0x645fb101,0xc8fc2984,0x64007e63,0x4023d04f,0x0530fb8a,0x0a61f715,
    0x14c3ee2a,0x1fa801f3,0x647e0fa8,0x93607e63,0x9b8001f9,0x56c0b701,
    0x5c1f5204,0x2903f307,0x83ea403e,0x320d701e,0xefb82984,0x20fc2dc2,
    0x30992e41,0x5c3ada85,0x5c0dd987,0x765742ef,0x26db0a82,0x26db0a82,
    0x26db0a82,0xf70817c2,0xada87e60,0x24d83e83,0x00dd987b,0x816e0337,
    0x2a5302e9,0xfa81fa86,0x206a94c0,0x3b90d529,0x4c82fe98,0x5fb10298,
    0x7d55575c,0x4c8ee2c1,0xf3024298,0x36209b03,0x42d4ba2f,0x20a77a0a,
    0x20a77a0a,0x70a77a0a,0x3f50981d,0x20241f50,0xf326c1fa,0x4dc09b03,
    0x0580b701,0x10beeab2,0x590d707f,0x2b205f75,0x804c2fba,0x350b7018,
    0x0b72e418,0x4bace83f,0x3a0d42dc,0x41f44eef,0xe9720c4d,0x44150b51,
    0x220a82df,0x220a82df,0xbceb82df,0x2e0fe20a,0x42777f46,0x41db9bd9,
    0x2e04d83e,0x380b7019,0xb85c8710,0x0e20f446,0x5c8710b9,0x305a81dc,
    0x3b8b090f,0x6c07e16e,0x38487980,0x0fd45531,0x23b8b136,0x8370b31e,
    0x4c1b82f9,0x7cc1b82f,0x35c03602,0x262707a2,0x2017502a,0x7026c1fa,
    0x221ae033,0x981900ba,0xdcbea81f,0x0fcc0c81,0x4c3f3032,0x6dc03101,
    0xace81cbb,0x3e22dc4b,0x36e07701,0x865c1cbb,0xb9bd9838,0x25d6741d,
    0x3622cc7a,0x36215c0c,0x36215c0c,0x59015c0c,0x0ee5f540,0x101c432e,
    0xb9bd980b,0x2066e01d,0x0ed42fe9,0x77d42fa8,0x3ea01101,0xfa8f7d42,
    0x000f7d42,0x01001100,0x3ee25fd3,0x44014c0c,0x15bb7100,0x40400980,
    0x01fc8bf9,0x00000000,0x01100298,0x802b76e2,0x0026000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x803b0310,0x6c01eeed,0x6c44fb80,
    0x440a130d,0x80844010,0xdb83b02c,0xdd304220,0xd806ec45,0x805fecc1,
    0xb0077058,0x4c0b3009,0x03bd12fd,0x04ccc40a,0x0040284c,0x25004040,
    0x02fd8818,0x80a80c40,0x26000038,0x530fee03,0x57b02dd8,0x43ce640d,
    0x5c438848,0x91e76e39,0x0e605309,0x406e035c,0x01b9a804,0x996e00dc,
    0x85bb7504,0xbb02eeec,0x08035405,0x2606a876,0x001ea05e,0x080e21a2,
    0x3222fe98,0x5d40080d,0x0510a61f,0x20200000,0x64002080,0x40102984,
    0x080cc06b,0x01002080,0x440e6b70,0x06311256,0x44000288,0x002debbb,
    0x31aa01a8,0x4eec45dd,0x4cbaae20,0x21ecccfd,0x3662985c,0x541ecccf,
    0x44530fb8,0x8bfea2fd,0x9fb30de9,0x3f623d99,0xd88bf622,0x90bf622f,
    0xcce85309,0x81ae3fdc,0x2ff663e8,0xd301b800,0x2e01b99d,0x23e203ad,
    0x0f8da812,0x1fee6674,0x47fb999d,0xb12641e8,0x500dc05f,0x0530990d,
    0x35c75737,0x2984c862,0x1506235c,0x1ea14db6,0xd70b07e6,0x2a1ea188,
    0x87a87a87,0x2142984c,0x32035c5d,0x9f0035c3,0x20d92dc0,0x7e403feb,
    0x5d850003,0x0f917614,0x203d43f3,0x321aa04f,0x07682984,0x984c80d7,
    0x054035c2,0x06a853bd,0x35c0dcd9,0x21aa1aa0,0x4c86a86a,0x03ea0298,
    0x5c3c80d7,0x01f75006,0xb80fa96e,0x7dc03f9d,0x2e447cc3,0x7d401f50,
    0x1fc42f40,0x07dd40d5,0x984c86a8,0x5c11af82,0x30990e26,0x20e26b85,
    0x50b7e20a,0x0e2fa20d,0x6a87135c,0xa86a86a8,0x01a85b86,0x10d705f1,
    0x401ae1e4,0xd96e07d4,0x0fe6b705,0x50f89f90,0x880be20b,0x9d03f82f,
    0x0fa90354,0x4c264354,0xfb866e82,0x42643dcc,0x6e67dc29,0x17cc1b83,
    0x04fa81aa,0x50f733ee,0x0d50d50d,0x090f30d5,0x386b8274,0x300d70f2,
    0x5f5c1aa5,0xf996e03f,0x1f1e2a04,0x2027416a,0x3e0bd04e,0xa94c1aa3,
    0x0990d506,0x8bff3053,0x216e0c6b,0x10635c1a,0x542b819b,0xd701f406,
    0x35435418,0xb8354354,0xd701cbbd,0x999fb301,0x1ae1e45d,0x0beeab20,
    0xe9826d6e,0x25bfd12f,0x0f8b1519,0x401d70b5,0x30f900eb,0xac83543f,
    0x7ec42fba,0x40d435c2,0x086b808a,0x1ae121e6,0x2a01a802,0xd701ec06,
    0x35435410,0x20354354,0x107e602a,0x70f20730,0x321c410d,0x05f15b85,
    0x2fa60350,0x5b8f41bc,0xf9820fcc,0xc83f1041,0x21c43544,0xf981a85c,
    0x2e038240,0x5dedc386,0x0386b81c,0x406a8162,0x8e1ae03e,0x6a86a86a,
    0x4ecc06a8,0xd0384e80,0x70d70f20,0x707e6064,0x2200fd4d,0xec81c405,
    0x213a1ebc,0xb10e13a3,0x0d507d59,0x541f9819,0x5e75409d,0x3620301c,
    0x102dcabf,0x2aff6201,0x402a02dc,0xbf502fd8,0x957fb103,0x88bf625b,
    0x8bf622fd,0x14c02fd8,0x766667e4,0xde881a84,0xd999fb30,0xdf50bea5,
    0xec8bfa63,0x00002a03,0x999f9021,0x333f29d9,0x40204ecc,0x0bea2fd8,
    0x02983df5,0x00000022,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26186000,0x400dccee,0x050a8058,
    0x598042e2,0x1b005c80,0x21806180,0x00265101,0x4c2c4011,0x21ecccfd,
    0x0980a9a8,0x00222205,0x18802000,0x04020000,0x04400060,0x803dddb0,
    0xb70fba21,0x00d40364,0x5d4037a2,0x803700de,0x154039a9,0x100f75c0,
    0x26e405dd,0x07102dc0,0xdb8311ae,0x6c077a02,0xcbca81d8,0x3626ccdf,
    0xb81dcb8d,0x8c839c44,0x120eb60a,0x1ce63f98,0x100005b0,0xa96e00b9,
    0x9800800f,0x00c01001,0x00080104,0xa8800002,0x20100000,0x9801006b,
    0x35c1ce02,0x1f5c287e,0xf70381f3,0xa547f303,0x504c05c6,0x40e00ed8,
    0x1ecccfd9,0x17ec4b50,0xb805d96e,0xb99dd301,0x405fb101,0x99fb301b,
    0x8bfea3d9,0x03700de9,0x3b333f66,0x9b99fd31,0xcccfd981,0x33a6ea1e,
    0x54389ae1,0xfb31ce9b,0x0103d999,0x5c03f0ba,0x00042e86,0x30ea5c08,
    0x40a1d105,0x5c041100,0x2cc40c46,0x3efae1ea,0x5c09f003,0x03d41b25,
    0x446b813e,0x80b07e61,0x311ae04f,0x81d912dc,0x21d0c46b,0x6e67dc3c,
    0x5c3c8743,0x95750c46,0x47e07c43,0x2ec2dc0a,0x23e65939,0x964e45c8,
    0xfa81cd59,0x45b9a81b,0x0dabdc9d,0xb35301ae,0xb5b86a8b,0x01f75009,
    0xa80fa96e,0x403eea06,0x2e6c806b,0x403eea01,0x7c2dc06b,0x47e035c5,
    0xf0635c3c,0x40d70f23,0x87a9ae68,0x2dc0ecdf,0x43159b5c,0x8accb50f,
    0xa85c2aa1,0x99c80741,0x27e6912e,0x389ae2e9,0x86a8b534,0x4805f15b,
    0x5d96e07d,0x3ea40d50,0x441c4d70,0xea4038be,0x21c4d703,0x35c7c85b,
    0x83ada871,0x2b6a086b,0xa8e26b83,0x07cc3e25,0x16e04c7e,0x7c2ee96e,
    0x02ee8b50,0xd15d5ca6,0x13339501,0x0999eca8,0x98f733ee,0x70d51665,
    0x2980fd4d,0x3efae0d5,0x94c1aa03,0xb99f706a,0x3013ea07,0x67dc1aa5,
    0x542dc3dc,0x3733ee0f,0x21ae0243,0x99f70123,0x83e3547b,0xb820fc2f,
    0x17dc3c85,0x3ee16a1f,0x2d474702,0x108d501d,0x35c0f31b,0x51666b86,
    0x322fe98d,0xfbaac83e,0x409b5b82,0xf755906a,0x2018d705,0x5d56403e,
    0x20c6b82f,0x35c6c85b,0x49ddfd06,0x2dcabfd8,0xd713bbfa,0x3443e218,
    0x1445f1aa,0x9864a6d7,0x5b8f4951,0x21c25466,0x407a4a8e,0x456a333f,
    0x435c312f,0x51aa3f10,0x2200c80d,0x8adc2e43,0x710d502f,0x086b85c8,
    0x21c407b0,0x2086b85c,0x35c3e85b,0x0aa62704,0x55313838,0x7b30435c,
    0xf9795019,0x3661d99b,0x262bf9af,0x33b21bae,0x375d31eb,0x0e55c198,
    0x9fd503b9,0x77dde7c4,0xd71c35c4,0x03543f99,0x4c0c80ee,0x3f535c1f,
    0x98190d50,0x81c35c1f,0xf303203e,0x2e386b83,0x1ae07dc5,0x038865ce,
    0x10cb8d74,0x08386b87,0x80200000,0x80402100,0x10001301,0xfd881020,
    0x8082dcab,0x05102fd8,0x3bea17d4,0x7645fd31,0xfa8bf623,0xd88f7d42,
    0xa82dcabf,0x42fa81df,0x7fb11efa,0x3fa65b95,0x6c40cdcc,0x712dcabf,
    0xa88015bb,0x415bb710,0x2dcabfd8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x46003100,0x11800181,0x00440001,0x20088022,
    0x82002008,0xb0000000,0xee983ddd,0x0018805e,0x00808100,0x01100601,
    0x20200022,0x40200001,0x4dc04401,0x3e772202,0x27313aa3,0x2710d683,
    0xb01ba203,0xe807a01d,0x65def4c0,0x6a921700,0xbb8144d4,0x0000002b,
    0x977309d1,0x32b2a03b,0x1c1dc2ac,0x1d102ec8,0x1ae616a0,0x401f702e,
    0x37503fea,0x0f407d70,0x96a00ddc,0x3f2054a2,0xb8144cc0,0x814ca01f,
    0x0288288a,0xd112a066,0x0f524701,0x245a20dd,0x2e02fd88,0x17764c01,
    0x5c1f88d5,0x0ea0fcc5,0x40e51033,0x8701c01a,0x2201f029,0x02d81f33,
    0x0a602e51,0x05598800,0x10000401,0x30040000,0x404c0404,0x2672625d,
    0x0110d50c,0xa80ae3e6,0x44027c07,0x320fe24b,0xd9907e26,0x0001c3a8,
    0x21ea8000,0x24003e04,0x1002012e,0x45c88f98,0x3905d9a9,0x33555459,
    0xba8b911f,0x227ea1ca,0x5545b0de,0x674dd46a,0x401aaaa0,0x32b2e67b,
    0xc9d8b31b,0x3723bf04,0xf7503541,0x93aaaa01,0x50fa81fa,0x07d45c1f,
    0x7cc05c75,0x23e65c88,0x223e65c8,0x0171a85c,0xa817ecfc,0x5415d7c0,
    0x55d41cab,0x22d43e1c,0x456616a6,0x43e1c961,0x46b9a25a,0x961cd52d,
    0x2364f11c,0x556dc725,0x261fcaaa,0x91244171,0x43f6a1a6,0x5206a81c,
    0x9326883e,0x2e3f307b,0x50fcc6a7,0x3e154a65,0xb50f8b50,0x554b50f8,
    0x3e04c511,0x1dd50d51,0x897627e6,0x2e689ae6,0xb32d43e6,0x22ee82cc,
    0x2d43e04a,0xb507c4b5,0x4a8663ae,0x43e6ab50,0x2e0f504a,0x5b57930f,
    0x23dd41c3,0x2091bd2d,0x1aa5306a,0x3ea4b8ee,0x3f50fa81,0x3807d453,
    0xa87c5933,0x7c5a87c5,0xd1240b50,0x407e0f83,0x87ccd53d,0x2d43e25a,
    0x2d43e1f1,0xf702ccd7,0x87c11aa5,0x81f1aa5a,0x543cba8f,0xf1aea846,
    0x0fc11aa1,0x9339136c,0x11b10c13,0x1bf33ccf,0x55641aa0,0x972e42fb,
    0x135c1fc4,0x706b877f,0x543e1b81,0x7c5a87c5,0x442a0b50,0x0d07c1cb,
    0x87c799d4,0x46a87c6a,0x896e3d0f,0x2330d51f,0xd04cbe4a,0x10f896e3,
    0x0be2d90d,0x2f884cbe,0x4132f8d1,0x520fcc5c,0x4d6e0838,0x1fe87ea7,
    0x43886a83,0x4b87cc5c,0x707a235c,0x2980e88f,0x2dc7a14c,0x47a2dc7a,
    0x2b23885b,0x04987c3d,0x4b11e832,0x7c4d10f8,0x5e764d10,0x3f33ae1e,
    0x50dd74c1,0xbcec87dd,0x032f661e,0xea80d8e6,0x32b7263e,0x5c1f7540,
    0x9c41dbad,0xbf135419,0x667ec5f5,0x3543efb8,0x907e6064,0xea81db9d,
    0xcbb81dcb,0x98900baa,0x2f3b22ad,0x3af3b21e,0x07af3b21,0x59b07209,
    0x165fcc17,0xb302a726,0xcbd98197,0x00200840,0x00420002,0x20004001,
    0x11000020,0x00100840,0x22044088,0x50bea2fd,0x801083df,0x40082008,
    0x204cc408,0x08042010,0x80201101,0x10000200,0x00000080,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0c04c000,0x00180208,0x00400004,0x98088022,0x00015100,0x08020066,
    0x4c011010,0x00100180,0x80800c00,0x83b81aeb,0x08818ce9,0x59022020,
    0x2ea02093,0x4a808058,0x80aee038,0x982eae63,0x26a1dcac,0xaaaa984b,
    0xd103d902,0x19309701,0x82ac883b,0xbc980aa8,0x20ee1dbb,0x880ed80b,
    0x5302d80e,0x55305555,0x95793017,0x8757305b,0x81983c88,0xc9d81970,
    0x3a23dc44,0x2a144d46,0x2394c6aa,0x0fb8bfd9,0xb980a838,0x3341501d,
    0x24c72349,0x8d55cc5f,0xa838cc28,0x54b20e01,0xb83a8ec4,0x0e40e983,
    0x8a838875,0x0e00a828,0x154cc466,0x074c3b9a,0x8839a0ea,0x88080200,
    0xa8f10d34,0x2c044298,0x4d701039,0x070081b8,0x3e1c074c,0x3117c751,
    0x74a2e8e2,0x010315a8,0x23d01004,0x8599e24b,0x1882f808,0x044090ea,
    0x50110088,0xb318b992,0x0c0fa344,0x4c9d81e2,0x2ea35554,0x87ba81ca,
    0xc9d81078,0xb9a812a4,0x750a35c5,0xaa838395,0x2a1c44fb,0x027e43bf,
    0x11d099a2,0x8b73514d,0x5cd45b9a,0x2a2dcf45,0x993b1e26,0x1d400fcc,
    0x13276035,0xc9d8993b,0x210aa264,0x987c4f32,0x20f1001f,0x3258d348,
    0xb135cd11,0x88f10f11,0x534d223e,0x3a67208d,0x34409ae2,0x5341a8d7,
    0x3fc80a8f,0x1902efb8,0x141b7d14,0x4e45d339,0x3a6722e9,0xb97227a2,
    0xd3488fc6,0x12a803dc,0xd34884c7,0x52269a44,0x280eca69,0x0f73d4be,
    0x3f261bb3,0x54f7503c,0x87c4b504,0x0f10f35b,0xf8f75079,0x2672a132,
    0x5a81ae09,0x2d4703e2,0x55c1c1f1,0x2fd882fa,0xd8e84c28,0x4cce54a1,
    0x21333950,0x3a0999ca,0x89a61f11,0xf33dd40f,0x3a248001,0x5d43dd41,
    0x2267ba87,0x5e44503b,0x3607e65c,0x11b10784,0x3542354f,0x7d6fc43e,
    0x11e43c42,0xeea8f11b,0x35c11aa3,0x1c0f8d50,0x0710f8d5,0x5c83354d,
    0x88e94044,0x08d5188e,0x08d508d5,0x99e1e87a,0xf1e23627,0x446a0205,
    0xf11b11cb,0xb13c46c4,0x1d8a8f11,0x07a03137,0x0d09b07d,0x4be3cd6e,
    0x1a21f109,0x3c878838,0x1cc3cd6e,0x1ae199fc,0x86887c42,0x53443e1a,
    0x71658d01,0xab980887,0x33f87532,0x3e199fc3,0x694f4333,0x56e3a8ec,
    0x26075c79,0x7b591c40,0x2b73cd6e,0x23cd6e79,0x07115319,0xb07ea0b2,
    0x198f5c49,0x545f5bf1,0x65ecc3ee,0x4415d100,0x37e23c87,0x543442fa,
    0x1c35c4fe,0x8e0197b3,0x40e0caca,0x33a1a9ba,0x303d84ba,0xd5055355,
    0x44fea89f,0x27e64fea,0x256c42ad,0x70beb7e2,0x0701579d,0x7d6fc472,
    0x25f5bf12,0x4c2fadf8,0xa982a9aa,0x2e6f6602,0x3faaea1d,0x00400005,
    0x45f70544,0x2a000de8,0x9fb30201,0x80105d99,0x04008080,0x01000010,
    0x01004010,0x20000400,0x00080c00,0x20080000,0x4004c000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22fd8800,0x10310dfb,0x18830313,
    0x1881b498,0x00410110,0x36930000,0x99881040,0x40cccc09,0x20008408,
    0x26009809,0x14cd4199,0x0201dc00,0x00427fe4,0x3ffa0001,0x0a66a0ff,
    0x04c07353,0x7a80c402,0xd10741f8,0x12d43f77,0x10e5107d,0xf503a07d,
    0x73985f75,0x251005e8,0x175d7d43,0xcc839995,0xf50f40cc,0x41ce27b5,
    0x900fd44c,0x6e441999,0x9827f540,0x7103e201,0x2dcd4133,0x25b164e4,
    0x4ccdcc78,0x64066c45,0x7b0d301d,0x2b55c9b8,0x1441f86a,0x90704cf2,
    0x30790007,0x42d4be03,0x002440fc,0x84a97c02,0x0a602200,0x007f20be,
    0x10066fdc,0x7cca2040,0x07e40102,0x74ce40f2,0x5b0c5662,0x105501e2,
    0x01500401,0xad426881,0x4081f86a,0x640828bc,0x2e447cc3,0x740410f2,
    0x30208b30,0xaba80423,0x2598741c,0x4ec1caba,0x0740844c,0xe8098084,
    0x8b735011,0x99025b9a,0x8b85b9a8,0x51ff640f,0xee813339,0x407896c2,
    0x2264ec0c,0x0001caba,0x354e21a6,0xc87d10fc,0x5e43e883,0x22d43e08,
    0xf75f51dc,0x54b30e85,0x6c42fbaf,0x73446dac,0x22b30e8d,0xd3489ae6,
    0x1d1ed7d4,0x1c3dafa8,0x642fcbe8,0x26722e99,0x9c85b02e,0x07ca62e9,
    0x08d51f98,0x44b62fb8,0x4d222c07,0x266b9a26,0x9303faac,0x0d51815d,
    0x1e43c83f,0x25de43c8,0x87b16a1f,0x30e8b52f,0x70b52f8b,0x44b507cb,
    0xaacc7a0f,0xf7503e25,0xf81e82f8,0x25d03a82,0x26672a5b,0x01333950,
    0x999ca8b1,0x2e00f920,0x330ccfe4,0x2f53d92a,0xf7503a80,0x821f12d4,
    0x0166045b,0x3c83f0d5,0x643c81e4,0x5cb50f83,0x2598743c,0x21fc8bf9,
    0x4970b30e,0x21f1aa1e,0x1aab33f9,0x1e23621f,0xe84f981d,0x1e807c40,
    0x542354b5,0x2a05c046,0xfaabc846,0x7549300b,0x0dd74c4f,0x209d3bf9,
    0x3c46c40c,0x7cc0f8d5,0x80b32fc0,0x321e516a,0x43c81e43,0x8b71e83c,
    0x8598743c,0xb30e80b8,0xf10f4970,0x14981a21,0x35b9a21f,0x82a80e8f,
    0x43b3540e,0x33f8b31e,0x54199fc3,0x5c667f01,0x820cfccc,0x0360480b,
    0x2e160019,0x887c4f35,0x1c40fc46,0x57ec40b3,0x43c82bf9,0x3c87903c,
    0x21ebcec8,0x0598743c,0x1661d039,0x6cc1e92e,0x455080cb,0x3e20cbd9,
    0x207a2fad,0x7c41e868,0x698f4370,0x3aa27f54,0x4130d44f,0x83e04fea,
    0x9901cdf8,0x03c3b813,0xadf88398,0x032f662f,0x54330c7b,0xe8804006,
    0x881bd10d,0x01bd10de,0x21bd1021,0x41fc8bf9,0xc8bf9829,0x263b621f,
    0x6dc0103f,0xf9800101,0x27cc1a84,0x7f315654,0x40103f91,0x2ffffd40,
    0x0407c008,0x20a60d40,0x80001005,0x4baafb80,0x0005f910,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04000000,0x10000098,0x26000001,0x004c18ce,0x02607fb1,0x0c413331,
    0x889f7062,0x2e6a60dd,0x02210000,0x3bea0888,0x3aa2fd88,0x3ff50001,
    0x5dd31ec8,0x3fb86ec4,0x4cccc5d1,0x0abb2099,0x05fd3126,0xd30c674c,
    0xc819b79f,0x9d3753a9,0x5c007ea3,0x99b8ee01,0x70ec5f52,0x54197081,
    0xb83d401f,0x3332e1e9,0x83e89a61,0x5c14c3fb,0x6447cc2d,0x2feafa85,
    0x322ed54c,0x43883e66,0x21455409,0x2642a87b,0x1c4b614c,0xc9846011,
    0x05b82882,0x2dc0cb84,0x4c5c1d91,0x3f0f21d2,0x88013e00,0x5491ec5e,
    0x00f4000f,0x000aa1aa,0x7dd41e40,0x1f000a61,0x6b8fc16a,0x0f98b534,
    0x3a20b8fe,0x2f80ed80,0x14c26424,0x01105daa,0xd7000206,0x40410999,
    0x2085f85b,0x11e8791f,0x1007dd40,0x43569810,0x11f31bfa,0x5401e8b9,
    0x8f982c86,0x0f20c5c8,0x14c3ee2a,0xf8b911f3,0x443e0b50,0x42cc931f,
    0x224bd13e,0x32001bfa,0x21320e25,0x4439e829,0x21f44300,0x2e3faac9,
    0xbafa97a5,0x3e42dc2f,0x1d6d47d1,0x48176574,0x447d107d,0xf84ad83e,
    0x745a87c0,0x86a817b1,0x16a1f02d,0xb0a83c87,0x2a1f0a6d,0xf05a87c5,
    0x265b8741,0x1f376b85,0x64c1d051,0x8fc43faa,0x2984c80b,0x4ab3b6aa,
    0x43c83008,0x64b716e0,0x2e5a97c7,0x1f51ccfd,0x2e8091e4,0x1aa530b5,
    0x260f21e4,0xf0dfd42e,0x373d16a1,0x40b61aa0,0x2244b50f,0x37a0a83c,
    0x45a87c29,0x43e0b71e,0x2d47e258,0xbbea47c4,0x5b820e80,0x264129b0,
    0x443cc14c,0x303c8300,0x17a5b81f,0x0b71661d,0x3fa3c8d9,0x5a8f44ee,
    0x82fbaac8,0x0581e43c,0x8b50f81f,0x21aa03de,0x96a1f02d,0x0541e459,
    0x50f85bf1,0x1ebcec8b,0x5c1b9cf8,0x59b05bdf,0x407413ae,0x35f300f9,
    0xa86a16e0,0x112aafba,0xf1079060,0x19b9d703,0x5b8b30e8,0x271e43e8,
    0x4c7a2a98,0x21721c45,0x0381e43c,0x5b8f413d,0x2260fd74,0x3d02d84a,
    0x1e46a96e,0xd0be60dc,0x05c216e3,0x4c2008f8,0x3e21f505,0x1f883d02,
    0x0f303740,0x0221e209,0x8f60f20c,0x21d01ae1,0xf712dc59,0x21973c81,
    0x4598f438,0x320fcc0c,0x17511e43,0xceb87720,0x3ea7a1eb,0x3602fae0,
    0x3d79d702,0xd88791ee,0x3ae15c0c,0x39701ebc,0xb5000f81,0x201b1620,
    0x018f61dc,0xbbdb8077,0x42fc881c,0x19999998,0xafb837a2,0x05fd34ba,
    0x47f22fe6,0x0cdccfe9,0x6dc46f44,0x22fe60ad,0xa85f51fc,0x21bd11ef,
    0x03b50de8,0x7f302100,0xf30087ba,0x2604201b,0x00037a25,0x06600210,
    0x36e005d3,0x20008100,0x004baafb,0x00000880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fa60000,0x9980cdbc,0x5ca66e19,0x36dceecd,0xfb3017fb,
    0x64400005,0x266cccff,0x19f712fd,0x0f733fa6,0x437f6600,0x9fd30cf9,
    0xfd9819b9,0xdb31eccc,0x3f66d999,0x2619f712,0x447be07e,0x666742fd,
    0x45ff53fd,0x7fb30de9,0x999dd301,0x0dccee98,0xbd12fd98,0x676e6dc3,
    0x8080446d,0x883b225b,0x33664ccc,0x5c72dc50,0x3802dc06,0x4516f200,
    0xfccccfea,0x07d16e1d,0x1ccdb00e,0x81d912dc,0x8b70c46b,0x83f116e2,
    0x43fb83fb,0x22ec287a,0x35c2c1f9,0x5c5d96e0,0x32dc1b25,0x452dc509,
    0x64e44c9d,0x417e16e2,0x416e0100,0x00adc06b,0x5bb8801c,0x20fc2dc0,
    0x0382e45b,0xb8245fc4,0x035c5f85,0xf85b816e,0x6e435dc1,0x3ea03543,
    0x206e6c80,0xf72dc06b,0x203ea5b8,0xb700735b,0x599a6910,0x3e42dc31,
    0x07d10fa2,0x0335c16e,0x038019d7,0x40a96e70,0x2dc1f85b,0x200e07d1,
    0x0b700cfa,0x0e26b8f9,0x216e1cb7,0x517c5c1f,0x206a87b3,0x17d102f8,
    0xb701ae07,0x5d96e26c,0x20075b70,0xd1eea05b,0x667edc5d,0x83c81f51,
    0x67765c3c,0x4345ae0c,0x3b32e06b,0x73880ccc,0xeb81d99f,0x5c1faaaa,
    0x65c5ecaf,0xb01cccdc,0x7d42dc0d,0x0f733ee0,0xeb8b99d7,0x9c1faaaa,
    0x2a1ed26b,0xf5013a06,0x2e035c09,0x75c0ccae,0x3fae03fb,0xb10b7003,
    0x45f70f11,0x3c86c85b,0x20b703c8,0x0176a06b,0x6e66401c,0xf0b70225,
    0x836c5b83,0x03eb9803,0x6b8d90b7,0x5c196e0c,0xf89c1f85,0x6a87b299,
    0x7d001d70,0x16e035c0,0xb8136b70,0x5b803f9d,0x8ccf35b8,0x0fa16e4a,
    0x5c0f20f2,0x2210d705,0x4038085b,0xb7016e29,0x545b83f0,0x9c40381f,
    0xe85b81fa,0xb70435c3,0x20fc2dc0,0x43d93723,0x041f986a,0x21ae03d8,
    0x2b7016e0,0x26b702f8,0x442dc03f,0x5d32fadf,0xf712dc37,0x07907901,
    0x1c35c16e,0x2aaa70b7,0x2240aaad,0x0b71445b,0x3e45b83f,0xdb122038,
    0x40fb8b70,0x816e386b,0x2e0fc45b,0x21f47f10,0x0384e86a,0x1c35c07d,
    0x2a6b80d7,0x3e65b81f,0x4001ae04,0x6e67f4c0,0x20de880c,0x7f4c0de8,
    0x6667ecc2,0x999fb32e,0x1ec8005d,0x1f977fd3,0x7dc4bf66,0xb79fd30c,
    0xdea8001b,0x74c77f20,0x440cdccf,0x32dcabfd,0x5fd305fd,0x74c33ee2,
    0x8efd490b,0x33f22fd8,0xfa84eccc,0xccfd981d,0x05fd32ec,0x3ec8bfa6,
    0x7f44bfa6,0x017f4c2d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00400000,0x10020000,
    0x04011040,0x05040082,0x00411030,0x44041043,0x88108110,0x0d400088,
    0x80088440,0x222a651a,0x20810181,0x00000220,0x20018000,0x6f44fd40,
    0x655d45b0,0x97223e61,0xb83b13f9,0x46aaa870,0x4babeb9a,0x2532dcd4,
    0x9caca829,0xb911f50e,0x5ee4ec1b,0x3a6ea0da,0x5d75f50c,0x2a2daf4c,
    0x55933d9f,0x2a01b07f,0xd17f302c,0x43771017,0x845b9bd8,0xf98fa216,
    0x0fcabeba,0xb730b86e,0x98ee0930,0x267f10db,0x22c5c2ba,0xd11cd52d,
    0x2d43e35c,0xb9d438f2,0x92c392c3,0x4e41f33d,0x0ec762e9,0x3e07dcd1,
    0x9a441d50,0x4f12e99f,0x45a97c6c,0x42e829f9,0x980016e0,0x81b9e83c,
    0x42880bb9,0x91ee66c3,0x64f31e87,0x1c0dcdc3,0x41cc0d64,0x4464e21b,
    0xb506cc46,0x5a8663ae,0xb50f83e2,0xb4c15698,0x5a825469,0xca86676e,
    0x23a60999,0x7c4b50e9,0x505a87c1,0x2a1333d9,0x8741f355,0x1d06b859,
    0xccb83e60,0x2600cccc,0x2e0f3a0e,0x86605405,0x21dc3dc8,0x41dcd10e,
    0x2e1d982d,0x87073090,0x2b16570a,0x65d47c0d,0xf83e3543,0x875d0b50,
    0x2a0f98e8,0x1aa7a846,0x74c11aa1,0x1f1aa698,0xd88b50f8,0x35d50798,
    0x0b30e83e,0x101d05d7,0xb980003d,0x40fd740b,0x42880bb9,0x725e4ec3,
    0x5cd10e87,0x540dcdc3,0x26144711,0xb8804e23,0x21656409,0xf885f16c,
    0xb71e8d10,0x27303d50,0x10997c3a,0x214fee1f,0xd86c333f,0x43443e20,
    0x15a8b71e,0x97c4625f,0x45987468,0x0f40f88a,0x01b031ec,0xa9e80aea,
    0x4377100e,0xd05b9bd8,0xd11e8790,0x8dc371dc,0x50a0a1aa,0x000e6545,
    0x80d8e600,0x7640cbd9,0x20681ebc,0x7754170b,0x7d656543,0x327f543f,
    0x2f660663,0xebcea80c,0x3eef3e21,0x32b7264e,0x3f22fe60,0x47ba2b51,
    0x2fee0cf9,0x06a004bb,0x3dd19f50,0x4a651a80,0x0de88018,0x13f717f3,
    0x000001bb,0x00000000,0x08401002,0x80000020,0x80002000,0x02008400,
    0x00002081,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80220100,0xca841541,0x821ccccc,0x1cbbbbba,0x753bb982,
    0x999998b1,0x2eeeee09,0x0000003b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0cbb8000,0x20e8f23e,0xca9a9e44,0x1f8003ac,0x263f1440,
    0x50e533bb,0x00355555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2f1c5100,0x40d8333c,0x2a0a8813,0x21bbbbbb,0x00228800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x2aac5138,0x00000530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x00088c3b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_15_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,1,1,1,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,1,0,-1,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_15_latin_ext_y[560]={ 12,2,2,2,2,2,2,2,2,2,2,3,10,8,
10,2,2,2,2,2,2,3,2,3,2,2,5,5,4,6,4,2,2,2,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,2,2,2,2,14,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,3,5,5,5,5,5,5,2,2,2,7,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,12,5,3,2,4,3,
2,2,3,2,2,5,6,8,2,1,2,3,2,2,2,5,3,6,11,2,2,5,2,2,2,5,0,0,0,0,
0,0,3,2,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,4,2,0,0,0,0,0,3,2,2,2,
2,3,3,2,5,5,2,2,2,3,2,2,2,3,2,3,2,2,2,3,3,4,5,2,2,2,3,2,2,3,
1,3,0,3,2,5,0,2,-1,2,0,3,0,2,0,2,3,2,1,3,0,3,0,3,3,5,0,2,-1,2,
0,3,0,3,2,2,-1,-1,3,2,0,3,1,3,0,3,3,2,0,5,3,2,-1,2,3,2,5,0,0,3,
2,2,2,3,2,3,2,0,2,3,5,0,2,2,2,5,1,3,0,3,0,2,2,5,0,2,3,5,0,2,
0,2,-1,2,2,5,0,2,3,3,0,2,3,3,0,3,1,3,0,3,0,2,0,2,3,5,-1,2,-1,2,
0,0,2,0,3,0,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,2,3,3,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,3,3,3,3,3,3,3,3,3,3,1,5,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,0,2,0,
2,0,2,-1,1,-1,0,-1,0,-1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-2,-1,-1,2,-1,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__times_15_latin_ext_w[560]={ 0,3,5,7,7,11,11,2,5,4,6,8,3,4,
3,4,7,5,7,6,7,6,7,7,6,7,2,3,8,8,8,6,13,10,9,9,10,8,7,10,10,5,6,10,
8,12,11,10,8,10,10,7,8,10,10,13,10,10,8,4,4,4,7,8,3,6,8,6,7,6,6,7,7,4,
5,7,4,11,7,7,8,7,5,5,4,7,7,10,7,7,6,5,1,4,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,6,7,7,7,
1,5,5,10,5,7,8,4,10,8,5,8,4,4,3,8,8,3,3,4,5,7,10,10,10,6,10,10,10,10,
10,10,13,9,8,8,8,8,5,5,5,5,10,11,10,10,10,10,10,6,10,10,10,10,10,10,8,7,6,6,
6,6,6,6,9,6,6,6,6,6,4,4,4,4,7,7,7,7,7,7,7,8,7,7,7,7,7,7,8,7,
10,6,10,6,10,7,9,6,9,6,9,6,9,6,10,9,10,7,8,6,8,6,8,6,8,7,8,6,10,7,
10,7,10,7,10,7,10,7,10,7,5,6,5,5,5,5,5,5,5,4,10,7,6,6,10,7,7,8,4,8,
4,8,6,8,5,8,4,11,7,11,7,11,7,9,9,6,10,7,10,7,10,7,12,10,10,5,10,5,10,5,
7,5,7,5,7,5,7,5,8,4,8,6,8,4,10,7,10,7,10,7,10,7,10,7,10,8,13,10,10,7,
10,8,6,8,6,8,6,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,6,5,4,10,
7,10,7,10,7,10,7,10,7,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,6,13,9,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_15_latin_ext_h[560]={ 0,11,5,11,12,11,11,5,13,13,7,9,5,2,
3,11,11,10,10,11,10,10,11,10,11,11,8,10,7,3,7,11,13,10,9,11,9,9,9,11,9,9,10,9,
9,9,10,11,9,13,9,11,9,10,10,10,9,9,9,13,11,13,6,1,4,8,11,8,11,8,10,10,10,10,
13,10,10,7,7,8,10,10,7,8,10,8,8,8,7,10,7,13,13,13,3,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,0,10,12,11,7,9,
13,13,2,11,5,8,3,2,11,2,5,9,6,6,4,10,12,3,4,6,5,8,11,11,11,10,12,12,12,12,
12,12,9,13,12,12,12,12,12,12,12,12,9,13,13,13,13,13,13,7,11,13,13,13,13,12,9,11,11,11,
11,10,10,11,8,10,11,11,11,10,10,10,10,9,11,9,11,11,11,10,10,7,8,11,11,11,10,13,13,12,
11,10,12,10,13,10,13,11,14,11,13,10,13,11,12,11,9,11,11,10,12,10,12,10,12,10,12,11,14,13,
13,12,13,12,13,13,13,13,9,10,12,9,11,9,12,9,12,13,12,7,10,13,14,13,12,13,7,12,12,12,
13,10,10,9,10,9,10,13,10,12,10,13,10,10,11,10,12,10,13,10,13,11,11,8,12,10,12,10,12,10,
13,11,14,11,13,10,13,11,13,13,12,11,9,10,13,10,12,10,13,10,13,11,13,11,12,10,14,11,13,13,
12,12,10,12,9,12,10,10,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,11,9,9,13,9,9,9,
9,9,9,9,9,9,9,9,9,9,12,8,9,9,9,9,9,9,9,9,9,9,9,9,9,12,8,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,12,11,12,10,13,
11,13,11,14,12,14,13,14,13,14,13,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,14,14,13,11,14,11,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__times_15_latin_ext_s[560]={ 124,100,7,92,175,202,111,253,117,157,185,
95,239,60,43,22,89,214,159,225,174,182,232,212,27,157,253,242,168,34,151,
42,221,17,85,104,115,126,135,165,143,167,67,222,193,154,98,148,202,46,211,
34,233,181,170,144,104,182,173,30,9,251,221,80,21,242,216,44,247,62,246,
1,9,28,184,59,93,197,113,12,127,136,129,249,158,20,28,1,121,38,135,
68,123,173,25,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,124,89,1,
176,177,192,202,215,65,146,249,36,47,60,49,71,1,51,234,216,13,203,186,
56,17,229,243,69,114,170,205,130,18,46,142,245,212,234,60,135,8,28,57,
66,75,81,87,93,240,111,125,57,35,232,1,209,159,210,53,15,235,66,223,
81,139,132,125,184,225,97,95,232,74,67,60,239,12,24,220,251,14,232,1,
248,240,198,82,142,105,197,189,181,35,243,201,204,129,105,77,220,221,206,20,
74,1,59,107,191,136,25,97,9,1,140,238,145,88,152,108,167,125,189,142,
221,22,64,72,134,175,117,164,156,34,91,74,137,40,209,123,12,1,18,237,
74,220,192,1,80,106,246,164,194,160,133,128,119,189,246,17,33,29,42,43,
123,48,37,56,99,64,72,172,90,223,97,190,227,145,151,159,51,153,112,7,
118,29,124,83,182,84,19,45,197,26,196,6,1,195,214,24,46,204,51,17,
81,178,110,162,1,146,32,99,118,92,48,96,88,55,110,235,200,216,191,163,
74,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,81,200,200,12,
200,200,200,200,200,200,200,200,200,200,200,200,200,209,77,200,200,200,200,200,
200,200,200,200,200,200,200,200,243,86,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,226,104,
49,33,173,40,154,188,73,183,113,132,62,165,33,124,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,51,44,140,228,11,66,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,200,
200,200,200,200,200,200,200,200,200, };
static unsigned short stb__times_15_latin_ext_t[560]={ 15,70,135,70,44,57,70,94,16,16,126,
116,126,135,135,82,82,82,94,70,94,94,70,94,82,82,16,94,126,135,126,
82,16,105,116,82,116,116,116,82,116,116,105,116,116,116,105,70,116,16,116,
82,116,105,105,105,116,116,116,16,82,1,126,135,135,116,70,126,57,126,94,
105,105,105,1,105,105,126,126,126,105,105,126,116,105,126,126,126,126,105,126,
16,16,16,135,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,15,105,44,
82,126,105,16,16,135,82,126,126,135,135,82,135,135,116,126,126,135,94,30,
135,135,126,126,126,82,70,70,94,57,57,44,30,30,30,116,30,44,44,57,
44,44,44,44,44,105,30,16,16,16,1,16,126,70,1,30,30,16,57,105,
82,82,82,82,82,82,82,126,82,82,82,82,82,94,94,82,105,82,105,82,
70,70,82,94,126,126,70,70,70,94,1,1,30,70,94,57,94,1,82,16,
70,1,70,16,82,16,70,57,70,116,70,57,94,57,94,57,94,57,94,57,
57,1,30,30,57,30,57,30,30,30,30,116,94,57,105,70,116,57,116,44,
16,44,126,94,16,1,16,44,16,126,44,44,44,16,82,94,116,94,116,94,
30,94,44,94,30,94,94,57,94,30,94,1,94,30,57,57,126,44,94,57,
94,57,94,30,57,1,70,30,94,30,57,30,30,30,57,116,105,16,105,44,
105,16,105,16,70,16,70,44,105,1,70,16,16,44,44,94,44,105,44,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,70,105,105,16,
105,105,105,105,105,105,105,105,105,105,105,105,105,44,126,105,105,105,105,105,
105,105,105,105,105,105,105,105,44,126,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,44,70,
44,105,1,70,1,57,1,44,1,1,1,1,1,1,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,1,1,1,57,1,70,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105, };
static unsigned short stb__times_15_latin_ext_a[560]={ 54,72,88,108,108,181,169,39,
72,72,108,122,54,72,54,60,108,108,108,108,108,108,108,108,
108,108,60,60,122,122,122,96,200,157,145,145,157,132,121,157,
157,72,84,157,132,193,157,157,121,157,145,121,132,157,157,205,
157,157,132,72,60,72,102,108,72,96,108,96,108,96,72,108,
108,60,60,108,60,169,108,108,108,108,72,84,60,108,108,157,
108,108,96,104,43,104,117,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,54,72,108,108,108,108,43,108,
72,165,60,108,122,72,165,108,87,119,65,65,72,125,98,54,
72,65,67,108,163,163,163,96,157,157,157,157,157,157,193,145,
132,132,132,132,72,72,72,72,157,157,157,157,157,157,157,122,
157,157,157,157,157,157,121,108,96,96,96,96,96,96,145,96,
96,96,96,96,60,60,60,60,108,108,108,108,108,108,108,119,
108,108,108,108,108,108,108,108,157,96,157,96,157,96,145,96,
145,96,145,96,145,96,157,140,157,108,132,96,132,96,132,96,
132,96,132,96,157,108,157,108,157,108,157,108,157,108,157,108,
72,60,72,60,72,60,72,60,72,60,154,120,84,60,157,108,
108,132,60,132,60,132,88,132,74,132,60,157,108,157,108,157,
108,131,152,107,157,108,157,108,157,108,193,157,145,72,145,72,
145,72,121,84,121,84,121,84,121,84,132,60,132,93,132,60,
157,108,157,108,157,108,157,108,157,108,157,108,205,157,157,108,
157,132,96,132,96,132,96,60,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,157,169,169,108,169,169,169,169,169,
169,169,169,169,169,169,169,169,157,115,169,169,169,169,169,169,
169,169,169,169,169,169,169,168,117,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,157,96,72,60,157,108,157,108,157,108,157,
108,157,108,157,108,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,157,96,193,145,157,108,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_15_latin_ext_BITMAP_HEIGHT or STB_FONT_times_15_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_15_latin_ext(stb_fontchar font[STB_FONT_times_15_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_15_latin_ext_BITMAP_HEIGHT][STB_FONT_times_15_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_15_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_15_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_15_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_15_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_15_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_15_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_15_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_15_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_15_latin_ext_s[i] + stb__times_15_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_15_latin_ext_t[i] + stb__times_15_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_15_latin_ext_x[i];
            font[i].y0 = stb__times_15_latin_ext_y[i];
            font[i].x1 = stb__times_15_latin_ext_x[i] + stb__times_15_latin_ext_w[i];
            font[i].y1 = stb__times_15_latin_ext_y[i] + stb__times_15_latin_ext_h[i];
            font[i].advance_int = (stb__times_15_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_15_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_15_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_15_latin_ext_s[i] + stb__times_15_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_15_latin_ext_t[i] + stb__times_15_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_15_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_15_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_15_latin_ext_x[i] + stb__times_15_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_15_latin_ext_y[i] + stb__times_15_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_15_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_15_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_15_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_15_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_15_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_15_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_15_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_15_latin_ext_LINE_SPACING
#endif

