// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_16_latin_ext_BITMAP_HEIGHT        158
#define STB_FONT_times_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_16_latin_ext_NUM_CHARS            560

#define STB_FONT_times_16_latin_ext_LINE_SPACING          10

static unsigned int stb__times_16_latin_ext_pixels[]={
    0x98000000,0x0002b800,0x00000000,0x1f400aa0,0x100bdd70,0x12a00357,
    0x39000860,0xc8017400,0x2002a801,0x0012000c,0x01c98001,0x26948ea0,
    0xaaaa9801,0x1005100a,0x12e4b80d,0x801ea92e,0x19803308,0x44018888,
    0x80184404,0xc8801aa8,0x256c403c,0x93002c40,0x44016200,0x200ea006,
    0xf9001898,0xb5900339,0x948a6a00,0x2037014c,0x401f880b,0x310c4009,
    0x401f8310,0x3980d409,0x08091550,0x8048aa80,0x218048aa,0x800ca801,
    0x80020009,0x0004c001,0x09155005,0x200ee220,0x1d001108,0xb82cc948,
    0x70001c01,0x20000017,0x2c12601f,0x0f3262c8,0x83770795,0x1e543cc9,
    0x3ca87993,0x40179710,0x64c0bcb8,0xa81e543c,0x710132bb,0x3cc98179,
    0xcb881e54,0x21e64c0b,0x0b2e23ca,0x3cc98f2a,0x7dc41e54,0x216a4a41,
    0xaa55542a,0x40cd54c0,0x8a6028a8,0x4fc29829,0xb81640ba,0x83e44c83,
    0x1f20e706,0x8683e434,0x85d50bd8,0x85d50bd8,0x5b10d07c,0x2f622744,
    0x07c85d50,0x2a17b10d,0x0683e42e,0xf90d03f7,0x0ee441a0,0x89095252,
    0xb8629b0c,0x32e05d92,0x3629b100,0x33e2ec45,0x403a0fdb,0x35c3b86a,
    0x2e073048,0x20d70906,0x0fa85c84,0xb83ea172,0xb0b90906,0x7d42e41f,
    0x64241ae0,0x1ae0fa85,0x40fe9824,0x40906b84,0x8489083d,0x331e8ee4,
    0x2e0798fc,0x0b725c06,0x4be1f8b7,0x2e1e6078,0x884835c0,0x906b81ba,
    0xf1120d70,0x17c53e05,0x241ae4f8,0x9f190be2,0x727c0be2,0x05f1120d,
    0x0906b93e,0x7091baa6,0x01f8120d,0xf1cc3212,0x53e853c4,0x700fec0b,
    0x22dc2dc9,0x03d5361f,0x5c0641f1,0x3e2d0906,0xb84835c0,0x01fa8906,
    0x7407eabd,0x2a241ae5,0xaaf46e1f,0x35cbd01f,0xe80fd448,0x98241ae5,
    0x2e125e89,0x41e20906,0xa9c44890,0x6c439725,0x9b5500ba,0x70b725c0,
    0x4cb21f8b,0x02e1e607,0x471120d7,0x84835c1f,0x0fb8906b,0x403eedb0,
    0x2241ae6d,0xb6c551fa,0x5cdb00fb,0x00fb8906,0x04835cdb,0x424fe633,
    0x16a0906b,0x521264a4,0x273ca8ea,0x55200320,0x2dcb700f,0x0e87e2dc,
    0x5c2d403e,0x884835c3,0x835c1eab,0x98906b84,0x3e69d01f,0x835c9d01,
    0x21cd7cc4,0x3a03f34e,0x26241ae4,0x35c9d01f,0x7d433048,0x0906b84a,
    0x2a4a40f2,0x26791485,0x3f6288ac,0xd1cc1dff,0x2e3db107,0x56fc5b85,
    0x2b80ec2b,0x483d44c8,0x541e8744,0x20f50907,0x1f883e84,0xa87e20fa,
    0x899d0907,0x220fa1f8,0x4241ea1f,0x2a1f883e,0x90660907,0x120f50bf,
    0x4c94806c,0x43803886,0xcc893313,0x77006ecc,0x009f8770,0x32036091,
    0x0aa0fc43,0xf107e2d5,0x1f882a83,0x207d4154,0x3207d44c,0x0aa0fc44,
    0xa89903e6,0x3e22640f,0x07d41541,0xa83f1132,0x0db05502,0x442a83f1,
    0x73252058,0x05c40e20,0x12228897,0x1b8405f1,0x007e0dc2,0x73009817,
    0x07977b30,0x819b7dd1,0x203cbbd9,0x203cbbd9,0x303ebce9,0x2607d79d,
    0x5703cbbd,0x2605557b,0xb303ebce,0x74c07977,0x7b303ebc,0x37620797,
    0xbd982c40,0x00bd83cb,0x44029a52,0x881aaaaa,0x0dc2cdec,0x859f036c,
    0x05fcc2cf,0x20044260,0x0001101a,0x11000440,0x88004400,0x08011000,
    0x00440022,0x02200088,0x20000440,0x00004400,0x00000042,0x6c43fa80,
    0x000000cf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01400000,0x200007b1,0x1362005d,
    0x00080000,0x26e00443,0x01ea802a,0xe9803730,0x4024c002,0x01020021,
    0x40000950,0x030c0312,0x082015c0,0x00005d80,0x06cdc07e,0x55400baa,
    0x3937003b,0x6402dc00,0x56c019cf,0x80195804,0x270059c8,0x222ce403,
    0x1005904c,0x3360075b,0x400d801c,0x4fc05d6a,0x0eb6205b,0xcda80680,
    0x015d5404,0x0001f37b,0x002e8182,0x02080041,0x88801880,0x00ca803b,
    0x208028c4,0x02b98008,0x82641822,0x0032a002,0x01800dc4,0x00013288,
    0x098012a0,0x41005300,0x30142600,0x8aaa3355,0x98017429,0x32a29bbb,
    0x10bcb89c,0x77730397,0x2f2e2053,0x26eee600,0x950f3262,0x2b32e607,
    0x2a1e64c2,0x19aa983c,0x2b32a12e,0x2a0b2e22,0x5997303c,0x14c55505,
    0x3ca87993,0x26298aaa,0x81e543cc,0x2629bbb9,0x41e543cc,0x7102acca,
    0x32570179,0x1545f12e,0x640d4cba,0x4d917224,0x641543f8,0x7b117224,
    0x9320baa1,0x683e45c8,0xc87a8970,0x32570d07,0x47712e2e,0x681fb84c,
    0x887a8970,0x0f90aa2f,0x1545f11a,0x4c8341f2,0x20f91722,0x11323b86,
    0xf0baa17b,0x24b71e63,0x5c81c974,0x320f98b0,0x582e4245,0x907d42e4,
    0x20d7160b,0x70706b84,0x4c7e120d,0x903e25c7,0x8481fd30,0x96e0706b,
    0x70906b84,0x4835c24b,0x6b8b05c8,0x4481f090,0x3a0fa85c,0x713f0b53,
    0x3e0375d0,0x5c7d0103,0x40fe120f,0x27c0be20,0x0d70207f,0xb8013e12,
    0x2a7d0906,0x83ba25c5,0x246ea981,0x4fc0027c,0x0906b838,0x1ae0e27e,
    0x4081fc24,0x1dd0906b,0x3e05f10c,0x202eb624,0x6de80bdb,0x64003f30,
    0x214cff26,0x1fa801f9,0x007e6bd0,0x7cc4835c,0x2e0ccc41,0x75b10906,
    0x7fcc4b81,0x97a26603,0x2620fcc4,0x017b7019,0x6dc120d7,0x8906b80b,
    0x0d7001f9,0x20ffe612,0x64bd01fa,0xe827c400,0x00fa84da,0x32a63e60,
    0x001f5095,0x55b601f7,0x20d7000f,0x7dc0fd44,0xc84835c3,0x36212e00,
    0xf31981ef,0x703f5127,0x413e207f,0x3e20906b,0x5120d704,0x41ae001f,
    0x43dfb104,0x6cdb00fb,0x1c81dfff,0x887d15d0,0x5df4002f,0xf8848f98,
    0xd01f9802,0x5c00be29,0x82f88906,0x4835c0f9,0x21dfffd8,0x21ba605b,
    0x112bea19,0x401f305f,0x120d701c,0x20d701c8,0xb8017c44,0x6e980906,
    0x727407e6,0x41212662,0x43fc8df9,0x3ae0104e,0x2740b7a4,0x7c41f408,
    0x2a0413a1,0x30bb0907,0x0907a81f,0x6c526627,0x81f30a1e,0x6c2fe419,
    0x1200f985,0x240907a8,0x3a120f50,0x907a8104,0x3a0f9850,0x8971f883,
    0x00553128,0x107ea017,0x7b8be205,0x85107ea0,0x2a2640fa,0x3e21441f,
    0x1fcc1541,0x83f103e6,0x8a225c2a,0x21a2342a,0xf986d82a,0x26207cc3,
    0x507e202a,0x202a9885,0x541541f8,0x3e21441f,0x22341541,0x93207d46,
    0x2e2cdec8,0x4097004f,0x402bbde9,0x3a6024c5,0x9d302bbd,0x37a607d7,
    0x77b302bb,0x566c4079,0x77b304da,0x9bd91079,0x5ef47885,0x06ec41cb,
    0x566c4162,0x04fb84da,0x83cbbd98,0xbd9804fb,0x37a603cb,0x79d302bb,
    0x2ef7a079,0xebce981c,0x26000003,0x0008800b,0x02200101,0x08800440,
    0x88001100,0x00011000,0x001102b8,0x00220020,0x00011000,0x22000880,
    0x20011000,0x00088008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c010a80,0x2201bacb,0x0182200c,
    0x0d4640bb,0x33333326,0x30c0001c,0x101ea800,0x5c000004,0x4055000d,
    0x2a066640,0x10882acc,0xc8055101,0x23100801,0x02211018,0x3ca87993,
    0x806004b8,0xf702bfca,0x09500ebf,0x5503dbb0,0x216b1059,0x0aa1f32b,
    0x5e5403cc,0x9c884b82,0x8099b505,0xb9803f5b,0x201d004a,0x1dc0f42b,
    0x412b6099,0x01660574,0x2f20736a,0xc8256c05,0x002c0d07,0x20288407,
    0x28075fff,0x30c02600,0x98606130,0x0144060f,0x103103b8,0x80298044,
    0x04100518,0xcfa80c40,0x903e07a2,0x5a207260,0x1b003008,0x03910d17,
    0x0d701c98,0x98008812,0x2a1e64c1,0x3afffc3c,0x32a0b2e2,0x819aa983,
    0x17971029,0x26007cc0,0x9502accb,0x2e200559,0xbcb880bc,0x2e1e6540,
    0x70f32a3c,0xccccb879,0x3d0ba0cc,0x2e0c1dd0,0x20cccccc,0xbccc985d,
    0x0a77880a,0x9930b6d3,0x5c399999,0x36d30906,0x901b5102,0x3ff21a0f,
    0xd03f7075,0x10bb2570,0x50bd88bb,0x803e605d,0x1dc3d44b,0xf3029899,
    0xd50bd883,0x2cc1fc85,0x21660fe4,0x5d13e20c,0x3ff981e8,0x227c4190,
    0x917b85db,0x2079f01d,0x32b81538,0x06b8aa1f,0x202a7109,0x6b87d8c8,
    0x1d72a090,0x21207f4c,0x16e0f31f,0x301f50b9,0x1c1ae01f,0x4d89207c,
    0x85c81f10,0x322f40fa,0x80c8bd00,0x217436c1,0x3dfb101e,0x43236c18,
    0x9f13d45d,0xa981dd30,0x3e618550,0x8906b860,0x390550a9,0x20d70515,
    0xa9839c04,0xa9f4246e,0x17c4b705,0x00f984f8,0x0774009f,0x1f104b83,
    0x44f817c4,0x4c0532f9,0xf500532f,0x01e85d01,0x1f50374c,0x89ea3468,
    0x83fd103f,0x2601f11f,0x120d700f,0x3e07c47e,0x241ae038,0x44cc1ce0,
    0x2b62125e,0x7d4b700b,0x1f30bd01,0x99883f30,0xb81ffcc1,0x7d41f104,
    0x1f70bd01,0x091f7009,0x0ba07f10,0x0f98503d,0x0db83f88,0x1bb37a89,
    0x3d07e5c0,0x00f9807c,0x87a120f5,0x81157c0f,0x7380906b,0x24fe6330,
    0x72dc0064,0x261b601f,0xb81fa80f,0x1efd883f,0x20f8825c,0x20db00fb,
    0x1dd000ee,0x75c0bb00,0xd11a07a2,0xbec81760,0x827e7d40,0x43d16ce0,
    0x201f300f,0x741541f8,0x21fb03e1,0x80906b82,0x7d433073,0xdfffd84a,
    0x07e65b81,0x33f62274,0x7cc17c40,0xb71ba600,0x1f983e20,0x01ae09d0,
    0x0fb806b8,0xd03d0220,0xf703977b,0x7a86c801,0x4e5303f5,0x00f87a0d,
    0x5ecc01f3,0x7c3d03cb,0x40f7fc40,0x7380907a,0x85fc8330,0x77093313,
    0x01f883e8,0x7cc2ec03,0x443e6140,0x40f881ed,0x701f883e,0x2035c00d,
    0x16e182f9,0x9816403d,0x1646182f,0xe886c9ea,0x99f42bcc,0x001f300f,
    0xf33e8091,0x22009981,0x4e01541f,0x46d82a83,0x3211444b,0x13207d41,
    0x3f98074c,0xd11a07cc,0x34ccc0b8,0x813207d4,0x01ae006b,0x4283509d,
    0x7416a01e,0x2ab31a84,0x417a3d40,0xf3bf7048,0x4003e607,0x3bf7009e,
    0xb300387f,0x27007977,0x2206ec43,0x166f6445,0x674c0b3e,0x201403eb,
    0x84daacd8,0x5c1cbbde,0x037f708c,0x80faf3a6,0xe9802fe9,0x99bf902f,
    0xbc808fb9,0x640dc40a,0x47dcccdf,0x5fecc19a,0x0103bf10,0x3f620104,
    0x01b9800c,0x40018082,0x00420008,0x80000020,0x40008008,0x20088008,
    0x440020ba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99500000,0xbcca8079,0x07333200,0x04300618,0x00026c00,
    0xb8803200,0x403ca82c,0x984b801c,0x800abccc,0x0f72604a,0x00000004,
    0x32611098,0x406401bc,0x00aa0049,0x2e179730,0x555300bc,0x4c2f6205,
    0x3555501e,0x201d6c40,0x58003ad8,0x20970000,0x81fb803a,0xd802c406,
    0x3b22f700,0x00ef2200,0x339f7095,0x6401f880,0x95b00f9c,0x24c00fb8,
    0x03a002c8,0x1ee1fadc,0x87993097,0x542e43ca,0x0bcb880f,0xca802540,
    0x20044000,0x5e543cc9,0x2600a009,0x060240fe,0x89ea0080,0x4018604f,
    0x03b8884a,0x0a130050,0x03d40c98,0x44005014,0x50546201,0x0f901d4f,
    0xf105f11a,0xea85ec49,0xc980a202,0x8800abcc,0x2ccccccb,0x880683e4,
    0x46ea9802,0x26014404,0x44f505b6,0x4014403f,0xb805104a,0x00cccccc,
    0x5e5c4051,0x99101ea0,0xa80de64c,0x11e5c3cc,0xabd41797,0x44835c03,
    0x64bd01fa,0xd700fa85,0x1d917b80,0x443fb100,0x804835c3,0xe899806b,
    0x80d70125,0x2f501538,0x35c00dd9,0x06b82540,0x409f1064,0x207d406b,
    0x5c4c807a,0x20fe400f,0x540fa859,0x06b804bf,0xbb00fa89,0x827c0be2,
    0x89ea01fd,0x1f9b804f,0x0241ae04,0x46600fec,0xfd8093f9,0x0aa15301,
    0x4013f3ea,0x825401fd,0xdb0601fd,0x2601fd80,0x5c03d40f,0x5e803d44,
    0x207cc064,0x5c01fdfa,0x01f98906,0x7407ea7d,0x204daa85,0x100fe27a,
    0x5c0c3f17,0xdaa80906,0x5f50cc04,0x026d5409,0xf503e23f,0xb55007ea,
    0xaa84a809,0x01f5004d,0xf3026d54,0x4b807a81,0x2f9803d4,0x503e6053,
    0x6b807f6f,0xf107f090,0x36c03ee1,0xf500faa4,0x17003766,0x70b535f1,
    0x2a90120d,0xf906600f,0x00faa40b,0x9ea07c3d,0x0faa406c,0x7d5212a0,
    0x201fc400,0x3e601f54,0x2e183d40,0xf7003d44,0x207cc091,0x5c07f67a,
    0x81f30906,0x7407e64c,0x207d1cc4,0x8804fcfa,0x499af99c,0x4c0906b8,
    0x82a80fa3,0x1f47306d,0xf503e1e8,0x747305e8,0x47312a03,0x202ec03e,
    0x7cc0fa39,0x70543d40,0x74007a89,0x503e600e,0x7a81fd8f,0x2b3a6090,
    0xf883e81d,0x37666641,0x803f57a8,0x061f999c,0x990241ea,0x3620dd99,
    0xcc82c40d,0x43d06ecc,0x42ff660f,0x66641df8,0x912a06ec,0x5c0dd999,
    0x6666400f,0x4c1f306e,0x46eccdfd,0x2003d44b,0x307cc06b,0x3fee17fb,
    0x5507e21c,0xf505fc80,0x22444c81,0x327a82f8,0x1f88e206,0x550be208,
    0x05f11220,0x24404730,0x4cfa0be2,0x8806e00f,0x4a817c44,0x305f1122,
    0x2244305f,0x00f982f8,0x512e0171,0x035c060f,0x039803e6,0x03cbce98,
    0x3a607d50,0x81b83ebc,0x2f47a86d,0x2e0fc458,0x1e5ef4c0,0x00db0370,
    0x40dc01d1,0xf9dfb86d,0x1b81a603,0x5c9506d8,0x84e86d81,0x1b606e1a,
    0x02c803e6,0x0a87a8b7,0x0f980d70,0x44007a20,0x03750000,0x21fd4022,
    0xfb30cfd8,0xc877e217,0x99bf911e,0x200440db,0x67ec43fa,0xfa80ea00,
    0x2067ec43,0x01b88020,0xcfd887f5,0x3ea79530,0xc867ec43,0x27dcccdf,
    0x67ec43fa,0x3017fb10,0x4c7b6207,0x06eccdfd,0x36205fd3,0x007500bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x102a80c9,0x40288004,0x0618002b,0x0002f2e2,
    0x0884c081,0xb9805d30,0x010c29bb,0x02b80193,0x05500204,0x32601b70,
    0x302ccccc,0x00055997,0x40002ee0,0x0002cccb,0x80e66640,0x500e85ad,
    0x1ae0099b,0x01f30b30,0x7d4032ee,0x883d6a80,0x095b05ce,0x4c806c64,
    0xbfda9722,0x4405ad82,0x02e74405,0x2ae60074,0x0911ea04,0x2607a897,
    0x1454400f,0x2aaa4e80,0x2415d41a,0x40555540,0x40088260,0x3fb000b9,
    0xc8050180,0x2203e602,0x01510151,0x02040326,0x2212c172,0x80110882,
    0x400a8801,0x80208018,0x835c187a,0xcb801403,0x225a8400,0x839c0bcb,
    0x2028800b,0x9710bcb8,0x400a2017,0x97104daa,0x42f2e217,0x01abccc9,
    0x6664c1f3,0x32e22ccc,0x9999930b,0x20175459,0x65c4103f,0x9999930b,
    0x66664c59,0x333262cc,0x33262ccc,0x2e62cccc,0x859950bc,0x027c0c7a,
    0xcccccc98,0x5701ae02,0x301f50a2,0x70051017,0x540fa80d,0x401ae00f,
    0x3ea01f54,0x3ee07d40,0xf981dd50,0x51223d40,0x2447a81f,0x01f980ba,
    0x47a81f50,0x1223d448,0x3d4488f5,0xd90f7122,0x8b533f50,0x0ccc41f9,
    0x6c0911ea,0x359f501f,0x854c1f30,0xfd80482a,0xf303e601,0x200fec01,
    0x7cc0fa39,0x1ea07cc0,0x40f983f2,0x07cc187a,0x05d061ea,0xf98007d4,
    0x2a0c3d40,0x0c3d4187,0x0f5061ea,0x533f50b9,0xfb81fa8b,0xa80c3d43,
    0x80ba04da,0xf88fc0f9,0xb55005c0,0x2607cc09,0x09b5500f,0x06ecccc8,
    0x40f981f3,0x263fa87a,0x2063d40f,0x063d40f9,0xf10726ba,0x503e6005,
    0x0c7a818f,0x1ea063d4,0x0b90f503,0x17c418f5,0x31ea07cc,0xd00faa40,
    0x3a07cc05,0x407103e1,0x3e601f54,0x54807cc0,0xf112201f,0xf981f305,
    0x25f83d40,0x4cfd40f9,0x540f985a,0xce85a99f,0x104e86ba,0x4fd40f98,
    0x99fa85a9,0xa99fa85a,0x5a99fa85,0xc9999fa8,0x6c107a85,0x7d40f985,
    0x47305a99,0x4c05d03e,0x01f0f40f,0x03e8e609,0x80f981f3,0x0dc0fa39,
    0x207cc36c,0xe83d40f9,0x3f503e65,0x81f30b53,0xe85a99fa,0x83f503e2,
    0x2a07cc28,0xfa85a99f,0x9fa85a99,0x99fa85a9,0xaaafa85a,0xa87a85da,
    0x1f30fe60,0x05a99fa8,0x20dd9999,0xd03e602e,0x405c07c3,0x306ecccc,
    0xc80f981f,0xfa86eccc,0x3067ec43,0x540f981f,0xfb12f887,0x2063d417,
    0x063d40f9,0xe980f8ba,0x0f982bbd,0x1ea063d4,0xa818f503,0x643d40c7,
    0x6667ec45,0xaacd886c,0x40c7a84d,0x7417c448,0x7d03e602,0x10e203e6,
    0xf982f889,0x12207cc0,0x81c005f1,0x207cc0f9,0x260fb87a,0x4c107a82,
    0x2083d40f,0x2b803e2e,0x0f503e60,0x54107a82,0x083d4107,0x201721ea,
    0x200d8804,0x40dc107a,0x302eb86d,0xf9dfb81f,0xd81b8903,0x7cc0f986,
    0x036c0dc0,0x7cc11790,0x1ea07cc0,0x08d987d5,0xf982a1ea,0xd0543d40,
    0x0b5007c5,0x21ea07cc,0x82a1ea0a,0x1ea0a87a,0x5c87a82a,0x1008bd80,
    0x543d403d,0xfd887f50,0x7fb1000c,0x20802081,0x67ec43fa,0x2217fb10,
    0x87f50bfd,0x8800cfd8,0x17fb10bb,0x6cc2ff62,0x501ddccf,0x333f6217,
    0x2ff626cc,0x9999fb10,0x7d46fccd,0x22037103,0x9fb10bfd,0x7ec4d999,
    0x3626cccc,0x226ccccf,0x26ccccfd,0xfd30bfd9,0x202b8805,0x33f6203a,
    0x00006ccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x02f775c4,
    0x00000000,0x0016665c,0x6cc00000,0x0573b000,0x66665dd4,0x2283d82c,
    0x2ae01881,0x0597104a,0x0860884c,0x13710408,0x2e031017,0x1b700011,
    0xeb802630,0x65cc0900,0x4ccc44ab,0x81cbb880,0x475c01bb,0x0d45c45d,
    0x100d5554,0x203d70d7,0x42b802ea,0x20b584c8,0x389763d8,0x32e0ecdc,
    0x5206a80d,0x0363900b,0x6f4c4bd8,0x546de884,0x6a86bbcf,0x303eeb98,
    0x256445d5,0x3e01f5e6,0x43b50700,0x05b6985b,0x1ce1a695,0x206d47c0,
    0x6664c1fa,0xf5302ccc,0x3e203f03,0x6406009b,0xb9018444,0x182045c8,
    0x230002c8,0x202c3e01,0x401880c9,0x007c5d01,0x734880c0,0xf800030c,
    0x07cc1a80,0x054e2274,0x4c0f8964,0x30e1f003,0x88f50d33,0x82fba884,
    0x159d501f,0x970aea60,0xf82a854c,0x53032e42,0x82ba9857,0x037501b9,
    0x4cc55dfc,0x2a215c40,0xd037501b,0x8ae207c5,0x750550a9,0x15315c40,
    0x3eaa20aa,0xb06d8480,0x1542a61f,0x5445a974,0x1f55101b,0x513ae203,
    0xf553030f,0xd02e27e0,0x22903935,0x447e25c4,0xd907e60f,0x12290b53,
    0x36191229,0xb05b8e43,0xc82fe61f,0x0f8b47b1,0x1745b8e4,0x23d8e41f,
    0x3c81f11f,0x1f8f6390,0xfa95c1f1,0x82f41c40,0x7c47e1fb,0x217d5740,
    0x52b81f16,0x7e4ae01f,0x39031ea0,0x6d5fc1f2,0x1eef7a0f,0x897063d1,
    0x1fa83e1e,0x222d4f64,0x18f4431e,0xd136d56c,0xa7d642f8,0x44626849,
    0x7c6887e3,0x9a0f8ba2,0x40f87a18,0xd0c4d03c,0x7c1f07c3,0x827c0540,
    0x0f87a1fa,0x712f8974,0x0f83e0fc,0x3ea2f8d0,0x334c5a99,0x22e87e0f,
    0xfb81f12e,0x87a25c0c,0xb90be20f,0x2067dc0c,0x816a0cfb,0x25b26c6a,
    0x2d40c9fb,0x543d5710,0x0df9a6c6,0x1e816a1f,0xb507903e,0x2a1f0f40,
    0x6c1207c6,0x0f41f705,0x9362e81f,0x1aa1eab8,0x4e8d501f,0x716a67ea,
    0x21f83cc9,0x80f8ba4c,0x3a25c6e9,0xc87f03e1,0x4374c085,0x411e66e9,
    0x7ccf20f9,0x1e60bba0,0x30f43a21,0x4f01e41f,0x7c3d0479,0x23cc1e40,
    0xf50f87a0,0x207107c1,0x1e8bd07b,0xa5c5d03e,0x7d43d0e8,0xb1e603e0,
    0xd9063d47,0x321f83cc,0x260f8ba2,0x744b8f12,0x0f981f33,0x4a6171b2,
    0x23c4a678,0x17c288ce,0xfb8be63d,0x4c67c50d,0xf07e2d52,0xf8b00f45,
    0x4cf6298c,0xcf81e40f,0x7ccfa298,0x2a1f8be0,0x1f10fa00,0xe81f33e8,
    0x45aa593a,0x03f17c1f,0x1ea1e8ba,0x0f31f984,0xf174687e,0x21d574c1,
    0x7cefdc5b,0xffbcca83,0x2ba66ccc,0x0eaba63a,0xc881bfd3,0x6efe42bc,
    0x2a0efe89,0x2fba25fe,0x2f3220cd,0x541aeb82,0x4efdc5fe,0xea826c3f,
    0x7cefdc5f,0x93f37aa3,0xddaec804,0x3f9dfb80,0x88af2be6,0x2a0cdbee,
    0x9304fcde,0xa87a8577,0x0ff37ee0,0xf986eb72,0x8084fa8c,0x01041ed8,
    0x02008000,0x04008010,0x40001004,0x08040000,0x403dd302,0x10804100,
    0x20060008,0x80000020,0xb1010010,0x20d9999f,0x00008010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44260000,
    0x2d407900,0x006dc000,0x08dc04c6,0x12e03e88,0x9a5c4254,0x5e5c40cc,
    0x75079930,0x188c4003,0x01318891,0x81e403d3,0x440c504b,0x40c081cb,
    0x21710509,0x3600db80,0x2e205902,0x1880abcb,0x12f60031,0x880d8058,
    0xc882f9cd,0x1f5e604a,0x320fbae6,0x401b00d9,0x52afb80d,0x640fa85d,
    0x44954987,0x2150a84c,0x175aa0fa,0x05882ce4,0x83be882c,0xde81fbac,
    0x0f8cc80e,0x220efe54,0x40b104ac,0x4c5f3058,0xb85bc80e,0x1100c984,
    0x46640600,0x0006184b,0x030440c0,0xa8088011,0x3e635c2f,0xf0f435c0,
    0x49242641,0x882000f9,0x04400880,0x16c104a8,0x44000098,0x00c06180,
    0xea83980c,0x0c40e440,0x42a60dcc,0x2a854c2a,0x2aa334b8,0x02a63551,
    0x06ea0375,0x1ba80dd4,0x0f503750,0x207cc1f5,0x8fa3c46b,0x333b2e4b,
    0x3730f14e,0x5cc06e60,0x51037301,0x54c38037,0x37510550,0x51037510,
    0x03751037,0x20103751,0x00dd42f8,0x1f87b0c8,0xf11f81f1,0x7c434b81,
    0x32244f51,0xb71c8b71,0x1c8b71c8,0x8b71c8b7,0x262f887a,0x1ea35c0f,
    0x8e165c9b,0x1ec32343,0x4321ec32,0x43d8643d,0x99101f16,0xd03e23f0,
    0x3e2d03e2,0xb40f8b40,0x0f8b40f8,0x26666662,0x2dc724e9,0xdb55b0a6,
    0x3d03e1e8,0x6412e07c,0xd105c7e4,0x2f8d12f8,0x8d12f8d1,0x22f8d12f,
    0x7cc5f07a,0xb1ea35c0,0x2530f5c9,0x2ab62c29,0x36d56c6d,0x5b1b6ab6,
    0x3f1c4db5,0x1e89f730,0x87e3883e,0x23887e38,0x21f8e21f,0xafc87e38,
    0x16eaaaaa,0x49b12f8d,0x1f0f405a,0x9703e1e8,0x3ae55e60,0x35536354,
    0x53635536,0x46aa6c6a,0x0fc1ea4d,0x446b81f3,0x24d89f47,0x24ddcddb,
    0x05a816a3,0x405a816a,0x2a01eab8,0x881f0f46,0x55c41eab,0x0f55c41e,
    0x7107aae2,0x80fdc3d5,0x24d8d54f,0xe811e64b,0x7c3d03e1,0x75d025c0,
    0x0f9835f1,0x7907ccf2,0xf33c83e6,0x20f99e41,0x3e21ea3c,0x0b703e60,
    0x4ba8fc3f,0x3cc10924,0xf3047982,0x4411e608,0x2c403d0e,0x3a20f87a,
    0xe87443d0,0x10f43a21,0x0e887a1d,0x541fc43d,0x1e41f32f,0x288ce897,
    0x740f99f4,0x04b81f33,0xf836c7ae,0x3a2f87a2,0x3e1e8be1,0x3a2f87a2,
    0x39ac5ea1,0x3b8b87cc,0x4b8d12c8,0xce830924,0x44674288,0x21446742,
    0x5aa288ce,0xb0aa01f8,0x16a83e67,0x1f8b543f,0xd50fc5aa,0xf16a87e2,
    0x2ec0eb83,0x12e1e8be,0xfb81bfd3,0x6fdc3f9d,0x1025c3f9,0xcc881d4b,
    0x15e6442b,0x910af322,0xbcc88579,0x3a2ff662,0x45fec43c,0x97b104de,
    0x871c5b81,0x37fa60f9,0x206ff4c0,0x74c0dfe9,0x2fba20df,0x779f30cd,
    0x47f3bf70,0x10cdbee8,0x2219b7dd,0xd10cdbee,0x3a219b7d,0x6d40cdbe,
    0xcc883dbb,0x0082dc2b,0x20410082,0x00201ed8,0x04008010,0x40010020,
    0x02002000,0x02087b62,0x00200402,0x20000801,0x00010400,0x00000000,
    0x88080088,0x000001ed,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88c40000,0x3005d101,0x204a801b,
    0x88132bba,0x43b80ccc,0x182881ba,0x17971022,0x32a0b2e2,0x55997303,
    0x01751710,0x00015771,0x066aa600,0x10a6eee6,0x4c2c4373,0x21e6542b,
    0x2aa80cc9,0x7950f326,0x20559950,0x2e01aba9,0x5e409914,0x00367205,
    0x101b0039,0x6427445b,0x688b03cc,0xbd30481b,0x2e07e60b,0x8970681f,
    0xdbcfa87a,0x07ccae0f,0xb51005d5,0x85d92b89,0x4917224c,0x51c8913e,
    0x1d80fc89,0x3e43b2b8,0x1323b868,0x3607306e,0x1c881320,0x0600c110,
    0xd85c80c0,0x1100a20f,0x0d4795a8,0x07c40310,0x21207f4c,0x87e0706b,
    0xe81f1a2f,0x4190d802,0x05c8f31f,0x20b734cb,0x0be23468,0x5c087412,
    0x481f0906,0x75ccc45c,0x12e04438,0x261542a6,0x7710550a,0x2ea05733,
    0xc85f128b,0x80ff24f8,0x9656a2b8,0x80dcc038,0x6ea980f8,0x20027c24,
    0x22cd361f,0x2201740f,0x22d4fa07,0x3218103f,0x16c7a8a3,0x3e035176,
    0x2120d700,0x165060ee,0x2a9b88a7,0x7c47e097,0x20f88fc0,0x16e7f378,
    0x7d43ea57,0x532f46e1,0x7b1c83fd,0x02436362,0x7c41ec32,0x25e89980,
    0x2620fcc4,0x4b21f819,0x2ba07c7a,0x57dc41c9,0x20bad881,0x344001f9,
    0x0f61f892,0x544241f3,0x906b82bf,0x1507ff30,0x7d462075,0x871974bc,
    0x43d03e1e,0xacf89c0f,0x2eb9e27b,0x6d8aa3f5,0x86268990,0x15d46a18,
    0x221b6ab6,0x7f31980f,0xf703f512,0x88743f07,0xce81f12f,0x207886ba,
    0x001f500c,0x376341b8,0x34e81fa9,0x059f5107,0x6c4120d7,0x0264a1ef,
    0x272e1745,0xe81f0f44,0xf77103e1,0x64d5aa03,0xe8735f34,0x02d4f104,
    0x47ad3388,0x80f8805a,0x112bea19,0xf01f305f,0xefb8575b,0x1f1740fa,
    0x3ff60788,0x005f11df,0x54c3c428,0x091f507a,0x20d701e8,0x31374c04,
    0x2e8260d3,0x3e1e825c,0x441f0f40,0xf5045f0e,0x4ce8f235,0x4cd00fc4,
    0x52e48047,0x8808f33c,0x7e41980f,0x0f985d85,0x1f0009f8,0xf103e2e8,
    0x249989c0,0x3060104e,0x7f01ec0f,0xf500e809,0x1f30a120,0x73a8bc9c,
    0xe825c2e8,0x33e81f33,0x1bd3541f,0x3d1fc451,0x113207cc,0x2633e154,
    0x6d6a0b82,0x98a233a2,0xb0550699,0xf987f30d,0x3e001f80,0x881f1740,
    0x22889707,0x441441fa,0x1dc07d41,0x54c07ee0,0x3e2288be,0x22341541,
    0x2e151c46,0x416e1740,0x5c3f9dfb,0x3e23f9df,0x20efe9bd,0x5c2bbec8,
    0x442aabda,0xfea83cdf,0x46c43885,0x706ff4c6,0x1bb1037f,0x59b10588,
    0x17f309b5,0x2e87f300,0x220f303e,0xe982cdec,0x8b902bbd,0x00ea60f9,
    0xcaaa81a2,0x5decc0ef,0x977bd03c,0x75357103,0xb10df981,0x1008203d,
    0x0c040804,0x40088203,0x20300800,0x00402018,0x01100100,0xdf980000,
    0x3f223fa8,0x0440000b,0x00040040,0x20041002,0x00110008,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2ea60000,0x5e5c401a,0x4b889500,0x0e075070,0x2a01c0ea,
    0x33332a1a,0x014c5552,0x4c0aaa80,0x9cca82a1,0x9710bcb8,0x06e26e23,
    0x3bba0079,0x2f33262e,0x4c1e401a,0x99300bcb,0xdd707637,0x0de64cbd,
    0x0c304730,0x99999710,0x954dc459,0x07306e2a,0x0baa17b1,0x507230e6,
    0x01709303,0x22035093,0xeccce81d,0x51545f12,0xb11c805d,0xd90b63c8,
    0x98aa1fc4,0x7647bacf,0x09999800,0x0eea87dc,0x403dc0b0,0x889b10fb,
    0x07dc0999,0xb833f2e0,0x7ec403dd,0xbcfa8e21,0x2f22e974,0x85c8713b,
    0xda8080fa,0x224c0e20,0x48893038,0xb02607a0,0x0ba125b8,0x790741f0,
    0xc83e616c,0x1f174245,0x06e60038,0x103b21ea,0x5403d401,0x81ba8387,
    0x2022007a,0x1f9b8019,0x9280ba04,0x5f114b65,0x203113e0,0x4498124b,
    0x01912604,0x42440132,0x02e8389f,0x1e449aec,0x7dc7d05b,0x0f8ba120,
    0x41d4e626,0x87a87b0c,0x713712fa,0x4051f503,0x4720a27a,0x9803d45b,
    0xb8805302,0x0ba061f8,0x1e8ac854,0x7407ea31,0x8d4441c5,0x1b92601a,
    0x20299260,0x2e03eacf,0xe80bdb82,0xee883532,0x20b64c83,0x14cff26c,
    0xc881f174,0x56c3eabe,0x2bf266da,0x67cd7e1a,0x03fa87ba,0xf1a203d4,
    0x10373d45,0x809b109b,0x5a9af88b,0x664502e8,0x00fb941e,0x54424cdb,
    0x2a244710,0x8595388a,0x324490aa,0x2c07e61f,0x25d04f88,0x81db701c,
    0x9815d34c,0x095ca98f,0x6a80f8ba,0x2205a92e,0x9ba099fb,0x0f703e2e,
    0x46a80f50,0x01b9ea4d,0x8812e097,0x499af99c,0x8c4442e8,0x4c2659ac,
    0x0f49d01f,0x40d70640,0x0b807464,0x1f47a9ae,0x20390244,0x25901bae,
    0x65efe46d,0x98bbe81e,0x8cf9848f,0x2e6983fa,0x7a811e65,0xf8ba4f88,
    0x2a01f2e0,0x7907cc07,0x04b803d4,0x4cce4097,0x1bf3061f,0x2e7b3ae4,
    0xf883e874,0x54254f31,0x0d41a2e2,0x22e2982c,0x82c83e26,0xde81202b,
    0x6c3d1e06,0x275c0208,0x00b805bd,0x6745b9a6,0x5c3d4288,0x20f8ba1f,
    0x3d4107a8,0x21e8be18,0x04b8307a,0xf88e2097,0x880aa081,0x502e619b,
    0x3e24c81f,0x6d490930,0x1c1c42fc,0x17e6d490,0x42c0745b,0x2ba02a98,
    0x06c3d04d,0x8be2001d,0x204b807b,0xfd316e6a,0x7547a81b,0xa81f1743,
    0x21ea0b87,0x0af3220a,0x5b8150f5,0xf1160b70,0x03a20b83,0x0ba9ab88,
    0x07d79d30,0x0b815595,0x57b090d0,0x88d00b83,0x848819ac,0x457404fb,
    0x2aab983e,0x98b0007c,0x9005cc04,0x103db13f,0xbb99fb30,0xfa8cf983,
    0x3337f663,0x337f666d,0xb30106ec,0x88dd99bf,0x0f6c41ed,0x6fe447b2,
    0x01546dcc,0x00440010,0x0c040300,0x80606662,0x00088000,0x7f91bf30,
    0x04000020,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17713cb8,0x6542f326,0x441b982c,0x0884c111,0x45753000,
    0xccccccc9,0x7775c041,0x82a854c5,0x5b02eeee,0x13098140,0x0201ba88,
    0x45c808dc,0x01abccc9,0x2f3261b1,0x0d88a280,0x22262b88,0x33333261,
    0x4733262c,0x98aa3cb8,0x801abccc,0x45d14c2b,0x267f221b,0x8641ed99,
    0x6c25ec3d,0x9999a84b,0x72452199,0x8ae23e65,0x0999881b,0x981f11f8,
    0x04880999,0x1df403e6,0x2b80f8b4,0x4c3eeb98,0xa87dc3bb,0x2e15c0ee,
    0x50736607,0x3a7b1c87,0x223d46aa,0x0ee37c44,0xd50fb877,0x88fe601d,
    0x4c496e4d,0xedaaaafc,0x236d56c2,0x80c980c8,0x18f44601,0x5c60f986,
    0x542a62cf,0x103e1e82,0x00060375,0x23881930,0x0167d41f,0x1ea0c303,
    0xfa8183b2,0x303b80aa,0x2a006268,0x12f98187,0x321ea009,0x5c3dc80f,
    0x206a7e24,0x2d45c87a,0x22553710,0x00c1b89b,0x98067dc3,0x3f03d00f,
    0x7c3d03e2,0x220f8b40,0x2a22aaaa,0x2aa22aaa,0x755c42aa,0x4dc42e81,
    0xa82981b8,0x0a62fa87,0x989d53f5,0x816a2982,0x00c7a829,0x540091f7,
    0x45c3fa87,0x33225c3d,0x8b90f504,0x79f50479,0x1eeb3e69,0x1ba60c03,
    0x4357f953,0xf0f40be8,0x883e1e81,0x362987e3,0x264d8a64,0xd0e89362,
    0xcf985d03,0x226c47ba,0x3e1aafc9,0x27a89b15,0x889b11fa,0x2211e64d,
    0xa99fa84d,0x0007f405,0x2a97e0f5,0xb994b87b,0x7d4199bf,0xe85daaaa,
    0x4174288c,0x20183e2e,0x311e2531,0x7d4133f5,0x81f0f42c,0xb881f33e,
    0x46b821ea,0x35c11ae0,0x740fc5aa,0x703e2e82,0x099fb889,0x3d44b9ba,
    0x5c25c5f3,0x714c67c4,0xb533f509,0x1302fb80,0x22bd07a8,0xf0970f63,
    0x1721ea03,0x5d037fa6,0x0307c5d0,0x03aae98c,0x207a01f3,0xbf703e1e,
    0xe87447f3,0xf300f981,0xd103e601,0x2e819b7d,0x9703e2e8,0x49f10f50,
    0x1f93d44b,0x2a25c25c,0x5425c5fe,0xf77300c7,0x87a8dd01,0xd99992f8,
    0x327b625b,0x20ccdfcc,0x2a05c87a,0x22e82e81,0x6418060f,0x7403e601,
    0x0f99ec0a,0x16a87308,0x102f883f,0x00be205f,0x17417412,0x7a84b81f,
    0x512e1fb8,0x4b81997f,0xb84884b8,0x88107a84,0x50e217a4,0x2aa1f70f,
    0xf801ceaa,0x0b90f501,0x05d046d4,0x40307c5d,0x1f502d41,0xbf70bae0,
    0x46cc07f3,0x19b7dd10,0x24d8326c,0x740326c1,0x3a175c0a,0x50b703e2,
    0x2dc3ea8f,0x70b701ea,0x5b81d10b,0x6c0a87a8,0x8530fe60,0xb01f547a,
    0x819f7007,0xfd30bfd9,0xf985d405,0x2a33e60d,0x26666a3f,0x402e2199,
    0x4000cfd8,0x06ea0020,0x35d5fdc0,0x5cd757f7,0x2206babf,0x8cf9802b,
    0x87b623fa,0x1ddccfd9,0xfd98f6c4,0x21ed880b,0x21d41ed8,0x3f621ed8,
    0x3aa6cccc,0x42ffe60d,0x6e67ecc0,0x001ec01d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x59950bcb,0xb985e5c4,0x417970bc,0x9301bcc9,0x105e4409,0xccc98397,
    0x261b882b,0x1ccccccc,0x03599993,0x33260288,0x99700abc,0x32a19999,
    0x931e5c3c,0x26399999,0x1880eeee,0x420004c0,0x220a62a9,0x7505732b,
    0x03730ae3,0x05733771,0x1aa83751,0x702a6355,0x1f50d90f,0xb825c7b8,
    0x81fdc00f,0x7e5e41fc,0x25e8bdc3,0x4cae1fa8,0x33dc550f,0x2035c09b,
    0x901d917b,0x3f227c41,0x23dc2cc1,0x4066662a,0x800d4029,0x1a8fa3c9,
    0x7b3dd864,0x22bdb9e4,0x9bc47b0c,0xf168b73f,0x27a8fc41,0x5c87a848,
    0x53d40f98,0x5403d407,0x20fd886d,0x4f51ae08,0x430fc2f9,0x47a860f9,
    0x03fb01f9,0x309f13d4,0xc8bd06d8,0x4c187a80,0x3500a602,0x6a82ca80,
    0x6fccd10e,0x3f8d16ec,0x4e36d56c,0x227bacf8,0x7c9907e3,0x90f50171,
    0x7a81f30b,0x807a8075,0x7cdc2f9a,0x4f51a600,0x980f42f9,0xf98f500f,
    0x204daa81,0x500fe27a,0x4cbe601f,0x2044f502,0x00a604d8,0x03971035,
    0x354289f8,0xd8d501f1,0x771016a4,0x755c403f,0x75cabcc1,0x26667ea0,
    0x540f985c,0x07a804bf,0x4646c9a8,0xf50f200f,0x980f43e4,0x533f500f,
    0x07d5209d,0x01bb37a8,0x3ee01fc4,0x267ea048,0x54c4b81c,0x552aacba,
    0x2a555795,0x83cc801d,0x308be0f9,0x8f31e41f,0x117c3a20,0xe81e8744,
    0x501af8ba,0x0bb5555f,0xfdfa81f3,0x5403d401,0xf1371f89,0x57d42c01,
    0x301e80ac,0x2abea01f,0x3a3983ec,0x09f9f503,0x3ba00bb0,0x32abea00,
    0x0a604b81,0x16540350,0x4be07f10,0x3e288ef9,0x119d07a2,0x11bd3545,
    0x81f8b545,0x540db1eb,0x0f985c87,0x201fdbd4,0xbb1a807a,0x0b807c52,
    0x01e807a8,0x11ea01f3,0xecccc87f,0x07eaf506,0xd7000fb8,0x20227a80,
    0x500a604b,0x01793003,0x36f6a01b,0x3220efea,0xdfe982cc,0x3a6f7e20,
    0x2fba20ef,0x752c40cd,0x42e43d40,0xfb3d40f9,0x50c1ea03,0x7c473e63,
    0x0f501a80,0x03e603d0,0x912f43d4,0x27a82f88,0x305f306c,0x0f501ae0,
    0x414c0b70,0x3ccddccb,0x40041c40,0x10010040,0x00002040,0x643d4001,
    0x3d40f985,0x21ea07f6,0x26d86a0a,0x330d41f9,0x80fc03d4,0x98f500f9,
    0x1b606e3f,0x9d0bd1ea,0x01ae0350,0x1ed880f5,0x00000000,0x00000000,
    0x00000000,0x74c2ff66,0x42ff622f,0xff70bfd9,0x337f6639,0x433666ec,
    0x219f912a,0x30fffffa,0x3ea017fb,0x067ec40c,0x3b333f66,0xfb10fea3,
    0x42ff6619,0x9bf91df8,0x3a60fb99,0x17fb302f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x262b8800,0x2675550a,0x7530550a,
    0x2a037505,0x300028bb,0x1098008c,0x83713701,0xa81753b9,0x777712a9,
    0x51c99a87,0x80282839,0x02ba8bba,0xb8838033,0x19711d44,0x49319244,
    0x21ccc1a9,0x310c0bb9,0x20133333,0x09999998,0x2a18c4ee,0x7b1c8130,
    0x23cf88fc,0x1481f11f,0xb8b71c89,0x32ae1f52,0x70c84acc,0x4b0072a3,
    0x2eb3e60c,0x98576c86,0x6c333bcf,0x3eab3e64,0x72447baa,0x93e80e83,
    0x7700cc03,0x24c37083,0x3e6a8ea3,0x51a376a9,0x449148b6,0x5555534f,
    0xaa986435,0xb964aaaa,0x1f4b63f5,0xf87a189a,0x441f0f40,0x3e34431e,
    0xb175cf12,0x54ee0641,0x9702ca85,0x07c5d166,0x42e81674,0xe8ba1ae0,
    0x379103e1,0xb06c6ce4,0x22220175,0x849c4088,0x2a1220d9,0x598e9661,
    0xca983659,0x0e224512,0x27005900,0x2a040008,0x40f87a05,0x9f703e1e,
    0x55363541,0x0a699356,0x03f1798e,0x4be05e4c,0x80f87a3e,0x203b00f9,
    0x3a2d80f9,0x313203e1,0x6dd859b9,0x77777750,0xa8298645,0x90531224,
    0x129538a4,0x4c647b3f,0xccca8cc3,0x00733ccc,0x7980000a,0x207c3d04,
    0x3a603e1e,0x53c83e66,0x0d4f235f,0x0f63d11c,0x474c7930,0x0f87a0e8,
    0x03b05cb8,0xe8b605d1,0x913703e1,0x362666dc,0x530004da,0x435110c8,
    0x10eb2649,0x4c0c4104,0x000d4189,0x59700000,0xcf80b218,0x7ccba298,
    0x20f99f40,0x22f8f129,0x8f47f11e,0x5620d448,0xb0595058,0x7c5d0ae3,
    0xd83e8d40,0x5b064d82,0x0dc3f0f4,0x0e362e71,0x5c07d15b,0x51088082,
    0x5530a981,0x00000003,0x50000000,0x886f32a1,0x317faa05,0xfb87f3bd,
    0x2ba63f9d,0x15e6443a,0x44577d91,0x982dcadd,0x072e2511,0x7cc3894c,
    0x3aa3fa8c,0x6fcc7f90,0x9aeefee0,0x8cfa8cf9,0x424003fa,0x0bfc8dfa,
    0x00000000,0x00000000,0x10000000,0x04020060,0x01008201,0x46061808,
    0x0a800a18,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ddd5000,0x5ddddddc,0x99999910,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06662000,0x01111111,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_16_latin_ext_x[560]={ 0,1,0,0,0,0,0,0,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,1,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,1,0,-1,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_16_latin_ext_y[560]={ 12,2,2,2,1,2,2,2,1,1,1,3,10,8,
10,1,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,14,2,5,1,5,1,5,1,5,1,1,
1,1,1,5,5,5,5,5,5,5,3,5,5,5,5,5,5,1,1,1,7,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,12,5,2,2,3,2,
1,2,2,2,2,5,5,8,2,1,2,3,2,2,2,5,2,6,11,2,2,5,2,2,2,5,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,2,-1,-1,-1,-1,-1,2,1,2,2,
2,2,2,1,5,5,2,2,2,2,2,2,2,2,1,2,2,2,2,2,2,4,5,2,2,2,2,2,1,2,
0,3,-1,2,2,5,-1,2,-1,2,-1,2,-1,2,-1,1,2,1,0,3,-1,2,-1,2,2,5,-1,2,-1,2,
-1,2,-1,2,2,1,-1,-1,2,1,-1,2,0,3,-1,2,2,1,-1,5,2,1,-1,2,2,1,5,-1,-1,2,
1,2,1,2,1,2,1,-1,2,2,5,-1,2,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,2,
-1,2,-1,2,2,5,-1,2,2,3,-1,1,2,3,-1,2,0,3,-1,2,-1,1,-1,2,2,5,-1,2,-1,2,
-1,-1,2,-1,2,-1,2,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,5,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,2,-1,2,-1,
2,-1,2,-1,1,-1,0,-1,0,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__times_16_latin_ext_w[560]={ 0,3,5,7,7,12,11,2,5,5,6,8,3,5,
2,5,7,5,7,7,7,7,7,7,7,7,2,3,8,8,8,6,13,11,9,10,10,9,8,11,11,5,6,11,
9,13,12,10,8,10,10,8,9,11,11,14,11,11,9,4,5,4,7,9,4,7,8,6,8,7,7,7,8,4,
5,8,4,12,8,7,8,8,5,6,5,8,8,11,8,8,7,5,1,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,7,8,8,
1,6,5,11,5,7,8,5,11,9,6,8,5,4,3,8,8,2,3,4,5,7,11,11,11,6,11,11,11,11,
11,11,14,10,9,9,9,9,5,5,5,5,10,12,10,10,10,10,10,6,10,11,11,11,11,11,8,7,7,7,
7,7,7,7,10,6,7,7,7,7,4,4,5,5,7,8,7,7,7,7,7,8,7,8,8,8,8,8,8,8,
11,7,11,7,11,8,10,6,10,6,10,6,10,6,10,10,10,8,9,7,9,7,9,7,9,7,9,7,11,7,
11,7,11,7,11,7,11,8,11,8,5,6,5,6,5,6,5,5,5,4,11,7,6,6,11,8,8,9,4,9,
4,9,6,9,6,9,4,12,8,12,8,12,8,9,10,7,10,7,10,7,10,7,13,10,10,5,10,5,10,5,
8,6,8,6,8,6,8,6,9,5,9,7,9,5,11,8,11,8,11,8,11,8,11,8,11,8,14,11,11,8,
11,9,7,9,7,9,7,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,10,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,12,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,5,5,10,
7,11,8,11,8,11,8,11,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,7,14,10,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_16_latin_ext_h[560]={ 0,11,5,11,13,11,11,5,15,15,7,9,5,2,
3,12,11,10,10,11,10,11,11,11,11,11,8,10,8,4,8,11,15,10,10,11,10,10,10,11,10,10,11,10,
10,10,11,11,10,13,10,11,10,11,11,11,10,10,10,13,12,13,6,2,3,8,12,8,12,8,11,11,11,11,
15,11,11,7,7,8,11,11,7,8,10,8,8,8,7,11,7,15,15,15,3,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,13,11,8,10,
15,13,3,11,5,8,4,2,11,1,5,9,6,6,3,11,14,3,4,6,5,8,11,11,11,11,13,13,13,13,
13,12,10,13,13,13,13,13,13,13,13,13,10,14,14,14,14,14,14,7,11,14,14,14,14,13,10,12,11,11,
11,11,11,12,8,10,11,11,11,11,10,10,10,10,12,10,11,11,11,11,11,7,8,11,11,11,11,14,15,14,
12,10,13,11,13,10,14,11,14,11,14,11,14,11,13,12,10,12,12,10,13,11,13,11,13,10,13,11,14,14,
14,14,14,14,13,15,13,13,10,11,13,10,12,9,13,10,13,14,13,7,11,15,14,14,13,14,7,13,13,13,
14,10,11,10,11,10,11,14,10,13,10,14,10,10,11,11,13,10,14,11,14,11,11,8,13,10,13,10,13,10,
14,11,14,11,13,10,14,11,14,13,13,12,10,10,14,11,13,10,14,11,14,12,14,11,13,10,14,11,13,14,
13,13,10,13,10,13,10,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,8,10,10,10,10,10,10,10,10,10,10,10,10,10,13,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,11,13,10,14,
11,14,11,14,12,14,13,14,13,14,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,14,13,11,14,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_16_latin_ext_s[560]={ 255,130,187,122,198,71,174,184,68,74,135,
159,212,83,251,10,109,72,55,174,243,56,67,75,101,189,253,228,177,216,66,
178,11,98,88,167,232,206,143,112,1,13,92,19,31,41,99,13,63,13,110,
229,78,217,197,118,216,131,121,156,237,155,160,89,247,234,91,1,1,215,151,
159,142,250,53,92,116,115,83,33,124,133,101,26,136,17,186,242,92,83,107,
80,3,5,238,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,255,185,246,
209,49,1,1,180,242,238,199,58,229,83,1,99,205,168,178,168,238,109,13,
248,225,173,193,75,55,43,31,24,86,111,143,160,182,202,232,101,128,148,118,
66,37,7,1,237,157,221,198,175,130,149,75,128,45,186,152,234,10,225,173,
37,223,215,207,199,191,45,223,193,158,150,142,134,188,168,151,200,64,142,78,
70,62,54,46,151,41,18,9,17,247,1,59,22,243,95,13,193,25,127,43,
64,112,240,138,217,160,186,49,53,160,82,72,152,138,84,192,158,170,22,82,
1,183,207,242,35,71,86,180,25,158,92,10,100,112,218,222,152,76,225,60,
92,43,251,97,45,98,43,243,103,142,215,210,200,215,190,27,208,1,180,117,
22,171,98,133,229,36,142,86,209,24,200,105,201,50,166,130,195,187,250,132,
247,47,30,220,109,66,144,161,54,83,151,61,150,215,214,61,71,1,224,1,
77,54,182,195,228,171,121,225,86,123,34,128,94,116,140,103,172,111,170,119,
233,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,231,45,45,246,
45,45,45,45,45,45,45,45,45,45,45,45,45,16,206,45,45,45,45,45,
45,45,45,45,45,45,45,45,73,8,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,35,166,
194,182,141,242,31,8,106,28,209,123,118,206,86,237,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,33,98,58,26,164,37,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,
45,45,45,45,45,45,45,45,45, };
static unsigned short stb__times_16_latin_ext_t[560]={ 1,88,146,88,32,100,75,146,1,1,146,
135,146,154,146,75,88,135,135,88,124,100,112,112,112,100,112,124,135,146,146,
100,1,135,135,100,124,124,135,100,135,135,100,135,135,135,100,112,135,47,135,
100,135,100,100,112,124,135,135,32,61,47,146,154,150,135,75,146,75,135,100,
100,100,88,1,112,75,146,146,146,100,100,146,146,124,146,135,135,146,112,146,
1,1,1,150,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,1,100,32,
100,146,124,1,32,146,100,146,146,146,154,112,154,146,135,146,146,146,112,32,
146,146,146,146,146,112,112,112,112,47,47,47,47,47,61,112,61,61,61,61,
61,61,61,61,47,124,1,1,1,1,16,17,146,100,1,1,1,17,47,124,
75,88,88,88,88,88,75,135,124,88,88,88,88,124,124,124,124,75,124,88,
88,88,88,88,146,146,88,88,100,75,17,1,17,61,124,61,75,61,124,17,
100,16,75,16,75,16,75,61,75,112,75,75,112,61,100,61,75,61,124,61,
88,16,16,16,32,32,16,61,1,61,61,124,75,61,112,61,135,61,112,61,
32,61,124,88,1,32,32,47,16,146,47,47,47,16,112,88,112,100,112,88,
32,112,47,112,16,124,112,88,75,47,112,32,75,32,75,75,135,32,100,47,
112,47,124,16,75,17,75,32,124,32,75,32,32,32,61,124,124,32,75,47,
124,17,88,16,61,16,75,32,124,16,88,32,16,32,32,124,47,124,32,124,
75,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,88,124,124,1,
124,124,124,124,124,124,124,124,124,124,124,124,124,75,135,124,124,124,124,124,
124,124,124,124,124,124,124,124,47,146,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,47,88,
47,124,1,88,17,100,1,75,1,47,1,32,1,32,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,1,1,47,100,1,100,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124, };
static unsigned short stb__times_16_latin_ext_a[560]={ 58,77,94,116,116,193,180,42,
77,77,116,130,58,77,58,64,116,116,116,116,116,116,116,116,
116,116,64,64,130,130,130,103,213,167,154,154,167,141,129,167,
167,77,90,167,141,206,167,167,129,167,154,129,141,167,167,218,
167,167,141,77,64,77,108,116,77,103,116,103,116,103,77,116,
116,64,64,116,64,180,116,116,116,116,77,90,64,116,116,167,
116,116,103,111,46,111,125,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,58,77,116,116,116,116,46,116,
77,176,64,116,130,77,176,116,92,127,69,69,77,133,105,58,
77,69,72,116,173,173,173,103,167,167,167,167,167,167,206,154,
141,141,141,141,77,77,77,77,167,167,167,167,167,167,167,130,
167,167,167,167,167,167,129,116,103,103,103,103,103,103,154,103,
103,103,103,103,64,64,64,64,116,116,116,116,116,116,116,127,
116,116,116,116,116,116,116,116,167,103,167,103,167,103,154,103,
154,103,154,103,154,103,167,149,167,116,141,103,141,103,141,103,
141,103,141,103,167,116,167,116,167,116,167,116,167,116,167,116,
77,64,77,64,77,64,77,64,77,64,164,128,90,64,167,116,
116,141,64,141,64,141,94,141,79,141,64,167,116,167,116,167,
116,140,162,114,167,116,167,116,167,116,206,167,154,77,154,77,
154,77,129,90,129,90,129,90,129,90,141,64,141,99,141,64,
167,116,167,116,167,116,167,116,167,116,167,116,218,167,167,116,
167,141,103,141,103,141,103,64,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,167,180,180,116,180,180,180,180,180,
180,180,180,180,180,180,180,180,167,122,180,180,180,180,180,180,
180,180,180,180,180,180,180,179,125,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,167,103,77,64,167,116,167,116,167,116,167,
116,167,116,167,116,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,167,103,206,154,167,116,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_16_latin_ext_BITMAP_HEIGHT or STB_FONT_times_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_16_latin_ext(stb_fontchar font[STB_FONT_times_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_16_latin_ext_BITMAP_HEIGHT][STB_FONT_times_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_16_latin_ext_s[i] + stb__times_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_16_latin_ext_t[i] + stb__times_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_16_latin_ext_x[i];
            font[i].y0 = stb__times_16_latin_ext_y[i];
            font[i].x1 = stb__times_16_latin_ext_x[i] + stb__times_16_latin_ext_w[i];
            font[i].y1 = stb__times_16_latin_ext_y[i] + stb__times_16_latin_ext_h[i];
            font[i].advance_int = (stb__times_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_16_latin_ext_s[i] + stb__times_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_16_latin_ext_t[i] + stb__times_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_16_latin_ext_x[i] + stb__times_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_16_latin_ext_y[i] + stb__times_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_16_latin_ext_LINE_SPACING
#endif

