// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_20_latin_ext_BITMAP_HEIGHT        228
#define STB_FONT_times_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_20_latin_ext_NUM_CHARS            560

#define STB_FONT_times_20_latin_ext_LINE_SPACING          13

static unsigned int stb__times_20_latin_ext_pixels[]={
    0x20004c40,0x00000098,0x00031000,0x00000000,0x00000000,0x00000000,
    0x70006600,0x40266621,0x00880142,0x10a81415,0x503d5001,0x40036c01,
    0x7fc400ed,0x400b6000,0x3f2003f8,0x005c4004,0x3fa005a8,0x032b2202,
    0x2003fe80,0x3f6006fa,0xf10004ff,0xb97c4005,0x1d300aae,0x4037003b,
    0x1902c9e8,0x413201cc,0x0003a00c,0x2e72003a,0x00131005,0x9d88012a,
    0x00ae001e,0xba800988,0x00d4c069,0x001d3750,0x0800f676,0x025c0001,
    0x200b7040,0x03a804fd,0x03205fc8,0x19024039,0x26000660,0x02618801,
    0x20136b90,0x00a14002,0x5c802f98,0x0a22809b,0x5004dae4,0x504c0144,
    0x026d7200,0xb8000280,0x20031005,0x00a8803d,0x040b7032,0x0f2e0190,
    0x04020200,0x40021100,0x0000002a,0x00108800,0x00084400,0x0c400408,
    0x00021100,0x5c220000,0x0bffda85,0x9d0bbee2,0x6e5f74c0,0x42ec0c81,
    0x21dddcdb,0x0093880c,0x22eeb366,0x6ee6dc2a,0x2fff6a1d,0x50bbee20,
    0xefea8735,0x4c3bff71,0x2a0302fd,0x2e20bffd,0x3fae22ef,0x17ffb52e,
    0x4c177dc4,0x05bdcbdc,0xbbd77991,0x05ffed41,0x4405df71,0xdcccfffb,
    0x72fc883f,0xd813e60b,0x5d705c81,0x20643f88,0x3e634c4d,0x25640321,
    0x3e6075c0,0x07e634c5,0x40ec09f3,0x4f98388b,0x41dc17dc,0x23eed9bc,
    0x407604f9,0x027cc2fb,0x905f303b,0xf305d10f,0x3604f983,0x10f9d001,
    0x2dcbe607,0x03203f88,0x40be60f2,0x770321fb,0x321b84d8,0xf300f100,
    0x6c3fd107,0x1fc41b84,0x19710190,0x09f11ba0,0x3ea7a81b,0x1901fc41,
    0x7f107ee0,0x13e60640,0x70274468,0x3203f883,0x07caa800,0x2dcbe203,
    0x03203f88,0xf01fa032,0xb122064d,0x5001883f,0xb07e805f,0x20fecdf1,
    0x901fc418,0xfb806601,0x6c2c3f41,0x7f10fe26,0x1fb80640,0x81901fc4,
    0xc82a00fd,0x3e20c01f,0x56003203,0x3e20087c,0x0fe20b72,0x440e60c8,
    0xc87f406f,0x3fea3700,0x0bfb0003,0xe8e437c4,0x807ff50f,0x503203f8,
    0xf101f95b,0x5517fc49,0x03e21f90,0x806407f1,0x01fc41fb,0x4007f819,
    0x3f88007f,0x25500320,0xf101c47c,0x1fc416e5,0x98398190,0xc8fec05f,
    0x7fd41a80,0x3326002e,0xb8bf300f,0xffa87f62,0x407f102e,0x07f1740c,
    0x24fab9ba,0xc8ce880d,0x3203f884,0xf883f700,0x5f883203,0x5417e200,
    0x0fe22ccc,0xf92c00c8,0x4409d999,0x3e20b72f,0x0b203203,0x1fd80bf3,
    0xb104a819,0xd80a8bff,0xbf304f88,0x107f624c,0x7f10bffb,0x442a0640,
    0x563f704f,0x4dc0b17d,0xc80fe202,0xf883f700,0x5f983203,0xb81be600,
    0x901fc44f,0x6ccddc01,0x5f101d47,0x01fc416e,0xf88b901b,0x0c87f406,
    0x3fa6026c,0x6cb10324,0x162ff107,0x4fe981fa,0x01b01fc4,0x2209d773,
    0x55f548cf,0x26676e05,0x3603f880,0xf883f700,0x0df03603,0xf303fc40,
    0x3603f887,0x36aab600,0x4be20287,0x409f105b,0x0fd0bb05,0xbb0326f8,
    0x327e8828,0x05f50dc0,0x3e0363fa,0x11fa20a6,0x2dc2c09f,0x0dfec09d,
    0x7fd40bbf,0x3e20dfff,0x0fb81604,0x90b027c4,0x0ff4001f,0x27c43f98,
    0x320dc0b0,0xb87c4007,0x0581ba05,0x207f509d,0xd90321fa,0x064d9058,
    0x1bf3333a,0x7d40f7cc,0x74364161,0x43f31606,0x91bea04e,0x988d40bf,
    0xb03743ca,0x06e83dc0,0x9813ea16,0x7cc17ea0,0x41606e83,0x5107c858,
    0x502dcd10,0x2e03b05f,0xe883d903,0xb0ee0643,0x50645d09,0x3603f705,
    0x361f440e,0x2fa82e84,0xa9fcc1d8,0x89f101cf,0x20d102f9,0x6c17d419,
    0x505bb541,0x3203b05f,0xfb81983f,0xfa83f984,0x05901d82,0x10d881fb,
    0x4f5c9319,0xdcdea809,0xa816202d,0xc81dcaee,0x377206c0,0xb0643dbc,
    0x2ea13e20,0x81dcacda,0x03dbcddc,0x0b7737aa,0x0f64f7ec,0x4c0d03b0,
    0x03ba9bdf,0x05bb9bd5,0x54019bf5,0x402ddcde,0x02ccdfeb,0x3aeafb66,
    0xb9bd500c,0x3bf9105b,0x333bfee2,0x077625fd,0x18039995,0x31004c00,
    0x02885c01,0x50b804c1,0x020fec09,0x13040131,0x01001800,0x98010080,
    0x3002cedb,0x18001100,0x80018800,0x00c00098,0x00000000,0x00000000,
    0x2a000000,0xeffa82ef,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5b000080,0x000003d1,
    0x20004020,0x04001ba8,0x00000004,0x2002eb80,0x40b80a0a,0x0001300b,
    0x801b7000,0x4001000b,0x0266621a,0x8005b4c8,0x4efec001,0xb5688009,
    0x02ed3a00,0x73712f20,0x855dc403,0x2f6003b9,0x27e401db,0x2004fc80,
    0x1000ebe8,0x3e20573d,0x3ee0be22,0x009f9006,0x2f8803f0,0x099efd80,
    0x2a22fd88,0x223a03ea,0xb7db3006,0xc888803d,0x2e53005f,0x12e79000,
    0x2e18ca80,0x03620d51,0xdb300388,0x1e9d9805,0x00f46c40,0x400730b8,
    0x040406fb,0x201e46c4,0x2001e8d8,0x10010029,0x440bf911,0x2207b02f,
    0x5d700333,0x13003f98,0x00098400,0x82e80018,0x0360513d,0x018801c0,
    0x50a01428,0x50001800,0x83000041,0x800a1402,0x00000018,0x1ec0be20,
    0x17cc0040,0xdd301fb8,0xe9803b97,0x4c01dcbe,0x801dcbee,0x02fa81f9,
    0x854a6076,0x2ef32203,0x01c40dde,0x774c0000,0x64c01dcb,0x885bdcbd,
    0x00000440,0x65f74c00,0x7102201d,0xbf7105fd,0x3d817c45,0x4417ffb5,
    0x03f42efb,0x85d70df1,0x85d703f8,0x85d703f8,0x3fb203f8,0x982fe82c,
    0x21f92d84,0x982e8819,0x301fea1f,0x2e217ff9,0x175c1cff,0x17cc0fe2,
    0x25f913e4,0x3ff52fc8,0xffea97cc,0x0bbf220b,0x43f885d7,0xff102fc8,
    0x5f103603,0x04f98f60,0x80df1076,0x40be60ff,0x817cc1fb,0x817cc1fb,
    0x41b201fb,0x15c2fc9c,0x0e26c8b2,0x20dc09d1,0x20bf007c,0x702f987d,
    0x204f983f,0x5f117cc6,0x88b107dc,0x986a80ff,0x983f702f,0x03bfa02f,
    0x205f1036,0xc80fe23d,0x3a02fcc0,0xdf01fa1f,0x237c07e8,0xd037c07e,
    0x0fdc7309,0x93a35c1b,0x200fe419,0x5f803dc1,0x80fd0fb0,0x5007ec6f,
    0x5f117c41,0x50371fc4,0xfd01b09f,0x17c46f80,0x190bf5b0,0x47b02f88,
    0x303203f8,0x11fd80bf,0x10fe80df,0x10fe80df,0x80fe80df,0x643b82f8,
    0x7c43f1a4,0x001fe0e1,0x17e019ee,0x01be23ec,0x003fc1fd,0xb85f0be2,
    0x21fd8167,0x406f883a,0x80be20fe,0x40c89f75,0x447b02f8,0xf103203f,
    0x3e66e80d,0xf98fec05,0xf98fec05,0x540fec05,0x2a1fa80f,0x3e479963,
    0x2a0bf112,0x23ee2ccc,0x05f80fed,0x405f98fb,0x00bf11fd,0x217c2f88,
    0x22039bf8,0x3e60b16f,0xf10fec05,0x45fb2c05,0xd817c40c,0x0c80fe23,
    0x327c07e8,0x31fd80bf,0x31fd80bf,0x81fd80bf,0x6c7f606c,0x36a6b960,
    0x0df302e5,0x8bee27dc,0xaaaef83f,0x2fcc7eaa,0x2fcc7f60,0x5f0be200,
    0xb801bd90,0xbf301cbf,0x3e21fd80,0x23fd1602,0xd817c40c,0x0c80fe23,
    0x3f502fa8,0x3fa037c4,0xfe80df10,0xfe80df10,0x7ec04e80,0xbfa8dc0d,
    0x86574c9b,0x0fe607f8,0xdf84e8f7,0x47d99999,0x07f406f8,0x2f8800df,
    0x02fc417c,0x3e204fd8,0xf107f406,0x3fe22c05,0x817c40c8,0xd80fe23d,
    0xe983d700,0x37c07e82,0xe8df01fa,0x1f837c07,0x1cc1fc80,0x82f26177,
    0xf980ff44,0x21763dc3,0xfd0fb05f,0x07e46f80,0x21dfc880,0x2003b02f,
    0x03f401fa,0x1dfc89be,0x1bdf30b0,0x6c0efe44,0x05813e23,0x06edef54,
    0x3f503fa8,0x3f503fa8,0x3f503fa8,0x32080f30,0x2e000c84,0xf982fd40,
    0x21763dc3,0xf50fb05f,0xf507ea07,0x22004c09,0x5400b00f,0x81fd401f,
    0x202441fa,0x881ff705,0x6e87b00a,0x7fe40160,0x220f6401,0x883d903e,
    0x883d903e,0xe809703e,0x00320932,0x427dc06e,0x363dc3f9,0x0fb05f85,
    0x07d107b2,0x00660ff2,0x001d41a2,0x3d9003f5,0x06983e88,0x881f903c,
    0xfa87b05d,0x2a001d82,0x775400ff,0x75401dca,0x5401dcae,0xd81dcaee,
    0xb95c00d8,0x7302b200,0xbed98039,0x3e40ceba,0x20bf1176,0x2bbaa07e,
    0x7f5c01dc,0x32202ccd,0x177a6498,0x2005f700,0x01dcaeea,0xfc9873f6,
    0x9901b01c,0x541f4cc4,0x002ddcde,0x8802eb88,0x04c40009,0xb8026200,
    0x0133000b,0x39b79510,0x20131000,0xffa8bfe9,0x217ff932,0x201cffb8,
    0x0c400098,0x441dd880,0x3ae000cd,0x262002ef,0x00011000,0x99306a02,
    0x00018059,0x00002a60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9800f540,
    0x004000cc,0x100060c0,0x00f62008,0x10d40000,0x31000e20,0x82a00041,
    0xa8131002,0xeeefeeef,0x1980003f,0x17a20026,0x6dc00040,0x00098800,
    0x800f6003,0x06800714,0x03dbdb80,0xbdcbdc98,0x40035405,0xfb7000fa,
    0x0fd5055b,0x2e25fd80,0x593d1000,0x8aa17600,0x540ea2fa,0x3601f98f,
    0xd790049b,0x6ee6dc07,0x002e801d,0x0c880bfb,0x54004880,0x3ea001ca,
    0x03db8002,0x07c82f98,0x6cc000b8,0x13263000,0x326007c8,0x9002c1d8,
    0x407400bf,0x40a17d42,0x200d98d9,0x29800ff9,0xf31a6032,0x30039803,
    0x16203b19,0x98008100,0x02fec000,0x09f30000,0x0004c034,0x40000204,
    0x850a007b,0x0026004a,0x2fa8004c,0x06a00000,0x709b0000,0x0a000803,
    0x2600b605,0x25bdcbdc,0x220bffda,0x99302efb,0x7fed401f,0x8bbee20b,
    0x202a00fd,0x01dcbee9,0x5ee5ee4c,0x82fff6a5,0x1ee2efb8,0x0fc02200,
    0x7105fd71,0xa80005bf,0x7ffb502f,0x7177dc41,0x543bbb9b,0x2e20bffd,
    0x883fb2ef,0x82fff6a1,0x0302efb8,0x17cc03cc,0x813e63e4,0x3e23601d,
    0xb027cc04,0xb8007f83,0x981fc42e,0x7cc7c82f,0x4f707604,0xfc880bfa,
    0xff109b02,0xffa83603,0x7d40be61,0xd813e602,0x83f31a61,0xa87604f9,
    0x27cc03ff,0xb37903b0,0x202ec7dd,0xf11a04f9,0x58806407,0x07f101f6,
    0x00bf1064,0x3f702f98,0x11a04f98,0x2e06407f,0xf9801b17,0x3fa0d902,
    0x7dc0d80e,0x2fa81620,0x0c80fe20,0xf106e136,0x3ea06407,0x07f102ef,
    0xfa9ea064,0x3f6027c1,0x3f882a00,0x50dc0320,0x01fc405f,0x002fcc19,
    0xd8df01fa,0xf882a00f,0x1f703203,0x05f1001b,0x2fd6c1ee,0xb8fe2064,
    0x880bea01,0xfd83203f,0x0fe20c41,0xffd880c8,0x3203f885,0x47f136c0,
    0x03fc03f8,0x0c80fe20,0xdf9999d0,0x1901fc40,0x3e2006f8,0xff07f406,
    0x203f8800,0x02f7dc0c,0x3f702f88,0x1913eeb0,0x2a02cf70,0x80fe202f,
    0x00ffea0c,0x006407f1,0x3f889fd3,0x21f90320,0x80fe60f8,0x7c4005f8,
    0x0aa03203,0x1fc407ee,0x00fc8190,0xfd80bf30,0x8800bf11,0xf703203f,
    0x5f1007f3,0xd9603ee0,0x3e20322f,0x17d4039b,0x06407f10,0x440bbfea,
    0x8283203f,0x01fc47e8,0xc8ce8819,0xf301fc44,0x03f8800b,0x7c416032,
    0x6407f104,0x13027d40,0x3fb017e6,0xf10017e6,0x5ee06407,0x17c402fb,
    0xfe8b07c8,0x37b20191,0x101fd400,0x4406407f,0x3f885ffd,0xd9058320,
    0x03203f88,0x04e80a6e,0x3e20037c,0x09503603,0x1fc40fec,0x07f901b0,
    0x2037c433,0x001be0fe,0x206c07f1,0x8807f67b,0x160db02f,0x20191ff1,
    0x7f5c05f8,0x407f103e,0x13fa600d,0xb06c07f1,0x3f885d09,0x33b70360,
    0xc80bb013,0x13e2000f,0x4177d458,0x7c42effa,0xfeb81604,0x07e82ccd,
    0x003f237c,0x51604f88,0x7ff717fd,0x1740be20,0x0def9858,0x00400760,
    0x145813e2,0x13e23f44,0x5e6ee458,0x204f883d,0xfffffa85,0xf501aa0d,
    0x1ba04c09,0x40480058,0x2a01606e,0xa81fd404,0x3027d41f,0x81606e81,
    0x0f8800a8,0x5c160698,0x401600ff,0x037402fa,0xd0d9058b,0x2c822c0d,
    0x50b03740,0xb0f2a623,0x983fc803,0x1d82fa81,0x2601e800,0xa801d82f,
    0x20f6401f,0x07f903e8,0xb05f5033,0x402ec403,0x3c039068,0x0ea01f90,
    0x2a01d440,0x26c1d82f,0x417d4174,0x501f201d,0x6883b05f,0x80588330,
    0x02ccdfeb,0x0b7737aa,0x81efdc00,0x02ddcdea,0xd5001f10,0xb803b95d,
    0x202ccdfe,0x02ddcdea,0x319104c8,0x32605709,0x4c1b01cf,0x0e2005de,
    0x6ee6f540,0xdbcddc82,0x3737aa03,0x402d402d,0x82ddcdea,0x3ba9bdf9,
    0x06200550,0x80000600,0x88003000,0x04c4000a,0x20006200,0x8806a001,
    0x000981dd,0x066c4080,0x00c00000,0x0c000982,0x18002980,0x2cedb980,
    0x00000c40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0d700000,0x83000a20,0x004d8001,0x00620000,
    0x00040000,0x05400000,0x204c3105,0x03e880dd,0x01555551,0x001403ae,
    0x005d3000,0xaaa80285,0x4d6601aa,0x402e800d,0x6dc005fa,0x7c4003db,
    0x017c4000,0xdebbcc88,0x01e5c00d,0x0333dfb0,0x4c1769d0,0xe881f99f,
    0xb37b02b9,0x5a84dbb8,0x3bbbba60,0x1a20b601,0x801b2bb0,0x93d1004c,
    0xddddb003,0x7d47dc09,0xd8038800,0x03db8005,0xb0001b80,0x305d1003,
    0x049c403f,0x0bf91110,0x9825cf20,0xf701d88d,0x107fc40d,0x003205c5,
    0xd848800c,0x04b9e406,0xbf900120,0x00000000,0x00b90010,0x00400060,
    0xe8803100,0x59006e04,0x00010009,0x13000002,0x08000880,0x6e5f74c0,
    0x3fae0401,0x0000003c,0x36a01300,0x3ee20bff,0x7ed4002e,0x3bee20bf,
    0x98032e42,0x881dcbee,0xfb882feb,0xbbcc882d,0x0fe40dde,0x00f10060,
    0x034001a0,0xb873ff26,0xffeeeeef,0x239ff930,0x931cffc9,0x2eb839ff,
    0x3f261fc4,0x261ae1cf,0xfdcccefc,0x82fffaa4,0xdf52efc8,0x7fdddfdd,
    0x43b027cc,0x8be61ffa,0x207604f9,0x81dff9dc,0x81fc42eb,0x01b01ff8,
    0x83f305d1,0xfa80007f,0x017d4002,0x3a00bea0,0x2fc81c87,0x20fd07e8,
    0x702f987e,0xd70fd03f,0x22442fc0,0x46a80ff8,0x3a8bea2a,0x40c80fe2,
    0xf11620fb,0x76406407,0x2f98bf53,0x3fa03f70,0x7440d80e,0x5f886e04,
    0x40599950,0x7ec005fd,0x02fec005,0x7d414374,0x1ba0dd04,0x203f4374,
    0x6b86e86f,0x540c17a0,0x2140d84f,0x7f1142fa,0x8fe20640,0x901fc41b,
    0x47d8d901,0xd837c07e,0x640c85fa,0xdf30c01f,0x93027dc0,0x326001f9,
    0x993000fc,0x806e801f,0x0dd00ef8,0x223741ba,0x207f406f,0x3a06b86e,
    0x87f60085,0x02fa803a,0x80c80fe2,0x0fe2167b,0x5c5c80c8,0xe80df12f,
    0x89f7580f,0x2003fc0c,0x0fe607f8,0x004f88d8,0x2009f11b,0x7404f88d,
    0x201fd806,0x3a0dd06e,0x3602fcc6,0x35c3741f,0x44090bd0,0x2a00b16f,
    0x80fe202f,0x39bf880c,0x03203f88,0x263f3172,0x40fec05f,0x20c8bf65,
    0x999505f8,0xf980ff45,0x03ecb103,0x100fb2c4,0x1ba03ecb,0x6e809f50,
    0x31ba0dd0,0x41fd80bf,0x818fb86e,0x04ecccee,0x800e5fdc,0x0fe202fa,
    0x1bd900c8,0x06407f10,0x4c3ee364,0x40fec05f,0x20c8ff45,0x13ee06f9,
    0x0fe60bf5,0x805f50dc,0x700bea1b,0xdd017d43,0x74037c40,0x1ba0dd06,
    0x0fe80df1,0x0ffc4374,0x009512f4,0x7d4009fb,0xd80fe202,0x220bf100,
    0x3203603f,0x0df126c7,0x44580fe8,0x3e20c8ff,0x2e0fe607,0xd03f984f,
    0x80df9999,0x06fcccce,0x37e66674,0x0fec0dd0,0x06e83740,0xf80fd0dd,
    0x40106e86,0xfa80285e,0x80bea001,0xb01604f8,0x5813e203,0x07759f90,
    0xb06f80fd,0xe81bdf30,0x207f301f,0xcebabed9,0x1fb82a80,0x03f70550,
    0x407ee0aa,0x207f706e,0x06e83740,0x207f50dd,0x986e81fa,0x000bd03f,
    0xfa8007ea,0x0b037402,0xb0374058,0xf500d720,0x2c07ea07,0x7d40ffb8,
    0xb007f305,0xf1058013,0x27c41609,0x209f1058,0x105f986e,0x0dd06e85,
    0x20f641ba,0x20dd03e8,0x220bd03a,0x8007ea02,0x17cc02fa,0x807500ec,
    0x901d82fa,0x107b200b,0xf903c07d,0xf309f701,0xa80bb007,0x9507f604,
    0x12a0fec0,0x86f81fd8,0xf83b00fe,0x1be0df06,0x1dcaeea8,0x02e21be0,
    0x200d837c,0x3ea002fb,0xdcdea803,0x05de982d,0x5bb9bd50,0xd50036c0,
    0x2603b95d,0x01b01cfc,0x3aeafb66,0x204c800c,0xffa82efa,0x505df52e,
    0x3bea5dff,0x32effa82,0x3f237ff9,0x7feeeeef,0x4c6fff26,0xf931bffc,
    0x04c4037f,0x037ff930,0x99bff930,0x7f5c0bdb,0xefeb802e,0xb1006003,
    0x00300019,0x88007db5,0x01000009,0xa8002620,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd7100000,
    0x5bf7105f,0x54007b10,0x036e003e,0x36a03060,0x3ee20bff,0x00bae02e,
    0x21400db8,0x33ff2602,0x500db802,0x06dc003d,0xff930000,0x077faa17,
    0x0a006dc0,0x6776d405,0xdffb30ce,0x310019db,0x7fc4004c,0x3cc01b01,
    0x00fbe880,0x32e005d0,0x13e603ca,0x2fa201d8,0x003d000f,0xf001b1b5,
    0xb017400d,0x002e8007,0xf803eed9,0x20017445,0xc8d9802e,0x2bfff701,
    0x3e65f884,0x59bd800e,0x203bfa00,0x400d400d,0x7100710b,0x06764400,
    0x06407f10,0x200e6170,0x0ffa0039,0x38802f40,0x0e200240,0x80b54a80,
    0x2000ec5f,0x17f60039,0x095fffe8,0x005f917e,0x6c003ff1,0x800c85fa,
    0x01000000,0x3e200200,0x02003203,0x10010440,0x802f4003,0x200001a8,
    0x7c000000,0x22000765,0x11311000,0x257fffe0,0x01fdc5f8,0xbac00088,
    0xf930644f,0x49fb999d,0xdcccefc9,0x33bf264f,0x6804fdcc,0x3203f880,
    0xbd006800,0x3ff661b6,0x7400cede,0x22fd8805,0x402cffc9,0xfeeeeefb,
    0x17ffd50f,0x3e177e44,0x20001d8d,0x1b6bd006,0x04affff4,0x980fe8bf,
    0xbddeeffd,0x8bf65800,0x4885f80c,0xf84885f8,0x7d404885,0x901fc402,
    0x802fa801,0x3e20752b,0xe803be65,0xf05f1005,0x3207200d,0x407fc42f,
    0x09dbf06a,0x4017d400,0x3e60752b,0x37e095ff,0x2201deb9,0x00fec45f,
    0x0323fd16,0x2f40c17a,0x0305e818,0x7c405fd8,0xfb003203,0x5f80000b,
    0x0bd017e4,0x17a0be20,0x827d4140,0xf00d84fa,0x20007fbb,0x400005fd,
    0x3e095ca8,0xbf006eae,0x45807f60,0xe80c8ff8,0x10bd0085,0x300217a0,
    0x7c401f99,0xc9803603,0x4dd500fc,0xb8bf04fa,0x4017a03f,0x005e82f8,
    0x6c01df10,0x5f80ea1f,0xc98007fb,0x4dd500fc,0x094804fa,0x4027cd7e,
    0x40bf305f,0x80def985,0x0bd0485e,0x01217a09,0x4409f11b,0x1b01604f,
    0x236409f1,0xfe8bf04e,0x20817a00,0x005e82f8,0xf8803fb0,0x25f80b16,
    0x236003fd,0xd1b204f8,0x7c129009,0xbf00bee5,0x20b03f40,0xcee80ffb,
    0x9dd04ecc,0x3ba09d99,0x2204eccc,0x0dd01f65,0x3ecb102c,0xf04e8d90,
    0x803bd73b,0x7c45105e,0xa8005e82,0x97f7004f,0x7ec5f803,0x1f658804,
    0x402746c8,0xfb17e094,0xfb02fc01,0x0fc81e03,0x412a25e8,0x7412a25e,
    0x1b812a25,0x2fa80bea,0xa86e01d8,0x4e8d902f,0x00dd5df0,0x883621be,
    0x4005e82f,0x7ec006f8,0x742fc404,0xf50dc05f,0x09d1b205,0x237c1290,
    0x0bf00ef8,0x3f260fec,0xbd01b01c,0x0a17a050,0x9d0142f4,0xa80df999,
    0x402ddcde,0x06fcccce,0xbf04e8d9,0xfc9813e6,0x45feeeef,0x005e82f8,
    0x2a000fec,0x3ff2601f,0x7dffb30b,0xf9999d01,0x09d1b20d,0xffb31290,
    0x05f7d417,0x00fe817e,0x74020a88,0x8017a005,0x20aa005e,0x01b001fb,
    0x03f70550,0xbf04e8d9,0xa88017dc,0x3a0be200,0x07f70205,0x001fa802,
    0x2a800544,0x46c81fb8,0x0094804e,0x417e0033,0xbb1006f8,0x0a20bd00,
    0xbd0a20bd,0x220b0a20,0x005d004f,0x2e13e20b,0x3e0bd51f,0x44007ec5,
    0x20be205d,0x7cc5105e,0x7d405105,0x02ec4001,0x709f1058,0x2017aa3f,
    0x05f50094,0x07f60bf0,0x6f804c80,0xb06f81b0,0x41b06f81,0x007f604a,
    0x2540f7ea,0xfe883fb0,0x6f83ee9e,0x640077c4,0x3e0be204,0x3fa0d886,
    0x7dc03b00,0x804c8002,0x107f604a,0x07dd3dfd,0x1d100948,0xfd88bf00,
    0x3006a002,0xdb99bff9,0x66ffe4cb,0x3f265edc,0x25edccdf,0xffa82efa,
    0x2a01002e,0xeffa82ef,0x36602182,0x3bea0bff,0x4403500b,0xff931dfc,
    0x64bfdddd,0xfeeeeeff,0x0bbfae07,0xfa801a80,0x2effa82e,0x39c00218,
    0x26005440,0xbdcceffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x026c0000,0x4073ff26,
    0x80c0c0c1,0x000003d8,0x4c219800,0xfdcccefc,0x28028504,0xb8130014,
    0x01ec40e0,0xaaa80d88,0x3a0002aa,0x48064002,0x2aaaaa20,0x55555100,
    0x55554401,0x202ec00a,0x0fd000e9,0x883dbdb8,0x35406cce,0x400fe200,
    0xbfb501f9,0x4885f875,0x003b1d30,0x4003b1d3,0x02fef984,0x17cc01aa,
    0x02777764,0x0c405b00,0xedcb85f1,0x6666441d,0xdddd301c,0x7774c03d,
    0x01dc01ee,0x06e8002e,0x32603db8,0x001b801c,0x0d8800ec,0xd0372630,
    0x4fc8060b,0x8013f600,0x00151038,0x40000037,0x220bffda,0xf701befb,
    0xb875db79,0x1020ee94,0x00400000,0xd0002000,0x0000000d,0x00000022,
    0x10bd0000,0x20009880,0x07220018,0x01104018,0x3ff26030,0xd813e61c,
    0xf7037a01,0x0e293e83,0x64c36d7a,0x4fdcccef,0xfc980680,0xdffb31cf,
    0x6e8019db,0xcccefc98,0x3ff264fd,0x5c03401c,0xffeeeeef,0x999df930,
    0x7fe4c9fb,0x2242f41c,0xdcccefc9,0xa806804f,0x5e40eeac,0xaf43eed9,
    0x366f206d,0x443f43ee,0x6403203f,0xee8dd00f,0x54ae0248,0x12217e03,
    0x3a005f50,0x3e65f887,0xf81ba00e,0x07e84885,0x0e402fa8,0x42fc17e4,
    0xdd07e848,0x3e09d999,0x7d404885,0x2e23e202,0x1fa9ea4f,0x2a0752b8,
    0x1ba07ea7,0x80c80fe2,0x8fea04f9,0x00004efa,0x3600c17a,0x20dd005f,
    0xd017e45f,0x8182f40d,0x05fd806e,0xe827d414,0x20dd0305,0x7412a25e,
    0x5fd80305,0x04c5d720,0x001fc4db,0x41fc4db0,0x203f886e,0x203fb80c,
    0x1ffcc5f9,0x09f53754,0x9300217a,0x0dd001f9,0x407f717e,0x0217a06e,
    0x33260374,0x3be2000f,0x2010bd00,0x050bd06e,0x9300217a,0x253601f9,
    0x41f10fc8,0x213ea6ea,0xd01f10fc,0x6407f10d,0x2202fc80,0x84ff886f,
    0x5e82746c,0x7c46c048,0xbf06e804,0x1ba00fe8,0xdd0485e8,0x04f88d80,
    0x5e807f60,0x3a0dd048,0x1217a005,0x209f11b0,0x9d1029dd,0xe8d90991,
    0x4c8ce884,0x07f10dd0,0x017e4064,0x3f320df1,0x413a3644,0x04ecccee,
    0xe807d962,0xbd73bf06,0x3a06e803,0xd04eccce,0x0fb2c40d,0xdd013ea0,
    0x3a09d999,0x0a20bd06,0x09d999dd,0x320fb2c4,0x0a6e145f,0xb82746c8,
    0x44374029,0x2e03604f,0x417e603f,0x746c8f94,0x2544bd04,0x017d4370,
    0x7577c1ba,0x740df006,0x37412a25,0x017d4370,0x97a01be2,0x20dd04a8,
    0x5e81b06f,0x21b812a2,0x9ef982fa,0x2676e0c9,0x2746c809,0x804ccedc,
    0x205f886e,0x5409f306,0x8d548e3f,0x5e82746c,0x3333a028,0x837406fc,
    0x4c09f35f,0x5e81bffc,0x740dd028,0x406fcccc,0x85e801fd,0xfc98dd02,
    0x85edccdf,0x33a0285e,0xf706fccc,0xfffa85df,0xd1b20dff,0xfffff509,
    0xfd06e81b,0x01fb0340,0x3ca4d1b6,0x7413a364,0x2e0aa005,0x7c1ba01f,
    0x0b00bee5,0x1ba005e8,0x80fdc154,0x5e8103fb,0x4c01ba00,0xa8017a03,
    0x1481fb82,0x654c46a0,0x509d1b23,0xd0f2a623,0x360be60d,0x5037a201,
    0xbdbed83d,0xbd51fb83,0x214417a0,0x7409f105,0x0fd8bf06,0x05e803e0,
    0x0b06e851,0x17e613e2,0x4417a144,0x5b803742,0x214417a0,0x3889f105,
    0x70cc1a20,0xd117aa3f,0x40df0660,0x02ddcdea,0x19b79f90,0xfd1024c0,
    0xdf07dd3d,0x204a8360,0x20df01fd,0x8077c46f,0x06f83dfb,0x4a86f81b,
    0x1fd07f60,0x20df0760,0x88037c0d,0x837c1bee,0xfd812a0d,0xdf9802a1,
    0x7443ba9b,0x263ee9ef,0x23ba9bdf,0x401bffc9,0x00620001,0x20218018,
    0xdccdffc9,0x20bbea5e,0x3262effa,0xffb31bff,0x05f7d417,0x3ff26044,
    0x265edccd,0xdf51bffc,0x25dff505,0xeeeeeffc,0x37ff267f,0x3265edcc,
    0x81001bff,0xdccdffc9,0x20bbea5e,0x0032effa,0x4059db73,0x76dcc021,
    0x0000002c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80080131,
    0x80a60008,0x000a202a,0x0220004c,0x0050d400,0x2006a530,0x04020000,
    0x01008100,0x00044008,0x10188008,0x13100080,0x40008100,0x32f6e06d,
    0x1ecaa981,0xaa82fdc0,0x005fb839,0xb8802f98,0x1003bbab,0x000647f9,
    0x03ff1bf7,0x200b6fa6,0xabb8530c,0x97b9303c,0x3bda8b7b,0x7fcc0b10,
    0x4880f4c1,0x6ec44f80,0x7ec01606,0x0711b805,0x5403a0dd,0xd8b07e65,
    0x1705d806,0x00176071,0x40e600ee,0x266200c8,0x800530cf,0x3a05935d,
    0x7f100d11,0x20f4598d,0x7c7c82f9,0x401903f1,0x01d85a8c,0x08598019,
    0x2003203a,0xf802d8c9,0x987f80ec,0x4bb0f600,0x007ea2f8,0x032e20bb,
    0x014002ec,0x65e6cdcc,0x32a01911,0x00163dfc,0x0f981cbb,0x07ae00d3,
    0x3e64c899,0xb0f99a04,0x82202a89,0x1540ec18,0x4b880540,0x28500398,
    0xdd02ea80,0x5f118260,0xf70dc7b8,0x81763101,0x04572019,0x70188660,
    0x710f99ec,0x321fc620,0x55d8c400,0x16cfe603,0x41f70300,0xa803f61e,
    0x89361f30,0x0ec06004,0x10180162,0x000585d5,0x22ec0000,0x10cddacb,
    0x201fb89f,0xfcacc84e,0x0fcada85,0x0dffadc8,0x65f64ed4,0x27b1c3eb,
    0x7b10e1f8,0x02987fb5,0x017f2b32,0xcca8ef7c,0x23eaba82,0x7c2c9fe8,
    0x7c3e2007,0x2ea00321,0x320ec3ea,0x3eaba800,0x500dc570,0x1bf911df,
    0x537553e6,0x96e4c89f,0x2e36c4f8,0x1aa1a607,0x1fc5d0bf,0x45fa9764,
    0x3dcbf12f,0x26ce6c33,0x1fcc9b0e,0x2fc6a82c,0x3e17f440,0x83f24b82,
    0x2fc44fe8,0xa92b2a00,0x3f24b802,0x01cc7d10,0x2a1f925c,0x201264ab,
    0x9121fc6c,0xf25c4e8d,0x3ea3edc7,0x3205ea9d,0x42ec3d80,0xb909f10a,
    0xf88547c8,0x332fdcce,0x11c2e66c,0x0c83f83f,0x202ec3d8,0xb30ff9d9,
    0xc88307a0,0x017e63fe,0x65491040,0x8860f40c,0x0dec9619,0xb03060f4,
    0x21f983d0,0x8d906a6d,0x2f99d44e,0xb883f557,0x05103f8a,0x305d83f1,
    0x8b909d77,0x7de442fa,0x3a7b1c03,0x7f0f51c3,0x41f88730,0xfb9ae05d,
    0x01f30195,0x22fd874c,0x0d80006f,0x0f99a6f3,0xc84c7200,0x70003e64,
    0x4e81ec83,0x32125f91,0x4ca62746,0x03f32abf,0x80980fdc,0x5c2ec3f9,
    0x317213a5,0x4f86d43f,0x3e67d1c0,0x20fe4710,0x3f98b03f,0xe89d02ec,
    0x05f302cf,0xfc976264,0xb86e0000,0x0be63f16,0x22b81cc0,0x122002f9,
    0x2f703b37,0xc838dd8c,0x44622746,0x881ea3ef,0x5f80201e,0xe87e62ec,
    0x13dc5c84,0x8623f43f,0xb71cd9b9,0x21fcc193,0x5f81903f,0x45f982ec,
    0xbd041ff8,0x6a87b098,0x009813ea,0x8be6c891,0x82c04c5e,0x04c5e848,
    0x0eca60d8,0xcfa9dfc4,0x02746c80,0x103c83f2,0x902b805d,0xf31ba25f,
    0xd9073ea7,0x44be62d8,0x984a9cfd,0x3ba03203,0x0e609f31,0x81ba25f9,
    0x3ff6e2fe,0x3bf20b8a,0x571aa3b9,0x01983fc8,0x23cdea16,0xb83b9efc,
    0xdf903881,0x90ae0773,0xfb03dfdd,0x1fb82fc1,0x912a8bd5,0x530997d9,
    0x20bf0037,0x3edcefc8,0x0f64f7ec,0x20b2f7a6,0xffc8cefd,0x7579300d,
    0x3f660179,0x8b02efbe,0x3edcefc8,0x25ddfd50,0x5c43fff9,0x56540cff,
    0x9bfd703a,0xe80dc059,0x7fdc44b9,0x74424c0c,0x7fdc45cc,0x6c04880c,
    0x02c89301,0x7dd3dfd1,0x80621b74,0x44004001,0x10004010,0x04408801,
    0x04001100,0x21100801,0x02011000,0x20010020,0x44030018,0x0180401a,
    0x04035553,0x00980130,0x04300102,0x00000044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03113000,
    0x00010180,0x00810031,0x022002e6,0x88002208,0x00310009,0x00300013,
    0x44026028,0x10013001,0x02009803,0x08030602,0x8101b880,0x22009880,
    0x0172d501,0x9b706f22,0x32203bbb,0x80ddebbc,0x3220711b,0x0ffc4048,
    0xccbdedd8,0x802fe401,0x006c803f,0x03b97dd3,0x40be2090,0x37e403f8,
    0x1b602f40,0x2202e488,0x7b302cad,0x2e33203b,0xb0711b86,0x427f40bf,
    0xeb801b1c,0x0fcc6980,0x0fcc1744,0x980767c4,0x5a9c8092,0x1f981bb0,
    0x805b1930,0x0076004a,0x03f885d7,0x201dc0aa,0x32322059,0x7401a202,
    0x40f3ae00,0x47a01fc8,0xf0fcc0f8,0x40ecf885,0xba81d8c9,0x805140e8,
    0x709b00fa,0x2e04e883,0xb805d501,0x1882201c,0x03f900e8,0x00140285,
    0x02f980a2,0x281203f7,0x0a140500,0x03100098,0x517105d8,0x4d8d901d,
    0x2a13a3d4,0x0c14282e,0x1fc4000a,0x41883fb0,0x300c01fc,0x0cc00001,
    0x027cc050,0x40000000,0x4837c07e,0x03300660,0x01300130,0x01980130,
    0x44e85d98,0xf89ee0fc,0x26011302,0xdd506008,0x47e427d4,0x03ffa829,
    0xbc8003fc,0x537545ea,0xf95b509f,0x54ff0001,0xd513ea6e,0x3aa27d4d,
    0xdf113ea6,0x1540fe80,0x207e56d4,0xc80fcada,0x57905eab,0x3aaf20bd,
    0x0fcada85,0x43ffbba8,0xf70fdc3f,0x26ea0f66,0x2ecdd45d,0xd9175d54,
    0xabee84e8,0x77fd42fe,0x9505f882,0x3e25c599,0x213a3644,0xaa98fe2e,
    0xeaaaaaaa,0x09d1b21f,0x6c84e8d9,0x017e6274,0x5d0483fb,0x3f8ba1fc,
    0x9713e25c,0x3e25c4f8,0xa87f1744,0x3f997e25,0x26f717d4,0xd16341ee,
    0x4f716458,0x27c2746c,0x3ff621ba,0xf7037cc5,0x23ec2f89,0x8542746c,
    0x273ee4f8,0xfe999999,0x909d1b21,0x46c84e8d,0x202fcc4e,0x0a8241fd,
    0xf10a89f1,0x23ec2f89,0x0be3ec2f,0x9f10a8fb,0xf33ec3d8,0x1ee1fb85,
    0x810df8fb,0x67c410df,0x8d92fdcc,0x321fc44e,0x49fd300f,0x8fe607f8,
    0x90fdc1f9,0x77304e8d,0x202fd49d,0x9d1b20ff,0xc84e8d90,0x1be22746,
    0x01541fd0,0x7309d773,0x20fcc9d7,0xb83f31fb,0xfb83f31f,0x1275dcc1,
    0x3e1fb83f,0x8f707dc3,0x0ffea1fb,0x1f30ffea,0x213a3640,0x8287d43f,
    0x80ff47e8,0x30fe63f9,0x13a3643f,0x3e24e96e,0xd91be607,0x746c84e8,
    0x42746c84,0x1237c07e,0xb713a5b8,0x987f3274,0xf987f31f,0x1f987f31,
    0x3e64e96e,0x8bb0fd42,0x3e63dc7c,0x4437ec42,0x80be26fd,0x2ec2746c,
    0x8d9059aa,0x87f305fa,0x1b23dc5e,0x3a1f989d,0xfc817dc4,0x213a3641,
    0x3642746c,0x40fea13a,0xf98241fa,0x21f993a1,0x1ee2f44e,0x2f47b8bd,
    0x3a1f99ee,0x71ee2744,0x23dc5d8d,0x7dc510f8,0xd0fdc511,0x23f7198b,
    0x21f985ea,0x0ba1363d,0x0fe613ee,0x2e1ec3f9,0xf98bd51f,0xfd839f53,
    0x7dc27d40,0x3f70bd51,0x47ee17aa,0x83d905ea,0x981543e8,0x2639f53f,
    0x6439f53f,0x3f90f61f,0xd87f21ec,0x67d4fe63,0x43d83ee1,0xc81d10f8,
    0x225a8f8f,0x7c6887c6,0x92abbee0,0x3ee9efe8,0x643caca8,0x203dbcdd,
    0xcebabed9,0x83ccfc80,0x3ee9efe8,0x0f64f7ec,0x0f6de75c,0xee9efe88,
    0x74f7f443,0x4f7f443e,0x5dd503ee,0xd80903b9,0x361ec9ef,0x641ec9ef,
    0x9f903ccf,0x333f2079,0xec9efd83,0x81e5ed41,0x74c1cbd9,0x7c4177b7,
    0x37e23bad,0xcffb83ba,0x02002180,0x88001304,0x30030009,0x88001004,
    0x40086001,0x00430021,0x00200988,0x18002002,0x00600300,0x08004001,
    0x30060000,0x00000100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40620000,0x11000098,0x02200080,
    0x10009880,0x00000800,0x08102a80,0x10026130,0x5c040400,0x64b20773,
    0x5c026182,0x020188ce,0x22014470,0x01dcee01,0x800d4066,0x217a03f8,
    0xc81601e9,0x77100cff,0xd9007775,0xdbafe441,0x261904fd,0xfd99b502,
    0x807fb99d,0x160c81ff,0x8807ccfc,0x9b302dac,0xd0551775,0xea7c1b6b,
    0x3fa7baa5,0x7f55440f,0x1dffc885,0x801fdf70,0x36d7a04f,0xfd885f10,
    0x88095002,0x06e03b06,0x427d455c,0x40191039,0x1bdf880e,0x2fe617e2,
    0x7c41f705,0x73141c45,0x49858b05,0x6a8f4057,0x2fcc0eb8,0x3f200000,
    0x2044f88b,0xfb9bb809,0x3002a206,0x25c0000b,0x05002f88,0x20760660,
    0x8db02048,0x372e6639,0x201880c8,0x81fb82ff,0x83f981eb,0x2344185f,
    0x4c1ccb03,0x023cc050,0x3fd107f3,0x80c004c0,0x1302f46c,0x405f50e0,
    0x00014009,0x02f880a0,0x6c060060,0x32000d81,0xb40e89c3,0xf0113038,
    0x0c13e60b,0x08bf07b8,0x9886a6d8,0x00bc99ca,0x203dc013,0x0df1b07e,
    0x2a0bd579,0x235c2eba,0x5eabc85d,0xbc82f880,0x04c305ea,0x04fa9baa,
    0x05f10223,0x505d7550,0x41d85d75,0x2122002b,0x21c10773,0x5f85d9ba,
    0xbaa8bf10,0x5f83742e,0x79fd70e2,0xd559b530,0x5eabc835,0x37c40f70,
    0x2e0fe8e4,0xb8b227c4,0x717635c7,0x7cc04f89,0xa93e25c0,0x40ffe9ee,
    0x3aa2746c,0x17c47faf,0x647b8b20,0x23e89ee2,0x3bae0048,0x20174661,
    0x17e16343,0x7b8b26f8,0x677c17e2,0x806c83ec,0xf12e160c,0x667ee449,
    0x8ae2fcc1,0xfb0be1fd,0x7ee667c4,0xf8bb1ae2,0x13203ec2,0xfc8fb0be,
    0x3644f88b,0x22bf213a,0x07d57c42,0x3f7333e2,0xfb999f12,0x40d86625,
    0x1ff7101e,0x0e01fc66,0x17e021bf,0x999f15f8,0x417e65fb,0xd907715f,
    0x7c244b00,0x3ee63ec2,0x32fcc099,0x3f31fd89,0x01f31fb8,0xf32ec7c8,
    0x1a01fb83,0x43f707e6,0x1b22f46c,0x440f709d,0x0f9848af,0xa8003e60,
    0x2600f642,0x202e4e2f,0xf81ffd43,0x07cd3e05,0x22fc1be0,0x2a606c82,
    0x31adbaae,0x541fb83f,0x2c5fe207,0x987f33f4,0x5405f11f,0x2ffa8bfe,
    0x01f987f3,0x987f3039,0x8bb1ae1f,0x3dc2746c,0x7c405f10,0x400be202,
    0x00ecdc58,0x07e27174,0x3f620e25,0x4fe05f86,0x83ec02f8,0x206c805f,
    0x9ac99ca8,0x1f987f30,0x23fa03cc,0x2f46f80d,0x198bd1ee,0x8bd00a88,
    0x7405707b,0xb1ae3dc5,0x42746c8b,0x00be207b,0x17a198bd,0x94c19033,
    0x9cc6801d,0x190bbcb8,0xf83f7144,0x3a0f8865,0x07f50cc5,0x364510bf,
    0xbd048aa0,0x42d447b8,0x2a07be61,0x7b0fe41f,0x04aaefb8,0x87f20bb1,
    0x2082a83d,0xd70f61fc,0xa8fdc5d8,0x2207b85e,0x577dc02f,0x5577dc4a,
    0x77643a84,0x0950a1ef,0x22064073,0xf97e07c6,0xaefb8574,0x220fb84a,
    0x3ee0d85f,0x82c19018,0xb98f61fc,0x40dabdfc,0x81f440ed,0xf703ccfc,
    0x0264019f,0xb50799f9,0xf90b5555,0xd8f90799,0x74f7f445,0xf103dc3e,
    0x19ff7005,0x8819ff70,0xff10ec05,0x5e4c07b9,0xf880bcba,0x3f263bad,
    0x03cfc8bf,0x2a019ff7,0xcdffecdd,0x0f7c45fd,0xfc812258,0x465d43cc,
    0x55d43ffc,0x801dcacd,0x1a801001,0x3fea0300,0x0604ffff,0x7d45ff54,
    0x2a02182f,0x7e440cfe,0x1001001d,0x01300220,0x00880011,0x00100060,
    0x00018002,0x0c004080,0x40808810,0x00000098,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00980000,
    0x307700aa,0x2e239ff9,0x40301dff,0x40100038,0x3b84fffc,0xffffff50,
    0x81860201,0x26031009,0x13008008,0x00c00010,0x406233ae,0x70033019,
    0x30cc0e21,0x002e3503,0xf3004000,0x36037405,0x7ec1fa06,0xeed9bc80,
    0x9000ff53,0x3333620b,0x79b06d80,0xa864d755,0x3fa7baa1,0x2f41b20e,
    0x321766ea,0x8df90530,0x554001fe,0xfd5502eb,0xa85fb10b,0x2600fcad,
    0x3fa02fef,0x557ec46f,0xfa9baa6f,0x967fe4c4,0x807702fc,0x37400008,
    0x2a7a87c8,0x267f621f,0x905fa800,0x41440001,0x2133aa3b,0x42f88bfc,
    0x2343440d,0x985cf985,0x136e2d8c,0x21ee2c80,0x2f8804c0,0x8807f174,
    0x1019800a,0x8d916a5f,0xda8df04e,0x01100505,0xc8374030,0x8fe26d87,
    0x401ccfeb,0xcf885cd8,0x3a001802,0x36406ec0,0x0985113a,0x2e010df8,
    0x2614281e,0x999f1001,0x440005fb,0x4f88542f,0x40660000,0x8d90e2f8,
    0x710bd04e,0x5004c000,0x0dd07d57,0x443f21f2,0x8033dc0f,0xfeb85c8d,
    0xebaa80df,0x88c34402,0x117635c0,0xffa81101,0x8804c303,0x40c31c40,
    0x375400f9,0x15f109f5,0xa84ebb98,0x2a13ea6e,0x7c40fcad,0x746c8172,
    0x0b88bd04,0x1fee667c,0x7e497024,0x87c83740,0xb84c8ce8,0xb80ffe9f,
    0x7e440b92,0x80f71645,0x3ebfaa3b,0x457635c7,0x0bf222fc,0xeea9bf62,
    0x3220ffe9,0x9efb842f,0x0be20efe,0x109d1b20,0x9d2dc79f,0xd09d1b20,
    0x0be21fc5,0xe82746c8,0xd11440c5,0x0f40750b,0x3e41ba06,0x3ee029b8,
    0x2443f88b,0x21f500b9,0x2fdcccf8,0x15f907a0,0x32ec6b85,0x222f985f,
    0xbfc87ee2,0x17cc4f88,0x0fe27db0,0x364198bd,0x98fe2136,0x36413a1f,
    0x7c42a136,0xd9017c44,0x00bd04e8,0x0f881fb0,0xdd001f30,0x276e1f20,
    0x747b8099,0x401722c4,0x4001f33e,0x3207b868,0x85f12ec7,0x1f1a22f8,
    0xf117a364,0x13a36405,0x90955df7,0x2fc84d8d,0x0e7d4fe6,0x4c136364,
    0x17c44ebb,0x17aa3f70,0x3ee002f4,0x3e605d81,0xf906e802,0xbfffff50,
    0xb9763dc1,0x0aedaaac,0x02f89e40,0x41ee0ee0,0x4bb0bfea,0x117c42f8,
    0x6b8775bf,0x80be22ec,0x7dc2746c,0x6c6c80df,0x3617cdc4,0xc81ec9ef,
    0xd2dc26c6,0x2202f889,0x83ee9efe,0x0fe6005e,0x74698fe2,0x41ba04c5,
    0x5311a86c,0x9763dc79,0xeffeeeec,0x8bd07402,0xf703d019,0x3e23d800,
    0x6c417c42,0x22ec6b80,0xd1b202f8,0x6c815c09,0x417c426c,0x23640320,
    0x9d0fcc4d,0x21802f88,0x20817a05,0x4f8845e8,0x9efc83e2,0x5726f83b,
    0x1983443d,0xc80bb1ee,0x70ee1b85,0x220955df,0xd800f706,0x5f10be21,
    0x8d709d10,0x9017c45d,0x0f204e8d,0x85ea8fdc,0x80f402f8,0x98bd51fb,
    0x4439f53f,0x81e2002f,0x7ec5105e,0x221d91c0,0x067fdc45,0xf737ff93,
    0x37bf3099,0x6c7c8775,0x7f42e405,0x9ff702de,0x3dc0ee01,0x7c469640,
    0x2d817c42,0x222ec7c8,0x9d1b602f,0x105efcc0,0x87db3dfd,0x6fdc02f8,
    0x6cf7f443,0x64f7ec3e,0x000be21e,0x86f859fb,0x99df70d8,0xabca87d9,
    0x11000200,0x1676dcc0,0x3ea2ffaa,0x4417202f,0x08801000,0x200cfea8,
    0x3f220aec,0x83bf911d,0x8bfea81a,0xbf912ffa,0x717ff503,0x201805df,
    0x37f22021,0x08600801,0xdfc88020,0x93044001,0xbfddddff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000a6298,0x202976c4,
    0x20020301,0xd8800800,0x11181d88,0x3fae2000,0x17ffb52e,0xb8977dc4,
    0xdfb882fe,0x75415302,0x2ffb83ff,0x3ee3dfd5,0x8bf661df,0x50170038,
    0x37301543,0x30400388,0x42200810,0x6ffd8181,0x50f707cc,0x7507df93,
    0x717d47d5,0x06a1905f,0x27e601a0,0x2bfaa2f9,0x987fea7f,0x4c2fb82f,
    0x2207604f,0x301b01ff,0x7c41dd37,0x9f30b606,0x23b82fb8,0x2f8807fa,
    0x06e8bf62,0x3aa9f539,0xf3bd7007,0x388dc3bf,0x45edaba8,0x982982fa,
    0x8821ee0f,0x43f24b81,0x05f730b8,0xf50099d5,0x5f900005,0x220fb851,
    0xf883f705,0x7f403203,0x1c80d80e,0x201fb02e,0x4f88dd06,0x803e40d8,
    0x0222f880,0x1f22a96a,0xbf53ed80,0x2dc0ece8,0x2017117a,0x1ee0f981,
    0x183d0198,0xec817c40,0x005fd800,0x881ee033,0x7dc06e3f,0x1901fc41,
    0x3217eb60,0x7cc01f80,0x3f703a83,0x7b8587e8,0x00be2000,0x007b8172,
    0xea8fb1b2,0x17617c42,0x3175d540,0x6d43dc1f,0x03e60fca,0x0005f100,
    0x200fcc98,0x5c0fcada,0x40b3dc07,0x01fc41fb,0x27dd6019,0x001f3032,
    0x2201b0fd,0xa8bfe24f,0x88067b82,0x03317c40,0x003dc0bb,0x442fb8b9,
    0x17607cc0,0x267b8b20,0x8ba1ee0f,0x000be63f,0xcccf85f1,0xf11b03fd,
    0x87f17409,0x4dfc407b,0xf107ee03,0x25806407,0xf30322fd,0x445f5001,
    0xf5737404,0x47dc06c9,0x3f220fed,0x45517c42,0xb83ceec8,0x3202fea7,
    0xfc88fcc5,0x17617d42,0xfb999f10,0x87b87e65,0x5e89f10a,0x45f1004c,
    0x4417a228,0x10a81f65,0xc807b89f,0x07ee00de,0x806407f1,0x40c8ff45,
    0x4df000f9,0x58fdc01c,0x7dc162fb,0x85f30fe2,0x360ee2f8,0x06c5ee05,
    0x20fb8d90,0x6c4f82f9,0x3007cc05,0x20dfae7f,0x7e44ebb9,0x83263b9e,
    0x03f602f8,0x405f50dc,0x3dc4ebb9,0x2e02fc40,0xb01fc41f,0x1ff11601,
    0x000f9819,0x220163f9,0x55f548cf,0x89d1ee05,0x917c42f8,0x7dc0bb09,
    0x23e400d8,0x6c17c44d,0x445ea8bf,0x4c05f10c,0x0ef9bffe,0x5c44e96e,
    0x97f20cff,0x03f702f8,0x37e66674,0xea93a5b8,0x00ec00cf,0x09f103ee,
    0xdf30b02c,0x000f981b,0x20075bf1,0x177e1bfd,0x222ec7b8,0x9917c42f,
    0x77dc0bb0,0xbacfc805,0xd882f883,0x7d45daff,0x2a3317a2,0x87e6040b,
    0x2207304e,0x3e60be24,0x3ee0aa03,0x89d0fcc1,0x805800a8,0x2c0dd07b,
    0x03fee0b0,0x7ec001f3,0x91bea006,0x363dc0bf,0x3e217c45,0x81761762,
    0x6403f9fb,0x017c4035,0x2e042ec1,0x1324aaef,0x67d4fe60,0x2a81fa81,
    0x8bd10be2,0x44f882c0,0x439f53f9,0x81d406d8,0x3ea0b76a,0x81e01d82,
    0x007cc0fc,0x44009f30,0x7017cc4f,0x17c45d8f,0xd86e8be2,0x17ddee05,
    0x5f100b90,0x5c017600,0x01760cff,0x0f64f7ec,0x106607c4,0x1c0fd85f,
    0x20fec095,0x41ec9efd,0x05de984b,0xa80337ea,0x302ddcde,0x036039f9,
    0x1e8003f5,0x0340ec00,0xf88bb1f2,0x0ff17c42,0xfb3dc0db,0x2201b603,
    0xa8bb002f,0x00ee0206,0x00a88008,0xf72dfc98,0x2a7d999d,0xeffa82ef,
    0x40660042,0x04400cd8,0x80000600,0x00eff540,0x20100010,0x22ffa600,
    0xbf912ffa,0x5c77f223,0x06ffee24,0xff717fd5,0x202dda87,0x5401dfc8,
    0x001ae2dd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ec00000,0x0b306fff,0x33ffee20,0xeb83fdcc,
    0x3f26188c,0x3f2601bf,0x4c1400bf,0xbdddeffd,0xdffffb00,0x4cccccc4,
    0x3ffe6099,0x3885c2ff,0x98c4675c,0xbdddeffd,0xfffff500,0xfeeefa83,
    0xf933ffee,0x3fee217f,0x5c7ff71c,0xfc98284f,0x54ee02cf,0x8bfff664,
    0xf931dfd9,0x37faa17f,0x13333101,0xe8003ee0,0xaa83887c,0x00bf05fe,
    0x834402fc,0x0fec45f8,0x304cccc4,0x99998300,0x17f7d409,0xf117faaa,
    0x881fd88b,0x2a819999,0x313a8bea,0xd33333df,0x263e413f,0x1be06884,
    0x5c36d7a0,0xbf03c86f,0x33002e88,0xcaa80000,0x04c08307,0x37e005f8,
    0x40db0099,0x403fb05f,0x30180181,0x02054401,0x360bf013,0xa850001f,
    0xefca942f,0xcfeccccc,0x40c8fe22,0x017a06d8,0x262fc800,0x03b17e04,
    0x01f95b50,0x43e56000,0xf804c300,0x95df0035,0x67f5c1bf,0xbf305f83,
    0x0c5d7550,0x3aaf20c0,0x08802205,0x97e60bf0,0x013ea6ea,0x05f805f5,
    0x2c5b60fb,0x741e7f5c,0xd0022005,0x5f80b11f,0xf1740076,0xfdcccf87,
    0x23e4aa03,0x74f75438,0x1cdf80ff,0x1be65f80,0xd02fc0d7,0x19ee2c8f,
    0x9f12e180,0xc882fc88,0x740bf02f,0x013a3647,0x05f805f5,0x2e7ea0fb,
    0x2f40d901,0x00bf2202,0xf801bbf3,0x2a001d8d,0x11449f10,0x3f2580bd,
    0xfc84eccc,0xef84f88b,0xfe8bf001,0x3f2a1ae1,0x3f60ccce,0xfb999f11,
    0x2f860065,0x817cc3ec,0x77e542f9,0x87f60ccc,0x64c26c6c,0x81ccdfdc,
    0xeaaaaaef,0x44173a07,0x25e809ec,0x005f307c,0xdbf009f7,0xd7730009,
    0x7007ec09,0x3a8fb337,0x262f46c8,0xd17e005f,0xbf035c3f,0x0f98fec0,
    0x7cc60060,0x3e20fdc1,0x3e05f102,0x6c87f605,0x0bea026c,0x33333bf0,
    0xfdccc8fb,0x3fae4ccd,0x0e65e83c,0x7d4017c4,0x7eefc00f,0x4e96e003,
    0xad803f70,0xb8287daa,0xbf952ec6,0xdf32fc00,0x817e06b8,0x405f10fe,
    0x87f31801,0x817c41f9,0x40bf02f8,0x9b1b20fe,0x7c02fa80,0x7cc0fb05,
    0x5e81b201,0x9805f100,0xafc05f9c,0x1f9803fd,0x00fe613a,0x7007c837,
    0x2fc65d8d,0xfbaef810,0xbf035c0e,0x8bd17e20,0x74300319,0x17c43dc5,
    0x0bf02f88,0xd8d917e2,0x2017d404,0xcc8fb05f,0x44ccdfdc,0x0817a06c,
    0x25880be2,0xd97e03fb,0xa9fcc03f,0x117a21cf,0x107c8588,0x217635c5,
    0xef85105f,0x31f7009a,0x07f60bf0,0x0c955df7,0x6c3f90c0,0xf102f883,
    0x7ec17e05,0x5ea8fdc1,0x3e017d40,0x7cc0fb05,0x20a3ee01,0x7c45105e,
    0x3fd03602,0x09fb17e0,0x1ec9efd8,0x2c8703f6,0x06c40fd8,0x5f85d8f9,
    0x037c4588,0x2fc0ffc4,0x7dc0bf62,0x060060cf,0x220799f9,0x205f102f,
    0x417ec45f,0x3ed9efe8,0xbf00fee0,0x1f981f60,0x3e07be20,0x3e20d886,
    0xdf305b02,0xfe85f881,0xdf700405,0x3227d999,0xdff711df,0x754bfb99,
    0x32ffa8bf,0xfddddff9,0x05ffeccb,0x77fecc00,0x0800bdcc,0x999999a8,
    0x44030299,0x7e441dfc,0x3bff661d,0x0c00bdcc,0x2efea801,0x10bffc98,
    0xda839ff7,0x64c002df,0x5feeeeff,0xea877f22,0x3ff220cf,0x17ff932e,
    0x02fbff66,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x202cffc9,0xfe806fd9,0xbdffb31d,
    0xdffd985b,0xfc982ddd,0xdffb31cf,0x93017bbd,0x9fb999df,0x6e677e4c,
    0x7ff931fe,0x873fee21,0xfeeeeefb,0x17ffd50f,0xfa977e44,0xfeeefeee,
    0xdbdffb33,0x3ffea019,0x001301ff,0x44c00003,0x0cc00000,0x54130000,
    0xf1006f80,0x07fd405f,0x44fb97e2,0x82fd45f8,0x445f887e,0x10bf01fd,
    0x8390bf09,0x390fb05f,0xff885f90,0x51546a80,0xbf11d45f,0x4c4077cc,
    0xabc81999,0x7d57505e,0x09f53754,0x7d4bb375,0x30dfc88e,0x7e56d49f,
    0x37766ee0,0x755e43b9,0x05e83e8d,0xdd81bfa0,0x0fe8bf07,0x40fe42fc,
    0x360bf06e,0x0305e81f,0x5f8110bf,0xf5050fb0,0x3613ea09,0x50bea140,
    0x017e45f8,0x9f12e022,0xc83f24b8,0x16342746,0x2243f8d9,0x3b90fe2e,
    0xf8971322,0x005e80be,0x32607ef6,0xfc8bf07d,0x17dc2fc1,0x305f8374,
    0x010bd0bf,0x17e0117e,0x77c403ec,0x3a87f600,0x7c02fa80,0xc881fdc5,
    0x3ec2f82f,0x46c8307a,0x810df84e,0x1a9b61f9,0x2c4f8854,0x3f617c48,
    0x6c00bd00,0x7d8d85f8,0xf86f8bf0,0x6e80fe85,0x43f40bf0,0x8bf0485e,
    0x1f60bf04,0xf1007f60,0x7d40162d,0x3fa2fc02,0xf30be600,0x1f31fb83,
    0x42746c80,0x29d03ffa,0x26092fc8,0x40e64ebb,0xfb83f31a,0xac00bd02,
    0x3ed221fc,0x07f915f8,0x1bd977df,0x02fc1ba0,0xccee83fb,0x99df04ec,
    0x2abbe0bb,0x5407eaaa,0x97f7004f,0x00bea003,0x03bd73bf,0x1fcc2f88,
    0x017cc7e6,0x2209d1b2,0x197b86fd,0x4b7071bb,0x8dc0e64e,0x80fcc3f9,
    0x7c56005e,0xf83ec724,0xbf00acbe,0x019f9533,0xd817e0dd,0x9512f41f,
    0x126677e0,0x4ccccefc,0x01be207d,0x54009fb0,0x7577c02f,0xd05f1006,
    0x22f47b8b,0x89d1b209,0xf107ee28,0x3033ea77,0x4162743f,0x81ee2f45,
    0xfc96005e,0x7c1f6588,0xf70bf005,0x17e0dd07,0x42f40fe8,0xf028bf02,
    0xfd81f60b,0x00fd4001,0x5f805f50,0x5f1009f3,0x21ec3f90,0x5c3b9efc,
    0x688bd51f,0xf07ec07c,0x3ea7f30b,0x64c7321c,0x0790fe44,0x258102f4,
    0x1f61bcf9,0x85f802fc,0xf06e87f8,0x3a1be20b,0x4017e005,0x2e0fb05f,
    0x7d40103f,0x00bea001,0x2017dcbf,0x99f902f8,0x19ff7107,0xee9efe88,
    0x0eeb7e23,0x6c0b224c,0x771ec9ef,0x87719bb3,0x7403dcfc,0x6c585105,
    0x5f83ec5f,0xdf30bf00,0x417e0dd0,0x105e81fd,0xbf005f85,0x17e61f60,
    0x03f50144,0x3e017d40,0xf1007ec5,0x01001805,0x00300218,0x10040081,
    0x20030080,0x220d886f,0x3f617cc6,0xbf006f80,0x6f82fd88,0x2fd88bf0,
    0x88360df0,0x05f8805f,0x201fd0fd,0x00bee01d,0x37c03fa8,0x32203be2,
    0x000001df,0x00000000,0x00000000,0xddddff93,0x05feccbf,0x8e7fdc4b,
    0x300bffd9,0xbdd9dffb,0x1bffc983,0xb99dffb3,0xbff93017,0x6ccbdb99,
    0xf9300bff,0x3fee217f,0xdddff91c,0x75c0ffdd,0xfeb802ef,0xbffd983e,
    0x002fbea0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0x40000301,0x00298040,0x09801883,0x00108006,0x0d400204,0x40310cc0,
    0x00000111,0x01302618,0x80000986,0x00800808,0x20066004,0x2a020202,
    0x13b3ea6f,0x7d45d755,0x320be62f,0x014c0320,0x957f7371,0xb59705d5,
    0x7b50019b,0x92200b6a,0x201a8048,0xbcbec9da,0x3ebfaa3e,0x7ee667c7,
    0x3ea9fd33,0x3f67faa2,0x20ffe99f,0x0ffe9eea,0x3ee2ffa6,0x88bf221b,
    0x0d300edd,0x4c81b762,0x3a607c40,0x32164dc2,0x5905ef46,0x883ea3dc,
    0x812e4b84,0xfa8ee029,0x44b71ee6,0x0f6e204f,0x77005ed4,0x806a01e4,
    0x3dcbf12f,0x288a2bf2,0x2bd117a2,0x3a2fc81c,0xfc89f12e,0xbe44f88b,
    0x45f301d8,0x15ec0f21,0x90001d04,0x6c9b1d1b,0x323cd2a2,0x33e22746,
    0x27c2fdcc,0xf50f9817,0x5d014c01,0x7ee677c4,0x87db8fe1,0xb3002dc8,
    0x225f1039,0xa806a01f,0xfb99df10,0xfd803dc5,0x703cf980,0x22ec6c8f,
    0x3ee2f46c,0x0be200d8,0x0d95c0ec,0x2aaa4b88,0x11aaaaaa,0x6c19bbb9,
    0x321f9322,0x03e62746,0x7c449f20,0xaa987f33,0x32aaacca,0x2604e83f,
    0x23f5572f,0x10001cd9,0x71fb83b9,0x32aaaa1f,0x6441aaac,0x03dc03fb,
    0x1f900fdc,0xd8d91ee0,0x717635c5,0x2f880bdf,0x26588298,0x552e9884,
    0x35555555,0x36166e54,0x36469aa2,0x005f113a,0xe88535f1,0xaa989d14,
    0x32aaacca,0x2605d87f,0x23f32abf,0x10001cd9,0x90fc85b7,0x32aaaa1d,
    0x36a1aaac,0x07b809f0,0x3b201fcc,0x46c8f705,0x17635c5d,0x4407f3f7,
    0x64094c2f,0x02b80640,0xf9d9fc80,0x35970b64,0x742746c8,0x276c0cc5,
    0x01f30f88,0xe8bd014c,0x77c4661f,0x37221ea3,0x03993002,0x807e23f1,
    0x743f101a,0x40f70c47,0x26e045e8,0x647b83f9,0xb1ae2ec6,0x05f77b8b,
    0xeefa8be2,0xa9620e65,0x40f203ab,0x1088f888,0x8fdc007d,0xaefb85ea,
    0x407f304a,0x29812a4a,0x7fc43f20,0x07e44aae,0x5edc4079,0x200cda80,
    0x3500b22c,0x7ec4be60,0x03dc4a9c,0x8ea381fb,0x323dc1fc,0xb1f22ec6,
    0x07f67c8b,0x99988be2,0x00c08020,0x206400cc,0x3a200198,0xb83ee9ef,
    0x03a00cff,0x9805c170,0x3afae202,0x221effaa,0x004cbecc,0x016d4f6a,
    0x500711c4,0x4677ec03,0x3aa0dffc,0x677dc0cf,0x47f53ecc,0x7fd32efc,
    0xf517fd51,0x22ffaa5f,0x9fd52ffa,0x6447ff71,0x000001df,0x00000000,
    0x00800860,0x4c000008,0x30101002,0x210000c4,0xec800000,0x4eeeeeee,
    0x00022044,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09800000,0x02008188,0x044b8104,0x6edc6604,
    0x34dddddd,0x6eeeedc3,0x37ae4ddd,0x6c493282,0xbbb10d88,0x3333221b,
    0x000ccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x41b106c4,
    0x66cc6aaa,0x23ddb61d,0x4c5f12fe,0x2000be63,0x4d2001fa,0x395bd711,
    0x4cfd43f2,0x1999912f,0x44444444,0x00000008,0x00000000,0x00000000,
    0x00000000,0x1b100000,0x1f3281b1,0xf76d9624,0x2f894c41,0x001dc7e6,
    0x0a400770,0x00081530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x9b880dd8,0x3217120f,0x7c170f54,0x2e143a21,0xdddddddd,
    0x00900144,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06ec4000,0xb120f8f4,0x054589d4,0x0000a89a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0d88d880,0xb327576c,
    0x070cc3b9,0xddd88070,0x00dddddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d88362,0x00000040,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01300000,
    0x00000031,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_20_latin_ext_x[560]={ 0,2,1,0,0,0,0,0,0,0,1,0,0,0,
1,0,0,2,0,0,0,0,0,0,1,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,2,1,1,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,0,0,0,0,2,1,-1,1,1,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_20_latin_ext_y[560]={ 16,3,3,3,3,3,3,3,3,3,3,5,14,11,
14,3,3,3,3,3,3,4,3,4,3,3,7,7,5,8,5,3,3,3,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,3,3,3,3,19,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,5,7,7,7,7,7,7,3,3,3,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,7,4,3,5,4,
3,3,4,3,3,7,8,11,3,2,3,5,3,3,3,7,4,9,15,3,3,7,3,3,3,7,0,0,0,0,
0,0,4,3,0,0,0,0,0,0,0,0,4,0,0,0,0,0,0,6,3,0,0,0,0,0,4,3,3,3,
3,4,4,3,7,7,3,3,3,4,3,3,3,4,3,4,3,3,3,4,4,6,7,3,3,3,4,3,3,4,
1,5,0,4,3,7,0,3,-1,3,0,4,0,3,0,3,4,3,1,5,0,4,0,4,4,7,0,3,-1,3,
0,4,0,4,3,2,-1,-1,4,3,0,4,1,5,0,4,4,3,0,7,4,3,-1,3,4,3,7,0,0,4,
3,3,3,4,3,4,3,0,3,4,7,0,3,3,3,7,1,5,0,4,0,3,3,7,0,3,4,7,0,3,
0,3,-1,3,3,7,0,3,4,5,0,3,4,5,0,4,1,5,0,4,0,3,0,3,4,7,-1,3,-1,3,
0,0,3,0,4,0,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,7,4,4,4,4,4,4,4,4,4,4,4,4,4,2,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,0,3,0,
3,0,3,-1,2,-1,1,-1,1,-1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_20_latin_ext_w[560]={ 0,3,6,9,9,15,14,3,6,6,7,10,4,6,
3,6,9,5,9,8,9,8,9,9,7,9,3,3,10,10,10,8,17,13,12,12,13,11,10,13,13,6,7,14,
11,16,14,13,10,13,13,9,11,13,13,17,13,13,11,5,6,5,9,11,3,8,10,8,10,8,8,9,9,5,
6,10,5,14,9,9,10,10,7,7,6,10,9,13,9,9,8,6,2,6,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,3,7,9,9,10,
2,7,6,14,6,9,10,6,14,11,7,10,6,5,3,9,10,3,4,4,6,9,13,13,14,8,13,13,13,13,
13,13,17,12,11,11,11,11,6,6,6,6,13,14,13,13,13,13,13,8,13,13,13,13,13,13,10,9,8,8,
8,8,8,8,12,8,8,8,8,8,5,5,6,6,9,9,9,9,9,9,9,10,9,10,10,10,10,9,10,9,
13,8,13,8,14,10,12,8,12,8,12,8,12,8,13,12,13,9,11,8,11,8,11,8,11,9,11,8,13,9,
13,9,13,9,13,9,13,9,13,9,6,7,6,7,6,7,7,6,6,5,13,9,7,7,14,10,10,11,5,11,
5,11,8,11,7,11,5,14,9,14,9,14,9,11,12,8,13,9,13,9,13,9,16,13,13,7,13,7,13,7,
9,7,9,7,9,7,9,7,11,6,11,8,11,6,13,10,13,10,13,10,13,10,13,10,13,10,17,13,13,9,
13,11,8,11,8,11,8,8,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,9,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,10,10,10,10,10,10,10,10,10,10,10,10,10,10,15,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,8,6,6,13,
9,13,10,13,10,13,10,13,10,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,8,17,12,13,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_20_latin_ext_h[560]={ 0,14,6,14,15,14,14,6,17,17,8,10,6,2,
3,14,14,13,13,14,13,13,14,13,14,14,10,13,10,4,10,14,17,13,12,14,12,12,12,14,12,12,13,12,
12,12,13,14,12,17,12,14,12,13,13,13,12,12,12,17,14,17,8,1,4,10,14,10,14,10,13,13,13,13,
17,13,13,9,9,10,13,13,9,10,12,10,10,10,9,13,9,17,17,17,3,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,13,16,14,10,12,
17,17,3,14,7,10,4,2,14,2,7,10,8,8,4,13,16,2,5,8,7,10,14,14,14,13,16,16,16,16,
16,16,12,17,16,16,16,16,16,16,16,16,12,17,17,17,17,17,17,8,14,17,17,17,17,16,12,14,14,14,
14,13,13,14,10,13,14,14,14,13,13,13,13,12,14,12,14,14,14,13,13,8,10,14,14,14,13,17,17,16,
15,12,16,13,17,13,17,14,18,14,17,13,17,14,16,14,12,14,15,12,16,13,16,13,16,13,16,14,18,17,
17,16,17,16,17,18,17,17,12,13,16,12,15,11,16,12,16,17,16,9,13,17,18,17,16,17,9,16,16,16,
17,13,13,12,13,12,13,17,13,16,13,17,13,13,14,13,16,12,17,13,17,14,14,10,16,13,16,13,16,13,
17,14,18,14,17,13,17,14,17,16,16,14,12,12,17,13,16,12,17,13,17,14,17,14,16,13,18,14,17,17,
16,16,13,16,12,16,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,17,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,10,12,12,12,12,12,12,12,12,12,12,12,12,12,15,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,14,16,13,17,
14,17,14,18,15,18,16,18,16,18,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,18,17,14,18,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_20_latin_ext_s[560]={ 167,252,156,113,207,164,119,168,246,130,235,
41,163,229,218,137,211,42,196,33,218,228,12,246,143,11,251,38,76,181,87,
21,75,57,41,151,61,75,87,32,98,54,98,239,1,13,120,123,30,1,150,
22,138,106,144,158,225,124,112,192,99,234,208,177,192,224,50,182,30,12,202,
198,176,186,185,211,192,159,174,172,222,240,132,202,70,191,21,210,149,88,140,
212,233,236,207,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,167,198,132,
133,233,188,253,67,222,42,141,31,196,229,74,236,148,108,201,218,177,10,215,
251,172,243,248,98,19,189,212,166,49,190,80,97,111,83,19,57,16,40,28,
193,179,158,151,125,137,213,70,192,131,15,43,132,143,1,222,198,174,205,59,
221,153,144,67,20,71,41,119,29,10,1,247,167,18,24,48,218,201,37,182,
172,162,186,157,224,66,112,101,90,226,152,15,245,240,1,52,116,28,94,1,
203,126,180,84,175,145,134,240,106,77,89,228,91,30,1,75,237,94,67,106,
78,139,236,93,140,55,161,69,80,117,107,174,208,87,129,171,164,42,121,22,
206,1,195,184,158,104,122,175,111,184,137,131,119,228,145,125,206,245,47,88,
40,216,1,176,137,38,55,65,9,165,111,26,206,29,123,87,52,8,237,226,
80,105,1,243,57,29,239,212,30,188,231,162,186,219,104,162,199,97,77,231,
151,43,105,14,56,240,1,66,134,62,227,178,168,161,149,157,63,10,132,48,
135,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,76,100,100,57,
100,100,100,100,100,100,100,100,100,100,100,100,100,194,243,100,100,100,100,100,
100,100,100,100,100,100,100,100,178,1,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,118,192,
144,233,219,46,198,241,153,217,39,94,112,204,90,150,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,1,53,167,61,15,1,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100, };
static unsigned short stb__times_20_latin_ext_t[560]={ 19,109,218,139,92,109,109,218,39,39,208,
208,218,218,218,124,124,168,139,139,153,153,124,153,109,109,168,168,208,218,208,
109,20,168,195,109,195,195,195,124,195,195,168,182,195,195,168,124,195,21,195,
124,195,168,168,168,182,195,195,1,109,20,208,223,218,195,109,195,109,208,168,
153,168,168,1,168,168,208,208,195,168,168,208,195,182,195,208,195,208,168,208,
1,1,1,218,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,19,168,92,
139,195,182,1,20,218,139,218,208,218,218,109,218,218,208,208,208,218,168,75,
179,218,208,208,208,139,109,109,153,92,75,75,57,57,57,182,39,75,75,75,
57,57,57,57,57,182,20,39,20,20,20,20,218,139,57,39,39,39,57,182,
124,124,124,124,168,168,109,208,168,139,139,124,139,154,154,154,182,124,182,124,
124,124,139,139,208,208,124,124,124,139,39,57,57,92,182,75,154,39,154,39,
109,1,109,39,153,20,109,75,109,182,109,92,182,92,168,92,153,92,154,92,
139,1,39,20,92,57,92,57,1,20,20,182,153,92,182,92,195,92,182,92,
20,92,208,153,20,1,39,75,39,208,75,75,75,20,154,154,182,139,182,154,
57,139,75,139,39,154,154,139,154,57,182,57,139,20,139,139,208,92,139,75,
168,75,154,1,139,1,124,39,154,39,124,39,57,57,139,182,182,39,154,57,
182,39,154,39,124,20,124,75,154,1,109,20,20,75,75,153,92,182,57,168,
168,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,124,182,182,20,
182,182,182,182,182,182,182,182,182,182,182,182,182,92,195,182,182,182,182,182,
182,182,182,182,182,182,182,182,92,208,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,92,124,
57,168,1,124,1,109,1,92,1,75,1,75,1,92,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,1,1,1,109,1,109,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182, };
static unsigned short stb__times_20_latin_ext_a[560]={ 72,96,118,144,144,241,225,52,
96,96,144,163,72,96,72,80,144,144,144,144,144,144,144,144,
144,144,80,80,163,163,163,128,266,209,193,193,209,177,161,209,
209,96,112,209,177,257,209,209,161,209,193,161,177,209,209,273,
209,209,177,96,80,96,136,144,96,128,144,128,144,128,96,144,
144,80,80,144,80,225,144,144,144,144,96,112,80,144,144,209,
144,144,128,139,58,139,156,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,72,96,144,144,144,144,58,144,
96,220,80,144,163,96,220,144,116,159,87,87,96,166,131,72,
96,87,90,144,217,217,217,128,209,209,209,209,209,209,257,193,
177,177,177,177,96,96,96,96,209,209,209,209,209,209,209,163,
209,209,209,209,209,209,161,144,128,128,128,128,128,128,193,128,
128,128,128,128,80,80,80,80,144,144,144,144,144,144,144,159,
144,144,144,144,144,144,144,144,209,128,209,128,209,128,193,128,
193,128,193,128,193,128,209,187,209,144,177,128,177,128,177,128,
177,128,177,128,209,144,209,144,209,144,209,144,209,144,209,144,
96,80,96,80,96,80,96,80,96,80,205,160,112,80,209,144,
144,177,80,177,80,177,117,177,99,177,80,209,144,209,144,209,
144,175,203,143,209,144,209,144,209,144,257,209,193,96,193,96,
193,96,161,112,161,112,161,112,161,112,177,80,177,123,177,80,
209,144,209,144,209,144,209,144,209,144,209,144,273,209,209,144,
209,177,128,177,128,177,128,80,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,209,225,225,144,225,225,225,225,225,
225,225,225,225,225,225,225,225,209,153,225,225,225,225,225,225,
225,225,225,225,225,225,225,224,157,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,209,128,96,80,209,144,209,144,209,144,209,
144,209,144,209,144,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,209,128,257,193,209,144,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_20_latin_ext_BITMAP_HEIGHT or STB_FONT_times_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_20_latin_ext(stb_fontchar font[STB_FONT_times_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_20_latin_ext_BITMAP_HEIGHT][STB_FONT_times_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_20_latin_ext_s[i] + stb__times_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_20_latin_ext_t[i] + stb__times_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_20_latin_ext_x[i];
            font[i].y0 = stb__times_20_latin_ext_y[i];
            font[i].x1 = stb__times_20_latin_ext_x[i] + stb__times_20_latin_ext_w[i];
            font[i].y1 = stb__times_20_latin_ext_y[i] + stb__times_20_latin_ext_h[i];
            font[i].advance_int = (stb__times_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_20_latin_ext_s[i] + stb__times_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_20_latin_ext_t[i] + stb__times_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_20_latin_ext_x[i] + stb__times_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_20_latin_ext_y[i] + stb__times_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_20_latin_ext_LINE_SPACING
#endif

