// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_26_latin_ext_BITMAP_HEIGHT        180
#define STB_FONT_times_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_26_latin_ext_NUM_CHARS            560

#define STB_FONT_times_26_latin_ext_LINE_SPACING          17

static unsigned int stb__times_26_latin_ext_pixels[]={
    0x00079500,0x02006000,0x00000000,0x10000140,0x01280013,0x20088040,
    0x0ee80001,0x0e659000,0x000c0600,0x30002f44,0x00000060,0xffffa800,
    0x5970001f,0x88008800,0x01008000,0xea803018,0x9973000e,0xd5005999,
    0xccc8801d,0xcccccccc,0x0602602c,0x000e6400,0x80003001,0x32002ee8,
    0x1774c05e,0x0007f400,0xfc8005dc,0x20017302,0xfd8004fd,0x22191003,
    0x93000715,0x17995579,0x00baac40,0x1be217e4,0x80009f93,0x74400058,
    0x1b30006f,0x5880006c,0xc87a2000,0x7fb00001,0x6664c000,0xf98000cc,
    0xfda800ff,0x003fcc02,0x1006a064,0x3a006c1d,0x7fd405fd,0x100190ff,
    0xf8809fbf,0xacffaabd,0x0f404fcb,0xbf300039,0x4417e400,0x640006fc,
    0xf9800fee,0x3b7602fd,0x00fc4006,0x2e001cc0,0x4003b81f,0x4f88005f,
    0x2c41b500,0x7b1003b1,0x88064401,0x3f500f45,0x4fc98bd0,0x1442a000,
    0x0510a800,0x0fabf200,0x02885400,0x09b5f700,0x002fc000,0x00288540,
    0x809d15d0,0x4402fe98,0xef98006f,0x5f9006fd,0xd33b807b,0x3fffea03,
    0x7900190f,0x859807a6,0x2024c1fe,0x0005cbfa,0x1fa800d7,0x0006fb98,
    0xd804d966,0x456a0d51,0x00ae003d,0x000275c0,0x1a6000f8,0x9802d400,
    0x034c5886,0x0c8007a6,0x0025c588,0x0013e600,0x00fc9fcc,0x0fc9fcc0,
    0x06ff8800,0x3f27f300,0x1ffd0000,0x01aa0000,0x7e4fe600,0x32154000,
    0x002fc801,0x67ed4000,0x0dff1000,0xe81c4288,0x190fffff,0x01c42880,
    0x703fd053,0x001ffb00,0x00000360,0x1c000df1,0x9835005c,0x000b8383,
    0xf1000155,0x1f50000f,0x80005c00,0x107d1003,0x3a60990b,0x440c8000,
    0x00007dc5,0x40009f30,0x14000a22,0x4c400051,0x288a0000,0x00262000,
    0x0000b800,0x40014450,0x5f900100,0x00000000,0x00004c40,0xffffff10,
    0x00000321,0x0081fe80,0x20000988,0xf8800000,0x00000006,0xb3000000,
    0x000001d5,0x000fe400,0x80188000,0x985880fb,0x0002e81f,0x7e458853,
    0x3e600001,0xcccca804,0xcccca82c,0x59999951,0x23999950,0x82ccccca,
    0x951cccca,0x95059999,0x5cc03999,0x0001bded,0x99950000,0x99950599,
    0x76dcc039,0x2fc801bd,0x00166540,0x22f7b6e6,0x9bd91038,0x66540915,
    0x3ffffe02,0x7300190f,0x07117bdb,0x20007fa0,0x171bdeb9,0x80333322,
    0x001cccca,0x4c0006f8,0x8171bdeb,0x73ccccc9,0xccb89999,0x01d43602,
    0x0e4c0000,0x2e600bee,0x0360cded,0x3e02e6d4,0x1be0b105,0x332e20b7,
    0x162246c9,0x072601fb,0x29f30b71,0xff880cc9,0x07ba201e,0x4403dff1,
    0x77fc41ee,0x107ba201,0x74403dff,0x42bf201e,0xb8003fb8,0xcccccccc,
    0xff883ccc,0x07ba201e,0xf710afc8,0x502fc807,0x3fffe63f,0x2139f501,
    0xf983ffa8,0x85fea89c,0xffff31fa,0x7ffffec3,0x67d40190,0x07ff5109,
    0xb8007fa0,0xfdb88acf,0x02ffd41f,0x326037a2,0xcc89be01,0x59f700cc,
    0x03ffb711,0xfd887ff6,0x2b809d06,0xcca80039,0x17fe4402,0x5f900fea,
    0x01e67dc4,0x3fa80dcb,0x83f60b10,0x7e45d02f,0xfd162245,0x545ff910,
    0xacf986fe,0xfd83ffff,0xfb04d805,0x3609b00b,0xb04d805f,0x409b00bf,
    0x0bf300fe,0x5dfdf300,0x20db5555,0x04d805fd,0x2fcc03fa,0x1b605f90,
    0x27cc05fb,0x0bb09f10,0xd8db0bd1,0xfffe882f,0x3e60190f,0x4013e204,
    0x7f7001fe,0x7d40fdc0,0x221ec04f,0x1be02ffc,0x1fdc05f7,0x3ee03f70,
    0x1f07f886,0x4005f900,0xffff31fa,0xf30bf203,0x403fa201,0xc86407fa,
    0x2207f900,0x3ea3f905,0x17dc5d80,0x35c58832,0x6f885f90,0xf914ef98,
    0x804fc83f,0x009f903c,0x013f2079,0x027e40f2,0x03fc81e4,0x26001fe4,
    0x41605fbe,0x03c804fc,0x3fc807f9,0x9f305f90,0x9f304fa8,0x2f989700,
    0x44f98b30,0xfd9104fa,0x3e60321f,0xd004b804,0x0bf7003f,0xfff305b0,
    0xfc816405,0x0e99be02,0x36017ee0,0x320bf502,0xa802542f,0xb1b6000f,
    0x42fc805f,0x80ff205b,0x36203ff9,0x40bf603e,0x327f7058,0x7ec0fc86,
    0x3e2042c0,0xdf05f900,0x9fb0bf30,0x3c804fc8,0x79009f90,0x32013f20,
    0x9009f903,0x801ff507,0x32001ff9,0x40a05faa,0x83c804fc,0x7cc00ffa,
    0xa82fc81f,0x4427cc6f,0xb89001ff,0xdf51605f,0x19004f98,0x03ff1032,
    0x0ff40120,0x2003fe20,0xffcd9829,0x3f205901,0x06d5be02,0x3001ff10,
    0x4417ea05,0xe800ec6f,0x89f3004f,0x17dc04fa,0x07fcc055,0x01ffae88,
    0x880ff400,0x136bf705,0x90df07f3,0x2e06e200,0xf986f82f,0x7e46fa84,
    0xf903c804,0x32079009,0x903c804f,0x9079009f,0x13fa00bf,0x05fab440,
    0xc804fc80,0xd005fc83,0x205f909f,0x207ee0ff,0x260006fa,0xf8180dff,
    0x4007ee0f,0x6fa8190c,0x1fe80000,0x1003fd40,0x03bf6b30,0x017dc0b2,
    0xf500d7df,0xfa80400f,0x344bf205,0x007ff980,0x04f98df5,0x404c97dc,
    0x747a05fd,0xbdca884f,0x2203ff01,0x0badf505,0x987f30f9,0x2e0f4003,
    0xf986f82f,0x7e46f984,0xf903c804,0x32079009,0x903c804f,0xd079009f,
    0x17f6009f,0x05fa9640,0x4027e407,0x004fe83c,0x05f90bfb,0x13a633e6,
    0x200027ec,0x9802fffc,0x004e98cf,0x3f606432,0xfe800004,0x002fe401,
    0x2ff45660,0x02fb8164,0x900ffbbe,0xf50000bf,0x2cb7c40b,0x05fd5900,
    0x1fb83fe0,0x19317dc0,0x1e413fa0,0x33f88bfb,0x03fd01fd,0xdafdc162,
    0x0ff42f41,0x05cc0072,0x437c17dc,0x45f884f9,0x03c804fc,0x079009f9,
    0x0f2013f2,0x1e4027e4,0xfd801ffc,0x3ea68807,0x3f204985,0xff83c804,
    0x90ffb003,0x1656405f,0xa880ffe0,0x7e41aaaa,0x56401eff,0x90c8002c,
    0x2203ff81,0x401aaaaa,0x27f401fe,0xf9966000,0xfb81644f,0x3fe3be02,
    0x0013fa01,0xfb017ea0,0x5de200d5,0x19f3006f,0x5f7009d3,0x07ff06a8,
    0x647fc897,0x320ff20f,0x2e0b102f,0x27c4774f,0x20931fae,0xfb807cc2,
    0x4f986f82,0x27e44fa8,0x4fc81e40,0x9f903c80,0x3f207900,0x7c43c804,
    0x0ff9003f,0x677d4590,0x3204fdcc,0x443c804f,0xff9003ff,0x0b605f90,
    0x2027fc40,0xd302ffd8,0x0b609fff,0x83219000,0x6c404ff8,0x2ff802ff,
    0x000ffe20,0x2ffa8b30,0x017dc0b2,0x203beadf,0x80003ff8,0x7fcc05fa,
    0x3e297004,0x5959001f,0x2617dc00,0x21ffc41f,0x5c7fc869,0x7dc1fd45,
    0x3f20b103,0x72fc4b33,0x882c4bd3,0x5f703645,0x0bf30df0,0x04fc81f9,
    0x09f903c8,0x13f20790,0x27e40f20,0x27fc1e40,0x4c06fd80,0x4ccf7d46,
    0x13f204da,0x13fe0f20,0x7e437ec0,0xcccef982,0x05ff80ac,0xfb807fb8,
    0x677cc5ff,0x9000accc,0x0bff0321,0xf100ff70,0x04ff807f,0x7dc2cc00,
    0x3ee0591f,0x7dcdf102,0x0009ff06,0xfb00bf50,0xfc83a003,0x0002d805,
    0x83fa85f7,0x203a25fe,0x3ae205fd,0x104f984f,0x4783f60b,0x3fb1eefe,
    0x8b1241b9,0x20ff207e,0x20ff986f,0x04fc84f8,0x09f902c8,0x13f20590,
    0x27e40b20,0x2ff41640,0x6c04fe80,0x85feeeee,0x013f2048,0x017fa0b2,
    0x1fe427f4,0xffffffd8,0x403ff43f,0xfb1006fa,0xffffd85f,0x0c803fff,
    0x807fe819,0x7f5c06fa,0xdfd01cff,0xb0598000,0x320591ff,0xe8ff103f,
    0x006fe85f,0xa805fa80,0xf98b5006,0x33be600f,0x5c00accc,0x6c17dc2f,
    0x7f407a6f,0xfa9dc884,0x1620dd04,0xb887627c,0x702ee20a,0x03f62c43,
    0xdf0fbfee,0xf99ddf30,0x2017ee07,0x00bf701c,0x017ee039,0x02fdc072,
    0x037e40e4,0x16602ff8,0x700c17ea,0x903900bf,0x0bfe00df,0x1907dff7,
    0x71f2a666,0x6fa803ff,0x89fb0054,0xf953330c,0x70321900,0x6fa803ff,
    0x3fe40000,0xe8166000,0xffb82cef,0x67fed43e,0x22effd89,0xa80007fc,
    0x002c805f,0x807fb03b,0xfffffffd,0xf907ee03,0x5b1ff703,0x3a217fc0,
    0x7cc13ea3,0x1fa85880,0xb10002d4,0x00fe4588,0xa7cc37c0,0x037d4019,
    0x06fa8074,0x0df500e8,0x1bea01d0,0x3fa203a0,0x202fd402,0x005fa81e,
    0x0e806fa8,0x5402fe88,0x3201105f,0x2ff42c03,0x0751bea0,0x80792fd4,
    0x0190c805,0x6fa80bfd,0x8801bb00,0x828803ff,0x3ffe2059,0x4c007502,
    0x01ffc400,0x03fa8144,0xef980344,0x06feeeee,0xca999864,0xf503ee07,
    0x8137fa01,0x546e85fa,0x220f204f,0x07904d85,0x5881b100,0x5f8003dc,
    0x22004f98,0x816e01fe,0x16e01fe8,0x2e01fe88,0x807fa205,0x01bea05b,
    0x82d401fd,0x205c05fa,0x16e01fe8,0x7f406fa8,0xf889fb00,0x3ea0aa04,
    0x51bea03f,0xf89fdc0d,0x3200aa04,0x7ff50190,0xf8037d40,0x1ffb803f,
    0x02cc1220,0x26c0bfe6,0x401ff880,0x92201ffb,0x105f50b8,0x16400b21,
    0x0f205ff0,0xe83640b0,0xe80ff301,0x2a3fc40e,0x2207404f,0x0f202cc5,
    0x5880d980,0x7c400264,0x4004f982,0x75c40ef9,0x2077cc00,0x7cc00eb8,
    0x0075c40e,0xd7103be6,0x885fa801,0x80f401ed,0x416205fb,0x75c40ef9,
    0x442fd400,0x436c01ed,0xecabdefe,0x40bfa605,0x077d46fb,0xbdfd1be2,
    0x200bd957,0x3a60190c,0x00df702f,0xffa800cc,0xa806440a,0x902fb807,
    0x0fe2005f,0x102bfea0,0x5cafd419,0x005fff88,0x85fb80d1,0xc8aa04f8,
    0x12a05b2f,0x6c42ff4c,0x939fd01e,0x22035dfb,0x0da9620c,0x301bda80,
    0x8962017b,0x8df8800d,0x00bf5069,0xdd9dfd30,0x3fa60019,0x000ceece,
    0x9dd9dfd3,0x3bfa6001,0x1000ceec,0x09db79db,0x37e40f90,0x3a603e98,
    0x00ceecef,0xdb79db10,0x107d3009,0x03bdfd95,0x32f7fb20,0x6e540bfe,
    0x40cfecef,0x1defeca8,0x00643200,0x3b2f7fb2,0x093000bf,0xdeffd980,
    0xffc880bd,0x8816402d,0x7100dffd,0x3f66001f,0x440bddef,0xfd00cdff,
    0x01320017,0xdfd03ff1,0xa8bd957b,0x1a801dfe,0x37f223a2,0x74c04edb,
    0x02ff8aff,0x0a6b10a8,0x3372a200,0xac400bdc,0x77ec002a,0x19ffd704,
    0x01531000,0x0054c400,0x00153100,0x00054c40,0x22002a20,0x3261dffd,
    0xfeeeffff,0xa98800ff,0x05440000,0x0000a980,0x01353000,0x0026a204,
    0x80000000,0x080009a9,0x004c4000,0x04008000,0x10001540,0x00130013,
    0x802f9800,0xeca886ff,0x00001def,0x002a6060,0x00000810,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x209dfd70,0x02efffd9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00603000,0x00002010,0x40005dd3,
    0x103100c1,0x02ca8001,0x164cf200,0x003ca800,0x00033220,0x8000cc88,
    0x4c000100,0x3ed8803c,0x000ef980,0x64c00080,0xb8001972,0x6440001c,
    0x07320004,0x90017b20,0x33220039,0x400264c0,0x303102cb,0x159bd910,
    0x710b8809,0x01991001,0x01873220,0x0b33332a,0x2073332a,0x14001818,
    0x99300044,0xc83a2000,0x2a154001,0x76ec0002,0x25fd0006,0x26f602fd,
    0xef8005b9,0x25f30000,0xfd0000fc,0x4cec0001,0x3ff20005,0x542a8004,
    0x07f60002,0x003fbb20,0x6c4003f9,0x7000a1ef,0x20017a1f,0xc80005f9,
    0x5f88002f,0x02fdf980,0x200dff70,0x03fb03fa,0x36037c40,0x39f30ea2,
    0xd80bfd51,0xb007fb3f,0x376009ff,0x44049dff,0x3a201eff,0x3a8f201e,
    0x0b125400,0x0002fc80,0x00136bee,0x0037f7fc,0x01ec56a0,0x1fc8fec0,
    0x07fffe60,0x0003f300,0x0005d2d4,0x880007e6,0x26000365,0x8001fa8e,
    0x0006feff,0x86c4017c,0x0017404c,0x377ff2ea,0xf89e4001,0x00f50000,
    0x20013600,0x51d800eb,0xd33d100d,0xe80bb007,0x003aa004,0xbb0d79f1,
    0xda80bd10,0xe9803b51,0x31800fb8,0xfb005ffb,0x8809b00b,0x8000fbcf,
    0x4001eaee,0xfe80003f,0xd710000f,0x83800017,0x0000000b,0x70001771,
    0x20c80005,0x00ae0005,0x016ab600,0x00930640,0x0017d710,0x83801cc0,
    0x0007301b,0x00176443,0x8000732c,0x5880002b,0xa800d800,0x86e014c0,
    0x402c00d8,0x00360058,0x3e617fe4,0x0000b302,0x00093120,0x13f20011,
    0x3ee00f20,0xff30003f,0x0049800b,0x00013100,0x00000000,0x00000000,
    0x040000c0,0x00180002,0x0000aa00,0x00000010,0x00000080,0x00000000,
    0x20000104,0x00100001,0x80000010,0x00440100,0x00060008,0x40bf7033,
    0x6f6dcc05,0x2208001b,0x2a00cccc,0x7e41cccc,0x3003c804,0x09880003,
    0x91000400,0x65401999,0x2e601ccc,0x2a01bded,0x9913cccc,0xcca85999,
    0x8999974c,0x99502ccb,0x76dcc005,0x332a01bd,0xcca82ccc,0x999951cc,
    0x99995059,0x333332a3,0x1cccca82,0x05999995,0x2a399995,0xa82ccccc,
    0x4c01cccc,0x0171bdeb,0x99970726,0x952ccb89,0x95059999,0x5cc03999,
    0x4001bded,0x01bdedb9,0x0b33332a,0x1073332a,0x09159bd9,0x9159bd91,
    0x6666664c,0x221ccccc,0x10bccccc,0x21799999,0xccccccc9,0x3221cccc,
    0xf30bcccc,0x640301bf,0x07f710af,0x2f333322,0x202ffd40,0x4fc80de8,
    0x664c3c80,0x009abccc,0x66666644,0x32cccccc,0x35799999,0x0bff5001,
    0x3200de88,0x07f710af,0x3622ffcc,0x49f101ff,0x09d06fd8,0x3ffe63f5,
    0x215f901f,0x3e203fb8,0x3ba201ef,0x00f7fc41,0xff883dd1,0x07ba201e,
    0x4403dff1,0x77fc41ee,0x807ba201,0xdb88acfb,0x7fe441ff,0xe837ec42,
    0x00f7fc44,0x7e403dd1,0x007f710a,0x7dc42bf2,0x07bfe203,0x7cc1ee88,
    0x45fea89c,0xfea89cf9,0xaaaffc85,0xfc83fbaa,0x07ff903f,0x2aaabff2,
    0xffc83fba,0x02fffc83,0x3e601fd0,0x80fff205,0x1ec04ffa,0x3c804fc8,
    0xcabffd88,0xbf100cff,0x759ff557,0x7fec49f9,0x00cffcab,0x36027fd4,
    0x4c03fa03,0x217f605f,0x1f101ff9,0x01f07f88,0x202fd8db,0x0bf300fe,
    0x26c02fec,0x4d805fd8,0x9b00bfb0,0x36017f60,0x900bfb04,0x701fdc09,
    0x20bf203f,0xb01f07f8,0x409b00bf,0x0bf300fe,0xbf300fe8,0x6c02fec0,
    0x5e885d84,0x42f442ec,0x212606fa,0xff300ff9,0x981bea01,0x900ff984,
    0x6403dfff,0x81fe403f,0x3e600ff9,0x40b202ff,0x03c804fc,0x6fe88df7,
    0x83fd0b30,0x2237dc49,0x7fcc06fe,0x640b202f,0x81fe403f,0x07fd07fa,
    0x217e412a,0x544f984a,0x807f904f,0x09f903fc,0x13f20790,0x27e40f20,
    0x4fc81e40,0x9f903c80,0x3ee07900,0xf902d805,0x950bf205,0x32013f20,
    0xc807f903,0x807f903f,0x09f903fc,0x02f98790,0x9817ccb3,0x1c06f985,
    0xff103fc4,0x0e037cc0,0xfd301fe2,0x1ff509ff,0x881ff980,0x7e6cc07f,
    0x3205901f,0x503c804f,0x01ff70df,0x703fd053,0xffb86fa8,0x3ff36600,
    0xff505901,0x01ff9801,0x0df705ff,0x237c40b6,0x4c6fa81d,0x00ffa84f,
    0x7e40ffcc,0xf903c804,0x32079009,0x903c804f,0x2079009f,0x83c804fc,
    0x29800ff8,0x3e205f70,0x4fc80ec6,0xffa83c80,0x20ffcc00,0x7cc00ffa,
    0x804fc81f,0xb02fdc3c,0x30b02fdc,0xff1000df,0xf303fc40,0x0ff1000d,
    0x917ffee0,0x13fa00bf,0x2b301fe2,0x02c80efd,0x079009f9,0x3fe21bea,
    0x207fa003,0x7c437d40,0x7ed6603f,0xfc82c80e,0x209fd005,0x0ffb85fc,
    0x897e4068,0xfb83fe06,0xd005fc81,0x009f909f,0x013f2079,0x027e40f2,
    0x04fc81e4,0x09f903c8,0x0ff50790,0x02fb8040,0x90344bf2,0x9079009f,
    0x13fa00bf,0x3fa00bf9,0xc804fc84,0x406ffcc3,0x2037fe61,0x1306f981,
    0xf881fe20,0x4c1be607,0x400ff100,0x3fa2ffd8,0x10bfb004,0xd15980ff,
    0x320590bf,0x502c804f,0x01ff70df,0x5400ff40,0x00ffb86f,0x42ff4566,
    0x004fe82c,0x1fe60bfb,0x0950ffba,0x40596f88,0x04e98cf9,0x3f6009fd,
    0xc804fc85,0x9009f903,0x2013f207,0x009f903c,0x013f2079,0x017f20f2,
    0x880bee00,0x7e40596f,0xfe83c804,0xe8bfb004,0x0bfb004f,0x079009f9,
    0xc805fff9,0xf9802fff,0x3e201b06,0x981fe207,0x2201b06f,0x3600a87f,
    0x400ffe4f,0x07f887fd,0x89ff32cc,0x00bf702c,0x21bea039,0x7f4005fe,
    0xe86fa801,0xf32cc05f,0xff82c89f,0x40ffb003,0x3eba22fe,0x7ec00ec6,
    0x2cac806a,0xd801ffc0,0x804fc87f,0x009f903c,0x013f2079,0x027e40f2,
    0x04fc81e4,0x04fe83c8,0x402fb800,0x7e406afd,0xff83c804,0xf8ffb003,
    0x0ffb003f,0x079009f9,0x807bfff2,0x201efffc,0xeccccff9,0x40ff100f,
    0x3fe607f8,0x00fecccc,0x40750ff1,0x07ff15fa,0x3e21ff20,0x3ea2cc07,
    0x7d40b22f,0xf500e806,0x00ff662d,0x2a007fa0,0x07fb316f,0x2ffa8b30,
    0x07ff10b2,0xfb81ff20,0x47fe2ee5,0x9ff30068,0xf1002d80,0x1ff2007f,
    0x0f2013f2,0x1e4027e4,0x3c804fc8,0x79009f90,0x32013f20,0x001ffc43,
    0x26017dc0,0x27e404ff,0x3fe21e40,0x44ff9003,0xff9003ff,0x79009f90,
    0x27fff4c0,0x09fffd30,0x2a667fe6,0x0ff100fb,0xff303fc4,0x01f75333,
    0x81aa1fe2,0x013fe3fb,0x3fc437ec,0x3fee1660,0x3fa20591,0xfa816e01,
    0x000ffeef,0xf5003fd0,0x001ffddf,0x47fee166,0x004ff82c,0x7fc40dfb,
    0x553f61d0,0x807f6004,0xaccccef9,0xb004ff80,0x009f90df,0x013f2079,
    0x027e40f2,0x04fc81e4,0x09f903c8,0x09ff0790,0x005f7000,0x4fc803fb,
    0x4ff83c80,0xff8dfb00,0x90dfb004,0x0079009f,0xb80bfff7,0x6f985fff,
    0x1fe20170,0x3e607f88,0x3e201706,0x440efa87,0x802ff46f,0x07f884fe,
    0x8ffd82cc,0x03be602c,0x7d401d71,0x0007fd16,0x3ea007fa,0x2007fd16,
    0x91ffb059,0x200bfd05,0x57f404fe,0x0edbea59,0xfb00d500,0x87ffffff,
    0x9fd005fe,0x59009f90,0x32013f20,0x9009f902,0x2013f205,0x009f902c,
    0x00dfd059,0x5005f700,0x009f900d,0x00bfd059,0x0bfd13fa,0x3f213fa0,
    0x1002c804,0xd8805ffb,0x837cc2ff,0x40ff1008,0x1be607f8,0x87f88044,
    0xfecefdca,0x8037e40c,0x07f882ff,0x9dfd02cc,0xcefe9805,0x7d400cee,
    0x0007fe66,0x3ea007fa,0x2007fe66,0x33bfa059,0xf006fc82,0xcdfb805f,
    0x00357fc2,0x4c3200b2,0x7e47ca99,0x705ff006,0x203900bf,0x01c805fb,
    0x03900bf7,0x072017ee,0x0e402fdc,0x40003fe4,0x02c801fb,0x1c805fb8,
    0xff006fc8,0xf006fc85,0x00bf705f,0x3600a839,0x7ec0154f,0x40037cc4,
    0x1fe207f8,0x88006f98,0x4ecc087f,0x805fd100,0x0ff105fa,0x3fe20598,
    0x3d31002f,0x2e37d400,0x1fe8006f,0x7dc6fa80,0x22059806,0xfe882fff,
    0x402fd402,0x7e40fff8,0x01a2004f,0xe88b00f2,0x82fd402f,0x00e806fa,
    0x01d00df5,0x03a01bea,0x074037d4,0x0e806fa8,0x8803ff88,0x8801f902,
    0x00df5006,0x05fd101d,0xfe885fa8,0xa82fd402,0x540e806f,0x1d57ea03,
    0x6f98bf50,0x03fc4380,0x37cc0ff1,0x01fe21c0,0xdf500ff2,0xf100fe80,
    0x4c05980f,0x17c002ff,0xfd0df500,0x01fe8009,0x4fe86fa8,0x3e602cc0,
    0x80df502f,0xbfb000fe,0x8803ff30,0x4f880590,0x1bea0aa0,0x3a201fd0,
    0x8816e01f,0x816e01fe,0x16e01fe8,0x2e01fe88,0x807fa205,0x07fee05b,
    0x41b20488,0x22005908,0x816e01fe,0x07f406fa,0x7f406fa8,0x403fd100,
    0x2e06a85b,0x7dc0d53f,0x32037d43,0xf303fcc2,0x2037d40f,0x803fcc2c,
    0x85fa806e,0x3e601ed8,0x5c03d407,0x0f74002f,0xf886fa80,0x0bfe003f,
    0x3e21bea0,0x201ea03f,0x17ea02fb,0xa8007b62,0x880df02f,0xfd005fff,
    0x0bd957bd,0x76c42fd4,0x2077cc01,0x7cc00eb8,0x0075c40e,0xd7103be6,
    0x40ef9801,0x7c400eb8,0x0075c41e,0x9102bfea,0x82e97641,0x4005fff8,
    0x75c40ef9,0x442fd400,0x2fd401ed,0x2600f6c4,0x075c40ef,0x3e2077d4,
    0xf103bea6,0x5c0ff50d,0x500ffa87,0x1fea01ff,0x0ffa87b8,0x88017cc0,
    0x04edbced,0xc880ffa8,0x16402dff,0x13bfa600,0x3ea0ff70,0x3ff8802f,
    0xf507fb80,0xdffc885f,0x22016402,0x04edbced,0x0f207880,0x4002ffa0,
    0x1defeca8,0xdbced880,0x3fa6004e,0x000ceece,0x9dd9dfd3,0x3bfa6001,
    0x3000ceec,0x19dd9dfd,0x33bfa600,0xb3000cee,0x817bbdff,0x3a02dfea,
    0xe98000bf,0x00ceecef,0xdb79db10,0x676c4009,0x26004edb,0x0ceecefe,
    0xd9dfb950,0x7ee5419f,0x260cfece,0xeeeffffb,0x3f224fff,0xf910beff,
    0x2e617dff,0xfeeeffff,0x3ff224ff,0x0a980bef,0x00151000,0x17dfff91,
    0x00010000,0xfff93002,0x7dff907b,0x33fffae0,0xdfffc981,0x03effc83,
    0x51000400,0x20180001,0x00000008,0x00a88000,0x002a6200,0x000a9880,
    0x0002a620,0x0000a988,0x00002a62,0x00000131,0x0a988000,0x00544000,
    0x0002a200,0x0800a988,0x20404d44,0x000009a8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00301800,0x00154550,0x00019910,0x2e37bd73,0x22008800,
    0x360000cc,0x65c0004e,0x02010002,0x00165c00,0x2a000058,0x165c00cb,
    0x001cc000,0x5000f2a0,0x33322060,0x3332a00c,0x0301101c,0x20fffff0,
    0x99930100,0x99999999,0x00441403,0x1bdedb98,0x00577300,0x00143991,
    0x32601dd5,0x001ccccc,0x33200b2e,0x33332601,0x00009abc,0x3ccccc98,
    0x01333326,0x4c000553,0x8001b10d,0x0ff88ff8,0x007f7000,0xb88acfb8,
    0x1b801ffd,0x8001fd40,0x0002fdfa,0x0001fff3,0x80029837,0xf50006f8,
    0x2d300001,0x02fcc02f,0x0017f400,0x98001fd0,0xfa80b10d,0x06f4405f,
    0x803b8b60,0x221c804f,0x2bff200c,0x03fbaaaa,0x9005992e,0x0ff2617f,
    0x201ec950,0x049cffdd,0x8817f7a0,0xf8002ffd,0x02fcc00e,0x655ffec4,
    0x3f200cff,0x3ffb0a1d,0x1005ff30,0x640001fd,0xb0003eae,0xb0002ec9,
    0x03fb8009,0x01a007ee,0x1e800364,0x2b6000d7,0xf88004e8,0x50007fde,
    0x3fa0001d,0x13e80004,0x0003ea00,0x20001b70,0xdb0001f9,0xff5005d5,
    0x9803d809,0x9f006bcf,0x9fdff300,0x2606fa80,0x0fd6f404,0x5c03fa20,
    0x7d87605f,0x1ffd98c0,0x07a67700,0x98007fa8,0x006b800f,0xdfd11bee,
    0x37ff2ea0,0xc837dc1d,0x0be6000e,0x06ff8800,0x10000000,0x05fb800b,
    0x024c02d8,0x0a8001b0,0x0aa0014c,0xf9300039,0x03200039,0x03ffcc00,
    0x000be600,0x000000ae,0x40005700,0xf3006ff8,0x016405ff,0xf001ffc8,
    0x0b726009,0x0701be60,0xc804ffa8,0x81fec03f,0x1000e62f,0x120a2001,
    0xc8007f98,0x4001b001,0x0ffb86fa,0x20fb2228,0x00eb86fa,0x40005a80,
    0xcca80098,0xcca82ccc,0x008801cc,0x2003fe20,0x000e4029,0x00000002,
    0x00000804,0x80006000,0x0002feac,0x0c0003f6,0x7bd73000,0x006002e3,
    0x40026200,0x901ffcd9,0x00662005,0x000004f8,0x30000df3,0x01ff3003,
    0xfe80ff98,0x3b6e6001,0x003001bd,0x98006f98,0x40008008,0x3ff886fa,
    0x237d4000,0x0a0000eb,0x88016000,0x3a201eff,0x33332e1e,0xccccb83c,
    0x0801fea1,0x4c1feb88,0xcccccccc,0x332e1ccc,0xccb83ccc,0x00b001cc,
    0x99001600,0x99999999,0xfbbc4039,0x7fa88006,0x2000b000,0xdb88acfb,
    0x00b001ff,0xccccccc8,0x5981cccc,0x85901dfb,0xbcccccc9,0x84f800aa,
    0xccccccc9,0xf981cccc,0xcc981306,0xcccccccc,0x402fec1c,0xff984ff8,
    0x10afc801,0x3f2207f7,0x037cc006,0x930bf6a0,0x00399999,0x3fee1bea,
    0xccccc880,0xd737d40b,0x54370001,0x01f50001,0x6c02fec0,0x02fffa84,
    0xbf903bee,0x54eec000,0xaffc82ff,0x43fbaaaa,0x2e02fffa,0x1f5000ef,
    0x00fa8000,0x5557bf10,0xb80bff55,0x4003ff14,0x04effee8,0x70003ea0,
    0x00fdc07f,0xf88007d4,0xfaaaaabd,0x3a2b305f,0xd882c85f,0xfdcaacff,
    0xc813e02e,0xbaaaaaff,0xb06f983f,0x2abff201,0x743fbaaa,0x0bff004f,
    0x7405ffb1,0x30bf300f,0xf9800df7,0x3fa62006,0x02ffd882,0x7f437d40,
    0x81ffe405,0x001d96fa,0x1fe6ff30,0x0027f400,0x079009f9,0xeb80bfea,
    0x0004fe80,0x437d6cf7,0x212606fa,0x3ae02ffa,0x013fa000,0x2009fd00,
    0x03fee058,0x02fe41d0,0x4001fd40,0x3ee004fe,0xe802d805,0x40b1004f,
    0x4b300ffb,0x81644ff9,0x5ff506fb,0x6fa813e0,0x3fe61260,0x00fecccc,
    0x224c0df5,0xffb003ff,0x07ff5488,0x3fc807f9,0x4c006f88,0x2fc8006f,
    0x5000ff50,0x0ff662df,0x5403fe60,0x0001fcef,0x013629b1,0x801ffe60,
    0x03c804fc,0x81e81bf6,0x88003ff8,0x20eeb15f,0xd81c06f9,0x8007a06f,
    0x20007ff9,0x53007ff9,0x500bfe60,0x000ff98b,0x260017e4,0xff1007ff,
    0x98053001,0x053007ff,0x5980bfe6,0x05917fd4,0xff881bea,0x3e604f83,
    0x7fcc1c06,0x00fba999,0x22380df3,0xff9003ff,0x87fe60d8,0x7cc00ffa,
    0x0037c41f,0x32001be6,0x00ff302f,0xffddff50,0x81fe2001,0x01ffeefa,
    0x64000000,0xf9002fea,0x44079009,0x204b83ff,0xf98004ff,0x6f980553,
    0x07ff1000,0xeac80097,0xd590002f,0x2011005f,0x81d804fe,0x7f4003fd,
    0x7f564000,0x007fa802,0x5fd59002,0x3fa01100,0x7dc2cc04,0x3ea0591f,
    0x207fdc06,0x01be604f,0x05c1be60,0x74006f98,0x8dfb004f,0x3f24f987,
    0x889fd005,0x37cc006f,0x9817e400,0x6fa8006f,0x22007fd1,0x23bea07f,
    0x99001ffe,0x02665459,0x01beef10,0x1e4027e4,0xe883fea0,0x001bfa00,
    0x4c02cbee,0xa801306f,0x003a20ff,0x00df7788,0x01beef10,0x400efc80,
    0xeeeeeef9,0x037c006f,0x037dde20,0x80002fe4,0x000df778,0x260077e4,
    0x591ffb05,0x3e01bea0,0xf3027c2f,0x7cc0260d,0x3e601106,0xbfb01306,
    0xf897f600,0x13fa6b82,0x3e22fec0,0x4c05b916,0x2fc8006f,0x5000df30,
    0x00ffccdf,0xdf503fc4,0x4007ffa2,0x03fd45fb,0x07fe2970,0x32013f20,
    0x365fd803,0x003fe402,0x40245fd4,0x001b06f9,0x0016cbfb,0x00ffc52e,
    0x0ffc52e0,0x00ffcc00,0x05ff0164,0x70013e60,0xd007fe29,0x2e00009f,
    0x0003ff14,0xb3003ff3,0x81677f40,0x4fe806fa,0x0df3027c,0x037cc036,
    0x0d837cc0,0xff006fb8,0x24c1fe85,0x3f6007ff,0x66cf7c47,0x0df302ff,
    0x302fc810,0xdf5000df,0xf8806fb8,0xe89bea07,0x5f9801ff,0x83a007f8,
    0x4fc805fc,0xf8803c80,0xf8805abf,0xf128803f,0x4c0a837f,0xfeccccff,
    0xabff8800,0x320e8005,0x9074005f,0xfe8800bf,0x5c068804,0x05f7005f,
    0x17f20e80,0x0003ff88,0x02fe41d0,0x4013fa20,0x3ffe2059,0x900df502,
    0x2604f8df,0xfeccccff,0x700df300,0xccccff98,0x2ff880fe,0x7d437d40,
    0x7fc46e1f,0x88ff9003,0x41be63ff,0x643806f9,0x00df302f,0x9fd0df50,
    0x2a07f880,0x0fff446f,0x1fe17e60,0x3fe62d40,0x4027e400,0xdff7003c,
    0x07fee001,0x23ffc488,0x99ff9828,0x7000fba9,0xa8001dff,0x8007fcc5,
    0x007fcc5a,0x3200dfb0,0x00ffc404,0xb50007ec,0x3e00ff98,0x5a80004f,
    0xb0007fcc,0x02cc00df,0x7d40bfe6,0x7c7fc806,0x267fe604,0xf500fba9,
    0x7cc2c80d,0x0fba999f,0xfe80df30,0x555ff701,0xfb004ff8,0x6f86f88d,
    0x1c80ff50,0x6f9817e4,0x886fa800,0x1fe203ff,0xfe886fa8,0x217e602f,
    0xb03b007f,0x04fc807f,0x3fa002c8,0x57fd4003,0x3ea06440,0xf306ccef,
    0xe8002e0d,0x81d8003f,0x03b003fd,0x3ea007fb,0x02f9801f,0x6f806ff8,
    0x7ec0ec00,0x001bfa03,0x0ff60760,0x000ffd40,0x05f700f5,0x3f601bea,
    0xdf3027c6,0x3fd402e0,0x0df30f70,0x04fa802e,0xffa803fb,0xd005fe84,
    0xe86f889f,0x883ff707,0x02fc87c9,0xf7000df3,0x40bfea0f,0x1ff207f8,
    0x981fffc4,0x9807f85f,0xfeeeeeef,0x402fdc06,0x0ff6001c,0x3bff6600,
    0xffb00bdd,0x1be603bf,0x7fb00044,0xeeef9800,0x9806feee,0xfeeeeeef,
    0x03ff8806,0x304efeb8,0x205dfffb,0x3e6003f8,0x6feeeeee,0x0001ff20,
    0xddddddf3,0x7ff100df,0x37ff2200,0xfa816402,0x7c5fe806,0x441be604,
    0x7fffdcc0,0x84fffeee,0x801106f9,0xcecbced8,0x83ff3000,0x5ff006fc,
    0x47e86f88,0xffffffc9,0xfc84ffff,0x400df302,0x83dfffc9,0x7c43effc,
    0xdfffc987,0x3ffff223,0x7c2fcc4e,0x3e02c807,0x01bea02f,0x3fd8003a,
    0x005dc000,0x7cc008ac,0x7fb00006,0x3e02c800,0xf016402f,0x05fd805f,
    0x00d80004,0x32000fa8,0x440bfe02,0x828803ff,0x00bfe02c,0x00080bfb,
    0x7d402031,0x217fcc06,0x01be604f,0x4c058800,0xf980006f,0xf98004ff,
    0x2017f444,0x86f885fa,0x0013007e,0x37cc0bf2,0x004c0040,0x8800ff10,
    0x42fc4001,0x2034407f,0x3fa205fb,0xb0016e01,0xfe80007f,0x3001d401,
    0xb00700df,0x0344007f,0x068817ee,0xff702fdc,0x4001c401,0x06c800f8,
    0xbf701a20,0x100ffdc0,0xfb80d109,0x803fee05,0x0df70038,0x3a037d40,
    0x2604f85f,0x7003806f,0x806f980d,0x3ffe8803,0x0b70f440,0x0fe80df5,
    0x07e86f88,0xf9007fb0,0x201be605,0x017fc403,0x5c007f88,0x23fc006f,
    0x026407f8,0xf9807fe2,0x0075c40e,0x0000ff60,0x00d805f1,0x5901bea0,
    0x4007fb00,0x0ffc404c,0x7fc404c8,0x402ff981,0xdf88002c,0x005d0880,
    0x3fe20264,0x02bfea01,0x80990191,0xff981ff8,0x70016402,0x1bea001f,
    0x4f80efc8,0x5901bea0,0x402fea00,0x016406fa,0x4405ff70,0x7d40ae2f,
    0x101ed885,0x400fd0df,0x02fc806d,0x01c80ff5,0x3e6009f0,0x00fb8007,
    0x2ee6ffa0,0x2f981aff,0x4c06ff80,0x0ceecefe,0x005fe800,0x8803f220,
    0x03fd4005,0x17fa00f7,0x7c017cc0,0x802f986f,0x05fe86ff,0x40007ee2,
    0x2fa3efea,0x0be6005a,0xb301bfe0,0x017bbdff,0xdff005f3,0x5c40bfd0,
    0x0bb1001f,0x74c37dc0,0x2677e04f,0xf703fd41,0x1dffd800,0x0f703fd4,
    0x4073ae00,0xd880b33c,0x404edbce,0x00fe86f8,0xfc802f98,0x883ff703,
    0x1f5007c9,0x003fea00,0x4c005d88,0x17ff3fff,0x304efeb8,0x805dfffb,
    0x50000a98,0x003bfffb,0x03100550,0x3fffee60,0x04fffeee,0x0efffed4,
    0x209dfd70,0x72efffd9,0x36609dfd,0xff72efff,0xffffffff,0x010000ff,
    0x75c005b7,0xffb304ef,0x131005df,0x8277f5c0,0x72efffd9,0xffffffff,
    0x2200ffff,0xff93001a,0x379dddff,0x34cccc80,0xdddffff7,0x20009fff,
    0x7fffdcc0,0x04fffeee,0x88154400,0x0544001b,0x4e7fed40,0x201dffc9,
    0xffb800a9,0x3fff263e,0x4fffffff,0x8800aa80,0x00befffc,0x30000d44,
    0x000000c1,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b600000,0xffff8804,
    0x00037006,0x32202aa2,0x400bcccc,0x88bdedb9,0x80020103,0x00000900,
    0x370dc002,0xeeeeb800,0x02a803ee,0xeeeeee88,0x05c4000e,0x2001cc00,
    0x2000e639,0x910000a8,0x86a00c39,0x885c402a,0x3bbb200b,0x00903eee,
    0x59999997,0xeeeee980,0xddd5006e,0x0000bddd,0x400028ea,0x03000018,
    0x01000188,0x00008008,0x00030030,0xdfa80013,0x0374002f,0xa80037dc,
    0x1ffe405f,0x44273ea0,0x19103ffa,0x10644244,0x0000b309,0xfb80bf10,
    0xb800df56,0x03eeeeee,0x74403fcc,0x00eeeeee,0x4001fec0,0x3fe001ff,
    0x4c005fd2,0xc8000ead,0x2049dffd,0x80ff37f9,0x409fb3fd,0x3eeeeeec,
    0x80e6fdc4,0x3ffffffd,0x777774c0,0xddd5006e,0x0000bddd,0x100ec3fa,
    0x04fc98df,0x81fae200,0x5c005cda,0x01fe81ff,0x005b8b22,0xcd80bf93,
    0xdcfb801d,0x2e3d002d,0x40374006,0xdb0003d8,0x401ff300,0x13e204f9,
    0x00e89ea8,0x885ffdf9,0xb000005e,0xb13d880d,0x80000007,0x0000004d,
    0xb8001da8,0x436e000d,0x436000db,0x9318003a,0x24d805ff,0xa8ed404d,
    0xdb80001e,0x005fc9da,0x00000000,0xbdb93000,0x254b7357,0xfc98ff10,
    0x3e660004,0x001b9607,0x3fa13fee,0x02ddc801,0xa817f260,0x1fa80912,
    0x815007ea,0x01ba0029,0x003a0000,0x4f981fe2,0x7f404b80,0x0eed404f,
    0x4333bfa6,0x82ccccca,0x0cacccca,0xcca80000,0xcca82ccc,0x4c0001cc,
    0x001bdedb,0x00000000,0x32570000,0x00880001,0x20000000,0x0bccccc8,
    0x06a963f1,0x4000d437,0x99993005,0x39999999,0x4c27b620,0x40681dfc,
    0x004fa809,0x43207e80,0x2a22400c,0xd9801884,0x5331006e,0x273013bf,
    0x223ec049,0x8000004f,0x76dcc06e,0x440388bd,0x20ff1000,0x09001ff8,
    0x0000cc98,0x82abbeea,0x2201eff8,0x999701ee,0x99970799,0x0f7fc439,
    0x6443dd10,0x900bcccc,0x0fee215f,0x99999990,0x32639999,0xcccccccc,
    0x333261cc,0xcccccccc,0x005f9001,0x32200b00,0x000bcccc,0x3ffc800b,
    0x162587e4,0x03fcdfe6,0xc8003ea0,0xbaaaaaff,0x00ef883f,0x003b09f7,
    0x00009f30,0x1f6c40fd,0x406e1660,0x7c465c00,0xfeeea804,0x1bd902ef,
    0x27f86f80,0x23ccccc9,0x1cccccb8,0x33ea0dd0,0x07ff5109,0x440350dc,
    0x00df507f,0x81a86e00,0x0bccccc8,0x5fd817e2,0x7d404d80,0x3bee02ff,
    0xc805fd80,0x407ff904,0x0bf300fe,0x2aaaf7e2,0xfc85ffaa,0xfbaaaaaf,
    0xaaaffc83,0x5003fbaa,0xfa80001f,0x0fff2000,0x2000fa80,0x9fe40ff9,
    0x8a6c4145,0x27f4004d,0x4c0df500,0x7401fe84,0x1302542f,0x00009f30,
    0xd10000fd,0x05104a8b,0x2003fa80,0x200005f8,0x6c2fc46f,0x9ff501ff,
    0x4f986e80,0x7cc13e20,0x7c40ff37,0x0009fb07,0x1fe6ff30,0xf883ffc8,
    0x2013f205,0x2ffa803c,0x7e403ae0,0xf303c804,0x00ff201f,0x40b107f9,
    0x6fa80ffb,0x1bea1260,0x9fd00498,0x04fe8000,0x8003fe60,0x3e2004fe,
    0x05aff987,0xff300000,0x037cc00f,0x500df70e,0x2e0681df,0xbb54f981,
    0x4e6dc405,0x7b95107e,0x99dfd303,0x400cc033,0x01feccb8,0x8bf37b93,
    0x332a2ccc,0x7dc6f884,0x7c06fb81,0x2637401f,0x104b804f,0x8813629b,
    0x407ff07f,0x41aaaaa8,0x409b14d8,0x5f880ff9,0x32013f20,0x40dfb003,
    0x013f201e,0x83fc40f2,0x7cc00ffa,0xf9814c1f,0x80df302f,0x1c06f983,
    0x003ffcc0,0x400fff30,0x3e6007f8,0x1fe2007f,0x9903ffec,0x02665459,
    0x002feac8,0xfe800df3,0x42ff8804,0xf305701c,0x09ffff99,0x1ffa27d3,
    0x07f4cfe2,0x02abbeea,0xbea801b0,0xeb86ff98,0xf70bff52,0xf887fa8b,
    0x2a03fd36,0x00ffc06f,0x01ff89ba,0x44000090,0x04ff887f,0x0017fec4,
    0xf107f880,0x4027e40b,0x7ff1003c,0x4fc80970,0xff103c80,0x74017f20,
    0xfe80444f,0x001be604,0x20001be6,0x0002feac,0x2005fd59,0x2b2007f8,
    0xff1002fe,0x8077fe40,0x03fd45fb,0x006fbbc4,0x10260df3,0x3fe007ff,
    0x83c82543,0xff912ef9,0x3e21fc43,0x3f20fc87,0x7005f883,0x4c2f8809,
    0x707ea0ff,0xf0bf30bf,0x2a2df10f,0x06fa81ee,0x9ba00ffc,0x320006fa,
    0x1332a2cc,0x5ff83fc4,0x6647fb80,0x41332a2c,0x0bf107f8,0x1e4027e4,
    0x441ff500,0x027e400e,0x07f881e4,0x3f6009fd,0x01df9005,0x009837cc,
    0x00260df3,0x0037dde2,0x006fbbc4,0x5e200ff1,0xff1006fb,0x82fffa80,
    0x807f85f9,0x003ff14b,0x30360df3,0x3fa005ff,0x309b0685,0x649fb09f,
    0x5b87e80f,0x2fc41fd4,0x3600fc40,0x2f45ff07,0x2fcc2fcc,0x237c43fc,
    0x37d41fe8,0xdd007fe0,0x200027ec,0x83fd45fb,0x0ffd07f8,0xbf70df50,
    0xff107fa8,0xfc817e20,0x4003c804,0x200b65fd,0x03c804fc,0x0ffe0ff1,
    0x4c03fec0,0x37cc01ff,0x0df300d8,0x452e0036,0xa5c001ff,0xf8801ff8,
    0x3e297007,0x07f8801f,0x4c2ffdd8,0xe807f85f,0x26017f20,0xfeccccff,
    0x800ffd40,0xe81c85fe,0xfb84f985,0x03f41fe6,0x2213fae2,0x806e805f,
    0x269fb07f,0x985f884f,0xf887f85f,0x7d43fc86,0x200ffc06,0x880ffe6e,
    0x261aaaaa,0xf107f85f,0x007fee0f,0x0bf30df5,0x41fe20ff,0x13f206f8,
    0xf1000f20,0x3200b57f,0x103c804f,0x07ff10ff,0xd101ff20,0x9ff3009f,
    0x201fd999,0xeccccff9,0x320e800f,0x9074005f,0x0ff100bf,0x05fc83a0,
    0x75807f88,0xf85f98ff,0x3e62d407,0x4ffcc00f,0x440fba99,0x9fd002ff,
    0x30bf0950,0x22df309f,0x220fd06f,0x884fa9dc,0x027dc05f,0xb7dc1fe2,
    0x85f884fb,0x887f85f9,0x546fa86f,0xaaaaaaef,0xb7401ffa,0x6c404ff8,
    0x42fcc2ff,0x40ff107f,0x37d405fe,0x83fc2fcc,0x2bfe07f8,0x4027e40a,
    0xffb8003c,0x09f9000e,0x1fe20790,0xfd8027fc,0x8037ec06,0xba999ff9,
    0x33ff300f,0xa801f753,0x8007fcc5,0x007fcc5a,0x16a01fe2,0xf8801ff3,
    0x8bf65807,0x407f85f9,0x403fd81d,0xf01706f9,0x0bfe007f,0x261be234,
    0xf15f984f,0x3a21fa0f,0x3e213ea3,0x2e0fec05,0x501ff10e,0x2217ee9f,
    0xf85f985f,0xf886f887,0x6667fd46,0x01ffcccc,0x00bff374,0x0bf30ff7,
    0x81fe60ff,0x3ea03ffa,0x7f85f986,0x7dc0ff10,0x804fc82f,0x7fd0002c,
    0x4027e400,0x20ff102c,0x9fd005fe,0x800ffd40,0x201706f9,0x801706f9,
    0x003fd81d,0x807fb03b,0x81d807f8,0x3fc403fd,0x22fa961c,0x207f85f9,
    0xeeeeeef9,0x837cc06f,0x805fd808,0x43900ff8,0x84f987f8,0x207fe3fb,
    0x7d46e87e,0x7405f884,0xff17dc1f,0x3ea7f703,0xf885f886,0x6f887f85,
    0x06fa89f0,0x9ba00ffc,0x6fa807fe,0x07f85f98,0x74c01ff5,0x30df702f,
    0x220ff0bf,0xf700407f,0x0003900b,0xfb800ff6,0xf101c805,0x401bf20f,
    0x7ff102ff,0x8837cc00,0x220df300,0x3bbbe600,0x9806feee,0xfeeeeeef,
    0x203fc406,0xeeeeeef9,0x43fc406f,0x447b961d,0x3207f85f,0x980bfe02,
    0x7fcc006f,0x5027e400,0x2607fcc9,0x360fd84f,0x220fe85f,0x4427d47f,
    0x21fdc06f,0x217f20f8,0x85ff10fd,0x88ff05f8,0x576f887f,0x0df507e6,
    0x37401ff8,0xfa803ff7,0x7f85f986,0x5f7ffe44,0x2f7fb200,0xf980bfec,
    0xff107f85,0xfa80f5c0,0x0000e806,0x7d4007fb,0xf100e806,0x00bfa20f,
    0x2fec0bf5,0x00df3020,0x2000df30,0x00bfe02c,0x017fc059,0x02c80ff1,
    0x7f880bfe,0x3a2b0dd8,0x3fc47f83,0x2fdc0688,0x8700df30,0x1be204fc,
    0x40ffa9a0,0x07ea0ef9,0xf913dff1,0x4e7f437f,0x7c1aefdc,0xef880baf,
    0x8bfa12a0,0x67fdc2f8,0x409ffd98,0xffbb9bfe,0xafdbe61a,0x406fa86b,
    0x237401ff,0x37d405fe,0x83fc2fc4,0x35b00058,0xf85f8801,0x6c0ff107,
    0x03fd104f,0xfb0002dc,0x0ff44007,0x3fc40b70,0xfe80df50,0x401ff700,
    0x4037cc38,0x1c037cc3,0x0bf701a2,0x17ee0344,0x1a207f88,0x7cc0bf70,
    0xcedfea87,0x737fd01c,0x4c835ff7,0xa80ffc40,0x6416406f,0x00de883f,
    0x5417a1c8,0x301edcfe,0x9fd5fffd,0x457ff4c1,0x2ffb82ff,0x0af7ae20,
    0x1766fec4,0xf9efffb8,0x3fff982e,0x3fa617ff,0x501b9d56,0x01ff80df,
    0x0ffea374,0x8ff06fa8,0x00f507f8,0x7c00df30,0xf883fc47,0xf101c407,
    0x00eb881d,0x000ff600,0xeb883df1,0x501fe600,0x03db10bf,0x5900bfe6,
    0x16406fa8,0x85901bea,0x0ffc404c,0x7fc404c8,0x640ff301,0x80ffc404,
    0xb3100ffa,0x3fff9801,0x17cc17ff,0xfa837fc0,0xe981ee07,0x003edbce,
    0x13100062,0x40186600,0x00020040,0x8004c400,0x13003109,0xa802000c,
    0x00ffc06f,0x0bfa61ba,0xbfe837dc,0x41affbb9,0x5c000cf9,0x37fd000f,
    0x9835ff77,0x0032607f,0x9dd9dfb3,0x5fe80001,0xcefe9800,0x7d400cee,
    0x676c400f,0x7f404edb,0x507ee205,0x543dc0ff,0xf31ee07f,0x30dff005,
    0x0dff005f,0x3e603fea,0x446ff802,0x00befffc,0x0304c009,0x2609dfd7,
    0x732efffd,0xfdddffff,0x266009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf103fe40,0xdd33305f,0x65eff640,0xff300bfe,0x202ffe7f,
    0x8802dffc,0x3fe6005d,0xa817ff3f,0x000100ff,0x50000151,0x003bfffb,
    0x10015310,0x017dfff9,0xf7001510,0xffffffff,0x7fdccfff,0xfffeeeff,
    0x3fffee64,0x24fffeee,0xb304efeb,0x3ae5dfff,0xffb304ef,0x3ff225df,
    0xdfd70bef,0x3fff6609,0x0000002e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32600000,0x2e23dfff,0x911beffe,0x26007999,
    0x8260009a,0x22001001,0x4130001a,0xefffc881,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22004430,0x53000001,0x00220288,
    0x11028833,0x2a2fdc00,0x36e25eed,0x008800bd,0x0edc52e2,0x22018818,
    0x20088020,0x0180c001,0x01fddbe2,0x333332a2,0x03cccccc,0xa8008822,
    0x3f6000ee,0x01ff8804,0x01cdb980,0x402dda80,0xb8802208,0x3dd300c1,
    0x803bea00,0x08800ff9,0x5e666644,0x333332e0,0x01cec981,0x76c40603,
    0x9bddb802,0xb8010605,0x09fb005e,0x00403fd4,0xd8999993,0x5fae2004,
    0x07202ff9,0x0cdedb98,0xe89ec036,0xd007fa00,0xfb503a27,0x80774005,
    0x737d76fd,0x1fe803ff,0xde9dffa8,0x89bc82ff,0x25fb505a,0x17ed44fe,
    0x1001bf22,0x4057315b,0xd80d91f9,0xdffa89cf,0x306daaaa,0x201be6df,
    0x3e005fde,0x00fe6005,0x03e67f50,0x4e88dc80,0x1be6df30,0x4ce7ffcc,
    0x01bf7a02,0x7d4007ec,0x40bf2603,0xff303ffc,0xffbf701b,0x5137703f,
    0x3fbb201b,0xb119d300,0x557ea0ff,0x7fbf105f,0xf700bf00,0xe817e403,
    0x3e65ffff,0xff33000f,0x06817fea,0xcfb88bf2,0x3b7e603c,0x200fec03,
    0x4c43edf9,0x1f1002fe,0x424f7dc0,0x3f600ffa,0x4c7ff301,0xffff884f,
    0xf2fe9883,0x3fa621ff,0x0037dcc2,0x2037ffe4,0x6c407a4b,0xb04fd81f,
    0x37c5be20,0x017452e0,0x2a00074c,0x3637c006,0x4c1f5004,0xf16f882f,
    0x7fecca0d,0x3a29500e,0x2001f802,0x5fd5105b,0xf803fe60,0x3624883f,
    0xfffe885f,0x1361b304,0x41fe0be2,0x209f34fa,0x5401d52d,0xa8132006,
    0xaaada81f,0x003fea0a,0x82cc4fd0,0x00fe8849,0xdf900ff5,0x7ec00200,
    0x400bf206,0x2ffd401a,0x00809fb0,0x81be17e2,0x97e400ba,0x17e40e88,
    0x0667bea2,0xb801b980,0x04fd8120,0x080a09f9,0x0241c400,0x0c80005c,
    0x3e8bf300,0x6e86f880,0x22040010,0x00e0e00a,0x80900055,0x0ff102fc,
    0x98182fe8,0x802ea07f,0x83e41b83,0x2010207e,0x1701c419,0xd0004800,
    0x007f9801,0xc81547e8,0x2603fc81,0x000003ff,0x0bf20000,0x0ffa8000,
    0x8001fee0,0x007e85f8,0x4242fc80,0x7ff6c2fc,0x00000eee,0x03fe6000,
    0x000027dc,0x00000000,0x27f98000,0x3fb800f9,0x00002fd8,0x00000000,
    0x817e4000,0x17f407f8,0x00009f00,0x3f41be00,0x00000000,0x3aa00000,
    0x003fc401,0x340933f4,0xe8807fcc,0xb7101ffa,0x66dc4039,0x02f72601,
    0x5c4017e4,0x0df501cd,0xc980ff98,0x85f880bd,0xbdca887e,0x6c4bf201,
    0xdf02fc81,0x7bb71000,0x5eedc401,0x2e06fd80,0xccc8384f,0x991332a2,
    0x22665459,0x332a2ccc,0x95166644,0x9ff88099,0x5f9002ea,0xb7109f90,
    0x6dc4017b,0x36e200bd,0x36e200bd,0x36e200bd,0x05f700bd,0x5fd01fe2,
    0x4c03a200,0x2e200bdc,0x82fc41cd,0x2f72607e,0x02f72600,0x200bdc98,
    0x4000bdc9,0x3e04fffe,0x4e6dc406,0x84980a7e,0x747a05fd,0xf72ea84f,
    0x3ee5d509,0xfc89db84,0x5402fc83,0xf509f72e,0x41ff880d,0x43fc89db,
    0x447e85f8,0x201fd33f,0x7e4032fc,0x3722df02,0x7dc7a602,0xf71e981e,
    0x205fe83d,0xb824c4fb,0x5c3fd45f,0x5c3fd45f,0x5c3fd45f,0x403fd45f,
    0x3f60dffd,0x40ff42ef,0xb8f4c5fb,0x71e981ef,0x23d303df,0x1e981efb,
    0x3d303df7,0x3ee07bee,0x03fc419a,0x0ec00bfa,0x3fc89db8,0x49f72ea8,
    0x20fd07f8,0x83fc89db,0x83fc89db,0x83fc89db,0x83fc89db,0x3fb221c9,
    0x05e80eff,0x3ff44fa6,0x4fe81c80,0x22fec790,0x30ffc2f9,0x261ff85f,
    0x7e43f40f,0x42f98112,0x037d41ff,0x0f98bfe2,0x217e23f4,0xf907e47e,
    0x200bf207,0xd3df02fc,0x5d105ff9,0x17446f88,0x09ff1be2,0x7ee677dc,
    0xff0bf304,0x0ff0bf30,0x30ff0bf3,0x880ff0bf,0x05f81ffd,0x4df501ff,
    0x237c42e8,0x237c42e8,0x237c42e8,0x237c42e8,0x437c42e8,0x7f885dfb,
    0x51017f40,0x0f981bfd,0xf0be63f4,0x7417fc3f,0x3f40f987,0x98fd03e6,
    0x3e63f40f,0xff913f40,0x437fdc05,0x887f104d,0x3e0d007f,0x7e44b83f,
    0x32607ec7,0x19303f60,0x6cccceec,0x7f97e42f,0x032607ec,0x3ff00df5,
    0x6cccceec,0x3a1be22f,0x0fea2dc7,0x7e4017e4,0x7cc7ff02,0xfd80fc86,
    0x3f603f21,0x5c07ff11,0x04eb99df,0x30ff0bf3,0xf30ff0bf,0xbf30ff0b,
    0x5fd40ff0,0x407c46fd,0x6fa80ff8,0x87f603f2,0x21fd80fc,0x21fd80fc,
    0x21fd80fc,0x41fd80fc,0x0ff104fb,0x2a202fe8,0x3760effc,0x22fd9999,
    0xd064c0fd,0xd87f88bf,0x2fd9999d,0x36666776,0x2667762f,0x27762fd9,
    0x642fd999,0x1ff4c02f,0x407e40f6,0x8849807e,0x6434c3ff,0xf802fc7f,
    0x555bf005,0x2fc83555,0x2005f8dd,0x0ff806fa,0x2aaaab7e,0x3a1fe61a,
    0x13fae207,0x7e4017e4,0x0df0df02,0xe8fee0fd,0x7f47f707,0x9113ee04,
    0x1fe17e60,0x21fe17e6,0x987f85f9,0xf707f85f,0x3b93fe65,0x3ea03fe0,
    0x1fdc1fa4,0xe8fee0fd,0x3f47f707,0x41fa3fb8,0x0bfa23fb,0x3fa03fc4,
    0x45fd1002,0xaaaaaadf,0x7cc017e1,0x87ecbbff,0xaaaaaadf,0x2aaab7e1,
    0x2ab7e1aa,0x37e1aaaa,0x41aaaaaa,0x5f9802fc,0xd07f8164,0x3a03900f,
    0x3603a25f,0x201be25f,0x09f006f8,0xf8817e40,0x01bea006,0x5009f1fe,
    0x3f43bffd,0x27d4ee44,0xfc802fc8,0x8fd0df02,0x2df507f8,0x4df507f8,
    0x13ee05fc,0x7c2fcc0a,0x7f85f987,0x87f85f98,0x987f85f9,0x44ffe45f,
    0x5c0ff405,0x2a0ff13f,0x2a0ff16f,0x2a0ff16f,0x2a0ff16f,0x2a0ff16f,
    0x05fbb36f,0x5fd01fe2,0x9f27d400,0x400df100,0x0fd4fffa,0x013e009f,
    0x04f8027c,0x7c00bee0,0x37c40dc6,0x206807e8,0x7407a6fd,0x003fe24f,
    0xdf001ff1,0x8817e400,0xdf5000ff,0x37c6f880,0x223f4000,0x6413ea3e,
    0x02fc802f,0xff0fd0df,0x7fcbf303,0x3ea5f981,0x8013ee07,0x987f85f9,
    0xf987f85f,0x5f987f85,0x42fc87f8,0x401deff8,0x22fc81fd,0x25f981ff,
    0x25f981ff,0x25f981ff,0x25f981ff,0x55f981ff,0x3e205f71,0x000ff407,
    0x4037c7f1,0x4c000ff8,0x01be1fa0,0x06f8037c,0x7dc00df0,0x098b9002,
    0x0fd07f88,0x3fee0498,0x0bfe02d8,0x7c5105ff,0x3fa2882f,0x02fc8701,
    0x50a20bfe,0x43f880df,0x200701fe,0x3ea3746e,0x9005f904,0x3a1be05f,
    0xf983fc87,0x3e60ff23,0x640bfe23,0xbf10e04f,0x0bf10ff0,0xf0bf10ff,
    0xff0bf10f,0xff307ff0,0xb07f500b,0x4c1fe41f,0x260ff23f,0x260ff23f,
    0x260ff23f,0x260ff23f,0x8817dc3f,0x007f407f,0x01fe83e0,0x14417fc7,
    0x1fe87e80,0x380ff470,0xfd1c07fa,0x05f70e03,0xff800fa0,0x0e407e81,
    0xa8137fa0,0x40efc85f,0x12077e44,0x40c87ff9,0x3bf202fc,0x137d4240,
    0x7e4354bf,0xf800643f,0x9f51fe23,0x3200bf20,0xfd0df02f,0x1f70bf50,
    0x07dc2fd4,0x27e41be6,0x447f8598,0xf88ff07f,0x7f88ff07,0x87f88ff0,
    0xbffd06fe,0x222f4298,0x5c2fd43f,0x2e17ea0f,0x2e17ea0f,0x2e17ea0f,
    0x2e17ea0f,0x9817dc0f,0x0fd1cc7f,0x7fe46a80,0x1df90643,0x21fa0048,
    0x90643ffc,0x320c87ff,0xf90643ff,0x7dc0c87f,0x0086a802,0x03fa17f6,
    0x07f98068,0x7fc40774,0x7c42fccf,0x442fccff,0x84ecffff,0x3fe202fc,
    0xfb82fccf,0x0ec7fe27,0x767fffc4,0x3e637a04,0x6e4e7f40,0x17e41aef,
    0x7c417e40,0x5fd07e86,0x17f41744,0x37e605d1,0x261bfa21,0xb9bfe83e,
    0x7f41affb,0x1affbb9b,0x7ddcdff4,0x4dff41af,0x2a1affbb,0xbea8adff,
    0x85cbeffb,0x741721f9,0x3a0ba22f,0x3a0ba22f,0x3a0ba22f,0x3a0ba22f,
    0x2e0ba22f,0x41ff502f,0x3205f2fe,0xf107a61c,0x889d9fff,0x02fccfff,
    0xff103fe0,0xf889d9ff,0x444ecfff,0x44ecffff,0x4ecffff8,0x2ff62fb8,
    0x7c40eb88,0x13dff106,0x95037ff9,0x10bfd300,0x7f4403db,0xffd102ef,
    0x3ff6205d,0x807f905f,0x4c2effe8,0xf73dfffb,0x7ec4057d,0x7fe405ff,
    0xaffe980d,0x2fc82ff8,0xf983fc80,0xfb01ff86,0x7ec05d9b,0x5cc02ecd,
    0xffffedee,0x980fffee,0x17ff3fff,0xff3fff98,0x3fff9817,0xff9817ff,
    0xb817ff3f,0x2a0dfffe,0xd301efff,0x7ec019b9,0x3f602ecd,0x3f602ecd,
    0x3f602ecd,0x3f602ecd,0x5f902ecd,0xbefffc88,0x203cffb8,0x00deeffd,
    0x20bfffb1,0x002effe8,0x883bff93,0xb105fffd,0x3620bfff,0xfb105fff,
    0x8ff20bff,0x104efffa,0x7ff4c0ff,0xc80cfeaf,0x64474401,0x004edbdf,
    0x00c40062,0xff700988,0x0031007d,0x31000c40,0x40800001,0x07dff700,
    0xd51f7fdc,0xff9339ff,0x0004c03b,0x13100013,0x0c130000,0x300304c0,
    0x304c00c1,0x09803300,0x09800100,0x98002600,0x80026000,0xdff71009,
    0x00188007,0x09880026,0x00001880,0x22002620,0x00988009,0xff700988,
    0x8800987d,0x00619800,0x2a606005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x11007fcc,0x06154018,
    0x2003ed88,0x27e403fe,0x40599500,0x02a801d9,0x2a00f766,0x22000c04,
    0x2019933b,0xcccccccb,0x2606fb82,0x2a003ddc,0x02f641cc,0x1985bd75,
    0x20040144,0xacedca8d,0x2a065c00,0x0707101c,0x7101c1c4,0x3e600183,
    0x0c04400e,0x2e26665c,0xd3fb82cc,0x643b801f,0x009d9002,0x2002a05c,
    0x6540bcc9,0x99913ccc,0xccca8599,0x5eedcc04,0x66665c01,0x5999902c,
    0x01000030,0x4566f644,0x200fe404,0x205fd1fe,0x038aeffe,0x2003fbb2,
    0x0fb004f8,0x3fe63f50,0x03f511ff,0x47e60688,0x203a203e,0x2e006fc8,
    0xffffacfe,0x7ffffc43,0x0ed83fff,0x17aa5d30,0xf3017d30,0x10e885fb,
    0xd13e87f9,0x27fdd401,0x931cfff8,0x207ec07f,0xd97202fb,0x03b2e402,
    0x2677ffe6,0x007f2002,0x425cc5ec,0x09d06fd8,0x4017c5b2,0x54006c1c,
    0xd3002fdf,0x36a012a3,0xbff30d90,0x101ffd88,0x05ed409f,0x7cc03b73,
    0x3f6200ff,0x001bf223,0x2177e644,0xfea89cf9,0x6c017405,0x3103fb1f,
    0x440bffee,0xb700990d,0x200f4400,0x4417ec6d,0xb00ec01f,0x05b0364b,
    0x5001bee6,0x3ff229df,0x2aaafae1,0x0fc40fba,0x03fa87f0,0xa8ec03f7,
    0xff112e0e,0x203edf98,0x883fb13d,0x40bee05f,0x017dc0fd,0x100bbdf1,
    0x9940bbdf,0x2000effd,0x3fea002e,0x0ff101ff,0x598f403e,0x00781d00,
    0xc801ae3d,0x7c400fcf,0x3f607ea2,0x101ff985,0x200ea01f,0x01ff201c,
    0x0df73172,0x3e21d100,0x3a21760f,0x0000e205,0x3806a020,0x002401b8,
    0x89f301c4,0x01f884fa,0x5cbf012a,0x4404a80f,0x2fcc006f,0x201b27ec,
    0x2a02a86b,0x540fe81f,0x7306a03f,0x217ec3f4,0x03ea06fd,0x401f8817,
    0x40fd82fd,0x7fd402fb,0x01ff5001,0x8002a204,0x2b880039,0x2542fc80,
    0x68005490,0x205402cc,0x7ff10029,0x0183f700,0x0ffa0ff5,0x263b8254,
    0x596cdcbc,0xd007fe20,0x000df101,0x3e6398d9,0x0000b302,0x00000000,
    0x50000000,0x884f98df,0x401d101f,0x10bea5f8,0x00df100d,0x6fa84f98,
    0x8003e802,0x445f907c,0xfc80005f,0x4000fec0,0x049800fc,0x0fd87fb8,
    0x000017dc,0x00000000,0x7c400000,0x00000ec6,0x00075166,0xf9000000,
    0x417fc001,0x305b06fb,0x9ea06e49,0x9817f205,0x000df105,0x05fb80db,
    0x5eed4416,0xdca881b0,0x372a201b,0x372a201b,0x372a201b,0x372a201b,
    0xb83fe01b,0xb01f881f,0x7e4bf005,0x6f800ec0,0x4c27cc00,0x40f8806f,
    0x7c2acdb8,0x3a4fb80f,0xcdb8801f,0x07f4042a,0xb0559b71,0x0011001f,
    0x0fd83ff3,0x333217dc,0x881332a2,0x6640bddb,0x41332a2c,0x950bdcb8,
    0x22ccc83b,0x3f204cca,0x59990d12,0x32a26654,0xdecccedc,0x2599971c,
    0x32a4cccc,0x5ee5443c,0x0007ec01,0x1ff70bf9,0x7d46e0d0,0x40aa1b00,
    0x05b00ff9,0x3e001be2,0x06ffcc06,0xe99f440c,0x99fc41df,0x33f880fe,
    0x27f101fd,0x3f880fe9,0x7f101fd3,0x7cc03fa6,0xf104e98c,0x32009503,
    0x00971766,0x9999137c,0xf884f981,0x7446b805,0x1ff87f30,0x2df34fb8,
    0x87440bda,0x17d403f9,0x20fe61d1,0x400000fd,0x207ec4fe,0x45fb82fb,
    0x23d307fa,0x2fdc1efb,0x4fe61fea,0xfa8bdef8,0xf517ee0e,0x2cb7c40f,
    0x7fa8bf70,0x4cd6ccc4,0xfb1099e9,0xec85fd8b,0x7f4cfe21,0x8007f600,
    0x3fee87f9,0x17e58254,0xfe812208,0x3e207884,0x3205b916,0x902ccffc,
    0xe8805fff,0x7e437cc2,0x3f20ff20,0x3f20ff20,0x3f20ff20,0x3f20ff20,
    0xac80ff20,0x217c402c,0x7d1000e8,0x003443d5,0x205f71be,0x04fa84f9,
    0x2e2643e8,0x7e427ec3,0xd537df73,0x0ee2647f,0x5c4c89d0,0x2600fd83,
    0xaaaaaaaa,0x46feaaaa,0x417dc1fd,0x887f85f9,0x2637c42e,0xfc87f85f,
    0x9f91bf60,0x03fc2fcc,0xf981abf6,0x03a07f85,0xf117e60d,0x0fc83b0b,
    0x3b2e0ff2,0xe800ccdf,0x1beba22f,0x27c5603b,0x3fd40b00,0x3df1025c,
    0x5505ff9b,0x640355df,0xf901efff,0x5c1fec81,0x2dc1fd45,0x516e0fea,
    0xfa8b707f,0x1fd45b83,0x551002d8,0x2cc16415,0xb83b0550,0x74cdf02c,
    0x3217e600,0x207c400f,0x3e6141fd,0x6c7fa62f,0xfb3fc42f,0x21a60283,
    0x7ec141fd,0x2affee00,0xaaaaaaaa,0x20fec7fd,0x2fcc32fd,0x407e43fc,
    0x217e21fd,0x7dc5a87f,0x26fb999c,0x407f85f8,0x3e604ff9,0x8d107f85,
    0xd03fa059,0x2dc2c41f,0x36aa0fea,0xb800aacf,0x3fe2ee5f,0x4d220d11,
    0xd016004f,0x2200e85f,0x81be63ff,0x3fa6006f,0x5c7e84ff,0x2e204fbb,
    0x75c404fe,0x7f5c404f,0x27f5c404,0x213fae20,0xaccccef9,0xd10b3000,
    0x6c3b800f,0x56f84d8c,0x0ff9801b,0x1ae013e2,0x98033fee,0x27fbcefd,
    0x72fd81fe,0x190019ff,0x4019ff70,0x3fe600fd,0xd8dfd002,0xbfcc99df,
    0x3e17e619,0x7f707e87,0x03fc2fc4,0x55567f54,0x217e22aa,0x01fd807f,
    0x41fe17e6,0xf501d449,0x5727fc47,0x04feb880,0xf1000bf2,0xa7ec3a1f,
    0x2fc5604a,0x6fb80b00,0x0df10166,0x0037c0df,0xf12fffdc,0x86f9a54f,
    0x04fa9dc8,0x09f53b91,0x13ea7722,0x27d4ee44,0x4fa9dc88,0xffffffb0,
    0xb01d007f,0x234400f7,0xf83f30fa,0xdf3006be,0x2007f99d,0x7fff703e,
    0x4bf70880,0x25fb81fe,0x2403fffb,0x207fff70,0x3fe200fd,0x45ff8805,
    0xf88effdd,0x7c2fcc5f,0xfa83fc47,0x1fe17e26,0x02fbaeb8,0x07f85f88,
    0x2fcc06a8,0x3bbae3fc,0x1eeeeeee,0xff3937c4,0x53b9102c,0x00fdc09f,
    0x52cd7f40,0x0c8076df,0x073001fb,0x05b1ff88,0x07e86f88,0x6c4001be,
    0x267fe2ff,0x7d117e25,0x1f4427d4,0x47d109f5,0x23e884fa,0x23e884fa,
    0x261904fa,0x6407ca99,0x007a9c82,0x7c4f903a,0x01ff77c3,0x0019a7cc,
    0xfd8803e2,0x45fd004f,0x44fa82fd,0x5104ffd8,0x84ffd880,0x3ff400fd,
    0x3a17fd40,0xf9808098,0x1ff87f85,0x17e25f98,0xb93a21fe,0x85f8803f,
    0x402c807f,0x447f85f9,0x9e999ad9,0x89fc8099,0x20935f95,0x813ea3e8,
    0xfb8000fb,0x357fc2cd,0x06fc4aa0,0xc801b85c,0xf88068df,0x1be07e86,
    0x27ec0150,0x3f98b9fd,0x213ea374,0x7427d46e,0x37427d46,0x51ba13ea,
    0x5807909f,0x54ae1660,0xfb077007,0x23be2fc4,0x27cc01ff,0x8506b800,
    0x7d400ffa,0x7d41fdc2,0x80ffa851,0xffa85008,0x26007ec0,0x37e401ff,
    0x3e2000fc,0x3fc87f85,0x17e23f98,0xa83fa1fe,0x2fc4705f,0x01a203fc,
    0x41fe17e2,0x7cc0340e,0x39bf32bc,0x09f51ba0,0x44018354,0x7fe40fff,
    0xfb10d804,0x02cc9959,0x803cff98,0x207e86f8,0x501d406f,0x207fd4bf,
    0x51fe20fa,0x547f889f,0x2a3fc44f,0x2a3fc44f,0x2a3fc44f,0x5027c44f,
    0x3e607405,0x200cfdcc,0x261f9059,0xefab7c2f,0x0013e600,0x640d81ec,
    0x20fe600f,0x366c86f8,0x00807e40,0x6c0fc81b,0x05fc800f,0x7f307fe6,
    0xf88ff000,0xfb85fa87,0x1fe23fc0,0x1ff88df1,0xf11fe0d4,0x00b2110f,
    0x21fe23fc,0xe802cc68,0x8837f46f,0x5c27d47f,0x1220aefd,0x3e617f60,
    0x20d8801f,0x002cc198,0x22003ff6,0x3e07e86f,0xf7035406,0xd117fc47,
    0xb939fd05,0x67f435df,0x21aefdc9,0xefdc9cfe,0x3273fa1a,0x3fa1aefd,
    0x1aefdc9c,0x32af7bfa,0x220ee05e,0x00afcaaa,0xb97d403a,0xfb9be20f,
    0x0017ea06,0x227403e2,0x80fe604c,0xe8be23f9,0x0ff82644,0x742644e8,
    0x0bf9000f,0x9f503df3,0x737fd000,0xfe835ff7,0x3fa0ba22,0x1affca8b,
    0x7eec4ffa,0xfe85ebdf,0x1affca8b,0x400bfff1,0xffbb9bfe,0x0751261a,
    0x7f50fee0,0x6e4e7f40,0x36711aef,0x02feeffd,0x0df02fa8,0xb500ec40,
    0x00bf5000,0x41fa1be2,0x77d406f8,0x27637c40,0x302ecdfc,0x5ff15ffd,
    0xf8affe98,0x57ff4c2f,0x7f4c2ff8,0x4c2ff8af,0x2ff8affe,0x6f7f6544,
    0x5401a601,0x36016407,0x3fc44d8d,0x3fae17fa,0x1ae000cf,0x0dcbefd8,
    0x400ddd44,0x6c2ebcda,0x880dcbef,0xbefd80ff,0x02ff80dc,0x3b37fa60,
    0x05f300cf,0x27fff300,0xdfd80bff,0xfff302ec,0xfa82ffe7,0xfff90dff,
    0x7fff301b,0xbfe82ffe,0x3ffe6000,0x1dc17ff3,0x83c400b2,0x3ffa600f,
    0x3622ff8a,0x09fff52c,0x03c81e20,0x5deedc40,0x3a0002dd,0xd0df1002,
    0x80ff301f,0xfecefdca,0x0988660c,0x04008100,0x40081002,0x01020040,
    0x000a8000,0x801c4051,0x7fed40ca,0x2effd89c,0x80660000,0x02601310,
    0x10804400,0x10088013,0x3f6a0262,0xa98003ef,0x30000000,0x009800c1,
    0x2600c130,0x13001300,0x9800000c,0x2604c060,0x00c06000,0x80880408,
    0x22018001,0x00cc0000,0xb5001800,0xff9339ff,0x6fff5c3b,0x4d44080a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x333332a0,0x1cccca82,
    0x2e00f726,0x9003b301,0x6edcc001,0x332a001b,0xbdb73002,0x99930037,
    0xdb980799,0x00388bde,0x2e37bd73,0x01999910,0x20e66654,0x64c14419,
    0x8003cccc,0x2ccc82ff,0xed81332a,0x666664c4,0x4bfe000b,0xbcccccc9,
    0x16d400aa,0x0bf90000,0x3db8a5c4,0x66665c00,0x3ccccccc,0x33333310,
    0x66450701,0x333224cc,0x99999933,0x22001557,0x1701bdca,0xbdc98198,
    0xccccc980,0x3331001c,0x2e201333,0x333260c1,0x09b11ccc,0x18559b71,
    0x4cccc430,0x84fd8099,0x2201eff8,0x2a7621ee,0x4416602f,0x025401fa,
    0x2e60bda8,0xb87aa01d,0x42bf200f,0xfb003fb8,0x4e7d403f,0x807ff510,
    0xdb88acfb,0x2ffd41ff,0x74037a20,0x7ec01d13,0x3f98001f,0xff517ee0,
    0x207f7ae0,0x4c001ffd,0x67fec43f,0x02efdcaa,0x00003ffd,0xdfea81ba,
    0x002ffde9,0x5577f7cc,0xfd06daaa,0x507fffff,0xfd88ee1d,0x6c43f886,
    0xfdcaacff,0x4cfe202e,0x51e880fe,0xf913b70b,0x05ffb107,0xfffffd80,
    0xdfff983f,0xffd88299,0xd11ffdc2,0x3770fe61,0x7fd41b51,0xdd06ffff,
    0x36017f60,0x1d007404,0xd100fc40,0x90075001,0x13a0fa03,0x5f9807f4,
    0x2606fb80,0x813e204f,0x07ee03fb,0x7b013fea,0x01f6fcc0,0x5c001bee,
    0x7c2fcc05,0x0b90e887,0x99000df5,0x7d41bee0,0x02ec982f,0x400e8800,
    0x1be63ff9,0x0bf7d300,0x9999882c,0xdbfd0099,0x0d30ff10,0x7fd41bee,
    0x7e41f902,0x81f9f903,0xa83f40f9,0x9988007f,0x32809999,0x2a01dffb,
    0x25cc887f,0x3e21dc4c,0x4cc43fff,0xf1009999,0x9009f901,0xb80f2207,
    0x900fc403,0xdb377005,0x42c839b9,0xc87c82f9,0x01fe403f,0x27cc17ea,
    0x5fb825c0,0xff982d80,0xb00b202f,0x0df500df,0x3e601200,0x40a87f85,
    0x0037d41a,0x40df5024,0x01903ff8,0x10037000,0x800ff0bf,0x0a05faac,
    0x2ff98000,0x02c85fb0,0x7fc40df5,0x1fd45b83,0xdd84ff88,0x82fd9999,
    0x000007f9,0x30054408,0xfb1540ff,0x01750283,0x641cc000,0x703c804f,
    0x00b307fd,0x016a03f1,0xf50fc926,0x42fcc589,0x007fd45e,0xfa807fe6,
    0x001ff885,0x001ff109,0xff9b3053,0x0000b203,0xdffeffa8,0xbf300002,
    0x54000ff0,0x5400006f,0x07fdc06f,0x00000126,0x0fd0bf10,0x05fab440,
    0xca8b3320,0x3e60004c,0x6fa81a26,0x1007fdc0,0x20009fd7,0xaaaaaadf,
    0x0006f981,0x0017bb71,0xb037cc00,0x0067fdc1,0x2f72a200,0x09f90001,
    0x86d80790,0x81f8801e,0x21b800e8,0xa83f60fb,0x3d527fc2,0xfd005fc8,
    0x542fd409,0x7d40006f,0x56602007,0x82c80efd,0x07b714b8,0xdfb337d4,
    0xcccccb81,0x42fcc4cc,0x4072607f,0x200596fa,0x06fa81c9,0x98e62ff8,
    0x2019b51d,0x07b714b8,0x01fa17e2,0x20bf52c8,0xfa8bf703,0x5b54b887,
    0x80ee3fd0,0x2ff806fa,0x4fa9dc88,0x13e07260,0x000df300,0x07bee3d3,
    0x0f6e2971,0x0b986f98,0x203fffb8,0x33f881c9,0x072601fd,0x0f2013f2,
    0x003b8950,0x005903f1,0x3ec1f716,0x5bff3122,0x009fd01b,0x5fa817f6,
    0x40004fd8,0x4c0005fc,0x590bfd15,0xde9dfea8,0x8df502ff,0x566c4ff8,
    0x4c4feaaa,0xc887f85f,0xbdf502ff,0x5ff91007,0xfd00df50,0xb3ffb109,
    0xfd50dfdb,0x05ffbd3b,0x00fd0bf1,0x985fa9a2,0xff0bf304,0xfeaefea8,
    0x01d4fa86,0x7f4037d4,0x9f51f444,0xf05ff910,0x86f9800d,0xf10ba201,
    0x74eff54d,0xdf302ffd,0xffd88010,0x417fe444,0x10ff20fc,0x9f905ff9,
    0x9c987900,0x801a20d9,0x002cc2f8,0xeb98fb8b,0xfff98582,0x2007ff00,
    0x17ea07fd,0xaa880ffe,0x13fa1aaa,0x7ccb3000,0x7cc1644f,0x541be63f,
    0x247fc86f,0x2fc437dc,0x05f903fc,0x9000bfea,0x7fee545f,0x7e41cccc,
    0xd837f606,0x23ff981f,0x85f886f9,0x5459007e,0x4fdcccef,0x0ff0bf10,
    0x406a7df3,0xb9504aff,0x839999ff,0x2a3746fc,0x20bf204f,0xf30701fe,
    0xf903fc8d,0x7cc3fb01,0x4c1be63f,0xf50a006f,0x705f901f,0xf903fa8b,
    0x9009f905,0xd80ba887,0x55445981,0xcda83a0a,0x33ee2441,0x3621606e,
    0x7fc41ffe,0x40ff9003,0x27fc45fa,0x88bff620,0x4c0003ff,0x5917fd45,
    0x0ff0bf10,0x3ff21bea,0x01ff3060,0x40ff11fe,0x0df702fc,0x4c45f900,
    0x09999efb,0x3f903fe4,0x5f882fb8,0x85f887f8,0x5469807e,0x4da999ef,
    0x0ff0bf10,0x3bb60df1,0xeeeefffe,0x33df7314,0x27fc8133,0x027d47f8,
    0x7ff905f9,0x46f980c8,0x20fd01fb,0x217e23fb,0x00df307f,0x203f206c,
    0x75c402fc,0x905f904f,0x0079009f,0x03f44254,0x36b2e3c8,0x23ee2c0f,
    0xe88b03f9,0x7c1ffe8a,0x0dfb004f,0x2ffc2fd4,0x7fc3fdc0,0x42cc0004,
    0x10591ffb,0x2a0fd0bf,0x206fe86f,0x3fa02fe8,0x1affbb9b,0xffa82fb8,
    0x82fb8006,0x6fd806fa,0x7f507f20,0x0fd0bf10,0x01fd0df3,0xfeeeeed8,
    0xbf104885,0x0df10ff0,0x2a01be20,0x46fd806f,0xefdc9cfe,0x882fb81a,
    0x04ecffff,0x7c400df3,0x7c4df507,0xdf307e85,0x13227400,0xdc8817dc,
    0x5f704fa9,0x59009f90,0x5ec1a200,0x11459807,0x3ee0c85f,0x43983f70,
    0x3a2fec4e,0x09fd005f,0x3ff42fd4,0x7f437d40,0x82cc0006,0x882c8ffd,
    0xf507e85f,0x202ffb8d,0x7fcc04fd,0x7017ff3f,0x6fadb85f,0xa82fb800,
    0x04fe806f,0x07f507f2,0xa8fd0bf1,0xfc99cffe,0x50b301df,0x7c4060bf,
    0x6f887f85,0x500df100,0x89fd00df,0xff8affe9,0x2205f702,0x2605fffd,
    0x0ffc006f,0x0bf12fcc,0x01be60fd,0x0dcbefd8,0x7d105f70,0x2fb827d4,
    0x1c805fb8,0x53903b00,0x4401d00f,0x1f71540f,0xf986e374,0xf907f442,
    0x80bfe00d,0x1ffb85fa,0x7e437d40,0x02cc0007,0xf1059dfd,0x3ea0fd0b,
    0x02ffdbae,0x09801bee,0x42fb80d1,0x8100df51,0x06fa82fb,0xf900ffcc,
    0xf883fa83,0x09807e85,0x3ea07a00,0x42fc4005,0xb06f887f,0xddffdddd,
    0x06fa89dd,0x4080ffcc,0x2017dc06,0x37cc0698,0x307f9040,0x742fc47f,
    0x100df307,0x2e007442,0x7d46e82f,0xf505f704,0x5001d00d,0x01ea5709,
    0xb03b8077,0x2219fd31,0x7dc598df,0x3a21fb81,0x02fd402f,0x2ff40fea,
    0x3e21bea0,0x9828803f,0x0bffe205,0x41fa17e2,0x01abcffa,0x00207fcc,
    0x0bee0354,0x0e2037d4,0x0df505f7,0x7e405fe8,0x7c41fd41,0x7c407e85,
    0x505a801f,0x7c0b80bf,0x7c43fc47,0x00df1006,0x5fe80df5,0xfb80f500,
    0x4c079802,0x3ea3806f,0x3e20fb85,0xdf307e85,0x05fa8700,0x1fe217dc,
    0x0bee09f5,0x5b807fa2,0x7cc0e880,0x880cfdcc,0xb1025406,0x4c413333,
    0xa83f885a,0x7406fa86,0xfa85c40f,0x407ff502,0x3ff706fa,0x05982440,
    0x7c417fcc,0xdf707e85,0x417f4400,0x017f3003,0x37d40bee,0x05f70720,
    0x7fe40df5,0x2a0fe400,0xe85f883f,0x803f8807,0x40bf701e,0xa8bfe858,
    0x3e21affc,0x00df1006,0x7fe40df5,0x019f3000,0x3e600bee,0x80ff500c,
    0xd117f41c,0x7e85f885,0x1c80ff50,0x17dc07c8,0x7ee4e7f4,0x817dc1ae,
    0x75c40ef9,0xa882c800,0xd80afcaa,0x1008ea01,0xb02d403b,0x3ea05b0d,
    0xa81ed885,0xe980b95f,0x40df702f,0x6440affa,0xf700f500,0xfd0df305,
    0x001ff901,0x016213f6,0x642dffc8,0x83ff703f,0x3fc86d98,0xfe986fb8,
    0x42fd800c,0x86f984fb,0x3ee200fe,0xf903e400,0x260fa60d,0x17ff3fff,
    0xf9803fc4,0x986fb807,0x64000cfe,0x1fe42dff,0x42dffb80,0x64c41ffb,
    0x5d9bfb07,0x1fd0df30,0x9883ff70,0x404e887c,0xffe983fc,0xfc82ff8a,
    0x33bfa603,0x5a800cee,0x12e0f500,0x05dcceb8,0x36ef76e2,0xbcfc802d,
    0x676c402c,0x3e204edb,0xd9000cdf,0x17fd97bf,0xdeffd980,0xffc880bd,
    0x2a16402d,0xfc99cffe,0xfffb31df,0xeffa807b,0x005feeee,0x3effb808,
    0x3fffff26,0x5c4fffff,0xff933eff,0x37bddfff,0x7dff9100,0xea8fffae,
    0xffc99cff,0x8805501d,0x3261dffd,0xfeeeffff,0x182600ff,0x01dffda8,
    0x20b7ffae,0xefffffc9,0x40001bde,0x03effb80,0xfff93020,0x9fffffff,
    0xfd500980,0xbff9339f,0x3ffff263,0x44ffffff,0x7fdc01a8,0x7008103e,
    0x98807dff,0x005c000a,0x44070288,0x001aaaaa,0x04c00066,0x00054400,
    0x54c00013,0x13100009,0x00200000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x85500000,
    0x99999911,0x05999999,0x31039b71,0x80133333,0x0cc0a801,0x64c3ff10,
    0x2e23cccc,0x221ccccc,0x2045b54b,0x017b7100,0x02c005a8,0xcccccc98,
    0x99300aab,0x664c7999,0xccc984cc,0x00aabccc,0x6666664c,0x261ccccc,
    0xcccccccc,0x333264cc,0x332e23cc,0x99911ccc,0x33261799,0x3222cccc,
    0x9930cccc,0xa8039999,0x22003ccc,0x9930cccc,0x01357999,0x07999997,
    0x00399997,0xcccc9899,0x90009abc,0x99999999,0x33322399,0xcccccccc,
    0x9998482c,0x99999999,0x99988482,0x036e0999,0x000001a0,0x2a000000,
    0x2bbffa0d,0x557bf148,0x9fb757ff,0x89f72ea8,0x6ffffffa,0xd1013ee0,
    0x5f501665,0x5407ff60,0x77f544ff,0x25fb6fea,0x7ffe42fd,0x6fea83ff,
    0x4003ea00,0xb99aefd8,0x3ff603fe,0x202ff981,0xcaacffd8,0x7e402efd,
    0xfbaaaaaf,0xaaaefd83,0xffd87eba,0x209ff501,0xfc883ffc,0x09f901ff,
    0x8005ffb1,0xf7001ffe,0xffd8819f,0xa81ffdbb,0x3ee02fff,0x86fa800e,
    0xfcabffd8,0x37e200cf,0xffaaaaab,0x2aaf7e25,0x4fcbacff,0x500142cc,
    0xfffb85a8,0x0bfe6fff,0x599901a0,0x17d66654,0xc85eedc4,0xbdda881f,
    0x44ffa1b0,0x265fff71,0x2541ff84,0x21ff85f3,0x09999998,0x2e00fea0,
    0x1ec01fcf,0x4cf7dcc4,0xbff99999,0x54fbe609,0x87f23fb1,0x1ff931d8,
    0x2006f988,0x3ee004fe,0x2e0dfb06,0x001d906f,0x3fea0df7,0x981bea02,
    0x1a05fb84,0x3ff01bee,0xc803fe60,0x407d02ff,0xfb8007fa,0x3ffd005f,
    0xff51bee0,0x405ff505,0xfe8800eb,0xe88df706,0xb816206f,0x3a1660ff,
    0xbd124c1f,0xd1140050,0x3333310b,0x4005d413,0x545fc806,0x74c3f9ff,
    0x5f53df71,0xbfd33e88,0xa8086543,0x07fe0661,0x64c0fd92,0x00100000,
    0x82402ff4,0xeeeffeea,0xeeffeeee,0x4081be21,0x1ff405c0,0xff3006f8,
    0x837d400f,0x6fa81ff9,0xf5000eb8,0x81ffc40d,0x541c06f9,0x3ea0a05f,
    0x880ffc06,0x86fd807f,0x03fcc04c,0x007fed40,0x5403ff6a,0xb05fd86f,
    0x800f40df,0xdf506fad,0x2601ff70,0x985ff302,0x3381fe82,0x0a199dfd,
    0x9dff3280,0x40000019,0xf85f9806,0x217c44bf,0x7443bff9,0x00037cc2,
    0x081ff804,0xb930017e,0x00000017,0x037d4000,0x1be207fe,0xbf701800,
    0x56401be0,0xdf5002fe,0x7d427f40,0x500075c6,0x0ffb80df,0xa8006f98,
    0x37d4005f,0x7c407fe0,0x24fe8807,0x06f9806a,0x04fcca80,0xa807fcf4,
    0x80ffb86f,0x04b83ff8,0x541be970,0x03ff886f,0x013fa011,0x75081fe8,
    0x00a155df,0x55df7528,0x00039301,0x85f98068,0xb01f907f,0xc81f905f,
    0x393001fe,0x8807fe00,0x276e006f,0x665c3fc8,0x5c4ccccc,0x4ccccccc,
    0x42daa5c4,0x0ffc06fa,0x326037c4,0x40fe6001,0xf778806f,0x81bea00d,
    0x26fa82ff,0x7d4000eb,0x982ff806,0x2a01306f,0xf500a85f,0x101ff80d,
    0x3fe600ff,0xf9800e89,0xf9ca8006,0x3fed300f,0xf90df500,0x83fea01f,
    0x268800e8,0x70df506f,0xfc8001ff,0x07fa000e,0x0050bf10,0x220bf114,
    0x31002ffc,0x333d3333,0x42fcc133,0x2e0fd07f,0x5dc7e84f,0x7e4404fb,
    0x03ff002f,0x4c007fc4,0x3363f40f,0x44feaaaa,0xfeaaaacd,0x3abbfaa4,
    0x2037d46f,0x06f881ff,0x4005ff91,0x00df01fa,0x007fe297,0x3fe41bea,
    0x01d96fa8,0xd00df500,0x20df309f,0xb0bf500d,0xf01bea01,0x01fe203f,
    0x001eefc8,0x95000df3,0xf96c13f6,0xd0df500f,0x25fd80df,0x7c3d002d,
    0xfd0df506,0x1ff9800b,0x200ff400,0x200285f8,0xf9017e22,0x3332e005,
    0xcccccfcc,0x1fe17e62,0x37d41fe2,0xf34a9fe2,0x40bf200d,0xcdffcccc,
    0x417fc1cc,0x26677628,0x2e122fd9,0x6fb8486f,0x8353ef98,0x99999efa,
    0xf881ff99,0x0017e406,0x4037c09b,0x2017f20e,0xecbabffa,0x9df500cf,
    0x3ea0003f,0x986fc806,0xfeccccff,0x999ff500,0x3bea01fd,0xfaaaaaaa,
    0x00ff101f,0x26005fe8,0x34a8006f,0x3e6981ff,0x44df500f,0x7c401ffc,
    0x79005abf,0x2df506f8,0x4003fd98,0xe8004fe8,0x42fc401f,0x7e5ca002,
    0x2fc80cce,0x4c034000,0xff07f85f,0xff0bf303,0x02fc4b33,0x33302fc8,
    0x13335ff3,0x2240efc8,0xaaaaaadf,0x01ff3061,0x880ff983,0x67fd406f,
    0xffcccccc,0x6406f881,0x80d3002f,0x262d406f,0x77d400ff,0x0cfedbaa,
    0x3ffddf50,0x00df5000,0x3ff30ff9,0x201f7533,0xfbaaaefa,0x999ff500,
    0x03ff9999,0xf7001fe2,0x1be6005f,0x3fe92a00,0x201ff1e4,0xdefecffa,
    0x1dff7000,0x0df0b300,0x3ffbbfea,0x06fd8000,0x8803fd00,0x4a00285f,
    0x7019dfa8,0x2001105f,0xf85f8806,0xf507f907,0x98b9fd07,0x2fb8043f,
    0x8803ff00,0x42fccfff,0xfe88004f,0x02fe8802,0x6fa80df1,0x7c40ffc0,
    0x8017dc07,0x2037c01d,0x403fd81d,0x5ff906fa,0xffd1df50,0x06fa8003,
    0x6f986fd8,0x17ea0170,0x037d402e,0x3fc407fe,0x1df9d300,0x000df300,
    0xf137d495,0xdf500ff8,0x07fd0000,0x0df01d10,0x1ff45bea,0x007fea00,
    0x2200ff40,0x8a00285f,0x17dc05f8,0x1a00bfe2,0x1fe23fc0,0x07e42fd4,
    0x3ea07fd4,0x3ee0bf60,0x003ff002,0xf05dffd1,0x09fb000d,0xf8813f60,
    0x2037d406,0x7fed41ff,0x005f701d,0x40df0079,0xeeeeeef9,0x037d406f,
    0x2df50dfb,0x2001ffe8,0x5fe806fa,0x01106f98,0xa80617ea,0x80ffc06f,
    0x1d1007f8,0x3e6013fa,0x744a8006,0x0ff8792f,0x0000df50,0xdf9007fb,
    0xbdffdddd,0x3fe66fa8,0x07ff1001,0x200ff400,0x200285f8,0xf7017e22,
    0x806ff985,0x737fd006,0xfd035ff7,0xf8817445,0xfb0ba22f,0x2005f705,
    0x166001ff,0x70701fe8,0x1bee00df,0xfa80df10,0x880ffc06,0x2017dc01,
    0x40df004b,0x80bfe02c,0x3fea06fa,0xfd137d41,0x1bea003f,0xf305ff30,
    0x0bf5000d,0x7c06fa80,0x00ff101f,0x02ff98b6,0x204037cc,0x7c77dc4a,
    0xfa807fc0,0x3fd80006,0xeeeeeb80,0x7d45effe,0xd8037dc6,0x3a00405f,
    0x437c401f,0x6f88a002,0x44417dc0,0x333332e6,0x42cccccf,0x7ff3fff9,
    0x3b37f601,0x37f27602,0x2e0302ec,0x03ff002f,0xfc81fe40,0x3e60643f,
    0x7fcc040f,0x01be2040,0x1ff80df5,0x7dc0bf70,0xf8012a02,0xfb80d106,
    0xb81bea05,0x237d40ff,0xa801ffe8,0x82ff406f,0x543806f9,0x37d4005f,
    0x7c407fe0,0xfc84c807,0x01be600f,0xbff0950e,0x2a01ff09,0xfd80006f,
    0x837c0003,0x04fe86fa,0x71007fdc,0xf801fe80,0x40050aaf,0x40657f42,
    0x4c7302fb,0xaaaaaaaa,0x41301aaa,0x30026001,0x80004c43,0x3ff002fb,
    0xf106d800,0x889d9fff,0x744382fe,0x37c4382f,0xff01bea0,0xb807dc03,
    0x2209502f,0x09907f83,0xf501ff88,0x5437fc0d,0x2ffe886f,0xf9037d40,
    0x01bea01d,0x006fb859,0x3fe037d4,0xb80ff301,0x40bfd106,0x20e407fa,
    0x80ffb84b,0x0df501ff,0x007fb000,0xdf506f80,0x2607ff10,0x016402ff,
    0x3ee00bfe,0x42800a2f,0x7f902ffb,0x00001910,0x00000000,0x07f90000,
    0x4007ff10,0x3f6202f9,0x84fd85ff,0x4427ec58,0x2e03fc45,0x0bfe207f,
    0x7f902744,0xdddddf50,0x87f883fd,0x6ff802f9,0xda88df70,0x07fc80ef,
    0x5c07fff1,0x04fe986f,0x0f703fd4,0xfc800ff9,0x40bfe207,0x3f700ffa,
    0xb81ffdc0,0x3e4c41ff,0x42fc4364,0xff702ff8,0x0bfd0000,0xf706f800,
    0x20bfea0f,0x3ee205fe,0x00ffe201,0x55555c04,0x04aaaaaa,0x31f7fdc0,
    0x00000005,0x00000000,0x80fbfee0,0x00bfffeb,0x9880054c,0xeeeffa80,
    0x3fea5fee,0x25feeeee,0x4c1dffda,0x223dfffb,0x21bfffeb,0x3fee01a8,
    0x3fffea3e,0x6dc6ffff,0xdfd72dff,0x3fff6609,0xffff932e,0x307bffdf,
    0x447bfff9,0x24effffc,0xeeffffc9,0x2e601bce,0xfeeeffff,0x3ff264ff,
    0x7e4c03df,0x3ae23dff,0xf911beff,0x3ae17dff,0xfeb82dff,0xff932eff,
    0xffffffff,0x16ffe4c9,0xffeb8872,0xfff930be,0xfb50007b,0x20003bff,
    0x7ffe4c6f,0x3effc83d,0xfffffff7,0x5c0fffff,0x001cfffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x04000000,0x222042e4,0x88888888,0x22222220,
    0x20888888,0x0dd30ef9,0x22802f6e,0x04411000,0x00222222,0x1c400680,
    0x97040024,0x665c1999,0x0dee5442,0x98b37260,0x6dc402dc,0x7b97101c,
    0x990772a1,0x02665459,0x71017b93,0x665c559b,0x4999992c,0x30003cca,
    0x817bb710,0x00204838,0xcccccb80,0x41c984cc,0x07b714b8,0x91199995,
    0x80440399,0xc8accccb,0x52e20ccc,0x452e22da,0x066dc3dc,0x80300300,
    0x1200ecc1,0x9307b930,0x017b507b,0x5b10f26e,0x05dd41ec,0x0ff83bee,
    0xeeeeb8e6,0x5eeeeeee,0xddddddd5,0x7dc9dddd,0x2f60fd41,0x8d42dfda,
    0xf12f46f8,0xfff1fe2d,0x34000dff,0x45907600,0x17bb915a,0x07fe41d1,
    0x4cfe21f4,0x21d700fe,0xe88dacfa,0xf72ea81f,0xdf13f989,0x41df517b,
    0x83fd45fb,0x23fc89db,0x447f30e8,0x42fec5fd,0x75c001ec,0xefb8f4c4,
    0x40ee1641,0x6c000bea,0x4feaaaac,0xea8bff22,0x2ffde9df,0x3ee3ffa8,
    0xf702f401,0x5057ec3f,0x2dfd5dfd,0xfcd9efea,0x0dfdbb4f,0x9b00bee0,
    0x7d443aa0,0xd80fee01,0x27624fa9,0x2a6fa2fa,0x2f9a5c1e,0x23fcd7ea,
    0x7e41f51e,0x3fb1fa3f,0x00016000,0x5125c0b6,0x4bbbfb50,0x43fe27f8,
    0xc8df16f8,0x0003cccc,0x5c5c801a,0x99cfeb86,0x0ff81eeb,0x320fc868,
    0x641f983f,0x30fe61ff,0x321ff85f,0xf91bf60f,0x3fc2fcc9,0xc9fa07cc,
    0x17e61dc4,0x003b0bf1,0xd1033b22,0x7c46f885,0xeb881741,0xf709001c,
    0xf30bf20d,0xb837cc7f,0xd0c07a6f,0x4df10229,0x7df300e9,0x23ff886a,
    0x3f20cff8,0x800c8802,0x2207544d,0x1d1d101f,0xd0364130,0x98b30ea1,
    0xa7d47f50,0xf89e66f8,0x0db1d4c4,0x0160007f,0x24807100,0x440d4400,
    0x00000d40,0xb8034000,0x260bea0f,0xf706980e,0x45b83a87,0x40fd83fa,
    0xfbaaaffa,0x32607ec6,0x39f716a0,0x7ccdf733,0x9dd87f85,0xfb2fd999,
    0x40fe8283,0x201620fe,0x3f202ed9,0x7e41fd80,0xd5007ee0,0x7cc1805b,
    0x885f900f,0x3607f85f,0xdf302cbf,0xf0ff3791,0xf88036ad,0x361be206,
    0x001fd41f,0x0eaa6c00,0x25901f88,0x704c805a,0x20740ec9,0x3e23f9ba,
    0x20fb97e3,0x9720c86e,0xb0000fb8,0x2aaaaaa6,0x002aaaaa,0x00000000,
    0x34000000,0xdf327cc0,0x82b80b20,0x2006c6f8,0x7f84feb8,0xaaaaff98,
    0x8002fc2a,0xaaaacfea,0x3e17e62a,0xaaaadf87,0x19ff71aa,0xff11fd40,
    0xbd5015c9,0x2e0fd003,0x3a37c43f,0xbed9800e,0x017f4400,0x85f885f7,
    0x13fe207e,0xbf79dd70,0x00d7df05,0x86f80df1,0x227d41fc,0x99999998,
    0xbb009999,0x207e201d,0xd100ec69,0x2e7fb701,0x45723443,0x49d0fc3f,
    0x751322fa,0x000aa3a8,0x2eeee670,0x2bbbbbbb,0x00000000,0x10000000,
    0x33d33333,0x3fe21333,0x0340bfa0,0x997ec162,0x2a772204,0xf83fc44f,
    0x006f8807,0x017dd75c,0x43fc2fcc,0xfff7004f,0x9c9be207,0x3ae2167f,
    0x0ff1000c,0x93f21bea,0x322005fb,0x09fb00cf,0x2fc42fb8,0x1bea03f4,
    0xf00f7dc0,0xf8807fdd,0x7e437c06,0x32e27d41,0xcccccccc,0x09f502cc,
    0x20f40fc4,0x801b1069,0x3623d16c,0x0bfaafc2,0x2f42c83a,0x14c0541d,
    0x00000000,0x00000000,0x20000000,0xcfccccca,0x3f23cccc,0x1a213ee3,
    0x57e60d10,0x547d101c,0x407fc44f,0x7fc400fe,0x2e4e8800,0x85f9803f,
    0x2006f87f,0xf904ffd8,0x26bf2b13,0x001dea84,0x2fcc0ffc,0x05fb0ff4,
    0xb83fc880,0x42fb806f,0x407e85f8,0x3f203fdd,0xf82efbbe,0x2201ff8e,
    0x6437c06f,0x0027d41f,0x26c75400,0x825c1f88,0x0306443c,0x2eed992a,
    0x0de8deb8,0xdb88150e,0xdd10000a,0xdddddddd,0x377762dd,0x5ddddddd,
    0x00000000,0x00000000,0x8db00680,0x201d80fc,0x167fa03b,0x427d46e8,
    0x83fe81ff,0x14417fc3,0x82fd41fd,0x1fe17e23,0x429c07fa,0xcf980ffa,
    0x039bf32b,0xc8017754,0x543f983f,0x800fe62f,0xf980bec9,0x17dc040f,
    0x81fa17e2,0x981fe8ac,0x0fd17b5f,0x403beadf,0x437c06f8,0x027d41fc,
    0x41d50008,0x222f883d,0x261d100e,0x931eeeee,0x00001b33,0x00000000,
    0x11111111,0x4ccc1111,0x99999999,0x00000001,0x00000000,0xd1006800,
    0x04a84e87,0x2efa803a,0x4fa8ff10,0xfff84fc8,0x1df90e21,0xf11be248,
    0x3fc1a83f,0x3ff21fe2,0x640d8643,0xe8dfd00f,0x7db3006f,0x5c2fd401,
    0x1762740f,0x10176d40,0xf70705fd,0x7e85f885,0x077cc950,0x22049f04,
    0x4417ee6f,0x6437c06f,0x4027d41f,0x075401fa,0x155511ec,0x2a330066,
    0x2a22aaaa,0x0000000b,0x00000000,0x00000000,0x00000000,0x68000000,
    0x1d11a600,0x36a1cf98,0x7407f806,0xaefdc9cf,0xfb87fe21,0x40fddffd,
    0x2fccfff8,0xfdd89ff4,0xfe85ebdf,0x1affbb9b,0x3b3fffe2,0x409913a4,
    0x01fd43fb,0x4033b220,0x50ba22fe,0x5c40698b,0x4fd801ce,0x43fc8588,
    0x40fe86f9,0x02fec0e9,0x47f9813a,0x07f884fe,0x07f61fe2,0x1b3009f5,
    0x03200c80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x800d0000,0x5d124c3a,0xb75bdbf9,0x74c04c80,0x82ff8aff,0xb0eedfe8,
    0x3a205dff,0xffa82eff,0xbfff90df,0x27fff301,0x7ec40bff,0x5f7ec5ff,
    0x41e200dc,0x3aa0000f,0xecdfd81d,0x100d8582,0x2a0017d9,0xfeeeeeff,
    0xa9f7fdc5,0xfc99cffe,0x47ff51df,0x001dffe9,0x89dffea8,0xfb52effe,
    0xffd983bf,0x3effc89c,0x0017ffd7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x200001a0,0x02a04c19,0x08100088,
    0x18809880,0x13003100,0x82600260,0x08098801,0x40600131,0x07300001,
    0x5000004c,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_26_latin_ext_x[560]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,1,0,1,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-2,0,0,0,0,0,0,
0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-1,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_26_latin_ext_y[560]={ 20,4,4,4,3,4,4,4,3,3,3,6,17,13,
17,3,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,24,4,9,3,9,3,9,3,9,3,3,
3,3,3,9,9,9,9,9,9,9,6,9,9,9,9,9,9,3,3,3,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,8,4,4,6,4,
3,4,4,4,4,9,9,13,4,2,4,6,4,4,4,9,4,10,19,4,4,9,4,4,4,8,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,3,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,3,4,4,4,4,4,4,7,8,4,4,4,4,4,3,4,
1,5,-1,4,4,9,-1,4,-1,4,0,4,-1,4,-1,3,4,3,1,5,-1,4,0,4,4,9,-1,4,-1,4,
-1,4,0,4,4,2,-1,-1,4,3,-1,4,1,5,-1,4,4,3,0,9,4,3,-1,4,4,3,9,-1,-1,4,
3,4,3,4,3,4,3,-1,4,4,9,-1,4,4,4,9,1,5,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,6,-1,3,4,6,-1,4,1,5,-1,4,-1,3,-1,4,4,9,-1,4,-1,4,
0,-1,4,0,4,-1,4,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,8,5,5,5,5,5,5,5,5,5,5,5,5,5,1,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,4,-1,4,-1,
4,-1,4,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-2,-2,4,-2,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_26_latin_ext_w[560]={ 0,4,8,12,10,19,18,4,8,7,10,13,4,7,
4,7,11,7,11,10,11,10,10,11,10,11,3,5,13,13,13,9,21,17,15,15,17,14,13,17,17,8,9,18,
14,21,18,17,13,17,16,11,14,17,17,22,17,17,14,6,7,6,11,13,5,11,12,10,12,10,11,12,12,6,
7,12,7,19,12,11,12,12,8,8,7,12,12,17,12,12,11,7,2,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,12,12,
2,9,8,18,8,12,13,7,18,13,8,13,7,6,5,12,12,4,4,5,8,12,17,17,18,9,17,17,17,17,
17,17,22,15,14,14,14,14,8,8,8,8,17,18,17,17,17,17,17,11,17,17,17,17,17,17,13,11,11,11,
11,11,11,11,15,10,10,10,10,10,6,6,7,7,11,12,11,11,11,11,11,13,12,12,12,12,12,12,12,12,
17,11,17,11,18,12,15,10,15,10,15,10,15,10,17,15,17,12,14,10,14,10,14,10,14,11,14,10,17,12,
17,12,17,12,17,12,17,12,17,12,8,8,8,8,8,8,8,8,8,6,17,12,9,9,18,12,12,14,7,14,
7,14,10,14,9,14,7,18,12,18,12,18,12,15,16,11,17,11,17,11,17,11,21,17,16,8,16,8,16,8,
11,8,11,8,11,8,11,8,14,7,14,10,14,7,17,12,17,12,17,12,17,12,17,12,17,13,22,17,17,12,
17,14,11,14,11,14,11,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,16,13,12,12,12,12,12,12,12,12,12,12,12,12,12,20,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,11,8,7,17,
11,17,12,17,12,17,12,17,12,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,11,22,15,17,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_26_latin_ext_h[560]={ 0,17,7,17,19,17,17,7,23,23,11,13,7,3,
4,18,17,16,16,17,16,17,17,17,17,17,12,15,12,6,12,17,23,16,16,17,16,16,16,17,16,16,17,16,
16,16,17,17,16,21,16,17,16,17,17,17,16,16,16,21,18,21,9,2,5,12,18,12,18,12,17,17,17,17,
23,17,17,11,11,12,17,17,11,12,15,12,12,12,11,17,11,23,23,23,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,21,17,12,16,
23,21,4,17,8,12,6,3,17,2,8,13,9,9,5,17,22,4,6,9,7,12,17,17,17,18,21,21,21,20,
20,20,16,21,21,21,21,20,21,21,21,20,16,21,22,22,22,21,21,10,18,22,22,22,21,21,16,18,17,17,
17,17,17,18,12,16,17,17,17,17,16,16,16,16,18,16,17,17,17,17,17,10,13,17,17,17,17,22,23,22,
19,16,21,17,21,16,22,17,22,17,21,17,22,17,21,18,16,18,19,16,21,17,20,17,21,16,21,17,22,22,
22,22,21,22,21,24,21,21,16,17,21,16,19,15,21,16,21,22,20,11,17,23,22,22,21,22,11,21,21,21,
22,16,17,16,17,16,17,22,16,21,16,22,16,16,17,17,20,16,22,17,22,17,17,12,21,16,21,16,21,16,
22,17,22,17,21,16,22,17,22,20,21,18,16,15,22,17,20,16,22,17,22,18,22,17,21,16,22,17,21,22,
20,21,16,20,16,21,16,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,15,15,21,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,13,15,15,15,15,15,15,15,15,15,15,15,15,15,20,13,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,21,17,21,16,22,
17,22,17,22,19,22,21,22,21,22,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,23,22,17,23,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_26_latin_ext_s[560]={ 157,504,390,358,315,105,279,413,78,90,260,
1,408,496,477,17,298,127,115,396,349,493,184,151,75,172,507,446,162,437,201,
204,98,135,153,132,188,206,221,114,235,253,104,169,280,295,148,86,317,354,361,
499,393,1,456,414,262,331,378,302,389,19,345,418,457,54,402,84,415,124,487,
74,474,486,32,125,160,293,234,176,138,429,284,135,408,111,41,144,247,332,215,
40,87,123,463,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,157,397,71,
401,28,355,120,372,487,437,381,15,423,496,56,432,372,452,357,365,451,252,370,
482,418,339,399,188,87,38,19,451,198,232,115,261,288,243,310,55,82,363,330,
228,354,345,417,279,368,426,270,87,288,382,399,327,25,288,123,159,19,37,180,
499,62,50,38,26,14,428,95,25,475,464,453,442,504,243,220,107,461,446,358,
346,334,322,310,313,494,266,253,240,227,221,144,61,339,492,133,137,166,386,195,
86,473,418,216,54,416,43,284,1,250,473,357,36,309,407,213,114,324,407,339,
65,383,357,327,74,26,314,66,19,1,400,80,168,468,1,306,437,97,483,57,
451,171,227,378,131,489,211,477,460,271,436,428,413,306,459,149,419,76,228,370,
432,284,265,297,1,167,268,97,125,180,434,20,181,252,193,205,66,495,71,451,
98,463,346,306,163,318,195,387,474,345,214,401,106,480,440,10,429,234,290,153,
333,177,319,141,486,105,345,445,206,38,371,97,499,135,151,194,198,47,250,59,
223,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,234,416,416,185,
416,416,416,416,416,416,416,416,416,416,416,416,416,372,480,416,416,416,416,416,
416,416,416,416,416,416,416,416,114,466,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,1,389,
378,399,229,278,193,265,270,326,157,44,175,84,211,496,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,1,66,247,303,48,1,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416, };
static unsigned short stb__times_26_latin_ext_t[560]={ 24,93,165,112,71,112,93,164,1,1,165,
165,164,164,164,93,93,148,148,93,148,93,112,112,130,112,148,148,165,164,165,
112,1,148,148,130,148,148,148,130,148,148,130,148,148,148,130,130,148,49,148,
112,148,130,112,112,148,148,148,49,71,71,165,171,164,165,71,165,71,165,112,
112,112,93,1,112,93,165,165,165,112,93,165,165,148,165,165,165,165,112,165,
1,1,1,164,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,24,71,49,
112,165,130,1,49,164,112,165,165,164,164,130,171,165,148,165,165,164,112,1,
164,164,165,165,165,112,130,130,71,49,49,49,71,71,71,130,49,49,26,26,
71,26,26,26,71,130,26,26,26,1,49,26,165,93,26,26,26,49,49,130,
71,112,112,112,112,112,71,165,148,93,93,93,93,130,130,130,148,71,130,93,
93,93,93,93,165,148,93,93,93,93,26,1,26,71,130,49,93,49,130,26,
93,1,93,49,93,1,93,49,93,130,71,71,148,49,93,71,93,49,130,49,
93,1,1,1,26,71,1,71,1,71,49,148,93,49,148,71,148,71,130,71,
1,71,165,93,1,1,26,49,1,165,49,49,49,1,130,93,130,93,130,93,
1,130,49,130,26,130,130,93,93,71,130,26,93,26,93,93,165,26,148,49,
148,26,130,26,112,26,112,26,130,1,112,1,71,26,71,148,148,26,112,71,
130,26,112,26,71,26,112,26,130,26,112,49,1,71,49,130,71,148,49,148,
112,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,112,148,148,49,
148,148,148,148,148,148,148,148,148,148,148,148,148,71,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,71,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,49,112,
26,130,1,112,1,112,1,71,1,71,1,71,1,49,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,1,1,1,112,1,112,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,148,
148,148,148,148,148,148,148,148,148, };
static unsigned short stb__times_26_latin_ext_a[560]={ 94,125,153,188,188,313,292,68,
125,125,188,212,94,125,94,104,188,188,188,188,188,188,188,188,
188,188,104,104,212,212,212,167,346,271,251,251,271,229,209,271,
271,125,146,271,229,334,271,271,209,271,251,209,229,271,271,355,
271,271,229,125,104,125,176,188,125,167,188,167,188,167,125,188,
188,104,104,188,104,292,188,188,188,188,125,146,104,188,188,271,
188,188,167,180,75,180,203,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,94,125,188,188,188,188,75,188,
125,285,104,188,212,125,285,188,150,206,113,113,125,216,170,94,
125,113,116,188,282,282,282,167,271,271,271,271,271,271,334,251,
229,229,229,229,125,125,125,125,271,271,271,271,271,271,271,212,
271,271,271,271,271,271,209,188,167,167,167,167,167,167,251,167,
167,167,167,167,104,104,104,104,188,188,188,188,188,188,188,206,
188,188,188,188,188,188,188,188,271,167,271,167,271,167,251,167,
251,167,251,167,251,167,271,243,271,188,229,167,229,167,229,167,
229,167,229,167,271,188,271,188,271,188,271,188,271,188,271,188,
125,104,125,104,125,104,125,104,125,104,266,207,146,104,271,188,
188,229,104,229,104,229,153,229,129,229,104,271,188,271,188,271,
188,227,264,186,271,188,271,188,271,188,334,271,251,125,251,125,
251,125,209,146,209,146,209,146,209,146,229,104,229,160,229,104,
271,188,271,188,271,188,271,188,271,188,271,188,355,271,271,188,
271,229,167,229,167,229,167,104,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,271,292,292,188,292,292,292,292,292,
292,292,292,292,292,292,292,292,271,199,292,292,292,292,292,292,
292,292,292,292,292,292,292,291,204,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,271,167,125,104,271,188,271,188,271,188,271,
188,271,188,271,188,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,271,167,334,251,271,188,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_26_latin_ext_BITMAP_HEIGHT or STB_FONT_times_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_26_latin_ext(stb_fontchar font[STB_FONT_times_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_26_latin_ext_BITMAP_HEIGHT][STB_FONT_times_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_26_latin_ext_s[i] + stb__times_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_26_latin_ext_t[i] + stb__times_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_26_latin_ext_x[i];
            font[i].y0 = stb__times_26_latin_ext_y[i];
            font[i].x1 = stb__times_26_latin_ext_x[i] + stb__times_26_latin_ext_w[i];
            font[i].y1 = stb__times_26_latin_ext_y[i] + stb__times_26_latin_ext_h[i];
            font[i].advance_int = (stb__times_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_26_latin_ext_s[i] + stb__times_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_26_latin_ext_t[i] + stb__times_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_26_latin_ext_x[i] + stb__times_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_26_latin_ext_y[i] + stb__times_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_26_latin_ext_LINE_SPACING
#endif

