// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_11_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_11_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT         94
#define STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_times_bold_11_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_11_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_11_latin_ext_LINE_SPACING           7

static unsigned int stb__times_bold_11_latin_ext_pixels[]={
    0x00000000,0x00c40000,0x2300887b,0x401c8808,0x99440e01,0x51071502,
    0xa980b9a8,0xaa801702,0x4074c02a,0x0540baca,0x1e5406a6,0x01621cc0,
    0x407b0166,0x22e2028a,0x300b8a81,0x54406e80,0xd103b202,0x6409d109,
    0x41a20e02,0x071505d9,0x838a8254,0x3e20b629,0x84e82983,0x07150d58,
    0x540510e2,0x438ffc80,0x504db84a,0x81c98071,0x5005401a,0x12320175,
    0xf880dca8,0x4cc0b103,0x40ae2019,0x545428a8,0x38054540,0x33106a60,
    0xbc985710,0x40988570,0x4c570bc9,0x0bc98b62,0x2a214c57,0x64c4e809,
    0x2e48570b,0xaba828ba,0x0e3ffe29,0x57164cb5,0x415c2f26,0x4d440de9,
    0x20135100,0x5e4c09a8,0x13510570,0x55057530,0x2e2b2a57,0x2f26551c,
    0x1cb88570,0x53155dd4,0x20513057,0x06d641a9,0x4bf036b2,0x206d640a,
    0x22982a5f,0x4152fc1d,0x22e97228,0x52fc5eb8,0x4d9d94c1,0xd8fa5c83,
    0x225438ff,0x2fc152fe,0xc87f1015,0x74b90ba5,0xf85d2e42,0x74b902a5,
    0x2a245262,0x5cfe21f6,0x52fc131f,0x26c8f901,0x41229349,0x4c57500c,
    0x23262b8c,0x9852742b,0x52742b8c,0x9d122298,0x5c5f1014,0x9d16cee6,
    0x75aa2e14,0xd997cc32,0x88e3b626,0x418fea84,0x07c40a4e,0xf135c5f1,
    0x45f135c5,0x8852746b,0x3fa9ae2f,0x20f8eb81,0xd0a9f16d,0x267c8149,
    0x13fa8c2f,0x236a07e0,0x4b91f30f,0x2745c8f9,0x45c8f985,0x5c530a4e,
    0x08852742,0x98fd43f7,0x293a1aaf,0x9bd6e44c,0x2a627ee0,0x2a1c541f,
    0x2177c543,0x23d40a4e,0x5c7ea1fb,0x7dc7ea1f,0x24e87ea1,0x3f50fdc2,
    0x5dc077ec,0x7e557d41,0x20527418,0xd803ee7c,0x04fa80ef,0x23e61f73,
    0x1723e65c,0x23e6149d,0x9852745c,0x149d0762,0xf717d4a6,0x93a2fcc1,
    0x9e9eaa82,0x5cabee18,0x2a1c540f,0x746f9945,0x2a2e40a4,0x7d43ee2f,
    0x17d43ee2,0x852741f7,0x843ee2fa,0x5674c6ea,0x2fcd6f40,0x9f205274,
    0x3aa101fa,0x4c0fca86,0x91f10f8e,0x22e47c4b,0x91f10e5d,0x530e5d8b,
    0x43976164,0x45c8fe29,0x39760e8b,0x7c413028,0x0e2a1b24,0xb1ea2897,
    0xf83c81cb,0x647f1723,0xd8b91fc5,0x5c8fe0e5,0x3a23c42e,0xe87dc5ed,
    0x5b0e5d84,0x421fc4d9,0xaa98f10b,0x17d7d43f,0xdce8db9d,0x40d5fcc6,
    0x5fcc6dce,0x84994c1a,0x14c1abf9,0xd81b75b3,0x0d5fcc49,0x80999998,
    0x1505aadc,0x1b30c887,0x06afe624,0x5d6cc0f2,0x6dd6cc0d,0x06dd6cc0,
    0x2606afe6,0x32e0dbad,0x54e542aa,0x30372441,0xebb8357f,0x85d5f4c3,
    0x4dc2aacb,0x000007d9,0x01000020,0x02008004,0x00401002,0x08010400,
    0x00400001,0x00200200,0x02002002,0x00008010,0x20000010,0x13ee4b80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c026660,0x838b8199,0x930001f9,0x5c155220,
    0x570bc882,0xbb880b60,0x3e20ee00,0x29a84982,0x26600eb8,0x73071701,
    0x4400c013,0x2eaf260d,0x2a00fcc2,0xb80cacbb,0x4cc42440,0x441c8001,
    0x0e720099,0x37550254,0x3f982f40,0x4f8848c8,0xaa4405c0,0xa97a0382,
    0x2a049b80,0x8b81c038,0x1c980b84,0x33200f98,0x95071704,0x5401f809,
    0x190e5e81,0x7dce0b89,0x441c8198,0x3a209904,0xcca83904,0x5c02aa01,
    0x4026a200,0x5932abba,0x298cb95c,0x32605454,0x4654570b,0x2e17932b,
    0x4c152742,0x64c570bc,0x164c570b,0x970e4457,0x42f26531,0x832be62b,
    0x5c570bc9,0x1793298c,0x813ea0ae,0x37a2abba,0x95d54098,0x07dc0cfb,
    0x952abba8,0xa8575510,0x20e440a8,0x351009a8,0x90575301,0x99b2174b,
    0x9854bfa4,0x4795199f,0x4152fc3a,0x97e5c8f9,0x8152740a,0x4bf02a5f,
    0x0a97f40a,0x333f317c,0x7cc152fc,0x152fc6ca,0xbf0ccfcc,0x07e54054,
    0x77493364,0x30fb541e,0x901f701f,0x20f9a4cd,0x0c99625c,0x3a5c8be0,
    0x4c5d2e42,0x22f88914,0x430be66b,0x66c18fea,0xe8153742,0xb91f30a4,
    0x4bd05274,0x3a0a4e82,0x23faa0a4,0x166c2f81,0x47cc293a,0xb052747a,
    0x20a4e859,0x7cc3faa9,0x833bd0c2,0x03e63f6b,0x85f303ee,0x0be21f31,
    0x5f007c43,0x226b8be2,0x3fa9ae2f,0x3ea1fb81,0x45401f71,0x217d42ef,
    0x4e828afa,0x4b91f30a,0x29720a4e,0x93a0a4e8,0x82ef8a82,0x3a17d42f,
    0xf71f30a4,0x3ea0a4e8,0x37052742,0x00fb8fb3,0x5905457a,0x7dc07cc3,
    0xf9807dc0,0x7c403f70,0xf72f80ca,0x1fb8fd43,0x0efd87ea,0x21f717d4,
    0x7cca01fa,0x07db0686,0x4fd4293a,0x98293a5c,0x24e81abe,0x4a0a4e82,
    0x682f86f9,0x7f30a4e8,0x40a4e87b,0x970a4e86,0x03f527dc,0xa9b2bbe2,
    0x85d10acd,0x0fd42fc8,0x23f71fb8,0x95f10dd8,0x8bea5f09,0x5c5f50fb,
    0x21baa10f,0x3f89723f,0x213d4504,0x3605f302,0xb2e440e5,0x6c0901cb,
    0x839760e5,0x45d11ea2,0x21cbb050,0x1cbb00f9,0x072ec142,0x21fc4388,
    0xece88700,0x20a202a4,0x229843f8,0xf89b63f8,0xf17445c8,0xc8fe2e47,
    0x4c3c42e5,0x74c0dbad,0x41b30bab,0x7cc03324,0x0357f302,0xabf98b36,
    0x26033601,0xbf981abf,0x4906cc1a,0x03320ed8,0xf506afe6,0x06afe601,
    0x57f30199,0x4c2e8803,0xe880babe,0xa8aa72a2,0x7d303881,0x9876a175,
    0x3e24e9be,0x83b625c8,0x4c0dbad9,0x32e0dbad,0x000202aa,0x67dc0000,
    0x08000200,0x80080100,0x80000000,0x08013100,0x88002000,0x04040000,
    0x04000004,0xdb5f5010,0x00400400,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0e06d800,
    0x0cc981a8,0x2a660a6a,0x0e2e0000,0x28b81900,0x1000ccb8,0x80a02a66,
    0x0ee00a89,0xbc9838b8,0x051700ab,0x8b260ba0,0xa982c82b,0xc883882b,
    0x88110390,0x209500aa,0x402f264a,0x4040ec1c,0x058829a8,0x262f40ae,
    0x403c882d,0x20be605e,0x05570bc9,0x153301f7,0x4b135510,0x2e06885e,
    0x100e00c9,0x3e53e05f,0x28800fb8,0x4054bfa0,0x10914983,0x407c7a09,
    0x02e8ae42,0x5e83e607,0x20288710,0x215d5444,0x55442baa,0x2aa2f42b,
    0x804d442b,0x5e4c0a8a,0x2a5f80ab,0x6565dd40,0x99036b20,0x0cc98674,
    0x54795591,0xbc98ea3c,0xe80600ab,0x56441f54,0x332603ca,0x47f544bb,
    0x8f2ab221,0x5e4c13fa,0x0f8f42ba,0x22f892a2,0x3e60306c,0x325417a0,
    0x64720179,0x1f6a9625,0x5e8b12e4,0x4b907daa,0x2633222e,0x3e53e0bc,
    0x2e705274,0x7193198f,0x8d717c45,0x17d4665e,0xa7c0a9ba,0x7407e07c,
    0xa8cc3ead,0x43f2602f,0x3177c544,0xdfb0bea3,0x3d0e5e81,0x71fae83e,
    0x7c0fd43f,0x17a0f981,0x40bd07cc,0x70c2f8cb,0x217c47ed,0x3ed72f41,
    0x235c5f11,0x29d13e5e,0x052740fa,0x23e607dc,0xfa87ee5c,0xbf1097a1,
    0xd0515f50,0x3ea03ea9,0x83f99d04,0xaa80bf10,0xf9940a8f,0x422fc426,
    0x4c6f46ea,0xf30f8f40,0x3ee2fa85,0x7cc27d40,0x3e6117a0,0xbea817a0,
    0x70d6401f,0x645e803f,0xfa87ee1a,0x744f97a1,0x24e83ead,0xf303ee02,
    0x717d4b91,0x7e42f41f,0x3a07db00,0xf9503ead,0x41ba9d01,0x2e6e00fc,
    0x1ea284cf,0x221703f2,0x740f7747,0x20be61f1,0x32a1764f,0xbd07cc0f,
    0x3a0f984c,0x47ef2e05,0x59b50dd8,0x6ec47ee1,0x36a1df10,0x5c5f50ac,
    0x3eabba0f,0x40fe6744,0x0fb80e5d,0x3e2e47c4,0x98bd1763,0x05f3023f,
    0x2607f33a,0x6fcc3faa,0x1fcc5f98,0x8fb9a881,0x98906cc3,0x5565c23f,
    0x740cef42,0x217ec1f1,0x4c0cbac8,0x8fd43faa,0x30ebaef9,0xc822f41f,
    0x89b63f8a,0x47f14ece,0x33a2246d,0x45c8fe4e,0x29d13e5e,0x2bbf986e,
    0x33a03ee0,0x6ed6cc6d,0x89ba2f40,0x4e817cc2,0xfb3370dd,0x44dd01c0,
    0x211f5142,0x44dd0382,0x8af40dc2,0x507c7a0a,0x9b80fc80,0x441c47d9,
    0x97a0f982,0x5f4c3609,0x2a72a4e9,0x13a6fa62,0x154e547d,0xe81b75b3,
    0x8df993e5,0x880105f9,0x010002fc,0x67dc3be2,0x67dc1fba,0x7cc6fcc0,
    0x04fb92e5,0x759f7019,0xfc89e43f,0x06441eab,0x07eeb3ee,0xcaef8837,
    0x88ec7626,0x2e2cb800,0x84993ee4,0xf31fa849,0x8061d75d,0x40100200,
    0x44020080,0x00df98ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x2a028a80,0x4cc06028,
    0x955dd419,0x41640998,0x01c819b8,0x305881b5,0x81c5c051,0x5442bbb8,
    0x9984d828,0x99853500,0x26049809,0xb9ac9819,0x2a289982,0x3a0dc429,
    0x440a6a25,0x9101930d,0x2e02ea19,0x9807a203,0x0590201a,0x27220919,
    0x32051303,0x2a933643,0x4c1c41cc,0x901c40db,0xb3035073,0x640fd405,
    0x1d90b10d,0x3220baa8,0xa819503c,0x200b81ba,0x1ee80ccc,0x21a9a85b,
    0x26aea1d9,0x6d435552,0x07cc3500,0x1c02e5e8,0xdb812720,0x664c3504,
    0x57930180,0x26032057,0x185f30cc,0x2f261993,0x433262ba,0x262babc9,
    0x3262babc,0x7930180c,0x0c3f8855,0x4c575793,0x757930cc,0x15d5e4c5,
    0x8f2a1993,0x2f40303a,0x1f675cd9,0x0a75c353,0x054c1751,0x8f88664c,
    0x01c6f43a,0x06006006,0x3f05e868,0x3f0397a0,0x00fb97a0,0x21cbd17a,
    0xe872f45e,0x3e0bd0e5,0xb9729f01,0x872f401f,0xe872f45e,0x6e8bd0e5,
    0xe80fc02a,0x49483ee5,0x3f623d69,0x744672e3,0x7c4bd068,0x277740a8,
    0x03f007e0,0xe86981f8,0xbd04fa85,0x09f50131,0x201fa97a,0x04c6f45e,
    0x131bd17a,0x74098de8,0x9f04fa85,0x897ccfe6,0x2637a0dd,0x237a2f40,
    0x04c6f409,0x515f517a,0x2f413ea0,0x9f675cf7,0x2fd87d6b,0x2bae1bf3,
    0x6fc4bd04,0x02fbde85,0x27d409f5,0x0b709f50,0x01f950bd,0x32a03ddd,
    0x3e25e80f,0xee8bd043,0x7745e81e,0x81eee81e,0x80fca85e,0x23e97e4f,
    0x40f7746d,0x40f7745e,0x85e81eee,0x3f2a03ed,0x49735e80,0x75aa38a9,
    0x4c4f2a32,0x5e80f52f,0xbd0bebe2,0x3f2a07f6,0x201f9500,0x42d40fca,
    0x1fd54c5e,0x54c0cef4,0x4c5e83fa,0x17a0babe,0x8bd033bd,0x9de819de,
    0x554c5e81,0x9f14f83f,0x226cde44,0x45e819de,0x9de819de,0x2f985e81,
    0x887f5530,0x2a0bf9ef,0x864e41a9,0xb770ccba,0x740bb623,0x47f2bea5,
    0x1ff98ef8,0x260feaa6,0xaa983faa,0x45e8683f,0x5e87d99b,0x6ccdc151,
    0x05505e87,0x1515e8bd,0x5457a2f4,0xd05457a0,0x87d99b8b,0x3503f54f,
    0xd05457a0,0x41515e8b,0x2f41515e,0x99b817cc,0x0108007d,0xd0000280,
    0x05c0170b,0xb87d99b8,0x99b87d99,0x3e20c87d,0x27dc970e,0x5cd95df1,
    0xef893ee4,0x77c41a80,0x4d95df10,0x5df10ef8,0x6577c4d9,0x25c3be26,
    0x5f7cc9f7,0xf103702d,0x77c4d95d,0x4d95df10,0x226caef8,0x067dc0ef,
    0x004fb92e,0x00000000,0x01903be2,0xf725c0dc,0x49f725c9,0x0613ee4b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x77997100,0x02ee2009,0x377000ee,0x90e4e4c7,
    0x260aa871,0x5cd43882,0x1d403ee0,0x50e32164,0x45350057,0x2ca88cc9,
    0x9c98b300,0x02a6a000,0x3f881735,0x40b30930,0x83880ba8,0x215d438b,
    0x5c3b81f9,0x4cc0a983,0xaaec1d81,0x2774c91f,0xdb510e2a,0xdc837741,
    0xb95f10ea,0xb3f10fcc,0x4e848824,0x7170e2e2,0x41f5070d,0x0320f8da,
    0x2a5e83b3,0x51bba21f,0xec84ba81,0x541ec41e,0x05cdc0b9,0x900b805c,
    0x70930775,0x642ba871,0x88703848,0x206d468e,0xfa97cc38,0x2054c099,
    0x2edd41a9,0xbb7506a6,0x25c9f88e,0x567e21a8,0x4435100b,0xb86a20ba,
    0x0d4438cf,0x1f7302a6,0x2ba833ee,0xa83f52f4,0x4c2ea22b,0x23262b8c,
    0x8ae3262b,0x3262b8c9,0x2e3262b8,0x20ae3262,0x0a980bdd,0x06a60d4c,
    0x41a98353,0x12bae1a9,0x054c1d71,0x133ea3f7,0xeb4cd1d1,0x69976f31,
    0x06ede63d,0x74d727e2,0x9c4d5c78,0x973c74c0,0x99e3a633,0x3c74c08f,
    0x474cd1d1,0x6d41f30f,0xfa97a0f8,0x5c3e36a1,0xb91f319c,0xf32e47cc,
    0x647ccb91,0x99723e65,0x23e65c8f,0x44fe445c,0x4cd1d11e,0x8f5a63d6,
    0x75a63d69,0x3d47ad31,0x1d12fb4c,0x9fa8fdcd,0xd72575c3,0x25cb5cfa,
    0x65ae7d6b,0x75caf985,0x9ab2900b,0x70df985b,0xb701f30b,0x7d495d70,
    0x417f72fa,0xa97a0fb9,0x987dcc1f,0xb91f30df,0xf32e47cc,0x647ccb91,
    0x99723e65,0x23e65c8f,0x4f6da65c,0x6b92bae2,0xb9f5ae7d,0x9f5ae7d6,
    0x3b627d6b,0xeba75722,0x7d4fe24a,0x50f52889,0x5cb5cbad,0x96a975aa,
    0xfaae440b,0x7cfc2e00,0xf9881f50,0x0f981f52,0x03d40fa8,0xd307cc71,
    0x65ef41f1,0x3e3a60fa,0x3e25f310,0x323e25c8,0x89723e25,0x23e25c8f,
    0x9723e25c,0x3ee5c8f8,0xf508ff88,0xb54bad50,0x54bad52e,0x175aa5d6,
    0x25d6b851,0xfb7b307a,0x3b623d79,0xd8864e42,0x864e46ec,0xb00eecd8,
    0x20fb625b,0xd89ab238,0x4476ee3e,0x20ba23ed,0x3b623ed8,0x5d12e882,
    0xf897d7d4,0x7d44ccae,0x43b772fa,0x6e746dce,0x3a36e746,0x36e746dc,
    0xb9d1b73a,0x75e7f44d,0xc85db11f,0x832720c9,0x32720c9c,0xda832720,
    0xd8967621,0x0000002e,0x02000000,0x00008080,0x20000000,0x01000008,
    0x00000000,0x40000000,0x00000040,0x00440000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x542aa980,0x195952ba,0x07dc38b8,0x077015c0,0x22e0d4c7,0x3e615d43,
    0x41dc3b81,0x40c80baa,0x0aa21cca,0x71931564,0x5405f107,0x0d4c29ab,
    0x4555072a,0x1972ccc8,0x215ddc53,0x51cb8aca,0x07503b85,0x2a190717,
    0x7510ea2c,0x82b85e4c,0x5dbcc0a8,0xaf987daa,0x711c5c6c,0x0380b873,
    0x54c53172,0x2ea1c5c1,0x81c24642,0x42647c43,0x1066641d,0x98531057,
    0x48b85c8f,0xd11f4b90,0x33edcc3a,0x77754b6d,0x24333f32,0x5cfe21f5,
    0x2038131f,0x3b07f103,0x6c0a93e2,0x0a97e1ea,0xb96b82cc,0x1f31fb5c,
    0x4c0a98f5,0x9833ee0a,0x22edd40a,0x750aea0b,0x5d42ba85,0x2ea15d42,
    0x20b23e62,0x3260ecc0,0x2e3262b8,0xb9723e22,0x2638bc8c,0xb5cdb32f,
    0x5f52d42e,0x360d823b,0xd8fe042c,0x530a9f16,0x5555cc35,0x08571930,
    0x3f8287e4,0x3f10a4e8,0x322e5ae0,0x9ee3e61a,0x23a268e8,0x8e883e66,
    0x922ede66,0x1b50f8da,0x43e36a1f,0x1b50f8da,0x43e36a1f,0x4383c8f9,
    0x23e66ffa,0x9723e65c,0x3e65c8f8,0x4fdc56c8,0x2d91fa98,0xfb17a63e,
    0x45f5160b,0x26eaabca,0x18fcaafa,0x8d9975e2,0x91f33aaf,0x45fc438b,
    0x3a1ffe41,0x1f7f50a4,0x2a5dbd88,0xb7f30acd,0xd72575c7,0xd707cc95,
    0x25cb5c95,0x307dcc38,0x07dcc1f7,0x7dcc1f73,0x7cc3ee60,0x407a27a8,
    0xb91f33e8,0x3a2e47cc,0x7d6746dc,0xfb957dc3,0xf50fad70,0x50bf3663,
    0x21fa8d05,0x7cd6f45e,0x327575c5,0x3e6779f5,0x3606c5c8,0x9d09902e,
    0x01f5b214,0xa76744b9,0xa87a80f9,0x1ea0f987,0x4172e5ae,0x1d30f8e9,
    0x43e3a61f,0x1d30f8e9,0x43e3a61f,0x5ea7a8f9,0x1f12a81d,0x2e47c4b9,
    0x89b7b848,0x6a9b24f8,0x970d823d,0x284190fa,0xf707e2f8,0xd1f713a1,
    0x10a7da27,0x42f8b91f,0x9cd981fa,0xbd439761,0xca9b603d,0x101f52a9,
    0x176c45db,0x176c45d1,0x224dd9b1,0x5f52fafa,0x4bebea5f,0x5f52fafa,
    0x4bebea5f,0x3a23dafa,0xd0afae3b,0x6dce8db9,0x554887d0,0xb0b55b90,
    0x114ee4b5,0x6458193b,0x2bac980c,0xd306e488,0x2efea1b5,0x9b73a1df,
    0x970582f8,0x55fcc5fd,0x200dad81,0x26204099,0x00000000,0x00000020,
    0x00000000,0x00200000,0x00000410,0x00000080,0x00000200,0x00200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x190aea60,0x857164c7,0x35101aba,0x0aeaa201,
    0x24caaeea,0xba839710,0x3305c41a,0x4882a244,0x573070cc,0x5542aa44,
    0x8321c641,0x33260b8a,0x5730bc98,0x2a1a8819,0x2ef32604,0x22a00644,
    0x19597752,0x232a0326,0x5770220c,0xb8761c5c,0x9173388c,0x48a4d641,
    0x4bfa0fcc,0x2a266e0a,0xc85d2e41,0x4cd91625,0x3e401f34,0x910dccce,
    0x389e1223,0x98912278,0xb1f31f8d,0x50fc6d49,0x3a17c43f,0x7d577cc3,
    0x4995f11d,0x81e668d9,0x6c490fb9,0x728ed403,0x0dfd466f,0x6c4b63e6,
    0xfa8b2a4d,0x11f50a21,0x382efe23,0x353027f5,0x2a18fea8,0x2238e9d8,
    0x2f89ae2f,0x3185f30c,0x4f90195f,0x43988d8a,0x24f0193b,0x85303278,
    0xb1f30f89,0x2a3fb649,0xab98f42b,0x49f2f40c,0x16e5c8f8,0x7d5407e6,
    0x554cc0a8,0x3dc1cc3a,0xf305d7c4,0x1cc39826,0x0c8b98e6,0x41f88abe,
    0x983bf639,0x77c543d6,0x546de4e2,0x8fd43f70,0x03ee01fb,0x64364fcc,
    0x215166e7,0x4412989b,0x22089a8d,0x8481298d,0x9363e61b,0x236a7d7a,
    0xcaf8920f,0x27ddf744,0x7d4b91f1,0x4dc07cc0,0xd7084cfb,0x2a3cc3f1,
    0x2be21bfd,0x3023e64c,0x13cc798f,0x16e4177f,0x217981f1,0x1f5ae6ea,
    0x7b29be65,0x2e2fa8ad,0x3623f70f,0x2603f50d,0x27c87a8f,0x3481468a,
    0x0d71710d,0x061234d2,0x541db9f3,0x83ee61fc,0xd1723e21,0xb5f527cb,
    0xf7176c4d,0x51f73510,0x262fadc0,0x8f887b87,0x3cc1e65c,0x7c4f31e6,
    0x995fdd41,0x10bbcc2f,0x8a2eb54f,0x2aaea27a,0x4b91fc3a,0xf89b63f8,
    0x6a8f9843,0x9a89b2b6,0x88b8389a,0x20e24869,0x0d46988b,0x4b805506,
    0x2283e3a6,0x2f45c8f8,0x1201709f,0x47d450f3,0x8beb7030,0xf887b879,
    0x4c1e65c8,0x89e63cc7,0x15fdd40f,0x59779853,0x30c9c855,0x2ae6241b,
    0xdbad983a,0x274df4c0,0x4c2eafa6,0x3aee1cae,0x41d55cc3,0x541f5129,
    0x12982f61,0x1ea381f5,0x50ea2059,0xa97c5f5f,0x3be26daf,0x0640df98,
    0xc87ea244,0x3b57f913,0x547f1db0,0x50bf221f,0x0fd4db5f,0x43f50fd4,
    0x705f31fa,0x7d43a87f,0x40000021,0x01000800,0x08000400,0x44102020,
    0x04040419,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x32603264,0x99220bbb,
    0x5100c00c,0x4751e547,0x64c2abc9,0x2f262bab,0x2f261750,0xc98bc980,
    0x9117930b,0x0b81ca83,0xc9855793,0x4471700b,0x2aa20888,0x00557930,
    0x0e2e2ba8,0x3204a871,0x2602f261,0x20fa80bc,0xc984a82b,0x262f2609,
    0xbba9c5c3,0x44f30cac,0x97a9d00f,0xd003e248,0xdd0aba01,0x2e53e054,
    0x72f4397a,0x97a05e81,0x1c47ec4f,0x1f71fb26,0x3a0dca74,0x8083ae05,
    0xa7431970,0x26aa60dc,0x7d431f14,0x41e62440,0x3a04e838,0x83871704,
    0xbd097303,0x4e7171aa,0x89e6337b,0xda74398f,0xcaf88e65,0xf984fa80,
    0xf052fa84,0x35e8be69,0xd038de81,0x89f2f409,0x1e602df8,0xf9a741f1,
    0x45cc13a3,0x3e61010c,0x33f9a745,0x23cc2fad,0x5530baa9,0x2a61e617,
    0x40b7a0ba,0x0e60ebde,0x0655cc73,0x4e819573,0x0f70730a,0x0547c4f3,
    0x7983b3ba,0x2a132be2,0xb01f80fc,0x4f93e05d,0x3ba077ba,0x7409d04e,
    0xfa84fbbe,0x1f10ea02,0x97e2b7ea,0xbbf88b4e,0x3a621010,0xbf15bf52,
    0x8f31f56e,0x25e8cbd1,0x2f4658f9,0x9f4e817a,0xf89e63cc,0x32be24ca,
    0x7980a744,0x227987b8,0xdb4e84df,0xb91f13cc,0xf83fa998,0x3e05f301,
    0x46f49f14,0x82fbde81,0x7cbd044e,0x900fd984,0x8a741f10,0x10953a4f,
    0x5708083f,0x4f8a7419,0x8798bab5,0x307d40fa,0x20fa831f,0x19d044f9,
    0x9e63cc5f,0x3e25c8f8,0x822745c8,0x7987b879,0x9d0bebe2,0xf13cc3ee,
    0xd88a8b91,0x5f101f86,0xd0fd53e0,0xb5e82a2b,0x8264e81f,0x13313e5e,
    0x433590bf,0x7d53a1f8,0xf10993a1,0x0aa08081,0xac87ea9d,0x4fe23cc4,
    0x3cc27f10,0x9d109fc4,0x835bd04c,0x1f13cc79,0x2e47c4b9,0x1e60993a,
    0x547ea1ee,0xdf31fcaf,0xa8fd4595,0xb92a6daf,0x5c0fe24f,0x5f7cc0cf,
    0x32bbe21d,0x3e63be26,0xd75df31f,0x6fcc77c4,0x93f21d50,0x3ea1fffa,
    0x45b7df33,0x266baef9,0x4444442f,0xbef986a0,0x43f7002d,0x5f90dafc,
    0xf907ea1b,0x2bbe21b5,0x2037e66b,0x547ea1fa,0x2bea6daf,0x2ebbe66d,
    0xf910fd46,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x9316544c,0x32ab2217,0x02eef263,0x0dde442e,0x90775793,
    0x2a2a1a98,0x2aa6a628,0x51771750,0xb99445d4,0x8d5442b8,0x543ab8b9,
    0x22054c2b,0xb82aa21a,0x20cc0240,0xaaab980b,0x26e60150,0x2e60ca9c,
    0xa98180ca,0x753730ba,0x0a9b9870,0x0e619173,0x410318c6,0x3f917e40,
    0x7d4665e8,0xe87ca742,0xe8be33a1,0xb4cf70e5,0x25b5b51e,0x26759d69,
    0x7cc56c8f,0xb91f3099,0x1f32ebc4,0x7c6d47b9,0x8d99ab10,0x1e8632e6,
    0x70795024,0x755f5981,0x5f107322,0x7c47d1d7,0xd18284ca,0x3054fc4b,
    0x16741575,0x1e6177f1,0x22a63719,0x2a1d4644,0xe83f535e,0x742fc425,
    0x4e801f54,0x209af49f,0x9f56e7b9,0x6d72710c,0x3eafa3ad,0x3e21cd83,
    0x3abae5c8,0x30b91f14,0x92bae1f7,0x205f985b,0xb71ccecb,0x399b9703,
    0x41d5fd4c,0xd71f11ea,0x5c8f88fa,0xa873332e,0x1173e20f,0x20fa8595,
    0x973cc1f8,0x43c9e8b3,0xa8fba84d,0x642f41f9,0x3eade80f,0x36f7a0a8,
    0xa88f3ba0,0xa9756a7a,0xaf56a551,0x5426dee0,0x9723e21f,0x1f13d8eb,
    0x0f8e98b9,0x881f50f5,0x0902a2e9,0x02e05971,0x7104fad1,0xb5c7c459,
    0x1723e23e,0x884fe202,0x2cec2faf,0x40f893a6,0x43636279,0x2ea0d8d8,
    0x4efc540c,0x262f41f9,0xfcce823f,0x09d1fc41,0xcbb8e37a,0xcb92721f,
    0xfb3913cc,0x02aa443b,0x4cdb9d0b,0x36e7459d,0x6c4bebaa,0xb8bb622e,
    0x4ccbe0ca,0x1c98099d,0x2efea05c,0x301771cf,0x49d1f95f,0x0b86dafa,
    0xfa86d7e4,0x64c01fca,0xa85f32fb,0x54a2661f,0x2871c198,0xbd07e6d9,
    0x4e8a26e8,0x274310dd,0x6dd415e8,0x0040001f,0x00800000,0x00000000,
    0x002aaaa6,0x00001008,0x00000000,0x00000000,0x288c9800,0x877c47f7,
    0x31ebacfb,0x189f11bf,0xdf103be2,0x0001ea01,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5c400000,
    0x30cc4910,0x2a064c35,0x54643c81,0x10244311,0x55420a85,0x55551aaa,
    0xec92a035,0x7770e2a6,0x33225477,0x000004cc,0x00000000,0x00000000,
    0x00000000,0x91000000,0x4cd393c3,0xb90ae24a,0x23e398b8,0x53ccf73d,
    0xb955354d,0x26666619,0x47533330,0x2198870c,0x4444438b,0x000001c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x49353c77,0x1705c5bc,
    0xb14cdc55,0x512c286e,0x3332e000,0x2e25101c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x426e0000,0x2e0020d8,0x2e24713d,
    0x102208c2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_11_latin_ext_x[560]={ 0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_bold_11_latin_ext_y[560]={ 8,1,1,1,1,1,1,1,1,1,1,2,6,5,
6,1,1,1,1,1,1,1,1,1,1,1,3,3,2,3,2,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,1,3,1,3,1,3,1,3,1,1,
1,1,1,3,3,3,3,3,3,3,1,3,3,3,3,3,3,1,1,1,4,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,3,1,1,2,1,
1,1,1,1,1,3,3,5,1,0,1,2,1,1,1,3,1,3,7,1,1,3,1,1,1,3,-1,-1,-1,-1,
-1,-1,1,1,-1,-1,-1,-1,-1,-1,-1,-1,1,-1,-1,-1,-1,-1,-1,2,1,-1,-1,-1,-1,-1,1,1,1,1,
1,1,1,1,3,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,
-1,1,-1,1,1,3,-1,1,-2,1,-1,1,-1,1,-1,1,1,1,-1,1,-1,1,-1,1,1,3,-1,1,-1,1,
-1,1,-1,1,1,0,-2,-2,1,1,-1,1,-1,1,-1,1,1,1,-1,3,1,1,-2,1,1,1,3,-1,-1,1,
1,1,1,1,1,1,1,-1,1,1,3,-1,1,1,1,3,-1,1,-1,1,-1,1,1,3,-1,1,1,3,-1,1,
-1,1,-2,1,1,3,-1,1,1,1,-1,1,1,1,-1,1,-1,1,-1,1,-2,1,-1,1,1,3,-2,1,-2,1,
-1,-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,0,3,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,-3,-1,-1,1,-1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static unsigned short stb__times_bold_11_latin_ext_w[560]={ 0,3,5,5,5,10,8,3,4,3,5,6,3,4,
3,3,5,5,5,5,5,5,5,5,5,5,3,3,6,6,6,5,10,8,7,7,7,7,6,8,8,4,5,8,
7,10,7,8,6,8,8,6,7,8,8,10,8,8,7,2,3,3,6,7,3,5,6,5,6,5,5,5,6,3,
4,6,3,9,6,5,6,6,5,4,4,6,5,8,5,5,5,4,2,4,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,5,5,5,5,
2,5,4,8,4,5,6,4,8,7,4,6,3,3,3,6,6,3,3,3,4,5,8,8,8,5,8,8,8,8,
8,8,11,7,7,7,7,7,4,4,4,4,7,7,8,8,8,8,8,5,8,8,8,8,8,8,6,6,5,5,
5,5,5,5,7,5,5,5,5,5,4,3,4,4,5,6,5,5,5,5,5,6,5,6,6,6,6,5,6,5,
8,5,8,5,8,5,7,5,7,5,7,5,7,5,7,8,7,6,7,5,7,5,7,5,7,5,7,5,8,5,
8,5,8,5,8,5,8,6,8,6,4,4,4,4,4,4,4,3,4,3,9,5,5,5,8,6,6,7,3,7,
3,7,5,7,5,7,3,7,6,7,6,7,6,8,8,5,8,5,8,5,8,5,10,7,8,5,8,5,8,5,
6,4,6,4,6,4,6,4,7,4,7,6,7,4,8,6,8,6,8,6,8,6,8,6,8,6,10,8,8,5,
8,7,5,7,5,7,5,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,7,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,6,6,6,6,6,6,6,6,6,6,6,6,6,6,9,7,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,8,5,4,4,8,
5,8,6,8,6,8,6,8,6,8,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,8,5,11,7,8,5,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__times_bold_11_latin_ext_h[560]={ 0,8,4,8,8,8,8,4,9,9,5,6,4,2,
3,8,8,7,7,8,7,8,8,8,8,8,6,7,6,3,6,8,10,7,7,8,7,7,7,8,7,7,8,7,
7,7,8,8,7,9,7,8,7,8,8,8,7,7,7,9,8,9,4,2,2,6,8,6,8,6,7,8,7,7,
10,7,7,5,5,6,8,8,5,6,8,6,6,6,5,8,5,10,10,10,3,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,8,9,8,6,7,
10,10,2,8,4,5,3,2,8,1,4,6,4,4,2,8,10,3,3,4,4,5,8,8,8,8,9,9,9,9,
9,9,7,9,9,9,9,9,9,9,9,9,7,10,10,10,10,10,10,5,8,10,10,10,10,9,7,8,8,8,
8,8,8,8,6,7,8,8,8,8,7,7,7,7,8,7,8,8,8,8,8,5,6,8,8,8,8,10,10,10,
9,8,9,8,10,8,10,8,11,8,10,8,10,8,9,8,7,8,9,8,9,8,9,8,10,8,9,8,10,10,
10,10,10,10,9,11,10,10,7,7,9,7,9,7,9,7,10,10,9,5,8,10,11,10,9,9,5,9,9,9,
9,7,7,7,7,7,7,10,7,9,7,10,7,7,8,8,10,8,10,8,10,8,8,6,9,7,9,7,9,7,
10,8,11,8,9,7,10,8,10,10,9,8,7,8,10,8,10,8,10,8,11,8,10,8,10,8,11,8,10,10,
9,9,7,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,8,7,7,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,6,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,8,9,7,10,
8,10,8,10,9,10,10,10,10,10,10,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,11,10,9,8,10,8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_11_latin_ext_s[560]={ 254,135,35,224,236,58,192,45,49,252,214,
155,41,86,53,51,149,250,244,155,52,104,247,167,161,123,137,34,148,64,170,
110,146,169,150,49,193,201,45,40,226,12,64,209,218,1,14,31,38,210,25,
1,131,238,223,187,235,184,17,201,106,197,23,96,104,114,57,126,44,120,178,
8,162,158,224,143,139,177,187,58,14,1,226,132,33,93,87,78,220,173,201,
173,102,105,57,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,254,219,204,
232,64,240,119,131,91,70,14,236,71,86,22,108,30,141,19,1,82,116,166,
49,78,5,9,242,97,88,79,98,219,22,31,40,59,76,172,90,103,116,124,
68,132,1,171,192,35,178,202,211,220,238,1,248,140,41,56,74,229,197,87,
91,85,79,73,67,61,55,162,162,38,249,27,21,99,252,94,126,243,111,231,
225,219,213,207,194,100,185,178,171,164,106,121,137,206,132,137,116,152,105,161,
93,33,80,196,69,10,52,146,37,1,24,176,12,184,247,189,201,169,237,163,
99,1,177,208,30,16,10,154,1,45,217,146,206,111,224,98,219,85,193,25,
204,54,232,122,50,27,100,13,6,207,244,240,232,228,118,213,9,67,79,168,
92,104,166,155,18,139,184,215,46,229,31,36,230,238,18,1,70,119,234,137,
246,54,17,247,138,41,242,182,30,247,75,188,183,73,86,198,111,143,143,128,
150,112,157,18,110,83,117,65,124,7,131,32,26,110,174,73,102,61,146,55,
50,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,179,23,23,195,
23,23,23,23,23,23,23,23,23,23,23,23,23,88,43,23,23,23,23,23,
23,23,23,23,23,23,23,23,63,106,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,128,129,
97,229,122,8,110,212,186,81,137,86,77,70,93,63,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,48,57,154,204,157,198,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23, };
static unsigned short stb__times_bold_11_latin_ext_t[560]={ 1,63,88,34,34,45,45,88,35,24,80,
80,88,88,88,54,54,71,71,54,80,54,54,54,54,63,80,80,80,88,80,
63,1,71,71,63,71,71,80,63,71,80,63,71,71,80,63,63,80,24,80,
63,72,54,54,54,71,71,80,24,63,24,88,88,88,80,63,80,54,80,71,
54,71,71,13,71,71,80,80,80,54,54,80,80,54,80,80,80,80,54,80,
1,1,1,88,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,1,54,24,
54,80,63,1,1,88,63,88,80,88,88,63,88,88,80,88,88,88,63,1,
88,88,88,88,80,63,63,63,54,24,35,35,35,34,34,63,34,34,34,34,
34,34,35,34,34,72,1,1,1,1,1,13,80,54,13,13,13,1,34,72,
54,54,54,54,54,54,54,80,63,54,45,54,54,72,63,72,72,45,72,45,
45,45,45,45,80,80,45,45,45,45,13,13,13,34,45,34,45,13,45,13,
45,1,45,13,45,13,45,34,45,72,45,34,45,34,34,24,45,13,45,34,
45,24,13,13,24,24,24,34,1,24,13,63,63,34,63,34,63,34,63,24,
13,34,80,45,13,1,13,35,35,80,24,24,24,24,72,63,72,72,72,63,
13,72,24,63,13,63,63,34,45,13,45,24,34,13,45,45,80,24,63,24,
63,24,72,13,45,1,34,24,72,1,45,13,13,24,45,63,45,13,45,13,
45,13,45,1,54,13,54,13,54,1,54,13,13,24,24,72,24,72,24,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,54,72,72,1,
72,72,72,72,72,72,72,72,72,72,72,72,72,24,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,24,80,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,24,63,
24,63,1,63,1,54,1,24,1,1,1,1,1,1,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,1,1,24,54,1,54,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,72,
72,72,72,72,72,72,72,72,72, };
static unsigned short stb__times_bold_11_latin_ext_a[560]={ 40,53,88,79,79,159,132,44,
53,53,79,91,40,53,40,44,79,79,79,79,79,79,79,79,
79,79,53,53,91,91,91,79,148,115,106,115,115,106,97,124,
124,62,79,124,106,150,115,124,97,124,115,88,106,115,115,159,
115,115,106,53,44,53,92,79,53,79,88,71,88,71,53,79,
88,44,53,88,44,132,88,79,88,88,71,62,53,88,79,115,
79,79,71,63,35,63,83,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,40,53,79,79,79,79,35,79,
53,119,48,79,91,53,119,79,64,87,48,48,53,92,86,40,
53,48,52,79,119,119,119,79,115,115,115,115,115,115,159,115,
106,106,106,106,62,62,62,62,115,115,124,124,124,124,124,91,
124,115,115,115,115,115,97,88,79,79,79,79,79,79,115,71,
71,71,71,71,44,44,44,44,79,88,79,79,79,79,79,87,
79,88,88,88,88,79,88,79,115,79,115,79,115,79,115,71,
115,71,115,71,115,71,115,117,115,88,106,71,106,71,106,71,
106,71,106,71,124,79,124,79,124,79,124,79,124,88,124,88,
62,44,62,44,62,44,62,44,62,44,131,88,79,53,124,88,
88,106,44,106,44,106,74,106,63,106,44,115,88,115,88,115,
88,116,122,88,124,79,124,79,124,79,159,115,115,71,115,71,
115,71,88,62,88,62,88,62,88,62,106,53,106,83,106,53,
115,88,115,88,115,88,115,88,115,88,115,88,159,115,115,79,
115,106,71,106,71,106,71,44,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,117,124,124,79,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,88,124,124,124,124,124,124,
124,124,124,124,124,124,124,126,95,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,115,79,62,44,124,79,115,88,115,88,115,
88,115,88,115,88,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,115,79,159,115,124,79,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_11_latin_ext(stb_fontchar font[STB_FONT_times_bold_11_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_11_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_11_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_11_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_11_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_11_latin_ext_s[i] + stb__times_bold_11_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_11_latin_ext_t[i] + stb__times_bold_11_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_11_latin_ext_x[i];
            font[i].y0 = stb__times_bold_11_latin_ext_y[i];
            font[i].x1 = stb__times_bold_11_latin_ext_x[i] + stb__times_bold_11_latin_ext_w[i];
            font[i].y1 = stb__times_bold_11_latin_ext_y[i] + stb__times_bold_11_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_11_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_11_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_11_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_11_latin_ext_s[i] + stb__times_bold_11_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_11_latin_ext_t[i] + stb__times_bold_11_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_11_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_11_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_11_latin_ext_x[i] + stb__times_bold_11_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_11_latin_ext_y[i] + stb__times_bold_11_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_11_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_11_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_11_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_11_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_11_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_11_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_11_latin_ext_LINE_SPACING
#endif

