// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_13_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_13_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT        120
#define STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT_POW2   128

#define STB_FONT_times_bold_13_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_13_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_13_latin_ext_LINE_SPACING           8

static unsigned int stb__times_bold_13_latin_ext_pixels[]={
    0x93000000,0x2200d401,0x2300201c,0x50033008,0x50044c03,0x3002801b,
    0x00d54405,0x309802a2,0x22310000,0x11080000,0x02200540,0x00080350,
    0x10000151,0xf301f401,0x805b009b,0x3025c069,0x075e401f,0x3a200a98,
    0x44032a00,0x02a604ce,0x33500b60,0x7405dc80,0x0e77404c,0x7c40b7b0,
    0x1b7601f8,0x37c40970,0x7c401d30,0x137600de,0xf106adb8,0x1300e60d,
    0x20030037,0x0a00a00a,0x2e205d10,0x88026028,0x0611028b,0x140145c4,
    0x880a2e20,0x064c0153,0x88055110,0x8029401c,0x2e02800a,0x80130399,
    0x394c0350,0x5c0a2620,0x80ba8399,0x07910ed9,0x81757795,0xb883cab8,
    0x77799303,0x33bbcc98,0x50f227db,0x76cc5777,0xbba87913,0x44fb662b,
    0x3cab883c,0x3c89f6cc,0x4c3cab88,0x107913ed,0x2e207957,0x957103ca,
    0x0f2ae207,0x8f227db3,0x366352aa,0x6cc7913e,0x6cc7913e,0x6cc7913e,
    0xa887913e,0x32051702,0xfb8330ef,0x43f513a0,0x541dc44e,0x2fa9a22f,
    0x2a0fd9a2,0x6c399a21,0x26886a0f,0x3507ec39,0xb13a1fa8,0x3ea0d41f,
    0x41fb13a1,0x9d0fd41a,0x513a1fa8,0x3ea2743f,0x41fb13a1,0x05cfe61a,
    0x360d41fb,0x1fb06a0f,0xa83f60d4,0x0b306d81,0x209afe54,0x83f666f8,
    0x7107e46e,0x2286f815,0x83f6286f,0x4193e609,0xf98260fd,0x4c1fb064,
    0x83f23740,0xdd0260fd,0x83f60fc8,0x3f237409,0x41f91ba0,0xdd07e46e,
    0x83f60fc8,0x6c2b6c09,0x1fb0260f,0x983f604c,0x01307ec0,0x281ea0db,
    0x7d4137fb,0x267f5515,0x789fdc4f,0x5027d4bb,0x20fd809f,0x40f7f409,
    0xfd0260fd,0x4c1fb03d,0x7f713e60,0x4c1307ec,0xfb1fdc4f,0x89f304c1,
    0xb89f33fb,0xfb89f33f,0x3fb89f33,0x540983f6,0x307ec1bf,0x0260fd81,
    0x3604c1fb,0x1b60260f,0xd12817f4,0x467dc17f,0x13ea9f53,0x363629f5,
    0xfb813ee7,0x1307ec04,0x6c3ffc88,0xf910260f,0x260fd87f,0x9f513ea0,
    0x541307ec,0xfb27d44f,0x89f504c1,0xa89f54fa,0xfa89f54f,0x4fa89f54,
    0xe80983f6,0x0260fd86,0x3604c1fb,0x1fb0260f,0x4c36c04c,0x7cc506f9,
    0xb8f7e60f,0xfb8df12f,0xf99f72a1,0xb017e605,0x4c30541f,0x1507ec7e,
    0xfd8fd30c,0x46f882a0,0xa83f61fb,0x3f71be20,0x441507ec,0xf88fdc6f,
    0x6f88fdc6,0x46f88fdc,0xa83f61fb,0x0fd83b80,0x541fb02a,0x81507ec0,
    0x3602a0fd,0x703fb386,0x07ec0fa8,0x360fd8bd,0xb1f67e66,0x03f6281f,
    0xa870fdc5,0x43f716a3,0xb8b51d43,0x83f60e1f,0x070fdc6d,0x2e36c1fb,
    0x83f60e1f,0xdb07ec6d,0xb1b60fd8,0x3ee36c1f,0x5c04c0e1,0x87ee0e1f,
    0x20e1fb83,0x36c0e1fb,0x317f2b22,0x65c0c83d,0x5b905cad,0x667cc1b9,
    0x5ddf641f,0x05ddf640,0xb506efb6,0x7db03759,0xbacda837,0x01bbed81,
    0xb01b95b9,0x3720377d,0xbed80dca,0xb95b901b,0x1b95b901,0x01b95b90,
    0xb01b95b9,0x2cc8377d,0x406efb60,0xdb01bbed,0x2fb60377,0x226e4c1b,
    0x80007f43,0x00040020,0x40040040,0x04004400,0x00200220,0x10008004,
    0x00400200,0x20010008,0x0a201000,0x00080040,0x2a802001,0xdfd88754,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01e980a2,0x201a80f6,
    0x51500308,0x0b200c30,0x40104020,0x20004008,0x0173004d,0x82009998,
    0x00018600,0x13227db3,0x11004b88,0x2604cca8,0x40613030,0x226401e9,
    0x7901f448,0xcb82dec0,0x200e880e,0x5d404be8,0x03ce881b,0x0c803b6a,
    0x2209bd10,0x00be206f,0x9c006e54,0x202c6c02,0x32a00dcc,0x3f1f301d,
    0x00d41fb0,0x16a0033b,0xce805553,0xb04ce884,0x440e80b7,0x40500e64,
    0x22301108,0xda800980,0x2e029400,0x20189405,0xb80a202c,0x800a0399,
    0x02e60061,0xa8801130,0x9404d801,0x0cc1fb02,0x3b662fb8,0x26139913,
    0x207913ed,0x019500ca,0x45440611,0xa9556442,0x1dde64c1,0x88eef326,
    0x1db31deb,0x0ed98f22,0x95710791,0x05777507,0x81999751,0xdb309aa8,
    0x5510f227,0xccba8813,0x2637ae0c,0x263912ed,0x4c7913ed,0x107913ed,
    0xe8199975,0x3aa5ebac,0xfd832e1e,0x3fa60660,0x03507ec4,0x700d41fb,
    0xea8fb660,0xeb832e1e,0x9fce4479,0x688bea0b,0x44688bea,0x9877e45f,
    0x19877e41,0x449d0fd4,0x43f50e66,0x327e20e8,0x1a83f61e,0xa87f27e2,
    0xff03a21f,0xfd8717e4,0x41fb06a0,0xd10fd41a,0x85fb1c41,0xfb06a2fd,
    0x86d80cc1,0x360260fd,0x3d40260f,0x2fd83fb0,0xa99a986a,0x42b6d221,
    0x21be286f,0x32a2fc42,0xfca8135f,0x646e8135,0x20c9f30f,0x3ee0985e,
    0x307ec7a8,0x07d47dc1,0xfc8130bd,0xb0a2bf32,0x3f604c1f,0x30bd0260,
    0x10bf5041,0x07e41cdf,0x3613e015,0x3f60260f,0x17f40260,0x37c41fc8,
    0x4f8bf887,0x50dfd522,0x027d409f,0x7eca2fc4,0xbfd9409b,0xf713e609,
    0x260f7f47,0xc9e8804f,0x41307ec4,0x3e65c9e8,0x2ebf1004,0x0fd828fe,
    0x4c1fb026,0x88013e60,0x77f900ff,0x10387e60,0x4c1fb07f,0x0260fd80,
    0x7e41be66,0xf03bfc81,0x3a4893e7,0xf7027dc6,0x28bf1009,0x12817fd1,
    0x27d417fd,0xffc893ea,0x99893ee3,0x7ec0d4c1,0x83570260,0x066624fb,
    0x2feaa7f6,0x0260fd83,0xf704c1fb,0x640ccc49,0x0bfe203f,0x501bbed8,
    0x541fb03f,0x02a0fd80,0x7e40fece,0xf02ff881,0x2e4893e7,0xf302fcc3,
    0x27c4440b,0x140ff98a,0x37c41ff3,0xfd30c7ee,0x83fa2fcc,0x7ec3ccf8,
    0xccf982a0,0x1fd17e62,0xff11df50,0x0541fb03,0x260a83f6,0x2607f45f,
    0x07ec0c6f,0x0f501620,0xf70487ee,0x656441c3,0xb01fc85f,0x3e33e01f,
    0xd8099224,0x81fb140f,0x387f3bb2,0xf50e07d4,0x9b60fd81,0x1fb16a3a,
    0x3bba07ec,0x8387ee3f,0x3f63feee,0x27c03f60,0x387ee0d9,0x360e1fb8,
    0xfd03f60f,0x07ec1cc3,0x56407e60,0x076fb602,0x381bbed8,0x07f607f4,
    0xbed807ec,0x0b33225f,0x40bbbec8,0x930bbbec,0x20f4c1d9,0x1907a60c,
    0x41b95b90,0xc81bacda,0x2545e9ad,0x1bbed837,0xdc85725c,0x87205e9a,
    0x2efb6039,0x0377db01,0x717a6b72,0x85f975df,0x5400bfe9,0x1001a80b,
    0x0ea80400,0x3a21bfb1,0x0bfe983f,0x01454010,0x02008008,0x02000000,
    0x01100110,0x010055d4,0x1100d5d4,0x00400000,0x00110008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e080c30,0x22dbdebd,
    0x915501e9,0x7501dc00,0x00d40577,0x1a814c01,0x81844000,0x5f6cc0a8,
    0x405500cc,0x2005301a,0x04dbbed9,0x4c00a600,0x2ef32602,0x20e66443,
    0xa6446201,0x419903fa,0x05c84abb,0x8e60772a,0x50a2df0b,0x800fec07,
    0x4cd100e8,0x7401d303,0xdd305b04,0x4132f601,0x07904be8,0x203f61fb,
    0x201d100e,0x1e7aa2ee,0x7cc243fb,0x007a204d,0x117d40ba,0x80aaa88d,
    0x5722440c,0xa87b03f8,0x4029839a,0x12df984d,0x44c4137c,0x0029a882,
    0x327cc011,0x01300260,0x81445c0a,0x36e01989,0x43f60a00,0x300c41fc,
    0x311c6601,0x0233f90a,0x31006e26,0x437c0500,0x41e55c42,0x5720ec4a,
    0x1ec2abf8,0x6746a555,0x2f6e5eba,0x9f32dbde,0x3ae0df01,0x079eb879,
    0x6e5f6dc4,0x740f7f43,0x3665ebac,0x3aa4dbbe,0x36efb662,0x36efb664,
    0x332fb664,0x361f6cc0,0x6cc6e88f,0x32fb663e,0x31f6cc0c,0x5afc87db,
    0x7db30380,0x0f7549b7,0x013ea197,0x262743f5,0x457207c7,0x8f63faef,
    0x471173f9,0xb7c2e2fd,0x3e07f128,0x1a99a986,0x006a66a6,0x11223f97,
    0xb1c47ff9,0x921fd85f,0x90fec3f8,0xfb121fd8,0x3fb03f61,0xb06fcfd8,
    0xfb0fd83f,0x7ec1fd81,0x2035fe41,0x487f607a,0x5c3517ec,0x3237404f,
    0x7d47e20f,0xd3f8ae40,0x95b61ecd,0x7c117ea0,0xf81fc426,0x4f8bf886,
    0x813e2fe2,0x1899fc99,0xa827e986,0x119fc85f,0x27f21fc4,0x119fc811,
    0x83f90fd8,0x647ec1fc,0x6c1fc83f,0xfc83f90f,0x3f20fe41,0x0bfa0219,
    0x4408cfe4,0x0bf30e6f,0x8fee27cc,0xb90f52f8,0x7b3ecfe2,0x7c41bfa8,
    0x7c1be00f,0x4fe0df03,0x04f9fc4f,0x206dfe4e,0x3e216a3a,0x85afc80f,
    0x2d7e43f8,0xfb05afc8,0x3f90dd11,0x83fd0fd8,0x447ec1fc,0x641fc86e,
    0x170fec1f,0xf906f998,0x1dfe40b5,0xfa940fd8,0x1f327d44,0x22b903e2,
    0x41ecbd3f,0x403fc86e,0xa81bb06f,0x9f3f81ff,0x2a09f3f8,0x40dbfdab,
    0xc81bacda,0x0d7f903f,0x6bfc87f1,0x360d7f90,0x3f906fcf,0xef997f44,
    0x9fb07f20,0x907f20df,0x5e7f443f,0x03fb387d,0x7c40d7f9,0x2efb202f,
    0xfb8df10b,0xc83d16a1,0x43f9bf15,0x7cc3b83d,0x9837c0c6,0x33e01501,
    0x7c67c4f8,0x27f22884,0x30598109,0x27f218df,0x321fc421,0x9fc8219f,
    0xfc8fd821,0x5301fc83,0x3f60fe40,0x1fc83fc8,0x07100fe4,0x90bf9591,
    0x7ec0433f,0xfd80d800,0xa8591b60,0x0bf8ae43,0x740983d8,0x1be0e61f,
    0xb03b8254,0xbed8bf7d,0x0fe4385f,0xfd068817,0x43fb1cc3,0xfd87f10b,
    0x21fd82e1,0x7f43f60b,0x6980fec1,0x1fb07f60,0x83fb07fa,0x216e01fd,
    0x3f607f43,0x03f602e1,0x37203b10,0x40620dca,0x1fc57609,0x70b324d8,
    0x85f975df,0x00881ffa,0x02004011,0x9fb30dc8,0x2e010f95,0x12fcbaef,
    0x54fb79fd,0x2f3fa25f,0x2f3fa27d,0x4cbfa27d,0x07fd10ef,0x23fe8802,
    0x1df32fe8,0xfe88ffa2,0x1d51dc03,0x74437f62,0xe987dbcf,0x002200bf,
    0x44200402,0x10179509,0x0000a213,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xed980000,0x04107910,
    0x98ea01c0,0x2488a00c,0x8baa1ba9,0x8600bed9,0x80005101,0x7db303e9,
    0x336e16dc,0x005440cb,0x0a60ba5d,0xe8800540,0x102fb662,0x02083977,
    0x00dd554c,0x083b806a,0xbb300820,0x926c1999,0x220661df,0x03d404cd,
    0x140b50f1,0x12d47491,0x401fd87f,0x07902cd9,0x9f06adb8,0x8190fe40,
    0x9019cffc,0x81c8ec07,0x82d402ee,0x7e41d86a,0x4e88fdc1,0x06e137a2,
    0x00744066,0x85ef9877,0x2fa81dda,0x2a6e83a2,0x260135fc,0x102fe802,
    0xb885b81f,0x40de9221,0x007ec3f8,0x100502e4,0x553e0513,0x81c4fe42,
    0x2019cfff,0x35335302,0x028071a8,0xc81530e2,0x3f23741f,0xa86e0a20,
    0x80260929,0x2a109aa8,0x1fa03301,0x6ca4d826,0x00e009bf,0x0fc0df33,
    0x4db77132,0x887bae48,0x9807ec3f,0x6cc3bced,0x203800be,0xbfc8194f,
    0x39ffd00f,0x3f881c03,0x6cc0e09f,0x3664dbbe,0xf90fe23e,0x3ee27cc3,
    0x2487db33,0x20156d9e,0x3f93f103,0xed98fb66,0x17e64dbb,0xfd128ae0,
    0x701ea017,0x212607f6,0x0eabe0d8,0xf13ed261,0x3600fd87,0x7ec1bd0f,
    0x3e07a801,0xfcfc80cc,0x9cffa80e,0x3e20f501,0x40f509f3,0x3fb121fd,
    0x87f21fc4,0xb27d44fa,0xd5c94c3f,0xb83d4069,0x3f60fa8f,0x5490fec1,
    0xa866624f,0x00ff98a1,0x2b2205fd,0x701b85fc,0xd5017e65,0x21fc47a1,
    0x1fb0c0fd,0x00fd93ea,0xfdf02fe8,0xbf73f909,0x40672a20,0xf3f882fe,
    0x3205fd09,0x1fc8119f,0x43f90fe2,0x90fe46f8,0x9bf8d43f,0x0bfa032f,
    0xf91727a2,0x8119fc83,0x8107f46f,0x4cc07d43,0x0fe8706f,0x3e25c0f8,
    0x27ba2816,0x3fb0fe24,0x261fb0d4,0x3003f66f,0x2b3e0df3,0xfd8fe42f,
    0x26067203,0xf3f886f9,0x906f9989,0x87f20b5f,0x20fe43f8,0xf91ba0fd,
    0x657c4cc3,0xdf330317,0x3f206ae0,0xb82d7e41,0x2a83f60f,0x380c83d3,
    0x10ea83fb,0x41f81bfb,0x11f7dc5c,0x3ea2fd89,0x32b3fa25,0x7c43f60f,
    0x27003f66,0xeafcc1fd,0x2a7fd11f,0x033904ff,0xbf507f67,0x07f6713e,
    0x7e41aff2,0xfe897ea1,0x1e56d40b,0x3a710fe4,0x41899e9c,0xcf983fb3,
    0x320fe42c,0x2f6a06bf,0x4c2f44da,0x3f2b2201,0xf8838805,0x440a35c0,
    0x071ae2a4,0x50fd805c,0x8607ecbf,0x305fcac8,0x32007003,0x7e564419,
    0x5911fc05,0x33f90bf9,0x1c43f904,0x0df100dc,0x401507f2,0x2fe56442,
    0xf91ff774,0x0219fc83,0x1aa0006c,0x2007f438,0x641d80ea,0x3a488143,
    0x407a2599,0x321fb03c,0x1a87f61f,0xd501fd0e,0xc800e880,0x03fa1c19,
    0x7438beae,0x170fec0f,0x81d50fec,0x5f6cc03d,0x86a07f60,0x7f438298,
    0x362b92e0,0x170fec1f,0x08003d10,0x7ec43aa0,0x1825c00d,0x44500026,
    0x0100442a,0x8776ffa6,0x0fcacfe8,0x37f621d5,0x00040040,0x88754115,
    0x15440dfd,0x37f621d5,0xfb79fd10,0x0ee1ff44,0xd1000391,0x066a207f,
    0xdfd88754,0xe886aea0,0x2f3fa23f,0x0001107d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x0ba200da,0x5030c4c8,0x01000755,0x18800041,0x65400820,0x1e6640cc,
    0x20000088,0x1040fffc,0x41000000,0x82000c40,0x00000440,0x00001307,
    0x8d404000,0x2f604ce8,0xd790ee05,0xd01b9101,0x983570d3,0x1dac849c,
    0x27203fb0,0x55317c1c,0x10355505,0x207e60df,0x144c41f9,0x3a024e4c,
    0x2aef2a03,0xb0aeae0b,0xb83f305f,0x21be23ba,0x757100fa,0x2fd41d17,
    0x0ea80ba2,0x2235c1ea,0x308af43b,0xa88088c0,0xa881ec42,0x06aa609a,
    0x03f606ee,0x45d40e32,0x3a8bf104,0xdb31f6cc,0xa9c89b77,0x03701b83,
    0x3f60f3d7,0xfb80e600,0x8df113a0,0x01b848b9,0x8399c8df,0x3a0fa82a,
    0x20dc640d,0x2a032048,0x1dc40d82,0x4c0fa622,0x1dea8bed,0xbbed9b6c,
    0x3f27e24d,0x26a614c1,0x30d4c1a9,0x55435335,0x98152a99,0x3f60d4c1,
    0x3090fec1,0x3022a605,0x1a99a985,0x106a66a6,0xf8835155,0xa883f666,
    0x220d4c0a,0x442980aa,0x055440aa,0x301f91ba,0x0d4cd4c5,0x4c0cc14c,
    0x13055c41,0x21fc813e,0x3f66d86f,0xfa8fb921,0xf896aba0,0x23664f8b,
    0x93e2fe24,0x874f8bf9,0x91b32c9e,0x4fe41fc8,0x45aae811,0x55747aae,
    0x93e2fe25,0x224f8bf8,0x54973f96,0x27f5515f,0x46ccbb78,0x362ede24,
    0x976f14d9,0x27ccbb78,0x9b3b0fee,0xb13e2fe2,0x164f49b3,0x6de2593d,
    0x14e7caa5,0xb0df0fe4,0x208cfe4d,0x3e65c9e8,0x7cfe1f98,0x7f033ea4,
    0xfb3dd13e,0xae4fcc51,0x0fe40cfa,0x3e616bf2,0x93f31f98,0x3e63e65f,
    0x3e27cfe1,0x646c49f3,0x33ee7b9f,0x3629f538,0x833ea7d8,0x5e67d8d8,
    0x4fb1b119,0x3ea7d8d8,0x2f327d44,0x327cfe19,0x64fcc66f,0x22b93f35,
    0x7cf27d8d,0x57e43fae,0x26d86f99,0x35705afc,0x22f98fb8,0x5fd89f3f,
    0x7dc4f9fc,0x57dc5f9b,0xf917f619,0xb86bfc83,0x9f72f98f,0x263ee5f3,
    0x227cfe2f,0xbc989f3f,0x37e619af,0xdca8bee3,0x32a2fec7,0x2a03ee7d,
    0x3ee547dc,0x21fb8df1,0x9f3f80fb,0x2bee07dc,0x4335f719,0x7d7a7dca,
    0x9afc89f4,0x326d86f9,0xccf986bf,0x83ea3e62,0x5c64f8cf,0x13e33e0f,
    0xf313a5f1,0x20fb8c27,0x0cfe41fc,0x43ea3e61,0xf31f99f9,0x467c1f51,
    0x27c67c4f,0x067f33f3,0xf32f41fb,0x0fb8cfb3,0x7ccfb3f3,0x9f67e614,
    0x7ec7d9f9,0x29f31b60,0x993e33e0,0x84fe614f,0x27e613f9,0xfa7dbe7d,
    0x0df0fe44,0x10cfe4db,0x771ff774,0x5fbed857,0x7db16f2a,0x06e1b0bf,
    0x5e5477ee,0x3f60fec5,0x2bbb82e1,0x770f3326,0x5fbed857,0xf32fdf6c,
    0xb85dfb7d,0x7cc5cadc,0xb7951fcc,0x70fe67cc,0x333e63bf,0x3f99f31f,
    0x80dcadc8,0x2fb61dfb,0x70efdc5f,0x8efdc3bf,0x331fccf9,0x3f227d3e,
    0x4cd99be1,0x970b87f6,0x8010015c,0x02080100,0xfe881008,0x36f3fa23,
    0x80004007,0x08100400,0x10000410,0x00001000,0x04020020,0x00804020,
    0x6f9df980,0x3ea2ffa2,0xfe88aa1f,0x55d47dbc,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09802ea0,0x82665400,0x26062020,0x9ca8299a,0x0bdbbb85,
    0x32ea0208,0x22041220,0x2fa603cd,0x27db30ea,0x2ae0cec8,0x004ccc3a,
    0x20640cc0,0x27600009,0x102aa22c,0x40666204,0x005dcc29,0xda877590,
    0x7d01d82b,0xfa8145c0,0xa9807d44,0x0575702a,0xf7df03fb,0xc838b987,
    0x39307ee0,0x647d3f09,0x654c3a80,0x17567c03,0x21fd43fb,0x776c0cc8,
    0x93d05f04,0x227d4585,0x2e1b20eb,0x176f11b8,0xeeb83939,0x8a6cec0e,
    0x0eb86a9e,0x2ea154d4,0x3982d81c,0x91902cc0,0x01c02a81,0x122ea1be,
    0x35327d3e,0x7c418353,0x7c41fc84,0xf50553d9,0x2a66a65b,0xaa7cd441,
    0x3fa87f20,0x2a205544,0xf982a80a,0x190e25c9,0x06406c37,0xfb1b10cc,
    0x4d4c5f88,0x8cde61a9,0x640fa8fa,0x440aa880,0x262980aa,0xf501a99a,
    0x02981980,0x985301ea,0xa7c1a99a,0x3e2fe24f,0x26666624,0x0a66a67e,
    0x412236f2,0x17f10cf9,0xcfbbe89f,0xf50fe418,0x225dbc47,0x4cd4cbb7,
    0x70cd7dc2,0x2a61a983,0x27a0d4c1,0x99f72a2c,0x2fe22aaa,0x703ee4f8,
    0x2a65f51f,0x2ede22aa,0xb3b176f1,0x13e2fe29,0xc9e817f4,0x7416aba2,
    0x4b55d02f,0x7c4f8bf8,0x9f3f89f4,0x74cce7d4,0x0fefbe0f,0x0bb88c82,
    0xf9fc5bf5,0x827c7ea4,0x88fea1fc,0x23627d8d,0x1fdf7c7d,0x885827f3,
    0xf10fe23f,0x9ae4fcc7,0x262e7d9f,0x24f9fc4f,0x23ee14f9,0x9f3172fa,
    0xb13ec6c4,0x19bccfb1,0x4cc27cfe,0x5c9f986f,0x983f31f3,0x98f986f9,
    0x327cfe1f,0x3f8bf3bf,0x3e27c49f,0x204fa7c5,0x2299792a,0x24f9fc3f,
    0x3209f0fb,0x43fa899f,0x6e547dca,0x5c4fa7c7,0xf10911df,0x3e21fc47,
    0x4c66bee3,0x7f41fccf,0x5c4f9fc0,0xf51f51df,0x6540fe83,0x73ee547d,
    0x13e7f01f,0x3ee0fece,0xf31f719a,0xb83fb385,0x4fe2f98f,0x9f01984f,
    0x265d89f1,0x04fa7c2f,0xf35df491,0x24f8cf87,0x3609f1f9,0x22fabf9f,
    0x3e67d9f9,0x4fa7c7d9,0x7c40dc48,0x7f10fe23,0x19809fcc,0x467c17dc,
    0x3e21c84f,0x217dc7a9,0x3e67d9f9,0x053e67d9,0xc889f19f,0x9fcc5fca,
    0x41f51f30,0x4c5fcac8,0x33e0fa8f,0xb06a84f8,0xab88bf7d,0x9f4f81ca,
    0x2cca8320,0xfbed8376,0x06fe7645,0x36eeffa2,0x8fe67cc5,0x3e1fccf9,
    0x20f889f4,0x7c47f105,0x3ee1fc43,0x3e23d81d,0x5fbed855,0x16e5c2c8,
    0xcf98abf1,0xf99f31fc,0xdb0efdc3,0x7f438bf7,0x770efdc0,0x07f43857,
    0x7db0aeee,0x008010bf,0x277e6010,0x0881885f,0x00080100,0x4c000010,
    0xca85f9df,0xa97ea010,0x042fd45f,0x33f25710,0x0220085c,0x05ccfc80,
    0x80402000,0x1bfb10ea,0x43aa0008,0x2000dfd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x73db3000,0x289a9899,0x31065e4c,0x20fa1013,0x437583e9,0xbda849b9,
    0x820eed42,0x300dba80,0x641d8133,0x533531b9,0xa82aab83,0x3dbbedbd,
    0x980165cc,0x8104289a,0x0d54c1a9,0xed98eeb2,0x57107910,0x2a9a9879,
    0xa8831550,0x805d509a,0x1987d300,0x7c4e93f2,0x7cfe3fbe,0x7313bb63,
    0x1df971b6,0x1db85a44,0x2e21cba8,0x064e45fa,0x74c1ede2,0x260ec2ee,
    0x27d3e23d,0x1f903362,0xd1244bf2,0x85c83933,0x64e46cdf,0x73123661,
    0xc855350b,0xfa8330ef,0xaef893a1,0x27c5ec3f,0x223f93f1,0xf80e603f,
    0x43f92f44,0xa7d3e0fc,0x2983f3f8,0x22396fcc,0x372a4f9b,0x533531ea,
    0x1f405303,0x27ea13e6,0x2606600c,0xfa7c1981,0x25f82984,0x2e189afb,
    0x82c089bf,0xa89f305f,0x26cc40cf,0xafe5414c,0x3f237409,0xa9ba7f10,
    0x47dc9f1f,0x537f10fa,0x2e22df98,0xf904c4f9,0x29f0fdc3,0x1b57f14f,
    0x9f32d574,0x7ddf4431,0x4366b224,0x744f8bf8,0x41fb85aa,0x16fa81a9,
    0x22c9e859,0x327a2c9e,0x3a27d3e2,0xb93ea5aa,0x7f440dbf,0x2144d4c4,
    0x289a984f,0x2eb62fec,0x516aba0f,0xf9826ff6,0x3f89fdc4,0x4f87dcfb,
    0xf89727a2,0x33e63f9d,0x09f77d10,0x8bee1fc8,0x4fe29f4f,0x3f31f35d,
    0x47ea0fe2,0x7c39ac4f,0x4c7cc9f3,0x223fdc1f,0x9fe55c3f,0x5727e60d,
    0x3f35c9f9,0x24fa7cb9,0xf71f98f9,0x40767dc7,0x66fc6fd8,0xcdf827c6,
    0xfa87dc66,0x31f32f98,0xbfe8943f,0x9f513ea0,0xf32f4fe2,0x835713e5,
    0x7c4db3f8,0x227c7ea3,0xfb87f22c,0x453edf30,0x23eedb3f,0x707f12f9,
    0xefc93e1f,0x27cfe3ef,0x705f31f7,0xf31fc41f,0xf7073fa3,0x26bee335,
    0x6c335f71,0x23ee5fae,0x5cbf32f9,0xd9808aaf,0x3e617e2f,0xca85f80d,
    0x3e63ee5b,0x45f31f72,0xf883fe62,0xdf88fdc6,0x7df641fc,0x88b33e64,
    0x1fc4fb3f,0xff13e1f7,0x2ddccfe4,0x2afe29f0,0x1f51f35c,0xf8fcc1fc,
    0x67c2d224,0x2a3e64f8,0x1126130f,0xf8afd47f,0x84fe61af,0x4fe613f9,
    0x47cc3880,0xfc9f60fa,0xe998a922,0xf03813e1,0x1f516209,0x2a3e61f5,
    0x81f50e0f,0xf89b60fd,0x227c200b,0x7f13feee,0x7cc7f176,0x3a2709f1,
    0xb80beabf,0x9d7f52fa,0x3615ddc3,0xdfcec80d,0x3b616550,0x15ddc5fb,
    0xf88157f9,0x75677ec3,0x70efdc3f,0x0efdc3bf,0x2eee0754,0xdfebdc82,
    0x2ef6a6db,0x1e8827c4,0x90d104f8,0x2bbb8797,0x901907a6,0x7c41b95b,
    0x25c9f003,0x3ab3a257,0x9d906ec0,0x1004c1bf,0x00015440,0x04100800,
    0x40100008,0x040885fa,0x00201008,0x00000077,0x80df9835,0x80df9808,
    0x00000000,0x01795008,0x2ea0cca8,0x0800101a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c885300,0xb8591154,0x8550b221,0xaa81eee9,0x45dddd10,0x65d42bba,
    0x50ef5c41,0x5b5506a1,0x3777502c,0x0eef3260,0x01999751,0xeb837775,
    0x912ed98d,0x644fb663,0xdb877aa3,0x2ea1dd40,0x54aaa2bb,0x76426661,
    0x2ebaa752,0x2fb66005,0x99999880,0x3aa07d30,0x9311f202,0x9316c244,
    0x642445b0,0x20ec45ee,0xf10feefa,0x23e61f11,0x225f886b,0x5e23f8bf,
    0x370170fc,0x5f50ae26,0x443f5344,0xa8cd5c0e,0x45f93fc2,0x83507ec3,
    0xb70660fe,0x473344f3,0x3a2173f9,0x2a7f32ee,0x83d77f10,0x203fb048,
    0x33bea100,0x0201fc40,0x2d80c9ae,0x01916c16,0x8613a03b,0x3e33ea68,
    0x83f51f70,0x22fe25f8,0x267c9c3f,0x546554c3,0xd1437c3a,0x4d4c130b,
    0x7e438f8e,0xb0a2bf32,0x3ea04c1f,0x305b60e3,0x15b60c9f,0x8edd06a6,
    0x091073f8,0x080403f6,0x7f10a33e,0xaa45c180,0x406e5b02,0xff50552d,
    0x1f67c45d,0x177ec3a8,0x885f33f5,0x3e2fe25f,0x9c583d03,0x4fa8cc2e,
    0x4e013e60,0x2198f8e9,0x51fd75f8,0x404c1fb0,0xfe98316f,0x40f7f40a,
    0x1fc41bfa,0xbf88a7ee,0x276a6208,0x0a23f609,0xfbef8201,0x20aafe23,
    0x2488440c,0x1933310c,0x244cc4bb,0x3fae6219,0x01f73f70,0x26feb83b,
    0x440fcdd8,0x3e2fe25f,0x0640540b,0x2e510be7,0x893ee04f,0x6f4ce199,
    0xa9fd8513,0x0fd83bfa,0x0ebf2026,0x9102ff26,0x10dd07ff,0x5f7dd47f,
    0x75507f12,0x47ec155b,0x3e080469,0x5dfc49f4,0x432026c3,0x3a1580fa,
    0x01f50c80,0x267ee5f1,0xcbd4682f,0x1136442f,0x5f7c49f1,0x398040ee,
    0x544d2e66,0x7cc0bf30,0x33307f45,0xa8151f1d,0x81ff88ef,0x2202a0fd,
    0x30f102ef,0x41dc3f4c,0x445e83f8,0x6c12203f,0x41008c0f,0x1fc49f4f,
    0x54345fcc,0x1b83d552,0x554aa0e2,0x9864311e,0x1d41f8af,0x260fc5ae,
    0x8fe7760e,0x80dc00b9,0x4c54c645,0xd8a07ec3,0x5903f60f,0x3e075515,
    0x0fdc1b24,0xca83ec07,0x54752baf,0x3f880985,0x44abbeaa,0xceccb83f,
    0x1a87f61c,0x9f4f8201,0xd4f81fc4,0x87ea6488,0x88b3a249,0x7d47ea64,
    0x1dedc1ad,0x1dd6c0ec,0xcc981751,0xf1016e0e,0x57703207,0x2efb2077,
    0x74d6e40b,0x07757705,0x6c0730e4,0x0e601bbe,0xa877ee5c,0x3321bacd,
    0xf98bf502,0x2217ea1f,0xd1099999,0x261f959f,0xf3199999,0x2fd4bf3b,
    0x04c0aa88,0x83310604,0x00080809,0x80004010,0x40001880,0x00400200,
    0x00080044,0x00002000,0x88088042,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5405f6cc,0x905ce42e,0x2fb6635b,0x3af6e5c8,0x9db32dbd,
    0x200f6077,0xdea8bed9,0x640f3621,0xb31eca82,0x7100779d,0x4c7b97db,
    0x3b1b02ed,0x03e98baa,0x49b77db3,0x4c0fa62e,0x444dbbed,0x87db33cb,
    0x7db31dea,0xdb32d401,0x80016dc7,0x22fb664a,0x37aa1dea,0xf100fd80,
    0x2a23d987,0x647f60cb,0x45be171e,0x076c3f62,0x3faa01b6,0x263ffccd,
    0xf05902ca,0xd87ec155,0x8fe5c00e,0xc807ec48,0xf87f10b8,0x2487f204,
    0xfb027c1d,0x86772243,0x22fe47fb,0x1bea01fd,0xb00643f9,0x3f227c40,
    0xfcd89be1,0x881afc85,0x260d4c3f,0x4707ec1a,0x3f609be0,0x51709f50,
    0x43f90533,0x0a66a66f,0x7c455553,0x9f50fd82,0x4cfe4cc0,0x6f5fec18,
    0x3f886a60,0x7e42aa7c,0xf06a6131,0x33f90539,0x5c1ee982,0x8bf532fc,
    0x237400fd,0x580389fc,0x3f913ae0,0x42f4137c,0x8bf103fc,0x21fc43f8,
    0xa98130fd,0x3faa1aef,0xf0c6f8ab,0xafc87f5d,0x5f7c6f99,0x93e62e3f,
    0x5ff542f8,0x64e06f8a,0x8fd80dbf,0x88fe24f9,0x40ca7c3f,0x3e22bafc,
    0x21fd77c3,0xee885afc,0x8bb7c5c0,0x2007ec5f,0x07dfe46e,0x099d9988,
    0x5f913a2e,0x0fa0df33,0x1fcc03f6,0x87f10fe2,0x3e6200fd,0x2bf6209e,
    0x53a07f88,0x4cd7e45e,0x84fa7c6f,0x10be20fe,0x0ff115fb,0x36ff6aea,
    0x4f98fd80,0x43f88fe2,0xbfc80ccf,0x9f0fe22d,0x0d7f913e,0x4fece17a,
    0x07ec5f8a,0xf9f91ba0,0x5d55501d,0x22746635,0x86f99afc,0x40fda859,
    0x3f887f31,0x03f61fc4,0x3f60df03,0xa740bf50,0xdf0fe45e,0xfb89f4f8,
    0x7ec17c42,0x4510bf50,0x6c1099fc,0x3e20edaf,0xfdf0fe23,0x4513f909,
    0x4fa7c3f8,0x7410cfe4,0x22df3385,0x0607ec5f,0xfb9fc8dd,0x7fec2c05,
    0xf87f22ff,0x3fb00c86,0x443f88d4,0x361fc43f,0x1be06a1f,0x01fc87ec,
    0x3f22f57a,0x3e9f1be1,0xf1157e24,0x3f21fb05,0x70fe4381,0x4404fec1,
    0x9f0fe23f,0x81fc85f5,0x4fa7c3f8,0x74170fec,0x7c4fa385,0x8350fec5,
    0xfd8fe46e,0x26621603,0xf87f20de,0x106e6e46,0x21f959fd,0x22fd45fa,
    0x33fa25fa,0x7fd40fca,0x6ee7f441,0x3e3be201,0x517fd10e,0x277e63ff,
    0x9733f25f,0x67f444fb,0x30dc81dd,0x4cf959fb,0x4bf502fe,0x757e65fa,
    0x817fd11f,0x277e65fa,0x2f3fa26f,0x983be27d,0x3bea151e,0xf959fd11,
    0xe88ffcc1,0x209ff53f,0xfd127400,0x2a3ff517,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7db30000,0x21de76cc,0x742bced9,0x3aa5ebac,0x74c32e1e,0x6cc7b33e,
    0x0e00ccce,0x0665f6cc,0x36f7af6e,0x51511512,0xa8d4cd4c,0x44663530,
    0x2980a88a,0x1a954475,0x0aa88530,0x454c0d4c,0x2aa20cc0,0x985301a8,
    0x22a21041,0x9ccd4429,0x510300b9,0x99945515,0x54415328,0xb07f6289,
    0xfc837a1f,0x6c712fa8,0x3517ec2f,0xb0914fc8,0x2a0df11f,0x7ec3f607,
    0x28b7c2e0,0x43afe7f1,0x474f8af9,0x3e2173f9,0xeabe87f3,0x2faaba2a,
    0x8a6cec4a,0x44accbb6,0x64f47aad,0x2e7f2d12,0xbd2d5744,0x3be1ba44,
    0x7cf7c2fa,0x03885ead,0xbea8329f,0xf87f10fc,0xb07f26cd,0xfc93ea1f,
    0x7d415f88,0x40e6f885,0x1f903afe,0x817f41be,0x043f90fd,0x3e7f04df,
    0x7ecef40c,0x7c2b6c18,0x4c7cc7f3,0x3e63ea1f,0x8cde66ab,0x3ea6d8d8,
    0x3ee7e60c,0x22b93f32,0x26bafc8d,0x111f98f9,0x7f16a3a2,0x57a9f0fe,
    0x2666666d,0x702f3e09,0x43f88dc5,0x6c1fc85f,0x7e4df30f,0x7fc42fb9,
    0x4077f900,0x7f900ff9,0xdf3303b9,0x1ba23f60,0x3e7f06f8,0x4f9bfb83,
    0x9fc1bfa8,0x3e63ee3f,0x2fe23ee2,0x2a03ee08,0x72fe47dc,0x3ee5f37f,
    0x3ef26089,0x263ee089,0x85d6b82f,0xd4f89f3f,0xbbba9b6b,0x17f7e0bb,
    0x3f895437,0x20fe427c,0x64df10fd,0x3fc80abf,0xb00bfe20,0x2e7f209f,
    0x03fb384f,0xf80df9fb,0x07f19f06,0x7413a5f1,0x447f3f85,0x3e60f98f,
    0x7c415f98,0x9f63e613,0x4cfccf71,0x4427f31f,0x4433f98f,0x4570f98f,
    0xf9fc58ad,0xdb5ea7c4,0x2b3e0510,0x3a67662f,0x84f87f10,0xa87ec1fc,
    0x4c03f25f,0x07ec0c6f,0x905fd330,0xc887f61f,0x8fd85fca,0x41be03fc,
    0x1b05faed,0x6c15c06e,0x665c5fbe,0xefccbb82,0xf98efdc2,0x97951fcc,
    0x2e1e664c,0x95df30df,0x2bbb85bf,0x4ca6917a,0x3e25f9df,0x0fe8ef8d,
    0xeafcc144,0x5579571f,0x0df897ea,0x43f60fec,0x403f21fc,0x360e61fe,
    0x3e25300f,0xfd87ec0f,0xd81fd0e0,0x3e03fd0f,0x00000006,0x00800008,
    0x02010000,0x00008100,0x00000000,0x20000000,0x3fa63fe8,0x3fa21ddb,
    0xcbaefb83,0x05ff4c2f,0x6ff44bea,0x3999fd10,0xdfd88754,0x3e65fd10,
    0x00ffd40e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x8cc02aaa,0x0808200a,0x0a8aa984,
    0x41644991,0x321ecc58,0x64c2b82d,0x223d17b0,0x333310bb,0x5a98f413,
    0x26666620,0x91041b10,0x33300041,0x998eaae1,0x00001999,0x00000000,
    0x00000000,0x13e62a00,0xdc985ed4,0xd8192a82,0x14774771,0x9905b126,
    0x25734447,0x4755710c,0x5f19d2fa,0x5dd4eeae,0x25f13cbb,0x54aa0ea9,
    0xf31bbbbb,0x8fcc7e23,0x17db30f9,0x54fbb233,0x2eeee2a9,0x0000003b,
    0x00000000,0x00000000,0x16e446e8,0x7417b710,0x43cd8699,0x6c6a84fa,
    0x2a0da442,0xb88646e1,0x2c8cc3bc,0x806eea1d,0x75dc3a38,0x5554d2a0,
    0x803700aa,0x01ed432a,0x00000000,0x00000000,0x00000000,0xea85f500,
    0x0ee4c00b,0x3d70beb9,0x448a8dd0,0x54986c2d,0x0f7221bd,0x50c43995,
    0x880330e1,0x209898e1,0x2eeeeea0,0x20000001,0x00088888,0x00000000,
    0x00000000,0x88000000,0x39b3055f,0x8e80cda8,0x21d9dc4a,0x10223fb8,
    0x98840833,0x01113001,0x00000000,0x00000000,0x04ccccc8,0x00000000,
    0x00000000,0x80000000,0x2205ccfc,0x8540592b,0x8d98c183,0x000001fe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_13_latin_ext_x[560]={ 0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,-1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__times_bold_13_latin_ext_y[560]={ 10,2,2,2,2,2,2,2,2,2,2,2,8,6,
8,2,2,2,2,2,2,2,2,2,2,2,4,4,3,4,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,11,1,4,2,4,2,4,2,4,2,2,
2,2,2,4,4,4,4,4,4,4,2,4,4,4,4,4,4,2,2,2,5,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,4,2,2,3,2,
2,2,2,2,2,4,4,6,2,0,2,2,2,2,1,4,2,5,9,2,2,4,2,2,2,4,-1,-1,-1,-1,
-1,0,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,3,1,-1,-1,-1,-1,-1,2,2,1,1,
1,2,2,1,4,4,1,1,1,2,1,1,1,2,2,2,1,1,1,2,2,3,4,1,1,1,2,1,2,2,
0,2,-1,2,2,4,-1,1,-1,1,-1,2,-1,1,-1,2,2,2,0,2,-1,2,-1,2,2,4,-1,1,-1,1,
-1,2,-1,2,2,1,-1,-1,2,2,-1,2,0,2,-1,2,2,2,-1,4,2,2,-1,1,2,2,4,-1,-1,2,
2,2,2,2,2,2,2,-1,1,2,4,-1,1,2,2,4,0,2,-1,2,-1,1,2,4,-1,1,2,4,-1,1,
-1,1,-1,1,2,4,-1,1,2,2,-1,2,2,2,-1,2,0,2,-1,2,-1,1,-1,1,2,4,-1,1,-1,1,
-1,-1,1,-1,2,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,4,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,-1,1,-1,
1,-1,1,-1,1,-1,0,-1,0,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,-1,1,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__times_bold_13_latin_ext_w[560]={ 0,2,5,6,6,11,10,3,4,4,6,7,3,4,
3,4,6,5,6,6,6,6,6,6,6,6,2,4,7,7,7,6,11,9,8,8,8,8,7,10,9,5,6,10,
8,11,9,9,7,9,9,7,8,9,9,12,9,9,8,3,4,3,6,7,3,6,7,5,7,5,5,6,7,4,
4,7,4,10,7,6,7,7,6,5,4,7,6,9,6,6,6,5,2,4,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,2,6,6,6,6,
2,6,4,9,4,6,7,4,9,7,5,7,4,4,3,7,7,3,3,4,4,6,9,9,9,6,9,9,9,9,
9,9,13,8,8,8,8,8,5,5,5,5,9,9,9,9,9,9,9,6,9,9,9,9,9,9,7,6,6,6,
6,6,6,6,9,5,5,5,5,5,5,4,5,5,6,7,6,6,6,6,6,7,6,7,7,7,7,6,7,6,
9,6,9,6,9,6,8,5,8,5,8,5,8,5,8,9,9,7,8,5,8,5,8,5,8,5,8,5,10,6,
10,6,10,6,10,6,9,7,9,7,5,5,5,5,5,5,5,4,5,4,10,6,6,5,10,7,7,8,4,8,
4,8,6,8,5,8,4,9,7,9,7,9,7,10,9,6,9,6,9,6,9,6,12,9,9,6,9,6,9,6,
7,5,7,5,7,5,7,5,8,4,8,6,8,4,9,7,9,7,9,7,9,7,9,7,9,7,12,9,9,6,
9,8,6,8,6,8,6,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,10,7,7,7,7,7,7,7,7,7,7,7,7,7,7,10,8,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,9,6,5,5,9,
6,9,7,9,7,9,7,9,7,9,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,9,6,13,9,9,6,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__times_bold_13_latin_ext_h[560]={ 0,9,4,9,9,9,9,4,11,11,5,8,5,2,
3,9,9,8,8,9,8,9,9,9,9,9,7,9,6,4,6,9,11,8,8,9,8,8,8,9,8,8,9,8,
8,8,9,9,8,11,8,9,8,9,9,9,8,8,8,11,9,11,5,2,3,7,9,7,9,7,8,9,8,8,
11,8,8,6,6,7,9,9,6,7,9,7,7,7,6,9,6,11,11,11,3,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,9,11,9,6,8,
11,11,2,9,4,6,4,2,9,2,5,8,5,5,3,9,11,3,4,5,4,6,9,9,9,9,11,11,11,11,
11,10,8,11,11,11,11,11,11,11,11,11,8,12,12,12,12,12,12,6,10,12,12,12,12,11,8,9,10,10,
10,9,9,10,7,9,10,10,10,9,9,9,9,8,9,8,10,10,10,9,9,6,7,10,10,10,9,12,11,11,
10,9,11,9,11,9,12,10,12,10,12,9,12,10,11,9,8,9,10,9,11,9,11,9,11,9,11,10,12,12,
12,11,12,11,11,12,11,11,8,8,11,8,10,8,11,8,11,11,11,6,9,11,12,12,11,11,6,11,11,11,
11,8,8,8,8,8,8,12,9,11,9,12,9,8,9,9,11,9,12,9,12,10,9,7,11,9,11,9,11,9,
12,10,12,10,11,9,12,10,11,11,11,9,8,9,12,9,11,9,12,9,12,10,12,10,11,9,12,10,11,12,
11,11,9,11,8,11,9,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,9,8,8,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,10,7,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,10,11,9,12,
10,12,10,12,10,12,11,12,11,12,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,13,12,11,10,12,10,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_13_latin_ext_s[560]={ 255,252,174,47,139,91,82,193,228,223,163,
222,170,238,222,165,221,205,247,69,230,38,45,52,59,66,192,251,98,206,106,
88,197,62,53,110,7,169,148,119,237,1,73,211,196,184,187,197,16,181,72,
180,82,153,163,140,43,33,24,245,95,233,145,248,226,149,230,143,243,169,178,
223,161,156,19,140,135,210,202,185,207,215,249,156,238,117,110,100,128,188,91,
31,253,37,230,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,255,253,42,
173,237,201,49,52,243,100,197,195,185,238,130,238,157,215,152,135,218,80,120,
214,202,140,180,114,28,18,8,1,128,209,145,175,91,9,107,204,185,155,94,
103,122,138,154,160,97,11,31,112,132,152,172,121,153,192,209,229,239,194,121,
18,196,176,189,242,235,246,175,215,234,240,19,187,181,176,170,129,173,76,25,
120,106,62,180,221,162,220,1,49,65,1,237,249,32,144,11,137,21,193,8,
228,17,214,48,249,57,183,73,116,45,39,97,93,232,105,80,99,166,159,24,
79,71,99,150,33,106,219,241,82,9,1,66,240,226,21,91,195,191,15,175,
170,164,244,126,138,26,249,109,101,229,82,89,64,59,27,208,223,248,1,10,
33,151,1,57,43,83,55,1,11,213,25,182,119,53,40,126,133,144,146,128,
153,112,160,76,85,94,170,63,167,63,55,24,19,10,32,36,103,219,108,209,
207,89,54,130,47,140,61,180,111,117,69,235,202,170,71,228,1,84,161,200,
91,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,73,232,232,190,
232,232,232,232,232,232,232,232,232,232,232,232,232,203,125,232,232,232,232,232,
232,232,232,232,232,232,232,232,198,91,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,219,163,
229,76,162,42,142,135,122,127,102,245,84,41,66,33,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,1,41,49,143,21,113,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232, };
static unsigned short stb__times_bold_13_latin_ext_t[560]={ 1,40,112,75,75,64,75,112,28,28,112,
95,112,112,112,64,64,95,95,75,95,85,85,85,85,85,104,75,112,112,112,
85,40,104,104,85,104,95,95,85,95,104,85,95,95,95,75,75,104,40,104,
85,104,85,85,85,104,104,104,28,85,28,112,112,112,104,75,104,75,104,95,
75,95,95,52,95,95,104,104,104,75,75,104,104,75,104,104,104,112,85,112,
40,15,40,112,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,1,52,40,
85,104,85,40,40,112,85,112,104,112,112,85,115,112,85,112,112,112,85,40,
112,112,112,112,112,85,85,85,85,40,40,40,28,40,64,95,28,28,40,28,
28,28,28,28,28,95,1,1,1,1,1,1,112,52,1,1,1,1,28,95,
75,52,52,52,64,64,52,104,64,52,52,64,64,64,64,64,95,75,95,64,
52,52,75,75,104,104,52,64,64,64,15,28,28,64,64,40,64,40,64,15,
52,15,52,1,64,1,52,40,64,95,75,52,75,40,75,28,75,28,64,52,
52,15,15,15,52,15,40,40,15,52,52,95,85,40,95,52,85,40,95,40,
40,40,104,64,40,15,1,40,40,104,40,28,40,40,95,85,85,85,95,95,
15,64,40,64,15,64,95,75,75,28,75,1,75,15,52,75,104,28,75,28,
75,28,75,1,52,1,52,28,75,15,52,28,28,28,75,95,64,1,64,15,
64,15,75,15,52,15,52,15,75,15,52,15,1,15,28,64,28,95,15,64,
95,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,64,85,85,15,
85,85,85,85,85,85,85,85,85,85,85,85,85,52,104,85,85,85,85,85,
85,85,85,85,85,85,85,85,15,104,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,15,52,
15,75,1,64,1,52,1,52,1,15,1,28,1,28,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,1,1,28,52,1,52,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,85,
85,85,85,85,85,85,85,85,85, };
static unsigned short stb__times_bold_13_latin_ext_a[560]={ 47,63,104,94,94,188,156,52,
63,63,94,107,47,63,47,52,94,94,94,94,94,94,94,94,
94,94,63,63,107,107,107,94,175,136,125,136,136,125,115,146,
146,73,94,146,125,177,136,146,115,146,136,104,125,136,136,188,
136,136,125,63,52,63,109,94,63,94,104,83,104,83,63,94,
104,52,63,104,52,156,104,94,104,104,83,73,63,104,94,136,
94,94,83,74,41,74,98,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,47,63,94,94,94,94,41,94,
63,140,56,94,107,63,140,94,75,103,56,56,63,108,101,47,
63,56,62,94,141,141,141,94,136,136,136,136,136,136,188,136,
125,125,125,125,73,73,73,73,136,136,146,146,146,146,146,107,
146,136,136,136,136,136,115,104,94,94,94,94,94,94,136,83,
83,83,83,83,52,52,52,52,94,104,94,94,94,94,94,103,
94,104,104,104,104,94,104,94,136,94,136,94,136,94,136,83,
136,83,136,83,136,83,136,138,136,104,125,83,125,83,125,83,
125,83,125,83,146,94,146,94,146,94,146,94,146,104,146,104,
73,52,73,52,73,52,73,52,73,52,155,104,94,63,146,104,
104,125,52,125,52,125,88,125,74,125,52,136,104,136,104,136,
104,137,144,104,146,94,146,94,146,94,188,136,136,83,136,83,
136,83,104,73,104,73,104,73,104,73,125,63,125,98,125,63,
136,104,136,104,136,104,136,104,136,104,136,104,188,136,136,94,
136,125,83,125,83,125,83,52,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,139,146,146,94,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,104,146,146,146,146,146,146,
146,146,146,146,146,146,146,149,113,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,136,94,73,52,146,94,136,104,136,104,136,
104,136,104,136,104,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,136,94,188,136,146,94,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,146,
146,146,146,146,146,146,146,146, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_13_latin_ext(stb_fontchar font[STB_FONT_times_bold_13_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_13_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_13_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_13_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_13_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_13_latin_ext_s[i] + stb__times_bold_13_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_13_latin_ext_t[i] + stb__times_bold_13_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_13_latin_ext_x[i];
            font[i].y0 = stb__times_bold_13_latin_ext_y[i];
            font[i].x1 = stb__times_bold_13_latin_ext_x[i] + stb__times_bold_13_latin_ext_w[i];
            font[i].y1 = stb__times_bold_13_latin_ext_y[i] + stb__times_bold_13_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_13_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_13_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_13_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_13_latin_ext_s[i] + stb__times_bold_13_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_13_latin_ext_t[i] + stb__times_bold_13_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_13_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_13_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_13_latin_ext_x[i] + stb__times_bold_13_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_13_latin_ext_y[i] + stb__times_bold_13_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_13_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_13_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_13_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_13_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_13_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_13_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_13_latin_ext_LINE_SPACING
#endif

