// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_16_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_16_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT        164
#define STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_16_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_16_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_16_latin_ext_LINE_SPACING          10

static unsigned int stb__times_bold_16_latin_ext_pixels[]={
    0x00000260,0x00980000,0x001005d8,0x00000062,0x3b800880,0x4103f900,
    0x017baa00,0xb8015472,0x4995402f,0x9000d880,0x0fa60057,0x881e65cc,
    0x8ec40131,0x5c0bf905,0x0ff8805f,0xf702fdc0,0x400f980d,0x0bfa0048,
    0x7701fec0,0x01ff8805,0x3a006662,0x40b33b01,0xbf100308,0x8017400d,
    0x4c400fde,0x1aa88018,0x201f9d00,0x23ee07fa,0x34fee06e,0x440f4f44,
    0x66c01eae,0x3aba203d,0x02d9e881,0x07aa0066,0x201ab6e0,0x2700eae9,
    0x02ddec03,0x18809155,0xa807fe60,0x3d70048a,0xd5000c00,0x09155007,
    0x50091550,0x3fd40e25,0x30066510,0x30504c34,0x1c510141,0x260a2130,
    0x02bc80a0,0x261800a8,0x01885401,0x2a180395,0xb8f32e60,0x103ba83c,
    0xccb98155,0xcb98f2e3,0x4c0f2e3c,0x30171bcb,0x97305979,0x731e5c79,
    0x81e5c799,0xf502cbc9,0x165e4c0f,0x10d1cb88,0x2e5379b7,0x260771cc,
    0x8839ccdb,0x64c4ccbb,0x0e7102cc,0x54ccbb88,0x99951799,0x971065c5,
    0x71e65cc3,0x55995079,0x70587fb8,0x3eefe20e,0x42c3fdc0,0xf90587fb,
    0x360bba25,0xf703ba1f,0x0ff70b0f,0xee87f60b,0xfd83fd40,0x3ee03ba1,
    0x30cfa8d3,0x543fe29d,0x3663fc81,0x03fb5e87,0x0da80df9,0xf0f6d7a0,
    0x2637e47f,0x7dc3fb83,0x913c8587,0x0486fa8d,0x26720593,0x8486fa84,
    0xfc8486fa,0x3f237d44,0x3ea37cc4,0x86fa8486,0x7cc4fc84,0x7e43fd46,
    0x7dc37cc4,0x4c2fd4d3,0x5c1cff24,0x7d46885f,0xbf703f94,0x3ea06a80,
    0x37dc3f94,0xb81c3ff1,0x2437d43f,0xfa8b0fe2,0xccb88486,0x32a33260,
    0x42437d43,0xff8486fa,0x44bfee61,0x22ff82ff,0xfa8486fa,0x17fc4486,
    0x8ff517fc,0x2ff82ff8,0x3fa69fdc,0x477c4302,0x8302ff82,0x701fb4f8,
    0x02fe80bf,0xf11b69f1,0x0727fc3f,0x0df50fee,0x10bff889,0xe8486fa8,
    0x88fe8df3,0x2437d46f,0x262437d4,0x3fa911ff,0xff03ff34,0x42437d49,
    0x7cc486fa,0x2a4ff81f,0x40ffcc7f,0x69fdc4ff,0x36003ff1,0x0ffcc0df,
    0x03b7d300,0xfe9817ee,0x072fa605,0xbfe4d3f6,0xa87f7019,0xffc8486f,
    0x486fa82f,0x747e9f44,0x7d46f88f,0x86fa8486,0x2487fd44,0x01ff54fe,
    0x437d49fd,0x4486fa84,0x4fe80ffa,0x1ff51fea,0x3fb89fd0,0x4003fead,
    0x0ffa85f9,0x2e007200,0x3fe7205f,0xfa803901,0x075ff48f,0x1bea1fdc,
    0x27ffdc12,0x54121bea,0x23fa0ffc,0x437d46f8,0x4486fa84,0x3e0c9ff8,
    0x3e07fe2f,0x121bea1f,0x3e121bea,0xb11ff81f,0x81ff85ff,0x69fdc1ff,
    0x74003ff1,0x221ff881,0x3be23ffd,0x5fb80bde,0x213f6510,0x80cdeff8,
    0x7df92cfe,0x3ea1fdc0,0xfb104486,0x243fcc1f,0x3a0feb64,0x7cc6f88f,
    0x87f98487,0x220dfe84,0x10bf20ff,0x487f98ff,0xc8487f98,0x223fc42f,
    0xf885f905,0x74d3fb87,0xe80e003f,0x643fd43f,0x2b75ffff,0x733905fb,
    0xfff901ff,0x4cff70bf,0x0fea00ff,0x39890ff3,0x1ff117dc,0x277e214c,
    0x263f60ff,0x307fc46f,0x4c1ff105,0x7e46f882,0x3f237cc2,0x5307fc43,
    0x14c1ff10,0x0ff237cc,0x91be60b9,0x97d64c7f,0x5503fe26,0xf880a3aa,
    0xd31fea0f,0xf91f95a8,0xd3337107,0x25c5887f,0x417a27c4,0x7c42fac9,
    0x8f30a60f,0xccff9869,0xfcaee883,0x3fefbea3,0x1e67fcc1,0x0799ff30,
    0x372b76ea,0xd97db101,0x333fe605,0x333fe603,0x32fb6203,0x81ef982e,
    0x42ecbed8,0xb11a5ce8,0x7d4597bd,0xabed8804,0x566c43ec,0xbd5b10cb,
    0x1ff70320,0x00baacd8,0xd102b81b,0x33fe60bb,0xabed983c,0x0002201c,
    0x00880020,0x18300220,0x11000c00,0x20004400,0x03001001,0x00440100,
    0x00031000,0x2fea0110,0x01bff910,0x00000200,0x01100088,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5dcc4000,
    0x02e9802a,0x88013a20,0x00bae04a,0x9c400c26,0x66664c48,0x32e64ccc,
    0x000ccccc,0x233004d8,0x802eea01,0x3aa00098,0x0026c401,0x32e60215,
    0x207950bc,0x5d6404e8,0x4406e984,0x0280398c,0x03883970,0x3aa006b8,
    0x03a76000,0x3e01b3e2,0xdd802f9d,0x7d465c1e,0x3fd41d17,0x200b83d3,
    0xff9800e9,0x1ae9704e,0x36004fd8,0x001f3003,0x2e03dffb,0x16a0687f,
    0x7c03ad10,0x3ecfd407,0x0ee01aa0,0x40070070,0x07e6000a,0x980551b8,
    0x13a60051,0x153fd42e,0x43313fd4,0x002a00f9,0xbd00ba8c,0x74f4c126,
    0x98007000,0x02b89801,0xa8121bea,0x01444c00,0x004100ff,0x23a80bfa,
    0x4114bbc8,0x32e3ccb9,0xb8f32e63,0x17fd503c,0x971e65cc,0x71e65cc7,
    0x336e2079,0x07fa829b,0x2a0cdfea,0x79952cff,0x79303cb8,0x037ee059,
    0x9300a218,0xbc980597,0x43cca82c,0x437d43cb,0x3b8e65c4,0xcb8f32e6,
    0x066cffc3,0x40ee3997,0x89605fe9,0x70a5f9be,0xff70b0ff,0x17fd40b0,
    0x5c2c3fdc,0x9f50587f,0x3ea13a61,0x3a7fea07,0x704ff441,0xfb0587ff,
    0x3a207743,0x3332a1ef,0xfb02f261,0x7ec07743,0xff703ba1,0x86fa8587,
    0x1a87fc44,0x7c2c3fdc,0x3e25f9cf,0x2720350f,0xbecb01ff,0xdf50a3fa,
    0x90df5090,0xfa837c40,0x86fa8486,0x4985fa84,0x3ea07fa8,0x0fe81fbf,
    0x070ffed4,0x46f989f9,0x360ffa8e,0x7e41d86f,0x3f237cc4,0x36a37cc4,
    0x3ea0e1ff,0x73fc8486,0xf090df50,0x7f90ff4f,0x4fd9440e,0x369f1498,
    0x6fa8110f,0x486fa848,0x7d413ea0,0x86fa8486,0x0302fe84,0xbfd40ff5,
    0x540fe81a,0x8870ffe8,0x32ff82ff,0xf88fe21f,0xff10e22f,0x3e25ff05,
    0x2a2ff82f,0x5070ffe8,0xdf1090df,0x90df5051,0x117ecff0,0x272051df,
    0x9cc0ffb9,0x0a6f8afa,0x2a121bea,0x3f20486f,0x090df502,0xf8890df5,
    0x1fea001f,0x8e117fa8,0x7c4540fe,0x1ff9875f,0x47be4ff8,0x0937e42d,
    0x9ff03ff3,0x3fe07fe6,0x57fe22a4,0x0487f983,0xdf501bfb,0x7ecff090,
    0x4406fec1,0x43fe999b,0x9f79f748,0x0df50266,0x090df509,0x6fa807ec,
    0x486fa848,0x50007fd4,0x23fd40ff,0xa823fa59,0xa879ff30,0x24fe80ff,
    0xf883bffa,0xffa81abf,0xff54fe80,0x8549fd01,0xf883cff9,0x7cc0a60f,
    0x090df505,0x303fe1ff,0xf70320bf,0x29f3481f,0xfa851adc,0x86fa8486,
    0xfa81fe04,0x86fa8486,0x800ffc44,0x4c0affd8,0x4feccffd,0x20a837ea,
    0x1ff85ffa,0x7f4c1ff8,0x409ff703,0x21ff81ff,0x21ff81ff,0x417fea0a,
    0x403cced9,0x90df501e,0x05fbbff0,0x42fea07a,0x220dffc8,0x7f982803,
    0x487f9848,0x7f9817e0,0x487f9848,0x4c003fe8,0x81824000,0x6437e40a,
    0x223fc42f,0x3fe07d89,0xf10bf202,0x7c42fc8f,0x1bf20547,0x80e00d10,
    0x7f8487f9,0xb8003801,0x2a205501,0x260ff880,0x260ff882,0x4403f182,
    0x220a60ff,0x220a60ff,0x441540ff,0x21aa004f,0x6c0dc2f9,0x7e46f986,
    0x2079ae43,0x1be602ff,0x46f987f9,0x6c0dc3fc,0xd5035406,0x07fc4051,
    0x540ff053,0x7c40028e,0x2aaae201,0x3fe600aa,0x3fe603cc,0x059d03cc,
    0x0799ff30,0x01e67fcc,0x0597bdb1,0xbd100144,0x37a61985,0xed882c40,
    0xad982ecb,0x00bfe02d,0x05d97db1,0x0bb2fb62,0x05881bd3,0x7d417744,
    0xccff9804,0x502ff983,0x3b60009f,0x11000003,0x00004400,0x11000440,
    0x08008800,0x00103000,0x00018008,0x01dffa88,0x00180030,0x00040020,
    0x4c401100,0x20000019,0x00000008,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80151c00,0x2a005119,
    0x018d402e,0x85c00b88,0x81c5101a,0x324b83e8,0x54405c42,0x9242cccb,
    0x81d8d980,0x0143104b,0x2e02c044,0x0004c000,0x332a0620,0xeeee882a,
    0xbcccc982,0x009b000a,0x037fd40c,0xb001fff8,0x2fffc809,0x4c02fb80,
    0x7ff406cf,0x3fa0b702,0x1fcc6f88,0x126fffe6,0x5900fb72,0xe81fa095,
    0x7fc403ee,0x09f30341,0x00037dc0,0x322791ea,0x01555506,0x17f4dbee,
    0x38003a60,0x0a800510,0x54200e00,0x6400a002,0x200a801e,0x80986203,
    0x5fffec0a,0x805d8839,0x100c4052,0xb77b0057,0x80054068,0xb982d9e8,
    0x26f2e3cc,0x4cb0fe22,0x0f2e3ccb,0x037dcdf5,0x3288002a,0x1e5c7997,
    0x402cbc98,0x329bcdb8,0x1e5c7997,0x29bcdb88,0x3cb87995,0x22665dc4,
    0x3262acca,0x5dc47954,0x7ffff4cc,0x55995073,0x20b2f260,0x9b7304c9,
    0x0a860739,0x666dcc1a,0x02826039,0x101d0ff7,0xf70217ff,0x4df50b0f,
    0x6664c6fa,0x2e200abc,0x161fee1e,0x01dd0fec,0x93a619f5,0xf50587fb,
    0xfb93a619,0xdaf42c3f,0x3644f21f,0xbd37c5fe,0x7ffec7f6,0xc89e439b,
    0x3ba1fd86,0x1fe43fc0,0x0cc98fb3,0x4c7f90d0,0x9e65cc7d,0x3ea2ccca,
    0x3ff20486,0x486fa82f,0x0bf66fa8,0x17f4dbee,0xa87f47cc,0x4fc8486f,
    0x17ea37cc,0x486fa926,0x24985fa8,0x50e1ffda,0x7c47f29f,0x7c5fa2c3,
    0x47f29f56,0x239bfffa,0x3f22c3f8,0x1fe37cc4,0xd0d10bf7,0xbf70a01f,
    0x8ff50d10,0x437d45fd,0x27ffdc04,0x2a121bea,0x501ffcef,0x6437dcdf,
    0x1bea4b9e,0xf05ff112,0x1817f45f,0x3a121bea,0x7454302f,0x4f8870ff,
    0x2ffe21fb,0xdf17e810,0x507ed3e2,0x7c4737db,0x7fc410bf,0x1fe2ff82,
    0x360605ff,0x05ff000f,0xf91fea06,0x0486fa89,0x507fec41,0xdf5090df,
    0x37d413fa,0x07df0df5,0xf9890df5,0xf14ff81f,0x0df5003f,0x801ff889,
    0x075ff88a,0xfc83b7d3,0xf17e82ff,0x80edf4cd,0x7fe439b9,0x40ffcc2f,
    0xf99fe4ff,0x27f6001f,0x3ff300dc,0x323fd400,0x2437d44f,0x517dc398,
    0xdf5090df,0x3ea0bfe6,0x3fe0bf66,0x4486fa83,0x4fe80ffa,0xf5001ff5,
    0x0ffa890d,0x9ff30a80,0xfb803907,0x447fc4ff,0x2600726f,0xfffb839b,
    0x3a03fea4,0xffa9fe4f,0x2b3f6000,0x0ffa9a5f,0x267fea00,0x37d44fd9,
    0x34c79824,0x2a121bea,0x503fee6f,0x203ff9df,0x3ea155fc,0x81ff8486,
    0x03ff11ff,0x8890df50,0x20a801ff,0x77c45ffa,0x6c410bde,0x15ff30ff,
    0x37bbe2df,0x239b980b,0xf83ff620,0xf31ff81f,0x887fe25f,0x47ec3ffd,
    0xff89a6f8,0x50fff621,0x9fd555ff,0x30487f98,0x983957db,0x7ecc487f,
    0xa87bfa2f,0x2209fd6f,0x1fe63fff,0xf10bf212,0x9803fe8f,0x3fe8487f,
    0x37e40a80,0x9affffe4,0xf8817dc3,0x17ffff26,0x4398e6e6,0x10bf22fb,
    0x7f40d8ff,0x7ec3fd43,0x3fa34df0,0x7d43fd43,0x3e227e47,0x2e00a60f,
    0x4c1ff103,0x2a01cc02,0x305ff36f,0x41ff1013,0x646f9829,0x207fc43f,
    0x983fe22a,0x540ff882,0x31b606e2,0x98f35a8d,0x26bf1b06,0x4dcc2d46,
    0x98d31e63,0xf51fe46f,0x2a0ff881,0xdf0fd87f,0xa83fe234,0x647fa87f,
    0xbcff984f,0x4c0f3003,0x8803ccff,0xb9bea01f,0x2601c0ff,0x2203ccff,
    0x102ecbed,0x30597bdb,0x440799ff,0x262cbded,0x222c40de,0xb30cbacd,
    0x3603957d,0x759b10ec,0x47373019,0x81cabed9,0x82ecbed8,0x5f6c42ee,
    0x9fe83eca,0x3621a7f8,0xa83ecabe,0x1027ec7f,0x015c4001,0x07700044,
    0xfd17fecc,0x08800c3d,0x22000c00,0x40008800,0x00080008,0x00000220,
    0x00880420,0x88010030,0x2affe201,0x188011ff,0x54bff620,0x00001efe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x17930000,0x9c42c526,0x1b85c048,
    0x80098c40,0x775c04e8,0x220ea05e,0xcc980913,0x3008802c,0x50722197,
    0x03cb8799,0x05379b71,0x07aa0249,0x3200bb00,0x0215001e,0x00006130,
    0x9973264c,0x31f44017,0xfdc81f70,0x805dbb01,0x7c805de9,0x00b700bf,
    0x2e055553,0x80bb7606,0x803b61fd,0x887e606f,0x21ffdc1f,0x2619f505,
    0x03edb84e,0x3a6004c8,0x05dea800,0x401effd8,0xc802f9df,0xf71fe02b,
    0x870b700f,0x027440fb,0x3b2009d3,0x01328801,0x79300150,0x98176059,
    0x313f204e,0x301540df,0x2a1fc43f,0x2a0e1ffd,0xbb04985f,0x13001c00,
    0x005c3200,0x2600ae26,0x0e710051,0x037d47e8,0x3ee6a81c,0x98f32e60,
    0x4ccccccc,0x2af33326,0x21ccca80,0x332e0bc9,0xfd82cccc,0x0f903ba1,
    0x59999997,0x3e217fc4,0x33332e2f,0x30fcc2cc,0xffe8a85f,0x205fd070,
    0x35999931,0x05000a00,0x01400280,0x0da800a0,0x0df51fa0,0x25f04c98,
    0x23fd40fb,0xd17fa8cb,0xfe9b7dc1,0x1d86fd82,0x81ff7174,0x237cc4fc,
    0x3ee2e87b,0x207fe60f,0xfb8ba4ff,0xf30fcc0f,0x5ff88a83,0x801ff887,
    0x01df36fb,0x0d500354,0xd5003540,0x50035400,0x7d47e80d,0x9d07f806,
    0x8ff503ee,0x054ff50b,0x437dcdf5,0x20e22ff8,0xf10ffe23,0x6c5ff05f,
    0x0ffe2383,0x9fd01ff5,0x307ff11c,0x8542d83f,0x7d43cff9,0x26fb800f,
    0x5fd00efa,0x400bfa00,0x5fd002fe,0x400bfa00,0x51fa02fe,0x20fd00df,
    0xfa81f76d,0xa81fea07,0x641bea6f,0x3f60126f,0xf81ff986,0xfb00594f,
    0x3e07fe0d,0x20dfb01f,0x2a2c81f9,0xf117fea0,0x4df7003f,0xfe982ff8,
    0x05fe9805,0x9805fe98,0xfe9805fe,0x05fe9805,0x10df51fa,0x71fb07e8,
    0x207fa81f,0x9bea07fa,0x7ff102fd,0x1ffa8035,0xfe80ffa8,0xffa80b64,
    0xf885f901,0x203ff507,0x2a1e41f9,0x7f437e40,0x746fb803,0x1ff9c84f,
    0x00ffce40,0x9007fe72,0x9c803ff3,0x7ce401ff,0xfa8fd01f,0xd83f4386,
    0x7fa81f77,0xfa81fea0,0x5c01ffce,0x4fe804ff,0x3fe07fe0,0x4fe81ee1,
    0x5f71ba60,0xf9813fa0,0x03707e61,0x81ff10db,0xfb1bee2a,0x09fb288b,
    0x204fd944,0x4409fb28,0x94409fb2,0x6ca204fd,0x541fd04f,0x1fa3447f,
    0x540fba74,0x81fea07f,0x009fd6fa,0xffc805ff,0x885f9040,0xfc83e47f,
    0x5f5c040f,0x1ff900dd,0xf987e608,0xb1037a62,0x32f7b620,0x3fa37dc2,
    0x7fdcce44,0xff733900,0x3ee67201,0xf733900f,0x2e67201f,0x733900ff,
    0x2ff981ff,0xf999ffb3,0x25f07e8d,0x03fd40fb,0xb7d40ff5,0x7fc02ff9,
    0x50bfe602,0x3f237cc3,0x7fcc36c3,0xff980d42,0xa85ff301,0x3f887e61,
    0xd8008ea0,0x7c4df701,0x2666e21f,0x99b883fe,0x9b883fe9,0xb883fe99,
    0x883fe999,0x83fe999b,0x3fe999b8,0x807202b8,0xf70e987e,0x2a07fa81,
    0xb9bea07f,0x0bfe00ff,0x07446fe8,0x0bb2fb62,0x11bfa1ae,0x577d401d,
    0x3a237f40,0x1f887e60,0xd8003e60,0x7e4df704,0x3fee0644,0x3fee0640,
    0x3fee0640,0x3fee0640,0x3fee0640,0x3fee0640,0x0b9035c0,0x982e07f4,
    0x5ffb30ac,0x815ffb10,0x3fa2ffd9,0x6ffd441e,0xccdffa81,0x400c07fc,
    0x337fea3b,0xa8807fcc,0x9bff50ac,0x65c4ff99,0x5c405910,0x202e6002,
    0x2decffd9,0xfc885fd4,0x217f50df,0xf50dffc8,0x37ff2217,0x32217f50,
    0x17f50dff,0x5437ff22,0xbff910bf,0x5cc06e21,0x0c5ff300,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6dc005d8,0x200cc981,0x32a3ccb9,0x2fc0002c,0x2744188c,
    0x00dc0098,0x1c80e653,0x01c51057,0xbb02e983,0x260094c0,0x017a203e,
    0x05d804c5,0x7d4001f6,0xcdcb9802,0x80c46039,0x41b30e28,0x174000f8,
    0xfa801fd0,0x7cc17447,0x1d501fff,0x6c7dafa8,0x02fc41ed,0xfce80bf1,
    0x8177e600,0x83882ffd,0x207a204c,0x3205fff8,0x0176ec04,0x7c40ddd7,
    0x2000ba01,0x22fb803d,0x95f507d9,0x217fec0f,0x000663fd,0x00fe8051,
    0x01913fd4,0x9880cccc,0x4c332808,0x80370713,0x01f5400a,0x06a00f64,
    0x200e03e2,0x01510818,0x244e201c,0x33002ea0,0x00026220,0x10bf7005,
    0x4018940d,0xb9afc81a,0x99500bcc,0xd05e4c39,0xa839711f,0xf880937f,
    0x5fc40fbb,0x332e60fb,0x98f32e63,0x32e63ccb,0x730ccccc,0x01999999,
    0x79973014,0x665cc5b8,0x33332e63,0x799730cc,0x666665cc,0x9999730c,
    0x30140199,0xbf887997,0x65cc00fb,0x20cccccc,0xb98303ff,0x30cccccc,
    0x19999997,0x03fdc7ea,0x20ec37ec,0xf50390fe,0x39005f5f,0x12672093,
    0x1fea1fea,0x9fea1fea,0x99fea1e9,0xa80d501e,0xfa84e87f,0x3a67fa87,
    0x3ea1fea1,0x7fa87a67,0x035407a6,0x4ce41fea,0x4ff95004,0x03ff30fa,
    0x3d33fd40,0x23d33fd4,0x201bea78,0x20e22ff8,0xf500c8fe,0x2601ffbf,
    0x263ca8cc,0x543ca8cc,0xa87fa87f,0x227fa87f,0x989fea19,0x5405fd01,
    0x5427c47f,0x227fa87f,0x2a1fea19,0xfa86627f,0x7f406627,0x931fea02,
    0x90079519,0xa85c4ff3,0x3ea001ff,0x7fa86627,0x3ea58662,0x24df9006,
    0x503fdfe8,0x403bfaff,0x746f88fe,0x7d46f88f,0xfa87fa87,0x0337fa87,
    0x98066ff5,0x1fea05fe,0x0ff507f5,0x2a066ff5,0x337fa87f,0x8066ff50,
    0x3ea05fe9,0x6f88fe87,0xabfcc5c0,0xb117fc40,0x37fa85ff,0x066ff503,
    0x1006fa8a,0x3a0357ff,0xfa80ffaf,0x3a0bff17,0x7f46f88f,0x3fd46f88,
    0x3fd43fd4,0x40f4ffd4,0x201e9ffa,0xf501ff9c,0xfa84f88f,0x1e9ffa87,
    0xffa87fa8,0x9ffa81e9,0x3fe7201e,0xfd0ff501,0x9c40df11,0xe80e9ff9,
    0x543fd44f,0xfa81e9ff,0x7d401e9f,0x13fee006,0x86fa8fe8,0x13fea7fa,
    0xd1be23fa,0xfa8df11f,0xfa87fa87,0x1fbffa87,0x01fbffa8,0x5413f651,
    0xfa84e87f,0x1fbffa87,0xffa87fa8,0xbffa81fb,0x3f65101f,0xfd0ff504,
    0x56c0df11,0x80fbffca,0x1fea0ef8,0x207effea,0x5c1fbffa,0x010df51f,
    0xff9817fc,0x7ec49ff3,0x19fff33f,0x237c47f4,0x546f88fe,0xa87fa87f,
    0x357fa87f,0x406aff50,0x80ffb99c,0xa85c87fa,0x357fa87f,0xff50ff50,
    0x55fea06a,0xff733901,0xfd0ff501,0x86a0df11,0x540157f9,0xa83dcacd,
    0xff50357f,0x2a5f706a,0x3fe0386f,0x1002b802,0x98fd8017,0x7cc7ec6f,
    0x7d43fd46,0xfa87fa87,0x7fa8e117,0x99b88e11,0x7fa83fe9,0x3fd40f98,
    0x4708bfd4,0x17fa87fa,0x117fa8e1,0xe999b88e,0xd87fa83f,0x3886f98f,
    0x0508bfcc,0x5fea006c,0x8bfd4708,0x8ff50470,0x00bfe068,0x03d801ae,
    0x0ffdf7d4,0x43ff7df5,0x87fa87fa,0x47fa87fa,0xb31fea59,0x03fee064,
    0x50e60ff5,0x98ff50ff,0x3ea1fea5,0x8ff52cc7,0xff703259,0xfa87fa81,
    0x4241ffbe,0xb02547fa,0x4c7fa809,0x0b31fea5,0xf999ffb3,0x3bff510d,
    0xa800dc40,0x0800800b,0x98bff660,0x3f662ffd,0x33ff662f,0xffb34fec,
    0x3ea9fd99,0x1bff910b,0x440bff66,0x4c5ffb31,0x4feccffd,0x6cc5ffb3,
    0x34feccff,0x9fd99ffb,0x7e442fea,0x5ffb30df,0x22fc8010,0xfdccffd9,
    0x4c017303,0x4feccffd,0xfd99ffb3,0x00003669,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd55f9000,
    0x00000ddd,0x00000000,0x77740000,0x2000002e,0x000eeeea,0x00000000,
    0x38000000,0x01e532e0,0x6d532e60,0x2059100b,0xccb880b8,0x23866000,
    0x85555128,0xb11b06f9,0x750ee570,0x92a930ea,0xff109349,0x80332201,
    0x9501aaaa,0x40ff612a,0xf702aaa8,0x402fe80b,0x077502fe,0x0b8de5cc,
    0x77302fdc,0x4407e259,0x6c1ff8ff,0x7fd40d88,0xbc81d91a,0x17dc2e9c,
    0x1906f9f4,0x3183ffd0,0xdbe87997,0xd02feb83,0x03fba0dd,0xfdb03fb6,
    0x20999901,0x0280288a,0x7540fed8,0x6665cc6a,0x2ba20ccc,0x0d7b701e,
    0x73835ed4,0x7744bf20,0x40f57442,0x0affa3fd,0x5076aff0,0x5ff507df,
    0x93f32fcc,0xd10510a6,0x03ee1fa7,0xff524054,0x1e40a188,0x32603950,
    0x91059302,0x70145105,0x300d5007,0x20cc5059,0x987a67fa,0x098e0510,
    0x64c04c70,0x7d44fc82,0x642884c6,0x4437cc4f,0x4127fadb,0x88ff504c,
    0x097be67f,0x65405dcc,0x33fea0ff,0x88332e22,0x32a1fea6,0x2a33262b,
    0x882b983c,0xbb980ccb,0x9315e540,0x64c79519,0x3a03ca8c,0x05dcc02f,
    0x3ea05dcc,0xcb886627,0x2e332e0c,0x4c0c98cc,0x0ccb882b,0xff730ffc,
    0x220bb985,0x42ff83ff,0x857fb8fd,0x40dc9cc8,0x21ff87fa,0xf5c83ffd,
    0x41fd6c8b,0x4fa09fe8,0x7d43e66f,0x22447c47,0x646f88fe,0xdf3e85d5,
    0x7c4bf5c8,0x447f4488,0x7c47f46f,0x40bfd306,0xae41d96c,0x19bfd45f,
    0x7c4df3e8,0x90e2ff17,0x3e7d0bab,0xa447fe66,0x765b24fe,0xff03ff30,
    0x0ff2fc49,0x22fd6ff4,0x42ff87fa,0xb9fc5ffb,0x3fe77e23,0x4427fa20,
    0x97dcfd3e,0x4f7cc7fa,0x37c47f40,0x7d12ecfe,0x8ee7f1fa,0x7f409ef9,
    0x47f46f88,0xff3906f8,0x3ea9f103,0x2a1dcfe3,0x7441e9ff,0x9afc8fd3,
    0x9fc0a9fe,0x3f4fa25d,0xfe921ff5,0x4fea9f14,0x4fe80ffa,0x207f97ea,
    0x546f88fd,0xc80ff87f,0x209f52ff,0x23fcaee8,0x65409fe8,0x2a7fb0ff,
    0x42ffe87f,0x2a6f88fe,0xca82aadf,0x409f50ff,0x47f42ffe,0x447f46f8,
    0x9fb2886f,0x53ea9f50,0x3fea04fa,0xff9501fb,0x7d5efcc1,0x556fd43c,
    0x10ffca82,0x7fc193ff,0x93ea9f52,0x21ff81ff,0xd81fe5f9,0x7fa8df0f,
    0x464225f8,0x200df34f,0x640fe82a,0x4bee1fd6,0x8ff907fa,0x266f88fe,
    0x7f5b205f,0xfc80df30,0x37c47f47,0x21be23fa,0x40ffb99c,0x267f74f9,
    0x55fea06f,0x81fd6c81,0x985ff2fe,0x7f5b205f,0xf8837fa0,0x3ee9f30f,
    0xff10bf23,0x81fe6df0,0xfa8df0fd,0x4c7f1f77,0x3fe8be93,0x7f40fc03,
    0xff3bf108,0x531fea01,0xf31fb1f2,0x4451ff8d,0x3a0ff9df,0x7c94c33f,
    0x237cc7ec,0x446f98fd,0x83fe999b,0x7f41f75e,0x117fa833,0x7fcefc4e,
    0x07c87dc0,0xdf88a3ff,0x1be20ff9,0xf75e85f9,0x3ee37cc1,0xefcee983,
    0xdf13fd02,0x7d57fec4,0x5ee74c4c,0x00f7ecc3,0x0dfa89f9,0x07f95dd1,
    0xb7d31fea,0xffbefa87,0x883bf661,0x263fcaee,0x2fa61efd,0x7df7d43d,
    0x3efbea1f,0xff70321f,0x41cac981,0x7d41efd9,0xaee8acc7,0xb32c43fc,
    0x883bf660,0x2a3fcaee,0x81dcaddb,0xd881cac9,0x8402ecbe,0x2affe200,
    0x004401ff,0x100080b1,0xd9800001,0x100882ff,0x10000200,0x80080440,
    0x442fea00,0x0080dffc,0x67fecc04,0x08004fec,0x40002004,0x000800c1,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xca800000,0x4ccccccc,
    0x000d8d98,0x79700f54,0xea805d80,0x9501b701,0x13930939,0x2c057301,
    0x5dc154e6,0xa80e3828,0x4c26c41e,0x332a3ccb,0x40cce21c,0x8cc003ba,
    0x2a332628,0x41b9543c,0x42ec0663,0xb50003d8,0x97ec0017,0x321ea7fb,
    0x2c9643a9,0xf75103d8,0x003a603f,0xb82f80ba,0xfdb0df37,0x20bab90f,
    0x2f47dc49,0x2e0fff6a,0x40ba04ff,0x87fa80f9,0x83fa83fe,0xff889b6a,
    0x741ffe80,0x76c6f88f,0x37fcc3f8,0x0f500e98,0xdc836236,0x5c0b84ff,
    0x389fe64f,0xbdf10528,0xf99880a0,0x2001300e,0x3e20a202,0x80c0df16,
    0x0570bb3f,0x00442021,0x4c028033,0xfe87fa80,0x207554c3,0x6643f75f,
    0xfd01504c,0x0210df11,0x80130144,0x23efa80a,0xf98df318,0xff30ff40,
    0x05dcc026,0x5e540654,0x37d6dc42,0x32e332a2,0x85397302,0x53ea0bb9,
    0x233266f8,0x2b7ea3ca,0x7730682a,0x4c177301,0x983ca8cc,0x0bb980bb,
    0x1ff43fd4,0x9f337dcc,0x20a28bee,0x47f40bb9,0x02b986f8,0x0ae60573,
    0x04b815cc,0xcffa8be2,0x7cc1ff32,0x96c80d9f,0x2e33221d,0xb1223e25,
    0x2d8df91f,0xd90be7fd,0xbf5c83ee,0x46f8afcc,0x266f88fe,0x3216205f,
    0xcb641d96,0x3e23fa0e,0x20ecb646,0x7d41d96c,0xb643fe87,0x2e9f51fc,
    0x3213264f,0x47f41d96,0x2eae46f8,0xae42eae4,0x42eae42e,0x3fb104c9,
    0xfa84ff44,0x3f3fe60f,0x3faa7c40,0x4c3f73f6,0x97e209ef,0x7ecfa26f,
    0xfb5f8bb1,0x7c3b9fc9,0x8fe8df16,0x28ffc6f8,0x553e215c,0x3ea9f13f,
    0x9be23fa3,0x227f54f8,0x7d47f54f,0x3e23fe87,0x53ee7f74,0x223fc4fb,
    0x7ec7f54f,0xd9fc6f99,0x7c5d9fc5,0xbb3f8bb3,0x3fea0ff0,0xf883fa0f,
    0x05dfe60f,0xb27d53ea,0x8bffa07f,0x261be4fa,0x22aacfdc,0x55fabdf9,
    0x66f4c09f,0x7c47f46f,0x2077ecc6,0xfaa7d40d,0x93ea9f54,0x2a6f88fe,
    0x3ea9f54f,0x3fd49f54,0x29f51ff4,0x2ebf54fa,0x3ea3f43f,0x6fd49f54,
    0x5bf51ffa,0x556fd455,0x8aab7ea2,0xe82aadfa,0xfd0ff407,0x3e61fe81,
    0xa7cce117,0x807f63fb,0xf97e67fc,0x03fcb5c6,0x29f53df3,0xf88806f9,
    0x37c47f46,0x4c2c41c4,0x3e67f74f,0x47f47f74,0x5d3e66f8,0x3ee9f33f,
    0xe9edfea3,0x7dd3ea2f,0x0beebf13,0xf74f98fd,0xf9891087,0x260bf305,
    0x80bf305f,0x3a3dc07e,0xf52f440f,0x2bd1dc1f,0x207f60fb,0x36f8f929,
    0xfbafc4df,0xab7c388e,0x00cffa1f,0x98fd8df1,0x3a83d86f,0xe83eebd0,
    0x47ec1f75,0xfbaf46f9,0x507dd7a0,0x0ff57eff,0xd87eebf1,0xd0fd0f95,
    0x2e403eeb,0x7fc28ffc,0x851ff851,0x8fd051ff,0x1fd12a3a,0xfebed881,
    0x262fecdf,0x0fec1cac,0x261edf4c,0xf11efcee,0x1bff95df,0x21edf5cc,
    0x2a01efd9,0x2fbea1ff,0x067dc1ff,0x32b2601b,0x20e564c1,0x21ffbefa,
    0x64c1cac9,0x3ff661ca,0x983fbcaa,0x57442dae,0x4c0ff81e,0x3e601cac,
    0x03bf661d,0xd981dfb3,0x77ecc0ef,0x3ee0ff80,0x6fd40aae,0x02000200,
    0x0880ffa2,0x08080420,0x00020040,0x10220010,0x20080100,0x00801000,
    0x20040040,0x205ff300,0x00402000,0x00801002,0x00105ff3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x388793b0,0x05177055,0x75407117,0x95026c41,0x21f44059,
    0x01da8cc8,0x336eea60,0xa803b201,0x32e60552,0x16665c01,0x82ba8790,
    0x100e2048,0x305379b7,0x107399b7,0x2e099977,0x3c8a643c,0x43b8e65c,
    0x9500bca8,0x2c177503,0x3ee1ab30,0x7fed45e8,0x07ddfc43,0x01f302e8,
    0x207f11f7,0xf5bfd05b,0x4c3b95cb,0xd813ee1e,0x4164b202,0x7c40d969,
    0x4c5c1fff,0x3f1d70ff,0x07f201d8,0x4e9867d4,0x0fb31fe4,0x4407f6bd,
    0x5f9bfc6f,0x41a87fc4,0x75d0ff2d,0x0faaec1f,0x0622a039,0x40208084,
    0x4c028020,0x5f88fd81,0xf8fec050,0x14c37746,0x028817f4,0xb6c0743a,
    0x2666e06a,0x0da87cc1,0x04a93ebd,0x85fa8144,0x2217ee49,0x1fca7d46,
    0x26ff1be0,0x073fc85f,0xf98bf67f,0x2bf30d9b,0xc98933f8,0x5c43ca8c,
    0x665c40cc,0x32a33260,0x20665c43,0xbf40ccb8,0x233262f9,0xf8fec3ca,
    0x9000e547,0x54664cdf,0x3bbfb23c,0x1cbfd85f,0xf502f7a0,0xf6d9259f,
    0x2e601a27,0x4302fe82,0xf88302ff,0x6dc41fb4,0xf9bfc6fa,0x828ef885,
    0x7dc1fd08,0xf9bff884,0x223fa1a1,0x46f9f46f,0x8fe8df3e,0x6f9f46f8,
    0xbf46f9f4,0x447f41db,0x7f8fec6f,0x44997793,0xfc999999,0x37c47f47,
    0x03b53b51,0x86754df9,0x223ffff9,0x754289fe,0xc803b0e9,0x0ffc45d5,
    0x8007fe60,0x7ec1dbe9,0x9bfc6fc8,0x01bfb05f,0xdfb50f4c,0x1fffb819,
    0x223fa0e4,0x3f4fa26f,0xfd1fa7d1,0x9f44df11,0x3f4fa27e,0x7f47e9fa,
    0x8fec6f88,0x93f2357f,0xcaaabffa,0x223fa0ff,0x43a9d46f,0xd14fe9d8,
    0x0ffeca88,0x543003fa,0x3f815514,0x007fd4bb,0xc8003fea,0x37cbf101,
    0x07bee3fe,0x819017e6,0xe80cffca,0x3a1d45ff,0xca86f88f,0x7fe540ff,
    0x1be23fa0,0x9503ff2a,0xfb3f41ff,0x37c47f43,0x85fe7ff1,0x3fe60ff9,
    0x3fa3fe41,0x3bb26f88,0x4d3a5eee,0x5c01caff,0x4003fa3f,0xa9eb3a68,
    0x3e22aadf,0x0ffc401f,0x7c47ffb1,0x9f50bdee,0x2bbfe37c,0x803d03fe,
    0x3a21ba01,0x2343ff9b,0x646f88fe,0xeb641fd6,0x3e23fa0f,0x20feb646,
    0x3f41fd6c,0x447f43fb,0x3a37c06f,0x6c1ff82f,0x7c47f44f,0x27a67a26,
    0x7fdcdf31,0x7f47d004,0x3e23b000,0x0bf31fab,0x7f401ff4,0x7e43fd43,
    0x4bf35fff,0x0103a26f,0x9b10001c,0x9f72fa84,0x263f60d8,0x3e77e26f,
    0xff3bf10f,0x37cc7ec1,0x21ff3bf1,0x20ff9df8,0x6c7bc9fe,0x1b06f98f,
    0xa837d4bf,0xb03be24f,0x268df31f,0xe867fc46,0x3930bbff,0x011fd064,
    0x2afe24a8,0x2147fe0f,0x11540ff8,0x23fd41ff,0x2df2d469,0x201e66f9,
    0x7dc028ea,0x6ef7e5c1,0x07e65f14,0x7df7d475,0xf95dd11f,0x3f2bba27,
    0x3fefbea3,0x7f95dd11,0x4ff2bba2,0x42ce9ff9,0x81ffbefa,0x3ff11ecd,
    0x3eefaa12,0xfbefa80c,0x2166b31f,0xfc9dffeb,0x2f7fa62f,0x1006fd40,
    0x98b7990d,0xed880efd,0xed882cbd,0x6c43ecab,0x3a60cbac,0x0f51efce,
    0xf9009f50,0xefddbb83,0x20f2b6e1,0x00000458,0x00000040,0x20000800,
    0x207dbefc,0x22008008,0x44040110,0x30000100,0x00806203,0x06200110,
    0x00084000,0x82010000,0x00100200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x0de6543b,
    0x97301995,0x79973037,0xcb981e5c,0x2b32a01b,0x970f32a2,0x05999307,
    0x203720f6,0x0c824c0c,0x200c824c,0x3332e1a8,0x2cbc983c,0x0cd9cc98,
    0xcca81326,0x22ccca8b,0x799730cb,0x3332e601,0x00cc981a,0xba64c995,
    0x7309930c,0xa6c01799,0x6427f45e,0x7710ac81,0x20b0ff70,0x907710ac,
    0xff71b227,0x1bf20587,0x3a2637c4,0x1b222543,0x50d910ee,0xf10fa209,
    0xfd87ffff,0x9ff03ba1,0x407f8bf3,0x31bf23ff,0xb807fb87,0x4c1df36f,
    0x8ff02bff,0x3e2ff8ff,0x980ff707,0x7d45f93f,0xa89c8487,0x7d43abab,
    0xbb9c8486,0x3e23a8ba,0x3ff6a2c3,0x05fb80e1,0x883ea026,0x0598d706,
    0xd10688d7,0xf555b309,0x3e627e43,0x43fd3fc6,0x137dc07e,0x7d41c3ff,
    0x266fa806,0x35fd10ef,0x26fd1fa0,0x7d41fa2c,0xfba7dc06,0x8351ffc4,
    0x44a45d38,0x9c4486fa,0xf8929d5c,0xe8a810bf,0x7dc070ff,0x25c80205,
    0x0d8d701c,0xb01c8d70,0x2698101f,0x2ff82ff8,0x3a2fd9fe,0x7c40cc9f,
    0x8393fe1f,0x2a02aefa,0xfb1ffc6f,0x1fe81973,0x1fa0c9fa,0x3e6037d4,
    0x6fb89f76,0x03ea6a12,0x486fa86a,0x3f8dc8d4,0x17ffe435,0x3affc454,
    0x83817ee0,0x40952a9b,0x7b80ee7b,0xfdff812a,0xff98f204,0x9fe4ff81,
    0x26ffa1fd,0x934fd86f,0x3ea066ff,0x3ff2601f,0x7ecbfd2a,0x17f45fad,
    0x2fd026fd,0x5c5bea2b,0x2fdafe80,0x40ccffc4,0x45307b8b,0x85c486fa,
    0x70a65eec,0x30a89fff,0x7dc079ff,0x15109705,0x5544b1a2,0x44595589,
    0x32c689aa,0x740bf2bf,0x3a03fea1,0x7fc3fe4f,0x41fe9fa0,0x5ff48ffa,
    0x101bea07,0x3f633df7,0x1be23f66,0x3a07e8ff,0xab7d4bd7,0x1fd7502f,
    0x2607bf90,0x20b81f8a,0x94c486fa,0x2171f9dc,0xa83ff620,0xb817fea0,
    0x801fc85f,0x0d81f21c,0x87201f77,0x7dd7ea7c,0x1ff86984,0x37fe1ff8,
    0xfb3f42fd,0x3259fd05,0x6fd983ef,0x3637d408,0x37c3f64f,0x207e8ff5,
    0x84df507e,0x2609f100,0x6dd602ff,0x7cc489aa,0xfe8d8487,0x0e648ed9,
    0x320545f7,0x5fbadc6f,0x80e9bfc4,0x5c1eae4a,0x24a834c3,0x4d7e67ab,
    0xfc84b84f,0x5fe3fc42,0x07ecfd00,0x1ff33fdc,0x890df530,0xb17fc6fa,
    0x8fd1be1f,0x541fa07e,0x4d88386f,0x12603f40,0x1ff10362,0x4424c14c,
    0x8d31e60d,0x7e46d81b,0x8fe83fc8,0xb33440f8,0xc85885fb,0xbb334408,
    0x2fabf45f,0x46f981e8,0x203fc3fc,0x220dd0fe,0xf502f44f,0x37d4688f,
    0x89fe89f7,0x3fe3fc7f,0xf501fd00,0x15d4688f,0x64c01d40,0xf300ccbc,
    0x64c0799f,0x6cc0ccbc,0x3a61cabe,0x3622c40d,0x5bb505ea,0x54c43905,
    0x3b606c0f,0x5310e42e,0x1ee7441f,0x7db1034c,0x2ff985d9,0x03af33a0,
    0x8815c0d8,0x6fdccffd,0x37b3ff66,0x7d5ffc42,0x265ff31f,0x2ff982ff,
    0x6667fecc,0x0000026f,0x00880020,0x00880040,0x00110080,0x88510280,
    0x20555441,0x80205102,0x00030008,0x02002210,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26001950,0x1d98bccb,0x66665cc0,0x438e0ccc,
    0x3ae099c9,0xb89b05ee,0x261951cc,0x99953ccb,0x11777745,0x260b7199,
    0x7950003e,0x666664c5,0x7774c4cc,0xc81b901e,0x32e64eee,0x2e201acc,
    0x81339500,0x273224e8,0x332e60dc,0x70665c02,0x8177301d,0x0366489b,
    0x7dc009fd,0x2a017f27,0xc83ea7fc,0x37fec4ff,0x260aaaa6,0x7337cc0e,
    0x555ffecc,0x2aaa2efe,0x7ee7ec0a,0x99a85c80,0x1f119999,0x7faa5c91,
    0x555441d1,0x981f880a,0xb7dc2aaa,0x2fa80ef9,0xa86ffd88,0x5fadfe86,
    0x3f2037dc,0x321ec1f9,0x5dfc4bf5,0xb887f90f,0x89bea004,0x7f9c805a,
    0x403302e2,0x50177301,0x21c7fa01,0xd999ffb8,0x415cc0df,0x181c03fd,
    0x04f7cc60,0x2153fd45,0x83ca8cc9,0x19971019,0x3be66fa8,0x50180280,
    0xdf11fb01,0x80aaefa8,0x4fe1407f,0x1c41043b,0xd9cc99b8,0x2637d40c,
    0xbfcc5c02,0x984c980a,0x1d96c84c,0x716e3322,0x1fea129f,0x5d5c89f9,
    0xcc881fd8,0x18060dc9,0x7d40bffa,0x3e23fa07,0x132ef266,0xdf51be7d,
    0x77933ff8,0x64e64499,0x3613260d,0xefa8df0f,0x83fc3fd9,0x813ea4c9,
    0x413004c9,0x543fbcff,0x7100626f,0x403a7fe6,0xf88ff07f,0x67ec7f54,
    0x27fe20fd,0x999ffa82,0x5d9fc4fd,0xdfe80fec,0x418065fa,0x7e54c7fc,
    0x88fe82af,0x27e46a6f,0xc99fa7d1,0x2bfd2aff,0xfe89f91a,0x43fc5fad,
    0xfa8df0fd,0x3fc1ff16,0x037ccff0,0xbfc001fe,0x037d44f9,0x3ff2ab60,
    0x20fd00fb,0xfaa7d47e,0x2aa0ff64,0x2a0abefe,0x4feaaaff,0xb0aab7ea,
    0x223f603f,0x5318066f,0xff7311f2,0xf11fd033,0x80ff984d,0xf710ffca,
    0x85bf633d,0x47ec0ff9,0x743f46f8,0x7d46f89f,0x3fc3ff16,0x33fe8fd0,
    0x02fc8fd0,0x545f9bfc,0x4350086f,0x3a0157f9,0x4f98fd07,0x40fec7f7,
    0x419dfb99,0x327e47fa,0x0ffa20bf,0x066f87ec,0x07b7d318,0x8fe81fea,
    0x82fe86f8,0x7d41fd6c,0x3fa27ec6,0x8df0fd82,0x55ffc47e,0x55bea1ff,
    0xfd03fc6f,0xe81efd98,0x3e027ec7,0x6fa8bf37,0x7cc38838,0x0fd0a117,
    0x7dd7a1fa,0x33207f60,0x2a0ccefd,0x3e27e47f,0x2075051f,0x00cdf0fd,
    0x3ea01c83,0x3e63f607,0x7c437d46,0x3ea0ff9d,0xdf517fc6,0x237c3f60,
    0x540ae07e,0x7c0cccff,0x1621fa07,0x403987e8,0xfa8bf37f,0x54243447,
    0x3fe2547f,0x64c0ff80,0x00fec1ca,0x1fea09f5,0xefd989fb,0xfe80f980,
    0x18066f89,0x0ff502e4,0x8ffdf7d4,0x74491ff8,0x3ea3fcae,0xff893ee6,
    0xf89fe891,0x6b807fc6,0x7f80df50,0x3d103fe0,0x01703fe0,0x77e4ffcc,
    0x999ffb30,0x262fc8df,0x3fdccffd,0xff30bfe6,0x3fa20205,0x85dfb303,
    0xfd32ffd8,0x2e20103d,0xfabff882,0x3333351f,0x880dcc33,0x0100bffd,
    0x03edf7e4,0xbd9ffb30,0x7dbefc85,0x3feaffe2,0x7105ff31,0x05ffb303,
    0x3e60bfea,0xf981d42f,0x0000022f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99730000,0x88b332a7,
    0x3264c3da,0x0ea00199,0x00cc992e,0x32a600a0,0x57999731,0xacccc981,
    0xccccb981,0x999930cc,0x65cc9999,0x8f32e63c,0x32e62cca,0x731ccccc,
    0x2e601799,0xbcca80cc,0x15999730,0x665c4980,0x3262cccc,0xa80abccc,
    0x2f261ccc,0x22599930,0x4c1003cb,0xfb1fea0d,0x44fffc8b,0x2007f47f,
    0x0fe85fea,0x354003fa,0xb976be20,0xb81ff56f,0xa81df36f,0x65c7a67f,
    0x41d17fa8,0x47fa87fa,0x27fa82e8,0x01fee2d8,0x3fa13faa,0x6477d40f,
    0xe8bf104f,0xf703fee2,0x360bfa6d,0x7e41d86f,0x64c0ee1f,0x7f91f98b,
    0x93f23fd4,0x7e8ff739,0x7d4007f4,0x07ec1885,0x2e02fe80,0x366fa82f,
    0xf537dc4f,0x313fd41d,0x53fd42e3,0x7d43fd41,0x7d403227,0x0df51447,
    0x541ff750,0x16f987fb,0x8bfb01ff,0x2a0ffe23,0x221bee6f,0x740e22ff,
    0x5b60916f,0x50e24afc,0x204fc8ff,0x3fa3f46f,0xfa81cb88,0x3f6264c5,
    0xfd300dc9,0x077faa0b,0x217f4df5,0x8bfe26fb,0x540337fa,0x21fea07f,
    0xa80937fa,0xdf504e7f,0x47fd1500,0x6f987f9c,0xfab83ff1,0x541bf605,
    0x641bea6f,0xff98126f,0x2a9f104b,0x9ffa803f,0xf104fd99,0x87f47e87,
    0xf0bf501c,0x5facfd8f,0x203ff390,0xaefa82fc,0x46fb82ec,0x27fea4fe,
    0x81fea01e,0xaffa87fa,0x47fd402f,0x806fa84b,0x3516fb8a,0x2edf30ff,
    0x2fc54c5f,0xf501ffa8,0xf8817ecd,0x7dc01abf,0x2a9f501f,0x7fd4084f,
    0x704feaaa,0x8fe8fd0d,0x217ea00c,0x7c47ec7e,0x09fb2886,0x3bea0bf2,
    0x7dc0cfca,0xff52fec6,0x3fd403f7,0xff50ff50,0x7d401ffb,0x6fa84ebf,
    0xaff88a80,0xff30ff33,0xf1488597,0xa813fa0b,0x401ffcef,0xfd004ffb,
    0x7dd3e60d,0xff517dc3,0x0e884fc8,0x7eff47e8,0x3a17ea03,0x86f87ec7,
    0x80ffb99c,0x26fa82fc,0x237dc5fc,0x55fea4fe,0xa81fea01,0xfd7fa87f,
    0x45fea01d,0x4086fa84,0x267df90a,0x206f987f,0x42efdcdc,0xf5040ffc,
    0x3e013fad,0xffba802f,0x03eebd03,0x23fd45f7,0x860c84fc,0x7fd7f47e,
    0xfd0bf500,0x88df0fd8,0x83fe999b,0x26fa82fc,0x137dc7fa,0x8bfd43ff,
    0x40ff5070,0x17fa87fa,0x9fea0bff,0x4386fa81,0x261ff10a,0x206f987f,
    0x23ffeeeb,0x50d42ff9,0x00bfe6df,0x738805ff,0xb9b303ff,0x8ff50203,
    0x777644fd,0xfe83fa1f,0xbf506fa8,0x4ff41ff0,0x2e0647f8,0x417e40ff,
    0x713f66fa,0x2a27e4df,0x7d42cc7f,0x2a1fea07,0x213fea7f,0x3fd407fa,
    0x2ec151a2,0x0df50ff3,0xdfd17e20,0x9bea0e88,0x3fe00ffb,0xdfd16202,
    0xfb100040,0x47bfaa5f,0x30fffffa,0x4ffe65ff,0x7fecc4ff,0x7c4bfe62,
    0xf51ffabf,0x37ff2217,0x4c1bfd10,0x42cccffd,0x2decffd9,0x7667fecc,
    0x57fec44f,0x117fecc0,0x3fe67ffb,0x7ffb10cf,0x99ffb301,0x8e6ccdf9,
    0x17ff911a,0x200bff66,0x37fea5f8,0x3667fccc,0x07bfa2ff,0x503bff51,
    0x3ff623bd,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x930130c0,0x3bbba619,0x14c01981,
    0x22f2e000,0x8e6542cb,0x29cb983b,0x332615cc,0x65443ca8,0x64c2cb8c,
    0x43abca8c,0x65c40bb9,0x7730000c,0x65c665c1,0x32a0c98c,0x264c002b,
    0x4cb51991,0xb81c9acc,0x32650c03,0x33224cbb,0x02e1cc8a,0x6e466449,
    0x5660dc89,0x2a7a60d8,0x01555516,0xc84a8057,0x6c6acdbb,0x88babf76,
    0x6c8370ff,0x2eae41f7,0x237c47f4,0x0be7fd2d,0xd5df11fd,0x9f45fae4,
    0x9364406f,0xbfc43b2d,0x7c4717f8,0x00772488,0xfdbfd8ff,0x40a6ff20,
    0x95c76019,0xfe89f91a,0xb0e983b1,0xff9cfd87,0xba6c5f9b,0x930d8ee5,
    0x2a015c09,0xfa8bf884,0xa7d53e61,0x839fe45d,0x9fc9fb5f,0x7c47f45d,
    0x8fecfa26,0x7c47f45d,0x1dcfe09e,0x541fa7d1,0x553e22ed,0x3a6bf23f,
    0x3be60a9f,0x05f6cc09,0x40ff63f4,0x4ccc3ff8,0x57219999,0x07fcc26a,
    0x4c02e3f6,0xd0fd83de,0x2be637cf,0x1a2b34f8,0xbc9988ff,0xb7331099,
    0x7716a333,0xcefaa7d4,0x1477c44c,0x57eaf7e6,0x742aadfa,0xc986f88f,
    0x742aacfd,0x7d46f88f,0x87fe5404,0xfa81ceb8,0x6fcc9f54,0xfe83cfab,
    0x39d7102f,0x807f63f4,0x666644fb,0x33f73ccc,0xb05fd05f,0x7ec07fbf,
    0x4fd0fd80,0x7cc75c7f,0xfd0bbae1,0xccdeccb8,0x99db9953,0x4c950ea9,
    0xd80df54f,0xa9ef985f,0x740bf34f,0xb5c6f88f,0x23fa03fc,0x037cc6f8,
    0x7dc3fad9,0x2e9f300c,0xff97f43f,0x440ff902,0xfb1fa5fb,0x007fcc01,
    0x22ecfa20,0xf5fb06fa,0x1d37b01f,0x7cfd0fd8,0x002d8747,0x402b81fa,
    0x0ec6884a,0x297fdd7e,0x2df03f98,0x147fe1fa,0x89be63f6,0x711df75f,
    0x86fa9fd8,0x6fc433fe,0x3ae20ff9,0x1f75e82d,0x30f90fb8,0x3b261f25,
    0xfb07f40b,0x17eae203,0xd0e88264,0x2247fe21,0x646fa9fd,0x23fb1a63,
    0x8d4ff0fe,0x03f40029,0xa84a8057,0x4c3eecfe,0x0effbdae,0x7d7301d0,
    0x0efd987b,0x8ffdf7d4,0xffcaeff8,0x7defd40d,0x0f7ecc1f,0x07f95dd1,
    0xac98fb66,0x1665881c,0xda8f6fa6,0x25ff302d,0xbd983fe8,0x40083ff9,
    0x3bf27139,0x4ffe67db,0xd10404ff,0xf55ff37f,0x3e00003f,0x3bbbb60f,
    0xa84a84ee,0x02050a88,0x00800801,0x01001004,0x01000401,0x041c4000,
    0x04401020,0x0000006a,0x00000000,0x00000000,0x05ff3000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4e644000,0x303980cc,0x3320cc89,0x49800c80,0x20d54391,
    0x80ae623b,0x2aaaaaa9,0x55555530,0x43e98005,0x982220ec,0x44fa2372,
    0x1eeeeeee,0x26666666,0x00000000,0x00000000,0x00000000,0xf5bfd000,
    0xc883fb0b,0x4d4ba266,0x304fc24e,0x7ccfec9f,0x7f83eb34,0x5f89aeea,
    0x77777775,0xbbbba962,0x33f627bb,0x0fc6a8a1,0x3b65fff9,0x44df33f8,
    0x22088888,0x1ccccccc,0x00000000,0x00000000,0x00000000,0x1be1fb00,
    0x8d50b5b5,0xf88ec0fa,0xff31fbbc,0xb9fc47dc,0x7136c3f5,0x112fc4d9,
    0x17411111,0xd7115340,0x062285bd,0x08415553,0x0000004c,0x00000000,
    0x00000000,0x00000000,0x8df0fd80,0x86a85b0e,0x9882a65c,0x9a6480ac,
    0x971ad11e,0xd90366dc,0x2adddddd,0x4404b003,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0x325cdf0f,0x2a6e7b8d,0x7c4bbd32,
    0x8e0cc2e8,0x10cc0c43,0x00000063,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9be23f60,0xaa884c09,0x554c1511,0x110d4e21,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff100000,0x0003ff57,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_16_latin_ext_x[560]={ 0,1,1,0,0,1,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_16_latin_ext_y[560]={ 12,2,2,2,2,2,2,2,2,2,2,3,9,7,
9,2,2,2,2,2,2,2,2,2,2,2,5,5,3,5,3,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,14,2,5,2,5,2,5,2,5,2,2,
2,2,2,5,5,5,5,5,5,5,2,5,5,5,5,5,5,2,2,2,6,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,12,5,2,2,3,2,
2,2,2,2,2,5,5,7,2,0,2,3,2,2,2,5,2,6,11,2,2,5,2,2,2,5,-1,-1,-1,-1,
-1,-1,2,2,-1,-1,-1,-1,-1,-1,-1,-1,2,-1,-1,-1,-1,-1,-1,4,1,-1,-1,-1,-1,-1,2,2,2,2,
1,2,2,1,5,5,2,2,1,2,2,2,1,2,2,2,2,2,1,2,2,4,5,2,2,1,2,2,2,2,
0,3,-1,2,2,5,-1,2,-2,1,-1,2,-1,1,-1,2,2,2,0,3,-1,2,-1,2,2,5,-1,1,-2,1,
-1,2,-1,2,2,1,-2,-2,2,2,-1,2,0,3,-1,2,2,2,-1,5,2,2,-2,1,2,2,5,-1,-1,2,
2,2,2,2,2,2,2,-1,2,2,5,-1,1,2,2,5,0,3,-1,2,-1,2,2,5,-1,2,2,5,-1,1,
-1,2,-2,1,2,5,-1,1,2,2,-1,2,2,2,-1,2,0,3,-1,2,-2,1,-1,2,2,5,-2,1,-2,1,
-1,-1,2,-1,2,-1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,4,2,2,2,2,2,2,2,2,2,2,2,2,2,0,5,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,-1,1,-1,1,-1,
1,-1,1,-1,0,-1,0,-1,-1,-1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-3,-1,-1,2,-1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__times_bold_16_latin_ext_w[560]={ 0,3,6,7,7,13,12,4,5,5,7,8,4,5,
3,5,7,7,7,7,7,7,7,7,7,7,3,3,8,8,8,7,14,11,10,10,10,9,9,12,11,6,8,12,
10,14,11,11,9,11,11,8,10,11,11,15,11,11,10,4,5,4,7,9,4,7,8,7,8,7,6,7,8,4,
5,9,4,12,8,7,8,8,7,6,5,8,8,11,7,8,7,5,2,5,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,0,3,7,7,8,8,
2,7,5,11,5,7,9,5,11,9,6,8,4,4,4,9,8,3,3,4,5,7,11,11,11,7,11,11,11,11,
11,11,15,10,9,9,9,9,6,6,6,6,10,11,11,11,11,11,11,7,11,11,11,11,11,11,9,8,7,7,
7,7,7,7,11,7,7,7,7,7,5,5,6,6,7,8,7,7,7,7,7,8,7,8,8,8,8,8,8,8,
11,7,11,7,11,8,10,7,10,7,10,7,10,7,10,11,10,8,9,7,9,7,9,7,9,7,9,7,12,7,
12,7,12,7,12,7,11,8,11,8,6,6,6,6,6,6,6,4,6,4,12,7,8,6,12,9,9,10,5,10,
4,10,7,10,6,10,4,11,8,11,8,11,8,11,11,7,11,7,11,7,11,7,14,11,11,7,11,7,11,7,
8,6,8,6,8,6,8,6,10,5,10,8,10,5,11,8,11,8,11,8,11,8,11,8,11,8,15,11,11,8,
11,10,7,10,7,10,7,6,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,8,8,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,12,9,8,8,8,8,8,8,8,8,8,8,8,8,8,13,9,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,11,7,6,6,11,
7,11,8,11,8,11,8,11,8,11,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,11,7,15,11,11,7,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__times_bold_16_latin_ext_h[560]={ 0,11,5,11,11,11,11,5,13,13,6,9,6,3,
4,11,11,10,10,11,10,11,11,11,11,11,8,10,8,4,8,11,14,10,10,11,10,10,10,11,10,10,11,10,
10,10,11,11,10,13,10,11,10,11,11,11,10,10,10,13,11,13,6,2,3,8,11,8,11,8,10,11,10,10,
14,10,10,7,7,8,11,11,7,8,11,8,8,8,7,11,7,13,14,13,4,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,11,13,11,8,10,
14,14,3,11,5,7,4,3,11,2,6,9,6,6,3,11,14,3,4,6,5,7,11,11,11,11,13,13,13,13,
13,13,10,13,13,13,13,13,13,13,13,13,10,14,14,14,14,14,14,7,12,14,14,14,14,13,10,11,11,11,
12,11,11,12,8,10,11,11,12,11,10,10,11,10,11,10,11,11,12,11,11,7,8,11,11,12,11,14,14,14,
12,10,13,11,14,11,14,11,15,12,14,11,14,12,13,11,10,11,12,10,13,11,13,11,14,11,13,12,15,15,
14,14,14,14,13,15,14,14,10,10,13,10,12,9,13,10,14,14,13,7,11,14,15,15,13,13,7,13,13,13,
13,10,10,10,10,10,10,14,10,13,10,14,11,10,11,11,13,10,14,11,14,11,11,8,13,10,13,10,13,11,
14,11,15,12,13,10,14,12,14,14,13,11,10,11,14,11,13,10,14,11,15,12,14,11,14,11,15,12,14,15,
13,13,10,13,10,13,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,10,10,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,12,9,10,10,10,10,10,10,10,10,10,10,10,10,10,13,8,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,12,13,11,14,
12,14,12,14,13,14,13,14,14,14,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,14,13,11,14,11,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_16_latin_ext_s[560]={ 115,252,71,106,213,144,114,84,125,250,58,
17,66,141,95,102,170,36,13,241,186,127,131,139,242,1,251,249,119,99,155,
226,1,58,77,166,88,99,140,177,1,120,78,127,150,161,66,147,176,88,205,
57,109,33,9,177,229,217,194,1,250,111,35,157,131,111,168,103,198,64,70,
190,49,44,247,26,21,228,26,128,159,76,169,148,249,72,47,136,177,217,202,
71,253,116,122,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,115,252,248,
234,26,70,161,136,147,21,89,194,112,141,45,167,249,8,53,48,136,207,104,
153,108,43,78,241,119,107,95,87,156,168,180,192,204,216,24,134,138,155,165,
232,187,131,72,65,168,180,168,156,216,124,235,220,147,16,28,50,62,12,211,
51,43,35,111,18,10,139,81,234,226,218,131,202,228,196,178,242,162,187,141,
133,159,116,108,185,56,97,60,55,26,204,225,234,73,160,175,244,243,229,25,
68,1,93,48,221,74,40,145,180,204,39,101,91,242,210,86,158,96,94,96,
24,21,34,139,71,164,96,219,63,177,152,79,215,148,47,1,1,118,40,228,
134,79,164,149,88,42,87,34,24,210,1,244,233,228,13,229,244,237,193,224,
112,107,122,202,59,192,1,201,69,59,54,13,185,122,16,1,35,236,62,224,
99,24,24,79,32,106,8,203,125,113,48,85,106,13,135,132,238,36,85,212,
143,1,124,94,64,213,1,192,193,71,119,144,12,36,48,152,100,179,77,77,
221,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,85,116,116,40,
116,116,116,116,116,116,116,116,116,116,116,116,116,167,241,116,116,116,116,116,
116,116,116,116,116,116,116,116,189,93,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,106,32,
6,234,180,85,156,15,144,47,192,56,204,135,115,194,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,51,127,203,48,168,60,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,116,
116,116,116,116,116,116,116,116,116, };
static unsigned short stb__times_bold_16_latin_ext_t[560]={ 16,61,155,100,75,100,100,155,61,47,155,
146,155,155,155,88,88,135,135,88,135,100,112,112,100,112,135,124,146,155,146,
100,17,135,135,100,135,135,135,100,135,135,112,135,135,135,112,112,135,47,135,
112,135,112,112,112,135,135,135,47,100,47,155,155,155,146,112,146,100,146,135,
100,135,135,1,135,135,146,155,146,112,88,146,146,88,146,146,146,146,100,146,
47,1,47,155,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,16,73,32,
100,146,124,32,17,155,112,155,146,155,155,112,155,145,146,155,155,155,100,32,
155,155,155,155,145,112,112,112,112,47,47,47,47,47,47,124,47,61,61,61,
61,61,61,61,61,124,17,17,17,1,17,1,146,75,17,17,17,17,61,124,
100,100,100,75,100,100,75,146,124,88,88,75,88,124,124,88,124,88,124,88,
88,75,88,88,146,146,100,100,75,100,17,17,17,75,124,61,75,17,75,32,
88,1,75,32,75,17,75,47,75,112,88,75,124,61,88,61,100,17,88,61,
75,1,1,32,32,32,32,61,1,32,32,124,112,61,124,75,146,61,124,1,
32,61,146,88,32,1,1,61,61,146,61,47,47,47,124,112,112,112,112,112,
17,124,47,124,32,75,124,75,100,47,124,32,88,32,88,88,146,32,124,32,
124,47,88,32,88,1,75,32,124,32,75,17,17,47,100,124,75,32,88,32,
124,32,88,1,75,17,100,17,88,1,75,17,1,47,47,124,47,124,47,100,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,100,124,124,17,
124,124,124,124,124,124,124,124,124,124,124,124,124,75,135,124,124,124,124,124,
124,124,124,124,124,124,124,124,32,146,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,61,75,
47,88,1,75,1,75,1,61,1,61,1,1,1,61,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,1,1,61,88,1,88,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124, };
static unsigned short stb__times_bold_16_latin_ext_a[560]={ 58,77,128,116,116,231,193,64,
77,77,116,132,58,77,58,64,116,116,116,116,116,116,116,116,
116,116,77,77,132,132,132,116,215,167,154,167,167,154,141,180,
180,90,116,180,154,218,167,180,141,180,167,129,154,167,167,231,
167,167,154,77,64,77,134,116,77,116,129,103,129,103,77,116,
129,64,77,129,64,193,129,116,129,129,103,90,77,129,116,167,
116,116,103,91,51,91,120,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,58,77,116,116,116,116,51,116,
77,173,69,116,132,77,173,116,92,127,69,69,77,133,125,58,
77,69,76,116,173,173,173,116,167,167,167,167,167,167,231,167,
154,154,154,154,90,90,90,90,167,167,180,180,180,180,180,132,
180,167,167,167,167,167,141,129,116,116,116,116,116,116,167,103,
103,103,103,103,64,64,64,64,116,129,116,116,116,116,116,127,
116,129,129,129,129,116,129,116,167,116,167,116,167,116,167,103,
167,103,167,103,167,103,167,170,167,129,154,103,154,103,154,103,
154,103,154,103,180,116,180,116,180,116,180,116,180,129,180,129,
90,64,90,64,90,64,90,64,90,64,190,128,116,77,180,129,
129,154,64,154,64,154,108,154,91,154,64,167,129,167,129,167,
129,169,178,129,180,116,180,116,180,116,231,167,167,103,167,103,
167,103,129,90,129,90,129,90,129,90,154,77,154,120,154,77,
167,129,167,129,167,129,167,129,167,129,167,129,231,167,167,116,
167,154,103,154,103,154,103,64,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,171,180,180,116,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,128,180,180,180,180,180,180,
180,180,180,180,180,180,180,184,139,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,167,116,90,64,180,116,167,129,167,129,167,
129,167,129,167,129,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,167,116,231,167,180,116,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,180,
180,180,180,180,180,180,180,180, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_16_latin_ext(stb_fontchar font[STB_FONT_times_bold_16_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_16_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_16_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_16_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_16_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_16_latin_ext_s[i] + stb__times_bold_16_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_16_latin_ext_t[i] + stb__times_bold_16_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_16_latin_ext_x[i];
            font[i].y0 = stb__times_bold_16_latin_ext_y[i];
            font[i].x1 = stb__times_bold_16_latin_ext_x[i] + stb__times_bold_16_latin_ext_w[i];
            font[i].y1 = stb__times_bold_16_latin_ext_y[i] + stb__times_bold_16_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_16_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_16_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_16_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_16_latin_ext_s[i] + stb__times_bold_16_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_16_latin_ext_t[i] + stb__times_bold_16_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_16_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_16_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_16_latin_ext_x[i] + stb__times_bold_16_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_16_latin_ext_y[i] + stb__times_bold_16_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_16_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_16_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_16_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_16_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_16_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_16_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_16_latin_ext_LINE_SPACING
#endif

