// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_20_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_20_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT        242
#define STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_20_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_20_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_20_latin_ext_LINE_SPACING          13

static unsigned int stb__times_bold_20_latin_ext_pixels[]={
    0x00026540,0x00266000,0x06620000,0x00015500,0x00000000,0x00000000,
    0x00000000,0x80000000,0x80000080,0x20088440,0xff1001fd,0x3be20003,
    0x0ffc4000,0x2002fe80,0x30004ffb,0x7c8005ff,0x0b52cc00,0x001b7d10,
    0x7c001bee,0x03fe8004,0x009fff90,0xd8007fdc,0x2c003b12,0x27927dc0,
    0x003f103c,0x70003f98,0x3f70001f,0x800fe200,0x000fbcf8,0x4006eed8,
    0x76c00098,0x353001fc,0x001fb800,0x26000544,0x0084003f,0x013f7e20,
    0x002767c4,0x5fc805f3,0x2981e4f2,0x000d3000,0x16c00072,0xb8007500,
    0xb50012a2,0xae400b61,0x3fe6004d,0x136b9004,0x64007700,0x1dc009b5,
    0x026d7200,0x001d14c8,0xd8003ff2,0x9054406f,0x2e640f27,0x22000000,
    0x80000181,0x000001c9,0x1000c040,0x85300022,0x00088400,0x01108000,
    0x22100000,0x01881000,0x44001310,0x33101fff,0x883c9e41,0xdb100554,
    0x8801bd99,0xb9dfcdec,0xd99db102,0x6464401b,0x46fffdc0,0x10bfffd9,
    0x9db107f9,0xf9301bd9,0x3f2237ff,0xdfdb881d,0x3f265bdd,0xbf911bff,
    0x2ffff263,0x263bf911,0x911bfffc,0x3ff263bf,0x3bf911bf,0x46ffff26,
    0xf931dfc8,0x3f2237ff,0x7fff931d,0x4077f223,0xd105ffac,0x03c9e4bf,
    0xfa80193b,0x881ff40f,0x17fa21ff,0x3fa07fd4,0x206e7303,0x7ff43ffd,
    0x7fd42c40,0x7c41ff40,0xd101b06f,0x447d889f,0x881b06ff,0x881b06ff,
    0x881b06ff,0x881b06ff,0x881b06ff,0x881b06ff,0x201b06ff,0x201ffd48,
    0x1e4f25fd,0x7c401e88,0x41ffa83f,0xffb83ff8,0x541ffc41,0x09b901ff,
    0xff717fe6,0x7fc42a87,0xf81ffa83,0xfd10b06f,0x3fe1e20b,0x1bfe0b06,
    0xb06ff82c,0x82c1bfe0,0x3e0b06ff,0x3fe0b06f,0xa8dc0b06,0x4bf904ff,
    0x3e607908,0x417fec02,0x7fe46ff8,0x237fec40,0xff882ffd,0x74035306,
    0x1bfe20ff,0x105ffb09,0x0dff0dff,0x80bfee16,0x0b06ff83,0xf82c1bfe,
    0x3fe0b06f,0x1bfe0b06,0xb06ff82c,0x02c1bfe0,0xc80fff8b,0x3607905f,
    0x07ffc06f,0x3fa0fff8,0x7ff46c47,0x7c03ffe0,0x2aba60ff,0x4ffa80ef,
    0x2447ffea,0xff807ffc,0x5837fc0f,0x4000ffe8,0x3e0b06ff,0x3fe0b06f,
    0x1bfe0b06,0xb06ff82c,0x82c1bfe0,0x2a0b06ff,0x3ffdcccd,0x07905fc8,
    0x2603fff1,0x3ffa07ff,0x0d8fff11,0x3fe63ffd,0xe87ffa07,0x3e07fd1f,
    0x53feb67f,0x03ffcc1b,0x6ff83ffd,0x07ff88b0,0x0b06ff80,0xf82c1bfe,
    0x3fe0b06f,0x1bfe0b06,0xb06ff82c,0x82c1bfe0,0xc86ff885,0x41e4aa5f,
    0xf305ffac,0x97ff40ff,0xe8727ff8,0x0fff31ff,0x3f917ff4,0x7fe413fa,
    0x16fff39a,0xfe81ffe6,0x5837fc2f,0x4003ffcc,0x3e0b06ff,0x3fe0b06f,
    0x1bfe0b06,0xb06ff82c,0x82c1bfe0,0x950b06ff,0xfb0fff60,0x443c9e4d,
    0x3e01ffd4,0x83ffe07f,0xff8597ff,0xff03ffc7,0x9fdb501f,0x4337fe60,
    0xff03cffc,0x207ffc0f,0xff0b06ff,0x6ff8001f,0x41bfe0b0,0x160dff05,
    0xf05837fc,0x7fc160df,0x1bfe0b06,0x50ffee2c,0x3e65fffd,0x0f2792ff,
    0x413fea37,0xff880ffd,0x41e7fec6,0x07fec5ff,0x36237fc4,0x3a04fe8d,
    0x3ffe24ff,0x101ffb00,0x0dff0dff,0x007ff616,0x4160dff0,0x3e0b06ff,
    0x3fe0b06f,0x1bfe0b06,0xb06ff82c,0x02c1bfe0,0x226416c0,0x7c58793c,
    0x3ff980ff,0x7c42ffa8,0x41ffa85f,0xffa83ff9,0x4fe97ec2,0xfb07fea0,
    0x41ffcc0b,0x7fd82ffa,0x0bff30b0,0x583fec14,0x4160ffb0,0x360b07fd,
    0x3f60b07f,0x1ff60b07,0xb07fd82c,0x4c0fa800,0x23c9e42f,0xffdcccda,
    0x441df503,0x1ff703fe,0xdf501fe8,0x221ff441,0x0cffbdff,0x0bea1be0,
    0x7441df50,0x85ff503f,0x07ff301c,0x85ff5079,0x85ff501c,0x85ff501c,
    0x85ff501c,0x85ff501c,0x85ff501c,0x85ff501c,0x27cc001c,0x93c87be2,
    0x37fc42c7,0xbd79fb30,0x3b676203,0x4c01debb,0x01debcfd,0x3df719f9,
    0x00681640,0x3bd79fb3,0xcceffa80,0x67f64c02,0x3fea01dd,0x7d402cce,
    0x5402ccef,0x402cceff,0x02cceffa,0x16677fd4,0x333bfea0,0x677fd402,
    0xff70002c,0x2b9ff543,0x7ec12a57,0x8018803f,0x80004c0a,0x20000018,
    0x22000200,0x00188001,0x18800310,0x80018800,0x01880018,0x88001880,
    0x00188001,0xfb800000,0x7fff543f,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40400000,0x00000000,0x000aa200,0x00000262,0x55100000,0xa8002600,
    0x0000000a,0x00800000,0x30300404,0x44000000,0x0b2a0019,0x00f24b80,
    0x6c007fe0,0x3f2009f6,0x37fc003f,0x03623b00,0x17cdfc40,0x2017fec0,
    0xfb800dbc,0x13f6004f,0x201e4770,0xb1000ef9,0xe88ec0d9,0x36236a00,
    0x005ff002,0x88027dc0,0x3a000fff,0xfa8006dd,0xd31f1002,0x3eefe200,
    0x5f7f7000,0x13afea00,0x00995b80,0x480d95f3,0xbcf88073,0x04f8800f,
    0x806dcf88,0x2f6000fc,0x3f3e604b,0x06eee803,0x80005f30,0x23b2005e,
    0x3fea004d,0x002d8002,0xb800e4ae,0x3a200ea1,0x7f400b30,0x3436000f,
    0x80ae1c80,0x15c00dbc,0x00950095,0x74017fdc,0x013e6001,0xf9803fec,
    0x0079001f,0x22004880,0x33000644,0x00204000,0x00810000,0x00209988,
    0x00000131,0x00020000,0x00000411,0x04401154,0x01ff4c01,0x28800988,
    0x0000002a,0x26662000,0x6c401310,0x400decce,0xbdddfdb8,0x2ffff265,
    0x103bf911,0xb7bbbfb7,0x76e77640,0x3ffaa3bc,0x40efe446,0x0decced8,
    0x37ffee20,0x37fff932,0xb5077f22,0x75477db7,0x6fe446ff,0x5f6ded41,
    0xbedbda83,0xbffff503,0x7ec01600,0xffb85faa,0x05ffecde,0xeffffb88,
    0x3ea2ffee,0x203f30ef,0x1ff40ffa,0x6c44fe88,0xd837fc47,0x444fe880,
    0x42fe987d,0x7fc43fc8,0xfa80d84f,0x201ff40f,0x7fc41ffd,0x0fa81b06,
    0xfff10fa2,0x0fa81b09,0x41f50fa2,0x3fe603e8,0x005f3000,0x905b11b5,
    0x07ffc41b,0x1ffce880,0x4ff90ba2,0x07ff1058,0xfe883ff5,0xdff0f105,
    0x17fa2160,0x17fa23c4,0xfffe83e8,0x1ffc4243,0xf900ffd4,0x20dff03f,
    0x83b87d85,0x4243fffe,0x3ec3b87d,0x0ff701dc,0x31037ec0,0x90266213,
    0x4007ffb0,0x211ffc9c,0xa9ffc42a,0x105ffb01,0x2ffb8dff,0x41bfe0e0,
    0x202ffb85,0x300ffe43,0x3fff5907,0x417fec24,0x3f206ff8,0xb06ff81f,
    0x8281bff0,0x121fffac,0xf85037fe,0xfb0140df,0x3ffe200b,0x26dfb101,
    0x3ea0c4ff,0x6526006f,0x6c0c71ff,0x7ffc096f,0x741fff00,0x7fc000ff,
    0x1ffd0b06,0x007ffc00,0x0fffca40,0x201fff09,0xff900fff,0x160dff03,
    0x9013fff6,0x4243fff2,0x3604fffd,0xfd004fff,0x3feb2009,0xfe9bf205,
    0x07ffe204,0x3ff90d80,0x77ff301a,0xe81ffe60,0x0fff11ff,0x160dff00,
    0x4400fff1,0x490007ff,0xf9895ffd,0x07ffa07f,0x7fc0ffe4,0xffd10b06,
    0xfd9203df,0xffd1095f,0xffd103df,0x7fc403df,0xffd48802,0xfe9bf201,
    0x013ff204,0x33ff22b8,0x0ffe807e,0x740fff30,0x0fff32ff,0x160dff00,
    0x4400fff3,0x490007ff,0x4c4cffe8,0x3ffa07ff,0xf03ff902,0x644160df,
    0x2483ffff,0x104cffe8,0x107ffff9,0x207ffff9,0x1b800ff9,0x3f209ff5,
    0x7cc13fa6,0x9d1000ff,0xf95ffd99,0xf80bf500,0x83ffe07f,0x7c000fff,
    0xfff0b06f,0x07ffc001,0x90bbffaa,0xf86fff88,0x03ffe07f,0x7fc0ffe4,
    0x6cc10b06,0x7c4487ff,0x366086ff,0xfb3047ff,0x01fee0ff,0x203ffe2c,
    0x413fa6fb,0x90082ffe,0x0b1ffc81,0xffb00be0,0xd8dff101,0x7fc001ff,
    0x3ffb0b06,0x40ffec00,0xa8483ffb,0x0ffd87ff,0x3226ff88,0xff01ff90,
    0x2e12160d,0x7d4241ff,0xffb8487f,0x07fee121,0x36a013ee,0x83ffdccc,
    0x213fa7fb,0x50905ffb,0x8e3ff907,0xf3009009,0x85ff507f,0x20a05ff9,
    0xf30b07fd,0x3e6140bf,0x83ffa84f,0xf30ff704,0x45ff507f,0x20ff95fd,
    0x1f0b07fd,0x2e090dd0,0x6e80f87f,0xb837407c,0xf885801f,0xa8ffa86f,
    0x7ffc44ff,0x90583b80,0x644903ff,0xdf500388,0x981ff441,0xa83c83ff,
    0x980e42ff,0xa83c83ff,0x1ffd41ff,0x507d81a2,0x1ff441df,0x82fecbea,
    0x40e42ffa,0x3443f85f,0xf0bf0fb0,0x43f85f87,0x4a804bbd,0xfd07ffb0,
    0x6c1dfd5f,0x42fb83ff,0x83ff902c,0x0333ea7b,0xebcfd980,0x7f64c01d,
    0x3ea01ddc,0x4c02ccef,0x01ddcfec,0x3aef7f62,0x33f6a0ce,0x7ecc0d01,
    0x9901debc,0x7d401bf7,0x9d02ccef,0xda87979d,0x9d0d01cf,0x9d07979d,
    0x9707979d,0x87ff7005,0x082fffea,0x667ffd40,0x912ffeed,0x7fdd43bf,
    0x25ffdcef,0x20001dd8,0x03100018,0x10001880,0x13310003,0x10008000,
    0x2000c003,0x02608018,0x4c101000,0x00098200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0aa20000,0x11020000,0x32602aa0,0xf911cfff,
    0x14c6a05d,0x08800000,0x07315c00,0x000a8a20,0x0010058b,0x21530000,
    0x0c2ae001,0x00111a80,0x00000020,0x2ffd8002,0x40ee3b80,0xf701d31e,
    0x837fc09f,0x3adf301e,0x3be6001f,0x5e76c400,0xfff001de,0x2ff2001f,
    0xdf7005fa,0xdbca809f,0x009f9004,0x0137ffea,0x00f7ffec,0x00777ff4,
    0xabaccb98,0x0ee3b803,0x2be600b0,0xdb9f006c,0x41fe7d40,0xf00fbcf8,
    0xd80320df,0xfc800b73,0x107fd400,0x993007fd,0x44ecc003,0x0f6a002d,
    0x0bea1f10,0x9c8017e0,0x37000deb,0x573007b7,0x2f2007db,0x9d007100,
    0x006c80fb,0x5c015c39,0x37f402ff,0x7c12a2b8,0x0000906f,0x7c401e80,
    0x01ff983f,0x00000000,0xe997dc00,0x0002d401,0x00000000,0x48803d80,
    0xb017fdc0,0x000013df,0x4c400cc0,0x6ff80000,0xfffc9890,0x03bf911b,
    0x05ffb000,0x76c41bfe,0x4400decc,0x80decced,0x11bfffc9,0x7fd43bf9,
    0x22000002,0x80decced,0x11bfffc9,0x3faa3bf9,0x0efe446f,0x2626a0f6,
    0x01980150,0x50f3ffaa,0xea85dfff,0x37bfee3f,0x3265ffec,0xfd11cfff,
    0x41bfe00f,0xb06ff884,0x177ffd41,0xfff8ffaa,0xa81ffd00,0x81ff40ff,
    0x1ff40ffa,0x0d837fc4,0x2004ffc8,0x81ff5005,0x6ff883fe,0xfff881b0,
    0x22cc0d84,0x12febbe9,0x7f77fd45,0x322feeef,0x1ffea06f,0x8837216c,
    0x7ff80fff,0xff007fb8,0x37fc120d,0x07ffa858,0x03ffcc5b,0x7fc45ffd,
    0x441ffa83,0x1ffa83ff,0x10b06ff8,0x801bff7b,0x7fc402f9,0xf81ffa83,
    0x3fa0b06f,0x1dc243ff,0x71feadf1,0x3ffa8754,0x406fc8b6,0x42c43ffd,
    0xf03ffd84,0x00ff70df,0xf82c1bfe,0x3f60b06f,0x3e62c43f,0x8bff607f,
    0xff882ffd,0x4417fec6,0x06ff86ff,0x3fa67b0b,0x2037ec04,0xff882ffd,
    0x0b06ff86,0x487ffeb2,0x5cbf61d8,0x54551c5f,0xfc8a63ff,0x23ffc406,
    0x7fd4180c,0x2e1bfe06,0x3e01537f,0x3fe0b06f,0x3fe20b06,0x3ffc0647,
    0x7fc1ffd0,0x41fff00f,0xfff00fff,0x8b06ff81,0x81fa24f8,0x3e01fff8,
    0x1fff00ff,0x20b06ff8,0x121fff94,0xfb0ff89e,0xfa810c47,0x0df9043f,
    0x0e67ff90,0x807ffe20,0xcffb86ff,0x7fd80ffe,0x41bfe0b0,0x4cfff205,
    0x201ffb03,0x1ffe66ff,0xff31ffe8,0x20fff40f,0xfd0b06ff,0xac807d45,
    0xfff305ff,0x3e0fff40,0xd920b06f,0x258895ff,0x41ff36fb,0x01ffd402,
    0xff100df9,0x3f200b1f,0x437fc04f,0x07fd1ffb,0x01c85ff5,0x88160dff,
    0x26058fff,0x2ffa83ff,0xfe81ffe6,0x40fff32f,0x37fc2ffe,0x74ffb858,
    0x7ff52209,0x207ff980,0x37fc2ffe,0x7f449058,0x3f2684cf,0x01c4dfb4,
    0xfb80ffea,0x7fdc028f,0xfff9801e,0x5c37fc00,0x5413fa7f,0x202ddefd,
    0xb80b06ff,0x7d401eff,0x20ffa20e,0x3ffe07ff,0xff81ffe0,0x5837fc0f,
    0x409dff50,0x209ff51b,0x3ffe07ff,0x05837fc0,0x86fff889,0xf5bff90d,
    0xa8044e2b,0x77ec03ff,0x007ff800,0xf8105ffd,0x3a7fb86f,0x803d804f,
    0xf00b06ff,0x3f6600ff,0xfb02dfcc,0x8dff101f,0xff880ffd,0x0b06ff86,
    0x8b037fcc,0xffd80fff,0xf86ff880,0x2120b06f,0x32b87ffa,0x8afb61bd,
    0x00ffea03,0x07ff8002,0x8905ffb8,0x27fb86ff,0x0fcc04fe,0x0583fec0,
    0x44007ff8,0x7fcc06ff,0x4c2ffa83,0x2ffa83ff,0x20b07fd8,0xb507fd10,
    0x07ffb999,0xff507ff3,0x160ffb05,0xb07fb824,0x500cc001,0x0fe807ff,
    0x880fff00,0x43b80fff,0x27fb86ff,0x6fc404fe,0x217fd401,0x07ff801c,
    0x404ffa80,0x3fa20efa,0x441df503,0x5ff503fe,0x13fa81c8,0xff10b09f,
    0x883bea0d,0x5ff503fe,0x206881c8,0x001b107d,0x3ffa8055,0xf800ed40,
    0x1ffec07f,0x1ffe17dc,0x04fe9fee,0x5402eeb8,0x002cceff,0x2a000fff,
    0xb303dffd,0x803bd79f,0x1debcfd9,0x6677fd40,0x3e25f102,0xffd82541,
    0xd79fb303,0xeffa803b,0xcfda82cc,0x16440d01,0xfb802b88,0x401c403f,
    0x82bfffba,0xedccfffa,0xff932ffe,0x3ffa237f,0x001effab,0x20018800,
    0x02bfffba,0x44002600,0x00310001,0x32600310,0x1ffdc1dc,0x00bfffaa,
    0x03100031,0x26002000,0x002bbabb,0x405dffd5,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfeeffa80,0x202feeef,0x000001aa,0x20880204,0x00026620,0x00020000,
    0x10022000,0x00200833,0x59000000,0x54000000,0x0000000a,0x7e4c0000,
    0x50ea9cff,0x9816c7ff,0x2fec00ef,0xddfdb880,0xdbda85bd,0x17fa23be,
    0x3603fa80,0x1eb83f76,0x00e88f40,0xec806744,0x03ccedbd,0x4fd803fd,
    0xa805fd80,0x54b3007f,0x13fee005,0x3f227ec0,0x004fc804,0xa9ffe15c,
    0x298ffea2,0xfa801d90,0x7f4402fd,0x3ea3ec44,0xbfb0fa20,0xd02fe400,
    0xf905f91f,0x1fdfd401,0xfe982f40,0x441fe442,0x13e202ff,0x00bf7ea0,
    0x76c007b1,0x9f1001fb,0x09f001f7,0x03ec01f6,0x4fff05b0,0x021ffd40,
    0xa974005c,0x417fa206,0x1dc3ec78,0xb88017f2,0x90082200,0x06fe805f,
    0xfe885f98,0x14c0fa05,0x974016a0,0x0081006a,0xb8013fe6,0x0b5012a2,
    0x03b001d8,0x1ffe0d90,0x3103ffa8,0x40262133,0xffb804c0,0x1bff0e02,
    0x2aafe428,0x84ccd4c0,0x13109998,0x4c401fd8,0xc86f8800,0x20e603ff,
    0x00000999,0xdb880981,0x405bdddf,0x00000018,0x30000000,0x81ffe07f,
    0xff503ffa,0xb007e61d,0x001ffd00,0x9027ffec,0x81ffbbdf,0x3efe9de9,
    0x3e61dff5,0xf9307f41,0x05bdd9ff,0x1fff87f8,0x32ffa800,0xbdd9fff9,
    0x3fff2605,0x227f441c,0x3ff667d8,0x980bcddf,0xb99cfffc,0xf931cfff,
    0x3f2639ff,0x02c01cff,0x7ff817e4,0xc80ffea0,0xf301627f,0x03ffc405,
    0x3bfffa20,0xfb1ffc81,0x9f92fe8b,0x21627fc8,0x4cbff07d,0x11ba04ff,
    0x22000fff,0x32ffc2ff,0x3ffc09ff,0x7882ff44,0xdf92ffc4,0x3a1ffe01,
    0x07ff80ff,0x5f300fff,0xff01ff80,0x01ffd40f,0x006a7ff1,0x7fcc0dfb,
    0xffc88007,0x72fe43ff,0xb8ffccff,0xa9ffc46f,0xff82f881,0x4c07ff45,
    0x03ffcc1f,0x7c2ff880,0x807ff45f,0x2ffb86ff,0xb17fe0e0,0x0fff03ff,
    0x1bfe0ffd,0x7ec037fc,0x407fe206,0x3fea07ff,0x04b7ec03,0xf00fffc4,
    0x304001ff,0x5fc8fffb,0x1ff83fea,0x2dfb09f9,0xff0f2204,0x541ffc8b,
    0x50fff00d,0xf885dffd,0x322ffc2f,0x0dff01ff,0xf8001ffd,0x427fd45f,
    0x07fe87ff,0x1bfe0dff,0x203fff10,0xfff00ff9,0x201ffd40,0x6403bff9,
    0x3f605ffa,0x2e12001f,0xa97f21ff,0x233a60ff,0xbff980ee,0xff033203,
    0xb706fe8b,0x501ffb01,0x5ff107ff,0x37f45ff8,0xff88dff0,0x45ff8007,
    0x7ff86ff9,0xdff07fe8,0x5901bfe0,0x3fe20bff,0x5c0fff00,0xffe803ff,
    0x7ff52200,0x40bff300,0x237407c2,0x21fee5fc,0x7f401bbb,0xf01f700f,
    0x3ff931bf,0x7fc42fc0,0x883ffa84,0x46ffc2ff,0x3e01ffc9,0x03ffcc6f,
    0x7fc2ffc0,0x667ffc0f,0xff07ffcc,0x881bfe0d,0x3e01ffd4,0x20fff01f,
    0x402effea,0xa8dc05fa,0x3fe604ff,0x42fc3c83,0xd8ffe43f,0x5002e44f,
    0xf83f40bf,0x806ffdff,0x83ff507e,0xff883ffa,0x7fefffc2,0xf86ff806,
    0x7fc000ff,0x7c1fff85,0xfe9999ff,0x3e0dff07,0x7d46e06f,0x985fd04f,
    0x101cfffb,0x2c02f800,0xc9803ffe,0xe81ddcfe,0xc83cbcec,0xe85fedef,
    0x203defff,0x207f602f,0x07ffb5ff,0x3f6207f8,0x80bccbbc,0xaffc2ff8,
    0x7fc03ffd,0x001ffd86,0x3ffc2ffc,0x3ff43ffc,0xdff06ff8,0x03ffe2c0,
    0x01e40fea,0x04801be2,0x7ee666d4,0x8097003f,0x5fc812e0,0x3ffe6011,
    0x80901fff,0x15ff82fc,0x3e603fff,0x001b7005,0x2bff0bfe,0x3e01fff8,
    0x05ff986f,0xf117fe0a,0xd0fff0bf,0x41bfe0ff,0x99b506ff,0x3a07ffb9,
    0xb802f986,0x0e232205,0x0dff10b0,0x5c003f20,0x00bf901f,0x9f53339b,
    0x700e2322,0x54bff03f,0x0bf106ff,0x38807f20,0x25ff83ff,0x3fe06ffa,
    0x907ff306,0xfc8bff07,0xe87ff81f,0x20dff07f,0xf10b06ff,0x107e20df,
    0x029803df,0xa80333ea,0x807ffb04,0xf7000fb8,0x101bf601,0xf51e885f,
    0x27440199,0x7fe46ff8,0x7001f704,0x7c7d401f,0x7e46ff86,0x40fff04f,
    0x1ddcfec9,0x3ea6ff88,0xd0fff02f,0x0fff01ff,0x412a1ffe,0x1b303ffd,
    0x0202eea8,0x5c03bb10,0x7ff543ff,0x0026602f,0xed9804cc,0x66ecc02d,
    0x077620cc,0xfc981c88,0x3ffa0bff,0x200b980c,0x39990019,0x05fffe4c,
    0x32619ffd,0x4401bfff,0x3fff2601,0xb980befd,0xfb99bfff,0xff931cff,
    0x3ff2637f,0x87ff71bf,0x202fffea,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x070e2000,
    0x3bbfff26,0x00002ffe,0x30000000,0x00040401,0x04059500,0x91000002,
    0x20000019,0x7fdc404b,0x39fff930,0x77776400,0x05451005,0x4c03ff44,
    0x2a0cfffc,0x3fe61dff,0x5fbdd006,0x74c6ff80,0x001ff302,0x10017fcc,
    0x00b803ff,0x82fd93ee,0xf880b62d,0x335900ff,0x547fb01b,0x827fe403,
    0x44001ff8,0x0fe801ff,0x64003ffc,0xb005eeee,0x3209f75f,0x1ffe007f,
    0x37ec0fa2,0x803ec880,0x015426ff,0x774007f3,0x07ee006e,0x7e40ff60,
    0x3e60ffa5,0x476405eb,0x9fff304d,0x0b709f10,0x203eabe2,0xb90001fb,
    0xff03fa00,0x8000000d,0x701d98da,0x3ff400ff,0x6fc80762,0x01066200,
    0x80324dff,0x21b50069,0x003b002d,0x054402e2,0x0ffe4051,0x100c8910,
    0xf812e037,0x20e61b84,0x2620002d,0x207f4041,0x6c4006ff,0x000decce,
    0x333fdc00,0x4cffd013,0x037e400d,0x676e7764,0xb16ff83b,0x20200000,
    0xa9800001,0x13310999,0x4c402662,0x33353000,0x13335301,0x4c0fdc00,
    0x40000099,0xbcedceec,0x7fc0fe83,0x03fea006,0xfffa87fd,0x71ff542e,
    0x405fdcff,0x200b57fe,0x3fa606fc,0x7c1fe442,0x9305fcff,0xffdddfff,
    0x77ffe4c5,0x3262ffee,0xffeeefff,0x7f4ef4c2,0x26dfd13e,0xfff934ff,
    0x985ffddd,0x23efe9de,0x3efe9de9,0x3ea0dff3,0x262ffa84,0x801cfffc,
    0x7e442fe9,0x7fc0fe83,0x07ff1006,0xffa83ff5,0x7fb85b07,0xcffe8072,
    0x6fc801ff,0x740bfd10,0x5dafff83,0x3a637fc0,0x74c6ff82,0x74c6ff82,
    0x2fc97f42,0x89fd37e4,0x2174c6ff,0xe89f92fe,0xfd89f92f,0xf10ff306,
    0x00fff05f,0x3e817fa2,0x37fc0fe8,0x882ffd80,0x3ffd86ff,0xcbfdc2c4,
    0x7e7ff402,0x37e400ef,0x2601ffc8,0x0166ff83,0x82a84dff,0x415426ff,
    0x315426ff,0x917ee3ff,0x3e27f4df,0xf315426f,0xf99bee3f,0xfc8df71f,
    0x881ff106,0x06ff82ff,0x4c03ff90,0x7fc0fe83,0x0fff8206,0xf881fff0,
    0x7dc0647f,0x7f405fcf,0xc80bff97,0x01fff06f,0x31cdff00,0x1926ff81,
    0x81926ff8,0x7c1926ff,0xfc87f91f,0xdff13fa6,0x91ff8324,0xf91ff89f,
    0xf106fc89,0x82ff883f,0xfff006ff,0x81fd0001,0x265306ff,0x3ffa07ff,
    0x733ffc81,0x3feffee0,0xfe9ffa02,0x21bf204f,0xf0007ff8,0x3fe1a0df,
    0x6ff80b16,0x16ff80b1,0x7467d40b,0x3fa6fc86,0x058b7fc4,0x03ba33a6,
    0x81dd19d3,0x3ff106fc,0xff82ff88,0x07ff8806,0xff81fd00,0x3fe63906,
    0x20bffa07,0x2058fff8,0x01ff97fb,0xfff89ffa,0xf10df902,0x3fe000ff,
    0x7fc36447,0x7fc05fcf,0x7fc05fcf,0x5dc05fcf,0x74df901b,0x7e7ffc4f,
    0x00dddc05,0x3f203777,0xf10ff306,0x00dff05f,0x2000fff1,0x43ffc0fe,
    0x81ffe0fa,0xff700fff,0xd3fdc03d,0x51ffe0bf,0xdf905fff,0xd503ffe0,
    0x3f265dff,0x5ffeceff,0x05dafff8,0x02ed7ffc,0x8176bffe,0x37ec00ec,
    0xafff89fd,0x2017205d,0x06fc805c,0x5ff10df5,0x3e00dff0,0x7ff540ff,
    0xc987f42e,0xfedcefff,0x4407fec7,0x3ffc06ff,0x367ffd10,0xff730dff,
    0x3ffee19f,0x5ffd30cf,0xf703ffb0,0x816e007f,0xff0166ff,0x9bfe02cd,
    0x3bfffa05,0x4bffe63e,0xb37fc4fe,0x6f7fff40,0x6f7fff43,0xfb837e43,
    0xff05ff02,0x3ffb040d,0xfd07ff70,0x2600dc01,0x2ffa83ff,0x7003ffc0,
    0x00370003,0x7fcc02a6,0x803ffa84,0x9bfe03f8,0x4dff0263,0x4dff0263,
    0xfff98263,0x7f403fff,0x4c737fc3,0x3ffffe60,0x3fffe61f,0x41bf21ff,
    0x20bfe06d,0x4c5306ff,0x3ffa84ff,0x3f600fe8,0x1077d400,0xfff007fd,
    0x0007ec00,0x3e6003f6,0x507fea04,0x3ba007ff,0x1a0dff00,0x7c341bfe,
    0x9cd8d06f,0x1703fb99,0x06ff87fd,0xa999cd8d,0x2667364f,0x21bf24fa,
    0xff9440f8,0x3906ff81,0x7d41ffa8,0x807fc43f,0xfb3006b8,0x2003bd79,
    0xd71007ff,0x006b8800,0xfd8805f3,0x00ceebbd,0xff09fd30,0xff86c88f,
    0x7fc36447,0x5f136447,0xb3f30688,0x447ff81f,0xd10be26c,0x3d10be23,
    0x076237e4,0x203be3ea,0x80fa87ff,0xeebbdfd8,0x8066620c,0x03100019,
    0x5fffdd40,0x4000cc02,0x01510019,0x00099880,0x3fff2600,0x265ffece,
    0xfecefffc,0x3fff265f,0x4c5ffece,0x200abcdc,0x3f261ccb,0x5ffeceff,
    0x06666ecc,0x83333766,0x0062ffe9,0xfc9839b9,0x7fedceff,0x00099880,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fe4c000,0x002deecf,
    0x775400a2,0x35001eee,0x00a88022,0x400298d4,0x0a8a2000,0x3faa58b0,
    0x0efe446f,0xbfdfdd91,0x2e214405,0x17fc0312,0xfa8298d4,0x00912007,
    0x7ff101dc,0x80440001,0x0600e62b,0x27fccbff,0xa802fe80,0x801eeeee,
    0x200eeffe,0x5be604fc,0xb99001fe,0x3eaff200,0x89fdf705,0x0d84fff8,
    0x6d3fffe2,0x3fa05c00,0x7f300eff,0x07fadf30,0x764007ea,0xff1004ed,
    0x001be203,0xfff81ba0,0x3e34c00f,0x007ff45f,0x00000fec,0x07fb5730,
    0x9ec02fb8,0x2a91005b,0xd88da802,0x740f6a02,0x36243fff,0x01b4ffff,
    0x6e4d4448,0x3d80f202,0x8025c0b7,0x2000cec8,0x01be204c,0xc9816e00,
    0x7c3c801c,0x00ffe45f,0x7ffe4c00,0x03bf911b,0x00000000,0x00064ec0,
    0x7d640000,0xffd121ff,0x220369ff,0x510002ba,0x28800054,0x0000002a,
    0x64c6f880,0xf911dfff,0x8000037d,0x3a2ffc1e,0xbdff706f,0xf88bffd9,
    0xb001b06f,0xcfffc980,0x44002c01,0x3ff2601e,0x22ffeeef,0x41cfffc9,
    0x121fff94,0x369ffffd,0x0ff4fd40,0x839fff93,0x4c5faafd,0x6c1cfffc,
    0xb005faaf,0xefffc980,0x3e22ffee,0xf06ff886,0x3fff2601,0x982ffeee,
    0xc98dff86,0x41b901ff,0xff80fff8,0x5f300b06,0x300fff00,0x2f98005f,
    0x74c6ff80,0x4907ff82,0xfc895ffd,0xf81b4fff,0xfff0bff5,0x0b6236a0,
    0x8da83ffc,0x2f9802d8,0x74c6ff80,0x7fc1be22,0xdff00b06,0x84b82e98,
    0x06ffdfff,0x81ffec24,0xb00b06ff,0x0dff00df,0xd800dfb0,0x26ff806f,
    0x0dff0550,0x4cffe892,0xda7fffcc,0x326afea0,0x4c46ff81,0xf0133109,
    0x109988df,0x6fd80133,0x5426ff80,0x7fc1be22,0xdff00b06,0x81e82a84,
    0x07ffb5ff,0x81bfea0c,0x880b06ff,0x7fc01fff,0x0fffc406,0x01fff880,
    0x40c937fc,0xf88906ff,0xffd886ff,0x267ec1b4,0xfb11bfe0,0x3e13fe6d,
    0x9b7ec46f,0x3fe204ff,0x937fc01f,0x3e0df10c,0xff00b06f,0x0788324d,
    0x3ffe2bff,0x1fff8801,0x02c1bfe0,0xf017feb2,0xffac80df,0xbff59005,
    0x0b16ff80,0x50906ff8,0xb4a80fff,0x201f7ec1,0x26fc86ff,0x86ff84fe,
    0x813fa6fc,0x7c05ffac,0x3e20b16f,0x160dff06,0x02c5bfe0,0xa97fe097,
    0xffc806ff,0x5837fc04,0x07ff5220,0xa440dff0,0xa4400ffe,0x3fe00ffe,
    0x7fc05fcf,0x1fee0906,0xfc836930,0x437fc01f,0x213fa6fc,0x26fc86ff,
    0x3a9104fe,0x3ffe00ff,0x0df105fc,0x402c1bfe,0x205fcfff,0xc8dff02d,
    0x3fe604ff,0x837fc00f,0x7fd46e05,0xb81bfe04,0xb809ff51,0x7c09ff51,
    0x7c05daff,0x3606886f,0x20da4c07,0x84baeff8,0x26fc86ff,0x86ff84fe,
    0x413fa6fc,0x409ff51b,0x105dafff,0x41bfe0df,0xdafff805,0xf930f105,
    0x7ff417ff,0x82ffe80c,0x05837fc0,0x201fff16,0xff1606ff,0x3fe2c01f,
    0x2cdff00f,0xfb51bfe0,0x9301a039,0x9fff7036,0x3ee1bfe0,0x3fe13fa6,
    0x3fa6fb86,0x0fff8b04,0x882cdff0,0x20dff06f,0x166ff805,0x0b8802d4,
    0x20bff700,0x0583fec4,0xffb999b5,0x541bfe07,0x3ffdcccd,0xfb999b50,
    0x39bfe07f,0x00dff026,0x26004173,0x801481b4,0x27fb86ff,0x86ff84fe,
    0x213fa7fb,0xffdcccda,0x31cdff03,0x7ec1be21,0xdff00b07,0x00b6131c,
    0x7c4037c4,0x543b80ff,0x580e42ff,0xff06ff88,0x3fe2160d,0xdff10b06,
    0x4341bfe0,0x4f9806ff,0x106d2600,0x21bfe007,0x4ffa8ffa,0xffa86ff8,
    0x8584ffa8,0xdff06ff8,0x506f89a0,0x801c85ff,0x004d06ff,0xfb009b10,
    0x505f707f,0x20599dff,0x07ffb04a,0x20950fff,0x82543ffd,0x7ff83ffd,
    0x3ffc3644,0x30017440,0x000b8369,0x3ffa0fff,0x7fc0efea,0xfd5ffd07,
    0xfd82541d,0x447ff83f,0x403fe26c,0x02cceffa,0x6c88fff0,0x50015000,
    0xddb99fff,0x00c405ff,0xfd50ffee,0x3ff265ff,0x87ff71bf,0xf72fffea,
    0xfffea87f,0x9dfff932,0x7e4cbffd,0x15101bff,0x41939800,0xfffc9801,
    0x64c0081b,0x0081bfff,0x3aa1ffdc,0xff932fff,0x8bffd9df,0x06200999,
    0xefffc980,0x0005ffec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x001eeeee,0x3bbb2020,
    0x3bba604e,0x800801ee,0x305eeeec,0x00510385,0x04c08010,0x00802020,
    0x80000204,0x00400000,0x87053153,0x0000220a,0x33200004,0x74caa601,
    0x0001eeee,0xcccb81fb,0x3bba603c,0x3ae201ee,0xddd900ac,0x4d9f40bd,
    0x3174e644,0x3b6efff9,0x9bd9b02e,0x272607dd,0xdbda83b9,0x0b535b02,
    0xb93007ec,0x5c007bb9,0x207fd4ff,0x29b07f5d,0x203fe26c,0x3b6601fc,
    0xeeefffee,0x5ffa82ff,0x20007fe0,0x1cdccdc8,0x2a2881f5,0x5ae00000,
    0x20000f95,0x7dc0fffa,0x5fff0db1,0x6f40fe45,0x6c06fec0,0x9fc40fff,
    0xfffa80fc,0x4c0bfe02,0x2005a80d,0x86ff8cfe,0xf10698f8,0x17fd43ff,
    0xefa817f4,0xf987ff62,0x0fcdfc42,0xff930fcc,0x0efa839f,0x202bbfa2,
    0x005faafd,0x696bf00b,0x3bbfff26,0x5db02ffe,0x07f21fb0,0xffa89fff,
    0x7fc40740,0x3f605504,0x2e20bf52,0x59814c00,0x16aeab26,0x6baa7f40,
    0x5c015198,0x40ffcc4e,0x87ff3029,0x0aa11ffc,0x0d424455,0xff887ff8,
    0x501ffa83,0x3005b11b,0x5ffc405f,0x31bfe065,0x220a205d,0x41ccccff,
    0x7fcc0fff,0x3ffd00c2,0x4bfe0510,0x035307fa,0x6f4b0288,0x4c0aeb30,
    0x0e64fe8a,0x2a600d4c,0x4c07fc41,0x40ffd81a,0x06271ffc,0x8a880d4c,
    0x7ec37fc1,0x46ff880f,0x13310998,0x7406fd80,0x3fe00fff,0x32215426,
    0x3fe22e9c,0x443ffc02,0x3f2004ff,0x3a73223f,0x7d4bfe22,0x367ba20f,
    0x2e9cc886,0x4617d562,0xeebfe848,0xe881714f,0x5bb06d9e,0xdd86e8bf,
    0x1ffe25fa,0x202c7ff2,0x6e45fadd,0x437fc6d9,0x3ffe07ff,0x7cdbf620,
    0x3ffe204f,0x3fffe601,0x324dff02,0xe8db1fb8,0x1ffe045f,0xccc8b7fc,
    0xffeccccc,0x336c7ee4,0x87fea5ff,0xb8bf53fb,0xd9d4db1f,0x53f22c07,
    0x2e034ff8,0xfb8bf53f,0x22643fd2,0x263fd2fb,0xcffc86ff,0x74bee07d,
    0x22cbf11f,0x3ffcc6ff,0xfc83ffd0,0xac813fa6,0x7ec405ff,0x16ff83ff,
    0xfc87ec0b,0x2e73ff21,0xff83ffc0,0x333fff37,0x6c9ff933,0x3e63f90f,
    0x743ff52f,0x6c1ff31f,0x4aa3f90f,0xff1600fe,0x3a027f45,0x741ff31f,
    0x43b8930f,0x7cc930fe,0xdbffc86f,0x24c3fa07,0xf811dff1,0x03ffcc6f,
    0x6fc85ffd,0xea4413fa,0xffe800ff,0x5fcfff87,0x9999ff10,0x81effd83,
    0x2dff07ff,0xff707ff8,0x3333fe27,0x2a5ff11c,0x23ff30ff,0x9ff11ff9,
    0x5d623999,0x7c49102f,0x9813fa2f,0x23ff31ff,0x86601ff8,0x3fe01ff8,
    0x0d1ffc87,0xfc807fe2,0x437fc1ff,0x3ffe07ff,0x9fd37e40,0x27fd46e0,
    0x0bfe7608,0x20bb5fff,0x3d802ff8,0x7fc1ffe0,0x7e41ffa4,0x405ff11f,
    0x44ff52ff,0x23ff31ff,0x45602ff8,0x8ae370de,0x13fa2ff8,0xff31ff88,
    0x800bfe23,0x3f602ff8,0x471ffc87,0x805ff109,0x3fe0fffc,0x880ffd86,
    0x26fb86ff,0xff8b04fe,0x32b1c40f,0x0b37fc0f,0xf3022ff4,0x573ffc03,
    0x7fd43ff1,0x7f44ff80,0x2a5fb045,0xf98ff45f,0x9822ff46,0x85987265,
    0x013fa3fe,0xd1be63fd,0x3a1540df,0x0bfe606f,0xe8d05ff9,0x3ea3106f,
    0x261bfe1f,0x2ffa83ff,0x13fa7fb8,0x3f73336a,0xb587c43f,0x31cdff0b,
    0x5ce7fe41,0xf806fc40,0x9f1df17f,0xefb89fb0,0x5ce7fe40,0x0fe4fe60,
    0x227d4fee,0x40b9cffc,0x905a80da,0x017feedf,0x713ea7f7,0x263739ff,
    0x33fee1ff,0x077cc1b9,0x36445ffd,0x46e73fee,0xff83f268,0xe81df506,
    0x51ff503f,0xf10b09ff,0x9d9fb0df,0x20dff019,0x01effd86,0x7dcc5fd5,
    0x4dfd9cff,0x3f2f7aa0,0x07bff603,0x640bafaa,0xffb04ebe,0x3376603d,
    0x7fec03dd,0x6401dfec,0xff904ebe,0x207fc45d,0x9302effc,0x9dfffbbd,
    0xff90bffd,0x75f7c45d,0xb303ffc3,0x803bd79f,0x0efeaffe,0x1ffec12a,
    0x3fe034c4,0x08836447,0x01100000,0x44002620,0x03001800,0x04400110,
    0x00021100,0x08022006,0x0c400110,0x42011000,0x5fffe4c1,0x2000c401,
    0x21ffdc00,0x102fffea,0x3bfff260,0x0005ffec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02a14400,
    0x80102a98,0x51004008,0x004080a8,0x00c11002,0x442ca801,0x000005c2,
    0x0d540002,0x10002a98,0x00020400,0x01654000,0x1aa8154c,0x00081000,
    0xfd01729b,0x00dbdb83,0x3b6b205b,0x0b94d80c,0x5c1666b6,0x25d02efe,
    0x6de5c0f8,0x07ffc40c,0x7dc2e4fa,0xcb803f99,0x3e6002ee,0x007fa205,
    0x7104fd82,0x8b7bbbfb,0x901fb5e8,0xf10397df,0x2fd801ff,0x2200bf50,
    0x46540abb,0x1fff303b,0x3e60fcc0,0x05b84f8b,0x441ffcd7,0xff301fff,
    0xffbd507f,0x1a61f01f,0x913e25f7,0xff989b1d,0xfaafc80f,0x0ff3d404,
    0x22007640,0xff2c404e,0x889fd10f,0xfeb7c47d,0x37feec40,0x204d8dc8,
    0x07d402f8,0xf900fe60,0x403ec807,0xf8bfb819,0xfd807c47,0x3b20dfb1,
    0x380dc404,0x4d30bfea,0xff17fc4b,0xc8191221,0x8008203e,0x400db0fe,
    0x8071000b,0xd11ee66c,0x021e20bf,0x40621101,0x29806448,0x7cc03500,
    0x3ee72204,0x3006a600,0xff3fc835,0xd8e602d8,0x8035305f,0x1ff001a9,
    0x36abb2a6,0x7c3bfe1d,0x8818a886,0x4266218a,0x3fe00998,0x26202e8b,
    0x44133109,0x81331099,0x89109efd,0x40e02ffb,0x0d4c01a9,0x53006a60,
    0x301a9803,0xd11001ff,0xfaae981d,0x5fadd80e,0xb93e2fe6,0x07be2005,
    0x30db3dd1,0x401df55d,0x3bfae1fa,0x3f23efee,0x6e41ebff,0x6cee46d9,
    0x7cdbf626,0x33ffa04f,0x6c433310,0x449ff36f,0x49ff36fd,0xb8bcffea,
    0x0007ff40,0x10db3dd1,0xd10db3dd,0xdd10db3d,0x3dd10db3,0x77bf90db,
    0xfd7db101,0x7fd1fe89,0x43fd2fb8,0x1d10cbdb,0x5c075c00,0xfe8bf53f,
    0xf9107fd1,0xf12e81bf,0x87fffb01,0x5f8965f8,0x7f4df916,0x49ffd304,
    0x37e42ff9,0x26fc89fd,0x337e44fe,0x800fff10,0xb8bf53fb,0xfb8bf53f,
    0x3fb8bf53,0x53fb8bf5,0xfbdfe8bf,0xfa97e43f,0x4fe8fe46,0x104987f4,
    0x06eea2d8,0x31fe806c,0xe8fe41ff,0x9fff704f,0x2a0d30f8,0x3e22fffe,
    0x3fe208ef,0xd37e408e,0x3fab909f,0x3f20ba2f,0xdf913fa6,0x1bf227f4,
    0x800fff30,0x41ff31fe,0x41ff31fe,0x41ff31fe,0x41ff31fe,0x21ff31fe,
    0x8ff72ff8,0x01ff51ff,0x7c49fdb5,0x72dc001f,0x0501f73f,0x7fcc7fe6,
    0x04feda81,0x7ed5bfa2,0x322cedcc,0x647ffa9f,0x7fe41fff,0xfd37e41f,
    0xff12fc89,0x3f20951f,0xdf913fa6,0x1bf227f4,0x4003ffe0,0x3ff31ff9,
    0x7fcc7fe6,0x3e63ff31,0x263ff31f,0x23ff31ff,0x5ff31ff9,0x7fcc7fe6,
    0x6c45ff31,0x3e24fe8d,0x83a2002f,0x003fb8fe,0x7fcc7fe2,0x3fa37621,
    0xeab7dc04,0x12cdecce,0x20ffdcff,0x7e40fffc,0xe9bee0ff,0xf51ffc4f,
    0x37dc0bdf,0x26fb89fd,0x037e44fe,0x8800ffec,0x23ff31ff,0x3ff31ff8,
    0x7fcc7fe2,0x3e63ff11,0x263ff11f,0x27ff11ff,0x3ff32ff8,0x2fd83fe6,
    0x06fe89fd,0x51ff0b60,0x3a0398bf,0xfd8df31f,0xf8809fd2,0x4c1e8f24,
    0x443fe27f,0x4623ff51,0x9fee1ffa,0x3bfe24fe,0x043bff60,0x44fe9fee,
    0x913fa7fb,0xbff300df,0x4c7fa140,0xf98ff46f,0x6f98ff46,0x46f98ff4,
    0xe8df31fe,0x7c1ff13f,0x7c4ff31f,0x20cffbdf,0x01b9cffb,0xf71f90b7,
    0xb81ffc45,0x7c49f53f,0x70cffbdf,0x47a34c7f,0x10fd80f8,0x1f93449f,
    0x2a0fc9a2,0x44ffa8ff,0xfb9aeffd,0x7d44cfff,0x544ffa8f,0x44ffa8ff,
    0x4c028ffb,0x5c3c83ff,0xfb89f53f,0x3fb89f53,0x53fb89f5,0xf53fb89f,
    0x9f36f989,0x87f52fb8,0x1efb8cfc,0x88177fe4,0x5dae980e,0x3b201fe8,
    0x8cfc84eb,0xffd51efb,0xd30f8199,0x2f2b7260,0x8fafbe20,0xe83ebef8,
    0x20efeaff,0x92efffc8,0xffd01dff,0xfe81dfd5,0x6c0efeaf,0xec9800ef,
    0xd901ddcf,0x2fb209d7,0x9d7d904e,0x413afb20,0xd504ebec,0x2fb20bb9,
    0x0880004e,0x06a01540,0x00030008,0x22180620,0x0c200800,0x00080308,
    0x2004404c,0x00002000,0x18006200,0x00600300,0x1001800c,0x00000600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c400000,0x01a98041,0x00000040,0x50033200,0x40155035,
    0x00000080,0x00000393,0x9802ca80,0x0035502a,0x05dc0022,0x2002ca80,
    0x0a81a89a,0x0cc880a2,0x3b200080,0x43bcedce,0x00efaae9,0x0f773726,
    0x0959fb10,0x2e17a7f3,0x3be604ff,0x2a04fb80,0x2202c99c,0x00decced,
    0x22032322,0xf701f95e,0xff10397d,0x02fd801f,0xcfa80bf5,0x266e03ec,
    0x0fff8804,0x0fb9f980,0x01f98e98,0xdc813ff2,0x3fa602ec,0x3a1fe442,
    0x2607fd1f,0x2e05a80d,0xfa82fffc,0x5fc46f8c,0x01d700fa,0x3ffa03dc,
    0xd03fea06,0x0dce607f,0x40feb7c4,0x906ffdd8,0x7c409b1b,0x9807d402,
    0x2407fe6f,0x9b1d9009,0x80b67900,0x3e204ffd,0x2fc80faa,0xbfd103fd,
    0x47f21f40,0xc9d984fe,0x20b51bbc,0x22080261,0x20730dc0,0x400b800b,
    0x0ffe202a,0x6e407fea,0x11010204,0x32244062,0x2a005300,0x7f4df701,
    0x803bb303,0x8e006448,0x00774c03,0x3e21cc37,0xf90df90f,0xa81cc03f,
    0x3a584fed,0x88ae3f77,0x01331099,0x805100a2,0x44144028,0x81331099,
    0xff882ffd,0x98035306,0x00d4c01a,0x353006a6,0xf901a980,0x3310ff4d,
    0x98826621,0x22333319,0x22133109,0x42662099,0x26620998,0x7cc13310,
    0xf81ff70f,0x6c4000ff,0x2c44fe8d,0x2453e6fb,0x3fe6dfb1,0x174e6444,
    0x10ba7322,0xc885d399,0x3f622e9c,0xff89ff36,0x41fff00f,0x40efaae9,
    0x40efaae9,0x40efaae9,0x40efaae9,0x40efaae9,0x40efaae9,0x883f96fc,
    0x49ff36fd,0x9ff55ff9,0xb7ec47a2,0x3f624ff9,0x6c49ff36,0x4c9ff36f,
    0x43ff51ff,0xd8007ff8,0x3a89fd2f,0x587b67f6,0x89fd37e4,0xfb8db1fb,
    0xb1fb8db1,0x8db1fb8d,0x993fa6fc,0x3ffa07ff,0x1ff47fa1,0x21ff47fa,
    0xe87fd1fe,0xfe87fd1f,0x1fe87fd1,0x16fc87fd,0x26fc81fb,0xd37ec4fe,
    0x9bf224df,0xd37e44fe,0x3a6fc89f,0xfa9ff44f,0x01ffe20f,0xff7bff10,
    0x9fb15419,0x37e4585f,0x90fd89fd,0xfc87ec3f,0x0fe43f61,0xc87f21fb,
    0xf993fa6f,0x8bffa07f,0xc89fd1fc,0xfc89fd1f,0x1fc89fd1,0xd1fc89fd,
    0xfd1fc89f,0x3ee6fc89,0x9fd37e45,0xfd89ff98,0x37e4198f,0x26fc89fd,
    0xd37e44fe,0xcbffb89f,0x40fff87f,0x322effea,0x21efb8cf,0x1375f658,
    0x3fa6fc89,0x3333fe24,0x999ff11c,0x333fe239,0x99ff11cc,0xd37e4399,
    0x207ff89f,0xeda80fff,0x9fdb504f,0x413fb6a0,0xb504feda,0x3b6a09fd,
    0xf737e44f,0x3fa6fc8f,0xf8bcfe84,0x26fc84bf,0xd37e44fe,0x3a6fc89f,
    0xfdbb884f,0xb81ffd85,0x82dc03ff,0xb9fd5fa5,0x9fd37dc2,0xf8817fc4,
    0x05ff102f,0xfb80bfe2,0xffb13fa6,0x88dff101,0x444fe8dd,0x444fe8dd,
    0x444fe8dd,0x444fe8dd,0x444fe8dd,0x644fe8dd,0xb83fee6f,0x2e13fa6f,
    0x09df94ff,0x227f4df7,0x713fa6fb,0x2027f4df,0x4ff981ff,0x2203ffa8,
    0x995b303f,0x2e16b327,0xfd13fa7f,0x117fa08b,0xfe822ff4,0x74ff7045,
    0x41ffcc4f,0x97ec2ffa,0xe97ec4fe,0xfe97ec4f,0x4fe97ec4,0x44fe97ec,
    0xc89fd2fd,0xb8df516f,0x2213fa7f,0x03ff32ff,0x227f4ff7,0x713fa7fb,
    0x7027f4ff,0x0ffd405f,0xdd00ffea,0x2a036a01,0xf51ff505,0x9cffc89f,
    0x273ff20b,0x273ff20b,0x273ff20b,0x2a3fea0b,0x0efa84ff,0xff10ffa2,
    0x2219ff7b,0x0cffbdff,0x9ff7bff1,0x3ef7fe21,0x7bff10cf,0x3fe219ff,
    0x320cffbd,0x44f9faef,0x4ffa8ffa,0x506e8fb0,0x89ff51ff,0x4ffa8ffa,
    0x7fd47fd4,0x1005f704,0x9dd77bfb,0x04fd9801,0x07bb9bb3,0xefeaffe8,
    0x40f7fec0,0xfd81effd,0xeffd81ef,0xfeaffe81,0xbcfd980e,0x19f901de,
    0x67e43df7,0x3f21efb8,0x321efb8c,0x21efb8cf,0x1efb8cfc,0x3bee33f2,
    0x9d1dfd31,0x3abffa0b,0x5c4a80ef,0x3abffa03,0x57ff40ef,0x7ff40efe,
    0x2ea0efea,0x9988000b,0x22000000,0x88002000,0x22004400,0x02004400,
    0x0000c400,0x00000000,0x00000000,0x04040008,0x00080020,0x00001002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x82201818,0x4c466620,0x04401009,0x20044010,
    0x0aa60008,0x006154c0,0x2a011002,0x0000002c,0x3ff26081,0xfff731cf,
    0x306a1c5b,0x05544055,0x98ccc400,0x2a60000a,0x88000081,0xb9dfcdec,
    0xbedbda82,0x7cdff623,0x813ae24f,0x8275c42e,0x373200f8,0x02fd800e,
    0x02d85fb0,0x17407ff6,0x2a07ffc4,0x981fffff,0xad84acfe,0x07ff85a9,
    0x75c81ffd,0x5405fb0d,0xffffd05f,0x767fec4d,0x5f7dc0ff,0x2fd6ec1b,
    0x20001ff3,0x3fa21ff8,0x3a20fa85,0x9fd3fdc3,0x0b704f88,0x01ec13e2,
    0x80bf53f7,0x5f1002f8,0x26260970,0xd905b81f,0xaaa889b1,0xffcc80aa,
    0x2fffa82f,0xffb06ff8,0x41fff881,0x02ec03f8,0xb8555555,0x447ff2ff,
    0x7dc6ffdd,0x3fee3fd2,0x3ff88003,0x3ec1ffb8,0xe9fee1dc,0x4c27c44f,
    0x509f100e,0xf8afd80b,0x30014c04,0xc881e205,0x4880e986,0x00d4c064,
    0x171004c3,0x7ec1bfe0,0x984eb80f,0x51003802,0x4fe9fee0,0x7f40c422,
    0x1e5c4930,0x207fe400,0x7fc6ffd8,0x9fee140d,0x427c44fe,0x113e202e,
    0x1ffc401f,0x0550d4c0,0x74132a98,0xe87f7101,0x20266202,0x20efaae9,
    0x01531998,0x3fe01331,0x881ffb06,0x04cc4099,0x054c6662,0x2174e644,
    0x113fa7fb,0x1ff88133,0x84cc4640,0x47fe80aa,0x20ffe8d8,0x2e04fffd,
    0xf113fa7f,0x7c405b89,0x7fc01ec4,0x3eaba204,0x442fabee,0x5c4ed9ed,
    0x0b726c04,0xfe86fe88,0x7ec47fd1,0x440ffecf,0x0dff06fe,0xfd103ff6,
    0x446fe88d,0x0ffecffd,0x5c6d8fdc,0xd113fa7f,0x02ff88df,0x6f7f44ea,
    0x3ffc46fe,0x10fff436,0x703dfffd,0x2a27f4ff,0x801d10df,0x80d50dfa,
    0x84fffffc,0x74ff90fd,0x6fa9fdc6,0x5d6ec344,0xf9001d10,0x3fa3f90d,
    0xff97fdc4,0xff06fc83,0x203ff60d,0x86fc86fc,0x87ff2ffb,0x5c3f90fd,
    0x3213fa7f,0x106fe86f,0xf89ffd81,0xc9ffe21f,0x9107ffa1,0xfa87ffff,
    0x4c4ffa8f,0x3c85d099,0x87444ccc,0x36a60deb,0x1fc81aef,0xb07e4df9,
    0xd07ff65f,0x42e81303,0x206fc83c,0x7dc4feda,0x3f213fa7,0x360dff06,
    0x86fc80ff,0x27fb86fc,0x33fe24fe,0x9fee1ccc,0x86fc84fe,0x01b9cffb,
    0x17fc57f6,0x3e165ffe,0xffb3047f,0xfd3bfd0f,0x2e2dc03d,0xb99ec03f,
    0x05fa84fb,0xccffdc98,0x75ff11cc,0x03c85ff5,0x41fdc5b8,0x8dd886fc,
    0xd3fdc4fe,0x20df909f,0x361936ff,0x90df907f,0x74ff70df,0x40bfe24f,
    0xffabffe8,0xc837e41e,0x7ec02eff,0xffb0bfe5,0x48bff079,0x1081ffb8,
    0x20e8803d,0x1aa03faa,0x027c41fc,0x03fee3b2,0x7c4effc4,0x22034c1f,
    0x20feaa0e,0xd2fd86fc,0x3a7fb89f,0xf06fc84f,0x7ed3fadf,0xf90df906,
    0x7f4ff70d,0x4022ff44,0x037e401b,0x97f600b3,0x2ffc42ff,0x03e0ffd4,
    0x00f901ba,0x03f9cc5d,0x88d501d1,0x3a89cfdc,0x17fd4bf6,0xff33ff82,
    0x17401f01,0x3f20fe73,0x7deffc46,0xe9fee0cf,0xf06fc84f,0x7f47eeff,
    0xf90df904,0x7f4ff70d,0x5ce7fe44,0x6401fb00,0x00bea06f,0x82ff97f6,
    0x0ff40ffb,0x201fc2fc,0x8b700cfb,0xd80ffffc,0x2e18d883,0x0fffffaa,
    0xff739ff1,0x7e41715d,0x0f209f54,0x3fff22dc,0x6437ec0f,0x21efb8cf,
    0x213fa7fb,0x7fe4c6fd,0x4fcccabf,0x3f61bf60,0x3fa7fb86,0x01effd84,
    0x6fd80d71,0x36007ea0,0x887ff15f,0xdebbed9d,0x979d9d01,0x03bf2007,
    0x41fc01d1,0x6eee886a,0x3ff6fb2a,0x4cf7fec3,0x3220effe,0x2a04ebfb,
    0x3e00e885,0x017ffcc3,0x55fff440,0x3fe61eff,0x200c002f,0x3e62fff9,
    0x3ffa22ff,0x881effab,0x2600cc00,0x09982fff,0xb9fff980,0x302a0dff,
    0x004c1001,0xa8035000,0xaa980b81,0x4010441a,0x18008808,0x80350300,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x201aa800,0x20000200,0x2e00e20a,0x3ee004ff,
    0x7f5c2dff,0x37fff933,0x04077f22,0x20300020,0x10fffffa,0x00054333,
    0x06aa06e0,0x40400040,0x35501c29,0x0a88ccc4,0x20007066,0x04c418a8,
    0x77c40133,0x43fceb80,0xffffd068,0x3a67e60d,0x3feaaa02,0x07e57a1d,
    0x0f209ff7,0x0360dff1,0x7f5c1b66,0x81fa801e,0x6c5ffffd,0x21ffdbff,
    0x82fffffa,0x37d40ffa,0x27edbfe6,0x239fff93,0xd8be84fd,0xf90bf304,
    0x7c49fd1f,0x5f703e8a,0xc8db3b90,0xb80ffe5f,0xf9dfa80e,0x5541ba24,
    0x3f202aaa,0x7555405f,0x3adf11df,0x41ffe21f,0x160dff05,0xf50dffb3,
    0x4401ffff,0x556c41ff,0x97fdc1aa,0x2aaa23ff,0x07f980aa,0xf6fd81f5,
    0x47ff81ff,0xfffa87ff,0xf501d900,0xfb85b59f,0x10ff606f,0x97f22cbf,
    0x402a03ff,0xefe885fc,0x22133109,0x3dd10099,0x4fe8a980,0xff901044,
    0xdff02985,0x237ec160,0x07ff9138,0x32e0fff4,0xe9fee009,0x401a984f,
    0x3f20d400,0xff81d736,0xed835cc6,0x7d402e02,0x00f6c01f,0xeff88151,
    0xff2fe408,0x33333307,0x7542fec1,0xdfb13cff,0x99893fe6,0xfd101531,
    0x9889ffd7,0x8dff1009,0x2c1bfe04,0x22046fd8,0xff7902ff,0x1dfffe83,
    0x93f67fb8,0x206d9ee8,0xc8133100,0x3fe1626f,0x4ccc5886,0x33310999,
    0x0ffa82a2,0x15119988,0x04cccccc,0xfc83fff9,0x5d30ffe5,0x7ec5ff93,
    0xf90df905,0xfb127f4d,0xd81ffd9f,0x889ff13f,0x3ff606fe,0x37fc0711,
    0x80df9058,0x9ba80ff8,0x3ffe21ff,0x3fdc2fff,0xa9fdc9fb,0x3a20705f,
    0xb8b7e46f,0x5c46ff80,0x3f26ba60,0x3a3ff22f,0xc81fea4f,0xd34fe8ff,
    0xc85ff935,0x97f20fff,0xf894c3ff,0x4c2fec6f,0x3f22affd,0xff713fa6,
    0x5ff0ffe5,0x37e427f4,0x0329ff50,0x20b06ff8,0x27d406fc,0x41ff9ac4,
    0x47ffeca8,0xe93f67fb,0x981ff31f,0xf91bf205,0x46ff806d,0xdff12981,
    0x2dacffa8,0xffa81fea,0x22532dac,0x7d4626ff,0xff97f21f,0x83ff900b,
    0xffd985fd,0xfe9bf22a,0x9fd3fdc4,0x9fd0ffcc,0xfe80df90,0x37fc049f,
    0x80df9058,0xf30d80ec,0x1ff9803f,0x34fd9fee,0x87fe63ff,0x1bf202fa,
    0xdff00df9,0x41ffc800,0xff701ffa,0x200ffd40,0xc9a21ffc,0x323bf60f,
    0xff982cff,0xf905fd84,0x7f4df70d,0x9fd3fdc4,0x9fd17fc4,0xfb80df90,
    0x37fc00ef,0x40df9058,0xcceb81f9,0x5c00dffd,0x27ffd10f,0x23ff14fd,
    0x0df51ff9,0x37e46fc8,0x81037fc0,0xffa84ff9,0x03ffe880,0x7cc01ff5,
    0x75f7c44f,0x5d7ffec3,0x0ffe82ff,0xdf905fd8,0x27f4ff70,0x44fe9fee,
    0x213fa3fe,0x7fc406fc,0xb07fd805,0x1e81bf20,0xfffffc82,0x034c01ff,
    0x23fd27ec,0x457fa6f9,0x3237e43e,0x06ff806f,0x80ffe853,0x01b807fa,
    0xffe80ff5,0x3d01d080,0x5ff50083,0x2e0bfb14,0x3fea28ff,0x7dc4ffa8,
    0xdf913fa7,0x3f217fee,0x801fc806,0x80e42ffa,0x559b06fd,0x5d554cb5,
    0x3df10bff,0x3f6500e4,0x27d4fee3,0x917e2dfd,0x806fc8df,0x543906ff,
    0x7fa8a2ff,0xfa80fd80,0x28bfea07,0x01fc27cc,0x8ee6ff88,0xdfb105fd,
    0xfeaffe81,0xfe9fee0e,0x75fff444,0x037ec1df,0xff500344,0x7ec0599d,
    0xfffffb87,0xb07fe605,0x4c039bff,0x7641fe9f,0x87fd44eb,0x3637ec2e,
    0x87ff806f,0x4dff10fa,0x101fee3b,0x41fee0d7,0x30ee6ff8,0x004f987f,
    0x5fdbbff9,0x000bffea,0x3ffa2004,0x881effab,0x3ffe6010,0x88000802,
    0x7ffdcc01,0xfffff31c,0x0ffcc09f,0x376e0018,0xdc980602,0x97ffcc1a,
    0x9302fff9,0xfdb9dfff,0x76effe4f,0x07ffd12f,0xffe880cc,0xeddffc83,
    0x2202a22f,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0xfd53ffff,0x1dfc88df,0x88000066,0x2a2dfffb,
    0x8017fa62,0x998862a8,0x3ee13109,0xffd98dff,0x07f910bf,0xf7001004,
    0xa84cc49f,0x9a980202,0x1dffb099,0xeffa97a6,0x2ffeeffe,0x33333331,
    0x6f7fdc13,0x3e65ffec,0xfff9306f,0x74400039,0x3ffa007f,0x3e20ffff,
    0x260d84ff,0x002c01ff,0xff987ff6,0x64017f21,0x2a4eebaf,0x43f30eff,
    0x7ff43ffd,0x5e442c40,0xd00580ee,0x6f7f449f,0x27dc0ffd,0x3bfa77a6,
    0x0e89ff13,0x23ffa96a,0x6430032d,0x03ffe20d,0x7ff80dfb,0xfffffa80,
    0x155ffb12,0x555e7c40,0x3fffe85d,0x807fe624,0x3f2002f9,0xc83fe21f,
    0x24fb805f,0x13fe44ff,0x5c5ff98b,0x6c1543ff,0x3640fc9f,0x7ec4fe80,
    0xfc8bfb1f,0x4fc97f45,0xa8913fe4,0x298ffea1,0x6c243003,0x06fc83ff,
    0x544037fc,0xfb10aaaa,0x0cc0155f,0x7fd641f4,0x0066121f,0x7e400dfb,
    0x3f20441f,0x5ff01535,0x3fe227f4,0x1ffd0353,0x21237fc4,0xdfb01ff8,
    0xfd153013,0x3ee5fc89,0xff305447,0xff31bee3,0xfa8106e5,0x1801843f,
    0x20dff506,0x37fc06fc,0xb8099880,0x4001517f,0xff9480f9,0x2200121f,
    0xf9001fff,0x7e40883f,0x220ffdce,0x213fa1ff,0x3ea096fd,0x47ffea4f,
    0x57fd4448,0x1e7ff540,0x9ffd7fd1,0x3fea5fc8,0xff813310,0xbfd09f91,
    0x0ffea016,0xf880c00c,0x0df901ff,0xd1006ff8,0xd7ff70df,0x1b2001ff,
    0x12bffb24,0x17feb200,0x2a0ffe40,0xbfb37e42,0x9fd17fcc,0x4077ff30,
    0x3feb67ff,0xffd98374,0xd86fc81d,0xc89ff13f,0x443fea5f,0x4674c6fe,
    0x9ffb80ee,0x3ff73204,0x20060ccd,0x409ff901,0xf81fb6fc,0xfc81b26f,
    0xff2ffb86,0x240fa007,0x8899ffd1,0x3fa9102b,0x1ffc800f,0xb97f21dc,
    0xfd1ffc7f,0x803ffa09,0xff39affc,0x0ffcc16f,0x2ff86fc8,0x4bf913fa,
    0x437e47fb,0xbaa81bbb,0x202aceff,0x00303ffa,0x01fff303,0x40fdb7e4,
    0x403fa6ff,0x27fb86fc,0x0f9804fe,0x6fff8890,0x8dc17fdc,0xfc804ffa,
    0x3f22e41f,0xfd87fea5,0x2a09ff15,0x6ffcc05f,0x079ff90c,0x7e407fe6,
    0xfd0ffcc6,0xfb1ffc89,0x2e46fc89,0x3bfa6660,0x3fea0199,0xd0300303,
    0x7e4105ff,0x89bfe026,0x70df9020,0x4027f4ff,0x3ea1206b,0x427fd47f,
    0x2207ffc5,0xe81ff90c,0xff52fe47,0xfecefe88,0x3a00be04,0x3ffe24ff,
    0x203ff300,0x17fc46fc,0xdefc89fd,0x46fc85fe,0x23defffe,0x99efe999,
    0x40ffea01,0x7fdc1801,0x037e4905,0x214c1bfe,0x27fb86fc,0x03e804fe,
    0xb83fdc12,0x6e666d42,0xcafec3ff,0x907fc47f,0x8837dcdf,0x02409fd0,
    0x7ec1ffa8,0x407fe605,0x23fe86fc,0x8afe44fe,0xf98df900,0x551fffff,
    0x0555dfd5,0x0181ffd4,0x03ffe218,0x406fc8ee,0xc83906ff,0x3a7fb86f,
    0x807cc04f,0x2c1f6068,0x237fc42c,0x98bfb2fa,0xc9bf22ff,0x24fe801f,
    0x200388c8,0x202fa86f,0xff701ff9,0xfbb7e451,0x402fe45f,0x4ce6c6fc,
    0x6fe84fa9,0x207ff700,0x3ff61801,0x3f22fb83,0x543ffc06,0x5c37ec0f,
    0x7013fa7f,0x073f6a0d,0x9502e234,0x990fff60,0xffa81bf7,0x3af33722,
    0x549fd002,0x32000ccf,0xff980d02,0x883bf601,0x1dfebffe,0x3f601bf6,
    0x3d10be26,0x0dfffdcc,0x05dffd50,0x33333335,0x33ffea53,0x32ffeedc,
    0xf9305ffd,0xffdb9dff,0x222fff98,0xeffabffe,0x00002201,0x87ff7001,
    0x182fffea,0x44106ec0,0x37baa000,0x8003bb11,0xfc880200,0x110000df,
    0x0b7b6602,0x262fff98,0x000cccdd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7e4c0000,0xffc99cff,0x4dff31df,0xc9807fe8,0x0bcdefff,
    0xeefffc98,0x3ff441ce,0x37fff660,0xfc980bcd,0x2ffeeeff,0x3bbfff26,
    0xdff53ffe,0x5fdddffd,0x273fff26,0x31cfffb9,0x2639fff9,0x2a0cfffc,
    0x3f261dff,0x3ea01cff,0x3fff265f,0x39fff503,0x3bbfff26,0xff71003d,
    0x5ffdddff,0x6f7ffe4c,0x954c00bc,0xafffa989,0x1bfffaaa,0x0ff91bf6,
    0xdf737fc0,0xfd9bfe03,0x403fdc1f,0x3bf25ff8,0xe98dff00,0x6c47ff82,
    0x3fea1d53,0x0fff0b63,0xfff01ffd,0x3a21ffe0,0x401ffe03,0x6ffe85fd,
    0xf01ffdb0,0x013fe2df,0x10ffe744,0x5cdff05d,0x9ed881ef,0xfff534ed,
    0x5ffd5555,0x3ee37e43,0x91bfe007,0x4dff03ff,0x3fdc5ff9,0x7ec5ff80,
    0x426ff81f,0x987fe82a,0x1ffd4553,0xe87ff853,0x20dff07f,0x00ec47fe,
    0x7e401bfe,0x41ffdc85,0xfd07fec8,0x4007fe4d,0x211ffc9c,0x646ff82a,
    0xa9fdc1ff,0x743ffc6f,0x5c6fc87f,0x2026667f,0x2ffd46ff,0x9ff337fc,
    0x01537fb8,0x9ff517fe,0x0324dff0,0x108ccffd,0x2043ffa8,0x07fe87ff,
    0x9ffa0dff,0x6ff800d9,0x390bf900,0xfe8c8bff,0x7dcdfd07,0xfca4c02f,
    0x7fc0c71f,0x362ffd46,0x7c3ffb2f,0xc87fe87f,0xf73fdc6f,0x88dff017,
    0x26ff87ff,0x7fdc1ffc,0xff80ffec,0x7c37fcc5,0xfe80b16f,0xff500727,
    0xe87ff807,0x20dff07f,0x400b57fe,0xdf9006ff,0x41ffd487,0x3fa0ffd4,
    0x3601ff66,0x01a3ff90,0x7ff88dff,0x3eaebfe2,0x333ffe2f,0xfc87ffcc,
    0x0393fdc6,0x599fff95,0xfff07ffe,0x3ee09fdb,0xff07fd1f,0xf81fff0b,
    0x7405fcff,0x401fcaff,0x7fc03ffa,0x7ffccccf,0x3fa0dff0,0xf001ffcf,
    0x1bf200df,0x1aa7fd52,0x3bfa0ffd,0x5c02efb8,0x1fb3ff22,0x667ffe54,
    0x3e23fff2,0x21ff89df,0xe9999fff,0x5c6fc87f,0xff80597f,0x7c1ffe86,
    0x1dfea9ef,0x09fd3fdc,0x3fff0bff,0x05dafff8,0x0fed7ff4,0xf00ffea0,
    0xfd3333ff,0x741bfe0f,0x00effcff,0xfb006ff8,0x4bffc90b,0x7ff41ffa,
    0xce8802ac,0x7caffecc,0x7f437fc0,0x7ccffe1f,0x3a1ffe0f,0x5c6fc87f,
    0x7c05fcff,0x40fff86f,0x1bfe26ff,0x427f4ff7,0x87ff85ff,0xfd0166ff,
    0x3ea00ecf,0x43ffc03f,0x0dff07fe,0x2ffe5ffa,0x21037fc0,0x32485feb,
    0x1ffa3cff,0x320037f4,0x058ffe40,0x7ffc37fc,0x27d53f20,0x1ffa1ffe,
    0x7ff71bf2,0x37fc05ff,0x3fe1bfe2,0xf70ffec6,0x7fc27f4f,0x7c2ffc45,
    0x74098e6f,0xf5006a7f,0x87ff807f,0x0dff07fe,0x4ffe9ffa,0x29837fc0,
    0xf89217f2,0x41ffa0ff,0x0ea006fe,0x131c7ff2,0x7fc46ff8,0x3afef226,
    0xfe87ff84,0x7dc6fc87,0x3e01ff97,0x40ffdc6f,0x07ff46ff,0x427f4ff7,
    0x0ffe45ff,0xe86837fc,0x7fd4007f,0x743ffc03,0x20dff07f,0x3ffe27fe,
    0x641bfe02,0xb1617f21,0xd07fe89f,0xc82c00df,0xff8481ff,0x300ffdc6,
    0x7f43ffc0,0x7dc6fc87,0x7fc17fa7,0x7c0ffea6,0x70ffea6f,0x2227f4ff,
    0x0bfea6ff,0x1b223ffc,0xf7001ffe,0x87ff807f,0x7ff80ffe,0xffa8fff0,
    0x50fff02f,0x2c37ec1f,0x1ffd07e6,0x3200fff0,0xb83ff902,0x3ea6ff87,
    0xfb98003f,0xffb99cff,0x5ffd31cf,0x7ecfffa2,0xfff930df,0x93017dfb,
    0x5bddbfff,0xfabffe88,0xfff931ef,0x93017dfb,0xffd9dfff,0x67ffdccb,
    0xeffea801,0xbfffb982,0x1cfffb99,0x237fff93,0x70cfffb9,0x2619ffff,
    0xedcefffc,0x4bffe67f,0x9920cfc9,0x731cfffb,0x22037fff,0x3eea1dfc,
    0x5ffdceff,0x3f7fff26,0x000000be,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0xf500bfff,
    0xfea85dff,0x19fffd33,0x64c73faa,0x2deecfff,0x39fffb30,0x4cc40000,
    0x26213109,0x22333319,0x22095009,0x31331099,0x2a86a603,0x2a601440,
    0x530d4401,0x9881a980,0x98133109,0x22035301,0x0840018a,0xf0100000,
    0xfff500df,0xfff10b60,0xbff04d85,0xff027fcc,0x21a9800f,0x1dff30fb,
    0xaffcc7e2,0x03d14ffa,0xb7ec416a,0x20fdcff9,0xbeefaae8,0x4e6442fa,
    0x6cf7442e,0x9bb3db06,0xae985d3b,0x3f620efa,0x7cc9ff36,0x2fd6ec1f,
    0x401b6772,0x005b97c9,0x937b71b9,0xdff13ee9,0x7fec0133,0xffb82c43,
    0x5ff81666,0xff807ff4,0xb3db1006,0x7e43f31d,0x4dfb1227,0x5a8126fe,
    0xcfe9bf20,0xfc87ec5b,0x23f71ba7,0xfa9fdc6d,0xff997ec5,0xd1fe8db2,
    0x3a6fc87f,0xb87fe64f,0x3e23fd2f,0x9fd50165,0x033fae21,0x7ed6ff44,
    0xff8bfb0e,0x880dfdbe,0xb00647ff,0xf80b19ff,0x80ffe45f,0xfb8096ff,
    0x8837ff53,0xf98172ff,0x98ffd89f,0xfc816a01,0x32077fa6,0x7e4df91f,
    0x0fe43f60,0x43fe63fd,0x3ff32ff8,0xd1fc83f2,0x3a6fc89f,0x3fa0cc4f,
    0x77fc4930,0x2efc8808,0x216fecc0,0xf73542f8,0x3fa5ff87,0x267ff906,
    0x6fffc403,0x3a2ffc00,0x37ffe06f,0xf997f400,0x12dfb00f,0x7fc5e7f4,
    0x6e66544b,0x3f24ccce,0x93013fa6,0x39999ffb,0x33333fe2,0x3e63ff31,
    0x223ff31f,0x81cccdff,0x7e44feda,0xf1013fa6,0x7ffe403f,0x0073f661,
    0x267fd710,0x07e63f07,0x0ffe4bff,0x02c7ffc4,0x400effa8,0xffc98dff,
    0x201ffe01,0x3ff31ff9,0x40affe60,0x9df94ffb,0xcedccca8,0xe9bee4cc,
    0x2e3b204f,0x5ff100ff,0x7cc7fe20,0x223ff31f,0x376203ff,0x37dc4fe8,
    0xff8809fd,0x87ffe402,0x8000bfea,0x20d34fea,0x97fe1e1e,0xff701ffc,
    0x7ff4003d,0x7efffc04,0x06ff806f,0xff31ff88,0x1037f403,0x07fe65ff,
    0x3fdc0b50,0x4bf609fd,0xfd042ffa,0x4c7fa08b,0xf98ffc6f,0x25fb045f,
    0xd3fdc4fe,0x7f43b89f,0x3fea3106,0x00efed41,0x3a0bbf22,0x3e0a3542,
    0xf01ffa5f,0x7e4c00ff,0x57fe02ff,0xfb103ffd,0x3fd040df,0x7f701be6,
    0x03747d80,0x3ff502d4,0xff109ff9,0x15dff739,0x4e7fe417,0x7d4fee0b,
    0xffa97e44,0xff10b8cf,0x5419ff7b,0x24ffa8ff,0x3fee2ffa,0x64d11b9c,
    0x7df7100f,0x00e7ed41,0x0df939fd,0xdfb7dff0,0x007ff801,0x03bfea91,
    0xfff8affc,0x06ff8b81,0xfb9fdc33,0x5400f804,0x2d401dc4,0x3fa77fa0,
    0x9effd80e,0xd80effe9,0xbec81eff,0x7d7d904e,0xfc83dff7,0x741efb8c,
    0x10efeaff,0xeffc81ff,0x0fafbe22,0xbecbed40,0x76d6dc00,0x7fc03dad,
    0x3fe0009e,0x7ec58807,0x54bff04f,0x1bfe06ff,0x3efb20ec,0x02001004,
    0x2012a002,0x44044000,0x0c004400,0x00220980,0x20000400,0x00061008,
    0x00000084,0x2001bfe0,0x174407ff,0x3e0bffe2,0x827fe46f,0x00fb87ff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x800bfffc,0x82bfffba,0x3ea1cfea,0xff933fff,0x67ff417f,0x9bfff730,
    0x0000fffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8815c000,0x4c151199,0x10099999,0x04133108,
    0x4cccc402,0x33310998,0x98826661,0x98815319,0x54c35319,0x41cc1cc0,
    0x40080100,0x08077000,0x00404020,0x00881770,0x7ffffe41,0x3ff27fff,
    0x47ffffff,0x005510ca,0x80a20aa8,0x23ff203c,0x935d34fe,0x5c5905ff,
    0x254dfd12,0x5ffb1095,0x7fec17f1,0x6c417f91,0x40ffecff,0xaffdbffd,
    0x3e61ffdc,0x75c4fe63,0xe882f984,0x00fb80ef,0x3ff604c8,0x88bffa61,
    0xbb83fa6f,0x453fe63b,0x11d43e9c,0x33333333,0x444ccc43,0x3fe27988,
    0x9fb87f64,0xf8bf33f9,0x5407903f,0x532dacff,0x9ae1bfe2,0x3a37e46b,
    0x3fe20fa3,0x27fb839c,0x25ff701d,0x8ffdc3ff,0x87fd0ffd,0x443f9bf9,
    0x08fc424f,0xf10fea66,0x8980009d,0x2a5f11f9,0x3e2ff51f,0x1f33f11f,
    0xeb4dbfa2,0x11107e45,0x00111111,0xd0bfa3c4,0xa7d57e49,0x81ffc0eb,
    0x07fea03c,0xfa83ff90,0x6fc85f52,0x82fa97d4,0xff704ffb,0x27fb80b2,
    0x93fdc4fe,0x4c27ecdf,0x749f03ff,0x986e9c9f,0x07cee41f,0x3333332e,
    0xa9b223cc,0x26f89e46,0xf11f50fe,0x3aea4985,0xffc9ee26,0x07ffffff,
    0x22021e20,0x405c1043,0x3b332e28,0x3ea3ccce,0x13fe600f,0x21beadf5,
    0xd2fe86fc,0x20bfd05f,0x205fcffb,0x713fa7fb,0xfb37e4ff,0x207ff309,
    0x33b3264f,0x7cc3c81c,0xcccb8bb0,0x223ccccc,0x2d8d14fb,0x3e26c93a,
    0xa8e40f99,0x02666e8f,0x11111111,0x00008001,0x332e0000,0x23ccceec,
    0x7ff407fa,0x6f8bfc40,0x1fe86fc8,0x3ff703fd,0x7ff7ff70,0x4fe9fee0,
    0x4df93fdc,0x4dfcc4fd,0x2227c43f,0x9ca80d9e,0x01f89363,0x3764c800,
    0x951646ca,0x0542bba8,0x001b97d3,0x00000000,0x1e400000,0x7d40ff50,
    0x33f98a2f,0x546fc87f,0x9103f51f,0x2ff70dfd,0x7fb80ffc,0x4ff713fa,
    0x893f66fc,0xfa8fe63f,0x2375ba0d,0x1f55fffa,0x413606c8,0x2e20badd,
    0x3104c0bd,0x00000000,0x00000000,0x01e40000,0x3fe20ff7,0x4cf30ee6,
    0x87a37ec6,0xff51b02e,0x3fa7fb87,0x3fa7fb86,0xfc87fdc4,0x83897fa6,
    0xa8266639,0x99988531,0xb8060110,0x00002603,0x00000000,0x00000000,
    0x2aaa0000,0x12aaadda,0xff907ffd,0x7505fdbb,0x2fff99d4,0x6cc15c55,
    0x12fffa9f,0x3ff67fff,0x57ffd10d,0x3fa23dff,0xaaffe9bf,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x777776c0,0x00004eee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20110000,0x22222220,0x04444088,0x26666666,0x00000019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x89c2dffd,0xffffffff,0x7ffff70f,0x3bbbbba2,0x00000eee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff951730,
    0x444445db,0x36a08888,0x00002ddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51030000,0x00000017,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_20_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_20_latin_ext_y[560]={ 16,3,3,3,3,3,3,3,3,3,3,5,13,10,
13,3,3,3,3,3,3,4,3,4,3,3,7,7,5,8,5,3,3,3,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,18,3,7,4,7,4,7,3,7,4,3,
3,4,4,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,9,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,16,7,4,3,5,4,
3,3,3,3,3,7,8,10,3,1,3,5,3,3,3,7,4,8,15,3,3,7,3,3,3,7,-1,-1,-1,0,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,7,3,3,3,3,3,3,3,
1,4,0,3,3,7,-1,3,-1,3,0,3,-1,3,-1,3,4,4,1,4,0,3,0,3,4,7,-1,3,-1,3,
0,3,0,3,3,3,-1,-1,4,4,0,3,1,4,0,3,4,3,0,7,4,3,-1,3,4,4,7,-1,-1,4,
4,3,3,4,4,4,4,-1,3,4,7,-1,3,3,3,7,1,4,0,3,-1,3,3,7,-1,3,4,7,-1,3,
-1,3,-1,3,3,7,-1,3,4,4,-1,3,4,4,0,3,1,4,0,3,-1,3,-1,3,4,7,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,1,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,1,-1,0,-1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-3,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_bold_20_latin_ext_w[560]={ 0,4,8,9,9,16,15,3,6,6,8,10,4,6,
4,6,9,7,9,8,9,9,9,9,9,9,4,4,10,11,10,8,17,13,12,13,13,12,11,14,14,7,9,15,
12,17,13,14,11,14,14,10,12,13,13,18,13,13,12,5,6,5,9,11,5,9,10,8,10,8,8,9,10,5,
6,11,5,15,10,9,10,10,8,7,6,10,9,13,9,9,8,6,2,6,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,0,4,8,9,9,10,
2,9,6,14,6,9,11,6,14,11,7,10,5,5,4,11,10,4,4,5,6,9,14,14,14,7,13,13,13,13,
13,13,19,13,12,12,12,12,7,7,7,7,13,13,14,14,14,14,14,8,14,13,13,13,13,13,11,10,9,9,
9,9,9,9,13,8,8,8,8,8,6,6,7,7,9,10,9,9,9,9,9,10,9,10,10,10,10,9,10,9,
13,9,13,9,13,10,13,8,13,8,13,8,13,8,13,14,13,10,12,8,12,8,12,8,12,8,12,8,14,9,
14,9,14,9,14,9,14,10,14,10,7,7,7,7,7,7,7,5,7,5,15,9,9,7,15,11,11,12,6,12,
5,12,9,12,8,12,5,13,10,13,10,13,10,14,13,9,14,9,14,9,14,9,18,13,14,8,14,8,14,8,
10,7,10,7,10,7,10,7,12,6,12,10,12,6,13,10,13,10,13,10,13,10,13,10,13,10,18,13,13,9,
13,12,8,12,8,12,8,7,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,10,10,11,10,10,10,
10,10,10,10,10,10,10,10,10,10,15,11,10,10,10,10,10,10,10,10,10,10,10,10,10,16,12,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,13,9,7,7,14,
9,13,10,13,10,13,10,13,10,13,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,13,9,19,13,14,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__times_bold_20_latin_ext_h[560]={ 0,14,7,14,15,14,14,7,17,17,8,10,7,3,
4,14,14,13,13,14,13,13,14,13,14,14,10,13,10,5,10,14,17,13,12,14,12,12,12,14,12,12,13,12,
12,12,13,14,12,17,12,14,12,13,13,13,12,12,12,16,14,16,8,2,4,10,13,10,13,10,13,13,12,13,
17,12,12,9,9,10,13,13,9,10,13,10,10,10,9,13,9,17,17,17,4,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,13,16,14,10,12,
17,17,4,14,6,9,5,3,14,3,7,10,8,8,4,13,16,4,5,8,7,9,14,14,14,13,17,17,17,16,
16,16,12,17,17,17,17,16,17,17,17,16,12,17,18,18,18,17,17,8,14,18,18,18,17,17,12,14,14,14,
14,14,14,14,10,13,14,14,14,14,13,13,13,13,14,13,14,14,14,14,14,8,10,14,14,14,14,17,17,17,
15,13,16,14,18,14,18,14,18,14,17,14,18,14,17,14,12,13,15,13,16,14,16,14,17,14,17,14,18,17,
17,17,17,17,17,17,17,17,12,12,16,13,15,12,16,13,17,18,16,9,13,17,18,17,16,16,9,17,17,16,
16,13,13,12,12,12,12,18,13,16,13,18,13,13,14,13,16,13,17,14,18,14,14,10,17,13,16,13,17,13,
18,14,18,14,17,13,18,14,17,17,17,14,12,13,17,14,16,13,17,14,18,14,18,14,17,14,18,14,17,17,
16,17,13,16,13,17,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,14,12,12,17,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,16,10,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,14,17,13,18,
14,18,14,18,15,18,16,18,17,18,16,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,18,17,14,18,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_bold_20_latin_ext_s[560]={ 250,206,170,75,50,20,122,251,241,128,120,
105,186,35,227,249,128,217,225,66,235,245,235,1,85,244,197,25,219,203,230,
37,215,30,48,171,72,86,99,1,124,139,44,147,163,182,11,100,200,89,41,
16,111,203,189,91,27,13,199,213,102,171,135,42,232,176,59,202,126,143,110,
154,61,148,138,22,16,89,78,152,137,70,12,211,119,186,81,91,56,81,21,
116,253,94,12,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,250,54,139,
68,241,164,250,148,238,157,191,30,215,35,27,23,162,1,129,156,245,112,128,
250,198,114,179,46,38,53,109,21,227,158,24,43,65,79,212,38,29,55,42,
93,219,211,160,167,232,201,15,45,89,172,119,105,1,146,174,202,61,75,1,
175,165,155,145,135,125,115,129,231,80,71,62,53,29,185,124,181,245,142,225,
215,205,195,185,145,246,149,138,233,111,14,63,84,36,132,186,56,230,16,16,
11,44,239,168,211,118,197,182,172,34,170,60,203,236,119,200,148,16,82,88,
73,58,101,1,111,156,74,123,68,196,36,1,242,148,223,1,234,106,153,248,
244,57,40,161,78,102,135,231,219,66,143,121,177,247,46,36,221,212,56,176,
137,192,114,212,73,159,240,91,1,190,11,104,138,87,187,220,162,145,68,1,
77,101,86,162,248,126,95,52,104,151,103,1,246,233,160,175,141,187,42,29,
148,134,89,112,186,30,211,47,27,70,197,1,243,205,210,124,16,95,15,59,
133,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,105,188,188,173,
188,188,188,188,188,188,188,188,188,188,188,188,188,9,69,188,188,188,188,188,
188,188,188,188,188,188,188,188,219,116,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,185,1,
28,177,1,46,216,222,188,25,160,156,132,199,104,175,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,1,60,223,78,30,92,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,188,
188,188,188,188,188,188,188,188,188, };
static unsigned short stb__times_bold_20_latin_ext_t[560]={ 19,111,226,127,111,127,127,213,58,76,226,
213,226,236,226,94,111,171,171,127,171,171,127,186,127,142,213,186,213,226,213,
127,40,186,200,127,200,200,200,142,200,200,186,200,200,200,186,142,200,40,213,
157,200,171,171,186,213,213,186,94,157,76,226,236,226,213,186,213,186,213,186,
186,200,186,58,200,200,226,226,213,186,186,226,213,186,213,213,213,226,186,226,
58,1,58,236,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,19,186,94,
157,213,186,1,40,226,111,226,226,226,236,142,236,226,226,226,226,226,172,94,
226,226,226,226,226,157,157,157,172,58,40,58,94,94,94,200,58,76,76,76,
94,58,58,58,94,200,40,1,1,1,40,40,226,157,1,1,1,40,40,213,
142,142,142,142,142,142,142,213,157,142,142,142,142,172,157,157,171,127,157,127,
127,127,127,127,226,200,127,127,142,127,58,58,58,111,157,94,127,1,142,21,
127,21,111,58,111,1,111,58,111,200,171,111,157,94,111,94,111,76,111,76,
111,21,76,76,76,76,58,58,76,58,40,200,186,94,157,111,186,94,157,58,
1,94,226,157,76,21,76,76,76,226,76,76,76,76,172,172,186,186,213,200,
21,157,94,157,21,171,157,111,172,76,172,40,111,21,111,111,213,58,172,94,
172,58,172,21,111,21,127,58,172,21,127,58,40,40,127,186,171,40,142,94,
171,40,142,21,142,21,142,40,157,1,142,40,21,76,21,171,94,172,40,172,
171,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,111,186,186,21,
186,186,186,186,186,186,186,186,186,186,186,186,186,111,213,186,186,186,186,186,
186,186,186,186,186,186,186,186,94,213,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,21,127,
40,157,21,127,1,142,1,111,1,94,1,21,1,94,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,1,1,21,157,1,157,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186, };
static unsigned short stb__times_bold_20_latin_ext_a[560]={ 72,96,160,144,144,289,241,80,
96,96,144,165,72,96,72,80,144,144,144,144,144,144,144,144,
144,144,96,96,165,165,165,144,269,209,193,209,209,193,177,225,
225,112,144,225,193,273,209,225,177,225,209,161,193,209,209,289,
209,209,193,96,80,96,168,144,96,144,161,128,161,128,96,144,
161,80,96,161,80,241,161,144,161,161,128,112,96,161,144,209,
144,144,128,114,64,114,150,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,72,96,144,144,144,144,64,144,
96,216,87,144,165,96,216,144,116,159,87,87,96,166,156,72,
96,87,95,144,217,217,217,144,209,209,209,209,209,209,289,209,
193,193,193,193,112,112,112,112,209,209,225,225,225,225,225,165,
225,209,209,209,209,209,177,161,144,144,144,144,144,144,209,128,
128,128,128,128,80,80,80,80,144,161,144,144,144,144,144,159,
144,161,161,161,161,144,161,144,209,144,209,144,209,144,209,128,
209,128,209,128,209,128,209,212,209,161,193,128,193,128,193,128,
193,128,193,128,225,144,225,144,225,144,225,144,225,161,225,161,
112,80,112,80,112,80,112,80,112,80,238,160,144,96,225,161,
161,193,80,193,80,193,135,193,114,193,80,209,161,209,161,209,
161,211,222,161,225,144,225,144,225,144,289,209,209,128,209,128,
209,128,161,112,161,112,161,112,161,112,193,96,193,151,193,96,
209,161,209,161,209,161,209,161,209,161,209,161,289,209,209,144,
209,193,128,193,128,193,128,80,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,213,225,225,144,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,160,225,225,225,225,225,225,
225,225,225,225,225,225,225,230,173,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,209,144,112,80,225,144,209,161,209,161,209,
161,209,161,209,161,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,209,144,289,209,225,144,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,225,
225,225,225,225,225,225,225,225, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_20_latin_ext(stb_fontchar font[STB_FONT_times_bold_20_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_20_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_20_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_20_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_20_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_20_latin_ext_s[i] + stb__times_bold_20_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_20_latin_ext_t[i] + stb__times_bold_20_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_20_latin_ext_x[i];
            font[i].y0 = stb__times_bold_20_latin_ext_y[i];
            font[i].x1 = stb__times_bold_20_latin_ext_x[i] + stb__times_bold_20_latin_ext_w[i];
            font[i].y1 = stb__times_bold_20_latin_ext_y[i] + stb__times_bold_20_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_20_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_20_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_20_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_20_latin_ext_s[i] + stb__times_bold_20_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_20_latin_ext_t[i] + stb__times_bold_20_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_20_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_20_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_20_latin_ext_x[i] + stb__times_bold_20_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_20_latin_ext_y[i] + stb__times_bold_20_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_20_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_20_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_20_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_20_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_20_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_20_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_20_latin_ext_LINE_SPACING
#endif

