// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_22_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_22_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT        288
#define STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_22_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_22_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_22_latin_ext_LINE_SPACING          14

static unsigned int stb__times_bold_22_latin_ext_pixels[]={
    0x0002aa80,0x000000cc,0x4c401310,0x40000000,0x3a600098,0x02ea801e,
    0x00f74c00,0x00191570,0x98809d10,0x99999999,0x3bba6009,0x07db003e,
    0x000dc2a8,0x28800f2e,0x001ff880,0x000bfee0,0xff8800d4,0x001ffa06,
    0x360007b9,0x7f9000ff,0x0002d400,0xf1000bf6,0x12e0005f,0x37ffea20,
    0x202ffecc,0x802cccc8,0x7c00fffb,0xf9800db4,0xbfd001ff,0x0002fa80,
    0x001bbbe2,0x7e400326,0xfefb82fe,0x06e37003,0x09fdf500,0x0c8013a0,
    0x0fe00037,0x00dc3200,0x400dc320,0x174c2ffd,0x200dc320,0x405e8bf8,
    0x4001fffb,0xd005e9ee,0x002d80bf,0x1f446e40,0x201fea00,0xf88d72f8,
    0x37001f53,0x29d0006e,0x01c400fa,0x00ba3d10,0x22000a20,0x44005d1e,
    0xfb005d1e,0x202b845f,0xb805d1e8,0x3fa00642,0xb12d4005,0x80151003,
    0x0e0001ca,0x07700071,0x260a8350,0x64400cc1,0x214c003d,0x0eecc029,
    0x0cccccc4,0x10033331,0x26238355,0x26219999,0x26662199,0x26662199,
    0x4e2ffd81,0x26666228,0x06666219,0x33333100,0x10cccc43,0x44333333,
    0x20001999,0x4c4058ba,0x33310999,0x04cc4133,0x99980098,0x1a980999,
    0x99999882,0x00666621,0x80882aa2,0xff510b15,0x6fdc43bf,0x2effb201,
    0x2a23baee,0x2e21dfff,0x3fea21df,0x37ee21df,0x932ffd81,0x37ffea20,
    0x2077ee21,0x7d446ffb,0x3ee21dff,0x3ffea21d,0x077ee21d,0x0c81bfee,
    0x7ffd4037,0x7fffb31e,0x910f6cc1,0x07fffb7d,0x417fffb3,0x2dedabda,
    0x877ffea2,0x2e01dfb8,0xddfdbdfe,0xfe816581,0x2203b02f,0x37fc44fe,
    0x3b02ffe8,0x6c0bffa0,0xd57ffb01,0x02ffe809,0x837f403b,0x03b02ffe,
    0x0ec0bffa,0x6cc0dfd0,0x6ffb805b,0x5c0fffc4,0xff8afdc2,0x8fff3009,
    0x417cc2f8,0x03b02ffe,0x36207fe4,0x01dda81f,0x0640bffa,0xfb83ff44,
    0x02ffe82f,0x0bffa019,0xeffd8064,0x7ff404fe,0x7f401902,0x205ffd06,
    0x05ffd00c,0x06fe8032,0xff88034c,0x427fec1f,0xff27fc45,0x23ffcc07,
    0xe82d81fc,0x201902ff,0x3f101ffc,0xffd00660,0x3ee03205,0xfffd884f,
    0xc817ff40,0x205ffd00,0x25ffb00c,0x17ff404c,0x1bfa00c8,0x0c817ff4,
    0x3205ffd0,0xb01bfa00,0x3ff2001f,0x223ffcc4,0xff1ffc44,0x23ffcc07,
    0x414c0efe,0x01902ffe,0x1b80bff5,0x81ff5ee4,0x01902ffe,0x8d887ffb,
    0x7ff42ffe,0x3fa01902,0x3601902f,0x408912ff,0x01902ffe,0xffe837f4,
    0x3fa01902,0x7401902f,0x13fe206f,0x2a3ffcc0,0x206e2fff,0x80df15fd,
    0x7fe47ff9,0x7ff400cf,0xff901902,0x52fc8009,0x5ffd03ff,0x3ffe0320,
    0x4ffe8ec2,0x0c817ff4,0x3205ffd0,0x145ffb00,0x02ffe835,0x837f4019,
    0x01902ffe,0x0640bffa,0x7e40dfd0,0xffd000ff,0xb2ffdec5,0x0eedfdc0,
    0xf11ffe60,0x7407ffff,0xd01902ff,0xfd8005ff,0xfd05ff55,0xf103205f,
    0xfb0e45ff,0x02ffe89f,0x0bffa019,0x2ffd8064,0x7ff40f88,0x7f401902,
    0x205ffd06,0x05ffd00c,0x06fe8032,0x007ffdb1,0x45cdbfee,0x20398fff,
    0xf30009ab,0xfffd30ff,0x5ffd01df,0xfff10320,0x88b88005,0xffe82ffd,
    0xfff01902,0x7ffd0ae5,0x1902ffe8,0x640bffa0,0xa87ffd00,0x02ffe87d,
    0x837f4019,0x01902ffe,0x0640bffa,0x26e0dfd0,0xf1006ffa,0x3f6193ff,
    0x5f900cbf,0x07ff9800,0x213fffee,0x01902ffe,0x10007fff,0xd05ff7d9,
    0x741605ff,0xff84abff,0x817ff41f,0x40bffa05,0xffffb985,0xe86fffee,
    0xe80b02ff,0x05ffd06f,0x02ffe816,0xb06fe80b,0xc8017ffc,0x3fea5dff,
    0x3fff605f,0x3e603eff,0x3f22147f,0x02ffe87f,0x013ff60b,0xff51df30,
    0x205ff905,0x09dff706,0xff90fff1,0xffc81a05,0x99000d02,0x6817fe40,
    0xfc82ff40,0x7e40d02f,0xfe80d02f,0x3fee2a85,0x3fff3006,0x2202fff8,
    0x1fffffff,0x1bfe69f5,0x903fee0d,0x5c1a05ff,0x7ec006ff,0xf705ff54,
    0x6c0b107f,0x1ffc80ff,0x5883ffb8,0x220ffee0,0x00fd4005,0x0b107ff7,
    0xfb82ff46,0x2e05883f,0x505883ff,0x2afa17fa,0x001fffba,0x0ff90dfd,
    0xdaaabeb8,0x3e6ffb2f,0x5f81fc5f,0x5883ffb8,0x480bff60,0x7ff67ffc,
    0x077f440b,0x7fcc01b1,0x880ffc45,0x03620efe,0x220efe88,0x2fd4000d,
    0x441dfd10,0xfd8fb80d,0x41dfd103,0x3fa200d8,0x2e03620e,0x64c3fd9f,
    0x5ffc9999,0xf307f700,0x4c1fc409,0x7fd53e66,0x3ea0ffc2,0x20efe881,
    0x7fec00d8,0x3ee1ec41,0x101bfd3e,0x03bbdffb,0xdbdeb9d8,0x7ec401ce,
    0x8801ddef,0x01ddeffd,0x207dfd00,0x1ddeffd8,0x80bfbf10,0x1ddeffd8,
    0xdeffd880,0xbd9f101d,0xfff301b0,0x201f1001,0x5ef5401e,0x66dc1cbb,
    0xeece83ee,0x36201ccb,0x001ddeff,0x3bd9ffb7,0x03300000,0x01310660,
    0x80006600,0x53000019,0x40033001,0x00cc0008,0x44003300,0x3fa06a80,
    0x0c03005f,0x10013100,0x00310401,0x98000330,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x710e7fdc,0x0009ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0aa00000,0x33220035,0x10000002,0x00000399,0x4c000000,0x5440004c,
    0x20332a00,0xa814c00a,0x5302884c,0x98800540,0x0660d400,0x1000f74c,
    0xaaa98013,0x26244000,0x364fe203,0x800bf700,0x00c9cfd8,0x2000bf70,
    0x4007f55e,0x0049beea,0x8001fff4,0x3f605dbc,0xb00ffb83,0x207fe03b,
    0x7d57545b,0xe804e983,0x43fea07f,0xffe82ff9,0x01bfa006,0x20003ff6,
    0x400fb8dd,0x2002fefb,0xfec8005d,0x7dc006ff,0x47fcc000,0x3fa005fc,
    0x2e003fff,0x4000fcaf,0xf103c9f9,0x203fee07,0x03f301fc,0x7f47f16e,
    0x2a03fa80,0xff703fef,0xf50bfe61,0xf7005f33,0xffb807fd,0xfff88000,
    0x00bfd004,0x22500058,0x1b8000bb,0x1711a800,0x16546200,0x1dc1d100,
    0x5007fa00,0xff01a807,0x5b80ae01,0x80fc93ea,0x27f106fa,0x983500fa,
    0x01220c82,0x803ea7f1,0x90000ffb,0x2a6001ff,0x99998821,0x86666219,
    0x98819998,0x33331099,0x0cccc433,0x0004cc40,0x40004cc4,0x54000998,
    0x000001ff,0x1a9817f4,0x3fe65b82,0x305fb804,0x00001983,0x19833000,
    0x04c3fee0,0x80133100,0x2dedabda,0x877ffea2,0x3661dfb8,0x7dc43fff,
    0xbfff511d,0x00efdc43,0x5dd75bf9,0xd75bf900,0x5bf9005d,0xff005dd7,
    0x7fdc5dff,0x265f913f,0x3fd80ffe,0x6f6d5ed4,0xbff916e2,0x2227e401,
    0x74c00999,0x2ffd89ff,0x3227fff7,0x3333312f,0x5c199881,0x04ffeaff,
    0x775d6fe4,0x7cc2f882,0xb02ffe82,0x07fffa03,0x0bffa076,0x4fe980ec,
    0xe9827fc4,0x827fc44f,0x7fc44fe9,0x3bfea204,0x517fec0a,0xb80ffc89,
    0xf30be23f,0x3faa2dc5,0x87f901ef,0xc802ffd8,0x45ff31ff,0x992a2ffd,
    0x4c0bfffe,0xaffdc3fd,0xfe982ff9,0x3227fc44,0xfe82d81f,0x3601902f,
    0x0640fffe,0x0c817ff4,0x3ea0ffd0,0x507fe83f,0x0ffd07ff,0xf880ffea,
    0x4bff104f,0x407fdc0c,0x207f20fd,0x8e996e2d,0xf981fffa,0x802ffa83,
    0x5ff31ffb,0x8192ffc4,0x5b03fff8,0x7f43ff70,0xf507fe86,0x2077f47f,
    0x02ffe829,0x3fe36019,0x7f40646f,0xf901902f,0x07ffc09f,0x7fc09ff9,
    0x813ff20f,0xff300fff,0x487fec07,0x75c0ffb8,0x26077f41,0x224e96e2,
    0x85d304fe,0xfb802ffa,0xd85ff31f,0x3ee090ff,0xf705887f,0x323fec1f,
    0x3ffe04ff,0x019fff90,0x1902ffe8,0x27ffd560,0x05ffd019,0x0bffa032,
    0x3fa2ffe8,0x8bffa02f,0x3fa02ffe,0x03ff702f,0x414dffcc,0x07660ffb,
    0x4033fff2,0xf883fe5b,0xfa83aa07,0x3ee0132f,0x985ff31f,0x3a029bff,
    0xb80ec3ff,0x83ff60ff,0x3fa02ffe,0xfffff12f,0x817ff407,0x7fdcb00c,
    0xffd0192f,0x3fe03205,0x93ffa02f,0x3fa02fff,0x80bffe4f,0xff904ffe,
    0x05ffe801,0x4e881ff7,0x1fffffc4,0x43df92dc,0xf50bb05c,0x70bffb7f,
    0x0bfe63ff,0xf5017ffa,0xb81261ff,0xf1ff60ff,0x7ff405ff,0x3ffffa64,
    0x02ffe80e,0xffb16019,0xffd0193f,0xff103205,0xaffec03f,0x3601fff8,
    0x3fff15ff,0xe82ffec0,0x4ffa806f,0xf901ff70,0xffffe983,0xff896e0e,
    0x7f503d3f,0xf51dff50,0x31ffb83f,0x9ff505ff,0x369ffd00,0xe83fee00,
    0x07ffe26f,0xfb85ffd8,0xffe84fff,0x21601902,0xe80ceffe,0xf01902ff,
    0x7ff405ff,0xe80bffe4,0x0bffe4ff,0xff04ffe8,0x407fe009,0x3fc81ffc,
    0x49ffff70,0x7fff445b,0xf507f901,0x90bfe65f,0x0bfe63ff,0x7d400ffc,
    0x7dc02cff,0x42ff88df,0x3fa02fff,0xffc8854f,0xb02ffe87,0x7ffc42c0,
    0x02ffe80f,0x80fffa0b,0x3ffa2fff,0xe8bffe03,0x3ffe03ff,0x002ff982,
    0x3ffa60d7,0x8517ec0d,0x16e7ffc8,0xfb827fec,0xf32ffa84,0x6fff4c7f,
    0xd702ff98,0x037fec00,0x7ff5ffdc,0x203ffe83,0x2e0d2fff,0x17fe40ff,
    0x7cc16068,0x2ffc80ff,0x13fee0d0,0x3ee37fc4,0x8dff104f,0xff104ffb,
    0x003fe60d,0x40d501cc,0x7dc1a1ff,0x2e08b70f,0x85fa81ff,0x7ff32ffa,
    0x205ff300,0x3fea0039,0x30ffb805,0x8827fdc0,0x7c0fe6ff,0x883ffb85,
    0xffb81605,0x883ffb80,0x203ffa05,0xffe82ffb,0xe82ffb80,0x2ffb80ff,
    0x1b80bf30,0xd027c409,0x5f81fc1f,0x325f896e,0xa85f982f,0x07ff32ff,
    0x717fccc4,0xff500123,0x01ff700b,0x2e03ffa0,0x507fe2ff,0x1dfd103f,
    0x01f006c4,0x7f4407e4,0x8803620e,0x3fe20cfd,0x419fb102,0xfb102ff8,
    0x417fc419,0x2a00f9bb,0x3e2048df,0x7c5f500f,0xb70fd41f,0x01f72fc4,
    0x5ff503f7,0xee80ffe6,0x1bf50ff8,0x5ffa8009,0x001ffc80,0x7c419fb1,
    0x5f76742f,0x3f6201cc,0xb501ddef,0x807405df,0x1ddeffd8,0xd99fd900,
    0x9fd9003b,0xd9003bd9,0x203bd99f,0x7c402cee,0x7fdc00cf,0x9d4da80d,
    0xb83997dd,0x0f65f545,0xffa80eec,0x5c09ff32,0x3fe22fbf,0x7fdc000c,
    0x5fff4406,0x33fb2000,0x22081dec,0x00198001,0x19800400,0x0004c000,
    0x4c000130,0x08003000,0x4002a200,0x00880620,0x3a200011,0xeffd8eff,
    0x00100c01,0xbfffeb98,0x13333102,0x00026000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02cc8000,0x33102208,0x4cc43333,0x39930019,0x3c964400,
    0x00000800,0x0e644000,0x880a0540,0x80199999,0x20002ee8,0x00810001,
    0x44004c40,0x03883202,0x26660088,0x99999999,0x0077cc00,0x83fe2ff2,
    0x21dfffa8,0x9001efb8,0x8fb8009f,0x2cc001fa,0x6e8fdc00,0x009f7000,
    0x8132afa6,0x01efffa8,0x000fffd8,0x22005fc8,0x002bbefd,0x2e00ffe4,
    0x3a63ae05,0x407fc402,0xfffcdff9,0x6403fecd,0x8bfc800e,0x2ffe80ff,
    0x27c005d0,0x03c96c00,0x4000fd80,0x00ff8bfe,0x6c005e80,0xfd801fff,
    0x8af9803f,0x6fd8003e,0x3fff6e00,0x7f7cc007,0x3e02dc05,0xff9806ff,
    0x3fe0f981,0x1b00f60f,0x20110400,0x01902ffd,0x22001260,0x3e200124,
    0x51c4004f,0x00910005,0xfd800a60,0x221c803f,0x00b88004,0x000b98a0,
    0x201f9a6c,0x0ffdc05b,0x87302a80,0x44e20fff,0x99881999,0x3f600009,
    0x2001902f,0x26200998,0x26219999,0x7fe40199,0x2666200f,0x26662199,
    0x20aa8801,0x33333108,0x40cccc43,0x51003ffd,0x8800c155,0x4c4220aa,
    0x26219999,0x10a20199,0x2202dc05,0x4c0220aa,0xfff81100,0xfffd9840,
    0xb8efdc43,0x5f913fff,0x1902ffd8,0xebadfc80,0xfffa882e,0x077ee21d,
    0x03ffed88,0x877ffea2,0x2e01dfb8,0xddfdbdfe,0x3bfff511,0x6c0efdc4,
    0x7fdc03ff,0x05cdfcac,0x7edeff5c,0xfff511dd,0x0efdc43b,0x23333331,
    0x21999998,0x7bfd705b,0x6443bbfb,0x03fffdbe,0xfd003ffe,0xd83b03ff,
    0x3612a2ff,0x201902ff,0x7fc44fe9,0x205ffd04,0x7d4dc01d,0x2ffe806f,
    0x7fe403b0,0x3a0fec40,0x203b02ff,0xfd103ffd,0xc817ee0d,0x0fec40ff,
    0x0ec0bffa,0x47bffea2,0x21dfffb8,0x40ffc85b,0x57f21fd8,0x3e00aff8,
    0x7f6c00ff,0x220640ff,0x360325ff,0x201902ff,0x7ff507fe,0x3205ffd0,
    0x5fff2c00,0x902ffe80,0x407ff201,0x17ff41f8,0x7ffb00c8,0xd807ff60,
    0x203ff905,0x17ff41f8,0x7ffb00c8,0x3983fff0,0xf880ffe4,0x7fc9ff11,
    0x007ffc04,0x91bffe36,0x121ffb01,0x0c817fec,0x3e04ffc8,0x17ff40ff,
    0xb8aa00c8,0x7ff406ff,0xff501902,0x7f41b80b,0x3601902f,0x5ffa83ff,
    0x7fd42c40,0x3fa0dc05,0x3601902f,0x1fff83ff,0x202ffd40,0x7c7ff11b,
    0x07ffc04f,0x27ffd560,0x37ff3019,0x40bff605,0x02ffe80d,0xffd0bffa,
    0xbe803205,0x01fffbaa,0x0640bffa,0x40027fe4,0x01902ffe,0x3f60fff6,
    0xfc80804f,0xffe8004f,0x3f601902,0x01fff83f,0x20027fe4,0x03ff15fd,
    0x2c00fff8,0x0325fff7,0xf902fff4,0x7fc1a05f,0x13ffa02f,0x03205ffd,
    0x64ccce4c,0x3ffa05ff,0xffd01902,0x5ffd0005,0x7fec0320,0x003fff83,
    0x0005ffd0,0x03205ffd,0x7fc1ffec,0x17ff401f,0x76dfdc00,0x00fff801,
    0x27fff62c,0x09ff500c,0x2c41ffdc,0xb00fffc4,0x2ffe8bff,0x20360190,
    0xfd00fff9,0xf103205f,0xfd0005ff,0x6c03205f,0x7ffc43ff,0xfff88002,
    0x2ffe8002,0x3ff60190,0xfff9999b,0xfff8a541,0x09ab8002,0x003ffe00,
    0x19dffd0b,0xd100ffc0,0x80ec41ff,0x3fa02fff,0x817ff44f,0x3a06a80c,
    0x5ffd05ff,0x3ffe0320,0x2ffe8003,0x3ff60190,0xb83fff83,0x3e0ccccc,
    0xfe8003ff,0x3601902f,0xfccccdff,0xff2dc1ff,0x0fc8007f,0x01fff800,
    0x7fffc42c,0x2601ae00,0x01deeffd,0xff80fffa,0x817ff42f,0x21cffb85,
    0x84ffffb8,0x20b02ffe,0xe8004ffd,0x730b02ff,0x6c17dfff,0xdff904ff,
    0x0009ffb0,0x81605ffd,0xfff83ffd,0x9ffb2dc1,0xffffd800,0xff9502de,
    0x982c05bf,0x0e600fff,0x801f9880,0xff104ffb,0x205ff90d,0x07b10006,
    0x06817fe4,0x9000dff7,0xa81a05ff,0x417fee06,0xffb85ffb,0x2ffc8006,
    0x1ffec0d0,0x96e0fffc,0x44006ffb,0x0fffffff,0x5c0b0000,0x048dc0ff,
    0x3a007b80,0x2ffb80ff,0x5883ffb8,0x401f7000,0x05883ffb,0x8480bff6,
    0x05883ffb,0x3ffb013e,0x360bff70,0x2e1202ff,0x205883ff,0xfff83ffd,
    0x3ff62dc1,0x55d71202,0x6407fb55,0x200f803f,0x237ea0fc,0x03fd8004,
    0x4419fb10,0xdfd102ff,0x80006c41,0x3fa203fb,0xb003620e,0x83d883ff,
    0x3620efe8,0x401ff100,0xffb86fe8,0x107ff605,0x1dfd107b,0xffb006c4,
    0xb83fff07,0x441ffd85,0x260fe23d,0x8176a00f,0x3a02efda,0x0033fe20,
    0x00bbfe60,0x6f667f64,0x77fec401,0x220001dd,0xfb103dfe,0x2003bbdf,
    0x1decffdb,0x37bff620,0x6ffdc01d,0x2f7faa00,0x5c01ceeb,0x01decffd,
    0x377bff62,0x41ffec01,0x82dc1fff,0x1decffdb,0xdcbbdfb8,0x00029801,
    0x00002010,0x04c0006a,0x00019800,0x4c0054c0,0x00cc0001,0x22000cc0,
    0x2666000a,0x00330000,0xf7300330,0xf9517dff,0x00445dff,0x199800cc,
    0x00006600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x28000000,0x79700144,0x0b837000,0x32672600,
    0x98060602,0x530001ee,0x06060001,0x10000400,0x44013333,0x991000aa,
    0x0c837003,0x33333310,0x05990000,0x00000220,0x66c03333,0x22001eba,
    0x7c4000ff,0x6d800bb2,0x56d401d9,0x3ffa05b9,0x5bb73006,0x40039753,
    0x004b99cb,0x91007fa8,0x37f9bfff,0x7002fe40,0x2fe2009f,0x3ee205d8,
    0x3effcdff,0x0077cc00,0xa74401c8,0x39ff02fb,0x02fffcc0,0x40017cc0,
    0x2001fefc,0xd003d1f8,0x3ea03fff,0x75402f99,0x8800dc01,0x8000ffff,
    0x74400ffb,0x00f1ffff,0x05e800bd,0x007ffe40,0xff70fff4,0x0076400b,
    0x7d401fa8,0x3fe09fb7,0x00035001,0x7c40024c,0x89cc004f,0x802ea003,
    0xea81260c,0x20017000,0x20000bb8,0xfffc801a,0x5880f1ff,0x40024400,
    0xfd004ff8,0x00fff83f,0x3ee001b0,0x711a801f,0x2007fe01,0x88000998,
    0x26620099,0x09998819,0x0004cc40,0x00260013,0x101301d5,0x2aaa2007,
    0x55440060,0xfffd060a,0x5c41e3ff,0x26601731,0x19999999,0x7f400100,
    0x217fec1f,0x01999998,0x5ddffd50,0x02666662,0x0ffc3331,0xdd75bf90,
    0x75bf9005,0xffb305dd,0x1dfb887f,0xdd75bf90,0x36fb2205,0x3b223fff,
    0x7c3fffdb,0x7ee67440,0x9ff700e4,0x80b9bf95,0xdfcacffb,0x7ffff45c,
    0x5bee0f1f,0xdffa83fe,0x05fffccc,0x3fa00598,0x207ffc1f,0xfcdfffb8,
    0x3fee03ef,0x5ffff4c1,0xff1fecc0,0x889fd303,0x9fd304ff,0xfd04ff88,
    0x303b03ff,0x4ff889fd,0x5ff15fc8,0xff8afe41,0xdf11a60a,0x80b8bfea,
    0xbf706fe8,0x5c1bfa20,0x7fffec5f,0x4fa60f1f,0x40ea81eb,0xd800fffb,
    0x3ffd000f,0xfd027fdc,0x82ffdc3f,0xff881ffb,0xff85b03f,0xf507fe81,
    0x20ffd07f,0xfed83ffa,0x740640ff,0x47ff507f,0x93fe4ff8,0x13fe4ff8,
    0xf71fe897,0x7ec0541f,0x6c17601f,0x517601ff,0x1e3fffff,0xf106e000,
    0xff1007ff,0x37ffa009,0x7402efee,0x07ffc1ff,0xfb80ffdc,0xff85887f,
    0xf027fe41,0x27fe41ff,0x8d81fff0,0x20646fff,0x3fe04ffc,0x7c7ff10f,
    0xf8ffe24f,0xff716c4f,0x2a0e2fec,0x42c405ff,0x2c405ffa,0x78ffffdc,
    0x6c4fff44,0x7ec0c2ff,0xfff9006f,0x73ffd001,0xfe801fff,0x417fec1f,
    0x3fa01ffb,0x7fc0ec3f,0xd017ff41,0x17ff45ff,0x5585ffd0,0x20649fff,
    0x3fa02ffe,0x7c57f62f,0xf8afec1f,0xbfd07c1f,0xb070ffe2,0xb01009ff,
    0x201009ff,0x70f1fdb9,0x0bfea3ff,0x003fff50,0x007ffdb1,0x3ff63ffd,
    0x20fff405,0xffb80fff,0x43ffea01,0xf83ff049,0x3ffa02ff,0xe80bffe4,
    0xff72c4ff,0xfff0325f,0x227ff405,0x701edbfb,0x4f03db7f,0x3ff93ff8,
    0x1fffc144,0x03fff800,0x21e3b000,0x5ff31ffa,0x027ffc40,0x06ffa9b8,
    0xff11ffe8,0x0fff407f,0x3ea09ff7,0xa7ff401f,0x443ff00d,0x3f601fff,
    0x03fff15f,0xb162ffec,0x44193fff,0x3f601fff,0x004d5c5f,0x0e8026ae,
    0xffb33ff3,0x7ffc4244,0xfff88002,0x23b00002,0xf31ffa87,0x7ffe405f,
    0x7ffcb000,0x50fff402,0x3fa03fff,0x02efeedf,0x402abfe6,0x202cfffa,
    0x17ffc1ff,0x7fc9ffd0,0x13ffa02f,0x19dffd0b,0x3a02fff8,0x003f24ff,
    0x4b2003f2,0x5fbcfff8,0x3ffe1471,0xcccccb83,0x2e0fffe0,0x200ccccc,
    0x3ff50f1d,0x7cc0bfe6,0x455002ff,0x7f406ffb,0x077fec2f,0x7fdcfff4,
    0x1ffe400f,0xf01bff60,0x03ffe83f,0xffe8bffe,0xb0bffe03,0x81ffff10,
    0x3fe03ffe,0x3ffff62f,0x7ffec2de,0x924c2def,0x2aff627f,0x4ffd8510,
    0xfb0dff90,0x1bff209f,0x7d43c760,0x205ff31f,0xd0505ffe,0x3fff7557,
    0x5dfff930,0x20f7ff44,0xbffb1ffe,0x3ea00100,0x20ffc05f,0xff104ffb,
    0x104ffb8d,0x260b0dff,0x7fdc0fff,0x88dff104,0x0fffffff,0x3fffffe2,
    0x4000e40f,0x705ffb84,0xbff70bff,0x2017fee0,0x5ff50f1d,0x3ee0bfe6,
    0x4c5880ff,0xffc9999c,0x800aa005,0xfff11ffe,0x401fe407,0x7fc05ffa,
    0xb80ffe81,0x0ffe82ff,0x0582ffb8,0x3fa03fee,0x42ffb80f,0xfdaaaaeb,
    0x2aaabae3,0x000d83fd,0x0ffec032,0xfd82ffdc,0x05ffb81f,0xff30f1d8,
    0x887ffd19,0x89703fff,0x0fff980d,0x2007f900,0x3fea1ffe,0x00bb501f,
    0xff80bff5,0x20cfd881,0xfb102ff8,0x817fc419,0x203f200f,0x3e20cfd8,
    0x4c1fc42f,0xf307f10f,0x98079101,0x1bfa200c,0x74417fee,0x05ffb86f,
    0x3f20f1d8,0x20effaef,0xfd886ffd,0xffe81aa3,0x007f1005,0xffb0bffa,
    0x200a601d,0x7fc06ffb,0x333fb202,0xfec801de,0xda81decc,0x803a02ef,
    0x1deccfec,0xb977bf70,0xcbbdfb83,0x55e5401d,0x2002cca9,0xeebbdfea,
    0x6ff5401c,0x801ceebb,0x00440f1d,0x3bbbffea,0xf73fffee,0x7fdc439f,
    0x165404ff,0x77ffe4c0,0x07bffa22,0xfeb98033,0x79902bff,0x00013005,
    0x1000004c,0x30004c00,0x03330033,0x00026200,0x00026660,0x20004ccc,
    0x00000060,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03200000,
    0x98730017,0x33300002,0x64c00333,0x9988000c,0x25400999,0x3cc80072,
    0x00e64400,0x00298730,0x19998800,0x00099988,0x26000000,0x2a20021a,
    0x6640220a,0x00ccc402,0x02ec4fcc,0x003ee9d0,0xffff01b8,0x7ec001ff,
    0xfffa8003,0x8de806ff,0x3be6006d,0x37fe4000,0x07dd3a00,0x64e7ec40,
    0x7fffb300,0x701dfb88,0x1001ba3f,0xabda80bd,0x3ae02ded,0x1ddfdbdf,
    0xe880ff30,0xffd801ff,0x3bea000f,0x502c003f,0x00155555,0xa88006d8,
    0xa802aaaa,0x2e001fff,0x67c4000e,0x3ea002fa,0xfd9003fe,0xffd00dff,
    0x7403b03f,0x000ff8bf,0x7c403fee,0xfc817cc2,0x00fec40f,0xffb803f3,
    0x03ff9801,0x4006fe80,0x26666239,0x06666219,0x880006c0,0x3b600099,
    0x00064004,0x800d31ec,0x4ca006fe,0xfed800bb,0x100640ff,0x22001547,
    0x207f203d,0x01ffc82d,0x03a803f1,0x2620ffdc,0x20019999,0x99999999,
    0xc9880999,0x37ffea20,0x0077ee21,0x6fe40004,0x2202eeba,0x4001731b,
    0x00040000,0x33333333,0x80020033,0x646fff8d,0x4c001000,0x99999999,
    0x5303bfa1,0x5c05ffa8,0x33333311,0xfb813333,0x7ffdc41f,0x303effcd,
    0xbfff9bff,0x6ec47fd9,0x2ffe84fc,0x166003b0,0x444fe980,0x2df704ff,
    0x0b3003fe,0xa802cc00,0xffcccdff,0x0059805f,0x927ffd56,0x200b3001,
    0xfcccdffa,0x3fff25ff,0x13ff200c,0xdfffa880,0x5c2ffecc,0x3ffd01ff,
    0x7cc2ffdc,0x3d83ffe0,0x0bfea3f6,0x03205ffd,0xe8007ec0,0x07ff507f,
    0x007ae7d3,0xd80007ec,0x40ea800f,0xd800fffb,0x7dcb000f,0xb00192ff,
    0x81d5001f,0x3e20fffb,0xfd03ffff,0xffb0005f,0x7dc2e985,0x83ffd01f,
    0x21cc0fff,0x44e20fff,0xe85fbb7f,0x001902ff,0xf9009ff1,0x07ffc09f,
    0x9ff10000,0x09ff1000,0xfff88370,0x04ff8803,0x9fffd8b0,0x27fc400c,
    0x3fe20dc0,0xfffe983f,0x3ffe20ef,0x2ffd8002,0x3fee15c2,0xd83ffd01,
    0x3e0442ff,0xefa840ff,0x5ffd0138,0x3f200320,0x7ff400ff,0x44bffa02,
    0xffd89ffe,0x07ffe402,0x03fff200,0x0dffb030,0x003fff20,0x33bffa16,
    0x07ffe400,0x1bff6060,0x89ffff70,0xd8003fff,0x2144e2ff,0xffd01ffb,
    0x800fff83,0xff900fff,0x17ff4019,0x76c400c8,0x7ffc03ff,0xb93ffa02,
    0x05ff51ff,0x01fff6c4,0x07ffdb10,0x01fffa80,0x03ffed88,0xffff8858,
    0x3ffb6200,0x7ffd4003,0x7fe44281,0x0027fec7,0x04997fec,0x7f407fee,
    0x013fee1f,0xfc807ffc,0x17ff405f,0x54dc00c8,0x3fe206ff,0x97ff601f,
    0x5ff31ffa,0x37fd4dc0,0xdff53700,0x27ffc400,0x6ffa9b80,0xfff30580,
    0x7fd4dc01,0x3ffe2006,0x3fee0d04,0x001bfee0,0x13aafff6,0xfd01ffb8,
    0x05dfddbf,0xa807ffc0,0x3fa045ff,0x5801902f,0xff80bffe,0x93ffa02f,
    0x5ff31ffa,0x05fff2c0,0x02fff960,0x001fff90,0x402fff96,0x803fee05,
    0x400bffe5,0x7f00fffc,0x3ff617e0,0x3ff61202,0x3ee04fee,0x73ffd01f,
    0x7c001fff,0x3ff600ff,0x7ff41dad,0x22a80b02,0x3fa06ffb,0x8bffe03f,
    0x5ff31ffa,0x6ffb8aa0,0x3fee2a80,0x2fff9806,0x7fdc5500,0xf9007c06,
    0xffb8aa01,0x2fff9806,0x3f507fe0,0xb107ff60,0x325ffb07,0x407ff204,
    0xbffb1ffe,0x007ffc00,0x905dfff3,0xd01a05ff,0x3fff7557,0x4413fee0,
    0x8ffd46ff,0x57d02ff9,0x803fff75,0xfffbaabe,0x82fff401,0xfbaabe82,
    0xefda81ff,0x5f403a02,0x01fffbaa,0xd282fff4,0x03997dd9,0xdecffdb8,
    0x225ffb01,0xdffe9844,0xf11ffe80,0x3fe007ff,0x0226e00f,0x5883ffb8,
    0x26667260,0x3fa05ffc,0x42ffb80f,0x5ff32ffa,0x93333930,0x4e4c0bff,
    0x05ffc999,0x2203ffee,0x4ccce4c5,0x2a005ffc,0x99c98041,0x205ffc99,
    0x5880fffb,0x40007441,0x2ffd802d,0x02a21a8a,0x3ea1ffe8,0xfff801ff,
    0x74401600,0x803620ef,0x0fff980d,0x4419fb10,0xcff982ff,0x0d83ffe8,
    0xb00fff98,0x01fff301,0x2e07fff1,0x7fcc06c4,0x05fd000f,0xfff301b0,
    0x07fff101,0x01be612e,0xfb00fd10,0x4c1f105f,0x0bffa07f,0xf801dffb,
    0x007301ff,0x6ef7fec4,0xfe81aa01,0x67f6405f,0x3f201dec,0x20effaef,
    0x17ffa06a,0x5ffe81aa,0xd886ffd8,0xfe81aa3f,0x03f3005f,0x3ffa06a8,
    0x886ffd85,0x00dd03fd,0xffd00f90,0x6d87da87,0x2efffc98,0x207bffa2,
    0x82dfffca,0x03300009,0x4439ff70,0x004ffffb,0x00440013,0xb8873fee,
    0x3ee4ffff,0x3fee21cf,0x3ffea4ff,0xfffeeeee,0x4439ff73,0x404ffffb,
    0x7fdc02cb,0x3ffee21c,0x3bffea4f,0x3fffeeee,0x100065c4,0x7dcc0397,
    0xfffeefff,0x0006f226,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x95000cc9,0x31000009,
    0x00133333,0x32a01993,0x84ccc404,0x88009998,0x4c199999,0xa9801999,
    0x9306400a,0x00015510,0x08037aa0,0x0c0c0000,0x00cca800,0x28380f2e,
    0x1cc88080,0x1003fd80,0xd1005fff,0x2a20beab,0x8009dfff,0x0bfa03fd,
    0x227fd510,0xa8802ffd,0x74c1efff,0xbf9102df,0x2e05fd75,0xfb01fa8e,
    0x3f600009,0x1006cc02,0x339500bd,0x3f6000b7,0x807f4402,0x202dbacc,
    0x009f704a,0x764007f1,0x7fa806d9,0x7ff409fb,0x407f1003,0x3f2002f9,
    0x800bfea3,0x3f883ffd,0xd113fa60,0xbfff109f,0x80007d80,0x1f3002f8,
    0x2003fee0,0x8001ffff,0x7f1003f8,0x81bffe20,0x4017a06b,0x83660039,
    0x711a802c,0x017fec01,0x01540398,0xffa8ff20,0x0fff6002,0x7fe803d1,
    0xf707ff50,0x003b001f,0x6c002980,0x003d880e,0x5400032e,0x2024c003,
    0x40bea01a,0x33331048,0x41333333,0x99999998,0x26620999,0x99999999,
    0x802ffd80,0x4cc41998,0xc8009999,0x00bfea3f,0x3663ffd8,0x827fe400,
    0x3310fff8,0x37103333,0x988002e6,0x99999999,0x223fa819,0x00199999,
    0x33331001,0x21998813,0x21999998,0x81999998,0x9999886e,0x3ffea219,
    0x22ffeccd,0xccdfffa8,0x3ea22ffe,0xffeccdff,0x802ffd82,0x2a21ffe8,
    0x8009dfff,0x4bfea3fc,0xfd80cfe9,0x3a00b73f,0x3ffa02ff,0x3dfff512,
    0x0ffadf70,0xffffb880,0x887fedcd,0x3ffea27f,0x8059801e,0x40bfffe9,
    0x3ea23fd9,0x3ea21eff,0x2fd41eff,0x0f7ffd44,0x3a617fec,0x4c2ffd82,
    0x42ffd82e,0x2ffd82e9,0xd03ff700,0x7e4007ff,0x2d8bfea3,0x3f2fff60,
    0x05fff005,0x3fa27ff4,0x2e7d303f,0x7654001e,0xf83dc2ff,0x01fff42f,
    0xf8800fd8,0x205b03ff,0xffd03ffe,0x7407fd07,0x5ffb03ff,0xffd82b84,
    0x7ec15c22,0x6c15c22f,0xff7002ff,0x005ffb03,0x5ff51fe4,0xfffb0072,
    0xf8809fff,0x3ff601ff,0x0017fec5,0x3fa36000,0xff83422f,0x4017fec4,
    0xf7004ff8,0x6c0b10ff,0x5ffb02ff,0x7ec07ff0,0x45ffb02f,0x5ffb0513,
    0xffd8289c,0x7ec144e2,0x3ff7002f,0x4005ffb0,0x2bfea3fc,0x7fec00fc,
    0x402fffbb,0x3fa02fff,0x217fec4f,0xfd89ffe8,0x3a57002f,0x40a512ff,
    0x17fec5fe,0x007ffe40,0x0ec3ffe8,0x3605ffb0,0x1ffc42ff,0x3605ffb0,
    0xd80932ff,0xd80932ff,0xd80932ff,0xfb8602ff,0x02ffd81f,0xffa8ff20,
    0x7ec05ffe,0x01fff93f,0xff01fff4,0x82ffd85f,0x5ff51ffb,0x7ff4b100,
    0x5fd80572,0x22017fec,0x5003ffed,0x01261fff,0x3f605ffb,0x017fc42f,
    0x3f605ffb,0x6c04eabf,0x404eabff,0x04eabffd,0x2a817fec,0x3f607fee,
    0x8ff2002f,0x2ffcbffa,0xfe8fff60,0x9ff700ef,0x361bfe20,0x1ffa82ff,
    0x1b005ff3,0x17557ff4,0xffb13fa0,0xffa9b805,0x53ffa006,0x17fec00d,
    0xff82ffd8,0x40bff603,0x04feeffd,0x27f77fec,0x3fbbff60,0x817fec04,
    0x207fee2d,0x32002ffd,0x74bfea3f,0x7ffb00ff,0xd02fffc4,0x5ff701ff,
    0xf505ffb0,0x00bfe63f,0xffd555b5,0xfe805fdb,0x2017fec3,0x400bffe5,
    0x802cfffa,0xffb02ffd,0x6c09fd05,0x5ffb02ff,0x5ffb0132,0x5ffb0132,
    0x7ffd0132,0x7fdc3f90,0x002ffd81,0x2ffa8ff2,0x3f60bff3,0x2fffdc3f,
    0x260cfe88,0x5ffb03ff,0x3e63ff50,0x2ab6202f,0x5b2ffeaa,0x7ec1ff80,
    0xfb8aa02f,0x3ff6006f,0x05ffb006,0x3f20bff6,0x40bff605,0x08912ffd,
    0x44897fec,0x4897fec0,0xffffb984,0x20fffeee,0xffd81ffb,0x27f90602,
    0xf88effe8,0xff730dff,0x3ff227df,0xfd701dff,0x6c05bfb9,0x1ffa82ff,
    0x0e405ff3,0x22997ff4,0x7ec37c40,0x2aafa02f,0x5001fffb,0x3f600bff,
    0x05ffb02f,0x7fec0df1,0x145ffb02,0x22ffd835,0x5ffb06a2,0x54c03514,
    0x40ffdc00,0x85502ffd,0x015303fc,0x00015100,0x6c02ffe4,0x2ffa82ff,
    0x12605ff3,0x24317ff4,0x3ff60bee,0x33339302,0x2a00bff9,0xffb005ff,
    0x40bff605,0x5ffb00fd,0x220bff60,0x417fec0f,0x17fec0f8,0xdf5007c4,
    0xd81ffb80,0xc85b02ff,0x00bf703f,0x8000df30,0x7ec03ffd,0x8cff982f,
    0x40b03ffe,0x45882ffe,0x05ffb04e,0x3ffe6036,0x05ffa800,0x3605ffb0,
    0x09d102ff,0x7f40bff6,0x743ed43f,0x43ed43ff,0x3ed43ffe,0x3f202f40,
    0x83ffe81f,0x01fec1fc,0x1b60009d,0xbffb1000,0x07ffd057,0x3febbff2,
    0xfd01e40e,0x324f985f,0x20fffa04,0x17ffa06a,0x401bfee0,0xffd03ffe,
    0x740f4407,0x7fdcc3ff,0x6fffeeff,0x3bfffee6,0x2e66fffe,0xffeeffff,
    0x02f2206f,0x30dffe98,0xdddffff7,0x32a21fff,0x00bc982c,0x000de440,
    0x21aca880,0x0befffb9,0x7e440088,0x3ff2a23e,0x3fffeeff,0x3fee6035,
    0x9ff70bef,0x7fffdc43,0xfffd7304,0x3fee6057,0xff730bef,0x8dc017df,
    0x0befffb9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c155510,0x400b8370,0x03326020,
    0x20008000,0x4401c448,0x99980c42,0x1ca80199,0x33333100,0x16600001,
    0x01999998,0x13333310,0x80a20000,0x00c0c019,0x82620026,0x7dc06600,
    0x5ddfcabe,0x0364be20,0xd0b59ff5,0x26dd09ff,0x02fdc03f,0x05f31d90,
    0x03aeb3a0,0x1fffffe6,0x200b1750,0x04fffffc,0x207f7000,0x01ffffff,
    0x5fffffb8,0x2e066200,0x6f6dc43f,0xcaacc80b,0x19b7f503,0xd7d5dd30,
    0x3a20fc07,0x05fb80df,0xd00ff7e4,0xfb87fffb,0x3fe20fca,0x7e406fb9,
    0x3ffe2006,0x3ffea005,0x55555104,0x0370c805,0x35555530,0x19999988,
    0x3a666662,0x55555500,0x55553001,0x59f90035,0x5f115dd7,0x745d4fd4,
    0x0ffff886,0x89f35f98,0x7ff70fe8,0x3ff61e60,0xf1017600,0xb88c40bf,
    0x8970f442,0x71002e29,0x1ffb8001,0x1005c400,0x80333333,0x71005bd9,
    0xf7102e63,0x7dc45dff,0x002000ae,0x26666662,0xe9809999,0x57ffc43f,
    0xd13abf41,0x7fd015c0,0x5fd83fe2,0x2640ffea,0xb1017fea,0x99999988,
    0x26209999,0x26219999,0x26219999,0x26219999,0x99999999,0x26666209,
    0x99988009,0x09999999,0x07bffea2,0xfb801a60,0x3fa07fd6,0x8003d02f,
    0xffa88059,0x2ffeccdf,0xff506fe8,0x3acff887,0x3e00980a,0x21ffccdf,
    0x0ffe64ff,0x0fff6174,0xfff51020,0x45ffd99b,0x21efffa8,0x21efffa8,
    0x21efffa8,0xccdfffa8,0x3ee22ffe,0x0cdeddff,0xcdfffa88,0xfe82ffec,
    0x01fb003f,0x0f5cfa60,0x1902ffe8,0x000fd800,0x2e985ffb,0xf8827fe4,
    0x7fff40ff,0x7667d403,0x4ce7fc42,0x49ff1099,0x87983ff9,0x20002fff,
    0x174c2ffd,0xfe81fff4,0x07ffd03f,0x5d30bff6,0x7ec3fff0,0x85ffb00e,
    0x2ffd82e9,0x004ff880,0x05ffd000,0xff880032,0x45ffb004,0x3ffe8570,
    0xf50bffe0,0x3e605fff,0xdff07fa6,0xf32ffc40,0xf88b707f,0x360002ff,
    0x415c22ff,0xffb02ffd,0x40bff605,0x15c22ffd,0x3fa0fff4,0x22ffd81f,
    0x5ffb0570,0x01fff900,0x6c4fff44,0x2ffe82ff,0x7e400190,0xffd800ff,
    0x3fe144e2,0x13ffa02f,0x217fffa6,0xb17f64fc,0xfd04c1ff,0x741ffccf,
    0xb82fff82,0x6c0ccccc,0x4144e2ff,0xffb02ffd,0x40bff605,0x144e2ffd,
    0x3f20fff4,0x22ffd85f,0x5ffb0513,0x3ffed880,0xfa8ffdc0,0x02ffe82f,
    0x3b620019,0xffd803ff,0x3fe20932,0x17ff601f,0x227ffec4,0x51ff24ff,
    0xb8755dff,0x87ff91ff,0x3ffe80f8,0x360dff90,0xd80932ff,0x5ffb02ff,
    0x6c0bff60,0xe80932ff,0x3ffd41ff,0x04997fec,0x2e017fec,0x5406ffa9,
    0x05ff31ff,0x03205ffd,0x37fd4dc0,0x755ffec0,0x80bffe04,0x3aa04ffe,
    0x93fe67ff,0x7fdc0ffc,0x7dff905f,0x705b87ff,0x3fee0bff,0xd57ffb05,
    0x02ffd809,0x3f605ffb,0x57ffb02f,0x1ffe809d,0x360fffcc,0x404eabff,
    0xf2c02ffd,0x7fd405ff,0xfd05ff31,0x4003205f,0xb00bffe5,0x409fddff,
    0x3fe03ffe,0xf5750c2f,0xf927fc3f,0x1003ea0d,0x7b0ffe63,0x5c07fec0,
    0xdffb05ff,0xffd809fd,0x205ffb02,0xffb02ffd,0xfe809fdd,0x43fff81f,
    0x04feeffd,0x55017fec,0xf5037fdc,0x20bfe63f,0x01b02ffe,0x37fdc550,
    0x264bff60,0x2209ff70,0x4ea586ff,0xfb27e46f,0x30013e09,0x007c47ff,
    0xfb81bfb1,0x25ffb05f,0x17fec04c,0xfb02ffd8,0x4bff605f,0x0fff404c,
    0xfb0bffe2,0xfb01325f,0x555f405f,0xf501fffb,0x20bfe63f,0x00d02ffc,
    0x3feeaafa,0x4bff601f,0x3ffa0448,0xf82ffb80,0x987f1752,0x7c07fa6f,
    0x3fe6000f,0x75401aa3,0x0acdcbcf,0x1225ffb0,0xb02ffd81,0x3ff605ff,
    0x225ffb02,0x07ffa044,0xfd81fff1,0x6c08912f,0x339302ff,0x20bff933,
    0x5ff32ffa,0xb107ff70,0x33339300,0x7ec0bff9,0x441a8a2f,0x3fe20cfd,
    0xbbbbfb02,0x3f33ea05,0x033fee02,0x21bff710,0x1ec4003d,0x145ffb00,
    0x02ffd835,0x3f605ffb,0x45ffb02f,0x3ffd06a2,0xfd85ffa8,0x6c1a8a2f,
    0x301b02ff,0xff301fff,0x107ffd19,0x00d81ffd,0xfff980d8,0x105ffb00,
    0x33fb201f,0xb9801dfd,0x20011003,0x998801a8,0x80015099,0xfb000ff8,
    0xd81f105f,0x5ffb02ff,0x6c0bff60,0x40f882ff,0x7ff41ffe,0x882ffd81,
    0x41fff40f,0x17ffa06a,0x7fd77fe4,0xeffd880e,0x06a801dd,0x7f417ffa,
    0x803ed43f,0x01880009,0x00000000,0x007c8000,0xfb50fffa,0x3a07ffd0,
    0x7ffd03ff,0xb50fffa0,0x265fff0f,0xffd01efd,0x2e67da87,0xf70befff,
    0x7fdc439f,0x001104ff,0xfb800660,0x3fee21cf,0x3fee64ff,0x6fffeeff,
    0x00000000,0x00000000,0x801bc800,0xeeffffb9,0x3ee66fff,0xf730beff,
    0x2e617dff,0x730befff,0xffddffff,0x7ffe4cdf,0x980adfef,0xfeeffffb,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x441cc980,0xcb801cc4,0x00f75403,0x88040188,0x54c01cc4,
    0x99999999,0x02204419,0x30048832,0x11000803,0x80bd9004,0x503c8ac8,
    0x44028801,0x06600440,0x0601edc0,0x06e1d406,0xfb0510a2,0x3ee3b209,
    0x00ef8800,0x3622fff4,0x06ffdbff,0x23b20bf7,0xffb100fb,0xb9bfffd9,
    0x535d0ffd,0xf33f501d,0x7fcc2205,0xe80df704,0xf303bdff,0x47dc05ff,
    0x74fdc1fa,0x3a013604,0xb900ea9b,0x9cc07fd7,0x2ab2e01b,0x3633a04c,
    0x3e4ff886,0xf1027c4f,0x3ee009ff,0x7d4f5c00,0x5d7ffd41,0x06fc82ff,
    0x2609fff1,0x3ffa0cff,0x7fdc3e43,0x1bffa04f,0x0fff51d8,0xdd981ff2,
    0x1bd00fff,0x3d9740d9,0x505f96f8,0x3ffee00d,0x3ea5f904,0x0aa5501f,
    0x00ffff88,0x2607ffea,0x4bff16ff,0x0deb8049,0x1b003900,0x4ffe624c,
    0x0b882ff9,0x22037ae0,0x3ffd87ff,0x01b98342,0xfa80f74c,0x5c41b2e1,
    0x00a88601,0x4882b893,0x7e5bea12,0x3000fc45,0xaafec037,0x137202ff,
    0x6c005d40,0x4bff104e,0x0084c0ca,0x30660026,0x98109803,0x07ff12ff,
    0x02130026,0xffb09ff9,0x13014a27,0x3ee03300,0x3302541f,0x03300000,
    0x5bee0130,0x0026c5fb,0x6c45c400,0x200002ff,0x3e000019,0x36faa03f,
    0xcdbfa83e,0xbfebcb80,0x7541dcce,0x7fcc3edb,0xfa87ff12,0x5f540cdb,
    0x17ffc3ed,0x02a9ffec,0x20336fea,0x2a1eebfa,0xc8aeeffe,0x1eebfa80,
    0x3627ffa2,0xebfa82ff,0xeccfa81e,0x2fcb7c42,0xfd1003aa,0x05ffb13f,
    0x45ff7d91,0xfd89ffe8,0xfebdc82f,0x44fff443,0x0fec2ffd,0x30f26e8e,
    0xf513e6bf,0xff9bfe63,0x4c3c9ba0,0x47ff12ff,0xe89f35f9,0xfff88f26,
    0xe9bffd82,0x3e6bf302,0x6fbafcc4,0x0388ffdc,0x71beebf3,0x0bfea3ff,
    0x31beebf3,0x320ff4df,0x07e26e8f,0xfa8ffdc0,0x5477cc2f,0x8ffdc2ff,
    0x97e42ffa,0x7fdc1ffa,0xfb85ff51,0x6ffc5620,0xf13fe850,0xf8a7ec1f,
    0x7c4ff64f,0xff9850df,0x7f47ff12,0x3e21ff13,0x7fcc50df,0xfeffd81f,
    0x227fd02f,0x44ff20ff,0x00ffdc6f,0x46f89fe4,0x5ff31ffa,0x8df13fc8,
    0x217f64fc,0x262641b8,0x263ff502,0xaa7ec2ff,0x8ffd42ff,0xafec2ff9,
    0x7fd42ffa,0x6985ff31,0x3dffd34c,0xff99bff0,0xffb85c43,0x3a4fdaad,
    0xffa81eff,0x7fc7ff13,0x3a1ffccd,0xfff81eff,0xe8bffd81,0xf99bff02,
    0x201ff43f,0xfe801ffb,0x98ffd403,0x01ff42ff,0x07fc93fe,0x37621d50,
    0x8ffd42f9,0x7ffc2ff9,0x2a0bffec,0x85ff31ff,0x2ffd88b8,0xff98ffd4,
    0x43ee2c42,0x221ffff9,0x09999cff,0x9dff9eb8,0x3fe60999,0x3ff621ff,
    0xf13ff88e,0x4133339f,0x6c1ffff9,0x3ffd82ff,0xcff88457,0xff109999,
    0x01ffb809,0x2a027fc4,0x45ff31ff,0x3e604ff8,0x003ff24f,0xf9fdc3f1,
    0xf98ffd46,0xe9f7dc2f,0x47fea0df,0xec882ff9,0x7fd42ffb,0x8505ff31,
    0x3ffa22fd,0x22037fc5,0x00fff0fe,0x100bffd1,0x037fc7ff,0x2e2fff44,
    0x3ffd83ff,0x0dff2431,0x7dc06ff8,0x06ff801f,0xff98ffd4,0x3e037fc2,
    0x201bf24f,0xff97f44c,0x7cc7fea1,0x41ec402f,0x5ff31ffa,0xffa8ef98,
    0xf98ffd42,0x94ff802f,0x3ff63fe4,0x24fc8260,0x490c1ffd,0x222607fc,
    0x83ff62ff,0x87fc9209,0x3ffe86fd,0x83ff65b8,0x10bff209,0x6400ffd4,
    0xff5042ff,0xf90bfe65,0x93f2085f,0x075404fd,0x50ffcffa,0x0bfe65ff,
    0xff501f70,0xfb0bfe65,0xf50bfea9,0x70bfe65f,0x7d7fe23b,0xffa8bf11,
    0x7ffc3aae,0x9bfffdaa,0x2fc47e0c,0x43ff39f0,0x43aaeffa,0x360bf11f,
    0x8fffe0cf,0x3fea3fb8,0x7fcc3aae,0x7fcc4abf,0x3fe600ba,0x7fcc4abf,
    0x4c3ffe8c,0x4c4abfff,0x8807fa6f,0xdf3fb82e,0xfe8cff98,0x41fdc03f,
    0xffe8cff9,0x7f67ffc3,0x33fe60bf,0x3e23ffe8,0x3edff35f,0xfb80edce,
    0xfffc85ff,0x83dfff53,0x200edcef,0xfb83fcfb,0xdcef85ff,0x37f6e00e,
    0xfeefffff,0x7ffdc2ff,0x1bfff705,0x7007ff90,0xf901bfff,0x81dff5df,
    0xa80dfffb,0x6402fccf,0x5f3bd104,0xff5dff90,0x6ff4401d,0x7d77fe43,
    0x4fbee0ef,0x7fe40dfe,0x3a0effae,0x8853fa3f,0x04401800,0x02210088,
    0x00c00c40,0x31000221,0x30018000,0x13000001,0x4c000880,0x88008800,
    0x2014c00c,0x2a600008,0x00000880,0x20200110,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06546540,0x4c133331,0x44000002,0x443003ed,0x081001a9,0x2005ec80,
    0x99100cca,0x02a20005,0x11002080,0x03dd3004,0x2a059910,0x1664004c,
    0x26004098,0x0a228801,0x22133310,0x2f53e002,0x22fffea2,0xd884fece,
    0x3ffd8aff,0x007ffe40,0x75def6e4,0x6d7ea04f,0x3ffea02f,0x805fd002,
    0x6d4005fb,0xfe803feb,0xff706f99,0x7ff40b7d,0x206fa805,0xf5001fe8,
    0x6d5ec40d,0x3d97d301,0x80d52e40,0xff8bffc8,0xf88e9806,0x1b7ffb00,
    0x7fd41fe4,0x4c07ff32,0xc803e8bf,0x077f440e,0x02fdafd4,0x201b637a,
    0x1f7002f8,0x7f9a7c00,0x6f99fe80,0x07fff9b0,0x00be67ee,0x4e8801db,
    0x9801db00,0xdf37406f,0x00991ec0,0xfff17ff3,0x0551b801,0x2a0fffec,
    0x97fd41ff,0x87203ff9,0x302c8058,0x01020bff,0x5006e1d4,0x002b8007,
    0x4037cbf5,0x26080208,0x04983601,0x0588006c,0x8bc801b0,0x74bf705f,
    0x1f45f03f,0xba9ffc40,0x3600000f,0x4ff984ff,0xff997fd4,0x02800003,
    0x00017ffc,0x00000000,0x5f17fc80,0x98004c00,0x20013000,0x00130009,
    0x8204c266,0x25fe84fb,0x3ea625fd,0x300af99a,0x3447ff11,0xd89ffe88,
    0x3ffd82ff,0x7d46ff88,0x5c7ff32f,0xffe89fff,0x8004e98c,0xffd14ffd,
    0x445ffb13,0xffd89ffe,0x227ffa22,0x3fa22ffd,0x02ffd89f,0x00777fee,
    0x817667d4,0x502eccfa,0x2a05d99f,0xf502eccf,0x3ea05d99,0xea84cfbc,
    0x7fc2ffcd,0xffc9bf64,0x43ffffff,0x3ffcdefb,0x1ffb80b2,0xffb05ff5,
    0xa83ffe07,0x87ff32ff,0x9ff30ffd,0x2666606c,0xffc99999,0x7d47fee6,
    0xa8ffdc2f,0x8ffdc2ff,0x7fdc2ffa,0x5405ff51,0x3b6a0fff,0xfe9be60c,
    0x3fd37cc1,0x07fa6f98,0x20ff4df3,0x107fa6f9,0x2a17f4ff,0xf893fe6f,
    0x321ff64f,0x3fe61aa5,0x02e7ff90,0x3e63ff50,0x03ffd82f,0x7fcc3fff,
    0xf987ff32,0x22fff53f,0x66fffcc4,0x7ffecccc,0x7fcc7fea,0xf98ffd42,
    0x98ffd42f,0x8ffd42ff,0xcc882ff9,0x43646ffc,0x917f64fc,0x322fec9f,
    0xf917f64f,0x3f22fec9,0xdf717f64,0x93f63ff4,0x93fe66fd,0x91ec0ffd,
    0x7c4dfb09,0x3fea003f,0xfb05ff31,0x83ffe07f,0xffe8cff8,0xf796fe83,
    0xfff0353f,0xa97ff203,0x85ff31ff,0x5ff31ffa,0xff31ffa8,0xf31ffa85,
    0x3a5f885f,0x3e03a4ff,0xff1ff24f,0x3fe3fe49,0x9ff1ff24,0x93fe3fe4,
    0xcaff47fc,0x93fe0ffd,0x9ff10ffd,0x7f313fec,0x7c139d33,0x00ffe25f,
    0xff31ffa8,0x207ffb05,0xeffc87ff,0x7dc1effa,0x4cff8baf,0x3205ffd0,
    0x47fea4ff,0x7fd42ff9,0xfa85ff31,0xa85ff31f,0x85ff31ff,0x3ffe65fc,
    0x4ff983aa,0x7fcc3ff2,0x7cc3ff24,0x4c3ff24f,0x43ff24ff,0x3ff24ff9,
    0x737bff10,0x93fe63ff,0x93fe0ffc,0x3fff26fd,0xf13fffff,0x01ffc4bf,
    0x3e63ff50,0x03ffd82f,0x54220bff,0x43ffe206,0xff903ffd,0xa87ff607,
    0x85ff31ff,0x5ff31ffa,0xff31ffa8,0xf31ffa85,0x5c7ff85f,0x3fe05fff,
    0x9ff1bf24,0x93fe37e4,0x927fc6fc,0x324ff8df,0xc97ffc6f,0xd93fe27f,
    0xfb2ff47f,0x54cfdc4b,0x97fe099f,0x2a003ff8,0x05ff32ff,0x2ba67ffb,
    0x4f802ff8,0xff52fec0,0x213fe203,0x7fd44ff8,0xfa85ff32,0xa85ff32f,
    0x85ff32ff,0x5ff32ffa,0x7ec4ffe8,0x7e4312ff,0x9f913f64,0x93f227ec,
    0xb27e44fd,0x364fc89f,0xf937ec4f,0x3f64fe8d,0x7fd2fdc5,0x6c1ae5c8,
    0x00ffe66f,0xfe8cff98,0x73ffd83f,0x200bf1df,0x0bea00ff,0x1ffa80df,
    0x3e606fec,0x43ffe8cf,0xffe8cff9,0x7467fcc3,0x67fcc3ff,0x7dc3ffe8,
    0xfedaadff,0x3e60eeff,0xdf307fa6,0x9be60ff4,0xd37cc1fe,0x3a6f983f,
    0xfd3fd41f,0x3fa5f983,0x6f8b7440,0x541323d8,0x4ffe8aff,0x577fe400,
    0xff730eff,0x9bfd37df,0x06ffdc00,0x00f207c4,0x3baf3f62,0x2bbff203,
    0x7fe40eff,0x640effae,0x0effaeff,0x7fd77fe4,0x3ffae20e,0x3fff90df,
    0x05f99f50,0x40bf33ea,0x502fccfa,0x2a05f99f,0x6442fccf,0x502ecdea,
    0x2203d99d,0x1f80edce,0xeffc80fa,0x4001dffa,0x09800008,0x200a8800,
    0x99800080,0x40011000,0x00220008,0x0c400088,0x00880188,0x02200110,
    0x08800440,0x22001100,0x0c011000,0x04310026,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20082200,0xcca804ed,0x6403cb80,0x03301260,0x0401dd98,0x80208801,
    0xc8801ee9,0x0099502c,0x83200d4c,0x4cccc448,0x26666219,0x07322019,
    0x20133310,0x00188019,0x40e0d544,0x10199999,0x4402a035,0xf509f97f,
    0x2fe803ff,0x5c01fd10,0xd502fa9e,0x45603dff,0x3e67fa05,0xb7dff706,
    0x4037ff40,0x3fa206fa,0x74efcc01,0xf33f503f,0xefffa885,0x3bffea21,
    0x2013ee01,0x5e43ffc8,0xbeb84fea,0x7f6404ea,0x83baeebb,0x86fffff9,
    0x6c1eeaeb,0x3f2ff303,0x06d8ce84,0x7f100be6,0x305ffe80,0x20bffd9b,
    0x99fe8165,0xfff9b06f,0x3e67ea07,0x20076c02,0x3fe204e8,0x3a01ff51,
    0x3ffa06ff,0x807ffd03,0x6554c05e,0x23f51dff,0x93ea1ffb,0x4fe883fc,
    0xfb837fc4,0x7dc3ffff,0x3541ff34,0x1d40c110,0x80154072,0x0f754049,
    0x407ff438,0x10401dda,0x6c0330c0,0x01b01260,0xff981620,0x2a05ff31,
    0x3ff601ee,0x405ffb02,0xbaa98048,0x27f91dff,0x97fa5ff9,0x3ff446fa,
    0xae82ffb8,0x7fc0aaaa,0x0f897fe3,0x04c004c0,0x04c004c0,0xf9000cc0,
    0x9800cc0d,0x20033001,0x00330019,0x1ffb8066,0x04c01ff3,0x6c0bff60,
    0x00cc02ff,0x31ffcc4c,0xf93fe63b,0xb8bf51ff,0xffd884ff,0x1007660f,
    0x237f47ff,0x9b7f503d,0x19b7f501,0x019b7f50,0x9019b7f5,0xb007fd7b,
    0xfd7b901d,0x3faf7207,0x7fd7b903,0x0ffaf720,0x81ff5ee4,0xb83febdc,
    0x02dd89ff,0x205d99f5,0xffb02ffd,0x3bafea05,0xfcdefb81,0x83bee03f,
    0x1fcafffc,0x3621ffec,0x3f22ffe8,0xff982eff,0x5a83ff63,0x89f35f98,
    0x989f35f9,0xf989f35f,0x2fc89f35,0x32203ff5,0xa97e41ef,0xa97e41ff,
    0xa97e41ff,0xa97e41ff,0xa97e41ff,0xa97e41ff,0x4ffdc1ff,0x6f983fc8,
    0x3ff607fa,0x305ffb02,0xf51beebf,0x80fff21f,0xfffd80ee,0x42fff80f,
    0x7c9ffd1d,0xf85fffff,0x883ff65f,0xf89ff40f,0x7c4ffa0f,0x7c4ffa0f,
    0x7c4ffa0f,0x7d57f60f,0xffffb02f,0xffaafec3,0xffaafec2,0xffaafec2,
    0xffaafec2,0xffaafec2,0xffaafec2,0xfd0ffdc2,0x3f64fc85,0xb02ffd85,
    0x27f905ff,0x32ff46f8,0x036a07ff,0x445fffe8,0xd8722fff,0xffb714ff,
    0xffc89fff,0x85d0dfd1,0x1ffccdff,0x3ff337fe,0x3f337fe1,0x3337fe1f,
    0x222e21ff,0x3a602ffd,0x222e23ff,0x45c42ffd,0x5c42ffd8,0x442ffd88,
    0x42ffd88b,0x2ffd88b8,0x7fec45c4,0xfd0ffdc2,0x3f24ff8d,0xb02ffd87,
    0x07fd05ff,0x3fe64ff8,0x6ec40903,0x7fc4fffb,0xffe8572f,0x8fff7303,
    0x4ffeffc8,0x33fe25b8,0xff109999,0x22133339,0x09999cff,0x33339ff1,
    0xffbec881,0x22ffc402,0x82ffbec8,0x82ffbec8,0x82ffbec8,0x82ffbec8,
    0x82ffbec8,0x42ffbec8,0x9ff61ffb,0x3ff24ff9,0xd817fec0,0x27fc42ff,
    0x7cc9ff10,0x7f40503f,0xfe8fff52,0xfff84abf,0x807fcc01,0x7882ff99,
    0x3fe037fc,0x2037fc06,0x77cc06ff,0xd802ffa8,0x2a3be64f,0x477cc2ff,
    0x77cc2ffa,0x7cc2ffa8,0x4c2ffa8e,0x42ffa8ef,0x2ffa8ef9,0xffb0ffdc,
    0x1bf24ff8,0x876cbff6,0x6ff81ffd,0xff32ffc0,0x1ff88007,0xffb83ff6,
    0x07ff884e,0x5fc80db0,0x0ffd8ba0,0x20ffd826,0x983ff609,0x0983ff60,
    0x17fd53f6,0xfd87ee06,0xfd85ff54,0xfd85ff54,0xfd85ff54,0xfd85ff54,
    0xfd85ff54,0xfb85ff54,0x45fc899f,0x213f64fc,0x2ff9affd,0xff901ffb,
    0x99bf6085,0x82d983ff,0x17ee1ff8,0x3f203ff6,0x26404c1f,0x4c80bf30,
    0x0eabbfea,0x8755dff5,0x43aaeffa,0x43aaeffa,0xbffecfff,0x1f41bf70,
    0x3ffb3ffe,0x3b3ffe0b,0x3ffe0bff,0x3e0bffec,0x0bffecff,0x3ffb3ffe,
    0x3b3ffe0b,0x3fee0bff,0x4c2f9ee9,0x3a07fa6f,0x7f4fd3ff,0x57fff305,
    0xe99ffb89,0x0ffe84ff,0x0bf23fc8,0xff117fe6,0x10cff883,0x402fcc0b,
    0x2fffdc79,0x705fffb8,0x3ee0bfff,0x3efb85ff,0x3fa61bfd,0xefb82ddf,
    0x7dc1bfd3,0x5c1bfd3e,0x41bfd3ef,0x1bfd3efb,0xdfe9f7dc,0x7f4fbee0,
    0x73ffd30d,0x33ea079d,0x7fdcc2fc,0xfccd9bef,0x3ffee00d,0xaeffc80d,
    0x37e41dff,0x2ccbeb88,0xb7bd73b0,0x3ff2039d,0x377504df,0x00c0fc00,
    0x20030018,0x26200001,0x00000000,0x00000000,0x44000000,0x000c0000,
    0x04310026,0x20040020,0x0004c419,0x00004011,0x00000033,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20013000,0x26209998,0x00980019,0x26666662,0x00351009,0x26662130,
    0x0cccc099,0x220054c0,0x22199999,0x80501999,0x086a6029,0x0000a980,
    0x4c401331,0x99988199,0x99999980,0x05554400,0x80000003,0xffeaffe9,
    0x3ffc8804,0x2003ff62,0xfffdbec8,0x3ffffee3,0xf9eb81ff,0x0de5c406,
    0x815fffd5,0xdb104fea,0x1019db79,0x443bfff5,0x3ee21dfb,0x6d417407,
    0x102dedab,0x19db79db,0xd75bf900,0xfffb305d,0x81dfb887,0x00bfffd9,
    0xbf959ff7,0x21ff70b9,0x7fdc1ffa,0x645f913f,0x05ff35ff,0xfb87ff30,
    0x15fc800f,0x7fec15ff,0xf986ffff,0x3a207fd4,0x1fff500e,0x0f4412e0,
    0xffd00ea8,0x3fc07605,0x85f10b90,0x01e882f9,0x3fa601d5,0xe827fc44,
    0x01d81fff,0x7441ffe6,0x70bf706f,0x07fea1ff,0x44a8bff6,0x1bfa1ffb,
    0xf70ffe60,0x4ff8801f,0x59bf13fe,0xbf709f55,0x3fa20ff2,0x81fff400,
    0x2a1e880d,0x80e9babc,0x01902ffe,0x407cc1fa,0x442d81fc,0x0abbcc9e,
    0x0ffd01d3,0x3b60ffea,0x00640fff,0x3f60fff3,0x2e17601f,0x03ff50ff,
    0x2064bff1,0x1ff60ffb,0x43ff9898,0x10130ffb,0x327fc7ff,0xfd03f305,
    0x1ff4404d,0x4c37fd40,0x8fea3903,0xffd0755b,0x3f403205,0x1dfd02e8,
    0xfb8e4298,0x8750fd8c,0x3fe04ffc,0x7ffc6c0f,0xff300646,0x80bff50f,
    0x50ffb858,0x3ff603ff,0x41ff7090,0x77dc0ffd,0x7dc3ffcd,0xd84ffdbf,
    0x003ff15f,0x01ffa0f9,0x80153ff5,0x80641fff,0x868e1ba6,0x01902ffe,
    0xc81721fa,0x9a00cfff,0x349f74fa,0xfe80bffa,0xfffaac2f,0xff980324,
    0x804ffd87,0xf50ffb80,0x2ffe603f,0x20ffb829,0x87fd47fd,0x7fdc3ffc,
    0xf707ff34,0x3a003db7,0x67ffe544,0xfdffc80c,0xbff900cf,0xf5588244,
    0x7f40d809,0x3e01902f,0xf1007cc7,0xb107ffff,0x22fda7d4,0x80bffe0d,
    0xf72c4ffe,0x980325ff,0x3fff87ff,0x21ff7000,0x3fa01ffa,0x41ff705f,
    0x32ff46fe,0x0ffb87ff,0x26ae1bfa,0x707e6000,0x03ddffdd,0x13fe2bfd,
    0x0c87ffc4,0x00ff2750,0x02ffe839,0x3cca8819,0xe98710ba,0x2a0effff,
    0x07fbbea3,0x07ffe239,0x22c5ffd8,0x00c9fffd,0xff11ffe6,0x3ee0005f,
    0x033ff70f,0x7dc13fea,0x42ff88df,0x0ffe64ff,0x7fec1ff7,0x20003f20,
    0x07fe607c,0xdfb2ffc4,0x2c67fec0,0x017eab10,0x205ffd0d,0x88b9000c,
    0xffff705e,0x79f52c49,0x7ffc687f,0xb13ffa02,0x019dffd0,0x7fc3ffcc,
    0xccccb83f,0x2afff20c,0x3e02cffe,0xd7ff701f,0x4ff887ff,0xff70ffe6,
    0xfb07fec1,0x805bdfff,0x807fc04e,0x3ff25ff8,0x37fff301,0x421fe680,
    0x02ffe858,0xb03e600b,0x3f2214bf,0x19f5347f,0xfd1621ff,0x17ffc07f,
    0x3fffe216,0x21ffe600,0xff904ffd,0x1bfff90d,0x35c03dfd,0x8061ff70,
    0x0ffe65ff,0x37ec1ff7,0x3fffffe2,0x803f300f,0x9bfe087d,0x3fa00ffb,
    0xb52c806f,0x0ee1b55b,0x0340bff2,0x2fc642e8,0xc83fee0d,0xbf71bf92,
    0x09ff70ee,0x4161bfe2,0x3ea0fff9,0xf70dff34,0x17fee0bf,0x003026f6,
    0x07fdc073,0xff337ec0,0x3a1ffb87,0x55575c4f,0x0f703fda,0x2abfff62,
    0xb9ff61da,0x17fd406f,0x35116c40,0x3ffb82d4,0x45c80588,0x7f0ef9bb,
    0x35b117e0,0x16e66133,0x7dc07ff4,0x3ee0582f,0x7cdff60f,0x03ffb05f,
    0x09f0bff7,0xc8091b80,0xffb801ff,0x5c4ffe99,0x41df12ff,0x00f983f8,
    0x3e26e09d,0x7446ffff,0xf005fb2f,0x056c400d,0xfe8816e2,0x3003620e,
    0xffffe81f,0x1fa83ff3,0x5c40ad88,0x833f6205,0x01f02ff8,0x29f307e4,
    0xfd102ffa,0x88bff70d,0x37ea006f,0x3ffa2048,0xeffc800b,0x3ae1dffa,
    0xb81ddbeb,0x01dcbbdf,0x376605f3,0x982effbd,0x9002ebed,0xedb88007,
    0xd8803dec,0x801ddeff,0x9d2fc02e,0x403997dd,0x3decedb8,0xd99fd900,
    0x5dfb503b,0x336e0740,0xfea803ee,0x41ceebbd,0x3e2005f8,0x266200cf,
    0x43100099,0x80098100,0x01880199,0x10031044,0x00088001,0x330000c0,
    0x5401cc00,0x00018822,0x00980003,0x08802000,0x01333000,0x00100008,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x84415510,0x31099998,0x4c413333,0x26028809,
    0x05014c01,0x33330198,0x00033033,0x81986662,0x00999998,0x26660188,
    0xb8930199,0xb8031002,0x0199884c,0x26666620,0x22199999,0x00999999,
    0x98806662,0x80099999,0xfeb81cc8,0x51ddfdbd,0x3663dfff,0x3660bfff,
    0x444ff81e,0x0ba05fed,0x7c40ff71,0xfffff880,0x013fe60f,0x2a7ffa20,
    0x7ffec3ff,0x3ff623ff,0xf985ffdb,0x3a07ffff,0xfd886c8d,0x202ff9bf,
    0xffe981ff,0xfff71000,0x4ffdb9bf,0x0aefffb8,0x407ffa20,0x09dfffa8,
    0xfc85fb80,0x70fec40f,0xfff88dff,0xff882b81,0x905f84c5,0x7d03fc0b,
    0x15555540,0x4001ffea,0x6ffb9ffb,0x0d55554c,0x3ee7ffea,0x5555441f,
    0x3ffe602a,0xdb9ff302,0x807ea05f,0x2a000ffc,0x3dc2ffec,0xb8017ff4,
    0x7ff401ff,0x3217a003,0x43f101ff,0x7ec1fff8,0x32a0584f,0xf305f700,
    0x6b83f401,0x5dc01300,0x3ff70007,0x00981b2e,0x3fe65ff5,0x64006602,
    0x9bfe605e,0xf700ae00,0x746c001f,0x6c3422ff,0xff7002ff,0x02ffd803,
    0xbff50b10,0x7fe41b80,0x223ffcc4,0xff910004,0x3f402e81,0x3ea007c4,
    0x09302ecc,0x1ffb80c4,0x36fea0ea,0x997fd40c,0xebdc83ff,0x2031003f,
    0x44004ff9,0x001ff701,0x897ff4ae,0x15ffb052,0x01ffb807,0x00017fec,
    0x20013ff2,0x7fd47ff9,0x05006e2f,0x01720fb8,0x300fa1fa,0x640ff4df,
    0xff99ff91,0x11ffb81d,0xf35f9819,0xf32ffa89,0xf52fc87f,0x5ffec43f,
    0xff985ffd,0xb7ffb103,0x7ff70bff,0x3fa58803,0x7ec0572f,0x7dc00dcf,
    0x17fec01f,0xd0fff4c0,0x3a0005ff,0x3fef62ff,0x70710165,0x00f992a7,
    0x4035c7f8,0x897f64fc,0x4dfffc43,0x4ffdc3ff,0x227fd028,0x4bfea0ff,
    0xafec3ff9,0x7fd42ffa,0x4c1ffb9f,0x3fea03ff,0x5c1ffb9f,0x20d803ff,
    0x02eaaffe,0x5c013ff6,0xd83d89ff,0x640ee2ff,0x5fff11ff,0x5bfee000,
    0x98fff8b9,0x2603a603,0x221741bc,0x44f32a23,0xff03510f,0x2203fe49,
    0x713fe4ff,0xdff803ff,0x3ea1ffcc,0x887ff32f,0x42ffd88b,0x5ff32ffa,
    0x2a03ff98,0x85ff32ff,0x6d400ffb,0xedffeaaa,0x0bff602f,0x7d4ffdc0,
    0xf32ffd87,0x43ff701f,0x10003fff,0x36193fff,0xf300cbff,0x445c800b,
    0xd13e805e,0x27fcc9ff,0x7c401ff9,0xf717fe4f,0x67fc403f,0x3ea09999,
    0x107ff33f,0xa85ff7d9,0x87ff32ff,0x3ea03ffa,0x4c7ff32f,0x36200ffe,
    0x2ffeaaaa,0x3ffe205b,0x13ff7002,0x45ffb057,0x43ff704c,0x20004ffd,
    0x3ea5dffc,0x3ff305ff,0x3607cc00,0x1335c05f,0x649ff1be,0x27fc406f,
    0x1ffb8bff,0xd1037fc0,0xdffb1dff,0x7d477cc3,0x997fd42f,0x3ff623ff,
    0x25ff501e,0x3eea3ff9,0x3a07200f,0x984532ff,0x8602ffed,0x7ec01ffb,
    0xffb8602f,0x001bfee1,0x7c1fff98,0x1ff902ff,0x42e807aa,0x3e205f8c,
    0x4fc87f01,0xff1013f6,0x3ee2ffc9,0x07fec01f,0x802a6013,0x85ff54fd,
    0x7ff32ffa,0x7d402a60,0xb87ff32f,0x209300ff,0x34862ffe,0x1540bff6,
    0xfd803ff7,0x7dc5502f,0x017fec1f,0xc86fe809,0x43ff607f,0xb8b904fc,
    0x7b00ef9b,0x9be616a0,0x7fc401fe,0xff717fe4,0xaeffa803,0x817ee03a,
    0xbffecfff,0x7ccbfea0,0x209f903f,0x7ff32ffa,0x0b00ffb8,0x2c417ff4,
    0x0f40bff6,0xfd803ff7,0x7dc5b02f,0x41ffd81f,0x1fdc03d8,0xff3027cc,
    0x3e603e65,0x1fffff40,0x3159835c,0x02fccfa8,0x3fe5ff88,0x400ffe46,
    0xe805fffb,0x74fbee04,0x4ffea0df,0x0fe03ff9,0xff99ffd4,0x640ffe43,
    0x30bffa03,0x43ffe89f,0x3ff21fc8,0x41fff401,0x07ff21fc,0x6f67fedc,
    0xd00f8801,0xbbfeb803,0x5f805d03,0xff881f88,0x001100ff,0x7dcf7fe4,
    0xbffd32ff,0x26006001,0x880000bc,0xffd8effe,0x405e4c1e,0xfd8effe8,
    0xbffd31ef,0x88fbf221,0xeeffffca,0xff733fff,0xfffdddff,0x037ffa61,
    0x3bfffee6,0xd30fffee,0x19801bff,0x00601800,0x00e60088,0x4c0aa0aa,
    0x00002aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c455126,0x51099999,0x20883030,0x13333310,
    0x98109800,0x99999999,0x13333099,0x999884cc,0x4cccc400,0x33333119,
    0x33102203,0x44001333,0xb8099999,0x0cc9803c,0x4c488020,0x1802a603,
    0x00eea804,0x9832132a,0x20880884,0x0fc8dd80,0x277ffea2,0x5ec5ff88,
    0x3ff21da9,0xfff514bd,0x2019bdbb,0x263edbea,0xdfffcdef,0xfff93fec,
    0xfd89fd43,0x7fd4402f,0xfff712ef,0x5107a03b,0x9bdbbfff,0x7fffe401,
    0x00ff884f,0xdf501fec,0x07dc7640,0x20ff5fdc,0x82ccffe8,0x3e04fff8,
    0xfa8eb81f,0x7fc41c81,0x7fcc5fb8,0x47ffd03f,0x3e60fff9,0x3f7626ff,
    0x17ff42ff,0x4dd03ffb,0xff83a63c,0x7fe8f60f,0x9ff912c4,0x3faa2055,
    0xffaaaadf,0x01fd82cf,0x7fec5ffd,0x55555301,0x880fe603,0x07fdc03f,
    0x984fff88,0x541fc8ff,0xc80fffdc,0xf980fb8e,0x217ffe02,0x47fc41fa,
    0x05ec85fb,0xf750bff6,0x8442b881,0x2ffd80a8,0xff10ffec,0x7c298a1b,
    0xfb8e20ff,0xfc88aa2f,0xd5102acf,0xf55559ff,0xffc857ff,0xd85ffb01,
    0x300001ff,0xb801d409,0x406f5c01,0x88600ffb,0x1d419102,0x3baa015c,
    0x440ffdc0,0x20620020,0x05882ffd,0x2ffd8000,0x3fa37fdc,0x7fc041ef,
    0xbff1040f,0x997fd42c,0x20fff600,0x7f541fff,0x7fec2eef,0xd137fdc2,
    0x5ffb13ff,0x00000000,0x003ff200,0x20000188,0x3faa0018,0xb1002eef,
    0x85ff37ff,0x41c82ffd,0x74c1ffe9,0x2ffd81ff,0xf307ffd4,0xff803fff,
    0x47fec00f,0xdbffa848,0x7ffb05ff,0xf703fff0,0x0bff603f,0x7dc1fff5,
    0x985ff51f,0x37e21ffe,0xf11fffcc,0x23fff99b,0xfffccdf8,0x2203ff21,
    0x5ffdbffd,0x221ffe98,0x2ff9bffd,0xf707ffa6,0x3ffd303f,0xfedcff98,
    0x2e17fec2,0x903ff900,0x7f4c43ff,0xfff119bf,0x85ffe885,0xabfffaaa,
    0xbbffa80a,0xb9fffa82,0xbffd81ff,0x1fff9999,0x4c41ffb8,0xf119bffe,
    0x8ffd45ff,0xffc82ff9,0x5ffa9221,0x25ffa922,0x917fea48,0x3fea01ff,
    0xc81ffb9f,0x67fcc1ff,0x7fe42fed,0xc80ffdc1,0x37fcc1ff,0x005ffb01,
    0x7dc0ffdc,0x3ffaa61f,0x7fff0aac,0x550ff924,0x1557fff5,0x5417bfe0,
    0x05ff32ff,0x9999bffb,0xfeb83fff,0xfd532eef,0x3fe1559f,0x4c7fea3f,
    0x1ffb82ff,0x07ffc422,0x83ffe211,0x81fff108,0xff500ffc,0x2e0bfe65,
    0x37fcc1ff,0xb83ff701,0x3ff701ff,0x6c04ff98,0x3ee002ff,0x81ffb81f,
    0xfff82ffd,0x02fc47e2,0x77403ffe,0x5eeeffee,0x7fccbfea,0xf83ffd83,
    0x1ffb81ff,0xff05ffb0,0x98ffd45f,0x1ffb82ff,0x6407ff90,0x3ff203ff,
    0x500ffc83,0x0ffe65ff,0xff307fee,0x41ffb809,0xff701ffb,0x403ff983,
    0x70602ffd,0x3ff703ff,0xf885ffb0,0x373be1ff,0x07ffc00e,0xa817fd40,
    0x07ff32ff,0xfff07ffb,0x203ff703,0x7fc42ffd,0x4c7fea1f,0x1ffb82ff,
    0x2606ff98,0x3fe606ff,0x201ff906,0x7ff32ffa,0xf983ff70,0x0ffdc03f,
    0x7dc07fee,0x01ffcc1f,0x1540bff6,0x3ee07fee,0x42ffd81f,0x2d846ff9,
    0x201fff00,0xcdffdccc,0x4cbfea3c,0x3ffd83ff,0xfa81fff8,0x85ffb01f,
    0x7fd46ff9,0xf705ff32,0x03ffb03f,0xfb00ffec,0x03ff203f,0xff997fd4,
    0x4c1ffb83,0x7fdc03ff,0xb80ffd41,0x1ffcc1ff,0x6c0bff60,0x5c0ffdc2,
    0x2ffd81ff,0x7440ffec,0x01fff007,0x2ffee666,0x4bfea099,0xffd83ff9,
    0xa81fff83,0x7ec0abff,0x20ffec2f,0xffe8cff9,0x541ffb83,0xfa8a65ff,
    0xffa8a65f,0x0ffc8a65,0x3e65ff50,0x41ffb83f,0x7dc03ff9,0x557fcc1f,
    0x2a0ffdc0,0x7ff403ff,0x7e41fc83,0x81ffc81f,0xff932ffe,0xf803e405,
    0xffb801ff,0x265ff503,0x3ffd83ff,0xf901fff8,0x25ffd07f,0xf902ffc9,
    0x81dff5df,0x3fe21ffc,0x3e23d10f,0x223d10ff,0x43d10fff,0xff500ffd,
    0x320ffe67,0x1ffd41ff,0x3207ff20,0x1ffc83ff,0x207bff62,0xeeffffb9,
    0x3a60fffe,0x3fa60dff,0xfff730df,0x4017bfdf,0x7e5401cb,0xf7302eff,
    0x6c417dff,0xeffd8eff,0x7dfff731,0x5dfff951,0x7ffdcc00,0x400bdfef,
    0xffe98008,0xdbdff90d,0x3bff21ff,0xff90ffed,0x2e1ffdbd,0x7440dfff,
    0xeffd8eff,0x437ffa61,0x301effd8,0x4001bffd,0x000dffe9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x99999881,0x26666201,0x33333119,0x33333303,0x02003333,
    0x26666620,0x20ccc401,0x88009998,0x99999999,0x441a8099,0x4c400999,
    0x26619999,0x20d40099,0x99999998,0x33310999,0x4ccc4333,0x4cccc199,
    0x4ccc4181,0x26200999,0x4cc00999,0x33310999,0xbfa80133,0x3fea21ee,
    0x3ea201df,0xff711eff,0xdffa83bf,0x05fffccc,0xfa880598,0x1effddff,
    0xb10fff44,0xf51005ff,0xffd99bff,0x220ffa85,0x6c402ffd,0x3a61efff,
    0xadd881cf,0x3ffea26f,0x13ffdccd,0x443dfff5,0x4c1efffa,0x27fc2dfe,
    0x13bfff51,0x7fffd440,0x5dfff300,0x37ffea21,0x3e60bffe,0xffd0df75,
    0x0fff6003,0x3aa07ffe,0x007ffdc0,0xfe8007ec,0x85ffd11f,0x7fd41ffb,
    0x0bff6002,0x0ffb85d3,0xe8017fd4,0x204d86ff,0xd85f8cfb,0x21ec43ff,
    0xffb03ffe,0xf107f107,0x07ffd0bf,0x81fff6c0,0xfb04ffdc,0xc93fea5f,
    0xfb0df13f,0xfd80135f,0x81fff83f,0x1fffc41b,0x8027fc40,0x3fee1ffd,
    0x2a0ffdc5,0x3f6002ff,0x5415c22f,0x002ffa81,0x2d47fff3,0xfb013fa0,
    0xfd87307f,0x87ffb02f,0x076e01e8,0xd800bff6,0xcd886ffa,0x5ff903ff,
    0x3fe87ffc,0xfcdffd80,0x07ffb03f,0xb0303fff,0x3f200dff,0xffd800ff,
    0xf71bfea1,0x02ffa83f,0x138bff60,0x97fd4005,0x7ffe4009,0x4ff80589,
    0x451ffec0,0xd817fec1,0x003663ff,0x002ffd80,0x2e17ffd6,0xf903ffca,
    0x457fec5f,0xffd804ff,0xfb0bff51,0x03fff07f,0x003fff50,0x007ffdb1,
    0x7fec3ffb,0x2a0ffdc2,0x19fd32ff,0x1265ffb0,0x2a0fff4c,0x05ffdbff,
    0x006f7ff4,0x40bfffd3,0xd8163ffd,0x7ffb02ff,0x3600016e,0x656002ff,
    0xffcac5ff,0x7c5ff903,0x00dff0ff,0x7ffc3ffb,0x4cdffec0,0x401fff99,
    0x7004fff8,0xb00dff53,0x3bfb57ff,0xfa83ff70,0xfd80b62f,0x3204eabf,
    0x77fd41ff,0x2601ffa8,0xff004fff,0x8bffd809,0x0bff607b,0x2fe5ffec,
    0x17fec000,0x3ffe2b00,0x0fff2730,0xffb97fe4,0x810bff24,0x3ffa1ffd,
    0x666ffec2,0x401fffcc,0xb000fffc,0x36017ffc,0x1dfecdff,0x7d41ffb8,
    0xfd80392f,0x2e04feef,0x97fd41ff,0x7dc02ff9,0x4ff801ff,0x7ff7fec0,
    0x40bff607,0x4ffffffd,0x6c0f6c40,0xd96002ff,0x3f2194ff,0xfdff903f,
    0xfff983bd,0x1ffd84ab,0xffb03ffe,0x403fff07,0x5002fff9,0x2037fdc5,
    0x3ff21ffd,0x2a0ffdc4,0x400fcaff,0x40992ffd,0x7fd41ffb,0xa807ff32,
    0xff806fff,0xa9ffec04,0x40bff607,0xfffbbffd,0x21bfea02,0x96002ffd,
    0x3248fff9,0x5ff903ff,0x1bfff700,0x3ea3ffb0,0x83ffd84f,0x3fa01fff,
    0x57d0505f,0x403fff75,0x3fe21ffd,0x507fee0f,0x80bffdff,0x08912ffd,
    0xff507fee,0x980ffe65,0x404fff8d,0x7fec04ff,0x2ffd8123,0x3f27ffb0,
    0xfff100ff,0x0c05ffb0,0x43dffd16,0xff903ffc,0xb0074005,0x05bdddff,
    0x3fe0fff6,0x1fff701f,0x99c98b10,0x205ffc99,0x7ffc1ffd,0xf507fee2,
    0x405ff97f,0x1a8a2ffd,0xff507fee,0x440ffe65,0x807ffee5,0x7fec04ff,
    0x2ffd8063,0x7f47ffb0,0x216200ef,0x85502ffd,0x3237fd45,0x5ff903ff,
    0xd81be600,0xffb001ff,0x103fff07,0x12e07fff,0x1fff301b,0xf887ff60,
    0x20ffdc7f,0x1ffd2ffa,0x220bff60,0x507fee0f,0x0ffe65ff,0xdffb0362,
    0x36027fc0,0xffb003ff,0x88fff605,0x0ee05fff,0x16c0bff6,0xf90bfe16,
    0x0bff607f,0x3fa06d80,0x7ffb002f,0xfb03fff0,0x47fb10df,0x17ffa06a,
    0xffb17ff4,0x541ffc87,0x0bff32ff,0xfb50fffa,0x7d41ffc8,0xb09ff32f,
    0x09fff109,0xfd80bff1,0x7ffd003f,0xf70fff60,0x20550bff,0x1fc83ffe,
    0x361ee074,0x7ffb04ff,0x30197100,0x405dfff7,0x8befffb9,0x22efffca,
    0xeeeefffa,0xff73fffe,0x7ffdc439,0x3ffee64f,0x4c1defef,0xfd10dffe,
    0xbfff11df,0x3fffee61,0x266fffee,0xfd10dffe,0x3dffb1df,0x442fbfae,
    0x10cffffc,0x7307fff9,0x2017dfff,0x0befffb9,0x27dfff73,0x1dffffc8,
    0xfff73011,0x1fffdddf,0x388b7f26,0x2ffffee6,0x5dfff730,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33051000,0x33333333,0x26666213,0x40880009,0x01999998,
    0x33103500,0x99881333,0x26666621,0x33333310,0x00003333,0x800001d8,
    0x0000c419,0x8004c011,0x4c00cc19,0x00033001,0x0c013000,0xff31fa20,
    0xd9bfff9b,0x3ffee27f,0x200cdedd,0x7dc43fc9,0x3effcdff,0x077ffdc0,
    0x817fffd3,0x3fea3fd9,0x20036fff,0x0fc81301,0x7fd40be0,0xa85f914f,
    0xbec9fbce,0x27ffa21d,0x0eeaffd8,0x817667d4,0xcebfebcb,0xebdc81dc,
    0xdd7f503f,0x44fffdc3,0x4e98cffe,0x40cdbfa8,0x1ff604fe,0x07ffc1f3,
    0x21fff87b,0x7e4c0efd,0x3ffd03ff,0xf982ffdc,0x7c46ffff,0x885b03ff,
    0x032aaaaa,0xd99f5060,0x2f80bee5,0x4a8bff60,0x3ffb37cc,0x1ffb83fa,
    0x41f75ff5,0x507fa6f9,0xf9bfe63f,0x7d4bf20f,0xfbafcc1f,0xf987fec6,
    0xbf30364f,0x6ff893e6,0x398fff50,0x87107ffc,0x7ff41ffe,0xd03ffb81,
    0x0fff83ff,0x3fff50c8,0x5887ffb8,0x43001800,0x2f7fa6f9,0xf1017c04,
    0x3fa0649f,0x7e43ff24,0x7cc7fea3,0x27e41bcf,0x14fd8bfb,0xb1fec9ff,
    0x90bfeabf,0xf31be27f,0x45ffea7f,0xff13fe84,0x6c40edc1,0x3e0447fd,
    0x3fa040ff,0x42ffe41f,0xffd03ffa,0x082ffd83,0x7f407fec,0xe980ec3f,
    0x0c0061ff,0x437ec9f9,0x9bf99998,0x87fec199,0xf91ffc44,0x54bfb55f,
    0x05ff31ff,0x47fc93fe,0x5bff70b8,0x45c49fb5,0x7f42ffd8,0x796fe803,
    0xff0353ff,0x003ff99b,0x201ff636,0x7f400fff,0x43ffd41f,0xffd03ffa,
    0x800fff83,0xfff506fb,0xff901261,0x3e1800c3,0x321ff24f,0xffffffff,
    0x5dffd47f,0xf71ffcc1,0x5413335f,0x05ff31ff,0x7fe49ff3,0xdff9eb80,
    0x64409999,0x3e22ffbe,0xaffb804f,0x884cff8b,0x09999cff,0x0ffb2c80,
    0xe801fff0,0x7ffcc1ff,0xe81ffd41,0x13fee1ff,0xfd01fec0,0xf700369f,
    0x31800c3f,0x07fe49ff,0x7f4017c0,0x649ff04f,0x3fea02ff,0x3e05ff31,
    0xd11bf24f,0x301ffe1f,0x85ff51df,0xff8806ff,0x207ffb0f,0x4a8006ff,
    0x3fe01ff6,0x0fff400f,0x3ea1fffc,0xdbffd03f,0x7c005dfd,0x67ffd406,
    0x21ffb802,0x27fc3001,0x0be00df9,0x6c0bfee0,0x317ff24f,0xffa97fd4,
    0x7ec9f902,0xffb27e44,0x553f6183,0x17fe42ff,0xfa97f602,0x41ffb01f,
    0x2c4bb209,0x3fe01ff6,0x0fff400f,0xf50bffe2,0x27ffa07f,0x7000fffb,
    0xdffb001f,0x187fee00,0xb27e4300,0x00be009f,0x6fa81fe2,0x2e77fffa,
    0x3eb3fe60,0x4df303ff,0x57ffc1fe,0xc9bfffda,0x3fb3ffe0,0x3ffe60bf,
    0x85f504ab,0x3bfea06f,0x5bfe63aa,0xfffffffb,0x03ffe00f,0xf883ffd0,
    0x1ffd40ff,0xffb1ffe8,0x003f100b,0x5c017fea,0x0c0061ff,0x07fa2df3,
    0x3c8017c0,0x4f667d40,0xfc81effd,0x00effadf,0x905f99f5,0x3fea7fff,
    0x9f7dc1ef,0x7fdc0dfe,0x81f100df,0x7ffdc03c,0xff73fe85,0x01ffffff,
    0x3a007ffc,0x2ffd41ff,0xfe81ffd4,0x07fff11f,0xf50141e8,0x3fee00bf,
    0x2a0c0061,0x2002fecf,0x4001001c,0x22004418,0x80110000,0x00011008,
    0x80800980,0x01006000,0xff807fd8,0x0fff400f,0x3ea07ffa,0x43ffd03f,
    0xd901fffa,0x540b9999,0xff9005ff,0x101800c3,0x00000001,0x00000000,
    0x00000000,0x00000000,0x3fec0000,0x200fffc0,0xdfb32fff,0x40ffee03,
    0x7fec2ffe,0x7fffdc0e,0x3fee03ff,0xdffe9806,0x55555730,0x00007555,
    0x00000000,0x00000000,0x00000000,0x00000000,0xca81ff60,0xc982dfff,
    0xadfeffff,0xfffeb980,0xdfff930b,0x8f7ff445,0xfffffff9,0xfffeb982,
    0x0000002b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03a20000,0x04260000,0x04261330,0x40000000,0x83100000,
    0x06200098,0x00c40000,0x1b300000,0x40cc0e20,0x3a24a819,0x0b234400,
    0x26014033,0x3500cc00,0x2201f100,0xffd89ffe,0x1f6df542,0x267de7d4,
    0x3ae005d9,0x3e8acda8,0x3e2f9300,0x11fffccd,0xdffb7ffb,0x885fff71,
    0x5ffdbffd,0x5c77ff4c,0x7ffb10bf,0x3fa65ff3,0x37ff621f,0x200cfe98,
    0x89f101fa,0xd06f83f9,0x5d1035c7,0x97fb635c,0x3e207fb8,0x313ffa05,
    0x4401dfff,0x47fee00f,0x93742ffa,0x3fa7f887,0x073fee22,0xfccffe88,
    0xdfea805f,0x2ffd4911,0x3e23bfea,0x50dfd2ef,0x3ff73fff,0x0576ff88,
    0x5fdb9ff3,0x3ea0ffe4,0x0000ba3f,0x23f9a7cc,0xa822bb08,0x37417e2f,
    0x5e84c3f5,0x3fb607e8,0x47f89981,0x440db14f,0x47fea00f,0x3fe22ff9,
    0x26fb850d,0xbfb507fe,0xe8837605,0x17ff9104,0x1fff1088,0x3fe3ff98,
    0x3ea1ff65,0x705ff32f,0x3e6099ff,0x3ff7026f,0x0592ff98,0x26666662,
    0x6fcc0999,0x555fec3f,0xb8ff45fb,0xfa97ec4f,0xfd05f505,0x01b67e60,
    0x3e23ccbd,0x3f533310,0x7fd41333,0xfe85ff31,0x95fe81ef,0x64401ffb,
    0x03f10cff,0x2dfda8d5,0x307ff900,0x92ffc7ff,0x25ff50ff,0xffd03ff9,
    0x813fe601,0x7fcc1ffb,0xffd00fca,0xbfffffff,0x9930df70,0xfb839999,
    0x3ea5ff16,0x3220bfe7,0xe83f40ff,0x3a605f14,0x0f983e60,0xfffffffd,
    0x8ffd4bff,0x7fcc2ff9,0x37fe21ff,0x801ffb9b,0x20f37fe8,0x05ff90f8,
    0x9837fcc0,0xc97fe3ff,0x32ffa87f,0x3fea07ff,0x407ff304,0x7fcc1ffb,
    0x00005ffe,0xa827e7cc,0x23fd01cc,0x99fec4fb,0xd03ee06f,0x3641f50f,
    0xbb0c46c4,0x7c409b31,0x4c7fea00,0xffe882ff,0xfc97ffc5,0x5f7ecc07,
    0x51ae0be0,0xfb005dfb,0x8ffe603f,0x21ff25ff,0x7ff32ffa,0x203ffe20,
    0x3ee03ff9,0x65ffcc1f,0x803003ff,0xb89f33f9,0x7d43faaf,0x53ec17e2,
    0x2cc5dc5f,0x221f43fc,0x3fbba23f,0x033ff661,0x3ea00f88,0x485ff32f,
    0x4dfb1ff2,0xbfd706fc,0xe883b203,0x19ff9104,0x14cbff50,0x2ffc7ff3,
    0x5ff50ff9,0x56c0ffe6,0x3ff984ff,0xf307fee0,0x003ffa5f,0x0fe605f5,
    0xf8b5c9f3,0x80b71743,0xbc99ae3e,0x85e65441,0x65495049,0x001104cc,
    0x7fcc01f1,0x7c3ffe8c,0x7fa8bf11,0xffc887fa,0x3ffa200b,0x400effdd,
    0xff12dfda,0xfa87a21f,0xfd9bfe3f,0x99ffd40f,0xfd1c83ff,0x03ffa83f,
    0xff507ff2,0x101bfe67,0x09814017,0x0588ea00,0x00164688,0x00000000,
    0x99fb9997,0xeffc8799,0x3be0effa,0x2b220edc,0x6e42ecde,0x971b7002,
    0x2005d159,0xbdff97c9,0x3f621ffd,0xafffb8ef,0x3a24fffa,0xeffd8eff,
    0xfb17fb31,0x3ff623df,0xdffe981e,0x31dfff10,0x0001bfff,0x00000000,
    0x00000000,0xccb80000,0x3ccccccc,0x11080088,0x00001100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd9800000,0x993380be,0x2043cb83,0x33333260,0xffffff10,
    0x5dc4ffff,0x3bbbbbbb,0x00000000,0x00000000,0x00000000,0x54188000,
    0x3100a980,0x45d902a0,0xdddddddb,0x408085dd,0xeeeeeeeb,0xd0fae6ee,
    0x715bffb9,0x3fe27e47,0x87f4fee1,0x20fffffb,0x99999999,0x3bbba219,
    0x006eeeee,0x00000000,0x00000000,0x00000000,0xfa97fc40,0x1f91d10f,
    0x2a1e8cc8,0x99ffe67f,0xbbbbbbbb,0x3f22c47c,0x2eeeee64,0x3fe3bbbb,
    0xfea886a7,0xf53e40df,0x3fd4fc83,0x00eeeee6,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffb9ffcc,0x43f71d30,0x7dc9d3f8,0x007ffa0f,
    0xf1fd4798,0xfd8000ff,0x20088024,0x8860370c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fe00000,0xcc98ff51,0x3ecbea1f,0x001a0ff5,
    0x2e3f88f3,0x33332a3f,0x044ccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x89f60000,0x3ea7e65f,0x1274fe21,0x8009309f,
    0x200f2648,0xccccccca,0x000004cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfa8fa2dc,0x465c3fcd,0x0e61741e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x00820e43,0x00206406,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_22_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_22_latin_ext_y[560]={ 17,3,3,3,3,3,3,3,3,3,3,5,14,11,
14,3,3,3,3,3,3,3,3,3,3,3,7,7,5,8,5,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,10,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,17,7,3,3,5,3,
3,3,3,3,3,8,8,11,3,1,3,5,3,3,3,7,3,8,16,3,3,8,3,3,3,7,-1,-1,-1,-1,
-1,0,3,3,-1,-1,-1,-1,-1,-1,-1,-1,3,-1,-1,-1,-1,-1,-1,6,3,-1,-1,-1,-1,-1,3,3,3,3,
3,3,3,3,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,7,3,3,3,3,3,3,3,
0,4,-1,3,3,7,-1,3,-2,3,-1,3,-1,3,-1,3,3,3,0,4,-1,3,-1,3,3,7,-1,3,-1,3,
-1,3,-1,3,3,2,-2,-2,3,3,-1,3,0,4,-1,3,3,3,-1,7,3,3,-2,3,3,3,7,-1,-1,3,
3,3,3,3,3,3,3,-1,3,3,7,-1,3,3,3,7,0,4,-1,3,-1,3,3,7,-1,3,3,7,-1,3,
-1,3,-2,3,3,7,-1,3,3,4,-1,3,3,4,-1,3,0,4,-1,3,-2,3,-1,3,3,7,-2,3,-2,3,
-1,-1,3,-1,3,-1,3,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,4,4,3,4,4,4,
4,4,4,4,4,4,4,4,4,4,2,6,4,4,4,4,4,4,4,4,4,4,4,4,4,1,7,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,3,-1,3,-1,
3,-1,3,-1,1,-1,0,-1,0,-1,0,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-4,-1,-1,3,-1,3,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static unsigned short stb__times_bold_22_latin_ext_w[560]={ 0,4,9,10,10,18,16,4,7,6,8,11,5,7,
5,6,10,8,9,9,10,10,10,10,10,10,4,5,11,11,11,8,19,15,13,14,14,13,12,16,16,8,10,16,
13,19,14,15,12,15,15,10,13,15,15,20,15,15,13,4,6,5,10,12,5,10,11,9,11,9,9,10,11,6,
6,12,6,17,11,10,11,11,9,8,7,11,10,15,10,10,9,6,2,7,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,8,10,10,10,
2,10,7,15,7,10,12,7,15,12,8,11,6,6,5,12,11,5,4,6,7,10,15,15,15,8,15,15,15,15,
15,15,20,14,13,13,13,13,8,8,8,8,14,14,15,15,15,15,15,9,15,15,15,15,15,15,12,11,10,10,
10,10,10,10,14,9,9,9,9,9,7,6,7,7,10,11,10,10,10,10,10,11,10,11,11,11,11,10,11,10,
15,10,15,10,15,10,14,9,14,9,14,9,14,9,14,15,14,11,13,9,13,9,13,9,13,9,13,9,16,10,
16,10,16,10,16,10,16,11,16,11,8,7,8,7,8,7,8,6,8,6,17,10,10,8,16,12,12,13,6,13,
6,13,10,13,9,13,6,14,11,14,11,14,11,15,15,10,15,10,15,10,15,10,19,14,15,9,15,9,15,9,
10,8,10,8,10,8,10,8,13,7,13,11,13,7,15,11,15,11,15,11,15,11,15,11,15,11,20,15,15,10,
15,13,9,13,9,13,9,8,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,14,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,16,12,11,11,11,11,11,11,11,11,11,11,11,11,11,17,13,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,15,10,8,7,15,
10,15,11,15,11,15,11,15,11,15,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,15,10,20,14,15,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__times_bold_22_latin_ext_h[560]={ 0,15,8,15,16,15,15,7,18,18,9,11,7,3,
4,15,15,14,14,15,14,15,15,15,15,15,11,14,11,5,11,15,19,14,14,15,14,14,14,15,14,14,15,14,
14,14,15,15,14,18,14,15,14,15,15,15,14,14,14,18,15,18,8,2,4,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,11,11,10,15,10,19,19,19,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,15,11,14,
19,19,4,15,7,9,5,3,15,2,8,11,8,8,4,15,19,5,5,8,7,9,15,15,15,15,18,18,18,18,
18,17,14,18,18,18,18,18,18,18,18,18,14,19,19,19,19,19,19,9,15,19,19,19,19,18,14,15,15,15,
15,15,15,15,11,14,15,15,15,15,14,14,14,14,15,14,15,15,15,15,15,9,11,15,15,15,15,19,19,19,
17,14,18,15,19,15,19,15,20,15,19,15,19,15,18,15,14,15,17,14,18,15,18,15,19,15,18,15,19,19,
19,19,19,19,18,20,19,19,14,14,18,14,17,13,18,14,19,19,18,10,15,19,20,19,18,18,10,18,18,18,
18,14,14,14,14,14,14,19,14,18,14,19,14,14,15,15,18,14,19,15,19,15,15,11,18,14,18,14,18,14,
19,15,20,15,18,14,19,15,19,18,18,15,14,14,19,15,18,14,19,15,20,15,19,15,19,15,20,15,19,19,
18,18,14,18,14,18,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,19,13,13,13,
13,13,13,13,13,13,13,13,13,13,16,12,13,13,13,13,13,13,13,13,13,13,13,13,13,17,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,18,15,18,14,19,
15,19,15,19,17,19,18,19,18,19,18,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,21,19,18,15,19,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_bold_22_latin_ext_s[560]={ 255,246,1,225,204,169,120,27,238,172,183,
125,32,112,74,248,214,41,66,52,1,227,70,48,200,238,250,203,68,62,45,
191,86,55,71,1,26,105,164,214,24,177,203,186,209,223,188,172,243,114,50,
145,12,113,81,16,138,76,41,250,249,78,228,120,92,203,25,214,13,240,154,
37,126,119,248,92,85,90,108,177,1,236,131,25,239,13,137,224,120,244,80,
153,171,185,80,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,255,251,31,
59,57,79,212,174,104,97,11,203,38,112,156,133,246,1,239,214,98,231,140,
56,51,221,19,192,129,62,46,37,56,100,116,146,177,111,190,218,233,1,15,
29,220,246,41,50,41,44,17,43,107,91,75,173,211,59,28,232,91,204,11,
128,117,106,95,84,73,62,188,1,31,21,11,1,154,249,213,247,203,201,181,
170,159,148,137,161,34,108,96,84,72,135,243,16,157,138,188,223,75,200,107,
169,87,148,164,126,215,104,73,236,127,179,173,116,88,94,59,55,177,226,18,
10,147,75,106,64,123,230,1,38,195,193,102,90,32,33,102,92,229,25,138,
146,179,141,151,205,49,207,97,84,148,64,57,43,247,11,105,235,225,211,183,
1,171,162,126,33,149,89,13,44,72,78,1,215,48,158,74,148,210,221,194,
161,1,1,160,1,60,35,207,56,17,65,241,226,17,114,65,119,179,136,40,
142,122,188,71,211,59,1,27,29,17,41,227,216,234,164,162,193,172,132,182,
192,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,57,100,100,123,
100,100,100,100,100,100,100,100,100,100,100,100,100,187,112,100,100,100,100,100,
100,100,100,100,100,100,100,100,139,163,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,178,41,
130,231,1,140,216,234,191,127,161,152,145,88,113,139,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,1,102,151,20,129,192,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,100,
100,100,100,100,100,100,100,100,100, };
static unsigned short stb__times_bold_22_latin_ext_t[560]={ 1,140,277,156,121,140,156,277,102,102,265,
250,277,276,277,121,156,250,250,172,250,172,188,188,172,172,250,235,265,277,265,
172,63,235,235,204,250,235,235,188,235,235,188,235,235,235,188,188,235,102,250,
188,250,188,188,204,235,250,235,63,172,102,265,276,276,250,188,250,188,250,235,
188,235,235,1,235,235,265,265,250,188,121,265,265,220,265,250,250,265,188,265,
22,22,22,276,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,1,140,83,
188,265,220,43,22,276,188,277,265,277,276,188,276,265,265,265,265,276,188,63,
277,277,265,277,265,188,204,204,204,83,83,83,83,83,121,204,83,83,102,102,
102,102,102,121,121,220,22,63,43,22,22,22,265,172,22,22,1,43,102,235,
172,172,172,172,172,172,172,250,235,172,172,172,172,220,204,220,220,156,220,156,
156,156,156,156,265,265,156,156,156,156,22,22,43,121,204,102,140,43,140,43,
172,1,140,43,140,43,140,121,156,220,172,121,204,121,140,121,140,1,121,121,
140,43,63,63,63,63,43,121,1,43,22,220,220,121,220,121,250,102,220,43,
22,102,265,172,22,1,1,102,102,265,102,102,102,83,220,204,204,204,204,204,
43,204,83,204,63,204,204,156,140,83,204,63,121,63,140,140,250,63,220,63,
204,83,220,22,140,1,140,83,220,22,140,43,63,83,140,220,220,43,140,83,
220,43,140,1,140,43,156,43,156,1,156,22,22,63,63,220,83,220,83,220,
220,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,156,250,250,22,
250,250,250,250,250,250,250,250,250,250,250,250,250,121,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,121,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,63,172,
102,220,23,172,1,140,1,121,1,63,1,83,1,102,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,1,1,102,140,1,156,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250, };
static unsigned short stb__times_bold_22_latin_ext_a[560]={ 79,106,176,159,159,318,265,88,
106,106,159,181,79,106,79,88,159,159,159,159,159,159,159,159,
159,159,106,106,181,181,181,159,296,230,212,230,230,212,194,247,
247,124,159,247,212,300,230,247,194,247,230,177,212,230,230,318,
230,230,212,106,88,106,185,159,106,159,177,141,177,141,106,159,
177,88,106,177,88,265,177,159,177,177,141,124,106,177,159,230,
159,159,141,125,70,125,165,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,79,106,159,159,159,159,70,159,
106,237,95,159,181,106,237,159,127,174,95,95,106,183,172,79,
106,95,105,159,238,238,238,159,230,230,230,230,230,230,318,230,
212,212,212,212,124,124,124,124,230,230,247,247,247,247,247,181,
247,230,230,230,230,230,194,177,159,159,159,159,159,159,230,141,
141,141,141,141,88,88,88,88,159,177,159,159,159,159,159,174,
159,177,177,177,177,159,177,159,230,159,230,159,230,159,230,141,
230,141,230,141,230,141,230,233,230,177,212,141,212,141,212,141,
212,141,212,141,247,159,247,159,247,159,247,159,247,177,247,177,
124,88,124,88,124,88,124,88,124,88,262,176,159,106,247,177,
177,212,88,212,88,212,149,212,126,212,88,230,177,230,177,230,
177,232,244,177,247,159,247,159,247,159,318,230,230,141,230,141,
230,141,177,124,177,124,177,124,177,124,212,106,212,166,212,106,
230,177,230,177,230,177,230,177,230,177,230,177,318,230,230,159,
230,212,141,212,141,212,141,88,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,235,247,247,159,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,176,247,247,247,247,247,247,
247,247,247,247,247,247,247,253,191,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,230,159,124,88,247,159,230,177,230,177,230,
177,230,177,230,177,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,230,159,318,230,247,159,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_22_latin_ext(stb_fontchar font[STB_FONT_times_bold_22_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_22_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_22_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_22_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_22_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_22_latin_ext_s[i] + stb__times_bold_22_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_22_latin_ext_t[i] + stb__times_bold_22_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_22_latin_ext_x[i];
            font[i].y0 = stb__times_bold_22_latin_ext_y[i];
            font[i].x1 = stb__times_bold_22_latin_ext_x[i] + stb__times_bold_22_latin_ext_w[i];
            font[i].y1 = stb__times_bold_22_latin_ext_y[i] + stb__times_bold_22_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_22_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_22_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_22_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_22_latin_ext_s[i] + stb__times_bold_22_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_22_latin_ext_t[i] + stb__times_bold_22_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_22_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_22_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_22_latin_ext_x[i] + stb__times_bold_22_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_22_latin_ext_y[i] + stb__times_bold_22_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_22_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_22_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_22_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_22_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_22_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_22_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_22_latin_ext_LINE_SPACING
#endif

