// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_23_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_23_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT        301
#define STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_23_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_23_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_23_latin_ext_LINE_SPACING          15

static unsigned int stb__times_bold_23_latin_ext_pixels[]={
    0x001aa980,0x00799000,0x2001e640,0x2a00552a,0x0f22001a,0x03106600,
    0x00298d40,0x00015530,0x80000197,0x0004cccc,0x00038853,0x00170700,
    0x00006aa2,0xd9802fec,0x0ff9800d,0x77cc1ea0,0x22bea000,0x6ffb804f,
    0x0007d400,0x0174cbe2,0x001ddd10,0x20013fa0,0x2dc802f8,0x0bdddd00,
    0x269d03d4,0x66dc403e,0xb0dc802c,0x42fe400b,0x37c4002b,0x2004f980,
    0x83d401fc,0xae4000fc,0xcef8806a,0x1113003f,0xfcfb8003,0x4cccc005,
    0x04f98001,0x01888980,0x09802fb8,0x503d4031,0xbb00dfbf,0x3e200fe4,
    0x3e000fee,0xa8016e06,0x05f9000e,0x3d400ec0,0x0e8001d8,0x21b9003b,
    0x329d006a,0x7ffc4006,0x6ca74001,0x0004c800,0x2201b29d,0xd94e806f,
    0x3fa03d40,0x727c401f,0x9ff7009f,0x20075400,0x0151004e,0x0000ffa0,
    0x2e60f504,0x28000000,0x10980098,0x05530003,0x00621300,0x21300000,
    0x07f98018,0x54031098,0x400cc407,0x01711ffa,0x00000660,0x5ec01fdc,
    0x04fc801d,0x6f776544,0x5c3d4771,0xb91005ab,0x2a039bbb,0x5550aaaa,
    0x3bbbb261,0x477b6e1c,0xc82eeeda,0xdd931dee,0x76dc39dd,0x5dddb51d,
    0x263bdd90,0x21ceeeec,0x7d41dedb,0x777764c6,0x477b6e1c,0xdddd937a,
    0x0ef6dc39,0x4400bffa,0x01cddddc,0x1ce7f6d4,0x4aa03fc4,0x05fb8048,
    0x74c33fe6,0x2c3d44df,0x1ffa8039,0x3e213fa2,0x7417c2ff,0x10d505ff,
    0xd503fffd,0x5417ffa0,0x1fffe886,0xbffd06a8,0x2fe41aa0,0xd505ffe8,
    0x2fff47a8,0xfff306a8,0x21ffa809,0x1bd04fe8,0x7f417ee2,0x0ae36202,
    0x7cc13ea0,0x44ff983f,0x059bb87a,0x7cc17fdc,0x24ffb85f,0x09ffb058,
    0x7ffe4162,0xfd82c40e,0x320b104f,0x2c40efff,0xb104ffd8,0x7ec13ea0,
    0x7a8b104f,0x58827fec,0x1bffd970,0xf305ff70,0xc82fa8bf,0xa80bfb06,
    0x01d9003f,0x3e60fff3,0x541ea2ff,0x1ffe200b,0xff82ffd8,0x3f60550f,
    0x320b104f,0x0585fffb,0x16209ffb,0x42fffde4,0x209ffb05,0x6c1ba058,
    0x88b104ff,0x8827fec2,0x3ff27a85,0xb03ffc45,0x42fec5ff,0x80dfb058,
    0x664402f9,0x10bff700,0x3d4dff9d,0xd805ee54,0x3fee05ff,0x093ffb87,
    0x58827fec,0x0ffff290,0x413ff60b,0x3ff29058,0xffd82c3f,0x6440b104,
    0x827fec1d,0x4ffd8058,0xb8dd0b10,0x17ff60ff,0x3f67ffb8,0xfc80c0df,
    0x202fe407,0xffb00bd8,0xfff53b09,0x73e89ea1,0x9ffd03ff,0x207ffd40,
    0x2048eff8,0x0b104ffd,0x22fffd92,0x209ffb05,0x7fec9058,0x7fec162f,
    0xdb80b104,0x8827fec1,0x04ffd805,0xc85ff0b1,0x813ffa2f,0xff70fffa,
    0xfc8019ff,0x07ffe207,0x3fe03b60,0xff98ec4f,0xafe4f51f,0x7fc44ff8,
    0x3ffe603f,0x01dffc81,0x2c413ff6,0x3fffa248,0x13ff60b0,0x3a2482c4,
    0x360b0fff,0x40b104ff,0x09ffb06d,0x3ff60162,0xff70b104,0xff887d47,
    0x3ffe603f,0x3fffff61,0xb81bf603,0xfa804fff,0x91fffc44,0xa8fffcc5,
    0x5ff97f27,0x301fffc4,0xff305fff,0x04ffd80d,0xff3120b1,0x3f60b1df,
    0x120b104f,0x0b1dfff3,0x2c413ff6,0xffb04fa8,0x8f516209,0x0b104ffd,
    0x7b1bffd1,0x301fffc4,0xffb85fff,0xbfb04fff,0x07ffd6c0,0x3fa17ee0,
    0xffa8774f,0x36611ea7,0x4fff85ff,0x407ffea0,0x7fec03fd,0x21209104,
    0xb05dfffa,0x412209ff,0x5dfffa84,0x2209ffb0,0x360bf704,0xa89104ff,
    0x8827fec7,0x0ffff604,0xfa813ffe,0xffd881ff,0x03fe80ff,0x00fffa55,
    0xbffb09f9,0x4bff7095,0x7cf6c47a,0x05ffd85f,0xfa81ffee,0x827fec00,
    0x3f209049,0x9ffb05ff,0xc8241260,0xffb05fff,0x7d412609,0x209ffb06,
    0x3f63d449,0xb809304f,0x7fec0eff,0x39ffee05,0xf83ffe98,0x7fdcb00f,
    0x4c1ff407,0xffb05fff,0x1ff33d47,0x3fe617fe,0x00fff206,0x0bff700b,
    0xfb0240ea,0x17fee0bf,0x360481d4,0xbff705ff,0x3fcc0ea0,0x7505ffb8,
    0x2ffdc7a8,0xffa803a8,0x9037fcc4,0x440747ff,0x81fd44ff,0x0bffe23a,
    0xff902fd8,0xa8bff105,0x7fc5bf67,0x105ffb05,0x2a350dff,0x05ffa801,
    0x44036039,0xbff505fe,0x806c0720,0xff505fe8,0x7c40720b,0x20bff507,
    0x3ea3d41c,0x3e03905f,0x3f617e66,0x46ff882f,0xe85fb04f,0x33337605,
    0x3ea06ffe,0x81dff104,0x3e7a85fd,0x2effddff,0xfd83df90,0x05b7cc0d,
    0x970bff60,0xbf1017c0,0x2e17fec0,0xf880be04,0x70bff605,0xb01fd409,
    0xa84b85ff,0x5c2ffd87,0x3f89fe04,0xfd83df90,0x2217fc0d,0x9303545f,
    0x403fff10,0x54ec0ce9,0x03deccee,0xba7fdcf5,0x3faa01ff,0xf103eebd,
    0xfc8003bf,0xb503deff,0x16a017df,0x7bdfff90,0x02fbf6a0,0x3ff202d4,
    0x3b203def,0xefffc803,0x320f503d,0x403defff,0x405daafb,0x3eebdfea,
    0xf99fb9d0,0x3601d419,0x00bffb01,0x01982981,0x80000288,0x00510019,
    0x00001880,0x00310008,0x22001000,0x10001001,0x88051003,0x01a98001,
    0x10400cc0,0xf5000133,0x017ffd40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0effdc00,0x0bffff6a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20002a98,0x20004c0b,
    0x550002aa,0x05550001,0x002aa800,0x05510000,0xa8026600,0x0000001a,
    0x01554000,0xa8001818,0xffc802ff,0x6edcc001,0x22000bbc,0xd50002ff,
    0x98003ea1,0xfb8001ff,0x7fb8005f,0x0bfe2000,0x07664400,0x000fffa0,
    0x3e603ff5,0x3ffa60ff,0x00120002,0x2005ff10,0x005a88bc,0x4406ffe8,
    0xb9005fff,0x800b2037,0x3a0005f9,0x5c003fcf,0xef88002f,0xfb8001fc,
    0x07f50002,0x0fde6400,0x00fd9f50,0x3f601fd8,0x17fdc5fb,0x002f9800,
    0x9800bea0,0x4002ffff,0x203f99fb,0x201fa8ed,0x055005e8,0x80007cc0,
    0xe8006ffa,0x5cbb0002,0x00b70006,0x98000f60,0x974018bf,0x3f1003d8,
    0x1e987540,0x4000bfee,0x360005fc,0x1dc98003,0x1a20d800,0x40b306c4,
    0x0064005e,0x35500000,0x28000000,0x00000098,0x7f400000,0x02818804,
    0x40980310,0x00bfee18,0x007ffe20,0x00000000,0xc8000000,0xaa8cc885,
    0xddc880e0,0x51001cdd,0x9159bfd9,0x37777220,0xbb91001c,0x326039bb,
    0x2e1ceeee,0xdd931ded,0x76dc39dd,0x9ff9301d,0xeeeec983,0x477b6e1c,
    0x550aaaaa,0x82aaa815,0x1cc9affb,0x04fffb80,0x37fb2a20,0xb91048ac,
    0x20039bbb,0xacdfeca8,0x67f6d448,0x7cc0f839,0x0e0ffd8c,0xfd10ffd4,
    0x2efe8809,0x3ea1bf6a,0x013fa21f,0x7f443ff5,0x417ffa04,0x0bffd06a,
    0xffff01aa,0x17ffa0df,0x3ffe2354,0x7fc417c2,0xdddffb87,0x7d6c02ff,
    0xfe8800ff,0x21bf6a2e,0x3fa21ffa,0x177f4404,0x86f4dfb5,0x234c5fb8,
    0x8dfd0ff8,0x982ffb84,0xdfd105ff,0xff71ba01,0x20bff305,0xff982ffb,
    0x209ffb05,0x09ffb058,0x3ff60162,0x413ff600,0x24ffb858,0x21ff6058,
    0x3ff64ffb,0x3ffa5500,0x077f4403,0x17fdc6e8,0xe882ffcc,0x2add00ef,
    0x25c6c82f,0x44ff8ffa,0xb03ffc43,0xffe885ff,0xff89a601,0x10bff607,
    0x7fec0fff,0x104ffd82,0x413ff60b,0x06ff8058,0x58827fec,0x0aa1fff0,
    0xffb87fd8,0x2c0bfee2,0x7440fff7,0x89a601ff,0x3ff607ff,0x00fff442,
    0x2217f6d3,0x1ff316c5,0xd8707fe6,0x3fee05ff,0x403ffd47,0xb817ff63,
    0x2ffec7ff,0xfb0fff70,0x6c16209f,0x80b104ff,0x7ec05ff8,0x2e0b104f,
    0xfd8093ff,0x2a2ffb87,0x223a83ff,0xff502fff,0x7fec700f,0x51ffee05,
    0x36700fff,0x3e0c0dff,0x7fd9bf60,0x13ffa144,0x320fffa8,0x7f4005ff,
    0x3ffea04f,0xa813ffa0,0x7fec0fff,0x3f60b104,0xa80b104f,0x7fec03ff,
    0x3e20b104,0x7ec048ef,0x2a2ffb87,0xccdd84ff,0xf906ffec,0xffe800bf,
    0x83ffea04,0x2e005ffc,0xd00cffff,0xff9a7f41,0xfff105c5,0x0fffcc07,
    0x44009fff,0x3e603fff,0x7fff11ff,0x20fffcc0,0x0b104ffd,0x2c413ff6,
    0xb00bff20,0x816209ff,0x6c01dffc,0x22ffb87f,0x424c2ffa,0xff81fff8,
    0x3fe2004f,0x3ffe603f,0x0013ffe1,0x07fffffb,0x6467fc3b,0xf10aa3ff,
    0x7fcc07ff,0x07fff12f,0x01fffc40,0x3e25fff3,0x3fe603ff,0x827fec2f,
    0x09ffb058,0x1ffb0162,0x104ffd80,0x037fcc0b,0x7fdc3fec,0x3b07fee2,
    0xf117ff60,0x7c4007ff,0x3fe603ff,0x07fff12f,0xfffff700,0x3ffa3b89,
    0x4552ff8e,0xa813ffe2,0x3ffa1fff,0x27ffc005,0x7c3fff50,0x3fea04ff,
    0x827fec1f,0x09ffb048,0x0dff0122,0x2209ffb0,0x401fec04,0xeffb87fd,
    0x07a8bfd1,0xfd0bffea,0xfff800bf,0x87ffea04,0x10005ffe,0x4c1ffffb,
    0x75437ea5,0xfd86a1bd,0x1ffee05f,0xd800dff9,0x3fee05ff,0x702ffec7,
    0x9ffb0fff,0x7fec1260,0x7c409304,0x4ffd804f,0x0fa80930,0xfb87fd80,
    0x20dfeebf,0x6d41dffb,0x3f22ffff,0x7fec006f,0x91ffee05,0x41c00dff,
    0x1dc3ffe9,0x3e61c400,0x0fff206f,0x4001fff5,0x3f206ff9,0x037fcc3f,
    0xff707ff9,0x7dc0ea0b,0x4407505f,0xffb802ff,0x0b007505,0x3ee1ff60,
    0x4000112f,0xfffa80ea,0x1bfe6000,0x7d43ffc8,0x01d000ff,0x01b09ff1,
    0xffd82440,0x906ff882,0x21cc0bff,0xff882ffd,0x105ffb06,0x3fea0dff,
    0x3ea03905,0x4403905f,0xbff5007f,0x546a0720,0x86fd8401,0x80002ffb,
    0x3ff204f8,0xffb0e605,0x20dff105,0x4e605ffc,0x105fb04f,0x80950079,
    0x6fec1efc,0x02fff200,0x3df901b5,0x3200dfd8,0x06fec1ef,0x4b85ffb0,
    0x2e17fec0,0x05f17504,0x2e17fec0,0x80b6f984,0xb85fc8fb,0x880002ff,
    0x3ff200ef,0x6406d40b,0x06fec1ef,0xa817ff90,0xf885ff0d,0x455e4c05,
    0x5001cba9,0x07dd7bfd,0x377fb6a0,0x6ff5404e,0xd5003eeb,0x007dd7bf,
    0x0f7bfff2,0x6f7ffe40,0x012ffa03,0x37bfff20,0x03bff103,0x80fecf98,
    0x00003ffd,0x2a017dfb,0x04eddfed,0x775eff54,0xbfdb5003,0xfdce89db,
    0x2000cfcc,0x00009aa9,0x31000066,0x00330001,0x20001980,0x06200018,
    0x00005440,0x01440062,0x2a603510,0x00002aaa,0x31001793,0x00330001,
    0x41009880,0x00000998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd9800000,0x0000000b,0x0001bfa0,
    0x00001ffb,0x54caa000,0x02f64000,0x55400000,0x18813001,0x80040200,
    0x140cc028,0xee980000,0xeeeeeeee,0x398000ee,0x0ea36200,0x001be600,
    0x002fffb8,0x209fff30,0xf500e43a,0xdd4f8809,0x2fff9800,0x003fd000,
    0x98037fdc,0x001d989d,0x000d892a,0x225f100b,0x40ee883e,0x4ff20ee8,
    0x9ffb1cf9,0x2a803f66,0x8e6003e8,0x1ffb8005,0xd8cf8800,0x71dd0006,
    0x3fbfe01f,0x203ff406,0x8001f36b,0x8006e9ee,0xf1003ff9,0x36005f9d,
    0xf8005fff,0xd3005fff,0xfcfb801b,0xb85ff706,0x4dbfe3ff,0x3a27fec6,
    0x7fb05d00,0x01dbd800,0x0004d880,0x4002c877,0xd9825449,0x27d401df,
    0x001dc760,0x002d836a,0xb9000dc8,0xdb801aa1,0xfd98000b,0x07fe000c,
    0x4407ffa0,0x077440ee,0xfb0a65f7,0x5d80b89f,0x0d6ffec4,0x00001300,
    0x00000000,0x00002000,0x20100000,0x28000000,0x00000098,0x00100000,
    0x00000aa6,0x013ff600,0xffb50bf2,0xeec9859b,0x3b6e1cee,0xfd95101d,
    0x3ae9159b,0xddb34eee,0x1ddb87bd,0xbdeeeda8,0xaabcc980,0x262aaa82,
    0x21ceeeec,0x2e01dedb,0xb9beeeed,0x7776dc02,0x9302b9be,0x64c55579,
    0x2e1ceeee,0x36e01ded,0x2b9beeee,0x55579950,0x739fdb50,0x5305554c,
    0x0aaaa155,0x4404ffd8,0x07ff507f,0xd505ffe8,0x5177f440,0x3ffe4dfb,
    0x6c17ffa2,0x0fffe203,0x3fe27fe6,0x87ff885e,0x0d505ffe,0x930e7f4c,
    0x3fa605ff,0x0bff261c,0xdff13ff3,0x20bffd0b,0x33fa606a,0x10bff261,
    0xbdff33ff,0xbf710de8,0x7ec2ffd8,0x40dff12f,0x7dc04ffd,0x807ff506,
    0x0b104ffd,0x7403bfa2,0x707ffe26,0x20160fff,0x6fc82fff,0x7fd817fa,
    0xb104ffd8,0xc81bfe60,0x06ff982f,0x4df90bf2,0x9ffb05fe,0x7fcc1620,
    0xf90bf206,0x3ea1fecd,0x7fdc6c82,0xff17fdc2,0x027fec0d,0x7fd413fa,
    0x827fec03,0x1ffe8858,0x9ffb1a60,0x442fff88,0x42fff804,0x1ff25ff8,
    0xffd87fd8,0x3fa0b104,0x7417401f,0x117401ff,0x83fe4bff,0x0b104ffd,
    0x5d007ffa,0xff92ffc4,0x45885fd8,0x7fdc2ffb,0xfd81bfe2,0x827fc04f,
    0x7ec03ffa,0xf50b104f,0xfa8700ff,0x2fff40ff,0x3ffe006e,0x3f65ff82,
    0x361ff606,0x90b104ff,0x83300dff,0x19806ffc,0x0dfb2ffc,0x2c413ff6,
    0x4c037fe4,0xffb2ffc1,0x0c0dffd8,0xff70bfee,0xfb037fc5,0x27fc409f,
    0x6c03ffa8,0x90b104ff,0x3e000bff,0x3ffa23ff,0x7fc0160f,0x3a7fb82f,
    0x21ff603f,0x0b104ffd,0x2000bffd,0x70005ffe,0xd81ff4ff,0xd0b104ff,
    0x2e000bff,0xf70ffa6f,0x2e019fff,0x17fdc2ff,0x7fec0dff,0x413fe204,
    0x7ec03ffa,0xff0b104f,0x3f20009f,0x3ffa6e6f,0x3fe00733,0xdbbf302f,
    0xd87fd805,0xf0b104ff,0x3e0009ff,0x260004ff,0x3602eddf,0xf0b104ff,
    0x4c0009ff,0xfb02dddf,0xf707ffff,0x22ffb85f,0x3ff606ff,0x9827fc04,
    0xfb029cff,0xf116209f,0x220007ff,0x3eeb1fff,0x3e00196f,0x115902ff,
    0x361ff600,0x88b104ff,0x88003fff,0x20003fff,0xfd8008ac,0xf88b104f,
    0x320003ff,0xffb8008a,0x7fdc4fff,0xff17fdc2,0x027ff40d,0xffb813fa,
    0x413ff604,0x05ffe848,0x2b3ff600,0x0b5fff13,0x5c17ffc0,0x3fec001f,
    0x48827fec,0xd984ffe8,0x3fa3deee,0xeeed984f,0x8007ee3d,0x09104ffd,
    0xdb309ffd,0x0fdc7bdd,0x3fff6200,0x70ffee0f,0x437fc7ff,0x1bffffc9,
    0x0000bf70,0x12609ffb,0x8001bff2,0x7ec5fffa,0xff0202ff,0xffffb03f,
    0x3fec0bff,0x49827fec,0xf106ffc8,0x6ffc87ff,0xd87fff10,0x05ffffff,
    0x12609ffb,0x7c41bff2,0x7ffec3ff,0x20e0dfff,0xfd33ffe9,0x3ffa63df,
    0x000dff1e,0xfa81fe20,0x82ffdc04,0x0fffa83a,0x13ffe000,0x7d40fff5,
    0x2a03ffe6,0x3fffffff,0xff70ffb0,0x3ea0ea0b,0x0bffe07f,0x7fc0fff5,
    0x7fffd42f,0xffb83fff,0xff507505,0x217ffc0f,0xfffffffa,0x3fe203a5,
    0xf8003aa4,0x017ea06f,0x7ea817e4,0xc82ffd40,0x40bff901,0x03ff2039,
    0xffc813fe,0x3aa0fff0,0x46fcaaab,0xff50ffb1,0x7e40720b,0x05fff03f,
    0x3fe07ff9,0x555f542f,0xffa86fca,0x3f203905,0x85fff03f,0xfcaaacea,
    0x17ec13e6,0x7f4600bf,0x003fa605,0x201202f4,0x025c2ffd,0xb502fff2,
    0xc82fc401,0x453e601f,0x04f884ff,0x7e4fdc9d,0xb85ffb05,0x40ffe404,
    0xff902fff,0x445fff03,0x3609d04f,0x2025c2ff,0xfff81ffc,0x17413e22,
    0x25f885ff,0xbe400ff8,0x005803fe,0x02a20ba2,0x6f7ffe40,0xbfdb5003,
    0x0b6009db,0x66d4034c,0x33f204fe,0x7cc5da9a,0x3f200fdb,0x3003deff,
    0xbfb79dfb,0x77ecc015,0x40adfdbc,0x5da9acfc,0x6f7ffe40,0x9dfb3003,
    0xb815bfb7,0x45da9acf,0xcfccfdce,0x80effe40,0x4406eafa,0x02b8000a,
    0x00031000,0x0c000988,0x01880060,0x01355510,0x188006a2,0x04cc4000,
    0x00998800,0x009aaa88,0x10000620,0x53100133,0x4c410155,0x00b26009,
    0x00000351,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9800aaa0,0x14401c41,0x02660014,
    0x20028288,0x0058adea,0x26170700,0x21ceeeec,0x4c41dedb,0x44288009,
    0x1e640003,0x03102a00,0x003ff700,0x0c00aaa0,0x2aa6000c,0x3bbb2600,
    0x07fe61ce,0x1f99fc40,0x13629b00,0x402ff980,0x2009b14e,0x04fffff8,
    0x1ce7f6d4,0x742ec372,0x40f705ff,0x29d005fd,0x260002f9,0x7c4000ff,
    0x88003f31,0x88005fff,0x15b002ff,0xfe800973,0x0dffb004,0xfb8013e6,
    0x3e6005fd,0x32000fed,0xedf9802f,0x7335000f,0x86f4019b,0x77c45fb8,
    0x4ffd80fe,0x7f440d30,0x6fefa800,0x00fe4000,0x05fcfc80,0x2fa9ec80,
    0x0017dc00,0x003ffff5,0xf90027cc,0x0034c0bf,0xb0003ffe,0x3e8007ff,
    0x00fff600,0x82fa8000,0x04ffb86c,0x16209ffb,0x3a007d10,0x6c0001ff,
    0x3fe20001,0x06c4000f,0x02e800b3,0x001cd980,0x3f20025c,0x4400005f,
    0x2a880009,0x00084200,0xec980551,0x36e1ceee,0x10bfb1de,0xfd80660b,
    0x840b104f,0x4c440088,0x00000008,0x0001a980,0x00000000,0xc8000000,
    0x7764c5ff,0x09001cee,0xdddddd30,0x81dddddd,0x10bf56f9,0xdddddddd,
    0xbffd05dd,0xbffb1aa0,0x3bb26181,0x7fec1cee,0x3e60b104,0x3e60bf56,
    0x4c00bf56,0xeeeeeeeb,0x3b265eee,0x1bcceeee,0x37bbb6e0,0x117764c2,
    0xdddddddd,0x7764c5dd,0x5eeeeeee,0x3bbbbb26,0xfc801bcc,0x0bffb05f,
    0x26017cc0,0x29ffb1cf,0x7fd40fd9,0xcf986fb8,0xd837ff41,0xb8b104ff,
    0x200cffff,0xffb05ffd,0x7d416209,0xf506fb8f,0x000df71f,0x262dffbd,
    0x3ffe86fb,0x201bff93,0x3e04fffa,0x3a0e7cc2,0x9ffb06ff,0x7f43fd4c,
    0x1bff933f,0xc82ffe40,0x3f2004ff,0x3f634c05,0x0d40744f,0xf7095015,
    0x3ff603ff,0xffb0b104,0x3f207fff,0x09ffb04f,0x2a1a8162,0x00a86a00,
    0x37fd6cc0,0x1ffec34c,0xfd80fff6,0x9509507f,0x203fff70,0x87884ffc,
    0x7fec3ffd,0x417ff203,0xf1004ffc,0x214c03ff,0x885c4ffd,0x55551aaa,
    0x7ffc40b8,0x413ff604,0xffff7058,0x09ff909f,0x2c413ff6,0x5546aaa2,
    0x46aaa22a,0x36002aaa,0x5866ffa8,0x7dc3ffd8,0x3ffe206f,0x40b80e83,
    0x3204fff8,0xd85864ff,0x37fdc3ff,0x320bff90,0xff7004ff,0xffd8009f,
    0x99ffe404,0x7ec046ff,0x3ff600ff,0x6c40b104,0x7e40ffff,0x09ff904f,
    0x4fff2126,0x7fe46ff9,0x200dff33,0x64dff52b,0x87ffb010,0x7e406ffa,
    0x040ae0ff,0x9007ffec,0xb012c9ff,0x6ffa87ff,0x6417ff20,0xf5b004ff,
    0x7ec001ff,0x1ffd404f,0xffa80dff,0x27fec02f,0x74c1c588,0x27fe43ff,
    0x7505ffb8,0x7fc7ff50,0xff1ffd46,0x7d4b100d,0xfd803e6f,0x017fe43f,
    0x2c53ffe2,0x05fff500,0x0f14ffc8,0x7e43ffd8,0x17ff202f,0x54027fe4,
    0x4007ffd2,0x7d404ffd,0x881bfe3f,0xfd805ffe,0x0e8b104f,0x7e44ff88,
    0x0dff504f,0x8ffea072,0x1ffd46ff,0x41b00dff,0x0febfffa,0x5ccfff60,
    0xff7005ff,0x2200391f,0xfc805ffe,0x6c07fcdf,0xbff733ff,0x905ffc80,
    0x5cb009ff,0x3f6007ff,0x1ffd404f,0x7fe40dff,0x4ffd801f,0xb04f8910,
    0x04ffc85f,0x0970fff6,0x6ff8ffea,0xdff1ffd4,0xdcccea80,0x00fdbfff,
    0x3ffbbff6,0x7ff4002f,0x3ff2004e,0xdffc801f,0x7fec07ec,0x802fffee,
    0xff905ffc,0x3e23a809,0xffb002ff,0x23ffa809,0xfff306ff,0x13ff6009,
    0x10bfe24c,0x09ff90bf,0x777ffe44,0xf8ffea03,0xf1ffd46f,0x542c40df,
    0xd803a6ff,0x5fff8bff,0x07ffd400,0x04fff980,0x1e29ff90,0xff17ffb0,
    0x7fdcc0bf,0x7fe41cff,0x6666ec04,0xfb006ffe,0x3ffa809f,0x7ff41bfe,
    0xffb85106,0xdce87505,0xc80cfccf,0x9d3004ff,0x7c7ff500,0xf1ffd46f,
    0x540e40df,0x4082e6ff,0xfff53ffd,0x7ffc4005,0x0dffd000,0x49ff90a2,
    0x4fff6045,0x4c02fffa,0x13ff200f,0xfff88498,0x04ffd801,0xdff1ffcc,
    0x205fff70,0x82ffd42c,0x17b1041c,0x8027fe40,0xff9801f9,0xff31bfe3,
    0x49837fc7,0x20cdff50,0xf91ffec4,0x3e2001ff,0xffb800ff,0xfc85902f,
    0x6c58864f,0x3fff23ff,0xf9017e00,0xd80ec09f,0xffd805ff,0x4effc404,
    0x7fc47ffd,0xb03f105f,0x404b85ff,0x3f200fe8,0x0bf7004f,0xfb3bff10,
    0x9dff88ff,0x01b07ffd,0x25c1bfea,0xffd0fff6,0x3ffe200d,0x2fffc400,
    0x7fe41f88,0xffd89904,0xf037ff43,0x2ffec01f,0x3fea07a8,0x27ff402f,
    0x7cfffdc0,0x3fff63ff,0x900ffb80,0x007bdfff,0xffd803ee,0x0fbfe005,
    0xff3fff70,0x9fffb87f,0x02643fff,0x7f70fff5,0x7cc4ffd8,0xff9804ff,
    0x7ffec01f,0x6c0ffb80,0x1fe4c5ff,0xff313ff6,0x37fee09f,0x3fffee61,
    0x077fee1b,0x05ffffb5,0x37ffff93,0x7d400880,0xfeeeefff,0x018807ff,
    0xb9816dc0,0x801bffff,0x08801ba8,0xb1002200,0x75d417ff,0xffeeefff,
    0xffff931f,0x67ffdc17,0xfffea880,0xfffa80ad,0xfffeeeef,0x3fffee67,
    0x32ffffee,0x417ffff9,0x980cfffb,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x551001aa,0x01008003,0xc8800000,0x5c00352d,0x3000990d,0x838007ff,
    0x80000009,0xdeeeccb9,0x0355100c,0x00aa9800,0x4003ff90,0x5b3001aa,
    0x0000076a,0xf5003551,0x17f2001f,0x6c432600,0x3bb6e001,0x402c9bef,
    0x007ffffd,0x0ffcdffc,0x03fffa00,0x0d70db80,0x7776e440,0x3ffee01c,
    0xfb00793f,0x4fe8000b,0x0bfff100,0x003ffe60,0x027f5bf2,0x32007744,
    0x1fd800ef,0x8001be00,0x3006fffe,0xffc989fd,0x775ce402,0xc86dc002,
    0x4d7d4005,0x6f7c004e,0x3ff5002f,0x7d427f44,0x0593ffff,0x40003f60,
    0x3b6004f8,0xfd801fa8,0x2d9804fb,0xff7001b5,0x000ee805,0x074c003f,
    0x19f93000,0x409ff300,0x000002fc,0x43b00000,0x3ee000e8,0x5ff7005f,
    0xfd8bff10,0x0593ffff,0xb80016c0,0x98362005,0xf98f5405,0x22000001,
    0x0074c04d,0x00000000,0x07ff4000,0xdc880ba0,0x1001cddd,0x039bbbb9,
    0x55000000,0x0fff1001,0xfff17fec,0x00b27fff,0x00000000,0x18813000,
    0x21555550,0x00000aaa,0x37bbb6e0,0x997764c2,0x01ceeeec,0x7e401200,
    0x5019806f,0x27f443ff,0xe887fea0,0xeeec984f,0xeedb89ce,0xddd932ce,
    0xd80359bd,0x3fee05ff,0x3fffffa7,0x02400593,0x36201200,0x120003ee,
    0xf0bffe20,0x777764c5,0x265eeeee,0x7fd42eed,0x3a0be04f,0x4c0005ff,
    0x4ffe802f,0x0bfee000,0x7dc17fe6,0x05ff982f,0xff90dffb,0x26fffa0f,
    0xfd00efe9,0x7ffd409f,0x7fffff90,0x17cc00b2,0x802f9800,0x30004ffa,
    0x9ff7005f,0x4ffd82c4,0xff91fea6,0x20fffb05,0x09ffb04a,0x805fc800,
    0x10004fff,0x7fec0fff,0xb03ffc42,0xbff905ff,0x3a0dff70,0x3ffa23ff,
    0x01fffc41,0x3e63fff3,0x0593ffff,0x40017f20,0xff9805fc,0x0bf90004,
    0x1543ffe0,0x7884ffc8,0x7c417fd4,0x900e83ff,0x440009ff,0x3e201fff,
    0xfb0003ff,0x3ffdc0bf,0xfb817ff6,0x84ffc87f,0xffb06ffb,0x20fff987,
    0x2603fff8,0x3fe62fff,0x100593ff,0x88003fff,0x7cc01fff,0xff88004f,
    0x3ffb801f,0x327fe409,0x40bfea2c,0x0ae0fffc,0x0004ffc8,0xf013ffee,
    0xddb309ff,0x27ff47bd,0x741fff50,0x3fea04ff,0x427fe40f,0xffb06ffb,
    0x43fff887,0x3ea04fff,0x3eb981ff,0xfff70059,0xfffb8009,0x467fcc04,
    0xffb802db,0xeff8804f,0x93ff2048,0x05ff5025,0x2c53ffe2,0x0013ff20,
    0x00fffad8,0x7c417ff6,0x3ffe23ff,0x47ffe603,0x2603fff8,0x7fe41fff,
    0xb06ffb84,0xbffd07ff,0x2e05ffd8,0xc9dc07ff,0xfffad802,0x3feb6000,
    0x37fe600f,0x6c02ffdd,0xc800fffa,0x3f201dff,0x7d40f14f,0x3ffee02f,
    0x7fe401c8,0x3a550004,0x3fe603ff,0x88bffe07,0x3e603fff,0x7fff12ff,
    0x217ffcc0,0xcccceffc,0xffb06ffd,0x98fffb07,0x3ff206ff,0x02c9dc03,
    0x03ffe954,0x0fffa550,0x3fe6ff98,0x7ff4aa05,0x06ff9803,0x3fe6ffe4,
    0xe805ff50,0xfc804eff,0x5cb0004f,0x7fe407ff,0xf85fff02,0x3fea04ff,
    0x813ffe1f,0x7e41fffa,0xfdaaaaef,0x07ffb06f,0xffb0fff9,0x00dff105,
    0x4b00b277,0x4b007ffb,0x3e607ffb,0x581bfe4f,0x6c01ffee,0x6ffe403f,
    0x3fea07ec,0x07ffd402,0x0027fe40,0x5fff11d4,0xf81ffc80,0x2ffec2ff,
    0xfd8fff70,0x1ffee05f,0x3ee13ff2,0x07ffb06f,0x3f60dff9,0x03bf621e,
    0x50164ee0,0x017ffc47,0x2fff88ea,0x7f49ff30,0x7fc47507,0x00fa802f,
    0x078a7fe4,0xf100bfea,0xff9001ff,0xcdd81409,0x806ffecc,0xddcbdfd9,
    0x37fcc0ab,0xf987ff90,0x0fff206f,0x3ee13ff2,0x07ffb06f,0x6d40bffb,
    0x00befcdf,0xd80b2770,0x6ffecccd,0x76666ec0,0x9ff306ff,0xcdd83ff4,
    0x006ffecc,0x49ff900b,0x05ff5045,0x800fff88,0x21a04ffc,0x1fff8849,
    0x40036e00,0xff882ffd,0x105ffb06,0x3ff20dff,0xb06ffb84,0xfff887ff,
    0x1fffa801,0x02c9dc00,0x3fff1093,0x3fe21260,0x24ff981f,0x884987fe,
    0x51a81fff,0x49ff9003,0x2ffa9621,0x007ffc40,0x69827fec,0xbffb01d8,
    0x001fec00,0xdfd83df9,0xb07bf200,0x3ff201bf,0xb06ffb85,0x4ffb87ff,
    0x01bfee00,0x6c0b2770,0x20bffb01,0x0bffb01d,0x3ff49ff3,0x5ffd80ec,
    0x9005b7cc,0xa93209ff,0x7fcc02ff,0x5ffd801f,0x03d45f98,0x2005fff5,
    0x754003f9,0x003eebdf,0x7dd7bfd5,0xb85ffd80,0x9ffd06ff,0x40027fd4,
    0x009beffc,0x7a82c9dc,0x50bffea0,0x17ffd40f,0x7ff93fea,0xfff503d4,
    0x00effc45,0x64c5ffd8,0x40ffee3f,0xadfffea8,0xffffb980,0x24fffeee,
    0x6d41dffb,0x5c02ffff,0x0cc0003c,0x20066000,0x9bffffb9,0x2cffffb8,
    0xddffff93,0x4400037d,0x4c01ccca,0xdffb8131,0x7fffed41,0xa83bff72,
    0xb12ffffd,0xfff73fff,0x5077fee7,0x445ffffb,0xfff73002,0x5ffffddf,
    0x007bffa6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x10076a5b,0x00000155,0x50001554,
    0x01b90035,0x0385ed40,0xa8805550,0x9860600a,0xeeeeeeec,0x883305ee,
    0xffff8802,0x0a8002ff,0xec98a000,0x1bcceeee,0x3bbbb260,0x37bb660c,
    0xb7109902,0x02f7b29d,0x027f5bf2,0x51017ff2,0x9159bfd9,0x0007fe60,
    0xf1003fea,0x3fea009f,0xf9802fff,0x27fec01f,0x0b511790,0x7d4c9ffb,
    0x3a25f107,0xeeee8802,0x5ec001ee,0x82a8001d,0xff933ffe,0x37fec01b,
    0x3ea04fa8,0x3abf902f,0x54b6603f,0x377e601d,0x5dfd101f,0xf5037ed4,
    0x03fb0007,0x64007fa0,0x9004fda9,0xddf9803f,0xffff300f,0x109ff905,
    0x37e7dc0f,0x2a000000,0x0b000912,0xffb0fff6,0x42ffe407,0x7fc402e8,
    0x3fabf700,0x26c00003,0x1dfd10b9,0x0d501ba0,0x00003f00,0x07a00000,
    0x204c8fa0,0xff901dc9,0xff80b0c9,0xbb91001f,0x440039bb,0x44002b8d,
    0xb87ffb04,0x3ff206ff,0x0000f4c5,0x47fd5fb8,0x1ceeeec9,0x14477b6e,
    0x07ffa214,0x00000698,0xabcc9800,0x3bbb6a2a,0x01deec82,0x00503100,
    0x964ffc80,0x80154c00,0x3fa21ffa,0x00fea004,0xd8176dc4,0x37fd43ff,
    0x6d4bff90,0x77764c00,0xeafdc1ce,0x05ffe83f,0xeeec98d5,0x1ffea1ce,
    0x77764ce0,0x25eeeeee,0xeeeeeec9,0x7fcc5eee,0x445eff89,0x6a81fffe,
    0x6777764c,0xddddd931,0x64cbdddd,0x641ceeee,0x260f14ff,0xeeeeeeec,
    0x2ffb85ee,0x3005ff98,0x19d3005f,0x7ffb07ff,0x3202ffc8,0x800d95ff,
    0xbf705ffd,0x3ff60ffa,0x3f60b104,0x05ffc85f,0x264ffd80,0x4ffd87fa,
    0xdf91fea6,0xffc82ff4,0xd82c40ef,0x9ffb05ff,0x7ec3fd4c,0x9bff905f,
    0x4ffd80ff,0xff11fea6,0x017fec0f,0x7ec02fe4,0xfd86ff99,0x0bff733f,
    0xffddffc8,0x13ff2003,0x83feafdc,0x0b104ffd,0x3fe13ff2,0xffc8004f,
    0xffc87884,0x3fe27884,0x5e41ff25,0x90585fff,0x3ff209ff,0xffc87884,
    0xd9bff904,0x84ffc80f,0x02ffec78,0xf880fff7,0x3fe201ff,0xfd83e9c8,
    0x02fffeef,0xffdfffc8,0x9ff9001f,0x1ff57ee0,0x58827fec,0xf889ff90,
    0xfc8003ff,0xfc85864f,0x7fc5864f,0xca41bf65,0xc82c3fff,0x9ff904ff,
    0x9ff90b0c,0x3c53ff20,0x2193ff20,0x5027ff45,0x7dc01fff,0x3fea04ff,
    0x5ffec048,0xc805fff8,0xfffe8dff,0x04ffc800,0x20ffabf7,0x0b104ffd,
    0x3fa13ff2,0xffc8005f,0xffc80964,0x3fdc0964,0xfd9207fd,0x7e4162ff,
    0x49ff904f,0x13ff2025,0x08b27fe4,0x04b27fe4,0x4c07fff1,0x2b601fff,
    0xff900fff,0x3ffd8059,0xc805fff5,0xbfff35ff,0x209ff900,0xb07fd5fb,
    0x416209ff,0xffc84ffc,0x4ffc8006,0x4ffc80f1,0xddf980f1,0xfe89202e,
    0x3f20b0ff,0x29ff904f,0x27fe4078,0x8864ffc8,0x78a7fe45,0x407fff10,
    0x5502fff9,0x7dc0fffa,0x3ffd806f,0xc803fff2,0x3ffea5ff,0x827fe404,
    0xb07fd5fb,0x416209ff,0xffa84ffc,0x7fe4000f,0x7e407fcd,0x6407fcdf,
    0x4c48008a,0x9058efff,0x3ff209ff,0x7e407fcd,0x09ff904f,0x9bff9132,
    0x27ffc0ff,0x203fff50,0x4c1ffee5,0x36060fff,0x37ff43ff,0xfc8bff90,
    0x3ff203ff,0x3fabf704,0x104ffd83,0x413ff209,0x0e605ffc,0x0fd9bff9,
    0x7ecdffc8,0x48007ee0,0x05dfffa8,0x3f209ff9,0x6407ecdf,0xbffb04ff,
    0x7e43fc98,0x3607ecdf,0x3fee05ff,0x7fc47507,0x7dff902f,0x89ffb099,
    0xf904fff9,0xffff88bf,0x209ff902,0xb07fd5fb,0x412609ff,0x3f204ffc,
    0x206d40bf,0x80f14ffc,0x40f14ffc,0x5ffffffd,0x3fff2090,0x209ff905,
    0x80f14ffc,0x7dcc4ffc,0xfffeefff,0x8a7fe42f,0x81bfe607,0x9bb03ffc,
    0x20dffd99,0x4c4ffff8,0x20bffffc,0x730cfffb,0x2a19ffff,0x40cffffe,
    0xbf704ffc,0x3fee0ffa,0x3f207505,0x7f6d404f,0xff904edd,0xff9022c9,
    0xffa822c9,0x483fffff,0x6417ff60,0x9ff904ff,0x9ff9022c,0x900e9800,
    0xb022c9ff,0xdff105ff,0x3fe21260,0x018aa81f,0x000054c0,0xff90006a,
    0x7f57ee09,0x905ffa83,0x013ff203,0x7e400cb8,0x6458864f,0x258864ff,
    0xfcaaabea,0xfd100d86,0x413ff20b,0x58864ffc,0x20027fe4,0x93ff205f,
    0x3bf21621,0xd806fec1,0x90bffb01,0x037d4000,0x8007fe00,0xbf704ffc,
    0x7fec0ffa,0xff9025c2,0x017ec009,0x26413ff2,0xa6413ff2,0xf09d04f8,
    0xc82fc405,0x9ff904ff,0x9ff91320,0x807fc400,0x09904ffc,0x3baf7faa,
    0xfa81ea03,0x001222ff,0xa8000db0,0x3ff6002f,0x3fabf905,0x3bfff203,
    0x2ffec03d,0xd805f300,0x1fe4c5ff,0xf9317ff6,0x54d67e47,0x5f7ed45d,
    0x3f60b500,0x8bffb05f,0x7fec3fc9,0x5f7e4005,0x262ffec1,0x019803fc,
    0x541dffb8,0x352ffffd,0x07322000,0x003cc800,0x37ffff73,0x7653b6e2,
    0x006200ad,0x2ffffee6,0x301edc01,0xfddffff7,0x3ee65fff,0xfffeefff,
    0x4d55442f,0x4c080000,0x31bffffb,0xfddffff7,0x3ee65fff,0x2001bfff,
    0xff730bc9,0xffffddff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3c8a6400,0x9dddd930,0x2eed9803,0x41e45320,0xc82eeeda,
    0x3b661dee,0x432e1b8b,0x54b6604c,0x2f6a001d,0x30000070,0x40197003,
    0x8003eed8,0x04fffffe,0x3ffffff3,0x6eeeeea8,0xffa80080,0x6c00ffff,
    0x405fffff,0x7fc40282,0x3a00ffa9,0x3f2005ff,0x53ff302f,0xffd101ff,
    0xfb0d503f,0x7fc4ffff,0xf900ffaa,0x54013fad,0x002fffff,0x200ff800,
    0x7d403ff9,0xeed8004f,0xdd103eee,0xea83dddd,0x2206eeee,0x3a600aec,
    0x400eeeee,0x04eeeeec,0x900b926c,0xfb01362b,0x7fd4009f,0x26c57202,
    0x81dfff90,0xdda8b858,0x04d86e41,0x00ed4b66,0x04fdb9c8,0x01f70000,
    0x7cc01fe8,0x0000004f,0x88040800,0x0eead9dc,0x00000000,0x003fbbf3,
    0x13ff2000,0x002ffa80,0x3ffef200,0x00000585,0x00000000,0x3bdddd93,
    0x05def6dc,0xff980080,0xeeec9804,0x37b6e1ce,0x9dddd931,0xbf56f983,
    0x22b11f90,0xdddd931f,0x00bddddd,0x9ff90012,0x5bdddb70,0x642eec98,
    0x3ea004ff,0x3bbb262f,0x85eeeeee,0x587fff94,0x6777764c,0x9dddd931,
    0x80009003,0x17ffa004,0xdd100764,0xdddddddd,0x514ff985,0xbffd0555,
    0x7fec1aa0,0xf71ff505,0x4b13ff0d,0x327fec1b,0x5f300ff5,0x80554400,
    0x3e04fffa,0x004ffc82,0x3f60bfea,0x21fea64f,0x58bfff64,0x360bffb0,
    0x5f3005ff,0x00be6000,0x59827fec,0x3a0e7cc0,0x4ff986ff,0x7fec0fea,
    0x3f20b104,0x0a86a04f,0x225bfff8,0x4427fe40,0x005fc807,0xfd80332a,
    0x3209507f,0x3ea004ff,0x84ffc82f,0x3fa24878,0x3f20b0ff,0x09ff904f,
    0x40017f20,0xffb005fc,0x95016209,0x303fff70,0xb01649ff,0x416209ff,
    0x55444ffc,0xc855551a,0x7e406fff,0x4405864f,0xfc801fff,0xff103f98,
    0x3201d07f,0x3ea004ff,0x24ffc82f,0xff312161,0x3f20b1df,0x09ff904f,
    0x003fff10,0x801fff88,0x0b104ffd,0x7ffc40b8,0x329ff304,0x827fec02,
    0x09ff9058,0x3fe67ff9,0x77fff446,0x2c9ff901,0x4fffb801,0x3fd37d40,
    0xb83fff20,0x013ff202,0xfc82ffa8,0x8480964f,0x905dfffa,0x3ff209ff,
    0x4fffb804,0x27ffdc00,0x8827fec0,0x7fec0405,0x99ff300f,0x4ffd807f,
    0x3ff20b10,0x3e3ffa84,0xffff906f,0x229ff905,0x3feb6007,0xe93fa00f,
    0x9fff103f,0x9ff90162,0x0bfea140,0x03c53ff2,0x2fffe412,0xf904ffc8,
    0xff5b009f,0x7d6c001f,0x7fec00ff,0xa800b104,0x3e602fff,0x201ffeff,
    0x0b104ffd,0x3ea13ff2,0xa81bfe3f,0x7e40ffff,0x5007fcdf,0xf80fffa5,
    0x04ffeeef,0x0723ffee,0x3409ff90,0x3f20bfea,0x2407fcdf,0x320bffb0,
    0x9ff904ff,0x7ffd2a80,0x7ff4aa00,0x827fec03,0x3fa20058,0x67fcc05f,
    0x3f606ff9,0x320b104f,0x3ffa84ff,0xee881bfe,0x6ffe42ff,0x5cb007ec,
    0xbff107ff,0x9dffd000,0x209ffb00,0x417fd469,0x07ecdffc,0x5fe8806c,
    0x3209ff90,0xf72c04ff,0xfb9600ff,0x27fec07f,0x3f200588,0x7fcc01ff,
    0x3609ff94,0x209104ff,0xffa84ffc,0x4471bfe3,0x7e44fe8d,0x7500f14f,
    0xe817ffc4,0x7d4000ff,0xffd800ff,0x7dc5f985,0x14ffc83f,0x2202f80f,
    0x09ff905f,0x3a813ff2,0x500bffe2,0x017ffc47,0x12609ffb,0x027ffcc0,
    0xffd27fd4,0x209ffb03,0x09ff9049,0x37fc7ff5,0x83f9589a,0x01164ffc,
    0xffd999bb,0x50bff20d,0x00fff880,0x3bfffee6,0x264fffee,0x7e41effe,
    0x36a1164f,0x0b500bef,0x7e413ff2,0x3337604f,0x6c06ffec,0x6ffecccd,
    0x5417fee0,0x0dffd003,0x77ff44a2,0xb85fffb1,0x207505ff,0xff984ffc,
    0x29f1bfe3,0xff90dd58,0x498b10c9,0xa81fff88,0x804acfff,0x4000fff8,
    0x0a8800a8,0x10c9ff90,0x040a980b,0xf904ffc8,0x2212609f,0x09301fff,
    0x2a03fff1,0x003906ff,0x3205fff7,0x50015102,0x40720bff,0xff884ffc,
    0x647ffd9d,0x80bdecef,0x89904ffc,0x0bffb01d,0x0037ffea,0x0003ffe2,
    0xf9801ff1,0x04ffc80f,0x05fc8099,0x3209ff90,0x203b04ff,0x03b05ffd,
    0xfd817ff6,0x44025c2f,0x3f105fff,0x6c01fe60,0xb025c2ff,0x3fee0bff,
    0x983fff9f,0x2ffec05a,0x07a8ff26,0x980bffea,0x3ffe6000,0x00fb8001,
    0xffd80fb8,0x401fe4c5,0xbffb005f,0x2a17ff60,0x0bffea07,0x7ffd40f5,
    0x3bfff202,0xfffb003d,0x401ff701,0xff9000fc,0x2e607bdf,0x881bffff,
    0x73018000,0xffddffff,0x37fee5ff,0x7fffed41,0x75440002,0x000adfff,
    0x59900599,0xeffffb98,0x202ffffe,0x5cc00cc9,0x731bffff,0x2e37ffff,
    0x7ed41dff,0xbff72fff,0xffffda83,0x2000c402,0xeeeffffa,0x9107fffe,
    0x03100059,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x04000000,
    0x80000000,0x88000282,0x00001309,0x800dc400,0x0aa88099,0x00000000,
    0x00013050,0x20062330,0x2a6002a9,0x33000002,0x00000003,0x3f2003fa,
    0x3dfc9804,0x11764d80,0x3f203a8b,0x65c43fa9,0x8026c02c,0x7d403cad,
    0x05ffc81f,0xd35eec88,0x3bbb263b,0x405bfb34,0xc81f70eb,0x29f302c1,
    0x7ffc406f,0x07ffd001,0x98093162,0x30c982ff,0x376e2009,0x07f20bdd,
    0x0fffc4e6,0x3ff11f70,0x0fedf980,0x00ffefd8,0x7ec2ecfe,0x0d703fb8,
    0x6c058e60,0xfcdf881f,0x36fff001,0x6ffec4ff,0x05fc89d9,0x260bf3ba,
    0x2e04feef,0xfd803f36,0xcfb805fb,0x3fbf207e,0x01fdc01f,0x2a007dd3,
    0x37fa21ff,0x747d03bb,0xc9ba03ff,0x4ffd804f,0x405df910,0xff103a59,
    0x07e21bea,0x203b9d80,0x5c9b02f8,0x2affd006,0x77fe46ff,0xf502fe85,
    0x67f540df,0x01e47a00,0x00f447a6,0x40f625d1,0xe802efc8,0x13f32203,
    0x260bfee0,0x0ff605ff,0x3fea03b1,0x51001f70,0x88008015,0x4dfee020,
    0x0026c0ff,0x03100ae2,0x74004c14,0xf912a27f,0x1ffb03ff,0x02006aa0,
    0x09800820,0x503100c4,0x00a00080,0x880bee19,0x3ff607ff,0x56ffec42,
    0x7fd40d11,0x93003e9b,0x332a0759,0xa8d55440,0x55fe62aa,0x44035c6f,
    0x55551aaa,0x30759930,0x36a07599,0x0e47fe8c,0x7e417ff2,0x0adca82f,
    0x4015b950,0x5540adca,0xaaaa8aaa,0xb9505551,0x8d554415,0xb9502aaa,
    0x3eaa2015,0x0bffb01f,0x36a37fe4,0x0c8acdff,0x833ffe20,0x47e41999,
    0x98fc85e9,0x99ffe43f,0x547f46ff,0x4007e24f,0xdff33ffc,0x45e98fc8,
    0xd85e98fc,0x27ffdadf,0x05ffc82b,0x9fc89ff9,0x8afd86fb,0x8afd80ee,
    0x3ffe20ee,0x744dff51,0x37dcfe40,0x7fccfff2,0x6fb9fc86,0x6ffacfc8,
    0x5c09ffd0,0x7fd40fff,0x3fea00a3,0x2177dc5f,0xfa8b11ff,0xffa87fa6,
    0x7b31bfe3,0x0026c19b,0x37fc7ff5,0x3e2c47fe,0xffb8b11f,0x026fff10,
    0xfc82ffe4,0x7c5bea5f,0xfb9fea2f,0xdf73fd46,0x3fe3ffb8,0x6fa8730f,
    0x7fd45ff1,0xdf51bfe3,0x6fb8bfe2,0xff103ff2,0x7ffd407f,0x801ffd41,
    0x3fff9be9,0x3ffe07e2,0x3a4fe833,0xf8ffea3f,0x8d70106f,0xffa80bb9,
    0xfff1bfe3,0x27fff067,0x3fa3fec1,0x05ffc807,0x27e4dff9,0x537e41b9,
    0x537e43ff,0xb7fc43ff,0x8193ffe9,0xa83724fc,0x91bfe3ff,0xfb06e49f,
    0x2217fdcd,0x3e603fff,0x1ffd42ff,0xff737cc0,0x7e412a3f,0xeeff84ff,
    0x3fea4ffe,0x4401bfe3,0x3ee7f21f,0xff1ffd42,0x84fffc8d,0xff84fffc,
    0x6403ff46,0xbff905ff,0x3fe027fc,0xff8ffea5,0xfb0ffea5,0x2dff193f,
    0x5404ff84,0xf1bfe3ff,0x25ff809f,0xfff84ffa,0x07ffea04,0xf9007ff5,
    0x59effd8d,0x97fff620,0x7d405ff8,0x401bfe3f,0x7cc7fc4d,0xff1ffd46,
    0x5fffd88d,0x12fffec4,0x07fe8dff,0xf905ffc8,0x817fe29f,0x3fea5ff8,
    0x7d4bff14,0xa67fd44f,0x7c42cffd,0x1ffd405f,0x2ffc4dff,0x7d4bff10,
    0x05ffd83f,0x3ea1ffee,0x1fff803f,0x807fffe2,0x741fff90,0x3fea00ff,
    0x2a01bfe3,0x7cc7fd46,0xf8ffea0f,0xfffc846f,0x07ffe420,0x07fe8ffd,
    0xf905ffc8,0x007ff45f,0x0ffd4bfd,0x0ffd4bfd,0xffa97ffc,0x401ffd07,
    0x1bfe3ffa,0x7fc01ffd,0x260bfea5,0x3ff206ff,0x803ffa83,0x3ea0effe,
    0x2c151eff,0x7fe43ff5,0x47ff3142,0x0fc406ff,0x3fe63fe6,0xff8ffe60,
    0x43ff52c6,0xfc87fea5,0x201ffa0f,0x65ba5ffc,0x227fdc6f,0x7fb9bee1,
    0x0ff737dc,0x09ff1ff2,0x4c313fee,0x71bfe3ff,0x3f6189ff,0x6c03fee6,
    0x6ff882ff,0x0559ff30,0x55f7ffd4,0x4effffec,0xfa8ff17c,0x7c44acff,
    0x07ffd9df,0xa8fe826c,0x4effc45f,0xf17c7ffd,0x51fe2f8f,0x3ffee9ff,
    0x8affe400,0x441fc9ff,0x20cacfff,0x89f90ff8,0x09f90ff8,0x03f913e6,
    0x32b3ffe2,0x3677fe20,0x7ffc47ff,0x9fe20cac,0x77e403fc,0x7006fec1,
    0xfb7009ff,0x3fa65dff,0xfcdee85f,0x0dfffa81,0xff9fffb8,0x540d503f,
    0xfb81ecaf,0x23fff9ff,0x741fcdee,0xfb81fcde,0x04efeaff,0x39ffff73,
    0x2a03ddf9,0xf981efff,0xbf304fbd,0x41e809f7,0x7ffd4079,0x9fffb81e,
    0x7fd43fff,0xbde981ef,0xbfd5003e,0x00007dd9,0x09804c40,0x26006210,
    0x20004400,0x402a801c,0x03108008,0x10c00c42,0x00220000,0x00c40044,
    0x20100188,0x88011000,0x40044000,0x06600008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x17300000,0x00000000,0x80000000,0x00000198,0x00001331,
    0x2a600000,0x004cc002,0x00000133,0x40035500,0x1aa80198,0x22033100,
    0x70000019,0x77540b57,0x5c07e203,0x75c406c2,0x7d03aa00,0x1027fc00,
    0x20019d9b,0x4c000efd,0x03ae21bb,0x7f401f88,0x3ff7002f,0x44037e40,
    0x6400cfdb,0x006ffb84,0xff7013fe,0x413fe00d,0x6d402ff9,0x96039cfe,
    0xfe9b981c,0x7c409b00,0xfd505fef,0x2e0be201,0x809f5005,0x1009f96e,
    0x7d4001df,0x00fea80d,0xd9f70136,0x007fa00d,0xffb007f6,0x42f80dff,
    0x802fcef8,0x77c404fa,0x27d402fc,0xde817e60,0x5c0bf710,0x03e8059b,
    0x9fd500d7,0xd807f401,0xb001f104,0xf76f9809,0x001d500f,0x3fa02fcc,
    0xf880d700,0xf8807b12,0xb8136001,0x02ffea8a,0x354b90f3,0x2e4026c0,
    0x004d80d5,0x05f501f5,0x00ba80d9,0xf103bfa2,0x74004003,0x200fa80f,
    0xc802802e,0x3007b17f,0x03fcc001,0x0fc407f4,0x100a0620,0x0c050003,
    0x2e40bfee,0x0a004c14,0x5004c140,0xfd809800,0x32a05885,0x3f6200bd,
    0xca8026c3,0x03fa00bd,0x05b805f1,0x1cc66e54,0x26003ffa,0x2dc88bdb,
    0xd009ff10,0x4409b01f,0x55551aaa,0xaa8d5544,0x46aaa22a,0x7d402aaa,
    0x6540ba06,0x6e5400bd,0x56e5400b,0x02b72a00,0x6c0adca8,0x440c0dff,
    0x403ff73e,0x201ae1f8,0x03ff73e8,0x009b03fa,0x45fe40f3,0x2ffd85fe,
    0x77d45f40,0xfa83fb4e,0xfd00cccf,0xfc806b81,0xc8dff33f,0x8dff33ff,
    0xdff33ffc,0xf100fd80,0xff73e881,0x3ee7d103,0xd15fb01f,0xd15fb01d,
    0xd15fb01d,0x7fffdc1d,0x457f200c,0x5576c4ff,0x32007e24,0x109ff15f,
    0x007d45fd,0x0ff982e8,0x7ffe4ff7,0x4fb84fff,0x37d43ffa,0x3ff2fff2,
    0xf117f444,0x47ff5003,0x1ffd46ff,0x3ffa8dff,0x7f541bfe,0xc85b80df,
    0x909ff15f,0x213fe2bf,0x51bee7fa,0x2a37dcff,0xfb1bee7f,0x3207ffff,
    0x3117fe5f,0x85b09b03,0x217fe5fc,0x2f889999,0x13207b91,0x3ffd9fee,
    0x59dffb95,0x3fecbf90,0x37fc1ff1,0x4ccc1ffb,0x85b09b09,0x1bfe3ffa,
    0x37fc7ff5,0x6ff8ffea,0x0bfffd50,0x7cbf907d,0x3e5fc85f,0x2a6fc85f,
    0xa9bf21ff,0xa9bf21ff,0x7ffdc1ff,0x366104ff,0x0d7005ff,0x366105f9,
    0x49b005ff,0x7982ffcd,0xff796fe8,0x403ff889,0xddfff911,0x3fe25ffd,
    0x700bfea6,0xfa85f90d,0xf51bfe3f,0x2a37fc7f,0x01bfe3ff,0x0f88fff7,
    0x17ff6610,0x85ffd984,0x8ffea5ff,0x8ffea5ff,0x0ffea5ff,0x03ffff62,
    0x17fe7b62,0xfb707e20,0xff3db105,0x841f500b,0x443f03fa,0xff9abeff,
    0xc802fd84,0x400ffd9e,0x13fe66ff,0x7edc1f88,0xff1ffd42,0x3e3ffa8d,
    0xf1ffd46f,0x1ffb00df,0x3db1035c,0x3b620bff,0x7fc45ff9,0x7c53fea5,
    0x453fea5f,0x53fea5ff,0x43ffe983,0x0bff0ff9,0xfaba89b0,0xff87fcc2,
    0xb817c405,0xff89900f,0x887ff33f,0xfd10c1fc,0xd00fff21,0x01ffccff,
    0x2faba89b,0xdff1ffd4,0x3fe3ffa8,0xff1ffd46,0xd8df500d,0x3e1ff303,
    0xf0ff985f,0x54bfd0bf,0xa97fa1ff,0xa97fa1ff,0xf101d1ff,0xf16fd89f,
    0x4c6b80bf,0x7ec3fb9d,0xd80bff16,0x5403d105,0xff53fe46,0x33fffa23,
    0x9bf24cba,0x904c5ffa,0x07fe61ff,0x2e76635c,0xf1ffcc3f,0x23ff98df,
    0x1ffcc6ff,0x20544dff,0x407e23f9,0x0bff16fd,0x17fe2dfb,0x47fb9bee,
    0x71fee6fb,0x9f3fdcdf,0xfff0bf60,0x205dffbb,0x7ffd41f8,0x37ffe0ff,
    0xf502effd,0x88147601,0x647fea1f,0x7ff46e4f,0x3ffe1fff,0xaeffedab,
    0xf53fe83b,0xf507e209,0x7c41ffff,0x47ffd9df,0xffd9dff8,0x6ceffc47,
    0x8bbee7ff,0xff03545c,0x85dffbbf,0xeffddfff,0xfc87fc42,0xfc87fc44,
    0xfc87fc44,0xbf10bfe4,0x3ee9ff70,0xa809b01f,0xba7fdc2f,0x02f881ff,
    0x6c0dfffb,0xf7dd3b13,0xeaedd989,0x7ffdc3ff,0x09fffd14,0x813aff62,
    0x417d404d,0xfff9fffb,0x7cfffdc3,0x7ffdc3ff,0xfd33fff9,0x09b07bdf,
    0xffba7fdc,0xfba7fdc1,0xfbdf981f,0x9f7bf304,0x13ef7e60,0x9f99fb9d,
    0x12200001,0x00002a20,0x555440ea,0x2086601a,0x80604018,0x40031018,
    0x44024401,0x4001100a,0x00220008,0x015004c4,0x20000000,0x00310018,
    0x33104062,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00001988,0x0a050310,
    0x02a98026,0x98809988,0x28000001,0x00000098,0x00000000,0x00000000,
    0x00800000,0x76544000,0xa848acdf,0xff300bdd,0x3f7ae005,0x225f102e,
    0x35cb903e,0x805fff10,0xffa80efc,0x33b72201,0xdb83fc80,0xdb880d70,
    0x8800acee,0x01cddddc,0x59ddb710,0x33f2e601,0xeeedb802,0xbb82b9be,
    0x03dfedca,0xbddd9510,0x23d40ee3,0x3bfa202f,0xf71bf6a2,0x5f981ba3,
    0xff14fd80,0x1bf3ee03,0x02fdef88,0xd01bb3f2,0x827d401f,0x41df36e8,
    0xef80fff8,0x2faa02fc,0xa803b260,0x13fa21ff,0x64c17d50,0xfa8fc40e,
    0x39fd303f,0x5c17fe4c,0x3bfa22df,0x433fe600,0x2e04dfe9,0x74403e66,
    0x4cdd00ef,0xa813f27f,0x8ffe200f,0x3ffe05ff,0x02ffdc02,0x40ba23f1,
    0x06a801f9,0x137f4bfb,0x3fee0fff,0x41116a06,0x2ffb80ea,0xb505ff98,
    0x3ee0e980,0x3e61bfe3,0x20bf206f,0x1fff106b,0xf307ff30,0xf526c09f,
    0x807ffa20,0xfb9bf269,0xf5004c07,0x302ff45f,0x02aa0055,0x31018098,
    0x7fc05400,0xff83ff64,0x5402aa06,0x3b2b3ee5,0x3ffc4698,0x5a85ffb0,
    0x23bb7df9,0xfe93ee69,0x00fff40f,0xd80ae0ba,0x3ffcc4ff,0xd02fff98,
    0xffa82e45,0x9bfa3807,0xdca80ffb,0x45ff500b,0x2aaa22ff,0x2a055551,
    0x65400bdc,0x0332a00c,0x7cc0cca8,0xd8bff24f,0x15b9504f,0xb0bf23b0,
    0x5ffd8721,0x3b1ffee0,0x937c5be2,0x8dff04c3,0x19806ffc,0x7ffdc008,
    0x2217fee0,0x32a6ffce,0x4eeccdfc,0x4005ffc8,0x8bfee6ff,0x03ff73e8,
    0x3dd15ff5,0x3e67ff90,0xfb9f446f,0xf31f901f,0x7f31f907,0x47f31f90,
    0x3fee5ff8,0x3f60bee4,0x9b40ee8a,0x3a8440ff,0xfa813ffa,0x6f89a0ff,
    0x40ea1ff1,0x7ff40efa,0x26000005,0x3ff62fff,0xfffa9d84,0x999fb950,
    0x9fff09bf,0x737fc400,0x8afe47ff,0x2ffa84ff,0xffa85fd1,0xbf91bfe3,
    0x3ea13fe2,0x6fa87fa6,0x26fa87fa,0xb9ff61fe,0x503e62ff,0x9337dcff,
    0x2d101bee,0x2603fff8,0x44931fff,0x223fc8ef,0xff01dd06,0x9910009f,
    0x99999999,0x7ffc7fff,0xfff98ec4,0x01f135c1,0x4007fff1,0x3fee6ff9,
    0x5ff97f24,0x3ee2ffa8,0xf8ffea0f,0xff2fe46f,0x7f49fd0b,0x3fe93fa3,
    0x23fe93fa,0xffd8cffb,0x9bf21e20,0x2e931ffa,0xff16806f,0x7ffcc07f,
    0x6f7c4932,0x0598684f,0x0007fff1,0x555bfff1,0x27fff555,0x8b23fff8,
    0x26c1fff9,0x2fff40d5,0x5cdff100,0xfd9842ff,0x22ffa85f,0x3fea1ffb,
    0x4c21bfe3,0xeff85ffd,0x3fe4ffee,0x3e4ffeee,0x44ffeeef,0x87feefd9,
    0x3ea5ff85,0x07fc5a3f,0x27ffc930,0x343fff50,0x41ff1df1,0x3a00a849,
    0xeed984ff,0x0fffe3de,0xfd17ffc4,0xff50ee9f,0x556fd4cf,0xffc82aed,
    0x737fc006,0x9ed883ff,0x2ffa85ff,0xffa8ffee,0x3621bfe3,0x7c45ff9e,
    0x17fe205f,0x4005ff88,0x44284ff8,0x93fea5ff,0x2185fb0d,0x817ff62b,
    0x886c7ffb,0x15c9f76f,0x1bff200c,0x3a1fffc4,0xfff103ff,0x256ffec3,
    0xff92ffdc,0x0fffffff,0x4001fff5,0x83fee6fd,0x0bff0ff9,0x7fd45ff5,
    0xff8ffea2,0xff87fcc6,0x200ffe85,0x3fa00ffe,0x3bee000f,0x54bfd000,
    0x5c52e1ff,0x1d12bace,0xf9037fcc,0xff94b87f,0x03a2bfa5,0x81ffea00,
    0x7fdc2fff,0x98bff504,0xffb05fff,0x017c7a87,0x39817ff2,0x45fc9fea,
    0x0bff16fd,0xf3515ff5,0xf1ffcc1f,0xf16fd8df,0x85ff90bf,0x450bff22,
    0x98142ffc,0x43fb80ef,0x21fee6fb,0x3d10cc4c,0xf105ffb0,0x267320df,
    0x03d33119,0xffc80bd3,0xd05fff03,0x03ff60df,0x3e20bff2,0x3e66b85f,
    0x0bffc800,0x43fa06d4,0x6fffc1fe,0x7dc2effd,0x45f8fdaf,0xffd9dff8,
    0x7eefffc7,0x7ffd42ef,0x7ffd44ac,0x7ffd44ac,0x1df304ac,0xff11ffe0,
    0x66413f21,0x3201ea81,0x06fec1ef,0x3d503990,0x900bff60,0x5fff03ff,
    0xfa87fd30,0x1dff102f,0x49b05fd8,0x3b6a007a,0xb104eddf,0xff703f9b,
    0xe987fee9,0x0dde9aff,0xff9fffb8,0x5d3fee3f,0xfffa81ff,0xdfffa80d,
    0x0dfffa80,0x3600ddd4,0xfbdf985f,0x6ef6dc04,0xfea801ce,0x7003eebd,
    0x039dbbdb,0x4c007fd4,0xdfdbcefd,0x7bf9100a,0x4ec01bfb,0x3decceea,
    0x005c8ba0,0x22001310,0x00000000,0x00000088,0x004c004c,0x0004404c,
    0x00031002,0x0cc00013,0x80026000,0x13310000,0x00131000,0x20033053,
    0x00000441,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0x8bec8809,0x362b901a,0x20199504,
    0x005b34d8,0x26050500,0x910092dd,0x26c40bdd,0x33015510,0x00099803,
    0x3517d910,0x03723b70,0xeeeec980,0xdddb711c,0x3300007b,0x2aa20001,
    0x2055551a,0x900004d8,0xfff901df,0x3ff301ff,0x31f90ff5,0x91ff507f,
    0x3bae20df,0x2e49b00c,0x05fffff8,0xfc81bfe0,0x09ffb00f,0x3e601ff7,
    0xeedc882f,0x7ffffec1,0xff8bff80,0xd8b306c2,0xfff505ff,0x202e4403,
    0x3b661ffa,0xfb87fb2e,0x20dff13f,0xee881ffb,0x900ef800,0x6405bb51,
    0x6fa87b14,0x279107fa,0xfffd02d8,0xdbf301df,0xd735501f,0x7774c01b,
    0xf980efff,0x1fbbf306,0x3f207f70,0xbf95fd02,0x02dda8c8,0x2e12e1b5,
    0x7e41feef,0x1fff304f,0x80bffb30,0xaffc81fd,0x3ea0fff9,0x4c1bfe3f,
    0x07ff706f,0x00000e98,0xfd27f400,0x565c0007,0xfb03fffd,0x4000009f,
    0x3a0006ff,0x83641323,0x13ff502f,0x00000017,0xf907df91,0x1ffe609f,
    0x817ff2a6,0x5ff701f8,0xff98bffa,0x4001bfe3,0x04c00ee8,0x005ee540,
    0x3fe0332a,0x514ffeee,0x0aaaa355,0x104ffc85,0xaaa88155,0x2a055551,
    0x206ff8cd,0x40c40cca,0x80620a02,0x65401ffb,0x372a00ad,0xff90000a,
    0x81ffe609,0x06205ff9,0x3a22ffb8,0xff8ffe60,0x015b9506,0x51aaa880,
    0xfb9f4459,0xf31f901f,0x202ffc47,0xdff33ffc,0x542ffa80,0x22aaaaaa,
    0xdff33ffc,0xffb5bfb0,0x3e63f20d,0x405554c3,0x2a60aaa9,0x1ffc80aa,
    0x3ba2bf60,0xee8afd80,0x405554c0,0xff304ffc,0x42ffc40f,0x2aaaaaaa,
    0x4588bfee,0x1bfe3ff9,0x99bee7f2,0xff500aaa,0x7e4dff59,0xf509ff15,
    0xffd0ff4d,0xf1ffd401,0x0ffa80df,0x3fa66be2,0xf8ffea3f,0x887fdc6f,
    0x26fa86ff,0x17fec1fe,0x7ec2ffd8,0x01ffc82f,0x237dcff5,0x21bee7fa,
    0xffc82ffd,0x40fff304,0x57c45ff8,0x2e3ffe99,0x981932ff,0x51bfe3ff,
    0xd8bfe2df,0xdff302ff,0x2fe47d59,0x49fd0bff,0x0bff23fe,0xff1ffd45,
    0x445fc80d,0xf51bfea4,0x3a37fc7f,0x7437fc6f,0xf70ffa4f,0x0bfee05f,
    0xff905ff7,0xfa9bf203,0xfa9bf21f,0x417fdc1f,0xff304ffc,0x22ffc40f,
    0x71bfea48,0x7cc0a5ff,0xf91bfe4f,0xff706e49,0x01ffe205,0x217ff661,
    0x4ffeeeff,0x12b3ffea,0x37fc7ff5,0x44203ba0,0x7fd41fff,0xdff1bfe3,
    0xeff86ff8,0x7dc4ffee,0x85ff702f,0xffc82ffb,0x7d4bff01,0xfa97fe3f,
    0x417fdc3f,0xff304ffc,0x42ffc40f,0xb83fff10,0x7fc402ff,0x7c7ffd9e,
    0x17fdc04f,0x4405ff88,0x445ff9ed,0xffa805ff,0x1ffd40df,0x0fdc0dff,
    0x2a13ff20,0x89bfe3ff,0x237fc6ff,0xfb805ff8,0x85ff702f,0xffc82ffb,
    0x2a5ff881,0x4bff14ff,0x7fdc4ffa,0x824ffc82,0x3e207ff9,0x13ff205f,
    0x2e00bfee,0x3fff9fff,0xfb80bff1,0x09ff102f,0x5ff87fcc,0x9800ffe8,
    0x47ff501f,0x03f106ff,0xa80fff98,0xd1bfe3ff,0xe86ff8ff,0x7fdc00ff,
    0xb85ff702,0x1ffc82ff,0x7fd4bfd0,0xffa97fa1,0x6417fdc1,0x269f94ff,
    0x3fe206ff,0x01fff305,0x22005ff7,0xffd05d10,0x817fdc01,0x3f604ff8,
    0xf90bff16,0x06e8285f,0x6ff8ffe6,0x6c1985d0,0xff9823ff,0xff91bfe3,
    0xffc87ff8,0x0bfee142,0x3ee17fdc,0x01ffc82f,0x23fdcdf7,0x21fee6fb,
    0xffc82ffb,0x3fe6dfd4,0x417fe205,0xfb823ffd,0x07d8002f,0x2e189ff7,
    0x9ff102ff,0x7eefffc0,0x7ffd42ef,0x03fd04ac,0x3f677fe2,0xcccec87f,
    0x9bfea0fd,0x277fe248,0x7fd47ffd,0xa81fff93,0xb84acfff,0x5ff702ff,
    0xfc82ffb8,0x21ff101f,0x87fc44fc,0x2ffb84fc,0x5f75ffd8,0xf980bfea,
    0x26ffa85f,0x00bfee48,0x3e20bf60,0x2e0cacff,0x9ff302ff,0xfba7fdc0,
    0xdfffa81f,0x039ff700,0xfff3fff7,0x7ffffdc7,0x47ffe26f,0x7ffdc4c8,
    0x7dc3fff9,0x84effaff,0xb80dfffa,0x7ff703ff,0xfc83ffb8,0x2f7e602f,
    0xf7bf304f,0x98ffee09,0xb9bffffb,0x4c03eecd,0x7ffc46ff,0x7fdc9911,
    0xdff98003,0x0f7ffd42,0x3620ffee,0x00002fff,0xcb980098,0xf9801100,
    0x25ffffff,0xffedfffc,0x0c000883,0x4c026003,0x74c1effe,0xffd31eff,
    0x77ff5c3d,0x8800c401,0x3bffa601,0x20044001,0x2cfffeb8,0xffdbfff9,
    0x07bffa67,0x402ee200,0xeffe9808,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00bdca80,
    0x006e476e,0x26620000,0x50281880,0xbcc9805b,0x2aaa62aa,0x2201cc98,
    0x80488cdb,0x0005eec8,0x5dddddb0,0x2007bb66,0xeeeeeee9,0x44140c44,
    0x406aa0aa,0x002cdca8,0xddfb7300,0xdddddddd,0x2aa28289,0x15550aaa,
    0x1ffb9f44,0x5ff19ff0,0xceeeec98,0xc801bf51,0x227d00ef,0x01fff04d,
    0xdff13ff3,0xdddffd8b,0x74fa82ff,0x7fc00dfd,0x303f5006,0x41ffffff,
    0xfc802ffb,0x83ffffff,0xf709b13e,0x217fe25f,0x09f70ff8,0x5c13eee6,
    0xffd88cff,0x9b17ee67,0x5fff12e4,0x8afe42f8,0x21b504ff,0x17ffa04b,
    0xef807ffd,0x3fb3ea00,0x320dfb00,0x2e17fa6f,0x83ff64ff,0xdff10ff9,
    0x4037fc00,0xeec81ff8,0x7fdc4eee,0xffffe802,0xcfa80fff,0x2ffb80fe,
    0xbf90bff1,0x3e207fc4,0xffc85ff6,0x543ffd42,0x0feefcc5,0x85893fee,
    0x017fe5fc,0x227fec00,0x3a605ffb,0x03ffe800,0x25ff880c,0x2ffb87fc,
    0x6fd8bfee,0xff0037fc,0x03ffb00d,0x0bfee00d,0x0db027a0,0xfb81fff4,
    0xf0bff12f,0x20ffc1ff,0xf98556fc,0x27ff987f,0x13ff2161,0x02a87ffc,
    0x817ff661,0x3200bdca,0x03b884ff,0x154c0026,0x4bff0040,0x2ffb86fd,
    0x6ff8ffea,0x9b5037fc,0xec80dff1,0x5e7d41ff,0x22bfee01,0x440441cb,
    0x80aa603f,0xbff12ffb,0xf11bffb0,0x6c0dff0f,0x7ff985ff,0x0aa8808e,
    0x8127ff70,0x85ff9ed8,0x03ff73e8,0x06c13ff2,0xb7135551,0x51aaa885,
    0xfb80e059,0x3ee0ffa7,0x453fea2f,0x837fc5ff,0x6ffdadfd,0x07fef660,
    0x05dffffb,0xff9bdff7,0x441f5005,0x2db89aaa,0xff12ffb8,0xbdfff50b,
    0x77fd443d,0x84fff80a,0x981a7ff9,0xff100aaa,0x3fe6091d,0xbf90bff0,
    0x7e413fe2,0xfb82b84f,0x42ffdedf,0x6ffacffa,0x6fcc0488,0x5ff702ed,
    0xdff17fd4,0xffb86ff8,0x220dff10,0x7c1ffb8e,0x43ffffff,0x3ff63ffb,
    0x7dc36c00,0x42ffdedf,0xbff12ffb,0x0bfffea0,0x819fff93,0xf983fff8,
    0x6c07daff,0x3ff202ff,0x22dfb01d,0x25fc85ff,0x9ff905ff,0xdff30098,
    0xff317fe1,0xe887d59d,0x00456402,0xffb8bfee,0xdff1ff61,0x6ff8dfd0,
    0x07fee3b0,0xffff9533,0xf717fdc1,0x41fc405f,0xbff0eff9,0xff12ffb8,
    0x3fff60ab,0x106ff82f,0xff307fff,0xfb80ff7f,0x1bfe602f,0xffddfff8,
    0xffb3082e,0x013ff20b,0x3fe4ff98,0x303ffc46,0x01fb80df,0x3a3dff70,
    0xa9ffd45f,0x46ff86ff,0x2e3b86ff,0x7ec401ff,0xa8bfee2f,0x03ea04ff,
    0x6ff93fe6,0x7f567fdc,0x3ba60aff,0x7c0fffe8,0x0fffa06f,0x03c5ffe6,
    0xfb00bfee,0xba7fdc07,0x9ed881ff,0x9ff905ff,0xf27fcc00,0x05ff88df,
    0xfd807ff3,0xb85fffff,0x0dfeebff,0xffbfffb8,0x3e37fc46,0x4ccf4c6f,
    0xd800affc,0xa8bfee3f,0x41b603ff,0x1bfe4ff9,0xf71dfff7,0xd13fe89f,
    0x06ff85ff,0x3e613ff2,0xfb81167f,0x007d402f,0x7fcc1ae0,0x3f20bff0,
    0xff30a04f,0x3e237fc9,0x23ff904f,0x7ffd44e8,0x7dc3ffff,0x4300112f,
    0x47fe86ff,0x7ffdc6ff,0x803fffff,0x8bfee1fa,0x7f101ffa,0xff93fe60,
    0x22045e46,0xf717fc40,0x206ff87f,0xff985ffa,0x7dc48867,0x4005802f,
    0x2dfb02f9,0xff905ff8,0x3fe63409,0xff11bfe4,0x4cbff609,0x555f547f,
    0x7fdc6fca,0x1bfe0002,0x8fff1ff2,0xfffffffb,0x1aa0a63f,0x7fdc5ff7,
    0x2603f500,0xd1bfe4ff,0x22ff800b,0x37fc0ff8,0xf503ff20,0xf70f60ff,
    0x06a3505f,0x3e0bf500,0x2effddff,0xd304ffd8,0x3fe4ff98,0x9827fc46,
    0xf893e4ff,0xffb89d04,0x1ffe0002,0x7fe4ffea,0x0ffdc00f,0x3223bff1,
    0xfd27fdc0,0xf3036c05,0x3e37fc9f,0x527dc007,0x00dff0bf,0x7fe43df9,
    0x70bf260f,0xb6f985ff,0x2f7fa000,0x7dd3fee0,0x85ffd81f,0x27fd45f9,
    0x4ff98fff,0x36afff20,0x54d67e40,0x03ffd85d,0x01fff100,0xdff5fff7,
    0x41ffb809,0x80cdfffc,0x2ecceaeb,0xff501fc0,0xff13ffc9,0xbceb8800,
    0x07ff80cf,0xffdbdb50,0xffffddff,0x443ffb83,0x20001dff,0x260003ca,
    0xeeeffffb,0x3f624fff,0x3fffb9ef,0x805fffb1,0x2aa200a9,0xaaa9809a,
    0x5544002a,0x018602aa,0x4407fee0,0x00260400,0xffd8804c,0x23fffb9e,
    0x06200019,0x067ffe44,0x00013100,0x883dffd3,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeeb800,0x1f76d42c,0x5ef776d4,0x05dddb50,0x3263bdd9,
    0x2e1ceeee,0x55511ded,0x75c7b713,0xddb34eee,0x1ddb87bd,0x21cc0b6a,
    0x9ceeeec9,0x2deeeec8,0x9bdddd93,0xb9500135,0x77764c15,0x36a001ce,
    0x5bb3092d,0x3bbbba0e,0x1037202e,0x00007ddb,0x00ff6009,0x00fffb80,
    0xfff880fe,0x1fffe883,0xbffd06a8,0x3fea1aa0,0x323ffded,0x7ff447ff,
    0x7fc47b05,0x3f607d07,0x07ffc86f,0xfb319ffd,0x5cfe403f,0x05ffe86f,
    0x7ffffc40,0x5fffff84,0x3ffffff8,0xf505ff50,0xf980009f,0x07ffd402,
    0x07fff000,0x3ffe01a2,0x1dfff902,0x9ffb0588,0x3fe61620,0x7c4bff1e,
    0x3ffdc1ff,0xd85fe858,0x7fff543f,0xffeeeeef,0x27fec3ef,0x3ea07ff6,
    0xfd85ff16,0x4cd4004f,0x454c0ceb,0x80001deb,0x7f4c0ee8,0x8001eeff,
    0x7fc405fc,0x3f20001f,0xf005706f,0x3ef205ff,0xfb0585ff,0x2616209f,
    0xb1bfa4ff,0xfff889ff,0x21442442,0x41adffd8,0xffb84ffc,0x889ffb06,
    0x27e41fff,0x4ffc81b9,0x00000000,0x00015b95,0x00027fcc,0x1003fff1,
    0xff88000d,0xff00582f,0x7fe5205f,0xffd82c3f,0xff30b104,0x3ea3ff49,
    0x2fff40ff,0x36a0406e,0x7e42cdff,0x06ffb84f,0xfff09ffb,0xc804ff87,
    0x551004ff,0x305b7135,0x3f601555,0x5540ee8a,0x262aaaaa,0x02db8cff,
    0x013ffee0,0xa9555566,0x3ff600cd,0xff801545,0x7fec902f,0x7fec162f,
    0xff30b104,0x7fc3ff49,0x3fffa23f,0xfa848160,0x09ff903f,0x3f60dff7,
    0x25ffd84f,0xfc805ff8,0x3fee004f,0xd82ffded,0x27fa82ff,0x26be26fb,
    0x3e63ffe9,0x02ffeedf,0x01fff5b0,0x9fff064c,0x7cc0dffb,0xf80160ff,
    0x744902ff,0x360b0fff,0x30b104ff,0x43ff49ff,0x3a6e6ffc,0x3c0733ff,
    0x0273fee2,0x9999dff9,0xeca8dffb,0xf92cceff,0x00ffe8ff,0x3f727fe4,
    0x7c3bfe60,0x82ffb85f,0x47fea6fc,0x31bfea48,0x17fe1dff,0x1fff4aa0,
    0x27ffd030,0x3fa01ffb,0x7c00734f,0xf98902ff,0xfb058eff,0x2616209f,
    0x21ffa4ff,0x2eb1fff8,0x220196ff,0x37ff6a0f,0x577fe42c,0x46ffdaaa,
    0x99dffd98,0x5c1fff70,0x3f20c4ff,0x4c13fa4f,0x21bfe4ff,0x5ff82ffb,
    0xf108ffea,0x4ff983ff,0xb9601bfe,0x7ec007ff,0xa80bfee7,0x4001b7ff,
    0x50902fff,0x360bbfff,0x309104ff,0x83ff4bff,0xf13acffd,0x7d40b5ff,
    0xc81ffd42,0x6ffb84ff,0xf909ffb0,0xcfff88ff,0x27fe40ca,0x3fe60173,
    0x3ee1bfe4,0x52ffc42f,0x9ff909ff,0x7f49ff30,0xff11d407,0x3fec005f,
    0xff805ff7,0x3e0404cf,0x320901ff,0xffb05fff,0xfb112609,0x41ffa3ff,
    0x7ec5fffa,0x13f202ff,0x3f207ff5,0x06ffb84f,0xffb09ffb,0x3dfff50d,
    0x1409ff90,0x6ff93fe6,0xfe82ffb8,0xf307fea5,0x9ff301ff,0x37603ff4,
    0x06ffeccc,0xffb9ff60,0x07ffdc02,0x7ffcdf50,0x7fec0900,0x20bff705,
    0x1ffa003a,0x7d44fff8,0x22ff407f,0xff903ffa,0x20dff709,0xffe84ffd,
    0xfc80b602,0xff31a04f,0x7dc37fc9,0x2e6fb82f,0x23ffd87f,0xfe93fe60,
    0x3e212607,0xffb001ff,0x22017fdc,0x7fe405ff,0x06c0fff0,0xf505fe88,
    0x100720bf,0xfc81bfa1,0x404ff80f,0x6ffcc7ff,0x42ffe429,0xffb06ffb,
    0x205ffa89,0xffb00fe8,0xff31a609,0x7dc37fc9,0x90ff882f,0x26ffa89f,
    0xe93fe648,0x6c07607f,0xffb005ff,0x6c017fdc,0x8a7cc01f,0x80be04ff,
    0x3ff605f8,0xb6c025c2,0x17e205fe,0xff100fe4,0x84ffb81f,0xffb85ffd,
    0x4cbffb06,0x0fb804ff,0xf30bffb0,0x3e4ffa8b,0x03ffb87f,0x889f7bf3,
    0x49911fff,0x1ffe4ffa,0xfff503d4,0x21ffd005,0x69803ffb,0x9fd9b500,
    0x02fbf6a0,0x3ff202d4,0xf7003def,0x2d801ff5,0xdff00d30,0x7ffdcc00,
    0xfffb89bf,0xfff732cf,0x8037dddf,0xfb982db8,0xffeeefff,0x3bff624f,
    0x263fffb9,0x2201effe,0xdbfff901,0x3ff627ff,0x44fffb9e,0x6d41dffb,
    0x2e02ffff,0xffe8cfff,0x4001800e,0x04000018,0x10001880,0x30060035,
    0x00015100,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7764c000,0x009acdee,0xddddddd3,0x981ddddd,0x2aa23acc,0x7445951a,
    0x001eeeee,0x3bbbbae6,0x305eeeee,0x24eeed87,0xddb31eda,0x3bbb2605,
    0x554401ce,0x542db89a,0x775c1eee,0xeea85eee,0x76cc6eee,0x0fbb622e,
    0x37bbb260,0x6c57200b,0x00fbb624,0x9bdddd93,0x7764c035,0x5eeeeeee,
    0xd98cffe8,0x1bf981ff,0x3f269ffb,0x17a63f20,0xdff59ff5,0x7fffffc4,
    0xffde8002,0x20df7316,0x07ffc43e,0x05ff90f6,0x2005ffe8,0xffdedffb,
    0x3217fe42,0xb86fffff,0xc87fffff,0x27fd42ff,0x809ffb00,0x0ffa9ff9,
    0x74013fea,0xefe99bff,0x993ff600,0x4ffd87fa,0x1260ffec,0x20e89ffb,
    0xf98b11ff,0x003eacef,0xff5b3000,0x7fb0d30d,0x8685ff90,0x7ec02ffa,
    0x3fe6004f,0xfb8bff0e,0x0000002f,0xff985ff5,0x0fff6004,0x21e45320,
    0xfd004ff9,0x0fff447f,0x7884ffc8,0x7c44ffd8,0xfb0661ff,0x3fe0b89f,
    0x7ff8833f,0x00bdca80,0x6ffa8d80,0x3ff62586,0x97fe61ad,0x02ffa849,
    0x800a7fe4,0x1bfe4ff9,0x32a05ff7,0x8d55440c,0x7fd42aaa,0x0027fcc2,
    0x3799dff9,0x13fe6000,0x261ffec0,0xffc80fff,0xffd85864,0x403fff84,
    0x7e404ffd,0x5ff884ff,0x7fdcfa20,0x7d4ae001,0xb504326f,0xfe859bff,
    0xff50390f,0x9cffc805,0x24ff9805,0x57fdc6ff,0x1fcc7e40,0x7fccfff2,
    0x2617fd46,0x555514ff,0xf939ff90,0x0aaa989f,0xdb8cff98,0x887ffb02,
    0xffc83fff,0xffd80964,0x405ffd84,0x6c404ffd,0x7fc45fff,0x7c57f204,
    0x54b1004f,0x5403e6ff,0x7ff703ff,0x117fd416,0x009dff90,0x6ff93fe6,
    0xf5177fdc,0xff50ff4d,0x3ea37fc7,0x527fcc2f,0x8fff207f,0x7fec2ffd,
    0xdddff982,0x3ffd82ff,0xfc85ffe8,0x32a0f14f,0x92cceffe,0xd9970fff,
    0x10599dff,0xf883fff2,0xf97f204f,0x541b005f,0x00febfff,0x3e207ff5,
    0xff5039ef,0xff903fa5,0x27fcc00b,0x3ffb8dff,0x47fd27f4,0x1bfe3ffa,
    0xff985ff5,0xffc80b24,0xf717fee3,0x4dff305f,0x3ffd85ff,0xfc87ffd8,
    0x3107fcdf,0x2133bffb,0x4c40fffb,0x099cffd9,0x887fea58,0xd98404ff,
    0xcea805ff,0xdbfffdcc,0x87ff500f,0xadffe999,0x2bfea099,0x7fe41ff8,
    0x93fe6004,0x17fdc6ff,0x3ffbbbfe,0xff8ffea4,0x2617fd46,0xc80594ff,
    0x1bfee3ff,0xff305ff7,0x7ec37fc9,0x87ffc83f,0x07ecdffc,0x7e427fec,
    0x27fec07f,0x4c7f8be0,0x76c404ff,0x2c405ff9,0x01d37fd4,0x9990ffea,
    0x3999dffb,0x41997fd4,0x2004fffa,0x9ffe4ffa,0x3e22ffea,0x1ffd405f,
    0x2ffa8dff,0x1fe67fcc,0xfc8fff20,0x417fdc4f,0x1ffa4ff9,0x3f20fff6,
    0x14ffc86f,0x84ffd80f,0x7ec06ffd,0x66f7404f,0x3fff621f,0x3e1ff302,
    0x540e405f,0x2082e6ff,0x3e603ffa,0x0bfea05f,0x027fee54,0x4f7fec45,
    0xf733fffb,0x00ffe85f,0x6ff8ffea,0x3e617fd4,0x201ffeff,0xbff53ffc,
    0x982ffb81,0x21ffa4ff,0xffd83ffd,0x164ffc85,0xe84ffd81,0x7fec02ff,
    0x403b8404,0x2dfb00a9,0x12605ff8,0x48337fd4,0xddd0ffea,0x3dddfffd,
    0x90817fd4,0x102c09ff,0x17fdc015,0x4c50bff2,0x51bfe3ff,0xcff985ff,
    0x3f206ff9,0x703deeef,0x9ff305ff,0x7fec3ff4,0x40fffc43,0x58864ffc,
    0x3ea27fec,0x4ffd805f,0x5c03fd00,0xbbfff06f,0x03605dff,0x4b837fd4,
    0x20a73fe6,0x3ea05ff9,0x27fec02f,0x1fe60698,0x7d42ffb8,0x7c44acff,
    0x47ffd9df,0x7fcc2ffa,0x3609ff94,0xff7003ff,0x749ff305,0x43ffd87f,
    0xff904ffb,0xffb13209,0x8027fccb,0xf5004ffd,0xf706e803,0x207fee9f,
    0x1ffea04c,0x9ff70fee,0xb817fea0,0x7fec03ff,0x202f5c45,0x7ff700fc,
    0x01bfff50,0xfff3fff7,0x2a1ffdc7,0x07ffa4ff,0x5c013ff6,0x4ffa83ff,
    0x3ffa1ffe,0xd813fea4,0x9fe4c5ff,0xeeffffb9,0xfc9801be,0x2e01bfff,
    0x0732603d,0x3ff62000,0x3ffaea0b,0x1fffeeef,0x3ffae600,0x7ff4c1cf,
    0xfffb981e,0x4fffeeef,0x26059910,0x1301effe,0x74c00880,0xffd11eff,
    0x4bfff63d,0x0bffffb9,0x87bffa60,0xfb9fffd8,0xfff933ff,0x2037dddf,
    0xeeffffb9,0x0002ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x764c0000,0x1bcceeee,0x3bbbb260,
    0xec981cce,0xdb89ceee,0xd932ceee,0x32639ddd,0x260ceeee,0x3262deed,
    0x401ceeee,0x00eeeec9,0x42f7bbaa,0xeeeeeec9,0x3b666eee,0xdb30beee,
    0x30e5419d,0x9dddddd9,0xdddd3037,0xdddddddd,0x77777441,0x2e2eeeee,
    0x4c2deeed,0xddd32eec,0x2ae21ddd,0xbaaaaaaa,0x00002a01,0x3267ffd0,
    0x3f600dff,0x05ffc9cf,0xff90dffb,0x417ff60f,0x9f506ffd,0x002fff40,
    0xe813fff6,0xffb02fff,0x263f54cb,0x3f987fff,0x7f43ffc4,0x2ffe98bf,
    0xffd8e7cc,0x7cc1fb34,0x437ff41c,0x3e04fffa,0x3ffffea2,0x0600310f,
    0xb95002f8,0xffd87319,0x901ffec3,0x17fec9ff,0x7dc2ffe4,0x09ff906f,
    0x3a217ff2,0x027fec02,0x41fff320,0x901fffb9,0x2e1e0bff,0x82643fff,
    0x3ffd86ff,0x6983ffe6,0x83a27fec,0x1fffb84a,0x2a0fffb0,0x00188004,
    0x64017c03,0xd85fe8bf,0x37fdc3ff,0x7dc9ff90,0x84ffc86f,0xff906ffb,
    0x317ff209,0x9ff9003d,0xfff8c800,0x1fff8d82,0x908bff90,0x4c3fff60,
    0x3202e605,0x17ffc3ff,0x44ffd853,0xff102e0b,0x7ffc409f,0xaa980e83,
    0x1800c40a,0xff300be0,0x3f61fee1,0x037fd43f,0x7fdc9ff9,0xb84ffc86,
    0x9ff906ff,0xda97ff20,0x09ff9000,0x6ffc8c80,0x01fffac4,0x09c4bff9,
    0xb1bfff10,0x3ff20001,0x003ffe23,0x80809ffb,0x6400fffd,0x80ae0fff,
    0x00c42ffd,0x700be018,0x21ffecff,0x7fe43ffd,0xd93ff202,0x4ffc83ff,
    0xf906ffb8,0x57ff209f,0x7fe4006c,0x7c464004,0x7fc6e1ff,0x4bff901f,
    0xfffa803b,0x3f20000e,0x013ff23f,0x50013ff6,0xf1005fff,0x701629ff,
    0x001885ff,0x3f3332e3,0x3a0ccccd,0x89ff796f,0xff733ffd,0x8cffc80b,
    0xfc80cffb,0xfdccccef,0x09ff906f,0x3ff77ff2,0x13ff2003,0x3ff61900,
    0x01fff965,0x7f95dff9,0x03fff600,0xdeffc800,0xfb000dfe,0x7f44009f,
    0x3fee005f,0x7dc01c8f,0x1800c42f,0xddfdddd9,0x3fe23ddd,0x44ff9abe,
    0xfffeeffd,0xdfffc802,0x3ff201cc,0xffdaaaae,0x209ff906,0xfffdfffc,
    0x09ff9001,0xfff50c80,0x0fffc751,0xfeceffc8,0xdfff1003,0xfc83fd80,
    0x2dffbacf,0x004ffd80,0x0007fff2,0x7009dffd,0x001885ff,0x3e017c03,
    0x87ff33ff,0xfff8bffd,0x04ffc805,0x2e13ff20,0x9ff906ff,0x3a37ff20,
    0xfc800fff,0xd064004f,0xfff8b7ff,0x64bff901,0xfffd5003,0x03ffea07,
    0x7fc47ff9,0x27fec01f,0x04fff980,0x00fffa80,0x0c42ffb8,0x00be0180,
    0x0ffd4ff9,0x7fd4fff6,0x27fe402f,0x709ff900,0x3ff20dff,0x26bff904,
    0xfc805fff,0x8320a04f,0x7fc4fffb,0x4bff901f,0xfb588038,0xffd101ff,
    0x643ffc83,0x7fec05ff,0x0dffd004,0xfff880a2,0x42ffb800,0x7c030018,
    0xc8ffd402,0x23ffd84f,0x3200fffc,0x3f2004ff,0x06ffb84f,0x3f209ff9,
    0x13ffea5f,0x3409ff90,0x1fff1064,0xf901fff8,0x6c4018bf,0x80dfff10,
    0x5c3ffc86,0x7fec07ff,0x2fffb804,0x7fc40590,0x2ffb800f,0xdb1800c4,
    0xddddfddd,0x3ba7623d,0x7ffb04fb,0x3206ffe8,0x3f2004ff,0x06ffb85f,
    0x3f209ff9,0x1fffe45f,0x2609ffb0,0x2fe40c86,0xfc80fffc,0x20ec005f,
    0x9303fffa,0xfd87ff90,0x27fec03f,0x417ffe20,0x3fe201f8,0x3ffb800f,
    0x971800c4,0x99999999,0x80310419,0x7fcc4ffd,0x0bff904f,0x5c2ffec0,
    0xbffb06ff,0xf117ff20,0x3f605fff,0xd85f985f,0x3e217c41,0xbff902ff,
    0xfd82ec00,0x405cc1ff,0x3fee4ffd,0x04ffe806,0x5c07ffec,0x3fe600ff,
    0x7ff4c01f,0x2aaae21e,0x01baaaaa,0xf9300000,0x7dc17fff,0xff730cff,
    0x5cc037ff,0xb89bffff,0x732cffff,0x2637ffff,0x50cffffb,0x219ffffd,
    0xeeffffb9,0x3264fffe,0x36a243ef,0x730befff,0x4037ffff,0x2a0bffeb,
    0x063ffffe,0x3bffff26,0x64c03def,0xa81bffff,0xeeeeffff,0xd5107fff,
    0x0015bfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00066000,0x002a82a0,
    0x510332a0,0x8aaaa355,0x550aaaaa,0x2aaaaa15,0x551aaaa8,0x547b7305,
    0x5ee5403d,0x45edcc00,0x32602dc8,0x5b9503ac,0x2a21ca81,0x155551aa,
    0x2188a619,0x82a80038,0x4c00adca,0x2aaaa140,0x55532aaa,0x44355335,
    0x05951aaa,0xb95004d8,0xfa9be615,0x3f2000bf,0x7fe43f98,0x7c4dff33,
    0xf117c3ff,0x9bfea3ff,0xe97e40e8,0x41fc8ece,0x03ff73e8,0x3bbea2fa,
    0x8fc83fb4,0xb9fc85e9,0x91ffe26f,0x3bfe67ff,0xfb9f55fa,0x200bd7df,
    0x7ec2ffc8,0xd300ee8a,0x26be23b8,0x3ee3ffe9,0x3ea0be6f,0x406ffacf,
    0x8afd804d,0xb88bd1fe,0x7d402dfe,0xffa87fa6,0xff71bfe3,0x7fdc3449,
    0x1cc3ffe3,0x4ffa9bee,0x15fc8df3,0x49f709ff,0x8df50ffe,0xfa8b11ff,
    0x7fc5ff16,0xff1ffd46,0x9dfc8fad,0xda806fb8,0x27fa83ef,0x23f886fb,
    0xfa9220fb,0xaaffe86f,0x59dff303,0x404d807d,0x2ffee7fa,0x5f7ecc03,
    0x3fa4fe80,0xff8ffea3,0x0aa7ff86,0x7f4dbfe2,0x5fe8193f,0x7fc4ffea,
    0x5ff97f21,0x9ff65fc8,0x3ffe0ff8,0x324fc833,0xf502e60d,0x0577fc7f,
    0x203ea17a,0x201dfeb8,0x87fea6fc,0x20fea6e8,0x303fff10,0x7c40bdff,
    0x026c007f,0x1ffa9bf2,0x37fee200,0x3fbbbfe0,0xf8ffea4f,0xb3ffb86f,
    0x464ffec0,0xff8896ff,0x3bbbfe65,0xfd9842ff,0x3f22305f,0x2ffeeeff,
    0x3e13fff2,0xff50004f,0x7c437fc7,0x7e4c7d01,0x5ff800bf,0x7f44ffea,
    0xfc80ff52,0x0fff604f,0x2a05ff88,0xcceecccc,0xa97fe1cc,0x6cc003ff,
    0x0bff12ff,0x3fe3ffa8,0x39eff886,0x6d33fea0,0x7fcc2cff,0x2013fe65,
    0x05ff9ed8,0x03ff67b2,0x4bfffb10,0x50005ff8,0x437fc7ff,0x547d00f8,
    0xf8800cff,0x553fea5f,0x40bfb1ff,0x2200fff9,0x3fe207ff,0x3bbbae04,
    0x12eeeeff,0x27fd4bff,0x82dfea80,0x3ea00ffe,0x6c1bfe3f,0x7fc00eff,
    0x20fff52f,0x1bfe65ff,0x3fe1ff30,0xf90fe885,0xff90807f,0x007ff41f,
    0xff1ffd40,0x3e60fa0d,0x16ff5c41,0xffa97fa0,0x1fe97ee1,0x4047ffb0,
    0xf103ffe8,0x04d8009f,0x3ff52ff4,0x0e7fe440,0x2285ff90,0x1bfe3ff9,
    0x64027fcc,0xc827fc7f,0x87ffea6f,0x7c5bf609,0x2a6fc85f,0x4b04c5ff,
    0x3fee1ffa,0x989f90c4,0x0dff14ff,0x06d98bee,0x405ffecc,0x21fee6fb,
    0x50bd11fc,0x6c244dff,0xf880fff8,0x026c004f,0x07fb9bee,0x0017dfb3,
    0x8959fff5,0xffd9dff8,0x2007fa07,0x80fe44f9,0x3fff27f9,0x7ffc3abf,
    0x7c2effdd,0xffedabff,0xf17c3bae,0xacfff88f,0x88fff10c,0x7ffe9eff,
    0xfeffee88,0xeb8803fe,0x43fe21df,0x44b904fc,0x47ffe21e,0xfc9644c8,
    0x04ff985f,0x3e2026c0,0x6e413f27,0xfffa8001,0x9fffb80d,0x0b503fff,
    0x01e60f40,0xf57f7bd3,0x9ff70bff,0xff707fee,0x3fffa29f,0x1fcdee84,
    0x41efffa8,0xeffb85fd,0xad43fff9,0x00b52cb9,0x6fcc3da8,0x30ec04fb,
    0x76fffe4b,0x19fb33ff,0x6c49fff9,0x36002fff,0xfbde9804,0x4c000004,
    0x40004400,0x00402000,0x00018188,0x01880c40,0x04400c42,0x00044010,
    0x10000000,0x00000003,0xa8000000,0x00062002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xdb89aaa8,0x44d55442,0x5b930bdb,0x040aaa98,0x80a04c10,
    0xa89aaaa8,0x000402aa,0x00000000,0x00000000,0x26200000,0x99999999,
    0x11111109,0x00111111,0x44102004,0x04cc4099,0x77754171,0x3fee02ee,
    0x542ffded,0xdffcddff,0x6c1ffedb,0x207e22ff,0x641d10fa,0xb97fee04,
    0x027cc03f,0xfd50fbae,0xb881ae07,0x7017201e,0x2fd819fd,0x077447f6,
    0xddab89fb,0x905d5cc0,0xffffffff,0x3ffee7ff,0x3fffffff,0xdff717ee,
    0x12c0a817,0x45fd89fd,0x3ffee7fe,0x3fe602ff,0xf98bff0e,0x27ffb0ef,
    0x7fdc4ff9,0x7f50fe42,0x40fe26c8,0x00b64ff9,0xf7b300e4,0x3fa6e61f,
    0xd500fd80,0x0bfe603f,0x1375dfec,0x53fe6bff,0xfff32ffb,0x0fe67e63,
    0x8889769d,0x88888888,0x11111110,0x7fc7d111,0xfb75d10f,0xfa8b77bf,
    0x0df1fa25,0x26621ffd,0x3e600999,0xf31bfe4f,0x887fec9f,0x17fdc4ff,
    0x41fd4fe4,0x20bf25f8,0x00594ff9,0x203f6000,0x56a32a3e,0xb01fd85b,
    0x45f10dbb,0x453fe2f8,0x43ff53ff,0x326a2ffe,0x7e4fe63f,0xd8000000,
    0x41a9bf23,0xe81dfeb8,0x0ea8f445,0x40002d98,0x1bfe4ff9,0x7fe49ff3,
    0xfb8bff10,0x07ff902f,0x2ff8afe4,0x27e67fcc,0xccccccb8,0x4e80cccc,
    0xfd877ec4,0x40ffdcaf,0x98fa81fd,0x1f43cc3f,0x88ff45fd,0x6641d07f,
    0x64fe63f9,0xddddd70f,0x005ddddd,0x000043d8,0x84406e4c,0x4b660009,
    0x3fe601da,0xff31bfe4,0xf887fe49,0x817fdc5f,0x3ea01ffa,0xf98bfb0f,
    0xc81ffeff,0xeeeeeeee,0x882dc1ee,0x372663fd,0x81fd8099,0x5f03f24e,
    0x41f707c4,0x2c42f47c,0xe87f77f5,0x5ddccb94,0x1bbbbbbb,0x0000d400,
    0x20000000,0x409fd5fc,0x1bfe4ff9,0x7fe49ff3,0xfb8bff10,0xfcbfa82f,
    0x3e63fd01,0x4e7fcc0e,0x200006ff,0xf88399d9,0x80f56e41,0x107dc1fd,
    0xfbcfc89f,0x916a34c5,0x3620c987,0x55c43d8b,0x0000000b,0x00000000,
    0x54766000,0x93fe600d,0x27fcc6ff,0x3fe21ff9,0x2a17fdc5,0xf507f23f,
    0x7cc076c5,0x009ff74f,0x7ffcc037,0x8955db2f,0x887f8bfc,0x20fe22fe,
    0x176d40fb,0x02614428,0x00000003,0x00000000,0x00000000,0xf93fea00,
    0xb2ffcc7f,0x1bfe23ff,0x1fc47ff7,0x4c5d07e4,0x49ff500e,0x3e602ffe,
    0x86666204,0x21930198,0x0999984b,0x0004c031,0x44400000,0x88888888,
    0xdddddd10,0x0007dddd,0x00000000,0x88000000,0xffb9effd,0x5fffb13f,
    0xfb1bfff3,0x3ffa65ff,0x2a18061e,0xff8806c3,0x5fffd2ff,0x00000540,
    0x00000000,0x10000000,0xffffffff,0x2eee27ff,0x1bbbbbbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26666660,0x00009999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_23_latin_ext_x[560]={ 0,1,1,0,0,1,0,1,0,0,1,0,0,0,
0,0,0,1,0,0,0,0,0,0,0,0,1,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,0,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,1,0,0,0,
1,0,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__times_bold_23_latin_ext_y[560]={ 18,3,3,3,3,3,3,3,3,3,3,5,14,12,
14,3,3,3,3,3,3,4,3,4,4,3,8,8,6,8,6,3,3,3,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,21,3,8,4,8,4,8,3,8,4,3,
3,4,4,8,8,8,8,8,8,8,5,8,8,8,8,8,8,3,3,3,10,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,8,4,3,6,4,
3,3,4,3,3,8,8,12,3,1,3,5,3,3,3,8,4,9,17,3,3,8,3,3,3,8,-1,-1,-1,0,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,3,4,3,3,3,4,4,6,7,3,3,3,4,3,3,4,
1,5,-1,3,3,8,-1,3,-1,3,-1,4,-1,3,-1,3,4,4,1,5,-1,3,-1,4,4,8,-1,3,-1,3,
-1,3,-1,4,3,3,-1,-1,4,4,0,4,1,5,-1,3,4,3,0,8,4,3,-1,3,4,4,8,-1,-1,4,
4,3,3,4,4,4,4,-1,3,4,8,-1,3,3,3,8,1,5,-1,3,-1,3,4,8,-1,3,4,8,-1,3,
-1,3,-1,3,3,8,-1,3,4,5,-1,3,4,5,0,4,1,5,-1,3,-1,3,-1,3,4,8,-1,3,-1,3,
0,-1,3,0,4,-1,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,3,5,5,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,7,5,5,5,5,5,5,5,5,5,5,5,5,5,1,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-1,3,-1,3,-1,
3,-1,3,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-4,-1,-1,3,-1,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_bold_23_latin_ext_w[560]={ 0,5,9,10,10,19,17,4,7,7,9,12,5,7,
5,6,10,8,10,10,10,10,10,10,10,10,5,5,12,12,12,9,19,15,14,14,15,13,13,16,16,8,11,17,
14,20,15,16,13,16,16,10,14,15,15,21,15,15,14,5,6,5,10,12,5,11,11,9,12,9,9,11,11,6,
7,12,6,17,11,10,11,12,9,8,7,11,11,15,11,11,9,7,2,7,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,9,10,11,11,
2,10,7,15,7,11,12,7,15,12,8,12,6,6,5,12,12,5,4,6,7,11,16,16,16,9,15,15,15,15,
15,15,21,14,13,13,13,13,8,8,8,8,15,15,16,16,16,16,16,10,16,15,15,15,15,15,12,11,11,11,
11,11,11,11,15,9,9,9,9,9,7,7,8,8,10,11,10,10,10,10,10,12,10,11,11,11,11,11,11,11,
15,11,15,11,15,11,14,9,14,9,14,9,14,9,15,15,15,12,13,9,13,9,13,9,13,9,13,9,16,11,
16,11,16,11,16,11,16,11,16,11,8,8,8,8,8,7,8,6,8,6,18,10,11,8,17,12,12,14,6,14,
6,14,10,14,9,14,6,15,11,15,11,15,11,16,15,10,16,10,16,10,16,10,20,15,16,9,16,9,16,9,
10,8,10,8,10,8,10,8,14,7,14,11,14,7,15,11,15,11,15,11,15,11,15,11,15,11,21,15,15,11,
15,14,9,14,9,14,9,8,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,13,12,12,12,12,12,12,12,12,12,12,12,12,12,18,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,15,11,8,8,16,
10,15,11,15,11,15,11,15,11,15,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,15,11,21,15,16,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_bold_23_latin_ext_h[560]={ 0,16,8,16,17,16,16,8,20,20,9,12,8,3,
5,16,16,15,15,16,15,15,16,15,15,16,11,14,11,6,11,16,20,15,14,16,14,14,14,16,14,14,15,14,
14,14,15,16,14,19,14,16,14,15,15,15,14,14,14,18,16,18,9,2,5,11,15,11,15,11,15,15,14,15,
20,14,14,10,10,11,15,15,10,11,14,11,11,11,10,15,10,20,20,20,5,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,15,18,16,11,14,
20,20,3,16,7,10,6,3,16,3,8,12,9,9,5,15,19,4,5,9,7,10,16,16,16,15,19,19,19,18,
18,18,14,19,19,19,19,18,19,19,19,18,14,19,20,20,20,19,19,10,16,20,20,20,19,19,14,16,16,16,
16,15,15,16,11,14,16,16,16,15,15,15,15,14,16,14,16,16,16,15,15,10,12,16,16,16,15,20,20,19,
17,14,19,16,20,15,20,16,20,16,20,15,20,16,19,16,14,15,17,14,19,16,19,15,19,15,19,16,20,20,
20,20,20,19,19,20,19,19,14,14,18,14,17,13,19,15,19,20,18,10,15,20,20,20,18,18,10,19,19,18,
18,15,15,14,14,14,14,20,15,18,14,20,15,15,16,15,18,14,20,16,20,16,15,11,19,15,18,14,19,15,
20,16,20,16,19,14,20,16,20,19,19,16,14,14,19,15,18,14,20,16,20,16,20,16,19,15,20,16,19,20,
18,19,15,18,14,19,15,15,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,16,13,13,20,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,12,13,13,13,13,13,13,13,13,13,13,13,13,13,18,11,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,19,16,19,15,20,
16,20,16,20,17,20,19,20,19,20,19,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,22,20,19,16,20,16,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__times_bold_23_latin_ext_s[560]={ 17,116,138,242,203,80,31,148,237,248,101,
1,153,243,201,179,16,194,55,168,122,133,104,156,192,105,154,142,186,175,28,
182,1,1,148,1,225,241,112,192,32,49,50,58,76,91,62,149,18,132,1,
243,163,78,34,105,126,193,178,250,59,244,118,172,225,107,144,144,109,41,203,
72,213,246,78,178,171,13,1,199,84,96,244,135,85,51,63,75,232,243,222,
17,42,166,207,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,17,127,190,
77,174,93,190,209,243,133,159,210,188,243,166,159,129,231,87,94,231,179,149,
237,220,111,167,49,115,42,13,62,162,178,206,103,87,174,63,26,41,55,106,
39,245,97,17,78,158,81,21,53,70,65,82,38,225,87,103,132,1,1,191,
39,27,198,186,11,13,1,119,174,95,85,75,23,120,128,111,204,242,199,232,
221,210,145,156,74,244,156,144,132,43,148,169,222,228,51,32,30,181,1,197,
232,229,210,17,236,38,162,116,130,1,88,214,149,205,58,234,101,129,33,143,
244,102,136,164,66,119,69,48,181,99,194,141,241,69,211,182,209,120,167,236,
204,235,31,175,211,54,160,217,153,61,17,248,17,32,25,213,184,105,115,142,
134,40,53,130,102,167,17,146,94,157,220,212,172,57,183,213,91,219,1,200,
41,157,52,237,112,244,121,75,32,193,49,222,245,17,19,17,133,59,76,166,
159,148,220,1,100,86,68,95,224,32,194,174,74,1,190,203,138,231,44,66,
136,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,209,218,218,119,
218,218,218,218,218,218,218,218,218,218,218,218,218,1,14,218,218,218,218,218,
218,218,218,218,218,218,218,218,119,160,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,1,63,
86,234,220,122,193,51,174,191,150,32,118,123,86,111,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,1,45,135,88,25,66,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,218,
218,218,218,218,218,218,218,218,218, };
static unsigned short stb__times_bold_23_latin_ext_t[560]={ 22,180,288,180,126,145,145,288,45,1,288,
275,288,288,288,163,180,197,197,163,213,213,163,213,213,180,275,260,275,288,275,
180,24,229,260,180,245,245,260,180,260,260,229,260,260,260,229,180,260,86,260,
163,260,229,229,229,260,260,260,106,163,106,288,296,288,275,213,275,213,275,213,
213,245,197,45,245,245,288,288,275,213,213,275,275,245,275,275,275,275,213,275,
1,1,1,288,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,22,229,106,
163,275,245,1,1,292,180,288,275,288,288,180,296,288,260,288,288,288,213,86,
288,288,288,288,288,163,163,163,213,86,86,86,126,126,106,245,106,106,106,106,
126,65,106,106,126,229,106,24,24,24,86,86,288,180,24,24,24,106,86,245,
180,180,163,163,197,213,163,275,229,180,180,180,197,197,197,197,245,145,229,163,
163,163,197,197,288,260,163,163,163,197,24,24,86,126,245,86,163,24,213,24,
145,24,145,45,197,24,145,86,145,245,197,126,245,66,145,86,197,106,197,106,
126,45,45,45,45,45,106,86,45,86,86,229,229,126,229,126,260,106,197,66,
45,106,288,197,45,45,24,106,126,288,86,86,126,126,213,197,229,245,245,245,
1,213,126,245,1,213,229,145,229,106,229,24,145,1,145,213,275,66,197,106,
245,66,213,1,145,24,145,66,245,45,145,45,45,66,145,245,229,66,197,126,
245,45,145,45,145,45,145,66,197,45,145,66,1,126,66,197,126,229,66,197,
197,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,180,260,260,24,
260,260,260,260,260,260,260,260,260,260,260,260,260,145,275,260,260,260,260,260,
260,260,260,260,260,260,260,260,126,275,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,66,180,
66,213,1,180,1,180,1,126,1,66,1,66,1,66,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,1,1,66,163,1,163,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260, };
static unsigned short stb__times_bold_23_latin_ext_a[560]={ 83,111,184,166,166,332,277,92,
111,111,166,189,83,111,83,92,166,166,166,166,166,166,166,166,
166,166,111,111,189,189,189,166,309,240,222,240,240,222,203,258,
258,129,166,258,222,314,240,258,203,258,240,185,222,240,240,332,
240,240,222,111,92,111,193,166,111,166,185,147,185,147,111,166,
185,92,111,185,92,277,185,166,185,185,147,129,111,185,166,240,
166,166,147,131,73,131,173,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,83,111,166,166,166,166,73,166,
111,248,100,166,189,111,248,166,133,182,100,100,111,191,179,83,
111,100,110,166,249,249,249,166,240,240,240,240,240,240,332,240,
222,222,222,222,129,129,129,129,240,240,258,258,258,258,258,189,
258,240,240,240,240,240,203,185,166,166,166,166,166,166,240,147,
147,147,147,147,92,92,92,92,166,185,166,166,166,166,166,182,
166,185,185,185,185,166,185,166,240,166,240,166,240,166,240,147,
240,147,240,147,240,147,240,244,240,185,222,147,222,147,222,147,
222,147,222,147,258,166,258,166,258,166,258,166,258,185,258,185,
129,92,129,92,129,92,129,92,129,92,273,184,166,111,258,185,
185,222,92,222,92,222,156,222,131,222,92,240,185,240,185,240,
185,242,256,185,258,166,258,166,258,166,332,240,240,147,240,147,
240,147,185,129,185,129,185,129,185,129,222,111,222,173,222,111,
240,185,240,185,240,185,240,185,240,185,240,185,332,240,240,166,
240,222,147,222,147,222,147,92,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,245,258,258,166,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,184,258,258,258,258,258,258,
258,258,258,258,258,258,258,264,199,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,240,166,129,92,258,166,240,185,240,185,240,
185,240,185,240,185,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,240,166,332,240,258,166,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_23_latin_ext(stb_fontchar font[STB_FONT_times_bold_23_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_23_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_23_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_23_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_23_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_23_latin_ext_s[i] + stb__times_bold_23_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_23_latin_ext_t[i] + stb__times_bold_23_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_23_latin_ext_x[i];
            font[i].y0 = stb__times_bold_23_latin_ext_y[i];
            font[i].x1 = stb__times_bold_23_latin_ext_x[i] + stb__times_bold_23_latin_ext_w[i];
            font[i].y1 = stb__times_bold_23_latin_ext_y[i] + stb__times_bold_23_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_23_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_23_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_23_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_23_latin_ext_s[i] + stb__times_bold_23_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_23_latin_ext_t[i] + stb__times_bold_23_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_23_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_23_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_23_latin_ext_x[i] + stb__times_bold_23_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_23_latin_ext_y[i] + stb__times_bold_23_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_23_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_23_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_23_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_23_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_23_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_23_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_23_latin_ext_LINE_SPACING
#endif

