// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT        194
#define STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_times_bold_26_latin_ext_NUM_CHARS            560

#define STB_FONT_times_bold_26_latin_ext_LINE_SPACING          17

static unsigned int stb__times_bold_26_latin_ext_pixels[]={
    0x00000000,0x0aa98000,0x2aa20000,0x22000001,0xaa9800aa,0x00004000,
    0x22000aaa,0x55500019,0x20000000,0x00000aa8,0x00001440,0x0ded8000,
    0x09dd3000,0x3fffea00,0x3fe0001f,0x00400001,0x025c66c0,0x0037b600,
    0x000f7640,0x00000000,0x51dbb800,0x7000fffd,0x20006547,0x0dc88003,
    0x7ec003f1,0x7fc0002f,0x7c40000f,0x200004ff,0x2a006ffd,0xffe804ff,
    0x04ffe805,0x000bb760,0x000bffe6,0x98003fff,0x26002fff,0xd001e40e,
    0xfc8009ff,0x001cc03f,0x007a2264,0x0017fcc0,0x003fffd0,0x19999930,
    0x007a6000,0x9acfea80,0x6fe88005,0x17fcc000,0x6fff9800,0xf72fd800,
    0x0fe88009,0x640005fb,0x3fea4fac,0x57fd4007,0x22005ff8,0x7fdc001f,
    0x7c003f15,0x7d40003f,0xfc80001f,0x80000ffe,0x002feff9,0xdf500bfb,
    0x77d403ff,0x23a801ff,0xfefe8006,0x3ffee006,0x7f7ec006,0x44f6c006,
    0x3bea007e,0x3fe001ff,0x001bc803,0x04f9afc4,0x000bf200,0x05fbdfa8,
    0x00a21500,0x00288540,0xffffff88,0x510a8002,0x017e4000,0x5fb7fb00,
    0xeaffc400,0x7fd4007f,0x0005ff8b,0x4c3b37f3,0x7cc007ff,0x4009fd1f,
    0x7d4005fc,0x2003f14f,0xd80003fa,0xf880001f,0x00009f35,0x00dd11dd,
    0x3be00bf1,0x3ba05e88,0x2b805e98,0x27f5001a,0xef8802fa,0xf5002fc8,
    0x9800bea7,0x2002feff,0x005e98ef,0x3f6009f3,0x77dc000f,0x3a0000ff,
    0x93e20003,0x7cc001f9,0x98001f93,0x8001f93f,0x0cfeb8aa,0xfc9fcc00,
    0x007d0000,0x0d90fd40,0x7d51db80,0x2e1bb000,0x7fd0001d,0x001ffe60,
    0x44003022,0x54000fff,0x5c007e23,0x03f00003,0xd10f6000,0x42dc0001,
    0x802d402d,0x5c0f444b,0x22016c45,0x74003dbe,0x26c034c2,0x217401ae,
    0x7fe40069,0xd112e006,0x40099003,0xf88004d8,0x040003ff,0x26062000,
    0x510a8002,0x1442a000,0x40000000,0x4000510a,0x404c0000,0x0000001a,
    0xfa800000,0x0fff303f,0xf7000000,0x880009ff,0x0593001f,0x00000000,
    0x00000000,0x000006a0,0x00540000,0x40600000,0x40000000,0x00000aa8,
    0x00000000,0x4000aa60,0x1acdcba8,0x6e5d4400,0x332601ac,0x2e1ccccc,
    0x9931cccc,0x5c399999,0x2201cccc,0x01acdcba,0x33333326,0x33332e1c,
    0x99999931,0x66665c39,0x99999931,0x66665c39,0x99999931,0x66665c39,
    0x372ea201,0x326001ac,0xf982cfff,0x83eec8ff,0x364eeeec,0x7f7402ee,
    0xeeb800ff,0x3003f13e,0x2000793b,0x21cdedb9,0x33332e3c,0x9999953c,
    0x0cccb879,0x5ef65440,0x1373a121,0xb2777764,0xeeeb85dd,0x666664c3,
    0x3332e1cc,0xcccc981c,0x5d401ccc,0x370bdeed,0x4b7bb220,0xdcba8803,
    0xdb5001ac,0x3219999d,0x3b64eeee,0x776d442e,0x9930cccc,0x5c399999,
    0xf501cccc,0x9fd5117f,0x22ffea00,0x6c04fea8,0xdf104fff,0x09fffb01,
    0xfa803be2,0x4fea88bf,0x827ffec0,0xffd80ef8,0x01df104f,0x2209fffb,
    0xfffd80ef,0x401df104,0xea88bffa,0xfff9004f,0xfff30fff,0xb09ffb7b,
    0x807d0fff,0x03fffbca,0x3e29ff90,0x01a1c801,0x7117ff50,0xfb0b79fd,
    0xffe88bff,0x403f703f,0xc9adffe8,0xb1d44eff,0x21fff601,0x09ff903e,
    0x4413fff6,0x7fe400ef,0x77f4c05f,0xfefeb89b,0xb89cfa81,0x7fd407fe,
    0x04fea88b,0xdff9a7fc,0x21fff60c,0x9a7fc43e,0x7ec0cdff,0x1df104ff,
    0x220fff60,0x3f600eff,0x0eff883f,0x405fff70,0x5fff703d,0xffb01ec0,
    0x01dff107,0xd80bffee,0x05fff703,0xfffb81ec,0x7dc0f602,0x80f602ff,
    0xff883ffd,0x7ff8800e,0xe87ffe60,0x7ffcc2ff,0x44740341,0xf7006fff,
    0x2007e29f,0x5400933b,0xfff882ff,0x86fff880,0xb304fffb,0x807ff440,
    0x0d24c4fc,0x1a0fffcc,0xf704ffb8,0x01ec05ff,0x701fffd4,0x7fd40dff,
    0xfd837cc1,0x107ffb00,0xff701dff,0x7cc37f43,0x7ec341ff,0x5c13fe2f,
    0x0f602fff,0xf7037fdc,0x1bfee0df,0xf706ffb8,0x816403ff,0x3201fffb,
    0x40dff702,0xff706ffb,0xb816403f,0x0b201fff,0x900fffdc,0x07ffee05,
    0xdff702c8,0x4037fdc0,0x3e606ffa,0x427fdc7f,0x00e64ffd,0x17ffe493,
    0xa8a7fdc0,0x0dec8800,0x40dff500,0xffb05ffc,0x0dfff01f,0x7ffc4072,
    0x6ec27402,0x27fec03e,0x27fdc073,0x201fffb8,0xfffa802c,0x03fff302,
    0x37e41fc8,0xffb80f98,0x21bfee06,0x3ffa0ffe,0x264ffd80,0x3a1fff83,
    0xfffb80ff,0x3e20b201,0x3fe203ff,0x1fffc43f,0x707fff10,0x16403fff,
    0x201fffb8,0x3fff882c,0x20fffe20,0x3201fffb,0x03fff702,0xfffb8164,
    0x7dc0b201,0x20b201ff,0x2203fff8,0x7e403fff,0x1ffe604f,0xff50dff5,
    0x3b00321f,0x402fffc4,0x10004ffb,0x3fe2003f,0xfffd103f,0x07fff507,
    0x0d03fff9,0x5402fff4,0xf5001104,0xb80321ff,0xfff704ff,0x54016403,
    0xffd02fff,0xfb07a00b,0xf103607f,0x7fc407ff,0xd07ff43f,0xfff501ff,
    0x3ffa0321,0x2e03ffa0,0x0b201fff,0xd007fff2,0xfffc8fff,0x43fff401,
    0x3201fffb,0x03fff702,0x7ffe4164,0x43fff401,0x3201fffb,0x03fff702,
    0xfffb8164,0x7dc0b201,0x20b201ff,0x7401fffc,0x7fec07ff,0x51ffe603,
    0x3ffa0fff,0x99e880b3,0x01fffe99,0x80027fdc,0xff5005fc,0xff3d105f,
    0x1fffa0df,0x7513ffee,0x00fffe60,0x37fb6e0c,0x59fff402,0xb827fdc0,
    0x0b201fff,0x20bffea0,0x3003fffb,0x0dfffb81,0x0fffe404,0xf91fffa0,
    0xd037fc5f,0x7e4167ff,0x5c1bfe2f,0x0b201fff,0xd007fff6,0x7fec1fff,
    0x7fff401f,0x00fffdc0,0x3ffee059,0x3f60b201,0x7ff401ff,0x0fffdc0f,
    0x3fee0590,0x5c0b201f,0x0b201fff,0x900fffdc,0x03fffb05,0x200fffe8,
    0x3e601fff,0x837fd47f,0x402aeffb,0xfccccccc,0x7fdc04ff,0xfff88004,
    0x1fffc800,0x1fffd2d8,0xe85fff70,0x0360fffe,0x0017ffdc,0x2ffc9ba2,
    0x0abbfee0,0x2e09ff70,0x0b201fff,0x20bffea0,0x0002fffc,0x33ffffe6,
    0x07fff600,0xc81fffd0,0x401df75f,0x202aeffb,0x01df75fc,0xc807ffee,
    0x00ffff82,0xff0fffec,0xffd801ff,0x0fffdc1f,0x3fee0590,0x3e0b201f,
    0x7ec00fff,0x7ffdc1ff,0x7dc0b201,0x40b201ff,0x3201fffb,0x03fff702,
    0x7fffc164,0x0fffec00,0x4c07ff88,0x2ffdc7ff,0x880dfff0,0x03fffa06,
    0x1514ffb8,0x09fff700,0xc81fffd0,0x207fff63,0x3265fff8,0x0b12fffb,
    0x0007ffec,0x7fd43fee,0x037ffc05,0xfb827fdc,0x00b201ff,0x3a0bffea,
    0x40001fff,0x3ffffffb,0x801ffff0,0xec81fffd,0xfff002ce,0x39dd900d,
    0x01fffb80,0x3fffe0b2,0x17ffec00,0xd801ffff,0x7fdc2fff,0x5c0b201f,
    0x0b201fff,0xb003fffe,0xffb85fff,0x5c0b201f,0x0b201fff,0x900fffdc,
    0x07ffee05,0xffff82c8,0x17ffec00,0x4c06ffa8,0x1ffe47ff,0xc809ff90,
    0x13ffea03,0x3f14ffb8,0x1fffdd00,0x20ffff80,0x17ffec4b,0x3b0fffd8,
    0x0aedfff1,0x000ffff8,0xff997fdc,0x027fe406,0xfb827fdc,0x00b201ff,
    0x3e0bffea,0x80000fff,0x5ffffffa,0x400ffff8,0x1ec2fffd,0x04ffc800,
    0x3ee001ec,0x20b201ff,0x7400fffe,0x3ffa1fff,0x7fff400f,0x00fffdc1,
    0x3ffee059,0x3fa0b201,0x7ff400ff,0x0fffdc1f,0x3fee0590,0x5c0b201f,
    0x0b201fff,0x900fffdc,0x01fffd05,0x901fffe8,0xff9809ff,0x80bff14f,
    0x3e601ff8,0x3fffe203,0x229ff701,0x7de5401f,0x7ff403ff,0xffd0b50f,
    0x3ffea01f,0x3fff258b,0x3ffa00e8,0x12a8001f,0xf880dffb,0x4ffb801f,
    0x403fff70,0xfffa802c,0x81fffe82,0x4cccccca,0x3fffff20,0x007fff42,
    0xfb87fffa,0x8009999d,0x3ea01ff8,0x5c01999d,0x0b201fff,0xf007fff6,
    0x7fec1fff,0x7fffc01f,0x00fffdc0,0x3ffee059,0x3f60b201,0x7ffc01ff,
    0x0fffdc0f,0x3fee0590,0x5c0b201f,0x0b201fff,0x900fffdc,0x03fffb05,
    0xb00ffff8,0xff9805ff,0x00dfffaf,0x3fee06d8,0x7fed40ce,0xffb82eff,
    0x8e803f14,0x6406fff8,0x80e99fff,0x7f406fff,0x3fe62cff,0x7fe404df,
    0xd910002f,0xdb00dff7,0x413fee00,0x3201fffb,0x2fffa802,0x202fffc8,
    0x40c4fffe,0x6c5fffd8,0x7fc01fff,0x3fff20ff,0x401effff,0x7ffe406d,
    0xb81effff,0x0b201fff,0x880bffea,0x7fd45fff,0x3ffe202f,0x02fff985,
    0x7ffcc076,0x3ea07602,0x3fe202ff,0x2fff985f,0x7fcc0760,0x4c07602f,
    0x07602fff,0xb017ffcc,0x05fff503,0xb02fffc4,0xff9801ff,0x3a800267,
    0x09b10000,0x3f14ffb8,0xfff924c0,0x5fffd405,0x4fff880e,0x43fffdc0,
    0x4c01fffe,0xa8003fff,0x06ff98ef,0xff7003a8,0x0bffe609,0x85e441d8,
    0xfa81fffa,0x3ff203ff,0xff502c1f,0x02fffa8f,0xf317ffe2,0xffffffff,
    0x7cc03a80,0x7fffffff,0x202fff98,0x0bffd01d,0x7407ffcc,0x3fe605ff,
    0x2fff880f,0x7fc403a0,0x7403a02f,0x3fe605ff,0x2fff880f,0x7fc403a0,
    0x4403a02f,0x03a02fff,0xd017ffc4,0x817ffa01,0x3600fff9,0x7ff9805f,
    0x00d82200,0x801fb000,0x03f14ffb,0xbfff10ec,0x01fffd80,0x8803fff5,
    0xffb83fff,0x1fffd006,0x4bfe6100,0x20886ff9,0x9ff5000d,0x80bffe20,
    0xa9ffdc0e,0xffd00fff,0x0fffdc0b,0x87fd80b6,0x3e605ffe,0x676c40ff,
    0x21ffeccc,0xb1003608,0xffd9999d,0x02fff883,0x7ffcc03a,0x207ffd00,
    0xfd00fff9,0x27ff407f,0x7ff405a8,0x7cc0b504,0x7ffd00ff,0xa827ff40,
    0x827ff405,0x27ff405a,0x7ff405a8,0x7cc0b504,0x7ffd00ff,0x007f6310,
    0x4401ffe6,0x000488ff,0x3ea07fe0,0x3f13ffaa,0x26667a20,0x2201fffe,
    0xffd01fff,0x03ff6003,0x4400ffe2,0x36204ffe,0x3ee5ffb2,0x447fc46f,
    0x7d57d404,0x13ffa03f,0x97fdc2d4,0x3e207ffa,0xfff703ff,0xf900ed83,
    0x01fff309,0x3fa0fffa,0x7fc4fb00,0x07e80488,0x3ffa03f6,0xe880b504,
    0x17fe40df,0x9037fa20,0xff9805ff,0x201aa23f,0x2a23fff9,0x0dfe8806,
    0x26017fe4,0x1aa23fff,0x88fffe60,0xfff9806a,0x2601aa23,0x1aa23fff,
    0x9037fa20,0x23fa05ff,0xfff5003e,0x36ffe600,0x3f200000,0x7d5fdc2f,
    0x66407e26,0xfffccccc,0x437fec04,0x2a001ffc,0x003f605f,0x41bffe88,
    0x3fff62e9,0x30bfffce,0xb801b7ff,0x200efabf,0x2a23fff9,0xffb9fe06,
    0x0fff4403,0x360fffdc,0x077c42ef,0x640dfe88,0x05fd02ff,0x5ffcc7f3,
    0x82fc800d,0xfff303f9,0x90035447,0x3bdd99dd,0x66776400,0xd1001dee,
    0x01bfdfff,0x3bfffa20,0x3b2000df,0x01deecce,0xfdfffd10,0x3fa2001b,
    0x000dfeff,0xbfdfffd1,0x3ffa2001,0x2000dfef,0xdeecceec,0x00b3ee01,
    0x0e7fff4c,0x000efe40,0x3fff6200,0x8877bb20,0x3a06881f,0x27900fff,
    0xbefcdfeb,0x201e8000,0xdb88005a,0x40dfeeff,0xff91efe9,0x001dfc85,
    0x1003bdd9,0x1bfdfffd,0x77e6ecc0,0x3ffaa003,0x81cefdcd,0xfdbefcbd,
    0xceec800c,0x2201deec,0x1cddefeb,0x2001dfc8,0x1deeeedc,0x77fff440,
    0x330000df,0x13300001,0x09a98000,0x026a6000,0x00133000,0x0009a980,
    0x00026a60,0x00009a98,0x000026a6,0x00000133,0x00000000,0x0000c400,
    0x7fd40790,0x9884884f,0x80180001,0x0a880001,0x00008080,0x2a600000,
    0x004c0009,0x0266a200,0x009a9830,0x00013300,0x00000000,0x004d4c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff101fcc,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x6d40ceff,0x002effff,0xeed80000,0x00204001,0x40000000,
    0x80001eed,0x98000aa9,0x000005ee,0x32600cc0,0x21cccccc,0x001cccca,
    0x10005dd9,0x209d51bd,0xccccccc9,0x401ccccc,0x802541e8,0x19002eec,
    0x55400488,0x2216c002,0x381c000d,0x01022000,0x99997510,0xb8598599,
    0x06aa2002,0x15424400,0x99999910,0x79999999,0x2000a200,0x4402cc1e,
    0x207e202b,0x0000adda,0x4c3d8000,0xff10000e,0x6ff4c007,0x4000058a,
    0x20003ffc,0x80004fe8,0x70005ffe,0x0b6001ff,0xff7001d3,0x9fffb003,
    0x4003be60,0x70003ff8,0x9003f65f,0xb7559fff,0x3f7007ff,0x3e200bee,
    0x2fae004f,0x26002eba,0x26002fff,0x0007f53f,0x07b313b7,0x59ffd100,
    0x7fec403b,0x00edacff,0x00fb79db,0x0006ffc8,0x03f2ab7a,0xfabdff88,
    0x6fdaaeff,0x004ff880,0x02fb97dc,0xf102ffc8,0xfe867cc3,0x01fea000,
    0x7f54f980,0x01fdc000,0x3fffffa0,0x7fc00005,0x6f880003,0x7f7dc000,
    0x7f70001f,0x7dd3e600,0x07ff9003,0x405fff70,0x13ea004d,0x5f15d800,
    0x05fff500,0x3fe007f3,0x9f5005fd,0xffff8800,0x7f7ec007,0x7efec006,
    0xff88000f,0xc8000fff,0x406fffff,0x92fffffe,0x7fffd409,0x3bfe2003,
    0xff50003f,0x2f8809ff,0x1b227ffc,0x0017fe60,0x401bf7fa,0x3f102ffc,
    0x013f63ec,0x40003f30,0x0006fefd,0x322001f4,0x000dfdb8,0x0013e600,
    0x0001f980,0x0bd11bf1,0xb0035c00,0x4400dfdf,0xffa800cd,0x800b202f,
    0x3e20004d,0x3ea00b50,0x007902ff,0x4007ffee,0xd710004d,0x9fd40017,
    0x3e6002fa,0x260002ff,0xb0001dfd,0xb8077ae2,0x92ffffff,0x00cb8807,
    0x0fd8f6c0,0x05b93000,0x9fff0d10,0x3b900588,0x3fff5000,0x880ee200,
    0x643ff11f,0x442a004f,0xfff10002,0x00180005,0x20000000,0x8800004c,
    0x88990000,0x0060001e,0x001fff98,0x3ffea000,0x1800b202,0x01044000,
    0x717ffd40,0xaa800e21,0x00002002,0x26174000,0x01554006,0x00000000,
    0xfffffd00,0x0000f25f,0x0f2074c0,0x0c400000,0x01427ffc,0x2aa80000,
    0x0fc40000,0x00043dff,0x003f27f3,0x00015540,0x437bd951,0x09999954,
    0x0073332a,0x51000000,0x00359b97,0x99930000,0x65c39999,0x2aa81ccc,
    0x37b2a200,0xfff5121b,0x32a16405,0x99504ccc,0x33326399,0x32e1cccc,
    0x7fd41ccc,0x1000362f,0x2437bd95,0x1cb7bb22,0x33333326,0x33332e1c,
    0x66540001,0x999504cc,0xedba8039,0x98370bde,0x1ccccccc,0x7c73332e,
    0x92ffffff,0x6776d407,0x00000ccc,0x9b975100,0xfff00035,0xdb750009,
    0x406e17bd,0x072deec8,0x666776d4,0x7dc3f10c,0x150002ff,0x070000a2,
    0x37ffa200,0x24effc9a,0x304ffff9,0x654001df,0xcccccccc,0x2a01cccc,
    0xfea88bff,0x99999704,0x59999039,0x104fffd8,0x6664c1df,0xd101cccc,
    0xff935bff,0x2fffa89d,0x3fe60b20,0x1df304ff,0x209fffb0,0xffa80ef8,
    0x2001f12f,0xc9adffe8,0x33ea4eff,0xb07feb89,0x3e209fff,0x3333220e,
    0xffff3000,0x803be609,0xb89befe9,0xfb01fefe,0x3be209ff,0x3fffff60,
    0x3fe0792f,0x219bff34,0xccccccc9,0xcccccb89,0x17ff502c,0x8009fd51,
    0x26004fff,0xeb89befe,0xcfa81fef,0xf07feb89,0x337fe69f,0xffd83f10,
    0x3332604f,0x32e1cccc,0xf8801ccc,0x7ff44001,0xfa89f900,0x07903fff,
    0x3fffba00,0x2ffdcaad,0xf107ffb0,0xfff701df,0x41fdc03f,0x3602fffb,
    0x0bfff903,0xc807ff44,0x17ffd44f,0x3fea0590,0x207903ff,0x3602fffb,
    0x99fff503,0xfd1001ff,0x4d3f201f,0x701fb06f,0x1ec05fff,0x0007ffcc,
    0x207ffff5,0x1bfee03c,0xf701ffa8,0x21ec05ff,0x2ffffffb,0x43ff7079,
    0xfff906fe,0x1dfff50b,0x220fff60,0xff000eff,0x3fee009f,0x307fea06,
    0x703f60df,0x237f43ff,0x3efa61f8,0x3f600dff,0x1df104ff,0x8017f200,
    0x7402fff8,0x7ffff544,0x88002b81,0xa84fff9f,0x06ffb82f,0x7ec1bfee,
    0x413203ff,0x3201fffb,0x07fff502,0xd00bffe2,0x02fffa89,0x7ff540b2,
    0x702b81ff,0x16403fff,0xfddfffa8,0x7ffc400f,0x6fca7402,0xff701f30,
    0x4416403f,0x2a000fff,0xb81ffffe,0x03fff302,0xff701fc8,0x2616403f,
    0x92ffffff,0x741ffd07,0xfffa80ff,0x05fff883,0x7dc0dff7,0x9fff006f,
    0x03fff300,0x37e41fc8,0x7ff40f98,0xf883ffa0,0x3fa67f11,0x3ffee05f,
    0x4400f602,0xfd000fff,0xa89500bf,0x40ffffcb,0x8bb8002b,0x85b04fff,
    0x2203fff8,0xff883fff,0x201d107f,0x3201fffb,0x05fff502,0x2a017ffa,
    0x017ffd44,0x3f2ea059,0x815c0fff,0x3201fffb,0x25fff502,0x7ff400fa,
    0xffb4a805,0x3ee03607,0x40b201ff,0x2a000fff,0x40ffffcb,0x0bffd02b,
    0x7fdc07a0,0x260b201f,0x792fffff,0x7f41ffd0,0x2fffa80f,0x884fff88,
    0x3e203fff,0xfff803ff,0x05ffe804,0x3ffd83d0,0x0ffe81b0,0x1f883ffa,
    0x7fec41f9,0x03fff700,0xffb80164,0xfff9804f,0xd3a83003,0x02b8dfff,
    0xfff8b440,0x321542a4,0x7f401fff,0x7fff707f,0x7fdc0590,0x540b201f,
    0xff982fff,0xfa83003f,0x40b202ff,0x8dfffd3a,0x3fff702b,0xffa81640,
    0xf980362f,0x2e3003ff,0x8040dfff,0x3201fffb,0x001fff02,0x6fffe9d4,
    0x7ffdc15c,0x2e013003,0x0b201fff,0xc97fedcc,0x3e2ffc83,0x5fff506f,
    0x909fff10,0xfe803fff,0x4fff807f,0x01fffdc0,0x7ffdc098,0x7fe4040d,
    0x3f11bfe2,0x9fd10ffa,0x807ffee0,0xffdd002c,0xfffb801f,0x22750002,
    0x0ae4ffff,0x3fe23b00,0xfd802e4f,0x7ff401ff,0xffff880f,0xff701660,
    0xa816403f,0xffb82fff,0xff30002f,0xa80ec05f,0x49ffff13,0x3fff702b,
    0xffa81640,0x23882e2f,0x4002fffb,0x0cfffff9,0x00fffdc0,0x23ffe059,
    0x7500cfea,0xb93fffe2,0x02fffc82,0x1fffb800,0x97400b20,0x2ebf903c,
    0xfff500ef,0x09fff105,0xe803fffb,0x7fc00fff,0x7ffe404f,0x3fe60002,
    0x6400cfff,0x881df75f,0xa87ff91f,0x3fff703f,0x65401640,0x6c03fffb,
    0x50000fff,0x97fffcc7,0x892a002b,0x803e4fff,0x6c00ffff,0xff701fff,
    0x2e00f49f,0x0b201fff,0x6c17ffd4,0x10000fff,0x07407fff,0x3ffe63a8,
    0x3ee0572f,0x40b201ff,0xb022fffa,0x007ffec5,0x7ffffdc0,0x3ffee03f,
    0x7fc0b201,0x05ffdddf,0x7fffcc75,0xfffd0572,0xff700003,0x8016403f,
    0x7640792e,0x7fd402ce,0x4fff882f,0x400ffff8,0x7c01fffd,0x7ff404ff,
    0x7dc0001f,0x403fffff,0xf102ceec,0xa93ffe23,0x3fff700f,0x47401640,
    0x7c06fff8,0x50000fff,0x9ffffa87,0x88d1002b,0x0ffcdfff,0x003fffe0,
    0x7405fffb,0x804b8fff,0x3201fffb,0x05fff502,0x0001ffff,0x5a827ff4,
    0xfff50ea0,0x3ee0573f,0x40b201ff,0xf502fffa,0x007fffc3,0xfffffa80,
    0x3fff705f,0xfff81640,0x2a0fff13,0x4ffffd43,0x0ffff82b,0xfffb8000,
    0x7400b201,0x00f60792,0x559fff50,0x09fff755,0xd801ffff,0x7fc02fff,
    0x7fffc05f,0xffa80000,0x7b05ffff,0xfa87e200,0x201e9eff,0x3201fffb,
    0xff924c02,0x7fff405f,0x90750001,0x0059dfff,0x3f3333b2,0x00ffcdff,
    0xd003fffa,0x7d403fff,0xb800edff,0x0b201fff,0x7417ffd4,0x20001fff,
    0x510bfff9,0x641d401d,0x702cefff,0x16403fff,0x224fffb8,0x3fa0ffca,
    0x640001ff,0xb82fffff,0x0b201fff,0xfff07ffc,0xff907501,0xffd059df,
    0x9999503f,0xfff70999,0xe8016403,0x3bf70792,0x7d401333,0xcccccdff,
    0xffe84fff,0x7fff400f,0x17ffe201,0x503fffd0,0x09999999,0x17ffffe4,
    0x266677ee,0x74c1f880,0x7dc03fff,0x00b201ff,0x2fffc43b,0x005fff90,
    0x7fec0ea0,0xad9802ff,0x4fffbaaa,0x7fec01f1,0x7fffc01f,0x1ffff400,
    0x01fffb80,0x7ffd40b2,0x02fffc82,0x7ffecc00,0x1d400cfe,0x02ffffd8,
    0x6403fff7,0x7fffdcc2,0x7ffffeff,0x0017ffe4,0x3fff6206,0x01fffb85,
    0x07ffc0b2,0x07503fff,0x20bffff6,0x3a02fffc,0xff704fff,0x8016403f,
    0xff90792e,0x03dfffff,0xf105fff5,0xfffb09ff,0x0ffff803,0xffffeb88,
    0x5fff902c,0x227fff40,0x5fffd881,0x7fffffe4,0x207e21ef,0x200fffd8,
    0x3201fffb,0x2667a202,0x301fffe9,0x20007fff,0xfffd103a,0xf101d005,
    0x500649ff,0x7c405fff,0xffa805ff,0xfff3002f,0xfa80ec05,0xfff982ff,
    0xd3100003,0x881d400b,0xf302fffe,0x00ec05ff,0xf981f440,0x02c003ff,
    0xff30fff5,0xf80ec05f,0x07ffe0ff,0x7ff440ea,0x3fffa82f,0x407fff20,
    0x3602fff9,0x0f25d001,0x3fffffe6,0xfffa87ff,0x84fff882,0x2202fffa,
    0x00005fff,0x901fffd4,0x20583fff,0x7fcc7ffa,0x27ffffff,0x3ff201f8,
    0x07ffee05,0x333202c8,0x4fffcccc,0x003fffa0,0x7cc07502,0x81dc02ff,
    0x82a4fff8,0x02fff419,0x5001fff3,0x22005fff,0x03a02fff,0xe817ffd4,
    0x00800fff,0x2a002f98,0x0bffe603,0xd017ffc4,0x80fd0001,0x0800fffe,
    0x43fec05b,0x3a02fff8,0x7c1fff00,0x203a81ff,0xfd02fff9,0x7ffdc0bf,
    0x05fff101,0x92e80074,0x999db107,0xfa83ffd9,0xfff882ff,0x40bffd04,
    0xa800fff9,0xbffd004e,0x20fffdc0,0x11ff602d,0xfd9999db,0xfc87e23f,
    0xf981bee2,0x407602ff,0x3fffa068,0x09ffd100,0x00ee16c4,0x34405ff5,
    0x409fff10,0x07ffcc1c,0x5003ffe8,0x74005fff,0x40b504ff,0xd102fffa,
    0x16c409ff,0x7002fe40,0x02ffa807,0x2d413ffa,0x007fc400,0x4409ffd1,
    0x3201db2d,0x09ffd04f,0x0fff816a,0x0ee07ffe,0x2205ff50,0xff703fff,
    0x27ff403f,0x4ba005a8,0xb00fe83c,0x05fff50f,0x2609fff1,0xffd00fff,
    0x03ff6007,0x40fffe20,0x76c1fffb,0xfe89f900,0x0fc4fb00,0x02fcc7fd,
    0x7405fff1,0x7d407900,0x3fa204ff,0x4174c1bf,0x02fb806d,0xfff8807a,
    0xd101f304,0x2ffc81bf,0x0bffea00,0x23fff980,0x7fd406a8,0x3ffa202f,
    0x80174c1b,0xd801cff9,0x202fb806,0x2a23fff9,0x3bf60006,0x2fffa201,
    0xdfb174c1,0x300ef885,0x35447fff,0xff83ffe0,0xb806d81f,0x3ffa202f,
    0x01fffb81,0xa88fffe6,0x3c974006,0x3f982fe8,0x883fffa8,0x3a204fff,
    0x17fe40df,0x8801a600,0xffb81ffe,0x2177ec1f,0x17f40ef8,0x43f11fcc,
    0x007f23fa,0x16a09ffd,0xff101fcc,0x6dc403ff,0x40dfeeff,0x402dffda,
    0x980f902d,0x7dc45fff,0x66776407,0x5c001dee,0x44002fff,0x0dfefffe,
    0x01fffdc0,0x3bbff6e2,0x7e4000df,0xffb502ef,0x402d805b,0xdfefffe8,
    0x3f620000,0xfb7100ef,0xd81bfddf,0xcfdbefcb,0x7fff4400,0x3e200dfe,
    0x5fff11ff,0x016ffed4,0x3faa00b6,0x1cefdcdf,0xefffe880,0x974000df,
    0xefeb883c,0xff701cdd,0xbfff307f,0xd99dd900,0x730003bd,0xbffd5000,
    0xb039dfb9,0x9fb7df97,0xbdfd7101,0x41f8839b,0x801dedda,0x2a23fff9,
    0x19dff706,0xeffffda8,0x00151002,0x6c408800,0x75d42dff,0xfeefffff,
    0x266005ff,0xffca8000,0x8002bfff,0x5cc009a9,0x01bfffff,0x00001510,
    0x11000003,0x004d4c00,0x80031000,0x530600a8,0x35300013,0xfffd8801,
    0x0efffd8e,0x00022000,0x00013351,0x00004d4c,0xf7300000,0x7137ffff,
    0x059ffffd,0x80002660,0xa8800009,0x260c0099,0x0000009a,0x7f440000,
    0x000dfeff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09a98000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x16dc0000,0x64c00f6a,0x000accdd,0x1f5d7a60,0xcccccc98,0x2016dc1c,
    0x400ec43c,0xccccc982,0x000aaccc,0x00177640,0xc802aa88,0x2200ec43,
    0x8072deec,0x41e80dc8,0x00000069,0x26666662,0x4ccc4001,0x55000999,
    0x00000015,0x3322059b,0xbdb001cc,0x260f4001,0x66665405,0x39999504,
    0x0017b660,0x3332a000,0x37ba2004,0xea850000,0x7dd7003e,0xcedca880,
    0x3332601b,0x666664c4,0x3b6001cc,0x00ded80d,0x3e27ff98,0x33ae00ff,
    0x000db981,0x01dd2fc8,0x985fffc8,0xa7c407ff,0x078805e9,0x326bfff6,
    0x8000dfff,0x20004ff8,0xf8801ffc,0xfa80bd34,0x07feb89c,0x2fa813ea,
    0x3e6005f7,0x54007fa6,0x07ffffff,0x7ffffdc0,0x9ff3006f,0x07fa2000,
    0xfa813ea0,0x1ffa802f,0xfa97d400,0xffff9803,0x801df304,0x54001ffa,
    0x701dd15f,0xfb8003ff,0x0930001f,0x3fa00df9,0x45ffd405,0x700cfea8,
    0x3ff60fff,0x7fd4005f,0x44fffb81,0xdff11efa,0xbb107ff8,0x00191001,
    0x003f34e8,0xf107fff5,0xfdf900df,0x40fd001f,0x7ec1fffb,0x4fa8006f,
    0x017f4000,0x01ffdf90,0x0fd837cc,0x7400ff88,0x2e006fef,0x03ff99ff,
    0xdddddd30,0xeeea800d,0x2a004eee,0xff70006f,0x40bfa009,0xfc802ff9,
    0xfbfd0002,0x7ffd400d,0x2007903f,0x7ec004fa,0xb82ffa8f,0x1fe8007f,
    0x6c072000,0x02fcc01f,0x3e20fff6,0x7ff980ef,0x005fff50,0xff882fc8,
    0x3ffa0fea,0x37102e64,0xb0007f10,0x4b9a6001,0x05fff300,0x3e2002e6,
    0x7ec404ff,0x07ffea07,0x8005fff5,0x7cc0004d,0x7ffc4002,0x9837e404,
    0x00ffa80f,0x000fffd4,0x006e49b1,0x00000000,0x0007ea00,0x7400bfe6,
    0x05ff105f,0x540005f0,0x2a001fff,0xb81ffffe,0x001ae002,0x037627b3,
    0xf1001fee,0x40580003,0x202e404d,0x3ee06ffb,0x07ff986f,0x8005fff5,
    0x221d902f,0x00bff24d,0x2000bb00,0x04110049,0x05fff300,0x02aa6000,
    0xeefffe88,0x20fffd43,0x4004fff8,0x02980000,0x80155300,0x01b03ffd,
    0x55003ff5,0x30000005,0x39999999,0x00e6665c,0x359b9751,0x00035000,
    0x09ff0004,0x0200bfe2,0x00aaa000,0xffff9750,0x04002b81,0x3ee00000,
    0x00044007,0x00200ea0,0x3fff8801,0x30fffe20,0x3fea0fff,0x5004002f,
    0x3aa550e0,0xdddb35ee,0x6c4075c1,0x0e0ccabe,0x3372ea20,0xfff9801a,
    0x22f77542,0xccccccc8,0x33cccccc,0x8355fff7,0x7cc1fffa,0xccc982ff,
    0x0aaccccc,0x74c7ae00,0x33333203,0x0ccccccc,0x1037ffee,0xb80bfe20,
    0x9707d31e,0x90399999,0xffd85999,0x01df104f,0x5445ffd4,0x1eb804fe,
    0x666407d3,0xcccccccc,0x81ffc40c,0x66642ff8,0xcccccccc,0x3333260c,
    0x00aacccc,0x3fffa750,0x332615c6,0xcccccccc,0x333261cc,0xcccccccc,
    0x2e1fee1c,0x81cccccc,0xdb82cccc,0x6664c3ff,0x9931cccc,0x64399999,
    0x7f401fff,0x83ffcc7f,0x3002fffa,0xcc989999,0x201ccccc,0x3fe67ffa,
    0x3ea0be0f,0x038ffd95,0x5445ffd4,0x7fcc04fe,0x47ffb82f,0xffabdff8,
    0x26fdaaef,0x3ea07ff8,0x3ffdc1ff,0x26bfff60,0x800dfffc,0x01ffb5ff,
    0x2aaaf7fe,0x7cc5fffe,0x800cffff,0x57fe03ff,0xffb80ffd,0x0fee01ff,
    0xd80bffee,0x20fff603,0x3e00eff8,0x201ffb5f,0xeaaabdff,0xff985fff,
    0xf85ff102,0xfeaaabdf,0xfffb05ff,0x1bfff935,0xfff13a80,0xfc815c9f,
    0xfdbaacff,0xcfffc83f,0x23ffdbaa,0xfff707fb,0x21fdc03f,0x4ff98fe8,
    0x905fffc8,0xffb0bfff,0xfffe803f,0x541ffe60,0x2e002fff,0xfff907ff,
    0x7fcc150b,0x7a87ffc7,0xff71ff98,0xffb01a89,0x01dff107,0x260bffe6,
    0x217c47ff,0x13644fff,0x7fd40fff,0x5fff511f,0x41fffb80,0xfd806ffd,
    0x3e20bf53,0x0ffff982,0xffffffb8,0xb017f403,0xd817ea7f,0x13203fff,
    0x900fffdc,0x81bfee05,0x3f606ffb,0x3e20bf53,0x0ffff982,0xf101ff88,
    0x4c17c45f,0xf700ffff,0x6ffd83ff,0xfff31d40,0x7d40ae5f,0x83f982ff,
    0xf982fffa,0xfd81fee3,0x213203ff,0x0fff76fc,0x2a07fff5,0xfff83fff,
    0x7ffec00f,0x541ffe61,0x26002fff,0xfff507ff,0x7fcc5707,0x4c87ffc7,
    0x3ff25fe8,0x7fdc0d42,0x41bfee06,0xf982fff9,0x7fc3447f,0xff12c44f,
    0x77ffd40f,0x800dffff,0x7d41fffa,0x400002ff,0x7fffd049,0x7ffffd40,
    0x00df105f,0xffff1000,0x7dc03a20,0x20b201ff,0x2203fff8,0x00003fff,
    0x3fffa093,0x440ff203,0x741262ff,0x3ea03fff,0x7ffd41ff,0xff50ea02,
    0x2a0573ff,0x07902fff,0x3205fff5,0xf881fee3,0x81d107ff,0xbf5b4ff8,
    0x205fff50,0xff82fffa,0x7fec00ff,0x41ffe62f,0x2002fffa,0xff507ff9,
    0x7cc7b05f,0xd87ffc7f,0xfd17fd43,0xff88481f,0x3ffe203f,0x82fff983,
    0x40c47ff9,0x22284fff,0x3fea07ff,0x06fffa9f,0x883fff50,0xed884fff,
    0xeeed88ee,0x7fdc0d40,0xfff9006f,0x0de985ff,0x88eeed88,0xf700eeed,
    0x405907ff,0x3201fffb,0x01fffc82,0xdb13fff4,0xdddb11dd,0xffb81a81,
    0x82eb806f,0x206a2ff8,0x5406fffb,0x7fc41fff,0x320ea04f,0x502cefff,
    0x885c5fff,0x22fffa83,0x3fdc710b,0x20fffee0,0x9cffa82c,0x17ffd403,
    0xe82fffa8,0x7ec00fff,0x1ffe61ff,0x0017ffd4,0x3ea0fff3,0x265e82ff,
    0x87ffc7ff,0xf33ff42e,0xff9090df,0x7ffe803f,0x982fff98,0xfff007ff,
    0x07ff8809,0x7e47ffea,0xffa804ff,0x17ffcc1f,0xf30fff98,0xff1001ff,
    0x220603ff,0x3e25fffd,0x87ffcc03,0xf100fff9,0x02cc1fff,0xc807ffee,
    0x01fffd82,0xf307fff4,0x3ffe61ff,0xffff8800,0x885d3001,0x7fc402ff,
    0x7fd401ff,0x17ffcc1f,0x3ff60750,0xfff502ff,0x3ea006c5,0x5c0362ff,
    0x7ffc407f,0x7dc1660f,0x7d400cdf,0xfff502ff,0x03fffb05,0x260fffe8,
    0xfff507ff,0x3fe61805,0x85fff507,0x1ffe67f8,0x887a1fff,0x0fff25ff,
    0x3fffb071,0x40fffe80,0xf982fff9,0x9fff007f,0x207ff880,0x3fa1fffa,
    0x7fd401ff,0x03ffdc1f,0x3e21fff1,0xffd800ff,0xfa81604f,0x8076447f,
    0xff10fff8,0x7ffdc01f,0xff7007a4,0x7c16403f,0x7ec00fff,0x3ffe21ff,
    0x001fff10,0x2009fffb,0x2ff881ed,0x027ffec0,0x2e0fffd4,0x81d407ff,
    0x502fffe8,0x03e25fff,0x225fff50,0x00ff700f,0x0f49fff7,0x805fffa8,
    0xf502fffa,0xfff505ff,0x45fff805,0xff507ff9,0xf32c405f,0x3ffea0ff,
    0xf987fd42,0xd87ffc7f,0x74d3fe63,0x7c0641ff,0x7ec00fff,0x7ffcc1ff,
    0x007ff982,0xf8809fff,0xffa810ff,0x3fffe61f,0x47ffea00,0x202fffa8,
    0x3fe0fff8,0x7ffd400f,0xfb016c06,0x101df10f,0x7ffc1fff,0x47fff400,
    0xfffb804b,0x3fe0b201,0x7fec00ff,0x83ffe22f,0x7d400fff,0x5f9006ff,
    0xa80bfe20,0xf5006fff,0x3fea23ff,0x301d402f,0x3ea05fff,0x00ffccff,
    0x7e67ffd4,0x00ff700f,0x12e3fffa,0x803fff98,0xf502fffa,0x3ffa05ff,
    0x03ffea05,0x3ea0fff3,0x992e02ff,0xfff507ff,0xf32ffb85,0x70fff8ff,
    0x64effd49,0xf80dc7fd,0x7ec00fff,0x7ffd42ff,0x007ff983,0xfd009fff,
    0xffb83b5f,0x2fffdc1f,0xffdfff50,0xf8801bff,0x03ffe0ff,0x805fffd0,
    0x09f900ed,0x3fe20bfa,0x003ffe0f,0x01dbfff5,0x403fff70,0x0fffe82c,
    0x10ffff40,0x7ffc1fff,0x17fff400,0x880ffc40,0x3ffa02ff,0xfff5002f,
    0x01bffffd,0xffa80770,0xbbfff502,0xffa801ff,0x700ffddf,0x3fea00ff,
    0x7f400edf,0xf506e0ef,0x3fea05ff,0x1fff302f,0x260fff60,0xfff507ff,
    0xf98fa205,0x5fff507f,0xff53ffd8,0xa87ffc1f,0x23bffe25,0x1c5917fc,
    0xd003fffa,0xffa83fff,0x07ffa83f,0x3009fff0,0xff705dfd,0x7fffb05f,
    0x2a7ffea0,0xf8806fff,0x03ffe0ff,0x805fffc8,0x77c42efd,0xf107ff00,
    0x07ffc1ff,0x01ffff40,0x201fffb8,0x1fffd82c,0x107fffc0,0x7ffc1fff,
    0x17fff200,0x8817fcc0,0xfff902ff,0x7ffd400b,0x006fffa9,0x05f700db,
    0x7d4bffea,0x97ffd400,0x0ff700fa,0x01ffff40,0x767fffcc,0x02fffa84,
    0x4c05fff5,0x7fdc0dfe,0x01fff503,0xd309fff7,0x83ffcc5f,0x7f42fffa,
    0xdfffe9df,0x0f41fff0,0x3f621bf7,0xfb0e20bc,0xfff803ff,0xfffd730f,
    0x3ffa639f,0x7ffc00df,0x7e4c0004,0x220cefff,0x540cffff,0xfff91fff,
    0x0fff8809,0x7cc03ffe,0x21300fff,0xfdbefcbd,0x05ff300c,0x7fc1fff1,
    0xfffa800f,0x5fff3002,0x7fd40ec0,0x3ffe202f,0xf07ffc45,0x3fe601ff,
    0x441300ff,0x5ff103ff,0x01ffff30,0x3fff5026,0xa813fff2,0x6c02dffd,
    0x45fff502,0x7ffd400d,0x3fdc0362,0x05fff500,0x13bfff20,0xa817ffd4,
    0x5c402fff,0x1cfeccee,0x1bfffd30,0x3ffffee6,0x1ffffeef,0x7d41ffe6,
    0x27ff42ff,0xd307ffc0,0xfa848000,0x3fe202ff,0x440bb05f,0x3ffe003e,
    0x00de8804,0x2a000660,0x3ffa1fff,0x07ffc01f,0x3f601fff,0x0c3603ff,
    0xf50027a6,0x83ffe03f,0xfa800fff,0xff1002ff,0xe807405f,0x3fe605ff,
    0x20fff80f,0xffb00fff,0x3e06c07f,0x05ff104f,0x6c07fffb,0xd0fffd40,
    0x50003fff,0x3ea01103,0x3882e2ff,0x1717ffd4,0x007fb9c4,0x400bffea,
    0xffa80315,0x5fff502f,0x1fffdc00,0x26000a80,0x7ff9800a,0xa85fff50,
    0x7ff801ee,0x390003c8,0x9817ffa0,0x1fc80fff,0xff001fa0,0x9ff3009f,
    0x003fe400,0xf987ffea,0x3fe00fff,0x01fff30f,0x440dfff5,0x201bea07,
    0xfff00ffa,0x003ffe61,0x800bffea,0x0b504ffe,0xe807ffcc,0x1fff03ff,
    0x2a03ffe6,0x1e206fff,0x7fc413fa,0x037ffd42,0x3fff50f1,0x007fffcc,
    0xa8017fa0,0x5b022fff,0x022fffa8,0x801fee5b,0xa802fffa,0x3ffea003,
    0x05fff502,0x01fffd80,0xf7004ff8,0x7ff9801f,0x005fff50,0x41ffabd0,
    0x0722004c,0xd00fff98,0x13fa07ff,0x3e002ff8,0x773005ff,0x001fe800,
    0xf707ffee,0x7fec0bff,0x41fffeac,0x101ffff8,0x00fd80db,0xffb01ff8,
    0x03fffd59,0x005fff50,0x511fffcc,0x1bfd100d,0x3602ffc8,0xfffeacff,
    0x0ffffc41,0x1fe86d88,0x7c45ff30,0xdb101fff,0xb83fff70,0x44005fff,
    0x3fea007f,0xa83f502f,0x3f502fff,0xfa801fee,0x00d802ff,0x40bffea0,
    0x8002fffa,0x200aeffe,0x3f6005fa,0x83ffcc02,0x4002fffa,0x405fd6f8,
    0x332202d9,0x0dfe8800,0xf5017fe4,0x7df9017f,0x5fff8801,0x20019100,
    0x5c005fa8,0xffd82fff,0xbffd103f,0x641bfff1,0xff504fff,0x017ea20d,
    0x74406fcc,0xdfff8dff,0x17ffdc00,0x3fffa200,0x32000dfe,0x1deeccee,
    0x46fff440,0x3f20dfff,0xdff504ff,0xf9303fb8,0x27ffe45f,0xfb86ffa8,
    0xfffd82ff,0x07f71003,0x127ffdc0,0xfb81ff95,0x3f2a24ff,0x035ff70f,
    0x805fff70,0x7fdc0058,0x7fff703f,0xffb51000,0x1fc985df,0x806ea880,
    0xfb80fffa,0xda8003ff,0x995003dd,0x0017b999,0xdd99dd90,0xdff9003b,
    0x0dffd883,0xffffeb88,0x2000c02c,0x326000a9,0x20ceffff,0x00cffff8,
    0xfff30013,0xfffddddf,0x06660bff,0x20197100,0xfca80009,0x002bffff,
    0x00009a98,0x4c0004cc,0xffff9800,0xffffeeee,0x9803325f,0xfff30999,
    0xfffddddf,0x7fe4cbff,0x3e20ceff,0x5400cfff,0xff730009,0xfffdffff,
    0x7ffdccff,0xffffefff,0x80666627,0xbfffffca,0x26001102,0x1bfffffb,
    0x7fffff73,0x804c0003,0x02a2001a,0x37fffa60,0xfffff730,0x00000037,
    0x33000000,0x10020001,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc8803ddb,0x93000ccc,0x41999999,0x03ccccc8,
    0x20000083,0x0bdeedba,0x774c0039,0x76544004,0x000121bd,0x000dc000,
    0xc800fbae,0x15402440,0x2a0004c0,0x2001dc0d,0x88002eeb,0x1e8005ed,
    0x207002cc,0x80000003,0x8000c82a,0x00002eeb,0x33101d40,0x26013333,
    0x40199999,0x01999999,0x40059300,0xfffffff8,0x00000000,0xa8800000,
    0x40336600,0xf5003ff8,0xfc8001ff,0x3bf605ff,0x9cffe981,0x7d4ff20d,
    0x2bbfa605,0x1fefeb88,0x003bf200,0x4d6fff44,0xfc84effc,0x2e5fb004,
    0x0026c04f,0xea801bf6,0x2203ebab,0x1ffb803d,0xfd876c00,0x3ffe6000,
    0xfffc8006,0xa97d4003,0x2732003f,0x4c003d98,0x0058adfd,0x176eb3e2,
    0x0027fc00,0x817fc000,0x3ffffffe,0xffffff88,0xffff301f,0x98001fff,
    0xf1003c9d,0x01ffffff,0x80fe8000,0xcccceeda,0x03eeda80,0xd80f5f4c,
    0x07f704ff,0x007ffc40,0x40fffea0,0x3ff204f9,0xb7fc6fff,0xffb80ffd,
    0x007fea05,0xd1000ee8,0x13f201ff,0xf1003ffe,0x201ffabf,0x07ec005e,
    0x1ffffd00,0x6c013a20,0x7cc002ff,0x6c003fee,0x2002fdbf,0x00feaef8,
    0x037eff40,0x3ffffe20,0x7ffec000,0x7e4005ff,0xa8002fff,0x0000004f,
    0x3bb605f7,0xe882eeee,0x01eeeeee,0xddddddd1,0x1a1c8001,0xa8800000,
    0x740acdcb,0xf9a7fc2f,0xa7dc0cdf,0x443604fa,0x20bffd05,0xfff8003e,
    0x7ffcc000,0xa402e883,0x75c0ceb9,0xff307b32,0x01fc801f,0x22001f30,
    0x27402fff,0xdb802fec,0xf5007d51,0x003e8009,0xfb005f5c,0x01366001,
    0x0037fec0,0x006c87ea,0x01f44376,0x00bffea0,0x0073f660,0xbfb71910,
    0x39b50003,0x40172000,0xccccccc9,0x2f3332e1,0x0000002c,0xb8000000,
    0x75c00933,0xf5007d31,0xbfd5117f,0x7dc1d735,0x261bfa1f,0x03ff12ff,
    0xfd82cc72,0x2000304f,0x4c000fff,0x0f543fff,0xe8000000,0x03d005ff,
    0xfe800220,0x104a805f,0x7c000000,0x0004001f,0x002fdc00,0x35510000,
    0x1a809800,0x00710500,0x00005550,0x00000000,0x00040000,0x406fffec,
    0x99302ef8,0x99999999,0x6664c399,0x7001cccc,0xdec88000,0x6d7fe000,
    0x3ff600ff,0x9cfff982,0xfd07ff40,0x20ffd81f,0xd9d304ff,0x4cbff203,
    0x1ccccccc,0x261fff00,0xf981deed,0x003ae3ff,0x33333326,0x9999931c,
    0x7ffdc399,0xc9813002,0xcccccccc,0x7fcc1ccc,0x3263003f,0x01cccccc,
    0xbf900070,0xc9801c00,0x41cccccc,0xccc983fe,0xcccccccc,0x3333261c,
    0x4c00abcc,0xcccccccc,0x2001cccc,0x99993003,0x99999999,0x0001c003,
    0x99930038,0x99999999,0x001c0039,0xd80bffee,0xcfffc803,0x83ffdbaa,
    0x2005fffc,0x440001f8,0x9fec001f,0x3fee05fa,0x41bfee06,0x3ffa0ffe,
    0x6667ff40,0x200c05ff,0x7fec1ffa,0x7ffc005f,0xf980fea0,0x001fb3ff,
    0x905fffc8,0xff90bfff,0xf900003f,0xfb7559ff,0x2fffb87f,0xbfff9000,
    0x000fc400,0x22003fee,0x3ff2001f,0x01ffa85f,0x2ab3fff2,0xfd83ffdb,
    0xdffcbbff,0x33fff200,0x03ffdbaa,0x64003f10,0xdbaacfff,0x3f1003ff,
    0x01f88000,0x2b3fff20,0x003ffdba,0x7dc003f1,0x00b201ff,0x260bffea,
    0x3fffa83f,0x0017f200,0x0000bf90,0x03fff880,0x320fffe2,0x21bfe2ff,
    0x99999fff,0x11dddb10,0x7c41dddb,0x02fffa87,0x7b07ffc0,0xecfff980,
    0x7d4004ff,0xfff503ff,0x01fffd07,0x5fff5000,0xffd87f30,0xff50000f,
    0x2fe4007f,0x00ffea00,0xfa8017f2,0x0ffc83ff,0x20bffea0,0xfffb83f9,
    0x407ffe61,0xf982fffa,0x00bf9003,0x4c17ffd4,0x0bf9003f,0x005fc800,
    0x260bffea,0x0bf9003f,0x00fffdc0,0xfff50059,0x3ea0f205,0xff1002ff,
    0x3e20001f,0x76c400ff,0xeeed88ee,0x00fffe40,0x7e41fffe,0xfd01df75,
    0xfff9805f,0xf81fff30,0x02fffa85,0x2c87ffc0,0xfffff980,0x2a003fff,
    0xff502fff,0x1ffff05f,0xfff50000,0xfff0f205,0x3ea0001f,0xff1002ff,
    0x7fcc001f,0x07ffc404,0x82fffa80,0x3ea00ffe,0x707902ff,0xff983fff,
    0x2fffa82f,0xff100790,0x3fea001f,0x1007902f,0x20001fff,0x5000fff8,
    0x0f205fff,0x003ffe20,0x900fffdc,0x5fff5005,0xfa83885c,0xff7002ff,
    0x3ee0009f,0xff9804ff,0x81fff30f,0x7c01fffd,0xdd900fff,0x2ffe4059,
    0x443ffe20,0x41ec0fff,0x4002fffa,0x02fc8fff,0xf9bfff98,0xf5001fff,
    0x3fea05ff,0x1fffe82f,0xcccccca8,0x22fffa84,0xffe8710b,0xff50001f,
    0x3fee005f,0x3fe6004f,0x27ffdc05,0x82fffa80,0x3ea00fff,0x1c42e2ff,
    0x740fffdc,0xfffa87ff,0x401c42e2,0x5004fffb,0x885c5fff,0x4fffb803,
    0x9fff7000,0x8bffea00,0xf700710b,0x3ee009ff,0x00b201ff,0x0d8bffea,
    0x017ffd40,0x00fffee8,0x0fffee80,0x887ffc40,0x7ffc0fff,0x7fff400f,
    0x2a003d81,0x88e21fff,0x3ffe0fff,0x7fd41640,0x7ffc002f,0x4c00fffd,
    0xfff73fff,0xfff5001f,0x0bffea05,0x4407fff2,0xf503fffe,0x9006c5ff,
    0x20005fff,0xd002fffa,0x2001fffd,0x77406ff9,0xfa800fff,0x07ff82ff,
    0x1b17ffd4,0x81fffb80,0x7d41fffb,0x000362ff,0x001fffdd,0x06c5fff5,
    0x3fffba00,0xffee8000,0xfffa800f,0xdd000362,0xf7001fff,0x016403ff,
    0xf897ffd4,0x17ffd400,0x7ffde540,0x7de54003,0x7fc403ff,0xf03ffe0f,
    0xfd801fff,0x4efdc2ff,0xfd100999,0xf88b9bff,0x03ffe0ff,0x5fff5035,
    0xebfff800,0x7fcc05ff,0x1bfff63f,0x40bffea0,0xfa82fffa,0x3ff203ff,
    0x5fff501f,0xff9803e2,0xff50003f,0xf795005f,0x3e6007ff,0x3ef2a05f,
    0xffa803ff,0x407fe82f,0x1f12fffa,0x81fffb80,0x7d43fffa,0x001f12ff,
    0x1fffde54,0x897ffd40,0x2f2a000f,0x54003fff,0x803fffbc,0x1f12fffa,
    0x7fde5400,0xfffb803f,0x2a00b201,0x0ffccfff,0x017ffd40,0x37ffc474,
    0x3fe23a00,0x7ffc406f,0xfd03ffe0,0xffe801ff,0x7fffe41f,0xe881efff,
    0x7c40dfff,0x03ffe0ff,0x017ffd40,0x3e63ffe0,0x3fe602ff,0x27fff43f,
    0x40bffea0,0xfb02fffa,0x7ffdc0df,0x99fff501,0xffe801ff,0x7d40800f,
    0x88e802ff,0xf3006fff,0x7c47409f,0xffa806ff,0x00ffd82f,0x3f33ffea,
    0x7ffdc00f,0x45fff981,0xffccfffa,0x3e23a000,0xffa806ff,0x000ffccf,
    0x1bffe23a,0xfff11d00,0x9fff500d,0x74001ff9,0x806fff88,0x3201fffb,
    0xdfffa802,0x7d400ffd,0x924c02ff,0x26005fff,0x80bfff24,0x3fe0fff8,
    0x0fffec0f,0x303fffe0,0xffffffff,0x8807640f,0x3ffe0fff,0x7fd404c0,
    0x3fe2002f,0x01fff70f,0xf10fffe6,0x7d407fff,0xfff502ff,0x07ffe205,
    0xa80fffdc,0x0ffddfff,0x027ff440,0xfffa85b1,0xff924c02,0x7ff5005f,
    0xfffc9260,0x17ffd402,0xf5007fe4,0x01ffbbff,0x981fffb8,0x7fd46fff,
    0x000ffddf,0x17ffe493,0x377ffea0,0x493000ff,0x3002fffc,0x017ffe49,
    0x3f77ffea,0x6493000f,0x7dc02fff,0x00b201ff,0x7d4bffea,0x17ffd400,
    0xfff88760,0x7c43b005,0x3fe205ff,0x503ffe0f,0x7c405fff,0xced885ff,
    0x81ffeccc,0x7ffc03fa,0xfb83ffe0,0x17ffd42f,0x43fff100,0xff505ffe,
    0xffff909f,0x0bffea07,0x1017ffd4,0xff705ffb,0x3ffea03f,0xd1001f52,
    0x2e9837ff,0x402fffa8,0x17ffe21d,0x6c03fee0,0x017ffe21,0xf305fff5,
    0x7ffd405f,0xfb801f52,0xfff981ff,0xa97ffd45,0x443b000f,0x7d405fff,
    0x001f52ff,0x5fff8876,0x7fc43b00,0x7ffd405f,0x36001f52,0x017ffe21,
    0x6c05fff3,0x2fffa801,0xfff50036,0x4ccf4405,0x401fffe9,0xfe9999e8,
    0x3ffe01ff,0x3a03ffe0,0x3fe605ff,0xb00fe80f,0xf017f20f,0x3ffe61ff,
    0xf517ffa0,0xb11805ff,0xfd11bfff,0x3ae61bff,0xd30cffff,0x83bfffff,
    0xf502fffa,0xfd5005ff,0x39dfb99d,0xb17ffd40,0x3f6e2001,0x500dfeef,
    0x74405fff,0xfffe9999,0x8827e401,0xffe9999e,0x3ffea01f,0x5407fd02,
    0x00362fff,0xf503fff7,0xfffa89ff,0x3a200362,0xfffe9999,0x8bffea01,
    0x99e8800d,0x01fffe99,0x74cccf44,0x3ea01fff,0x200362ff,0xfe9999e8,
    0x3fe201ff,0x2003a03f,0x82e2fffa,0x17ffd438,0x99999990,0xcc809fff,
    0xfffccccc,0x4c3ffe04,0xff980fff,0x07ffd00f,0x0fe60bfa,0xd805ffcc,
    0xfffeacff,0xf50bfee1,0x02c405ff,0xa8800035,0xfffa8000,0x05fff502,
    0x0099ea80,0x5c5fff50,0x65400e20,0x2fffa800,0x33333320,0x7c04fffc,
    0x9999900f,0x409fff99,0xf502fffa,0x17ffd40d,0x3ee1c417,0xfffb81ff,
    0x717ffd41,0x66641c41,0x4fffcccc,0xb8bffea0,0x33320e20,0x4fffcccc,
    0x66666640,0x2a04fffc,0x882e2fff,0xcccccc83,0x7404fffc,0x00b504ff,
    0x408bffea,0x17ffd42d,0x3ffa0688,0x740d100f,0xffb00fff,0x03fffd59,
    0xf7037fa2,0x7f5c405f,0x5c01cdde,0xfe883ffe,0x0dfff8df,0x3ffea022,
    0xfd812e02,0x3fe20006,0x7ffd4002,0x05fff502,0x4004fe80,0xb022fffa,
    0x00ffa005,0x440bffea,0x03fffa06,0x06881fd4,0x5403fffa,0x3f202fff,
    0x45fff502,0x3fee16c0,0x85ffe81f,0xb022fffa,0x3fa06885,0xfff500ff,
    0xd10b6045,0x807fff40,0x3fffa068,0x45fff500,0x81a216c0,0x2600fffe,
    0x1aa23fff,0x02fffa80,0xfffa83f5,0x7d407902,0x407904ff,0xd104fffa,
    0xbfff1bff,0x66776401,0x00001def,0x09801300,0x7ffd4000,0x4407d102,
    0x7dc0007f,0x7ffd4004,0x05fff502,0x4005f980,0xf502fffa,0x017e6003,
    0x640bffea,0x13ffea03,0x40790274,0xf504fffa,0x05d805ff,0x2a05fff5,
    0x0fffdc1f,0x2a03bfea,0x3f502fff,0x3fea03c8,0x5fff504f,0x07907ea0,
    0xc827ffd4,0x13ffea03,0xa817ffd4,0xf501e41f,0xfe8809ff,0x000dfeff,
    0xa893ffee,0x7fdc0ffc,0x203f983f,0x4c1ffff8,0x3ffe203f,0x0002601f,
    0x00002660,0x00000000,0x84fffb80,0xf7102fe9,0x7ecc0009,0x7ffdc000,
    0x07fff703,0x0017e4c0,0xa893ffee,0xc9800ffc,0xfffb801f,0x2203f983,
    0x3621ffff,0x880fe603,0xfb81ffff,0x85c803ff,0x2a24fffb,0x7fe40ffc,
    0x037fea2f,0x5127ffdc,0x1fcc1ff9,0x03ffff10,0x5449fff7,0x0fe60ffc,
    0x41ffff88,0x3fe203f9,0xfffb81ff,0x83ff2a24,0x3fe203f9,0x353001ff,
    0x7fdcc001,0xfffeffff,0x3ffee67f,0xdff71bff,0xfffda819,0x9dff72ef,
    0xffffda81,0x0000002e,0x00000000,0x2e600000,0xeeffffff,0x3301ffff,
    0x01a80001,0x7fffdcc0,0xfff731bf,0x350037ff,0xfffb9800,0xffffefff,
    0x80135007,0xbfffffb9,0x819dff71,0x2effffda,0x77fdc015,0x7ffed40c,
    0xfff732ef,0x188037ff,0xffffff73,0x4cfffffd,0xfefffffc,0xff7301be,
    0xfffdffff,0x677fdcff,0x7fffed40,0xffff732e,0xfffffdff,0x20677fdc,
    0x2effffda,0xa819dff7,0x32effffd,0xdffffff7,0x7dcfffff,0x7ed40cef,
    0x0002efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x14019b10,0x00000008,
    0x0000aa60,0x30000605,0x00001101,0x00d54000,0x2a001554,0x1814002a,
    0x00000000,0x00000000,0x00011013,0x00000000,0x01553000,0x550006a0,
    0x00000005,0x00000000,0x04404c00,0x20015530,0x30bc983f,0x64432605,
    0x2a2c9801,0x1dc57100,0x980e4254,0x1e89deeb,0xeeddde98,0xd706e40b,
    0x1ff9fe40,0xd51dddb1,0xfff101bf,0x41ffe805,0xe882ec4d,0xa87e603f,
    0x267fe00f,0x4ffb806f,0x401fff70,0x3000fffa,0x6c003fff,0x36002ec4,
    0xedb802ff,0xff3002df,0x3b6e600b,0xd50f21cd,0x74407d41,0x7fcc007f,
    0x8deeea85,0x3e203eec,0x9ffd007f,0x009b9d00,0x0007ffe6,0xfb805ffb,
    0xdff3004f,0x02ffcc00,0x74c0fff4,0xfe803ea1,0x40f9804f,0x1eeffff9,
    0x1ff6bff0,0xdbffff70,0x7d47fe40,0xdcbde82f,0x2e3ff106,0xafc41fff,
    0xf885f73b,0x3e02fd9e,0xff887f36,0x86ffdddf,0x2206fefd,0x9df982ff,
    0xfff700fe,0x4fbafd80,0x07e4fe60,0xf8827f40,0x3fa04fef,0xdfd005fe,
    0x6fcc00df,0x7c000fe9,0x9374403f,0xdf9005ff,0x117ff500,0x20b79fd7,
    0x203fc9fe,0x32002ff8,0x3ffee05f,0x204ffdbd,0x7dc02ff9,0x8ea00ffe,
    0xfefe800d,0x01ffc005,0x26007fb8,0xbf9001ff,0x403ff300,0x204fb9fd,
    0x400ffefb,0xffdbc86c,0x653fa06f,0x7f5ec06f,0x5fee04ff,0xffa81ff9,
    0x4fe882ff,0xf907ffe2,0xb82d8ee7,0x3e605fff,0x3ffe0b90,0xf98fff14,
    0x3ee05f54,0x13fff602,0x4c06ff98,0x3200ffff,0x3e200fe5,0x7ecbf204,
    0x3f92fb80,0x5f73fa80,0x27ffec00,0x200fea00,0xbff50ffb,0xa801df00,
    0xfff882ff,0x0dfff500,0x7c00bf30,0x3ffe600e,0x980bffa1,0x237e204f,
    0x692605e9,0x5f73fa80,0x000fea00,0x7d4003f9,0x001df003,0xff9803f9,
    0x1bf100ff,0x83e80bd3,0x20c00d41,0x06a21801,0x20088260,0xff700bc8,
    0x20fffc45,0x263b8eff,0x403fff02,0x7fc0362b,0xe83ffe1f,0x02e834c2,
    0x2007ffc4,0xffd800a9,0x04986c03,0x074c0b70,0xb83d1132,0x1aa17405,
    0x00fff880,0xfb801ec0,0x80dff32f,0x7fd400e9,0x817ff206,0xf3002ffd,
    0x3003a600,0x4ffb8fff,0x89903cc0,0x3b7601e8,0x3542e803,0x90004c80,
    0x806a8009,0x05d000e9,0xc80fff60,0xf980f444,0x00000001,0x00000000,
    0xff0bff60,0xdeffd83f,0x00000003,0xfff87ffe,0x00000001,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x00dffb12,0x3fff8820,0x07fffd10,
    0x00000000,0x7d47ff98,0x0000006f,0x00000220,0x00000000,0x00000000,
    0x5c000000,0x33bb6a06,0x47776c41,0x220eeed8,0xed88eeed,0xddb500ee,
    0x3fb6e039,0x41fff82d,0x7fd41fff,0xeda805ff,0x3bb6a03e,0x43fff01c,
    0x76d41fff,0xdeda84bd,0xbdeda84b,0x6d401404,0x3b620bee,0xeeed88ee,
    0x17ddb500,0x80fbb6a0,0x320beeda,0xed9adeee,0x27db34ee,0xd88eeed8,
    0xeca80eee,0xdeed89de,0xff7d9100,0x6f76cc0d,0x3ffea4a9,0xfff9e882,
    0x2dfedb86,0x0b7fb6e0,0x02dfedb8,0xffa8fff3,0x39ddb507,0x0b7fb6e0,
    0x82dfedb8,0xd88eeed8,0x3b620eee,0xeeed88ee,0x23bbb620,0x500eeed8,
    0x6d407ddb,0x36a01cee,0x3b6a03ee,0x3b6a01ce,0x413a01ce,0x83ff16fc,
    0xff30fff9,0x0fff981f,0xf901fff3,0xe887fe2d,0xff0bff26,0x81fff83f,
    0x01effffc,0x213ea9f7,0x03ff16fc,0x7ffc3fff,0x27ccfea1,0x227ccfea,
    0x409f33fa,0xda7d4048,0x87ffcc6f,0xfa80fff9,0x9f70dfb4,0x53ea13ea,
    0x2fff46fd,0x2dc1fff5,0x7cc3ffe6,0x43ba20ff,0xff16fffb,0xf98efa81,
    0x74df706f,0x0fffe46f,0x0fffe96c,0x17fe4dd1,0x2ffc9ba2,0x5ff93744,
    0xfa8fff30,0xf16fc86f,0xf937443f,0x326e885f,0xfff982ff,0x981fff30,
    0xfff30fff,0x30fff981,0x9f701fff,0x5bf213ea,0x4fb81ff8,0x2df909f5,
    0x6fc81ff8,0x3f103ff1,0x7e47ff30,0x43ffe20e,0x7c40fff8,0x1fff10ff,
    0x3f23ff98,0x2a1ff70e,0x17fec5ff,0x7dc07ffe,0x7cc2ffff,0x4c3ff12f,
    0x03bf23ff,0x7ffc3fff,0x44a93f61,0xfb12a4fd,0x05b02549,0xffa97fc4,
    0x443ffe22,0x7fc40fff,0x7cc5ff52,0x443ff12f,0x45ff52ff,0x3fe0fffa,
    0xff10723f,0x83ffe21f,0xfff10ffb,0xff32ff45,0x221bfe65,0x83ff24ff,
    0x1e40fffe,0x3ee3fffb,0xb8bff50f,0x8bff50ff,0xbff50ffb,0xfb8fff30,
    0x91ffcc5f,0x43fee1df,0x7fdc5ffa,0xf10bff50,0x3ffe21ff,0x887ffc40,
    0x7fc40fff,0x81fff10f,0x3ff12ff9,0xdf91ffcc,0xf897fcc1,0xc8ffe61f,
    0x8ffe60ef,0x83dc0efc,0x3ff22ffd,0xf83ffe23,0x7ffc40ff,0xfb03ffe0,
    0xb9ffe45f,0x8dff32ff,0x7ffc4ffb,0x3fffa201,0xf83ff60f,0xc8bff64f,
    0x0fffc3ff,0x7ffc3fff,0xdfff850d,0x0dfff850,0xa80dd105,0x887fa0ff,
    0x3ffe0fff,0xfd07fd40,0xff07fec3,0xfd07fd49,0xd32ffe83,0x7c42cdff,
    0x83ffe0ff,0x3ffe2ffb,0xffd9ff21,0xf90dff72,0xf27ff47f,0x225c1fff,
    0xff72fffd,0xf71bfe65,0x71bfe65f,0x1bfe65ff,0xff91ffe6,0x322ffd87,
    0x25ff73ff,0x7fdc6ff9,0xf10dff32,0x07ffc1ff,0xff83ffe2,0x07ffc40f,
    0xffd81fff,0xffd93fe0,0xfd8fff22,0xfd93fe0f,0xd8fff22f,0x0fff22ff,
    0x87ffe09b,0x3fe24ffb,0x103ffe0f,0x7ffc1fff,0xf70fffc0,0xfd89549f,
    0x4fffc46f,0x401fffd8,0x3a3fffeb,0x5ffcccff,0xffb87ffe,0xf8bffe24,
    0x3fff21ff,0xefffc80e,0x0efffc80,0x6c03fe88,0xfff8807f,0xfb03ffe0,
    0x99ffd00f,0x3fecbff9,0x395ffb80,0x10751fff,0x7ffc1fff,0xfff715c0,
    0x21ffb557,0xffcefffd,0x4bffa0bf,0x3fa6ffcd,0xfd0b50ff,0xd89541ff,
    0xb12a86ff,0x22550dff,0xff986ffd,0xf0bff14f,0x27fdc3ff,0x1bff6255,
    0x37fec4aa,0xff07ffc4,0x0fff881f,0xff103ffe,0x207ffc1f,0xffcccffe,
    0xfb87ffe5,0x333ffa4f,0x3ffe5ffc,0xff93fee1,0x893fee1f,0x1fff882f,
    0xff89bfee,0x103ffe0f,0x7ffc1fff,0xb87ffe20,0x5f6446ff,0xfff986ff,
    0x041fff9f,0xf9bfeeee,0x099999ff,0x7dc3fff1,0x3bfff66f,0x7443fff0,
    0x7441ffff,0x7441ffff,0x3e21ffff,0x7ffc00ff,0x07ffc401,0xfff81fff,
    0x4cfffc01,0x3ffe0999,0x9fff8801,0x01b7ffb5,0x7fc1fff1,0xff5d700f,
    0x4333335f,0xff91efe9,0xacafff85,0x3ff27ffa,0xff80e99f,0xfbec886f,
    0xf7d9106f,0x2fb220df,0xfff986ff,0x440dfffa,0x3fee1fff,0x7fdf6446,
    0xff7d9106,0x41fff10d,0x7fc40fff,0x103ffe0f,0x7ffc1fff,0x4ccfffc0,
    0x3fff1099,0xfff37fdc,0x22133333,0x3fee1fff,0x5c3fff16,0xf81ea6ff,
    0x93fee1ff,0x3fe0fff8,0x07ffc40f,0xfff81fff,0xfa93fee1,0x206ff98e,
    0xb07ffe19,0x74bfd3b8,0x7ffc02ff,0x4013fee1,0x7ec41fff,0xffd886ff,
    0xfffd886f,0xe89bfea6,0x2017ffc4,0x3fe0fff8,0x017ffc0f,0xff00bffa,
    0x3ff6005f,0x0bdff52e,0xff83ffe2,0xe8f74c0f,0xc81002ff,0x27bffd06,
    0x3fea5ffa,0xff880ebf,0x4c77d44f,0x8efa86ff,0xefa86ff9,0xf986ff98,
    0xff80267f,0xa93fee1f,0x86ff98ef,0x6ff98efa,0x3e0fff88,0x7ffc40ff,
    0xf103ffe0,0x07ffc1ff,0xff00bffa,0xd27fdc3f,0xfff805ff,0xff93fee1,
    0xd93fee1f,0xb87ffa05,0x07ffc2ff,0xfff01fff,0x3a07ffc1,0x4bfee1ff,
    0xdff32ff9,0x20fffc00,0x17ecee1e,0xfe80bff9,0x00bfee1f,0x64507ffc,
    0xfc8a1fff,0xffc8a1ff,0x5cdff91f,0x1bffa1ff,0xff83ffe0,0x037ff40f,
    0xfd017ff2,0x3fea00df,0xf017ffc7,0x07ffc1ff,0x7fec7ff1,0x02fa8004,
    0x7fdcbffb,0x80fffec4,0x3e61fffa,0x98dff32f,0x8dff32ff,0xdff32ff9,
    0x400fff30,0x3fee1ffe,0x3e65ff32,0x997fcc6f,0x1fff06ff,0x7fc07ffc,
    0x203ffe0f,0x3ffe0fff,0x202ffe40,0x3fee1ffe,0xd017ff22,0x17fdc3ff,
    0x7fdc3ffd,0xffb80be2,0x3fe1ff22,0x01fff30f,0x3fe61fff,0x917fdc0f,
    0xb97fecff,0x3fe006ff,0xbb87f41f,0x7ffd46f8,0x2ffb8e21,0x3f881ff2,
    0x2e0e8fff,0xfb83a0ff,0xffb83a0f,0x221fff30,0x1fffdc6f,0x261fff0a,
    0x7fdc0fff,0xfff5143f,0xfff71c43,0x89ff0287,0x3fe00ffc,0x41fff30f,
    0x3fee2ffc,0xf900641f,0xc8ffea09,0x7ffc41ff,0xd83ffd01,0x8dff72ff,
    0xdff72ffd,0xff72ffd8,0x00fff30d,0xff917fdc,0xffb97fec,0xfb97fec6,
    0x21fff06f,0xff80fff9,0x01fff30f,0x3fe61fff,0x0fffd40f,0x917fdc71,
    0x1fffa8ff,0x22ffb8e2,0x17fdc7fc,0x007d4ff9,0x84fe93fa,0xffeacffd,
    0xacffd81f,0xfe81fffe,0xffd93fa4,0x0bfffcef,0x20fffc40,0x2deedfeb,
    0xcdfffe88,0x3fa4fe85,0x7fdbe204,0x5f986f43,0x45f986f4,0xd8bf30de,
    0x3a0be3ff,0x40dcdfff,0xffeacffd,0xdfffe81f,0x3ffa20dc,0xffe85cdf,
    0xf900dcdf,0x6c05f983,0xfffeacff,0x32ffffa1,0xdbdfffed,0x05ffcc00,
    0x3fd97fe2,0xf90dffb0,0xdfffb03f,0x3617fff9,0xfffcefff,0x9dfffb0b,
    0x7d417fff,0x27f4007f,0x7ffec9fd,0xb0bfffce,0xfff9dfff,0xacffd817,
    0xfd81fffe,0x1fffeacf,0xfeacffd8,0x7ff441ff,0x4fe85cdf,0xffd113fa,
    0x9fd0b9bf,0x27f427f4,0x802e49fd,0x103fdcfd,0xfff1bffd,0xdffe881b,
    0xd80dfff8,0x74c3fdcf,0x05ff91ef,0x1efffd98,0x4403c988,0xb00dfffe,
    0x5007fb9f,0xfdb07ddd,0xfed81dd9,0x7f6c0eec,0x76440eec,0xfb101bdf,
    0xfd101bff,0x1bfff1bf,0x0dfffd88,0x0dfffe88,0x0dfffd88,0x01741e60,
    0x3e37ffa2,0xfff50dff,0x3fff625d,0xfff7001e,0x6efdc6c5,0x3ae7904f,
    0x00befcdf,0x3f23dfd3,0x47bfa62f,0x3fa62ffc,0x4c5ff91e,0x001cfffe,
    0x30ff73f6,0x3ff23dfd,0x647bfa62,0xffe882ff,0x40dfff8d,0xff8dffe8,
    0x7ff440df,0x40dfff8d,0x00dfffe8,0x207fb9fb,0x00dfffe8,0x407fb9fb,
    0x543fdcfd,0x800cc001,0x00980009,0x80803300,0x26000000,0x40031001,
    0x04000019,0x00982013,0x000004c1,0x02600262,0x20026200,0x01310018,
    0x3000c060,0x8804c001,0x81300009,0x091004c0,0x80800331,0x08020200,
    0x40000008,0x00404019,0x01300101,0x30001300,0x00310001,0x018800cc,
    0x19800660,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccca8000,0x2010280c,0x445910c9,0xed88eeed,0x36e000ee,
    0x05881b03,0x336a2000,0x6dcd2201,0x5c402cde,0xbc980ee2,0x30360530,
    0x24439109,0x6edc4000,0x060501ce,0xd8990000,0x00000003,0x43333260,
    0x999303db,0x40a27999,0x66d40001,0xbb951001,0x99999999,0x2aa01999,
    0x36a00001,0x0ea002ce,0x2f2e2036,0x9305d800,0x2e239999,0x102802dd,
    0x64c00000,0xcc980001,0x2e1ccccc,0x0bcccccc,0x30003930,0x1b903fff,
    0x95ff8364,0x7ffcc1ff,0x401fff10,0x20fffe22,0x02fcbcfa,0x405f76d4,
    0x05fffff9,0x7339dff1,0x3f201dff,0x982ffa8f,0x01eeffff,0x03fb79d7,
    0x403733a2,0x884bdeda,0x03ff72fe,0x6c45d89b,0x09f91eee,0x805f11fc,
    0xfd000fff,0xff98003f,0x83fff89f,0x3ffffffd,0x644d893a,0x477403ff,
    0x7fdc05f9,0xefffea9c,0x81ffdcaa,0xfd00fffb,0xaafc803f,0x37e004ff,
    0x5f985ecb,0x07dc03fd,0x22bfff20,0x00ffd9ce,0xb10d9172,0x9fd51ddd,
    0x007fe801,0x3f205ffb,0xfff105ff,0x37fc405f,0xffcccb80,0x4f7c42df,
    0x29fd02fd,0x7ffc47fb,0x4403ffe0,0x417ffe67,0x5406fffe,0xe88dfb4f,
    0x81ffffcc,0xfff304f8,0x3e6ff705,0xffdbc81f,0x3ffe206f,0x07fdc05f,
    0x09f33fa8,0x2ffc4ffb,0x07f4efcc,0x7ecfffc4,0x4c5f107f,0x07fea01f,
    0x000ffcc0,0xff89fff8,0x7fffc45f,0x37e60fff,0x6fc80fe9,0x2ff8ff20,
    0xf985ffb0,0x41fb85ff,0x884feff8,0x37d401ff,0x2e001ff9,0xfd81ffff,
    0x3e20bf94,0xbfffa803,0x102fe40d,0x203fb3df,0xfdddfff9,0x03ff405f,
    0xf5017fc4,0x7fec07ff,0x1bfe200f,0x7fd55540,0xfffb81bf,0x20260c05,
    0x3ffe0fff,0xdda8fd00,0x100b2a05,0x8bfea5ff,0x427ffc0c,0x3fee00f8,
    0x0220980f,0x5400660c,0x26b6a01c,0x549fb06f,0x7fc7ff84,0x4fffd80f,
    0x2eb7ffe0,0x5c1f504f,0x000fe407,0x7c0005f7,0x8bbb51ff,0x2aaaaadb,
    0x203fffd8,0x2ff980fd,0xff903ff6,0x417ffe0d,0xfc97e41e,0x6c017dc0,
    0x001be66f,0xff101791,0x3603ff27,0xffff3005,0x409ff505,0x7c05fffc,
    0x0fff13ff,0xfa801c98,0x17ffd402,0x300fffb0,0x3fe00039,0x07ffe01f,
    0x07ffc000,0xfd881fff,0x00005907,0x0ff41ff5,0x220bff20,0x27ffcc03,
    0x00000000,0xf0bf9060,0xf10a1bff,0x106ff8ff,0x7fc01fff,0xd8f9005f,
    0x2000fc05,0x7fc0002e,0x03a1641f,0x806ff980,0x22ffb83d,0x3fe61ffc,
    0x4bfff03f,0x0f44370a,0x2005d12e,0x07f50ffe,0x3ff98000,0x0fb83ff7,
    0x0bfff300,0x4403ffe2,0x7fc00fff,0x003ffe0f,0x5401ec00,0x3f602fff,
    0x5c00007f,0x1fff8dfd,0xddb50000,0xf83ffe07,0x3ffa20ff,0x443e3eef,
    0xed88eeed,0x03fec0ee,0x0005fd80,0x6dc3fffc,0x36e02dfe,0x6d402dfe,
    0x32e603ee,0x7fe44ffc,0x7ff880ef,0x0000bfe2,0xfb80fffe,0xffffffff,
    0x0000001f,0x3e37f6e0,0xf307c1ff,0x000059df,0xc8bff600,0x3fff22ff,
    0x64bfff01,0x40000000,0x02eacffd,0x0e776d40,0x46fca7fc,0x3e6003f8,
    0xfff102ff,0x3fe00003,0x407ffe0f,0x000beeda,0x02fffa80,0xb501fff6,
    0x7fdc07dd,0x41fffe99,0xeeeeeeed,0x9f54fb85,0x7fc1fff0,0x3ffee60f,
    0x4c0c89aa,0xfff30fff,0x001fff81,0x400037cc,0xdd11fffe,0x3a217fe4,
    0x5c0bff26,0xf709f54f,0x88fff53d,0x441ffffe,0x83df37ff,0xf91eeed8,
    0x405fff09,0xcccdfcca,0xddb10cdf,0xd893f23d,0xcfea8eee,0xd33ff700,
    0x03223fff,0x5dfffff7,0x20bddd50,0xfe85eeea,0xe93ff22f,0xfff00fff,
    0xdd5007cb,0x5eeea8bd,0x44fffb80,0xfc819998,0xfc83ff16,0x05d87fb4,
    0x817ffcc0,0xdb13fff8,0x19fd51dd,0xff83ffe0,0xfb4fa81f,0xeeeeed8d,
    0xfffa85ee,0x81fff602,0x309f54fb,0x7ffcc9ff,0xff985fc1,0x897fcc3f,
    0x07ffc1ff,0xff881fff,0xfff88147,0xf81fff10,0xf91002ff,0xaaa81bff,
    0xaaaaaaaa,0xff72fffd,0xf717fea1,0x217fea1f,0x3ff12ff9,0xffb1ffcc,
    0x6fffd883,0xfd13ffc4,0xd9fff887,0x1fff87ff,0x3e62f880,0xd9fff880,
    0x7ffcc7ff,0x985ffddd,0x3ffe24ff,0x3fffa051,0xfa83ffff,0x1ffea07f,
    0xffc8bffe,0x403fffe5,0x0feadfff,0x543ffd40,0x7ec407ff,0x77ec45ff,
    0xf91ffcc2,0x74f6441d,0x0003ea0c,0x2205fff3,0x3fe65fff,0x05ffdddf,
    0x7ffc1fff,0xfa97fc41,0x7cc2fe2f,0xfffa83ff,0x41fff602,0x3ff12ff9,
    0x7fc3ffc8,0x3ff62c1f,0x3e0ffd86,0x98fffc4f,0x7fc41fff,0x1fff1007,
    0x3fa07ffc,0xffb1006f,0xffff8bff,0xeccccccc,0x5ff73fff,0xff71bfe6,
    0x361bfe65,0xb93fe0ff,0x8fff22ff,0x887fff22,0x0ffe47ff,0x3eeb7ffe,
    0x801fff84,0xf81ee0fa,0x84fbadff,0xfff13fff,0xff87ff90,0x65d4c01f,
    0x4c1fffff,0x3fe607ff,0x917ffc47,0x3ffe2dff,0x37bffe07,0x7fcc00ff,
    0x207ff987,0x4fffb9ea,0x7fec0fd4,0x220fff22,0x5c43f882,0x5fff300b,
    0xf1bffe20,0x1ffe27ff,0xfff07ffc,0x3a0ffa83,0xdffb161f,0x80bffea0,
    0xffb07ffd,0x3fa27fc1,0x20fffc2f,0x207ffea1,0xffcccffe,0x7567fec5,
    0x7fc41fff,0x1fff1007,0x3ee07ffc,0xd50143ff,0x7ff41fff,0x3fff200f,
    0x7fec4aa1,0xffb12a86,0x999ffd0d,0x0fff4bff,0x7074bff7,0x3ffc41ff,
    0xfff13fee,0x03fff00b,0x205d8f90,0xff805fff,0xb03ffe0f,0x1fff85ff,
    0x4fffa800,0xf303ffcc,0x45fff0ff,0x3ffa5ffc,0x4d7ffe07,0x3ffcc00f,
    0xfd83ffcc,0xc8bfffa3,0x5c3fff03,0x176004ff,0x309f55f9,0x3e205fff,
    0x07ffc5ff,0xfff01fff,0x360fffc1,0x3ea1807f,0xfff501ff,0x83ffec05,
    0xffcccffe,0x3e0fffc5,0xffd101ff,0x267ffe0b,0x7fc40999,0x0efff8ef,
    0x4401ffe2,0x3ffe0fff,0xcdfffe80,0x7ffc400d,0x803fff62,0x6440fffd,
    0x9106ffbe,0xff0dff7d,0x2133333f,0x3ee1fff8,0x7cc37a6f,0x2e3ffc45,
    0x1fffc5ff,0x807ffe20,0xfffffffb,0x7ffc1fff,0x20fff803,0x7ffc1fff,
    0x000fffc2,0x7cc5ff98,0x1ffe607f,0xffc8bffa,0x403fff23,0x00365fff,
    0xff30fff3,0x445ff30f,0x0698ffff,0x7dc3fff1,0x41f5006f,0x0ff88ff8,
    0x8817ffcc,0x7ffc4fff,0xf107ffe0,0x3ffe23ff,0x800fffc2,0x2a05ffe8,
    0x3f602fff,0x33fff07f,0xffe81333,0xc80fffc2,0xffd00fff,0xe884c005,
    0x00fff103,0xff83ffe2,0xfffd880f,0x1ffb000d,0xd00fffdc,0x8efa8dff,
    0xefa86ff9,0xfe86ff98,0x0fffc02f,0x7f6c9ff7,0x7fc40eec,0x3e37fdc7,
    0x7fec02ff,0xbf5301ef,0x1559f755,0xf802fff8,0x07ffe0ff,0xfff85ffd,
    0x13ee0001,0x7cc0fff3,0x22ffd87f,0x3fea2ffc,0x4bfff01f,0xff306a0b,
    0xb0fff30f,0xfffa89ff,0x3ffe00ee,0x2013fee1,0x47fdc3f8,0x7fcc3ff8,
    0x7fff102f,0x3fe0fff8,0x3fff621f,0x0efffd8e,0x6400bffe,0x3ea00fff,
    0x6c5932ff,0x5ffd07ff,0xf87ff900,0xfff981ff,0x017ff203,0xff103f40,
    0x07ffc00f,0x74401fff,0x23fd4000,0xf102fff8,0x97fcc3ff,0x7fcc6ff9,
    0xf90dff32,0x1ffd80bf,0xd108fff2,0x51ffe201,0x1fff89ff,0xf1002a00,
    0xff007d45,0x1fff003f,0x3f20fffc,0x00fffc3f,0xf983f300,0x1ffe607f,
    0xffc8bfee,0xf827ff41,0x303a05ff,0xfff30fff,0xc81dfff0,0x3a00efff,
    0x0bfee1ff,0x9ff61760,0x7ffcc5ff,0x3ffc4a62,0xfff07ffc,0xe801a803,
    0xff9806ff,0x7ffd403f,0x3f61ffd2,0x0bff905f,0x7c4bff50,0x6ffd81ff,
    0x87ffea14,0x02ff8038,0x2004fff1,0xfff30fff,0x442fe401,0xb82fa83d,
    0x9ff705ff,0xff72ffd8,0xf72ffd8d,0x3fff50df,0x45ff71c4,0x6fb80ffc,
    0x332fff30,0x7ffc3ff8,0x07ff1001,0x80f707d4,0xff801fff,0x507ffe0f,
    0x7ffc4bff,0x5c0edc01,0x207ff986,0xff887ff9,0x3a217f63,0x5fff987f,
    0xfff30f70,0xf70fff30,0x7fc41dff,0x21d8afff,0x1ff22ffb,0x3ee03ea0,
    0x543ff88f,0x5ff13fff,0xfff07ff1,0x200fffc1,0x7fdc06fd,0x3ff6143f,
    0x7ffd4146,0x3f61ffd2,0x3fff504f,0x3ffe21c4,0x43fffd9a,0x1621fffa,
    0xb9bfffd1,0x02bbf200,0x0076bffa,0xffd59ffb,0xb87f803f,0x09d11dff,
    0x3e617fdc,0xefffd84f,0xfb0bfffc,0x7fff9dff,0x6ffff441,0x3a4fd85c,
    0x541fa02f,0x1baff7ff,0xa8007ffe,0xbb1b205f,0x801fff80,0x3ffe0fff,
    0x4d7ff441,0x7c03fffd,0x01b30dff,0x7cc0fff3,0x22bf507f,0xbfd101ff,
    0x237ffdc1,0xff986fda,0x887ff987,0xebcfffff,0x3fffffee,0x13fa4fe8,
    0x3e207f10,0x540ff88f,0x9ff13fff,0x3ffe0bf3,0x1007ffe0,0xfffd00ff,
    0x7fd41b9b,0x3ee1621f,0x749f53ff,0xffd100ff,0x3a20b9bf,0xceff8eff,
    0x4cbfff11,0xfffe885e,0xffb1000d,0x2efe981b,0x8dffe880,0xb880dfff,
    0xfffd884f,0xfd9802ee,0x301efdce,0x3ff23dfd,0x647bfa62,0xffe882ff,
    0xb9d900df,0x13ee207d,0x755fffa2,0x7ffc40dd,0x03f93001,0x8813e2ec,
    0x7c401fff,0x5fff11ff,0xf3dffd10,0x754039df,0x2a04dfff,0xff500fff,
    0x373ea01f,0x76dc401e,0xffffffee,0xa85ffffe,0x7fd40fff,0xfffea80f,
    0x3fff22ef,0x3f73f604,0x5c05d803,0x2e63fbbf,0xb9cffffe,0xff104dff,
    0x0bffe23f,0x8804fb88,0x220dfffd,0x97a65fff,0xbfffffb9,0x1efdddb9,
    0x6ffff440,0x2030c400,0xffeefffc,0x0006204f,0x80000088,0x0cd40009,
    0x80004cc0,0x202001a8,0x20020200,0x00260018,0x80000133,0x801efffd,
    0x541a801a,0x3bfff600,0xdfffb101,0x01dfffb1,0x88001862,0x7ff4c009,
    0x7ff4c0df,0x002600df,0x0000cc40,0x21bfffd3,0x00dfffe9,0x04c40353,
    0x91001980,0x000ae001,0x3f620188,0xfffd8eff,0x0013300e,0xffc80988,
    0x04fffeef,0x10003100,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32ea2000,0x32a01acd,0x99504ccc,0xdb980399,0xca8000bd,0x3bb20ccc,
    0x4bbb64ee,0x0004ccc9,0x5ef76dd4,0x664c0370,0x221ccccc,0x6d400ceb,
    0x90097100,0x4025c409,0x326000da,0x6666443c,0x9304cccc,0x5cc039bb,
    0x65c002cd,0x9953cccc,0xcb879999,0x97ba60cc,0x2e205ee8,0x73001ced,
    0x65c017bb,0x4c1ccccc,0x4402cccc,0x121bdeca,0x1016f644,0x30e5bdd9,
    0x39999999,0xe8e6665c,0x12a16204,0x66666540,0xcccccccc,0x03333221,
    0x55555540,0x26664c1a,0x6664c5b9,0x6401cccc,0x32a2cccc,0x070e5c2c,
    0x5445ffd4,0x3fe604fe,0x1df304ff,0x4cdefdc0,0x4c001eec,0x7fec1fff,
    0x7fd43e87,0xdfd30007,0xfdfd7137,0xbfff9003,0x05fece88,0x7f5c0fe2,
    0xb80fd405,0x1fc405fe,0x80bfea80,0xfffffffa,0x88dfb86f,0xb4fa83fd,
    0x81bd30bf,0x7445fffd,0x3f703fff,0x3e67ff98,0x3a2b907f,0x37ee02ff,
    0x01eec99b,0xc80dfff9,0xffd100cf,0x9dff935b,0x13fa9f30,0x3ae273ea,
    0x9fffb07f,0x6b83be20,0x7ede7640,0x7ff74000,0xffdcaadf,0x007ffcc2,
    0xffffffe8,0xf57ffb83,0xfffd83ff,0x9fff3005,0x7ff41db0,0xffb04dff,
    0x01dff107,0x40ffffea,0x3016e03c,0xfff8003d,0x20fffcc1,0x007ff986,
    0x2a06ffb8,0xffa801ff,0x3fa8443f,0xbf701760,0x2e01fc40,0x802ec05f,
    0x3ee00efa,0x3fffffff,0xff50ffc4,0xf88ffd41,0x227ff44f,0xfb86fff8,
    0x30b304ff,0x3ffccfff,0xdff537c4,0x3d3016e0,0x501fffe0,0x07ff440b,
    0x3fd84fc8,0x37cc1ffb,0xffb80fd8,0xf30f602f,0x7fffc403,0x7cfc4004,
    0x22fa84ff,0xcccfffc8,0x2aaaaa00,0x7ff981aa,0xfa87fff7,0x3f2002ff,
    0x3622d86f,0xb81fffec,0x3fee06ff,0xffffd506,0x37205703,0x20aaaaa9,
    0x3fe001e9,0x24ffd81f,0x07ff9839,0x00fffcc0,0x3ea007f2,0x1fb102ff,
    0xf7003ea0,0x5c036c0b,0x003ea05f,0xfb003bea,0x1fd5559d,0x3e22ffc8,
    0xf83ff63f,0x0fff61ff,0x3e03fff6,0x303906ff,0x3ffccfff,0xff887fdc,
    0x9712e41f,0x03d35357,0x6c05fff7,0x05fff101,0xa7fc44e8,0x1bf20ffb,
    0x7fdc07cc,0x3a0b201f,0x001ca803,0x4fff8bb8,0x7fd445b0,0x0000aabf,
    0xcb9ffe60,0x17ffd43e,0x81fff300,0x01530446,0x4407fff1,0xcba83fff,
    0x15c0ffff,0x71bfb354,0xf0034cbf,0xfff503ff,0x3fe60321,0x2fff4007,
    0xfa801e80,0xdff902ff,0xf7007f10,0x2007ea0b,0x07f105fb,0xd007ff30,
    0x7ff437c0,0xff8bfe25,0x911fff47,0x0fffea07,0x1a07fff2,0xff33ffcc,
    0x7c4df30f,0xfa9aa0ff,0x1a69d31d,0x441bffe2,0x017ffa05,0x4bff512a,
    0x81ffec0a,0x1fffb80d,0x01b20b20,0xf1688000,0x2a8549ff,0x2000fff8,
    0x302dfedb,0xa81d0fff,0x74002fff,0x0012a3ff,0x401fffc8,0xd3a87ffe,
    0x82b8dfff,0xff97ee2c,0x3f6e07a2,0xd01fff8d,0x7cc167ff,0x03efd8ff,
    0x2007fff7,0xfffa8009,0xb07fe202,0x217ee00b,0xbf7003f8,0x7fc01760,
    0xf300800f,0x2bfff907,0xfff10ffa,0x0027fec1,0x3ee1fffa,0x981d44ff,
    0x1ffe67ff,0x3237fcc0,0x4930ff32,0x1fffc81e,0xfff301c8,0xff706007,
    0xdfffb80d,0xfffb8040,0x3e60b201,0x0bddd500,0xfff11d80,0x3fe005c9,
    0x40cfea8f,0x0bff26e8,0x0d31ffe6,0x8005fff5,0x20766ffb,0xfb05eeea,
    0xffe803ff,0xff89d40f,0x3a0ae4ff,0x3ff97ee0,0x33ff70f2,0x2e03fffd,
    0xf302aeff,0xbff97dff,0x005fff90,0x2fffa800,0x1f51b208,0x3617ee00,
    0x217ee006,0xff9800fa,0x4003dece,0xfff881fc,0x3e20eeef,0x1bff21ff,
    0x85fff700,0x360fffee,0x4cfff300,0xdfb007ff,0x09fb0e81,0xff983c86,
    0xf703444f,0x2e0005ff,0x7fcc07ff,0x5c00cfff,0x0b201fff,0xfff501fc,
    0xff125400,0x3e007c9f,0x5ffdddff,0xffa87fdc,0x2a7ff985,0x2fffa80c,
    0x8fffc400,0x41ffea06,0x6c00ffff,0x31d41fff,0x0ae5ffff,0xf75fb8d1,
    0xff32cc1d,0x00fffcc9,0x7cc0dfff,0x0fff60ff,0x0003fffd,0x42fffa80,
    0x221d9bfd,0x1bf2003f,0x7e4003f5,0xb801fc46,0x6ffeadff,0xf981ba00,
    0xff82ffff,0x013ff23f,0x4cbfff10,0xb12fffbc,0xf33ffcc0,0x1bf100ff,
    0x00ffe688,0x7ffec166,0xffd80ae0,0x7fdc000f,0x704fffff,0x07ffffff,
    0x900fffdc,0xf9817205,0x88d1007f,0x0ffcdfff,0xf89fffc0,0x4bfee0ff,
    0xff986ff9,0x7fd40317,0xb013ee2f,0x4c0759ff,0xffff07ff,0x2fffd801,
    0x3ffea1d4,0x22cc2b9f,0x886feefb,0xff0fff26,0x27fe403f,0xfb8fff30,
    0x07fffc5f,0x3fea0000,0x40dd442f,0x541d885d,0x47f12aaa,0xaaa80bc9,
    0x3621762a,0xfd17fec1,0x07f3007f,0x2fffffa8,0xfd8f7fdc,0x3600542f,
    0xf13b0fff,0x980aedff,0x5ffee7ff,0xacc16e03,0x68803ff8,0x347fff50,
    0x003fffe0,0xdfffdd50,0x7ffd407d,0xff705fff,0xa816403f,0x0fff300f,
    0x33333b20,0x0ffcdfff,0xff07ffc0,0xfb12a81f,0x0fff30df,0xe8bffea0,
    0x7ffd407f,0x1ffe601d,0x2007fff4,0x1d41fffe,0x1677ffe4,0x3e77ee3c,
    0xffd2541f,0x201fff85,0x3e601ff8,0x237fd47f,0xca81fffe,0x404ccccc,
    0x2002fffa,0x01fd80fa,0x7ffccdb0,0x01f5000f,0x2fff83fb,0x32017ff2,
    0x32fee01f,0x7dc1ffff,0x20fffeff,0x3ea02ffe,0x3f258bff,0x2600e8ff,
    0xffedbfff,0xf01603cf,0x254027fc,0x0eadffd0,0x003fffd0,0x000fff40,
    0x05fffff9,0x6403fff7,0x7cc0be02,0xaad9807f,0x14fffbaa,0x0fff801f,
    0x32207ffe,0xf986ffbe,0xfff5007f,0x7741f545,0xeeffffee,0x83ffcc4e,
    0x7c01fffd,0x81d40fff,0xd82ffffd,0x2fe57ee1,0x41fff8b6,0x36c01fff,
    0xf51ffe60,0x2fffc8ff,0x013fffa0,0x400bffea,0x1ffc83f8,0x42e1fa80,
    0x3f8803fe,0x7fc1ffc8,0x01ffea2f,0x27fb81ba,0xa883fffc,0x3e26ff9a,
    0x7ff406ff,0x3ffe62cf,0x7ffd404d,0x01bff74f,0x7e47601c,0x2e02d806,
    0x400eafff,0x0002fffc,0x81803fee,0xb85fffd8,0x0b201fff,0xfff305d8,
    0xff101d00,0x3e00649f,0x07ffe0ff,0xdff31df5,0x200fff30,0x0c02fffa,
    0x4c04ffd8,0xfff507ff,0x2fffc405,0xffe881d4,0x3f24b82f,0x07c5ff16,
    0xfff85ffd,0x2601d401,0x2ffd47ff,0xc80fffea,0x5e441fff,0x003fff50,
    0x3f6ee176,0xb01fc401,0x70bb001f,0xffe83fb7,0x301bfea3,0x237f409f,
    0x7dc06ffd,0x03ffec3f,0x3a1fffee,0x75c01fff,0x00044098,0x19fd25c0,
    0x4401f0dc,0x9804ffff,0x20003fff,0x502c07f9,0xfff30fff,0xf500ec05,
    0x701ffe60,0x93ffe207,0xfff0660a,0xf30fffc1,0x21bfe65f,0xf5007ff9,
    0x9ac405ff,0x9cffe999,0x3ffcc099,0x4c0bffd0,0x03a80fff,0x220bffe6,
    0x74eedaae,0xfc89b3bd,0x20fffc3f,0xf3003608,0x83ffa8ff,0x3ee05ffe,
    0x9ffdc1ff,0xa800fffa,0x1fda540f,0x13e036c0,0x29503ea0,0x27fe41fd,
    0xfc809ff3,0xb8bff101,0x37f405ff,0x7c405a88,0x6ffb83ff,0x0000fd80,
    0xb8ba200c,0x1360ccfe,0x003fff20,0x4007fff4,0x21bf2e20,0x7ec05b0c,
    0x02fff887,0x82f8803a,0x1a207ff9,0x204fff88,0xf07ffc1c,0x97fec3ff,
    0xff986ffb,0x5fff5007,0xcccca5c0,0x2ccceffe,0xf303ffcc,0x3ffa01ff,
    0xfa807703,0x005d102f,0x4bff509b,0x3e21fff8,0xf980488f,0x40ffe47f,
    0xf703fff8,0x2ffb83ff,0xf100fff5,0xfeccf887,0x403f500d,0x43f8804c,
    0x0dfeccf8,0xffb9bfe6,0x36037402,0x01ffcc6f,0x16c01dfb,0x4407fec0,
    0x1fe803ff,0x01bfe000,0x09b005d1,0x8017fe60,0x2204ffe8,0xffd9f12d,
    0x76cbfddd,0x3a09f900,0x00b504ff,0x0fff309b,0xfff100f4,0xff03e609,
    0xb0fffc1f,0xfff9dfff,0x03ffcc17,0x102fffa8,0x13ffa07d,0x880fff30,
    0x7fe40dfe,0x2e01b602,0x073a202f,0x3e209b51,0xfffd9aff,0x036ffe63,
    0xe87ffe60,0x3ffa202f,0x81fffb81,0x00ffee7f,0x3bba21b6,0x3f880eff,
    0x816676e0,0xfeee886d,0x8ffd40ef,0x27cc04fc,0xfc87fe60,0x809fb106,
    0x0bf5004a,0x7fc007ec,0xfff30003,0x41ce8801,0x6c004da8,0x7f44001f,
    0x7174c1bf,0x3ffffee5,0x10bbf63f,0x3fe601df,0x401aa23f,0x0fffa87b,
    0x7fcc07c8,0x23fdc45f,0xff11fff8,0x8f7f4c5f,0x7fd42ffc,0xfffb800f,
    0xf02fe984,0xffa80bff,0xceec800f,0xb501deec,0x2d805bff,0x76fedc40,
    0x7f4402ce,0x1ceff8ef,0x4c0077f2,0x3edcebbf,0x9bffd500,0x26039dfb,
    0x803efcdd,0x1fd800fa,0x7fd40db0,0x01f505ff,0x3ae03fb0,0xfb804ece,
    0xdbffa801,0x67ed40cf,0x2000dc00,0x4016a01e,0x3a0000ed,0xfb71006f,
    0x00059ddb,0x2e2000d5,0x0dfeeffd,0x7dd7ef44,0x7e5ec3ff,0x400cfdbe,
    0xdfefffe8,0x4c3f1000,0xb10dfffe,0xeba85bff,0xfeefffff,0x3ff625ff,
    0xefffd8ef,0x74c04041,0x7300dfff,0xddffffff,0x5c43ffff,0x82cffffd,
    0x00dfffe9,0x00002660,0x26000440,0x06188000,0x44110000,0x2a200009,
    0x04c00099,0x2e005700,0x101c880c,0x20599999,0x0197002b,0x0a600188,
    0x22033300,0x18000001,0x00000180,0x130000c0,0x00030000,0x06002a20,
    0x35306031,0x13530001,0x00035000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcc980000,0xaacccccc,0xccccc980,0x64400abc,0xcccccccc,0x9933cccc,
    0x99999999,0x33326599,0x9931cccc,0x44199999,0x263ccccc,0x1ccccccc,
    0xccccc980,0xc9801abc,0x332a04cc,0x403ccccc,0xccccccc9,0xcccccb89,
    0x0999932c,0x000017b5,0x35555555,0x66666644,0x3ccccccc,0x2aaaaaa6,
    0x33333262,0x28001abc,0x02e2ca80,0x79999993,0x2aaaa001,0x01400aaa,
    0x5c4015c4,0x99930cdc,0x32239999,0xc985d41d,0x99999931,0x99997139,
    0x33326599,0xcccccccc,0x30ee201c,0xcc889999,0xb88000cc,0x0b6e02cd,
    0x00199991,0x2201e980,0x0e003dcb,0x79fffb00,0x3607fff9,0xffcbbfff,
    0xbdff880d,0xdaaefffa,0x6fffe46f,0x44ffcaaa,0xf905fffc,0x77ec0bff,
    0x0bfffb01,0x79fffb00,0x5c03dff9,0x7ec407ff,0x32000dff,0x7dc0dfff,
    0x7fe40fff,0x027ffc47,0x7ffff400,0x33fe23ff,0xbaefffaa,0x3ffee6fd,
    0xffd86fff,0x1effcbcf,0x7e407880,0x3206dfff,0x22003fff,0x1fffffff,
    0x3f601e20,0x75fe600f,0x2fffec5f,0x7cc3fff2,0xfc8dfd3f,0xfffa85ff,
    0xcfffc80e,0x83ffdbaa,0xfb84ffc8,0x0fffa87f,0x7fffd400,0x87ff984f,
    0x0000fff9,0x7e40bfe2,0x8802ff9c,0x3fea001f,0x0fffea1f,0xf987ffee,
    0x217c41ff,0x23644fff,0xd883fffa,0x81fffd44,0xf303fffa,0x2fffa809,
    0x2fffb800,0x4c0bffe2,0xffb807ff,0xfb93002f,0xb9999dff,0x4c59dfff,
    0x7ffc47ff,0xaaa80006,0x3e21aaaa,0x3227ffc1,0x2aaaaa66,0x2fffb82a,
    0xd00bffe2,0xffebe80f,0x3ffea03f,0x55554001,0x1fa00aaa,0xf803ff60,
    0xfa87f96f,0x7ffe42ff,0x3f65ff12,0x41fffd45,0xf505fff8,0x47f305ff,
    0x84fffec8,0xff887ff9,0x3fe2000f,0x442fffff,0xfff886ff,0x3ff60000,
    0xe8bff882,0x05fc801e,0xf07ffea0,0xfff70dff,0x22fff983,0x44fff868,
    0x1fffcc58,0x7ffd44a8,0x07fff302,0xff5005d1,0xff50005f,0x2fff885f,
    0xa807ff98,0x51002fff,0x5559fff9,0x35bfff75,0x6d43ffcc,0x0000006d,
    0x13ffe162,0x7d4000b1,0x7ffc42ff,0x407fd882,0xf5002a21,0x000003ff,
    0x8807fd88,0x1bfe602c,0x885fff50,0x30622fcc,0x105fff50,0x3ea09fff,
    0x207902ff,0xff984ffe,0x001fff07,0xfffb8964,0xff00b985,0x3ee0001f,
    0x3ffb82ff,0x07ffc400,0x41fffa80,0xffb87ffd,0x27ffe81f,0x84fff818,
    0x21fffcc2,0x5fff5121,0x50fffe60,0x3fea003d,0xffa8002f,0x0fffd82f,
    0x5403ffcc,0x20052fff,0xf882fffa,0x7ff984ff,0x400012e0,0x441ceeda,
    0x284fff81,0x503eeda8,0xffb05fff,0x7fff441f,0x500003ee,0x9dffdfff,
    0x8eeed881,0x220eeed8,0x03eefffe,0x01bfea00,0x3c05fff5,0x2fffa800,
    0x504fff88,0x885c5fff,0x309ffb03,0x3ffe0fff,0x3fa06000,0xfff8005f,
    0xfee98000,0x03ffd82f,0x027ffdc0,0x7c1fffa8,0xfffb84ff,0x01fffb81,
    0x4c027ffc,0x50243fff,0x3e605fff,0x003ae3ff,0x002fffa8,0xa82fffa8,
    0x7fcc2fff,0xafffa807,0xfff5005c,0x09fff105,0xd011fff3,0x267bbb63,
    0xdf901dfd,0x3e007fe2,0x4fb804ff,0xfff509f5,0x45fff505,0x1aafffb9,
    0xd51dddb1,0x3fea019f,0x85fff51f,0xff30fff9,0x7ffdcc1f,0x3bbb61aa,
    0x7d45eeee,0x7ffd406f,0xeea8b502,0x5fff505e,0x209fff10,0x0362fffa,
    0x2613ff60,0x1fff07ff,0x0077bb66,0xeea8ffee,0x51fff05e,0x744019fd,
    0x3a62ffd8,0x2006efff,0x800fffee,0x3f21fffa,0xfffb80df,0x03fffa81,
    0x4c027ffc,0x812e3fff,0xf302fffa,0x003f67ff,0x005fff50,0x305fff50,
    0xff989fff,0x3fea0227,0x3ea003ff,0xfff882ff,0x0dfff984,0xbfff0722,
    0xf30dffbb,0x0077e47f,0xf3013ffe,0x507fe25f,0xff305fff,0x07ff889f,
    0xfbbbfff3,0x3ffea0bf,0xf11fff21,0x3ffe21ff,0xf83ffc40,0x87fff30b,
    0x7d406ffa,0x503a82ff,0x3fea0fff,0x4fff882f,0x225fff50,0x4ffd800f,
    0xff07ff98,0x001fd41f,0xffa81ff9,0xbbbfff07,0xd96c0bff,0x3faa22ff,
    0x795002df,0xf5007fff,0x3dfdbbff,0x40fffdc0,0x7c05fff9,0xff9804ff,
    0x204fcacf,0xf302fffa,0x09ffd9ff,0x02fffa80,0x3fff72a0,0xfff13ccd,
    0xf17ff98d,0x3fffa83f,0x67ffd400,0xfffbaaaa,0x40fff984,0x74bffd02,
    0x17fec1ff,0xcca87ff9,0xcccefffc,0xff07fec0,0x3fff72a9,0xfff13ccd,
    0x207ff88d,0xfff13fff,0xa87ffea0,0x3fe21fff,0x103ffe0f,0xfb160fff,
    0x0dff50df,0x4c2fffa8,0x41ffe601,0xaaacfffa,0x504fffba,0x1ff99fff,
    0x309ffb00,0x3ffe0fff,0xfd000f60,0x20fff30b,0xfff13fff,0x2ffd92e0,
    0x2003ffc8,0x06fff88e,0xcbcfffa8,0xff702eff,0xdfff303f,0x804fff80,
    0xffddfff9,0x0bffea04,0x7fffffcc,0x3ea003ff,0x262002ff,0x099bfffb,
    0xf98ffff1,0xa85ff57f,0x54002fff,0xccccdfff,0xf984fffc,0x3ffa007f,
    0xff0bffa2,0x227fdc3f,0xdfff9998,0xcffe8199,0x7315ffcc,0x21337fff,
    0x3f27fff8,0x7c4fffff,0x03ffe0ff,0xfa87ffea,0x3ffe22ff,0xf103ffe0,
    0xffa860ff,0x06ffa81f,0x0017ffd4,0x7d41ffe6,0xcccccdff,0xff504fff,
    0x001ffbbf,0xff309ffb,0x643ffe0f,0x077c4002,0xff83ffcc,0x303ffe0f,
    0xc82ffd8d,0x493003ff,0x5402fffc,0x3fe61fff,0x7ffdc0ef,0x05fff981,
    0x4c027ffc,0x09b13fff,0x9817ffd4,0xfff9bfff,0xfff5001f,0xfff50005,
    0x8dfff305,0x20ee7ff9,0x4002fffd,0xf882fffa,0x7ff444ff,0x8bffa007,
    0x3fe22ffd,0x01bfee1f,0xff809fff,0x4099999f,0xf982fffa,0x3ffc46ff,
    0x7fc1fff0,0x1fffa81f,0xf883ffee,0x03ffe0ff,0xe880fff1,0xdff505ff,
    0x02fffa80,0xa83ffcc0,0xff882fff,0x5fff504f,0x3f6003ea,0x07ff984f,
    0x05f91fff,0xf301fc80,0x83ffe0ff,0x20f41fff,0xffc82ffd,0x7c43b003,
    0x7fd405ff,0x27ffdc1f,0x2a07ffee,0x7fc04fff,0xfff9804f,0xffa81223,
    0x7fff302f,0x003fffee,0x300bffea,0x305fff50,0xff98bfff,0x3ff76207,
    0x3ea0c02f,0xfff882ff,0x03ffd544,0x7ec5ffd0,0x70fffc2f,0xfff809ff,
    0x017ff404,0x4c17ffd4,0x7fc45fff,0xf83ffe07,0xfffa81ff,0xf117ffa1,
    0x07ffc1ff,0xf901ffe2,0x3fea01ff,0x17ffd406,0x0fff3060,0x220bffea,
    0xff504fff,0x6c006c5f,0x7ff984ff,0xfffbfff0,0x80bea001,0xfff07ff9,
    0xf50fffc1,0xdfffdddd,0x803ffc89,0xfe9999e8,0x3fea01ff,0x2fffcc1f,
    0x2e07ffee,0x7fc01fff,0xfff9804f,0xfff50243,0x8fffe605,0xa806fffd,
    0x16202fff,0x2a0bffea,0x7fcc2fff,0x3fea6e07,0x3ea2402f,0xfff882ff,
    0x007ff984,0xffd8bffa,0xf70fff42,0x4fff805f,0x402ffe40,0xfa82fffa,
    0x3ffc42ff,0x7fc1fff0,0xbfffa81f,0xff04ffec,0x207ffc1f,0x3e607ff8,
    0x3fea03ff,0x17ffd406,0x7ff98b10,0x105fff50,0x3ea09fff,0x3882e2ff,
    0xf984ffd8,0xd7fff07f,0x5f100bff,0x83ffcc30,0x3ffe0fff,0x3ffffea1,
    0x7e45ffff,0xcccc803f,0x04fffccc,0xf507ffea,0xfffb89ff,0x805ffe81,
    0xf9804fff,0xf50043ff,0x3fe605ff,0x27fff43f,0x80bffea0,0x2fffa84b,
    0xf986ffe8,0xfffa807f,0xff512a02,0x9fff105f,0x400fff30,0x3ff62ffe,
    0xf917fdc2,0x09fff00f,0x221fffa8,0x417ffd43,0xff886ffe,0x0fff810f,
    0x3ea07ffe,0x00aaabff,0x7fcc3ffe,0x87ffc40f,0x0a37fec0,0xfa80dff5,
    0x312e02ff,0x3fea0fff,0x4fff882f,0x045fff50,0x13ff60b6,0x7fc1ffe6,
    0x02fff98f,0xf315c1ec,0x83ffe0ff,0x33261fff,0x3dfffccc,0x2201ffe4,
    0x03fffa06,0x320fffd4,0x7fdc1fff,0x077fd41f,0x402fffc0,0x2003fff9,
    0xf302fffa,0xfff887ff,0x3ffea03f,0xf507d102,0xfff985ff,0x807ff981,
    0xd102fffa,0x82fffa87,0xf984fff8,0x3ffa007f,0x3a0bffa2,0x2013fa4f,
    0x74405fff,0xa85cdfff,0x7fcc2fff,0x97fff01f,0x3e0fff83,0xfffa81ff,
    0x33ff6001,0xe81fffea,0x3ea1daff,0xf51621ff,0xfffa80df,0xf987d102,
    0x7fff507f,0x209fff10,0xf502fffa,0x30bffb03,0xfff10fff,0x403ffee1,
    0xfffffffc,0x7c1ffe61,0x07ffe0ff,0x360bff60,0x01e403ff,0x2e09fff5,
    0xff913fff,0x5fff907f,0x4006ffd4,0xa805fff8,0x2e004fff,0xff503fff,
    0xffff909f,0x13ffee07,0x3ee0bfa6,0x3bfea3ff,0x01fff500,0x444fffb8,
    0x7fd42feb,0x5fff983f,0x000fffa8,0x7ff47fff,0x7fb9fb03,0x0bfff100,
    0x1bfffd10,0x547fff70,0x3a600eff,0x7ffc42ef,0x705fff11,0x44005fff,
    0xfff8dffe,0x177f4c0d,0x74cbfff1,0x203ffdc5,0xe984fffb,0x07ffd42f,
    0x4c1fffdc,0xff705fff,0x7fe5449f,0xa85ffe80,0x7fc40fff,0x217ffa1f,
    0xfffffffa,0x207ffd47,0xff11fff8,0x5ffb005f,0x4c09ffb0,0x3ffe203f,
    0x3fff261f,0x0bdeffff,0x7ffffe4c,0x8801befe,0x2cffffeb,0xffffeb98,
    0x3fee601c,0xd731bfff,0x2619ffff,0x1dfffffe,0xffffff73,0x43ffffdd,
    0xefffffb9,0x3a601cef,0xb980dfff,0xeeffffff,0xd731ffff,0x7139ffff,
    0x259ffffd,0x00dfffe9,0x5cf7ffe4,0x2601efff,0xffeb8801,0x18802cff,
    0xfffff730,0x40039dfd,0xefffd880,0x30efffd8,0x17dffff7,0x00004c00,
    0xfeefffc8,0x3ffae4ff,0x7fdcc0df,0xffeeffff,0x3ffa61ff,0xfff730df,
    0xfd7137ff,0x2e659fff,0xfeffffff,0x36e27fff,0xd32dffff,0x3621bfff,
    0xfe88dfff,0xfff30dff,0x4cdfffff,0xb10dfffe,0xffb1dfff,0xffd801df,
    0x3ffff222,0x0ceffb84,0x77fffed4,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33260000,0xca804ccc,
    0x9932cccc,0x15599999,0x99999930,0x33332617,0x9999930c,0x00155999,
    0x33333332,0x2e0ccccc,0x81cccccc,0x5512cccc,0x26655555,0x99999999,
    0x00000029,0x00000000,0x80000000,0x00000000,0x00000000,0x00001b90,
    0x00200000,0x77764000,0x4eeed9ad,0x20007db3,0x20020000,0x93bbbae0,
    0xddb12eec,0x1dddb11d,0x4ef7774c,0x41c04eec,0x3bbbb60b,0x3b625eee,
    0xeee99dee,0x0710a61d,0x642f7754,0x7fffe41d,0x37fffc01,0xfccfffc8,
    0x7fcc0cff,0x07fd05ff,0x326bfff6,0x7c00dfff,0xfeaaabdf,0xfffb85ff,
    0xa8fee01f,0x57ffffff,0x3f301400,0x4c07f000,0xdddb10de,0xb1dddb11,
    0x0fbb6a0d,0x44ef7654,0x2600deed,0x84a9deed,0x300beeda,0x3ae1bdd9,
    0x3b6a00de,0xfdb701ce,0xeeda805b,0xb50bfe1c,0x76c497bd,0x0cfea8ee,
    0x22fb3000,0xfea9eeed,0x07dfb11d,0x7fd4bffd,0xed896e0f,0x5c9f91ee,
    0x3ee000be,0x3ea39b50,0x3a1fff61,0x987ffcc3,0x7fcc0fff,0xd805f14f,
    0x42fe2dc4,0x7c43fff9,0x413ee2ff,0xf501f42f,0x46ff98ff,0x205fffda,
    0x504fffda,0x7ff45fff,0x0ffffb86,0x3fee04e8,0x037fec1f,0xfff305f1,
    0x3fff601f,0x55113203,0x00a55555,0x007e6028,0xffe80fe0,0x4c3ffe64,
    0x43ff8fff,0x449f54fb,0xdfff70ee,0x3ee03fe2,0x3ea1bfa6,0xdf50dfb4,
    0x744feff4,0xf16fc80f,0xf937443f,0x45bf205f,0x543f72ff,0xf989f33f,
    0x5ffdddff,0x3bfae200,0x377ffe23,0xfceafffc,0x7ffd42ff,0x1c8fffe0,
    0x7ecfffc4,0x37ff667f,0xfffe8801,0x4c5feffe,0x21a21fff,0xff10fff8,
    0x1fff901f,0x20fd8077,0x3f62c1fb,0x43fff06f,0xa87ee03e,0x8fff302f,
    0x75d46ff9,0xf3d00fff,0x3fe607ff,0x0bffee2f,0xb713fff6,0x41fffa80,
    0x9302fffa,0x80ffffa0,0xd107fff8,0x40050001,0x0007e602,0x4ffd80fe,
    0x7c43ffe2,0x260fa8ff,0x23ff12ff,0xfff10ffb,0x3e22ff45,0x883ff24f,
    0x45ff52ff,0x3fee2ff9,0xff317f66,0xfb877e47,0x30bff50f,0x67fe47ff,
    0x9527ec1b,0x3e27fff0,0xffc9807f,0x49fff01d,0xff70effe,0x265ffd09,
    0x7c166ffe,0x84fbadff,0x00beffb8,0x7ea877ea,0x1d49ffb0,0xff07ffc4,
    0x37ffa01f,0xf51fe405,0x7ffd430b,0x321fff01,0x3a1ff803,0x47ff982f,
    0x55d45ff8,0x8d983fff,0xff303fff,0x27ffcc5f,0x98ffffc4,0x1fffa806,
    0xa827ffc4,0x06fffb81,0xc83fffb8,0x8bddd502,0xf980a002,0x203f8001,
    0x3fe20bc8,0x2afffe0f,0xff07fec0,0xff8bfee9,0xf91ff21f,0x527ff47f,
    0xb0ff41ff,0x2ffd43ff,0x2ffd8ff7,0x7fdcfff2,0xfb0dff32,0x81ffe45f,
    0xf050dfff,0x07ffc1ff,0x00bffea8,0xffb0fffc,0x5c2ffdc7,0xfff395ff,
    0x3ffe0751,0x7fed4005,0xf307e81c,0x21fff505,0x0fff880d,0x7d403ffe,
    0x9fee01ff,0x3a201ffa,0x3ffe05ff,0xfb802fc8,0x983ff50e,0x42fe87ff,
    0x90fffd3a,0x207fff13,0x3ea2fff9,0xfff702ff,0xf5001d1d,0xfff983ff,
    0x3ffe2002,0xfff8801f,0xf501660f,0x0a0028ff,0xf8001f98,0xfff88003,
    0x7403ffe0,0x5ffcccff,0xbfffb8ae,0x3a0ffdaa,0xdff9b2ff,0x7fc03fec,
    0x2b7fea1f,0x3fe0ffda,0xa93fee1f,0xf0dffb12,0x27fdc3ff,0x00efffc8,
    0x7ffc1fff,0x0bbff221,0x361fff80,0x17fea3ff,0x6d67ffe2,0xff00dbff,
    0x3220007f,0x09f12eff,0xbffe8274,0x1fff1048,0xfd007ffc,0x53fea0bf,
    0x7e405ff8,0x3ffe00ff,0xf800fffd,0x983ffa6f,0x40fc87ff,0x45fff73a,
    0x07fff168,0xfd8bffe6,0x7ffec07f,0xfff5001f,0x007ffb83,0x0027ffec,
    0x0f49fff7,0x051ffe60,0xccccb940,0x2ccccdfd,0xbf999995,0x88099999,
    0x3ffe0fff,0x333fff00,0xf5d70133,0x333335ff,0xaacafff8,0x07ffe7ff,
    0x2a0fff88,0xaaaaaeff,0x5c3fff10,0x5f6446ff,0x7ffc46ff,0x441bfee1,
    0xf81ffffe,0x87ffe0ff,0x4001dffb,0x3ff61fff,0x6c17fea3,0xdff52eff,
    0x017ffc0b,0x2dff7100,0x41b602f8,0x101ceffb,0x7ffc1fff,0x07ffea00,
    0x1ff937ec,0x00fffe60,0xbffd7fff,0xf12ff980,0x87ff989f,0xff13a869,
    0xff895cdf,0x5fff303f,0x803dff71,0x002ffff8,0x2a23fff5,0x2a002fff,
    0xe8006fff,0x804b8fff,0x00147ff9,0x3fffffa5,0x75ffffff,0xffffffff,
    0xf880ffff,0x03ffe0ff,0x26017ff4,0x05ffd1ee,0x2a7bffd0,0x0bffe5ff,
    0x7d41fff0,0x1fff806f,0xefa93fee,0xff86ff98,0x813fee1f,0xf86fffd8,
    0x07ffe0ff,0x005dff93,0xffd87ffe,0x5417fea3,0x17ffc7ff,0x0003fff0,
    0xe85bff93,0x2207f105,0x7fc05fff,0x803ffe0f,0x3a05ffed,0x6c13f22f,
    0x7fc146ff,0x02fff88f,0x84fc8bfa,0x50707ff9,0x68fffe47,0x4c0fffe2,
    0x3eefffff,0x3fffea00,0xefffa800,0x000dffff,0x0017fff4,0x076fffd4,
    0x0a3ffcc0,0x07e60280,0x3500fe00,0x7fc1fff0,0x0bff900f,0xffb1ffc4,
    0x4bffb009,0x3ffa4ffb,0x50ffe406,0xfe801fff,0x4cbfee1f,0x0dff32ff,
    0x7fdc3ffd,0x7ffe4502,0xff07ffc1,0x7ff5403f,0x87ffe00c,0x3fea3ffd,
    0xf913fe05,0x0fffc01f,0x19ffd500,0x3ee07ee0,0x00bff201,0x3fe61fff,
    0xff33900f,0xb1ba203f,0x1fffa81f,0x47ffe162,0xfa80fffb,0x7cc17e23,
    0x98ea007f,0x2249cfff,0xff303fff,0x7d40005f,0xfa804fff,0x6fffa9ff,
    0x2fffe400,0x7fffd000,0x51ffe600,0x3f301400,0x6407f000,0x8fffc3ff,
    0xf500fff9,0xfc9c43ff,0x07ffee2f,0x91ffd419,0x7ffdc3ff,0x43ff5143,
    0x05c5fffb,0x3fe45ff7,0x3fee5ffb,0x322ffb86,0xfb83a07f,0xf07ffc0f,
    0xf93003ff,0x3fff05bf,0xff51ffec,0x260fe40d,0x0fffc05f,0x0bbff220,
    0x2a77fee0,0x3e601ffe,0xacffd806,0x5a81fffe,0xe881bff6,0xfff12743,
    0x3e22f4cb,0x1bffa1ff,0x540b913a,0x75000fff,0x20dfffd8,0xf303fff8,
    0x260005ff,0x02ffff8e,0xfc8fffd4,0xff3004ff,0x002601ff,0x2005fff5,
    0x00147ff9,0x000fcc05,0xbffd01fc,0xfeacffd8,0xffd101ff,0x7ff4b9bf,
    0xfffedcbf,0x7fc40dbd,0x3fa0ff65,0x220dcdff,0x3fffa4fe,0xfe81dbef,
    0xffd93fa4,0x0bfffcef,0x09fd27f4,0x45f986f4,0xff11fff8,0x75c4005f,
    0x8bffe26f,0x3fee4ffd,0x1741e606,0x403fff10,0x5001cffb,0x7ffff99f,
    0x01ec01fd,0x7c6fff44,0xdfb30dff,0x1bfffd33,0x21d11a60,0xffeefffc,
    0x3fff624f,0xdfffe88e,0x20698950,0x00dfffe9,0x7ffd43a8,0x81fffc45,
    0x8002fff9,0xffff50e8,0x0fffd401,0xb003fffd,0x06c07fff,0x00bffea0,
    0x00a3ffcc,0x007e6028,0xffb80fe0,0x46fff442,0xd100dfff,0x7d41bfff,
    0xffb12eff,0xf71b03df,0x36209fbb,0xfb00dfff,0xffd35fb9,0x6e7ec05d,
    0x8f7f4c3f,0x9f902ffc,0xfed807fb,0x3f620eec,0xfffd8eff,0x2498000e,
    0xfb9efffd,0xfffaafff,0x00c0604f,0x407bfff6,0x1c4000ba,0x00e21331,
    0x004c0011,0x00000000,0x00000000,0x83a80000,0x7fc42ffe,0x5fff303f,
    0xfc83b000,0x3fea05ff,0x3fffe61f,0x1bffea00,0xffa80788,0xfff3002f,
    0x7f4a0028,0xffffffff,0x01fc05ff,0x00098022,0x01300620,0x4c080262,
    0x00131000,0x80026066,0x00404019,0x4c100198,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0xf30df707,
    0x3fe609ff,0x426c002f,0x702ffff8,0xffb83fff,0xffff105f,0x201b6203,
    0x5002fffa,0x00141fff,0x2aaaaaa5,0x01aaaaaa,0x000000d4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10b70000,0x9fff307f,0x00fffea0,
    0xff700fd8,0xfff703ff,0x07fffb05,0x2a09fff9,0xffb806ff,0xffe9802f,
    0x555570df,0x09555555,0x40000000,0x005401d9,0x984b8817,0x1ec00bdc,
    0x3ae202a0,0x100f600c,0x4d9839d7,0x2ee60ee4,0x42dba881,0xaaaaaaa8,
    0x2a22aaaa,0xaaaaaaaa,0x1a8102aa,0x00100888,0x1dc40441,0x931dc571,
    0x22199999,0xbbbbbbbb,0x26663bbb,0x99999999,0x00000001,0x00000000,
    0x00000000,0xf9300000,0x220c85bf,0x1cffffeb,0x9ffffd91,0x77ff5c03,
    0x7ffff542,0xffff933f,0x7ffc419d,0xffff30cf,0xffffdddd,0x7fe540bf,
    0x0002bfff,0x00000000,0x03fc8000,0x17e40774,0xfbd0bfd7,0x07fd409f,
    0x3a22ffe8,0xff305fec,0x7feffcc0,0x7d47ffa3,0x17cdf26f,0xb83fa7f1,
    0xffffffff,0x3fee7fff,0xffffffff,0x3f22b87f,0x317fe63f,0x52039ffb,
    0x3f20ffe8,0xf31ff93f,0x3fffea5f,0xffff11ff,0xffffffff,0x3fffffe2,
    0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x002e2000,0x1fe41dd1,0x54662fdc,
    0x13fba06f,0x089bffe2,0x97e187f5,0x1f907741,0x7fd47ffa,0x12fc5ba5,
    0x8887fa5b,0x88888888,0x222227b8,0x88888888,0xfe8ffc40,0x3a1bee5f,
    0x8beffecd,0x8bfa22c8,0x2ff75ffe,0xddd51ff8,0x44443ddd,0x88888888,
    0x26666660,0x00199999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd1000000,0x2e07f91d,
    0x413ea05f,0xc81fc9fb,0x0fd887ff,0x26b23bf2,0x885f11fe,0x221ffb3f,
    0x7cdf34ff,0x01fecb87,0x0000f500,0x5ff73fb8,0x31220774,0x10dffff9,
    0x30f7d4bf,0x00000441,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x333332e0,
    0x82cccccc,0x2e03ffe8,0x203b205f,0x20bf14f8,0x7ffc85a8,0x3f37ffa6,
    0x885f10ef,0xfe8df73f,0x746f9be2,0x20003fb5,0x33332a7a,0x4ccccccc,
    0x41107754,0x200980e8,0x01a601ba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffe,0xf905ffff,0x82fdc01f,0x41f900e9,0x205b02fb,
    0x4c881ff8,0x44f71760,0xf907e44f,0xaefa8fe2,0xd50002fe,0x7777775c,
    0x226eeeee,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x700eecfc,0x953d30bf,0x3741fcc5,0x0d904254,0x503d95f7,
    0xe89fd9df,0x5dd43542,0x6d466c42,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00080000,0x03ba27f9,0xfff11bf2,
    0xa83741ff,0x3f606e3f,0xbfcc2d9b,0xbf9107f9,0x03881703,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x43fc805f,0x2aaa0ee8,0x2aaaa62a,0x2a806a22,0x101ba880,0x0002ec7d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd805f700,0x0005d103,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_26_latin_ext_x[560]={ 0,2,2,0,0,1,0,1,0,0,1,0,0,0,
1,0,0,1,0,0,0,0,0,0,0,0,2,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,2,0,0,1,-1,0,1,0,0,0,0,0,0,0,0,
-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,0,0,0,0,0,-1,0,0,0,0,2,0,0,1,1,0,0,0,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,0,0,0,0,0,-1,0,-1,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,-1,0,-1,0,-1,0,0,0,0,0,0,0,-1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,-1,0,
0,0,0,0,0,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-1,1,0,0,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__times_bold_26_latin_ext_y[560]={ 20,4,4,4,4,4,4,4,4,4,4,5,16,13,
16,4,4,4,4,4,4,4,4,4,4,4,8,8,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,23,3,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,5,9,9,9,9,9,9,4,4,4,11,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,8,4,4,6,4,
4,4,4,4,4,9,9,13,4,1,4,5,4,4,3,9,4,10,19,4,4,9,4,4,4,8,-1,-1,-1,-1,
-1,0,4,4,-1,-1,-1,-1,-1,-1,-1,-1,4,-1,-1,-1,-1,-1,-1,7,3,-1,-1,-1,-1,-1,4,4,3,3,
3,4,4,3,8,8,3,3,3,4,3,3,3,4,4,4,3,3,3,4,4,7,8,3,3,3,4,3,4,4,
0,5,-1,4,4,8,-1,3,-2,3,-1,4,-1,3,-1,4,4,4,0,5,-1,4,-1,4,4,8,-1,3,-2,3,
-1,4,-1,4,4,3,-2,-2,4,4,-1,4,0,5,-1,4,4,4,-1,9,4,4,-2,3,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,3,4,8,-1,3,4,4,8,0,5,-1,4,-1,3,4,8,-1,3,4,8,-1,3,
-1,3,-2,3,4,8,-1,3,4,5,-1,4,4,5,-1,4,0,5,-1,4,-2,3,-1,3,4,9,-2,3,-2,3,
-1,-1,3,-1,4,-1,3,4,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,4,5,5,5,
5,5,5,5,5,5,5,5,5,5,2,8,5,5,5,5,5,5,5,5,5,5,5,5,5,1,8,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,-2,3,-2,3,-2,
3,-2,3,-1,2,-1,0,-1,0,-1,0,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,-5,-2,-2,3,-2,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static unsigned short stb__times_bold_26_latin_ext_w[560]={ 0,4,9,12,11,21,19,4,8,7,10,13,6,8,
4,7,11,9,11,11,11,11,12,12,11,11,4,6,13,14,13,10,21,17,15,16,16,15,14,19,18,9,12,19,
15,22,17,18,14,18,18,12,15,17,17,24,17,17,16,6,7,6,11,13,6,11,13,10,13,10,10,12,13,7,
7,14,7,19,13,11,13,13,11,9,8,13,12,17,12,12,11,8,3,7,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,12,12,
3,10,8,17,8,12,14,8,17,13,9,13,7,7,6,14,13,4,5,7,8,12,18,18,18,10,17,17,17,17,
17,17,24,16,15,15,15,15,9,9,9,9,17,17,18,18,18,18,18,11,18,17,17,17,17,17,14,12,11,11,
11,11,11,11,16,10,10,10,10,10,8,7,8,8,11,13,11,11,11,11,11,13,11,13,13,13,13,12,13,12,
17,11,17,11,17,11,16,10,16,10,16,10,16,10,16,17,17,13,15,10,15,10,15,10,15,10,15,10,19,12,
19,12,19,12,19,12,18,13,18,13,9,8,9,8,9,8,9,7,9,7,20,12,12,9,19,14,14,15,7,15,
7,15,11,15,10,15,7,17,13,17,13,17,13,18,17,12,18,11,18,11,18,11,23,17,18,11,18,11,18,11,
12,9,12,9,12,9,12,9,15,8,15,12,15,8,17,13,17,13,17,13,17,13,17,13,17,13,24,17,17,12,
17,16,11,16,11,16,11,9,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,12,12,13,12,12,12,
12,12,12,12,12,12,12,12,12,12,19,14,12,12,12,12,12,12,12,12,12,12,12,12,12,20,15,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,11,9,9,18,
11,17,13,17,13,17,13,17,13,17,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,11,24,16,18,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__times_bold_26_latin_ext_h[560]={ 0,17,8,17,18,17,17,8,21,21,9,14,9,3,
5,17,17,16,16,17,16,17,17,17,17,17,13,17,12,6,12,17,22,16,16,17,16,16,16,17,16,16,17,16,
16,16,17,17,16,21,16,17,16,17,17,17,16,16,16,21,17,21,9,3,5,13,17,13,17,13,16,18,16,16,
22,16,16,12,12,13,18,18,12,13,16,12,12,12,11,17,11,21,22,21,5,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,21,17,12,16,
22,22,4,17,7,11,6,3,17,3,9,14,9,9,5,17,22,5,6,9,7,11,17,17,17,18,21,21,21,21,
21,20,16,21,21,21,21,21,21,21,21,21,16,22,22,22,22,22,22,11,18,22,22,22,22,21,16,17,18,18,
18,17,17,18,13,17,18,18,18,17,17,17,17,16,17,16,18,18,18,17,17,11,13,18,18,18,17,23,22,22,
20,16,21,17,22,18,22,18,23,18,22,17,22,18,21,17,16,17,20,16,21,17,21,17,22,18,21,18,23,23,
22,22,22,22,21,23,22,22,16,16,21,16,20,15,21,16,22,22,21,11,17,22,23,23,21,21,11,21,21,21,
21,16,16,16,16,16,16,22,17,21,17,22,17,16,17,18,21,16,22,17,22,18,17,13,21,17,21,17,21,17,
22,18,23,18,21,17,22,18,22,21,21,17,16,16,22,17,21,16,22,17,23,18,22,18,22,17,23,18,22,23,
21,21,17,21,16,21,17,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,17,15,15,22,15,15,15,
15,15,15,15,15,15,15,15,15,15,19,13,15,15,15,15,15,15,15,15,15,15,15,15,15,20,13,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,22,18,22,17,23,
18,23,18,22,19,22,21,22,21,22,21,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,25,23,22,18,23,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__times_bold_26_latin_ext_s[560]={ 510,506,251,214,15,387,355,506,189,153,230,
147,215,362,315,440,302,292,325,90,359,271,187,200,213,225,161,237,314,294,378,
284,14,382,400,331,416,276,449,97,257,464,117,474,494,1,20,1,24,446,57,
361,433,374,313,244,39,93,76,390,392,297,203,371,341,263,83,222,56,182,371,
468,345,337,498,310,302,328,300,251,290,1,366,290,201,418,405,348,432,70,458,
180,494,289,327,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,510,507,415,
348,392,488,506,498,353,295,270,445,279,362,38,385,241,133,195,222,320,269,367,
348,309,187,261,485,168,149,130,93,161,333,247,299,135,416,409,108,358,92,231,
374,426,436,497,62,1,54,97,255,274,329,420,175,235,134,366,384,402,397,172,
177,266,278,316,132,120,328,193,79,382,405,140,27,293,347,338,248,155,158,304,
393,428,448,488,161,210,368,354,340,460,211,453,467,398,448,281,500,480,211,37,
129,63,151,162,455,249,104,214,253,131,1,372,120,317,144,198,499,233,481,265,
27,146,198,329,381,448,481,72,224,394,297,46,434,52,501,388,111,179,400,55,
65,125,498,478,1,133,105,32,17,470,1,489,473,465,232,460,472,19,30,65,
197,239,340,441,311,427,73,409,50,239,92,413,375,36,38,314,233,117,227,98,
202,321,190,266,73,166,63,167,167,468,83,432,89,73,52,104,149,349,474,221,
187,279,65,115,492,215,115,179,38,38,162,116,92,203,304,466,272,210,150,15,
222,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,102,120,120,439,
120,120,120,120,120,120,120,120,120,120,120,120,120,448,275,120,120,120,120,120,
120,120,120,120,120,120,120,120,351,166,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,19,254,
152,283,179,416,237,180,293,434,311,136,348,189,1,258,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,1,80,72,194,19,223,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,120,
120,120,120,120,120,120,120,120,120, };
static unsigned short stb__times_bold_26_latin_ext_t[560]={ 1,73,181,114,95,114,114,167,73,73,181,
167,181,181,181,95,114,150,150,114,150,114,132,132,132,132,167,132,167,181,167,
132,50,150,149,132,149,150,149,132,150,149,132,149,149,167,132,132,167,50,167,
132,149,132,132,132,167,167,167,50,132,50,181,181,181,167,132,167,132,167,150,
73,150,150,1,150,150,167,167,167,95,95,167,167,150,167,167,167,167,132,167,
50,25,50,181,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,1,50,50,
132,167,132,1,25,181,132,181,167,181,181,132,181,181,167,181,181,181,132,25,
181,181,181,181,167,132,132,132,95,73,73,73,73,73,73,132,73,50,73,73,
50,50,50,50,73,150,25,25,1,1,1,1,181,95,25,1,1,1,50,150,
114,95,95,95,114,114,95,167,114,95,95,95,114,114,114,114,150,114,150,95,
95,95,95,95,181,167,95,95,95,95,1,1,1,73,132,73,95,1,95,25,
95,1,95,25,114,25,95,73,114,150,114,73,150,73,114,73,114,25,73,73,
95,1,1,25,25,25,25,73,1,25,25,150,132,73,132,73,167,73,132,50,
50,73,167,114,50,1,1,73,73,167,73,50,50,50,150,132,132,150,150,150,
25,114,50,114,25,114,150,114,95,50,150,25,114,50,95,114,167,50,114,50,
114,50,114,25,95,1,95,50,114,25,95,25,50,50,114,150,150,25,95,50,
150,25,114,1,73,25,95,25,114,1,95,25,1,50,50,114,50,150,50,114,
150,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,114,167,167,1,
167,167,167,167,167,167,167,167,167,167,167,167,167,73,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,73,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,25,95,
25,114,1,95,1,95,1,73,1,50,1,50,27,50,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,1,1,25,95,1,95,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,167,
167,167,167,167,167,167,167,167,167, };
static unsigned short stb__times_bold_26_latin_ext_a[560]={ 94,125,209,188,188,376,313,104,
125,125,188,214,94,125,94,104,188,188,188,188,188,188,188,188,
188,188,125,125,214,214,214,188,349,271,251,271,271,251,229,292,
292,146,188,292,251,355,271,292,229,292,271,209,251,271,271,376,
271,271,251,125,104,125,218,188,125,188,209,167,209,167,125,188,
209,104,125,209,104,313,209,188,209,209,167,146,125,209,188,271,
188,188,167,148,83,148,195,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,94,125,188,188,188,188,83,188,
125,281,113,188,214,125,281,188,150,206,113,113,125,216,203,94,
125,113,124,188,282,282,282,188,271,271,271,271,271,271,376,271,
251,251,251,251,146,146,146,146,271,271,292,292,292,292,292,214,
292,271,271,271,271,271,229,209,188,188,188,188,188,188,271,167,
167,167,167,167,104,104,104,104,188,209,188,188,188,188,188,206,
188,209,209,209,209,188,209,188,271,188,271,188,271,188,271,167,
271,167,271,167,271,167,271,275,271,209,251,167,251,167,251,167,
251,167,251,167,292,188,292,188,292,188,292,188,292,209,292,209,
146,104,146,104,146,104,146,104,146,104,309,207,188,125,292,209,
209,251,104,251,104,251,176,251,149,251,104,271,209,271,209,271,
209,274,289,209,292,188,292,188,292,188,376,271,271,167,271,167,
271,167,209,146,209,146,209,146,209,146,251,125,251,196,251,125,
271,209,271,209,271,209,271,209,271,209,271,209,376,271,271,188,
271,251,167,251,167,251,167,104,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,278,292,292,188,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,208,292,292,292,292,292,292,
292,292,292,292,292,292,292,299,225,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,271,188,146,104,292,188,271,209,271,209,271,
209,271,209,271,209,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,271,188,376,271,292,188,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT or STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_26_latin_ext(stb_fontchar font[STB_FONT_times_bold_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT][STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_26_latin_ext_s[i] + stb__times_bold_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_26_latin_ext_t[i] + stb__times_bold_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_26_latin_ext_x[i];
            font[i].y0 = stb__times_bold_26_latin_ext_y[i];
            font[i].x1 = stb__times_bold_26_latin_ext_x[i] + stb__times_bold_26_latin_ext_w[i];
            font[i].y1 = stb__times_bold_26_latin_ext_y[i] + stb__times_bold_26_latin_ext_h[i];
            font[i].advance_int = (stb__times_bold_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_26_latin_ext_s[i] + stb__times_bold_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_26_latin_ext_t[i] + stb__times_bold_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_26_latin_ext_x[i] + stb__times_bold_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_26_latin_ext_y[i] + stb__times_bold_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__times_bold_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_26_latin_ext_LINE_SPACING
#endif

