// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_37_usascii_BITMAP_HEIGHT        158
#define STB_FONT_arial_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_37_usascii_FIRST_CHAR            32
#define STB_FONT_arial_37_usascii_NUM_CHARS             95

#define STB_FONT_arial_37_usascii_LINE_SPACING          24

static unsigned int stb__arial_37_usascii_pixels[]={
    0x80000033,0x00100000,0x010004cc,0x9bb20130,0x26eeeee9,0x03eeeeec,
    0x400005c8,0x00000000,0x01988000,0x00000131,0x20000000,0x6ed80099,
    0x40000ff2,0xffffedca,0x26000ade,0x7fc03eff,0x0fffdc04,0x3fa07f90,
    0x3ffffea7,0x3fffff67,0x2bfaa204,0xfdb30000,0x0017dfff,0xffedb980,
    0x20000cef,0x07ff07fb,0x3ffb6e20,0x0000acdf,0xbdfffd93,0x803fe807,
    0x03fe27fe,0x7ff5c400,0xffffffff,0xf9800dff,0x3fe05fff,0x3ffff204,
    0x740df301,0x3fbba67f,0x3bbff67f,0xfffe983e,0x5001efff,0xfffffffd,
    0x10009fff,0xfffffff9,0x0001bfff,0x3ff10bf9,0xffffc880,0x2fffffff,
    0x3fffa600,0x3fffffff,0xfd00bf70,0x8005fb8f,0xbceffffa,0xffecaa9a,
    0x6dc403ff,0x9ff00fff,0x2f7ffe20,0x5c05fd00,0xd9ffa04c,0x3fea00ff,
    0xffffffff,0x7fffdc02,0xffffdcef,0xfd3000ef,0xffb9dfff,0x8003ffff,
    0x0ffa83fe,0x3ffffa60,0xffffdcdf,0x7fdc00df,0xfeccdeff,0xff984fff,
    0x7c3ff400,0x3fee003f,0xf91001df,0x3ea00bff,0x209ff03f,0x7e402ffb,
    0x7fe80006,0x7cc03ff6,0xe9fd9eff,0xff901fff,0xf95103df,0xfa801fff,
    0xf9302fff,0x22003fff,0x06fc82ff,0x02ffffe6,0x02fffe44,0x203bfff7,
    0xf83fffc8,0x43ff402f,0xff9007fb,0x3a20003d,0x9ff004ff,0x7e413fe0,
    0x0bfe200f,0xd9ffa000,0x7ffb00ff,0x0bffb3ec,0x2009fff3,0x2205fffa,
    0x9800dfff,0x9800efff,0x04fd80ff,0x4007bffa,0xf981fffa,0xff9004ff,
    0x404fd81f,0x2ff887fe,0x006ffdc0,0x017fec00,0x4ff82ffc,0xfc80ffb0,
    0x20198807,0x03ff67fe,0x4fb07ffc,0xffe87ff9,0x7ffdc004,0x00dff903,
    0x804fffa8,0x07ff07fb,0x0003fff2,0xffd09ff7,0x4ffe8009,0x3fa037dc,
    0x440dfd07,0x0dcc05ff,0x400ffe80,0x09ff05ff,0xff881ff6,0x207fe804,
    0x03ff67fe,0x8fb17fe6,0x3fea0bcd,0xffc8000f,0x01fff987,0x20fffb80,
    0xefd99998,0xbffa9999,0x017ffc19,0x307ffc40,0xa8001fff,0x07fc47ff,
    0x3ee0ffd0,0x01ffb02f,0x5ffffd91,0xff893fea,0xf82ffc03,0x40ffb04f,
    0xfe801ffb,0xfd9ffa07,0x45ff980f,0x7ffb007d,0x0fffc000,0x80017ff2,
    0x3ff23ffe,0xffffffff,0x27ffffff,0x20006ffa,0x27fe40ba,0xfd01a800,
    0x883ff407,0x1ffa84ff,0xffffff98,0x42ffbaff,0x37fc06fc,0xffb04ff8,
    0xe803ff40,0xd9ffa07f,0x1fff00ff,0x7fc403ec,0x3fa0000f,0x017fec4f,
    0x64dff900,0xffffffff,0xffffffff,0x0013ff67,0x00fffe00,0x817f2000,
    0x1bfa07fe,0x3fe617f6,0xdffb50cf,0x1ff981ff,0x7fc1bfa0,0x7c0ffb04,
    0x0ffd005f,0x1ffb3ff4,0x6c33ff60,0x07ff9807,0x237fe400,0x20001fff,
    0x26627ffb,0x9999ffb9,0x2199dfe9,0x00003fff,0x000fffc4,0xd03fd400,
    0x23fec0ff,0x7f442ff8,0xffff903f,0xfe80bfe0,0x3a09ff06,0x09ff106f,
    0xfe81ffa0,0x4c03ff67,0x07dbffff,0x0006ffa8,0xff13ffdc,0x7cc0001f,
    0x0ff700ff,0x7ffc0ffe,0x7c400001,0x000000ff,0x1ffa03ff,0x3ee0ffc8,
    0x204ffc87,0xfd05fff8,0xf83fe407,0x209ff04f,0xfd003ffa,0xfb3ff40f,
    0x7ffd401f,0x2e01bfff,0x4c0005ff,0x1ffe67ff,0x3fff1000,0x3e217f60,
    0x0fff881f,0x7fcc0000,0x36000007,0x40ffd04f,0x13f62ffb,0xfd003ffe,
    0x813fa07f,0x4ff83ffa,0xf701ffb8,0x1ffa005f,0x3ff67fe8,0x7ffecc00,
    0xfb82efff,0x7cc0005f,0x01bfea7f,0x407ffe00,0x07fa83fe,0xf500fff3,
    0xffffffff,0x001ffe6b,0xd06fb800,0x1ffd40ff,0x4ff987fd,0xf01ffd80,
    0xbffd807f,0xfa893fe0,0x07ff206f,0xfd03ff40,0x8007fecf,0xffffffb8,
    0x01bfee0d,0x44dff500,0x440007ff,0xff880fff,0xf106fc82,0xffa801ff,
    0x5fffffff,0x00003ffe,0x7407fcc0,0x93fe607f,0x17fdc2ff,0x4c07ff40,
    0xffc801ff,0x3e29ff0f,0x3fa00dff,0x0ffd000f,0x1ffb3ff4,0xfeafd800,
    0x1ffea4ff,0x8bff7000,0x20000fff,0xff307ff9,0x7c09fd01,0x774c01ff,
    0x5ffeeeee,0x00007ffa,0xfe82ff80,0x457fe607,0x0ffec1ff,0xfb837fc0,
    0x1ffd000f,0x37fc53fe,0xd003ffc0,0xb3ff40ff,0x7d8001ff,0x7cc7ffee,
    0x320000ff,0x0ffec3ff,0x4dff5000,0xeeffeeeb,0xeeeffeee,0x00fffa5e,
    0x325ffa80,0x010003ff,0xffd0bf90,0xf8affd40,0x403ffc1f,0xdfb04ff9,
    0x1fffd100,0x7ffc53fe,0x007ff405,0x3fa07fe8,0x0003ff67,0x23ffd8fb,
    0x20002ffe,0x7fdc2ffe,0x3ff60003,0x3fffff24,0xffffffff,0x3fee7fff,
    0x3fea0005,0x0013fee5,0xfa8177f4,0x2e07fe87,0x85ff14ff,0xffc807fe,
    0x802ffa83,0x27fc1ffe,0x6c03bfe6,0xffd001ff,0xffb3ff40,0x547d8001,
    0x1bfee5ff,0xfff70130,0x00fff981,0x21fff980,0xccdffcca,0xcccffdcc,
    0x07ffe24c,0x32ffd400,0xf1000dff,0x3fe201ff,0xf903ff41,0x321ffc7f,
    0x3fe600ff,0x02ffcc1f,0x7fc1ffcc,0xb02ffa84,0x3fa007ff,0xfd9ffa07,
    0x42feb80f,0x137fcc7d,0x7ec07fff,0x07fff10c,0x20013ffa,0xff106ffe,
    0xb00df903,0x2a000dff,0x1fffc5ff,0x017ff200,0x07fe87fd,0x4fe8bff6,
    0xfd01ffdc,0x0ffe88ff,0xff07fc80,0x6417fe09,0xffd004ff,0xffb3ff40,
    0xd89ff701,0x2e27fdc7,0xfff02fff,0x40dffb9f,0x2003fff9,0xf501fffc,
    0x009fd01f,0x001bfff1,0x2a2fff4c,0xf5001fff,0x6fb805ff,0xfff03ff4,
    0x3e637e41,0x7ff442ff,0x0fffa67f,0xff837f40,0x2a0dfd04,0xffd005ff,
    0xffb3ff40,0xd8fff301,0x6c1fff47,0xfd704fff,0xc801ffff,0x2200dfff,
    0x2e03fffe,0x005ff06f,0x02fbffea,0x4ffffc98,0x00bfffe8,0x2017ffee,
    0x1ffa0ff9,0x3ea37fc4,0x77ffdc1f,0xfffdffca,0x003fffee,0x27fc1bfa,
    0x3fe06fd8,0x40ffd006,0x03ff67fe,0x4fb1fff4,0xd880fffa,0xaabdefff,
    0x0dffffec,0xdffffc80,0xfffdcaac,0x42fec04f,0x2e001ff9,0xbdffffff,
    0xffffffdc,0xffffd102,0xffd9557d,0x17fc00bf,0x3fe60ffd,0xfc85ff84,
    0xff2fffff,0x003fffff,0x9ff06ff8,0xfd81ff60,0x40ffd007,0x03ff67fe,
    0x6ce7ffd4,0x03fffd9f,0x7fffffdc,0xffffffff,0xfffa803f,0xffffffff,
    0x83ff802f,0xe98007fa,0xffffffff,0x8804ffff,0xfffffffd,0x000dffff,
    0x07fe93f6,0xff703ff7,0x39df9505,0x05effecc,0x7fc02aa6,0x3609ff05,
    0x0bfee07f,0xfe81ffa0,0xa803ff67,0xffffffff,0xf71004ff,0x5bffffff,
    0x007bffee,0xfffffd71,0x3e2005df,0x006fc81f,0x3ffff260,0x000cdfff,
    0x7ffffe4c,0xa8001dff,0x17fe006f,0x0001ffd8,0x205ff980,0x09ff05ff,
    0xdfd01ff6,0x740ffd00,0x003ff67f,0xffffffb5,0x2620005d,0xff9101aa,
    0x554c4003,0x55440009,0x0001a980,0x00135310,0x04d4cc00,0x00aa2000,
    0xd100ffd4,0x400003df,0x3e00eff9,0x209ff05f,0x7fd407fd,0xd03ffc01,
    0x007fecff,0x0015fd30,0x04980000,0x00000000,0x00000000,0x00000000,
    0x4027f400,0x000cfff9,0x03fff220,0xff04ff88,0x003ff209,0x7fc40bfd,
    0xfd9ffa06,0x03ec000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000ffa80,0x039fffd5,0x77ffe4c0,0x81ffd401,0x7ff704ff,0x6c1ff980,
    0x3a64fffc,0x3f67ffee,0xd803eeef,0x00000007,0x00000000,0x00000000,
    0x00000000,0x07fd0000,0xfffff500,0xb995799d,0x405dffff,0x00fffec8,
    0x3fe209ff,0x9f900cef,0x077fffcc,0x4ffffff5,0x04fffffd,0x00000298,
    0x00000000,0x00000000,0x00000000,0xf9800000,0x7fdc0006,0xffffffff,
    0x9804ffff,0x3e04ffff,0x3ffee04f,0x21ff101f,0x4c0cefe9,0x2e4ccccc,
    0x002ccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00bf6000,
    0x6e5d4c00,0x01bdeefe,0x00b7be60,0xed9809ff,0x013ee01f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x00000009,0x80000000,0x00266219,0x81310cc4,0x30000ab9,
    0x00cc4137,0x331055cc,0x00000000,0xc980ddb0,0x3b201bdd,0x65400006,
    0x3b200acd,0x801ddb0e,0x001dffea,0x50001ff5,0x001bdffd,0x7ff6dcc0,
    0x98000ace,0x01bfe67f,0x2dfd3ff4,0x3dfffffb,0xffffd980,0x260ff94f,
    0x8dfffffd,0xd9301ffb,0x12e03fff,0x41ffa000,0xffffffd8,0x007fe80e,
    0xfffff500,0xffb01dff,0xc807ffa1,0x03ffffff,0x44003fe8,0xfffffffd,
    0xfffc8002,0x2fffffff,0x3a2fe400,0x7fcc01ff,0x3ff3bfa4,0x02ffffef,
    0x3fbfffe6,0x987fcdff,0xfffeffff,0xf881ffce,0x440fffff,0xe80004fe,
    0xfffe887f,0x40efffdd,0xb80007fe,0xffedffff,0x87fec0ef,0xff301ffe,
    0x01ffb11b,0x6c003fd4,0xffebbeff,0xffb1000f,0xffdbbddf,0x7f4007ff,
    0x2027fdc3,0x3ffa1ffc,0x7ffd42ff,0x43ffe881,0x447ffff9,0x3a60cffe,
    0xfd81ffff,0xf984cdff,0xfe80004f,0xc85ffd87,0x03ff46ff,0x2fffe600,
    0x71bff260,0x80fff499,0x04fe86fc,0xf3000ffa,0x07ffb0ff,0x40bbff60,
    0x803fffc8,0x7fc41ff8,0x3a37fc07,0xff301fff,0x03ffe81d,0xfd8ffff1,
    0xfffd103f,0x803fff03,0x80004ff9,0x37fcc7fe,0x7f45ff90,0x7fec0007,
    0x007ffe04,0x3fa03ffd,0xf506fc84,0x9ff7000f,0x200bff50,0xfb801fff,
    0x06fa806f,0x3ea05ffb,0x02fff43f,0xff88bff2,0x13ffdc06,0xffa80dff,
    0x807ff81f,0x80004ff9,0x17fec7fe,0x7f4bff10,0x7ffc0007,0x00fff201,
    0x3fe03ffd,0xfd07fb83,0x7ff70007,0x5009ff50,0x7f400bff,0x827ec00f,
    0xffb05ffa,0x401ffe81,0x3fe64ff9,0x2a7ff803,0xffe802ff,0x102ffc41,
    0x133bff53,0x3a09b980,0x007ffc7f,0x3ff47ffa,0x71002ae6,0x4ff98099,
    0x1ffe8662,0xff707ff0,0x2000df70,0xffc86ff9,0x04ffb801,0xf00ffee0,
    0x07ffc05f,0x3fa17fe2,0x25ff8807,0xfe802ffb,0x2007ff27,0xf3311ffd,
    0xfa8333df,0x83ffffff,0x4fffffd9,0x2ffc4ffd,0xfe97fdc0,0xffffff57,
    0xff700005,0xfe87fec5,0x909fd01f,0x005ff0df,0xf727ff40,0x3fe600df,
    0x20062007,0x3f200ff9,0x417fdc2f,0xfff007fe,0x6c00ffec,0x003ff67f,
    0x7fec7ff2,0x20ffffff,0xfffffffa,0x77fffcc3,0x27fedfff,0xfa804ffa,
    0xff9ffd4f,0x09ffffdf,0x07ff4400,0x3ffa1ffb,0xfd0bfb01,0x0006fb8b,
    0x7edfffcc,0x3fe001ef,0x200000cf,0x7fcc06fb,0x7407ff45,0x4ffd006f,
    0xfc800ffd,0x2003ffa7,0xfffb1ffb,0x301fffff,0x3fa209ff,0x3ffea0bf,
    0x013fee7f,0x7ff57fea,0x3fee0bff,0x75cc002f,0x87fec3ff,0xff501ffe,
    0x3e0ffd45,0xfc80002f,0x000dffff,0x5effffe4,0x1ff40000,0xf887ff40,
    0x00ffd04f,0x1ffc9bfe,0x3f67fd80,0x1ffc801f,0x4c02ffc4,0x7ffb04ff,
    0xb9fffe20,0xff9803ff,0x203fffd5,0xd7006ff9,0xfb05ffff,0x807ffa1f,
    0x5ffeeffe,0x800037dc,0x004ffff9,0x3ffffee0,0x2000acef,0xfb801ff8,
    0x203ff73f,0xff8807fe,0x200bfee4,0x0bff27fd,0xf107ff60,0x9ff300bf,
    0xb80dff10,0x0fff27ff,0x7f57fe60,0x17fec05f,0x77fffec0,0xe87fec0b,
    0x7fec01ff,0x17fc44ff,0x3ff62000,0x0000efff,0x3fffffaa,0xa802dfff,
    0xbff1007f,0xffe81bfa,0x51ffd401,0xfff009ff,0x22027fdc,0x7fc41fff,
    0x84ff9805,0x7c403ffa,0x00bff27f,0x7ff5bfe2,0x027fcc01,0x7ffede64,
    0x743ff60e,0xaa8801ff,0xb986fb80,0x3fa600ac,0x05fffbff,0xffeb9800,
    0x403fffff,0x3f6005fc,0x3a04ff9f,0x7ff405ff,0x803ffe21,0x7ffc7ffb,
    0x07fff200,0xf300bff1,0x05ff709f,0x7fdcffd0,0xd5ff9803,0xdff100ff,
    0xdffb1000,0xffe87fec,0x7fc40001,0x7ffffec2,0x0dfff882,0x7dc7fff7,
    0xca88002d,0x00dffffe,0x7d4005fd,0x3a01ffef,0xff702fff,0x20bff70b,
    0x7dc7fff8,0xfffb80ef,0x02ffc41f,0x7ec27fcc,0x27fd801f,0xf9803ffa,
    0x200ffd5f,0xd10007ff,0x43ff61ff,0x40001ffe,0x6ffe46fc,0x7ec1fffb,
    0x1fffc85f,0x00003ffd,0x307fffd3,0xff8001ff,0x7ff406ff,0xff931cff,
    0x577ff40d,0x7ffffa88,0xcbdfffe8,0x41fffffe,0xf9805ff8,0x00ffe84f,
    0x3fe67fc8,0xd4ffa804,0x1ffe00df,0xb3ffb800,0x07ffa1ff,0x22ff8800,
    0x37ec3ff8,0x3a01fff3,0x06ffafff,0x37fe4000,0x640037dc,0x7f403fff,
    0xffffffcf,0x3f6200ff,0xedffffff,0xffff907f,0x1ffb5fff,0x9805ff88,
    0x1ffc84ff,0x3e67fd80,0x3ffb804f,0x3fe00ffd,0x3fe60006,0x3fa1ffb5,
    0x3f20001f,0x7d43fdc6,0x40dff50f,0x3ffffff8,0x8003ed98,0x27ec0fff,
    0x07ffcc00,0x3aa3ffa0,0x000befff,0x27fffff7,0x3b2a07fe,0x1ffb0cdf,
    0x9805ff88,0x2ffb84ff,0x3e27fe80,0x2ffc806f,0xff100ffd,0x400e544b,
    0x1ffb6ff9,0x40007ffa,0x37e41ff8,0xffb8ffcc,0x7fffcc04,0x06ff880f,
    0x7c1ffd80,0xff88001f,0x20ffe804,0x220000a8,0x003ff40a,0xff10ffd0,
    0x09ff300b,0xff009ff3,0x400ffe8f,0x3ffd0fff,0x2a4ffa80,0xffa804ff,
    0x3fa1ffb4,0xbf90001f,0xff10dfb0,0x201ffea5,0x3a05fffa,0x7fc001ff,
    0x8003fcc7,0xfe801ffb,0x0000000f,0x04dc4ffd,0x221bfe20,0xff9805ff,
    0x401fff04,0x7fd47ffb,0xe97fea03,0x7ff404ff,0x003ffe21,0x3ff65ffd,
    0x0003ffd0,0xdf903ff1,0x3e63ff30,0x7fec02ff,0xdff903ff,0x17fea001,
    0x3a000bf9,0x1ffd006f,0x3a000000,0x01bfe27f,0xff109ff9,0x0bff300b,
    0x7c417ff2,0x1ffe87ff,0x3a1ffe88,0xff702fff,0x40bffb0b,0x3ff66ffc,
    0x0003ffd0,0x1fee0bfb,0xffd83fea,0xffffb00e,0xfff309ff,0xfffc805f,
    0x2001ff42,0xd002ffd8,0x000001ff,0xfff1ffa0,0x07ffea05,0x22017fe2,
    0x6c2ccfff,0xfb889eff,0xffb87fff,0xffea88af,0x5fffff45,0x01fffb31,
    0x117dfff1,0x6c3fffb3,0x03ffd0ff,0x301ff980,0x46fc85ff,0xa9bffff8,
    0xfebffffc,0xfff984ff,0xfdcacdff,0x7fc43fff,0xffef9800,0x3ffa006f,
    0xd0000000,0xffffa8ff,0x1ffffdbd,0x200bff10,0xe85ffffd,0xcfffffff,
    0xfff907fd,0xd0dfffff,0xfffff5df,0x7cc03dff,0xffffffff,0xe87fec2f,
    0x7ec001ff,0x4e7fec05,0xfe982ffd,0xefffffff,0x01fffb10,0xffffffd1,
    0x505fffff,0x3fe200df,0x3a000eff,0x000000ff,0xff70ffd0,0x3fffffff,
    0x802ffc40,0x886fffd8,0x93ffffdb,0x7ff540ff,0xdfd03fff,0x37ffffaa,
    0xfffc8800,0xfd80cfff,0x003ffd0f,0x2200ffcc,0x04fffffe,0x77ffffe4,
    0xb803fb04,0xefffffed,0x009fb01c,0x0005f76c,0x0000132e,0x7104cb80,
    0x0137bfdb,0x8005ff88,0x00a88008,0x006a6200,0x0000d440,0x00001553,
    0x00276400,0x40039db7,0x018009a8,0x5001a980,0x00000015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xaaaaaaaa,0xa8802aaa,0x0001bddc,0xa882f744,0xa8002cdc,0x2a02cddc,
    0xed8004ee,0xd800001e,0xeeeeeeee,0x6eeeeeee,0x00037bb2,0xdd71f76c,
    0xeea8001d,0x400fbaa5,0x3003eee9,0x0fbb29dd,0x14eea800,0x3baa5ddd,
    0x7fffffc4,0x407fffff,0xfffffffb,0xff10000d,0xffffd30f,0xe9803bff,
    0x2fffffff,0x8005ffa8,0xdb301ffe,0xf807bdff,0xffffffff,0x7fffffff,
    0x0017ffe2,0xfd03bff2,0x7fc400bf,0x01bfe62f,0x803fffdc,0xfff53ffc,
    0x97ff4000,0xff73fff8,0x7ffffc4b,0x07ffffff,0x3f7ffff2,0x10006fff,
    0xfffb8fff,0x1fffeddf,0xbdffff30,0xfa87ffff,0xffe8005f,0x7fffec41,
    0xf01effff,0xffffffff,0xffffffff,0x002fffb8,0x2607ffe6,0xfd003fff,
    0x01fff09f,0x03ffffd0,0x7fc3ffd0,0xff88002f,0x5cfffe27,0x37fea5ff,
    0xaaaaaaaa,0x83fff702,0x8004ffea,0x3fe67ff8,0x0fffa84f,0x221dffe8,
    0x3ea0fffb,0xffe8005f,0x5f7ffec1,0x01fffeba,0x5fff8800,0x000fffd8,
    0x7dc09ffd,0x7fe401ff,0x805ffb06,0x03ffeff8,0x7fe47ff8,0x4ffc8005,
    0x7dcfffe2,0x007fee5f,0x301fff80,0xf1000fff,0x027ff4ff,0xffa89ff5,
    0xa93ff607,0xfe8005ff,0x07ffee1f,0x00077fec,0x20dffd10,0xc804fff8,
    0xffd806ff,0x03ffea06,0x2a027fdc,0x405ffaff,0x7fcc5ff9,0x7ff4000f,
    0x5cfffe20,0x03ff65ff,0x01ffd400,0x10007ff6,0x3ffe2fff,0x707fec00,
    0x7fd409ff,0x0017fea6,0xfff87ffa,0x0bffe202,0x0fffd800,0x807ffee0,
    0x8801fff9,0xff884fff,0x1bfe602f,0x1ff6ff90,0xfd07ff70,0x7fcc005f,
    0xa9fffc45,0x01bfa3ff,0x8806fe80,0x7c400099,0x009ff57f,0x7fe45ff7,
    0xa9bfe202,0xfe8005ff,0x00dff31f,0x20009ffb,0xd801fffc,0x3ffa06ff,
    0x3ffea004,0x4027ff42,0xaff407ff,0x3f602ffb,0x05ffb80f,0xf10bff20,
    0x4bfe25ff,0x10005ff8,0x000009ff,0xff77ff88,0x49ff5007,0x3ee05ffa,
    0x017fea4f,0x7547ffa0,0x5ffa804f,0x3fffb800,0x09fff100,0x9000dff7,
    0x3ff21fff,0x03ffb006,0x7fccffe6,0x441bfe04,0xf8800fff,0x45fff07f,
    0x27ff31ff,0x200accba,0x01982ff9,0x2fff1000,0xfa802ffc,0x03ffe25f,
    0xff517ff4,0x3ffd000b,0x0ffee000,0x09fff300,0x21fffb80,0x8001fff9,
    0xff9cffe8,0x7ff5000f,0xff87fee0,0x409ff306,0xfa803ffd,0x43fff04f,
    0x3b3fee4b,0x03ffffff,0x3f6a3ff5,0x0001efff,0x7fd5ffe2,0x46ffb804,
    0xb89cfffb,0x7fd45ffe,0x1ffe8005,0x1ffe8800,0x1bffe200,0xb37fec00,
    0x4c0007ff,0x02ffffff,0x6c17fe20,0x407fe47f,0x3e602ffb,0x1ffd806f,
    0x6403ffd0,0xffffffff,0x7dc0efff,0xfffffb9f,0x10003fff,0x1bfe6fff,
    0x261bff60,0xfffffffe,0x005ffa82,0x8001ffe8,0x74005ffd,0x10000fff,
    0xbff55fff,0xfff70000,0xffd0009f,0xff513fe0,0x801ffb07,0x3e200ffe,
    0x43ffa06f,0xfffd0aaa,0x7ffdc437,0x7feffe44,0xfffea9ac,0x7ff88001,
    0xf980bffe,0xffd987ff,0xa80effff,0xfe8005ff,0x7fec001f,0x3ff2000f,
    0x7dc0001f,0x000fffff,0x01fffd00,0x983ff900,0x2ffc42ff,0x7dc037fc,
    0x0ffee03f,0xfff0ffd8,0x980bffa3,0x3ff61fff,0xdff901ff,0x4fff1000,
    0xfa83fffa,0x7fe46fff,0xfffcbbdf,0x002ffd43,0xb000fff4,0x5c001fff,
    0x00003fff,0x005ffffb,0x3fffea00,0x2ffa8004,0x7f407fe4,0x401ffcc7,
    0x3fa06ff8,0xf9ff600f,0x640041ff,0x3fff64ff,0x017ff402,0xfb1ffe20,
    0xffdbbfff,0x7fdcdff5,0x5ffd881e,0x20017fea,0xfb001ffe,0x7cc001df,
    0x200004ff,0x0005fff8,0xffffff10,0x4ff88005,0xffc837f4,0x4007fee1,
    0xff981ffd,0xff3fe404,0xff30003f,0x4037fe4d,0x44004ffa,0xfffc87ff,
    0xbff2ffff,0x3a00fff4,0x0bff50ff,0x003fff00,0x4001fff5,0x0005fff8,
    0x002ffd80,0xf99ffb00,0xfe8001ff,0x4c0ffe26,0x01ff63ff,0xfc84ffa8,
    0x037dc01f,0x4fff1000,0xf9805ffb,0x7fc4005f,0x5bdb9307,0x7c57fe21,
    0x3ffa804f,0xf000dff3,0xffd001ff,0xeffe8003,0xfd800000,0xfb80002f,
    0x5ffe88ff,0xa87fe400,0x93fe01ff,0x7fc005ff,0xb806ff87,0x7c00006f,
    0x013fea7f,0x1001bfe2,0x26000fff,0x07ff73ff,0x3e6bff10,0x7fc4006f,
    0x2ffc400f,0x07fff200,0x7fec0000,0x7fcc0002,0x0fffe62f,0xfb2ffa80,
    0xf36fd80f,0xffc8007f,0x200ffea2,0x2aa205fa,0x26ff8801,0xf9806ff9,
    0x981bf64f,0xf90006ff,0x00bff23f,0xfff8b7fc,0x1ffe6000,0x8013fe60,
    0x0002fffa,0x00bff600,0x84ffe880,0x1001fffc,0x017fe9ff,0x1ff51ff7,
    0x25ff9800,0xfa800ffd,0x017fea05,0xff897fea,0x22ffa807,0x3fea07fe,
    0x3e013326,0x09ff50ff,0x7f4bff30,0x3ff2002f,0x03ffa805,0x009fff30,
    0x2ffd8000,0x1bff6000,0x2006ffe8,0x02ff9dfd,0x37e57fcc,0xf17fe800,
    0x004c00bf,0xe801fff1,0x1ffdc2ff,0xfd83ffa0,0x4bff701f,0x3ea01ffe,
    0x01bfe64f,0xffc8fff2,0xfff8801f,0x00998803,0x005ffe88,0x2ffd8000,
    0x1fff7000,0x027ffcc0,0x0ffbffb8,0x4febff80,0x55ff7000,0x800005ff,
    0x3f205ffe,0x2fff885f,0xfc8dff70,0x7ffcc0df,0x4c13ff22,0x7fec0fff,
    0x83ffe605,0x201efff8,0x0006ffea,0x00dffb00,0x3ff60000,0xfff98002,
    0x2fffb803,0x6feff980,0x5ffdf900,0x33fe2000,0x2aa006fd,0x3ffe200a,
    0xffd988be,0x7fff701f,0x03bff263,0xb7bffff1,0xff88dfff,0xfff732df,
    0x5dfff107,0x0bfff261,0x37ffffee,0xffffecbb,0x05553002,0xeeefffa8,
    0xeeeeeeee,0x2002eeee,0x44002ffd,0x36005ffe,0xff800fff,0xff5004ff,
    0x640001ff,0x2003ffff,0x7d402fff,0xffffffff,0x7ffdc00e,0x00ffffff,
    0xfffffff7,0xfff501df,0x07ffffff,0x7fffff4c,0x2e03ffff,0xffffffff,
    0x2001ffff,0x7d405ffb,0xffffffff,0xffffffff,0x3ff6002f,0x7ffec002,
    0x3ffe2000,0x2fffd805,0x0dfff100,0xffff9800,0x0bffe000,0x3ffff220,
    0x366004ef,0x01ceffff,0x77ffff4c,0x3ff6600c,0x9001dfff,0x1bffffff,
    0xffff9300,0x0017dfff,0x5405ffb8,0xffffffff,0xffffffff,0x3f6002ff,
    0x3fea002f,0xffa8001f,0x3ffdc03f,0x00fffa00,0x017ffa00,0x8005fff0,
    0x400009a9,0x988000a9,0x54c4000a,0x53100009,0x54cc0003,0x2e00009a,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdd100000,0xdddddddd,0xdddddddd,0x0003bb27,0x3bbbbbaa,0xaccceeee,
    0x00776400,0x77777540,0x2cccdeee,0x0017baa0,0x77543bb2,0xe98001ee,
    0x7dd70eee,0x0fbae000,0x1deed880,0x20013ba6,0xd8001eed,0xeeee983e,
    0xeeeeeeee,0x55514eee,0x55555555,0xfff35555,0xffffffff,0x9fffffff,
    0x20003ffa,0xfffffffa,0xffffffff,0x003ff604,0x3ffffee0,0xffffffff,
    0x7ffdc0cf,0x8fff4003,0x004ffffb,0x90ffffb8,0x320009ff,0xfd1004ff,
    0x5ffa85ff,0x01ffe800,0x4c27fe40,0xffffffff,0x5fffffff,0xfffffff7,
    0xdfffffff,0xfffffff3,0xffffffff,0x3ffa9fff,0xfffa8000,0xffffffff,
    0xb05fffff,0xf70001ff,0xffffffff,0x8bffffff,0x001ffffb,0x7fdc7ffa,
    0xfe8006ff,0x9ff90fff,0x13ff2000,0x0bfffa20,0x20017fea,0x26001ffe,
    0xff984fff,0xffffffff,0xf75fffff,0xffffffff,0x00dfffff,0x3a00bff5,
    0xfa8000ff,0xffb3005f,0x01ffb09f,0x40bff700,0x4fffe999,0x01bfffee,
    0xff71ffe8,0x4c003fff,0xf90fffff,0x3f20009f,0x7ff4404f,0x0bff501f,
    0x003ffd00,0x213fffe2,0x20006ff9,0xaaaaaaa8,0x2fffbaaa,0x005ffa80,
    0x50001ffd,0xfd800bff,0x00ffd87f,0x005ffb80,0xffb9fff2,0xfd003fff,
    0x3f7fee3f,0x3ff2004f,0x9ff90fff,0x13ff2000,0x01fffe88,0x20017fea,
    0xfb001ffe,0xff309fff,0x2000000d,0xf5004ffc,0x3ffa00bf,0x5ffa8000,
    0x0fffcc00,0x20003ff6,0x22005ffb,0xdff71fff,0xfd003fff,0x3effee3f,
    0x33fa006f,0x9ff90fff,0x13ff2000,0x00ffff44,0x20017fea,0xfa801ffe,
    0xf984ffcf,0x8000006f,0x2a005ff9,0xffd005ff,0x500dd4c1,0xfd000bff,
    0x00ffd87f,0xffb82666,0x9fff4005,0x6ffdbffb,0xf71ffe80,0x003ff97f,
    0x1fff3ff3,0x40013ff2,0xfe884ffc,0xffa801ff,0x1ffe8005,0x7ce7fc40,
    0x06ff984f,0xffe80000,0x17fea000,0x7cc7ff40,0xa85fffff,0xfe8005ff,
    0x807fec2f,0x3ee0effc,0x7fe4005f,0xff17ff74,0x1ffe809f,0x9ff37ff7,
    0x3fedf900,0x009ff90f,0xd113ff20,0x2a003fff,0xfe8005ff,0x9b7f401f,
    0x6ff984ff,0x7e400000,0x7fd4003f,0xf9ffd005,0xbfffffff,0x4005ffa8,
    0x7ec1fff8,0x0effc80f,0x2002ffdc,0x7ff72ffd,0xe807ffea,0x27ff71ff,
    0x3ff806ff,0x3ff21fff,0x9ff90004,0x0077ff44,0x000bff50,0x7dc03ffd,
    0x309ff31f,0x00000dff,0x40037fcc,0xfd005ffa,0x32639fff,0x3fea4fff,
    0x3ffa6005,0x640ffd86,0xffb80eff,0x3ffe6005,0x7ec7ff71,0x47ffa06f,
    0x3ff93ffb,0xff8ffcc0,0x009ff90f,0x7453ff20,0x54000eff,0xfe8005ff,
    0x49ff301f,0xff984ff9,0x3a000006,0xfa8002ff,0xfffd005f,0xa97fea05,
    0x99999dff,0xfffcba99,0x20ffd81f,0xf700effc,0x3fa600bf,0x88ffee6f,
    0xffd04fff,0x7ccffee3,0xf9bf204f,0x09ff90ff,0x233ff200,0x000ffffe,
    0x7fffffd4,0xffffffff,0xfd01ffff,0x984ff98d,0xcccccfff,0x004ccccc,
    0x4001bfea,0xfd005ffa,0x26ff809f,0xfffffffa,0xffffffff,0x21ffb01e,
    0x2e00effc,0xaaaaaeff,0xffffdcba,0xf50ffee1,0x3ffd03ff,0x6fe8ffee,
    0xfff8ffe0,0x0009ff90,0x3ffb3ff2,0x54005fff,0xffffffff,0xffffffff,
    0x1ffc81ff,0x7cc27fcc,0xffffffff,0x2007ffff,0x50003ffd,0x3fa00bff,
    0x53ff402f,0xffffffff,0x17bfffff,0x7e47fec0,0x7fdc00ef,0xffffffff,
    0x5c2fffff,0x6ffd83ff,0xff71ffe8,0x4c0ffe47,0x43ffe0ff,0x90004ffc,
    0xf3dfffff,0x7d4007ff,0xeeeeeeff,0xffeeeeee,0x41ffd41f,0xff984ff9,
    0xffffffff,0xf1007fff,0x2a0001ff,0xffd005ff,0x50ffd803,0x97555dff,
    0x2007fffb,0x3fffcffd,0xfffffb80,0xefffffff,0x107ff704,0xffe89fff,
    0x7cc7ff71,0x7c6fc84f,0x09ff90ff,0x3ffff200,0x03fff70e,0x0017fea0,
    0xff887ffa,0x309ff305,0x33333dff,0x00333333,0x80013fee,0xfd005ffa,
    0x0ffd801f,0x7cc0bff5,0xffd805ff,0x400fffff,0xaaaaeffb,0xfb8009aa,
    0x3fff503f,0xffb8fff4,0x7fc37f43,0xfc87ffc3,0xff90004f,0xfffd81df,
    0x05ffa800,0x361ffe80,0x9ff300ff,0x000dff30,0x003ffd00,0x802ffd40,
    0x7ec00ffe,0x80bff50f,0x6c05fff9,0x5ffdefff,0x002ffdc0,0xb01ffdc0,
    0x8fff4dff,0x7fe43ffb,0xff03fea1,0x013ff21f,0x4077fe40,0xa805fff8,
    0xfe8005ff,0x55bff51f,0xbff95555,0x1bfe6555,0xdff30000,0x5ffa8000,
    0x801ffd00,0xbff50ffd,0x07fff500,0xff8affec,0x17fee02f,0x0ffee000,
    0xfd4fff88,0x30ffee3f,0x42fec9ff,0x9ff90fff,0x13ff2000,0x403fffa8,
    0xe8005ffa,0xffff91ff,0xffffffff,0x3fe6dfff,0x7ec00006,0x7d40002f,
    0x1ffd005f,0xf50ffd80,0x3ff200bf,0x41ffb01f,0xf700fffa,0xf70000bf,
    0xfffa807f,0xff71ffe9,0x3e2dfd07,0x90fff82f,0x320009ff,0x7fec04ff,
    0x17fea01f,0x647ffa00,0xffffffff,0x6fffffff,0x0000dff3,0x0003ffc4,
    0xe802ffd4,0x7fec00ff,0x200bff50,0xd80effe8,0x2ffec0ff,0x0005ffb8,
    0xd803ffb8,0x71ffeeff,0x3ff907ff,0xfff01ff5,0x0013ff21,0x22027fe4,
    0xf500effe,0xffd000bf,0x2aaaaa63,0xdffcaaaa,0x0dff32aa,0x37fcc000,
    0x2ffd4000,0x400ffe80,0xbff50ffd,0x27ffcc00,0x3e207fec,0x5ffb82ff,
    0x3ffb8000,0xfffff880,0x307ff71f,0x20bfb9ff,0x9ff90fff,0x13ff2000,
    0x413ffe60,0xe8005ffa,0x7cc001ff,0x06ff984f,0x13fee000,0x17fea000,
    0x2007ff40,0xbff50ffd,0x1fffd800,0x7d407fec,0x2ffdc0ff,0x1ffdc000,
    0xfffffa80,0x3a07ff71,0xff02ffef,0x013ff21f,0x8027fe40,0xfa82fffc,
    0xffe8005f,0x27fcc001,0x00037fcc,0x0007ffb0,0x200bff50,0x7ec00ffe,
    0x00bff50f,0x6c6fff88,0xbffb00ff,0x0005ffb8,0x2003ffb8,0xf71ffffd,
    0x3fff207f,0x21fff00f,0xeeeeeffc,0x1eeeeeee,0x74009ff9,0x7fd40fff,
    0x1ffe8005,0x427fcc00,0x00006ff9,0x00007ffa,0x74017fea,0x7fec00ff,
    0x000bff50,0x7ec7fff5,0x5fff100f,0x0002ffdc,0x1001ffdc,0x3ee3ffff,
    0xbfff303f,0xfc87ffc0,0xffffffff,0xf91fffff,0x7fcc009f,0x02ffd46f,
    0x000fff40,0x3e613fe6,0x3e00006f,0xa80000ff,0xffd005ff,0x50ffd801,
    0x36000bff,0x1ffb0fff,0xb87ffdc0,0xb80005ff,0x7d4003ff,0x07ff71ff,
    0xff017ff4,0x3ffff21f,0xffffffff,0x09ff91ff,0x24fffb80,0xe8005ffa,
    0x7cc001ff,0x06ff984f,0x01ffe000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xddddddd3,
    0xdddddddd,0x7777549d,0xabccdeee,0xeeeeb800,0x1abdeeee,0x7ddb0000,
    0x0f640000,0x2f3772a0,0x10066601,0x00135953,0x00157530,0x009bba98,
    0x00aba880,0x26200662,0x55dcc401,0x22199800,0x1006e609,0x3ffea013,
    0xffffffff,0x2e5fffff,0xffffffff,0x00cfffff,0x3ffffff2,0x1fffffff,
    0x3ffea000,0xff900006,0x3fffea05,0xf80cffff,0xffe981ff,0x00dfffff,
    0xffffffc8,0x7ff5401e,0x401effff,0xfffffec8,0x807fe81d,0xff9107fe,
    0x403dffff,0x2bfd1fff,0xb01ffffd,0x3ffea07f,0xffffffff,0x2e5fffff,
    0xffffffff,0x3fffffff,0xffffff90,0xffffffff,0x3ff60005,0x540002ff,
    0xffb82fff,0xfffecdef,0x641fff86,0xffefffff,0xfd300fff,0xffffdfff,
    0x3fffea07,0x02ffffff,0xfffffff3,0x7fe83fff,0xfa87fe80,0xffffffff,
    0x23fff03f,0xffffbdfe,0x205fb00f,0x80005ffa,0x33305ffb,0x903ffff7,
    0x533109ff,0x8003fffd,0x05ffcff8,0x3fffea00,0x41fffcc2,0x7fc4ffe9,
    0x2fffea1f,0x827ff541,0x2e21dffe,0xfff81fff,0x1fff260b,0x9877ffe2,
    0x3fa0fffc,0x447fe807,0x2e21dfff,0xfff82fff,0x7bffffd1,0x3f914cbb,
    0x05ffa8e2,0x05ffb800,0x90dffb10,0x3f6009ff,0x7fdc004f,0x4000ffd9,
    0x2fffffd8,0xf3017ff4,0x20ccc3ff,0x3ee03ffd,0x05ffb87f,0xff31bfe6,
    0x217ff409,0x3fa04ffc,0x201ffa3f,0x27fec7fe,0x981fff50,0x07fffa19,
    0xbfccffc8,0xbff52ffc,0xbff70000,0x27ff4400,0x4c013ff2,0x7f4006ff,
    0x4007ff56,0xffeffffb,0x74037fc2,0x7f4402ff,0x23ffc406,0x6c00fff8,
    0x0ffea2ff,0x7fc0ac98,0x9bfe600f,0x7fe807fe,0x3601ffe6,0xffe804ff,
    0x7fffe404,0xf53fffff,0xf70000bf,0xff9800bf,0x013ff20f,0x3000fff8,
    0x1ffe29ff,0x477ffd40,0x3fe62ffc,0x04ffb805,0x23ff4000,0xfb804ffa,
    0x0bffe64f,0x009ff100,0x807fe813,0x0ffea7fe,0x2017fe60,0x73002ffe,
    0xfa815fff,0xfb80005f,0xffe8005f,0x4013ff22,0x36006ff8,0x0bff62ff,
    0xfc8ffea0,0x400ccc2f,0x40003ffc,0x0fffdb98,0x26673fee,0xffa99999,
    0x67ffff45,0x1ffd400a,0x807fe800,0x0bff27fe,0x7403ffc0,0xfd1001ff,
    0xbff509fd,0xbff70000,0x49ff7000,0xf7004ffc,0x3fe2009f,0x402ffd47,
    0x17fe40ba,0x1fff8800,0x3fb2e200,0x0fffffff,0x3ffffff2,0xffffffff,
    0x7ffff446,0xfb80beff,0xffd0002f,0x7ecffd00,0x1ffd001f,0x000ffe80,
    0x87ff1bfb,0x80005ffa,0x98005ffb,0x13ff25ff,0x003bff20,0x7fc27fdc,
    0xff90000f,0x3fea0005,0xfff9000f,0xfd9dffff,0x7fffec1f,0xffffffff,
    0xffd707ff,0xc85fffff,0xfd0002ff,0x74ffd00f,0xffd000ff,0x007fe801,
    0x3fea1ff5,0x333bfea1,0xcccccccc,0x2ffdc3cc,0x937fcc00,0xddddddff,
    0x01bffffd,0x640fff40,0xf90004ff,0xfd10005f,0x3ff2007f,0x3a09bdef,
    0x2fff20ff,0x99999999,0x5c401999,0x23fffffd,0xd0002ffc,0x4fff00ff,
    0xff001ffd,0x07fe801f,0xa83b0ee0,0xffffffff,0x6fffffff,0x4002ffdc,
    0x3ff27ff8,0xffffffff,0x26001fff,0xfff306ff,0x0bff2000,0x017ffa00,
    0x2017ffcc,0x3fee0fff,0x54000003,0x3fea6ffe,0x7f408803,0x93ffc407,
    0x3fe005ff,0x007fe807,0xffffa800,0xffffffff,0x7fdc6fff,0xfff88005,
    0xffffff90,0xffffffff,0x0fff2007,0x8002ffe8,0x6c002ffc,0xf9000fff,
    0xfff8809f,0x2017fea0,0x0ea61ab8,0x261fff10,0xffe805ff,0x4c01ffd0,
    0x13fee7ff,0x201bfe60,0xee9807fe,0x77fd403e,0x99999999,0x7dc09999,
    0xff98005f,0x4413ff27,0x0efffba9,0x7007ffc0,0xf9000bff,0x3fa2005f,
    0x3f6000ff,0x7ffdc02f,0x007ffe20,0x7fec9ffb,0x887ff403,0x3e200fff,
    0x807ff66f,0x3fe67ffb,0x1fff400f,0xb803ff40,0x7fd406ff,0xffb80005,
    0x6ffa8005,0x4c013ff2,0x3ea03ffe,0xeeeeeeff,0x000fffee,0x4c017fe4,
    0x2a00effe,0x0bff90aa,0x207fffd4,0xf500effb,0x37fdc3ff,0xfb8dff50,
    0x8fff605f,0xff506ffc,0x05ffc8ff,0x5503ffee,0x801ffa15,0x3ea02ffc,
    0xfb80005f,0xffc8005f,0x8013ff25,0x3f605ffa,0xffffffff,0x004fffff,
    0x26017fe4,0x7c00efff,0x9fff51ff,0x3fff2a23,0xfffe81ff,0x9fff950a,
    0x9beffe88,0x83fffca8,0xb88aeffe,0x7fc45ffe,0xffca9bdf,0x7ffc47fe,
    0xffd988ae,0xd1fff80f,0x6fd800ff,0x0017fea0,0x0017fee0,0xffc93ff6,
    0x3ffe2004,0xeefff880,0xeeeeeeee,0x7e4007ff,0x3ffe602f,0x43fff005,
    0xfffffffc,0x83ffbbff,0xffffffd8,0xff305fff,0xffffffff,0x3fffa207,
    0x80efffff,0xfffffffb,0xe987fcaf,0xffffffff,0x23fff01f,0x644007fe,
    0x0bff500c,0x0bff7000,0x21fff980,0x7c004ffc,0x4ffb81ff,0x00bffe00,
    0xf502ffc8,0x7fc009ff,0x7fffdc1f,0xdff10cff,0x7ffff5c0,0x7e4402ef,
    0x01dfffff,0xffffffb8,0x7fff5403,0x40ff91df,0xbdfffffb,0x747ffe00,
    0xa800007f,0xb80005ff,0x7f4005ff,0x027fe45f,0x3a0fff30,0x3f2001ff,
    0x3ff2006f,0x03fffa82,0x5300fb80,0x26000015,0x9980009a,0x5310000a,
    0x01988001,0x000cc400,0x50000000,0x70000bff,0x7dc00bff,0x27fe41ff,
    0x30bffb00,0xf8800dff,0xff9001ff,0x03fff885,0x0000fb00,0x00000000,
    0x00000000,0x00000000,0x7d400000,0xfb80005f,0x7f54405f,0x4ffc84ff,
    0x2fffd980,0x8003ffc8,0xf9004ffd,0x04ffd85f,0x5ccbf300,0xbbbbbbbb,
    0xbbbbbbbb,0x0000002b,0x00000000,0x00000000,0xfa800000,0xeeeeeeff,
    0xeeeeeeee,0xdddfff71,0xfffffddd,0x3bff209f,0xfeeeeeee,0xff04ffff,
    0xff50003f,0x8bff200f,0xeeeefffa,0x3eeeeeee,0x7fdc1df1,0xffffffff,
    0xffffffff,0x00000005,0x00000000,0x00000000,0xffa80000,0xffffffff,
    0x1fffffff,0xfffffff7,0x7fffffff,0x7ffffe40,0xffffffff,0x0dff504f,
    0x01fffc00,0xffb17fe4,0xffffffff,0x4149ffff,0xccccccc9,0xcccccccc,
    0x00003ccc,0x00000000,0x00000000,0x80000000,0xfffffffa,0xffffffff,
    0xffff71ff,0x9bdfffff,0xffff9005,0xbddfffff,0x1ffec017,0x0dff9000,
    0x7f45ff90,0xffffffff,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99880331,0x9884cc00,0x1005dc40,
    0x13101575,0x100aba88,0x26200133,0x2004ccc1,0x4cc40998,0x99999999,
    0x00510999,0x29800000,0x0004ca80,0x99100662,0x99999999,0x2a399999,
    0x1ddd14ee,0x09805554,0x88888800,0x7fec0888,0x813ff601,0x2bfd3ffa,
    0x2ffffffa,0x3fffffa6,0xff9aff43,0x540dffff,0xff8805ff,0x102ffec6,
    0xffd85fff,0xffffffff,0x9ff12fff,0x40000001,0xfd803feb,0x3ff60007,
    0x3fffe200,0xffffffff,0xdff73fff,0xff87ffe2,0x3fff621f,0x7da202df,
    0x7fffffff,0xff027fd4,0x87fe40df,0xffffadfe,0xff98ffff,0x23ffffff,
    0xffffadfe,0x7c0effff,0x7fd400ff,0x81fffc43,0xffd84ffd,0xffffffff,
    0xfff11fff,0x000005bf,0x0fffff22,0x4001ff60,0x2204fff8,0xffffffff,
    0x3fffffff,0x3fe2dff7,0x4c7ffe1f,0xffffffff,0x7fc98acf,0xffffffff,
    0x306ff88f,0x3e01ffff,0x3ffffa6f,0xeffeb89b,0xffb32dff,0x6fffff4f,
    0x87fff712,0x7ec03ffc,0x0fffa80f,0x98837fdc,0x99999999,0x7f5c5ffd,
    0x000befff,0xffffda80,0x7fd800cf,0xffff9000,0xb8000001,0x3fff16ff,
    0xffc8fffc,0xffffffef,0xdd7fffff,0x0ddddddd,0xff701ffb,0x7ff305ff,
    0x4417fff4,0xfd02ffff,0x07fffa3f,0x3e637fdc,0x17fe206f,0x3e65ffd8,
    0x320001ff,0x3f6606ff,0x001cffff,0x7ffff5c4,0x3fec002e,0xffdff800,
    0x54000003,0x03ffe5ff,0x30bf21f7,0xffffffd9,0x7dc0005f,0xffdfd82f,
    0x3a1ffb84,0x3ffe04ff,0x74bff205,0x3ffc04ff,0xfb807ff4,0x3ffa202f,
    0x0007ffd2,0x40077fdc,0xdfffffb8,0x7ffe4c02,0xb0001cff,0xff7000ff,
    0x0000ffb3,0x3a4ff980,0x02e7d87f,0x19bfd930,0x4ff88000,0x86fdaff8,
    0x17ff46fe,0x5c07ffb0,0x05ffd3ff,0x7dc0ffe8,0x00ffd03f,0xbff9fff3,
    0x7ffd4000,0xffda8000,0x3aa0bfff,0x00beffff,0x003fec00,0x2ff9b7f4,
    0x3e200000,0xf31bf63f,0x0000000b,0x3ea3ff40,0x220ffb8f,0x0fff44ff,
    0x5c05ff90,0x03ffd3ff,0x7c40ffd8,0x04ff986f,0x1dffff90,0x3ffe6000,
    0x7e440001,0xfff13fff,0xf88003bf,0xffffffff,0x83ffffff,0x1bfa2ffa,
    0x2aaaaaa2,0xaaaaaaaa,0xfb87fa1a,0x0003be24,0xfc800000,0x7cdbf21f,
    0xd07fea2f,0x7fe401ff,0x74ffee01,0x7fec00ff,0x641ffd80,0x3fa001ff,
    0xf10001ff,0x400007ff,0xff13fffb,0xf100019f,0xffffffff,0x07ffffff,
    0x1ffb8ffb,0x7fffffc4,0xffffffff,0xc9832e3f,0x00000141,0x1ffcc000,
    0xb27fc9fd,0x01ffd0ff,0xf700ffe4,0x003ffa7f,0xff501ffb,0x4006ff89,
    0x8002fffd,0x0004ffe8,0xfffffc88,0xbffffd12,0x66644003,0xccffeccc,
    0x7cc1cccc,0x22ffc44f,0xfffffff8,0xffffffff,0x00000003,0x7fc00000,
    0x7ec5ff15,0x3fa13fe7,0x07ff200f,0xffd3ffb8,0x00ffd801,0x1ffd4fff,
    0xfffff700,0x5ffe8001,0x7fed4000,0xda80beff,0x00beffff,0x801ff600,
    0xffc81ffc,0x4cccccc0,0x99999999,0x00000009,0x64000000,0x5c1ff57f,
    0x82ffa9ff,0x3f200ffe,0x4ffee01f,0x7ec00ffe,0x23ff900f,0xf3000ffd,
    0x00bff9ff,0x80037fec,0xdffffeb8,0xfff93002,0xb00039ff,0x3fe200ff,
    0x009ff306,0x00000000,0x40000000,0x46fcaffa,0x07fcbff9,0x7e401ffd,
    0x4ffee01f,0x7ec00ffe,0x29ff100f,0x3fa005ff,0x007ffd2f,0x8001fff9,
    0xcfffffc9,0xfd710001,0x4005dfff,0xff7007fd,0x007ff405,0x00000000,
    0x80000000,0x84fecff8,0xd05fedff,0x7fe401ff,0x74ffee01,0x7fec00ff,
    0x3ebffa00,0xbff9002f,0x7007ffcc,0x44003fff,0x0beffffe,0x3f6a0000,
    0xd802ffff,0x0bdb007f,0x0002eea8,0x00000000,0x36000000,0xfc82ffff,
    0xffd02fff,0x00ffe401,0x3ffa7ff7,0x007fec00,0x00ffdff7,0xf903ffe6,
    0x3ffea0df,0x7ffc4001,0x4000002d,0x803fffc9,0x000007fd,0x00000000,
    0x00000000,0x1ffff700,0x01ffff50,0xfc803ffa,0x4ffee01f,0x7ec00ffe,
    0x3ffe200f,0xffe8804f,0x987ffd03,0xcbaadfff,0x13cccccc,0x0000039f,
    0x803eb880,0x000007fd,0x00000000,0x00000000,0x0dfff100,0xe817ffe2,
    0x3ff200ff,0x74ffee01,0x7fec00ff,0x0fffec00,0x302ffe40,0x7fd43fff,
    0xffffffff,0x0026ffff,0x02000000,0x00006620,0x00000000,0x00000000,
    0x4ffe8000,0xe80fffa0,0x3ff200ff,0x74ffee01,0x7fec00ff,0x037fcc00,
    0x2007ffd4,0x3fea6ffc,0xffffffff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_37_usascii_x[95]={ 0,2,1,0,1,1,1,1,2,2,1,1,2,1,
3,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1, };
static signed short stb__arial_37_usascii_y[95]={ 29,5,5,4,3,4,4,5,4,4,4,9,25,18,
25,4,5,5,5,5,5,5,5,5,5,5,11,11,9,12,9,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,33,5,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14, };
static unsigned short stb__arial_37_usascii_w[95]={ 0,5,10,18,16,27,21,4,8,8,11,17,5,9,
4,10,16,10,17,16,17,17,16,16,16,16,5,5,17,17,17,16,32,24,19,22,21,19,17,23,20,4,14,21,
16,24,20,24,19,24,22,20,20,20,22,31,22,22,20,7,10,8,15,20,7,17,16,16,16,17,11,16,15,4,
8,15,4,24,15,17,16,16,10,15,9,15,17,24,17,17,16,11,3,11,17, };
static unsigned short stb__arial_37_usascii_h[95]={ 0,24,9,26,30,26,26,9,32,32,11,17,9,4,
4,26,25,24,24,25,24,25,25,24,25,25,18,23,17,11,17,25,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,27,24,26,24,25,24,24,24,24,24,31,26,31,14,3,5,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,6, };
static unsigned short stb__arial_37_usascii_s[95]={ 255,245,208,173,106,1,29,251,71,1,243,
156,219,243,251,72,191,88,99,225,203,1,19,239,68,51,226,117,138,190,120,
106,10,63,43,216,21,1,221,192,182,247,36,160,143,118,97,148,77,123,38,
51,1,85,222,190,167,144,123,98,239,89,174,123,243,123,208,175,174,141,152,
135,22,242,80,61,250,26,51,208,101,118,232,159,164,192,67,1,85,83,103,
59,55,43,225, };
static unsigned short stb__arial_37_usascii_t[95]={ 1,61,137,1,1,34,34,61,1,1,112,
137,137,137,71,34,34,112,112,34,87,61,61,87,61,61,112,112,137,137,137,
61,1,112,112,1,112,112,87,1,87,34,61,87,87,87,87,1,87,1,87,
34,87,61,61,61,61,61,61,1,1,1,137,132,124,112,34,112,34,112,34,
34,87,34,1,87,1,137,137,112,34,34,112,112,34,112,137,137,137,34,137,
1,1,1,137, };
static unsigned short stb__arial_37_usascii_a[95]={ 147,147,188,295,295,471,353,101,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,147,147,309,309,309,295,538,353,353,383,383,353,324,412,
383,147,265,353,295,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,147,147,147,249,295,176,295,295,265,295,295,147,295,
295,118,118,265,118,441,295,295,295,295,176,265,147,295,265,383,
265,265,265,177,138,177,309, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_37_usascii_BITMAP_HEIGHT or STB_FONT_arial_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_37_usascii(stb_fontchar font[STB_FONT_arial_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_37_usascii_BITMAP_HEIGHT][STB_FONT_arial_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_37_usascii_s[i] + stb__arial_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_37_usascii_t[i] + stb__arial_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_37_usascii_x[i];
            font[i].y0 = stb__arial_37_usascii_y[i];
            font[i].x1 = stb__arial_37_usascii_x[i] + stb__arial_37_usascii_w[i];
            font[i].y1 = stb__arial_37_usascii_y[i] + stb__arial_37_usascii_h[i];
            font[i].advance_int = (stb__arial_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_37_usascii_s[i] + stb__arial_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_37_usascii_t[i] + stb__arial_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_37_usascii_x[i] + stb__arial_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_37_usascii_y[i] + stb__arial_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_37_usascii_LINE_SPACING
#endif

