// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_47_usascii_BITMAP_HEIGHT        246
#define STB_FONT_arial_47_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_47_usascii_FIRST_CHAR            32
#define STB_FONT_arial_47_usascii_NUM_CHARS             95

#define STB_FONT_arial_47_usascii_LINE_SPACING          31

static unsigned int stb__arial_47_usascii_pixels[]={
    0x320cc980,0xc8800abc,0x32ea004c,0x40073224,0x19999999,0x99826660,
    0x00199999,0x332a6600,0x00009abc,0x003ea800,0x99551000,0x20000357,
    0x0009bca8,0x00019970,0x55e5cc40,0x99980009,0x7c6fe800,0x4401efff,
    0x7d400fff,0x37f47fff,0x7ffffcc0,0xfff307ff,0x3ffffe27,0x220007ff,
    0xffffffeb,0x0adfffff,0x9f700000,0x75c40000,0xffffffff,0xf90000cf,
    0x003fffff,0x0005ff98,0xfffffdb8,0x001dffff,0xb807fff3,0x7fffc1ff,
    0x3fe201ff,0x3ffe600f,0x27fcc7ff,0x3ffffe60,0xfff307ff,0x3ffffe27,
    0xc88007ff,0xffffffff,0xffffffff,0x440000cf,0xdffffedb,0x3fee0003,
    0xffffffff,0x000dffff,0x3ffffff6,0x3f6003ff,0x3620001f,0xffffffff,
    0x01efffff,0x301fffcc,0xfd990bff,0x7fc40bff,0x3fffa00f,0x1ffd84de,
    0x3ffffe60,0xfff307ff,0x3ffffe27,0x7ec007ff,0xcdefffff,0xffeccaaa,
    0x0002ffff,0xfffffff5,0x4005dfff,0xffffffd8,0xfffffeff,0xfa801fff,
    0xffd98cff,0x5ff9800f,0x3ffea000,0xffefffff,0x02ffffff,0xe80fffe6,
    0x7fe400ff,0x1fff100f,0x013ffe20,0xd800dff1,0xfff307ff,0x013ffe27,
    0x7ffff440,0xd71000be,0x8009ffff,0xfffffffb,0x02ffffff,0xfffffe88,
    0x7f54409b,0x7402ffff,0x4ffc82ff,0x001ffd80,0x9fffffb0,0xfffb3015,
    0x3fe609ff,0x0bff703f,0x205fff30,0xf500fff8,0xff9001ff,0x3ffec007,
    0x3e213330,0xe88004ff,0x0001dfff,0x02ffffd4,0xbfffff98,0xffffbdfc,
    0x7ffec01f,0xff3000df,0x3e603fff,0x0fff307f,0x0005ff98,0x03dffff7,
    0x3ffffa20,0x20133303,0xff001ffe,0x3ffe207f,0x00fff700,0xd801ffe2,
    0x7c4007ff,0x7cc004ff,0x00003fff,0x00ffff62,0x5c7fffd1,0xdfff914f,
    0x17fffdc0,0x7fff4400,0x40dff506,0x7ff407ff,0xfff88001,0xffb0003f,
    0xf50001ff,0x7ff400df,0x01fff103,0xe801ffee,0xffb003ff,0xfff8800f,
    0x3ffe2004,0x9000001f,0x7d405fff,0x127dc5ff,0xf101ffff,0x40007fff,
    0xb84ffff8,0x3ffe05ff,0x00bff501,0x017fff20,0x0bfffd00,0x007ffd00,
    0xf8827ff4,0xdff700ff,0x037fdc00,0x4007ffd8,0x2004fff8,0x3000fffc,
    0xfffb0001,0x0bffee01,0xfffd89f7,0x06fffc82,0xffffa800,0xf02ffdc0,
    0x3ffa03ff,0xfff98001,0x7cc0000f,0x26001fff,0x3a001fff,0xfff104ff,
    0x01bff201,0x802fff88,0xdd307ffd,0x13ffe25d,0x00fffcc0,0x2f7fffaa,
    0x88333260,0xffb03ffe,0xe989f70f,0xffff81bc,0xffd00002,0x05ffa85f,
    0x3ea03ffe,0xffd0005f,0x3200007f,0x3ba24fff,0x037fec2e,0x4413ffa0,
    0xff900fff,0x5ffe800d,0x307ffd80,0x3fe27fff,0x9ffd004f,0x7ffff4c0,
    0xff90efff,0x06ffa81f,0x9f70fffb,0x5fff9800,0x3fee0000,0x837fcc5f,
    0xffd07ff8,0xfff10001,0x7cc0000f,0x3ffe67ff,0x00fffe23,0x2209ffd0,
    0xff900fff,0xfffb800d,0x83ffec00,0xff13fff9,0xdff7009f,0x7ffffd40,
    0xd8efffef,0x5ffd06ff,0xb85fff90,0x7fe4004f,0x2200003f,0x3e20ffff,
    0x6ffa80ff,0x0004ffa8,0x000bfff3,0x31fffe80,0x7fd47fff,0x7fec001f,
    0x01fff104,0x3001bff2,0xfd805fff,0x7fff307f,0x2013ffe2,0xff502ffe,
    0x7e4439ff,0x704fffef,0xfff50bff,0x4004fb89,0x0002fffe,0x20ffff40,
    0x7f444ffd,0x00ffe82f,0x09fff500,0xfffc8000,0x647fff33,0x6c000fff,
    0xfff105ff,0x017ff601,0x809fff10,0xff307ffd,0x13ffe27f,0x220fff30,
    0x2e03ffff,0x303fffff,0xfff10dff,0x0027dc5f,0x0007fffe,0x85fffb00,
    0xfcbffff8,0x4ffa86ff,0x3ffee000,0x7dc00003,0x7fff34ff,0x4003fff4,
    0xff106ffc,0x13ffa01f,0x01bffe00,0x3e60fffb,0x9fff13ff,0xb04ffb80,
    0xfd007fff,0x3e203fff,0xffff907f,0x8009f739,0x0000ffff,0x41fffe40,
    0xfffffffa,0x00ffe81e,0x0bfff200,0xfff50000,0xf8fffe69,0xfa8006ff,
    0xfff880ff,0x02fff880,0x00fffe80,0x7cc1fff6,0x9fff13ff,0x981ffe80,
    0xf7006fff,0x7ff80fff,0x3fffff20,0xf1000dff,0x00000fff,0x2609fff7,
    0x704ffffd,0xe80009ff,0x00001fff,0xf9afffd4,0xbfff13ff,0x9fff1000,
    0x901fff10,0x36000fff,0x3f600fff,0x7fff307f,0x8813ffe2,0xfffb06ff,
    0x3ffea005,0x007ffc06,0xfffffff9,0x7c4017df,0x800007ff,0x9803fffc,
    0x407ffc00,0xf02cdcb8,0x00001fff,0xf35fffa8,0x3ffe67ff,0xfff90004,
    0x40fff885,0x0004fffa,0x6c03fff9,0xfff307ff,0x813ffe27,0xff885ff9,
    0x3fe6006f,0x1ffe204f,0x3ffff260,0x203fffff,0x0000ffff,0x017ffec0,
    0x427fdc00,0xeffffffa,0x00ffff40,0x3ffee000,0x267fff34,0x20003fff,
    0xf14ffffd,0x3fff21ff,0x3ee0005f,0x3ff602ff,0x27fff307,0x2a04fff8,
    0xfffa84ff,0x3ffea003,0x017fea02,0xfffffd50,0xfff01dff,0xe800003f,
    0x40000fff,0x7d40fff8,0xffffefff,0x00ffff60,0x9fff9000,0x7d4fffe6,
    0x5c0002ff,0xfff16fff,0x00ffffa1,0x05fff500,0xf983ffec,0x9fff13ff,
    0x641ffdc0,0x2e002fff,0x3f201fff,0xdfb8004f,0x85fffffc,0x0002fffe,
    0x003fffc0,0x7c27fdc0,0xffd50dff,0x027ffe49,0x3fff6000,0x2a7fff33,
    0x40002fff,0xff16ffe9,0x0bbffa1f,0x7fff5000,0x983ffec0,0xfff13fff,
    0x417fe409,0x2000fffd,0x7f407ffd,0x4fb8002f,0x85ffff91,0x0003fffc,
    0x01bffe60,0x81fff100,0xff886ffb,0x0bfff51f,0xfffe8000,0x2a7fff31,
    0x20003fff,0xf15ffffa,0x3fff61ff,0x3ea0004f,0x3ff602ff,0x27fff307,
    0x3604fff8,0x7ffe82ff,0x02fff400,0x0003fff1,0xfffb89f7,0x037ffcc6,
    0xbfff5000,0x3ffc8000,0xfb03ffd8,0x3fffe27f,0xff300000,0x9fffccff,
    0x0003fff9,0x4439fff5,0x3f260fff,0xf70003ff,0x7fec03ff,0x27fff307,
    0x3204fff8,0x7ffd83ff,0x13ffe600,0x0005ffc8,0xfff889f7,0x17fffc0f,
    0x3fe20080,0x220003ff,0xffe80fff,0x6c9ff701,0x00004fff,0x7cc9fffb,
    0x9fff13ff,0x17ffa000,0x3603ffe2,0xf90007ff,0x7fec01ff,0x27fff307,
    0x2e04fff8,0xfffb84ff,0x5fffd000,0x003ffe60,0x7ec27dc0,0x7ffe41ff,
    0x817df007,0x0006fffc,0xff81ffe4,0x4bff701f,0x001ffffa,0x0ffffd40,
    0x7fc7fff3,0xff88004f,0x0fff881f,0x001fff88,0x6c07ffc8,0xfff307ff,
    0x813ffe27,0xffa85ffa,0xfffa801f,0x3ffe880f,0x705fb910,0x5fff709f,
    0x03ffff88,0x997fffcc,0x0001ffff,0xff81ffe2,0x8bff700f,0x0005fffd,
    0x262ffff4,0x3ffa3fff,0x6ffb8006,0x201fff10,0xe8004ffe,0x7fec07ff,
    0x27fff307,0x2604fff8,0xfff886ff,0x7fffcc05,0x06ffe886,0x2e13ffe6,
    0x1fffb84f,0x03ffffa8,0x37ffffea,0x0004fffe,0xfd01ffe4,0x13fee03f,
    0x01bffff1,0xffffe880,0x91fffcc0,0xfb000fff,0x3ffe20bf,0x00bffb00,
    0xd809fff0,0xfff307ff,0x013ffe27,0xffd01fff,0x3ffe605f,0x7ff4c6ff,
    0x37ffc01f,0x7fe427dc,0xffff900f,0x3fee201d,0x006fffff,0x203ffc40,
    0xff902ffd,0xdffff707,0x3ffea003,0xfff982ff,0x007ffea3,0x220bffb0,
    0xff900fff,0xfff9800b,0x83ffec02,0xff13fff9,0x4ffd809f,0x0cffff98,
    0xfffdff95,0xffffb79f,0x3fff9005,0x7fc44fb8,0x7ffec06f,0x2a21acff,
    0x2ffffffc,0x1ffe4000,0x7c17ff20,0xfff702ff,0x22137bff,0xfffffdb9,
    0x87fff303,0x74003fff,0xfff104ff,0x01bff201,0x801fff70,0xff307ffd,
    0x13ffe27f,0x260fff50,0xffffffff,0xfffff8df,0x000effff,0x5c1dfff5,
    0x1fffec4f,0x7ffffdc0,0xffffffff,0x03ffffff,0x00dff300,0x6445fff1,
    0x7fd406ff,0xffffffff,0x2fffffff,0xb0fffe60,0xfe800bff,0x1fff104f,
    0x001bff20,0xfb00bffb,0x3ffe60ff,0x809fff13,0xf702fff8,0x49ffffff,
    0xfffffffc,0xfffe8005,0x3629f70e,0x2a006fff,0xfffffffe,0xfdffffff,
    0x4002efff,0xf9002ffd,0xffff9dff,0xfffb3003,0xffffffff,0xf9801bff,
    0x7ffdc3ff,0x13ffa000,0xc807ffc4,0x3e2006ff,0xffd803ff,0x27fff307,
    0xb804fff8,0xb7101fff,0xfd7037bf,0x2a6017bd,0xfffe882a,0xffdefdef,
    0x98001fff,0xfffffffd,0xffb30bef,0x3e600dff,0x7fe4006f,0x002fffff,
    0x7ffffe44,0x000bffff,0xff07fff3,0x7ff4007f,0x01fff104,0xa801bfee,
    0xfd800fff,0x7fff307f,0x4013ffe2,0x0000effe,0x3ffea000,0xffffd104,
    0xdfffffff,0x55300003,0x75401357,0xffb005ff,0xffb50005,0x8800019d,
    0x0009aba9,0x0dff7000,0x8827ff40,0xff700fff,0x1fff400d,0x307ffd80,
    0x3fe25fff,0xfff5004f,0x2000000d,0x4406fffa,0xffffffeb,0x000004ff,
    0x005f7000,0x00000666,0x00000000,0x3fff1000,0x40fffe00,0xf700fff8,
    0x3fe600ff,0xfffb000f,0x44bffea0,0x2e004fff,0x0002efff,0x3bffee00,
    0x3faa2000,0x000000ae,0x00008000,0x00000000,0x00000000,0x3e009ff9,
    0xfff102ff,0x03ffea01,0x8013ff20,0xff507ffd,0x13ffe23f,0xbffff700,
    0x74c00001,0x0000ffff,0x000009f7,0x00000000,0x00000000,0x00000000,
    0xa801fff1,0xff100fff,0x3ffe601f,0x07ffc403,0x20fffb00,0xff10fffd,
    0xff70009f,0x0015bfff,0xffffd710,0x7dc00019,0x00000004,0x00000000,
    0x00000000,0xf5000000,0xffb7509f,0x7ffc40df,0x37fffa00,0x03ffc82c,
    0x3ffbbba2,0xffd7937f,0x77ffc4df,0xd1006eee,0x9dffffff,0x75533557,
    0xdfffffd9,0x9f700003,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x7ffffc1f,0x3ffe202f,0x3fffea00,0x02ffc47f,0x3fffffe6,0xfffff77f,
    0x7fffc47f,0x54007fff,0xfffffffe,0xffffffff,0x002fffff,0x0006a600,
    0x00000000,0x00000000,0x00000000,0x45ff8800,0x404fffff,0x5c00fff8,
    0x7ec7ffff,0x7ffcc00f,0xffb7ffff,0xff889fff,0x007fffff,0xffffd930,
    0xffffffff,0x00017dff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdee83baa,0xeee8801c,0x6edc9800,0x2200bba2,0x2aaaaaaa,0x2059bd97,
    0x2aaaaaaa,0x75310000,0x5999ddd9,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09880000,0x0cc40000,0x1cca8000,
    0x20013320,0x001acba9,0x45993000,0x00000999,0x332a6200,0x400001ab,
    0x88000018,0x53000001,0x00001379,0x260004c4,0x7e4c0099,0x361cefff,
    0x1ddd11ee,0x3ffffb22,0x3f60001d,0x0dff301f,0x7fffec40,0x00000dff,
    0xff997fe4,0x8000003f,0xffffffda,0x0000bfff,0x9bffffb3,0x3f6e0005,
    0x000cffff,0xffffd930,0x007bffff,0xfffff930,0x99f7645b,0x3f202fff,
    0xffffffff,0x3e65fff2,0xffff98ff,0x005fffff,0x2a01fff0,0xff5004ff,
    0xffffffff,0x7f400003,0x07fff30f,0x7fd40000,0xffffffff,0x4003ffff,
    0xfffffffd,0x3a6004ff,0xffffffff,0x3f22004f,0xffffffff,0x002fffff,
    0xfffffff9,0x53ffa9ff,0xfb02fff9,0xffbbffff,0x25fff5ff,0xfffbfff9,
    0xffffeddf,0x3fe2000d,0x00fff206,0x33ffffe2,0x00effffc,0x26ff8800,
    0x0003fff9,0xfffff900,0xffffddff,0x36009fff,0xffefffff,0xfa804fff,
    0xffefffff,0xd800dfff,0xffffffff,0xffffffff,0x7fffec03,0xdffffeef,
    0xfff34ffe,0x5ffff705,0xffffff50,0x3ffffe65,0xffff983f,0x17fea004,
    0xd801ffe8,0x7ec43fff,0xa80004ff,0x3ffe63ff,0x74400003,0x80beffff,
    0x4ffffea8,0x577ffe40,0xbfffd510,0x77fffc40,0x3fff660a,0x7fffe406,
    0x7e4c40ad,0xf702ffff,0x54417fff,0x34ffffff,0xff885fff,0x3fe601ff,
    0xfff32fff,0x7f4405ff,0xff9001ff,0x007ffc07,0x4c1bffe2,0x80006fff,
    0x3fe61ffd,0x6c00003f,0x2003ffff,0x103ffffc,0x2201dfff,0xfb01fffe,
    0x7dc01bff,0x3ffe03ff,0xffd1002f,0xffff10bf,0x7fff4403,0x85fff34f,
    0xa803fffb,0xff32ffff,0xff5009ff,0x3ff6009f,0x00dff301,0x7407fff3,
    0xf80007ff,0x1fffcc7f,0xfff50000,0xff90005f,0x3fff20ff,0x27ffc401,
    0x007fffd4,0x4c07ffec,0x44003fff,0x7e40ffff,0xff9803ff,0x5fff34ff,
    0x000fffc8,0x3e65fffd,0xfd000fff,0x3ffe00df,0x009ff700,0x7409fff5,
    0x4c0007ff,0x7ffcc5ff,0xff100003,0x740005ff,0x7fc43fff,0xfffb006f,
    0x02fffd81,0x907fff30,0x70001fff,0xffd85fff,0x3fff6007,0xe85fff34,
    0x3ee005ff,0x9fff32ff,0x03ffdc00,0xf9037fc4,0xfff1007f,0x17ffe20d,
    0x85ff7000,0x9883fff9,0x3ffee000,0x7fd40006,0x1fffd46f,0x43fffa80,
    0x74007ffe,0x7ffe85ff,0x9fff1000,0x2004fff8,0xff34fff9,0x04fff85f,
    0x4cbffe60,0x2a003fff,0xddd71fff,0xddfffddd,0xdfffdddd,0x7ff40bdd,
    0x2fffc84f,0x07ff4000,0x644fffe6,0x01cefffe,0x0017fff4,0x3215efc0,
    0x3e000fff,0x2fffc5ff,0x21fff600,0x0002fffd,0x7fc45799,0x3fe2002f,
    0x45fff34f,0x2003fff9,0xff32fff8,0x7fcc005f,0xfffff92f,0xffffffff,
    0xffffffff,0x7fffd40d,0x017fff22,0x30dff100,0xfff37fff,0x07ffffff,
    0x001fffe2,0x1fff6000,0x44fffd00,0x64004fff,0x7fdc1fff,0x5400005f,
    0x7c001fff,0x5fff34ff,0x0017ffdc,0x7fccbffe,0x3fe2001f,0xfffff94f,
    0xffffffff,0xffffffff,0xffffd80d,0x00efffeb,0x427fd400,0xfffdfff9,
    0xfffffeef,0x06fffb85,0xfff80000,0x7ffec006,0x009fff10,0x441fffc8,
    0x000dffff,0x03fff700,0xf34ffe80,0x7ffdc5ff,0x97ffc002,0x2000fff9,
    0x3314fff8,0x33fff333,0xbff93333,0xe8801333,0xdfffffff,0xffc80000,
    0xfffff981,0x7ffd40bf,0x2fffe43f,0x7fc00000,0x7fec006f,0x017ffe1f,
    0xb05fffd0,0x37bfffff,0x7ffe4000,0xa7ffc001,0x3e62fff9,0x3e2003ff,
    0x3fff32ff,0x17ffcc00,0x640dff30,0xf98003ff,0x002fffff,0x4c1ffa00,
    0x202fffff,0x320ffff9,0x00004fff,0x02fffc40,0xe87fff20,0x7fc007ff,
    0xfff902ff,0x159fffff,0x17ffd400,0x4d3ffe00,0x3fe22fff,0x3fe6004f,
    0x05fff32f,0x00fffd40,0x7f409ff5,0x7fd4001f,0x0004ffff,0x4c17fe60,
    0xb804ffff,0x3ff64fff,0x4000002f,0x4005fff8,0x3f21fffb,0xff7003ff,
    0x7fdc07ff,0xffffffff,0x7fcc01ce,0x3fe2003f,0x85fff34f,0x2a005fff,
    0xfff32fff,0x3ffdc007,0x440fff20,0x3a2007ff,0xffffffff,0xff700003,
    0x3fffe607,0x4ffff000,0x0001fffe,0x27ffcc00,0x8bffee00,0x400ffff9,
    0x03fffff8,0x7ffffecc,0x2fffffff,0x009fff10,0xf9a7ffd4,0x7fff42ff,
    0x5fff9000,0x801bffe6,0x7f405ffe,0x0dff301f,0x3ffffe60,0x81ffffda,
    0x0ffec000,0x004fff98,0x7f43ffee,0x000001ff,0x0027ffcc,0xf90bffee,
    0x3ea05fff,0x003fffff,0xfffffb51,0x01bfffff,0x2001fffd,0xff34fffe,
    0x4fffa85f,0x2ffff880,0x005ffff3,0xf809fff5,0x9ff700ff,0xbffff300,
    0x3bfffa21,0x401ef7c0,0x3fe606ff,0x3fea003f,0x05fffb2f,0xff880000,
    0x7fdc004f,0x7fffc41f,0xffecbdef,0x002fffaf,0xffffb730,0xfa81dfff,
    0xffa804ff,0x5fff34ff,0x803fffd0,0xf32ffffd,0x4401dfff,0x2600fffe,
    0x3ff606ff,0x5fffe802,0x25ffff98,0x5405fffa,0x3fe604ff,0x3fe6002f,
    0x05fff93f,0xfff00000,0xfffc800b,0xffffe981,0x98efffff,0x00002fff,
    0x9fffff93,0x407fffd0,0x34fffffa,0xff305fff,0xffd107ff,0x3fe65fff,
    0xf981efff,0x4cc43fff,0x999dffb9,0x9affe999,0x3fea0999,0x3ffea06f,
    0x07fffb4f,0x2602ffc8,0x22001fff,0xfff74fff,0xf0000007,0xfc800bff,
    0x3ff201ff,0x50dfffff,0x00003fff,0x87fffe98,0x9adffff9,0xfffffca8,
    0x05fff34f,0x37ffffee,0xffffffec,0xfffff32f,0xffdb9dff,0xfff90bff,
    0xffffffff,0xffffffff,0x7fff4dff,0x7fffe403,0x400ffffa,0x3e600ffe,
    0x3e2000ff,0xdfff54ff,0x02a60000,0xb001bffa,0xa8801fff,0xffb82cdc,
    0xb000001f,0xff503fff,0xffffffff,0x267fff9f,0x3ea02fff,0xffffffff,
    0xf32fffac,0xffff97ff,0x209fffff,0xfffffffc,0xffffffff,0x26ffffff,
    0xd800ffff,0x5fffffff,0x2037fc40,0x2001fff9,0x3fe2fff9,0xc80000ff,
    0x3ff62eff,0x3ffec006,0xfff90000,0x0006eed8,0x8827ffd4,0xfffffffe,
    0x33fff99e,0xd8805fff,0x53efffff,0x3fe65fff,0xffffd53f,0x775c03bf,
    0xeeeefffe,0xeeefffee,0xfff15eee,0x3ffa200d,0x5401ffff,0x7fcc03ff,
    0x3fea002f,0x0bfff61f,0x3fffe000,0x001fff21,0x0000bffd,0x3fe2fff4,
    0x220000ff,0x2a206fff,0x30acefdb,0x3fe67fff,0x2aa2002f,0x997ffd40,
    0x55443fff,0x7fcc000a,0x00bff606,0x9801fffe,0x805fffff,0x7cc01ffd,
    0x3ee003ff,0x3ffea0ff,0x7fd40006,0x17ffdc6f,0x04fff980,0x7fcc0013,
    0x1fffec3f,0xbfff3000,0xfff30000,0x00bffe65,0x97ffd400,0x0003fff9,
    0xd027fdc0,0xffd001ff,0x7fe4003f,0x7ff805ff,0x06fff980,0x3a1fffa0,
    0x10003fff,0xf887ffff,0xff9005ff,0x0fffc85f,0x83fff900,0x0006fffb,
    0x0093ffee,0x23fff500,0x0002fff9,0x265fff50,0x00003fff,0xf881ffe4,
    0xfff9007f,0x3ffea00d,0x3e605fff,0xfff9805f,0xfffb801f,0x3ffff983,
    0xffffe800,0x00fffc80,0xf986fff8,0xff8802ff,0xffff885f,0x7f44000d,
    0x13bf61ff,0x267ffe80,0x00002fff,0x3e65fff5,0x400003ff,0xff501ffe,
    0x3ffe200b,0x7ffd403f,0x705fffff,0xff3005ff,0x7c401dff,0x3ff607ff,
    0xfb3004ff,0x3e205fff,0x7fe405ff,0x1dfff03f,0x0ffff440,0x1fffffc8,
    0xbffff500,0x801fffc8,0x3e65fffb,0x500002ff,0x3fe65fff,0x7c00003f,
    0x13fee07f,0xcffffb80,0x3fff6a20,0x5ffffedf,0x9800ffe8,0x81efffff,
    0x202ffffa,0xcfffffe8,0x3ff26209,0x7ec03fff,0xffd80dff,0x3fff206f,
    0xfffe982d,0x7fffec05,0xa989bcef,0x0fffffdc,0x202fffdc,0x262ffff9,
    0x00002fff,0x3e65fff5,0x200003ff,0x3f606ff9,0x7fec002f,0xfffeffff,
    0xffb14fff,0x37fc4bff,0xfdfff980,0xffeddfff,0xffb005ff,0xffffffff,
    0x09ffffff,0xdffffd10,0x1fffffb9,0xfffffd80,0x5fffffdc,0xfffffd00,
    0xffffffff,0x3a03ffff,0x99abffff,0x44ffffda,0x0002fff9,0x265fff50,
    0x00003fff,0xfe813fee,0xffb8000f,0xffffffff,0x3fffd82f,0x4c013fea,
    0xfffb8fff,0x03ffffff,0x7ffffe40,0xffffffff,0x3f62002e,0xffffffff,
    0xffe8801f,0xffffffff,0x7ffdc005,0xffffffff,0x2200dfff,0xffffffff,
    0x985fffff,0x00002fff,0x3e65fff5,0x200003ff,0xff103ffc,0x7ecc000f,
    0x0cefffff,0xff913f20,0x3ffe6003,0xfffffd50,0x2e20003b,0xfffffffe,
    0x320002ef,0xcffffffe,0x7ffd4000,0x001dffff,0xffffb710,0x037bffff,
    0x3ffff220,0x02efffff,0x0005fff3,0x442aaa20,0x00001aaa,0x6440332e,
    0x5100003c,0xb8380037,0x2200004c,0x400001aa,0x01abaa98,0x55cc4000,
    0x54c00009,0x000009ab,0x02aeaa62,0xdb951000,0x0000399d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc00000,0x00980009,0x00044000,0x33310000,0x00030001,0x10999800,
    0x30000333,0x0132e333,0x6554c000,0x330001ac,0x20000013,0x99510000,
    0x33331055,0x33333333,0x33333333,0x806fff83,0xdffffeda,0xffd70002,
    0x00037bff,0x17ffd400,0x7fff65c0,0x200001df,0xffb5fff9,0xff80003f,
    0x003ffb7f,0x3fff2600,0xdeffffff,0x3fff9802,0x0fb80000,0x3fffa600,
    0xfffa87ff,0xffffffff,0xffffffff,0x1bffe0ff,0xfffffd88,0x001effff,
    0xffffffd5,0x00007fff,0x80bffea0,0xffffffe8,0x0000cfff,0xfb5fff98,
    0xf80003ff,0x09ff57ff,0xfffe8800,0xffffffff,0x2602efff,0x00003fff,
    0x4003ffa6,0xfffffff8,0xfffffa86,0xffffffff,0xffffffff,0x441bffe0,
    0xfeffffff,0x401fffff,0xeffffffa,0x004fffff,0x2fffa800,0xffffff50,
    0x0bfffffd,0xbfff3000,0x0007fff6,0x3e2ffff0,0x3ea0006f,0xffffffff,
    0xfffffffe,0x7fff302f,0x7fe40000,0xfffd000f,0xf509ddff,0xffffffff,
    0xffffffff,0x7fc1ffff,0xdfffb06f,0x6fffd983,0x33fffe20,0x27fff540,
    0x3fea0000,0xffffa82f,0x3ffee22c,0x7cc0003f,0x3fffb5ff,0x7fff8000,
    0x20003ffa,0xbdfffffb,0x7fed4c09,0xff982fff,0x3200003f,0xff000fff,
    0x551005ff,0x55555555,0xfd555555,0x7ffc1fff,0x06fffa86,0xe827ffec,
    0x7f403fff,0x200000ff,0x7442fffa,0x3e203fff,0x20000fff,0xffb5fff9,
    0xff80003f,0x00bff27f,0x5fffff50,0x7fffd400,0x03fff986,0x3fff2000,
    0x4fff8800,0xf7000000,0xfff83fff,0x00fffc86,0x4437ffc4,0xf9805fff,
    0x200002ff,0x7e42fffa,0xffc805ff,0x3e60002f,0x3fffb5ff,0x7fff8000,
    0x88017fe6,0x000dfffe,0x42fffe88,0x0003fff9,0x003fff20,0x000bffe6,
    0x3ffea000,0x86fff83f,0xfb006ffe,0xfffb81ff,0x0bfff002,0x7ffd4000,
    0x007fffc2,0x002fffcc,0x36bfff30,0x40001fff,0x3ffc7fff,0x0dfff900,
    0x5fff9800,0x001fffcc,0x01fff900,0x005fff50,0xfff98000,0x0dfff05f,
    0x2e00bfff,0x7f5c1fff,0x1fffa007,0xf5013100,0x7ffcc5ff,0x06aae002,
    0x5fff9800,0x0003fffb,0x7ec7fff8,0xfff8801f,0xfd80002f,0x3ffe61ff,
    0xd3003303,0xdddfffdd,0x0bffea0b,0xff880000,0x3ffe06ff,0x006ffd86,
    0x0080fff9,0x2017ffe0,0xceffffc9,0x645fff51,0x000007ff,0x2bfff300,
    0x0001fffd,0x3ee3fffc,0xfffb803f,0xdf500005,0x1fffcc39,0x7bffffb7,
    0xfffff301,0x75cdffff,0xeeefffee,0x3a00003e,0x3e00ffff,0xfffb86ff,
    0x05ffe800,0x7fff3000,0xfffffc80,0xffaaffff,0x017ffa2f,0x7cc00000,
    0x3fffb5ff,0x7fff8000,0x7402ffc4,0x00002fff,0x5fffcc02,0xffffffe8,
    0x7fcc0eff,0x6fffffff,0x3ffffff2,0x0004ffff,0x03ffffb0,0xf986fff8,
    0x7fe405ff,0xe880003f,0x3f600fff,0xffeeffff,0x22fffdff,0x57304fff,
    0xf3000001,0x3fff6bff,0x7ffc0001,0x200ffe87,0x000ffff8,0xfff98000,
    0xfffffffd,0x900effff,0x3f201fff,0xffffffff,0xfb80004f,0xff803fff,
    0xdfff906f,0xdfffc883,0x3ae20000,0x3ee03fff,0x2e20bfff,0x12ffffff,
    0x7edc7fff,0x003fffff,0x57ffe600,0x0001fffd,0x7e43fffc,0x3ffea02f,
    0x30000007,0x59ffffff,0x3fffea21,0x01fff905,0x005fff50,0xffff9800,
    0x0dfff004,0x77ffffcc,0x003ffffe,0xffffd930,0x7ffc405f,0x3ffe601f,
    0x5fff32ff,0x3ffffff2,0x0000dfff,0xfb5fff98,0xf80003ff,0x4ffa87ff,
    0x01bffee0,0x7fcc0000,0x3e603fff,0xffc80fff,0xfffa800f,0x3e200002,
    0x3e006fff,0x7f4406ff,0x1fffffff,0x3fff2000,0x7dc01fff,0xffa803ff,
    0x5fff32ff,0xfddffff9,0x001fffff,0xb5fff980,0x80003fff,0xff887fff,
    0x13fff206,0x7cc00000,0xfc804fff,0xfffc82ff,0x2fffa800,0x3ffa0000,
    0x3fe000ff,0x3ffee06f,0xffffffff,0xffd8000c,0x00cfffff,0x2001fffb,
    0xff52fffe,0x703dffdf,0x0009ffff,0xfb5fff98,0xf80003ff,0x1ffb07ff,
    0x00bfff60,0xaaaaaa98,0x262aaaaa,0xf5007fff,0xfff905ff,0x5fff5001,
    0x3ff60000,0x7fc001ff,0xfffd886f,0xffcbabcf,0x64000eff,0xffffcbab,
    0x04ffe81f,0x54bffee0,0x405fffff,0x001ffff8,0x6d7ffe60,0x40001fff,
    0xff707fff,0x0bfff607,0xfffffc80,0x0fffffff,0x200dfff3,0xfc83fff9,
    0xffa800ff,0xfb80002f,0xf8003fff,0xfffe86ff,0xfffb100d,0xd880001d,
    0x3e20ffff,0x3ea003ff,0xffff52ff,0xfff5001d,0x7fcc000d,0x03fffb5f,
    0x07fff800,0x3f20bff3,0x3f2003ff,0xffffffff,0xfff30fff,0x3ffe200b,
    0x00fffc83,0x002fffa8,0x27fffcc0,0x46fff800,0xb006fffa,0x00007fff,
    0xf993fff6,0x3e6002ff,0xffff32ff,0x3fff4005,0xbfff3000,0x0007fff6,
    0x7c0ffff0,0x9fff707f,0x7fffe400,0xffffffff,0x009fff30,0x320fffe2,
    0xfa800fff,0x220002ff,0x0006ffff,0xffd1bffe,0x3fe2003f,0x880000ff,
    0xff50ffff,0x7fc4003f,0x1ffff12f,0x07ffe400,0x5fff9800,0x0005fff9,
    0x9037ffc4,0xfff503ff,0x4ccc400b,0xffe99999,0x07fff30f,0x20fffe20,
    0xa800fffc,0x20002fff,0x000efffe,0xff1bffe0,0xffc800df,0xfb00001f,
    0x3ffee3ff,0x17ffc001,0xb800ffff,0x30002fff,0x3feebfff,0x3e60002f,
    0x3fea06ff,0x07fff984,0x7fff4000,0x007fff30,0x320fffe2,0xfa800fff,
    0xf90002ff,0x80003fff,0x3fe26fff,0x7fd4004f,0xf900002f,0x3ffee5ff,
    0x3ffe2002,0x001bffe2,0x0005fff5,0x7dd7ffe6,0x260003ff,0x3e206fff,
    0x5fffd06f,0x7ff40000,0x07fff30f,0x20fffe20,0xa800fffc,0xb8002fff,
    0x0002ffff,0x3e66fff8,0x7cc004ff,0x00d4c3ff,0x54bffee0,0x26003fff,
    0x3ffa2fff,0x3fee000f,0x00ddb70f,0x3eabfff3,0x2a0004ff,0x7f405fff,
    0x5fffb80f,0x3ffa0000,0x07fff30f,0x20fffe20,0xa800fffc,0x4c002fff,
    0x0004ffff,0x7c4dfff0,0x7d4005ff,0xbfff12ff,0x1fffc800,0x4009fff1,
    0x3f62fffa,0x3f2002ff,0x01fff27f,0x7c53ffe6,0x360006ff,0x7e403fff,
    0xffff882f,0xffd00002,0x0fffe61f,0x41fffc40,0xa800fffb,0x22002fff,
    0x0005ffff,0xfd1bffe0,0xffc800ff,0x03fffa0f,0x747ffe80,0xfb000fff,
    0x7ffcc5ff,0x97ffa003,0x5c00fffb,0x3ffa3fff,0xff88002f,0x7fcc01ff,
    0x1ffff905,0xfffd0000,0x00fffe61,0x5c1fffc4,0xfa800fff,0x3fa002ff,
    0x00000eff,0xffb1bffe,0x3fe2005f,0x1fffe47f,0x45fffb80,0x9803fffb,
    0x7ec2ffff,0xffa801ff,0x0fffea3f,0x645fffb0,0x4001ffff,0xf006fffc,
    0x7fff40ff,0xfd30001f,0x3fe61fff,0xfff1003f,0x03fff707,0x005fff50,
    0x007ffff2,0x8dfff000,0x802ffff9,0x7cc3fffd,0x7cc01fff,0x7fc41fff,
    0x7fec01ff,0x7ffcc2ff,0x3ffa200e,0x3fffe61f,0x1ffff700,0x0fffffc4,
    0x7fffec40,0x03ffb002,0x33ffffe6,0xfff91001,0x3fe61fff,0xfff1003f,
    0x5dfff507,0x3ffea033,0xffffb802,0xff800001,0xffffb86f,0xfffe980a,
    0x5dfff705,0x0ffffee0,0x417fffdc,0x2fffffe8,0x81efffe8,0xd84ffff9,
    0xa89affff,0xb85ffffc,0xacefffff,0xfffca998,0x3ee005ff,0x3ffea03f,
    0x89bdffff,0xffffedb9,0x3fe60dff,0xfff1003f,0xfffff307,0x3ffea0ff,
    0x7fffc402,0xccccccce,0xcccccccc,0x3ffe2ccc,0xfffffd06,0xffffd99d,
    0x7ffec01f,0xfffdccef,0x7fec05ff,0xffecdfff,0x882fffdf,0xcdfffffe,
    0x106ffffe,0xffffffff,0x201fffff,0xfffffffc,0xffffffff,0x3e2000df,
    0x7ff4406f,0xffffffff,0xefffffff,0x03fff982,0x207fff10,0x0ffffffc,
    0x402fffa8,0xfffffff8,0xffffffff,0xffffffff,0xb81bffe4,0xffffffff,
    0x4400dfff,0xfffffffc,0x9003ffff,0xffffffff,0x05fff19f,0x7fffffe4,
    0x5405ffff,0xffffffff,0x7dc01eff,0xffffffff,0x004fffff,0x7001ffd0,
    0xffffffff,0x7fffffff,0x01fffcc0,0x203fff88,0x81ffffec,0x4402fffa,
    0xffffffff,0xffffffff,0x4fffffff,0xb101bffe,0xdfffffff,0xffe98005,
    0x00dfffff,0x7fffecc0,0x0bffe3ef,0xfffffd50,0x362005df,0xbdffffff,
    0xffd71000,0x9fffffff,0x7fe40001,0x3ff6a002,0xceffffff,0x7ffcc00b,
    0x7fff1003,0x54033100,0x7c402fff,0xffffffff,0xffffffff,0x04ffffff,
    0x1aba8800,0xba988000,0x9880000a,0x200000aa,0x0000aba9,0x00006ea6,
    0x26aeaa62,0x99300001,0x2a660005,0x000000ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00cccc40,0x13331000,0x004cccc4,0x86666200,
    0x80009998,0x00099998,0x26219988,0x20000099,0x26609998,0x99800009,
    0x99999999,0x99999999,0x31099999,0x33333333,0x40001333,0x99999998,
    0x10001999,0x4cc43333,0xffb80001,0x980002ff,0x3a21ffff,0x40005fff,
    0x3ea3fffe,0xfc8005ff,0xe8003fff,0xfff90fff,0x7e40000b,0x7fff33ff,
    0xffff0000,0xffffffff,0xffffffff,0x3ff6dfff,0xffffffff,0xceffffff,
    0xffffd802,0xffffffff,0x5402deff,0xffd0ffff,0x3f60000f,0x20000fff,
    0x984fffe8,0x0003ffff,0xf88bfff9,0xfe8007ff,0x44005fff,0x3fe25fff,
    0xd00000ff,0x3fe61fff,0xff80003f,0xffffffff,0xffffffff,0xfb6fffff,
    0xffffffff,0xffffffff,0x7ec03dff,0xffffffff,0xffffffff,0xffff504f,
    0x001fffa1,0x27fffc40,0xdfff9000,0x07fffe40,0x3fffea00,0x01fffe80,
    0x3ffffe20,0x3fea000f,0x17fff43f,0x7ffcc000,0x00fffe65,0x3ffffe00,
    0xffffffff,0xffffffff,0xffffb6ff,0xffffffff,0xffffffff,0x3fff603f,
    0xffffffff,0xffffffff,0x0ffffa84,0x0000fffd,0x017fffdc,0x0ffffcc0,
    0x01bfffa0,0x01ffff88,0x4005fff7,0x2ffffffb,0x07fff200,0x000bfff5,
    0x4c5fff90,0x80003fff,0xaaaaaaaa,0xaaffffba,0x2aaaaaaa,0x3335fffb,
    0x53333333,0x1ffffff9,0x557fffb0,0x95555555,0x87fffffb,0xfd0ffffa,
    0xd80000ff,0xe8006fff,0xf9804fff,0xfd003fff,0x7fcc07ff,0x3ff6004f,
    0x2004ffec,0xfff07ffe,0x7c40001f,0x7ffcc6ff,0x10000003,0xd800dfff,
    0x70001fff,0xfb05ffff,0xfa8003ff,0x3ea1ffff,0xfffd0fff,0xff880000,
    0x3f2004ff,0x3ee006ff,0x7e401fff,0xfff805ff,0x2bffe006,0xf1006ffc,
    0x3ff20bff,0x3ea0003f,0x7ffcc3ff,0x10000003,0xd800dfff,0x20001fff,
    0xfd84fffc,0xe88001ff,0x3fea3fff,0x0fffd0ff,0xfff70000,0xfff3003f,
    0xffd8003f,0xfff500ef,0xfffb001f,0x1fff3001,0x5001fff5,0x3e605fff,
    0x360006ff,0x7fcc0fff,0x0000003f,0x800dfff1,0x0001fffd,0x7ec3fffc,
    0xf70001ff,0x7ffd4bff,0x00fffd0f,0x3fffa000,0x3fffe806,0xffff8800,
    0x2ffff884,0x05fff700,0x3e2dff90,0xffc803ff,0x3fffa00f,0xfff88001,
    0x03fff985,0xff100000,0xffd800df,0x7f40001f,0x7ffec1ff,0xfff30001,
    0x87fffd4f,0x00007ffe,0x09ffff10,0x002fffdc,0x85ffff50,0x2004fffe,
    0xe804fff9,0x17ffa4ff,0x701bffa0,0x70009fff,0xff305fff,0xeed8807f,
    0xff88003e,0x7fec006f,0x7f40001f,0x7ffec1ff,0x3ffe0001,0x1ffff30f,
    0x0001fffa,0x1ffffb80,0x00ffff98,0x7fffe400,0x00dfff70,0x880dfff0,
    0x3fee1fff,0x27ffc407,0x01bffe20,0x4c1fffa0,0x3a203fff,0x10004fff,
    0xd800dfff,0x20001fff,0x6c0ffff8,0x20001fff,0xff10ffff,0x03fff4ff,
    0x3ffa0000,0x2fffe86f,0xfffd0000,0x01ffff3b,0x80fffb00,0x7fcc7ffa,
    0x3ffea01f,0x1fffd802,0x13ffe600,0x881fffcc,0x0004fffe,0x001bffe2,
    0x0003fffb,0x6c3fffdc,0x10001fff,0x7fc4dfff,0x01fffa7f,0xfff10000,
    0x2fffdc5f,0xfff30000,0x005fffff,0x807ffea0,0xfff85ffd,0x01fff204,
    0x0027ffd4,0x2601fff9,0xfe883fff,0x440004ff,0x6c006fff,0x70001fff,
    0xfb09ffff,0x320003ff,0x7ffc5fff,0x001fffa6,0x3ffee000,0x0ffff88f,
    0x7fdc0000,0x0004ffff,0xf80fffe2,0x6ffd83ff,0x8017ffa0,0x3e007fff,
    0x3fe606ff,0x7fff443f,0xff880004,0x7fec006f,0x3266001f,0xfb06ffff,
    0xf50003ff,0xfff85fff,0x001fffa6,0x7fff4000,0x002fffcc,0xffffb000,
    0xffd0000d,0x03ffe60b,0x2203ffee,0x32003fff,0xfa802fff,0x3fe602ff,
    0x3fffa23f,0xff100003,0xffd800df,0xeeeeeeef,0xfffffeee,0xffb01fff,
    0x7ecc003f,0xffe85fff,0x001fffa5,0x7ffc4000,0x0004ffff,0x3fffea00,
    0xffc80005,0x20dff707,0xfa82fff8,0x3e2001ff,0xffd805ff,0x9fffcc07,
    0x003fffe8,0x1bffe200,0xfffffb00,0xffffffff,0x1bffffff,0x777ffec0,
    0xfeeeeeee,0x0fffffff,0x3fa5ffe8,0x0000007f,0x3bffffee,0xf1000000,
    0x005fffff,0x80fffa80,0x3fa04ffe,0x07ffc85f,0x00fffd80,0x3013ffe2,
    0xffd17fff,0x8800007f,0x6c006fff,0xffffffff,0xffffffff,0xffd802ce,
    0xffffffff,0xffffffff,0x49ffb01e,0x00007ffe,0x7ffff400,0x36000001,
    0x0fffffff,0x3ffe2000,0x017ffc42,0xffd0fff9,0xfff5000b,0x0fffdc05,
    0x3b3ffe60,0x00006fff,0x006fff88,0x666fffec,0xffffeccc,0x7fec003f,
    0xffffffff,0x3fffffff,0xfd27fec0,0x000000ff,0x005fff98,0x3ffee000,
    0x006fffed,0x2a27ff40,0x7fd407ff,0x0bffe20f,0x02fffc00,0xf300dffd,
    0xffffffff,0xf8800007,0x7ec006ff,0x7fd401ff,0xfb000dff,0xddddddff,
    0x03559bdd,0xfe8fff20,0x0000007f,0x002fffcc,0xffff9800,0x03ffff98,
    0x91bff200,0xff880bff,0x03ffea2f,0x07ffe400,0x401fffcc,0xfffffff9,
    0x00001fff,0x001bffe2,0x3003fffb,0x200dffff,0x0001fffd,0x747ff900,
    0x000007ff,0x02fffcc0,0x7ff44000,0x3fffee3f,0xfff50001,0x401fff41,
    0x3fee4ffe,0x3fe60006,0x0fffc83f,0xfffff980,0x006fffba,0x1bffe200,
    0x03fffb00,0x17fffe60,0x007fff60,0x17fdc000,0x0000fffd,0x5fff9800,
    0xffd80000,0xefffe85f,0x5fff0000,0x2007ffe6,0x3ff66ffb,0x7ff40004,
    0x004fff86,0x745ffff3,0x00003fff,0x800dfff1,0x2001fffd,0x403ffffa,
    0x0001fffd,0x743ff500,0x000007ff,0x02fffcc0,0x3ffee000,0xffff880f,
    0x9ffb0005,0x4c01ffee,0x0bffe7ff,0x3fff7000,0x800fffd4,0x7cc4fff9,
    0x80001fff,0x4006fff8,0x4001fffd,0x202ffffc,0x0001fffd,0x743ff500,
    0x000007ff,0x02fffcc0,0xffff3000,0x7fffdc05,0x5ffb8002,0x7c009ffb,
    0x07ff99ff,0x4fff8800,0x9801bff6,0xffb83fff,0xf880006f,0x7ec006ff,
    0x744001ff,0xfb00ffff,0x000003ff,0xffe83322,0x40000007,0x0005fff9,
    0x09fffd10,0x01ffffb0,0xff7ff980,0x7fec005f,0x0005ffbb,0x7fcdffb0,
    0x3fe6003f,0x7fffd03f,0xfff88000,0x7ffec006,0xfff98001,0x3fffb05f,
    0xe8000000,0x000007ff,0x02fffcc0,0x6fffd800,0xdffff100,0xf5fff000,
    0x7dc001ff,0x003ffdcf,0x53fff500,0x4c001fff,0xff303fff,0x440003ff,
    0x6c006fff,0x90001fff,0xfb05ffff,0x000003ff,0x007ffe80,0x7fcc0000,
    0xfa80005f,0x2a001fff,0x4003ffff,0x06ffeffd,0x7f77fc40,0x3a00001f,
    0x05ffdbff,0x01fffcc0,0x000dfff9,0x0037ffc4,0x0007fff6,0x437fffc4,
    0x0001fffd,0x74333300,0x000007ff,0x02fffcc0,0x3fffe200,0xfffc8003,
    0x3fee001f,0xe8003fff,0x0007ffff,0x7ff7fdc0,0x7fcc002f,0x7fff403f,
    0xfff10003,0xfffd800d,0x3fea0001,0x7ffec4ff,0xf9800001,0x3fffa7ff,
    0xcccccccc,0x03cccccc,0x05fff980,0x2ffff400,0xdfffd000,0x3ffe6001,
    0xfc8001ff,0x00005fff,0x3fffffc4,0x1fffcc00,0x07fffea0,0x1bffe200,
    0x03fffb00,0xffffd800,0x007fff61,0x3ffe6000,0x3fffffa7,0xffffffff,
    0x8006ffff,0x0005fff9,0x003ffff2,0x4ffff980,0x1ffffe00,0x7fffd400,
    0xfd800002,0x98004fff,0xfc803fff,0xf88006ff,0x7ec006ff,0x440001ff,
    0x3f66ffff,0x800001ff,0x3fa7fff9,0xffffffff,0xffffffff,0xfff98006,
    0xfff50005,0xf700005f,0x32005fff,0x10005fff,0x0001ffff,0x1ffff500,
    0x7fff3000,0x7ffff100,0x6fff8800,0x0fffec00,0x7ffdc000,0x03fffb3f,
    0xfff30000,0x7fffff4f,0xffffffff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cc40000,
    0x99880001,0x03333311,0x26662000,0x00333109,0x09999980,0x8009ddd1,
    0x2002eee8,0x13331098,0x19998000,0x10004c00,0x33333333,0x33333333,
    0x26621333,0x99999999,0x99999999,0x26662199,0x01999999,0x5eee9800,
    0x998dddd1,0x05fffd99,0xebfff400,0x002fffff,0x6ffffd80,0x4000fffd,
    0x745ffffc,0x2e000fff,0xf5000fff,0x0bfff29f,0x0ffff000,0xfffffdb8,
    0x3ff200ce,0xffffffff,0xffffffff,0xfffff95f,0xffffffff,0xffffffff,
    0x3fffff61,0xffffffff,0x3e6002de,0xffff37ff,0x7effffcc,0x20002fff,
    0xfffd7ffe,0x880009ff,0xfd6fffff,0x3f2000ff,0xffb85fff,0x3ffa003f,
    0x9fff1006,0x000bfff2,0x2a0ffff0,0xfffffffe,0xff903fff,0xffffffff,
    0xffffffff,0x3ffff2bf,0xffffffff,0xffffffff,0xfffffb0f,0xffffffff,
    0x3007dfff,0x3fe6ffff,0x3fffe67f,0x00fffffd,0x3afffd00,0x007fffff,
    0x7ffffd40,0x000fffd6,0x20bffff9,0x3006fff8,0xd1005fff,0x3ff29fff,
    0x7fc0002f,0xffffb87f,0xfffffeff,0xffffc86f,0xffffffff,0x5fffffff,
    0xfffffff9,0xffffffff,0x21ffffff,0xfffffffd,0xffffffff,0x2602ffff,
    0xfff37fff,0x6ffffccf,0x005fffff,0x3fafffd0,0x002fffff,0x3fffff60,
    0x800fffd6,0x404ffffc,0xc801fffd,0xfd800fff,0xfff94fff,0xfff80005,
    0x6ffffcc7,0x7fffdc41,0x567ffe43,0xaaaaaaaa,0x92aaaaaa,0x55559fff,
    0x55555555,0x7ec55555,0xaaaaabff,0xfffdccba,0x55102fff,0x8aaaa255,
    0xffdffff9,0x8002ffff,0xfffd7ffe,0x20009fff,0x6ffffff8,0x6400fffd,
    0xa804ffff,0xff804fff,0x7ff4c05f,0xfff94fff,0xfff80005,0x017fff47,
    0xc87fffe6,0x00003fff,0x0003fff9,0x01fffd80,0x7ffffdc0,0x7cc00001,
    0xffffffde,0x7ff4000f,0xff9fffd7,0x3fea000f,0xffd6fffd,0x3fff200f,
    0x3ffe004f,0x17ffd406,0xffffff90,0x0bfff29f,0x4ffff000,0x5005fff9,
    0x7fe49fff,0xf900003f,0x800003ff,0x8001fffd,0x006ffff9,0x7ee7dc00,
    0x05fffeff,0xfebfff40,0x02fffaff,0xffaffd80,0x00fffd6f,0x009ffff9,
    0x201fffc8,0xfd307ffd,0x9fffbfff,0x000bfff2,0x7dcffff0,0x3fe000ff,
    0x0ffff26f,0x7ffe4000,0x7ec00001,0xf30001ff,0x00005fff,0x7ffed7ec,
    0x002ffff9,0x7ff5fffa,0x8009fff7,0xfff8fff8,0xc80fffd6,0x8003ffff,
    0xf104fff9,0xfff509ff,0x53ffe7ff,0x0002fffc,0xffb3fffc,0x7ffd800f,
    0x000ffff2,0x00fffe40,0x3fff6000,0x3ff20001,0xf700006f,0x2efffb1f,
    0xd000ffff,0x5fffafff,0x5c007ffc,0x2dfff5ff,0x3f207ffe,0x20003fff,
    0xff707ffe,0xdfff503f,0xfca7ffc3,0x7c0002ff,0x1772e7ff,0x64fffb00,
    0x00003fff,0x0003fff9,0x01fffd80,0x3fffe200,0x7fcc0000,0x7f4fffb1,
    0xffd005ff,0x7cdfffaf,0x3f6001ff,0x3adfff2f,0xfff907ff,0xfb80007f,
    0x6ffe82ff,0xff07ff50,0x0bfff29f,0x0ffff000,0x9bffe000,0x0003fffc,
    0x003fff90,0x1fffd800,0x7ffec000,0x20c80003,0x3fe67ffd,0xffe802ff,
    0x7fcfffd7,0xfff1004f,0x7f5bffe1,0xffffc87f,0xff880003,0x1fffc45f,
    0x3ffe03a8,0x005fff94,0x007fff80,0x24fff980,0x0003fffc,0x003fff90,
    0x1fffd800,0x7ffd4000,0xfd800005,0x7fffdc7f,0xebfff400,0x1fff27ff,
    0xff2ffdc0,0x91fffadf,0x0005ffff,0x707ffec0,0x20001fff,0xfff94fff,
    0xfff80005,0xffe80007,0x0ffff22f,0x7ffe4000,0x7ec00001,0x4c0001ff,
    0x00006fff,0xfe87ffd8,0x7ff405ff,0x7ccfffd7,0xffe801ff,0x7f5bffe2,
    0x3ffff27f,0x2a00000f,0x3ffa2fff,0x3ffe0005,0xdddfff94,0xdddddddd,
    0xfffddddd,0xffa8000f,0x5fffe46f,0x99999999,0x64099999,0xaaaacfff,
    0xaaaaaaaa,0x7fec2aaa,0x7c40001f,0x800007ff,0xff987ffd,0x3ffa02ff,
    0xff8fffd7,0x3ffc404f,0x7ff5bffe,0xffffff97,0xff80000d,0x05fff15f,
    0xca7ffc00,0xffffffff,0xffffffff,0x07ffffff,0x3fffe600,0x7ffffe41,
    0xffffffff,0x7e44ffff,0xffffffff,0xffffffff,0x7ffec7ff,0x7fc40001,
    0xd800007f,0xfff707ff,0x5fffa01f,0x7fe47ffe,0x227fdc07,0xfffd6fff,
    0xfffffff9,0x6400007f,0x0fff77ff,0x94fff800,0xffffffff,0xffffffff,
    0x0fffffff,0x3fffe600,0xfffffc83,0xffffffff,0x7e44ffff,0xffffffff,
    0xffffffff,0x7ffec7ff,0xfff80001,0x6c00000f,0x3ffa07ff,0x2fffd05f,
    0x7fcc7ffe,0x07ffa01f,0x3ffadfff,0xfb9fffff,0x00001fff,0xffb5fff1,
    0xfff80009,0xdddfff94,0xdddddddd,0xfffddddd,0xfff3000f,0x3fff20bf,
    0xffffffff,0x44ffffff,0xfffffffc,0xffffffff,0x7ec7ffff,0x440001ff,
    0x00007fff,0x2607ffd8,0xfe82ffff,0xf0fffd7f,0x3fe209ff,0xfd6fff87,
    0x6c3fffff,0x0000ffff,0xfffbffd0,0xfff80003,0x005fff94,0x007fff80,
    0x02ffffd4,0x5559fff9,0x55555555,0xfffc8355,0x9999999b,0x99999999,
    0x00fffec1,0x1fffe600,0x4ccc3333,0x03ffec01,0xd03ffff2,0x1fffafff,
    0x7dc1fff2,0xd6fff84f,0x883fffff,0x0005ffff,0xdfffff70,0x9fff0000,
    0x000bfff2,0x400ffff0,0x405ffffb,0x0003fffc,0x003fff90,0x1fffd800,
    0x7ffd4000,0x4dfffe65,0x7ec07fff,0xfffe807f,0xfebfff45,0x1fff987f,
    0xff81ffe8,0x3ffffd6f,0x0ffffea0,0x3ffe2000,0xf80003ff,0x5fff94ff,
    0x7fff8000,0x9ffff900,0x07fff900,0x3fff2000,0x7ec00001,0x5c0001ff,
    0x3fe64fff,0x0ffff37f,0x9807ffd8,0x3fa2ffff,0x20fffd7f,0x7fcc4fff,
    0x3adfff06,0x7e401fff,0x80001fff,0x000ffffd,0xf94fff80,0xf80005ff,
    0xffd807ff,0xff9003ff,0x3200007f,0x00001fff,0x000fffec,0x98ffff20,
    0xfff37fff,0x07ffd80f,0x21ffff90,0xfffd7ffe,0xf71fff20,0x5bffe09f,
    0xe8807ffe,0x0000efff,0x002fffcc,0xf94fff80,0xf80005ff,0x3fa207ff,
    0x32002fff,0x00003fff,0x0003fff9,0x01fffd80,0x17fff400,0x3e6ffff3,
    0x7fec07ff,0x3fffa007,0x3fafffd5,0x5fff307f,0xff80fffc,0x00fffd6f,
    0x017fffe6,0x05fff300,0x53ffe000,0x0002fffc,0xe883fffc,0x4001ffff,
    0x0003fffc,0x003fff90,0x1fffd800,0x3ffea000,0x006f980f,0x400fffb0,
    0xfeaffff9,0x40fffd7f,0xdff34ffe,0xfeb7ffc0,0x3ff2007f,0x320002ff,
    0x200006ff,0xfff94fff,0xfff80005,0xefffe887,0xfffc8001,0xff900003,
    0xd800003f,0x20001fff,0xf704fffe,0x200cccc9,0x64007ffd,0x7fffffff,
    0x7e40fffd,0x407ff97f,0xfffd6fff,0xffffe800,0x7fff0000,0x7ffc0000,
    0x005fff94,0xe87fff80,0x0000efff,0x0007fff9,0x007fff20,0x3fffb000,
    0x3ffee000,0x225fb00f,0x7ec07fff,0xffe8007f,0xffd7ffff,0x57ffcc0f,
    0x3fe00fff,0x00fffd6f,0x06ffff88,0x00fffa80,0x53ffe000,0x0002fffc,
    0x3ee3fffc,0x20000eff,0x0003fffc,0x003fff90,0x1fffd800,0xffffa800,
    0x221ff704,0x7ec07fff,0xff98007f,0xffd7ffff,0xfeffe80f,0xb7ffc06f,
    0xb8007ffe,0x2004ffff,0x0004fffa,0xfca7ffc0,0x7c0002ff,0x3ffe27ff,
    0x7e40000f,0x900003ff,0x00003fff,0x001fffd8,0x3bffff66,0x221ff980,
    0x7ec07fff,0xff90007f,0x3ffaffff,0x7fffe407,0xb7ffc03f,0xb0007ffe,
    0x3605ffff,0x0fffffee,0x7ffc0000,0x005fff94,0x367fff80,0xccccefff,
    0xcccccccc,0x7fff90cc,0x3ff20000,0xccccccdf,0xcccccccc,0xfffb3ccc,
    0x9999999b,0xffffffb9,0x2206401d,0x7ec07fff,0x3fa0007f,0xfffd7fff,
    0xfffff980,0xeb7ffc00,0xf10007ff,0xf901ffff,0x005fffff,0x29fff000,
    0x0002fffc,0xff9bfffc,0xffffffff,0xffffffff,0x07fff90f,0x3fff2000,
    0xffffffff,0xffffffff,0xffffb5ff,0xffffffff,0x1dffffff,0xfb000000,
    0x7cc000ff,0xfffd7fff,0x0bfffd00,0x3fadfff0,0x3ea0007f,0xffb85fff,
    0x00003fff,0x3f29fff0,0x7c0002ff,0xffff77ff,0xffffffff,0x1fffffff,
    0x000ffff2,0x7ffffe40,0xffffffff,0xffffffff,0xffffffb5,0xffffffff,
    0x00005dff,0x03ffec00,0x5ffff200,0xfc807ffe,0xfff803ff,0x000fffd6,
    0x43ffffc8,0x000bddc8,0x53ffe000,0x0002fffc,0xffcbfffc,0xffffffff,
    0xffffffff,0x07fff90f,0x3fff2000,0xffffffff,0xffffffff,0xffffb5ff,
    0xdfffffff,0x0000399b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x4cccc403,
    0x00999999,0x65d4c000,0x800001ab,0x00009998,0x3bbbbb20,0xeeeeeeee,
    0x7777741e,0xeeeeeeee,0x02eeeeee,0x00026620,0x00006620,0x80000660,
    0x40000098,0x00000098,0x407ffe20,0xfffffffe,0xceffffff,0xffe98001,
    0x03ffffff,0x3fff6000,0xfd00000f,0xffffffff,0xf83fffff,0xffffffff,
    0xffffffff,0x372203ff,0xceffffff,0xfffb3000,0x0007bdff,0xdffffb73,
    0xffd70007,0x0019dfff,0xffffdb70,0x0000019d,0xe80ffff4,0xffffffff,
    0xffffffff,0xfffb1004,0xffffffff,0xf880003d,0x0003ffff,0xffffff88,
    0xffffffff,0x7ffffc1f,0xffffffff,0x03ffffff,0xfffffff7,0x805fffff,
    0xfffffffd,0x9800efff,0xffffffff,0xe9802fff,0xffffffff,0xfb1002ff,
    0xffffffff,0x9000003d,0x3a03ffff,0xffffffff,0xffffffff,0x7fec00df,
    0xfdcbceff,0x0001ffff,0x1bffffee,0x3ffe6000,0xeeeeeeee,0x7741eeee,
    0xeeeeeeee,0xfffeeeee,0x7fff441f,0xfffeeeff,0xffb02fff,0xfffdddff,
    0x7dc03fff,0xffefffff,0x2e01ffff,0xfeffffff,0x405fffff,0xeffffffa,
    0x04fffffe,0x3ffe6000,0xfffd01ff,0x75555557,0xdffffd99,0x3fffee01,
    0xdfffd302,0x6fff4000,0x40001fff,0x0000fffb,0xfffb0000,0x3dfff905,
    0x17fffaa0,0x1037ffee,0x20bfffb5,0x41dffff9,0x80ffffda,0x41dffff8,
    0x03ffffc8,0x83bffff1,0x02ffffa8,0xfffe8800,0xfffd01ff,0xffffb800,
    0x1ffff882,0x04fffe80,0xf8fff980,0x640004ff,0x000007ff,0x09fff700,
    0x2201bffe,0x7ec1ffff,0x3fe200ff,0xfffe80ff,0x1fffec03,0x201ffff4,
    0xc80ffffa,0x74c03fff,0xc80006ff,0x01ffffff,0x5000fffd,0xff70bfff,
    0x3fe6009f,0xffc8006f,0x001fff96,0x002fff40,0x7fcc0000,0x3fff705f,
    0x0bffee00,0xf7009fff,0xfffa85ff,0x6fff9806,0x8027ffdc,0x7cc5fffb,
    0xff3005ff,0x7d40007f,0x01fffbff,0x2000fffd,0xffd87fff,0x3ff6001f,
    0x4fff8007,0x0007fff5,0x0001fffc,0x3ffe2000,0x0bb9500f,0x217ffd40,
    0x13006fff,0x007fff20,0xfd06f7e4,0x7f4001ff,0x3fff60ff,0x1fff6000,
    0x5fffc400,0xfd01fffa,0x3f6000ff,0x3fffc1ff,0x07fff200,0x22fffa80,
    0x30006fff,0x00005fff,0x3fffc800,0xff980000,0x6fffec2f,0x3ffe0000,
    0xff802006,0x7fdc005f,0x01bffa2f,0x001fff70,0x3eabffb0,0xfffd01ff,
    0x3fff6000,0x00154c40,0xb001fff6,0xfffc8fff,0xfffa8001,0x20000000,
    0x0006fff9,0x3ffae620,0x7fffd43f,0x22001bef,0x80005fff,0x4003fff8,
    0x3fe3fff9,0x7fd4005f,0x7fdc001f,0x03fff50f,0x4001fffa,0x00006fff,
    0x1002fffc,0xff989fff,0xffc8005f,0x9bfd9717,0x7f400005,0x988001ff,
    0xfffffecb,0xffc83fff,0xadffffff,0x13ffe600,0x3ffea000,0x7ffc4002,
    0xffffff14,0xffffffff,0x005fffff,0xf517ffcc,0x3ffa03ff,0xfffa8007,
    0x3ee00003,0x3ee003ff,0xfffe81ff,0x6ffec000,0xfffffffb,0x5c0001ef,
    0x54005fff,0xfffffffe,0x03ffffff,0xfffffff7,0xf303bfff,0x700007ff,
    0xf0003fff,0x3ffeabff,0xffffffff,0xffffffff,0x13ffa004,0x3a03fff5,
    0x7dc007ff,0x00000eff,0x001ffff5,0xfb837ff4,0x7fc003ff,0xffffffff,
    0x004fffff,0x007fffa0,0x7fffffc4,0xfaadffff,0x3ae203ff,0xffffffff,
    0x1fffcc2f,0x7ffdc000,0x5fff8001,0xfffffff5,0xffffffff,0x2009ffff,
    0x7d40effc,0xfffd01ff,0x75555557,0x1bfffd99,0x3fea0000,0x3e6002ff,
    0xfff104ff,0x7ffc400d,0xdbabdfff,0x003fffff,0x006fff98,0xbfffffd1,
    0xfffa8137,0xffb51003,0x447fffff,0x80004fff,0x4002fffa,0xff35fff8,
    0x0000007f,0xf503fff3,0x3ffa03ff,0xffffffff,0x04ffffff,0x3ffea000,
    0x7fec003f,0x3fff600f,0xffff5001,0x7ffec40b,0x7fe4000f,0xfffb003f,
    0xfff7003d,0x3f260007,0x7ffc6fff,0xff980005,0x7fcc003f,0x09fff14f,
    0xfe880000,0x3fff504f,0x3fffffa0,0xffffffff,0x0002efff,0x03ffffb8,
    0x037ffc40,0x4017ffea,0xb004ffea,0x4400bfff,0x3e007fff,0xf9000fff,
    0x980007ff,0x3fa0ffff,0x3be2006f,0x09fff12c,0x23fffa80,0x00006fff,
    0x5037fec0,0x3fa03fff,0xffffffff,0xffffffff,0xf50000ef,0x70007fff,
    0xff007fff,0x018001ff,0x03fffe20,0x027ffdc0,0x004fff98,0xda8ffff6,
    0xff9000fe,0x07ffec5f,0x22fffa80,0x2000ffff,0x3fa1fffe,0x3f2000ff,
    0x3fea01ce,0x3ffea01f,0x80fffd01,0xfffda998,0xfe8000ef,0xfd0002ff,
    0xff9001ff,0x8000007f,0xd001fffc,0x2a003fff,0xf3004fff,0x7fd47fff,
    0xfff9002f,0x027ffd41,0x7e47ffd8,0xff5004ff,0x5fffb8df,0x1ffff100,
    0x00fffe20,0x3a03fff5,0xfa8007ff,0x64005fff,0x30003fff,0x5555dfff,
    0xff955555,0x800000df,0x9803fffb,0x26005fff,0x4c00ffff,0x7c3fffff,
    0x7c400fff,0xfffe86ff,0x2fffd401,0x007fffe2,0xd07fffd1,0xfb007fff,
    0x7fec09ff,0x1fffa805,0x000fffd0,0x007fffe6,0x0007ffe8,0x3ffffff2,
    0xffffffff,0x0002ffff,0x13ffe600,0x00bfff20,0x409ffff0,0x4ffffffa,
    0x80f7ffe4,0x983fffd8,0xf703ffff,0xff501fff,0x3fea07ff,0xfff305ff,
    0xffb501bf,0x3fea01ff,0xccccccdf,0xcdfffdcc,0x0fffd1cc,0x1ffff400,
    0x009fff00,0x7fffffc0,0xffffffff,0x005fffff,0x3ffe6000,0x07fff804,
    0xeffffb80,0xffffebac,0xfe85fffc,0xeccdefff,0x900dffff,0xb9bfffff,
    0x403ffffd,0xcdfffffd,0x0efffffd,0x3fffff20,0xfffffdce,0x3ffee01f,
    0xffffffff,0xffffffff,0x00fffd2f,0x02fffdc0,0x003fff88,0xdddfff50,
    0xdddddddd,0x01ffffdd,0xfa800110,0x7fd403ff,0xffb0003f,0xffffffff,
    0x03fff23d,0xffffffd1,0x009fffff,0xfffffff5,0x5005ffff,0xffffffff,
    0x2a00bfff,0xffffffff,0x5c02ffff,0xffffffff,0xffffffff,0xffd2ffff,
    0x7fd4000f,0xfff3005f,0x3ff60005,0xffd8001f,0xdfff104f,0x1fffc800,
    0x00fffe40,0xffffd500,0xffa87dff,0xfffd502f,0x005bffff,0x7ffffec4,
    0x22000cff,0xfffffffd,0x7644001d,0x3fffffff,0xddddd500,0xdddddddd,
    0x3ddddfff,0x8001fffa,0x1003fffc,0x10001999,0x2000dfff,0x3a07fff9,
    0x3a000fff,0x7f400fff,0x880000ff,0x00001aa9,0x002aaa62,0x06aa6200,
    0x2aa62000,0x98800009,0x000009aa,0x01fffa80,0x4000fffd,0x0002fffe,
    0x3ffee000,0x3ffa0003,0x7fff902f,0x13ffee00,0x00ffff10,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfd01fffa,0x3ee000ff,0x00000fff,
    0x03fffa00,0x5fffb800,0x03ffff30,0x00ffff98,0x002fffcc,0x6eeeeedc,
    0x5533dddd,0x55555555,0x55555555,0x00355555,0x00000000,0x00000000,
    0x3ffea000,0x00fffd01,0x5ffffc88,0x02666200,0x0dfff300,0xffff8800,
    0x5ffff900,0x0ffffee0,0x013ffee0,0x3fffff20,0xf94fffff,0xffffffff,
    0xffffffff,0x0dffffff,0x00000000,0x00000000,0x3fea0000,0x9fffd01f,
    0x99999999,0xdfffffb9,0x4fffb800,0x1fffe400,0x7ffec000,0x3ffffa04,
    0xffffdcde,0xfff7003f,0xfff90005,0x9fffffff,0x3ffffff2,0xffffffff,
    0xffffffff,0x0000006f,0x00000000,0x50000000,0x3fa03fff,0xffffffff,
    0xffffffff,0x7dc000ff,0x7fc004ff,0xa80000ff,0x32207fff,0xffffffff,
    0x32002fff,0xc8001fff,0xffffffff,0x555534ff,0x55555555,0x55555555,
    0x00003555,0x00000000,0x00000000,0x407ffea0,0xfffffffe,0xffffffff,
    0xb8000cff,0x2a004fff,0x00005fff,0x300bfffe,0xdffffffd,0xffd8001b,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x7ffd4000,0xfffffd01,
    0xddffffff,0xb800079b,0x36004fff,0x00002fff,0x8017fff2,0x00009ba9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98001300,0x404c0000,0x3001eee9,0x88003ddd,0x3eee9801,0x8f775400,
    0xd9006eec,0xdd7001dd,0x04eeec8b,0x989ddd70,0xeeeeeeee,0xeeeeeeee,
    0x0000002e,0x20000000,0x20006eea,0xb710eee8,0x1039dfff,0x3bffffb7,
    0x75cddd30,0xff30bdff,0x3fea005f,0x21ddd12f,0xeffffdb8,0x0dfff00c,
    0x70fffd80,0xff003fff,0xfff007ff,0x2ffff989,0x0ffffcc0,0x3fffffea,
    0xffffffff,0x02f23fff,0x00000000,0xfb800ecc,0x3e60007f,0xfffe88ff,
    0x221fffff,0xfffffffe,0xcbffcc3f,0x32ffffff,0x2a005fff,0xfff32fff,
    0xfffffd11,0xf903dfff,0x3e2003ff,0x3ffe24ff,0x7fffcc04,0x17ffcc05,
    0x007fffdc,0xf507fffd,0xffffffff,0xffffffff,0x00effec5,0x44000000,
    0x7001ffeb,0x4c000fff,0xffff9fff,0x8fffffff,0xffffffe8,0x3e60ffff,
    0xfffffaff,0x0bffe67f,0x997ffd40,0xfffe9fff,0xffffffff,0x027ffcc1,
    0x741fffb8,0x7fe406ff,0x7fdc07ff,0x17fff607,0x882fffe4,0x99999999,
    0xfffc8999,0x77fffec5,0x80000002,0x1fffffc9,0x00fff700,0x7ffffcc0,
    0x3ffa61cf,0x10afffef,0x4cbfffd5,0xceffffff,0x3ffe64fd,0x5fff5002,
    0x3fffffe6,0x3ffee61c,0x07ffe84f,0xf90dffd0,0x7ff401ff,0x3fa01fff,
    0x3ffe205f,0x77ffd42f,0xff700000,0xffff70df,0x00019fff,0xfffda800,
    0x7000ffff,0x4c000fff,0x202fffff,0x00efffff,0x7ccffff3,0x0442ffff,
    0x2005fff3,0xff32fffa,0x7d403fff,0x7fdc0fff,0x7ffc402f,0x02fff983,
    0x7ffdfff1,0x00bffe20,0x221ffff5,0x0001ffff,0x01dfff50,0x3ffffee2,
    0x00002dff,0x3ffffae2,0x5c002dff,0x260007ff,0x6404ffff,0x6402ffff,
    0xfff30fff,0xfff3009f,0x3ffea005,0x07ffff32,0x885fff90,0x7dc05fff,
    0x9fff00ff,0x3f37fea0,0x1fff505f,0x29fff900,0x0003fffd,0x03ffff30,
    0x3ffff6a0,0x0000beff,0xffffff93,0x2e00019f,0x260007ff,0xfa807fff,
    0xffb806ff,0x0ffff31f,0x00bffe60,0xf997ffd4,0xff7007ff,0x1fffb07f,
    0x902fff40,0x3ff20fff,0xfb07ffab,0x7ff400bf,0x005fffcf,0x5ffff300,
    0xfff93000,0x0039ffff,0x3fffffaa,0xb80002ef,0x260007ff,0xf9805fff,
    0xffb804ff,0x0dfff32f,0x00bffe60,0xf997ffd4,0xff5005ff,0x5fff507f,
    0x80bffe60,0xfe81fffa,0x81fff89f,0x26003fff,0x0fffffff,0xffe88000,
    0xea80003f,0x2dffffff,0xfffffc88,0x2a001cff,0xdccccccc,0xcccccfff,
    0xff300ccc,0xfff3009f,0x5fff5007,0x4017ffe6,0x5002fff9,0x3fe65fff,
    0xfff3004f,0x417ffe07,0x7c407ffc,0x3ffcc3ff,0xff987fff,0x7fdc000f,
    0x00002fff,0x0009fffd,0xffffc980,0xfff70fff,0x0017dfff,0xffffff90,
    0xffffffff,0x203fffff,0x9803fff9,0xfa803fff,0x9fff32ff,0x0bffe600,
    0x997ffd40,0xf3003fff,0x3ff207ff,0x04fff80f,0x7dc5ffd8,0x917ff25f,
    0x3a000dff,0x00005fff,0x000bfffb,0x7ff5c400,0xffffb1ff,0xfc80003b,
    0xffffffff,0xffffffff,0xfff301ff,0x7fff3007,0x25fff500,0x3003fff9,
    0x2a005fff,0xfff32fff,0x3ffe6007,0x87fff303,0xb801fffa,0x1ffec7ff,
    0xffe8fff5,0xfff98003,0x640002ff,0x0000efff,0x7ffe4c00,0x5dfffb1f,
    0xddd70000,0xfffddddd,0xdddddddd,0x0fffe601,0x00fffe60,0x7ccbffea,
    0xff3002ff,0x3fea005f,0x07fff32f,0x80fffe60,0x7fec6ffe,0x5fff1006,
    0xff10fffc,0x07ffe23f,0xfffff100,0x2e0001ff,0x0000ffff,0x3fffaa00,
    0xfff91fff,0x00019fff,0x01ffee00,0x03fff980,0x803fff98,0xff32fffa,
    0x3fe6005f,0xfff5002f,0x00fffe65,0x701fffcc,0x3fe23fff,0x3ffa003f,
    0xfd0fff34,0x01bfee7f,0x3f7fff60,0xfa8005ff,0x00001fff,0xfffffb88,
    0x7ed40cff,0x02dfffff,0x3ffdc000,0x7fff3000,0x07fff300,0x265fff50,
    0xf3002fff,0x3ee007ff,0x7fff32ff,0x0fffe600,0xf53fff88,0x7dc001ff,
    0x909ff76f,0x13ff6dff,0x2bfff500,0x2003fffd,0x002ffff9,0x7ffecc00,
    0x9803efff,0xfffffffc,0xfb80000b,0x3e60007f,0xff9803ff,0xfffa803f,
    0x005fff32,0x400fffe6,0xff32fffd,0x3fe6007f,0xb7fec03f,0x4c005ffd,
    0x2ffd8fff,0xff8fffa8,0x3fe2001f,0xffff10ff,0xffff1001,0x2e200007,
    0xdffffffe,0xfeb88001,0x01dfffff,0x01ffee00,0x03fff980,0x803fff98,
    0xff32fffa,0x3fe2005f,0xfff9806f,0x07fff32f,0x00fffe60,0xfff3fff5,
    0x7fff0005,0xff101fff,0x800fff9f,0x7dc3fffd,0x7f4406ff,0x980004ff,
    0xfffffffc,0xb500000c,0x7dffffff,0x7ffb8001,0x3ffe6000,0x3fff9803,
    0x32fffa80,0x74005fff,0x3e203fff,0xff32ffff,0x3fe6007f,0xefff803f,
    0xf90007ff,0x740dffff,0x004fffff,0x6c17ffee,0x3fa03fff,0x540005ff,
    0xeffffffe,0x26000002,0xfffffffc,0xfff7000c,0x7ffcc000,0x3fff9803,
    0x32fffa80,0x5c005fff,0x220affff,0x2fffffea,0x2007fff3,0xc803fff9,
    0x004fffff,0x9fffff50,0x7ffffe40,0xffff3002,0x3fffe201,0x25fffd81,
    0x99999999,0x3ff61999,0x0001dfff,0x3fae2000,0x7001ffff,0x4c000fff,
    0xf9803fff,0xffa803ff,0x05fff32f,0x7ffffc40,0xaffffeef,0xfff32fff,
    0x3ffe6007,0xffff9803,0x3fe0001f,0x3e602fff,0x3a007fff,0x7dc03fff,
    0x7ffc46ff,0xffffffff,0xffffffff,0x019fffb0,0xa8000000,0x7001fffd,
    0x4c000fff,0xf9803fff,0xffa803ff,0x05fff32f,0xffffe980,0xff1fffff,
    0x0fffe65f,0x01fffcc0,0x006fffe8,0x07fffec0,0x017fffe0,0x802fffe4,
    0x3e24fffd,0xffffffff,0xffffffff,0x005db0ff,0x10000000,0x262003f9,
    0x3e600019,0xff9803ff,0xfffa803f,0x005fff32,0xfffff910,0x97ffc3bf,
    0x3003fff9,0x2e007fff,0x40003fff,0xd806fffa,0xf9802fff,0xf1000fff,
    0x3fe25fff,0xffffffff,0xffffffff,0x0000010f,0x01100000,0xf9800000,
    0xff9803ff,0xfffa803f,0x005fff32,0x000aa880,0x400fffe6,0x0003fff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0x998801cc,0x99999999,0x99999999,0x01664c01,
    0x33306666,0x000cccc3,0x33330000,0x00000003,0x00000000,0x00000000,
    0x00000000,0x80000000,0xc806fff8,0xffffffff,0xffffffff,0x3ea01fff,
    0x7fffc03f,0x22ffff30,0xfb707fff,0x20039dff,0x3fffee48,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x401ffffc,0xfffffffc,
    0xffffffff,0x2601ffff,0x7ffc02ff,0x2ffff30f,0x74c7fff8,0xffffffff,
    0x8bf500be,0x0004fffd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe000,0x7ffe405f,0xffffffff,0xffffffff,0x1ff88261,0x43fffe14,
    0xff17fff9,0x7fffc4ff,0xffffffff,0xfffcabdf,0x00fffe85,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb80000,0x2200ffff,0x99999999,
    0x99999999,0x33fe2199,0xeb89ff89,0x43fffe1f,0xff17fff9,0x7fffccff,
    0xffffffee,0xffffffff,0x03fff885,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffe80000,0x0004ffdb,0xfffa8000,0xfffdffdf,0x43fffe4f,
    0xff17fff9,0x05ffccff,0xfffffb51,0x05ffffff,0x0001ffe6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x51fff500,0x00001fff,0xffed9800,
    0xdfffffff,0xf89fffe2,0x9fffe6ff,0xfea801e9,0x00dfffff,0x00005dcc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7c9ffb00,0x000003ff,
    0x3ffea200,0xdffb00af,0x3fa4fff8,0x1000225f,0x00013755,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0x1bfee1ff,0x70000000,
    0x640bffff,0x1ffec5ff,0x00009ffb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x446ffc80,0x00002fff,0x79ff7000,0x3fea09ff,
    0xf917fe43,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfd83fff8,0xffffc85f,0xffffffff,0x1fffffff,0xfe87ffcc,
    0x42ff983f,0x3fea0ffb,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e000000,0xffa80fff,0x7fffe41f,0xffffffff,0x1fffffff,
    0xff31ffec,0x8819901f,0x0066444c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9fff0000,0x3227ff40,0xffffffff,0xffffffff,
    0x86c81fff,0x000000dc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ea00000,0x3fee01ff,0x2aaaa60f,0xaaaaaaaa,0x0aaaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x7ffc406f,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff30000,0x0fff9007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03bbae00,0x007bba60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_47_usascii_x[95]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,2,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_47_usascii_y[95]={ 38,7,7,7,5,7,7,7,7,7,7,13,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19, };
static unsigned short stb__arial_47_usascii_w[95]={ 0,6,12,23,21,33,27,6,11,11,14,21,5,12,
6,12,21,12,21,21,22,21,21,21,21,21,6,5,21,21,21,21,40,30,23,27,26,23,21,29,24,5,17,25,
19,29,24,29,24,31,27,25,25,24,28,40,28,28,25,10,12,9,18,25,9,21,20,20,20,21,14,20,19,5,
9,19,5,31,19,21,20,20,13,19,12,19,21,31,21,21,21,13,5,13,22, };
static unsigned short stb__arial_47_usascii_h[95]={ 0,31,12,32,38,33,32,12,40,40,14,21,11,4,
5,32,32,31,31,32,31,31,32,30,32,32,22,28,22,14,22,31,40,31,31,32,31,31,31,32,31,31,32,31,
31,31,31,32,31,34,31,32,31,32,31,31,31,31,31,40,32,40,17,4,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,8, };
static unsigned short stb__arial_47_usascii_s[95]={ 255,228,143,43,131,185,67,156,1,47,128,
229,250,145,243,95,157,104,142,23,1,101,66,123,1,179,243,237,207,106,185,
48,90,70,24,129,210,186,164,144,117,248,88,56,235,26,1,219,203,153,175,
201,149,106,100,59,30,1,222,79,131,59,87,158,186,145,108,187,45,230,207,
227,174,249,69,129,248,1,67,208,22,1,33,167,194,47,87,109,141,82,163,
33,27,13,163, };
static unsigned short stb__arial_47_usascii_t[95]={ 1,108,227,42,1,1,42,227,1,1,227,
204,140,197,163,42,42,140,140,75,172,172,75,172,75,42,140,140,204,227,204,
172,1,172,172,42,140,140,140,75,140,74,75,140,108,140,140,1,108,1,108,
42,108,75,108,108,108,108,75,1,75,1,227,197,227,172,42,172,75,172,75,
42,75,1,1,108,42,204,204,172,42,42,204,172,75,204,204,204,204,140,204,
1,1,1,227, };
static unsigned short stb__arial_47_usascii_a[95]={ 187,187,239,374,374,599,449,129,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,187,187,393,393,393,374,683,449,449,486,486,449,411,524,
486,187,337,449,374,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,187,187,187,316,374,224,374,374,337,374,374,187,374,
374,150,150,337,150,561,374,374,374,374,224,337,187,374,337,486,
337,337,337,225,175,225,393, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_47_usascii_BITMAP_HEIGHT or STB_FONT_arial_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_47_usascii(stb_fontchar font[STB_FONT_arial_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_47_usascii_BITMAP_HEIGHT][STB_FONT_arial_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_47_usascii_s[i] + stb__arial_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_47_usascii_t[i] + stb__arial_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_47_usascii_x[i];
            font[i].y0 = stb__arial_47_usascii_y[i];
            font[i].x1 = stb__arial_47_usascii_x[i] + stb__arial_47_usascii_w[i];
            font[i].y1 = stb__arial_47_usascii_y[i] + stb__arial_47_usascii_h[i];
            font[i].advance_int = (stb__arial_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_47_usascii_s[i] + stb__arial_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_47_usascii_t[i] + stb__arial_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_47_usascii_x[i] + stb__arial_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_47_usascii_y[i] + stb__arial_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_47_usascii_LINE_SPACING
#endif

