// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_35_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_35_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT        150
#define STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_35_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_35_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_35_usascii_LINE_SPACING          23

static unsigned int stb__arial_bold_35_usascii_pixels[]={
    0x26155550,0x4c00bcde,0xcb800eee,0x3bb201ed,0x55555511,0x2aaaaa15,
    0x01dd92aa,0xb9751000,0x000599bd,0x00002620,0x359bb751,0x13331001,
    0x00999880,0xacddba88,0x97300009,0x10ccc415,0xabb88333,0x3bba6000,
    0x983bbaa0,0xffe81aaa,0xfffff33f,0x07ffcc05,0x5ffffd30,0xfa9bfe60,
    0xb1ffffff,0x2dffffff,0x20004ffb,0xffffffda,0x01cfffff,0x0017ee00,
    0x7fffff4c,0x5c03ffff,0x7ec07fff,0x3fea04ff,0xffffffff,0x3ffa6003,
    0xfffb3fff,0x263fffa1,0x03fffffe,0xfc8fff50,0x1fffec6f,0xf99ffff4,
    0x2607ffff,0x3fa00fff,0xfb02ffff,0x7fffd47f,0xfffb1fff,0x7ffcdfff,
    0x7ff4c000,0xffffffff,0x004fffff,0x0df7f5cc,0xfffff700,0xdfffffff,
    0x3fffe203,0x3ffff102,0x3fffff20,0xefffffff,0x7fffdc00,0xffdbffff,
    0xf5fffd0f,0xbfffffff,0xe8dff900,0x7ffec5ff,0x33fffe83,0x07ffffff,
    0x5403ffe6,0x81ffffff,0x3ea0fff9,0xb1ffffff,0x4dffffff,0x2e004ffc,
    0x9abeffff,0xfff95310,0xff9001df,0x01bfffff,0xffffffe8,0xffffffff,
    0xbfffb01f,0x41bffea0,0xfffffffd,0xffffffff,0xfffff101,0xffffffdf,
    0x3ffffa1f,0xffffffff,0x27ff403f,0xffb0fffe,0x3999707f,0x209fff90,
    0xf900fff9,0xffd80bff,0x8ffff404,0xf302fffd,0xffb001ff,0xfc8003bf,
    0x7ff406ff,0x6fffffff,0x3ffffee0,0xffb989ad,0xff506fff,0x3fff60ff,
    0xfffffb83,0xffb989ad,0xffb06fff,0x3f6639ff,0xffd0ffff,0xf7117fff,
    0x7c01ffff,0x3ffe62ff,0x016665c1,0x04fff980,0x3201fff3,0x3e602fff,
    0x7ff402ff,0x05fffb1f,0x2e027ff4,0x20003fff,0xf705ffe8,0xffffdfff,
    0xfff105ff,0x7f4407ff,0xfff03fff,0xffff885f,0x7ffffc40,0x3fff6203,
    0x7fffc43f,0x1ffffb04,0x203ffffa,0x303ffff8,0x7fd43fff,0x9988000f,
    0x5fff8809,0x201fff30,0x3a01fffd,0xffe807ff,0x05fffb1f,0x9807ffe4,
    0x77302fff,0x444ccc43,0xfff81fff,0xff9dfbaf,0xffffc86f,0xffff8803,
    0x5fffc80f,0x6c37ffd4,0xf003ffff,0x7cc1ffff,0xff300fff,0x3fffa1ff,
    0x53fff605,0xfffeeeec,0xefffeeee,0x20266626,0xf883fffe,0xfff306ff,
    0x07fff601,0x402fffc4,0xffb1fffe,0x7ffcc05f,0x907ffd04,0xb1dfffff,
    0x3fea3fff,0xbafffc44,0x81bdfb5f,0x2006ffff,0x983ffffb,0x7fec7fff,
    0x6ffff83f,0x3fffee00,0x81fffee3,0xfd0ffff8,0x7fdc07ff,0xfffffb5f,
    0xffffffff,0x7ffecfff,0x83fffe83,0xf306fff8,0x3ff601ff,0x7fff500f,
    0x23fffd00,0x7c02fffd,0x5ffa85ff,0xffffffd8,0x20ffffef,0x3fe60ffe,
    0x100bf74f,0x8007ffff,0xfd04ffff,0x3ffe25ff,0x7fffcc0f,0x7fffc003,
    0x01bfff24,0x3fa1ffff,0x3fee02ff,0xfffffb6f,0xffffffff,0x7ffecfff,
    0x03fffe83,0x3e60dfff,0xfffd00ff,0x0bfff601,0x6c7fffa0,0x7fc02fff,
    0x40ffd87f,0xd9bffffd,0x646fffff,0x3ffe22ff,0xf300bf76,0xe8005fff,
    0xff705fff,0x17ffeabf,0x00bfffee,0x5cbfffd0,0x3e206fff,0xfffd0fff,
    0xb7ffdc07,0xdfffcccb,0xcdfffdcc,0x20ffff64,0xff03fffe,0x3ffe60ff,
    0x40ffff00,0xe801ffff,0xfffb1fff,0x0fffe805,0xff71bfe2,0xffff70bf,
    0x7c3ffa89,0x05fcefff,0x01ffffb8,0x837ffec0,0xffb7fff8,0xffff705f,
    0xfffd8003,0x81fffea6,0xfd0ffff9,0x7fe409ff,0x1fff985f,0x3603ffea,
    0xffe83fff,0x7fffb03f,0x501fff30,0x7fc0dfff,0xffe800ff,0x05fffb1f,
    0x2e1fffd8,0x7fffc3ff,0x2ffff980,0x3f21ffcc,0x00dfffff,0x007fffe4,
    0x81ffff20,0xfffafffd,0x1ffff907,0x7fffc800,0x403fffe6,0xfd0ffffb,
    0x7ff40dff,0x47ffb84f,0xffb06ffc,0x7fffd07f,0x2bfffea0,0x503ffe60,
    0x2207ffff,0xfd007fff,0x3fff63ff,0x1fffe402,0x7fdc1ffb,0x3fffe04f,
    0x221ffcc1,0xffffffff,0xffff701d,0xfffc8001,0x3fffea07,0xff704fff,
    0xfc8001ff,0x7fffc7ff,0xfffff885,0x07ffffd0,0x905ffff5,0x4ffe8dff,
    0xd07fffb0,0x7f407fff,0xff30ffff,0x3fffe21f,0x3ffe606f,0x3fffd007,
    0x700bfff6,0x3ff49fff,0xf803fffa,0x2ffb87ff,0xfffffe88,0xffa85fff,
    0x7ec001ff,0x7ffc06ff,0xf501ffff,0xd8003fff,0x7fdc6fff,0xffc8aeff,
    0xffd0ffff,0xfb35dfff,0x3fa0dfff,0x81fffc4f,0xfe83fffd,0x7fec03ff,
    0x1fff30ff,0x037fffe2,0x006fffa8,0x3f63fffd,0x7fd402ff,0xff1bfe5f,
    0x7ffc40ff,0x201ffd86,0xffffffeb,0x7fffcc6f,0x7fffc002,0x7fffe404,
    0x3ffe606f,0x7ffc002f,0xffffe85f,0xffffffff,0xfffffd0f,0xffffffff,
    0x7ffffec5,0xffffffff,0x3fff67ff,0x03fffe83,0x43ffffa2,0xff10fff9,
    0x7cc03dff,0xffd005ff,0x0bfff63f,0x7cbfff50,0x1bffe25f,0xf84fffa8,
    0xfff9007f,0x7c45ffff,0x81504fff,0x403ffff9,0x03fffff9,0x013fffe2,
    0x83ffff98,0xfffffff9,0xd0ffffaf,0xfffd7fff,0xfd87ffff,0xffffffff,
    0x27ffffff,0xfe83fffd,0x3ffe03ff,0xfff30eff,0x3ffffa21,0xdfff100f,
    0x47fffa00,0x5402fffd,0x9bfe3fff,0x3205fff9,0x7fe42fff,0xf5bf7004,
    0xffe8bfff,0x67fc40ff,0x05ffffb0,0x01ffffd0,0x01fffff8,0x05ffffb0,
    0x37ffff62,0xd0ffff88,0x3ff25fff,0xffd81eff,0xffffffff,0x367fffff,
    0xffe83fff,0xdfff703f,0x40fff981,0x204fffe9,0xfd007fff,0x3fff63ff,
    0x17ffdc02,0x7ffc4ffd,0x1ffff107,0x8007ffd4,0xdfff15fb,0x45ffffa8,
    0xffcffffc,0xffd006ff,0xfff500bf,0xfff500bf,0x106600df,0x3fa1ffff,
    0x004cc2ff,0x55dffd53,0x555bffd5,0x41fffec5,0xfb03fffe,0xfff305ff,
    0x0dfff501,0xe803ffec,0xfffb1fff,0x1fffb805,0xffff1ff6,0x4ffff903,
    0xaa83fff9,0x74bf70cc,0xfffe87ff,0xfff910df,0x005fffff,0x005ffff5,
    0x07bffffa,0x0fffffdc,0xffff1000,0x00bfffa1,0x7c4ffe80,0x3ff603ff,
    0x3fffe83f,0x260ffff0,0xffd00fff,0x07ffe40f,0xd8ffff40,0x7ec02fff,
    0x8bff20ff,0x911dfffd,0xf93fffff,0x3ff609ff,0x7fcbf74f,0xffff986f,
    0xffdbbdff,0xa805ffff,0x2007fffe,0xeffffff9,0xfffffdcc,0x7c40004f,
    0xfffd0fff,0x3fe20005,0x07ffe62f,0xe83fffd8,0xfff03fff,0x03ffe60d,
    0xb807fff4,0xfe801fff,0x5fffb1ff,0x447ffe80,0x3ffe26ff,0xfffffeff,
    0x03ffffff,0x2e7fffea,0x09fff55f,0x3fffffee,0xffffffff,0xffed81df,
    0x4003ffff,0xfffffffa,0xdfffffff,0x7fc40000,0x5fffd0ff,0x3ffe6000,
    0xb01ffea1,0xffd07fff,0xdfff107f,0x403ffe60,0xf300fffd,0xffd009ff,
    0x0bfff63f,0xe85fff88,0x3ffea1ff,0xfffbffff,0x4402ffff,0xdfdfffff,
    0x201ffffc,0xffffffd8,0xffffffff,0x3fff21df,0x8000efff,0xffffffd8,
    0x003fffff,0x1ffff100,0x000bfffa,0x3f23ffdc,0x7ffec06f,0x83fffe83,
    0xf305fff8,0x3ff601ff,0x1bffe01f,0x6c7fffa0,0x3ea02fff,0xeffa82ff,
    0x33bfb220,0x137bfb50,0x7fd41998,0xffffffff,0xfdb5004f,0xf99bffff,
    0x7dcbffff,0x000dffff,0x7fffed40,0x0000ceff,0x43fffe20,0x0002fffe,
    0xffd8bff9,0x1fffec04,0x4417fff4,0xff305fff,0x3fff601f,0x03ffee01,
    0x363fffd0,0x3f202fff,0xdffb00ff,0xffc80000,0xfffffc86,0x0004ffff,
    0xfd301531,0x665443ff,0x8800001a,0x000000a9,0x3310cccc,0x2aa00013,
    0x00d5541a,0x17fffc00,0x982fffd4,0xff900fff,0x7ffc405f,0x8ffff402,
    0x3a02fffd,0x3fa205ff,0x440001ef,0xd301fffd,0x05bfffff,0xbd700000,
    0x00000000,0x00000000,0x00000000,0xfffb7500,0x7feccc3f,0x1fff304f,
    0x27bffee0,0x809ff901,0xffb1fffe,0x3ffe205f,0x7fffcc01,0x7dc4001d,
    0xc8802fff,0x0000005f,0x00000010,0x00000000,0x00000000,0xfffd0000,
    0x3fe61fff,0xf302ffff,0x3fea01ff,0xf882ffff,0x7fffd47f,0xfffb1fff,
    0x7fe4dfff,0xfffb1005,0x33557bff,0xffffd955,0x2fdc003d,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff88,0x3ffffe64,0x03ffe606,
    0x2fffffe8,0x7d47ff90,0xb1ffffff,0x4dffffff,0x5c001fff,0xffffffff,
    0xffffffff,0x7dc000cf,0x00000005,0x00000000,0x00000000,0x00000000,
    0xfffff300,0xdffff98b,0x03ffe601,0x2ffffd88,0x7d4dff10,0xb1ffffff,
    0x2dffffff,0x20004ffb,0xffffffca,0x0aefffff,0x00131000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x880acba8,0xc8801abc,0x9753004c,
    0x88665c03,0x0aaaaaaa,0x55555555,0x0000332e,0x566554cc,0x0000009a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0039b970,0x20003bb6,0x00bcecc9,0x1ab98800,0x01ba9800,0x007dd700,
    0x79bdb971,0x57530003,0x5cc40013,0x00ccc41b,0x2f3b6ea2,0xab988002,
    0x2aa00000,0x55d4402a,0x05555400,0x00eed800,0xfffffd10,0x05ffa809,
    0x7fffec40,0x30004fff,0x3bfffffd,0xfffff700,0xffe8009f,0x3fff6202,
    0x2effffff,0xfffffa80,0xffa803ff,0xffd2ffff,0xfffd101f,0x07ffffff,
    0xfffffb10,0xf880001d,0xfea80fff,0xf00effff,0x20005fff,0xfb002ffd,
    0x05fffbff,0x2000fff4,0xfffffffe,0x7dc004ff,0xffffffff,0x3ffff601,
    0x000effff,0x3ee01fff,0xffffffff,0x3604ffff,0xffffffff,0x3fff205f,
    0xfebfffff,0x7ffcc0ff,0xffffffff,0x3ffa605f,0x02ffffff,0x3fffe200,
    0x7ffffdc0,0xff82ffff,0xf70002ff,0xfff3009f,0x541bff21,0x7dc005ff,
    0xffb9cfff,0xff7001ff,0xffffffff,0xffff901d,0x0dffffff,0x2e0fff30,
    0xffffffff,0x4fffffff,0xffffffa8,0x983fffff,0xfeffffff,0x20ffffff,
    0xfffffff8,0x4fffffff,0xffffffd0,0x4000ffff,0x2a0ffff8,0xffffffff,
    0x7ffc0fff,0xff30002f,0x4dff500d,0xffd07ff9,0xfffd8003,0x01fffdc4,
    0x8afffff8,0x4c2ffffb,0xea9dffff,0x5c02ffff,0xfff985ff,0xca89beff,
    0x41fffffe,0xb31efffe,0xffd0ffff,0x3f6617ff,0x3ee0ffff,0xa88acfff,
    0x40fffffc,0xa8bffff9,0x0003ffff,0x6c1ffff1,0xfb8aefff,0x7ffc5fff,
    0x3fe0002f,0x2ffdc00f,0xfa81fff3,0xffd8005f,0x27ffd44f,0x437ffdc0,
    0x7e45fffd,0xfffd85ff,0x41ffec06,0x403fffff,0x7c4ffffd,0x7fc41fff,
    0x3ffe60ff,0xffffd02f,0x027ffec1,0xd85ffff9,0x7fdc5fff,0xff10006f,
    0x3ffe21ff,0x37ffe40f,0x000bfffe,0x6402ffd8,0x3ffe65ff,0x000fff41,
    0x88ffffdc,0xe801fffe,0xaa983fff,0x17ffec09,0x017fffd4,0xffa83fff,
    0xff8804ff,0x3ffe26ff,0x43fffd07,0x2a07fffa,0x3fe0ffff,0x3fe203ff,
    0x3ffe24ff,0x7fffc41f,0x15773101,0x443fffe2,0xffa85edb,0x17fffc7f,
    0xb8015773,0x7fdc04ff,0xa83ffe66,0xf10005ff,0xffb1dfff,0xfff100ff,
    0xffd0001f,0xffff103f,0x21ffe607,0x000ffffd,0xffd01375,0x7fff883f,
    0x3037ffdc,0x7f41ffff,0x06201eff,0x407fffcc,0xfa83fffe,0xf8afffff,
    0x32000fff,0x7ffc5fff,0xffffe9af,0x1bfe603f,0x7dcfff50,0x00fff47f,
    0xfffff700,0x3003ffff,0x2e62ffff,0x7fffc01a,0x09ffff01,0xff117fee,
    0x400009ff,0x910dfffb,0xffc89fff,0x3ffe205f,0x3ffff20f,0x2a000bdf,
    0xffb07fff,0xffffc87f,0xfffdffff,0xfff3000f,0xdffff85f,0xffffffff,
    0x003ffe05,0xfff9dffd,0x002ffd47,0x7fffff40,0xff5001ef,0xffffd3df,
    0x3fff601d,0x5ffff882,0xf987ffb0,0x00003fff,0x7f7fffec,0x7e40efff,
    0x3fe605ff,0x3ffe20ff,0x2cefffff,0x837ffdc0,0x3e64fffd,0xffefffff,
    0x400fffff,0x83fffffc,0xefffffff,0x03ffffff,0xfa805ffd,0x746fffff,
    0x4c0001ff,0x0efffffe,0x3fffee00,0xffffffff,0x85fffc82,0xf06ffffb,
    0xfffa83ff,0xb800001f,0x4fffffff,0x40dfff70,0x540ffffa,0xffffffff,
    0xfb80cfff,0xfff906ff,0x5fffff4b,0xfffffb30,0xfffff801,0xdfffff02,
    0x7ffff545,0x804ffc80,0x543efed8,0x5c0005ff,0xffffffff,0x3fff2001,
    0xfffeefff,0x7ffcc0ff,0xfffd50bf,0x0fff30ff,0x203ffff7,0xfffffff9,
    0xfffc83ff,0xa80effff,0xfb01ffff,0xfd301fff,0xffffffff,0xfffc81df,
    0x2dfff906,0xd02ffff9,0x4401ffff,0x80cfffff,0x980fffff,0xfa83ffff,
    0xfd00006f,0x6ff6443f,0x3ffff203,0x50efffff,0xfff90159,0x7ff4c5ff,
    0xffffc84f,0xffffffef,0xa85ffb86,0xf301ffff,0xffffffff,0x7ffff447,
    0x82fffffe,0x221effff,0x00fffffc,0x3fffff2a,0x320effff,0xff906fff,
    0x1fffeadf,0x00ffffb8,0x3ffff362,0x27fffc3f,0x109fffb0,0x80001fff,
    0x3fa25ffa,0x5c0effff,0xfc8dffff,0xfffd5fff,0x5ffffb85,0x887fffa8,
    0xfffffffe,0xfd85fffe,0xffff883f,0xfffff302,0x7f47ffff,0xff911dff,
    0xfffc81ff,0xffffcdff,0x73000fff,0x9ffffffd,0xc837ffdc,0xfff75fff,
    0x7fffcc0d,0x3ffea000,0x0ffffe0f,0xd05fffc8,0xe80003ff,0x3bff61ff,
    0x7f44fffc,0x7fff44ff,0x40ffffcf,0xf03ffffa,0x3ee01fff,0xffcaffff,
    0x01ffe84f,0x2607fffd,0xfffeeeee,0x1ffff13f,0x887fffd0,0xfffffffe,
    0x00ffffdf,0xffffc880,0x41bffee6,0xff94fffd,0x7ffc40bf,0x7ff4000f,
    0x0bfffe3f,0x906fffb8,0x540007ff,0x3ffe25ff,0x7c4fff50,0x7fc40fff,
    0x85ffffff,0xf01ffffa,0xa9803fff,0x113fff61,0x3f201fff,0x3e2006ff,
    0xfff53fff,0x17ffee0b,0x7fffffec,0x50ffff8c,0xf7007995,0x3fea1fff,
    0x7fffb07f,0x9817fff2,0x4000ffff,0x3fe6fffb,0x3fee02ff,0x0bff506f,
    0x50fff400,0x7ffc4fff,0x20dfff71,0xfffffff9,0x3ffff981,0x001ffff0,
    0xa87fffd0,0x3fee06ff,0xff1002ff,0x3fff27ff,0x0ffff504,0x89677654,
    0xff90ffff,0xfff300df,0x3fffe63f,0x73fffe80,0x7d40dfff,0x2a620fff,
    0x4ffff700,0x3203ffff,0xff105fff,0x3fea000f,0xf137fdc5,0x3ffee5ff,
    0xffff500f,0x7fffc0bf,0x47fff885,0xf983baa8,0x7fe41fff,0x3fffe604,
    0xfff9800e,0x0ffff73f,0x001bfff2,0xf53fffcc,0xfd805fff,0xfff10fff,
    0xffff883f,0x01ffff51,0x6c3ffff2,0xffd05fff,0x37fffcdf,0x409fffd0,
    0xe8001ffe,0x37fdc1ff,0x3ea5fff1,0xff703fff,0x2e07ffff,0x7dc0ffff,
    0x7ffd46ff,0x2fffe40f,0x32017ff4,0x102fffff,0x27fffff9,0xf81ffffa,
    0x37a24fff,0xfff502bc,0x7ffffc4d,0xbffff302,0x645fffd8,0x3fe26fff,
    0xfff884ff,0xffff50ff,0x4ffff883,0x20bffffe,0x202ffffa,0x54003ffc,
    0x7ffa85ff,0xfe87ffe2,0xeb9adfff,0xffffffff,0x7fffc40d,0xffffd9cf,
    0x6ffffc42,0x1ffffeaa,0x2007ffc4,0xefffffe8,0xffffeccd,0xfff13fff,
    0xffd519ff,0xffff85ff,0x7fff441f,0x7ffffe44,0xfffdcbdf,0x7ffcc3ff,
    0xffffb9cf,0x67fffe42,0xfffffc89,0xfffff10f,0xfffff939,0x7fffffc3,
    0xffffd98b,0x02ffd406,0x2207ffa0,0xfff51fff,0xffffffa8,0xffffffff,
    0xfc86ffff,0xffffffff,0xffff905f,0x0bffffff,0x2200dff5,0xfffffffe,
    0xffffffff,0x7ffffd43,0x84ffffff,0xdefffffd,0x80ffffff,0xfffffffe,
    0x05ffffff,0xfffffffd,0xfff10fff,0xffffffff,0x7fd41fff,0xffffffff,
    0x77fffc3f,0xffffffff,0x3ffc401f,0x40bff500,0xfffdfffd,0xfffffa84,
    0xb9efffff,0xf700ffff,0xdfffffff,0x7ffff401,0xf904ffff,0xffd8009f,
    0xffffffff,0xff700cff,0xbfffffff,0xffffd101,0x7fffffff,0x3ffff620,
    0x4fffffff,0x3ffffa20,0xf301efff,0x3fffffff,0xfb81fffd,0xffffffff,
    0xe8ffff84,0x3fffffff,0x003fff00,0xe8807ffa,0x00efffff,0xffffff91,
    0x02fe987d,0x7fffff54,0xfffc8803,0x3fa02eff,0xfc98002f,0xbdefffff,
    0xfffd9801,0x64402fff,0xffffffff,0xffea802e,0x02deffff,0xbfffff90,
    0xfffd8801,0x1fffd0df,0xfffffd30,0x9fffe03d,0x01effffd,0x200fff60,
    0xb7004ee9,0x4c4007bd,0x4002801a,0x530000a9,0x02aaa003,0x13531000,
    0x09a98000,0x65d4c400,0x310001ab,0xa8800035,0x00330001,0x00035300,
    0x30001330,0x00000355,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33310000,0x13333333,0x376ea200,
    0x554c01ac,0xaaa8802a,0xaaa98002,0x00355552,0x3376ea00,0x2aaaa20a,
    0xaaaaaaaa,0x55542aaa,0x551000aa,0x55554555,0xaaaa8802,0x00aaaaa2,
    0x80355555,0x2aa1aaaa,0x554002aa,0x555512aa,0x55555555,0x26355555,
    0xff801aaa,0xffffffff,0x7ff4c03f,0x0dffffff,0x00bfffb0,0x001ffff5,
    0xfb6fffc8,0xd00007ff,0x43ffffff,0xfffffffa,0xffffffff,0x3fffee0f,
    0xffffd006,0x27fffec5,0x93ffff20,0x7c07fffc,0x2606ffff,0x3f62ffff,
    0xf3001fff,0x3fea7fff,0xffffffff,0x3fffffff,0x8807fffb,0xffffffff,
    0x3ee03fff,0xffffffff,0xffd83fff,0xfffa805f,0x7fe4000f,0x07fffb6f,
    0xffffd800,0x7ffd47ff,0xffffffff,0x740fffff,0x5402ffff,0x7c45ffff,
    0xf301ffff,0xffb8dfff,0xfff300ff,0x3ea01fff,0x3fea0fff,0xff9003ff,
    0x3ffea1ff,0xffffffff,0xb3ffffff,0xfa807fff,0xffffffff,0xfffb03ff,
    0xffffffff,0xffd85fff,0xfffa805f,0x7fe4000f,0x07fffb6f,0xfffff800,
    0x7ffd44cc,0xffffffff,0x4c0fffff,0x100fffff,0x501fffff,0x3a0dffff,
    0x7cc1ffff,0xff702fff,0x3205ffff,0xfff86fff,0xfffd006f,0x7ffffd4d,
    0xffffffff,0xffb3ffff,0xfffc807f,0xffffffff,0xfffffa83,0xfffca8ac,
    0x3ff60fff,0xfffa805f,0x7fe4000f,0x07fffb6f,0x7fffc400,0x2aaaa202,
    0xffbaaaaa,0xff905fff,0x3ff209ff,0x3ff603ff,0x7ffdc3ff,0x9ffff04f,
    0x3fffffa0,0x9fffd04f,0x03ffff90,0x23ffff98,0xeaaaaaa8,0xaaaaefff,
    0x7fffb1aa,0x01fffd80,0x1efffe80,0x8fffffa0,0xa805fffd,0x4000ffff,
    0xffb6fffc,0x7cc0007f,0x80000fff,0x00effffd,0x103ffffa,0x880dffff,
    0xf10fffff,0x3601ffff,0xff886fff,0x886fffff,0xf982ffff,0x7dc04fff,
    0xf9000fff,0xffb00dff,0xffff807f,0x7ffdc000,0x7ffd402f,0x17fff65f,
    0x03fffea0,0x2dfff900,0x2a23fffd,0xf53101ac,0x00333fff,0x3fffff20,
    0x7fffcc00,0x0ffffec5,0xaffffdc0,0x202ffffd,0xfa87fffb,0x0ffffeff,
    0x807fffcc,0x7406fffe,0x32005fff,0xfd806fff,0x3fe203ff,0xffe8006f,
    0x1599006f,0x805fffd8,0x000ffffa,0xfdb7ffe4,0xfffd8bff,0x7fe40dff,
    0x1fffffff,0x7fffd400,0xfffb002f,0x3fffea5f,0x3fffa004,0x05ffffcf,
    0x20ffffcc,0xffebfffc,0x37ffdc2f,0x03ffff70,0x00bfffe6,0x806fffc8,
    0x2603fffd,0xefdbefff,0x3fffe02c,0xffd80003,0xfffa805f,0x7fe4000f,
    0xdbfffb6f,0xdfffffff,0x7ffffe41,0x2001ffff,0x03fffff9,0x3bfffe20,
    0x006fffe8,0x7fffffc4,0xff800fff,0x7fff43ff,0x6c4fffc9,0x3e204fff,
    0xff704fff,0x7e4001ff,0xffd806ff,0x3ffee03f,0x4fffffff,0x02ffff88,
    0x5fffd800,0x0ffffa80,0xb7ffe400,0xeffffffd,0x23fffffd,0xfffffffc,
    0xfd1001ff,0x5000bfff,0xfffdffff,0xff70003f,0x007fffff,0xf893fffa,
    0xdfff57ff,0x402ffff8,0xfd07fffe,0xfc800bff,0xffd806ff,0x3fff203f,
    0xffffffff,0x0ffffcc5,0x7ffec000,0xffffa805,0x7ffe4000,0x1dffffb6,
    0x137fffc4,0x33ffff53,0x7ffec003,0x3f60006f,0x04ffffff,0x3ffffa00,
    0x3ff2005f,0x97ffea6f,0xff10ffff,0xffb801ff,0x7ffc41ff,0x7fe4002f,
    0xfffd806f,0x3ffffa03,0xfffffdbd,0x03fffea2,0x3fff6000,0xffffa805,
    0x7ffe4000,0x01ffffb6,0xf30dfff7,0xf9000fff,0x0001ffff,0x7fffffc4,
    0x3ee0000f,0x2002ffff,0xf90ffffa,0x7ffec5ff,0x00ffff52,0xb89ffff1,
    0xc8007fff,0xfd806fff,0x3fb203ff,0x7fff4c1e,0x07fffee7,0x3fff6000,
    0xffffa805,0x7ffe4000,0x20dfffb6,0xf987fffa,0x7dc007ff,0x0001ffff,
    0x2fffffb8,0x3ffe2000,0x22006fff,0xffd1ffff,0xa7ffdc1f,0xb005fffc,
    0xffe8ffff,0xffc8004f,0xfffd806f,0x7fe40003,0xffff30ff,0xffb00005,
    0xfff500bf,0xffc8001f,0x0bfffb6f,0x261fffe6,0x26007fff,0x003fffff,
    0x1bfffa00,0xffffb000,0x74007fff,0xfff8bfff,0xdb7ffcc6,0xf5003fff,
    0x3fe23fff,0xfc8001ff,0xffd806ff,0x7cc0003f,0xfff11fff,0xd802007f,
    0xfa806fff,0x64000fff,0xfffb6fff,0x1fffe609,0x401fffe6,0x04fffff8,
    0x7fff4000,0x3fea0004,0x1fffffff,0x7bfff900,0xfff09fff,0x03ffff1f,
    0x53fffe20,0x0006fffb,0xb00dfff9,0x00007fff,0x7fc5ffff,0x9f9004ff,
    0x06fffc85,0x987fffb8,0xdfff9029,0x4c0ffff6,0xff987fff,0xfffd007f,
    0xd00000df,0x20009fff,0xfcfffff8,0xf5006fff,0x5fffbfff,0xff7fffb0,
    0xffd800ff,0x07fffd7f,0x1bfff200,0x00ffff60,0xffff8022,0x03ffffa2,
    0xb9bfffe0,0xfc807fff,0x3ffea7ff,0x2bfffb07,0xf303fffd,0xfff30fff,
    0xffff900f,0xd000001d,0x20009fff,0xfb4ffffd,0xf1007fff,0x1fffffff,
    0xffffff70,0xffa800bf,0x0ffffbff,0xdfff9000,0x07fffb00,0x4c1fffaa,
    0x3ea0ffff,0x7e404fff,0x3fea3fff,0x3fe204ff,0x3ffe66ff,0x4fffe81f,
    0x2607fffb,0xff987fff,0x7ffdc07f,0x000001ff,0x0009fffd,0x21dffff5,
    0x01fffff8,0xfffffff8,0xfffff306,0xff0007ff,0x0dffffff,0x37ffe400,
    0x81fffec0,0xd83ffff9,0xffd86fff,0xffc884ff,0x3fe20fff,0xfc882fff,
    0x3fe23fff,0x7ffd44ff,0x07fffb3f,0x261fffe6,0x3e607fff,0x0002ffff,
    0x13fffa00,0xfffff100,0x6ffffb85,0xfffffd80,0x3fffe04f,0xc8001fff,
    0x3fffffff,0x3fff2000,0x3fffd806,0x33ffffa0,0x2ffffea9,0xffffff88,
    0xfffffecd,0xffffc83f,0xfffecdff,0x7ff40fff,0xfffecdff,0x7fffb0ff,
    0x21fffe60,0x3207fff9,0xeeefffff,0xeeeeeeee,0x3ffa003e,0x7fec004f,
    0xfffd05ff,0xfffb807f,0x3f602fff,0x0007ffff,0xfffffff3,0x7fe40001,
    0xfffd806f,0x3fffe603,0x5fffffff,0x3ffffea0,0xffffffff,0xfffff104,
    0xffffffff,0xffff309f,0x3fffffff,0x981fffec,0xff987fff,0x3fff207f,
    0xffffffff,0x04ffffff,0x013fffa0,0x0fffffa8,0x3fffff30,0x7ffffcc0,
    0x3ffea00f,0x3a0005ff,0x005fffff,0x037ffe40,0x201fffec,0xfffffffa,
    0xfe8804ff,0xffffffff,0x7ff4404f,0xffffffff,0x3fff203f,0x43ffffff,
    0xf303fffd,0xfff30fff,0x7fffe40f,0xffffffff,0x004fffff,0x4013fffa,
    0x02fffff8,0x037fffe4,0x017ffffe,0x07fffff1,0x7fffe400,0x7e40002f,
    0xffd806ff,0xffd8803f,0x4002efff,0xffffffdb,0x3fae001d,0x1defffff,
    0xffffe980,0xfffd82ef,0x0ffff303,0x640ffff3,0xffffffff,0xffffffff,
    0x3ffa004f,0xfff9004f,0x3ffa00bf,0x3ff603ff,0xffe803ff,0x260001ff,
    0x000fffff,0x037ffe40,0x001fffec,0x400006a6,0x400009a8,0x0001aa98,
    0x00026a62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x15555000,0x55553000,0x35555555,0x55553001,
    0x13555555,0x53049800,0x2aa00555,0x2aaaaa2a,0xaaaa802a,0x333312aa,
    0x2aaa6000,0xaaaa8802,0x46aaaa2a,0x530aaaa8,0x55100555,0xcc980155,
    0x5555531c,0x55555555,0x2aaaa635,0xaaaaaaaa,0x2aa62aaa,0x9aaaaaaa,
    0x2fffe800,0xffffd800,0xffffffff,0x3ff603ff,0xffffffff,0x64400dff,
    0xffff905f,0xffff8803,0xffffffb0,0x7fffc403,0xffff96ff,0x3fff2000,
    0xffffd806,0x53fffa1f,0xfb3ffff8,0xff300dff,0xffe803ff,0xfffffb2f,
    0xffffffff,0x3ffff69f,0xffffffff,0x3ff66fff,0xffffffff,0x3ffa04ff,
    0xffd8002f,0xffffffff,0xb04fffff,0xffffffff,0x05ffffff,0x6417ffea,
    0x4406ffff,0xffb0ffff,0x5407ffff,0x96ffffff,0x2000ffff,0x6c06fffc,
    0x741fffff,0xfff14fff,0x1bfff67f,0x07fffe60,0xb2ffffc8,0xffffffff,
    0x29ffffff,0xfffffffd,0xffffffff,0x3fffff66,0xffffffff,0x2fffe82e,
    0xffffd800,0xffffffff,0xfd84ffff,0xffffffff,0x82ffffff,0xf905fffc,
    0x4407ffff,0xffb0ffff,0x640bffff,0x96ffffff,0x2000ffff,0x3206fffc,
    0xe81fffff,0xfff14fff,0x1bfff67f,0x07fffe60,0x97ffffd4,0xfffffffd,
    0x4fffffff,0xfffffffb,0xffffffff,0x7ffffecd,0xffffffff,0x7fff43ff,
    0xfffd8002,0xbaaaaaae,0xd87ffffe,0xaaaaefff,0x6fffffda,0x905fffc8,
    0x01ffffff,0x6c3fffe2,0x07ffffff,0x3ffffffe,0x00ffff96,0x41bfff20,
    0x02fffffc,0x3e29fffd,0xfffb3fff,0xffff300d,0xfffff903,0x3bfff65f,
    0xaaaaaaaa,0xdfffb1aa,0x55555555,0x7fec5555,0xcbaaaaef,0x20ffffff,
    0x8002fffe,0xc806fffd,0x7ec1ffff,0x3fe606ff,0xf9311fff,0x64133dff,
    0x05ffffff,0x361ffff1,0x1fffffff,0xffffff88,0x0ffff96f,0x1bfff200,
    0x0bffffee,0xf14fffe8,0x3ff67fff,0xfff9806f,0x3fffea1f,0xffb2ffff,
    0xffb000df,0x7ec000df,0x3f2205ff,0x3ffa4fff,0x9999882f,0x01bfff60,
    0xb0ffffe6,0xfc80dfff,0xfff72fff,0x64bfffff,0x2fffffff,0xb0ffff88,
    0x9fffbfff,0xffbfff70,0x1ffff2df,0x37ffe400,0x0bffffea,0x229fffd0,
    0xffb2ffff,0xfff300df,0x3fffee3f,0xfb2fffff,0xfb000dff,0x6c000dff,
    0xfe805fff,0xfffd1fff,0xeffff985,0x01bfff60,0xb0ffffe2,0xf980dfff,
    0xfff72fff,0x64bfffff,0x6fffffff,0xb0ffff88,0xdfff7fff,0xff7fffb0,
    0x1ffff2df,0x37ffe400,0x07fffff5,0x7c9fffd0,0xfffb1fff,0xffff300d,
    0x27bffee3,0xffb2ffff,0xffb000df,0x7ec000df,0xff9805ff,0x5fffd3ff,
    0x07ffffc4,0x201bfff6,0x6c2ffffa,0x7dc06fff,0xfff71fff,0x64bfffff,
    0xffffefff,0x87fffc44,0xffdafffd,0x577ffc0f,0xfff96fff,0x3ff2000f,
    0xfffff36f,0x3fffa007,0x6c7fffe4,0xf9806fff,0x9ff71fff,0xfd97fffc,
    0xfd8006ff,0x360006ff,0xff005fff,0x3fffa9ff,0x3ffffd12,0x40dfffb0,
    0x0fffffa8,0x1037ffec,0x4c4ffffd,0x099efffc,0x3f6ffff2,0x3fe21fff,
    0x5fffb0ff,0x7cc5fff7,0x6fffacff,0x000ffff9,0x3e7bfff2,0x2006ffff,
    0x3fa4fffe,0xffffb0ff,0x99999999,0x2e3ffffb,0x97fffc0c,0xaaaefffd,
    0x20aaaaaa,0xcccffffd,0x4ccccccc,0x802fffec,0xffd5fffe,0x3ffffa5f,
    0xfffffb01,0xffffffff,0xffb07fff,0x955333df,0x90dfffff,0x3f20bfff,
    0xffff8bff,0x43fffe25,0xff9afffd,0x2bffee4f,0xff96fffa,0x3f2000ff,
    0xffffffff,0xffd002ff,0xb3ffec9f,0xffffffff,0xffffffff,0xffff803f,
    0xffffffb2,0x3fffffff,0x7fffffec,0xffffffff,0x02fffec7,0xfd6fffd8,
    0xffffb5ff,0x7fffec03,0xffffffff,0xffb03fff,0xffffffff,0x903fffff,
    0x3f20bfff,0xffff73ff,0x43fffe25,0xfff2fffd,0x547ffecd,0xfff96fff,
    0x3ff2000f,0xffffffff,0xffe800ff,0xd9fff24f,0xffffffff,0xffffffff,
    0x7fffc01f,0xffffffb2,0x3fffffff,0x7fffffec,0xffffffff,0x02fffec7,
    0xfd7fffc8,0x5ffffdff,0xfffffd80,0xefffffff,0x3fff601c,0xffffffff,
    0xff902fff,0x3fff20bf,0x23ffffa3,0xfb0ffff8,0x3fff65ff,0x3eadfff0,
    0xffff96ff,0x3fff2000,0xfffdffff,0xfffe805f,0xfd9bfee4,0xffffffff,
    0xffffffff,0x97fffc01,0xfffffffd,0x21ffffff,0xfffffffd,0x7fffffff,
    0x802fffec,0xffd7fffd,0x09ffffff,0xdcffffd8,0x01fffffe,0xffffffd8,
    0x1dffffff,0x417fff20,0x3ea3fffc,0xfff8cfff,0x25fffb0f,0xff9afffb,
    0x2dfff54f,0x0007fffc,0x7ffffff9,0x00bffffa,0x7dc9fffd,0x3bfff65f,
    0x99999999,0x401ffffb,0xffb2ffff,0x555555df,0x7fec1555,0x999999ef,
    0x7ec19999,0xffb005ff,0x3ffffadf,0x201fffff,0x74c6fffd,0x6c03ffff,
    0xccccffff,0xfc800aaa,0xfff905ff,0x9ffffd87,0xffb0ffff,0x33ffe65f,
    0xff52fffb,0x1ffff2df,0x7fffe400,0x3fffe64f,0x3fffa00f,0xfd93fea4,
    0xff9806ff,0x7ffc01ff,0x0dfffb2f,0x0dfffb00,0x2fffec00,0xd5fffe80,
    0xffffffff,0x7ffec0bf,0xfffff886,0x1bfff603,0x3fff2000,0x87fff905,
    0xffeffff8,0x5fffb0ff,0x7ff7fffc,0x2dfff50f,0x0007fffc,0xb09ffff9,
    0x740bffff,0x3fe64fff,0x01bfff64,0x007fffe6,0x3f65ffff,0xfd8006ff,
    0x360006ff,0xff005fff,0x3fffa9ff,0x2ffff8cf,0x20dfffb0,0x01fffffa,
    0x000dfffb,0x20bfff70,0xfb83fffc,0x0fffffff,0x7ec5fffb,0x2a6fffff,
    0xfff96fff,0x3ff2000f,0xffff106f,0x3fffa05f,0xfd8ffe24,0xff9806ff,
    0x7ffc01ff,0x0dfffb2f,0x0dfffb00,0x2fffec00,0x97fffd40,0x3f25fffe,
    0xfffb06ff,0x7fffe40d,0x6fffd80e,0xfffb8000,0x07fff905,0x3ffffffa,
    0x45fffb0f,0x4ffffffb,0x7e5bffea,0xf90007ff,0x7fdc0dff,0xffe80eff,
    0xfb04cc4f,0xff300dff,0xfff803ff,0x0dfffb2f,0x0dfffb00,0x2fffec00,
    0xd37fff40,0x7fc45fff,0xfffd83ff,0x3fffa206,0x6fffd84f,0xfffb8000,
    0x3ff22aaf,0xffff303f,0x3ff61fff,0x3fffe62f,0x3ffea2ff,0x00ffff96,
    0x01bfff20,0xd09ffffd,0x4ccc9fff,0x01bfff61,0x007fffe6,0x3f65ffff,
    0xfd8006ff,0x360006ff,0x3a605fff,0x3fa2ffff,0x7ffdc2ff,0x37ffec0f,
    0x3ffffe60,0x037ffec1,0x7fffd400,0x3fff25ff,0x3ffff203,0x5fffb0ff,
    0x0ffffff8,0x7e5bffea,0xeeeeefff,0x90eeeeee,0xfa80dfff,0x7f41ffff,
    0x3fffe4ff,0x00dfffb1,0x803ffff3,0xffb2ffff,0xffb000df,0xddddddff,
    0x23dddddd,0xeeeffffd,0xffffffee,0x417fff45,0x7ec4fffe,0xffc806ff,
    0x7ffec6ff,0xfff00006,0x7fe4dfff,0x3ffe203f,0xfffb0fff,0x6ffffd85,
    0xfcb7ffd4,0xffffffff,0x90ffffff,0xfb00dfff,0xffe8dfff,0x47fffe4f,
    0x9806fffd,0x7c01ffff,0xfffb2fff,0xfffb000d,0xffffffff,0x365fffff,
    0xffffffff,0x0fffffff,0x5417fff4,0x3f61ffff,0xfe8806ff,0x3ff63fff,
    0xd300006f,0x7e4dffff,0x7fd403ff,0xfffb0fff,0x4ffffb85,0xfcb7ffd4,
    0xffffffff,0x90ffffff,0xf300dfff,0x7f49ffff,0x3fffe4ff,0x00dfffb1,
    0x803ffff3,0xffb2ffff,0xffb000df,0xffffffff,0x25ffffff,0xfffffffd,
    0x0cffffff,0xd02fffe8,0x7fecdfff,0xfff3006f,0x3fff61ff,0x54400006,
    0x03fffc81,0xb0ffffd8,0xff985fff,0x7ffd42ff,0xffffff96,0xffffffff,
    0x1bfff21f,0x7ffffe40,0x7c9fffd1,0xfffb1fff,0xffff300d,0x2ffff803,
    0x000dfffb,0xfffffffb,0xffffffff,0x3ffff65f,0xccefffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaaa980,0x099aaaaa,0x22199980,0x99999999,0x00199999,
    0x006aaaa2,0x26aea600,0x32ea2000,0xb80001ab,0x999883cc,0x03333100,
    0x01328800,0xcba98000,0x54c002bc,0x2000abcc,0x002acba8,0x401aca98,
    0x2ae61999,0x7ffffec0,0xffffffff,0x3fffe01d,0xffffff91,0xffffffff,
    0x7fffe400,0x3faa0006,0x00cfffff,0x3fffff22,0x50001eff,0xffd0dfff,
    0x3ffea07f,0xdf910007,0x000077ee,0xffffffb3,0xfea805ff,0x1dffffff,
    0x3ffff620,0xfa803fff,0x02ffffff,0x3ff2ffff,0x3fff62ff,0xffffffff,
    0xff01ffff,0x3fff23ff,0xffffffff,0x3fe007ff,0x8001ffff,0xfffffffd,
    0xff980fff,0xffffffff,0x7fc4004f,0xfffe86ff,0x0ffff503,0x6fffd980,
    0x005dfff7,0xffffff10,0x207fffff,0xfffffffb,0xfa81ffff,0xffffffff,
    0x3fff204f,0x85ffffff,0xfffbffff,0x3fff60ff,0xffffffff,0xf80fffff,
    0xfff91fff,0xffffffff,0x3ea00fff,0x005fffff,0x7fffffdc,0x446fffff,
    0xedffffff,0x003fffff,0x21bffff6,0xf503fffe,0x3aa00fff,0xf76fffff,
    0x017fffff,0x3bffff60,0x87fffffd,0xcceffff9,0x446ffffd,0xfeffffff,
    0xfa83ffff,0xfffeffff,0x7fffc3ff,0x6c5fffff,0xaaaaefff,0xfffffbaa,
    0x71ffff83,0xdddddddd,0x009ffffd,0x3ffffff6,0x3ffe000f,0xffda8bef,
    0x3fff62ff,0x3ff220af,0xffa800ff,0xffe86fff,0xffff503f,0x7fffe440,
    0xff75ffff,0x39ffffff,0x0ffffcc0,0x707fffea,0xff507fff,0x7ffe41df,
    0xfffb10bf,0x3bfffd0d,0x83fffee2,0xabefffff,0x37ffec2d,0x02ffff40,
    0x3ffea000,0xffff1005,0x2007ffff,0xf81ffff9,0x3ffe4fff,0xffff104f,
    0xffff8805,0xfffe86ff,0x0ffff503,0xffffffb3,0xeb8839ff,0xdfffffff,
    0x20775302,0x7e42ffff,0x81a80dff,0x982ffff8,0x3ee0deff,0xffd80fff,
    0x3ffffe3f,0x37ffec01,0x037ffe40,0xfffd1000,0x3fff2001,0x006fffce,
    0x320dfff7,0xfff35fff,0x7ffe401f,0x7fffec04,0xfffe86ff,0x4ffff503,
    0xffffffea,0xd9800aef,0xefffffff,0xff51000b,0xfffa85ff,0x5401bdff,
    0x02607fff,0xb82fffe4,0x3ffe5fff,0xfffd805f,0x4fffc806,0x3ff20000,
    0x3ffa002f,0x1ffff9bf,0x02aa9880,0x988bfff9,0x1fffec01,0xffbfff70,
    0x7fffd0df,0x5dfffea0,0xcfffffff,0xfd710000,0x20dfffff,0xffffeca8,
    0x7ffc42ff,0x2dffffff,0x006fffb8,0x99dfffb0,0xdfffb999,0x4027fffc,
    0x4c06fffd,0x0001ffff,0x00bfff50,0xe87fffd4,0x00005fff,0x000ffffe,
    0x407fffe6,0xff9dfff8,0x3fffe86f,0x2effff50,0x002dffff,0x7ffe4c00,
    0x7fff546f,0x2fffffff,0xffffff98,0x321effff,0xf0005fff,0xffffffff,
    0x7cffffff,0xfd803fff,0xcccccfff,0x04ffffdc,0x3fffa000,0x3fff6000,
    0x03fffee5,0x3ffea000,0x7fd4001f,0x3ff606ff,0x86fff98f,0xf503fffe,
    0x3ffeefff,0x00000cff,0xdffffd51,0x77ffffdc,0x02fffeac,0xffffff91,
    0x3f21ffff,0xff0006ff,0xffffffff,0x3e1fffff,0xfd802fff,0xffffffff,
    0x003fffff,0x17ffea00,0x2ffff880,0x00ffffe2,0xbffff100,0xffffb800,
    0x7fff700f,0x3a1bffe6,0xff703fff,0x3fffeeff,0x0002dfff,0xffffff93,
    0x3fffeabf,0x17fff41c,0x7ffedcc0,0xfff74fff,0xffd0040d,0x3333339f,
    0x7ffc3333,0xfffd802f,0xffffffff,0x00003fff,0x800bfffa,0xfe87fffb,
    0x220006ff,0x000ffffe,0x03bfffea,0xf32fffc4,0xfffb0dff,0x9ffff209,
    0xffffffc9,0x5c401cff,0xfffffffe,0x17fff22d,0x3017fff4,0x5bfffaa0,
    0xd00ffffa,0x7fec5bdf,0x7fc0106f,0xffd802ff,0xffffffff,0x81efffff,
    0x7cc01999,0x7f4007ff,0xfffb84ff,0xfe88001f,0x26003fff,0x200effff,
    0x3e60fffe,0xfffc86ff,0x7ffff885,0xfffffb88,0x64c2efff,0xffffffff,
    0x4fffe81c,0x23ffff98,0x703ffed8,0x3fe2bfff,0xfffa84ff,0x3fffea1f,
    0x23defd81,0xd802ffff,0x9999efff,0xffffca99,0x0ffffc0f,0x009fffb0,
    0x40ffffcc,0x005ffff8,0x27ffff44,0x3bfffa00,0x0fffee00,0xf70dfff3,
    0x3aa17fff,0x5407ffff,0xfffffffe,0xffffff76,0x7ec017ff,0x3fa60fff,
    0x7fec3fff,0x7ff4c2ff,0x3fffee3f,0xffffb9bf,0xbefffe86,0x47ffff70,
    0xd802ffff,0xf9806fff,0x7ffc2fff,0x3fffe01f,0x3fff2000,0xfeeeeeef,
    0x1000ffff,0x009ffffd,0x00ffff88,0x267bffe6,0x9ffffa99,0xfffff309,
    0xfffdffff,0x3ff6600f,0xfff76fff,0x2e005dff,0xfedfffff,0x4c4fffff,
    0xfeffffff,0x740fffff,0xffffffff,0xffa81fff,0xffffffff,0x17fffc6f,
    0x037ffec0,0x7c5fffe8,0xff501fff,0xfff800bf,0xffffffff,0x803fffff,
    0x04ffffe8,0x05fff980,0x7fffffd4,0xffffffff,0x3fffee5f,0xfff8dfff,
    0x7fe44007,0x3bfff76f,0xffffb000,0xfff9dfff,0xfffff30d,0x03ffffff,
    0xffffffd3,0x7d405fff,0xffffffff,0x17fffc0e,0x037ffec0,0x7c7fffd8,
    0xff900fff,0x7fd4005f,0xffffffff,0x06ffffff,0x1fffff44,0x4fffa800,
    0x7ffffd40,0xffffffff,0x7ff5c5ff,0x1fffe4ef,0xf76eb800,0xfc800019,
    0xff14ffff,0xff9101ff,0x019fffff,0xfffffeb8,0xffd8801d,0xf80bffff,
    0xfd802fff,0xfff006ff,0x40ff10df,0x2001fffe,0xfffffffd,0xffffffff,
    0x3ff601ff,0x220003ff,0x7d400999,0xffffffff,0x05ffffff,0x00000151,
    0x00000230,0x200002a6,0x80009a98,0x20001a98,0x00001998,0x406fffd8,
    0x84ffffd8,0xfff107fa,0x3fe2001f,0xff8803ff,0xfff905ff,0x988000bf,
    0x55440099,0xfbaaaaaa,0x001aafff,0x00000000,0x00000000,0x00000000,
    0xb0000000,0xddddffff,0xfffffddd,0x03ffa83f,0x400ffff3,0x000ffffc,
    0xf01ffffb,0xffffffff,0xa80dffff,0x80006fff,0xc886fff9,0xcccccccc,
    0xcccccccc,0x00000002,0x00000000,0x00000000,0xffb00000,0xffffffff,
    0x87ffffff,0x3ea05ff9,0x3fe006ff,0x3ea005ff,0x7fd43fff,0xffffffff,
    0x7d406fff,0x980006ff,0xff986fff,0xffffffff,0x3fffffff,0x00000000,
    0x00000000,0x00000000,0xfffb0000,0xffffffff,0x3609ffff,0x2fffdc02,
    0x2ffffa80,0x37fffc00,0x3ffffff6,0x6fffffff,0x037ffd40,0x37ffcc00,
    0x7fffffcc,0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,
    0xfffffffb,0x17bdffff,0xfffc8000,0xffffb004,0xffff9000,0x3ffffe23,
    0xffffffff,0x7ffd406f,0xff980006,0x3333306f,0x33333333,0x00013333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26f2a200,
    0x20ccc400,0x3301aca8,0x26662133,0x01333100,0x99886666,0x33310099,
    0x04ccc413,0x10666620,0x33333333,0x99813333,0x80ddcc09,0x2000aca8,
    0x8000fffe,0x2600eeeb,0xaaaaaaaa,0x02aaaaaa,0x4c403dd5,0x55551099,
    0x42aaaa21,0x4cc2aaa9,0x00999999,0x7fffff64,0xfffb00cf,0xfffffb13,
    0x2ffff81d,0x3e07fff9,0xff883fff,0xffff10ff,0xffffd01f,0x03fffdc1,
    0xfd17fff2,0xffffffff,0xfff87fff,0xffffff56,0x7ffffe41,0x1fffd005,
    0xffff8800,0x3ffff603,0xffffffff,0x1ff507ff,0x99ffff40,0xff52ffff,
    0x3fff23ff,0x3ffffe0f,0x3f602fff,0xffffffff,0xafffd81e,0xfffffffe,
    0x4bfffe0f,0xf986fffa,0xffa85fff,0x7fffd45f,0x17fffe45,0x80bfffe2,
    0x7f42ffff,0xffffffff,0x7ffc3fff,0xffffffbe,0xffffd9ff,0xfe805fff,
    0x7e4000ff,0x3f607fff,0xffffffff,0x867fffff,0xfd060ff9,0x3ffe67ff,
    0x3ffff52f,0xf83ffff2,0x2fffffff,0xffffffb0,0x81ffffff,0xeffffffd,
    0x23fffffe,0x3fe2ffff,0x7ffdc0ff,0x3fffc87f,0x32ffffc8,0x3609ffff,
    0xff505fff,0xffffd0ff,0xffffffff,0xffffff87,0xffffffdf,0xffffeeff,
    0x7fff402f,0x3ffe2000,0xffb02fff,0xffffffff,0x77cfffff,0x8fd77f9b,
    0xff33fffe,0x3ffea5ff,0x1ffff91f,0x7ffffffc,0xffffc82f,0xffffb32e,
    0xeffffd8b,0x9bfffe20,0x3f62ffff,0x7fff42ff,0x7fffc1ff,0x1ffffd00,
    0x201dfffd,0xd80ffffa,0xaaa84fff,0xfffc999a,0x7fffc0ef,0x7ffff43f,
    0x3fffe62f,0x07fff403,0xfffff700,0x3332a0df,0xcccccccc,0xfff54ccc,
    0x3fffffff,0xf997fff4,0xfff52fff,0x1fffee3f,0xffffffff,0x09ffff05,
    0xd8bfffea,0xfb80ffff,0xff5006ff,0x7fffc49f,0x3ffe63ff,0x3fffe606,
    0x401fffff,0x7c42fffe,0x2a000fff,0xf80fffff,0xffa85fff,0xfffc84ff,
    0x07fff404,0xf9dfff00,0x000005ff,0x3ffff6e2,0xfe80cdff,0x23ffff11,
    0xf50ffff8,0x98000dff,0x3a00ffff,0x3ff64fff,0xffff505f,0x9fffe200,
    0x5ffffffa,0x700fffee,0x7fffffff,0x8bfff700,0x2005fffb,0x01fffff9,
    0xf307ffff,0xff705fff,0x3ffff6bf,0xffffffff,0xfffb87ff,0x005fff9b,
    0xfff88000,0x83fe600e,0x7ffc7ffe,0x017ffe27,0x0dfff700,0x365fffc8,
    0xff304fff,0x7fec00ff,0xf9fff91f,0x0ffff4ff,0x7ffffec0,0xffff1006,
    0x017fff41,0x2fffff88,0x20bfffe0,0xb81ffff9,0xfffb6fff,0xffffffff,
    0xffd0ffff,0x07fffa1f,0x99999995,0x99999999,0x5ffefe88,0xfd89fd30,
    0x22ffec6f,0x40004fff,0x5c05fffd,0x3ff67fff,0xffff304f,0x9fffdc00,
    0xfff9dffe,0x006fff89,0x03fffff1,0x99fffec0,0xd1007fff,0xf807ffff,
    0xff981fff,0xfffb80ff,0xffffffb6,0xffffffff,0x25fffa8f,0x7ec5fffa,
    0xffffffff,0x227fffff,0x4ffa9ffe,0x6540eff8,0x2166543c,0x40001ccb,
    0x5c05fffc,0x3ff66fff,0xffff303f,0x6fffc400,0xfff3fff8,0x009fff57,
    0x1bfffff2,0x96fffa80,0x3a009fff,0xf804ffff,0xff981fff,0xdfff707f,
    0x3ffffff6,0xffffffff,0x217fff47,0x3f60ffff,0xffffffff,0x227fffff,
    0x037fa4fe,0x00000079,0x7ffd4000,0x2fffe406,0x2607fffb,0x74007fff,
    0x0fffbfff,0xfffbbffb,0xffff3003,0x74007fff,0xffff9fff,0xffffd800,
    0x3ffff005,0x20ffff30,0x7406fffb,0x7d400fff,0xfffc86ff,0x3fffff64,
    0xffffffff,0x0a60c87f,0x4c000000,0x3bb60999,0xffff883e,0x8ffffa01,
    0xf303fffd,0xfb800fff,0x2e6fffff,0x07ffffff,0xfffffe88,0xf7001fff,
    0x0bfffbff,0x0bffff90,0x40ffffc0,0xf707fff9,0xffe80dff,0x7ffec00f,
    0x0ffff983,0x55555553,0x55555555,0x64400000,0x200bdefd,0x47fffb1b,
    0xe80ffff8,0xfc80dfff,0x3ff61fff,0xffff303f,0x4404cccc,0x24ffffff,
    0x4ffffff9,0xaffffc80,0x1006ffff,0x5fffffff,0xeffffb80,0x3fffe000,
    0x07fff981,0xe80dfff7,0x55400fff,0x555500aa,0x00000001,0x7fff4c00,
    0x262dffff,0x7fffb1fd,0xb83fff98,0xb9cfffff,0x6c4fffff,0xff303fff,
    0x17fffcff,0x2fffffe8,0x0ffffffc,0x4ffffea0,0x004ffffb,0x0ffffffb,
    0xdfffff98,0x6eeeeeee,0x4c0ffffc,0xff707fff,0xfffe80df,0x00000000,
    0x80000000,0xffffffff,0xffffffff,0x307fffb1,0x3fee0dff,0xffffffff,
    0x3fffd86f,0x7cffff30,0xff902fff,0xffd81fff,0x7fc407ff,0x7ffec6ff,
    0xfffa802f,0x7fdc04ff,0xffffffff,0x7ffc7fff,0x7fff981f,0x80dfff70,
    0x0000fffe,0x00000000,0xffff8000,0xffffffff,0xffb1ffff,0x0776a07f,
    0x7fffffdc,0xfd80dfff,0xfff303ff,0x817fffcf,0xa86ffff9,0x6c04ffff,
    0x7c41ffff,0xe800ffff,0x5c01ffff,0xffffffff,0x7c7fffff,0xff981fff,
    0xdfff707f,0x00eeec80,0x00000000,0xef800000,0xfffd710a,0x0007ffff,
    0x7ff65400,0x3f602eff,0xfff303ff,0x017fffcf,0xf109ffff,0x7dc05fff,
    0xff704fff,0xff700bff,0xfff700df,0xffffffff,0xffff8fff,0x07fff981,
    0x000dfff7,0x00000000,0x90000000,0xcefec980,0x20000001,0x000001a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_35_usascii_x[95]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,0,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1, };
static signed short stb__arial_bold_35_usascii_y[95]={ 28,5,5,5,3,5,5,5,5,5,5,9,23,17,
23,5,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,31,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,11,11,11,11,11,11,5,5,5,13, };
static unsigned short stb__arial_bold_35_usascii_w[95]={ 0,6,13,18,16,26,22,6,9,8,12,16,6,10,
5,10,15,11,16,16,17,16,16,16,16,16,5,6,16,16,16,17,31,23,20,21,20,18,16,22,19,5,15,21,
17,22,19,23,18,23,21,19,19,19,22,30,21,22,19,8,10,9,16,19,8,16,16,16,17,17,12,17,16,5,
9,16,5,25,16,18,16,17,11,16,11,15,18,25,18,17,16,12,5,12,17, };
static unsigned short stb__arial_bold_35_usascii_h[95]={ 0,23,9,24,29,24,24,9,30,30,11,16,11,6,
5,24,24,23,23,24,23,24,24,23,24,24,17,23,18,12,18,23,30,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,26,23,24,23,24,23,23,23,23,23,30,24,30,13,4,5,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,23,18,17,17,17,24,17,30,30,30,8, };
static unsigned short stb__arial_bold_35_usascii_s[95]={ 250,160,221,231,113,1,28,235,43,72,201,
150,214,242,239,85,174,187,70,208,105,1,51,29,119,68,37,22,139,184,156,
87,81,46,1,18,235,216,199,96,167,154,60,132,114,91,71,172,40,130,18,
154,225,40,202,171,149,126,106,63,242,53,167,123,245,173,225,207,190,224,93,
136,76,250,1,1,245,124,20,1,214,196,242,190,59,123,88,43,69,154,107,
30,24,11,221, };
static unsigned short stb__arial_bold_35_usascii_t[95]={ 25,82,130,1,1,32,32,130,1,1,130,
130,130,130,140,32,32,82,106,32,106,57,32,106,32,32,130,106,106,130,106,
106,1,106,106,57,82,82,82,32,82,82,57,82,82,82,82,1,82,1,82,
32,57,57,57,57,57,57,57,1,32,1,130,125,140,106,32,106,32,106,57,
32,57,1,1,82,57,130,130,130,1,1,106,106,82,106,130,130,130,1,130,
1,1,1,140, };
static unsigned short stb__arial_bold_35_usascii_a[95]={ 139,167,238,279,279,446,362,119,
167,167,195,293,139,167,139,139,279,279,279,279,279,279,279,279,
279,279,167,167,293,293,293,306,489,362,362,362,362,334,306,390,
362,139,279,362,306,418,362,390,334,390,362,334,306,362,334,473,
334,334,306,167,139,167,293,279,167,279,306,279,306,279,167,306,
306,139,139,279,139,446,306,306,306,306,195,279,167,306,279,390,
279,279,251,195,140,195,293, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_35_usascii(stb_fontchar font[STB_FONT_arial_bold_35_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_35_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_35_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_35_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_35_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_35_usascii_s[i] + stb__arial_bold_35_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_35_usascii_t[i] + stb__arial_bold_35_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_35_usascii_x[i];
            font[i].y0 = stb__arial_bold_35_usascii_y[i];
            font[i].x1 = stb__arial_bold_35_usascii_x[i] + stb__arial_bold_35_usascii_w[i];
            font[i].y1 = stb__arial_bold_35_usascii_y[i] + stb__arial_bold_35_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_35_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_35_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_35_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_35_usascii_s[i] + stb__arial_bold_35_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_35_usascii_t[i] + stb__arial_bold_35_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_35_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_35_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_35_usascii_x[i] + stb__arial_bold_35_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_35_usascii_y[i] + stb__arial_bold_35_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_35_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_35_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_35_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_35_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_35_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_35_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_35_usascii_LINE_SPACING
#endif

