// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT        172
#define STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_37_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_37_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_37_usascii_LINE_SPACING          24

static unsigned int stb__arial_bold_37_usascii_pixels[]={
    0x00000331,0x02000010,0x00266600,0x06660060,0xe9a77764,0x73eeeeee,
    0x5ddddddd,0x00019900,0x00000000,0x33100000,0x00199881,0x00000000,
    0x03ffc800,0xddb71000,0x05bdffff,0x2efff980,0x01fffc40,0x203fff5c,
    0xffb05ffb,0x3fffeadf,0xfff94fff,0x8805ffff,0x2a0001ff,0xbdeffedb,
    0xcb980002,0x01bceffe,0xb13ffe00,0x64c00fff,0xbdeffffe,0x76e54000,
    0x000ceeff,0x0001ffe6,0xffffffb5,0x9fffffff,0xffff3001,0x7ffc40df,
    0x3fffe603,0x0fffc07f,0xf56fffd8,0x29ffffff,0xfffffffc,0xfffd9502,
    0x7f44005b,0xffffffff,0xe98000df,0xffffffff,0x44000dff,0x7ffc3fff,
    0xfffd8805,0xffffffff,0x7ff4400c,0xffffffff,0x7ffd000c,0xfffb1000,
    0xffdfffff,0x05ffffff,0xffffff98,0x07fff103,0x3fffffec,0x6c0dff70,
    0xddd36fff,0x3f29ffff,0x42eeefff,0xffffffd8,0x7dc00eff,0xffffffff,
    0x002fffff,0x3ffffff2,0xffffffff,0x3ffea002,0x013ffe21,0xfffffff5,
    0xdfffffff,0x3fffe601,0xffffffff,0xfff7006f,0x7ffcc001,0x98819dff,
    0x04ffffda,0x3fffffa6,0x07fff107,0x3bffffe2,0x07fff106,0xc815554c,
    0xfff94fff,0xffffe809,0x06ffffff,0x3ffffff2,0xffffffff,0xffc803ff,
    0xffffffff,0x03ffffff,0x541fff70,0x3ea02fff,0xffffffff,0x6fffffff,
    0xfffffff0,0xffffffff,0x0fffe009,0x5ffffdc0,0x7ff54000,0xfffa803f,
    0x3fff880f,0x01ffff50,0x000fffc8,0x94fffc80,0x7dc09fff,0xfeffefff,
    0xff984fff,0x311bffff,0x1ffffff7,0x7ffffd40,0xfb9889bf,0x800fffff,
    0x7fe46ffd,0xffff100f,0x32a157ff,0x43fffffe,0x0adffffa,0xfffffb51,
    0x1fffb003,0x0efff980,0x7ffe4000,0x7fffc401,0x03fff881,0x880dfff5,
    0x4c405fff,0xfff90099,0x813fff29,0xff8cfffe,0xe86fffc9,0x200dffff,
    0x05ffffe8,0x1bffffd1,0x7ffff440,0x44fff805,0x3fa07ffd,0x7401efff,
    0x7e46ffff,0x7ff407ff,0xffa803ff,0x3ffa204f,0x882ae205,0xdffb0999,
    0x03ffff00,0x2e07fff1,0x7e405fff,0x7fec03ff,0x9fff906f,0xf813fff2,
    0x9ff88fff,0x2e0deff8,0x1006ffff,0x705fffff,0x200dffff,0x22fffff8,
    0xfffeeeec,0xffffeeee,0x7fffcc6e,0xfff8800f,0x3fffa1ff,0x7fffd406,
    0x7fff8804,0x221bff20,0x95fffffc,0x3fe29fff,0x7fffc01f,0x03fff881,
    0xf80bfff7,0x7ec00fff,0xfff906ff,0x413fff29,0xff16fff8,0xfffe8023,
    0x3fee002f,0xfffe85ff,0x3fee002f,0x3fff65ff,0xffffffff,0x647fffff,
    0x2003ffff,0xffd81aca,0x4ccc02ff,0x3fffa001,0x41fff880,0xffffffe8,
    0x22fffeef,0x7f405ffa,0xfff881ff,0x09fff703,0x4037ffcc,0xf906fffd,
    0x3fff29ff,0x3ffff104,0xff003ff1,0xf8800dff,0x7fc46fff,0xff8006ff,
    0x3fff66ff,0xffffffff,0x7c7fffff,0x00007fff,0x77ffffdc,0x3600000b,
    0xffc82fff,0x7ffff444,0xffffffbc,0x01ffe21f,0xf105fffd,0x3ff207ff,
    0x3ffee04f,0x6fffd805,0x329fff90,0x3fe04fff,0x01ff9eff,0x02ffffc4,
    0x23ffff40,0x005ffffa,0x327fffe8,0xeffffeee,0xeeffffee,0x1bfffe26,
    0xfff10000,0x59dfffff,0xfffc8000,0x740fff83,0x7ec0dfff,0xfff87fff,
    0x0bfff600,0x640fffe2,0x3f603fff,0xffd804ff,0x9fff906f,0xb813fff2,
    0x1fffffff,0x27fffcc0,0x7fffec00,0x13fffea0,0x3ffff600,0xd89fff00,
    0xfff307ff,0x500000bf,0xffffffff,0x00039fff,0xfa8bfff7,0x7fffd46f,
    0x5ffffa80,0x3201ffd8,0xff885fff,0x5ffff03f,0x01ffffc0,0xc837ffec,
    0xfff94fff,0x7fffc409,0x701cffff,0x0007ffff,0x5c3ffff9,0x8003ffff,
    0x882ffffc,0x7ffc3fff,0x9ffff505,0x777775c0,0xfa84eeee,0xffffffff,
    0x54003fff,0x7fe46fff,0x01ffff43,0xf909ffff,0x7ffcc03f,0x1fffc42f,
    0x007fffe4,0xb005ffff,0x3f20dfff,0x9fff94ff,0xffffe980,0x5c1effff,
    0x8002ffff,0x2e2ffffc,0x8002ffff,0xa82ffffc,0x3fe21fff,0xffff503f,
    0x7fffe409,0x105fffff,0xfffffff9,0x4009ffff,0x7ec7fff9,0x1bffea1f,
    0xd05fffd0,0xffe801ff,0xfff13eff,0x7ffff647,0x3fffe204,0x6fffd801,
    0x329fff90,0xd8804fff,0xffffffff,0x3fffea2f,0xfffd8003,0x3fffea1f,
    0xfffd8003,0x0fffc81f,0x4c0bffea,0x3205ffff,0xffffffff,0xfec9805f,
    0x3fffffff,0x3ffff100,0xff707ff4,0xffff80bf,0x403ffc40,0x15ffffe8,
    0x7ffc7fff,0x7fc405ff,0xffd801ff,0x9fff906f,0x8013fff2,0xffffffc8,
    0xffff30ff,0xfffd0009,0x4ffff98f,0xffffe800,0xfffd5530,0x7fffb555,
    0x7ffc4555,0x3fff206f,0x05ffffff,0x7ffed440,0xff1006ff,0x23ffc3ff,
    0x2603fffd,0xffa87fff,0xffff3006,0xf8fffe2b,0x4c00ffff,0xd800ffff,
    0xff906fff,0x13fff29f,0xffbff100,0x3fe27fff,0xff8005ff,0x7ffc46ff,
    0xfff8006f,0x3ffff67f,0xffffffff,0x7fc7ffff,0x266207ff,0x5ffff999,
    0xffd30010,0xff1001ff,0x23ffc1ff,0x2a02fffe,0xffd85fff,0xffff9803,
    0x47fff15f,0x00efffff,0x003fffe2,0x641bfff6,0xfff94fff,0x9ff88009,
    0x3e5fffe8,0xe881ffff,0x2ffffd42,0x00fffffc,0x4bffff50,0xfffffffd,
    0xffffffff,0x7fffe47f,0x3ffe2003,0x1fffd95f,0x3ffff700,0x8ffff100,
    0x7fff47fe,0x0ffffa02,0xd001fff7,0x2259ffff,0x3fae3fff,0x7fc04fff,
    0xffd801ff,0x9fff906f,0x0013fff2,0x3fea3ff1,0x3ffff26f,0xd2effc85,
    0xf907ffff,0x7400dfff,0x3f63ffff,0xffffffff,0x7fffffff,0x07ffffd4,
    0x5ffff880,0x005ffff7,0x005ffff7,0xfd8dfff3,0x13fff61f,0x317fffd4,
    0xf5007fff,0xff883fff,0xffffb83f,0x0bfff600,0x41bfff60,0xff94fffc,
    0x3fbae09f,0x3e23ff14,0x3ffe26ff,0x7fff42ff,0x0fffffef,0x4fffff88,
    0x6ffffc80,0x541fff90,0xfe801fff,0xb800dfff,0xff35ffff,0x7c401dff,
    0xa800ffff,0x7fe45fff,0x21bfff22,0x10ffffe8,0x3200dfff,0xff885fff,
    0x5fffd03f,0x017ffe40,0xc837ffec,0xfff94fff,0x3fffee09,0xff51ff88,
    0xffffb8bf,0x7fffdc4f,0x2e02ffff,0x81efffff,0x2fffffe9,0xfb8dffb0,
    0xff9800ff,0xa882efff,0x25fffffe,0x81dffffe,0x05ffffd8,0xa87fff70,
    0x3ffe65ff,0xfffd51df,0xdfff97ff,0x3fff6001,0x03fff882,0x5c07fff9,
    0xfd803fff,0xfff906ff,0x413fff29,0xf8dffff9,0x07fffb1f,0xdffffffd,
    0xfffffdb9,0xfffd00bf,0xffdbffff,0x40bfffff,0x7fec4fff,0x3fff2006,
    0xffdeffff,0x5fffffff,0x3fffffea,0xffffecde,0xffb003ff,0x41fff05f,
    0xfffffffc,0xffffffff,0x3a000dff,0xff882fff,0x9fff703f,0x02fffcc0,
    0xc837ffec,0xfff94fff,0x7ffff409,0xffffcffe,0xffffd106,0xffffffff,
    0x8807ffff,0xfffffffe,0xdfffffff,0x87fff100,0x64005fff,0xffffffff,
    0xffffffff,0xfffffc84,0xffffffff,0x3ffa004f,0x44ffc81f,0xeffffffc,
    0xfffffffa,0xfffe8004,0x03fff881,0x4409fff7,0xfd807fff,0xfff906ff,
    0x813fff29,0xfffffff8,0x402fffff,0xfffffffb,0xffffffff,0x7fdc02ff,
    0xffffffff,0x7fd402ff,0x0fffe21f,0x3fffea00,0xffffffff,0x3ff201df,
    0xffffffff,0x3e2003ff,0xfff306ff,0x3dfec985,0x02b37f6a,0x7fc05551,
    0xfff881ff,0x0bfff703,0x401fffe8,0xf905fffd,0x3fff29ff,0x7fffd404,
    0x02ffffff,0xffffd910,0xfff97bff,0xc8801fff,0xeffffffe,0xfffc800c,
    0x007ffea0,0xffffda80,0x001bceff,0xffffff91,0xa80039df,0x3f203fff,
    0x400001ff,0x3e04fff9,0xff881fff,0xbfff503f,0x03fffa80,0xc82ffff4,
    0xfff94fff,0xfffb1009,0x00019dff,0x74c05544,0x88003fff,0xa98000aa,
    0x0155442a,0x03533000,0x2aa62000,0x7fe40000,0x7fff400f,0xff300003,
    0x7ffc40df,0x3fff880f,0x00dfff50,0x9330bffd,0x3209ffff,0xfff94fff,
    0x2ffa8009,0x5c000000,0x000000ff,0x00000000,0x00000000,0x17ffe000,
    0x3bfffe20,0xffb30002,0x7fe403ff,0xfff880ff,0x5ffff303,0xe87ffa80,
    0x33ffffff,0x9ffffddd,0x3bbffff2,0x0ffc402e,0x18000000,0x00000000,
    0x00000000,0x00000000,0x4007ffea,0xdfffffd8,0x2a66099b,0x0effffec,
    0xffffff98,0x07fff106,0x3fffffe2,0x88bffa07,0x0fffffff,0xfffffff5,
    0x3fffff29,0x7fc402ff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x8004ffd8,0xfffffffa,0xffffffff,0x2604ffff,0x03ffffff,0x6407fff1,
    0x207fffff,0x3fe66ffa,0x3ea1ffff,0x94ffffff,0x5fffffff,0x00015500,
    0x00000000,0x00000000,0x00000000,0xff980000,0xb710000f,0xffffffff,
    0x17dfffff,0xfffff980,0x0fffe205,0x7ffffe88,0xd98fff40,0x64c1bdfe,
    0x52cccccc,0x39999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01ffe400,0xecca8800,0x1bcdeefe,0x37bbe600,0x1fffc401,0x03f76d40,
    0x00017fee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99800000,0x00666621,0x4c426662,0x0d5cc099,
    0x055cc400,0x51006666,0x19998157,0x00000000,0x07777540,0x057bb730,
    0x00277764,0x00003330,0x004cc400,0x00000000,0x3ea00000,0xffff70ff,
    0x4ffff803,0x3ee7fffb,0x001fffff,0x1dfffffb,0x2203fffe,0x8dfffffd,
    0x100ffff8,0x09bfffb7,0x4000074c,0x880ffffa,0xeffffffd,0x05fffe80,
    0x00fffa00,0x0efff6c4,0x002ffe80,0xdeffeda8,0xb7500002,0x0079dffd,
    0xf89bff20,0x3ea04fff,0xfffb1fff,0xffffff97,0x7f4407ff,0x9effffff,
    0x7cc0ffff,0xefffffff,0xb00ffff9,0x0bffffff,0x0001ffb1,0x81ffff50,
    0xffffffe8,0x7ff41fff,0x3f20005f,0xfff9805f,0x5c03ffff,0x6c4006ff,
    0xffffffff,0x3fa20005,0xffffffff,0x7ff4001e,0x03fffec4,0x7ecdfffb,
    0xffffffff,0xd02fffff,0xffffffff,0x41ffffff,0xfffffff8,0xffffffff,
    0xfffffc80,0x7ffcc4ff,0xfa80000f,0x7fe40fff,0xffffffff,0x02ffff46,
    0x00fff500,0xffd9fffb,0x17ff401f,0x3ffff600,0x04ffffff,0xfffffb80,
    0xffffffff,0x0bffe004,0x203ffff5,0x3f63ffff,0x989dffff,0xa86ffffd,
    0x88afffff,0x0ffffffa,0x2ffffff2,0xfffffa88,0xffffe80f,0x7fd41cac,
    0xa80000ff,0x3e20ffff,0xfc88dfff,0x3ffa1fff,0x3e20005f,0x3fe600ff,
    0x07fff12f,0x3001bfee,0x733bffff,0x4003ffff,0xfffffffb,0xffffffff,
    0x0fff9803,0xa84ffff8,0x3f60ffff,0xff905fff,0xffff85ff,0xffff980f,
    0xdffff10f,0x3ffffea0,0x05ffff80,0x007fffd4,0x7fffd400,0x03ffff20,
    0x7f4bfffd,0x7c0005ff,0x3fea02ff,0x417ffa0f,0x5c002ffe,0x7ec0ffff,
    0xff1002ff,0x2a15dfff,0x1ffffffd,0xc837fdc0,0xffc87fff,0x7fffec6f,
    0x9ffff101,0x027fffc4,0x261ffffb,0x3a02ffff,0xff80ffff,0xf73103ff,
    0x80335fff,0x3ea0aba8,0x3ffe0fff,0xffffb84f,0x44bfffd0,0xfd801ab9,
    0x1ffee04f,0xff70dffb,0xfff7000d,0x3fffc81f,0x9ffffb00,0x7ffffc40,
    0x827fec04,0x7c1ffff9,0x7fec3fff,0x7fff407f,0x0bfffe65,0x50ffffb8,
    0x5c03ffff,0x3310ffff,0x1339ffff,0x7fffffdc,0xfd881fff,0xfa8dffff,
    0xfff10fff,0xffff307f,0x5d7fffa3,0x02ffffff,0xfb81bfee,0x437fec7f,
    0x98002fff,0x3e65ffff,0xf9801fff,0xfb806fff,0x7fc07fff,0x3fffa02f,
    0x03fffea4,0xd80dfffb,0x3fea6fff,0x3fea01ff,0xffff70ff,0x7fffd401,
    0xffffff90,0x7fdcdfff,0x1fffffff,0x7fffffcc,0xffffceff,0x03ffff30,
    0x3a5ffff1,0xfffdefff,0x304fffff,0x3ea01fff,0x17ffa0ff,0x4000dff7,
    0xe8affffe,0xfb006fff,0x36005fff,0x7fcc01bd,0x3ffee00f,0x217fff27,
    0x6405fffd,0x3fee7fff,0x3fe600ff,0xffff90ff,0x0ffffa80,0xfffffff9,
    0x7ffdcdff,0x21ffffff,0xfffffff8,0xffffffff,0x03ffff50,0x7f4ffffe,
    0xffffffff,0xf02fffff,0x3fe605ff,0xf13ffe1f,0x4c0005ff,0xffffffff,
    0xffd001ff,0x200000df,0x7c407ffb,0xffff1fff,0x0dfffb05,0x2a6fffd8,
    0x2a01ffff,0xff70ffff,0x7fdc01ff,0xffff90ff,0x4cdfffff,0xabffffca,
    0x3ffff20a,0xfffa88bf,0xfff50fff,0x3fffe03f,0xdfffffd4,0x3ffff225,
    0x409ffb06,0xffcaeffe,0x01bfee1f,0x3ffff200,0x2002ffff,0x0005ffff,
    0x00bffb00,0xff39fffb,0x3fff60ff,0x2ffff407,0x405ffff3,0xf50ffffb,
    0x7ec05fff,0xf7530fff,0x0555bfff,0x101ffff5,0x501dffff,0x2e1fffff,
    0xff00ffff,0x3fffabff,0xffff904f,0x40dff705,0xfffffffa,0x0017ffc5,
    0x7ffffe40,0x3e2000df,0x00004fff,0x5007fff0,0xfff9ffff,0x3ffff609,
    0x9ffff303,0x027fffc4,0x261fffff,0xf305ffff,0xf881ffff,0x7d403fff,
    0xff980fff,0x3ffa02ff,0xffff90ff,0x57fffe01,0x100ffffe,0xf309ffff,
    0x7fd401ff,0x7fdc4fff,0x7f4c0006,0x05ffffff,0x27fffcc0,0x7fcc0000,
    0xffff001f,0x3603ffff,0x440effff,0x6c1ffffd,0xfc82ffff,0x3f60ffff,
    0xf711dfff,0x881fffff,0x5403ffff,0xfa80ffff,0x3f200fff,0xfff70fff,
    0x3fffe01f,0x80dfffd4,0xff05fffe,0x1353005f,0xa885fff0,0x3fe601ac,
    0xffffffff,0xffa80263,0x800004ff,0x32007ffb,0x06ffffff,0x3ffffff6,
    0xfffffc9b,0xfffff985,0xffffdaae,0x3ffea0ff,0xffffefff,0x7c40ffff,
    0x7d403fff,0xffb80fff,0x3fee00ff,0xffff50ff,0x53fffe03,0x7405fffe,
    0xffb06fff,0xffb80007,0x7ffffdc6,0x7fffcc0d,0xfffffbdf,0x985bffb1,
    0x0004ffff,0x005ffc80,0x3fffffe6,0x3ffff603,0xffffffff,0xfffb00ff,
    0xffffffff,0xffc81fff,0xdfffffff,0x7c40ffff,0x7d403fff,0xffc80fff,
    0x7ffd407f,0x3ffff50f,0x74ffffe0,0x7ec05fff,0xbff706ff,0x2fff8000,
    0x3fffffee,0x7fffec5f,0x3bffff64,0x442ffff9,0x0005ffff,0x003ffe80,
    0x07fffff4,0xf7bfffb0,0x5fffffff,0x7fffec40,0xfffbdfff,0xffffb80f,
    0xfffb9fff,0x7fffc40f,0x7fffd403,0x0ffffb80,0x43fffee0,0x882ffff9,
    0xffd2ffff,0xfffe80df,0x00fff305,0x3e37fdc0,0xfffb8dff,0x0bffff32,
    0xfffffffd,0x3fffe0ff,0x802ea006,0x4001fff8,0x405ffffb,0xfd35fffd,
    0x2001bfff,0x54fffffb,0x2601ffff,0xf70bdfdb,0xfff10fff,0xfffa807f,
    0xffffa80f,0x3ffff201,0x07ffff10,0x3a3ffff5,0x7fc07fff,0xfff104ff,
    0x3ffe0003,0xf87ffe62,0xffff54ff,0xfffff105,0x3fa0bfff,0xfd001fff,
    0xfff507bf,0xffff7000,0x5fffd805,0x10000d44,0xffffa815,0xfff70000,
    0x7ffff10f,0x0ffffa80,0x04ffff98,0x41fffff1,0xfc85fffe,0xfffd0fff,
    0x3ffe605f,0x0fffa03f,0x51bfee00,0x5ffe8fff,0x203ffff7,0xfffffff9,
    0xbffff901,0xdffff300,0x000bff90,0x801ffffd,0x0005fffd,0x3ffea000,
    0x0ab33a0f,0x886fffc8,0x5403ffff,0xfd01ffff,0xff903fff,0x7fdc1fff,
    0x3ffe21ff,0x3ffffa4f,0x7ffec40e,0x17ff201f,0x70bffe00,0x6ffd8fff,
    0x409ffff5,0x06fffffb,0x0bffffe2,0x3ffffe88,0x2003ffe8,0x04ffffc8,
    0x005fffd8,0x3fea0000,0x3fffa0ff,0xffff983f,0x3ffff884,0x6ffffd40,
    0x3ffea1ca,0xffda9bff,0x3e20ffff,0xfebcffff,0x3ffa0fff,0xfc9befff,
    0x5404ffff,0x7dc007ff,0x47ffb86f,0xfff15ffd,0xffd301ff,0x201dffff,
    0x43fffffa,0xfffffeb8,0x00fffc40,0x3ffff76e,0xffd800ff,0x0000005f,
    0xc83fffea,0xccefffff,0x81fffffe,0x403ffff8,0xfffffff8,0x7fffff42,
    0xfffeffff,0x7fffe40f,0x45ffffff,0xfffefffe,0x0fffffff,0x00fffc40,
    0xf505fff0,0x27ff41ff,0x7bfffffb,0xffffffb7,0x3607ffff,0xeeffffff,
    0x3fffffff,0x400fffa8,0xfffffffb,0xbfffb004,0x54000000,0x3e20ffff,
    0xffffffff,0xf104ffff,0xfb007fff,0x887fffff,0xfffffffd,0x80ffff8d,
    0xfffffffc,0x7fff40df,0xffffffba,0xffd001ff,0x1bfee007,0xf99fffc4,
    0x3ffe23ff,0xffffffff,0xffffffff,0xfffd880f,0xffffffff,0xdff904ff,
    0xfffff500,0x7fec00bf,0x0000005f,0x303fffea,0xfffffffd,0x7c407fff,
    0xd8803fff,0x903fffff,0x229dffff,0xd500ffff,0x207fffff,0xfd52fffe,
    0x4001bfff,0xf8805ffc,0x3ff202ff,0x887fffdf,0xfffffffe,0xffa8dfff,
    0x7fdc01ff,0xffffffff,0x13ffa04f,0x37bfba60,0x6665c001,0x20000003,
    0x300cccc9,0x79ddfdb9,0xffff8801,0x02662003,0x00005440,0x000054c4,
    0x540006a2,0xffb807ff,0x7fff4406,0x3ae02fff,0x1effffff,0x9801ff44,
    0xffffffed,0x0555400c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20155440,0x7002fff8,0x40019dfb,0x02800aa9,0x0026a600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57bb7310,0x077775c0,0x0f777540,0xddddddd3,
    0xdddddddd,0x7776c1dd,0x3bae004e,0x3bb625ee,0xeea803ee,0x3bb20dee,
    0x7774406e,0x775c03ee,0x3bbb60ee,0x3ba2001e,0x3a0005ee,0xaa984eee,
    0xaaaaaaaa,0x6dcc400a,0x2a2002cd,0x000bcddc,0x0359b951,0x3ffffea0,
    0xffc81eff,0xffb800ff,0x3ffe61ff,0xffffffff,0x20ffffff,0x01fffff9,
    0x2fffff88,0x07ffffdc,0x0fffffa0,0x403ffff9,0x06fffffa,0x323ffff4,
    0x2004ffff,0x004ffffa,0x217fffe0,0xfffffffe,0x2602ffff,0xeffffffe,
    0x7fffdc01,0x5c03ffff,0x4fffffff,0x7ffffdc0,0x642fffff,0xb800ffff,
    0x3e61ffff,0xffffffff,0xffffffff,0x37fffe40,0x2ffffe40,0x05ffffe8,
    0x21bffff2,0x203ffffa,0x0ffffffc,0x8bffff10,0x006ffff9,0x007ffff6,
    0x85ffff80,0xffffffff,0xf702ffff,0xffffffff,0x3fff201f,0x5fffffff,
    0xffffffb0,0xf301dfff,0xffffffff,0x7fe41fff,0xffb800ff,0x3ffe61ff,
    0xffffffff,0x40ffffff,0x03fffff8,0x03ffffe6,0x17ffffc4,0x0fffffcc,
    0x02ffffc4,0x5ffffffd,0x0ffffe60,0x007ffffa,0x01bfffe2,0x8bffff00,
    0xfffffff8,0xa82fffff,0xffffffff,0xffa86fff,0xffffffff,0x7ffdc2ff,
    0xffffffff,0xbffffd86,0x4ffffc98,0x003ffff2,0x887fffee,0xaaaaaaaa,
    0xfffffdaa,0xfffff505,0x3ffffa01,0x7fffdc03,0x4ffffd86,0x41bfffa0,
    0xfffffff8,0x3ffff704,0x09ffff70,0x09ffff50,0x5ffff800,0x777fffd4,
    0x81eeeeee,0x98cffffe,0x6c1ffffc,0x3ea2ffff,0x3fe26fff,0xffb8aeff,
    0x3fe21fff,0xffff83ff,0x03ffff25,0x07fffee0,0x3fffe600,0x7ffec06f,
    0xffffa84f,0xffffd006,0x77fffd49,0x3ffff200,0xfffffb80,0xfffb06ff,
    0x3fffe20f,0xffffd807,0x7ffc0001,0x2fffe45f,0x7fffd400,0x27fffc41,
    0x2e13fffa,0x3fee7fff,0x7ffc40ff,0x3fb7225f,0x26fffd80,0x800ffffc,
    0x001ffffb,0x7fffff44,0x7fffc400,0x3fffe21f,0xfff3001f,0xffff13ff,
    0xfffa805f,0xefffd82f,0xff80ffff,0x3ffa05ff,0x3fe201ff,0xf80006ff,
    0x7fec5fff,0xffe8003f,0x1357706f,0x982ffff8,0xff90ffff,0x3fff20bf,
    0x3fe2001f,0x3fff24ff,0xfffb800f,0x7fec001f,0xf7001fff,0x7fe4dfff,
    0x7e4004ff,0xfffcefff,0xfff9805f,0xaffff84f,0x7c42ffff,0x3ee03fff,
    0x3ea04fff,0x80003fff,0x7fc5ffff,0xff8002ff,0xfb0003ff,0xfff507ff,
    0x827fff4d,0x002ffffa,0xc87fffee,0xb800ffff,0x2001ffff,0x03fffffc,
    0x57ffff40,0x006ffff8,0xffffffd0,0x3e001fff,0x7fcc5fff,0x4fffd8ff,
    0x00ffffd4,0x40fffff1,0x000ffffd,0x25ffff80,0xdbaffff8,0x3fe202ce,
    0x002a62ff,0xb03bffee,0x7ff47fff,0xffff303f,0xfffc8807,0x7ffe44ff,
    0xfffb800f,0xfff5001f,0xf30009ff,0xfffbffff,0x3e60005f,0x2fffffff,
    0x1ffff600,0x3eedfff7,0x7ffe46ff,0xffffd807,0x0bffff02,0x3fffe000,
    0x3ffffe65,0x81efffff,0xfb9ffff9,0x2203ffff,0xfcdffffd,0x3f60efff,
    0xfff704ff,0xfffb809f,0xfffc82ff,0xfffb800f,0xfff9801f,0x320006ff,
    0xffffffff,0x7fe40005,0x4005ffff,0x361ffffb,0xfff33fff,0x2ffff41f,
    0x27fffd40,0x017fffd4,0x5ffff800,0x3fffffee,0x42ffffff,0xffdffffa,
    0x00dfffff,0x3ffffff2,0xfffc85ff,0xbffffb06,0xeffffc80,0x0ffffc80,
    0x1ffffb80,0x7ffff440,0x3e20000f,0x0fffffff,0x7ffc4000,0x4c000fff,
    0x3fe2ffff,0x3fffe1ff,0x00ffffe2,0x6c3ffffc,0x0000ffff,0x64bffff0,
    0xfeffffff,0x2e0fffff,0xffffffff,0x204fffff,0xfffffff8,0xffffa82f,
    0x7ffffcc3,0x7ffff405,0x7ffe43ff,0xfffb800f,0x7ffec01f,0xa80001ff,
    0x02ffffff,0xffffb800,0xff8002ff,0xffff34ff,0xf34fffd8,0x32003fff,
    0x7fc2ffff,0x200005ff,0x3fa5ffff,0x3f6a1eff,0x3ff24fff,0xea8bffff,
    0xf981ffff,0xffffffff,0xffffd83f,0xfffffdbe,0x6444406f,0x3f26ffff,
    0xfb800fff,0x3f201fff,0x0002ffff,0x17ffff60,0x3ffe2000,0x000fffff,
    0xfcb7ffec,0x7ffd45ff,0x01ffff76,0x97fffe60,0x002ffffa,0x17fffe00,
    0x7ff40553,0x3fffee7f,0x5fffe81f,0x4e7fffd4,0x45ffffda,0xfffffff8,
    0x05ffffff,0x8ffffd40,0x800ffffc,0x501ffffb,0x009fffff,0xffffa800,
    0xffd80002,0x05ffffff,0x47fffe40,0x7c43fffe,0xfffd8fff,0x7fffc006,
    0x01ffff27,0xbffff000,0xffff7000,0x1ffffea1,0x3a3fffdc,0xffa84fff,
    0x7ff440ff,0xffebffff,0x7fc4004f,0xffff73ff,0xffff7003,0xfffff303,
    0xf500000b,0x80005fff,0xfffffffa,0x2a002fff,0xfffaffff,0xafffe81f,
    0x4004ffff,0xff2ffffc,0x800009ff,0x8005ffff,0xf32ffffa,0x3e609fff,
    0xfff10fff,0xffff103f,0x33bb6e07,0x007ffff1,0x2edfffb0,0xc801ffff,
    0x7440ffff,0x000effff,0xffffa800,0x3fe20002,0xfffbcfff,0xff1000ff,
    0x0ffffdff,0x3ff7fff2,0x7cc002ff,0xfffadfff,0xcca8801f,0xffff880e,
    0xfff98004,0x9ffff12f,0x47fffe60,0x3607fffb,0x44005fff,0x9532ffff,
    0x7fffc09b,0x09ffff56,0xb0ffffb0,0x003fffff,0x3ffea000,0x3f60002f,
    0x3ffa6fff,0x3fa005ff,0x05ffffff,0xfffffff5,0xffd0001f,0x0dfffbff,
    0x0bfffea0,0x453fffe2,0xf500baa9,0x3fe23fff,0xfff505ff,0x07fffe4f,
    0x006fffd8,0xb8ffffd4,0xf981ffff,0xfff34fff,0x7fd403ff,0x7ffe47ff,
    0x000002ff,0x00bfffea,0x7ffffd40,0x3ffffe61,0xffff9002,0x3e207fff,
    0x06ffffff,0xfffff700,0x22009fff,0xfa84ffff,0xfff53fff,0x3fff207f,
    0x07fffec7,0xf537ffdc,0xff105fff,0x3b7269ff,0x6fffd80f,0x117fffe6,
    0x747ffffb,0x20aeffff,0x3ffffea8,0x13ffffea,0xff500000,0xf10005ff,
    0xf909ffff,0x5001ffff,0x1fffffff,0x7fffff40,0xff10004f,0x03ffffff,
    0x0fffffc0,0x43ffffd3,0xf987ffff,0x7fcc4fff,0x3fe20dff,0x3ffe65ff,
    0xffffb85f,0x87ffff33,0x743ffffa,0xfccfffff,0x7d46ffff,0xeeffffff,
    0x0fffffff,0x3ffffff2,0xffffffff,0x2004ffff,0x002ffffa,0x0fffffd8,
    0x5ffffe88,0xfffff880,0x7ffe406f,0x20002fff,0x6ffffffe,0x7fffe400,
    0xfffffeef,0x7ffffec5,0xfffffdac,0xfffffe80,0x0fffffcc,0x5ffffff4,
    0x0fffffea,0x2f7ffffa,0x887ffffe,0xffffffff,0xfd81ffff,0xffffffff,
    0x643fffff,0xffffffff,0xffffffff,0x3ea004ff,0x54002fff,0x202fffff,
    0x02fffffa,0x4fffffe8,0x7ffffd40,0x3ee0000f,0x003fffff,0x7fffffc4,
    0x40efffff,0xffffffe8,0x302fffff,0xffffffff,0xff107fff,0xffffffff,
    0xfffa85ff,0xffffffff,0xfffff502,0x405fffff,0xfffffffc,0xc82fffff,
    0xffffffff,0xffffffff,0x3ea004ff,0x22002fff,0x805fffff,0x00fffffd,
    0x17ffffec,0x37ffffc0,0x3ffe2000,0xa8000fff,0xffffffff,0xffd301ff,
    0x3fffffff,0xfffff980,0x2604ffff,0xffffffff,0xfff904ff,0x03ffffff,
    0xfffffc88,0xfd9800cf,0xdeffffff,0xfffff900,0xffffffff,0x009fffff,
    0x017fffd4,0x1fffff90,0xfffff100,0xffffb80b,0xfffd800f,0xfd80004f,
    0x20005fff,0xffffffd8,0xfffb801d,0x1001dfff,0x3dfffffb,0xffff9100,
    0xea803dff,0x00dfffff,0x00055440,0x00355330,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01355300,0x00153100,0x0001a880,0x20006aa6,
    0x00000aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x3ba6bddd,0xeeeeeeee,0xeeeeeeee,0x009ddd93,
    0x3bbbbae0,0xcccdeeee,0x7775c00a,0xdddddd75,0x157999bd,0x017bbae0,
    0x07bbbaa0,0x47bbba20,0x3eeeeeeb,0xeeeeed80,0x3999931e,0x3bbaa000,
    0xeee9801e,0xddd90dee,0x555554cd,0xaaaaaaaa,0x1dddd72a,0x3dddd500,
    0x6404ccc4,0xfff36fff,0xffffffff,0x9fffffff,0x0017fff6,0x7fffffe4,
    0xffffffff,0x3fff204f,0xffffff96,0xffffffff,0x0dfff907,0xdffff700,
    0x3ffff100,0x3ffffff2,0x7fffcc06,0xfff71fff,0x3ee0005f,0x7cc01fff,
    0x361fffff,0x3ff27fff,0xffffffff,0xff97ffff,0xff5003ff,0x7fff45ff,
    0x36fffc84,0xffffffff,0xffffffff,0x3fff69ff,0xfff90005,0xffffffff,
    0x01dfffff,0x3f2dfff9,0xffffffff,0x44ffffff,0x8006fffc,0x03fffffb,
    0xc8ffffc4,0x0fffffff,0x3ffffee0,0xffff71ff,0x3fee0005,0x3fe201ff,
    0x7ec1ffff,0x3fff27ff,0xffffffff,0xfff97fff,0xfff5003f,0x27fff45f,
    0xf9b7ffe4,0xffffffff,0xffffffff,0x0bfffb4f,0x3ffff200,0xffffffff,
    0xc86fffff,0xfff96fff,0xffffffff,0x647fffff,0xb8006fff,0x00ffffff,
    0x647fffe2,0x2fffffff,0x3fffff60,0xffff71ff,0x3fee0005,0xffd101ff,
    0xffb03fff,0x7fffe4ff,0xffffffff,0xffff97ff,0xffff5003,0x427fff45,
    0x5512aaa9,0xfff75555,0x555555bf,0x017fff63,0x5ffffe40,0xebaaaaaa,
    0x640fffff,0xfff96fff,0xb555557f,0x64dfffff,0xb8006fff,0x05ffffff,
    0x647fffe2,0x4fffffff,0x3fffffe0,0xffff71ff,0x3fee0005,0xffe881ff,
    0xffb02fff,0x77775cff,0xffeeeeee,0xffff93ff,0xffff5003,0x027fff45,
    0xffff9800,0x5fffd803,0xffff9000,0xffffb003,0x96fffc85,0x5401ffff,
    0xf91fffff,0xf7000dff,0x03ffffff,0x647fffe2,0x6fffffff,0xffffff30,
    0x3ffee3ff,0xff70002f,0xfffd03ff,0x7fec05ff,0xffd8007f,0x3ffff24f,
    0xffffa801,0x206aaaa2,0x98009998,0xd803ffff,0x33305fff,0x7ffe4133,
    0xfffa801f,0xb7ffe45f,0x400ffffc,0xf92ffffd,0x9ba88dff,0xfffffb80,
    0xfff106ff,0x37fff23f,0xfb80fffe,0x1ffffdff,0x005ffff7,0x07fffee0,
    0x05fffffb,0x007fffd8,0x3237ffd4,0xa801ffff,0x4002ffff,0x9806fffc,
    0xd803ffff,0xffb85fff,0x3ff20eff,0xff9801ff,0x7ffe45ff,0x01ffff96,
    0x93ffffb8,0x3fe6dfff,0x7dc4ffff,0x3fffffff,0x91ffff88,0xfff9bfff,
    0xf7fffd05,0x3fee3fff,0xf70002ff,0x7fe43fff,0xfd802fff,0x3e2007ff,
    0x7fe41fff,0xffa801ff,0x7e4002ff,0xff9806ff,0xffd803ff,0x7fffd45f,
    0x7fffe40f,0xffffb801,0xcb7ffe44,0x6400ffff,0xff92ffff,0xfffff7df,
    0x7fdcbfff,0x0fffffff,0xc8ffffc4,0xfffadfff,0x4ffffc44,0xff71ffff,
    0x2e0005ff,0xff91ffff,0x36007fff,0x36007fff,0xffc84fff,0xffa801ff,
    0x7e4002ff,0xff9806ff,0xffd803ff,0x3fffe65f,0xffffc81f,0x7fffcc01,
    0xb7ffe42f,0x200ffffc,0x90ffffe8,0xffffffff,0x23ffffff,0xffbefffb,
    0x7ffc45ff,0x1bfff91f,0xffa8ffff,0x1ffff9df,0x005ffff7,0x27fffee0,
    0x04fffffb,0x01ffff60,0xc83fffcc,0xaaabffff,0xffcaaaaa,0x7e4002ff,
    0xff9806ff,0xffd803ff,0xfffff35f,0x3ffff203,0xeeedcccd,0xc85fffff,
    0xfff96fff,0xfff5101f,0x7ffe4fff,0xff911cff,0x3ffeebff,0x45ffffd6,
    0xf91ffff8,0x3fffabff,0x26ffff21,0xff71ffff,0x2e0005ff,0xfffdffff,
    0xb000ffff,0x3600ffff,0xff904fff,0xffffffff,0xffffffff,0xfffc8005,
    0xffff9806,0xdfffd803,0x02ffffe8,0x3ffffff2,0xffffffff,0xffc80eff,
    0xfffff96f,0xffffffff,0x7fe47fff,0xfffd05ff,0x4dbffeed,0x3e26ffff,
    0xfff91fff,0xe8ffff2b,0xfff99fff,0x5ffff71f,0x3ffee000,0xffffffff,
    0xfffb005f,0xffff300f,0x3ffff201,0xffffffff,0x02ffffff,0x037ffe40,
    0x01ffffcc,0x7f77ffec,0x7e402fff,0xffffffff,0x04ffffff,0x7e5bfff2,
    0xffffffff,0x45ffffff,0x901ffffc,0x3feedfff,0x3ffff26f,0x23ffff14,
    0xff55fffc,0x5fffe2bf,0xf71ffff9,0x20005fff,0xfffffffb,0x02ffffff,
    0x807fffd8,0x3205fffd,0xffffffff,0xffffffff,0x7e4002ff,0xff9806ff,
    0xffd803ff,0x0fffffff,0x7ffffe40,0xefffffff,0x6fffc801,0xfffffff9,
    0xbfffffff,0x01ffff90,0x7ddffff2,0x3ffe26ff,0xffff88ff,0x22bfff91,
    0xfff57fff,0x47fffe6b,0x002ffffb,0xffffff70,0xfffff77f,0x7fffd801,
    0x17fffc40,0x9bffff90,0xb9999999,0x65c5ffff,0xfffc82cc,0xffff9806,
    0xffffd803,0x404fffff,0x99affffc,0x0dfffffb,0xcb7ffe40,0xffffffff,
    0x900cefff,0x7e40ffff,0xdfff77ff,0x8dffffa8,0xff91ffff,0x4ffffcbf,
    0xff33fffc,0x3ffee3ff,0xff70002f,0x7f49ffff,0x7ec04fff,0x7fdc07ff,
    0x7ffe407f,0xfffa801f,0x13fffa2f,0x201bfff2,0x803ffff9,0xfffffffd,
    0x3f201fff,0x7f441fff,0x3200efff,0xfff96fff,0x7e40001f,0x3fee07ff,
    0x0dfff77f,0xff9ffffd,0x3fff23ff,0x3affff65,0xfff31fff,0x3fffee3f,
    0xfff70002,0xfffa89ff,0x3ff602ff,0x7fff407f,0x7fffe404,0xffffa801,
    0x213fffa2,0x9806fffc,0xd803ffff,0xffdfffff,0x3ff205ff,0xfff881ff,
    0x3ff206ff,0x1ffff96f,0x7ffe4000,0x5fffee06,0xf986fffb,0xffffffff,
    0x54bfff91,0x7fffefff,0x5c7fffe6,0x0002ffff,0x209ffff7,0x00effffd,
    0x440ffffb,0x6400ffff,0xa801ffff,0x3fa2ffff,0xfffc84ff,0xffff9806,
    0xffffd803,0x05ffff75,0x407ffff2,0x04fffffa,0x3f2dfff9,0x20000fff,
    0x2e06fffc,0xfff77fff,0x3ffff20d,0xff91ffff,0x7fffc4bf,0x3fe65fff,
    0xffff71ff,0x3fee0005,0xfff101ff,0x3ff609ff,0x3ffea07f,0xffffc806,
    0xffffa801,0x213fffa2,0x9806fffc,0xd803ffff,0x7ff46fff,0xffff906f,
    0x7fffe403,0x6fffc81f,0x001ffff9,0x037ffe40,0x3eeffff7,0x3ffa06ff,
    0xf91fffff,0xffff8bff,0x3fe63fff,0xffff71ff,0x3fee0005,0x3ff201ff,
    0xffd81fff,0x3fff607f,0xffffc805,0xffffa801,0xfc83fe82,0xff9806ff,
    0xffd803ff,0x7fffd45f,0x1ffffc83,0x3ffffe20,0x96fffc86,0x0001ffff,
    0x7037ffe4,0x3feeffff,0x3ffea06f,0xff91ffff,0xffffd8bf,0x3ffe61ff,
    0x5ffff71f,0x3ffee000,0x3ffe201f,0xfffd86ff,0x13fffa07,0x07ffff20,
    0x0bfffea0,0xff905ff1,0xfff300df,0xfffb007f,0x1ffffb0b,0x01ffffc8,
    0x1fffffd4,0x7e5bfff2,0x20000fff,0x2e06fffc,0xfff77fff,0xffffd80d,
    0xbfff91ff,0x7fffffa8,0xb8ffffcc,0xffffffff,0xffffffff,0x03ffff71,
    0x4fffffa8,0xf03fffec,0xf9007fff,0xf5003fff,0x7ec45fff,0x0dfff906,
    0x07ffff30,0x30bfffb0,0xfc89ffff,0xfc801fff,0x3f20ffff,0xffff96ff,
    0x7fe40001,0x3ffee06f,0x80dfff77,0x1ffffff8,0xf88bfff9,0x7cc5ffff,
    0xfff71fff,0xffffffff,0x2e3fffff,0xe801ffff,0x361fffff,0xff107fff,
    0xff9005ff,0xff5003ff,0x3ffe25ff,0x0dfff901,0x07ffff30,0x20bfffb0,
    0x321ffffc,0x8801ffff,0x325fffff,0xfff96fff,0x7e40001f,0x3fee06ff,
    0x0dfff77f,0x3fffff70,0x3e17fff2,0x7cc3ffff,0xfff71fff,0xffffffff,
    0x2e3fffff,0x9801ffff,0x366fffff,0xff307fff,0xff9003ff,0xff5003ff,
    0x00eec5ff,0x300dfff9,0xb007ffff,0x3e20bfff,0x3ff25fff,0xff5001ff,
    0x3ff25fff,0x1ffff96f,0x7ffe4000,0x5fffee06,0xd006fffb,0x3f23ffff,
    0xfffd85ff,0x7fffcc1f,0xffffff71,0xffffffff,0x3ffee3ff,0xfffb001f,
    0x3fff67ff,0x0ffff507,0x07ffff20,0x8bfffea0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdddb0000,0x7777775c,0xeeeeeeee,0xddddd74e,0xdddddddd,0x775cbddd,
    0xcceeeeee,0x2a0001bc,0x001bcddc,0x0bbbbb60,0x3ba60000,0xdb93004e,
    0x75c079bd,0xeeeeeeee,0xe801cccc,0x00335eee,0x28800000,0x00aba880,
    0x51099988,0xffa80037,0x3ffff27f,0xffffffff,0xfff95fff,0xffffffff,
    0x64ffffff,0xffffffff,0x00dfffff,0x3ffffee0,0x4000cfff,0x05fffff9,
    0x7ff44000,0x7fec405f,0x2fffffff,0xffffffc8,0xffffffff,0x3fffe03e,
    0x0005df76,0x5fd98000,0xffffdb30,0x7ff405ff,0xfffff8af,0xfffe8800,
    0x3fffff27,0xffffffff,0xffff95ff,0xffffffff,0x7e4fffff,0xffffffff,
    0x03ffffff,0xffffffc8,0x000fffff,0x3ffffff2,0x3f200000,0x3e605fff,
    0xffffffff,0x7fe45fff,0xffffffff,0x03ffffff,0x3eedffff,0x0000bfff,
    0x3fffaa00,0xfffffa85,0x80dfffff,0xffebfffe,0xfe8806ff,0x3ff27fff,
    0xffffffff,0xf95fffff,0xffffffff,0xffffffff,0x7fffffe4,0xffffffff,
    0x3fea04ff,0xffffffff,0x3fe005ff,0x004fffff,0xfffff500,0x3fffa20b,
    0xfffeceff,0x3fff23ff,0xffffffff,0x82ffffff,0xff76ffff,0x0039ffff,
    0x3fff2200,0x7fd45fff,0xffffffff,0xfffe86ff,0x03ffffff,0x7fffffdc,
    0x2fffff27,0xaaaaaaaa,0xffff91aa,0x55555557,0x7e455555,0xaaaabfff,
    0xffffffda,0x9fffff00,0xffffd713,0xffff5003,0x0000ffff,0xbffffff1,
    0x33ffff20,0x7fffecc0,0x35ffff90,0xff733333,0xfff09fff,0x3fffeedf,
    0x002effff,0xfffffb30,0x7fccbfff,0xeb99cfff,0x7f43ffff,0xfdcfffff,
    0xffffd300,0x7fe4ffff,0xfc8001ff,0x20000fff,0x200ffffc,0x85ffffd8,
    0xa84ffff9,0xd803ffff,0xffffffff,0x7fec0002,0xfd05ffff,0x7fcc0dff,
    0xffff92ff,0xffff8803,0x26ffff86,0xffffffc9,0xa800bfff,0xfffffffe,
    0x7ffec2df,0xfffe881f,0x3ffffa1f,0xfffa8046,0x27ffffff,0x001ffffc,
    0x00ffffc8,0x3ffff200,0x7fffc400,0x7fffdc1f,0x0bffff01,0xfbffff88,
    0x20005fff,0xfffffffa,0x2ffff885,0xca7fff40,0xd801ffff,0xfff87fff,
    0xfffb506f,0x839fffff,0xffffffb8,0xff00beff,0x7fcc09ff,0x3fffa3ff,
    0xfff5002f,0x4ffff79f,0x001ffffc,0x00ffffc8,0x3ffff200,0xffffa800,
    0x02655444,0xb809ffff,0xffc8ffff,0xf88000ff,0x5fffdfff,0xf0055310,
    0x3ff27fff,0xffd801ff,0x5fffe85f,0x7fffe440,0xff54ffff,0x3bffffff,
    0x1ffff980,0xd2ffff40,0x5400ffff,0xfff72fff,0x0ffffe4f,0x7fffe400,
    0x3ff20000,0xff8800ff,0xf30005ff,0xfe805fff,0xffff35ff,0xfffb0009,
    0x00bfff95,0x3ffff500,0x007ffff2,0xb07ffff1,0x54009fff,0x75fffffd,
    0x17dfffff,0x3fffee00,0x37ffec00,0x400dfffd,0x3fee0bea,0x3ffff27f,
    0xfffc8001,0xaaaaaabf,0x7e42aaaa,0xff000fff,0x32000dff,0x2a01ffff,
    0x3fa2ffff,0x7d4007ff,0xbfff95ff,0xfffa8000,0x3ffff26f,0xca99999a,
    0xc80effff,0x44004fff,0xf75ffffd,0x8005dfff,0xc807fffc,0x3ffa7fff,
    0x5c02006f,0x3ff27fff,0xffffffff,0x3f20ffff,0xffffffff,0x0fffffff,
    0x003ffff2,0x003ffff4,0x02ffffcc,0xf71ffff6,0x22005fff,0xff90ffff,
    0x7dc000bf,0x3f21ffff,0xffffffff,0x0dffffff,0x007fff90,0x3fffff6a,
    0xfffff75f,0xf70019ff,0xfd801fff,0x3fffa6ff,0xffb80005,0x3ffff27f,
    0xffffffff,0x3fff20ff,0xffffffff,0x320fffff,0xb000ffff,0x4001ffff,
    0x01fffff9,0x113fffe2,0x200bffff,0x3f22fffd,0xf70005ff,0xfc85ffff,
    0xffffffff,0x01ffffff,0x980bffee,0xfffffffc,0xfff912ef,0x05bfffff,
    0x00ffffdc,0xfe93fffa,0xb80005ff,0x3ff27fff,0xffffffff,0x3f20ffff,
    0xffffffff,0x0fffffff,0x003ffff2,0x00ffffec,0x4fffff98,0x0ffffdc0,
    0x007ffff4,0xf917ffee,0xf5000bff,0xf903ffff,0xffffffff,0x7fffffff,
    0x107ffea0,0xffffffd5,0x2e2039ff,0xffffffff,0x7ffc40cf,0x3ffea05f,
    0x17fffa3f,0x3ffee000,0x3fffff27,0xffffffff,0x3ffff20f,0xcccccccd,
    0x7fe44ccc,0xffd000ff,0xff3001ff,0xfd00bfff,0x3fee0dff,0x3fe204ff,
    0x7ffe40ff,0x7ffcc005,0xfff901ff,0xdb9999bf,0x1dfffffd,0x910fff98,
    0xffffffff,0x7540017f,0xffffffff,0x3ffffa2d,0xffffe983,0x017fffa0,
    0x9fffee00,0x001ffffc,0x00ffffc8,0x3ffff200,0xfffff000,0xfffff300,
    0xffff300b,0xf755555b,0x7ec0ffff,0xfffc82ff,0x7ffdc005,0x3fff201f,
    0x7ff4401f,0x7ffc42ff,0xffffff70,0x980005df,0xfffffffd,0x3ffffea5,
    0xffffcabd,0x2ffff42f,0x7ffdc000,0x07ffff27,0x3ffff200,0x3ff20000,
    0xfff000ff,0xfff980df,0xff9005ff,0xffffffff,0x05ffffff,0xdddffff5,
    0xdfffffdd,0xfffb007d,0xffffc807,0xffff8801,0xf73ffc45,0x003bffff,
    0xfffc8800,0x7ffe45ff,0xffffffff,0x5fffe85f,0xfffb8000,0x07ffff27,
    0x3ffff200,0x3ff20000,0xff9800ff,0x3fe605ff,0x3e005fff,0xffffffff,
    0xffffffff,0xfffffa85,0xffffffff,0xff804fff,0x7fe401ff,0xffb001ff,
    0x26ff81ff,0x000cfffb,0xffeb8000,0xfffffb85,0xd03fffff,0x0000bfff,
    0x7e4ffff7,0xc8001fff,0x0000ffff,0x003ffff2,0x40fffff6,0x04fffff8,
    0x3ffffea0,0xffffffff,0x540fffff,0xffffffff,0xffffffff,0x0eeed804,
    0x0ffffe40,0x0ffffe80,0x17d7276c,0x50000000,0x3f6e60bb,0x201dffff,
    0x0005fffe,0x327fffb8,0x8001ffff,0x000ffffc,0x03ffff20,0x0dffff30,
    0x02fffff4,0x33ffff60,0xcccccccc,0x544ffffd,0xffffffff,0xffffffff,
    0xfc800004,0xf9801fff,0x01007fff,0x20000000,0x00153000,0x7dc00000,
    0x3fff27ff,0xffc8001f,0x320000ff,0x9880ffff,0x01fffffc,0x33fffff9,
    0x41333333,0x005ffff8,0x88fffff1,0x99999999,0x99dfffd9,0x2cccc800,
    0x0ffffe40,0xfffff710,0x02cccb8b,0x00000000,0x00000000,0x9fffee00,
    0x001ffffc,0xffffffc8,0xffffffff,0xfff93fff,0xffffffff,0x409fffff,
    0xffffffff,0x25ffffff,0x002ffffc,0x00bffff6,0x017fff20,0x809ffff0,
    0xfffffffc,0xffffffff,0x7ff42fff,0x5555515f,0x55555555,0x00355555,
    0x00000000,0x3fee0000,0x3ffff27f,0xfffc8001,0xffffffff,0x93ffffff,
    0xffffffff,0xdfffffff,0x3fffea01,0xffffffff,0x3fffe5ff,0x7ffd4007,
    0xffc8005f,0x7ffc005f,0x7ffe404f,0xffffffff,0x83ffffff,0xff35fffe,
    0xffffffff,0xffffffff,0x00000007,0x20000000,0x3f27fffb,0xc8001fff,
    0xffffffff,0xffffffff,0xfffff93f,0xffffffff,0xfffc807f,0xffffffff,
    0xfff55fff,0xfff0009f,0xfc8001ff,0x7fc005ff,0x7fe404ff,0xffffffff,
    0x04ffffff,0x3e6bfffd,0xffffffff,0xffffffff,0x0000003f,0x00000000,
    0x7e4ffff7,0xc8001fff,0xffffffff,0xffffffff,0xfffff93f,0x79bdffff,
    0xfffff001,0xffffffff,0x3fff6bff,0xffc8001f,0x7e4004ff,0x7fc005ff,
    0x7fe404ff,0xffffffff,0x200adeff,0x7715fffe,0x77777777,0x77777777,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26200000,0x26620099,0x2ee62009,
    0xba980009,0x44000aac,0x001abcaa,0x00abba98,0x80666662,0x44099998,
    0x99999999,0x31099999,0x33100333,0x04ccc433,0x44033330,0x33310999,
    0x80aba881,0x33309998,0x00aba883,0x50002ae6,0x3000bfff,0x3fff6013,
    0x1bfff206,0x3fffff62,0xffc800df,0x0effffff,0x7fffecc0,0xb804ffff,
    0xdfffffff,0xfffff881,0xfffff982,0x7fffff40,0xffffffff,0x03ffff92,
    0x325fffe8,0xff705fff,0x3ffe03ff,0x29fff93f,0x4ffffffa,0xffafffec,
    0xffffb1ff,0xffffc8bf,0xff5000ef,0xff8800bf,0x0dfffb04,0x2637ffe4,
    0xffffffff,0x3ff602ff,0xffffffff,0xffff301f,0xbfffffff,0x3ffff620,
    0x82ffffff,0x40fffffa,0xe82ffffe,0xffffffff,0xf12fffff,0x7cc09fff,
    0x3fea2fff,0xffffb07f,0x3ffff307,0x3ef3fff2,0x6fffffff,0x7fd7fff6,
    0xffffeaff,0xffd8dfff,0x00efffff,0x005fffa8,0xffb04ff8,0x7ffe40df,
    0x3ffffe26,0x1fffffff,0xffffffb8,0x86ffffff,0xeffffff8,0x83fffffe,
    0xfffffffd,0xc81fffff,0x3f25ffff,0xffd04fff,0xffffffff,0x7fec5fff,
    0x3fff206f,0x82ffff87,0xb85fffff,0x3ff26fff,0xffffffff,0xffb2ffff,
    0x3ffffebf,0xffffffff,0xffffffff,0xfa805fff,0x20a805ff,0x7ec263ff,
    0x3ff206ff,0x3ffff26f,0xfffeb89c,0x1effff85,0x1ffffd51,0x40ffffa8,
    0x547fffe8,0x98cfffff,0xd05ffffc,0xff35ffff,0x32e01dff,0xffcccccc,
    0x3ea0efff,0xfff01fff,0x9fffb09f,0x7fffff98,0x324fffd8,0x11dfffff,
    0x36bffffb,0xffff5fff,0x3fee15ff,0xf70cffff,0xa801ffff,0xff805fff,
    0xfdaafe8c,0x40dfffb4,0xff36fffc,0xfff309ff,0x7f65c43f,0x1ffffb80,
    0x9837ffdc,0x7ff409bd,0xffffb06f,0xdffff301,0x003ffffd,0x3fffff20,
    0x84ffff80,0xa80ffffa,0x7fdc6fff,0x3e21ffff,0x3ff21fff,0xffe885ff,
    0x2555536f,0xe82fffff,0xfb86ffff,0x7d401fff,0x7fd405ff,0xffffffff,
    0x40dfffb6,0xff76fffc,0x3ffa03ff,0xff98004f,0x7ffd41ff,0xf1001bef,
    0x32605fff,0x7ffdc01a,0x003fffff,0x3fffff70,0x21fffee0,0xf105fffd,
    0x7fec1fff,0x3ea4ffff,0x7ffe47ff,0xffffb01f,0x06ffff80,0x505ffff9,
    0x3ae3ffff,0xfffeeeee,0x15eeeeef,0xffffffb7,0x3fff67bd,0x5bfff206,
    0x3207fffc,0xa8805fff,0x2fffffdb,0x7fffffc4,0xf500adff,0x00003fff,
    0x3ffffffa,0xfff50006,0x7fc405ff,0x3ffe22ff,0x3fff602f,0x3ff7ffe3,
    0x13fff26f,0x640ffff9,0x7fc07fff,0xfff905ff,0xffff303f,0x3fffff23,
    0xffffffff,0xfffd07ff,0x0dfffb05,0xfdb7ffe4,0xffffffff,0x306fffff,
    0xffffffd7,0xff703fff,0xffffffff,0xffffb83b,0xff100000,0x0001ffff,
    0x07fffff3,0x5cbfffb0,0x7dc07fff,0x7fff35ff,0x3fe1fffb,0x7ffe41ff,
    0x1ffff207,0x209ffff0,0x980ffffc,0xff91ffff,0xffffffff,0xb0ffffff,
    0xd83ffdff,0x3f606fff,0xffffd6ff,0xffffffff,0xfffb0fff,0xfffdffff,
    0x3ffee03f,0xffffffff,0x03ffff23,0xfffe8000,0x7c4000ff,0x5004ffff,
    0x3fa1ffff,0x7fc404ff,0x53fff77f,0xfff35fff,0x0dfff90f,0x203fffdc,
    0xf904ffff,0x3fe60fff,0xffff91ff,0xffffffff,0xffd8ffff,0x360fff8c,
    0x3f606fff,0xffffd6ff,0xdddddddd,0xfffd8ddd,0xff88acff,0x36e201ff,
    0xffffffff,0x1ffff71f,0x3fee0000,0x2006ffff,0x05ffffe8,0x4dffffc0,
    0xe800ffff,0x7ffd9fff,0xff79fff1,0xdfff909f,0x03fffdc0,0x6413fffe,
    0xff307fff,0x2aaa63ff,0xaefffcaa,0x3e62aaaa,0x49ff90ff,0x3606fffd,
    0xfffb6fff,0x3fea000f,0xfff983ff,0x3ae6001f,0xf54fffff,0x55c03fff,
    0x7fffcc01,0xd003ffff,0x001dffff,0xfbdfffb8,0xff7005ff,0x74bfff9f,
    0x2fffeeff,0x206fffc8,0x7c07fffb,0xff904fff,0x3ffe60ff,0x7ffd401f,
    0xe85d1005,0x03fffe42,0x3f2dffff,0x13502fff,0x20dfff90,0x881ffff9,
    0xfff301ba,0x3fffe2bf,0x5ffff504,0x3fffffa0,0x6c01ffff,0x000effff,
    0xfeffff88,0xff3002ff,0x647fffff,0x07ffffff,0x5c0dfff9,0x7fc07fff,
    0xfff904ff,0x3fffe60f,0x2fffd401,0x7fd40000,0xfffc81ff,0xbffff36f,
    0x47ffff30,0xfb07fffd,0x7fc45fff,0x3ffa06ff,0x3ffffa4f,0x0ffffe81,
    0xabffffc8,0x3206ffff,0x000fffff,0x3fffff60,0x7ff4007f,0x3ea1ffff,
    0x905fffff,0x7dc0dfff,0x799977ff,0x6413fffe,0xff307fff,0xffa803ff,
    0x9800005f,0xa8afffff,0x26fffffc,0x8aeffffd,0x21ffffea,0x30cffffc,
    0x85fffff9,0x21dffffc,0x22ffffc9,0xacfffff9,0x85ffffeb,0x366ffffa,
    0xfa84ffff,0xffffffff,0x206fffff,0x4ffffffa,0x7fffe400,0x7fffc47f,
    0xfff902ff,0xbfffdc0d,0xfff5fffd,0x3fff209f,0x3ffff307,0x05fffa80,
    0xfff88000,0xefffffff,0x3fe66fff,0xffffffff,0x7ffcc4ff,0xffffefff,
    0x7f443fff,0xffffffff,0xffd85fff,0xffffffff,0x7ffc40ef,0x3ffe21ff,
    0x7ffdc2ff,0xffffffff,0x7fc06fff,0x4001ffff,0x85fffff9,0x00fffffe,
    0x5c0dfff9,0xfffb7fff,0x413fffeb,0xf307fffc,0xfa803fff,0x000005ff,
    0xfffffff3,0x8dfff57f,0xffffffe8,0xff904fff,0xb9ffffff,0xfd10bfff,
    0xffffffff,0x3ff201df,0xffffffff,0x3ffffd81,0x0fffffb8,0x3fffffee,
    0xffffffff,0x7fffdc06,0xffff0006,0xffff905f,0x37ffe40b,0x36ffff70,
    0xffff5fff,0x1ffff209,0x00ffffcc,0x000b3326,0xfffd9800,0xdfff52df,
    0x3ffffb20,0x7fd402ef,0xff51efff,0x3faa01ff,0x02efffff,0xfffffe98,
    0xfffb80bf,0x3fff606f,0x3fffee5f,0xffffffff,0x7fc406ff,0xf90002ff,
    0xff501fff,0x7fe407ff,0x3ffee06f,0x3ebfffb7,0xff904fff,0x3ffe60ff,
    0x0000001f,0x00033000,0x00026a60,0x00001353,0x00035531,0x00004d4c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x54c00999,0xaaaaaaaa,0x22aaaaaa,0xdd13cccb,
    0x7776c9dd,0x0bbbbaa6,0x0059bb73,0x04444435,0x77777774,0x0777756e,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffa80000,0x7ffe406f,
    0xffffffff,0x3f67ffff,0xffff16ff,0x73ffff4b,0x7e47ffff,0x1cffffff,
    0x3ff61fc8,0x7fffc0ff,0xff97ffff,0x000000df,0x00000000,0x00000000,
    0x00000000,0x80000000,0x201ffffe,0xfffffffc,0xffffffff,0x45bfff67,
    0x3fa5ffff,0x3ffee7ff,0xfffffb3f,0xbbdfffff,0xffd83fff,0x7ffffc3f,
    0xfff97fff,0x0000000d,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x205fffff,0xfffffffc,0xffffffff,0x45bfff67,0x3fa5ffff,0x3ffee7ff,
    0xfffffd3f,0xffffffff,0xffd03fff,0xffffff8d,0xdfff97ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ec00000,0x700fffff,0xdddddddd,
    0xbddddddd,0xf8afffec,0x3ffa5fff,0x3fffee7f,0xb759dfd2,0xffffffff,
    0xffd101df,0x66666645,0xdfff94cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x04ffffff,0x3f200000,0xc93fffe4,0x3fe66fff,
    0x2207d1ff,0x4fffffeb,0x0026ec40,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb0000000,0xffff7fff,0x20000001,0x3fff63ff,0x897ffee2,
    0x40067fff,0x00001bb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7edfffe2,0x999883ff,0x99999999,0x7e419999,0x87fff20f,
    0x7f43fff9,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53fff200,0xfc87fff9,0xffffffff,0x27ffffff,0x77542ffe,
    0x20f77446,0x00004eec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff10000,0x1ffff43f,0x3ffffff2,0xffffffff,0x0007b27f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff2000,0x237ffdc6,0xfffffffc,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x442ffff8,
    0x3f22ffff,0xffffffff,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb800000,0xfffb07ff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeed80000,0xdddd303e,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_37_usascii_x[95]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1, };
static signed short stb__arial_bold_37_usascii_y[95]={ 29,5,5,4,3,4,4,5,4,4,4,9,24,18,
24,4,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,32,4,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14, };
static unsigned short stb__arial_bold_37_usascii_w[95]={ 0,6,14,19,16,27,23,6,9,9,13,17,6,9,
5,11,16,12,17,16,18,17,17,16,16,16,5,6,17,17,17,18,33,24,21,22,21,19,17,23,20,6,16,22,
18,24,20,24,19,25,22,20,20,20,24,32,23,24,20,9,11,9,17,20,9,17,17,17,18,17,12,18,16,5,
9,17,5,26,16,19,18,18,12,17,11,16,19,26,19,18,16,13,5,12,18, };
static unsigned short stb__arial_bold_37_usascii_h[95]={ 0,24,9,26,30,26,26,9,32,32,13,17,11,5,
5,26,25,24,24,25,24,25,25,24,25,25,18,24,19,12,19,24,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,28,24,26,24,25,24,24,24,24,24,31,26,31,14,4,6,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,7, };
static unsigned short stb__arial_bold_37_usascii_s[95]={ 251,177,133,186,118,13,41,148,78,1,242,
224,126,184,194,88,220,1,74,88,117,18,36,207,54,71,191,245,202,108,184,
136,11,92,155,65,52,32,14,206,224,200,1,177,158,133,112,161,75,135,46,
230,7,105,229,196,172,147,126,108,1,98,90,184,174,36,237,72,201,18,176,
157,95,1,88,28,69,197,174,220,119,138,240,54,189,1,127,147,90,100,110,
64,58,45,155, };
static unsigned short stb__arial_bold_37_usascii_t[95]={ 1,112,156,1,1,34,34,156,1,1,137,
137,156,156,156,33,33,112,112,60,112,61,61,87,61,61,137,87,112,156,112,
112,1,112,112,34,112,112,112,1,87,87,61,87,87,87,87,1,87,1,87,
1,87,60,60,60,60,60,60,1,34,1,156,132,156,137,33,137,33,137,33,
33,87,87,1,87,87,137,137,112,33,33,112,137,33,137,137,137,137,33,137,
1,1,1,156, };
static unsigned short stb__arial_bold_37_usascii_a[95]={ 147,176,251,295,295,471,383,126,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,176,176,309,309,309,324,517,383,383,383,383,353,324,412,
383,147,295,383,324,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,176,147,176,309,295,176,295,324,295,324,295,176,324,
324,147,147,295,147,471,324,324,324,324,206,295,176,324,295,412,
295,295,265,206,148,206,309, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_37_usascii(stb_fontchar font[STB_FONT_arial_bold_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_37_usascii_s[i] + stb__arial_bold_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_37_usascii_t[i] + stb__arial_bold_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_37_usascii_x[i];
            font[i].y0 = stb__arial_bold_37_usascii_y[i];
            font[i].x1 = stb__arial_bold_37_usascii_x[i] + stb__arial_bold_37_usascii_w[i];
            font[i].y1 = stb__arial_bold_37_usascii_y[i] + stb__arial_bold_37_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_37_usascii_s[i] + stb__arial_bold_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_37_usascii_t[i] + stb__arial_bold_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_37_usascii_x[i] + stb__arial_bold_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_37_usascii_y[i] + stb__arial_bold_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_37_usascii_LINE_SPACING
#endif

