// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT        190
#define STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_40_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_40_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_40_usascii_LINE_SPACING          26

static unsigned int stb__arial_bold_40_usascii_pixels[]={
    0x00000000,0x00000000,0x4c000000,0xcccccccc,0x99999931,0x332a0199,
    0x4c9801cc,0x00000000,0x00000000,0x00000000,0x40000000,0xdff33ffe,
    0xfff8019d,0x7ff64407,0x001bff27,0xffdb9500,0x0017bdff,0xffffffa8,
    0xffff72ff,0x2e03ffff,0xb802ffff,0x980000ff,0xbceffecb,0xffb50001,
    0x3ea0019d,0x4c0000ff,0xbceffeca,0x17ffa001,0x06ffe800,0xf30fffa8,
    0x403fffff,0x3ee07fff,0x3e27ffff,0x4c0001ff,0xfffffffc,0x3effffff,
    0xfffff500,0x3fee5fff,0x01ffffff,0x205ffff7,0xcefffdb8,0xffe98001,
    0xffffffff,0x3ff6001e,0x801effff,0x20004ffe,0xfffffffa,0x801effff,
    0x10007ffd,0xfd009fff,0x7fffccbf,0x3ffe06ff,0xfffff107,0x06ffd8ff,
    0xffffb100,0xffffffff,0x03dfffff,0xffffffa8,0xffff72ff,0x2e03ffff,
    0xe982ffff,0xffffffff,0xfff9000d,0xffffffff,0xf5009fff,0xdfffdfff,
    0x00fffa80,0xffffd880,0xffffffff,0x7fdc03ff,0xffa8000f,0x7ffdc02f,
    0x3ffffe61,0xffff03ff,0x3fffff60,0x17ffd47f,0x3fffe600,0x999abcff,
    0xffffecba,0x2666203f,0xf72ffffb,0x03335fff,0x217fffdc,0xfffffffa,
    0x4406ffff,0xfffffffe,0xffffffff,0x3ffa00ef,0x05fff90e,0x40027ff4,
    0xfffffff8,0xffffffff,0xff300eff,0xff90005f,0x6fff801f,0xffffb998,
    0x20ffff05,0x19bffffe,0x2006fff8,0x0aeffffb,0x3fffa600,0xfff3003f,
    0x3fffee5f,0xff100001,0xffffffff,0x7ec09fff,0xbcefffff,0xfffffecb,
    0x9fff105f,0xa827ffcc,0xd8000fff,0xceffffff,0xffffecbb,0x3ffe04ff,
    0x6ffd8004,0x01fffdc0,0x7c1bfffa,0xffff07ff,0x2fffc809,0x2ffffb80,
    0x7ffd4000,0xfff9801f,0x3ffff72f,0x3ff20000,0xeaffbcff,0xfa80ffff,
    0x202fffff,0x1ffffffa,0x223fff98,0xffd05fff,0xfff5000b,0x7d405fff,
    0xb01fffff,0xff000dff,0x7ffc409f,0x7ffec01f,0x20ffff06,0x4c03ffff,
    0x7cc06fff,0x00001eff,0x801ffff1,0xf72ffff9,0x2a003fff,0x3fa1cccc,
    0x51ff75ff,0xfd05ffff,0x1001dfff,0x50dffffd,0x7fc45fff,0x0fffa86f,
    0x7fffc400,0xfe8800ef,0xff706fff,0x7fcc001f,0x3ffee02f,0x6fffc806,
    0xf10ffff0,0xff005fff,0x7ff405ff,0x9db7300e,0xa96665c5,0x7cc03fff,
    0xfff72fff,0x3fee003f,0x3fffe2ff,0x2f21ff72,0x7ffdc09a,0x3ea002ff,
    0x7d43ffff,0x3ffe23ff,0x005ffe85,0x2fffffb8,0x3fffea00,0x2fff983f,
    0x03ffee00,0x804fffd8,0xff07fffc,0xffff10ff,0xbfffb005,0x207fff20,
    0xfffffffa,0x23ffff8d,0x7cc06ffc,0xfff72fff,0x3fee003f,0x3fffe2ff,
    0x2001ff73,0x006ffffd,0x45ffffe8,0x3e23fff9,0x7ffd44ff,0xfffd8000,
    0xffe8006f,0x9fff05ff,0x03ffec00,0x200bfffe,0xff07fffc,0xffff10ff,
    0xffff7005,0x509fff10,0xffffffff,0x85ffffdf,0x3e601fff,0xfff72fff,
    0x3fee003f,0x3fffa2ff,0x2001ff76,0x002ffffe,0x46ffffa8,0x3ea5fff8,
    0x2fff43ff,0x7fffc400,0xffa8002f,0xdffb06ff,0x02fffc00,0x003ffff5,
    0x3e0ffff7,0xfff987ff,0xfffa801f,0x437fdc1f,0x9cfffffa,0xfffffffc,
    0x301fff40,0x3ee5ffff,0xf7001fff,0x7fec5fff,0x00ffceff,0x03fffff0,
    0xfffff300,0xf7bfff90,0x7fd41fff,0xff98001f,0x98001fff,0xf707ffff,
    0xff3001ff,0x7ffe407f,0xfffa800f,0x87fff80f,0x800ffffa,0x743ffff9,
    0x7ffcc4ff,0x7ffc40df,0x4ffc87ff,0x4bfffe60,0x001ffffb,0x4c5ffff7,
    0xffffffff,0xffff8800,0xff88000f,0x7fc40fff,0x43ffffff,0x30005ffe,
    0x001fffff,0x1fffff10,0x005fff30,0x6c03fff7,0xf3007fff,0xfff07fff,
    0x0ffff90f,0x97fffe20,0x7ec1fff9,0xffb00fff,0xbff70bff,0x97fffcc0,
    0x001ffffb,0xd85ffff7,0xffffffff,0x3ffea02d,0x3fe0007f,0xfd881fff,
    0x7d42ffff,0xf50001ff,0x4000ffff,0xf01fffff,0xffb009ff,0x7fffe80f,
    0x3ffffa00,0x263fffc0,0x2005ffff,0x3ee6ffff,0x7fffc46f,0x3fffee03,
    0x206ffa83,0xf72ffff9,0x2e003fff,0x6c42ffff,0xffffffff,0xfffa81ff,
    0x3fe0007f,0x2a202fff,0x0bffd01a,0x2a015751,0x0007ffff,0x40bffffe,
    0xff806ffe,0x7fffc05f,0x3ffee006,0xffff2dff,0x3fffff2e,0x3fffa001,
    0xf913fee6,0xff980dff,0x5ffc81ff,0x4bfffe60,0x001ffffb,0x205ffff7,
    0xfffffffc,0x7fcc3fff,0xf10007ff,0x0001ffff,0x320fffd4,0x984fffff,
    0x0007ffff,0x03fffff1,0xf101fff2,0xfff807ff,0x7fec005f,0xffff5fff,
    0x13fffffe,0x4ffffd00,0x7ff43ffd,0x7ffdc04f,0x03ffe80f,0x5cbfffe6,
    0x7001ffff,0x4405ffff,0xffffffeb,0x3ffe21ff,0xf98000ff,0x40007fff,
    0x7ff45ffe,0x446fffff,0x000fffff,0x0fffff98,0x403fff50,0x2201fffa,
    0x8004ffff,0xff5ffffd,0x3ffffeff,0xfffd8003,0xff0bffa7,0xffc807ff,
    0x05fff06f,0xb97fffcc,0x7001ffff,0x7005ffff,0xfffffdff,0x1fffff8b,
    0xffffa800,0x3fea0006,0x37ffea1f,0x7c2fffda,0x8001ffff,0x206ffffa,
    0x3203fff8,0xfff807ff,0x7fd4004f,0xffff5fff,0x03bffffe,0x4dfffb00,
    0x3fe21ffe,0x7ff402ff,0x0fff984f,0x4bfffe60,0x001ffffb,0x005ffff7,
    0xfff71ff7,0xffffe8ff,0x3f603204,0x20005fff,0x7fec5ffe,0xd17ffe27,
    0x0009ffff,0x80bffffb,0x3fa05ffe,0xffff805f,0x3ffe6005,0xffff4fff,
    0x3ffffffa,0x3fff6000,0xfa8bffa5,0x3e201fff,0xffe83fff,0x7fffcc05,
    0x03ffff72,0x0bfffee0,0x7dc3fee0,0x3ff21fff,0xffb80fff,0xfffff30c,
    0x3fea0009,0x22fffc1f,0x7fe47ffe,0x26001fff,0x404fffff,0xff107ffc,
    0xfffd007f,0x7ffec00d,0x9fffe0bf,0x03ffffd9,0xd93fffa0,0x3ffe63ff,
    0x3fff201f,0x07ffec1f,0x4bfffe60,0x001ffffb,0x225ffff7,0x3fee4caa,
    0x43ffff10,0x84fffff9,0xfdbffffe,0x0001ffff,0xfff0bffd,0x4c7ffe8b,
    0x005fffff,0x03fffff6,0x503fff50,0xfd003fff,0x3e200dff,0xfff84fff,
    0x37fffc47,0x47fffd00,0x3fe24ffc,0xfff103ff,0x4fffb8ff,0x2ffff980,
    0x003ffff7,0x64bfffee,0xff71ffff,0x03fffe21,0x89fffff9,0xfffffffb,
    0x50004fff,0xff883fff,0x07ffec5f,0x37fffff2,0x3fff6200,0xff8803ff,
    0x07ffc83f,0x00ffff90,0x207fffe6,0xffb87fff,0x3ffe007f,0xd1bfee2f,
    0xd881dfff,0x3ee7ffff,0xf9800eff,0xfff72fff,0x3fee003f,0xffff32ff,
    0x7dc3feeb,0xfff887ff,0xb10aefff,0xffffffff,0x3ffa0001,0xe8bfff05,
    0xfffd07ff,0x31137fff,0xdffffff7,0x42fff400,0xf5006ffe,0xf5001fff,
    0x3ffe0fff,0x1ffff987,0x0ffff980,0xfa87ffe2,0xeb9cffff,0xfdffffff,
    0x3000efff,0x3ee5ffff,0xf7001fff,0x7ffc5fff,0xa8ffbdff,0xf504ffff,
    0xffffffff,0xffffffff,0x3ea0007f,0xdffd01ff,0xf506fff8,0xffffffff,
    0xffffffff,0x7fe4005f,0x027ffc47,0x01ffff88,0xf07fffb8,0xfff10fff,
    0xfff5003f,0xd89ffb0f,0xffffffff,0xffffffff,0x7cc005ff,0xfff72fff,
    0x3fee003f,0x3ffee2ff,0xffefffff,0x3ea00fff,0xffffffff,0xffffffff,
    0x7f4000cf,0x3fff205f,0x409fff72,0xfffffffa,0xffffffff,0x7fd4001e,
    0x0bffea1f,0x03fffe80,0xf07fffb8,0xfff10fff,0xfff9005f,0x41fff50d,
    0xffffffc8,0xfffffbbf,0xf98004ff,0xfff72fff,0x3fee003f,0x7ffec2ff,
    0xffffffff,0xffc8803f,0xffffffff,0xffffffff,0xfffa800b,0x3fffe201,
    0x400ffffe,0xffffffc8,0x04ffffff,0x47fff100,0x2000fffc,0xc806fffc,
    0xfff06fff,0x5ffff10f,0x07fffd00,0x9503bffe,0x76419bfd,0x55501bdf,
    0x3fffe603,0x03ffff72,0x0bffff20,0xffffffb1,0x8005ffff,0xfffffeca,
    0xfffeacdf,0xfe800fff,0xfffa805f,0x2002ffff,0xfffffeca,0x40001cef,
    0x3ffa5fff,0x7ffc4006,0x7ffe400f,0x10ffff06,0x8805ffff,0xf500ffff,
    0x00000bff,0x980fffec,0xff72ffff,0x3f2003ff,0xfd501fff,0x019dffff,
    0x01551000,0x00ffffee,0x4007ffee,0x01defed8,0x00d54c00,0x8aaa6000,
    0xc8001aaa,0x7ec02fff,0xffff06ff,0x00ffffe0,0xc80bfff5,0x0000dfff,
    0x0ffff620,0x72ffff98,0x8403ffff,0x01fffffa,0x000ffe44,0xfd880000,
    0x0000000f,0x00000000,0x00000000,0x4409fff1,0xff05ffff,0x3fffe0ff,
    0x3fff200e,0xffffe802,0xffb80004,0x6664c5ff,0xf72ffffd,0x1999bfff,
    0x7ffffffc,0x0ffb800f,0x40000000,0x00000028,0x37777200,0x2224dddd,
    0x88888888,0x88888888,0x3fffea08,0xff900003,0xfffed88f,0xffff04ff,
    0x3bffffa0,0x37ffc45e,0xffffd880,0xa8800bdf,0x84fffffc,0xfffffffa,
    0xfffff72f,0x3fe23fff,0x005fffff,0x00001ff7,0x00000000,0xffe80000,
    0x35ffffff,0xffffffff,0xffffffff,0x7fd4ffff,0x100003ff,0x7fcc5fff,
    0xf01fffff,0x3fea0fff,0x7dc7ffff,0x7d4001ff,0xefffffff,0xfffeedde,
    0x502fffff,0xffffffff,0x3ffffee5,0xfff51fff,0x2001ffff,0x000004c9,
    0x00000000,0xfffe8000,0xf35fffff,0xffffffff,0xffffffff,0x7ffd4fff,
    0x3200003f,0x3ffe66ff,0x3fe05fff,0x3fffa07f,0x2fff47ff,0xfffc8800,
    0xffffffff,0xcfffffff,0x3fffea00,0xff72ffff,0x23ffffff,0x1efffffb,
    0x00000000,0x00000000,0xfffd0000,0x26bfffff,0xffffffff,0xffffffff,
    0x3fea7fff,0x200003ff,0xff31fff8,0xff807fff,0x3ff2207f,0x3ffea7ff,
    0xec980000,0xffffffff,0x1002dfff,0x33333333,0x26666621,0x55d4c199,
    0x00000000,0x00000000,0x7f400000,0x5fffffff,0x22222222,0x88888888,
    0x3ea08888,0x00003fff,0xac89665c,0x9999001a,0x49753100,0x00003cca,
    0xabaa9988,0x0000009a,0x00000000,0x00000000,0x00000000,0x44444440,
    0x00000888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65400000,0x32e1bdfd,0x999952cc,0x16776544,0x05999950,
    0x01999970,0x05eff654,0x00059999,0x59973100,0x93000003,0x2a205999,
    0xcdeffedb,0xfff70000,0x02fffd87,0xbdffdb50,0xb9800005,0x0bcdffec,
    0x775cc000,0x00cdefff,0x3ffff620,0xfffd2fff,0x4dffff29,0xdfffffff,
    0x6ffffa80,0x3ffffc40,0xfffffe88,0x9ffff1ff,0x77fee4c0,0xffff303c,
    0x0001bfff,0x27fffd40,0x7fffffd4,0x00cfffff,0x20fffe40,0x4c00fffe,
    0xfffffffe,0x4c0000df,0xfffffffe,0x98002fff,0xfffffffe,0x401dffff,
    0xffffffe8,0xfffeafff,0xf5ffff94,0xffffffff,0xfffff03f,0x7fffd401,
    0xfffff984,0xffafffff,0xfff504ff,0xf70bffff,0xffffffff,0x2a00003d,
    0x7dc4ffff,0xffffffff,0x001fffff,0xf883fffa,0x7fc407ff,0xffffffff,
    0x3ee0005f,0xffffffff,0x000dffff,0xfffffff7,0xffffffff,0x7fffec05,
    0xffffffff,0xfff94fff,0xffffffff,0xf90dffff,0x7ec07fff,0xffe81fff,
    0xfffeffff,0x984fffff,0xffffffff,0x7ffffcc4,0x06ffffff,0xffff5000,
    0x7ffffe49,0xffffffff,0x3fe006ff,0x2fffcc6f,0x3bffff60,0x3ffffebc,
    0x7fff4400,0xffffffff,0xd806ffff,0xffffffff,0xffffffff,0xffff982f,
    0x3ffea0df,0xfff94fff,0x32217fff,0x4c2fffff,0xf106ffff,0xff50dfff,
    0xffa87fff,0xfb84ffff,0x2eeeffff,0x5f7fffec,0x02fffffc,0xffffa800,
    0x3fffffe4,0xfffba9bd,0xf9804fff,0x7ffdc4ff,0x3ffffc03,0x002ffff4,
    0x3ffffff2,0xffffdbbd,0x3ee04fff,0xbdefffff,0xffffffda,0x7ffec0ff,
    0xffff305f,0x3ffff29f,0xffff902f,0x1ffffd0d,0x07ffff50,0x207ffffd,
    0x84fffff9,0x203ffffc,0x4c6ffff8,0x0005ffff,0x34ffffa8,0xf80dffff,
    0xb806ffff,0x7fe43fff,0x3ffe202f,0x7fffa85f,0x3fffe200,0xffa880ef,
    0xf980ffff,0x203fffff,0x4fffffe9,0x00fffffc,0x329ffffb,0x2206ffff,
    0x5c0fffff,0xfd83ffff,0x7fc40fff,0x7fec07ff,0xfffd84ff,0x3fff201f,
    0xffffd82f,0x7fd40001,0xffff94ff,0xffffb805,0x2666620f,0x999bfffd,
    0x009afffe,0xc81fffff,0x36005fff,0xb805ffff,0xe84fffff,0x801fffff,
    0x27fffff8,0x406ffff8,0xf94ffffa,0xfd807fff,0x7fc41fff,0x7ffc46ff,
    0xffff985f,0x7fffdc05,0x07fffe84,0xa83ffff4,0x5403ffff,0xf50bdfec,
    0x3ff69fff,0xeee803ff,0x3fff21ee,0xffffffff,0x3fffffff,0x4bffffb0,
    0x003ffffa,0x03fffff5,0x0f7fffa0,0x07fffff1,0x677ffdc0,0x0bffff30,
    0x94ffff98,0xc805ffff,0xfd82ffff,0x3fea0fff,0xfffa82ff,0x7ffd404f,
    0xfff9954f,0xf87999ff,0xff307fff,0x3fa209ff,0xaaffffff,0xff74ffff,
    0x80005fff,0xfffffffc,0xffffffff,0xff503fff,0xfff77fff,0x3f2001ff,
    0x26005fff,0x3fff201b,0x01a8006f,0x809ffff5,0xf94ffff8,0xfb805fff,
    0xffa83fff,0x3fff63ff,0x7ffff707,0x4ffff980,0xfffffff9,0x7fc4bfff,
    0xfff105ff,0xffff30bf,0xfbffffff,0x3fe69fff,0x0aceffff,0x7fffe400,
    0xffffffff,0x03ffffff,0x3ffffff2,0x2002ffff,0x002ffffd,0x7ffff400,
    0x7cc00003,0x7cc05fff,0xfff94fff,0xfffb805f,0xdffff02f,0x413fffe2,
    0x404ffffa,0xf94ffffa,0xffffffff,0x7fffccbf,0xdffff105,0xffffffd0,
    0xfffffffd,0x7fffec9f,0x1bdfffff,0xfeccca80,0xfecccdff,0x201ccdff,
    0xfffffff8,0x7f4002ff,0x00002fff,0x017ffffc,0x3ffe2000,0x7ffd405f,
    0x7ffff94f,0x1ffffc80,0x51ffff90,0x2603ffff,0x5c05ffff,0xff94ffff,
    0xffffffff,0x2ffffccb,0xa8fffff0,0x543fffff,0x24ffffff,0xffffffe8,
    0x0befffff,0x83fff900,0x3000fffe,0xbffffffd,0xffff0001,0x4400003f,
    0x001fffff,0x7ffff800,0xa7fffe40,0x405ffffc,0x300ffffe,0xffb7ffff,
    0x7ffc40df,0x3ffa00ff,0xfd3314ff,0x41333fff,0x205ffffa,0x7fc7ffff,
    0xff503fff,0xfd889fff,0xffffffff,0xe800efff,0x3fe20fff,0xffd8806f,
    0x05ffffff,0xfffff880,0x3e600000,0x2a00ffff,0xeeeeeeee,0x3fffa3ee,
    0xffff102f,0x3ffff29f,0xffff301f,0xefffe80f,0x7403ffff,0xf704ffff,
    0xfd09ffff,0x7fdc0fff,0x3ffe04ff,0xffff10ff,0xffffe80f,0xffffd504,
    0xdfffffff,0x37ffc401,0x1017ffe6,0xfffffffd,0x40189fff,0x007ffff9,
    0x7fffcc00,0x3ffee00f,0x4fffffff,0x07ffffea,0x9fffffd1,0x3bfffff2,
    0x7ffff441,0x7fffdc04,0x5400ffff,0x10cfffff,0x9ffffff9,0x40ffffd0,
    0x204ffffa,0x3e67ffff,0x7dc05fff,0x5c404fff,0xfffffffd,0xff300fff,
    0x3fffb89f,0x7fffff40,0x2fffffec,0x8817bff3,0x000fffff,0x3fffe200,
    0x3ffee01f,0x4fffffff,0x6ffffff4,0xffffffdb,0xfffff94f,0xfffb9bff,
    0xf8801fff,0x06ffffff,0xfffffff0,0xffffffff,0xffffd09f,0x2ffffcc0,
    0x54fffff0,0x5c04ffff,0x2004ffff,0xffffeca8,0x2e6622ff,0xd999cfff,
    0x0999bfff,0x4fffffee,0x8fffffe8,0xf80ffffc,0x0001ffff,0x17ffffc0,
    0xffffff70,0xf989ffff,0xffffffff,0x94ffffff,0xffffffff,0x7fffffff,
    0x3ffff600,0xfd3003ff,0xdfffffff,0xd09ffff7,0x7cc0ffff,0xff105fff,
    0x7ffdcdff,0x7ffd403f,0x3ee0004f,0x3f24ffff,0xffffffff,0xffffffff,
    0x3ffffe3f,0x7ffffcc3,0xd06ffffe,0x8005ffff,0x7ffff401,0x33332603,
    0x84ffffec,0xfffffffa,0x4ffffadf,0xf95ffff9,0x7fffffff,0x7fffd400,
    0x3a2000ff,0x8effffff,0xe84ffffa,0x3e207fff,0xff106fff,0x7ffd4bff,
    0x7ffd404f,0x2ecca9cf,0xdffff500,0x7fffffe4,0xffffffff,0xff33ffff,
    0xff501fff,0x7fffffff,0x13ffff60,0x82cffa80,0x006ffffc,0x04ffffb8,
    0x7dffffd3,0x653fffe6,0xff72ffff,0x0003dfff,0x00bfffff,0x59dd9510,
    0x0ffffea1,0xf01ffffa,0x3e60ffff,0x3fe64fff,0x7fdc04ff,0xffffbcff,
    0xffff1005,0x7ffffe4f,0xffffffff,0xf53fffff,0x7e40bfff,0x0fffffff,
    0x1fffff70,0x3ffff200,0x7ffffcc6,0x7ffdc002,0x054c404f,0x653fffe6,
    0x5442ffff,0x7ff40001,0x000002ff,0xd07ffff5,0xfe80ffff,0xffb80fff,
    0x3ffe23ff,0x7ffec06f,0xfffff9cf,0xffffb800,0x3fff72a6,0xfffeccce,
    0xf51ccccd,0xfd80dfff,0x203fffff,0x04fffff8,0x3fffff98,0x06fffff8,
    0x27fffe40,0xffff3000,0x0bffff29,0x3fea0000,0x332007ff,0x3ee009ab,
    0xffe82fff,0x7ffdc07f,0xffffe84f,0x0fffffc0,0x4fffff88,0x80dfffff,
    0x84fffff8,0x7e43fffb,0x3fe201ff,0x3ea01fff,0x00dfffff,0x0fffffee,
    0xfffffe88,0xfffffa80,0x7fe4401e,0x20004fff,0xf94ffff9,0x00005fff,
    0x4ffffe88,0x3ffff600,0xffffd107,0x0ffffd01,0x0fffff88,0x213fffee,
    0x41fffffb,0x4fffffe8,0x5dfffff9,0x7fff5441,0xfffc81ff,0x007fff41,
    0x07bffffa,0x3ffffff2,0x3fa01eff,0x30adffff,0x9ffffff7,0x7ffffec0,
    0xf9530acf,0x09ffffff,0x7fffcc00,0x05ffff94,0xfdbba800,0x000fffff,
    0x37ffffee,0xfffeca9b,0xffffd05f,0xfffff900,0x3fffffdb,0xffffff10,
    0xfffff97b,0x7fff49ff,0xffffffff,0xd06fffff,0xfff81fff,0xffffa806,
    0xfffecfff,0xffffffff,0xffff304f,0xffffffff,0x880dffff,0xfffffffe,
    0xffffffff,0x0003ffff,0x653fffe6,0x0002ffff,0x7fffffdc,0x7c4004ff,
    0xffffffff,0x00ffffff,0x300ffffd,0xffffffff,0x7dc0bfff,0xffffffff,
    0x24ffffdf,0xfffffff8,0xffffffff,0x6fff881f,0x8027ffcc,0xfffffffd,
    0xffffffff,0x205fffff,0xfffffffa,0xefffffff,0xfffd8800,0xffffffff,
    0x02ffffff,0x7fffcc00,0x05ffff94,0xffffa800,0x8000efff,0xfffffff9,
    0x03ffffff,0x401ffffa,0xffffffe8,0xffa805ff,0xf4ffffff,0xfe989fff,
    0xffffffff,0xf301efff,0xfffa89ff,0x3ffee003,0xffffffff,0xefffd88d,
    0x7ffec400,0xffffffff,0x7fe4000d,0xffffffff,0x000bffff,0x4ffff980,
    0x005ffff9,0xfffff980,0x220000cf,0xfffffffc,0x7f400cff,0x362007ff,
    0x03efffff,0x3ffffa60,0x13fffe3e,0x7fffff54,0x5c03dfff,0x7fe43fff,
    0x7ec4001f,0x2effffff,0x2001ffa8,0xfffffeda,0x220001df,0xffffffeb,
    0x00002bde,0x80000000,0x000aabaa,0x2eaa6200,0x3fa001aa,0x510007ff,
    0xa9800013,0x53100000,0x26001355,0x554c0aaa,0x54c40002,0x0028800a,
    0x0026a620,0x4d4cc000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26200000,0x5401acdb,0x0000cccc,0x33333310,
    0x01333333,0x33332200,0x66e54c04,0x54c000ab,0x00009bcc,0x665cc000,
    0x3332602b,0x9991003c,0x99999099,0x99999999,0xb8599999,0x000ccccc,
    0x8b333322,0x004ccccc,0x47999991,0x801cccc9,0xfffffffd,0xffff900d,
    0x3ee00003,0xffffffff,0x10005fff,0x220fffff,0xfffffffd,0xffd8802f,
    0x003fffff,0x3ee004a8,0x1dffffff,0x05ffffa8,0x8fffff10,0xfffffff8,
    0xffffffff,0x7fd44fff,0x36004fff,0x2e1fffff,0x804fffff,0x22fffffc,
    0x203ffffa,0xffffffe8,0xfc81ffff,0x00001fff,0xfffffff9,0x00bfffff,
    0x1ffffe20,0x3fffffe2,0x205fffff,0xfffffffa,0xd3005fff,0x3ff600bf,
    0xffffffff,0x2ffffd41,0x7ffff880,0x7fffffc4,0xffffffff,0xfd84ffff,
    0x9801ffff,0xd84fffff,0x201fffff,0x45fffff9,0x203ffffa,0xfffffffe,
    0x640fffff,0x0001ffff,0xffffffd0,0x0bffffff,0x3fffe200,0xfffffe87,
    0x2fffffff,0xffffff88,0x06ffffff,0x017fff22,0x3ffffffa,0x20efffff,
    0x005ffffa,0x88fffff1,0xffffffff,0xffffffff,0xfff884ff,0xffe806ff,
    0xfff106ff,0x7ff40dff,0x7fd40fff,0xfff503ff,0xfffb5bff,0xfffc89ff,
    0xff00001f,0xffffffff,0x2000bfff,0x547ffff8,0xa9cfffff,0xd87ffffe,
    0xfbcfffff,0x302fffff,0xa80bffff,0xcacfffff,0x2a3fffff,0x1005ffff,
    0xe88fffff,0xeeeeeeee,0xfffffeee,0xffff703f,0x7ffdc07f,0x3fee02ff,
    0xffb82fff,0xffa82fff,0xfffb03ff,0xffffa83f,0x0ffffe47,0x7ffc4000,
    0xaaaaaacf,0xf10001aa,0xffc8ffff,0xfffd82ff,0x3fffe61f,0x3fff220e,
    0xffff305f,0xffffe80b,0x2ffffcc1,0x00bffff5,0x01ffffe2,0xfffffb00,
    0xffffe80b,0xffff880f,0xfffe805f,0x3ffe20ff,0x440005ff,0xff05ffff,
    0x7fe41fff,0xa80001ff,0x0001ffff,0x3fffe200,0x83ffff47,0x2e2ffffa,
    0xfd02ffff,0xff303fff,0x7fd40bff,0xdffd04ff,0x2ffffd4b,0x7ffff880,
    0x3fff2000,0x7cc00eff,0xfc84ffff,0x9800ffff,0x364fffff,0x000fffff,
    0x01ca9880,0xfc8ffffd,0xfb711fff,0xff90059d,0x800000ff,0x6c7ffff8,
    0xff306fff,0x7ffe43ff,0xffff700f,0x7ffee4c9,0x7ec4ccef,0x40101fff,
    0x005ffffa,0x00fffff1,0x3ffffea0,0xfff9000f,0x7ffcc3ff,0x3f2002ff,
    0xff99ffff,0x32603fff,0x20001ccc,0x645ffff9,0xffa9ffff,0x00efffff,
    0x001bfff6,0xffff1000,0x1ffffb8f,0x6c7fffc8,0x3ea07fff,0x3fee5fff,
    0xffffffff,0x01ffffe0,0x2ffffd40,0x7ffff880,0xffff9800,0x7f4002ff,
    0x3ff66fff,0xfe8005ff,0xfffeefff,0x7ffd406f,0xfb30003f,0xffc85fff,
    0xfffffdff,0xf01fffff,0xffb7dfff,0x1000039d,0xf88fffff,0x3e60dfff,
    0x7fec5fff,0x3ffe607f,0x3fffee6f,0x20ffffff,0x7316ffff,0x7fd40159,
    0xff1005ff,0xe8800fff,0x003fffff,0xafffff98,0x00fffffa,0xfffff980,
    0x401fffff,0x003ffffa,0x7fffffe4,0xfffffc83,0xffffefff,0xfff886ff,
    0xffffffff,0x7c40003f,0xffa87fff,0xfffedfff,0x7ffe40ef,0xffff500f,
    0x7ffffdcf,0xf10fffff,0xffd3bfff,0xf501bfff,0x2200bfff,0x4007ffff,
    0x05fffffd,0x3ffff200,0x03ffffef,0x3ffff200,0xa804ffff,0x4003ffff,
    0x02ffffff,0x5ffffff9,0x2fffffb8,0x7fffffcc,0x5fffffff,0x3ffe2000,
    0xfffd307f,0x20bfffff,0x902ffffb,0x544fffff,0xaaeffffb,0x3bfffe62,
    0xffffffff,0x7fffd41e,0xffff1005,0x7ffe400f,0x440006ff,0xffffffff,
    0x7c40006f,0x06ffffff,0x07ffff50,0x7ffffc40,0xffff902e,0x3fff203f,
    0x7fffdc6f,0xfffffeff,0xf10002ff,0x3620ffff,0xffffffff,0xdffff302,
    0xfffff981,0x7fffcc0f,0xfffff505,0xffffffff,0xffffa8df,0xffff1005,
    0x3ffea00f,0x80000fff,0xfffffffa,0xfa80001f,0x001fffff,0x007ffff5,
    0x7fffffcc,0x7ffe41ef,0x3ffe205f,0x7fffe47f,0x3fffaa0c,0xff10006f,
    0xfff50fff,0xffffffff,0x3ffff209,0xffffdacf,0x7fcc1fff,0xfff705ff,
    0xf715dfff,0x7d47ffff,0xf1005fff,0xf300ffff,0x003fffff,0x7fffec00,
    0xd00004ff,0x07ffffff,0x0ffffea0,0xfda8a880,0x3f20ffff,0x7ec03fff,
    0x2a621fff,0x3fffe02c,0xff88002f,0x7ffcc7ff,0xfffbacff,0x7fc40eff,
    0xffffffff,0x4c0fffff,0xf505ffff,0x3e0bffff,0xff50ffff,0x3e200bff,
    0x7c407fff,0x003fffff,0x7fffc400,0xb80000ff,0xffffffff,0xffffa801,
    0x7fe40003,0x3fff25ff,0x7ffe402f,0xff70002f,0xf10007ff,0xffd8ffff,
    0xfffc81ff,0xfffe882f,0xffedffff,0xffff987f,0xfffff305,0x3fffee05,
    0x0bffff51,0x1ffffe20,0x9fffffd0,0x3f600000,0x80003fff,0xfffffff8,
    0xffa806ff,0x4c0003ff,0xf90fffff,0xfc803fff,0x50003fff,0x0009ffff,
    0xf8fffff1,0xff106fff,0x7fe40bff,0xffff3fff,0xbffff30d,0x3ffffe20,
    0x5ffff500,0x017fffea,0x03ffffcc,0x0dfffff9,0x7fe40000,0xd80003ff,
    0xffffffff,0x7fd403ff,0xe80003ff,0xff91ffff,0xffc805ff,0xf30002ff,
    0xa988bfff,0xfffff101,0x01ffffcc,0x100ffffd,0x7fffc413,0x5ffff985,
    0x81ffffe0,0xf54ffff9,0x2600dfff,0xf706ffff,0x001fffff,0x7ffe4000,
    0x7d40003f,0xffedffff,0x3ea01fff,0x54c03fff,0x3ffff600,0x07ffff92,
    0x01ffffd8,0x9ffff500,0x417fffea,0x2e6ffff9,0x3202ffff,0x8001ffff,
    0x985ffff9,0x3e05ffff,0xf300ffff,0x3fe67fff,0xff5007ff,0xfff30dff,
    0x00003fff,0x3ffffc80,0x3ffe2000,0xfff98fff,0x3fea06ff,0xfffa83ff,
    0xffff103f,0x3ffff21f,0x7ffff405,0x0bfddb30,0x89ffffdc,0xf506ffff,
    0x7fd4dfff,0x3ffe05ff,0x0d4c40ff,0x83ffffc8,0x205ffff9,0x502ffffe,
    0x3e25ffff,0xd803ffff,0x7c45ffff,0x002fffff,0xfffc8000,0x3f60003f,
    0x3f22ffff,0xf503ffff,0xff307fff,0x3fee0dff,0x3fff27ff,0xfff500ff,
    0x7fffc4ff,0xffffd01f,0x07ffffc3,0x127fffe4,0x260fffff,0x3e67ffff,
    0xfff05fff,0x3ffe20ff,0x3ffea05f,0xffffb06f,0x7fffff43,0x3fffea00,
    0x7ffff43f,0x0000004f,0x007ffff9,0x3ffffea0,0xfffffe85,0x3ffffa80,
    0x19fffff0,0x27ffffd4,0x1dfffff9,0x3ffffe98,0x06ffffec,0x8bffff91,
    0x11effffe,0x85fffff7,0x20cfffff,0x45ffffd8,0x6c1fffff,0xf103ffff,
    0xfe80dfff,0xf711dfff,0xffb8dfff,0x30acffff,0x1ffffff7,0x7fffffdc,
    0xaaaaaaaa,0x00aaaaaa,0x1ffffe40,0x7fffc400,0xfff980ff,0xfffa86ff,
    0xffff703f,0xfffffbff,0x7ffe41ff,0xfdbdffff,0xfa86ffff,0xfddfffff,
    0x541fffff,0xffffffff,0xb86fffff,0xddffffff,0x41ffffff,0xdefffffc,
    0x00fffffe,0xbdfffff1,0xffffa81f,0xfffffdff,0xffffe81f,0xffffffff,
    0x7e43ffff,0xffffffff,0xffffffff,0x64001fff,0x8003ffff,0x03fffffd,
    0x0ffffff2,0x407ffff5,0xfffffffd,0x641fffff,0xfffdffff,0x2fffffff,
    0xffffff90,0x07ffffff,0x3ffffffa,0x02ffffff,0xfffffffb,0x107fffff,
    0xffffffff,0xe805ffff,0x1fffffff,0xffffffd8,0x305fffff,0xffffffff,
    0xdfffffff,0xfffffc81,0xffffffff,0x1fffffff,0x7fffe400,0x7ffd4003,
    0x7fc406ff,0x3ea0ffff,0x36203fff,0xffffffff,0xfffc82ef,0xffffff97,
    0xffc805ff,0xffffffff,0x3fffa202,0x2fffffff,0x7ffffec0,0x204fffff,
    0xfffffff9,0xfb801eff,0x02ffffff,0xfffffff9,0xfe8809ff,0xffffffff,
    0xff904fff,0xffffffff,0xffffffff,0xfc8003ff,0x22003fff,0x01ffffff,
    0x6fffffa8,0x00ffffea,0x3fffffaa,0x3fff204f,0x3ffffae7,0xffb3001d,
    0x003bdfff,0x3fffffee,0xfd3001cf,0x03dfffff,0xfffffb10,0x7dc001bd,
    0x202effff,0xefffffea,0x3ffae001,0x2defffff,0x3fffff20,0xffffffff,
    0x1fffffff,0x7fffe400,0x3fff2003,0x3f6003ff,0xff53ffff,0x4c4007ff,
    0x100000aa,0xa9800035,0x2620000a,0x100009aa,0x20003553,0x0000aa98,
    0x4c000d4c,0x4c40001a,0x00001aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccccb800,0x66664401,0x665400cc,0x3332e2cc,0xccb8002c,
    0x999913cc,0x99999999,0x99999999,0x033332a1,0x66664c00,0xcccccccc,
    0xc9800aac,0x99931ccc,0x99999999,0x64c01559,0x30001ccc,0x40079999,
    0x9934cccb,0x00399999,0x99999995,0x0aaaaa21,0xcccca800,0x27fffe42,
    0x3ffffea0,0x7ffec02f,0x3ffff23f,0xffff8007,0xfffff33f,0xffffffff,
    0x1fffffff,0x007ffff2,0x7ffffd40,0xffffffff,0x2a00efff,0xff53ffff,
    0xffffffff,0x019fffff,0x007ffff7,0x3ffffea0,0xffffd002,0x3fffffee,
    0xfffd804f,0xff31ffff,0x64000dff,0x7d44ffff,0x7e406fff,0x404fffff,
    0x261ffffe,0x002fffff,0x43ffffea,0xfffffff9,0xffffffff,0xf90fffff,
    0x20003fff,0xfffffffa,0xffffffff,0xff501fff,0x3ffea7ff,0xffffffff,
    0x40efffff,0x003ffffb,0xffffff50,0xffffd001,0x3fffffee,0xffff806f,
    0xff31ffff,0x64000dff,0x7c44ffff,0x3a00ffff,0x06ffffff,0x21ffffe2,
    0x004ffffe,0x997ffff2,0xffffffff,0xffffffff,0xff90ffff,0x2a0003ff,
    0xffffffff,0xffffffff,0xffa82fff,0xffff53ff,0xffffffff,0xb8dfffff,
    0x0003ffff,0x9ffffff5,0x2ffffd00,0xfffffffb,0x3ffe600f,0xf31fffff,
    0x4000dfff,0xe84ffffc,0xf101ffff,0x1fffffff,0x17fffea0,0x01ffffee,
    0x22fffff8,0xeeeeeee8,0xeeefffff,0xf90eeeee,0x20003fff,0xeefffffa,
    0xffeeeeee,0xfa85ffff,0xfff53fff,0xddddddff,0x5fffffff,0x01ffffdc,
    0xfffffa80,0x7ff401ff,0xfffff77f,0x7dc05fff,0x1fffffff,0x00dffff3,
    0x27fffe40,0x81ffffe4,0xfffffffa,0xffff702f,0xfffff107,0xffff5005,
    0xfffc800f,0xfff9003f,0x3ea0003f,0xe9805fff,0xfa87ffff,0xfff53fff,
    0x7fec40bf,0x3fee6fff,0xf50003ff,0x0dffffff,0xf77fffe8,0x9fffffff,
    0x7fffff40,0xfff31fff,0x7e4000df,0xffb84fff,0xfff905ff,0x209fffff,
    0xd01ffffd,0x900bffff,0x8009ffff,0x003ffffc,0x003ffff9,0x17fffea0,
    0x7ffffcc0,0x9ffffd41,0x805ffffa,0x2e7ffffd,0x0003ffff,0xfffffff5,
    0x7fff405f,0xfdffff77,0x3fe20dff,0x1ffffeff,0x00dffff3,0x27fffe40,
    0x83ffffcc,0xffedfffe,0xfffff06f,0x3ffffdc0,0x0fffffc0,0x3ffff200,
    0xffff9003,0x99999103,0x2ffffd47,0x7ffffd00,0x53ffffa8,0x500bffff,
    0x2e1fffff,0x32a3ffff,0xfa80bdee,0xffffffff,0x2ffffd00,0xffcffffb,
    0xfffa80ff,0x31ffffcf,0x000dffff,0x827fffe4,0x440fffff,0xffcbffff,
    0x7ffcc0ff,0x3ffe206f,0x3fe602ff,0xfc8007ff,0xf9003fff,0xffd03fff,
    0x7fd41fff,0x3fa005ff,0x7fd43fff,0xffff53ff,0xffff100b,0x3fffee1f,
    0xfffffe8b,0x7ffd42ff,0x04ffffff,0x3eeffffd,0xffffafff,0xbefffc82,
    0xff31ffff,0x64000dff,0xfb04ffff,0xffb85fff,0xffffa9ff,0x27fffd42,
    0x17ffff60,0x04ffffc8,0x3ffffc80,0x3ffff900,0x1fffffd8,0x02ffffd4,
    0x1fffff98,0xa9ffffd4,0xb805ffff,0x3ee7ffff,0xfffedfff,0x22ffffff,
    0xffeffffa,0xffe81fff,0x5ffff77f,0xfd0bfffb,0xffff79ff,0x1bfffe63,
    0xffffc800,0x9ffff704,0xf17fffd8,0xffc89fff,0x7fd402ff,0xfff00fff,
    0xf90003ff,0x32007fff,0x3f21ffff,0xfa81ffff,0xf9805fff,0xfa86ffff,
    0xfff53fff,0xffe880bf,0x3ffee5ff,0xffefffff,0x3ea5ffff,0xfffdbfff,
    0x7fffe86f,0xf75ffff7,0xfff88fff,0x1ffffbaf,0x00dffff3,0x27fffe40,
    0x46ffff98,0x3fa5ffff,0x7fff46ff,0x7ffc400f,0xfff982ff,0xff90006f,
    0x3f2007ff,0xfff71fff,0x3fea05ff,0xeeeeefff,0xffffffee,0xffffa82f,
    0x0bffff53,0xfffff531,0x7fffdc7f,0x7ffe42ff,0xffff50ff,0x7fffff17,
    0xf77fffe8,0xfff35fff,0x7fffd43f,0x31ffffb8,0x000dffff,0x027fffe4,
    0x7ccfffff,0x3ff23fff,0x3fffe0ff,0xffffb006,0x7ffff90b,0x3fff2000,
    0xfff9003f,0xfffff53f,0x7fffd405,0xffffffff,0x04ffffff,0x2a7ffff5,
    0xffffffff,0xffffffff,0x3ffee0ff,0xfffd02ff,0x3fffea3f,0x1fffff93,
    0xfbbffff4,0xffff2fff,0xbb7ffe47,0xff31ffff,0x64000dff,0x3a04ffff,
    0xff71ffff,0x7ffcc1ff,0x9ffff32f,0x3fffea00,0x7ffffc0f,0xfff90000,
    0x3ff2007f,0xfffffcff,0x7fffd403,0xffffffff,0x202fffff,0xf53ffffa,
    0xffffffff,0xffffffff,0x6ffffb83,0x4bffff20,0x3a3ffffa,0x3fa5ffff,
    0xffff77ff,0xe97fff65,0xfff74fff,0x3fffe63f,0x3ff20006,0x3ff204ff,
    0xdfffb3ff,0x2e9ffff0,0x2002ffff,0x262fffff,0x0006ffff,0x00fffff2,
    0x7fffffe4,0xfa807fff,0xffffffff,0x01bfffff,0x53ffffa8,0xffffffff,
    0xffffffff,0xbffff705,0x97fffdc0,0x2a3ffffa,0xfd2fffff,0x3ffeefff,
    0x2ffff72f,0xf72ffff8,0x3fe63fff,0x320006ff,0x2a04ffff,0xfff4ffff,
    0xdfffb09f,0x003ffff6,0x25ffffc8,0x003ffffc,0x0fffff20,0x7ffffe40,
    0x403fffff,0xaaeffffa,0xdfffffdb,0xffffa800,0xffffff53,0xffffffff,
    0x3ffee017,0x3ffee04f,0x7ffff53f,0xd6ffffd8,0x3feeffff,0xffff32ff,
    0x21ffff53,0xf31ffffb,0x4000dfff,0x204ffffc,0xf9effff8,0xffb82fff,
    0x6fffe8ff,0x7fffcc00,0x1ffffd0f,0x7ffe4000,0xfff9003f,0xffffffff,
    0x7fffd401,0xfffffa85,0x7ffd401e,0xdffff53f,0x13335555,0x7ffff700,
    0x9ffffdc0,0x443ffffa,0xfebfffff,0xffff77ff,0x65ffffc5,0x3fee6fff,
    0xffff31ff,0x7fe4000d,0x7ff404ff,0x0ffffcff,0xfbffff98,0xe8004fff,
    0xff9bffff,0x640005ff,0x9003ffff,0xfdffffff,0x7d409fff,0xff505fff,
    0x5401ffff,0xff53ffff,0x70000bff,0x5c07ffff,0xff53ffff,0xfff707ff,
    0x2fffffff,0x362ffffb,0xfffeefff,0x47fffee4,0x006ffff9,0x13ffff20,
    0xffffff90,0x7ffc0dff,0x02ffffff,0xdffffb80,0x002ffffc,0x1ffffe40,
    0xfffffc80,0x1ffffe8d,0x0bffff50,0x37ffffe4,0x27ffff50,0x005ffffa,
    0x3ffffb80,0x4ffffee0,0xd03ffffa,0xffffffff,0x8bfffeef,0xfffffffb,
    0x3fffee2f,0x0dffff31,0x7fffe400,0x7fffd404,0x3604ffff,0xffffffff,
    0xfff98000,0x07ffffff,0xffffc800,0xffff9003,0x37fffd4b,0x05ffffa8,
    0x1ffffff4,0x53ffffa8,0x000bffff,0x07ffff70,0xa9ffffdc,0xf303ffff,
    0xffffffff,0x98bfffee,0xffffffff,0x47fffee0,0x006ffff9,0x13ffff20,
    0xffffff10,0x7fdc05ff,0x007fffff,0x3fffffa0,0x80004fff,0x003ffffc,
    0xe83ffff9,0xfa82ffff,0x7cc05fff,0xa81fffff,0xff53ffff,0x70000bff,
    0x5c07ffff,0xff53ffff,0x7fe407ff,0xf77fffff,0xfff85fff,0x7dc6ffff,
    0xfff31fff,0x7e4000df,0xff804fff,0x00ffffff,0x3fffffe6,0x3ee0005f,
    0x2fffffff,0xfffc8000,0xfff9003f,0xffff983f,0x5ffffa86,0xfffffb80,
    0x3ffffa86,0x00bffff5,0x7ffff700,0x9ffffdc0,0x203ffffa,0xfffffff8,
    0x85ffff77,0x4ffffffd,0x98ffffdc,0xaaafffff,0xaaaaaaaa,0x9ffff92a,
    0xfffffb00,0xffff00df,0x40007fff,0xfffffff8,0xff900007,0x3f2007ff,
    0xffd81fff,0x7ffd43ff,0xfffd005f,0xfffa87ff,0xbffff53f,0xfff70000,
    0x7ffdc07f,0x7ffff53f,0xfffffa80,0x5ffff77f,0xffffffb8,0x8ffffdc2,
    0xfffffff9,0xffffffff,0xffff95ff,0xffff7009,0xff9007ff,0x0003ffff,
    0xffffffd8,0xff900004,0x3f2007ff,0xff881fff,0x3fea0fff,0xff3005ff,
    0x7d41ffff,0xfff53fff,0xf70000bf,0x7dc07fff,0xfff53fff,0xfffb007f,
    0x3ffeefff,0x7fffcc2f,0x7ffdc0ff,0xfffff31f,0xffffffff,0x3f2bffff,
    0xf9804fff,0x801fffff,0x07fffffa,0xffffa800,0x900001ff,0x2007ffff,
    0x901ffffc,0x7d4bffff,0x2e005fff,0x2a5fffff,0xff53ffff,0x70000bff,
    0x5c07ffff,0xff53ffff,0xff1007ff,0x3feeffff,0xffff82ff,0xffffb86f,
    0xffffff31,0xffffffff,0x3ff2bfff,0xfff004ff,0x3e200fff,0x0005ffff,
    0x6fffff88,0x3ff20000,0xff9003ff,0x3fe203ff,0xfff51fff,0xffe800bf,
    0xfff52fff,0x3fffea7f,0xffb80005,0x3fee03ff,0xffff53ff,0x3fff2007,
    0x5ffff77f,0x09ffffb0,0x263ffff7,0xffffffff,0xffffffff,0x9ffff95f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00f33326,0x3cccccc8,0x4cb3332e,0x2003cccc,
    0x1004cccc,0x3261dddb,0xcccccccc,0xcccccccc,0x99999930,0x99999999,
    0x64c59999,0xcccccccc,0x3001accc,0x99999999,0x05599999,0xeeea8000,
    0x33333105,0x33333333,0x44001333,0x002ccccc,0x79975100,0xccca8015,
    0xdffff50c,0x3ffff600,0x3fff61ff,0xbffff53f,0x7ffffc00,0xffffc800,
    0xffffff50,0xffffffff,0x3fea3fff,0xffffffff,0xffffffff,0x3ffffea4,
    0xffffffff,0x7fd400df,0xffffffff,0x0bffffff,0x7ffc4000,0xffff706f,
    0xffffffff,0x4005ffff,0x06fffffb,0x7ffe4400,0x203fffff,0xf51ffffc,
    0xf900dfff,0xd83fffff,0xff53ffff,0x7fc00bff,0x7cc00fff,0xff50ffff,
    0xffffffff,0x3fffffff,0x3fffffea,0xffffffff,0x3ea4ffff,0xffffffff,
    0x4fffffff,0x3ffffea0,0xffffffff,0x0005ffff,0x837fffec,0xfffffffb,
    0xffffffff,0x3ffa002f,0x0001ffff,0xfffffff1,0x901dffff,0x3ea3ffff,
    0x7e406fff,0xd81fffff,0xff53ffff,0x7fc00bff,0x3e200fff,0xf50fffff,
    0xffffffff,0xffffffff,0x3ffffea3,0xffffffff,0x2a4fffff,0xffffffff,
    0xffffffff,0xffff506f,0xffffffff,0x0bffffff,0x3fffea00,0xffff706f,
    0xffffffff,0x2005ffff,0xfffffff9,0xffe88005,0xffffffff,0xfffc85ff,
    0xdffff51f,0x7ffffdc0,0xffffb01f,0x17fffea7,0x0fffff80,0xffffff50,
    0x3fffea1f,0xeeeeeeef,0xf50eeeee,0xddddffff,0xdddddddd,0x7fffd47d,
    0xfeeeeeef,0x83ffffff,0xccfffffa,0xffeccccc,0x4001ffff,0x6ffffff8,
    0xffffff70,0xffffffff,0x3f2001ff,0x0fffffff,0x7fffe400,0xffffcbef,
    0x7ffe43ff,0xdffff51f,0x3ffffea0,0x3fff602f,0xbffff53f,0x7ffffc00,
    0x7fffecc0,0xff50ffff,0x54000dff,0x0005ffff,0x05ffffa8,0x3ffffee2,
    0x7fffd40f,0xffffa805,0x7fec003f,0x3106ffff,0x33333333,0x03ffff93,
    0x7fffffc0,0x74003fff,0xfc82ffff,0x554c5fff,0xffff50aa,0xfffff50d,
    0xfffd805f,0xbffff53f,0x7ffffc00,0x3fffff20,0xf50fffff,0x4000dfff,
    0x005ffffa,0x5ffffa80,0xfffff880,0x2ffffd45,0x5ffffc80,0x3fffee00,
    0x40006fff,0x003ffff8,0x3fbfffea,0x22006fff,0xf305ffff,0x5400ffff,
    0x7cc6ffff,0x802fffff,0xf52ffffc,0x7c00bfff,0xff10ffff,0xffffdfff,
    0x3fffea1f,0x3fea0006,0xa80005ff,0x7005ffff,0x543fffff,0x3005ffff,
    0x2009ffff,0xfffffff8,0x7ec0006f,0x7ec005ff,0xfffe9fff,0xfff5001f,
    0x7fffc07f,0x3ffea007,0x3fffe66f,0xff9003ff,0x3ffea5ff,0x3ffe005f,
    0xffff10ff,0x1ffffd1b,0x01bfffea,0x5ffffa80,0xfffa8000,0x3ffa005f,
    0x3ffea3ff,0xfff9005f,0x3ff6005f,0x06fffecf,0x3fffee00,0x3ffe2000,
    0xbffff76f,0x20133000,0x006ffff8,0x45bfffea,0x03ffffff,0x47fffee0,
    0x005ffffa,0x443ffffe,0x3ffa3fff,0xffff50ff,0x7fd4000d,0xa80005ff,
    0x2005ffff,0x2a5ffffc,0x9805ffff,0x7007ffff,0xffd1dfff,0x3e2000df,
    0x5c003fff,0xff13ffff,0x00001fff,0x05ffffa8,0x3bfffea0,0x6fffffe8,
    0x7fffd400,0x9fffff50,0x99999999,0x21fffff9,0xfffe83e8,0xdffff50f,
    0x33333333,0xfffa8133,0xccccccef,0x42cccccc,0x005ffffa,0xa9bfffea,
    0xaaaeffff,0xfffdbaaa,0xff8802ff,0xdfffd2ff,0x3fff6000,0xfffe8007,
    0x3ffffa0f,0x7ec00003,0x2a003fff,0xffeeffff,0x002fffff,0xfa9fffe6,
    0xffffffff,0xffffffff,0xfe800fff,0xfff50fff,0xffffffff,0xfa87ffff,
    0xffffffff,0xffffffff,0x2ffffd44,0xfffff500,0x7fffffd4,0xffffffff,
    0xfd001fff,0x7fff49ff,0xfff88006,0x7fcc004f,0x7ffd45ff,0x2e00006f,
    0x000fffff,0x3fffffea,0xffffffff,0xffff1000,0x7fffffd4,0xffffffff,
    0x00ffffff,0x50ffffe8,0xffffffff,0x7fffffff,0xffffffa8,0xffffffff,
    0x7fd44fff,0x3e6005ff,0x3fea7fff,0xffffffff,0x0cffffff,0x0efffb80,
    0x001bfffa,0x003ffff2,0x85ffffb0,0x01fffff8,0xffffa800,0x7fd4002f,
    0xffffffff,0x1004ffff,0x7fd4dfff,0xffffffff,0xffffffff,0xffe800ff,
    0xffff50ff,0xffffffff,0xffa87fff,0xffffffff,0x4fffffff,0x02ffffd4,
    0x4fffff30,0xfffffffa,0xffffffff,0x3e603fff,0x7ff42fff,0x7fc4006f,
    0x7c4005ff,0xfd80ffff,0x40005fff,0x06fffffa,0xfffffa80,0xfffcbfff,
    0xfff001ff,0x7ffffd4b,0xeeeeeeee,0x0fffffee,0x0ffffe80,0xfffffff5,
    0xffffffff,0xfffffa87,0xeeeeeeee,0x7d43eeee,0x2a005fff,0x3ea6ffff,
    0xeeeeffff,0xffffffee,0xfffd04ff,0x0dfffd09,0x2ffffb80,0x7fffdc00,
    0xfffff505,0x3fee0001,0xf900efff,0x3fea3fff,0xf14fffff,0x200dffff,
    0x3fea5ffe,0x3fe005ff,0xfe800fff,0xfff50fff,0x333333df,0xfa813333,
    0x80005fff,0x005ffffa,0xa97fffee,0x9805ffff,0x40fffffe,0xe80efffc,
    0x7c006fff,0xe8007fff,0x999bffff,0xfffff999,0xfffb8003,0x3f201fff,
    0xfff51fff,0xffb89fff,0xfd804fff,0x3fffea4f,0x3fffe005,0xfffe800f,
    0xdffff50f,0x7ffd4000,0xfa80005f,0x32005fff,0x3ea4ffff,0x3a005fff,
    0x3e62ffff,0xaaaacfff,0xaaffffea,0x7fffcc02,0x7ffcc003,0xffffffff,
    0x06ffffff,0x7ffffdc0,0x7ffe400e,0xfffff51f,0x3ffffa09,0x1ffec01f,
    0x00bffff5,0x007ffffc,0xa87ffff4,0x0006ffff,0x017fffea,0x3fffea00,
    0x3fff6005,0x3fffea3f,0x3ffee005,0x3fffea5f,0xffffffff,0x00ffffff,
    0x003fffee,0xffffff90,0xffffffff,0x2003ffff,0x0efffffb,0x1ffffc80,
    0x40dffff5,0x06fffffa,0xff517fe4,0x7fc00bff,0xfe800fff,0xfff50fff,
    0x7d4000df,0x80005fff,0x005ffffa,0x45fffff1,0x005ffffa,0xa9ffffea,
    0xffffffff,0xffffffff,0x3ffa00ff,0xfff8005f,0xffffffff,0xffffffff,
    0xffffa805,0xff9000ef,0x3ffea1ff,0x7ffec06f,0x2aa603ff,0x17fffea0,
    0x0fffff80,0x0ffffe80,0x00dffff5,0x2ffffd40,0x7ffd4000,0xfffb005f,
    0xffffa8df,0x3fff2005,0x3fffea6f,0xffffffff,0x00ffffff,0x009ffff1,
    0xffffffa8,0xffffffff,0x00ffffff,0x3bffffe6,0x0ffa8000,0x80dffff5,
    0x1ffffff8,0x7fffd400,0x3fffe005,0xfffe800f,0xdffff50f,0x7ffd4000,
    0xfa80005f,0xfb805fff,0x7d41ffff,0xf3005fff,0x74c9ffff,0xeeeeeeee,
    0xeefffffe,0xffff500e,0xfffd8005,0x999999cf,0xffff9999,0xfffd103f,
    0x320001ff,0x3fffea7f,0xffffc806,0xffffc86f,0x0bffff52,0x07ffffc0,
    0x87ffff40,0x006ffffa,0x3bfffea0,0xaaaaaaaa,0x2a2aaaaa,0xaaaeffff,
    0xfffecaaa,0xfffa85ff,0xaaaaaaef,0xfffffcaa,0xffd0002f,0x3fee00df,
    0x3e2000ff,0x2000ffff,0x906ffffc,0x99dfffff,0x09999999,0x7fd49ff3,
    0xff8806ff,0x7e43ffff,0xfff52fff,0x7ffc00bf,0xffe800ff,0xffff50ff,
    0x7fd4000d,0xffffffff,0xffffffff,0xfffff50f,0xffffffff,0x501fffff,
    0xffffffff,0xffffffff,0x4000bfff,0x9006fffe,0xc800ffff,0x4005ffff,
    0x82fffff9,0xfffffffe,0xffffffff,0xf51bff20,0x2a00dfff,0x20ffffff,
    0xf52ffffc,0x7c00bfff,0xe800ffff,0xff50ffff,0x54000dff,0xffffffff,
    0xffffffff,0xfff50fff,0xffffffff,0x05ffffff,0x3fffffea,0xffffffff,
    0x000effff,0x01bfffa0,0x0037ffec,0x00bffffe,0x17ffffa0,0xfffffff3,
    0xffffffff,0x206fe41f,0x006ffffa,0x97fffffa,0xf52ffffc,0x7c00bfff,
    0xe800ffff,0xff50ffff,0x54000dff,0xffffffff,0xffffffff,0xfff50fff,
    0xffffffff,0x4019ffff,0xfffffffa,0xffffffff,0x40001eff,0xd006fffe,
    0x5400dfff,0x000fffff,0x0fffffb8,0x3ffffff2,0xffffffff,0x540a20ff,
    0x2006ffff,0x3ffffff9,0x2a5ffff9,0x2005ffff,0x800fffff,0xf50ffffe,
    0x4000dfff,0xfffffffa,0xffffffff,0xff50ffff,0xffffffff,0x500179bd,
    0xffffffff,0x7bdfffff,0x3fa00001,0xfff006ff,0x7fec00bf,0xf10005ff,
    0x7fc7ffff,0xffffffff,0x0fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdd975000,
    0x00000579,0x00002110,0x03999950,0x80e66654,0xeeffeeb8,0x3b2a001b,
    0x002deefe,0x6f7f65c4,0x6e54000c,0x8001bcef,0x2bdeeca8,0x72666540,
    0xcca859dd,0xcccccccc,0x3262cccc,0x99971ccc,0x66664c09,0x4f333201,
    0x982ffffc,0xfffffffe,0x800002ef,0x19f51fc9,0xfff70000,0x7ffe405f,
    0xffffd82f,0x03ffffff,0x7fffff54,0x801fffff,0xfffffffb,0x6c400dff,
    0xffffffff,0xfffd5003,0x03dfffff,0x7edffff2,0x3f60ffff,0xffffffff,
    0x2e4fffff,0xff72ffff,0x3ff203ff,0xfff504ff,0x3ffff27f,0x7ffffe42,
    0x5fffffff,0xffb50000,0x37ffea3f,0x3fee0001,0x3ff202ff,0x7ffec2ff,
    0xffffffff,0xffff304f,0xffffffff,0x3ff6203f,0xffffffff,0x3ffe605f,
    0xffffffff,0x3fff200d,0xffffffff,0xffffc83f,0x46fffffc,0xfffffffd,
    0x4fffffff,0x4cbfffee,0xfd03ffff,0x3f20dfff,0xfff90fff,0x7fffdc5f,
    0xffffffff,0x710004ff,0x23fffffd,0x2efffffa,0xffffb800,0x3ffff202,
    0x3ffffea2,0xffffffef,0xffffe80f,0xffffecdf,0xffff906f,0xffffffff,
    0x3fffa09f,0xffffffff,0xffff704f,0xffffffff,0xfffc85ff,0x3fffffff,
    0x7fffffec,0xffffffff,0x8bfffee4,0xf885fffe,0xe80fffff,0x3ff26fff,
    0xffff32ff,0x3f2617bf,0x2002ffff,0xffffffc8,0xffff51ff,0x0017ffff,
    0x80bfffee,0x3a2ffffc,0x74c2ffff,0x7cc3ffff,0xfe882fff,0x7fcc2fff,
    0xf710bfff,0xfb81ffff,0x3ae2efff,0x7cc0ffff,0x88aeffff,0x0fffffea,
    0x3ffffff2,0x5d40fdbd,0xfbaaaaaa,0x2e0fffff,0x3f22ffff,0x7fdc0fff,
    0x7c42ffff,0x3ff23fff,0xffff91ff,0x7fffd40b,0xfffda805,0x0effffff,
    0xffffffd3,0xb8039fff,0x3202ffff,0x32a2ffff,0xfff704fe,0xffffa87f,
    0x0157b301,0x207ffffb,0x224ffffd,0x880fffff,0x7e44ffff,0x3f606fff,
    0x3ff25fff,0x00043fff,0x3fffffa2,0x055554c1,0xd85ffff3,0x44ffffff,
    0xa81ffffb,0xffffd0ff,0x7fffe803,0x3ffffae0,0x01cfffff,0xffffff93,
    0x2e05dfff,0x3202ffff,0x8002ffff,0x4c4ffff9,0x0acfffff,0x3ffffc00,
    0xa8157b30,0x3205ffff,0x7ff47fff,0x3fe601ff,0x3fff27ff,0xfd80007f,
    0x0002ffff,0xff89ffff,0x6c6fffff,0xff906fff,0x402fff6c,0x220ffffc,
    0xfffffffc,0x22002dff,0xffffffeb,0x3ee0bfff,0x3f202fff,0x73002fff,
    0x89fffffb,0xfffffff8,0x7c401bef,0x20005fff,0x203ffffb,0xf10ffffb,
    0xfb00bfff,0x3ff23fff,0x6c0004ff,0x003fffff,0x99ffff20,0xffffefff,
    0x213fffe0,0x00204ff9,0xf99ffffe,0xffffffff,0x64c0000b,0xffffffff,
    0x5ffff71f,0x17fffe40,0xffffdb88,0xc84fffff,0xffffffff,0xfa80cfff,
    0x20004fff,0xeeeffffc,0xfffeeeee,0x9ffff50f,0x5ffff900,0x00fffff2,
    0xfffffc80,0x7fd40004,0x9fff71ff,0x3ea5fff9,0x7fe41fff,0x3ee0000f,
    0x3fea4fff,0x002dffff,0xfffb5000,0x3fee3fff,0x3ff202ff,0x7ff4c2ff,
    0xffffffff,0xfff904ff,0xffffffff,0xffffb87f,0x3ffa0004,0xffffffff,
    0x71ffffff,0x7007ffff,0x3f27ffff,0x70002fff,0x00bfffff,0x4ffffe00,
    0xffaafffd,0x0ffff94f,0x40003df9,0x21fffffb,0x0cfffffa,0x64400000,
    0xf71fffff,0x7e405fff,0x3fe62fff,0xaadfffff,0x2604ffff,0xfffffffc,
    0x3ea2ffff,0x20004fff,0xfffffffd,0xffffffff,0x9ffff72f,0x7ffff900,
    0x00bffff2,0x3ffffea0,0xfb00000e,0x3fffebff,0xfd6fff88,0x005109ff,
    0xfffffd80,0x7ffffd43,0x00002dff,0x7ffffed4,0xffff71ff,0x7fffe405,
    0x9fffff12,0x4ffff981,0xffeca880,0x266fffff,0x0005ffff,0x26bffff2,
    0x99999999,0xffff5099,0xffffb00b,0x0bffff23,0xfffff300,0x5400001f,
    0xfffaffff,0x3ebfffa6,0x00002fff,0x4fffffd8,0xfffffe88,0x000bffff,
    0xfffff710,0x2e1bffff,0x3603ffff,0xff52ffff,0x3fe60bff,0xa88004ff,
    0x227ffffd,0x2207ffff,0x3ee2cdef,0x30002fff,0xf00fffff,0x3f21ffff,
    0x22001fff,0x01ffffff,0x7ffc4000,0x323fffef,0x7fffefff,0xffd80000,
    0x64c03fff,0xffffffff,0xfb5002df,0xffffffff,0xffffa839,0xfffff104,
    0x0bffff25,0x227fffdc,0x200fedca,0x3e0ffffe,0xf702ffff,0x7fd4bfff,
    0x337605ff,0x7ffff41a,0x3fffee03,0x07ffff26,0x7ffff440,0xb000001f,
    0x3fffffff,0x7fffffd4,0x5c00005f,0x002fffff,0x3fffff22,0x40bfffff,
    0xffffffc8,0x100bffff,0xd01fffff,0x325fffff,0xf884ffff,0x7f45ffff,
    0xff104fff,0xfffb8dff,0x7ffcc1ff,0x7fff42ff,0xffffb83f,0x7ffffdc6,
    0xfffffb83,0x07ffff21,0x7ffffec0,0xaaaaaa9b,0xffff70aa,0x3fffee05,
    0x7ffc47ff,0x0002ffff,0x1ffffec0,0xfffd5000,0x23ffffff,0xfffffff9,
    0xff002eff,0xf959ffff,0x25ffffff,0x9cfffffa,0xffffffc9,0x7ffffd45,
    0xffeba9bd,0xfffe84ff,0xfffeceff,0xfffa86ff,0xffdabfff,0xffe82fff,
    0xfeddefff,0x7e44ffff,0xfa801fff,0xffffffff,0x0fffffff,0x205ffff7,
    0x5ffffff8,0xffffffe8,0x7fc00000,0x300004ff,0xfffffffb,0x3ffffea3,
    0x64001dff,0xffffffff,0x2ffffcff,0xfffffff1,0xffffffff,0xfffff90d,
    0xffffffff,0x3fffe60d,0xffffffff,0xffffb01f,0xffffffff,0x3fffe20b,
    0xffffffff,0x7ffe40ef,0xfffa801f,0xffffffff,0xf70fffff,0x7f405fff,
    0xfc83ffff,0x0005ffff,0x17fffcc0,0x3f220000,0xff51ffff,0x00019fff,
    0x7fffffec,0xffff9aff,0x3ffffea2,0xffcbffff,0xfffc80ff,0xffffffff,
    0x3ffa600e,0xffffffff,0x7fffdc02,0x05ffffff,0x7ffffec4,0x904fffff,
    0x5003ffff,0xffffffff,0xffffffff,0x0bfffee1,0x1fffffb8,0x2fffff98,
    0x7fd40000,0x000001ff,0x2a3ffd71,0x00002eff,0x37ffffb2,0x85ffff31,
    0xdfffffe9,0x07ffff50,0x3fffff26,0x32002eff,0xcffffffe,0xfffb3000,
    0x4005dfff,0xfffffeca,0x3fff201d,0xfffa801f,0xffffffff,0xf70fffff,
    0x7cc05fff,0x3fe07fff,0x00000fff,0x00155544,0x51da8000,0x4000003b,
    0x440001a8,0x200001a9,0x0001aa99,0x0004d4c4,0x0026a620,0x00153100,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,0x000004ff,
    0x98000000,0x202ccccc,0x2a3ccccc,0xa801cccc,0xb801cccc,0xc9802ccc,
    0x7f6544cc,0xcccb80bd,0x2f7f6e63,0xbdfdb981,0x00000001,0xddddd500,
    0xdddddddd,0x6645dddd,0x99910ccc,0x33326199,0x7d40004c,0x00004fff,
    0x00000000,0x01fffffb,0x43fffff7,0x805ffffa,0x800fffff,0xb804fffd,
    0xfe88ffff,0x42ffffff,0xff75fffd,0x5c5fffff,0x3fffffff,0x0bfffb00,
    0x403ffb00,0xfffffffb,0xffffffff,0x3fffe2ff,0xfffff11f,0x1ffffea1,
    0xffff5000,0x00000009,0x3e200000,0x7c45ffff,0xff83ffff,0x3ea00fff,
    0xfb004fff,0xff7009ff,0xffffd3ff,0x6c5fffff,0xfffcdfff,0xcaffffff,
    0xffffffff,0x7ffc402f,0x7e4001ff,0x3ffee01f,0xffffffff,0x22ffffff,
    0xf11fffff,0x3ea1ffff,0x40007fff,0x004ffffa,0x00000000,0x3fffea00,
    0x3ffffa3f,0x7ffff905,0x0ffffec0,0x04fffd80,0xffffffb8,0xfffffeff,
    0x3ffff66f,0xffffefff,0xffffffff,0x407fffff,0x04fffffc,0x803ff20c,
    0xfffffffb,0xffffffff,0x3fffe2ff,0xfffff11f,0x1ffffea1,0xffff5000,
    0x00000009,0xfc800000,0xffb8ffff,0xff100fff,0x3fe20dff,0x3f6006ff,
    0xffb804ff,0x910affff,0x363fffff,0x20dfffff,0xeffffffb,0xfffff711,
    0x3fffe203,0x3f600fff,0x3f22ff73,0x3bbbbaa3,0xeeeeeeee,0x3fe2eeee,
    0xfff11fff,0x3ffea1ff,0x0000007f,0x00000000,0xfffd0000,0x5fffffdf,
    0x1ffffd80,0x03ffffb8,0x013fff60,0x0fffffee,0xd8fffff4,0xe80effff,
    0xd81fffff,0xf902ffff,0x09ffffff,0x3f7fffe2,0x005fffdf,0x7fff4000,
    0x9ffffe0f,0x006ffff9,0x00000000,0x00000000,0xfffffff3,0xff500bff,
    0xfffd09ff,0x7fec001f,0xfffb804f,0x3fff206f,0x7ffffb2f,0x17ffff20,
    0x41ffffdc,0xffeffff8,0xfffd307f,0xffffffff,0xfd800000,0x7fff47ff,
    0x027fffc6,0x00000000,0x00000000,0xffffff70,0x3fe001df,0x7ffcc7ff,
    0xffffb84f,0xffffffff,0xf72fffff,0x7dc09fff,0xfffb3fff,0x3fff203f,
    0xffff703f,0x1ffff707,0x4407ffff,0xacffffda,0xb8000001,0x7fe46fff,
    0x1ffff45f,0x00000000,0x00000000,0x3ffff600,0x3f2001ff,0x3ff21fff,
    0xfffb81ff,0xffffffff,0x72ffffff,0x5c07ffff,0xffb3ffff,0x3ff201ff,
    0xfff502ff,0x9ffff07f,0x201bfff6,0x702ffffd,0xffffffff,0xffffffff,
    0x27ffd45f,0xf913ffee,0x000005ff,0x00000000,0xf9800000,0x4006ffff,
    0x3e4ffff8,0xff706fff,0xffffffff,0x5fffffff,0x80ffffee,0xfb3ffffb,
    0x3f201fff,0xff502fff,0xfffa87ff,0x5ffff30f,0x7fe7fec0,0xffffb81f,
    0xffffffff,0x222fffff,0x55441aaa,0x05554c0a,0x00000000,0x00000000,
    0x3ffffa00,0x7ec004ff,0xffff37ff,0x3fffee07,0xffffffff,0xf72fffff,
    0x7dc07fff,0xfffb3fff,0x3fff201f,0xffff502f,0x45fffe87,0xfb06fffe,
    0x03ffeedf,0xfffffff7,0xffffffff,0x000005ff,0x00000000,0x00000000,
    0x3ffee000,0x001fffff,0x32bfffea,0x9500ffff,0xfff99999,0x999999df,
    0x0ffffee3,0xb3ffffb8,0x3201ffff,0xf502ffff,0x7fd47fff,0x7ffdc2ff,
    0x0ffec41f,0xffb85ffd,0xffffffff,0x2fffffff,0x22200000,0x00000088,
    0x00000000,0xfff30000,0x1dffffff,0x6ffffc00,0x0005ffff,0x7009fffb,
    0x5c07ffff,0xffb3ffff,0x3ff201ff,0xfff502ff,0x3ffff47f,0x82ffffc4,
    0x4c06cc5b,0xaaaaaaaa,0xaaaaaaaa,0x77f64c0a,0xb24c00bd,0x0007ffff,
    0x00000000,0xfd000000,0xffffbfff,0x7fe400bf,0x01ffffff,0x09fffb00,
    0x07ffff70,0xd9ffffdc,0xf900ffff,0x3ea05fff,0xfff33fff,0x3fff609f,
    0x0000000f,0xffff9000,0x705bffff,0x6fffd8bf,0x00000000,0x00000000,
    0xab7fffe4,0x002fffff,0xfffffff1,0x7fec000d,0xfffb804f,0x3ffee03f,
    0x1ffffb3f,0x0bffff20,0xd9ffffd4,0xf300ffff,0x00009fff,0xffb00000,
    0xffffffff,0xbfffbbff,0x005fffd0,0x00000000,0x2a000000,0x361fffff,
    0x000fffff,0x7ffffffb,0x7ffec000,0xffffb804,0x3fffee03,0x01ffffb3,
    0x40bffff2,0x003ffffa,0x00000000,0x3fffa000,0xffffffff,0x85ffffff,
    0x0006ffe8,0x00000000,0xff880000,0x7fc44fff,0xf5005fff,0x001fffff,
    0x027ffec0,0x01ffffdc,0x367ffff7,0xf900ffff,0x3ea05fff,0x00003fff,
    0x00000000,0x333bffa0,0xfffffffd,0xd104ffff,0x000003ff,0x00000000,
    0xffffd800,0xffffb80e,0xffff003f,0xfd8000bf,0xffb804ff,0x3fee03ff,
    0xffffb3ff,0x3ffff201,0x7ffff502,0x00000000,0x77400000,0xfffda880,
    0x4403ffff,0x00000088,0x00000000,0x3fffea00,0x3fff601f,0xffc801ff,
    0x540002ff,0xfb801aaa,0x3ee03fff,0xfffb3fff,0x3fff201f,0xffff502f,
    0x00000007,0x1c000000,0xacedb880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_40_usascii_x[95]={ 0,3,1,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_40_usascii_y[95]={ 32,6,6,5,4,5,5,6,5,5,5,10,27,20,
27,5,6,6,6,6,6,6,6,6,6,6,13,13,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,35,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,13,13,13,13,13,13,5,5,5,15, };
static unsigned short stb__arial_bold_40_usascii_w[95]={ 0,6,15,20,18,30,25,6,10,10,14,19,6,10,
6,11,18,13,19,18,20,18,18,18,18,18,6,7,19,19,19,20,34,26,23,24,23,21,19,25,22,6,18,24,
19,26,21,26,21,27,24,22,22,22,25,34,24,25,22,10,11,10,17,22,9,18,19,19,19,18,13,19,18,6,
10,18,6,28,18,20,19,19,13,19,12,18,20,28,20,20,18,13,4,13,19, };
static unsigned short stb__arial_bold_40_usascii_h[95]={ 0,26,10,28,32,29,28,10,35,35,14,19,11,6,
5,28,27,26,26,27,26,27,27,26,27,27,19,25,21,13,21,26,35,26,26,28,26,26,26,28,26,26,27,26,
26,26,26,28,26,30,26,28,26,27,26,26,26,26,26,34,28,34,15,5,7,20,27,20,27,20,27,27,26,26,
34,26,26,19,19,20,27,27,19,20,27,20,19,19,19,27,19,35,35,35,8, };
static unsigned short stb__arial_bold_40_usascii_s[95]={ 253,26,225,24,124,171,45,241,1,45,190,
104,249,202,236,241,217,56,227,1,160,40,129,181,78,97,213,247,22,205,42,
1,56,200,136,71,112,90,70,96,33,246,59,1,226,199,177,202,136,143,104,
1,62,148,36,1,220,194,171,102,229,91,172,213,245,81,20,120,236,140,203,
183,158,245,113,85,129,143,124,159,142,122,180,100,116,62,83,220,62,162,194,
31,26,12,225, };
static unsigned short stb__arial_bold_40_usascii_t[95]={ 1,121,169,37,1,1,37,169,1,1,169,
169,148,30,30,1,37,121,121,66,121,66,66,121,66,66,148,121,148,169,148,
148,1,121,121,37,121,121,121,37,121,94,66,121,94,94,94,1,94,1,94,
37,94,66,94,94,66,66,66,1,1,1,169,30,180,148,66,148,37,148,37,
37,94,66,1,94,94,169,169,148,37,37,148,148,66,148,169,148,169,37,148,
1,1,1,180, };
static unsigned short stb__arial_bold_40_usascii_a[95]={ 159,191,272,319,319,509,414,136,
191,191,223,335,159,191,159,159,319,319,319,319,319,319,319,319,
319,319,191,191,335,335,335,350,559,414,414,414,414,382,350,446,
414,159,319,414,350,477,414,446,382,446,414,382,350,414,382,541,
382,382,350,191,159,191,335,319,191,319,350,319,350,319,191,350,
350,159,159,319,159,509,350,350,350,350,223,319,191,350,319,446,
319,319,286,223,160,223,335, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_40_usascii(stb_fontchar font[STB_FONT_arial_bold_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_40_usascii_s[i] + stb__arial_bold_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_40_usascii_t[i] + stb__arial_bold_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_40_usascii_x[i];
            font[i].y0 = stb__arial_bold_40_usascii_y[i];
            font[i].x1 = stb__arial_bold_40_usascii_x[i] + stb__arial_bold_40_usascii_w[i];
            font[i].y1 = stb__arial_bold_40_usascii_y[i] + stb__arial_bold_40_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_40_usascii_s[i] + stb__arial_bold_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_40_usascii_t[i] + stb__arial_bold_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_40_usascii_x[i] + stb__arial_bold_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_40_usascii_y[i] + stb__arial_bold_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_40_usascii_LINE_SPACING
#endif

