// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT        236
#define STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_44_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_44_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_44_usascii_LINE_SPACING          29

static unsigned int stb__arial_bold_44_usascii_pixels[]={
    0xc8966640,0x2a002abc,0x53002ccc,0x4cc01997,0x88000199,0xaccccaa9,
    0x32a0000a,0x999800cc,0x4c199999,0x99999999,0x01553000,0x97530000,
    0x20000157,0x000acca9,0x40166644,0x002aaaa9,0x41555551,0x70019999,
    0x3fe25fff,0xc801efff,0x6cc04fff,0x301fffff,0x001fffff,0x3ffff6a0,
    0xefffffff,0x7fcc000b,0x7ffcc04f,0x11ffffff,0xffffffff,0x3ff2005f,
    0xfd700000,0xffffffff,0x3f20005d,0x003fffff,0x200bfff2,0x02fffffa,
    0x26ffffc8,0x01fffff8,0x3e27fff8,0x02ffffff,0x3027ffe4,0x3fffffff,
    0x3ffffe60,0x3ff22000,0xffffffff,0xdfffffff,0x3fffa000,0x3fffe601,
    0xf11fffff,0xffffffff,0xffea8805,0x3a60001c,0xffffffff,0x00dfffff,
    0x3fffffa0,0xf8804fff,0x3fe006ff,0xff804fff,0x3fe24fff,0x7dc01fff,
    0x3ffe23ff,0x6406ffff,0x3f604fff,0x01ffffff,0x01fffff3,0x3ffffee0,
    0xffefffff,0xffffffff,0xdfff5003,0x7ffffcc0,0xff11ffff,0x5fffffff,
    0x3ffff620,0x4003ffff,0xfffffffb,0xffffffff,0xffa802ff,0xffffccff,
    0x17ffe401,0xfffff900,0xfffff980,0x3ffffe21,0x3fffe201,0x3ffffe20,
    0x3f202fff,0xfff304ff,0x203fffff,0x00fffff9,0x7ffffec4,0x4c409acf,
    0xfffffdba,0x7ffff005,0x3ffffe60,0xff11ffff,0x5fffffff,0xffffff50,
    0x01dfffff,0xffffffb0,0xffffffff,0x807fffff,0x3f22fffe,0x3fe205ff,
    0x7fcc006f,0x3f202fff,0x7fc46fff,0x3f201fff,0x3fa605ff,0x3f204fff,
    0xfff504ff,0xdd3003ff,0x74c01ddd,0x002dffff,0x9ffffd50,0x0dfff900,
    0x8fffff40,0x807ffff8,0xfffffff9,0x05ffffff,0x7fffffd4,0xeca9acdf,
    0x0fffffff,0xa83fffe0,0x3f206fff,0xfe8002ff,0x3fe04fff,0x77443fff,
    0xff100eee,0xffa805ff,0x3ff205ff,0xffff704f,0x74000009,0x0002ffff,
    0x05ffff70,0x02ffff98,0x23ffffd0,0x807ffff8,0xfefffffe,0x3fffffff,
    0xffffff10,0xfffb805f,0xff105fff,0x7fff98ff,0x00dfff10,0x1ffffee0,
    0x07ffffcc,0x3fff2000,0x7ffcc00f,0x3fff205f,0x5ffff904,0x3f200000,
    0x00001eff,0x007fffcc,0x4017fffe,0xf11ffffe,0xfa80ffff,0xffc9ffff,
    0x06ffffd9,0x1dfffff9,0x3fffe600,0xfff982ff,0x07fffc47,0x0017ffe4,
    0x2fffff88,0x05ffffc8,0x7fffc400,0xffff9805,0x13fff205,0x017fffe4,
    0x02aaaa88,0x401dfff5,0x261bddb9,0xff90aaaa,0xfffc809f,0xfffe801f,
    0xfffff11f,0x2ffffc80,0xfff11ff9,0xfff981ff,0x5c001fff,0x986fffff,
    0x7fcc7fff,0x6fff887f,0x7ffec000,0xffffe84f,0xaaaaa882,0x3ffffa80,
    0x6ffff880,0x413fff20,0x002ffffc,0x81fffff3,0x900ffff8,0x7fffffff,
    0xe87ffffa,0x3ea00fff,0xfe804fff,0xfff11fff,0xfffd80ff,0x2e1ff90f,
    0x7dc09abc,0x0005ffff,0x83ffffff,0x7cc7fff8,0xfffc87ff,0x7fd40002,
    0x7ffcc7ff,0xffff107f,0xffff903f,0xffff1003,0x27ffe40d,0x01ffffc8,
    0x1fffff30,0xb03fffc8,0xffffffff,0x8fffff9f,0x2203fff8,0xe806ffff,
    0xff11ffff,0xffe80fff,0x01ff90ff,0x7ffffe40,0xfff70001,0xffff05ff,
    0x237ffdc3,0x0006fff8,0x45fffff0,0x104ffffc,0xf03fffff,0x2200ffff,
    0x3206ffff,0xffb04fff,0x3e6003ff,0x7fc0ffff,0xffffb06f,0xfffffbff,
    0xffd0dfff,0xfffff80b,0x7ffff400,0x0fffff11,0x92ffffd8,0x7ec001ff,
    0x20007fff,0x83fffff9,0xe98dfffc,0x7fe43fff,0xf900002f,0x7ff49fff,
    0xfff101ff,0xfff983ff,0x3ffe007f,0x3fff207f,0x1ffffb04,0x3fffe600,
    0x07ffea0f,0x8b7ffff6,0xffffffc8,0x406ffd84,0x402ffffe,0xf11ffffe,
    0xfb80ffff,0xffcaffff,0x3fffa000,0x3e20006f,0xf884ffff,0xffffffff,
    0x037ffc46,0xffff3000,0x1bfffe6f,0x1fffff88,0x037fffdc,0x01fffff0,
    0x7c13fff2,0x26007fff,0x360fffff,0xfffb87ff,0x3fffa06f,0x7ffb82ff,
    0x27fffec0,0x47ffffa0,0x407ffff8,0xfffffff9,0x3fe000ff,0x40005fff,
    0x706fffff,0xffffffff,0x02fffc83,0x7fff4000,0x3ffffc9f,0x3ffffe20,
    0x2ffffe41,0x9ffff900,0x213fff20,0x006ffffa,0x43ffffe6,0xfe84fff8,
    0x3ea01fff,0xf981ffff,0x3ff200ff,0x7ff405ff,0xffff11ff,0xffffb00f,
    0x003bffff,0x09fffff3,0xffffe800,0x3fff6607,0x7ffc40df,0xfb800006,
    0xfffecfff,0x3ffe200f,0x7ffe41ff,0x3fe6004f,0xffc82fff,0x7fffcc4f,
    0x3fe6004f,0xfff30fff,0x5ffffa83,0x3ffffcc0,0x200fffa8,0x406ffffb,
    0xf11ffffe,0xf100ffff,0xffffffff,0x3e6019ff,0x0004ffff,0x03fffff4,
    0x3ff20088,0xbcdba82f,0x3ffe2001,0x06ffffff,0x0fffffc4,0x00fffff6,
    0xffffffd0,0xba7ffe49,0x0ffffffd,0x3fffe600,0xd0fff50f,0x9801ffff,
    0xf905ffff,0xfffa80ff,0x7fff406f,0xfffff11f,0x3fffa200,0xffffffff,
    0xbfffff01,0xffff8000,0xf880005f,0x7fec46ff,0x2004ffff,0xfffffffd,
    0x7ffc403f,0x7fff41ff,0x7f4c002f,0x3f27ffff,0xffffd4ff,0xf98005ff,
    0xff70ffff,0x7ffff88f,0x4ffffa80,0x980dffd0,0x7407ffff,0xff11ffff,
    0xfc800fff,0xffffffff,0xfffe82ff,0x3e20006f,0x0004ffff,0x742fffc8,
    0xffffffff,0xffff5005,0x8801ffff,0x741fffff,0x8001ffff,0x27ffffe8,
    0xffd4fffc,0x30003fff,0x361fffff,0x7ffcc6ff,0xfffc805f,0x0bfff02f,
    0x07ffff88,0x88fffff4,0x0007ffff,0xffffffd5,0xffd81fff,0x260007ff,
    0x003fffff,0x237ffc40,0xfcbffffa,0xff001fff,0x00bfffff,0x83fffff1,
    0x001ffffe,0x7fffffb8,0x7f53fff2,0x8004ffff,0xb0fffff9,0xfffa8bff,
    0xfffd804f,0x3fff980f,0x3ffffc40,0x47ffffa0,0x007ffff8,0x3ffbff20,
    0x7e44ffff,0x2a01ffff,0xfffff901,0xffc80005,0x17fff42f,0x200bfff9,
    0x2ffffffc,0xfffff880,0x17fffec1,0x3fffee00,0x3fff27ff,0xffffffd4,
    0xfff98009,0x8bffb0ff,0x403ffffb,0xb07ffff8,0xf9801fff,0x7f405fff,
    0xfff11fff,0x7e4000ff,0xffffea8f,0x7ffffdc6,0x8833fa05,0x00ffffff,
    0x1bffe200,0xf983fffe,0xff3006ff,0x2200ffff,0x6c1fffff,0x2003ffff,
    0xaefffff8,0x4d3fff21,0x1fffffeb,0x3fffe600,0xb8dff90f,0x5c03ffff,
    0xfc85ffff,0xff9804ff,0x7ff404ff,0xffff11ff,0x7fe4000f,0x8fffff10,
    0x1ffffff8,0x8cffffb8,0x06fffffc,0x17ffe400,0xf31fffe2,0x3e200fff,
    0x1004ffff,0xc83fffff,0x2003ffff,0x80effffb,0xfe84fffc,0x26005fff,
    0xf70fffff,0xffffa8ff,0x3fffe204,0x7fffd43f,0xffffa800,0x7ffff403,
    0x0fffff11,0x7e435310,0x3ffffa0f,0x7ffffdc0,0x7fffec0e,0xffffffff,
    0x3fe20002,0x7fff986f,0x007fffc4,0x0fffffe4,0xfffff880,0x27fffdc1,
    0x5ffffb00,0x213fff20,0x006ffff9,0x43ffffe6,0x3e60fffa,0x3f206fff,
    0x3e62ffff,0xf5003fff,0xfe805fff,0xfff11fff,0x7ffdc0ff,0xc83ff25f,
    0xffd07fff,0xea85ffff,0xffffffff,0x7e40005f,0xfff882ff,0x07fffcc7,
    0x3ffffe20,0x3ffe2006,0x7ffcc1ff,0x3ffa005f,0xfff900ff,0x1ffffa09,
    0xfffff980,0xe87fff30,0x640cffff,0x8affffff,0x004ffffc,0x007ffff2,
    0x223ffffd,0x2607ffff,0xf91fffff,0x37fffc1f,0xffffffa8,0xfeb9acef,
    0x0fffffff,0x3ffe2000,0x31fffe06,0x1188ffff,0x5ffffff5,0x7fffc400,
    0x6ffff81f,0x1ffffe00,0xb04fffc8,0x2001ffff,0x20fffff9,0x7fcc6ffe,
    0xffddffff,0xffffffff,0x4003ffff,0xe807fffd,0xff11ffff,0xfff80fff,
    0x0ffc8dff,0x409ffff5,0xfffffffc,0xffffffff,0x000effff,0x80bfff20,
    0x3ee1ffff,0x7ffd46ff,0x06ffffff,0x7ffffc40,0x0ffffd81,0x6ffff880,
    0x413fff20,0x001ffffd,0x41fffff3,0x7e42fffb,0xffffffff,0xffffffff,
    0xf8002fff,0xfe806fff,0xfff11fff,0xfffc80ff,0xc9ffdeff,0x401fffff,
    0xfffffffa,0xffffffff,0x00cfffff,0x037ffc40,0x2637fff2,0x7cc3fffe,
    0xffffffff,0x7ffc4002,0xfffb81ff,0xfff8802f,0x3fff206f,0x3ffff904,
    0x3fffe600,0x1bffe20f,0x3fffffee,0xffffb8ef,0x8001efff,0x804ffff8,
    0xf11ffffe,0xe880ffff,0xffffffff,0x04ffffff,0xfffffb10,0xffffffff,
    0x7fffffff,0x17ffe400,0x3ffffe20,0xf886ffff,0x3fffffff,0xffff8800,
    0xffff981f,0xffff8804,0x13fff205,0x017fffe4,0x0fffff98,0x4c27ffec,
    0x5c3cefdc,0x500abdfd,0x3fea0555,0xffe801ff,0xffff11ff,0xffff500f,
    0xffffffff,0xca8001df,0xeffffffe,0xffffdabd,0xff1005ff,0x3fea00df,
    0x01ffffff,0x3bffffff,0x3ffe2000,0xfffd01ff,0xffff300d,0x27ffe40b,
    0x02ffffc8,0x1fffff50,0x03ffff88,0xffd80000,0xdfffb04f,0x3ffffa00,
    0x0fffff11,0x3ffffe60,0x04ffffff,0x13531000,0x3ffffee0,0x5fff9001,
    0x7ff6c400,0x4cc400ce,0x80000000,0x400ffffa,0x205ffff9,0xf904fffc,
    0x2a007fff,0xf307ffff,0x00009fff,0x077ffec0,0x003ffff8,0x223ffffd,
    0x2007ffff,0xffffffc8,0x000001cf,0x0bffb100,0x00000000,0x00000000,
    0x00bfffe0,0x409ffff7,0xf704fffc,0x3600bfff,0x2e07ffff,0x002effff,
    0x3fffaa00,0xffff301f,0x3fffa001,0xfffff11f,0x3ff66000,0x00000002,
    0x00007260,0x00000000,0x64000000,0xcaa85fff,0x203fffff,0xf504fffc,
    0x155bffff,0x7fffff6c,0x7ffe406f,0x8000bdff,0xfffffeb8,0x17fff202,
    0x7f555544,0xfff11fff,0x015555ff,0x0003ff20,0x00000000,0x00000000,
    0x00000000,0x20ffff88,0xfffffff8,0x3fff201f,0xfffff104,0x3fe23fff,
    0x04ffffff,0xfffffea8,0x99aaccef,0xfffecbaa,0x7c00efff,0xff301fff,
    0x3fffffff,0x3fffffe2,0xf9002fff,0x0000001f,0x00000000,0x00000000,
    0xfb800000,0x3ffe23ff,0x6405ffff,0x3f204fff,0x51ffffff,0xffffffff,
    0x3ff22001,0xffffffff,0xffffffff,0xa804ffff,0x3e604fff,0xffffffff,
    0xffffff11,0x32005fff,0x000000ff,0x00000000,0x00000000,0xe8000000,
    0x3ffe27ff,0x6401efff,0x3a204fff,0x71ffffff,0x5fffffff,0xffd73000,
    0xffffffff,0x7dffffff,0x3fffa001,0x3fffe600,0xf11fffff,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x7c4bffea,0x9003ffff,
    0xd5009fff,0x3f23ffff,0x002cefff,0xffedb880,0xdeffffff,0x7fd4001b,
    0x7ffcc03f,0x11ffffff,0xffffffff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x3304ccc0,0x33310001,0x81988001,0x00000099,0x00033310,
    0x00066620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a200000,0x80009bcb,0x00199998,0x6665c000,0x06666442,
    0x79975100,0x88000015,0x31003ccc,0x26000003,0x0009acca,0x00002600,
    0x200000c4,0x1aaccb98,0x76dd4000,0x2aaa60ac,0x3722001a,0xffffffff,
    0xff5002ef,0x00000fff,0x542fffe8,0x7000ffff,0xffffffff,0x2a000019,
    0x3aa05fff,0x0cffffff,0x3ffae000,0x3fffffff,0xffec8800,0x5c003dff,
    0x1ceffffe,0xfffd8800,0x3fffffff,0x7fff4c00,0xff72ffff,0x3ea007ff,
    0xffffffff,0x00dfffff,0x03ffffd4,0xfff10000,0x6fffc83f,0xffffe880,
    0x0fffffff,0xfffc8000,0xffffe983,0x03ffffff,0x7ffff440,0xffffffff,
    0xfff3001e,0x1bffffff,0xffffe880,0x003fffff,0x3fffffea,0xffffffff,
    0xffffb802,0xbaffffff,0xc803ffff,0xffffffff,0xffffffff,0x3ffea02f,
    0x2000007f,0xfd87fff9,0xffd804ff,0xffffffff,0xe80006ff,0x7fc41fff,
    0xffffffff,0xf7003fff,0xffffffff,0x7fffffff,0xfffffa80,0x0effffff,
    0xffffff30,0x09ffffff,0xffffff70,0xffffffff,0x7fcc05ff,0xffffffff,
    0x3ffffeff,0x7ffffec0,0xffffffff,0x03ffffff,0x00fffff5,0x7ffdc000,
    0x03ffff86,0x6fffffcc,0xfffffb9a,0x3fe20003,0xffffd87f,0xffffffff,
    0x7fe401ff,0xffffffff,0xffffffff,0x3ffffe01,0xffffffff,0xfffffd04,
    0xffffffff,0x7fffd407,0xffffffff,0x00ffffff,0x7dfffffd,0xfffffb73,
    0x7fd407ff,0xacdfffff,0xffffeca9,0xffa80fff,0x000007ff,0xf113fff6,
    0xfb803fff,0xffa86fff,0x2a0004ff,0x7fcc5fff,0xc98befff,0x205fffff,
    0xfffffff9,0xffeb99bc,0xb80fffff,0xb9cfffff,0x40fffffe,0xaefffffc,
    0xffffffc9,0xfffffb00,0x3f26233b,0xa85fffff,0x705fffff,0x07ffffff,
    0x3fffffe2,0x7ffdc02f,0xffa85fff,0x000007ff,0xf50bfffa,0xff900fff,
    0x3ffe0bff,0x3ee0006f,0x7ffd43ff,0xfffb80ff,0x3fffa07f,0x3ee00eff,
    0xe83fffff,0x7c45ffff,0x3e23ffff,0xfa84ffff,0xff03ffff,0xfa809fff,
    0xfe87ffff,0x3600ffff,0xb03fffff,0x01dfffff,0x3ffffe60,0x7fffd41f,
    0x99880007,0xaffff999,0xefffc999,0xfff70099,0xfff881ff,0x3f60005f,
    0x7ffe41ff,0xffff105f,0xffff501f,0x3fee00bf,0x7fd46fff,0xffc80fff,
    0x3ffe66ff,0x3fff607f,0xffffa87f,0xfffc800f,0x7fffc1ff,0x7ffcc04f,
    0xfff883ff,0x5c001fff,0x546fffff,0x2a27ffff,0x200acddc,0xfffffffc,
    0xffffffff,0x303fffff,0xd8bfffff,0x0002ffff,0x3ee1fffe,0x3fe03fff,
    0xfff80fff,0x3a000fff,0x320dffff,0xf105ffff,0x3ee3ffff,0x3e605fff,
    0x7dc2ffff,0xa801ffff,0x222fffff,0x802fffff,0xb83fffff,0x005fffff,
    0x3fffffd0,0x9bffffd4,0xfffffffe,0xfffff902,0xffffffff,0x7fffffff,
    0x7fffff40,0xfffffe8b,0xfff30000,0xdffff30b,0x17fffe60,0x13ffffe6,
    0x2037b500,0x204ffffd,0xf92fffff,0x7c409fff,0x7cc3ffff,0x000dffff,
    0xfffff980,0xffffe801,0xfffffd83,0xfff70001,0x7ffd45ff,0xfffffaff,
    0xc84fffff,0xffffffff,0xffffffff,0x2603ffff,0xffffffff,0x0003ffff,
    0x7c0fffee,0xfc81ffff,0xffb83fff,0x00001fff,0x03ffffe8,0x6cfffffa,
    0x7c04ffff,0x7c44ffff,0x1cffffff,0x3ffea000,0xffd800ff,0xffff83ff,
    0x3e60007f,0x3ea3ffff,0xffffffff,0xffffffff,0x7ffffe43,0xffffffff,
    0x3fffffff,0x7ffffe40,0x003fffff,0x80fffec0,0xadfffffb,0x0fffffeb,
    0x0fffffc8,0xfff80000,0x3ffa02ff,0xffff74ff,0x7fffc40b,0xffffd85f,
    0x0bdfffff,0x3fffe600,0xfffe801f,0x7fffc43f,0x3e20006f,0x3ea5ffff,
    0xbeffffff,0xfffffeb9,0x3ffe200f,0x37ffdc1f,0x3fffe200,0x001effff,
    0x00ffff80,0x3fffffea,0x00efffff,0x00fffffb,0x3fffe000,0x3fff602f,
    0xdffff55f,0x7ffffcc0,0xffffe886,0xefffffff,0x7ffc401c,0xfff802ff,
    0x7ffc43ff,0x7c0005ff,0x3ea6ffff,0x904fffff,0x409fffff,0xfd87fffa,
    0x3aa004ff,0xffffffff,0xff980000,0xfff8806f,0x05ffffff,0x037ffff4,
    0x7ffc4000,0x3ff602ff,0xffff35ff,0x3fff203f,0xfff306ff,0xffffffff,
    0x7c03dfff,0x4c04ffff,0x4c3fffff,0x004fffff,0x3fffff40,0x0dfffff5,
    0x07ffffe8,0x3e1bffee,0xfb003fff,0xffffffff,0xf700009f,0xfd8809ff,
    0xffffffff,0xffff00cf,0x300000bf,0x405fffff,0x3a6ffffd,0x222effff,
    0x7ffffffb,0x3ffff620,0xffffffff,0xfffd01ff,0x7ff401ff,0x7fcc3fff,
    0x40004fff,0x2a7ffffe,0x402fffff,0x00fffffb,0xf889fffb,0xfd801fff,
    0xffffffff,0x06e22fff,0x02fffd80,0x3fffffe6,0xefffffff,0x7ffffc40,
    0xf9800006,0x3602ffff,0x3e67ffff,0xfcefffff,0x7fffffff,0xffffda80,
    0xffffffff,0xffffa82f,0xfffc80df,0x7fc43fff,0x40005fff,0x2a6fffff,
    0x400fffff,0x01fffff9,0xfa85ffff,0xffc807ff,0xffdbffff,0xff70ffff,
    0xfff805bf,0xffff100f,0xffd535df,0xfff0bfff,0x00000dff,0x05fffff3,
    0x237fffec,0xfffffffc,0xffffffff,0x7fed4006,0xffffffff,0xfffff81f,
    0xffecacff,0xf83fffff,0x0006ffff,0x93ffffe2,0x807ffffa,0x12fffff8,
    0x5ffff333,0xdfff9333,0x7cc13333,0x3a1fffff,0xfd6fffff,0x7c407fff,
    0x3fee06ff,0xffa80eff,0x7fec0fff,0x800007ff,0x02fffff8,0x217ffff6,
    0xfffffffb,0x5ffffdef,0x3f6e2000,0x85ffffff,0xfffffffb,0xffffffff,
    0xfffd83ff,0x3e60007f,0x3ea3ffff,0xff007fff,0x3ff27fff,0xffffffff,
    0xffffffff,0x3fff63ff,0x7ffc41ff,0xffffdfff,0x3ffea00f,0x3ffff604,
    0x3ffffa03,0x7ffffe43,0x7c008000,0x3602ffff,0xd304ffff,0x369fffff,
    0x0005ffff,0xfffffb10,0xffff701f,0xd3ffffff,0xf907ffff,0x0005ffff,
    0x8bfffff2,0x007ffffa,0x325fffff,0xffffffff,0xffffffff,0x3fe3ffff,
    0xff306fff,0xffffffff,0x2fffc80d,0x07ffffe0,0x45ffffc8,0x02fffffb,
    0x40df7d40,0x203fffff,0x403ffffe,0x7ff41a98,0x2ea624ff,0x7ff4004c,
    0xff501fff,0x23ffffff,0xb83ffffe,0x006fffff,0xffffff88,0x3ffffea1,
    0x7fffc400,0xfffff91f,0xffffffff,0x7fffffff,0x0fffffe2,0xffffffb8,
    0x7f402fff,0xfff300ff,0xfff980ff,0x7fffd47f,0x7fec005f,0x3ffa1eff,
    0x3ffe04ff,0x3e0003ff,0x3ea3ffff,0x2002ffff,0x01fffffb,0x2b3bb2a2,
    0x0fffffa0,0x3fffffe2,0x7ffe4003,0x7ffd46ff,0x7fcc02ff,0xfff90fff,
    0xffffffff,0xffffffff,0x3fffe67f,0x7ffe403f,0x4406ffff,0x3e606fff,
    0x2a00ffff,0x7c47ffff,0x001fffff,0x8ffffff3,0x105ffffd,0x005fffff,
    0x3ffffe20,0x3ffffe22,0x3ffee004,0xf80000ff,0xf702ffff,0x005fffff,
    0x3fffffee,0x7ffffd41,0x7fffec05,0x1ffff887,0x402fffdc,0x806fffff,
    0x4ffffffe,0x027ffd40,0x03fffff1,0x437fffdc,0x0efffffa,0xfffffe80,
    0x7ffffdc3,0xfffffb80,0x3ffdb910,0x1bffff20,0x07fffffa,0x37ffff40,
    0x40026aea,0x201fffff,0x4ffffffe,0x3ffff620,0xfffa84ff,0xff302fff,
    0xff50bfff,0x9fffb0ff,0xfffffd00,0x7fffdc03,0x3205ffff,0x7f403fff,
    0xff106fff,0x3f609fff,0x301effff,0x1ffffffd,0x4fffff88,0x44fffff8,
    0x885ffffe,0xc83fffff,0x02ffffff,0x3fffff62,0x7ffffe44,0x3fffea05,
    0x3ffe600f,0xacdfffff,0xffffffec,0xfffa80ff,0x2a0bffff,0x81ffffff,
    0xfe85fffb,0xffb802ff,0x511dffff,0xfffffffd,0xfd03dfff,0xffc803ff,
    0xb88befff,0x02ffffff,0xfffffff3,0xfffb759d,0x3209ffff,0x98bfffff,
    0x40fffffd,0x1cfffffc,0x0fffffd5,0x3fffffe2,0xfcbaabdf,0x41ffffff,
    0xaffffffa,0x3fffee60,0xfffc806f,0xffffffff,0xffffffff,0xfffff502,
    0xfffdffff,0x3609ffff,0x7fc44fff,0xffd001ff,0xffffffff,0xffffffff,
    0x447fffff,0xe8807fff,0xffffffff,0x05ffffff,0x7fffffe4,0xffffffff,
    0x3e605fff,0xffffffff,0xf985ffff,0xffffffff,0x203fffff,0xfffffff9,
    0xffffffff,0xff886fff,0xfeffffff,0x1fffffff,0xfffff500,0xffffffff,
    0x5403dfff,0xffdcffff,0xffffffff,0x5ffff00f,0x007fff98,0x3fffffe6,
    0xffffffff,0xfffffedf,0x17ffea0f,0x7ffffcc0,0xffffffff,0xfffa800f,
    0xffffffff,0xc806ffff,0xffffffff,0xf701ffff,0xffffffff,0xf9009fff,
    0xffffffff,0xdfffffff,0x3fffea01,0xffffffff,0x44004fff,0xfffffffd,
    0x03ffffff,0x94ffffa8,0xffffffff,0x3ffe201b,0x2fffdc1f,0x3fff6200,
    0xffffffff,0x3ffff22f,0x01fffe41,0xfffffd50,0x01bfffff,0x7fffec40,
    0xffffffff,0xfff5000c,0x1dffffff,0xfffffd80,0x002fffff,0x3fffffaa,
    0xffffffff,0x7ffdc00d,0xffffffff,0x2a0003ff,0xffffffec,0xf5001cdf,
    0x7f5c9fff,0x5404ffff,0xffd87fff,0xfd50004f,0x9dffffff,0xd07ff301,
    0x70003fff,0xffffffff,0x76dc0005,0xcfffffff,0xffd98000,0x2004ffff,
    0xffffffea,0xfd70001d,0xffffffff,0xfdb8003b,0xceffffff,0x54400000,
    0x0000009a,0x98005544,0xaaa82aaa,0xa880000a,0x071001aa,0x0000aaaa,
    0x00135531,0x9aa98800,0x2a600000,0x2a60000a,0x400000aa,0x01aaaa99,
    0x02666000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x004ccc80,0x332aa200,0x00009abc,
    0x00001310,0x26666200,0x004cc000,0x00999998,0x06666620,0x33333000,
    0x00ccccc1,0x99510000,0x55544135,0x66edcc1a,0x0310000a,0x99999988,
    0x99999999,0x80099999,0x0001fffd,0x7ffffed4,0x01cfffff,0xfffeca80,
    0x000002ef,0x013ffffa,0xfffffd93,0x7fffc407,0x3fea003f,0x20001fff,
    0xf15fffff,0x0003ffff,0xfffffa80,0xfff50fff,0x3fffa2bf,0x4002ffff,
    0x7ff403fb,0xffffffff,0xffffffff,0xfffb805f,0xffd10003,0xffffffff,
    0x001bffff,0x3ffffff6,0x0000dfff,0x4ffffe80,0x3ffffea0,0x881effff,
    0x003fffff,0x07ffffea,0xfffff800,0x3fffff15,0x7fd40000,0x27ffffff,
    0xf9dffffa,0xffffffff,0xffe9804f,0x7ffff403,0xffffffff,0x5fffffff,
    0x05fff980,0xfffffa80,0xffffffff,0x200effff,0xffffffe8,0x00ffffff,
    0x7fff4000,0xffff904f,0xffffffff,0xfffff881,0x3ffea003,0x3e0001ff,
    0xff15ffff,0x00003fff,0x3fffffe2,0x3fea5fff,0xfffffeff,0x3fffffff,
    0x0fffff60,0xffffffd0,0xffffffff,0x00bfffff,0x5001fffe,0xffffffff,
    0xffffffff,0x3601dfff,0xffffffff,0x005fffff,0x7ffff400,0xfffffc84,
    0xffffffff,0x7ffffc46,0x3ffea003,0x3e0001ff,0xff15ffff,0x00003fff,
    0x3fffffea,0x3fea3ccd,0xacffffff,0xffffffec,0x7fffff00,0xfffffe80,
    0xffffffff,0x05ffffff,0x001fffd0,0x3fffffe2,0xca99bcef,0x4fffffff,
    0xefffff88,0xffffeb9b,0x3a00002f,0x7c44ffff,0xb9aeffff,0x21fffffe,
    0x03fffff8,0x3ffffea0,0x3ffe0001,0xffff15ff,0x2e00003f,0x201fffff,
    0xdffffffa,0xfffffd80,0x7fffff04,0xcccccb80,0xfccccccc,0x03ffffff,
    0x005fff90,0x3ffffffa,0x7fff4403,0x7fdc0fff,0xfff886ff,0x200004ff,
    0x644ffffe,0xf80effff,0x3e24ffff,0x2003ffff,0x01fffffa,0x3ffffe00,
    0x3fffff15,0x3fee0000,0x7fd407ff,0x3a00ffff,0xff07ffff,0x00007fff,
    0xffffffb8,0x3ffea005,0xffffb804,0xff3001ff,0xfe87ffff,0xffb03fff,
    0x40000dff,0x224ffffe,0x902fffff,0x7c4bdfff,0x2003ffff,0x01fffffa,
    0x3ffffe00,0x3fffff15,0x3fee0000,0x7fd406ff,0x7d403fff,0x5510ffff,
    0x55bfffff,0x7d400015,0x006fffff,0x4037ffc4,0x02fffffe,0x77fffe40,
    0x0765d443,0x05ffffc8,0xacedba88,0x93ffffa0,0x207ffffb,0xfff10098,
    0x7d4007ff,0x0001ffff,0x457ffffe,0x261fffff,0x301bdedb,0xfffffb55,
    0xffa85555,0x7c401fff,0xff51ffff,0xffffffff,0x3e20001f,0x00ffffff,
    0x00fffe80,0x1bffffe6,0x000de400,0x3fffff80,0x7ffff4c0,0xfffd2fff,
    0x7fffec9f,0x3fe20005,0x2a003fff,0x001fffff,0x57ffffe0,0x91fffff8,
    0x9fffffff,0xffffff70,0xa8dfffff,0x800fffff,0xf52fffff,0xffffffff,
    0xd10001ff,0x03ffffff,0x0bfff200,0x2fffffc8,0x80000000,0x00fffffa,
    0x3fffffee,0xffebffff,0x3fffa4ff,0x8800c44f,0x003fffff,0x07ffffea,
    0xfffff800,0x5fffff15,0xfffffffd,0x7fdc1dff,0xffffffff,0x7fffd46f,
    0xfffff007,0x3ffffea7,0x00ffffff,0xfffffd80,0x3ea0003f,0x3ff604ff,
    0x00000fff,0xff933000,0x7d409fff,0xffffffff,0xffffffff,0x4fffffa4,
    0x04effffc,0x0fffffe2,0xfffffa80,0x3ffe0001,0xffff15ff,0xffffffff,
    0x5c7fffff,0xffffffff,0x7fd46fff,0xff800fff,0xfdd53fff,0xddddffff,
    0xfffb8001,0x40004fff,0x3a06fff8,0x0007ffff,0x3ffe0000,0x7403ffff,
    0x9befffff,0xffffffdb,0x3ffffe4f,0xffffffeb,0xfff880ef,0x3ea003ff,
    0x0001ffff,0x457ffffe,0xefffffff,0xffffdbab,0x3fbbaa6f,0x5eeeffff,
    0x0fffffd4,0x3ffffe20,0x3fffff82,0x3ffea000,0x00006fff,0x3e01fffd,
    0x9806ffff,0x99999999,0xff300199,0xa805ffff,0x80dfffff,0x4ffffffb,
    0xfffffff1,0xffffffff,0xffff883f,0x3fea003f,0x20001fff,0xf15fffff,
    0x20bfffff,0x80fffffd,0x406ffffb,0x02fffffa,0x0fffffcc,0x01fffffc,
    0xfffff980,0x900000ef,0x3fe05fff,0xff805fff,0xffffffff,0xffa801ff,
    0x00beffff,0x01fffffd,0xa7ffffec,0xfffffff9,0xfffffdff,0x7fffc46f,
    0x3fea003f,0x20001fff,0xf15fffff,0x201dffff,0x81fffff9,0x406ffffb,
    0x06fffffa,0x07ffffe4,0x01fffffc,0x7ffff440,0x200001ff,0xff03fffa,
    0xff00dfff,0xffffffff,0xff7003ff,0x1dffffff,0x09fffff0,0x4fffffa8,
    0xfffffff3,0x3fff2219,0x3ffe23ff,0x3ea003ff,0x0001ffff,0x457ffffe,
    0x204fffff,0x82fffff8,0x406ffffb,0x3ffffffa,0xdfffff10,0x0fffffe0,
    0x3ffff600,0x400002ff,0xff05fff8,0xff00ffff,0xffffffff,0x211003ff,
    0x6fffffc8,0x17ffffc4,0x3ffffe20,0xffffff34,0x3ffff207,0x3ffffe27,
    0x3ffea003,0x3e0001ff,0xff15ffff,0xff807fff,0xffb82fff,0x7fd406ff,
    0x20bfffff,0x1ffffffa,0x07fffff0,0xfffffc80,0xf000004f,0x3ffa0fff,
    0x7fc00fff,0xffffffff,0xf30001ff,0x7cc7ffff,0xf801ffff,0xff14ffff,
    0x7c40ffff,0xff10ffff,0x54007fff,0x001fffff,0x57ffffe0,0x02fffff8,
    0x417ffffc,0x406ffffb,0xfffffffa,0xfffffeff,0x3ffe05ff,0x3ea003ff,
    0x005fffff,0x3fff6000,0xfffffd81,0x66666401,0x1fffffec,0x3fffe000,
    0x3fffea6f,0xfffe800f,0x3ffffe4f,0x7ffffc06,0x7fffff11,0x7fffd400,
    0x3fe0001f,0xfff15fff,0xfff803ff,0xfffb82ff,0x7ffd406f,0xfffffeff,
    0x00ffffff,0x00fffffe,0x7fffffcc,0x2000000e,0xfb83fffb,0x0004ffff,
    0x03fffff7,0x7fffe400,0x3ffffe67,0xffffe801,0x17ffffa4,0x45ffffd0,
    0x004fffff,0x07ffffee,0x3ffe00cc,0xffff14ff,0xffff803f,0xffffb82f,
    0x7fffd406,0xfffffc8f,0x7c00efff,0x8803ffff,0x1ffffffe,0x7cc00000,
    0xfff885ff,0xb8000fff,0x001fffff,0x3ffffea0,0x3fffff10,0x9fffff00,
    0x037fffec,0xf8bffffa,0x2005ffff,0x30fffffc,0x401ffffd,0xf14fffff,
    0xf803ffff,0xfb82ffff,0x7d406fff,0x3faa7fff,0xf004ffff,0xb007ffff,
    0x05ffffff,0x3fe00000,0xffffb07f,0xff70009f,0x37263fff,0x7fdc07fe,
    0x7fffc7ff,0x7ffc403f,0x3fff64ff,0x7fffc07f,0x3ffffa1f,0xfffd000f,
    0x7fffc4ff,0xffff101f,0x3fffe29f,0x7fffc01f,0xffffb82f,0x7fffd406,
    0x000aa887,0x01fffff4,0x3ffffff2,0x20000003,0xfa81fffd,0x003fffff,
    0x3fffffa6,0x5fffff31,0x37fffec0,0x01bffffa,0x49fffff9,0x02fffff9,
    0x41fffff1,0x05fffffd,0x6fffffa8,0x81fffffc,0x12fffffa,0x803fffff,
    0xb82fffff,0x5406ffff,0x0007ffff,0x1fffff40,0xffffff50,0x8000000b,
    0xf903fffb,0x01bfffff,0x7ffffec4,0x3fffe1ff,0xffff506f,0xffffc89f,
    0xffff103f,0xfffe89ff,0xfffc80ef,0x7fffd46f,0x3fe603ff,0x7f43ffff,
    0xfd81ffff,0xff11ffff,0xff803fff,0xffb82fff,0x7fd406ff,0x400007ff,
    0x88effffe,0xfffff30a,0x000001df,0x05fff980,0xffffffd1,0xfdb779df,
    0xffffffff,0x7ffffe43,0xfffea8be,0x7fc40fff,0x2a0bffff,0x4fffffff,
    0x77ffffd4,0xffffea8a,0xffffe83f,0xdcabceff,0x87ffffff,0xcffffffc,
    0xfffffeca,0x3ffffe26,0x7ffffc01,0x6ffffb82,0x3ffffd40,0x3ff60000,
    0x91ffffff,0xddffffff,0xdddddddd,0x03dddddd,0x81fffe00,0xfffffff9,
    0xffffffff,0x45ffffff,0xffffffe8,0xffffffff,0xfffff703,0xfffffdff,
    0xfd09ffff,0xffffffff,0x2a0dffff,0xffffffff,0xffffffff,0xfff883ff,
    0xffffffff,0x3e22ffff,0x7c01ffff,0xfb82ffff,0x7d406fff,0x00007fff,
    0x7fffffd4,0xffff92ff,0xffffffff,0xffffffff,0x360005ff,0x3a200fff,
    0xffffffff,0xffffffff,0xfff302ff,0xffffffff,0xffe80bff,0xffffffff,
    0x84ffffce,0xffffffe9,0x01ffffff,0x3fffffee,0xffffffff,0xff700dff,
    0xffffffff,0xff889fff,0x7fc01fff,0xffb82fff,0x7fd406ff,0x400007ff,
    0xfffffff8,0xfffff93f,0xffffffff,0xffffffff,0x3ee0005f,0xffc802ff,
    0xffffffff,0x803fffff,0xffffffea,0xb003ffff,0xffffffff,0x9ffff71b,
    0x3ffff620,0x01efffff,0xfffffe98,0xffffffff,0xffffb803,0x4fffffff,
    0x1fffff88,0x17ffffc0,0x037fffdc,0x01ffffea,0x3ff62000,0xff92efff,
    0xffffffff,0xffffffff,0x0005ffff,0x4013ffea,0xfffffea8,0x001bceff,
    0xffffffb8,0x75c000df,0x2e4effff,0x5c04ffff,0x3ffffffe,0x7ff64400,
    0xdfffffff,0x3ff62000,0x01dfffff,0x03fffff1,0x82fffff8,0x406ffffb,
    0x006eeee9,0x06a62000,0x3ffffff2,0xffffffff,0xffffffff,0x2aaa0002,
    0x55330002,0x98800003,0x880000aa,0x400000aa,0x00009a98,0xaaaaa988,
    0xaa980001,0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33000000,0x00013333,0x30666666,0x00133333,0x41999998,0x00199998,
    0x03333331,0x06666620,0x00333333,0x0ccccc40,0x00333331,0x33333300,
    0x33333333,0x33333333,0x4c199998,0x99999999,0x00009999,0x00266666,
    0x21333330,0x20999998,0x80099999,0x0ffffffc,0x7fffe400,0x7fffe46f,
    0xff9000ff,0xffd8dfff,0xfe800fff,0x801fffff,0x6c7ffffd,0x002fffff,
    0x4ffffff0,0x007ffffa,0x7ffffc40,0xffffffff,0xffffffff,0xfffff11f,
    0x3ffffe23,0xffffffff,0x802cefff,0x04fffff8,0x3ffffe60,0x5fffff72,
    0x0bffffe6,0x3ffffe20,0x3fe6004f,0x7c41ffff,0x804fffff,0x1ffffff9,
    0x17ffffdc,0x3ffffe20,0xfff803ff,0x7ffd45ff,0xfa8005ff,0x3ea4ffff,
    0x40007fff,0xfffffff8,0xffffffff,0x1fffffff,0x23fffff1,0xfffffff8,
    0xffffffff,0x200effff,0x04fffff8,0x3ffffe60,0x5fffff72,0x0bffffe6,
    0x7ffffd40,0xfffd001f,0x3fea09ff,0x7401ffff,0x984fffff,0x403fffff,
    0xfffffffa,0x7fffc406,0x7fffc43f,0x7ec000ff,0x3ea1ffff,0x40007fff,
    0xfffffff8,0xffffffff,0x1fffffff,0x23fffff1,0xfffffff8,0xffffffff,
    0x00efffff,0x09fffff1,0x7ffffcc0,0x5fffff72,0x0bffffe6,0xfffffd80,
    0xffffa805,0x3ff600ef,0x3ee06fff,0xf00effff,0xc80bffff,0x7fffffff,
    0x7ffffd40,0xfffffd81,0x7fffc002,0x7fffd46f,0x7fc40007,0xffffffff,
    0xffffffff,0xff11ffff,0x3fe23fff,0xffffffff,0xffffffff,0xff105fff,
    0x4c009fff,0xf72fffff,0x3e65ffff,0x2002ffff,0x2ffffff8,0x7fffff40,
    0x7fffc402,0xfff883ff,0x3f602fff,0x7f407fff,0x1fffffff,0x1fffff20,
    0x2fffffd4,0xfffff500,0x7ffffa89,0x66644000,0xfffccccc,0xcccccfff,
    0xfff10ccc,0x3ffe23ff,0xccccceff,0xffffeccc,0xfff107ff,0x7cc009ff,
    0xff72ffff,0x3fe65fff,0x5c002fff,0x206fffff,0x05fffffc,0xffffff50,
    0xfffffd81,0x7fffdc05,0xffff100f,0x407fffff,0x205ffffe,0x00ffffff,
    0x3fffff90,0x07ffffa8,0xffd80000,0x3e2006ff,0xff11ffff,0x2a009fff,
    0x82fffffe,0x04fffff8,0x3ffffe60,0x5fffff72,0x0bffffe6,0x3ffffa00,
    0xffff884f,0x3f6000ff,0x3ea5ffff,0x400fffff,0x02fffff9,0xfffffff5,
    0x3fe20bff,0x3f203fff,0xf003ffff,0xf50dffff,0x0000ffff,0xdffffb00,
    0x7fffc400,0xfffff11f,0x7ffdc009,0xfff884ff,0x3e6004ff,0xff72ffff,
    0x3fe65fff,0x98002fff,0x40ffffff,0x03fffffd,0x7ffffc40,0xfffffd2f,
    0x3fffe005,0xffff904f,0x20fffffb,0x01fffff9,0x17ffffe6,0x3ffffea0,
    0x7ffffa83,0x2aaaaaa0,0x7ffec002,0x3fe2006f,0xfff11fff,0x7c4009ff,
    0xf886ffff,0x2004ffff,0x52fffff9,0x263fffff,0x002fffff,0xbfffff90,
    0x37ffffcc,0xffffb800,0xfffffcef,0x3fffa005,0xfffff06f,0x03fffff3,
    0x00fffff7,0x01fffffd,0x0fffffc8,0x07ffffa8,0x3ffffff7,0xffffd800,
    0x3ffe2006,0xffff11ff,0xfff8009f,0xfff886ff,0x3e6004ff,0xff32ffff,
    0x3fe61fff,0x20002fff,0xd2fffffe,0x003fffff,0x7fffff40,0x00ffffff,
    0x1fffff20,0x6dffffe6,0xfd83ffff,0xfc806fff,0x7c03ffff,0xf505ffff,
    0xff50ffff,0x0003ffff,0x00dffffb,0x8fffffc4,0x04fffff8,0x3ffffe60,
    0xfffff884,0x3ffe6004,0xffff12ff,0x3fffe61f,0x3ea0002f,0xffbeffff,
    0x40004fff,0xfffffff9,0x54003fff,0x5c1fffff,0xff55ffff,0xffff0bff,
    0xfff3009f,0x7fcc0dff,0xff502fff,0xfff98fff,0xb0001fff,0x400dffff,
    0x11fffff8,0x009fffff,0x3fffffa2,0xfffff883,0x3ffe6004,0x3fffe2ff,
    0x3ffffe67,0x7fec0002,0xffffffff,0xff900006,0x0dffffff,0xfffff100,
    0x2ffffd87,0x88fffff1,0x002fffff,0x01fffffd,0x03fffff2,0x13ffffd4,
    0x05ffffff,0x7fffec00,0x3ffe2006,0xffff11ff,0x5333339f,0xfffff955,
    0x3ffe20df,0xffffffff,0xffffffff,0x3ffe2fff,0x3fffe66f,0x7c40002f,
    0xffffffff,0x3a00001f,0x1fffffff,0xffffd000,0x0fffff8b,0xa87ffffa,
    0x000fffff,0x07fffff7,0x817ffffe,0xd17ffffa,0x005fffff,0x6ffffd80,
    0x3fffe200,0xfffff11f,0xffffffff,0xffffffff,0x3fffe205,0xffffffff,
    0xffffffff,0x3fffa2ff,0x3ffffe66,0xffa80002,0x05ffffff,0x7ffe4000,
    0x20005fff,0x266ffffc,0x7e46ffff,0x3ff23fff,0x3e2006ff,0xf986ffff,
    0x2a02ffff,0xffb7ffff,0x00007fff,0x00dffffb,0x8fffffc4,0xfffffff8,
    0xffffffff,0x202fffff,0xfffffff8,0xffffffff,0x2fffffff,0xf997fff6,
    0x0002ffff,0xffffffb0,0x4400001f,0xffffffff,0xfff50001,0x3ffee1ff,
    0x7fffd44f,0x13ffffa5,0xfffffb00,0x7ffffc81,0x7ffffd40,0x04fffffd,
    0xffffb000,0x7ffc400d,0xffff11ff,0xffffffff,0x1bffffff,0xfffff880,
    0xffffffff,0xffffffff,0x93fff22f,0x02fffff9,0xffff1000,0x800005ff,
    0xfffffffe,0xff10006f,0x3ff65fff,0x7ffc42ff,0x3ffffe7f,0x7ffd4002,
    0x7fffc3ff,0x7ffd404f,0xffffffff,0xffb00001,0x7c400dff,0xff11ffff,
    0xffffffff,0x03dfffff,0x7ffffc40,0xccccccce,0xffffdccc,0x8ffff22f,
    0x02fffff9,0x3fff6000,0x5c00007f,0xffffffff,0xff0004ff,0x3ffe7fff,
    0xfffe80ff,0xfffff99f,0x7ffc4000,0x3ffe66ff,0x7fd401ff,0xffffffff,
    0xfb00006f,0x4400dfff,0xf11fffff,0x5539ffff,0x9ffffff9,0x7fffc400,
    0x3fe6004f,0x3fee2fff,0x3fffe63f,0x3600002f,0x0007ffff,0x3ffffe20,
    0x1fffffff,0xffffd800,0x06ffff9d,0xf77ffff9,0x2000dfff,0x91fffffd,
    0x500dffff,0xffffffff,0x0007ffff,0x0dffffb0,0x7ffffc40,0x9fffff11,
    0xfffffd30,0xfff1001d,0x7cc009ff,0x3ea2ffff,0x3ffe62ff,0x200002ff,
    0x007ffffd,0x3ffff600,0xfffffdef,0xfffb8006,0x4ffffcff,0xbbffff30,
    0x0009ffff,0x4fffffea,0x804ffffe,0xfffffffa,0x00ffffff,0x7fffec00,
    0x3ffe2006,0xffff11ff,0x3ffe209f,0x4400efff,0x004fffff,0x8bffffe6,
    0x3e61fff9,0x0002ffff,0x1fffff60,0x7ffd4000,0xfff89fff,0x4c004fff,
    0xffffffff,0x3ffe02ff,0x2fffffff,0x3fffe000,0xfffff9ef,0xffffa801,
    0xffff8eff,0x7ec0004f,0x22006fff,0xf11fffff,0x5409ffff,0x05ffffff,
    0x27ffffc4,0xfffff300,0x307ffc45,0x005fffff,0x7fffec00,0xff880007,
    0x3ee4ffff,0x001fffff,0x7ffffffc,0x7fec07ff,0x0fffffff,0x3fff2000,
    0x6ffffeff,0xfffff500,0x3fffee1d,0x3f60001f,0x22006fff,0xf11fffff,
    0xc809ffff,0x03ffffff,0x13ffffe2,0xfffff980,0xf31bba22,0x0005ffff,
    0x3ffffec0,0x7ffec000,0x7ff40fff,0x6c006fff,0xffffffff,0x7fffdc05,
    0x0007ffff,0x7fffffcc,0x5003ffff,0xe81fffff,0x0005ffff,0x01bffff6,
    0x1fffff88,0x09fffff1,0xffffffd0,0x3fffe201,0x3fe6004f,0xf3002fff,
    0x0005ffff,0x3ffffec0,0x3ffea000,0xff982fff,0x2003ffff,0xfffffffb,
    0x7ffcc03f,0x005fffff,0xfffffe80,0x5000ffff,0xf50fffff,0x0005ffff,
    0x01bffff6,0x1fffff88,0x09fffff1,0xffffff30,0x3fffe20b,0x3fe6004f,
    0x55512fff,0x3ffe6155,0x200002ff,0x007ffffd,0x3ffffe20,0x3ffee05f,
    0xf3001fff,0x3fffffff,0xffffff00,0x900007ff,0xffffffff,0x7ffd400b,
    0xffffd07f,0x3ff6000d,0x3e2006ff,0xff11ffff,0x32009fff,0x82ffffff,
    0x04fffff8,0x3ffffe60,0x1fffff32,0x0bffffe6,0xfffd8000,0x3f60007f,
    0x400fffff,0x06fffffe,0xffffff10,0x3ff600ff,0x001fffff,0xfffff980,
    0x2a002fff,0xf307ffff,0x0007ffff,0x00dffffb,0x8fffffc4,0x04fffff8,
    0x3fffffa0,0x7fffc40f,0x3fe6004f,0xfff32fff,0x3ffe61ff,0x200002ff,
    0x007ffffd,0xffffff50,0xffff3007,0x3fa007ff,0x005fffff,0xfffffff7,
    0x7ff40000,0x000fffff,0x81ffffea,0x00fffffd,0x37fffec0,0xfffff100,
    0x3ffffe23,0x3ffe6004,0x7fc44fff,0x26004fff,0xf32fffff,0x3e61ffff,
    0x0002ffff,0x1fffff60,0x3fffe200,0x3f2006ff,0x801fffff,0x3ffffffc,
    0xfffff300,0x5c0000bf,0x05ffffff,0x3ffffd40,0x9fffff10,0xffffd800,
    0x3ffe2006,0xffff11ff,0xffc8009f,0x3e21ffff,0x2004ffff,0x32fffff9,
    0x261fffff,0x002fffff,0x3ffff600,0xfffc8007,0x22001fff,0x06fffffe,
    0xffffffa8,0x3fffe001,0x200003ff,0x2ffffff8,0x7fffd400,0x7fffe407,
    0x3ff6001f,0x3e2006ff,0xff11ffff,0xd0009fff,0x44dfffff,0x004fffff,
    0x4bffffe6,0x30fffff9,0x005fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x99999999,
    0x40009999,0x00099999,0x260ccccc,0x09999999,0x33333100,0x99998333,
    0x99999999,0x99999999,0x04ccccc0,0x26666600,0x4c400099,0x2e600009,
    0x2a20aced,0x55001aaa,0x4cccc355,0x99999999,0x41999999,0x99999999,
    0x00199999,0x21555544,0x440aaaaa,0xffffffff,0xdfffffff,0x7ffffc03,
    0x7fffc006,0xfffff31f,0x36007fff,0x7fffffff,0x3fffffe2,0xffffffff,
    0x45ffffff,0x004fffff,0x3fffffee,0xffda801f,0x001dffff,0xffffffb1,
    0x3fffea7f,0xffffa804,0xffffff13,0xffffffff,0x223fffff,0xffffffff,
    0xffffffff,0x7ffcc02d,0xffff10ff,0xffff883f,0xffffffff,0x01ffffff,
    0x07ffffff,0x8fffffc0,0xfffffff9,0xffff005f,0x7c4fffff,0xffffffff,
    0xffffffff,0x7ffc5fff,0xff5004ff,0x803fffff,0xffffffe9,0x200dffff,
    0xfffffff9,0xfffabfff,0xfffe804f,0xfffff13f,0xffffffff,0x23ffffff,
    0xfffffff8,0xffffffff,0xf302ffff,0x3e21ffff,0x7c41ffff,0xffffffff,
    0xffffffff,0xffff82ff,0xff000fff,0x3fe63fff,0x07ffffff,0xffffff98,
    0x3ffe27ff,0xffffffff,0xffffffff,0x7ffffc5f,0xffffa804,0x7c401fff,
    0xffffffff,0xf106ffff,0xffffffff,0xffffdfff,0xffffc809,0xfffff13f,
    0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,0x981fffff,0xf10fffff,
    0xf883ffff,0xffffffff,0xffffffff,0x7ffc0fff,0xf005ffff,0x3e63ffff,
    0xffffffff,0x7fffdc01,0x3e27ffff,0xffffffff,0xffffffff,0x7ffc5fff,
    0x7fcc04ff,0x801fffff,0xfffffffe,0x4fffffff,0xffffffc8,0xffffdbbc,
    0x3f204fff,0xf13fffff,0xffffffff,0xffffffff,0x3ffe23ff,0xffffffff,
    0xffffffff,0x7ffcc0ff,0xffff10ff,0xffff883f,0xccccccef,0xfffffffe,
    0x7fffffc4,0xfff802ff,0xffff31ff,0x807fffff,0xfffffffd,0x3fffe27f,
    0xccccccef,0xcccccccc,0x27ffffc3,0xffffff30,0xfff7003f,0xfb53bfff,
    0x4c3fffff,0x81efffff,0x4ffffffb,0xfffffd88,0xffff13ff,0x999999df,
    0x19999999,0x37ffffe2,0xcccccbaa,0x3fffffff,0x87ffffcc,0x41fffff8,
    0x04fffff8,0x7fffff54,0x7fffffc7,0xfff806ff,0xffff31ff,0x80dfffff,
    0xffffffff,0x3fffe27f,0x3e00004f,0xf104ffff,0x05ffffff,0x3bffff60,
    0xfffffa80,0x3fffff23,0x3ffff201,0x7fffdc4f,0xf13fffff,0x0009ffff,
    0x4fffff88,0xfffff700,0x2200000b,0x804fffff,0x1ffffff8,0x3ffffffe,
    0x7ffc03ff,0xffff31ff,0x01ffffdf,0x3fbfffe6,0x3fe27fff,0x00004fff,
    0x213ffffe,0xffffffe8,0x3fffe002,0x3fffe02f,0x3ffffa5f,0x7fffc406,
    0xffffd54f,0x27ffffff,0x04fffff8,0x7fffc400,0x3ffa004f,0x000007ff,
    0x09fffff1,0x3fffff60,0x3fffffe2,0x3e00ffff,0xff31ffff,0xffff9fff,
    0x3fffee05,0x227ffffc,0x004fffff,0x3ffffe00,0x7ffff444,0x3e6002ff,
    0x3201ffff,0x3fe6ffff,0xfe803fff,0xfffd4fff,0xffffffff,0x3ffffe27,
    0x7fc40004,0x2e004fff,0x0007ffff,0xfffff100,0x3ffee009,0x3fffe2ff,
    0x05ffffff,0x4c7ffffe,0xff9fffff,0xfffb04ff,0x4fffff5f,0x04fffff8,
    0x3fffe000,0x7ffff44f,0x988002ff,0x7fec04aa,0xffff15ff,0xfffb005f,
    0x3ffffa9f,0x3ffffe8e,0x09fffff1,0xffff8800,0x3ff6004f,0x000004ff,
    0x09fffff1,0x3fffff20,0x3fffffe1,0xf02fffff,0x3e63ffff,0xfff8ffff,
    0xdffff06f,0x44fffff3,0x004fffff,0x3ffffe00,0x3fffff64,0x0000003f,
    0x267fffff,0x802fffff,0xfd4ffffd,0x7fff49ff,0xfffff13f,0xff880009,
    0xf1004fff,0x0005ffff,0x3fffe200,0xffff004f,0xfffff8ff,0x0ffffffb,
    0x31fffff8,0x3f6fffff,0x7fcc0fff,0xffff9cff,0x3ffffe27,0x9999999c,
    0x80999999,0xf94fffff,0x007fffff,0x3fea0000,0xfff12fff,0xffb005ff,
    0x073fa9ff,0x227ffffd,0x004fffff,0x7ffffc40,0x7ffdc404,0x00000eff,
    0x9fffff10,0xffffe880,0x7ffffc6f,0x4fffffc9,0x31fffff8,0x3eefffff,
    0x7fdc2fff,0xffff99ff,0x3ffffe27,0xffffffff,0x85ffffff,0xfccfffff,
    0x04ffffff,0xffd00000,0x7ffc1fff,0xffe803ff,0x3a0174ff,0xff13ffff,
    0xddddffff,0x3ddddddd,0xffffff88,0xffffffff,0x00efffff,0x3fe20000,
    0xaaaadfff,0xfffffdcb,0x7fffc4ff,0xfffff89f,0x7ffffc1f,0x2fffff31,
    0x744ffff9,0xff98ffff,0x3ffe27ff,0xffffffff,0xffffffff,0xffffff85,
    0xffffffff,0x4000001f,0x43fffffd,0x404ffffe,0x04fffff8,0x13ffffe8,
    0xffffffff,0xffffffff,0xffff885f,0xffffffff,0x05ffffff,0xff880000,
    0xffffffff,0xffffffff,0x7fffc0ef,0xfffff51f,0x1fffff8d,0x7cfffff3,
    0x3fe26fff,0xffff36ff,0x7ffffc4f,0xffffffff,0x85ffffff,0xffffffff,
    0x6fffffff,0x3f200000,0xfd86ffff,0x7dc06fff,0xe804ffff,0xff13ffff,
    0xffffffff,0x5fffffff,0xffffff88,0xffffffff,0x002effff,0x7ffc4000,
    0xffffffff,0xffffffff,0x1fffff80,0x8bfffff6,0xf31fffff,0x7fecffff,
    0xffff50ff,0x9ffffe69,0xfffffff8,0xffffffff,0xff85ffff,0xffffffff,
    0x04ffffff,0xfffd8000,0xffb81fff,0xff103fff,0xd009ffff,0x3e27ffff,
    0xffffffff,0xffffffff,0x7ffffc42,0xffffffff,0xefffffff,0x15555440,
    0x102aaaaa,0xffffffff,0xffffffff,0x3ffe03df,0x3ffe21ff,0xffff0fff,
    0x3fffe63f,0x4ffffee7,0xf32ffffc,0x7fc4ffff,0xccccefff,0xcccccccc,
    0xfffff82c,0xffabffff,0x0001ffff,0x3fffff60,0x3fffa02f,0x3fea0bff,
    0x804fffff,0xf13ffffe,0xffffffff,0xffffffff,0xfffff885,0xeeeeeeef,
    0xfffffffe,0x3fffe60e,0xfffff10f,0xfffff883,0xffffffff,0x7fc02eff,
    0x7fdc1fff,0xffff4fff,0x3fffe63f,0x57fffe67,0xf30ffffe,0x7fc4ffff,
    0x00004fff,0x3ffffffe,0x3ffff64f,0xfb00006f,0x807fffff,0xfffffffa,
    0xfffffffe,0xffe804ff,0xffff13ff,0xf880009f,0x5004ffff,0x49ffffff,
    0x10fffff9,0x883fffff,0xaadfffff,0x00199aaa,0x207ffffe,0xf9fffffe,
    0xff31ffff,0xffff8fff,0x26ffff8f,0x227ffff9,0x004fffff,0x3ffffe00,
    0x7ffc44ff,0x40003fff,0x3ffffffd,0xfffffb00,0xffffffff,0xfd009fff,
    0x3fe27fff,0x40004fff,0x04fffff8,0x3ffffe20,0xfffff30f,0x3ffffe21,
    0x7ffffc41,0x3fe00004,0xffa81fff,0xffffefff,0xfffff31f,0xfcffffd8,
    0x3fe64fff,0x3ffe27ff,0x200004ff,0x04ffffff,0x3ffffff9,0x3fff6000,
    0x6c002fff,0xffffffff,0x4ffffe8e,0x3ffffe80,0x09fffff1,0xffff8800,
    0x7fec004f,0xfff31fff,0x3ffe21ff,0x7ffc41ff,0x200004ff,0xb01fffff,
    0xffffffff,0x3ffe63ff,0x7fffdc7f,0x262fffff,0x3e27ffff,0x0004ffff,
    0x17ffffe0,0xffffff88,0xfffd8006,0x70002fff,0x49dfffff,0x804ffffe,
    0xf13ffffe,0x0009ffff,0x4fffff88,0x7fffdc00,0xfffff33f,0x0fffffc4,
    0x13ffffe2,0xffff8000,0xffff101f,0x23ffffff,0x4c7ffff9,0xffffffff,
    0x3fffe60f,0x3ffffe27,0x3fe00004,0x7d404fff,0x003fffff,0x3fffffee,
    0xaa880001,0x4ffffe80,0x3ffffe80,0x09fffff1,0xffff8800,0x7fec004f,
    0x6fe82fff,0xffff8800,0x3e00004f,0x2e01ffff,0xffffffff,0xfffff31f,
    0xfffffff0,0xffff98df,0x3ffffe27,0x3fe00004,0xfe804fff,0x800fffff,
    0x1ffffff9,0xfd000000,0xfd009fff,0x3fe27fff,0x40004fff,0x04fffff8,
    0x7fffffc0,0x2a2ffc40,0x7c40aaaa,0x0004ffff,0x07ffffe0,0xffffffd0,
    0x3ffe63ff,0xffffd87f,0x7fcc4fff,0x3ffe27ff,0x200004ff,0x804fffff,
    0x5ffffff9,0x7ffffc40,0x0000003f,0x013ffffa,0x44fffffa,0x004fffff,
    0x7ffffc40,0xfffd5004,0x7ff70dff,0x07ffffc4,0x13ffffe2,0xffff8000,
    0x7ffcc01f,0xf31fffff,0xff70ffff,0x985fffff,0x3e27ffff,0xeeeeffff,
    0xeeeeeeee,0x3fe1eeee,0xf9004fff,0x405fffff,0xfffffffb,0xffffffff,
    0xfe80007f,0xfe804fff,0xfff13fff,0x880009ff,0xeeffffff,0xfeeeeeee,
    0x24ffffff,0x7c46ffd8,0x7c40ffff,0x0004ffff,0x07ffffe0,0x3fffff20,
    0xffff31ff,0xfffff30f,0xfff981ff,0x3fffe27f,0xffffffff,0xffffffff,
    0x3ffffe1f,0xffff1004,0x3fa01fff,0xffffffff,0x7fffffff,0xfffe8000,
    0xfffe804f,0xfffff13f,0xff880009,0xffffffff,0xffffffff,0x7fdc5fff,
    0x7fffc41f,0x7fffc40f,0x3e00004f,0x8801ffff,0x1fffffff,0x20fffff3,
    0x86ffffff,0x227ffff9,0xffffffff,0xffffffff,0x3e1fffff,0x2004ffff,
    0x5ffffffb,0xffffff88,0xffffffff,0x80007fff,0x804ffffe,0xf13ffffe,
    0x0009ffff,0xffffff88,0xffffffff,0x0effffff,0x7c4067c4,0x7c40ffff,
    0x0004ffff,0x07ffffe0,0x7ffffd40,0xfffff31f,0x3fffff60,0x7ffff984,
    0x3fffffe2,0xffffffff,0x1fffffff,0x013ffffe,0xffffffd0,0xfffffb85,
    0xffffffff,0x0007ffff,0x04ffffe8,0x13ffffe8,0x009fffff,0xfffff880,
    0xffffffff,0x0dffffff,0x7ffc4010,0x7ffc40ff,0x200004ff,0x001fffff,
    0x47fffff6,0x707ffff9,0x305fffff,0x7c4fffff,0xffffffff,0xffffffff,
    0x3fe1ffff,0x54004fff,0x0fffffff,0x3ffffffa,0xffffffff,0x80007fff,
    0x803eeeec,0xf13ffffe,0x0009ffff,0xffffff88,0xffffffff,0x0000adee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccccc00,0x09999999,0x54c40000,0xdb00009a,
    0xdddddddd,0x0005dddd,0x001aaaa8,0x19999980,0xdddd3000,0xdddddddd,
    0x21dddddd,0x005fffff,0xdd995000,0x0000599d,0x01885400,0x99100000,
    0x037bdddd,0x3ffffe20,0xffffffff,0x70000cef,0xffffffff,0x3fe2003b,
    0xffffffff,0x0003ffff,0x00fffff2,0xfffff300,0xff50003f,0xffffffff,
    0xffffffff,0x17ffffe1,0xfff70000,0xdfffffff,0x22000007,0x7df10feb,
    0x36600000,0xffffffff,0xff8805ff,0xffffffff,0x3fffffff,0x3fffaa00,
    0xffffffff,0x7ffcc00c,0xffffffff,0x30003fff,0x007fffff,0xfffffc80,
    0xffa8004f,0xffffffff,0xffffffff,0x0bfffff0,0x7ffe4000,0xffffffff,
    0x200003ff,0x10ffffc9,0x0019ffff,0x3fffe200,0xffffffff,0x3fe200ef,
    0xffffffff,0xffffffff,0x7ffdc01e,0xffffffff,0x2e00efff,0xffffffff,
    0x03ffffff,0xfffffd00,0x7fc40007,0x00ffffff,0x7ffffd40,0xffffffff,
    0xff0fffff,0x0000bfff,0x3fffffee,0xffffffff,0x6d40002f,0x10ffffff,
    0x3bffffff,0xfffe8000,0xffffffff,0x3e205fff,0xffffffff,0xffffffff,
    0xff301fff,0xd9dfffff,0x0bffffff,0x7fffffe4,0xffffffff,0xfffc8003,
    0x20003fff,0xfffffffb,0x7fd4003f,0xffffffff,0x5fffffff,0x017ffffe,
    0x7ffff400,0xfff730ac,0x71000dff,0xfffffffd,0x3fffe21f,0x002effff,
    0xdfffffa8,0xffffca9b,0xfff100ff,0x99999dff,0xffffffdb,0xffff10bf,
    0xfc8839ff,0xfd03ffff,0x33335fff,0x00133333,0xffffff98,0x3fa0003f,
    0x6fffffff,0x4cccc400,0xb9999999,0x3e0effff,0x0005ffff,0x06ffff88,
    0x033bffee,0x7fffe440,0x0fffffff,0xfffffff1,0x0017ffff,0x417ffffa,
    0x01fffffb,0x07fffff1,0xfffffd98,0x7fffd42f,0x7fff402f,0xfffff05f,
    0x3a200000,0x3fffffff,0xffff3000,0x03ffffff,0x7ff40000,0x7fffc1ff,
    0xf980005f,0x2a01ffff,0x7fecc001,0xffffffff,0x7f5c40be,0xffffffff,
    0xca9801cf,0xffff100d,0x3ffe203f,0xff5003ff,0xffc8dfff,0xffb805ff,
    0xfff887ff,0x9000006f,0xffffffff,0x3ff20007,0xfffffeff,0xf9000004,
    0xfff07fff,0x10000bff,0x7dffffff,0x7f540003,0xffffffff,0xf93001cf,
    0xffffffff,0x100005df,0x205fffff,0x03fffff8,0x3fffffa0,0x0bffff63,
    0x3ffffe20,0x2ffffd41,0x7fd40000,0x3fffffff,0xfffff000,0x1fffff97,
    0xff980000,0xffff05ff,0x3a0000bf,0xffffffff,0xfc800bdf,0xffffffff,
    0x540002df,0xfffffffe,0x22003fff,0xfffffeca,0xffff102f,0x7fcc007f,
    0x05305fff,0x1ffffea0,0x26fffff2,0x000acddb,0xdeffff88,0x8003ffff,
    0x98fffffa,0x003fffff,0x7ffff400,0xbfffff01,0x3fe60000,0xffffffff,
    0xff102eff,0x7dffffff,0xc8800001,0xffffffff,0x3fb2a00f,0xffffffff,
    0xffff102f,0xffe8007f,0xd80007ff,0xfd85ffff,0xffffffff,0x6c003fff,
    0xffd9ffff,0xfd8003ff,0x3ffa5fff,0x200006ff,0x204ffffb,0x005fffff,
    0x3fffea00,0xffffffff,0x7ffc41ef,0x0001dfff,0xfffb5000,0xff901fff,
    0xffffffff,0x2205ffff,0x003fffff,0x0fffffe4,0xffffb000,0xfffff05f,
    0xffffffff,0xff5001bf,0x3fff69ff,0x7fc4003f,0x3fee2fff,0x00001fff,
    0x401fffff,0x005fffff,0x7ffe4400,0xffffffff,0x3ffe20ef,0x0001cfff,
    0xfff93000,0xffd81fff,0xacefffff,0x102fffff,0x007fffff,0x1fffffb8,
    0xfffd8800,0xfff885ff,0xffffffff,0x4404ffff,0x3f66ffff,0x5c003fff,
    0x220fffff,0x004fffff,0x5ffffb80,0x2fffffc0,0xd9500000,0xffffffff,
    0x7fffc49f,0x00beffff,0x7f5c4000,0x0fffffff,0x37fffff6,0x7ffffc0a,
    0xfffff102,0xfffb8007,0x744002ff,0x80efffff,0xdffffff9,0xfffffdbb,
    0x3fff601f,0x3ffff61f,0x7fff4003,0xffffe85f,0x7f40000f,0x7fc02fff,
    0x00005fff,0xfffb5100,0x7e44bfff,0xffffffff,0x4c0001df,0xfffffffc,
    0xff10cfff,0x7fc09fff,0xff102fff,0xa8007fff,0x002fffff,0x3fffffa2,
    0xffff700e,0xffff503d,0x3ffea0df,0x7fffec3f,0x3ffe6003,0xfffb82ff,
    0x2a0003ff,0xf806ffff,0x0005ffff,0x880aea60,0x887ffffd,0xfffffffc,
    0x000befff,0xfffffd71,0x819fffff,0x00fffffa,0x05fffff1,0x0fffffe2,
    0xfffff700,0x3ffa2005,0x9800dfff,0x3ff200aa,0x7fc41fff,0xfffd86ff,
    0x3ff6003f,0xfff107ff,0x74000dff,0xf803ffff,0x0005ffff,0x0fffffe8,
    0x1bfffee0,0xfffffd50,0x03bfffff,0x3fffff66,0x02efffff,0x03ffffee,
    0x17ffffdc,0x3fffff88,0x7fffdc00,0xfff9001f,0x00000bff,0x85fffff1,
    0xd81ffffd,0x1003ffff,0x409fffff,0x01fffffd,0xfffff980,0xfffff800,
    0xffb80005,0xff104fff,0x26009fff,0xfffffffd,0xfd10efff,0xffffffff,
    0xff5003bf,0xff507fff,0x2205ffff,0x003fffff,0x07ffffdc,0x5ffffe80,
    0x3fe00000,0x3fee3fff,0xfffb03ff,0x3fee007f,0x9999bfff,0xfffffb99,
    0xfffb8004,0xffff005f,0xf10000bf,0x7bffffff,0xffffffd9,0xffc88003,
    0x0fffffff,0xfffffff1,0x4c0019ff,0xbeffffff,0xfffffffc,0xffff103f,
    0xffc8007f,0xff1007ff,0x00000dff,0x14ffffe8,0x557fffff,0xffffd555,
    0x7f40555b,0xffffffff,0xffffffff,0x7f4000ff,0xff002fff,0x0000bfff,
    0x3fffffe6,0xffffffff,0x2e20002f,0x0ffffffe,0xdffffff1,0x3f200017,
    0xffffffff,0x5fffffff,0x7fffff10,0xffffe800,0xffff3006,0xf8000009,
    0xff34ffff,0xffffffff,0xffffffff,0x3ffe60ff,0xffffffff,0xffffffff,
    0x3fe2003f,0x3fe007ff,0x00005fff,0x3fffffe6,0x3fffffff,0x3f6a0000,
    0xfff10fff,0x100005bf,0xfffffffd,0xffff37ff,0x3fffe20f,0x3fe6003f,
    0xf7005fff,0x54007fff,0x7c01dcca,0xff32ffff,0xffffffff,0xffffffff,
    0x3fff20ff,0xffffffff,0xffffffff,0x3fea006f,0x3fe005ff,0x00005fff,
    0xfffffea8,0x0000cfff,0x21ff9300,0x0001cff8,0xfffffb80,0x3fffe0df,
    0xffff882f,0x3ff6003f,0xd5003fff,0x7c005ddd,0x2a05ffff,0xf31fffff,
    0xffffffff,0xffffffff,0x3ffe0fff,0xffffffff,0xffffffff,0xfb001fff,
    0x7c007fff,0x0005ffff,0x2aaa6200,0x00000009,0x005c42e2,0x554c0000,
    0x7fc40001,0xf5003fff,0x000fffff,0x7ffec000,0xfffd01ff,0x7fffccdf,
    0xffffffff,0x7fffffff,0xdfffffa8,0xcccccccc,0xfffffdcc,0xffffd005,
    0x7fffc003,0x0000005f,0x00000000,0x00000000,0xfff10000,0xfc8807ff,
    0x003fffff,0x00aaaaa2,0xefffffa8,0xffffd10b,0x5555445f,0xeaaaaaaa,
    0x2aadffff,0x07ffffd8,0xffffff80,0xfffff800,0x3fffe000,0xeeeeeeff,
    0x5eeeeeee,0xbbbbbbb3,0xbbbbbbbb,0x0bbbbbbb,0x00000000,0x80000000,
    0xeefffff8,0xfffeeeee,0x006fffff,0x03ffffdc,0x3fffff60,0xffffffff,
    0x7ec0006f,0x3e203fff,0x8004ffff,0x03fffffc,0x03ffffc4,0x3fffffe0,
    0xffffffff,0xf56fffff,0xffffffff,0xffffffff,0x000fffff,0x00000000,
    0xf8800000,0xffffffff,0xffffffff,0x5c000fff,0x4007ffff,0xffffffe8,
    0x0dffffff,0x7ffec000,0x3ffee03f,0xf98002ff,0x4c06ffff,0x4006ffff,
    0xffffffff,0xffffffff,0xfff56fff,0xffffffff,0xffffffff,0x00000fff,
    0x00000000,0xfff88000,0xffffffff,0xdfffffff,0xfffb8001,0xfe98007f,
    0xffffffff,0xfb00004f,0x7f407fff,0x20007fff,0x01fffffe,0x017fffea,
    0xfffffff0,0xffffffff,0x3a6dffff,0xeeeeeeee,0xeeeeeeee,0x0006eeee,
    0x00000000,0x7c400000,0xffffffff,0xefffffff,0x3fee0002,0x2a0007ff,
    0xdffffffe,0x3f600002,0xff503fff,0x40009fff,0x05fffffb,0x017fffee,
    0xfffffff0,0xffffffff,0x000dffff,0x00000000,0x00000000,0xfff88000,
    0xffffffff,0x0002ceef,0x07ffffb8,0x0aa98800,0xffb00000,0x3ff607ff,
    0x20001fff,0x0ffffff8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01555544,0x00555554,0x5e776e4c,0x97300009,
    0x000157bd,0x33bb6ea2,0x2aaa601b,0x5551002a,0x2aaa6155,0x2aaa201a,
    0x5555402a,0x5555511a,0x1bdeca88,0x55555510,0x55554c01,0x2aaaa21a,
    0x986f76a1,0x2a20aaaa,0x5101bdec,0x4c037bd9,0xaaaaaaaa,0xaaaaaaaa,
    0x7ffffcc0,0x3fffe200,0x3ffaa01f,0x2fffffff,0x3fffa200,0x003fffff,
    0x7fffffdc,0xfa81dfff,0xb801ffff,0xf70fffff,0x7dc0bfff,0x3e01ffff,
    0xff32ffff,0x7ffecdff,0xd80dffff,0x105fffff,0x43ffffff,0xd8cffffa,
    0xf94fffff,0x3fea5fff,0x4c5fffff,0xefffffff,0xfffffc80,0xffffffff,
    0x7fcc1fff,0x3e200fff,0xfb01ffff,0xffffffff,0xa8019fff,0xffffffff,
    0x4c00dfff,0xfffffffe,0xf81fffff,0xe804ffff,0x3e64ffff,0x3f607fff,
    0xf303ffff,0x7fccffff,0xfffe8eff,0x0effffff,0x7fffffc4,0xfffffd82,
    0x67fffd43,0x2ffffffd,0xf75ffff9,0xffffffff,0x3ffffeeb,0xfc86ffff,
    0xffffffff,0x1fffffff,0x07ffffcc,0x3fffff10,0xffffffb0,0xffffffff,
    0x7fffd40d,0xffffffff,0x3ffe207f,0xffffffff,0x7e40ffff,0x7cc07fff,
    0x7f41ffff,0xfff01fff,0x3f20bfff,0x3fe65fff,0xffffeeff,0x3fffffff,
    0xffffffa8,0x3ffffea0,0xeffffa86,0x27ffffff,0xfffffffc,0xffffffff,
    0xffffffef,0x645fffff,0xffffffff,0xffffffff,0x7ffffcc1,0x3fffe200,
    0x7fffdc1f,0xffecceff,0xfd04ffff,0xf759ffff,0x207fffff,0xcefffffc,
    0xffffffca,0x7ffffcc5,0x3ffff202,0x3ffffc86,0xffffff98,0x5ffffd07,
    0x7fffffcc,0xffebacef,0xffb07fff,0x3fe29fff,0xfa80ffff,0xffffffff,
    0x3fff24ff,0xdaadffff,0xffffffff,0xffffcabe,0x3fff20ff,0xffffffff,
    0x4c0fffff,0x200fffff,0x21fffff8,0x2ffffff8,0xffffff98,0x7ffffdc1,
    0x7ffffa81,0x5fffff98,0x1fffffb0,0x05ffffe8,0x20fffffe,0xb86ffff9,
    0x1fffffff,0x07ffffc4,0xbffffff3,0xfffffd10,0xffffd101,0xfffffb3f,
    0x3fffea05,0x43932eff,0x1ffffffc,0xffffffe8,0xfffffb84,0x7ffd4001,
    0xff982fff,0x3e200fff,0x3ea1ffff,0x2202ffff,0x226fffff,0x203fffff,
    0x6c3ffffc,0x300fffff,0xa85dffff,0xa80fffff,0xf00fffff,0xfd81ffff,
    0x43ffffff,0x4c5ffffa,0x00ffffff,0x03fffff5,0x3fffffe6,0x205fffff,
    0x1ffffffa,0x7ffffe40,0xfffff703,0xffff101d,0x7fd4005f,0xf303ffff,
    0x4401ffff,0x321fffff,0xc806ffff,0xf30fffff,0x4c01ffff,0x7f46ffff,
    0x55c04fff,0x7ffffc01,0x4ffffd82,0x0bffff20,0xffffffff,0x2ffffd8b,
    0x1fffffcc,0x5fffff10,0x7ffffe40,0x200effff,0x04fffffa,0x0fffffc8,
    0x7fffff30,0x1fffffc0,0xfffff980,0x3ffe604f,0x3fe200ff,0x3ffa1fff,
    0xff9802ff,0xfff51fff,0xfff880ff,0x7ffffc6f,0xff900002,0xfff88bff,
    0x3fea01ff,0x3ffe64ff,0x7c7fffcf,0x7cc0ffff,0x7c02ffff,0x7402ffff,
    0xffffffff,0x7fffd401,0xfffc802f,0x3ffe607f,0x3ffe02ff,0xff8803ff,
    0x4c05ffff,0x200fffff,0x11fffff8,0x003fffff,0x25fffff1,0xfffffffb,
    0xffffffff,0x3ffe27ff,0x300001ff,0x5c1fffff,0xf806ffff,0x3fee7fff,
    0x1ffff9ef,0x30bffff3,0x803fffff,0x402fffff,0xfffffff8,0xffffa803,
    0xfffc801f,0x3ffe606f,0x3ffe01ff,0x7f4403ff,0x9806ffff,0x200fffff,
    0x51fffff8,0x001fffff,0x6d3ffffe,0xffffffff,0xffffffff,0xffff30ff,
    0x7400003f,0x3fa3ffff,0xfd803fff,0xfffd1fff,0x64ffffe9,0xf983ffff,
    0x7c01ffff,0xc802ffff,0x01ffffff,0x0fffffa8,0x6ffffc80,0x3ffffe60,
    0x3ffffe01,0x7ffff403,0xff9800ef,0x3e200fff,0xff51ffff,0x3e003fff,
    0xffb3ffff,0xffffffff,0xffffffff,0x3ffffe63,0x3ea00001,0xfff16fff,
    0xff5001ff,0x3fffe7ff,0x3abfffb2,0xf980ffff,0x7c01ffff,0x4402ffff,
    0x6fffffff,0xfffffa80,0xffffc800,0x3fffe606,0x3fffe00f,0x3fff603f,
    0xf3001fff,0x4c01ffff,0xf31fffff,0x1005ffff,0x2e5fffff,0xaaaeffff,
    0xaaaaaaaa,0xffff10aa,0xf800005f,0xffb9ffff,0xff1005ff,0xffff5bff,
    0x23fffea1,0xf306ffff,0xf801ffff,0x6c02ffff,0xffffffff,0x7fffd403,
    0xffff9007,0x7fffcc0d,0x3fffe00f,0xffff903f,0x7cc003ff,0x2a01ffff,
    0xf11fffff,0x5007ffff,0x2a1fffff,0x0007ffff,0x03fffff8,0x20055e5c,
    0xfebffffc,0x36001fff,0xfffcffff,0x37fffe26,0xf303ffff,0xf801ffff,
    0x2e02ffff,0xffffffff,0x3fea01ff,0xff9007ff,0x7fcc0dff,0x3fe00fff,
    0xffb83fff,0x4002ffff,0x01fffff9,0x87ffffee,0x00fffffe,0x33fffff4,
    0x403fffff,0x3ffa01a9,0x7ffc06ff,0x3fe605ff,0x6fffffff,0x7fffdc00,
    0x7f44ffff,0x1fffffff,0x1fffff30,0x2fffff80,0xffffff30,0x40dfffff,
    0x007ffffa,0x40dffff9,0x00fffff9,0x50fffffe,0x07ffffff,0xfffff100,
    0x3fffe209,0x3ffee1ff,0x3fee04ff,0x7ff44fff,0x3ffa05ff,0x7ffdc4ef,
    0xfff703ff,0xffe805ff,0x03ffffff,0x7ffffc40,0x7fe42fff,0x206fffff,
    0x00fffff9,0x817ffffc,0xd9fffffe,0x504fffff,0x200fffff,0x206ffffc,
    0x00fffff9,0x98fffffe,0x03ffffff,0x3ffffe00,0x7fff4c2f,0x3fe21fff,
    0x309effff,0x0dfffffb,0x09fffff7,0x07fffff9,0x19fffffd,0x3fffff26,
    0xffffa807,0x8000ffff,0xfffffffe,0x7ffffd40,0x3fe604ff,0x7fc00fff,
    0xffc82fff,0xfff13fff,0xff505fff,0x3f200fff,0x3e606fff,0x3e00ffff,
    0xff13ffff,0xdb9fffff,0xbddddddd,0xffffffb0,0xffffffbf,0xffa83fff,
    0xffffffff,0x01ffffff,0xbdffffff,0xdffffffb,0x3ffffea0,0xffffffff,
    0xfff003ff,0x000bffff,0x3fffffee,0xfffff886,0x3fe601ff,0x7fc00fff,
    0x7fcc2fff,0x7fd46fff,0x7d40ffff,0xf9007fff,0x7cc0dfff,0x3e00ffff,
    0xff53ffff,0xffffffff,0xdfffffff,0xffffff10,0xfb9fffff,0xff703fff,
    0xffffffff,0x4c07ffff,0xfffffffe,0x01ffffff,0x3ffffff6,0x4fffffff,
    0x3ffff200,0xf30002ff,0x209fffff,0x06fffffe,0x07ffffcc,0x8bffffe0,
    0x1ffffff8,0x5fffffd8,0x03ffffd4,0x06ffffc8,0x03ffffe6,0x53fffff8,
    0xffffffff,0xffffffff,0x3ffe60df,0xb3ffffff,0x2603ffff,0xffffffff,
    0x8801efff,0xfffffffd,0xb801ffff,0xffffffff,0x4c005fff,0x006fffff,
    0x7fffff40,0xfffff902,0xffff9809,0x7fffc00f,0x3ffff62f,0xffff104f,
    0x7ffd47ff,0xfff9007f,0x7ffcc0df,0x3ffe00ff,0xffff53ff,0xffffffff,
    0x40dfffff,0xdfffffd9,0x07ffff62,0xfffeca88,0xb8004eff,0xfffffffd,
    0x3f62000b,0x1dffffff,0xffffd000,0xffc80007,0xff500fff,0xf9803fff,
    0x7c00ffff,0xff52ffff,0xfa80dfff,0xf50fffff,0x3200ffff,0x2606ffff,
    0x200fffff,0xf53fffff,0xffffffff,0xffffffff,0x006a600d,0x0d544000,
    0x35510000,0x53100003,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76c00000,0xb80005ee,
    0xc9803ccc,0xcccccccc,0xcccccccc,0x332201cc,0x55554404,0x06666622,
    0x4c133333,0x98809999,0x14001acb,0x90999999,0xffffffff,0x000000bf,
    0x00000000,0x00000000,0x7ffc0000,0x7c40007f,0x5401ffff,0xffffffff,
    0xffffffff,0x3e202fff,0x7ffcc07f,0xffffd0ff,0x7ffffc4f,0x9fffff35,
    0xffffffc8,0x97a201cf,0x42fffff8,0xfffffffd,0x000006ff,0x00000000,
    0x00000000,0x3fe00000,0x640007ff,0x405fffff,0xfffffffa,0xffffffff,
    0x2202ffff,0x7fcc07ff,0xfffd0fff,0x7fffc4ff,0xfffff35f,0x3ffffa29,
    0xbeffffff,0x98bff731,0x7ec6ffff,0xffffffff,0x00000006,0x00000000,
    0x00000000,0x3fffe000,0x3fe20007,0x200fffff,0xfffffffa,0xffffffff,
    0x0aa2ffff,0x26198dff,0xfd0fffff,0x7fc4ffff,0xfff35fff,0x3fff69ff,
    0xffffffff,0xffffffff,0x1ffff985,0x3ffffff6,0x00006fff,0x00000000,
    0x00000000,0x3e000000,0x20007fff,0xfffffffb,0x3fffea04,0xffffffff,
    0x2fffffff,0xaffcbbf6,0x3fe65fda,0xfffd0fff,0x7fffc4ff,0xfffff35f,
    0x3fffff69,0xffffffff,0x05ffffff,0x7ecbfff5,0xffffffff,0x00000006,
    0x00000000,0x00000000,0x3fffe000,0x3ffe0007,0x00ffffff,0x55555551,
    0x55555555,0x3e215555,0xeeffefff,0xff30ffff,0x7fff4fff,0x3fffe27f,
    0xfffff35f,0x2b3bff69,0xffffffdb,0x03ffffff,0x5d47ffea,0xbbbbbbbb,
    0x00000002,0x00000000,0x00000000,0x3fffe000,0xfff70007,0x07ffffdf,
    0xe9800000,0xffffffff,0xfe82ffff,0x1bffff26,0x7c9fffff,0x3fb3ffff,
    0x7fffed40,0x1001efff,0x00000001,0x00000000,0x00000000,0xaa880000,
    0xfffaaaaa,0xaaaaaaff,0xffffd00a,0x00fffff1,0x2a200000,0xbcfffffc,
    0x5cbff101,0x7f45ffff,0x3ffa2fff,0x200172ff,0x02ceeeb8,0x00000000,
    0x00000000,0x00000000,0xfa800000,0xffffffff,0xffffffff,0xfffa82ff,
    0x7ffff94f,0x33333310,0x33333333,0x20133333,0x01fffff9,0xff31ffdc,
    0xfffc87ff,0x3ffff21f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0xffffffff,0xffffffff,0xffffe82f,0x0dffff31,0xfffffff5,
    0xffffffff,0xf305ffff,0x01dffbff,0xf88dffb1,0x7fd42fff,0x3fffdc7f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd4000,0xffffffff,
    0xffffffff,0x37fffd42,0x50bffffa,0xffffffff,0xffffffff,0xff985fff,
    0x81dffd5f,0xed81fffb,0x7774c0ee,0x02f774c5,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffd400,0xffffffff,0x2fffffff,0x217fffec,
    0x546ffffa,0xffffffff,0xffffffff,0x7ff42fff,0x89fff30f,0x000004f8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0xffcccccc,
    0xcccccfff,0x3ffe61cc,0xfffff07f,0x7ffffd43,0xffffffff,0x42ffffff,
    0x67ec3fe8,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x2007ffff,0x904ffffd,0x74cbffff,0xeeeeeeee,0xeeeeeeee,
    0x310701ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8000000,0xf3007fff,0x2603ffff,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,0x332a00ff,
    0x665c03cc,0x000002cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0fffff00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00fffff0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe0000,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_44_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,2,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_44_usascii_y[95]={ 35,6,6,6,4,6,6,6,6,6,6,11,29,22,
29,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,39,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17, };
static unsigned short stb__arial_bold_44_usascii_w[95]={ 0,7,15,22,20,33,27,7,10,11,15,21,7,11,
7,12,19,13,20,20,22,20,20,20,20,20,7,7,21,21,21,21,38,29,25,26,25,23,21,28,24,7,19,27,
20,29,24,29,23,30,27,24,24,24,28,38,27,28,24,11,12,11,19,24,10,20,21,20,21,20,15,21,20,7,
11,20,7,31,20,22,21,21,14,21,13,20,22,31,22,22,19,14,5,15,21, };
static unsigned short stb__arial_bold_44_usascii_h[95]={ 0,29,11,30,35,31,30,11,38,38,14,20,13,6,
6,30,30,29,29,30,29,29,30,28,30,30,21,28,22,14,22,29,38,29,29,30,29,29,29,30,29,29,30,29,
28,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,4,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,9, };
static unsigned short stb__arial_bold_44_usascii_s[95]={ 253,233,175,53,136,188,76,191,1,100,151,
87,167,232,245,104,165,175,132,43,70,49,86,123,117,185,245,237,187,129,209,
27,61,93,211,138,1,80,189,14,208,241,132,104,144,50,25,1,1,157,180,
206,147,107,97,58,30,1,225,124,1,112,109,165,221,231,31,66,64,45,173,
231,152,245,49,126,172,201,142,22,189,153,186,165,211,1,87,110,163,222,233,
34,28,12,199, };
static unsigned short stb__arial_bold_44_usascii_t[95]={ 1,102,214,40,1,1,40,214,1,1,214,
214,214,214,154,40,40,132,132,71,162,162,71,162,40,40,132,132,162,214,162,
162,1,162,132,40,162,132,132,71,102,102,71,132,162,132,132,40,132,1,102,
40,102,71,102,102,102,102,71,1,71,1,214,185,214,162,40,192,71,192,71,
40,71,1,1,102,102,192,192,192,71,132,192,162,71,192,192,192,192,1,192,
1,1,1,214, };
static unsigned short stb__arial_bold_44_usascii_a[95]={ 175,210,299,350,350,560,455,150,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,210,210,368,368,368,385,614,455,455,455,455,420,385,490,
455,175,350,455,385,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,210,175,210,368,350,210,350,385,350,385,350,210,385,
385,175,175,350,175,560,385,385,385,385,245,350,210,385,350,490,
350,350,315,245,176,245,368, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_44_usascii(stb_fontchar font[STB_FONT_arial_bold_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_44_usascii_s[i] + stb__arial_bold_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_44_usascii_t[i] + stb__arial_bold_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_44_usascii_x[i];
            font[i].y0 = stb__arial_bold_44_usascii_y[i];
            font[i].x1 = stb__arial_bold_44_usascii_x[i] + stb__arial_bold_44_usascii_w[i];
            font[i].y1 = stb__arial_bold_44_usascii_y[i] + stb__arial_bold_44_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_44_usascii_s[i] + stb__arial_bold_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_44_usascii_t[i] + stb__arial_bold_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_44_usascii_x[i] + stb__arial_bold_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_44_usascii_y[i] + stb__arial_bold_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_44_usascii_LINE_SPACING
#endif

