// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT        254
#define STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_47_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_47_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_47_usascii_LINE_SPACING          31

static unsigned int stb__arial_bold_47_usascii_pixels[]={
    0x916664c0,0x20013579,0x000cccc9,0x4c3332e6,0x99801ccc,0x19999999,
    0x04ccccc0,0x33333333,0x44000033,0xaacccaa9,0x40000009,0x000004cc,
    0x026f2e62,0xcb988000,0x9950001b,0x95000059,0x26666599,0x7fff4009,
    0x3fffffe0,0xffffa803,0xfffea800,0xdfff11ff,0xfffff980,0x2207ffff,
    0x3e4fffff,0xffffffff,0x3260001f,0xffffffff,0x002dffff,0x00fff000,
    0x7ff5c400,0xdfffffff,0x3fe60003,0x001effff,0x0007fffc,0xf9ffff40,
    0x2a05ffff,0x7ffc5fff,0x5406ffff,0x6400ffff,0x1fffffff,0x9813fff6,
    0xffffffff,0x3ffe207f,0x3fffe4ff,0x01ffffff,0x7fff5c40,0xffffffff,
    0x04ffffff,0xfff51000,0xea800015,0xffffffff,0x01efffff,0x7ffffdc0,
    0x7002ffff,0x00009fff,0x3e3ffff1,0x3a05ffff,0x7ffc2fff,0x202fffff,
    0x200ffffa,0xfffffff9,0x3fffea1f,0xfffff301,0x440fffff,0x3e4fffff,
    0xffffffff,0x3fee001f,0xffffffff,0xffffffff,0x0001efff,0xffffffd5,
    0xc88005df,0xffffffff,0xffffffff,0xfff1004f,0xdffffbff,0x03fffe00,
    0x3ffea000,0x17ffffe7,0x7c3fffdc,0x6fffffff,0x03fffea0,0xffffffd8,
    0x7fff41ff,0xfffff305,0x440fffff,0x3e4fffff,0xffffffff,0xffd8801f,
    0xaccfffff,0xedcba99a,0x04ffffff,0x7ffffec0,0x0dffffff,0xfffff980,
    0xffffffff,0xefffffff,0x7fffdc00,0x07ffff30,0x004fffb8,0x4bfff900,
    0xf05fffff,0x75507fff,0x03ffffff,0x803fffea,0xacffffff,0x1ffffb82,
    0xfdaaaa88,0x3e207fff,0x3fe4ffff,0xaaaadfff,0x7fff4c00,0x98002dff,
    0x04fffffe,0xffffffd0,0xbfffffff,0xfffffd00,0xfb9bffff,0xffffffff,
    0x4fffe80b,0x202fffec,0x0000ffff,0x7c7fffd0,0xfb85ffff,0x7cc00fff,
    0xf502ffff,0x3e201fff,0x4402ffff,0x7005ffff,0x980fffff,0x3fe09999,
    0x4c003fff,0x00cfffff,0xffffa800,0x7ffdc02f,0xffffffff,0x2e03ffff,
    0xcfffffff,0xffffb100,0x7fc03fff,0x7ffe43ff,0x17ffee06,0x7ffc4000,
    0x2666661f,0x37fffc40,0x2fffff80,0x01ffff50,0x07ffffe2,0x03ffffa0,
    0x1ffffee0,0xfffff000,0xfffe8007,0x4400003f,0x101ffffc,0xf5ffffff,
    0xfffff5ff,0x3fffe20f,0xf7002fff,0x40dfffff,0x7dc2ffff,0x3ffe07ff,
    0xf300000f,0xf9000fff,0x3a007fff,0xf502ffff,0x3e601fff,0xb800ffff,
    0xb804ffff,0x0007ffff,0x01fffffc,0x03ffff90,0xfd000110,0x3fea0dff,
    0x2fff0fff,0x82fffff9,0x1ffffffc,0x7fffd400,0xfff883ff,0x7fffdc2f,
    0x05fffb80,0x3ffee000,0xffff8005,0xfffd001f,0x3ffea07f,0xffff300f,
    0x3ffe600f,0xfffb807f,0x3bba207f,0x3fffe3ee,0xfff5003f,0x3b2a201f,
    0x3ba2dfff,0xfff11eee,0xffff703f,0xffd3ffcb,0xfff885df,0xd0005fff,
    0x20ffffff,0x7e42ffff,0xffff07ff,0x7ec00001,0x7776c3ff,0x3fffe64e,
    0x3fffa007,0xffff503f,0x3fffe601,0x3fffa007,0x7ffdc01f,0x3ffe207f,
    0x3fffe4ff,0xfff8803f,0xffff303f,0xf35fffff,0x7dc1ffff,0xfffc84ff,
    0x189ffe3f,0x7ffffd40,0xff30000f,0xfd03ffff,0xfffc87ff,0x05fffb86,
    0x7fffc000,0x2fffffc1,0x00bffff7,0x81ffffec,0x300ffffa,0x400fffff,
    0x404ffffd,0x207ffffb,0x24fffff8,0x803fffff,0xf306fffb,0xffffffff,
    0xfffffdff,0xc81fffd0,0x3fe5ffff,0x7ffdc007,0x740005ff,0xd82fffff,
    0x7ff45fff,0x1ffff85f,0x3fe60000,0x7fffc0ff,0x3ffff65f,0x3fff6004,
    0xffff503f,0x3fffea01,0x3fff2007,0x7ffdc06f,0x3ffe207f,0x3fffe4ff,
    0xfffe803f,0xfffff980,0xffffebcf,0xfc85ffff,0x7ffdc2ff,0x00fff0ff,
    0x3fffffc8,0x7ffec000,0xfffa83ff,0xffffc8bf,0x02fffdc2,0x3ffee000,
    0x5fffff86,0x07fffff1,0x27fffe40,0x00ffffa8,0x00dffff5,0x07ffffdc,
    0x0fffff70,0x27ffffc4,0x807fffff,0xf985fff9,0x540dffff,0x4ffffffe,
    0x543fffa8,0xfaffffff,0x7fec007f,0x40002fff,0x04fffffc,0xfffffffd,
    0xfff88bff,0x6c00001f,0xfff84fff,0xffff35ff,0x7fe4005f,0xfff506ff,
    0x3fff601f,0x3fea004f,0x3ee02fff,0x3e207fff,0x3fe4ffff,0x7e403fff,
    0xfffd82ff,0x3ffe606f,0xff982fff,0xffffe84f,0x4007ffff,0x01ffffff,
    0x7fffdc00,0xfffd305f,0xb81dffff,0x00005fff,0xf82ffff8,0xff55ffff,
    0x4c003fff,0xa82fffff,0xff00ffff,0x4c007fff,0x203fffff,0x207ffffb,
    0x24fffff8,0x403fffff,0xff987fff,0x7f402fff,0xff00ffff,0xffff50bf,
    0x05bfffff,0xffffff10,0xffa80001,0x7e407fff,0xf884ffff,0x00001fff,
    0x407fffcc,0xf75fffff,0x8001ffff,0x40effffe,0xd80ffffa,0x001fffff,
    0x0fffffe2,0x07ffffb8,0x93ffffe2,0x203fffff,0xfd84fff8,0xfd805fff,
    0x3fe07fff,0xffffb05f,0x9fffffff,0x3fffe201,0x540000ff,0x007fffff,
    0x7fdc0131,0x5997305f,0x3ffee001,0xbfffff06,0x01fffff2,0x3ffffee0,
    0xffff53df,0x3fffb2a1,0xff8005ff,0x3ee04fff,0x3e207fff,0x3fe4ffff,
    0x3e603fff,0x7ffcc2ff,0xffc800ff,0xfff305ff,0x7fffe409,0xffffffff,
    0xffffff02,0xffb80003,0x00006fff,0x883ffff1,0x3ffffffe,0x04fffd80,
    0x32bfffff,0x8007ffff,0xffffffd8,0x21ffff57,0xfffffffd,0xfffe8000,
    0x3ffee05f,0x3ffe207f,0x3fffe4ff,0x3ffea03f,0x3ffffdc2,0x3ffffe80,
    0x805fff70,0xffffffea,0xd84fffff,0x002fffff,0x7ffffe40,0xff700006,
    0xffff98bf,0x405fffff,0xff02ffff,0x3ff6bfff,0x360006ff,0xf57fffff,
    0x3ff61fff,0x0000efff,0x40bffffd,0x207ffffb,0x24fffff8,0x203fffff,
    0x7e41fffb,0xff005fff,0x3f603fff,0xfb3001ff,0xffffffff,0xffffc83f,
    0x7ec0003f,0x0005ffff,0x41ffff88,0xfedffffd,0xff102fff,0x3ffe01ff,
    0xffffb5ff,0x7fdc000b,0xfff57fff,0x3ffff61f,0x3f60004f,0x3ee05fff,
    0x3e207fff,0x3fe4ffff,0x3f203fff,0x7ffec0ff,0xfff8804f,0xffff00ff,
    0xffff8001,0x46ffffff,0x05fffffb,0x3fffa004,0xb80003ff,0x7fcc5fff,
    0x3fff61ff,0x0dfff506,0xdafffffc,0x0006ffff,0xfffffff9,0x6c3fffea,
    0x0dffffff,0xffffd800,0x3fffee05,0x3fffe207,0x3ffffe4f,0x21fff603,
    0x802ffffe,0x306ffffa,0xf000dfff,0xffffb1ff,0x7ffd41ff,0x3b600fff,
    0xfffffa82,0x7c40001f,0x7fdc1fff,0x7fffd46f,0x04fffc80,0x657ffffe,
    0x8007ffff,0xeffffffa,0x21ffff54,0xfffffffb,0xfffe8004,0x3ffee04f,
    0x3ffe207f,0x3fffe4ff,0x3fff203f,0x17ffffc0,0x27ffff40,0x00ffffc4,
    0xff53ffc0,0x7fc43fff,0xf305ffff,0x7ff43dff,0x80007fff,0xfc85fffb,
    0x7ffcc5ff,0x3fffe81f,0x57ffffe0,0x007ffffb,0x1fffffe8,0x207fffd4,
    0x0fffffe9,0x7ffff400,0x3fffee04,0x3fffe207,0x3ffffe4f,0x07ffee03,
    0x807ffffd,0x83fffffa,0x0005fffe,0xfffe8fff,0x7fffe43f,0xfffd81ff,
    0xffffcdff,0x440003ff,0xfd81ffff,0x7ffcc5ff,0x7fffc42f,0x3ffffe01,
    0x1fffff75,0x7fffcc00,0xffffa82f,0xfffffa80,0x7fffc003,0x3ffee03f,
    0x3ffe207f,0x3fffe4ff,0x3ffea03f,0x27fffec2,0x3fffffa0,0x0ffffec1,
    0x07f7664c,0xfffc8fff,0x7fffc43f,0x7f542fff,0xffffffff,0xb80006ff,
    0xffd05fff,0xffff889f,0x03fffd42,0x4d7ffffe,0x000fffff,0x41ffffea,
    0xb00ffffa,0x4009ffff,0x01fffff8,0x81ffffee,0x24fffff8,0x203fffff,
    0x7dc4fff9,0xf700ffff,0x5c1fffff,0xf304ffff,0x7fc7ffff,0x0ffffec7,
    0x7fffffd4,0x7ff540cf,0x1fffffff,0x7ffc4000,0xbfffb01f,0x41ffff98,
    0x7c05fffc,0x3fe5ffff,0x32001fff,0xf504ffff,0x3ee01fff,0x26005fff,
    0x5c07ffff,0x2207ffff,0x3e4fffff,0x7c03ffff,0x7ffc47ff,0x3f223eff,
    0xbbffffff,0x405fffff,0x3e6fffff,0x3fffe27f,0xffffd00f,0xb9bdffff,
    0xffffffff,0xf70000bf,0x7fe40bff,0x7fffd46f,0x01ffff40,0xd97ffffe,
    0x2002ffff,0x503ffffd,0x2a01ffff,0x2006ffff,0x406ffffb,0x207ffffb,
    0x24fffff8,0x403fffff,0x7dc2fffc,0xfeffffff,0xffffffff,0x06ffffff,
    0xdfffffd8,0xff917ff8,0x7f440dff,0xffffffff,0xffffffff,0x0001dfff,
    0x807fffe2,0x320ffffb,0x7fc47fff,0x7ffc01ff,0x3ffee5ff,0x3ff6005f,
    0xfff503ff,0x3ffea01f,0x3ff2007f,0x7fdc04ff,0x3fe207ff,0x3ffe4fff,
    0x7fcc03ff,0xffffe86f,0xfeffffff,0xffffffff,0xfff3004f,0x7fffdfff,
    0x03ffffff,0xffffff90,0xffffffff,0x9fffffff,0xfff90001,0xffff880b,
    0x4ffffb9d,0x403fffd4,0x265fffff,0x2007ffff,0x503ffffd,0x2601ffff,
    0x2007ffff,0x401ffffe,0x207ffffb,0x24fffff8,0x803fffff,0xfb82fffe,
    0xaeffffff,0xffffffe8,0x7e4001ef,0xffffffff,0x05ffffff,0x3ffffa60,
    0xffffffff,0xffffffff,0x3fe2004f,0xffb801ff,0xffffffff,0x02fffe40,
    0x22fffffc,0x001fffff,0x207ffffd,0x300ffffa,0x200fffff,0x806ffff8,
    0x207ffffb,0x24fffff8,0x803fffff,0x981ffffb,0x20bdefdc,0x1bdefec9,
    0xd0355530,0xffffffff,0x01dfffff,0xfffd9700,0x77bfffff,0xbfffffff,
    0x2fffe400,0xfffff900,0xffd05fff,0xffff007f,0xffffc8bf,0xffffd003,
    0x3fffea05,0xfffff300,0x3fffea00,0xffffb803,0x3fffe207,0x3ffffe4f,
    0xffffb003,0x20000001,0x881ffffa,0xfffffffd,0x0004ffff,0x26aaea20,
    0x7fffec40,0xfff1001f,0xfea8003f,0x9900dfff,0x20000399,0x005ffff8,
    0x205fffff,0x300ffffa,0x001fffff,0x001ffff9,0x40fffff7,0x24fffff9,
    0x003fffff,0x03dffff1,0xffb80000,0x7ed404ff,0x1cffffff,0x40000000,
    0x2005fffa,0x00019998,0x00000044,0x1ffff600,0x3ffffe20,0x1ffff502,
    0x3ffffe20,0x6ffff802,0xfffff700,0x7ffffdc0,0x0fffffe3,0xfffff980,
    0x4c00000c,0x006ffffd,0x007ffea2,0x20000000,0x000001ea,0x00000000,
    0x7fffd400,0xffe99882,0xff501fff,0x7ffc01ff,0x9809afff,0x7002ffff,
    0xcc8fffff,0x2ffffffd,0x00fffffe,0xffffff70,0xc9800037,0x00efffff,
    0x0007ff80,0x00000000,0x00000000,0xe8000000,0xfff85fff,0x00ffffff,
    0x401ffff5,0xfffffffe,0x37ffe41f,0xffffff98,0x3fe27fff,0x1fffffff,
    0x3ffffffe,0x74c01fff,0xcfffffff,0xb533019a,0xbfffffff,0x03ffc000,
    0x00000000,0x00000000,0x00000000,0x207fffcc,0xffffffff,0x3fffea04,
    0x3fffea00,0x3e21ffff,0xff301fff,0xffffffff,0x7fffffd4,0x7fffc6ff,
    0x01ffffff,0xffffff90,0xffffffff,0xffffffff,0x80007fff,0x000007ff,
    0x00000000,0x00000000,0xffb00000,0xfffff87f,0x3ea00fff,0x7f400fff,
    0x21ffffff,0x2605fffb,0xffffffff,0x3ffff27f,0x7fc0ffff,0xffffffff,
    0x3ff66001,0xffffffff,0xffffffff,0x0000beff,0x00001998,0x00000000,
    0x00000000,0xf1000000,0xffff8fff,0x7d400cff,0xfc800fff,0x3e1fffff,
    0x3e600fff,0xffffffff,0x3fffff67,0xffff82ff,0x01ffffff,0xfffda880,
    0xffffffff,0x001dffff,0x00000000,0x00000000,0x00000000,0xeb800000,
    0x37bba1ee,0xddd3001c,0x32e2001d,0xddd31eec,0xaaaa8807,0x2a2aaaaa,
    0x201bdedb,0xaaaaaaaa,0x980000aa,0xceeeccba,0x00009aac,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,0x00135995,
    0x000c4000,0x00188000,0x39999100,0x02cccc88,0x56654c40,0x26600009,
    0x00000999,0x59751000,0x30000013,0x01100000,0x00130000,0xffd91000,
    0xbfffffff,0xfb700007,0x74c7bfff,0x3ba26eee,0x3b2a1eee,0x0003dfff,
    0x307fffea,0x2007ffff,0xffffffc8,0x4c000cff,0x003fffff,0xfd910000,
    0xdfffffff,0x76540009,0x002cefff,0xffffdc88,0xc88000bd,0x22dffffe,
    0x806eeeea,0xfffffffb,0xefffffff,0xffd88001,0x35ffffff,0x7c4fffff,
    0xffb1ffff,0x1dffffff,0xffff9000,0x03ffff70,0xffffff50,0x03ffffff,
    0x7ffffcc0,0x98000003,0xfffffffe,0x02efffff,0x7ffffe40,0x2004ffff,
    0xfffffffa,0x26001fff,0xfffffffe,0xfffff54f,0x7fffec40,0xffffffff,
    0x003fffff,0x3fffffe6,0xf9dfffff,0x3fe27fff,0xfffd9fff,0xffffffff,
    0x7ffec001,0x0ffffc86,0x7ffffc40,0xffffffff,0xfff3000e,0x000007ff,
    0xffffffc8,0xffffffff,0x6c400dff,0xffffffff,0x6c00dfff,0xffffffff,
    0xb803ffff,0xffffffff,0xfffbdfff,0xffff107f,0xffffffff,0xffffffff,
    0xfffd001d,0xffffffff,0x4fffffdf,0xfffffff8,0xffffffff,0x7c006fff,
    0xffe84fff,0xfffe806f,0xffebdfff,0xf3005fff,0x0007ffff,0x3fffa200,
    0xffffffff,0x5fffffff,0x7ffffe40,0xffffffff,0x3fffee05,0xffffffff,
    0x3fe203ff,0xffffffff,0xffffffff,0xfffffd07,0xfb9bffff,0xffffffff,
    0xffffb809,0xfda9beff,0x27ffffff,0xfffffff8,0xffebabdf,0x1003ffff,
    0xff05ffff,0xff8809ff,0xffb86fff,0xff3007ff,0x00007fff,0x3fffff20,
    0xfedcefff,0x3fffffff,0xffffff30,0xfffffd9f,0xffff105f,0xfffbbfff,
    0x3601ffff,0x9cffffff,0xfffffca9,0xfffb87ff,0x100cffff,0xfffffffb,
    0x3fffe203,0xfff504ff,0x7fc4ffff,0x903fffff,0x01ffffff,0x83ffff50,
    0x403ffff9,0x02fffff9,0x003fffff,0x07fffff3,0xfff30000,0x2205ffff,
    0xfffffffd,0xfffffd80,0x7ffffdc4,0xfffffd86,0x3fffa20c,0xfff983ff,
    0xff502fff,0xf98fffff,0x02ffffff,0xffffff50,0x3fffee0d,0x7ffe406f,
    0x3ffe27ff,0x7f404fff,0xc803ffff,0xffb87fff,0x7fcc01ff,0xffd04fff,
    0xff3003ff,0x00007fff,0xdfffffd0,0xffff9001,0xfff887ff,0xfffd07ff,
    0x7ffc41ff,0xfff105ff,0xfff90fff,0xffd809ff,0x7fec7fff,0x4001ffff,
    0x3ffffffa,0x2fffffc8,0x7ffffc40,0x3ffffe27,0x7ffd400f,0x3332a4ff,
    0xcffffecc,0xffffeccc,0x3ffe03cc,0x7fcc0fff,0xff3007ff,0x02607fff,
    0x3fffea00,0x3f6000ff,0x7d46ffff,0xf703ffff,0x7cc7ffff,0x3201ffff,
    0x743fffff,0x400fffff,0x27fffff8,0x5ffffff8,0xffffb000,0xffffb0ff,
    0x3fffa00f,0x3fffe27f,0xffff006f,0x7fffe4bf,0xffffffff,0xffffffff,
    0x3fff606f,0x3ffe65ff,0xff3004ff,0x7edc7fff,0xf003dfff,0x009fffff,
    0x2cefffa8,0x0fffffe4,0x5fffff88,0x03ffffea,0x5fffff98,0x037ffffc,
    0x27fffff8,0x0ffffffa,0xffff3000,0xffff83ff,0xfffb007f,0x7fffc4ff,
    0xfffd005f,0x7fffe4df,0xffffffff,0xffffffff,0x3ffe606f,0xfffbcfff,
    0xf3001fff,0xfb17ffff,0xdfffffff,0x7fffc401,0x1b8000ff,0x7ffffec0,
    0x3ffffe00,0x1fffff26,0xdfffff10,0x05fffff8,0x4fffffd0,0x05fffffd,
    0x7ffff400,0x3fffe22f,0xfff9006f,0x7fffc4ff,0xfffd004f,0x7fffe4ff,
    0xffffffff,0xffffffff,0x7ffe406f,0xffffffff,0x3fe6003f,0xfffedfff,
    0xffffffff,0xfffff502,0x7c00000b,0x7407ffff,0x3f27ffff,0xff807fff,
    0x3fe67fff,0xfb005fff,0x7ff4ffff,0x40003fff,0x43fffffc,0x006fffff,
    0x44fffff9,0x004fffff,0x64fffffb,0xffffffff,0xffffffff,0x806fffff,
    0xfffffffe,0x4c003fff,0xffffffff,0xffffffff,0xfff706ff,0x000009ff,
    0x03fffffc,0x43fffffa,0x00fffffa,0x9fffffe2,0x05fffff9,0x4fffffb0,
    0x02ffffff,0x7fffdc00,0x7ffff44f,0xffffb006,0x7ffffc4f,0xffffd005,
    0x6fffe80f,0x007fffc8,0xffffffb8,0x98001eff,0xffffffff,0xfffda99b,
    0xffc83fff,0x00003fff,0xdfffff10,0xfffffd80,0x5fffff31,0x7ffffcc0,
    0xfffff10f,0x3fffa00d,0x3ffffe7f,0x7d40001f,0x7ec6ffff,0xfd007fff,
    0x7fc4ffff,0xff006fff,0xff80bfff,0xfffe84ff,0x3ff62006,0x0fffffff,
    0xffff3000,0x3ee03fff,0x6c0fffff,0x002fffff,0xffff1000,0xfffd80df,
    0xffff11ff,0x7ffec0bf,0x3ffe1fff,0xfff007ff,0x3ffe2fff,0x40000fff,
    0x47fffff9,0x01fffffc,0x3fffffcc,0x3ffffff1,0xfffff980,0x3fffe604,
    0x04ffff82,0xffffff50,0x00bfffff,0x3ffffe60,0x7fff403f,0x7fff43ff,
    0x000001ff,0x0dfffff3,0x1fffffd8,0x0ffffff6,0x3fffffee,0x3ffffa2f,
    0x7ffdc02f,0xffff17ff,0xa80001ff,0x5c7fffff,0x405fffff,0x27fffffd,
    0x5ffffff8,0x7ffffec0,0x3fffea03,0x17fffcc1,0x7ffffd40,0xffffffff,
    0x3e600d42,0xa807ffff,0x7c4fffff,0x002fffff,0xffff3000,0xfffd80df,
    0x3ffe21ff,0xfdbbdfff,0x2fffffff,0x1bffffee,0xffffff88,0x3fffffe7,
    0x7fdc0001,0x7fc46fff,0xf702ffff,0x44ffffff,0x3fffffff,0xffffff50,
    0x3fffe401,0x00ffffdc,0x3fffffea,0xffffffbf,0x2f7ffe1f,0x7ffffcc1,
    0xffff8805,0x7ffff45f,0x1000003f,0x80dfffff,0x41fffffd,0xfffffffb,
    0xffffffff,0x3ffe21ff,0x74c0efff,0x27ffffff,0x02fffffe,0x7fffe400,
    0xffffb84f,0xfca89cff,0x27ffffff,0xfffffff8,0xffc98acf,0x7403ffff,
    0xffc86fff,0xfffe807f,0xfff31eff,0xff51dfff,0xff983fff,0xff004fff,
    0xffc8dfff,0x00003fff,0xdfffff10,0xfffffd80,0xfffffb81,0xffdfffff,
    0x7fe40fff,0xfdefffff,0xffffffff,0x3fffff27,0x7fec0003,0xffd03fff,
    0xffffffff,0xffffffff,0x7fffffc4,0xffffffff,0x640fffff,0xffffffff,
    0xffffffff,0x2e6fffff,0x40efffff,0xdffffffa,0x987ffffd,0x003fffff,
    0xb8fffffd,0x004fffff,0xffff1000,0xfffe80df,0xffd300ff,0xf91dffff,
    0xfd10ffff,0xffffffff,0xffffdfff,0x7ffffdcf,0x7ff40005,0xff502fff,
    0xffffffff,0xfffffddf,0x6fffffc4,0xfffffffe,0xfc82ffff,0xffffffff,
    0xffffffff,0x3f66ffff,0xf903ffff,0xffffffff,0xfff309ff,0x3fa009ff,
    0x7fd47fff,0xd0005fff,0x3ffe015b,0x7ff407ff,0x2a200fff,0x3fa2bddb,
    0xfd107fff,0xffffffff,0xfffffb3d,0x7fffffd4,0xfff50001,0x7cc03fff,
    0xffffffff,0x7ffffd8d,0x33ffffe2,0xffffffd8,0xff901eff,0xffffffff,
    0xffffffff,0x7ffcdfff,0x3f600fff,0xffffffff,0xffff981f,0xffff004f,
    0xffff98df,0x7cc000ff,0x7f43dfff,0x7fc07fff,0x80006fff,0x206fffff,
    0xffffffd8,0xffffb0ef,0x7ffffc4f,0xffd0006f,0xb100ffff,0x49dfffff,
    0x227ffffd,0x324fffff,0x0dffffff,0x3fffff20,0xffffffff,0xffffffff,
    0xdfffff16,0xffffe880,0xf305ffff,0x100bffff,0xf0bfffff,0x009fffff,
    0x6fffffc8,0x0fffffec,0x5fffff88,0x7ffc4000,0xdb9805ff,0x3f60abef,
    0x7fe47fff,0x4002ffff,0x3ffffffb,0x40554c00,0x227ffffd,0x884fffff,
    0x995000aa,0x999dffff,0x99ffffd9,0x7ffc7999,0x7cc00fff,0x1fffffff,
    0xffffff30,0xffffa801,0xffffb84f,0xff3000ff,0xfb87ffff,0xf302ffff,
    0x3109ffff,0x7fdc0575,0x00003fff,0x11bffffa,0x7fffffff,0x3ffff200,
    0x800006ff,0x227ffffd,0x004fffff,0x4ffff800,0x805fffe8,0x03fffffe,
    0xffffffd8,0xffff304f,0xffe809ff,0xffd03fff,0x8803dfff,0x0ffffffe,
    0x37ffffcc,0x1fffffd8,0x03fffffc,0x50fffffd,0xff800355,0xffa85fff,
    0x09dfffff,0x7ffff4c4,0x00001fff,0x27ffffd8,0x04fffff8,0x7ffcc000,
    0x4ffff82f,0xfffffc80,0xfffd100e,0x1dffffff,0xffffff98,0xffff703f,
    0x3fe601ff,0x80bfffff,0xfffffffa,0xfffffd04,0xfffff985,0xfffffc86,
    0xfffffb82,0xfffffb83,0x3ffe601e,0xfffb04ff,0xbdffffff,0xfffffffd,
    0x000009ff,0x89fffff6,0x004fffff,0x7fffdc00,0x17fffcc1,0x7ffffc40,
    0xfdb9abff,0xffffffff,0x3e63ffff,0xcfffffff,0xffffc98a,0x7fec03ff,
    0xdfffffff,0xfffffffe,0xfff700ef,0xff959fff,0xf507ffff,0x55bfffff,
    0x1ffffffb,0xffffff30,0x3fffa60b,0xffd102ff,0xffffffff,0xffffffff,
    0x000001bf,0x89fffff6,0x004fffff,0x3fffe400,0x007fffd4,0xffffffb8,
    0xffffffff,0xffffffff,0xfff33fff,0xffffffff,0xdfffffff,0xffffd100,
    0xffffffff,0x03ffffff,0xffffffe8,0x6fffffff,0x3fffffa0,0xffffffff,
    0x3fffe04f,0xfdcdffff,0x05ffffff,0xffffffb8,0xffffffff,0x00003fff,
    0x3ffffec0,0x09fffff1,0xfffe8000,0x07fffc86,0x7ffffec0,0xffffffff,
    0xffffbeff,0x3ffe65ff,0xffffe9ff,0x2fffffff,0x3ffff200,0xffffffff,
    0x9801ffff,0xfffffffe,0x201fffff,0xfffffff9,0x04ffffff,0x7fffffd4,
    0xffffffff,0xd3001fff,0xffffffff,0x01bfffff,0xffb00000,0x7ffc4fff,
    0x400004ff,0xfe84ffff,0xfa8005ff,0xffffffff,0x3a63ffff,0x3e60efff,
    0xfe88ffff,0xefffffff,0xffe98001,0xffffffff,0x22001dff,0xfffffffd,
    0xfa800eff,0xffffffff,0xff9002ff,0xffffffff,0x007fffff,0xffffd970,
    0x0059dfff,0x7fec0000,0x3ffe27ff,0x200004ff,0xf82ffff9,0x10004fff,
    0xffffffd9,0x3f2019df,0x7fffcc1f,0xfffd910f,0x400019ff,0xffffedb8,
    0x0001dfff,0x3fffffb2,0x7e44004f,0x0defffff,0x7ffecc00,0xffffffff,
    0x5300000d,0x00000157,0x4cccc400,0x04ccccc1,0x99930000,0xcccc8819,
    0x75300001,0x014c0035,0x002aa200,0x55cc4000,0x44000009,0x40000aa9,
    0x000aba98,0xedcca980,0x0000abcd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x9abccaa8,
    0x4c400000,0x0c400000,0x22000000,0x00019999,0x80000011,0x33199999,
    0x30003333,0xcc833333,0x200000cc,0xaaccba98,0x4ccc0009,0x00000099,
    0x3333300c,0x3ffae001,0xffffffff,0xfd910003,0x019dffff,0xffecb880,
    0x00001cef,0x3ffffec0,0xfffdca80,0x800002ef,0xff7fffff,0x8001ffff,
    0x6c7fffff,0x80003fff,0xffffffda,0x002dffff,0x00bfffff,0x03f22000,
    0x02fffffc,0x3fffffa6,0xffffffff,0x3fee003f,0xffffffff,0xfff3002f,
    0x9fffffff,0x7ec00000,0xfc807fff,0xffffffff,0x3e00001e,0xfff7ffff,
    0xf8001fff,0x7dc7ffff,0x260005ff,0xfffffffe,0xefffffff,0x7ffffc02,
    0xfb800005,0xffff00ff,0x7ffcc0bf,0xffffffff,0x04ffffff,0xffffffc8,
    0x3fffffff,0x7ffffd40,0xefffffff,0xfd800000,0x3a207fff,0xffffffff,
    0x0000ffff,0x2ffffff0,0x00ffffff,0x3fffffc0,0x001fffe6,0x7fffffdc,
    0xffffffff,0x3e02ffff,0x0005ffff,0x3ffffa60,0xbfffff00,0x3ffffe20,
    0xffffffff,0x02ffffff,0x3fffffe6,0xffffffff,0xffff501f,0xffffffff,
    0x00000bff,0x20fffffb,0xfffffff8,0x6fffffff,0xffff0000,0x3ffffeff,
    0x7ffc000f,0x7ffc47ff,0x7fec000f,0xffffffff,0xffffffff,0xffff02ff,
    0x6c0000bf,0xf00fffff,0x2a0bffff,0xcfffffff,0xffffcbab,0xfd00ffff,
    0xb7bfffff,0x0dffffff,0x3ffffff6,0xffffffdd,0x6c00003f,0xf907ffff,
    0xd9bfffff,0x07ffffff,0xfffff000,0x3fffffef,0x7fffc000,0x2fffe87f,
    0x3fffee00,0xccefffff,0xfffffffe,0xffff81ff,0x3600005f,0xf00fffff,
    0x360bffff,0x403fffff,0x3ffffffc,0xefffff88,0x7ffff440,0x7fffc40f,
    0x7ffe40df,0x400006ff,0x887ffffd,0x41efffff,0x05fffffa,0xfffff800,
    0x1ffffff7,0xfffff800,0x04fffc87,0xffffff30,0x7fdc03bf,0xf85fffff,
    0x0005ffff,0x3fffff60,0xbfffff00,0x1bffffe0,0x7ffffec0,0xfffffa85,
    0xfffff503,0xfffffb85,0xfffff881,0x7ec00007,0xffc87fff,0xffd01fff,
    0x80001fff,0xff7fffff,0x8001ffff,0xa87fffff,0xff006fff,0x007fffff,
    0x3fffffa2,0x7ffffc0f,0x3f600005,0xff00ffff,0xff30bfff,0x2a007fff,
    0xb86fffff,0x100fffff,0xc87fffff,0x3605fffe,0x000fffff,0xfffd804c,
    0x7fffc47f,0x337aa06f,0xff80002b,0xffff7fff,0xff8001ff,0xff887fff,
    0x7fd400ff,0x4002ffff,0x3ffffff8,0x82fffffc,0x774c0098,0xeeffffff,
    0x3ffffe6e,0xfffff985,0x33376007,0xffff984c,0xffff100f,0x00d4c03f,
    0x00fffffb,0xbffffd91,0x3ffffec5,0x0bffffee,0x3e000000,0xfff7ffff,
    0xf8001fff,0xfd07ffff,0xffd805ff,0x90006fff,0xf8379dff,0x3265ffff,
    0x81defffe,0xfffffffa,0x3fe7ffff,0xfff05fff,0x0003bfff,0x3fffff80,
    0x0fffff70,0xffffd000,0xfffe9809,0xfb4fffff,0xffc8ffff,0x00001fff,
    0xfffff800,0x1ffffff7,0xfffff800,0x09fff907,0x7fffffc4,0x00310001,
    0x2abfffff,0xffffffff,0x7fffd42f,0x7fffffff,0x417ffffe,0xfffffffe,
    0xd80001bd,0x440effff,0x005ffffe,0x7ffffe40,0x3fffee02,0xefffffff,
    0x6c7ffffe,0x260fffff,0x000009ba,0x2ffffff0,0x00ffffff,0x3fffffc0,
    0x206fffa8,0x06fffffb,0xfff80000,0xffffceff,0x3fffffff,0x3fffffea,
    0x3e7fffff,0xf505ffff,0xffffffff,0x000159df,0xbfffffd3,0xffffffb7,
    0xeba88003,0x204fffff,0xfffffff8,0xffffffff,0x7fec7fff,0xffff57ff,
    0x00001dff,0xf7fffff8,0x001fffff,0x07fffff8,0x201ffff1,0x05fffffc,
    0xfff80000,0xffffffff,0x7fffffff,0x3ffffba6,0x3e6eeeff,0x3205ffff,
    0xffffffff,0x02efffff,0x7fffec40,0xefffffff,0xfffb8000,0x6c03ffff,
    0xacffffff,0xfffffca9,0x7fff47ff,0xfffffcef,0x0002ffff,0x5fffffe0,
    0x00ffffff,0x3fffffc0,0x205fffd0,0x04fffffd,0xfff80000,0x9acfffff,
    0xffffffda,0xfffffd82,0xbfffff00,0xfffffe80,0xffffffff,0x7e4003ff,
    0xffffffff,0x3ff20005,0x4c02ffff,0x02ffffff,0xfffffff7,0xfffffff8,
    0xffffffff,0xf00003ff,0x3fefffff,0x4000ffff,0x207fffff,0xfd04fffd,
    0x3005ffff,0x33333333,0xfff83333,0xfb02ffff,0xfb09ffff,0x3e01ffff,
    0xb805ffff,0xffffffff,0x4fffffff,0xfffff700,0x19ffffff,0xffffb000,
    0x32019fff,0x404fffff,0x27fffffd,0xfffffff8,0xffffdeff,0x80000fff,
    0xff7fffff,0x8001ffff,0x207fffff,0xff06fffb,0xf005ffff,0xffffffff,
    0x7fc1ffff,0x2204ffff,0xd85fffff,0xf00fffff,0x200bffff,0xfffffec8,
    0xffffffff,0x7ffff405,0xffffffff,0x7f4000ff,0xefffffff,0xfffffe81,
    0x7fffcc00,0x3fffe27f,0x7e41efff,0x0005ffff,0xf7fffff8,0x001fffff,
    0x07fffff8,0x741fffe6,0x802fffff,0xffffffff,0x3e0fffff,0x400fffff,
    0xd86fffff,0xf00fffff,0x000bffff,0xfffffd93,0x0bffffff,0x37fffff6,
    0xffffda9b,0x46a000ef,0xffffffea,0x37ffffc0,0x7fffff80,0x3fffffe2,
    0xffffb00f,0xff80003f,0xffff7fff,0xff8001ff,0x7fc07fff,0xfffe81ff,
    0xfff803ff,0xffffffff,0x3fffe0ff,0xffff807f,0xffffd86f,0xfffff00f,
    0xca88000b,0xffffffff,0x7fffcc1f,0xffff704f,0xfa80009f,0x7fc5ffff,
    0xfd005fff,0xfff8ffff,0x3e604fff,0x0002ffff,0xfbfffffc,0x000fffff,
    0x03fffffc,0x360ffff6,0x804fffff,0xffffffff,0x3e0fffff,0xf806ffff,
    0xfd86ffff,0xff00ffff,0x0000bfff,0xfffffea8,0x7fffdc4f,0x3fff600f,
    0x6c0000ff,0xf30fffff,0x2009ffff,0x747ffffd,0x402fffff,0x004fffff,
    0xbfffffc0,0x00fffffe,0x3ffffe20,0x2fffdc07,0x2fffffe4,0x7fffffc0,
    0x0fffffff,0x01bffffe,0x21bffffa,0x00fffffd,0x40bfffff,0x6c001998,
    0x6c6fffff,0x5406ffff,0x001fffff,0x7ffffdc0,0xbfffff32,0x3ffff600,
    0x7ffffec7,0x7ffff401,0x3fe20005,0xfffd7fff,0x7c4001ff,0x4c07ffff,
    0xffa87fff,0x40007fff,0x20ffffff,0x805fffff,0xd86ffffe,0xf00fffff,
    0xe98bffff,0x4005ffff,0x46fffffa,0x403fffff,0x02fffff9,0x7fffd400,
    0xfffff13f,0x3fffa00b,0x7fffec7f,0x7ffec02f,0xdb97516f,0x7fffc407,
    0xfffffd6f,0x7ffcc003,0xfff806ff,0xfffff81f,0x3fe0003f,0x3fe0ffff,
    0xfe805fff,0xffd86fff,0xfff00fff,0xfff88bff,0x7c4007ff,0x3e67ffff,
    0x4c03ffff,0x223fffff,0x5c01cba9,0x3e3fffff,0xf006ffff,0xfc8fffff,
    0x7403ffff,0xff15ffff,0x7cc09fff,0xffb6ffff,0x54007fff,0x805fffff,
    0xfd83fffd,0x000fffff,0x1ffffff0,0x02fffffc,0x437ffff4,0x00fffffd,
    0xd0bfffff,0x007fffff,0x37ffffd4,0x09fffff1,0x1fffffa8,0x0bfffff3,
    0x1fffffc8,0x03fffff6,0xffffff30,0x4fffffa8,0x1fffffc0,0x40bfffff,
    0x75fffffa,0x01ffffff,0x3fffffa0,0x5fffb804,0xffffffa8,0xffff0004,
    0x7fffc1ff,0xfffe805f,0xffffd86f,0xfffff00f,0xfffff90b,0xffd1003f,
    0xffe89fff,0x3f600fff,0x3fe0ffff,0xf100ffff,0x641fffff,0x403fffff,
    0x87fffffd,0x00fffffe,0x45fffff5,0x00fffffe,0x29fffffb,0x5ffffffa,
    0xfffffa80,0xfff9803f,0xfffffb07,0x3aa001bf,0x20ffffff,0x805fffff,
    0xc86ffffe,0xf00fffff,0xf30bffff,0x07ffffff,0x7fffff54,0x7fffe41f,
    0xffff504f,0xffffd8df,0xfffd80cf,0x7ffcc6ff,0xff702fff,0xf70fffff,
    0x981dffff,0x20fffffe,0x0efffffd,0x7fffffd4,0x3fffffa2,0xfff700cf,
    0x7c00ffff,0xff881fff,0x0affffff,0xffffea98,0x3fe0ffff,0xfe805fff,
    0xffc86fff,0x25baefff,0x905fffff,0xffffffff,0xfffdd99d,0xf50dffff,
    0x35bfffff,0xffffff93,0xfffffa87,0xffebacff,0xfd81ffff,0x8acfffff,
    0xffffffc9,0xfffff07f,0xfffb57df,0xffa89fff,0xedefffff,0x46ffffff,
    0xfffffffa,0xfffedeef,0x003fffff,0x5c0ffffa,0xffffffff,0xffffedff,
    0xffffffff,0x17ffffe0,0x1bffffa0,0x3fffffee,0xffff0fff,0x7fff40bf,
    0xffffffff,0xffffffff,0xfffff901,0xffffffff,0x3ff20bff,0xffffffff,
    0x103fffff,0xffffffff,0xffffffff,0x3fee0fff,0xffffffff,0xfb06ffff,
    0xffffffff,0x05ffffff,0xfffffffd,0xffffffff,0x4001ffff,0x2e05fffc,
    0xffffffff,0xffffffff,0x42ffffff,0x805fffff,0x886ffffe,0xffffffff,
    0xbfffff1f,0x7ffffc40,0xffffffff,0x402fffff,0xfffffffd,0x0fffffff,
    0x3fffffa0,0xffffffff,0x7fffdc05,0xdfffffff,0x207ffffa,0xfffffffc,
    0x01ffffff,0xfffffff1,0x9fffffff,0x3ffff620,0xffffffff,0x001effff,
    0x2037ffd4,0xfffffffa,0xffffffff,0xf80dffff,0xe805ffff,0xfb06ffff,
    0x5fffffff,0x017ffffe,0xffffff91,0xffffffff,0xff91003d,0xffffffff,
    0xfc8801bf,0xffffffff,0xff5003ff,0xbfffffff,0x01ffffea,0xfffffff5,
    0x9803dfff,0xfffffffe,0xb804ffff,0xffffffff,0x0dffffff,0xffff8800,
    0x7ffec400,0xffffffff,0x201dffff,0x805fffff,0x206ffffe,0xeffffffb,
    0x0bfffff1,0x3ffff220,0x2dffffff,0xfffd9800,0x002fffff,0x7ffffecc,
    0x44000dff,0x3efffffd,0x01ffffea,0x3fffff66,0x7dc003ff,0xcfffffff,
    0x3ff66001,0xffffffff,0x7f40002d,0xd71002ff,0xffffffff,0xff0017bf,
    0xfd00bfff,0x5300dfff,0xfffff035,0x7531000b,0x00003557,0x004d5d4c,
    0x055d4c00,0x0aa98000,0x75100000,0x98800013,0x00009aaa,0x555d554c,
    0x95000009,0x31000599,0x00355755,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb9800000,0x33100abc,0x33333333,0x33333333,0x99998333,0x22000199,
    0x4c199999,0x00199999,0x19999998,0x02666662,0x4ccccc40,0x33310009,
    0x4cccc133,0x22000099,0x4c199999,0x00009999,0x99999998,0x99999999,
    0x99999999,0x33333310,0x00333333,0xfffb0000,0xd81fffff,0xffffffff,
    0xffffffff,0x321fffff,0x02ffffff,0xfffff980,0x7fffe45f,0x3ea003ff,
    0x365fffff,0x003fffff,0xbffffffb,0x3ffff200,0x3ffffa3f,0x3f20005f,
    0x3e26ffff,0x0004ffff,0x7fffffc4,0xffffffff,0xffffffff,0xfffffd6f,
    0xffffffff,0x0059dfff,0xfffffb00,0xffb0ffff,0xffffffff,0xffffffff,
    0x7fc43fff,0x000fffff,0x7ffffff4,0x7ffffc40,0xffd000ff,0x7dc1ffff,
    0xf005ffff,0x0fffffff,0x3fffffa0,0x3ffffee1,0xfff0000f,0x7fc47fff,
    0x40004fff,0xfffffff8,0xffffffff,0xffffffff,0xffffffd6,0xffffffff,
    0x05dfffff,0x3ffff200,0xd85fffff,0xffffffff,0xffffffff,0x541fffff,
    0x04ffffff,0x3ffffea0,0xffff503f,0xff900bff,0xf985ffff,0x9807ffff,
    0xffffffff,0xfffff801,0x7ffffc47,0xff98003f,0x3e20ffff,0x0004ffff,
    0x7fffffc4,0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,0xffffffff,
    0xffff0007,0x09fddfff,0xfffffffb,0xffffffff,0x03ffffff,0x3ffffffb,
    0xfffff100,0xfffd80df,0x3e602fff,0xf05fffff,0x801fffff,0xfffffffb,
    0x7ffcc03f,0xfffd85ff,0xfc8006ff,0x7c45ffff,0x0004ffff,0x7fffffc4,
    0xffffffff,0xffffffff,0xfffffd6f,0xffffffff,0xffffffff,0x7fc4003f,
    0x4041ffff,0xfffffffd,0xffffffff,0x81ffffff,0x5ffffff8,0xfffffc80,
    0x7ffc401f,0x3f606fff,0xb00fffff,0x805fffff,0xfffffffe,0x7ffdc05f,
    0xfffa84ff,0x7c000fff,0x442fffff,0x004fffff,0x7ffffc40,0xffffffff,
    0xffffffff,0xffffd6ff,0xffffffff,0xffffffff,0x7cc00bff,0x0005ffff,
    0x3fffe200,0x3ee04fff,0x202fffff,0x4ffffff8,0xfffff500,0xffff507f,
    0x7fdc07ff,0x3e204fff,0xffffffff,0x7fffec07,0xfffff02f,0x7fcc007f,
    0xff887fff,0x00004fff,0xfffff880,0x3fffa006,0xfd8800ff,0x01ffffff,
    0x7fffff30,0x3a200000,0x05ffffff,0x6fffffe8,0x3fffff60,0x7ffec006,
    0x3fe20fff,0x4c06ffff,0x205fffff,0xfffffffa,0x3fa01fff,0xf900ffff,
    0x400dffff,0x84fffffc,0x04fffff8,0xff880000,0x3a006fff,0x000fffff,
    0x3fffffea,0xffff3003,0x2000007f,0xeffffffd,0xffff9800,0xfffa84ff,
    0x44001fff,0x25ffffff,0x1ffffffc,0x7ffffc40,0x3ffff207,0x03ffffff,
    0x0dfffff1,0x7fffffcc,0xffffd000,0xffff103f,0x0000009f,0x0dfffff1,
    0x7fffff40,0x7fffc000,0x3baa04ff,0xeefffffe,0xc80004ee,0x0fffffff,
    0x3ffff200,0x7fff40ff,0xf70004ff,0xf35fffff,0x009fffff,0x07fffffa,
    0x767ffff4,0xf505ffff,0xf809ffff,0x803fffff,0x07fffff9,0x09fffff1,
    0x3bbbbb62,0x3fe2000d,0x3a006fff,0x000fffff,0x27ffffe4,0xffffff70,
    0x0bffffff,0xffffa800,0x44002fff,0x25ffffff,0x0ffffffb,0x3fffa000,
    0xffffefff,0x3ff2006f,0xff882fff,0xfffcafff,0xffff907f,0xfffc805f,
    0xffc806ff,0xff104fff,0x3f609fff,0x001fffff,0x37ffffc4,0xfffffd00,
    0xfffd8001,0x3fee03ff,0xffffffff,0x260005ff,0x3fffffff,0xffff5000,
    0xffff15ff,0x980005ff,0xffffffff,0x2001ffff,0x84fffffa,0x98fffffa,
    0xd81fffff,0x400fffff,0x1ffffff9,0x7fffff40,0xfffff101,0xfffffb09,
    0xff10003f,0x7400dfff,0x000fffff,0x17fffffc,0xffffff70,0x0bffffff,
    0x3fffa200,0x40005fff,0xdefffffd,0x005fffff,0xfffff700,0x009fffff,
    0x6fffff88,0x26ffffc8,0xf83fffff,0xd006ffff,0x407fffff,0x06fffff9,
    0x13ffffe2,0x5ffffff9,0x3ffe2000,0x3fa006ff,0x1000ffff,0x1ffffffb,
    0x7ff77540,0x4eeeefff,0xffffb000,0x10000dff,0xffffffff,0x0001ffff,
    0x7fffff40,0x8000ffff,0x40fffffe,0x364ffffe,0x7cc5ffff,0x7004ffff,
    0x40dfffff,0x03fffffc,0x93ffffe2,0x2ffffffb,0x3ffe2000,0x3fa006ff,
    0xaaabffff,0xffcbaaaa,0x004fffff,0x0fffffe6,0x3fff2000,0x0000ffff,
    0xffffff70,0x0007ffff,0xfffff980,0x90002fff,0x443fffff,0x2e2fffff,
    0x7dc7ffff,0x1002ffff,0x03ffffff,0x03fffffa,0x4fffff88,0x7ffffff5,
    0xfff88000,0x3fa006ff,0xffffffff,0xffffffff,0x000fffff,0x0fffffe6,
    0xffff5000,0x00003fff,0xffffffe8,0x000006ff,0xdffffffd,0x7ffd4000,
    0x3ffee3ff,0x7fffcc7f,0x3ffff21f,0x3ffa000f,0xff984fff,0x7c406fff,
    0xff9cffff,0x0004ffff,0x6fffff88,0x3ffffa00,0xffffffff,0xffffffff,
    0x7fcc000d,0x20003fff,0xfffffff9,0xf9800003,0x1fffffff,0xffb80000,
    0x02ffffff,0xfffff300,0x2ffffecb,0xd1fffffc,0x800fffff,0x86fffffb,
    0x03fffffb,0x6fffffc4,0x04ffffff,0xffff1000,0x7ff400df,0xffffffff,
    0xffffffff,0xff30003f,0x20007fff,0xffffffe8,0x32000004,0x04ffffff,
    0xfff88000,0x0fffffff,0xfffff000,0x1fffffcf,0x8affffec,0x005fffff,
    0x7fffffc4,0x7fffff41,0x7fffc400,0xffffffff,0xff100001,0x7400dfff,
    0xffffffff,0xffffffff,0x7cc0001b,0x0003ffff,0xdffffffb,0xf8800000,
    0x000fffff,0xffffe800,0x05ffffff,0xfffffb00,0x3fffff31,0x2fffff70,
    0x03fffffa,0xfffffd80,0x3ffffe64,0xffff8805,0xffffffff,0xff100005,
    0x7400dfff,0xcabfffff,0xffffffec,0xff980005,0xc8003fff,0x0effffff,
    0xff800000,0x00007fff,0xffffffb8,0x02ffffff,0xfffffb80,0x07ffffba,
    0x73fffff3,0x003fffff,0xffffff50,0x17ffffdc,0x7ffffc40,0xffffffff,
    0xff880002,0x3a006fff,0xb80fffff,0x1effffff,0x3ffe6000,0x7d4003ff,
    0x01ffffff,0xfff00000,0x80000fff,0xfffffff8,0x0fffffff,0x7fffcc00,
    0x5ffffdcf,0x2fffffe0,0x007ffffd,0x3fffffe0,0x0fffffd1,0x3ffffe20,
    0xffffffff,0xff880006,0x3a006fff,0x500fffff,0x3fffffff,0x3ffe6000,
    0x3e6003ff,0x02ffffff,0x3fe00000,0x00007fff,0x7fffffec,0xffffffaa,
    0xffff8005,0x3fffffef,0x37ffff20,0x005fffff,0x3fffff20,0x4fffff8c,
    0xfffff100,0xffff9dff,0xf880007f,0x2006ffff,0x00fffffe,0x3ffffff2,
    0xff98000e,0xf1003fff,0x09ffffff,0xff800000,0x00007fff,0x3fffffea,
    0x3fffff65,0x7fec002f,0xffffffff,0x3fffea01,0x03ffffff,0x3fffea00,
    0xfffffbff,0xffff1002,0xfff11dff,0x40001fff,0x06fffff8,0x3fffffa0,
    0x7ffff400,0xf98005ff,0xd003ffff,0x0bffffff,0xff000000,0x0000ffff,
    0x3fffffe2,0x3fffe20f,0x2e000fff,0xffffffff,0x7ffc407f,0x1fffffff,
    0x7fffc000,0x7fffffff,0x3fffe200,0x3ffee0ff,0x220004ff,0x006fffff,
    0x03fffffa,0xffffff10,0xff98005f,0xfc803fff,0x00efffff,0xff800000,
    0x00007fff,0x7ffffffb,0xffffff70,0x7ffd4009,0x05ffffff,0xffffffe8,
    0xc80007ff,0xffffffff,0x3e2004ff,0xfe84ffff,0x0001ffff,0x0dfffff1,
    0x7fffff40,0xffffb800,0x26000fff,0x403fffff,0xfffffffa,0x00000001,
    0x00ffffff,0xfffff500,0x7fff40df,0xf1002fff,0xffffffff,0xffff9005,
    0x000bffff,0xffffff30,0x4003ffff,0x84fffff8,0x05fffffa,0xfffff100,
    0x7fff400d,0xffb000ff,0x400bffff,0x03fffff9,0x7fffffdc,0xffffffff,
    0xffffffff,0xfff0006f,0x88000fff,0x1fffffff,0x3ffffe60,0xffd000ff,
    0x01ffffff,0xffffff50,0x200007ff,0xfffffffe,0x7fc4006f,0xffb04fff,
    0x10005fff,0x00dfffff,0x07fffff4,0xfffff880,0xff3002ff,0xfb807fff,
    0xffffffff,0xffffffff,0x06ffffff,0xffffff00,0xfffd8000,0xfc804fff,
    0x004fffff,0xfffffff9,0x3ffe200d,0x001fffff,0xfffff700,0x88007fff,
    0x304fffff,0x00dfffff,0xdfffff10,0x7ffff400,0x3fee000f,0x3006ffff,
    0x807fffff,0xfffffffb,0xffffffff,0xffffffff,0xffff0006,0x7d4000ff,
    0x006fffff,0x3ffffffa,0xffffa802,0x3a004fff,0x07ffffff,0x3ffe2000,
    0x000fffff,0x27ffffc4,0x7fffff90,0xffff8800,0x3ffa006f,0x6c000fff,
    0x04ffffff,0x3fffff98,0x7ffffdc0,0xffffffff,0xffffffff,0xff0006ff,
    0x2000ffff,0xfffffff8,0x3ffe6001,0x4400ffff,0x2fffffff,0x3fffee00,
    0x400006ff,0x6ffffffe,0xffff8800,0x3ffe204f,0x22000fff,0x006fffff,
    0x03fffffa,0xfffff100,0xff9803ff,0x7dc03fff,0xffffffff,0xffffffff,
    0x06ffffff,0xffffff00,0x3fff2000,0xc8004fff,0x04ffffff,0xffffffe8,
    0x3ffe6000,0x00004fff,0x7fffffdc,0xfff88003,0x7fdc04ff,0x22005fff,
    0x006fffff,0x03fffffa,0x3fffee00,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,
    0x33333319,0x00013333,0x21999998,0x00199998,0x41999988,0x99999999,
    0x4cccc001,0x26219999,0x99999999,0x99999999,0x33331099,0x33310003,
    0x75c13333,0x5003eeee,0x007ddddd,0x9884cccc,0x98001999,0x80019999,
    0x77740009,0xddddb4ee,0x7ffffc4b,0xfffffff7,0xffffffff,0xff9807bd,
    0x3ffa7fff,0x64002fff,0x7fc7ffff,0x1fffffff,0xfffff300,0x7ff4ffff,
    0xffffffff,0xffffffff,0xfffffd5f,0x7ff44003,0x260fffff,0x006fffff,
    0x03fffffb,0x53fffee0,0x00fffffe,0x7fffffc0,0x7fff5c00,0x7c00ceff,
    0xffd5ffff,0x7ffc4dff,0xfffff7ff,0xffffffff,0x07ffffff,0x9fffffe6,
    0x0ffffffe,0x3ffff200,0x7fffffc7,0xf7003fff,0xffffffff,0x7ffffff4,
    0xffffffff,0xfd5fffff,0x2003ffff,0xffffffe8,0xffffe81f,0xffff801f,
    0xfff1006f,0x3fffa9ff,0x7fc000ff,0xf700ffff,0xffffffff,0x7ffc09ff,
    0xffffd5ff,0x7ffffc4d,0xfffffff7,0xffffffff,0x307fffff,0x74ffffff,
    0x04ffffff,0x1fffff20,0xffffffff,0x3ff600bf,0x27ffffff,0xfffffffe,
    0xffffffff,0xffd5ffff,0xd1003fff,0x3fffffff,0x3ffffee0,0x7fffd403,
    0xfffb003f,0x3fffa9ff,0x7fc000ff,0xfc80ffff,0xffffffff,0xf80effff,
    0xffd5ffff,0x7ffc4dff,0xfffff7ff,0xffffffff,0xffffffff,0xfffff987,
    0x3fffffa7,0xff9001ff,0xffff8fff,0x007fffff,0xffffffff,0x7ffff4ff,
    0xffffffff,0x5fffffff,0x03fffffd,0xffffffb0,0x7ffc403f,0x7fe406ff,
    0xfc800fff,0xfd4fffff,0x8001ffff,0x40ffffff,0xfffffffa,0xffffffff,
    0x5fffff85,0x44dffffd,0xff7fffff,0xffffffff,0xffffffff,0xff98ffff,
    0x3ffa7fff,0x006fffff,0xf8fffff9,0xffffffff,0x7ffcc01f,0x27ffffff,
    0xfffffffe,0xffffffff,0xffd5ffff,0xfd803fff,0x01ffffff,0x1fffffd8,
    0x17ffffe0,0x3fffff20,0xffffd4ff,0xfff8001f,0x3fe20fff,0xecffffff,
    0x2fffffff,0xeafffffc,0x3e26ffff,0xfff7ffff,0x26201fff,0xfffffffd,
    0x3ffffe63,0x3fffffa7,0xfc803fff,0x7ffc7fff,0x4fffffff,0x7ffffdc0,
    0x3fa7ffff,0x0000ffff,0x0ffffff4,0xffffff90,0x3fea003f,0xff503fff,
    0x7d405fff,0xffffffff,0x1fffffd4,0xfffff800,0x3fffee0f,0x7fecc2ef,
    0x00005fff,0x5fffffe2,0x00ffffff,0xffffff98,0x3ffffe65,0x3fffffa7,
    0x6400ffff,0x7fc7ffff,0xffffffff,0x7fffec06,0x3a7fffff,0x000fffff,
    0x7fffff40,0xfffff901,0xff8005ff,0xff906fff,0xfd301fff,0xffffffff,
    0x3ffffa9f,0x7ffc000f,0x3ff60fff,0xff301fff,0x0000ffff,0xbfffffc4,
    0x00ffffff,0xdfffffb0,0x3fffffc4,0xfffffffd,0xffc80bff,0x7fffc7ff,
    0x0fffffdf,0x37ffffe0,0x3fa7ffff,0x0000ffff,0x0ffffff4,0x7fffffdc,
    0xffc8002f,0xfff80fff,0xfffb84ff,0xffffffff,0xfffffd4f,0xffff8001,
    0x3fffe0ff,0x7fff405f,0x100000ff,0x3effffff,0x000fffff,0x8ffffff5,
    0x3a6fffff,0xffffffff,0x3ff201ff,0x7fffc7ff,0x2ffffecf,0x9dffff30,
    0x7f4fffff,0x0000ffff,0x0ffffff4,0x3fffffea,0xff30002f,0xff987fff,
    0xffc81fff,0xfffcffff,0xffffd4ff,0xfff8001f,0xfdd10fff,0xffc809ff,
    0x00001fff,0x2ffffff1,0x00ffffff,0xffffff30,0x25fffff8,0xfffffffe,
    0x3f206fff,0x7ffc7fff,0xffffccff,0x9ffff704,0x74fffff9,0x000fffff,
    0x7fffff40,0x3ffffea1,0x740002ff,0x7e46ffff,0xff907fff,0xfff33dff,
    0x3fffa9ff,0x7fc000ff,0x2600ffff,0x7ffff400,0x3e200007,0xfff7ffff,
    0x2e001fff,0x746fffff,0x3fa5ffff,0xffffefff,0xfff903ff,0xfffff8ff,
    0x06ffffac,0xf95ffffd,0x7ff4ffff,0x40000fff,0x31fffffe,0x7fffffff,
    0xfff70000,0x7fffc1ff,0xbfff904f,0x3ffffe61,0x1fffffd4,0xfffff800,
    0x3e20000f,0x0006ffff,0x3ffffe20,0x1ffffff7,0x3ffffa00,0x7fffec4f,
    0x37ffffa4,0x0ffffffb,0x47ffffc8,0xf8cfffff,0x7c40ffff,0xffc8ffff,
    0x3fffa7ff,0x740000ff,0xf99fffff,0x04ffffff,0xffff1000,0x3fffe67f,
    0x839f901f,0xd4fffff9,0x335fffff,0x33333333,0x1ffffff3,0x7ffdc000,
    0x200004ff,0xf7fffff8,0x801fffff,0xffffffe8,0x1ffffe42,0x3abffffd,
    0xc85fffff,0x7fc7ffff,0xfffd4fff,0xffffa85f,0x4fffff96,0xeefffffe,
    0xeeeeeeee,0x7fff44ee,0xfffffaff,0x00006fff,0x65bffff6,0x2a06ffff,
    0xfffff300,0x3fffffa9,0xffffffff,0xffffffff,0xf10000ff,0x003fffff,
    0x7fffc400,0xffffff7f,0xd9995557,0xffffffff,0x2ffffc81,0x4d7ffffa,
    0x42ffffff,0x7c7ffffc,0xff94ffff,0xfffc89ff,0xfffff94f,0x7ffffff4,
    0xffffffff,0x7ff45fff,0xffffffff,0x004fffff,0xfffff500,0x07fffff3,
    0x3fffe600,0xfffffd4f,0xffffffff,0xffffffff,0xd10001ff,0x009fffff,
    0xffff8800,0xffffff7f,0xffffffff,0x7fffffff,0x45ffff70,0x365ffffe,
    0x646fffff,0x7fc7ffff,0xfff54fff,0xffffe8ff,0x4fffff92,0xfffffffe,
    0xffffffff,0x7fff45ff,0xffffffff,0x001fffff,0xbfffff00,0x001fffff,
    0x3ffffe60,0xffffffd4,0xffffffff,0xffffffff,0xfe88001f,0x000fffff,
    0x7fffc400,0xffffff7f,0xffffffff,0x09ffffff,0xe87fffea,0x3e25ffff,
    0x324fffff,0x7fc7ffff,0xfff14fff,0x3ffe23ff,0xffff90ff,0x7fffff4f,
    0xffffffff,0x7f45ffff,0xffffffff,0x6fffffff,0xfff90000,0x0bffffff,
    0x7fffcc00,0xfffffd4f,0xffffffff,0xffffffff,0x744001ff,0x03ffffff,
    0x369ddddd,0x3e25eeee,0xfff7ffff,0xffffffff,0xffffffff,0x7fffcc0b,
    0x17ffffa0,0x3ffffff7,0xf1fffff2,0x7f49ffff,0xfff53fff,0x7fffe4df,
    0x3fffffa7,0xffffffff,0x7f45ffff,0xffffffff,0xffffffbb,0xff980003,
    0x2fffffff,0x3ffe6000,0xffffd4ff,0xdddddddf,0xfffddddd,0x22001fff,
    0x4ffffffe,0x57ffffe0,0x226ffffe,0xff7fffff,0xffffffff,0xbfffffff,
    0x7fff8803,0x42fffff4,0x95fffffe,0xff8fffff,0x3ff24fff,0xffff95ff,
    0x3ffffe49,0x35fffffd,0x33333333,0xfffe8133,0x3a4fffff,0x00ffffff,
    0xffffe800,0x40007fff,0xd4fffff9,0x001fffff,0x0ffffff8,0xffffe880,
    0x7ffc05ff,0xffffd5ff,0x7ffffc4d,0x9ffffff7,0x59999999,0x3fe20015,
    0x7ffff47f,0xfffff985,0x7ffffcaf,0x527ffffc,0x3fafffff,0x3ff22fff,
    0x3fffa7ff,0x740000ff,0x4fffffff,0x7fffffd4,0xffb80006,0x004fffff,
    0x7ffffcc0,0x1fffffd4,0xfffff800,0x7ff4400f,0xf805ffff,0xffd5ffff,
    0x7ffc4dff,0xfffff7ff,0xf000001f,0xfffe8dff,0xffff905f,0xfffffbff,
    0x24fffff8,0xfafffff8,0x3f20ffff,0x3ffa7fff,0x40000fff,0x4ffffffe,
    0xffffffb0,0xff880007,0x001fffff,0x7ffffcc0,0x1fffffd4,0xfffff800,
    0x3ffa200f,0xf004ffff,0x3fabffff,0x3fe26fff,0xffff7fff,0x000001ff,
    0xffe8bffd,0xfff105ff,0xffffffff,0x4fffff8f,0x7f7ffff4,0x7fe46fff,
    0x3fffa7ff,0x740000ff,0x204fffff,0xfffffff8,0x7fec0000,0x80006fff,
    0xd4fffff9,0x001fffff,0x0ffffff8,0xfffffd10,0x7ffc009f,0xffffd4ff,
    0x7ffffc4d,0x1ffffff7,0xffb00000,0x5ffffe89,0x3ffffea0,0x7c7fffff,
    0x7e44ffff,0xffffffff,0x3ffffe44,0x01fffffd,0xffffe800,0x7ffe401f,
    0x40005fff,0x03fffffc,0xffff9800,0xfffffd4f,0xffff8001,0xfffd00ff,
    0x20007fff,0xf1003ffa,0x3fefffff,0x0000ffff,0x74099880,0x6c05ffff,
    0xffffffff,0x7ffffc7f,0x7ffffd44,0x7e42ffff,0x3ffa7fff,0x40000fff,
    0x01fffffe,0x7fffffc4,0xff10002f,0x0001ffff,0x9fffff30,0x03fffffa,
    0xffffff00,0xfffff901,0x7e40007f,0x9ddddb2f,0xbfffffc4,0x00ffffff,
    0x7f400000,0x7c405fff,0xffffffff,0x27ffffc7,0x3fffffe2,0x7fe40fff,
    0x3fffa7ff,0x740000ff,0x801fffff,0xfffffffa,0xfffc8000,0x300006ff,
    0x3a9fffff,0x000fffff,0x07fffffc,0x3fffffea,0x7ffc0004,0x4bfffff0,
    0xf7fffff8,0x001fffff,0xeeeed800,0x17ffffa4,0x3ffffee0,0x7ffc7fff,
    0xfffe84ff,0xfc86ffff,0x3ffa7fff,0x40000fff,0x01fffffe,0xffffffd0,
    0xfffb800b,0x00002fff,0x29fffff3,0x00fffffe,0x7fffffc0,0x3ffffe20,
    0xaaaaabff,0x2a0aaaaa,0x3ffe3ffe,0x3ffe25ff,0xfffff7ff,0xf800001f,
    0x3fa5ffff,0xfd005fff,0x8fffffff,0xc84fffff,0x4fffffff,0x27ffffc8,
    0x00fffffe,0x7ffff400,0xfff3001f,0x2605ffff,0xfffffeef,0x200006ff,
    0xd4fffff9,0x001fffff,0x0ffffff8,0x3fffffea,0xffffffff,0xff51ffff,
    0xfffff8df,0x3ffffe25,0x1ffffff7,0xfff80000,0x3fffa5ff,0xfff3005f,
    0xff8fffff,0xffa84fff,0xc82fffff,0x3fa7ffff,0x0000ffff,0x0ffffff4,
    0xfffff900,0xfff101ff,0x5fffffff,0x7fcc0000,0xfffd4fff,0xff8001ff,
    0x3f60ffff,0xffffffff,0xffffffff,0xf033fa1f,0x7c4bffff,0xfff7ffff,
    0x00001fff,0x25fffff8,0x005ffffe,0x3ffffff6,0x27ffffc7,0x7fffffc4,
    0xffffc80f,0x3fffffa7,0x7ff40000,0x22001fff,0x4fffffff,0xfffffff0,
    0x800009ff,0xd4fffff9,0x001fffff,0x0ffffff8,0xfffffff1,0xffffffff,
    0x0d43ffff,0x25fffff8,0xf7fffff8,0x001fffff,0xfffff800,0x17ffffa5,
    0xfffff880,0x7ffffc7f,0xfffffd04,0x3ffff20d,0x3fffffa7,0x7ff40000,
    0x5c001fff,0x1fffffff,0xffffffe8,0x9800003f,0xfd4fffff,0x8001ffff,
    0x70ffffff,0xffffffff,0xffffffff,0x00003fff,0x5fffffe2,0x00ffffff,
    0x7fffc000,0x3ffffa5f,0x7ffdc005,0x7fffc7ff,0xffff904f,0x3fff209f,
    0x3ffffa7f,0x7f40000f,0x8001ffff,0x6ffffffe,0xbcdeecb8,0xf3000000,
    0x3fa9ffff,0x4000ffff,0xb0ffffff,0xffffffff,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666000,0x33333300,0x33333333,0x33333333,
    0x26666661,0x00099999,0x77775400,0xeeeeeeee,0xa98004ee,0x2662001a,
    0x99999999,0x00000009,0x00666666,0xeeeeec80,0xee880001,0xeeeeeeee,
    0xeeeeeeee,0x0000022e,0x3f200000,0xfff05fff,0xffffffff,0xffffffff,
    0x3ffe5fff,0xffffffff,0x01ceffff,0xfffffb00,0xffffffff,0xfd9100bf,
    0x1bdfffff,0x7fffff40,0xffffffff,0x0002deff,0x7ffffdc0,0xffb0002f,
    0x00003fff,0xfffffff3,0xffffffff,0x67c7ffff,0x00000000,0xfffff500,
    0x3ffffe0b,0xffffffff,0xffffffff,0xffffff2f,0xffffffff,0x005dffff,
    0xffffffe8,0xffffffff,0x7fffdc05,0xffffffff,0xffffe80c,0xffffffff,
    0x3fffffff,0xfffd0000,0x2000dfff,0x01fffffd,0xffff9800,0xffffffff,
    0x3fffffff,0x00077ffe,0xf8800000,0xf05fffff,0xffffffff,0xffffffff,
    0x3e5fffff,0xffffffff,0xffffffff,0xf1003fff,0xffffffff,0x0bffffff,
    0x3fffffa2,0xffffffff,0x7fff40ff,0xffffffff,0xffffffff,0x7cc0004f,
    0x1fffffff,0xffffd800,0xf980001f,0xffffffff,0xffffffff,0x3fffe3ff,
    0x000003ef,0xffffd800,0xffff05ff,0xffffffff,0xffffffff,0x3fffe5ff,
    0xffffffff,0xffffffff,0xfff9804f,0xffffffff,0xfb05ffff,0xffffffff,
    0xdfffffff,0xffffffe8,0xffffffff,0x3fffffff,0x3fff2000,0x004fffff,
    0x1fffffd8,0xfff98000,0xffffffff,0xffffffff,0x3fffffe2,0x00000cff,
    0xffffa800,0xfff05fff,0xffffffff,0xffffffff,0x3ffe5fff,0xffffffff,
    0xffffffff,0x7dc00fff,0xccccffff,0x83cccccc,0xcffffffb,0xffff5309,
    0x7fff49ff,0xffeeeeff,0xffffffff,0xf10007ff,0xffffffff,0xfffb000f,
    0x100003ff,0x99999999,0xfff99999,0xffff89ff,0x1dffffff,0xf1000000,
    0xbfffffff,0x3fffffe0,0xfff00000,0x26201fff,0xfffffffc,0x7fffe405,
    0x3fe20005,0x2202ffff,0xd0fffffe,0x001fffff,0xffffffb3,0xfff70003,
    0x5fffffff,0xffffd800,0x0000001f,0x0dffff90,0xfffffffb,0x005dffff,
    0xfffd8000,0xf05fffff,0x001fffff,0x3ffffe00,0xffc8800f,0x3a02ffff,
    0x0004ffff,0x0fffffea,0x3ffffe60,0x1fffffd2,0x7fffec00,0xffe8004f,
    0xffffffff,0x7ffec006,0x000001ff,0xfffffa80,0xfffd7100,0xffffffff,
    0xa8000017,0xffffffff,0xfffff05f,0x3e00001f,0x000fffff,0x1bfffffa,
    0x02fffff8,0x3ffff200,0x3fffe007,0xfffffd4f,0x7ffd4001,0x7cc005ff,
    0xffecffff,0x36001fff,0x001fffff,0x7f440000,0x93002fff,0xffffffff,
    0x00039fff,0xffffff10,0x3e0bffff,0x000fffff,0xffffff00,0x7ffcc001,
    0xff882fff,0x20001fff,0x004fecc9,0x757ffffe,0x000fffff,0x0fffffe2,
    0xfffff900,0x9fffff73,0x7fffec00,0x0000001f,0x02ffffe4,0x7fff5c40,
    0xefffffff,0x3ff60001,0xffffebff,0xffffff05,0x3fe00001,0x4000ffff,
    0x84fffffd,0xbafffffa,0x002ceffe,0x3ffea000,0xffffd2ff,0x7fdc001f,
    0x7c001fff,0xff17ffff,0x6c00ffff,0x001fffff,0x3fea0000,0x40000fff,
    0xffffffc9,0x70004fff,0x3fadffff,0xfff05fff,0x00001fff,0x03fffffe,
    0xfffff700,0xfffff90d,0xffffffff,0xb000001b,0x3a1fffff,0x000fffff,
    0x0fffffd1,0xfffffa80,0x3fffff64,0xffffb002,0x0000003f,0x01fffff4,
    0x3ff6a000,0x8004ffff,0xd0fffff8,0x3e0bffff,0xaabfffff,0xaaaaaaaa,
    0x3fe0aaaa,0x4000ffff,0x87fffff9,0xfffffffd,0xffffffff,0xfb100001,
    0x7f4dffff,0x999affff,0xffc99999,0x4003ffff,0x21fffffd,0x06fffffa,
    0x3fffffb0,0x2a000000,0x000fffff,0x7ffdc400,0xd8004fff,0x3fa3ffff,
    0xfff05fff,0xffffffff,0xffffffff,0x7fffc3ff,0x7c4000ff,0x7c0fffff,
    0xffffffff,0xefffffff,0x7f440000,0x3a1fffff,0xffffffff,0xffffffff,
    0x4002ffff,0x46fffff8,0x1ffffff8,0xfffffd80,0xd0000001,0x000bffff,
    0x7fffed40,0x4004ffff,0x745ffffb,0xff05ffff,0xffffffff,0xffffffff,
    0x7ffc3fff,0x44000fff,0x20ffffff,0xfffffff8,0xffffecbd,0x260004ff,
    0x2fffffff,0x7ffffff4,0xffffffff,0x001fffff,0x3fffffb8,0x4fffffd8,
    0xfffffd80,0x98000001,0x001fffff,0x7fffe440,0x3fffffff,0x3fffe200,
    0x7ffff40f,0xffffff05,0xffffffff,0x3fffffff,0x07fffffc,0x7ffffc00,
    0x3fffe61f,0xffff704f,0xf30003ff,0x05ffffff,0xfffffffd,0xffffffff,
    0x0019ffff,0x0fffffe8,0x7fffff98,0xfffffd80,0xd8000001,0x0006ffff,
    0x3fffff6a,0x0bffffff,0x7ffff400,0x5ffffe83,0xfffffff0,0xffffffff,
    0x43ffffff,0x00ffffff,0xffffff80,0x01654c41,0x13fffff6,0xfffff100,
    0x3ffa03ff,0xffffffff,0xffffffff,0xf3003fff,0x7c0bffff,0x402fffff,
    0x01fffffd,0x7fcc0000,0x4c003fff,0xfffffffc,0x002effff,0x0bffff70,
    0x417ffffa,0xeeffffff,0xeeeeeeee,0x3e1eeeee,0x000fffff,0x7fffffc4,
    0x7fcc0000,0x74005fff,0x00efffff,0x3bfffffa,0xfffeeeee,0xffffffff,
    0xffffc804,0x3fff202f,0x7fec06ff,0x00001fff,0x7ffffe40,0xfffd7000,
    0xffffffff,0x7cc0003b,0xfd00ffff,0x3fe0bfff,0x0000ffff,0x1ffffff0,
    0xffff8800,0xff00007f,0x4400dfff,0x00efffff,0x07fffff4,0x7fffd440,
    0x3e201fff,0x200fffff,0x1ffffff9,0x3fffff60,0x7c000001,0x2005ffff,
    0xffffffff,0x0000cfff,0x9cffffe8,0xffe99999,0xf0999dff,0x001fffff,
    0x3ffffe00,0x7fcc000f,0x00006fff,0x00fffffd,0x07ffffd4,0x7fffff40,
    0x3ffa2000,0x3ee05fff,0xffffffff,0xffffffff,0x3f604fff,0x0001ffff,
    0x3fffe600,0x3ffe001f,0x03efffff,0x3ffe6000,0xffffffff,0xffffffff,
    0xfffff3ff,0x3e00001f,0x000fffff,0x2fffffd4,0xfffe8000,0x3ff2007f,
    0xffd005ff,0xa8001fff,0x207fffff,0xfffffffe,0xffffffff,0x207fffff,
    0x01fffffd,0x3fee0000,0x7fc006ff,0x002dffff,0xffff9800,0xffffffff,
    0xffffffff,0xffffff3f,0x3fe00001,0x4000ffff,0x03fffffc,0x3fe00662,
    0x36006fff,0xd003ffff,0x001fffff,0xffffff88,0xfffff980,0xffffffff,
    0xffffffff,0xffffb02f,0x4000003f,0x004ffffe,0x0067fffc,0xfff30000,
    0xffffffff,0xffffffff,0x3fffe7ff,0xf00000ff,0x001fffff,0x7fffffc4,
    0x3ffffec2,0x3ffffe20,0x3fffa005,0xfffd003f,0xf88001ff,0xc81fffff,
    0xffffffff,0xffffffff,0x06ffffff,0x03fffffb,0x3fe20000,0x7c002fff,
    0x000000be,0xffffff98,0xffffffff,0x3fffffff,0x01ffffff,0x3fffe000,
    0x3f6000ff,0xfd87ffff,0x3203ffff,0x003fffff,0x00266662,0x07fffff4,
    0x3fffee00,0xfffff07f,0xffffffff,0xffffffff,0xffb03fff,0x00003fff,
    0x3ffffea0,0x00014000,0x3ffe6000,0xffffffff,0xffffffff,0xfffff3ff,
    0x3e00001f,0x000fffff,0x7ffffff7,0xdfffff70,0xfffff301,0x0000001f,
    0x03fffffa,0xffffe880,0xffffa85f,0x999999ef,0xfe999999,0xfd84ffff,
    0x0001ffff,0xfffff700,0x00000000,0x3fa00000,0xfff05fff,0x00001fff,
    0x03fffffe,0x3ffee662,0x880fffff,0xcfffffff,0xfffffb99,0x7764003f,
    0xffd005ee,0x4c401fff,0xffffffc9,0xffffd83f,0xffb8003f,0xffd87fff,
    0xffffffff,0xffffffff,0x3ff202ff,0x544005ff,0xaaaaaaaa,0xaaaaaaaa,
    0x01aaaaaa,0xffffd000,0x3ffffe0b,0xffffffff,0xffffffff,0xffffff7f,
    0xffffffff,0xffffffff,0x7fffd403,0xffffffff,0xe8006fff,0xd007ffff,
    0xffffffff,0xffffffff,0x1fffffff,0xffffff88,0xfff88000,0x7fec2fff,
    0xffffffff,0xffffffff,0x3ff602ff,0x7d4004ff,0xffffffff,0xffffffff,
    0x04ffffff,0xffffd000,0x3ffffe0b,0xffffffff,0xffffffff,0xffffff7f,
    0xffffffff,0x7fffffff,0xfffff900,0xffffffff,0xffd0001b,0x3fa00fff,
    0xffffffff,0xffffffff,0xb82fffff,0x005fffff,0x3fffff60,0x7ffffec6,
    0xffffffff,0x2fffffff,0x13ffffa0,0xfffff500,0xffffffff,0xffffffff,
    0x200009ff,0xf05ffffe,0xffffffff,0xffffffff,0x3effffff,0xffffffff,
    0xffffffff,0x2e002eff,0xffffffff,0x20004fff,0x007ffffe,0xfffffffd,
    0xffffffff,0x07ffffff,0x0bfffffa,0xffffa800,0x3fff61ff,0xffffffff,
    0xffffffff,0x3fffe02f,0x7fd4003f,0xffffffff,0xffffffff,0x004fffff,
    0xbffffd00,0x3fffffe0,0xffffffff,0xffffffff,0xfffffff7,0xffffffff,
    0x20007fff,0xffffffc8,0x740002df,0xd007ffff,0xffffffff,0xffffffff,
    0x2605dfff,0x007fffff,0xffffff80,0x3fffff64,0xffffffff,0x2fffffff,
    0x7fffff10,0xaaaa8800,0xaaaaaaaa,0xaaaaaaaa,0x00001aaa,0x20bffffd,
    0xffffffff,0xffffffff,0xf7ffffff,0xffffffff,0x79ddffff,0x2a600001,
    0x200000ab,0x007ffffe,0xfffffffd,0xffffffff,0xfd8017bd,0x0004ffff,
    0x7fffffc8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x33331000,0x4c400001,0x98800001,0x31000001,0x88000033,0x20000009,
    0x02620009,0x01310000,0x3eeeee88,0x4eeeee80,0xea804400,0xeeeeeeee,
    0xeeeeeeee,0xd5000002,0x7ffed409,0x01ceffff,0x7fff64c0,0x8000cfff,
    0xfffffea8,0x910003ce,0xfffffffd,0xfb70003b,0x807bdfff,0x225eeeea,
    0x1cefffdb,0xefffec88,0xddddd01c,0x7fff64c3,0xfff881df,0xfff804ff,
    0xdddd15ff,0x3bffae1d,0x3fffee1c,0xffffffff,0x003fffff,0x3ffee200,
    0xffffe984,0xffffffff,0xffff9002,0x9fffffff,0x7fffd400,0xdfffffff,
    0x3fff2000,0xffffffff,0xfe9800ef,0xffffffff,0xffff501e,0x3ffffa6d,
    0x3e61ffff,0xffffffff,0x2fffff82,0xfffffff7,0xfff887ff,0xfff804ff,
    0xffff35ff,0xfffff71f,0x7fffdc9f,0xffffffff,0x003fffff,0xffffc980,
    0x7fffc44f,0xffffffff,0x3a603fff,0xffffffff,0x804fffff,0xfffffffd,
    0x3fffffff,0xfffffc80,0xffffffff,0x3fee00ef,0xffffffff,0xffa83fff,
    0xffffaeff,0x9fffffff,0xfffffffa,0x7fc1ffff,0xfffcafff,0xffffffff,
    0x3ffffe24,0xfffff804,0x5fffff35,0x3fffffff,0x7fffffdc,0xffffffff,
    0x20003fff,0xffffffea,0x7ffff44f,0xffffffff,0xfd00ffff,0xffffffff,
    0x09ffffff,0x7fffffe4,0xffffffff,0x3fea02ff,0xffefffff,0x05ffffff,
    0xfffffff3,0xffffffff,0xfffffa85,0xffffffff,0xffffffff,0xffffffff,
    0x3fffe0ef,0xffffffef,0x0fffffff,0x09fffff1,0x2bfffff0,0xfffffff9,
    0x5c7fffff,0xffffffff,0xffffffee,0x7dc4002f,0xffffffff,0x3fffe64f,
    0xfb999bef,0xb82fffff,0xadffffff,0xfffffec9,0xffffa80f,0xfdbbdfff,
    0x00ffffff,0x83dffffd,0xffffffb8,0xfffffe80,0xfffc99ad,0x7ffd46ff,
    0x99beffff,0xfffffffd,0xffc99bef,0x3fe2ffff,0xadffffff,0xfffffda9,
    0xfffff13f,0xfffff009,0x3ffffe6b,0x4fffffff,0xffffb000,0x64c007ff,
    0xffffffff,0x3f62ffff,0xf701ffff,0xf889ffff,0xb02fffff,0xf07fffff,
    0x01dfffff,0xbfffffd3,0x07ffffe0,0x1cefffb8,0x27ffffd4,0x2fffffa8,
    0x3fffffea,0xfffffd06,0xfffb01ff,0x7fffc7ff,0xffd02fff,0x3fe29fff,
    0xff804fff,0xfff35fff,0x2619ffff,0xffd8001c,0x5004ffff,0xfffffffb,
    0x205bffff,0x2203dba8,0x5c4fffff,0x204fffff,0x44fffff9,0x06fffffa,
    0x7fffffc4,0x7ffffc42,0x3a00d404,0x200fffff,0x2a6ffffc,0x00ffffff,
    0x5ffffff7,0x3ffffea0,0x3fffffe4,0x3fffe604,0xfffff15f,0xfffff009,
    0x3ffffe6b,0xf900006f,0x80bfffff,0xfffffeb8,0x0befffff,0x3fe20000,
    0x7fec5fff,0x5dc00fff,0xffffb009,0xfff7005f,0xffff09ff,0x00159fff,
    0x4fffff88,0x7ffffcc0,0xbfffff50,0x7ffffcc0,0x3fffe607,0x3ffffe4f,
    0x3ffe200f,0xffff15ff,0xffff009f,0x3fffe6bf,0xb80001ff,0x06ffffff,
    0x7fffffe4,0x01cfffff,0x3f6e6000,0x745fffff,0x0006ffff,0x0ffffff0,
    0x3ffffe20,0xfffffd85,0x01beffff,0x3fffff98,0x7ffffc40,0x7fffff51,
    0x7ffffcc0,0x3fffe205,0x3ffffe4f,0xfffff807,0x9fffff16,0xbfffff00,
    0x1fffffe6,0x3ffea000,0x7c00efff,0xffffffff,0xa880002d,0xffffffec,
    0x7fc5ffff,0x80006fff,0x06fffff8,0x1fffffe0,0x3fffffe6,0xdfffffff,
    0xfffff501,0xdddddddd,0x25fffffd,0x03fffffa,0x13ffffe6,0x4fffff88,
    0x01bffffe,0x45bffffe,0x804fffff,0xf35fffff,0x000dffff,0xffffff98,
    0xffff801f,0x0000bfff,0xfffffd88,0xffffffff,0x3fffe25f,0xf980005f,
    0x2005ffff,0x80fffffe,0xfffffffa,0xdfffffff,0x7ffffdc0,0xffffffff,
    0x53ffffff,0x405fffff,0x04fffff9,0x93ffffe2,0x806fffff,0xf16fffff,
    0x880bffff,0xf35fffff,0x000bffff,0x7fffffc4,0xffff001f,0x00017dff,
    0xffffff98,0xfffdefff,0x3ffe65ff,0x980005ff,0x004fffff,0x03fffffa,
    0x7ffffed4,0xffffffff,0x3ffff20e,0xffffffff,0x4fffffff,0x05fffff5,
    0x1fffffcc,0x9fffff10,0x02fffffc,0x8b7ffff4,0x405fffff,0x35fffff8,
    0x009fffff,0x3ffffa20,0x3fe002ff,0xcfffffff,0xfffa8001,0x20bdffff,
    0x7c5fffff,0x0006ffff,0x5fffff88,0x3ffffe00,0xffec9807,0xffffffff,
    0x3fffee5f,0xeeeeeeef,0x3eeeeeee,0x05fffff5,0x1fffffcc,0x9fffff10,
    0x02fffffc,0x8b7ffff4,0x405fffff,0x35fffff8,0x009fffff,0x3fffff60,
    0x7ff4003f,0xffffffff,0xffd000be,0x7fc07fff,0x7ff45fff,0x018807ff,
    0x037ffffc,0x0bfffff0,0xfffda880,0x2a7fffff,0x002fffff,0x7ffffd40,
    0x3fffe602,0x3ffe203f,0x3fffe4ff,0xfffe805f,0x3ffffe6f,0x7fffd406,
    0xfffff35f,0xfff90009,0x20009fff,0xffffffd9,0x01cfffff,0x17ffffe2,
    0x5fffff88,0x0fffffec,0x2f7bff20,0x3fffffa0,0xffffa801,0x64c0004f,
    0x31ffffff,0x007fffff,0xfffffa80,0x3fffe602,0x3ffe203f,0x3fffe4ff,
    0xfffe805f,0x3ffffe6f,0x7fffe407,0xfffff35f,0xfffb8009,0x80005fff,
    0xffffffc8,0x0befffff,0x17ffffd4,0xbfffff30,0x4fffffc8,0x3fffff40,
    0x1bffffee,0x3fffffa0,0x7fee5cc2,0x7fffe400,0xfffff11f,0x9bcec80d,
    0x3ffffea0,0x3fffe602,0x3ffe203f,0x3fffe4ff,0xfffe805f,0x3ffffe6f,
    0xffff502f,0x3ffe6bff,0x3ea003ff,0x005fffff,0xfffeb800,0xffffffff,
    0xfffff51d,0x7ffff40b,0x7fffcc5f,0xfff902ff,0xfff889ff,0xfb104fff,
    0xfb0bffff,0xd80bffff,0x320fffff,0x303fffff,0x21ffffff,0x02fffffa,
    0x0fffffe6,0x4fffff88,0x017ffffe,0xd9bffffa,0x0affffff,0xffffff93,
    0x3fffe6bf,0xfff3003f,0xffffffff,0xffffffff,0x7fed4001,0xffffffff,
    0xffffff34,0xffffd985,0xfffc85ff,0xec9adfff,0x81ffffff,0xeffffffc,
    0xfffeba9b,0xff980fff,0x441bffff,0x46fffffb,0xcffffff8,0x3ffffaa0,
    0x3fffea4f,0x3ffe602f,0x3fe203ff,0x3ffe4fff,0xffe805ff,0x3ffea6ff,
    0xffffffff,0x5fffffff,0x07fffff3,0x3ffffe60,0xffffffff,0x00ffffff,
    0xffffc980,0x3fe4ffff,0xfcffffff,0xffffffff,0xfffff886,0xffffffff,
    0x3fa04fff,0xffffffff,0x3fffffff,0x3fffff60,0xffffdfff,0xfc82ffff,
    0xfeffffff,0x0fffffff,0x0bffffea,0x3fffff98,0x3ffffe20,0x17ffffe4,
    0x1bffffa0,0xfffffffb,0xff97ffff,0x3ffe6bff,0xff3003ff,0xffffffff,
    0xffffffff,0x5c40001f,0x24ffffff,0xfffffffa,0xffefffff,0xffa80fff,
    0xffffffff,0x4405ffff,0xfffffffe,0x4fffffff,0xfffffd80,0xffffffff,
    0x3ff203ff,0xffffffff,0x7d41ffff,0x2602ffff,0x203fffff,0x24fffff8,
    0x805fffff,0xd86ffffe,0xffffffff,0xbffff92f,0x0fffffe6,0x7ffffcc0,
    0xffffffff,0x00ffffff,0xfffd5000,0xfffffc89,0xf99effff,0xb102ffff,
    0xffffffff,0x2001bfff,0xfffffffc,0x001effff,0x3ffffff6,0x3fffffff,
    0xfffffa80,0x1fffffff,0x2fffffa8,0x3ffffe60,0x3fffe203,0x3ffffe4f,
    0xffffe805,0xffffd906,0x7ffe43bd,0xfffff35f,0x3ffe6007,0xffffffff,
    0xffffffff,0x64c00000,0xfffe984f,0x3fa0cfff,0x75c05fff,0xdfffffff,
    0xedb88001,0x04efffff,0xffff9300,0x019fffff,0x7fff64c0,0x500bffff,
    0x405fffff,0x03fffff9,0x93ffffe2,0x805fffff,0x406ffffe,0x98000aa8,
    0x003fffff,0x00000000,0x3100c400,0x00000155,0x0006aaa6,0x00355100,
    0xaaa99800,0x53000009,0x00000335,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55544000,0xddd7002a,0x3a2005dd,0xdb14eeee,
    0xc80bdddd,0x20deeeee,0x405eeeeb,0x01eeeeea,0x0fbbbba2,0x01e66640,
    0x00000000,0xe8807997,0x3313eeee,0x4cc41333,0x26660999,0xd9510199,
    0x0b80059b,0x0733332e,0x3bbbbbae,0x8003eeee,0x006ffffa,0x0bfffff3,
    0x3ffffee0,0x3ffffee2,0xffff503f,0xfffa85ff,0x3ff600ff,0x3ea03fff,
    0xb801ffff,0x800fffff,0xfffffff9,0xffffffff,0x405fffff,0x7c405ffd,
    0xffb4ffff,0x7fdc9fff,0xfff16fff,0xffc81fff,0x1cffffff,0xff107ec0,
    0xff90dfff,0xffffffff,0xfff50009,0x7ff400df,0xfe800fff,0xffd87fff,
    0x7c40ffff,0x885fffff,0x203fffff,0x05ffffff,0x01fffff2,0x27fffff4,
    0x7ffffcc0,0xffffffff,0x5fffffff,0x2027fec0,0xb4fffff8,0x5c9fffff,
    0xf16fffff,0x221fffff,0xfffffffe,0x31beffff,0xf981ffd7,0x7e41ffff,
    0xffffffff,0xffa8004f,0x3ee006ff,0x4c03ffff,0x884fffff,0x45ffffff,
    0x0efffffd,0x0bffffb0,0x3fffffe6,0x3ffffe07,0xffffa804,0x7cc00fff,
    0xffffffff,0xffffffff,0x90625fff,0x7c4107ff,0xffb4ffff,0x7fdc9fff,
    0xfff16fff,0x3ff21fff,0xffffffff,0xffffffff,0xff980fff,0x7ffe45ff,
    0x4fffffff,0xffffa800,0x3ffe2006,0x7fe406ff,0xff500fff,0x3ea5ffff,
    0x201fffff,0x707ffffb,0x3fffffff,0x5fffff30,0xfffffd00,0xff9807ff,
    0xffffffff,0xffffffff,0x477f25ff,0x9f912ffb,0xa7ffffc4,0x24fffffd,
    0x16fffffb,0x21ffffff,0xfffffffc,0xffffffff,0x00ffffff,0x643ffff5,
    0xffffffff,0xfa8004ff,0x64006fff,0x201fffff,0x405fffff,0x8ffffffc,
    0x03ffffff,0x0fffffc4,0x7fffffec,0xffffb83f,0xffffa807,0x4c07ffff,
    0xffffffff,0xffffffff,0x3fa5ffff,0xdbffcdff,0x3fe26fff,0xfffb3fff,
    0x7ffdc9ff,0xffff16ff,0x3fff21ff,0xffffdcce,0xffffffff,0x3fea00ff,
    0x3ffff24f,0x04ffffff,0x6ffffa80,0x7fffcc00,0xffff504f,0xffe8805f,
    0xffffffff,0xfffd006f,0xfffff09f,0xffd0dfff,0xffb00bff,0x7fffffff,
    0x99999980,0x99999999,0x30999999,0xffffffff,0x03ffffff,0x3ff25ff7,
    0x3fea3fff,0x3ffe5fff,0x1bf90fff,0x3ffff6a0,0x00dfffff,0x0003bba8,
    0x3ffea000,0xffe8006f,0xfffb07ff,0x3fe600ff,0xffffffff,0xfff7000f,
    0xffff98df,0x220fffff,0x402fffff,0xfbfffff9,0x00006fff,0x3fb26000,
    0xffffffff,0x1ffd80bd,0x45fffff5,0x24fffff8,0x327ffffe,0xffd71003,
    0x00005bff,0x99910000,0xfffb9999,0x999999ff,0xffff7079,0xffff885f,
    0x3fee004f,0x2fffffff,0x3fffe600,0x3fffee0f,0x2a2ffffd,0x400fffff,
    0xff4ffffd,0x00005fff,0xff910000,0xf88019ff,0xffff30ff,0xfffff81f,
    0x97ffff22,0x01310000,0x80000000,0xfffffff9,0xffffffff,0x885fffff,
    0x5c5fffff,0x001fffff,0x7ffffff4,0xffe8005f,0x3fff62ff,0x24ffff9f,
    0x405ffffc,0x90fffff9,0x000dffff,0xff500000,0x5403ffff,0x7ffc3fff,
    0xffffd87f,0x13fffee1,0x00000000,0xff980000,0xffffffff,0xffffffff,
    0xfff905ff,0x7fff41ff,0xff88005f,0x000fffff,0x25ffffc8,0xfff5ffff,
    0x7ffffcdf,0x7fffe402,0x3ffffe65,0xfffff981,0xffffffff,0x5fffffff,
    0xfdcfffa8,0xfffa80ff,0x86fffe86,0x260ffffc,0x0002ffff,0x00000000,
    0x3fffe600,0xffffffff,0xffffffff,0xfffff305,0x3ffffe67,0xfffa8002,
    0x8004ffff,0xf37ffff9,0x3ff27fff,0xffff98ff,0x3ffe200f,0x7fff42ff,
    0xffff985f,0xffffffff,0xffffffff,0x47fffcc5,0x440efff9,0x999503ff,
    0x09999305,0x00019999,0x00000000,0x7fffcc00,0xffffffff,0xffffffff,
    0x3ffffa05,0x0fffff95,0xfffff100,0x0005ffff,0xf73fffff,0x3fea3fff,
    0xffffbaff,0x7fffe405,0xfffffa87,0x7ffffcc0,0xffffffff,0x5fffffff,
    0xf917ffec,0x001507ff,0x00000000,0x00000000,0xeeee9800,0xffffeeee,
    0xeeeeeeef,0x3fffee04,0x4ffffe8f,0xffffd800,0x00ffffff,0x67fffe40,
    0x3e27fffe,0xfffecfff,0x3ffe203f,0xffff04ff,0xffff989f,0xffffffff,
    0xffffffff,0x7c45fb85,0x0000002f,0x00000000,0x00000000,0x3fffea00,
    0x3fe20006,0xffffcfff,0x7fdc001f,0xffffffff,0x7fd4005f,0x5ffffeff,
    0x7ff7fff4,0x3ee00fff,0xf900ffff,0x7cc1ffff,0xffffffff,0xffffffff,
    0x03505fff,0x00000013,0x00000000,0x00000000,0xffffa800,0x7fe40006,
    0x6fffffff,0x7fffcc00,0xfffffcff,0x7ffc002f,0x43ffffff,0xfffffffc,
    0x7fffc06f,0x3ffe605f,0x2aaa23ff,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,
    0x00000000,0x00000000,0xfa800000,0x40006fff,0xfffffff9,0x7f4002ff,
    0xffb4ffff,0x4001ffff,0xfffffffd,0x7fffd40f,0x2a03ffff,0x402eeeee,
    0x005eeeed,0x00000000,0x00000000,0x00000000,0x80000000,0x006ffffa,
    0xfffffe80,0x7e4007ff,0xf10effff,0x00bfffff,0x7fffffd4,0xffff886f,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x3ea00000,
    0x80006fff,0xfffffffb,0x3ffe6004,0x7fd42fff,0x1003ffff,0x9fffffff,
    0x3fffffa0,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffd400,0xff880006,0x001fffff,0x9fffffd1,0x3fffff60,0xfffb001f,
    0x3f205fff,0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x0006ffff,0xdfffff90,0x7fffec00,0xfff100ff,0x2e00dfff,
    0x00ffffff,0x3ffffff3,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03cccc98,0xffff3000,0x3fea007f,0x5402ffff,0x04ffffff,
    0x6fffff88,0x3fffffc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_47_usascii_x[95]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,3,3,3,2,3,2,0,3,
3,2,3,1,3,1,3,1,0,3,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,3,
-2,2,3,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_47_usascii_y[95]={ 38,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19, };
static unsigned short stb__arial_bold_47_usascii_w[95]={ 0,8,16,23,21,35,29,8,11,11,16,22,7,12,
6,13,21,14,21,21,23,22,21,21,21,21,6,7,22,22,22,22,40,31,26,28,26,23,21,29,25,7,20,28,
22,31,25,31,24,32,28,26,25,25,30,40,28,30,25,12,13,12,21,25,11,21,23,22,23,21,16,23,21,6,
11,21,6,33,21,24,23,23,15,22,14,21,23,33,24,23,21,15,6,15,23, };
static unsigned short stb__arial_bold_47_usascii_h[95]={ 0,31,12,32,38,33,32,12,40,40,15,22,13,6,
6,32,32,31,31,32,31,31,32,30,32,32,22,29,24,16,24,31,40,31,31,32,31,31,31,32,31,31,32,31,
30,31,31,32,31,35,31,32,31,32,31,31,31,31,31,40,32,40,17,5,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,9, };
static unsigned short stb__arial_bold_47_usascii_s[95]={ 255,34,177,81,143,198,105,194,1,52,152,
1,169,239,247,234,188,176,217,50,1,76,96,204,28,210,247,239,1,129,226,
99,102,149,122,159,49,25,101,179,191,1,118,123,181,69,43,1,9,165,224,
1,198,139,145,104,75,44,18,89,165,64,107,226,227,24,135,46,72,117,1,
232,209,248,77,176,246,139,173,69,57,33,217,94,231,195,24,73,48,152,233,
36,29,13,203, };
static unsigned short stb__arial_bold_47_usascii_t[95]={ 1,140,229,42,1,1,42,229,1,1,229,
229,229,229,163,1,42,140,140,75,172,172,75,172,75,42,140,140,204,229,172,
172,1,172,172,42,172,172,140,75,140,140,75,140,172,140,140,42,140,1,108,
75,108,75,108,108,108,108,108,1,75,1,229,197,229,204,42,204,75,204,108,
42,75,1,1,108,75,204,204,204,42,42,204,204,75,204,229,229,229,140,204,
1,1,1,229, };
static unsigned short stb__arial_bold_47_usascii_a[95]={ 187,224,319,374,374,599,486,160,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,224,224,393,393,393,411,656,486,486,486,486,449,411,524,
486,187,374,486,411,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,224,187,224,393,374,224,374,411,374,411,374,224,411,
411,187,187,374,187,599,411,411,411,411,262,374,224,411,374,524,
374,374,337,262,188,262,393, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_47_usascii(stb_fontchar font[STB_FONT_arial_bold_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_47_usascii_s[i] + stb__arial_bold_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_47_usascii_t[i] + stb__arial_bold_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_47_usascii_x[i];
            font[i].y0 = stb__arial_bold_47_usascii_y[i];
            font[i].x1 = stb__arial_bold_47_usascii_x[i] + stb__arial_bold_47_usascii_w[i];
            font[i].y1 = stb__arial_bold_47_usascii_y[i] + stb__arial_bold_47_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_47_usascii_s[i] + stb__arial_bold_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_47_usascii_t[i] + stb__arial_bold_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_47_usascii_x[i] + stb__arial_bold_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_47_usascii_y[i] + stb__arial_bold_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_47_usascii_LINE_SPACING
#endif

