// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT        299
#define STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_50_usascii_FIRST_CHAR            32
#define STB_FONT_arial_bold_50_usascii_NUM_CHARS             95

#define STB_FONT_arial_bold_50_usascii_LINE_SPACING          32

static unsigned int stb__arial_bold_50_usascii_pixels[]={
    0x21cccb80,0x000aaccc,0x00b33322,0x01999530,0x00000000,0x98800000,
    0x09aaccba,0xccc98000,0x99300003,0x88000007,0x0009aca9,0xabba8800,
    0x33320000,0x3000001c,0xfff8ffff,0x8800cfff,0x5005ffff,0x03ffffff,
    0x1fffffe8,0xfffffff1,0x3ffabfff,0x7fffffff,0xfeb88000,0xffffffff,
    0x0000beff,0x003ffff1,0x00dff500,0xfedc8800,0xdeffffff,0x3620000c,
    0x0dffffff,0x7fffd400,0xffffd800,0x3fffa02f,0x7fffffc4,0x7fc401ff,
    0x7f4405ff,0x01ffffff,0x8ffffff4,0xfffffff8,0xfffd5fff,0x0fffffff,
    0x3ff6a200,0xffffffff,0xefffffff,0xfffd8003,0x7e440006,0x700001ef,
    0xffffffff,0x7fffffff,0xfffd1000,0x01dfffff,0x01ffff40,0x2fffffd8,
    0x83ffff50,0xffffffff,0x7fffc406,0x7fffe405,0x7401ffff,0xf11fffff,
    0xffffffff,0x3ffffabf,0x007fffff,0xffffffa8,0xffffffff,0xffffffff,
    0x3fe6000d,0x644003ff,0xfffffffe,0xfd88001d,0xffffffff,0xffffffff,
    0x3ff6000d,0xffffffff,0xffff5005,0x3fff6001,0xfffd02ff,0xffffff0b,
    0x7c405fff,0x3e205fff,0xffffffff,0x7ffff401,0xfffff11f,0x3abfffff,
    0xffffffff,0x3f62007f,0xefffffff,0xfedcacce,0xffffffff,0x3fffa002,
    0xffd3000f,0xffffffff,0x3ee0019f,0xffffffff,0xffffffff,0x9802ffff,
    0xd88dffff,0xe801ffff,0x36003fff,0xa82fffff,0xdc82ffff,0x5ffffffe,
    0x17fffe20,0xffffffc8,0x7f400cde,0xdd11ffff,0xfffffddd,0x3fffffab,
    0x3006eeee,0xbffffffd,0x7ecc4003,0x004fffff,0x009ffff7,0xfffffff5,
    0xbfffffff,0xfffff300,0xffffffff,0xffffffff,0xffc803ff,0x3ffe60ff,
    0x7ffd404f,0x3ff6000f,0xffe82fff,0xfff9807f,0x3fe207ff,0x3ff605ff,
    0x5c003fff,0x200ccccc,0xd5fffff8,0x000fffff,0x3bffffea,0x74c0000b,
    0x802fffff,0x00fffff8,0x3fffffe2,0xffffffff,0x7ff403ff,0xabefffff,
    0xfffd7510,0xd80dffff,0xfff86fff,0x7fff405f,0x6665c003,0x7ffdc1cc,
    0xfffb004f,0x7ffc40ff,0x3fff605f,0x0000007f,0x2bfffff1,0x007ffffe,
    0x5fffff88,0xffb80000,0xfd801fff,0x3f203fff,0xffdfffff,0xffffffee,
    0xfffff700,0xfb1009ff,0x07ffffff,0x7437fff4,0x3ea06fff,0x00000fff,
    0x05fffff0,0x3fffff20,0xbffff100,0x37ffff40,0xf8800000,0xffd5ffff,
    0xfd000fff,0x00007fff,0x37fffcc0,0x37fffd40,0xefffff88,0xffb6ffa9,
    0xff107fff,0x005fffff,0xffffffa8,0xbffff00f,0x40ffffd0,0x0003fffe,
    0xfffff700,0x7fffdc00,0xffff100f,0x7ffff40b,0x99988005,0x7ffc4019,
    0xffffd5ff,0xfffc800f,0xbcb9802f,0x4ccccc41,0x05ffff70,0x2fffff88,
    0x2fffff98,0x3fe2dff5,0xffd85fff,0x0004ffff,0x9ffffffb,0x217fffe0,
    0xf507fffe,0x10001fff,0x6c133333,0x2005ffff,0x00fffffb,0x40bffff1,
    0x005ffffe,0x1fffffe8,0x3ffffe20,0x0fffffd5,0x1ffffd40,0xfffffb50,
    0x3ffee3ff,0x3fff62ff,0xffffd806,0xfffffa85,0x6e4dff50,0x7fc41abc,
    0x000fffff,0xffffff10,0x1bfffa0f,0x741bfffa,0xb0003fff,0x225fffff,
    0x002fffff,0x03ffffee,0x02ffffc4,0x00bffffd,0x3fffffd0,0x7ffffc40,
    0x0fffffd5,0x037fffc0,0xfffffff7,0xfffb5fff,0x7ffc41ff,0x7ffdc01f,
    0xffffb87f,0x001bfea7,0x9ffffff3,0xfffc8000,0xffd80fff,0x5ffff87f,
    0x00ffffa8,0xfffffb00,0x3ffffea5,0x3ffee001,0xfff101ff,0x7fffc0bf,
    0xffe8004f,0x3e201fff,0xffd5ffff,0x3ea00fff,0xff700fff,0xffffffff,
    0xdfffffff,0x809fff70,0x41fffffa,0x51fffffa,0xfa800dff,0x000fffff,
    0x7ffffcc0,0xffffc82f,0x13fffea1,0x0013fffa,0x2fffffd8,0x01fffff9,
    0x7ffffd40,0xbffff101,0x27ffffc0,0x7ffff400,0x3ffe201f,0xffffd5ff,
    0x3fff600f,0xfffff903,0xfff9557f,0x30bfffff,0xf980dfff,0x7cc4ffff,
    0xfa8dffff,0x7fdc006f,0x80007fff,0x3ffffff8,0xaeffff88,0x40fffffb,
    0x000ffffa,0x3fffff60,0x0fffffd2,0xfffff980,0xbffff102,0x3ffffe20,
    0xfffe8003,0x3fe201ff,0xfffd5fff,0xfff100ff,0xffff701f,0xfff501bf,
    0xf107ffff,0xff880fff,0x7fc46fff,0xffcfffff,0x7ffe4006,0xf00007ff,
    0x209fffff,0xfffffffc,0xffe84fff,0x7ec0004f,0xff8affff,0x4c006fff,
    0x104fffff,0x2a0bffff,0x002fffff,0x1fffffe8,0x3ffffe20,0x0fffffd5,
    0x10bfff70,0x80bfffff,0x1ffffffd,0x801fffd0,0x40ffffff,0xfffffffc,
    0x7f4006ff,0x0006ffff,0xbfffffd0,0x3ffff620,0x540dffff,0x0000ffff,
    0x57ffffec,0x05fffff9,0xfffffe80,0x5ffff880,0x1fffffb0,0xffffd000,
    0x7ffc403f,0xffffd5ff,0x5fffd00f,0x1fffff70,0xfffffa80,0x07fff607,
    0x3fffffd0,0xffffff88,0x00beffff,0x5ffffff8,0xfffb0000,0xfea80dff,
    0xfd03efff,0xb00009ff,0xf55fffff,0x0009ffff,0x09fffff7,0x50bffff1,
    0x00ffffff,0x3fffffa0,0x3fffe201,0xfffffd5f,0x81ffff00,0x04fffff8,
    0x6fffff88,0x007fff60,0x03fffffb,0xfffffff7,0x03bfffff,0x27fffffc,
    0xfffd8000,0x266007ff,0x3fffea00,0xabcb9880,0xfffffb00,0x9fffff55,
    0xffff1000,0x3e239dff,0xf9715fff,0x007fffff,0x3fffffa0,0x3fffe201,
    0xfffffd5f,0x85fff880,0x00fffffb,0x4fffff88,0x003fffe0,0x05fffff9,
    0x3fffffea,0x3fffffff,0xbfffffd0,0x3ffa0000,0x00006fff,0x4c27fff4,
    0x3ffffffe,0xafffffd8,0x03fffffb,0xfffff900,0x3ffe2fff,0xfffffb5f,
    0x74000dff,0x201fffff,0xd5fffff8,0x980fffff,0xffe84fff,0xff3006ff,
    0x3e205fff,0xffb807ff,0x36603fff,0xffffffff,0xfd85ffff,0x0006ffff,
    0xdffffff0,0x7fdc0000,0x7ffdc0ff,0x45ffffff,0xcafffffd,0x002fffff,
    0x3ffffee0,0xbffff17f,0x3ffffff6,0x7ff40005,0x3e201fff,0xffd5ffff,
    0xffa80fff,0xfffff84f,0xffff7005,0x3ffea03f,0xffffb806,0xffc9803f,
    0xffffffff,0x7fffdc3f,0xf880007f,0x005fffff,0x13fffa00,0xfffffff1,
    0x7ec5ffff,0xffcaffff,0x40001fff,0x17fffffd,0x3f6bffff,0x000fffff,
    0x7fffff40,0x3fffe201,0xfffffd5f,0x43fffb80,0x04fffff8,0x0fffff90,
    0x4027ffe4,0x03fffffa,0x3ffffea0,0x20ffffff,0x0ffffffa,0x7ffcc000,
    0x00003fff,0xc81ffff7,0xff32ffff,0x7ffecdff,0xffffcaff,0x3f60001f,
    0xf17fffff,0x3ff6bfff,0x000effff,0x3fffffa0,0x3fffe201,0xfffffd5f,
    0x42fffc80,0x02fffff9,0x0dffffb0,0x401ffff4,0x03fffffa,0x3ebbfea0,
    0x23ffffff,0x3ffffff9,0xfd8065c0,0x001fffff,0x09fffd00,0xfc8bffff,
    0xfffb1fff,0xffff75ff,0x3f60005f,0x17ffffff,0x3f6bffff,0x06ffffff,
    0x3ffffa00,0x3ffe201f,0xffffd5ff,0x2fffb80f,0x0fffffd4,0x7ffffc40,
    0x0dfff504,0x3ffffea0,0x5bfea002,0x4fffffc8,0x3fffffe2,0x0fffe00f,
    0xfffffff3,0x3fee0000,0x7ffc40ff,0x7fffd43f,0x5fffffb2,0x07fffff5,
    0xfffff300,0x3fe2159f,0xffb515ff,0x0007ffff,0x07fffffa,0x5fffff88,
    0x80fffffd,0x7d43fffa,0xc801ffff,0x882fffff,0x7002ffff,0x005fffff,
    0xff137fd4,0xffd8bfff,0xf704ffff,0x3f65ffff,0x005fffff,0x09fffd00,
    0x985ffff3,0xffb3ffff,0xfff55fff,0xfb0009ff,0xf107ffff,0xff50bfff,
    0x2000ffff,0x01fffffe,0x57ffffe2,0x407ffffe,0x7c44fff9,0x4402ffff,
    0x80ffffff,0x2006fffd,0x21fffffb,0x2a1ba998,0x7ffec6ff,0x7fffc46f,
    0xffe81fff,0xfffeffff,0x0000ffff,0x80ffffb8,0x4c2ffffa,0xffb4ffff,
    0xfff35fff,0xff0009ff,0x3e20dfff,0xffb05fff,0xd0001fff,0x403fffff,
    0xd5fffff8,0x980fffff,0xfff85fff,0x7fe405ff,0xffd87fff,0x3f2002ff,
    0xff50ffff,0x7fd4bfff,0x2ffffe46,0x7fffffdc,0xffffb83f,0xffffffff,
    0xffd00003,0x3ffea09f,0x7fffcc2f,0x5fffffb4,0x017ffffe,0x7fffff10,
    0x17fffe20,0x17ffffcc,0x7ffff400,0x3ffe201f,0xffffd5ff,0xffff880f,
    0x7fffff40,0xfffff701,0x7fff44df,0x7fec005f,0x7fffc6ff,0x8dff50ff,
    0xd04ffffe,0xbfffffff,0x7ffec435,0x06ffffff,0xffff7000,0x3fffe601,
    0x9ffffd43,0xb2fffffd,0x800dffff,0x01fffff9,0x20bffff1,0x03fffff8,
    0xfffffe80,0x3fffe201,0xfffffd5f,0x87fffb00,0xbffffff9,0xffffda88,
    0xffdcffff,0xf8005fff,0x7ec4ffff,0xff55ffff,0x7ffffccd,0xfffff302,
    0xfdffffff,0xffffffff,0x200003ff,0x2204ffff,0x7d44ffff,0xfffb2fff,
    0x3ffee5ff,0x7fd4007f,0xff101fff,0x7ffc0bff,0xfe8004ff,0x2201ffff,
    0xfd5fffff,0xf500ffff,0xfffb0dff,0xffffffff,0xffffffff,0x00dfffff,
    0x7fffff10,0xffffffb8,0xfd56ffad,0x5c01ffff,0xffffffff,0xffffffff,
    0x1effffff,0x7ffdc000,0x7fffc00f,0x8ffffec6,0x32fffffd,0x003fffff,
    0x07ffffd4,0x05ffff88,0x013ffffe,0x3fffffa0,0x3fffe201,0xfffffd5f,
    0x0bfffe00,0xffffffd1,0xfffbffff,0xffffffff,0x3fea0007,0xffe81fff,
    0xefffffff,0x3ffffffe,0xffffd880,0xffffffff,0xffffffff,0xf0001dff,
    0xf7009fff,0xffb5dfff,0x7ffecbff,0x3fffe2ff,0x3fee003f,0xff100fff,
    0x7ffc0bff,0xfe8005ff,0x2201ffff,0xfd5fffff,0x3200ffff,0xfc80efff,
    0x3fffffff,0xfffffff7,0x5c0003bf,0xf306ffff,0xffffffff,0xdfffffff,
    0xffffa800,0xffffffff,0xffffffff,0x5c005fff,0xd000ffff,0xffffffff,
    0x7ffec3ff,0x3fff62ff,0x3fee005f,0xff100fff,0x7ff40bff,0xff8005ff,
    0x2201ffff,0xfd5fffff,0x2600ffff,0x7305ffff,0xb817bdfb,0x00bdeffd,
    0x20155551,0x203ffffd,0xfffffffb,0xefffffff,0xedb88000,0xffffffff,
    0xffffd9be,0x7c005fff,0x26004fff,0xfffffffe,0x7fffec2f,0x3fffe62f,
    0x3ffee007,0xfff100ff,0x7fff40bf,0xfff8005f,0x3e200fff,0xffd5ffff,
    0x7e400fff,0x00004fff,0x7fffcc00,0xfffff106,0xffffa801,0xffffffff,
    0x54c00004,0xfa809abb,0x001fffff,0x003fffee,0x3ffffb20,0x3fa0000d,
    0xf9001fff,0x2201ffff,0x3a05ffff,0x8006ffff,0x00ffffff,0x57ffffe2,
    0x007ffffe,0x027fffec,0xff980000,0xff500fff,0x32200bff,0xeffffffe,
    0x0000001c,0x5fffd880,0x04ccc400,0x00262000,0x7fffdc00,0xffffd003,
    0x7fffc40f,0x3ffffa05,0x7ffcc007,0x3e200fff,0xffd5ffff,0xf8800fff,
    0x002effff,0x3ffee000,0x3ff203ff,0xc88002ff,0x00001eff,0xf9300000,
    0x00000003,0xf8800000,0xfb806fff,0x2206ffff,0x3605ffff,0x404fffff,
    0xfffffbaa,0x7ffc407f,0xffffd5ff,0xfff3000f,0x0003bfff,0x7ffffd40,
    0x7fffc05f,0xff50000f,0x0000000d,0x00001000,0x00000000,0x07ffff20,
    0x3fffffba,0x3fe205ff,0x3fee05ff,0x1eefffff,0x3fffffe2,0x3ba26fff,
    0xfffffeee,0xdfffffd5,0xd300dddd,0x9fffffff,0x6dc40015,0x3fffffff,
    0x1ffffd40,0x0dff5000,0x00000000,0x00000000,0x44000000,0xff84ffff,
    0x2fffffff,0x17fffe20,0xffffff88,0x3fea1fff,0x4fffffff,0x3fffffe2,
    0xffd5ffff,0xffffffff,0x7fffdc00,0xeeffffff,0xffeedccd,0xefffffff,
    0x6fffd801,0x37fd4000,0x00000000,0x00000000,0x20000000,0x7c0ffffb,
    0x6fffffff,0x2ffffc40,0x3fffff20,0x3ff21fff,0x46ffffff,0xfffffff8,
    0xfffd5fff,0x0fffffff,0xffffe980,0xffffffff,0xffffffff,0x800cffff,
    0x002ffff8,0x00155440,0x00000000,0x00000000,0x7f400000,0x7fffc3ff,
    0x4401efff,0x4405ffff,0xfffffffd,0x3fffff61,0x7fc40fff,0xffffffff,
    0xffffffd5,0x2000ffff,0xfffffec9,0xffffffff,0x02dfffff,0x037ffe40,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0x77ffffc7,0xffff1002,
    0x3ffaa00b,0x3ffa1fff,0x881cefff,0xffffffff,0xffffd5ff,0x00ffffff,
    0xfffb7300,0xffffffff,0x100017dd,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x82aaaa00,0x8000aaaa,0x4001aaaa,0x440aaa98,0x00000aa9,
    0x00000000,0x19aa9988,0x2aa20000,0x0000002a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33100000,0x98001333,0x00019999,0x06b2eaa2,
    0x00000000,0x3332a000,0x4cccc80c,0x77531000,0x00000135,0x00e66644,
    0x00000040,0x006aee62,0x00010000,0x00059999,0x7fffffd4,0xffff5000,
    0xec9800df,0xffffffff,0x7c000bde,0x000fffff,0xfffd0000,0xdffff10f,
    0xfffd9800,0x00cfffff,0xfffa8000,0x7f64c01f,0x003defff,0x7ffee440,
    0x0cefffff,0x7f654000,0xe801bdff,0x20005fff,0x2ffffff8,0xfffffb00,
    0x7ffe4007,0xffffffff,0x2002ffff,0x00ffffff,0xff880000,0xfffa86ff,
    0x3ff2004f,0xffffffff,0x400002ff,0x2207fffc,0xfffffffc,0x8001efff,
    0xfffffffa,0x3fffffff,0xfffe8800,0x03ffffff,0x003fffe4,0x3fffff20,
    0xffff8805,0xfe9800ff,0xffffffff,0xffffffff,0xffff800d,0x000000ff,
    0x84ffff98,0x003ffffc,0xfffffff7,0x1fffffff,0x7ff40000,0xffff105f,
    0xffffffff,0x362007ff,0xffffffff,0xffffffff,0xfff3001e,0xffffffff,
    0x7ffd40bf,0x3e60001f,0x400fffff,0x06fffffa,0xffffffb8,0xffffffff,
    0x2fffffff,0x7fffffc0,0xb8000000,0xfd82ffff,0xf9801fff,0xefffffff,
    0x06ffffff,0xffff1000,0x3ffffa07,0xffffffff,0x7cc01fff,0xffffffff,
    0xffffffff,0x7cc00fff,0xffffffff,0x105fffff,0x0007ffff,0x2fffffe8,
    0x7ffffec0,0x7fffcc03,0xffffffff,0xffffffff,0x3fe01fff,0x0000ffff,
    0xffffc800,0x07ffff81,0xdfffff90,0x7fffecc3,0xfa80002f,0xffb81fff,
    0xfeffffff,0x0effffff,0xffffff10,0xffffffff,0xdfffffff,0xfffffd80,
    0xffffffff,0xfffd02ff,0xffb80009,0x3e205fff,0x400fffff,0xfffffffe,
    0xd7510abe,0xbfffffff,0x7fffffc0,0xe8000000,0xff887fff,0xffd006ff,
    0xff103fff,0x00007fff,0x3a0ffff9,0x22efffff,0xffffffb8,0xfffffb02,
    0x5cc35bff,0xffffffff,0xfffff504,0x3ffaa39f,0xff906fff,0xf88000df,
    0x500fffff,0x80bfffff,0xfffffffc,0xffff9004,0x3fe05fff,0x0000ffff,
    0x7fffc400,0x4ffffa86,0xffffff00,0x3ffff601,0xffe80005,0xffff885f,
    0xfff901ff,0xfff307ff,0x8805ffff,0x7ffffffd,0xdfffffb0,0xffffff10,
    0x1ffff503,0xfffd8000,0xfffb02ff,0x7fcc05ff,0x002fffff,0x7fffffd4,
    0xfffff80f,0x4000000f,0xc84ffff9,0xb003ffff,0x205fffff,0x003ffffe,
    0x1ffffc40,0x37ffffcc,0xbfffff30,0xffffffd0,0x7fff4001,0xfff82fff,
    0xff901fff,0xff109fff,0xa80005ff,0xf05fffff,0xd80fffff,0x04ffffff,
    0xfffff900,0xfffff09f,0xaccb981f,0xffffc801,0xffffffff,0xffffffff,
    0x3ee02fff,0x640fffff,0x001fffff,0x0ffffcc0,0x1fffffcc,0x17ffffe0,
    0x7ffffff7,0xffff8800,0x7ffd45ff,0x3fea06ff,0xffd06fff,0xf880009f,
    0x540fffff,0x404fffff,0x0fffffff,0xffff1000,0xffff0fff,0x3ffea1ff,
    0x202fffff,0xfffffffc,0xffffffff,0xffffffff,0x3fffe602,0x3fff26ff,
    0xb80006ff,0xff00ffff,0x7cc0bfff,0x7f43ffff,0x0007ffff,0x70159dfb,
    0x40bfffff,0x0ffffff8,0x006fffc8,0xfffffc80,0x7ffffec2,0x3fffea01,
    0x640004ff,0x40ffffff,0xc8ffffff,0xffffffff,0xfff904ff,0xffffffff,
    0xffffffff,0xc805ffff,0xddffffff,0x03ffffff,0x6fffd800,0x3fffff60,
    0xfffff900,0xffffff81,0x00110003,0x09fffffb,0x1ffffff8,0x00ffffa8,
    0x7fffcc00,0x7ffffc5f,0x7fffe406,0x4c0000ff,0x42ffffff,0xfeffffff,
    0xffffffff,0xffc86fff,0xffffffff,0xffffffff,0x402fffff,0xffffffe8,
    0x04ffffff,0x9ffff000,0x7ffffdc0,0x3ffea21d,0x7ffc46ff,0x00001fff,
    0x7fffff40,0x7ffff403,0xffff882f,0xffe80002,0xfff50fff,0xffd807ff,
    0x80007fff,0x3ffffff8,0x7ffffffc,0xffffffff,0x5c3fffff,0xfffeeeee,
    0xffeeeeef,0x1eeeefff,0xfffffa80,0x03ffffff,0xffff3000,0xffffd805,
    0xffffdeff,0x7fd41fff,0x0000ffff,0x7ffffc00,0x7fff402f,0xffff03ff,
    0xff700009,0x3ff25fff,0x7f400fff,0x0007ffff,0x9ffffff0,0xfffffff8,
    0xff930aef,0x801fffff,0xd82ffffb,0x8001ffff,0xfffffff8,0x00001eff,
    0x003fffee,0xffffffb1,0x1dffffff,0xffffff70,0xff000000,0xe805ffff,
    0xb03fffff,0x0000dfff,0x2bfffff1,0x805fffff,0x06fffffe,0xffffd000,
    0xfffff8bf,0x3fee05ff,0x6c04ffff,0xff81ffff,0xfb8007ff,0xffffffff,
    0x6c00000f,0x2a006fff,0xffffffff,0x3ff205ff,0x00007fff,0xffffff80,
    0x7fffec02,0xffff704f,0xffb00001,0xffff5fff,0xffff005f,0x20000bff,
    0x47fffffd,0x0fffffff,0x7ffffec0,0x3ffff407,0x037fffc4,0xfffffd10,
    0x0bffffff,0xffff8000,0xfffd3004,0xffffffff,0xffffb01b,0x800000df,
    0x2ffffff8,0x7ffffec0,0x3ffff304,0xfff50000,0xffffffff,0xfffff001,
    0x360000bf,0x7c7fffff,0x804fffff,0x0ffffff9,0x0dffff10,0x009ffff5,
    0x3fffffa2,0xffffffff,0x4c000c43,0xb802ffff,0xffffffff,0x1fffffff,
    0x37fffff4,0x3e200000,0x402fffff,0x04fffffd,0x000ffffe,0x7fffffc0,
    0xd005ffff,0x00dfffff,0x3ffffa00,0x7ffffc5f,0xffff002f,0x3fe603ff,
    0xfffb84ff,0xffe8802f,0xffcfffff,0x322fffff,0xb802bdff,0x5400ffff,
    0xbdffffff,0xfffffeca,0x3ffff61f,0x8000007f,0x02ffffff,0x27ffffec,
    0x00bfffb0,0x3ffff200,0x002fffff,0x0ffffffb,0x3fffe000,0x7fffc4ff,
    0xffd001ff,0x3ee05fff,0xffd83fff,0xffc801ff,0xf90effff,0x21ffffff,
    0x00ffffff,0x4037ffec,0x83ffffff,0x5fffffd8,0x1fffffee,0x3fe00000,
    0x7402ffff,0x204fffff,0x0007fffb,0xffffff30,0x7dc00fff,0x0007ffff,
    0xffffff88,0x7fffffc3,0xffffb000,0x3fbbae7f,0xeeeeffff,0xeefffffe,
    0x3fe21eee,0x6c0dffff,0xaeffffff,0x806fffff,0x4c04ffff,0x205fffff,
    0x1ffffff8,0x1ffffff5,0xff800000,0x7402ffff,0x203fffff,0x001ffff9,
    0xfffffd00,0x7d4009ff,0x001fffff,0x7ffffcc0,0x7ffffc2f,0xfffb000f,
    0x3fff29ff,0xffffffff,0xffffffff,0x3f22ffff,0x880fffff,0xfffffffe,
    0x403fffff,0x402ffff8,0x03fffffb,0xa7ffffdc,0x1ffffff9,0x80373000,
    0x02ffffff,0x1ffffff4,0x00ffffe0,0x7fffdc00,0x26001fff,0x04ffffff,
    0x7fffec00,0x7fffc0ff,0xffb000ff,0x3ff25fff,0xffffffff,0xffffffff,
    0x362fffff,0x205fffff,0xfffffff9,0x400fffff,0x401ffffa,0x00fffffe,
    0xafffffd4,0x4ffffff8,0x9dffb000,0xfffffb03,0xfffff807,0x7ffec01f,
    0xff100005,0x800dffff,0xfffffff8,0xfff30001,0xfff0ffff,0x3a003fff,
    0xf91fffff,0xffffffff,0xffffffff,0x45ffffff,0x03fffffe,0x7fffffd4,
    0xc804ffff,0x7c407fff,0x9806ffff,0x3e6fffff,0x00ffffff,0xffffff80,
    0x7ffffe46,0x3fffe204,0x7fdc00ff,0xf100007f,0x007fffff,0xffffffb0,
    0x3ff6000b,0xff84ffff,0xf003ffff,0x321fffff,0xffffffff,0xffffffff,
    0x2fffffff,0x0bfffffe,0x3ffffee0,0xe800ffff,0xff805fff,0xfa807fff,
    0x3f25ffff,0x003fffff,0x7fffffdc,0x7ffffdc3,0x3fffe606,0xfff9807f,
    0xfc80001f,0x000fffff,0xffffff88,0x7fdc003f,0xf80fffff,0x806fffff,
    0x07fffffa,0xf03ffffb,0x3a00ffff,0x003fffff,0xfffffffb,0xffff100b,
    0xffffd007,0xfffb803f,0x7fff43ff,0xf3000fff,0x81ffffff,0x0ffffff9,
    0xbfffff70,0x7ffff100,0xfff88000,0x20005fff,0xfffffffb,0x7fec400d,
    0xf02fffff,0x07ffffff,0x6fffffe8,0x10fffff0,0x200bffff,0x0ffffffc,
    0x7fffec40,0x200dffff,0x801ffffa,0x05fffffc,0x3fffffe2,0x7ffffd42,
    0x7f4c02ff,0xd04fffff,0x107fffff,0x05ffffff,0x017fffa0,0xffffd880,
    0x740002ff,0xffffffff,0xff9510ac,0x0dffffff,0x7ffffffc,0xffffb03f,
    0xfff103ff,0xffff50df,0x3ffea009,0xf700efff,0xffffffff,0x3f203dff,
    0xff7007ff,0xb107ffff,0x01ffffff,0xfffffffb,0x3f26235b,0x1fffffff,
    0xffffff90,0xfffffc83,0xfff9000f,0x2f32200f,0xfffffffc,0xff980006,
    0xffffffff,0xffffffff,0x201fffff,0xffffffff,0xffecacef,0xf505ffff,
    0xff709fff,0x7ec005ff,0xcdffffff,0xffffffec,0xffffffff,0x5fffe84f,
    0xffffd100,0xfd959dff,0x209fffff,0xfffffff9,0xffffffff,0x03ffffff,
    0x3fffffe2,0xfffffcef,0x3ea004ff,0xff000fff,0xffffffff,0x2a00005f,
    0xffffffff,0xffffffff,0x402fffff,0xffefffff,0xffffffff,0xf701ffff,
    0xffb05fff,0x7c4001ff,0xffffffff,0xffffffff,0xffffffff,0x3ffe21ff,
    0x3fe6003f,0xffffffff,0x06ffffff,0x7fffffd4,0xffffffff,0x804fffff,
    0xfffffffb,0xffffffff,0x3ffe2000,0xffff002f,0x0bffffff,0xffd88000,
    0xffffffff,0xdfffffff,0xfffff800,0xffffffac,0x03ffffff,0x207ffff6,
    0x8007fffe,0xfffffffa,0xffffffff,0xffffdaef,0x7ffd43ff,0x7fd4001f,
    0xffffffff,0x801fffff,0xffffffd8,0xffffffff,0x3f2005ff,0xffffffff,
    0x8001ffff,0xd004fffe,0xffffffff,0x5400000b,0xffffffff,0x2fffffff,
    0x3ffffe00,0xffffff34,0xf803ffff,0xff887fff,0xb10005ff,0xffffffff,
    0xb87fffff,0xfc85ffff,0xd50007ff,0xffffffff,0x8001bfff,0xfffffffb,
    0x2effffff,0xffffa800,0x0effffff,0xdfff9000,0x3ffff600,0x00002eff,
    0xffedb880,0xbdefffff,0x7fffc000,0x3fff624f,0x4400dfff,0xf986ffff,
    0x40004fff,0xffffffea,0xd100deff,0xfffd01df,0xffb8000d,0x2fffffff,
    0x3f726000,0xefffffff,0x7ecc0002,0x04efffff,0x7fffd400,0x35533000,
    0x00000001,0x001aba98,0x55c40000,0x33322000,0xcccc982c,0x26200001,
    0x64001aba,0x05999900,0x32a62000,0x8000009a,0x001aaba8,0x13751000,
    0x33220000,0x000001cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02000000,0x55440000,0x0009aacb,
    0x37973100,0x02666660,0x32aa6200,0x000019ac,0x00000040,0x04000000,
    0x00000000,0x00000000,0x26000000,0x2cdfffdc,0x3fb22000,0xffffffff,
    0xd88000bf,0xdfffffff,0x7fffff30,0x7ffed400,0xefffffff,0x65cc0002,
    0x00cdeffe,0xffc80000,0x75003fff,0x05bdfffb,0x4fffffd8,0xffffd800,
    0x7c40005f,0xfd1fffff,0x0005ffff,0x3fff2200,0x0effffff,0x7fffdc00,
    0xffffffff,0x26003fff,0xffffffff,0xfff98eff,0xffa803ff,0xffffffff,
    0x03ffffff,0xfffffc80,0x003fffff,0x7ffe4000,0x7f4403ff,0xffffffff,
    0xffffb01d,0xffb0009f,0x8000bfff,0x1ffffff8,0x05fffffd,0xffd30000,
    0xffffffff,0x3f6005ff,0xffffffff,0xffffffff,0xffffa806,0xffffffff,
    0x3fffffbe,0x7ffffe40,0xffffffff,0x00efffff,0xffffffb0,0x1bffffff,
    0x3f200000,0x2a03ffff,0xffffffff,0xd80fffff,0x004fffff,0x5fffffd8,
    0x7ffc4000,0xfffd1fff,0x800005ff,0xfffffff8,0xffffffff,0x7fffe403,
    0xffffffff,0x4fffffff,0x3ffffe20,0xffffffff,0x3fffffff,0xfffffd10,
    0xffffffff,0xbfffffff,0xffffe880,0xffffffff,0x000005ff,0x07fffff9,
    0x3fffffee,0xffffffff,0xfffffd86,0xfffd8004,0x440005ff,0xd1ffffff,
    0x005fffff,0xffffd800,0xffffffff,0xf101ffff,0xffffffff,0xfffffddd,
    0x2e05ffff,0xaeffffff,0xfffff930,0x3fa07fff,0xffffffff,0xffffffff,
    0x205fffff,0xfffffffb,0xffffffff,0xc800003f,0xa83fffff,0xffffffff,
    0xffffffff,0x7ffffec4,0xfffd8004,0x440005ff,0xd1ffffff,0x005fffff,
    0x7fffd400,0xffb10bff,0x320dffff,0x1dffffff,0xfffffd50,0xffff10ff,
    0x3ea01bff,0x83ffffff,0xfffffffc,0x36621acf,0xffffffff,0xfffffd02,
    0x3ffae25d,0x00007fff,0x3fffffc8,0xffffffe8,0xffffb50a,0xffffd8ff,
    0xffd8004f,0x40005fff,0x1ffffff8,0x05fffffd,0x7fff4000,0xfff903ff,
    0xfff03fff,0xd100bfff,0x81ffffff,0x0ffffffb,0x7ffffe40,0x7fffd43f,
    0x9800dfff,0x5fffffff,0x6fffff98,0xffffff50,0xfc800003,0x7dc3ffff,
    0x881fffff,0x21ffffff,0x04fffffd,0xfffffd80,0x7fc40005,0xffd1ffff,
    0x00005fff,0x03fffffc,0x13fffffa,0x1ffffff1,0x3fffea00,0x7ffe42ff,
    0xff8804ff,0x7fc3ffff,0x003fffff,0x7fffffcc,0x7fffe40f,0x3fffe03f,
    0x400002ff,0x43fffffc,0x04fffffe,0x8ffffff2,0x04fffffd,0xfffffd80,
    0x7fc40005,0xffd1ffff,0x00005fff,0x13ffffe6,0xffffff70,0xffffff88,
    0x3fffe001,0x7ffec4ff,0xffd002ff,0x7fd47fff,0x0006ffff,0x7ffffff7,
    0x0ffdca98,0x3fffff60,0x79751002,0xffffc815,0x3fffe23f,0x26a200ff,
    0xfffffb01,0xfffb0009,0x88000bff,0xd1ffffff,0x885fffff,0x400abcb9,
    0x04fffffa,0x7fffffcc,0x7fffffc0,0x26aaa005,0x7fff4099,0xffb001ff,
    0x7fec7fff,0x0001ffff,0x8006f3be,0x7ffff400,0x7fec400f,0x90dfffff,
    0x547fffff,0x006fffff,0xfffffd80,0xfffd8004,0x440005ff,0xd1ffffff,
    0x225fffff,0xfffffffd,0xffff700d,0xfff8807f,0x7fec2fff,0x002effff,
    0x3ffffe00,0xfff9000f,0x3ffe27ff,0x00005fff,0xff300000,0xf980bfff,
    0xffffffff,0xffffc9ef,0x3ffff23f,0xfd80005f,0x8004ffff,0x05fffffd,
    0x7fffc400,0xffffd1ff,0xffffd35f,0x03dfffff,0x07fffff7,0xffffff88,
    0x7ffffe43,0x00adffff,0xfffff100,0x3ff2001f,0xfff53fff,0x00005fff,
    0xfd300000,0x5407ffff,0xffffffff,0xffefffff,0x3ff63fff,0x36e64fff,
    0x7ec009bd,0x8004ffff,0x05fffffd,0x7fffc400,0xffffd1ff,0xffffff9f,
    0x0fffffff,0x09fffff3,0xffffff98,0x7ffff444,0xefffffff,0x7ffc001b,
    0xfb001fff,0x3ee7ffff,0x001fffff,0x95000000,0x9ffffffb,0x7ffffc40,
    0xffffffff,0x3fffffff,0x2ffffffa,0xffffffe8,0x3fff602f,0xfd8004ff,
    0x0005ffff,0x7fffffc4,0xffffffd1,0xffffffff,0x887fffff,0x406fffff,
    0x5ffffffa,0xffffff98,0xffffffff,0xffe801cf,0xfd002fff,0x3f27ffff,
    0x000fffff,0xfd000000,0x05ffffff,0xffffffc8,0xfff930ae,0x7c7fffff,
    0xffcfffff,0xffffffff,0xfffffb04,0xfffb0009,0x88000bff,0xd1ffffff,
    0xdfffffff,0x3fff2637,0xfff86fff,0x3fa01fff,0x705fffff,0xffffffff,
    0xffffffff,0x7ffec01d,0xff8804ff,0xffb3ffff,0x2200ffff,0x99999999,
    0x40019999,0x2fffffff,0x7ffffc40,0xfff500df,0x7fc7ffff,0xffffffff,
    0xffffffff,0xfffffd85,0xfffd8004,0x440005ff,0xd1ffffff,0x1fffffff,
    0x3fffff20,0x7fffdc0f,0xfffc80ef,0x2605ffff,0xfffffffe,0xffffffff,
    0xffff901e,0xffd801ff,0xffd3ffff,0x3a00dfff,0xffffffff,0x000fffff,
    0xfffffff1,0x3fee019f,0x6c00ffff,0x23ffffff,0xffffffff,0xffffeeff,
    0x7fec2fff,0xd8004fff,0x005fffff,0x7ffffc40,0xfffffd1f,0x7ffc403f,
    0xffe81fff,0xdbacffff,0xffffffff,0xfffeb805,0xffffffff,0xf981ffff,
    0x205fffff,0xfffffffa,0xdfffffb3,0x3ffffa00,0xffffffff,0xfff3000f,
    0x3fffffff,0x9fffff90,0xfffff300,0x3fffe27f,0x220dffff,0x0ffffffd,
    0x13fffff6,0x3ffff600,0x7c40005f,0xfd1fffff,0xf00bffff,0x503fffff,
    0xffffffff,0xffffffff,0x5c400bff,0xfffffffe,0x81ffffff,0xeffffffd,
    0xffff930a,0x3f67ffff,0xd007ffff,0xffffffff,0x001fffff,0x3f6a66a6,
    0x6c1fffff,0x002fffff,0x47ffffff,0x6fffffff,0x3fffff60,0x3fffff64,
    0xfffd8005,0x440005ff,0xd1ffffff,0x007fffff,0x03fffffd,0x3fffffee,
    0xffefffff,0x10005fff,0xfffffd95,0xf30bffff,0xffffffff,0xffffffff,
    0x3ff27fff,0xe800ffff,0xffffffff,0x000fffff,0x7ffffe40,0x7fffff46,
    0xffffd001,0x7ffffc7f,0x3fe601ff,0x3ff65fff,0xd8005fff,0x005fffff,
    0x7ffffc40,0xfffffd1f,0xffffd007,0x7ff4c05f,0xc9ffffff,0x004fffff,
    0xffff9100,0xf701ffff,0xffffffff,0xfffbdfff,0x3ffee7ff,0xfe801fff,
    0xffffffff,0x0000ffff,0x2fffffe8,0x03fffffe,0x7ffffec0,0x3fffffe3,
    0xfffff807,0x3fffff67,0xfffd8005,0x440005ff,0xd1ffffff,0x005fffff,
    0x05fffffd,0xefffdb88,0xfffffb0c,0xd8800007,0x02ffffff,0xfffffff7,
    0xff91dfff,0x3fea7fff,0x8803ffff,0xfb999999,0x000fffff,0xfffffc80,
    0xffffff14,0x3fff2001,0x3fffa3ff,0xffe806ff,0xfffb0fff,0xfb000bff,
    0x0009ffff,0xffffff88,0x5fffffd1,0xfffffd00,0xfd008005,0x2e25ffff,
    0x000feedc,0x7fffffcc,0x3fffea03,0xf90dffff,0x7fc7ffff,0x0006ffff,
    0x7fffffdc,0xffa80000,0x3ffe6fff,0xfb001fff,0x7ec7ffff,0xd806ffff,
    0xf91fffff,0x000dffff,0x89fffffd,0x4c03aa98,0xd1ffffff,0x005fffff,
    0x05fffffd,0x3fffe000,0xffff11ff,0xfd0005ff,0x8809ffff,0x41bdfdba,
    0x22fffffc,0x3ffffffc,0x3ffee000,0x02200fff,0x3ffffea0,0x3fffffa6,
    0xffffd001,0x7fffdc7f,0xfffd807f,0xffff70ff,0xfff000df,0x3fe27fff,
    0x7cc07fff,0xfd0fffff,0xd005ffff,0x005fffff,0xfffff300,0xfffffe8f,
    0xffff8005,0x200003ff,0x22fffffd,0x6ffffff9,0x3ffee000,0xdb910fff,
    0xff700dff,0x7fecbfff,0xff003fff,0x7d47ffff,0x400fffff,0x2a7ffffe,
    0x02ffffff,0x3ffffe60,0x3ffffe2f,0x3ffea00f,0xfffd0fff,0xffd005ff,
    0xcca85fff,0x3f601fee,0x7e44ffff,0x002fffff,0x3fffffea,0x00026a22,
    0x07fffffa,0xbffffffd,0xffd88001,0x3fe0ffff,0x6c00ffff,0x324fffff,
    0x806fffff,0x3ffffffa,0x3fffffe2,0x3fffe203,0x3fffe66f,0xfd000fff,
    0x743fffff,0x202fffff,0x27fffffc,0x02fffffe,0x2fffffe8,0x27ffffec,
    0xffffff88,0x7ffffd42,0xff9801ff,0x2a0fffff,0x03eeffff,0x3fffffc4,
    0x7fffffcc,0xfc8801ef,0x0fffffff,0x13fffff6,0xffffffa8,0x3ffffea2,
    0x7fff402f,0x7fec3fff,0xf700ffff,0xff8bffff,0x805fffff,0x7ffffffa,
    0x77ffffec,0xffffff00,0x7fffff4b,0xffffe802,0x7fffd42f,0x7ff441ff,
    0xffd06fff,0x139fffff,0x7fffe4c4,0x7fc45fff,0x200fffff,0x06fffffd,
    0xfffffff9,0x7311379f,0xfffffff9,0x7fdc1fff,0x541cffff,0x0fffffff,
    0x7ffffff4,0xffffd882,0x7fd43fff,0x540effff,0x42ffffff,0xfffffffb,
    0x3f6621ae,0x43ffffff,0xeffffffc,0xfffe9889,0x3ffa3fff,0xfe802fff,
    0x7c42ffff,0xceffffff,0xfffffffd,0xfffff301,0xffffffff,0xffffffff,
    0xffffd03f,0x7557bfff,0x5ffffffd,0x7fffff40,0xffffffff,0xffffffff,
    0x7f447fff,0xceffffff,0xfffffffe,0xfffffa82,0xffcabdff,0x3fffffff,
    0xffffffd8,0xffffecdf,0xffff05ff,0xffffffff,0xffffffff,0xffff10ff,
    0xffffffff,0xe8ffffff,0x802fffff,0x82fffffe,0xfffffffc,0xffffffff,
    0x7fffdc04,0xffffffff,0xffffffff,0xfffff703,0xffffffff,0x80bfffff,
    0xffffffd8,0xffffffff,0xffffffff,0xffff980d,0xffffffff,0x3604ffff,
    0xffffffff,0xffefffff,0xff883fff,0xffffffff,0x00ffffff,0xfffffff7,
    0xffffffff,0x207fffff,0xfffffffb,0xffffffff,0x7ffff43f,0xfffe802f,
    0xfffb02ff,0xffffffff,0x3f2007ff,0xffffffff,0xffffffff,0x7ffe404f,
    0xffffffff,0x00ffffff,0xffffff90,0xffffffff,0x07ffffff,0xffffffb8,
    0xffffffff,0x7fff4406,0xffffffff,0x3fffff9d,0xfffffd30,0xffffffff,
    0xffffa805,0xffffffff,0x03ffffff,0x7ffffff4,0xffffffff,0xfffffe84,
    0xffffe802,0xfffd102f,0xffffffff,0xffe98003,0xffffffff,0x002fffff,
    0xfffffff9,0xbfffffff,0xffda8001,0xffffffff,0x03efffff,0x3ffffaa0,
    0x3fffffff,0xffffb100,0x269fffff,0x203fffff,0xffffffd8,0x001effff,
    0xffffffd1,0xffffffff,0xff91003d,0xffffffff,0x3ffa07ff,0xfe802fff,
    0x5402ffff,0xefffffff,0x3aa0000c,0xffffffff,0x4000bdff,0xffffffb8,
    0x001defff,0x7fffe440,0xbeffffff,0x3fee0001,0x0dffffff,0xfffeb800,
    0x3fe63dff,0xeb803fff,0x3fffffff,0xfffb7000,0xdfffffff,0xffd30007,
    0x19ffffff,0x7fffff40,0xffffe802,0x7753002f,0x10000013,0x13557753,
    0x54c40000,0x0000019a,0x2ab2aa62,0x44000009,0x0000aba9,0x00037310,
    0x09bb9800,0x55310000,0x00155597,0x2aaea600,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55dcc000,0x09999981,0x01acca88,0x00001000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffd5,
    0x3fffe1df,0x3fffaa5f,0x0002ffff,0xff9009b1,0xffffffff,0xffffffff,
    0xfd8dffff,0x006fffff,0x3fffffa0,0x3ffff23f,0x7c4006ff,0x23ffffff,
    0x06fffffd,0x3fffff60,0xff5001ff,0x7f41ffff,0x000fffff,0x3ffffe60,
    0x3ffffe4f,0x0000000f,0x3fffffea,0x3ffe7fff,0xffff55ff,0x09ffffff,
    0x804ffc80,0xfffffffc,0xffffffff,0x6fffffff,0x7fffffc4,0xffb8002f,
    0x7446ffff,0x03ffffff,0x3fffff20,0x7fffdc6f,0xfff000ff,0x007fffff,
    0x1bfffff2,0x7ffffff7,0x7ffe4000,0x3ffe1fff,0x00000fff,0xfffff300,
    0x7cbfffff,0xffbdffff,0xffffffff,0xffa806ff,0xffc804ff,0xffffffff,
    0xffffffff,0xfb86ffff,0x00ffffff,0x3ffffe20,0xfffa81ff,0x9800ffff,
    0x1fffffff,0x7fffffcc,0xffff9802,0xd005ffff,0x889fffff,0x06ffffff,
    0x3ffffa00,0x7ffffc6f,0x0000000f,0xfffffff9,0x7ffc9fff,0xffffffff,
    0xffffffff,0x3ffee03f,0xffc804ff,0xffffffff,0xffffffff,0xfd06ffff,
    0x009fffff,0x7fffffe4,0x3ffff604,0xffe805ff,0xff03ffff,0x7007ffff,
    0xffffffff,0xffff100f,0xfffb05ff,0x30003fff,0x87ffffff,0x00ffffff,
    0xffd00000,0x5337dfff,0x7fffffc1,0xda99bfff,0x0fffffff,0x9fffff70,
    0xfffff900,0xffffffff,0xffffffff,0x3ffe60df,0x9801ffff,0x0fffffff,
    0x3ffffe20,0x3fee02ff,0x3606ffff,0x805fffff,0xfffffffd,0x7fcc01ff,
    0xfa80ffff,0x003fffff,0xffffffb8,0x7fffffc0,0xf0000000,0x807fffff,
    0xefffffff,0xfffff701,0x3ffee09f,0xaa9804ff,0xaaaaaaaa,0xffffaaaa,
    0x3202ffff,0x05ffffff,0xffffffd8,0xffffa802,0xff880fff,0x201fffff,
    0x07fffffb,0xfffffff8,0x7dc03fff,0xf106ffff,0x00dfffff,0xdfffffd0,
    0x1ffffff0,0x3e000000,0x401fffff,0x1fffffff,0x7ffffec0,0xfffff707,
    0x64000009,0x4fffffff,0xfffffe80,0x3ffea02f,0x36005fff,0x84ffffff,
    0x4ffffffd,0x7ffffd40,0x3ffe600f,0x5fffffff,0x7ffffec0,0x3ffff604,
    0x3e6001ff,0xf83fffff,0x000fffff,0xffff0000,0xfff801ff,0xf9805fff,
    0x310fffff,0xbfffff93,0x00001333,0x3fffffea,0xfff5005f,0x7f40dfff,
    0x000fffff,0x3fffffe2,0x3fffe61f,0x7c400eff,0x202fffff,0xfffffffb,
    0x7fc07fff,0x2a02ffff,0x04ffffff,0x3ffffee0,0xfffff80f,0x1000000f,
    0xfffff333,0xf813333f,0x002fffff,0x23fffffd,0xfffffffa,0x006fffff,
    0xfffff980,0x36000eff,0x84ffffff,0x3ffffffb,0xffffb800,0x3fffa6ff,
    0xfd002fff,0x6c09ffff,0xffdfffff,0xff101fff,0xf801ffff,0x006fffff,
    0x17fffffa,0x07fffffc,0x33333310,0xffffb801,0xffffffff,0x7ffffc4f,
    0xfffb001f,0x3ffea5ff,0xffffffff,0x7440006f,0x1fffffff,0x7fffc400,
    0x3fe20fff,0x0006ffff,0x3ffffffa,0xffffffbb,0x3fff2005,0x3ffe06ff,
    0xffffbdff,0xffff503f,0xfff900df,0xf1003fff,0x205fffff,0x00ffffff,
    0xfffffff5,0xffffb803,0xffffffff,0x7ffffc4f,0xfff9000f,0x3ffea7ff,
    0xffffffff,0x7ec0006f,0x02ffffff,0xfffff500,0x7fffe4bf,0x260001ff,
    0xffffffff,0x00ffffff,0x3ffffea0,0xfffff507,0xbfffff17,0x3fffff20,
    0xffff9804,0xffb804ff,0xff00ffff,0xf301ffff,0x03ffffff,0xffffff70,
    0x9fffffff,0x0ffffff8,0xfffff900,0x3ffffea9,0x6fffffff,0x3fff2000,
    0x0003ffff,0x7fffffec,0xffffff9a,0xffb80004,0xffffffff,0x7c4002ff,
    0xc81fffff,0xfd1fffff,0x3f60ffff,0xd003ffff,0x00ffffff,0x0bfffffd,
    0x07fffffc,0x3fffffa2,0xfff7002f,0xffffffff,0xffff89ff,0xffb001ff,
    0x33267fff,0xcefffffe,0xf50003cc,0x0bffffff,0xffff1000,0xffffddff,
    0x200001ff,0xfffffffe,0xd0005fff,0xd07fffff,0x7e4fffff,0xff81ffff,
    0x7001ffff,0x03ffffff,0x7fffffc4,0x3ffffe02,0x3fffa20f,0x26002fff,
    0xfffffccc,0x7c2ccccf,0x002fffff,0x05fffffb,0x09fffff7,0xffff3000,
    0x0001dfff,0x3ffffee0,0x2fffffff,0x3fe60000,0xffffffff,0xfff90000,
    0xfff88bff,0x3ffea5ff,0x7ffcc3ff,0x3e6007ff,0x204fffff,0x07fffffb,
    0x07fffffc,0x7ffffffb,0xffff8000,0xffff807f,0xffd004ff,0xff703fff,
    0x80009fff,0xfffffff8,0x7400000f,0xffffffff,0x800005ff,0xfffffffc,
    0x3ee0003f,0x7d46ffff,0x3e23ffff,0x7dc5ffff,0x4005ffff,0x07fffffe,
    0x13fffffa,0x1ffffff0,0x3ffffff6,0xfff80004,0xfff807ff,0x5400ffff,
    0x80ffffff,0x04fffffb,0x7ffff400,0x00002fff,0xffffff98,0x0000ffff,
    0xfffff980,0x4c0007ff,0x20ffffff,0x41fffffc,0x647ffffe,0x003fffff,
    0x7fffffdc,0xfffff881,0x7fffc01f,0xffffc8ff,0xf00004ff,0xf00fffff,
    0x07ffffff,0x6fffffd8,0x9fffff70,0x7ffe4000,0x0003ffff,0x3ffff200,
    0x0003ffff,0xfffffd00,0x80007fff,0x22ffffff,0xc87ffffe,0x3a1fffff,
    0x001fffff,0x7fffffc4,0xfffffb84,0xfffff806,0xffffffcf,0x3fe00005,
    0xff807fff,0x03ffffff,0x5ffffff9,0x3ffffee0,0xfff70004,0x000bffff,
    0xffff8800,0x00006fff,0xffffff70,0x0001ffff,0x9fffffec,0x85fffff8,
    0x13fffffa,0x00ffffff,0x3fffff60,0xfffffd87,0xfffff803,0xffffffff,
    0x3fe00000,0xff807fff,0xefffffff,0xffffecac,0x3fee06ff,0x98004fff,
    0x6fffffff,0xf7000000,0x003fffff,0xffff1000,0xbfffffff,0x7ffdc000,
    0xffff55ff,0xffff105f,0x3fffe6bf,0xff50005f,0x7c45ffff,0x801fffff,
    0xffffffff,0x004fffff,0x3ffffe00,0xfffff807,0xffffffff,0x1fffffff,
    0x3ffffee0,0x7ffc4004,0x000fffff,0xfff50000,0x00001fff,0xffffffd0,
    0x07ffffff,0x3fffe600,0xfffffb7f,0x3ffffa01,0x7fffff77,0x3ffe2000,
    0x3fee4fff,0xff006fff,0xffffffff,0x0003ffff,0x1fffffe0,0x3fffffe0,
    0xfffffffc,0x404fffff,0x04fffffb,0x7fffff40,0x000001ff,0x3ffffea0,
    0x5c00000f,0xffffffff,0x00ffffff,0xffffff00,0x0dfffff3,0x4fffffdc,
    0x01fffffd,0x3ffff600,0x3ffff67f,0xffff003f,0xffffffff,0x20000dff,
    0x807fffff,0x98ffffff,0xfffffffe,0xffb802ff,0x36004fff,0x3fffffff,
    0x54000000,0x00ffffff,0x3ffe2000,0xffdbffff,0x0005ffff,0xf9fffffb,
    0x4c09ffff,0xffbfffff,0x40007fff,0xaffffffa,0x0ffffff8,0xffffff00,
    0xfffffdff,0xff00005f,0xff00ffff,0x3621ffff,0x0dffffff,0xfffff700,
    0x3ffee009,0x0004ffff,0xfffa8000,0x00000fff,0x3ffffff6,0xffffff16,
    0xff90007f,0xffffffff,0xffff805f,0x6fffffef,0xffff8000,0xffffadff,
    0x3ffe005f,0xfb8fffff,0x0006ffff,0x07fffff8,0x0ffffff8,0x8001ab98,
    0x04fffffb,0xffffff98,0x0000005f,0xffffff50,0x3ea00001,0x21ffffff,
    0xfffffffb,0x7ffd4000,0xffffffff,0x7fffec00,0x04ffffff,0xffffc800,
    0xfffffeff,0x3fffe002,0x3ffa1fff,0x40003fff,0x807fffff,0x00ffffff,
    0xfffb8000,0x7fc405ff,0x00efffff,0xf5000000,0x001fffff,0xfffff100,
    0xfffd09ff,0x8800bfff,0xffffffff,0xffb806ff,0xffffffff,0xff980002,
    0xffffffff,0x3fe000ff,0x7d41ffff,0x000fffff,0x1fffffe0,0x3fffffe0,
    0xfb800000,0x7406ffff,0x1fffffff,0x20000000,0x0ffffffa,0xfffd8000,
    0xff306fff,0x007fffff,0xffffffe8,0xf9804fff,0xffffffff,0xfd00000f,
    0xffffffff,0xfff800bf,0xffe80fff,0x20005fff,0x807fffff,0x00ffffff,
    0xfffa8000,0x26ecefff,0xfffffffb,0xaaaaaaad,0xaaaaaaaa,0xf50001aa,
    0x001fffff,0xfffffa80,0x3fee01ff,0x000fffff,0x3ffffff2,0xff001fff,
    0xdfffffff,0x7fe40000,0xffffffff,0x7fffc002,0xfff980ff,0xf0001fff,
    0xf00fffff,0x001fffff,0xffff1000,0x5cffffff,0xffffffff,0xffffffff,
    0xffffffff,0xff50003f,0x0001ffff,0x7fffffc4,0xfffe804f,0x2a005fff,
    0xffffffff,0x3fff6007,0x004fffff,0x3fffe600,0x007fffff,0x0ffffff8,
    0xdfffffb0,0x3fffe000,0xffff807f,0x000000ff,0xfffffffd,0x3ffee1ff,
    0xffffffff,0xffffffff,0x03ffffff,0xfffff500,0x7ec0001f,0x00ffffff,
    0xffffff98,0xfff1003f,0x00bfffff,0x7fffffd4,0x400002ff,0xfffffffe,
    0xfff8004f,0xff100fff,0x0005ffff,0x00ffffff,0x01ffffff,0x3fea0000,
    0x1fffffff,0xfffffff7,0xffffffff,0xffffffff,0x2a0007ff,0x00ffffff,
    0xfffff500,0x7e4005ff,0x00ffffff,0xfffffff0,0x7fc4007f,0x00ffffff,
    0x7ffdc000,0x001fffff,0x0ffffff8,0x3fffff20,0x7ffc000f,0xfff807ff,
    0x00000fff,0x3ffffa60,0xfff70dff,0xffffffff,0xffffffff,0x07ffffff,
    0x3fffea00,0xf88000ff,0x05ffffff,0x7ffff440,0xffb005ff,0x003fffff,
    0xffffffe8,0xf8800006,0x06ffffff,0xffffff00,0x7fffc401,0x7fc004ff,
    0xed807fff,0x0000eeee,0x0aba8800,0xffffffb8,0xffffffff,0xffffffff,
    0x50003fff,0x01ffffff,0xfffff900,0xf50001ff,0x07ffffff,0xffffff70,
    0xfff9000f,0x00009fff,0x3fffff60,0xfff0004f,0xfb801fff,0x000fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c000000,0xffffffff,0xffffffff,
    0xffffffff,0x5fffffb2,0x3ffffff6,0xffffffff,0x00acdeff,0xbfffffb0,
    0xffff9000,0x3ffff6df,0xffffffff,0x00bcefff,0x53fffffe,0x06fffffc,
    0xfffff980,0xffffffd5,0xfd800fff,0xffffffff,0xffffffb0,0xffffffff,
    0xffffffff,0x7ffffe4f,0xfffc8006,0x3e0effff,0x7c3fffff,0xffffffff,
    0xffffffff,0xffffffff,0x5fffffb2,0x3ffffff6,0xffffffff,0x3fffffff,
    0xfffffd80,0xfffc8005,0xffffb6ff,0xffffffff,0x9fffffff,0x3fffffe0,
    0xffffff94,0xfff98007,0xffffd5ff,0x003fffff,0x7ffffffc,0xfffb0fff,
    0xffffffff,0xffffffff,0x7fe4ffff,0x5c006fff,0xffffffff,0x7fffffc0,
    0x7fffffc3,0xffffffff,0xffffffff,0xfffb2fff,0x3fff65ff,0xffffffff,
    0xffffffff,0x7ec06fff,0x8005ffff,0xb6fffffc,0xffffffff,0xffffffff,
    0xff0bffff,0x3f29ffff,0x00ffffff,0x3ffffe60,0xffffffd5,0x26007fff,
    0xffffffff,0xffffb0ff,0xffffffff,0xffffffff,0x7ffe4fff,0x3ee006ff,
    0x1fffffff,0x3ffffff8,0x7ffffffc,0xffffffff,0xffffffff,0xffffb2ff,
    0x3ffff65f,0xffffffff,0xffffffff,0x3f605fff,0x8005ffff,0xb6fffffc,
    0xffffffff,0xffffffff,0xf8bfffff,0xf94fffff,0x0bffffff,0x7ffffcc0,
    0xffffffd5,0x2e00bfff,0xffffffff,0xffffb0ff,0xffffffff,0xffffffff,
    0x7ffe4fff,0xff5006ff,0x03ffffff,0x0ffffffe,0xffffffff,0xffffffff,
    0xffffffff,0x3ffff65f,0xfffffb2f,0xffffffff,0xffffffff,0x3f605fff,
    0x8005ffff,0xb6fffffc,0xffffffff,0xffffffff,0x45ffffff,0x94ffffff,
    0xffffffff,0x3ffe6005,0xffffd5ff,0x00ffffff,0x3ffffff6,0xffb0ffff,
    0xffffffff,0xffffffff,0x7e4fffff,0x9806ffff,0xffffffff,0x3ffffe01,
    0x5555543f,0xfffdaaaa,0xaaaaafff,0xffb0aaaa,0x3ff65fff,0xaaaaefff,
    0xffbaaaaa,0x05ffffff,0x0bfffffb,0xfffff900,0x3fffff6d,0xbaaaaaae,
    0xfffffffc,0x3ffffe6f,0xfffff94f,0x3001ffff,0x3abfffff,0xffffffff,
    0xfff801ff,0xffffffff,0xdfffffb0,0x55555555,0x55555555,0x7ffffe45,
    0x7fffcc06,0x7c01ffff,0x003fffff,0x7fffffb8,0x7fffec00,0xfffffb2f,
    0x7fdc400b,0xd80fffff,0x005fffff,0x6fffffc8,0x0bfffffb,0xfffffb10,
    0x3fffe5ff,0xffff94ff,0x009fffff,0x2bfffff3,0xfffffffe,0x7cc04fff,
    0xffffffff,0xffffb0ff,0xc80000bf,0x206fffff,0xfffffff8,0xffff801f,
    0xfb8003ff,0x4007ffff,0xb2fffffd,0x00bfffff,0xffffffd0,0xfffffb03,
    0xfff9000b,0x3fff6dff,0x3f6005ff,0xff3fffff,0x3f29ffff,0xffffffff,
    0x7ffcc01f,0xffffd5ff,0x0dffffdf,0xefffffb8,0xfb0fffff,0x000bffff,
    0xfffffc80,0xffffd106,0x3e005fff,0x003fffff,0x7fffffb8,0x7fffec00,
    0xfffffb2f,0xfff7000b,0xffb05fff,0x9000bfff,0x36dfffff,0x005fffff,
    0x3fffffea,0x9fffffd4,0x3ffffff2,0x4c06ffff,0xfd5fffff,0xfff9ffff,
    0x7ff401ff,0xffffecff,0xfffffb0f,0xfc80000b,0xe886ffff,0x2fffffff,
    0x3ffffe00,0xffb8003f,0x6c007fff,0xfb2fffff,0x000bffff,0x5ffffff3,
    0xbfffffb0,0xffff9000,0x3ffff6df,0x7ffc005f,0xfffb5fff,0x3fff27ff,
    0xffffffff,0x3fffe602,0xfffffd5f,0x05fffff5,0x2bffffe2,0xb0fffffe,
    0x00bfffff,0xffffc800,0xffffe86f,0x7c002fff,0x003fffff,0x7fffffb8,
    0x7fffec00,0xfffffb2f,0xfff7000b,0xffb03fff,0x9000bfff,0x36dfffff,
    0x005fffff,0xaffffffc,0x92fffffc,0xffffffff,0x2601ffff,0xfd5fffff,
    0xffd1ffff,0x3fea09ff,0xfffe8fff,0xffffb0ff,0xc80000bf,0x6c6fffff,
    0x3fffffff,0xfffff800,0xffb8003f,0x6c007fff,0xfb2fffff,0x000bffff,
    0x1ffffffb,0xbfffffb0,0xffff9000,0x3ffff6df,0x3fea005f,0xff94ffff,
    0x3ff23fff,0xffffdfff,0xfff304ff,0x3fffabff,0xffffc8ff,0xfffff906,
    0x43fffffa,0x05fffffd,0x7ffe4000,0x3fff66ff,0x0003ffff,0x07ffffff,
    0xfffff700,0xfffd800f,0xffffb2ff,0x7ec400bf,0xb05fffff,0x55dfffff,
    0x55555555,0xfffffb55,0x3fffff6d,0x3fff6005,0xfff73fff,0x3fff23ff,
    0xffffeaff,0xfff981ff,0xffffd5ff,0xfffff51f,0xbffffd01,0x43fffffa,
    0xcefffffd,0xcccccccc,0x43cccccc,0x96fffffc,0xbfffffff,0x7fffc000,
    0xfb8003ff,0x4007ffff,0xb2fffffd,0x55dfffff,0xb9999555,0xffffffff,
    0x3ffff603,0xffffffff,0xffffffff,0xffb6ffff,0xd100bfff,0x1fffffff,
    0x43ffffea,0x9afffffc,0x86ffffff,0xd5fffff9,0xf11fffff,0xf885ffff,
    0xffd2ffff,0x3ff61fff,0xffffffff,0xffffffff,0x7fe46fff,0xfffbefff,
    0x01ffffff,0xffffff00,0xfff70007,0xfd800fff,0xffb2ffff,0xffffffff,
    0xffffffff,0x409fffff,0xfffffffd,0xffffffff,0xffffffff,0xfffffb6f,
    0x9999999d,0xfffffffd,0x7fffccdf,0x3fffff27,0xffffff92,0xfffff987,
    0x1fffffd5,0x517ffffa,0x3a1fffff,0xfb0fffff,0xffffffff,0xffffffff,
    0xfc8dffff,0xffffffff,0x6fffffff,0xfffff000,0xff70007f,0xd800ffff,
    0xfb2fffff,0xffffffff,0xffffffff,0x807fffff,0xfffffffd,0xffffffff,
    0xffffffff,0xfffffb6f,0xffffffff,0xffffffff,0x7fffcc1f,0x3fffff26,
    0x3fffffa2,0x3fffe60f,0xfffffd5f,0x1fffff21,0x74fffff9,0xfb0fffff,
    0xffffffff,0xffffffff,0xfc8dffff,0xffffffff,0xffffffff,0xffff8003,
    0xfb8003ff,0x4007ffff,0xb2fffffd,0xffffffff,0xffffffff,0x003dffff,
    0xfffffffb,0xffffffff,0xffffffff,0x3ffff6df,0xffffffff,0xffffffff,
    0x7fffc41f,0x3fffff26,0x3ffffea2,0x3fffe65f,0xfffffd5f,0x3ffffea1,
    0x97ffffa1,0xb0fffffe,0xffffffff,0xffffffff,0xc8dfffff,0xffffffff,
    0xffffffff,0x7fc000ff,0x8003ffff,0x07fffffb,0x7ffffec0,0xffffffb2,
    0xffffffff,0x0017bfff,0x7fffffec,0xffffffff,0xffffffff,0xffffb6ff,
    0xffffffff,0xffffffff,0x97fffe05,0x42fffffc,0x2ffffffd,0x2bfffff3,
    0x10fffffe,0x227fffff,0x3a3fffff,0xfb0fffff,0xdddfffff,0xdddddddd,
    0xfc89dddd,0xffffffff,0xfffffcbf,0x7ffc005f,0xb8003fff,0x007fffff,
    0x97ffffec,0xcefffffd,0xfffffeec,0x6c000dff,0x005fffff,0x6fffffc8,
    0xfffffffb,0xffffffff,0x74019fff,0x3ff24fff,0x7fc42fff,0xff36ffff,
    0x3ffabfff,0x3ffa0fff,0xffff55ff,0x7ffff41f,0xfffffb0f,0xfc80000b,
    0xffffffff,0xffffff14,0x7ffc007f,0xb8003fff,0x007fffff,0x97ffffec,
    0x85fffffd,0xffffffe8,0x3ff6001e,0xc8005fff,0xfb6fffff,0xffffffff,
    0x79bddddf,0x7fffd001,0x17ffffe4,0x7fffffdc,0x5fffff9b,0x41fffffd,
    0xf97ffffc,0xffe8ffff,0xfffb0fff,0x80000bff,0xfffffffc,0x7fffdc4f,
    0xff000fff,0x0007ffff,0x0ffffff7,0xfffffd80,0xbfffffb2,0x7ffffe40,
    0xffb002ff,0x9000bfff,0x36dfffff,0x005fffff,0x3fffd800,0x0bfffff2,
    0x7ffffff4,0xd5fffffa,0x541fffff,0xfe9fffff,0x7ff45fff,0xfffb0fff,
    0x80000bff,0xfffffffc,0xfffffd04,0x3ffe00bf,0xb8003fff,0x007fffff,
    0x97ffffec,0x05fffffd,0x7fffffec,0xfffd801f,0xfc8005ff,0xffb6ffff,
    0x0000bfff,0x645fff90,0x302fffff,0xffffffff,0x3fabffff,0x3e20ffff,
    0xfffdffff,0x7fff43ff,0xffffb0ff,0xc80000bf,0x04ffffff,0x3fffffe6,
    0xffff802f,0xfb8003ff,0x4007ffff,0xb2fffffd,0x80bfffff,0xfffffff8,
    0x7ffec00e,0xfc8005ff,0xffb6ffff,0x0000bfff,0x643fff70,0x202fffff,
    0xfffffffc,0xffd5ffff,0xffe81fff,0xffffffff,0x7fffff40,0xbfffffb0,
    0xffc80000,0xfd806fff,0x00ffffff,0x1ffffffc,0x7fffdc00,0x7fec007f,
    0xfffb2fff,0xff500bff,0x80bfffff,0x05fffffd,0xfffffc80,0xbfffffb6,
    0xdd500000,0x7fffe41d,0x3ffe202f,0xffffffff,0x1fffffd5,0xffffffc8,
    0xffe87fff,0xfffb0fff,0x80000bff,0x06fffffc,0xffffff88,0x7fffc05f,
    0xfb8003ff,0x4007ffff,0xb2fffffd,0x00bfffff,0x3ffffff6,0x3fff602f,
    0xfc8005ff,0xffb6ffff,0x0000bfff,0xffffc800,0x7ffd402f,0x5fffffff,
    0x81fffffd,0xfffffffa,0xfffe85ff,0xffffb0ff,0xc80000bf,0x006fffff,
    0xfffffff9,0x7ffffc05,0xffb8003f,0x6c007fff,0xfb2fffff,0x200bffff,
    0xfffffff8,0xffffb00f,0xff9000bf,0x3ff6dfff,0x00005fff,0x84ccccc4,
    0x02fffffc,0xffffffe8,0xfffd5fff,0xfff881ff,0x83ffffff,0xb0fffffe,
    0x00bfffff,0xffffc800,0xfff1006f,0x201fffff,0x03ffffff,0xfffffb80,
    0x7ffec007,0xffffb2ff,0x7fd400bf,0xb04fffff,0x00bfffff,0xdfffff90,
    0x17fffff6,0xfffb0000,0x3fff25ff,0xff9802ff,0x5fffffff,0x01fffffd,
    0xfffffffd,0xffffd01f,0x3ffff61f,0xaaaaaaef,0xaaaaaaaa,0xfff91aaa,
    0x7d400dff,0x04ffffff,0x07ffffff,0xfffff700,0xfffd800f,0xffffb2ff,
    0xffd800bf,0xd81fffff,0x005fffff,0x6fffffc8,0x0bfffffb,0xfffd8000,
    0xffff92ff,0x3ff2005f,0xd5ffffff,0x901fffff,0xffffffff,0x3fffffa0,
    0xffffffb0,0xffffffff,0xffffffff,0x3ffff29f,0x7ff4006f,0xf81fffff,
    0x003fffff,0x7fffffb8,0x7fffec00,0xfffffb2f,0xfff8800b,0xfd86ffff,
    0x8005ffff,0xb6fffffc,0x00bfffff,0xffffd800,0xfffff92f,0x7fff4005,
    0xffd5ffff,0xff501fff,0x20bfffff,0xb0fffffe,0xffffffff,0xffffffff,
    0x9fffffff,0x1bfffff2,0xfffff300,0xffff0dff,0xf70007ff,0x800fffff,
    0xb2fffffd,0x00bfffff,0xffffff50,0xffffd87f,0xffc8005f,0xfffb6fff,
    0x80000bff,0x92fffffd,0x005fffff,0x7fffffd4,0xfffffd5f,0xfffff101,
    0x3ffa07ff,0xfffb0fff,0xffffffff,0xffffffff,0x3f29ffff,0x8006ffff,
    0xfffffffc,0x7fffffc4,0xfffb8003,0x7ec007ff,0xffb2ffff,0x2000bfff,
    0xfffffffc,0x3fffff60,0xfffc8005,0xffffb6ff,0xd80000bf,0xf92fffff,
    0x8005ffff,0x5ffffffd,0x01fffffd,0x3ffffffa,0xfffffd01,0x3fffff61,
    0xffffffff,0xffffffff,0xffff94ff,0xff1000df,0x43ffffff,0x03ffffff,
    0xfffffb80,0x7ffec007,0xffffb2ff,0x3e2000bf,0x25ffffff,0x05fffffd,
    0xfffffc80,0xbfffffb6,0xffd80000,0xfff92fff,0xf88005ff,0xfd5fffff,
    0x3201ffff,0x207fffff,0xb0fffffe,0xffffffff,0xffffffff,0x9fffffff,
    0x1bfffff2,0x7fffdc00,0x3ffe6fff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0c000000,
    0x32e60000,0x999980ac,0x26620009,0x00000099,0x00000000,0x00000000,
    0x00135300,0xccccc880,0xcccccccc,0x100004cc,0x00013333,0x00000000,
    0x3fffb6e2,0xc8000cde,0xefffffff,0x7fffff10,0x7fffec00,0xffffffb4,
    0xffffffff,0x3fffffff,0x3ffffff6,0xffffffff,0xb002deff,0xffffffff,
    0xbdffffff,0xb3000037,0xdffffffd,0xffa80019,0xffffffff,0x00ffffff,
    0xffffd800,0xffb00006,0x0007ffff,0x7fffe440,0x3fffffff,0xffffd100,
    0x11ffffff,0x007fffff,0x53ffffe6,0xfffffffd,0xffffffff,0xb1ffffff,
    0xffffffff,0xffffffff,0x4019ffff,0xfffffffd,0xffffffff,0x8002efff,
    0xffffffd8,0x03ffffff,0x3ffffee0,0xffffffff,0x40000fff,0x06fffffa,
    0xffff8800,0x00006fff,0xfffffff1,0xdfffffff,0x7fffcc01,0xffffffff,
    0x3fffffaf,0xfffffd00,0x3fffff69,0xffffffff,0xffffffff,0xffffffb1,
    0xffffffff,0xdfffffff,0x3ffff601,0xffffffff,0xffffffff,0x3ffea005,
    0xffffffff,0x801fffff,0xfffffffd,0xffffffff,0x3e20000f,0x006fffff,
    0xfffffb80,0x80002fff,0xfffffffe,0xffffffff,0x3ffff605,0xffffffff,
    0x3fffffff,0xfffffd80,0xfffffb4f,0xffffffff,0xffffffff,0x3fffff63,
    0xffffffff,0xffffffff,0xffffb05f,0xffffffff,0xffffffff,0xfff300df,
    0xffffffff,0x1fffffff,0xfffffe80,0xffffffff,0x20000fff,0x6ffffffd,
    0xfffe8000,0x005fffff,0x7ffffe40,0xffffffff,0xfa82ffff,0x9bffffff,
    0xfffffc98,0x7ec03fff,0xb4ffffff,0xffffffff,0xffffffff,0x363fffff,
    0xffffffff,0xffffffff,0x4fffffff,0xffffffd8,0xffffffff,0xffffffff,
    0x3fffe204,0xbaacefff,0x5ffffffe,0x3ffffe20,0xffffffff,0x0000ffff,
    0xfffffff7,0xff98000d,0xffffffff,0xfff10000,0x5c45dfff,0x87ffffff,
    0x1ffffffe,0xffffff50,0x3ffa607f,0xb4ffffff,0x55dfffff,0x55555555,
    0x36155555,0x99efffff,0xcaaaaa99,0x6fffffff,0xefffffd8,0xcbaaaaaa,
    0xffffffff,0xffffb00f,0x7fd407ff,0xf303ffff,0x3339ffff,0x33333333,
    0x3ffe2000,0x006fffff,0x7ffffe40,0x003fffff,0xffffff50,0x3fffea01,
    0x3ffea1ff,0x7dc02fff,0xb83fffff,0xffffffff,0xffffb4ff,0x360000bf,
    0x005fffff,0x3fffff62,0x7fffec0f,0xfff7005f,0x3e0bffff,0x803fffff,
    0x05fffffa,0x03fffff7,0xffb00000,0x0dffffff,0x7fffc400,0x6fffffff,
    0xffffb000,0xfffe807f,0x3ffee2ff,0xff8806ff,0xf713ffff,0xffffffff,
    0x3ff69fff,0x00005fff,0x0bfffffb,0xfffff980,0x7fffec2f,0x7ff4005f,
    0x7cc1ffff,0x2005ffff,0x907fffff,0x001fffff,0xfffb8000,0x06ffffff,
    0x3fffea00,0xffffffef,0xffff8002,0x7fe401ff,0x3ff24fff,0xfb004fff,
    0x3ee7ffff,0xffffffff,0xffb4ffff,0x0000bfff,0x17fffff6,0x3ffffa00,
    0x7fffec2f,0x7fd4005f,0x7dc6ffff,0x2002ffff,0x81fffffd,0x007ffffe,
    0x7ffc4000,0x6fffffff,0x3fffa000,0xffffdaff,0xcba8005f,0xffc806ec,
    0x3ff63fff,0xf9003fff,0x3ee7ffff,0xfbcfffff,0xffb4ffff,0x0000bfff,
    0x17fffff6,0x3ffffe00,0x7fffec0f,0xffd8005f,0x4cc1ffff,0x7fc004ba,
    0xff80ffff,0x26a25fff,0xffd00000,0xfffffbff,0x3fe6000d,0xffa8ffff,
    0x0000ffff,0xfffff000,0x7ffffc3f,0xfff7002f,0x3ffee7ff,0xffff72ff,
    0x3ffff69f,0xfb00005f,0x800bffff,0x86fffffa,0x05fffffd,0xfffff980,
    0x2600003f,0x886fffff,0xecdfffff,0x00ceffff,0xfffff700,0x0dfffff1,
    0x3ffff200,0xfffff15f,0x0000007f,0x1ffffff3,0x0ffffffc,0xfffffb80,
    0x41bfff73,0xb4fffffb,0x00bfffff,0x3ffff600,0x3fa6005f,0xfd83ffff,
    0x0005ffff,0x09ffffff,0x3ffa2000,0xffa83fff,0xffffffff,0x001fffff,
    0x97ffffcc,0x006fffff,0x5ffffff0,0x37ffffe4,0x7e400000,0x7f47ffff,
    0x9002ffff,0x2e7fffff,0xfffb80cf,0xffffb4ff,0x360000bf,0x99efffff,
    0xdaaaaa99,0x0effffff,0x5fffffd8,0xffffd000,0xd10000df,0x01ffffff,
    0xfffffff7,0xffffffff,0x7ff4009f,0x3fffe5ff,0xffa8006f,0x7fcc7fff,
    0x0002ffff,0x3fffe600,0x7ffec3ff,0xffb003ff,0x80267fff,0xb4fffffb,
    0xffffffff,0xffffffff,0xffd81fff,0xffffffff,0xffffffff,0x3f605fff,
    0x0005ffff,0x0dfffffb,0xffff9800,0xffb03fff,0xffffffff,0x3fffffff,
    0xfffff700,0x37ffffc1,0x7fffec00,0xffffe84f,0x3000005f,0x0dffffff,
    0x09fffff7,0x3fffffa0,0xffff7003,0x3ffff69f,0xffffffff,0x0fffffff,
    0x7fffffec,0xffffffff,0x04ffffff,0x2fffffec,0xffffc800,0x3ea0007f,
    0x04ffffff,0x3ffffffe,0xfffecbde,0x7cc06fff,0x7fc2ffff,0x44006fff,
    0x81ffffff,0x0ffffffc,0x7fc40000,0xa81fffff,0x807fffff,0x3ffffffa,
    0xfffff700,0x3fffff69,0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,
    0x02efffff,0x17fffff6,0x7fffe400,0xff70007f,0x409fffff,0x2ffffff8,
    0xffffff90,0x7ffff407,0x6fffff85,0x7fffdc00,0xffff106f,0x400007ff,
    0xfffffff9,0xfffff305,0xfffe807f,0xf7003fff,0x3f69ffff,0xffffffff,
    0xffffffff,0x7ffec0ff,0xffffffff,0xffffffff,0xfd80efff,0x0005ffff,
    0x0ffffff9,0xfffff500,0x753007ff,0xffe803b9,0xff906fff,0xfff01fff,
    0xfe800dff,0x3a03ffff,0x006fffff,0xfffff300,0x7ec01dff,0x882fffff,
    0xfffffffd,0xffff7003,0x3ffff69f,0xffffffff,0x0fffffff,0x7fffffec,
    0xffffffff,0xffffffff,0x7ffec1ff,0xf90005ff,0x800fffff,0xfffffff8,
    0x26000002,0x40ffffff,0x02fffff9,0x00dfffff,0x7fffffcc,0x3fffee00,
    0x4c0002ff,0xefffffff,0x7fffc400,0xfcabdfff,0xffffffff,0xffff7003,
    0x3ffff69f,0xaaaaaaef,0x82aaaaaa,0x05fffffd,0x7ffdcccc,0x7ec6ffff,
    0x0005ffff,0x0ffffffb,0xfffffa80,0x8000002f,0x41ffffff,0x205ffffe,
    0x006fffff,0x1bfffff2,0xffffff10,0x7fcc000b,0x00efffff,0xffffff90,
    0xffffffff,0x007fffff,0x53ffffee,0x05fffffd,0xffffb000,0xfd8800bf,
    0x362fffff,0x005fffff,0xdfffffd0,0xffffc800,0x0000002f,0x45fffffd,
    0x00fffffc,0x01bffffe,0x7fffffc4,0xccccccce,0xfffffffc,0xfff98000,
    0x000effff,0x3fffffa2,0xdeffffff,0x003fffff,0x29fffff7,0x05fffffd,
    0xffffb000,0xff1000bf,0x7ecbffff,0x0005ffff,0x0bffffff,0x5ffffe80,
    0x3a000000,0xf13fffff,0xdddfffff,0xffffdddd,0x20bdddff,0xfffffffb,
    0xffffffff,0x3fffffff,0x7fffcc00,0x0000efff,0xfffffffb,0x3fff2bff,
    0xff7003ff,0x3ff69fff,0x00005fff,0x0bfffffb,0x3ffffa00,0x3ffff67f,
    0xff88005f,0x4003ffff,0x003fffff,0x3ffa0000,0xfff12fff,0xffffffff,
    0xffffffff,0x3fa0dfff,0xffffffff,0xffffffff,0x006fffff,0x3fffffe6,
    0xeb80005f,0x23efffff,0x03fffffc,0x9fffff70,0x17fffff6,0x7ffec000,
    0xf90005ff,0x7ecfffff,0x8005ffff,0x1ffffffc,0x3fffe200,0x5d4c003f,
    0xff801edc,0xff10ffff,0xffffffff,0xffffffff,0xf30dffff,0xffffffff,
    0xffffffff,0x5fffffff,0xffffd100,0x80000bff,0xfc809ba8,0x7003ffff,
    0x369fffff,0x005fffff,0xfffffb00,0x3ffe000b,0x3ff67fff,0x44005fff,
    0x06ffffff,0x77777440,0x7ffec002,0x7fcc05ff,0x3fe27fff,0xffffffff,
    0xffffffff,0xfc86ffff,0xffffffff,0xffffffff,0x5fffffff,0xfffffd80,
    0x0000005f,0x7fffff90,0x3fffee00,0xfffffb4f,0x3f60000b,0x8005ffff,
    0x5ffffff9,0x17fffff6,0xfffffb00,0x0000007f,0x3ffffee0,0x3fffa01f,
    0x3ffe25ff,0xffffffff,0xffffffff,0xfff86fff,0xeeeeefff,0xeeeeeeee,
    0x0fffffff,0x3ffffee0,0x000000ff,0xfffff900,0x3ffee007,0xffffb4ff,
    0x360000bf,0x005fffff,0x7fffff54,0x3ffff63f,0xffb3005f,0x000fffff,
    0x00666666,0xffffff10,0xffff903b,0x666441ff,0xcccccccc,0xffffffcc,
    0x7fd43ccc,0x8001ffff,0x3ffffffa,0xffffff10,0xddddddff,0x007ddddd,
    0x7fffe400,0xfff7003f,0x3fff69ff,0xb00005ff,0x55dfffff,0x95555555,
    0xfffffffb,0x7fffec3f,0xaaaaaaef,0xfffffdca,0x88003fff,0x007fffff,
    0xffffffd8,0xfffecbef,0x00004fff,0x80dfffff,0x06fffffd,0x3ffffe00,
    0xffff706f,0xffffffff,0x9fffffff,0x7fe40000,0xf7003fff,0x3f69ffff,
    0x0005ffff,0xffffffb0,0xffffffff,0xffffffff,0xfffd89ff,0xffffffff,
    0xffffffff,0x10004fff,0x00ffffff,0xfffffd10,0xffffffff,0x00001dff,
    0x81bffffe,0x3ffffff8,0x3fff2000,0xfff82fff,0xffffffff,0xffffffff,
    0x3200004f,0x003fffff,0x29fffff7,0x05fffffd,0xffffb000,0xffffffff,
    0xffffffff,0xffb0bfff,0xffffffff,0xffffffff,0x4000dfff,0x07fffff8,
    0xfffff300,0xffffffff,0x400001bf,0x206fffff,0x0ffffffb,0x3ffe6000,
    0x7fd45fff,0xffffffff,0xffffffff,0x200004ff,0x03fffffc,0x9fffff70,
    0x17fffff6,0x7ffec000,0xffffffff,0xffffffff,0xfd80efff,0xffffffff,
    0xffffffff,0x40002fff,0x07fffff8,0x3fffa600,0xffffffff,0xff800004,
    0x3fa06fff,0x0005ffff,0xffffffe8,0x3ffffee0,0xffffffff,0x4fffffff,
    0x3ff20000,0xf7003fff,0x3f69ffff,0x0005ffff,0xffffffb0,0xffffffff,
    0x7dffffff,0x3ffff601,0xffffffff,0x04ffffff,0xffff1000,0xd50000ff,
    0xbfffffff,0x3e000005,0xf306ffff,0x005fffff,0xfffff700,0x7fffec7f,
    0xffffffff,0xffffffff,0x3ae00004,0x7002eeee,0x369fffff,0x005fffff,
    0xfffffb00,0xffffffff,0x039ddfff,0xffffffb0,0xdfffffff,0x0000179d,
    0x3fffffc4,0x75310000,0x00000015,0x20dfffff,0x0ffffffd,0xfff88000,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33310000,0x66664133,0xcccccccc,0xcccccccc,
    0xbddddd73,0xa8800000,0x0abccdcb,0x54000000,0x00000b65,0x6e655400,
    0x98801bcc,0x33001999,0xa8003333,0x001acdcb,0x2f32a600,0x31000009,
    0x00559b97,0xfffffd80,0xffffff12,0xffffffff,0x2dffffff,0x06fffffc,
    0xffd30000,0xffffffff,0x4000003b,0x3fe7feb8,0x000000be,0x7ffffe44,
    0x04ffffff,0x07fffffa,0x3fffffe0,0x7ffe4400,0x1effffff,0xffff9000,
    0x003dffff,0x3ffffa60,0x00bfffff,0xfffffd80,0xffffff12,0xffffffff,
    0x2dffffff,0x06fffffc,0xfffd8000,0xffffffff,0x00003fff,0x3ffffe44,
    0x019fffff,0xfff10000,0xffffffff,0xfd01bfff,0xf003ffff,0x401fffff,
    0xfffffffa,0x03ffffff,0x3ffffa60,0x3fffffff,0x7fffe400,0xffffffff,
    0x7fec001f,0xfff12fff,0xffffffff,0xffffffff,0x3ffff2df,0x6400006f,
    0xffffffff,0xffffffff,0xfd980003,0x3e7fffff,0x1dffffff,0xffd10000,
    0xffffffff,0x81dfffff,0x01fffffe,0x0ffffff8,0xffffff90,0xffffffff,
    0xffa803df,0xffffffff,0x400effff,0xffffffe8,0xffffffff,0x3ff6001f,
    0xfff12fff,0xffffffff,0xffffffff,0x3ffff2df,0x2a00006f,0xeeffffff,
    0xffffffed,0xd50000ff,0xffffffff,0x7fffffcf,0x0003efff,0x7fffffec,
    0xffffffff,0x7ff43fff,0xff801fff,0xfb80ffff,0xffffffff,0xffffffff,
    0x3fffe206,0xffffffff,0x6c04ffff,0xffffffff,0xffffffff,0xfffb000f,
    0x3ffe25ff,0xffffffff,0xffffffff,0xfffff92f,0x7ec0000d,0xa882ffff,
    0x03ffffff,0x3ffff220,0x7fffffff,0x3ffffffe,0x00cfffff,0x7ffffc40,
    0xff710acf,0xfe8bffff,0xf801ffff,0x4c0fffff,0xefffffff,0xffffcaab,
    0xffb03fff,0x2217ffff,0x0ffffffc,0xffffff30,0xffd7335d,0x2007ffff,
    0x22fffffd,0x99999999,0xffc99999,0x3ff23fff,0x00006fff,0x017ffffa,
    0x05bdfff7,0xfffffb30,0xdfffffff,0x7fffed47,0xffffffff,0xfff9001d,
    0x7fe40bff,0x7ff46fff,0xff801fff,0x7f40ffff,0x103fffff,0x3ffffffd,
    0xffffff98,0xfffff500,0x3ffffa09,0xfffb00df,0x00000dff,0x7fffc400,
    0x7fffe45f,0x3e00006f,0x401fffff,0x3faa001a,0xffffffff,0x2201cfff,
    0xffffffeb,0x02efffff,0x00dcb988,0x1fffffe6,0x03fffffd,0x1ffffff0,
    0x7fffffcc,0x7fffc403,0x7ffec6ff,0x7fec03ff,0x7fd40fff,0x2600ffff,
    0x01efffff,0xfb000000,0xff90dfff,0x0000dfff,0x7ffffff4,0x710000bd,
    0xffffffff,0x005bffff,0xfffffb30,0x7fffffff,0x7fc00001,0x7ff47fff,
    0xff801fff,0x3f20ffff,0x7006ffff,0xf8ffffff,0x400fffff,0x43fffff9,
    0x04fffffb,0x0001acc8,0x7fd40000,0xffc82fff,0x00006fff,0x3ffffff2,
    0x00adffff,0xffffffc8,0x0befffff,0xfeb88000,0xffffffff,0x510004ff,
    0xfffffffb,0x1fffffe8,0xffffff80,0x3fffffa0,0x3fffe003,0xffff11ff,
    0xfff100ff,0xfffd89ff,0x000003ff,0x3e200000,0xf905ffff,0x000dffff,
    0x7ffffcc0,0xffffffff,0xffff00bd,0x39ffffff,0x64c00000,0xffffffff,
    0xfb73007f,0xffffffff,0xffffe8ff,0xffff801f,0x3fffe0ff,0x3fa002ff,
    0xff32ffff,0x9999ffff,0xfff99999,0xfffe8bff,0x000002ff,0x3f600000,
    0xf900ffff,0x000dffff,0xfffffa80,0xffffffff,0xffff83ff,0x000aefff,
    0x3aa20000,0x07ffffff,0x3fffff66,0xffffffff,0x7ffff47f,0xffff801f,
    0xffff10ff,0x7ec003ff,0xff54ffff,0xffffffff,0xffffffff,0xffff8dff,
    0x000001ff,0xff300000,0x7e407fff,0x0006ffff,0xfffffa80,0xffffffff,
    0x3ffe0eff,0x001cffff,0xfb880000,0x907fffff,0xffffffff,0xffffffff,
    0xfffffe8f,0xfffff801,0xfffff10f,0x7fe4001f,0xfff75fff,0xffffffff,
    0xffffffff,0x7fffc4df,0x000001ff,0xffb00000,0xffc80fff,0x00006fff,
    0x3ffffaa0,0xffffffff,0x3ffffe5f,0x002effff,0xffd98000,0x87ffffff,
    0xfffffffd,0xffff1bdf,0xffffe8ff,0xffff801f,0x3fffe0ff,0x3f6001ff,
    0xff73ffff,0xffffffff,0xffffffff,0xffff8fff,0x000002ff,0xff980000,
    0x7e403fff,0x0006ffff,0xffdb8800,0xffffffff,0xfffffd1f,0x39ffffff,
    0x75c40000,0xffffffff,0x7ffdc7ff,0xff01cfff,0xffe8ffff,0xff801fff,
    0x3fe0ffff,0x2002ffff,0x52fffffe,0x33dfffff,0x33333333,0xfe833333,
    0x0002ffff,0xc8000000,0x400fffff,0x06fffffc,0xb9800000,0xfffffffd,
    0x3ffffaa3,0xefffffff,0xfb50000a,0xffffffff,0xfe817dff,0x7c04ffff,
    0x7f47ffff,0x4402ffff,0x20ffffff,0x04fffffe,0xffffff10,0x3ffffe61,
    0x3f600007,0xa804ffff,0x00009acd,0xffff1000,0xfff9009f,0x00000dff,
    0xe8803731,0x984fffff,0xfffffffd,0x01cfffff,0xfffffb88,0xdfffffff,
    0xfffff102,0x7ffc401f,0x7fff47ff,0x7fd402ff,0x3f20ffff,0x800fffff,
    0x27fffffc,0x0ffffff8,0x2e004c40,0x807fffff,0x04fffffd,0x09999988,
    0xfffff900,0xffff9001,0x320000df,0x806ffffe,0x04fffffb,0x3fffff22,
    0xefffffff,0x7ffed40b,0xffffffff,0x7fd401cf,0x7dc06fff,0x7ec7ffff,
    0x2204ffff,0x0ffffffe,0x3fffffe6,0x7fffc404,0x7ffec4ff,0x7ff404ff,
    0x7fd41cde,0x2202ffff,0x01ffffff,0x2fffffd8,0xfffff880,0xffff9005,
    0x2e0000df,0x02ffffff,0x17fffff4,0x7fff5c40,0xffffffff,0x3fffffa7,
    0xbfffffff,0xffff3000,0x3fe605ff,0x7e47ffff,0xb01fffff,0x1fffffff,
    0xffffffe8,0xffffa80d,0x7fcc0fff,0xf702ffff,0xb05fffff,0x07ffffff,
    0xdfffffd3,0x3ffff600,0xfffa802f,0xff9003ff,0x0000dfff,0x7ffffffc,
    0x3ff660ac,0x4000ffff,0xffffffda,0x3ffe7fff,0xefffffff,0xfff88002,
    0x930befff,0xffffffff,0x7ffffd41,0xfec9acff,0x0fffffff,0x7fffffcc,
    0xffeccdff,0xd02fffff,0x39ffffff,0xfffff951,0x3ffe60df,0xecceffff,
    0x3fffffff,0xfffffb00,0xffff9005,0x3ff2001f,0x00006fff,0x3fffffea,
    0xffffffff,0x0003ffff,0x3fffff26,0x3fffe7ff,0x001dffff,0x7ffffec0,
    0xffffffff,0x21ffffff,0xfffffff8,0xefffffff,0xb80fffff,0xffffffff,
    0xffffffff,0x3ffe605f,0xffffffff,0x01ffffff,0x3ffffff2,0xffffffff,
    0x3f6005ff,0xf802ffff,0x2006ffff,0x06fffffc,0x7ffdc000,0xffffffff,
    0x004fffff,0xffff7100,0x7ffffcff,0x100000cf,0xffffffff,0xffbfffff,
    0xff987fff,0xffffffff,0xffffbaff,0xffff700f,0xffffffff,0xd3009fff,
    0xffffffff,0x05ffffff,0xfffffd88,0xffffffff,0x3f6000ef,0x4c02ffff,
    0x003fffff,0x1bfffff2,0x3fea0000,0xffffffff,0x0003ffff,0x4fffd500,
    0x0003efff,0xfffff500,0x11dfffff,0x50dfffff,0xffffffff,0x3ffee3ff,
    0x3fa600ff,0xffffffff,0x22002eff,0xfffffffd,0x002fffff,0x3fffffea,
    0x0dffffff,0x7fffec00,0x7ffdc01f,0x3f2001ff,0x0006ffff,0x3fffaa00,
    0x0cffffff,0xd9800000,0x0000b7e7,0x3fff6200,0x7f43efff,0xda81ffff,
    0x0cefffff,0x03ffffee,0x3ffff6a0,0x000cefff,0xfffffb70,0x00017fff,
    0xfffffdb1,0x00003bff,0xfe801fff,0x2000ffff,0x06fffffc,0xa9880000,
    0x00009aba,0x00410000,0x4c400000,0x000009ba,0x000055cc,0x35753100,
    0x73100000,0x40000335,0x001abb98,0x01ffe600,0x01bffffe,0xdfffff90,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x7fc406ff,0x64004fff,0xaaffffff,0xaaaaaaaa,0x222aaaaa,
    0x88888888,0x88888888,0x08888888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffee000,0x7fffcc01,0x7fe4003f,0xffffffff,
    0xffffffff,0xfff57fff,0xffffffff,0xffffffff,0x00ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09fffd10,0x5fffff50,
    0xffffc800,0xffffffff,0xffffffff,0xfffff57f,0xffffffff,0xffffffff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xf7004ffe,0x8003ffff,0xfffffffc,0xffffffff,0x57ffffff,0xffffffff,
    0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07aa0000,0xfffffc80,0x7ffe4001,0xffffffff,0xffffffff,
    0xdddd57ff,0xdddddddd,0xdddddddd,0x000ddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffec000,0x7e4000ff,0xffffffff,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,0x4c000999,
    0x4cc19999,0x88019999,0x20999999,0x20999998,0x22099999,0x99981cca,
    0xbcb98099,0xbcb98801,0x4cccc401,0x99999999,0x20999999,0x30099998,
    0x44015797,0x88019999,0x80099999,0x00099999,0x00799993,0x00cccccc,
    0x6ffffd80,0x3fffee00,0x3fe6007f,0x3fa0ffff,0x404fffff,0x1ffffffe,
    0x8ffffff2,0xf34fffff,0x269fffff,0x322fffff,0x5fffffff,0xfffffd88,
    0xfff504ff,0xffffffff,0xbfffffff,0x137ffff4,0xfffffffb,0xffff901b,
    0xfffc805f,0x7fdc04ff,0xfb004fff,0x2001ffff,0x01ffffff,0x6ffffd80,
    0x3fffe200,0xff9001ff,0xff989fff,0x901fffff,0x87ffffff,0x23fffffc,
    0xf9cfffff,0x34ffffff,0xb15fffff,0xffffffff,0x7fff44bf,0x84ffffff,
    0xfffffffa,0xffffffff,0x3ffa5fff,0xffff36ff,0x5fffffff,0x4fffff98,
    0x7fffffc0,0x7fffec06,0xfff9801f,0xff003fff,0x0003ffff,0x00dffffb,
    0x5fffffc8,0xffffff00,0xfffff703,0xffff30df,0xfff90dff,0x7fffc7ff,
    0xfffffedf,0xffff31ff,0xfffffd9f,0x5bffffff,0xffffffff,0xfa87ffff,
    0xffffffff,0xffffffff,0x3ffffa5f,0xffffffae,0x0fffffff,0x03fffffc,
    0xfffffff3,0x7ffffc01,0xffffb006,0x3fe00fff,0x8001ffff,0x006ffffd,
    0x7fffffcc,0x7fffd400,0x3fff606f,0x7ff43fff,0xfc80ffff,0x3fe3ffff,
    0xffffffff,0x3fe66fff,0xffffffff,0xffffffff,0xffffffff,0x1fffffff,
    0x3fffffea,0xffffffff,0x3fa5ffff,0xffffffff,0xffffffff,0x7ffe43ff,
    0xfff701ff,0x2a05ffff,0x804fffff,0xfffffff8,0xffff803f,0xfd8001ff,
    0xe8006fff,0x402fffff,0x03fffffd,0x3fffffe2,0xfffff90f,0x3fff205f,
    0x3fffe3ff,0xfeffffff,0x3fffe63f,0x931cffff,0xffffffff,0x3ff6239f,
    0x3aa3ffff,0xeeeeeeee,0xffffffee,0x3ffffa3f,0xb31befff,0x8fffffff,
    0x03fffffa,0xfffffffb,0x3ffff209,0xfffc801f,0x806fffff,0x00ffffff,
    0x6ffffd80,0xffffb800,0x3ffe205f,0x7d400fff,0xf9dfffff,0x205fffff,
    0x23fffffc,0xffffffff,0xff983262,0xd03fffff,0x7fffffff,0x3fffffa0,
    0xfff88005,0x7f44ffff,0x00ffffff,0x0ffffffb,0x20bfffff,0xffffffff,
    0xfffffd06,0xfffff100,0x805fffff,0x007fffff,0x0dffffb0,0xfffff100,
    0x3ffee01f,0xff9005ff,0xffffffff,0x80001dff,0x3fffffff,0xfffff980,
    0x3ffee05f,0x3ee06fff,0x4005ffff,0xffffffe8,0xfffffe85,0x3ffe601f,
    0x7fec0fff,0x7fcc0fff,0x0fffffff,0x27ffffcc,0x7ffffe40,0x006ffffe,
    0x2000fff1,0x006ffffd,0x7fffff90,0x3fffffa0,0x3fffa001,0xffffffff,
    0xfff80001,0xf3006fff,0x403fffff,0x2ffffffa,0x3ffffea0,0x3ffa2006,
    0xfd06ffff,0xf00bffff,0xa83fffff,0x5c2fffff,0xffffffff,0x7fffdc2f,
    0x7ffc402f,0xffffabff,0x6ffa801f,0xcccccc88,0xfffffecc,0xcccccccc,
    0xfffff980,0xfffff986,0x7ffcc006,0x3fffffff,0xffff0000,0x3e6007ff,
    0x200fffff,0x0ffffff9,0x3ffffea0,0x3fff6006,0xfd00efff,0xd007ffff,
    0x883fffff,0x6c4fffff,0xfffdffff,0x7fffec4f,0xffffb807,0xbfffff0f,
    0x109ff900,0xffffffff,0xffffffff,0x03ffffff,0x07fffffa,0x07fffff9,
    0xfffff700,0x0000dfff,0x17fffffc,0xfffff980,0x7fffcc07,0x7ffcc07f,
    0xff9006ff,0x403fffff,0x02fffffe,0x2fffffe8,0x46ffffd8,0xff9fffff,
    0x3ffe26ff,0xfff805ff,0x3fff25ff,0xff9100ff,0xffff101f,0xffffffff,
    0xffffffff,0x3fee03ff,0x7ffc4fff,0xb0000fff,0x1fffffff,0x7ffc0000,
    0xf3001fff,0x980fffff,0x407fffff,0x06fffff9,0xffffffb8,0x7fff401f,
    0xffe802ff,0xffb82fff,0xfff31fff,0x3ffffadf,0x5fffff50,0xfffffb80,
    0x3ffffe62,0x3ffff984,0xffffff10,0xffffffff,0xffffffff,0x3fffe203,
    0x3fffea7f,0x3f60005f,0x02ffffff,0x3fffe000,0xff3001ff,0xf980dfff,
    0x4c07ffff,0x406fffff,0xfffffffa,0xffffe802,0xfffe802f,0xfff882ff,
    0xffff73ff,0x4bffff27,0x00fffffc,0x437ffff4,0x40fffffe,0x2203fff8,
    0xffffffff,0xffffffff,0x01ffffff,0x4bfffff2,0x02fffffc,0xfffff500,
    0x0001ffff,0x3fffffe0,0xffff3000,0xfff980df,0x7fcc07ff,0x3e606fff,
    0x04ffffff,0x3fffffd0,0xfffffd00,0x3ffffa05,0x23ffffb5,0xff4ffffa,
    0xfa80bfff,0xfa83ffff,0xdb83ffff,0x7fffc400,0xffffffff,0xffffffff,
    0x3fe601ff,0xffff4fff,0x3e2000df,0xffffffff,0xff00005f,0x2001ffff,
    0x06fffff9,0x3fffffcc,0x3ffffe60,0xfffff306,0x7f400bff,0xe801ffff,
    0x702fffff,0xff1fffff,0x7ffc4fff,0xfffff9ef,0x7ffff403,0xfffff00f,
    0xd800000f,0x0006ffff,0xafffffe8,0x003fffff,0xffffffb0,0x007fffff,
    0xffffff00,0x3ffe6001,0x7fcc06ff,0x7cc07fff,0xe886ffff,0x05ffffff,
    0x7fffff40,0xffffe801,0xffff302f,0x8bffff9f,0xffcffffe,0x3ea00fff,
    0x3205ffff,0x003fffff,0x3fff6000,0xfb80006f,0xfffeffff,0xfb8000ff,
    0xffffffff,0x0001ffff,0x07fffffc,0xfffff980,0x7fffcc06,0x7ffcc07f,
    0xfffe86ff,0xe8006fff,0x801fffff,0x02fffffe,0x3ffffffa,0x7fe43fff,
    0x6fffffff,0x7fffff40,0x3fffe602,0x2000006f,0x006ffffd,0xfffff880,
    0x005fffff,0xffffff98,0xffffffad,0x26666206,0x3ffffe09,0xfff3000f,
    0xff980dff,0x7cc07fff,0x7ec6ffff,0x00efffff,0xfffffe80,0xffffe801,
    0x3fff202f,0x41ffffff,0xfffffffa,0x3ba203ff,0xed805eee,0x0001eeee,
    0xdffffb00,0x3ff20000,0x2fffffff,0xffffe800,0xffff90ff,0x3ff209ff,
    0x3ffe3fff,0xf3000fff,0x980dffff,0x407fffff,0x26fffff9,0xfffffffc,
    0xaaaaaaaa,0xffd0aaaa,0xfd003fff,0x4c05ffff,0xffffffff,0xfffff887,
    0x0000ffff,0x00000000,0x0dffffb0,0x3ffe6000,0x007fffff,0xffffffc8,
    0x3ffffe23,0xfffc81ff,0x3fffe3ff,0xff3000ff,0xf980dfff,0x4c07ffff,
    0xf36fffff,0xffffffff,0xffffffff,0x3ffa7fff,0xfe801fff,0x7c02ffff,
    0x5fffffff,0xffffffd0,0x000000df,0x6c000000,0x0006ffff,0x3fffffa0,
    0x7cc003ff,0xa85fffff,0x0effffff,0x1fffffe4,0x01ffffff,0x3ffffe60,
    0x7fffcc06,0x7ffcc07f,0xffff36ff,0xffffffff,0xffffffff,0x3fffffa7,
    0xffffe801,0x7ffe402f,0xf703ffff,0x07ffffff,0x00000000,0x7ffec000,
    0x2e00006f,0x0fffffff,0x3fffa200,0xffb00fff,0xfc89ffff,0x3fe3ffff,
    0x3000ffff,0x80dfffff,0x07fffff9,0xb7ffffcc,0xfffffff9,0xffffffff,
    0xfd3fffff,0xd003ffff,0x805fffff,0xfffffffa,0xfffff301,0x000003ff,
    0x40000000,0x006ffffd,0x3fffe200,0x7e4005ff,0x203fffff,0xfffffff8,
    0x3fffff22,0x3fffffe3,0xffff3000,0xfff980df,0x7fcc07ff,0xfff36fff,
    0xffffffff,0xffffffff,0x3ffffa7f,0xfffe801f,0xfff802ff,0x7fc07fff,
    0x0006ffff,0x00000000,0x155554c0,0x3ff20000,0x2a002fff,0x05ffffff,
    0xffffffa8,0xfffff90f,0x7fffffc7,0xffff3000,0xfff980df,0x7fcc07ff,
    0xfff36fff,0xffffffff,0xffffffff,0x3ffffa7f,0xfffe801f,0xffd802ff,
    0x7ec05fff,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,0x55555555,
    0x55555555,0x80155555,0x0001ccc9,0x00000000,0x6665c000,0x888883cc,
    0x33332a08,0x2ccccccc,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffff8,0xffffffff,0x1fffffff,0x00fffdc0,0x3ffffff2,0x3fffff60,
    0xbffffff7,0xbdffb730,0x124c0015,0x83ffffff,0x71fffffd,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0xfff88000,0xffffffff,
    0xffffffff,0x7d401fff,0x7fe401ff,0x3f60ffff,0xfff7ffff,0xffb8bfff,
    0xdfffffff,0x2227dc01,0x6c5fffff,0xf71fffff,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0xffff8800,0xffffffff,0xffffffff,
    0x3ea041ff,0x7fe400ff,0x3f60ffff,0xfff7ffff,0x3f62bfff,0xffffffff,
    0x989cffff,0xf984ffeb,0x3f60ffff,0xff71ffff,0xffffffff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0xfffff880,0xffffffff,0xffffffff,
    0x4c2fea1f,0x91ed47ff,0x41ffffff,0xf7fffffd,0x2ebfffff,0xffffffff,
    0xffffffff,0x04ffffff,0x6c9ffff5,0xf71fffff,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0xffff8800,0xffffffff,0xffffffff,
    0x3fff61ff,0xeb8eff8b,0x3fff25ff,0x3ff60fff,0xffff7fff,0x3ffeebff,
    0xffffffff,0xffffffff,0x3ea04fff,0xfffb0fff,0x3ffee3ff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x99999998,0x99999999,
    0x41999999,0xffffffff,0x27ffffff,0x0ffffffb,0x5ffffff2,0x74ffffff,
    0xfd9dffff,0xffffffff,0x09ffffff,0xfb3fffb8,0x2e63ffff,0xbbbbbbbb,
    0x000001bb,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffd88,
    0xffffffff,0xfffff51f,0xfffffb8f,0x7fffffb6,0x2602bfee,0xfffffffc,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36e60000,0xacefffff,0x7ffffc41,0x7ffffcc5,0x5fffff94,0x754003ae,
    0x1dffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05fffff5,0x44fffff8,0x53fffff8,0x061fffff,0x0ddd4400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdddddd10,
    0xdddddddd,0xdddddddd,0x3fffea03,0x3f601fff,0xffe83fff,0xffff31ff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffff8,0xffffffff,0x1fffffff,0xf8efffa8,0xff900fff,0xfffb03ff,
    0x37fffc1f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0xffffffff,0xffffffff,0x41ffffff,0xf71ffffa,0x55101dff,
    0x55530155,0x01aaaa85,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c400000,0xffffffff,0xffffffff,0x5c1fffff,0x7ff45fff,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffffff8,0xffffffff,0x1fffffff,0x7cc0ff98,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xeeeeeee8,0xeeeeeeee,0x1eeeeeee,0x000a0510,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_50_usascii_x[95]={ 0,4,2,0,1,1,1,2,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,3,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,3,1,2,1,0,3,0,0,0,0,0,1,3,0,1, };
static signed short stb__arial_bold_50_usascii_y[95]={ 40,7,7,7,5,7,7,7,7,7,7,12,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,8,16,16,16,16,16,16,7,7,7,19, };
static unsigned short stb__arial_bold_50_usascii_w[95]={ 0,7,17,25,22,37,31,7,12,12,17,24,8,13,
7,14,22,15,22,22,24,23,23,22,22,22,7,8,23,24,23,24,43,33,28,29,28,25,23,31,26,7,22,30,
23,32,26,33,25,34,30,27,27,26,31,43,30,31,27,12,14,12,22,27,11,23,24,23,24,23,17,24,22,7,
13,23,7,35,22,25,23,24,16,22,15,22,25,35,25,25,22,16,6,16,24, };
static unsigned short stb__arial_bold_50_usascii_h[95]={ 0,33,13,34,40,35,34,13,43,43,16,24,15,7,
7,34,34,33,33,34,33,33,34,32,34,34,24,32,25,16,25,33,43,33,33,34,33,33,33,34,33,33,34,33,
32,33,33,34,33,37,33,34,33,34,33,33,33,33,33,43,34,43,18,5,7,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,33,33,24,25,33,25,24,24,24,34,24,43,43,43,10, };
static unsigned short stb__arial_bold_50_usascii_s[95]={ 248,121,44,86,152,210,112,62,1,139,26,
1,244,115,107,144,212,49,1,109,196,172,157,10,159,1,78,1,80,1,104,
147,95,221,89,182,118,189,65,77,68,246,208,215,33,156,129,27,95,175,37,
24,1,181,194,150,119,87,59,82,235,69,221,57,95,128,61,225,132,201,1,
52,231,248,55,226,29,103,162,175,19,24,86,57,43,152,26,185,52,1,139,
38,31,14,70, };
static unsigned short stb__arial_bold_50_usascii_t[95]={ 35,149,275,45,1,1,45,275,1,1,275,
250,250,275,275,45,45,183,183,80,183,183,80,217,45,80,250,217,217,275,217,
183,1,183,183,45,183,149,183,80,149,149,80,149,217,149,149,45,149,1,149,
80,149,80,115,115,115,115,115,1,45,1,250,243,275,217,45,217,80,217,115,
80,80,1,1,115,149,250,250,217,115,183,250,217,115,217,250,250,250,45,250,
1,1,1,275, };
static unsigned short stb__arial_bold_50_usascii_a[95]={ 199,238,340,398,398,637,517,170,
238,238,279,418,199,238,199,199,398,398,398,398,398,398,398,398,
398,398,238,238,418,418,418,437,698,517,517,517,517,478,437,557,
517,199,398,517,437,597,517,557,478,557,517,478,437,517,478,676,
478,478,437,238,199,238,418,398,238,398,437,398,437,398,238,437,
437,199,199,398,199,637,437,437,437,437,279,398,238,437,398,557,
398,398,358,279,200,279,418, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT or STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_50_usascii(stb_fontchar font[STB_FONT_arial_bold_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT][STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_50_usascii_s[i] + stb__arial_bold_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_50_usascii_t[i] + stb__arial_bold_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_50_usascii_x[i];
            font[i].y0 = stb__arial_bold_50_usascii_y[i];
            font[i].x1 = stb__arial_bold_50_usascii_x[i] + stb__arial_bold_50_usascii_w[i];
            font[i].y1 = stb__arial_bold_50_usascii_y[i] + stb__arial_bold_50_usascii_h[i];
            font[i].advance_int = (stb__arial_bold_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_50_usascii_s[i] + stb__arial_bold_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_50_usascii_t[i] + stb__arial_bold_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_50_usascii_x[i] + stb__arial_bold_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_50_usascii_y[i] + stb__arial_bold_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_50_usascii_LINE_SPACING
#endif

