// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_36_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_36_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_36_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_36_usascii_BITMAP_HEIGHT        160
#define STB_FONT_consolas_36_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_36_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_36_usascii_NUM_CHARS             95

#define STB_FONT_consolas_36_usascii_LINE_SPACING          24

static unsigned int stb__consolas_36_usascii_pixels[]={
    0x00003dd5,0xaa980000,0x55555552,0x0066aa35,0xaaaaaaa8,0x0000001a,
    0x26200000,0x00620001,0x0000bdb0,0x009dd100,0x4eed8000,0x00017ba2,
    0x80002660,0x03a62ffb,0x001d3000,0xfaffffdc,0x5fffffff,0x005dffff,
    0xffffffff,0x17fdc00b,0x7bfd9500,0x6fd80005,0x7ffedc00,0x7e400cdf,
    0x4000001f,0x76442ffb,0xeec804ef,0xf893ffe0,0xd300006f,0x005fffff,
    0x3e25ff70,0xf10000ef,0x3ffa00df,0xffff5fff,0x3febffff,0x7c04ffff,
    0x5fffffff,0x1ffff300,0xffffe880,0x20005fff,0xfb1005fe,0xdfffffff,
    0x02ffcc03,0x1ffa0000,0xdfffffd1,0x3e27fd40,0x1bfe24ff,0x3ffee000,
    0x004fffff,0xffb17fdc,0xffd1000d,0x7fff5007,0x8bff3003,0x201fffc9,
    0x5c0007ff,0x2a01ffff,0xdb9acfff,0xff0005ff,0xfffd3009,0xffffd99d,
    0x007fec03,0x4ffa8000,0x7ecdffe4,0x86ff883f,0x3fe24ffe,0x7fc40006,
    0xfffebadf,0x0bfee001,0xe800bffd,0xffd004ff,0x2ffcc005,0x3e04ffc8,
    0x7c40007f,0xff300fff,0x13fee01d,0x3ffb2e60,0xffb02cde,0xffff303f,
    0x001ffd40,0x20ffd800,0x37fc4ff8,0x7f40ffe4,0x01bfe24f,0xb09ff900,
    0x7dc009ff,0x1fff442f,0x005ffc80,0xf3001bfe,0x1bfe20bf,0x80007ff8,
    0xfd100cd9,0x07fc801d,0x3fffff62,0xf987ffff,0x3fe601ff,0x01ffa02f,
    0x17fe2000,0x7fd83ff3,0xfe827fcc,0x01bfe24f,0x503ffd00,0x7dc00dff,
    0x0fff982f,0x007ffcc0,0x4005ff88,0x3fe05ff9,0x001ffe07,0x0ffec000,
    0x4c17fc40,0xffefffff,0xffe87ffe,0x06ffc803,0x0000bfee,0xf985ff90,
    0x3a3fe42f,0x7ffd00ef,0x00037fc4,0x3e607ffe,0x3fee005f,0x80bff902,
    0x26002ffe,0x7cc004ff,0x81ffa05f,0x000007ff,0x2003ff88,0x7ff445fd,
    0x227fb8ad,0x007ffcc1,0x880fffcc,0x400006ff,0x3ff886ff,0x5ff937ec,
    0xf11fff40,0x6f6dc4df,0x0bffa01b,0xb800fff2,0xfff102ff,0x01bfea05,
    0x8009ff30,0x3fa05ff9,0x201ffe07,0xcccccccc,0x7fc83ccc,0x707fdc00,
    0x3fe41fff,0x8017fea0,0x3f602ffe,0xf500001f,0x47bfe07f,0x9ff34ff9,
    0x223ffd80,0xffff36ff,0x3f205fff,0x07ffcc5f,0x405ff700,0xfff05ffb,
    0x4ff98003,0x02ffcc00,0x3ffc0ffd,0x7fffffc0,0x445fffff,0x841104ff,
    0x3ff60ff9,0x32037ec4,0x3f6003ff,0x13fe603f,0x07ff4000,0xffefffb8,
    0x801ffd0f,0x3fe23ffd,0xfeefffad,0xff981fff,0x07fff72f,0x202ffb80,
    0x7cc0fff8,0xff98006f,0x2ffcc004,0x7fc0ffd0,0xeeeed807,0x45ffeeee,
    0x7fdc1ffb,0x3ff17fef,0x3fa27fec,0x01ffec04,0xe809ff90,0x4c0000ff,
    0x7fdc04ff,0x5ff70eff,0x447ffb00,0x20dfffff,0xf905ffe8,0x07fffdff,
    0x805ff700,0x7fe43ffd,0x3ff98003,0x02ffcc00,0x3fe01ffb,0xffa80007,
    0x3f637ec5,0xf16fffff,0x07ffe45f,0xffe807ff,0x17fee002,0x0007ff50,
    0x8801ffd8,0x17fe60a9,0xf117fec0,0x3e209fff,0xfff881ff,0x70001eff,
    0xffb805ff,0x0007ffc6,0x2000ffd4,0x3ee05ff9,0x00fff01f,0xe8bff500,
    0x233fea4f,0x8bfe5ffa,0xf8affff9,0x0fffc02f,0x00bff700,0x44000dff,
    0x740006ff,0xffb000ff,0x027ffc45,0x3ee0fff6,0x40006fff,0x7c402ffb,
    0x01bfe67f,0x4003ff40,0x3e605ff9,0x00fff05f,0x44bff500,0x99bfa2ff,
    0x70ffe3ff,0x3fffffff,0x002fff80,0x32017fee,0xf70002ff,0x7dc0005f,
    0x3ff2002f,0x201bfe22,0x7fe44ffb,0x7c44ffff,0x17fdc07f,0xfa87ffc0,
    0xf955005f,0xf30007ff,0xeffd80bf,0x00fff2ac,0x54bff500,0x47ff30ff,
    0x0ffe2ffa,0x3fffffee,0x0bffa00c,0x804ffc80,0xd0005ff8,0x7c4000ff,
    0x7fe4005f,0x201bfe22,0x3ff25ffa,0x22fffc9f,0x7dc06ff9,0x1ffe802f,
    0xf1009ff7,0x00019fff,0x26017fe6,0xfff7fffd,0xbff50000,0x3ff73fdc,
    0x5ff0ffdc,0x3ffff220,0xffd80dff,0x0fff6003,0x0007fec0,0x8000ffea,
    0x004c0ffd,0x7fc45ff9,0x16ff9806,0x7ff43fff,0x80bff71f,0xfd802ffb,
    0x007ff92f,0x05dffff1,0x017fe600,0x7dffffaa,0xfa80007f,0xfd9bf25f,
    0xf887fe47,0xfffe802f,0x7fe43fff,0x0bffa005,0x0027fd40,0x40003ff6,
    0xffb13ffb,0x3ff903df,0x4c037fc4,0x89ff95ff,0xfc8efff8,0x17fdc04f,
    0xfd9ffe40,0xd533003f,0xf3000bff,0xcffe80bf,0x00fff199,0x64bff500,
    0xfd1bfa6f,0x400ffc4f,0xffffcefe,0x401ffee2,0x2000fff9,0x3e6007fe,
    0xff10005f,0x3ffffe2d,0x0ffe40ff,0xf500dff1,0x207ff69f,0xffddfff9,
    0x017fdc02,0xffc97fec,0x1ffd0003,0x05ff9800,0x7fc0ffe6,0xffa80007,
    0x5ff97f65,0x1ff32ffc,0x3a29ff00,0xfff10fff,0x09ff9005,0x002ffb80,
    0x20003ff9,0x3ffb1ffd,0x33117fee,0xc806ff88,0x03fff3ff,0x3fffffee,
    0x017fdc00,0xffb97ff4,0x5ff50004,0x05ff9800,0x7fc03fee,0xffa80007,
    0x5ff97f65,0x6fb93fe2,0x223ff880,0x3ff62fff,0x3ffea00e,0x37fc4000,
    0x0037fc40,0x3fe3ffa8,0x8803ff44,0xffe806ff,0x6405ffd2,0xb804ffff,
    0xffe802ff,0x000bff51,0x30013fe6,0x3fec0bff,0x0000fff0,0x2fecbff5,
    0x27fd4dff,0xff3009fb,0x264ffd85,0xf980efff,0xf90005ff,0x3ffb803f,
    0x26ff8800,0x7fdc2ff8,0x3fe204c0,0xb37fd406,0xffe80bff,0x2ffb802f,
    0xf30fff80,0x3e6000df,0x7fcc005f,0xf81ffa05,0xfa80007f,0xfe9bf25f,
    0x7c53ffa6,0x1ffa802f,0x3ee1fff4,0xfecbdfff,0x260005ff,0x7ff405ff,
    0x1ffd8000,0xff70bfe6,0x3e23ffe8,0x3ffa606f,0x40fffee1,0x00effffa,
    0x26017fdc,0x3ffe26ff,0x5ff98000,0x02ffcc00,0x3ffc0ffd,0x2ffd4000,
    0x67fe4df9,0xfebffdfd,0xa8ff7006,0xffb81fff,0x5fffffff,0x0ffe8000,
    0x0009ff30,0xff889ff5,0xff537ec4,0x77ffc4ff,0xfffda9ab,0xbdfffd84,
    0xfffffeca,0x17fdc05f,0xfb0fff20,0xff30007f,0x5ff9800b,0xff81ffa0,
    0xffa80007,0xff99fee5,0xfffff4ff,0x7fc83901,0x981bffea,0x2dfffffc,
    0x7ff50000,0x0007ff60,0x3fa0dfd1,0x547ff52f,0x3fe27fff,0xffffffff,
    0xfffd103f,0x77ffffff,0x7dc09fff,0x07ffc02f,0x2001bfea,0x4c005ff9,
    0x1ffa05ff,0x80007ff8,0x1fea5ffa,0x6e4c7bb5,0xdffff00b,0xffffdfff,
    0x3ff6001d,0xff800002,0x005ff887,0xf301ffc8,0xd0dfffff,0xfdb887ff,
    0x00ceffff,0xeffffeb8,0x0bfff20c,0xf5017fdc,0x3fff10df,0x05ff9800,
    0xd02ffcc0,0x03ffc0ff,0x32ffd400,0x400005ff,0xffffffff,0x000cffff,
    0x00017fee,0xf90bfee0,0xff98005f,0x7fff4c04,0x2001300c,0x0c400009,
    0x17fdc000,0x3205ffd0,0x7cc005ff,0x7fcc005f,0xf81ffa05,0xfa80007f,
    0x002ffc4f,0xffdb7500,0x00179dff,0x105fff30,0x3fe20003,0x00037fc5,
    0x00018800,0x00000000,0x40bfee00,0x3e205ffb,0x3e2002ff,0x7fcc005f,
    0xf81ffe05,0xfb80007f,0x007fe43f,0x2ff88000,0xfffb0000,0x01ff959d,
    0x547ff600,0x000003ff,0x00000000,0x70000000,0xfff105ff,0x06ffb801,
    0x2003ffc0,0xff105ff9,0x003ffc0d,0x2617ff40,0x000003ff,0x00003ff3,
    0x3fffffa2,0x30003fff,0x03bb27dd,0x00000000,0x00000000,0x17fdc000,
    0xe8027fec,0x3fa004ff,0x3fe6004f,0x409ffb05,0x200c07ff,0xffd06ffc,
    0xb8001007,0x400000ff,0x1efffffb,0x00000000,0x00000000,0x00000000,
    0x642ffb80,0x3e6005ff,0xff3003ff,0x266135bf,0x35ffa999,0x01fffd75,
    0x4cccfffc,0x3359db09,0x203fffb5,0x441cffe8,0x7e4006da,0x22000007,
    0x00000019,0x00000000,0x00000000,0x7fdc0000,0x003bfee2,0x005fff30,
    0x57fffff2,0xffffffff,0x5ffffff5,0xffffff80,0xffffb5ff,0x807fffff,
    0xfeffffe8,0x44006fff,0x00000009,0x00000000,0x00000000,0x00000000,
    0x32ffb800,0x20001dff,0x26007ffa,0xfff5fffd,0x3ebfffff,0xf800deff,
    0x5fffffff,0xffffffd5,0x3722001b,0x0befffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fee0000,0x00007ee2,0x220003f7,0x33333309,
    0x00066133,0x26666666,0x0554c409,0x00ccc000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5ff70000,0x01000008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00005ff7,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004cc400,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0xcabdeecb,0x40079955,0x99d71ccc,0x45991005,0x01bdedb8,0x05ee8800,
    0x00000000,0x37ffb2a0,0x91cccccc,0x2a0003dd,0x5eeeeeee,0x002f7440,
    0x80000200,0x44000018,0x5dd70009,0xffffd300,0x2adfffff,0xf9800fff,
    0xffff90ff,0x3fe2019f,0xffffff34,0xf880005f,0x0bfee06f,0x7f64c000,
    0xd881deff,0xffffffff,0xffb2ffff,0x3fea0003,0x406fffff,0x00006ff8,
    0x40001fd9,0xcdffffdb,0x7ee4c000,0x80bdffff,0x201ffffa,0xeceffffb,
    0x3fe6ffff,0x5ffc803f,0x3ffffff2,0xacff882f,0xfffeefff,0x3e20001f,
    0xffff306f,0xffc80001,0x83ffffff,0xebacfffe,0xb1eeefff,0x260003ff,
    0x6ffccccc,0x0037fc40,0x000fff80,0xfffffd88,0x9001efff,0xffffffff,
    0xfffb07ff,0x3ffea07f,0x64dff503,0xfff806ff,0xfffc9882,0x7fffc42f,
    0x3ffa20df,0x3fe20005,0x3ffff706,0x7ffe4000,0x43eeccce,0xfc80effc,
    0x01ffd86f,0x1bfe2000,0x000dff10,0x0003ffe0,0x97dfffd3,0x403ffffd,
    0xceffffe8,0xc83ffedc,0xfd02ffff,0x37fc405f,0x4c03fff3,0xfe8807ff,
    0x3ffe20ff,0x3fff104f,0x1bfe2000,0x0037ffcc,0x007fff30,0xfd00fffc,
    0x01ffd83f,0x1bfe2000,0x000dff10,0x0003ffe0,0xf301dffb,0x7ff40fff,
    0x20ae204f,0xf506ffe8,0x6ff880df,0xf9027ff4,0x3fe2009f,0x13ffe24f,
    0x0007ffb0,0xd981bfe2,0x3ee0000c,0x3fe2005f,0x21ffe407,0x00001ffd,
    0xf101bfe2,0x3e0000df,0x3ea000ff,0x3fe601ff,0x2fffa82f,0x01544000,
    0xf8805ff9,0x03ffd46f,0x5c003fff,0x1bfe27ff,0x0013fee0,0x00037fc4,
    0x017fec00,0xc80dff30,0x0ffec3ff,0xdff10000,0x006ff880,0xffccccb8,
    0xcccccccf,0x401fff44,0xffe86ffc,0xd0000003,0xff8803ff,0xa82fff86,
    0x7cc006ff,0x0dff10ff,0xa80bff50,0xffcdeecb,0xe8000006,0x3e2001ff,
    0x3ffa00ff,0x100ffec1,0xf8807999,0x37fc406f,0x819dfd93,0xfffffffe,
    0x7fffffff,0x2003ffe6,0x3ee1fff9,0x000000ff,0x8801fff0,0x5ffc86ff,
    0x4003ffd8,0xff10fff8,0x0dff300d,0x3fffffa6,0x9936ffff,0x00799999,
    0x0007ff40,0x7d413ff6,0x01ffd87f,0x801dffd1,0x7c406ff8,0xfffff76f,
    0x7fff45ff,0xffffffff,0x3fea7fff,0x8bffa005,0x00003ffd,0x003ffe00,
    0xff30dff1,0x07ffc41f,0x89ffea00,0xff9806ff,0xeffffb85,0x56ffffed,
    0xdfffffff,0x07ff4000,0x37ffe600,0x2fffc999,0xe881ffd8,0xf8800eff,
    0x6ffc406f,0xffedfffc,0x3ffe00ff,0x07ff9000,0xfd1ffec0,0x0000005f,
    0x22007ffc,0x7ffd06ff,0x2002ffd4,0x3e25ffe8,0x4ffa806f,0xa81fffcc,
    0xdddd56ff,0x4000dffd,0x4c000ffe,0xffffffff,0x3ffb03ff,0x00effe88,
    0x880dff10,0x20cfffff,0x3e03fffa,0xffb000ff,0x27fe4007,0x00003fff,
    0x00fff400,0x7d41bfe6,0x00bff66f,0xffff9755,0x4037fc41,0x7ff43ffb,
    0x81bfe202,0xfc806ff8,0xffffffff,0x87ffffff,0xffffbefe,0x3ff600de,
    0x03bffa21,0x406ff880,0x903ffff8,0x7ffc0bff,0x05ffd000,0xf8affdc0,
    0x000000ff,0x880bff60,0x3fe06ffe,0x807ff89f,0x2effffff,0x74037fc4,
    0x1bfea1ff,0x440dff10,0xffc806ff,0xffffffff,0x547fffff,0xb000c3ff,
    0x3ffa23ff,0x7fc4000e,0x27ffc406,0x7c0dff50,0xfff000ff,0xaffdc003,
    0x00007ffa,0x7e402f26,0x3fffa05f,0x2f3ff206,0xffe804ff,0xdff103ce,
    0x646ffa80,0x7fc402ff,0x01bfe206,0x3eaaaaa6,0xaaaaabff,0x017fe42a,
    0x363ffb00,0x88000eff,0x7fc406ff,0x03ffc406,0x3a001fff,0x3ee002ff,
    0x00fff34f,0x1bffe600,0x2217ffc4,0x206ffffd,0x0ffeeff9,0x8807fe80,
    0x3fe606ff,0x00ffec1f,0xf881bfe2,0x3fa0006f,0x3ff2000f,0x6c0009be,
    0x0effd9ff,0x0dff1000,0xf806ff88,0x03ffe07f,0x0017fec0,0x3fe27ff9,
    0xfc80000f,0xffb03fff,0x3fff959f,0xffe80dff,0xffd006ff,0x7dfff100,
    0x9fff9735,0x8801ffd0,0x3fe206ff,0x3ffa0006,0x3ffe6000,0xefffffff,
    0xfeffd81c,0x220001ff,0x7fc406ff,0x207ff806,0xfb000fff,0x7fec007f,
    0x0007ffe2,0x17fffea0,0x7fffff44,0x06ff89ff,0x017fffdc,0xf8807fe8,
    0xffffffff,0x1fff03ff,0x206ff880,0x20006ff8,0x54000ffe,0xffffffff,
    0x7ec5ffff,0x006ffeaf,0x101bfe20,0xfff00dff,0x8007ffc0,0x3a005ffc,
    0x0fffa1ff,0x7fff4000,0x3fff6206,0x0dff11ce,0x006fff88,0x3e201ff6,
    0xefffffff,0x03ffe00c,0x440dff10,0x3a0006ff,0x7ec000ff,0xfdccccef,
    0x3f64ffff,0x05ffe89f,0x80dff100,0xff806ff8,0x003ffe07,0x9803ffdc,
    0x3ff60fff,0xff300006,0x202200bf,0x7c406ff8,0x262002ff,0x16ff8800,
    0x7ff40013,0x037fcc01,0x4000dff1,0x32000ffe,0x7ec405ff,0x4c7ff67f,
    0x88005fff,0x7fc406ff,0x207ff806,0xf1002ffe,0xff9005ff,0x02fffa89,
    0x07fff000,0x06ff8800,0x00037fe4,0x00dff100,0x1017fec0,0x7c40dffd,
    0x3fa0006f,0x3ffe000f,0x1fff9800,0x7fd43ffb,0x7fc4004f,0x037fc406,
    0xffb03ffc,0x77fe4009,0x03ffe600,0x0007bff6,0x003fff30,0x206ff880,
    0x4002fff9,0xff880098,0x3fee0006,0x1bfffa05,0x0006ff88,0x4c003ffa,
    0xff1007ff,0x707ff61f,0x44007fff,0x7fc406ff,0x207ff806,0x1000fffc,
    0xf301dfff,0x3fe609ff,0x0ae203ff,0x0013ffa2,0x4c1bfe20,0x44004fff,
    0x7c401fff,0x3e20006f,0x7fec42ff,0x3fe206ff,0x3ffa0006,0x3fff1000,
    0x6cdffb00,0xfffc81ff,0x0dff1003,0xf806ff88,0x3ffe207f,0x85caabef,
    0xcbdffffb,0x200efffe,0xcefffffb,0x733ffedc,0x000dfffb,0x55dbfe20,
    0x006fffdb,0x405fffc8,0x40006ff8,0xfcacfffd,0x206ff9ff,0x20006ff8,
    0x3a000ffe,0x889acfff,0x21fffeb9,0xffb01ffd,0xccccc85f,0xccccfffc,
    0x00dff10c,0xffb80fff,0x07ffffff,0xfffffff5,0x3a6009ff,0xffffffff,
    0xffff93ff,0x7c400007,0xffffff6f,0xff90001b,0x6ff880bf,0x7ff44000,
    0xfd1fffff,0x3333332d,0xcccccfff,0x00ffe800,0x3ffffe20,0xffffffff,
    0xb00ffec1,0x7ffc5fff,0xffffffff,0xdff10fff,0x300fff00,0xdffffffb,
    0x7fff64c0,0xdb8002df,0xabdffffe,0x00179d90,0xf6ff8800,0x0005dfff,
    0x200fffc4,0x00006ff8,0x439dfffb,0xfffff6fe,0xffffffff,0x1ffd001f,
    0xffeb8800,0x03efffff,0x74403ffb,0xffff1fff,0xffffffff,0x1bfe21ff,
    0x1001ffe0,0x98800333,0x26200000,0x00000000,0x01a984cc,0x00262000,
    0x000004cc,0x7ffc0022,0xffffffff,0xfe800fff,0x2620000f,0x000019a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00620000,
    0x00ccc400,0x40009980,0x00001998,0x00000ccc,0x00009800,0x7dc004c4,
    0xffffffff,0x32a006ff,0x221fffed,0xff3007ff,0x3ffffeed,0x72ffffff,
    0xffffffff,0xffffffff,0x7fffffc3,0x5c00bcef,0x6d4002ee,0x003dffff,
    0x7fffff5c,0x3f2205ff,0x01dfffff,0xffffffb3,0xca80019f,0xbefffffe,
    0x17ffdc00,0xfffeca80,0xd91000df,0x203bffff,0xfffffffb,0xb806ffff,
    0xfffffffe,0x401ffe21,0xfff76ff9,0xffffffff,0x3ffffee5,0xffffffff,
    0x3ffe1fff,0xffffffff,0x3ffff503,0x3ffff200,0xa805ffff,0xffffffff,
    0xfff707ff,0x9fffffff,0xffffff70,0x1007ffff,0xfffffffb,0x3aa09fff,
    0xc802ffff,0xffffffff,0x7ffd403f,0x83ffffff,0xccccdffb,0x2203cccc,
    0xdefffffe,0x1ffe20cc,0xeab7fcc0,0xfeeeeeee,0x999932ff,0x99bffd99,
    0x7fc19999,0xfffdcccf,0xfffd83ff,0xfffd803f,0x6fffdbbd,0x33fffea0,
    0x87eccbac,0xaacefffa,0x5c3fffec,0xfecaacdf,0x3ea01fff,0xdcceffff,
    0x7f544ffe,0x202fffff,0xbcefffe8,0x501ffffc,0x9535bfff,0xffb87fff,
    0x3fa20002,0xf8800cff,0xdff3007f,0x017fec00,0xf801ffe4,0x7f5440ff,
    0x7ffe40ff,0x7ffdc02f,0x83fff981,0x0804fff8,0x3a04fff8,0x220046ff,
    0xff305ffe,0xa5c407ff,0xfcffffe9,0x77ec02ff,0x86ffe880,0xf502fff8,
    0x17fdc1ff,0x1bffb000,0x03ffc400,0x2006ff98,0xfc802ffd,0x1fff003f,
    0x10fffe20,0xff00dffd,0x37fd403f,0x80037fdc,0x2a00fff9,0x54000fff,
    0xdffb07ff,0xfff98003,0x005fff1d,0x0fffa807,0x32027fe4,0x0bfee4ff,
    0x077fcc00,0x01ffe200,0xb0037fcc,0xff9005ff,0x03ffe007,0xa884ffd8,
    0x05ffa802,0x7e42ffe8,0xff50004f,0x01fff00b,0x40fff880,0x0000fffa,
    0x2fff83dd,0x5fff0000,0x4c01ffe8,0x0bfee7ff,0x00ffec00,0x803ffc40,
    0x36006ff9,0xffc802ff,0x01fff003,0x00027fe4,0x3a00bffa,0x2ffe45ff,
    0x0fff8800,0x0017fea0,0x3fa1bfe2,0x4020004f,0x00002fff,0x7fc47ffd,
    0x0ffe800f,0x10005ff7,0x22000dff,0xff3007ff,0x17fec00d,0x801ffe40,
    0x3f600fff,0x7fc0003f,0x7fff4c07,0x00fffdc5,0x205ffd80,0xa8002ffe,
    0x7ffc43ff,0xff800000,0xfd00002f,0x03ffcc5f,0xff71ffe8,0x9ff30005,
    0xff880110,0x0dff3007,0x4017fec0,0xff003ffc,0x3ffe601f,0x3fe20001,
    0x3fffee06,0x7fffc46f,0xfffa8003,0x3bffa61e,0x7ffc4000,0x0037fd41,
    0x02fff800,0x0fff8800,0x6c007ffc,0xddff72ff,0x5c0399dd,0xffec9aff,
    0xff882def,0x0dff3007,0x4017fec0,0xff003ffc,0x9fff501f,0x6ff98000,
    0xfcfffd88,0xffffa87f,0x3ea000be,0xfffcdfff,0xf731000d,0xbff703df,
    0x3fe00000,0xfb80002f,0x03ffe86f,0xff73ffc8,0xdfffffff,0xffdff905,
    0xbfffffff,0x803ffc41,0x36006ff9,0xffc802ff,0xddfff003,0x0bffffdd,
    0x8bff5000,0xfd2fffe9,0xffff501f,0x220039ff,0x3ffffffe,0xfffff980,
    0x9ff900ef,0x3bbbbb60,0x2fff804e,0x7ffc4000,0x01fffb82,0x754fffaa,
    0xffffeeee,0x7ffec2ff,0xfdbaacef,0x1ffe24ff,0x0037fcc0,0xf9005ffb,
    0x3ffe007f,0x2dffffff,0x9ff50000,0xd077ffdc,0x3f2203ff,0x00dfffff,
    0xffffffb8,0x7ffcc00d,0xd82effff,0xffff03ff,0xff00bfff,0xfe80005f,
    0x3fffa05f,0xffecaabc,0xeb8802ff,0x3ff61fff,0x3ffee01e,0x200fff11,
    0x36006ff9,0xffc802ff,0xddfff003,0x0007fffd,0x6c67fd40,0xfff84fff,
    0x7ff5c400,0x3f602fff,0xfffffdff,0x32aaa201,0x6c4ffffc,0xdddb03ff,
    0xff00bffd,0x7ec0005f,0x3fa600ef,0xffffffff,0x22001fff,0x3ff64ffe,
    0x14ffd802,0x3e600fff,0x3ff6006f,0x03ffc802,0x74c1fff0,0x7fe404ff,
    0x3bbfe603,0xfff02fff,0xfffd9800,0x77ff4c1f,0x5ffff711,0x7fff7000,
    0x98027fe4,0xfff805ff,0xfff90002,0x3ffae003,0xffc8beff,0x37fdc000,
    0xf5007ffb,0x01ffe2df,0xb0037fcc,0xff9005ff,0x03ffe007,0x2e03fff1,
    0xf101ffff,0x201dffff,0x50007ff8,0xffe8ffff,0x0dfff305,0xb9ffee00,
    0xff3005ff,0x05fff00b,0x03fff900,0x3fa02200,0xfff98007,0x3007ff90,
    0x07ffcfff,0x0037fcc0,0xf9005ffb,0x3ffe007f,0xb06ffc80,0x7c07ffff,
    0x7cc04fff,0x3e60006f,0x0dff31ff,0x002fff98,0xf50fff88,0x3fe600df,
    0x02fff805,0x00fffe40,0x1bfe2000,0xb9ffe600,0xff9804ff,0x2003ffe6,
    0x3a004ffa,0xffc802ff,0x01fff003,0xf905fff1,0x7f405fff,0x4ffc803f,
    0x9fff4000,0xfd803ffb,0xfff0004f,0x00bffe21,0x3e017fe6,0x3f2002ff,
    0x800001ff,0xb8003ffb,0x1ffea5ff,0xfe93fee0,0x3ffc802f,0x003ffe00,
    0x7c00fff2,0xdff900ff,0x80bffd10,0xfe804ffc,0x7f40001f,0x007ffd2f,
    0x10009ff9,0x6ffd8fff,0x805ff980,0xf9002fff,0x000003ff,0x1000dff3,
    0xffe87fff,0x91fff402,0xff880bff,0xfff5001f,0x00fff200,0xf8807ffc,
    0x003301ff,0x5403fff1,0x440006ff,0x9ffb0fff,0x005ffd00,0xf88bff90,
    0x7fcc04ff,0x02fff805,0x001fffc8,0x1ffe9800,0x2fff4c00,0xc8077fdc,
    0x7ffcc6ff,0x4bffb103,0x9ffd103d,0x00fff200,0xfb007ffc,0xf90000bf,
    0xfff501df,0xd3001505,0x7ffdcdff,0x03ffee02,0x1fffb880,0x00dfffc8,
    0xff00bff3,0xfffc805f,0x6cc00001,0xacc85fff,0xfffdcaaa,0x7ffff00e,
    0x3fffd535,0x57bfff90,0x41fffd95,0xfdcceffd,0xf9000fff,0x3ffe007f,
    0x07ffe600,0xffff1000,0x9fffb759,0x3333bfe0,0xffffdcba,0x37fffa20,
    0xfffebaab,0x2aab3223,0x2ffffcba,0xdffffb10,0xbffd977b,0x7f77776c,
    0x2eeeeeff,0xfffffff5,0xbfffffff,0xfffedcb8,0xffd03fff,0x9fffffff,
    0x7fff4401,0x01efffff,0xffffffb1,0xfd83dfff,0xefffffff,0x0fff2001,
    0x2007ffc0,0x80005ffd,0xffffffe8,0x3ffe03ff,0xffffffff,0xffe881ef,
    0xffffffff,0x7ffffc44,0x02efffff,0xffffffb8,0x3a5fffff,0xffffffff,
    0xf53fffff,0xffffffff,0xe8bfffff,0xcfffffff,0x3ffffa00,0x2000ceff,
    0x4effffec,0xffffb500,0x3b2209df,0x003effff,0xf003ffc8,0xff9801ff,
    0xc880001f,0x02defffe,0x7fffff64,0xa802dfff,0xcffffffe,0xfffff880,
    0x4002dfff,0xfffffec8,0x3ffa0bdf,0xffffffff,0xfff53fff,0xffffffff,
    0xffe8bfff,0x3001abce,0x00003533,0x31000066,0x01988003,0x00000000,
    0x44000000,0x33100009,0x4c000135,0x33300099,0x88000033,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffb00000,0x3ffe200d,0x0017fe23,0xfffe9ffa,0x22ffcc02,0x7c406fff,
    0x3fffe6ff,0xffffffff,0xbffb4fff,0x29ffb000,0x2000fffd,0xfff3fff8,
    0xffffffff,0x07ffcbff,0xfb37fcc0,0xffffffff,0x2a9fffff,0xffffffff,
    0xff74ffff,0xffffffff,0x3ffe29ff,0x1acdefff,0x7ffffcc0,0x101ceeff,
    0xfb007fff,0x06ff88df,0x3fa6fe80,0x7fcc06ff,0x07fffe25,0x3e6fffb8,
    0xffffffff,0x74ffffff,0x44001fff,0xfff11fff,0x37fe4009,0xffffffff,
    0x7cbfffff,0xff9800ff,0x3fffff66,0xffffffff,0xfffff54f,0x9fffffff,
    0x3fffffee,0x14ffffff,0xffffffff,0x2601bfff,0xffffffff,0xfb81efff,
    0x3fea00ff,0x006ff81f,0x3ffa6ff8,0x3fe601ff,0x13fffe25,0x367fffe8,
    0xeeeeeeee,0x14ffeeee,0x54005fff,0x7ffe46ff,0x2fff8800,0x3fb33332,
    0x23ccccdf,0xf9800fff,0x3bbbb26f,0xfeeeeeee,0x9fff53ff,0x99999999,
    0x333bfee5,0x2ccccccc,0xd999fff1,0x05ffffff,0xb999fff3,0x01dffffd,
    0x7f40bffd,0x00fff04f,0x7ff4bff0,0x3fe605ff,0x1bfbfe25,0x03ff7fcc,
    0x6c3ffd00,0x3f6005ff,0x27ffc43f,0x4037fe40,0x7fc03ffc,0x6ff9800f,
    0x4dff9000,0x5c005ffa,0x7c4004ff,0x3ffee07f,0x037fcc1f,0xf309fff7,
    0xdff705ff,0x4003ff40,0x3bffa5ff,0xbff301ff,0x0ffe7fcc,0x03feefe4,
    0x5c6ffa80,0x3fe007ff,0x1fffb81f,0x007ffe20,0xff00fff2,0xdff3001f,
    0x3fff5000,0x2002ffd4,0x44004ffb,0x7ec407ff,0x037fcc6f,0x7e41bff2,
    0x17ffc46f,0x8800ffd0,0x2bffa4ff,0xbff305ff,0x27fcffcc,0x1ff6ffe2,
    0x217ff400,0xa802fff8,0x3ffa06ff,0x017ff605,0x3e01ffe4,0xff9800ff,
    0x7ff44006,0x002ffd44,0x10013fee,0xff100fff,0x037fcc5f,0x7c41ffe6,
    0x17ff64ff,0x4001ffb0,0x5ffa4ff8,0xff980fff,0x3f67fea5,0x7e47fd47,
    0x7fd4000f,0x009ffb06,0x7d407ff9,0xfff981ff,0x07ff9000,0x9800fff8,
    0x7e4006ff,0x05ffa86f,0x0027fdc0,0x6401ffe2,0x1bfe66ff,0x540bff50,
    0xfffa8fff,0x407fec00,0x23ff9819,0x09ff97fe,0x7fd4bff3,0x3fa2ffa9,
    0x8001ff95,0xff702ffe,0x03fff00f,0xfd86ffd8,0x3ff2004f,0x007ffc03,
    0x30037fcc,0xff503fff,0x4ffb800b,0x03ffc400,0x3e67ff98,0x1ffdc06f,
    0x3ff7ff60,0x1ffc802f,0x3e60ffdc,0x7c5ffa3f,0x2ffcc0ff,0x57fe3ff5,
    0x3ff92ff8,0x037fcc00,0x4c03fff1,0xff9806ff,0x03ffe62f,0x403ffc80,
    0xf9800fff,0x3ffa006f,0x00bff504,0x4004ffb8,0xf1007ff8,0x1bfe61ff,
    0x401fff98,0x05fffff8,0xfd83ff90,0xd17fcc3f,0x227fe4ff,0x3fee5ff9,
    0xff71ff91,0xb000ffe4,0xffd805ff,0x00fff204,0xffb37fec,0x3ffc8007,
    0x4ccfffc0,0xfa999999,0xdff9006f,0x002ffd40,0x26677fee,0x22199999,
    0x3fe007ff,0x33fff31f,0x3dff9533,0x3fffee00,0x43ff7000,0x7d46fff8,
    0xf99ffa2f,0x97fe60ff,0x5ff30ffb,0x0ffdc9fd,0x806ff980,0x3fe06ffb,
    0xfff1000f,0x000dff35,0xff807ff9,0xffffffff,0x806fffff,0x2a01fff9,
    0xeeeeefff,0x3fee6eee,0xffffffff,0x0fff11ff,0xf997ff40,0xffffffff,
    0x7fcc005f,0xff5000ff,0x0ffffd45,0x3ff43ff5,0xff98fff6,0xfe83ff25,
    0x3fee1ffe,0x07ffb002,0x303fff10,0xfb800dff,0x002ffeef,0x7c03ffc8,
    0xffffffff,0x06ffffff,0x5404ffe8,0xffffffff,0x3fee7fff,0xffffffff,
    0x0fff11ff,0xf99fff40,0xffffffff,0xfd001dff,0x2a009fff,0x3fbf62ff,
    0xe87fee4f,0x33ffcc7f,0x07fe4bff,0xfb8dfff7,0x7ff9802f,0x213ff600,
    0x44003ffc,0x005fffff,0xf807ff90,0xaaaaabff,0x06ffcaaa,0x54037fe4,
    0xeeeeefff,0x3fee6eee,0xaaaaaaad,0x0fff10aa,0xf997ff40,0xecbaaaff,
    0x5c02ffff,0x01ffffff,0xff13ff98,0x7fdcffd5,0x3fa1ffa0,0x64bff33f,
    0x3ffe20ff,0x4017fdc3,0x2e003ffd,0x0ffe86ff,0xffffa800,0x7ff90001,
    0x800fff80,0x3e606ff9,0xffa801ff,0x27fdc005,0x01ffe200,0xff32fff8,
    0x7fff4c0d,0xb5fff100,0xff300dff,0x3ee3fea7,0x741ff91f,0x36ffa87f,
    0x07fecbff,0xff503ff6,0x0fff9807,0x87ffe200,0x20006ff9,0x20004ffe,
    0x7fc03ffc,0x6ff9800f,0x4013ffa0,0x5c005ffa,0x7c4004ff,0xfff1007f,
    0x101bfe63,0x3f609ffd,0x07fff15f,0xbfb4ff88,0x3fe53fe6,0x7ff41ffa,
    0x3f65ff9a,0xfa83c987,0x1ffec03f,0x71ffec00,0x640007ff,0x320003ff,
    0x7ffc03ff,0x06ff9800,0x5400dff9,0x7dc005ff,0x7fc4004f,0x4fff5007,
    0xfc806ff9,0x0fffb85f,0x8807ffee,0x747ff5ff,0xfe8ffb7f,0xf3bff507,
    0x003ff4bf,0xf980ffea,0xfb8000ff,0x003ffa6f,0x003ffc80,0xf00fff20,
    0xff3001ff,0x03fff30d,0x002ffd40,0x10013fee,0x3fa00fff,0x01bfe64f,
    0xff117fee,0x0dffd07f,0x0ffadff8,0x1bf6bfee,0x7ffc0ffd,0x1ffa5ffa,
    0x409ff500,0x10004ffd,0xdff31fff,0x3ffc8000,0x0fff2000,0x3001fff0,
    0x9ffd0dff,0x05ffa800,0x0027fdc0,0x2a01ffe2,0x3fe61fff,0x43ffd806,
    0xff306ffd,0x677fc07f,0x6effc45f,0x703ff46f,0x74bffdff,0x7fcc007f,
    0x01fff304,0x5dffec00,0x640003ff,0x320003ff,0x7ffc03ff,0x46ff9800,
    0xa8006ffb,0x7dc005ff,0x7fc4004f,0x27ffd407,0xf101bfe6,0x7ffd45ff,
    0x03fff602,0x41fff7f4,0x745feffe,0x3ffe207f,0x01ffe5ff,0x360bff30,
    0x5c0004ff,0x00ffedff,0x01ffe400,0x807ff900,0xf9800fff,0x07ffe66f,
    0x017fea00,0x8009ff70,0xfb307ff8,0xff981dff,0x9bffaa06,0x4405fff8,
    0xffd05fff,0xfff701ff,0x407fe8bf,0x3e5ffffc,0x7fcc007f,0x00fff985,
    0x7fffc400,0xfc80006f,0x9999003f,0x999bffd9,0x007ffc79,0xffd37fcc,
    0xffffffff,0x3eadffff,0x7fdc005f,0xccccccce,0xdfff12cc,0xfffffddd,
    0x9fff301b,0xfffdd999,0x07ffec1d,0x417ffdc0,0xf106fffd,0x7fe89fff,
    0x2ffffc40,0xf9800dff,0x05ffd85f,0xffffd000,0xff900007,0x3fffe007,
    0xffffffff,0x003ffe5f,0xfff9bfe6,0xffffffff,0xff56ffff,0xfffb800b,
    0xffffffff,0xfffff14f,0x07dfffff,0x7fffffcc,0x20cfffff,0x2003fffa,
    0x7e40fffe,0x3ff603ff,0x403ff44f,0xff15fffc,0x6ff8800d,0x000fffcc,
    0x0ffffb80,0x3ffc8000,0xffffff00,0xbfffffff,0x4c007ffc,0x3fffe6ff,
    0xffffffff,0xbff56fff,0xffffb800,0xffffffff,0xffffff14,0xf30039bd,
    0x9dffffff,0x00000017,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bfd0000,0xf5000dfb,0xf3003fff,
    0xfff880df,0x3ffffe64,0x000bdeff,0x83fffec0,0x30001ffe,0x02000000,
    0x77f6e544,0xca8801ce,0x4001bdee,0xaceeedba,0x3bb2e600,0x971001bd,
    0x459bdffd,0xcc803cc8,0x40059504,0x05fe84ff,0x4ffffd80,0x406ff980,
    0x7fcc5ffe,0xffffffff,0xfa8000df,0xffd07fff,0x09f50003,0x7f440000,
    0x7ffffc41,0x00efffff,0xfffffff3,0xffd3009f,0x07ffffff,0x3fffffee,
    0x3ee00cff,0xffffffff,0x201bfe24,0xfffb87ff,0xf07ff005,0xfff0009f,
    0xff300dff,0x077fe40d,0x3333ffe6,0x0effffec,0x3fffe200,0x03ffd07f,
    0x0dfff880,0x7f4c0000,0x77ffc46f,0x6fffedce,0xccdfffb8,0x2e06fffd,
    0xfeefffff,0x7ff443ff,0xffffddff,0xefffc80e,0x24fedccd,0xff806ff8,
    0x1ffffd87,0x2217fc40,0x7d4003ff,0x401fffcf,0xff706ff9,0x0dff301f,
    0x0037ffdc,0x0fff9ff9,0x20007ffa,0x001effe9,0x1dfff500,0xf700ad88,
    0x7ffcc7ff,0x83fff982,0x881efff9,0x0fffe42b,0x2627ffd4,0x10401fff,
    0xfff00dff,0x07ffff90,0x7c42ff98,0x7fec002f,0x4c04ffca,0xfff986ff,
    0x80dff301,0xa801fffa,0x07ff9eff,0x20003ffd,0x002fffe8,0x027ffdc0,
    0xd93ffa00,0x3fe602ff,0x02fff40f,0x803ffe60,0x3ee1fff9,0x7fc4004f,
    0x887ff806,0x4c44ffff,0x99affb99,0x199bffa9,0xff57ff80,0x46ff980d,
    0x2603ffe8,0xffd806ff,0x89ffe803,0x3ffd07ff,0xfffd8000,0xfff90003,
    0xff500007,0x201bfe6d,0x3fee1ffe,0x7fec000f,0x24ffd803,0x44005ffb,
    0x7ff806ff,0xa87fff70,0xffffffff,0xffffffff,0xf2ffd407,0x7fcc03ff,
    0x2027fec6,0xfb806ff9,0x9ffe405f,0xffd07ff8,0xff700003,0x7ec4009f,
    0x100002ff,0x0ffeedff,0xfd8fff20,0xfff8003f,0x26ffa800,0x2003fff9,
    0xff806ff8,0x83fff307,0xfffffffa,0xffffffff,0x17fe407f,0x7cc07ffb,
    0x017ff26f,0x2e01bfe6,0x3fe605ff,0x741ffe26,0x500001ff,0x9801bfff,
    0x0000effe,0xff755533,0x266fff6d,0xfc999999,0x007ffa4f,0x200fff10,
    0x7fec7ff8,0x7c401cff,0x07ff806f,0x9881fff5,0x999ffd99,0x1999ffd9,
    0xf507ffc0,0xb7fcc0df,0x9800effa,0xffc806ff,0x887ffa04,0x3ffd07ff,
    0x7f4c0000,0xfff500ef,0xfea8001b,0xffffffff,0xffffffd6,0xffffffff,
    0x003ffe2b,0x400dff30,0x3f620fff,0x80beffff,0xff806ff8,0x02fff987,
    0x6fd86fd8,0x117fea00,0x3e603fff,0x00fff9ef,0xd00dff30,0x3fee05ff,
    0xe83ffc44,0x400001ff,0x5c1fffe8,0x44004fff,0xfffffffe,0xffd6ffff,
    0xffffffff,0x3e2bffff,0xffa8007f,0x03ffe005,0x3fffff6a,0x1bfe20cf,
    0x6dd5ffe0,0xfd004fff,0x400bfb0b,0xffe83ffc,0xfdfff303,0x7fcc005f,
    0x837fe406,0xff886ff8,0x003ffd07,0xffff1000,0x01bffe61,0x02bbff60,
    0x7fedbfe2,0x9999999b,0x3fe09999,0x7fcc000f,0x0fff1006,0xffffeb88,
    0x201bfe26,0xffffd7ff,0x427fc005,0x3fe005fe,0x06ffb80f,0x5ffffff3,
    0x437fcc00,0x01fffea8,0xff103ffb,0x007ffa0f,0xdffd1000,0x0dfffa83,
    0x01fff300,0xffcb7fc4,0x3ffa0003,0x3ffc4001,0x005ff980,0x44ffff62,
    0x7ff806ff,0x400179db,0x4ff83ff8,0x20dff500,0xf980fff8,0x00fffbef,
    0xffffff30,0x05ffffff,0x7c413fee,0x03ffd07f,0x7ffcc000,0xdffd300d,
    0x0bff7003,0xff76ff88,0x7fec0009,0x2fff8004,0x004ffc80,0xff14ffc8,
    0x3ffdc01f,0x17fc4000,0x6400ffe2,0x3ffa03ff,0xfb6ff983,0xff3001df,
    0xffffffff,0x3bfe201b,0x20fff100,0x00001ffe,0x1009fff7,0xc805fffd,
    0x3f6204ff,0x03fff36f,0x07ffee00,0x80dff900,0x8001fff8,0x3ffe5ffb,
    0x0ffff502,0xfdddd300,0xffdddddf,0x3e01dddd,0x3fee01ff,0xf16ff986,
    0xff300bff,0x1579dddf,0x202ffd80,0xffd07ff8,0xff900003,0xffc8007f,
    0x1bfee03f,0xb37fff4c,0x20003dff,0x2202effe,0x413ffe21,0x8004ffe8,
    0x3fa3fff8,0xffffa84f,0xfff98007,0xffffffff,0x80ffffff,0xeeeefffa,
    0x0fffeeee,0xff337fcc,0x6ff9807f,0xdfff3000,0xfddddddd,0x3abdddff,
    0x220001ff,0x0002fffd,0x2609fff7,0xdb9aefff,0x226fffff,0x9abdffff,
    0xf985dba9,0xcaacefff,0x7ffdc3fd,0xfffcaabe,0x55e76c0f,0xfffecb9a,
    0x2ffffea0,0x7fedffda,0xeccc8800,0xfdccccff,0xf904cccf,0xffffffff,
    0x987fffff,0x7ffdc6ff,0x01bfe601,0x7ffffcc0,0xffffffff,0xffd6ffff,
    0x3fa20003,0x540001ef,0xfc80dfff,0xdfffffff,0x7f4c6fe8,0xffffffff,
    0xfffd305f,0x07ffffff,0xfffffff7,0xffb01bff,0xffffffff,0xffffd03d,
    0x1ffabfff,0x21ff2000,0xff800ffb,0xffffffff,0x4c6fffff,0xfffd86ff,
    0x00dff300,0x3ffffe60,0xffffffff,0xffd6ffff,0xfff50003,0x2600001d,
    0xea81effe,0x3a2effff,0xfffd706f,0x807bffff,0xefffffeb,0xfffb301c,
    0x76407dff,0xefffffff,0x3fff200b,0x01ff63ef,0x321bf600,0x6ffa807f,
    0x41fff300,0xfe886ff9,0x0dff306f,0xff100000,0x007ffa0f,0x00bfff10,
    0xdffd1000,0x0000cc40,0x000cccc4,0x88001988,0x99980009,0x4cc0009a,
    0x6c000001,0x806fd86f,0x3a004ffc,0x1bfe63ff,0x4c27ffcc,0x000006ff,
    0xfd07ff88,0x7f30003f,0xed800000,0x00000000,0x00000000,0x00000000,
    0xfe800000,0xf805fd85,0x3f2001ff,0x81bfe65f,0x7cc2fffb,0x8000006f,
    0xffd07ff8,0x9999999b,0x00008399,0x00001000,0x00000000,0x00000000,
    0x00000000,0x3fa13fe0,0x037fd405,0x4c3ffe60,0x7fec06ff,0x01bfe61f,
    0x3fe20000,0xfffffd07,0x5fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0x6404ff83,0xff8004ff,0x00dff33f,0x3e61dffd,
    0x8000006f,0xffd07ff8,0xffffffff,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x3f6a21cc,0x2cc880ce,
    0x033bfb26,0x0ef5c993,0x0000fbb2,0x003cca80,0x66447332,0x0ccb8002,
    0x3333332e,0x22cccccc,0xa802ccc8,0x74c00ccc,0xffd8000e,0x7fffe402,
    0xffffffff,0x57bba3ff,0x3ae2eeea,0x001100ee,0x0bddd300,0xf32ffb80,
    0x85ffffff,0xfff74ff8,0x7d45ffff,0x23ffff97,0x002ffffd,0xf5005ff9,
    0xff3001ff,0x017fe21f,0xffd1ffe0,0xffffffff,0xfffc87ff,0x13ffe201,
    0x2001fe60,0x6406fff9,0xffffffff,0x23ffffff,0xfff56fff,0x207ffdc5,
    0x404fffea,0xffd30099,0x57fdc00b,0xffeefffa,0x33fe20ff,0xfffdfffc,
    0xf5ff50ff,0xdf77ff9f,0x3200dff9,0xfff002ff,0x89ff9005,0x7c4006ff,
    0x7ffff46f,0xffffffff,0x206ffe83,0xf3006ffd,0xfdfd000f,0x6665407f,
    0xcccccccc,0x3ffe1ccc,0x5c3fff55,0x3fee0fff,0x980effff,0x3f6204ff,
    0xbff7005f,0x7f541bff,0x3fffe23f,0x9fffd44f,0xfb0feffa,0x1ff61fdd,
    0x8017fe40,0xff805ffc,0x003ff41f,0x20017fe6,0xf880effc,0xfffb84ff,
    0x3e21e980,0xfa807547,0x000ffd8f,0xafff4000,0x3ea1fff9,0x3bffe27f,
    0x5c0efffd,0xffb803ff,0xffffb805,0x44bff704,0xf903ffff,0x8fffeabf,
    0x3f22fffc,0x2ffc800f,0x01fff300,0x7ec37fd4,0xfa81980f,0x7fd4004f,
    0x3ffea01f,0x40bffe21,0x45be3ffe,0xff884ffd,0x000bff14,0x34ffe800,
    0x7fd41fff,0xe88ffee7,0xffd31fff,0x06aa6003,0x409fff70,0x3fe26ff8,
    0x5bfea03f,0x7fdc7ffa,0x400ffe46,0x3a002ffc,0x3ff603ff,0x5c1ffc83,
    0x17fdc1ff,0x05fff100,0x361dff90,0x3f6604ff,0xffadf9ef,0x0ffc81df,
    0x0000bff2,0xf14ffd80,0x3ffd41ff,0xfe883ff9,0x05ffffff,0xbff70000,
    0x227ff880,0x7fc406ff,0xfb87ff57,0x00ffe42f,0x70017fe4,0x3fe20dff,
    0x42ffb80f,0x7fdc4ffe,0x13ffa001,0xfbcffe80,0xffb3006f,0x2019ffff,
    0x6ff83ff8,0xeeeeeeb8,0xeeeeeeee,0x7c4fff62,0xb37fcc7f,0xffb101ff,
    0x0001dfff,0x013fee00,0x4037fc40,0x85ff57ff,0x7fe41ffb,0x02ffc801,
    0x207ffe20,0xff505ffb,0x237ffc47,0xfb000ffc,0xff9800df,0x4000ffff,
    0x400efff9,0x7ff506fd,0xffffffc8,0xffffffff,0xff8fff23,0x0037fcc7,
    0x0066f6d4,0x9ff70000,0x1bfe2000,0x7fd5ffe0,0x320ffdc2,0xffff71ff,
    0xffffffff,0xf905ffff,0x05ffd09f,0xffb93fe6,0x01ff61ff,0x0007ffdc,
    0x017fffdc,0xfffff710,0x0bfe605d,0x3ae0ffe8,0xeeeeeeee,0x262eeeee,
    0x20aaa0aa,0x000002aa,0xffb80000,0xdff10004,0x3eafff00,0x20ffdc2f,
    0xfff71ffc,0xffffffff,0x305fffff,0x6ff98fff,0x9fb2ffc0,0x037f49ff,
    0x000fffcc,0x00ffff98,0xfafffb88,0x742effbe,0x2ffcc06f,0x00000000,
    0x00000000,0x027fdc00,0x806ff880,0x85ff57ff,0x7fe41ffb,0xdddddd51,
    0xdddddfff,0x3ffa03dd,0xd00fff22,0x36bfe2df,0x1017fe7f,0x20007ffd,
    0x05ffffe8,0xdf0dffe8,0x7d53ffa6,0x2ffc802f,0x2aaa15cc,0xaaaaaaaa,
    0xaaaaaaaa,0x00000001,0x3fee0000,0xdff10004,0x3eafff00,0x20ffdc2f,
    0xfc801ffc,0xffb8002f,0xb003ffa5,0x7d5feaff,0x404ff8af,0x20005ffd,
    0x4ffedffd,0xdf117dc0,0x03310fb8,0xfa826620,0x3fffe6ff,0xffffffff,
    0x5fffffff,0xfffffff5,0x00001fff,0x3fee0000,0xdff10004,0x3eafff00,
    0x20ffdc2f,0xfc801ffc,0xff88002f,0x805ffa8f,0x24fd8ffc,0x03ff9cff,
    0x0003bfee,0x7cc7ffdc,0x220402ff,0x0000087f,0xf3fffff8,0xffffffff,
    0xffffffff,0x3ffeabff,0x0fffffff,0x00000000,0x20009ff7,0xff806ff8,
    0xfb85ff57,0x00ffe41f,0x80017fe4,0x2ffcbffd,0xffaffb80,0x3febff62,
    0x03fff501,0x8bffe600,0x2001fffb,0x000007f9,0x4fffff88,0x33333333,
    0x33333333,0x3baa1333,0xeeeeeeee,0x00000000,0x0009ff70,0x3e01bfe2,
    0xb85ff57f,0x0ffe41ff,0x0017fe40,0x7ffdff98,0xffbff500,0x0ffdffa8,
    0x003fff88,0xd09fff10,0x26001dff,0x000000ff,0x02ffffe8,0x00000000,
    0x40000000,0x10004ffb,0xfff00dff,0xff70bfea,0x801ffc83,0x20002ffc,
    0x004ffffe,0xf09ffff3,0x3fa0ffff,0xccccccff,0xffe84ccc,0x0bfff106,
    0x00000000,0x0013ffe6,0x00000000,0x2e000000,0xf10004ff,0x2fff00df,
    0x7fdc2ffa,0x400ffe41,0x20002ffc,0x001ffffb,0x320bfffe,0xff886fff,
    0xffffffff,0x3f20ffff,0x3fea01ff,0x0000003f,0x00026000,0x00000000,
    0x5c000000,0xf10004ff,0x2fff00df,0x7fdc2ffa,0x400ffe41,0x20002ffc,
    0x4006fff8,0xff307fff,0xffff10bf,0xffffffff,0x3ffea1ff,0x1fffd803,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_36_usascii_x[95]={ 0,7,4,0,1,0,1,7,5,4,2,1,4,4,
6,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,1,3,3,2,
4,0,2,1,2,1,2,1,1,1,0,0,0,0,1,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1, };
static signed short stb__consolas_36_usascii_y[95]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,20,14,
20,1,2,2,2,2,3,3,3,3,2,2,8,8,6,12,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,0,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12, };
static unsigned short stb__consolas_36_usascii_w[95]={ 0,6,12,20,17,20,19,5,11,11,15,18,9,12,
7,15,18,16,16,16,19,15,16,16,16,17,6,9,15,16,15,12,20,20,16,17,18,14,14,17,17,14,13,17,
14,19,16,18,16,19,17,17,18,17,20,20,20,20,17,9,16,9,16,20,12,15,16,15,16,16,19,18,15,15,
14,16,15,18,15,18,16,16,16,14,17,15,18,20,18,18,16,14,4,13,18, };
static unsigned short stb__consolas_36_usascii_h[95]={ 0,26,9,23,32,27,26,9,35,35,16,18,13,4,
7,29,25,24,24,25,23,24,24,23,25,24,19,25,21,9,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,34,29,34,12,4,8,19,26,19,26,19,26,26,25,26,
34,25,25,18,18,19,26,26,18,19,25,19,18,18,18,26,18,34,37,34,8, };
static unsigned short stb__consolas_36_usascii_s[95]={ 251,207,204,1,115,186,231,198,18,6,148,
53,244,210,181,170,1,90,107,55,78,142,158,80,38,124,244,243,129,181,113,
37,94,22,239,225,220,205,190,72,154,139,193,43,98,60,43,206,61,133,226,
20,207,175,97,22,1,118,172,69,153,45,164,189,236,145,214,178,67,161,100,
120,172,84,79,139,156,34,18,194,50,1,1,213,188,228,72,91,129,18,112,
30,1,55,217, };
static unsigned short stb__consolas_36_usascii_t[95]={ 1,1,140,116,1,1,1,140,1,1,140,
140,116,150,150,1,66,66,66,66,116,66,66,92,66,66,66,39,116,140,116,
39,1,116,92,39,92,92,92,66,92,92,66,116,116,92,92,39,116,1,66,
66,66,66,92,92,92,92,92,1,1,1,140,150,140,116,1,116,39,116,39,
39,39,39,1,39,39,140,140,116,39,39,140,116,39,116,140,140,140,39,140,
1,1,1,140, };
static unsigned short stb__consolas_36_usascii_a[95]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_36_usascii_BITMAP_HEIGHT or STB_FONT_consolas_36_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_36_usascii(stb_fontchar font[STB_FONT_consolas_36_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_36_usascii_BITMAP_HEIGHT][STB_FONT_consolas_36_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_36_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_36_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_36_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_36_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_36_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_36_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_36_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_36_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_36_usascii_s[i] + stb__consolas_36_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_36_usascii_t[i] + stb__consolas_36_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_36_usascii_x[i];
            font[i].y0 = stb__consolas_36_usascii_y[i];
            font[i].x1 = stb__consolas_36_usascii_x[i] + stb__consolas_36_usascii_w[i];
            font[i].y1 = stb__consolas_36_usascii_y[i] + stb__consolas_36_usascii_h[i];
            font[i].advance_int = (stb__consolas_36_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_36_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_36_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_36_usascii_s[i] + stb__consolas_36_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_36_usascii_t[i] + stb__consolas_36_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_36_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_36_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_36_usascii_x[i] + stb__consolas_36_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_36_usascii_y[i] + stb__consolas_36_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_36_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_36_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_36_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_36_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_36_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_36_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_36_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_36_usascii_LINE_SPACING
#endif

