// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_44_usascii_BITMAP_HEIGHT        228
#define STB_FONT_consolas_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_44_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_44_usascii_NUM_CHARS             95

#define STB_FONT_consolas_44_usascii_LINE_SPACING          29

static unsigned int stb__consolas_44_usascii_pixels[]={
    0x44001331,0x0001c80d,0x04c18800,0x26000000,0x266620bc,0x10999999,
    0x33333333,0x26200033,0x800001bb,0x88000099,0x000001a9,0xa98d5540,
    0x9800002a,0x54002bcb,0x555511aa,0x200dff91,0x3f20efe8,0x5400001f,
    0xf11fffec,0x0005bdff,0x77ffdc00,0xffffffd0,0x3ff2bfff,0x7fffffff,
    0x7fff5400,0x0002dfff,0x0005ffa8,0xfffffdb3,0x0000019d,0xf997ffc4,
    0x200002ff,0x1efffffc,0x31fffa80,0xff93ffff,0x3fff600d,0x01ffff12,
    0xfffb1000,0x3fe23fff,0x001effff,0xfffff800,0xffffffd3,0x3ff2bfff,
    0x7fffffff,0xffff9100,0x07ffffff,0x04ffb800,0xfffffa80,0x01ffffff,
    0xfff90000,0x0005ffd8,0xffffffb0,0x7fc401ff,0x3fffe23f,0xd806ffc9,
    0x7fd43fff,0x740000ef,0x1effffff,0xffffffd1,0x4400001f,0xd94fffff,
    0xfffddddd,0x3bbfff2b,0x9806eeee,0x98acfffe,0x003fffdb,0x000fff20,
    0xfffffff9,0x05ffffff,0x9fff0000,0x001fffa8,0x457ffd40,0x3204fffb,
    0x7ffc46ff,0x406ffc9f,0xf704fffc,0x20001dff,0x00affffb,0x2ffff544,
    0x3ffa0000,0xffe803ff,0x000fff95,0x00f7ff44,0x0007fff7,0xd800bff6,
    0x30acffff,0x05ffffd7,0x7ffd4000,0x004ffe80,0x2a1fff40,0xfff307ff,
    0x9ffff883,0x3ee06ffc,0x7fe405ff,0xfff0004f,0xffd0001f,0x4c00003f,
    0xfd004ffe,0x01fff2bf,0x00dffd80,0x8806ffc8,0xefffedba,0xff301bce,
    0x7f4405ff,0x200006ff,0xff705ffe,0x7fc0001f,0x07ffc40f,0x7c427ff4,
    0x6ffc8fff,0x01dfff10,0x003fffd0,0x003fff98,0x005fff30,0x40013000,
    0xfff95ffe,0x3ffee000,0x07ffa000,0xffffffa8,0x04ffffff,0x1005fffb,
    0x0005fffd,0x205fff30,0x0003fff8,0x3fe0fff1,0x837fe41f,0xfc8ffff8,
    0x5fff906f,0x1bffe600,0x03fff500,0x01fffc00,0x74000000,0x0fff95ff,
    0x05fff100,0x884ffb80,0xfffffffe,0x84ffffff,0x2005fff9,0x0005fffa,
    0x6c06ffc8,0xf10006ff,0x1fff01ff,0xf00fffcc,0xdff91fff,0x00bfff30,
    0x003fffc8,0x0001ffee,0x00009ffd,0xbffd0000,0x2001fff2,0x88005ffc,
    0xfffe87ff,0xaeffbacf,0xffd84ecb,0x3fe2002f,0x220001ff,0x7cc03fff,
    0xff0001ff,0x47ff885f,0x7fc04ffe,0x86ffc8ff,0x4001fffe,0x000ffff8,
    0x8000fff7,0xc8805ffe,0xcccccccc,0xd004cccc,0x1fff2bff,0x01fff100,
    0xc87ffa00,0x3ea0efff,0xffff005f,0x5fffb000,0x7ffdc000,0x05ffe800,
    0x41bffb00,0x3ff25ffc,0x7fffc00f,0x7d46ffc8,0xf70004ff,0x3ee007ff,
    0x7f40007f,0xfff9805f,0xffffffff,0xffd007ff,0x001fff2b,0x4000bff7,
    0x3ffe2ffc,0x027fdc2f,0x0027ffc4,0x001fffd4,0x2009ffd0,0x8000fffa,
    0xfecffff9,0x5fff31ff,0x32ffff00,0x7ffec6ff,0x3ffe0000,0x0fff7006,
    0x05ffe800,0xffffff98,0x7fffffff,0x32bffd00,0x7f4007ff,0xcedb882f,
    0x7ff72dba,0x361bffe2,0xff9802ff,0xff98003f,0xff50004f,0x7ffc003f,
    0xfff90004,0x7f47ffff,0xffff005f,0xfff1bff2,0xffd8000d,0x7ffb801f,
    0x2fff4000,0x66666440,0xffeccccc,0x2bffd007,0x26007ffc,0xfff987ff,
    0xf51fffff,0x17ffea9f,0x2a007ffa,0x88002fff,0xb0005fff,0xfc800bff,
    0x3aa0007f,0x3ee1dfff,0xfff000ff,0xfa9bff2f,0x540003ff,0xfb804fff,
    0x7f40007f,0x6c00005f,0xffd007ff,0x801fff2b,0x7fcc4ffb,0x0fffffff,
    0x3fe29ff5,0x07ffc0ff,0x017ffdc0,0x037ffc40,0x017ffc40,0x00bffe20,
    0x3fe20200,0x3ffa002f,0x7e4dff97,0xf80000ff,0xffc807ff,0x7fec0007,
    0x7ec00005,0xbffd007f,0xc801fff2,0x6fff42ff,0x7ccfff90,0x97fffe5f,
    0xf9007ff8,0x3e0003ff,0xfc8007ff,0xffb0007f,0x3600000d,0x7f4005ff,
    0x7cdff97f,0xb00006ff,0xfd801fff,0x7e40006f,0x6c00007f,0xffd007ff,
    0x801fff2b,0x3fee0ffe,0x99bff20e,0x3ffee6ff,0x06ff9aff,0x003fffb0,
    0x001bffe0,0x0007fff1,0x0007ffea,0x01fff700,0xf97ffe80,0x17ffe2df,
    0x7ffdc000,0x0fffe201,0x7fff5000,0x7fec0000,0x2bffd007,0xf1007ffc,
    0x43ffe8ff,0x3fe24ffd,0x7ffffec6,0xf9005fff,0xf10005ff,0xfb800bff,
    0x3a0000ff,0x200004ff,0x8003fff8,0xdff96ffe,0x0013ffe6,0x817ffdc0,
    0x000fffea,0x0cfffe80,0x7ffd8000,0x32bffd00,0xff5007ff,0x207ffc4b,
    0x3fe63ffe,0xfffffc85,0xfc801eff,0xf88002ff,0x7f4004ff,0x7dc0005f,
    0xb00000ff,0x3a000dff,0x2dff96ff,0x0003fffa,0x2a7fff50,0x1efffffe,
    0xffd10000,0x0009dfff,0x7401fff6,0x0fff95ff,0xfa93fea0,0x22fff87f,
    0xfd305ff9,0x5bffffff,0x01fffdc0,0x027ffcc0,0x003fff30,0x03fff880,
    0x0fffa800,0xd806ae62,0x2dff96ff,0x0002fffa,0x2e9fff30,0x002fffff,
    0xfffd5000,0x3f6000bf,0xbffd007f,0x5c01fff2,0x17ff23ff,0x7d43fff1,
    0x7fecc04f,0x80dfffff,0x8004fffa,0x2003fffb,0x00006ffd,0x8000dff9,
    0x3ee3fff8,0xd80effff,0x2dff96ff,0x0001fffb,0x2ebfff10,0x0dffffff,
    0x3fee0000,0x0005ffff,0x3a00fffb,0x0fff95ff,0xfd8fff20,0x23ffcc4f,
    0xfd003ffa,0x3fffffff,0x007fff98,0x001fffd8,0x0005fff1,0x00bffe60,
    0x326ffd80,0xffffffff,0xfcb7fec0,0x05fff76f,0x3ffe2000,0xffb53314,
    0x320000df,0x099adfff,0x0fffb000,0x7e57ffa0,0x5ff9007f,0x3ee1fff4,
    0x01ffdc6f,0xffdafff8,0x7ffc1fff,0x3fe2001f,0x3fee006f,0x7f400007,
    0xff50005f,0x33ffe63f,0x6c4fffc9,0x2dff95ff,0x0003fffa,0x407fff30,
    0x0003fffb,0x001fffcc,0x00fffb00,0x7fe57ffa,0x45ffb007,0x7fe43ffe,
    0x400ffec5,0x3faa7ff8,0x7ffe46ff,0x3ffee004,0x13ffe003,0xfff50000,
    0xfff88001,0xf513ff64,0xa77641ff,0xfff36ffc,0x3ea00009,0x7ff403ff,
    0x7fe40006,0x7ec00007,0xbffd007f,0x6c01fff2,0x0fffe1ff,0x7fe89ffb,
    0x88dff300,0x3e20ffff,0xf9802fff,0x3ea007ff,0x800000ff,0x64004fff,
    0x0fff46ff,0x9007ffe2,0x3ffe2dff,0xff700005,0x7ffc805f,0x37fec000,
    0x3ff60000,0x2bffd007,0xfb007ffc,0x127ff45f,0x7fc49fff,0x0bff5004,
    0xfd85fff9,0x3e601fff,0x3a003fff,0x000005ff,0x4c00fff7,0x7ffc1fff,
    0x402ffe80,0x3ffe6ffc,0xff900006,0x7ffb801f,0x2fff4000,0x3ff60000,
    0x2bffd007,0xf9007ffc,0x927fec5f,0x7fe49fff,0x07ff7002,0xf887fff7,
    0x88acffff,0x05ffffca,0x00bffe60,0x7ffc4000,0x09ffd003,0xffd01fff,
    0x3ff20883,0x003fffa6,0x01bffe00,0x0001ffee,0x0000bffd,0xd007ffd8,
    0x1fff2bff,0xf91ffdc0,0xfdff75ff,0x01dff73f,0x320bff20,0xff981fff,
    0xffffffff,0x64005fff,0x000006ff,0x64037fec,0xffe80eff,0x360fff83,
    0x6ffc8dff,0x000fffee,0x009fff30,0x8000fff7,0x00005ffe,0xe803ffec,
    0x0fff95ff,0xf993fea0,0xfbafffff,0x001fffff,0xff107ff6,0x7ffcc0ff,
    0xffffffff,0x7ffc4005,0x4c000003,0x3e601fff,0xbffb02ff,0x3ee6ffb8,
    0x6ffccfff,0x001bffe2,0x003fff90,0x8000fff7,0x00005ffe,0xe803ffec,
    0x0fff95ff,0xf713fea0,0x3fe29fff,0x01982fff,0x7f4c1ffd,0xfda805ff,
    0x01cfffff,0x00fffb80,0xffe80000,0x813ffa05,0xfcbffff9,0x3fff62ff,
    0x6c6ffcef,0x20000fff,0xf7007fff,0xfe8000ff,0x6c00005f,0xffd007ff,
    0x401fff2b,0xbb985ff9,0x3202ca80,0xffabcdff,0xffffecbf,0x3fa2000e,
    0x7f40006f,0x0000004f,0xf701fff7,0xffc801ff,0x644fffff,0xffccffff,
    0x027ffd46,0x04fffa80,0x000fff70,0x0005ffe8,0x803ffec0,0xfff95ffe,
    0x03ffe200,0x3ff20000,0xffffffff,0x00efffff,0x01fffc80,0x03fff500,
    0x7fc00000,0x17ffcc3f,0xeffffb80,0x8effe882,0xfff86ffc,0xffe8001f,
    0xfff7000f,0x5ffe8000,0x7ff40000,0x2bffd006,0x36007ffc,0x800003ff,
    0xfffffffc,0x2effffff,0x3ffee000,0xdffb0005,0xc8000000,0x400007ff,
    0x21980098,0xffa86ffc,0x7fdc005f,0x3fee002f,0x7ff40007,0x7fc00005,
    0xbffd005f,0xa801fff2,0x000006ff,0xfffdb973,0x000579df,0x07ffff10,
    0x3ffe216e,0x40000002,0x0002fff8,0xff900000,0x0bfff60d,0x037ffc40,
    0x003ffea0,0x004ffe80,0x13ffe200,0xfcafff40,0x7ffc007f,0x90000001,
    0x000007ff,0x37bfffee,0x643ffedc,0x000007ff,0x44dffb00,0xbbbbbbbb,
    0x0001bbbb,0x220dff90,0xd800efff,0x4c001fff,0x20001fff,0x00003fff,
    0x400bfff6,0xfff95ffe,0x0effc800,0xfd800000,0x2000002f,0xfffffffd,
    0x7ffc6fff,0x00000004,0x3e63fff5,0xffffffff,0x00003fff,0x7dc0dff9,
    0x7fdc05ff,0xff88004f,0xff50004f,0x8028805f,0x2006fffb,0xfff95ffe,
    0xefff9800,0x00013000,0x00003ffd,0xfffffa80,0x664c3fff,0x0000000c,
    0x7ccb3320,0xffffffff,0x00003fff,0xfd80dff9,0xfff505ff,0x7ff4000b,
    0x7fc4002f,0x7fc400ff,0xfda999ac,0x3a001fff,0x0fff95ff,0x5dfff500,
    0x03fd5101,0x001fff00,0x32ea0000,0x00000abd,0x98000000,0xffffffff,
    0x0003ffff,0x880dff90,0x7cc3fffe,0x20000eff,0x9adffffa,0x7fe54cc1,
    0xff8803ff,0xffffffff,0x999883ff,0x95ffe999,0x33333fff,0x7ffd4033,
    0xfffeeeff,0x7c4001ff,0x0000007f,0x00000000,0x22200000,0x88888888,
    0x32000008,0xfe8806ff,0xdfff12ff,0xffb00001,0x223fffff,0xefffffff,
    0xffff8800,0x1effffff,0xffffffd0,0x3ff2bfff,0x7fffffff,0x7ffffcc0,
    0x0befffff,0x00000000,0x00000000,0x00000000,0x64000000,0xfd1006ff,
    0x000ffd8b,0x3fffea00,0xffff11ff,0xb88007ff,0x2cdeffed,0x7fffff40,
    0xff95ffff,0xffffffff,0x3bb2a200,0x00001cce,0x00000000,0x00000000,
    0x00000000,0x1bff2000,0x1d80d980,0xba880000,0x9dd11eec,0x00000157,
    0x3bbbb200,0xd74eeeee,0xdddddddd,0x0000000d,0x00000000,0x00000000,
    0x00000000,0xff900000,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x00006ffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01bff200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeb80000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98d55400,0x40000aaa,0x000009a9,0x99dfdb95,0x03999999,
    0x157b9730,0x03555000,0x79993000,0x59995000,0x00377100,0x00015553,
    0xaaaaaa98,0x00001aaa,0x55797530,0xb9510013,0x7b5357bd,0x006aaaa2,
    0x29fff100,0x0000fffc,0x5effffdc,0x7ff54000,0xffffffff,0x2602ffff,
    0xfffffffe,0x3ffe2003,0xff880004,0x7f4000ff,0x7fcc01ff,0x7fe402ff,
    0x7e40000f,0xffffffff,0x75400004,0xffffffff,0x3fffea04,0xffffffff,
    0x07ffff34,0x4fff8800,0x0001fff9,0xffffffb8,0xffc800cf,0xffffffff,
    0x02ffffff,0xfffffff7,0x22009fff,0x00004fff,0x4007fffb,0xd806fff9,
    0x6406ffff,0x40000fff,0xfffffffc,0x100004ff,0xfffffffd,0x3f209fff,
    0xffffffff,0xff34ffff,0x880007ff,0xfff94fff,0xffb80001,0x2effffff,
    0x2ffffea0,0x3ffff660,0xff880aab,0xfffcbdff,0xff8802ff,0xf500004f,
    0x7e400dff,0xffd803ff,0x7fe407ff,0x75c0000f,0xfffeeeee,0xffb00004,
    0xdb999dff,0xfffe889f,0xfdaa9bcf,0xfff14fff,0xf880005f,0x1fff94ff,
    0x2e660000,0x02fffffe,0x6403ffff,0x7ec03fff,0xfffc83ff,0x4fff8805,
    0x3ffe0000,0xfffd001f,0xffff9001,0x0fffc80b,0xff300000,0xf500009f,
    0xc8005fff,0x2200dfff,0xfff14fff,0xf880005f,0x1fff94ff,0x3aa00000,
    0x7cc1ffff,0xfff804ff,0x837ffc07,0x8807fff8,0x00004fff,0x2013fff2,
    0x2005fff9,0x6400effd,0x00000fff,0x009fff30,0x05fffd00,0x05fff880,
    0x3e4fff88,0x40001fff,0xff94fff8,0x4000001f,0x5c5fffe8,0xfd801fff,
    0xfff100ff,0x07ffec09,0x013ffe20,0x7fff8800,0x02fffc80,0xfc800c40,
    0x000000ff,0x0009fff3,0x000dfff0,0x1003fff9,0x7ffc9fff,0x7c40001f,
    0x1fff94ff,0xf8800000,0x3ff21fff,0xfffc800f,0x09fff300,0x4403ffec,
    0x00004fff,0x2017ffec,0x00007fff,0x007ffe40,0xfff98000,0x7fc40004,
    0x7fc4004f,0xfff1005f,0x007fffc9,0x53ffe200,0x0000fffc,0x3fffd800,
    0x200bfff2,0x3e207ffd,0x3ffe05ff,0x4fff8805,0x7fd40000,0x3ffea05f,
    0x64000004,0x00000fff,0x009fff30,0x03fff980,0x01fffcc0,0x3a4fff88,
    0xa9800fff,0xffbcdedc,0x41fff94f,0x0bdedb98,0x3ffee000,0x013ffea5,
    0xf80dfff1,0xffc80fff,0xfff8803f,0x99997004,0x807fffc0,0x9501fffc,
    0x99999999,0x0fffc805,0x2f7bbae2,0x7ffcc000,0x7fd40004,0x7fd4003f,
    0xfff1002f,0x203fff49,0xfffffffa,0xf94fffff,0x3ffe61ff,0x002fffff,
    0x44bfff30,0x3201ffff,0x7ec03fff,0x7ffdc5ff,0x9fff1006,0x3ffffb00,
    0x81fffe40,0x3f206fff,0xffffffff,0x87ffe404,0xfffffffb,0x3fe6002f,
    0x7d40004f,0x7dc003ff,0xff1001ff,0x82f7649f,0xffffffd8,0x4fffffff,
    0xff51fff9,0xffffffff,0xfff50005,0xbffffb89,0x1bfff660,0x2bfffe20,
    0x00efffd8,0x809fff10,0x401ffffd,0xfa86fff9,0x3ff203ff,0x4fffffff,
    0x647ffe40,0xffffffff,0xff3001ff,0xfa80009f,0x7e4003ff,0xff1001ff,
    0xffe8009f,0xdba9bcff,0xff94ffff,0x57dfff7f,0x01ffffd7,0x43fffc80,
    0xfffffff8,0x00ffffff,0xffffff70,0x44001dff,0x3f204fff,0xfd001fff,
    0xfffd83ff,0x33332a00,0x404fffdc,0xfffdfffc,0xfffebaad,0x9fff3006,
    0x55555100,0x55bfff95,0x45555555,0x1001fffc,0x64009fff,0x2200dfff,
    0xfff94fff,0x3f607fff,0x3ee004ff,0x7ff40fff,0xffffffff,0x7f4000cf,
    0x003fffff,0x904fff88,0x4003ffff,0x3e24fffa,0xf30005ff,0xffc809ff,
    0xe882ffff,0xf9801fff,0xff9804ff,0xffffffff,0xffffffff,0x0bffee6f,
    0x027ffc40,0x805fff88,0xff94fff8,0x7c403fff,0xbaa887ff,0x43ffffec,
    0xeca8fffb,0x8001bcee,0x0fffffe9,0x9fff1000,0x03ffff90,0x21ffff00,
    0x0002fffb,0xc809fff3,0x201fffff,0x9803fffb,0xf9804fff,0xffffffff,
    0xffffffff,0x3ffea6ff,0x9fff5002,0x07fff600,0x653ffe20,0xc802ffff,
    0x7fd42fff,0x85ffffff,0x00004ffd,0xffffffb8,0x0999703f,0xfc89fff1,
    0x90001fff,0x3ffa5fff,0x3fe60007,0x7ffe404f,0x7ffc401f,0x4fff9804,
    0xccccc880,0xccdfffdc,0x23cccccc,0xa805fff9,0xf004ffff,0x3e200bff,
    0x7fff94ff,0x0fffea00,0xdffffff5,0x013ffe03,0xffff7000,0xd05ffffb,
    0xfff10dff,0x07fffe49,0xbfff3000,0x0009fff3,0x2027ffcc,0xf002fffc,
    0xff300bff,0xfa80009f,0xff8003ff,0x7ffcc07f,0xff8804ff,0xfff1003f,
    0x003fff29,0x2627ffc4,0xf801cfff,0x00002fff,0x363ffff3,0x7f41ffff,
    0x4fff885f,0x001dfff9,0xf9fffd00,0x4c0003ff,0x7e404fff,0xfff000ff,
    0x9fff300b,0xfffa8000,0xfffc8003,0xfffff104,0xfff5009f,0x3ffe2005,
    0x001fff94,0xf317ffe2,0x3f6003ff,0xdeeeffff,0x7401accc,0x3fa21fff,
    0x3ffe0eff,0xccfff884,0x0000efff,0xffffff70,0xff98000d,0x7ffe404f,
    0x0bfff000,0x009fff30,0x03fffa80,0xbffff980,0xf9fff930,0xff7009ff,
    0x3fe2003f,0x01fff94f,0x2637ffc0,0xf3001fff,0xffffffff,0x07ffffff,
    0xf30bfff3,0x3fe2bfff,0xefff883f,0x0002ffff,0x3ffffe20,0x7cc0002f,
    0x7fe404ff,0xbfff000f,0x09fff300,0x3fffa800,0xffff9000,0x29ffffdf,
    0xfc804fff,0xff1001ff,0x03fff29f,0x4c5fff80,0x26000fff,0xffffffff,
    0x5fffffff,0xa817ffdc,0xffacffff,0xcfff882f,0x001ffffa,0x3ffff200,
    0xff980006,0x7ffe404f,0x0bfff000,0x009fff30,0x03fffa80,0x3ffff200,
    0x3fe4ffff,0xfffc804f,0x9fff1001,0x4003fff2,0x7c44fff8,0xfd1000ff,
    0x999757ff,0x9ffffffb,0x9007ffe4,0xfffdffff,0x29fff101,0x000ffffc,
    0x7ffff300,0xfff30000,0x0fffc809,0x00bfff00,0x0009fff3,0x003fffa8,
    0x7ffff5c0,0x027ffc2c,0x8017ffdc,0xff94fff8,0x3fe6001f,0x0777443f,
    0x07fff440,0x3fffec40,0xd803fffb,0x04ffffff,0x7ec9fff1,0x80000eff,
    0x0007fff9,0x809fff30,0xf000fffc,0xff300bff,0xfa80009f,0x100003ff,
    0x3ffe2035,0x2fffa804,0x29fff500,0x5000fffc,0x00003fff,0x4005fff7,
    0xf91ffff8,0xfe8805ff,0xf101ffff,0xfffd89ff,0x7ec0000e,0x300003ff,
    0xfc809fff,0xfff000ff,0x9fff300b,0xfffa8000,0x10000003,0xf3009fff,
    0xff500bff,0x3fff29ff,0x1fffd000,0xfffb0000,0xfffd8001,0x00bfff51,
    0x40fffff3,0x7444fff8,0x20006fff,0x000ffffa,0x09fff300,0x000fffc8,
    0xf300bfff,0xa80009ff,0x00003fff,0x09fff100,0x301fffe0,0x329fffff,
    0xfa800fff,0x013104ff,0x003fffa0,0x7ccffff0,0x7dc02fff,0xf104ffff,
    0xfff109ff,0xff3000bf,0x400005ff,0x6404fff9,0xff000fff,0xfff300bf,
    0xffa80009,0x0000003f,0x2009fff1,0xf103fffc,0x329fffff,0x74400fff,
    0xffa80fff,0xfffd802f,0x3fff6004,0x6ffffe45,0x3fff6a21,0xf882ffff,
    0xfff304ff,0x7f4c00bf,0x400004ff,0x6404fff9,0xff000fff,0xfff300bf,
    0xffa80009,0x0000003f,0x2009fff1,0x30bffff8,0xffd9fff9,0x073fff29,
    0x0ffffee2,0x01ffffe2,0x2b7fffee,0x7ffdcc41,0xfffe80ef,0xffffffff,
    0x1ffffeff,0x5027ffc4,0x5509ffff,0xdffffb75,0x4cccc000,0x9cfffa99,
    0xff919999,0x3ffe001f,0x26666665,0x999cfffa,0xff500199,0x0000007f,
    0x8013ffe2,0xfefffffc,0x9ffb4fff,0x3ffffff2,0xffffffee,0xfffff304,
    0xffff9003,0xffffffff,0x2201ffff,0xfffffffd,0xfe88dfff,0x3fe20eff,
    0x7ffdc04f,0x7fffec3f,0x0000dfff,0xfffffff3,0xffffffff,0x03fff2ff,
    0xf9afffc0,0xffffffff,0x7fffffff,0x07fff500,0x3e200000,0x7e4004ff,
    0x4fffffff,0x7fdd3ff6,0xffffffff,0x3e201eff,0x7000ffff,0xffffffff,
    0x017fffff,0xfffffb50,0xfff983bd,0x13ffe25f,0x8fffff20,0x2ffffffd,
    0x7ffcc000,0xffffffff,0xf97fffff,0x3fe001ff,0xfffff35f,0xffffffff,
    0x2a00ffff,0x00003fff,0x09fff100,0xffffd700,0x44ffd859,0xfffffeca,
    0xff7003de,0xb950007f,0x59bdfffd,0x00cc4000,0x13ffe200,0x97fffec0,
    0x00acdefc,0xffff9800,0xffffffff,0xff97ffff,0x3ffe001f,0xffffff35,
    0xffffffff,0x3ea00fff,0x000003ff,0x007ddd10,0x0000d440,0x20001988,
    0x000000a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x6dcc43cc,0x20000bde,0x98800001,
    0x0000001a,0x01a98000,0x00000000,0x000d554c,0x0004eeb8,0x000cd54c,
    0x1aaaa988,0x00000000,0x13bae000,0x3e66ffc8,0x2fffffff,0x03ff6a00,
    0x3fb66000,0x00ceffff,0xffffffc8,0xffffffff,0xffec9803,0x0003efff,
    0xffeecc98,0xffeb806f,0x01dfffff,0x0bffff70,0x7fff6540,0x402dffff,
    0xffffffd9,0xfd82efff,0xffffffff,0xff96ffff,0xfff8001f,0x17fffee6,
    0xffab7fe4,0xffffffff,0x1fff9002,0xfffa8000,0xffffffff,0x7fffe401,
    0xffffffff,0x7fcc03ff,0xffffffff,0xffd50005,0x0dffffff,0x7fffff54,
    0x0effffff,0x7fffffc0,0x7ffec401,0xffffffff,0xfffd982f,0xffffffff,
    0xffffd84f,0xffffffff,0x01fff96f,0x3e6fff80,0xc81fffff,0xefffafff,
    0xffffebab,0x0fffc800,0x3fff6000,0xffffffff,0x3ff202ff,0xffffffff,
    0x2a03ffff,0xfeefffff,0x000effff,0xffffffd3,0x260dffff,0xddefffff,
    0x05fffffe,0x3fffffe2,0x3fffe602,0xffffffff,0x7ffcc2ff,0xffeeffff,
    0xffd84fff,0xffffffff,0xfff96fff,0x6fff8001,0x5ffffff1,0xffffff90,
    0x13fff607,0x003fff20,0x67fffec0,0xfffd730a,0x3bff205f,0x99999999,
    0xff500999,0xffa817ff,0xff9805ff,0x9abcefff,0xffe88099,0xfff700bf,
    0x7fffc07f,0xfff700ff,0x262359ff,0x3a22ffba,0x100aefff,0x33310795,
    0xf3333333,0x3fff2dff,0x37ffc000,0x01ffffff,0x03fffff9,0x403fffc4,
    0x8000fffc,0x202ffff9,0x906fffe8,0x20000dff,0x2202fffe,0x2601ffff,
    0x001effff,0x804fffa8,0x2a05fffa,0xf103ffff,0x2003dfff,0x17fff21a,
    0xff000000,0x03fff2df,0x54dfff00,0xf903ffff,0xf9005fff,0xffc805ff,
    0xffd8000f,0xffe8802f,0x06ffc81f,0x3fffa800,0x05fffa80,0x000ffffa,
    0x000fffc8,0xb880dfff,0x3fff601c,0x3fa0000d,0x000000ff,0xfcb7ffc0,
    0x7fc000ff,0x00e5c46f,0x2007fff9,0x9953fffa,0x9fffd999,0x99999999,
    0x02fffcc7,0x90bfff50,0xb0000dff,0x3a001fff,0xffa80fff,0x7ec0004f,
    0x3ffa007f,0xff980007,0x220000ff,0x00006fff,0x96fff800,0xf8001fff,
    0xf90006ff,0x3e2001ff,0xffff94ff,0xffffffff,0x4dffffff,0x2002fffd,
    0x640ffff8,0x4c0006ff,0x2e005fff,0xffe83fff,0xffb80006,0xfff9801f,
    0xffd80006,0x7cc0003f,0x000006ff,0xf96fff80,0xff8001ff,0xff90006f,
    0x3fe2001f,0xfffff95f,0xffffffff,0x7cdfffff,0xfd8007ff,0x37fe42ff,
    0x3ffee000,0xffff7002,0x02fff98b,0x5fff9800,0x04fffc80,0x7fffc400,
    0xfff80000,0x0000001f,0xffcb7ffc,0x7ffc000f,0xfff90006,0xb7ffc001,
    0xfeccccca,0xccccccff,0xfff13ccc,0xfff5000b,0x006ffc87,0x007ffe40,
    0x3fffff62,0x007ffdc6,0x4fffe800,0x03fffea0,0x9fff5000,0x3ff60000,
    0x000001ef,0x7e5bffe0,0x7fc000ff,0xff90006f,0x7ffc001f,0x07ffe405,
    0x07fff300,0x89fff300,0x40006ffc,0x74c07ffd,0x46ffffff,0x13306ffd,
    0x7fffdc00,0x3fff621e,0xfb80002f,0x500003ff,0x007fffff,0x3ffe0000,
    0x001fff96,0x0006fff8,0x2001fff9,0x6404fff8,0x2a000fff,0x88003fff,
    0x7fe45fff,0xbcdeffff,0x037ff400,0xfbdffff7,0x54fff8ff,0xdffffffb,
    0xffff9007,0xdffff7bf,0x3f200003,0x200002ff,0xbffffffc,0x3e000000,
    0x1fff96ff,0x06fff800,0x01fff900,0x00fffe60,0x4001fff9,0x8002fffb,
    0x7e46fff8,0xffffffff,0xfff01dff,0xffffb10b,0x443fff29,0xffffefff,
    0xefffffff,0x7fffd400,0x00dfffff,0x3fff6000,0x7dc00001,0x1dffffff,
    0xfff80000,0x001fff96,0x0006fff8,0x2001fff9,0x6401fffa,0x32000fff,
    0xf0001fff,0xfffc8fff,0xffffffff,0x5fff82ff,0x17ffffcc,0x3e23fff7,
    0xefffffff,0xffffffee,0x7fff4400,0x0001ffff,0x007fff40,0x7ff4c000,
    0x02efffff,0x5bffe000,0x4000fffc,0x90006fff,0x3a001fff,0x7e400fff,
    0x3f6000ff,0xff0001ff,0x999988df,0xfffecaa9,0x27ffc2ff,0x81dffff7,
    0xff31fffb,0x2a039fff,0x2605ffff,0xfffffffe,0xd7000dff,0x1ffff07b,
    0x6cc00000,0xdfffffff,0xfff80000,0x001fff96,0x0886fff8,0x007ffe40,
    0x4027ffd4,0x2000fffc,0x8002fffc,0x0005fff8,0x41ffffd3,0xffd8dfff,
    0xfff904ff,0x037ffea1,0x07fffe20,0x2bffffee,0x0efffffc,0x27fffe40,
    0x0007fffa,0x3ff22000,0x001fffff,0xfcb7ffc0,0x7fc000ff,0x3bff626f,
    0x01fff900,0x00fffe98,0x000fffc8,0x000bffee,0x0013ffe2,0x22fffe88,
    0xffffeffe,0x9fff602f,0x2004fff9,0x7dc4fffb,0x7ec44fff,0x3a00ffff,
    0x360fffff,0x00002fff,0x7fff5c00,0x3e0000ef,0x1fff96ff,0x26fff800,
    0x906ffffd,0x71039fff,0x2005ffff,0x2000fffc,0x8003fffa,0x0003fff9,
    0xfb27ffdc,0x01dfffff,0x3e26ffd8,0x3e2004ff,0x3ffe65ff,0x3ffee02f,
    0x3fffa04f,0x3fff23ff,0x00000003,0x00bffff9,0xfcb7ffc0,0x7fc000ff,
    0xfffff16f,0xffff903f,0xffffddff,0x7e4009ff,0x3e6000ff,0xfb8004ff,
    0x4c0002ff,0x3ff26fff,0xfd004fff,0x05fff8df,0xfb37ffc0,0xff5007ff,
    0x3fee01ff,0x3fee4fff,0x0000004f,0x01fffee0,0xf96fff80,0xff8001ff,
    0xfffff16f,0xffff905f,0xffffffff,0xffc8003d,0x3fe6000f,0xffd8007f,
    0x7c40001f,0x3ffee6ff,0xfff1002f,0x006fff8b,0xff8bfffc,0x3ff6006f,
    0x3fffa02f,0x1fffea5f,0xf0000000,0x20003fff,0xfff96fff,0x7ffc4003,
    0x3fffffa4,0xfefffc80,0x03deffff,0x01fff900,0x01ffff80,0x01fffe20,
    0x93ffea00,0x2004fffa,0x7f42fffb,0x3fe2007f,0x0bfff35f,0x027ffdc0,
    0x447ffff3,0x0003ffff,0x3ff20000,0xff88002f,0x05fff74f,0x11fffcc0,
    0x3203fffd,0x03330fff,0x3ffee000,0x7ffdc001,0x3ffee004,0xffc80003,
    0x03fff42f,0xfb0fffd0,0x3e6005ff,0x9fff53ff,0x1fffdc00,0x90bfffe0,
    0x0000dfff,0x7ffec000,0xfffa8000,0x007fff53,0x4c17ffd4,0x3fff2009,
    0xf5000000,0xf88007ff,0xf9802fff,0x980006ff,0x7dc0ffff,0xffa803ff,
    0x5fff983f,0x25fffb00,0x2006fff9,0x2201fffd,0x7c40ffff,0x00004fff,
    0x7fff8800,0x5fffb000,0x801fffe2,0x0000fffe,0x0001fff9,0x3fffe600,
    0x7ffe4000,0x3ffe601f,0x74c0002f,0xff883fff,0x3fea01ff,0xfffb00ff,
    0x5fffa805,0x401ffffc,0x200ffffa,0xf703fffc,0x2001dfff,0x3a00011a,
    0x07a25fff,0xd8dfff50,0xfc804fff,0x320004ff,0x00000fff,0x0bbfffa0,
    0x3ffe614c,0xca88acff,0x3106ffff,0x3ff66201,0x3ff204ff,0x3ee20bff,
    0x3ea03fff,0xff903fff,0xfffc81ff,0xffc881df,0xff9104ff,0x7ffc40df,
    0x989bcfff,0xf92ffca9,0x9983337b,0x20effffc,0x889bdff8,0x42ffffc9,
    0x81effff8,0x006fffd9,0x007ffe40,0xfff30000,0xfffdffff,0xffffd30d,
    0xffffffff,0x3ffe201b,0xfffffeef,0xffc805ff,0xffffffff,0xffd803ff,
    0xffedefff,0xffb02fff,0xffddffff,0xda8bffff,0x00effffe,0x7ffffec4,
    0xffffffff,0xfffff92f,0xffffffff,0xff883fff,0xffffffff,0xfff905ff,
    0xfffddfff,0x80005fff,0x0000fffc,0x7fffdc00,0x06ffffff,0xffffffd1,
    0x8807ffff,0xffffffff,0x2002efff,0xfffffffb,0x2e002fff,0xffffffff,
    0x36201eff,0xffffffff,0xfc84ffff,0x4004ffff,0xfffffffa,0x92ffffff,
    0xffffffff,0x3bffffff,0xffffff10,0x807fffff,0xfffffffa,0x000effff,
    0x00fffc80,0xfc880000,0x4fffffff,0x7fff6dc0,0xf8801cef,0xefffffff,
    0xdb50002d,0x039bffff,0xfffdb300,0x4c007dff,0xfffffffd,0xdff900cf,
    0x2e200039,0xffffffed,0x3fb661be,0xffffffff,0x75c400cf,0x1cefffff,
    0xfffd9100,0x0007dfff,0x007ffe40,0x4cc00000,0xa8800099,0x53310001,
    0x00000355,0x80000351,0x80000a98,0x1001aa98,0x4c000001,0x2660009a,
    0x00009aaa,0x80000ccc,0x000009a8,0x001ddd70,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x880099aa,0x0009aaa9,0x00000000,0x00000000,
    0x1aa98000,0x00000000,0x00000000,0x00033310,0x00000000,0xdb700000,
    0xbfffffff,0x7ffed417,0x0cffffff,0x3ffffe60,0xffffffff,0x2e3fffff,
    0x4000ffff,0x3f24fffd,0x2e0006ff,0xb9106fff,0x1bffffff,0x027ffec0,
    0x8dfff100,0x20004fff,0x7000fff9,0xb801ffff,0x2005ffff,0x3ff24ffe,
    0xff8800ff,0xe98006ff,0xffffffff,0x3f64ffff,0xffffffff,0xff303fff,
    0xffffffff,0xffffffff,0x04fffe87,0x11bffea0,0x0007ffff,0x503ffff1,
    0xffffffff,0x3ea07fff,0x2e0006ff,0x7ffc4fff,0x3fe60004,0x7ffdc00f,
    0x7dc00fff,0xd001ffff,0x7ffe49ff,0xfffb803f,0x7fdc006f,0xffffffff,
    0x3f64ffff,0xffeeefff,0xf982ffff,0xffffffff,0xffffffff,0x7fffcc3f,
    0xffff8801,0x0ffffb82,0x2fffdc00,0x7fffffec,0x2ffffffe,0x01ffff88,
    0x83fffb00,0x20005ffe,0x3aa07ffa,0x0fffffff,0x7ffffdc0,0x49ffd005,
    0x806ffffd,0x006ffffe,0x33fffffa,0x3faea61a,0x5402b324,0x440ffffe,
    0xaaaaaaaa,0xffcaaaaa,0xfffc80ff,0x5fffc806,0x013fffe0,0x40ffff88,
    0x21bffffb,0x0fffffa8,0x003fffd8,0xd86fff88,0x2a0005ff,0xffea87ff,
    0x0fffffff,0x7ffffdc0,0x4ffe800f,0x07fffff6,0x7fffff98,0xbffff700,
    0x000a6001,0x00bfffa2,0x1ffff400,0x03ffff88,0x803fffe6,0x000ffffa,
    0x3609fff9,0x3fa200df,0xfffa83ff,0xfffa8006,0x006ffd84,0xfd1ffee0,
    0xff3dffff,0xffb801ff,0xe804ffff,0x37ff64ff,0x3ff204ff,0xf8807ffd,
    0x00003fff,0x13ffee00,0x3fff2000,0x7fffd405,0x05fffd00,0x009fffd0,
    0x401ffff1,0xbfff7003,0x01ffff10,0x81fffd80,0x20006ffc,0x7fe46ffb,
    0x3fffe2ef,0x6fffdc00,0x7f400fff,0x3efffa4f,0x2bffe07f,0xffd807ff,
    0x0000004f,0x002fffcc,0x03fffe60,0x213fff60,0x3005fffb,0xc801ffff,
    0x00003fff,0x360ffff1,0x22003fff,0xff906fff,0x7fdc000f,0x7c1ffcc6,
    0x7dc00fff,0x04fffaff,0xffd27ff4,0xf503fff3,0x01fff3bf,0x007fffcc,
    0x3e600000,0x740004ff,0xf1003fff,0x7fc43fff,0x3f6000ff,0x3fe605ff,
    0x7c00006f,0xffa80fff,0x3fea006f,0x0fff703f,0x42ffe400,0x1ffff00b,
    0xd8fffb80,0x3fa00fff,0x327ffe4f,0xaffd84ff,0x3600fff9,0x00004fff,
    0x3fffb800,0x3fff2000,0x7ffdc005,0x00ffff26,0x03ffff10,0x000bfff6,
    0x20ffff00,0x000ffff8,0x2e03fffb,0x320007ff,0x7fc004ff,0x7fdc00ff,
    0x03fffa8f,0xfff93ffa,0x7c47ff99,0x01fff37f,0x0007fff4,0x7ff40000,
    0xff30000f,0xfd0001ff,0xdfff37ff,0x3fff2000,0x06fff986,0x6fff8000,
    0x00ffff60,0xf5037ffc,0x399301ff,0x0013ff60,0xb801ffff,0xffff0fff,
    0xff27ff40,0xb8bffe1f,0x3fff34ff,0x0037ffc0,0x7fe40000,0x3fa0003f,
    0xf30003ff,0x3fffdfff,0x3ffe2000,0x0fffec2f,0x3fe60000,0x3ffea05f,
    0x3fffa805,0x203ffe60,0xffb05ffc,0xffff8007,0x87ffdc00,0xfd02fffb,
    0x43ffe29f,0x3ffa5ffc,0x203fff11,0x0005fff8,0xffd53000,0x7dc0005f,
    0x640005ff,0x04ffffff,0x37ffdc00,0x000bfff3,0x05fffb00,0x007fffc4,
    0x9807fff2,0xfff81fff,0x03ffe80f,0x007fffc0,0x7c43ffee,0x9ffd06ff,
    0x7cc3ffe2,0x26ff88ff,0xf301fff8,0x665c09ff,0x03cccccc,0xffffffff,
    0x7cc0001d,0x40000fff,0x0efffff8,0xfffe8000,0x001fffd2,0x6fff9800,
    0x02fffd80,0x22037ffc,0x7fcc1fff,0x2ffe83ff,0x07fffc00,0xc83ffee0,
    0xffe82fff,0x741fff14,0x23ffbaff,0xf702fff8,0x7fec07ff,0x05ffffff,
    0xffffffff,0x3a00017b,0x00003fff,0x007ffff7,0x3bffea00,0x0004fffa,
    0x17fffc40,0x02fffd40,0x8807fff3,0x7fe41fff,0x2fff86ff,0x07fffc00,
    0x883ffee0,0xffe86fff,0x5c1fff34,0x40ffedff,0xff702fff,0x7ffec07f,
    0xf05fffff,0xffffffff,0xfb8005ff,0x200006ff,0x00fffffe,0xffffd000,
    0x00001fff,0x004fffd8,0x640ffff1,0xff800fff,0x7ffff42f,0x00fffc0f,
    0x003fffe0,0xfc81fff7,0xa7ff41ff,0x7fc47ff9,0xfff85fff,0x09fff502,
    0x7d555554,0xa98805ff,0x03fffffc,0x01ffff30,0x3ffee000,0x00004fff,
    0x7ffffff3,0xffd80000,0x7fec006f,0x0dffd02f,0xf98bffe0,0x7c3ffedf,
    0x7fc001ff,0x7fdc00ff,0x2fffc40f,0x7fd53ffa,0x2ffffd87,0xf303fff8,
    0xff0009ff,0x3ee000bf,0xfe801fff,0x100003ff,0xffffffff,0x3f600003,
    0x00006fff,0x0077ffe4,0x213ffea0,0xd003fff9,0x5ffdc7ff,0x3fe26ffc,
    0x7ffc000f,0x7ffdc00f,0x21fffd80,0xfff54ffe,0x20ffff50,0xff103fff,
    0xfff000bf,0x7fdc000b,0x7ffdc05f,0x3f600006,0x6fffbbff,0xfff10000,
    0x6400005f,0x8000efff,0xfb87fff8,0xffd000ff,0x7cc7ff47,0x1fff10ff,
    0x0ffff800,0x407ffdc0,0x3fa5fff9,0x20fff74f,0xfff04fff,0x037ffc07,
    0x002fffc0,0x40dfff10,0x000ffff8,0x4dfff500,0x0004fffe,0x000fffd0,
    0x077ffe40,0x3fffb000,0x2006ffe8,0xdff34ffd,0xff89fffc,0xffff8007,
    0x07ffdc00,0xfd0fffe8,0x41ffee9f,0xfff01eeb,0x17fff409,0x017ffe00,
    0x40fffd00,0x0003fffd,0x43ffff10,0x001ffff9,0x007ffe80,0x1dfff900,
    0xfffa8000,0x00fffe64,0xff75ffd8,0xf9b7fe47,0xfff8007f,0x7ffdc00f,
    0x29fff500,0xfff74ffe,0x27ff4000,0x00bfff90,0x0005fff8,0xfb837ffc,
    0x200006ff,0xfd85fffd,0xe80006ff,0xc80007ff,0x0000efff,0x327fff88,
    0x32000fff,0x41ffd5ff,0xff99fff9,0xffff8006,0x07ffdc00,0x3fafffd0,
    0x00dff94f,0x102fff40,0x4003ffff,0x20005fff,0xf885fff8,0x00000fff,
    0x101ffff5,0x0007ffff,0x0007ffe8,0x0077ffe4,0x3fffb000,0x9001bffa,
    0x0dff1dff,0xdff59ffd,0x1ffff000,0x00fffb80,0x3fafffea,0x00dff94f,
    0x202fff40,0x001efffb,0x4000bfff,0xfd83fffc,0x100003ff,0x5c07ffff,
    0x0000ffff,0x8001fffa,0x000efffc,0x67ffd400,0x4003fff9,0x3ffbeffb,
    0xffafffb8,0xffff8005,0x07ffdc00,0x3fbbffa0,0x00dff94f,0x402fff40,
    0x802fffff,0x70005fff,0xfb81dfff,0x200006ff,0xe806fffc,0x20005fff,
    0x90007ffe,0x0001dfff,0x7dfff100,0xa8001fff,0x81ffdfff,0x5ffdfff9,
    0x0ffff800,0x007ffdc0,0x3fffffee,0x000dffb4,0x54037fec,0xabdfffff,
    0x57ffee60,0x3ae60098,0x7c40ffff,0xccccdfff,0xcccccccc,0x7fffd43c,
    0xffff9801,0xfffd0002,0xffff9000,0x9999999b,0x00599999,0x3ffffff6,
    0xfffa8006,0x3ffa06ff,0xaa884fff,0xfffaaaaa,0x0aaaaabf,0xf001fff7,
    0x369fffff,0x360006ff,0xfd5006ff,0xffffffff,0x2ebfffff,0xffeeffff,
    0x82ffffff,0xfffffffc,0xffffffff,0x7ff45fff,0x3ff2005f,0xfe8000ff,
    0xffe8007f,0xffffffff,0x4fffffff,0xfffff500,0xff30007f,0x7dc07fff,
    0xf984ffff,0xffffffff,0xffffffff,0x001fff72,0x29fffff7,0x20005ffe,
    0x22006ffd,0xfffffffd,0x74ffffff,0xffffffff,0x2019ffff,0xfffffffc,
    0xffffffff,0x3ff25fff,0x3e2000ff,0xe8005fff,0xfe8007ff,0xffffffff,
    0xffffffff,0xffff1004,0xf30001ff,0x4403ffff,0x983fffff,0xffffffff,
    0xffffffff,0x01fff72f,0x9fffff10,0x80017ffa,0xa8007ffd,0xffffffec,
    0x3fee0bdf,0xefffffff,0x7ffe400c,0xffffffff,0x5fffffff,0x007ffff3,
    0x05ffff70,0x007ffe80,0xffffffe8,0xffffffff,0x36004fff,0x0006ffff,
    0x00dffff1,0x307ffffd,0xffffffff,0xffffffff,0x03ffee5f,0xa7fffe40,
    0x20005ffe,0x80007ffc,0x44019aa8,0x001aaa99,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffff8,0xffffffff,0xf32fffff,0xffffffff,
    0x7fffffff,0x0007fff2,0x3feadfff,0xefffffff,0xfffc803c,0xffffffff,
    0xff91ffff,0xffffffff,0x323fffff,0xffffffff,0x0000abce,0xfe827fdc,
    0xffff902f,0x9ddfffff,0xffc80003,0x3ee007ff,0xffffffff,0xffffffff,
    0x01fff93f,0x47fffd10,0xfffffff8,0xffffffff,0xf32fffff,0xffffffff,
    0x7fffffff,0x0007fff2,0x3feadfff,0xffffffff,0x3f202fff,0xffffffff,
    0x91ffffff,0xffffffff,0x3fffffff,0x3ffffff2,0x3fffffff,0x0fff2000,
    0xfc80fffc,0xffffffff,0x001effff,0x3ffffff0,0x3fffee00,0xffffffff,
    0x93ffffff,0xfb001fff,0xfff88bff,0xffffffff,0xffffffff,0xfffff32f,
    0xffffffff,0x3ff27fff,0x7ffc001f,0xffffff56,0xffffffff,0x3ffff209,
    0xffffffff,0xfff91fff,0xffffffff,0x3f23ffff,0xffffffff,0x01efffff,
    0xf03ffd80,0x3ff201ff,0xffffffff,0x001fffff,0x7fffffd4,0xffff7004,
    0xffffffff,0x27ffffff,0x6400fffc,0x33306fff,0xffd33333,0x3333333f,
    0x4ccccc13,0x999fffe9,0xfff90999,0x6fff8003,0x3339fff5,0xfffff753,
    0x37fff905,0x33333333,0x57ffe433,0x99999999,0x3fff2199,0xdca9999a,
    0x002fffff,0x7c417ff4,0x3fff207f,0xda99999a,0x000effff,0x3ffffff2,
    0x55553007,0x55555555,0x25fffb55,0x2a00fffc,0x0000efff,0x0000fffd,
    0x3201fffa,0x7c001fff,0x7fff56ff,0x87fffd80,0x0002fffc,0x0001fff9,
    0x5003fff2,0x001fffff,0x7cc0fff4,0x3fff207f,0x7fffcc01,0x33ffe002,
    0x0001fffc,0x93fff400,0x3e201fff,0x20001fff,0x00007ffe,0xf900fffd,
    0xff8003ff,0x07fff56f,0x40ffff88,0x0002fffc,0x0001fff9,0x2003fff2,
    0x004fffd8,0x3ea03ffe,0x3fff206f,0x4fffb801,0x55fff500,0x00009fff,
    0x91fffd40,0x3fa01fff,0x740002ff,0xd00007ff,0xff900fff,0xfff8003f,
    0x007fff56,0xfc83fffb,0xf90002ff,0x320001ff,0xf1000fff,0xf1003fff,
    0x17fee0ff,0x801fffc8,0x9005fff9,0x3ffe1fff,0x3a000006,0x3ff20fff,
    0x3fffd80f,0x7ffe8000,0xfffd0000,0x03fff900,0xf56fff80,0xff9007ff,
    0x2fffc85f,0x1fff9000,0x3fff2000,0x3fff2000,0xffffff85,0xffffffff,
    0x1fffffff,0x3003fff9,0x3e009fff,0x3fff65ff,0xfa800001,0x7ffe43ff,
    0x02fffdc0,0x07ffe800,0x0fffd000,0x003fff90,0xff56fff8,0xfffb007f,
    0x02fffc83,0x01fff900,0x03fff200,0x87fff880,0xffffffff,0xffffffff,
    0xf91fffff,0xff5003ff,0xfff3005f,0x027ffd45,0x7fff4000,0x307ffe40,
    0x0000dfff,0x0003fff4,0xc807ffe8,0x7c001fff,0x7fff56ff,0x81ffff00,
    0x0002fffc,0x0001fff9,0x0003fff2,0xddb0fffd,0xdddfffdd,0xdddfffdd,
    0x3fff23dd,0x07ffd801,0x441fff90,0x00006fff,0x6427ffd4,0xfff10fff,
    0x7400001f,0xd00007ff,0xff900fff,0xfff8003f,0x807fff56,0xfc85fffc,
    0xf90002ff,0x320001ff,0x6c000fff,0x7dc01fff,0x03ffd04f,0x200fffe4,
    0xf005fffc,0xfffb0dff,0x7f400003,0xfffc80ff,0x003fffd0,0x07ffe800,
    0x0fffd000,0x335fff90,0x33333333,0x3eadfff3,0xff9103ff,0xfff901ff,
    0x3ff20005,0x999999af,0x3f209999,0x7e4000ff,0x7fe402ff,0x403fff03,
    0x4c41fffc,0x00efffeb,0xb83fff98,0x00004fff,0x3209fff3,0xfffc8fff,
    0xfe800002,0xfd00007f,0xfff900ff,0xffffffff,0xdfffffff,0x3337ffea,
    0xfffffedc,0xddfff901,0xdddddddd,0x7fffe47d,0xffffffff,0x3fff26ff,
    0x7ffe4000,0x81ffec03,0x3f200fff,0xffffffff,0x2003ffff,0xf880fffc,
    0xd00006ff,0x3f201fff,0x03fffcff,0xfffd0000,0x3ffa0000,0xffffc807,
    0xffffffff,0x56ffffff,0xffffffff,0x403bffff,0xfffffffc,0x4fffffff,
    0x3ffffff2,0xffffffff,0x003fff26,0x809fff70,0xff882ffe,0x7fffe407,
    0xffffffff,0xfff000be,0x0ffff40d,0x3ffe6000,0x3ffff204,0x00000fff,
    0x000fffd0,0x201fffa0,0xfffffffc,0xffffffff,0xfff56fff,0xdfffffff,
    0xffff9003,0xffffffff,0x7ffe49ff,0xffffffff,0x3ff26fff,0x7fdc000f,
    0x0fffc03f,0x32037fcc,0xffffffff,0x2fffffff,0x01fffcc0,0x0007fff7,
    0x201fffd8,0xfffdfffc,0xfd000006,0x3a0000ff,0xffc807ff,0x999999af,
    0xfff99999,0x75bfff56,0x009ffff9,0x5559fff9,0x35555555,0x0007ffe4,
    0x000fffc8,0x201fffe4,0xffa80fff,0x57ffe406,0xfda99999,0x3202ffff,
    0x3e601fff,0x260006ff,0x7e405fff,0x4fffe9ff,0xffe80000,0xffd00007,
    0x3fff900f,0x56fff800,0xffb07fff,0xfffc80bf,0xfff90002,0x3ff20001,
    0x7fec000f,0x1ffe202f,0x3202ffdc,0x74401fff,0xff00ffff,0xfffd00df,
    0x3ff60003,0x7ffe401f,0x03ffff88,0x3fff4000,0x7ffe8000,0x01fffc80,
    0xfab7ffc0,0xfffb03ff,0x17ffe405,0x0fffc800,0x1fff9000,0x1fffe800,
    0x3ff73332,0xfecccccf,0x20ccccef,0x8801fffc,0xf983fffe,0xffc804ff,
    0xff98003f,0xfffc805f,0x03ffff50,0x3fff4000,0x7ffe8000,0x01fffc80,
    0xfab7ffc0,0xfff303ff,0x17ffe40d,0x0fffc800,0x1fff9000,0x47fff800,
    0xffffffff,0xffffffff,0x320fffff,0xf7001fff,0xfff909ff,0x9999999b,
    0x00dfffb9,0x003fffb0,0x7e41fff9,0x00000eff,0x0000fffd,0x3201fffa,
    0x7c001fff,0x7fff56ff,0x81fffec0,0x0002fffc,0x0001fff9,0x8003fff2,
    0x7fc5fffb,0xffffffff,0xffffffff,0x3ff20fff,0xfff3001f,0xffffff0b,
    0xffffffff,0x4001ffff,0x9006fff9,0xffd81fff,0xfd00005f,0x3a0000ff,
    0xffc807ff,0x7ffc001f,0x407fff56,0xf907fff9,0x320005ff,0x90000fff,
    0x7c001fff,0x4ccc3fff,0x999dffc9,0x99bffe99,0x0fffe419,0x44fffa80,
    0xfffffff9,0xffffffff,0x36003fff,0xf9002fff,0xfff881ff,0xfe80004f,
    0xfd00007f,0xfff900ff,0x6fff8003,0xd807fff5,0xffc83fff,0xff90002f,
    0x3f20001f,0xff7000ff,0xffc801df,0x803fff03,0x7001fffc,0xffc85fff,
    0xeeeeeeef,0xfffeeeee,0xdfff3006,0x07ffe400,0x017fffcc,0x01fffa00,
    0x03fff400,0x000fffe4,0x7fd5bffe,0x7ffcc03f,0x02fffc86,0x01fff900,
    0x03fff200,0x0bfffee0,0x7c0fff60,0x7fe400ff,0xfff8801f,0x03fffc0f,
    0x007fffc0,0x0017ffec,0x2e01fff9,0x0000ffff,0x0001fffa,0x6403fff4,
    0x7c001fff,0x7fff56ff,0x85fffd00,0x0002fffc,0x0001fff9,0x8803fff2,
    0x005ffffe,0xff105ffd,0x3fff900f,0x5fffd880,0x0027ffcc,0x201fffe4,
    0x4006fff9,0x3600fffc,0x20006fff,0x4c007ffe,0xffe99999,0x0999999f,
    0x8003fff9,0xfff56fff,0xdfff5007,0x002fffc8,0x335fff90,0x33333333,
    0x55fffe43,0xfffedcaa,0x3fe005ff,0x06ff981f,0x99afffc8,0xfffdba99,
    0x7ffe40ef,0xfffa8002,0x17ffec06,0x03fff200,0x05fffe88,0x00fffd00,
    0x7fffffcc,0xffffffff,0x3fff93ff,0x56fff800,0x3a007fff,0x3ff22fff,
    0xff90002f,0xffffffff,0x323fffff,0xffffffff,0x03ffffff,0x5407ffc0,
    0xffc806ff,0xffffffff,0xf80effff,0x3e0007ff,0xff300fff,0xff9000df,
    0xfff9801f,0xffe8003f,0x3ffe6007,0xffffffff,0xf93fffff,0xff8003ff,
    0x07fff56f,0xc9bffee0,0x90002fff,0xffffffff,0x3fffffff,0x3ffffff2,
    0x1cffffff,0x83ffc400,0xfc805ffb,0xffffffff,0xf302efff,0x6c0009ff,
    0xffb03fff,0xff90007f,0xfff7001f,0xffe8003f,0x3ffe6007,0xffffffff,
    0xf93fffff,0xff8003ff,0x07fff56f,0xc97fffc0,0x90002fff,0xffffffff,
    0x3fffffff,0x3ffffff2,0x0002ccee,0x7e41ffe6,0xfffc804f,0xcceeffff,
    0x17ffe402,0xdfff5000,0x00ffff30,0x003fff20,0x007fffec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55300000,0x001a8001,0x07100000,
    0x37f72a20,0x2a2000ac,0xcceffedc,0xdba88000,0x000acdee,0x59bfd953,
    0xb9530001,0x859bddfd,0x9000ccca,0x3b220799,0x3ee0001d,0x3201ffff,
    0xffffffff,0x3e00bdef,0x400006ff,0xffffffeb,0x17fd401d,0x26000000,
    0x7fdc04fe,0x2fffffff,0x7ffff4c0,0xcfffffff,0xfffe8800,0x0fffffff,
    0x3ffff620,0x003fffff,0xffffff91,0x641fffff,0xff000fff,0x3fffa0bf,
    0xff88002f,0x3201ffff,0xffffffff,0x80cfffff,0x00006fff,0xffffffd1,
    0x2607ffff,0x0003ffff,0xffff5000,0xffffb107,0xbfffffff,0x3fffea01,
    0xffffffff,0x3fee00ef,0xffffffff,0xfff500ff,0xffffffff,0x7fcc01df,
    0xffffffff,0x3ff20fff,0xbfff000f,0xdfffff10,0xffffb000,0x7fe403ff,
    0xffffffff,0x7c1fffff,0xa80006ff,0xdcefffff,0x705fffff,0x0009ffff,
    0xffffb800,0x5bfffd04,0xffff7311,0x33bfea09,0xffda99ab,0xfffb05ff,
    0xb9557bff,0xfff501ff,0xfb7359df,0x7f40dfff,0x9999beff,0x3f20edba,
    0xfff000ff,0xfffff10b,0x7fd4003f,0x201fffff,0x4c41fffc,0x0fffffda,
    0x0001bffe,0x209fffd1,0x301ffffa,0x001dffff,0xffffb000,0x13ffee07,
    0x81fffe98,0xffa801b9,0x7ffd40ff,0x205c404f,0x203ffff8,0xb83ffffa,
    0x90004fff,0x3e001fff,0xfffb05ff,0x3e2005ff,0x1fffcdff,0x007fff20,
    0x7cdfffd3,0x640006ff,0x7cc03fff,0x3fa205ff,0x00001eff,0x03ffffd1,
    0x2017ffe2,0x0005fff9,0x222fffc8,0x0002ffff,0x200ffff2,0x640ffff9,
    0x90000fff,0x3e001fff,0xfff105ff,0x3f6005ff,0x1fffc8ff,0x007fff20,
    0x7c3fffe6,0x260006ff,0xf9006fff,0x7ec403ff,0x40002fff,0x00efffe9,
    0x4007fff2,0x0000fffd,0xf91fffcc,0x44000bff,0x32006fff,0x7fec3fff,
    0xff90000f,0x3ffe001f,0x3fffee05,0x3fffa801,0x6403fff9,0xf9001fff,
    0x1bffe5ff,0x2fffa800,0x0bfff300,0x07ffff90,0x3fffea00,0x06fff805,
    0x007ffee0,0x49fff100,0x0000ffff,0x800fffea,0x7dc5fff9,0xf90005ff,
    0x3fe001ff,0x3ffe605f,0x4dffd007,0x3201fffc,0xf5001fff,0x1bffe9ff,
    0x1fffc800,0x01bffa00,0x027fffdc,0x13fffee0,0x0027ffc0,0x0005fff5,
    0xf14fff88,0xc8000bff,0x7c000fff,0x7ffcc6ff,0x7e4002ef,0xfff000ff,
    0x37ffd40b,0x90fffe40,0x7e403fff,0xff3001ff,0x01bffebf,0x00fffd80,
    0x801fff60,0x00dffff9,0x02ffffc8,0x55bfff30,0x55555555,0x9807fff9,
    0xccccccba,0xfff34fff,0xffd80009,0x7ffe8007,0xffffffb8,0xfffc802c,
    0x0bfff000,0x200ffff4,0x7e44fff9,0x3ff201ff,0xfff3001f,0x001bffe9,
    0x001fffd8,0x8003fff2,0x01efffe8,0x03dfffb1,0x7ffffd40,0xffffffff,
    0x504fffff,0xfffffffd,0x2e9fffff,0x40003fff,0xd8006ffe,0xffb80fff,
    0x1cffffff,0x001fff90,0x3a617ffe,0xfe804fff,0x1fffc86f,0x007fff20,
    0xff9fffdc,0x3f20006f,0x3ee002ff,0x6c4001ff,0x74c2ffff,0x4000efff,
    0xfffffffb,0xffffffff,0x7f444fff,0xffffffff,0xf94fffff,0xf80005ff,
    0xfc8006ff,0xffb100ff,0x1bffffff,0x000fffc8,0x3b6ebfff,0xb805ffff,
    0xffc81fff,0x3fff201f,0x3fffb001,0x8001bffe,0x2005fffb,0x8002fffb,
    0x6c6ffff8,0x8002ffff,0xaaadfffa,0xaaaaaaaa,0x7ff41aaa,0x9999acff,
    0xf74fff99,0xe80007ff,0xfd8007ff,0xfdb8807f,0x20ffffff,0xf000fffc,
    0x3fffabff,0xff8803ff,0x3fff904f,0x00fffe40,0xff2fffdc,0x7c4000df,
    0xd8801fff,0x4c003fff,0xc80dffff,0x4003ffff,0x0004fff9,0x01dfff70,
    0xf34fff88,0xd80009ff,0x74000fff,0x5c4006ff,0x326ffffe,0xff000fff,
    0x33bffabf,0x0dffb000,0x900fffe4,0x64403fff,0x3fe0ffff,0x7dc0006f,
    0x4c40bfff,0x02fffffc,0x13fffee0,0x0bffff50,0x02fffc40,0x0fffd800,
    0x14fff880,0x8000bfff,0x2001fffc,0x0005fff8,0x5c7fffea,0xff001fff,
    0x200026bf,0x3201fffb,0x3f201fff,0xcaaaabff,0x43fffffc,0x80006fff,
    0xeffffffe,0xffffffff,0xfff9002f,0x3fe6005f,0xff000eff,0xf00001ff,
    0x3e200fff,0x3fffe4ff,0x3fee0001,0x3fee004f,0x7e40003f,0x3fff72ff,
    0x0bfff900,0x27ffc400,0x807fff20,0xfffffffc,0x2fffffff,0x0006fff8,
    0xfffffc88,0xfdefffff,0x7ec401ff,0x44001fff,0x801efffe,0x0004fffc,
    0x4037ffc4,0x364fffd8,0x20005fff,0x000ffff8,0x0001fffd,0xf53fffa8,
    0xffb807ff,0x166dc5ff,0x003fff60,0x6403fff9,0xffffffff,0xf00cffff,
    0x40000dff,0xeffffed9,0x01fff72d,0x077fff44,0xfffd8800,0x7ffc402f,
    0x7fc0002f,0x3fe600ff,0x3fe24fff,0x90000cff,0x4401bfff,0x0003fffd,
    0xf31fffd8,0x7fdc0dff,0x3ff65fff,0xfff503ff,0x3fff9005,0x7ffffe40,
    0x00abceff,0x00037ffc,0x3f601300,0x3ffea07f,0xc80000df,0x5c03ffff,
    0x401dffff,0x7ffec1a9,0x7ffe4c0e,0x7fdc4fff,0x4c41bfff,0x7ffc40fc,
    0x3aa20aef,0xbd886fff,0x3ff26009,0x6ffff46f,0x3bfff620,0xffff55ff,
    0xdfff01ff,0x55555555,0x559fffb5,0x0fffe455,0x1bffe000,0x7c000000,
    0xfff705ff,0xb800009f,0x6c05ffff,0xeeffffff,0x43ffffee,0xeefffff9,
    0xfecfffff,0xffffd84f,0xffffffff,0xffffa80f,0xffffeeff,0xfff881ef,
    0xffeeefff,0x7d41ffff,0xffeeffff,0x95ffcaff,0x05ffffff,0xffffffff,
    0xffffffff,0x64ffffff,0x40001fff,0x00006fff,0x3fff9800,0x03ffffc8,
    0xfff30000,0x7fdc01df,0xffffffff,0xffb83fff,0xefffffff,0x2a09ffb1,
    0xffffffff,0xd100ffff,0xffffffff,0x7fc409ff,0xffffffff,0xf901efff,
    0xffffffff,0x7dd7ff25,0xf82fffff,0xffffffff,0xffffffff,0x3f27ffff,
    0x7c0001ff,0x000006ff,0x446ffd80,0x001ffffd,0x7ff44000,0x3b2201ef,
    0xffffffff,0xffd301ce,0x6c19dfff,0x36e204ff,0xdfffffff,0xfffeb802,
    0xc802deff,0xfffffffe,0xfa802dff,0x20cfffff,0xfff15ffc,0xddd01fff,
    0xdddddddd,0xddfffddd,0x7ffe4ddd,0x7ffc0001,0x40000006,0x7441fffc,
    0x00000eff,0x3fffb100,0x4cd4c400,0x01a98001,0x13330000,0x04d44000,
    0x55333000,0x26200035,0x7fd4001a,0x200001ef,0x3201fffc,0x40001fff,
    0x00006fff,0x17ffee00,0x00006f44,0x00fe4000,0x00000000,0x00000000,
    0x00000000,0x98800000,0xfc800001,0x3ff201ff,0x7fc0001f,0x8000006f,
    0x00ffffea,0x00000002,0x00000010,0x00000000,0x00000000,0x00000000,
    0x20000000,0x3201fffc,0x40001fff,0x9999efff,0x19999999,0xdcba9998,
    0x02efffff,0x00000000,0x4cccccc0,0x99999999,0x99999999,0x00000019,
    0x00000000,0x00000000,0x00000000,0xc807fff2,0x40001fff,0xffffffff,
    0xffffffff,0x3ffffe20,0x03ffffff,0x00000000,0xffffff00,0xffffffff,
    0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,0x807fff20,
    0x0001fffc,0x7ffffffc,0xffffffff,0x3fffe20f,0x00dfffff,0x00000000,
    0x3ffffe00,0xffffffff,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x03fff900,0x000fffe4,0x3fffffe0,0xffffffff,0x3ffe20ff,
    0x0009acde,0x00000000,0xeeeeee80,0xeeeeeeee,0xeeeeeeee,0x000000ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99500000,0x9bdb7107,
    0x10f32a03,0x017bddd7,0xefd88f32,0x00deeb83,0x32600000,0xca8003cc,
    0x399912cc,0x66644000,0x99999911,0x99999999,0x6665c199,0x33322003,
    0x1aa8801c,0x00000000,0x2aa20000,0x555540aa,0x225ffc81,0xfffffffd,
    0x2e6ffc83,0xffffffff,0xff36ff82,0x7fec7fff,0x6c000fff,0x3e2007ff,
    0x74000fff,0x3ffe1fff,0x3fea0004,0xfffff11f,0xffffffff,0x7fd41fff,
    0xffb002ff,0x3fea00bf,0xffe80004,0xffff1006,0xffffffff,0x25ffffff,
    0x7c1ffffa,0xffc84fff,0xfffffd15,0xfc87ffff,0xfffff96f,0xf83fffff,
    0xfffffd6f,0x3ffffeef,0x7fec004f,0x7ffec007,0x3ffe6002,0x002fff46,
    0x221fff70,0xffffffff,0xffffffff,0x07fffe40,0x03bffee0,0x001ffcc0,
    0x0ffffee0,0x3ffffe20,0xffffffff,0xf52fffff,0xfff81fff,0x9effc83f,
    0xdaabffff,0x3f20ffff,0xadfffcef,0x46fffeba,0xaaffbeff,0x9cff9fff,
    0x6c007ffd,0x7d4007ff,0x3f2005ff,0x37fec2ff,0x4fff9000,0xccccccc8,
    0xfffdcccc,0x5fffe80f,0x07fffe20,0x003ff980,0x3ffffe20,0x7ffc400f,
    0xffffffff,0x2fffffff,0xf81ffff3,0xffc83fff,0xfb04ffff,0x7ffe47ff,
    0xfe881fff,0x3fffe1ff,0x3fbffa1f,0x003ffea5,0x8007ffd8,0xf000ffff,
    0xfff90fff,0x37fec000,0xfffe8800,0x7ffff101,0x40ffff60,0x17fc40da,
    0x3f200f22,0x804ffebf,0x99999999,0x99999999,0xffff3099,0x905fffd0,
    0x407fffff,0x3f25fff9,0x2e00ffff,0x3ffe3fff,0x7fffec5f,0x003ffe60,
    0x8007ffd8,0xa803fffc,0xffb84fff,0x20133107,0xb0005ffe,0xfa807fff,
    0x7fdc0fff,0x8bffa05f,0x3fa61ff8,0x5bfe200f,0x0001fff9,0x7ffc4000,
    0x82fffe87,0x803ffffc,0x3ff26ffe,0x7fc401ff,0x03fffe4f,0xf889fff9,
    0x3f6001ff,0xff98007f,0xfffd806f,0x80fffa81,0xfff04ffb,0xfff90007,
    0x3fff200b,0x03bffe26,0x86ffff4c,0xffff91ff,0x917fec05,0x00000dff,
    0x87fff880,0xfc81fffd,0xffd004ff,0x017ffe4f,0x3fe5fff8,0x0fffc85f,
    0x000fffc4,0x2000fffb,0x2201fffe,0xff306fff,0x0fffd03f,0x5000bffe,
    0x4001dfff,0xffb3fffe,0xffd5003f,0xffd7ff5f,0x7fcc019f,0x01fffc46,
    0x3fe00000,0x1fffd86f,0x000fffc8,0x7fe49997,0xbfff000f,0x7e417ffc,
    0x1fff885f,0x01fff600,0x027ffd40,0x7c07fff5,0x7ffc42ff,0x0fffc42f,
    0x3ffff100,0xffff8800,0x4003fffc,0xffffffeb,0xffe800cf,0x80fffb82,
    0xccccccc8,0xcccccccc,0x3ffe1ccc,0x80fffc86,0x0000fffc,0x8007ffe4,
    0x3ffe5fff,0x885ffc82,0x55511fff,0xffd55555,0x5555555f,0x1fffe015,
    0x200fffe8,0x7fdc3ffe,0x7ffcc5ff,0x3fffa000,0xfff50003,0x4000bfff,
    0x00cffffb,0x740bff70,0xfff884ff,0xffffffff,0x2fffffff,0x3f217ffe,
    0xfffc80ff,0x7fe40000,0xbfff000f,0x7e417ffc,0x1fff885f,0xfffffff1,
    0xffffffff,0x205fffff,0xf882fffc,0x7fec05ff,0x3fffff44,0xc801ffea,
    0x40004fff,0x00fffffd,0xfffff700,0xff88017f,0x3ffea01f,0x7ffffc41,
    0xffffffff,0x362fffff,0x6eea84ee,0x001fff90,0x00fffc80,0x7fcbfff0,
    0x85ffc82f,0xff11fff8,0xffffffff,0xffffffff,0x3fe605ff,0x1fffb85f,
    0xf12ffe40,0x5c5ffbbf,0xff5006ff,0xf50000df,0x70009fff,0xfdffdfff,
    0x3f2019ff,0x6ffd805f,0x66666644,0xcccccccc,0x0001cccc,0x007ffe40,
    0x03fff200,0xff2fffc0,0x0bff905f,0x3e23fff1,0xffffffff,0xffffffff,
    0x3fa02fff,0x37ff40ff,0xf737fdc0,0x64bff77f,0xff9805ff,0x4c0000ff,
    0x02ffffff,0x27ffff70,0xffffa9ff,0x03ffe20c,0x00fffe60,0x00000000,
    0x0007ffe4,0x003fff20,0xfff2fffc,0x10bff905,0x6c003fff,0x5c0007ff,
    0x3fe63fff,0x7ffa803f,0x3fe23ff6,0x809ffb0f,0x002fffe8,0x7ffff440,
    0x7cc01fff,0x3ff10eff,0xd8bfff62,0x3f2004ff,0x000c00ff,0x55555400,
    0x03fff200,0x1fff9000,0xf97ffe00,0x5ffc82ff,0x001fff88,0x0001fff6,
    0x7e4dfff1,0xff9800ff,0x3a6ff88f,0x05ffd3ff,0x004fffd8,0xacfffd80,
    0x6400efff,0x217fc43f,0x333225fa,0x33322000,0xdfffda82,0xfd300001,
    0x3f201dff,0x640000ff,0xff000fff,0x417ffcbf,0xff885ffc,0x3ff6001f,
    0xffd80007,0x00bfff1f,0x3ee7ffe2,0x7d7fee3f,0x3fee01ff,0xfb80005f,
    0x3fff66ff,0x7cc04405,0x0000882f,0xffff7000,0xfd809fff,0x3ff6205f,
    0xfffc80ef,0x7fe40000,0xbfff000f,0x7e417ffc,0x1fff885f,0x01fff600,
    0x2fffe600,0x2002fffa,0x0ffdafff,0x3fe7ffe2,0xffff300f,0xff980001,
    0x3ffa21ff,0xff98003f,0x00000003,0x3fffffea,0x3fa05fff,0xfffb804f,
    0x07ffe40e,0x3fff2000,0x4bfff000,0xffc82fff,0x01fff885,0x001fff60,
    0x7e77ff40,0x7fec007f,0xffe86ffc,0xff107ffc,0x880003ff,0xf983ffff,
    0x54001fff,0x000003ff,0x33fffa00,0x85ffffc9,0x3003fff8,0x7e41dffd,
    0x640000ff,0xff000fff,0x417ffcbf,0xff885ffc,0x3ff6001f,0xff700007,
    0x8009ffff,0x83fffffc,0x06fffffb,0x3339fffb,0x33333333,0x0bfffb01,
    0x007fffe4,0x0007dd50,0x3fe60000,0x7fff4c3f,0x3fff911e,0x2f76c400,
    0x0001fff9,0x000fffc8,0x7ffcbfff,0x885ffc82,0x36001fff,0x100007ff,
    0x01ffffff,0xfffffb80,0xfffff880,0xfffffa85,0xffffffff,0x7fe46fff,
    0x7ff400ff,0x0000006f,0x7fd40000,0xfffe881f,0x05ffffef,0x3fff2000,
    0x7fe40000,0xbfff000f,0x7e417ffc,0x1fff885f,0x01fff600,0xffffd800,
    0xfffa8005,0x3fff606f,0xffffb84f,0xffffffff,0x3ea6ffff,0xf9802fff,
    0x00004fff,0x2e000000,0x3fa207ff,0x1fffffff,0x3ff20000,0x7e40000f,
    0xfff000ff,0x6417ffcb,0xfff885ff,0x1332e001,0xfffa8000,0xff98002f,
    0x3fee03ff,0xfffb83ff,0xffffffff,0xf16fffff,0x5c00bfff,0x0003ffff,
    0x30000000,0xfc880555,0x000effff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5e544000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_44_usascii_x[95]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1, };
static signed short stb__consolas_44_usascii_y[95]={ 32,1,1,3,-1,1,2,1,0,0,1,9,25,18,
25,1,3,3,3,3,3,3,3,3,3,3,10,10,8,14,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,37,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,15, };
static unsigned short stb__consolas_44_usascii_w[95]={ 0,6,14,24,20,24,24,6,13,13,18,22,11,14,
8,19,22,20,19,19,24,18,20,20,20,20,8,11,18,20,18,14,24,24,19,21,21,17,17,21,20,18,16,20,
17,23,20,23,19,24,20,20,22,20,25,24,24,25,20,12,19,11,20,25,15,19,19,18,19,20,23,21,18,18,
17,20,18,22,18,22,19,19,19,18,20,18,22,24,22,22,18,17,4,17,22, };
static unsigned short stb__consolas_44_usascii_h[95]={ 0,32,11,29,39,32,31,11,42,42,19,22,15,5,
8,36,30,29,29,30,29,30,30,29,30,29,23,30,25,12,25,32,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,37,29,30,29,30,29,29,29,29,29,41,36,41,15,4,10,23,32,23,32,23,31,32,31,31,
41,31,31,22,22,23,31,31,22,23,30,23,22,22,22,31,22,41,45,41,10, };
static unsigned short stb__consolas_44_usascii_s[95]={ 239,249,237,185,138,224,78,248,6,20,176,
63,244,224,244,184,85,186,115,23,1,66,108,1,129,64,243,150,104,216,85,
41,113,230,210,162,163,145,127,1,85,66,205,22,46,228,207,42,26,159,106,
184,43,222,135,161,64,89,43,100,204,88,195,123,239,144,21,164,1,123,204,
56,166,147,70,103,185,40,21,183,1,228,1,206,21,225,86,109,153,124,134,
34,1,52,216, };
static unsigned short stb__consolas_44_usascii_t[95]={ 34,1,203,142,1,1,47,47,1,1,203,
203,173,34,189,1,80,112,112,112,173,80,80,143,80,173,80,80,173,203,173,
47,1,142,142,80,142,142,142,112,142,142,80,143,173,112,112,80,173,1,142,
80,142,80,112,112,112,112,112,1,1,1,203,198,216,173,47,173,47,173,47,
47,47,47,1,47,47,203,203,173,80,47,203,173,80,173,203,203,203,47,203,
1,1,1,216, };
static unsigned short stb__consolas_44_usascii_a[95]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_44_usascii_BITMAP_HEIGHT or STB_FONT_consolas_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_44_usascii(stb_fontchar font[STB_FONT_consolas_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_44_usascii_BITMAP_HEIGHT][STB_FONT_consolas_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_44_usascii_s[i] + stb__consolas_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_44_usascii_t[i] + stb__consolas_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_44_usascii_x[i];
            font[i].y0 = stb__consolas_44_usascii_y[i];
            font[i].x1 = stb__consolas_44_usascii_x[i] + stb__consolas_44_usascii_w[i];
            font[i].y1 = stb__consolas_44_usascii_y[i] + stb__consolas_44_usascii_h[i];
            font[i].advance_int = (stb__consolas_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_44_usascii_s[i] + stb__consolas_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_44_usascii_t[i] + stb__consolas_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_44_usascii_x[i] + stb__consolas_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_44_usascii_y[i] + stb__consolas_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_44_usascii_LINE_SPACING
#endif

