// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_48_usascii_BITMAP_HEIGHT        276
#define STB_FONT_consolas_48_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_48_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_48_usascii_NUM_CHARS             95

#define STB_FONT_consolas_48_usascii_LINE_SPACING          32

static unsigned int stb__consolas_48_usascii_pixels[]={
    0x50005553,0x00003205,0xffd97500,0x05e6f7e4,0xa9800000,0x7ffffcc0,
    0x01ffffff,0x00054c00,0x3ffffffa,0x0004ffff,0x00000000,0x99800000,
    0x00266609,0x4cccc400,0x01fffb00,0x3617fd40,0x5000005f,0x4ffffffd,
    0x4ffffffc,0x3a200000,0x3fe62fff,0xffffffff,0x7644001f,0x02ceffff,
    0xffffffe8,0x8004ffff,0x0001fff9,0x677f65cc,0x0000001a,0xff8bffee,
    0xf500006f,0x3f609fff,0xff3000ff,0x3fff21ff,0x7e400005,0x27ffffff,
    0xfffffffc,0xc800000e,0xf30fffff,0xffffffff,0x7dc003ff,0xffffffff,
    0x7fff405f,0x4fffffff,0x07ffa800,0x3fffa200,0x1effffff,0xfe800000,
    0x17ffe47f,0x7ffcc000,0x1fffb04f,0x7ffff300,0x027fffc4,0xffff9800,
    0x2a62abcf,0x4ffffeca,0xfff80000,0x55512fff,0xfffb5555,0xfffb1003,
    0xfffd99df,0x7fff40bf,0x1aaaaaaa,0x07ffb800,0xfffff500,0xffffffff,
    0x54000005,0x7fc44fff,0xf980005f,0xffb03fff,0xfff8801f,0xffff984f,
    0xffe80004,0x7dc000df,0x00001fff,0x0ffffff4,0x01fffc80,0x067fff44,
    0x077ffdc4,0x0003fff4,0x0037fe40,0x7fffffe4,0xffffffde,0xb000003f,
    0xffb01fff,0xf980001f,0xffb03fff,0x7ff4401f,0x3ffea05f,0x3e60002f,
    0xb0000fff,0x00009fff,0x06ffffb8,0x007fff20,0x7007fffb,0xffd09fff,
    0x5cc0000f,0x009aeffe,0xaeffffb8,0x7fffdcc0,0x4400002f,0xff305fff,
    0xf980009f,0xffb03fff,0x7ffe401f,0xffffc806,0xfff50000,0x7fcc0007,
    0xb800005f,0x32000dfe,0x3ee01fff,0x3f2002ff,0x07ffe87f,0x3ffb2200,
    0xffffffff,0x3fffa02e,0x7ffd400e,0x6400006f,0x3fa01fff,0x7cc0007f,
    0xffb03fff,0x3ffe601f,0xfffb000f,0x3fee0009,0x7fc0002f,0x0000006f,
    0x0fffe400,0x004fff98,0x7f42fff8,0xff70007f,0xffffffff,0x2e05ffff,
    0x7000efff,0x0003ffff,0x2037ffc0,0x0002fffb,0x40ffffe2,0xfd00fffd,
    0x7cc007ff,0xc8001fff,0x40001fff,0x00007ffe,0x7fe40000,0x0dffd01f,
    0xd17ff200,0xfd000fff,0xffffffff,0x05ffffff,0x000bfffe,0x000bfffd,
    0x00fffea0,0x000dfff1,0x817fffc4,0xfa80fffd,0xfc8006ff,0xfc8006ff,
    0x740001ff,0x000007ff,0x7ffe4000,0x01fff981,0x41fff500,0x64007ffe,
    0x98aeffff,0xdb988fff,0x07fffb82,0x0ffffb80,0xfffe8000,0x1fffc800,
    0xffff1000,0x03fff605,0x005ffff1,0x07ffff10,0x01fffc80,0x03fff400,
    0xccccccc8,0xcccccccc,0x3fff2002,0x005ffd81,0xfd17ffc0,0x7fd400ff,
    0x3ffd42ff,0x09fffd00,0x7ffff100,0xfff98000,0xbfff3004,0x3ffe2000,
    0x1fffb02f,0x005fffc8,0x01fffee0,0x003fff90,0x007ffe80,0xffffffff,
    0xbfffffff,0x0fffe400,0x000bffe2,0x7f47ffb0,0x3ff6007f,0x06ffb84f,
    0x007fffe0,0x01ffff40,0x07fff600,0x00fffd80,0x2ffff880,0xe81fffb0,
    0x40001fff,0x2001ffff,0x0001fffc,0xf803fff4,0xffffffff,0x05ffffff,
    0x907fff20,0x65cc0fff,0xf90ca89b,0x03fff49f,0x905ffff0,0x3e600bff,
    0x320007ff,0x20004fff,0x4005fff8,0x0003fffa,0x3605ffff,0x3fe60fff,
    0xfc80007f,0x3f2004ff,0x740001ff,0xddb007ff,0xdddddddd,0x400bfffd,
    0x7fc1fffc,0xfffe884f,0x3ee7ffff,0x01fffa5f,0x417fffc4,0xf7004ffd,
    0x5c000fff,0x20005fff,0x8002fffb,0xf0006fff,0x3f603fff,0x3ffee0ff,
    0xff980004,0x3ff2007f,0x7f40000f,0x400000ff,0x2005fffb,0x3e61fffc,
    0x7ffcc0ff,0x26ffffff,0x3ffa5ffb,0x3fffe007,0x003ffe85,0x000dfff7,
    0x0037ffdc,0x000dffd0,0x000bffee,0x6c07fffe,0x3ffa0fff,0xff00001f,
    0x3f6005ff,0xfd80007f,0x400001ff,0x2005fffb,0x3ee1fffc,0xcfffe86f,
    0x2a4fffeb,0x1fffa6ff,0x0ffffd80,0xc8017ffc,0x20005fff,0x0007fffa,
    0x0007fff5,0x0017ffe2,0x6c07fffe,0xfff30fff,0x7e40000f,0xff8804ff,
    0xfb80006f,0x400003ff,0x2005fffb,0x3f21fffc,0x17ffdc5f,0x7d47fff1,
    0x01fffa7f,0x3fffffb8,0x2003fff1,0x0005fffc,0x001fffe6,0x0007ffec,
    0x003fffb0,0xb01ffff8,0x3fee1fff,0x2a00005f,0xfc806fff,0x880003ff,
    0x0001ffff,0x017ffee0,0x3a1fffc8,0x2fffc3ff,0xf98bffea,0x01fffa7f,
    0xdfffffb0,0x2001fff9,0x0005fffc,0x001fffe6,0x0017ffe6,0x009fff30,
    0xb01ffff8,0x3fee1fff,0x2600004f,0x4ccc7fff,0x006fffeb,0x3ffff200,
    0x000099ac,0x400bfff7,0xff11fffc,0x17ffcc3f,0xf987ffee,0x01fffa7f,
    0xfffffd10,0x5c00ffff,0x20006fff,0x8006fffa,0x0001fffc,0x000fffe8,
    0x6c03fffa,0xfff90fff,0x7c400007,0x3ffe67ff,0x000dffff,0x7fffdc00,
    0x70004fff,0x6400bfff,0xfff51fff,0xfc87ffc8,0xd37fd47f,0x32000fff,
    0xffffffff,0xfffa801d,0x3fee0007,0x7fc4005f,0xf500006f,0x7f4007ff,
    0xfffb00ff,0x00bfff61,0x1ffff000,0x3bffffe6,0x22000001,0x04fffffc,
    0x0bfff700,0xa8fffe40,0x37ff47ff,0x3ea37fec,0x01fffa6f,0xffffd880,
    0x202effff,0x0007fffa,0x0013fff2,0x0005fff7,0x0037ffc0,0x3601fffd,
    0xfffd0fff,0xff800005,0xffff31ff,0x0001dfff,0xfffffa80,0xf70004ff,
    0x7e400bff,0x8dff71ff,0xffe84fff,0xfd2ffdc5,0x910000ff,0xffffffff,
    0xffff301b,0x3ff60001,0x7ff4003f,0x7e400007,0xffd001ff,0x3fff601f,
    0x003ffff0,0x2fffe800,0x3ffeea66,0x700000ef,0x3359ffff,0x3fee0001,
    0x3ff2005f,0x4cbff71f,0xfff83fff,0xfd2ffdc4,0x7c0000ff,0xffffffff,
    0x7fffc41f,0xfff88002,0x3fe6002f,0x4400004f,0xfd005fff,0x3ff601ff,
    0x05fffd0f,0xffff8000,0x3fff6201,0xff880003,0x200000ff,0x2005fffb,
    0xff91fffc,0x217ffccb,0x7e43fff8,0x01fffa4f,0x57ffc400,0x0efffffc,
    0x002ffff4,0x007fffd4,0x001fffb0,0x1fffb000,0x40fffb00,0xffb0fffd,
    0xf800005f,0x7c400fff,0xb80007ff,0x00002fff,0x002fffdc,0x3f23fff9,
    0x0bffea4f,0xfe83fff5,0x01fffa3f,0x87ffcc00,0x45ffffd8,0x000ffffb,
    0x0027ffec,0x000bfff1,0x13ffea00,0xd81fff60,0xfff90fff,0x7c400007,
    0xffd007ff,0xfc80001f,0x400000ff,0x2005fffb,0xffb1fffc,0x217ffd49,
    0x7fc0fffb,0x01fffa0f,0x43ffd400,0x7c47fffd,0x26004fff,0x2000ffff,
    0x0002fffc,0x01fffa00,0x0fffd800,0x0009fff7,0x03fffcc0,0x001fffd8,
    0x007ffec0,0x3ffee000,0x3fff2005,0x7d49ffb1,0x7ffec2ff,0xfd1bfe60,
    0x2e0000ff,0xfff886ff,0x7fffec1f,0xffff9803,0x37ffc005,0x3ee00000,
    0xb00002ff,0x3fea1fff,0x2a00005f,0xf9006fff,0xe80003ff,0x800007ff,
    0x2005fffb,0xff91fffc,0x31fffccb,0x7e41ffff,0x03fff44f,0x05ffc800,
    0xf987fffd,0x2602ffff,0x001fffff,0x000fffea,0xdfff1000,0x3ff60000,
    0x0ffff30f,0x7ffe4000,0x3fff9004,0x7ffe8000,0xffb80000,0x3ff2005f,
    0x44bff71f,0x3ffa5fff,0x3fff11ff,0x0007ffe8,0x3e09ffb0,0xffa81fff,
    0xcabdffff,0x02fffffe,0x007fff40,0x7fe40000,0x0b72601f,0x3e0fffd8,
    0x00002fff,0x2003fffd,0x0001fffc,0x0003fff4,0x02fffdc0,0x2e3fff90,
    0x7fff46ff,0xeffcffed,0xfe85fffc,0xfd00007f,0xffff307f,0x3fffee01,
    0xffffffff,0x7cc001ff,0x000004ff,0x209fff30,0xb03ffff9,0x7fe41fff,
    0xf980005f,0x3f2007ff,0x740001ff,0x800007ff,0x2005fffb,0xff51fffc,
    0xfffffb8f,0xfffff8af,0x0fffd06f,0x0bffe000,0x80dfffd1,0xfffffffb,
    0x001fffff,0x001fffc8,0x3ffa0000,0xffffd80f,0x41fffb07,0x0007fff9,
    0x004fffc8,0x0007fff2,0x000fffd0,0x0bfff700,0x98fffe40,0xfffc87ff,
    0x3ffff24f,0x0fffd00d,0xf102f6a0,0x3fee23ff,0xb5002fff,0x3bffffff,
    0x3ffe2000,0x40000006,0xfe83fffa,0xfd80ffff,0x7fff40ff,0x7ff40002,
    0x3ff2002f,0x7f40001f,0xb800007f,0x32005fff,0xfff11fff,0x54055301,
    0x3fff400a,0xfffffa80,0xfedfffde,0x003fffff,0x00ffff88,0x17ffdc00,
    0x7c000000,0xfffd86ff,0x1fffb06f,0x006fffc8,0x01bffea0,0x003fff90,
    0x007ffe80,0x5fffb800,0x87fff200,0x00003fff,0x803fff40,0xfffffffa,
    0xffffffff,0x360003ff,0x40002fff,0x00007ffe,0x5fff7000,0x01fffe88,
    0xf881fffb,0xd0003fff,0xc8005fff,0x40001fff,0x00007ffe,0x003fffb8,
    0xfd87fff2,0x4000006f,0xf5007ffe,0xffffffff,0x19ffffff,0xfffb8000,
    0x3fea0006,0x0000003f,0x20bfff10,0x3ff600a9,0xffffb80f,0x7ffe4000,
    0xfffc8005,0x7ff40002,0xfc800007,0x3f2002ff,0x3ffea1ff,0x3a000001,
    0x2a2007ff,0xffffeecb,0x0000abce,0x07ffff30,0xfffd81cc,0x00000000,
    0x0003fff6,0xe807ffec,0x22004fff,0x8000ffff,0x0003fffb,0x00037ffc,
    0x00ffff40,0xe83fff90,0x000004ff,0x0001fffa,0x00013ffa,0xbffffb00,
    0x5ff95335,0x005fff88,0x7cc00000,0xfb0004ff,0x3fe601ff,0xffb001ff,
    0x3e60009f,0x260005ff,0x00005fff,0x007fffcc,0xb83fff90,0x00001fff,
    0x000fffd0,0x0005fff0,0xffff8800,0xffffffff,0x07fff20f,0x20000000,
    0xb0007ffe,0x7e401fff,0x7dc00eff,0x10000fff,0x0003ffff,0x200ffffa,
    0x3fffa000,0x7ffe4004,0x0ffffc41,0x7ff40000,0x7fc40007,0x8000001f,
    0xffffffe9,0x3e0cffff,0x000006ff,0x5fff7000,0x1fffb000,0x37fffc40,
    0x03ffff50,0xffffc800,0x3ffa6003,0x1ce800ff,0x3ffffa60,0x7ffe4000,
    0x1ffffc81,0xe805b880,0x4c0007ff,0x00000fff,0x3fffea00,0x0000dfff,
    0x00000000,0x3fff6000,0x7fffcc00,0x2ffff985,0xfff88000,0x2a4defff,
    0xffffffec,0xdffff003,0xfffffb9b,0x9999105f,0x3fffd999,0x3bfffee0,
    0xfdba99ac,0xfffe806f,0x2ccccccc,0x003ffd40,0xa9880000,0x0000001a,
    0x00000000,0x001fffb0,0x449ffff3,0x0003ffff,0x3ffffea0,0x3fff27ff,
    0x2004ffff,0xffffffff,0x303fffff,0xffffffff,0x7dc03fff,0xffffffff,
    0xe806ffff,0xffffffff,0x665404ff,0x00000003,0x00000000,0x00000000,
    0x8007ffec,0xf90ffffa,0x000009ff,0xffffff91,0x77ffffe4,0x7ffec001,
    0xdfffffff,0x3fffe600,0x1fffffff,0x7fffed40,0x0befffff,0xfffffe80,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x8003fff6,0x27f41ffa,
    0x26200000,0x332a4cba,0x2200009a,0xabceecca,0xcccc8800,0x0ccccccc,
    0x3372e600,0x65c000ab,0xcccccccc,0x0000002c,0x00000000,0x00000000,
    0x3ff60000,0x40dc000f,0x00000048,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff6000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03fff600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65c00000,0x0000004c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00035310,0x00002666,0x3304ccc4,
    0x02000013,0x2a200000,0x4cc0001a,0x99999999,0x09998800,0x99930000,
    0x32e00019,0x153002cc,0x004ccc00,0xb9510000,0x99999dfd,0xea839999,
    0xffe880ce,0x2a003fff,0x00003fff,0x3e67fff9,0xd00006ff,0x0017bdff,
    0xffffd880,0x44001eff,0xffffffff,0xffd806ff,0xf100002f,0x10009fff,
    0x8803ffff,0x9802fffe,0x00006fff,0xffffff50,0xffffffff,0x7ffe47ff,
    0x3ffe60ef,0x805fffff,0x0006fff8,0x4cffff20,0x00006fff,0xdffffffd,
    0xfff70007,0x9fffffff,0x7fffc400,0x06ffffff,0x002fffd8,0x1ffff200,
    0x1bffee00,0x3fffff60,0x37ffcc00,0x7ff40000,0xffffffff,0x3fffffff,
    0x7ffffff1,0x7eeffff4,0x7e402fff,0x200001ff,0xff33fffc,0x3a0000df,
    0xffffffff,0xfff5000e,0xffffffff,0x3fe2007f,0xffffffff,0x2fffd806,
    0x3fe60000,0x7f4002ff,0xfff803ff,0x7cc02fff,0x400006ff,0x9adffffc,
    0xfffffea9,0xfff52eee,0x3feebfff,0x1fffa21f,0x004fffa8,0x9fffe400,
    0x0006fff9,0xfffdd970,0x8805ffff,0x88aeffff,0x00fffffc,0x53333330,
    0xfb00dfff,0x800005ff,0x2005fffe,0x800ffff9,0x01fffffe,0x0037ffcc,
    0x5ffff500,0x07fffe40,0x7fffffcc,0xf70bffb4,0x3ffa01ff,0xfc800006,
    0xdfff33ff,0x2e200000,0x01fffffe,0x203fffee,0x003ffff8,0x037ffcc0,
    0x0017ffec,0x3fffee00,0xbfff9000,0x3fffee00,0x6fff9806,0x3ff60000,
    0xfffe804f,0xfffffb04,0x260fffe3,0xffc81fff,0xc800001f,0xfff33fff,
    0x7000000d,0x201fffff,0x3603fffd,0x40004fff,0xd806fff9,0x00002fff,
    0x01ffffc4,0x002fffe8,0x20037fae,0x0006fff9,0x003fffe0,0x441bffea,
    0xff12fffd,0x0bffe05f,0x0009fff3,0x4ffff200,0x0006fff9,0xffff7000,
    0x07fffa09,0x005fffa8,0x037ffcc0,0x0017ffec,0x37ffe400,0x03fffcc0,
    0x7fcc0000,0xf100006f,0x3e200dff,0x404407ff,0xff883fff,0x077ff41f,
    0xffc80000,0x0dfff33f,0x7ec00000,0xfff80fff,0x3ffee01f,0x7fcc0004,
    0xfffd806f,0xf9800002,0x7e401fff,0x000004ff,0x006fff98,0x0dfff500,
    0x01fffe20,0x542fff40,0x3ff20fff,0x2000002f,0xff33fffc,0x000000df,
    0x417fffd4,0x3603fffd,0x40002fff,0xd806fff9,0x00002fff,0x809fffd0,
    0x0001ffff,0x6fff9800,0xfff30000,0x3ffe600f,0xfffb0005,0x266ffe83,
    0x40004fff,0xacdedba9,0xff33fffc,0xbdb730df,0xf8800037,0xffc83fff,
    0xffff305f,0xff980001,0xfffd806f,0x99991002,0x3ffee019,0x1bffea07,
    0x66666644,0x9803cccc,0x6dc46fff,0x7c01cdfe,0xfc802fff,0xf30004ff,
    0xffd7bfff,0x07fff43f,0xffffa800,0xffffffff,0x4bfff33f,0xfffffffa,
    0x3a0000ef,0xffa84fff,0x7ffcc2ff,0xf980003f,0xffd806ff,0xfff8802f,
    0x3fe201ff,0xfff902ff,0x3fffe207,0x06ffffff,0x2a5fff98,0xffffffff,
    0x3ffff204,0x3fffea00,0x3ff20001,0x24ffffff,0x8002fffb,0xffffffd8,
    0xffffffff,0x32bfff33,0xffffffff,0xf0000eff,0x3fa05fff,0xfff70fff,
    0x260000df,0xfd806fff,0x7fc402ff,0xfd801fff,0xffff05ff,0x3fffe201,
    0x06ffffff,0xf95fff98,0xffffffff,0x3ffe20df,0x7fdc42ff,0xb80004ff,
    0x22ffffff,0x8005fff8,0xeffffff9,0xffffedcc,0x9bfff33f,0xfb9dffff,
    0x000dffff,0x203ffff1,0xfedffff9,0x00005fff,0x201bffe6,0x2202fffd,
    0x001ffffe,0xa81ffff3,0x3a205fff,0xffeeeeee,0xfff9806f,0xcdffffcd,
    0x03fffffd,0xdffffff9,0x0dffffff,0x5dcc4000,0x07fff409,0x7ffff400,
    0x3fff6602,0xffffff33,0xffd883df,0x7ec001ff,0x3f200fff,0x3fffffff,
    0x7fcc0000,0xfffd806f,0xffffd102,0xfffe8003,0x017ffec3,0x06fff980,
    0xffffff98,0x7ff440df,0xffffa87f,0xffffffff,0x000000cf,0x00bffee0,
    0x037ffee0,0x4cffff20,0x04ffffff,0x402fffec,0x3ffffe98,0x7ffffc40,
    0x800000df,0xd806fff9,0xfe882fff,0xb8001fff,0x3fe26fff,0x3e60007f,
    0xff9806ff,0x2204ffff,0x3e21ffff,0xfffdaeff,0x0000deff,0x7ffc4000,
    0xfff88005,0xfff9000f,0x3ffffe67,0xffff9804,0x7ffffe40,0x4c06ffff,
    0x0ffffffe,0xff300000,0xfffb00df,0xffffe885,0xfff10001,0x13ffee3f,
    0x6fff9800,0xfffff980,0x2fffd803,0x310bffea,0x00000001,0x000fffd8,
    0x005fffc8,0x7ccffff2,0x3e005fff,0x7fe42fff,0x0cffffff,0x3ffffea0,
    0xf880efff,0x7cc007ff,0xffd806ff,0x3fffa22f,0x7ec0001f,0x3fffd4ff,
    0x7ffcc000,0xffff9806,0x7fff9004,0x0007ffe4,0x01ee4c00,0x01fffd40,
    0x01fffd80,0x4cffff20,0x64006fff,0x7fdc3fff,0x401cefff,0xfcdffffa,
    0xff985fff,0x7fcc006f,0xfffd806f,0x3ffffd12,0xfff50000,0x00dfff3f,
    0x06fff980,0x006fff98,0xfe93ffee,0x400003ff,0x005ffffa,0x001bffe2,
    0x000ffff8,0x7ccffff2,0x7dc006ff,0x7ffdc4ff,0x3ffe2003,0x3ffff64f,
    0x02fffcc3,0x01bffe60,0x3a2bfff6,0x0001ffff,0x3fbfffa0,0x4c0003ff,
    0xf9806fff,0x3ea006ff,0x3fff64ff,0x00019acf,0x3fffffe2,0x3fffb003,
    0x815e5d44,0x4007fff8,0xff33fffc,0xffb800df,0x17ffdc5f,0x8bfff900,
    0x22ffffe8,0x4004fffa,0xd806fff9,0xfffeafff,0x5c00001f,0x0fffffff,
    0x7ffcc000,0x6fff9806,0x93ffea00,0xfffffffa,0xceffffff,0xffff500b,
    0xff500bff,0x7fff4c7f,0x7fcc0eff,0x7fe4006f,0x0dfff33f,0x46fffa80,
    0x1002fffb,0xf303ffff,0x3ee1ffff,0x7cc003ff,0xffd806ff,0x03ffffef,
    0xfff88000,0x80005fff,0x9806fff9,0x2a006fff,0x7fe44fff,0xffffffff,
    0x0cffffff,0x7fffffcc,0x37ffc404,0xfffffff5,0x7ffd41ff,0x7ffe4005,
    0x00dfff33,0x545fffa8,0xf5001fff,0x7fd40dff,0xfffd8eff,0x7ffcc002,
    0xafffd806,0x002ffffd,0xffffd800,0xf980001f,0xff9806ff,0x3fea006f,
    0xffffe84f,0xffffffff,0xfe86ffff,0x6401ffff,0x3ffa1fff,0x4fffebbf,
    0x001bffea,0x3e67fff9,0x7dc006ff,0x7ffd44ff,0xbfff7001,0xdffffc80,
    0x4000ffff,0xd806fff9,0xfffb2fff,0xa800003f,0x0005ffff,0x00dfff30,
    0x400dfff3,0x7ec4fffa,0xcaaaaeff,0xfffffecc,0x7fff4c5f,0x27ffcc03,
    0xfc81fff7,0xdfff30ff,0x3fffc800,0x800dfff3,0x7d43fffc,0xff9001ff,
    0xfffb009f,0x0009ffff,0xb00dfff3,0x3fa25fff,0x00001fff,0x007fffea,
    0x37ffcc00,0x037ffcc0,0x6c9fff50,0x51005fff,0x260fffff,0x6ffe800a,
    0x7d42ffec,0xffff11ff,0x3fffd800,0x800dfff3,0x0001fffd,0x00bfff70,
    0xfffffff1,0xfff30003,0x5fffb00d,0x07ffffc4,0xfffe8000,0x3e600006,
    0xff9806ff,0x3fea006f,0x1ffff34f,0xffffb800,0x3ff20001,0x41fff41f,
    0x3fe2fff8,0xff7000ff,0x3ffe67ff,0x3ffe2006,0xf500000f,0x3e600fff,
    0x0006ffff,0xb00dfff3,0xff985fff,0x40000eff,0x002ffffa,0x1bffe600,
    0x01bffe60,0xf74fffa8,0xf10009ff,0x20003fff,0xff84fff9,0x47fff03f,
    0xa803fffe,0xf33fffff,0x7e400dff,0x200005ff,0x004ffff9,0x01dffff9,
    0x0dfff300,0x505fffb0,0x001dffff,0x17fffe60,0xfff30000,0xdfff300d,
    0xa7ffd400,0x8004fffd,0x0007fff9,0x3a03bffa,0x5fff05ff,0x2037ffdc,
    0x3ffffff9,0x200dfff3,0x881ffff8,0x7f4003dc,0x7e403fff,0x005fffff,
    0x806fff98,0xf702fffd,0x1000dfff,0x001dfffd,0x6fff9800,0x06fff980,
    0x653ffea0,0xd8006fff,0x70006fff,0x3f605fff,0x0fffa87f,0x413fffe2,
    0xfffefffa,0x00dfff33,0x109fffd3,0x400bfffd,0xbefffff9,0xfffeca99,
    0x004fffff,0x4037ffcc,0x3202fffd,0x1005ffff,0x03fffff7,0xfff30000,
    0xdfff300d,0xa7ffd400,0x00dffffa,0x1ffffd98,0x5fff9800,0x88fffee0,
    0xffd86ffe,0xfeb8adff,0x3fff9dff,0x37dffff3,0x3fff2a23,0xfffb80ff,
    0x3ee002ff,0xffffffff,0xffdfffff,0x55542fff,0xfffbaaaa,0x2aaaaaaf,
    0xd805fffb,0xfc85ffff,0xfffffffe,0x2aaa0003,0xfffbaaaa,0x2aaaaaaf,
    0x400dfff3,0xfd14fffa,0x599dffff,0xffffd995,0x3fa0007f,0x3fe200ff,
    0xffffdfff,0xffffe881,0x35ffffff,0x3fe67fff,0xffffffff,0x00efffff,
    0x07fffff9,0xffffea80,0x1effffff,0x43fffff3,0xffffffff,0xffffffff,
    0x5fffb6ff,0x9ffffd00,0xffffffc8,0x7c0002ef,0xffffffff,0xffffffff,
    0x0dfff36f,0x127ffd40,0xfffffffd,0xffffffff,0x3ee0007f,0xffa802ff,
    0x03ffffff,0x3fffffa2,0x3fe25fff,0xffffd13f,0xffffffff,0xfffa807f,
    0xd90001ff,0x5bdfffff,0x1dffff50,0x3ffffffe,0xffffffff,0xfffb6fff,
    0xfffd1005,0x7fffe47f,0xf00004ff,0xffffffff,0xffffffff,0x1bffe6df,
    0x44fffa80,0xfffffeb8,0xbfffffff,0xfff10000,0x7ff4400b,0xc8801eff,
    0x42cffffe,0x5c43fff8,0xeffffffd,0xffb001cd,0x2200007f,0xff800019,
    0xffffffff,0xffffffff,0x005fffb6,0x4fffffe2,0x009acdda,0x3fffe000,
    0xffffffff,0x36ffffff,0x5400dfff,0x2a604fff,0xabceedcc,0x00000001,
    0x88000660,0x4400001a,0x26000099,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x019a9980,
    0xdedba880,0x13db88ac,0xb7303999,0x000037bd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00033baa,0xfffeb800,0x403fffff,
    0xfffffffb,0x33ffffff,0x7fd47fff,0x0effffff,0x07654400,0x32e60000,
    0x001acefe,0x7ff76544,0x0001cdef,0xdffb7510,0x4400159d,0x1acefeca,
    0x32a60000,0x1bdefffd,0xffd97100,0x800179df,0x00effffc,0x7ffd4000,
    0xffffffff,0xffffb104,0xffffffff,0x3ffe67ff,0xffffff93,0x001dffff,
    0x0007fffc,0xffffe880,0x01efffff,0xffffffa8,0x1dffffff,0xffff5000,
    0xffffffff,0x7ff4403b,0x4fffffff,0x7ffdc000,0xffffffff,0xff9102ef,
    0xffffffff,0xff10019f,0x0007ffff,0x7ffffdc0,0x4fffffff,0xfffffe98,
    0xfffedccd,0x9fff33ff,0xb9dffff9,0x00dfffff,0x0007fffc,0x7ffffd40,
    0xffffffff,0x7fffd402,0xffffffff,0x7e4003ff,0xffffffff,0x302fffff,
    0xfffffffd,0x001bffff,0xfffffe88,0xffffffff,0xffff984f,0xffffffff,
    0x7d400eff,0x005fffff,0xfffff100,0x32a66137,0x7ffffc42,0x3fff6601,
    0xffdfff33,0xffd883df,0xfff001ff,0xfc80001f,0xfdefffff,0x03ffffff,
    0x333bffea,0xfffffdcb,0xffe8801f,0xeeefffff,0x982fffff,0xbcefffff,
    0x0effffed,0xfffff700,0xffdbdfff,0xfe889fff,0xbaacdfff,0x05fffffc,
    0x7fffffcc,0xffb00004,0xf70001df,0xf9001dff,0x3ffe67ff,0x7ec04fff,
    0xfff005ff,0x7dc0001f,0x4c0aefff,0x02fffffb,0xfb880373,0x7cc06fff,
    0x01beffff,0xf885fd71,0xf900efff,0xf900bfff,0x035bffff,0xfb13f6a2,
    0x64401dff,0x6c02ffff,0x001fffff,0x05ffff00,0x1ffff100,0x4ffff200,
    0x04fffff9,0x00ffff98,0x000ffff8,0x03bfffe0,0x0dffff50,0x3ffee000,
    0x3fff600f,0x026000df,0x801dfff9,0x200ffffb,0x03fffff9,0xfff10c40,
    0x3ff6001f,0x7fec404f,0xf100002f,0x32000dff,0x32005fff,0xfff33fff,
    0x7ffc00bf,0xffff802f,0xfff70000,0x3fee001d,0xf00001ff,0x3ea05fff,
    0x80004fff,0x001ffff8,0x6c09fffb,0x0002ffff,0x006fff98,0x401bffea,
    0x54000008,0xd0005fff,0x64003fff,0xfff33fff,0xfffc800d,0x99999953,
    0x9999ffff,0x45999999,0x002ffff8,0x002fffec,0x03fffe80,0x000bfffd,
    0x017ffee0,0x80ffff98,0x002ffffa,0x0bfff700,0x037ffcc0,0xf7000000,
    0x3e0009ff,0x32000fff,0xfff33fff,0xfffb800d,0xffffff74,0xffffffff,
    0x4bffffff,0x8007fffb,0x000ffffb,0x82fffe80,0x001ffffa,0x05fffd00,
    0x83fffe80,0x0006fffe,0x01bffea0,0x005fffc8,0x3f200000,0xf88004ff,
    0x7e4007ff,0xdfff33ff,0x5fffb800,0xfffffff7,0xffffffff,0x74bfffff,
    0x88004fff,0x0002ffff,0xe81ffff8,0x00005fff,0x800ffff3,0x544ffffc,
    0x0001ffff,0x0bfffe60,0x13fffe20,0xc8000000,0x98004fff,0x64006fff,
    0xfff33fff,0xfffa800d,0xdddddd56,0xddddffff,0x29dddddd,0x001ffff8,
    0x007fffb0,0x06fff980,0x0005ffff,0x013ffea0,0x7fffff44,0x02fffe45,
    0x7fff4000,0x7ffdc01f,0x0000000f,0x013fff20,0x017ffea0,0x267fff90,
    0x54006fff,0xff805fff,0x7cc000ff,0x320007ff,0x40004fff,0xf883fffe,
    0x00000fff,0x5009fff7,0xdfffffff,0x003fffd8,0xffffa800,0xfffd883f,
    0x8000003f,0xc9999999,0x9999dfff,0x2a099999,0x64006fff,0xfff33fff,
    0xfffb800d,0x0ffff804,0x3fffdc00,0xbfff7000,0x3ffa6000,0xffff503f,
    0x7fe40000,0x7ffe403f,0x747fffff,0x00002fff,0xdfffff90,0x3ffffee5,
    0x88000002,0xffffffff,0xffffffff,0x266fffff,0x64006fff,0xfff33fff,
    0xfffc800d,0x0ffff802,0x37ffdc00,0xdfff7000,0x65d55440,0x201ffffe,
    0x0006fffb,0x40bfff60,0x8effffe9,0x3fe0ffff,0x000001ff,0x3fffffee,
    0x01efffff,0xff100000,0xffffffff,0xffffffff,0x7fc4dfff,0x7fec007f,
    0x0dfff33f,0x01fffd80,0x000ffff8,0x002fffe4,0x40ffff50,0xfffffffa,
    0x7fe400ef,0x3600005f,0xffa81fff,0x3ffa4fff,0x1ffff30f,0x7ffffe40,
    0x2605ffff,0xfffffffe,0x000000df,0x3ffffe20,0xffffffff,0xffffffff,
    0x007fffc6,0x33ffffb8,0x4400dfff,0xf800ffff,0x64000fff,0x20005fff,
    0x2a07fff9,0xffffffff,0xffb00cef,0x7400009f,0x7fec1fff,0x7ff42fff,
    0x0ffff51f,0xffffffc8,0x7cc05fff,0xefffffff,0x0bb88001,0x4ccccc00,
    0x9dfffc99,0x99999999,0x01ffff40,0x9fffffd4,0x2006fff9,0xf006fffc,
    0xc8001fff,0x20005fff,0x2a07fff9,0xfffffeee,0xfd82ffff,0x200005ff,
    0xfd30fffe,0xfd01dfff,0x3ffea3ff,0x7fffe407,0x105fffff,0xfffffff9,
    0x400bffff,0x003ffffa,0x09fff900,0x1bffee00,0xffffff30,0x01bffe67,
    0x00ffffc4,0x000ffff8,0x0037ffdc,0x00ffff50,0xffffb530,0x5fffc85f,
    0x3ff60000,0xfffffb9f,0x43fffe04,0x200ffff9,0xfcaaaaa9,0xfff885ff,
    0xffea9eff,0xf800efff,0x001fffff,0x04fffc80,0x9ffff100,0x3ffffea0,
    0xdfff33ff,0x9ffff300,0x07fffc00,0x1bffea00,0x6fffb800,0x7ff44000,
    0x3ffee0ff,0x3f200006,0xfffffeff,0x13fffc02,0x0003ffff,0xf98bfff5,
    0xfb83ffff,0x4406ffff,0x05ffffff,0x4fffc800,0x3fff6000,0xffeb8adf,
    0x33fffbdf,0x137dffff,0x3ffff2a6,0x3ffe000e,0x7fcc000f,0x3f20007f,
    0x880006ff,0x3ea3fffe,0x200007ff,0xfffffffb,0x7ffc400d,0x00ffffc6,
    0x22fffd40,0x201ffffe,0x03ffffe9,0x3ffffffc,0x7ffe4000,0x3fa20004,
    0xffffffff,0x27fff75f,0xfffffff9,0xffffffff,0x7ffc001e,0x7fc4000f,
    0xfb0000ff,0x200009ff,0x3e65fffc,0x00000fff,0x7ffffff5,0x1bffe600,
    0x0005fffd,0x7d4bfff5,0xe8801fff,0x2e00ffff,0x00ffffff,0x27ffe400,
    0x3ffa2000,0x25ffffff,0xff33fffb,0xffffffff,0x0007ffff,0x0003fffe,
    0x000bfffe,0x00bfffe2,0x3fffd400,0x007ffff1,0x3fffea00,0x3fee001f,
    0x37ffec5f,0x2fffd400,0x4009fffd,0x401ffffa,0x00fffffe,0x27ffe400,
    0x7f644000,0x7dc2cfff,0xffff33ff,0xbffffffd,0x7fc00019,0xfe8000ff,
    0xfa8005ff,0x00000fff,0xff8dfff5,0x100007ff,0x8003ffff,0x7dc3fffe,
    0x54001fff,0x3ffe5fff,0x7ffc002f,0x7ffcc03f,0xfc80006f,0x400004ff,
    0x3fee01a8,0x4dfff33f,0x00000999,0x0007fffa,0x003fffee,0x009fffb0,
    0x27ffdc00,0x00ffffee,0x1ffff400,0x1ffff100,0x05ffff88,0x8afffd40,
    0x4001ffff,0xf804fffe,0x80005fff,0x0004fffc,0xfffc8000,0x00dfff33,
    0xfffb0000,0xfff10005,0x7fcc007f,0x200000ff,0x7c43fffe,0x0000efff,
    0x006fffa8,0x5c13fff2,0x2001ffff,0xff15fffa,0xff8005ff,0x7fc402ff,
    0xc80003ff,0x00004fff,0x3fffc800,0x000dfff3,0xbfff9000,0x3fff2000,
    0xfff9802f,0x3200004f,0xfb80ffff,0x0001efff,0x804fffe8,0x200ffffa,
    0x003ffffe,0x7f4bfff5,0x3ea005ff,0x7dc00fff,0x80000fff,0x0004fffc,
    0xfffc8000,0x00dfff33,0xfff50000,0xff10007f,0x7c405fff,0x0000ffff,
    0x2ffffc88,0x3fffffa0,0x42da8803,0x203ffffb,0x405ffff9,0x04fffffa,
    0x325fffa8,0x9804ffff,0x5c06ffff,0x0002ffff,0x009fff90,0xff900000,
    0x1bffe67f,0x7f400000,0x999adfff,0xffb84ca9,0xc9acefff,0x03fffffe,
    0x33335591,0xffffb553,0xfffa809f,0xabceffff,0x42fffecb,0xadffffe8,
    0xffffdb89,0xfffd800e,0x99bcefff,0x25fffeca,0xbffffff8,0xffda9899,
    0x5d4c1fff,0x004ffffe,0x13fff200,0x32000000,0xfff33fff,0x2000000d,
    0xfffffff9,0x505fffff,0xffffffff,0x05ffffff,0x7fffffc4,0xffffffff,
    0xffb1005f,0xffffffff,0x105fffff,0xfffffffd,0x01dfffff,0x7ffffd40,
    0xffffffff,0x7fcc5fff,0xffffffff,0x42ffffff,0xfffffff8,0x7e400003,
    0x000004ff,0x33fffc80,0x0000dfff,0x7fffdc00,0x5fffffff,0x3ffffe60,
    0x0effffff,0x7ffffc40,0xffffffff,0xffb8001d,0xffffffff,0x3601ffff,
    0xffffffff,0xb10005ff,0xffffffff,0x07ffffff,0xffffffd3,0x5dffffff,
    0xbfffff10,0xf9000001,0x000009ff,0x27fff900,0x0006fff9,0x7f644000,
    0x3effffff,0x7ffedc40,0x1003deff,0xffffffff,0x0003bdff,0xfffedb88,
    0x00adffff,0xfffffdb8,0xa80002ce,0xffffffec,0x5400adff,0xfffffffd,
    0x37a201df,0x000001ac,0x0013fff2,0x3ff20000,0x0dfff33f,0x88000000,
    0x00009999,0x40001551,0x09aaaa99,0xa9800000,0x44000099,0x0000009a,
    0x004d5544,0x13553100,0x00000000,0x013fff20,0x32a00000,0x799912cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccc8800,0xcccccccc,
    0x0000cccc,0x3332ea62,0x666664c2,0xcccccccc,0x799932cc,0x79991000,
    0x000f332e,0x83333220,0x001cccca,0xc8799990,0xcccccccc,0x990009ab,
    0x99999999,0x99999999,0x50039999,0xdffffd97,0x5100157b,0x059dffb9,
    0x7f654400,0x4c00acdf,0xffffffff,0xffffffff,0x7fecc001,0x44ffffff,
    0xfffffffa,0xffffffff,0x00bfff74,0x2edfff30,0x0000ffff,0x2237ffdc,
    0x8006ffff,0x7c2ffffb,0xffffffff,0x400cffff,0xffffffff,0xffffffff,
    0x02ffffff,0x3fffffaa,0x2fffffff,0x3ffffa60,0x01efffff,0x7ffffdc0,
    0x201fffff,0xfffffff9,0xffffffff,0xffd5001f,0xffffffff,0xfffffa89,
    0xffffffff,0xbfff74ff,0xdfff3000,0x00ffffe6,0x09fffd00,0x007ffff5,
    0x42ffffc4,0xffffffff,0x4fffffff,0x3fffffe0,0xffffffff,0xffffffff,
    0xffffe982,0xffffffff,0xfff702ff,0xffffffff,0xfd3007ff,0xffffffff,
    0x3e607fff,0xffffffff,0x1fffffff,0xfffffd80,0x4fffffff,0x7fffffd4,
    0xffffffff,0x0bfff74f,0x4dfff300,0x0005fffe,0x407fffe2,0x000ffffd,
    0xf01ffff9,0xfddddfff,0x9fffffff,0x3fffffe0,0xffffffff,0xffffffff,
    0x7ffff442,0xedcccdef,0x7ec42fff,0xdcdfffff,0x01ffffff,0x37ffffe2,
    0xfffecbab,0x4fff984f,0xffd80000,0x01abdfff,0xfffd8000,0x00bfff74,
    0x5cdfff30,0x0000ffff,0x440dfff7,0x9805ffff,0xff02ffff,0x3f2601ff,
    0x0001ffff,0x0003fffd,0x019ffffb,0xfe883530,0xff901cff,0x7fec0dff,
    0x3ff601ef,0x7ffcc0ff,0x7ec00004,0x0000dfff,0x4fffd800,0x000bfff7,
    0x7ccdfff3,0xb0002fff,0xfb809fff,0x7f401fff,0x3ffe05ff,0x7ffcc00f,
    0xffd0005f,0xffa8003f,0x300002ff,0xff7005ff,0xfff705ff,0xfff9001f,
    0x04fff989,0x3ffea000,0x0000001f,0x7dd3fff6,0xf98005ff,0x7fff46ff,
    0xfff88005,0xfffe801f,0x3fffee06,0x03fffe00,0x01ffff20,0x00ffff40,
    0x017fff20,0x40013000,0xff83ffff,0xff1003ff,0x7ffcc1ff,0x3fa00004,
    0x000002ff,0xba7ffec0,0x98005fff,0x7fdc6fff,0x7d4000ff,0xff3006ff,
    0xfff107ff,0xffff807f,0xffff9800,0xfffe8000,0x7fff4001,0x00000003,
    0x222fffe4,0x6c007fff,0x3fe64fff,0xf700004f,0x00000bff,0x29fffb00,
    0x8005fffb,0x7cc6fff9,0x6c002fff,0x32003fff,0x7ec0ffff,0xfff806ff,
    0xfff8800f,0xffe8001f,0x7ffc001f,0x0000003f,0x237ffdc0,0x4006fffa,
    0x3e65fffa,0xd00004ff,0x00001fff,0x9fffb000,0x0017ffee,0x3a1bffe6,
    0x22005fff,0x2001ffff,0x2a5ffff8,0xf801ffff,0xf9800fff,0xe8000fff,
    0x6c001fff,0x00006fff,0x7ffdc000,0x02fffdc6,0x99bffe20,0x80004fff,
    0x0006fff8,0xfffb0000,0x017ffee9,0x21bffe60,0x2007fffb,0x8006fffa,
    0xfd2ffffa,0x3fe009ff,0xffa800ff,0xffd0007f,0xffc8003f,0x000003ff,
    0x17fff200,0x000bfff9,0x7fccffff,0xfa80004f,0x000004ff,0x29fffb00,
    0x8005fffb,0xf986fff9,0xfb002fff,0x360007ff,0xfffcefff,0xffff000e,
    0xbfffd001,0x3fffa000,0x7ffcc001,0x000004ff,0x89fffb00,0x8006fffb,
    0xff30ffff,0x335555bf,0x17ffe400,0x59bdb975,0x7ec00003,0xbfff74ff,
    0xdfff3000,0x013fffa0,0x000ffffc,0xffffff88,0x3fe002ff,0x7fe400ff,
    0xfd0000ff,0xf70003ff,0x007fffff,0x7fc40000,0x7ffcc2ff,0x7ff4000f,
    0xfffff31f,0x5bffffff,0xb9fffe80,0xfffffffe,0x80000dff,0xff74fffd,
    0xff3000bf,0x3ffee0df,0x6fffa807,0x7ffdc000,0x7c005fff,0x5cc40fff,
    0x003fffff,0x007fffa0,0x7ffffec0,0x00001cff,0x437ffdc0,0x004ffff8,
    0xf997fff4,0xffffffff,0xd02fffff,0xffffffff,0xffffffff,0xfd80005f,
    0xbfff74ff,0xdfff3000,0x07fffe60,0x007fff90,0xfffffd00,0xffff8001,
    0xffffffff,0x40003fff,0x0001fffe,0x3fffffee,0x00002dff,0x02ffff98,
    0x005ffff9,0x25ffffb3,0xfffffff9,0xffffffff,0xffffff82,0xedcbcdff,
    0x000fffff,0x5d3fff60,0x98005fff,0x3fa06fff,0x7ffc04ff,0xfc80001f,
    0xf8006fff,0xffffffff,0x001dffff,0x01fffe80,0x7ffec400,0x02efffff,
    0xfffd1000,0x7fffc40b,0xb9989adf,0x2ffffffe,0xffca9880,0x7fc2ffff,
    0x5c02dfff,0x0005ffff,0x7dd3fff6,0xf98005ff,0x3fee06ff,0x3ffe606f,
    0xff880006,0x4003ffff,0xffffffff,0x0001ffff,0x007fffa0,0x7ffe4400,
    0x00dfffff,0x7fffec00,0x7fffd400,0xffffffff,0x01ffffff,0xfffff700,
    0x017fffc4,0x03ffff70,0x53fff600,0x8005fffb,0x2606fff9,0xf901ffff,
    0xb00007ff,0x1fffffff,0x5ffffc00,0xffffebaa,0xffd00002,0x5000003f,
    0xfffffffd,0x3ff60001,0xfd3001ff,0xffffffff,0x3fffd9ff,0x7ffdc000,
    0x03fffe1f,0x07fffd00,0x53fff600,0x8005fffb,0x7406fff9,0xffd04fff,
    0xfa80001f,0x5fffffff,0x03fffe00,0x007ffff2,0x07fffa00,0xfd980000,
    0x8006ffff,0x002ffffd,0xffffedb8,0xfffd0bde,0xfff80001,0x07fffe3f,
    0x0bfff700,0x53fff600,0x8005fffb,0x5c06fff9,0xff986fff,0x7c40006f,
    0xfffacfff,0xffff003f,0x1bfff201,0x3fffa000,0x98000001,0x004fffff,
    0x00fffff2,0xf8804c00,0xd80006ff,0x3ffa5fff,0x7fd4002f,0xffb0006f,
    0x17ffee9f,0x1bffea00,0x83ffff30,0x0003fffb,0xfb37ffec,0xff001fff,
    0x3fe201ff,0x740003ff,0x00001fff,0xdfffd100,0x3ffff200,0x50000003,
    0x00009fff,0x7ecbfff9,0x7cc002ff,0xfb0007ff,0x3ffea7ff,0xfffa8006,
    0x4fffe804,0x0007fffc,0x45ffff50,0x805ffff8,0x2e00ffff,0x0000ffff,
    0x0007fffa,0xfffb8000,0x7ffe400f,0x0000003f,0x000bfff2,0xc8ffff60,
    0x54003fff,0xd0005fff,0x3fe65fff,0xffb8006f,0xfffc803f,0x01bffe66,
    0x5ffff880,0x02ffffc8,0x1007fffc,0x0007ffff,0x000ffff4,0xfff10000,
    0x7ffe403f,0x0000003f,0x001fffe2,0x70ffffc0,0xc800dfff,0xf0004fff,
    0x3fe23fff,0xffd8007f,0xfff9802f,0x07fff90f,0x7fffec00,0x1ffffd00,
    0x007fffc0,0x001ffff2,0x001fffe8,0x3fe20000,0xfff900ff,0x0000007f,
    0x003fffe8,0x0ffffa80,0x007fffe2,0x002fffe8,0x20ffff88,0x2002ffff,
    0x001ffff8,0x3fa7fffd,0xf50000ff,0x7d409fff,0x3fe04fff,0x7fc400ff,
    0xfd0003ff,0x000003ff,0x83fffcc0,0x002ffffc,0x7fe40000,0x4c0000ff,
    0xfd85ffff,0xff7004ff,0xd80061ff,0x7fec6fff,0x3ff2006f,0x3ff2005f,
    0x06fff9df,0xdfffd100,0x3ffffb00,0x003fffe0,0x001ffff2,0x000ffff4,
    0xfffd0000,0x5ffffb0b,0x4c000000,0x002ffffd,0x37fffdc0,0x04ffff98,
    0xb17fffcc,0xfffc805d,0x7fffcc2f,0x7ffe400d,0x3fe6001f,0x03fffcff,
    0x5ffff900,0xdffff100,0x003fffe0,0x00ffffe6,0x007fffa0,0x4c000b98,
    0x6c2ffffd,0x0002ffff,0xffd98800,0x57704fff,0xd7533333,0x401fffff,
    0x0adffffd,0xbffff931,0xacdeffd8,0x5ffffeca,0x7fffff90,0xffd73135,
    0xfd0009ff,0x01ffffff,0xbffff300,0x7fffe400,0x00ffff83,0x00dfffb0,
    0x003fffd0,0x5e677fd4,0xfdcaa9aa,0x7dc4ffff,0xeeeeffff,0xeeeeeeee,
    0x6665c3ee,0xffffffed,0x3ffa03ff,0xffffffff,0x4401efff,0xfffffffe,
    0x0effffff,0x7fffffec,0x0effffff,0xfffffd10,0xffffffff,0xf90001bf,
    0x00dfffff,0x03ffffa0,0x3ffffd00,0x000ffff8,0x005ffff3,0x001fffe8,
    0x3fffffea,0xffffffff,0xffc85fff,0xffffffff,0xffffffff,0x7fffec4f,
    0xefffffff,0x7ffff401,0xffffffff,0x7ffe4002,0xffffffff,0xfffff903,
    0x09ffffff,0x3fffff20,0x3fffffff,0x3ffe6000,0xc8003fff,0x8004ffff,
    0x7c6ffffa,0x3a000fff,0x74006fff,0x2a001fff,0xffffffff,0xefffffff,
    0xfffff903,0xffffffff,0x89ffffff,0xfffffffd,0xfd002dff,0xdfffffff,
    0x6d40007b,0xceffffff,0x7ff64c00,0x002defff,0x7ffff6cc,0x0000ceff,
    0x0fffffe8,0x7fffcc00,0x3ff60006,0x3fffe3ff,0x3ffea000,0x3ffa002f,
    0x3722001f,0xffffffff,0x6402dfff,0xffffffff,0xffffffff,0x7fec4fff,
    0x009abcee,0xaaaa9980,0x31000001,0x4c400035,0x4c000019,0x000001aa,
    0x00000000,0x00000000,0x80000000,0x19aaa998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcccb8000,0x6540000c,0x99910ccc,0x64400199,0x333262cc,
    0x3326002c,0x666443cc,0xcccccccc,0xcccccccc,0x0099991c,0x41999300,
    0xcccccccc,0xcccccccc,0x9991cccc,0x99999999,0x39999999,0x000f3326,
    0x400f3326,0x802eeec8,0xccccccc8,0xcccccccc,0x3333224c,0xcccccccc,
    0xf50ccccc,0x80009fff,0x3e65ffff,0x2005ffff,0x3ea4fff9,0x36007fff,
    0x7cc6ffff,0xffffffff,0xffffffff,0xfffd3fff,0xfff70000,0x7fffffc3,
    0xffffffff,0xf3ffffff,0xffffffff,0xffffffff,0x17ffea5f,0x1bffea00,
    0x3ffffee0,0xffff8803,0xffffffff,0x3e67ffff,0xffffffff,0xffffffff,
    0x07ffff60,0x7fffdc00,0x3ffffe61,0xfff3000f,0x7ffffdc9,0xffff8802,
    0x7fffcc6f,0xffffffff,0xffffffff,0x001fffd3,0x21fffb80,0xffffffff,
    0xffffffff,0xfff3ffff,0xffffffff,0x5fffffff,0x0017ffea,0xb81bffea,
    0x3fffffff,0xfffff880,0xffffffff,0x3fe67fff,0xffffffff,0x0fffffff,
    0x017fffe6,0x13fffe20,0x9ffffff3,0x93ffe600,0x05fffffb,0x6fffffb8,
    0x7fffffcc,0xffffffff,0xb3ffffff,0x80001fff,0x3fe0fffc,0xffffffff,
    0xffffffff,0xddddb2ff,0xddffffdd,0x2a3ddddd,0xa8005fff,0xfea86fff,
    0x3fffffff,0xfffff880,0xffffffff,0x3fe67fff,0xeeeeeeff,0x0eeeeeee,
    0x00ffffec,0x03ffff20,0xfffffff3,0x9fff3001,0x7fffffdc,0x7ffff400,
    0x9999987f,0x99999999,0x1ffff999,0x0003fff9,0x260fffc8,0x99999999,
    0xff999999,0xffd006ff,0xfff5003f,0xfff5000b,0x7ffff54d,0x03ffffff,
    0x007fff88,0x037ffcc0,0xffff8800,0x3ffe2006,0xffff983f,0xf9804fff,
    0x37ff24ff,0x3e602fff,0x007ffdff,0x37ffd400,0x0003fff9,0x0007ffc8,
    0x03ffff70,0x007fffa0,0x0017ffea,0x7e5bffea,0xf8cfffff,0xf8803fff,
    0x4c0007ff,0x00006fff,0x00bfffee,0x9837ffe4,0xffffdfff,0x27ffcc00,
    0xbffbbff9,0x7e67fe40,0x7400007f,0x3fee2fff,0x7ec0002f,0xf980007f,
    0x3a004fff,0xfa801fff,0xfa8005ff,0xffff56ff,0x1ffffc3b,0x03fffc40,
    0x1bffe600,0xfff88000,0xfff8806f,0x9fff302f,0x9807fff9,0x3ff64fff,
    0xf00fffad,0x1fff95ff,0x3fea0000,0x17ffdc6f,0x1bff6000,0x3fffa000,
    0x7fff4006,0x5fffa801,0x6fffa800,0x3fe07bfa,0xff8803ff,0x7cc0007f,
    0x400006ff,0x403ffffa,0x2606fffd,0xfff8cfff,0x27ffcc07,0xfff19ffb,
    0x32fff507,0x00000fff,0xfa85fffd,0x740002ff,0x5c0006ff,0x4001ffff,
    0xa801fffe,0xa8005fff,0x80aa6fff,0x8803ffff,0x40007fff,0x0006fff9,
    0x07fffe80,0x807fffe6,0xffb4fff9,0x7ffcc07f,0x7ed3ff64,0x74ffd86f,
    0x00001fff,0xf50dfff5,0xe80007ff,0x260005ff,0x8004ffff,0xa801fffe,
    0xa8005fff,0x3e006fff,0xf8803fff,0x4c0007ff,0x00006fff,0x03ffff98,
    0x980bfffb,0xfff54fff,0x27ffcc0d,0x3fea9ffd,0x47ffe21f,0x0001fffb,
    0x982fffe8,0x33103fff,0x02fffc01,0x0dfffd00,0x07fffa00,0x017ffea0,
    0x01bffea0,0x803ffff8,0x0007fff8,0x0037ffcc,0xffffd800,0x07fffcc0,
    0xe93ffe60,0xff302fff,0x8a7ff49f,0x3fee4fff,0x007ffee6,0x0dfff500,
    0x5c13ffe2,0x3ffe06ff,0xfff70004,0x3fa0003f,0xffa801ff,0xffa8005f,
    0x3ffe006f,0xfff8803f,0x7fcc0007,0x3000006f,0xfe89ffff,0xff9804ff,
    0x1bffee4f,0xff27ffcc,0xd37fec9f,0x7ffd47ff,0x7ff40001,0x9fff103f,
    0x407fffa0,0x88004fff,0x0004ffff,0x2007fffa,0x8005fffa,0x2006fffa,
    0x8803ffff,0x40007fff,0x0006fff9,0x3ffff200,0x01ffff30,0xf89fff30,
    0xff981fff,0x993ffe4f,0xfff89fff,0x00bffea0,0x07fffa80,0x7c42fffc,
    0xff884fff,0xffe8003f,0x7f40006f,0xffa801ff,0xccccccef,0xfdcccccc,
    0x3fe006ff,0xff8803ff,0x999999ff,0x20999999,0xcccffff9,0xcccccccc,
    0xfff1002c,0x0ffffa9f,0x227ffcc0,0xf985fffb,0x13ffe4ff,0xbff79fff,
    0x002fffa8,0x00ffffa0,0xff70bfff,0xfff10dff,0xfffb8007,0x7f40001f,
    0xffa801ff,0xffffffff,0xffffffff,0x3fe006ff,0xff8803ff,0xffffffff,
    0x22ffffff,0xfffffff9,0xffffffff,0x3fee004f,0x06fffaff,0x113ffe60,
    0xf983ffff,0x7fff14ff,0xffefffc8,0x017ffd42,0x0ffff980,0x7437ff40,
    0x4c1fffff,0x22002fff,0x0004ffff,0x801fffe8,0xfffffffa,0xffffffff,
    0x006fffff,0x200ffffe,0xfffffff8,0xffffffff,0x3fffe62f,0xffffffff,
    0x4004ffff,0xfffffffe,0x3ffe6002,0x45fffc84,0xff14fff9,0xffff987f,
    0x3fff987f,0x9fffb000,0x88dffd00,0x44ffffff,0x2001fff9,0x0006fffd,
    0x003fffd0,0xfffffff5,0xffffffff,0x00dfffff,0x401ffffc,0xfffffff8,
    0xffffffff,0x3fffe62f,0xeeeeeeee,0x4003eeee,0x5ffffffa,0x27ffcc00,
    0x307fffc4,0x3fe29fff,0xffffe83f,0x03fff984,0x0ffff980,0x5c6ffd80,
    0x47ffddff,0x7001fff9,0x0003ffff,0x007fffa0,0x0017ffea,0x801bffea,
    0x8803ffff,0xaaabffff,0xaaaaaaaa,0x01bffe60,0x7ff40000,0x4c001fff,
    0xffb04fff,0xa7ffcc9f,0xfb83fff9,0xff981fff,0xffd8004f,0xfffb004f,
    0xffabffd8,0x03ffea1f,0x13fffe20,0xfffe8000,0x5fffa801,0x6fffa800,
    0x0ffffe00,0x01fffe20,0x0dfff300,0x3e600000,0x98004fff,0xff304fff,
    0x3ffe61ff,0x107fff34,0x3e60dfff,0x7cc004ff,0xf9000fff,0x47ffc4ff,
    0x3ea4fff8,0xffd800ff,0x7400006f,0xfa801fff,0xfa8005ff,0x3fe006ff,
    0xff8803ff,0x7cc0007f,0x000006ff,0x007fffa0,0x813ffe60,0xff33fffd,
    0x0bffea9f,0xf981ffec,0x7ec004ff,0x3f2004ff,0x4dff70ff,0x3fee7ffe,
    0xffffb807,0x7f400001,0xffa801ff,0xffa8005f,0x3ffe006f,0xfff8803f,
    0x7fcc0007,0x0000006f,0x0007fffa,0x9813ffe6,0xfff37fff,0x00bffea9,
    0x05fff880,0x03fffe60,0xb0fffb80,0x7ffdc7ff,0x880fff72,0x0004ffff,
    0x01fffe80,0x005fffa8,0x006fffa8,0x200ffffe,0x0007fff8,0x0037ffcc,
    0xfffd0000,0xfff30003,0xafffe809,0xff74fff9,0x7c40005f,0x3f6005ff,
    0x7d4005ff,0x1fff89ff,0x7e57ffe2,0x7ffec07f,0xfd000006,0xff5003ff,
    0xff5000bf,0x7ffc00df,0xfff8803f,0x7fcc0007,0x0000006f,0x0007fffa,
    0x5013ffe6,0xfff3dfff,0x00bffee9,0x05fff880,0x03ffff30,0xaafffa80,
    0xfffd86ff,0x2a06ffc8,0x0001ffff,0x03fffd00,0x00bfff50,0x00dfff50,
    0x401ffffc,0x0007fff8,0x0037ffcc,0xfffd0000,0xfff30003,0x7fffd009,
    0x3fee9fff,0x3e20002f,0xffb006ff,0xff3000bf,0x509ffb5f,0xdff95fff,
    0x13fffe20,0xffe80000,0xfffa801f,0xfffa8005,0x3fffe006,0x7fff8803,
    0x7ffcc000,0x20000006,0x8001fffe,0xa804fff9,0x4fffffff,0x0003fff9,
    0x9806fff8,0x8001ffff,0xfffbfff9,0xcdfff881,0xfffb05ff,0xe800000d,
    0xfa801fff,0xfa8005ff,0x3fe006ff,0xff8803ff,0x7cc0007f,0x000006ff,
    0x007fffa0,0x013ffe60,0x7ffffffc,0x003fff94,0x806fff80,0x0005fffd,
    0xdffdfff1,0x7f7ffec0,0xffffa84f,0x74000001,0xfa801fff,0xfa8005ff,
    0x3fe006ff,0xff8803ff,0x7cc0007f,0x000006ff,0x007fffa0,0x013ffe60,
    0x7fffffdc,0x003fffb4,0x407fff80,0x001ffff9,0xffffff10,0x7fffd409,
    0x7ffc44ff,0xeeeeeeff,0xeeeeeeee,0x9999994e,0x99bffff9,0x3ea39999,
    0xfa8005ff,0x3bbb66ff,0xffffeeee,0x1eeeeeee,0x000ffff1,0xccffff98,
    0xcccccccc,0xe8000ccc,0x98001fff,0xf1004fff,0x369fffff,0x40001fff,
    0x7ec07fff,0x7c0006ff,0x401fffff,0x43ffffff,0xfffffffa,0xffffffff,
    0xff5fffff,0xffffffff,0xffffffff,0x017ffea5,0xe9bffea0,0xffffffff,
    0xffffffff,0xffff12ff,0xfff98000,0xffffffff,0x00ffffff,0x01fffe80,
    0x04fff980,0x3fffff20,0x003fffb4,0x207fff80,0x002ffff9,0x37ffffc0,
    0x7ffffec0,0x7ffffd43,0xffffffff,0x5fffffff,0xffffffff,0xffffffff,
    0x3ffea5ff,0xfffa8005,0x3fffffa6,0xffffffff,0xf12fffff,0x98000fff,
    0xffffffff,0xffffffff,0xffe8000f,0xff98001f,0x3fe2004f,0xfffd4fff,
    0xffe80001,0xdfffb00f,0xfffd0000,0xfff5009f,0xfffa85ff,0xffffffff,
    0xffffffff,0xffffff5f,0xffffffff,0x3ea5ffff,0xfa8005ff,0x3fffa6ff,
    0xffffffff,0x2fffffff,0x000ffff1,0xffffff98,0xffffffff,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6664c000,0x1abccccc,0x665c0000,0x01999302,0x33333322,
    0x01aacccc,0x3332a000,0x64c000cc,0x322003cc,0x33223ccc,0xbccccccc,
    0x8000009a,0x04ccccc8,0x00166654,0x0000d880,0x015c0000,0x3fbb72a2,
    0x7dc02cde,0xffffffff,0x001defff,0xa827ff40,0x3fe607ff,0xffffffff,
    0x000befff,0x7fffffc0,0x7ffd4003,0x3fffa006,0x3fffe60f,0xffffffff,
    0x200002df,0x07fffffc,0x002fffdc,0x00f7f440,0xfd800000,0xfffeb82f,
    0xffffffff,0xffff702e,0xffffffff,0x40009fff,0xff703fff,0x7fffcc0f,
    0xffffffff,0x0002ffff,0xdffffff3,0x6fffa800,0x3ffff900,0xffffff98,
    0xffffffff,0x4c0002ef,0x07ffffff,0x002fffdc,0x17ffff40,0xd1000000,
    0xfe83ffff,0xffffffff,0xb83fffff,0xeeeeffff,0xffffffff,0xfff8002e,
    0x40dff902,0xeeeffff9,0xfffffffe,0xfc8001ff,0x00ffffff,0x01bffea0,
    0x20bfffea,0xeeeffff9,0xffffffee,0x3a0001ff,0x07ffffff,0x002fffdc,
    0x7ffff4c0,0x98000003,0xe83ffffe,0xccdeffff,0x1fffffed,0x982fffdc,
    0xffffffba,0x3ffe2002,0x40bffb01,0x2606fff9,0x06ffffea,0xfeffff80,
    0x3ea003ff,0x7fcc06ff,0xfff304ff,0x7ff5440d,0xc8000fff,0x7fffefff,
    0x02fffdc0,0xfffe8800,0x2000005f,0x02fffffa,0xfb8017bd,0x7fdc6fff,
    0xffc8805f,0x3e6006ff,0x9ffd00ff,0x037ffcc0,0x01ffffd8,0x2f7ffe60,
    0x2a006fff,0x3a206fff,0x3e605fff,0xff7006ff,0xf9800dff,0x7fff9eff,
    0x02fffdc0,0x3fff2000,0x400000ef,0x01effffb,0xfff50002,0x2fffdc1f,
    0x7ffff500,0x81ffea00,0x3e603fff,0xff1006ff,0x7e4007ff,0xffff8aff,
    0xdfff5000,0x037ffec0,0x801bffe6,0x000ffffc,0x3e6bfffa,0x7fdc07ff,
    0xb800005f,0x001effff,0xbffffb00,0xfd000001,0x7ffdc3ff,0x7ffe4005,
    0x7ffb800f,0x980bffe0,0x36006fff,0x3e004fff,0xfffd0fff,0x3ffea007,
    0x1ffff906,0x06fff980,0x017fffc0,0xf34fffb8,0xffb80fff,0x5000005f,
    0x005fffff,0x7ffff440,0x36000004,0x3fee3fff,0x7fc4005f,0x777644ff,
    0xeeefffee,0xeefffeee,0xfff31eee,0x7ffec00d,0xbfff3003,0x802fffe4,
    0xfa86fffa,0xf9801fff,0x7ec006ff,0xff8803ff,0xffff30ff,0x05fffb80,
    0x3fa60000,0x98003fff,0x003ffffe,0x7ffe4000,0x017ffee3,0xb1bfff20,
    0xffffffff,0xffffffff,0x25ffffff,0x2006fff9,0x9001fffe,0x7fcc7fff,
    0xffa800ff,0x7fffc46f,0xdfff3002,0x5fffc800,0x22fffd80,0x5c07fff9,
    0x00005fff,0x7ffff440,0x3ffea004,0x000001ff,0x2e3fffc8,0x98005fff,
    0x7fec7fff,0xffffffff,0xffffffff,0xff32ffff,0x3fe200df,0x3ffe007f,
    0x1ffffc0f,0x237ffd40,0x2004fffe,0x4006fff9,0x5404fffc,0x7fcc5fff,
    0x7ffdc07f,0x90000005,0x801bffff,0x00effffb,0x6e5d4400,0xfffeeeee,
    0x17ffee3f,0x3fffe200,0x3e666620,0x99999cff,0x9999fffc,0x0dfff309,
    0x017fff60,0x6437ffcc,0xfa805fff,0x3fff66ff,0x7ffcc005,0x7ffec006,
    0x3fffe203,0x03fffcc0,0x0017ffee,0xfffb8000,0xfff901ef,0xc88000bf,
    0xffffffff,0x23ffffff,0x0005fffb,0xf803ffff,0xdff703ff,0x06fff980,
    0x07fffecc,0x83fffc80,0x400ffff9,0xff76fffa,0xf98001df,0x7fc006ff,
    0x3ff601ff,0x7fff982f,0x02fffdc0,0x3ea00000,0x3622ffff,0x0004ffff,
    0x7fffffdc,0xffffffff,0x3ffee3ff,0xffff0005,0x17ffc405,0x4c06ffc8,
    0xccccffff,0xeffffedc,0x3fffe000,0x05ffff01,0xf9efffa8,0x98000fff,
    0x2e006fff,0xf500ffff,0x3fe60bff,0x7ffdc07f,0x80000005,0x2a5ffffd,
    0x001fffff,0x3ffffea0,0x99999abd,0x3ee3fffc,0xfd0005ff,0x7fcc07ff,
    0x0bffb01f,0xffffff98,0xffffffff,0x7ffcc002,0x17fff606,0xffdfff50,
    0x260003ff,0xf3006fff,0x3a205fff,0xff300fff,0xfffb80ff,0x20000005,
    0x84ffffd8,0x02fffff9,0xdffff880,0x3fffc800,0x0017ffee,0x3027ffec,
    0x3fa01fff,0x7ffcc04f,0xffffffff,0x000cffff,0x5409fff9,0x2a00ffff,
    0xffffffff,0xfff30002,0xfffd980d,0x3fff205f,0x1fffe603,0x00bfff70,
    0x3fa20000,0x3a203fff,0x4003ffff,0x000ffffa,0x7dc7fff9,0xfd0005ff,
    0x7fd409ff,0x00fffe07,0xfffffff3,0xffffffff,0xfff005ff,0x7ffc403f,
    0x3ffea02f,0x00ffffde,0xcffff980,0xffeecccc,0xf300ffff,0xff980dff,
    0x7ffdc07f,0x98000005,0x801fffff,0x05ffffd8,0x013fff20,0x2e3fffc8,
    0xf0005fff,0x7dc07fff,0x0bffe07f,0x20dfff30,0xffffeb98,0x3ffe601f,
    0x5fffd807,0x23bffea0,0x8006fffe,0xfffffff9,0xffffffff,0x3fffa00c,
    0x3fffcc01,0x017ffee0,0xfff70000,0xfc8001df,0xe800efff,0x36003fff,
    0x3fee3fff,0xfff0005f,0x37fe405f,0x402fff88,0x5006fff9,0x640dffff,
    0xfa804fff,0xff500fff,0x3fffe6df,0x7ffcc005,0xffffffff,0x7dc01eff,
    0xff9803ff,0x7ffdc07f,0x32000005,0x000dffff,0x3dffff70,0x04fffd80,
    0x3ffffe98,0x0017ffee,0x647fffe6,0xfffecccc,0xffdccccc,0x20ccccdf,
    0x2006fff9,0xf02ffffb,0xf1005fff,0x3ea05fff,0x3ffee6ff,0x3fe6003f,
    0xdeffffff,0xff9801ac,0xfff3006f,0x5fffb80f,0xfd880000,0x80004fff,
    0x02fffffa,0x803ffff2,0x3ffffffb,0x0017ffee,0x7c3fffea,0xffffffff,
    0xffffffff,0x20ffffff,0x4006fff9,0xf984ffff,0xaaaabfff,0xfffaaaaa,
    0xdfff505f,0x01ffffd8,0x00dfff30,0x33fffa00,0xaaaaaaaa,0xaaffffba,
    0x3ffee2aa,0x74c00005,0x0003ffff,0x3ffffa60,0xdffff503,0x3ffae615,
    0x2e3fffff,0xd8005fff,0x3ffe5fff,0xffffffff,0xffffffff,0x3e60ffff,
    0x7ec006ff,0xfffc85ff,0xffffffff,0x7fffffff,0x88dfff50,0x800ffffe,
    0x0006fff9,0xfffffff0,0xffffffff,0xffffffff,0x17ffee1f,0xfffa8000,
    0x800002ff,0x05ffffd8,0xfffffffb,0xf3bfffff,0x7ffdc7ff,0x7ffcc005,
    0x2aaaaa3f,0xaaaacfff,0xaaafffda,0x37ffcc2a,0x13fff600,0x3ffffffe,
    0xffffffff,0xa82fffff,0xff986fff,0xff9806ff,0xff00006f,0xffffffff,
    0xffffffff,0x21ffffff,0x0005fffb,0x3dffff70,0xfc800000,0x7440efff,
    0xffffffff,0x7fff12ff,0x002fffdc,0x803ffffa,0xf902fff8,0xfff300df,
    0xfffe800d,0x7ffffcc3,0xffffffff,0x5fffffff,0x706fffa8,0x9809ffff,
    0x00006fff,0xffffffff,0xffffffff,0xffffffff,0x017ffee1,0x3ffff200,
    0x0000000d,0x03dffff7,0xdffffff7,0x1fffc419,0x400bfff7,0x403ffffb,
    0xfb01fff9,0xfff300bf,0x7ffc400d,0x6fffe41f,0xaaaaaaaa,0xfffcaaaa,
    0x06fffa87,0x80bffff6,0x0006fff9,0x33333330,0x53333333,0x3333ffff,
    0x02fffdc3,0x27ffd400,0x54000000,0x4c405fff,0xff70001a,0xffb100bf,
    0xff300dff,0x13ffa01f,0x01bffe60,0xf87fffe8,0x88002fff,0x7d42ffff,
    0x7ff406ff,0xfff301ff,0x0000000d,0x407fff98,0x0005fffb,0x00007f50,
    0x02f4c000,0xffb80000,0x3fee605f,0xa801ffff,0x3ffe07ff,0x6fff9803,
    0xffffea80,0x03fffcc2,0x89fffd00,0x4406fffa,0x980effff,0x00006fff,
    0x7ffcc000,0x2fffdc07,0x00010000,0x00100000,0x7fdc0000,0xfedcccef,
    0x0effffff,0x40fff700,0xf9802fff,0xcccccfff,0xfffffeec,0x05fffc83,
    0x1fffee00,0x500dfff5,0xf30bffff,0x00000dff,0x7fff9800,0x677ffdc0,
    0xcccccccc,0x00004ccc,0x00000000,0xfff70000,0xffffffff,0x001bffff,
    0xf8837fe4,0xff9802ff,0xffffffff,0x03ffffff,0x0005ffff,0x517fffcc,
    0x3200dfff,0x7cc3ffff,0x000006ff,0x3fffcc00,0x3ffffee0,0xffffffff,
    0x0000ffff,0x00000000,0xffb80000,0xffffffff,0x8001cfff,0xff305ffd,
    0xfff3003f,0xffffffff,0x26019fff,0x0000ffff,0xf527fff4,0x7f400dff,
    0x3fe61fff,0x0000006f,0x03fffcc0,0x3fffffee,0xffffffff,0x00000fff,
    0x00000000,0xfffb8000,0xcceeffff,0x7fec0002,0x01fff504,0xffffff30,
    0x0599ddff,0x00bfff90,0x4ffff900,0x2006fffa,0x30fffff8,0x0000dfff,
    0xfff98000,0x7fffdc07,0xffffffff,0x000fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x359bdb75,0xcb988000,0x000bcdee,0x337f72a6,
    0x9530001a,0x79bddfdb,0x03ccc883,0x44b33260,0xca881ccc,0x9100bcee,
    0xedb88399,0x99702cdf,0x41f7ecc1,0x0004eed8,0x99930000,0x32e00019,
    0x0f3322cc,0x33326000,0xffffc801,0x00dfffff,0x7fffec40,0x06ffffff,
    0x7fffff4c,0x000dffff,0xffffffb1,0x98dfffff,0x2a006fff,0xfff34fff,
    0xfffffc87,0xff981eff,0x3fffea2f,0x740dffff,0xffff71ff,0x7fffd49f,
    0xfe8000ef,0x3e2001ff,0x88004fff,0x3fe1ffff,0xfc80007f,0x3fa202ff,
    0xffffffff,0xf7001eff,0xffffffff,0x7dc0ffff,0xffffffff,0x5403ffff,
    0xffffffff,0x4c6fffff,0x2a006fff,0xfff34fff,0x3ffff627,0x41ffffff,
    0xffb3fff9,0xffffffff,0xf99ffe8d,0x88ffffff,0x3fffffff,0x1fffe800,
    0x37ffe400,0x37ffdc00,0x0003fffa,0x203fffb0,0xbdfffff9,0xfffffdca,
    0x3fffa201,0xfedcefff,0xfffb07ff,0xffb9bdff,0x2607ffff,0xbcdfffff,
    0x46ffdcca,0x2006fff9,0xff34fffa,0xdfffd17f,0xbffffd9b,0xfdbfff98,
    0xffdcdfff,0x3ffa3fff,0xffdbffea,0xfccffd9f,0xfe8006ff,0x7cc001ff,
    0x74001fff,0x7fec3fff,0x7f40001f,0xfffd00ff,0x3ffa601b,0x3fff206f,
    0x1f2602ff,0x037fffea,0x07ffffd4,0x006ffff4,0x3ffe60c4,0x3ffea006,
    0xfdbfff34,0xfff705ff,0x7fffcc3f,0x7440cfff,0x3ffa7fff,0x3ffe1ffd,
    0x3ff63ffc,0xfffe8007,0xfffe8001,0x3ffe6004,0x17ffe40f,0x1fffe000,
    0x402fffd4,0x982ffff8,0x000dffff,0x09ffff10,0x8bfffd30,0x0007fff8,
    0x0037ffcc,0x3e69fff5,0x00efffff,0xf993fff6,0x203fffff,0xfd1ffff8,
    0xffd89fff,0x7ffe46ff,0x7fff4000,0xfffb8001,0x3fff2007,0x03fffa85,
    0x837ffc00,0x7001fffe,0xffd0dfff,0xfc8000df,0x3ea005ff,0x3fea1fff,
    0x7cc0005f,0x3ea006ff,0xffff34ff,0xffa801df,0x3fffe65f,0xfffd803f,
    0x81ffffd2,0x5c1ffffd,0x74001fff,0x88001fff,0xf002ffff,0xff305fff,
    0x0f32609f,0x5c2fffc4,0x7c004fff,0x3fea0fff,0x220001ff,0x4002ffff,
    0x3e64fffe,0x4c0007ff,0x2a006fff,0xfff34fff,0xff3001df,0x7fffccdf,
    0x7fff9004,0x360ffffa,0xffb85fff,0x7ff4001f,0xffb0001f,0xfff500bf,
    0x17ffe20d,0xf983ffec,0xfffd83ff,0x7fff4002,0x017fff21,0x0dfff300,
    0x8bfff700,0x000dffff,0x00dfff30,0xf9a7ffd4,0xf1001fff,0x7ffccfff,
    0x3ffee006,0x901fffd4,0xff703fff,0xffe8003f,0xff50001f,0xffd801ff,
    0x1bffe03f,0x5417fffc,0xffe82fff,0x7fec001f,0x0ffff62f,0x9fff5000,
    0xdfff3000,0xcfffffd8,0x7ffcc000,0x3ffea006,0x00dfff34,0x3e62aaa8,
    0x3ea006ff,0x0dffd4ff,0x7dc1fff2,0x7f4001ff,0x3a0001ff,0x3e203fff,
    0x3fa00fff,0xffffa87f,0x81fffb85,0xccccffff,0xcccccccc,0x3fe3fffe,
    0x5c0001ff,0x88003fff,0x7f447fff,0x0befffff,0x06fff980,0x4d3ffea0,
    0x00006fff,0x400dfff3,0xffd4fffa,0x41fff20d,0x3321fffb,0xfccccccc,
    0xccccdfff,0xf701cccc,0x7fdc0dff,0x7ffec05f,0x7ffffe40,0x207ffe40,
    0xfffffff8,0xffffffff,0xf14fffff,0x80001fff,0x0002fffd,0xd881ffff,
    0xffffffff,0xfff300ad,0x7ffd400d,0x00dfff34,0x1bffe600,0xd4fffa80,
    0x3ff20dff,0x43fff707,0xffffffff,0xffffffff,0x02ffffff,0x203ffff1,
    0x6402fffe,0x7ffc1fff,0x7fec2fff,0xfffff987,0xffffffff,0x4fffffff,
    0x000ffff3,0x005fffd0,0x403fffe0,0xffffffea,0xff982fff,0x3fea006f,
    0x0dfff34f,0x3ffe6000,0x3ffea006,0x320dffd4,0xfff707ff,0x7fffffc3,
    0xffffffff,0xffffffff,0x13fff602,0x201fffe6,0x3ea2fffa,0x745ffdef,
    0xfff886ff,0xcccccccf,0xcccccccc,0x1ffff12c,0xfffd8000,0xfff88003,
    0xffec9807,0x4c5fffff,0x2a006fff,0xfff34fff,0x3e60000d,0x3ea006ff,
    0x0dffd4ff,0x7dc1fff2,0x3fffe1ff,0xffffffff,0xffffffff,0x3fea02ff,
    0x4fffc87f,0x23fff980,0xfffacffc,0x7c17ffe0,0x00000fff,0x0007fffe,
    0x009fff70,0x00dfff30,0xfffffc98,0x1bffe63f,0x34fffa80,0x0000dfff,
    0x801bffe6,0xffd4fffa,0x41fff20d,0x4001fffb,0x0001fffe,0x742ffff8,
    0xf8801fff,0x27ffe4ff,0x3fe3fff8,0x3fffd04f,0x7ff40000,0x7d40002f,
    0xfa8005ff,0x2e0005ff,0x3e67ffff,0x3ea006ff,0xdfff34ff,0x3fe60000,
    0x3fea006f,0x20dffd4f,0xff707ffc,0xffe8003f,0xfc80001f,0x3ffe65ff,
    0x57ffe006,0x3ff66ff9,0x205fff16,0x0003fffd,0x017fff60,0x1ffff300,
    0x4fffd800,0x7ffd4000,0x0ffff11f,0x9a7ffec0,0x00006fff,0x400dfff3,
    0xffd4fffa,0x41fff20d,0x4001fffb,0x0001fffe,0xb0ffff88,0x74005fff,
    0x49ff96ff,0xff98fffa,0xffff701f,0x3ee00001,0x20001fff,0x003ffff8,
    0x007fffe2,0x8bfffe00,0xf9007fff,0x3fe69fff,0xf300006f,0x7d400dff,
    0x0dffd4ff,0x7dc1fff2,0x7f4001ff,0xb00001ff,0x3ffe5fff,0xbffec007,
    0x3fe21fff,0x00fffabf,0x009ffff1,0x3fffe200,0x7fe40006,0xffb000ff,
    0x3e00009f,0x3ffe1fff,0x7ffdc02f,0xdfff34ff,0x3fe60000,0x3fea006f,
    0x20dffd4f,0xff707ffc,0xffe8003f,0xf500001f,0x9fff5bff,0xafffc800,
    0xeffd86ff,0x7dc07ffb,0x0000cfff,0x2effffa8,0x7fc43880,0x7ec01eff,
    0x00040fff,0x363fffdc,0x3f206fff,0xf34fffff,0x20000dff,0x2006fff9,
    0xffd4fffa,0x41fff20d,0x4001fffb,0x0001fffe,0x3f7fffe0,0x7dc001ff,
    0xa84ffdff,0x06ffefff,0xbfffffe8,0x6e54c41a,0xfffffb02,0xb753357b,
    0xffff70ff,0xd751159f,0xfb07ffff,0x2213357b,0x3ffffda9,0x577fffd4,
    0xcfffea88,0xfff34fff,0x3e60000d,0x3ea006ff,0x0dffd4ff,0x7dc1fff2,
    0x7f4001ff,0x200001ff,0x6ffffffc,0xffff9800,0xfff881ff,0xe9805fff,
    0xffffffff,0x2fffffff,0xfffffd10,0xffffffff,0x3ffff20f,0xffffffff,
    0xfffb03ff,0xffffffff,0x3a0bffff,0xffffffff,0xfff8cfff,0x00dfff34,
    0x1bffe600,0xd4fffa80,0x3ff20dff,0x03fff707,0x01fffe80,0x3ffe6000,
    0x88003fff,0x207fffff,0x04fffffd,0x3fffff20,0xffffffff,0x7ffd402f,
    0xffffffff,0x3ffea07f,0xffffffff,0x3fff601e,0xffffffff,0x3a603fff,
    0xffffffff,0x4d3ffe3f,0x00006fff,0x400dfff3,0xffd4fffa,0x41fff20d,
    0x4001fffb,0x0001fffe,0x7fffff40,0xffff0000,0x7ffd409f,0x64c002ff,
    0xfffffffe,0x8800bdff,0xfffffedc,0x64401bef,0xdffffffe,0x7fedc00b,
    0xffffffff,0xff9000ce,0xf83bffff,0xdfff34ff,0x3fe60000,0x3fea006f,
    0x20dffd4f,0xff707ffc,0xccb8003f,0x5c00000c,0x0004ffff,0x007ffffa,
    0x003fffff,0x99aa9880,0x35300000,0xaa980003,0x26620000,0x0009aaaa,
    0x0026aa20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccb80000,0xcccccccc,0x44cccccc,0x001ccccb,0x00e66654,
    0x00009988,0x400055cc,0x2e004ccb,0xcccccccc,0xcccccccc,0x33310ccc,
    0x06666613,0x40266662,0x00199998,0x00565d44,0x40998800,0xcccccccb,
    0xb0cccccc,0xbbbbbbbb,0xbbbbbbbb,0xbbbbbbbb,0x3fa0003b,0xffffffff,
    0x7fffffff,0x077fffcc,0x5ffff880,0x01bfea00,0x1ffffc80,0x3fffe600,
    0xffffd002,0xffffffff,0x3fffffff,0x75bfffee,0x7ec0ffff,0xfd301fff,
    0x2e009fff,0x0cffffff,0x2a2aaa80,0x3f62ffff,0xffffffff,0xfff0ffff,
    0xffffffff,0xffffffff,0x5fffffff,0x3fffa000,0xffffffff,0xb87fffff,
    0xb004ffff,0x4001ffff,0x30005ffa,0x00ffffff,0x07fffff4,0x7fffff40,
    0xffffffff,0x51ffffff,0x3fabffff,0x7fec0fff,0x3f6201ff,0x7e404fff,
    0xefffffff,0x9afffc01,0xb1ffffff,0xffffffff,0x3e1fffff,0xffffffff,
    0xffffffff,0xffffffff,0xdd90002f,0xdddddddd,0x0fffffdd,0x00bffff6,
    0x005ffff7,0x0005ff98,0x7ffffff5,0xfffff500,0xdddb009f,0xdddddddd,
    0xdddddddd,0x57fffea3,0x6c0ffffd,0xb800ffff,0xf304ffff,0xffffffff,
    0x7ffc03ff,0xffffff94,0x3fffff69,0xffffffff,0x99999990,0x99999999,
    0x99999999,0x00003999,0x3fffea00,0xffffd102,0x3fffe201,0x7fcc0604,
    0xff980304,0xe804ffff,0x1fffcaff,0x30000000,0x3f69ffff,0xfffc87ff,
    0xffd3000f,0xdfffb09f,0xfffff715,0x27fff303,0x6ffffffe,0x11111111,
    0x00111111,0x00000000,0x3ffe2000,0x7ffcc04f,0xdfffd05f,0x22077c40,
    0x03fc84ff,0x37ffffec,0x7c5bfee0,0x000006ff,0x9ffff300,0x321ffff6,
    0x2000ffff,0x224fffd8,0xff986fff,0x3faa3fff,0xffffb1ff,0x00000bff,
    0x00000000,0xfffd0000,0x3ffee00d,0x7fffdc2f,0x8ffff600,0x3fa63ff8,
    0x3fe200ff,0x3e206fff,0x3ffea2ff,0x80000002,0xf94ffff8,0xfff70dff,
    0x332e000f,0x07fff31c,0x3fffffe6,0x265ffffe,0x01ffffff,0x00000000,
    0x40000000,0x000ffffc,0x443ffff6,0x5c02ffff,0xff0effff,0x3bffff25,
    0x7fffdc01,0x217ff204,0x0000fffe,0x7ffc4000,0x0dfff93f,0x000ffff7,
    0x02fffa80,0x3fffffa2,0x7dc1ffff,0x00003fff,0x00000000,0x7fd40000,
    0x7c4001ff,0xfffd5fff,0x3ff22009,0xfecffbff,0xf5002eff,0x3e607fff,
    0xfff981ff,0x55555504,0x55555555,0x41555555,0xff73ffff,0xdfff50bf,
    0xcc980000,0x7fec401c,0x101effff,0x00000155,0x00000000,0xfff98000,
    0xff30003f,0x0dfffdff,0xffff9100,0x005dffff,0x01ffffa8,0x7ec0bffb,
    0xfffe81ff,0xffffffff,0xffffffff,0x5cbfffe1,0xffa85fff,0x0000006f,
    0x7bdd9300,0x00000001,0x00000000,0xffd10000,0xfb8000bf,0x00ffffff,
    0x3fff2200,0xfb0001ef,0x3fea0bff,0x3ffe200f,0xfffffe86,0xffffffff,
    0x21ffffff,0xff52fffe,0xbfff309f,0x00000000,0x00000000,0x00000000,
    0xffb00000,0xb00001df,0x005fffff,0xffffea80,0x7ec000cf,0xffd00fff,
    0x5fff7009,0xffffffe8,0xffffffff,0x361fffff,0xddd31eee,0x09ddd107,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0xf700001f,0x4000dfff,
    0xffffffeb,0x9880cfff,0x2fffffca,0x001fff70,0x0003fffa,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff300000,0x200007ff,0x5ffffff9,
    0x7fffdc00,0xffbaff8d,0x3fea0cff,0x102effff,0x54007fff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,0xf100004f,
    0x7fffffff,0x3ffffa00,0x7f44ffe2,0xfff51fff,0xffc809ff,0x7ff4000f,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00dfffd0,
    0x77ffec00,0x801ffffb,0x3e20dffb,0x537fdc3f,0x500157bd,0x51000355,
    0x00000355,0x00000000,0x00000000,0x00000000,0x00000000,0x1ffff900,
    0x3ff20000,0xffffb0ff,0x982e8801,0x01e884ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x0002ffff,0x47ffff50,
    0x006ffff8,0x0013fe60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x0004ffff,0x0bffff10,0x009ffff5,0x0017fea0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8000000,
    0x00005fff,0x403ffffa,0x002ffffc,0x0005ffa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfb000000,0x55557fff,0x55555555,
    0x5ffff905,0x7ffff440,0x27754001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffc4,0xffffffff,0x7d46ffff,
    0xf9804fff,0x0000efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffe20,0xffffffff,0x266fffff,0x000effff,
    0x00bffff7,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffc400,0xffffffff,0x16ffffff,0x003ffffd,0x03ffffe8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_48_usascii_x[95]={ 0,10,6,1,2,0,1,10,7,6,3,1,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,4,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,3,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1, };
static signed short stb__consolas_48_usascii_y[95]={ 35,1,1,4,-1,1,2,1,0,0,1,10,27,20,
27,1,3,4,3,3,4,4,4,4,3,3,11,11,9,16,9,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,41,1,11,1,11,1,11,1,11,1,1,
1,1,1,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17, };
static unsigned short stb__consolas_48_usascii_w[95]={ 0,7,15,25,22,26,26,6,14,14,20,24,12,15,
8,21,23,21,21,21,25,19,22,22,22,22,8,13,19,21,20,15,27,27,21,22,23,19,19,23,22,19,17,22,
19,25,22,25,21,26,22,22,23,22,27,25,26,27,22,12,21,13,22,27,16,20,21,20,21,22,25,23,20,19,
18,21,19,23,20,23,21,21,21,19,22,20,24,26,24,24,20,19,5,18,24, };
static unsigned short stb__consolas_48_usascii_h[95]={ 0,35,12,31,42,35,34,12,45,45,21,24,17,5,
9,40,33,31,32,33,31,32,32,31,33,32,25,33,27,13,27,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,44,40,44,16,4,11,25,35,25,35,25,34,34,34,34,
44,34,34,24,24,25,34,34,24,25,33,25,24,24,24,34,24,44,49,44,10, };
static unsigned short stb__consolas_48_usascii_s[95]={ 252,244,133,25,150,1,88,126,7,22,47,
177,68,200,191,200,165,193,24,120,146,69,89,78,213,46,247,236,213,104,192,
72,109,73,51,142,1,235,215,189,170,150,112,101,172,52,29,94,124,173,208,
1,231,130,153,101,181,1,127,137,222,95,81,216,149,233,50,24,28,1,1,
223,202,182,76,135,115,153,132,45,49,27,110,69,71,89,202,227,22,157,1,
37,1,57,166, };
static unsigned short stb__consolas_48_usascii_t[95]={ 1,1,246,188,1,51,51,246,1,1,246,
220,246,246,246,1,87,156,122,87,188,122,122,156,87,122,51,87,188,246,188,
51,1,188,188,87,188,156,156,87,156,156,122,188,188,156,156,87,188,1,122,
122,122,122,122,156,122,156,156,1,1,1,246,246,246,188,51,220,51,220,87,
51,51,51,1,51,51,220,220,220,87,87,220,220,87,220,220,220,246,51,246,
1,1,1,246, };
static unsigned short stb__consolas_48_usascii_a[95]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_48_usascii_BITMAP_HEIGHT or STB_FONT_consolas_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_48_usascii(stb_fontchar font[STB_FONT_consolas_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_48_usascii_BITMAP_HEIGHT][STB_FONT_consolas_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_48_usascii_s[i] + stb__consolas_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_48_usascii_t[i] + stb__consolas_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_48_usascii_x[i];
            font[i].y0 = stb__consolas_48_usascii_y[i];
            font[i].x1 = stb__consolas_48_usascii_x[i] + stb__consolas_48_usascii_w[i];
            font[i].y1 = stb__consolas_48_usascii_y[i] + stb__consolas_48_usascii_h[i];
            font[i].advance_int = (stb__consolas_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_48_usascii_s[i] + stb__consolas_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_48_usascii_t[i] + stb__consolas_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_48_usascii_x[i] + stb__consolas_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_48_usascii_y[i] + stb__consolas_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_48_usascii_LINE_SPACING
#endif

