// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_49_usascii_BITMAP_HEIGHT        280
#define STB_FONT_consolas_49_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_49_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_49_usascii_NUM_CHARS             95

#define STB_FONT_consolas_49_usascii_LINE_SPACING          32

static unsigned int stb__consolas_49_usascii_pixels[]={
    0x02813331,0x00140000,0x26000000,0x0001ccba,0x79950000,0x65c00035,
    0xcccccccc,0x6666644c,0x02cccccc,0x007ddb00,0x55e5cc00,0x80000000,
    0x776c5eed,0xb8000005,0x17ea3fff,0x17ec0000,0x5dfd3000,0x3ffee000,
    0x98003fff,0x1deffecb,0xfffffb80,0xffd8002f,0xffffffff,0x3ffffe27,
    0x04ffffff,0x007fff00,0xffffea80,0x000defff,0xfffa8000,0x017ffe44,
    0x3fee0000,0x09fff53f,0xfffc8000,0xfff98002,0x3a2002ff,0x3fffffff,
    0x7fffe400,0x00efffff,0x3fffffee,0x3f6000ef,0xffffffff,0x3fffe27f,
    0x4fffffff,0x2fff8800,0x3fff2000,0xffffffff,0x4000001f,0x7cc0fffe,
    0x000005ff,0xf99fffdc,0x00004fff,0x003ffff7,0xbfffff90,0x7ffff400,
    0x3002eeff,0xfdfffffd,0x201dffff,0xfffffeea,0x3ff6005f,0xeeeeeeef,
    0x3bbbba26,0x04fffeee,0x01fff980,0xffffe880,0xffffffff,0x000003ff,
    0x360bfff3,0x00000fff,0xa8fffee0,0x0003ffff,0x00ffffdc,0xfffffc80,
    0xffff5005,0xff70001b,0x2a2159ff,0x800efffd,0x02ffffd8,0x003fffb0,
    0x13ffea00,0x03ffee00,0xfffff100,0xfd95159d,0x0007ffff,0x05fff900,
    0x0013ffea,0x3fffb800,0x017fffe4,0x2ffffa80,0x3ffea000,0xffd003ff,
    0x3e60009f,0x7d401fff,0x3f6006ff,0xffb006ff,0x2a00003f,0x5c404fff,
    0xffffffec,0x7e402cef,0x7dc04fff,0x0000ffff,0x01bffe20,0x0001fffd,
    0x0fffee00,0x003ffff6,0x09ffff10,0xbfff9000,0x3fffe200,0xfff88000,
    0xfff9000e,0x3ffe2005,0x3fffb007,0x3fea0000,0xfff9104f,0xffffffff,
    0x7fc40dff,0xff9004ff,0x400007ff,0x5c03fffb,0x00003fff,0x207fff70,
    0x4005fffe,0x0005fffd,0x98006a60,0xd0005fff,0xd8001fff,0x3fa005ff,
    0xffd800ff,0xf500001f,0xfff509ff,0xffffffff,0x640dffff,0x6c005fff,
    0x00007fff,0x1003fffa,0x0000dfff,0x40fffee0,0x002ffff9,0x001ffff5,
    0xfa800000,0xfb8004ff,0xfa8002ff,0xffb000ff,0xfffb003f,0x3ea00003,
    0x7ffcc4ff,0xfffbceff,0x306feccd,0x8005ffff,0x003ffff9,0x04fffa80,
    0x003fffb0,0x7fff7000,0x037ffe40,0x003fffe8,0xfa800000,0xff8003ff,
    0x3fe0005f,0xfff9003f,0x3fffb005,0x3fea0000,0x3fffa24f,0x417ffc2e,
    0x0ffff901,0x1bfffa00,0x3fff6000,0xbfff3001,0xff700000,0x7ffc407f,
    0x7ffdc04f,0x00000006,0x007fff50,0x000fffb8,0x401bff60,0xd802fffc,
    0x00001fff,0x7dc9fff5,0x7fcc0fff,0x3ffa001f,0xff90004f,0xf88000ff,
    0x7f4006ff,0x400000ff,0x5c03fffb,0xf100ffff,0xfd005fff,0xffffffff,
    0x01ffffff,0x007fff50,0x0004ffe8,0xc803ffdc,0xfd802fff,0x500001ff,
    0x7fec9fff,0x0fffa84f,0x3ffff100,0x3ffe6000,0x3f20000f,0x7d4002ff,
    0x400003ff,0xe803fffb,0xff703fff,0x3ffa00bf,0xffffffff,0x800fffff,
    0x2003fffa,0x0001fffa,0x003ffe61,0x200bfff2,0x0001fffd,0x7c9fff50,
    0xffb82fff,0x3ffea007,0xff10000f,0x7c0003ff,0xff0007ff,0xb80000ff,
    0xfb803fff,0xfffd06ff,0x3fffa005,0xffffffff,0xa800ffff,0x36003fff,
    0xfd9106ff,0x227fb7df,0xfc800fff,0xffd802ff,0xf500001f,0x7fffc9ff,
    0x006ffc85,0x001fffea,0x005ffff0,0x00fffea0,0x017ffe40,0x7fff7000,
    0x1ffff300,0x00ffff98,0x55555550,0xfff75555,0xfff5001f,0x1fffc007,
    0x7fffffcc,0x3ffe2fff,0x2fffc801,0x01fffd80,0x9fff5000,0x207fffec,
    0x2e005ffd,0x40007fff,0x0003ffff,0x0001fffd,0x001bffe2,0x03fffb80,
    0xb87fffd0,0x00005fff,0x01ffff10,0x005fff70,0xf303ffe6,0xffffffff,
    0x017ffc1f,0x401fffdc,0x0001fffd,0x5c9fff50,0x3a0dffff,0x3ee004ff,
    0x740006ff,0x98004fff,0x40005fff,0x0001fffd,0x007fff70,0xfd1bfff2,
    0x000005ff,0x003fffe2,0x4007fff2,0xffe87ffb,0x8ffff32f,0xfa803ffe,
    0xffd804ff,0xf500001f,0x7ffc49ff,0x7fff3fff,0x37ffe400,0x3fffa000,
    0xfffd8004,0x7fd40001,0xf700004f,0x3e6007ff,0xfff10fff,0x2000001f,
    0x400ffff8,0x000ffff8,0xffb8bffb,0x237ff42f,0xf8803ffe,0x7ec00fff,
    0x500001ff,0xffa89fff,0xfffeffff,0x3fff2002,0x7ff40006,0x7fc4003f,
    0xfd00006f,0x700001ff,0x7c007fff,0xfff51fff,0x4400000f,0x2200ffff,
    0x2004fffd,0x7ff43fff,0x6c5fff86,0xffb004ff,0x7fec03bf,0xf500001f,
    0xfff709ff,0x05ffffff,0x03fffdc0,0x0bfffe00,0x07fff700,0x3ffee000,
    0xffb80003,0x3ffe003f,0x0dfff52f,0x7fc40000,0x372ea0ff,0x000effff,
    0x7cc3fff1,0x7ffc43ff,0x801fff44,0xcdffffe8,0x07fff62b,0x7ffd4000,
    0xffffb104,0x005bffff,0x000ffff5,0x00ffffc4,0x003fffa0,0x37ffc400,
    0x7ffdc000,0x3fffa003,0x00bfff73,0x7ffc4000,0xfffff10f,0xfa8009df,
    0x3ffee0ff,0x217ffd41,0x22002ffe,0xfffffffc,0x003fffb0,0x13ffea00,
    0xfffffb30,0x4c03dfff,0x0000ffff,0x001ffff1,0x0027ffd4,0x0bfff200,
    0x7fff7000,0xa7ffec00,0x0004fffc,0x3fffe200,0xdfffff10,0xffa80017,
    0x5c3ffec7,0x7ffc1fff,0x7fdc4002,0xffb0ffff,0x2a00003f,0xd1004fff,
    0xffffffff,0xffff101b,0x3fea0003,0x7fec007f,0x4c00000f,0x40005fff,
    0x2003fffb,0xffb5fffc,0x4000007f,0xd10ffff8,0x7fffffff,0x23ffdc00,
    0xffc86fff,0x00fffc0f,0xffffff50,0x3fff61df,0xff500001,0x7ff4009f,
    0x6fffffff,0x009ffff0,0x01bfff60,0x005fff98,0x1fffd000,0x7ffdc000,
    0x3ffee003,0x007fffb5,0x7ffc4000,0xffd9880f,0xff7003ff,0x42fffc4d,
    0xfff87ffd,0xffff5001,0x3fff6037,0xff500001,0x7ffc009f,0xfffffc9b,
    0x07fffd85,0x3ffff880,0x0bfff200,0x7fd40000,0x3ee0004f,0x3f2003ff,
    0x9fffb4ff,0x7c400000,0x7dc00fff,0xff9006ff,0x427ffc4b,0x7fcc6ffe,
    0xfffd000f,0x1fffd803,0xfff50000,0x17ffc009,0x85ffffd3,0x001ffffa,
    0x003fffdc,0x000dfff1,0x07fff800,0x0fffee00,0x93fffd80,0x0000bfff,
    0x07fffc40,0x00ffff40,0xff32ffe4,0x89fff07f,0xf3007ffa,0xffb00bff,
    0x2a00003f,0xf3004fff,0xfff983ff,0x5ffff84f,0x3fffa200,0x3ffee004,
    0x5c000003,0x70002fff,0x74007fff,0xfff72fff,0x4400000b,0xc800ffff,
    0xfd802fff,0x13ffe64f,0xfc87fff3,0xfff5004f,0x3fffb007,0x3fea0000,
    0xfff5004f,0x0dfff901,0x00bffff9,0x01ffffd1,0x007fff40,0x3fe20000,
    0xff70006f,0x7ffc007f,0x0dfff52f,0x7fc40000,0xffb800ff,0x5ffd803f,
    0xf713ffe2,0x2ffe87ff,0x05fff700,0x003fffb0,0x13ffea00,0xb83ffdc0,
    0xff887fff,0xd100cfff,0x4009ffff,0x0004fff9,0x3fffb000,0x7fff7000,
    0x8ffffc00,0x0007fff9,0x3fffe200,0x3fffa800,0x225ffc80,0x3fe25fff,
    0x1ffe63ff,0x02fffc80,0x001fffd8,0x09fff500,0x641bff20,0xff305fff,
    0x959dffff,0x09fffffd,0x01fffd80,0xff300000,0xff7000bf,0x3fea007f,
    0x3fffe26f,0xf1000002,0xf5001fff,0xff7007ff,0xb0efff8d,0x7ec9ffff,
    0x3ff2005f,0xfffd802f,0xff500001,0x3ff6009f,0x07fffd05,0x7fffffd4,
    0xffffffff,0x7ffc4004,0x40000006,0x4000fffe,0x9003fffb,0xffd89fff,
    0x1000004f,0x5001ffff,0xf5007fff,0xefffc8ff,0xdfffaffe,0x2000fffe,
    0xd802fffc,0x00001fff,0x2009fff5,0xffd84ffe,0x7fd401ff,0xffffffff,
    0xfc8003ff,0x000002ff,0x01fffdc0,0x00fffee0,0x2a0ffffc,0x00007fff,
    0x01ffff10,0x007fff50,0xff98fff5,0xffb4ffff,0x8003ffff,0xd802fffc,
    0x00001fff,0x3aa9fff5,0x9fffc09b,0x5ffffea8,0x3fff6a00,0x000adfff,
    0x000ffff0,0x3ffe0000,0x7ffdc006,0x7fffa803,0x02ffff88,0xfff88000,
    0xfffa800f,0x0fff9803,0x32ffffd4,0x005dfffd,0x005fff90,0x0003fffb,
    0x553ffea0,0xfeefffff,0xfffffeff,0xd10006ff,0x80005fff,0x0004fffa,
    0xfff90000,0x7ffdc005,0x4fffc803,0x009fffb0,0xffff1000,0x7fff5001,
    0x03fff100,0x2a201551,0x3ff20000,0xfffd802f,0xff500001,0x3fffea9f,
    0xffffffff,0x00dfffff,0x17ffee00,0x1fffd000,0x20000000,0x2005fff8,
    0x4403fffb,0xf501ffff,0x00001fff,0x00ffff88,0x003fffa8,0x00009fff,
    0x7ffe4000,0x1fffd802,0xfff50000,0x3ffffea9,0xffffffff,0x80001dff,
    0x001ffff9,0x00bfff30,0xfd800000,0xff7001ff,0xfffd807f,0x2ffff404,
    0x3fe60000,0xfff5007f,0x1fff6007,0xc8000000,0xfd802fff,0x500001ff,
    0x5cc49fff,0xeffffedc,0x00000abd,0x017fffe2,0x3fff9035,0x80000000,
    0x7004fffa,0x7d407fff,0x7cc00fff,0x00002fff,0x4017ffea,0x3004fffa,
    0x00005fff,0x3fff2000,0x1fffd801,0xfff50000,0x0dff9009,0xff700000,
    0x53135dff,0xfff88dfd,0x00000006,0x001fffd0,0x7407fff7,0xfb003fff,
    0x40000dff,0x3004fffb,0x7400bfff,0x000005ff,0x01fffb00,0x003fffb0,
    0x13ffea00,0x0017ffa0,0x7fff4000,0xffffffff,0x0fffee3f,0x40000000,
    0xb803fffb,0xff703fff,0x7fc400df,0xd00003ff,0x22007fff,0x2e007fff,
    0x00001fff,0x07fff800,0x003fffb0,0x13ffea00,0x000fffe0,0x7ff44000,
    0xffffffff,0x03fffa3f,0x40000000,0xb806fff8,0xff983fff,0x7dc002ff,
    0x40001fff,0x000ffffb,0x4013fffe,0x001ffff8,0x3ff20000,0xfffb006f,
    0x3ea00003,0x7fc404ff,0x0000002f,0x7fffffd4,0x4ccc0cff,0x00000000,
    0x400ccc40,0x7c43fffb,0xb0004fff,0xbe83ffff,0x7fffe401,0x7ffdc003,
    0xfff9004f,0x0726003f,0x3ffff200,0x3fffb003,0x3fea0000,0x7ffcc04f,
    0x00000001,0x01359753,0x00000000,0xff700000,0x7fff447f,0x3fa20005,
    0x3ffa0eff,0xffdcccdf,0xd0006fff,0x99bfffff,0x3ffff203,0xd75311bd,
    0xcca803ff,0x06fffffd,0x337fff60,0x644ccccc,0xfdcccccc,0x664c04ff,
    0x0000000c,0x00000000,0x00000000,0x363fffb8,0x80005fff,0x3a6fffe8,
    0xffffffff,0x000effff,0xffffff30,0x7fdc07ff,0xffffffff,0x5c01ffff,
    0xffffffff,0x3fff6001,0x7fffffff,0x3fffffe2,0x004fffff,0x00000000,
    0x00000000,0x80000000,0xff73fffb,0x200001df,0xfd3ffff9,0xffffffff,
    0x100007ff,0x7ffffff9,0xfffffa80,0x2dffffff,0xfffffb80,0xffd8004f,
    0xffffffff,0x3ffffe27,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0xd13fffb8,0x800001df,0x6dcc5ff9,0x0acdfffe,0x5d440000,0x51002eec,
    0x179bdfb9,0x5e775400,0xdd90000a,0xdddddddd,0x7777744d,0x03eeeeee,
    0x00000000,0x00000000,0x00000000,0x223fffb8,0x5000001d,0x0000000b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000fffee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffdc000,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x00007fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bbbaa00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x0000aaa9,0x00000010,0xdc800000,0x00001acc,0xdd100000,0x22000bdd,
    0x00288099,0x8800aa88,0x00005eee,0x00000000,0x02f77440,0xea800d4c,
    0xffffffff,0x07ffffff,0x05bfffb5,0x00eeec80,0xefffec98,0x7fec000c,
    0x801cffff,0x003ffff9,0x44ffff90,0x5006ffff,0xffffffb9,0x3e2ffd9b,
    0x7f6544ff,0x2204efff,0x00007fff,0x05dfd500,0x3e200000,0x3f6207ff,
    0x3fa605ff,0xffffffff,0x7fffffff,0x7ffffec4,0xff5005ff,0xffc8809f,
    0x3fffffff,0x3ffff600,0x400dffff,0x0006fffe,0xff89fffd,0x7f4406ff,
    0xffffffff,0xff17ffff,0x3fff629f,0x05ffffff,0x000ffff1,0xffff3000,
    0x0000003f,0x640ffff1,0x884fffff,0xdeffffff,0xffffffff,0x7ffec7ff,
    0x03ffffff,0x2037ffc4,0xffffffe8,0x004fffff,0xfffffffb,0x7d405fff,
    0x4c001fff,0x7fc1ffff,0x3fea06ff,0xffffffff,0xf17fffff,0x3fffabff,
    0xffffffff,0x3fffc40d,0x7e400000,0x0004ffff,0x7fff8800,0x3fffffe0,
    0x2ffffe87,0xcffffe98,0x3ffe62aa,0x1ffff70d,0x00fffe40,0x33bffff2,
    0x1fffffeb,0x3f6a6200,0x201fffff,0x4004ffff,0xff86fffc,0xfff706ff,
    0x531359ff,0x22fffffb,0xfffddfff,0xffeb99bf,0x7ffc43ff,0xd8000007,
    0x004fffff,0xfff88000,0xfffff107,0x7ffdc1ff,0x7fff400f,0x50fffb05,
    0x3e605fff,0x7fcc04ff,0xfff983ff,0x3660005f,0x901fffff,0xf800ffff,
    0xfff83fff,0xffff886f,0x7ffcc00d,0xffffff17,0x3ffa209f,0x3fffc46f,
    0x7dc00000,0x0002ffff,0x7fff8800,0x3fffffa0,0x01fffec6,0x407fffcc,
    0xff884ffe,0x1fffd03f,0x06fffb80,0x001ffff2,0x17ffff20,0x017fffcc,
    0x80ffffa8,0xfc85ffff,0xff1005ff,0x3fffe2ff,0x7fc403ff,0x3ffe22ff,
    0xb0000007,0x0000bfff,0x1fffe200,0x1fffffa8,0x8007fffc,0xff82fffe,
    0x09fff03f,0xb005fff9,0x7cc07fff,0x80000fff,0xd01ffffd,0x3200bfff,
    0xfff05fff,0xffff88bf,0xffff1000,0x0fffffe2,0x12fffec0,0x0000ffff,
    0x000d4c00,0xfff10000,0x1ded980f,0x003fffc4,0xff07fffb,0x13ffa07f,
    0x200bfff3,0x7c02fffe,0x80000fff,0x704ffff8,0xf001ffff,0x3fa05fff,
    0x7ffe45ff,0x3ffe2005,0x09ffff17,0x137ffdc0,0x0000ffff,0x00000000,
    0x07fff880,0x3fffcc00,0x05fffb00,0x3fe0bffd,0x07fff43f,0x04fffe80,
    0x001bffe6,0x06fffe80,0x809ffff1,0x3a07fffa,0x7ff45fff,0x3fe2002f,
    0x0ffff17f,0x27fff880,0x2207fff8,0x000000aa,0x99880000,0x00ffff10,
    0x1ffff880,0x01ffff00,0xff50fffb,0x17ffdc3f,0x0bfff900,0x002fffe4,
    0x0ffff900,0x203fffe4,0x3a04fffd,0x7ffc5fff,0x3fe2000f,0x0ffff17f,
    0x0ffff880,0xca8ffff1,0x04effffe,0x20000000,0xfffffeca,0x007fffef,
    0x05fffe80,0x707fffb8,0x3e63bfff,0x3ffe66ff,0x7ffd4005,0xffff981f,
    0x3ee00001,0x3fe607ff,0xfff102ff,0x7fff403f,0x03fffe24,0x17fff880,
    0xf000ffff,0x3fe23fff,0xffffb16f,0x20bfffff,0xfffffff8,0x0001ffff,
    0xffffffb1,0xffffffff,0xfff50000,0x7ffcc07f,0x3fffa04f,0x21ffffff,
    0x4000fffe,0x546ffff8,0x0004ffff,0x02fffe40,0x5417fffa,0x7f406fff,
    0x3ffe64ff,0x7ffc4007,0x00ffff17,0x223ffff0,0xfffd6fff,0xffffffff,
    0xffff881b,0x1fffffff,0xffffa800,0xffffffff,0x00007fff,0x15bffffb,
    0xdffff931,0xffffe980,0x3fee2fff,0xff70003f,0xfffb17ff,0x880000bf,
    0x5c04fffe,0xfd80ffff,0x7fec03ff,0x1bffea4f,0x2ffff100,0x8007fff8,
    0xff11ffff,0x7ffffbdf,0xffffd733,0xfffff887,0x01ffffff,0x7ffffdc0,
    0xfdb999ac,0x00007fff,0xfffffff9,0x1fffffff,0xdffd9100,0x37ffc41b,
    0x3fffa000,0x04ffffff,0x7fec4000,0x7fc402ff,0x7ffc43ff,0x7ffec00f,
    0x01fffe64,0x22ffff10,0x44007fff,0x3fe27fff,0x104fffff,0x550dfffd,
    0xfff55555,0x7fc4003f,0x7cc00dff,0xa80007ff,0xffffffff,0x00cfffff,
    0x3ff60100,0x7cc0000f,0x2effffff,0x2aaa2000,0x5fffffcb,0x8dfff900,
    0xd805fffb,0x3fe24fff,0x7fc4007f,0x0ffff17f,0x26fff980,0x3ffffff8,
    0x17fffc40,0x03ffff00,0x02fffe40,0x007fff88,0x477ffc40,0xcdefffdb,
    0xfb800001,0x980003ff,0x04ffffff,0xffffa800,0x00efffff,0x43ffff30,
    0xd802fffe,0x3fe23fff,0x3ea000ff,0xffff17ff,0x5fffa800,0x0fffffe2,
    0x02fffec0,0x003ffff0,0x003fffe6,0x003fffc4,0x00bffea0,0x7c400000,
    0xb80006ff,0x5fffffff,0x406aaa60,0xfffffffa,0xffe8003f,0x0ffff34f,
    0xf0ffff60,0x26005fff,0xff17ffff,0xffd800ff,0x3fffe24f,0x3ffee004,
    0x3fffe006,0x9fff9001,0x3fffc400,0x320b3260,0x00001fff,0x3fffb000,
    0xfffc8000,0x03ffffff,0x2a05fffb,0x0aceffff,0xdfff7000,0x4013fff2,
    0x7f43fffc,0xff9805ff,0xfff17fff,0x7ffcc00f,0x1fffe21f,0x0ffff100,
    0x00ffffc0,0x001fffd8,0x981fffe2,0x360effff,0x00004fff,0x4fffa800,
    0x7ffe4000,0xfffff9cf,0x01fffe81,0x0009fff3,0x27fffe20,0x9001ffff,
    0xffa87fff,0x3fa200ff,0xff17ffff,0x7fec00ff,0x3fffc44f,0x3fffe200,
    0x3ffff000,0x03fffe00,0x07fff880,0x93fffff6,0x9bdffffc,0x00000999,
    0x006fff88,0x27fffcc0,0x81fffff5,0xf301fffe,0x400009ff,0xfffefffd,
    0x3fff2006,0x0effff83,0xfffffe88,0x0ffff17f,0x1ffffd10,0x007fff88,
    0x001ffff8,0x1003ffff,0x4001ffff,0x3a07fff8,0x30ffffff,0xffffffff,
    0x9ddfffff,0x7fec0005,0x3bf6e21f,0x3fff602c,0x6ffffc85,0x9807fffc,
    0x00004fff,0x3fffffe6,0x3ff2003f,0xffffc82f,0xfffc99be,0xf17fff8e,
    0x1359ffff,0xfffff953,0x0ffff105,0x03ffff00,0x007fffe0,0x001fffe6,
    0x6c0ffff1,0x22ffffff,0xfffffffb,0xffffffff,0x7d4002ef,0x3ffe64ff,
    0x440dffff,0xfb01ffff,0x3fe2bfff,0x3ffe607f,0x7f400003,0x000fffff,
    0x220bfff2,0xfffffffe,0xfff0efff,0x3ffffe2f,0xffffffff,0xff103fff,
    0xfff000ff,0x3ffe003f,0xfffa801f,0x7ffc4006,0x3fffe607,0x7ffec3ff,
    0xffffffff,0x02ffffff,0x21dfff10,0xfffffff9,0x7ffd45ff,0x3fffa206,
    0x06fffbbf,0x000fffe2,0xfffff700,0xfffb8007,0xffffb102,0x221dffff,
    0xfff17fff,0xffffffff,0x4401bfff,0x44007fff,0x3e007fff,0xf9801fff,
    0x7c4007ff,0x7fe407ff,0x3ff23fff,0xcbaaaaef,0xffffffdc,0xfffc801f,
    0x22bfff62,0x2e1ffffb,0x7cc05fff,0xfffeffff,0x0bbba203,0xfff10000,
    0xea8001ff,0x7f6401ee,0x220bdfff,0xfff17fff,0xffffffdf,0xff10059d,
    0xff9800ff,0x3ffe006f,0xfff8801f,0x7ffc4007,0xfffff807,0x01dfff91,
    0x3ffff260,0x27ffcc03,0xf885fff3,0x3fff25ff,0xffffa805,0x0000ffff,
    0x3fe20000,0x000004ff,0xf8806a20,0xffff17ff,0x40004ccc,0x4007fff8,
    0x2005fffa,0xf001ffff,0x54001fff,0xfd807fff,0xfff88fff,0xffe8001f,
    0x7fff405f,0x741ffee0,0x3ffee6ff,0xffff9007,0x00000bff,0xffffc800,
    0x00000000,0x8bfffc40,0x00007fff,0x001fffe2,0x4009fffb,0xf001ffff,
    0x26005fff,0xe807ffff,0xfff56fff,0x3ff2000d,0x3fff205f,0xc837fe42,
    0x3ffe67ff,0xfffb001f,0x000003ff,0x7fffc400,0x00000004,0x17fff880,
    0x0000ffff,0x003fffc4,0x003ffff3,0x800ffffc,0x9805fffd,0x407fffff,
    0xf92ffff9,0x36000bff,0xff304fff,0x0dffb0bf,0xff89ffee,0xff3005ff,
    0xc8807fff,0x100001de,0x001ffffd,0x0033b620,0x7fff8800,0x000ffff1,
    0x03fffc40,0x009fffd0,0x001ffff8,0x401ffff5,0x7fffffe8,0x97fffe60,
    0x8007fffc,0xd02ffff9,0xff901fff,0x8dff901f,0x00cffffd,0x3fffffee,
    0x3fffa02f,0xfd80000f,0x10002fff,0x000dffff,0x8bfffc40,0x00007fff,
    0x201fffe2,0x00ffffd8,0x00ffffc0,0x01dffff0,0xfffdffd1,0x7fed4ccf,
    0x3fea0fff,0xf5000dff,0x3ee0dfff,0xfff702ff,0x889ffd03,0xacffffff,
    0xffffeca9,0xa80fffff,0x004fffff,0x3ffffaa0,0x3ff20004,0x00002fff,
    0x3e2ffff1,0x200007ff,0xacfffff8,0xfffba989,0xff8002ff,0x3f2001ff,
    0xc99befff,0xffe8efff,0x3fffffe7,0x7ff440df,0x9aabdfff,0xfffffcba,
    0x5fff980e,0x877ffe60,0xfa81fffc,0xffffffff,0xfdefffff,0x7d40efff,
    0x7005ffff,0xfffffddd,0xfd8000df,0x0003ffff,0x22ffff10,0x00007fff,
    0x3fffffe2,0xffffffff,0x555502ff,0xffff5555,0x15555557,0xfffffe88,
    0xd0efffff,0x7fffcfff,0x3fa202ff,0xffffffff,0xefffffff,0x01fffd01,
    0xfeffffc8,0x3a605fff,0xffffffff,0x3ff63fff,0x7ffcc5ff,0xff9003ff,
    0x09ffffff,0xffff7000,0x2200003f,0xfff17fff,0x6c40000f,0xffffffff,
    0x00dfffff,0x3ffffffa,0xffffffff,0xd882ffff,0xffffffff,0xf9fff60e,
    0x8800acdf,0xfffffffc,0x2effffff,0x00fffee0,0x3fffffa2,0xeb800eff,
    0xbdffffff,0x7ffff440,0x02fffdc3,0xffffff90,0x6c00003d,0x00003fff,
    0x7c5fffe2,0x800007ff,0xffffeda8,0xe802cdff,0xffffffff,0xffffffff,
    0x3fb202ff,0x6c0bdfff,0x000027ff,0x3ffbb72a,0x4402bcde,0x64006fff,
    0x004fffff,0x00013310,0x2000d440,0x02bceffb,0x01530000,0xeee88000,
    0x00bddd15,0x26620000,0xfffe8000,0xffffffff,0x2fffffff,0x0001a880,
    0x00000000,0x4c400000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bba2000,
    0xdd700005,0x4400005d,0xeeeeeeee,0x00000eee,0x00000373,0x0055e5cc,
    0x99531000,0x20035799,0xabcccba9,0x33330009,0x33333333,0x00013333,
    0x80cccc40,0x99999999,0x19999999,0x32e20000,0xcdeefffe,0x00ffff10,
    0x0ffff200,0xfff88000,0xffffffff,0x7fe40001,0x5400002f,0xfffffffe,
    0xf70000de,0xffffffff,0xfb10bfff,0xffffffff,0x7c4019ff,0xffffffff,
    0x4fffffff,0xfdb93000,0xf30fffff,0xffffffff,0x0fffffff,0x3ffee000,
    0xffffffff,0x00ffff10,0x0ffff200,0xfff88000,0xffffffff,0x7fec0001,
    0x3200002f,0xffffffff,0x2001ffff,0xffffffea,0x6fffffff,0xffffff98,
    0xffffffff,0xfffff103,0xffffffff,0xa8009fff,0xfffffffd,0xfff987ff,
    0xffffffff,0x0007ffff,0x7fffff44,0x0fffffff,0x000ffff1,0x00ffff20,
    0x99999000,0x03ffff99,0x2fffd800,0xffe88000,0xffffffff,0xc803ffff,
    0xffffffff,0x6fffffff,0xffffff98,0xffffffff,0xffff882f,0xffffffff,
    0x3004ffff,0xfffffffd,0xf30fffff,0xffffffff,0x0fffffff,0xffffc800,
    0xedcbabcf,0x0ffff10f,0x3fff2000,0x20000003,0x0001ffff,0x0017ffec,
    0x3ffffe20,0xfeb989ce,0x2a03ffff,0x99cfffff,0x1b72a660,0x1026f7e6,
    0x1fffffb5,0xaaefff88,0xaaaaaaaa,0xff9801aa,0xbcefffff,0xaa882aaa,
    0xaaaaaaaa,0x007fffca,0x37fffe60,0x3ffe2000,0xff900007,0x0000007f,
    0x000ffffc,0x00bfff60,0x9ffff900,0xfffffb80,0xeffff880,0x80000000,
    0x443ffffc,0x00005fff,0xdfffff98,0xa8000001,0x20007fff,0x8006fffd,
    0x0007fff8,0x007fff90,0x7ffc0000,0x7ec0001f,0x220002ff,0x7004ffff,
    0xf707ffff,0x00001fff,0x7fff4000,0x02fffc45,0x3ffe2000,0x000002ef,
    0x01fffea0,0x02fffe80,0x07fff880,0x7fff9000,0x7c000000,0x40001fff,
    0x0002fffd,0x0017fff6,0xf90ffff9,0x00000bff,0x6fffc800,0x002fffc4,
    0x3bffee00,0x40000000,0x0007fffa,0x0003fffe,0x001fffe2,0x01fffe40,
    0xfff00000,0xfff7003f,0xffffffff,0xffffffff,0x7ffcc1ff,0x7fcc002f,
    0x7fff42ff,0x00000004,0x223fffd4,0x00005fff,0x007fffe2,0x3ea00000,
    0xf30007ff,0x22000fff,0x55107fff,0xfffc8013,0x20000003,0xb801ffff,
    0xffffffff,0xffffffff,0x360fffff,0xd0007fff,0xffe8dfff,0x0000006f,
    0x237ffdc0,0x0005fff8,0x00ffff20,0x7d400000,0xf50007ff,0x22000dff,
    0x7f547fff,0x902fffff,0x26007fff,0x001fffff,0x2007fffe,0xfffffffb,
    0xffffffff,0x20ffffff,0x0004fffe,0xfc8ffff9,0x00000fff,0x3fff6000,
    0x02fffc44,0x1fffd000,0x20000000,0x0007fffa,0x000dfff5,0x6c5fffe2,
    0xffffffff,0x7ffe40df,0xffff9803,0x7ffc001f,0xaaa9801f,0xcfffeaaa,
    0xaaaaaaaa,0xffff10aa,0x3fe60003,0x3ffea0ff,0x000001ff,0x0ffff880,
    0x002fffc4,0x06fff880,0x2a000000,0x50007fff,0x2000dfff,0xfe8efff8,
    0xffffffff,0x7ffe44ff,0x7fffcc03,0xfff8001f,0x7ec0001f,0xfa8002ff,
    0x10000fff,0x7443ffff,0x003fffff,0x3fa20000,0xfff884ff,0xff500005,
    0x000cc09f,0xffff5000,0x3ffea000,0xfff10006,0x35dfffdd,0x1fffff73,
    0x301fffe4,0x003fffff,0x007fffe0,0x05fffb00,0x0ffff700,0x1ffff800,
    0x7fffffc4,0x000000bf,0x05ffff71,0x3bbfffe2,0x001bccee,0x3265fff9,
    0xcefffffe,0x3ea00002,0x333207ff,0xfffdcccc,0xcccccccf,0x3fe21ccc,
    0x303fffff,0x7e49ffff,0xfff303ff,0x7c0003ff,0x40001fff,0x8002fffd,
    0x0007fffb,0x4c17fffc,0xffffffff,0xdd30001c,0xdfffffdd,0x7fffc403,
    0xffffffff,0x3ff600be,0xfffffecf,0x0dffffff,0xfffa8000,0xfffff107,
    0xffffffff,0xffffffff,0x7fffc45f,0x7fe402ff,0x0ffff25f,0x07ffffe2,
    0x3ffff000,0xfffd8000,0xfffc8002,0x7ff40006,0xfffb103f,0x05dfffff,
    0xfffff980,0x4402ffff,0xffffffff,0x1fffffff,0xffffffd0,0xffffffff,
    0x0001ffff,0x107fffa8,0xffffffff,0xffffffff,0x45ffffff,0x02fffff8,
    0x326fff98,0x7fc43fff,0x80001fff,0x0001ffff,0x0017ffec,0x0037ffe4,
    0x013fffa0,0xffffffb3,0x26003dff,0xffffffff,0xdd104fff,0xffdddddd,
    0x01ffffff,0xbffffffd,0xff753337,0x8000bfff,0xf107fffa,0xffffffff,
    0xffffffff,0x445fffff,0x1003ffff,0x7fe4ffff,0x3fffa23f,0xff00001f,
    0xd80003ff,0xb8002fff,0x40006fff,0x1003fffe,0xfffffff9,0x9991009f,
    0xfffffdb9,0x220003df,0x0ffffffc,0x067ffffc,0x3ffff620,0x3fea0002,
    0xff50007f,0x3e2000df,0x7fc007ff,0x7fff90ff,0x07ffffa2,0xffff8000,
    0x7fec0001,0xffa8002f,0x7fc0007f,0xeb8003ff,0x05ffffff,0x7ffed400,
    0x6c0000ef,0x7fc3ffff,0x7f4002ff,0x2a0006ff,0x50007fff,0x2000dfff,
    0x4007fff8,0xff90ffff,0xffffd17f,0xff800003,0x6c0001ff,0xa8002fff,
    0x20007fff,0x002ffff8,0x3ffffaa0,0xfa80003f,0x40005fff,0x7c5fffe8,
    0x54002fff,0x0000ffff,0x000ffff5,0x001bffea,0x003fffc4,0x7e43fffe,
    0xffffecff,0xff800001,0x6c0001ff,0x98002fff,0x0000ffff,0x003ffff1,
    0xfffff900,0xff700001,0xb80001ff,0x7ff47fff,0x7fc4003f,0xf50001ff,
    0x2a000fff,0x10006fff,0xf800ffff,0xfff90fff,0x01dffffb,0xffff0000,
    0xffd80003,0xff88002f,0xf50001ff,0x40000fff,0x002ffffb,0x1ffff880,
    0x7ffd4000,0x0ffff61f,0x0bfffe00,0x3fffd400,0x6fffa800,0xffff1000,
    0x0ffff800,0xff37fff9,0x00000dff,0x0003ffff,0x002fffd8,0x009ffff0,
    0x01bfff60,0x9ffff000,0x3ffa0000,0x7cc0003f,0x3ff21fff,0xffe8004f,
    0xff50002f,0x3ea000ff,0xf10006ff,0xff800fff,0x7fff90ff,0x017fffea,
    0x3ffff000,0xfffd8000,0xfffb0002,0xfff1000f,0xd800009f,0x00005fff,
    0x0003ffff,0x5c7fffa8,0xf8005fff,0x70001fff,0x2000dfff,0x0006fffa,
    0x800ffff1,0xff90ffff,0x7fffdc7f,0x3fe00005,0x6c0001ff,0x50003fff,
    0x8003ffff,0x000ffffa,0x27ffec00,0x7ffc4000,0x7e40000f,0x7ffd45ff,
    0x3fe6000f,0x3f20007f,0xf50004ff,0x22000dff,0x7c007fff,0xfff90fff,
    0x4ffffc87,0xffff0000,0xffb80003,0x3fa0004f,0x3a2005ff,0x00003fff,
    0x002ffff8,0x06fffb80,0x7fffc400,0x03ffff83,0x01bffee0,0x03fffe80,
    0x0dfff500,0x1fffe200,0x21ffff00,0xfd83fffc,0x80003fff,0x0001ffff,
    0x007fffd4,0x5ffffb80,0x7fffe880,0xffc80000,0x4c0000ff,0x0003ffff,
    0x407ffff4,0x1006fffb,0x0547ffff,0x1ffffb80,0xdfff5000,0x3ffe2000,
    0x7fffc007,0x107fff90,0x007ffffd,0x01ffff80,0x7fffcc00,0xff88000d,
    0x36204fff,0xb983ffff,0x7fe44001,0x220006ff,0x005ffffb,0x3ffffaa0,
    0xbffff101,0x7fff4401,0x70067e45,0x000bffff,0x0037ffd4,0x007fff88,
    0xfc87fffc,0xfff103ff,0x7c0005ff,0x80001fff,0xabfffffd,0x80dca999,
    0xdffffffa,0xffffebab,0xbfff506f,0x97555799,0x1dfffffb,0x999aabc8,
    0xffffcba9,0x5565c0ef,0xfecaa999,0x6402ffff,0x89beffff,0xfffffb98,
    0x677ffe40,0xffffecab,0x3ea0000f,0xf10006ff,0xff800fff,0x7fff90ff,
    0x7ffffcc0,0xffff0001,0xff100003,0xffffffff,0x3e601fff,0xffffffff,
    0x204fffff,0xfffffffa,0xffffffff,0xfff80fff,0xffffffff,0xd81effff,
    0xffffffff,0x03ffffff,0xfffffd88,0xffffffff,0xffffc82f,0xffffffff,
    0x7d40002f,0xf10006ff,0xff800fff,0x7fff90ff,0xfffffa80,0xaaaaaa81,
    0xabffffaa,0x000aaaaa,0x3fffffa6,0x00ffffff,0x3fffffa2,0x02ffffff,
    0x7fffffd4,0xffffffff,0xfff00cff,0xffffffff,0x7ec05dff,0xffffffff,
    0x4000cfff,0xfffffffb,0x700dffff,0xffffffff,0x0001dfff,0x00dfff50,
    0x01fffe20,0x321ffff0,0xfb803fff,0x7f40ffff,0xffffffff,0xffffffff,
    0xfea8002f,0xefffffff,0x7f65c400,0x00cdffff,0xffffdb88,0xefffffff,
    0x7fffc00b,0xdeffffff,0xffffd802,0x0cefffff,0x3fb66000,0x02dfffff,
    0xffffec98,0x00003def,0x001bffea,0x003fffc4,0x7e43fffe,0xff9003ff,
    0x7ff41dff,0xffffffff,0xffffffff,0x54c40002,0x22000099,0x880000a9,
    0x09aaaa99,0xaaa99800,0x3300009a,0x00135555,0x04d4c000,0x13331000,
    0x3ea00000,0xf10006ff,0xff800fff,0x7fff90ff,0x7fffec00,0xfffffd0e,
    0xffffffff,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x006fffa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x97531000,
    0x00003579,0x57997510,0x02666203,0x04ccc400,0x665d4400,0x710000aa,
    0x22001579,0x00001999,0x26213333,0x10000199,0x26621333,0x33300001,
    0x01331001,0x31004ccc,0x33333333,0x33333333,0x32200333,0xffffffff,
    0x220002ef,0xffffffec,0x2a2cffff,0xd0006fff,0x2e005fff,0xfffffffd,
    0x5401beff,0xfffffffd,0x7ffe403e,0x7d40004f,0xfff93fff,0xff00001f,
    0x3fffa9ff,0xfff80000,0x06ffc806,0xfe80fffe,0xffffffff,0xffffffff,
    0xffc807ff,0xffffffff,0x4000efff,0xffffffe9,0x7fffffff,0x001bffea,
    0x2017fff4,0xffffffe8,0x6fffffff,0x3ffffee0,0x05ffffff,0x03ffffe2,
    0x6fffe800,0x00ffffea,0x3ffff300,0x0003fffa,0x2017ffe0,0xff105ffd,
    0x7fff405f,0xffffffff,0xffffffff,0x7fffe407,0xfffeeeff,0x32006fff,
    0xffffffff,0x7fffffff,0x001bffea,0x5017fff4,0xffffffff,0xdfffffff,
    0x3fffff20,0xffffffff,0xffff700e,0x3fea0009,0x7fffc2ff,0x7fe40005,
    0x07fff66f,0xbfff1000,0x209ffd00,0x3a02fff9,0xffffffff,0xffffffff,
    0x3ea07fff,0xb501dfff,0x9809ffff,0xdffffffe,0xfdba99ab,0x1bffea7f,
    0x17fff400,0xffffffc8,0xdba999bd,0xfffd86ff,0x3fa60adf,0x3fa06fff,
    0xe8001fff,0xffc86fff,0x3a0000ff,0x3ff24fff,0x7c40001f,0xfff804ff,
    0x03fff503,0x6666665c,0xcccccccc,0x204ffffd,0xb004fffe,0xfe80ffff,
    0x1002ffff,0x37ffd4d7,0x2fffe800,0x4fffffa8,0xfa8b7100,0x7e405fff,
    0xff502fff,0xfb800bff,0xffa81fff,0xf30002ff,0x7fe43fff,0x7cc0002f,
    0xfff804ff,0x01fff503,0x3ffa0000,0xfff100ff,0x3fe2001f,0xfff500ff,
    0xa80003df,0xd0006fff,0xffd05fff,0xb00005ff,0x3600bfff,0x3f606fff,
    0x3e001fff,0x3fe05fff,0xf70005ff,0xfffb8dff,0x7fcc0002,0x7ffc403f,
    0x00fff702,0x3ffee000,0x3ffea02f,0x7fffc006,0xeffff882,0xffa80000,
    0xffd0006f,0xffffb85f,0xff880001,0xff1000ff,0x3fe603ff,0xff7006ff,
    0x7fe401ff,0xfe8000ff,0x7ffdc4ff,0x7fcc0003,0x7ffcc02f,0x00dff901,
    0xffff3000,0x7fffa809,0x3fffe200,0x1ffffc81,0xfff50000,0x3ffa000d,
    0x3fffe22f,0xff900005,0xffd800bf,0x3fff205f,0x7ffc402f,0x7ffd404f,
    0x7fc4002f,0x7ffd41ff,0x7fd40003,0x2aaaa62f,0xaaabfffc,0xaaeffeaa,
    0x740002aa,0x4c00ffff,0x7000ffff,0xf881ffff,0x00005fff,0x001bffea,
    0xf917fff4,0x00003fff,0x000bfffe,0x201ffff9,0x406ffff8,0x800ffffc,
    0x4005ffff,0xfa86fffb,0x540004ff,0x3ff61fff,0xffffffff,0xffffffff,
    0x0006ffff,0x00bfffee,0x017fffe2,0x5c37fff4,0x0001ffff,0x01bffea0,
    0xd17fff40,0x0000bfff,0x801fffe6,0x0fffffd8,0x0ffffee0,0x01ffffc4,
    0x007fffc8,0x4c1ffff4,0x40004fff,0x3f61fffb,0xffffffff,0xffffffff,
    0x006fffff,0x0bffff30,0x6ffffe40,0x3ffff200,0x05fffc82,0x7ffd4000,
    0xfffd0006,0x017fffc5,0x5fffa800,0xfffff300,0xffe803ff,0xdfff907f,
    0x7fffd400,0xffff1002,0x09fff103,0xfb817ba2,0x3bbb20ff,0xeeeffffe,
    0xeefffeee,0xd0005eee,0x4001ffff,0x2ffffff8,0x27ffff4c,0x004fffd8,
    0x37ffd400,0x2fffe800,0x003ffff1,0x13ffee00,0x3fffff20,0x7d402fff,
    0x7fc43fff,0x7fc002ff,0xff7004ff,0x3ffe20df,0x05fff505,0xb003fff2,
    0x3fe20bff,0xf700002f,0x10005fff,0x5dffffff,0x05fffff9,0x001ffff4,
    0x1bffea00,0x97fff400,0x000ffffa,0x09fff900,0x7ffffec4,0xe803fffd,
    0x3f60ffff,0xfc8005ff,0xffb007ff,0x2fffc07f,0x904fffd8,0xffd00fff,
    0x07ffe609,0x3ffe2000,0x3620005f,0xffffffff,0x3e200eff,0x2a201fff,
    0xaaaaaaaa,0x0dfff50a,0x4bfffa00,0x0007fffb,0x40ffff20,0x8dfffffa,
    0x9804fffb,0xff33ffff,0xf50003ff,0xf8803fff,0x3fe01fff,0xffff886f,
    0x00fffb07,0x3ea07fff,0xe80000ff,0x0000ffff,0xffffffa8,0xff9806ff,
    0x3fea00ff,0xffffffff,0x00dfff51,0x64bfffa0,0x00006fff,0x320bfff6,
    0x2a3fffff,0xfb005fff,0xfffb1fff,0x7ffc0009,0x7ffd404f,0x437ff406,
    0x82fffffa,0x7c407ffd,0xfff503ff,0xffb80001,0x700002ff,0xffffffff,
    0x7fd403df,0x7ffd407f,0x1fffffff,0x000dfff5,0x7ecbfffa,0x200005ff,
    0x3a22fffe,0x541effff,0xf1005fff,0xffffbfff,0x7fe40001,0x7ffec06f,
    0x43fff403,0x85fffffd,0x7c406ffd,0xfff702ff,0xfff88000,0xe980005f,
    0xffffffff,0xf303ffff,0x7d401fff,0xffffffff,0x0dfff51f,0x4bfffa00,
    0x0006fffd,0x54bfff60,0x80dfffff,0x2005fffb,0xfffffffc,0x7fd40003,
    0x3ffe01ff,0x3ffec00f,0x7fff7ffc,0x202fff40,0xf901fff9,0xfd8000df,
    0x40000fff,0x0dfffff9,0x9ffffff7,0x03ffff10,0x47fffe00,0x0006fffa,
    0x3f25fffd,0x200007ff,0xffcafffc,0x3f203fff,0x3e2004ff,0x006fffff,
    0x07ffff00,0x201bffea,0x7fd47ffd,0x742fffaf,0x7fd405ff,0x0bffb00f,
    0x7fffdc00,0x7fcc0002,0xfc882fff,0xff83ffff,0xff0002ff,0x3ffea3ff,
    0xfffd0006,0x03fffee5,0x7ffe4000,0x01efffff,0x001fffe4,0x0bffffee,
    0x7ffe4000,0x07fff906,0x6c1fff90,0x5fff8cff,0x2e027ffc,0x3ffa07ff,
    0xfff10005,0xfd0000bf,0xfb803dff,0x7f40ffff,0xff0003ff,0x3ffea3ff,
    0xfffd0006,0x03fffea5,0x7ffdc000,0x800dffff,0x8002fffd,0x0006fffe,
    0x03fffea0,0x2003fffe,0x3fe0fffc,0x41fffb2f,0x3bb64fff,0xeefffeee,
    0xffffeeee,0xd803eeee,0x0000ffff,0x00ffffdc,0x44ffffb8,0x0004fffd,
    0x3ea3ffff,0xff0006ff,0x3ffe63ff,0xf500002f,0x007fffff,0x000ffff4,
    0x0027ffe4,0x0ffffe00,0x200dfff3,0xff51fffb,0x8fffea1f,0x3ffe3fff,
    0xffffffff,0xffffffff,0x5404ffff,0x0002ffff,0x005fffe8,0x3237fff4,
    0x8000ffff,0xff31ffff,0x3fe000ff,0x3fffe0ff,0xff300005,0x44003dff,
    0x8000ffff,0x0004fffc,0x237ffe40,0x5003fffd,0x3ff25fff,0x457ffe25,
    0x3ffe3fff,0xffffffff,0xffffffff,0x2204ffff,0x0005ffff,0x007ffff0,
    0x5c7fffc8,0x8003ffff,0xff11ffff,0xf88001ff,0x7fff47ff,0xf880001f,
    0x5c002fff,0x90006fff,0x00009fff,0x20ffffa8,0x5000ffff,0x3ffe5fff,
    0x447ffec2,0x26662fff,0x99dfff99,0xafffa999,0x36009999,0x0000ffff,
    0x02ffff88,0x43fffdc0,0x8007fffe,0x3fe1ffff,0x7d4001ff,0x7ffd46ff,
    0xfb00005f,0xfe800bff,0xf90003ff,0x000009ff,0x3ea7ffff,0x3e6006ff,
    0x0fff9bff,0x7cdfffd4,0x7ffc02ff,0x01fff503,0x17fffd40,0xffff0000,
    0xfffc8009,0x4ffffa86,0x0ffffc00,0x8009fffd,0xfe84fffe,0x80001fff,
    0x000ffff9,0x000ffff3,0x0027ffe4,0xafffec00,0x2003fffc,0xffcbfff9,
    0x9efff885,0x3e201fff,0xfff703ff,0x3ffe2001,0x6c00005f,0x1000efff,
    0x3609fffd,0x000dffff,0x7e43ffff,0xf5000fff,0xff303fff,0x00007fff,
    0x100dfffb,0x0009fffd,0x0027ffe4,0x7fffd400,0x000ffff8,0x3fb3ffe2,
    0x7fffb02f,0x7cc03fff,0xfff902ff,0x7fffec00,0x7dc00000,0x4400efff,
    0x302ffffe,0x03dfffff,0x443ffff0,0x401effff,0x204ffffa,0x0dfffffd,
    0x7d46da80,0xd100dfff,0x0001ffff,0x0027ffe4,0xcffff800,0x44006fff,
    0x0fffefff,0xffdfff50,0x7ffcc01f,0x00dff901,0x00bfffea,0x3ffa2000,
    0x999acfff,0x4fffffca,0x7ffffdc0,0xcaaaceff,0x5c1ffffe,0x9acfffff,
    0xffffdba9,0x3ffa600f,0xacdfffff,0x86fffecc,0xabfffffe,0xfffffda9,
    0x7fe40002,0xb000004f,0x7fffffff,0xfffff000,0xffff80bf,0x3ea00fff,
    0xbffb00ff,0xfffff100,0xffffffff,0xffffffff,0x3fffe203,0xffffffff,
    0x3005ffff,0xfffffffd,0xffffffff,0xffffb03f,0xffffffff,0x32003fff,
    0xffffffff,0x6fffffff,0xffffffb0,0x5fffffff,0xfff90000,0x2a000009,
    0x0fffffff,0xfffff800,0x7ffe402f,0x7fdc07ff,0x017ffa07,0x3fffffea,
    0xffffffff,0x1fffffff,0x3ffff660,0xffffffff,0xffc8003f,0xffffffff,
    0x700effff,0xffffffff,0x0019ffff,0xffffffa8,0xffffffff,0x3fffee05,
    0x1fffffff,0xfff90000,0x7c000009,0x006fffff,0x1fffffd0,0xfffff980,
    0x03ffe407,0xf5009fff,0xffffffff,0xffffffff,0x3003ffff,0xfffffffb,
    0x980007df,0xffffffdc,0x8801bdff,0xffffffec,0x220002de,0xfffffecb,
    0xa801beff,0xdfffffec,0x3200000b,0x00004fff,0x3fffff60,0xfffd0003,
    0x3ffe00bf,0x7fe406ff,0x00fffe06,0x3fffffea,0xffffffff,0x1fffffff,
    0x4d54c400,0x22000000,0x0001aaa9,0x0001a988,0x04d54400,0x02a62000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26662000,0x33100009,0x4cccc133,0x99999999,0x99999999,0x26666099,
    0x4cc40009,0x00999981,0x20ccccc0,0x00009998,0x40019998,0x26099998,
    0x99999999,0xa8800000,0x10009bcc,0x20001333,0x4ccc1999,0x01999999,
    0x000d4c00,0x00bffff3,0x83ffff60,0xffffffff,0xffffffff,0x16ffffff,
    0x00bfffff,0x2a0fffe8,0x2007ffff,0x21fffff9,0x0006fffa,0x003fffcc,
    0xf8dffff1,0xffffffff,0x0003deff,0xffffffb5,0xfa801bff,0xff0006ff,
    0x3ffe63ff,0xffffffff,0xd8800bef,0x32005fff,0x4002ffff,0x7c3ffffa,
    0xffffffff,0xffffffff,0xf16fffff,0x001fffff,0xf507fff4,0x2005ffff,
    0x22fffffc,0x0006fffa,0x803fffcc,0x40efffe8,0xffffffff,0x2fffffff,
    0xffffb100,0xffffffff,0x37ffd407,0x1ffff800,0xfffffff3,0xffffffff,
    0x7ffe4039,0xff1004ff,0x22001fff,0xff86ffff,0xffffffff,0xffffffff,
    0xff16ffff,0x4009ffff,0x3ee0fffe,0xf005ffff,0x545fffff,0x40006fff,
    0xb007fff9,0xff03ffff,0xffffffff,0x0bffffff,0xfffffe98,0xffffffff,
    0xdfff502f,0x3fffe000,0xffffff31,0xffffffff,0x3fe03fff,0x2007ffff,
    0x004ffffa,0x503ffff9,0x55555555,0x555bfffd,0x22555555,0x0fffffff,
    0x41fffd00,0x0ffffffb,0x7ffffd40,0x1bffea2f,0xffff3000,0x5ffff700,
    0x2b3fffe0,0xffecbaaa,0xff102fff,0x2237bfff,0x0fffffda,0x006fffa8,
    0x263ffff0,0x9999ffff,0xffffdca9,0x7ffc41ff,0x2000ffff,0x401ffffd,
    0x003ffff9,0x013fff20,0xffffff88,0xfffd004f,0x7ff7fdc1,0x77fec03f,
    0x3fea3fff,0x7cc0006f,0x7fcc07ff,0x3ffe03ff,0x7ffdc02f,0xdff700ff,
    0xffffc803,0x06fffa84,0x23ffff00,0x8807fff9,0x40effffc,0x06fffffe,
    0x37fffc40,0x01bfffa0,0x09fff900,0x7f7ffc40,0xfe800fff,0x3bff20ff,
    0x3e206ffd,0x23fffbff,0x0006fffa,0x103fffcc,0xf80bffff,0xfb802fff,
    0x37202fff,0xdfffd000,0x00dfff50,0x4c7fffe0,0x32007fff,0x7d43ffff,
    0x8001ffff,0x702ffffb,0x0003ffff,0x004fffc8,0x3f3bffe2,0xffe803ff,
    0x2bbff20f,0xff700fff,0x549fff3d,0x40006fff,0x3a07fff9,0xff806fff,
    0xfff002ff,0x5400007f,0x7d40ffff,0xff0006ff,0x3ffe63ff,0x7fff4007,
    0x01ded985,0x3ffffa00,0x27fffc40,0x7ffe4000,0x3ffe2004,0x807fff9e,
    0x3f60fffe,0x03fff8ef,0xfff19ffd,0x037ffd49,0x1fffe600,0x007fffe4,
    0x8017fffc,0x0005fffe,0x07fffe60,0x000dfff5,0x7cc7fffe,0x7dc007ff,
    0x000006ff,0x227fffcc,0x000ffffd,0x04fffc80,0x75bffe20,0x7f403fff,
    0x57ff60ff,0xff986ffe,0x24fff89f,0x0006fffa,0x5c3fffcc,0xf001ffff,
    0x36005fff,0x00005fff,0x50bfffe2,0x2000dfff,0xff31ffff,0xff9800ff,
    0x000000ff,0x98ffffe4,0x0002ffff,0x009fff90,0xfab7ffc4,0x7ff406ff,
    0x5d7ff60f,0x7fe41fff,0x54bfff16,0x40006fff,0x7cc7fff9,0x3e002fff,
    0xfd002fff,0x400007ff,0x541ffff8,0xf0006fff,0x3fe63fff,0x7fc4007f,
    0x000001ff,0xeb7fffc4,0x00005fff,0x8013fff2,0x3fe6fff8,0x3ffa02ff,
    0x457ffa0f,0x7ffc4fff,0xfa97ffe3,0x4c0006ff,0x3fa27fff,0x7fc004ff,
    0xff8802ff,0x200002ff,0x540ffff9,0xf0006fff,0x3fe63fff,0x7fcc007f,
    0x000000ff,0xfeffffa8,0x00000fff,0x8013fff2,0x3f26fff8,0x3ffa06ff,
    0xd97ffa0f,0x3ffea7ff,0xfa97ffe0,0x4c0006ff,0x3ff67fff,0xfff8005f,
    0xfffe802f,0x7dc00006,0xfffa87ff,0xffff0006,0x01fffe63,0x00dfff70,
    0x7fec0000,0x003fffff,0x27ffe400,0x4dfff100,0xd01ffff8,0x7ff41fff,
    0x6c7ffea5,0x37ffc5ff,0x000dfff5,0xf97fff98,0x3e000dff,0x36602fff,
    0x0002ffff,0x427fff40,0x0006fffa,0x3e63ffff,0x7ec007ff,0x000005ff,
    0x3ffffe20,0xc800006f,0x22004fff,0x7fe46fff,0x1fffd05f,0x3fe2fffc,
    0xf85fff4f,0x3ffea6ff,0x7fcc0006,0x0ffffaff,0x9ffff000,0xffb95555,
    0x00009fff,0x80ffffb8,0xfffffffa,0xffffffff,0x31ffffff,0x5c00ffff,
    0x0002ffff,0x7ffdc000,0x800001ff,0x2004fffc,0x7c46fff8,0xffe81fff,
    0x917ffe0f,0x0fff5fff,0x7fd4dfff,0x7cc0006f,0x2fffffff,0x3fffe000,
    0xffffffff,0x00003fff,0x827fffcc,0xfffffffa,0xffffffff,0x31ffffff,
    0x2a00ffff,0x0004ffff,0xfffb8000,0x800002ff,0x2004fffc,0xfd86fff8,
    0xfffe85ff,0xf313ffe0,0xd09ffdff,0x7ffd4fff,0x7fcc0006,0x06ffffff,
    0x3ffffe00,0xefffffff,0xe800000b,0xf500efff,0xffffffff,0xffffffff,
    0x3e63ffff,0x3aa607ff,0x000fffff,0x7fc40000,0x000fffff,0x27ffe400,
    0x0dfff100,0xe81ffff3,0xfff10fff,0xfffffd09,0x54fffd03,0x40006fff,
    0xffaffff9,0xff0004ff,0xffffffff,0x000009ff,0x807ffff6,0xcccffffa,
    0xcccccccc,0x31ffffcc,0xddddffff,0xffffffff,0x0000003f,0xffffffb0,
    0xc80000bf,0x22004fff,0xffb06fff,0x0fffe89f,0xf709fff1,0x3fa0dfff,
    0x1bffea7f,0xffff3000,0x00bffff2,0x44bfffe0,0x0effffb9,0x3ff60000,
    0x7fd402ff,0xfff0006f,0x3fffe63f,0xffffffff,0x4c00cfff,0x80001ded,
    0xffdffffa,0x200002ff,0x2004fffc,0xf306fff8,0x7ff41fff,0x09fff30f,
    0x207ffff1,0xff50fffe,0xf98000df,0x3fffa7ff,0x7ffc001f,0xfffe882f,
    0xffb00005,0xff5007ff,0x3fe000df,0xffff31ff,0xffffffff,0xff5003df,
    0x40003fff,0xfd5ffff8,0x00001dff,0x8013fff2,0x3a06fff8,0x3ffa4fff,
    0x07fff30f,0x6c03fffa,0xfff50fff,0xff98000d,0x3fffe27f,0x3ffe000e,
    0xffff302f,0xffc80005,0xff5003ff,0x3fe000df,0xffff31ff,0x357bdddd,
    0xffffe800,0x3f60006f,0xfff50fff,0x3200009f,0x22004fff,0x3ea06fff,
    0x3fffa7ff,0x207fff30,0x3f604eea,0xdfff50ff,0xfff98000,0x2ffffd47,
    0x05ffff00,0x007fffe4,0x4ffffc80,0x1bffea00,0x8ffffc00,0x0007fff9,
    0x3ffffe20,0xfa8000ff,0x7fec3fff,0xc80001ff,0x22004fff,0x7f406fff,
    0x1fffd3ff,0x000fffea,0x2a3fffb0,0x40006fff,0xfc87fff9,0xff004fff,
    0x7fc405ff,0xfc8004ff,0x54004fff,0xf0006fff,0x3fe63fff,0x7c00007f,
    0x007fffff,0x86ffff88,0x006ffff8,0x04fffc80,0x01bffe20,0x3fadfff7,
    0x7fff50ff,0xfffd8000,0x00dfff51,0x07fff980,0x005ffffb,0xc805ffff,
    0x2000ffff,0x004ffffc,0x006fffa8,0x263ffff0,0x00007fff,0x27ffffec,
    0x7fffe400,0x7ffff701,0xfffc8000,0x3ffe2004,0xaffff806,0xff70fffe,
    0xfc80007f,0xdfff51ff,0xfff98000,0xfffff107,0x2ffff801,0x1ffffc40,
    0x3ffffc80,0xdfff5000,0x3fffe000,0x00ffff31,0xfffd8800,0xfffa8005,
    0x7fff405f,0x3f20000f,0x3e2004ff,0xffb806ff,0x70fffedf,0x80005fff,
    0xff52fffc,0xf98000df,0x3fe607ff,0x7ffc06ff,0xfffd802f,0xffffd807,
    0x3fea0003,0xfff0006f,0x1fffe63f,0x0d4c0000,0x7fff4400,0x7ffd400f,
    0x3f20005f,0x3e2004ff,0xff8806ff,0x70ffffff,0x80005fff,0xff52fffc,
    0xf98000df,0x7fdc07ff,0x3ffe04ff,0xfff9802f,0x3fff603f,0x7d40003f,
    0xff0006ff,0x3ffe63ff,0x00000007,0x3ffffc80,0x7ffffb00,0x3fff2000,
    0x3ffe2004,0xffff9006,0x3ff21fff,0x7e40002f,0xdfff53ff,0xfff98000,
    0xffffd807,0x05ffff03,0x41ffff60,0x003ffffd,0x06fffa80,0x23ffff00,
    0x0007fff9,0x7cc00000,0x22006fff,0x000fffff,0x004fffc8,0x401bffe2,
    0xfffffff8,0x005fff90,0x53fffb80,0x9999ffff,0x99999999,0x1fffe659,
    0x3ffffa20,0x02ffff81,0x87ffff30,0xfffffffb,0xffffffff,0xf50fffff,
    0x3e000dff,0xfff31fff,0x7e40000f,0xffffffff,0x3fa4ffff,0x5c001fff,
    0x8005ffff,0x2004fffc,0x2006fff8,0x0ffffffc,0x0005fffb,0xf53fffb8,
    0xffffffff,0xffffffff,0x01fffe69,0x07ffffcc,0x800bfffe,0x7dc6fffe,
    0xffffffff,0xffffffff,0xfff50fff,0x3ffe000d,0x0ffff31f,0x7ffe4000,
    0xffffffff,0xffff94ff,0x3ffa000b,0x7e4002ff,0x3e2004ff,0x3e6006ff,
    0xfb0fffff,0xb80003ff,0xfff54fff,0xffffffff,0x29ffffff,0x2007fff9,
    0x7c5ffffb,0x2a002fff,0x3ee2ffff,0xffffffff,0xffffffff,0xfff50fff,
    0x3ffe000d,0x0ffff31f,0x7ffe4000,0xffffffff,0xffff9cff,0xff50000f,
    0x64001fff,0x22004fff,0x6c006fff,0xfb0fffff,0xb80003ff,0xfff54fff,
    0xffffffff,0x29ffffff,0x4007fff9,0x3e4ffffd,0x74002fff,0x3fee6fff,
    0xffffffff,0xffffffff,0xdfff50ff,0x3fffe000,0x00ffff31,0x7fffe400,
    0xffffffff,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccccc0,0x99999999,0x26660999,
    0x99999999,0x10999999,0x33333333,0x99880001,0x99999999,0x09999999,
    0x0aaaa200,0x4cccccc0,0x00009999,0x33333100,0x10000001,0x80133333,
    0x99999999,0x99999999,0x30019999,0x00137995,0x88030000,0xffffffff,
    0xffffffff,0xfffff13f,0xffffffff,0x3ea9ffff,0xffffffff,0x000acdef,
    0xfffffffd,0xffffffff,0xf7100dff,0xf300dfff,0xffffffff,0x003bdfff,
    0x3ffff200,0x4000005f,0x2ffffff8,0x3ffffe60,0xffffffff,0x7fffffff,
    0x3ffff620,0x001effff,0x405fb000,0xfffffff8,0xffffffff,0xffff13ff,
    0xffffffff,0x2a9fffff,0xffffffff,0x2fffffff,0xfffffe80,0xffffffff,
    0x5c06ffff,0x06ffffff,0xffffff98,0xffffffff,0x7c0002ef,0x007fffff,
    0x7ffec000,0x3e602fff,0xffffffff,0xffffffff,0xff507fff,0xffffffff,
    0x400007ff,0x101fffe8,0xffffffff,0xffffffff,0x3fffe27f,0xffffffff,
    0xf54fffff,0xffffffff,0xbfffffff,0x7ffff401,0xffffffff,0x506fffff,
    0xfffffffd,0xffff300d,0xffffffff,0x003fffff,0x3ffffe60,0x000002ff,
    0xfffffff5,0x7fffcc05,0xffffffff,0xffffffff,0xfffffc87,0xfffffeef,
    0xf980005f,0xf103ffff,0x55559fff,0x55555555,0x2ffffe23,0xaaaaaaaa,
    0xff51aaaa,0x975555ff,0xffffffdb,0x2aaaaa07,0xadfffeaa,0x542aaaaa,
    0xfffffffe,0xff9806ff,0xaaaaaaff,0xffffffdc,0xfffc8000,0x0005ffff,
    0xfffff880,0x32202fff,0xcccccccc,0xdccccccc,0x7fd46fff,0xfe981eff,
    0x20002fff,0x02fffffa,0x007fffe2,0x07fff880,0x37ffd400,0x7ffff4c0,
    0x7fe4000f,0xffe9804f,0xffedffff,0xfff9806f,0xfffd8807,0xfff8004f,
    0x007fffbf,0xcfffd800,0x0002ffff,0x1fffec00,0x009ffff1,0x000dfffb,
    0x07fffff2,0x03ffff10,0x3fffc400,0x3ffea000,0x3ffee006,0x7fe4005f,
    0xfffb804f,0xfffb1eff,0xffff300d,0x37fff400,0x57ffe600,0x0002ffff,
    0x7dbffea0,0x00002fff,0x83fffe60,0x2006fffd,0x4002ffff,0x00effffd,
    0x01ffff88,0x1fffe200,0xdfff5000,0xffffb800,0x3fff2001,0xefff8804,
    0x037ffec2,0x003fffcc,0x800ffff7,0xffb3fffc,0x2200009f,0xfff1fffe,
    0x4000005f,0x7fc4fffd,0x3f2002ff,0xfd1006ff,0x4400bfff,0x0001ffff,
    0x001fffe2,0x00dfff50,0x06ffff88,0x013fff20,0xffd817e4,0xfff9806f,
    0x3ffe6007,0x3ffe000f,0x0ffff50f,0x3fff2000,0x00bfffe4,0x7ffcc000,
    0x3fffe20f,0x3ffe2000,0x7ffcc01f,0x7c4003ff,0x20001fff,0x0007fff8,
    0x0037ffd4,0x00ffffdc,0x004fffc8,0x6fffd801,0x07fff980,0x01fffea0,
    0x226fff98,0x0002ffff,0xf077ffcc,0x00005fff,0x513fff60,0xd000ffff,
    0x7d407fff,0x8002ffff,0x001ffff8,0x01fffe20,0x0dfff500,0x7ffff100,
    0x13fff200,0x7ffec000,0x7fff9806,0x1bfff200,0x43fffc80,0x0004fffd,
    0x3e17fff4,0x00002fff,0x40ffff98,0x8006fffb,0xf704fffd,0x0003dfff,
    0x007fffe2,0x07fff880,0x37ffd400,0x4fffe800,0x09fff900,0x3fff6000,
    0x7fff9806,0x7fffd100,0x0ffffc00,0x001fffee,0xf85fffb8,0x00002fff,
    0xb84fffd8,0xc8006fff,0xffd85fff,0x20000dff,0x001ffff8,0x01fffe20,
    0x0dfff500,0x17fff600,0x027ffe40,0x6fffd800,0x07fff980,0x01ffffb0,
    0x21bffe60,0x001ffff8,0x80ffff88,0x0002ffff,0x07fffcc0,0x003fffd4,
    0xd137ffdc,0x0009ffff,0x03ffff10,0x3fffc400,0x3ffea000,0xfff90006,
    0x3fff200d,0xffb00004,0xfff300df,0x7ffdcc0f,0x3f2001ff,0xfffd04ff,
    0xfffd0009,0x0bfffe05,0xfffb0000,0x3fffe20b,0x7ffdc002,0x7fffff36,
    0x3fe20000,0xaaaaacff,0x22aaaaaa,0xfffffff8,0xffffffff,0x1bffea7f,
    0x3fffdc00,0x04fffc80,0xdfffb000,0xdffff300,0xfffffddd,0xf8001bff,
    0xff701fff,0xffb800ff,0x3fffe05f,0x3e200002,0x3fa01fff,0x7e4006ff,
    0xfffd37ff,0x2200009f,0xffffffff,0xffffffff,0x3ffffe26,0xffffffff,
    0x3fea7fff,0xff50006f,0xff9001ff,0x3600009f,0xf9806fff,0xffffffff,
    0x00cfffff,0x03fffcc0,0x003ffff3,0x803fffe2,0x0002ffff,0x017fff20,
    0x03dffff5,0x6ffffea8,0x37ffff62,0x7fc40000,0xffffffff,0x26ffffff,
    0xfffffff8,0xffffffff,0x1bffea7f,0x7fffd400,0x4fffc800,0xfffb0000,
    0xffff300d,0xffffffff,0x001bffff,0xd013fff2,0x36009fff,0x7fc03fff,
    0x100002ff,0xb003ffff,0x59bfffff,0xfffffb95,0xfff90dff,0x440001df,
    0xffffffff,0xffffffff,0x33fffe26,0xcccccccc,0x3fea4ccc,0xff50006f,
    0x3ff200ff,0xfb00004f,0xff300dff,0xd99999ff,0xdffffffd,0x5ffff003,
    0x07fffc80,0x805fffa8,0x0002ffff,0x00bfff90,0x3fffffa2,0xffffffff,
    0xf705ffff,0x0003ffff,0x007fffe2,0x07fff880,0x37ffd400,0x7fffb800,
    0x09fff900,0x3fff6000,0x7fff9806,0xffffeb80,0x3fffcc06,0x0ffffcc0,
    0x01ffff10,0x005ffff0,0x3ffff100,0xffffb800,0xbeffffff,0x2a05fffb,
    0x003fffff,0x01ffff88,0x1fffe200,0xdfff5000,0x3fff6000,0x9fff9006,
    0x3ff60000,0xfff9806f,0x3fff6007,0x3fff204f,0x9ffff005,0x01fffe40,
    0x002ffff8,0x06fffc80,0xffb95100,0x7fe4599d,0x7ff4c03f,0x7c4004ff,
    0x20001fff,0x0007fff8,0x0037ffd4,0x005fffe8,0x0009fff9,0x01bfff60,
    0x001fffe6,0x7c0dfffd,0xf9002fff,0x3fe60dff,0x3ffe006f,0x7c40002f,
    0x00002fff,0x03fffd00,0xbffffb10,0x3ffe2001,0x3e20001f,0x540007ff,
    0xf0006fff,0x32007fff,0x00004fff,0x300dfffb,0xb800ffff,0xf980ffff,
    0xccccdfff,0xffdccccc,0xfffe81ff,0xcccccccd,0xdffffccc,0x2002cccc,
    0x0006fffc,0xffff1000,0x7ffe4001,0xff8800ef,0x220001ff,0x40007fff,
    0x8006fffa,0x001ffffb,0x0009fff9,0x01bfff60,0x001fffe6,0x903ffff3,
    0xffffffff,0xffffffff,0xfff09fff,0xffffffff,0xffffffff,0x009fffff,
    0x00bfffe2,0x7fcc0000,0xffb8006f,0x7c401fff,0x20001fff,0x0007fff8,
    0x0037ffd4,0x003ffffc,0x0009fff9,0x01bfff60,0x001fffe6,0xf01ffff5,
    0xffffffff,0xffffffff,0xfff0dfff,0xffffffff,0xffffffff,0x009fffff,
    0x001bfff2,0xfffe8000,0xfff50002,0x7fc407ff,0x220001ff,0x40007fff,
    0x4006fffa,0x003ffffb,0x0013fff2,0x037ffec0,0x003fffcc,0x261bffee,
    0xffffffff,0xffffffff,0x7c1fffff,0xffffffff,0xffffffff,0x4fffffff,
    0x2ffff880,0xf9000000,0x98000dff,0x104ffffe,0x0003ffff,0x003fffc4,
    0x01bffea0,0x06ffffa8,0x027ffe40,0x6fffd800,0x07fff980,0x42ffff40,
    0x999dfffc,0x99999999,0x04ffff99,0x3fffe000,0xfff90002,0x2000000d,
    0x002ffffa,0x1fffe880,0x03ffff10,0x3fffc400,0x3ffea000,0xffff9006,
    0xffc8003f,0xfb00004f,0xff300dff,0x7fe400ff,0xffff82ff,0xfffb0003,
    0x7fc0000d,0xf88002ff,0x00003fff,0x7fffecc0,0x7ec00004,0x3fffe201,
    0x3fe20001,0x7d40007f,0xd73106ff,0x009fffff,0x009fff90,0x1bfff600,
    0x01fffe60,0x17ffff66,0x003fffe6,0x0ffffd40,0xffff8000,0xfffc8002,
    0x31000007,0x0dfffffb,0x10020000,0x0003ffff,0x667fffc4,0xcccccccc,
    0xfff52ccc,0xfffb999f,0x05ffffff,0x6666665c,0xcccefffe,0x3bb23ccc,
    0xfffeeeee,0xeeeeeeff,0x99ffff35,0xffddb999,0x3f20dfff,0x220005ff,
    0x0003ffff,0x005ffff0,0x03ffff88,0x3b332a00,0xfffffffe,0x000000df,
    0x3ffff100,0x7ffc4000,0xffffffff,0x54ffffff,0xffffffff,0xdfffffff,
    0xffffe803,0xffffffff,0x366fffff,0xffffffff,0xffffffff,0xffff36ff,
    0xffffffff,0x201bffff,0x0003fffe,0x0037ffec,0x02ffff80,0x07fffe40,
    0xffffb000,0xffffffff,0x00000007,0x01ffff88,0x3fffe200,0xffffffff,
    0xf54fffff,0xffffffff,0x005bffff,0x3ffffffa,0xffffffff,0x3ff66fff,
    0xffffffff,0xffffffff,0xffffff36,0xffffffff,0x7ffcc03b,0x7d40000f,
    0x80001fff,0x2002ffff,0x004ffff8,0x7ffffec0,0x003effff,0xf1000000,
    0x40003fff,0xfffffff8,0xffffffff,0xffff54ff,0x799ddfff,0xfffe8001,
    0xffffffff,0x26ffffff,0xfffffffd,0xffffffff,0xfff36fff,0xbdffffff,
    0xff900159,0xf10000df,0x00007fff,0x4005ffff,0x000ffffc,0x777ffec0,
    0x00000ace,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000c0000,0x2aa60000,0x26200000,
    0x00019aaa,0x00005544,0x20000000,0x80019a98,0x009aaaa9,0x00d4c000,
    0x20155100,0x20000a98,0x00009aa8,0xdd100000,0x2fd41ddd,0xd9300000,
    0x7dffffff,0xffec8800,0xefffffff,0xffdb8801,0x402dffff,0x4007fff8,
    0x8800ffff,0xffffffdb,0xeca80bdf,0xffffffff,0x9fff103f,0xffffdb88,
    0x2ffe80df,0x50bffff2,0xf88bffff,0x7ff543ff,0xf303ffff,0x20007fff,
    0x3e27fffc,0xff50ffff,0x800001df,0xfffffffb,0x800effff,0xfffffffb,
    0x01ffffff,0x7fffff4c,0x00dfffff,0x800ffff1,0x5c00ffff,0xffffffff,
    0x7f43ffff,0xffffffff,0x442fffff,0x3fa64fff,0xefffffff,0xfd97ff41,
    0xf50fffff,0x44bfffff,0xffb14fff,0xbfffffff,0x0dfffd01,0x93fffa00,
    0x90fffff8,0x003dffff,0xffffd100,0xffffffff,0x7fec07ff,0xffffffff,
    0x2a01ffff,0xffffffff,0x81ffffff,0x4007fff8,0xb100ffff,0xffffffff,
    0xe87fffff,0xffffffff,0x1fffffff,0x7dd3ffe2,0xffffffff,0x57ff47ff,
    0xfffffffa,0xffffff8b,0x9fff10ff,0xffffffd1,0x709fffff,0x8003ffff,
    0x7c1ffff9,0x7fdc7fff,0x40002fff,0xabefffff,0xffffdb98,0xffffa81f,
    0x733109ad,0x3fee03d9,0x93109dff,0xf10dffff,0xff800fff,0xfff880ff,
    0xa99bdfff,0x7f43ffcb,0x9899abdf,0x0effffea,0xff5bfff1,0xfb5359ff,
    0x7ff47fff,0xff89efeb,0xc8bffccf,0xfff13fff,0x35bfffdb,0x1fffff73,
    0x04ffff88,0x437ffe40,0xf987ffff,0x0003ffff,0x807ffff9,0xf86ffffb,
    0x80004fff,0x404ffff8,0x443ffffa,0x7c007fff,0xffd80fff,0x2a800eff,
    0xfb800564,0xfff13fff,0x201dffff,0x3fa6fffd,0x3f20ffef,0x3e63ffef,
    0xffff14ff,0x3e605fff,0xffc84fff,0x7ffc007f,0x6ffff82f,0xbffffd10,
    0xffff8800,0xffff5002,0x07fffc45,0x7ffdc000,0xffff5005,0x03fffc41,
    0x503fffe0,0x0009ffff,0xfffb0000,0x3ffffe29,0x3fe600df,0xffffd1ff,
    0x6ffffb87,0xf8afffc4,0x401fffff,0xf985fffc,0xf5002fff,0x3ffa0fff,
    0x3ff6206f,0xfb000eff,0xfe800bff,0x3ffe66ff,0xff880007,0x3fa000ff,
    0x3ffe23ff,0x7fffc007,0x1bfffa20,0x54000000,0xfff16fff,0x3fa00bff,
    0xffffd1ff,0x05ffff70,0x3fe2bfff,0xf9802fff,0xfffd06ff,0x3fff600b,
    0x0bfffd04,0x3dffff90,0x2ffff880,0x7fffd400,0x05ffff10,0x5fffb800,
    0x27ffdc00,0x800ffff1,0x3ea0ffff,0x00001fff,0xffff3000,0x03bfffe2,
    0xe97ffec0,0xffb83fff,0x2bfff06f,0x003ffff8,0x2e0ffff1,0x4400ffff,
    0xfb01ffff,0x3ee00bff,0x2602ffff,0xf0006fff,0x7ff43fff,0x320003ff,
    0x54003fff,0x3fe25fff,0x7ffc007f,0x17fff20f,0x88000000,0xfff17fff,
    0x7fec001f,0x01fffd3f,0x3e07fff7,0xffff15ff,0x0ffff800,0x03ffff88,
    0xb037ffdc,0x4c009fff,0x503fffff,0x2000bfff,0x3ea2fffe,0x01bfffff,
    0x00ffff40,0x89bffe60,0x7c007fff,0x3ff60fff,0x0000004f,0xff533331,
    0x1fffe2ff,0x21333100,0xff707ffe,0x57ffe05f,0x4007fff8,0xfb00ffff,
    0xffe80dff,0x3fff203f,0x7ff44004,0xfffb84ff,0xfffb0004,0xfffffc87,
    0xf800beff,0xeeeeefff,0xeeeeeeee,0x3fe27fff,0x7ffc007f,0x0bfffe0f,
    0x37260000,0xfffffffe,0xfff17fff,0x3fa0000f,0x5fff707f,0x7c57ffe0,
    0x7fc007ff,0xfff300ff,0x3ffe601f,0x2aaa600f,0xffd88001,0x3ff60dff,
    0xff90003f,0xffff509f,0x07dfffff,0x3fffffe2,0xffffffff,0x0fffffff,
    0x800ffff1,0xff10ffff,0x400003ff,0xffffffea,0xffffffff,0x00ffff17,
    0x41fffa00,0xff02fffb,0x1fffe2bf,0x01ffff00,0xc81ffff4,0x00005fff,
    0x3ffff200,0x07fffb1e,0x13fff200,0x7ffff5c4,0x441effff,0xffffffff,
    0xffffffff,0xf10fffff,0xff800fff,0xffff10ff,0x3f200001,0xffffffff,
    0x7fffffff,0x000ffff1,0x5c1fffa0,0xfff02fff,0x01fffe2b,0x401ffff0,
    0xff06fffb,0x000003ff,0x77fffdc0,0x009fff90,0x00ffff60,0x3fffff26,
    0x7ffc2fff,0xaaaaaabf,0xaaaaaaaa,0x1fffe22a,0x41ffff00,0x0002ffff,
    0xbfffffa8,0xffff1019,0x001fffe2,0xb83fff40,0xfff02fff,0x01fffe2b,
    0x401ffff0,0x541ffff8,0x00006fff,0x3ffff600,0x17ffee0d,0x17fff400,
    0x3fff2600,0x3ffa0fff,0x2200002f,0x7c007fff,0x3ffa0fff,0x7c40003f,
    0x8800dfff,0xfff17fff,0x3fa0000f,0x5fff707f,0x7c57ffe0,0x7fc007ff,
    0x7fec00ff,0x1fffec4f,0x74400000,0xfa84ffff,0xff0006ff,0x220001ff,
    0x363ffffd,0x00003fff,0x001fffe2,0x7ec1ffff,0x540004ff,0x1000ffff,
    0x3fe2ffff,0xfd00007f,0x3ffee0ff,0x22bfff02,0x7c007fff,0x7d400fff,
    0x3ffe27ff,0x4000000f,0x03fffff9,0x003ffff3,0x007fffa8,0x25fffe80,
    0x0005fffc,0x03fffe20,0x07fffdc0,0x001ffff9,0x02fffe40,0x22ffff10,
    0x00007fff,0x3ee0fffd,0xbfff02ff,0x001fffe2,0xf001ffff,0x3fee5fff,
    0x4000005f,0x01fffffa,0x002ffffc,0x0013fffa,0xa97ffee0,0x0001ffff,
    0x007fffe0,0x83ffffea,0x004ffffa,0x013fff60,0xf17fffb8,0x20000fff,
    0xff707ffe,0x57ffe05f,0x4007fff8,0xc800ffff,0xfffb5fff,0x64000005,
    0x800effff,0x001ffffb,0x001ffff7,0x89fff900,0x0006fffe,0x013fffa0,
    0x1ffffff5,0x01ffffe8,0x0bfff900,0xfffffb10,0x001fffe2,0xb83fff40,
    0xfff02fff,0x01fffe2b,0x001ffff0,0xff1ffff1,0x200000ff,0x0dffffd8,
    0x3ffffa00,0x7fffe403,0x7cc00043,0x7fd43fff,0x80001eff,0x700ffffc,
    0x1fffffff,0x4fffff98,0x3fee5500,0x3fea01ff,0xff17ffff,0x3a0000ff,
    0xfff707ff,0x457ffe05,0x7c007fff,0xfb000fff,0x09fffdff,0xffd10000,
    0xf50009ff,0x137bffff,0xdffffd75,0x3559df90,0xffb53313,0x3ff60dff,
    0x209adfff,0x986dca99,0x99bfffff,0xfdefffea,0xfffc80ff,0xa9abceff,
    0xff33ffdb,0x73137fff,0xfffffffd,0x01fffe2f,0x83fff400,0xff02fffb,
    0x1fffe2bf,0x01ffff00,0x3ffffea0,0x400000ff,0x03fffff9,0x3fffee00,
    0xffffffff,0xffc80dff,0xffffffff,0x01ffffff,0xffffffb1,0xffffffff,
    0x3fff20df,0xffffffff,0x80fffd8e,0xffffffc8,0xffffffff,0x3fffff23,
    0xefffffff,0xff17ffe9,0x3a0000ff,0xfff707ff,0x457ffe05,0x7c007fff,
    0x3e000fff,0x005fffff,0x7fffdc00,0xe980001f,0xffffffff,0x3f203fff,
    0xffffffff,0x00efffff,0xffffffb8,0xffffffff,0xffffb106,0x21bfffff,
    0x2600fffc,0xfffffffe,0x223fffff,0xfffffffd,0x3ff64fff,0x00ffff17,
    0x41fffa00,0xff02fffb,0x1fffe2bf,0x01ffff00,0x7ffffe40,0x3f200002,
    0x0000efff,0x7ffff5c0,0x5401ceff,0xffffffed,0x001dffff,0x7ffff644,
    0x2cefffff,0x7ffffdc0,0x7ffe42ef,0xffedb800,0x0adfffff,0xfffffea8,
    0xbffec2de,0x0007fff8,0x2e0fffd0,0xfff02fff,0x01fffe2b,0x001ffff0,
    0x03ffffcc,0x3ffe6000,0x4000000d,0x20001aa8,0xaaaaa998,0x26200000,
    0x00019aaa,0x00015531,0x04cd4400,0x002aa600,0x00000000,0x00000000,
    0x00000000,0x004f9800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00080000,0x00000000,0x00000000,
    0x20000000,0x0002ccca,0x003bba20,0x01998800,0x05995000,0xfffffffd,
    0xffffffff,0x3b2bffff,0x77542eee,0x000004ee,0x00375100,0x3ffe0000,
    0xff880007,0x7fffec7f,0xffffffff,0x5c3fffff,0x4005ffff,0x005ffffa,
    0x001fffe4,0x01fff100,0x7ffec000,0x7fdc0003,0x7fff44ff,0xffffffff,
    0xffffffff,0x85ffffb5,0x505ffffb,0x0019dfd9,0xbffff500,0xe8000001,
    0x40000fff,0x7ec6fff9,0xffffffff,0xffffffff,0x3ffffd83,0xdffff100,
    0xfffc8001,0x3e200003,0x2a00007f,0x000fffff,0xffffff10,0x7fffff45,
    0xffffffff,0xb5ffffff,0xfa85ffff,0xffd84fff,0x803fffff,0xff11ccc9,
    0x0009ffff,0x1fffd800,0x7ffd4000,0x7ffffec5,0xffffffff,0xf883ffff,
    0xd800ffff,0x8001ffff,0x0003fffc,0x0003ffc0,0xbfffffd0,0x3ffe2000,
    0x332e6fff,0xcccccccc,0xcccccccc,0x3ffff93c,0x44ffffa8,0xfffffffd,
    0x7fdc05ff,0xfffff71f,0x800000ff,0x0002fffc,0x2627ffd4,0xaaaaaaaa,
    0xfffeaaaa,0xffff301f,0xffffa80d,0xfff90003,0x207b0007,0x00b906ff,
    0x7fe77fdc,0xfff0001f,0x0000ffff,0x3ffff900,0x23ffff98,0xfefffffa,
    0x3205ffff,0xfff90fff,0x0003ffff,0x1fffdc00,0x3ffee000,0x7fcc0003,
    0x7fe403ff,0xfff103ff,0x7e4000bf,0x7d4003ff,0x237f41ef,0x8802ffe9,
    0xdffd2fff,0x3ffee000,0x00000fff,0x07fffdc0,0xd8ffffe6,0xfb10cfff,
    0xff01bfff,0x7fffdcff,0x000007ff,0x0027ffd4,0x007fff20,0x5ffff880,
    0x3ffffb00,0x01dfffb0,0x1fffe400,0x3ffffa00,0xffc97f63,0xffc806ff,
    0x00fffea6,0x7fffff40,0x5c000000,0x7c40ffff,0xfff12fff,0x3ffff20d,
    0xfffea8ae,0x3ffffe24,0x4000004f,0xf305fff8,0x3ff601ff,0x3fa0000f,
    0xf1000eff,0xffa8dfff,0x640001ff,0xb8003fff,0xfd9effff,0xbffffe9d,
    0x0fffcc00,0x0003fffa,0x01ffffe6,0x3fea0000,0xffff887f,0x409fff32,
    0xfffffffc,0x74c0ffff,0x00004fff,0x20dfff00,0xfd03fffc,0x7e4000ff,
    0x54001fff,0xff14ffff,0x900007ff,0x40007fff,0xeffffffb,0x2003ffff,
    0xff985ffd,0xff88005f,0x3332e5ff,0xcccccccc,0xcccccccc,0x20ffff53,
    0xff31ffff,0xfffb807f,0x03ffffff,0x000002a6,0xd07ffe80,0x3fe0bfff,
    0xff50006f,0x320005ff,0xffd9ffff,0xf900005f,0x700007ff,0x7fffffff,
    0x1fffa800,0x005fff90,0x24ffff88,0xfffffffe,0xffffffff,0xff35ffff,
    0x3fffe0df,0x00155511,0xffffffd5,0x00000005,0x81fffb00,0x40fffff9,
    0x8005fff8,0x004ffff9,0x7fffff40,0xed800eff,0xfeeeeeee,0xeeeeefff,
    0xa805eeee,0x001fffff,0x2204ffe8,0x5c006fff,0x3fa0ffff,0xffffffff,
    0xffffffff,0xdfff35ff,0x003fffa0,0x2b372a00,0x00000000,0x83fff900,
    0x43fffffb,0x4004fff9,0x006fffe8,0xfffff880,0xfff001ff,0xffffffff,
    0xffffffff,0x74c0ffff,0xdfffffff,0x1fff7001,0x03fffb80,0x85ffff70,
    0xeeeeeeec,0xeeeeeeee,0x5514eeee,0x0aaaa055,0x00000000,0x2e000000,
    0x7ff42fff,0x7fd46fff,0x7fec003f,0x500000ff,0x007fffff,0x7ffffffc,
    0xffffffff,0x7fffffff,0xeefffea8,0x1dfffeef,0x013ffe20,0x4c07fff4,
    0x5ffffeb9,0x00000000,0x00000000,0x00000000,0x263fffa8,0x1fffafff,
    0x8007ffee,0x002ffffb,0x3fffee00,0x3bb6003f,0xffeeeeee,0xeeeeeeff,
    0x3faa5eee,0x2bfb3fff,0x82effffb,0x5000fffc,0xff98bfff,0x00cfffff,
    0x3eeeed98,0x33333320,0xcccccccc,0xcccccccc,0x0004cccc,0x00000000,
    0x24fff980,0xfff8dffb,0x003fff23,0x027fffcc,0xffff3000,0x00003fff,
    0x001fffe4,0xe837fff6,0x3fffa65f,0x01fffcc4,0x98bfff60,0x01efffff,
    0x7ffff4c0,0xffffff03,0xffffffff,0xffffffff,0x000dffff,0x00000000,
    0xe97ffe00,0x4dffb3ff,0xf1007ffc,0x0000bfff,0x7fffff44,0x00000eff,
    0x8007fff9,0x6fe82ff9,0x7ec0ffb8,0xff98006f,0x337be66f,0x3f620002,
    0xfff83fff,0xffffffff,0xffffffff,0x6fffffff,0x00000000,0xffd00000,
    0x543ffe2d,0xdffb1fff,0x3ffff600,0x3f600000,0xffff9fff,0xff900005,
    0x0170007f,0x014c1bfe,0x00000000,0xffffb800,0x77777743,0xeeeeeeee,
    0xeeeeeeee,0x0005eeee,0x00000000,0x2efffb00,0x3ffe25ff,0x900bffd4,
    0x0003ffff,0x8ffffdc0,0x004ffffa,0x03fffc80,0x03ffc000,0x00000000,
    0xfe980000,0x000003ff,0x00000000,0x20000000,0xffe8fffc,0xffbffec3,
    0x7ffd404f,0x2600003f,0x7e44ffff,0x40002fff,0x0003fffc,0x001ffe20,
    0x00000000,0xffd88000,0x0000003f,0x00000000,0xf7000000,0x81fff5ff,
    0xfffafffa,0x3fffe203,0x3e200005,0xfe886fff,0x20000fff,0x0003fffc,
    0x003ffe20,0x00000000,0x00000000,0x00000000,0x00000000,0x37ffea00,
    0xdfff05ff,0x7f403fff,0x00000eff,0x407ffffa,0x006ffff9,0x00ffff20,
    0x02aa8800,0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,
    0x3ff607ff,0xf900ffff,0x9999bfff,0x99999999,0xffff9019,0xffffb807,
    0xfff90005,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff000,0x3ffea01f,0x3ffe07ff,0xffffffff,0xffffffff,0x2ffffd41,
    0x3ffffe80,0x3fffc800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5fffff80,0x37ffffc0,0xfffffff0,0xffffffff,0x7cc3ffff,
    0x1000ffff,0x003fffff,0x002ccca8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x403ffffd,0x205ffffc,0xffffffff,0xffffffff,
    0xffd11fff,0xfb8005ff,0x0000ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_49_usascii_x[95]={ 0,10,6,1,2,0,1,10,7,6,3,2,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,5,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1, };
static signed short stb__consolas_49_usascii_y[95]={ 36,2,2,4,0,1,2,2,0,0,2,11,28,20,
28,2,4,4,4,4,4,4,4,4,4,4,11,11,9,17,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,42,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-4,1,17, };
static unsigned short stb__consolas_49_usascii_w[95]={ 0,7,15,25,23,27,26,7,14,14,21,23,13,15,
9,22,23,21,22,21,25,20,23,22,23,22,9,13,19,21,19,16,27,27,22,22,24,19,19,24,23,19,17,23,
19,25,23,25,22,26,22,22,23,23,27,25,27,27,23,13,22,13,23,27,16,20,22,20,21,23,26,23,21,20,
18,22,20,23,21,23,22,21,21,19,23,21,25,27,25,25,21,19,5,19,25, };
static unsigned short stb__consolas_49_usascii_h[95]={ 0,35,12,32,42,36,35,12,47,47,21,24,17,5,
9,40,33,32,32,33,32,33,33,32,33,32,26,34,28,12,28,35,45,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,41,32,33,32,33,32,32,32,32,32,45,40,45,17,4,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,33,26,25,25,25,35,25,45,50,45,11, };
static unsigned short stb__consolas_49_usascii_s[95]={ 249,123,203,203,152,25,53,247,22,7,121,
97,167,240,245,203,97,86,170,167,159,189,210,185,1,208,240,242,231,181,1,
80,76,131,108,74,41,21,1,25,193,66,234,123,103,77,53,118,217,176,147,
144,29,50,149,177,1,121,229,124,226,138,143,198,181,132,176,111,220,65,1,
1,28,199,37,50,73,175,199,21,153,131,153,45,94,89,221,21,71,97,49,
56,1,104,219, };
static unsigned short stb__consolas_49_usascii_t[95]={ 1,52,252,125,1,52,52,225,1,1,252,
252,252,186,252,1,125,192,159,89,192,89,89,192,125,192,159,52,192,252,225,
52,1,192,192,125,192,192,192,125,159,192,89,159,159,159,159,89,159,1,159,
89,159,125,125,125,159,125,125,1,1,1,252,265,265,225,52,225,52,225,89,
52,89,52,1,89,89,225,225,225,52,52,225,225,89,225,225,252,252,52,252,
1,1,1,252, };
static unsigned short stb__consolas_49_usascii_a[95]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_49_usascii_BITMAP_HEIGHT or STB_FONT_consolas_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_49_usascii(stb_fontchar font[STB_FONT_consolas_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_49_usascii_BITMAP_HEIGHT][STB_FONT_consolas_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_49_usascii_s[i] + stb__consolas_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_49_usascii_t[i] + stb__consolas_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_49_usascii_x[i];
            font[i].y0 = stb__consolas_49_usascii_y[i];
            font[i].x1 = stb__consolas_49_usascii_x[i] + stb__consolas_49_usascii_w[i];
            font[i].y1 = stb__consolas_49_usascii_y[i] + stb__consolas_49_usascii_h[i];
            font[i].advance_int = (stb__consolas_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_49_usascii_s[i] + stb__consolas_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_49_usascii_t[i] + stb__consolas_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_49_usascii_x[i] + stb__consolas_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_49_usascii_y[i] + stb__consolas_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_49_usascii_LINE_SPACING
#endif

