// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_36_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_36_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT        174
#define STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_36_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_36_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_36_usascii_LINE_SPACING          24

static unsigned int stb__consolas_bold_36_usascii_pixels[]={
    0x00017bba,0x01800000,0x82ee2000,0x000abcc8,0x3333332a,0x2a2002cc,
    0x999934cb,0x40079999,0x40001ccb,0x00000099,0x3b25ddd7,0x000002ee,
    0x00400033,0xf8000000,0x007a66ff,0x800f5400,0xbdfffec8,0xfff10000,
    0x3fffe23f,0xffc800cf,0x04ffffff,0x7ffffd88,0xfffffff5,0x7ff400df,
    0x7f644001,0x001defff,0x1ffff100,0x001bffea,0x7fff6440,0x3eeeeeef,
    0x06fffec4,0x440bbb60,0xff003ffc,0x07ffe6df,0x3fff5000,0xfffffa80,
    0x8000efff,0xf15ffffc,0x00dfffff,0xfffffff9,0xfff8809f,0xfff57fff,
    0x00dfffff,0x30007ffc,0xfffffffd,0x700007ff,0xffe8bfff,0x7dc0001f,
    0xffffffff,0x3e64ffff,0x00ffffff,0x7ec0dff9,0xff803fff,0x3ffffb6f,
    0x3ffea000,0x3fff204f,0xefffffff,0x7ffec000,0xffdb916f,0xffc809ff,
    0x03eeeeef,0x6f7fffec,0xfddddd34,0x3e200dff,0x3fee007f,0xffffffff,
    0x740004ff,0x7fdc1fff,0x3ea0004f,0xfffeffff,0x364fffff,0x4fffcfff,
    0x101fff98,0x00ffffff,0x3fa2dfff,0x4c001fff,0x2a04ffff,0x930affff,
    0xa800bfff,0xf703ffff,0x7e401fff,0x7cc002ff,0xf1002fff,0x6dd40dff,
    0x0acdfffe,0xdfffff10,0xfffffdb9,0x3fe60003,0xffff886f,0xffff0000,
    0x7fffdc49,0x1fff1099,0x3fa1ffea,0x3ffe204f,0xfff807ff,0x1bfffa26,
    0x0bfffd00,0x8077ffc4,0x4000fffd,0x7ec04ffb,0x3ff201ff,0x7fdc002f,
    0x3fe2004f,0xfffea86f,0x2fffffff,0x05ffff90,0x00bffff7,0x40ffff60,
    0x8003fffc,0xfb06fff9,0x6ff987ff,0xff71ffe2,0xffffd00d,0x8dfff00b,
    0x004ffff8,0xd80dfff9,0x7f400fff,0x2000003f,0x3202fffb,0x64002fff,
    0x22002fff,0x7fe46fff,0xffffffff,0xfff882ff,0x3fff203f,0x7fc4001f,
    0x3ffe607f,0xfffa8007,0x89fff503,0x7ffc5ffa,0x003fff30,0x001dffd3,
    0xff50dfff,0xffa803ff,0x3fe601ff,0x6ffc803f,0x3ea00000,0x3ff203ff,
    0x7fec002f,0x3fe2000f,0x3fffea6f,0xfeefffef,0x7fffc82f,0x27fffcc0,
    0x13fff200,0x005fffb0,0x504fffb8,0xff989fff,0xfe9ffe67,0x004c004f,
    0x360dfff0,0x7fc06fff,0x7fec04ff,0x1fff5006,0x3bbbbba6,0x02eeeeee,
    0xc80fffea,0x6c002fff,0x22000fff,0x3ffe6fff,0x21ffd1ef,0xfffd81a8,
    0x5fffe805,0x07fffc00,0x01bffea0,0x20ffff30,0x7c42fffc,0x5ffd9cff,
    0x0001dff7,0x06fff800,0x205ffff3,0x4406fffa,0x32e63fff,0xfff8db9b,
    0xffffff51,0x07ffffff,0x901fffd4,0xd8005fff,0x22000fff,0xfff16fff,
    0x803ffc7f,0xc803fffe,0x2a006fff,0xfd005fff,0xff8003ff,0x3fee1cff,
    0xfffc80ff,0xff88ffff,0x8000002f,0x3f206fff,0xfffb05ff,0x0fffb807,
    0xfffffff7,0x7fd4bffe,0xffffffff,0x3fea03ff,0x3fff204f,0x7ffec002,
    0x3ffe2000,0x25ffff56,0xff006ff8,0xff9005ff,0x7ff400ff,0xfff7002f,
    0xfffa8009,0xffffffff,0xffffb103,0x017ff63f,0x7ffc0000,0x3fffea06,
    0x07fffc40,0x7d57ff60,0xf6ffffff,0x2aaa25ff,0xffeaaaaa,0x3ffe603f,
    0x0bfff205,0x01fffd00,0x8b7ffc40,0xfa8effff,0xfff8805f,0xfffb801f,
    0xdfff3007,0x7fffc400,0x3ffee000,0x4fffffff,0x70aba980,0x00001fff,
    0x01bffe00,0xfb85ffff,0xfff806ff,0xff9fffd3,0x00fffadf,0x203fffe8,
    0x900ffff8,0x44005fff,0x44007fff,0x3ffe6fff,0x04ffefff,0x01ffff98,
    0x00ffffb8,0x003fffd8,0x801fffe4,0xffddfff8,0x20000cef,0x0002fff8,
    0x3e001573,0x7fe406ff,0x1fffec4f,0x26bffe20,0xbffd2fff,0xe8013ffa,
    0x7f403fff,0xffc81cff,0xff91002f,0xff8800bf,0x3fffee6f,0x400dffff,
    0x801ffff9,0x8807fffb,0x4000ffff,0x9006fff9,0x00001fff,0x0017ff60,
    0x0077ffd4,0x2e037ffc,0x7ff45fff,0x7ffd402f,0x3fe7ffc8,0x009ffd4f,
    0x201ffff4,0xeefffffa,0x405fff90,0xfffffee9,0x7ffc4001,0x7ffffe46,
    0x101dffff,0x9005ffff,0xf900dfff,0x3a0009ff,0xfe802fff,0x800000ff,
    0x0000fffa,0x00bfffff,0xfa80dfff,0x7fffc6ff,0xdb7fdc01,0x4fffe6ff,
    0x3a003ffe,0xd9803fff,0xf90fffff,0x7fd405ff,0x8000ceff,0xea86fff8,
    0xffffffff,0xffff885f,0x5fffc803,0x01ffff80,0x0bfff500,0x59ffffb0,
    0x00035555,0x54c5fff1,0xffff8009,0x7ffc00ff,0x3fffcc06,0x9003fffe,
    0x57ffadff,0xffd3fff8,0x7fff4005,0xfffea803,0x5fff90ff,0x7ffffd40,
    0xff88001d,0x3ff6a06f,0x85ffffff,0xe804ffff,0x7d404fff,0x7c0005ff,
    0x7d401fff,0xffffffff,0xb001cfff,0x3ffe6bff,0x7ff402ff,0x7fc02fff,
    0x7ffc406f,0x01fffe27,0x7ffd7ff2,0x3e5fff34,0x3fa002ff,0x7fdc03ff,
    0xf90cceff,0x6e4c05ff,0x001ffffe,0x2037ffc4,0xfffffff9,0x7fff43ff,
    0x7fffc407,0x17fff402,0x3ffee000,0xffffb804,0xffffffff,0x7ffd402f,
    0xffffff98,0x3ffe601f,0x7ffc02ff,0x3fffc406,0x801ffff1,0x7fff5ffd,
    0x3e27ffea,0x3fa001ff,0x7ffc03ff,0x5fff902f,0x2fffe400,0x1bffe200,
    0xfb3bff50,0xffa8dfff,0x3ff202ff,0x7ffcc07f,0xff880006,0x3fa200ff,
    0xfeeeeeff,0x100fffff,0x3ffa7fff,0x406ffead,0x401ffffa,0x7cc06fff,
    0x7fffc6ff,0xfa7fec01,0x1fff53ff,0x4001fff3,0x2203fffe,0x3f205fff,
    0x3e6002ff,0x7c4007ff,0x7fdc06ff,0x11ffffa3,0x703fffff,0xd807ffff,
    0x00003fff,0x7407fffb,0xf9103fff,0x3f605fff,0x21fff15f,0x7c407ff9,
    0xfff807ff,0x2fffd406,0xb00bfffa,0x53ffe9ff,0xffb8fffc,0x7fff4005,
    0x13ffe603,0x002fffc8,0x0007fffc,0xc80dfff1,0x3fff22ff,0xfffffc87,
    0xffffecce,0x3ffe200f,0xf300000f,0x3fea0dff,0xffff806f,0x30fffa83,
    0x0fff8dff,0x017ffea0,0xf701bffe,0xfffd89ff,0xeaffe403,0xffffadff,
    0x4003ffea,0x2a03fffe,0x3f203fff,0x7ec002ff,0x3e2000ff,0x7ff406ff,
    0x417fff61,0xfffffffd,0x401fffff,0x0004fffb,0x417fff40,0x4406fffc,
    0x7c41ffff,0x1bfe63ff,0x3ea01fff,0xff800fff,0x7fff406f,0x037ffe42,
    0x7fe5bff2,0xffffffff,0x7f4000ff,0x3fea03ff,0x3fff203f,0x7ffec002,
    0x3ffe2000,0x7fc15b56,0x9ffff90f,0x7fffff40,0x801fffff,0x0001ffff,
    0x42fffd40,0x103ffffb,0xf90ffffb,0x0fff88df,0xedc8fff3,0xf002ffff,
    0x7fc40dff,0x7ffcc0ff,0x5ffee00f,0xfbfffff9,0x8002ffff,0x2a03fffe,
    0x3f203fff,0x7ec002ff,0x3e2000ff,0xffff56ff,0xfffdfffd,0xda801dff,
    0x0befffff,0x06fffa80,0xffff0000,0xfffff881,0xfffedcef,0x7ffcc1ff,
    0xebeffe81,0x3ffe24ff,0x3e001dff,0x3fee06ff,0x7fffd04f,0xb87ffd40,
    0xbff91eff,0x3ffa0005,0x3ffea03f,0x0bfff203,0x01fffb00,0xab7ffc40,
    0xffffffff,0x00ffffff,0x01fffe60,0x005fffd0,0x3fff2000,0xfffffa84,
    0xffffffff,0x503ffe82,0x1fffffff,0x01677fc4,0xd037ffc0,0x3ee03fff,
    0xff300fff,0x0010085f,0x03fffe80,0xc80fffea,0x6c002fff,0x22000fff,
    0xfff56fff,0xffffffff,0xf880019f,0xf3001fff,0x00000fff,0x883fffc4,
    0xfffffffb,0xdff903ef,0xeffffa80,0xf8000080,0xfff906ff,0x7fffc40d,
    0x017ffe04,0x7ffc0000,0x3ffee02f,0x0bfff202,0x03fff900,0x8b7ffc40,
    0xffffecb9,0x20000bce,0x512ffffe,0x3fffc85d,0x7ec00000,0x4cc403ff,
    0x0000009a,0x00000133,0xf986fff8,0x7dc02fff,0xff901fff,0x8000001f,
    0x200ffff8,0x3201fffc,0x5c002fff,0x22003fff,0x3f606fff,0x2e00002f,
    0xffffffff,0xffff10ff,0x98000001,0x00006fff,0x00000000,0x86fff800,
    0xd004fffd,0x3e60dfff,0x04400eff,0x7ffe4018,0x3fffe607,0x0bfff200,
    0x1dfff500,0x1bffe200,0x0001ffe8,0x7ffffec0,0xdd54ffff,0x0000009d,
    0x0007bbb6,0x00000000,0xdfff0000,0x00efffc8,0x0bffff30,0x207bfffa,
    0x7dd01fc9,0xfffb3113,0x7e55449f,0x7e405fff,0x1aaaacff,0x5fffff40,
    0x7555512a,0x7fc0dfff,0x4400000f,0xfffffffb,0x00000004,0x00000000,
    0x00000000,0x3f26fff8,0x5c001fff,0xe884ffff,0xfeefffff,0xffd01fff,
    0xffffffff,0xfffff88d,0x7fe401ff,0x04ffffff,0x7fffffd4,0xffffff57,
    0x3fe20dff,0x22000007,0x000abcba,0x00000000,0x00000000,0xff000000,
    0x3fffeedf,0xfff70002,0xfffd109f,0x3fffffff,0x3fffffa0,0x441effff,
    0x02efffff,0xffffffc8,0xffb804ff,0xfff57fff,0x20dfffff,0x00002aa8,
    0x00000000,0x00000000,0x00000000,0x5bffe000,0x0002fffa,0x880fffdc,
    0xffffffec,0x3ffb201c,0x102fffff,0x40079dff,0xfffffffc,0xdb91004f,
    0x3fffeaff,0x0006ffff,0x00000000,0x00000000,0x00000000,0x7c000000,
    0x00bea6ff,0x000fe400,0x88001353,0x00001aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc0000,0x20000046,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001bffe0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09998000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xee800000,0x30001abc,0x40037997,0x801eeeea,0xd71eeee9,0x44003ddd,
    0x17500100,0x80130000,0x0004eeeb,0x3dddb000,0xb8098000,0x90004eee,
    0xdddddddd,0x02a20007,0x017bba60,0x7ffc0000,0x1002efff,0xbffffffb,
    0xffff1003,0xdfff900b,0x017fffdc,0xbffffd95,0x74405fb9,0x3ae01fff,
    0xfffb30ee,0xfff9019d,0x2000000b,0x4002fffe,0xefffffea,0x00bfff92,
    0x3fffffa0,0x22004fff,0xa801ffec,0x40006fff,0xff03ffc8,0x3dffffff,
    0x7ffffcc0,0x800fffff,0x400ffffc,0x3ee3ffff,0xfd881fff,0xffffffff,
    0x3fee02ff,0x3ff206ff,0xfffffb9f,0x7fe40eff,0x0000005f,0x2005fffd,
    0xffffffe9,0xbfff93ff,0x3fffa000,0x004fffff,0x007fffe2,0x001bffea,
    0x07ffffb0,0xffffffff,0x3ffa01ff,0xffffddff,0xffff9806,0x3fffea02,
    0x07fffee0,0xfffffff3,0x05ffffff,0x037fffe4,0xfffbfff9,0x8dffffff,
    0x0005fffc,0x5fffd000,0xffffd100,0x327fffff,0x70005fff,0xffff9999,
    0x7ffc4009,0xfffa801f,0x3fe20006,0xa9987fff,0x6fffffda,0x20efffa8,
    0x800ffffa,0x3605fffe,0x7fd45fff,0x7fff41ff,0xffb99adf,0x3fea02ff,
    0x3ff204ff,0xfccfffff,0x3f22ffff,0x000005ff,0x005fffd0,0x35bffff9,
    0x3ff25955,0x3600005f,0x22004fff,0xa801ffff,0x20006fff,0x07fffff8,
    0x5fffff30,0xe82fffc8,0xfb801fff,0xff880fff,0x7ffd42ff,0x3fffee1f,
    0x05fffd03,0x6404ffb8,0x20cfffff,0x326ffff8,0x00005fff,0x05fffd00,
    0x009ffff0,0x000bfff9,0x027ffec0,0x03ffff10,0x00dfff50,0x5ffffe80,
    0x3fffe600,0x417ffec4,0x8801fffd,0xfb83ffff,0xfffa87ff,0x17fffe0f,
    0x002fffe8,0x3ffff200,0x1ffff705,0x2217fff2,0xd0980000,0xf8805fff,
    0xfc800fff,0x004c45ff,0x027ffec0,0xfffddddb,0xdddddddf,0x01bffea1,
    0x1dffd300,0x6ffff800,0x2227ffe4,0x36007fff,0xffe86fff,0xffffa84f,
    0x03ffff30,0x0017fff4,0x1dfff900,0x47fffe60,0xd934fffc,0x20019dff,
    0xfffffeda,0x7d402fff,0xff9007ff,0x3fff669f,0x3ff6004f,0x3fffe04f,
    0xffffffff,0xff50ffff,0x3bba20df,0x001300de,0x51bfffa0,0x3a21ffff,
    0x26004fff,0x3e21ffff,0xff980fff,0xffff50ff,0x22fffe80,0xeeeeeeec,
    0x3fff203e,0x3fffe205,0xf59fff92,0x1dffffff,0x7fffec40,0x2fffffff,
    0x037ffd40,0xfbcfffc8,0x0effffff,0x04fffd80,0x3ffffffe,0xffffffff,
    0x0dfff50f,0x05ffffd1,0xfff10000,0xffff889f,0x0efffe9d,0x27fff400,
    0x260bfff7,0xff70ffff,0xfffe80ff,0x3fffffa2,0x3f204fff,0x7ffc05ff,
    0xfdfff93f,0xffffffff,0x3fffe60d,0xffffffff,0x7ffd402f,0xdfff9006,
    0xffffffff,0xfffb007f,0x5d555409,0xaaabffff,0xfff50aaa,0x5ffffb0d,
    0xfb100000,0xff505fff,0x1dffffff,0xffff7000,0x9817fff4,0x3ff27fff,
    0x7fff406f,0x3fffffa2,0x3f204fff,0x7ffc05ff,0xfffff92f,0xffff99ff,
    0xffffd05f,0xfff7335b,0x4cccc45f,0x999ffffb,0x3ff21999,0xfdcfffff,
    0xfd807fff,0x3e2004ff,0xfa801fff,0x7ffe46ff,0xd700003f,0xdfffffdd,
    0x7ffffec0,0x3e20004f,0xfff99fff,0x9fffe607,0x7407fffb,0x2aaa2fff,
    0x04fffeaa,0x8817fff2,0xff91ffff,0x7c419fff,0x7fdc6fff,0xfffd03ff,
    0x7ffffe45,0xffffffff,0x3fff27ff,0x3fea0cff,0x7fec00ff,0x3fe2004f,
    0xffa801ff,0x3fffee6f,0x3ee00004,0x1effffff,0xfffffd10,0xffb00005,
    0x09fff99f,0xf53fffc4,0x7fc40fff,0x7fec02ff,0x3fff204f,0x9fffea05,
    0x705ffffc,0x7fc1ffff,0x3ffa05ff,0x3ffff22f,0xffffffff,0x3ff27fff,
    0xfff885ff,0x7ffec01f,0x3ffe2004,0xfffa801f,0x0bffff36,0xfffb8000,
    0x3e604fff,0x46ffffff,0x9801fffc,0xffffffff,0x9fffe201,0xb01ffff9,
    0xd805ffff,0x3f204fff,0x3ffa05ff,0x3bfff26f,0x3ffff300,0x807fffe6,
    0x3f22fffe,0xffffffff,0x27ffffff,0xf00efffc,0xfd805fff,0x3e2004ff,
    0xfa801fff,0xffff8eff,0x0bbb2006,0x01dfffb8,0x7f7fff44,0x3ff65fff,
    0xfffd000f,0xf880dfff,0x3ffe26ff,0xffffc85f,0x7ffec02f,0x17fff204,
    0x91ffffdc,0x7c40bfff,0xfff52fff,0x2fffe80f,0x037ffd40,0x205fffc8,
    0x6c02fffe,0x22004fff,0xa801ffff,0xfffeffff,0xfffb000e,0x3ffea07f,
    0xefffc803,0xb3ffffb8,0x2e001fff,0x03ffffff,0x7e46fff8,0xffbadfff,
    0x402fffff,0x3204fffd,0x9319efff,0xfc8dffff,0x7ffc05ff,0x0ffff73f,
    0x402fffe8,0x9006fffa,0x7f40bfff,0x7fec02ff,0x3fe2004f,0xffa801ff,
    0x03ffffff,0xdfffff10,0x00fffea0,0x6c3ffff1,0xfffaffff,0x3ffe2007,
    0xfff007ff,0xfffff88d,0xffffffff,0x7ffec02f,0x3ffff204,0xffffffff,
    0x2fffe41f,0x64bfffe0,0x7f406fff,0x7fd402ff,0xfff9006f,0x17fff40b,
    0x013fff60,0x01ffff88,0xfdffffa8,0xf9801fff,0xd307ffff,0xff9805dd,
    0xffffe87f,0x6c005fff,0xb003ffff,0xfff509dd,0xfb7fffff,0xffd805ff,
    0x3fff204f,0xffffffff,0x5fffc81e,0x47fffe20,0x7407fffb,0x7d402fff,
    0xff9006ff,0x7fff40bf,0x27ffec02,0x3ffff100,0x1dfff500,0x001fffff,
    0x00bfffff,0x1bffea00,0x3fffffe2,0x7fec002f,0x200000ff,0x1effffe9,
    0xd805fffd,0x3f204fff,0xffffffff,0x3fff202e,0x9fffea05,0x2207fffa,
    0x5402ffff,0xf9006fff,0x7ff40bff,0x7ffec02f,0x3ffe2004,0xfffa802f,
    0x0dffff36,0x01dfff30,0xfff50018,0x3fffe60f,0x7fcc007f,0x000003ff,
    0xffe81551,0x7ffec02f,0x37fff204,0xf9000998,0x7ff40bff,0x3fffe66f,
    0x5ffffb01,0x06fffa80,0x40bfff90,0x6c02fffe,0x7c004fff,0xfa805fff,
    0x3fff26ff,0x01a8804f,0x201fffcc,0x703ffff8,0x400bffff,0x00effff8,
    0x000fff20,0x402fffe8,0x3204fffd,0x90005fff,0x3ee0bfff,0x3fe23fff,
    0xfffc85ff,0x7fd402ff,0xfff9006f,0x17fff40b,0x013fff60,0x39ffffd0,
    0x7fd42e62,0x7ffff46f,0xfff00003,0xffe803ff,0xfb989cff,0x502fffff,
    0xfffff733,0x7ffdc003,0xffd0002f,0xfffd805f,0x17fff204,0x77ffe400,
    0xffff9319,0xbffff90d,0xffffff75,0xfffa805f,0xbfff9006,0x897fff40,
    0xffeaaaaa,0x01aaaadf,0x3fffffee,0xff50ffff,0xffff88df,0x7cc0001f,
    0x4c02ffff,0xffffffff,0xffffffff,0xffffff81,0x7ec002ff,0xd0004fff,
    0x2aa25fff,0xdfffeaaa,0xff91aaaa,0x3f2000bf,0xffffffff,0xf881ffff,
    0xffffffff,0x402fffef,0x9006fffa,0x7f40bfff,0xffff72ff,0xffffffff,
    0xffe80bff,0x0fffffff,0xf50dfff5,0x0001ffff,0x0fffffc4,0x7ffffdc0,
    0xfedfffff,0x7ffc0fff,0x8002ffff,0x003ffffc,0x2e5fffd0,0xffffffff,
    0x95ffffff,0x2000bfff,0xfffffffc,0x201effff,0xfffffffa,0x02fffabf,
    0x8037ffd4,0x3a05fffc,0xfff72fff,0xffffffff,0xf700bfff,0x1fffffff,
    0x641bffea,0x0006ffff,0x0027ffd4,0xffffffb1,0x3fffe63d,0x67ffffc6,
    0xffd10000,0x7ff4000d,0xfffff72f,0xffffffff,0x17fff2bf,0x7fedc400,
    0x02efffff,0xdffffd30,0x00bffea3,0x200dfff5,0x3a05fffc,0xfff72fff,
    0xffffffff,0x4400bfff,0x7d409aa9,0x3ffa06ff,0x440005ff,0x2a60001a,
    0x3530001a,0x2a200001,0x7ff40001,0xfffff72f,0xffffffff,0x17fff2bf,
    0x4ccc4000,0x2aa20000,0x7fd40000,0x0000006f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00099880,0x00cccc00,0x01353100,0x0004cc00,
    0x000cd54c,0x00066620,0x40135530,0xfffffffe,0x002fffff,0xfffdb971,
    0x04d44007,0x009a8800,0x4037ffdc,0x8801ffff,0x3ff60099,0xffffffff,
    0x7f64406f,0x001defff,0xffffeca8,0x64402dff,0xfffffffd,0x7f64403d,
    0x200dffff,0xffffffeb,0xfd3002ef,0x05dfffff,0xfffffb10,0xfe81bfff,
    0xffffffff,0x6cc02fff,0xffffffff,0x7fff5403,0xdb803fff,0x03ffffff,
    0xf00dfff7,0x6c403fff,0x3f606fff,0xffffffff,0x3fea06ff,0xffffffff,
    0x3fff6002,0x4fffffff,0x3ffffea0,0x0fffffff,0xfffffd10,0x3e03ffff,
    0xffffffff,0x3f600eff,0xffffffff,0x3fff206f,0xffffffff,0x7fffff41,
    0x2fffffff,0x3ffffee0,0x103fffff,0xfffffffb,0xfd301dff,0xffffffff,
    0x6fffb81d,0x81ffff80,0x6fffffc8,0x3fffff60,0x06ffffff,0xfffffff7,
    0x809fffff,0xffffffe9,0x904fffff,0xffffffff,0x301fffff,0xffffffff,
    0xff05ffff,0xffffffff,0x3ff20bff,0xffffffff,0xfffc85ff,0xffffffff,
    0x7ffff41f,0xffffffff,0xfffff902,0x05999ddf,0x3ffffffa,0x5c6fffff,
    0xffffffff,0x7dc5ffff,0xfff806ff,0x3fff221f,0x2e06ffff,0xdccccccc,
    0xff886fff,0xfedcefff,0xf101ffff,0x9bffffff,0xf909ffd9,0x99dfffff,
    0xf01fffdb,0xb537ffff,0xdf0dffff,0xffb73559,0xff983fff,0xfb511cff,
    0x7fd41fff,0xbaabdfff,0x7ff41fec,0xff30000f,0xc8007fff,0xb9aeffff,
    0x263ffffe,0xdbceffff,0x2e3fffff,0xff806fff,0xffff71ff,0x00dfffff,
    0x437ffdc0,0xb82ffffd,0xf905ffff,0x2203dfff,0x7fffc43a,0x206d404f,
    0xa81ffffb,0x0043ffff,0x70ffffea,0x3e20dfff,0x3ff62fff,0x740401ff,
    0xd0000fff,0x8001dfff,0x884ffff8,0x7dc7fffe,0xffffb80e,0x01bffee4,
    0x7e47fffe,0xfffdffff,0x3fee0006,0x7fffcc6f,0x3ffff203,0x77fffc40,
    0xfffd8000,0x3fa0002f,0x3ff603ff,0xfff8006f,0x1fffec4f,0x747fffb0,
    0xd0005fff,0x30001fff,0x0003ffff,0x201ffff5,0x142ffff9,0xb9bfffa0,
    0xff806fff,0x7fff31ff,0x001bffee,0x646fffb8,0x7cc07fff,0x7fec4fff,
    0xf98002ff,0x20005fff,0x200ffffa,0x001ffffa,0x3217ffec,0x3fa05fff,
    0x3fffe1ff,0xfffd0006,0xfff90001,0x3ff2000d,0x7fffc06f,0x7ffe4003,
    0x01bffee7,0xce87fffe,0x01bffee0,0x46fffb80,0xe804fffd,0x7ffc5fff,
    0xff70006f,0x640003ff,0x3ee05fff,0x2002ffff,0x540ffff8,0xfb83ffff,
    0x7fff46ff,0xffe8004f,0xb00099af,0x4ccc9fff,0x37ffec00,0x013fff60,
    0x5cdfffb0,0xff806fff,0x7fdc01ff,0x3ee0006f,0x7fffc6ff,0x6fffc803,
    0x00ffffe2,0x037ffec0,0x0ffff600,0x3fffff62,0xffb1003f,0x3fffa0bf,
    0xffff91df,0xfffffc85,0xffd000be,0x5dffffff,0x6effffc0,0x0cffffff,
    0x01ffffb8,0x0017fff6,0x7dcbfffd,0xfff806ff,0x7ffdc01f,0x3fee0006,
    0x17fffc6f,0x33fffe40,0x0005ffff,0x2617fffa,0x41999999,0x74c3fffd,
    0x4fffffff,0xffdcccb8,0xff300dff,0xffffffff,0xffff107f,0x8039ffff,
    0xfffffffe,0x7c42ffff,0xffffffff,0x542fffff,0x3604ffff,0x26006fff,
    0x3ee2ffff,0xfff806ff,0x7ffdc01f,0x3fee0006,0x3fffe66f,0x7fffb801,
    0x007fffea,0x427fffc0,0xffffffff,0xb8bfffa0,0xffdfffff,0xffffd85f,
    0xe9803fff,0xffffffff,0x3fffea01,0x02efffff,0xfffffffd,0x443fffff,
    0xffffffff,0x0fffffff,0x3bffffe2,0xfffeb99b,0x3ffa007f,0x37ffdc6f,
    0x00ffffc0,0x001bffee,0x266fffb8,0xb801ffff,0xff70ffff,0xf10003ff,
    0xfff07fff,0x7c1fffff,0xffe89fff,0xfffb8dff,0xfffffd86,0x4c01dfff,
    0xffffffff,0x3ffa600c,0x4fffffff,0xaa999988,0x27fffffc,0xbefffff9,
    0xffffeb9a,0x7ffffdc5,0xffffffff,0xfff9006f,0x6fffb85f,0x01ffff80,
    0x0037ffdc,0x4cdfff70,0xb801ffff,0x3fee7fff,0xf88001ff,0xfff83fff,
    0x3e0fffff,0xffffcfff,0x17ffee3f,0x3fffbbb2,0xf703ffff,0xffffffff,
    0xfda801df,0x4fffffff,0x7fff4400,0x5ffff31f,0x07fffec0,0x3ffffff6,
    0x5fffffff,0x4ffffb80,0x806fffb8,0x5c01ffff,0x20006fff,0x3e26fffb,
    0xfc802fff,0x3ffea6ff,0xfff0002f,0xf333309f,0x7ff41fff,0x41efffff,
    0x1004fffc,0x83fffff7,0xc9cffffc,0x006fffff,0xffffff71,0xff98003f,
    0xffff12ff,0x7fffcc05,0xffffea81,0x4fffecff,0x2ffffdc0,0x806fffb8,
    0x5c01ffff,0x20006fff,0x7fc6fffb,0xffc803ff,0x3fffe65f,0xfffd0003,
    0xffff880b,0x3fffff60,0xfffd80df,0x7ffcc003,0x3fffe64f,0x7ffff4c2,
    0x7ffdc002,0xff8004ff,0x3fffe4ff,0x3fffe203,0xd04d4c02,0x7d407fff,
    0x3ee05fff,0x7fc406ff,0x7fdc00ff,0x3ee0006f,0x7fff46ff,0x4fffe804,
    0x01bfffe2,0x03fffe40,0xc83fffe2,0x202fffff,0x8002fffe,0x3fa6fffd,
    0xffd104ff,0xff5000bf,0xff000dff,0x7fff47ff,0x3fffe204,0xfff88001,
    0xffff501f,0x7ffd401d,0x3fffcc07,0x037ffdc0,0x8dfff900,0x4407fffd,
    0x7fc3ffff,0xb8001fff,0x2202ffff,0x3ee0ffff,0x3e601fff,0xd8001fff,
    0x3ffe6fff,0x3ffee01f,0xffff0006,0xfffa800d,0x1ffff61f,0x00ffffa8,
    0x06fffb80,0x00bffff5,0x403ffff1,0xb806fffb,0x20006fff,0x7d44fffe,
    0x3f202fff,0x7fdc0fff,0x44000eff,0x100effff,0x7c41ffff,0x3f203fff,
    0xfd0005ff,0x3ffe29ff,0x3ffea01f,0xffff0006,0x7ffcc009,0x7fffd47f,
    0x6fffe883,0xffff9800,0x5ffffa83,0x17fffe00,0x027fff44,0x9037ffdc,
    0x3fffea01,0x1ffffe83,0x03ffffb8,0x03dffffd,0xfff70ee2,0xfff103ff,
    0xffffc81f,0x1ffffa80,0xffffc800,0x817fffe2,0x3734fffd,0x5ffff900,
    0x2a6aaf66,0x2fffffdb,0xacffffe8,0x2ffffeb9,0x3fff2200,0x7ffd40ef,
    0x7fe4005f,0xeb99aeff,0xb800ffff,0x3fe06fff,0xfffcaabd,0xfffb80ff,
    0xffecceff,0x3fea06ff,0xccdfffff,0xffe84ffe,0xdbbdefff,0x7c40ffff,
    0xc99cffff,0x6545ffff,0xfcaa9aaa,0x3a0effff,0x30acffff,0x265ffff9,
    0xbabcdfff,0x0ffffffc,0xfffffff3,0x207fffff,0xfffffffa,0x984fffff,
    0xfffeeccc,0x7d41ffff,0xffffffff,0x226fffff,0xffffffff,0x4c2fffff,
    0xffeeeeee,0xf5eeeeff,0xffffffff,0x3fa207ff,0xffffffff,0x7ec02fff,
    0xffffffff,0xffa84fff,0xffffffff,0xfc80ffff,0xffffffff,0x7fe41eff,
    0xffffffff,0x7fcc0fff,0xffffffff,0x3fe65fff,0xffffffff,0x3e61ffff,
    0xffffffff,0x7fd403ff,0xffffffff,0xfffff504,0x05ffffff,0xfffffffb,
    0xdfffffff,0xfffffe98,0xa83fffff,0xffffffff,0xf7ffffff,0xffffffff,
    0xfff9009f,0x3dffffff,0x3fffea00,0x4fffffff,0xfffffb10,0x1fffffff,
    0x3ffffee0,0xc80effff,0xffffffff,0xf501dfff,0xffffffff,0xfff98bff,
    0xffffffff,0x7ffcc2ff,0x02dfffff,0x3ffff620,0x3ea01dff,0xffffffff,
    0xffffb00c,0xffffffff,0x3fee0dff,0x00dfffff,0xfffffff5,0xffffffff,
    0x3fffff6a,0x3aa001df,0x04efffff,0xfffec880,0x400bdfff,0xffffffea,
    0x6cc00bef,0x03efffff,0x3ffffff2,0x8801ceff,0xfffffffc,0xffec881d,
    0x3effffff,0x04d54cc0,0x05544000,0xeffffa80,0x7ec00ace,0xffffffff,
    0x806fffff,0xfa8009a9,0xffffffff,0x987fffff,0x88000099,0x2000009a,
    0x20000998,0x00099a98,0x44003530,0x0009aa99,0x00d54c40,0x33553310,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4005fff5,0xffb1fffb,0x9bdfffff,0x7fffc403,0x7fffd406,0x3fffff24,
    0xffffffff,0xfff52fff,0x7fe401ff,0x3fffe21f,0xdffff307,0x007fffe8,
    0x7ed3fffe,0x3ff604ff,0x3fff22ff,0xfff9801f,0x3ffffa2f,0xffffffff,
    0xffff56ff,0x0ffff980,0x3e1bfee0,0xfffd82ff,0xffffffff,0x0fffea6f,
    0xb0fffb80,0xffffffff,0x3201bfff,0x3a02ffff,0x3f20ffff,0xffffffff,
    0x2fffffff,0x09fffff5,0xf10fffe4,0xf903ffff,0xffc8ffff,0xff9802ff,
    0x9fffb2ff,0x17fffea0,0x009ffff1,0xfe8dfffb,0xffffffff,0xf56fffff,
    0xff980fff,0x3ff200ff,0x417ffc46,0xfffffffd,0x266fffff,0x2e003fff,
    0xfffb0fff,0xffffffff,0xfff101df,0x3ffea0df,0x7fffe44f,0xffffffff,
    0xff52ffff,0x3201ffff,0x3fe61fff,0xffe84fff,0x7ffcc7ff,0xfffb804f,
    0x213fff67,0x80effff8,0x200ffffc,0x742ffff9,0xffffffff,0x56ffffff,
    0xf980ffff,0x3f600fff,0x0fffcc5f,0x7fffffec,0x26ffffff,0x2003fff9,
    0x3ff67ffc,0xfffeccef,0xff705fff,0xfffd07ff,0xcccca81f,0xccffffdc,
    0xff51cccc,0x3207ffff,0x3fe61fff,0x7fcc6fff,0xfff87fff,0xfffd806f,
    0x213fff65,0x101ffffd,0x6c09ffff,0xffe86fff,0xffffffff,0xff55ffff,
    0xfff980ff,0x13ffa00f,0xfb01fff5,0x99999dff,0x7fc47999,0x3ff2003f,
    0x113fff67,0x40fffff5,0x7d47fffe,0x2a003fff,0x5400ffff,0x07ffffff,
    0x7cc3fff9,0x2e0fffff,0x40ffffff,0x200ffffc,0x363ffff8,0x7fd44fff,
    0x7fe404ff,0xfff980ff,0xff10001f,0x3fea1fff,0x7ffcc07f,0x0fffa00f,
    0x3f60fff5,0x7c4004ff,0x3f2004ff,0x13fff67f,0x807fffdc,0x3a3ffffa,
    0x54006fff,0x5400ffff,0x3fffffff,0x2a1fffc8,0x23ffefff,0x0fffdffe,
    0x017fffd4,0x6c1ffff5,0x3fe24fff,0xff8806ff,0xfffd84ff,0x3ff60006,
    0x3ffea3ff,0x7fffcc07,0x3feaaa20,0xffdaaacf,0x3ff62aaf,0x7fc4004f,
    0x3ff2004f,0x413fff66,0x201ffff9,0xfa8ffffe,0x54002fff,0x5400ffff,
    0x6fffefff,0x2a1fffc8,0x15ffcfff,0x1fff5fff,0x40bffff0,0x7ec6fffc,
    0x3fff64ff,0xfff9001f,0x7fffcc1f,0xfff50001,0x7fffa8bf,0x07fffcc0,
    0xfffffff5,0xffffffff,0x27ffecff,0x227ffc00,0x7fec3ffb,0x413fff66,
    0x200ffffa,0xfebffff9,0xfa8006ff,0x7d400fff,0x2fffecff,0xf70fffe4,
    0x71fff3ff,0x3fff5bff,0x40ffffb0,0x7ec3ffff,0xffff54ff,0x7ffc4007,
    0x17fff63f,0x7fffc400,0x3fffd40f,0x83fffe60,0xfffffffa,0xffffffff,
    0x13fff67f,0xd17ffe00,0x5ffd8dff,0x6c13fff6,0xfd807fff,0x1fffffff,
    0xffffa800,0x67ffd400,0x7e46fffb,0x5bfee1ff,0xbffdafff,0xfb81fff9,
    0xff981fff,0x7ffec1ff,0x05ffff8c,0x37fffc80,0x0003ffff,0x20fffff6,
    0x4c07fffa,0x3a60ffff,0xeeefffee,0x6eeffffe,0x0013fff6,0xff897ffa,
    0x97ff60ff,0x6cc4fffd,0x9802ffff,0x5fffffff,0xffff5000,0xcfffa801,
    0x321ffff8,0x3fee1fff,0xfff9ffb6,0x105fff31,0xf707ffff,0xfffb0dff,
    0x01ffff99,0x5ffff100,0x000bfff9,0x417fffea,0xeeeffffa,0xfffeeeee,
    0x0fff700f,0x3f607fff,0xfe8004ff,0x3fffea5f,0xfd93ffa3,0xfffeefff,
    0x32004fff,0x01ffffff,0x1ffff500,0x94fffa80,0x7fe4bfff,0x55bff21f,
    0xf36fffff,0x3ffa05ff,0x4fffd86f,0xffefffd8,0x320002ff,0xffffefff,
    0xfff88001,0xfff500ff,0xffffffff,0x201fffff,0xfff86ffb,0xfffffb02,
    0x3fffffff,0x3f65ffe8,0x3ffa5fff,0x3fffff64,0x02dfffff,0x7ffffd40,
    0x3fea0007,0x7fd400ff,0x1ffff14f,0xfc87fff2,0xfffff16f,0x40bffe67,
    0x220ffffb,0xfd82ffff,0x1fffffff,0x3ffe2000,0x0005ffff,0x405ffffb,
    0xfffffffa,0xffffffff,0x8dff900f,0xfb02fff8,0xffffffff,0xffd83fff,
    0x3fffffe6,0x7ec9ffd0,0xffffffff,0xffe8000d,0x0003ffff,0x801ffff5,
    0x3f64fffa,0x3fff94ff,0xffd2ffec,0x3ffe21ff,0x5ffff303,0xd83fffd4,
    0xfffedfff,0x3f20000e,0x001fffff,0x05ffffa8,0x7fffffd4,0xffffffff,
    0xbffb00ff,0xb01fff98,0xffffffff,0xfd83ffff,0xffbff56f,0xd8fffa5f,
    0xffebdfff,0x2e000fff,0xffffffff,0xfffa8000,0x7ffd400f,0x23fffe64,
    0x3f61fffc,0x9bffee5f,0x3a03fff8,0x3ff24fff,0x9fffb05f,0x009ffff5,
    0x7ffffc40,0xfff88005,0x7fd400ff,0x7ffcc07f,0x3fa6660f,0xffb999df,
    0x7fec199f,0xccccccef,0xb7fe40cc,0x4ffeaffc,0x7fec7fff,0x3fffe64f,
    0xffff1005,0x00bffffd,0x01ffff50,0x744fffa8,0xfffcbfff,0xf997ff61,
    0x3ffe23ff,0x9ffff204,0xfb02fffe,0x3fff69ff,0x3f20002f,0xc8001fff,
    0xa802ffff,0x7cc07fff,0xfff30fff,0xffffffff,0x41ffffff,0x8004fffd,
    0x1fff7ffc,0x3ffefff7,0x713fff62,0x9005ffff,0xffb3ffff,0xfa8003ff,
    0x7d400fff,0x7ffd44ff,0x3a1fffce,0x0fffc5ff,0x5409fff1,0xff89ffff,
    0xfffb00ff,0x3ffffe29,0xfff50000,0xfff5000f,0x3fea00bf,0x7ffcc07f,
    0xfffff30f,0xffffffff,0x7ec1ffff,0xfb8004ff,0xf36ff9ff,0x45fff3ff,
    0xff84fffd,0x7fcc06ff,0xffff35ff,0xfffa800d,0x7ffd400f,0xfffffe84,
    0x13ffa1ff,0x9fff0331,0xbbffff80,0x3f606fff,0x3ffee4ff,0xff50005f,
    0xff8800ff,0xf5000fff,0xff980fff,0xffff30ff,0xffffffff,0x6c1fffff,
    0xb8004fff,0x23ffcfff,0x1fffcffe,0x3213fff6,0x3601ffff,0x3f61ffff,
    0x2a002fff,0x5400ffff,0xffb84fff,0x3e1fffff,0x3fe004ff,0x7ffec05f,
    0x203fffdd,0x7f44fffd,0xa8002fff,0x64007fff,0x2002ffff,0x4c07fffa,
    0xf980ffff,0x2ffec0ff,0x009fffb0,0xffdfff50,0x7ff7fe41,0x13fff61f,
    0x417fffe2,0x4c5ffffa,0x000fffff,0x801ffff5,0xf884fffa,0x21ffffff,
    0x3e004fff,0x7fd405ff,0x01ffffff,0xf313fff6,0x8001ffff,0x2007fffa,
    0x004ffffa,0x203fffd4,0xa80ffff9,0x7ff40fff,0x13fff604,0x3fffea00,
    0x7fffcc6f,0x3fff60ff,0x3ffffb04,0x01ffffd0,0x009ffffb,0x003fffea,
    0x3209fff5,0x21ffffff,0x3e004fff,0x7fc406ff,0x406fffff,0xfc84fffd,
    0x54005fff,0x3a007fff,0xffffffff,0x57ffffff,0xf980ffff,0xffb80fff,
    0x203fff87,0x8004fffd,0x83fffffa,0x20ffffff,0xf304fffd,0xffb8bfff,
    0xfff104ff,0xff5001ff,0xffa801ff,0xffff104f,0x3ffe23ff,0x1bffe003,
    0x3fffff60,0x7ffec04f,0xfffff884,0x3ffea002,0xffff1007,0xffffffff,
    0x3feaffff,0x7ffcc07f,0x86ffb80f,0x3f602fff,0xf98004ff,0xfc81ffff,
    0x3f60ffff,0x3ffa04ff,0xffff11ff,0x7ffe401f,0xfffa805f,0x7ffd400f,
    0x3ffff604,0x07fff11f,0x4037ff40,0x1ffffffb,0x827ffec0,0x00fffffa,
    0x00ffff50,0x3fffffe2,0xffffffff,0x0ffff57f,0x80ffff98,0x7fc46ffc,
    0x3fff601f,0xfff98004,0xffff506f,0x04fffd8f,0x653fffea,0x4404ffff,
    0x402fffff,0x400ffffa,0x2604fffa,0xf11fffff,0x7f4007ff,0xfff9807f,
    0xffd807ff,0x3fff604f,0xfff5005f,0x3ffe200f,0xffffffff,0xff57ffff,
    0xfff980ff,0x45ffd80f,0x3601fff9,0x00004fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,
    0xffffffff,0x7fdcffff,0xbcefffff,0x37ffdc02,0x3ffff600,0x0bdeefff,
    0x7fffcc00,0xfffc807f,0x1cceffff,0x3ffffea0,0xffffffff,0xfffff10f,
    0xffffffff,0x7e400dff,0x4404ffff,0x18000001,0x00018800,0x44000220,
    0xfffd8001,0xffffffff,0x3fffee7f,0xefffffff,0x0dfff702,0xfffffd80,
    0x3fffffff,0x3ffff200,0x7fe402ff,0xffffffff,0xfffa81df,0xffffffff,
    0xfff10fff,0xffffffff,0x200dffff,0x4ffffff9,0x000bfa20,0x804fc800,
    0xceffffdb,0x3f726000,0x203dffff,0xcefffeda,0xffffd800,0xffffffff,
    0x3ffffee7,0xffffffff,0x37ffdc0d,0x3ffff600,0xffffffff,0xfffd003f,
    0xfc809fff,0xffffffff,0x7d42ffff,0xffffffff,0xf10fffff,0xffffffff,
    0x0dffffff,0x3fffffa0,0x3fff604f,0xfd800004,0xffd304ff,0x5fffffff,
    0xfffff900,0x320dffff,0xffffffff,0x7ffec02f,0xccccccce,0x3fffee4c,
    0xffffedcc,0x7ffdc4ff,0x7ffec006,0xffecbaad,0x7c400fff,0x07ffffff,
    0x6677ffe4,0xffffffec,0x37333260,0xccccffff,0xfffff10c,0xffffffff,
    0xff700dff,0x209fffff,0x05fffff9,0xfffd1000,0xfffb81df,0xffffffff,
    0xfffd103f,0xdfffffff,0xffffffd0,0x403fffff,0x4004fffd,0xc886fffb,
    0x2e1fffff,0x6c006fff,0xff904fff,0xffb803ff,0x01ffffef,0x2217fff2,
    0x405ffffd,0x400ffff9,0x99999999,0x3ffffb99,0x6ffffc40,0x3a204fff,
    0x000effff,0x3ffffe60,0x7fffc40d,0xfffeccdf,0xfffd80ff,0xfedcceff,
    0x67fffdc6,0x0dfffd31,0x0027ffec,0xa81bffee,0x3ee5ffff,0x7ec006ff,
    0xfff104ff,0xfffd807f,0x203ffffa,0x3a05fffc,0x7cc07fff,0x00000fff,
    0xb00ffffb,0xfff99fff,0xfffd8809,0xfa8001ef,0xf904ffff,0xff705fff,
    0xfffa89ff,0x445301ef,0xf881ffff,0xffb03fff,0xffb8009f,0x7ffec06f,
    0x0dfff71f,0x04fffd80,0xf00bfffe,0xfff91fff,0x2fffe40d,0x01ffff50,
    0x007fffcc,0x7fffcc00,0xb7ffcc03,0x9004fffc,0x005fffff,0x17ffffdc,
    0x03ffff88,0xff1ffff6,0x64001fff,0x3f206fff,0xfffb04ff,0xfffb8009,
    0x7fffd406,0x00dfff72,0x304fffd8,0x5403ffff,0xfff56fff,0x3fff201f,
    0x3fffe605,0x3fffe601,0xffd80000,0x7ff400ff,0x09fff92f,0x7ffffdc0,
    0xffffd803,0x3ffea01f,0x3ffe600f,0x7ffff10f,0x3fffd800,0x41bffee0,
    0x4004fffd,0xf806fffb,0xfff73fff,0xfffd800d,0x5fffe884,0x89fffe40,
    0xf902ffff,0x7fd40bff,0x3fe600ff,0x4c0000ff,0x5c04ffff,0x3ff25fff,
    0x7fcc004f,0xfd104fff,0xb801dfff,0x7c406fff,0xfff52fff,0xffe8001f,
    0xffffffff,0xfb07ffff,0x99999dff,0x7fdc5999,0xffff806f,0x00dfff74,
    0xaadfffd8,0x0effffcb,0xd0ffff40,0x3f20bfff,0x3ff205ff,0x7ffcc07f,
    0x7ec0000f,0x3e200fff,0x3ff20fff,0xfe88004f,0x3a60dfff,0x9005ffff,
    0xff00bfff,0x3ffee7ff,0xffff8007,0xffffffff,0xffb07fff,0xffffffff,
    0x7ffdc9ff,0x5fffe806,0x800dfff7,0xfffffffd,0x400dffff,0x7dc7fff9,
    0xfff907ff,0x3fffe60b,0x7fffcc05,0x3fe20000,0x7fec04ff,0x27ffe43f,
    0xffff9800,0x3ffffa5f,0xfffb000f,0x7ffff00b,0x001ffff2,0xfffffff1,
    0xffffffff,0x3ffff60f,0xffffffff,0x01bffee4,0x7ddbfffa,0x7ec006ff,
    0xffffffff,0x2e00dfff,0x7fcc5fff,0xfffc81ff,0x7fffdcc5,0x7ffcc00f,
    0x3f20000f,0x3ea00fff,0xfffc85ff,0xffe98004,0x7ff445ff,0xfb800eff,
    0x7fc406ff,0xffff71ff,0xffff8001,0x9999999a,0xffb00999,0xffffffff,
    0x7ffdc9ff,0x5fffe806,0x800dfff7,0xeeeefffd,0x1fffffff,0xf05fffb0,
    0xff909fff,0xffffffff,0xf3007fff,0x20001fff,0x404ffff8,0xfc81fffe,
    0x7d4004ff,0x3603ffff,0x401fffff,0x4c07fffa,0xff50ffff,0xfe8005ff,
    0xd80002ff,0x5c004fff,0xff806fff,0xdfff73ff,0x4fffd800,0x6ffffc88,
    0x80ffff88,0xfc86fffd,0xffffffff,0xf3003fff,0x20001fff,0x200ffffc,
    0xf903fffc,0x7dc009ff,0xb802ffff,0x202fffff,0x203ffff9,0x3e27fffd,
    0x2000ffff,0x0005fffd,0x004fffd8,0x2037ffdc,0xf72ffff8,0xfd800dff,
    0x3ffa04ff,0x7ffd40ff,0x1ffff506,0xffffffc8,0x000dffff,0x003fffe6,
    0x17fffe20,0xabffff88,0xfffdaaaa,0x3f602aad,0x2001ffff,0x04fffffa,
    0x207ffffe,0x743ffffa,0x200dffff,0x0bfffee1,0x9fffb000,0x6fffb800,
    0x8ffffd40,0x4006fffb,0x2e04fffd,0x7e42ffff,0xffffffff,0x643fffff,
    0xabccefff,0xff980009,0xfc8000ff,0x3ea01fff,0xffffffff,0xffffffff,
    0xffffe887,0xff98000e,0xfa80dfff,0xcbacffff,0xf986ffff,0xabdfffff,
    0x7ff46fdb,0x53109dff,0x7ffec0b9,0x7ffdc004,0x37fff406,0x800dfff7,
    0x2a04fffd,0x7fc2ffff,0xffffffff,0x645fffff,0x00005fff,0x003fffe6,
    0x0bffff10,0xffffffa8,0xffffffff,0x7fcc7fff,0x40005fff,0x0effffe8,
    0xffffffe8,0x02ffffff,0xfffffff9,0xf98dffff,0xffffffff,0x3f607fff,
    0x7dc004ff,0x3fee06ff,0x3ffee2ff,0x7ffec006,0x3ffff204,0x3ffffe60,
    0xffffffff,0x7ffe47ff,0x3e600005,0x64000fff,0x5401ffff,0xffffffff,
    0xffffffff,0x3fffe67f,0xb100004f,0x881fffff,0xfffffffd,0x7dc01eff,
    0xffffffff,0xffffa86f,0x7fffffff,0x013fff60,0x10dfff70,0xb8dffffb,
    0x6c006fff,0xff704fff,0xfffb8fff,0xaaaaaaad,0x322ffffc,0x00005fff,
    0x003fffe6,0x05ffff88,0xaaaaaa88,0xfffdaaaa,0x7fec2aad,0xc800002f,
    0x3aa03fff,0x0cefffff,0xfffd9100,0x6405bfff,0xffffffff,0x3fff604e,
    0xccccccce,0x3fffee4c,0xfffffdcc,0x7ffdc1ff,0xeeeeeeef,0xdfffb3ee,
    0xfffd9999,0xfffe87ff,0x4ffff802,0x0017fff2,0x7ee6664c,0xcccccfff,
    0x3ffff700,0xffc80000,0x00fec04f,0x07f70000,0x0004d4c0,0x000cccc0,
    0x006aaa62,0x7fffffec,0x27ffffff,0xfffffffb,0x81efffff,0xfffffffb,
    0xb4ffffff,0xffffffff,0x88bfffff,0xd800ffff,0x3ff26fff,0xff50005f,
    0xffffffff,0x3e01ffff,0x00006fff,0x804fffc8,0x08000000,0x00000000,
    0xb0000000,0xffffffff,0x7dcfffff,0xffffffff,0x3fee04ff,0xffffffff,
    0xfffb4fff,0xffffffff,0xbfff507f,0x3fffee00,0x00bfff91,0x3ffffea0,
    0xffffffff,0xffffb80f,0xfc800002,0x000004ff,0x00000000,0x00000000,
    0x7fffec00,0xffffffff,0x3ffffee7,0x400abcef,0xfffffffb,0xb4ffffff,
    0xdfffffff,0x7fec059b,0xfff3003f,0x17fff27f,0x7fffd400,0xffffffff,
    0xffff80ff,0xf9000006,0x000009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33310000,0x00662000,0x00026200,0x00008802,0x7775c013,
    0x07bbb604,0x20026660,0x801eeeea,0xd91eeee9,0x74c003dd,0xdddd13ee,
    0xdddddddd,0xeeeec8dd,0x3bbba202,0x04eed803,0x2002ba80,0x0005fff8,
    0xfffffd71,0x36a209df,0xdfffffff,0x2a6eec81,0xd83efffe,0xdffe98ee,
    0x41dffd30,0xfb30eeeb,0xff909fff,0x7fffc0bf,0x06fff802,0x05ffff88,
    0x326fffc8,0x2a002fff,0xfff12fff,0xffffffff,0xfff88fff,0xfffb00ff,
    0x9ffd001d,0x5fffc800,0x5ffffb00,0xffffa800,0x06ffffff,0xfffffffb,
    0xfe89ffff,0xffffd8ff,0x7ffc5fff,0x8cffffea,0x327fffff,0xfffb9fff,
    0x320effff,0x3fe05fff,0xfff802ff,0xffff9006,0x3ffff801,0x800fffee,
    0xff11fffb,0xffffffff,0xff50ffff,0xfff70bff,0xffb0603f,0x3fe20287,
    0x7cc03fff,0x2006ffff,0xfffffffa,0xfb06ffff,0xffffffff,0x7ff45fff,
    0xffffffdf,0x3ffe1fff,0xdffffffe,0x92ffffff,0xffffbfff,0x647fffff,
    0x3fe05fff,0xfff802ff,0xffff3006,0x7fffd405,0x013ffea0,0xd10fffc8,
    0xfddddddd,0x320bffff,0x3e22ffff,0x9f704fff,0xfd897fe4,0xfffff301,
    0xfcffe80f,0xffd003ff,0x5cc415ff,0x1359fb04,0x9bfffea2,0xeffffffe,
    0x25ffffbb,0xfabfffff,0xffbbffff,0xfffff94f,0xffffb9ff,0x02fffe4f,
    0xf005ffff,0x7f400dff,0x3ff605ff,0x2fffcc5f,0x00fffb00,0x077fffcc,
    0x0ffffe88,0x220dfffb,0xffb8efff,0x106fff9a,0x01ffffff,0x7fddbfee,
    0x7ffc400f,0x0010003f,0x3a1ffff5,0x5c3fffff,0x3ffe7fff,0x93fffe5f,
    0xfff94fff,0x7fd419ff,0xbfff90ff,0x017fffc0,0x70037ffc,0xf101ffff,
    0xff885fff,0x22fff46f,0xd1006ffe,0x9803ffff,0xffbdffff,0xfff501ff,
    0xffbffdff,0x3ea01dff,0xf881ffff,0x17ffa2ff,0x0bffff10,0xfff80000,
    0x9ffffd1f,0x21ffff10,0x3fe1ffff,0x57ffe0ff,0x885ffffc,0xff91ffff,
    0x7fffc0bf,0x06fff802,0x0ffffe20,0x7c1fffee,0x3ffe27ff,0x017ffa0f,
    0x01ffffec,0xffffffb8,0xfeb803ff,0xefffffff,0x7fffc802,0xfa8dff90,
    0x7ffc02ff,0x00002dff,0x3a5ffff0,0xff105fff,0x17ffe1ff,0xfff8bfff,
    0x01dfff95,0x7e4bfffe,0x3ffe05ff,0x5555532f,0x555ffff7,0xffb01555,
    0x9fffd0df,0x5c3fffa0,0x3fe2ffff,0xfffb804f,0x7ff4005f,0x4006ffff,
    0x1efffffa,0x1bffea00,0x3a07ffe6,0x3f200fff,0x2dffffff,0x7f6e5400,
    0xd2ffffff,0xf0009fff,0x5fff8bff,0xffcafffc,0x3fffa05f,0x40bfff92,
    0xff92ffff,0xffffffff,0x07ffffff,0x443ffff3,0xf900ffff,0x3fffa3ff,
    0x07fff15f,0x06ffff98,0xfffff880,0x3faa000f,0x02dfffff,0xd07fff70,
    0x3fe60bff,0x3ffa204f,0x3fffffff,0x7ffff5c0,0x2fffffff,0x0009fffd,
    0xfff8bfff,0xfcafffc5,0x3ffa05ff,0x0bfff92f,0xfc97fffc,0xffffffff,
    0x3fffffff,0x5c9fffd0,0x3ee05fff,0xffff8aff,0x2fff98ff,0x3ffffe20,
    0xfff88000,0x5c400fff,0xffffffff,0x2e02efff,0xffb86fff,0x3fff600f,
    0x7fff5c01,0x80efffff,0xfffffffc,0xd2ffffff,0xf0009fff,0x5fff8bff,
    0xffcafffc,0x3fffa05f,0x40bfff92,0xff92ffff,0xffffffff,0x07ffffff,
    0xfe9fffee,0x3fea02ff,0xffeffbbf,0x01fffabf,0x00bffff6,0x7fffff40,
    0x7ffd406f,0xfeaffbdf,0xfb910fff,0xf881ffff,0x7fc404ff,0xff93006f,
    0xb89fffff,0x99aeffff,0xd2ffff99,0xf0009fff,0x5fff8bff,0xffcafffc,
    0x3fffa05f,0x20bfff92,0x312ffff8,0xfff33333,0x1333333d,0x27fffe20,
    0x4c07fff9,0xbffdcfff,0x7ffbeffe,0x13ffff20,0x7fffe400,0x6c04ffff,
    0x25ff92ff,0x3fe64ffb,0x9880cfff,0x33310019,0xfffb3000,0x6fffd8ff,
    0x74bfffe0,0xf8004fff,0x2fffc5ff,0x7fe57ffe,0x3fffa05f,0x20dfff72,
    0x802ffffe,0xb0006fff,0xfff99fff,0xefff8809,0xfffb9fff,0xff507ffd,
    0x2a000dff,0xffdbffff,0x83a602ff,0x83a63ffc,0x001ceff9,0xb0000000,
    0x7fc1ffff,0xfff103ff,0x13fffa5f,0xf17ffe00,0x5fff8bff,0x740bfff9,
    0xfff52fff,0xffffd81f,0x6fff802f,0xffff3000,0xf003ffff,0x22dfffff,
    0x85ffffff,0x00fffff8,0x6ffff880,0x01fffff1,0x0027fec0,0x00000000,
    0x8ffffb00,0xe985ffff,0xffd2ffff,0xfff0009f,0x7c5fff8b,0xbfff95ff,
    0x997fff40,0xfbbeffff,0x02ffffff,0x0006fff8,0x3ffffffa,0xffffd006,
    0x7ffff49f,0xffffe84f,0xeeeeeeef,0xffffd80e,0x17fffee0,0x004ffe80,
    0x80000000,0x5c40acf9,0x7f45ffff,0xfb88bfff,0xfd2fffff,0xff0009ff,
    0x45fff8bf,0xfff95fff,0x17fff40b,0xfffffffd,0x05fffdff,0x000dfff0,
    0x7fffffdc,0xffffb003,0x7fffdc3f,0x7fffd43f,0xffffffff,0x7ffdc0ff,
    0xffffd83f,0x03555003,0x00000000,0xffffff30,0x5fffffff,0xffffffb8,
    0xffffffff,0x009fffd2,0xff8bfff0,0xcafffc5f,0x3fa05fff,0x3ffe62ff,
    0xfabfffff,0xfff802ff,0x3fe20006,0x7000ffff,0xf88fffff,0x7d42ffff,
    0xffffffff,0x260fffff,0xf105ffff,0x0003ffff,0x00000000,0xfffff300,
    0x5fffffff,0x3fffffa0,0xfffbcfff,0x009fffd2,0xff8bfff0,0xcafffc5f,
    0x3fa05fff,0x7ff4c2ff,0xfff51eff,0x0dfff005,0xffffd800,0x3ffea004,
    0xffffe84f,0x7ffffd41,0xffffffff,0xfffff10f,0x7fffd401,0x00000006,
    0xe9800000,0xffffffff,0x7fe401cf,0xff52efff,0x13fffa5f,0xf17ffe00,
    0x5fff8bff,0x740bfff9,0x55102fff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26aaa660,0x4d4c4001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3bbbbae0,0xeeeeeeee,0x3dddd52e,0x01799510,0x47dddb00,
    0x7644eeec,0xa8804eee,0x4ccccc0a,0x99999999,0x30999999,0x77777777,
    0x00000177,0x00000000,0x00000000,0x00000000,0xf9000000,0xffffffff,
    0x2a7fffff,0x7441ffff,0x303fffff,0x7fffc555,0x217fff63,0x205ffffc,
    0x3e1efffb,0xffffffff,0xffffffff,0xffff75ff,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff900,0xffffffff,0x3fffea7f,
    0x3ffffe20,0xffe84fff,0xc8ffffa6,0xff504fff,0xfff30bff,0x7fffcdff,
    0xffffffff,0x5fffffff,0xfffffff7,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x50000000,0x99999999,0x23999999,0x2e0ffff9,0xffffffff,
    0xb2fffc4f,0x7fe45fff,0x3ffa204f,0x7fffdc5f,0xfffff0ff,0xffffffff,
    0x2bffffff,0xfffffffb,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff3000,0xc8afffe8,0xfdbeffff,0x3fff63ff,0x00fffee2,
    0xfb8fbbb2,0x330fffff,0x33333333,0x33333333,0x2aaaa213,0x00aaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0x5fff8fff,
    0x7fffffdc,0x3ff20fff,0x0fffee1f,0xffff3000,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4dfff100,0xfb83fff8,
    0x43ffffff,0x3ea1fffc,0xa80002ff,0x0000efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7777775c,0xeeeeeeee,0x001bffe2,
    0x0fffffa6,0xfa83ffee,0x100002ff,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32000000,0xffffffff,0x23ffffff,0x20005fff,
    0x3fee00a8,0x00fffcc7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffc,0x3fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332a000,
    0xcccccccc,0x00001ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_36_usascii_x[95]={ 0,7,3,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,7,3,0, };
static signed short stb__consolas_bold_36_usascii_y[95]={ 26,1,1,3,-1,0,1,1,-1,-1,1,7,19,14,
19,1,2,2,2,2,3,3,3,3,2,2,7,7,6,11,6,1,0,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,29,1,7,1,7,1,7,0,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12, };
static unsigned short stb__consolas_bold_36_usascii_w[95]={ 0,6,13,20,18,20,21,6,12,12,16,18,11,12,
8,17,19,16,16,16,20,16,18,17,17,17,8,11,16,16,15,13,20,20,17,17,18,15,14,19,18,16,13,18,
15,20,18,20,17,20,17,17,18,18,20,20,20,20,17,10,17,10,18,20,13,17,17,15,17,17,19,18,16,16,
14,18,16,18,16,18,17,17,16,16,17,16,20,20,20,20,16,14,5,15,19, };
static unsigned short stb__consolas_bold_36_usascii_h[95]={ 0,26,9,23,32,27,26,9,35,35,16,19,14,5,
8,29,25,24,24,25,23,24,24,23,25,24,20,26,21,11,21,26,34,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,31,23,25,23,24,23,23,23,23,23,33,29,33,12,5,8,20,26,20,26,20,26,27,25,26,
34,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,37,33,9, };
static unsigned short stb__consolas_bold_36_usascii_s[95]={ 250,58,45,218,122,217,15,18,20,7,205,
106,222,103,73,162,60,223,187,80,144,133,150,126,97,169,245,238,181,1,165,
1,33,70,52,22,17,1,239,40,199,109,240,141,36,99,80,1,91,141,22,
115,61,204,120,1,40,160,181,85,180,111,234,82,59,18,118,217,136,233,154,
198,174,83,54,226,191,53,72,198,100,65,36,1,208,89,125,146,184,37,167,
96,1,69,25, };
static unsigned short stb__consolas_bold_36_usascii_t[95]={ 1,39,161,92,1,1,39,161,1,1,140,
140,140,161,161,1,66,66,66,66,116,66,66,116,66,66,39,1,116,161,116,
39,1,116,116,66,116,116,92,66,92,116,66,92,116,92,92,66,116,1,92,
66,92,66,92,92,92,92,92,1,1,1,140,161,161,140,39,116,39,116,39,
1,39,39,1,39,39,140,140,116,39,39,140,140,39,140,140,140,140,39,140,
1,1,1,161, };
static unsigned short stb__consolas_bold_36_usascii_a[95]={ 317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,317,
317,317,317,317,317,317,317, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_36_usascii(stb_fontchar font[STB_FONT_consolas_bold_36_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_36_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_36_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_36_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_36_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_36_usascii_s[i] + stb__consolas_bold_36_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_36_usascii_t[i] + stb__consolas_bold_36_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_36_usascii_x[i];
            font[i].y0 = stb__consolas_bold_36_usascii_y[i];
            font[i].x1 = stb__consolas_bold_36_usascii_x[i] + stb__consolas_bold_36_usascii_w[i];
            font[i].y1 = stb__consolas_bold_36_usascii_y[i] + stb__consolas_bold_36_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_36_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_36_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_36_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_36_usascii_s[i] + stb__consolas_bold_36_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_36_usascii_t[i] + stb__consolas_bold_36_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_36_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_36_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_36_usascii_x[i] + stb__consolas_bold_36_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_36_usascii_y[i] + stb__consolas_bold_36_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_36_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_36_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_36_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_36_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_36_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_36_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_36_usascii_LINE_SPACING
#endif

