// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_41_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_41_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT        220
#define STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_41_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_41_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_41_usascii_LINE_SPACING          27

static unsigned int stb__consolas_bold_41_usascii_pixels[]={
    0x0005dddb,0x00012200,0x26621220,0x09999999,0x98866000,0x99999999,
    0x00001310,0x15997300,0x19980000,0xaca98000,0x88000001,0x26621999,
    0x00000019,0x44266660,0xff019999,0xd88007ff,0x5fe884ff,0x3fa20000,
    0x7fffff44,0x2004ffff,0xb1fffedb,0xffffffff,0x3bfff2bf,0x2a00001d,
    0xffffffff,0xffa80002,0xfd98000f,0x2effffff,0xffd00000,0x7fffccdf,
    0x80000003,0xf75ffff8,0xff01ffff,0xfe8007ff,0x3f624fff,0x880005ff,
    0x3fa4fffe,0xffffffff,0xfffe9804,0xfffb1fff,0x2bffffff,0x4ffffffc,
    0xfffc8000,0x2fffffff,0x3ffdc000,0x7fffdc00,0x3fffffff,0x7fd40000,
    0x7fff42ff,0x80000006,0xf75ffff8,0x3fe0ffff,0x3e2003ff,0x3a27ffff,
    0x0005ffff,0x8fffffe2,0xfffffffe,0x7fc404ff,0xb1ffffff,0xffffffff,
    0x3ffff2bf,0x10004fff,0xfdfffffd,0x007fffff,0x0037fec0,0x3ffffff6,
    0x5fffffff,0x3ff60000,0xffffa87f,0x40000001,0xf75ffff8,0x3fe0ffff,
    0x3e6003ff,0x7447ffff,0x8005ffff,0x44ffffe8,0xcccefffe,0x7fe402cc,
    0x50ccefff,0xffd99999,0x3fb72abf,0x8001ffff,0x20bffffd,0x00ffffd9,
    0x00bffd00,0x7fffffdc,0xffffffef,0xf980003f,0xfff04fff,0x000000bf,
    0x55ffff88,0x3e0fffff,0x74003fff,0xf985ffff,0x4003ffff,0xe84ffffd,
    0x98004fff,0x001effff,0xb82fffec,0x4005ffff,0x202ffffb,0x8804fffd,
    0xfffffecb,0xff101bde,0x5443bfff,0x007fffff,0x0ffffc80,0x01ffff90,
    0x7c400000,0xfff55fff,0x3fffe0ff,0x7ff4c003,0xffff300d,0x3fea001f,
    0xfffd05ff,0xfff50009,0xffb0003f,0x7ffec0bf,0x3ffe6006,0x7ffc402f,
    0x7fffe406,0xffffffff,0xdffff905,0x3fffe601,0x3e20003f,0x3e205fff,
    0x00004fff,0x3fffe200,0x0dffff55,0x000ffffe,0x7fdc004c,0xff8805ff,
    0xffd00fff,0xff70009f,0x3f6000ff,0x3fea05ff,0x3ff2007f,0xfff9005f,
    0xfffff105,0xffffffff,0xffff10bf,0xfffb801f,0x3ee0006f,0x7ec01fff,
    0x000007ff,0x57fffe20,0xf06ffffa,0x00007fff,0x7ffffd00,0x3ffffd80,
    0x013fffa0,0x017fff20,0x02fffec0,0x001ffff3,0x001ffff1,0x3a17ffea,
    0xffffffff,0x85ffffff,0x805ffffb,0x01fffff8,0x0dfffd00,0x05ffff30,
    0xcb988000,0x5ffffbcc,0x20dffff3,0x2aa3ffff,0xaaaaaaaa,0x4c01aaaa,
    0x2207ffff,0x7406ffff,0xd8004fff,0xb0005fff,0x7c40bfff,0xfb801fff,
    0x3e2003ff,0x7ffdc6ff,0xfffcadff,0xfc84db98,0xfd002fff,0x50005fff,
    0x2007ffff,0x0006fffe,0xfffffd30,0x2bffffff,0xf06ffff9,0x7ffc7fff,
    0xffffffff,0xfd804fff,0xff902fff,0xffe803ff,0xffd8004f,0xffb0005f,
    0x7ffc40bf,0xffff801f,0x337bb6a0,0x47ffe8fd,0x364ffffe,0xffb006ff,
    0x3f2003ff,0xd8003fff,0x2e007fff,0x0001ffff,0x3fffff22,0xffffffff,
    0x0bffff35,0xff8ffffe,0xffffffff,0x9804ffff,0xff05ffff,0xffd00dff,
    0xffb0009f,0x3f6000bf,0x3fe205ff,0x7fd401ff,0x3ffff26f,0xfffb7fff,
    0x20fffff8,0xfd004ffe,0x32001fff,0x4003ffff,0x004ffff8,0x017fffe2,
    0xfffffe80,0xffffffff,0xbffff15f,0xf8ffffe0,0xffffffff,0x004fffff,
    0xa81ffffd,0xe803ffff,0xd8004fff,0xb0005fff,0x7c40bfff,0x7dc01fff,
    0xffff72ff,0x3f6fffff,0xffff10ff,0x01fffc5f,0x007ffff8,0x013fffee,
    0x01ffff90,0x0ffffc80,0xffffb800,0xfc999bdf,0xfff15fff,0x3fffe0bf,
    0x2aaaaaa3,0xffffcaaa,0xffff9004,0x0ffffd85,0x04fffe80,0x04fffe80,
    0x0bfffb00,0x404ffff8,0xff88fffd,0x6fffeeff,0x7f43fff9,0xff89efff,
    0xfff8802f,0x3fee007f,0x7fc005ff,0xf88005ff,0x44004fff,0x104fffff,
    0x3e2bffff,0xfff04fff,0xff98007f,0xff3004ff,0xffff89ff,0x9fffd006,
    0x7ffff000,0x3fff6000,0x37fffc05,0x7d5fffe0,0xbfff56ff,0xfc87fff2,
    0xffefffff,0xfff9801f,0x3fee007f,0x3ee005ff,0xb0002fff,0xd800ffff,
    0x2205ffff,0xff15ffff,0x3ffe09ff,0x7fcc003f,0x3fe004ff,0x7fffc5ff,
    0x9fffd004,0xffffc800,0xfffb0001,0xffffd80b,0x2bfff301,0xff53fffd,
    0x87ffeebf,0xfffffff9,0xf8802fff,0x7000ffff,0x4009ffff,0x0006fffe,
    0x00bfffea,0x02ffffe8,0xf97fffe2,0xfff04fff,0xff98007f,0x3fa004ff,
    0x3ffe26ff,0xfffd003f,0xfebaa809,0x20006fff,0x4c05fffd,0xabcfffff,
    0x3e9fff51,0xfff70fff,0x507fff29,0xffffffff,0xff807dff,0xf9000fff,
    0x26007fff,0x0003ffff,0x0037fff4,0x880fffff,0x3fe5ffff,0xffff04ff,
    0xfff98007,0x3ff6004f,0x3fffe67f,0x9fffd003,0xffffff80,0x360000ef,
    0xfa805fff,0x73ffffff,0xfff15fff,0xc9fffe4f,0xfea80fff,0xffffffff,
    0xffff02ff,0x3ff2003f,0xffb002ff,0xb80001ff,0x9801ffff,0x4406ffff,
    0x3fe5ffff,0xffff03ff,0xfff98007,0x3ff6004f,0xffff50ff,0x3fffa005,
    0x7ffffc04,0xfd80002f,0xf91005ff,0x3f27ffff,0x6fff9aff,0x7e4bfff2,
    0x3fee00ff,0xffffffff,0xffffe84f,0xffffd003,0xffff1003,0xff100009,
    0xff500bff,0xff880bff,0x3fffe5ff,0x07ffff03,0x4ffff980,0x3ffff200,
    0x03ffff70,0x013fffa0,0xbfffffff,0x7fec0001,0xfffa805f,0xff93ffff,
    0x4bfff33f,0xffb2fffd,0x3ffea00f,0x3fffffff,0x02ffffe4,0x03ffffcc,
    0x01ffffc8,0xffff9000,0xffffb801,0x7fffc405,0x40ffffa5,0x4003ffff,
    0x004ffff9,0xfa9ffff2,0xfd002fff,0xcaa809ff,0x005ffffe,0x017fff60,
    0x79fffff3,0x27fff635,0x3fa5fffa,0x0fffd1ff,0x3fbffe60,0x20ffffff,
    0x00fffff9,0x01ffffe4,0x005ffff8,0x3fffe600,0x7fffd403,0x7fffc405,
    0x40bbbb65,0x4003ffff,0x004ffff9,0xfa9bfff6,0xfd003fff,0xfd8009ff,
    0xb0001fff,0xfd80bfff,0xffb00fff,0x4bfff51f,0xfff0fffe,0x3ffea00b,
    0xfffffe98,0x77ffff42,0xfffff500,0xffff5001,0xfd800005,0x7fcc07ff,
    0x7fc406ff,0xff8005ff,0x7cc003ff,0x3a004fff,0x3fe65fff,0xffd004ff,
    0xffa8009f,0xfb0003ff,0xfff80bff,0x3fff604f,0xf15fff98,0x3ffe6fff,
    0x4fff7003,0x43fffff8,0xaefffffb,0xfffff730,0x3fffa00b,0xfa800006,
    0x3e202fff,0xd100ffff,0x000bffff,0x8007ffff,0x004ffff9,0xf893fffe,
    0xfd005fff,0xff0009ff,0x360009ff,0x7fc05fff,0x3ff202ff,0xb6fff99f,
    0xff91ffff,0x3ff2003f,0x1ffffec6,0x3fffffa2,0xffffffff,0xff9800ef,
    0x000003ff,0xf80dfffd,0xfb03ffff,0x64cbffff,0x3fffe03d,0x7ffcc003,
    0xfff3004f,0xfffff87f,0x4fffe800,0x5fffd800,0xbfffb000,0x0ffffc40,
    0xf15fff90,0xffffbfff,0x00dfffdf,0x3fa2ffec,0xfe882fff,0xffffffff,
    0xb000efff,0x0001ffff,0x3fffee00,0x3fffee01,0x3fff661f,0xfff35fff,
    0x3fffe0bf,0x7ffcc003,0xfff9004f,0xffffc83f,0x4fffe802,0x5fffd800,
    0xbfffb000,0x0ffffc40,0x365fff70,0xffffffff,0x442fffff,0x24fff80b,
    0x00fffffb,0xffffffd1,0x001dffff,0x013fffe2,0xfff88000,0x3ffe204f,
    0xfffeefff,0xf95fffff,0xff03ffff,0xf98007ff,0xff004fff,0xfff30dff,
    0xfffd00bf,0xfffb0009,0x3ff6000b,0x3ffe205f,0x3ffea01f,0x5fffff33,
    0x07fffff7,0xf57bdff3,0xfffb79ff,0xfb500bff,0x05bfffff,0x1ffffb80,
    0x7e400000,0x3f200fff,0xffffffff,0xb5fffcef,0xf05fffff,0x98007fff,
    0xa804ffff,0xfd03ffff,0xfe801fff,0xfd8004ff,0xfb0005ff,0x7fc40bff,
    0x3fe601ff,0x8b7faa5f,0xf302cfec,0xffffffff,0xdfffffff,0x7ffcc001,
    0xfff0004f,0x000000df,0x807ffff3,0xfffffffc,0x5fffb8ef,0x01fffff9,
    0x8007ffff,0x804ffff9,0x2e07fffe,0x7404ffff,0xd8004fff,0xb0005fff,
    0x7c40bfff,0x3e201fff,0x00000fff,0x3fffffe6,0xffffffff,0xff8000ef,
    0xfa8006ff,0x00002fff,0x0dfffd00,0xfffffd70,0x8afffdc9,0xff03fffe,
    0xf98007ff,0x7d404fff,0x3e204fff,0x3a01ffff,0xd8004fff,0xb0005fff,
    0x7c40bfff,0x7f401fff,0x200002ff,0xfffffff9,0x2effffff,0x3fffa000,
    0xfd04a84f,0x00000fff,0x17fffd40,0x001aa880,0x3fe00aa8,0x7d4003ff,
    0x3e203fff,0x5c00ffff,0x3a06ffff,0xc8004fff,0xb0006fff,0x7cc0bfff,
    0x7dc00fff,0x400005ff,0xfffecb98,0x0002bcef,0xefffffb8,0x4c2ffecc,
    0x0003ffff,0x7fffc000,0x00000005,0x00ffffe0,0x05ffff90,0x017fffe4,
    0x03ffffe8,0x0009fffd,0x000ffff7,0xa817fff6,0xf8807fff,0x00003fff,
    0x002fff40,0xffffe800,0x0fffffff,0x003ffff2,0xff700000,0x444443ff,
    0x08888888,0x7ffc0000,0x7ffc003f,0xfff700ff,0x7fcc00bf,0xffe82fff,
    0xffa8004f,0xfd8002ff,0x3ffa05ff,0xfffb006f,0x02c8805f,0x004fff80,
    0xffff3000,0x5fffffff,0x013fffe2,0x3e200000,0x3ffe4fff,0xffffffff,
    0x3e00003f,0x03993fff,0x1bffff62,0x07ffffd4,0x3fffee00,0x27fff41f,
    0x7fffc400,0x7fec002f,0xfffd885f,0xfff3004f,0x73337bff,0x88005ffb,
    0x00002fff,0x3ffff220,0x2a20dfff,0x00000aaa,0x55555000,0x7ffffffc,
    0x003fffff,0x4ffffe00,0xdccceffc,0x81ffffff,0x02fffffa,0xfffffb00,
    0x77ffff43,0x5c03eeee,0xeeffffff,0xfddddd90,0x3faebfff,0x00ffffff,
    0x3ffffe60,0xffffffff,0x7ffcc002,0x88000001,0x0009bba9,0x00000000,
    0x3fffffe0,0x03ffffff,0x3fffe000,0xffffff93,0x09ffffff,0x05fffff1,
    0xffffd800,0x3fffffa6,0xe804ffff,0x1fffffff,0xfffffffb,0x3fff2bff,
    0x8003ffff,0xfffffff9,0x001fffff,0x0007ffd4,0x00000000,0x00000000,
    0xfffffff8,0x003fffff,0x4ffffe00,0xfffffffc,0x2e03ffff,0x00002fff,
    0x7f41dffb,0xffffffff,0xfffc8804,0xfffb1fff,0x2bffffff,0x2efffffc,
    0x3f722000,0x0befffff,0x00000000,0x00000000,0x20000000,0x99999999,
    0x00009999,0x4cffffe0,0xfffffffd,0x2fb800cf,0x076c0000,0x3ffffffa,
    0x26004fff,0xfb1ffecc,0xffffffff,0x0f37bf2b,0x26a60000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x307ffff0,0x00013553,0x02000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffffe00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00133330,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33330000,0x99880001,0x02000000,
    0x00000000,0x3372ea20,0xaaaaaaab,0x05555530,0x02aaaa80,0x4006f2ea,
    0x26609998,0x22000099,0x99999999,0x40000099,0xabcccaa8,0x80dd4401,
    0x00009999,0x9ffff300,0xfffa8000,0x20003cef,0x3dfffec9,0x3fa60000,
    0xfc88002f,0xffffffff,0xf31fffff,0x2003ffff,0x986ffffa,0x04fffffe,
    0xf30fffe8,0x40009fff,0xfffffffa,0x00002fff,0xffffff91,0x7fcc0fff,
    0xffff85ff,0xf3000006,0x80009fff,0xfffffffa,0x7fe4003f,0x1effffff,
    0x7ffc4000,0x3e2001ff,0xffffffff,0x1fffffff,0x013ffffa,0x217fffec,
    0xfffffff8,0x3fff203f,0x13fffe62,0xffffa800,0x02ffffff,0xffff9800,
    0x07ffffff,0x0ffffffa,0x000dffff,0x3fffe600,0x7fd40004,0xffffffff,
    0xffffd801,0x0fffffff,0x3ffee000,0x3fa004ff,0xffedffff,0x1fffffff,
    0x01ffffea,0x21ffffe2,0xffcdfffc,0xfff980ff,0x27fffcc5,0xffff5000,
    0x05ffffff,0xfffe8800,0x7fffffff,0xffffff30,0x06ffff8b,0xfff30000,
    0xfa80009f,0xffffffff,0x3fea01ff,0xfffddfff,0x320006ff,0x004fffff,
    0x989ffff9,0x19affffd,0x01fffff8,0x427fffdc,0x3fea4fff,0x0fffe82f,
    0x027fffcc,0x99999300,0x005ffffd,0xfffffc80,0x05ba99ac,0xbffffff3,
    0x006ffff8,0xffff3000,0xa9880009,0xfffffeca,0xffff00ef,0x7fff441d,
    0xff30000f,0x36005fff,0xff106fff,0x7fe40bff,0x7ff405ff,0x7ffc41ff,
    0x70fffe22,0xff305fff,0x000009ff,0x005ffff9,0x2fffff80,0xfffff000,
    0x6ffff87f,0xff300000,0x000009ff,0x3fffffa6,0x2ffff884,0x02ffffa8,
    0x13ffee00,0x03ffff80,0x981ffff6,0x300fffff,0xf30dffff,0x3fff83ff,
    0x4c17ffe6,0x0004ffff,0x2ffffc80,0x3ffe2000,0x3ea0005f,0xfff86fff,
    0x3000006f,0x0009ffff,0x7fff4400,0xffffa86f,0x2ffff881,0x004c4000,
    0x05ffff10,0x203fffdc,0x902ffffe,0xf307ffff,0x7ffcc7ff,0x403fffa2,
    0x004ffff9,0xffffc800,0x3fea0002,0x440004ff,0xffff02cb,0x2600000d,
    0x5cc4ffff,0x20000acd,0x40fffffa,0xa82ffffa,0x0001ffff,0xffff0000,
    0x37ffec0b,0x17fffee0,0x407ffffc,0x3ee5fff8,0x7fff71ff,0x27fffcc0,
    0x0159d971,0x2ffffc80,0x3ffee000,0x8000003f,0x5406ffff,0x9802aaaa,
    0xff74ffff,0x005fffff,0x3ffffe20,0x27fffc41,0x803ffff4,0xaaaaaaa8,
    0xfb000aaa,0xff301fff,0xff8809ff,0x7fcc0fff,0x3ff605ff,0x36fffdef,
    0xf980bfff,0xfff73fff,0x4005ffff,0x002ffffc,0x0ffffee0,0x3fe00000,
    0x3ff606ff,0xf9802fff,0xfffcbfff,0x03ffffff,0xfffff880,0x1fffff80,
    0x00fffff6,0x7fffffd4,0x5002ffff,0x339fffff,0x03fffff7,0x87ffff90,
    0x201ffffc,0xfffffff9,0x01fffd1f,0xdbffff98,0xffffffff,0xfff9002f,
    0x7dc0005f,0x00003fff,0x06ffff80,0x07fffff7,0x3ffffe60,0xffffffff,
    0x5c002fff,0xf707ffff,0xffd3dfff,0x7d400bff,0xffffffff,0x3ff6002f,
    0xffffffff,0xff3003ff,0xffff8dff,0xffffa806,0x7fff71ef,0xfffff300,
    0xffffffff,0x3f200dff,0xa8802fff,0xfffdaaaa,0xaaaaaacf,0xff80000a,
    0xfffa86ff,0x3e6004ff,0xefffffff,0x5fffffcb,0x3fffea00,0x3fffa05f,
    0x05ffffff,0x7ffffd40,0x002fffff,0xffffffd1,0x009fffff,0x51ffffe8,
    0x2007ffff,0xf109bba8,0x3e600dff,0xefffffff,0x2fffffeb,0x2ffffc80,
    0xfffffa80,0xffffffff,0x002fffff,0x46ffff80,0x04fffff9,0x7ffffcc0,
    0x7ffd41ef,0xdcca81ff,0x0ffffffe,0x3ffffe60,0x88003fff,0xffdaaaaa,
    0xffb002ff,0xdffffdbf,0xff700019,0x3fff69ff,0xfd80000f,0xff3001ff,
    0xd83dffff,0xc803ffff,0xa802ffff,0xffffffff,0xffffffff,0x554402ff,
    0x4dffff00,0x05ffffe8,0xfffff980,0xffffb00f,0xfffff909,0x8807ffff,
    0x0dffffff,0x7fe40000,0xff9802ff,0x0006627f,0x3bfffe20,0x005ffff8,
    0x03fffb80,0x3ffffe60,0xffffa80f,0xffffc805,0xffffa802,0xffffffff,
    0x02ffffff,0x20ffffa6,0x3fa6ffff,0x30006fff,0x403fffff,0xc85ffffa,
    0xefffffff,0x7fffd401,0x6540ffff,0x7e4003cc,0xfb802fff,0x000006ff,
    0x3f7ffff2,0x40002fff,0x4006fff8,0x01fffff9,0x00bffff1,0x005ffff9,
    0xfb555551,0x55559fff,0x7f401555,0x7fc2ffff,0xffff96ff,0x3e60001d,
    0x7cc05fff,0xffb86fff,0x400bdfff,0xfffffff9,0x7ffec6ff,0x7ffe4005,
    0xfffb802f,0x800000cf,0xfffffff9,0xfd80007f,0x7cc001ff,0x3e205fff,
    0xfc805fff,0x20002fff,0x003ffffb,0x3fffffe0,0x5f7fffc6,0x000fffff,
    0x13fffe60,0x0fffff10,0x400ffff7,0xfbfffff8,0x3f65ffff,0x7e4004ff,
    0xf9802fff,0xefffffff,0x000acdee,0xffffffe8,0x7d40004f,0x37b2e4ff,
    0xffff980b,0x3fffe204,0xffffc805,0x3fee0002,0x3e0003ff,0x20ffffff,
    0xffffffff,0x4c0001ff,0xf804ffff,0xffb87fff,0x3ff2007f,0xffff33ff,
    0x13fffa7f,0x5ffff900,0x3ffff200,0xffffffff,0x2e000cff,0x0fffffff,
    0x3ffe2000,0xfffffd16,0xffff983f,0x3fffe204,0xffffc805,0x3fee0002,
    0x320003ff,0x21ffffff,0xffffffff,0x4c0001ff,0x4404ffff,0xfa86ffff,
    0x3fe007ff,0x7ffd47ff,0x3ffffaff,0x7fffe400,0x3fffa002,0xffffffff,
    0x22006fff,0x04ffffff,0x8fffec00,0xfffffffe,0x27fffcc6,0x0bffff10,
    0x05ffff90,0x7fffdc00,0x7ff40003,0x3ffe1fff,0xfffffcef,0x3fe60000,
    0x7fcc04ff,0xeee985ff,0xffff1005,0xfffff90b,0x8001ffff,0x002ffffc,
    0xdddffffb,0xffffffdd,0x7fec009f,0x20001fff,0xff74fffa,0x7fffb3bf,
    0x027fffcc,0x00bffff1,0x005ffff9,0x1ffffdc0,0x3ffe2000,0xb7fffc7f,
    0x006ffffe,0x13fffe60,0x09ffff50,0x7ffcc000,0xffffb03f,0x9000bfff,
    0x9005ffff,0x4407ffff,0x006ffffd,0x017ffff6,0x26fff880,0x7ffc6ffd,
    0x13fffe64,0x05ffff88,0x02ffffc8,0x3fffee00,0xffe80003,0xb7fffc6f,
    0x05fffff8,0x9ffff300,0x2ffffe80,0x3fe60000,0xffd104ff,0x0005ffff,
    0x805ffff9,0x005ffff8,0x200fffff,0x01fffff9,0x87fff200,0x7ff45ffe,
    0x13fffe66,0x05ffff88,0x02ffffc8,0x3fffee00,0x7fc40003,0x7fffc4ff,
    0x3ffffea6,0xfff98003,0x3ffea04f,0xeec880ff,0xffff1002,0x3ffe601d,
    0xf90007ff,0xfa805fff,0xff004fff,0xfd100dff,0x4000bfff,0x7fc4fffa,
    0x337fec4f,0x4409ffff,0xc805ffff,0x0002ffff,0x00ffffee,0x1dfff900,
    0x6c6ffff8,0x002fffff,0x827fffcc,0x03fffffa,0x007ffffd,0x037ffffa,
    0x3fffffa6,0xfffc8002,0x7ffd402f,0x7fdc00ff,0x7f4c04ff,0x0000efff,
    0xe81dffd1,0x2fff46ff,0x409ffff3,0x805ffff8,0x002ffffc,0x0ffffee0,
    0xfeb99880,0xfff81fff,0x7fff446f,0x3e6000ff,0xcbcdffff,0x06fffffe,
    0x0dfffff3,0x3ffffee0,0xfffecccf,0x001fffff,0x017fffe4,0x3bffffe2,
    0xffb5309a,0xded83fff,0x1ffffffe,0x3fff2000,0x30fffd82,0x7fcc7fff,
    0x3fe204ff,0xdddd15ff,0xdfffffdd,0x001ddddd,0x007ffff7,0x7fffffdc,
    0xdffff02f,0xdfffff30,0x3ffe6001,0xffffffff,0xf501ffff,0x400fffff,
    0xfffffffd,0xffffffff,0x77440fff,0xffffeeee,0x0eeeeeef,0x3ffffff6,
    0xffffffff,0xfffe82ff,0x003fffff,0x413ffe60,0xffeffffa,0x3ffe60ff,
    0x3ffe204f,0xfffff15f,0xffffffff,0x7003ffff,0x4007ffff,0x0cfffffb,
    0x41bfffe0,0x05fffffb,0xffffff30,0x9fffffff,0x7fffc401,0x3f62005f,
    0xffffffff,0xffffebff,0x7ffffc46,0xffffffff,0x7ec1ffff,0xffffffff,
    0xd02effff,0x3dffffff,0xfffe8000,0x3ffff600,0x7fcc2fff,0x3fe204ff,
    0xffff15ff,0xffffffff,0x003fffff,0x007ffff7,0x00de6f5c,0xb037fffc,
    0x007fffff,0x3ffffb2a,0x001dffff,0x001dfff7,0xfffffd30,0x3fe219ff,
    0x3fe25fff,0xffffffff,0x1fffffff,0xfffffc98,0x402dffff,0x03effffe,
    0x2fffc800,0xfffffc80,0x4ffff981,0x57fffe20,0xfffffff8,0xffffffff,
    0xffb801ff,0x000003ff,0x206ffff8,0x2fffffe8,0x1a998800,0x00aa2000,
    0x04d54c00,0xffff8800,0xffffffff,0x401fffff,0x009aa998,0x0006aa60,
    0xa9800000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53100000,0x2e637999,0x88555513,0x000acdcb,0x0000ee60,0x001aca98,
    0xccba9880,0xa98801aa,0x801aaccc,0x99999998,0x09999999,0x13310000,
    0x5e5d4c00,0x2600001a,0x301aacca,0x26001333,0x33310999,0x33333333,
    0x37510333,0xffffe980,0x5fffffff,0x7e4ffff3,0x02ffffff,0x13fff660,
    0xfffd3000,0x005dffff,0xfffffea8,0xa82fffff,0xfffffffe,0x3ea03eff,
    0xffffffff,0x005fffff,0x7fff6dc4,0xffb806ff,0xbfffffff,0x7f6c4000,
    0xffffffff,0x9ffff32d,0xbffff100,0x3fffffea,0xffffffff,0x17fffe60,
    0x7fffffe4,0x5fffffff,0xfb1ffff3,0xffffffff,0x3ffea007,0x3ee0004f,
    0xffffffff,0xfe9803ff,0xffffffff,0xffb83fff,0xffffffff,0xffa80eff,
    0xffffffff,0x3005ffff,0xfffffffb,0x7fcc0dff,0xffffffff,0xf7000fff,
    0xffffffff,0x3e69ffff,0xf8804fff,0xfff55fff,0xffffffff,0x7ff41fff,
    0x7ff43fff,0xffffffff,0xff35ffff,0xfffffbff,0x05ffffff,0x09ffff50,
    0xffffb100,0xffffffff,0x7ffc40bf,0xffffffff,0xffb83fff,0xffffffff,
    0xffa86fff,0xffffffff,0xb805ffff,0xffffffff,0xff106fff,0xffffffff,
    0x401dffff,0xffffffd8,0xffffffff,0x09ffff34,0x2bffff10,0xfffffffa,
    0x0fffffff,0xbffffff3,0x6fffffdc,0xfffc999b,0xfffff35f,0xff97dfff,
    0xf500bfff,0x90009fff,0xdfffffff,0x7fffffff,0x3fffff60,0xffeccdef,
    0xdeffb83f,0xffffdccc,0x7ffd43ff,0xffffffff,0x7e405fff,0xffffffff,
    0xffb06fff,0xb7359dff,0x407fffff,0xfffffffe,0xfffffeef,0x09ffff34,
    0x2bffff10,0xeeeeeee9,0x0fffffee,0xbffffff3,0x13ffffe2,0x9affffc4,
    0x1effffff,0x0fffffd4,0x13fffea0,0xfffff100,0x7ffd443b,0xfff987ff,
    0x2a200cff,0x2200a982,0x545fffff,0xaaabffff,0x01aaaaaa,0x3fffffee,
    0xff0009ab,0x3ee01fff,0xff705fff,0x1037ffff,0x3fe69fb5,0xff8804ff,
    0x7f4005ff,0x3ffe0fff,0xfff93fff,0x7ffc40bf,0xfffff35f,0x3fff601f,
    0x2aaaaa4f,0xaadffffc,0x6c1aaaaa,0x2605ffff,0x5c2fffff,0x0006ffff,
    0xffff9000,0x0ffffa8f,0x7ffc4000,0x98000cff,0x7404ffff,0xff886fff,
    0x2001efff,0x09ffff30,0x0bffff10,0x0ffffe80,0xf9bfffea,0x2202ffff,
    0xff35ffff,0x7d403fff,0x3ffa5fff,0xffffffff,0x4fffffff,0x03ffffe6,
    0x8dffff70,0x004ffffc,0xfff10000,0xffffa8ff,0x7fe40000,0x2a0005ff,
    0x7403ffff,0xffc85fff,0x30000fff,0x1009ffff,0x800bffff,0x440ffffe,
    0x3ffe22cb,0x7ffc407f,0xbffff35f,0x6ffff980,0x3ffffffa,0xffffffff,
    0x3fee4fff,0xff9805ff,0x3ff21fff,0x000006ff,0x8dffff10,0x000ffffa,
    0x07ffffc0,0xffff3000,0x7fffcc0d,0x7ffffc44,0x3fe60003,0xff8804ff,
    0x7f4005ff,0xf3000fff,0xf880dfff,0xfff35fff,0xfff8809f,0x3ffffa7f,
    0xffffffff,0x324fffff,0xd002ffff,0x7dc5ffff,0x000dffff,0x7ffdc000,
    0x7fffd44f,0x3fe60000,0xf80005ff,0xe885ffff,0x7d41ffff,0x40007fff,
    0x804ffff9,0x005ffff8,0x007ffff4,0x05ffffa8,0x9affffc4,0xf804ffff,
    0x2aaa7fff,0xdffffcaa,0x1aaaaaaa,0x007ffff6,0x317fffec,0x9fffffff,
    0xf5000001,0xfa81ffff,0x0099afff,0x1ffffdc0,0x5c001331,0x32efffff,
    0x709ffffd,0x0009ffff,0x04ffff98,0x05ffff88,0x07ffff40,0x5ffffa80,
    0xaffffc40,0x404ffff9,0x406ffff8,0x004ffffa,0x003ffffa,0x21ffffe4,
    0xfffffffd,0xaa8002df,0xffffecba,0xffffa80e,0x1cffffff,0x5ffffec0,
    0xeffffffc,0xffffd804,0xfffffeff,0x7ffff905,0x33333310,0x3ffe6133,
    0xfff8804f,0x7ff4005f,0xff5000ff,0xff880bff,0xffff35ff,0xffff9809,
    0x7fffd405,0x3fffe004,0x3ffee007,0x7fffc44f,0xcfffffff,0xfffff000,
    0x5409ffff,0xffffffff,0xd01effff,0xffffffff,0x5fffffff,0xfffffd80,
    0x203fffff,0xc82ffffd,0xffffffff,0x09ffff35,0x0bffff10,0x0ffffe80,
    0xdffff300,0x5ffff880,0x809ffff3,0x404ffffa,0x004ffffa,0x00fffff1,
    0x42ffffdc,0xffffffd8,0x802fffff,0xffffffff,0xffa80bdf,0xffffffff,
    0xfe80ffff,0xffffffff,0x1fffffff,0x7ffffdc0,0x3e01efff,0xfc81ffff,
    0x5fffffff,0x009ffff3,0x00bffff1,0x00ffffe8,0x1fffff10,0x3ffffa20,
    0x09ffff35,0x02ffffe8,0x027fffd4,0x07ffff98,0x17fffee0,0xfffffeb8,
    0x403fffff,0xffffffff,0x7541efff,0xfffeeeee,0x40efffff,0xffffffff,
    0xfffffeee,0x3ffa606f,0xffffffff,0x3fffff04,0xffffff90,0x3ffe6bff,
    0xfff8804f,0x7ff4005f,0x1ee4c0ff,0x40fffffe,0x35fffffd,0x5409ffff,
    0x400fffff,0x004ffffa,0x01fffff1,0x13fffee0,0x3ffff6a0,0x201fffff,
    0xffcbaaaa,0x001fffff,0x7fffff54,0x77ffffc3,0x7ffe440a,0xfffa83ff,
    0xfffffeff,0xfffe84ff,0xffffc82f,0xff35ffff,0xff1009ff,0xfe800bff,
    0x3fea0fff,0xfff70eff,0x7fecc3ff,0xff35ffff,0x3fea09ff,0xfa803fff,
    0x3e004fff,0x9000ffff,0x4005ffff,0xfffffeb8,0xff50006f,0x1000dfff,
    0xf89ffffd,0x6c01ffff,0x7d44ffff,0xf913ffff,0xd85fffff,0x8802ffff,
    0xff35ffff,0xff1009ff,0xfe800bff,0x3ffe0fff,0xfff13fff,0xfffddfff,
    0x26bfffff,0xbcdfffff,0x6fffffec,0x9ffff500,0x7ffff400,0xffff9001,
    0x3fee0003,0x0000ffff,0x01fffff3,0xdffff500,0x01ffffe8,0x12ffffcc,
    0x303fffff,0xc8dfffff,0x8803ffff,0xff35ffff,0xff1009ff,0xfe800bff,
    0xfff30fff,0x7fe4bfff,0xffffffff,0xf35ffffe,0xffffffff,0x03ffffff,
    0x13fffea0,0x3ffffd80,0x1ffffd00,0x7ffdc000,0x3a0001ff,0x8002ffff,
    0x6c7ffff8,0x4402ffff,0x3ee7ffff,0x3e603fff,0x3ee1ffff,0xf8806fff,
    0xfff35fff,0xfff300bf,0xffe8009f,0xffff30ff,0xfffc8bff,0xf8efffff,
    0xfff35fff,0xffffffff,0x540019ff,0x2004ffff,0x805ffffc,0x007ffff9,
    0x7ffffc40,0x3ffa0002,0xf98002ff,0x7fe47fff,0x7fc403ff,0x3fff66ff,
    0x7ffe400f,0x3fffea2f,0x7ffc401f,0xdffff15f,0x7ffff300,0x7ffff800,
    0x17fffff4,0x7fffff5c,0x4d7fffe4,0xffffffff,0x8001dfff,0x005ffffa,
    0x03ffffe6,0x09ffff90,0xffff8800,0x3fe0000f,0xb8000fff,0x7dc5ffff,
    0x7d406fff,0x3ffa4fff,0xfffb807f,0x7ffff42f,0x7fffc405,0x01ffffe5,
    0x00bfffee,0x46ffff98,0x404fffe9,0xfff81aa8,0x9ffff35f,0x00003531,
    0x01fffff3,0x77ffff40,0xfffff500,0x7dc00181,0x20006fff,0x006ffffc,
    0x3fffff88,0x0fffffc4,0x47ffffd0,0x403ffffe,0x541ffffc,0x00dfffff,
    0x74bffff1,0x7c03ffff,0x0130ffff,0x05ffffd8,0x88000155,0xff35ffff,
    0x000009ff,0x00fffffe,0xefffffa8,0xffff730a,0x37bff09f,0xffffb301,
    0xd980089f,0x264fffff,0x3ffee200,0xffc80fff,0x7ec41fff,0x3f20ffff,
    0xf500ffff,0x3fa0ffff,0x09beffff,0xb97fffea,0x882fffff,0x324ffffd,
    0xfffc80bf,0x000003ff,0x9affffc4,0x0004ffff,0xfffffd00,0x09d9979f,
    0xfffffffd,0xffffffff,0xffffff01,0xffffffff,0x7fcc1fff,0xffeeeeee,
    0x746fffff,0xffeeeeff,0x01ffffff,0xdffffff1,0xffffffdb,0xfffffa85,
    0xffecacef,0xff304fff,0xffffffff,0x8bffffff,0xdefffffe,0xffffffec,
    0x3bbfff20,0x6ffffffe,0xf8800000,0xfff35fff,0x2000009f,0xfffffffa,
    0xe984ffff,0xffffffff,0xf01fffff,0xffffffff,0x3fffffff,0xffffff98,
    0xffffffff,0x7ffff40e,0xffffffff,0x7ffe402f,0xffffffff,0xfff905ff,
    0xffffffff,0xfa80bfff,0xffffffff,0x45ffffff,0xfffffffa,0x3fffffff,
    0x7fffffe4,0x01ffffff,0xff880000,0xffff35ff,0x64000009,0xffffffff,
    0xffb104ff,0xffffffff,0x7fffc01b,0xffffffff,0xff981eff,0xffffffff,
    0xfe80cfff,0xffffffff,0xf5001dff,0xffffffff,0xffc807ff,0xffffffff,
    0xfb1005ff,0xffffffff,0xf509ffff,0xffffffff,0xff905fff,0xffffffff,
    0x0000005d,0x4d7fffe2,0x0004ffff,0x7fff4c00,0x403fffff,0xffffffdb,
    0xffdb803e,0xffffffff,0x3ffe601d,0xefffffff,0x3fffa00b,0x1cefffff,
    0xfffd8800,0x000cffff,0xffffff93,0x500039ff,0xfffffffb,0x644037df,
    0xffffffff,0x3ffae204,0x003effff,0x7fc40000,0xffff35ff,0x20000009,
    0x00aaaa98,0x001aa880,0x2aaaa620,0x26620009,0x80019aaa,0x009aaa98,
    0x4d4c4000,0x54cc0000,0x2000019a,0x0099aa98,0x09aa9880,0x01aa9800,
    0x22000000,0xff35ffff,0x000009ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,
    0x00035597,0x20035951,0x00099998,0x330ccccc,0x88001333,0x33109999,
    0x26600033,0x0ccc4009,0x33009998,0x26001333,0x26209999,0x99999999,
    0x19999999,0x26666662,0x99999999,0x26619999,0x98801999,0x4ccc4099,
    0x26662009,0x26662099,0xffb70019,0xbfffffff,0xffffd980,0x2e00efff,
    0x2007ffff,0x366ffff9,0x4005ffff,0xf32ffffe,0xf3000fff,0xffd80dff,
    0x2fffcc0f,0x05ffffe8,0x1fffffc8,0x3fffffee,0xffffffff,0xfff51fff,
    0xffffffff,0xffffffff,0x3fffffe2,0x37ffe401,0x81fffffa,0x22fffffb,
    0x407ffffa,0xffffffd8,0x00ffffff,0xfffffff5,0x7c05ffff,0xb003ffff,
    0x7dc7ffff,0x22007fff,0x3e67ffff,0xfa8007ff,0x7ff406ff,0x04fffa87,
    0x03fffff5,0x27ffffc4,0x3fffffee,0xffffffff,0xfff51fff,0xffffffff,
    0xffffffff,0x3fffffe2,0x37ffe405,0x07fffffa,0x17fffff4,0x40dffff5,
    0xfffffffa,0x0fffffff,0xffffffb8,0x3fffffff,0x0dffff70,0x8dffff30,
    0x02fffff8,0x4bffff70,0x000ffff9,0x202fffd4,0xffa87fff,0x3fffa03f,
    0x3fff206f,0x7ffdc0ff,0xffffffff,0x51ffffff,0xffffffff,0xffffffff,
    0x3ffe2fff,0x3200ffff,0x7ffc6fff,0xff884fff,0x3e63ffff,0xff506fff,
    0xdfffffff,0xa81fffff,0xbcefffff,0x0ffffffe,0x05fffff0,0x83ffffd8,
    0x004ffffe,0x445ffffb,0x4000ffff,0x7c05fffa,0xfffb86ff,0x3fffea02,
    0xffff882f,0xffffb83f,0xffffffff,0xf51fffff,0xffffffff,0xffffffff,
    0x3fffe2ff,0x3f204fff,0x7fffc6ff,0xfffb86ff,0x3fe63fff,0xfffd05ff,
    0xa8815bff,0x7fff40fd,0xfffe884f,0xffff704f,0x7fffcc0d,0xdffff906,
    0x3ffffe00,0x03fffe20,0x09fff700,0x642fffc4,0x7ec01fff,0xffc86fff,
    0x99880fff,0x99999999,0x06fffffa,0x0bffff30,0xffffff10,0x3ff201ff,
    0x7ffffc6f,0x7ffec0ff,0x3fe24fff,0xfffa85ff,0xa81005ff,0x2605ffff,
    0xf00fffff,0x3605ffff,0xf302ffff,0x9801ffff,0xff86ffff,0x7dc001ff,
    0x3fe604ff,0x1fffd84f,0x7ffffcc0,0x3ffffe22,0xffd80003,0xf3000fff,
    0xf100bfff,0x7fffffff,0x89bfff20,0x3fffffff,0x3ffbffe2,0x3fffe24f,
    0x5fffff84,0x3fffa000,0x7ffe401f,0xffff704f,0xdffff30d,0x3fffff80,
    0x1ffffe40,0x000ffffc,0xe88fffee,0xeffffeee,0xeffffeee,0xfff903ee,
    0x7fffe4df,0xffa80006,0x26003fff,0x8805ffff,0xffffffff,0x4dfff907,
    0xfffcfff8,0x3f3ffea5,0x7fffc4ff,0x7ffffdc4,0xfff30001,0xfff700df,
    0x7fffc0df,0x7fffec1f,0x7fffe402,0x7ffff405,0x81ffff81,0xfffb8199,
    0x3ffffe23,0xffffffff,0x04ffffff,0x15fffff1,0x005fffff,0xfffff880,
    0x7ffcc005,0xfff8805f,0x82ffffdf,0x3e26fffc,0x0fffdcff,0xfff3fffb,
    0x43ffff8b,0x005ffffc,0x0ffffea0,0xfffffd88,0x3fffee07,0x1bfffe65,
    0x1ffffea0,0x06ffff88,0xfa83fffd,0x7ffe40ff,0x3ffffe23,0xffffffff,
    0x04ffffff,0x33bffff2,0x0006ffff,0x0fffffd8,0x7fffcc00,0xffff8805,
    0xc86ffffa,0x3fe66fff,0xf2fffbcf,0xbfff39ff,0x743fffe8,0x0002ffff,
    0x407fffee,0xfffffffa,0x7ffffc07,0x05ffffb1,0x3fffff10,0x13fffee0,
    0x3217fff4,0x7fe43fff,0x3fbba22f,0xeeeeefff,0x3eeeffff,0x3ffffe20,
    0x001fffff,0x7ffffd40,0xfff98003,0xfff8805f,0x2ffffcaf,0xf337ffe4,
    0x9fff19ff,0xff33fff3,0x1cccb8df,0x00fffffc,0x3ffff900,0xffffff90,
    0x7dc01fff,0xfff8cfff,0x3ff6006f,0xfffb03ff,0x3fff603f,0x22ffffc2,
    0x3602fffc,0x7fcc0fff,0x7fdc005f,0x05ffffff,0x7fffc400,0xff30005f,
    0xff100bff,0xffff15ff,0x26fffc8b,0xffd4fffa,0x3e6fff9d,0x3e2006ff,
    0x0001ffff,0x883ffff6,0xfefffffe,0x7fc01fff,0xffffcfff,0x3ffee002,
    0xfffff06f,0x317ffec0,0x6c1fffff,0x3fa01fff,0x4fffa87f,0xffffe800,
    0x40000fff,0x00fffffd,0xbffff300,0x5ffff100,0xc87ffff6,0x3fea6fff,
    0xfffff93f,0x1bffe29f,0xfffff980,0x3ffa0000,0x3fffea7f,0xffffbaff,
    0x7fffdc02,0x4006ffff,0x40fffff8,0x205ffff9,0x3f23fffc,0x3f62ffff,
    0x3ffe01ff,0x03fffb87,0xfffffb80,0x7d40005f,0x0002ffff,0x017fffe6,
    0x4cbfffe2,0x3f24ffff,0x3ffee6ff,0xffffff33,0x01fffe25,0x0fffffa8,
    0x3fffa000,0xfffffd8f,0x5ffff70d,0xffffff00,0xfd0005ff,0xffc85fff,
    0x3ff202ff,0x3ffffa3f,0x03fff65f,0xfb86fff8,0xfe8002ff,0x00ffffff,
    0xfffff100,0xff98000b,0xff8805ff,0x3fffa2ff,0x4dfff90f,0x3fe3fffb,
    0x3fe27fff,0x3fe6007f,0x20001fff,0xffeffffd,0x7fe43fff,0xffb801ff,
    0x0006ffff,0xe89ffff9,0x2e00ffff,0xfff33fff,0x7fecffff,0xbfff100f,
    0x003fff90,0xffffffa8,0xfb0004ff,0x0001ffff,0x05ffff98,0x22ffff88,
    0xf94ffffa,0x7ffdcdff,0x97ffff62,0x2007fff8,0x01fffff8,0x3ffff200,
    0xc81effff,0xf000ffff,0x005fffff,0x9ffffe60,0x405ffff8,0xff73fffb,
    0x3a5fff9d,0x2aaa27ff,0xaaaefffb,0xaabfffea,0xffffe801,0x001fffff,
    0x17ffffd4,0x7ffcc000,0xfff8805f,0x7ffff42f,0x326fffc8,0x3fea2fff,
    0x7fffc2ff,0x3fffe000,0x3ee0002f,0x0dffffff,0x00ffffb0,0x037fffdc,
    0x3ffffe00,0x07ffff51,0xfd4fffb8,0x29fff59f,0x3fe27ffe,0xffffffff,
    0xffffffff,0x7ffdc04f,0x6ffffeff,0x3fffe200,0xf300005f,0xf100bfff,
    0xffb85fff,0x6fffcbff,0xf88bfff2,0x7ffc0fff,0x3ffa000f,0x2a0005ff,
    0x02ffffff,0x003ffffc,0x00bffff3,0x3ffffc80,0x801ffffb,0xff8cfffa,
    0xf7fff8af,0x7ffc4fff,0xffffffff,0xffffffff,0x3fffe204,0xfffffabf,
    0xffffb002,0x2600001f,0x8805ffff,0x7c42ffff,0xfffcefff,0xd0bfff66,
    0xffff0bff,0x7ffe4003,0xf30001ff,0xa801ffff,0x2005ffff,0x005ffff9,
    0xb7fffd40,0xa806ffff,0xfffbdfff,0xff3fffb0,0x7fffc4df,0xffffffff,
    0x4fffffff,0x9fffff20,0x00fffffe,0x17ffffd4,0xfff30000,0xfff100bf,
    0xffff905f,0x7ecdfffd,0x04cc41ff,0x000ffffc,0x0bfffff5,0x3fffe200,
    0x7ffec01f,0x3fe6002f,0xf80005ff,0xfff9ffff,0xfff9804f,0x3ee5ffdd,
    0x46fffbff,0xafffd999,0xefffa999,0xff100999,0x7fcc7fff,0x3e204fff,
    0x0004ffff,0x2ffffcc0,0x17fffc40,0x7fffffc4,0x3fff66ff,0x7fffc001,
    0x7ffec001,0x42800dff,0x206ffffb,0x006ffffa,0x02ffffcc,0x7fffec00,
    0x801ffffe,0xfffdfff9,0x3f7ffe22,0x3ff605ff,0x27ffcc0f,0x6ffffd80,
    0x0fffffd8,0x1dffffb0,0xff980000,0xff8805ff,0xfffb02ff,0x7f4dffff,
    0x7f4001ff,0x7cc002ff,0xacefffff,0x0ffda989,0x33ffffe2,0x7ffffcc0,
    0x7ffcc002,0xfb80005f,0x7fffffff,0xfffff100,0xfffe81ff,0x3fa05fff,
    0x4fffa87f,0xfffff980,0xfffff983,0xfffffa85,0xaaaaaaac,0x9800aaaa,
    0x8805ffff,0xf302ffff,0x4dffffff,0x4001fffe,0x8002fffe,0xfffffffc,
    0xffffffff,0x7ffffe40,0xffffecdf,0xff98006f,0x880005ff,0xffffffff,
    0xffff1004,0xfff70bff,0x7fc0bfff,0x3fffb87f,0x6ffffe80,0x3fffff60,
    0x7fffff42,0xffffffff,0x9803ffff,0x8805ffff,0x3a02ffff,0x26ffffff,
    0x4001ffff,0x0003fffe,0xfffffff9,0x1fffffff,0xfffffd88,0xefffffff,
    0xfff98000,0xfd00005f,0x05ffffff,0x7fffffc0,0xfffff883,0xdfff104f,
    0x805fff70,0x02fffffa,0x1bffffe6,0xfffffffd,0xffffffff,0xff3007ff,
    0xff100bff,0x7fd405ff,0x3fe6ffff,0x7f4000ff,0x260003ff,0xfffffffe,
    0x700fffff,0xffffffff,0x4c000bff,0x0005ffff,0xffffff70,0x7ffc001f,
    0xffd00fff,0x3e609fff,0xfffc85ff,0x7ffffc01,0xffffd806,0x3ffffa3f,
    0xffffffff,0x803fffff,0x805ffff9,0x402ffff8,0x26fffffe,0x4000ffff,
    0x0003fffd,0x7fff6dc4,0x400bdfff,0xffffffea,0x7cc0003d,0x00005fff,
    0xbffffff3,0xfffff800,0x3fffee06,0x9fff303f,0x401fffb0,0x02fffffb,
    0xffffff88,0xffffffd0,0xffffffff,0xf3007fff,0xf100bfff,0xfb805fff,
    0xff16ffff,0xfd8001ff,0x800004ff,0x200009a9,0x00000aa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x19999800,0x99998800,0x4cccc400,0x26666621,0x20000099,
    0x009abba8,0x00099998,0x4cc13333,0x00099999,0x4cccccc4,0x99999999,
    0x26666621,0x99999999,0x26666099,0x30000999,0x33333333,0x13333333,
    0x06aaa600,0x33333310,0x10000133,0xfff00155,0xff5000ff,0x7fc409ff,
    0x3fea6fff,0xffffffff,0x362001ce,0xfffffffe,0x3fffe203,0xffff9806,
    0xffffff34,0x039ddfff,0x7fffffd4,0xffffffff,0xfffff50f,0xffffffff,
    0x3ffe67ff,0xdeffffff,0xffff802c,0xffffffff,0x4c03ffff,0x405ffffd,
    0xfffffffa,0x00beffff,0x07fffea0,0x00fffff0,0x09ffff50,0x0fffffe4,
    0xfffffff5,0x3dffffff,0xfffffb80,0x1fffffff,0x06ffff88,0x34ffff98,
    0xffffffff,0x05dfffff,0xfffffff5,0xffffffff,0x3ffffea1,0xffffffff,
    0xffff33ff,0xffffffff,0x7ffc03df,0xffffffff,0x103fffff,0xbffffffb,
    0xfffffa80,0xffffffff,0xfff8804f,0x3fe00fff,0xfa8007ff,0xff504fff,
    0xffa87fff,0xffffffff,0x880effff,0xfffffffe,0x86ffffff,0x806ffff8,
    0xf34ffff9,0xffffffff,0x87ffffff,0xfffffffa,0xffffffff,0xffffff50,
    0xffffffff,0x3fffe67f,0xffffffff,0xff80dfff,0xffffffff,0x43ffffff,
    0xffffffc8,0x7fd405ff,0xffffffff,0x404fffff,0x4ffffff9,0x01ffffe0,
    0x13fffea0,0x17ffffa2,0x3fffffea,0xffffffff,0xffff886f,0xffffefff,
    0x7fc44fff,0xff9806ff,0xffff34ff,0xffffffff,0x7d43ffff,0xffffffff,
    0x50ffffff,0xffffffff,0x7fffffff,0x3fffffe6,0xffffffff,0xeeed86ff,
    0xefffffee,0xf912eeee,0xffffffff,0xfffa80bf,0xffeeeeef,0x202fffff,
    0x6ffffff9,0x01ffffe0,0x13fffea0,0x03fffff2,0x10ffffea,0x3fffffd7,
    0x837fff30,0x46fffffa,0x806ffff8,0xf34ffff9,0xd9889fff,0x50ffffff,
    0x000bffff,0x00bffff5,0x89ffff30,0xfffffca9,0xfff9802f,0x7ffdc05f,
    0xffffffff,0x7fffd405,0xfffff703,0xffffe809,0x3fffe07f,0xfffa8007,
    0x7fffcc4f,0xffff502f,0x3fffe207,0x401d702f,0x20fffffa,0x806ffff8,
    0xf34ffff9,0x7d409fff,0xff52ffff,0xf5000bff,0x3000bfff,0x5409ffff,
    0x806fffff,0x405ffff9,0xabfffff8,0x5405ffff,0x2e03ffff,0x4406ffff,
    0x207fffff,0x8007ffff,0x744ffffa,0x2a04ffff,0x3203ffff,0x0004ffff,
    0x10fffffc,0x300dffff,0x3e69ffff,0x7ec04fff,0xfff53fff,0xff5000bf,
    0xf3000bff,0xf9809fff,0x4c03ffff,0xd805ffff,0xfff30cff,0xfffa80bf,
    0x3ffe603f,0xfffa806f,0x3fffe06f,0xfffa8007,0x3ffff24f,0x7fffd406,
    0x3fffee03,0x7ff40004,0x3ffe22ff,0xfff9806f,0x9ffff34f,0x5ffffb80,
    0x00bffff5,0x0bffff50,0x9ffff300,0xdffffd00,0x5ffff980,0x7cc0da80,
    0x7d405fff,0x3e603fff,0xf8805fff,0x3fe04fff,0xfa8007ff,0xfff34fff,
    0xffa803ff,0x3ff203ff,0x7c0003ff,0x3e21ffff,0xf9806fff,0xfff34fff,
    0xfffa809f,0xbffff55f,0xffff5000,0xfff3000b,0xfff5009f,0xfff980ff,
    0x3e60005f,0x7d405fff,0x3ee03fff,0xf9803fff,0x3fe02fff,0xfa8007ff,
    0xfffd4fff,0xfff5007f,0x3ffe207f,0x260001ff,0x7c47ffff,0xf9806fff,
    0xfff34fff,0xfffb809f,0xbffff54f,0xffff5000,0xfff3000b,0xfff1009f,
    0xfff980ff,0x3e60005f,0x7d405fff,0xff303fff,0xe8801fff,0x7fc05fff,
    0xfa8007ff,0xfffccfff,0xfff5005f,0xfffd507f,0xfc8000bf,0x7fc45fff,
    0xcccccfff,0xffffdccc,0x09ffff34,0x53ffffd8,0x000bffff,0x55dffff5,
    0x55555555,0x027fffcc,0x01fffff8,0x017fffe6,0x5ffff980,0x6ffffd40,
    0xfffdbaaa,0xc99882ff,0x400fffff,0x8007ffff,0xffdffffa,0xf5000fff,
    0xdd99dfff,0x01ffffff,0x7fffcc00,0x7fffc41f,0xffffffff,0x34ffffff,
    0x4c09ffff,0xf51fffff,0xddddffff,0x547ddddd,0xffffffff,0x27ffffff,
    0x004ffff9,0x405fffff,0x005ffff9,0x17fffe60,0xffffff50,0xdfffffff,
    0x3ffff603,0xff801eff,0xfa8007ff,0xffffffff,0x3ffea005,0xffffffff,
    0x40000dff,0x885ffffe,0xffffffff,0xffffffff,0xffff34ff,0x3fffea09,
    0x3fffea5f,0xffffffff,0x3ffea4ff,0xffffffff,0x3fe67fff,0xffd004ff,
    0x7fcc07ff,0x260005ff,0x5405ffff,0xffffffff,0x03efffff,0x07fffffb,
    0x03ffffc0,0x77fffd40,0x001fffff,0xfffffff5,0x0019ffff,0xfffffb00,
    0xfffff101,0xffffffff,0x269fffff,0xbaaeffff,0xffffffec,0x3ffffea0,
    0xffffffff,0x3fffea4f,0xffffffff,0x3ffe67ff,0xfffd004f,0x7ffcc05f,
    0x3e60005f,0x7d405fff,0xffffffff,0x0effffff,0x00566f6c,0x01ffffe0,
    0x33fffea0,0x006ffffd,0xfffffff5,0x007fffff,0xfffffc80,0xfffff101,
    0x99999999,0x269ffffb,0xffffffff,0x3fffffff,0x7fffffd4,0xffffffff,
    0x3bfffea4,0xcccccccc,0x3fffe64c,0xfffff004,0x7fffcc03,0x3fe60005,
    0x7fd405ff,0xccaaadff,0x06ffffff,0xffff8000,0xfffa8007,0xfffff8cf,
    0xffffa804,0xffffeb9c,0xff90001f,0x7c407fff,0xf9806fff,0xfff34fff,
    0xffffffff,0xff505dff,0x33333bff,0x7d413333,0x98005fff,0x8804ffff,
    0x200fffff,0x005ffff9,0x17fffe60,0x07ffff50,0x1fffffe4,0x3ffe0000,
    0xffa8007f,0xffff74ff,0xfffa805f,0x7fffec3f,0xfffb8006,0x7fc403ff,
    0xff9806ff,0xffff34ff,0xffffffff,0x7fffd407,0xfffa8005,0xff98005f,
    0xff9804ff,0x7fcc07ff,0x260005ff,0x5405ffff,0x6c03ffff,0x9885ffff,
    0xf8009999,0xa8007fff,0x3fa4ffff,0x2a00efff,0x7c43ffff,0x2003ffff,
    0x03fffffb,0x06ffff88,0x34ffff98,0x999dffff,0xff500135,0xf5000bff,
    0x3000bfff,0x9009ffff,0x980dffff,0x0005ffff,0x017fffe6,0x807ffff5,
    0x986ffffa,0x01fffffe,0x003ffffc,0x327fffd4,0x409fffff,0xb83ffffa,
    0x7007ffff,0x007fffff,0x01bfffe2,0x4d3fffe6,0x0004ffff,0x017fffea,
    0x17fffea0,0x3fffe600,0x7fffc404,0x7ffcc03f,0x3e60005f,0x7d405fff,
    0x7d403fff,0xfb106fff,0x7c03ffff,0xa8007fff,0x7e44ffff,0xf502ffff,
    0xff107fff,0xfb807fff,0x2002ffff,0x806ffff8,0xf34ffff9,0x40009fff,
    0x005ffffa,0x05ffffa8,0x4ffff980,0x37fffe40,0x2ffffcc0,0xffff3000,
    0xffffa80b,0x7fffe403,0x7fffdc05,0xfffff01f,0xffff5000,0xffffe889,
    0xffffa80f,0xdffff903,0x7ffffdc0,0x7ffc4002,0xfff9806f,0x9ffff34f,
    0x7ffd4000,0xffa8005f,0xf98005ff,0xfb104fff,0x3005ffff,0x000bffff,
    0x02ffffcc,0x80ffffea,0x03fffff9,0x1ffffe98,0x99fffff8,0x99999999,
    0x09ffff51,0x0bfffff5,0x207ffff5,0x82fffff9,0xcefffffb,0xcccccccc,
    0xdffff11c,0x9ffff300,0x013fffe6,0x5ffffa80,0xffffa800,0x9999999d,
    0xfff30999,0xf95333bf,0x00dfffff,0x017fffe6,0x32aaaaaa,0xaaaeffff,
    0xffff50aa,0xfffc9887,0xb1001fff,0xff83ffff,0xffffffff,0xf57fffff,
    0x3f609fff,0x7d42ffff,0x3f603fff,0x7fd46fff,0xffffffff,0x2fffffff,
    0x00dffff1,0x269ffff3,0x0004ffff,0x017fffea,0x3ffffea0,0xffffffff,
    0xffff33ff,0xffffffff,0xff03dfff,0xffffffff,0x47ffffff,0xffffffff,
    0xffffffff,0xfffff53f,0xffffffff,0x00007fff,0xfffffff0,0xffffffff,
    0x13fffeaf,0x7fffffc4,0x0ffffea0,0x2fffffa8,0x3fffffea,0xffffffff,
    0xfff12fff,0xfff300df,0x3fffe69f,0x3fea0004,0xfa8005ff,0xffffffff,
    0x33ffffff,0xffffffff,0x09ffffff,0x7ffffffc,0xffffffff,0x3ffffe3f,
    0xffffffff,0xff53ffff,0xffffffff,0x00bfffff,0x3fffe000,0xffffffff,
    0xfff57fff,0x7ffdc09f,0x3ffea5ff,0x7fff403f,0x3fffea6f,0xffffffff,
    0xf12fffff,0xf300dfff,0x3fe69fff,0x2a0004ff,0x8005ffff,0xfffffffa,
    0xffffffff,0xffffff33,0x3dffffff,0xffffff80,0xffffffff,0x3fffe3ff,
    0xffffffff,0xf53fffff,0xffffffff,0x005dffff,0x7fffc000,0xffffffff,
    0xfff57fff,0xfffe809f,0xffff52ff,0xffffb807,0xfffff51f,0xffffffff,
    0x3e25ffff,0xf9806fff,0xfff34fff,0x7d40009f,0xa8005fff,0xffffffff,
    0x3fffffff,0xfffffff3,0x2003579d,0xffffffff,0xffffffff,0x3fffffe3,
    0xffffffff,0xfff53fff,0x9ddfffff,0x00000039,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26666660,0x99800000,0x31009999,0x33333333,0x33333333,0x2aeea600,
    0x01000001,0x4c000000,0x009bcdca,0xdedcba80,0x51001acc,0x401379b9,
    0x401aaaa8,0x1001aaaa,0x03599975,0xcddcca98,0x0a9800ab,0xffff5000,
    0x80000dff,0x5ffffffa,0xffffffd0,0xffffffff,0x32203fff,0xffffffff,
    0x3ea00003,0x0003b601,0xfffffb80,0x8803ffff,0xfffffffb,0x74407fff,
    0xffffffff,0x9ffff302,0x2ffffc40,0x3fffff20,0x220fffff,0xfffffffc,
    0x980cffff,0x8003fffe,0xfffffffc,0xff100001,0x20bfffff,0xfffffffe,
    0xffffffff,0xfffa81ff,0xffffffff,0x7dc0001e,0xeffd81ff,0x7ec40001,
    0xffffffff,0xff100eff,0xffffffff,0x7fd40fff,0xffffffff,0x7ffcc0df,
    0x3ffe204f,0xfffd505f,0xffffffff,0x7ffffcc1,0xffffffff,0x3fffe20f,
    0x7fc003ff,0x03ffffff,0xffff9000,0x3fa0bfff,0xffffffff,0xffffffff,
    0x7ffffd41,0xffffffff,0xffb0000f,0x7fec3fff,0x10002fff,0xffffffff,
    0x0dffffff,0xffffffd1,0x0fffffdd,0x3fffffee,0x4fffffff,0x027fffcc,
    0x70bffff1,0xffffffff,0x4c1fffff,0xffffffff,0x25ffffff,0x6ffffffb,
    0x3fffe600,0x0005ffff,0xffffff98,0xfffd05ff,0xffffffff,0x43ffffff,
    0xdffffff8,0xfffffedc,0x7ff44004,0x3ea0efff,0x003fffff,0xefffffc8,
    0xfffffdbc,0x7fffdc3f,0x85b980af,0x42fffff8,0x21fffffb,0x204ffff9,
    0x4c5ffff8,0xdfffffff,0x20ffedcc,0x4419bef9,0x91fffffc,0x0fffffff,
    0x7ffffdc0,0x0000ffff,0x7ffffff4,0x999705ff,0x99999999,0x41fffffb,
    0x80effffd,0x00fffffc,0xfffffd30,0x3fffe609,0x3e6004ff,0xd883ffff,
    0x360fffff,0x0004ffff,0x203ffff9,0x266ffffa,0x2204ffff,0x7f45ffff,
    0x2603ffff,0x6400620c,0xff73ffff,0x400dffff,0xffdefffe,0x2e0002ff,
    0xfffaffff,0xfb00005f,0xfff89fff,0x3ff601ff,0xffa804ff,0x4403ffff,
    0x0dfffffe,0x4ffffd80,0x1fffffc0,0x009ffffd,0x09ffff10,0x267fffe8,
    0x2204ffff,0x3ee5ffff,0x0002ffff,0x7fffcc00,0xffffff14,0x3ffe2007,
    0x4ffffabf,0xffff1000,0x017fffeb,0x3fffe600,0x3fffe60f,0x7fffd405,
    0x7fffdc06,0x3f6002ff,0x400effff,0x400fffff,0x364ffffb,0x00bfffff,
    0x0bfffea0,0x23ffff90,0x204ffff9,0x365ffff8,0x0005ffff,0xffff8800,
    0x13fffea5,0x9ffffa80,0x007ffff8,0x21ffffb0,0x0005ffff,0x44ffffd8,
    0x404ffffb,0x207ffff8,0x0efffffc,0xffffc800,0xfff101ff,0xfff300bf,
    0x7fffdcbf,0xb802dfff,0xaaabffff,0xfffdaaaa,0x9ffff32f,0x2ffffc40,
    0x003ffffd,0xaaa99800,0x445ffffb,0x7ec000aa,0x3fffa7ff,0x7fcc001f,
    0x3fffe3ff,0x7fcc0005,0x7fdc0fff,0xfff804ff,0x7fec40ff,0x0000dfff,
    0x3fffffea,0x4ffffa82,0x7ffff880,0x7ffffff4,0xfb01cfff,0xffffffff,
    0xffffffff,0x13fffe67,0x25ffff88,0x000fffff,0xffffea80,0x5fffffff,
    0x3ffe0000,0x3ffff25f,0x7fff4003,0x02ffffc6,0x3ffff600,0x5ffffa85,
    0x1ffffe80,0x3fffffa2,0xff300004,0xfb89ffff,0xff004fff,0xffd88fff,
    0xffffffff,0x7ffff41e,0xffffffff,0xf33fffff,0x7c409fff,0xfff35fff,
    0xfa8000ff,0xffffffff,0x005fffff,0x7ffff300,0x037fffcc,0x83ffff70,
    0x0005ffff,0x07ffffe6,0x07ffffe2,0x25ffffd0,0x2ffffff9,0x7f440000,
    0x3ee5ffff,0xff004fff,0x3fae0fff,0xffffffff,0x3ffffa2f,0xffffffff,
    0xf32fffff,0x7c409fff,0xfff35fff,0x7d4000ff,0xffffffff,0x05ffffff,
    0xffff9000,0x0fffff81,0x4ffff880,0x005ffff8,0x17ffff20,0xcffffff8,
    0x3fff6a21,0xffff72ff,0x000003ff,0x1dfffff9,0x017fffea,0x01bfffe2,
    0xfffffd71,0x3ff61dff,0x260000ff,0x2204ffff,0xff15ffff,0x10001fff,
    0x35dfffff,0x05ffff88,0xdfffd000,0x05ffffb0,0x01ffffb0,0x000bffff,
    0x07ffffe2,0xffffffb8,0xffffffff,0x3fea2fff,0x0003ffff,0xfffffb10,
    0x7fffcc1b,0xffffa806,0x3ff22004,0xff92ffff,0x4c0003ff,0x2604ffff,
    0x3fe5ffff,0xb8002fff,0x2206ffff,0x0005ffff,0x84ffff88,0x405ffffb,
    0xf02ffffa,0x2000bfff,0x805ffffc,0xfffffffd,0xffffffff,0x7fff4c1f,
    0x440004ff,0x04fffffe,0x803fffff,0x003ffffd,0x3fffff98,0x007ffff7,
    0x2ffffcc0,0x5ffffe88,0x01bffffa,0x0bffff20,0x05ffff98,0xffffb800,
    0x7ffff882,0x02ffff40,0x000bffff,0x05fffff1,0xfffff910,0xffffffff,
    0xffd101ff,0x0001bfff,0x7ffffff5,0x2fffff40,0x1fffff30,0x3fffa000,
    0xfffff32f,0x3fe20001,0xfffd07ff,0x7ffe4bff,0x7ec004ff,0xfd103fff,
    0x0000bfff,0x740ffffb,0xf901ffff,0x7fc01fff,0xfc8005ff,0x4c006fff,
    0xceffffed,0x407ffff9,0x1efffffd,0x3fffee00,0x7fd401ff,0x7d40dfff,
    0x1644ffff,0x7ffffd40,0x3bffff60,0x7fc09801,0x3f6a3fff,0x225fffff,
    0xaeffffff,0xfc8f5cc0,0xff986fff,0x0005ffff,0x99effff8,0xfffd9999,
    0xffff884f,0xccccccce,0xccceffff,0x7fffc402,0x0440002f,0x01ffffe2,
    0x3fffffee,0xffffc802,0xffb001ef,0xffdfffff,0xe81fffff,0xbaabcdff,
    0x46fffffd,0xeffffff8,0xffeccbbc,0x7ffffec2,0xffffffef,0x7ffd45ff,
    0xffffffff,0xfff71fff,0xffd79fff,0x00bfffff,0xfffffa80,0xffffffff,
    0xff986fff,0xffffffff,0xffffffff,0x7fe404ff,0x000006ff,0x009ffff5,
    0x3fffffea,0xffffb103,0x7cc001bf,0xffffffff,0xe82fffff,0xffffffff,
    0x81ffffff,0xfffffffb,0x2fffffff,0x7fffffcc,0xffceffff,0xffffd85f,
    0xffffffff,0x3ffffa1f,0xdfffffff,0x40005fff,0xfffffffc,0xffffffff,
    0x7ffcc0ff,0xffffffff,0xffffffff,0x3ffe204f,0x000002ff,0x003ffffb,
    0x7fffffcc,0x7ffff4c4,0xfd10004f,0xffffffff,0x3ffa01df,0xffffffff,
    0x3ea01fff,0xffffffff,0xfc82ffff,0xefffffff,0x505fffb8,0xffffffff,
    0x7d43ffff,0xffffffff,0x05fffb9e,0x7ffffc00,0xffffffff,0x4c3fffff,
    0xffffffff,0xffffffff,0x2e04ffff,0x0006ffff,0xdffff700,0xfffd1000,
    0x7ffec5ff,0xb80003ff,0xeffffffe,0x7fff6403,0xbeffffff,0xffec8800,
    0xdeffffff,0xfffff501,0x2fffdc9f,0x3ffffb20,0xe883dfff,0x24ffffff,
    0x0005fffb,0x3bbfffe6,0xeeeeeeee,0x6445ffff,0xcccccccc,0xeffffccc,
    0xff102ccc,0x00007fff,0xfffffc88,0x3ff60003,0x7fff443f,0xa9800002,
    0xa988001a,0x0009aaaa,0x0d5554c0,0x006aa600,0x33531000,0x06aa6200,
    0xff700000,0xff3003ff,0x80001fff,0x7005ffff,0x000fffff,0x97533333,
    0x0bffffff,0x207f9000,0x00001fe8,0x00000000,0x00000000,0x00000000,
    0x40000000,0x2007fffe,0x002fffff,0x02ffffc0,0x03fffff8,0xffffff80,
    0x6fffffff,0x10060000,0x00000001,0x00000000,0x00000000,0x00000000,
    0xff880000,0x3f6005ff,0x40004fff,0xb805ffff,0x0007ffff,0xffffffff,
    0x001bffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02ffffa8,0x1ffffea0,0xbffff000,0x7fffff00,0x3fffe000,0x1effffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb000,
    0x7ffc4001,0x3e0001ff,0x7dc05fff,0x0000ffff,0x9ddfffff,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a200000,0x6e5c42aa,0x2aaa80ac,0x32e0732a,0x2aaa883c,0x056765c4,
    0x0155554c,0xa8aaaaa0,0x50002aaa,0x2aa61555,0xaaaaaaaa,0x2a0aaaaa,
    0x5002aaaa,0x20035555,0x0002cccc,0x00099988,0x800ccc40,0xeeeeeee9,
    0xeeeeeeee,0x1333315e,0x00199998,0x643fffea,0x1fffffff,0xffdb7ff4,
    0x3fff65ff,0x3ffe60ef,0x3fffff27,0x7ffcc2ff,0xff5001ff,0x7ffecdff,
    0xfff88006,0xfffffb1f,0xffffffff,0x7ffd45ff,0x7fdc04ff,0xff000eff,
    0xb00007ff,0x40003fff,0x802ffff8,0xfffffffa,0xffffffff,0xbffff56f,
    0x03ffffcc,0xd1ffff50,0xffffffff,0x5f7ff43f,0xc9ffffff,0x24ffffff,
    0xfd8ffff9,0xffffffff,0x27ffff42,0x2ffffd80,0x001ffff2,0x6c3fffe6,
    0xffffffff,0x2fffffff,0x0fffffe4,0x1fffff88,0x0ffffe00,0x3fff2000,
    0x3ff60001,0x7d400fff,0xffffffff,0x6fffffff,0x449ffff5,0x2006ffff,
    0xffeffffa,0xffffffff,0x3fffffa5,0xffdfffff,0x267fffff,0xfffdffff,
    0x6fffffff,0x03ffffd4,0x23ffffc4,0x000ffffb,0xfb3fffd4,0xffffffff,
    0x05ffffff,0x20dffffd,0x004ffffe,0x001ffffc,0x1fff9026,0xfff30028,
    0xfa809fff,0xffffffff,0x6fffffff,0xf89ffff3,0x2a006fff,0xffffffff,
    0xfffffcac,0x7fffffd1,0x5ffffff5,0x261ffff5,0xffffffff,0xfffffebe,
    0x0fffffc2,0x13fffee0,0x003ffff3,0x326fffb8,0xeeeeeeee,0x0ffffffe,
    0x4fffff98,0x037fffdc,0x01ffffc0,0xffb8bfa0,0x200ff627,0xfffefffe,
    0x30000001,0xff87ffff,0x3ea005ff,0x40efffff,0xfd3ffffd,0x7ff49fff,
    0x3fffe3ff,0xffffff31,0xffffd83d,0x2ffffe43,0x07ffffa0,0x005ffff1,
    0x005fffc8,0x17ffffe4,0x3fffff70,0x07ffffe2,0x0ffffe00,0x8dfffb80,
    0xfff57ffa,0x7ffdc01f,0x006fffaa,0xfff10000,0x5ffff87f,0x3fffea00,
    0xfff980ef,0x1ffffd4f,0x3a3ffff4,0xfff32fff,0xff501fff,0xfff98bff,
    0xfff300ff,0x3fffe0df,0x20f775c3,0x2003fffc,0x03fffffa,0x8effffd8,
    0x003ffffe,0x007ffff0,0x3bffffe2,0xfffceffc,0xfff104ff,0x01fffecd,
    0x7fc40000,0x7fff42ff,0x3ffea004,0xfff301ff,0x13fffa9f,0xfe87fffd,
    0xffff32ff,0x3ffe203f,0xffffe85f,0x7ffff902,0xd13fffa0,0xffd89fff,
    0xfff1002f,0x3e200bff,0xfffeffff,0x3fe0005f,0x322003ff,0xffffffff,
    0x202effff,0x3e61fffc,0x00000fff,0x42ffff80,0x2004fffe,0x204ffffa,
    0xfd3cccc8,0xfffe85ff,0x997fff42,0x2205ffff,0xfb85ffff,0xfff05fff,
    0x3ff601ff,0x3fffe66f,0x00ffff47,0x0effffe8,0x3fffea00,0x200fffff,
    0xfffffffb,0xffffffff,0xf7107fff,0xbfffffff,0x5fff9805,0xa85fffc8,
    0xffffffff,0xffffffff,0xb07fffe6,0x54007fff,0x0004ffff,0xfe85fffd,
    0x7fff42ff,0x09ffff32,0x42ffffc4,0x40fffff8,0x205ffff9,0x3f27fffc,
    0x3fe2ffff,0xffc800ff,0xc8001fff,0x2fffffff,0x7ffffdc0,0xffffffff,
    0x407fffff,0xdffffff9,0x1fffe800,0x41ffff88,0xfffffffa,0xffffffff,
    0x07fffa6f,0x4007fffb,0x004ffffa,0xe85fffd0,0x7ff42fff,0x9ffff32f,
    0x2ffffc40,0x43ffffc8,0x201ffffc,0x3fa7fffb,0xff14ffff,0xfff700ff,
    0x740007ff,0x805fffff,0xfffffffb,0xffffffff,0xfd507fff,0xffffffff,
    0x3ffea019,0x1bffee04,0xfffffff5,0xffffffff,0x06665cdf,0x8007332a,
    0x004ffffa,0xe85fffd0,0x7ff42fff,0x9ffff32f,0x2ffffc40,0x46ffff98,
    0x4c06ffff,0xff98ffff,0xff17ffff,0xfff980df,0x260005ff,0x0fffffff,
    0x7ffffdc0,0xffffffff,0x547fffff,0xfffffffe,0x1cffffff,0x003fffe2,
    0x7d47fffd,0xffffffff,0x6fffffff,0xf5000000,0x20009fff,0x7f42fffe,
    0x7fff42ff,0x09ffff32,0x02ffffc4,0x2a3ffffd,0x4403ffff,0xffc9ffff,
    0xfaafffef,0x3fa205ff,0x20006fff,0xfffffff8,0x4ccc406f,0xffff9999,
    0x1999999c,0x56fffff4,0xffffaeff,0x0ffff23f,0x03fffea0,0x26200000,
    0x540002bb,0x0004ffff,0xfe85fffd,0x7fff42ff,0x09ffff32,0x02ffffc4,
    0x369ffff7,0xf800ffff,0xeffeafff,0xffbdfffa,0x3fff604f,0x360000ff,
    0xffffffff,0x3fe0004f,0x3ea003ff,0x2fff53ff,0x6646ffd8,0x332e004c,
    0x4000002c,0x2ffffffa,0xa8266620,0x0004ffff,0xfe85fffd,0x7fff42ff,
    0x09ffff32,0x02ffffc4,0xf1dffff1,0x3a00bfff,0xcfffcfff,0xffcffff8,
    0xffff703f,0x7dc0005f,0xfffcefff,0xff0001ff,0xee8007ff,0xf71ffee0,
    0x00000005,0xfff70000,0x209fffff,0x3ea3fffc,0xd0004fff,0xffe85fff,
    0x97fff42f,0x204ffff9,0x405ffff8,0xffdffffc,0xffb002ff,0x363fffff,
    0x1fffffff,0x4fffffa8,0x3ffe6000,0xffffd2ff,0xfff0001d,0xc808007f,
    0x00040fff,0x00000000,0x7fffffc4,0xfd85ffff,0x3ffea2ff,0xffd0004f,
    0x2fffe85f,0xf997fff4,0x3e204fff,0x7cc05fff,0x7fffffff,0x3ffff200,
    0x3ffee7ff,0x7c40ffff,0xaabfffff,0x81aaaaaa,0x24ffffe8,0x05fffff9,
    0x03ffff80,0x1fffc800,0x00000000,0xfffb8000,0xfffffeef,0x3ffff10d,
    0x027fffd4,0x42fffe80,0x7f42fffe,0xffff32ff,0x7fffc409,0xffffe805,
    0x2e004fff,0x24ffffff,0x7ffffff8,0xffffffe8,0xffffffff,0xffffd84f,
    0xfffffb86,0x7fffc002,0xffd80003,0x0000002f,0xfd800000,0x3ffea4ff,
    0xffffdfff,0x27fffd47,0x2fffe800,0x3a17fff4,0xfff32fff,0x7ffc409f,
    0xfffb805f,0x2000ffff,0x2ffffffa,0x37ffffec,0x7ffffffc,0xffffffff,
    0x7fffdc4f,0xffffd01f,0x7ffc001f,0x0000003f,0x00000000,0x5fffd000,
    0xffffff98,0x7d44ffff,0xd0004fff,0xffe85fff,0x97fff42f,0x204ffff9,
    0x805ffff8,0x5ffffff8,0x7fffc400,0xffffb87f,0xfffff85f,0xffffffff,
    0x3fe64fff,0x3e204fff,0x2006ffff,0x0002eeed,0x00000000,0xff000000,
    0xffd301ff,0x81dfffff,0x004ffffa,0xe85fffd0,0x7ff42fff,0x9ffff32f,
    0x2ffffc40,0xfffffd80,0xffff8002,0xffff884f,0xfffff84f,0xffffffff,
    0xffd14fff,0xff700dff,0x00009fff,0x00000000,0x00000000,0x22019998,
    0x0dfffffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54400000,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccc8000,
    0xcccccccc,0xcccccccc,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc0000,0xffffffff,0xffffffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc00000,0xffffffff,0xffffffff,0x0003ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7c000000,
    0xffffffff,0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x99999999,0x99999999,
    0x00999999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_41_usascii_x[95]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,1,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0, };
static signed short stb__consolas_bold_41_usascii_y[95]={ 30,1,1,3,-1,1,1,1,0,0,1,9,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14, };
static unsigned short stb__consolas_bold_41_usascii_w[95]={ 0,7,14,22,20,23,24,7,14,14,18,21,12,13,
9,20,21,19,19,19,22,18,21,19,19,20,8,12,17,18,18,15,23,23,20,20,21,17,17,21,20,17,16,20,
17,22,20,22,19,23,20,20,20,20,23,22,23,23,19,11,20,11,20,23,14,18,20,18,19,19,22,21,18,19,
17,20,19,21,18,21,20,19,18,17,19,18,23,23,22,23,17,16,5,16,22, };
static unsigned short stb__consolas_bold_41_usascii_h[95]={ 0,30,11,27,36,30,30,11,39,39,19,20,16,6,
9,34,28,27,27,28,27,28,28,27,28,27,22,29,24,12,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,5,9,22,30,22,30,22,29,30,29,30,
39,29,29,21,21,22,29,29,21,22,28,22,21,21,21,30,21,38,42,38,10, };
static unsigned short stb__consolas_bold_41_usascii_s[95]={ 252,244,231,115,137,129,38,247,40,25,172,
150,239,224,243,182,22,198,61,106,25,126,145,48,167,68,247,215,89,212,107,
22,113,1,218,1,158,140,122,187,81,180,230,19,1,224,203,62,102,158,40,
85,182,209,68,92,138,44,162,55,203,84,191,1,239,224,1,205,224,166,192,
83,153,63,7,228,172,20,42,126,21,1,1,148,42,186,61,85,127,105,109,
67,1,96,231, };
static unsigned short stb__consolas_bold_41_usascii_t[95]={ 1,1,190,105,1,44,44,105,1,1,190,
190,134,32,162,1,105,134,134,75,162,75,75,162,75,162,75,44,162,190,162,
44,1,162,134,105,134,134,134,75,134,134,75,134,134,105,105,75,134,1,134,
75,105,75,105,105,105,105,105,1,1,1,190,213,151,162,44,162,1,162,44,
44,44,44,1,44,44,190,190,162,75,75,190,162,75,162,190,190,190,44,190,
1,1,1,202, };
static unsigned short stb__consolas_bold_41_usascii_a[95]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_41_usascii(stb_fontchar font[STB_FONT_consolas_bold_41_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_41_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_41_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_41_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_41_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_41_usascii_s[i] + stb__consolas_bold_41_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_41_usascii_t[i] + stb__consolas_bold_41_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_41_usascii_x[i];
            font[i].y0 = stb__consolas_bold_41_usascii_y[i];
            font[i].x1 = stb__consolas_bold_41_usascii_x[i] + stb__consolas_bold_41_usascii_w[i];
            font[i].y1 = stb__consolas_bold_41_usascii_y[i] + stb__consolas_bold_41_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_41_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_41_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_41_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_41_usascii_s[i] + stb__consolas_bold_41_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_41_usascii_t[i] + stb__consolas_bold_41_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_41_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_41_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_41_usascii_x[i] + stb__consolas_bold_41_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_41_usascii_y[i] + stb__consolas_bold_41_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_41_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_41_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_41_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_41_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_41_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_41_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_41_usascii_LINE_SPACING
#endif

