// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_47_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_47_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT        270
#define STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_47_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_47_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_47_usascii_LINE_SPACING          31

static unsigned int stb__consolas_bold_47_usascii_pixels[]={
    0x00599995,0x00000000,0xa9554c40,0xaaaaaaaa,0x980002aa,0xaaaaa809,
    0x42aaaaaa,0x00009aaa,0xdd973000,0x80000159,0x0001ccca,0x0006aa20,
    0x55440000,0x2aaa22aa,0x200000aa,0x4c3ffffc,0x3000001f,0x3620003f,
    0xff6fffff,0xffffffff,0x260001ff,0x7fc2ffff,0xffffffff,0x7ffffc7f,
    0x800000cf,0xffffffe9,0x00000eff,0x0005fffb,0xfffffdb8,0x00002def,
    0xbffffb00,0x04ffffe8,0x3fff2000,0x07ffe63f,0xfff30000,0xfffb8003,
    0xfff6ffff,0xffffffff,0xff10001f,0x7fc3ffff,0xffffffff,0x7ffffc7f,
    0x00003fff,0x3fffffee,0x00efffff,0x0fffe800,0xfffd3000,0xffffffff,
    0x88000009,0x5c1fffff,0x0007ffff,0x4fffff20,0x02fffff9,0xffff3000,
    0x3ff2003f,0xf6ffffff,0xffffffff,0x70001fff,0x49ffffff,0xffffffff,
    0x7ffc7fff,0x02ffffff,0xffffd800,0xffffffff,0x7c0000ef,0xf70007ff,
    0xffffffff,0x01bfffff,0x3ff20000,0xffff06ff,0x3200005f,0xff53ffff,
    0x0005ffff,0xffffff98,0xffff8801,0xff5effff,0xffffffff,0xf70001ff,
    0x7c9fffff,0xffffffff,0x7ff747ff,0x00ffffff,0x3ffff200,0xfeca8adf,
    0x20006fff,0x8006fff8,0xfffffffc,0xffffffff,0x800000ef,0x903fffff,
    0x000dffff,0x8fffff20,0x1ffffffb,0xffff3000,0x3f6003ff,0x000cffff,
    0x03ffffe2,0x3fffea00,0x3fffe3ff,0xfd88000f,0x0004ffff,0x05fffff5,
    0x017ffff4,0xffedba98,0x401abcff,0xfffffff9,0xfffffddf,0x00003fff,
    0x07ffffd4,0x1fffff88,0xfffc8000,0x7fffdc3f,0xfe8000ff,0x2002ffff,
    0x004fffff,0x0fffff88,0xffffd000,0x0fffff8d,0x3fff6000,0xff88006f,
    0x7c401fff,0x74c05fff,0xffffffff,0x203fffff,0x1efffffd,0xfffffe98,
    0x7f400007,0x7ec04fff,0x80005fff,0xc83ffffc,0x005fffff,0x17ffffe4,
    0xfffff100,0x3ffe2000,0x320000ff,0x7ffc0cee,0x220000ff,0x8007ffff,
    0x002ffffe,0x101ffff5,0xfffffffb,0xffffffff,0x3fffe607,0x3fa200ef,
    0x0003ffff,0x1fffff30,0xfffffa80,0x7fe40000,0xfffb03ff,0x3e6005ff,
    0x4004ffff,0x005ffff9,0x1fffff10,0x7fc00000,0x40000fff,0x000fffff,
    0x017fffe6,0xd07ffff0,0xffffffff,0xffffffff,0x3ffff607,0xfff9801f,
    0xb00006ff,0x200bffff,0x003ffffe,0x1ffffe40,0xffffff88,0x7fff4400,
    0xffa8006f,0xf10004ff,0x0001ffff,0x7ffffc00,0x7fec0000,0x3f6001ff,
    0x6c000fff,0x7fe46fff,0xffefffff,0x3ffffeff,0x6fffff98,0x3ffffe00,
    0x7c40001f,0x7002ffff,0x000fffff,0x03ffffc8,0x13ffffee,0x5fffff90,
    0xffff7000,0x3fe20009,0x2aa60fff,0xaaaaaaaa,0x20aaaaaa,0x000fffff,
    0x17fffec0,0x3ffff880,0x7fffb800,0x3fffffe6,0x27fff88b,0xffb82db9,
    0x32003fff,0x002fffff,0x37fffdc0,0xfffff100,0x7fe40005,0x7ff403ff,
    0xff100fff,0x2000bfff,0x004ffffb,0x1fffff10,0x7fffffdc,0xffffffff,
    0x3fffe1ff,0x7ec0000f,0xf9002fff,0xdb981fff,0xf9cdb9bc,0xfff70fff,
    0x7ffcc9ff,0x3fff6006,0x3ea001ff,0x0003ffff,0x01fffffc,0x1bffff20,
    0xffffc800,0x7fffcc03,0xffff703f,0x3ee0001f,0x10004fff,0x5c1fffff,
    0xffffffff,0xffffffff,0x03ffffe1,0xffffb000,0x3fffe005,0x3ffff626,
    0xff8cffff,0xffffb1ff,0x2fffd43f,0xfffffd00,0x7ffcc001,0x2a0004ff,
    0x000fffff,0x0fffffcc,0xffffc800,0xffffd803,0xbffffd06,0x7ffdc000,
    0xff10004f,0x7fdc1fff,0xffffffff,0x21ffffff,0x000fffff,0x17fffec0,
    0x9ffffcc0,0xffffffe8,0xfff8bfff,0xfffffd1f,0x01fffdc5,0x0ffffff0,
    0xfffff880,0x3ffa0005,0xfb0004ff,0x20009fff,0x803ffffc,0x41fffffb,
    0x02fffff9,0x3fffee00,0xfff10003,0x7ffdc1ff,0xffffffff,0x3e1fffff,
    0x0000ffff,0x017fffe4,0xc87fffd4,0xffffffff,0x5ffff2ff,0x97fffff2,
    0x2002fffc,0x007fffff,0x37ffffc4,0xffff9800,0xff50001f,0x90001fff,
    0x1007ffff,0xc89fffff,0x0007ffff,0x017fffe4,0xfffff880,0xfff50000,
    0x7fffc3ff,0x7e40000f,0xfc803fff,0xffff16ff,0x5ffffb9f,0x7dcffffe,
    0xdaefffff,0xf1001fff,0x000dffff,0x00ffffff,0x17ffff20,0xffffd000,
    0xfff90007,0x3ff6007f,0x7fffc7ff,0x7f40004f,0x10002fff,0x001fffff,
    0x3ffffea0,0x03ffffe1,0xffff7000,0x9fffd00d,0x5cbfffee,0xffd1ffff,
    0x3fffe69f,0xffffffff,0xffff1000,0xfff000df,0xf1000dff,0x0005ffff,
    0x06ffffb8,0x3ffffc80,0xfffff700,0x3ffffe21,0x3ff20002,0x10000fff,
    0x001fffff,0x3ffffea0,0x03ffffe1,0xffff1000,0x7ffc407f,0x4ffffb3f,
    0xfd0ffffc,0x7ffe49ff,0xffffffff,0xffff000b,0xff8800ff,0xb8005fff,
    0x0006ffff,0x2fffff88,0x7fffe400,0xffff3003,0x3fffe63f,0x7553001f,
    0x09fffffd,0x7fffc400,0xff50000f,0x7ffc3fff,0xd80000ff,0xabefffff,
    0x3ffff50a,0xfc93fffe,0x3fffa7ff,0x7ffffec3,0xdfffffff,0x7ffffc01,
    0x7ffc4007,0xfe8004ff,0x00003fff,0x00bffff9,0x03ffffc8,0x5fffff10,
    0x03ffffea,0x7ffffdc0,0x40005fff,0x00fffff8,0xfffff500,0x07ffffc3,
    0x7fec4000,0x52ffffff,0xff11ffff,0x7ffec7ff,0x20ffffa7,0xfffffffc,
    0x0cffffff,0x1fffffd0,0x7fffcc00,0x7fd4004f,0x00000fff,0x03fffff3,
    0x1ffffe40,0x7fffff00,0x01ffffee,0xffffffb8,0xf880002c,0x0000ffff,
    0x43fffff5,0x000fffff,0x3fff6a00,0xfff72fff,0x8bfffeaf,0x3fe6fffe,
    0xffb102ff,0xffffffff,0xffb03fff,0x54003fff,0x003fffff,0x027fffec,
    0x3fffa000,0x3ff2004f,0x3fa003ff,0xfff94fff,0x7fdc00df,0x00cfffff,
    0x7fffc400,0xff50000f,0x7ffc3fff,0x300000ff,0xfffffffb,0x55fffee5,
    0x3fa1ffff,0x3fffe5ff,0x7ffdc401,0xffffffff,0x7fffe40f,0x3ff2003f,
    0x26002fff,0x001fffff,0x7fffd400,0xfff9000f,0x7ff4007f,0xffffb4ff,
    0x7ffdc00b,0x00efffff,0x3fffe200,0xff50000f,0x7ffc3fff,0x980000ff,
    0xffffffff,0x2dfff92f,0x3e0ffffb,0xfff14fff,0x3ffa003f,0xffffffff,
    0x7fffdc6f,0x3ffe006f,0x7e4007ff,0x00006fff,0x07fffff0,0x0fffff20,
    0x4ffffe80,0x00dffffb,0xffff9310,0x7c4000bf,0x0000ffff,0x43fffff5,
    0x000fffff,0xfffffe80,0x6fffc81b,0x221ffff7,0xff34ffff,0x3fe001ff,
    0xffffeaff,0x3fe20fff,0xa800ffff,0x004fffff,0x0bffffe2,0x7fdc0000,
    0xff9006ff,0x7f4007ff,0xfff93fff,0xfa8000ff,0x0000ffff,0x01fffff1,
    0x3fffea00,0x3ffffe1f,0x7fcc0000,0x3f600fff,0xffff75ff,0x4ffffe21,
    0x1006fffa,0x7fd4dfff,0x7ec2ffff,0x200effff,0x0ffffff8,0x3fffee00,
    0x22000007,0x802fffff,0x003ffffc,0x5cbffffe,0x000fffff,0x17ffff40,
    0xffff8800,0xff50000f,0x7ffc3fff,0x5c0000ff,0x6c04ffff,0xfff75fff,
    0x3fffea1f,0x009fff92,0xfd17ffe6,0xf989ffff,0x80efffff,0x5fffffe9,
    0x7ffff400,0x64000003,0xc805ffff,0x1003ffff,0x2a3fffff,0x000fffff,
    0x1ffffe40,0xffff8800,0xff50000f,0x7ffc3fff,0x640000ff,0x6403ffff,
    0xfff56fff,0x3ffffa3f,0x005ffff2,0xf713ffea,0xfd07ffff,0xbdffffff,
    0xfffffffb,0x7fd4003f,0x00000fff,0x7ffffcc0,0x7fffe400,0xffff3003,
    0x3fffe61f,0x7dc0002f,0x10003fff,0x001fffff,0x3ffffea0,0x03ffffe1,
    0xffffb000,0x7fffb805,0xfbbffff3,0xffbbffff,0x3f2001ff,0x7ffe43ff,
    0xffe881ff,0xffffffff,0x02ffffff,0x2ffffec0,0xfe800000,0x7e404fff,
    0xf7003fff,0x7fc4ffff,0x40004fff,0x004ffffb,0x1fffff10,0x3ffea000,
    0x3fffe1ff,0x7ec0000f,0x7dc02fff,0x3fffe7ff,0xffffffff,0x0544ffff,
    0x221fffd8,0x00ffffff,0xfffffff1,0xffffffff,0xfff98005,0x000001ff,
    0x1fffff50,0x1ffffe40,0x5ffffe80,0x03fffff4,0x3fffee00,0xfff10004,
    0x2a0001ff,0x3e1fffff,0x0000ffff,0x017fffec,0x643fffea,0xedffffff,
    0x86ffffff,0xfd0abdff,0xfff711ff,0xe980dfff,0xffffffff,0x8002efff,
    0x006ffffc,0x7ffc0000,0x3ff203ff,0xff9803ff,0x7fdc2fff,0x20002fff,
    0x004ffffb,0x1fffff10,0x3ffea000,0x3fffe1ff,0x7ec0000f,0x7cc02fff,
    0xffd11fff,0x3ffe6dff,0xfff80eff,0xffffffff,0xffffffff,0xff93000f,
    0x05bfffff,0x3fffe200,0x0000002f,0x037fffe4,0x007ffff9,0x10fffff9,
    0x009fffff,0x27fffdc0,0xffff8800,0xff50000f,0x7ffc3fff,0x6c0000ff,
    0x4402ffff,0x3223ffff,0x3b6a0bde,0xffff00ac,0xffffffff,0x3fffffff,
    0xffff1000,0xfb80007f,0x00007fff,0xffff8800,0xffff901f,0xffffd007,
    0x3ffff607,0xff70000f,0x220009ff,0x000fffff,0x3fffff50,0x007ffffc,
    0x3ffff600,0x6ffff802,0xfff00000,0xffffffff,0x5dffffff,0x7ffec000,
    0x7f40005f,0x00004fff,0xffffb000,0x3ffff20b,0x7fffdc03,0xffff500f,
    0x3ee0009f,0x10004fff,0x001fffff,0x3ffffee0,0x03ffffe1,0xffffb000,
    0xffffb005,0xfd000001,0xffffffff,0x05dfffff,0xffff9000,0xa80a205f,
    0x000fffff,0xff300000,0xff901fff,0x7fc407ff,0x7f405fff,0x8001ffff,
    0x005ffffa,0x1fffff10,0x3fff2000,0x7ffffc7f,0x7ff40000,0xffa801ff,
    0x000003ff,0xfffb9731,0x00359bff,0x7fffd400,0xfb999cff,0xffffb01f,
    0x0000000b,0x84ffffe8,0x203ffffc,0x01fffffd,0x37ffffd4,0x7fffcc00,
    0xfff10006,0x360001ff,0x7fc6ffff,0x40000fff,0x000fffff,0x001ffffd,
    0x3ff60000,0x4000001f,0xfffffffe,0x886fffff,0x001fffff,0x7d400000,
    0xffc87fff,0xfff503ff,0x3f2007ff,0x4003ffff,0x00fffff8,0xfffff880,
    0xfff88000,0x7fffc5ff,0x3e60000f,0x32007fff,0x000effff,0x7ff4000a,
    0x4000000f,0xfffffff9,0x43ffffff,0x006ffffc,0xff000000,0xffc85fff,
    0xffe883ff,0x3a2006ff,0x001fffff,0x02fffffc,0x7ffffc40,0x3f200310,
    0x7fc4ffff,0x10000fff,0x00dffffd,0x77ffffc4,0x01bae200,0x003fffc0,
    0xfffb8000,0xffffffff,0x7ffffc3f,0x00000003,0x8dffff90,0x443ffffc,
    0x00fffffe,0x7ffffd40,0x3fee001f,0x09abffff,0xf3333333,0x3e61ffff,
    0xffd981be,0x7fc0ffff,0x9999afff,0x7dd4cc19,0x002fffff,0x7fffffdc,
    0xffecaace,0xff98006f,0x0000006f,0x3fffff22,0x0000cfff,0x00000000,
    0x3ffffc80,0x3fffffa2,0xfff90003,0x74001fff,0xffffffff,0xfffffff6,
    0x261fffff,0xfeffffff,0x2fffffff,0xfffffff8,0x7fc7ffff,0x6fffffff,
    0xffff7000,0xffffffff,0xf5000dff,0x00000bff,0x79955100,0x00000015,
    0x40000000,0x363ffffc,0x004fffff,0x7ffffec0,0xfff5000e,0x3edfffff,
    0xffffffff,0xfff30fff,0xffffffff,0x3fe0bfff,0xffffffff,0x7ffffc7f,
    0x0001ffff,0x3fffffea,0x6fffffff,0x2ccc9800,0x00000000,0x00000000,
    0x32000000,0xff73ffff,0x00009fff,0x0bfffff6,0xffffe980,0xfffff6ff,
    0x1fffffff,0x3fffffe6,0x3fffffff,0x3fffffe0,0x7c7fffff,0x0dffffff,
    0xfed98000,0xcfffffff,0x00000001,0x00000000,0x00000000,0xfffc8000,
    0x13fff23f,0xfffb0000,0x3b2a0007,0xffff6fff,0xffffffff,0x3ffff621,
    0x0cffffff,0x7fffffc0,0x7c7fffff,0x002cdeff,0x79751000,0x00000035,
    0x00000000,0x00000000,0xfc800000,0x27e43fff,0x3fd80000,0x984c0000,
    0x99999999,0x97530199,0x4c003579,0x99999999,0x000cc199,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffffe40,0x20000014,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x003ffffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x001aaaa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x13000000,0x51000000,0x223799b7,
    0xdb7303b9,0xaaa80059,0x0135531a,0x2aaaa200,0xaa98002a,0x55510aaa,
    0x2aaa1555,0xcedc982a,0x5555400a,0x0000002a,0x35555500,0x00054c00,
    0xddcba880,0xaaaaaabc,0x260000aa,0x3effffec,0x3f620000,0xffffffff,
    0xfc85ffff,0x01efffff,0x91ffff98,0x59dfffff,0x3fffe200,0x7f4000ff,
    0xff30ffff,0x3fa1ffff,0x3ffa27ff,0x205fffff,0x005ffffe,0xfd000000,
    0xd100bfff,0x80007fff,0xfffffffb,0xffffffff,0xff90002f,0xdfffffff,
    0xffb80005,0xffffffff,0x6c5fffff,0xffffffff,0x4fffe807,0x3ffffff2,
    0xfd802eff,0x2002ffff,0x24fffff9,0x0ffffff9,0xf51ffffd,0xffffffff,
    0xfffd01df,0x000000bf,0x3ffffa00,0xffffe805,0xff98002f,0xffffffff,
    0xffffffff,0x7ff44002,0xffffffff,0xd88002ff,0xffffffff,0xffffffff,
    0x3bfffe65,0x203ffffe,0x7e46fffc,0xffffffff,0x3fea02ef,0x32006fff,
    0x261fffff,0xd0ffffff,0xfff5ffff,0xffffffff,0xffffd0df,0x0000000b,
    0x17ffffa0,0xffffff30,0xffe8800b,0xffffffff,0xffffffff,0x7ffe4002,
    0xffffffff,0x6c000fff,0xefffffff,0xfffffeed,0x93fff65f,0xf306fffb,
    0xffc83fff,0xffffffff,0x3ffe02ff,0xff000fff,0xff88dfff,0x3ffa7fff,
    0xffffffff,0xffffffff,0x2fffff42,0x80000000,0x405ffffe,0x6ffffffa,
    0x7fffec00,0xffc99acf,0x1eeeffff,0x3fffe600,0xffd989df,0x26004fff,
    0x0dffffff,0x5fffff88,0xf883fffe,0xfffd07ff,0xfffdd709,0xffffffff,
    0x3ffff203,0xfffa803f,0x7ffc43ff,0x3fffa7ff,0x31dfffff,0x8dfffffd,
    0x005ffffe,0xfd000000,0xf880bfff,0x004fffff,0x0fffffe2,0x07ffffcc,
    0xffffc800,0xbffffd06,0x7ffff400,0x7fff404f,0x0ffff15f,0xfc81ffff,
    0x931006ff,0xdfffffff,0xfffff101,0xffffb00d,0xffff881f,0x3ffffa7f,
    0xfe881fff,0x3fa2ffff,0x00005fff,0xfffd0000,0xfff900bf,0x7d4001ff,
    0x7ec06fff,0xd0003fff,0x2a05ffff,0x5007ffff,0x00dfffff,0x26bffffd,
    0xffe86fff,0x3fffe61f,0xffe88001,0xfb02ffff,0x4403ffff,0x885fffff,
    0x3a7fffff,0x02ffffff,0x93ffffee,0x005ffffe,0xfd000000,0x2e00bfff,
    0x64000dee,0x5c04ffff,0x0005ffff,0x203fffff,0x007ffff9,0x05fffff9,
    0x2bffffd0,0x220ffff8,0x7ff47fff,0x3a20004f,0x504fffff,0x409fffff,
    0x02fffffb,0x74dfffff,0x403fffff,0x25fffff8,0x005ffffe,0xfd000000,
    0x0000bfff,0x3ffff600,0x7fffd403,0xffff0005,0x3ffee07f,0xfffb005f,
    0x3ffa00ff,0x3fffe5ff,0xb9bffea2,0x0000ffff,0x37ffffd4,0x0ffffff0,
    0x037ffff4,0x74dfffff,0xf006ffff,0x7f4dffff,0x65445fff,0x80000acd,
    0xfaccdba9,0x0005ffff,0xffff9000,0xffffc80d,0xfffb0004,0xffff10bf,
    0x3ffa009f,0xffd006ff,0x7ffecbff,0x3ffffccf,0x005ffff3,0xfffff100,
    0x3fff201f,0xfff882ff,0x3ffe03ff,0x3fffa6ff,0xfffd005f,0x7ffff4ff,
    0xfffffb14,0xb1000bff,0xffffffff,0x54bfffff,0xaaaaaaaa,0x2a000aaa,
    0x200fffff,0x002fffff,0x1fffff90,0x7ffffec4,0xfffff000,0x3fffa00b,
    0x3fffe25f,0x3a6fffff,0x00005fff,0x0ffffff1,0x2fffffc4,0x07ffffdc,
    0x4dfffff0,0x005ffffe,0x21fffffb,0xe8cffffe,0xffffffff,0xff7000ef,
    0xffffffff,0x74bfffff,0xffffffff,0x22003fff,0x41dfffff,0x0fffffd8,
    0xffff3000,0x3fffa6df,0xff3002ff,0x3a009fff,0x7dc5ffff,0x1effffff,
    0x001ffff7,0x3fffe600,0x7ffec06f,0x7fff40ff,0x7fff405f,0x3ffffa5f,
    0xffffb005,0x3ffffa1f,0xffffffed,0x806fffff,0xfffffffe,0xffffffff,
    0x3ffffa5f,0x3fffffff,0x7fffdc00,0xfffdcfff,0x40003fff,0xfdfffffc,
    0x004fffff,0x17ffffe2,0x2fffff40,0x277ffecc,0x005ffff1,0x7ffff400,
    0x7ffd404f,0x3ffe63ff,0x7ff402ff,0x3fffa5ff,0xfffd005f,0x7ffff4df,
    0xffffffff,0x02ffffff,0x3ffffff2,0xfffeedef,0x3ffa5fff,0xffffffff,
    0xfff8003f,0xffffffff,0x80005fff,0xfffffff8,0x8002ffff,0x005fffff,
    0x80bffffd,0x0bfffd00,0xffd31000,0xf003ffff,0x7e4dffff,0xfe807fff,
    0x3ffa5fff,0xfff005ff,0x7fff4bff,0x31dfffff,0x0dfffffd,0x3fffffe6,
    0xffff880d,0x3ffffa5f,0x3fffffff,0x7fffe400,0xffffffff,0x500000cf,
    0xffffffff,0x3fe0003d,0xf8806fff,0x8005ffff,0x000ffffb,0xffffffc8,
    0x004fffff,0x21fffff9,0x804fffff,0x3a4ffffe,0x8805ffff,0x3a4fffff,
    0x1fffffff,0xfffffe88,0xfffffe82,0x7ffff404,0xffff9805,0x3fe6003f,
    0xffffddff,0x00000cef,0x7fffffdc,0x7f40003f,0x6c00ffff,0x005fffff,
    0x017fffc4,0xfffffc80,0x006fffff,0x2fffffe6,0x01fffffa,0x24ffffd8,
    0x805ffffe,0x22fffffc,0x2ffffffe,0x3ffffee0,0x7ffffd44,0xffffe806,
    0xffff9805,0x3ff6003f,0x002620ff,0xfffd8000,0x885fffff,0xfb03cccc,
    0x6c07ffff,0x05ffffff,0x02fffec0,0xfffff700,0x0009ffff,0xfbdffffd,
    0x3600dfff,0x3fa4ffff,0x7c405fff,0x3a1fffff,0x403fffff,0x45fffff8,
    0x02fffffc,0x05ffffe8,0x3fffff98,0xdffff100,0xd8000000,0xffffffff,
    0x7ffcc4ff,0xffff306f,0xffc881ff,0x005fffff,0x003fffea,0xfffffb80,
    0x50001cef,0xffffffff,0x3f6005ff,0x3ffa4fff,0x3fa205ff,0x7f44ffff,
    0xff006fff,0xffd8dfff,0xffd007ff,0xff300bff,0x22007fff,0x002fffff,
    0xfff90000,0xfffffbff,0x7fffd45f,0x3ffffa05,0xfffcabff,0x05ffffff,
    0x47ffff10,0x400abba8,0x00effffa,0xfffff000,0x400fffff,0x3a3ffffc,
    0x21afffff,0xffffffb9,0x5ffffe86,0xfffffd00,0x06ffffe8,0x0bffffd0,
    0x7fffff30,0x7ffffc00,0xaaabccdf,0x7c400009,0xff56ffff,0x3ea3ffff,
    0x3ea04fff,0xffffffff,0xffffffff,0xfffb005f,0x7ffffdcb,0x3ffea03f,
    0x3200005f,0xffffffff,0x3fff2004,0x3ffffa3f,0xffffffff,0xe81fffff,
    0xb005ffff,0x7c1fffff,0xd005ffff,0x300bffff,0x007fffff,0x7fffffe4,
    0xffffffff,0xfc8002ef,0x3ee0ffff,0xfc8fffff,0x7ec03fff,0xffffffff,
    0xffffddff,0xffffa805,0xffffffb0,0x3fea09ff,0x200005ff,0xfffffff9,
    0x3ff2001f,0x3fffa3ff,0xffffffff,0xd03fffff,0x200bffff,0x30fffffd,
    0x009fffff,0x017ffffa,0x0fffffe6,0xfffffb00,0xffffffff,0x4001dfff,
    0xd85fffff,0xfeefffff,0xfd802fff,0xffffffff,0x0bffffb5,0x53ffff88,
    0xffffffff,0xfff303ff,0xe800009f,0x05ffffff,0x17fffe40,0xfffffffd,
    0xbfffffff,0x7ffff401,0xffffd005,0x7ffffc4d,0xffffd005,0xffff300b,
    0xff98007f,0xffffffff,0xefffffff,0xffff8800,0xffffd03f,0x01ffffff,
    0x3ffffae0,0x3fff62ef,0x7ffec05f,0x233fffa6,0x885fffe9,0x0002cccc,
    0x7ffffdc0,0x6654001f,0x3fffa1cc,0xffffffff,0xffe802de,0xfff005ff,
    0xffff8bff,0xfffd005f,0xfff300bf,0x7d4007ff,0xeeeeffff,0xffffffee,
    0xff9804ff,0xff101fff,0x9fffffff,0x35751000,0x0bffffd0,0x88ffffd4,
    0x3ea0ffff,0x000006ff,0xfffff700,0xfd00000b,0x5551bfff,0xfffd0003,
    0xfff100bf,0xffff89ff,0xfff8806f,0xff9805ff,0xf3003fff,0x8809ffff,
    0x06fffffc,0x2fffff88,0x3ffffe60,0x00001fff,0x0bffffd0,0x98ffffe2,
    0x7fc46fff,0x0000007f,0x3ffffff0,0xffd00000,0x20000bff,0x805ffffe,
    0x42fffffc,0x00fffffe,0x2fffffec,0x7ffffcc0,0xffffb003,0x7ffec00d,
    0xfff800ff,0x7fdc05ff,0x0006ffff,0x3ffffa00,0x8dfff905,0xff85fffa,
    0x17b9507f,0x7fe40000,0x20006fff,0x7ff41bc9,0xd00005ff,0x880bffff,
    0x41ffffff,0x03fffffd,0x3ffffff6,0xffff9805,0xfff8803f,0x3f2003ff,
    0xfd007fff,0x4405ffff,0x0efffffe,0xffd00000,0xfff50bff,0x6fff983f,
    0x5c3fffcc,0x000effff,0xfffffb80,0xff90000f,0x7fff47ff,0xfd00005f,
    0x7440bfff,0x984fffff,0x40ffffff,0xffffffc8,0xfff9805f,0xff9803ff,
    0x3a004fff,0x7005ffff,0x39ffffff,0x3fffee61,0x0005ffff,0xbffffd00,
    0x84fffe88,0x2a0ffff8,0x7fcc5fff,0x2004ffff,0xfffb5119,0x20005fff,
    0x0ffffff9,0x00bffffd,0x3ffffa00,0x3fee61af,0x3a06ffff,0xabffffff,
    0xfffffffc,0xff9805ff,0xff003fff,0x8803ffff,0x03fffffd,0x3fffffa0,
    0xffffffff,0x4fffffff,0xffe80000,0x7ffe45ff,0x37fffe06,0x43ffffa9,
    0x6ffffffb,0x3ffff600,0x04ffffff,0x3fffee00,0xffffd2ff,0x3fa0000b,
    0xffffffff,0xffffffff,0x3fffea01,0xffffffff,0x35ffffef,0xf9555555,
    0x555bffff,0x7fec1555,0x9bceffff,0xfffffcba,0x7fcc006f,0xffffffff,
    0xffffffff,0x00003fff,0x32fffff4,0x5c03ffff,0xffffffff,0xffffa86f,
    0x3f6006ff,0xffffffff,0x7fdc0005,0xffd2ffff,0x20000bff,0xfffffffe,
    0xffffffff,0xfffd803f,0xffffffff,0x95ffff9d,0xffffffff,0xffffffff,
    0x7fcc1fff,0xffffffff,0xffffffff,0xfe98000e,0xffffffff,0xfffaafff,
    0x00001fff,0xe97ffffa,0xfe804fff,0x1fffffff,0xffffff88,0x3fff6003,
    0x002fffff,0xfffff980,0xbffffd0f,0x3ffa0000,0xffffffff,0x000dffff,
    0x3ffffff6,0xff98dfff,0xffff95ff,0xffffffff,0x1fffffff,0xffffff98,
    0xffffffff,0x40000dff,0xffffffea,0x7ffdc3ff,0x00000fff,0x32bffffd,
    0x2e006fff,0x00dfffff,0x017fffea,0xffffffb0,0x5c00001b,0x3fa2ffff,
    0x00005fff,0xffffd951,0x05bdffff,0x3fffae00,0x3fe22eff,0xffff95ff,
    0xffffffff,0x1fffffff,0x3ffff6a0,0xcfffffff,0x4c400000,0x00009aba,
    0x26620000,0x20000099,0x510009a9,0x99300037,0x00000357,0x262055cc,
    0x00000999,0x06aa6660,0x57510000,0xfffc8003,0xffffffff,0xffffffff,
    0x6554c400,0x00009abc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaaa,0x800aaaaa,
    0x002aaaa9,0x05dcc000,0x01555554,0xb9800000,0x2bceeedc,0x001b9800,
    0x03553000,0x55330000,0x00001355,0x04d554c4,0xaaaa9880,0x40000019,
    0x0009aaa9,0xffffffe8,0x803fffff,0x007ffffc,0x3fff6000,0x7ffff44f,
    0x40000005,0xffffffd9,0x4400ffff,0x002fffdb,0xfffd9100,0x0059dfff,
    0xffffd910,0x1bffffff,0xffdca800,0xdfffffff,0x3fff6a0b,0xdfffffff,
    0x65c40001,0xfffffffe,0xffd003df,0xffffffff,0xfff9007f,0x200000ff,
    0x2ffffffc,0x017ffffa,0xffd80000,0xffffffff,0x7fd400ff,0x80002fff,
    0xffffffe9,0x004fffff,0xffffff91,0xffffffff,0x3ff62003,0xffffffff,
    0x3fe4ffff,0xffffffff,0x001effff,0xffffff98,0x7fffffff,0xfffffd00,
    0x07ffffff,0x0fffff90,0x3ffe0000,0x3fa6ffff,0x00005fff,0xfffff700,
    0xffffffff,0xffffa801,0x7dc0002f,0xffffffff,0x00dfffff,0x3fffffe2,
    0xffffffff,0xffa801ff,0xffffffff,0x24ffffff,0xffffffff,0xefffffff,
    0x3fff2000,0xffffffff,0xfd007fff,0xffffffff,0xff9007ff,0x00000fff,
    0xfffffff1,0x2fffff4f,0x7c400000,0xceffffff,0x400ffedc,0x02fffffa,
    0x3ffff600,0xffffffff,0xb00effff,0xffffffff,0xffffffff,0xffffd803,
    0xffffffff,0x3e4fffff,0xffffffff,0x5fffffff,0xffffe880,0xffffffff,
    0x40007fff,0x03fffff9,0x07ffffc8,0xffff0000,0x7ff4dfff,0x000005ff,
    0xdfffffd8,0x3ea00200,0x0002ffff,0xfffffff3,0xfffffbbf,0xff707fff,
    0x579fffff,0x3ffd9755,0x7ffffdc0,0xecceffff,0x3e4ffffe,0xa99aacef,
    0xfffffffb,0x7ffff401,0xdcdfffff,0x0007fffe,0x1fffffcc,0x3ffffe40,
    0xffd80000,0x3fa3ffff,0x00005fff,0xfffffe80,0xffa80000,0xd0002fff,
    0x03dfffff,0xffffffd3,0xbffffff0,0x20151001,0xfffffff8,0x27e4c01c,
    0xffd10015,0x7d407fff,0x0affffff,0x0001f6a0,0x07fffff3,0x0fffff90,
    0x3fa20000,0x7ff45fff,0x000005ff,0x03fffff8,0x555554c0,0xacfffffc,
    0x0aaaaaaa,0x77ffffd4,0x3fffe200,0x3ffe22ff,0x200006ff,0x3ffffffd,
    0x30000800,0x40bfffff,0x1efffffe,0x30000200,0x007fffff,0x00fffff9,
    0x2cca8000,0x05ffffe8,0x7fcc0000,0x64002fff,0xffffffff,0xffffffff,
    0x7f42ffff,0xa800ffff,0x2a6fffff,0x005fffff,0xfffff300,0x0000003f,
    0x5fffff88,0xffffff70,0x80000001,0x03fffff9,0x07ffffc8,0x2aaaaaa8,
    0xfffe8000,0x676e4c5f,0xff50001b,0xc8003fff,0xffffffff,0xffffffff,
    0x3e62ffff,0x2006ffff,0x51ffffff,0x00ffffff,0x3ffffa00,0x0000005f,
    0x4fffff88,0x7ffffff0,0x30000000,0x007fffff,0x80fffff9,0x3ffffffb,
    0xfffe8000,0xffffd14f,0x50009fff,0x003fffff,0xffffffc8,0xffffffff,
    0x22ffffff,0x03fffffb,0x3fffff20,0xffffff32,0xfff00009,0x00003fff,
    0xffff3000,0xffff307f,0x000001ff,0xfffff300,0xffff9007,0x7fffd40f,
    0xd00003ff,0xff39ffff,0xffffffff,0xfffa800d,0x7e4001ff,0xffffffff,
    0xffffffff,0x3ff62fff,0x2a000fff,0x3e3fffff,0x1dffffff,0xffff3000,
    0x000000bf,0x1fffffa0,0x2fffffd4,0x98000000,0x803fffff,0x307ffffc,
    0x09ffffff,0x7fff4000,0xffffffdf,0x03ffffff,0x3ffffea0,0xff500001,
    0xe8005fff,0x000fffff,0x93ffffe6,0xfffffffd,0x7d4002ef,0x0003ffff,
    0x7ff54000,0xff702fff,0x00007fff,0x3ffe6000,0xffc803ff,0xffe887ff,
    0x00005fff,0x7ffffff4,0xffffffff,0x7fc47fff,0xffffffff,0xffffffff,
    0xfa802fff,0x4002ffff,0x007fffff,0x2fffffc4,0xfffffff1,0x0039ffff,
    0x05fffff7,0x2aaaaaaa,0xcc881aaa,0xfffffedc,0x3ff601ef,0x00002fff,
    0xffff3000,0xfff9007f,0xffffb0ff,0xd00000df,0xffffffff,0xffff713b,
    0x7ffc43ff,0xffffffff,0xffffffff,0xffa802ff,0x7c002fff,0x4007ffff,
    0x46fffff8,0xfffffffa,0x02efffff,0x07fffff2,0x7ffffffc,0xff885fff,
    0xffffffff,0x7fff400d,0x000001ff,0xfffff300,0xffff9007,0xfffffc8f,
    0xab98000e,0xfffffe80,0xfffb81ff,0x3ffe23ff,0xffffffff,0xffffffff,
    0xffa802ff,0x22002fff,0x006fffff,0x87fffff8,0xfffffff9,0x0dffffff,
    0x0fffffd8,0xfffffff0,0xff10bfff,0xffffffff,0x7ffc037d,0x00000fff,
    0xffff3000,0xfff9007f,0x7fffdcff,0xfd8000ff,0x7ff42fff,0xf302ffff,
    0x7c49ffff,0xffffffff,0xffffffff,0xa802ffff,0x002fffff,0x1bffffe2,
    0x3ffffe00,0xffff9107,0xffffffff,0xffffe81d,0xfffff00f,0x10bfffff,
    0xffffffff,0x109fffff,0x01ffffff,0x26000000,0x803fffff,0xf37ffffc,
    0x003fffff,0xffffff70,0x7fffff45,0x7ffffc03,0x2aaaaa25,0xbfffffca,
    0xaaaaaaaa,0xffffa800,0x7ffc002f,0x7c4007ff,0x4406ffff,0xffffffeb,
    0x7ec6ffff,0xff01ffff,0xffffffff,0xd999910b,0xfffffffd,0xfffff0bf,
    0x0000003f,0x3ffffe60,0xffffc803,0xffffff8f,0xfffd0002,0x7ff4dfff,
    0xffe806ff,0xff5005ff,0x00003fff,0x0bffffea,0xfffffd00,0xffff8800,
    0x3f26006f,0xffffffff,0x3fffff23,0xd5555502,0x000bffff,0xffffffb5,
    0xfffffe87,0x00000002,0x07fffff3,0xdfffff90,0x007fffff,0x7fffffc0,
    0xffffd1ff,0xffffd00b,0x3ffea00b,0x500001ff,0x005fffff,0x0fffffd8,
    0x3fffe600,0xfb88005f,0x26ffffff,0x02fffffb,0x17ffffa0,0xffffc800,
    0x7fffec7f,0x0000003f,0x7fffff30,0xfffff900,0x00dfffff,0xfffffd80,
    0xffffd2ff,0xffffd00b,0x3ffea00b,0x500001ff,0x005fffff,0x0fffffc8,
    0x3fffea00,0x3a60004f,0x50ffffff,0x009fffff,0x02fffff4,0x3ffffa00,
    0x3ffff20f,0x0000004f,0x7fffff30,0xfffff900,0x09fffffd,0x7fffcc00,
    0xfffd3fff,0xfffd00bf,0x3fea00bf,0x00001fff,0x05fffff5,0xfffffb80,
    0x3fff2003,0x4c0002ff,0x31ffffff,0x00ffffff,0x02fffff4,0x3ffff200,
    0x3fffee2f,0x000000ff,0xfffff980,0xffffc803,0xffffff8f,0x3fea0003,
    0xffd3ffff,0xffd00bff,0x3ea00bff,0x0001ffff,0x5fffff50,0xffffa800,
    0x3ffe006f,0x80000fff,0x11fffffe,0x05ffffff,0x17ffffa0,0xffff9000,
    0x7fffd43f,0x000003ff,0xfffff980,0xffffc803,0xffffff57,0x7fec0003,
    0xfffd1fff,0xfffd00bf,0x3fea00bf,0x00001fff,0x07fffff5,0xfffff880,
    0xfffa800f,0xf00005ff,0x6c1fffff,0x006fffff,0x00bffffd,0xfffffe80,
    0x7fffff40,0x0000000e,0x1fffffcc,0x3ffffe40,0x1ffffff9,0x3ffea000,
    0x3ffffa7f,0xffffe805,0xffff5005,0x2600003f,0x006fffff,0xefffffc8,
    0x3fffe200,0x400020ff,0x46fffff9,0xdffffff8,0x7ffff400,0x3fea0005,
    0xffa86fff,0x001effff,0xff300006,0xf9007fff,0xffe8ffff,0x70006fff,
    0x7f4dffff,0xfe805fff,0xf5005fff,0x0003ffff,0x3ffffe20,0x7fc4000f,
    0x980effff,0x44fffffe,0xf5001bed,0x909fffff,0x3dffffff,0x2fffff40,
    0xffffa800,0xfffd04ff,0x2017ffff,0x40007eb8,0x03fffff9,0x47ffffc8,
    0x5ffffff9,0x7fff4400,0x3ffffa1f,0xffffe805,0xffff5005,0x7c00003f,
    0x41efffff,0xffd81b98,0xdcefffff,0xffffffff,0x77fffec0,0xffdcbccd,
    0x81ffffff,0xfffffff8,0xfeccceff,0x9b95ffff,0x97533555,0xffffffff,
    0x3fffe601,0xcdffffff,0x007ffffe,0x7ffffcc0,0xffffc803,0xfffffb87,
    0xffd5003f,0xfffe89ff,0xfffe805f,0xfff5005f,0x400003ff,0xfffffffc,
    0x82ffffff,0xfffffff9,0xffffffff,0xfffd83ff,0xffffffff,0x2fffffff,
    0x3ffffea0,0xffffffff,0xfd5fffff,0xffffffff,0xffffffff,0xffffc803,
    0xffffffff,0x9807ffff,0xfcaaaaaa,0xaaadffff,0xfff90aaa,0x3fff60ff,
    0xdcb82fff,0x86ffffff,0x805ffffe,0x005ffffe,0x03fffff5,0xfffe8000,
    0xffffffff,0xfffd102f,0xffffffff,0x3f607fff,0xffffffff,0xffffffff,
    0xfffe9804,0xffffffff,0xfd5fffff,0xffffffff,0x5fffffff,0x3fffea00,
    0xffffffff,0xfc807fff,0xffffffff,0xffffffff,0xffff90ff,0x3fffa20f,
    0x7ff40fff,0x80cfffff,0x805ffffe,0x005ffffe,0x03fffff5,0xfff98000,
    0xffffffff,0x7ffec02f,0xffffffff,0x3fff601e,0xffffffff,0x002effff,
    0x7fffffe4,0xffffffff,0xfffffd3f,0xffffffff,0xd880019f,0xffffffff,
    0x807fffff,0xfffffffc,0xffffffff,0xff90ffff,0x7fcc0fff,0x3a0effff,
    0x00dfffff,0x017ffffa,0x017ffffa,0x0fffffd4,0xffb80000,0xffffffff,
    0xfffdb802,0x803effff,0xfffffec9,0x2dffffff,0x3fb26000,0xffffffff,
    0x3fffa0ad,0xffffffff,0xca80003d,0xfffffffe,0xff9001ce,0xffffffff,
    0xffffffff,0x3ffff21f,0x7fffdc07,0x337ba5ff,0xfffe801a,0xfffe805f,
    0xfff5005f,0x000003ff,0x9aaba998,0x57310000,0xaa980003,0x0009abba,
    0x55753000,0xaa998033,0x00019aaa,0x99a98800,0xfffc8000,0xffffffff,
    0xffffffff,0x0fffff90,0xffffffb0,0xffe80007,0xffe805ff,0xff5005ff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8800000,0x2000009a,0x009aaa98,0xffffffd0,0xffffffff,
    0x2a0007ff,0xffffedcb,0x55510004,0x4c400003,0x7fc001aa,0x36004fff,
    0x3fa6ffff,0xffffffff,0x05ffffff,0x004cccc0,0xfffffff8,0x0bcdefff,
    0xfffffb80,0x5c000001,0xeffffffd,0xfe98000d,0xefffffff,0x7ffff402,
    0xffffffff,0x2003ffff,0xffffffc9,0x2004ffff,0xffffffda,0xcb8003ef,
    0xeffffffe,0xfffff802,0x3fff6004,0x3ffffa6f,0xffffffff,0xd3005fff,
    0x200dffff,0xffffffff,0xcfffffff,0x3fffee01,0x1000001f,0xfffffffd,
    0x2005ffff,0xffffffd8,0x2fffffff,0xffffffd0,0xffffffff,0xfb1007ff,
    0xffffffff,0xb3009fff,0xffffffff,0x3001bfff,0xfffffffd,0x403dffff,
    0x004fffff,0xe9bffff6,0xffffffff,0x5fffffff,0x7fffecc0,0xfff006ff,
    0xffffffff,0x03ffffff,0x07ffffee,0x3fe60000,0xffffffff,0x4404ffff,
    0xffffffff,0xffffffff,0xfffffe81,0xffffffff,0x74403fff,0xffffffff,
    0x404fffff,0xfffffffa,0xffffffff,0x3ffff202,0xffffffff,0xfff00fff,
    0x7ec009ff,0x3ffa6fff,0xffffffff,0x305fffff,0xfffffffb,0x3ffe00df,
    0xffffffff,0x0fffffff,0x1fffffb8,0x7fd40000,0xffffffff,0x04ffffff,
    0x3ffffff6,0xffffffef,0x7ff40fff,0xffffffff,0x03ffffff,0x3fffffe6,
    0xeeeeffff,0x3ffe203e,0xffffffff,0xd06fffff,0xffffffff,0xffffffff,
    0x3ffffe0b,0x3fff6004,0x33332e6f,0xffcccccc,0x7e445fff,0xffffffff,
    0xffff006f,0xffddddff,0x0bffffff,0x03fffff7,0x7ffc4000,0xc98befff,
    0x0fffffff,0xdfffffa8,0x3ffaa20a,0x7ff42fff,0x99999bff,0x00999999,
    0x3ffffffa,0xfd00009d,0x359fffff,0xffffffb7,0xfffff507,0xfffd99df,
    0xff07ffff,0x6c009fff,0x0006ffff,0x22bfffff,0xfffffffc,0x006fffff,
    0x209fffff,0x7fffffea,0x1fffffb8,0x3fee0000,0x3f605fff,0xfc84ffff,
    0x7cc06fff,0x7f44ffff,0x00002fff,0x3dfffff7,0xfffb8000,0xff700eff,
    0x3f20ffff,0xffa80aff,0xff85ffff,0x36004fff,0x0006ffff,0x22bfffff,
    0xffffffff,0x006fffff,0x409fffff,0x1ffffff8,0x0fffffdc,0xffff0000,
    0xfff880df,0x7ff40fff,0xffd803ff,0x7fff46ff,0xf880002f,0x000fffff,
    0xfffffd80,0x7fffe401,0x801bd03f,0x86fffffa,0x004fffff,0x01bffff6,
    0x2fffffc0,0x19fffffb,0x00dffffd,0x013ffffe,0x87fffff9,0x01fffffb,
    0xffff7000,0xfff7005f,0xffff89ff,0xfffc803f,0x7ffff45f,0xffb80002,
    0x00003fff,0x00bfffff,0x0bfffff3,0xffff8002,0x7fffc0ff,0x3ff6004f,
    0xff0006ff,0x7fccbfff,0x3fffa1df,0xffff006f,0xfffa809f,0x7ffdc3ff,
    0xd00001ff,0x200fffff,0x46fffff8,0x806ffffe,0x744ffffe,0x0002ffff,
    0x07ffffd8,0xffff1000,0x3ffe009f,0xe80007ff,0x7c1fffff,0x2004ffff,
    0x006ffffd,0x8bfffff0,0xfffe81ee,0xffff006f,0xfffb809f,0x7ffdc2ff,
    0x880001ff,0x804fffff,0xfffffff9,0x3fffff60,0x3fffee04,0x7ffff41f,
    0xfff80002,0x300005ff,0x007fffff,0x07fffff6,0xffffd000,0x9fffff0f,
    0x7fffec00,0xffff0006,0x3fa008bf,0xff006fff,0xfd809fff,0x7dc1ffff,
    0x0001ffff,0x1fffff98,0x7ffffdc0,0x3fea1fff,0x540dffff,0xe85fffff,
    0xbccdffff,0xff3001aa,0x2ea27fff,0x8801abcc,0x004fffff,0x03fffffb,
    0xfffff800,0x4fffff87,0x3ffff600,0xffff0006,0x7ff400bf,0xfff006ff,
    0x7fd409ff,0xffb86fff,0x80001fff,0x00fffffa,0xffffffd1,0xffd87fff,
    0xc8bfffff,0x80efffff,0xfffffffe,0x00cfffff,0x37ffffea,0xfffffffd,
    0x7ffc03ff,0xff9006ff,0x40005fff,0x85fffffa,0x004fffff,0x01bffff6,
    0x2fffffc0,0xdffffd00,0x3ffffe00,0xffffc984,0xfffb82ff,0xb80001ff,
    0xa80fffff,0xffffffff,0x7f443fff,0xffffffff,0xd00effff,0xffffffff,
    0x0bffffff,0x3fffffee,0xffffffff,0xfd01efff,0x9007ffff,0x005fffff,
    0x7ffffec0,0x4fffff82,0x3ffff600,0xffff0006,0x7ff400bf,0xfff006ff,
    0xffdddfff,0x09ffffff,0x07ffffee,0x3fff2000,0xffffd87f,0xfffffeff,
    0xffffe883,0xdfffffff,0x3ffffa00,0xffffffff,0xffc85fff,0xffffffff,
    0xffffffff,0xffffc80f,0x75cc1dff,0x02ffffff,0xfffff500,0x3ffffe0d,
    0x3fff6004,0xfff0006f,0x7f400bff,0xff006fff,0xffffffff,0x05ffffff,
    0x0fffffdc,0x7ffec000,0x3fffa66f,0xffff3fff,0x7ffdc09f,0x3fffffff,
    0x7fffff40,0xffffffff,0x7fe44fff,0xffffffff,0xffffffff,0xffff885f,
    0xffffffff,0xffffffff,0xfff88002,0xfff02fff,0x7ec009ff,0xf0006fff,
    0x400bffff,0x006ffffe,0xffffffff,0x03bfffff,0x3fffff70,0xfffb0000,
    0x3fffeedf,0x3ffe1eff,0xffd303ff,0xffffffff,0x310001df,0xffffffb5,
    0x7fffec3f,0x2a21beff,0x2ffffffe,0xffffffa8,0xffffffff,0x001fffff,
    0x7fffff44,0x3ffffe05,0x3fff6004,0xfff0006f,0x7f400bff,0xff006fff,
    0xffffffff,0x7005dfff,0x003fffff,0xfffffb00,0xbffffffb,0x7ffffc41,
    0xfffffb82,0xffffffff,0x4c0000ef,0x23ffffff,0x02fffffd,0x4fffffd8,
    0xffffff90,0xffffffff,0x8001ffff,0x06fffffd,0x027ffffc,0x0dffffb0,
    0x3ffffe00,0x3fffa005,0xffff006f,0xffffd9df,0xfb805fff,0x0001ffff,
    0xffffffc8,0x982fffff,0x5c2fffff,0x8bffffff,0xfffffffc,0xffb80006,
    0x3ff24fff,0xf9801fff,0x2605ffff,0xfffffffd,0xffffedff,0x7ffec007,
    0x7fc00fff,0x36004fff,0x0006ffff,0x00bfffff,0x037ffff4,0x24fffff8,
    0xffffffc8,0x3fffee00,0xfc80001f,0xffffffff,0xffff500e,0x7fffcc3f,
    0x7ff4c1ff,0x0003ffff,0x37ffffc4,0x05fffff7,0x1bffffe0,0x3332ea20,
    0x3ffffa2b,0x3fff2007,0xff801fff,0x3a004fff,0x0005ffff,0x00bfffff,
    0x037ffff4,0x84fffff8,0x04fffffe,0x07ffffee,0x3ffee000,0x404fffff,
    0x20fffffb,0x00fffffe,0x1ffffff6,0x3fffe000,0x3fffea7f,0xfffd003f,
    0x7c0000ff,0x9006ffff,0x03ffffff,0x17ffffe0,0x4fffff80,0xfffff000,
    0x7fff400b,0xffff006f,0xffff109f,0x3fee01ff,0x80001fff,0xfffffff9,
    0xffffd802,0x3ffffe67,0xffffe803,0x3e20001f,0x3e66ffff,0xd004ffff,
    0x000dffff,0x3ffffe60,0xffffc803,0x3fa001ff,0x3e006fff,0x8003ffff,
    0x05fffff8,0x1bffffa0,0x27ffffc0,0x4fffffc8,0x3fffff70,0xfff10000,
    0xf1001fff,0x7d4bffff,0xa800ffff,0x002fffff,0x3ffffe60,0x3ffffe24,
    0xfffff007,0x3f600009,0x6400ffff,0x01ffffff,0x3ffffe40,0xfffff980,
    0xfffa8001,0x3fa003ff,0xff006fff,0x3e609fff,0xb80fffff,0x001fffff,
    0xfffffb00,0xffff7005,0x7fffe45f,0xffff3007,0x3a20005f,0x742fffff,
    0x402fffff,0x03fffffb,0xffffb800,0x7ffe405f,0xb8001fff,0x803fffff,
    0x20fffffc,0xffffb000,0x7ff4005f,0xfff006ff,0x7fec09ff,0xffb84fff,
    0x00001fff,0x0dfffff3,0x6ffffe88,0x0fffffdc,0x7ffffd40,0xffd98001,
    0x7d40ffff,0x301fffff,0x03ffffff,0xffffb800,0x3ff201ff,0x0000efff,
    0x3ffffff5,0x7ffffd40,0xf70067c5,0x001fffff,0x037ffff4,0x04fffff8,
    0x3fffffea,0x7ffffdc0,0x3f600001,0xd104ffff,0xa85fffff,0x405fffff,
    0x27ffffe8,0xa9aabcea,0xfffffdca,0xfffd02ff,0x95357fff,0x09ffffff,
    0xfff73100,0x6409ffff,0x9affffff,0x99999999,0x7ffec099,0xa99acfff,
    0x0ffffffc,0x4d5efffc,0xffffffeb,0x7fff4005,0xffff006f,0xfffe809f,
    0x7ffdc3ff,0xeeeeeeff,0x05eeeeee,0x3fffffe6,0xffeb98be,0xff886fff,
    0x41beffff,0x5fffffea,0x3fffffea,0xffffffff,0x3fea03ff,0xffffffff,
    0x06ffffff,0x3fbbbbae,0xffffffff,0x3fff205f,0xffffffff,0xffffffff,
    0x7ffffcc2,0xffffffff,0xff83ffff,0xffffffff,0x5c0fffff,0xffffffff,
    0xffffffff,0x3ffe3fff,0x7fdc04ff,0x3ee0ffff,0xffffffff,0xffffffff,
    0x7fffec07,0xffffffff,0xf902ffff,0xffffffff,0xffffffff,0x7fffd41f,
    0xffffffff,0xfc804fff,0xffffffff,0x01ffffff,0x3ffffff2,0xffffffff,
    0x3fffe00e,0xffffffff,0xffffffff,0xfffffc82,0xffffffff,0xffff06ff,
    0xffffffff,0xfff705ff,0xffffffff,0xffffffff,0x27ffffc7,0x3ffffe20,
    0x3fffee3f,0xffffffff,0x407fffff,0xffffffd8,0xefffffff,0x7fffec01,
    0xffffffff,0x7d41ffff,0xffffffff,0x001cffff,0x3fffffe6,0x0cffffff,
    0x7ffffe40,0xffffffff,0xfffff803,0xffffffff,0x2fffffff,0xffffff50,
    0x7fffffff,0x7fffffc0,0x1effffff,0xffffff70,0xffffffff,0x7c7fffff,
    0xc804ffff,0x2e7fffff,0xffffffff,0xffffffff,0xfff7007f,0xffffffff,
    0xffb1001b,0xffffffff,0xf503dfff,0xffffffff,0x200019df,0xfffffed8,
    0xf9001dff,0xffffffff,0x3e0019ff,0xffffffff,0xffffffff,0x32202fff,
    0xfffffffe,0x75c400df,0xefffffff,0x7fffdc03,0xffffffff,0x3fffffff,
    0x013ffffe,0x3fffffe2,0xffffff73,0xffffffff,0x4c00ffff,0xfffffffd,
    0xfc88003d,0xffffffff,0xaa99801d,0x000009aa,0x009ba988,0xfffffc80,
    0x8001bdee,0xffffffff,0xffffffff,0x2002ffff,0x0009aba9,0x03555310,
    0x7ffffdc0,0xffffffff,0x03ffffff,0x00000000,0x75100000,0x44000015,
    0x001aaba9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff7000,0xffb000bf,0x3ffa3fff,
    0x98003fff,0xf15fffff,0xffffffff,0xffffffff,0xfe8fffff,0x1004ffff,
    0x47ffffff,0x005ffff9,0x83ffff60,0x805fffff,0x0ffffffc,0x3ffffffa,
    0xffff9801,0xffffff16,0xffffffff,0x23ffffff,0x006ffffe,0x013ffffe,
    0x7c13fffa,0xff103fff,0x4003ffff,0x26fffff9,0x06fffffb,0xfffffc80,
    0xffffff12,0xffffffff,0xffffffff,0xffffffa8,0xffffc800,0x7fffc46f,
    0x3ff60005,0x7ffffc7f,0x7fffcc05,0x7fff42ff,0xf9805fff,0xfff16fff,
    0xffffffff,0xffffffff,0x3ffffa3f,0x3fffe006,0xffff804f,0x2ffff884,
    0x3ffffee0,0x3fff6004,0x3ffe61ff,0x74000fff,0xf10fffff,0xffffffff,
    0xffffffff,0xfd0fffff,0x880bffff,0x42ffffff,0x006ffff8,0xf1ffff60,
    0xe80bffff,0xe85fffff,0x1fffffff,0xb7fffcc0,0xfffffff8,0xffffffff,
    0xfd1fffff,0x7c00dfff,0xf804ffff,0xff983fff,0x3fe201ff,0x9800ffff,
    0xf85fffff,0x002fffff,0x97ffffe2,0xfffffff8,0xffffffff,0x87ffffff,
    0x1ffffffa,0x3fffff20,0x0dffff06,0x37fff400,0x817ffffe,0x0ffffffc,
    0xffffffe8,0x7ffcc04f,0xfffff16f,0xffffffff,0x3fffffff,0x01bffffa,
    0x04fffff8,0x417fffc4,0x400ffffa,0x04fffffb,0x1fffffd8,0x4fffffc8,
    0x3fffee00,0x3bbba23f,0xffffeeee,0xeeeeeeff,0xffffb06e,0x3ffe20bf,
    0xfff01fff,0x7f4000df,0x7fffc6ff,0xffff305f,0x3ffa03ff,0x00ffffff,
    0x45bfffe6,0xffffffff,0xffffffff,0xffd1ffff,0x7fc00dff,0x7cc04fff,
    0xffb81fff,0xfff8807f,0x3e600fff,0xf505ffff,0x400fffff,0x00fffffd,
    0x37ffffc0,0xffff9800,0xfffc81ff,0x3ffe05ff,0x3fa0007f,0x7fffc6ff,
    0xffffd05f,0x7fff409f,0x204fffff,0x266ffff9,0x99999999,0xffffa999,
    0x3fffa4ff,0x3ffe006f,0x7fd404ff,0xfffb80ff,0xffff7007,0x7ffec09f,
    0x3ffe01ff,0xff001fff,0xf000dfff,0x000dffff,0x2fffffe4,0x3fffffe2,
    0x1ffffa00,0x5fffe800,0x42fffffc,0x06fffffc,0x7ffffff4,0xff300fff,
    0x6c000dff,0x20efffff,0x006ffffe,0x013ffffe,0x320ffff5,0xf1006fff,
    0x301fffff,0x80bfffff,0x03fffffd,0x4fffff98,0xfffff800,0x3fe20006,
    0x3f61ffff,0x7404ffff,0x20007fff,0x7fc5ffff,0x7fcc5fff,0x7401ffff,
    0xffffffff,0xffff303f,0x3fee000d,0x7f41ffff,0x3e006fff,0x7644ffff,
    0xeffffeee,0xffffeeee,0x2e05eeef,0xd83fffff,0x401fffff,0x05fffffa,
    0x1fffffc8,0xfffff800,0x7fdc0006,0xfff15fff,0xfd801fff,0x3e0007ff,
    0x7ffc4fff,0x7fff45ff,0xffe803ff,0x6ffffeff,0x0dffff30,0xfffff100,
    0xffffd09f,0x7fffc00d,0x7ffff44f,0xffffffff,0xffffffff,0x3ffe206f,
    0x7ffcc7ff,0xff8805ff,0xfe807fff,0xf0007fff,0x000dffff,0xffffff88,
    0x3fffffd9,0x07fffd80,0x3fe0bddb,0x7fffc4ff,0x3fffee5f,0xfffd005f,
    0x5fffff7f,0x0dffff30,0xfffffb00,0x3ffffa0d,0x3fffe006,0x7ffff44f,
    0xffffffff,0xffffffff,0x7ffdc06f,0x3fff23ff,0xffd001ff,0x7c405fff,
    0x0004ffff,0x00dfffff,0xfffff700,0x0ffffffd,0x03ffff60,0xf03ffff1,
    0xfff87fff,0xffff35ff,0x3fa001ff,0xfffd9fff,0xffff986f,0x7ffdc006,
    0xffd01fff,0x7fc00dff,0x7ff44fff,0xffffffff,0xffffffff,0x7c406fff,
    0xff16ffff,0x5c00bfff,0x204fffff,0x02fffffa,0xdfffff00,0x3ffa0000,
    0xffffffff,0xffff9002,0x4ffffb81,0x21ffffc4,0xfd5fffff,0x4005ffff,
    0xfa9ffffe,0x7cc1ffff,0x22006fff,0x04ffffff,0x01bffffa,0x44fffff8,
    0xffffaaaa,0xffbaaaad,0x02aaacff,0xafffffb8,0x01fffffb,0x3ffffe60,
    0x3ffff606,0xfff0000f,0x20000dff,0xfffffffa,0x3f2006ff,0x7fec0fff,
    0x7ffc46ff,0x7ffffc3f,0x4fffffbd,0x7ffff400,0x8bffffd1,0x006ffff9,
    0x1bfffff6,0xffffffd0,0xffffffff,0x09ffffff,0x983ffff8,0x8001ffff,
    0xedfffff8,0x8005ffff,0x00fffffe,0x00bfffff,0x37ffffc0,0xfffb0000,
    0x005fffff,0x20ffffdc,0x20ffffff,0x7c2ffff8,0xfffeffff,0xfe8006ff,
    0xfff51fff,0x7ffcc3ff,0xfff7006f,0xfe803fff,0xffffffff,0xffffffff,
    0x3e204fff,0xffa82fff,0xf70000ff,0xffffffff,0xff90003f,0xff307fff,
    0x40007fff,0x006fffff,0x3fffea00,0x5c006fff,0x3ea1ffff,0x223fffff,
    0x7fc2ffff,0xffffffff,0xffe8003f,0x3fffe1ff,0x3fffe64f,0xffff8806,
    0xffe803ff,0xffffffff,0xffffffff,0x3fe604ff,0xfffb81ff,0x3fe20007,
    0x5fffffff,0xffff3000,0xffff90bf,0x7fc0001f,0x00006fff,0x3ffffff2,
    0x3ea001ff,0x3ff21fff,0x3e66ffff,0x7ffc1fff,0xffffffff,0x7ff4000f,
    0x3ffee1ff,0xffff30ff,0xffffb00d,0x3ffa00df,0xffffffff,0xffffffff,
    0x3fea04ff,0xfffb80ff,0x7fe40007,0x00ffffff,0x3ffffe00,0x6ffffe87,
    0x7fffc000,0xf300006f,0xffffffff,0x7ffd400b,0x3ffffe1f,0xfff30fff,
    0xfffff83f,0x5fffffdd,0x7ffff400,0x3ffffe21,0x0dffff34,0xffffffb8,
    0xffffd001,0xffffffff,0xffffffff,0x3fffdc09,0x006fffc8,0x7ffffc40,
    0x6c0005ff,0x221fffff,0x003fffff,0x37ffffc0,0xfffd8000,0x2fffffff,
    0x5ffff300,0x3ff7ffe6,0xffff32ff,0xdfffff81,0x3ffffff8,0x3ffffa00,
    0x7ffffe41,0x06ffff98,0x3fffffe2,0x3fffa003,0x3ffe006f,0x3fee04ff,
    0xbfffb07f,0xfff90000,0x80001fff,0x24fffffa,0x01fffffa,0x7ffffc00,
    0xffa80006,0xffffffff,0xfff3006f,0x2bfff25f,0xff55fffe,0xffff81ff,
    0xfffff75f,0x3ffa001f,0x7ffcc1ff,0xffff9bff,0x3ffff606,0x7ff4006f,
    0x3fe006ff,0x3ffe4fff,0xffffffff,0xffffffff,0x88004fff,0x005fffff,
    0xfffff880,0x1fffff26,0x3fffe000,0xfe80006f,0xfffbffff,0xf9803fff,
    0xfffd3fff,0x2affff71,0xfff87fff,0x3fffa5ff,0xffd006ff,0xfffb03ff,
    0xdffff3df,0x3ffffee0,0x7ff4000f,0x3fe006ff,0x3ffe4fff,0xffffffff,
    0xffffffff,0xf0004fff,0x000bffff,0x3fffff60,0x09fffff0,0xfffff000,
    0xffb8000d,0xfff76fff,0xf8801fff,0xfff9bfff,0x75ffff36,0xfff0ffff,
    0x7ffccbff,0xfe803fff,0xffa81fff,0xffffbfff,0xfffff886,0xffe8003f,
    0x3fe006ff,0x3ffe4fff,0xffffffff,0xffffffff,0xf0004fff,0x000bffff,
    0x3ffffee0,0x2fffff9a,0xffff8000,0x3e20006f,0x3e2fffff,0x404fffff,
    0xfbbffff8,0x3fffe3ff,0xf87fffbc,0x7e45ffff,0x401fffff,0xd01ffffe,
    0xffffffff,0xffffb0df,0x3fa000bf,0x3e006fff,0x3fe4ffff,0xffffffff,
    0xffffffff,0x0004ffff,0x00bfffff,0x3fffe200,0x7ffffbdf,0xffff0000,
    0x7e4000df,0x7dc6ffff,0x401fffff,0xffdcffff,0x3bfff20f,0xff86fffb,
    0xffe85fff,0x7f406fff,0xff501fff,0xdfffffff,0xffffffa8,0xfffd0000,
    0x7ffc00df,0x266664ff,0x999bffff,0x9affffa9,0xff000099,0x0000bfff,
    0x6ffffff4,0x0005ffff,0x0dfffff0,0x3fffe200,0xfffe82ff,0x7ffc06ff,
    0x4c6fffcf,0xfffdffff,0x5fffff86,0xffffffa8,0x3ffffa03,0x3ffffe01,
    0x3e26ffff,0x003fffff,0x1bffffa0,0x4fffff80,0x05ffff10,0x001ffff5,
    0x3ffffe00,0x3f200005,0xffffffff,0xff00002f,0x2000dfff,0x06fffffd,
    0x5ffffff5,0x7fffffc0,0xffff83ff,0xff85ffff,0xffb05fff,0x3a03ffff,
    0x2e01ffff,0xffffffff,0x3fffff66,0x9999999e,0xd0999999,0x400dffff,
    0x304fffff,0xf703ffff,0x40000fff,0x005fffff,0x3fffe600,0x00ffffff,
    0xfffff000,0xfff3000d,0x7f405fff,0xd00fffff,0x3fffffff,0xffffffb0,
    0xfffff0bf,0x3fffe20b,0xfffd06ff,0x7ffc403f,0xf56fffff,0xffffffff,
    0xffffffff,0x3ffa7fff,0x3fe006ff,0xff504fff,0xfff901ff,0x7fc0000f,
    0x00005fff,0x7ffffffc,0x200006ff,0x006fffff,0x6fffffe8,0x7ffffd40,
    0xffffd04f,0x3fea0dff,0xf85fffff,0x2e05ffff,0x84ffffff,0x401ffffe,
    0xfffffffc,0xffffff96,0xffffffff,0x27ffffff,0x006ffffe,0x413ffffe,
    0xf907fffb,0x40000dff,0x005fffff,0x7fffe400,0x0003ffff,0x1bffffe0,
    0xfffff500,0xfffd003f,0xffb01fff,0x7c09ffff,0x84ffffff,0x405fffff,
    0x1ffffffe,0x00fffff4,0x3fffffe6,0xfffff96f,0xffffffff,0x7fffffff,
    0x01bffffa,0x04fffff8,0x360ffff9,0x00005fff,0x017ffffe,0xffff5000,
    0x0003ffff,0x37ffffc0,0x3ffffa00,0xfff5006f,0xffb0bfff,0x6c03ffff,
    0x84ffffff,0x405fffff,0x6ffffff9,0x00fffff4,0x7fffffec,0xffffff96,
    0xffffffff,0x27ffffff,0x006ffffe,0x413ffffe,0xfd06fffc,0x400009ff,
    0x005fffff,0x7fffc400,0x00006fff,0x037ffffc,0xffffff70,0x7fff4003,
    0x7fe42fff,0x7d407fff,0xf83fffff,0xc805ffff,0x24ffffff,0x801ffffe,
    0x6ffffffa,0xfffffff9,0xffffffff,0x3a7fffff,0x2006ffff,0xb04fffff,
    0x3fe0bfff,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ff60000,0xffffffff,0xb7ffffff,
    0xffffffff,0xffffffff,0x7ffffc3f,0xbcdeffff,0x3fee000a,0x7d407fff,
    0x7c2fffff,0xffffffff,0x002cdeff,0xfffff880,0x3fa007ff,0xffffffff,
    0x6400acce,0xffffffff,0xffffffff,0xffff92ff,0xffffffff,0xffffffff,
    0x3ff60003,0x801fffff,0xfb000008,0xffffffff,0xffffffff,0x3ffffff6,
    0xffffffff,0x3ffe1fff,0xffffffff,0x800dffff,0x2ffffffc,0x3fffff20,
    0x7ffffc2f,0xffffffff,0x0000bfff,0xfffffff7,0x3ffa003f,0xffffffff,
    0x900cffff,0xffffffff,0xffffffff,0x3fff25ff,0xffffffff,0xffffffff,
    0xff98001f,0x01ffffff,0x0000ff44,0x7fffffec,0xffffffff,0xffffb7ff,
    0xffffffff,0x7c3fffff,0xffffffff,0xffffffff,0x7fffe403,0x3ffe04ff,
    0x7fc3ffff,0xffffffff,0xefffffff,0xfffd8000,0x004fffff,0xfffffffd,
    0xffffffff,0xffff909f,0xffffffff,0x25ffffff,0xfffffffc,0xffffffff,
    0x001fffff,0xffffffe8,0x3fa201ff,0x6c0003ff,0xffffffff,0xffffffff,
    0xffffffb7,0xffffffff,0x7ffc3fff,0xffffffff,0xefffffff,0xfffff900,
    0x3ffe60ff,0x7fc3ffff,0xffffffff,0xffffffff,0xffff8005,0x006fffff,
    0xfffffffd,0xffffffff,0xfffc89ff,0xffffffff,0x2fffffff,0xfffffff9,
    0xffffffff,0x003fffff,0xffffffb8,0xfd101fff,0x0009ffff,0x77ffffec,
    0xeeeeeeee,0xffffb5ee,0xdddddddf,0x7c3ddddd,0xeeefffff,0xffffffff,
    0xfffb05ff,0xf903ffff,0x87ffffff,0xaadfffff,0xffffecca,0x2a002fff,
    0xffffffff,0xffe800ff,0xfecccfff,0xffffffff,0x333332a2,0xcffffffc,
    0xf91ccccc,0xffffffff,0xffffffff,0x44003fff,0xffffffff,0xffd101ff,
    0x000bffff,0x01fffff6,0x3ffffec0,0x3fffe000,0xffc9884f,0xd81fffff,
    0x4fffffff,0xffffffe8,0x7ffffc4f,0x3fffea04,0x3f2003ff,0xffffffff,
    0xfffe803f,0xfff9105f,0xf001ffff,0x300bffff,0x55555555,0xff955555,
    0xd800ffff,0xfffeffff,0x3f6201ff,0x00efffff,0x3ffffec0,0xffffd800,
    0x7ffc0007,0x7fd404ff,0xfe86ffff,0x46fffeff,0xfffffff9,0x7ffffc4f,
    0x7fffd404,0x3ffe005f,0xfffffbff,0xffffe805,0x7fffcc05,0xfff801ff,
    0x000005ff,0x0ffffff6,0xfffffa80,0x01fffffa,0xffffffc8,0x3ff6001f,
    0xfb0007ff,0x8000ffff,0x804fffff,0x2ffffff9,0x7fe7fff4,0x3ffee0ff,
    0x7c5fffed,0x4404ffff,0x006fffff,0xb1fffff3,0x801fffff,0x805ffffe,
    0x03fffffc,0x05fffff8,0xfff10000,0x74001fff,0xff8cffff,0xf7001fff,
    0x05ffffff,0x1fffff60,0x7fffec00,0x7ffc0007,0xffb004ff,0xffe8dfff,
    0x23fffebf,0xffeafffe,0x7ffffc5f,0xfffff804,0xffff7005,0x3ffffeed,
    0x7ffff402,0xffff9805,0xffff805f,0x9000005f,0x007fffff,0x477fffe4,
    0x01fffff8,0x3ffffe60,0xffd803ff,0xfb0007ff,0x8000ffff,0x004fffff,
    0x8ffffff3,0xffcaffff,0x1ffff15f,0xff8bfffd,0x7cc04fff,0xd003ffff,
    0x3e69ffff,0x7404ffff,0x8805ffff,0x806fffff,0x005fffff,0xffff8800,
    0xff3000ff,0x3fe25fff,0x44001fff,0x5ffffffe,0x3ffffec0,0xffffd800,
    0x7ffc0007,0x3fa004ff,0x3fe0ffff,0x7fffaaff,0x3fabfff5,0x7fffc6ff,
    0x7ffec04f,0xff8800ff,0x3ffa1fff,0x7ff407ff,0xff8805ff,0xff805fff,
    0x00005fff,0x4fffffc8,0x3ffff600,0x3ffffe25,0xffd88001,0xb00effff,
    0x000fffff,0x01fffff6,0x9fffff00,0x7fffec00,0x4bfffe1f,0xffd9ffff,
    0x8dfffb2f,0x104fffff,0x09fffff9,0x1ffffea0,0x03fffff9,0x02fffff4,
    0x27ffffcc,0x2fffffc0,0x3fe20000,0x5000ffff,0x441fffff,0x001fffff,
    0x3fffff20,0xfffd81ef,0xffb0007f,0xdddddfff,0x89dddddd,0x004fffff,
    0x4bfffff2,0xfb2ffff8,0x1ffff9ff,0xff1ffff6,0x9999dfff,0xbffffffd,
    0x7fffec00,0x7ffffd45,0x3ffffa03,0xffffc805,0xffff802f,0x6400005f,
    0x004fffff,0x87fffff1,0x01fffff8,0x7fffdc00,0x7fec2fff,0xffffffff,
    0xb1ffffff,0xffffffff,0xffffffff,0x4fffff8b,0x3ffff200,0x5ffff13f,
    0x3fffffee,0x1ffff65f,0xffffffff,0xffffffff,0xffff8007,0x7fffc43f,
    0x3fffa06f,0x7ffcc05f,0xff801fff,0x00005fff,0x3fffffe2,0xffff9000,
    0xfffff10d,0xff700003,0x6c3fffff,0xffffffff,0xffffffff,0xffffffb1,
    0xffffffff,0xffff8bff,0x3fee004f,0xfff34fff,0x3fffe23f,0x3ff63fff,
    0x7ffffc7f,0xffffffff,0x3001cfff,0xd01fffff,0x201fffff,0x205ffffe,
    0x5fffffea,0xbfffff00,0x7fe40000,0xf3004fff,0xf103ffff,0x0003ffff,
    0xffffffa8,0x7fffec2f,0xffffffff,0xffb1ffff,0xffffffff,0x8bffffff,
    0x004fffff,0x4fffffee,0x3a1ffff9,0x20ffffff,0x3e0ffffc,0xffffffff,
    0xffffffff,0xfffc803f,0xffff706f,0x3fffa05f,0xdcaaaaef,0x0fffffff,
    0xbfffff00,0x3fe20000,0xd001ffff,0x2209ffff,0x001fffff,0x3ffffee0,
    0xfffd81ef,0xffffffff,0xfb1fffff,0xddddffff,0x9ddddddd,0x04fffff8,
    0x3fffff20,0x43ffff32,0x46fffffc,0x3e0ffffc,0xeeeeffff,0xffffffee,
    0x7ff404ff,0xfff304ff,0x3ffa0bff,0xffffffff,0x2fffffff,0x3ffffe00,
    0xff700005,0x2e00bfff,0x2206ffff,0x001fffff,0xffffffb0,0x3fff601d,
    0xeeeeeeff,0xfb1eeeee,0x8000ffff,0x004fffff,0x47fffff6,0x261ffffa,
    0x643fffff,0x3fe0ffff,0x3aa04fff,0x01ffffff,0x05fffff1,0x83fffffc,
    0xfffffffe,0xffffffff,0x7ffc003f,0xf00005ff,0x003fffff,0x03fffff1,
    0x0fffffc4,0x3fffa200,0x7ec05fff,0xb0007fff,0x000fffff,0x04fffff8,
    0x3fffffa0,0x81ffff50,0x640fffff,0x3fe1ffff,0x74404fff,0x704fffff,
    0x401fffff,0x81fffffd,0xfffffffe,0xcfffffff,0xffff8000,0xfb80005f,
    0xb005ffff,0x880bffff,0x001fffff,0x3fffffe6,0xfffd803f,0xffb0007f,
    0xf8000fff,0x2004ffff,0x2e7fffff,0x7ec0ffff,0xfffb86ff,0x3ffffe1f,
    0xffff9804,0xffffb06f,0x9999999f,0x09fffffd,0xfffffffd,0x039dffff,
    0x7ffffc00,0xfff80005,0xf8801fff,0xffffffff,0xffffffff,0x06ffffff,
    0xfffffff5,0x3fff6005,0xffb0007f,0xf8000fff,0x5004ffff,0x5cdfffff,
    0x7d40ffff,0xfffb83ff,0x3ffffe2f,0xffff8804,0xfffff07f,0xffffffff,
    0x0dffffff,0x55dffffd,0x40000135,0x005fffff,0x7ffffdc0,0xffff1006,
    0xffffffff,0xffffffff,0xff90dfff,0x003fffff,0x03ffffec,0x7ffffd80,
    0x7fffc000,0xfffd004f,0x7ffdc7ff,0xffb8000f,0x3fffe2ff,0xfff8804f,
    0xfffa87ff,0xffffffff,0xffffffff,0x7ffff40f,0x7c000005,0x0005ffff,
    0x17fffff4,0xfffff880,0xffffffff,0xffffffff,0x3ff626ff,0x000effff,
    0x03ffffec,0x7ffffd80,0x7fffc000,0xfffb804f,0x7ffe46ff,0xfff70007,
    0x7ffffc5f,0xffffa804,0xffffc85f,0xffffffff,0xffffffff,0x2fffff43,
    0x3fe00000,0x20005fff,0x06fffffb,0x3ffffe20,0xffffffff,0xffffffff,
    0xfffd16ff,0x0001bfff,0x00fffffb,0x1fffff60,0xfffff000,0xffffc809,
    0x7ffe42ff,0xfff50007,0x7ffffc7f,0x7fff4404,0xfffe84ff,0xffffffff,
    0xffffffff,0x7ffff45f,0x7c000005,0x0005ffff,0x0bfffffa,0xeeeee880,
    0xeeeeeeee,0xeefffffe,0xfffd15ee,0x6c0009ff,0x0007ffff,0x00fffffb,
    0x4fffff80,0xffffea88,0xfffd85ff,0xfff50007,0x7ffffc7f,0x3fffa604,
    0x7fcc2fff,0x3e001fff,0x7f47ffff,0x00005fff,0x2fffffc0,0xffffa800,
    0x0000006f,0x03fffff1,0x01ffff44,0x3ffff600,0xfffb0007,0xddddddff,
    0x43dddddd,0xeeffffff,0xfffffffe,0xffd81fff,0xff50007f,0x7fffc9ff,
    0xedccccef,0x5fffffff,0x07ffffb8,0x7ffffec0,0x17ffffa2,0x3332a000,
    0xfffffccc,0x1ccccccf,0x3fffffa0,0x10000002,0x803fffff,0x80001fe8,
    0x007ffffd,0xffffffb0,0xffffffff,0x7ffc3fff,0xffffffff,0x1effffff,
    0x00ffffb0,0x93fffea0,0xffffffff,0xffffffff,0xffd80eff,0x7dc005ff,
    0x3fa4ffff,0x80005fff,0xfffffffc,0xffffffff,0xff502fff,0x0000dfff,
    0x7fffc400,0x0008801f,0xfffffb00,0x3fff6000,0xffffffff,0x21ffffff,
    0xffffffff,0xffffffff,0x37fff403,0xffff9800,0x3fffffe4,0xffffffff,
    0xf881ffff,0x4002ffff,0x27fffff9,0x005ffffe,0xfffffc80,0xffffffff,
    0xd02fffff,0x007fffff,0x7fc40000,0x00001fff,0x7fffec00,0xfffb0007,
    0xffffffff,0x43ffffff,0xffffffff,0x1effffff,0x06fffe80,0xbffff300,
    0x7ffffffc,0xffffffff,0x3ffea02e,0xfe8000ff,0xffd1ffff,0x90000bff,
    0xffffffff,0xffffffff,0xfff505ff,0x00000fff,0xfffff880,0x55555101,
    0x55555555,0x6c155555,0x0007ffff,0xfffffffb,0xffffffff,0x7fffc3ff,
    0xdeefffff,0x3ffe000a,0xff30006f,0x7fffcbff,0xdeffffff,0xffc801bc,
    0xf90006ff,0x3fa7ffff,0x80005fff,0xfffffffc,0xffffffff,0xffe82fff,
    0x00003fff,0x7fffc400,0xffff301f,0xffffffff,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffcc0,0xffffffff,0x001fffff,0xa9800300,0xbccdeecc,0x02ee6009,
    0x376ea200,0x800009ac,0x09acecb9,0x0d555540,0x0d555540,0x99975300,
    0x75300155,0x1579bdb9,0x50d554c0,0xb93015b9,0x55555059,0xbcedc981,
    0x05555501,0x0379db93,0x3fffffe6,0xffffffff,0x0001ffff,0xea805fa8,
    0xffffffff,0xffb04fff,0x3ea009ff,0xffffffff,0xfd88004f,0xffffffff,
    0x3ffffa03,0xfffff805,0x7fff5404,0x6fffffff,0xffffec98,0xdfffffff,
    0x93fffc81,0x645fffff,0x744fffff,0xfd11ffff,0x09ffffff,0x744ffffd,
    0x4fffffff,0xffffff98,0xffffffff,0x0000ffff,0x882fffe4,0xfffffffe,
    0x84ffffff,0x2ffffffc,0x3ffff620,0xffffffff,0xffd3001e,0xffffffff,
    0xfffd01df,0xffff00bf,0x3ff2209f,0xffffffff,0xfffc87ff,0xffffffff,
    0x7e43ffff,0xffffbbff,0xffff76ff,0x7ff47fff,0xffff99ff,0x46ffffff,
    0xfa8ffffe,0xffffffff,0x5555446f,0xfcaaaaaa,0x004fffff,0x7ffffec0,
    0x7ffff445,0xffffffff,0xffff84ff,0xfd306fff,0xffffffff,0x05ffffff,
    0xffffffa8,0xffffffff,0x7ffff40f,0xfffff805,0xfffffa84,0xffffffff,
    0xffffc87f,0xffffffff,0x3f21ffff,0xfffffdff,0xffffafff,0x3fa6ffff,
    0xffffbfff,0xffffffff,0x2bffffa3,0xffffffff,0x8003ffff,0x5fffffe8,
    0x3ffa2000,0x360effff,0xbdffffff,0x4ffdcbaa,0x7fffffc4,0xffffd07f,
    0xffffffff,0x201fffff,0xcffffff8,0xfffffcab,0x7ffff45f,0xfffff805,
    0x7ffffc44,0xffffffff,0xfffc87ff,0xfdcabcde,0x326fffff,0xdfffffff,
    0xffffffff,0xd1fffffd,0xffffffff,0xffffffff,0x7ffff4df,0xffffffff,
    0x007fffff,0xffffffd8,0xfff30000,0xff09ffff,0x3005ffff,0xffffff03,
    0xffff50df,0x951159ff,0x09ffffff,0x07bffff6,0x3fffff62,0x17ffffa1,
    0x13ffffe0,0xdffffffb,0xfb753357,0x8017b90f,0x0ffffff9,0x1dfffff9,
    0x3ffffff6,0x23ffff91,0xfffffffe,0xfffd11cf,0x3fffa5ff,0x89dfffff,
    0x1ffffffb,0x3fffee00,0xf50001ff,0x07ffffff,0x0bfffff3,0xffffd800,
    0x7ffc43ff,0x3ee03fff,0x4c0fffff,0x201fffff,0x26fffff8,0x805ffffe,
    0x2a4fffff,0x04ffffff,0xa8000288,0xf92fffff,0x7dc5ffff,0x3ea3ffff,
    0xfffd2fff,0xf303ffff,0x3fa7ffff,0x81ffffff,0x03fffffb,0xffffff30,
    0x3fee0007,0x501fffff,0x00dfffff,0xffffe880,0xfffffb85,0xffffd804,
    0x7fffec3f,0xffffb805,0x17ffffa7,0x93ffffe0,0x04ffffff,0x7c400000,
    0xff93ffff,0xfffb8dff,0x7fffd47f,0xffffffd3,0x7ffffc05,0xffffffd4,
    0x3fffe605,0xfff8804f,0x90005fff,0x1dffffff,0x7ffffcc0,0x540001df,
    0xfffb02cc,0xff3003ff,0xfff89fff,0xffa802ff,0xfffd0fff,0xffff00bf,
    0x3fffe69f,0x000000ff,0x4fffff80,0xb85ffff9,0x7d43ffff,0xfffd3fff,
    0xffe807ff,0xffffd5ff,0xffff807f,0xfffe805f,0x44000eff,0xdffffffd,
    0xfffff800,0x000adfff,0xffffd000,0x7fffc00d,0x3fffe25f,0x999999af,
    0xfffffa99,0x0bffffd2,0x29fffff0,0x03fffffa,0x99880000,0x4fffff99,
    0xb83ffff9,0x7d42ffff,0xfffd3fff,0xddd900df,0x3ffffa9d,0xffffe806,
    0x7fffe405,0x74c001ff,0x04ffffff,0x3ffffee0,0x0adfffff,0x3ffe0000,
    0x3fa004ff,0x3fe67fff,0xffffffff,0xffffffff,0xffffd3ff,0xfffff00b,
    0x3fffff29,0x5c400002,0xffffffee,0xf94fffff,0xffb83fff,0x7ffd42ff,
    0xdffffd3f,0xfffe8000,0xfffe805f,0x3ffea05f,0x4c002fff,0x2fffffff,
    0xffffd800,0xffffffff,0x7c40000c,0x2004ffff,0x70fffffd,0xffffffff,
    0xffffffff,0x3fa7ffff,0xff805fff,0xfffb4fff,0x200001ff,0xffffffc9,
    0xffffffff,0x3ffff94f,0x42ffffb8,0xfd3ffffa,0x8000dfff,0x805ffffe,
    0x105ffffe,0x09ffffff,0xfffffb80,0x2e0001ff,0xffffffff,0x002fffff,
    0x3ffffe60,0x3fff2003,0xffff90ff,0xffffffff,0xffffffff,0x17ffffa5,
    0x53ffffe0,0x00fffffe,0xffff9800,0xffffffff,0xf94fffff,0xffb83fff,
    0x7ffd42ff,0xdffffd3f,0xfffe8000,0xfffe805f,0xfffe885f,0x7d4006ff,
    0x02ffffff,0xffeb8800,0xffffffff,0xff30001f,0x6c009fff,0x3ee7ffff,
    0xeeeeffff,0xeeeeeeee,0xfffd1eee,0xffff00bf,0x3ffffa9f,0x7c40001f,
    0xefffffff,0xffffcccd,0x3ffff94f,0x42ffffb8,0xfd3ffffa,0x8000dfff,
    0x805ffffe,0xd85ffffe,0x00ffffff,0xfffffb80,0x200002ff,0xfffffdb8,
    0x20006fff,0x005fffff,0xa9bffffa,0x000fffff,0x5ffffe80,0x4fffff80,
    0x05fffff9,0xffffe800,0x3ffe01ef,0xffff94ff,0x2ffffb83,0xe9ffffd4,
    0x0006ffff,0x02fffff4,0x22fffff4,0x1ffffffb,0x3ffea000,0x0003ffff,
    0xffffc880,0xd0000fff,0x200dffff,0x25fffff8,0x02fffff9,0xffffe800,
    0x7fffc405,0xfffff74f,0x7fc40009,0x7c00efff,0xff94ffff,0xfffb83ff,
    0x7fffd42f,0x0dffffd3,0xffffe800,0xffffe805,0x3ffffe65,0xe980003f,
    0x04ffffff,0xfff30000,0x99505fff,0x3ffff605,0xfffb801f,0x3ffe23ff,
    0xe80004ff,0x7406ffff,0xf54fffff,0x003fffff,0x3ffffe60,0xfffff803,
    0x83ffff94,0x542ffffb,0xffd3ffff,0xe8000dff,0xe805ffff,0xff15ffff,
    0xffffffff,0xffffffff,0x7fff4405,0x0000dfff,0xfffffd80,0x3ffffa22,
    0xfffffc85,0x7fff4405,0x7fffc1ff,0x6c0001ff,0xb00fffff,0x29ffffff,
    0xeffffff8,0xfffb8000,0x7fec03ff,0xfff94fff,0xffffb83f,0x9ffffd42,
    0x006ffffe,0x2fffff40,0xafffff40,0xfffffffc,0xffffffff,0xfd802fff,
    0x01efffff,0xff880022,0x3f60ffff,0x443fffff,0x05ffffff,0x9fffffd1,
    0xdfffff70,0x7fe40001,0x7e443fff,0x24ffffff,0xeffffffc,0xff52cc02,
    0x3a20dfff,0x94ffffff,0xfb83ffff,0x7fd42fff,0xffffd3ff,0xffe8000d,
    0xffe805ff,0xffff95ff,0xffffffff,0x05ffffff,0x3ffffee0,0x9df502ff,
    0xffb31013,0xfff8dfff,0xfc86ffff,0xacefffff,0xfffffecb,0xffffd00f,
    0x998139ff,0x3fee1edb,0xfcadffff,0xffffffff,0x3ffffe24,0xccbdefff,
    0x3fe27ffd,0x711cffff,0xfffffffd,0x07ffff29,0xa85ffff7,0xffd3ffff,
    0xe8000dff,0xe805ffff,0xff95ffff,0xffffffff,0xffffffff,0x7ffd4005,
    0xfa83ffff,0xeeefffff,0xffffffff,0x3ffffe23,0xfff887ff,0xffffffff,
    0x03ffffff,0x3fffffe6,0xffffffff,0x7ffc1fff,0xffffffff,0x4ffffeff,
    0x7fffffd4,0xffffffff,0x7ffff47f,0xffffffff,0x94ffffff,0xfb83ffff,
    0x7fd42fff,0xffffd3ff,0xffe8000d,0xffe805ff,0xffff95ff,0xffffffff,
    0x05ffffff,0xfffff980,0x7ffd44ff,0xffffffff,0xf84fffff,0x06ffffff,
    0xfffffff5,0xffffffff,0xffff9009,0xffffffff,0xfb83ffff,0xffffffff,
    0xffffadff,0xfffffb84,0xffffffff,0x7fffcc7f,0xffffffff,0x94ffffbe,
    0xfb83ffff,0x7fd42fff,0xffffd3ff,0xffe8000d,0xffe805ff,0x000005ff,
    0xfffd1000,0x3ea1bfff,0xffffffff,0x03ffffff,0x5ffffff9,0x7fffec40,
    0xefffffff,0x3ffa6001,0xffffffff,0xfd81ffff,0xffffffff,0x09ffff35,
    0x3fffff66,0x7fffffff,0xffffffc8,0xf98dffff,0xfff94fff,0xffffb83f,
    0x9ffffd42,0x006ffffe,0x2fffff40,0x2fffff40,0x00000000,0x97fffff6,
    0xffffffd9,0x0befffff,0x27fffec0,0xffffea80,0x000cefff,0xfffffd70,
    0x17bfffff,0x3ffffee0,0x3ffe62ef,0x7f6d404f,0xbeffffff,0xffffd301,
    0x7fcc5dff,0xffff94ff,0x2ffffb83,0xe9ffffd4,0x0006ffff,0x02fffff4,
    0x02fffff4,0x40000000,0x2205fffc,0x9abbaaa9,0x055cc001,0x1aba9800,
    0xba980000,0x40009aab,0x0001aba9,0x13355300,0x555d4400,0x00000000,
    0x00000000,0x00000000,0x3ea00000,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaa88000,0xa98002aa,0x5550aaaa,0x4c000355,
    0x2a61aaaa,0x2002aaaa,0x01aaaaa9,0x16666540,0xaaa88000,0x5d40000a,
    0x3ff20001,0x333001ff,0x33333333,0x33333333,0x2aaaaaa1,0x2aaaaa20,
    0x55555511,0x1676e540,0xaaa98000,0x3e202aaa,0x000fffff,0x87fffff4,
    0x004ffffd,0x8ffffee0,0x4ffffff9,0xfffff880,0x7fe4000f,0x500003ff,
    0x0003ffff,0x07bfffa2,0xfffff300,0x3fffe00d,0xffffffff,0x5fffffff,
    0x41fffffb,0x14fffffa,0x10ffffff,0xdffffffd,0x09999803,0xffffffc8,
    0x3ffff604,0x3fe6002f,0x3ff24fff,0x320005ff,0x7dc2ffff,0x401fffff,
    0x03fffffd,0x3ffffc80,0xfff30000,0x3f60001f,0x000fffff,0x3ffffffa,
    0xfffff803,0xffffffff,0x95ffffff,0x4c1fffff,0xf13fffff,0xe88fffff,
    0xffffffff,0x3fffe02f,0xfffff504,0x3ffea09f,0x3f2006ff,0x3ea1ffff,
    0x20006fff,0xd81ffffd,0x206fffff,0x05fffffb,0x7ffff900,0xff303000,
    0xf10060ff,0x09ffffff,0x3ffffea0,0x7fc00fff,0xffffffff,0xffffffff,
    0xfffff95f,0x3fffff98,0xb1bffffe,0xffffffff,0xff107fff,0x7f4409ff,
    0xff04ffff,0x2001ffff,0x4c6fffff,0x0007ffff,0x203ffffa,0x4ffffff8,
    0xffffff88,0xfff90000,0xdf88007f,0x11fffe20,0x7fcc01fb,0x807fffff,
    0xffbffff8,0x7ffc04ff,0xffffffff,0xffffffff,0x8fffff75,0x22fffff8,
    0x226fffff,0xffffffff,0x543fffff,0xc803ffff,0xc84fffff,0x803fffff,
    0x43fffffa,0x00fffff8,0x0fffff00,0x7fffffd4,0x7ffffec1,0x3ff20002,
    0x7ec003ff,0x9bffe1ef,0x7c04fffa,0x0fffffff,0xbb7ffe40,0x2601ffff,
    0x99999999,0x99999999,0xffff7099,0x5fffff0d,0x72fffff4,0x911bffff,
    0x5bffffff,0x03fffff7,0x3ffffea0,0x7ffffc44,0xffffd806,0xfffff80f,
    0xffff0001,0xffffc80d,0xffff70ef,0xfc80009f,0x26003fff,0xff3fffff,
    0x3ffff2bf,0x3ffee00f,0x2601ffff,0x3fa1ffff,0x000006ff,0x37fffd40,
    0xd0fffffc,0x7e4bffff,0x7fd40fff,0xffffffff,0x644006ff,0x7ec1cccc,
    0x2201ffff,0xd05fffff,0xe985ffff,0x7fc41eee,0xffe805ff,0xfff8cfff,
    0x40000eff,0x003ffffc,0x3ffffff2,0xffeefffd,0x6402ffff,0x00ffffff,
    0xf517fff6,0x00007fff,0x7fffd400,0x1fffff85,0xd93ffff6,0xff506fff,
    0xffffffff,0x2000005f,0x04fffffa,0x0bffffee,0x21ffffec,0x4c4ffffc,
    0x9803ffff,0xfeffffff,0x0001ffff,0x03ffffc8,0x7fffe440,0xffffffff,
    0xfd000cff,0x7d40ffff,0xffe81fff,0x000000ff,0x0bffff30,0x6c1ffffd,
    0x3fa4ffff,0x3fe606ff,0x4fffffff,0x7fc00000,0x3fa07fff,0x3f206fff,
    0x7ff44fff,0x7ffd47ff,0xfff7002f,0x9fffffff,0xddddd100,0xfffffddd,
    0xdddddddd,0x3fff220d,0xbfffffff,0x7ffec000,0x3fffa05f,0xbffff304,
    0x33333330,0x33333333,0x3e613333,0xffe84fff,0x7fffe47f,0x3f620003,
    0x003fffff,0xfffc8000,0xfff882ff,0x3fea03ff,0x3ffe65ff,0x3fee1fff,
    0x3f6001ff,0x6fffffff,0xfffff300,0xffffffff,0xffffffff,0xfffe880f,
    0x0000dfff,0x209ffffd,0x200ffffc,0x7c2ffffd,0xffffffff,0xffffffff,
    0xffff15ff,0x8ffffb09,0x002ffffc,0x01bca880,0x3e200000,0xfb85ffff,
    0x2600ffff,0x3f26ffff,0x324fffff,0x2000ffff,0xfffffff8,0xfff3001f,
    0xffffffff,0xffffffff,0x3f220fff,0xffffffff,0x3e6000bf,0xf880efff,
    0x7c403fff,0x7ffc6fff,0xffffffff,0xffffffff,0x07ffff15,0xfb8ffffb,
    0x00002fff,0x80000000,0x40fffffd,0x405ffffe,0x3a7ffff8,0x27ffffff,
    0x8007fffc,0x6ffffffd,0x3fffe600,0xffffffff,0xffffffff,0x7ffe4c7f,
    0xffffffff,0x2200cfff,0x01fffffb,0x200dfffb,0x3e3ffffb,0xffffffff,
    0xffffffff,0x000005ff,0x00000000,0xff500000,0x7fcc7fff,0xff802fff,
    0xfff98fff,0xfb2fffff,0xfa800dff,0x4fffffff,0xddddd100,0xfffffddd,
    0xdddddddd,0x7ffffe4d,0xfeeffedf,0x913fffff,0xffffffd9,0x3fffea09,
    0xffff1002,0x3ffffe1f,0xffffffff,0x05ffffff,0x00000000,0x00000000,
    0x9bffffe0,0x007ffffc,0xf73ffffd,0xbffffbff,0x8017fffe,0xfffffff9,
    0x00002fff,0x007ffff9,0x9fffffcc,0xfff95fff,0x3ffe21ff,0x203fffff,
    0x4004cccb,0x332cccca,0x33333333,0x33333333,0x00000013,0x00000000,
    0x7fe40000,0xffff0fff,0x3ff6009f,0xbfffeaff,0xff8ffffd,0x3fa004ff,
    0xffffffff,0xc80000ff,0x4003ffff,0x3fe1effd,0x93ffea6f,0xcffffff8,
    0x00000000,0x00000000,0x00000000,0x80000000,0xabfffff9,0x001fffff,
    0xff9ffff9,0xffff51ff,0x007ffff7,0x33fffff2,0x05fffffe,0xffffc800,
    0x22fc4003,0x6c47fff8,0x337be20f,0x554c000a,0x00000000,0x7fffffc4,
    0x7fffffff,0x00000000,0x00000000,0x37bffffa,0x2006ffff,0xfffffffb,
    0xfffff16f,0x5003ffff,0x26dfffff,0x03ffffff,0x7fffe400,0xf8818003,
    0x000307ff,0xffffd880,0x7fffffc3,0xffffffff,0xffffffff,0xfff16fff,
    0xffffffff,0x00000fff,0x00000000,0x7ffd4000,0x2fffffff,0x3fffe600,
    0x3f63ffff,0x0fffffff,0x7ffffc40,0x3fffee1f,0x320001ff,0x0003ffff,
    0x01ffff30,0xffb00000,0x7fc5ffff,0xffffffff,0xffffffff,0x6fffffff,
    0xfffffff1,0x0fffffff,0x00000000,0x80000000,0xffffffff,0x7fc4007f,
    0x21ffffff,0xfffffffa,0xffffe807,0xffffe84f,0x3f20006f,0x00003fff,
    0x003ffff5,0xfff98000,0x3fe7ffff,0xffffffff,0xffffffff,0x6fffffff,
    0xfffffff1,0x0fffffff,0x00000000,0x80000000,0xfffffffc,0xfff8004f,
    0x7c46ffff,0x06ffffff,0x37ffffe4,0xffffff98,0xfff90004,0x2200007f,
    0x0000aaaa,0x7fffdc00,0xfff0ffff,0xffffffff,0xffffffff,0x2dffffff,
    0xfffffff8,0x07ffffff,0x00000000,0x40000000,0xfffffff9,0xffe8001f,
    0xfd84ffff,0x205fffff,0x1ffffffa,0x3ffffee0,0xffc8002f,0x000003ff,
    0x2e000000,0xffffffff,0x55555551,0x55555555,0x55555555,0x00000555,
    0x00000000,0x00000000,0xdffffffd,0x3fff6000,0xffa81fff,0xf104ffff,
    0x009fffff,0x1ffffffd,0xeeeeb800,0x00000002,0x3fea0000,0x007fffff,
    0x00000000,0x00000000,0x00000000,0xfffffb80,0xff90003f,0x3e20dfff,
    0xd03fffff,0x00dfffff,0x3fffffe2,0x00000005,0x00000000,0xffffffe8,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x003ffffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x15730000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_47_usascii_x[95]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1, };
static signed short stb__consolas_bold_47_usascii_y[95]={ 34,1,1,4,-1,1,1,1,-1,-1,1,10,25,19,
25,1,3,3,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,38,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16, };
static unsigned short stb__consolas_bold_47_usascii_w[95]={ 0,8,16,25,22,26,27,8,15,15,20,24,14,16,
10,23,24,22,22,21,25,21,23,22,22,23,10,13,20,20,20,17,26,26,23,23,24,19,18,23,22,20,18,24,
19,24,22,25,21,27,23,22,24,23,26,26,26,26,22,14,23,13,23,26,16,21,22,20,22,22,25,24,20,21,
19,22,21,24,20,24,22,22,20,20,22,20,26,26,26,26,20,18,6,19,24, };
static unsigned short stb__consolas_bold_47_usascii_h[95]={ 0,34,13,30,41,34,34,13,45,45,21,23,18,5,
10,38,32,31,31,32,30,31,31,30,32,31,25,33,27,15,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,6,10,25,34,25,34,25,33,34,33,34,
44,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11, };
static unsigned short stb__consolas_bold_47_usascii_s[95]={ 254,124,188,228,155,52,1,205,24,8,107,
82,128,181,143,206,1,185,119,203,207,49,71,184,26,95,43,46,1,167,233,
79,128,114,90,225,40,20,1,179,205,163,166,134,232,65,159,130,141,178,208,
156,55,142,28,107,80,1,182,93,230,59,143,154,239,144,156,123,179,79,81,
224,60,202,73,23,1,166,212,54,133,29,191,22,107,102,1,28,55,97,233,
40,1,108,214, };
static unsigned short stb__consolas_bold_47_usascii_t[95]={ 1,50,242,152,1,50,50,242,1,1,242,
242,242,258,258,1,119,119,119,85,183,119,119,183,119,119,214,85,214,242,183,
50,1,183,183,85,183,183,183,85,152,183,119,152,119,183,152,85,183,1,119,
85,152,119,152,152,152,152,152,1,1,1,242,258,242,214,50,214,50,214,85,
50,85,50,1,85,85,214,214,214,50,50,214,214,85,214,242,242,242,50,211,
1,1,1,242, };
static unsigned short stb__consolas_bold_47_usascii_a[95]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_47_usascii(stb_fontchar font[STB_FONT_consolas_bold_47_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_47_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_47_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_47_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_47_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_47_usascii_s[i] + stb__consolas_bold_47_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_47_usascii_t[i] + stb__consolas_bold_47_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_47_usascii_x[i];
            font[i].y0 = stb__consolas_bold_47_usascii_y[i];
            font[i].x1 = stb__consolas_bold_47_usascii_x[i] + stb__consolas_bold_47_usascii_w[i];
            font[i].y1 = stb__consolas_bold_47_usascii_y[i] + stb__consolas_bold_47_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_47_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_47_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_47_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_47_usascii_s[i] + stb__consolas_bold_47_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_47_usascii_t[i] + stb__consolas_bold_47_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_47_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_47_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_47_usascii_x[i] + stb__consolas_bold_47_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_47_usascii_y[i] + stb__consolas_bold_47_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_47_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_47_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_47_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_47_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_47_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_47_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_47_usascii_LINE_SPACING
#endif

