// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_48_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_48_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT        289
#define STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_48_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_48_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_48_usascii_LINE_SPACING          32

static unsigned int stb__consolas_bold_48_usascii_pixels[]={
    0x22555551,0x00000009,0x4000015c,0x00039019,0x26200000,0x99999999,
    0x33331099,0x13333333,0x32e62000,0x1000000a,0x00005555,0x33000020,
    0x00001333,0x04cccccc,0xffffa800,0x7bdfffd6,0x7dc00000,0x3260002f,
    0x6c1fffed,0x000001ff,0x742efeb8,0xffffffff,0xfffd3fff,0xffffffff,
    0xffea8007,0x00ceffff,0x3ffea000,0xca880005,0x0acdfffd,0x3ffffe00,
    0xff100004,0xc887ffff,0xffa81dfe,0xffffd6ff,0x00003dff,0x02ffffc8,
    0x7fffe440,0x3ff21fff,0x000001ff,0x8bfffff2,0xfffffffe,0xffd3ffff,
    0xffffffff,0x3f62007f,0xffffffff,0x700000ef,0x80009fff,0xfffffffb,
    0x7003ffff,0x001fffff,0x3ffffe00,0x3fffa23f,0x7ffd42ff,0xfffffd6f,
    0x00007fff,0x1bfffff2,0xfffff880,0xff51ffff,0x0003ffff,0xfffff100,
    0x7ffff4df,0x3fffffff,0xfffffffd,0x3007ffff,0xfffffffd,0x01dfffff,
    0x7fffb000,0x3ff62000,0xffffffff,0xf8805fff,0x0003ffff,0x5ffffff0,
    0x7fffffe4,0x3fffea0f,0xffffffd6,0x80001fff,0x0efffffc,0x3ffff600,
    0x321fffff,0x01ffffff,0x7ffcc000,0xffd0ffff,0xffffffff,0x3ffffa7f,
    0x3fffffff,0x7ffffcc0,0xfffeccef,0x40000fff,0x8001fffe,0xffffffe9,
    0xffffffff,0x7fe400ef,0xf00006ff,0x745fffff,0x1fffffff,0x45bfffea,
    0xfffffba9,0x3ea0005f,0x000fffff,0x3fffffe6,0xffd819ad,0x0000ffff,
    0x3ffffe20,0x3ffffa7f,0x0999999b,0xd3333331,0x4407ffff,0x81effffe,
    0x05ffffe8,0xfffba880,0x3a0009bf,0xffffffff,0xffffffff,0x7ffcc05f,
    0xf80001ff,0x3e2fffff,0x2fffffff,0x81bfffea,0x00fffffd,0xfffff880,
    0x7fec001f,0xfb001fff,0x000bffff,0xfffffd80,0x0bffffa4,0xffffd000,
    0x7fffec07,0x3ffe200e,0xfda800ff,0xffffffff,0x7d404eff,0x9bdfffff,
    0xfffffca8,0x7ff401ff,0xe80005ff,0x362fffff,0x0fffffff,0x81bfffea,
    0x01fffff8,0xfffffd80,0xfffe8001,0x7ff4003f,0x00002fff,0x837fffa2,
    0x002ffffe,0x1fffff40,0x06ffffb8,0x07ffff30,0x7ffffecc,0xffffffff,
    0x7fff406f,0x3fe605ff,0x5405ffff,0x000fffff,0x7fffff40,0x3ffffe61,
    0x7fffd44f,0x7fffec06,0x7ffdc002,0xff0004ff,0x88001fff,0x00ffffff,
    0x4054c000,0x002ffffe,0x1fffff40,0x01fffff8,0x41bfff60,0xfffffffb,
    0xffffffff,0x3ffee06f,0xff9805ff,0x7c01ffff,0x0004ffff,0x0ffffff4,
    0x213fffea,0x406ffffa,0x003ffffc,0x1bffffe2,0x7fffc400,0xfff70007,
    0x00000bff,0x17ffff40,0x3fffa000,0xffffa83f,0x7ffdc004,0x7fffcc1f,
    0xffffffff,0x206fffff,0x01ffffff,0x9fffffb0,0x7ffffb80,0x7fff4000,
    0x015301ff,0x01bfffea,0x00bffff7,0x17ffffe4,0xffff9800,0x3ffa0006,
    0x00001fff,0x5ffffd00,0xfffe8000,0x6fffe83f,0xffff9800,0x7fffff43,
    0xcfffeacf,0xf506fdca,0x400dffff,0x06fffffb,0x17ffffc4,0xffffb000,
    0x3ea0003f,0x7dc06fff,0xf1005fff,0x000bffff,0x037fffcc,0xfffff500,
    0x3bbbaa0b,0xeeeeeeee,0x3fa4eeee,0x40002fff,0x4c3ffffe,0x1103ffff,
    0x93fffe30,0x0ffffffa,0x0607fffa,0x1fffffdc,0xfffff100,0xffffb00f,
    0x7fec000d,0x50000fff,0xb80dffff,0x7005ffff,0x001fffff,0x37fffcc0,
    0x3fff6000,0xfffb80ff,0xffffffff,0x3a5fffff,0x0002ffff,0x21fffff4,
    0x220ffffd,0xfedffffd,0x5cbfffb7,0x7c4fffff,0x36000fff,0x001fffff,
    0x07fffff4,0x3ffffe60,0xfffb0001,0x2a0001ff,0x5c06ffff,0xd005ffff,
    0x000dffff,0x06ffff98,0x7fffd400,0xffffb82f,0xffffffff,0x3fa5ffff,
    0x40002fff,0x7c3ffffe,0x3fe65fff,0x7fffffff,0x7ecbfff9,0x3e22ffff,
    0x7f4007ff,0x4001ffff,0x00fffffe,0x05ffffe8,0xfffff900,0x3fea0001,
    0x7fdc06ff,0xff9805ff,0x40003fff,0x006ffff9,0x7ffffc40,0xfffffb86,
    0xffffffff,0x3ffa5fff,0x740002ff,0x3e63ffff,0xfff12fff,0xdfffffff,
    0xfd9bfff2,0x3ea5ffff,0x7fc006ff,0x4000ffff,0x01fffffd,0x0fffffa8,
    0xffffc800,0x3fea0007,0x7fd406ff,0xffc806ff,0x40000fff,0x005ffffa,
    0xfffffd80,0x666664c0,0xffcccccc,0x3ffa5fff,0x740002ff,0x3ee3ffff,
    0xfff90fff,0xbfffffff,0xfb9fffee,0xf73fffff,0xff8009ff,0xd8007fff,
    0x002fffff,0x007fffff,0x0fffff90,0x7fffd400,0x7fffcc06,0xffffe807,
    0xffb80005,0xa80005ff,0x003fffff,0x3ffffe20,0x0bffffa5,0xffffd000,
    0x8bfffec7,0xf9afffff,0xfff75fff,0x7ffffccf,0x3fffeeff,0x3fffe200,
    0xffc8007f,0xf9003fff,0x9000ffff,0x000fffff,0x037fffd4,0x0bffffe2,
    0x07fffff0,0xffffd000,0x3fe00009,0x20004fff,0x25fffff8,0x002ffffe,
    0x1fffff40,0x3eabffff,0xfff33fff,0x3fffea9f,0x3fffffa0,0x02ffffff,
    0x3ffffe20,0xfffc8007,0xff1002ff,0xb8005fff,0xb707ffff,0xfff5019d,
    0xfffb00df,0x3fe205ff,0x20002fff,0x0fffffd8,0xfffd0000,0x7c40009f,
    0x3fa5ffff,0x40002fff,0xf13ffffe,0x3ff67fff,0xffff30ff,0x83fffea7,
    0xfffffff9,0x01cfffff,0x1ffffff0,0xffffd800,0x3ff6001f,0x7dc006ff,
    0xffe86fff,0x7fd41fff,0xff9806ff,0x3cefffff,0x03fffff3,0x7ff6e4c0,
    0x0005ffff,0x17ffff60,0xffff8800,0x3ffffa5f,0x7ff40002,0xffff53ff,
    0xa9bfffe5,0xff72ffff,0xffff50ff,0xffffffff,0xffe803df,0x6c000fff,
    0x000fffff,0x07ffffe6,0x6ffffb80,0x7fffffe4,0x37fffd46,0xfffff980,
    0xfff56fff,0x7dc003ff,0x4fffffff,0x7fec0000,0x220006ff,0x3a5fffff,
    0x0002ffff,0xa9fffff4,0xff88ffff,0x3ffee5ff,0x0ffff72f,0x3fffff62,
    0xffffffff,0xffffd00c,0xffe8003f,0xfe8007ff,0x2e004fff,0x7f46ffff,
    0x21ffffff,0x006ffffa,0x7fffffdc,0x1fffff76,0x7fffdc00,0x00000dff,
    0x07ffffc8,0x3fffe200,0x3ffffa5f,0x7ff40002,0xffff73ff,0x47ffff31,
    0xf71ffffb,0xfda80dff,0xffffffff,0xfd80efff,0x4002ffff,0x007fffff,
    0x0fffffb8,0xdffff500,0xfffffff8,0x3fffea2f,0xfffd3006,0x3f2dffff,
    0x5c007fff,0xffffffff,0x7dc00003,0x20007fff,0x25fffff8,0x002ffffe,
    0x9fffff40,0xff37fffb,0x7ffe47ff,0x0dfff90f,0x3ffff620,0x5fffffff,
    0x5fffffc8,0x3fffe600,0xff88006f,0xf5003fff,0xffd8bfff,0x2a0fffff,
    0x9806ffff,0xefffffff,0xfffff75e,0x7f754001,0x03ffffff,0x3ffee000,
    0x3e20007f,0x3fa5ffff,0x40002fff,0xf93ffffe,0x3ffeafff,0x9ffff62f,
    0x2005fffd,0xfffffffd,0x543fffff,0x007fffff,0x0ffffff2,0x7fffe400,
    0xffff5007,0xfffffa8b,0x7fffd45f,0xffffd806,0xffff503f,0x74c0003f,
    0x000fffff,0xdffff900,0x7ffc4000,0x3fffa5ff,0x7f40002f,0xfff93fff,
    0x8bfffead,0x3fa7fffd,0x3fa004ff,0xffffbaff,0xfff85fff,0xf8802fff,
    0x0007ffff,0x0bffffe2,0x06aaaa20,0x037fffee,0x80dffff5,0x02fffff8,
    0x0bffffe6,0xffff1000,0x3600007f,0x0005ffff,0x97ffffe2,0x002ffffe,
    0x9fffff40,0xff56fffd,0x7fff45ff,0x00bfffe6,0x360ffff8,0xc87fffff,
    0x01ffffff,0x27fffff4,0x3fff6000,0x4400006f,0xfff501ba,0xfff980df,
    0x7ffc407f,0xc80003ff,0x0004ffff,0x09ffffd0,0x7fffc400,0x3ffffa5f,
    0x7ff40002,0xdfffb3ff,0x44bfffe6,0xff35ffff,0x3e2001ff,0x7ffd47ff,
    0x7fcc0fff,0x40afffff,0xffffffd9,0x7fd40000,0x00001fff,0x7fffd400,
    0x7fffd406,0xfffff806,0xffb80004,0xf00005ff,0x0007ffff,0x2fffffc4,
    0x005ffffd,0x3ffffe80,0x3e6ffff9,0xfffb3fff,0x1bfff2df,0x46fff980,
    0x07fffff8,0xfffffffb,0xfffffbdf,0x00009fff,0x013ffffa,0x0000f726,
    0x80dffff5,0x805ffffb,0x007fffff,0x6ffffa80,0xfff98000,0x220002ff,
    0x3a5fffff,0x0002ffff,0xb9fffff4,0xfff17fff,0xfffff9df,0x09ffff9f,
    0x22fffd40,0x05fffff9,0xffffffd1,0xffffffff,0x400009ff,0x00fffffb,
    0x01bfffee,0x6ffffa80,0x2ffffdc0,0x7ffffe40,0x7fcc0001,0xc80006ff,
    0x000fffff,0x3ffffe20,0x0bffffa5,0xffffd000,0x43fffea7,0xfffffffe,
    0xffffffff,0xfb80dc0f,0x7fff44ff,0x3fa203ff,0xffffffff,0x005fffff,
    0x7fffc400,0xffff103f,0x2a0007ff,0x5c06ffff,0x9805ffff,0x004fffff,
    0x37fffcc0,0x7fffc000,0x7c40005f,0x3fa5ffff,0x40002fff,0xf53ffffe,
    0x3fea3fff,0xffceffff,0xe81fffff,0xfd89bcff,0xfffb9aff,0x4401ffff,
    0xfffffffd,0x004fffff,0xffff9000,0x3fffea0d,0xf50005ff,0xfb80dfff,
    0xfd005fff,0x8000ffff,0x006ffff9,0x7ffffd40,0x7fc40001,0x3ffa5fff,
    0x740002ff,0xff33ffff,0x7ffec5ff,0xffffd0ff,0x3fffa07f,0xffffffff,
    0xffffffff,0x3ff22003,0x0befffff,0x3e600000,0xfa82ffff,0x005fffff,
    0x0dffff50,0x05ffffb8,0x5fffff70,0x7ffcc000,0x7ec0006f,0x80006fff,
    0x25fffff8,0x002ffffe,0x9fffff40,0x5c4ffff8,0x36e20bdd,0x3ffa00bd,
    0xffffffff,0xffffffff,0x3ff60004,0x000006ff,0x17ffff60,0x3fffffe2,
    0xfff50002,0xfffb80df,0xfff1005f,0x4c000dff,0x0006ffff,0x0fffffe6,
    0x3ffe2000,0x3fffa5ff,0x7f40002f,0x3ffe3fff,0x2000007f,0xfffffffe,
    0xffffffff,0x5c0004ff,0x000fffff,0xfff50000,0xfff503ff,0x7d40009f,
    0x7dc06fff,0x36005fff,0x004fffff,0x0dffff30,0x7ffff400,0xf880000f,
    0x3fa4ffff,0x40002fff,0x363ffffe,0x0001ffff,0xfffffd00,0xffffffff,
    0x000019ff,0x09fffff5,0xd0000054,0x2209ffff,0x540001ba,0x6406ffff,
    0x2004ffff,0x0ffffff8,0xffff8800,0xfff70007,0x200009ff,0x23fffff9,
    0x002ffffe,0x1fffff40,0x009ffff3,0x654c4000,0xceffffed,0x2000009b,
    0xdffffff8,0x04fda889,0x3ffee000,0x000000ff,0x037fffd4,0x00fffff6,
    0xbfffff70,0x3fffe000,0x7fc4000f,0x00006fff,0x8bffffea,0x002ffffe,
    0x1fffff40,0x007ffffa,0xffc80000,0x8000003f,0xfffffffd,0x02ffffff,
    0xffff1000,0x8000007f,0x206ffffa,0x02fffff8,0xfffffd80,0xfffe8003,
    0x7fec003f,0x00001fff,0x83fffff6,0x002ffffe,0x1fffff40,0x03ffffee,
    0xb0000880,0x00005fff,0xfffff100,0xffffffff,0x3200001d,0x0006ffff,
    0x7fffd400,0x3ffff206,0xff88000f,0x4003ffff,0x00fffffd,0x7fffffb0,
    0xf3001880,0xfe8fffff,0x40002fff,0x443ffffe,0x00efffff,0x80017e4c,
    0x0001fffe,0xffff5000,0xffffffff,0x2600003d,0x002fffff,0x3ffea000,
    0xfd53316f,0x000bffff,0x7fffffdc,0x3ffea002,0x8199bfff,0x06fffffc,
    0x700bef98,0x87ffffff,0x99bffffe,0x33109999,0xfffd3333,0xffff907f,
    0x95559dff,0x0005fffd,0x0003fffe,0xffc88000,0x3fffffff,0x00000000,
    0xfffa8000,0xfffffd6f,0x0003ffff,0xffffffc8,0x3fff6002,0x21ffffff,
    0x0efffffc,0xfffff980,0xfffffeee,0xfffe86ff,0xffffffff,0xffffffd3,
    0x207fffff,0xfffffffb,0xffffffff,0xfff88002,0x00000007,0x59bdb951,
    0x00000001,0x3ea00000,0xfffd6fff,0x009fffff,0x3ffff200,0x3fe6006f,
    0x1fffffff,0x1dfffff5,0x3fffe600,0xffffffff,0xffe81fff,0xffffffff,
    0xfffffd3f,0x07ffffff,0x7fffffd4,0xffffffff,0xeee98002,0x00000004,
    0x00000000,0x54000000,0xffd6ffff,0x005fffff,0xefffc800,0x7ff4c000,
    0x361fffff,0x2000efff,0xfffffff9,0x2effffff,0xffffffd0,0x3a7fffff,
    0xffffffff,0x75403fff,0xffffffff,0x00001cff,0x00000000,0x00000000,
    0xf5000000,0x3ffadfff,0x0000ceff,0x001ff900,0x7fffed40,0x0077ec1f,
    0x3ffffa20,0x3fffffff,0x7fffff40,0xd3ffffff,0xffffffff,0x4c007fff,
    0x02acdedb,0x00000000,0x00000000,0x00000000,0x6ffffa80,0x00001355,
    0x00005c00,0x3202aa60,0x32e20000,0x09acdeec,0xaaaaaa80,0x51aaaaaa,
    0x55555555,0x00001555,0x00000000,0x00000000,0x00000000,0x7ffd4000,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x006ffffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffa8000,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x003cccc9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00099999,0x00401310,0x0002aea6,0x4c426666,0x20000000,0x40000099,
    0x00001998,0x4cccc400,0x88000001,0x00019999,0x03333310,0x00000000,
    0x3fe60000,0xb8802fff,0xefffffec,0x980fedbc,0x0dfffffe,0x1dfff900,
    0x2f3bffea,0xddd9001a,0x7ffe441d,0x70003dff,0xdffffffd,0xbddddddd,
    0x3fee0000,0xd5000fff,0x3f6007df,0x00007fff,0x03fffff7,0x76440000,
    0x000001df,0x06ffffc8,0xffffffb8,0xffffffff,0x7fffd40f,0x400fffff,
    0x2a2ffff9,0xffffffff,0x7ffec01d,0xfffff71f,0x400bffff,0xffffffea,
    0xffffffff,0x700006ff,0x001fffff,0x07fffff7,0x0fffffb0,0x3ffee000,
    0x000001ff,0x5fffffd1,0x7c400000,0x2203ffff,0xfffffffd,0xffffffff,
    0x3fffe20f,0x04ffffff,0x2a27fff4,0xffffffff,0xffb01dff,0xffff93ff,
    0xdfffffff,0xffffb801,0xffffffff,0x06ffffff,0xffff7000,0xffff001f,
    0xffb00fff,0x20000fff,0x01fffffb,0xfff90000,0x0001ffff,0x3fffee00,
    0xffff300f,0xffffffff,0x41ffffff,0xd9aefffc,0xf900ffff,0xffa81fff,
    0xffffffff,0xfffd82ff,0xffffffdf,0x4fffffff,0x3ffffe60,0xffffeeff,
    0x06ffffff,0xffff7000,0xfff8801f,0x6c01ffff,0x0007ffff,0x3fffff70,
    0x3fa00000,0x01ffffff,0xfffd0000,0x7fff409f,0xaaacefff,0x0fffffec,
    0xf88bfffa,0xff981fff,0xfffa82ff,0xffffffff,0x7ffec1ff,0xcfffffff,
    0xfffffffe,0xfffffd00,0xfffff905,0x00005559,0x03ffffee,0x3fffffe0,
    0x7ffec00f,0xf700007f,0x0003ffff,0x3ffffe00,0x00002fff,0x1fffffa8,
    0xffffff50,0x7fffdc07,0x03fffe0f,0xfd05fffd,0x26620bff,0xfffffcba,
    0x3f60ffff,0x3effffff,0x7fffffcc,0xfffff883,0x3ffff602,0xfb800005,
    0xd800ffff,0x805fffff,0x007ffffd,0xfffff700,0x36000003,0x0fffffff,
    0xffd80000,0x3ffa06ff,0x7dc02fff,0xff10ffff,0x7fffb0ff,0x00ffffc8,
    0xffffea80,0x3fff65ff,0xf500ffff,0xf50fffff,0xf980dfff,0x0000ffff,
    0x7ffffdc0,0xfffd8800,0xfffd800d,0xf700007f,0x0003ffff,0x3fffe600,
    0x800004ff,0x02fffff8,0x0dfffff7,0x1fffff70,0xd03fffe2,0x7fcc5fff,
    0x220002ff,0x27ffffff,0x1ffffffd,0x7fffffc0,0x2ffffe40,0x3ffffe20,
    0x7dc00001,0x2000ffff,0x3f6001a9,0x00007fff,0x03fffff7,0x7fd40000,
    0x000004ff,0x40fffff9,0x02fffffc,0x0fffffb8,0xff0bfffe,0x7fff43ff,
    0xff980005,0xffb1ffff,0xf9005fff,0xfc83ffff,0x7c405fff,0x0001ffff,
    0xfffb8cc4,0x000000ff,0x03ffffec,0x3fee0013,0x00001fff,0x0000a980,
    0xfffff100,0x7fffec07,0xfffb800f,0x3fffa0ff,0x4ffff90d,0x000ffffb,
    0xffffff00,0x1fffff67,0x7ffffdc0,0x7ffffdc2,0x3fffe600,0x765c4007,
    0xffefffff,0x00000fff,0x37fffec0,0xbffffb71,0x7fffdc07,0x7776401f,
    0x00001eee,0xfff70000,0x7ff401ff,0xff7007ff,0x7fd41fff,0xffffffff,
    0x07ffff33,0x7ffec000,0xffffb3ff,0x3ffee00f,0x7ffcc3ff,0x3ffa03ff,
    0x3ee006ff,0xffffffff,0x20ffffff,0xeeeeeeec,0xd804eeee,0xff36ffff,
    0xbfffffff,0x3ffffee0,0x3fffee01,0x000003ff,0x3fffa000,0x7fffc05f,
    0xfff7006f,0xfffe81ff,0x3a6fffff,0x00005fff,0x97fffff4,0x007ffffd,
    0x09fffff5,0x85fffffd,0x3fffffd8,0xffffe980,0xffffffff,0x3f60ffff,
    0xffffffff,0xffd806ff,0xffffadff,0xefffffff,0x7ffffdc0,0xfffff501,
    0x0000009f,0x7fffcc00,0x3ffe201f,0xff7006ff,0xfd881fff,0x2e5fffff,
    0x0000ffff,0x3ffffe20,0xfffffb1f,0x3fffea00,0xffff983f,0xffffefff,
    0xf8805fff,0xffffffff,0xffffffff,0x3ffff60f,0x6fffffff,0xfffffd80,
    0xffffffff,0x5c4fffff,0x981fffff,0x05ffffff,0x40000000,0x406ffffd,
    0x06fffff8,0x1fffff70,0x86f32e60,0x003ffff8,0x3fff6200,0x3fff67ff,
    0xfff7007f,0x3ffa05ff,0xffffffff,0xd800ffff,0xceffffff,0xfffecaaa,
    0x3fff60ff,0xffffffff,0xffffd806,0xecffffff,0x0fffffff,0x07ffffee,
    0xdfffffd1,0x00000000,0x2fffff88,0x7fffff80,0xfffff700,0x3ffa0001,
    0x5510006f,0xfffff955,0x7ffec5ff,0xfff9007f,0xfff903ff,0xffffffff,
    0xf50019ff,0x407fffff,0x20fffffb,0xfccccccb,0xd806ffff,0xefffffff,
    0x7ffffcc3,0x3fffee3f,0x7ffff41f,0x000000ef,0x7ffe4000,0xfffd007f,
    0x3ff600ff,0xb8000fff,0x0001ffff,0xfffffff5,0xfd8bffff,0xfd007fff,
    0xff50ffff,0xfffb7bff,0x220019bd,0x02ffffff,0x07ffffdc,0x6fffff80,
    0xfffffd80,0xfff500ff,0x7ffdcfff,0x3fff61ff,0x50000fff,0x80000599,
    0x004fffff,0x05fffffb,0xffffffc8,0x7ffc4000,0x3ea0003f,0xffffffff,
    0x7ffec0ef,0xfffa807f,0xfffd86ff,0x2a00000f,0x806fffff,0x00fffffb,
    0x0dfffff0,0xffffffb0,0xfffff803,0xfffff70f,0x3ffffee3,0xffb0001f,
    0x00001bff,0x01fffff5,0x3fffff20,0x3fffee05,0x6c000fff,0x40006fff,
    0xfffffffa,0xfffb03ff,0xfffd00ff,0xffff09ff,0xfc80000f,0xb802ffff,
    0x000fffff,0x00dfffff,0x05fffffb,0x3fffff90,0x27ffffee,0x1ffffffa,
    0xffff5000,0xd0000bff,0x400bffff,0x2ffffff8,0x7ffffdc4,0x2a000fff,
    0x0001ffff,0x7fffffcc,0x3ff600bd,0x3f6207ff,0x440fffff,0x004fffff,
    0x3ffff600,0xfffb800f,0xfff000ff,0xffb00dff,0x3ee00fff,0xff72ffff,
    0xffff5fff,0x640005ff,0x1fffffff,0x3ffe6000,0x7ec001ff,0xcbdfffff,
    0xffffffff,0xff1000ff,0x76dcc7ff,0x7fcc00bd,0xfb000fff,0x1337ffff,
    0xfffffd73,0x3fffa05f,0xccccdeff,0xfe8009aa,0xf7007fff,0x2001ffff,
    0x806fffff,0x007ffffd,0x27fffff7,0xfffffffb,0x0003ffff,0x7fffffec,
    0x3f60004f,0x98006fff,0xffffffff,0xffffffff,0xfb000fff,0x7ffdcdff,
    0x2203ffff,0x2007ffff,0xfffffffd,0xffffffff,0x3ff205ff,0xffffffff,
    0x0cffffff,0x0dfffff0,0x3ffffee0,0xfffff000,0xffffb00d,0x3ffea00f,
    0xffff74ff,0x5fffffff,0xfffb8000,0x0005ffff,0x07fffff1,0x3ffff600,
    0xffffffff,0x00fffffb,0x91ffffa8,0xffffffff,0x3ffe205f,0x3ff6007f,
    0xffffffff,0x0dffffff,0x7ffffe40,0xffffffff,0x7c44ffff,0x7006ffff,
    0x001fffff,0x01bffffe,0x01fffff6,0x9fffffd4,0xfdfffffb,0x001fffff,
    0x7fffff40,0xff90006f,0xc8000fff,0xffffffff,0xffffa9ef,0x7ffc400f,
    0xfffff14f,0x20dffffd,0x007ffff8,0x3ffffff6,0xffffffff,0xfff1002e,
    0xffffffff,0x7fffffff,0x37ffffc4,0xfffffb80,0xfffff000,0xffffb00d,
    0x3ffee00f,0xffff72ff,0xfffffb3f,0x7c40001d,0x005fffff,0x09fffff0,
    0xfffd5000,0x7fd49fff,0x7ec00fff,0x3fff26ff,0x3ffff50d,0x00aaaaa0,
    0xffffffd8,0x3effffff,0x3fffe600,0xeeeeeeff,0xffffffff,0x1fffffe0,
    0x7ffffdc0,0xfffff000,0xffffb00d,0x3fff200f,0xffff71ff,0xfffff13f,
    0xfb8000bf,0x8004ffff,0x00fffffa,0x2ae62000,0xfffffb82,0x3fffea00,
    0xd0bfffa1,0x00005fff,0x1fffffb0,0x00013553,0x1bfffff1,0x7fffd440,
    0x3fffa2ff,0xfffb007f,0x3fe001ff,0xfd806fff,0xfd007fff,0x7fdcffff,
    0xfff31fff,0x40009fff,0x02fffff8,0x5ffffe80,0xb8000000,0x100fffff,
    0xff89ffff,0x7ffec1ff,0xfd800003,0x00007fff,0x03fffff6,0x7ffffd40,
    0x3fffff64,0x7fffe402,0xfff000ff,0xffb00dff,0xff500fff,0x7fdcdfff,
    0x3fee1fff,0x0002ffff,0x03fffff3,0xfffff980,0x80000002,0x00fffffb,
    0x441dfff9,0x7e40ffff,0xbfb504ff,0x7ffec003,0x3e00007f,0x2005ffff,
    0x23fffff9,0x05fffffc,0x3fffffee,0xffff000f,0xfffb00df,0xfffd00ff,
    0x7ffdc9ff,0x7ffec1ff,0xd8001fff,0x8004ffff,0x006ffffd,0xff700000,
    0xff501fff,0xffff05ff,0x83fffd83,0x02fffffb,0x0fffffb0,0x3ffe2000,
    0x3ee005ff,0x3e22ffff,0x442fffff,0xfffffffb,0xffff000f,0xfffb00df,
    0x7fec40ff,0x3ee0ffff,0x7c41ffff,0x00ffffff,0xdffffb10,0xffff1000,
    0x0000007f,0x3ffffee0,0x27fff440,0x7c3fffe8,0x7fc41fff,0xb007ffff,
    0x000fffff,0x7fffffc0,0xffffa801,0x7ffec0ff,0xffcbdfff,0xffffffff,
    0xfffff000,0xffffb00d,0xd731337f,0x85ffffff,0x81fffffb,0x6ffffffa,
    0xfffd9950,0x70003fff,0x001fffff,0x3ee00000,0x7e40ffff,0xff900fff,
    0xfffd57ff,0xfffff30d,0xffb003ff,0x40000fff,0xdffffffd,0xfeba99ac,
    0x983fffff,0xffffffff,0xffffffff,0x55530fff,0xffff5555,0x555555df,
    0x3fffff63,0xffffffff,0xfb85ffff,0xf901ffff,0xb09fffff,0xdfffffff,
    0x3ffe0003,0x000004ff,0x3fffee00,0x3fffe60f,0x3fffe202,0x82ffffff,
    0xfffffff9,0xffffd800,0x3e600007,0xffffffff,0xffffffff,0x3ff604ff,
    0xffffffff,0xffffe9ff,0xffffff90,0xffffffff,0x369fffff,0xffffffff,
    0xffffffff,0xffffb80d,0x3fffa01f,0x7fec3fff,0x0003ffff,0x07ffffea,
    0xb8000000,0x3a0fffff,0xfb805fff,0x5fffffff,0x3fffffa0,0xffffb006,
    0xf980000f,0xffffffff,0xffffffff,0xffffc804,0xd1efffff,0x3f21ffff,
    0xffffffff,0xffffffff,0xffffb4ff,0xffffffff,0x7dc05dff,0x2201ffff,
    0x1fffffff,0x02f3bff6,0xffffd000,0x0000000b,0x0fffffb8,0x001ffff9,
    0x3fffffaa,0x7fff4402,0xfffb000e,0x100000ff,0xffffffd7,0x17ffffff,
    0x7fff5400,0x7fec4fff,0xffff90ff,0xffffffff,0x9fffffff,0x7fffedcc,
    0x03efffff,0x1fffffb8,0x7ffffd40,0x000010ff,0x5fffff30,0x80000000,
    0x00aaaaa9,0x02aa2000,0x80057500,0x002aaaa9,0x6654c000,0x01abcded,
    0x0d5cc400,0x7fffe400,0xffffffff,0x4fffffff,0x26aa6620,0x00000000,
    0xc8000000,0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffc400,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00fffffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ff40000,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00199998,0x33333100,0x01333333,
    0xdd973000,0x26000579,0x005eeeee,0x4eeeee98,0xba988000,0x00009aac,
    0x80000031,0x00000000,0x00800000,0x00010000,0x0fffffb0,0x3fff6000,
    0xffffffff,0x3fa20006,0xdfffffff,0xffff8001,0x7ec002ff,0x0002ffff,
    0x3fffffa6,0x8804ffff,0x0004feca,0x3ffb2a20,0x0000acdf,0x3ff72a60,
    0x001bdeff,0x7ff6dd4c,0x001bdeff,0x3fff6ea2,0x6c000acd,0x0007ffff,
    0xffffffb0,0x00dfffff,0x3ffffee0,0x2fffffff,0x7fffdc00,0x3fe2005f,
    0x30007fff,0xfffffffb,0x9809ffff,0x004fffff,0xfffff700,0x07ffffff,
    0xffffb800,0xffffffff,0xffe9803f,0xffffffff,0x5400ffff,0xffffffff,
    0x36001fff,0x0007ffff,0xffffffb0,0x00dfffff,0xffffff30,0xffffffff,
    0x7ffc4003,0xf5000fff,0x0009ffff,0xffffffd1,0x09ffffff,0x4fffff98,
    0x7fec4000,0xffffffff,0x88005fff,0xfffffffd,0x3fffffff,0x7ffffdc0,
    0xffffffff,0x3f200fff,0xffffffff,0xb003ffff,0x000fffff,0x3fffff60,
    0x06ffffff,0xfffffe80,0xfffffccd,0x7fec006f,0xfb003fff,0x0003ffff,
    0xfffffff9,0x09ffffff,0x4fffff98,0x3ffe6000,0xffffffff,0x00efffff,
    0xffffff50,0xffffffff,0x3fa607ff,0xffffffff,0xffffffff,0xffffd880,
    0xffffffff,0xfd805fff,0x00007fff,0xf5555555,0x800dffff,0x42fffffb,
    0x0fffffe8,0x3fffea00,0xfff8806f,0xfa8006ff,0x09dfffff,0xf300ae66,
    0x0009ffff,0x7ffffff4,0xffffffff,0xfa805fff,0xffffffff,0xffffffff,
    0xfffff983,0xffffffff,0x80ffffff,0xfffffffd,0xffffffcd,0x7fec02ff,
    0x000007ff,0x06fffff8,0x2ffffe40,0x2fffff98,0x7ffffc00,0x7ffdc01f,
    0xfc8003ff,0x0004ffff,0x4fffff98,0xffff7000,0x95137bff,0x3fffffff,
    0xffffff80,0x5331bcff,0xffb07ffb,0x57bfffff,0x3ff2aa61,0x7fffcc0f,
    0xffea83ff,0x7ec06fff,0x00007fff,0x6fffff80,0x7ffff400,0x3ffffe03,
    0x7ffe4002,0x7ff404ff,0xd8000fff,0x000fffff,0xfffff980,0xfff88004,
    0x3e604fff,0x205fffff,0xeffffffb,0x542a8800,0x2fffffff,0xfb032a00,
    0x4407ffff,0x02ffffff,0x01fffff6,0x3ffe0000,0x7fc006ff,0xff103fff,
    0x88003fff,0x207fffff,0x04fffff9,0xbfffff00,0xeeeeb800,0xffffffee,
    0xeeeeeeee,0x7ffffdc5,0xffff9805,0xfff880ff,0x80005fff,0x0efffffe,
    0xfff88000,0xffb805ff,0x3f606fff,0x33307fff,0xffff0000,0xffe800df,
    0xfff505ff,0xfb0001ff,0x3205ffff,0x001fffff,0x4fffff88,0x7fffe400,
    0xffffffff,0xffffffff,0x3ffffe26,0xfffb000f,0xfff909ff,0x70000fff,
    0x01ffffff,0x3fff2000,0xffd001ff,0x3f603fff,0x3f226fff,0x002effff,
    0x0dfffff0,0xfffffc80,0x7ffffc40,0xfff50006,0x3ffe0bff,0xf30006ff,
    0x8009ffff,0xfffffffc,0xffffffff,0x2a6fffff,0x006fffff,0x1bffffee,
    0x7ffffff1,0xffff0000,0x40000bff,0x006fffff,0x7fffffd3,0x5bffff60,
    0xfffffffa,0xff8004ff,0x54006fff,0x224fffff,0x01fffffe,0x3ffffe00,
    0x7fffcc0f,0xff30003f,0xc8009fff,0xffffffff,0xffffffff,0x3f26ffff,
    0x2003ffff,0x47fffff8,0x0ffffff9,0x7ffc4000,0x00001fff,0x09fffff1,
    0xffffff70,0x3fff60bf,0xfffffbdf,0x04ffffff,0x37ffffc0,0x7ffff400,
    0xfffffbaf,0x7e40003f,0x7e42ffff,0x0000ffff,0x09fffff3,0xccccca80,
    0xcefffffd,0x3ccccccc,0x07fffff6,0xfffffd00,0x5fffffa8,0xfff98000,
    0x200005ff,0x02fffff9,0x3fffff62,0xffb06fff,0xffffffff,0xffffffff,
    0x7fffc001,0xff98006f,0xffffffff,0x980003ff,0x225fffff,0x805fffff,
    0xfbaaaaaa,0xaaadffff,0x802aaaaa,0x04fffff9,0x7fffffc0,0x7fff4001,
    0x3ffee0ff,0xa80004ff,0x004fffff,0x3fffea00,0xffff301f,0x0fffffff,
    0x3ffffff6,0xfffdffff,0x2004ffff,0x006fffff,0xffffff90,0x0005ffff,
    0x7ffffec0,0x5fffff50,0xfffff880,0xffffffff,0xffffffff,0xffff9806,
    0x7ffc004f,0x6c000fff,0x361fffff,0x003fffff,0xfffffb80,0xddddd703,
    0x2e1ddddd,0xc81fffff,0xffffffff,0xffb07fff,0x87dfffff,0x06fffffb,
    0x1bffffe0,0x7fffc400,0x000cffff,0x7fffd400,0xdffffb3f,0xfffff100,
    0xffffffff,0xffffffff,0xffff300d,0xfff8009f,0xfd8007ff,0x3fa2ffff,
    0x0002ffff,0x2fffffc8,0xffffff90,0x3f23ffff,0x3a20ffff,0xddffffff,
    0xd80fffff,0x0fffffff,0x0ffffff0,0x37ffffc0,0x7ffec400,0x0004ffff,
    0x3ffffe00,0x3fffff8e,0xfffff880,0xffffffff,0xffffffff,0xffff9806,
    0x3fe2004f,0xc8007fff,0x3e3fffff,0x001fffff,0xfffffd80,0xfffff901,
    0x363fffff,0x3ea7ffff,0x93ffffff,0xb01fffff,0x03ffffff,0x07ffffec,
    0x6fffff80,0x7fff4400,0x82ffffff,0x002ffffe,0x67ffffe4,0x800fffff,
    0xfffffff8,0xffffffff,0x06ffffff,0x4fffff98,0x7ffffc00,0xfffc8007,
    0x3fffe3ff,0xe80002ff,0x901fffff,0xffffffff,0x3fff63ff,0xfffffb7f,
    0x7ffec3df,0xffffb07f,0xfffc805f,0xfff000ff,0x74400dff,0xffffffff,
    0x7ff41fff,0x7cc001ff,0xffffffff,0xf980005f,0x0004ffff,0x9fffff30,
    0xfffff800,0x7fec000f,0x3ffa2fff,0x80003fff,0x02fffffd,0xfffffff9,
    0x3ff23fff,0xffffefff,0xfffd84ff,0xffffb06f,0xffff700f,0x3ffe001f,
    0x3f6006ff,0xffdcffff,0x3fe0efff,0xe8001fff,0xffffffff,0xf980002f,
    0x0004ffff,0x9fffff30,0xffffe800,0x7fec000f,0x3ff62fff,0x80003fff,
    0x03fffffc,0x3ffffee0,0xffffff91,0x205fffff,0xb06ffffe,0x700fffff,
    0x001fffff,0x01bffffe,0x2fffffcc,0x4bfffffd,0x000fffff,0xffffffa8,
    0x300007ff,0x009fffff,0x3fffe600,0x7fec004f,0x74001fff,0x321fffff,
    0x004fffff,0xfffffb80,0x3ffee004,0xffff71ff,0x01bfffff,0x82fffffc,
    0x807ffffd,0x00fffffb,0x0dfffff0,0x3fffff60,0x3ffffe20,0x7ffff9cf,
    0x3fffe000,0x0003ffff,0x9fffff30,0x3fe60000,0x64004fff,0x002fffff,
    0x23fffffc,0x06fffffb,0xffff9800,0x3fee006f,0xfff51fff,0x807fffff,
    0x04fffff8,0x00fffffb,0x01fffff7,0x1bffffe0,0x2fffffc0,0x7fffffcc,
    0x006ffffd,0x3fffff20,0x300000ff,0x009fffff,0x3fffe600,0x7fdc004f,
    0x26005fff,0x546fffff,0x02ffffff,0x7fffc400,0xff7001ff,0x3fe23fff,
    0x801effff,0x03fffffa,0x00fffffb,0x01fffff7,0x1bffffe0,0x3ffffe20,
    0xfffff703,0x007fffff,0x7ffffcc0,0x2600004f,0x004fffff,0xfffff300,
    0xfffa8009,0x3f2007ff,0x7cc4ffff,0x005fffff,0xffffff80,0xffff7004,
    0x7ffffc3f,0xfffb000f,0x3ff603ff,0xffb807ff,0xff000fff,0xf300dfff,
    0x6407ffff,0xffffffff,0x3e60000f,0x000fffff,0x3fffe600,0xf100004f,
    0x000dffff,0x05fffffd,0xffffff10,0xfffffb01,0xfc80005f,0x800fffff,
    0x21fffffb,0x04fffffc,0x5fffff88,0x1fffff60,0x3ffffee0,0xfffff000,
    0xffff100d,0xfffe809f,0x0004ffff,0x27ffffec,0x3fe60000,0x00004fff,
    0x03fffffe,0xfffff700,0xfffe803f,0xfff304ff,0x4007ffff,0x3fffe218,
    0x7dc01fff,0x3e21ffff,0x401fffff,0x01fffffd,0x01fffff6,0x03ffffee,
    0x37ffffc0,0x6fffff80,0x7ffffc40,0x2a0001ff,0x00ffffff,0x7ffcc000,
    0x200004ff,0x03fffffe,0x7ffffc40,0x7ecc0aff,0x200fffff,0xfffffffd,
    0xfdb880ad,0x7ffffd43,0xff701bff,0xffc83fff,0xfb00efff,0xd80bffff,
    0xb807ffff,0x000fffff,0x00dfffff,0x13fffff6,0xffffff90,0x3fe60007,
    0x0003ffff,0xfffff980,0x3f600004,0x11bfffff,0xff909733,0xbdffffff,
    0xffffffff,0xffff8807,0xefffffff,0x83fffffe,0xfffffffe,0xffecceff,
    0x7c41ffff,0xadffffff,0xfffffeb9,0x7ffec02f,0xfffb807f,0xfff000ff,
    0x3ee00dff,0x9aefffff,0xffffeb98,0x0202ffff,0xffffff93,0x2600000b,
    0x004fffff,0x3fffea00,0xffffffff,0xfffe886f,0xffffffff,0x006fffff,
    0xfffffff7,0xffffffff,0xfff307ff,0xffffffff,0xffffffff,0xfffff903,
    0xffffffff,0xfb009fff,0xf700ffff,0x2a61ffff,0xffaaaaaa,0xaaaaefff,
    0x7ffec1aa,0xffffffff,0xffffffff,0xfffb01ff,0xdfffffff,0x26000001,
    0x004fffff,0x7fffec00,0xffffffff,0xffffb106,0xffffffff,0x4c001bff,
    0xfffffffe,0xffffffff,0xffffb103,0xffffffff,0x203fffff,0xfffffffc,
    0x3fffffff,0xfffffb00,0xfffff700,0x3fffff21,0xffffffff,0x44ffffff,
    0xfffffff8,0xffffffff,0x0effffff,0xffffffd8,0x0001ffff,0x3fffe600,
    0x4400004f,0xfffffffe,0x6406ffff,0xffffffff,0x0002ffff,0x3ffffff2,
    0xffffffff,0x7fffdc03,0xffffffff,0x2a00efff,0xffffffff,0x2001ffff,
    0x807ffffd,0x90fffffb,0xffffffff,0xffffffff,0xfb309fff,0xffffffff,
    0xffd19fff,0xffb0bfff,0x1bffffff,0xf9800000,0x0004ffff,0xffffd500,
    0x00bfffff,0xfffffdb5,0x00001bdf,0xfffffb93,0x0017bfff,0x3ffffb22,
    0x1befffff,0xfffdb100,0x0019bfff,0x07ffffd8,0x0fffffb8,0xfffffff9,
    0xffffffff,0x5409ffff,0xfffffffe,0x3ffe20df,0x7fec4fff,0x002fffff,
    0xfff30000,0x000009ff,0xaabba988,0x77310001,0x10000003,0x00013553,
    0x26aeea20,0x4c400009,0x6c0001ab,0xb807ffff,0xf90fffff,0xffffffff,
    0xffffffff,0x2a6009ff,0x800009bb,0x01acdeeb,0x7cc00000,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000988,0x00000040,0x99970006,0x99999999,0x00799999,0x65d54c40,
    0x040004cc,0x00100000,0x99999970,0x99999999,0x33332199,0x3326003c,
    0x99911ccc,0x99999999,0x99999999,0x33325999,0xbccccccc,0x7300009a,
    0xdfffffdb,0x2a00017b,0xeefffedc,0xcb98001c,0xeffffffe,0xfffd80bc,
    0xffffffff,0x006fffff,0x7ffff5c4,0x4007ffff,0xdefffdca,0xb730001c,
    0x039bdffd,0xffffffd8,0xffffffff,0xfffff1ff,0x7ffd400d,0xffff12ff,
    0xffffffff,0xffffffff,0x3fffe7ff,0xffffffff,0x3a002eff,0xffffffff,
    0x00cfffff,0xfffffd30,0x3bffffff,0xffff9100,0xffffffff,0xffffb09f,
    0xffffffff,0x200dffff,0xffffffd9,0x007fffff,0xffffffd3,0x0019ffff,
    0x3fffffee,0x00cfffff,0xfffffffb,0xffffffff,0x3ffffe3f,0x3ffea006,
    0xffff12ff,0xffffffff,0xffffffff,0x3fffe7ff,0xffffffff,0x801fffff,
    0xffffffff,0xffffffff,0x7fffe400,0xffffffff,0x3f202fff,0xffffffff,
    0x84ffffff,0xfffffffd,0xffffffff,0xfffa806f,0xffffffff,0x7ec407ff,
    0xffffffff,0x202fffff,0xffffffd8,0xffffffff,0xfffffd81,0xffffffff,
    0xffff1fff,0x7fd400df,0xfff12fff,0xffffffff,0xffffffff,0x3ffe7fff,
    0xffffffff,0x0fffffff,0x7fffffc0,0xffffffff,0x3fea06ff,0xffffffff,
    0x1fffffff,0xffffffa8,0xffffffff,0xfffd84ff,0xffffffff,0x406fffff,
    0xfffffffb,0x7fffffff,0x7ffffec0,0xffffffff,0xffb80fff,0xffffffff,
    0x86ffffff,0xfffffffd,0xffffffff,0xdfffff1f,0x7fffd400,0xfffff12f,
    0xffffffff,0xffffffff,0x3ffffe7f,0xffffffff,0x00efffff,0x37bffffe,
    0xfffffeec,0xfff884ff,0xcabdefff,0x5ffffffd,0x7fffffc4,0xffeeefff,
    0xffd84fff,0xeeeeeeff,0x05eeeeee,0x3fffffee,0x999abcef,0x3ffee019,
    0xfedeffff,0x84ffffff,0xfffffffc,0xffffffff,0x4ccc44ff,0xd9999999,
    0xff1fffff,0x5400dfff,0x262fffff,0xe9999999,0x99afffff,0xff099999,
    0x3333dfff,0xffffffb5,0x0566c05f,0xfffffd50,0xfffff70d,0x7fffc405,
    0x7fffec7f,0x73101cff,0xffffb09b,0x3e200009,0x02efffff,0x3fffe600,
    0x7e440dff,0xe81fffff,0x30acffff,0xfffffff9,0x3ff20001,0xffff1fff,
    0x7fd400df,0x36002fff,0x000fffff,0x40bfffff,0x4ffffff8,0xfff30000,
    0xfffb0fff,0xfff900df,0x7fffc3ff,0xd80002ff,0x0004ffff,0xbfffff90,
    0xfff90000,0xffc80bff,0xff885fff,0x3ffea00d,0x90001fff,0x3e3fffff,
    0x2006ffff,0x02fffffa,0x3fffff60,0xfffff000,0xffffa80b,0x3a00006f,
    0x741fffff,0x9804ffff,0xf11fffff,0x000fffff,0x13ffff60,0x3ffe6000,
    0x80000fff,0x00fffffe,0x7fffffc4,0xfd002a80,0x0007ffff,0x47fffff2,
    0x006fffff,0x0bffffea,0xfffffd80,0xfffff000,0xffff880b,0x3600007f,
    0x740fffff,0xa806ffff,0xf50fffff,0x000fffff,0x13ffff60,0x3ffee000,
    0xf00002ff,0x200dffff,0x02fffffd,0x7fffe400,0xff90004f,0x3ffe3fff,
    0x3ea006ff,0x2002ffff,0x00fffffd,0x0bfffff0,0x0ffffff0,0x7fff4000,
    0xffffd87f,0x7ffec02f,0x3fffe67f,0xd80002ff,0x0004ffff,0x0fffffd8,
    0xfff98000,0xff7005ff,0x80009fff,0x04fffffb,0xfffff900,0x1bffffe3,
    0xfffffa80,0x3fff6002,0xfff000ff,0xff980bff,0x00006fff,0x0bfffff1,
    0x3ffffff7,0x3ffffee0,0x3ffffe23,0x6c0002ff,0x0004ffff,0x06fffff8,
    0xffff3000,0x3fea00bf,0x40005fff,0x03fffffc,0xfffff900,0x1bffffe3,
    0xfffffa80,0x3fff6002,0xfff000ff,0xffc80bff,0x80004fff,0x1fffffe8,
    0xffffff88,0x3fff20cf,0xfffe86ff,0x002dffff,0xffffffb0,0x0179ddff,
    0xcfffff98,0xefffedb8,0x3fe200bc,0xf3006fff,0x000dffff,0x2fffffe8,
    0xffff9000,0x3ffffe3f,0x3ffea006,0x3f6002ff,0xf000ffff,0x5c0bffff,
    0x01ffffff,0xfff93300,0x7d405fff,0xcfffffff,0x0ffffffe,0xffffffb8,
    0x000befff,0x3ffffff6,0xdfffffff,0xfffff501,0xffffffff,0x7407ffff,
    0x801fffff,0x06fffff9,0x3fffe600,0xf90000ff,0x3fe3ffff,0x2a006fff,
    0x002fffff,0x03fffff6,0x77ffffc0,0xffeba999,0x2004ffff,0xffffffff,
    0xb800efff,0xffffffff,0x01efffff,0x3ffffff6,0x02dfffff,0xffffffd8,
    0xffffffff,0xffffb83f,0xffffffff,0x0effffff,0xefffffd8,0x3fff2200,
    0x320006ff,0x004fffff,0x3fffff20,0x0dfffff1,0x7ffffd40,0x3fff6002,
    0xfff000ff,0xffffffff,0x09ffffff,0xffffff80,0x000effff,0x3fffffea,
    0x805fffff,0xffffffe8,0x2effffff,0x3fffff60,0xffffffff,0x7fdc3fff,
    0xffffffff,0xffffffff,0xffffb85f,0xba9acfff,0xfffffffd,0xfff50006,
    0x40001fff,0xf1fffffc,0x400dffff,0x02fffffa,0x3fffff60,0xfffff000,
    0xffffffff,0xf0005dff,0xffffffff,0x2003bfff,0xfffffff9,0x9003ffff,
    0xffffffff,0x209fffff,0xeccccccb,0xfffffffe,0x3fff22ff,0xceffffff,
    0xfffffffe,0xffffe82f,0xffffffff,0x5fffffff,0xffff8800,0x640004ff,
    0xff1fffff,0x5400dfff,0x002fffff,0x03fffff6,0x7fffffc0,0xefffffff,
    0x3ffe0000,0xffffffff,0x7d403fff,0xffffffff,0x3005ffff,0xfffffffb,
    0x00bfffff,0x7fffed40,0x3fff25ff,0xf501cfff,0x10ffffff,0xffffffff,
    0xffffffff,0x8800bfff,0x06fffffe,0xffffc800,0xdfffff1f,0x7fffd400,
    0x3ff6002f,0xff000fff,0xffffffff,0x003dffff,0x32eaaaa0,0xfffffffc,
    0xffff903f,0xfffffdff,0x4400bfff,0xfffffffc,0x0003ffff,0x3fffffec,
    0x07fffff9,0xffffff30,0xffffd301,0xffffffff,0x009fffff,0xffffffd8,
    0xffc80000,0xffff1fff,0x7fd400df,0x36002fff,0x000fffff,0x75dfffff,
    0xdffffffb,0x3aa00000,0x40ffffff,0x2ffffffc,0xffffffb3,0xfb30009f,
    0xffffffff,0xfff80001,0xfff71fff,0x3f6007ff,0x2a01ffff,0xfffffffe,
    0xfffffbbe,0x3fff6003,0x00001fff,0x23fffff9,0x006fffff,0x0bffffea,
    0xfffffd80,0xfffff000,0xfffff98b,0x1000004f,0x47fffffd,0x0efffff9,
    0xffffffa8,0xfb10000f,0x07ffffff,0xffffd800,0xfffff52f,0x3ffee009,
    0x553003ff,0x7ffdc135,0xffb002ff,0x0005ffff,0x7ffffe40,0x0dfffff1,
    0x7ffffdc0,0x3fff6001,0xfff000ff,0xfff50bff,0x00003fff,0x3ffffee0,
    0x3fffffa5,0x3fffe200,0x5c0004ff,0x04ffffff,0x7fffe400,0xfffff33f,
    0x3ffea009,0xb00003ff,0x003fffff,0x5ffffff9,0xffd80000,0xfffd1fff,
    0x7fe400df,0x36000fff,0x000fffff,0x20bfffff,0x05fffffd,0xfff30000,
    0x3ffe6dff,0xffa804ff,0x80005fff,0x06fffffe,0x7fffec00,0xfffff11f,
    0x3ffee00d,0xf00002ff,0x900dffff,0x05ffffff,0xfffd0000,0x3fff61ff,
    0x3ff2007f,0x7ec007ff,0xf000ffff,0x260bffff,0x00ffffff,0xfff98000,
    0xffff55ff,0x3ffe005f,0xb80006ff,0x005fffff,0x3fffffc0,0x07fffffe,
    0x3fffff60,0xffb80000,0x7e403fff,0x002fffff,0xfffff000,0x7ffffe4f,
    0xffffd001,0xfffd800b,0xfff000ff,0x7ff40bff,0x00004fff,0x3fffffb8,
    0x03fffff7,0x1bffffa0,0x3fff2000,0x360003ff,0x6c6fffff,0x404fffff,
    0x07fffff9,0xffff9800,0x3ff200ff,0x4001ffff,0xffff9002,0x7fffdcbf,
    0xfffa805f,0x7ec004ff,0xf000ffff,0x540bffff,0x00ffffff,0x3ffe6000,
    0xfff72fff,0x3fe005ff,0x00034fff,0x3fffffa2,0xffd98001,0x7cc3ffff,
    0x103fffff,0x0bfffffd,0xffffa800,0x3ff205ff,0x8001ffff,0x3fea01df,
    0x3e64ffff,0x203fffff,0x1fffffe9,0x7fffec00,0xffff000f,0xffff80bf,
    0x500004ff,0x1ffffffd,0x3bffffe6,0x7fffe400,0x017bfb3f,0xfffffd50,
    0x2f37ea1f,0xffdcbaaa,0xb05fffff,0x7bffffff,0xfffff955,0x4c4001ff,
    0xffffffb9,0xfff900ef,0x33335fff,0x13333333,0x2af3bffe,0xffffffdb,
    0x7fffe40f,0xca9abdff,0x04ffffff,0xfffffd80,0xfffff000,0xffffb80b,
    0xbced80ff,0xfccaaaaa,0x2fffffff,0x7ffffffc,0xffb510bd,0x3f63ffff,
    0xccdeffff,0xfffffeec,0x3ffea4ff,0xffffffff,0x206fffff,0xfffffff9,
    0xffffffff,0xddd501ff,0xfffffffd,0x201fffff,0xfffffffc,0xffffffff,
    0xfff6ffff,0xffffffff,0xf105ffff,0xffffffff,0xffffffff,0x3ff6000d,
    0xff000fff,0xf880bfff,0xd83fffff,0xffffffff,0xffffffff,0xffffb84f,
    0xffffffff,0x23ffffff,0xfffffffd,0xffffffff,0x7fd45fff,0xffffffff,
    0x00efffff,0x7fffffd4,0xffffffff,0x3ffee03f,0xffffffff,0x3e01ffff,
    0xffffffff,0xffffffff,0xffff6fff,0xffffffff,0x7fdc0bff,0xffffffff,
    0x01ffffff,0xfffffb00,0x3fffe001,0xfffc805f,0x7fec0fff,0xffffffff,
    0x05ffffff,0x3ffffff2,0xffffffff,0x7ffec4ff,0xffffffff,0x0effffff,
    0x7fffffd4,0xefffffff,0x3ffa6002,0xffffffff,0x7fdc01ef,0xffffffff,
    0x7c00cfff,0xffffffff,0xffffffff,0xffff6fff,0xffffffff,0xffd3007f,
    0xffffffff,0x40001bff,0x00fffffd,0x0bfffff0,0xffffff30,0xfffffd87,
    0xffffffff,0xffc801df,0xffffffff,0xfd83ffff,0xffffffff,0xcfffffff,
    0xfffffa80,0x1defffff,0x3ffb2000,0x03efffff,0xffffff70,0x03bfffff,
    0x3fffffe0,0xffffffff,0x16ffffff,0xffffffd7,0xb80019df,0xfffffffe,
    0xd80002df,0x000fffff,0x00bfffff,0x1ffffff6,0xfffffffb,0x019dffff,
    0xffffc880,0x03efffff,0x3ffff726,0xefffffff,0xaa99800b,0x000009aa,
    0x00357530,0xdfffff70,0xf00037bd,0xffffffff,0xffffffff,0x2a60dfff,
    0x200001aa,0x0009bba9,0x00000000,0x53300000,0x00335555,0xbba98800,
    0xa980009a,0x019acbaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x003cccc8,0x8b333220,
    0x02cccccc,0x333332a0,0x66666544,0xccc88003,0x3332e4cc,0x97001ccc,
    0x664c3999,0x6400cccc,0x5c3ccccc,0x002ccccc,0x19999970,0x00f33332,
    0x33333322,0x333332e3,0x09abcccc,0x33333200,0xcccccccc,0x3ccccccc,
    0x00999997,0x46666654,0x006ffff8,0x93fffe60,0x0ffffffc,0xfffff880,
    0x7fffcc4f,0x7e4000ff,0x3f63ffff,0x005fffff,0x5c5ffffd,0x02ffffff,
    0x3fffffe2,0x7ffffe46,0xfff88006,0x3fffe7ff,0xfffd806f,0x3ffa1fff,
    0xffffffff,0x4402efff,0xffffffff,0xffffffff,0xffb5ffff,0x7e400fff,
    0xff88ffff,0x2a0007ff,0x3e23ffff,0x804fffff,0x0ffffffc,0x4fffffd8,
    0x3fffe200,0x3fff60ff,0xe801ffff,0x3ee2ffff,0x205fffff,0x6ffffffb,
    0x7fffffd4,0x7ffd4000,0x3fffe5ff,0x7ffd406f,0x7ff43fff,0xffffffff,
    0x03ffffff,0xfffffff1,0xffffffff,0x36bfffff,0x2007ffff,0xf0fffffc,
    0x4000ffff,0x5c3ffffa,0x00ffffff,0x3fffffe2,0xfffff303,0x3ff2001f,
    0x7fec3fff,0x805fffff,0x322ffffe,0x07ffffff,0x3ffffff6,0xffffff87,
    0x7ffe4002,0x3fffe3ff,0x3ffe206f,0xffe85fff,0xffffffff,0x5fffffff,
    0xffffff88,0xffffffff,0xb5ffffff,0x400fffff,0xf0fffffc,0x4000ffff,
    0xe82ffffa,0x205fffff,0x07fffffc,0x27ffffec,0x7ffffc40,0xfffffd87,
    0x7f400fff,0x3ff22fff,0x882fffff,0x7fffffff,0x5fffffd8,0x7ffff400,
    0x3ffffe0f,0x3ffff206,0xfffe80ff,0xffffffff,0x3fffffff,0x7fffffc4,
    0xffffffff,0xb5ffffff,0x400fffff,0xf0fffffc,0x4000ffff,0xa82ffffa,
    0x81ffffff,0x3ffffff8,0x7ffffcc0,0x7ffe400f,0xfffd83ff,0x404fffff,
    0x362ffffe,0x4fffffff,0xffffffa8,0xffffb87f,0x3fe6007f,0x7ffc6fff,
    0xfff306ff,0x3fa05fff,0x9999ffff,0xfffffeba,0x666641ff,0xcccccccc,
    0xffffffec,0x0fffffb3,0x7ffffe40,0x00ffffd0,0x0ffffdc0,0x5fffffe8,
    0x6fffffc8,0xfffffb00,0x7fffc407,0xffffb07f,0x401fffff,0x362ffffe,
    0x7fffffff,0xffffffd8,0x7ffc40ff,0xf7001fff,0xff87ffff,0xffd06fff,
    0x7f409fff,0x7dc07fff,0x005fffff,0x7ffffc40,0x3ffff65f,0x3fff2007,
    0xffffd0ff,0x3fee0001,0xfff301ff,0x7fc43fff,0x3002ffff,0x40ffffff,
    0x03fffffc,0xfffffffb,0x7ff407ff,0x3fff62ff,0x7c1ffffd,0xffffdfff,
    0xfffffe80,0xffffb003,0xfffff83f,0xfffffc86,0x3fffa00e,0xfffc807f,
    0x6c0006ff,0x20ffffff,0x007ffffd,0x43fffff2,0x000ffffd,0x03ffff70,
    0x2fffffec,0x0bfffff9,0xfffffd80,0xfffff883,0x3ffff607,0x207fffff,
    0x3a2ffffe,0xfffecfff,0x2ffffea4,0xfb81ffff,0xf006ffff,0xff0fffff,
    0xff98dfff,0x7401ffff,0xf007ffff,0x001fffff,0x3ffffee0,0x7fffec2f,
    0x3fff2007,0xffffb0ff,0x01555301,0x401ffff9,0x9ffffff9,0x1ffffff8,
    0x7fffcc00,0xffffc87f,0x3fff603f,0x2fffffdf,0x45ffffd0,0xffccfffe,
    0x33fff66f,0x981ffffb,0x00ffffff,0x27ffffd4,0x237ffffc,0x03fffffe,
    0x07ffffe8,0x3fffffd0,0xffff1000,0xfffb0bff,0x7fe400ff,0xfffb0fff,
    0x5fffb03f,0x01ffff90,0xdfffffc8,0x05fffffc,0xfffffb00,0x7ffffc45,
    0x7fffec06,0x06ffffeb,0x7c5ffffd,0xfffacfff,0x53ffff0f,0x3e03ffff,
    0x402fffff,0x82fffffc,0x326fffff,0x006fffff,0x00fffffd,0x0bfffff2,
    0x3ffff600,0xfffd80ff,0x3ff2007f,0xfff90fff,0xbffff03f,0x00ffff90,
    0xfffffff1,0x001fffff,0x3ffffe60,0x3ffffee6,0x7fffec03,0x2fffffab,
    0x22ffffe8,0xff8bffff,0x7fff9aff,0x205ffff5,0x04fffffc,0x83fffff4,
    0xf36fffff,0x001fffff,0x01fffffa,0x07ffffec,0x3fffee00,0xfffb02ff,
    0x7fe400ff,0xfff90fff,0xffffa83f,0x07fffc87,0xffffff70,0x0009ffff,
    0x2fffffd8,0x00dffffd,0x3e7ffffb,0xfe85ffff,0x3ffe2fff,0x79fffb3f,
    0x3fea9fff,0xfff502ff,0x7fc40dff,0xfff05fff,0x3fffadff,0x3fa002ff,
    0xff007fff,0x8800ffff,0x05ffffff,0x2bfffff6,0xaaaaaaaa,0x0fffffda,
    0xc83ffff7,0x6c2fffff,0x3e007fff,0xffffffff,0x7cc0000f,0xffadffff,
    0xfd803fff,0xfff73fff,0xfffe83ff,0x7ffff12f,0x3fbbffee,0xffff52ff,
    0x7ffffc07,0xffff701f,0x3fffe05f,0xfffffbef,0x7fff4005,0xfffa807f,
    0x7ec006ff,0x200fffff,0xfffffffd,0xffffffff,0x70ffffff,0xff85ffff,
    0x7ec4ffff,0x3ea006ff,0x3fffffff,0xfffb0000,0xdffffdff,0x3ffff600,
    0xbfffff13,0x12ffffe8,0x3e27ffff,0x27ffffff,0x203ffff9,0x03fffffd,
    0x01fffffb,0x3ffffffe,0x000effff,0x03fffff4,0x3fffffe2,0x3ffee004,
    0x7ec02fff,0xffffffff,0xffffffff,0xff50ffff,0x7ffcc5ff,0x7fec7fff,
    0x3fe2006f,0x01ffffff,0xffff3000,0x05ffffff,0x8fffff60,0x20fffffc,
    0xf12ffffe,0x7ff45fff,0x3e65ffff,0x3ea03fff,0xff05ffff,0x7fc0dfff,
    0xffffffff,0xffe8006f,0x3fee07ff,0x000effff,0x9ffffff1,0xfffffb00,
    0xffffffff,0xffffffff,0x8bfffea1,0xfffffffc,0x017fffa1,0xffffffc8,
    0x200005ff,0xfffffffd,0x3ff6006f,0x3ffe23ff,0x3fffa4ff,0x5ffff32f,
    0x7fffffe4,0x13fffe62,0x7fffff88,0x3fffffa8,0x3fffffe0,0x04fffffe,
    0x7fffff40,0xfffecccc,0x001fffff,0x3bfffff6,0xffffd800,0xffffffff,
    0xffffffff,0x7ffff30f,0x7ffffff4,0x17fffa4f,0x7ffffcc0,0x002fffff,
    0xfffff300,0x6c005fff,0x7ec3ffff,0xffd0ffff,0x3ffe65ff,0x3fffe62f,
    0x3ffe60ff,0x7fff404f,0x7ffe41ff,0x3ffe01ff,0xffff9eff,0x3fa002ff,
    0xffffffff,0xffffffff,0x3ffee004,0xfb002fff,0x9999ffff,0xfd999999,
    0x3e61ffff,0xfff13fff,0x74dfffbd,0xfb004fff,0xffffffff,0x6c0000df,
    0x06ffffff,0x1ffffec0,0x4fffffe6,0xf52ffffe,0xfff85fff,0x7ffc45ff,
    0x7ffdc05f,0x7fff44ff,0x7fffc06f,0xfffffb6f,0x3ffa001d,0xffffffff,
    0x03ffffff,0x3ffffe20,0x3ff6004f,0x3f2007ff,0xff30ffff,0x3ffee7ff,
    0xd0ffffbb,0xf5009fff,0xffffffff,0x00007fff,0x3fffffe6,0x7ffec002,
    0xffffe83f,0x25ffffd7,0x6c1ffffa,0x7c42ffff,0x7cc05fff,0x3e26ffff,
    0x7c04ffff,0xff16ffff,0x2009ffff,0xfffffffe,0xcfffffff,0x7ffec000,
    0x7ec006ff,0x32007fff,0xf10fffff,0x3ffa9fff,0x3ffff99f,0xd009ffff,
    0xf99fffff,0x001fffff,0x3ffffa00,0xfffd8007,0xffffa83f,0x2ffffeaf,
    0xa83ffff5,0x7c40ffff,0xfe805fff,0xff50ffff,0xff803fff,0x3fee6fff,
    0xe802ffff,0xffffffff,0x001bcdff,0xffffffb8,0x7ffec001,0x3ff2007f,
    0xfff10fff,0x4ffff19f,0xfff5fffe,0xfffb807f,0xfff88fff,0x00004fff,
    0x00fffffd,0x07ffffb0,0x3b7ffffe,0xff72ffff,0xeee883ff,0x6ffff884,
    0xfffffc80,0x0fffffb3,0x8dfffff0,0x0ffffffe,0x7fffff40,0x10000199,
    0x09ffffff,0xfffffb00,0x7fffe400,0x33fffe0f,0x3f25fffa,0xffff8fff,
    0x3fffe203,0x3fff23ff,0x80001fff,0x007ffffe,0x03ffffd8,0xfffffff7,
    0x3fee5fff,0xff0001ff,0xff300dff,0x3ffebfff,0xfff805ff,0x7ffcc6ff,
    0x7f405fff,0x00007fff,0x6fffffd8,0xffffb000,0x7ffe400f,0x3fffe0ff,
    0x262fffcd,0xfffaffff,0x3fff202f,0x3fe20fff,0x0006ffff,0x07ffffe8,
    0x3ffffd80,0xffffff10,0x3f25ffff,0xf0000fff,0x3e00ffff,0xff9fffff,
    0xff802fff,0xffc86fff,0x3a02ffff,0x0007ffff,0x7ffffdc0,0xffb0001f,
    0x7e400fff,0x3fe0ffff,0x87fffdff,0xfffdffff,0xffff102f,0xfff707ff,
    0x80005fff,0x007ffffe,0x03ffffd8,0x3ffffff2,0xfff92fff,0x3fe0001f,
    0xffb007ff,0xffffbfff,0xffff001f,0x3fffa0df,0xffd00fff,0x40000fff,
    0x4ffffff8,0x3fff6000,0x3ff2007f,0x3ffa0fff,0xc85fffff,0xffffffff,
    0xfffffb01,0x3fffe20f,0x740006ff,0x8007ffff,0x203ffffd,0xfffffff8,
    0xffff92ff,0x3ffe0001,0xfff5007f,0xbfffffff,0x3ffffe00,0xfffff506,
    0x3fffa0bf,0x3600007f,0x99ffffff,0x99999999,0xfffb1999,0x7fe400ff,
    0x3ffa0fff,0xa82fffff,0xffffffff,0xfffff981,0x3ffee03f,0x20003fff,
    0x007ffffe,0x03ffffd8,0x7fffffec,0xffffb2ff,0x3ffe0001,0xff8800ff,
    0xffffffff,0xfffff003,0x7fffec0d,0xfffe82ff,0xf500007f,0xffffffff,
    0xffffffff,0x3ff6ffff,0x3f2007ff,0x3f60ffff,0x00ffffff,0xffffffff,
    0xfffffd01,0xfffff00f,0x3a0001ff,0x8007ffff,0x403ffffd,0xfffffff9,
    0x0ffffb2f,0x7ffff400,0xffffb000,0x001fffff,0x81bffffe,0xfffffff8,
    0x3fffff40,0xfffc8000,0xffffffff,0xffffffff,0xfffffb7f,0x7fffe400,
    0x3ffff60f,0x3ff605ff,0x540fffff,0x03ffffff,0xffffffb8,0xfffd0005,
    0xffb000ff,0xffd007ff,0x3a5fffff,0x20007fff,0x000ffffe,0xfffffff7,
    0x7ffc00df,0x7fdc06ff,0x7f45ffff,0x00007fff,0xfffffff9,0xffffffff,
    0x36ffffff,0x2007ffff,0x20fffffc,0x3ffffffc,0x3ffffea0,0x7fff40ff,
    0x3fa006ff,0x001fffff,0x07ffffe8,0x3ffffd80,0xfffffa80,0xffffd2ff,
    0x7fff4000,0xfff1001f,0x009fffff,0x037ffffc,0x7ffffff4,0x1fffffa3,
    0x7ffe4000,0xffffffff,0xffffffff,0xfffffb7f,0x7fffe400,0x3ffff20f,
    0x3fe200ff,0x7dc7ffff,0x003fffff,0x3fffffea,0xfffe8006,0xffd8007f,
    0xfff003ff,0x3fa5ffff,0x3a0007ff,0x2001ffff,0xfffffffe,0x3fffe001,
    0xfff9806f,0xffd0ffff,0x20000fff,0xfffffffc,0xffffffff,0xfb7fffff,
    0x6400ffff,0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x32a07999,0x999504cc,
    0x99999999,0x23999999,0xccccccca,0xcccccccc,0x999993cc,0x13599999,
    0x99993000,0x66400039,0xcccccccc,0x00009abc,0x99999990,0xa8000039,
    0x400eeeed,0xccccccc9,0xcccccccc,0x99953ccc,0x99999999,0x99999999,
    0x00000079,0x06fffd80,0x360dfffb,0xffffffff,0xffffffff,0xfffffb2f,
    0xffffffff,0x3febffff,0xffffffff,0x004effff,0x07fffff5,0x7ffffc00,
    0xffffffff,0x20002dff,0xfffffff8,0xd300004f,0x03ffffff,0xffffffb8,
    0xffffffff,0xff76ffff,0xffffffff,0xffffffff,0x01b50bff,0xffd00000,
    0x3fffa0bf,0xfffffb05,0xffffffff,0x3f65ffff,0xffffffff,0xffffffff,
    0xfffffff5,0xffffffff,0xffa805df,0x20003fff,0xffffffff,0xffffffff,
    0xfb8000ef,0x6fffffff,0x7fecc000,0x01ffffff,0x7fffffdc,0xffffffff,
    0xff76ffff,0xffffffff,0xffffffff,0xeffa8bff,0x7c000000,0xfff04fff,
    0x3fff609f,0xffffffff,0xb2ffffff,0xffffffff,0xffffffff,0x3ffffebf,
    0xffffffff,0x00dfffff,0x07fffff5,0x7ffffc00,0xffffffff,0x006fffff,
    0xffffffd8,0x88000fff,0xfffffffd,0x7dc01fff,0xffffffff,0xffffffff,
    0xfffff76f,0xffffffff,0xbfffffff,0x0fffffd4,0xfff00000,0x3fffe07f,
    0xfffffb04,0xffffffff,0x3f65ffff,0xffffffff,0xffffffff,0xfffffff5,
    0xffffffff,0x2a0dffff,0x003fffff,0x3fffffe0,0xffffffff,0x004fffff,
    0x7ffffffc,0x22003fff,0xfffffffc,0x401fffff,0xfffffffb,0xffffffff,
    0xfff76fff,0xffffffff,0xffffffff,0x3fffe2bf,0x00003fff,0x83ffff88,
    0xb03ffff8,0x335fffff,0x33333333,0x3ffff613,0x999999af,0xff099999,
    0x5333dfff,0xfffffdb7,0xfff507ff,0x7c0007ff,0x9885ffff,0x6ffffffc,
    0x3fffea00,0x05ffffff,0xffffff10,0xffffffff,0x7fec0003,0x75400fff,
    0xeeeeeeee,0xfffeeeee,0x3fea4fff,0x004fffff,0x7fffcc00,0x2ffff982,
    0x1fffffb0,0x3fff6000,0xff0000ff,0xfc80bfff,0x40ffffff,0x03fffffa,
    0x3ffffe00,0x7fffd405,0xff9000ff,0xffffddff,0x7fff400f,0xfffddfff,
    0x360001ff,0x000fffff,0xffff1000,0xfff983ff,0x000dffff,0xff733310,
    0x733335ff,0x3335ffff,0x3fffff61,0xfffb0000,0x3e0001ff,0xa805ffff,
    0x44ffffff,0x03fffffa,0x3ffffe00,0xffffe805,0xffff001f,0xfffff97f,
    0x3ffea005,0xffff91ef,0x7ec0003f,0x0000ffff,0xfffff900,0x3fffa20b,
    0x8000efff,0xfffffffd,0xffffffff,0x2fffffff,0x01fffffb,0x3ffff600,
    0xfff0000f,0x3f200bff,0x2a0fffff,0x003fffff,0x17ffffe0,0x3fffff60,
    0xffff9801,0xfffffa9f,0x0bbfe004,0x03fffff9,0x7fffec00,0x8800000f,
    0x01ffffff,0x7fffffec,0x7fec001f,0xffffffff,0xffffffff,0xffb2ffff,
    0x20001fff,0x00fffffd,0xbfffff00,0x3fffe200,0x3ffea2ff,0x3e0003ff,
    0xd805ffff,0x800fffff,0xf17ffffb,0x400dffff,0xffff903c,0x7ec0003f,
    0x0000ffff,0xfffffc80,0xffff9005,0x6c005fff,0xffffffff,0xffffffff,
    0xb2ffffff,0x001fffff,0x3fffff60,0xffff0000,0x7fec00bf,0x3fea3fff,
    0x20003fff,0x405fffff,0x06fffff8,0x4bffffd0,0x00fffffd,0xffffc800,
    0x3f60001f,0x0000ffff,0x7ffffc40,0x3fea001f,0x003fffff,0xfffffffb,
    0xffffffff,0x5fffffff,0x03fffff6,0x7fffec00,0xfff0000f,0x7d400bff,
    0x3ea4ffff,0x0003ffff,0x017ffffe,0x07fffff9,0x5fffff10,0x1fffffdc,
    0x7ffe4000,0x360001ff,0x000fffff,0x7fffdc00,0xff98006f,0x005fffff,
    0xd05fffe8,0x7ec0bfff,0x0000ffff,0x35fffffb,0x33333333,0x7ffffc33,
    0x3ffea005,0x3ffea5ff,0x3e0003ff,0x9885ffff,0x05fffffe,0x1fffff50,
    0x2fffffcc,0x7ffe4000,0x360001ff,0x000fffff,0x7ffffc00,0xfd10002f,
    0x01dfffff,0x827fffc0,0x3604ffff,0x99afffff,0x99999999,0x3fffff60,
    0xffffffff,0xfff0ffff,0x7cc00bff,0x3ea6ffff,0x0003ffff,0x3ffffffe,
    0xffffffff,0xf9000dff,0xfff0dfff,0x80001fff,0x01fffffc,0x3ffff600,
    0x2e00000f,0x006fffff,0xfffffd80,0xfff001ef,0x3fffe07f,0x3ffff603,
    0xffffffff,0x3f65ffff,0xffffffff,0xffffffff,0x0bfffff0,0x7ffffc40,
    0x3ffffea7,0x3ffe0003,0xffffffff,0x003fffff,0x427ffffc,0x02fffffc,
    0x7fffe400,0x3f60001f,0x0000ffff,0x3fffffe0,0xff980002,0x804fffff,
    0x883ffff8,0x3603ffff,0xffffffff,0xffffffff,0x3fffff65,0xffffffff,
    0xfff0ffff,0x7c400bff,0xf50fffff,0x0007ffff,0x7ffffffc,0xffffffff,
    0xf9801dff,0xfa81ffff,0x0004ffff,0x0fffffe4,0xffffb000,0x2e00001f,
    0x006fffff,0xfffffa80,0xff3003ff,0xfff305ff,0x7ffec05f,0xffffffff,
    0x365fffff,0xffffffff,0xffffffff,0xbfffff0f,0x7fffc400,0x3fffea7f,
    0x3fe0003f,0xffffffff,0xffffffff,0x7ffe402f,0xffff107f,0xfc8000ff,
    0x0001ffff,0x03fffff6,0x7fff4000,0x5c0002ff,0x2fffffff,0x3fffea00,
    0x1ffffa81,0x3fffff60,0xffffffff,0x3ff65fff,0xcccccfff,0x0ccccccc,
    0x00bfffff,0x37ffffcc,0x07fffff5,0x7ffffc00,0xfccbaaae,0x1fffffff,
    0x17ffffa0,0x1fffffe8,0x3fff2000,0x360001ff,0x000fffff,0xfffffa80,
    0x7fec0006,0x401effff,0xfffb9999,0xfb9999af,0x4199afff,0xabfffffd,
    0xaaaaaaaa,0x3ffff61a,0xfff0000f,0x7d400bff,0x3ea5ffff,0x0003ffff,
    0x017ffffe,0xdffffff5,0x3ffffe20,0x3ffff203,0x3f20003f,0x0001ffff,
    0x03fffff6,0x3fffa000,0xd10003ff,0x1dffffff,0xffffff00,0xffffffff,
    0xffffffff,0x7fffec1f,0xffb0000f,0x20001fff,0x005fffff,0x93ffffee,
    0x03fffffa,0x3ffffe00,0xffffa805,0xfffb81ff,0x3fe601ff,0x20006fff,
    0x01fffffc,0x3ffff600,0x7d40000f,0x0007ffff,0xfffffff3,0x7fffc00b,
    0xffffffff,0xffffffff,0x3ff60fff,0xb0000fff,0x001fffff,0x17ffffe0,
    0xfffffc80,0x3ffffea3,0x3ffe0003,0xffd005ff,0xffb05fff,0xdddddfff,
    0xfffffddd,0x3f20001f,0x0001ffff,0x03fffff6,0xffffd000,0xff50007f,
    0x007fffff,0xfffffff8,0xffffffff,0xffffffff,0x3fffff60,0xfffb0000,
    0x3e0001ff,0x1005ffff,0x43ffffff,0x03fffffa,0x3ffffe00,0xffffb005,
    0xfffff07f,0xffffffff,0x5fffffff,0x3fff2000,0x360001ff,0x000fffff,
    0x3ffffea0,0x7fe4000f,0x002fffff,0xfffffff8,0xffffffff,0xffffffff,
    0x3fffff60,0xfffb0000,0x3e0001ff,0x9005ffff,0xa8dfffff,0x003fffff,
    0x17ffffe0,0x7ffffec0,0x7ffffd42,0xffffffff,0x5fffffff,0xffff9000,
    0x7ec0003f,0x0000ffff,0x13fffffa,0xfffffb00,0x200003ff,0xff04ffff,
    0xffd809ff,0xb0000fff,0x001fffff,0x17ffffe0,0x3ffffe60,0x7fffd41f,
    0x3fe0003f,0xf8805fff,0x641fffff,0xffffffff,0xffffffff,0x0007ffff,
    0x03fffff9,0x7fffec00,0xff50000f,0x2001ffff,0xffffffe8,0x3e00000e,
    0xfff03fff,0xfffd807f,0xfb0000ff,0x0001ffff,0x017ffffe,0xbffffff7,
    0x7fffff50,0x7fffc000,0xfffd805f,0xfffe87ff,0xffffffff,0xffffffff,
    0xfc8001ff,0x0001ffff,0x03fffff6,0x7ffff400,0x7fec004f,0x0000dfff,
    0x0bfffe20,0x00bfffe2,0x01fffffb,0x3ffff600,0xfff0000f,0xfb530bff,
    0x03ffffff,0x07fffff5,0x7ffffc00,0x3fff6605,0x7fcc6fff,0x32002fff,
    0x004fffff,0x1fffffc8,0x3fff6000,0xf98000ff,0x000fffff,0x004fffd8,
    0xffff9800,0x2ffff982,0x7ffffec0,0xfffb0000,0xddddddff,0x29dddddd,
    0xeeffffff,0xfffffffe,0xff504fff,0xffffffff,0xffffffff,0x3fffffe5,
    0xfffeeeee,0x41ffffff,0x00fffffb,0x3ffffea0,0xfffffb86,0xffffffff,
    0x57ffffff,0xffdddddd,0xddddffff,0x7fec0bdd,0x20004fff,0x000003fd,
    0x503ffff5,0xd803ffff,0x000fffff,0xffffffb0,0xffffffff,0x3ffebfff,
    0xffffffff,0x2fffffff,0x3ffffea0,0xffffffff,0xff2fffff,0xffffffff,
    0xffffffff,0xffffb05f,0xffff000d,0xfffb81ff,0xffffffff,0xffffffff,
    0xffffff77,0xffffffff,0x260dffff,0x00ffffff,0x00000c00,0x01ffff70,
    0x801ffff7,0x00fffffd,0xfffffb00,0xffffffff,0x3febffff,0xffffffff,
    0x0dffffff,0x7ffffd40,0xffffffff,0xff2fffff,0xffffffff,0xffffffff,
    0xfffff107,0xfffb0007,0xfffb87ff,0xffffffff,0xffffffff,0xffffff77,
    0xffffffff,0x360dffff,0x005fffff,0x40000000,0xf907fffc,0xffb00fff,
    0x20001fff,0xfffffffd,0xffffffff,0xfffff5ff,0xffffffff,0x3ea005ff,
    0xffffffff,0xffffffff,0xffffff2f,0xffffffff,0x3ea019ff,0x8001ffff,
    0x45fffffb,0xfffffffb,0xffffffff,0xff77ffff,0xffffffff,0xffffffff,
    0xfffff30d,0xdd90003f,0xdd700bdd,0x7e401ddd,0xfff907ff,0xffffb00f,
    0x3f60001f,0xffffffff,0xffffffff,0xfffffff5,0x037bddff,0xfffffa80,
    0xffffffff,0xff2fffff,0xffffffff,0x900599dd,0x000fffff,0x1fffffe6,
    0xfffffff7,0xffffffff,0x3eefffff,0xffffffff,0xffffffff,0xffffd86f,
    0xffb0005f,0xff900fff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36000000,0xc807ffff,0x000fffff,
    0x33333260,0x000003cc,0x02620000,0x03100000,0x00262000,0x33531000,
    0x4cc40003,0x30000019,0x31000033,0x0004c401,0xd8019980,0xc807ffff,
    0x000fffff,0x3fffffa0,0x000005ff,0xdca800b7,0x2cefffff,0x3b2e6000,
    0xbdffffff,0x7f6dc400,0x001cefff,0x7ffff6cc,0x205effff,0xffffeca8,
    0x202dffff,0x222eeeec,0x3efffffc,0x227ddd70,0x641efffd,0xec83ffff,
    0x3f220eee,0xb02effff,0x900fffff,0x001fffff,0x3ffffea0,0x00005fff,
    0x8805ffc8,0xfffffffd,0x000cffff,0x3fffff22,0x2fffffff,0x3ffffe60,
    0x04ffffff,0xfffffea8,0xffffffff,0xfffffb80,0xffffffff,0xfffd82ef,
    0xfffff53f,0xf909ffff,0xfffd19ff,0x7ffecdff,0x7fec4fff,0xffff71ff,
    0xb09fffff,0x900fffff,0x001fffff,0xffffff10,0x0000bfff,0x2ffffec4,
    0xffffff50,0xffffffff,0xfff5005f,0xffffffff,0x3f205fff,0xffffffff,
    0x501effff,0xffffffff,0x1fffffff,0xffffff90,0xffffffff,0xfffd83ff,
    0xfffffbbf,0x45ffffff,0xffcdfffc,0xfbafffff,0x0fffffff,0x327ffff6,
    0xffffffff,0x7fec4fff,0xffc807ff,0xc8000fff,0xffffffff,0xd100005f,
    0x09ffffff,0xfffffff5,0xffffffff,0x7fe401ff,0xffffffff,0xd82fffff,
    0xffffffff,0x6fffffff,0xffffff98,0xffffffff,0xfffc80ff,0xffffffff,
    0x20efffff,0xffeffffd,0xffffffff,0x3ff20fff,0xffffffef,0xfffffeff,
    0x3f64ffff,0xffffdfff,0xffffffff,0x3ffff60f,0xffffc807,0x7fcc000f,
    0xffffffff,0xff980005,0x40dfffff,0xfffffff8,0xffffecdf,0xff305fff,
    0xdfffffff,0x85ffffdd,0xaefffff9,0xfffff510,0xffffd85f,0x5cc40aef,
    0xdffc80fd,0xf93109ab,0x6c7fffff,0xffffffff,0xffffcbef,0x3fff24ff,
    0xffeaefff,0xfcafffff,0x3ff65fff,0xffffffff,0xfffffffd,0x1fffff64,
    0x3fffff20,0x7fff4000,0x5ffffdef,0x7ffd4000,0xf904ffff,0x105fffff,
    0x3ffffffb,0xffffffd0,0x0bae603b,0x01dffffb,0x3fffffe2,0x3fffffe0,
    0x05d40002,0xfffffb80,0x3fffff65,0x7fcc2eff,0x3ff27fff,0x3fea6fff,
    0xff10ffff,0x7ffecdff,0x5c3effff,0x366fffff,0xc807ffff,0x000fffff,
    0x27ffffee,0x005ffffd,0x3fffff20,0xfff102ff,0xfd805fff,0x7dc6ffff,
    0x002fffff,0xfffffa82,0x7fffdc01,0xfffff32f,0x0000000d,0xd9bffffa,
    0x1fffffff,0x4fffffd0,0x22fffffc,0x44fffff9,0x3f67ffff,0x00ffffff,
    0x6cffffff,0xc807ffff,0x000fffff,0x29fffff1,0x005ffffd,0xffffffb0,
    0x7ffe403d,0xff9804ff,0x7ffc7fff,0x20004fff,0x805ffffe,0x33fffff8,
    0x05ffffff,0xfb000000,0x7fecffff,0x2e02ffff,0xf90fffff,0xff98dfff,
    0x7ffc0fff,0x3ffff67f,0x3ff601ff,0xfffb0fff,0xfff900ff,0x3f6001ff,
    0x3ff66fff,0x744005ff,0x0effffff,0x7ffffec0,0xffffb001,0x3fffe63f,
    0x3e0000ff,0xf003ffff,0x3e2bffff,0x0cffffff,0x32000000,0xfb0fffff,
    0xb807ffff,0xf91fffff,0xff985fff,0xffff85ff,0x3fffff67,0x7fffe402,
    0xfffffb0f,0xfffff900,0xffff5001,0x7fffec5f,0x3ffe6005,0xd005ffff,
    0x400dffff,0x52fffffb,0x009fffff,0x7ffffc40,0xcccccccd,0x6fffffcc,
    0x3ffffffa,0x0000beff,0xcccba998,0xb0fffffe,0x100fffff,0x32155555,
    0x7cc2ffff,0xfff84fff,0x3ffff67f,0xffffb807,0xfffffb0f,0xfffff900,
    0xffffd001,0x5ffffd8b,0xfffff500,0x7fc007ff,0x2a006fff,0xf73fffff,
    0x0007ffff,0x7fffffcc,0xffffffff,0x27ffffff,0xfffffff9,0x00beffff,
    0x3ffff6a0,0xffffffff,0xffffb0ff,0xff90000f,0xfff985ff,0x7ffff84f,
    0x01fffff6,0x43ffffee,0x807ffffd,0x00fffffc,0x07ffffdc,0x017ffff6,
    0x3fffffee,0x3fe2002f,0x26005fff,0xfb4fffff,0x0005ffff,0x7fffffd4,
    0xffffffff,0x47ffffff,0xfffffffa,0x04ffffff,0x7fffff54,0xffffffff,
    0xfffb0fff,0xf90000ff,0xff985fff,0xffff84ff,0x1fffff67,0x3ffffee0,
    0x0fffffb0,0x1fffffb0,0x7ffffc40,0x5ffffd83,0x7ffffec0,0x7cc001ef,
    0x2005ffff,0xd4fffff9,0x005fffff,0x7ffffe40,0xffffffff,0x6fffffff,
    0xfffffd88,0xefffffff,0xfffffa80,0xffffffff,0xfb0fffff,0x0000ffff,
    0x985ffff9,0xff84ffff,0x3fff67ff,0xfffb807f,0xffffb0ff,0x7ffe401f,
    0x3f600fff,0xffb06fff,0x7fcc0bff,0x004fffff,0x5fffff88,0x3fffea00,
    0xfffffb3f,0x7fdc0007,0xccccdfff,0xcccccccc,0x3ae203cc,0xffffffff,
    0x7ffcc6ff,0xabceffff,0xfffffdaa,0x0fffffb0,0xffff9000,0x4ffff985,
    0x367ffff8,0xb807ffff,0xf90fffff,0x2e05ffff,0x0fffffff,0x3fffff50,
    0x17ffff60,0xfffffd30,0xff8001bf,0x2e006fff,0xf71fffff,0x0009ffff,
    0x17ffffd4,0x5cc00000,0xfffffffe,0x3ffffa3f,0x3ff201df,0xfffb0fff,
    0xf90000ff,0xff985fff,0xffff84ff,0x1fffff67,0x3ffffee0,0xbfffff70,
    0xfffffb88,0xfe880fff,0x3f603fff,0xe8805fff,0x0effffff,0x3ffffa00,
    0xfffb000f,0x3ffea1ff,0x220006ff,0x003fffff,0x7ecc0000,0xf14fffff,
    0x801fffff,0xb0fffffc,0x000fffff,0x85ffff90,0xf84ffff9,0x3ff67fff,
    0xffb807ff,0xfff50fff,0xff97ffff,0xffffffff,0xdffff901,0x5ffffd80,
    0x3ffff600,0xfb001fff,0x1007ffff,0x4cffffff,0x03ffffff,0x3ffffe00,
    0x00000006,0x2dfffffb,0x04fffff9,0x0fffffd8,0x00fffffb,0x5ffff900,
    0x84ffff98,0x3f67ffff,0xfb807fff,0x3fa0ffff,0xffffffff,0xffffefff,
    0x7fffcc0f,0x7ffec01f,0x7fdc005f,0x802fffff,0x0ffffffb,0x7ffffec0,
    0x3ffffe24,0xfd0001ff,0x0007ffff,0xfff50000,0x3ffeabff,0x7fe405ff,
    0xffb0ffff,0x90000fff,0xf985ffff,0xfff84fff,0x3ffff67f,0xffffb807,
    0x3fffea0f,0xffffffff,0x40ffffe8,0x99dffffe,0xfe999999,0x9999dfff,
    0x7fffd400,0x7c404fff,0x01efffff,0x1ffffff9,0xffffffb8,0x51e4c04f,
    0x05ffffff,0x000a6080,0x27fffffd,0x0ffffff9,0xffffffb0,0x3ffff61f,
    0xffc80007,0x7ffcc2ff,0x7ffff84f,0x01fffff6,0x03ffffee,0xfffffff9,
    0x3ffa3dff,0x3ffe20ff,0xffffffff,0xffffffff,0x802fffff,0xfffffff9,
    0x3ffee00d,0xdbcdffff,0x3fffffff,0xffffffd0,0xfd99bdff,0xfffd87ff,
    0x309aefff,0x54bfb733,0x4409adff,0xffffffca,0xffffff11,0xffd7117d,
    0x21ffffff,0x007ffffd,0x2ffffc80,0x427fffcc,0x3f67ffff,0xfb807fff,
    0xfa80ffff,0x44ffffff,0x220ffffe,0xffffffff,0xffffffff,0xffffffff,
    0xfffd1002,0x7401dfff,0xffffffff,0xffffffff,0x3fffe606,0xffffffff,
    0x7c43ffff,0xffffffff,0xffffffff,0x3ffffea5,0xffffefff,0x7ec6ffff,
    0xffffffff,0xffffffff,0xffffb0ff,0xff90000f,0xfff985ff,0x7ffff84f,
    0x01fffff6,0x03ffffee,0x001aba88,0xffffff10,0xffffffff,0xffffffff,
    0xfd8005ff,0x01ffffff,0xfffffff3,0xffffffff,0xfffa801d,0xffffffff,
    0xfa83ffff,0xffffffff,0x5fffffff,0x3fffffea,0xffffffff,0x7fc40eff,
    0xffffffff,0xffffafff,0xfffffb0f,0xfff90000,0xffff985f,0x27ffff84,
    0x807ffffd,0x00fffffb,0xff880000,0xffffffff,0xffffffff,0x02ffffff,
    0xfffffc80,0xff9102ff,0xffffffff,0x644007ff,0xffffffff,0x103fffff,
    0xfffffffb,0xbfffffff,0x7fffffd4,0xffffffff,0xfff700ef,0xffffffff,
    0x43ffffa3,0x007ffffd,0x2ffffc80,0x427fffcc,0x3f67ffff,0xfb807fff,
    0x0000ffff,0xeeee8800,0xeeeeeeee,0xffffffee,0x0001eeee,0x3ffffff5,
    0xffffd980,0x001defff,0xffffdb30,0x015bffff,0xfffffea8,0x2cefffff,
    0x3fffff66,0xcfffffff,0xfffe8801,0x3a0cffff,0xffb0ffff,0x90000fff,
    0xf985ffff,0xfff84fff,0x3ffff67f,0xffffb807,0x0000000f,0x7fff4000,
    0x4c00005f,0x4001ffff,0x0009bb98,0x9aaa8800,0x2e620001,0x1001aabc,
    0x55975553,0x73100013,0x00000357,0x00000000,0x00000000,0x00000000,
    0x0bffffd0,0x3fd10000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00bffffd,0x00062000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5ffffe80,0x4ccc4000,0x3bb20009,0x740003ee,
    0xdd10eeee,0xdddddddd,0xdddddddd,0x77777549,0xddd5002e,0x4cc00bdd,
    0x44000099,0x30001bdb,0x40039999,0xcccccccb,0xcccccccc,0x3310cccc,
    0x99981333,0x4cccc199,0x2cb98099,0x7f400000,0x40005fff,0x006ffffa,
    0x017ffff2,0x7ffff880,0x3fffffe6,0xffffffff,0x7f45ffff,0x400fffff,
    0x2ffffff8,0x9ffff100,0x7ff44000,0xfd8004ff,0x3a006fff,0xffffffff,
    0xffffffff,0xfff91fff,0xffff85ff,0x7ffffc7f,0x3fff622f,0x000000ef,
    0x3ea00000,0x2e006fff,0x0006ffff,0x99bfffe6,0xffffffff,0xffffffff,
    0x7ffc45ff,0x7ec05fff,0x2004ffff,0x003ffff8,0x3fffff60,0x3fea003f,
    0xd003ffff,0xffffffff,0xffffffff,0x3ff23fff,0x7ffc2fff,0x7fff47ff,
    0x3fff21ff,0x3a606fff,0x8005eeee,0x04eeeee9,0x1bfffea0,0x7ffffa80,
    0x3ffea000,0x3fffe65f,0xffffffff,0x85ffffff,0x3ffffffa,0xdfffff50,
    0x5ffff000,0x7fffc000,0x3a007fff,0x0fffffff,0xfffffe80,0xffffffff,
    0x71ffffff,0xe83fffff,0x7f46ffff,0xff11ffff,0x05ffffff,0x17fffffc,
    0x3ffff600,0x3fea002f,0x3e6006ff,0x0000ffff,0x4c9ffff7,0xffffffff,
    0xffffffff,0xfffb03ff,0xff881fff,0x3601ffff,0x42ffff82,0xfff801e8,
    0x802fffff,0xfffefffc,0xeeed805f,0xeeeeeeee,0xeeeeeeee,0x3fffff71,
    0x46ffffe8,0x50fffffd,0xffffffff,0x7fffdc09,0x3fe2005f,0x54007fff,
    0x4006ffff,0x001fffff,0x05ffff90,0x3fffe200,0x3fa205ff,0x7ec5ffff,
    0x2a04ffff,0x3ffa0dff,0x017fea1f,0x3ffffff6,0x7ffc403f,0x2ffffbaf,
    0x50000000,0xd81fffff,0x7ec5ffff,0xff50ffff,0x09ffffff,0x7fffffc4,
    0xffff5000,0xffa8009f,0x7f4006ff,0x99982fff,0xffffc809,0xffe88001,
    0x4c00efff,0x53ffffff,0x80dfffff,0xfb1efffe,0x3fff61ff,0x7ffcc02f,
    0x6c04ffff,0x3ffa6fff,0x000000ef,0xfffffa80,0x2ffffec0,0x89fffff2,
    0xffffffff,0x7fffec02,0xfffb003f,0xfa8003ff,0x6c006fff,0x7c43ffff,
    0xffd85fff,0xfd8000ff,0x001fffff,0x3ffffff7,0x01ffffff,0x7fffffdc,
    0xfe9fffcb,0xa806ffff,0x03ffffff,0xa87fffea,0x0004ffff,0xfff98000,
    0xffffc87f,0x3ffffe44,0x3ffffff2,0xffffa805,0xfff8806f,0xfa8006ff,
    0x64006fff,0x7dc5ffff,0x7f40ffff,0xfb8007ff,0x002fffff,0x7ffffff4,
    0x403fffff,0xffffffc8,0xffffffff,0xfb002dff,0x7405ffff,0xffe85fff,
    0x000001ff,0x3ffffcc0,0x227fffe4,0xc87ffffb,0x000dffff,0x03ffffff,
    0x3fffffb8,0x99999998,0x9effffb9,0x09999999,0xd1bfffee,0xf85fffff,
    0x4c006fff,0x04ffffff,0xfffff880,0x005fffff,0x3ffffee2,0xdfffffff,
    0x7ffdc001,0xfff700ff,0xffff301f,0x2aaaaa0d,0xaaaaaaaa,0x0aaaaaaa,
    0x70dffff1,0xfb87ffff,0x77306fff,0xfffc8003,0x7ff404ff,0x7fc40fff,
    0xffffffff,0xffffffff,0x3ea4ffff,0x3fe27fff,0x3e25ffff,0x22005fff,
    0x06ffffff,0x3fffea00,0x000fffff,0xfffffd70,0x200019ff,0x107ffffc,
    0x6409ffff,0xfe82ffff,0xffffffff,0xffffffff,0x3fffe1ff,0x3ffffb86,
    0x02ffffd4,0x7ffc4000,0x3fe607ff,0xff884fff,0xffffffff,0xffffffff,
    0x3e64ffff,0x3fee7fff,0xf10fffff,0x6c009fff,0x00ffffff,0x7fffec00,
    0x20002fff,0xffffffea,0xe88000cf,0xfb02ffff,0x7c401fff,0x7f40ffff,
    0xffffffff,0xffffffff,0x3fffe1ff,0x2ffffa85,0x02ffffd4,0xfffd8000,
    0xfff902ff,0xfff103ff,0xffffffff,0xffffffff,0xfff89fff,0xffffb0ff,
    0x3fe67fff,0xff9003ff,0x0005ffff,0xffffff90,0xfb88005f,0xffffffff,
    0x3001dfff,0x209ffffd,0x803ffff9,0x744ffffb,0xffffffff,0xffffffff,
    0x33321fff,0xcccc983c,0x16666441,0xffa80000,0xfff05fff,0x3fe20dff,
    0xffffffff,0xffffffff,0x7fc4ffff,0xfff8afff,0xf56fffff,0xf5005fff,
    0x007fffff,0xfffff500,0x1001ffff,0xfffffff9,0xffffffff,0xfccb83bf,
    0x00efffff,0x400dfffd,0x3a1ffffe,0xffffffff,0xffffffff,0x00001fff,
    0x80000000,0x40ffffff,0x03fffff9,0x99999991,0x9fffffb9,0x59999999,
    0xbaffffd8,0xfffcffff,0x1ffffc8f,0x7ffffc40,0xf880005f,0xffffffff,
    0xfffc806f,0xfffcbfff,0x6fffffe9,0x7ffffffc,0xfff700df,0x7fd4005f,
    0x000006ff,0x00000000,0x7fe40000,0x7fe42fff,0x20000fff,0x006ffffa,
    0xdbffffc8,0xfffacfff,0x07fffcbf,0xefffffe8,0xffe80000,0xffffffff,
    0x7ffc404f,0x1fffb1ef,0x85ffffb1,0x1effffff,0x01555540,0x05555540,
    0x00000000,0x00000000,0xbfffff30,0x2fffffc4,0x3ffea000,0xffb8006f,
    0xaffffdff,0xfdeffff8,0x7fec07ff,0x0001ffff,0xdfffffc8,0x1ffffffb,
    0xd06ffd40,0x7fd43fff,0x2cdeff86,0x00000000,0x00000000,0x00000000,
    0x7ffffec0,0x5fffff50,0xfffa8000,0xffa8006f,0x0fffffff,0xfffffffb,
    0x7ffdc0bf,0x80003fff,0x0ffffffa,0x1ffffffd,0xffe82d80,0x0c0f441f,
    0x00620000,0x26662000,0x55000999,0x55555555,0x3fe15555,0xffffffff,
    0xffffffff,0xffffffff,0x7fffd402,0xdffffb3f,0xfff50000,0xff3000df,
    0x4bffffff,0xfffffffa,0xffff304f,0x10000bff,0x47ffffff,0x5ffffff8,
    0x5ffff000,0x98000000,0x02efffed,0xfffd1000,0xff007fff,0xffffffff,
    0x3fe7ffff,0xffffffff,0xffffffff,0xffffffff,0xfffff802,0x3fffff8e,
    0xfffa8000,0xff88006f,0x22ffffff,0xfffffff8,0xffff883f,0xffffffff,
    0x06ffffff,0x0bfffffd,0x7ffffff7,0xffff8800,0x20000003,0xfffffffa,
    0x332a00df,0xfff900cc,0xff807fff,0xffffffff,0xfff3ffff,0xffffffff,
    0xffffffff,0x5fffffff,0xfffff900,0x01fffff9,0xffff5000,0x3ffe000d,
    0x6c0fffff,0x2fffffff,0xffffffb8,0xffffffff,0xfc86ffff,0xb00fffff,
    0x03ffffff,0x27fffc40,0xf9800000,0xffffffff,0xfff900ef,0x7ffd401f,
    0x3fe03fff,0xffffffff,0xfff3ffff,0xffffffff,0xffffffff,0x5fffffff,
    0xfffff300,0x00bfffff,0x3fffea00,0xfffb0006,0xff50bfff,0x703fffff,
    0xffffffff,0xffffffff,0xfffa8dff,0x3e202fff,0x006fffff,0x0004cccc,
    0xfffd8000,0xffffffff,0x7fffd80e,0xffffe880,0xfffff03f,0xffffffff,
    0x3333327f,0xcccccccc,0xcccccccc,0x001ccccc,0xfffffffd,0x200005ff,
    0x006ffffa,0xffffff90,0xfffff107,0xfff701ff,0xffffffff,0xdfffffff,
    0x7fffffc4,0xffffb805,0x000004ff,0x7fc40000,0xfffeffff,0x3e21ffff,
    0x32007fff,0xe83fffff,0xeeeeeeee,0x002eeeee,0x50000000,0xffffffff,
    0x7540000f,0x70005eee,0x01ffffff,0x1ffffff6,0x7fffffdc,0xffffffff,
    0x3fa6ffff,0x000fffff,0x5ffffffb,0x00000000,0x27fffdc0,0xffffffd3,
    0x9fffff9b,0xffffa800,0x0000003f,0x80000000,0xffffffff,0x00000004,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x7f440fff,0xffffffff,
    0x00001fff,0x00000000,0x32000000,0x1fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fec0000,0xfffd107f,0xdfffffff,0x00000000,
    0x00000000,0xffff9800,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x80000000,0x6c05eeed,0xffffffff,0x0000000e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,0x04fffffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa980000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_48_usascii_x[95]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1, };
static signed short stb__consolas_bold_48_usascii_y[95]={ 35,1,1,4,-1,1,2,1,0,0,1,10,26,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,11,11,11,11,11,11,0,-4,0,16, };
static unsigned short stb__consolas_bold_48_usascii_w[95]={ 0,8,17,26,23,27,28,8,16,16,21,24,14,16,
10,23,25,22,22,21,26,21,23,22,22,23,10,13,20,21,20,17,27,27,22,23,24,19,19,24,23,20,18,23,
20,25,23,26,22,27,23,22,24,23,27,26,27,27,22,13,23,13,24,27,17,22,22,20,23,22,25,24,21,21,
20,23,21,25,21,24,22,23,21,20,22,21,26,27,26,26,20,19,6,18,25, };
static unsigned short stb__consolas_bold_48_usascii_h[95]={ 0,35,13,31,42,35,34,13,45,45,22,24,18,6,
10,40,33,31,32,33,31,32,32,31,33,32,26,34,28,15,28,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,45,40,45,16,5,11,26,35,26,35,26,34,35,34,35,
45,34,34,25,25,26,35,35,25,26,33,25,24,24,24,34,24,45,49,45,12, };
static unsigned short stb__consolas_bold_48_usascii_s[95]={ 254,234,213,1,158,49,45,231,27,64,129,
28,151,210,240,1,226,165,139,1,1,69,91,209,23,115,243,236,28,191,232,
77,130,137,114,177,68,48,28,201,232,188,162,162,93,108,84,150,186,182,230,
46,205,181,134,1,28,56,209,102,210,116,166,227,192,139,189,74,143,95,101,
118,1,167,81,212,23,184,210,49,95,25,162,118,127,232,1,53,102,74,81,
44,1,8,166, };
static unsigned short stb__consolas_bold_48_usascii_t[95]={ 1,1,254,193,1,51,92,254,1,1,254,
254,254,271,254,51,92,193,127,127,225,127,127,193,127,127,1,51,225,254,193,
51,1,193,193,92,193,193,193,92,161,193,127,161,193,161,161,92,161,1,127,
127,127,127,161,161,161,161,161,1,1,1,254,271,271,225,51,225,51,225,92,
51,92,51,1,51,92,225,225,225,51,51,225,225,92,222,257,254,254,92,254,
1,1,1,271, };
static unsigned short stb__consolas_bold_48_usascii_a[95]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_48_usascii(stb_fontchar font[STB_FONT_consolas_bold_48_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_48_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_48_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_48_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_48_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_48_usascii_s[i] + stb__consolas_bold_48_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_48_usascii_t[i] + stb__consolas_bold_48_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_48_usascii_x[i];
            font[i].y0 = stb__consolas_bold_48_usascii_y[i];
            font[i].x1 = stb__consolas_bold_48_usascii_x[i] + stb__consolas_bold_48_usascii_w[i];
            font[i].y1 = stb__consolas_bold_48_usascii_y[i] + stb__consolas_bold_48_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_48_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_48_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_48_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_48_usascii_s[i] + stb__consolas_bold_48_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_48_usascii_t[i] + stb__consolas_bold_48_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_48_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_48_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_48_usascii_x[i] + stb__consolas_bold_48_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_48_usascii_y[i] + stb__consolas_bold_48_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_48_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_48_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_48_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_48_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_48_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_48_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_48_usascii_LINE_SPACING
#endif

