// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_49_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_49_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT        309
#define STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_49_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_49_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_49_usascii_LINE_SPACING          32

static unsigned int stb__consolas_bold_49_usascii_pixels[]={
    0x4c066666,0x44000000,0x26200002,0x70000000,0x9800059b,0xd94eedca,
    0x000359bd,0x3bbbbbb2,0xd75eeeee,0xdddddddd,0x26000bdd,0x20000199,
    0x09bcdca8,0xc8000000,0x76c5eeee,0x3b25eeee,0xff9ceeee,0x7fcc0fff,
    0xd1000000,0x6dc0007f,0x0bceffff,0x7f440000,0x88004fff,0x5ffffffd,
    0xbffffffd,0xfffd8001,0xffffffff,0xffffff96,0x00dfffff,0x01ffff10,
    0xffffc800,0x03efffff,0xff100000,0xffe89fff,0x3ff66fff,0xfff9cfff,
    0x3ffe60ff,0x4400000f,0x4003fffe,0xffffffe9,0x0001ffff,0x3fffff20,
    0x3fee001f,0xd5ffffff,0xffffffff,0x7ffec007,0xffffffff,0xffffff96,
    0x00dfffff,0x00ffff30,0x7ffff4c0,0xffffffff,0xc8000004,0x740fffff,
    0x325fffff,0xf9cfffff,0xff30ffff,0x0003ffff,0x3ffffa20,0xfff7002f,
    0xffffffff,0x200003ff,0x3ffffffe,0xfffff300,0x3fabffff,0xffffffff,
    0xffffb001,0xdfffffff,0x3ffffff2,0x006fffff,0x006fffa8,0xffffff70,
    0xffffffff,0x000001df,0x42fffffc,0x25fffffd,0x9bfffffc,0x3a0fffff,
    0x01ffffff,0x7fff4400,0xffb005ff,0xffffffff,0x003fffff,0xffffff00,
    0x3ffa007f,0x3cdeffff,0xffffdb97,0x3f600bff,0xccccefff,0x999953cc,
    0xdffffd99,0xbfff7000,0xffff7000,0xffffffff,0x01ffffff,0xfff50000,
    0xfffb03ff,0x7ffdcbff,0xffff9bff,0x3fffa20f,0x20000fff,0x06fffffd,
    0xbfffff70,0x3ffae615,0xd80007ff,0x01ffffff,0xefffffa8,0xfffd3001,
    0xffb005ff,0xb80009ff,0x4006ffff,0x004fffd8,0x7fffffc4,0xfffdcdff,
    0x003fffff,0xffffe800,0xfffffb06,0x7ffffdcb,0x0fffff9a,0x7fffff44,
    0xfff70005,0xf3001dff,0x4409ffff,0x002ffffe,0x7ffffc40,0xffff9004,
    0xff88001f,0xfd804fff,0x40004fff,0x406ffffb,0xffffedba,0x00acdeff,
    0x3ffffff2,0xfffff503,0x980000ff,0xb02fffff,0x549fffff,0xf9afffff,
    0xe880ffff,0x002fffff,0x77ffffcc,0xffff8800,0xfff9803f,0xc880005f,
    0x3f6002de,0x90004fff,0xb00bffff,0x0009ffff,0x06ffffb8,0xffffffd3,
    0xffffffff,0x3fffe205,0x7fd402ff,0x0003ffff,0x1fffff60,0x4fffffc8,
    0x27ffffea,0x00fffff9,0x1ffffff3,0x7ffff400,0xfff9001f,0x7fdc00bf,
    0x000000ff,0x3ffffa00,0xfff70002,0xfffb00df,0xfb80009f,0x7ec46fff,
    0xffffffff,0x2fffffff,0x9fffffb0,0x3ffff200,0xf100006f,0x6409ffff,
    0x264fffff,0xf99fffff,0x3200ffff,0x005fffff,0x09fffff9,0x3ffffe20,
    0x3ffe2000,0x0000003f,0x07ffffe0,0x7fffcc00,0xffffd807,0x7fdc0004,
    0x7ffec6ff,0xffffffff,0x82ffffff,0x1ffffff8,0xfffff300,0xf700003f,
    0x6401ffff,0x263fffff,0xf98fffff,0x2200ffff,0x02ffffff,0x37ffffcc,
    0x7ffff700,0xdfffd000,0xaaaaaa88,0xaaaaaaaa,0xff8802aa,0x30000fff,
    0xb00fffff,0x0009ffff,0x26ffffb8,0xfffffffb,0xfeffffee,0xffa82fff,
    0x74006fff,0x002fffff,0x5fffff80,0x7ffffdc0,0x3ffffe23,0x0fffff98,
    0x7ffffd40,0x7fffe406,0x3ffe002f,0xff90006f,0x7ffd41ff,0xffffffff,
    0x00ffffff,0x07ffffc4,0xffff9800,0xffffd807,0x7fdc0004,0xffff16ff,
    0x3ff21bff,0x2076e64f,0x03fffffc,0x7ffffe40,0x7fd40003,0x7dc01fff,
    0x3e23ffff,0xfff37fff,0xffb001ff,0x3e203fff,0x2005ffff,0x443ffffa,
    0xcb99bcba,0x20ffffaa,0xfffffffa,0xffffffff,0x7fc400ff,0x30000fff,
    0xb00fffff,0x0009ffff,0x56ffffb8,0x41ffffff,0x2003fffd,0x02fffffe,
    0x7ffffdc0,0x7ff40004,0xffb806ff,0x4ccc3fff,0xfffff319,0xffff3001,
    0x3ffee09f,0x3fa001ff,0x3fea0fff,0xbfffffff,0x2a1ffff9,0xffffffff,
    0xffffffff,0x7ffc400f,0xf30000ff,0xfb00ffff,0x80009fff,0xf96ffffb,
    0xfe89ffff,0x3fa002ff,0x4002ffff,0x05fffffa,0x3fffe600,0xfffb803f,
    0xff3002ff,0x3e001fff,0xfd07ffff,0x4400ffff,0x3ee5ffff,0xffffffff,
    0x2ffff9af,0x3fffffea,0xffffffff,0x7c400fff,0x0000ffff,0x01fffff1,
    0x04ffffd8,0x7fffdc00,0x9fffffb6,0x001ffff8,0x07fffffe,0xfffff500,
    0x7fe4000d,0xfa800fff,0x3002ffff,0x001fffff,0x0bfffff2,0x09fffff3,
    0x97fffd40,0xfffffff8,0xff89ffff,0x266623ff,0x99999999,0x00fffffe,
    0x03ffffcc,0xfffff100,0xffffd803,0x7fdc0004,0xffff96ff,0x3ffe21ff,
    0x3ffe000f,0x4c000fff,0x007fffff,0x9fffff10,0x3fffea00,0xfff3002f,
    0x3e6001ff,0x7e45ffff,0x2001ffff,0xf90ffffb,0xfffbffff,0xffff11ff,
    0x7ff40007,0x7dc00fff,0x40007fff,0x403fffff,0x004ffffd,0xb7fffdc0,
    0xfffffffa,0x007fff9b,0x3fffffe2,0x7ffc4000,0xf70007ff,0x2001ffff,
    0x01fffffa,0x1fffff30,0x7ffffc00,0x37fffec6,0x5ffff600,0xd1fffff8,
    0x7ffcffff,0x3fa0004f,0x7400ffff,0x0005ffff,0x07ffffec,0x09ffffb0,
    0xffffb800,0xffffff16,0x0bffffff,0xffffff80,0x7ffcc001,0xfd0006ff,
    0x4c00bfff,0x001fffff,0x01fffff3,0x3ffffec0,0x017ffffa,0x2abffff0,
    0x3fe4ffff,0x3fffe7ff,0x3ffa0004,0xea880fff,0x002fffff,0x7ffffd40,
    0xfffd81ae,0x7dc0004f,0x3ff26fff,0xffffffff,0x3fe000ef,0x4001ffff,
    0x05fffffa,0xfffffa80,0x3ffe6002,0xff3001ff,0x64001fff,0x3e0fffff,
    0x2004ffff,0xf94ffff9,0x7ffc3fff,0x13fffe6f,0xffffe800,0xfffff50f,
    0x000bffff,0x3fffff60,0xffb2ffff,0xb80009ff,0x7ec6ffff,0xffffffff,
    0xe802dfff,0x002fffff,0x27ffffd4,0x7fffec00,0x7ffcc006,0xff3001ff,
    0x5c001fff,0xf11fffff,0x4007ffff,0xfd2ffffa,0x7ffc4fff,0x0ffffe5f,
    0xffffe800,0xfffff50f,0x00007dff,0xfffffeb8,0xffffb2ff,0xffb80009,
    0x7fec46ff,0xffffffff,0x3601efff,0x002fffff,0x1fffffdc,0x3fffe600,
    0x7fcc003f,0xf3000fff,0x4001ffff,0x32fffffa,0x005fffff,0xf8ffffd4,
    0x3fe26fff,0x3fffe5ff,0x3ffa0003,0xfff50fff,0x0005bfff,0xfffd5100,
    0x3ff65fff,0x5c0004ff,0xf506ffff,0xffffffff,0x209fffff,0x04fffffc,
    0x7ffffe40,0x7ffe4003,0x7c4000ff,0x3000ffff,0x001fffff,0x9fffffcc,
    0x02fffffa,0x23fffee0,0x265ffff8,0xff14ffff,0x740005ff,0xf50fffff,
    0xdfffffff,0x3a600001,0xffffffff,0x09ffffb2,0xffffb800,0x7ffed406,
    0xffffffff,0xffffc84f,0x7ffc007f,0x22001fff,0x004fffff,0x0fffff88,
    0xfffff300,0x7ffc4001,0xffff73ff,0x7fdc003f,0xffff88ff,0x4ffffea5,
    0x002ffff8,0x3fffffa0,0xfffb9930,0x0001ffff,0xffffff88,0xffb1ccde,
    0xb80009ff,0x7006ffff,0xffffffff,0xf987ffff,0x001fffff,0x0dfffff5,
    0xfffffb80,0xfff88001,0x3fe6007f,0x26000fff,0xf52fffff,0x4005ffff,
    0xff37fffc,0x7ffdc9ff,0x3ffff32f,0x7fff4000,0x3ff200ff,0x40003fff,
    0x03fffffc,0x013ffff6,0xdffff700,0x3bffee00,0xffffffff,0xfffffe87,
    0xffffb004,0xffe8007f,0x260005ff,0x26001999,0x000fffff,0x47ffffea,
    0x03fffff9,0x4dffff60,0x3ee4ffff,0xfff51fff,0x7f40001f,0x7400ffff,
    0x0006ffff,0x027ffffc,0x013ffff6,0xdffff700,0x2ffff200,0xffffffc8,
    0x7fffdc1f,0x7fe403ff,0x54007fff,0x002fffff,0xff300000,0x5c001fff,
    0xf10fffff,0x4009ffff,0xff37fffd,0x7ffe49ff,0x0dfff91f,0xffffe800,
    0x7ffd400f,0x7fc0007f,0x7ec01fff,0x40004fff,0x006ffffb,0x7d45fffb,
    0x443fffff,0xcfffffff,0x7fffe4c1,0x7ec004ff,0x00006fff,0x3ffe6000,
    0x3f2000ff,0x7ffc7fff,0x3f2005ff,0xffff17ff,0x87ffff49,0x0004fffe,
    0x07fffff4,0x3ffffe60,0xfff10000,0xffd801ff,0x5c0004ff,0xf006ffff,
    0xffe83fff,0xffc84fff,0xefffffff,0xffffffff,0x3fe2000e,0x40003fff,
    0x2001ded9,0x00fffff9,0x1bffff60,0x00dffffd,0xf87fffe4,0xfff75fff,
    0xffff33ff,0xffe80005,0x7c400fff,0x0000ffff,0x00fffff3,0x009ffffb,
    0x6ffffb80,0x0ffff880,0x1fffffec,0xffffffd8,0xffffffff,0x64000eff,
    0x000fffff,0x3ffffea0,0xffff3001,0x7ffc001f,0x7ffec5ff,0xff7001ff,
    0x3fffe1ff,0xffffffdf,0x007ffffd,0xfffffe80,0x7fffc400,0xff30000f,
    0xffb00fff,0xb80009ff,0x9806ffff,0xffe87fff,0x3f601fff,0xffffffff,
    0x00ffffff,0x7ffffc40,0x7ffc0004,0xf3006fff,0x2001ffff,0x43fffffa,
    0x04fffffb,0x23ffff50,0xfffffffc,0xffffffff,0xfe80003f,0x4400ffff,
    0x000fffff,0x0fffff30,0x09ffffb0,0xffffb800,0xff501596,0xffffc8df,
    0xfffd807f,0xffffffff,0xfb8000df,0x0001ffff,0x3fffffe2,0xfff9800f,
    0xffb000ff,0xff881fff,0xf3007fff,0x3fe65fff,0xffbfffff,0x005fffff,
    0xfffffd00,0xffff8801,0xff30000f,0xffb00fff,0xb80009ff,0xffd6ffff,
    0xfff9359d,0xffffd73b,0x2e2009ff,0xfffffffe,0x3fa0001c,0x40006fff,
    0xfffffff8,0xffff9800,0xfff8800f,0xfffb04ff,0xff3003ff,0x7ffdc5ff,
    0xffff92ff,0x740000df,0x400fffff,0x00fffff8,0xfffff300,0x9ffffb00,
    0xfffb8000,0xfffffd6f,0xffffffff,0x0dffffff,0x3ffff200,0x7cc0000f,
    0x0002ffff,0x5fffffd8,0xfffff300,0xffff7001,0x3ffea03f,0xff8805ff,
    0x5f6d45ff,0x00deed41,0x3fffa000,0x7fc400ff,0x30000fff,0xb00fffff,
    0x0009ffff,0xd6ffffb8,0xffffffff,0xffffffff,0x20001dff,0x03fffffa,
    0x7fffec00,0xfd100007,0x26001dff,0x400fffff,0x06fffff8,0x0ffffffc,
    0x07ffffc0,0x00000000,0x01fffffd,0x1fffff88,0xffff3000,0xffffb00f,
    0xffb80009,0xffffd6ff,0xffffffff,0x01bfffff,0x7fffc400,0x880600ef,
    0x003fffff,0x0015d400,0x03ffffe6,0x7fffff90,0xfffffb80,0xffffc806,
    0x00000002,0x1fffffe0,0x0fffffc0,0xffffa800,0xffffd807,0x7fdc0004,
    0xffffb6ff,0xffffffff,0x0003bfff,0x3fffffe0,0x03faa22e,0x07ffffe4,
    0x80000000,0x00fffff9,0x1bffffe6,0x7fffff40,0x7fffcc03,0x00000005,
    0xbfffff10,0x3ffffa00,0xfff70003,0xfffb00df,0xfb80009f,0x654c6fff,
    0xdeffffed,0x400000ab,0xfffffffb,0x05ffffff,0x00bfffff,0x4c000000,
    0x200fffff,0x01fffffe,0xffffff30,0xffffe801,0x00000001,0x4fffffa8,
    0xbffffb00,0x3fff6000,0xfffd804f,0x7dc0004f,0x7d406fff,0x000006ff,
    0xffffffd0,0x7fffffff,0x1fffffa8,0x00000000,0x03ffffe6,0x27ffffe4,
    0x3ffff200,0x7ffdc06f,0x00c001ff,0xffe80062,0xf9002fff,0x8005ffff,
    0x03fffffa,0x04ffffd8,0x7fffdc00,0x27ffe406,0xf8800000,0xffffffff,
    0x7f45ffff,0x00006fff,0x7fcc0000,0xffb80fff,0xd0006fff,0x40bfffff,
    0x1ffffff8,0x4405ea80,0xfd300adf,0x001fffff,0x3fffffe6,0xf931009c,
    0x001fffff,0x009ffffb,0x6ffffb80,0x01fffec0,0xf9100000,0xffffffff,
    0x3333305f,0x00000001,0xfffff980,0x7ffffd40,0xff30001f,0x640bffff,
    0xbeffffff,0xfffcb999,0x7fffc405,0xfffedcde,0x4002ffff,0xfffffffc,
    0xffffd5ff,0x009fffff,0x3ffffff6,0xf96fffff,0xffffffff,0xffe80dff,
    0x0000002f,0xeffedc88,0x000000bc,0x26000000,0x2a0fffff,0x03ffffff,
    0x7fffd400,0x3ff204ff,0xffffffff,0x405fffff,0xfffffff8,0xffffffff,
    0xfff88004,0xd5ffffff,0xffffffff,0x3ff6001f,0xffffffff,0xfffff96f,
    0x0dffffff,0x001ffff8,0x00000000,0x00000000,0xffff9800,0xfffff30f,
    0x2a00007f,0x02ffffff,0x3fffffee,0xffffffff,0x7fffc405,0xffffffff,
    0x30000dff,0xfffffffd,0x3fffffab,0x36000dff,0xffffffff,0xfff96fff,
    0xffffffff,0x7fffc40d,0x00000000,0x00000000,0xf9800000,0x3f60ffff,
    0x00002fff,0x027fffd4,0x7fffffd4,0x0befffff,0x7ffffc40,0xefffffff,
    0xfd500001,0x3fabffff,0x002effff,0xffffffd8,0xf96fffff,0xffffffff,
    0x00000dff,0x00000000,0x00000000,0xffff3000,0x02ffd81f,0x9ff50000,
    0x7f6d4400,0x001cdeff,0xfffeec98,0x00002bce,0x546aaa60,0x40001aaa,
    0xaaaaaaa9,0x5532aaaa,0x55555555,0x00000055,0x00000000,0x00000000,
    0xfffff300,0x00005b01,0x00004a80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07777744,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddb00000,0x000007dd,0x6f6e54c0,
    0xaaaaaaac,0x555510aa,0x2aa00055,0x4400aaaa,0x00000009,0x09acba88,
    0x79dd3000,0x00000135,0x2b3372a6,0x2a677510,0xdca80aaa,0x75c00abd,
    0x0000eeee,0x0b36e000,0xffff9000,0x8000001f,0xffffffe9,0xffffffff,
    0xffff12ff,0xf88005ff,0x900fffff,0x007dfffd,0x01f776c4,0x7fffffd4,
    0x4c000cff,0xffffffff,0x75c0000c,0xffffffff,0xf94fffff,0x7fdc5fff,
    0x04ffffff,0x03fffff2,0x3a200000,0x0004ffff,0x0fffffe2,0xffd80000,
    0xffffffff,0xffffffff,0x3fffff62,0x7ffdc005,0xffe885ff,0x00efffff,
    0x00ffffc8,0x3fffff62,0x03ffffff,0x3ffffe60,0x00cfffff,0x7ffff440,
    0xffffffff,0xfff94fff,0x3ffff67f,0x05ffffff,0x01fffff9,0xff900000,
    0x0003ffff,0x037fffec,0xfffd8000,0xffffffff,0xffffffff,0x3ffffea2,
    0x3ffa000f,0xffe82fff,0x4fffffff,0x17fffcc0,0x3fffffa0,0xffffffff,
    0xffff3001,0xffffffff,0x3ffee005,0xffffffff,0x94ffffff,0xffb7ffff,
    0xffffffff,0xfff90bff,0x000001ff,0xffffffd0,0x7fd40007,0x00002fff,
    0x7fffffd4,0xffffbaac,0x42ffffff,0x03ffffff,0xffffff10,0x7dffff50,
    0x403fffff,0x6405fffe,0xffffffff,0x0fffffff,0xfffff980,0xffffffff,
    0x7fffd402,0xffefffff,0x94ffffff,0xffffffff,0xffffffff,0xffc83fff,
    0x00000fff,0xfffffe80,0x7f40003f,0x00005fff,0x077ffffc,0x37fffec4,
    0x3ffffee0,0xffff7006,0x9fffd09f,0x81ffffc4,0x200ffffc,0x1efffff9,
    0x3fffffa6,0xeecc8803,0xffffffff,0x3ffa00ff,0x441bffff,0x94fffffb,
    0xffffffff,0xfff955bf,0xffc8bfff,0x00000fff,0xfffffc80,0x7dc0001f,
    0x0001ffff,0x5fffff10,0x7ffffc40,0x3fffe202,0xffe800ff,0xfff80fff,
    0x27ffec2f,0x01ffffcc,0x03ffffee,0x13ffffe2,0xfffd9800,0xb80effff,
    0x01ffffff,0x53ffffe2,0xfffffffc,0xffffb80e,0x3fff21ff,0x000000ff,
    0x4fffff88,0xfff88000,0x500004ff,0xd00fffff,0xd809ffff,0x403fffff,
    0x85fffff9,0x5c0ffff8,0xffe85fff,0xfffd806f,0x3fff605f,0xf980006f,
    0x42ffffff,0x2ffffff8,0x7ffffc40,0xffffff94,0x7fff401d,0x3fff24ff,
    0x000000ff,0x005bb910,0x7fffe400,0xfc80000f,0xfd806fff,0x7d405fff,
    0x6406ffff,0x882fffff,0x7dc0ffff,0x7ffe45ff,0xfffe800f,0x3fff604f,
    0xf300005f,0xb89fffff,0x806fffff,0x94fffff8,0x03ffffff,0x5fffffb8,
    0x03fffff2,0x00000000,0x3ffe6000,0xb80003ff,0x400fffff,0x804ffffd,
    0x01ffffff,0x81fffffe,0x7ec2ffff,0x3ffe64ff,0xfffd003f,0x7fff40bf,
    0x3600004f,0x646fffff,0x803fffff,0x94fffff8,0x005fffff,0x4dfffff3,
    0x40fffffc,0x00abdcb8,0x00000000,0x037fffec,0x7fffcc00,0x3ffe202f,
    0xffc802ff,0xff504fff,0x7f409fff,0x7fffc4ff,0x01bfffa3,0x07ffffc8,
    0x05fffff5,0x7ffdc000,0x7ffec7ff,0xff8801ff,0xfff94fff,0xff1001ff,
    0x7fe4ffff,0x3ffea7ff,0x404fffff,0xaaaaaaa9,0x0002aaaa,0x3ffffea0,
    0x7fc40002,0x3f205fff,0x8801ffff,0xb07fffff,0x403fffff,0xebdffffc,
    0xff70ffff,0x7d4003ff,0x7cc3ffff,0x0006ffff,0x7ffffd40,0x7fffff47,
    0xffff8800,0xfffff94f,0x3fffe001,0xffff90ff,0x3ffffeef,0x205fffff,
    0xfffffffd,0x000fffff,0x3ffffa00,0xffc80005,0xa88aefff,0x05fffffd,
    0x3fffff60,0x7ffffc42,0x7fffc406,0x33ffffff,0x8007ffff,0x1ffffff8,
    0x3ffffff5,0xffc80000,0x7ffc5fff,0xff1007ff,0x3ff29fff,0xff000fff,
    0x3f21ffff,0xfffcffff,0xffffffff,0xffffb05f,0xffffffff,0x7dc00001,
    0x0000ffff,0xffffffe8,0xffffffff,0x3fea000f,0x7fd45fff,0xfb803fff,
    0x5fffffff,0x001bfffa,0x77ffffdc,0x3ffffffd,0x7fc40000,0x3e24ffff,
    0x1007ffff,0x329fffff,0x000fffff,0x64ffffff,0xffffffff,0xffffffff,
    0xffd81fff,0xffffffff,0x200000ff,0x04fffff8,0x7fff4400,0xffffffff,
    0xf8001fff,0x3a0fffff,0x000fffff,0x5dffffd3,0x00ffffdc,0xfffffd00,
    0x05ffffff,0xffe98000,0x7fc1ffff,0xf1007fff,0x3f29ffff,0x8800ffff,
    0x326fffff,0xffffffff,0xfffcaadf,0xffd85fff,0xffffffff,0x400000ff,
    0x007ffffc,0x7ffffec0,0xffffffff,0xff90000c,0x3fe27fff,0x88004fff,
    0x7ffc4099,0x7cc0004f,0xffffffff,0x3a60001e,0xfffffeee,0xfff84fff,
    0xf8800fff,0xff94ffff,0xf3001fff,0x7e4bffff,0x0effffff,0xffffffb8,
    0x4ccccc41,0x0fffffe9,0x7fcc0000,0x50003fff,0xd73bffff,0x00179bdd,
    0xfffff980,0x3fffff75,0xffe80000,0xe880006f,0x3fffffff,0xfff98000,
    0xffffffff,0xffffe80f,0xfffb801f,0xffff94ff,0xfff9001f,0x7ffe47ff,
    0x3a00efff,0x004fffff,0x03fffffa,0x3ffa0000,0xfb0006ff,0x00003fff,
    0x3ffff600,0x6ffffe8f,0x7fdc0000,0x4c0001ff,0xfffffffe,0xaaaa880f,
    0x3fffe202,0x0dffffff,0x9fffffb0,0xfffffa80,0xfffff94f,0xffff8801,
    0x3fff22ff,0x7dc01fff,0x2005ffff,0x00fffffe,0xfffa8000,0xff8001ff,
    0x00001fff,0xfffff500,0x07fffffb,0x7ffc4000,0x7cc0004f,0xffffffff,
    0x7ffdc0ef,0x3ffe206f,0x03ffffff,0x37ffffdc,0xffffff30,0x3ffff29f,
    0x7ffe400f,0x3ff20fff,0xf9802fff,0x2006ffff,0x00fffffe,0xffff0000,
    0xfff000bf,0x00001dff,0x3ffffe00,0x00ffffff,0x3fff6000,0x7fcc0006,
    0xffffffff,0x7ffdc5ff,0x3ffe205f,0x1001beff,0x0bffffff,0xfffffff7,
    0x3ffff29f,0x3fff200f,0x7fe42fff,0xf8800fff,0x2007ffff,0x00fffffe,
    0xfff70000,0xfd8001ff,0xdeefffff,0x009acccc,0x7fffe400,0x005fffff,
    0x3fffea00,0x3fa00081,0xff9cffff,0x3f23ffff,0x7fc04fff,0xc8002fff,
    0xceffffff,0xfffffffc,0xfff94fff,0x73337bff,0xbffffffd,0x1fffff90,
    0x3ffffe00,0xfffd000f,0x000001ff,0x13ffffe2,0xfffff700,0xffffffff,
    0x0007dfff,0x3fffffe6,0x00002fff,0x4c9ffff1,0x00cefffd,0x4bfffff5,
    0x2ffffffb,0x809ffffb,0x002fffff,0xffffff88,0xffffffff,0xf94fffff,
    0xffffffff,0xffffffff,0xffff901f,0x3ffe001f,0xfd000fff,0x0001ffff,
    0x7fffe400,0xfffb8007,0xffffffff,0x1fffffff,0xffffe800,0x00006fff,
    0x5c3ffff6,0xffffffff,0xfffffd81,0x7ffffec0,0x3ffffe9f,0x0fffffc0,
    0xffffb800,0xffffffff,0x94fffffa,0xffffffff,0xffffffff,0x3fff203d,
    0xfff000ff,0x7f400fff,0x0000ffff,0x3fffe600,0x7fc4002f,0xffffffff,
    0xffffffff,0x7fd4000e,0x002fffff,0x5ffff500,0x3fffffee,0xfff86fff,
    0xfffd06ff,0xfffffdff,0xffffe803,0x3fea0001,0xffffffff,0x29fffff2,
    0xfffffffc,0xffffffff,0x7fffe403,0xfff8800f,0x3fa006ff,0x0000ffff,
    0x7ffff400,0x3ffe6006,0xeeeeefff,0xfffffffe,0xfff8005f,0x00006fff,
    0x22bffff1,0xfecfffff,0x3fe23fff,0xff104fff,0xffffffff,0x3333100d,
    0xffd30000,0x7c1bffff,0xff94ffff,0xffffffff,0x90019dff,0x001fffff,
    0x0bfffff3,0x7fffff40,0x54000000,0x801fffff,0x0efffff8,0x7ffff4c0,
    0x7fc4007f,0x0003ffff,0x21ffffb0,0x360ffffb,0x3fe66fff,0x3e604fff,
    0xffffffff,0x00000003,0x440abb98,0xf94fffff,0x5533ffff,0xff900013,
    0xf9001fff,0x4007ffff,0x00fffffe,0xfff80000,0xffc805ff,0x3e001fff,
    0x000fffff,0x1ffffff2,0x7ffd4000,0x17fff22f,0x7c4ffff5,0x5405ffff,
    0xffffffff,0x00000000,0xffff8800,0xfffff94f,0x3f200001,0x4400ffff,
    0x02ffffff,0x3fffffa0,0xb8000000,0x400fffff,0x006fffff,0x07fffff4,
    0xfffff980,0xf880003f,0x7fec5fff,0x7fffcc3f,0x3fffffa0,0x7fffe401,
    0xfd5005ff,0x0000009f,0x4fffff88,0x01fffff9,0x3fff2000,0x7fe400ff,
    0x2000ffff,0x00fffffe,0xff880000,0x3e203fff,0x2006ffff,0x06fffff8,
    0xfffffd10,0x3f20000d,0x7ff40fff,0x7fffc43f,0x3fffff60,0x3ffee00e,
    0x5400ffff,0x005fffff,0x3fe20000,0xfff94fff,0x200001ff,0x00fffffc,
    0x3ffffff2,0x7fff4002,0x000000ff,0x0fffffb0,0x1ffffff8,0xfffffb00,
    0xfffb8809,0x0000ffff,0x82ffffa8,0x7d44fffd,0x7ffd47ff,0xa9abffff,
    0xffffffeb,0x3fe00eff,0x002fffff,0xfff10000,0x3fff29ff,0x900000ff,
    0x37bfffff,0xffffd733,0xfd000bff,0x0001ffff,0x3ffe6000,0x3ff602ff,
    0x0abcffff,0xfffff733,0xeefc81ff,0xffffffff,0xfe880002,0xfff905ff,
    0x85fffc8d,0xfffffffd,0xffffffff,0x05ffffff,0xfffffff1,0x20000009,
    0x94fffff8,0x001fffff,0x3ffff200,0xffffffff,0x80ffffff,0xccccccca,
    0xccffffff,0x000ccccc,0x7ffff400,0x3fffea06,0xffffffff,0xffffffff,
    0xfffffc81,0x003fffff,0x1ffff900,0x3bfffea0,0x83ffffca,0xffffffe8,
    0xffffffff,0x4fffffff,0xfffffff0,0x20000007,0x94fffff8,0x001fffff,
    0x3ffff200,0xffffffff,0x701effff,0xffffffff,0xffffffff,0x0001ffff,
    0xfffffa80,0x3fffea01,0xffffffff,0x01ffffff,0xfffffff9,0x200005ff,
    0x403ffff9,0xfffffffe,0x3f6206ff,0xffffffff,0xffb9dfff,0xfd82ffff,
    0x000fffff,0xfff10000,0x3fff29ff,0x900000ff,0xffffffff,0x7fffffff,
    0xfffffb80,0xffffffff,0x0fffffff,0xfff80000,0x7ecc04ff,0xffffffff,
    0x402effff,0xfffffffc,0x3a00000c,0xf9805fff,0xffffffff,0xfffd9801,
    0x42efffff,0x1ffffffd,0x17fffec4,0xf1000000,0x3f29ffff,0x0000ffff,
    0x3fff6e60,0xceffffff,0xffffb800,0xffffffff,0xffffffff,0xfc800000,
    0x8800ffff,0xefffedcb,0xf7002bcd,0x00379dff,0xffffc800,0xfffb1000,
    0x30001bff,0x00035775,0x000aba80,0x55440000,0x55531aaa,0x00000155,
    0x04d54cc4,0x7fffdc00,0xffffffff,0xffffffff,0xf8800000,0x0003ffff,
    0x00000000,0x20000000,0x00001a98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x0006ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x005ffffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99988000,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x007ddddd,0x00998800,0x01ddddd7,0xeeeea800,
    0x6400002e,0xeeeeeeee,0x0000eeee,0x22000000,0x20000aba,0x09bcdca9,
    0x75310000,0x1579bdd9,0xdd975100,0x2003579d,0x99999998,0x99999999,
    0xf1000009,0x0009ffff,0xffffeda8,0xff90deff,0x80001fff,0x02fffffb,
    0x7ffec000,0xffffffff,0x7300000f,0xf30000db,0x4003dfff,0xffffffd8,
    0x0002efff,0xffffffb3,0x1fffffff,0xfffffd70,0x5dffffff,0xfffffc80,
    0xffffffff,0x00004fff,0x09fffff1,0x3fffa600,0xffffffff,0x1fffff90,
    0xfffb8000,0x400002ff,0xfffffffd,0x000fffff,0x3ffffec0,0x3ffe2000,
    0x9800ffff,0xfffffffe,0x004fffff,0x3fffff22,0xffffffff,0xfffe80ff,
    0xffffffff,0xf901efff,0xffffffff,0x9fffffff,0x3fe20000,0xb8004fff,
    0xffffffff,0xf90fffff,0x0001ffff,0x2fffffb8,0x7fec0000,0xffffffff,
    0x7c0000ff,0x0007ffff,0x7fffffe4,0x7ffdc03f,0xffffffff,0x400effff,
    0xffffffe8,0xffffffff,0xfffe80ff,0xffffffff,0xc80effff,0xffffffff,
    0xffffffff,0xff100004,0x98009fff,0xffffffff,0x90ffffff,0x001fffff,
    0xfffffb80,0x76400002,0xfffeeeee,0x40000fff,0x007fffff,0x7ffffec0,
    0x3ff205ff,0xffffffff,0xffffffff,0x3ffff600,0xffffffff,0xe80fffff,
    0xffffffff,0xffffffff,0xfffffc85,0xffffffff,0x00004fff,0x09fffff1,
    0xfffffe80,0xdcbaabef,0xfffff90f,0xffb80001,0x00002fff,0x3ffffa00,
    0x7fc0000f,0x40007fff,0xfffffffd,0xfffff104,0xffb9bfff,0x07ffffff,
    0x3fffffee,0xba99abdf,0xfe80ffec,0xa999aace,0xfffffffc,0x66666541,
    0xffdccccc,0x00004fff,0x09fffff1,0x7ffffd40,0x3ff2002f,0x40000fff,
    0x02fffffb,0x3fa00000,0x0000ffff,0x03fffffc,0x3fffea00,0xffb02fff,
    0x2a05ffff,0x07ffffff,0x1dfffffd,0x04c0a200,0xfffff980,0x3ea0002f,
    0x0004ffff,0x9fffff10,0x7fffdc00,0x7fe4004f,0x40000fff,0x02fffffb,
    0x3fa00000,0x0000ffff,0x03fffffc,0x7fffec00,0xffff305f,0xffa805ff,
    0xff82ffff,0x0001ffff,0xfff90000,0x540009ff,0x004fffff,0xfffff100,
    0x7ffec009,0x7e4000ff,0x0000ffff,0x17ffffdc,0xfd000000,0x3001ffff,
    0xff555555,0x5555ffff,0x80155555,0x3603efeb,0x003fffff,0x8dfffff9,
    0x0ffffff8,0x50000000,0x009fffff,0x7ffffd40,0x32e62004,0xffffbccd,
    0x3ffa004f,0xfc8007ff,0x6540ffff,0xf700acdd,0x8805ffff,0x02aaaaaa,
    0x7fffff40,0xffffc800,0xffffffff,0xffffffff,0xf300002f,0x001fffff,
    0x3fffffe6,0x3ffffe61,0x0000001f,0x7fffff50,0x7ffd4000,0xffa804ff,
    0xffffffff,0x2004ffff,0x006fffff,0x27ffffc8,0xfffffffb,0xffffb83f,
    0x7ffec02f,0x74003fff,0x800fffff,0xfffffffc,0xffffffff,0x02ffffff,
    0xffff5000,0xffe800df,0x3fe22fff,0x000dffff,0xffc80000,0x20002fff,
    0x04fffffa,0x3fffffa6,0xffffffff,0x3fe004ff,0xc8006fff,0xffb7ffff,
    0xffffffff,0xfffffb8b,0x3ffff202,0xfe8004ff,0xc800ffff,0xffffffff,
    0xffffffff,0x002fffff,0xfffff900,0xfffc8007,0x7fffc3ff,0x0001efff,
    0x3ffe2000,0x540007ff,0x704fffff,0xffffffff,0xffffffff,0x7ffc009f,
    0xfc8006ff,0xfffdffff,0xffffffff,0x3fffee1f,0xffff502f,0x3a000bff,
    0x800fffff,0xfffffffc,0xffffffff,0x02ffffff,0xffffd000,0xffb8005f,
    0x7fec4fff,0x2effffff,0x75400000,0x003fffff,0x7ffffd40,0xfffff984,
    0xfffeffff,0x004fffff,0x01bffffe,0x3fffff20,0xffffffff,0x2e6fffff,
    0x982fffff,0x05ffffff,0x3ffffa00,0x9998800f,0xfffff999,0x9999999f,
    0xf0000099,0x005fffff,0x5fffffa8,0x7fffffc4,0x01cfffff,0x97555500,
    0x5ffffffd,0xfff50000,0xfffd09ff,0xb8837fff,0x224fffff,0xfeeeeeee,
    0xeeefffff,0x22eeeeee,0xfffffffc,0xffebadff,0xff71ffff,0xff885fff,
    0x000effff,0x3fffffa0,0x7ffc0000,0x000007ff,0x7fffffc0,0x7ffd4001,
    0xfffa86ff,0xffffffff,0x7f4002ef,0xffffffff,0x500000ef,0xc89fffff,
    0x01ffffff,0x93ffffe2,0xfffffff8,0xffffffff,0x2fffffff,0x3ffffff2,
    0xfffe80ef,0xffff72ff,0xffffe85f,0x740000ef,0x000fffff,0x3fffffc0,
    0x3e000000,0x000fffff,0x3fffffcc,0xffffffb8,0xefffffff,0xffffd001,
    0x17ffffff,0x3fea0000,0x3fe24fff,0x4402ffff,0x224fffff,0xffffffff,
    0xffffffff,0x22ffffff,0xeffffffc,0xfffff900,0x3ffffee7,0x3fffff62,
    0xfe80001f,0x0000ffff,0x03fffffc,0x1cedb800,0xffffff88,0x7ffcc000,
    0x3fa607ff,0xffffffff,0xe803ffff,0xffffffff,0x000dffff,0x7ffffd40,
    0x3ffffea4,0xffff8806,0x3fffe24f,0xffffffff,0xffffffff,0x3fff22ff,
    0x3ea01fff,0xff74ffff,0x3fee5fff,0x0001ffff,0x1fffffd0,0xffff8000,
    0xfc80007f,0xff82ffff,0x4001ffff,0x07fffff9,0xfffffda8,0x3fffffff,
    0x7fffff40,0xffffffff,0x3ea0002f,0x3f24ffff,0x8803ffff,0x224fffff,
    0xfeeeeeee,0xeeefffff,0x22eeeeee,0x02fffffc,0xa7ffffc4,0xaafffffb,
    0x02ffffff,0x3fffa000,0x7c0000ff,0x0007ffff,0x7fffffcc,0x7ffff41f,
    0x7fd4001f,0x26007fff,0xfffffffc,0x2001ffff,0xffffca99,0x0000ffff,
    0x49fffff5,0x01fffffd,0x4fffff88,0x3ffffe00,0xfffc8006,0x7fc400ff,
    0xfff74fff,0xfffff9ff,0xe800007f,0x000fffff,0x3fffffc0,0x3ffee000,
    0x7ec4ffff,0x4002ffff,0x06fffffa,0xffffb500,0x000bffff,0xffffffb8,
    0xfff50005,0x7fff49ff,0xff8800ff,0x3e004fff,0x8006ffff,0x00fffffc,
    0xa7ffffc4,0xfffffffb,0x0004ffff,0xfffffe80,0x7ffc0000,0x5c0007ff,
    0x7fffffff,0x17ffffe4,0x3fffee00,0x74c0005f,0x07ffffff,0xffffb800,
    0xff50007f,0x7ffc9fff,0xff1007ff,0x7c009fff,0x8006ffff,0x00fffffc,
    0xa7ffffc4,0xfffffffb,0x000effff,0x7ffff400,0x7fc0000f,0x40007fff,
    0xfffffff9,0x3ffff20f,0x7fe4004f,0x80003fff,0xffffffe8,0xfff80000,
    0xa8001fff,0xf14fffff,0x200fffff,0x04fffff8,0x1bffffe0,0x3ffff200,
    0x7ffc400f,0xffff74ff,0xffffff7f,0xfe80000b,0x0000ffff,0x03fffffc,
    0x7fffec00,0x3fee1fff,0x7c007fff,0x001fffff,0xfffff500,0xfd00005f,
    0x0005ffff,0x49fffff5,0x007fffff,0x09fffff1,0x37ffffc0,0x7fffe400,
    0x7ffc400f,0xffff74ff,0xfffff55f,0x7400007f,0x000fffff,0x3fffffc0,
    0xfffe8000,0x3fe60fff,0x5001ffff,0x01ffffff,0x3ffe2000,0x80001fff,
    0x00ffffff,0xfffffc80,0x3fffffe3,0xffff8800,0x3ffe004f,0xfc8006ff,
    0x4400ffff,0xf74fffff,0x3f25ffff,0x002fffff,0xfffffd00,0xfff80001,
    0x300007ff,0xd0ffffff,0x009fffff,0x0ffffff6,0xfff98000,0x980007ff,
    0x007fffff,0x5fffffb0,0x0ffffff4,0x7ffffdc0,0x3fffe004,0xffc8006f,
    0x7c400fff,0xff74ffff,0x7ff45fff,0x0000ffff,0x0fffffe8,0x7fffc000,
    0xd00000ff,0xf50bffff,0x807fffff,0x0ffffffc,0xfd80004c,0x0005ffff,
    0x7fffff44,0x7fd400e5,0x3f60ffff,0x5404ffff,0x04ffffff,0x1bffffe0,
    0x3ffff200,0x7ffc400f,0xffff74ff,0x7fffc45f,0x40000eff,0x00fffffe,
    0x7ffff400,0xff00003f,0x3fa09fff,0x41cfffff,0xffffffc9,0x0acefc83,
    0x7fffed40,0x2a0003ff,0x3ffffffe,0xff980fba,0x7dc7ffff,0x2606ffff,
    0x4fffffff,0x3ffffe00,0xfffc8006,0x7fc400ff,0xfff74fff,0xfffa85ff,
    0x40005fff,0x00fffffe,0x7fffec00,0xfa80005f,0xf700ffff,0xffffffff,
    0xfffffffd,0x3fff20df,0xedceefff,0xffffffff,0x3337b20e,0xffdcbaac,
    0x45ffffff,0xbbcdfffe,0xfffffffd,0x7ffffc42,0xffffb85f,0x2004ffff,
    0x006fffff,0x0fffffc8,0x7ffffc40,0x5fffff74,0xffffffb0,0x7ff40009,
    0x40000fff,0xdffffffc,0x1dba999a,0x3ffffee0,0x7ffff402,0xffffffff,
    0x902fffff,0xffffffff,0xffffffff,0xffc83fff,0xffffffff,0xefffffff,
    0x7fffff40,0xffffffff,0xffff905f,0xfff99dff,0x9fffffff,0x7ffffc00,
    0xfffc8006,0x7fc400ff,0xfff74fff,0xffd105ff,0x2a05ffff,0xfccccccc,
    0xcccfffff,0x8800cccc,0xffffffff,0x32ffffff,0xfffffb95,0x3ff2009f,
    0xffffffff,0x201effff,0xfffffffc,0xffffffff,0xffc82fff,0xffffffff,
    0x0fffffff,0xffffffe8,0xffffffff,0xfffff100,0xffffffff,0x09ffffdf,
    0x37ffffc0,0x7fffe400,0x7ffc400f,0xffff74ff,0x3ffe605f,0xfb81ffff,
    0xffffffff,0xffffffff,0xf7000fff,0xffffffff,0x3f25ffff,0x4fffffff,
    0x7fffdc00,0xffffffff,0x7ffe400d,0xffffffff,0x01dfffff,0xfffffff9,
    0xdfffffff,0x7ffff405,0xffffffff,0x7ffdc00c,0xffffffff,0x4ffffbbf,
    0x3ffffe00,0xfffc8006,0x7fc400ff,0xfff74fff,0x7fdc05ff,0x5c0effff,
    0xffffffff,0xffffffff,0x2000ffff,0xfffffffd,0xf92fffff,0x01bfffff,
    0x3ffb2600,0x02dfffff,0xffffb730,0xffffffff,0xfffc8019,0xffffffff,
    0xfb5001de,0xbfffffff,0x7ffd4003,0x2fffffff,0x009ffff7,0x037ffffc,
    0x7ffffe40,0x7fffc400,0xfffff74f,0xffffd805,0x7ffdc5ff,0xffffffff,
    0xffffffff,0x7ecc000f,0xffffffff,0x9dfff91f,0xa9800005,0x880000ab,
    0x9aacbaa9,0x554cc000,0x0009aaaa,0x09aa9980,0x3ffa6000,0x2a0dffff,
    0x2004ffff,0x006fffff,0x0fffffc8,0x7ffffc40,0x5fffff74,0xffffe880,
    0x3ffee4ff,0xffffffff,0xffffffff,0x5310000f,0x98135597,0x00000009,
    0x00000000,0x00000000,0x26000000,0x00000abb,0x06fffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26620000,0x99999999,0x09999999,0x26620000,0x54c00099,
    0x0aacdecb,0x2e620000,0x80abcdec,0x00199998,0x004ccccc,0xcccba880,
    0x510001ac,0x001379b7,0x02666662,0x4cccc400,0x33333309,0x26620001,
    0x98800999,0x26660199,0xffffd809,0xffffffff,0x002fffff,0xfffddb50,
    0x2a007fff,0xfffffffe,0x0000cfff,0xffffffb5,0x5bffffff,0x01fffffa,
    0x0dfffff0,0x3fffb220,0xffffffff,0xfffd9005,0x03dfffff,0xffffffa8,
    0xffff8000,0xffffb1ff,0x3ee000df,0xc805ffff,0xfa80ffff,0xffd82fff,
    0xffffffff,0x2fffffff,0x3fff2600,0xffffffff,0x7fff4c03,0xffffffff,
    0x22002fff,0xfffffffd,0xffffffff,0x0fffffd4,0x6fffff80,0xffffe980,
    0xffffffff,0x7ff4407f,0xffffffff,0x7ff402ff,0x5c004fff,0x2e5fffff,
    0x00ffffff,0xfffffe80,0x7fffc802,0x03ffff70,0xfffffffb,0xffffffff,
    0x3f6005ff,0xffffffff,0x2203ffff,0xfffffffe,0xffffffff,0xfffa802f,
    0xffffffff,0xd4ffffff,0x800fffff,0x406fffff,0xfffffffb,0xffffffff,
    0x3fffe607,0xffffffff,0x3ea04fff,0x000fffff,0x87fffffe,0x3ffffff8,
    0x7fffc400,0xffd800ff,0xffff707f,0xfffffb01,0xffffffff,0x8805ffff,
    0xfffffffe,0x3fffffff,0x3fffff60,0xffffefff,0x200fffff,0xfffffffc,
    0xffffffff,0xfffd4fff,0xfff800ff,0xffb106ff,0xffffffff,0x0fffffff,
    0x3fffffea,0xffffffff,0x3fa04fff,0x7004ffff,0xd0bfffff,0x00bfffff,
    0x5fffffa8,0x0dfffd00,0x6c1ffff2,0xffffffff,0xffffffff,0x3ffa202f,
    0xefffffff,0x301cccce,0x17dfffff,0xffffea88,0xffff502f,0x79dfffff,
    0x9ffffdb9,0x01fffffa,0x0dfffff0,0x3ffffff2,0xedccdfff,0xffd07fff,
    0x2a37ffff,0xfffffffd,0xfffff500,0xfff8801f,0xffc81fff,0x64007fff,
    0x003fffff,0x360bffff,0xffb07fff,0x33333dff,0x13333333,0x7ffffec0,
    0x70000bff,0x803fffff,0x04fffff8,0xdfffffff,0x29f93005,0x007ffffe,
    0x437ffffc,0xfffffff8,0x43ed401d,0x1ffffffa,0xffffff10,0x7ffff409,
    0x7ffdc03f,0xfff305ff,0x7c003fff,0x000fffff,0x3a09ffff,0xffb06fff,
    0x40000bff,0xbffffff9,0x7fec0000,0xffd006ff,0xfff70dff,0x0001bfff,
    0x1fffffa1,0xdfffff00,0xffffffb0,0xfe808009,0x5401ffff,0x00ffffff,
    0x0ffffff5,0x7fffffc4,0x3ffffe01,0xfff3004f,0x3e200dff,0xfff03fff,
    0x3fff60bf,0x3a00005f,0x004fffff,0xdffffd00,0x3ffffa00,0x7ffffc45,
    0xfe80005f,0x7c007fff,0x7cc6ffff,0x003fffff,0xfffffa80,0xffffb005,
    0x7fff409f,0xfff703ff,0xffc80bff,0xf7006fff,0x3209ffff,0xffffeeee,
    0xffeeeeee,0xb5eeefff,0x000bffff,0x3ffffea0,0x3f600006,0x4400ffff,
    0x643fffff,0x00ffffff,0xffffe800,0x7fffc007,0x7ffff46f,0xfd00007f,
    0x2003ffff,0x06fffff9,0x1bffffea,0x3fffffe2,0x7fffd401,0xffe800ff,
    0xffb01fff,0xffffffff,0xffffffff,0x3f6dffff,0x00005fff,0x05fffff9,
    0x7ffe4000,0x7fec06ff,0x7ffc1fff,0x00004fff,0x00fffffd,0x26fffff8,
    0x3ffffff8,0xffff0000,0x3fea00df,0x200fffff,0x42fffffe,0x05fffffb,
    0x5ffffff0,0xfffff880,0x3ffff607,0xffffffff,0xffffffff,0xffffb6ff,
    0x3fa0000b,0x0000ffff,0x3ffffe60,0xfffc81ef,0x7ffc45ff,0x00000fff,
    0x00fffffd,0x26fffff8,0x0ffffff9,0xfff88000,0xffc804ff,0x01ffffff,
    0x1bffffea,0x01ffffff,0x3fffff60,0x7fffd404,0x3fff604f,0xffffffff,
    0xffffffff,0xfffb6fff,0x033555df,0xffffff00,0x04d554c4,0x3ffff600,
    0xfd88cfff,0x4c0fffff,0x006fffff,0x3ffffa00,0x7fffc007,0x3fffea6f,
    0xf300006f,0x4c07ffff,0xfffffffe,0x7ff403ff,0xfff51fff,0x7dc009ff,
    0x6407ffff,0x202fffff,0xfffecccb,0xfecccccf,0x3cccdfff,0xfffffffb,
    0x039fffff,0xefffff98,0xffffffda,0xe8800dff,0xffffffff,0x1fffffff,
    0x5fffffa8,0x3ffa0000,0x7fc007ff,0x3fee6fff,0x00005fff,0x05fffff5,
    0x3fffffee,0x403fffff,0xd5fffffa,0x001fffff,0x7fffffc4,0x3ffffe01,
    0x3ff6000f,0xffff906f,0x3ffff601,0xffffffff,0xff502eff,0xffffffff,
    0xffffffff,0xfffd1009,0xffffffff,0x3fee01df,0xff504fff,0xffffffff,
    0x1fffffab,0xdfffff00,0x27ffffec,0xfffb8000,0x7fec42ff,0xffffffff,
    0xffe804ff,0xffffafff,0xffe8004f,0xff303fff,0xe800bfff,0xff906fff,
    0x7ffec0ff,0xffffffff,0xb82fffff,0xffffffff,0xffffffff,0xf9006fff,
    0xffffffff,0x7fe401ff,0xff503fff,0xffffffff,0x1fffffab,0xdfffff00,
    0x1ffffff4,0xfffc8000,0x3ffe61ff,0xff9dffff,0xfa804fff,0xffffffff,
    0xfb8000ff,0xf705ffff,0x8007ffff,0xfb05ffff,0x7fec0fff,0xffffffff,
    0x1fffffff,0x7fffffdc,0xffffffff,0x03ffffff,0xffffff98,0x02ffffff,
    0x05fffffd,0x3fffffea,0xffd5ffff,0xff800fff,0x3ffe6fff,0x00003fff,
    0x21fffffb,0xfffffffc,0x9fffff32,0x3ffffa00,0x004fffff,0xffffff30,
    0xfffffb01,0xffff8001,0x0dfffd04,0x5555554c,0xfffffcca,0x3f20ffff,
    0xdfffffff,0xfffecbab,0x3200ffff,0xffffffff,0x83ffffff,0x03fffffd,
    0xfffffff5,0x3ffabfff,0x7fc007ff,0x3ffe6fff,0x00003fff,0xd5fffffb,
    0x1dffffff,0x1fffffcc,0xfffffa80,0x0000ffff,0x0bfffffa,0x0dfffff1,
    0x3ffff880,0x00bffff0,0x3fffaa00,0x3ff21fff,0x6402efff,0x03ffffff,
    0xbffffffb,0xfffffffd,0xffffc87f,0xdddd304f,0x2bfffffd,0x007ffffe,
    0xd37ffffc,0x009fffff,0x3ffff200,0xffffffff,0xfffffa84,0x3fffa002,
    0x0004ffff,0x27ffffe4,0x13ffffea,0x5ffff300,0x013fffe0,0xffff9800,
    0x3ffee3ff,0xffb004ff,0xffb09fff,0x7543ffff,0x1fffffff,0x13ffffee,
    0xbfffff00,0x01fffffa,0x4dfffff0,0x05fffffd,0xffff9000,0x5fffffff,
    0x3ffffee0,0x3ffea001,0x0000ffff,0x37ffffd4,0x07fffff2,0xffb99990,
    0x99999bff,0x999dffff,0xffb80005,0x3fea5fff,0xf3005fff,0xfa8dffff,
    0x900effff,0x4bffffff,0x05fffffa,0xafffffc0,0x007ffffe,0x937ffffc,
    0x00dfffff,0x3fffee00,0x00dfffff,0x03fffff2,0xfffffd00,0x3fe00009,
    0x3fa1ffff,0xff807fff,0xffffffff,0xffffffff,0x004fffff,0x7ffffd40,
    0x3ffffe67,0xffff1005,0xffffe8ff,0x7ffe401f,0xfff30fff,0x7c001fff,
    0xffd5ffff,0x7c400fff,0x3ea5ffff,0x000fffff,0xfffff980,0xfd803fff,
    0xc8007fff,0x002fffff,0xfffffb00,0x3ffffe27,0xfffff804,0xffffffff,
    0xffffffff,0x4c0004ff,0x267fffff,0x006fffff,0x99fffffe,0x005fffff,
    0x23fffffd,0x3ffffff8,0x3ffffe00,0x1fffffb5,0x3fffe200,0x3fffe63f,
    0x880004ff,0x1effffff,0xfffff880,0xfffc8007,0x500002ff,0x2ebfffff,
    0x802fffff,0xffffffff,0xffffffff,0x4fffffff,0x7ffd4000,0x3ffe25ff,
    0xf8800fff,0x3ea6ffff,0x9003ffff,0x745fffff,0x006fffff,0x657ffffe,
    0x000fffff,0x45fffff3,0xfffffff8,0xffe80000,0xf7001fff,0x0009ffff,
    0x05fffff9,0x3ffe2000,0xffffb7ff,0x3bbba00f,0xeeefffff,0xefffffee,
    0x40003eee,0x43fffffd,0x03ffffff,0x4fffffa8,0x0bffffee,0x7ffffdc0,
    0x3ffffea2,0xffff003f,0x3fffeebf,0xfff9003f,0xfffc83ff,0x80004fff,
    0x06fffffb,0x1fffffd0,0xffff9000,0x7400005f,0xffafffff,0xd0005fff,
    0x3f20bfff,0x400007ff,0x1ffffffb,0x37ffffe4,0x7fffff40,0x3ffffea3,
    0xffffb004,0xffffe81f,0xfff804ff,0xffff55ff,0xfff100ff,0xff881fff,
    0x00efffff,0xffff0710,0xffb807ff,0x90005fff,0x005fffff,0x7fffdc00,
    0x3fffffef,0xbffff000,0x01bfff60,0x7ffe4400,0xff886fff,0x880dffff,
    0x0ffffffd,0x3fffffe2,0x7fffd402,0xffff986f,0x880adfff,0xf15fffff,
    0x01bfffff,0x3fffff62,0xfffff704,0x98137dff,0xffb87fdb,0xf701ffff,
    0x003fffff,0x3fffff20,0x3e600002,0xffffffff,0xf88000ff,0xffd04fff,
    0x6f7cc0df,0xfeccabcc,0x0fffffff,0xffffff90,0xfff9779d,0xff07ffff,
    0x59dfffff,0xffffb331,0x3ff609ff,0xffffffff,0xfffffeee,0x3fffee5f,
    0xcbabcfff,0x0effffff,0x3fffffa0,0xffffffff,0xf887ffff,0xbeffffff,
    0xfffffdb9,0x3f20005f,0x0002ffff,0x7fffff40,0x0006ffff,0x207ffff1,
    0x2605ffff,0xffffffff,0xffffffff,0x3ffe201f,0xffffffff,0x05ffffff,
    0xfffffff5,0xffffffff,0x7440dfff,0xffffffff,0xffffffff,0x7fffc5ff,
    0xffffffff,0x02ffffff,0x7fffffd4,0xffffffff,0xff707fff,0xffffffff,
    0x1dffffff,0x7ffe4000,0x400002ff,0xfffffffc,0xf30003ff,0x3fe05fff,
    0x3fe604ff,0xffffffff,0x02ffffff,0xffffff98,0xffffffff,0x3fee00ef,
    0xffffffff,0x0effffff,0x7fffe440,0xffffffff,0x545fffff,0xffffffff,
    0xffffffff,0xfffb1004,0xffffffff,0x5c0fffff,0xffffffff,0x0dffffff,
    0x7ffe4000,0x400002ff,0xfffffff9,0xf50001ff,0xff103fff,0x7fcc07ff,
    0xffffffff,0x000bffff,0x3fffff62,0x3fffffff,0xfffff700,0xffffffff,
    0x7d4001bf,0xffffffff,0x3fffffff,0xfffffd88,0xefffffff,0xfffb8001,
    0xffffffff,0x74c07fff,0xffffffff,0x00004fff,0x05fffff9,0xffff0000,
    0x000fffff,0x40ffffdc,0x202ffff9,0xfffffff9,0x002dffff,0x7ffff5c0,
    0x000cffff,0xffffffb8,0x000cffff,0xffffb910,0x59ffffff,0xffffd500,
    0x007dffff,0xffedb880,0x1befffff,0xfffd9100,0x0059dfff,0x7fffe400,
    0xd800002f,0x4fffffff,0x3fff2000,0xffffa80f,0xaaa99802,0x000001aa,
    0x0026aea2,0x5dd4c400,0x8000009a,0x19aabb98,0x2ea62000,0x4000001a,
    0x00019aa9,0x00037530,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26660000,0x4c400019,0x4cccc199,0x4cc00099,0x4cc09999,0x99999999,
    0x99999999,0x4cccc199,0x99999999,0x99999999,0x26662199,0x31000999,
    0x4cc41333,0x98801999,0x4c099999,0x00009999,0x00666662,0x4cccccc4,
    0x26666620,0x00019999,0xcddb9880,0xf880009a,0x40007fff,0x360ffffe,
    0x00ffffff,0xffffff70,0xffffff85,0xffffffff,0x1fffffff,0xfffffff1,
    0xffffffff,0xffffffff,0x7fffffec,0xffff7006,0x7ffffd4d,0x7ffec03f,
    0x3fe62fff,0x20005fff,0x807ffffe,0xeffffff8,0x3fffffa0,0xefffffff,
    0xec88000c,0xffffffff,0x7fc4003f,0x740007ff,0x3e60ffff,0x804fffff,
    0x5ffffff8,0xfffffff8,0xffffffff,0x11ffffff,0xffffffff,0xffffffff,
    0x4fffffff,0xfffffffd,0xffffb801,0x3ffffee6,0x7fffc06f,0x3fe62fff,
    0x20005fff,0x807ffffe,0x1ffffffd,0x7ffffff4,0xffffffff,0xfd5001df,
    0xffffffff,0x4003dfff,0x000fffff,0x21ffffe0,0x0ffffffd,0x7ffffdc0,
    0xfffff81f,0xffffffff,0xffffffff,0xffffff11,0xffffffff,0xffffffff,
    0x7ffffecf,0xffb805ff,0x3ffee6ff,0xf500ffff,0x47ffffff,0x05fffff9,
    0x3ffffa00,0x7fffd407,0xfffe84ff,0xffffffff,0x01ffffff,0x3fffff22,
    0xffffffff,0xff000fff,0x40001fff,0xf887ffff,0x204fffff,0x5ffffff8,
    0xfffffff0,0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,0x7fffffff,
    0x3ffffff6,0x7fdc00ff,0x3fff26ff,0xf902ffff,0x47ffffff,0x05fffff9,
    0x3ffffa00,0x3fffe207,0xfffd06ff,0xffffffff,0x1fffffff,0x3fffff60,
    0xffffffff,0xf005ffff,0x0001ffff,0xc837fffc,0x00ffffff,0x1ffffff7,
    0x3fffffe0,0xffffffff,0x0fffffff,0x33333332,0xdfffffec,0x4ccccccc,
    0x3ffffff6,0x7fdc04ff,0x3fff26ff,0xff05ffff,0x47ffffff,0x05fffff9,
    0x3ffffa00,0x3ffff607,0xfffd00ff,0xfdb999ff,0xbfffffff,0x3ffffe60,
    0xffecacef,0x802fffff,0x000ffffe,0x41bfffe0,0x5ffffff8,0xffffff88,
    0x7dc00004,0x004fffff,0x1fffffdc,0xfffffb00,0x5c01ffff,0x3f26ffff,
    0x87ffffff,0xfffffff9,0x3fffe64f,0x3fa0005f,0xff507fff,0x7407ffff,
    0x7107ffff,0x0fffffff,0x8067ffd4,0x4ffffffb,0x1ffffe80,0x3fffe000,
    0x3fffee06,0x7ffdc1ff,0x00000fff,0x3fffffe2,0xfffb8006,0x3f6003ff,
    0xffffffff,0x3fffee03,0x3fbfff66,0x7fe42fff,0x24ffffef,0x05fffff9,
    0x3ffffa00,0xfffff887,0x7fff405f,0x7ffd407f,0x3f200fff,0xffffd801,
    0xfffd806f,0xff10001f,0xffe80bff,0x3fe25fff,0x0003ffff,0x7fffff40,
    0xffb8001f,0x36003fff,0xffffffff,0x3ffee07f,0x37fff66f,0x7f44fffe,
    0x5ffffcff,0x17ffffe6,0xffffe800,0xfffffc87,0x7fff400f,0xfffe807f,
    0x800402ff,0x07fffffa,0x01ffffd8,0xbffff100,0xfffffa80,0xfffff91f,
    0xfb80000d,0x004fffff,0x7fffff70,0x7fffec00,0x03fffffe,0x74dffff7,
    0xfffcdfff,0x27fffe67,0x3e65ffff,0x0005ffff,0x51fffffa,0x05ffffff,
    0x0fffffd0,0x7fffffb0,0x3fe20000,0x6c00ffff,0xe982ffff,0xfff883ee,
    0xfffe804f,0xffff8dff,0x200002ff,0x6ffffff8,0x3ffee000,0x3f6003ff,
    0xfffecfff,0xffff706f,0x56ffff4d,0xff71ffff,0x97fffedf,0x05fffff9,
    0x3ffffa00,0x3ffffa27,0xfffd004f,0xfffb00ff,0x200005ff,0x07fffff9,
    0x82ffffc8,0xf986fffc,0xf9804fff,0xffdfffff,0x00006fff,0x7fffffec,
    0x3fee0001,0x36003fff,0xffbcffff,0xffb82fff,0x3fffa6ff,0xd3ffff8d,
    0x3ffe9fff,0x3fffe66f,0x3fa0005f,0x3ff27fff,0x3a006fff,0xf807ffff,
    0x001fffff,0xfffff300,0xffff900d,0x1ffffd05,0x03ffff98,0xffffffb0,
    0x005fffff,0x7fffdc00,0x5c0003ff,0x003fffff,0x233ffff6,0xb86fffff,
    0x3fe6ffff,0xbfffb4ff,0x3e3ffff1,0x3fe66fff,0x20005fff,0xf37ffffe,
    0x003fffff,0x03fffff4,0x1fffffee,0xfffc8000,0xffb805ff,0x7ffcc2ff,
    0x7ffcc3ff,0xfff1003f,0xbfffffff,0x7fc40000,0x0006ffff,0x3fffffb8,
    0x3ffff600,0x3fffff94,0x26ffffb8,0xff74ffff,0x4dfff5ff,0x3e67ffff,
    0x0005ffff,0x23fffffa,0x03fffffe,0x3fffff40,0xfffffc88,0xf100002f,
    0x005fffff,0xb87ffff7,0x4c5fffff,0x2003ffff,0xfffffffc,0x200001ff,
    0x0ffffffd,0xfffb8000,0x3f6003ff,0xfff14fff,0xfffb8bff,0x53fffe6f,
    0xffeffff8,0x9ffffa4f,0x05fffff9,0x3ffffa00,0x5fffffcf,0xffffe800,
    0xffeccccf,0x005fffff,0x3ffff200,0xfff5006f,0xffffe87f,0x3ffea0ff,
    0x3fe2002f,0x05ffffff,0x3ffee000,0x00003fff,0x07fffff7,0x27fffec0,
    0x41fffffb,0xf16ffffb,0x7ff49fff,0x3a1fffff,0x3fe67fff,0x20005fff,
    0xfffffffe,0x8000ffff,0xfffffffe,0xffffffff,0x2a00004f,0x03ffffff,
    0x47ffff50,0xfffffff8,0x0bfffea2,0xfffff880,0x00005fff,0xbffffff1,
    0x7fdc0000,0x36003fff,0x3e64ffff,0x3ee4ffff,0xfff16fff,0x7fffe47f,
    0x7fff47ff,0xfffff30f,0x7ff4000b,0xffffffff,0xffe8003f,0xffffffff,
    0x001cefff,0x3fffe200,0x3e6006ff,0x3fee3fff,0x2a5fffff,0x2001ffff,
    0xfffffffc,0xd80001ff,0x00ffffff,0x3ffee000,0x3f6003ff,0x7ff44fff,
    0xfff70fff,0x3fffe6df,0x3ffffea3,0x7ffff44f,0xbfffff30,0x7fff4000,
    0xfffffcff,0x7ff4000f,0xffffffff,0x00002fff,0x7fffff44,0x3fe6000f,
    0x3fff64ff,0x3ea7fffe,0xf3001fff,0xffffffff,0xfb8000df,0x003fffff,
    0x7fffdc00,0x3ff6003f,0x7ffd44ff,0xffff73ff,0x0ffffe6d,0x83ffffff,
    0xf30ffffd,0x000bffff,0x47fffff4,0x06fffffe,0x7fffff40,0xffffffff,
    0x3a00005f,0x01ffffff,0xa7fffcc0,0xffbffff8,0xffff72ff,0x3fff6001,
    0xffffffff,0xfff10003,0x0000bfff,0x7fffff70,0x7fffec00,0x7ffffe84,
    0x26dffff7,0x7ec3ffff,0xffd87fff,0xffff31ff,0x7f4000bf,0xfff37fff,
    0x74007fff,0xb717ffff,0x07ffffff,0xffffb000,0xf10005ff,0x3fea9fff,
    0x4ffff8df,0x001ffff7,0xdffffff5,0x01ffffff,0xfffffb00,0x7000001f,
    0x007fffff,0x427fffec,0xbafffffb,0xff56ffff,0xfffb85ff,0xffffd84f,
    0xbfffff31,0x7fff4000,0x3ffff67f,0xffd001ff,0xfffb0fff,0x40001fff,
    0x3ffffffd,0xffff1000,0x74ffff6b,0xfff97fff,0x3fffa00f,0xffff9dff,
    0x7dc004ff,0x002fffff,0xffff7000,0x7fec007f,0xfff884ff,0xffffbeff,
    0x85ffff56,0xd82ffff8,0xff32ffff,0x4000bfff,0x227ffffe,0x06ffffff,
    0x0fffffd0,0x17fffffa,0x7fffec00,0x7c0003ff,0xffff5fff,0x27fffee1,
    0xb807fffc,0xb1ffffff,0x03ffffff,0x3ffffe20,0x2000005f,0x03fffffb,
    0x13ffff60,0x6fffffe4,0xff76ffff,0x999705ff,0x4bffff20,0x05fffff9,
    0x3ffffa00,0x7ffffdc7,0xfffe804f,0xffff307f,0xfd8003ff,0x003fffff,
    0x9effff80,0x3fe66fff,0x7fffcbff,0x7ffffc40,0x3fffe65f,0xffb005ff,
    0x0001ffff,0x7fffdc00,0x3ff6003f,0xfff104ff,0xdfffffff,0x00bfffee,
    0x97fffe40,0x05fffff9,0x3ffffa00,0xfffffe87,0x7fff401f,0x3fffa07f,
    0x3f6005ff,0x002fffff,0x9dffff00,0xffe87fff,0x06fffcdf,0x7fffffe4,
    0x7ffffe40,0x7ffdc02f,0x00002fff,0x7ffffdc0,0x3fff6003,0x3fff604f,
    0x76ffffff,0x0003ffff,0x4cfffff2,0x005fffff,0x1fffffa0,0x3fffffe6,
    0x7ffff406,0x3fffee07,0xffd800ff,0x0002ffff,0x3bbfffa0,0x7fe41fff,
    0x06fffdff,0x3fffffe2,0xfffff884,0x3ffe206f,0x00005fff,0xfffffb80,
    0x3fff6003,0x3ffe604f,0x96ffffff,0x0003ffff,0x4cfffff2,0x005fffff,
    0x1fffffa0,0x7fffffe4,0x3ffffa04,0x7ffffc07,0x7ffec04f,0x00002fff,
    0x7ffffff4,0xffff986f,0x3605ffff,0x00ffffff,0x7ffffff9,0x3fffff60,
    0xaaaaaabf,0x0aaaaaaa,0x3fffee00,0x3ff6003f,0x7ff404ff,0x96ffffff,
    0x0003ffff,0x4d3fffee,0x005fffff,0x1fffffa0,0xffffffe8,0xfffffd01,
    0xfffffc80,0xffffb00f,0x55555bff,0x15555555,0xfffffd80,0xffff04ff,
    0x260bffff,0x04ffffff,0x3fffffe2,0x7fffd40f,0xffffffff,0xffffffff,
    0x3fee003f,0x36003fff,0x5404ffff,0xffffffff,0x03ffffb6,0x3fffee00,
    0xffffff34,0xffffffff,0x3fadffff,0x3ea07fff,0xd06fffff,0x880fffff,
    0x84ffffff,0xfffffffc,0xffffffff,0x401fffff,0xfffffffd,0xfffff901,
    0x3ffa0bff,0x6400ffff,0x44ffffff,0xfffffffb,0xffffffff,0x03ffffff,
    0x3ffffee0,0x3fff6003,0xfffe804f,0xffb6ffff,0x2e0001ff,0xff34ffff,
    0xffffffff,0xffffffff,0x1fffffad,0xffffffb0,0xfffffd09,0xfffffb00,
    0xffffe81f,0xffffffff,0xffffffff,0x7fffe401,0x3fea07ff,0xa84fffff,
    0x04ffffff,0xffffff88,0x3fffee1f,0xffffffff,0xffffffff,0x3fee003f,
    0x36003fff,0xb804ffff,0x6fffffff,0x001ffffb,0x57fffee0,0xfffffff9,
    0xffffffff,0xfffd6fff,0xfff880ff,0x7f42ffff,0xf9807fff,0x743fffff,
    0xffffffff,0xffffffff,0x6401ffff,0x04ffffff,0x7ffffffc,0xfffffe84,
    0xfff7000f,0x7fdcdfff,0xffffffff,0xffffffff,0x2e003fff,0x003fffff,
    0x013ffff6,0x3fffffe2,0x1ffffd6f,0x3ffea000,0xfffff35f,0xffffffff,
    0x3adfffff,0xb807ffff,0x0effffff,0x01fffffa,0x7ffffff4,0x3fffffa0,
    0xffffffff,0x1fffffff,0x7ffffdc0,0x7ffec02f,0x7fdc3fff,0x2004ffff,
    0xfffffff8,0xffffff72,0xffffffff,0x7fffffff,0x7fffdc00,0x3ff6003f,
    0xff9004ff,0x3fadffff,0x50000fff,0x3e6dffff,0xffffffff,0xffffffff,
    0xfffffd6f,0x3ffffa00,0x3fffa4ff,0xfff5007f,0x7ff47fff,0xffffffff,
    0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccc4000,0x4ccc0019,0x33331099,
    0x00133333,0x33333310,0x33333333,0x26621333,0x99999999,0x19999999,
    0x26666666,0x20000999,0x99999998,0x99999999,0x40009999,0x801aaaaa,
    0x99999998,0x00000999,0x33333310,0x80000013,0x19999999,0x00aba880,
    0x1fffffb0,0x3fffe600,0xfffffb4f,0xbdffffff,0xfffc8039,0xffffffff,
    0x96ffffff,0xffffffff,0xffffffff,0x3fffe3ff,0xffffffff,0xf5002bce,
    0xffffffff,0xffffffff,0x3aa005ff,0x804fffff,0xfffffffe,0xbeffffff,
    0xffe80000,0x006fffff,0x3ffea000,0x200fffff,0x01effff9,0x0fffffd8,
    0xfffff300,0x3fffff69,0xffffffff,0xff901dff,0xffffffff,0xdfffffff,
    0x3ffffff2,0xffffffff,0xfff1ffff,0xffffffff,0x03dfffff,0xffffffa8,
    0xffffffff,0x402fffff,0xffffffd9,0xfffe804f,0xffffffff,0x00dfffff,
    0xfffff100,0x0001ffff,0x3ffffa00,0xf100ffff,0x01ffffff,0x0fffffd8,
    0xfffff300,0x3fffff69,0xffffffff,0xfc85ffff,0xffffffff,0xffffffff,
    0xffffff96,0xffffffff,0x3fe3ffff,0xffffffff,0xffffffff,0x3fffea04,
    0xffffffff,0x2fffffff,0xfffffb30,0xd009ffff,0xffffffff,0xffffffff,
    0xf70001df,0xffffffff,0xf7000005,0xffffffff,0x3ffff201,0x7ec03fff,
    0x3000ffff,0x369fffff,0xffffffff,0xffffffff,0x7ffe44ff,0xffffffff,
    0x96ffffff,0xffffffff,0xffffffff,0x3fffe3ff,0xffffffff,0xefffffff,
    0xfffffa80,0xffffffff,0x42ffffff,0xffffffc8,0x804fffff,0xfffffffe,
    0xffffffff,0xd8005fff,0xffffffff,0x4400005f,0xffffffff,0xfffb00ff,
    0xd80bffff,0x000fffff,0x29fffff3,0xccfffffd,0xffffeecc,0x3f22ffff,
    0xeeeeffff,0xeeeeeeee,0xdfffff95,0xdddddddd,0x3fe1dddd,0xdcccffff,
    0xffffffff,0xccc985ff,0xffffeccc,0xccccccdf,0x3fffff21,0xffffffff,
    0xffffe804,0xfcbaaaaf,0x1fffffff,0x7ffffc00,0x007fffff,0x7fffec00,
    0x00ffffff,0xfffffffb,0xffffd809,0xfff3000f,0x3fff69ff,0xffb300ff,
    0x321fffff,0x002fffff,0x5fffff90,0x7fffc000,0xffb3107f,0x003fffff,
    0x1fffffdc,0xffffff80,0xffffffff,0xffffe804,0x7fffdc07,0x3ea003ff,
    0xffffffff,0x500001ff,0xffdfffff,0x3ea01fff,0x02ffffff,0x07ffffec,
    0xfffff980,0x1fffffb4,0xfffffc80,0xfffff91f,0x3ff20005,0x20002fff,
    0x807fffff,0x6ffffffc,0x3fffee00,0xfff9003f,0xfff55dff,0xffd009ff,
    0xffb00fff,0x6400bfff,0xffbfffff,0x80004fff,0xbefffff8,0x200fffff,
    0x05fffffd,0x0fffffd8,0xfffff300,0x3fffff69,0xffffe800,0xfffff93f,
    0x3ff20005,0x20002fff,0x007fffff,0x5ffffff7,0x3fffee00,0xfff1003f,
    0x7fffd45f,0xfffe804f,0xfffa807f,0x3fe006ff,0xfff9cfff,0xc80006ff,
    0xfb9fffff,0x5c00ffff,0xfb003efe,0x2001ffff,0xb4fffff9,0x001fffff,
    0x2bfffff7,0x02fffffc,0xfffff900,0x7ffc0005,0x3fe007ff,0x7006ffff,
    0x007fffff,0x7fd41fec,0xfe804fff,0xfa807fff,0x3005ffff,0x3e5fffff,
    0x000fffff,0x3ffffe60,0x1fffff74,0x3f600000,0x3000ffff,0x369fffff,
    0x800fffff,0x96fffffa,0x005fffff,0x3fffff20,0x3ffe0002,0x3f2007ff,
    0x7007ffff,0x007fffff,0xfffa804c,0xffe804ff,0xffb807ff,0xf7003fff,
    0x3f21ffff,0x0003ffff,0xb9bffffa,0x000fffff,0xffffb000,0x3fe6001f,
    0xfffb4fff,0xff3001ff,0x3ff2bfff,0x90002fff,0x005fffff,0x3fffffc0,
    0xfffff300,0xfff7003f,0x200007ff,0x04fffffa,0x07ffffe8,0x0fffffe8,
    0xdffffb00,0x2fffffd4,0xffffb800,0x3fffee2f,0xb000000f,0x001fffff,
    0x53ffffe6,0x00fffffd,0x4fffffb8,0x05fffff9,0x3ffff200,0x3fe0002f,
    0x7c007fff,0x803fffff,0x03fffffb,0xffff5000,0xfffd009f,0x7fe440ff,
    0xf1005fff,0x7c47ffff,0x8007ffff,0x45fffff8,0x00fffffb,0xfffb0000,
    0xddddddff,0xfffddddd,0x3fff69ff,0xffd800ff,0xfff92fff,0x320005ff,
    0xccdfffff,0xcccccccc,0x3ffffe2c,0x7fff4007,0xffb803ff,0x00003fff,
    0x09fffff5,0x5fffffd0,0xfff97555,0x2001dfff,0x41fffffa,0x02fffffe,
    0x7ffffe40,0x7ffffdc0,0xfb000000,0xffffffff,0xffffffff,0x3f69ffff,
    0x4c00ffff,0x91ffffff,0x99bfffff,0x99999999,0x3ffff219,0xffffffff,
    0x3e4fffff,0x4007ffff,0x04fffffe,0x3fffffb8,0xfff50000,0xffd009ff,
    0xffffffff,0x19ffffff,0x7fffe400,0xfffffb87,0x3ffe6004,0xfffb82ff,
    0x000000ff,0xfffffffb,0xffffffff,0x29ffffff,0x00fffffd,0x3fffffa2,
    0x3fffff26,0xffffffff,0xff91ffff,0xffffffff,0x9fffffff,0x03fffffc,
    0x3fffff60,0xffffb804,0xf500003f,0xd009ffff,0xffffffff,0xbfffffff,
    0xffff8003,0xffff985f,0x3ffa006f,0xfff705ff,0x000001ff,0x3ffffff6,
    0xffffffff,0x4fffffff,0x81fffffb,0xfffffc98,0x3fff21ff,0xffffffff,
    0x91ffffff,0xffffffff,0xffffffff,0x7ffffc9f,0x7ffe4007,0xffb804ff,
    0x00003fff,0x09fffff5,0xffffffd0,0xffffffff,0x3001dfff,0x207fffff,
    0x01ffffff,0x0fffffb8,0x1fffff70,0x3f600000,0xffffffff,0xffffffff,
    0xffb4ffff,0xffffffff,0xffffffff,0xfffffc89,0xffffffff,0xff91ffff,
    0xffffffff,0x9fffffff,0x03fffffc,0x3fffff60,0xffffb803,0xf500003f,
    0xd009ffff,0xffffffff,0xffffffff,0xfc803fff,0xfb00ffff,0x8807ffff,
    0x203fffff,0x00fffffb,0x801f7f5c,0xabfffffd,0xaaaaaaaa,0xb4fffffb,
    0xffffffff,0xffffffff,0xffff90df,0xffffffff,0x323fffff,0xaacfffff,
    0xaaaaaaaa,0x3ffffe1a,0x7fff4007,0xffb802ff,0x00003fff,0x09fffff5,
    0x3fffffd0,0xff753333,0x80dfffff,0x206ffffe,0x05fffffa,0x037fffec,
    0x03ffffee,0x5fffffd8,0xfffffd80,0xffff3000,0x3ffff69f,0xffffffff,
    0xf903ffff,0x3337ffff,0x33333333,0x17ffffe4,0xfffff000,0xffff800f,
    0xffb800ff,0x00003fff,0x09fffff5,0x0fffffd0,0xffffff90,0x3fffe207,
    0x3ffe204f,0xff500fff,0xfb803fff,0xf500ffff,0x05ffffff,0x0fffffd8,
    0xfffff300,0x3fffff69,0xffffffff,0x3ff200cf,0x90002fff,0x005fffff,
    0x3fffffc0,0xfffff100,0x3ffee00f,0x500003ff,0x009fffff,0x00fffffd,
    0x17fffff6,0x17ffffdc,0x3fffffa0,0xfffffd02,0x99999999,0x99fffffb,
    0x3fff6799,0x6c04ffff,0x000fffff,0x29fffff3,0xfffffffd,0x009bcdef,
    0x2fffffc8,0xffff9000,0x7fc0005f,0x2a007fff,0x006fffff,0x07fffff7,
    0x3ffea000,0xffe804ff,0xff7007ff,0x3f60ffff,0xffffffff,0xffffffff,
    0xffff04ff,0xffffffff,0xffffffff,0x3f6dffff,0x05ffffff,0x07ffffec,
    0xfffff980,0x1fffffb4,0xfff90000,0x320005ff,0x002fffff,0x1fffffe0,
    0xfffffe80,0xffff7005,0x2a00007f,0x804fffff,0x007ffffe,0x0ffffff3,
    0x3ffffffe,0xffffffff,0xf07fffff,0xffffffff,0xffffffff,0xdfffffff,
    0x3ffffff2,0x7ffec03f,0xff3000ff,0x3ff69fff,0x80000fff,0x02fffffc,
    0xfffff900,0x7ffc0005,0xff5007ff,0x2003ffff,0x03fffffb,0xffff5000,
    0xfffd009f,0x3fee00ff,0xffa86fff,0xffffffff,0xffffffff,0xfff81fff,
    0xffffffff,0xffffffff,0xf16fffff,0x01ffffff,0x0fffffd8,0xfffff300,
    0x3fffff69,0xffc80000,0x90002fff,0x005fffff,0x3fffffc0,0x7ffff440,
    0x3fee005f,0x00003fff,0x09fffff5,0x0fffffd0,0x3fffff60,0xfffffc85,
    0xffffffff,0xffffffff,0xffffff84,0xffffffff,0xffffffff,0x3ffea6ff,
    0xffd801ff,0xf3000fff,0x3f69ffff,0x0000ffff,0x2fffffc8,0xffff9000,
    0x7fc0005f,0x7d407fff,0x00ffffff,0x3ffffee0,0xff500003,0xfd009fff,
    0xf700ffff,0xd07fffff,0xdddfffff,0xdddddddd,0x90dfffff,0x99999999,
    0xffd99999,0x79999fff,0x000aba88,0x01fffffb,0x3ffffe60,0x1fffffb4,
    0xfff90000,0x320005ff,0x002fffff,0x1fffffe0,0xffffb531,0xb8009fff,
    0x003fffff,0x33333331,0x39fffff7,0x3a133333,0x2607ffff,0xfffffffd,
    0x7ffffcc1,0x3ffe6003,0x00000fff,0x01fffff7,0x3ff60000,0xf3000fff,
    0x3f69ffff,0x0000ffff,0x2fffffc8,0xffff9000,0xffffffff,0x23ffffff,
    0xffffffff,0xffffffff,0xea80efff,0xffeeeeee,0xeeeeefff,0x3ffea1ee,
    0xffffffff,0xffffffff,0xfffffd3f,0xfffddddd,0x09ffffff,0x03fffff7,
    0xfffffe80,0xff700002,0x00001fff,0x3fffff60,0xffff3000,0x3ffff69f,
    0xfc80000f,0x0002ffff,0xfffffff9,0xffffffff,0x3ffe3fff,0xffffffff,
    0xefffffff,0xfffff500,0xffffffff,0x45ffffff,0xfffffffa,0xffffffff,
    0xfd3fffff,0xffffffff,0xffffffff,0x3fff60bf,0xffc8007f,0x00005fff,
    0x01fffff7,0x3ff60000,0xf3000fff,0x3f69ffff,0x0000ffff,0x2fffffc8,
    0xffff9000,0xffffffff,0x23ffffff,0xffffffff,0xffffffff,0x7ffd404f,
    0xffffffff,0xffffffff,0x3ffffea2,0xffffffff,0x3fffffff,0xfffffffd,
    0xffffffff,0xff101bff,0x50009fff,0x00ffffff,0x3fffee00,0xb000000f,
    0x001fffff,0x53ffffe6,0x00fffffd,0xffffc800,0xff90002f,0xffffffff,
    0xffffffff,0x3fffffe3,0xffffffff,0xffa800cf,0xffffffff,0xffffffff,
    0x3fffea2f,0xffffffff,0xffffffff,0xffffffd3,0xffffffff,0x7fd403bf,
    0x88002fff,0x01ffffff,0xffffb800,0xb000000f,0x001fffff,0x53ffffe6,
    0x00fffffd,0xffffc800,0xff90002f,0xffffffff,0xffffffff,0x3fffffe3,
    0x1bdeefff,0x7fffd400,0xffffffff,0x2fffffff,0x3fffffea,0xffffffff,
    0xd3ffffff,0xffffffff,0x01599ddf,0x1fffff90,0x3fffa000,0xb80004ff,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccc400,0x99999999,0x99999999,
    0x36ea6001,0x00009acd,0x05002800,0x54c00000,0x001abdec,0x76e5d440,
    0x009accde,0x66ee5440,0xaaa9801a,0xaaa8802a,0x262001aa,0x0aacccca,
    0x7665d440,0x200abcde,0xa81aaaa9,0x200acedc,0xfffffffb,0xffffffff,
    0x01ffffff,0x7fffffd4,0x0003ffff,0xb013f600,0x4000009f,0xffffffd8,
    0x4002ffff,0xffffffd9,0x04ffffff,0xffffff50,0x6c05dfff,0x400fffff,
    0x04fffff9,0x7ffffe44,0x45ffffff,0xfffffeb8,0xcfffffff,0x4ffffd80,
    0x3fffffee,0xfff703ff,0xffffffff,0xffffffff,0x3fa603ff,0xffffffff,
    0x0001efff,0x13fffa20,0x006fffe4,0x3ffea000,0xffffffff,0xfd800dff,
    0xffffffff,0x804fffff,0xfffffffc,0x80cfffff,0x00fffffd,0x27ffffcc,
    0xffffff50,0xdfffffff,0xffffffb8,0xffffffff,0x7ffec1ff,0xfffffb5f,
    0x70bfffff,0xffffffff,0xffffffff,0x503fffff,0xffffffff,0xffffffff,
    0xfd300005,0xfc89ffff,0x000effff,0xffffd880,0xffffffff,0x3201ffff,
    0xffffffff,0x4fffffff,0x3ffffa20,0xffffffff,0xfffd86ff,0x7fcc00ff,
    0xfd884fff,0xffffffff,0x5c6fffff,0xffffffff,0xffffffff,0x3ffff60f,
    0xffffffcd,0x42ffffff,0xfffffffb,0xffffffff,0x41ffffff,0xfffffff8,
    0xffffffff,0x540006ff,0xefffffff,0xfffffd10,0xc80003ff,0xffffffff,
    0xffffffff,0xffff706f,0x9979dfff,0x7409fffd,0xcdffffff,0xffffffec,
    0x7ffffec3,0x7fffcc00,0xffffd84f,0xffffffff,0x7fdc6fff,0xeccdefff,
    0x5fffffff,0x3ffffff6,0xffffffff,0x7dc6ffff,0xffffffff,0xffffffff,
    0x7ec1ffff,0x9adfffff,0xfffffeb9,0xff70002f,0x209fffff,0xfffffffd,
    0xfff10003,0x537bffff,0xfffffff9,0xfffffd05,0x2057300d,0x0dfffffa,
    0xffffffb8,0x3fffff60,0x7fffcc00,0x7fffd44f,0xaabcefff,0x7dc6ffdc,
    0x3f2200ad,0xfb0fffff,0xffffffff,0xffff9139,0x555443ff,0xaaaaaaaa,
    0xffffdaaa,0x7fffd46f,0x3ff602ff,0xc8006fff,0x3fffffff,0x7ffffdc0,
    0xfd8004ff,0x101fffff,0x0ffffffd,0x03ffffff,0xffffd000,0xffffb80d,
    0x3ffff65f,0x7ffcc00f,0x3ffe24ff,0xa803ffff,0x3a000444,0xfb1fffff,
    0x1dffffff,0x7fffff90,0x3ffe0000,0x7fe43fff,0xfe804fff,0x1003ffff,
    0xfffffffb,0x3ffea003,0x000dffff,0x3ffffff3,0xfffff880,0x3fffe63f,
    0x5c0000ff,0x801fffff,0x367ffffe,0x400fffff,0x24fffff9,0x1ffffffc,
    0x5c000000,0xfb2fffff,0x01dfffff,0x13ffffe6,0x3ffee000,0xfffe87ff,
    0xffc800ff,0xe8805fff,0x0effffff,0x7fff4c00,0xc800efff,0x005fffff,
    0x49fffff9,0xeffffff8,0x3ffa0000,0xff9006ff,0x3ff61fff,0x7cc00fff,
    0x3fe4ffff,0x0004ffff,0xfff98000,0xffffb3ff,0x7fc401ff,0x80004fff,
    0x83ffffff,0x007fffff,0x0ffffff3,0xffffff98,0xd10000df,0x3fffffff,
    0xfffffd80,0xffff3001,0xfffff8bf,0x8001cfff,0x004fffff,0x23fffff7,
    0x00fffffd,0xa7ffffcc,0x0ffffff9,0x98000000,0xfb4fffff,0x8805ffff,
    0x005fffff,0x7ffffdc0,0x7fffcc0f,0x3ffe006f,0xff500fff,0x009fffff,
    0x3ffff600,0x3fa02fff,0x22007fff,0x646fffff,0xffffffff,0xf8801cef,
    0xeeeeffff,0xfeeeeeee,0xffb2ffff,0xf9801fff,0xff54ffff,0x0000bfff,
    0x3bb32aa0,0xffffffff,0x3fffffb4,0x13333300,0xfffe8000,0xfff883ff,
    0x3fe007ff,0xfc81ffff,0x02ffffff,0x7ffdc000,0xff03ffff,0xf800ffff,
    0xfe87ffff,0xffffffff,0xf300beff,0xffffffff,0xffffffff,0x3f67ffff,
    0x4c00ffff,0xf74fffff,0x0009ffff,0x7fffdc40,0xffffffff,0xfffb4fff,
    0x000003ff,0xfffff500,0x3fffe01f,0xffd000ff,0xffd85fff,0x001fffff,
    0xffff5000,0xff88bfff,0x74006fff,0x440fffff,0xfffffffd,0x83ffffff,
    0xfffffffa,0xffffffff,0xb3ffffff,0x801fffff,0xb4fffff9,0x007fffff,
    0x3fffee00,0xffffffff,0xfb4fffff,0x0003ffff,0xfffd0000,0x7ff409ff,
    0xfd005fff,0x3a25ffff,0x0effffff,0x74c00000,0x0effffff,0x0dfffff3,
    0xffffff80,0xffffd500,0xffffffff,0xfffffb8b,0xffffffff,0xffffffff,
    0x1fffffb2,0xfffff980,0x7fffffb4,0xfff70000,0xffffffff,0x9fffffff,
    0x07fffff6,0xf5000000,0x401fffff,0xcffffffc,0xffffb500,0x3ffa25ff,
    0x001effff,0x7ff4c000,0x3e0dffff,0x4007ffff,0x807fffff,0xfffffec9,
    0x2a3fffff,0xaacfffff,0xaaaaaaaa,0xfb0aaaaa,0x9801ffff,0xf94fffff,
    0x000bffff,0xffffffa8,0xa999aacf,0xfb4fffff,0x0003ffff,0xfffe8000,
    0x7fcc04ff,0xceffffff,0xffffffec,0x7fec2fff,0x002fffff,0xffff5000,
    0xfff09fff,0x22001fff,0x005fffff,0x7ffffdcc,0x3fe67fff,0x00004fff,
    0x01fffffb,0x4fffff98,0x0dfffff7,0xffffe800,0x3fe600ef,0xfffb4fff,
    0x000003ff,0x7ffffd40,0xfffb800f,0xffffffff,0xffffffff,0xffffb81f,
    0x00003fff,0x7fffffdc,0xffffb03f,0x3fee005f,0x20004fff,0xfffffffa,
    0xbfffff10,0x3ff60000,0x7e400fff,0xff34ffff,0x0003ffff,0x07fffffc,
    0x3ffffe60,0x3fffffb4,0x74000000,0x004fffff,0x3ffffffa,0xffffffff,
    0x500fffff,0xbfffffff,0x3ff60000,0x202fffff,0x06fffffc,0x7fffffd0,
    0xfff98000,0x3ffe2fff,0x80000fff,0x02fffffc,0x3fffffee,0xffffff14,
    0x3fe6000d,0xfa806fff,0xffb4ffff,0x00003fff,0x3fffea00,0x2e2001ff,
    0xffffffff,0xffffffff,0x3fe600ff,0x00efffff,0xffffd100,0xfa803dff,
    0x402fffff,0x0ffffffb,0x7ffc4000,0x3ff61fff,0x80005fff,0x04fffffb,
    0xfffffff5,0x7fffff49,0xffa8004f,0x7d407fff,0xfb4fffff,0x0003ffff,
    0x3fffa000,0x910005ff,0xbffffffd,0xffffff15,0xffffd100,0x98003dff,
    0xeffffffe,0xffffd000,0x3fee07ff,0x5c43ffff,0x3fff2000,0x7ffcc7ff,
    0x2000cfff,0x7ffffd40,0x3ffee20e,0x264fffff,0xefffffff,0x7c5b2601,
    0x702fffff,0x9fffffff,0x07fffff6,0x3e600000,0x001fffff,0x3e606600,
    0x2006ffff,0xfffffffd,0xffff5002,0xa800bfff,0xefffffff,0xfffffdcd,
    0xeff986ff,0x32a2099b,0x85ffffff,0xfffffffc,0xba9999ac,0x3fe60ffd,
    0xfcdfffff,0xffffffff,0x7fffe44f,0xecefffff,0x3fe7fffe,0x89cfffff,
    0xffffffeb,0xffffb4ff,0x0000003f,0x0bfffffb,0x3ee00000,0x4004ffff,
    0xfffffffc,0x7fffe403,0xb0003fff,0xffffffff,0xffffffff,0xffff305f,
    0xffffffff,0x03ffffff,0xffffffd1,0xffffffff,0xffd81fff,0xffffffff,
    0xffffefff,0x7ffffc44,0xffffffff,0x3ff27fff,0xffffffff,0xffffffff,
    0xfffffb4f,0x98000003,0x01ffffff,0xffb00000,0x70003fff,0xbfffffff,
    0x3fffff60,0x220002ff,0xfffffffe,0xffffffff,0xfffff302,0xffffffff,
    0x4c05ffff,0xffffffff,0xffffffff,0x7fffcc0f,0xffffffff,0x84ffffba,
    0xffffffe9,0xffffffff,0x3ffffe27,0xffffffff,0xb4ffffcc,0x003fffff,
    0xfffd8000,0x000006ff,0xdfffff30,0x7ffcc000,0xd10effff,0x3fffffff,
    0x3fee0000,0xffffffff,0x3e600dff,0xffffffff,0x2fffffff,0xffffc880,
    0xffffffff,0xffb80fff,0xffffffff,0x09ffff72,0x7fffffdc,0x7fffffff,
    0x7fffffd4,0xf73fffff,0x3ff69fff,0x00001fff,0x3ffffe60,0x8000002f,
    0x3ffffff8,0x7ff44000,0x7fe44fff,0x0000efff,0x7fffecc0,0x803dffff,
    0xfffffed8,0x2dffffff,0xfffd9800,0xffffffff,0xffd300bd,0x5c1bffff,
    0x4404ffff,0xffffffec,0xd881bdff,0xdfffffff,0x53fffee0,0x01fffffd,
    0x3ff60000,0x00006fff,0xffffea80,0x880000ff,0xf904fffd,0x00001bff,
    0x0aba9880,0x2aa62000,0x009aacba,0x99531000,0x88001355,0x0000abba,
    0x33553100,0x2ea62001,0x0000002a,0xfff88000,0x00002fff,0x7ffdd4cc,
    0x001fffff,0x2027e400,0x000004fc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1bfffff2,0xffffa800,0xffffffff,0x0003ffff,
    0x00a00500,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff88000,0x20002fff,0xfffffffa,0xffffffff,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0x006fffff,
    0x7ffffd40,0xffffffff,0x0000001e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x3ffffff8,0x7ffd4000,0xffffffff,
    0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffffff9,0xffff5000,0x0157bddf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x554c0000,0x0f77221a,0x4c166e54,0xca80aaaa,0x5100acdd,0x00055555,
    0x42aaaaaa,0x001aaaaa,0x0d5554c0,0x55555555,0x55555555,0x554c1555,
    0x2000aaaa,0x01aaaaaa,0x66666440,0x3b600000,0x220005ee,0x0000beec,
    0x00013333,0x6407372a,0xfff55fff,0x7ff44dff,0x7fe44fff,0x3ffee2ff,
    0x883fffff,0x02ffffff,0x7ffffc40,0xdffffb0f,0xfffc8000,0xfffff14f,
    0xffffffff,0x41ffffff,0x6ffffff8,0xfffff500,0xff98003f,0x00000fff,
    0x001bfffa,0x77ffff44,0x7ffd4000,0x7ec000ff,0xfc83ffff,0xffff8dff,
    0xfffb2fff,0x7e45ffff,0xfffb3fff,0xbfffffff,0xbfffffb0,0xffffb800,
    0x3fffee5f,0x7fec0007,0xffff13ff,0xffffffff,0x1fffffff,0xffffffb8,
    0x7fffc404,0xf98003ff,0x0000ffff,0x017fffa0,0x7ffffdc0,0x7ff4006f,
    0x2e004fff,0x1fffffff,0x7ef7ffe4,0xaeffffff,0xffffffff,0x2fffff26,
    0xfffffffd,0x541fffff,0x00ffffff,0x3fffffa0,0x3ffffea2,0x3ffa0000,
    0xffff12ff,0xffffffff,0x1fffffff,0xffffffb0,0x7fffe403,0xff30005f,
    0x50001fff,0x09fffb01,0xfffd8051,0x7002ffff,0x3fffffff,0x3ffffe00,
    0x7fe45fff,0xffefffff,0xffffffff,0xf91fffff,0xffffffff,0xffffffff,
    0xfffff0df,0x3fe2007f,0x7fcc7fff,0x20001fff,0xf10fffff,0xffffffff,
    0xffffffff,0xfff101ff,0x3ea0dfff,0x000fffff,0x1fffff30,0x42ff8800,
    0x7d44fffc,0x3fffa00f,0x8805ffff,0xffffffff,0xffff8806,0x7e47ffff,
    0xf54fffff,0x23dfffff,0xf92ffffe,0xffffffff,0xffffd75b,0xfffb83ff,
    0xff7006ff,0xff889fff,0x10002fff,0x644fffff,0xcccccccc,0xfffffecc,
    0x3ffe604f,0x7fc44fff,0x0003ffff,0x03ffffe6,0x4bfff900,0xfb13fffb,
    0x7fe409ff,0x806fffff,0xffbefffd,0x7fc403ff,0x46ffffff,0x25fffffc,
    0x1ffffff8,0x64bffff2,0xefffffff,0xfffffe80,0x7ffffc42,0xfffe800f,
    0xffff80ff,0xff10003f,0x22000dff,0x06ffffff,0xffffffc8,0x3fffff22,
    0x7fcc0005,0x26000fff,0xb9efffff,0xffe9afff,0xfd100fff,0x80ffffff,
    0xfd2ffff9,0xff801fff,0x45ffffff,0x41fffffc,0x5c5fffff,0xff93ffff,
    0x201dffff,0x83fffffc,0x03fffffd,0x2fffffcc,0x84ffffe8,0xf983cccb,
    0xd0005fff,0x01ffffff,0x3fffffa0,0xfffffa8e,0x7cc0000f,0x2000ffff,
    0xfffffffa,0xfffdfffd,0x2202ffff,0x06ffffff,0xf52ffff4,0xfa80bfff,
    0x40ffffff,0xf85ffffc,0x7dc1ffff,0xfff93fff,0x7d403fff,0xfa84ffff,
    0x6406ffff,0xb02fffff,0xff0bffff,0xffa81fff,0xfd8004ff,0x002fffff,
    0x3fffffe6,0x2ffffffd,0xfff98000,0x5c4000ff,0xffffffff,0x3effffff,
    0xfffff700,0x7fffdc0b,0x0ffffec1,0x3bfffee0,0x3ffffc81,0xb87ffff8,
    0xff93ffff,0xf8805fff,0xff04ffff,0x7c03ffff,0x3207ffff,0x7d46ffff,
    0x7dc3ffff,0x5c003fff,0x04ffffff,0xfffffb80,0x04ffffff,0x55555550,
    0x7fffff75,0x55555555,0x7ffff540,0x02efffff,0x7ffffcc0,0xbffff103,
    0x0dffff30,0x20157510,0xf83ffffc,0xffb87fff,0xffff93ff,0xfff8801f,
    0xfff904ff,0x3fea09ff,0x3ea04fff,0x7fec7fff,0x7fe46fff,0x3e6002ff,
    0x005fffff,0x3fffff60,0x800effff,0xfffffff8,0xffffffff,0xffffffff,
    0x7fffe400,0x50003fff,0x203fffff,0x900ffffc,0x0007ffff,0x0fffff20,
    0x2e1ffffe,0xff93ffff,0xf8801fff,0xf104ffff,0x360fffff,0x201fffff,
    0x20fffff9,0x1fffffff,0x007ffff6,0x7fffffc4,0x3e20000f,0xffffffff,
    0xffff1001,0xffffffff,0xffffffff,0x3aa01fff,0xffffffff,0x7ec002df,
    0xff305fff,0x7fc409ff,0x80000fff,0xf83ffffc,0xffb87fff,0xffff93ff,
    0xfff8801f,0x3ff604ff,0x7fc42fff,0x7c406fff,0xff51ffff,0x6c7fffff,
    0xb000ffff,0x03ffffff,0xffff5000,0x44009fff,0xffffffff,0xffffffff,
    0x0fffffff,0x7fffff54,0xffffffff,0x7fec402e,0xffd00fff,0xffb801ff,
    0xc80005ff,0xff83ffff,0xfffb87ff,0xfffff93f,0xffff8801,0x3ffea04f,
    0x7ffd45ff,0xfff803ff,0xffff92ff,0x7ff4dfff,0xfff9007f,0x00007fff,
    0x3ffffff2,0xff1000ef,0xffffffff,0xffffffff,0x2a1fffff,0xefffffff,
    0xffffefff,0xb9552fff,0x05ffffff,0x00ffffee,0x017ffff4,0x3ffff200,
    0x87ffff83,0xf93ffffb,0x8801ffff,0x404fffff,0x20ffffff,0x00fffffe,
    0xf3ffffe8,0xffffffff,0x01bfffe3,0x3fffffea,0xff500005,0xbfffffff,
    0x55555400,0xffffbaaa,0xaaaaaabf,0x3fffe62a,0xafffb9ff,0x1ffffffa,
    0xffffffff,0x3ffe205f,0x3fea006f,0x640006ff,0xff83ffff,0xfffb87ff,
    0xfffff93f,0xffff8801,0x7ffe404f,0xffff13ff,0x3ff6009f,0xffffacff,
    0xf8cffffb,0x7c404fff,0x00efffff,0xffff8800,0x2fffffff,0xfff30000,
    0xfd8001ff,0xfff70dff,0x93fff627,0xcfffffff,0x3ffff200,0x7fff4002,
    0x3f20004f,0xfff83fff,0xffffb87f,0x1fffff93,0xfffff880,0x7fffcc04,
    0xfffff75f,0x3fff2003,0xf6fffcdf,0xfff3ffff,0xfffe807f,0x00001fff,
    0xfffffffd,0x001fffff,0xfffff300,0x3ff88001,0x2e27ffe4,0x3fffe0ff,
    0x000000cd,0xf9000000,0xfff07fff,0xffff70ff,0x3fffff27,0x7fffc400,
    0xfffd804f,0xffffe8ff,0x3ffea006,0xb4fffeef,0xfff9ffff,0x7ffec05f,
    0x00002fff,0x3dfffff9,0x0dffffff,0xffff3000,0x0350001f,0x5309fffb,
    0x000001a8,0x20000000,0xf83ffffc,0xffb87fff,0xffff93ff,0xfff8801f,
    0xffa804ff,0xffffdfff,0x3fe6003f,0x1fffffff,0xfffffff5,0x3fee03ff,
    0x0004ffff,0xffffff50,0x3ffffee3,0x7cc0003f,0x0000ffff,0x017fff60,
    0x00000000,0x7e400000,0xfff83fff,0xffffb87f,0x1fffff93,0xfffff880,
    0xfffff004,0x01ffffff,0x7ffffc40,0x3fe27fff,0x0fffffff,0xffffff98,
    0x9999999e,0xf1009999,0xd89fffff,0x01ffffff,0x3fffe600,0x3a00000f,
    0x00006fff,0x00000000,0xffff9000,0x0fffff07,0x327ffff7,0x400fffff,
    0x04fffff8,0xffffff90,0xf000bfff,0x9fffffff,0xffffffd8,0xfffe887f,
    0xffffffff,0x2fffffff,0xdfffffd0,0xffffff10,0x3e60001d,0x0000ffff,
    0x017bbb60,0x00000000,0x7e400000,0xfff83fff,0xffffb87f,0x1fffff93,
    0xfffff880,0xffff3004,0x005fffff,0xffffffd0,0xffffa83f,0xffa86fff,
    0xffffffff,0xffffffff,0xffffc82f,0xfff501ff,0x2000bfff,0x00fffff9,
    0x00000000,0x00000000,0xfffc8000,0x7ffff83f,0x93ffffb8,0x801fffff,
    0x04fffff8,0x3fffffa0,0xfb0007ff,0x10ffffff,0xbfffffff,0xffffff50,
    0xffffffff,0xa85fffff,0x04ffffff,0x7fffffec,0xfff98002,0x000000ff,
    0x00000000,0x80000000,0xf83ffffc,0xffb87fff,0xffff93ff,0xfff8801f,
    0x3ea004ff,0x04ffffff,0xfffff900,0x3fff609f,0xffa84fff,0xffffffff,
    0xffffffff,0x3fffe22f,0xff8806ff,0x000fffff,0x06666644,0x00000000,
    0x00000000,0x7fe40000,0xffff83ff,0x3ffffb87,0x01fffff9,0x4fffff88,
    0x7ffffc00,0xf70000ff,0x205fffff,0x3ffffffa,0xffffffa8,0xffffffff,
    0x362fffff,0x01ffffff,0xffffff50,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x43eeeeeb,0x02eeeeec,0x0006f2e6,
    0xeeeed980,0x666402ee,0xcccccccc,0xdddd3ccc,0xdddddddd,0xdddddddd,
    0x0bdddddd,0x00000000,0x00000000,0x00000000,0xe8000000,0xffffffff,
    0xffffffff,0xfff75fff,0xfffc89ff,0xfffb82ff,0x0001efff,0xfffffd30,
    0x7fffc05f,0xffffffff,0xfffff6ff,0xffffffff,0xffffffff,0x00dfffff,
    0x00000000,0x00000000,0x00000000,0xfe800000,0xffffffff,0xffffffff,
    0xffff55ff,0xffffc87f,0x7fffe42f,0x203fffff,0x205ffff8,0x2ffffffd,
    0xfffffff0,0xdfffffff,0x3ffffffe,0xffffffff,0xffffffff,0x00006fff,
    0x00000000,0x00000000,0x00000000,0x7fff4000,0xffffffff,0xffffffff,
    0x7fffff55,0x1fffffb8,0x3fffffea,0x104fffff,0xa809ffff,0x82ffffff,
    0xffffffff,0xf6ffffff,0xffffffff,0xffffffff,0xffffffff,0x000000df,
    0x00000000,0x00000000,0x00000000,0xfffffe80,0xffffffff,0x35ffffff,
    0xb85fffff,0x3a1fffff,0xffffffff,0xfa84ffff,0xe9804fff,0x7c2fffff,
    0xffffffff,0xdd6fffff,0xdddddddd,0xdddddddd,0xdddddddd,0x0000000b,
    0x00000000,0x00000000,0x00000000,0xccccccb8,0xcccccccc,0xf33ccccc,
    0xfa85ffff,0xff30ffff,0xffd7dfff,0x221bffff,0x002ffffe,0x8bfffff6,
    0xcccccccc,0x03cccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffff1000,0xffffa83f,0x9ffff70f,0xffffffb8,0xffffffef,
    0x55554000,0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffe200,0x7fffcc1f,0x07ffff27,0x3fffffea,0x04ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff0000,0xffff981f,0x03ffff67,0x7fffffd4,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff000,
    0x6ffff881,0x3013332e,0xffffffff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcccccb80,0xcccccccc,0x23cccccc,
    0xf887fffe,0x40006fff,0xdeffffc8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffe8,0xffffffff,0x3a5fffff,
    0xfff07fff,0x440000bf,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffff400,0xffffffff,0x5fffffff,0x4c066662,
    0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffe80,0xffffffff,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffffd0,
    0xffffffff,0x00bfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_49_usascii_x[95]={ 0,9,5,0,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,2,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1, };
static signed short stb__consolas_bold_49_usascii_y[95]={ 36,2,2,4,-1,1,2,2,0,0,2,11,27,20,
27,2,4,4,4,4,4,4,4,4,4,4,11,11,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,41,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17, };
static unsigned short stb__consolas_bold_49_usascii_w[95]={ 0,9,17,26,23,27,28,7,16,16,21,25,14,15,
11,24,25,23,23,22,26,22,24,23,23,24,9,14,21,21,21,18,27,27,23,24,24,20,19,24,23,21,18,24,
20,25,23,27,22,28,23,23,25,23,27,27,27,27,23,13,24,13,23,27,17,22,23,20,23,23,26,25,21,22,
20,24,22,25,21,25,23,23,21,21,23,21,27,27,27,27,21,19,7,19,25, };
static unsigned short stb__consolas_bold_49_usascii_h[95]={ 0,35,13,32,43,36,35,13,47,47,21,24,18,6,
10,40,33,32,32,33,32,33,33,32,33,32,26,34,28,15,28,35,46,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,42,32,33,32,33,32,32,32,32,32,45,40,45,17,5,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,34,26,25,25,25,36,25,45,50,45,12, };
static unsigned short stb__consolas_bold_49_usascii_s[95]={ 248,238,23,229,160,80,108,248,26,9,181,
155,203,85,242,213,147,136,227,213,212,1,24,1,49,25,239,146,50,1,72,
137,43,184,160,122,89,68,48,73,1,114,236,178,157,131,107,161,25,184,203,
189,81,98,201,1,29,173,57,132,1,146,218,101,67,209,204,188,1,142,25,
26,52,228,71,74,99,1,27,94,180,156,232,120,122,166,49,77,127,52,105,
92,1,112,41, };
static unsigned short stb__consolas_bold_49_usascii_t[95]={ 15,1,288,129,1,52,52,1,1,1,262,
262,262,288,262,1,129,196,163,93,196,129,129,229,129,229,196,93,229,288,229,
52,1,196,196,129,196,196,196,129,196,196,93,163,163,163,163,93,196,1,163,
93,163,129,129,163,163,129,163,1,52,1,262,288,288,229,52,229,93,229,93,
52,93,52,1,93,93,262,262,229,52,52,229,229,93,229,262,262,262,52,262,
1,1,1,288, };
static unsigned short stb__consolas_bold_49_usascii_a[95]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_49_usascii(stb_fontchar font[STB_FONT_consolas_bold_49_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_49_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_49_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_49_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_49_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_49_usascii_s[i] + stb__consolas_bold_49_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_49_usascii_t[i] + stb__consolas_bold_49_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_49_usascii_x[i];
            font[i].y0 = stb__consolas_bold_49_usascii_y[i];
            font[i].x1 = stb__consolas_bold_49_usascii_x[i] + stb__consolas_bold_49_usascii_w[i];
            font[i].y1 = stb__consolas_bold_49_usascii_y[i] + stb__consolas_bold_49_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_49_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_49_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_49_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_49_usascii_s[i] + stb__consolas_bold_49_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_49_usascii_t[i] + stb__consolas_bold_49_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_49_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_49_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_49_usascii_x[i] + stb__consolas_bold_49_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_49_usascii_y[i] + stb__consolas_bold_49_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_49_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_49_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_49_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_49_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_49_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_49_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_49_usascii_LINE_SPACING
#endif

