// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT        317
#define STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_50_usascii_FIRST_CHAR            32
#define STB_FONT_consolas_bold_50_usascii_NUM_CHARS             95

#define STB_FONT_consolas_bold_50_usascii_LINE_SPACING          33

static unsigned int stb__consolas_bold_50_usascii_pixels[]={
    0x207fffff,0x08000000,0x00000000,0x0aa88000,0x2ea60000,0x359950cc,
    0x66540003,0xcccccccc,0x999950cc,0x99999999,0x3bb20001,0x8800002e,
    0x000000aa,0x2aaaa200,0x2aaaa61a,0x3fffe0aa,0x000ed83f,0x00fe6000,
    0xdfb95100,0x00000379,0x027fffd4,0xffffd300,0x3fff61ff,0xc8004fff,
    0xffffffff,0xff91ffff,0xffffffff,0x3a0003ff,0x80002fff,0xfffffdc8,
    0x00001cdf,0x3ffff200,0x3ffff20f,0x3fffe0ff,0x077fec3f,0x7fcc0000,
    0xff70003f,0xffffffff,0xf9800003,0x003fffff,0x7ffffe44,0xfffb0fff,
    0x005fffff,0x7fffffe4,0x91ffffff,0xffffffff,0x0003ffff,0x0007fffe,
    0xffffff50,0x09ffffff,0xff100000,0xffc8bfff,0x3fe0ffff,0x3ff63fff,
    0x00000eff,0x0fffffe6,0xffffd880,0xffffffff,0x3f200001,0x006fffff,
    0x7ffffff4,0xfffb0fff,0x03ffffff,0x3fffff20,0x1fffffff,0xfffffff9,
    0x003fffff,0x01ffff30,0x7fffec00,0xffffffff,0x00000dff,0x3ffffee0,
    0x7ffffe42,0x3ffffe0f,0xffffff13,0xf500001d,0x009fffff,0x3fffffe6,
    0xffffffff,0xfb00002f,0x00ffffff,0x7fffffd4,0xffb0ffff,0xdfffffff,
    0x3ffff200,0xffffffff,0xffffff91,0x03ffffff,0x0ffff500,0x3fffa200,
    0xffffffff,0x01efffff,0xfffd0000,0xffff90df,0x7fffc1ff,0x3fffe63f,
    0x20000eff,0x4ffffff9,0xfffff100,0xffb757df,0x0003ffff,0xffffff70,
    0x7fff400d,0x4c00aeff,0x3ffffffc,0x7ffffc80,0xfff98000,0xba8801ff,
    0xacffffec,0xfffb0009,0xffffffff,0xbfffffff,0xff500000,0xff707fff,
    0xfff8ffff,0x7ffcc3ff,0x10005fff,0x0bfffffd,0x7fffff40,0xffffd102,
    0xff10000b,0x2005ffff,0x05fffffa,0xfffff980,0xffffc806,0xff980007,
    0x3ea01fff,0xffffffff,0x405fffff,0xeffffff9,0xffca889b,0x001fffff,
    0x7fffec00,0xffffb80f,0x7ffffc7f,0xfffff983,0xffd8003f,0x32005fff,
    0x401fffff,0x00fffff8,0xfffe9800,0x3ffee003,0xf90000ff,0xf900ffff,
    0x0000ffff,0x03fffff3,0xffffffd3,0xffffffff,0xfffe80bf,0x3ee00fff,
    0x005fffff,0x3fffe200,0xffff704f,0xfffff8ff,0xfffff503,0x7fd4001f,
    0x2a006fff,0x001fffff,0x007ffff5,0x4000c400,0x005ffffc,0x3ffffe60,
    0x7fffe400,0xff980007,0x7fd41fff,0xffffffff,0x5fffffff,0x3ffffea0,
    0xfffb801f,0x00001fff,0x03fffff9,0x1fffffea,0x407fffff,0x05fffffd,
    0xffffff10,0x7fff4003,0x7ff4003f,0x0000006f,0x4ffffd80,0x3ffe2000,
    0x7fe401ff,0x980007ff,0x221fffff,0xffffffff,0xffffffff,0x3ffa05ff,
    0x3e004fff,0x004fffff,0xbfffff00,0x7ffffd40,0x1fffffc6,0xffffff10,
    0xffffb005,0x7fcc009f,0xfc8006ff,0x00001fff,0x7fff4000,0x7fc0003f,
    0x7e402fff,0x80007fff,0x21fffff9,0xdffffffe,0xa9ffffaa,0xff305fdc,
    0x4003ffff,0x06fffffd,0xffffb800,0x3ffea02f,0x7fffc6ff,0x7ffdc03f,
    0x3e600fff,0x000effff,0x00bffff6,0x13fffea0,0xddddddd3,0xdddddddd,
    0x3fa007dd,0x40003fff,0x402fffff,0x007ffffc,0xfffff980,0xffffff31,
    0x837ffd47,0xfffff701,0xfffa800d,0xe80007ff,0x5406ffff,0x7c6fffff,
    0xe803ffff,0x202fffff,0x02fffffc,0x1bfffe20,0xfff13008,0xffff989f,
    0xffffffff,0x004fffff,0x007ffffd,0x2fffff80,0x3ffffe40,0x7ffcc000,
    0xffff71ff,0x5fffb8ff,0x7fffe400,0x7fc4004f,0x0000ffff,0x0fffffe6,
    0xdfffff30,0x03fffff8,0x6fffff98,0xdfffff10,0xffffc800,0x77ffed43,
    0xfffd6fec,0xfffff98b,0xffffffff,0xd004ffff,0x0007ffff,0x02fffff8,
    0x03ffffe4,0x7fffcc00,0xfffff91f,0x04fffd8b,0x7fffff40,0xffff8003,
    0x360001ff,0x400fffff,0x45fffff9,0x003fffff,0x01fffffd,0x07fffff7,
    0x0ffffe80,0x3ffffff2,0xfffb6fff,0xfffff98d,0xffffffff,0xd004ffff,
    0x0007ffff,0x02fffff8,0x03ffffe4,0x7fffcc00,0xfffff91f,0x1ffff41f,
    0x3ffffa00,0xfff8003f,0x10002fff,0x009fffff,0x8bfffff3,0x003fffff,
    0x07fffff7,0x01fffffd,0x2ffffc40,0xfffffff9,0x3ff6bfff,0x77774c7f,
    0xeeeeeeee,0x004fffff,0x005fffff,0x3ffffe80,0x3ffffe40,0x7ffcc000,
    0xffff71ff,0x3ffe19ff,0x7ffc002f,0xe8002fff,0x003fffff,0x3fffff90,
    0xfffff100,0x3fffff8b,0xfffff300,0xfffff98d,0x7ffd4005,0xfffff12f,
    0x29ffffff,0x0007fffc,0x27ffffdc,0x7ffffc40,0x7fec0002,0x7fe404ff,
    0x980007ff,0xf31fffff,0x7fffffff,0x8003ffff,0x01ffffff,0xfffffe80,
    0xffff0003,0x3fe200df,0x7ffc4fff,0x3fa003ff,0x3ee1ffff,0x4002ffff,
    0xfb1ffffc,0xffb7ffff,0x3fff27ff,0x3ee0000f,0xa804ffff,0x001fffff,
    0x7ffffec0,0x3ffff200,0xff980007,0x3ffe1fff,0xffffffff,0x7fc4007f,
    0x8001ffff,0x03fffffd,0xfffffa80,0xffff1002,0xfffff89f,0x3ffee003,
    0x3fff22ff,0x7f4000ff,0x3fffe7ff,0x7ffff90f,0x007fffee,0xfffffb80,
    0x7fff4404,0xfa80006f,0x3204ffff,0x0007ffff,0x1fffff98,0x3fffffe6,
    0x1cffffff,0x3ffffe00,0xffe8002f,0xe8002fff,0x2007ffff,0x44fffff8,
    0x003fffff,0x8fffffea,0x007ffffd,0x9b7fffc4,0x3f25ffff,0xfff72fff,
    0x7dc0003f,0x2a24ffff,0xfffffcba,0xfd00003f,0x559dffff,0x1fffff25,
    0x3ffe6000,0x7ffdc1ff,0xffffffff,0xfe802eff,0x8003ffff,0x01ffffff,
    0x7ffffcc0,0x7fffc003,0x7ffffc4f,0x3ffe6003,0x3fffa4ff,0x7fcc006f,
    0xffff94ff,0x8ffffec5,0x000ffffb,0x3ffffee0,0x3ffffe64,0x0004ffff,
    0x3ffffa60,0xff95ffff,0x30000fff,0x503fffff,0xfffffffd,0x3dffffff,
    0x7fffff40,0xffff8003,0x7ec000ff,0x4000ffff,0x7c3fffff,0x2003ffff,
    0x25fffff8,0x005fffff,0xd97fffd4,0x3fa1ffff,0xfff90fff,0xffb8000f,
    0x3fe64fff,0x02dfffff,0xfeb88000,0xf95fffff,0x0000ffff,0x03fffff3,
    0x7fffffe4,0xffffffff,0xfffffb03,0xfff88009,0x7c4007ff,0x8005ffff,
    0x7c3fffff,0x4003ffff,0xf15fffff,0x8009ffff,0xfd2ffffa,0x7ff41fff,
    0xffff90ff,0xfffb8000,0x3ffe64ff,0x002cffff,0xffeb8800,0xff95ffff,
    0x30000fff,0x803fffff,0xfffffea8,0x2fffffff,0x6fffffc8,0x7fffd400,
    0x7fdc007f,0xf8001fff,0x7fc3ffff,0x7c003fff,0xff36ffff,0xb8007fff,
    0xfff1ffff,0x7ffff8ff,0x001ffff2,0x9fffff70,0x7fffffcc,0x00004fff,
    0x3fffffe6,0xfff95fff,0xf30000ff,0x2003ffff,0xfffffff8,0x41ffffff,
    0x0ffffffb,0x3ffff200,0x7ffc005f,0xfd0006ff,0xfff85fff,0x7f4003ff,
    0xfff36fff,0xfb8009ff,0xffff1fff,0x26ffff8d,0x0006fffd,0x27ffffdc,
    0xfffb7551,0x00005fff,0x3bfffffe,0xfff92aac,0xf30000ff,0x2003ffff,
    0xffcffffa,0x44ffffff,0x3ffffff8,0x3ffffe00,0x3fea001f,0xd0002fff,
    0xff85ffff,0x7c003fff,0xff35ffff,0xc800bfff,0xff88ffff,0x3ffe26ff,
    0x1bfffa6f,0xffff7000,0xfff9809f,0xa80006ff,0x204fffff,0x007ffffc,
    0xfffff980,0xdfff7001,0x3fffff62,0xffffd86f,0xffb800ef,0x74006fff,
    0x0007ffff,0x7ffffc00,0x3ffe2003,0xffff14ff,0xffd800df,0xffff88ff,
    0x93fffe66,0x0004ffff,0x27ffffdc,0x7ffffdc0,0x7fec0001,0x7fe406ff,
    0x980007ff,0x001fffff,0xfe89fff9,0xfa87ffff,0x00efffff,0x3fffffea,
    0x3ffe6003,0x000004ff,0x01fffffc,0x7fffff30,0x037ffffc,0x45ffff60,
    0x3ea6ffff,0xfff14fff,0xfb80005f,0x8804ffff,0x001fffff,0x27ffff40,
    0x1fffff20,0x3ffe6000,0xffb001ff,0xffffb87f,0xffff80ff,0x260aefff,
    0x7ffffffb,0x7fffe400,0x4000000f,0x003fffff,0x8bffffe6,0x007ffffe,
    0xf87fffe4,0x3ff66fff,0xffff74ff,0xffb80001,0xff004fff,0x80005fff,
    0x403ffffe,0x007ffffc,0xfffff980,0x5fffd001,0x6fffffa8,0xffffff70,
    0xffffffff,0x005fffff,0x2fffffc4,0x3bf66000,0x3fffff84,0x3fffee00,
    0x3ffff61f,0x3ff2001f,0xffffd0ff,0x9fffff51,0x0017fffa,0x3ffffee0,
    0xffffd004,0xfff80007,0x7fe402ff,0x980007ff,0x001fffff,0xfc83ffff,
    0x3205ffff,0xffffffff,0xffffffff,0x7fdc003f,0x20001fff,0x45fffff9,
    0x003fffff,0x83fffff6,0x04fffffc,0x47fffee0,0xffeffffd,0xffefffff,
    0xb80003ff,0x004fffff,0x007ffffd,0x2fffff80,0x3ffffe40,0x7ffcc000,
    0x103791ff,0x7dc1ffff,0x403fffff,0xfffffffc,0xffffffff,0xfffe8003,
    0x7ec0006f,0x3e1fffff,0x1003ffff,0x98bfffff,0x006fffff,0x5cbfffea,
    0xffffffff,0xffffffff,0xfb80000e,0xd004ffff,0x0007ffff,0x02fffff8,
    0x03ffffe4,0x7fffcc00,0x9bfffb1f,0x73ffff75,0xfffffffd,0xffff9001,
    0xffffffff,0xff50005d,0x80007fff,0x3fffffff,0x00fffffe,0x17ffffdc,
    0x0ffffff4,0x3ffff980,0xfffffff1,0xffffffd7,0x2e00001f,0x004fffff,
    0x007ffffd,0x2fffff80,0x3ffffe40,0x7ffcc000,0xffffb1ff,0xffffffff,
    0xffffffff,0xffea8003,0x02dfffff,0x3ffff600,0xffe80007,0x3fe2ffff,
    0xfd003fff,0x3ee0ffff,0x1004ffff,0x7d47ffff,0xff34ffff,0x0003ffff,
    0x7ffffdc0,0xffffd004,0xfff80007,0x7fe402ff,0x980007ff,0xfb1fffff,
    0xffffffff,0xffffffff,0x540005ff,0x003fffff,0x7ffffcc0,0xffc80004,
    0x3fe0ffff,0xf9803fff,0xf104ffff,0x001fffff,0x98dffff1,0x6dcc1cec,
    0xb800002c,0x004fffff,0x007ffffd,0x2fffff80,0x3ffffe40,0x7ffcc000,
    0xffffb1ff,0xffffffff,0x05dfffff,0xffff8800,0x7e40005f,0x0000ffff,
    0x85ffffb0,0x803fffff,0x01fffffd,0x13fffff6,0x0fffffc0,0x00000000,
    0x0fffffee,0x1fffff40,0x3fffe000,0x7ffe402f,0xf980007f,0xffb1ffff,
    0xffffffff,0x05dfffff,0x7fff4000,0x880601ff,0x005fffff,0x4055d400,
    0x403fffff,0x06fffffa,0x7fffffd4,0xffffc801,0x00000003,0x7ffffe40,
    0xffffb002,0x7fc40009,0x7e401fff,0x80007fff,0x41fffff9,0xfffedba9,
    0x001acdef,0xffffd800,0x27e443ff,0x2fffffb8,0x7c000000,0x2203ffff,
    0x01ffffff,0x6fffffd8,0x6ffff980,0x00000000,0x0fffffec,0x5ffffc80,
    0x3ffe6000,0x7fe400ff,0x980007ff,0x401fffff,0x000ffff9,0xfffa8000,
    0xffefffff,0xffe81fff,0x000006ff,0x3fffff80,0x3fffff20,0xffff1004,
    0xffd007ff,0x000005ff,0x3ffe2000,0x3ee007ff,0x0000ffff,0x00fffff7,
    0x00fffff9,0xfffff300,0x7fffa803,0x36000000,0xffffffff,0x546fffff,
    0x003fffff,0xfff80000,0xfff503ff,0xfa800dff,0x401fffff,0x02fffffb,
    0x00400440,0xdfffff90,0x7fffd400,0xff88004f,0xfc806fff,0x80007fff,
    0x01fffff9,0x002fffdc,0xffd10000,0xffffffff,0x7fec5fff,0x00000fff,
    0xfffff800,0xfffff983,0xffd8001f,0x2200ffff,0x01ffffff,0x4400fc88,
    0x7fe402df,0x2003ffff,0xdffffff8,0xfffb8801,0xfc803fff,0x80007fff,
    0x01fffff9,0x0027ffe4,0x3f220000,0xffffffff,0x4cccc1ef,0x00000009,
    0x87fffff0,0x3ffffff9,0xffff1000,0x7e401dff,0x1bdfffff,0x1fffb733,
    0xeffff880,0xfffedccc,0xb8005fff,0xffffffff,0xfffd90ef,0x00dfffff,
    0x3ffffff2,0x91ffffff,0xffffffff,0xe803ffff,0x00003fff,0xffdb1000,
    0x0007bdff,0xf0000000,0x7c47ffff,0x005fffff,0x7ffffcc0,0x3ffa00ef,
    0xffffffff,0x00ffffff,0x7fffffc4,0xffffffff,0xfd0000ff,0xffffffff,
    0x3fffff61,0x9002ffff,0xffffffff,0x3f23ffff,0xffffffff,0x7fc01fff,
    0x000002ff,0x00131000,0x00000000,0x13fffff8,0x0bfffffd,0x3ffe6000,
    0x3a205fff,0xffffffff,0x0fffffff,0x7ffffc40,0xffffffff,0x220002ff,
    0xfffffffe,0xfffffb0f,0x64007fff,0xffffffff,0xff91ffff,0xffffffff,
    0x000003ff,0x00000000,0x00000000,0x3fffff80,0x017ffff6,0xffff3000,
    0xfff9003f,0xffffffff,0xff1007df,0xffffffff,0x00019fff,0x3ffffaa0,
    0xffffb0ff,0xc8001bff,0xffffffff,0xff91ffff,0xffffffff,0x000003ff,
    0x00000000,0x00000000,0x3fffff80,0x0002ffec,0x01fff980,0x3fffae20,
    0x001cefff,0x7fffedc4,0x000ceeff,0x99753000,0x2af32a19,0x99500009,
    0x99999999,0x3332a199,0xcccccccc,0x0000000c,0x00000000,0x00000000,
    0x41fffffc,0x4000005d,0x440001f9,0x10000019,0x00000033,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0x00003fff,0x00002000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffc00,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf8000000,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555500,0x20000000,0x00000999,
    0x00002620,0x33bf6e60,0x5554c002,0x026aaa0a,0x77774c00,0xeb8001ee,
    0x0004eeee,0x001004cc,0x4002a620,0x00aaaaa9,0x2a200000,0x7fe4000a,
    0x00000fff,0xfffed980,0xeeeeefff,0xb7005eee,0x07dfffff,0xffff7000,
    0x1001bfff,0x7c4dffff,0x2cefffff,0x3ffffa00,0xffe8005f,0x2a003fff,
    0xfffffedb,0x70ffdbbd,0xea87dddd,0x02deffff,0x0bfffff2,0x7dc00000,
    0x26004fff,0x003fffff,0x3ff62000,0xffffffff,0x6fffffff,0x7ffff4c0,
    0x02efffff,0xfffff900,0x900bffff,0x7c43ffff,0xffffffff,0xfffb802e,
    0x26000fff,0x00ffffff,0xfffffe98,0xffffffff,0xffff90ff,0x3ffff629,
    0x903fffff,0x005fffff,0xfff30000,0x74005fff,0x0007ffff,0xfffff100,
    0xffffffff,0x0dffffff,0x7fffffdc,0x2fffffff,0x7fffc400,0x1fffffef,
    0x0ffffe60,0xfffffff1,0x405dffff,0x2ffffff8,0x3ffff200,0xfffb805f,
    0xffffffff,0x90ffffff,0xff19ffff,0xffffffff,0xfff909ff,0x000005ff,
    0xffffff90,0x7ffd400d,0x800002ff,0xfffffffe,0xfffffffe,0xf306ffff,
    0xffffffff,0x01ffffff,0x8f7ffe40,0x205ffffa,0xf886fffe,0xffffffff,
    0x3602ffff,0x005fffff,0x0bfffffe,0xffffffd0,0xffffffff,0x3f21ffff,
    0xfffedfff,0xffffffff,0x7ffe43ff,0x000002ff,0xffffffd8,0x7fffc007,
    0x6400006f,0x41efffff,0xcffffffa,0xfffd03cc,0xff957dff,0x400bffff,
    0x7e44fffe,0xfff906ff,0xffff103f,0xffffffff,0x3fea03ff,0x9800ffff,
    0x406fffff,0xfffffffb,0xffeccace,0xff90ffff,0xffffffff,0xffffffdf,
    0xffffc8ff,0x8000002f,0x5ffffffc,0x7fffdc00,0x3e00001f,0x2206ffff,
    0x403fffff,0x84fffffa,0x07fffff9,0x70bfffe0,0xff30ffff,0x533009ff,
    0xfffffff9,0x3ffe01ff,0xfc803fff,0x2203ffff,0x1fffffff,0x3fffffa0,
    0xffffff90,0x36217dff,0x22ffffff,0x02fffffc,0xff880000,0x4002ffff,
    0x04fffff8,0xffff1000,0xfffc805f,0x7ffdc07f,0xfff900ff,0xff1001ff,
    0xfff983ff,0x06fffe87,0xffff7100,0x3ee0bfff,0xf806ffff,0x200fffff,
    0x0efffffd,0x7fffff40,0xffffff90,0x7ffec0bf,0x3fff26ff,0x000002ff,
    0x05fffd30,0x3ffff600,0xfa80000f,0x5400ffff,0x200fffff,0x206ffffd,
    0x01fffffa,0x42ffff88,0x7e47fffb,0x40001fff,0x7ffffffa,0xffffff10,
    0x7fffd403,0x3ffe605f,0xfe802fff,0xff90ffff,0x401dffff,0x0ffffffa,
    0x05fffff9,0x18800000,0x7ffcc000,0xb80003ff,0xa807ffff,0x200fffff,
    0x206ffffe,0x00fffffb,0xc89ffff0,0x3fe65fff,0x900004ff,0x01ffffff,
    0x13fffff6,0x2fffffd8,0x3ffffee0,0xffffd006,0x3ffff21f,0xfff800ef,
    0xfff91fff,0x026203ff,0x00000000,0x037ffff4,0x7fffd400,0x7ffdc00f,
    0x7ffe407f,0xfffb00ff,0x7ff400df,0xffff51ef,0x037fff49,0xffff3000,
    0x3fea05ff,0xff107fff,0xfc80ffff,0xd003ffff,0x321fffff,0x002fffff,
    0x25fffffb,0x21fffffc,0xdefffeca,0x00000002,0x3ffffea0,0x7fc40002,
    0x7f403fff,0x7dc05fff,0xfa82ffff,0x2004ffff,0xfefffffa,0xff70ffff,
    0x800003ff,0x03ffffff,0x0bfffffe,0x13ffffee,0x5fffffb0,0x3ffffa00,
    0xfffff90f,0x3fff6005,0xffff93ff,0x3ffff23f,0x203fffff,0xeeeeeeeb,
    0x002eeeee,0x17ffffe0,0x3fffe000,0xfff901ff,0xff9809ff,0x3ea0ffff,
    0x000fffff,0x7ffffff4,0xfff33fff,0x8800009f,0x02ffffff,0x17fffff2,
    0x03fffffa,0x3fffffd0,0x3ffffa00,0xfffff90f,0x3fff2005,0xffff94ff,
    0xfffffb3f,0x09ffffff,0x3ffffff2,0x03ffffff,0x3ffff200,0x7d40001f,
    0xaacfffff,0xffffffeb,0xffffd800,0xffffc8df,0xd88002ff,0x2fffffff,
    0x003bfffa,0xffff5000,0x7fc401ff,0x3e60ffff,0xf806ffff,0x000fffff,
    0x21fffffd,0x02fffffc,0x9fffff90,0x3bfffff2,0xffffffff,0xc83fffff,
    0xffffffff,0x0003ffff,0x13ffffe2,0x3fff6000,0xffffffff,0x3001ffff,
    0xffffffff,0x007fffff,0xbdfeca80,0x0bfffee0,0xfff10000,0xfb00ffff,
    0x7e45ffff,0x4402ffff,0x00ffffff,0x1fffffd0,0x0bfffff2,0x7ffffec0,
    0xffffff93,0xffdfffff,0x90ffffff,0xffffffff,0x0007ffff,0x0fffffd8,
    0x3ffe2000,0xffffffff,0x4003ffff,0xfffffffc,0x0001ffff,0xffff8800,
    0x73100004,0x7fffffff,0xfffff500,0x3fffffcb,0xffffff80,0xffffd001,
    0x3ffff21f,0xfffb002f,0x3fff25ff,0x0befffff,0xffffffb1,0xeeeeeb85,
    0x3ffffffe,0x7ffcc000,0x360003ff,0xffffffff,0x00cfffff,0xfffffd00,
    0x00019fff,0x3fffa000,0x3fe0000f,0xffffffff,0x3fe006ff,0xff98ffff,
    0xfd004fff,0x2003ffff,0x90fffffe,0x005fffff,0x43fffffe,0xfffffffc,
    0x3ffff605,0x3ff2006f,0x80003fff,0x006ffffe,0x2dffff50,0x0abcdcca,
    0x3ffe6000,0x001fffff,0x3fee0000,0x7c0002ff,0xffffffff,0x32001fff,
    0xfcbfffff,0xb001ffff,0x007fffff,0x1ffffff5,0x0bfffff2,0x3ffffe60,
    0x3fffff27,0x3fea00ef,0x9000ffff,0x007fffff,0xfffff700,0xfffb0005,
    0x4000005f,0xfffffffb,0x999904ff,0x7c400039,0x80005fff,0xffffffff,
    0x4c000dff,0xffefffff,0x32006fff,0x405fffff,0xfffffff9,0x5fffff90,
    0xfffffb00,0x7ffffe4d,0xffff800e,0xff9001ff,0x00007fff,0x017ffffe,
    0x0fffffe0,0x7fdc0000,0xffffffff,0x7fffc43f,0x3f60002f,0x80000fff,
    0xffffffff,0x3fa0002d,0xffffffff,0x3fea003f,0xf100ffff,0x1fffffff,
    0x0bfffff2,0xffffff50,0x7ffffe47,0xffffb002,0x3ff2005f,0x00003fff,
    0x01fffff9,0xffffff80,0x7d400002,0xffefffff,0x3e21ffff,0x0001ffff,
    0x885ffff5,0xfd0009aa,0x0003dfff,0x3ffffea0,0x000fffff,0x77fffffc,
    0x7ffff5c0,0xff90ffff,0x7dc05fff,0x645fffff,0x002fffff,0x07fffffb,
    0x3fffff20,0xff100003,0xd8009fff,0xefffffff,0x9accdeee,0xffffe800,
    0xfffffd3f,0x3fffe21f,0xff88000f,0x3ffea5ff,0xfe804fff,0x00004fff,
    0x7ffffffc,0xfb8004ff,0xcdffffff,0xffffffff,0xfff90fff,0x75559dff,
    0xfffffffb,0xfffffc81,0xffff9002,0x3ff2009f,0x00003fff,0x03fffff6,
    0xfffffa80,0xffffffff,0x501dffff,0x449fffff,0x8effffff,0x007ffffa,
    0x21ffffb0,0xfffffffc,0x3ff600ef,0x400004ff,0xfffffffc,0xff88001f,
    0xffffffff,0xffffffff,0xffff90ff,0xffffffff,0x07ffffff,0x05fffff9,
    0x3fffff20,0xffff9004,0x5400007f,0x003fffff,0x7fffffd4,0xffffffff,
    0xfe84ffff,0x7cc1ffff,0xfbdfffff,0xa8007fff,0xff33ffff,0xffffffff,
    0x7fffec09,0x7cc00003,0x05ffffff,0x3fffea00,0xffffffff,0x0fffffcd,
    0xfffffff9,0xffffffff,0x3ff207ff,0xfb002fff,0x2007ffff,0x03fffffc,
    0x7fff4000,0x7f44006f,0xffffffff,0xffffffff,0x7ffffc3f,0xfffff707,
    0x09ffffff,0x5ffff880,0x2efffffa,0xb00fffff,0x0007ffff,0xfffffd00,
    0xf980003f,0xffffffff,0xfffff94f,0x3fffff21,0xffffffff,0x3f200dff,
    0xb002ffff,0x005fffff,0x0ffffff2,0xfff70000,0x3a6003ff,0xeeefffff,
    0xfffffeee,0xff10ffff,0x7e40bfff,0xffffffff,0x7fec001f,0xffff30ff,
    0x17fffc43,0x20000000,0x05fffffe,0xfffb3000,0x7ec5dfff,0xff90ffff,
    0xffffffff,0x9005bdff,0x005fffff,0x03fffffe,0x7ffffe40,0x7c400003,
    0x8805ffff,0x01fffffe,0x7ffffe44,0xfffff12f,0xffffd80b,0x4006ffff,
    0x2a3ffffa,0xfff87fff,0x0000003f,0x3ffffea0,0x9800002f,0xffd81abb,
    0xfff90fff,0x355535ff,0xffff9000,0xfff3005f,0x7e400fff,0x0003ffff,
    0xfffffc80,0x7fffe400,0x3ff2002f,0x3ffe4fff,0x7f4407ff,0x03ffffff,
    0x1bfffe20,0xfb0dfff7,0x008809ff,0xffe88000,0x00006fff,0x3fff6000,
    0xffff90ff,0x3200005f,0x802fffff,0x06fffffd,0x3fffff20,0xf9800003,
    0x7c04ffff,0x4007ffff,0x24fffffb,0x02fffffe,0x7fffffcc,0x3ff2000f,
    0x7ffdc1ff,0x04fffd86,0x003dfff5,0x7fffec00,0x000001ff,0x3ffffa00,
    0xfffff90f,0x3f200005,0x5402ffff,0x03ffffff,0x3fffff20,0xfb000003,
    0x7c40ffff,0x4007ffff,0x22fffffc,0x1ffffffc,0x3ffffea0,0xff5004ff,
    0xfff507ff,0x07ffff0f,0x3ffffff3,0xffe98000,0x0002ffff,0x7ff40000,
    0xfff90fff,0x200005ff,0x02fffffc,0x3fffffee,0x7ffe4005,0x000003ff,
    0x05fffff5,0x17fffffc,0xfffffa80,0x3fffe60f,0xba9bdfff,0xfffffffd,
    0x7f4403ff,0xfff306ff,0x7fffc43f,0xfffffd82,0x3bb2005f,0xfffffffe,
    0x0000004f,0xfffffe80,0x5fffff90,0x3ff20000,0xaaacefff,0xffffffdb,
    0x7fe4000f,0x00003fff,0x1bffffa0,0xffffffd8,0x7ecc41ac,0xc84fffff,
    0xffffffff,0xffffffff,0x02ffffff,0x407ffff2,0xbcfffff8,0xff06ffff,
    0x00dfffff,0x7fffffe4,0x0006ffff,0xffd00000,0x3ff21fff,0x00002fff,
    0xfffffff9,0xffffffff,0x99307fff,0xffd99999,0x9999dfff,0xb8000599,
    0x501fffff,0xffffffff,0xffffffff,0x740bffff,0xffffffff,0xffffffff,
    0x80ffffff,0x403ffff9,0xfffffffb,0xffd02fff,0x400bffff,0xfffffffc,
    0x00000dff,0xfffd0000,0x3fff21ff,0x900002ff,0xffffffff,0xffffffff,
    0x3ffee07f,0xffffffff,0xffffffff,0x7c40004f,0x2a05ffff,0xffffffff,
    0xffffffff,0x7e4406ff,0xffffffff,0xff8aefff,0x740effff,0xfd006fff,
    0x9fffffff,0x7ffffdc0,0x3ff2002f,0x02efffff,0x40000000,0x90fffffe,
    0x005fffff,0x3ffff200,0xffffffff,0x2e00dfff,0xffffffff,0xffffffff,
    0x0004ffff,0x0fffffc8,0x3ffffaa0,0xffffffff,0x22002dff,0xfffffffd,
    0x7ffcc3ff,0x3ff25fff,0x3ee001ff,0x802fffff,0x004ffffc,0x677fffe4,
    0x00000003,0xfffffd00,0x3fffff21,0x2e600002,0xfffffffd,0xb802deff,
    0xffffffff,0xffffffff,0x0004ffff,0x4fffff98,0xfffec980,0x1cdeffff,
    0x654c4000,0x0000009a,0x01553000,0x001bb980,0x00003330,0x2e000000,
    0x950ccccc,0x00039999,0x554cc400,0xffb8001a,0xffffffff,0xffffffff,
    0xd00004ff,0x000fffff,0x00002662,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf5000000,0x0005ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff000,0x555554cd,0x00000000,0x77ff65d4,0x55511bce,0x80000355,
    0xaaaaaaa9,0x001aaaaa,0x26000000,0x2000000b,0x00000aa8,0x13555100,
    0x2a660000,0x000099aa,0xf7000000,0x3f23ffff,0x0002ffff,0xffd50000,
    0xffffffff,0x3ffffea9,0x7e400004,0xffffffff,0x20003fff,0x000cefea,
    0x07fff6e6,0xfdc98000,0x1cdfffff,0xdca88000,0xffffffff,0x36a000bd,
    0xffffffff,0xea81bdff,0x00000cef,0x09999980,0x05fffff9,0xe8800000,
    0xffffffff,0xff54ffff,0x00009fff,0xffffffc8,0x03ffffff,0xfffff700,
    0x3ffa001d,0x00001fff,0xfffffff7,0x009fffff,0x7ffffdc0,0xffffffff,
    0xffe9803f,0xffffffff,0x2e0fffff,0x00efffff,0x32000000,0x002fffff,
    0x7fec0000,0xffffffff,0xfff54fff,0x800009ff,0xfffffffc,0x003fffff,
    0xffffff98,0xfffd004f,0x880003ff,0xfffffffd,0xdfffffff,0x3ff62000,
    0xffffffff,0x403fffff,0xfffffffb,0xffffffff,0xffff30ff,0x00009fff,
    0x15555540,0x05fffff9,0x7d400000,0xefffffff,0xf54fffee,0x0009ffff,
    0xfffffc80,0x3fffffff,0xffffb800,0xfd007fff,0x0003ffff,0x7fffffcc,
    0xffffffff,0x9801efff,0xfffffffe,0xffffffff,0xfffd103f,0xffffffff,
    0x1fffffff,0x3fffffee,0x2000007f,0x90fffffe,0x005fffff,0x3fe20000,
    0x102fffff,0x3fffea53,0x4400004f,0xfd999999,0x8003ffff,0xfffffffc,
    0xfffe800f,0x3a0001ff,0xffffffff,0xffffffff,0x7fcc05ff,0xffffffff,
    0xffffffff,0xfffff883,0xffffffff,0x0fffffff,0xfffffff9,0x2000001f,
    0x90fffffe,0x005fffff,0x3fe60000,0x2001ffff,0x04fffffa,0x3f200000,
    0x8003ffff,0xfffffffa,0xffffd006,0x3ea0003f,0x1befffff,0xfffff951,
    0x7ff403ff,0x9bdfffff,0x7ffb5310,0xffffff90,0x4c4159df,0xf50fffca,
    0x0dffffff,0x7ff40000,0xfff90fff,0x000005ff,0x3ffffea0,0x7ffd4004,
    0x000004ff,0x3fffff20,0xfff88003,0xd003ffff,0x003fffff,0x3fffffa0,
    0x3ffee00e,0xff505fff,0x005fffff,0xfff30aa2,0x800bffff,0xffff10c9,
    0x00007fff,0x7fffff40,0x5fffff90,0x32000000,0x002fffff,0x27ffffd4,
    0xf9000000,0x0007ffff,0x17ffffe6,0xfdddddd7,0xdddfffff,0x8bdddddd,
    0x0ffffffb,0xfffffb80,0xffffe80f,0xd80001ff,0x03ffffff,0xffff3000,
    0x800000bf,0x90fffffe,0x105fffff,0x20000153,0x01fffffd,0x7ffffd40,
    0x20000004,0x03fffffc,0x0b36e200,0x3ffffff2,0xffffffff,0x6fffffff,
    0x1ffffffc,0xffffff00,0xfffffb89,0xfa80002f,0x004fffff,0x166dc400,
    0x7f400000,0xff90ffff,0x7f543fff,0x001dffff,0x3fffffa0,0x7ffd4000,
    0x76c404ff,0x001eeeee,0x0ffffff2,0xff900000,0xffffffff,0xffffffff,
    0x7fccdfff,0x2001ffff,0x46fffffd,0x07ffffff,0xffffd000,0x000001ff,
    0xd0000000,0x321fffff,0xd89fffff,0xffffffff,0xffd0003f,0xa8001fff,
    0x404fffff,0x3ffffffd,0x7fffe400,0x4000003f,0xfffffffc,0xffffffff,
    0x26ffffff,0x06fffffb,0x7ffffd40,0x3ffffe27,0xff00003f,0x0009ffff,
    0x00000000,0x3fffffa0,0x3fffff90,0xfffffffd,0x0007ffff,0x01fffffd,
    0xfffffa80,0x3ffff204,0xfc8004ff,0x0003ffff,0x77775c00,0xffffffee,
    0xeeeeeeee,0x3ffff65e,0x7fc4004f,0xff30ffff,0x0001ffff,0xffffff10,
    0x00000001,0x42660000,0x90fffffe,0xffdfffff,0xffffffff,0x26660fff,
    0xfffe9999,0x99999aff,0x3fea0999,0xff704fff,0x000bffff,0x0ffffff2,
    0xe8000000,0x001fffff,0x1ffffff4,0x7ffffc00,0xfffff51f,0x3e60000f,
    0x0007ffff,0x50000000,0xfffffdb9,0x21ffffff,0xfffffffc,0xfffeffff,
    0xff83ffff,0xffffffff,0xffffffff,0x3ea6ffff,0xf984ffff,0x006fffff,
    0x3fffff20,0x00000003,0x07fffffa,0xffffff00,0xffff0007,0x3ffee3ff,
    0x500006ff,0x40dfffff,0xaaaaaaaa,0x00000aaa,0xfffffd30,0xffffffff,
    0x3fff21ff,0x0befffff,0xbfffffd5,0xfffffff0,0xffffffff,0xdfffffff,
    0x27ffffd4,0x3fffffe2,0x3f20000e,0x0003ffff,0x3ffa0000,0x7c001fff,
    0x002fffff,0x2fffffe8,0x0bfffffb,0x3ffee000,0xfff105ff,0xffffffff,
    0xc8800003,0xffffffff,0xffffffff,0xfffff90f,0x3fea0bff,0xfff86fff,
    0xffffffff,0xffffffff,0x3fea6fff,0x3fa24fff,0x000fffff,0x7ffffe40,
    0x00000003,0x07fffffa,0xffffff00,0xfffd0003,0x3fffa7ff,0xb00004ff,
    0x209fffff,0xfffffff8,0x0001ffff,0x7fffff40,0xffffffff,0xf90fffff,
    0x01dfffff,0x1fffffe2,0x3ffffffe,0xffffffff,0x6fffffff,0x93ffffea,
    0x1ffffffd,0xfffc8000,0x2e0003ff,0x74004efe,0x001fffff,0x0ffffffc,
    0x7fffec00,0xffffff3f,0x3fa00009,0xf104ffff,0xffffffff,0x002203ff,
    0xffffff70,0xfd9959df,0x321fffff,0x00efffff,0x07fffff4,0x2aaaaaaa,
    0xabfffffe,0x2aaaaaaa,0x53ffffea,0x2ffffffc,0xfff90000,0x320007ff,
    0x00dfffff,0x3fffffd0,0xfffff800,0xffe8002f,0xfffd3fff,0x20000bff,
    0x04fffffd,0xfffffff1,0xfb83ffff,0xf8801eff,0x01ffffff,0x43fffffa,
    0x02fffffc,0x0fffffe8,0x3ffffa00,0x7fd4000f,0xfffacfff,0x00003fff,
    0x0ffffff2,0x3fffe200,0xfd004fff,0x8003ffff,0x03fffffe,0xffffff80,
    0xdfffffb2,0x3ff20000,0x2aa05fff,0xffffeaaa,0x3ffff61f,0x7fec01ff,
    0x7400efff,0xf90fffff,0xd005ffff,0x001fffff,0x07fffff4,0x3fffea00,
    0xffffffef,0x7e400003,0x8003ffff,0xfffffffa,0xfffe800f,0x7ec001ff,
    0x8003ffff,0x92ffffff,0x00ffffff,0x3fffee00,0x7fec006f,0xfff31fff,
    0x4c0bffff,0x02ffffff,0x0fffffe8,0x05fffff9,0x1fffffd0,0x7ffff400,
    0x7fd4000f,0xffffffff,0xc800006f,0x003fffff,0xffffffa8,0xffe802ff,
    0x64001fff,0x004fffff,0x7fffffc4,0xffffff71,0x3fe60000,0x6c007fff,
    0xf71fffff,0x0fffffff,0x37ffffd4,0xfffffe80,0x5fffff90,0xfffffd00,
    0x7fff4001,0x7d4000ff,0xffffffff,0x00003fff,0x1fffffe4,0x7fffc400,
    0xe803ffff,0x001fffff,0x37ffffdc,0x3fffea00,0x3fffea7f,0x880003ff,
    0x01ffffff,0x3fffff60,0xffffff91,0x7ffe40ff,0xffd003ff,0x3ff21fff,
    0xfe802fff,0x2000ffff,0x00fffffe,0x7ffffd40,0xffffffdc,0x3f200001,
    0x0003ffff,0xfffffff5,0xffffd009,0xffa8003f,0x2000ffff,0x25fffffc,
    0x6ffffff9,0xffff0000,0x7ec00bff,0xff51ffff,0x40dfffff,0x02fffffd,
    0x1fffffd0,0x0bfffff2,0x3fffffa0,0x3fffa000,0x7d4000ff,0xfe8cffff,
    0x000fffff,0xfffff900,0x7fe40007,0xe803ffff,0x001fffff,0x7fffffc4,
    0x3fffe003,0x7fffc3ff,0x80002fff,0x0ffffffe,0xfffffb00,0x7fffff43,
    0x3fffa02f,0xffd001ff,0x3ff21fff,0xfe802fff,0x2000ffff,0x00fffffe,
    0x7ffffd40,0xffffff34,0x3f20000d,0x0003ffff,0x17fffff4,0x7fffff40,
    0xfffd8002,0xfb800eff,0xfb87ffff,0x01efffff,0x7fffcc00,0xffb005ff,
    0x7f443fff,0x7fc03fff,0xd000ffff,0x321fffff,0x802fffff,0x00fffffe,
    0x3fffffa0,0x7ffd4000,0x3ffee4ff,0x80005fff,0x03fffffc,0x7fffe400,
    0xfffd800f,0xf98003ff,0x406fffff,0x3ffffffa,0xffffffd0,0x0ae2005f,
    0xdffffffb,0xffffd801,0x00aba81f,0x7fffffc4,0xffffd000,0x3ffff21f,
    0xfffe802f,0x3fa000ff,0x4000ffff,0x44fffffa,0x3ffffffd,0x7ffe4000,
    0x6c0003ff,0x7007ffff,0x01ffffff,0xfffffd00,0x7dcc15df,0x206fffff,
    0xfffffffa,0x2e609bdf,0x7fc43ffd,0xabffffff,0x7fffec40,0xff80001f,
    0xd001ffff,0x321fffff,0x802fffff,0x00fffffe,0x3fffffa0,0x7ffd4000,
    0x7ffc44ff,0x0001ffff,0x0ffffff2,0xffff8800,0xfff5002f,0x3357ffff,
    0xff50bb75,0xffffffff,0xffffffff,0xfffe805f,0xffffffff,0x3fffffff,
    0xffffffc8,0xfeefffff,0x01ffffff,0xffffe800,0xfffd001f,0x3fff21ff,
    0xffe802ff,0x3a000fff,0x000fffff,0x27ffffd4,0x7fffffd4,0xff90000f,
    0x20007fff,0x05fffff9,0x7fffff40,0xffffffff,0xfffffb06,0xffffffff,
    0x300bffff,0xfffffffd,0xffffffff,0xffd107ff,0xffffffff,0xffffffff,
    0xfb00003f,0x5007ffff,0x21ffffff,0x02fffffc,0x0fffffe8,0x3ffffa00,
    0x7fd4000f,0xff904fff,0x260dffff,0xeccccccc,0xccefffff,0x5512cccc,
    0xdfffffd7,0xfff98001,0xffffffff,0x3fee06ff,0xffffffff,0x003fffff,
    0x7fffffe4,0xffffffff,0x3fee03ff,0xffffffff,0xffffffff,0xffc80001,
    0x7cc05fff,0x90ffffff,0x005fffff,0x01fffffd,0x7fffff40,0x7ffd4000,
    0x3ffa04ff,0xfb85ffff,0xffffffff,0xffffffff,0xfff94fff,0x03dfffff,
    0x3fffee00,0xffffffff,0x7fffcc06,0xffffffff,0xfd50001e,0xffffffff,
    0x805fffff,0xffffffe9,0xffffffff,0xa80000ef,0x00ffffff,0xfffffff1,
    0x3ffff21f,0xfffe802f,0x3fa000ff,0x4000ffff,0x04fffffa,0x3fffffe2,
    0x7fffdc3f,0xffffffff,0xffffffff,0xffffff94,0x9100007f,0xffffffff,
    0xd9100bff,0xdfffffff,0xb8800019,0xffffffec,0x2000adff,0xfffffedb,
    0x00beffff,0x7fffc000,0x7f5c0eff,0x0fffffff,0x05fffff9,0x1fffffd0,
    0x7ffff400,0x7fd4000f,0x7d404fff,0x22ffffff,0xfffffffb,0xffffffff,
    0xf94fffff,0x0019dfff,0x79553000,0x44000355,0x00001aba,0x09aaa880,
    0x32a60000,0x000099aa,0x3fffee00,0xfffcdfff,0xffffffff,0x5fffff90,
    0xfffffd00,0x7fff4001,0x7d4000ff,0xc804ffff,0x0fffffff,0xfffffff7,
    0xffffffff,0x2a9fffff,0x0000009a,0x00000000,0x00000000,0x00000000,
    0xffff1000,0xffffffff,0xfffffbff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffea000,0xffffffff,
    0xfffff8df,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffe6000,0x4fffffff,0x003ffffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffb30,0xffff85df,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2e600000,0x000001ab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0006aa20,0x55554c40,0x44000009,0x00009aa9,
    0x4d554c40,0xffffc801,0xffffffff,0x005fffff,0x3b72ea60,0x20007fff,
    0x00009a98,0x0026a620,0x0fffffe8,0x3ffff200,0x9998002f,0xaaa98019,
    0x5c4002aa,0xefffffed,0xfb71000c,0xffffffff,0x2a0003bf,0xfffffffe,
    0xd98002ef,0xfffffffe,0xfc81ceff,0xffffffff,0xffffffff,0x7fdc4005,
    0xffffffff,0x7ff5c007,0x02efffff,0x7ff65c40,0x402dffff,0x00fffffe,
    0x3fffff20,0x3ffaa002,0xffb807ff,0x2a007fff,0xffffffff,0xd802ffff,
    0xffffffff,0x1dffffff,0xffffd500,0xffffffff,0xffb3005d,0xffffffff,
    0xf909ffff,0xffffffff,0xffffffff,0x3ff6600b,0xffffffff,0xfd5007ff,
    0xffffffff,0xf7001bff,0xffffffff,0x3a03bfff,0x000fffff,0x0bfffff2,
    0x3ffffa60,0xffb807ff,0xf7007fff,0xffffffff,0x809fffff,0xfffffffd,
    0xffffffff,0x7ffdc00f,0xffffffff,0x202fffff,0xfffffffb,0xffffffff,
    0xffffc84f,0xffffffff,0x805fffff,0xfffffff9,0x7fffffff,0x7fffec40,
    0xffffffff,0xfd302fff,0xffffffff,0x03ffffff,0x01fffffd,0x7ffffe40,
    0x3fff6602,0x807fffff,0x06fffffa,0xffffffd8,0xffffffff,0x3ff605ff,
    0xffffffff,0x06ffffff,0x3fffffe6,0xffffffff,0xfa81ffff,0xffffffff,
    0xffffffff,0xfffffc84,0xffffffff,0x5405ffff,0xffffffff,0x7fffffff,
    0x7ffffec0,0xffffffff,0x7dc0ffff,0xffffffff,0xffffffff,0xfffffe86,
    0x3fff2000,0xffd882ff,0xffffffff,0xffffa807,0x7ffe406f,0xfdbdffff,
    0x2fffffff,0xbddfffb0,0xfffffb99,0xff107fff,0x37bfffff,0xfffffb75,
    0xffff88bf,0xeeefffff,0x84ffffee,0xeefffffc,0xeeeeeeee,0x3fea04ee,
    0xccffffff,0x0199999a,0x3fffffea,0xfffeccef,0x7dc4ffff,0xefffffff,
    0xffffffff,0x7ffff44f,0x3ff2000f,0x3f222fff,0xffffffff,0xf9807fff,
    0x2205ffff,0x85ffffff,0xffffffa8,0x80159906,0x5ffffffb,0x5fffffa8,
    0x7ffffcc0,0x7ffffe47,0x6dcc01df,0x7ffffc83,0x7ff40000,0x000cffff,
    0x3ffffe20,0xffe881ef,0x7e40ffff,0x260acfff,0x7ffffffd,0x07fffff4,
    0xfffff900,0x7fffffc5,0xffffffff,0xffff9807,0x3fff205f,0x3ea00eff,
    0x001fffff,0xfffffb80,0xfffffc87,0xffffc800,0x3ffffa1f,0xf900005f,
    0x0000ffff,0x7fffffdc,0xffb80001,0x2200ffff,0x85fffffe,0x7ec01efe,
    0x3a1fffff,0x000fffff,0x8bfffff2,0xeffffffd,0x07fffffb,0x4fffff88,
    0xffffff10,0xffffb001,0xf10000df,0xd81fffff,0x7007ffff,0x7c3fffff,
    0x002fffff,0xfffff900,0x3fe20000,0x0003ffff,0x7fffffb0,0xfffff500,
    0x1004881f,0x45ffffff,0x00fffffe,0x3fffff20,0x3ffffe62,0xffffff13,
    0xfffff100,0x3fffee09,0xfff1005f,0x00003fff,0x81ffffff,0x00fffffd,
    0x0fffffc8,0x5ffffff3,0x3ff20000,0x500007ff,0x00dfffff,0x7ffff400,
    0xfff8801f,0x40002fff,0x24ffffff,0x00fffffe,0x3fffff20,0x1067ff42,
    0x00ffffff,0x40fffffe,0x01fffffe,0xffffff30,0xff880007,0xffc87fff,
    0x7c404fff,0x3e27ffff,0x004fffff,0xfffff900,0x3ff20000,0x00003fff,
    0x0ffffff1,0x7ffffec0,0x7ff40003,0x3ffa4fff,0x32000fff,0x5c2fffff,
    0xffff880d,0xffff007f,0x3fffe07f,0xfff7006f,0x000bffff,0x5fffffa8,
    0xffffffa8,0x3ffff203,0x7ffffc3f,0xc80003ff,0x0007ffff,0x3fffffd0,
    0x3fe20000,0x32007fff,0x005fffff,0x7fffff40,0x3fffffa2,0x3fff2000,
    0x3e2002ff,0xd007ffff,0xf105ffff,0x880bffff,0xfffffffd,0x3e20006f,
    0xd01fffff,0x1bffffff,0x7fffffc8,0xffffffd8,0x320002ef,0xeeefffff,
    0x8800abcc,0x517fffff,0x359bddb9,0xffffff00,0x3ffee001,0x220005ff,
    0x21ffffff,0x00fffffe,0x3fffff20,0x3ffe2002,0x997007ff,0xfff30399,
    0x7fd409ff,0xffffffff,0xffc88007,0x2a03ffff,0xffffffff,0xfffffeac,
    0xffffb81f,0x0bffffff,0x7fffe400,0xffffffff,0x3fe602df,0xfffdffff,
    0xdfffffff,0x3ffffa00,0xfff7003f,0x5c000dff,0x20ffffff,0x00fffffe,
    0x3fffff20,0x3ffe2002,0x400007ff,0x03fffffa,0xfffffff9,0x640fffff,
    0xffffeeee,0xb801efff,0xffffffff,0x1fffffff,0x3fffff60,0x2dffffff,
    0xfffff900,0xffffffff,0xff501dff,0xffffffff,0xffffffff,0x3fff609f,
    0xfc800fff,0x0006ffff,0x13fffffa,0x01fffffd,0x7ffffe40,0x3ffe2002,
    0x400007ff,0x43fffffb,0xffffffe9,0x0ffffffe,0xffffffb0,0x001bffff,
    0x7fffffdc,0x0dffffff,0x7ffffc40,0xffffffff,0x7ffe403e,0xffffffff,
    0x40efffff,0xfffffffa,0xffffffff,0xb83fffff,0xbfffffff,0x3fff2621,
    0x0006ffff,0x3ffffff7,0x0fffffe8,0x3ffff200,0x3fe2002f,0x54007fff,
    0x7fe43efd,0x3fee2fff,0xfd4fffff,0x3601ffff,0xffffffff,0x2001ceff,
    0xffffffe8,0x1004ffff,0xfffffffb,0x1dffffff,0x3fffff20,0xffffffff,
    0x2e0effff,0xffffffff,0xffffffff,0xe80fffff,0xffffffff,0xffffffff,
    0x8006ffff,0x5ffffff9,0x0fffffe8,0x3ffff200,0x3fe2002f,0x36007fff,
    0xb0efffff,0xb13fffff,0x5fffffff,0x07fffff4,0xffffffd8,0xdfffffff,
    0xffffb800,0xffffffff,0xfff7001e,0xffffffff,0x88005fff,0xfffffba9,
    0x3fee4fff,0x9befffff,0xffffb988,0xff985fff,0xffffffff,0xffffffff,
    0x744005ff,0x80efffff,0x00fffffe,0x3fffff20,0x3ffe2002,0xff7007ff,
    0x32bfffff,0xffcfffff,0x40dfffff,0x207fffff,0xfffeeeec,0xefffffff,
    0xffffd100,0xffffffff,0x54003fff,0xfffffffe,0x000fffff,0x7ffffdc0,
    0xffff90ff,0xfe8803df,0xf707ffff,0xffffffff,0xffffffff,0x744009ff,
    0x01ffffff,0x01fffffd,0x7ffffe40,0x3ffe2002,0xffd007ff,0x91ffffff,
    0xffffffff,0x3e07ffff,0x0006ffff,0xffffff93,0xfffd10bf,0xffd59fff,
    0x03ffffff,0xffffc980,0x06ffffff,0xffffc800,0xffff72ff,0x3fe600df,
    0xb301ffff,0xffffffff,0xffffddff,0x7ff4007f,0x3a03ffff,0x000fffff,
    0x0bfffff2,0xfffff880,0xfffff007,0xff75ffff,0xffffffff,0x3ffe203d,
    0xd80005ff,0x42ffffff,0x1efffffe,0x7fffffdc,0x3aa0006f,0xffffffff,
    0x7fc40002,0xff52ffff,0x7400dfff,0x402fffff,0xdefeecb9,0xfffff91c,
    0x3fff6007,0x7f403fff,0x2000ffff,0x02fffffc,0x3ffffe20,0xfffff007,
    0xff53ffff,0xbfffffff,0x7fffcc01,0xe880004f,0x2a4fffff,0x00efffff,
    0xffffffd3,0xffb80005,0x003fffff,0xffffff80,0xffffff33,0x7fffec00,
    0x3a00003f,0x802fffff,0x4ffffffd,0xfffffe80,0x3fff6000,0x3e2000ff,
    0xb007ffff,0xffffffff,0x3fffffe6,0xffa802ff,0x00003fff,0x4bfffff9,
    0x01ffffff,0x7fffffc4,0xffa80004,0x0005ffff,0x2fffffe8,0x0ffffff1,
    0x7ffffe40,0xff100003,0xfb00ffff,0x009fffff,0x07fffff6,0x7ffffe80,
    0x7fffc400,0xfff1007f,0x7fc7ffff,0x000effff,0x05fffffb,0x3ffee000,
    0xffff16ff,0x3fea00bf,0x00005fff,0x0dffffff,0xffff8800,0x3fffe0ff,
    0xffd002ff,0x00003fff,0x13ffffea,0xffffffb0,0x7ffe4009,0x3fe002ff,
    0x44006fff,0x007fffff,0x0fffffea,0x07fffffd,0x3ffffe20,0xf900000f,
    0x3ea9ffff,0x1004ffff,0x00ffffff,0x3ffff600,0x7dc0004f,0x7f47ffff,
    0x8805ffff,0x00ffffff,0xffff8800,0x3ff601ff,0x4003ffff,0x05fffffb,
    0xbfffff30,0xffff8800,0x5d44007f,0xffffa80a,0xffb800ff,0x00004fff,
    0x4ffffffa,0x04fffffb,0xdfffff10,0x3ffe0000,0x20003fff,0x5ffffff9,
    0x7fffffd4,0x7fffe400,0xfb00006f,0x6c0dffff,0x03ffffff,0xfffffa80,
    0xfffd801f,0x7c4003ff,0x0007ffff,0xfffffd00,0xffff980b,0x900000ff,
    0x23ffffff,0x06fffff9,0x9fffff50,0x7dc0006a,0x061fffff,0x7fffe440,
    0xffe82fff,0xf901ffff,0x009fffff,0xffffea80,0xfffb03ff,0x40005fff,
    0x1ffffffe,0x3fffff20,0x7fc4000f,0x00007fff,0xffffff50,0xffff3017,
    0x800109ff,0xffffffda,0x3ffffe27,0x7ffcc04f,0xbff92fff,0x7ecc0137,
    0x227fffff,0xccccdeff,0xffffffed,0xfff503ff,0x979bffff,0xdffffffd,
    0x26666620,0xfffecaa9,0xfb04ffff,0x55bfffff,0x55555555,0x7ffd4555,
    0xbaceffff,0xffffffec,0x33333302,0xffffff53,0x03333333,0xffffe800,
    0xfdbadfff,0x80ffffff,0xccccdefc,0xffffeecc,0x7f41ffff,0xbdffffff,
    0xffffca99,0xfff90fff,0xfdddffff,0xffffffff,0x7fffc45f,0xffffffff,
    0x404fffff,0xfffffffe,0xffffffff,0xfff500ff,0xffffffff,0x20bfffff,
    0xfffffffc,0xffffffff,0x746fffff,0xffffffff,0xffffffff,0xffff305f,
    0xffffffff,0xffffffff,0xffa8000f,0xffffffff,0x3fffffff,0xffffff90,
    0xffffffff,0xf305ffff,0xffffffff,0xffffffff,0x7ffe43ff,0xffffffff,
    0xffffffff,0x7ffffc44,0xffffffff,0xe8804fff,0xffffffff,0x2fffffff,
    0x3ffffea0,0xffffffff,0xffd00eff,0xffffffff,0xffffffff,0xfff98dff,
    0xffffffff,0x00efffff,0xfffffff3,0xffffffff,0x00ffffff,0xfffff500,
    0xffffffff,0x7fe403ff,0xffffffff,0x3fffffff,0x3ffffea0,0xffffffff,
    0x7e42ffff,0xffffffff,0xffffffff,0xffff885f,0xffffffff,0x64000cff,
    0xffffffff,0x400dffff,0xfffffffa,0x2fffffff,0x7fffff40,0xffffffff,
    0x6fffffff,0xfffffc88,0xffffffff,0x7fffcc03,0xffffffff,0xffffffff,
    0xfd100007,0xffffffff,0xfc801dff,0xffffffff,0x0cffffff,0xffffea80,
    0xffffffff,0xfffc82ef,0xffffffff,0x02efffff,0xfffffff1,0x019dffff,
    0x7ffed400,0x01dfffff,0xffffff50,0x07dfffff,0x3fffffa0,0xffffffff,
    0x6fffffff,0x3ffff660,0x00dfffff,0xffffff98,0xffffffff,0x07ffffff,
    0x7ff5c000,0x03dfffff,0xffffff90,0x7bffffff,0x3ffaa000,0xdfffffff,
    0x3ff6e602,0xffffffff,0x33002dff,0x01355555,0x2ea20000,0xfa80009b,
    0xceeeffff,0x7ff4000a,0xffffffff,0xffffffff,0x531006ff,0x98001359,
    0xffffffff,0xffffffff,0x0007ffff,0x02aea600,0x5554c400,0x00009aaa,
    0x56554c40,0x5310001a,0x01357955,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffff9,0xffffffff,
    0x3ffe21ff,0x2a0000ff,0xffd5ffff,0xddffffff,0xe800579b,0x00ffffff,
    0x3fffffe0,0x7ffffc0f,0xffffffff,0xffffffff,0xffffb4ff,0x7fc00dff,
    0x3fea2fff,0x4c04ffff,0x46ffffff,0x07fffffe,0x3ffffe00,0xfffffd2f,
    0xffff7003,0x7ffdcbff,0xffffffff,0xafffffff,0xfffffffc,0xffffffff,
    0xffff10ff,0x7dc0001f,0xfffd4fff,0xffffffff,0x0017ffff,0x9ffffff5,
    0x3fffee00,0xffff83ff,0xffffffff,0xffffffff,0xfffb4fff,0x2003ffff,
    0x2a2fffff,0x06ffffff,0x7fffffdc,0x7ffffe46,0xff98001f,0xffd0ffff,
    0xf8803fff,0x20ffffff,0xfffffffb,0xffffffff,0xfffcafff,0xffffffff,
    0x20ffffff,0x000fffff,0x53fffee0,0xfffffffe,0xffffffff,0xffe801ff,
    0xf800ffff,0xf07fffff,0xffffffff,0xffffffff,0x29ffffff,0xfffffffd,
    0xfffff005,0x7ffffdc5,0x3ffa00ff,0x7cc7ffff,0x003fffff,0x5fffffc8,
    0x07fffffa,0xffffffb0,0xfffffb85,0xffffffff,0xfcafffff,0xffffffff,
    0xffffffff,0x07ffffe0,0xffffb800,0xffffffd3,0xffffffff,0x9801ffff,
    0x04ffffff,0x7fffffdc,0xffffff02,0xffffffff,0xffffffff,0x3ffff69f,
    0xf801ffff,0x3ee2ffff,0x03ffffff,0xfffffff1,0xffffff0f,0xfffd000b,
    0x7fff47ff,0x3fea01ff,0xfb84ffff,0xffffffff,0xffffffff,0xfffffcaf,
    0xffffffff,0x3fe0ffff,0x20001fff,0xfd3ffffb,0xffffffff,0xffffffff,
    0xffd801df,0x3e00ffff,0x206fffff,0xffffffff,0xffffffff,0x4fffffff,
    0xfffffffb,0xffff009f,0x7fffdc5f,0xff706fff,0x90ffffff,0x00ffffff,
    0xffffff88,0x3fffffa0,0xfffff101,0x3ffee0df,0xffffffff,0x2fffffff,
    0xfffff800,0x3ffffa0f,0x3ff20001,0xffffd2ff,0x7f5ccc1f,0x02ffffff,
    0x7fffffcc,0xfffff704,0x7d40005f,0x2006ffff,0xfffffffd,0x7ffc00ff,
    0x3fff22ff,0xd80fffff,0x7fffffff,0xffffffa8,0x3ffee002,0x7fff46ff,
    0xfffb01ff,0x3ee03fff,0x999dffff,0x99999999,0xfff80009,0x3ffa0fff,
    0x320002ff,0xffd2ffff,0x7dc01fff,0x804fffff,0x0ffffffc,0x5ffffff8,
    0x7ffd4000,0x3f6006ff,0xffffffff,0x7ffffc04,0x3fffff22,0x7fc42fff,
    0x0fffffff,0x7fffffc4,0x3fff6004,0x7fff43ff,0xfffa81ff,0x3ee03fff,
    0x0004ffff,0xfffff000,0x7fffec1f,0x3ff20002,0xffffd1ff,0xfffd801f,
    0xff8805ff,0x7dc5ffff,0x001fffff,0x7ffffd40,0x3fff6006,0x0fffffff,
    0x8bffffe0,0xffeefffd,0x7fffd45f,0xd80ffffd,0x006fffff,0x07fffffe,
    0x83fffffd,0x5ffffff8,0x7ffffdc0,0xf0000004,0x6c1fffff,0x0002ffff,
    0x747ffff6,0x400fffff,0x07fffffb,0xffffff70,0x7fffffc3,0xffa80005,
    0x36006fff,0xffffffff,0x3ffe03ff,0x3fff62ff,0x6c7fffce,0xfffcdfff,
    0xffffb81f,0xff9800ff,0xffe87fff,0x7fec1fff,0x5c00ffff,0x004fffff,
    0xffff0000,0x7ffec1ff,0x0133302f,0x747ffff6,0x400fffff,0x07fffff9,
    0xffffff10,0x3ffffeeb,0xfa80000f,0x2006ffff,0xffdffffd,0x3fe06fff,
    0x3ff62fff,0x2ffffaef,0xf95ffff1,0xff103fff,0x9005ffff,0xd09fffff,
    0x543fffff,0x02ffffff,0x4fffffb8,0xff000000,0x7e41ffff,0xff983fff,
    0xffffb07f,0x3fffffa1,0x7fffdc00,0x3fee005f,0xfff9ffff,0x00004fff,
    0x0dfffff5,0x6ffffec0,0x02fffffb,0x745fffff,0xfff8efff,0x1ffff54f,
    0x203ffff9,0x05fffffe,0x2fffffe8,0x1fffffe8,0xbffffff1,0x3fffee00,
    0x0000004f,0x41ffffff,0xb83ffffc,0xfd82ffff,0xfffd0fff,0xffd801ff,
    0x74004fff,0xffffffff,0x0000ffff,0xdfffff50,0x7fffec00,0x6fffff8d,
    0x45fffff0,0xffb6fffe,0x5bfff2df,0x702ffffc,0x80ffffff,0x07fffff8,
    0x23fffffd,0x0efffffc,0xfffff700,0x20000009,0x20ffffff,0xe83ffffb,
    0xfe84ffff,0x3fffa7ff,0x3ff200ff,0x4001ffff,0xfffffffa,0x0003ffff,
    0x3ffffea0,0x3fff6006,0xfffffb5f,0x5fffff03,0xfbaffffc,0xfffe8fff,
    0x05ffff73,0x3fffffe6,0x3fffea01,0xffffd05f,0xfffff53f,0x7fdc003f,
    0x00004fff,0xffffff00,0x27fffdc1,0x1fffffe2,0xfe9ffffa,0x5440ffff,
    0x4ffffffe,0xffffb000,0x00dfffff,0xffffa800,0x3ff6006f,0xffff35ff,
    0xfffff0bf,0x9affffc5,0xfffcffff,0x7ffff70f,0x7fffffc0,0x3ffff603,
    0xffffd02f,0xfffffd3f,0xfffb8007,0x000004ff,0x1ffffff0,0x227fffd4,
    0x1ffffffa,0xfd3ffff4,0xfdddffff,0xffffffff,0x3e60001d,0xffffffff,
    0x7d400002,0x2006ffff,0x365ffffd,0x7c1fffff,0x3fe2ffff,0x3fffa5ff,
    0x3ee6ffff,0x3f203fff,0x3e06ffff,0xd00fffff,0xffdfffff,0x7000dfff,
    0xffffffff,0xffffffff,0x3fe0009f,0x3ea0ffff,0x7fec4fff,0x7f43ffff,
    0x3fffa6ff,0xffffffff,0x003fffff,0xfffffd80,0x800006ff,0x06fffffa,
    0x97ffff60,0x44fffffa,0xf12fffff,0x7fe4bfff,0x2e3fffff,0x2a03ffff,
    0x80ffffff,0x06fffff9,0x3ffffffa,0x002fffff,0xffffffb8,0xffffffff,
    0xf0004fff,0x4c1fffff,0x7fc4ffff,0x7c6fffff,0x3ffa6fff,0xffffffff,
    0x000adfff,0xfffff880,0x0001ffff,0x7ffffd40,0x3fff6006,0x7ffff45f,
    0x3ffffe0f,0x49ffff12,0xfffffffa,0x13fffea0,0x5ffffff0,0x7fffff90,
    0x7fffff40,0x0fffffff,0x7fffdc00,0xffffffff,0x004fffff,0x1ffffff0,
    0x52ffffcc,0xffffffff,0xd2ffffc1,0xffffffff,0x03dfffff,0x3fff2000,
    0x06ffffff,0x7ffd4000,0x3f6006ff,0x7fdc5fff,0x3ffe4fff,0xffff12ff,
    0xffffff89,0x27fffd46,0x3fffff60,0xfffffe84,0x3ffffa01,0xffffffaf,
    0x7ffdc005,0xffffffff,0x04ffffff,0xffffff00,0x2ffffcc1,0xfffdfff9,
    0x2ffffc7f,0xddfffffd,0xffffffff,0xff980005,0xffffffff,0x2a00002f,
    0x006fffff,0x217ffff6,0xf0ffffff,0x3e65ffff,0x7fec4fff,0x7fd43fff,
    0x7fd405ff,0x7fc47fff,0x7f406fff,0xffb9ffff,0x2002ffff,0xfffffffb,
    0xffffffff,0xff0004ff,0x7c41ffff,0x3ffe5fff,0x25ffff9f,0x3fa4ffff,
    0xf510ffff,0x01ffffff,0x7fffec00,0xffffffff,0xff500000,0x6c00dfff,
    0xfc85ffff,0xfff3ffff,0x3ffe65ff,0x7fffdc4f,0x7fffd41f,0x7fffc405,
    0x3ffea1ff,0x7ff404ff,0xfffd1fff,0x2e001fff,0x004fffff,0xffff0000,
    0x7ffc41ff,0x2ffff36f,0xf88ffffd,0x3ffa4fff,0x7fcc0fff,0x0005ffff,
    0xbffffff5,0x09ffffff,0x3ffea000,0x3f6006ff,0xff885fff,0xfff8efff,
    0xffff52ff,0x6ffff887,0x05ffff98,0x3fffffe8,0x07fffff2,0x3fffffd0,
    0x3fffffe6,0xffff7005,0x0000009f,0x03fffffe,0x3f2dffff,0xffff74ff,
    0x49ffff15,0x80fffffe,0x1ffffffb,0xffffe800,0xfffffd6f,0xf500001f,
    0x400dffff,0xb05ffffd,0xff5fffff,0x3fea5fff,0xfffe83ff,0x6ffff984,
    0xfffffb80,0x1fffffe6,0x3fffffa0,0x3fffff61,0xfffb802f,0x000004ff,
    0x7fffff88,0xfd7ffff8,0x3ffe65ff,0x3ffff9df,0x03fffffa,0x2ffffff4,
    0x3fffee00,0xffff52ff,0x50000bff,0x00dfffff,0x82ffffec,0xfdfffff9,
    0xff72ffff,0x999507ff,0xdffff301,0xfffff300,0xfffff31f,0xffffd00b,
    0x7fffc43f,0x7dc00fff,0x0004ffff,0xffff9800,0xfffff86f,0x3a0ffff8,
    0xfff9ffff,0x3ffffa3f,0xffff700f,0x3e2003ff,0x746fffff,0x02ffffff,
    0x7fffd400,0x3ff6006f,0x3ff605ff,0xffffffff,0x07ffff72,0x3fffe600,
    0xffffd007,0xfffff75f,0xffffd005,0xffffb83f,0x7fdc05ff,0x00004fff,
    0xfffffb80,0xbffffe85,0x7fe45fff,0x2ffffbff,0x03fffffa,0x7fffffc4,
    0xffff9005,0xfff985ff,0x40006fff,0x06fffffa,0x17ffff60,0xffffffa8,
    0xff72ffff,0x220005ff,0x9007ffff,0xfb9fffff,0xd001ffff,0xd03fffff,
    0x07ffffff,0x27ffffdc,0x8800b800,0x84ffffff,0xffdffffe,0x7fffcc2f,
    0x3a2ffffd,0x200fffff,0x0ffffffc,0x7ffffc40,0xffffb06f,0x540007ff,
    0x006fffff,0x017ffff6,0xfffffffd,0x3fff25ff,0xff10002f,0x3e600fff,
    0xfffeffff,0xffd005ff,0xff303fff,0x201fffff,0x04fffffb,0x2039fb00,
    0xffffffe9,0xfffffd82,0xffe80fff,0x21ffffff,0x00fffffe,0x3fffffe2,
    0x7fffec04,0xfff301ff,0x0001ffff,0x1bffffea,0x5ffffd80,0x7ffffdc0,
    0xff92ffff,0x220005ff,0x000fffff,0xffffffff,0x3a007fff,0x901fffff,
    0x0bffffff,0x13ffffee,0x7fffec00,0xffffdccd,0xffb05fff,0x20bfffff,
    0xfffffffc,0x3ffffa1f,0x7ffec00f,0xff300fff,0xd80bffff,0x04ffffff,
    0xfffff500,0x7ffec00d,0xffff805f,0xfb2fffff,0x20005fff,0x00fffff8,
    0xffffffb0,0x2001ffff,0x01fffffe,0x3ffffffa,0xfffffb83,0xfffb0004,
    0xffffffff,0x3201ffff,0x3fffffff,0xffffff30,0x7fff41ff,0x7fd400ff,
    0xfd04ffff,0x803fffff,0xfffffff9,0xfffa8001,0x3f6006ff,0xfc805fff,
    0x2fffffff,0x003ffffb,0x07ffffc0,0xfffffa80,0x2006ffff,0x01fffffe,
    0x3fffffea,0x7fffdc0f,0xffb0004f,0xffffffff,0x6407ffff,0x0fffffff,
    0x3fffffe0,0x3fffa0ff,0xffe800ff,0x7d40ffff,0x005fffff,0xbffffff9,
    0xffff5000,0x7fec00df,0xff8805ff,0xb2ffffff,0x0003ffff,0x00fffffc,
    0xffffff88,0x3a004fff,0x401fffff,0x6ffffffd,0x27ffffdc,0xffffd800,
    0xffffffff,0x7ffe401e,0x7e406fff,0x20ffffff,0x00fffffe,0xffffffb8,
    0x7fffff43,0xfff1001f,0x8005ffff,0x06fffffa,0x17ffff60,0x7ffffec0,
    0xffffd2ff,0x7ffc0003,0x3f6001ff,0x1fffffff,0x3ffffa00,0x7ffc401f,
    0x3ee3ffff,0x0004ffff,0x3fffff6a,0x7002efff,0x07ffffff,0xffffffa8,
    0x7fffff47,0xfffff000,0x7fffdcff,0x7e4005ff,0x006fffff,0x37ffffd4,
    0xbffffb00,0x3fffe600,0xfffd2fff,0x7fc0003f,0x2e002fff,0x7fffffff,
    0x7ffff400,0xfffb801f,0xff71ffff,0x00009fff,0x0026aa66,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffc800,0xfa8000ff,0x7fc7ffff,0xffffffff,
    0xffffffff,0xfff95fff,0x7f4005ff,0x5400ffff,0xff02ffff,0x3fee0dff,
    0xffffffff,0xffffffff,0xffffffd5,0x3579dfff,0xffff8800,0x7f40006f,
    0xffffffff,0x001bcdee,0xfffff900,0x6c001fff,0xffffffff,0x009accef,
    0x7ffffc40,0xffe8004f,0x7ffc3fff,0xffffffff,0xffffffff,0xffff95ff,
    0x7ff4005f,0x7dc00fff,0xfff01fff,0x3ffee0bf,0xffffffff,0x5fffffff,
    0xfffffffd,0xffffffff,0xfff10019,0xe8000dff,0xffffffff,0xefffffff,
    0x3fa0000b,0x2fffffff,0x3ffff600,0xffffffff,0x2000cfff,0x0ffffffc,
    0x3fffea00,0xfffff87f,0xffffffff,0xffffffff,0x5fffff95,0x7ffff400,
    0x7ffe400f,0xffff881f,0xfffff704,0xffffffff,0x3abfffff,0xffffffff,
    0xffffffff,0x7ffc402f,0x740006ff,0xffffffff,0xffffffff,0xf88000ef,
    0xffffffff,0x3fff6004,0xffffffff,0x04ffffff,0xffffff10,0x7fff4007,
    0xffff83ff,0xffffffff,0xffffffff,0xfffff95f,0x7fff4005,0x7fe400ff,
    0xfff980ff,0xffff703f,0xffffffff,0x2bffffff,0xfffffffe,0xffffffff,
    0xf100efff,0x000dffff,0xffffffe8,0xffffffff,0x8006ffff,0xfffffffb,
    0x3f6007ff,0xffffffff,0xffffffff,0xfff9005f,0x3ea00fff,0xff06ffff,
    0xffffffff,0xffffffff,0x3ff2bfff,0x3a002fff,0x400fffff,0xf507fffd,
    0x3ee07fff,0xffffffff,0xffffffff,0xfffffd5f,0xffffffff,0x0dffffff,
    0x1bffffe2,0xffffd000,0xfffddddf,0x9fffffff,0xffffd800,0x01ffffff,
    0xffffffb0,0xffffffff,0x007fffff,0x7ffffff1,0xfffffd00,0x33333207,
    0xcccccccc,0xfffffffc,0x5fffff92,0x7ffff400,0x7fff400f,0x5ffff707,
    0x3ffffee0,0x9999999d,0xfd099999,0x3333ffff,0xfffffb75,0xff107fff,
    0x8000dfff,0x00fffffe,0xffffffb5,0xffff800d,0x3fffffff,0xfffffb00,
    0xfffba985,0x801fffff,0x06fffffc,0x37ffffd4,0x3fee0000,0x3f25ffff,
    0x2002ffff,0x00fffffe,0xb837fffc,0xf701ffff,0x0009ffff,0x07fffff4,
    0xfffffd10,0xfff881ff,0x740006ff,0x400fffff,0x0ffffffd,0xfffff500,
    0x0dfffffb,0x3fffff60,0x3fff2202,0xf8805fff,0x202fffff,0x02fffffe,
    0x3ffe2000,0x3f20ffff,0x2002ffff,0x20fffffe,0xfff99998,0xd99999df,
    0x999affff,0x9fffff70,0x7fff4000,0xffc800ff,0x7c44ffff,0x0006ffff,
    0x07fffff4,0x3ffffe20,0xfff9001f,0xfffff1ff,0xfffb001f,0xffd005ff,
    0x3200dfff,0x506fffff,0x00dfffff,0xffffe800,0x7ffe42ff,0x3fa002ff,
    0x3f60ffff,0xffffffff,0xffffffff,0x73ffffff,0x009fffff,0x7fffff40,
    0xffffd000,0x7ffc41ff,0x740006ff,0x800fffff,0x01ffffff,0x2bffffd0,
    0x02fffffd,0x2fffffd8,0xfffff980,0xfff8800f,0xffe82fff,0x00002fff,
    0x3fffffee,0xfffffc84,0x3fffa002,0x3fff60ff,0xffffffff,0xffffffff,
    0xff73ffff,0x40009fff,0x00fffffe,0xffffff70,0x7ffffc47,0x7ff40006,
    0xff800fff,0x9800ffff,0xf73fffff,0xb00bffff,0x005fffff,0x3ffffff1,
    0x3ffff200,0x7fffd46f,0x2200006f,0x0fffffff,0x2fffffc8,0x3ffffa00,
    0x3ffff60f,0xffffffff,0xffffffff,0xfff73fff,0x740009ff,0x000fffff,
    0x9ffffff1,0x37ffffc4,0x3fffa000,0x7fcc00ff,0xf7006fff,0x3e63ffff,
    0xd807ffff,0x002fffff,0x05fffffd,0x3ffffe20,0x3ffffa1f,0x3a00002f,
    0x02ffffff,0x05fffff9,0x7fffff40,0x3fffff60,0xffffffff,0xffffffff,
    0xffff73ff,0x7f40009f,0x2000ffff,0x26fffffd,0x06fffff8,0x7ffff400,
    0x7fff400f,0xffb003ff,0xffff8fff,0x7fec01ff,0xff002fff,0x4003ffff,
    0x35fffffc,0x00dfffff,0x7fffdc00,0x3ff204ff,0x3a002fff,0x220fffff,
    0xffffc999,0xffa9999a,0x09999dff,0x09fffff7,0x7ffff400,0x3ff2000f,
    0x3fe27fff,0x40006fff,0x00fffffe,0xdfffffd3,0x3fffe200,0x7fffe44f,
    0x7ffec04f,0xff8802ff,0x44007fff,0xd8ffffff,0x002fffff,0xfffff100,
    0x7fe401df,0xffffffff,0xffffffff,0x3200ffff,0xf980ffff,0x3ee03fff,
    0xeeefffff,0xeeeeeeee,0xfffffd0e,0x7ffdc001,0x3ffe27ff,0x740006ff,
    0xeeefffff,0xffffffee,0xff5000ef,0xffa85fff,0x7ec06fff,0xb802ffff,
    0x006fffff,0xdfffffc8,0x006fffff,0x3ffffa00,0x7fe401ff,0xffffffff,
    0xffffffff,0x3600ffff,0xff507fff,0x7fdc07ff,0xffffffff,0xffffffff,
    0x1fffffd0,0x7fffd400,0xffff10ff,0xfe8000df,0xffffffff,0x3fffffff,
    0x7fffe400,0x7fffc40f,0x3ff600ff,0x7c402fff,0x005fffff,0xffffff88,
    0x002fffff,0xfffff700,0xfff9009f,0xffffffff,0xffffffff,0x7f401fff,
    0xfff706ff,0x7ffdc05f,0xffffffff,0x0fffffff,0x01fffffd,0x7ffffcc0,
    0xfffff10f,0xffe8000d,0xffffffff,0x2dffffff,0x3ffffe00,0xfffffd06,
    0x7fffec07,0x3ffa602f,0x0001ffff,0xfffffff9,0x20000dff,0x6ffffff8,
    0xfffff900,0xffffffff,0xffffffff,0x7fffc01f,0x3ffff706,0x7ffffdc0,
    0xffffffff,0xfd0fffff,0x4001ffff,0x0ffffff9,0x0dfffff1,0xffffe800,
    0xffffffff,0x0dffffff,0x7ffffcc0,0xfffff904,0x7fffec0b,0xdba999bf,
    0x3fffffff,0x3ffe2000,0x02ffffff,0xffffb000,0x3f2003ff,0xffffffff,
    0xffffffff,0x200fffff,0xf905ffff,0x7dc01fff,0xffffffff,0xffffffff,
    0xfffffd0f,0x7ffd4001,0x3ffe27ff,0x740006ff,0xeeefffff,0xfffffffe,
    0x7e406fff,0xf301ffff,0x6c0fffff,0xffffffff,0xffffffff,0xc80006ff,
    0x6fffffff,0xfff70000,0x64009fff,0x99bfffff,0x99999999,0x00fffffe,
    0x209ffff1,0x5c07fffd,0x004fffff,0x3fffffa0,0x3ffee000,0x3ffe26ff,
    0x740006ff,0x300fffff,0xfffffff9,0x7ffff409,0x7ffffc07,0xffffb02f,
    0xffffffff,0x01dfffff,0xffff1000,0x00005fff,0xdffffff1,0xffffc800,
    0x3ffa002f,0xdddb0fff,0xdddffffd,0xfffffddd,0x7dc1dddd,0x0004ffff,
    0x03fffffa,0xfffffc80,0x3ffffe24,0x7ff40006,0x7c400fff,0x80ffffff,
    0x05fffff8,0x27ffffec,0xffffffd8,0xffffffff,0x400003ff,0x06fffffc,
    0xffffb000,0xfc8003ff,0x2002ffff,0xf0fffffe,0xffffffff,0xffffffff,
    0x1fffffff,0x27ffffdc,0xffffd000,0x7fec001f,0x3fe23fff,0x40006fff,
    0x00fffffe,0xffffff98,0xfffffb81,0x9999999c,0x07fffffc,0xfffffffb,
    0x9fffffff,0xf5000001,0x000bffff,0xffffff70,0xfff90007,0x7f4005ff,
    0xfff0ffff,0xffffffff,0xffffffff,0x5c1fffff,0x004fffff,0x3fffffa0,
    0xffff1000,0x7ffc45ff,0x740006ff,0x000fffff,0x07ffffff,0xfffffffb,
    0xffffffff,0xb03fffff,0xdddfffff,0x0001359b,0xffffa800,0x7c40005f,
    0x006fffff,0x5fffff90,0x7ffff400,0xffffff0f,0xffffffff,0xffffffff,
    0x7ffdc1ff,0x3a0004ff,0x000fffff,0x1ffffff9,0x37ffffc4,0x3fffa000,
    0xffd000ff,0xfff07fff,0xffffffff,0xffffffff,0xfffb07ff,0x000005ff,
    0x7fffd400,0x7ec0005f,0x001fffff,0x5fffff90,0x7ffff400,0xfd99990f,
    0x99999fff,0x99bffffb,0x7ffdc199,0x3a0004ff,0x800fffff,0x4ffffff8,
    0x37ffffc4,0x3fffa000,0xff8800ff,0x7cc2ffff,0xffffffff,0xffffffff,
    0xfd85ffff,0x0002ffff,0x3fea0000,0x20005fff,0x3ffffffb,0x3fff2000,
    0x3fa002ff,0xfb00ffff,0x3fea0fff,0x7fdc02ff,0x20004fff,0x00fffffe,
    0x7ffffec4,0x7fffc40f,0x7f40006f,0xb800ffff,0x40ffffff,0xfffffffc,
    0xffffffff,0x0fffffff,0x17ffffec,0x50000000,0x00bfffff,0x3ffffe20,
    0x7e40006f,0x2002ffff,0x00fffffe,0x2e0dfffd,0x5c01ffff,0x004fffff,
    0x3fffffa0,0x3fffa600,0xff883fff,0x40006fff,0x00fffffe,0x7fffffcc,
    0xfffffe87,0xeeeeeeee,0xfffffeee,0x7fffec2f,0x0000002f,0x3ffffea0,
    0xfffb0005,0x55559fff,0x55555555,0x3ffff255,0x3ffa002f,0xfff00fff,
    0x3fff20bf,0x7ffdc01f,0x3a0004ff,0x220fffff,0xfffffdba,0xff880fff,
    0x9999ffff,0x99999999,0xfffffd09,0xfff93101,0xf88bffff,0x4004ffff,
    0x44fffffd,0x02fffffd,0x2a000000,0x005fffff,0xffffffa8,0xffffffff,
    0x7fffffff,0x05fffff9,0x7fffff40,0x5ffff880,0x01ffff90,0xffffffb8,
    0xffffffff,0xffd5ffff,0xffffffff,0xffffffff,0x3ffe205f,0xffffffff,
    0xffffffff,0xffffffd2,0xffffffff,0x81dfffff,0x02fffffb,0x7ffffdc0,
    0x7ffffec7,0x00000002,0x17ffffea,0x3fffee00,0xffffffff,0xffffffff,
    0xfffff97f,0x7fff4005,0xfff980ff,0xffffb04f,0xfffff700,0xffffffff,
    0x3abfffff,0xffffffff,0xffffffff,0x3fe202ff,0xffffffff,0xffffffff,
    0xfffffd2f,0xffffffff,0x03ffffff,0x01fffffb,0xfffff980,0x3ffff61f,
    0x0000002f,0x3ffffea0,0xfffb8005,0xffffffff,0xffffffff,0xffff97ff,
    0x7ff4005f,0xff980fff,0xfffd03ff,0xffff700d,0xffffffff,0x2bffffff,
    0xfffffffe,0xffffffff,0x7fc401ef,0xffffffff,0xffffffff,0xfffffd2f,
    0xffffffff,0x105fffff,0x00bfffff,0x3fffffe0,0x3fffff64,0x00000002,
    0x17ffffea,0x3fffee00,0xffffffff,0xffffffff,0xfffff97f,0x7fff4005,
    0xfffa80ff,0xdffff02f,0xfffff700,0xffffffff,0x3abfffff,0xffffffff,
    0x2effffff,0xfffff100,0xffffffff,0x25ffffff,0xfffffffe,0xffffffff,
    0x3ffea02e,0xf90003ff,0x7ecdffff,0x0002ffff,0x3fea0000,0xb8005fff,
    0xffffffff,0xffffffff,0xf97fffff,0x4005ffff,0x80fffffe,0x881ffffb,
    0xb805ffff,0xffffffff,0xffffffff,0xffffd5ff,0x9ddfffff,0xff880015,
    0xffffffff,0xffffffff,0xfffffd2f,0x9bdfffff,0xfff90037,0x2a0003ff,
    0xb0ffffff,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffd400,0xffffffff,
    0x6fffffff,0xfffffff5,0xffffffff,0x0bffffff,0x7ffff400,0x00004fff,
    0x00000000,0x00266000,0x00260000,0x00099800,0x999a9800,0x54cc0000,
    0x00000009,0xffffffa8,0xffffffff,0xf56fffff,0xffffffff,0xffffffff,
    0x000bffff,0x3fffffee,0x5d1004ff,0x80000000,0x5c4004d8,0xdfffffed,
    0x2a20000c,0xfffffedb,0xca800bde,0xcdfffffe,0x7f644000,0xffffffff,
    0x7f5cc04e,0xefffffff,0x7e44001d,0x7fd402df,0xffffffff,0xffffffff,
    0xfffff56f,0xffffffff,0xffffffff,0xfff1000b,0x09ffffff,0x007ffd10,
    0x3a200000,0xff7004ff,0xffffffff,0xf50007ff,0xffffffff,0x4405ffff,
    0xfffffffd,0x8802ffff,0xfffffffc,0x07ffffff,0xfffffff5,0xffffffff,
    0x3ffa003b,0x3ea04fff,0xffffffff,0xffffffff,0xffff56ff,0xffffffff,
    0xffffffff,0xffb000bf,0x9fffffff,0xffffe880,0x40000004,0x04fffff9,
    0x3fffff62,0xffffffff,0xfd8801ef,0xffffffff,0x302fffff,0xfffffffd,
    0x1bffffff,0x3ffffa20,0xffffffff,0xfff507ff,0xffffffff,0x01ffffff,
    0xffffffa8,0xffff502f,0xffffffff,0xdfffffff,0x3fffffea,0xffffffff,
    0x5fffffff,0x7fffcc00,0x04ffffff,0x7ffffff4,0x8000000d,0xfffffffa,
    0xfffff883,0xffffffff,0x4c06ffff,0xffffffff,0xffffffff,0xfffffa82,
    0xffffffff,0xffd04fff,0xffffffff,0x20ffffff,0xfffffffa,0xffffffff,
    0x7fe405ff,0x005fffff,0x5fffff98,0xeeeeea80,0xeeeeeeee,0xffffffee,
    0x7fff4004,0x4fffffff,0x7ffffd40,0x00000eff,0x3fffff20,0xfffb05ff,
    0xffdfffff,0x7fffffff,0x7fffff40,0xffffffff,0xffe82fff,0xa99aefff,
    0x1ffffffe,0x7fffffe4,0xb75331bd,0x3ffea0ff,0xba99aacd,0x2fffffff,
    0x3fffff20,0x4c000fff,0x005fffff,0x7ffd4000,0x2e000fff,0xffcfffff,
    0xe9804fff,0x1fffffff,0xffd80000,0x304fffff,0x5dffffff,0x7fffdc41,
    0xffb80fff,0x0acfffff,0x70bfae62,0x409fffff,0x46fffffc,0x06fffffe,
    0x056d4020,0x7ffff440,0x3ffea04f,0x001fffff,0x2fffffcc,0x3fa00000,
    0x2005ffff,0x8efffff8,0x004fffff,0xffffffb1,0x2200007f,0xfffffffe,
    0x3ffffa02,0x3fe600ef,0x7cc5ffff,0x02ffffff,0x7ffc4130,0xffe805ff,
    0x3ffe2fff,0x00002fff,0xffff3000,0xfffd80bf,0x4002ffff,0x05fffff9,
    0x3fea0000,0x2001ffff,0x89fffffd,0x004fffff,0x7fffffe4,0x74c0004f,
    0x1effffff,0x3ffffea0,0xfffc800f,0x7ffec7ff,0x20001fff,0x01fffffc,
    0x3fffffa8,0x7ffffff1,0x40000000,0x807fffff,0x1ffffffe,0x7fffcc00,
    0x2000005f,0x05fffffe,0x3ffffea0,0x9fffff14,0xffff7000,0x0001bfff,
    0xfffffff5,0xfffc801d,0xff1005ff,0x7fc1ffff,0x0004ffff,0x03fffff4,
    0x4fffff98,0x3ffffffe,0x0000000b,0x07ffffe8,0x7fffff98,0xffff9800,
    0x5000005f,0x03ffffff,0x37ffff40,0x09fffff1,0x3fffea00,0x2000efff,
    0xfffffffb,0xffffb004,0x7ff4005f,0xfff11fff,0x80001fff,0x99efffff,
    0x99999999,0x365fffff,0xffffffff,0x2000001c,0xffff9999,0xffff007f,
    0xff3000df,0x0000bfff,0x3fffffa0,0x3fff2005,0x3ffe21ff,0x260004ff,
    0xfffffffe,0xffffc801,0x3a003fff,0x000fffff,0x4ffffff6,0x07fffffa,
    0x7fffc400,0xffffffff,0xffffffff,0x3fffe67f,0xcfffffff,0xdb910001,
    0xffffffff,0xf100ffff,0x0009ffff,0x0bfffff3,0xfff50000,0x22003fff,
    0x445fffff,0x004fffff,0x7fffec40,0xfb102fff,0x05ffffff,0xffffff80,
    0x3fff2000,0xffff74ff,0xf98000df,0xffffffff,0xffffffff,0x7e47ffff,
    0xffffffff,0x800befff,0xffffffd9,0xffffffff,0xfffb807f,0xf98000ff,
    0x0005ffff,0xfffffd80,0x3fff6006,0x7ffc40ff,0x900004ff,0x7fffffff,
    0xfffffe88,0x7c4000ef,0x4007ffff,0xb5fffffb,0x00bfffff,0xfffffa80,
    0xffffffff,0xffffffff,0xfffffa87,0xffffffff,0x3fff601e,0xffffffff,
    0x07ffffff,0x17ffffdc,0xffff9800,0x4c00005f,0x02ffffff,0x5fffff50,
    0x9fffff10,0x7fdc0000,0xf34fffff,0x1dffffff,0xffff1000,0xffc800ff,
    0xfff94fff,0xb8000bff,0xffffffff,0xffffffff,0x106fffff,0xfffffff9,
    0x05ffffff,0xfffffff9,0xffffffff,0x554cffff,0x5ffffffc,0x3ffe6000,
    0x400005ff,0x06fffffd,0xbfffff10,0x3ffffe20,0xfd100004,0x41dfffff,
    0xfffffffb,0xffff0004,0x7e4001ff,0xff72ffff,0x8000ffff,0x9dfffff9,
    0x99999999,0x00999999,0xfffffc98,0x20ffffff,0xfffffffa,0xfffe809b,
    0x3ffffa7f,0x000dffff,0x3ffffe60,0x3e600005,0x002fffff,0x01fffff9,
    0x13ffffe2,0x3ffea000,0xa80dffff,0xdfffffff,0x7fff4000,0x3fa001ff,
    0xff51ffff,0x0001ffff,0x2fffffc4,0x26000000,0xfffffffc,0x3ffff63f,
    0xfffe806f,0x3ffffa7f,0x80001eff,0x05fffff9,0x3fff6000,0xff3006ff,
    0x7c407fff,0x0004ffff,0x7fffffdc,0x7ffcc04f,0x000effff,0x13fffff6,
    0x7ffffc40,0xfffff10f,0xff80009f,0x00007fff,0xfffb1000,0x7ffc9fff,
    0xfe801fff,0x3ffa7fff,0x00002eff,0x17ffffe6,0x7ffcc000,0xfd003fff,
    0xf880dfff,0x0004ffff,0x3ffffff2,0xffd1003f,0x005fffff,0x3ffffff2,
    0xffffc800,0x7ffffc7f,0x3a0000ff,0x002fffff,0x3fa00000,0xff36ffff,
    0xf100ffff,0x55cfffff,0x30000009,0x00bfffff,0x3ffff600,0xfff7006f,
    0xff8803ff,0x88004fff,0xfffffffe,0x7fec4002,0x803fffff,0x4ffffffa,
    0x7ffffcc0,0x7fffec3f,0x82001eff,0x0ffffffc,0xb0000000,0x269fffff,
    0x01ffffff,0x3fffffe6,0x40000007,0x05fffff9,0xffff8800,0xfff003ff,
    0xdddddfff,0xffffdddd,0x05ddddff,0x7fffff4c,0x320001ef,0x4fffffff,
    0xfffffd80,0xfffa80df,0xff886fff,0x0bffffff,0x7c47d730,0x01efffff,
    0x01c88620,0x3ffffea0,0xfffff12f,0x3ffea09f,0x3f67ffff,0xffffffff,
    0x001fffff,0x0bfffff3,0xffff9000,0x7ffc00ff,0xffffffff,0xffffffff,
    0x03ffffff,0xfffffff5,0xf700001d,0x1bffffff,0x7ffffcc0,0xffdcefff,
    0x02ffffff,0xfffffff7,0xffdddfff,0xfffb87ff,0x9abdffff,0x4ffdbaa9,
    0x2ab7ffe2,0x3ffee609,0x3fe0ffff,0x9bdfffff,0xffffffeb,0x3fffa7ff,
    0xffffffff,0xf3001fff,0x000bffff,0xffffff88,0x3fffe003,0xffffffff,
    0xffffffff,0xb83fffff,0x5fffffff,0x7fcc0000,0x01efffff,0x3ffffff2,
    0xffffffff,0x7f405fff,0xffffffff,0x3fffffff,0xffffffe8,0xffffffff,
    0x3fe24fff,0xffffffff,0xffffffff,0x7ffffdc5,0xffffffff,0x27ffffff,
    0xfffffffe,0x1fffffff,0xfffff300,0xffc8000b,0x2000ffff,0xffffffff,
    0xffffffff,0xffffffff,0x7fffec3f,0x00003fff,0xfffffd10,0x3f6205ff,
    0xffffffff,0x04ffffff,0xfffffd88,0xffffffff,0xffe883ff,0xffffffff,
    0x24ffffff,0xfffffff8,0xffffffff,0xfffd05ff,0xffffffff,0xfffff3df,
    0x7ffffff4,0xffffffff,0xffff3001,0x7c4000bf,0x004fffff,0x7ffffffc,
    0xffffffff,0xffffffff,0x3fffa3ff,0x0002ffff,0x7ffec400,0x2a02ffff,
    0xffffffff,0x002fffff,0x7fffffd4,0xffffffff,0x3fffee03,0xffffffff,
    0x3fe24fff,0xffffffff,0x04ffffff,0x3fffffe6,0x88dfffff,0x3fa7ffff,
    0xffffffff,0x001fffff,0x0bfffff3,0x7fffe400,0x664000ff,0xcccccccc,
    0xfffdcccc,0x1cccceff,0x3fffffee,0x20000001,0x0efffffc,0x7fff6440,
    0x00ceffff,0x3fffae00,0x2cefffff,0xffffd880,0xefffffff,0x3ffb621c,
    0xffffffff,0xc8800bef,0xdfffffff,0x9ffffe22,0xaaaaaaa9,0x0aaaaaaa,
    0xfffff300,0x3fe2000b,0x0004ffff,0x3ffe6000,0xffb804ff,0x000000ef,
    0x0efffb80,0x55d4c400,0x31000001,0x00013355,0xaabcca98,0x2aaa6001,
    0x0019abcb,0x15595310,0x40000000,0xfffffffa,0xffffffff,0x3206ffff,
    0x00ffffff,0x3e600000,0x7004ffff,0x000001bf,0x0077d400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffffea0,0xffffffff,0x06ffffff,
    0x9ffffff1,0x98000000,0x004fffff,0x0000000a,0x000004c0,0x00000000,
    0x00000000,0x00000000,0x54000000,0xffffffff,0xffffffff,0xff706fff,
    0x0001ffff,0xfff98000,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffea0,0xffffffff,0x06ffffff,0x0bffffff,
    0xf3000000,0x0009ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffd4000,0xffffffff,0xffffffff,0xfffffb86,0x0000001f,
    0x4fffff98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000054c4,0x31004cc4,0x26200001,
    0xeeeb800a,0xeed801ee,0xddd30eee,0x70003ddd,0x009ddddd,0x01333330,
    0xeeeeea80,0x3bae004e,0x3bb25eee,0x440005ee,0x3a0eeeee,0xeeeeeeee,
    0xeeeeeeee,0x553003ee,0x75c00155,0x7ed44eee,0x701dffff,0x7fdcbddd,
    0x7fec44ff,0xeeeb83ff,0x7fff543e,0xff901dff,0xfd003fff,0x7f41ffff,
    0x8005ffff,0x03fffffe,0x3fffff80,0xffffd800,0xff9802ff,0x3f22ffff,
    0x40007fff,0x7c7ffff9,0xffffffff,0xffffffff,0xffb004ff,0x7e4003ff,
    0xffb16fff,0x7fffffff,0x32dfff90,0x13ffffff,0x9ffffffd,0x14ffffc8,
    0xfffffffb,0xfff907ff,0xffd003ff,0x7fdc1fff,0x2000ffff,0x0ffffff9,
    0xfffff800,0xfff88003,0x7400ffff,0x5c5fffff,0x000fffff,0x1ffffea0,
    0xffffffff,0xffffffff,0x32009fff,0x2000ffff,0xe8fffffc,0xffffffff,
    0x7fe44fff,0xfffff9ef,0xffffb6ff,0x7e41ffff,0xfff8cfff,0xffffffff,
    0x7fffe43f,0xfffe801f,0x3ffe20ff,0x32002fff,0x005fffff,0x07fffff0,
    0x3fffea00,0x3ff205ff,0x7d40ffff,0x0001ffff,0xf17fffee,0xffffffff,
    0xffffffff,0xf70089ff,0x64020fff,0xffdfffff,0xffffffff,0x3ff20fff,
    0xfffffeff,0xffffcfff,0x323fffff,0xffedffff,0xffffffff,0x7ffe47ff,
    0xffe801ff,0x7fec0fff,0x3e005fff,0x002fffff,0x07fffff0,0x7fffe400,
    0xfff983ff,0xff981fff,0x20002fff,0x7c4ffffc,0xffffffff,0xffffffff,
    0x2076c3ff,0xfb87fffb,0xfffffc81,0xedffffff,0x23ffffff,0xfffffffc,
    0xffffffdc,0xffffebff,0x3fffff25,0xfeffffff,0x23ffffff,0x01fffffc,
    0x0fffffe8,0x7fffffd4,0xffff9800,0x3fe0006f,0x40003fff,0x0ffffffe,
    0x27fffff4,0x07fffff0,0x7fffec00,0x4cccccc3,0xffb99999,0x7cc5ffff,
    0x3ffea2ff,0x21bff626,0xfffffffc,0x7ffec2ef,0x3fff26ff,0x3ffe2fff,
    0xff50efff,0x7ffe4dff,0x0befffff,0xbfffffd5,0x0fffffe4,0x7fffff40,
    0xffffff80,0xffffc803,0x3fe0003f,0x40003fff,0x6ffffff9,0x1bfffff2,
    0x09ffffd0,0x7fffec00,0xfff10002,0xfe81ffff,0xfff34fff,0x3ffffe6b,
    0x7ffffe42,0xfff105ff,0x7ffe4fff,0x7fff45ff,0x3ffe22ff,0x3ffff27f,
    0xff505fff,0x7fe4dfff,0xfe801fff,0xfb80ffff,0xf806ffff,0x000fffff,
    0x0fffffe0,0x3ffee000,0xfff9bfff,0x7ec01fff,0xffc85fff,0xfffe81ff,
    0xffd0001f,0xfb83ffff,0xfaefffff,0xffffcdff,0x7ffe46ff,0x7f406fff,
    0xff90ffff,0xffe83fff,0x7ffc46ff,0x3ffff27f,0xff100eff,0x7fe4ffff,
    0xfe801fff,0xf880ffff,0x201fffff,0x05fffffa,0x7ffffc00,0xffb00003,
    0xfffdffff,0xff9007ff,0xfffd0dff,0xfffff09f,0xfffb0001,0x3ae07fff,
    0xffffffff,0xffffffff,0x7fffe41d,0x7fec00ff,0xfff91fff,0xffffb0bf,
    0x7ffff887,0x3bfffff2,0x7ffff400,0xfffff90f,0xffffd003,0x3fff601f,
    0x3ff604ff,0x40002fff,0x003fffff,0xfffff100,0x0dffffff,0x1ffffee0,
    0x8ffffff3,0x007ffff8,0xffffffb8,0xfffea805,0xffffffff,0xfff900cf,
    0xdd7007ff,0x3ff23ddd,0xfffd84ff,0x7fffc41f,0x3fffff27,0xffffe802,
    0xfffff90f,0xffffd003,0x3ffea01f,0xfff107ff,0x77440fff,0xfeeeeeee,
    0xeeeeffff,0x003eeeee,0xfffffff5,0x2a001fff,0x320fffff,0x21ffffff,
    0x006ffff9,0x7fffffcc,0x3f66000e,0xbfffffff,0x7fffe400,0xfc80003f,
    0xffd84fff,0x7ffc41ff,0x3ffff27f,0xfffe802f,0xffff90ff,0xfffd003f,
    0x7ffc01ff,0xffb82fff,0x3e204fff,0xffffffff,0xffffffff,0x04ffffff,
    0x3fffff20,0x26003fff,0x3a1fffff,0x24ffffff,0x005ffff9,0x3fffffe2,
    0x7e4c001f,0x2effffff,0xfffffc80,0xffc80003,0xfffd84ff,0x7fffc41f,
    0x3fffff27,0xffffe802,0xfffff90f,0xffffd003,0x7ffe401f,0xfffe85ff,
    0x3fe200ff,0xffffffff,0xffffffff,0x004fffff,0x3fffffe2,0xfff8007f,
    0xffff32ff,0x7fd4ffff,0x3f6004ff,0x002fffff,0x3fffff66,0xbfffffff,
    0xfffff900,0xff900007,0xfffb09ff,0xffff883f,0x3fffff27,0xffffe802,
    0xfffff90f,0xffffd003,0x7ffc401f,0x3fe60fff,0x7c406fff,0xffffffff,
    0xffffffff,0x04ffffff,0x3fffff20,0x74003fff,0xff93ffff,0x25ffffff,
    0x002ffffb,0x9ffffff9,0x3fffaa00,0xffffffff,0x40cfffff,0x03fffffc,
    0xffffc800,0x1ffffd84,0x93ffffc4,0x005fffff,0x21fffffd,0x01fffffc,
    0x0fffffe8,0x7ffffec0,0x3fffff22,0x7fffc402,0xffffffff,0xffffffff,
    0xf5004fff,0xffffffff,0x7fec003f,0xdfffd4ff,0x3f2bffff,0xfa801fff,
    0x006fffff,0xfffffff7,0xffbbfff7,0xfc8fffff,0x0003ffff,0x84ffffc8,
    0x441ffffd,0x3f27ffff,0xe802ffff,0xf90fffff,0xd003ffff,0x801fffff,
    0x25fffffa,0x007fffff,0x33333333,0x39fffff3,0x13333333,0xfffff100,
    0x0dffffff,0x6ffffe40,0xffaffff9,0xfffd8fff,0x7ffc400f,0x2000ffff,
    0x98dffffe,0xfff55fff,0xfffc87ff,0xc80003ff,0xfd84ffff,0x7fc41fff,
    0x3fff27ff,0xffe802ff,0xfff90fff,0xffa805ff,0xf800ffff,0xf98fffff,
    0x0004ffff,0x0fffffe0,0x7fff4000,0xfffffeff,0xfff7004f,0x1ffff7df,
    0xfd5ffffb,0xffd00fff,0x8005ffff,0x3ea3fffa,0x3ffa26ff,0xfffffc86,
    0xffc80003,0xfffd84ff,0x7fffc41f,0x3fffff27,0xffffe802,0xfffff90f,
    0x7fffcc09,0xfc800fff,0xffcbffff,0x00001fff,0x00fffffe,0x3ffff200,
    0xffffd8ff,0xffa802ff,0x5fffdfff,0xffbffff5,0xffc80dff,0x0003ffff,
    0xfffa83db,0xfc81fc86,0x0003ffff,0x84ffffc8,0x441ffffd,0x3f27ffff,
    0xe802ffff,0xf70fffff,0x220dffff,0xffffffff,0xffff9800,0x6fffffef,
    0x7ffc0000,0x540003ff,0x13ffffff,0x1fffffff,0xfffff980,0xff13ffff,
    0xbfffffff,0x7ffffdc0,0x4020005f,0x0307fffb,0x0ffffff2,0x3fff2000,
    0xffffd84f,0x3ffffc41,0x05fffff9,0x1fffffd0,0x3fffffea,0x3fffee22,
    0x000fffff,0xfffffffd,0x00007fff,0x03fffff8,0x3fffe200,0x7ffd45ff,
    0x7c405fff,0xffffffff,0x3fffff60,0xff304fff,0x333fffff,0x33333333,
    0x3fff2001,0x3ff2000f,0x80003fff,0xd84ffffc,0x7c41ffff,0x3ff27fff,
    0xfe802fff,0xff10ffff,0xf9dfffff,0xffffffff,0x3ea001ff,0xffffffff,
    0x7c00000f,0x0003ffff,0x3ffffffa,0xfffffd80,0x7fffc03f,0x7d46ffff,
    0x3fffffff,0xfffffe88,0xffffffff,0x006fffff,0x003ffff9,0x1fffffe4,
    0x7ffe4000,0xffffd84f,0x3ffffc41,0x05fffff9,0x1fffffd0,0x7fffffe4,
    0xdfffffff,0x000fffff,0x3ffffffe,0x800004ff,0x003fffff,0xffffff90,
    0x3fffe205,0x3f601fff,0x43ffffff,0xfffffff8,0xffffa82f,0xffffffff,
    0x6fffffff,0x19999700,0x7fffe400,0xfc80003f,0xffd84fff,0x7ffc41ff,
    0x3ffff27f,0xfffe802f,0x3ffe20ff,0xffffffff,0xfffff8df,0x3fff2000,
    0x001fffff,0xfffff800,0xfffa8003,0x7d405fff,0x00efffff,0xfffffff9,
    0xfffffb01,0xfff503ff,0xffffffff,0xffffffff,0x2000000d,0x03fffffc,
    0xffffc800,0x1ffffd84,0x93ffffc4,0x005fffff,0x81fffffd,0xfffffffa,
    0xfff14fff,0x7cc001ff,0x06ffffff,0xffff0000,0xff88007f,0x800fffff,
    0x4ffffffd,0xffffff70,0x3fffea0d,0xfff507ff,0xffffffff,0xffffffff,
    0x2000000d,0x03fffffc,0xffffc800,0x1ffffd84,0x93ffffc4,0x005fffff,
    0x01fffffd,0xffffffd1,0x7fffc45d,0x7ff4000f,0x0003ffff,0x39999900,
    0xffffd800,0xff1002ff,0x505fffff,0x07ffffff,0x3fffffe2,0xfffff507,
    0xffffffff,0x0dffffff,0x3f200000,0x0003ffff,0x84ffffc8,0x441ffffd,
    0x3f27ffff,0xe802ffff,0x200fffff,0x001abb98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1ffffd00,
    0x66665c00,0xcccccccc,0xcccccccc,0x80000000,0x42aaaaa8,0x42aaaaa8,
    0xaaaaaaa8,0x6eeeec01,0xdddddddd,0xdddddddd,0x02dddddd,0x00000000,
    0x00000000,0x00000000,0x7dc00000,0x2005ffff,0xfffffffd,0xffffffff,
    0x501fffff,0x005bdfd9,0xfffff500,0xfffffa8d,0xfffffb86,0x3ffe02ff,
    0xffffffff,0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x20000000,0xfffffff8,0xffffb002,0xffffffff,0xffffffff,0xfffffb03,
    0xa9801bff,0xfff50aaa,0xfffa8dff,0xffd306ff,0x3e05ffff,0xffffffff,
    0xffffffff,0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x3fffff60,0xffb006ff,0xffffffff,0xffffffff,0x7ff443ff,0xffffffff,
    0x3ffff601,0xbfffff31,0x5fffff98,0x3ffff620,0xffff81ff,0xffffffff,
    0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0xf3000000,
    0xffffdfff,0xffffb009,0xffffffff,0xffffffff,0x7ffffdc3,0x2fffffff,
    0x21ffffb0,0x45fffff9,0x05fffff9,0xffffffb8,0x7fffffc1,0xffffffff,
    0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,0xfffd0000,
    0x03ffffad,0x33333310,0x33333333,0xe8333333,0xffffffff,0x442fffff,
    0x3e27ffff,0x7c44ffff,0x3004ffff,0x03fffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0xffff51ff,0x0000000b,0x67ffffd4,
    0xffffffb9,0xfffe98cf,0x3fffe26f,0xfffff84f,0x3bb22004,0x00000dee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x45ffff88,0x002ffffd,
    0xff700000,0xffe889ff,0xffffffff,0x7ffc3fff,0xffff83ff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,0x7fffcc1f,
    0x0000000f,0x81ffffc8,0xffffffe8,0x40ffffff,0xf82fffff,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,0x3f209fff,
    0x00004fff,0xffffd800,0xffffb101,0x07ffffff,0xd05ffffd,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a000000,0xf100ffff,
    0xd903ffff,0xdddddddd,0xdddddddd,0x2aaa3ddd,0x7fe400aa,0x02ffffff,
    0xd03ffffd,0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf5000000,0xfb807fff,0xffd86fff,0xffffffff,0xffffffff,0x4c0001ff,
    0x01cefffd,0x207ffff6,0x001ffffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0xd006ffff,0xfd87ffff,0xffffffff,0xffffffff,
    0x00001fff,0xccca8002,0xcccca80c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x17fffe40,0xfffffa80,0x3fffff60,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffcc000,0x7ff4006f,0x3bbb24ff,0xeeeeeeee,0xeeeeeeee,
    0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x65400000,0x4c001ccc,0x000ccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_50_usascii_x[95]={ 0,9,5,1,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,3,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,11,5,1, };
static signed short stb__consolas_bold_50_usascii_y[95]={ 37,2,2,5,0,2,2,2,0,0,2,11,27,21,
27,2,4,4,4,4,5,5,5,5,4,4,11,11,9,16,9,2,1,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,1,2,1,5,42,2,11,2,11,2,11,2,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,12,12,12,12,12,12,1,-3,1,17, };
static unsigned short stb__consolas_bold_50_usascii_w[95]={ 0,9,17,26,24,28,29,8,17,16,22,25,14,16,
11,24,26,23,22,22,27,22,24,23,23,24,10,14,21,22,21,18,28,28,23,23,25,20,20,25,24,21,19,24,
21,26,24,27,23,28,24,23,25,24,28,27,28,28,23,14,24,14,24,28,17,23,23,21,24,23,26,25,22,22,
21,24,22,26,22,25,23,24,22,21,23,22,28,28,27,28,21,20,6,19,26, };
static unsigned short stb__consolas_bold_50_usascii_h[95]={ 0,36,13,32,44,36,36,13,48,48,22,25,19,6,
11,41,34,33,33,34,32,33,33,32,34,33,27,35,29,15,29,36,47,32,32,34,32,32,32,34,32,32,33,32,
32,32,32,34,32,43,32,34,32,33,32,32,32,32,32,46,41,46,16,6,11,27,36,27,36,27,35,37,35,36,
47,35,35,26,26,27,36,36,26,27,34,26,25,25,25,36,25,46,51,46,13, };
static unsigned short stb__consolas_bold_50_usascii_s[95]={ 254,244,76,79,165,82,52,244,25,8,231,
126,237,237,244,219,1,220,172,28,47,99,122,23,51,147,241,124,97,26,75,
111,43,199,175,191,127,106,235,215,54,1,1,210,153,154,129,163,228,190,49,
75,103,195,181,21,74,1,30,135,1,150,1,112,94,213,208,145,1,167,49,
26,26,232,72,76,101,24,51,119,184,159,1,191,139,74,97,180,152,130,209,
94,1,115,49, };
static unsigned short stb__consolas_bold_50_usascii_t[95]={ 1,1,294,201,1,53,53,132,1,1,267,
267,234,254,146,1,132,132,132,132,234,132,132,234,132,132,91,91,234,294,234,
53,1,201,201,91,201,201,167,91,201,234,167,167,201,167,167,91,201,1,167,
132,167,132,167,167,167,201,201,1,53,1,294,294,294,234,53,234,95,234,91,
53,91,53,1,91,91,267,267,234,53,53,267,234,91,267,267,267,267,53,267,
1,1,1,294, };
static unsigned short stb__consolas_bold_50_usascii_a[95]={ 440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT or STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_50_usascii(stb_fontchar font[STB_FONT_consolas_bold_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT][STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_50_usascii_s[i] + stb__consolas_bold_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_50_usascii_t[i] + stb__consolas_bold_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_50_usascii_x[i];
            font[i].y0 = stb__consolas_bold_50_usascii_y[i];
            font[i].x1 = stb__consolas_bold_50_usascii_x[i] + stb__consolas_bold_50_usascii_w[i];
            font[i].y1 = stb__consolas_bold_50_usascii_y[i] + stb__consolas_bold_50_usascii_h[i];
            font[i].advance_int = (stb__consolas_bold_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_50_usascii_s[i] + stb__consolas_bold_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_50_usascii_t[i] + stb__consolas_bold_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_50_usascii_x[i] + stb__consolas_bold_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_50_usascii_y[i] + stb__consolas_bold_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_50_usascii_LINE_SPACING
#endif

