// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT        194
#define STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_43_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_43_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_43_usascii_LINE_SPACING          20

static unsigned int stb__courier_bold_43_usascii_pixels[]={
    0x20000000,0x037223d9,0x00180000,0x00000000,0x0000c000,0x80000003,
    0xdffffffb,0x36e1f641,0x02ffffff,0x00056544,0x04de5d4c,0x02660000,
    0x00999980,0x00ffffd4,0x4fffa200,0x00005ffc,0x0005ff88,0xd3013fae,
    0x104fb83d,0xf88059fb,0x3a2000ef,0xdb8800ff,0x800bcefe,0xfffffffb,
    0x443ffea6,0xffffffff,0xffffd302,0xfd5001df,0x19ffffff,0x777764c0,
    0xfffffd53,0xffff805b,0x7fffd405,0x7fdc0001,0x05fffb3f,0xfffa8000,
    0x7ff44000,0x3ffa01ff,0x20bffe24,0x202ffffc,0x2005fffa,0x5c03fffc,
    0xffffffff,0x7ffdc02f,0x3ee6ffff,0xffff11ff,0xf505ffff,0xdfffffff,
    0x3fffa201,0xffffffff,0xfffff881,0xfffffeef,0xd00cffff,0xfa809fff,
    0x40001fff,0xff50ffff,0xb80000df,0x6c001fff,0x201fffff,0x3fea6fff,
    0xffffb83f,0xffff102f,0xffff3003,0x3fffa603,0xffffffff,0xdfff700d,
    0x7fdc37dd,0x3bbb2a1f,0x7fd42fff,0xfffc9bef,0xfffffd06,0xdfffffff,
    0xfffff881,0xffffffff,0x80ffffff,0x5403fffd,0x0001ffff,0xfd17ffea,
    0x100003ff,0x17dfffd7,0x7ffc4015,0x7ffc02ef,0x20bffea5,0x06ffffc8,
    0x201bfff6,0xd105fffd,0xfdffffff,0x20bfffff,0x2e01fffb,0x3ee01fff,
    0x27ff42ff,0x260ffec4,0x9abeffff,0x84ffffeb,0xffffffdb,0xffebceff,
    0xffc86fff,0x0000002f,0x2e0ffff4,0x40005fff,0xfffffffb,0xf502ffff,
    0xff1009ff,0x0fffdcbf,0x981fffa0,0x2602ffff,0xfb01ffff,0xd9819fff,
    0xfb83ffff,0x3fee01ff,0x3ffee01f,0xa81bfea2,0x3fff84ff,0x81fffea0,
    0x1efffff8,0x4ffffb88,0x000fffdc,0xfff50000,0x07fffe0d,0x7fffe400,
    0xffffffff,0x05fff705,0x649fff30,0x7e401fff,0x3ffa00ff,0x3fff206f,
    0x5ffff506,0x1ffffb80,0x700fffdc,0x7dc03fff,0x07ffa2ff,0x3710dff0,
    0x01fffd00,0x03bfffe2,0x41ffff70,0x0000fffa,0x3fffa000,0x09fff702,
    0xfffff300,0xffffffff,0x07ffee0d,0xc93ffe60,0x7e400fff,0x3fea00ff,
    0xfff881ff,0xffff882f,0xdfff9002,0x201fffb8,0x2e01fffb,0xfff12fff,
    0x000ffb00,0x101fffc8,0x2007ffff,0x3e62fffd,0x3bbb6e7f,0xeeeeeeee,
    0x3ffe6002,0x3fffe206,0x7ffec000,0xffb710be,0x3ffee0df,0x3fffa801,
    0x9003fff6,0xfe801fff,0xfffc84ff,0x0bfff706,0x21fffe80,0x2e01fffb,
    0x3ee01fff,0x0bff52ff,0x003ff54c,0x881fffa0,0x5000ffff,0x6ff87fff,
    0xfffffff5,0x07ffffff,0x017ffec0,0x0013fff2,0x6c01ffff,0xfff703ff,
    0xfffb8803,0x1fffd99b,0x007ffe40,0x3e1fffea,0xff902fff,0xffa8001f,
    0x07ffee2f,0x201fffb8,0xff72fffb,0xfffff507,0x3f62000f,0x3fe206ff,
    0x3fe2005f,0xfbaffc4f,0xffffffff,0x3003ffff,0xf100dfff,0x7c001fff,
    0x66c406ff,0x03fff700,0x3fffffa6,0xffffffff,0x1fff904f,0x0ffff880,
    0x403fffe2,0x88006ffe,0x3fee4fff,0x3ffee01f,0x4bffee01,0x7fec2ffc,
    0x5007ffff,0xfffffddb,0x3fffc403,0x87fff500,0xffd914fd,0xffffffff,
    0x3ff6007f,0xfff9003f,0x7fff4007,0x7fdc0003,0xffffb01f,0xffffffff,
    0xf903ffff,0xffd001ff,0x3fffcc5f,0x000bfff0,0xffb97ffe,0x3ffee01f,
    0x4bffee01,0x3fee0ffc,0x807fecff,0xfffffff9,0x7ffc403f,0xffe8803f,
    0x000f541f,0x200fffea,0x000ffff8,0x400ffff3,0xacfffffc,0x7ffdc000,
    0xfffff901,0xffffffff,0xff901fff,0xfffb003f,0x82fffd47,0x0004fff8,
    0x7fdcfffd,0x3ffee01f,0x4bffee01,0xfff10ffc,0x5c03fec5,0xffffffff,
    0x7fffc400,0x3ff6203f,0x2a00007f,0xfc803fff,0x7ec004ff,0xff1003ff,
    0x9dffffff,0xfffe9805,0xffd95100,0xdfff999f,0x3fee0379,0x7fe400cf,
    0x13fff24f,0x0027ffc4,0x3ee6ffe8,0x3fee01ff,0x3ffee01f,0x3ea1ff92,
    0x403fec5f,0xffffffd8,0x3fe200ef,0x9abeffff,0x2fffffca,0x3fea0000,
    0x7ffc403f,0x7fcc000f,0x3fa2006f,0xffffffff,0x7fff441e,0xfffb006f,
    0x4027ffc4,0x04fffff9,0xfd97ffee,0x3ffe03ff,0xbfff0006,0x700fffdc,
    0x7dc03fff,0x21ff92ff,0x3fec2ffb,0xffb53100,0x3e201dff,0xffffffff,
    0x3fffffff,0x7fd40000,0x7ffdc03f,0xfffd0004,0xffdb8005,0x1fffffff,
    0x0bffffee,0xf33fff40,0x3f2009ff,0xf301ffff,0x7fff4fff,0x01fffa02,
    0xb93ffe60,0x3ee01fff,0x3fee01ff,0x2a1ff92f,0x03fec4ff,0x7ffff700,
    0x3ffffe20,0xffffffff,0x800003ff,0x7c03fffa,0x50000fff,0x2000dfff,
    0xffffdba8,0x3fffea6f,0xfffd004f,0x801fffcc,0x00fffffe,0x7f4dfff5,
    0x3ff602ff,0x7fe4002f,0x07ffee2f,0x201fffb8,0xff92fffb,0x42bffe21,
    0x540007fd,0xff105fff,0xffffb39f,0x00019fff,0x0fffea00,0x005fffb8,
    0x00ffff40,0xfffea800,0x3ffffaa2,0x3ffe6200,0x4fffb99e,0xdffffa80,
    0x97ffee01,0x2603fffd,0x3000ffff,0x7dc1ffff,0x3fee01ff,0x3ffee01f,
    0x7e43ff92,0x0fffefff,0x3fffc000,0x224fff88,0x0009acba,0x7ffd4000,
    0x07fffa03,0xbfff5000,0x40066440,0xfc83fffb,0xffe880ff,0xffffffff,
    0x700dffff,0xf9005fff,0x7ffdc9ff,0x2ffff405,0x1ffff440,0xb807ffee,
    0x3ee01fff,0x85ff52ff,0xfffffffd,0x7fec0005,0x4fff880f,0x80000000,
    0xf503fffa,0x20000bff,0xf901fffe,0xfff3009f,0x03fff709,0xfffffff9,
    0xffffffff,0x3fff207f,0x2fffe800,0x501bffea,0x201dffff,0xb86fffe9,
    0x3ee01fff,0x3fee01ff,0x507ff32f,0x07fffffd,0x06ffe800,0x0009fff1,
    0xff500000,0x3fffa07f,0xff700002,0x3fffa0bf,0x1fffec01,0x540fffdc,
    0xffffffff,0xffffffff,0x01fff902,0x4c3ffff0,0xfb807fff,0xb9bcffff,
    0x82fffffd,0x2e01fffb,0x3ee01fff,0x013fe2ff,0x9001b980,0x3e207fff,
    0x000004ff,0x3fffa800,0x006fffa8,0x3fffe200,0x3fffff80,0x7fffed44,
    0x01fffb81,0x9dfffb73,0x379fffd9,0x007ffe40,0x883fffe2,0xc800ffff,
    0xffffffff,0x702fffff,0x7dc03fff,0x3fee01ff,0x001ffa2f,0x556fffc4,
    0xfffcaa99,0xfff101ff,0x00000009,0xb07fff50,0x00005fff,0xf84fffc8,
    0xeeffffff,0x05ffffff,0xa803fff7,0x3ff23fff,0xfffc800f,0x37ffe400,
    0x8027fff4,0xfffffffb,0x2e01efff,0x3ee01fff,0x3fee01ff,0x00fff62f,
    0x3ffffea0,0xffffffff,0xfeda83ff,0x03deefff,0xfa800000,0x7ffcc3ff,
    0xf8800006,0x7ff40fff,0xffffffff,0xf700efff,0xffa803ff,0x01fff62f,
    0x1007ffe4,0xf705ffff,0x22001fff,0xeffffffe,0x7ffdc00b,0x07ffee01,
    0x262fffb8,0xd81806ff,0xffffffff,0x882fffff,0xffffffff,0x00001fff,
    0x1fffd400,0x000ffff6,0x1fffe400,0x3ffffff2,0x0dffffff,0x007ffee0,
    0x7f45fff7,0xfff9007f,0x3fffdc01,0x03ffff88,0xbfffff30,0xff706201,
    0x7ffdc03f,0x0bffee01,0xd501dffb,0xffeb889f,0xdfffffff,0xfffff101,
    0x03ffffff,0xfa800000,0x3ffe23ff,0x22000007,0x5dc47fff,0xeffffca8,
    0xfffb801c,0x0fffdc02,0x3200dffd,0x3fe00fff,0x3ff203ff,0x7fcc00ff,
    0xceffffff,0x2e4ffdaa,0x3ee01fff,0x3fee01ff,0x7fffc42f,0x3fffedce,
    0x2f2ea620,0xfda800aa,0x3dffffff,0xc8000000,0x3ff21fff,0x4000003f,
    0xb803fffd,0x2a001fff,0x7e404fff,0x1bffe1ff,0x03fffa20,0x007fffdc,
    0x407ffff1,0xfffffff8,0xffffffff,0x3bffee7f,0x3fee1cee,0x3bbb6a1f,
    0xff982fff,0x5fffffff,0x00000000,0x40000000,0x3fe27fff,0x000000ff,
    0x4037ffcc,0x2001fffb,0x03fffff8,0x7fc1fff9,0x3ff2205f,0x3ffa06ff,
    0xfffc804f,0x3fffee07,0xffffffff,0x3ee3ffff,0x26ffffff,0xff11fffb,
    0x05ffffff,0x3ffffae2,0x0000002d,0x00000000,0xdfffb510,0x0027ffdc,
    0xfffd8000,0x0fffdc02,0x3ffff200,0x47ffd81f,0x3f204fff,0xf502ffff,
    0xf1001fff,0x3e605fff,0xeccdefff,0x43ffffff,0xfffffffb,0x443ffea6,
    0xffffffff,0x00001002,0x00000000,0x776dc400,0xffffffee,0x003fff62,
    0x7fcc0000,0x7ffd404f,0xfffc8001,0x45ffa81f,0x3ee02ffd,0x3ea03fff,
    0x3ea002ff,0x2ae602ff,0x05775100,0x3fffffee,0x2a1f641d,0x2ffffffd,
    0x00000000,0x00000000,0xffffffb8,0x542fffff,0x000003ff,0x200ffe40,
    0x20007ff8,0x2e603eda,0x2200dc40,0xec801dec,0x04eb8003,0x00000000,
    0x00000000,0x00000000,0xff700000,0xffffffff,0x00006205,0x50004000,
    0x00000039,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffd9100,0x000037df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000cc400,
    0x26f2a200,0xba980000,0x002e601b,0x8000dd44,0x009acb98,0x00000000,
    0x26000000,0x0000001a,0x00000000,0x22000000,0xfb3001cb,0x2e7dffff,
    0x202ceeee,0xffffffe9,0xfeb88003,0x744fffff,0x3aa02fff,0x02dfffff,
    0xffffff90,0x2600007f,0x00fffffd,0x09ffffd9,0x3fb20000,0xea9dffff,
    0x7642deee,0x0003ffff,0xfffffd88,0xfd800001,0xf88005ff,0x7e403fff,
    0xffffffff,0xffffffef,0xfffff980,0x2006ffff,0xffffffe9,0xfff51fff,
    0x3ffea0df,0x02ffffff,0x3fffffa6,0x000effff,0x7ffffec0,0xffff980f,
    0x400004ff,0xffffffe9,0xffffffff,0xffff51ff,0x900007ff,0x03ffffff,
    0xfffb0000,0xfff7000b,0x3ffa20df,0xffffffff,0xffffffff,0x7ffffcc1,
    0x05ffffff,0xffffffb8,0xfb1fffff,0xfa83ffff,0xffffffff,0xffe881ff,
    0xffffffff,0x7e40006f,0x880fffff,0x04ffffff,0x3ffea000,0xffffffff,
    0x2fffffff,0x7ffffff3,0xfff70000,0x00003fff,0x00bfffb0,0x0bffff50,
    0x37fffff6,0xffffffdb,0xfe83efff,0xffbadfff,0x3ee03fff,0x9acfffff,
    0x3fff63db,0x3ffe21ff,0xffeb9aef,0xffffd86f,0xfffec9be,0x2e20003f,
    0x300ffffd,0x009fffd9,0x3fffe200,0xffecbcdf,0x44efffff,0x03fffeca,
    0xffdb5000,0xb000003f,0x2000bfff,0xfb81effd,0xfd304fff,0x2a03ffff,
    0xfb80efff,0xfff506ff,0x3f2005ff,0x3ee0ffff,0xffe885ff,0x3fffe22f,
    0x0ffff901,0x3fff6000,0x27ffcc00,0xfffd8000,0xffff902e,0xfffa805f,
    0x7dc00003,0x000001ff,0x00c40000,0x8807ffff,0xb01ffffe,0x7ec07fff,
    0x7ffc42ff,0x3ee001ff,0x7ffc7fff,0xbfff500f,0x102fffcc,0x0001ffff,
    0x801fffb0,0x0004fff9,0x01ffff98,0x017fffe4,0x000fffea,0x03fff700,
    0x00000000,0x37ffcc00,0x1ffff980,0x403fffd0,0x7e44fffa,0x5c001fff,
    0x3ea7ffff,0x7ff404ff,0x05fff70f,0x001fffc8,0xfffb0331,0x4fff9801,
    0xf5000998,0x3fa007ff,0x7fd402ff,0x0004cc3f,0x001fffb8,0x00000000,
    0x00fffee0,0xf01fffe8,0xfff00dff,0x0ffffc4d,0x7fffd400,0x007ffee6,
    0x3e65fff7,0x7ff405ff,0x3ff6a00f,0xffb2efff,0xfff9801f,0xfffffd54,
    0x7ffe403b,0x5fff9001,0xabfffa80,0x0dfffffe,0x87ffee00,0xceeeeec9,
    0xdddd9301,0x00003ddd,0x003fff90,0xe80fffe4,0x7fc407ff,0x17ffee7f,
    0x3ffe6002,0x03fff65f,0x7c7fff50,0xff500fff,0x3ff620df,0xefffffff,
    0x4c00fffe,0xffffefff,0x04ffffff,0x2001fffb,0x5402fffb,0xffffffff,
    0x001fffff,0x7fc3fff7,0x06ffffff,0xfffffffd,0x5000003f,0x74005fff,
    0xffb01fff,0x7ffec05f,0x15fff90f,0x019dffd9,0xe97fffe2,0xff9807ff,
    0x3ffff64f,0xfffda89c,0xffff984f,0xffffffff,0x4c00ffff,0xffffffff,
    0xefffffff,0x00fffe40,0x402fffc8,0xfffffffa,0x1fffffff,0x11fffb80,
    0xffffffff,0x3ffffa0f,0x0001ffff,0x0efff880,0x1ffffb80,0x20bfff90,
    0xb1fffffa,0xffff7fff,0x3e05ffff,0x3ffa4fff,0x4fff8806,0x3fffffa2,
    0x06ffffff,0x7bdffffd,0xffffffd9,0xfff9801f,0xdbceffff,0x545ffffe,
    0xfd002fff,0xffa805ff,0xecceffff,0xb804ffff,0xffd11fff,0x205bffff,
    0xffffffda,0x6664001f,0xdfffd03c,0x7fffdc01,0xffff301f,0x7fffd419,
    0xffffd2ff,0xffffffff,0x7ffff07f,0x44037ff4,0x7fcc4fff,0xffffffff,
    0xffffb80f,0xfffff503,0xfff9801f,0xff901eff,0x7ffcc7ff,0x7ffdc00f,
    0x7ffd402f,0xfff883ff,0x9fffb807,0x0effffe9,0x3fff7000,0x7fffc400,
    0xfffff302,0xffd75359,0x6403ffff,0xffcfffff,0xf3ffffff,0xdfffffff,
    0x81fffffd,0x3fa3fffe,0xfff8806f,0x7ffffdc4,0x42ffffff,0x402ffff8,
    0x00fffff8,0x077fffcc,0x83fffea0,0x700efffe,0x805fffff,0x201ffffa,
    0x5c01fffd,0xffffcfff,0x7dc0004f,0x3ee001ff,0x7fd405ff,0xffffffff,
    0x01ffffff,0x7ffffff4,0x2fffffff,0x3dfffffd,0x22ffff54,0x3fa2fffd,
    0xfff8806f,0x3ffffea4,0xffffffff,0x013ffea1,0x007fffd4,0x007fffe6,
    0xf30fffec,0x7359ffff,0x5ffffffb,0x03fffa80,0x2017ffdc,0xfffffffb,
    0xfb80003f,0x3fa001ff,0xffb800ff,0xffffffff,0x401fffff,0xffffffd8,
    0xb0fffcef,0x301fffff,0x7ec1ffff,0x1fffa1ff,0x453ffe60,0x31cfffff,
    0x64dffff9,0x3e001fff,0x7cc00fff,0x3ea006ff,0x7ffdc3ff,0xffffffff,
    0x5402ffff,0x7dc03fff,0x7fdc02ff,0x002fffff,0x03fff700,0x00fffe20,
    0xfffffc88,0xfffcadff,0xfffd7001,0xb9fffa7d,0x3a02ffff,0x3fee1fff,
    0x03fff60f,0x2a7fff50,0x3e207fff,0xfffb1fff,0x0fffe800,0x02fffcc0,
    0x709fff10,0xffffffff,0x05ffffff,0x403fffa8,0x5c02fffb,0xdfffffff,
    0xffb80000,0xdff7001f,0x32a62000,0x3fff20ab,0x26098001,0x3fea5fff,
    0x7ffdc04f,0xf90ff623,0xffb803ff,0x07fff92f,0xfb3fffd8,0xffd800ff,
    0x7ffcc00f,0x3ffe2005,0xffffb104,0xfff77dff,0x3fffa805,0x017ffdc0,
    0x3fffffee,0x40000eff,0xb001fffb,0x000003ff,0x000fffe4,0x8ffffe20,
    0x5404fff9,0xf5003fff,0xffe809ff,0x01fffb0f,0xf94fff98,0x7fc003ff,
    0x7fcc00ff,0x3fea006f,0xaca9803f,0x00bffee1,0xb807fff5,0x7dc02fff,
    0xffffcbff,0x3ee0001e,0xff8801ff,0x64000004,0x20001fff,0x446fffe8,
    0x7ec07fff,0x3fe002ff,0xfff500ff,0x00fffe4b,0x7d4fffee,0xff7005ff,
    0xff9801ff,0xffb002ff,0xfd80003f,0x7fd401ff,0x7ffdc03f,0x8fffdc02,
    0x01fffffb,0x03fff700,0x0001ff50,0x1fffc800,0xffff7000,0x9fffb01d,
    0x03fffe60,0x85fffc80,0x2a1fffe8,0x3e206fff,0xfff11fff,0xfffa809f,
    0x7fcc00ff,0x7e401fff,0x440007ff,0xfa807fff,0x7fdc03ff,0x7ffdc02f,
    0x3ffffea1,0xfffb8002,0x001e9801,0xfffc8000,0x537bb301,0x3fffffd9,
    0x3bfffe60,0xffffebac,0xff101885,0xff737dff,0xfff88dff,0xfba9abef,
    0x7fd47fff,0xba9abeff,0xeffffffd,0x7ff64c1c,0x99adffff,0x1fffffba,
    0xffd51000,0x7f64c0bf,0x64c1ceff,0x41cefffe,0x41fffedb,0xdefffff9,
    0x3bbb6a0b,0xeeefffee,0x00001cee,0xffddb500,0xfd85bdff,0xffffffff,
    0x7fe402ff,0xffffffff,0x7ffdc0ff,0xfffffa80,0x81ffffff,0xfffffffb,
    0x82ffffff,0xfffffffd,0xffffffff,0xff10ffff,0xffffffff,0xffffffff,
    0xedb8809f,0xfffffeee,0x3fff601f,0x7f46ffff,0x26ffffff,0x1ffffffb,
    0x7fffffd4,0xffff53ff,0xffffffff,0x001fffff,0xfff88000,0xffffffff,
    0x3fffff60,0x000dffff,0xfffffffb,0xffd05fff,0x3fff207f,0x01ffffff,
    0x3fffffea,0x201fffff,0xfffffffc,0xffffffff,0xfff30fff,0xffffffff,
    0x7fffffff,0xfffff900,0x05ffffff,0xfffffff8,0xffff10ff,0x7dcfffff,
    0x5c1fffff,0xffffffff,0xffffff74,0xffffffff,0x00003fff,0xfffff980,
    0x21ffffff,0xffffffd8,0xfeb8001e,0x00dfffff,0x5c03fff9,0x1efffffe,
    0xffffd980,0x9800deff,0xfffffffe,0xeffffdae,0x7ffff5c3,0xfffffebc,
    0xf9000dff,0xffffffff,0xffb5005f,0xda87bfff,0x22dfffff,0x1ffffec8,
    0x7ffff644,0xffd910df,0xffffffff,0x0007dfff,0x3ff6e000,0x03dfffff,
    0x00035751,0x026eea60,0x44002e60,0x220001ba,0x10000aba,0x00157953,
    0x32ea6000,0x6440009a,0x1beffffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x2ceeeec9,0x9ddddb50,0x00000003,
    0xb7100000,0x0000017b,0xffffc800,0xefffffff,0x40000004,0xfffffff8,
    0xffffffff,0x0000001f,0x006aee60,0xffffda80,0x00001fff,0xbddffdb7,
    0xfffff837,0x7fcc0fff,0x006fffff,0x59dfd971,0xdb930001,0x70039bff,
    0x05ffffff,0x3fb72600,0x20130bee,0xfffffffc,0x02ffffff,0xdffb7310,
    0x2206617d,0xffffffff,0xffffffff,0x7f75c401,0x006a1cef,0xffffffb3,
    0xfff0005f,0x03ffffff,0xffffa800,0x1fffffff,0xfffffff1,0xffffa81f,
    0xfb806fff,0xffffffff,0xffeb8802,0x4fffffff,0x377ffea0,0x22001fff,
    0xfffffffc,0xc81ffeff,0xffffffff,0x801fffff,0xfffffffb,0x43ffefff,
    0xfffffff8,0xffffffff,0xfff9101f,0xbdffffff,0x3fea07ff,0xffffffff,
    0x3ffa000d,0x01ffffff,0x3fffe600,0xffffffff,0x3ffffaa4,0xfffd903e,
    0x7f4c05df,0xffffffff,0x3fe204ff,0xffffffff,0xdff06fff,0x8037f441,
    0xffffffe8,0x3fffffff,0xeeefffc8,0x03deeeee,0xffffffc8,0xffffffff,
    0x77fffc46,0xfeeeeeee,0xfe981fff,0xffffffff,0xb85fffff,0xffffffff,
    0x2004ffff,0xffeeedb8,0x3fa0001f,0xffeeffff,0x7fc41fff,0x7fd400ff,
    0x7ff4406f,0xfffeffff,0xff106fff,0xffdfffff,0xf987ffff,0x00ffb82f,
    0xffffffd8,0xfffffffe,0x00fffc84,0x7ffec400,0xfffeefff,0xfe87ffff,
    0xfffe802f,0x7ffffc40,0xffffeeff,0x7fd46fff,0xfdaadfff,0x0002ffff,
    0x0007ffee,0x80ffffc4,0xfff70099,0x2fffe80b,0x67fffec0,0x7fffecc1,
    0xbefff884,0x7fffed41,0x7c41fea0,0x7ffd401f,0x7fecc1cf,0xfffc84ff,
    0x7fec0000,0x5c40acff,0xda87ffff,0x5fff9804,0x1cffffe8,0x7ffff544,
    0x067ffec6,0x006fffc8,0x007ffee0,0x01fffd40,0x3ffff100,0x01bffee0,
    0x805ffff5,0xf81ffffb,0x7ff404ff,0x20bfe62f,0x7e400ffa,0x7fe404ff,
    0x0fffc84f,0x3ffe6000,0xfff8803f,0x7fe40007,0x7fffdc2f,0x6fffc804,
    0x803fffe2,0x0007fff8,0x0007ffee,0x0017ffdc,0x417ffee0,0x2202fffe,
    0x7002ffff,0xffb0dfff,0x3fffa805,0xfd106ffc,0x1fffd00d,0x83fff880,
    0x0660fffc,0x03fffe80,0x0017ff20,0xe81ffff0,0x3e003fff,0x17ff46ff,
    0x00fffe40,0x01fffb80,0xffddb710,0xbddddddf,0xfff88017,0x37ffdc1f,
    0x017ffee0,0x983fffd0,0xfffa803d,0x667ffd44,0x64082fff,0xfd800fff,
    0xdfffc81f,0x03effffe,0x001bffe6,0x40003dd1,0x7cc5fff9,0x7e4006ff,
    0x801e4c4f,0x0000fffe,0x2003fff7,0xfffffffb,0xffffffff,0x5fffb803,
    0x2017fff4,0x4000fffc,0x0003fffa,0x320ffffa,0x23ffffff,0x3ea5feb9,
    0x0a800eff,0xffffff90,0x03dfffff,0x0009fff5,0x3ff20000,0x27ffdc2f,
    0x00332200,0x07fff980,0x07ffee00,0x7ffffe40,0xffffffff,0xfff004ff,
    0x1bffee3f,0x001fffa0,0x0013ffe2,0x07ffff62,0x4ce7764c,0x25ffffeb,
    0xbdfffff8,0xfffc8001,0xffffffff,0x7ffe40ff,0x00000002,0xfc81ffff,
    0x000002ff,0x5fffe880,0x3ffee000,0xffd91001,0xffffffff,0x2e0019df,
    0xffff5fff,0x0bfff005,0x01bffe00,0xfffffc98,0xffd93004,0xf5039fff,
    0xbfffffff,0xfff50017,0xffb99bff,0xfffd8bff,0x80000000,0xfd85fff9,
    0x000000ff,0x7ffff440,0x3fee0000,0xff70001f,0x7c00005f,0x6fffdfff,
    0x04fff880,0x00fffd00,0xffffffb3,0xfffc980b,0xa801cfff,0xffffffff,
    0x36201eff,0xfff302df,0x03ffec5f,0xfc800000,0x7ffe82ff,0x44000000,
    0x002ffffe,0x00fffdc0,0x02fffb80,0x3ffee000,0x8802ffff,0xd0004fff,
    0xff700fff,0x2607ffff,0xcefffffc,0x7e4c0009,0xffffffff,0xfa80003f,
    0x1fff65ff,0xeeeeeb98,0xf8002cee,0xffe80fff,0x20000007,0x03fffff9,
    0x1fffb800,0x5fff7000,0xfff80000,0x3a006fff,0xff0006ff,0xfff700bf,
    0x7ffc019f,0xfff91bef,0xdb98005d,0x3fffffff,0x6ffe8000,0xff81fff6,
    0xffffffff,0x3fe6001f,0x0fffb05f,0x3ea00000,0x0003ffff,0x003fff70,
    0x00bffee0,0xffff7000,0x7fec003f,0xfff88007,0x1fff9804,0x221bec80,
    0x3ffffffe,0x3fee2000,0xd80006ff,0x3fff27ff,0xfffff880,0x03ffffff,
    0x40bfff20,0x0001fffc,0x7fffdc00,0x2e00002f,0x70001fff,0x00005fff,
    0x00dfffd0,0x002fffb8,0x8017ffe4,0x6c0005fe,0xffeb9dff,0x88006541,
    0x0000fffe,0xfa87ffec,0xffd702ff,0x1bffffff,0x07fffc00,0x002fffb8,
    0x3fff2000,0x400001ff,0x0001fffb,0x0005fff7,0x1ffff880,0x7fffd400,
    0xffff3000,0x0000c001,0x3fa0ffe6,0x801bfe65,0x0002fffa,0xff13fff4,
    0xffe8009f,0x7ffcc007,0x1bffe605,0x7fec0000,0x00001fff,0x001fffb8,
    0x005fff70,0x6fffb800,0xbfffb000,0x7fffd100,0xb8000000,0x5cff707f,
    0xfb002fff,0x440005ff,0x7ffc5fff,0x3ffa001f,0x7ffe4007,0x27fff403,
    0x2217f200,0x00effffe,0xfff70000,0x3fee0003,0x2200002f,0x0001ffff,
    0x01dffff1,0x01bfffa6,0x3ee00000,0x7e4ff506,0x7d403fff,0x33f60fff,
    0x7ffec400,0x1ffffdc4,0x03fff440,0x003fffe0,0x03bffff5,0x22fffe88,
    0x0dfffff9,0x3ee00000,0xf70001ff,0x400005ff,0x0005fffc,0x6fffffd4,
    0xffffdb9b,0x0544001f,0x03ff5000,0x7ffe4dfb,0xba9bceff,0x2a6ffffe,
    0x9abcffff,0xfffffcaa,0xeffffd80,0xfedb9abc,0x26007fff,0xf9005fff,
    0x359bffff,0xfffffb95,0x3ffffea3,0xb5001804,0xfffddddd,0x839ddddd,
    0xfffeeec9,0x1ceeeeee,0xfdddd930,0x003bdfff,0x7ffffe40,0xffffffff,
    0x7ffec003,0xdff10004,0xc93fee25,0xffffffff,0xffffffff,0x3ffffea0,
    0xffffffff,0xfff102ff,0xffffffff,0x00ffffff,0x001fffe4,0xfffffffb,
    0xffffffff,0x7fffffc9,0xeeeeeeee,0x7fd406ff,0xffffffff,0x0fffffff,
    0x3ffffffe,0xffffffff,0xfffff80f,0x6fffffff,0x7ffd4000,0xefffffff,
    0x7ffc4001,0x3ea0007f,0x46fffeff,0xfffffffa,0xefffffff,0xfffffc81,
    0xffffffff,0x7ffec403,0xffffffff,0x32002dff,0xfb8006ff,0xffffffff,
    0x7fc2ffff,0xffffffff,0x0fffffff,0x3ffffee0,0xffffffff,0xff11ffff,
    0xffffffff,0x01ffffff,0xffffffff,0x000fffff,0xfffff910,0x740009df,
    0x40005fff,0x0dfffffa,0x7ecd7644,0x3fffffff,0x7fffe4c0,0x00cfffff,
    0x3fffb660,0x01cfffff,0x002fd880,0xffffd710,0xf019dfff,0xffffffff,
    0xffffffff,0xfffec805,0xffffffff,0x7edc3eff,0xffffffff,0xb503efff,
    0xffffffff,0x800005bf,0x0000aba9,0x00003730,0x0006aea2,0x01377531,
    0x55955300,0x2a600003,0x00001aab,0x554c0000,0xfff801ac,0xffffffff,
    0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8801a880,0x0aaaaaaa,0x55555544,
    0xfffa8001,0x5554007f,0xaaaaaaaa,0x02da801a,0x2aaaa600,0xaaaaaaaa,
    0x0aaaaaaa,0x55555554,0x55555100,0x2aaa6035,0x2aaa201a,0xaaa881aa,
    0x2a201aaa,0x80aaaaaa,0x000aaaa9,0x10355553,0x55555555,0x88000155,
    0x402ffeca,0xfffffff9,0xffff30ff,0x001fffff,0x03fffff4,0xffffff88,
    0xffffffff,0x007ffc06,0xfffffb80,0xffffffff,0x21ffffff,0xffffffff,
    0x7fffdc2f,0x7f46ffff,0x886fffff,0x4fffffff,0x3fffffee,0xfff886ff,
    0x21ffffff,0x05ffffff,0xdfffffd0,0x7fffffd4,0x00ffffff,0x7fff6440,
    0x7dc02fff,0xffffffff,0xffffff72,0x2e005fff,0x007fffff,0xfffffff3,
    0xffffffff,0x0bffe601,0x7fffdc00,0xffffffff,0x1fffffff,0xfffffff3,
    0xfffd89ff,0x10ffffff,0xffffffff,0xfffffb83,0x3fff66ff,0x41ffffff,
    0xfffffffa,0xffff33ff,0xf9803fff,0x91ffffff,0xffffffff,0x4007ffff,
    0xfffffffb,0x7fc402ff,0x26ffffff,0xfffffff9,0xfff1006f,0x7400ffff,
    0xffffffff,0x205fffff,0x0003fffa,0xfffffff7,0xffffffff,0x3e23ffff,
    0xffffffff,0x7ffffd41,0x7fec5fff,0xf886ffff,0x23ffffff,0xfffffff9,
    0xffff886f,0x3a0fffff,0x04ffffff,0x7fffffec,0x3ffffe66,0x0fffffff,
    0x3ffff600,0x002fffff,0x015bfff5,0x07fffaa6,0xfffffd80,0x5544007f,
    0xadfffcaa,0x7ffd400a,0xfff70003,0xfffb5559,0xfffb5557,0xabfffd83,
    0x7fe54c01,0xfffd103f,0x3ffea01f,0xffa880df,0x64c00aff,0xb809ffff,
    0x00ffffff,0x7ffffff1,0x3ffeaa60,0xb8001aae,0xffdcefff,0xfff3002f,
    0x1fff6009,0xfffff980,0x980007ff,0x2a003fff,0x70003fff,0xffc85fff,
    0x0fffe41f,0x000bffee,0x4403fff7,0xf886ffff,0xfd806fff,0xff9002ff,
    0x7ffd407f,0xff904fff,0xf005ffff,0x30000dff,0x17ffdc15,0x04fff980,
    0x400fffb0,0xffecfffe,0xff980007,0x7764c03f,0xeeeeefff,0xfb80bdee,
    0x7ffe42ff,0x20fffe41,0x7643fffa,0x7ffe43ee,0x7fffcc00,0x07ffff45,
    0x037ffd40,0x200ffff8,0x7ffffffa,0xffffff88,0x6fff802f,0xff700000,
    0x3fe6005f,0xfffb004f,0x3fffee00,0x0007ffe8,0x403fff98,0xffffffff,
    0xffffffff,0x42fffb85,0x7e41fffc,0x7ffcc1ff,0x237fffc4,0xf5007ffd,
    0x3ff27fff,0x3fa001ff,0x7fd401ff,0x7ffd405f,0x7dc3ffff,0x02ffffff,
    0x0006fff8,0x05fff700,0x013ffe60,0x4403ffec,0xffd2ffff,0xff30000f,
    0x7ffc407f,0xffffffff,0xa86fffff,0x7fe40fff,0x43ffdc1f,0x3ea5fff8,
    0x3fa1ffff,0x3fee007f,0x2ffffdff,0x27ffdc00,0x007fffa0,0xfffbfff5,
    0xfdfffe8d,0xfff802ff,0xf7000006,0x3e6005ff,0xffb004ff,0xdfff900f,
    0x0003fff4,0x201fffcc,0xffffffda,0xdfffffff,0xc86ff881,0x7fc41fff,
    0x6cdfff05,0x3e3fffff,0x7ec006ff,0x04ffffff,0x0ffff880,0x00dfff30,
    0xffd7fff5,0x37ffea5f,0xf802fffb,0x000006ff,0x2005fff7,0xb004fff9,
    0xff980fff,0x1fffa1ff,0x3ffe6000,0x3ffea003,0x40a20003,0x2881fffc,
    0xff9fffe0,0xff16ffff,0xffd000bf,0x4000bfff,0xf903fffc,0xff5007ff,
    0x2dfff57f,0xffbafffd,0x6fff802f,0xff700000,0x3fe6005f,0xfffb004f,
    0x44fffd80,0x80007ffe,0x2003fff9,0x0003fffa,0x03fff900,0x2afffd00,
    0x8fffffff,0x8004fff9,0x00fffff9,0x1bffe600,0x003fffe2,0x7f4fffea,
    0x76fffbff,0xff005fff,0x200000df,0x3002fffb,0x36009fff,0x3fea07ff,
    0x3fff40ff,0x4c005e44,0x2a003fff,0x00003fff,0x003fff90,0xfb1fffb0,
    0x57fffbff,0xd0007fff,0x009fffff,0x41fffe80,0x5004fffb,0x3fee7fff,
    0xf73fffff,0xfff005ff,0x2e00000d,0xf3002fff,0x3f6009ff,0x3fffa07f,
    0xc87ffe83,0xff9803ff,0x3fea003f,0x9000003f,0x90003fff,0xffff5fff,
    0xff7dfff3,0xffc8005f,0x003fffff,0xd17ffea0,0x2a003fff,0xfff13fff,
    0x7fdcffff,0x6fff802f,0x000cd980,0x2005fff7,0xb004fff9,0x3ff20fff,
    0xe99999ff,0x5ffe87ff,0x03fff980,0x00fffea0,0x7ffe4000,0xfffb8001,
    0xffd4fffd,0x003fffbf,0x7effffdc,0x20002fff,0xff50ffff,0x7fd400bf,
    0x3ffff23f,0x0bffee4f,0x201bffe0,0xf7003ffd,0x3e2005ff,0xffb004ff,
    0xfffff10f,0xffffffff,0x37ffc9ff,0x01fffcc0,0x007fff50,0x3fff2000,
    0xfffa8001,0xff72ffff,0x001fffff,0x6d3fffe6,0x0000ffff,0x3f67fff9,
    0x3ea002ff,0x3ffe23ff,0x3ffee0ff,0x06fff802,0x7005fff8,0x7c005fff,
    0xfff005ff,0xfffff10d,0xffffffff,0x3ffe1fff,0x2fffa806,0x0fffea00,
    0x7fe40000,0xff98001f,0x3e27ffff,0x007fffff,0xe8dffff1,0x8000efff,
    0xff9ffff8,0x7fd4007f,0x2fffe43f,0x200bffee,0xff806fff,0xfff7005f,
    0x7ffec005,0x27ffdc01,0x7fffffc4,0xffffffff,0x01bffe7f,0x8003fff2,
    0x0003fffa,0x03fff900,0xfffff100,0xffffe8bf,0xffe8807f,0x7ffc40ef,
    0xffb0005f,0x007fffdf,0x4c3fffa8,0x7fdc1ccc,0x6fff802f,0x005fff80,
    0x4005fff7,0x701efffb,0x9105ffff,0x99999999,0x437ffff9,0x2e01efff,
    0x4c007fff,0x26205fff,0x3f2003eb,0xff0001ff,0xfb85ffff,0xd806ffff,
    0xf301ffff,0x50009fff,0x1fffffff,0x3fffa800,0x17ffdc00,0x4037ffc0,
    0xf7005fff,0xfe8005ff,0xdb9acfff,0x0004ffff,0xff87ffe8,0xb9abefff,
    0x003ffffe,0x5effffc4,0xffffeca9,0xdddb501f,0x39dddfff,0x3ffffa00,
    0x7fffc40f,0x3ff6e05f,0xfb883fff,0x002dffff,0x2ffffff4,0x3fffae00,
    0xd9501cee,0xb87bfffd,0xeffffeed,0xfeeeeeee,0xff7005ff,0xff88005f,
    0xffffffff,0x710006ff,0x39ffffdb,0x7ffffffc,0x3fffffff,0xffffb000,
    0xffffffff,0xfff503ff,0xffffffff,0xffb001ff,0x3ffa0bff,0xfff504ff,
    0xc87fffff,0xffffffff,0x3ffee001,0x3ee001ff,0xffffffff,0x7ffffc40,
    0xff72ffff,0xffffffff,0xffffffff,0xeedb88bf,0xeeefffee,0x7f4c03de,
    0xffffffff,0xff90000d,0x1fffffff,0x3fffff26,0x03ffffff,0x3fffe200,
    0xffffffff,0xffff703f,0xffffffff,0xfff9001f,0x3ffee05f,0xffff503f,
    0xfd89ffff,0x1fffffff,0x3fffe200,0x7ffdc006,0x40ffffff,0xfffffff9,
    0xffff93ff,0xffffffff,0xbfffffff,0xffffffc8,0xffffffff,0xfffb803f,
    0x0003ffff,0x7fffffec,0x75c40fff,0x2dffffff,0xffc88000,0xbdffffff,
    0x3ffb2200,0xefffffff,0xffff7003,0x3fffe201,0x3fffb202,0x7ecc0cff,
    0x004effff,0x003fffd8,0x7ffff644,0xffd703ef,0x2219dfff,0xfffffffc,
    0xffffffff,0x7fec5fff,0xffffffff,0x003fffff,0x0002aea6,0x7fffecc0,
    0x4c403eff,0x000001bb,0x03579751,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd9800000,0xffffffff,0x00ceffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaaa880,0xaaa881aa,0xaaa881aa,0xaaaaaaaa,0x5440aaaa,
    0xaaaaaaaa,0xa980aaaa,0x2a201aaa,0xa881aaaa,0xaaaaaaaa,0x530001aa,
    0x55555555,0x55555555,0xaaaaa815,0xaaaaaaaa,0x5442aaaa,0xaaaaaaaa,
    0x2aa2001a,0xaaaaaaaa,0xaaa8801a,0xaaaaaaaa,0x5530001a,0x03555555,
    0x3ffe2000,0x26ffffff,0xfffffffb,0x7ffffd45,0xffffffff,0x3ffee1ff,
    0xffffffff,0x3fa1ffff,0x986fffff,0x4fffffff,0x3fffffe2,0xffffffff,
    0xfffb001e,0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,0x10ffffff,
    0xffffffff,0x03bfffff,0x7fffffd4,0xffffffff,0xffff880c,0xffffffff,
    0x3a003fff,0xffffffff,0xf500006f,0xffffffff,0x3ffff63f,0x7fd47fff,
    0xffffffff,0x361fffff,0xffffffff,0x3fffffff,0xfffffff1,0xffffb83f,
    0x3fea7fff,0xffffffff,0x05ffffff,0xfffffff8,0xffffffff,0xf51fffff,
    0xffffffff,0xffffffff,0x3ffea1ff,0xffffffff,0xc80cffff,0xffffffff,
    0xffffffff,0x7ffffd42,0xffffffff,0x4400efff,0xffffffff,0x80001fff,
    0xfffffff8,0x3ffee6ff,0x7d44ffff,0xffffffff,0x21ffffff,0xfffffffa,
    0xffffffff,0x3fffff61,0xffff986f,0x7ff43fff,0xffffffff,0x04ffffff,
    0x7fffffe4,0xffffffff,0x3a1fffff,0xffffffff,0xffffffff,0x3fffa0ff,
    0xffffffff,0xf986ffff,0xffffffff,0xffffffff,0x3ffffe21,0xffffffff,
    0xd806ffff,0xffffffff,0x200004ff,0x0acfffc9,0x5fffffcc,0xacfffa80,
    0xfffaaaaa,0xaaa980ff,0xaaacfffd,0xffffb101,0x3fffe601,0xfff9100b,
    0xd955555b,0x8805ffff,0xaaaefffa,0xfdaaaaaa,0x7fe441ff,0xaaaaaadf,
    0x40fffdaa,0xaaaefff9,0xfffffdba,0x7fffb304,0xff975555,0xfc981dff,
    0xaaaaacff,0x03ffffec,0xfffcaa88,0x0000ffff,0x20fffea0,0x02fffffa,
    0x5c0bffea,0x7002ffff,0x44003fff,0xfd04fffe,0xff500bff,0xfffd807f,
    0x0bfff005,0x207ffee0,0xc803fff9,0x7fc40fff,0x7ffe405f,0x1fff902f,
    0x1ffffc40,0x201fffd4,0x4006fffa,0xfffffffd,0x3ea00003,0x7ffdc3ff,
    0x7fd401ff,0xffff982f,0x3ffee003,0x7ffcc001,0x7fffdc1f,0x3fffa800,
    0x03fffc40,0x7005fff8,0xff303fff,0xfff9007f,0x05fff881,0x906fffd8,
    0xfb801fff,0xfffa84ff,0x07ffe803,0x27fffe20,0x00006fff,0xfc8fffea,
    0x9800efff,0x7fc41fff,0x7dc005ff,0xfc8001ff,0x3ffe26ff,0xfff5002f,
    0x0fffd007,0xb117ffe0,0x83ffcc3b,0x74c3fff9,0x221bfea4,0xe8805fff,
    0xffc81fff,0x6fff800f,0x403fffa8,0x2007fff8,0xffd4fffb,0x2a00003f,
    0xffd8bfff,0x3e000eff,0xefffe87f,0x7ffdc000,0xfffd0001,0x017fffa9,
    0x403fffa8,0xf005fff9,0x4ffd8bff,0xff9816dc,0x717ffc3f,0xbfff103b,
    0x13ffea00,0x1003fff2,0xff50bfff,0xfffc807f,0x3fffa006,0x009fff51,
    0x33ffea00,0x005ffffe,0x7fe40b98,0xfb8001ff,0xf30001ff,0xffffbfff,
    0x7ffd4001,0x3ffff203,0x3dfff003,0x00dffd33,0x99cfff98,0x1004fff9,
    0x2600bfff,0xffc85fff,0x7ffe400f,0x9bfffa83,0xfffda999,0xff5003ff,
    0x0ffff8bf,0xfffa8000,0x00ffffff,0xffff5000,0x3fee0007,0x3f20001f,
    0x02ffffff,0x56fffd40,0xffffdcaa,0xfff000ff,0xdfffffff,0xffff9800,
    0x04ffffff,0x00bfff10,0x7e437ffc,0xff9100ff,0xfff503ff,0xffffffff,
    0x6c00bfff,0x7fe42fff,0xfa80003f,0xffffffff,0x7cc0001f,0x20004fff,
    0x0001fffb,0x2ffffff4,0x7fffd400,0xffffffff,0x3fe000ef,0xffffffff,
    0x7ffcc006,0x4fffffff,0x0bfff100,0x643fff40,0xccccdfff,0x04fffffd,
    0xfffffff5,0x7fffffff,0x1fffe200,0x001bffe6,0x3ffffea0,0x01ffffff,
    0xdfffd100,0xfffb8000,0x7fcc0001,0xa8000fff,0xffffffff,0x000dffff,
    0x7ffffffc,0x4c006fff,0xffffffff,0xff1004ff,0x7ff400bf,0xfffffc87,
    0xffffffff,0x3fffea05,0xffffffff,0xfb803fff,0xfffb04ff,0xffa80003,
    0xfffb9fff,0xfd8001ff,0x40000fff,0x0001fffb,0x002fffc8,0xffffff50,
    0x03ffffff,0x99ffff00,0x800dfff9,0xcccdfff9,0xf1004fff,0x7fc00bff,
    0xffffc86f,0xffffffff,0x6fffd403,0xfeeccccc,0x7403ffff,0xffffffff,
    0x004fffff,0x077ffd40,0x00dfffd1,0x82ffffb8,0xfb802fe8,0xb80001ff,
    0x50001fff,0x9555bfff,0x003fffff,0x7ec5fff8,0x7fcc005f,0x21fffc3f,
    0x5fff8818,0x0bfff100,0xfffffff9,0x5001bdff,0xd9807fff,0xf500ffff,
    0xffffffff,0x01ffffff,0x1fffd400,0x017fffc4,0x04ffff98,0xf700dff7,
    0x700003ff,0x20003fff,0xf983fffa,0x2001ffff,0x7fdc5fff,0x7ffcc003,
    0xf50ffec3,0x5fff887f,0x07fff500,0x3335fff9,0xfff50003,0x3fff6007,
    0xfffffb02,0xffffffff,0x540007ff,0xff503fff,0xfff100df,0x3ffec0bf,
    0x00fffdc0,0x0fffdc00,0x3fffa800,0x0dffff30,0x4c2fffc0,0xfff98001,
    0x7fe40983,0x02fffc46,0xc81fffd8,0x80000fff,0x1003fffa,0xff109fff,
    0xddddddff,0x0dfffddd,0x1fffd400,0x807fffb0,0x200efffe,0x5c00fffd,
    0x80001fff,0x0001fffb,0x4c07fff5,0xf004ffff,0x40000bff,0xd003fff9,
    0xfff88fff,0xffffd805,0x00fffc80,0x3fffa800,0x09fff300,0x2009fff7,
    0x0001fffd,0x4407fff5,0xf900ffff,0xfd803fff,0x7fdc00ff,0xfb80001f,
    0xf50001ff,0xffa807ff,0xfff802ff,0x3e600005,0xffd003ff,0x05fff88f,
    0x5ffffb51,0x003fff20,0x0fffea00,0x0bfff620,0x4003fffa,0x4004fffa,
    0xeefffeca,0xefffd81c,0xffff10bd,0xdddddddf,0x221ffffd,0xffeeeedb,
    0x02deeeef,0x7ff776d4,0x402ceeef,0xeefffeca,0xffff901c,0xffeb987b,
    0x1ceeeeff,0x3ffb2a00,0xeeeeeeef,0x27fffeee,0xeeffffda,0xffffffee,
    0xfffdb84f,0x02deeeef,0xdfffd950,0xfddddddd,0x221fffff,0xceffffdb,
    0xfffd9501,0xff3007bf,0xffffffff,0xfffff981,0xfffff35f,0xffffffff,
    0x3f21ffff,0xffffffff,0x02ffffff,0xfffffff5,0x01ffffff,0x3fffffe6,
    0xfd00ffff,0x7f43ffff,0xffffffff,0xff1007ff,0xffffffff,0xffffffff,
    0x3fffe6ff,0xffffffff,0xfb85ffff,0xffffffff,0x7cc01fff,0xffffffff,
    0xffffffff,0x3fff23ff,0x40ffffff,0xfffffff9,0x7fd402ff,0xffffffff,
    0xfffffd80,0xffffff35,0xffffffff,0x3ff61fff,0xffffffff,0x503fffff,
    0xffffffff,0x203fffff,0xfffffff9,0xff101fff,0x7ffc5fff,0xffffffff,
    0xff9800ff,0xffffffff,0xffffffff,0xfffff37f,0xffffffff,0x3ff207ff,
    0xffffffff,0x7fd402ff,0xffffffff,0xffffffff,0x7ffffec3,0x7d40ffff,
    0xffffffff,0xfffec803,0xf303efff,0x3e63bfff,0xffffffff,0xffffffff,
    0xfffffb30,0xdfffffff,0x7ff64019,0xefffffff,0x7fff6403,0x5c03efff,
    0x7ed44eff,0xffffffff,0x3fb2002d,0xffffffff,0xffffffff,0x3ffffb27,
    0xabdeffff,0x3fff2200,0x4effffff,0xffffd900,0xffffffff,0xfb30179d,
    0x07dfffff,0x3fffffb2,0x000000ce,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,0x2aaaa980,
    0x2aaaaa20,0x555300aa,0xaaa88155,0x017101aa,0x26000000,0x0000000b,
    0x88001730,0x26200001,0x44000099,0x00001999,0x80000662,0x22001998,
    0x26000bdb,0x0ccdfffd,0xffffffd0,0xfffff103,0xff81ffff,0x30ffffff,
    0xffffffff,0x00dfff88,0x3e200000,0x0000006f,0x2037ff4c,0xdfffeca8,
    0x7e44001b,0xbbefffff,0x3b2a202d,0x2effffff,0xffed9800,0x4002ceff,
    0xffffffda,0xfe83c9bd,0xff7005ff,0x0bffffff,0xfffffff1,0xfffff70d,
    0x7cc5ffff,0x3fffffff,0xfffffff7,0x7fffd43f,0x000000cf,0x000fffa8,
    0xffd88000,0xff500fff,0xffffffff,0xfff9003d,0xffffffff,0x3ffe20ff,
    0xffffffff,0xff91006f,0xffffffff,0xffd8801b,0xffffffff,0x3fea1fff,
    0x7d400fff,0xffffffff,0xfffffb06,0xfff887ff,0x40efffff,0xfffffffe,
    0xffffff10,0xfffe88df,0x00003fff,0x00fffdc0,0xff910000,0x320bffff,
    0xffffffff,0x203fffff,0xfffffffc,0x1fffffff,0xffffffa8,0x5fffffff,
    0x7ffffc40,0xffffffff,0xffff301f,0xffffffff,0x7fc47fff,0xfff806ff,
    0x1fffedff,0x3fffee20,0xfda980ff,0x3fee02ff,0xff9301cf,0x7ffe407f,
    0x0002efff,0x03fff700,0x3fee0000,0x703fffff,0x79dfffff,0x3fffffdb,
    0xdfffff10,0xffffd979,0xffff103f,0xffb979bd,0x7ff403ff,0xfeccefff,
    0xe886ffff,0xcbdeffff,0x4ffffffe,0x20177f5c,0x6646fff9,0xffff8800,
    0x3ff205ff,0x3ffea00f,0x17ffdc03,0x3ffff620,0x00001eff,0x000fffdc,
    0x3fffaa00,0xf100cfff,0x2a03dfff,0xfa87ffff,0xfb100cff,0x06a201ff,
    0x205fff90,0x80cffffc,0x44ffffa8,0x103ffffc,0x209ffff5,0x7fff5000,
    0x7ffc4000,0xf902ffff,0x7fd401ff,0x7ffdc03f,0xfffd3002,0x0001bfff,
    0x007ffee0,0x7fff4c00,0x5c00dfff,0xe8806fff,0x7fd42fff,0x3fa200ef,
    0xff980004,0xffff884f,0xffffa804,0x03ffff31,0x007fff70,0x05fff980,
    0x3fffe200,0xfc80ffff,0x3fea00ff,0x7ffdc03f,0x7ff54002,0x000cffff,
    0x00fffdc0,0x3fff6200,0xb001efff,0x2e001fff,0x7fc44fff,0x9acdffff,
    0x6e4c0020,0xffeefffe,0xefffa84f,0x99999999,0x53fffc99,0x7c007fff,
    0x440001ff,0x0001ffff,0xffd9fff1,0x1fff90bf,0x01fffd40,0x000bffee,
    0x7fffffdc,0x3ee0003f,0x910001ff,0x5dffffff,0x05fff800,0x21bffe20,
    0xfffffffb,0x9802efff,0xfffffffd,0xb84fffff,0xffffffff,0xffffffff,
    0x3fff94ff,0x00164c00,0x06fffb80,0x39fff100,0xfc85ffff,0x3fea00ff,
    0x999999bf,0x002fffb9,0x3ffff220,0x97302eff,0xfffd9999,0x1799999b,
    0x3ffffee0,0xf98003ff,0x7ec003ff,0xfffb80ff,0xffffffff,0xffff500d,
    0xffffffff,0xfffb09ff,0xffffffff,0xdfffffff,0x0001fff6,0xfff50000,
    0xff10009f,0x1bfff29f,0x5401fff9,0xffffffff,0x2fffffff,0xffd88000,
    0x221effff,0xffffffff,0xffffffff,0x7ff547ff,0x000cffff,0x007fff30,
    0x200fffd8,0xfffffeca,0x7cc0efff,0xeeffffff,0x84ffffff,0xfffffffc,
    0xffffffff,0xfffb7fff,0x40000000,0x2ffffffa,0x7c40f7b2,0x3fffa4ff,
    0x803fff24,0xfffffffa,0xffffffff,0xfd500002,0x549fffff,0xffffffff,
    0xffffffff,0xffb10fff,0x003dffff,0x006fff80,0x04c2fffc,0xfffdb988,
    0x7ffff43f,0xfffa80ac,0xcefffa84,0xcccccccc,0xf94ccccc,0x000003ff,
    0xfffff500,0xfff11dff,0x9fff105f,0xc8ffffd4,0x3ea00fff,0xffffffff,
    0x02ffffff,0x7ffecc00,0xfd80dfff,0xffffffff,0xefffffff,0xffffe983,
    0x90000cff,0x32007fff,0x7fec3fff,0x6fff9800,0x007fffe2,0xf309fff3,
    0x80003fff,0x8004fffa,0xff003101,0x9fffddff,0x109ffff5,0xffd89fff,
    0x01fff96f,0x666fffd4,0xffdccccc,0xf910002f,0x03dfffff,0xf9333330,
    0x133335ff,0xffffd500,0xa80019ff,0x2203ffff,0x7c1ffffc,0x7c401dff,
    0x3ffe67ff,0x3fff2205,0xffffd04f,0x88aa2001,0x3003ffff,0x7fe41ffd,
    0xbfff303f,0xfdffff31,0xff101dff,0xffff889f,0x200fffcb,0x5c03fffa,
    0xb8002fff,0x2effffff,0x7ffdc000,0x7fdc0001,0x003fffff,0x5f7ffff4,
    0xffffba9a,0x7fffcc5f,0xca99aadf,0x3e25ffff,0xba9bdfff,0xfffffffc,
    0x3ffe20bd,0xa99aceff,0x24ffffdb,0xabfffffb,0xffdba999,0xffff13ff,
    0x87fff20f,0x7ffffffb,0x213ffe20,0xffeffffa,0x3ffea00f,0x17ffdc03,
    0xfffff700,0x200007ff,0x0001fffb,0xfffffc88,0xff1002ef,0xffffffff,
    0x881dffff,0xffffffff,0xffffffff,0x7ffffec1,0xffffffff,0x5c3fffff,
    0xffffffff,0xffffffff,0x7ffffe46,0xffffffff,0xfff31fff,0xfffb01ff,
    0x9fffffd0,0x827ffc40,0xfffffffd,0x0fffea00,0x005fff70,0xffffffd5,
    0x5c000019,0x00001fff,0x3fffff62,0xfd8801df,0xffffffff,0xffd00dff,
    0xffffffff,0x3a05ffff,0xffffffff,0xffffffff,0xfffea84f,0xffffffff,
    0xffd82fff,0xffffffff,0x7f42ffff,0xfff905ff,0xfffff885,0x13ffe201,
    0x7fffffc4,0x3ffea00f,0x17ffdc03,0xfffffb30,0x000003bf,0x0003fff7,
    0xffffd300,0xb50019ff,0x9dfffffd,0xfcdea803,0xffffffff,0x7ffdc00b,
    0xfacfffff,0x200dffff,0xfffffffc,0x200befff,0xffffffd9,0x500befff,
    0x7ffdc039,0xfffcaacf,0xff104dff,0x7ffdc09f,0x3ea00fff,0x7fdc03ff,
    0xffff902f,0x00003dff,0x00fffdc0,0xffd50000,0x4005ffff,0x0000aca8,
    0x4d5e5d54,0x32ea2000,0x200001ab,0x09abcba9,0xcca98800,0x00001aab,
    0x3ffffffa,0xffffffff,0x7fffed43,0xfffe82de,0xfec980ff,0x6d42deff,
    0x21cefffe,0x2ffffff9,0xfb800000,0x000001ff,0xffffffb8,0x00000000,
    0x00000000,0x00000000,0x4c000000,0xffffffff,0x24ffffff,0xfffffff9,
    0x7ffcc1ff,0xfffe80ff,0xf51fffff,0xdfffffff,0x01ffffcc,0xff300000,
    0x4000000f,0x00ffffc8,0x00000000,0x00000000,0x00000000,0xfd880000,
    0xfcefffff,0x3fea0dff,0x2fffffff,0x80ffffc8,0xffffffff,0xfffff52f,
    0xbeb8ffff,0x80000000,0x000003ec,0x002ec980,0x00000000,0x00000000,
    0x00000000,0x5d440000,0x3b2001ab,0x04efffff,0x501fffd1,0x9dfffffb,
    0xfffffec8,0x0000002d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00262000,0x00130000,0x01980cc0,
    0x5ddddb50,0xddddd930,0xeeeee985,0xeeeeeeee,0x776d41ee,0x76541cee,
    0xb981ceee,0x202deeee,0xbdeeedb8,0xddddb710,0xeeca839d,0x800bdeee,
    0x000002ec,0x13333100,0x99999988,0x99999999,0x3b6e0199,0xfffd8aee,
    0x64c01dff,0x263eeeee,0xb82dfffd,0xffbaeeed,0xdfff71ef,0x3ffe6039,
    0xfff83fff,0x7d43ffff,0xffffffff,0x22ffffff,0xfffffff9,0x3ffffe26,
    0xfffe87ff,0xf901ffff,0x29ffffff,0xfffffffd,0x3fffe26f,0x404fffff,
    0x40007ff9,0xffd80059,0x3fff61ff,0xffffffff,0xffffffff,0x7ffffd43,
    0xfffffffe,0x3ffa03ff,0xfd8cffff,0x26ffffff,0xfffffffa,0xffefffff,
    0x981fffff,0x43ffffff,0xfffffff8,0x7ffffd43,0xffffffff,0x3ffea2ff,
    0x3e26ffff,0x0fffffff,0x7ffffff4,0xffff902f,0x3ffabfff,0x26ffffff,
    0xfffffff8,0x7fdc05ff,0xfd10001f,0xffff800b,0x3ffffe25,0xffffffff,
    0x7fffffff,0x7fffffd4,0xffffffff,0xfffd02ff,0xffffdfff,0x27ffffff,
    0xfffffffb,0xffffffff,0x706fffff,0x507ffffd,0x87fffffb,0xfffffffa,
    0xffffffff,0x7ffffe40,0x7fffdc2f,0xffd982ef,0x33314eff,0x3ffffb62,
    0xffffb30d,0xfeb85dff,0x01dfffff,0x000fffdc,0x003fffd8,0xe83ffff3,
    0xffffffff,0xffffffff,0xfec85fff,0xccefffff,0x506ffffd,0xfffffffb,
    0xffb9ffff,0x7fff647f,0xffffcdff,0xffffcdff,0x0fffe600,0x987fff50,
    0xff982fff,0xfb101fff,0x3e61dfff,0xe804ffff,0x7ffdc7ff,0x817ffe22,
    0x6c03fffc,0x83103fff,0x04c1fffb,0x3fffff20,0x4fffb802,0x99999730,
    0x99999999,0x7cc03799,0xe883ffff,0x7cc00fff,0x0bffffff,0xff303366,
    0x7ffdc7ff,0x0bffee3f,0x403fff98,0xff83fffa,0x7fffcc0f,0xfffc801f,
    0xfffffbef,0x3fff9003,0xf72ffff4,0x7fc407ff,0xfff300ff,0x33ffee0f,
    0xdaafffc9,0xff700fff,0x803fffff,0x0000fffd,0x3fe60000,0x3fee02ff,
    0x7ffcc02f,0x4c001fff,0x7fcc4fff,0x17ffd44f,0x807fff30,0xda83fffa,
    0x7ffffcc3,0x3ffee001,0x02ffffff,0x4cfffea0,0xfb0fffff,0xffd803ff,
    0x7fffb03f,0x3fffffa0,0xffffffff,0xfff983ff,0x00efffff,0x0009fff1,
    0xff980000,0x7ffd403f,0x7fffcc03,0xff98000d,0x1fffcc3f,0x980bffea,
    0x7d403fff,0xff3003ff,0x50003fff,0x3dffffff,0x5fff8800,0x27fffffb,
    0xf9807fff,0xfff887ff,0xffff700f,0xffffffff,0xff883fff,0xffff9eff,
    0x01fff506,0x99999988,0x99999999,0x7ffcc009,0x1fffd403,0x017ffe60,
    0x43fff980,0x7d43fff9,0x3fe602ff,0x7ffd403f,0xffffa803,0x3fa0001f,
    0x0004ffff,0xfff1fffd,0xfff1dfff,0x3fff600b,0x027ffe43,0x3fffff66,
    0x0cffffff,0x877fff44,0xc84ffffa,0x3fee03ff,0xffffffff,0xffffffff,
    0x7fff302e,0x03fffa80,0x0027ffcc,0x987fff30,0x7fd43fff,0x3ffe602f,
    0x1fffd403,0x3ffffea0,0xffd10000,0x009fffff,0xffbfff90,0xff9fffff,
    0x3fe6007f,0x3fffe27f,0xfff51000,0x6c03bfff,0x7dc1ffff,0x7ff43fff,
    0xfffff100,0xffffffff,0xffffffff,0x00fffe60,0x9807fff5,0x20004fff,
    0x7cc3fff9,0x7ffd43ff,0x0fffe602,0x407fff50,0x00fffffa,0xffffd100,
    0x01bfffff,0x7ffffd40,0xfffffcff,0x3f6001ff,0x9fff93ff,0xffffa800,
    0xff500fff,0x3ff205ff,0x07ff11ff,0xffffffe8,0xffffffff,0x305fffff,
    0xfa807fff,0x7fcc03ff,0x3e60004f,0x7ffcc3ff,0x017ffd43,0xa809fff3,
    0xff503fff,0x9b301dff,0x3fffe601,0xdffffb3f,0x3ffe2001,0xffff6fff,
    0x4c001fff,0xfff8ffff,0x3fe2000f,0x05ffffff,0xd807fffb,0x09f14fff,
    0x99999710,0x99999999,0x20159999,0x5403fff9,0x7cc03fff,0x260004ff,
    0x7fcc3fff,0x17ffd43f,0x20dfff10,0x83ffffd9,0x00effffa,0xff507ffb,
    0xffc85fff,0xfd001fff,0x3f27ffff,0x8006ffff,0xfffefffd,0x7ffec004,
    0x83ffff9e,0xe8804ffb,0x000001ff,0x3fe60000,0x7ffd403f,0x27ffcc03,
    0x7fff3000,0x543fff98,0x7fc02fff,0xfdb9acff,0x0befffff,0xddfffff5,
    0xfffddddd,0x7fffe4cb,0x7ffd41ef,0x6400cfff,0xf30fffff,0x0009ffff,
    0xfffffff5,0x7ffcc001,0x0ffff70f,0x015000a6,0x00000000,0x3bfffb22,
    0xfffeb82c,0xddb710be,0xddddffff,0x7edc05bd,0xff30beff,0x3fea17df,
    0x3ff203ef,0xffffffff,0xb3ffffff,0xffffffff,0xdfffffff,0x7ffffffc,
    0x3fffe27f,0x5406ffff,0x7ec5ffff,0xd0002fff,0x009fffff,0x6c2fff98,
    0x000007ff,0x00000000,0xffffffb0,0x7ffdc1ff,0xffb3ffff,0xffffffff,
    0x503fffff,0x9fffffff,0x53ffffe6,0x03fffffa,0x3ffffff6,0xffffffff,
    0xfffffb4f,0xffffffff,0x3ffe2dff,0x227fffff,0xffffffff,0x7fffc406,
    0x07fffd42,0xffffa800,0x3ec8000f,0x00005db0,0x00000000,0x3ffffa00,
    0x3ee0ffff,0xd4ffffff,0xffffffff,0x5fffffff,0xffffff70,0x3fffe6bf,
    0xfffff54f,0xffffd809,0xfffbbeff,0xffffb0df,0xffffffff,0x7ed4dfff,
    0x5c2dffff,0x2dfffffe,0xf07ffe80,0xe8000dff,0x00005fff,0x00000000,
    0x00000000,0xdfffffb5,0xfffec887,0xfffb30df,0xffffffff,0x3b2209df,
    0xf31dffff,0x3ea1bfff,0x8800cfff,0x0001abba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x3e25ffff,
    0x99504fff,0x00220005,0xaa980544,0xaaaaaaaa,0xaaaaaaaa,0x5dcc1aaa,
    0xbbbbbbbb,0x000bbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd00000,0x3ffff89f,0x77fffec4,0xff815101,0x1fffe403,0xfffffff1,
    0xffffffff,0xffffffff,0x7fffdcdf,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffb000,0x222fffe8,0xffffffff,
    0xd07ff442,0x3fe209ff,0x3ffea7ff,0xffffffff,0xffffffff,0x71ffffff,
    0xffffffff,0x3fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x7ec2fffc,0xfffd11ff,0x27ffffff,0x222fffe8,0x7cc0effe,
    0xff10ffff,0xffffffff,0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0xfc83fff7,
    0xffff70ff,0xbfffff55,0x320fffff,0x7ff40eff,0xaaaa984f,0xaaaaaaaa,
    0xaaaaaaaa,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf5000000,0x4fff50ff,0x3a21fffb,0xffffffff,0x217fee02,0x000001b9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,
    0x4dff30ff,0xffb01ec8,0x3003ffff,0x0000007d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x5ff886ff,0xcffea800,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe09fd0,0x00020004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x005fb03f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22028800,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_43_usascii_x[95]={ 0,8,4,2,3,2,4,8,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2, };
static signed short stb__courier_bold_43_usascii_y[95]={ 31,6,8,4,4,7,9,7,6,6,7,9,25,18,
26,4,6,6,6,6,7,7,6,7,6,6,14,14,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,4,7,5,38,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,7,6,16, };
static unsigned short stb__courier_bold_43_usascii_w[95]={ 0,7,14,19,17,18,17,6,9,10,17,21,9,17,
7,17,17,17,18,19,18,19,17,18,17,18,7,10,23,23,23,17,16,25,22,21,21,21,22,22,23,17,22,23,
21,25,24,23,20,23,24,19,21,23,25,25,23,23,19,10,17,10,17,27,9,21,23,20,23,20,20,22,23,19,
15,21,19,25,22,21,23,23,20,19,21,22,23,24,23,23,17,11,5,11,19, };
static unsigned short stb__courier_bold_43_usascii_h[95]={ 0,26,11,31,32,25,23,12,31,31,16,22,13,4,
6,32,26,25,25,26,24,25,26,25,26,26,18,22,22,12,22,25,29,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,30,23,25,23,24,23,23,23,23,23,30,32,30,14,5,7,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,26,26,18,19,24,18,17,17,17,25,17,31,30,31,9, };
static unsigned short stb__courier_bold_43_usascii_s[95]={ 249,62,1,83,53,108,1,249,126,115,185,
92,221,82,46,17,70,1,231,205,43,147,44,190,88,25,244,243,114,231,68,
90,188,223,200,209,157,135,112,167,44,45,62,1,231,205,19,66,179,136,87,
127,107,19,179,129,155,63,25,160,35,177,203,54,36,180,130,223,106,202,21,
154,177,223,1,201,1,45,1,138,225,1,24,160,85,71,161,136,112,42,94,
71,171,103,16, };
static unsigned short stb__courier_bold_43_usascii_t[95]={ 14,35,181,1,1,62,138,1,1,1,162,
138,162,181,181,1,35,88,62,1,88,62,35,62,35,35,138,35,138,162,138,
62,1,114,114,62,114,114,114,62,138,114,88,114,88,88,138,62,114,1,114,
62,88,88,88,88,88,114,114,1,1,1,162,181,181,138,35,138,35,138,62,
35,35,35,1,35,62,162,162,138,1,35,162,138,88,162,162,162,162,62,162,
1,1,1,181, };
static unsigned short stb__courier_bold_43_usascii_a[95]={ 364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_43_usascii(stb_fontchar font[STB_FONT_courier_bold_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_43_usascii_s[i] + stb__courier_bold_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_43_usascii_t[i] + stb__courier_bold_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_43_usascii_x[i];
            font[i].y0 = stb__courier_bold_43_usascii_y[i];
            font[i].x1 = stb__courier_bold_43_usascii_x[i] + stb__courier_bold_43_usascii_w[i];
            font[i].y1 = stb__courier_bold_43_usascii_y[i] + stb__courier_bold_43_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_43_usascii_s[i] + stb__courier_bold_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_43_usascii_t[i] + stb__courier_bold_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_43_usascii_x[i] + stb__courier_bold_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_43_usascii_y[i] + stb__courier_bold_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_43_usascii_LINE_SPACING
#endif

