// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT        216
#define STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_46_usascii_FIRST_CHAR            32
#define STB_FONT_courier_bold_46_usascii_NUM_CHARS             95

#define STB_FONT_courier_bold_46_usascii_LINE_SPACING          22

static unsigned int stb__courier_bold_46_usascii_pixels[]={
    0x80000200,0x001eeeeb,0x0000e4c0,0x88000000,0x973000bb,0x001bb883,
    0x99999995,0x333332e1,0x005d40ac,0x06b2ea20,0x20f6e000,0x310003da,
    0x00620000,0xeda80440,0x3fe9800b,0xfff90000,0x03dd503f,0x0007ffcc,
    0x00dfb800,0x02ffec00,0xf0ffffe4,0xfc80bfff,0x1fffffff,0xfffffffd,
    0x8037fdcd,0xfffffffa,0xff30004f,0x02fff83f,0xdfffdb30,0xfeda8007,
    0x4400bdff,0x3ea0dffd,0xfc805fff,0xf900007f,0xfff03fff,0x3ffee01f,
    0xfa800005,0x260004ff,0x7e407fff,0xff33ffff,0x7f40bfff,0x1fffffff,
    0xfffffffd,0x07fff63f,0xfffffd88,0x01efffff,0x527ffdc0,0xf500bfff,
    0x9fffffff,0x3fffee00,0x200effff,0x365ffffc,0x400fffff,0x0000fffe,
    0x81ffffc8,0xf304ffff,0x00001fff,0x027fffc4,0x09fffb00,0x7fffffcc,
    0x3fffffa0,0xfffff703,0x3ffa3fff,0x3a6fffff,0xff301fff,0xffffffff,
    0x4009ffff,0x3ee3fffb,0x7fdc04ff,0xffffefff,0x7fffdc05,0x0fffffff,
    0x1ffffff0,0x01bfffee,0x007fffd3,0x19999500,0x03ffff90,0x0013fffa,
    0x1ffffc80,0xffff3000,0x77ffe403,0xfffea80b,0x3aaaa206,0xfffd1fff,
    0xffe81557,0xfffe881f,0xffdbceff,0x9002ffff,0x7fdc7fff,0x3ffe603f,
    0x3fff261d,0xfffff502,0xbfffffdd,0xffffff10,0x0bfffa23,0x7fffff54,
    0x001eedff,0xffff1000,0x3fffea0b,0xff880000,0x360006ff,0x7ec05fff,
    0x7fc402ff,0x3ffa007f,0x01fffd1f,0x640ffff4,0x700dffff,0x001fffff,
    0x7e45fffb,0x3ff603ff,0x413ff206,0x641efffe,0x7c42ffff,0x440fffff,
    0x3ffff201,0xffffffff,0x36000006,0xfd01ffff,0x700009ff,0x0005ffff,
    0x00bfffe2,0xf003fffd,0x3a001fff,0xfffd1fff,0x0ffff401,0x00ffffea,
    0x017fffe6,0xfc8bfff6,0xfff302ff,0x437fcc01,0xb00ffffa,0xfff0bfff,
    0x64001fff,0xffffffff,0x00ffffff,0xfff30000,0x3ffea0bf,0x7f40000f,
    0x320006ff,0xfe806fff,0xfff801ff,0xfffd000f,0x803fffa3,0x3e21fffe,
    0x2a005fff,0x7402ffff,0x3ff61fff,0x09ffb02f,0xfe81ffd0,0x3fe203ff,
    0x7fff40ff,0x3fe6007f,0xfeccefff,0x5c0fffff,0xfffffffd,0xd84fffff,
    0xff00ffff,0x540007ff,0x0002ffff,0x005ffff1,0xf003fffd,0x3a001fff,
    0xfffd1fff,0x0ffff401,0x001ffff5,0x405fffd8,0x3f61fffe,0x5fff01ff,
    0x445ff900,0xfc807fff,0x7fff44ff,0x3fee007f,0xffb881ff,0x3ffe20ff,
    0xffffffff,0xff984fff,0xfff703ff,0x7ff4000f,0x3ee0006f,0xffd006ff,
    0xffff003f,0x3fffa001,0x401fffd1,0x3ee1fffe,0xf88003ff,0xff5106ff,
    0xffd557ff,0xfff8837f,0xffd75100,0x02fffcc5,0x362fffd4,0x2006ffff,
    0x5c04fffd,0x7ffcc5ff,0xffffffff,0xffd04fff,0x3ffe20df,0xff88002f,
    0x3e0003ff,0xfd003fff,0xfff003ff,0x3ffa001f,0x01fffd1f,0xfb0ffff4,
    0x3a0003ff,0x3fa60fff,0xffffffff,0x1fffffff,0x3f20fff3,0x2e2fffff,
    0xf9804fff,0x7ffe46ff,0x3ff6005f,0x065c402f,0x7fffff5c,0x4fffffff,
    0x40ffff70,0x8006fffc,0x000ffffa,0x00ffff70,0x400ffff4,0xd000ffff,
    0x3ffa3fff,0x3fffa00f,0x003fffa1,0x90fffec0,0xffffffff,0xffffffff,
    0x117feabf,0xfffffffd,0x01fffe45,0x2e3fffc4,0x2004ffff,0x001efffc,
    0xfffa8000,0x1ffff504,0x0bfffe20,0x0ffff700,0x1ffff400,0x03fffd00,
    0x001ffff0,0x7f47fffa,0x3ffa00ff,0x0ffff11f,0x1fffe400,0xfffffff5,
    0xffffffff,0x13fee7ff,0xfb9ffffb,0x17ffe45f,0x5c7fff80,0x2004ffff,
    0xbefffff9,0xa800000a,0xff304fff,0x7fe405ff,0x7fe4006f,0xff50006f,
    0x3e6001ff,0xfe800fff,0xffd003ff,0x03fffa3f,0xf11fffe8,0x64000fff,
    0x76543fff,0xfeeeffff,0x2e2defff,0x3ffea4ff,0x645ff90b,0xff002fff,
    0xffffa8ff,0x6c0e5c43,0xffffffff,0x500001ce,0x7fc09fff,0x3fe203ff,
    0x3fa001ff,0xfd0005ff,0xfd5009ff,0x3600ffff,0x403fffff,0xffd1fffe,
    0x7fff401f,0x003fffe1,0x817ffec0,0x3e65fffa,0x9ff706ff,0x3f22ffe4,
    0x0bfff22f,0x263fffc0,0x3e22ffff,0x7ec44fff,0xffffffff,0x540001ef,
    0x3fa04fff,0x7fec04ff,0x3ffe005f,0xffa8003f,0xfff800ff,0xf1002fff,
    0x403fffff,0xffd1fffe,0x7fff401f,0x007fffa1,0x807fff40,0x3e65fffa,
    0x9ff705ff,0x3f20fff4,0x0bfff22f,0x223fffc0,0x3f21ffff,0xea80ffff,
    0xffffffff,0x2a0002ff,0x3f604fff,0x7fcc05ff,0xff8801ff,0xfd8002ff,
    0xff8805ff,0x2001ffff,0x02fffffe,0x7f47fffa,0x3ffa00ff,0x0ffff61f,
    0x1fffe200,0x2a4fffb8,0xff705fff,0x320fff49,0x3fff22ff,0x8ffff002,
    0x321ffff8,0x200fffff,0xffffeca8,0x50000fff,0x7ec09fff,0xffd806ff,
    0xfff9804f,0x7fcc002f,0xff7001ff,0x3200dfff,0x405fffff,0xffd1fffe,
    0x7fff401f,0x03fffea1,0x0dfffb00,0xf527ffdc,0x3fee09ff,0xf917ff24,
    0x27ffdc5f,0x437ffc40,0x3e60ffff,0xa8004fff,0x004ffffc,0x409fff50,
    0xa805fffe,0xf800ffff,0x6c003fff,0x44005fff,0xb007fffb,0xd003bfff,
    0x3ffa3fff,0x3fffa00f,0x02ffff41,0x85ffff50,0xefffeeca,0xdffffeee,
    0x993fea0b,0xfdacffff,0x17ffea2f,0x217ffea0,0xcb885ffc,0xf7001441,
    0x2a000dff,0x3fe04fff,0xffd003ff,0xfffd009f,0x7ffc4009,0xffd0001f,
    0xfffd001f,0x3fffa001,0x401fffd1,0x7dc1fffe,0xf9804fff,0x7fcc5fff,
    0xffffffff,0x5fffffff,0xff717fe6,0x4bffffff,0xb806fff9,0x15504fff,
    0x037fcc00,0x007fff88,0x209fff50,0x002ffff8,0x801ffff5,0x2005fffd,
    0x0006fffc,0x2007fffa,0xd000ffff,0x3ffa3fff,0x3fffa00f,0x7ffff441,
    0xffff700e,0xffffb81f,0xffffffff,0x226fffff,0xfffb86ff,0x3a0fffff,
    0x7fc02fff,0xb88002ff,0x0bffee1c,0x01fffea0,0x827ffd40,0x001ffff9,
    0x900ffffa,0x2200ffff,0x0002ffff,0x2007fffa,0xd000ffff,0x3ffa3fff,
    0x3fffa00f,0xfffff881,0xfffdbcef,0xfe883fff,0xffffffff,0x2fffffff,
    0xdb883ff4,0x7e42cedd,0x3fee06ff,0xff88006f,0xdfffb4ff,0x7fff4403,
    0xfff50005,0x1fffee09,0x0ffff700,0x00ffffa8,0x006fffc8,0x00ffff40,
    0x8007fffc,0xffd1fffe,0x7fff401f,0xfffff301,0xffffffff,0xfe98805f,
    0xffe99aff,0x1ffb01af,0xfff88000,0xffffa84f,0xfffc8003,0xffffd8ff,
    0xfdb89acf,0x0002ffff,0x3609fff5,0xf8006fff,0x3e603fff,0x7c401fff,
    0x40002fff,0xf801fffe,0xfd000fff,0x3fffa3ff,0x07fffa00,0xfffffd88,
    0x01ffffff,0xe83fffe0,0x3ee01fff,0xfb80004f,0xfdbcefff,0x55407fff,
    0x7ffffe40,0xffffffd8,0xffffffff,0x3ea0005f,0xfff884ff,0xffb8004f,
    0x7fffc06f,0x3fffdc05,0x7fff4000,0x0ffff801,0x23fffd00,0x3a00fffe,
    0xfa801fff,0xbeffffff,0x3fffc000,0xa803fffa,0x80000fff,0xfffffffe,
    0x3a01ffff,0x3fe20fff,0xffff74ff,0xffffffff,0x40001dff,0xfc84fffa,
    0x88000fff,0x3202ffff,0x3e01ffff,0x80003fff,0xf801fffe,0xfd000fff,
    0x3fffa3ff,0x07fffa00,0x3fffff60,0xf880600c,0x7fffc7ff,0x027ff400,
    0xffd10054,0x3fffffff,0x1ffffcc0,0xff986ea2,0xffffffff,0x80004fff,
    0x7c44fffa,0x20005fff,0x2606fffc,0xf505ffff,0x00001fff,0xf003fffd,
    0x3a001fff,0xfffd1fff,0x0ffff401,0x3fffff60,0xc89bdfff,0xff880fff,
    0x03fffc7f,0xa827ffd4,0x764406fe,0x01efffff,0x000fffe8,0x7fed42e6,
    0x0000beff,0xb87fff90,0x0001ffff,0x807fffe2,0xe81ffffd,0x00004fff,
    0x9807fffb,0x3a007fff,0xfffd1fff,0x0ffff401,0xffffff90,0xffffffff,
    0xff307fff,0x3fffc4df,0xdffffd80,0x05fffedc,0x0006ea20,0x00001751,
    0x0007fffa,0x1ffff880,0x0037fffc,0x02fffec0,0xa89ffff3,0x0000ffff,
    0x5dffff70,0x5ffffd98,0xffdd9510,0x3fffa3ff,0x3fa1bdee,0xfff101ff,
    0xffffffff,0x1fffffff,0x44bfff30,0x36006fff,0xffffffff,0x000000ff,
    0x3a000000,0x00001fff,0xb8ffff93,0x0002ffff,0x01ffff98,0xe83ffff6,
    0x00004fff,0x3fffffe2,0x3fffffe1,0xfffff902,0x3ffa3fff,0x3a7fffff,
    0xff101fff,0xffffffff,0x5fffffff,0x997ffea0,0x5c005fff,0xbffffffe,
    0x00000000,0x7ff40000,0x9951001f,0xffffd999,0x6fffe8bf,0x3ff60000,
    0x3ffe205f,0x1ffff34f,0xff980000,0xfff33fff,0x7ff409ff,0xd1ffffff,
    0xffffffff,0x803fff63,0x4c0aceea,0x403dfedb,0x7fc3fff8,0x5310003f,
    0x00000013,0x6c000000,0xf8800fff,0xffffffff,0x3e20dfff,0x00001fff,
    0x901fffe6,0x3feebfff,0x3000005f,0x7ec1dffd,0x7fd403ff,0xd1ffffff,
    0xbfffffff,0x0002ffd4,0x0f660000,0x00000f66,0x00000000,0x7fdc0000,
    0xffff5006,0xbfffffff,0x000fff20,0x017ff200,0x7fccbff6,0x4000000f,
    0x80033018,0x0aaaaaa9,0x15555555,0x00000310,0x00000000,0x00000000,
    0x88000000,0xff1002fd,0xbfffffff,0x00009807,0x9800aa00,0x0000e540,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaa980000,
    0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x00009ba9,0x20000000,
    0x0009aba8,0x00133000,0x03331000,0x1abba880,0x04c40000,0x01330000,
    0x7776dcc0,0xc8800006,0xcccccccc,0x0001bccc,0xdddd9510,0x3fff6a05,
    0xfffd98ff,0x9803ffff,0x1dfffffd,0xdffffd70,0xfffd8809,0xfb8cffff,
    0x401dffff,0xffffffd9,0x3220002d,0x04ffffff,0x7fffffd4,0xffffaaef,
    0x3b2601df,0x000dffff,0xfffffeb8,0x3ffe201d,0x00007fff,0xffffff98,
    0xffffffff,0xffc80003,0xf883ffff,0xfeffffff,0xffffffff,0x3ffa01ef,
    0xa85fffff,0xffffffff,0xfffff702,0xfdffffff,0x20bfffff,0xffffffe9,
    0x000dffff,0x3fffff62,0xd883ffff,0xffffffff,0xffffffff,0xffff506f,
    0x009fffff,0x3fffffa6,0xf304ffff,0x00ffffff,0xffff3000,0xffffffff,
    0xd0000bff,0x07ffffff,0xfffffff1,0xffffffff,0x207fffff,0xffffffff,
    0xfffffa85,0xffd83fff,0xffffffff,0xffffffff,0xffff986f,0xffffffff,
    0xfff3006f,0xffffffff,0xfffff88d,0xffffffff,0x86ffffff,0xfffffffa,
    0x4c04ffff,0xffffffff,0xfd05ffff,0x000fffff,0xfffff300,0xffffffff,
    0xf500005f,0x207fffff,0xffffffeb,0xfeccefff,0xa81fffff,0x1dfffffe,
    0xffffff90,0xffffb819,0xfffdcdff,0xdfffffff,0xfffffe81,0xffffeeef,
    0x7ffdc04f,0xffdfffff,0x7fffec3f,0xfffdccdf,0x2dffffff,0x7fffffcc,
    0x2ffffffe,0xffffff10,0xffffffdf,0x3ffea207,0xf9800007,0xaaaaaeff,
    0x00002aaa,0x03fffd98,0xeffffff8,0xffffc880,0x13fffa06,0x07fffe60,
    0x0bffffe6,0x3ffffea2,0x7fffc04f,0xfffd981e,0xffff500f,0x419837df,
    0x80dffffb,0x5fffffd8,0x8bffff60,0x07ffffc8,0x459ffff9,0x0fffffb9,
    0x001fffe0,0x17ffe600,0xc8000000,0xff803fff,0xfb805fff,0xff503fff,
    0xffd801ff,0xdfffd05f,0xffff9803,0x1ffdc04f,0x0bfffe20,0x17ffffe6,
    0x0bffff00,0x0bffffb0,0x407fffe6,0xe82ffff9,0x3ea04fff,0x3fe02fff,
    0x9800007f,0x00005fff,0x3fff2000,0xfffff803,0xbfff9000,0x027fff40,
    0x103ffff3,0x2005ffff,0x804ffff9,0xfff90008,0x9ffffd09,0xffff9800,
    0xffff8800,0x0bfff505,0x446fffb8,0x7401ffff,0x3fe03fff,0x4dd4c47f,
    0x7ffcc000,0x26000005,0x7fe41aba,0xffff803f,0x3ffe6004,0x3fffea07,
    0x0bfffb00,0x001fffe6,0x0009fffd,0x44fffc80,0x004ffff9,0x004fffa8,
    0x6417fff2,0x7c403fff,0x3fe60fff,0xfffc806f,0x4dfffe04,0xfffffffd,
    0xbfff3003,0x8000554c,0xffffffd9,0x3fffc8bf,0x01ffff80,0x007fff40,
    0xf309fffd,0x3ee03fff,0x7e4004ff,0x200004ff,0x6c2fffe8,0x90005fff,
    0x5c007fff,0xffb05fff,0xfffd005f,0x01ffff83,0xf017fffc,0xffffdfff,
    0x3dffffff,0xeffff980,0x0cffffff,0xfffff700,0xfdffffff,0xfff007ff,
    0xfff8005f,0x3ffea00f,0x2ffff40f,0x009fff50,0x004fffc8,0xffffd300,
    0x17fffc41,0x3ff20022,0x3fee003f,0x7fff905f,0x2ffff880,0x502fffec,
    0x7c03ffff,0xffffffff,0xffffffff,0x3fffe602,0xffffffff,0x7fff402f,
    0xffffffff,0x803fffff,0x2004ffff,0xe806fffa,0x3fea5fff,0x3fe201ff,
    0xff1000ff,0x710009ff,0xfffffddd,0x37fffa87,0x03bffffb,0x8013ffea,
    0xf505fffc,0xffd809ff,0x7ffd43ff,0xfda89bef,0x7fc06fff,0xceffffff,
    0xffffffdc,0xfffff300,0xffffffff,0x3fff205f,0xffdcdeff,0x03ffffff,
    0x03fffff8,0x04ffff88,0xd1ffffa8,0xff00bfff,0x3f600bff,0xd8004fff,
    0xffffffff,0xccfffb85,0xffffffff,0x0ffff983,0x5ffff880,0x01ffff30,
    0x13ffffea,0x3ffffff2,0x0fffffff,0x7fffffc0,0xffff900e,0x3fffe20b,
    0xffedceff,0x7fcc0eff,0xff701eff,0xf007ffff,0x019fffff,0x07ffffee,
    0x56ffff40,0xc801ffff,0x301effff,0x09fffffd,0xfffffd00,0xff903fff,
    0xffffffff,0xff0bffff,0xffb00bff,0x7ff40bff,0x7ffd40df,0xffd06fff,
    0xffffffff,0xffff005f,0xfff5009f,0x37ff607f,0x9ffff702,0x00efffe8,
    0x1fffffcc,0x7fffffc0,0xfedccdff,0x2003ffff,0xffeffffa,0x3ff6005f,
    0xecccefff,0x4fffffff,0xffffb800,0x6c0effff,0xffffffff,0x2fffffff,
    0x06ffffdc,0x7ffffec4,0x3fffe605,0xffffebbe,0xfe887fff,0xffffffff,
    0xfff802ff,0xffb000ef,0x4004c0bf,0x3e67fffb,0xf7001fff,0xff007fff,
    0xffffffff,0x9fffffff,0xffffd000,0xe8003fff,0xffffffff,0xffffffff,
    0xb7510004,0x41dfffff,0xeffffffc,0x1bfffea3,0x37fffffa,0xfffffdcc,
    0x7fec05ff,0xffffffff,0xfd86ffff,0xffffffff,0x7c01ffff,0x22003fff,
    0x00006fff,0x3ea3fffd,0x7fc005ff,0xfff803ff,0xffffffff,0x003fffff,
    0xffffff50,0xffb1000b,0xffffffff,0x009fffff,0x3fff6200,0x3fffee5f,
    0xffff106f,0xfffff887,0xffffffff,0x6c405fff,0xffffffff,0x644fffdf,
    0x99bfffff,0x0fffffda,0x007fffe0,0x001ffff0,0x25fffb00,0x4003fffc,
    0xf803fffd,0xffea8fff,0x00cfffff,0x7ffff400,0x3660001f,0xdfffffff,
    0x004fffb9,0x3fffe400,0x03fffff3,0x4427ffdc,0xfffffffd,0x5fffffff,
    0xfffff700,0x5fff93df,0x00dffff8,0x407ffff5,0x4000ffff,0x0001fffe,
    0xfb3fffb8,0xfc8005ff,0xfff803ff,0x2b2ea20f,0xf3000009,0x0000bfff,
    0x826b2a62,0x0004fffb,0x8ffffc40,0x404ffff8,0x2e05fff9,0xefffffff,
    0x005fffaa,0xf8af2ea2,0x3fe61fff,0x7fe400ef,0x3fffe05f,0x7fffc001,
    0xffc80000,0x07fff93f,0x03fffd80,0x000ffff8,0x3fea0000,0x000001ff,
    0x013ffee0,0x3fff6000,0x003fffe3,0x100ffff1,0x7d435975,0x700005ff,
    0xffb8ffff,0xfff8804f,0x0ffffe07,0x06fff980,0x3fffb000,0x0017ffea,
    0xf007ffff,0x00001fff,0x2ffff400,0x2e000000,0x00004fff,0x3a2fffc8,
    0x7d402fff,0xc80006ff,0x80004fff,0x5c4ffffb,0xf8803fff,0x3ffe07ff,
    0xffd001ff,0x400150bf,0xf10ffff9,0x32005fff,0xf803ffff,0x00000fff,
    0x3ffff500,0xb8000000,0x00004fff,0x907fff44,0xfd80bfff,0xf80004ff,
    0x40002fff,0x986ffffb,0x6400ffff,0x3fe05fff,0x2602efff,0x741ffffd,
    0x75400cff,0x7fec6fff,0x3f2203ff,0xf803ffff,0x00000fff,0x0bfffd00,
    0xf7000000,0x675409ff,0xfffe9801,0x67fffcc6,0x3ffffa80,0x3ff26000,
    0x980400ff,0x00effffe,0x4c09ffff,0x75c3ffff,0xffffffff,0xffdcbbce,
    0x7fcc3fff,0xcbccefff,0x1fffffed,0x77ffffc4,0xfffdcabc,0x1dffffff,
    0x3ffff2a2,0x80002ccc,0xffdcccb9,0x0000adff,0x3732a200,0x441befff,
    0xbcceffff,0xffffeccc,0xffffd83f,0xfffdcbef,0x32a200ff,0xfffecccc,
    0x3fa205ff,0xfffedcce,0x3f601fff,0xcbccffff,0x20fffffd,0xfffffff9,
    0xffffffff,0x886fffff,0xffffffff,0xffffffff,0xfffff503,0xffffffff,
    0xbfffffff,0x7ffffff4,0x0006ffff,0x3ffffff6,0x04ffffff,0xfff10000,
    0xffffffff,0x7ffffc49,0xffffffff,0xff104fff,0xffffffff,0x7c405fff,
    0xffffffff,0x2e00efff,0xffffffff,0x4402ffff,0xfffffffe,0x42ffffff,
    0xfffffff9,0xffffffff,0x300cffff,0xffffffff,0x07ffffff,0xfffffe98,
    0xffffffff,0xf35fffff,0xffffffff,0x20001fff,0xffffffff,0x007fffff,
    0xffff7000,0xdfffffff,0xffffffa8,0xffffffff,0x7fffcc02,0x3fffffff,
    0x7ffffd40,0x0effffff,0x7ffffd40,0x00cfffff,0x3fffff60,0x01ffffff,
    0x3fffffb7,0xfffffff9,0x3aa003df,0xffffffff,0x3ee000cf,0xefffffff,
    0xcfffffca,0x3fffffa0,0x006fffff,0x3fffff60,0x5fffffff,0xff100000,
    0xffffffff,0xfffb509f,0xbfffffff,0x3ff22003,0x01efffff,0xffffff88,
    0x000bdfff,0xfffffffb,0x3ae0003b,0xdeffffff,0x55440000,0x00009acc,
    0x35597531,0xcba98000,0x530001ab,0x35555555,0x55530000,0x35555555,
    0xa8800000,0xaaaaaaaa,0x6554c400,0x0000aabc,0x01579551,0x55555300,
    0x654c0005,0x400001ab,0x0000abb9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333332,0xcccccccc,0x004002cc,0x00033000,0x00026a62,
    0x13bbbae6,0xee880000,0x400003ee,0xabcccca9,0x00062001,0x3bbb6e60,
    0xca800005,0x0eeeeeee,0x97510000,0x6d400015,0xffff80ad,0xffffffff,
    0x404fffff,0x001feca8,0xffffb730,0xff70019d,0x4c007fff,0x06ffffff,
    0x3fe60000,0x300004ff,0xfffffffb,0xfa807fff,0x3e20004f,0x007fffff,
    0x7fffdc00,0x001fffff,0x7ffffd40,0x2000cfff,0xf84ffffa,0xffffffff,
    0xffffffff,0xfffec984,0xfb8001ff,0xffffffff,0x3fff202f,0x7005ffff,
    0x0dffffff,0x7fcc0000,0x980004ff,0xffffffff,0x200fffff,0x20007ffc,
    0x7ffffffa,0x7fec0000,0x1fffffff,0xfffb1000,0xdfffffff,0x3fffa003,
    0xfffff87f,0xffffffff,0xf914ffff,0xffffffff,0xfffc8003,0xffffffff,
    0xbeffa83f,0x803ffea8,0x6ffffff8,0x3e600000,0x40004fff,0xfffffff8,
    0x07ffffff,0x0007fff4,0xffffffd0,0xff980000,0x1fffffff,0xffff9800,
    0xffffffff,0xffc803ff,0xfffe86ff,0xaaaaaaaa,0xf74fffea,0xffffffff,
    0x7fec003f,0xffeeffff,0x7f41ffff,0x007fe80f,0x01bffee6,0xccc88000,
    0x7dc0002c,0xcaacefff,0x7402eeec,0x40000fff,0x007fffa8,0xd5553000,
    0x88003fff,0xcefffffe,0xffffffdb,0x7fffcc03,0x005ffc82,0x3ee3ffff,
    0xffffffff,0xfff3001f,0xfff703df,0x704ff8df,0x7cc001ff,0x000006ff,
    0x7ec00000,0xd00004ff,0x00001fff,0x0001fffe,0x0ffff400,0x3ffff200,
    0xffff700d,0x8053001f,0xffa800ba,0x37ffa27f,0x01fffe8b,0x80dfff90,
    0xf11ffffa,0x07fea07f,0x06fff980,0x00000000,0x00ffff40,0x0fffe800,
    0xffff0000,0x3a000000,0x2a001fff,0x9804ffff,0x0005ffff,0xfffc8000,
    0xfffe8084,0x5fffd001,0x45fffd00,0x1ffb06ff,0x37ffcc00,0x00000000,
    0x03fffa00,0x7ffecc00,0xffffffff,0xf803dfff,0x2ea627ff,0xfd000009,
    0x3e2003ff,0x2a005fff,0x0002ffff,0x7fffc000,0x3fffd001,0x017ff200,
    0xfb27ffdc,0x06ffa87f,0x237ffcc0,0xefffffeb,0x3ffb2203,0x001fffff,
    0x3fffffae,0xffffffff,0xffffd01d,0xffffffff,0x801fffff,0xffd9ffff,
    0x002effff,0x00ffff40,0x00ffffa8,0x037ffec0,0xff500000,0x7ff400ff,
    0x00ea001f,0x223fffe8,0xffecffff,0xf300881f,0x7ffccdff,0x02ffffff,
    0xfffffff9,0x3ea003ff,0xffffffff,0x6fffffff,0xffffffd0,0xffffffff,
    0xff803fff,0xffffffff,0x0003ffff,0x4007fffa,0x8003fffb,0x0007fff8,
    0x3fff2000,0x3fffa004,0xf3000001,0xff983fff,0x222fffff,0xf980ffeb,
    0x3ffea6ff,0x02ffffff,0xfffffff9,0x3ea003ff,0xffffffff,0x6fffffff,
    0xfffffb50,0xffffffff,0xfff007df,0xffffffff,0x0009ffff,0x4007fffa,
    0x0001fffd,0x0001fffd,0x3fffe000,0x3fffa001,0xe8800001,0xd9107fff,
    0xfd7119df,0xf301ffff,0x7ffccdff,0x204effff,0xffffffd8,0x3b2001ff,
    0xffffffff,0x02dfffff,0x001fffd0,0x3ffffe00,0xfffcdeff,0xfd0007ff,
    0x3fa003ff,0xfb0000ff,0x000005ff,0x00ffff50,0x001fffe8,0x7fff4400,
    0xfd73003f,0x017dffff,0x7d5bffe6,0x001fffff,0x00ffff40,0x01fffd00,
    0x3fffa000,0xfff00000,0xff303dff,0xfd0003ff,0xff1003ff,0x7e4000ff,
    0x7ffcc3ff,0x7ec0005f,0x7f4004ff,0x200001ff,0x05ffffe8,0x7ffff64c,
    0xf9800bef,0xffffbeff,0xe80000ef,0x20001fff,0x0000fffe,0x001fffd0,
    0x3bfffe00,0x0ffff600,0x07fffa00,0x01fffe20,0x43fffb80,0x000ffffc,
    0x00ffffc0,0x007fffa0,0x7fffcc00,0xffd9305f,0x0017bfff,0xffffff98,
    0x00005fff,0x0007fffa,0x000fffe8,0x01fffd00,0x1fffe000,0x017ffea0,
    0x007fffa0,0x0007fff4,0x742fffd8,0x40003fff,0x8007fffa,0x0001fffe,
    0x5fffffa8,0xbfffff90,0x17bd9517,0xfffff300,0x00007fff,0x001fffe8,
    0x003fffa0,0x07fff400,0x7fff8000,0x05fffa80,0x01fffe80,0x003fffb0,
    0x983fffa0,0x80006fff,0x8004fffd,0x0001fffe,0x2fffffdc,0x215bffb0,
    0xffffffd8,0x7fffcc02,0x0002ffff,0x00ffff40,0x01fffd00,0x3fffa000,
    0xfff00000,0xbfff500f,0x3fffd000,0x0fffee00,0x1fffe200,0x0003fff7,
    0x003ffff0,0x003fffd0,0x7ffffe40,0xfe809804,0x1ffffdff,0x3ffffe60,
    0x0002ffff,0x007fffa0,0x00fffe80,0x1fffd000,0x3ffe0000,0x5fffa807,
    0x1fffe800,0x1ffff500,0x6fffd800,0x0002fff4,0x003fffd4,0x001fffe8,
    0x7fffffb0,0x67fdc000,0x981bfea0,0xfffeffff,0xd00003ff,0x40003fff,
    0x0000fffe,0x001fffd0,0x01fffe00,0x0017ffea,0x4007fffa,0x005ffff8,
    0x88bfffea,0x80000fff,0x0004fffd,0x8003fffd,0x2fffffe8,0x07fec000,
    0xf980ffe4,0xffff56ff,0xfd00009f,0x740003ff,0x00000fff,0x2003fffd,
    0x1fffe008,0x017ffea0,0x007fffa0,0x04ffffa8,0x45ffff98,0x80003ffb,
    0x002ffff8,0x003fffd0,0x7fffffcc,0x4ff80001,0x2605ff30,0x3fea6fff,
    0x40005fff,0x0001fffe,0x0003fffa,0x027ffec0,0x205ffb51,0xfa807fff,
    0xfe8005ff,0x7e4001ff,0xf700efff,0xfd81ffff,0xff500006,0x7f4000ff,
    0xff5001ff,0x0001dfff,0x7d417fa0,0xdfff302f,0xefffff98,0xfffd0000,
    0x7ff40003,0xf900000f,0x9757bfff,0x0dfffffb,0x2a01fffe,0xe8005fff,
    0xe8001fff,0xbcefffff,0x3ffffffd,0x00001fe8,0x0009fffb,0x400ffff4,
    0x0efffffb,0x6c015c40,0x0ffd80ff,0x37ffff64,0x7fffffcc,0x7ff643ef,
    0xffffffff,0x20dfffff,0xffffffd9,0xefffffff,0x3ffe6004,0xffffffff,
    0x3a64ffff,0x0effffff,0x7fffff5c,0x7fff5c5f,0xffffffff,0x300dffff,
    0xffffffff,0x07ffffff,0xf8000022,0xec802fff,0xffffffff,0x21dfffff,
    0xfffffffe,0xffffffff,0x7fd401ff,0x8bff932e,0x6ffffffa,0xffffffc8,
    0xfff30fff,0xffffffff,0x9fffffff,0x7ffffff4,0xffffffff,0x3ea003ff,
    0xffffffff,0x3a0dffff,0xffffffff,0x3ffffe25,0xff33ffff,0xffffffff,
    0xffffffff,0x7ffe4409,0xefffffff,0x20000001,0xfa805ffe,0xffffffff,
    0x6fffffff,0x3ffffffa,0xffffffff,0xfc803fff,0x0fffffff,0x7fffffd4,
    0xfffffb86,0xff30ffff,0xffffffff,0xffffffff,0x7fffff49,0xffffffff,
    0x4c002fff,0xfffffffe,0xffe81bef,0x25ffffff,0xfffffff8,0xffff33ff,
    0xffffffff,0x09ffffff,0xfffffd50,0x000009df,0x003dd500,0xfffffff5,
    0xffffffff,0x7ffff4df,0xffffffff,0x005fffff,0x1bfffff7,0x3ffffb20,
    0xfffec886,0x7f5c2dff,0xffffffff,0x0cefffff,0x3fffff66,0xffffffff,
    0x2a60004e,0x9801abcb,0xdffffffd,0x7fffed41,0x3f6e0cef,0xffffffff,
    0x0cefffff,0x2aee6200,0x00000000,0x7ff64000,0xffffffff,0x3fa1dfff,
    0xffffffff,0xffffffff,0x2f2a2005,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,0x01579953,
    0xbcba9800,0x7530001a,0x00003579,0x01999993,0x00000000,0x02af32a2,
    0x00000000,0x00000000,0x00000000,0x55540000,0xdddd51aa,0x7fffdc09,
    0xedacffff,0xfffeb801,0xd8beffff,0xfffc983f,0x01efffff,0x3ffffa00,
    0xfffec80f,0x3222dfff,0xdfffffff,0x7ffed401,0xcbdfffff,0x3f66003f,
    0xffffffff,0xb31dffff,0xbfffffff,0x3fffb203,0x75c2dfff,0x3effffff,
    0xfffffd98,0x3f6a0dff,0x901dffff,0x09dffffd,0x987ffffc,0xe984ffff,
    0xffffffff,0x205fffff,0xffffffe8,0xffffffff,0x3ffffaa7,0xffffffff,
    0xfffb8003,0x7fd40fff,0x7fffffff,0x3ffffff2,0x3f205fff,0xffffffff,
    0x00ffffff,0xffffffb0,0xffffffff,0x3ffff6bf,0xa85fffff,0xffffffff,
    0xffff30ff,0x83ffffff,0xfffffffd,0x3fffe4ff,0xfa85ffff,0x2fffffff,
    0x24ffffa8,0x443ffff8,0xfffffffe,0x7fffffff,0xffffff50,0xffffffff,
    0x3ffa3fff,0xffffffff,0x2002ffff,0xfffffff8,0x7ffffd40,0x3f27ffff,
    0xffffffff,0xffffd885,0xffffffff,0xb002ffff,0xffffffff,0xbfffffff,
    0x3ffffff2,0xffa85fff,0xffffffff,0xffffff30,0xfd83ffff,0xffffffff,
    0x3fffffe4,0xfffb86ff,0xc82fffff,0x7fc0ffff,0x7ffec2ff,0xfedbceff,
    0xf887ffff,0xbdefffff,0xffffffdc,0xfffffd2f,0xfffb97bd,0x3f2001ff,
    0x80ffffff,0xffffffec,0x3ffb222d,0x441dffff,0xdffffffe,0xffffecbb,
    0xfb3002ff,0xffffffff,0x223bffff,0xfffffffe,0xfffd901d,0xfc85dfff,
    0x3effffff,0xfffffd98,0x3faa0dff,0x881effff,0x4ffffffd,0xd09fffd0,
    0x7fc43fff,0xff701dff,0xfffd0fff,0x7fe401df,0xfffd2fff,0x3ffe6017,
    0xfff9804f,0x200fffff,0x32007fff,0xffb03fff,0x64403bff,0x0002ffff,
    0x006fff98,0x4007fffd,0x201ffff8,0x8004fffb,0x2e06fff9,0x2e06ffff,
    0x2205ffff,0xfd80ffff,0x3ffea0ff,0x7ffd400f,0x6ffffd47,0xffff9800,
    0x801fffb2,0xe805fffd,0xffffefff,0x01fffe00,0x983fffc8,0x2005ffff,
    0x0002fffe,0x006fff98,0x400dfff7,0x5406fffb,0xa8005fff,0x7e405fff,
    0xff984fff,0x3ee00eff,0xfff903ff,0x003fffc8,0xffe8dfff,0x7fec005f,
    0x00dff71f,0xa80ffff3,0xfffaffff,0x1fffe00f,0x83fffc80,0x4006fffd,
    0x0000fffa,0x006fff98,0x005ffff1,0x300ffffe,0xff88dfff,0x7ffd43ff,
    0xffffd804,0x3ffffe23,0x03ffec01,0xffa8dff7,0x7ff7005f,0x00ffffcc,
    0x971ffea0,0xffff3001,0xaffffc40,0x3e00ffff,0x3f2007ff,0x7ffc43ff,
    0x3fc8001f,0xfff30000,0x7ffe400d,0xffffa805,0x3fffc400,0x71bfffea,
    0xd1007fff,0x3fa5ffff,0xff802fff,0x17fea03f,0x007ffff1,0xffff5066,
    0x0076e000,0x06fffd80,0x7c3ffff2,0x3fe00fff,0x3ff2007f,0x3fffcc3f,
    0x80000000,0x2006fff9,0x400ffff9,0xf004fffd,0x7fec1fff,0x3ff20fff,
    0xfff1002f,0x7ffffbff,0x80dff300,0xffe84ff9,0x000aceff,0x0017ffee,
    0x3f620000,0xff304fff,0x7fffc9ff,0x01fffe00,0x5c3fffc8,0x00005fff,
    0xfff30000,0xfffe800d,0x3fffe604,0x3fffd001,0x3fffffe2,0x007fff63,
    0xffffff98,0xff7005ff,0x83ff8805,0xfffffff9,0x3200bdef,0x00003fff,
    0x3fff2200,0xffb00fff,0x7fffc1ff,0x01fffe00,0x643fffc8,0x00003fff,
    0xfff30000,0xfffa800d,0x1bfff207,0x52fffd80,0x4dffffff,0x4001fffe,
    0x6ffffffa,0x4017f200,0xfff300fd,0xffffffff,0x5fffb03d,0xb3000000,
    0x3fffffff,0x0bfffea0,0x7c01ffff,0x3f2007ff,0x7ffec3ff,0x00000002,
    0x00dfff30,0x105ffff0,0x4005ffff,0xffb3fffc,0x3e1fffff,0xc8000fff,
    0x000fffff,0x100000a2,0xfffffffb,0xfd85ffff,0x000002ff,0xffffffe8,
    0x3fffa00e,0x00ffff86,0xc801fffe,0x7fec3fff,0x332a202f,0x81bccccc,
    0x3fe60029,0xffc8006f,0x7fffb86f,0x67ffe400,0xffeffff8,0x07fff8bf,
    0xfffff880,0x0000003f,0xffdb7100,0x49ffffff,0x0002fffd,0xffffe800,
    0x7ffdc03f,0x0ffff81f,0x801fffe0,0x7ec3fffc,0xfff102ff,0xffffffff,
    0x802ffd4b,0x8006fff9,0x741ffff8,0x5c003fff,0xfffbdfff,0xf9efffbe,
    0xfe8006ff,0x01ffffff,0x80000000,0xffffeba8,0x07fff90f,0xffb00000,
    0xfff1007f,0x3fffe09f,0x01fffe00,0x643fffc8,0xff503fff,0xffffffff,
    0x03ffe4ff,0x006fff98,0x4c9fffb0,0x4000ffff,0xffddfffa,0xbffff8bf,
    0x6c005fff,0xffffffff,0x0dfa800f,0x20004000,0xf72ffffa,0x00000bff,
    0x200dff70,0xeeeffffd,0xdffffeee,0x00ffff02,0x2a1fffe4,0xff104fff,
    0xffffffff,0x0ffff4bf,0x037ffcc0,0x0ffffa80,0x000bfffb,0xfffffff3,
    0x3ffff63f,0x2e004fff,0xff9dffff,0x7dc00eff,0xfb0001ef,0xfffb800d,
    0x01ffff54,0x3b700000,0x3ffffe00,0xffffffff,0xfe82ffff,0xffb000ff,
    0x5fff883f,0x33332a20,0x7f44fffe,0xff9801ff,0x3fa0005f,0xffff8bff,
    0xfff88001,0x3ee6ffff,0x03ffffff,0x1dffff50,0x017fffea,0x000bfff6,
    0x4007fff3,0x3fa6fff9,0x350005ff,0x3fe00000,0xffffffff,0x3fffffff,
    0x002fffc8,0xff01ffff,0xfc8005ff,0x7fff42ff,0x4fffa801,0x3ffee000,
    0x006fffbe,0x3fffffe0,0x3fffe24f,0xf8802fff,0x7e41ffff,0xfc804fff,
    0x3ee003ff,0xfb000fff,0x7ffdcbff,0x3f62003f,0xf800003f,0xffffffff,
    0xefffffff,0x0ffffb80,0x837ffec0,0x000efffd,0xfd0bfff2,0xffd003ff,
    0x7c40005f,0x3fffffff,0x3fffa000,0x7fec1fff,0x4401ffff,0xb02ffffe,
    0x5005ffff,0x2e007fff,0x203fffff,0x23ffffc8,0x1effffe8,0x37fffcc0,
    0x55540000,0xaaaaaaaa,0x2201ffff,0xb01effff,0x2207ffff,0x403fffff,
    0x42fffea8,0x102dfffe,0x001ffffd,0xfffffd80,0x360000ff,0xb86fffff,
    0x00ffffff,0x01ffffec,0x03ffffd1,0x200ffd30,0xfffffffb,0xfffdcbce,
    0x7fcc0fff,0xbcdeffff,0xffffffec,0x00ddc404,0x7fffc000,0x7fffd400,
    0xfffebcdf,0x7fdc05ff,0xbcceffff,0xfffffffd,0x7fffff42,0xfffdccdf,
    0x980003ff,0x04ffffff,0x7fffe400,0xffff884f,0x3fff207f,0xd984ffff,
    0x1dffffff,0xa800dc40,0xffffffff,0xffffffff,0xffff502f,0xffffffff,
    0x401bffff,0x004ffff9,0x7fffed40,0x3200cfff,0xffffffff,0x800fffff,
    0xfffffffd,0xffffffff,0x7fff42ff,0xffffffff,0x00003fff,0x07fffffa,
    0xffff7000,0x3fff603f,0xffff507f,0xd83fffff,0xffffffff,0x7c400006,
    0xffffffff,0x2effffff,0x7ffff440,0xffffffff,0xfffb803f,0x7fc0007f,
    0xffffffff,0x7fffdc03,0x0dffffff,0x3fffaa00,0xffffffff,0xeb882eff,
    0xffffffff,0x00003fff,0x037fffd4,0x7fffd400,0x3fffea07,0xfffff506,
    0xfd83ffff,0x6fffffff,0xceb80000,0xfffffeb8,0x54003fff,0xfffffffd,
    0xf3001cef,0x80009fff,0xffffffff,0xfe8802ff,0x03ffffff,0x3fffae00,
    0x1dffffff,0xffff9300,0x00059dff,0x0bfffe00,0x3ffe6000,0x3ffe204f,
    0x3ffae05f,0xd983dfff,0x1dffffff,0x22000000,0x001abcba,0x565d4c40,
    0x2ea20001,0xfda80001,0x04efffff,0x0565cc40,0x2a620000,0x00009abc,
    0x0002eea2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff5,0xffffffff,0x5c9fffff,0x007ffffe,
    0x37ffffee,0x7ffff5c1,0xdeffffff,0x7f5c002c,0x2dffffff,0x3fffff66,
    0xffff884e,0xffffffff,0x3224ffff,0xfffffffe,0x1dffffff,0xfffffda8,
    0x3ffb222d,0x7640dfff,0xffffffff,0x401cdeff,0xffffffd9,0xffffffff,
    0x2e6fffff,0xfffffffe,0xffffffff,0x40004fff,0xfffffffa,0xffffffff,
    0xf14fffff,0x07ffffff,0x3fffffa0,0x3fffe65f,0xffffffff,0x801effff,
    0xfffffff9,0x3ff66fff,0x42ffffff,0xfffffff8,0xffffffff,0x3fffee4f,
    0xffffffff,0x7c46ffff,0xffffffff,0xffffff70,0x7ffd49ff,0xffffffff,
    0x00dfffff,0xfffffffd,0xffffffff,0x26dfffff,0xffffffff,0xffffffff,
    0x0004ffff,0x7fffffd4,0xffffffff,0x34ffffff,0xdfffffff,0xfffff500,
    0x7ffccbff,0xffffffff,0x3fffffff,0x7ffffcc0,0x3a6fffff,0xffffffff,
    0x7ffffc42,0xffffffff,0x3fee4fff,0xffffffff,0x46ffffff,0xfffffff8,
    0xffff70ff,0x7d49ffff,0xffffffff,0xffffffff,0xffffe81f,0xffffffff,
    0xffffffff,0xffffff36,0xffffffff,0x09ffffff,0xffffa800,0xffffffff,
    0xffffffff,0x3ffffee4,0x7ff402ff,0x5c1dffff,0xfffffffe,0xffffffff,
    0x7f5c01ff,0x2dffffff,0x3fffffe6,0xffff884e,0xffffffff,0x3224ffff,
    0xfffffffe,0x1dffffff,0xfffffea8,0x3ffb223d,0x7640dfff,0xffffffff,
    0xffffffff,0xffffd986,0xffffffff,0x6fffffff,0x3fffffae,0xffffffff,
    0x004fffff,0x42fffd40,0x7d40fffe,0x7ffcc4ff,0x3e606fff,0x805fffff,
    0x93107fff,0x200dffff,0x3207fff8,0x203fffff,0x2206fff8,0x001ffffe,
    0x8003fffd,0xa807fff8,0x7cc05fff,0xfb3306ff,0x7e409fff,0xff3002ff,
    0x1fffe0df,0x027ffdc0,0x17ffea00,0xf503fffa,0xfff989ff,0xfb01ffff,
    0x00bfffff,0xf700ffff,0xf1001fff,0x3ff60fff,0x7c402fff,0x3ff606ff,
    0x3fa002ff,0x7c4001ff,0xffa807ff,0x7ffcc05f,0x7fffd806,0x00bfff20,
    0xf837ffcc,0xff7007ff,0xfa80009f,0xfffe85ff,0x227ffd40,0xfffffff9,
    0xfffff885,0xfff805ff,0x5fffd007,0x8ffff100,0x1fffffe8,0x06fff880,
    0x009ffff7,0x001fffe8,0x403fffc4,0x4c05fffa,0xf9806fff,0xff900fff,
    0x3fe2005f,0x0ffff05f,0x00fffea0,0x0bfff500,0xfa81fffd,0x7ffcc4ff,
    0x640fffff,0x5fffffff,0x007fff80,0x1007fffb,0x7f44ffff,0x2001efff,
    0xff985fff,0xfe8006ff,0x7c4001ff,0xffa807ff,0x7ffcc05f,0x5fffb006,
    0x30bfff20,0x3ffe83dd,0xf70ffff0,0x00fffc4b,0x0fffe600,0xf303fffa,
    0xfff987ff,0x7c4fffee,0x5fffdfff,0x807fff80,0x800ffff8,0xff37fff8,
    0x8001dfff,0x7fc43ffd,0xe8000fff,0x44001fff,0xfa807fff,0x7fcc05ff,
    0xfffd006f,0x0bfff203,0xcd98bffd,0x98ffff00,0x0f6a2fff,0x0fffc000,
    0x7c07fff4,0x7ffcc1ff,0x70ffffae,0xfff3ffff,0x0ffff00b,0x06ffffb8,
    0xf5ffff10,0x000bffff,0x3ffa0ae2,0xfd0002ff,0xf88003ff,0xffa807ff,
    0x7ffcc05f,0x7fffa806,0xf0bfff20,0xff000fff,0x4fffa8ff,0x2e200000,
    0x01fffd01,0xfff30371,0x74ffffed,0xfff9bfff,0x9ffff805,0xffecb999,
    0xf1003fff,0xffffffff,0xc800001f,0x0003ffff,0x0007fffa,0xfffffff1,
    0xffffffff,0xfff980bf,0x7fffd406,0x3ffff205,0x07ffffff,0xffffff80,
    0x004fffff,0x3fa00000,0x7cc000ff,0xffff76ff,0xf31ffff5,0xfff00bff,
    0xffffffff,0x4007ffff,0xfffffff8,0x0000efff,0x0bffff50,0x1fffe800,
    0x7fffc400,0xffffffff,0x4c05ffff,0xaaaaefff,0xfffffeca,0x3ffff201,
    0x07ffffff,0xffffff80,0x004fffff,0x3fa00000,0x7cc000ff,0xffff16ff,
    0x3e69ffff,0xfff805ff,0xffffffff,0x44002fff,0xffffffff,0x0000efff,
    0x077fffcc,0x3fffa000,0x7ffc4001,0xffffffff,0x405fffff,0xfffffff9,
    0xffffffff,0x7fffe402,0x07ffffff,0xffffff80,0x004fffff,0x3fa00000,
    0x7cc000ff,0x3fff26ff,0xff31ffff,0xffff00bf,0xffffffff,0xff10005f,
    0xffd7ffff,0x20001dff,0x01ffffe8,0x1fffe800,0x7fffc400,0xffffffff,
    0x4c05ffff,0xffffffff,0x02ffffff,0xffffffc8,0x8007ffff,0xffffffff,
    0x00004fff,0x3fffa000,0x7ffcc000,0x3ffffe26,0x17ffe65f,0x3bbfffe0,
    0xefffffee,0x7ffc4000,0x3fff20ef,0xffb0006f,0x0b6a07ff,0x00ffff40,
    0x01fffe20,0x3017ffea,0xffffffff,0x0019ffff,0xff0bfff2,0xfff000ff,
    0x04fffa8f,0x3a000000,0x4c000fff,0x7fec6fff,0x3fe62fff,0x7fff805f,
    0xeffffe88,0x3ffe2000,0xffffb80f,0x7ffdc002,0x1fff304f,0x03fffd00,
    0x07fff880,0x405fffa8,0xeeeffff9,0x4000abce,0x7f42fffc,0xfff8005f,
    0x217ffcc7,0x000003ec,0x000fffe8,0x2637ffcc,0x7cc6ffff,0xfff805ff,
    0x3ffff607,0x3ffe2006,0x1bfffa07,0x6ffff980,0x00bffee0,0x0007fffa,
    0x500ffff1,0xf980bfff,0x400006ff,0x6c42fffc,0xfff8001e,0x7cc3ea87,
    0x000000ff,0x0007fff4,0x3a1bffe6,0x7fcc3fff,0x7fff805f,0x27fffec0,
    0x07fff880,0x00ffffe2,0x03ffffe2,0x803fffc8,0x4001fffe,0xa807fff8,
    0x7cc05fff,0x400006ff,0x0002fffc,0x003fffc0,0x0005fff7,0x0fffe800,
    0x37ffcc00,0x7cc0ccc4,0xfff805ff,0xffffd807,0x7fff8802,0x03fffdc0,
    0x017ffff4,0x200ffff2,0x4001fffe,0xa807fff8,0x7cc05fff,0x400006ff,
    0x0002fffc,0x003fffc0,0x0007fff9,0x0fffe800,0x37ffcc00,0x2fffcc00,
    0x403fffc0,0x00efffe8,0x403fffc4,0x3203ffff,0xc804ffff,0xfe803fff,
    0x7c4001ff,0xffa807ff,0x7ffcc05f,0x7e400006,0x400002ff,0x32007fff,
    0x00003fff,0x3fffffae,0x04efffff,0xffffffb1,0x3fae03bf,0x43efffff,
    0xffffffeb,0xfff302df,0xfec85dff,0x2dffffff,0xefffffb8,0x7fffffc4,
    0xffffffff,0xd913ffff,0xffffffff,0x83bfffff,0xffffffe9,0x3fff223e,
    0x7645ffff,0xffffffff,0x366004ef,0xffffffff,0x2e002eff,0xfffffffe,
    0xffffffff,0x0003ffff,0xffffff10,0xffffffff,0xfffff705,0xf30dffff,
    0xffffffff,0x3fffe61f,0x07ffffff,0x9fffffee,0xfffffff9,0xff886fff,
    0x3e2fffff,0xffffffff,0xffffffff,0xfffff73f,0xffffffff,0xffe8dfff,
    0x0fffffff,0xfffffff7,0x3ffea5ff,0xffffffff,0xffd003ff,0xffffffff,
    0xf3001fff,0xffffffff,0xffffffff,0x0007ffff,0x3ffffe20,0xffffffff,
    0xffffb82f,0x985fffff,0xffffffff,0xffff30ff,0x0fffffff,0x27ffffe8,
    0xfffffff9,0xff706fff,0x7fc5ffff,0xffffffff,0xffffffff,0xffffff73,
    0xffffffff,0xfffe8dff,0x70ffffff,0xffffffff,0x3fffea7f,0xffffffff,
    0xfffb002f,0xffffffff,0xff1001ff,0xffffffff,0xffffffff,0x00007fff,
    0x7ffffedc,0x04efffff,0xfffffd91,0x3fae03bf,0x42dfffff,0xffffffdb,
    0x7fc402df,0x7ff5c2df,0x01dfffff,0x87dffff1,0xffffffff,0xffffffff,
    0xffd913ff,0xffffffff,0xd983bfff,0x2dffffff,0x3ffffb22,0x3fb20cef,
    0xffffffff,0x3f66004e,0xffffffff,0x36e002df,0xffffffff,0xffffffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02379730,0xfffd7000,
    0xbdffffff,0x3fae0057,0x9103ffff,0xbffffffd,0xffffeb83,0xefffffff,
    0x6d4000cd,0xffffffff,0xfb50004f,0x103bffff,0x9dffffd9,0xfffffec8,
    0x004effff,0x00016fdc,0x22000000,0x22000dfc,0x4c0002fd,0xfffffffe,
    0xfff30004,0xffffffff,0x401bffff,0xfffffff8,0xffffb80f,0x266fffff,
    0xffffffff,0xffffffff,0x3ffa003f,0xffffffff,0xfffd0007,0xf70bffff,
    0x5fffffff,0x3fffffee,0x2fffffff,0xdffff100,0x00000003,0xffffc880,
    0x1bfee003,0xffff9800,0x00ffffff,0xfffff980,0xffffffff,0xf103ffff,
    0xbfffffff,0xffffff70,0x7fccdfff,0xffffffff,0xffffffff,0xffffd005,
    0x5fffffff,0xffffd000,0xff70dfff,0x25ffffff,0xfffffffb,0x02ffffff,
    0xffffff30,0x0000001b,0xfffff700,0x7fec009f,0xfe88000f,0xffffffff,
    0xfd70000f,0xffffffff,0x5fffffff,0x3ffffae0,0x76442fff,0x1dffffff,
    0x7fffff5c,0xffffffff,0xa803ffff,0xfffffffd,0xa8006fff,0x1efffffd,
    0xfffffd88,0x7fff644e,0x4effffff,0x7fffdc00,0x0000cfff,0xffea8000,
    0x000dffff,0x0007fffa,0x2f7fffee,0x0001effd,0x980fffe8,0x1fffffdb,
    0x7fffffc0,0x3ffee00e,0x3fffc404,0xffffd530,0x3fffa000,0x0001ffff,
    0x40bffff3,0x004ffffa,0x0007fff9,0xfffffb30,0x000007ff,0x3ffffa60,
    0xe8003fff,0xd8001fff,0x01dc3fff,0x1fffd000,0x6ffff980,0x7fffffc0,
    0x3ffee04f,0x3fffc404,0x0ffffcc0,0x3fffe600,0x0004fffe,0x20bffff2,
    0x006fffe8,0x000ffff2,0xffffea80,0x00002eff,0xfffffb10,0x200019ff,
    0x8001fffe,0x0000fffe,0x07fff400,0x0ffffd40,0xfffffff0,0x3ffee03f,
    0x3fffc404,0x03fffd80,0x56fffec0,0x40007fff,0x640ffffe,0x2001ffff,
    0x0003fffc,0xfffffb80,0x00001eff,0xffffff91,0xe800019f,0xe8001fff,
    0x00003fff,0x007fff40,0x205fffd8,0xffffffff,0x09fff706,0x007fff88,
    0x4005fffd,0xfd2ffff8,0x4c0005ff,0x3ea5ffff,0x64004fff,0x00003fff,
    0xfffff910,0x40001bff,0xfffffffb,0xfd00001d,0xf90003ff,0x00001fff,
    0x007fff40,0x207fff98,0xfffbffff,0x4fffb83f,0x03fffc40,0x007fffdc,
    0x5cdfff70,0x40006fff,0xe8affffb,0xc8006fff,0x00003fff,0x7fffe440,
    0x2000cfff,0xffffffea,0x7400002e,0x88001fff,0x0005ffff,0x03fffa00,
    0x00ffff80,0xffb1ffff,0xfffb81ff,0x3fffc404,0xffffea98,0x7fff4006,
    0x07fffe23,0xffffd000,0x003ffffb,0x007fff90,0x3f660000,0x03ffffff,
    0x7fffff4c,0x510003ff,0xff999999,0x99999bff,0x7ffec017,0xd000002f,
    0x74001fff,0xfff01fff,0xbffff11f,0x404fffb8,0xfffffff8,0xffffffff,
    0x3fe6000f,0x7ffec0ff,0x7fc40004,0x03ffffff,0x07fff900,0xea800000,
    0x2effffff,0x7ffffec4,0x20000cff,0xffffffff,0xffffffff,0xfc82ffff,
    0x2a0fffff,0x3a0002bc,0x32000fff,0xfff02fff,0x3fffee1f,0x013ffee2,
    0xfffffff1,0xffffffff,0xfffd8009,0x07fff985,0xffffb800,0x320006ff,
    0x00003fff,0xfffe8800,0xff13ffff,0x05ffffff,0xffff9800,0xffffffff,
    0xffffffff,0x7ffffe44,0x3fffa5ff,0xfffd0004,0x7ffe4001,0x41ffff02,
    0xf70ffffe,0xff8809ff,0xffffffff,0x03ffffff,0x03ffff10,0x000bfffa,
    0x3fffff60,0x3ff20001,0x0000003f,0x7fffffdc,0xfffb81df,0x000dffff,
    0x3fffffa0,0xffffffff,0x21ffffff,0xfffffffb,0xffff8aff,0xffe8000f,
    0x3ff6000f,0x1ffff02f,0xbaffffcc,0x7c404fff,0xffffffff,0xffffffff,
    0xffffb804,0xfecccccc,0x880006ff,0x0003ffff,0x801fffe4,0xd50000b9,
    0x5dffffff,0xffffc880,0x0000cfff,0xd5555553,0x55557fff,0xfffe8155,
    0xcffffd8e,0x0006ffff,0x4001fffd,0xff01fffe,0xfffb81ff,0x04fffbaf,
    0x103fffc4,0x5fffff93,0xfffffe80,0xffffffff,0xe80001ff,0x40001fff,
    0xa803fffc,0x74c006ff,0x3fffffff,0x7ffecc00,0x0003ffff,0x00ffff40,
    0x227fff88,0xffffffff,0xffd0000c,0x3fe2001f,0x3fffe07f,0xcefffe80,
    0x7c404fff,0xfd1007ff,0x7fcc0bff,0xffffffff,0x04ffffff,0x1fffe800,
    0x7ffe4000,0x0fffc803,0xffffd880,0x40004fff,0xffffffea,0xfd00002e,
    0x3ea003ff,0x7ffd45ff,0x0000ffff,0x4003fffa,0x3e06fffa,0xff980fff,
    0x04ffffff,0x003fffc4,0x6c0ffff1,0xffffffff,0xffffffff,0xffe80007,
    0x7e40001f,0xffd803ff,0x3ff2202f,0x00cfffff,0x3ffee000,0x001effff,
    0x00ffff40,0xd85fffb8,0x005fffff,0x007fff40,0x027fff44,0x3201ffff,
    0x4fffffff,0x03fffc40,0x207fffa0,0xaabffff8,0xeaaaaaaa,0x40003fff,
    0x0001fffe,0x401fffe4,0xf702fffd,0x3bffffff,0x7e400000,0x0dffffff,
    0x3fffd000,0x3fffe600,0x7ffffc40,0x7ff40002,0x7ff4400f,0x3ffe01ff,
    0xffff100f,0xf8809fff,0x3e6007ff,0xffb80fff,0x3fee006f,0x7f40006f,
    0x640001ff,0xfd803fff,0x7ff542ff,0x002effff,0xff910000,0x019fffff,
    0x01fffe80,0xdfffff10,0xfffffd99,0x3a0005df,0x5cc40fff,0x03fffffc,
    0x5007fffc,0x09ffffff,0x407fff88,0x6fffea98,0x007fffd0,0x00ffffc4,
    0x03fffd00,0x3fffc800,0x22fffd80,0xfffffffd,0x00000003,0xffffffb3,
    0x7ff4003d,0x3fee001f,0xffffffff,0x007fffff,0x7fffff64,0xffffffff,
    0x3b205fff,0x3effffff,0x4fffffd8,0xfffffd90,0xffffffff,0x47ffffff,
    0xffffffd9,0xffd901df,0x807dffff,0xffffffeb,0x00ceffff,0xfffffd91,
    0xffffffff,0x25ffffff,0xcffffff9,0x00000000,0xfffffea8,0x3fff6004,
    0x7ffec000,0xffffffff,0x26007fff,0xffffffff,0xffffffff,0xfff300df,
    0x1fffffff,0x4fffff88,0xffffff98,0xffffffff,0x46ffffff,0xfffffffd,
    0xfffa85ff,0x0fffffff,0xffffff10,0xffffffff,0x3fffee07,0xffffffff,
    0xffffffff,0x9ffff12f,0x00000001,0x7ffff700,0x037fdc00,0xffffea80,
    0xdfffbfff,0x3ffe6002,0xffffffff,0x403fffff,0xfffffff9,0xffb80fff,
    0xfff984ff,0xffffffff,0xffffffff,0x7fffec0c,0xa85fffff,0xffffffff,
    0xfff100ff,0xffffffff,0x3ea07fff,0xffffffff,0xffffffff,0x36a2ffff,
    0x0000001c,0x675c4000,0x0bb62000,0x59753000,0x6dc00003,0xffffffff,
    0x000adeff,0xffffffd7,0x7fff405b,0xffffd704,0xffffffff,0x220199df,
    0xfffffffc,0xfffd901d,0xa805bfff,0xfffffffd,0x200cefff,0xffffffec,
    0xffffffff,0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x009abbaa,0xabaa9800,0xa8800009,0x100001ab,
    0x00035575,0x006aea20,0x0aba8800,0x00055d44,0x01aba980,0x00000000,
    0x01ba8800,0x44399997,0x36e3cccc,0xb707ffff,0x80dfffff,0xfffffdb8,
    0x000bffff,0xffffffb8,0x004fcdff,0xfffffd95,0xd980019f,0xffffffff,
    0x8801ddac,0xfffffffc,0xffec803e,0xeffff9ef,0xfffffd89,0x7fff5c04,
    0xfffffb8f,0xfb7002ff,0xb819dfff,0x0ceffffe,0x7ffffe44,0x3fffee2f,
    0x7ffe42ef,0x3fffe22f,0xffffff16,0xfffff30f,0xffe80dff,0xffffffff,
    0xf5000fff,0xffffffff,0x403fffff,0xffffffe9,0x003fffff,0xfffffff7,
    0xbfffffff,0xfffffb80,0x2effffff,0xffffff70,0xffffffff,0x9fffffff,
    0x3ffffe60,0xffffffef,0x2200dfff,0xffffffff,0x3ffffe64,0x7fec3fff,
    0xe9afffff,0xffffffff,0x07fffee2,0x3e69ffff,0x987fffff,0x6fffffff,
    0x3ffffe20,0xffffffff,0x7fcc00ef,0xffffffff,0x503fffff,0xffffffff,
    0x0bffffff,0x7fffff44,0xffffffff,0x3ff607ff,0xffffffff,0xfb83ffff,
    0xffffffff,0xffffffff,0x982fffff,0xffffffff,0xffffffff,0x3ffe604f,
    0x264fffff,0xffffffff,0x7ffffec4,0xfffffdff,0x2a6fffff,0xffe87fff,
    0x3fffae3f,0xfffd907f,0xffe80dff,0xecccdfff,0x7403ffff,0xcdefffff,
    0x4fffffed,0xffffff88,0xffffdcce,0xfff904ff,0xffb9bdff,0x20ffffff,
    0xeffffffc,0xffffffdc,0x7ffec41f,0xffddffff,0xfeceffff,0xffd904ff,
    0x9bdfffff,0x03fffffd,0x7fffffdc,0x7fffe40f,0x7ecc0dff,0xffffffff,
    0xfffddfff,0x21fffe67,0xff02fffd,0xfff300ff,0x8035500d,0x2204fffd,
    0x300affff,0xfd07fffb,0x2a01bfff,0x542fffff,0x101effff,0x50fffff7,
    0x015fffff,0x0dffff91,0x83ffffe2,0x2a4ffffe,0x7fc06fff,0xe881ffff,
    0xfd803fff,0x3a63ffff,0x000effff,0xfffffffb,0x2176cc3b,0xffc86fff,
    0x0ffff01f,0x00dfff30,0x37ffcc00,0x03ffff10,0x4c1eff88,0x9803ffff,
    0x7f45fffe,0xff7006ff,0xfffff0ff,0xffff7003,0x3ffff107,0x445fffc8,
    0x7fc06fff,0x3ee01eff,0xff7004ff,0xfff59fff,0x6c001dff,0x02ffffff,
    0x5c27ff40,0xfff00fff,0xdfff300f,0x76e54c00,0x6fffbcce,0x77ffff40,
    0x814409bc,0x2005fffb,0x3e27fff9,0x3a001fff,0x7ffc45ff,0x3ff2002f,
    0x6fff886f,0x443fffc8,0x7fc06fff,0x7fcc00ff,0x3fea005f,0xffffffff,
    0xfffd8005,0xfd8001ef,0x07ff983f,0x2601fffe,0xd9806fff,0xffffffff,
    0x5c06ffff,0xffffffff,0x3600bdff,0x6c000fff,0xfff51fff,0x1eea800b,
    0x7fffffd4,0xffffffff,0x887fffff,0xffc86fff,0x37ffc43f,0x201fffe0,
    0x4005fff9,0xfffffff9,0xffb0004f,0x7e4000bf,0x06ff882f,0x2601fffe,
    0x7e406fff,0xffffffff,0x806fffff,0xfffffffc,0xf03fffff,0xf7000fff,
    0x3ffee7ff,0x3f200003,0xffffffff,0xffffffff,0x7fc41fff,0x3fffc86f,
    0x2037ffc4,0xf9807fff,0xf98005ff,0x003fffff,0x00bfff60,0xf01ffb80,
    0x3fffc0bf,0x037ffcc0,0xfffffff9,0xffffffff,0x3ff2200d,0xffffffff,
    0x3ffe60df,0xfffa8006,0x005fffb4,0x7fffe400,0xffffffff,0xffffffff,
    0x437ffc42,0x7c43fffc,0x7ffc06ff,0x5fff9807,0x7fff4400,0x0001ffff,
    0x0005fffb,0xfd807fcc,0x01fffe03,0x541bffe6,0xbdffffff,0xfffdcba9,
    0xdba88006,0x4ffffffe,0x4003fffc,0xff72fffc,0x5400007f,0xffffffff,
    0xffffffff,0x7c42ffff,0xfffc86ff,0x037ffc43,0x2601fffe,0x22005fff,
    0xfffffffe,0xfd8002ff,0x540002ff,0xf802e201,0xff9807ff,0xffffd06f,
    0x7ffc4015,0x00372206,0x91ffff66,0x44007fff,0xff30ffff,0x4c0000bf,
    0x0000ffff,0x437ffc40,0x7c43fffc,0x7ffc06ff,0x5fff9807,0xfffff300,
    0x7fffff9d,0x2fffd800,0x80000000,0x2201ffff,0xf886fffc,0xfb802fff,
    0x3ff206ff,0x3fffa005,0x07fffea2,0x137ffec0,0x0005ffff,0xffff8177,
    0x2200000e,0xffc86fff,0x37ffc43f,0x201fffe0,0xa805fff9,0x2e5fffff,
    0x005fffff,0x000bfff6,0x3fa00000,0xffb883ff,0xff886fff,0x3faa01ff,
    0x3fa06fff,0x7cc01dff,0x3fe22fff,0x3a603fff,0x7f43ffff,0xa800bfff,
    0x7fdc5fff,0xa9800eff,0xfff882dc,0x43fffc86,0x7c06fff8,0xff9807ff,
    0x7ffd405f,0xfffa84ff,0xfd800dff,0x000002ff,0xffffc800,0xffffdcbd,
    0x743effff,0xcbceffff,0xfffffffe,0x7ffc3eff,0xbabcefff,0x0fffffec,
    0x7fffffdc,0xfffecbbd,0x7fc40eff,0xabcdffff,0xffffeecb,0xfffffd87,
    0xfdcbabcd,0xb10fffff,0x47dfffff,0x11dffffc,0x447dffff,0xeffffffe,
    0x7fffec41,0x7ff543ef,0x641effff,0x4fffffff,0x3fffff62,0xffffffff,
    0x000000df,0xffffff98,0xffffffff,0x3ea0ffff,0xffffffff,0xffffffff,
    0x3ffe0fff,0xffffffff,0x03ffffff,0xfffffff9,0xffffffff,0x3fffe601,
    0xffffffff,0x884fffff,0xffffffff,0xffffffff,0xffff71ff,0x3f23ffff,
    0xff15ffff,0x3f63ffff,0x5fffffff,0x7fffffe4,0x3fffe0ff,0x265fffff,
    0xffffffff,0xfffff92f,0xffffffff,0x00009fff,0x3fffea00,0xffffffff,
    0x640fffff,0xffffffff,0xffffffff,0x3ff60fff,0xffffffff,0x403fffff,
    0xfffffffb,0x00dfffff,0x7fffffd4,0xffffffff,0x3ff2204f,0xffffffff,
    0x2e5fffff,0xffffffff,0xbfffff91,0x3fffffe2,0xffffffb0,0xfffc8dff,
    0x3a0fffff,0xffffffff,0x3ffffe64,0xff92ffff,0xffffffff,0x09ffffff,
    0x7d400000,0xbeffffff,0x02dffffa,0xffffffd5,0xffff57df,0xbed985bf,
    0xfffffffe,0x71000cff,0xdffffffb,0x7dc40059,0xffffffff,0xd3000cff,
    0xffffffff,0xc8839dff,0x23dffffe,0x11dffffc,0x4c7bffff,0xdffffffd,
    0x7fff6441,0x7fed42df,0x5c0cefff,0x4efffffd,0x3ffffb22,0xffffffff,
    0x000000ce,0x1abcb980,0xcca98000,0x200001ab,0x9abccba8,0x65cc0000,
    0xa980000a,0x01aacccb,0x332a6200,0x000019ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x75000000,
    0x05300001,0x55555100,0x55555555,0x80355555,0x8001bdb9,0xaaaaaaa8,
    0xaaaaaaaa,0x3bbb6a1a,0xeeeeeeee,0xeeeeeeee,0x001ceeee,0x00000000,
    0x3fff6600,0x32201dff,0x23dffffe,0xffffffd9,0x7ff5c0ce,0x7c3effff,
    0xffffffff,0x5fffffff,0x00bff700,0x001fe880,0x3ffffff6,0xffffffff,
    0x0fffffff,0xdfffffb8,0xff986a00,0xffffffff,0x34ffffff,0xffffffff,
    0xffffffff,0xffffffff,0x00000dff,0x40000000,0xfffffffe,0x3ffff206,
    0xffb1ffff,0x9fffffff,0x7fffffcc,0x3fe1ffff,0xffffffff,0x05ffffff,
    0x000fffb0,0x800fffd8,0xfffffff8,0xffffffff,0x3fffffff,0x7fffffec,
    0x3ffd80ef,0xfffffff3,0xffffffff,0x3fffee9f,0xffffffff,0xffffffff,
    0x07ffffff,0x00000000,0x3fffa000,0x2e06ffff,0xffffffff,0xffffffd1,
    0x7fcc9fff,0xffffffff,0x3fffffe2,0xffffffff,0xffd005ff,0x3f20001f,
    0xe800efff,0xffffffff,0xffffffff,0x321fffff,0xffffffff,0x3fff61ff,
    0xffffff35,0xffffffff,0x3ff629ff,0xffffffff,0xffffffff,0x3effffff,
    0x00000000,0x3faa0000,0x202dffff,0xffffffd8,0x3ffff664,0x7e40dfff,
    0x4effffff,0x7ffffffc,0xffffffff,0xfffd003f,0xfff70001,0x5100bfff,
    0x99999999,0x99999999,0x7fcc3799,0xfffeafff,0xffffdbff,0x55555513,
    0x55555555,0x33330355,0x33333333,0x33333333,0x00000133,0x00000000,
    0x3a17ffec,0x7ffc1fff,0x3ffee00f,0x6fffc807,0x4c1fffe0,0xa83fffff,
    0x3fffa0ac,0x4c02f2a0,0xffffffff,0x00000004,0xb077ffd4,0xffffffff,
    0x000000df,0x00000000,0x00000000,0x3ffee000,0x93fffe64,0xf807fff9,
    0x3e203fff,0x3fa03fff,0xffff985f,0xffffa83f,0xdbfffebd,0xf884ffff,
    0xfffeffff,0x0000002f,0x5c077f40,0xefffffff,0x00000000,0x00000000,
    0x00000000,0x4dfff300,0x2e7ffffc,0xfb805fff,0x3ff207ff,0x0f7d406f,
    0x0fffffe6,0x7fffffe4,0xffffffff,0x7ff446ff,0xffff8aff,0x0000001f,
    0xff3004c0,0x0001bfff,0x00000000,0x00000000,0xf8000000,0xffff0fff,
    0x3fff65ff,0xffff8803,0x3ffff883,0xffff3000,0x7ffcc07f,0xffffffff,
    0x6c3fffff,0x3e63ffff,0xb880ffff,0xeeeeeeed,0xeeeeeeee,0x10002cee,
    0x00001795,0x00000000,0x00000000,0x36000000,0xfffaafff,0xffff5fff,
    0x3fff2003,0x07fffb86,0xfffff300,0xffd71007,0xffffffff,0xfffc819f,
    0xffffa85f,0x7ffff40e,0xffffffff,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x3f73ffee,0xfaffffff,0x3e2007ff,0x3fe23fff,
    0xf98003ff,0x8003ffff,0xffffffc8,0xffff101d,0x7fffdc0d,0x3ffffe24,
    0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x3fffffe6,0xfefffeff,0x7e4005ff,0x3ffee6ff,0x7fd4000f,0x20003fff,
    0xfffffffd,0x1dfff900,0x47fffd80,0xfffffffc,0xffffffff,0x00efffff,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0xfaefffff,0x03ffffff,
    0x97fffc40,0x4003ffff,0x03fffffa,0xfffb8011,0x305fffff,0x36003fff,
    0x333304ff,0x33333333,0x01333333,0x00000000,0x00000000,0x00000000,
    0x36000000,0xf3ffffff,0x03ffffff,0x7dfff900,0x4001ffff,0x03fffffa,
    0x3e609ff3,0xfffbdfff,0x0017303f,0x000002b8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffffee,0xffffff90,0xfff10001,0x009fffff,
    0x1fffffd4,0x360fffb0,0xffb0ffff,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff980000,0x3fe65fff,0x20006fff,0xfffffffc,
    0xffff3000,0xffffffff,0xf01fffff,0x7fc45fff,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0x7ff42fff,0x220004ff,
    0x04ffffff,0x3ffffee0,0xffffffff,0xfc80ffff,0x06ff983f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x87fffd80,0x002ffffa,
    0x7ffffec0,0x3ffee000,0xffffffff,0x00ffffff,0x000c4033,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf04fffb8,0x80001fff,
    0x004ffff9,0x7fffffdc,0xffffffff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_46_usascii_x[95]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,10,3,5,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,1,1,-1,1,2,2,2,0,0,-1,0,0,3,6,10,6,2, };
static signed short stb__courier_bold_46_usascii_y[95]={ 33,6,8,5,4,7,10,8,6,6,7,9,27,19,
28,4,6,6,6,6,7,7,6,7,6,6,15,15,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,41,5,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,17, };
static unsigned short stb__courier_bold_46_usascii_w[95]={ 0,8,14,20,19,19,19,6,10,10,18,22,9,18,
7,19,19,19,19,20,18,20,18,18,19,19,7,10,24,24,24,18,18,27,24,22,23,23,23,24,24,19,23,25,
23,27,26,24,22,24,26,20,22,24,27,26,25,24,20,10,19,10,19,29,9,23,25,22,24,22,22,24,24,20,
16,23,20,27,23,22,25,25,22,20,22,24,25,26,24,24,19,12,5,12,20, };
static unsigned short stb__courier_bold_46_usascii_h[95]={ 0,28,12,32,35,27,24,13,34,34,18,24,13,5,
6,34,28,27,27,28,26,27,28,27,28,28,19,23,24,13,24,26,31,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,26,20,19,19,19,28,19,33,33,33,9, };
static unsigned short stb__courier_bold_46_usascii_s[95]={ 248,239,240,179,1,60,227,248,69,38,74,
204,238,159,248,80,219,20,40,78,64,209,99,1,163,143,248,242,179,113,154,
45,200,77,52,22,1,218,194,108,146,126,133,79,130,24,25,217,171,154,52,
1,1,83,157,185,212,105,105,137,49,126,93,178,238,26,183,94,230,117,125,
118,171,104,21,80,196,140,168,71,1,52,217,50,148,1,28,1,192,27,54,
100,148,113,138, };
static unsigned short stb__courier_bold_46_usascii_t[95]={ 28,1,173,1,1,66,147,94,1,1,194,
147,94,194,21,1,1,66,66,37,94,37,37,66,37,37,1,66,147,194,147,
94,1,147,147,94,147,121,121,94,121,121,94,121,147,121,147,66,121,1,121,
94,121,94,94,94,94,147,121,1,1,1,194,194,108,173,37,173,37,173,66,
37,66,66,1,66,66,173,173,173,37,37,173,173,66,173,194,194,173,37,194,
1,1,1,194, };
static unsigned short stb__courier_bold_46_usascii_a[95]={ 390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT or STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_46_usascii(stb_fontchar font[STB_FONT_courier_bold_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT][STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_46_usascii_s[i] + stb__courier_bold_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_46_usascii_t[i] + stb__courier_bold_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_46_usascii_x[i];
            font[i].y0 = stb__courier_bold_46_usascii_y[i];
            font[i].x1 = stb__courier_bold_46_usascii_x[i] + stb__courier_bold_46_usascii_w[i];
            font[i].y1 = stb__courier_bold_46_usascii_y[i] + stb__courier_bold_46_usascii_h[i];
            font[i].advance_int = (stb__courier_bold_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_46_usascii_s[i] + stb__courier_bold_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_46_usascii_t[i] + stb__courier_bold_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_46_usascii_x[i] + stb__courier_bold_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_46_usascii_y[i] + stb__courier_bold_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_46_usascii_LINE_SPACING
#endif

