// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_43_usascii_BITMAP_HEIGHT        200
#define STB_FONT_times_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_43_usascii_FIRST_CHAR            32
#define STB_FONT_times_43_usascii_NUM_CHARS             95

#define STB_FONT_times_43_usascii_LINE_SPACING          28

static unsigned int stb__times_43_usascii_pixels[]={
    0x05972400,0x5cc013e0,0x00000715,0xdfd97510,0x0000179d,0x3331275c,
    0x26213333,0x00999999,0x00003100,0x22000598,0x01880000,0x00062000,
    0x20013100,0x0013aa00,0x1dd50ba6,0xfd804f80,0x00006d43,0x55efe4c0,
    0x0fbae661,0x5fff1000,0x3ffffff2,0xfffffd5f,0x32a007ff,0x2ceffffd,
    0x003cc000,0x01ffff5c,0x4000dd00,0xeffffeca,0xfd88002c,0x882efffe,
    0xfff886fe,0x807f2002,0x813e02fb,0x5f300de8,0x3fa60000,0x3b66000c,
    0xfff10000,0x26666625,0x33ffd5ff,0xe8801333,0xeca9bcff,0x22000eff,
    0xbdffffec,0x2633f200,0xfb8003fe,0xefe98000,0xffca98ac,0x17f7001e,
    0x2a27ff4c,0x7fc41fff,0x03fb002f,0x13e01ff0,0x7cc01fd8,0x27dc0005,
    0x00bea000,0x2201ed40,0x00ffd5ff,0x401bff70,0xb803ffd9,0xeb9fbdff,
    0x3fd40dff,0x98003fea,0xffb8003f,0x1ffec405,0xfe813e60,0x0ffff24f,
    0x7dc00f6a,0x20bf9001,0x00df704f,0x22000fee,0x100002fd,0x4000003f,
    0x0ffd5ff8,0x004ffd80,0xfc817ff6,0xffb8f30e,0x7fc27fc1,0x0017a004,
    0xc800fff6,0x0bfa05ff,0xf91fffa8,0xa80007ff,0x3fea004f,0xbfd04f80,
    0x0017f400,0x00003fd1,0x00000ea8,0x3fabff10,0x1bfee007,0x07fff100,
    0x43cc7ff3,0x0ffe21fc,0x7e401ffa,0x37fdc000,0x41fffc00,0x7fc04ff8,
    0x07fff73f,0x007fc400,0x9f03ff90,0x9801bfe0,0x3fb000ff,0x13200000,
    0x7fc40000,0x2600ffd5,0xa8002fff,0x7fe40fff,0x87e21e60,0xffe83ffa,
    0x0017cc00,0x000bffe6,0xf103ffee,0x4ffe80ff,0x0005fff5,0x36002fec,
    0x884f83ff,0x7f4007ff,0x003fb804,0x003e2000,0x57fe2000,0xffd007fe,
    0x7ffc000d,0xf30fff45,0x2ffc87a0,0x7401ffd8,0x6ffe8005,0xbfff1000,
    0x7403ffd0,0x3fff33ff,0x0ffe2000,0xf05ffd00,0x003ffe09,0x2600ffc8,
    0x0098006f,0x00007901,0x3fabff10,0x2fffb807,0x3fff6000,0x798fffa2,
    0x1ffdc390,0xf9007fec,0xfffb8001,0x3ff20002,0x2037542f,0xfff11fff,
    0x3ff20001,0x07ffc000,0x1ffe827c,0x813fea00,0xf91000fe,0x7fd51bdb,
    0x5c400d30,0x57fe201e,0xffe807fe,0x3ea0001f,0x3bfee5ff,0xf3020f30,
    0x40ffd09f,0xfd8002f9,0x2a0001ff,0x98005fff,0x83ffc7ff,0xfff00eb8,
    0x07ff8800,0x0bff609f,0x260fff00,0x1df5004f,0x40ffe654,0xffd98078,
    0x57fe201f,0xfff807fe,0x3e20000f,0x3ffe66ff,0xf100798e,0x20dff09f,
    0xff0005e8,0x4c0001ff,0xd8007fff,0x23ffc2ff,0xa81fffda,0x7c4006ff,
    0x3209f06f,0x7f4003ff,0x801fd82f,0xdffd06fa,0xdb7007c0,0x7c403fff,
    0x880ffd5f,0x80007fff,0x3fa0ffff,0x2007bfff,0x17fcc5fd,0x88000fc8,
    0x40007fff,0x000ffff8,0x3fa17fe2,0x3fffb726,0x005ffd81,0x09f05ff8,
    0xd0007fee,0x06f889ff,0xf900ffb8,0x400f409f,0x2201fff8,0x80ffd5ff,
    0x0006fffa,0x221ffff8,0x007ffffe,0x6fc87fa2,0x20005f50,0x0006fffa,
    0x001ffff8,0x3f603ff2,0x81fff985,0xc8004ffe,0x2a09f05f,0xffd8006f,
    0x2601fdc6,0x3ff602ff,0x7c007a02,0x3fe201ff,0xfb80ffd5,0xe80005ff,
    0x7f442fff,0x1000efff,0x01bfb7dd,0x5c0009f1,0x80005fff,0x1003fffe,
    0x13f203ff,0x7fc0fffc,0xff88003f,0x5fd04f80,0x8fff9000,0x2ff400fc,
    0x1f01ffa0,0x807ffe00,0x0ffd5ff8,0x005fffc8,0x03fffe80,0x05fffff9,
    0xb00ddcc0,0x05edc40d,0x002fffe4,0x01ffff40,0x3ee03fc8,0x883fff03,
    0x30002fff,0xf309f09f,0x3ff20005,0xf901f60f,0x2ffc403f,0x7f400f10,
    0x57fe201f,0x7fdc07fe,0xfe80006f,0x3fea02ff,0x00004fff,0x77dc07ea,
    0x7fd43fea,0xfe80006f,0x09f001ff,0xfff02fa8,0x02fff983,0xf8b7a200,
    0x000bb264,0x3a1fffb8,0x017fe207,0x35407ff5,0x403ffd00,0x0ffd5ff8,
    0x007fffa8,0x01ffff80,0x2fffffcc,0x827c4000,0x317f46fa,0x0000ffff,
    0x5001ffff,0x203f300d,0x7fd41fff,0xf980001f,0x00fee9f6,0x87ffea00,
    0x0bfee06f,0x6401ffb0,0x07ffa004,0xffd5ff88,0x0ffff980,0x3ffe2000,
    0x7dfcc00f,0x40005fff,0x87ff106d,0xfff10ffb,0x7c40001f,0x059007ff,
    0x3fe01f30,0x17ffd41f,0x477aa000,0x019f914f,0x8fffd400,0x1ffa05f8,
    0xf80dff50,0x07ffa001,0xffd5ff88,0x03ffff00,0x37ffcc00,0xffe9bcc0,
    0x3f70004f,0xf307fea0,0x0ffff47f,0xbfff3000,0x22003a00,0x307ffe07,
    0x40007fff,0x2227c1ec,0xf70000ec,0x9827c1ff,0x7ff405ff,0xd001aa04,
    0x7fc403ff,0xf900ffd5,0x540005ff,0x79803fff,0x003fffa2,0x7e407f10,
    0xb27fc41f,0x40005fff,0xd003fffa,0xfff03c00,0x03fff883,0x9f05fb00,
    0x0001df10,0x05f8fff9,0x7dc07ff5,0x00ba02ff,0x4403ffd0,0x00ffd5ff,
    0x000dfff3,0x98037fec,0x00fffcc7,0xffb01ba0,0x7c4dff01,0x360006ff,
    0x0b1006ff,0x3fff0040,0x0009fff0,0x413e0df5,0xfc8004fc,0xfb83746f,
    0xffdb503f,0x740035c0,0x3fe201ff,0x2e00ffd5,0x98001fff,0x98142fff,
    0x002ffe87,0xffd003ee,0xfb8fff01,0xf98002ff,0x000001ff,0xd81fff80,
    0xfe8005ff,0x3ea09f04,0x7fec000f,0xffb83ec5,0x6fe8ea85,0xd0003f50,
    0x7fc403ff,0x6c00ffd5,0xfd8006ff,0x7980f86f,0x3001ffc8,0x3ff9007f,
    0xfe86ff88,0xffd8006f,0x00000004,0xff703fff,0x6ff8800b,0x3fee09f0,
    0x1fff4002,0x3fe207ee,0x3e1d932f,0x442fa85f,0x01ffe800,0x3ff57fe2,
    0x05ffd100,0x4077fcc0,0xfe87981f,0x00bd000f,0xff107fee,0x05fff30b,
    0x0077fd40,0x93003950,0x207ffe03,0x44006ff9,0x209f07ff,0x7c003ffc,
    0x827c40ff,0x0efffffe,0x7ecc7ff6,0xfe802d81,0x57fe201f,0x7c4007fe,
    0xffa802ff,0xf30bf00e,0x9004ff88,0x3fe6001f,0x9817fd43,0xfb803ffe,
    0x3ea000df,0x3fe600ff,0x17ffc40f,0x4000ffe8,0x04f80fff,0x44005ffd,
    0x20fb04ff,0xa83effd9,0x80bfffff,0x3ffd006a,0xfeaffc40,0xffc88007,
    0xcffc981c,0xf30ffe00,0x9800efd8,0x2fe4003f,0x3f201bf6,0x7ed441cf,
    0xffc8002f,0x3ffee02f,0x827ffdc3,0x7c002ffa,0xf04f81ff,0x7d4003ff,
    0x405f301f,0x00a98019,0xffe80174,0x757fe201,0x3620007f,0xfffeefff,
    0xdfff800c,0x3bf66f31,0x000bd001,0x3bf233f6,0xfffb3001,0x019dffdd,
    0x01ffea00,0x3ae1fff3,0x84efffff,0x7ec005fe,0xf884f82f,0x37e4007f,
    0x00001b60,0xfd0035c0,0xaffc401f,0x980007fe,0x02fffffe,0x3fffae20,
    0x003ffefe,0xa80003f2,0x0000cefd,0x00137751,0x2002a200,0x540000b8,
    0x7fe4007f,0xff884f82,0x017fc006,0x000013e2,0x74005f30,0xaffc407f,
    0x100007fe,0x00dffffb,0x2bf2a620,0x00000000,0x00000000,0x00000000,
    0x4007fb00,0x04f81ffb,0x7dc00bfd,0x005f5003,0x00bea000,0xf880dfd0,
    0x000ffd5f,0x4ffffc80,0x003cc000,0x00000000,0x00000000,0x40000000,
    0xff7000fe,0x2fe413e0,0xb800bf00,0x5400002f,0x5fe8002f,0xfeaffc40,
    0xfa800007,0x20003fff,0x00000079,0x00000000,0x00000000,0x05f88000,
    0x13e05fd0,0x6c007fc4,0x4fa8000e,0x03f70000,0x1007fe00,0x01ffabff,
    0x7fe44000,0x0000003f,0x00000000,0x00000000,0x80000000,0x2fcc05d8,
    0x1fd409f0,0x0001db10,0x40017744,0x5c01dfb8,0x017e61ef,0x3ff57fe2,
    0x2e200000,0x26600dff,0x99999999,0x99999999,0x00000009,0x00000000,
    0x00000000,0x1fd416e0,0x9f5013e0,0x0004e881,0x0273fae0,0x00efe54c,
    0xd9cfffe8,0x77775c0e,0xdffd5ffe,0x0005dddd,0x35bdb500,0x7fffffcc,
    0xffffffff,0x005fffff,0x00000000,0x00000000,0x2cc00000,0x9f003bd3,
    0x6c7d9100,0x93000001,0xfffddffd,0xe980039b,0xd704ffff,0x29dddddd,
    0xcccccccb,0x98000002,0x5555511b,0x55555555,0x03555555,0x00000000,
    0x00000000,0x80000000,0x000d4000,0x00000006,0x0000d4cc,0x00001510,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7d980000,0x03100000,0x260000c4,0x20000009,0x04c00009,0x08026000,
    0x200cc000,0x26200008,0x40002019,0x88000000,0x0000bb09,0xb71005d8,
    0xfeb8817b,0x7000007f,0x0007dc0f,0x3bffff22,0xfd900001,0x2003bfff,
    0x0dffffd9,0xffffd700,0x0016637b,0xdfffff93,0x2002c837,0xfffffeb8,
    0x00d10bdf,0x1effedc4,0xedb98000,0x001f71df,0x100be200,0xbfffb7dd,
    0x03fffe6c,0x206d8000,0x7fcc006c,0x02ffc99d,0x473fe600,0x5c04feb8,
    0xffffffff,0x37ffa602,0xfeffecaa,0xfffb3005,0xff75317b,0xb1007fbb,
    0x2637bdff,0x07eeffca,0x9319ff30,0x6c40009f,0x2f880bff,0x01f70000,
    0x7ffd45e8,0x003ffd42,0x3a04e800,0x17fe2005,0x20003fea,0x3fa02ff8,
    0xb59ff103,0x220fffff,0xff300dff,0xdff700bf,0x7fff7003,0x03ffe980,
    0x807ffd88,0x5fe81ff9,0x0dffa800,0x80002ec0,0x40fec05d,0x7fcc5ffb,
    0xf8800007,0x4007f103,0x3ff02ffd,0x80dfb000,0x83e80ffa,0xd82fffc8,
    0x7fcc01ff,0x077fe405,0x409ff500,0x4002fffa,0x3e200ffc,0x07ff305f,
    0x801ffe40,0x440000fb,0x03fea02f,0x3fe20edc,0xf9800007,0x4003f301,
    0x0bfa07ff,0x807ff100,0x01dc2ff8,0xff117ffa,0x817e600b,0x8000fffb,
    0xfff305fb,0x07fa0005,0x3601ffc8,0x9ff7006f,0x0017c400,0xfc803ee0,
    0x7ff88007,0x0fb80000,0x22001f70,0xff980fff,0x27fcc001,0x030ffe20,
    0xfa8bff70,0x417a004f,0x0003fff9,0x27ff417a,0x203f1000,0x7dc07ff8,
    0x37fcc03f,0x0002ec00,0x0ffb017a,0x00fff100,0x6c0db000,0x3ffe6006,
    0x8006fc81,0x7d406ff9,0xff98000f,0x003ffdc3,0x1bffa0b7,0xf90d7000,
    0xd80001ff,0x80bff702,0x7f406ff9,0x0fa8000f,0x805f1000,0xf88007ff,
    0xe800007f,0xf0017a05,0x1ff989ff,0x09ffd000,0xa80037e4,0x7ffd40ff,
    0xf30b3003,0x880009ff,0x02fffc46,0xfd814c00,0x2fff804f,0x0007ff90,
    0x5c000be2,0x03ffc407,0x263ffc40,0x32202cec,0xccefcccc,0xccefcccc,
    0x27ffe802,0x20002ffb,0xf982fffc,0x7f90002f,0x09ffff10,0x3fff20e0,
    0x64180002,0x00001fff,0x401fffc0,0xffa83ffe,0x1760000f,0x54c2f400,
    0xaaafffba,0xbffc401a,0xefffffe8,0xeeeee980,0xeeeeeeef,0xb804eeef,
    0x1efdbfff,0x33333322,0xffff883c,0x000bfa24,0xffb01fc4,0xf0003dff,
    0x00001fff,0x001ffff0,0x7ffcc000,0x84ffe803,0x00c45fff,0x88001f50,
    0xffffb82f,0x03ffffff,0x7f47ffc4,0x0fffffff,0x3ee07c80,0x7ffc4000,
    0xfff702ff,0x3e6037df,0x1ee9dfff,0x00bd1000,0x1bfffffd,0x1fffe600,
    0x3fe60000,0x4000007f,0xd802fffa,0x7ffd45ff,0xdfffec8a,0x001fc401,
    0x3fe201ee,0xfff88007,0x3ffa60ce,0x206d804f,0xffd0006d,0x5ffd807f,
    0xfffff300,0x7f4c000b,0x3fa200cf,0x803fffff,0x0006fffa,0x06fffa80,
    0x7fdc0000,0x6ffd801f,0x67e7ffe4,0x03ffffdb,0x17a002ec,0x001ffe20,
    0x440bffe2,0x7c01fffe,0x30013a04,0x01fffffd,0x30007fdc,0x003fffff,
    0xfffffeb8,0x3ff6200e,0x202fffff,0x0006fffb,0x05fffb80,0x7ffff540,
    0xff71efff,0xfffb003f,0x80cffff8,0x2a02fffe,0x05f1000f,0x000fff10,
    0xf980fff1,0x0fe204ff,0xc8801fc4,0x5fffd9ff,0x3000ff60,0x05fffffd,
    0x7ff6dcc0,0xfea806ff,0x80dfffff,0x0005fffc,0x05fffc80,0x3ffff600,
    0x007ffe42,0xff13ffec,0x7ff4409f,0x400fe206,0xfff1007b,0x0fff1000,
    0x540bffb0,0x003f501f,0x3e61dfd1,0x0df02fff,0xfd8dfa80,0x70003fff,
    0x2003ffff,0xfffffffb,0x037ffdc0,0x7ffdc000,0x3fea0006,0x0fffb85f,
    0x226ffd80,0x7dc03fff,0x017603ff,0xff880274,0x7ff88007,0x206ffb80,
    0x003ee07c,0xfc81bfd1,0x0fd40eff,0x641df500,0x0002ffff,0x4009fff3,
    0xefffffc8,0x01bffe60,0x3ffea000,0x3fe60007,0x1fffa84f,0x266ffe80,
    0x7c402fff,0x03ea04ff,0x22005f10,0xf88007ff,0x7ffa807f,0x33fb3322,
    0xcfeccccc,0x3fa22ccc,0xffff881f,0x9800fe24,0xfffb81ff,0xff70000f,
    0xffd3000d,0x7ffc4bff,0xf8800007,0x10000fff,0xff309fff,0xbffd003f,
    0x4017ffcc,0x3e205ffd,0x1003dc03,0xf1000fff,0xdff300ff,0x7fffffcc,
    0xffffffff,0x3fee5fff,0x3fffee06,0xfd800db1,0x13fff206,0x87ffc400,
    0x3ff60008,0x0ffffc7f,0x7ffc0000,0xff10003f,0x5fff109f,0xf89fff00,
    0xffc802ff,0x3a02ec06,0x1ffe2004,0x01ffe200,0x7c417fe6,0x4407f102,
    0x7f404fff,0x001faeff,0xf9013fe2,0x7f4000ff,0xfb000ea7,0x7ffec3ff,
    0xfc800003,0xf10006ff,0x3ffa09ff,0x0fffc403,0x3200fffa,0x07d405ff,
    0x22002f88,0xf88007ff,0x3ffa807f,0x3ea03f50,0x0fffea01,0x7fffff10,
    0x02ffa800,0x0007ffc4,0x016a6fd8,0x447fff30,0x80006fff,0x3fffe208,
    0xfff88001,0x809ff704,0xffd87ff9,0x04ffb804,0x07b81fc4,0x003ffc40,
    0x5c03ffc4,0x40f902ff,0x7ffdc07b,0xffffa806,0x17fe4003,0x0003fec0,
    0x007d49fb,0xf907ffe0,0xd80005ff,0x02fffdc1,0x827ffc40,0x7d407ff8,
    0x06ffb85f,0xd802ffc8,0x88009d06,0xf88007ff,0x06fe807f,0x406d81b6,
    0x800ffffb,0x204ffffd,0x00ffea68,0xf8001bf2,0x000fea0f,0xff881fff,
    0x790000ff,0x00bfffa0,0x409fff10,0x3f600ffd,0x01ffd01f,0xf5006fd8,
    0x4002f981,0x88007ff8,0x7fd407ff,0x4e813e00,0x27fffcc0,0x3ffffee0,
    0x7c49905f,0x03fe805f,0xfa87f700,0xbff3002f,0x03bffe60,0x7440b700,
    0x22001fff,0x3e604fff,0x09ff303f,0xf102ffcc,0x21fc005f,0xff98007b,
    0xfff88007,0x405fd102,0x07f102f8,0x09ffffb0,0xffb19fd3,0xfd77bfff,
    0x201ffb81,0x0ced86fa,0xff509f50,0xefe8807f,0x3bffa200,0x805d8802,
    0x002fffe8,0xa809fff1,0x0efd80ff,0xc817fe40,0x236c004f,0xffa8004e,
    0xffc8001f,0x0ffa61cf,0x3e603f50,0xffff8801,0x1effeeff,0x7fffffdc,
    0x5ff703ff,0xf981dd30,0xda9acfff,0xffff502f,0x7fd4437b,0xffd8801e,
    0xca89abef,0x7dc004fe,0xf7102eff,0xf7003bff,0x03bf221b,0x2e0f7f40,
    0x0fa8003f,0xfd0003f3,0x30001bff,0xbffffffb,0x5c0f9001,0x3ff22007,
    0x204fffff,0x2dffffea,0x6677f4c0,0x3ff203fe,0x00ceffff,0x3fb2a7aa,
    0x03ffffff,0xfffecb80,0x001cffff,0xdfffd710,0x19ffffdd,0xfefdb800,
    0x7dc000cf,0x002eedef,0x003dcfe0,0xffffffb3,0x260009bf,0x1dc001ba,
    0x51000750,0x44001577,0x4c4000ba,0x551001aa,0x40cc0035,0x009acba9,
    0xabb98800,0x22000009,0x09abcbaa,0x09a88000,0x00d4c000,0x0573b800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30009d71,0x76e4c000,0x0880002c,
    0x13100000,0xeeeea800,0x5554eeee,0x10155555,0x10155555,0x800003f9,
    0x12dedba8,0x8b710079,0x500bdeb9,0xdddddddd,0x777774cd,0xd304eeee,
    0x03dddddd,0x00005f91,0x4fffc980,0xdfffb700,0x3bf22007,0xccdffd9a,
    0x3f6a02cc,0x0001dfff,0x8009fd10,0xfffffffe,0xffffd51f,0xff71017d,
    0x7fed417f,0x2600001f,0xeffdbdfe,0x3f2604ff,0x3ffff27f,0xff9301ef,
    0x3ee05fff,0x400cffff,0x40cfffa8,0x002fffda,0x3f766000,0x7f4404ff,
    0x0dffc88b,0x7cc27f40,0xb04fffff,0xffffffff,0xffb00009,0x7ffdc009,
    0xd86fffff,0xfd802fff,0x7fff65c2,0xdf700001,0x09fffb01,0x5dffffb6,
    0xffffffff,0x13fff600,0x01ffff70,0x6542fe40,0x0002fffd,0x09ffb000,
    0x7c40ff44,0x1ff900ef,0x900bff60,0xfffbdfff,0x540009ff,0x3a004fff,
    0xccccccce,0x03fff881,0x3fe206f8,0xfb80001f,0x027ffc06,0x87abffea,
    0x205fffe9,0xe805fff9,0x32000fff,0x3ffe200f,0x90000002,0x2ff409ff,
    0x3e09ff70,0x13fea07f,0x5c0bef98,0x8002ffff,0x004ffff8,0x2e0001f7,
    0x17cc05ff,0x0007ffa0,0xd805ff10,0x7fcc04ff,0xffe880df,0x1fffa01f,
    0x00bffee0,0xffe805e8,0x70000002,0x3fea09ff,0x20fffc01,0x3e606ff9,
    0x803f607f,0x8006fffa,0x004ffced,0x7c40009d,0x01f601ff,0x00007ffa,
    0xff900dfb,0x0fff8809,0x813ffee0,0x4401fffb,0xf3005fff,0x05ffd007,
    0x3ee00000,0x01ffd04f,0x7d45ffb8,0x3ffe207f,0xfb005f01,0x9fb800ff,
    0xfa804ffb,0x7fe40000,0xd009f105,0x440003ff,0xffb805ff,0x03ffc404,
    0xf102fff4,0xffb009ff,0x003ee00f,0x0000bffa,0x427fdc00,0xf9807ff8,
    0x3ffe20ff,0x01fff100,0x3fe60093,0x29f3000f,0xfe804ffb,0xf10001ce,
    0x01f703ff,0x0003ffd0,0x5c027fcc,0x7fc404ff,0x06ffc807,0x5c03ffec,
    0x5e802fff,0x005ffd00,0x3fee0000,0x807ff984,0x7f41fff8,0x0dff301f,
    0x0fff1000,0x9ff73740,0xfffffa80,0x7e4000cf,0xd005e84f,0x5c0003ff,
    0xffb803ff,0x03ffc404,0x2e03ffdc,0x7e402fff,0x17cc05ff,0x002ffd80,
    0x37b2a200,0xa84ffb8c,0xff800fff,0x82ffdc3f,0x80001ffb,0xf9005ff8,
    0x2027fdc1,0xfffffffe,0x3fe2001e,0x400be60f,0x36e21ffe,0x3ff200bd,
    0x04ffb804,0x5403ffc4,0x7fc407ff,0x7fffc05f,0x003f200f,0x55417fec,
    0x501aaaaa,0xdff957df,0xfff509ff,0x09ffd003,0x7d419ff7,0xf300003f,
    0x87f3007f,0x55404ffb,0xffffffdc,0x93ff6004,0x3ffa007d,0xffffff51,
    0x017ff201,0xf1013fee,0xdff500ff,0x01fffb00,0x0bfff7e6,0x3f6005e8,
    0xfffe982f,0x0dfb81bc,0x427fffc4,0xf802fff9,0xfff705ff,0x0003dfd9,
    0x200ffdc0,0x4ffb85e8,0xfffea800,0xfff3003f,0x74009f11,0xdbdfb9ff,
    0xff704fff,0x09ff700d,0xa807ff88,0xffa804ff,0xff1f902f,0x00be60bf,
    0xf902ffd8,0x07fdc01d,0x884fff98,0xff805fff,0x98ae884f,0x8000009a,
    0x0fc805fd,0x0004ffb8,0x003fffee,0x07de7fec,0x1dbffd00,0xa80fffa8,
    0x7dc01fff,0x3ffc404f,0x801ffdc0,0x2bf05fff,0xfc80fffc,0x0bff6000,
    0xff1013ea,0x04ffe809,0x4403fffb,0x27c43fff,0xf8800000,0x817d400f,
    0x40004ffb,0x3005fffa,0x800bffff,0xfd00dffe,0xbfff105f,0x404ffc80,
    0x6c00fff8,0xff9000ff,0xf32fa81f,0x00bf07ff,0x7dc2ffd8,0x00ffc804,
    0xf8827fe4,0xff700eff,0x003fd85f,0x07fb0000,0x3ee04f88,0xfb80004f,
    0x3ffa007f,0x7ff4002f,0x40fff201,0xf504fffd,0xff8809ff,0x0ffe201f,
    0x42fff980,0x237ff47c,0x7ec002f9,0x200fee2f,0xfb807ff8,0x3ffee04f,
    0xffeb98ae,0x3ffe20ff,0xabccccce,0x2fcc0002,0x3ee036c0,0xfd00004f,
    0x3fea001f,0x1ffe8007,0x440fff20,0xa9bdffff,0x404ffcec,0x3205fff8,
    0xfff8006f,0x3ff227c5,0x2001f20f,0x05f92ffd,0x201bfe60,0x7cc04ffb,
    0xe9dfffff,0xfffe86ff,0xffffffff,0x1dd0003e,0x5c01fb80,0x700004ff,
    0x7f4005ff,0x1ffe8003,0xa813ff20,0x5fffffff,0xf8809ff7,0x7dc0cfff,
    0xffc8000e,0xf983f50f,0x0017e3ff,0x13f6bff6,0x805ffb80,0x98804ffb,
    0xfff30acb,0xffffb105,0xffffffff,0x00fd8009,0x555577c4,0xdffdaaaa,
    0x260002aa,0x3f2001ff,0x1ffe8000,0x3013ff20,0x5c9fffff,0x7fc404ff,
    0xfedefeaf,0x3fe60004,0x3fa0fb3f,0x0005f36f,0x5fffbffb,0x01bff200,
    0x00013fee,0x3a20fffb,0x95555331,0x2001ffb9,0xffa801fc,0xffffffff,
    0x07ffffff,0x001fe200,0x3fa000bd,0x13ff201f,0x2e055cc0,0x7fc404ff,
    0x00375317,0x23bffa00,0x3fff704f,0x3f6000f9,0x00fffdaf,0xb807ffc8,
    0x260004ff,0x3e883fff,0x4017dc00,0xff5002fa,0xffffffff,0x0fffffff,
    0x0037c400,0x3a0005f5,0x3ff201ff,0xffb80004,0x03ffc404,0x3fee0000,
    0xff101fbf,0x20009f9f,0xffe8affd,0x0fffb806,0x0027fdc0,0x360bff90,
    0x01f8000f,0x310017cc,0x33333333,0x333bff93,0x027d4000,0x74000db0,
    0x3ff201ff,0xffb80004,0x03ffc404,0x3fe20000,0x7ff406ff,0xfb0002ff,
    0x17ffe65f,0x807fff50,0x10004ffb,0xff501fff,0x40798001,0x000003f9,
    0x00013fee,0x5f50036c,0x0fff4000,0x0009ff90,0x8809ff70,0x000007ff,
    0x403fffe8,0x0007fffb,0xffa8bff6,0x3ffe203f,0x027fdc06,0xb02ffe80,
    0x7cc009ff,0x400fe602,0xffb80049,0x7002a204,0x442aa03f,0x7f40005e,
    0x13ff201f,0x13fee000,0x000fff10,0x3fff7000,0x04fff880,0x90bff600,
    0x7e403fff,0x3ff204ff,0x1ffd8005,0x2fbfff20,0x03fc9881,0x2e200fe6,
    0xffb8001f,0x02fffa04,0x7fe40bf2,0x0000efef,0xf9017ff4,0xf900009f,
    0xfff880bf,0x44000000,0xffb006ff,0x7ff40003,0x00fffe82,0x2e13fffe,
    0x0088ffff,0xc800efd8,0xffffffff,0x2a01efff,0xeeeeeeff,0x006ffffe,
    0x6c09ff70,0xfdceffff,0x3fff601e,0xf80001ff,0x3ff202ff,0xffe80005,
    0x17ffd406,0x7ec00000,0x00ff5003,0x883fff80,0xd300efff,0xbd9bffff,
    0x03dffff9,0x00067f4c,0xffffff91,0xffa805df,0xffffffff,0x0004ffff,
    0x7cc09ff7,0x03dfffff,0x01cfff98,0x5fff9800,0x01ffff10,0xfffb7100,
    0x7e5c17bf,0x003cffff,0x003ea000,0x300027c4,0x3f60bfff,0xfb101eff,
    0x3ee9ffff,0xfdb981cf,0x440000cf,0xf10009a9,0xffffffff,0x03ffffff,
    0x013fee00,0x40002aa6,0xea800009,0x8effffff,0xffffffd9,0x2aa2000e,
    0x20aaaaaa,0xaaaaaaaa,0x1c000002,0x20006e00,0xefffffeb,0xfffff90e,
    0x2ea207df,0xc802ea09,0x000001ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7775c000,
    0x05eeeeee,0xeeeeee98,0xddddd93e,0x403ddddd,0xeeeeeeea,0x00fc983e,
    0x77440110,0xeeeeeeee,0x20004eee,0xd1000008,0xdddddddd,0x3bbbaabd,
    0x754004ee,0x2eeeeeee,0xddddddd3,0x359999dd,0xdddd3000,0x00001bdd,
    0x3bbbbbb2,0x3bbbbba4,0x36e5eeee,0x3ffff263,0x93000adf,0xb887dfff,
    0x02effffe,0x07fff6a0,0x003fffaa,0x7e407f91,0xffffffff,0x0003ffff,
    0x10000136,0x19fffff7,0xffffda88,0xffda8003,0xffda80be,0xffeeffff,
    0x44000eff,0x03ffffe9,0xffff8800,0xffb880cf,0x3ea1cfff,0x7ffe41ff,
    0xffd0000f,0x37ffd401,0x81ff8800,0x00fffecb,0x407fff91,0xffffffff,
    0x01ffffff,0x000ff100,0x0ffff600,0x07ffff20,0x003fe200,0x7541fffa,
    0x88003fff,0x0006ffff,0x02ffffc8,0xb84fffc8,0x7fc43fff,0xfb0001ff,
    0x4fff8807,0x301fa000,0xec881fff,0xf503ffff,0x555559bd,0x000df955,
    0x00017fe4,0x00fffe40,0x00ffffc8,0xfb007e80,0xfffe80ff,0xfffe8004,
    0x3e20002f,0xb800ffff,0xfe882fff,0x3fffc80e,0x100df000,0x40009fff,
    0x0fff807e,0x3fff88c4,0x36001db0,0xff10003f,0x700000df,0x2e003fff,
    0x8006ffff,0xfff9006e,0x0ffff980,0x7fffec00,0x3bee0006,0xfa800fff,
    0x880601ff,0xa8006fff,0x9fff002f,0x403ec000,0x7f400fff,0x000e883f,
    0x5c0007fe,0x0001ffff,0x00fffdc0,0x5fffffb8,0xc8037400,0xffe807ff,
    0x5fec003f,0xd0002fff,0x200fff9d,0x0001fffa,0x0007fff6,0x7ffc00fb,
    0x01f60004,0xfb003ffe,0x4001307f,0x3a0006fa,0x0004ffff,0x00fffdc0,
    0xffffafb8,0x401ba003,0xfc807ffc,0x7ec004ff,0x8005fff8,0x07ffcbfa,
    0x003fff50,0x027ffcc0,0x7c009f10,0x360004ff,0x00fff807,0x0001ffec,
    0x98001fe4,0x00fffdbf,0x3ffee000,0xf53f7001,0x3a003fff,0x0fff9006,
    0x009fff90,0x3fff97d8,0xff97e800,0x3ffea00f,0x7ff40001,0x01f9000f,
    0x0027ffc0,0xfff00fb0,0x03ffd801,0x001ff800,0xfff51fb0,0x7dc00007,
    0x3f7001ff,0x003fffee,0x7fe401ba,0x3fffe807,0xff8bec00,0x4fe6005f,
    0xf5007ffc,0xa80003ff,0xbf003fff,0x04fff800,0x3e01f600,0x7fec00ff,
    0x37d40003,0x3a4f8800,0x200006ff,0x7001fffb,0x77ffec3f,0xc8037400,
    0x7fc407ff,0x3ec000ff,0x2001fffb,0x0fff90fd,0x007ffea0,0x01bffe00,
    0xff000bea,0x3ec0009f,0x2007ffc0,0x40003ffd,0xf90003fc,0x00fffdc3,
    0x1fffb800,0xfe83f700,0x037405ff,0x7407ffc8,0xd8003fff,0x013ffe67,
    0x7ffc93e6,0x03fff500,0x5fff7000,0xf8007e80,0x360004ff,0x00fff807,
    0x0001ffec,0x7c0007fe,0x02fffc45,0x1fffb800,0xf883f700,0x1ba03fff,
    0x983ffe40,0x0003fffd,0x0fffd8fb,0xff907e40,0x3ffea00f,0xff880001,
    0x013e606f,0x0013ffe0,0xfff807d8,0x01ffec00,0x000df300,0x3ff60bea,
    0xfb80000f,0x3f7001ff,0x05ffff30,0x7fe401ba,0xffdba99f,0x360001df,
    0x01fffd47,0x7ffc8bf1,0x03fff500,0x3fff6000,0x0001f901,0x40009fff,
    0x0fff807d,0x001ffec0,0x20007f90,0x7fff306e,0xfff70000,0x407ee003,
    0xe81ffffa,0xffff9006,0x01bfffff,0xfd0fb000,0x20fe40ff,0xf5007ffc,
    0x200003ff,0xbf04fff9,0x13ffe000,0xf807d800,0x7fec00ff,0x07fe0003,
    0xe80fe600,0xb80007ff,0xf7001fff,0x77ffe403,0xfc803740,0x3fffa27f,
    0x87d80000,0xf883fffa,0x007ffc86,0x2603fff5,0x3ffa001c,0x0017d40f,
    0x0004fff8,0x3ffe01b6,0x01ffec00,0x0006f980,0x7fd401fb,0x7dc0002f,
    0x3f7001ff,0x45fffd80,0xfff9006e,0x006fff98,0xffd07d80,0xf905f70d,
    0x3fea00ff,0x0fff981f,0x87fff500,0x3fe0006e,0x1ba0004f,0xb003ffe0,
    0x320007ff,0x4f88003f,0x005fff80,0x00fffdc0,0x74401fb8,0x01ba4fff,
    0x7dc3ffe4,0x6c0003ff,0x85fff707,0x0fff906e,0x207ffea0,0x2003fffc,
    0x0fe67fff,0x05fff800,0x3e01ba00,0x7fec00ff,0x03ff0003,0xfffff900,
    0xffffffff,0x7dc0003f,0x3f7000ff,0x5ffff300,0x7fe401ba,0x03fffb07,
    0xff03ec00,0xc81fd4df,0xff5007ff,0x1fff303f,0x97ffdc00,0x3e0000fc,
    0x3e0005ff,0x00fff805,0x4001ffec,0xdf0006f9,0x55555555,0x009fff75,
    0x003ffdc0,0x3ea003f7,0x006e9fff,0x3e20fff9,0xb0000eff,0x8fffe40f,
    0x1fff207e,0x80fffd40,0x7c4000b8,0x005f8eff,0x0037fec0,0xff804f88,
    0x1ffec00f,0x001fe400,0xfb0017d4,0x2e0001ff,0x3ee006ff,0x3ffee001,
    0xff9006ef,0x2fffd40f,0x2207d800,0x04f9dfff,0x5401fff2,0x00001fff,
    0x2fcfffc8,0x7ffe4000,0x02fa8000,0x6c00fff8,0xfe8003ff,0x006e8001,
    0x001fffd4,0x2005ffb8,0x7ec001fb,0xf9006fff,0xfffc80ff,0x407d8002,
    0x00fefffc,0x5401fff2,0x57101fff,0xffff3000,0xff30000d,0x1fb0007f,
    0x801fff00,0x4c003ffd,0x3f98006f,0x06ffe800,0x04ffb808,0x20007ee0,
    0x9006fffe,0xffd00fff,0x07d8003f,0x027fffc4,0x2003fff2,0xfd01fffa,
    0xffd0009f,0x3600007f,0x2e000eff,0x1fff003f,0x003ffd80,0x6c001fe4,
    0xffc8000f,0x83ff602f,0x2e001ffb,0xff88001f,0xfffb006f,0x1dfff300,
    0x6c03ec00,0x7e401fff,0xffa800ff,0x6fff882f,0x0fffa800,0xfff10000,
    0x6fc8801d,0x007ffe00,0xe8007ffb,0x2fcc001f,0x6fff9800,0x649fff10,
    0x17e4004f,0x06ff9800,0x001fffd0,0x001dfff7,0xff3003fa,0x3fffb00b,
    0x07fff700,0x4000fffa,0x400005ff,0x8acfffe8,0x05ffeca8,0x00bffe20,
    0x4c007ffb,0x3fe8006f,0x3fffe000,0x15fffb02,0xffa800dd,0xdf70001d,
    0xbffff500,0xffffb001,0x3ff22037,0x00ff400c,0x1bffff71,0x77fff540,
    0x40003500,0x800001fb,0xfffffeb8,0x4002dfff,0x2604fffb,0x9000efff,
    0x7e44009f,0xfa8000ef,0x4c0bffff,0x00dfffff,0xfffffe88,0x6c8005ef,
    0xffffdd30,0x4407dfff,0x1ffffffe,0xffffffd3,0x441aa07d,0xfffffffe,
    0x3fffa4ef,0x05efffff,0x00244000,0x6554c000,0x54000aac,0x5efffffe,
    0x3fffffb6,0x065c03ef,0xfffffc80,0xffa802ef,0x3fffffff,0x0001bb98,
    0x00500000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdddd1000,
    0x5ddddddd,0xeeee9800,0x43eeeeee,0xeeeeeeea,0xdddd505e,0xdddddddd,
    0xdddddddd,0x3bbbba65,0xbccceeee,0x77774401,0x3eeeeeee,0xeeeeee88,
    0x3bba65ee,0xeeeeeeee,0x4eeeeeee,0x3bbbbba2,0xeeeeeeee,0x4c3eeeee,
    0xeeeeeeee,0x1abcccee,0x3bbb2000,0xeeeeeeee,0x0deeeeee,0xddddddd3,
    0x5599bddd,0x3f260003,0x009bffff,0x3fff6600,0x3ee201ef,0x3201dfff,
    0xffffffff,0xffffffff,0x6d43ffff,0xfeffffff,0x2601efff,0xffffffeb,
    0x7ff4c01d,0xfd9809df,0xcccccfff,0x86ffffec,0xccffffc9,0xfedccccc,
    0xffb504ff,0xfddfffff,0x017bffff,0x77fffec0,0xeeeeeeee,0xda83ffff,
    0xccefffff,0x0cffffed,0x3fffe800,0x7ff40000,0xfff9801f,0x01efc801,
    0xd510bfff,0x3fffe09f,0x3fff6a20,0xffffa804,0x7ff7000f,0x01fffe00,
    0xfd81bf62,0xbf7000ff,0x01fffe80,0x5ffffd53,0x006ffa00,0x202fffdc,
    0x7dc07ffe,0x64001fff,0x00001fff,0x4007fff4,0xdb000efd,0x02fffc01,
    0x3ff609d1,0x1bfffa07,0x0ffffe60,0xd0017ec0,0x36c00fff,0x001fff90,
    0x3ff602e4,0xffff7007,0x4007f009,0x400ffff9,0xe8807ffd,0x2e001fff,
    0x00000fff,0x5c03ffec,0x01ec005f,0x95017ffe,0x881fff60,0xb803fffe,
    0xfb807fff,0x3ffec004,0x7dc0d300,0x1a6000ff,0x400fff90,0x403fffe9,
    0x7fff4007,0x07ffc802,0x00dfff30,0x0007ffdc,0x01fff200,0x1b000bf7,
    0x405fff80,0x0fff9058,0x006fffc8,0x4c09fffb,0xffd8005f,0xf7034007,
    0x068001ff,0x2003ffe4,0x102ffff9,0x7ffe400b,0x0fff9005,0x00fffec0,
    0x000fffb8,0x03ffe400,0x06000bf5,0x2017ffe0,0x80fff901,0x800ffffa,
    0x881ffff8,0xfd8000ee,0x2e00007f,0x00000fff,0x4003ffe4,0x7107fffc,
    0x3bffe600,0x0fff9000,0x01fffdc0,0x000fffb8,0x83ffe400,0x000005fb,
    0x0002fffc,0xf880fff9,0xf5000fff,0x03fb0dff,0x01fff600,0x0fffb800,
    0x7fe40000,0xfff88007,0x3a20002f,0x32001fff,0x3ee007ff,0xff7003ff,
    0xc800001f,0x0efb87ff,0x7fc00000,0x3f20005f,0x7ffcc07f,0x7ffe4007,
    0x8000bf24,0x1c407ffd,0x00fffb80,0xff900298,0x3fee000f,0x3f20005f,
    0x7e4004ff,0x3ff6007f,0xfff7000f,0xfc800001,0x006fe47f,0x7ffc0000,
    0x3ff20005,0x37ffd407,0x3fffa200,0x40004fa9,0x24c07ffd,0x00fffb80,
    0xff9003b8,0x3fea000f,0xfa8000ff,0xfc8006ff,0xfff1007f,0x7ffdc00b,
    0x7e400000,0x0037f27f,0x7ffc0000,0x3ff20005,0x1fffec07,0x77ffcc00,
    0xfd80006f,0x8026407f,0xe800fffb,0x0fff9003,0x3fffe200,0x7ffc4001,
    0xffc8001f,0xfffe8807,0x3ffee002,0x7e400000,0x001dfb7f,0x7ffc0000,
    0x3ff20005,0x1bffea07,0xffffc800,0xffd80000,0xdb99999f,0xfff7004f,
    0x33333333,0x3f2007fb,0x3fe0007f,0x7ec002ff,0xf90003ff,0x3ea201ff,
    0x5c001eff,0x00000fff,0x7fefffe4,0x0000002f,0x80017ffe,0xff707ffc,
    0xe80001df,0x80002fff,0xfffffffd,0x7004ffff,0xffffffff,0x007fffff,
    0x8001fff2,0x2003fffe,0x0005fffb,0x3ffffff2,0x3ffffffe,0x1fff7000,
    0xffc80000,0x02ffffcf,0xfff00000,0x7fe4000b,0xfffeeeff,0xf700003f,
    0x80001fff,0xaaaafffd,0x7004fdba,0x33333fff,0x007fd753,0x8001fff2,
    0x1003fffe,0x0001ffff,0x5567ffe4,0xfffffecb,0x7fdc001c,0x6400000f,
    0xffff97ff,0xf0000005,0x64000bff,0x555537ff,0x7cc00003,0x0005ffff,
    0x3603ffec,0x1fff7004,0x9003e880,0x7c000fff,0xfd002fff,0xc80005ff,
    0x7ec407ff,0x2e004fff,0x00000fff,0xff93ffe4,0x000005ff,0x0005fff8,
    0x0001fff2,0x3a3ba200,0x20002fff,0x24c07ffd,0x00fffb80,0xff9003b8,
    0x3fe2000f,0xffc800ff,0xfc80005f,0xfff7007f,0x3fee007f,0x6400000f,
    0x7ffe47ff,0x2000002f,0x20005fff,0x00007ffc,0xff30fd80,0x360001ff,
    0x024407ff,0x800fffb8,0xfff9003a,0x3ffe6000,0xffff9807,0xffc80000,
    0x3ffee007,0xfffb801f,0x7e400000,0xffffc87f,0xff000002,0x7e4000bf,
    0x4000007f,0x7ffe42fc,0xfffb0005,0x7fdc0000,0x6400000f,0xf50007ff,
    0xfe880dff,0x900002ff,0x7c400fff,0xfb803fff,0x400000ff,0xff907ffc,
    0x000005ff,0x4000bfff,0x00007ffc,0x3a213ea0,0xd8002fff,0x200007ff,
    0x0000fffb,0x003ffe40,0x402fffe8,0x0004fffc,0x001fff20,0x7009fffd,
    0x10001fff,0x81fff20b,0x002ffffc,0x02fffc00,0x00fff900,0x817e6000,
    0x000ffffa,0x0003ffec,0x001fff70,0x3ffe4060,0x37ffd400,0x01bffea0,
    0x7fe40e20,0x7ffec007,0x0fffb804,0xf902c800,0xfffc80ff,0x3e00002f,
    0x320005ff,0x800007ff,0x7e400ee8,0x7ec005ff,0x2e00007f,0xc8000fff,
    0x00fff903,0x01ffff88,0x007fffe2,0x7fe40b20,0x7fff4007,0x0fffb801,
    0xd807cc00,0xffc807ff,0xf00003ff,0x6c000bff,0x800007ff,0xff8801fd,
    0x3f6003ff,0x2e00007f,0x4c000fff,0x0fff900f,0x04fffc80,0x001fffec,
    0xfff901f8,0x3fffcc00,0x01fffc80,0xfd817a20,0xfff9007f,0xff00007f,
    0x7ec000bf,0x6c00007f,0x3fea003f,0xffb000ff,0x7e40000f,0x374000ff,
    0x200fffb0,0x403fffe8,0x0006fffb,0x3ffec0f9,0x3fffe880,0x07fffb00,
    0xe80ffea0,0xff000fff,0x0001bfff,0x001bffe2,0x000fffe8,0x007fd880,
    0x00effff8,0x000fffe8,0x03fffb00,0xe80ff620,0xffa807ff,0x7fc400ef,
    0x644000ff,0x1fffa06f,0x0ffffaa0,0x7ffffcc0,0xedccccce,0xb880ffff,
    0x8804ffff,0xbfffffff,0x3ff66001,0x54000bff,0x000cffff,0x0bfffea0,
    0xfffff980,0xffb880be,0x980004ff,0xaabeffff,0xffccbaaa,0xffff500f,
    0xfd95579d,0x3a007fff,0xccccefff,0xdccccccc,0xfb885fff,0xaaccefff,
    0x1efffecb,0x7fff7440,0xffffffff,0x46ffffff,0xffffffe9,0xffd83eff,
    0xffffffff,0x3ffae01f,0x1effffff,0x3fffba60,0x003effff,0x3ffffff2,
    0x3faa02ef,0xffffffff,0xfffffd33,0x4007dfff,0xfffffee8,0xffffffff,
    0x74c5ffff,0xfffffffe,0x1abcefff,0x3fffee00,0xffffffff,0xffffffff,
    0x3ffffa63,0xffffffff,0x000aceef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xeeeeeee9,
    0xeec83eee,0xeeeeeeee,0xdddddd71,0x5403dddd,0xeeeeeeee,0x37220002,
    0x00110002,0x00000000,0x5cc00000,0x5300bded,0x03555555,0x54555553,
    0xa982aaaa,0x3000aaaa,0x0039bd97,0x0379dd95,0x5e76e440,0xffc982b9,
    0x2200aeff,0x1cffffea,0xfffffe98,0xfc8800af,0x6400bfff,0x03ffee01,
    0x30013a00,0x0000007d,0x07dc4000,0x7edf7ec4,0xffd983ff,0xb981beff,
    0x3eea3eff,0x764c0fff,0xfc803fff,0x05ffebbd,0xff75bfd3,0x7bf700bf,
    0x407fffb5,0x2001fffe,0xc806fffa,0x8003ffff,0xf8801eff,0x07fff201,
    0x10013a00,0x00019ffd,0x32600000,0x1de885ff,0xb81fffcc,0xfd803fff,
    0x01fff301,0x880fffe2,0x5ffe82fe,0x7ec27fcc,0x213e604f,0x3f603fe8,
    0x3e6000ff,0xffb004ff,0xff88009f,0x403f7001,0xd0005ff9,0x3f660009,
    0x000001df,0x19ffb500,0x7dc03f60,0x9ffd00ff,0x7c409f00,0x3ffa00ff,
    0x5c13f603,0x3ff61fff,0x207ff981,0x07f101fd,0x2003ffec,0x1004fff8,
    0x4003ffff,0xff5003fb,0x40001003,0x6440004e,0x00002eff,0x3efeb880,
    0xf101fd40,0x3fea0bff,0x2007cc07,0x3f600fff,0x01ff503f,0xfe8bffe2,
    0x01fff01f,0x03d80ffe,0x2001fff2,0x2e004fff,0xf1005fff,0x3ffe200b,
    0x74000001,0xd7100004,0x000017ff,0x02dffc88,0xff803fd0,0x0bffe06f,
    0xfff805d8,0x40fff600,0x26d405fe,0xfff81bf2,0x201dff00,0x1fff203a,
    0x013ffe00,0x007fffb0,0xff5001fb,0x015559ff,0x004e8000,0xcffea800,
    0x7ecc0000,0x3e2001cf,0xffffffff,0x2e07ffff,0x05f105ff,0x6c01fff0,
    0x4ff983ff,0xf9806000,0xfffb00ff,0xfff90007,0x09fff000,0x0ffff880,
    0x2e00fea0,0xffffffff,0x7400001f,0x26000004,0x4001dffd,0x000befeb,
    0x999aff98,0x19999999,0x207ffe20,0x1fff006b,0x541ffec0,0x200003ff,
    0x0fffeeb8,0x5dffff50,0x03ffe400,0x0027ffc0,0xd02fffdc,0x3ffd000d,
    0x4e800000,0xc8800000,0x32202eff,0x40002eff,0x00001ffa,0x0fa13ff6,
    0xb007ffc0,0x7ff707ff,0xbf910000,0xb803ffe3,0x01efffff,0x8007ffc8,
    0xd0004fff,0x3f905fff,0x03ffd000,0x04e80000,0x75400000,0x3ff624ff,
    0xf700001c,0x4c00007f,0x03ea0fff,0xb007ffc0,0x9ff907ff,0x1efc8000,
    0x26007ffc,0x03fffffe,0x4003ffe4,0x30004fff,0x7cc1ffff,0x3ffd0004,
    0x33322000,0xefcccccc,0xcccccccc,0x7100000c,0x7ff44dff,0xf500000b,
    0xe800009f,0x801363ff,0x3f600fff,0x05ffb83f,0x2037f600,0xf5000fff,
    0x6409ffff,0xff8007ff,0x3ee0004f,0x003ba4ff,0x000fff40,0xeeeeee98,
    0xeeeffeee,0x00eeeeee,0x6ffe4400,0x39ffb502,0xfff98000,0xf7005000,
    0x8007e2df,0x3f600fff,0x0fffa83f,0x07fec700,0x4000fff8,0x900ffffb,
    0xdddddfff,0xfddddddd,0xe80009ff,0x02fb9fff,0x007ffa00,0x009d0000,
    0xffd98000,0xff93000c,0x3e20005d,0x069804ff,0x0d95fff0,0x200fff80,
    0xff983ffd,0xf349804f,0x07ffc0bf,0x3ffe6058,0x99fff903,0x99999999,
    0x009fff99,0xfefff980,0x7ff40005,0x74000001,0xd5000004,0x200017df,
    0x00beffb8,0x017fff40,0x7fe4013a,0x7f4003fd,0x0fff601f,0x100ffff4,
    0x817fee3d,0x01f01fff,0xfc82ffe4,0xfff8007f,0xffc80004,0x740000ff,
    0x32e201ff,0x009d0000,0x6ffe4400,0x75400002,0xf3000cff,0xf9309fff,
    0x3ffe2001,0x7fec000f,0x07fff903,0x207fffea,0x3ffea6ea,0x11fffa80,
    0xff301fc1,0x01fff207,0x0013ffe0,0x002fffc0,0xd00fff40,0xd0005fff,
    0xfb300009,0x0000039f,0x01dffd98,0xdfffffd8,0x4003ffec,0xb8004ffd,
    0x33a62fff,0xd808effd,0xfcceffff,0x3ffe20ff,0xfffdb11d,0x0ffc1d37,
    0xf901ffa8,0xfff000ff,0x3fe00009,0xfe80005f,0xffff301f,0x009d000b,
    0x05fff540,0x22000000,0x2202effc,0xfffffffd,0xffa8004f,0xfffd0001,
    0x3ff69fff,0x7ec40dff,0x2fffffff,0xffffffd8,0x83ffffb4,0x3a20cfff,
    0x1fff202f,0x013ffe00,0x02fffc00,0x00fff400,0x001ffffd,0xfb8004e8,
    0x000002ef,0x7ffd7000,0x7ffffdc0,0x1ba0002f,0xfffe9800,0x033ff63f,
    0xbfffff90,0x3ffee201,0x07bfea2f,0x377fffbe,0x7fe402ef,0x4fff8007,
    0xbfff0000,0x3ffd0000,0x0fd55440,0x30013a00,0x000003bf,0x3f6a0000,
    0x00dd4c00,0x0000d400,0x01540dcc,0x00055cc0,0x08062013,0x4006aea2,
    0xf8007ffc,0xf00004ff,0xd0000bff,0x1ae005ff,0x10013a00,0x00000001,
    0x00006000,0x00000000,0x00000000,0x00000000,0x4003ffe4,0x00004fff,
    0x0000bfff,0xd0187ffb,0x009d0007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8800fff9,0x00004fff,0x0000bfff,0x3911dff9,
    0x50001f30,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1fffb000,0x27ffc400,0x5fff8000,0xfffa8000,0x01fc83ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ff40000,0x3fe6000f,
    0xf880005f,0x700006ff,0xce887dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x005ffffb,0x05ffffb3,0x7ffecc00,
    0x300000bf,0x00000220,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffe98,0xec83efff,0xffffffff,0xffd7001e,0x3dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaaaa9800,0x2aaaa1aa,0x5540aaaa,0x5cc01aaa,
    0x22001bdd,0x5eed41eb,0x2aaaa600,0x2aaa1aaa,0x36e202aa,0x805eedc1,
    0x000addb9,0x66d43b71,0xaaaaaa80,0xaaaaaaaa,0x00274c01,0x80200040,
    0x85b50100,0xeeeeeee9,0xeeeeeeee,0x530eeeee,0xea800355,0x2e1cffff,
    0x0beffffd,0x8177fed4,0xffdbbefc,0x3ff6600e,0xfffff31f,0x3fb2601d,
    0x3aa1efff,0xfc983eff,0xfffd32ff,0x7fec47ff,0x64c05fff,0xfffb1fff,
    0xffffff0d,0xffffffff,0x00ffc807,0xf801b200,0x22ffc45f,0x3ffee5ff,
    0x3bbbba65,0xeeeeeeee,0x0eeeeeee,0x000bffd1,0xfe81fffa,0x106f807f,
    0xfff309fd,0xfffdb705,0xffd7df53,0xffe880bf,0x505fb82f,0xf55fffdb,
    0x1ffffb7b,0xff959dd1,0x3fb6e07f,0xfffeb9ff,0x2201ef87,0xfd805fff,
    0xff10000f,0x3fff5007,0xfa87ffd4,0xffffd1ff,0x20000001,0x30007ff9,
    0x3e601fff,0x817cc07f,0x3fe606fc,0x9fff101f,0x1fffa81d,0x237ffc40,
    0xff8806f8,0x7f4c0ecf,0xffa84ecf,0x67ffc407,0x1f07d915,0x40effe80,
    0x71fee1ba,0x3f7b6007,0x0fffdc00,0x3ea1fff7,0xffff71ff,0x40000007,
    0xb0002ffa,0x7ff405ff,0x7d41b202,0x2fff402f,0x740bfff0,0xffa802ff,
    0x4003f23f,0x3f205ffe,0xfff102ff,0x0fffe801,0xffc80f00,0x97ffc41f,
    0x0fff65f9,0x09f15f50,0x2a0fffa8,0xfff30fff,0x02745cc1,0x3ee00000,
    0xdff50004,0xf02ffdc0,0x007ff607,0x3a05fff5,0x3ff201ff,0x1fff9003,
    0x7ec005f5,0x1bfee02f,0xe803fff0,0x806002ff,0xfb03fffa,0x3a2fe5ff,
    0x2f402fff,0x7fc403f7,0xf13ffcc7,0x007e20ff,0x1f200000,0x00fff800,
    0xf501fff9,0x401ffe01,0xffd04fff,0x027fe403,0x4fdffe88,0x017fec00,
    0xfd80dff3,0x0fff402f,0x7ffc4000,0x3ffb2205,0x2dffebdc,0x1ba0fe40,
    0xdff0bff0,0x4d705ff8,0xccccccc8,0xcccccccc,0x200ccccc,0xff90001d,
    0x9ffdf107,0x3fe20bb0,0x0dffd006,0xfb807ffa,0x3fe6004f,0xffd8006f,
    0x01bfe602,0xfe805ffb,0xfe80001f,0xb71000ef,0x220039df,0x202fa84f,
    0x44fe84fe,0x4c7d04fd,0xffffffff,0xffffffff,0x0400ffff,0x86ff9800,
    0x447ff9ec,0x0dff702f,0x741fff60,0x3fee01ff,0x7ffe4004,0x17fec000,
    0xd80dff30,0x7ff402ff,0x7fe40001,0xf951001f,0xb0017bdd,0x403f601f,
    0x43fd82fc,0x0274c3fc,0x00000000,0x887ffa00,0x5c5ffd2f,0x01fff207,
    0xfe83ffe4,0x13fee01f,0x0bfff500,0x202ffd80,0x7ec06ff9,0x0fff402f,
    0x7fff5000,0x3fffb300,0x07fffb5b,0x4f880bea,0x3f703f70,0x0bb21fa8,
    0x0159db50,0x44444580,0x40008888,0xb9ae4ffb,0xb813a5ff,0xfb800fff,
    0x03ffd05f,0x10027fdc,0x007fffbf,0xf3017fec,0x2ffd80df,0x000fff40,
    0x005fff88,0x4fe3ffff,0x5e81fffd,0x7981fc80,0x0f981f50,0x3fff2006,
    0xa801dfff,0x3ffffea6,0x2002ffff,0x88fa7ff8,0x01f98fff,0x2007ffea,
    0xffd03ffc,0x027fdc03,0x3ffeebb0,0x05ffb000,0x36037fcc,0x7ff402ff,
    0xdffb0001,0x1dff1001,0x3ffc97e6,0x5e800fe4,0x20b10588,0x8e7d4005,
    0x0beffeb9,0x7ffd49b0,0x02ffffff,0x7d57fec0,0x365ffec0,0x013ffe20,
    0x7f407ff2,0x13fee01f,0xffd07e40,0x0bff600d,0x6c06ff98,0x7ff402ff,
    0xfffc8001,0x0a882201,0x98531fee,0x0bea004f,0x6c000000,0x3fff2604,
    0x20ffcabd,0xddddddd9,0x7d4001dd,0xff984edf,0xffd802fe,0x207fd807,
    0x3ee01ffe,0x41fa804f,0xd803fff8,0x3fe602ff,0x017fec06,0x50007ffa,
    0x1b807fff,0x2007fec0,0x36c000fd,0xf8000000,0xfffb5000,0x000003df,
    0x807fffc0,0xf3007ffe,0x7fc405ff,0x80bffe03,0x7c404ffb,0x03fff704,
    0x2602ffe8,0x7fec07ff,0x017ff403,0x00bfff10,0x0ffc803b,0x20006a20,
    0x000000a8,0xa8800180,0x0000001a,0x2e04ffc8,0x3f2004ff,0x0bf901ff,
    0x9017ffc4,0x06e80bff,0xd0077ff4,0x7fcc07ff,0x027fec07,0xd800fffa,
    0x7c400eff,0x00164401,0x00000000,0x00000000,0xf3000000,0x0ffc403f,
    0x2bffee00,0x401bf910,0xf105fffb,0x3f601fff,0x77ffec06,0x05fff980,
    0x4c0bfff6,0x3ea06fff,0xfc800eff,0x99999aff,0x000ffca9,0x00000000,
    0x00000000,0x00000000,0x0db00bd0,0x3fffaa00,0x3a602dfe,0x36efffff,
    0xdffffffb,0x3ffffe61,0x7ffff441,0xfffd35ff,0x3f61ddff,0x54efffff,
    0xbffffffd,0x7fffff54,0xfff101ef,0xffffffff,0x0001ffff,0x00000000,
    0x00000000,0x00000000,0x00a6006a,0x00375100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_43_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-3,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_43_usascii_y[95]={ 34,7,7,7,6,7,7,7,7,7,7,10,30,23,
30,7,7,7,7,7,7,8,7,8,7,7,16,16,11,17,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,7,7,7,40,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,10,16,16,16,16,16,16,7,7,7,21, };
static unsigned short stb__times_43_usascii_w[95]={ 0,5,12,19,16,30,29,5,12,12,15,22,6,11,
5,11,18,11,18,16,19,16,17,17,16,17,5,7,22,22,22,15,34,28,24,24,27,23,21,27,28,12,15,29,
23,34,29,26,21,26,27,18,22,28,28,37,28,28,23,9,11,9,18,21,7,17,20,15,19,16,16,18,20,9,
11,20,9,31,20,18,20,19,14,13,11,20,20,28,19,20,17,11,2,11,22, };
static unsigned short stb__times_43_usascii_h[95]={ 0,28,12,28,31,29,28,12,36,36,16,22,11,4,
5,28,28,27,27,28,27,27,28,27,28,28,19,25,20,8,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,35,28,35,15,3,8,19,28,19,28,19,27,27,27,27,
36,27,27,18,18,19,27,27,18,19,25,19,19,19,18,27,18,36,36,36,6, };
static unsigned short stb__times_43_usascii_s[95]={ 255,239,190,22,148,165,42,203,1,41,155,
79,209,239,250,227,178,69,58,89,77,97,197,81,72,21,250,71,125,216,102,
223,54,99,227,125,175,151,129,150,1,237,128,25,1,202,144,196,78,121,174,
106,55,30,1,197,100,30,203,111,215,101,171,148,239,223,1,207,1,148,239,
39,135,245,89,235,59,90,49,30,176,156,122,241,59,186,165,1,70,114,137,
29,26,14,216, };
static unsigned short stb__times_43_usascii_t[95]={ 1,1,178,38,1,1,38,178,1,1,178,
151,178,187,116,38,38,96,67,38,67,67,38,96,38,67,96,151,151,178,151,
1,1,96,124,38,124,124,124,38,151,96,96,124,124,96,96,1,124,1,96,
38,124,96,96,67,124,151,124,1,38,1,178,33,178,151,38,151,67,151,38,
67,67,1,1,67,96,178,178,178,67,67,178,151,151,151,151,178,178,67,178,
1,1,1,187, };
static unsigned short stb__times_43_usascii_a[95]={ 155,207,254,311,311,518,483,112,
207,207,311,350,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,173,173,350,350,350,276,572,449,414,414,449,379,346,449,
449,207,242,449,379,552,449,449,346,449,414,346,379,449,449,586,
449,449,379,207,173,207,292,311,207,276,311,276,311,276,207,311,
311,173,173,311,173,483,311,311,311,311,207,242,173,311,311,449,
311,311,276,298,124,298,336, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_43_usascii_BITMAP_HEIGHT or STB_FONT_times_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_43_usascii(stb_fontchar font[STB_FONT_times_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_43_usascii_BITMAP_HEIGHT][STB_FONT_times_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_43_usascii_s[i] + stb__times_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_43_usascii_t[i] + stb__times_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_43_usascii_x[i];
            font[i].y0 = stb__times_43_usascii_y[i];
            font[i].x1 = stb__times_43_usascii_x[i] + stb__times_43_usascii_w[i];
            font[i].y1 = stb__times_43_usascii_y[i] + stb__times_43_usascii_h[i];
            font[i].advance_int = (stb__times_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_43_usascii_s[i] + stb__times_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_43_usascii_t[i] + stb__times_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_43_usascii_x[i] + stb__times_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_43_usascii_y[i] + stb__times_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_43_usascii_LINE_SPACING
#endif

