// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_44_usascii_BITMAP_HEIGHT        216
#define STB_FONT_times_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_44_usascii_FIRST_CHAR            32
#define STB_FONT_times_44_usascii_NUM_CHARS             95

#define STB_FONT_times_44_usascii_LINE_SPACING          28

static unsigned int stb__times_44_usascii_pixels[]={
    0xba988000,0x20001aac,0x000cc000,0x1a8800ee,0x00037100,0x5d440011,
    0x0009bded,0x3fffffee,0xfffffb7f,0x01900bff,0x42540000,0x9800002b,
    0x39db7104,0x02fc4000,0x10000f6a,0x9579dff7,0x80039fd9,0x3ae2003d,
    0x100bd004,0x7f4007fb,0x03aa002f,0x37fffa60,0x00dffffd,0xfccccca8,
    0x999ffb7f,0x03f00799,0xfeb88000,0x00007c87,0xbff985d8,0x90002ffb,
    0x7ffc401f,0xdfd98002,0x1eeb8801,0x00037200,0x05e801db,0x100067cc,
    0xb1009fff,0x9ff9001d,0x5ffd7301,0x6dffa000,0x2a2000ff,0x000acdfc,
    0x3ffffec0,0x00000fcc,0x1fe885f1,0x50007fea,0xfffb805f,0x067ec004,
    0x003fa800,0xff000bf2,0xf302f401,0x3ff6000b,0x006fcc01,0x200bffa6,
    0x8004ffd8,0x01ffb7fe,0xbfbff910,0x0017dffd,0x41fff610,0x2e00004e,
    0x7c37ec0f,0x13e2005f,0x017ffee0,0x0000ff44,0xf9002744,0x027e4005,
    0x017f40bd,0xe8801300,0x2fff8805,0x02fff400,0x7fedffa0,0x8e7f4400,
    0x09ffb11f,0x83ffd400,0x3600007c,0xfd84ff85,0x01db000f,0x00bfff70,
    0x00001df5,0xf88017c4,0x3ff3000f,0x3fdc17a0,0x7ec00000,0x06ffd800,
    0x02fff980,0x7fedffa0,0x3e37f400,0x00027e41,0x3e60fff3,0x2f880002,
    0x7e427fcc,0x01fa802f,0x809fff50,0x00000df9,0xf7000f98,0x0ffea00d,
    0x07fd82f4,0x27e40000,0x017ffd40,0x00effd80,0x3ff6ffd0,0xf0ffee00,
    0x0004f883,0x4e81ffe6,0x40fb8000,0xffc83ffb,0x0027c403,0x4407fff3,
    0x000000fe,0x3fe80132,0xd04ffb80,0x007ffa0b,0x07fd4000,0x01bffe20,
    0x04fffa80,0x3ff6ffd0,0xf07ff200,0x40009903,0x1ee07ff9,0x2e17a000,
    0x3ffb83ff,0x220036c0,0x3f602fff,0x44000002,0x03ff2007,0x3a09ff90,
    0x005ffd05,0x017fa000,0x000ffff2,0x01ffff88,0x1ffb7fe8,0x3e1fff40,
    0x20004a81,0x3e607ff9,0x0be20002,0x3f213fea,0x007ee02f,0x5c07ffe0,
    0x65cc005f,0x3602ea22,0x09ff5002,0xbd03ffd8,0x000fff60,0x3ff98110,
    0x02fffe80,0x17ffec00,0xffdbff40,0xf1bff200,0x4c007103,0xd01ffe61,
    0x07dc0009,0x7e42ffc4,0x009f101f,0x7c03ffa0,0x7db3000f,0x41ffeb93,
    0xfff1005b,0x817ff401,0x09ff905e,0x85fd7100,0xff801ffc,0x640001ff,
    0xfe804fff,0x5401ffb7,0x007e4fff,0x7fffedc0,0x5c07ff9c,0x817a0007,
    0x0ffe86ff,0x6c000dd0,0x009f507f,0xf99037ea,0x801aa0bf,0x3fe02ffe,
    0x2e0bd01f,0x326005ff,0x3e22ffff,0xfff9807f,0x7dc0000f,0x7fe805ff,
    0x7c401ffb,0x003f4fff,0x2e21bf90,0x4c07ffff,0x2f88002f,0xf883fea0,
    0x003f703f,0xfd83fec0,0x80efa801,0xf302fff9,0x027fec00,0x17a01fff,
    0x50027fd4,0x5c5fff95,0xffa807ff,0xfa80007f,0x7fe807ff,0xfb801ffb,
    0x001fdfff,0x7dc13f62,0x05e807ff,0x6400fb80,0x20bfb14f,0x640003f9,
    0x806f886f,0xff101ffb,0x801e201f,0x3f607ffc,0x7c417a06,0xfff0003f,
    0x4037fec5,0x0006fffb,0x00ffffa8,0x0ffdbff4,0xfffffc80,0x03ff2002,
    0xb807ffd8,0x005e8007,0x409ffdd7,0xfb80006e,0x4403fb85,0x3fe603ff,
    0xb801e606,0xff301fff,0x7d417a01,0xffd0000f,0x402fff45,0x0007fffb,
    0x00ffff98,0x0ffdbff4,0xfffff700,0x07ff1009,0x9807ffb8,0x0be2002f,
    0xfc803100,0x39fd7300,0x3f213ea0,0x203ff401,0x1a603ffa,0x02fffb80,
    0x82f40ff2,0x3a0002fd,0x13ffe2ff,0x01fffee0,0x1fffea00,0x7fedffa0,
    0x3ffa6000,0x3f600eff,0x3ffcc01f,0x2e005e80,0x4c00000f,0x35ff303f,
    0x07f305fd,0x7fdc01fb,0x00ffec03,0x7fd400b5,0x4076402f,0x002fa85e,
    0xf897ff40,0xffa803ff,0x5c0000ff,0xfe805fff,0x0001ffb7,0x05fffff9,
    0x9801fff1,0x0f7007ff,0x00002f40,0x2fe882f4,0x5f107fe2,0x7ff80fd0,
    0x6c07ff80,0x3ffe6004,0x21dfb803,0x0077aa5e,0x4cbff600,0xf9802fff,
    0x40001fff,0xe804fffc,0x001ffb7f,0x3fffffe0,0x403ffcc2,0xf1007ff9,
    0x005f1005,0xb00fc800,0xf0ffb0ff,0x7d40df03,0x27fd404f,0xf98007e0,
    0x3f6004ff,0x013eebd1,0x52ffd800,0x3a005fff,0x40002fff,0xe802fffd,
    0x001ffb7f,0x3fff67e0,0x01bfee2f,0xe801ffe6,0x0007b805,0xfd017cc0,
    0xf83ff70d,0xfb02fc41,0x2ffe803f,0xf1001aa0,0xbd5007ff,0x3dd52f43,
    0x5ffb0000,0x400fffe6,0x0004fffc,0xe8037ff4,0x001ffb7f,0x7ffdc7e0,
    0x00fff90f,0x5c00fff3,0x0005e807,0xf8817a20,0x42ffb85f,0x3e05f80e,
    0x7ffdc07f,0x30013600,0xec805fff,0x2fa85e80,0x97fec000,0x1004fff8,
    0x0001ffff,0x400bffe6,0x01ffb7fe,0xffb87e00,0x01fff93f,0x2007ff98,
    0x0be202f8,0x00fc8000,0x3ea17fea,0x20dd004f,0x3e205ff8,0x03ea06ff,
    0x03fff500,0x05e81fe4,0x6c0005fb,0x9fff12ff,0x1fffd400,0x06ffe800,
    0x7fedffa0,0xe83f0000,0x3fff55ff,0x007ff980,0x00f702f4,0x2017d400,
    0xffa84ffa,0x2a0fb004,0xf7d105ff,0x001f409f,0x9807ffdc,0x20bd00ff,
    0xb0000ff9,0x2fffc5ff,0x03ffee00,0x05fff300,0xffdbff40,0x41f80a00,
    0xfff36ffb,0x07ff9809,0x5e807dc0,0x0bf10000,0xf70bff10,0x03f2007f,
    0xd103ffe6,0x3605ff75,0xfff90006,0xbd037ec0,0x000ffe20,0xffb17fec,
    0x9ffb000d,0x02ffe800,0xffdbff40,0x0fc03a00,0x7fc53fe6,0x3fe600ff,
    0x417c4007,0xb00002f9,0x1bfe001f,0x2c98bfee,0xffd02fa8,0x2e5d7119,
    0x076c41ff,0x3ff60066,0xe81ffe05,0x009ff505,0xfa8bff60,0xfe88006f,
    0xffe8804f,0xb7fe8002,0x817401ff,0x71ffdc1f,0x7cc0bfff,0x2f4000ff,
    0xa80003dc,0x1ff6002f,0x7fc43ff6,0xf905f82f,0x4c3fffff,0x5fb88dff,
    0xfe801f88,0x07ffe01f,0x5ffb82f4,0x45ffb000,0x20007ff8,0x4409effb,
    0x0001effb,0x03ff6ffd,0xd83f06e8,0x7fff40ff,0x7fffd40e,0x03ee0033,
    0xf10000bd,0x2fe88009,0xffb8ffe2,0x880fc84f,0xe80cfffc,0x901dffff,
    0x01bfe00b,0x17a05ffd,0x80027fe4,0x7fec2ffd,0x3f220001,0xefffeeff,
    0xbff40002,0x3fa00ffd,0x3fee1f84,0xffffe882,0xfffbeece,0x5f1003ff,
    0x400017cc,0xff30006d,0xf88bfd35,0x03f981ff,0x26a20062,0x2003e200,
    0x7ec03ff9,0x360bd03f,0xfb0003ff,0x04ff985f,0xfffe8800,0xd00005ff,
    0x803ff6ff,0x27e1effe,0x6402ffc8,0x98dfffff,0xe8002dff,0x20001ee5,
    0x260001fb,0x7103efeb,0x0007ec01,0x004d8000,0xfc801ff7,0x3a0bd04f,
    0xfb0002ff,0x00dfb03f,0x7fffe400,0xfe80002f,0x4401ffb7,0xefefffdb,
    0x31000dff,0x00e44157,0x01dc9500,0x00000000,0x05e88000,0x0fb80000,
    0x7007fd00,0x417a09ff,0xb0001ffe,0x1ff301ff,0x7fd40000,0x40000fff,
    0x01ffb7fe,0x33eea620,0x00000001,0x00000000,0x00000000,0x00003f98,
    0x54007ee0,0x7ff5005f,0x3fec17a0,0x40ffd000,0x400004fc,0x005fffe9,
    0xffdbff40,0x003f0000,0x55555551,0x44444355,0x88888888,0x08888888,
    0x00000000,0xf7000000,0xd9000007,0x00774001,0xbd01ff98,0x8001fee0,
    0x0fec06fe,0x7fdc0000,0xfd0000ef,0x0003ff6f,0x7fd400fc,0x4fffffff,
    0xfffffff3,0xffffffff,0x001fffff,0x00000000,0x37ea0000,0xed880000,
    0x007ee000,0x17a04fc8,0xd0002fe8,0x06e8807f,0x3faa0000,0x7fe8002e,
    0x00001ffb,0xfffffa80,0x9914ffff,0x99999999,0x99999999,0x00000199,
    0x00000000,0x00177440,0x000cfc88,0xdf000bf2,0xf302f401,0x106fdc0b,
    0x176200df,0xfb500000,0xccca815b,0xffb7ffcc,0x00799999,0x5dddcc00,
    0x002bbbbb,0x00000000,0x00000000,0x0e7f5c00,0x033f2620,0x4001bb00,
    0x2f400ed9,0x3a033e60,0x1fc8bfff,0x0006dc00,0x25d44000,0xddddddd5,
    0x3bbbbb2b,0x000004ee,0x00000000,0x00000000,0x20000000,0xdceeffd9,
    0x000ceffe,0x362003d8,0x00bd004f,0x7dc17fb1,0x000effff,0x00001b30,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26600000,0x0001abca,
    0x00cc0008,0x15000ee0,0x000aba88,0x00000100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000024c0,0x00008804,
    0x400c04c4,0x1b8801b9,0xa9800000,0x009bdedc,0x20037100,0x000001b8,
    0x00000331,0xf3000173,0x80027c05,0x00cdedc8,0xb8801800,0x80000ffe,
    0xd710feb8,0x4c009fff,0x9affffed,0x3ff6a07e,0x0fff6a02,0xfe980000,
    0xfffdccef,0x7ff4000d,0x0fff6a02,0xbff90000,0x40005bff,0x3efffeda,
    0x4c03ee00,0xffc8002f,0x002ffecd,0x201dff10,0x00fffffc,0x3fff2600,
    0xffffe88f,0x7dc00eff,0xfffb98ad,0xffffa87f,0xfffea82f,0x8800003f,
    0x3a603ffc,0xff1002ff,0xfffd509f,0x2600007f,0xffb30bfe,0x801fffff,
    0x3fff22fa,0x540f9004,0x7fdc001f,0x000ffd42,0x081fffdc,0x0001fff9,
    0x47fff55c,0xfffecdfe,0x413f605f,0x5087fff9,0x26105fff,0x00003fff,
    0x8017ffcc,0xfb004ffd,0x3fe6103f,0xf880003f,0x9dffd04f,0x84f98099,
    0xe800fffc,0x5001f205,0x13fa0bff,0x0bffea00,0x001fff30,0xb9fff300,
    0x1ffffa81,0x7dc06fc8,0x17ffc07f,0x000fffa0,0x01fff880,0x802ffec0,
    0x3ffe8009,0x1ffd8000,0x200dff50,0xdfb02ff8,0x5e813e00,0x817fe400,
    0xd90006fb,0x1fff1007,0xfff10000,0x37ffdc0b,0xf500bfe6,0x2ffe80ff,
    0x001ffec0,0x00dffb00,0x005fff30,0x01fff400,0x007ffc00,0xf5001fff,
    0x9800c03f,0x0013e02f,0x3f203ffd,0x88000005,0x00000fff,0xff801fff,
    0x01ffa0ff,0xfd01ffe6,0x3ffd805f,0xfff50000,0x3ffa0005,0xfb00000f,
    0xf980007f,0x17ff407f,0x000ffdc0,0xf9807dc0,0x1fffc002,0x00004ff8,
    0x00fff880,0x01fff000,0xf11fffb8,0xfff300df,0x402ffe80,0x80003ffd,
    0x0006fff8,0x0013ffea,0x001ffec0,0x803ffe60,0xfd804ffd,0x7c80001f,
    0xf0003ee0,0x1ff50bff,0xf1000000,0x200001ff,0x7cc00fff,0x0bff32ff,
    0xe80fff30,0x7fec02ff,0xffc80003,0x7fc0003f,0xd80001ff,0xf80003ff,
    0x3ffa01ff,0x01ffe802,0x3605e800,0xfffe8007,0x000bfea0,0x7ffc4000,
    0x7c000980,0x7fc400ff,0x009ff73f,0xfe80fff3,0x1ffec02f,0x7fff4000,
    0x7ff40002,0x2004c02f,0x01883ffd,0xf813ff60,0xfff800ff,0x3ffe6000,
    0xffffffff,0x0fffffff,0x93fffc80,0x000003ff,0x887ffc40,0x003efffc,
    0xff001fff,0x017ff25f,0xfd01ffe6,0x3ffd805f,0xeeeeeea8,0x0ffffc0d,
    0x3fff6000,0x02feb884,0xfb51ffec,0xff3009ff,0x07ff501f,0x3fffbbaa,
    0x2204eeee,0xacfcaaaa,0xadfbaaaa,0xfff1002a,0xfd819fdd,0x02ffffff,
    0x47ffc400,0xfffffff8,0x00fff805,0xff90fff8,0x0fff300d,0x6c02ffe8,
    0xfff503ff,0xffff1015,0xffc80001,0x3fff265f,0x9ffec02f,0x4ffffffc,
    0x22eff980,0x32604fea,0xccdfffcc,0x07dc003c,0xd0002f98,0x6403dfff,
    0x000aefff,0xf9fff880,0xffffebce,0x007ffc05,0xffb9ffe2,0x07ff9807,
    0x36017ff4,0x1bf703ff,0x03fffd40,0x3fffdc00,0x05fff955,0xaecbffd8,
    0x01fffc98,0xffefff98,0x7ffc001d,0x03ec0000,0xb10001f7,0xf880dfff,
    0x200000ff,0xa83ffff8,0x3e01ffff,0x7fcc00ff,0x00bffea6,0xfe80fff3,
    0x1ffec02f,0x7dc027dc,0xa80006ff,0xff80ffff,0x77fec02f,0x809ffd05,
    0x001312e8,0x0007ffc0,0x07c817e0,0xffeffb80,0x0ffe204f,0xfff10000,
    0x2fffd403,0xa803fff0,0x3ffe22ff,0x03ffcc06,0xfb00bffa,0x003fc87f,
    0x000ffff7,0x20ffff50,0x7ec02ffe,0x1bfee04f,0x00005f88,0x00007ffc,
    0x02f407f1,0xf51dfd10,0x3ea03fff,0xf8800006,0x7fec00ff,0x05fff00f,
    0xffc85fe8,0xffe880df,0x017ff407,0x3fc8fff6,0x1fffea00,0x3ffea000,
    0x805ffd06,0x3ea03ffd,0x017f606f,0x01fff000,0x8817d400,0xbff3004f,
    0x837fff41,0xdc8801fc,0x0fff8801,0x80fffcc0,0xf500efff,0xffff103f,
    0xf7d7537d,0x2ffe80ff,0xfd9ffec0,0x7ffc4002,0x7dc0000f,0x5ffd05ff,
    0x203ffd80,0x3fe07ff9,0xccccdeff,0xfff000ab,0x07dc0001,0xf9802f98,
    0xffff985f,0xe8027c43,0x7c404fff,0x7fc400ff,0xbffff02f,0x202ffa83,
    0xfffffffa,0x407ff98e,0x7ec02ffe,0x000efdcf,0x001ffff8,0x81fffe40,
    0x7ec02ffe,0x1ffe603f,0xffffffd8,0x1cffffff,0x0007ffc0,0xddffddd3,
    0xddfddddd,0x7fc41ddd,0xffffb02f,0xf88036c1,0x7c407fff,0xfff800ff,
    0xfd5fff03,0x001dfdbd,0x1dffffd1,0xfd01ffe6,0xdffd805f,0xe8005fff,
    0x40002fff,0xfd02fffd,0x3ffd805f,0xb01ffe60,0xffffffff,0x401fffff,
    0x26000fff,0xeeeffeee,0xeeeffeee,0x1fff20ee,0x55ffff88,0x7ff4003f,
    0x3fe201ff,0x1ffe800f,0x2a61fff0,0xb98000ab,0x03ffcc0a,0xfb00bffa,
    0x07fff57f,0x04fffb80,0x07fff400,0x6c02ffe8,0x3fe603ff,0x4ccba207,
    0xfdcbaaaa,0x03ffe03f,0xd01fc400,0x4fff880b,0x5ffffd40,0x5544004f,
    0x3fe203f9,0x0fff800f,0x0001fff0,0x1ffe6000,0xd805ffd0,0x5fff93ff,
    0x0fffe800,0x5fff5000,0x2017ff40,0x3e603ffd,0x0017607f,0x7ffc0df1,
    0x05f50000,0xff300fe2,0xfffb007f,0xfa8000df,0x03ffe201,0x7c0fff10,
    0x000000ff,0xe80fff30,0x7fec02ff,0x003fffa3,0x004fffa8,0xe80bffd0,
    0x7fec02ff,0x41ffe603,0x5c8001fc,0x0003ffe0,0x1f9807dc,0x02fffdc0,
    0x0fffff44,0x880db000,0x7cc00fff,0x03ffe05f,0x7cc00000,0x17ff407f,
    0xf88fff60,0x7ec006ff,0x7cc000ff,0x7ff400ff,0x01ffec02,0xff30fff3,
    0x407d0001,0xb0000fff,0x2007dc0d,0x800ffffa,0x01fffffa,0x00be212e,
    0xc801fff1,0x3ffe00ff,0x30000000,0xffe80fff,0x21ffec02,0x2005fff9,
    0x2004fff8,0xe802ffe8,0x7fec02ff,0x21ffe603,0x64005ffd,0x00fffc06,
    0x1b205f80,0x17fffe20,0xffffff50,0xa83f105f,0xfff8803f,0x80ffe200,
    0x0001fff8,0x0fff5000,0x6c02fff8,0xfffb83ff,0x3ff62003,0x1eff9805,
    0x805ffd00,0x3e603ffe,0xefffc87f,0x03baa00a,0x001fff88,0x17a03f88,
    0x6ffffec0,0x546fecc0,0xbcffffff,0x07b626fd,0x027ffc40,0xff980bfb,
    0x0000002f,0x7c03fff7,0x7ff403ff,0x05fffd04,0x0aeffb80,0x006ffdcc,
    0xe807fff0,0x3fe604ff,0xffffd80f,0xfffeeeff,0x2fff9804,0x101fa800,
    0x3fa2007f,0xffefffff,0x7fff4c3f,0x220fffff,0xfffc8001,0x813f661e,
    0xbffffeb9,0x73000002,0x835dffff,0x2606fffa,0xfa80efff,0x44003fff,
    0xffefffed,0x7d4002df,0x3fe606ff,0xfffb00ef,0x3fff6607,0x01dfffff,
    0x03dfffb0,0xf300fb80,0xfffc8003,0x100dffff,0x3dfffffb,0x7e440000,
    0x01efffff,0x55555554,0x800000aa,0xaaaaaaaa,0xfffffd52,0x3ffae1df,
    0xf51effff,0x1ddfffff,0xabb98800,0xffeb8000,0x3aa6ffff,0x1effffff,
    0xdffffffb,0x2eea6207,0xffb3000a,0x19bfffff,0x64c09500,0xcba88000,
    0x5dcc001a,0x4c000001,0x00000aba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x002f76a0,0x0b3772a0,0x2aaaa200,0x000aaaaa,0x209d9730,0xaaaaaaaa,
    0x202aaaaa,0x0bcdecb8,0x55555530,0x55550003,0x4c055555,0x00bceedc,
    0x55555550,0x44015555,0x001bddba,0x567765c4,0x22000e40,0x01bdedcb,
    0x5555550d,0x00155555,0x7ff9bff9,0x3fff6200,0x2000efff,0xfffffffc,
    0x7e44006f,0xff500bdf,0xffffffff,0x3ee0ffff,0x3ffbabef,0xffffdb98,
    0x7e54001f,0x882dffff,0xffb99ced,0xfeca802f,0x0adfffff,0xfd79ff50,
    0x3fea009f,0xcefffddf,0xfb3001fb,0xfdb99bdf,0x750f917b,0xbffffffd,
    0x0dfc8015,0x7ec027f4,0xffffffef,0xffff8800,0x002fffff,0x20037fee,
    0xfffffffd,0x85ffffff,0xfe880dfd,0x3fffa603,0xdfb0000f,0xe883f401,
    0x3f6004ff,0x7d400eff,0x06ffd40d,0x7307ff90,0x9003ffff,0x6cc05dff,
    0x3600ffff,0x9000efff,0x9ff301ff,0xb885f5c0,0xc803fffe,0xffffffff,
    0x7ffb1007,0x3fffe200,0xeeeeeeee,0x0ffd42ff,0x4403ff30,0x0006fffe,
    0x1fe407f7,0x003fff50,0x5013ffee,0x3fee01ff,0x809ff505,0x2201fffa,
    0x2a004ffe,0x3ea00fff,0xff3004ff,0x407fec09,0x3ffa00e8,0x0027c406,
    0x00fff440,0x80139f70,0x2ff40ff9,0x2a02ffc0,0x8005ffff,0x13fe03fa,
    0x200bffd0,0x7c03fffa,0x0fff403f,0x54007ffc,0xffd101ff,0x3ff70009,
    0x01fffd40,0x2601ffd8,0x401c84ff,0x3200fff9,0xfe80000f,0x0274003f,
    0xff88bf70,0x406fe804,0x03fffffa,0xf8817cc0,0x37fec06f,0x03fff980,
    0xf5007fee,0x05ff98df,0x7ec07f20,0x3f20006f,0x0fffe601,0x201ffe60,
    0x88000fff,0x13e207ff,0x17ff6000,0xe8009500,0x037fcc2f,0x3ea02ffc,
    0x002ffffd,0xfff80be6,0x01fff201,0xf01fffcc,0xff8801ff,0x01bfea2f,
    0xffa81fa8,0x3e20002f,0x0fffe602,0x201bff20,0xf0003ffe,0x05fdc09f,
    0x1dff7000,0xf8800000,0x01fff80f,0xf500bfe2,0x01ffff95,0xfc80be60,
    0x17ff601f,0x81fffcc0,0xff007ff8,0x0fffd49f,0xfff03f00,0x05b0000f,
    0x401fffcc,0xfc805ffe,0xff98005f,0xbffff101,0x7fc40017,0x8000003f,
    0xfffb05fb,0x003fee01,0x3fff65f5,0x02f9800e,0x3ffa01dc,0x7fff3003,
    0x003ffe60,0xff897ff6,0x83b001ff,0x0004fffa,0x3fe603a8,0x7ffc403f,
    0x07ffb804,0x2e02fb80,0x4fffffff,0x01fff900,0x5fd00000,0x03bffea0,
    0xf5003ff3,0x17fffa25,0x0000be60,0x2001fff1,0xf503fff9,0xff9003ff,
    0x2ffffe8d,0xfffd8080,0x98000002,0x7cc03fff,0xffb803ff,0x01fc4007,
    0xfffffff1,0x7c403dff,0x2f2a65ff,0xff100001,0x7fffec01,0x2005ff31,
    0x3ffe62fa,0x017cc04f,0x00fff200,0x303fff98,0xf9005fff,0xffffa8ff,
    0x3e2001ef,0x00000fff,0x03fff980,0x401fffd4,0x3000fffa,0x531001df,
    0x5fffffd9,0x2abffea0,0x0efffffe,0x02fdc000,0x7e7fffec,0x0bea000d,
    0x405ffff5,0x220002f9,0x7cc005ff,0xfff103ff,0x1fff9009,0xffffffb8,
    0xfff9800c,0x8000000f,0x5c03fff9,0xfa802fff,0x7dc401ff,0xb8004fff,
    0xd80fffff,0x98adffff,0x001ffffb,0x6c00bfa0,0x8006ffff,0xfffb82fa,
    0x005f301f,0x0007fdc0,0xf80fffe6,0x7ec00fff,0xffff707f,0xfa807fff,
    0x000007ff,0x807fff30,0xa802fffb,0x3f602fff,0x05ffffff,0x5fffd880,
    0x502efff8,0x2000dfff,0x36000ff8,0x000dffff,0x7fec0bea,0x02f980ef,
    0x0007fe00,0xb80fffe6,0x7f403fff,0x3ffa606f,0x702effff,0x0000ffff,
    0x0fffe600,0x003fff70,0x8805fff5,0x2fffffca,0x3fffb000,0x5c05fff8,
    0xb8003fff,0x37ea005f,0x000effff,0x7ff405f5,0x002f985f,0x20007f70,
    0x7403fff9,0xfc882fff,0xffb805ff,0xb84fffff,0x00006fff,0x07fff300,
    0x801fffa8,0x2001fffb,0x005fffd8,0x445fff10,0x7c404fff,0xfd8006ff,
    0x2abf7002,0x800fffff,0x3fe202fa,0x017cc4ff,0x20004e80,0x4c03fff9,
    0xdbbdfffe,0x003fffdf,0xffffffb1,0x07fffa8b,0xff300000,0xfff9807f,
    0x1fffb802,0x07ffd800,0x993fee00,0xfd803fff,0x7fc4007f,0x20efb800,
    0x00effff9,0x3e6017d4,0x0be62fff,0x0003a600,0x803fff98,0xcfffffd8,
    0x000fffc8,0x7fffff4c,0x01fffe64,0x7fcc0000,0x7ffc403f,0x0fffb802,
    0x2fff8800,0x897fe000,0xfa803fff,0x3ee001ff,0x81ffa805,0x404fffe8,
    0xffb802fa,0x005f31ff,0x98000770,0x4c003fff,0x17ffe21a,0xffffb800,
    0x1ffff11f,0xf3000000,0xff8807ff,0x7ffc803f,0x0fff6000,0x7c4fe800,
    0xff9803ff,0x0bf6001f,0xf881bf60,0x3ea00fff,0xffff9002,0x90005f31,
    0xff980003,0xfc80002f,0x000c41ff,0x7c7ffff3,0x00002fff,0x03fff980,
    0xe804ffe8,0x320004ff,0x360002ff,0x027fec2f,0x8007ffcc,0x7c400ff8,
    0x7ffcc05f,0x800bea02,0x2faefffd,0x0000d800,0x000fffcc,0x217ffe20,
    0x7fd40049,0x17ffee5f,0x3e600000,0xffa803ff,0x02fff806,0x007fea00,
    0x7e40fe80,0x7ff8806f,0x2017ea00,0xfd803ffa,0x00bea03f,0xfefffe88,
    0x00048002,0x000fff98,0x407ffdc0,0xffe80069,0x03fffe26,0xf980a000,
    0xff8803ff,0x3ffe200f,0x1fee0000,0xa86f8800,0xff9807ff,0x00bf6005,
    0x2a00ffee,0x0bea02ff,0xfffff300,0x00000005,0x0001ffe6,0x7cc07ffa,
    0x2ffe4001,0x0013ffee,0x7fcc0950,0x5ff9003f,0x001ffdc0,0x8000bf60,
    0x5ffb01fc,0x001ffa80,0xf3001ff1,0x3ff3009f,0x40017d40,0x002ffffa,
    0x4c098000,0x6c0006ff,0x13e603ff,0x887ff900,0x0001ffff,0xfff980d3,
    0x0bff1003,0x20003ffc,0x01a886f9,0xff101fcc,0x005fd80d,0xfe8017ea,
    0x406fc806,0xf90002fa,0xda8005ff,0x43ffb002,0x20003ff9,0x7cc02ffc,
    0x3ffa004f,0x1ffff980,0x200f4c00,0x2004fffa,0xffb81ff9,0x203bfb01,
    0xffe80ee9,0x804fb81c,0xdf503ffa,0x01fec001,0x4407ff50,0x1fdc01ff,
    0x05ffb000,0x017ffcc0,0xfb97ffe2,0x3ff20005,0x4fff9801,0x202ffc80,
    0x00bffff9,0xfb801fb8,0x7d4004ff,0x03ff711e,0x2b7fffe6,0x3603fca9,
    0xfdceffff,0x3ff6002f,0x0006fd42,0xa8001ff1,0x2fd883ff,0x0177f440,
    0x002fe880,0x2013ffee,0x1fb3fffd,0x1bfd3000,0x3fffe600,0xfd310ace,
    0xffb1007f,0x733359ff,0xd5001dfb,0x8005ffff,0x0dffefda,0x7ffffe40,
    0x74401def,0x0bdfffff,0xdfffa800,0xfa8004ee,0xffb10005,0x401bfd9b,
    0xffffffee,0x17c4000e,0x03fff100,0xdffffd30,0x3f6e6003,0x74c001cf,
    0xffffec99,0x4000dfff,0xffffffda,0xfe802eff,0xffffffff,0x2aa2001e,
    0x2aaa2000,0xaa980009,0x2a600001,0x32a0000a,0xaa980001,0x00000001,
    0x2a20004c,0x15dcc000,0x006aee00,0xba882880,0x40000abc,0x0aaccaa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54c00000,0xaaaaaaaa,0x2aaaaaa0,0x5300aaaa,
    0x21555555,0xaaaaaaa9,0x555002aa,0x2a155555,0xaaaaaaaa,0x555401aa,
    0x00aaaaaa,0x7776e540,0x981541bd,0xaaaaaaaa,0xaaaaaaaa,0x2a22aaaa,
    0xaaaaaaaa,0x20001999,0xaaaaaaa8,0x800999aa,0xaaaaaaa8,0x5302aaaa,
    0x35555555,0x55555544,0xaaaaaaaa,0x930aaaaa,0x7dfffffd,0x7fffed41,
    0x9300bdff,0x219dfffd,0xffffffda,0xfd7004ef,0x2a1bffff,0xffffffeb,
    0x7e5401be,0x00acffff,0xdffffc98,0xaceffdcb,0xffff703e,0xffffffff,
    0xffffffff,0x7ffed44f,0xffffffff,0x544004ef,0xfffffffd,0x00ceffff,
    0xffffff91,0x2607bfff,0xcfffffec,0x3fff2a21,0xffffffff,0x41ffffff,
    0x406fffe8,0x005ffffa,0xfd1037fc,0x20007fff,0x2e00effc,0x0002ffff,
    0x54003ffb,0x2600afff,0xf904fffe,0xd55557bf,0x75555fff,0x3e20fffb,
    0xa99acfff,0x001efffc,0xacffff88,0x2ffffdba,0x7fffecc0,0x3ffe003f,
    0xffff8804,0xa9999999,0xfa81ffeb,0xffd805ff,0x07f4003f,0x07fffe20,
    0x017fc400,0x001bffe2,0x32004fa8,0x32001fff,0x07f904ff,0xd103ffec,
    0x3fff601f,0x9fffd300,0x1fffb000,0x1bfffd10,0x3ffffc80,0x005ff100,
    0x8007ffec,0xffff02fd,0x0bfff300,0xf9005f80,0x2a0007ff,0xdfff005f,
    0x01fd4000,0x000effd8,0x09905fd8,0x4407ffd8,0x1fff900f,0x17fffcc0,
    0x03fff200,0x027fff44,0x803fffec,0x7e4003fc,0x5f1000ff,0x00bfff20,
    0xa801fffa,0xfff3002f,0x03f6000d,0x002fffc0,0xf7007f30,0x740001ff,
    0xfd805b06,0x701d807f,0xfc801fff,0x7e4006ff,0x3fea00ff,0x7f4401ff,
    0x27d403ff,0x07ffe400,0x3e605900,0xffc804ff,0x01f9001f,0x00ffff40,
    0xf8017e20,0x260005ff,0x7ffc403f,0x835c0004,0x3ffec00c,0xffb80dc0,
    0x7ffd400f,0x7ffe4007,0x3fffe200,0xffff9803,0x000df301,0x8003fff2,
    0x1fffa008,0x013ffe60,0x3ea002fc,0x7dc004ff,0x17ffe002,0x403f9800,
    0x0000fffe,0x3f600068,0x7dc0007f,0x7fcc00ff,0x3f2000ff,0x7ff400ff,
    0xfff7004f,0x001fd10d,0x003fff20,0x2fffb800,0x807fff80,0xfe8002fa,
    0x1ba000ff,0x00bfff00,0xf301fcc0,0x20000bff,0x3ff60001,0x7fdc0007,
    0x7ffd400f,0x7ffe4007,0x27ffec00,0x87fffd00,0x320001fd,0x00400fff,
    0x80bfff10,0x402ffffa,0xff70007c,0x0fe6007f,0x00bfff00,0xf901fcc0,
    0x000005ff,0x0fffb000,0x0fffb800,0x037ffdc0,0x003fff20,0x4005fffd,
    0xf71ffff8,0xffc80007,0x2002c00f,0x3200fffe,0x7c05ffff,0xfff10004,
    0x003f600d,0x000bfff0,0xff881fcc,0x000001ff,0x07ffd800,0x07ffdc00,
    0x05fffd10,0x00fffc80,0x007fffe2,0xf5dfff70,0xff90000b,0x4007801f,
    0x3e02fffb,0x500fffdd,0x7e40005f,0x2fc402ff,0x02fffc00,0x2607f300,
    0x0000ffff,0xffd80000,0x7fdc0007,0x3fff600f,0xfffc8005,0x17fff200,
    0x7fffec00,0xfc80000e,0x01f200ff,0x20bfff10,0x2fffaafa,0x98000fb0,
    0x7dc05fff,0x5fff8002,0x40fe6000,0x8007fffa,0xaaaaaaaa,0x7fec002a,
    0x7fdc0007,0xfffea80f,0xfff90003,0x3fffea01,0xfff10000,0x3200005f,
    0xcccccfff,0xd8007ffd,0x17d80fff,0x13e0bfff,0x3fff6000,0x4001ba01,
    0x20005fff,0xfff703f9,0xfd97000d,0x007dffff,0x0007ffd8,0x6667ffdc,
    0x01cfffee,0x2ffff200,0xfffc9889,0x7dc0001e,0x900006ff,0xffffffff,
    0x5000ffff,0x4f887fff,0xf503fff6,0xff500003,0x00fe609f,0x002fffc0,
    0x3ee07f30,0x220007ff,0x0004ffff,0x8000fffb,0xfeeefffb,0x900007ff,
    0xffffdfff,0x00005dff,0x013fffea,0x03fff200,0x4001faa6,0x0fd45fff,
    0x7d87fff5,0x3ffa0000,0x000fd80f,0x000bfff0,0xffa81fcc,0x7ec0007f,
    0xfb0001ff,0xfb8000ff,0x3ffee0ff,0xffc80004,0x0002660f,0xfffdf300,
    0xfc80003f,0x01e200ff,0xb07ffe40,0x44dfff0f,0x2e00004f,0x2fc43fff,
    0x0bfff000,0x981fcc00,0x0000ffff,0x0007fff2,0x0003ffec,0xfb03ffee,
    0xc80005ff,0x00000fff,0x7dc77440,0x640006ff,0x03400fff,0x13fff980,
    0x1fff909f,0x800007ea,0x7dc6fff8,0x3ffa0001,0x0bea0006,0x017fffc4,
    0x01fff900,0x01fff600,0x81fff700,0x000ffff8,0x003fff20,0x43fb0000,
    0x0004fffd,0x9003fff2,0xb7ffc000,0xfff981fb,0x00000fb3,0x3745fff9,
    0x1bffa000,0x202fa800,0x0005fffe,0x0003fff2,0x0003ffec,0x2a03ffee,
    0x20005fff,0x0000fffc,0xf10fee00,0x20003fff,0x0000fffc,0x23fff200,
    0x3bffe06d,0x800004f8,0x7f55fff9,0x7ffe8000,0x807ee000,0x000ffffb,
    0x001fff90,0x001fff60,0x201fff70,0x0003fffc,0x0001fff9,0x5c13ea00,
    0x90006fff,0x00001fff,0x7e7ffcc0,0x33fff203,0xb000001f,0x01fb3fff,
    0x0fffc800,0x801f9000,0x0003fffe,0x0001fff9,0x0001fff6,0x7401fff7,
    0xc8001fff,0x00000fff,0x7f406f88,0xfc8004ff,0x000000ff,0x00fffff4,
    0x00dffff3,0x7ffd4000,0xb80004fd,0xd0002fff,0xffff500d,0xfff90001,
    0x3ff60001,0x7fdc0007,0x3ffe200f,0x7fe4000e,0xe800000f,0x7ffcc00f,
    0x7fe4002f,0x4000000f,0xe806fffb,0x00004fff,0x0fffff40,0x7ffc4000,
    0x04fa8005,0x00bfffb0,0x001fff90,0x001fff60,0x801fff70,0x4005fffb,
    0x0000fffc,0xb8017ec0,0x2000ffff,0x0000fffc,0x1fffc400,0x00fffdc0,
    0x3fee0000,0x3200006f,0x22001fff,0x3f6000ff,0x7e4004ff,0xfb0000ff,
    0x640001ff,0xfd801fff,0x3f2004ff,0x200001ff,0x7f4004fd,0x3f2005ff,
    0x000001ff,0x9800ffe8,0x000006ff,0x003fff88,0x3fffa200,0x02ffa802,
    0x05fffd80,0x003fff20,0x00ffff40,0x05fffb00,0x09fffd10,0x00bfff60,
    0x03ff6200,0x9ffff700,0x0bfff600,0x3ee00000,0x00ffa005,0x7fe40000,
    0x6c400000,0x989bdfff,0x001fffdb,0x2ffffaa0,0x7fffd500,0xfff91000,
    0xf50003bf,0x3003dfff,0x017bffff,0x07bfffea,0xffffa800,0x7ffec003,
    0xf7102dff,0x0001dfff,0x003f8800,0x000007ee,0x00027cc0,0xffffd500,
    0x017fffff,0x3ff6e000,0xffffeeff,0xfea8002d,0xefffffff,0x7ff74c04,
    0x05efffff,0x7fffffdc,0xffffdd35,0x400bdfff,0xfffffffc,0x7fff403f,
    0x0fffffff,0xffffffd3,0x0000bdff,0x910005c0,0xb8000000,0x88000001,
    0x01abccaa,0x5d540000,0x0001aacc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0xaaaaaaaa,0x555401aa,0x222aaaaa,
    0x02aaaaaa,0x55554000,0x55511aaa,0x55555555,0x55510003,0x55555555,
    0x55555550,0x55300355,0x55555555,0x55555555,0x55555445,0x882aaaaa,
    0xaaaaaaaa,0x555512aa,0x55555555,0x55555555,0xdddddd90,0xdddd105d,
    0x2aaaa27d,0x99aaaaaa,0xb3000009,0xdfffffff,0xffdb8037,0x3223dfff,
    0x03fffffd,0xffff5000,0x36a2359f,0xdfffffff,0xca88001c,0xbeffffff,
    0xffffdb82,0xfc801cef,0xffffffff,0xffffffff,0x3ff2a21f,0x82beffff,
    0xfffffca8,0xfb512bdf,0xffffffff,0xffffffff,0xfffb881f,0x7fe400df,
    0x3fff6a22,0xffffffff,0x001bdfff,0x3ffffa60,0xfffd8006,0x7fffcc02,
    0xffb00006,0xfe8803ff,0x00000eff,0x013fffe2,0x0017fff4,0x26af3ff6,
    0xe9999999,0x3e204fff,0x22005fff,0xe804ffff,0x9999bfff,0xffca9999,
    0x07fff700,0x7c407f70,0x99acdfff,0xeffffeca,0xfff10001,0xff7000bf,
    0x3fffa001,0x7cc0002f,0xf9006fff,0x000007ff,0x1005fffb,0xd0001dff,
    0x7fdc001d,0xfffc806f,0x7ffec002,0x1fffb801,0xe807ee00,0x0fd805ff,
    0x007ffec0,0x13ffff62,0x7fffd400,0x017ec000,0x0dffffb0,0xffffd800,
    0x5fff7006,0xff900000,0x0bfb003f,0x3000f400,0x9003ffff,0xc8003fff,
    0xfb800fff,0x0fc001ff,0x401fff50,0xffc804f8,0xfff5000f,0x3f6000bf,
    0x3e6005ff,0x7efe4004,0xf10002ff,0x200bfffb,0x0002fffa,0x00fffc80,
    0x20002fe4,0x7fff4007,0x1fff9003,0x0fffc800,0x01fffa80,0x3fa016c0,
    0x007ee03f,0x8003ffee,0x003ffff8,0x02ffff88,0xc8001fd0,0x005fff9f,
    0xbfff3f90,0x07ffea00,0x3ff20000,0x017ee00f,0xfc801600,0x3f2005ff,
    0x7e4000ff,0xffa800ff,0x004c001f,0x7403ffea,0x1fff7006,0xffffb800,
    0xfffa8001,0x017dc00e,0x7fec7e40,0xb7c4001f,0xf5005fff,0x000003ff,
    0x2e01fff9,0x0100005f,0x03fffe60,0x00fffc80,0x007ffe40,0x000fffd4,
    0x83ffe800,0xff7003f9,0xffd0001f,0x3f6000bf,0x17e204ff,0x7cc7e400,
    0x7dc005ff,0x200bfff2,0x0001fffa,0x80fffc80,0x000005fc,0x17fff440,
    0x03fff200,0x01fff900,0x003fff50,0xfff50002,0x2e001fb0,0x98000fff,
    0x8000ffff,0xb01ffff8,0x3f20001f,0x001fffb0,0x0bfff37c,0x007ffea0,
    0x3fff2000,0x0002fe40,0x7ffe4000,0xfffc8005,0x7ffe4000,0x1fffa800,
    0xfd000d00,0x0027c47f,0x0001fff7,0x000ffffa,0x5437ffd4,0x3f20003f,
    0x009fff50,0x5fff8fea,0x03fff500,0xfff90000,0x0002fec1,0x7ffd4000,
    0xffc8000f,0x7fe4000f,0xfffa800f,0x80078801,0x07ee6ffb,0x00fffb80,
    0x0bfffb00,0x1fffec00,0xc8000df1,0x03fffa0f,0xfff83fa0,0x3fff5005,
    0xff900000,0x0017f61f,0x3fe20000,0xf90001ff,0xfc8001ff,0xffa800ff,
    0x007d801f,0x1ba5fff0,0x01fff700,0x1bfff200,0xffff8800,0x80003fb1,
    0x3ffea0fc,0x3e27d403,0xff5005ff,0x9000003f,0x1ffb3fff,0xb0000000,
    0x40009fff,0x999afffc,0x99999999,0xa800fffd,0xaaaacfff,0x007fecba,
    0x5f3dff70,0x0fffb800,0xffff7000,0xfffb8000,0x80003fae,0x3fff40fc,
    0xfff03f60,0x3ffea00b,0xfc800001,0x0efffeff,0x2e000000,0x40006fff,
    0xfffffffc,0xffffffff,0xa800ffff,0xffffffff,0x007fffff,0x0fffff10,
    0x01fff700,0x3fffe600,0x7fec0000,0x900006ff,0x3fffb81f,0xfff09f30,
    0x3ffea00b,0xfc800001,0xeffffaff,0x88000000,0x0001ffff,0x555fffe4,
    0xaaaaaaaa,0x800fffda,0x2601fffa,0x320007fa,0xb8004fff,0x50000fff,
    0x0000ffff,0x003ffff1,0xf103f200,0x07f60dff,0x54017ffe,0x00001fff,
    0xf98fffc8,0x0000efff,0x1ffff400,0x7ffe4000,0x7ffe4000,0x1fffa800,
    0x20007a80,0x8001fff8,0x0000fffb,0x000dfff7,0x001fff20,0xfc80fc80,
    0x82fc42ff,0xf5005fff,0x000003ff,0x3e61fff9,0x0000efff,0x0bfff900,
    0x3fff2000,0x7ffe4000,0x1fffa800,0x40007880,0xf70005fc,0x320001ff,
    0x00005fff,0x0000fff9,0x7fc407e4,0xf80fe46f,0xff5005ff,0x9000003f,
    0x7fcc1fff,0x00000eff,0x007fffcc,0x0fffc800,0x07ffe400,0x00fffd40,
    0x7d400048,0xfff70002,0x3ff60001,0xf900004f,0x640000ff,0x3fff900f,
    0xfff81be2,0x3fff5005,0xff900000,0xffff981f,0x3a00000e,0x00002fff,
    0x0003fff2,0x5001fff9,0x00003fff,0x8001f600,0x0000fffb,0x0005ffff,
    0x001fff20,0xf300fc80,0x80beebff,0xf5005fff,0x220003ff,0x01fff900,
    0x01dffff3,0xbfff9000,0xffc80000,0x7fe4000f,0xfffa800f,0x88000001,
    0x3ee0004f,0xfa8000ff,0x200006ff,0x00007ffc,0xffd803f2,0x7fc06e9f,
    0xfff5005f,0x40720003,0xf300fffc,0x0001dfff,0x007fffd4,0xffc806c0,
    0x7fe4000f,0xfffa800f,0x00150001,0xb80003f2,0x44000fff,0x0001ffff,
    0x001fff20,0x2600fc80,0x403fffff,0xf5005fff,0xd30003ff,0x007ffe40,
    0x01dffff3,0x5ffff100,0x640d1000,0x64000fff,0xfa800fff,0x788001ff,
    0x000bf100,0x000fffb8,0x002fffe4,0x03fff200,0x007e4000,0x003ffffa,
    0x2e00bfff,0xd8002fff,0x03fff204,0x1dffff30,0x4fffd800,0x640b7000,
    0x64000fff,0xfb800fff,0x4e8001ff,0x03f60a88,0x1fff7000,0x7fffd400,
    0x7ec00000,0x900000ff,0xfffa801f,0x06fff804,0x007fff70,0x3f201fb8,
    0xff9801ff,0xf7001fff,0x26000dff,0x3fff203f,0x7ffec001,0x2fffb801,
    0x2e0fdc00,0x04ffefff,0x0fffc800,0x3dfff900,0xffd00000,0x3a00003f,
    0x0ffe801f,0x03fffc40,0x005fffc8,0xfd80ffb1,0xff7002ff,0xf8807fff,
    0xa8001fff,0x3ff602fe,0x7ff4002f,0xfffc802f,0x21ff2003,0x05fffffd,
    0x1fffb000,0xdfffe980,0x64400000,0x001dffff,0x077fee20,0xf9009f50,
    0x4c017fff,0xceefffff,0xffeeeccc,0xfff7104f,0xff9001df,0x017bffff,
    0x999dfffd,0x99999999,0x103fffdb,0x01dffff7,0xdffff710,0x7fffcc01,
    0xbaaaaacf,0xa84fffcc,0x0003efff,0xbdffff50,0xfffb9579,0x800003bf,
    0xffffffe9,0x26004eff,0xeffffffe,0x75c07e04,0xffffffff,0xfffdd12e,
    0xffffffff,0x5fffffff,0xfffffe98,0xfa85efff,0xffffffff,0x3ffee6ff,
    0xffffffff,0xffffffff,0x7fff4c7f,0x85efffff,0xffffffe9,0xfdd15eff,
    0xffffffff,0xffffffff,0x006e203f,0x3ffba600,0xffffffff,0x000aceef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555544,0x019aaaaa,0x5ea80000,0x676e5400,
    0x9800000a,0xc8800005,0x00066004,0x510012a0,0x00000000,0x0030a600,
    0x30008131,0x22000013,0x44fae000,0xffffffda,0xefffffff,0x2200002d,
    0xfd3007ff,0x05ffffff,0x00fd8000,0xbff91000,0x00016c00,0x3e6003e4,
    0x000000bf,0x4fea8000,0x3ee03ffa,0x05ddffff,0x3bffff66,0x7654002d,
    0x2203dfff,0x7fc41fff,0x53109bff,0x003dfffb,0x00fffb00,0xfffffff3,
    0x00009fff,0x00013fe2,0x0bffff91,0x0000be20,0x3aa001f2,0x00001cff,
    0x7fdc4000,0x13ffea3e,0x3f2615fb,0x15ff705f,0x005ffd71,0x32637fd1,
    0xffa80dff,0x0fffd82f,0x17fff4c0,0xffff7000,0x359ffd00,0x05ffffd5,
    0x0fff9000,0x7dd6c400,0x5fb005ff,0x00f90000,0x16ffecc0,0x26000000,
    0xf982dffc,0x413ee3ff,0x4ffa85fa,0x200fff98,0xff703ff8,0x2fffa81d,
    0x800fffc8,0x000ffff8,0x07ffdf98,0xff901fdc,0xf80001ff,0x00002fff,
    0xf900bffb,0xf900005f,0xff910000,0x0000017d,0x0067fed4,0x2fe833ae,
    0x3ff61760,0x405ffd02,0x7ff405fe,0x407ffc46,0x7000fffb,0xd0009fff,
    0xe80fff3d,0x1fffd805,0x3ffea000,0xf900006f,0xfffb80bf,0x07c80002,
    0x7ff5c000,0x7100000c,0x00017dfd,0x16a04ff8,0x7ec07ff6,0x07ff503f,
    0x7c2fffa8,0x1fff707f,0x1bffe200,0xff31f900,0x4007c40f,0x0003fff8,
    0x07fff7fa,0x17fee000,0x77fffec4,0xc8003eee,0xb5000007,0x20003bff,
    0x002dffc8,0x80fffa00,0x3605fa84,0x3ffb03ff,0xe8dffd00,0x1fff706f,
    0x03fffc00,0x3fe67f30,0xf800a207,0xf30003ff,0x009fff39,0x20bff700,
    0xcdfffcca,0x7c8002cc,0x64c00000,0xb3002eff,0x000039ff,0x03dfff70,
    0xfff71000,0x003ffe07,0xfc83fff2,0x01fff704,0x01bffe60,0xfff32fc4,
    0x7fec0000,0x21fb0001,0x0000fffe,0x6c02ffdc,0xc80002ff,0x10000007,
    0x7017fff7,0x00017ffd,0x7fffcc00,0xc98001df,0x983ffedf,0xff7007ff,
    0xb81fdc3f,0xf7000fff,0x3f6007ff,0x001ffe60,0x0007fe80,0x7ffd4bf1,
    0x7fdc0003,0x02ffd805,0x0007c800,0xffea8000,0x005fff12,0x7fcc0000,
    0x5004ffff,0x3ff619fd,0x007ffb83,0x7cc5fff5,0x01fff701,0x01fffd10,
    0xff985f50,0x3fe00007,0x83f70006,0x40006fff,0xfd805ffb,0x3ffe602f,
    0xffffffff,0xffffffff,0x9100004f,0x3f223dff,0x000003ef,0x3ffff220,
    0x3bf600ef,0x641ffec0,0xf9800fff,0x403e22ff,0x4c00fffb,0x8803fffe,
    0x07ff984f,0x05ff3000,0x3f21be00,0x2e0001ff,0xffd805ff,0x33332202,
    0xcfeccccc,0xcccccccc,0x7ecc0002,0x3fae01cf,0x000000cf,0xfffffb10,
    0xb05fd881,0xfff707ff,0x1fff1003,0x3ffee028,0xca99999b,0xb001efff,
    0x01ffe60d,0x0037dc00,0xff882fa8,0x3ee0005f,0x2ffd805f,0x007c8000,
    0x7ff54000,0x3f6a000b,0x000001df,0x87fffd30,0xffb00ffe,0x05fff507,
    0x800dff30,0xfffffffb,0x0effffff,0x2603f700,0x880007ff,0xfd0001ff,
    0x007ffec0,0x805ffb80,0x80002ffd,0x8800007c,0x0002effb,0x0177fe4c,
    0x7ec06800,0x81bfe66f,0xff883ffd,0x4ffa805f,0x57ffdc00,0xfecb9999,
    0x2600dfff,0x1ffe603f,0x013f2000,0xf5027cc0,0x2e0007ff,0xffd805ff,
    0x07c80002,0x3ff26000,0x4400001d,0x000bfffb,0xffa803e0,0xd81bfee7,
    0xfff903ff,0x02ffb801,0x007ffdc0,0x0bffffa2,0x3fe60374,0x2fc40007,
    0x801f9000,0x70007ffe,0xffb00bff,0x0f900005,0x9ffd5000,0x50000001,
    0x54039ffd,0x3e027c2d,0x07ffee5f,0x2193ffa6,0x7404fff8,0xffb8005f,
    0xffd8800f,0x007e41ff,0x0001ffe6,0x220001dd,0x999999ef,0x02fffc99,
    0x805ffb80,0x80002ffd,0xf710007c,0x000007df,0x37ff6600,0xf17ffcc2,
    0x8ffe205f,0x912efff9,0x5b3dffdf,0x503fffb8,0xf70001ff,0x7f4001ff,
    0x3bfe66ff,0xeeeeeeee,0x02eeefff,0x80007f60,0xfffffffb,0x5fffffff,
    0x05ffb800,0x0002ffd8,0x644007c8,0x00002dff,0xff910000,0x93ffee5d,
    0x7ec43fff,0xfffffd85,0xffffa8df,0x17fff503,0x8000f7dc,0x2000fffb,
    0xf50ffffc,0xffffffff,0xffffffff,0x007ee007,0x3333dd00,0xfb333333,
    0xfb8003ff,0x2ffd805f,0x007c8000,0x000067cc,0xb8800000,0x43fff14e,
    0xfddfffef,0xfffb103f,0x1fffc47f,0x3bfffa60,0x20000bdf,0x2000fffb,
    0xf51ffffa,0xffffffff,0xffffffff,0x005f5007,0x2002fa80,0x4004fff9,
    0xfd805ffb,0x7c80003f,0x00004400,0x10000000,0x988205c4,0xa8800abb,
    0x26000600,0x700000ab,0x4c001fff,0x8000ffff,0x4c007ff9,0x7d80002f,
    0x0fffe800,0x017fee00,0x00717ff2,0x00000f90,0x00000000,0x00000000,
    0x00000000,0x01fff700,0x02fffdc0,0x007ff980,0x20000fe6,0xfa8004f9,
    0x3ee003ff,0xfffb805f,0x88002b89,0x00000001,0x00000000,0x00000000,
    0x80000000,0x2000fffb,0x0003fffe,0x2600fff3,0x40d1003f,0xf88000fd,
    0x3ee007ff,0xfff9805f,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x7e400000,0xff9000ff,0x260001df,0x4f9807ff,0x2609d500,0x3f60006f,
    0xff7003ff,0x3ffea00b,0x0000000c,0x00000000,0x00000000,0x00000000,
    0x7fec0000,0x7fec400f,0x260000df,0x7fd407ff,0xffffffff,0xfb01ffff,
    0x7fdc0009,0xffc800ff,0x0000c005,0x00000000,0x00000000,0x00000000,
    0x80000000,0xcdeffffa,0xfffdcbab,0xf980003f,0x3ffea07f,0xffffffff,
    0xfc886fff,0xe88001ff,0x202effff,0x001fffe8,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffdd3000,0xffffffff,0x037bddff,0x1ffe6000,
    0x7fffffc4,0xffffffff,0x7fffe44f,0xe8803fff,0xffffffff,0x3fffb61f,
    0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00098800,0x44000cc0,0x3bb60440,0x77441eee,0x11004eee,
    0x00c40060,0x7777775c,0xeeee984e,0x0c02202e,0x77777640,0x3bbbb24e,
    0x774c3eee,0xddd51eee,0x754bdddd,0xdb02eeee,0xdddddddd,0x500bdddd,
    0x0b100005,0x7f644000,0x7000dfff,0x03dffffd,0xc89ff5c4,0x7fec45ff,
    0xfffa881f,0x11ff5406,0x703bfffb,0x9809fffd,0x400efffe,0xeb881ffb,
    0x3fff662f,0x3ffee204,0xffff982f,0x5dfb101d,0x4ffffc98,0x201dffa8,
    0xccccdeff,0x04fffecc,0x0000ffd4,0x20000ff6,0xfda8bfe9,0x3fa202ff,
    0x3fffa88a,0x9ffffe4c,0x441ffffe,0x3f201fff,0xfffc886f,0xfffff73f,
    0x3ff621ff,0x4404ffff,0xfa804fff,0x7fffe4c2,0xffffff72,0x0fffc809,
    0x805fff50,0x3fee01fb,0x805fa85f,0x7ffc404f,0x03ffb806,0x03ffea00,
    0xb04fa800,0xff301fff,0x45fff701,0xcbfffcaa,0xf81fffcc,0x3fea01ff,
    0xfffba986,0xfa88aebb,0x8aee8cff,0x402fffc8,0x6d806ffc,0xafffcaa8,
    0xffc99beb,0x3ffe201f,0x00fff602,0xfffb00bb,0xf800ee83,0x07fff400,
    0x107fea04,0x27cf7400,0xf80dd000,0x03fe85ff,0x3a0bfff1,0x0ae25eff,
    0xf500fffc,0xeffe80df,0x7dfff705,0x1017ff60,0x7c403fff,0x2f7ffc02,
    0x6404ffd8,0x3fea05ff,0x200be206,0x3f26fff8,0xfc80d000,0x0efe82ff,
    0x3fa21ff1,0xf91fb804,0x07f70003,0x2e0fffd8,0x27ff407f,0x000fffe8,
    0xfa807ffe,0x27fec06f,0x405fff30,0xfd806ffb,0x201ee04f,0x3ee04ffe,
    0x7ffcc05f,0x03fff100,0xffa801ee,0x2002fabf,0x13ffea00,0x6e877ffc,
    0x880fffd1,0x001be24f,0x26666ffe,0x1fffd999,0x2ea017fe,0x007ffb00,
    0x2a01fff8,0x7fec06ff,0x07ffe203,0xa807ffa8,0x09d00fff,0x5405ffd0,
    0xffe806ff,0x0bfff703,0xff90013a,0x200009ff,0x2a05fff8,0x9cc9ffff,
    0x6c02ffff,0x0017d40f,0xfffffff1,0x7fffffff,0x00013fe6,0xf000fff6,
    0x7fd403ff,0x01ffec06,0xf8807ffa,0x7ffd007f,0xfb001f50,0x3ffcc05f,
    0xe837fdc0,0x7cc0fffd,0x7ffe8001,0x3ffa0000,0x7e54400f,0x0acffddf,
    0xfd81fd40,0x03ff3000,0x00ffea00,0x00fff600,0x5403fff0,0x7fec06ff,
    0x00fff403,0x2e00fff1,0x005d86ff,0x7cc05ffb,0xfff8807f,0x7ff47d40,
    0x98003643,0x80003fff,0x8002fffc,0x74003ffc,0x4013e606,0x70003ffa,
    0xb00009ff,0xff8007ff,0x1bfea01f,0xe807ff90,0x3fe201ff,0x5fff1007,
    0xfd8017c4,0x1ffe602f,0x3a1ffec0,0x2f8dff74,0xffff3000,0x7fd40001,
    0xfb71004f,0x17bffbbf,0x3200fdc0,0x4ffb801f,0x0bff9000,0x07ffb000,
    0x201fff80,0x7e406ffa,0x0fff403f,0x400fff10,0x01ae5ffc,0x2602ffd8,
    0xff3007ff,0xff887ccd,0x2000f51f,0x06ffecf8,0x0bfff100,0x23bffee0,
    0x2fffe9cc,0xf8804f88,0x05ffa805,0x00dff700,0x007ffb00,0x2a01fff8,
    0x7fe406ff,0x00fff403,0x4c00fff1,0x007d0fff,0xf3017fec,0x7ff400ff,
    0x4ffc8bb1,0x5b60009b,0x8003fff9,0x8800fffd,0x2dd0efff,0xfd86ffe8,
    0x805f5000,0x3001fff9,0x00bffe63,0x1ffec05c,0x807ffa00,0x7e406ffa,
    0x0fff403f,0x800fff10,0x00facffe,0x980bff60,0x3ee007ff,0x7cc1f9cf,
    0x8001f9ff,0x3ffee0fb,0x3fff2001,0x4bfb0c01,0x9fd10ff9,0x74003fa8,
    0x05fff806,0x3ffe23b0,0x3f60d005,0x7fec003f,0x01bfee02,0xfe807ff9,
    0x1ffe201f,0xbbfff500,0x02ffd800,0x8801ffe6,0xfd06dfff,0xf3000ddf,
    0x00dffb05,0x100fffe6,0x17fd4089,0x2001ba02,0x7fec03f9,0x3a35404f,
    0x26c03fff,0x4003ffd8,0xff704ffc,0x3ffc80ff,0x100fff40,0xff000fff,
    0xfd8003ff,0x1ffe602f,0x05fffb00,0x000fffee,0x3fe209f1,0x7ffc404f,
    0x6404a805,0x000003ff,0xffff8800,0x217dc40d,0xa83ffff9,0x7ffb00fd,
    0xbfffb800,0xfff7db30,0x9ffb0115,0x202fff80,0x4000fff8,0xe8006ffb,
    0x3fe603ff,0x37fd4007,0x001fff10,0x7fe407e8,0x3fff602f,0x5404d800,
    0x000001ff,0xffff9000,0x0bffdbdf,0x37fffff6,0x3a02fffc,0xfe8005ff,
    0xa8efffff,0xe82effff,0x7ffc04ff,0x07ffe602,0x007ff100,0x4c09fff0,
    0x7c000fff,0x02fec03f,0xb80dfb10,0xfb82ffff,0x99999bff,0x803feca9,
    0x00000019,0x7fffe400,0x200effff,0xfffffffd,0x3ffe604f,0x7f44001f,
    0x3fea4fff,0xdfff301d,0x17ffee01,0x003fffc8,0x54000fd8,0x3f606fff,
    0x3e4003ff,0x98017cc0,0xe82fffff,0x1fffffff,0xfffffff1,0xffffffff,
    0x00000007,0x7fd40000,0x7004ffff,0x05dfffff,0x3fffffee,0x5cc002ef,
    0x9805cc0a,0xeffffffe,0xffffff92,0x3fff61df,0x2004efff,0x3fa60039,
    0xb1efffff,0x7dffffff,0x2400a600,0x00000000,0x00000000,0x40000000,
    0x80009ba8,0x00001ab9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4da83eb8,0x4ccc1edc,0x99999999,0x99999999,0x0bfff309,0x44000010,
    0x000000bc,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x7ffc1fff,0x4cdfff72,0xffffffff,0xffffffff,0x3ee4ffff,0x3fff207f,
    0x8ae000ad,0x00005ffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x3e62fffa,0xffffb3ff,0x2aaaaa25,0xaaaaaaaa,0x1aaaaaaa,
    0x7f417fe4,0x1cfffedf,0x3ffe1f80,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fd40000,0x4fffe62f,0x005ffffb,0x27ec0000,
    0xfd710bee,0x8d7017df,0x00004ffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x3e20fff8,0x362e62ff,0x80000006,0x2601f46e,
    0xfccdfffd,0x0002a82f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff0fff0,0x00013e03,0xf87e2000,0xffd71000,0x000003df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffb0dfd0,
    0x0005f501,0x18a60000,0x00131000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x27e40000,0x25d837e4,0xeeeeeee9,0xeeeeeeee,
    0x003eeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x507f7000,0x20dd88bf,0xeeeeeee9,0xeeeeeeee,0x003eeeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x303f3000,0x001fdc7f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0fc03e20,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01400000,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_44_usascii_x[95]={ 0,4,2,0,2,1,1,1,1,0,2,0,2,1,
2,0,1,4,0,1,0,1,1,1,2,1,3,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,5,3,3,0, };
static signed short stb__times_44_usascii_y[95]={ 35,8,8,8,6,8,8,8,7,7,7,11,31,24,
31,7,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,41,8,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,11,17,17,17,17,17,17,7,7,7,21, };
static unsigned short stb__times_44_usascii_w[95]={ 0,5,12,20,16,31,29,5,12,12,16,22,6,11,
6,12,18,12,19,16,19,17,18,18,16,18,5,7,22,22,22,16,35,29,25,25,28,24,21,28,28,13,16,30,
24,35,30,27,21,27,27,18,23,29,29,38,29,29,24,9,12,9,18,22,7,17,20,16,19,16,17,19,20,10,
12,21,10,31,20,18,20,19,14,14,12,20,20,29,20,20,17,12,2,12,22, };
static unsigned short stb__times_44_usascii_h[95]={ 0,28,12,28,33,29,28,12,37,37,17,22,11,4,
5,29,28,27,27,28,27,28,28,28,28,28,20,26,20,9,20,28,37,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,29,35,15,3,7,20,29,20,29,20,28,28,28,28,
37,28,28,19,19,20,28,28,19,20,25,19,19,19,18,27,18,37,37,37,7, };
static unsigned short stb__times_44_usascii_s[95]={ 254,248,175,194,153,216,215,250,92,37,214,
123,188,170,249,203,1,97,47,20,27,37,55,74,93,175,192,245,169,195,146,
141,1,67,1,213,223,177,233,100,148,239,158,92,67,31,110,96,181,105,153,
194,129,70,40,1,203,1,123,143,190,133,231,182,218,213,1,18,170,1,176,
156,135,124,79,74,63,71,124,231,22,43,35,198,110,50,103,145,175,202,196,
66,63,50,226, };
static unsigned short stb__times_44_usascii_t[95]={ 1,1,202,39,1,1,39,155,1,1,183,
155,202,31,202,1,69,155,155,69,155,69,69,69,69,69,155,39,155,202,155,
69,1,155,155,69,127,127,98,98,127,69,69,127,127,127,69,39,98,1,98,
69,98,98,98,98,98,127,127,1,1,1,183,31,202,155,39,183,1,183,39,
39,39,39,1,39,39,183,183,155,39,39,183,155,155,183,183,183,183,127,183,
1,1,1,202, };
static unsigned short stb__times_44_usascii_a[95]={ 159,212,259,318,318,530,494,115,
212,212,318,359,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,177,177,359,359,359,282,585,459,424,424,459,388,354,459,
459,212,247,459,388,565,459,459,354,459,424,354,388,459,459,600,
459,459,388,212,177,212,298,318,212,282,318,282,318,282,212,318,
318,177,177,318,177,494,318,318,318,318,212,247,177,318,318,459,
318,318,282,305,127,305,344, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_44_usascii_BITMAP_HEIGHT or STB_FONT_times_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_44_usascii(stb_fontchar font[STB_FONT_times_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_44_usascii_BITMAP_HEIGHT][STB_FONT_times_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_44_usascii_s[i] + stb__times_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_44_usascii_t[i] + stb__times_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_44_usascii_x[i];
            font[i].y0 = stb__times_44_usascii_y[i];
            font[i].x1 = stb__times_44_usascii_x[i] + stb__times_44_usascii_w[i];
            font[i].y1 = stb__times_44_usascii_y[i] + stb__times_44_usascii_h[i];
            font[i].advance_int = (stb__times_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_44_usascii_s[i] + stb__times_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_44_usascii_t[i] + stb__times_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_44_usascii_x[i] + stb__times_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_44_usascii_y[i] + stb__times_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_44_usascii_LINE_SPACING
#endif

