// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_50_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_50_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_50_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_50_usascii_BITMAP_HEIGHT        265
#define STB_FONT_times_50_usascii_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_50_usascii_FIRST_CHAR            32
#define STB_FONT_times_50_usascii_NUM_CHARS             95

#define STB_FONT_times_50_usascii_LINE_SPACING          32

static unsigned int stb__times_50_usascii_pixels[]={
    0x18000001,0x15100008,0x00002000,0x00066620,0x93040000,0x99999999,
    0x33333223,0x0001cccc,0x0002b2a6,0x0000d400,0x00006ea2,0x15401c98,
    0xd0150000,0xf1000003,0x067643ff,0x4005f700,0x40001edb,0xeeffedb8,
    0x000bdfff,0xf5354000,0xffffffff,0x3ffffe65,0x2002ffff,0xfffffec9,
    0x0000bdff,0x260009d0,0x01fffefe,0x4037c400,0x220000fc,0x4e882ffc,
    0x7fe40000,0x002fb84f,0xdd1005f7,0xfda80001,0xb53009ad,0x800003bf,
    0x4ccc45d8,0x32fff999,0x33333fff,0x3ff20013,0xeb999bce,0x40002fff,
    0x20009de9,0xff914ff8,0x0fec0003,0x4001fcc0,0x02ffffda,0x00003db1,
    0x540fffee,0x02fb804f,0x20002fcc,0x8001cfeb,0x00003fc8,0xff8007f5,
    0x00fff32f,0x027ff4c0,0x0027ff54,0x3fffff6a,0x7f402dff,0x0006ff85,
    0x2fc009f5,0x3ff36a00,0x1fec02ff,0x6fec4000,0x700ffa00,0x17fc405f,
    0x019fb000,0x01dd3000,0x0027d400,0xff997ffc,0xfff70007,0x7ff44005,
    0x7fe4401e,0xfebace9c,0x3ffb83ff,0x4002ffd8,0x7e4006f8,0xfff90000,
    0x005fd005,0x7fdc0000,0xd80bee00,0xfd30007f,0xdb000007,0x017e6000,
    0xf997ffc0,0xffb8007f,0xff88003f,0x3bfa00ef,0xdff913a0,0xf703ffb0,
    0x1fd800df,0x001fcc00,0x802fffa8,0x00000ffa,0x409ff100,0x9ff302fb,
    0x05ff5000,0x02740000,0x0003fa20,0xff997ffc,0x7ffc4007,0x3fee0006,
    0x87ff904f,0xf86fb84e,0x7ffa81ff,0x000fea00,0xfa8002fc,0xdfb002ff,
    0x30000001,0x17dc0dff,0x4005ffa8,0x00001ef9,0xb0017c40,0x7fc0009f,
    0x00fff32f,0x003fffd8,0x20ffff40,0x2740fff8,0x7ffc46e8,0x00fff980,
    0x20006f88,0xfa8000fc,0xff1002ff,0x50000009,0x17dc0fff,0x2006ffc8,
    0x00001ff8,0x3200f500,0x3e0000ff,0x0fff32ff,0x037ffdc0,0x37ffdc00,
    0x13a1ffea,0x3ffea35c,0x01fff980,0x20000fd8,0xfa8003f9,0x3fa002ff,
    0x4000000f,0xf700fffb,0x01fff605,0x00004fd8,0x22017c00,0x7c0005ff,
    0x0fff32ff,0x0ffffe20,0x3ffe6000,0x07ffee3f,0xf31aa09d,0xfff301ff,
    0x003fb801,0x98006f80,0x32002fff,0x000004ff,0xf703ffec,0x03fff205,
    0x8001bee0,0x05b80008,0x0001ffdc,0x7fccbffe,0xffff7007,0x3fe00003,
    0x3ffea6ff,0x86882743,0xffa80fff,0x002fc407,0x4000fc80,0x2002fff9,
    0x0000fff9,0x7ff405b5,0x540bee06,0x7c401fff,0xffc8001f,0x0ddb52ee,
    0xfff803e2,0x7ffc0001,0x200fff32,0x000ffffc,0x1ffff900,0xe83bffe2,
    0x3ffa0204,0x406ffa81,0x300000fe,0xff98007f,0x7ffc002f,0x3ff22004,
    0x17ffe02f,0xff302fb8,0x04fc805f,0xd517fd40,0x7c09ffb1,0x00fff502,
    0x265fff00,0xffb007ff,0x5c0000ff,0x3fa1ffff,0x0013a5ff,0xff907ff9,
    0x0017dc07,0x3001be00,0xd8005fff,0xfd9806ff,0xf102ffff,0x17dc09ff,
    0x403fff88,0x3ee001ff,0xfffdb80e,0x7f40fa01,0xff80006f,0x00fff32f,
    0x001ffffe,0x2ffffa80,0x23bfffee,0x7f44004e,0x2607ff85,0xc800005f,
    0x3fe6000f,0x7fec002f,0x74cc400f,0x3fe02fff,0x80bee02f,0x3ea02fff,
    0x07ff2006,0x203fffc4,0x5fff984d,0x2fff8000,0xf100fff3,0x0000dfff,
    0x227fffd4,0x4ffffffd,0x22ff8800,0x3fa02ffc,0xf9800000,0x3ffe6003,
    0x7ffe4002,0x3ffee003,0x807ff602,0x3ffa02fb,0x400ff600,0x7fc03ffc,
    0x542e405f,0x80004fff,0xfff32fff,0xbffff500,0x7fcc0000,0xfffd85ff,
    0x98000eff,0x01efedfe,0x00000bf2,0x3e6006e8,0x7dc002ff,0x3ea005ff,
    0x3fe602ff,0xe80bee02,0x03fe205f,0x1017fe60,0x4d805fff,0x003fffb8,
    0xf32fff80,0xfff500ff,0x4c0000bf,0xd886ffff,0x01ffffff,0x80377100,
    0x6dc405f9,0x07e4001c,0x02fff980,0x037ffdc0,0x805fff30,0x0bee06fd,
    0xf3007fd4,0x1ffd100d,0x00fff980,0x7ffe41f4,0xfff80002,0x300fff32,
    0x000dffff,0x2ffffcc0,0xffffff70,0xe8000007,0x2fff600f,0xf3000efe,
    0x3ffe6007,0x7ffd4002,0x3ffe6007,0x80fec402,0x03fd02fb,0xfc805fa8,
    0x6ffb804f,0xffd82e80,0xff80002f,0x00fff32f,0x00fffff1,0x7fffd400,
    0x7fff4403,0x00000dff,0x3ee02fc8,0x801bf20e,0xfff3006e,0xfff98005,
    0x3ffe6007,0x703db002,0x003d905f,0xff9809f7,0x3ffe800f,0x7fc0fc40,
    0xf80001ff,0x0fff32ff,0x0fffff10,0x7ffdc000,0xfffd002f,0x00001dff,
    0xff5027d4,0x005ff887,0xff3001f9,0xff98005f,0xff3000ff,0x6ecc005f,
    0x764cbee3,0x00ff2002,0xf100bff9,0x07a803ff,0x0001ffff,0x3e65fff0,
    0xfffd007f,0x3200001f,0xd001ffff,0x3fffffdb,0x1df10000,0x6c0fff40,
    0x3f9801ff,0x02fff980,0x07fffc40,0x02fff980,0xfb877d40,0x40019f92,
    0x7ffc02fd,0x07ffc802,0xfff885d8,0xff80000f,0x00fff32f,0x007fffee,
    0x3fffec00,0x3ff69d00,0x40000fff,0x3fe201fc,0x007ff907,0x3fe601ba,
    0x7fc4002f,0x3fe6007f,0x19d3002f,0x27d42fb8,0x2a01fe80,0xff9807ff,
    0x817c404f,0x0001ffff,0xff32fff8,0x3ffe600f,0xfd00003f,0x274007ff,
    0x009ffff7,0x26027d40,0xbff907ff,0x3003f200,0x98005fff,0x26006fff,
    0xfa802fff,0xf105f703,0x01fd801b,0x36017ff2,0x3dc02fff,0x005ffff0,
    0x265fff00,0x3fa007ff,0x980006ff,0x74006fff,0x03fffdc4,0xb806f880,
    0xdff707ff,0x300fe600,0xa8005fff,0x26005fff,0x7dc02fff,0x5c0bee07,
    0x017e406f,0xf9807ffd,0x3e200fff,0x0bfffa03,0x4bffe000,0x26007ff9,
    0x0003ffff,0x001fffec,0x3fffa13a,0x01fd8000,0xf706ffc8,0x037400ff,
    0x000bffe6,0x4009fff7,0x2202fff9,0x0bee03ff,0xf701ffc4,0x01fffc07,
    0x80dffbf3,0x7ffec06c,0xfff80003,0x800fff32,0x0006fffc,0x261bffe6,
    0x3f213a00,0x7d4001ff,0x0fff5003,0xc801bfee,0x3ffe601f,0x7ffe4002,
    0x3ffe6003,0x807ff202,0x3ff602fb,0x7c09f500,0x93f305ff,0x0fdc09ff,
    0x013ffee0,0x4cbffe00,0xfe8007ff,0xfb0003ff,0x407901df,0x0fff984e,
    0x801be200,0xff907ff8,0x01fcc00b,0x8005fff3,0x2002fffc,0x3a02fff9,
    0x0bee02ff,0xf301ffe8,0x07fff40b,0x1ffecbe6,0xf9803fb8,0xf80004ff,
    0x0fff32ff,0x3fffd100,0x0effc800,0x42740b90,0x6c007ffa,0x7ffc001f,
    0x004ffd80,0xfff50374,0x7ffd8005,0x17ffcc00,0x5c07fff0,0x0fffe02f,
    0xff900fe8,0x45fd77ff,0x7e444ffd,0xfff83b03,0xfff80005,0x000fff32,
    0x00ffff62,0x803bff62,0xb09d00fc,0x7dc009ff,0x2ffc8003,0x4000fff8,
    0xfff501fb,0x4ffe8007,0x17ffcc00,0x5c09fff0,0x7fff302f,0xf881fdc0,
    0x41ffffff,0xfcabfffa,0xf90d902e,0xff0000ff,0x01ffe65f,0x5bffd300,
    0x7ff5cc41,0x82fe400c,0x077fc44e,0x0005f880,0x9ff517fa,0x207f3000,
    0x4004fffb,0x4c000fff,0x3fa02fff,0x40bee06f,0x2202fffa,0x3ffe606f,
    0xfffb00be,0x0fc405df,0x000fffcc,0x7ccbffe0,0xd500007f,0xfffdffff,
    0x3f20019f,0x3a24e84f,0x3fa001ff,0x3fa20000,0x005ffb8d,0x3fa21ba0,
    0xf5000fff,0xff3000bf,0x3ffec05f,0x3ee05f70,0x0fe400ff,0x19800260,
    0x7ec0db00,0x7fc0003f,0x00fff32f,0xffffb800,0x64000fff,0x9d0befff,
    0x003dfd71,0x40001fdc,0x03effeb8,0xf98fdc00,0xffffffff,0x00ffe403,
    0x00fffcc0,0x2e01fff9,0x0fff902f,0x0000bf30,0x807ea000,0x40005ff9,
    0xfff32fff,0xff300000,0x000bffff,0xfffffd93,0x0009ffff,0x10000033,
    0x32200001,0x7f400001,0xfff30006,0x07ffdc01,0xffb02fb8,0x00fee00d,
    0xbd100000,0x000ffb00,0xff32fff8,0x2200000f,0x02fffffe,0x3f2a6200,
    0x000000ae,0x00000000,0xfa800000,0xff30000f,0x07ffa80f,0x7fdc0bee,
    0x007f6005,0x2f440000,0x003ff880,0x7ccbffe0,0x4000007f,0x00fffffc,
    0x0009d000,0x02f7bb22,0x20216400,0xeeeeeee8,0x0000eeee,0x0007fa00,
    0x4407ff98,0x0bee05ff,0x10027fcc,0x000001fd,0x54005e98,0xff0000ff,
    0x01ffe65f,0x3fea0000,0x80000eff,0xfe98004e,0x03efffff,0x7f447e20,
    0x3fffe21e,0x0fffffff,0x7f500000,0x4ff98000,0x7017fd40,0x037f405f,
    0x000bfa20,0x002fcc00,0xf0005fb8,0x1ffe65ff,0xea800000,0x40001fff,
    0xdfe8001a,0xffffda9a,0xf73dc01c,0x7ffc4bff,0xffffffff,0xf9800000,
    0x2a026005,0x2fec00ff,0xf980bee0,0x4fd8000f,0x3ee20000,0x17ec0005,
    0x997ffc00,0x000007ff,0x0cffea80,0x2e000000,0xffd5101f,0x7e4417df,
    0x89bfff23,0xbbbbbbbb,0x00000bbb,0xf8802f44,0x027e41ff,0xf7003fe2,
    0x004fc805,0x0017df70,0x00bbf220,0x4c17dc00,0xffeeeeee,0xddfff32f,
    0x0005dddd,0xcfeda800,0x4000000a,0xff93005d,0x8dffdfff,0x0003fff9,
    0x5d300000,0x7fffd400,0x200dfa8c,0xfb800de8,0x003fb802,0x03bff930,
    0x05df9530,0x87d30000,0xfffffffa,0xffff32ff,0x005fffff,0xcb980000,
    0x3a000003,0xffda8001,0x037104ff,0x20000000,0xfe8000db,0x203fffff,
    0x2e003ec9,0x5bd3002f,0x3faa0001,0xfedcdeff,0x00002dff,0x00004c80,
    0x00000000,0x20000000,0x00880001,0x00000000,0x26000140,0x2200abdb,
    0x1ea8001c,0x0015c400,0x372ea620,0x000009ac,0x00001800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x00000028,
    0x80001500,0x2a60001a,0x000000ac,0x57975310,0x5000e203,0x2e200001,
    0xa8001800,0x88000000,0x000001aa,0x64400031,0xb5025c02,0x000000ff,
    0x00ffe4c0,0x4005f500,0xfffffed9,0x0000cdff,0x7ffff540,0x0adfffff,
    0xff9100b5,0xff300005,0x3ffa203f,0x17fe4c00,0xfb300000,0x0009ffff,
    0xdfffd730,0x03fa8003,0x3fee237c,0x000007ff,0xffffda80,0x01f60001,
    0x8aceffc8,0x2fffdba8,0xfffb8000,0x95311bdf,0x40dfbfff,0x02ffffda,
    0x4fffc800,0x209fff70,0x02ffffda,0xdff50000,0x003bf6a5,0x7e55ff40,
    0x2e003fff,0xb13e201f,0x00ffffd9,0xddb80000,0x0001ffff,0xfd500bf1,
    0xffd3007f,0x7fec0009,0xffb1002f,0x3f36a0ff,0x80002fff,0xf706ffff,
    0xfbb707ff,0x00005fff,0x3609ff50,0x7ec000ef,0x07fffd41,0x2a00fd80,
    0xffff103f,0x40000000,0x0001fffd,0xffc805f5,0x3f62002f,0x3a2001ef,
    0xb8002fff,0xffc807ff,0xfe80002f,0x37f607ff,0x17ffec00,0x3fe60000,
    0x0bff100f,0xfb827e40,0x0dd003ff,0x3fa01fc8,0x0000007f,0x007ffee0,
    0x3ea03ec0,0xff0002ff,0xff1001ff,0x640003ff,0x7fd400ff,0xfe80002f,
    0x700006ff,0x00005fff,0x6c03ffd8,0xffa801ff,0x003bf203,0x1fb017e2,
    0x003ffec0,0xff500000,0xbf10003f,0x037ffc40,0x09fff700,0x003fffb0,
    0xa801fd00,0x80002fff,0x0005fffd,0x005fff50,0x07ffcc00,0x2017fea0,
    0x00402ffc,0x6f807f30,0x003ffec0,0xff500000,0x5f50003f,0x017ffec0,
    0x3ffff100,0x02fffdc0,0x401f9800,0x0002fff9,0x004fffc8,0x05fff500,
    0x37ff4000,0x00fffc40,0x0000bff6,0x3e602fb8,0x03ffec04,0xf5000000,
    0xfb0003ff,0x037ffdc0,0x37ffe400,0x01ffff98,0x300ba000,0x00005fff,
    0x0009fff7,0x00bffea0,0x27ffc400,0x405fff80,0x00002fff,0x3fa803f6,
    0x003ffec0,0xff500000,0x4f88003f,0x07ffff10,0xffff1000,0x0dfffb09,
    0x402a8000,0x0002fff9,0x003fffa8,0x05fff500,0x3ffea000,0x1fffb003,
    0x00bffe20,0x6407e800,0x3ffec01f,0x50000000,0xa8003fff,0xffff502f,
    0x3fa00003,0x7ffc46ff,0x0000002f,0x002fff98,0x02fff980,0x5fff5000,
    0x3ff60000,0xfff9002f,0x07ffe603,0x99999100,0x99999ff9,0x7999fd99,
    0x730fffb0,0x4400037b,0xff52cdca,0x07d8003f,0x003ffff2,0x7fffec00,
    0x03fffee0,0x26000000,0x33302fff,0x44133333,0x6d401fff,0x17ffd401,
    0x400b32a2,0x7002ffff,0x4ccc5fff,0x999bfffb,0x3ffe2009,0xffffffff,
    0xffffffff,0x27ffd85f,0xeffffff9,0x3bfa6000,0xffbeffdd,0x13e2001f,
    0x007fffd8,0x3ffff200,0x01ffffa1,0x7cc00000,0xfff902ff,0xff87bfff,
    0xfffc980f,0x17ffd402,0x3ffffff7,0x01ffff80,0x267fff70,0xffffffff,
    0x4c03ffff,0x9afd9999,0xdfa99999,0xffd80999,0xffffff37,0xf3003fff,
    0xffff907f,0x17dc003f,0x00fffff0,0x7fffdc00,0x01bfffe3,0x7cc00000,
    0x3fee02ff,0x31ffe01e,0x05fffffd,0xfb2fffa8,0x0dffffff,0x00ffffc4,
    0x514fffb8,0x59fff955,0xb0003555,0x017d401f,0x77cfffec,0xffffecac,
    0x0ffea00f,0x01ffffc8,0xff881f60,0x200006ff,0xf14ffffa,0x2000bfff,
    0xaaaaaaa9,0xff982aaa,0x013fa02f,0xd3331ffa,0xfa805fff,0x30aedaff,
    0x2607fffb,0x5000ffff,0x3ea0bfff,0xf00001ff,0x801fc80d,0x903ffffd,
    0x2209ffff,0xfff806ff,0x09f1001f,0x02ffffd4,0xffff3000,0x17fffe6b,
    0x7ff6d400,0x84dfffff,0xe882fff9,0x0dfb003f,0x2017ffdc,0x80defffa,
    0xf306fff8,0x7d400fff,0xfff506ff,0x9f300003,0xfb007e80,0xffc803ff,
    0x2ffd80ff,0x01fffd80,0x7d403f70,0x00005fff,0x557fffe6,0x0005ffff,
    0x1fffffb8,0x10bffe60,0x7e4005fd,0x0bffea05,0x809fff50,0xfa80fffc,
    0x3ea007ff,0xfff506ff,0x7f500003,0xfb006f80,0x3ffe00ff,0x03ffcc3f,
    0x001fffa8,0xfff880fb,0x2600006f,0xff34ffff,0x20000dff,0x4c06fffe,
    0x3fa22fff,0x027dc002,0xa805fff5,0x7dc02fff,0xfff981ff,0x3ffee007,
    0x03fff506,0x403f9000,0xffb004f9,0x3ffee00f,0x8037fec4,0x8801fffa,
    0xffff804f,0x3ea00007,0xfff12fff,0x360000ff,0x7cc05fff,0x03ff32ff,
    0x4c07f500,0x7d402fff,0x7fd402ff,0x7fff881f,0x17ffee00,0x000fffd4,
    0xf7007ec0,0x1fff6005,0x22fffc40,0xf5005fff,0x3f7003ff,0x0ffffd00,
    0x7ffdc000,0x1ffffe1f,0x7ffec000,0x57ffcc04,0x30001ff9,0x7ffcc05f,
    0x17ffd402,0x407ffea0,0x7000ffff,0x3ea0bfff,0x998001ff,0x9999ef99,
    0x99afd999,0x7ffd8099,0x89bffe00,0xf5004fff,0x0fb003ff,0x03ffff20,
    0x7ffe4000,0x3ffff60f,0xffc80002,0x7ffcc04f,0x0004fffc,0x7fcc03f3,
    0x7ffd402f,0x0fffd402,0x000fffe8,0x2a09fff9,0x44001fff,0xffffffff,
    0xffffffff,0xfd85ffff,0x3ffa007f,0x013ffe67,0x200fffd4,0xff7004f8,
    0x200003ff,0x7e46fffd,0x80005fff,0x4c04fffc,0xffffbfff,0x00f88003,
    0x500bffe6,0xfa805fff,0xfffb01ff,0x3fff6003,0x03fff502,0xfdccc880,
    0xcccccccd,0x3cccccef,0x2007ffd8,0x3fee5ffe,0xfff5005f,0x001fb803,
    0x007ffff3,0x0ffffa00,0x00fffff1,0x09fff900,0xf9afff98,0x78001fff,
    0x017ffcc0,0x500bffea,0x3ee03fff,0xffd002ff,0x0fffd40f,0x807f2000,
    0x3f6004f9,0x3ffe007f,0x01bffea4,0x200fffd4,0x7fe4007e,0xf980007f,
    0xfff706ff,0xfc80005f,0x7fcc04ff,0x1dfff72f,0xff980000,0x7ffd402f,
    0x0fffd402,0x004fff88,0x7d40bfff,0x6c0001ff,0x00bee00f,0x2007ffd8,
    0x3fe62fff,0xfff5007f,0x0027c405,0x00ffffa2,0x03fffb00,0x007ffff4,
    0x09fff900,0x362fff98,0x00005fff,0x2017ffcc,0x5402fffa,0x3f601fff,
    0xfff9806f,0x07ffea03,0xc80df000,0x3ff6000f,0x3fff1007,0x00ffffc4,
    0x7017ffd4,0xff50003f,0x7cc000ff,0x7fd404ff,0x320004ff,0x7cc04fff,
    0x7fff42ff,0x3e600004,0x7fd402ff,0x7ffd402f,0x03ffea01,0xa80fff50,
    0x20001fff,0x03f404f9,0x401fff60,0xffe85ffa,0xfffa805f,0x8001fa02,
    0x0003fffd,0x9001fffb,0x0005ffff,0x3013fff2,0xff885fff,0x801002ff,
    0x5402fff9,0x7d402fff,0x7ff401ff,0x01ffec02,0x0007ffea,0x2fc03fa8,
    0x01fff600,0x7d407ff4,0x7d401fff,0x09f102ff,0x7ffec400,0x77fec001,
    0x3fff2001,0xffc8002f,0x7ffcc04f,0x1ffffa82,0x403bfa60,0x5402fff9,
    0x7d402fff,0x7fc401ff,0x01bfe206,0x000bffea,0x3e601fc8,0x3ffec004,
    0xd017fd40,0x6c03ffff,0x3f704fff,0xfff70000,0x9ffd1007,0x3ffee000,
    0xfd1000cf,0xffa809ff,0xffff903f,0x13fff201,0x201fffd4,0x5402fffa,
    0xf9802fff,0x01dfd03f,0x005fff50,0x3ea03ec0,0x7ffec002,0x09ff500d,
    0xbfffff98,0x3ffffa60,0x01fa2baf,0xdffe9800,0x3ff2a21b,0x6c40002f,
    0x881cffff,0x0befffd9,0x027ffdc0,0xd01dffff,0x3ee0bfff,0x7fdc04ff,
    0x7ffdc03f,0x17ff5003,0x4003bfaa,0x0004fffc,0x01f901be,0xffffd880,
    0x05ff731b,0x3ffffe60,0xffacffef,0x9f11cfff,0xfb700000,0xdfffffff,
    0x4c000019,0xeeffffec,0x01dfffff,0x1ffffd10,0x3fffff20,0x417ffd42,
    0x00ffffe8,0x01dffff3,0x03bfffe2,0x7fffed40,0x3fee003f,0x4000bfff,
    0x03f404f9,0xffffb300,0x8001bfff,0xffffffd8,0x817dff52,0x000001fb,
    0x00d66544,0xaa880000,0x019abccc,0x3ffffee0,0x3fa3ffff,0x4fffffff,
    0xfff306e6,0x25ffffff,0xfffffffa,0xffff73ff,0x003fffff,0x44004dd4,
    0xfffffffe,0x93005eff,0x0003c803,0x00379530,0x83795100,0x012e01c9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0aaa9800,0xca980000,0x2000001b,0x001aba98,
    0x00abba98,0x654c4000,0x002e01ab,0x8805654c,0x54c00002,0x3551000c,
    0x26666200,0x26009999,0x10019999,0x4c39bb73,0x216a001d,0x000acdb8,
    0x7fffffd4,0xea80001e,0x01efffff,0x3ff62000,0x803fffee,0xfffdeffa,
    0x2e20003f,0xfffffffe,0x807e21cf,0xffffffc8,0x00b90bde,0xdffeca80,
    0x3fb2200b,0x200dffff,0xfffffffb,0xfffb102e,0x7ec401df,0xcdfffeef,
    0x7e4c01ff,0x3fffa27f,0xfb001eff,0xffffffff,0x7fec0007,0x2ffea89d,
    0x4ffb8000,0x880efe98,0x7fdc0afe,0x322000df,0x309adfff,0xfd9dff75,
    0x33ffea05,0xffffda9a,0xd50005ff,0x220037ff,0xffb30cfe,0x7ff4403d,
    0xff5003ff,0x0cfe9807,0x3ffffea2,0xffffd501,0x3ffffe6f,0x6c02ffff,
    0xffecceff,0xb8001fff,0x1ffb05ff,0x17fd4000,0xfb03bfa0,0x37ffcc07,
    0x1dffe980,0xffffc880,0x00eff982,0x017fffe6,0x007bff20,0xf303ff98,
    0x7fc405ff,0xdf5002ff,0x202ffa80,0x501ffff9,0x3affff73,0xfffecbdf,
    0x19f700ff,0x0dffff50,0x02fff980,0x20005ff5,0xf9804ff8,0x201fea4f,
    0x5403fffc,0xa8005fff,0x7f443fff,0xfff9800f,0x3ffa2005,0x2ffc4004,
    0x701bff20,0x32009fff,0x13fe202f,0x007fff60,0x0373fffa,0x213ffff2,
    0x7fd404f8,0x3ee000ff,0x01ffc07f,0x002ffb80,0x0ffecfff,0x81bffe60,
    0x0005fffa,0xff90ffee,0x2ff44009,0x04fff880,0x401ffc80,0x7403fff8,
    0x0ff007ff,0xb800ffd8,0xfd801fff,0x7fec05ff,0x8025c0ff,0x2001fffd,
    0x3e206ffd,0xffb0003f,0x47ffa005,0xff803ffe,0xfff880ff,0x7e40000f,
    0x0017ff44,0x3a2017ea,0xf88005ff,0xfff9007f,0x1fffd401,0xfa813ea0,
    0xfff5005f,0x0fff9003,0x07ffff30,0x07ffdc00,0x40ffff00,0xd0001ff9,
    0x3fe009ff,0x00dffb0f,0xfb01fffd,0x100007ff,0x04fff89f,0x7402fc40,
    0xc8000fff,0xff3006ff,0x6ffe809f,0xfb007ec0,0x3fea007f,0x7ffc801f,
    0x09fffb00,0x02ffd400,0x403fffa0,0x360006fd,0xff9806ff,0x003ffee5,
    0xff50ffff,0x6c0000ff,0x01fffe25,0xff9017a0,0x3fa0005f,0x3ffe005f,
    0x17ffdc07,0x7fc05f98,0xfff5002f,0x0fff9003,0x017ffea0,0x003ffb80,
    0x5c1fffec,0x2a0001ff,0x7dc04fff,0x017f622f,0xfd0bfff1,0x40000bff,
    0x27fff459,0xf9816e00,0x3e0005ff,0x3fa005ff,0x7ffc00ff,0x4405f906,
    0xf5001fff,0xff9003ff,0x3ffe600f,0x17f60007,0x1bfff200,0x80005ff7,
    0x103ffff8,0x00101dff,0xf987fff3,0x00002fff,0x3ffff21c,0xd8122005,
    0x10002fff,0x6c00dfff,0x7dc01fff,0x407f82ff,0x5001fff9,0xf9003fff,
    0x3fe200ff,0xdf10007f,0x3ffe6000,0x41efd99f,0x99999999,0x9ffffb01,
    0x0001dfb0,0x3207ffe4,0x0000ffff,0x7fffd400,0x540001ef,0x20007fff,
    0x2007fff8,0x4402fffc,0x27d46fff,0x00bffee0,0x400fffd4,0x3e007ffc,
    0xe88006ff,0x3fa0000e,0xb03ffeff,0xdfffffff,0xffffd101,0x0037f61b,
    0x83fff880,0x0007fffe,0xffff9000,0x20001bff,0x9514fffd,0x7c0159db,
    0xf9000fff,0xff9009ff,0x2007ec3f,0x5003fffa,0xf9003fff,0x7ffc00ff,
    0x67f44004,0x3fee0000,0x7dc00dff,0x4400bfff,0xfdeffffe,0xffc80003,
    0x0dffff05,0x7ec00000,0x03ffffff,0x4ffffc40,0xfffffffb,0x5fffd01e,
    0x0ffff600,0x4d7ffe20,0xfff9805f,0x3fff5004,0x00fff900,0x8801fffc,
    0x03ffffeb,0xdffff900,0x09fff100,0x7ffff440,0xf880003f,0xfff880ef,
    0x0000006f,0x3fffff62,0xf5002eff,0x115dffff,0x05ffffb7,0x200dfffb,
    0x9002fffd,0x05f93fff,0x01ffff10,0x003fff50,0x2200fff9,0x6c402fff,
    0xffffffff,0x3ffa6003,0xf803ffff,0xfd88006f,0x0003ffff,0xf9807fe4,
    0x00005fff,0xffffb800,0x401dffff,0x202efffc,0x4c0ffffd,0xe802ffff,
    0xf1001fff,0x400dfbff,0xa803ffff,0xfc801fff,0xdff3007f,0x3fb2a600,
    0x402fffff,0xff8cffc8,0x3e600fff,0xfe88001f,0x004fffff,0x5403ff10,
    0x0005ffff,0xffb10000,0x07ffffff,0x401fffec,0xfc85fffe,0x3ee00eff,
    0x36000fff,0x2003ffff,0x401ffffc,0xc801fffd,0xfc800fff,0xfd30002f,
    0x7440dfff,0x3ffee3ff,0x017f205f,0x3ee3fe60,0x8005ffff,0x7fcc03fb,
    0x000005ff,0x7fff5400,0xfd05ffff,0xff5005ff,0xfff883ff,0xfd510aef,
    0x9800ffff,0x2000ffff,0x82fffff8,0x01fffed8,0x403fffc8,0x80005ff8,
    0x882ffffb,0xfff82fff,0x01fd02ff,0x2a2ffa80,0x004fffff,0x7fc402f4,
    0x000006ff,0xffff7000,0xfff09fff,0x3ffe005f,0xfffd883f,0xfcbfffff,
    0xfd8004ff,0xffb8005f,0xfdcdefff,0x801fffad,0x200ffffc,0x00001ffd,
    0xf889fffb,0xfff702ff,0x02fb81ff,0x4c1ffcc0,0x003fffff,0x3fe001f3,
    0x000006ff,0x3ff22000,0x7fc3ffff,0xff9001ff,0x7fedc09f,0x3fffa3de,
    0x2ff98001,0xffff7000,0x3eabffff,0xffc801ff,0x3620beff,0x200001ef,
    0x7f45fff9,0x3ffa00ff,0x017e24ff,0xf881bfe0,0xa800ffff,0x3fff6005,
    0x00000007,0xffffe980,0x007fff47,0x005fffa8,0x01bffe20,0x40006f80,
    0x3ffffffa,0x2007ffea,0xffe8fffc,0x000dffee,0x25fff800,0x4c05fffa,
    0xfd2fffff,0x5ffa8001,0x1ffffcc0,0xf9001dc0,0x00005fff,0xe8800380,
    0x3f21ffff,0xff3001ff,0x7dc000bf,0xf50003ff,0x2e600007,0x1fffa81b,
    0x267ffc80,0x00009bca,0xe93ff600,0xfb802fff,0x02fcefff,0x803ffd80,
    0xc805fffa,0x3ffe6002,0x4000004f,0xff98000e,0x3ffee3ff,0x9fff1002,
    0x3ffe2000,0x03fa0006,0x7d400000,0xffc801ff,0x00000007,0xfff8bfee,
    0xfffd001f,0x3e000bff,0xffb001ff,0x8001d00d,0x0006fffd,0x005d0440,
    0x993fff20,0xf1004fff,0x320005ff,0x30001fff,0x000000bf,0x400fffd4,
    0x00007ffc,0x47ff2000,0x003ffff9,0x09fffff1,0x01fff300,0x001bfee0,
    0x7fffcc00,0x3d100003,0xfa8002f4,0x3ffe23ff,0x3fff3005,0x5fff3000,
    0x00fec000,0xff500000,0xfff9003f,0x40000000,0x3ffe65fd,0x3fea005f,
    0x3a803fff,0x4c00bffe,0x000004ff,0x003ffff6,0x1fd0f600,0x3fff5000,
    0x800fffc8,0x88005ffa,0x20005ffe,0x000005fa,0x00fffd40,0x0003ffe4,
    0x0ff98000,0x00fffffc,0xffffffb8,0xffb17404,0x0bfe6007,0x74400060,
    0x0000efff,0x017fa172,0x741ffee0,0xffc804ff,0x5ffe8001,0x2a37b500,
    0x000001ff,0x00fffd40,0x0003ffe4,0x3fa00350,0xeffffe83,0x33bf6201,
    0x0aefffff,0xfff31f66,0x80df7001,0x8002ffe8,0x01effff8,0xfe80ed80,
    0xff1000df,0x3ffe605f,0x017fe201,0x400fff60,0xfffffffa,0x80000004,
    0xd802fffb,0xd00007ff,0x3a205dff,0xffff103f,0x32a237ff,0x3ffee5ff,
    0xffeeffff,0x404ffc83,0x7dc00ff9,0xd30006ff,0x0019ffff,0x3fa01bd3,
    0x74400eff,0x7fe404ff,0x0017f605,0x4005ffd1,0x4ffffffc,0x90000000,
    0xfd007fff,0xd00003ff,0x779fffff,0xfa801dfb,0xffffffff,0xff983fff,
    0x5fffffff,0x2037fee0,0xfc801efb,0x640007ff,0xacdfffff,0x04fecaa9,
    0x77fffff4,0xffc988ac,0x9ffb004f,0x0027ec43,0x003bff73,0x3fffff88,
    0x44000000,0xbfffffb9,0x3ff6a60a,0x0009afff,0xffffff30,0x44007bff,
    0xfffffffd,0x3f6200ce,0x804fffff,0xfedeffe9,0x3fe6003f,0xc980004f,
    0xffffffff,0x2e800cff,0xfffffd73,0x8001bfff,0xdfeefffa,0x7fedc403,
    0x220000cf,0x00000bcb,0xcccca800,0x912ccccc,0x99999999,0xaa800039,
    0x400009bb,0x009bcba8,0x00acca80,0x01aba980,0x00037100,0x79975300,
    0x10380035,0x01579995,0x01ba9800,0x006af2a0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01700000,0x02aaa600,0x77777540,0x223eeeee,
    0xeeeeeeee,0x3ae02eee,0x1eeeeeee,0x66edd440,0xeeec800b,0xeeeeeeee,
    0x7775400e,0x0eeeeeee,0x02654000,0x777774c0,0xd71eeeee,0xdddddddd,
    0x3a2007dd,0x6eeeeeee,0x3bbbbaa0,0x1eeeeeee,0xeeeeeeb8,0xeeeeeeee,
    0x7fdc403e,0x7ffdc001,0x8802ffff,0xbffffffa,0xffffd300,0x2a2003df,
    0x400afffe,0xfebabffa,0x1aaaaacf,0x7ffffed4,0xfc98001e,0x00002fff,
    0xd000fff1,0xffffffff,0xfffb88ff,0x000affff,0x7ffff5c4,0xffb8800c,
    0x7c02ffff,0xffffffff,0x2fffffff,0x3ffff710,0x3fffa600,0x0dffffff,
    0x6ffff980,0xfffff880,0x2ffb8002,0xd80ffd80,0x5fffffff,0x03ffffd0,
    0x01ffb800,0x1fffa000,0xfffff300,0x207fffff,0x03fffff9,0x0fffcc00,
    0x7fffdc00,0x7fffd402,0xffffffff,0x6440ffff,0x01ffffff,0xffffffd0,
    0x00dfffff,0x401bfff6,0x002ffffb,0xfc805fb8,0xdfff103f,0x3f205999,
    0x980007ff,0x2e00007f,0x6c007fff,0xeeeeeeef,0x3fee00ee,0x440002ff,
    0xf30004ff,0xfe801fff,0xccccdeef,0x85ffcccc,0xffff98ba,0xadffc801,
    0xfffff510,0xffff5009,0x3fffe001,0x01fd8003,0x3203ffcc,0xfb800fff,
    0x980006ff,0xf300006f,0x4c00ffff,0xf880004f,0x40004fff,0x30000ff9,
    0x4c01ffff,0x3e6001ff,0xfffc802f,0x0077cc01,0x03ffffd1,0x007ffff0,
    0x001bfff2,0x3ff201fe,0x27ffcc07,0x037ffd40,0x0037c400,0x7ffdfe80,
    0x0003f600,0x03fffe40,0x000ff200,0x407fff98,0x7dc001fc,0xfffb800f,
    0x40075c01,0x803ffff8,0x3005fffc,0x4001ffff,0xffe804f9,0x2fffc406,
    0x037ffd40,0x0037c400,0x7fe57e40,0x009f3007,0x7fffc400,0x03fe0002,
    0x7fff9800,0x74000fc0,0xfff5005f,0x2002d803,0x9805fffb,0xd000ffff,
    0x64007fff,0x7fff801f,0x806fff80,0x0006fffa,0x40006f88,0x0fff95fa,
    0x00003f60,0x00dfffb0,0x00013ea0,0x180ffff3,0x02ff8800,0x803fff50,
    0x7ffcc006,0x7ffff006,0x1bfff200,0xfb007f80,0xbfff00ff,0x0dfff500,
    0x00df1000,0xfc877c40,0xfff9807f,0xa80000ad,0x8001ffff,0x4c0001fd,
    0x00007fff,0x5000ffb8,0x00003fff,0x2009fff0,0xb006fffc,0x5003ffff,
    0x3fee009f,0x3ffe200f,0x6fffa803,0x06f88000,0xfc87f600,0xfffd807f,
    0x0002efff,0x0027fff4,0x20001be6,0x0007fff9,0x2005fe80,0x0001fffa,
    0x002fff80,0x801ffff3,0x03fffff8,0xf3001fc8,0x7fcc09ff,0xfffa801f,
    0x6f880006,0xc89f5000,0x7fcc07ff,0xdfffffff,0xfff70000,0x1fe4001f,
    0x7ffcc000,0x7c400007,0x3fea002f,0x4400001f,0x3a000fff,0x7d403fff,
    0xf806ffff,0x7ffe4006,0x007ffb00,0x001bffea,0x2001be20,0x7ffc86f8,
    0x7ffff5c0,0x01efffff,0x3ffff880,0x0003fe00,0x01fffe60,0x01ff7000,
    0x00fffd40,0x1bfea000,0x0dfff700,0xffffafd8,0x0013ea01,0xc883bfee,
    0x3ea004ff,0x880006ff,0x1fd8006f,0x4007ffc8,0xfffffeb9,0xffc8002f,
    0x09f5007f,0x3ffe6000,0x7f400007,0x7ffd4005,0x7dc00001,0x7fc4003f,
    0x2df101ff,0x3604fffd,0xff70001f,0x03dffbbf,0x06fffa80,0x006f8800,
    0xffc81fdc,0x3faa0007,0x4000ffff,0x802ffff8,0x300001fe,0x0000ffff,
    0x20017fc4,0x0001fffa,0x80037f40,0xf503fffe,0x81fffea7,0x7f30006f,
    0x00135531,0x01bffea0,0x801be200,0x3ff205f9,0xffb80007,0xfd8005ff,
    0x37cc06ff,0xfff30000,0x7dc0000f,0x7fd4000f,0x2a00001f,0xf70001ff,
    0x43f60dff,0xa81ffff8,0x4f98003f,0xffa80000,0xf880006f,0x803fa006,
    0x00007ffc,0x005ffff7,0x01ffff98,0x80000bf2,0x0007fff9,0x20017fa0,
    0x0001fffa,0x80017fa0,0x441ffff8,0x27ffec6f,0x22000fec,0x800002fe,
    0x0006fffa,0xf9006f88,0x07ffc805,0x3ffee000,0xfffe8004,0x000ff104,
    0x07fff980,0x05ff1000,0x03fff500,0x01bee000,0x13fff600,0xfffa87f7,
    0x40037c47,0x001aeffa,0x1bffea00,0x01be2000,0x3f2013e6,0x7400007f,
    0xfb8005ff,0x4fb80fff,0x7fcc0000,0xf700007f,0xff50001f,0xf100003f,
    0xf500001f,0x80fe8fff,0x3ea2ffff,0xfffc8003,0xefffffff,0xff5003ee,
    0xf30000df,0x00ef880b,0x0007ffc8,0x003ffd40,0x41ffffc4,0x400001fe,
    0x0007fff9,0x2000bfb0,0x0001fffa,0x00001fe8,0x7c47fffe,0x4bfff905,
    0xf98000fd,0xffffffff,0x0cffffff,0x01bffea0,0xb017e600,0x3ff2003f,
    0x7c400007,0xff90007f,0x005f98ff,0x7fff9800,0x2ff88000,0x3fff5000,
    0x03fd8000,0x7ffe4000,0x3e605f74,0x06f88fff,0x3fffa600,0xffffffff,
    0x3e603fff,0x980007ff,0x3ffe604f,0xffffffff,0xffffffff,0x6ff80007,
    0xffff1000,0x00017e45,0x03fffcc0,0x007fd400,0x01fffa80,0x000fee00,
    0x5fffe600,0x3ffe00fe,0x0003faaf,0x2a6627e6,0xfdcccaaa,0x3ffe607f,
    0x4fa80007,0x3ffffe60,0xffffffff,0x07ffffff,0x004fd800,0x45bfff60,
    0x3000007f,0x0000ffff,0x54000bfb,0x50001fff,0x4000009f,0x05fbffff,
    0x7eefffe4,0x07f30000,0x440bfa00,0x0000ffff,0xff3017e4,0xffffffff,
    0xffffffff,0xff0000ff,0x7fcc0005,0x004fb9ff,0xdfff3000,0x2ff88000,
    0x3ffea000,0x05f98001,0x7fe40000,0x7cc02fff,0x0006ffff,0x4c000df1,
    0x3fffa02f,0x07f40003,0x26666660,0xfd999999,0x001999ff,0x0007fc40,
    0x3b7fffa0,0x3000000f,0x8000bfff,0x20000ffa,0x4001fffa,0x000005f9,
    0x07ffff98,0x07ffffd0,0x0013f600,0x3f200fa8,0x260006ff,0xc800007f,
    0x400007ff,0xb80003fb,0x005fffff,0x3ffe6000,0x2fec0003,0x3ffea000,
    0x017e6001,0x3a000750,0xf7004fff,0x50001fff,0x74000dff,0x7fffc405,
    0x07fd0000,0xfff90000,0x37c40000,0xffff0000,0xd980005f,0x0fffcc2e,
    0x05ff1000,0x1fffa800,0x800bf300,0xf70001f9,0x3e2003ff,0xf90005ff,
    0xd88009ff,0xfffc800e,0x3f62000e,0xf9000006,0x1f74c0ff,0x0003fa20,
    0x07fffc80,0x0fffd800,0x00013fea,0x80001ff5,0x9802fffa,0xaaaaabff,
    0x6fdbaaaa,0x1ffe2000,0x007ffd00,0x3ffffe60,0xfc98819c,0x3ff6001e,
    0xfea801ef,0x9000000e,0x7fec0fff,0x3ee20bef,0x4400001e,0x80004fff,
    0x3ee4ffff,0x5fd80006,0xfffb8000,0x7fffd403,0xffffffff,0x0003ffff,
    0x2e0027f4,0x2a0000ff,0xffffffff,0x03ffffff,0xdffff900,0xff953359,
    0x000001df,0xf303ffe4,0xfddfffff,0x4000009f,0x80000ffd,0xe8bffffb,
    0x7c40001f,0x7cc0002f,0xf501ffff,0xffffffff,0xffffffff,0x1fb80001,
    0x002fc400,0x7fffdc40,0x0dffffff,0x7fe4c000,0xffffffff,0x8000002d,
    0x7e407ffc,0x1bdfffff,0x7cc00000,0x3f600005,0x001effff,0x000ffa80,
    0xfffffe88,0x7fc6ffff,0xffffffff,0x6fffffff,0x00488000,0x80000370,
    0x1abdcca9,0xaa880000,0x00abcccc,0x3f200000,0xbaa8807f,0x80000001,
    0x4400001c,0x00002bca,0x00000f2a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00002980,
    0xddddddd7,0x3baa000b,0x5eeeeeee,0xddddddd3,0xdddddddd,0xdddddddd,
    0x3bbba61d,0xeeeeeeee,0x4400acee,0xeeeeeeee,0x002eeeee,0xdddddd30,
    0x05dddddd,0xdddddddb,0x3ba60ddd,0x02eeeeee,0xeeea8000,0x3a0eeeee,
    0xeeeeeeee,0xeeeeeeee,0x005eeeee,0x001f2000,0xffff9300,0x64c0009f,
    0x7d41efff,0xffffffff,0xffffffff,0x0fffffff,0x7ffff5c4,0xffffffff,
    0x75c400df,0x01efffff,0x3fea2000,0x400bffff,0xcfffffc8,0xfffb9801,
    0x800006ff,0x02effffe,0x3ffffae2,0xeeeeeeee,0x07ffffee,0x5ff10000,
    0xff300000,0x80007fff,0xffa80ffc,0xfff9819d,0x3ffd7307,0x2bfffea0,
    0x3fffae60,0xfff8801f,0x2000006f,0x004ffff9,0x0037ffea,0x3ffffee0,
    0x3ea00002,0x1002ffff,0x8007ffff,0x00000ffd,0x0006ffb8,0xfffff300,
    0x37d40003,0x7cc04fb8,0x7f4407ff,0x3ffff101,0x27ffff40,0x027fffc0,
    0x3ffe0000,0x3ff6002f,0x3fe60004,0x00005fff,0x03fffffa,0x03fffe80,
    0x0000fc80,0x01ffff80,0xfffb0000,0x260001ff,0x300f705f,0xf100ffff,
    0x0ffffc05,0x5ffffd10,0x03fffe80,0x7ffc0000,0x5ff5001f,0xfff88000,
    0x80001fff,0x07fffff9,0x01ffff40,0x00007c40,0x13fffea0,0x7fec0000,
    0x30006fff,0x2016e0bf,0xb007fff9,0x0ffffc05,0x1bfffe60,0x007fffd0,
    0xffff8000,0x02ff9801,0xffbff000,0xfb0000bf,0x800ffffb,0x0003fffe,
    0xe800003d,0x000fffff,0xffefd800,0xf98005ff,0xf3005905,0x0ae00fff,
    0x801ffff8,0x201fffff,0x0003fffd,0x0ffffc00,0x000bfe60,0xfffaff80,
    0x3e20000f,0x007fff9f,0x001fffec,0x200000a8,0x3fffeef9,0x9fd80000,
    0x003ffffe,0x00082fcc,0x200ffff3,0x3fffe008,0xffffd801,0x0ffff602,
    0xfff00000,0x17fcc03f,0x75fe0000,0x20004fff,0x7fff9bfc,0x1fffec00,
    0x80000000,0x6fffbbfc,0x9fd80000,0x02fffff8,0x00017e60,0x000ffff3,
    0x007fffe0,0x80fffff2,0x0003fffd,0x0ffffc00,0x0003ff98,0xfff57f80,
    0xff10001f,0x00ffff31,0x003fffd8,0xf8800000,0x05ffff17,0x31fd8000,
    0x001fffff,0x300017e6,0x0000ffff,0x2007fffe,0x202ffffc,0x0003fffd,
    0x0ffffc00,0x00017fd4,0x3ffa7f80,0x4fb8003f,0x800ffff3,0x2003fffd,
    0xb8000029,0x17fff64f,0x43fb0000,0x00effffa,0x40005f98,0x0007fff9,
    0x003ffff0,0x401ffffb,0x0003fffd,0x0ffffc00,0x0000bfea,0x3fee7f80,
    0x0ff8007f,0x800ffff3,0x2003fffd,0xe800003b,0x3fffe60f,0x3f600000,
    0x2ffffe41,0x0002fcc0,0x001fffe6,0x00ffffc0,0x01ffffe2,0x0007fffb,
    0x1ffff800,0x0000bfee,0x7fc4ff00,0x3ee003ff,0x01fffe65,0x007fffb0,
    0x200001ec,0xfffe85fa,0x3f600004,0x4ffffd81,0x0002fcc0,0x001fffe6,
    0x00ffffc0,0x00bffff2,0x0007fffb,0x1ffff800,0x00005ff7,0xffc8ff00,
    0x87fa006f,0x4007fff9,0x5003fffd,0xd800007f,0x7fffb81f,0x07f60000,
    0x0bffffa2,0x40005f98,0x0007fff9,0x403ffff0,0x804ffffa,0x0003fffd,
    0x4ffffc00,0x00005ffc,0xff88ff00,0x6fa802ff,0x003fffcc,0x2ab3fff6,
    0xfecbaaaa,0x2600003f,0xffff106f,0x3f600005,0xfffff301,0x0017e603,
    0x00ffff30,0x0bfffe00,0x37ffff22,0x3fffd800,0x7fc00000,0x4ffffeff,
    0x7f800000,0x806fffc8,0x7ffcc2fe,0x7ffec007,0xffffffff,0x0003ffff,
    0xfc80bf20,0xb00006ff,0x7ffd403f,0x05f980ef,0x3fffcc00,0xffff8000,
    0xffffefff,0x3f6001ef,0x000003ff,0x7fe7fffc,0x00004fff,0x7fc43fc0,
    0x1be601ff,0x001fffe6,0x3337fffb,0xff953333,0x3e200007,0x7fffcc07,
    0x1fd80001,0x2ffffdc0,0x20002fcc,0x0007fff9,0x533ffff0,0x00135997,
    0x007fffb0,0xffff8000,0x4fffffa9,0x1fe00000,0xb02fffec,0xffff307f,
    0x3fffd800,0x0007f300,0x36013ee0,0x80004fff,0xffd801fd,0x02fcc4ff,
    0x1fffe600,0x7fffc000,0xfd800001,0x000003ff,0xfa8ffffc,0x0004ffff,
    0x3e60ff00,0x7f881fff,0x00ffff30,0x003fffd8,0x740000f6,0xfffa800f,
    0x7ec0000f,0xffffd001,0x0002fcc5,0x001fffe6,0x00ffffc0,0x7ffec000,
    0x7c000003,0x3fe61fff,0x00004fff,0x3ffa07f8,0x303fc84f,0xd800ffff,
    0x2e003fff,0xffa80003,0xcccccccc,0x03ffffcc,0x800fec00,0x31fffff8,
    0xf98000bf,0xf00007ff,0x00003fff,0x007fffb0,0xffff8000,0x7ffffcc1,
    0x3fc00004,0x41ffff50,0xff300ff8,0xffd800ff,0x00a6003f,0x3ffff600,
    0xffffffff,0x0006ffff,0xf3000fec,0xbf31ffff,0xfff98000,0xfff00007,
    0xb000003f,0x00007fff,0x81ffff80,0x04fffff9,0xd01fe000,0x27dc9fff,
    0x00ffff30,0x003fffd8,0x37c40000,0x3fffe200,0x07f60001,0xdffff700,
    0x98000bf3,0x00007fff,0x0003ffff,0x07fffb00,0x7fc01000,0xfff301ff,
    0x200009ff,0x7ffd407f,0x4c01ff0f,0x6c007fff,0x00003fff,0x0017e400,
    0x002fffec,0x90003fb0,0x0bfdffff,0x7fff9800,0xffff0000,0xfb000003,
    0xb80007ff,0x07fffe02,0x4fffff98,0x807f8000,0x5fbbffff,0x03fffcc0,
    0x00ffff60,0x7c001300,0xfff30007,0x3f60001f,0xfffd0001,0x98000bff,
    0x00007fff,0x0003ffff,0x07fffb00,0x3e00e800,0x7cc01fff,0x0004ffff,
    0x7fdc03fc,0x4c01feff,0x6c007fff,0x20003fff,0x9f7001f8,0x7fff4000,
    0x03fb0003,0x3fffa200,0x7cc0005f,0xf00007ff,0x00003fff,0x007fffb0,
    0x3fe02dc0,0xff9801ff,0x20004fff,0xfff8807f,0xff9806ff,0x7fec007f,
    0x1b60003f,0x0000ff80,0x003fffee,0x80007f60,0x005ffff9,0x03fffd40,
    0x1ffff800,0xffe80000,0x7f30003f,0x01ffff80,0xbfffff30,0x401fe000,
    0x802ffffc,0x4007fff9,0x0003fffe,0x3ee007f5,0x7fc40006,0xfe8003ff,
    0x7fd40002,0x7d40005f,0xf00007ff,0x00005fff,0x00bfffd0,0x4401ff50,
    0x2002ffff,0x0dfffffa,0x401fe200,0x5006fff8,0x4001ffff,0x8003fffe,
    0xfd000ff8,0xffd00007,0xff8001ff,0xffc80003,0x7fe40005,0x4c0001ff,
    0x0004ffff,0x7ffffc40,0xffd98801,0x7fffcc06,0x7fff4003,0xf5002fff,
    0x3ff6003f,0xffff9003,0x3ffe2003,0x7fdc005f,0x07ff9006,0xffffb000,
    0x7ffec00b,0x7ec0000b,0x3fea0005,0x000aefff,0xfffffe98,0xe880000b,
    0xffffffff,0xfffffeef,0x3a203fff,0x00afffff,0xffffffa8,0xd301beff,
    0xf3005dff,0x3ffea00f,0x2600aeff,0xdefffffe,0xeccccccc,0x4c03ffff,
    0x001efffc,0xfffff710,0x3fb605bf,0x2effffff,0x00bd1000,0xfffffea8,
    0x00efffff,0x7fffff4c,0x03efffff,0x7fff7440,0xffffffff,0xffffffff,
    0x7ff4c1ff,0xffffffff,0xffff982e,0xffffffff,0xffffd37f,0x401dffff,
    0x3ffaa03d,0xffffffff,0x3ffffa0e,0xffffffff,0xffffffff,0x3ff200ff,
    0x04ffffff,0x3fffff20,0x00ffffff,0x18800000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x10000000,
    0xdddddddd,0xd107dddd,0xdddddddd,0x77747ddd,0xeeeeeeee,0xddd104ee,
    0x5ddddddd,0x7777775c,0x00eeeeee,0x77777754,0xddd15eee,0xdddddddd,
    0x5999bddd,0x77440001,0xeeeeeeee,0xeeeeeeee,0x3ba63eee,0xeeeeeeee,
    0xbceeeeee,0xdddd1002,0xdddddddd,0x00159bdd,0x3bbbbb60,0x25eeeeee,
    0xdb881db8,0xfffa8802,0x8800cfff,0xcfffffea,0xfffda881,0x01bfffff,
    0xeffffc88,0xfffc8809,0x000dffff,0x3ffffea2,0xffeb880c,0xeeffffff,
    0xbeffffff,0x7ffcc000,0xeeeeefff,0xfffeeeee,0xfeb880ef,0xccefffff,
    0xcfffffed,0xffeb8800,0xfeefffff,0x0004ffff,0x3fffff66,0x1fffd81d,
    0x8017ffe4,0x004ffff9,0x05ffff88,0x3fffff60,0x7ffc4006,0xffff3003,
    0x7e4000ff,0xffa801ff,0x4c409cff,0x3fffffdb,0x073fea00,0x3ffff900,
    0x1ffffa80,0x7ffff540,0xffff5002,0xfffd5105,0x7f40003d,0xfff107ff,
    0x5ffff87f,0x0bfffe00,0x1ffffc00,0x3ffff200,0x3fe6000f,0x7ffd4002,
    0x3f20007f,0x3ffe001f,0xffd3001f,0xf5001dff,0xfff50009,0x3ffe009f,
    0xfff7001f,0x3ffe007f,0x7ffec01f,0xffb0003f,0x7fff40bf,0x01fffec1,
    0x005ffff0,0x00bfffa0,0x0fffff60,0x0003fe80,0x005ffff9,0xf000ffa0,
    0x44003fff,0x00effffd,0x7c40035c,0x3e006fff,0x32001fff,0xf800ffff,
    0x7c401fff,0x8000ffff,0x2605fffc,0xcfd983ed,0x3fffe000,0xfffd0001,
    0xfff10005,0x9f9001ff,0x7ffc4000,0x5fa8006f,0x1ffff800,0xffffb800,
    0x4001e405,0x001ffffd,0x0007fffe,0xf00bfffd,0xf5003fff,0x9000bfff,
    0x00009fff,0x3fffe000,0xfffd0001,0x3fe60005,0x37dc05ff,0x7ffd4000,
    0x3fe2004f,0xffff8000,0xfffd0001,0x0016409f,0x00ffffee,0x003ffff0,
    0x807fffc8,0x8801ffff,0x8006ffff,0x0004fffc,0xffff0000,0x3ffa0003,
    0x3f20002f,0xff302fff,0x3f600001,0xf9001fff,0x3ffe0007,0xff30001f,
    0x02a01fff,0x5ffff880,0x1ffff800,0x7fffdc00,0x0ffffc00,0x07ffff80,
    0x04fffc80,0xff000000,0x3a0003ff,0x40002fff,0x440ffffe,0x200001fe,
    0x806ffff8,0x3e0006f9,0x20001fff,0x003ffffc,0x1ffffd00,0x3ffff000,
    0xffffb800,0x0ffffc00,0x07ffff80,0x04fffc80,0xff000000,0x3a0003ff,
    0x40002fff,0x6c5ffff9,0xa800003f,0x7403ffff,0x3fe0001f,0x220001ff,
    0x0006ffff,0x02ffffc8,0x03ffff00,0x07fffd80,0x801ffff8,0x006ffff8,
    0x004fffc8,0xfff00000,0x3fa0003f,0xb80002ff,0xbf92ffff,0x7ec00000,
    0x9f701fff,0xffff8000,0x7ff40001,0x260001ff,0x0005ffff,0x8007fffe,
    0x805ffff8,0xa801ffff,0x8003ffff,0x0004fffc,0xffff0000,0x3ffa0003,
    0xfd00002f,0x01df7fff,0x7fc40000,0x06f986ff,0x1ffff800,0x7ffec000,
    0xfd10003f,0x40001fff,0x2001ffff,0x801ffffd,0x4401ffff,0x0006ffff,
    0x0009fff9,0x3ffe0000,0xffd0001f,0x2600005f,0x01ffffff,0xffa80000,
    0x017f43ff,0x0ffffc00,0x3ffee000,0xff90004f,0xf80005ff,0xe8801fff,
    0xf003ffff,0xfd803fff,0x90001fff,0x00009fff,0x3fffe000,0xfffd0001,
    0x7dc00005,0x00004fff,0x3ffff600,0x0000bf70,0x0007fffe,0x0bffff50,
    0x9ffff500,0xffff0000,0x53333339,0x05fffff9,0x80ffffc0,0x01effffb,
    0x13fff200,0x7c000000,0xffffffff,0xffffffff,0x002fffff,0x7ffff400,
    0x10000000,0xff1bffff,0x3fe00001,0x4c0001ff,0x4006ffff,0x006ffff8,
    0xffffff00,0xffffffff,0xff0007ff,0xdb9759ff,0x0007dfff,0x009fff90,
    0x3fe00000,0xcccccdff,0xcccccccc,0x0002ffff,0x2ffffdc0,0xf7000000,
    0x005fdfff,0x0ffffc00,0x3ffe6000,0x7fec005f,0xf00001ff,0x5555bfff,
    0xffffffd9,0x7ffc005b,0xffffffff,0x3200001f,0x00004fff,0x3ffff000,
    0x3fffa000,0x3e600002,0x003fffff,0x3ff60000,0x400005ff,0x0001ffff,
    0x027fffd4,0x07ffff70,0x7fffc000,0x7ffd4401,0xff800dff,0x3ffe61ff,
    0x3200003f,0x04c04fff,0x3fe00020,0xfd0001ff,0x200005ff,0xfffe9fe8,
    0x0000000f,0x003ffff1,0x1ffff800,0x7ffdc000,0xfff1003f,0xf80000df,
    0xd1001fff,0x801dffff,0x7dc1ffff,0x00001fff,0x2209fff9,0x7d40cffe,
    0x3fe000ef,0xfd0001ff,0x200005ff,0xffff33fd,0x4000000b,0x0001ffff,
    0x00ffffc0,0x3ffff200,0xffffd001,0xff800001,0x362001ff,0x7c04ffff,
    0xffd81fff,0xf900006f,0x3fee09ff,0x7fff46ff,0x3fffe003,0xfffd0001,
    0x9f900005,0x03ffffb8,0xfff00000,0xf800003f,0x40001fff,0x800ffffe,
    0x002ffffb,0x1ffff800,0x7fffcc00,0x3fffe00f,0x4ffff881,0xfffc8000,
    0xfffffb04,0x027fffc5,0x003ffff0,0x00bfffa0,0x3a0df500,0x0000ffff,
    0x1ffff800,0x7ffc0000,0x7fc0001f,0xff9807ff,0x000005ff,0x0003ffff,
    0x405fffff,0xf501ffff,0x80005fff,0xf504fffc,0x7e49ffff,0x3fe001ff,
    0xfd0001ff,0x4c0005ff,0xfff300ff,0x000000df,0x0003ffff,0x01ffff80,
    0x3fffee00,0xffffe802,0xff000000,0xf90003ff,0x7fc09fff,0x3ff201ff,
    0x320000ff,0x32604fff,0x05cc4f9a,0x07fffe00,0x17fff400,0x02fe8800,
    0x01ffffe4,0x3ffe0000,0x7c00001f,0x10001fff,0x900dffff,0x0005ffff,
    0xffff00e4,0xfff70003,0x7fffc07f,0x2ffff401,0x9fff9000,0x000fea00,
    0x00ffffc0,0x02fffe80,0x2009fb00,0x001ffffe,0x3fffe000,0x7fc00001,
    0xfb0001ff,0xfa803fff,0x40004fff,0x3fffe00f,0xfffd8001,0x3fffe02f,
    0x7fffcc01,0xfff90003,0x007f6009,0x0ffffc00,0x2fffe800,0x005fc800,
    0x01bfffe6,0xffff8000,0x7fc00001,0xf98001ff,0x7c404fff,0x40006fff,
    0x7fffc06a,0xffff8001,0x3fffe00f,0xffffb801,0xfffc8001,0x004f8804,
    0x07fffe00,0x17fff400,0x003fee00,0x09ffff90,0x3ffe0000,0x7c00001f,
    0x5c001fff,0x400dffff,0x001ffffd,0xff017a20,0xfc8003ff,0x7fc03fff,
    0xffb002ff,0xfc8001ff,0x76c404ff,0x3fe00000,0xff0002ff,0x7dc007ff,
    0xfff0002f,0x800005ff,0x002ffff8,0x0ffffc00,0xffffd880,0xffffa805,
    0x1fec0003,0x007fffe0,0x06ffffb8,0x002ffff8,0x01dffff1,0x02fffec0,
    0x00001bf5,0x01ffffcc,0x2ffffc40,0x07ffe440,0xffffe800,0x2600001f,
    0x0004ffff,0x0bfffe60,0xfffff730,0xffff1007,0x7f54000d,0x3ffe602f,
    0xffea802f,0x7cc00eff,0x26004fff,0x000effff,0x320dfffd,0x4400003e,
    0x0afffffe,0xffffb100,0xff51017f,0x80019fff,0xfffffffa,0x7440002d,
    0x00bfffff,0x7fff4400,0xeccdefff,0x03efffff,0x3bffffa0,0xeeeeeeee,
    0xffffeeee,0xffd101ff,0x99ddffff,0xffffffdb,0xfffd1007,0x320019ff,
    0x0bdfffff,0xbfffff90,0x20000181,0xffffffe8,0x883effff,0xffffffee,
    0xff93efff,0xdfffffff,0xfffff900,0x0fffffff,0xffffe880,0x2effffff,
    0x3fffa200,0xffffffff,0x0aceeeff,0x7fffd400,0xffffffff,0xffffffff,
    0x7f4c7fff,0xffffffff,0xeeffffff,0x7f4401bd,0xffffffff,0xffe803ef,
    0xdb3fffff,0xffffffff,0x00000bdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeee9,
    0xeeeeeeee,0x05eeeeee,0x100001b8,0x0000007d,0x1712a800,0x98800000,
    0x20999999,0x99999998,0x33333019,0x5ee4c003,0x9999800a,0x33310199,
    0xa8800333,0x4002bddb,0x01bcdcb9,0x566e5c40,0xfa880551,0xeeeeffff,
    0xffffeeee,0x001f807f,0x0009f300,0xf7100000,0x073fe29f,0x7fdc0000,
    0x263fffff,0xfffffffe,0x7ffec40d,0x3f6a00ff,0x0efffedf,0x3ffffb20,
    0xfffeb80f,0xff7000ff,0x03dffffd,0xecdffe98,0xfb803fff,0xfffffcdf,
    0xffff5003,0xfff51003,0x0001fb80,0x00009f30,0x7fe4c000,0x3ffae0cf,
    0x8800002d,0x2607fffd,0x9806ffff,0x7fe404ff,0x0fffec41,0x03fffe60,
    0x00ffff88,0x3a61fec4,0xff303fff,0x2fffa81d,0xb3037ee0,0x3e2007ff,
    0x22001fff,0x3ff100fe,0x13e60000,0x2a000000,0x5402effd,0x000beffd,
    0x1fffe600,0x007fff70,0xffd80df3,0x0bfff602,0x801fffb0,0x7400fffe,
    0xffff101f,0x02fff883,0xf301fffb,0x01ff401f,0x003ffff0,0xffd00fb8,
    0x3e600003,0x10000004,0x003bffd7,0x0cfffc98,0xfff90000,0x05fff803,
    0x3ea01fb8,0x7ffc404f,0x3fff200f,0x07ffe400,0xfa809f70,0x7ffd46ff,
    0x05fff500,0x3f980ff7,0x07fffe00,0xf901f100,0x200003ff,0x000004f9,
    0x067ffe44,0x3fee2000,0x440001df,0x7e403fff,0x037400ff,0x9003fff1,
    0x7dc09fff,0x7fdc00ff,0x03ff100f,0x21ffff88,0x3e607ffb,0x1ffd82ff,
    0xff001f40,0x150003ff,0x57fffec4,0x30001999,0x2000009f,0x00beffd9,
    0xffea8000,0x3fa0002e,0x7ffcc06f,0xa80fe603,0xff1007ff,0x3fee03ff,
    0x7ffdc00f,0x200ff900,0x3e63ffff,0x3ffe205f,0x405ffc83,0x3ffe003b,
    0x7cc0001f,0xffffffff,0x9f30007f,0xfea80000,0x000002df,0x17fffb30,
    0x1fffa800,0x81bffea0,0x3ff200fc,0x3fff6006,0x01fff703,0xb00fffb8,
    0xddddddff,0x9ffffddd,0x7fd40188,0xefffa83f,0xfff00001,0xa980003f,
    0xaacfffca,0x9f30002a,0xff910000,0x0000039f,0x3fff2200,0xfff1001c,
    0x7ffff409,0xfe80bf02,0x3fee005f,0x1fff704f,0x00fffb80,0x55555dff,
    0x55555555,0x3fae2003,0xfff03fff,0x80003bff,0x9801ffff,0x1fffa801,
    0x09f30000,0x7ffecc00,0x0000000b,0xbffd7100,0x0fff9005,0x17ffebea,
    0xff880bea,0x3fea004f,0x1fff706f,0x80fffb80,0x00007ff8,0xf37ff930,
    0x3fee07ff,0x001dffff,0x003ffff0,0xfff50059,0x3e600003,0xffe88004,
    0x0000002e,0x7ff54000,0x3ffe601e,0xfff96e82,0x7cc07d81,0x3e6005ff,
    0xfff707ff,0x0fffb801,0x000fff98,0x8bbf6600,0x2a03fff8,0x3fffffff,
    0x1ffff800,0xfa802e80,0x3fe201ff,0xffffffff,0xffffffff,0xd14fffff,
    0x00017dff,0x44000000,0x7402fffc,0x997cc5ff,0x13e23fff,0x00dfff50,
    0xb82fffc4,0x7dc00fff,0xfff980ff,0xff500001,0x07fff10b,0xfffffc88,
    0x3fe000df,0x3ee201ff,0x1fffa802,0x3bbbba20,0xefeeeeee,0xeeeeeeee,
    0x7fe4c3ee,0x000000cf,0x3ff66000,0xffb800be,0xffd1b60f,0x26007dcd,
    0x22007fff,0xff703fff,0xfffb801f,0x02fff880,0x03ffb800,0x2007fff1,
    0x6fffffd8,0x37fffe00,0xffdccccc,0xfffa802f,0x9f300001,0xff710000,
    0x000003bf,0x6fff5400,0x7ffc4002,0xffb87f13,0xf100bd1f,0x26001fff,
    0xff701fff,0xfffb801f,0x00dfff00,0x1bfee288,0x003fff88,0x0fffff4c,
    0xffffff80,0xffffffff,0x1fffa802,0x09f30000,0xffea8000,0x0000002e,
    0x039fff71,0xcb7fec00,0x67ffc40f,0xfff002f9,0x3fe6007f,0x1fff700f,
    0x00fffb80,0x4007fffd,0x80fffe3c,0x0d83fff8,0x027ffe40,0xaabffff8,
    0x2ffcbaaa,0x01fffa80,0x009f3000,0x3ff66000,0x800000bf,0x00bfffc9,
    0xafffa800,0xbfff904f,0x7ffdc00f,0x0dff5006,0x200fffd4,0xf900fffb,
    0xf1001fff,0x80fffe61,0x3d83fff8,0x037ffc40,0x401ffff8,0xffa802fa,
    0xf300001f,0x88000009,0x001cfffc,0x2effda80,0xfff80000,0xfff300ff,
    0xfff8009f,0x2ffd801f,0x80bffe60,0x101fffe9,0x405fffff,0x3ffea6e8,
    0x0fffe605,0x3ff201b6,0x3ffff005,0xf5005b00,0x200003ff,0x000004f9,
    0x5bffd710,0xffeb8800,0x2000001d,0x7404fffc,0x5c001fff,0x2200efff,
    0x7fc405ff,0xffbf506f,0x7ffdc05f,0xda88acff,0x3ffe21ff,0xffffb80f,
    0x201fed24,0xff004ffa,0x059003ff,0x003fff50,0x0013e600,0x3faa0000,
    0x7e4403ef,0x00000cff,0x01fff980,0x80037fdc,0x3605fffc,0xffd800ef,
    0xafda9bef,0x1baefffb,0xffffffe8,0xe83fffff,0xdb9cffff,0xebffffaf,
    0x7403ffb4,0xfff000ff,0x0033003f,0x0003fff5,0x00013e60,0xffc98000,
    0x3ff6a0cf,0x0000002e,0xf8805fe8,0x3ee0003f,0xe988adff,0xff1000ef,
    0x25ffffff,0x0bfffffb,0xfffffd88,0xf504ffff,0x1dffffff,0xd93ffff6,
    0x7dc43fff,0x3ffe001f,0x2a00001f,0x00001fff,0x000009f3,0x9ff91000,
    0x00077fe2,0x2fb80000,0x0001fb00,0xfffffea8,0xea8003ef,0x2e0effff,
    0xf7002dff,0x03ffffff,0x3fffffa8,0x361fffd4,0xfdefffef,0x7fc000df,
    0x200001ff,0x0001fffa,0x00009f30,0x13a80000,0x00000019,0x4c009100,
    0x5cc00003,0x980001ac,0x01ca80ab,0x03595300,0x2200a980,0x5d4c1301,
    0xff0001ac,0x400003ff,0x0003fff9,0x00009f30,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0001ffff,0x917ffe20,
    0x07d10003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ffffc00,0x3ffe0000,0x0004cacf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe0000,0x6400001f,
    0x886fffff,0x88888888,0x88888888,0x00088888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x0001ffff,0x0cfffc80,
    0x7fffffd4,0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1ffffd40,0x40300000,0xddddddd9,
    0xdddddddd,0x5ddddddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffffa6,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0xfffffffe,
    0x0003efff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26666662,0x33310099,
    0x2e600333,0x2000bcdc,0x056d41da,0x4cccccc4,0x99999999,0x26666219,
    0x4cc19999,0x50009999,0x15b9505b,0x01bdb980,0x4c0edc40,0x40000adc,
    0x05c00001,0x73015400,0x06205501,0x00b33322,0x7ffff5c0,0xfb303eff,
    0x5401dfff,0xffffdeff,0x3fff2603,0x0bfffd32,0xfffffff9,0xffffffff,
    0x3fffa63f,0x7ec5ffff,0x2204ffff,0x3aa2fffc,0xa84fffff,0x05ffffff,
    0x21fffc98,0x1ffffffb,0x009ff000,0x0013e600,0xff70dff9,0x645ffd8f,
    0x7fd41eff,0x7dc0006f,0xf3005fff,0x0efc803f,0x2a2fffdc,0x8afffffe,
    0x41fffffe,0xaaaabefc,0xffffaaaa,0xffffe884,0x01bff704,0x3fffff66,
    0xfffdff72,0x7ffdc5ff,0x503fffff,0x23fffffd,0xfffffffc,0x7ffa8006,
    0x1ffd0000,0x0ffff400,0xff8bfffa,0xffff30ff,0x0fffc83f,0x7ffec000,
    0x809f5004,0x3ffa06fd,0x3fe6663f,0xfeacdaff,0x800ec87f,0x2206fffb,
    0xfb06fffe,0xfe998809,0x20aecaff,0x7f76fffb,0x0ffffd43,0x7fffcccc,
    0xfb11beca,0xfa8009ff,0xfb80007f,0x3fe005fd,0x7fffc1ff,0x21ffff12,
    0x85fffffb,0x40003ffd,0x9006fff8,0x0ffdc01f,0x20dfff70,0x545dfffb,
    0x9804d81c,0x4c00ffff,0x7cc2ffff,0x7ffdc006,0xfff900de,0x3fea03db,
    0x7ffe404f,0xffff00de,0x3fe21540,0x88005445,0x2005fb6f,0x7fc0ffff,
    0xffff11ff,0x37ffffc4,0x80005fe8,0xf800fffd,0x017fe205,0x2a0dfff3,
    0x2000ffff,0x7ffc402d,0xfff7002f,0x003fa21d,0x809fff50,0x400efff9,
    0x7d405fff,0x7fe404ff,0x0effb80f,0xfffb8ffa,0xf12fd800,0x1fff600d,
    0xff83fff6,0x745dc46f,0x001fd107,0x04fff980,0xff900fd4,0x03bb5007,
    0x000fffea,0xfffd8013,0x7ffec004,0x30003fb4,0xf8805fff,0xffe804ff,
    0x0fffd406,0x207ffee0,0xf90efffc,0x07fffee5,0x3fb8bf30,0xc86ffc80,
    0x2ffec7ff,0x7cc0bf10,0xffe80002,0x3a037407,0x500002ff,0x00005fff,
    0x006fffb8,0xfcffff88,0xfff30003,0x09fff005,0xa80dffd0,0x7d401fff,
    0xffe881ff,0xfb8fa9ff,0xfe804fff,0x5c00fe80,0x6ffa84ff,0xf501ffe4,
    0x0004a807,0x302fffb8,0x1fff807f,0xfff50000,0x7cc00005,0x50000fff,
    0x000bffff,0x4017ffcc,0xfd804fff,0x7ffd406f,0x0fffd401,0xf9ffd950,
    0x0037dff9,0x17ea07f7,0xf307ff30,0x02ffa8bf,0x000001b6,0x906fff88,
    0x7ffcc01f,0xff500000,0x2200005f,0x0002ffff,0x001fffec,0x005fff30,
    0xfb009fff,0xfffa80df,0x0fffd401,0xaeffb880,0x01be2000,0x7fc403fb,
    0xf987ff01,0x005f700f,0xffc80000,0x5404f81f,0x00001fff,0x0005fff5,
    0x013fff60,0x3fffe200,0xfff30001,0x09fff005,0xa80dffb0,0x7d401fff,
    0x654401ff,0x00bdffef,0xf8805fb0,0xe807f406,0xe887f82f,0x0000001f,
    0x5c5fff88,0x7ffd401f,0xff500002,0xf700005f,0x20000dff,0x006ffffa,
    0x005fff30,0xfb009fff,0xfffa80df,0x0fffd401,0x9dfffe98,0x0cffff9f,
    0x3200bf30,0xc81b603f,0x7d45e80f,0x0000000c,0xe83fff60,0x4fff9806,
    0xfff50000,0xff980005,0x880000ff,0x04fffcdf,0x02fff980,0xd804fff8,
    0x7fd406ff,0x7ffd401f,0x4ffffa81,0xfffd11f5,0x8003fa0d,0x40b700fe,
    0x0989907b,0x80000000,0x5f33fffa,0x1ffff100,0x7d415400,0x220002ff,
    0x0002ffff,0x3ffa1fd0,0x7fcc001f,0x4fff802f,0x406ffd80,0x5401fffa,
    0xffd81fff,0x744bf64f,0x27dc1fff,0x4413ea00,0x04402200,0x00000000,
    0x1f2fffd0,0x03ffff80,0x3fea03a0,0x3f60002f,0x800804ff,0x3ffe61fc,
    0x3fe6000f,0x4fff802f,0x406ffd80,0x5401fffa,0xff981fff,0xfb127fc3,
    0x0006f88b,0x000003fb,0x00000000,0xfbfffb80,0x3fff6004,0x506b800e,
    0x20005fff,0xd006fffb,0xfc83fa80,0x3e6005ff,0xfff802ff,0x06ffd804,
    0x200fffd4,0x2001fffa,0xfb006ff9,0x9be20005,0xaaaaaaa8,0xaaaaaaaa,
    0xaaaaaaaa,0x00000001,0x0fffff88,0x3fffe200,0x40fe600e,0x8002fffa,
    0x000ffff9,0xd02fc40d,0x26005fff,0xff802fff,0x6ffd804f,0x00fffd40,
    0x8007ffea,0x33007ffa,0x22188000,0xffffffff,0xffffffff,0x4fffffff,
    0x00000000,0x000bfff9,0x15dffff9,0xf5037e44,0xe88007ff,0xd5002fff,
    0x9803fa20,0xa800ffff,0xff803fff,0x7ffe805f,0x017ffd40,0x800bffea,
    0x00006ff9,0x2aaa2000,0xaaaaaaaa,0xaaaaaaaa,0x0001aaaa,0xff300000,
    0xff10005f,0xffdfffff,0x7fdc01ff,0x7fec005f,0x0df1004f,0x3f600ff6,
    0x7dc00eff,0x7fc404ff,0xfffe805f,0x0ffff200,0x007fff70,0x00001eb8,
    0x00000000,0x00000000,0x000dfd00,0x7ffffec4,0x2601ffff,0x003fffff,
    0x557ffff7,0xfb975555,0xdffd88bf,0x3fffa200,0xffd101ef,0x3f6201ff,
    0xf7102fff,0x3ea09fff,0xf300efff,0x0001dfff,0x00000000,0x00000000,
    0x54000000,0xfc80003f,0x00dfffff,0xfffffff5,0x7fc40bff,0xffffffff,
    0x5fffffff,0x3fffffe6,0xfffffa81,0x3fe67fff,0x4fffffff,0xfffffff3,
    0x7fff4dff,0xf55fffff,0xffffffff,0x3ffffee7,0x0001ffff,0x00000000,
    0x00000000,0x19000000,0x5dcc0000,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,0x99999999,
    0x99999999,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0xffffffff,0xffffffff,0x009fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xccccccc8,0xcccccccc,0xcccccccc,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_50_usascii_x[95]={ 0,5,2,0,2,1,1,1,1,1,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,2,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0, };
static signed short stb__times_50_usascii_y[95]={ 40,9,9,9,7,9,9,9,8,8,8,13,35,28,
35,8,9,9,9,9,9,10,9,10,9,9,19,19,14,20,14,9,8,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,9,8,9,9,47,9,19,8,19,8,19,8,19,8,8,
8,8,8,19,19,19,19,19,19,19,13,19,19,19,19,19,19,8,8,8,25, };
static unsigned short stb__times_50_usascii_w[95]={ 0,6,14,22,19,36,33,6,14,13,17,25,7,13,
6,13,20,13,21,18,22,18,20,20,18,20,6,7,25,25,25,17,39,33,28,28,31,27,24,31,32,13,18,33,
27,40,33,30,24,30,31,21,26,33,33,43,33,32,27,11,13,11,21,24,8,19,23,18,22,18,19,21,23,11,
13,23,11,35,23,21,23,22,16,14,13,23,23,33,23,23,20,13,3,14,25, };
static unsigned short stb__times_50_usascii_h[95]={ 0,32,14,32,37,33,32,14,42,42,19,24,13,4,
6,33,32,31,31,32,31,31,32,31,32,32,22,29,22,10,22,32,42,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,40,33,40,17,3,8,22,33,22,33,22,32,31,32,32,
42,32,32,21,21,22,31,31,21,22,28,22,22,22,21,31,21,42,42,42,7, };
static unsigned short stb__times_50_usascii_s[95]={ 255,149,206,233,172,192,20,221,102,1,166,
40,228,225,218,48,192,1,15,1,137,160,142,232,54,163,244,236,66,206,92,
73,62,1,161,91,101,224,1,93,1,222,213,149,121,183,35,62,96,141,190,
120,69,103,179,37,34,68,133,129,229,117,184,40,236,217,1,25,25,198,213,
81,168,156,15,125,243,106,142,152,231,208,44,237,26,174,1,118,82,184,61,
48,44,29,192, };
static unsigned short stb__times_50_usascii_t[95]={ 1,44,237,44,1,1,78,237,1,1,237,
206,237,35,35,44,44,111,111,78,111,111,78,111,78,78,175,175,206,252,206,
78,1,143,175,78,175,143,206,44,175,175,111,143,143,143,143,44,143,1,175,
78,143,111,111,111,175,175,175,1,1,1,237,231,237,206,44,237,44,206,44,
111,44,44,1,44,1,237,237,206,78,78,237,206,206,206,237,206,237,78,237,
1,1,1,35, };
static unsigned short stb__times_50_usascii_a[95]={ 181,241,295,361,361,602,562,130,
241,241,361,407,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,201,201,407,407,407,321,665,522,482,482,522,441,402,522,
522,241,281,522,441,642,522,522,402,522,482,402,441,522,522,682,
522,522,441,241,201,241,339,361,241,321,361,321,361,321,241,361,
361,201,201,361,201,562,361,361,361,361,241,281,201,361,361,522,
361,361,321,347,145,347,391, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_50_usascii_BITMAP_HEIGHT or STB_FONT_times_50_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_50_usascii(stb_fontchar font[STB_FONT_times_50_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_50_usascii_BITMAP_HEIGHT][STB_FONT_times_50_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_50_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_50_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_50_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_50_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_50_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_50_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_50_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_50_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_50_usascii_s[i] + stb__times_50_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_50_usascii_t[i] + stb__times_50_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_50_usascii_x[i];
            font[i].y0 = stb__times_50_usascii_y[i];
            font[i].x1 = stb__times_50_usascii_x[i] + stb__times_50_usascii_w[i];
            font[i].y1 = stb__times_50_usascii_y[i] + stb__times_50_usascii_h[i];
            font[i].advance_int = (stb__times_50_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_50_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_50_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_50_usascii_s[i] + stb__times_50_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_50_usascii_t[i] + stb__times_50_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_50_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_50_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_50_usascii_x[i] + stb__times_50_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_50_usascii_y[i] + stb__times_50_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_50_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_50_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_50_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_50_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_50_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_50_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_50_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_50_usascii_LINE_SPACING
#endif

