// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_37_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_37_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_37_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT        166
#define STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_37_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_37_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_37_usascii_LINE_SPACING          24

static unsigned int stb__times_bold_37_usascii_pixels[]={
    0x0000ae20,0x35799533,0x752c9800,0x3ba80003,0x8004ca00,0x10999998,
    0x00333333,0x01acba88,0x400e8800,0x99999998,0x02666620,0x00355300,
    0x10b32a00,0x99999889,0x20072e61,0x199001b9,0x7c401990,0x5c4005ff,
    0xdcaccefe,0xfa801cfe,0x009ff915,0x801dfea8,0x007d32ea,0x29fffd97,
    0x04dffffb,0xddfffd98,0x4001efff,0x01cefeca,0x9ffffff5,0x06ffed41,
    0x37fff620,0x001dfffd,0x3ef7ff62,0x6447fa9e,0xffb7ffff,0x3ee05fff,
    0x3fc404ff,0x3ee03fc4,0xd8800fff,0x7f7002ef,0x7c45fa80,0x3ff7005f,
    0x883fd100,0xff9801ee,0x05fff74f,0x02fffee0,0x8019fff5,0xdbfacfe9,
    0x7fcc1cff,0x01be07ff,0x882fffee,0x8804fffa,0x3fea1ffe,0xfffb07ff,
    0xfffb5bbf,0xffffd01f,0xfa86fa80,0x7fffd405,0x00f7d400,0xf502f4c0,
    0x809ff90b,0xe8806ff9,0x01df100f,0x3ee9fff0,0x7f4c01ff,0x3fe603ff,
    0x7ff501ef,0x37fcc7e2,0x80ffffe4,0x3ffa602f,0x3ffea03f,0x17ff601e,
    0x641ffffa,0x7dc5ffff,0x7ffc46ff,0x13ee01ff,0x3fa013f2,0x06fe403f,
    0x54136000,0x06ffa85f,0x6c027fe4,0x077e405f,0x7dd3ffe0,0x7ff400ff,
    0xfffb805f,0x13ffc40f,0x4437d43f,0x6984ffff,0x02ffff40,0x407fffe4,
    0xfd83fffc,0xfff707ff,0xffff881f,0x07ffffc2,0x5fb07fb0,0xf9002600,
    0x3e200009,0xfb85fa82,0x3ffa00ff,0x00ffec05,0xff017fe6,0x03ffee9f,
    0x01ffffc8,0xb8bffff0,0xb07e27ff,0x3ffff60d,0xff901e40,0xff1003ff,
    0xffff0bff,0x0ffff903,0x741fffee,0x7ff44fff,0x40ff407f,0x500000ff,
    0xa80000bf,0xfd85fa86,0x37ff407f,0x200bff30,0x3fe02ffd,0x01fff74f,
    0x01ffffe6,0x22ffffd8,0x3f13fffc,0xfff30698,0xf300f87f,0x6c00ffff,
    0x3e22ffff,0xffc81fff,0xffff707f,0x91bfffa0,0x7c40bfff,0x4c07f887,
    0xf8819999,0x8e5c400f,0xa8581998,0x06ffe85f,0xfb03ffe4,0x3fea005f,
    0x5d3ffe06,0xffd00fff,0x7dc009ff,0x3fee7fff,0x181f8bff,0xa9bfffa0,
    0x3ffffa05,0x3ffee004,0x3fffea7f,0x07fffc80,0x360ffff7,0x7fdc7fff,
    0x3733263f,0xfdccccff,0xffc884cf,0x17e40fff,0x23b3fea0,0x41b87fff,
    0x5fff85fa,0x407ffdc0,0x1001fff9,0x3fe05fff,0x01fff74f,0x07fffff1,
    0x7ffffd40,0xdfffff10,0xffa8003f,0x2205b2ff,0x003fffff,0x43ffffe6,
    0xf907fffc,0x3fee0fff,0xffffb07f,0x50fffcc1,0xffffffff,0x0fffffff,
    0x107fffe4,0x2ffc80df,0x50bfffb5,0x7c45fa87,0x7fd404ff,0x0fffd81f,
    0x41bffe00,0xfff74fff,0xfffff301,0x7ffcc005,0x3fff62ff,0xf8003fff,
    0x2078efff,0x02fffff9,0x3ffffe60,0x01ffff92,0x2e0ffff9,0xffb07fff,
    0x98fff0df,0xccdfeccc,0x04cdffcc,0xb83fffee,0x97ff203f,0x882ffff8,
    0x7fc2fd45,0x7ffc403f,0x007fff80,0x7c07fff4,0x1fff74ff,0x5fffff50,
    0x7fffc400,0x3fffe63f,0x2000dfff,0x04dffffb,0x0bffffea,0xfffff880,
    0x01ffff73,0x2e0ffff9,0xffb07fff,0x80dfb0bf,0x00ff81ff,0x20ffffb8,
    0xfff500fe,0x07fffcc3,0x642fd478,0x7fcc03ff,0x06fff886,0x40fffec0,
    0xfff74fff,0xfffff901,0x7ffc4003,0x7ff445ff,0x002fffff,0x03fffff1,
    0x0fffffe4,0xfffff100,0x07fffeab,0x5c1ffff2,0xffd07fff,0x409f709f,
    0x07f887f8,0x21ffff70,0xfff105f8,0x06fffa8b,0x885fa8d1,0x7fe406fe,
    0x06fffa81,0x41fffec0,0xfff74fff,0xfffff901,0x7ffc4003,0xfff905ff,
    0x2007ffff,0x6406fffd,0x001fffff,0x57ffffe2,0xc83ffff8,0xff707fff,
    0xffff10ff,0x5405f505,0x005fa86f,0x261ffff7,0x5fff704f,0x504fffc8,
    0xd105fa8b,0x07fea07f,0x0037ffdc,0x3e13fff2,0x1fff74ff,0x5fffff70,
    0x7fffc400,0x3ffa604f,0x9803ffff,0x7dc03fff,0x2002ffff,0x23fffff8,
    0x260efffc,0xf707ffff,0xffa8bfff,0x403f104f,0x03fc84fb,0x21ffff70,
    0xffff03fa,0x203fffd0,0x202fd44b,0x7dd11eda,0x2fffe401,0x17fff200,
    0x7fdd3ffe,0xffff980f,0x3fe6003f,0x7cc02fff,0x00ffffff,0x4c00ffe8,
    0x003fffff,0x0bffffe6,0xfb7ffffb,0x2e0ffffd,0xbadeffff,0x07c06fff,
    0x33bfb326,0xccdfeccc,0x3fffee04,0xff505f70,0x7fffa89f,0x0bf50760,
    0xbd12fc98,0x5fffc805,0x2fffe400,0xffba7ffc,0xffff880f,0x3fea003f,
    0x7c401fff,0x02fffffc,0xf8805fa8,0x2003ffff,0x81fffff9,0xc8effffd,
    0xff707fff,0x3ffff6ff,0x7d42401d,0xffffffff,0x207fffff,0xf50ffffb,
    0x87fff903,0x1a05fffe,0x7ec417ea,0x01efa80c,0x800bfff7,0xff84fffc,
    0x01fff74f,0x013ffff6,0x06ffffb8,0xfffa9f88,0x003f003f,0x013ffff6,
    0x06ffffb8,0xfff9054c,0x9fffee0f,0x4c0002a8,0xccccffdc,0x04cccffd,
    0x4c3fffee,0x1fffd82f,0x40bfffea,0xb05fa83c,0x0ffc80df,0x006fffa8,
    0x7c1fffec,0x1fff74ff,0x1ffffe60,0x1ffffd80,0x647e20ea,0x69804fff,
    0x3fffe600,0x3fff6006,0xffc8001f,0xffff707f,0x7d400000,0x2005fa86,
    0x3e0ffffb,0x11ffff84,0x501fffdd,0x3217ea0d,0x7fcc03ff,0x06fff986,
    0x417ffec0,0xfff74fff,0x7fffe401,0xffff9802,0x8fc43545,0x1542fff9,
    0xff9000f2,0xff1005ff,0x32000bff,0xff707fff,0x6d4000ff,0xc84fb80b,
    0x3fee004f,0x3e17a0ff,0xf9e9bfff,0x01f987ff,0x5ffd0bf5,0x80fff980,
    0x6c007fff,0xfff81fff,0x401fff74,0x806fffe8,0x540efffc,0xf88fc41f,
    0x8bff60ff,0x7f44000f,0xffd805ff,0xf90000ef,0x3fee0fff,0xff70007f,
    0xd05fb0bf,0x7fdc005f,0x361b60ff,0xff3fffff,0x5c2e98bf,0xfff0bf50,
    0x2fffa807,0x000fffd8,0x7fc1bffe,0x01fff74f,0x02fffd88,0x203bffe6,
    0x47e20efa,0x7ffc3ffb,0x6c000775,0x3ee02fff,0x20000dff,0xf907fffc,
    0x3a000fff,0x7fc0ffff,0x2000ff81,0x2e0ffffb,0x7fffdc0f,0x26bffee3,
    0xf52541dc,0x80bfff0b,0xf981fffb,0xff1001ff,0x53ffe05f,0x9000fffb,
    0xff507fff,0x3fea01bf,0xfa9f88ae,0xdfffc84f,0xffb80006,0x7ffdc43f,
    0xffe80004,0xfffd80ff,0xffd8001f,0x4c3fc47f,0x7fdc007f,0x5c2f40ff,
    0xcfdb82ee,0x7d41d00a,0x406ffe85,0x3f607ffc,0xdff3003f,0xfba7ffc0,
    0x2e2000ff,0xfffeeffe,0x7f5c401c,0x2efffeff,0x01dffb10,0x3fb26000,
    0x1ceffeef,0x7fedc000,0xfb34ffff,0x019dffff,0x21fffcc0,0x05fa85fa,
    0x07fffd40,0x00000be6,0x217ea1d4,0x7f407ffd,0x1bfea06f,0xf01ffe40,
    0x3ffee9ff,0xfff90000,0x310003ff,0x44005f75,0x4c000000,0x400001aa,
    0x99999998,0x33333310,0x15000133,0x35303510,0x7fffa800,0x00001f70,
    0x85fa8698,0x3e00fffb,0x7fec05ff,0x037fc401,0x7fdd3ffe,0xff10000f,
    0x8000dfff,0x000001f8,0x00000000,0x00000000,0x20000000,0x0ffff509,
    0x50000274,0x50bf501d,0xffd80dff,0x405fe804,0x7fc00efb,0x01fff74f,
    0x7fffd400,0x00c0004f,0x00000000,0x00000000,0x00000000,0x26df7000,
    0x36206fff,0x75c0000e,0xf90bf500,0x6ffa809f,0x101fe880,0xfff001ff,
    0x003ffee9,0xfffff500,0x00000037,0x00000000,0x00000000,0x00000000,
    0x3e2ffd00,0x3fa802ff,0x405ea800,0x05ff85fa,0x1003ff90,0x1fe883dd,
    0x74fff980,0x00003fff,0xffffffd3,0x7ffcc579,0xffffffff,0x007fffff,
    0x00000000,0x00000000,0x80000000,0x5ffa8ffa,0x2afb6200,0x039d5300,
    0x7fdcbf50,0x3fee000c,0x12eb800c,0xfd97007d,0x3ffee9ff,0x980003cf,
    0x1cdeffed,0x3fffffe6,0xffffffff,0x000007ff,0x00000000,0x00000000,
    0xfd700000,0x300017bf,0xdfddfb95,0x7d40019b,0x00017955,0x440132a2,
    0x26200132,0x33109999,0x00003333,0x33333000,0x33333333,0x00003333,
    0x00000000,0x00000000,0x88000000,0x08800000,0x004c4000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x37951000,0x0072e000,0x026aaa60,0x000ba880,0x15795300,
    0x000cb800,0x33333330,0x2a013333,0x4400accb,0x09999999,0x4cccccc0,
    0x00cb8009,0x33333310,0x2002e600,0x00199999,0x02b2a600,0x2af2ea20,
    0xfb5ff500,0x37cc001d,0x33ffea00,0x75403fff,0x003efecf,0xfffffb10,
    0x1fe4005f,0x7fe5c400,0x1bdfffff,0x7de7ff54,0x267fffff,0x5ffffffd,
    0x7fffee40,0x007f801d,0x1fffffae,0xdfceeb88,0xffff9102,0xfd30000f,
    0x2209ffff,0xffffddfc,0xf8affd43,0x3fd000ff,0x227fec00,0xff506ffc,
    0x0027ff45,0x7ec53fe2,0xbf3001ff,0xfff98000,0xfff505ff,0x777ffcc7,
    0xfffff986,0x0efa804f,0x000bf500,0x220ffffd,0x0ffe67fe,0x007fffc8,
    0x7ffffd40,0x1fe85fff,0x453fffe6,0x3ffe3fff,0x004fc804,0xf307fff2,
    0x7ffa89ff,0x0017ffd4,0x7fcc3ffd,0x03fe004f,0xfffff000,0x1ffff107,
    0x5405fff8,0x02ffffff,0x3f2004f8,0xfffd8002,0xe87ffb07,0xfff700ff,
    0x7fcc000f,0xfffffffe,0xf70bfee2,0xfff55fff,0x203fff47,0x3e2006f9,
    0xffff07ff,0x7c37ffc4,0xfa801fff,0x2fffc0ff,0x0005f900,0x82fffff8,
    0xfe87fffb,0x3fe601ff,0x401fffff,0x03fe003e,0x1ffff200,0xfb0bffe6,
    0x3ffee0df,0x82fa0007,0x24ffffea,0x7fcc5ffe,0x2fffbcff,0xe803fffa,
    0x3fea001f,0xfffd82ff,0xf0bfff30,0xf7009fff,0x4ffd83ff,0x0017ea00,
    0x05fffff0,0xfb0dfff9,0x6fcc07ff,0x00efffff,0x2fcc00f6,0x7fffc800,
    0x641fffd8,0xffb82fff,0x0750007f,0xe93fffea,0x7ffc47ff,0x22fffcdf,
    0xf901fffe,0xfffa8009,0x26ffd85f,0xfe85fffb,0xffc806ff,0x007ff44f,
    0x8000ff10,0xb82fffff,0xffd86fff,0x3a3e603f,0x205fffff,0x07f9003d,
    0x1ffff200,0xf907fffe,0xfff709ff,0x3a00000f,0x3fee2fff,0x5ffffcc5,
    0x3fa3fffb,0x06f980ff,0xfffff880,0xfb1fff43,0xfffb0dff,0xfffc801f,
    0x0007fea7,0xf8000bf6,0xf982ffff,0xfffe87ff,0x7fc5e600,0x7b04ffff,
    0x1003fa00,0x3ff23795,0x7fffc47f,0x42fffe41,0x2ea7fffb,0x7f40002c,
    0x540a986f,0xffa9ffff,0x41bffe3f,0xfd0001fe,0x3e67ffff,0x3fffa0ef,
    0x1ffffc86,0x5ffffdc0,0x50000dfd,0x7fc0009f,0xffd02fff,0x06fff81f,
    0xffff33cc,0x007b05ff,0xffc80df3,0xfffcbfff,0x07fffcc7,0x2e1bfff2,
    0xffd8ffff,0x88002fff,0x32000eff,0x3ffa6fff,0x320bffe4,0x3ea0004f,
    0xfedfffff,0x87fffd84,0x403ffffb,0x0cfffff8,0x09999998,0x20007f88,
    0x102fffff,0x7fdc9ff9,0x2e3cc00d,0x40ffffff,0x03fb803d,0x74cbffee,
    0x7d47ffff,0x7fe40fff,0xffffb87f,0xffffc9bf,0x07fec001,0x83bffe00,
    0x9ff36ff9,0x0000df30,0xfffffff7,0x3ffff20b,0x17fffdc1,0x3ffffe60,
    0xdffff904,0x0007fa07,0x017ffffc,0x3bfbbfea,0xfb0f3003,0x6c1dffff,
    0x301fe803,0xff98bfff,0x7ffdc7ff,0x7fffe40f,0x17fffdc1,0x003fffea,
    0x07ffff66,0x406ffdc0,0x02eedfd8,0x200003fd,0xfffffffa,0x4ffff984,
    0x80ffffdc,0xffffdfd9,0x09ff501f,0xf0004fb8,0xb805ffff,0x4000aaad,
    0xffffd079,0x2201ecbf,0x3fffa06f,0x47fffc82,0x640ffffd,0x7dc2ffff,
    0xfff887ff,0x7fff403f,0xe802ffff,0x4011003f,0xbdb704fc,0xfffb0019,
    0xf909ffff,0x7fe47fff,0x1efb80ff,0x20dffffd,0x6f8806f9,0xfffff000,
    0x001f6205,0x7fc41e60,0x07b3ffff,0xff104fb8,0xfff903ff,0x0ffffd8f,
    0x217fffdc,0xfd07fffb,0xeb880bff,0x407fffff,0x300002fa,0x2dfd10df,
    0xfd101efc,0xffffff99,0xffffd885,0x86fffffe,0x3fe63ffd,0x1fb84fff,
    0x0001fd00,0x205fffff,0x40000ffc,0x3ffe6079,0x403d9fff,0xfff301fd,
    0xffff901f,0x40ffffc8,0x5c1ffffc,0xffb07fff,0x7fe400df,0x0f201fff,
    0x81fe8000,0xfff33ffd,0x327ffa81,0x706fffff,0xfff5bffb,0x0fffb87f,
    0x1fffffe4,0x3fb8013a,0xfffff800,0xddffff02,0x803799dd,0x7ffdc079,
    0x2203efff,0x3ffee07f,0x7fffc80f,0x207fffdc,0x5c0ffffc,0xffb07fff,
    0x7e4001ff,0x07204fff,0x427e4000,0xff11fffa,0x44fff89f,0x00fffffb,
    0x41ffff50,0x441ffff8,0x92ffffff,0x06f9800d,0x2fffff80,0xfffffff0,
    0x40bfffff,0xfffc8079,0x3ea03fff,0x3ffff204,0x47fffc80,0x640ffffa,
    0xffb87fff,0xffffb07f,0xbfffd000,0x98000240,0x3fff906f,0xfa9bffe2,
    0xfffd83ff,0xfffb002f,0x3ffffa89,0xffffff98,0xfe8001fb,0x7c0bc980,
    0xf902ffff,0xffffffff,0x1e609fff,0x7ffffec0,0xc80bf603,0xfc80ffff,
    0x7ffcc7ff,0x37ffe41f,0xd83fffdc,0xa8005fff,0x00003fff,0xfb01fe80,
    0x3fffc3ff,0xf505fffb,0xf1007fff,0xfff90dff,0x3ffea0df,0x90004fff,
    0x5fff887f,0x00fffffc,0xfffffff9,0x260dffff,0xfffd1007,0x203fc07f,
    0xc81ffffb,0xfff87fff,0x27ffe41f,0xd83fffdc,0x88003fff,0x00002fff,
    0xfb027e40,0x3fffc3ff,0xf105fffb,0xfb003fff,0xfff703ff,0x3fee07ff,
    0x0083ffff,0x3fee2fcc,0x7ffffc7f,0x357df700,0xfffb5533,0xf9801e60,
    0xbf503fff,0x2ffffa80,0xc87fffc8,0x7fe41fff,0x7fffb82f,0x005fffd0,
    0x5403ffe0,0xf30000bd,0x1fffc80d,0x7dcdfff1,0xffff04ff,0x05fffb00,
    0x3fffffea,0xfffffb03,0x003a61bf,0x7ffdc1ff,0x837fffc6,0xfd801ffb,
    0xa800f504,0x5f903fff,0x0bfffd00,0xf10ffffd,0x6ffd85ff,0x01ffff70,
    0xec81dfff,0x40bfe604,0x0006fffa,0xffa803fd,0x49fff12f,0xf985fff8,
    0x7fec02ff,0x7fff400e,0xc98adfff,0xffffffff,0xfc802fff,0x887ffe22,
    0xf902ffff,0x1ff8805f,0xc8001f90,0x01ff03ff,0x43ffff70,0x80fffffc,
    0x7ffc4ffc,0x3ffff702,0x4c0fffa8,0xfc80dfff,0x3ffff604,0x027e4001,
    0xff33ffd8,0x47fff30d,0x2a03ffd8,0xf1003efe,0xffffffff,0xfff717ff,
    0x2009ffff,0x17fd45fa,0x4407fff9,0x54c42fff,0x9ff301fe,0x307fb000,
    0x7fe400bf,0xffdeecff,0xffc82dff,0x5c07ff50,0x3a0dffff,0xfff881ff,
    0x3fc89dff,0x07fffe40,0x001df300,0x3f63bf62,0xdffb101e,0x9103bffb,
    0x10005bff,0xfffffff9,0xfffe9819,0x1fe2004f,0x3fffffa6,0xffb5003d,
    0x0179dfff,0xbfffffd5,0x20fa2003,0x7e4003fc,0xdff95fff,0x3ff20379,
    0x7dc02efe,0xbffbff53,0x7fffdc03,0x8800dfff,0x74004ffe,0xedb8001f,
    0x5531003d,0x004d4013,0x9aa98800,0x002a9800,0x2a601970,0x0880001a,
    0x88000000,0x0000cb81,0x000cc153,0x0980054c,0x2000d4c4,0x0000aaa9,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33310000,0x01333333,0x98555300,0x99999999,
    0x22000999,0x80abcca9,0x97530003,0x4c426035,0x99999999,0x33333100,
    0x4ccccc13,0x98199999,0x00999999,0x502af2e6,0x99999988,0x26666099,
    0x80999999,0x22199998,0x99999999,0x26666009,0x65d40099,0x00ae200a,
    0x3ffffe20,0x001fffff,0xa85bff93,0xffffffff,0xc805ffff,0xfecefffe,
    0x007a8bdf,0x3ffffae2,0xe89bdffe,0xffffff71,0x326059df,0x914ffffe,
    0xfffffffb,0xffdc8179,0xfe981cef,0xa9cffddf,0x7ffffdc5,0x3fb23eff,
    0x2cffffff,0x25fffda8,0xffffffea,0x3fb202df,0xfd503fff,0xf10dff97,
    0xfb800bff,0xffffffff,0xcffe9806,0xfffff901,0x5fffffff,0x177ff4c0,
    0x07fffea8,0x7dffff50,0x7fffe4c1,0x7fffff41,0x07bfa001,0x0fffffe4,
    0xb807fdc0,0x7fd40bff,0xffff885f,0xfffb00ff,0x7f9007ff,0x3fffff20,
    0x817f6006,0xfff56ffa,0x0ffffb85,0x3ffffa00,0x402fffff,0x7401fffa,
    0xffffffff,0xf900ffff,0x3f200dff,0xfffc807f,0x7ff4402f,0x7ffffcc1,
    0x807f2002,0x007ffffa,0x3fe609f1,0x417fa205,0x00fffffb,0x09fffff1,
    0xffe80f70,0xdb000fff,0x57ffe201,0x7dc1fff9,0xf1000fff,0xffffffff,
    0x2fffc80f,0x7ffffc40,0x5fffffff,0x01ffff90,0x3203fec0,0x1004ffff,
    0xfffb03ff,0x027400df,0x01ffffea,0x5ffb03f8,0xf105f980,0x6c07ffff,
    0xd807ffff,0x7fffcc04,0x02f9804f,0xb997ffee,0x03ffe881,0x70001ae0,
    0xf5005fff,0x3333357d,0xff305ff5,0xfd0007ff,0x2ffffd40,0x2a07ea00,
    0x801fffff,0x7fd400f9,0x0fe007ff,0x5c01fffc,0x3ffff205,0x3fffe606,
    0x007e202f,0x03fffff6,0xffc80bb0,0x004c006f,0x980013a0,0xb9006fff,
    0x881ff700,0x000ffffe,0xfff107a8,0x3d0001ff,0x13ffffa0,0x3ea01360,
    0x3e007fff,0x1ffff883,0xff3034c0,0x7f403fff,0x1ae05fff,0x7ffffc40,
    0xb003ea04,0x0000dfff,0x1abdf980,0x1ffff400,0xfe800c80,0x6ffffc85,
    0x7dc1a000,0x70007fff,0x3fffee03,0x003e200f,0x01ffffea,0xfff883f8,
    0x202403ff,0x204ffffe,0x00fffffb,0x7fe4007d,0x07d01fff,0x77ffeccc,
    0x33331019,0x3ff20033,0x401dffff,0x000ffffa,0x20bfe200,0x005fffff,
    0x7fff4020,0x8800005f,0x203fffff,0xfff5005c,0x81fc00ff,0x2efffffe,
    0xffff7000,0x3fff601f,0x00f983ff,0x3ffffe20,0x7fc06b85,0x07ffffff,
    0x1fffff91,0xffffff00,0x36019fff,0xffecefff,0xff70002d,0xfffff881,
    0x7cc00004,0x0004ffff,0xdffff900,0xfa800fc0,0x3e007fff,0xfffff703,
    0x88003dff,0x983fffff,0x86ffffdf,0xffb8005c,0x0be21fff,0xdfffd550,
    0xfffd8055,0x7ffcc00f,0xffffffff,0x7ffffc41,0x04ffffee,0xfa85fd80,
    0x0003ffff,0x7ffffd40,0xf1000002,0xd705ffff,0x7fffd400,0xd80fe007,
    0xffffffff,0x3ff2000d,0xf9dc86ff,0x17c1ffff,0xfffff800,0xfd801766,
    0xff9006ff,0xffc801ff,0xffffffff,0x3ffea0ef,0x3fffee2f,0x0bfe2003,
    0x0bffffee,0xfff90000,0x000003ff,0x42ffffec,0x3fea002e,0x0fe007ff,
    0xffffffd0,0x26005fff,0x7c1fffff,0x49ffffd1,0x3ea0007a,0x0faaffff,
    0x1bfff600,0x07fffdc0,0xfeba9880,0x2e5fffff,0x7f41ffff,0xf7000fff,
    0xffff901f,0xc800003f,0x001fffff,0x3ffea000,0x001aa1ff,0x00fffff5,
    0x7fe401fc,0x3fffffff,0x9ffffd00,0xffff735c,0x200026cf,0x3eeffffe,
    0x37ffec00,0x0ffffb80,0x3ff6a000,0x3fff27ff,0x7fffdc1f,0x20bfb002,
    0x02fffffa,0x4ccccccc,0xfff70999,0x000007ff,0x24ffffe8,0x7fd4003d,
    0x0be007ff,0x7fffecc0,0xb801ffff,0x7d0fffff,0x57ffffc4,0x540000f8,
    0x006fffff,0x006fffd8,0x001ffff7,0x3ffff900,0x307ffff6,0x1007ffff,
    0x3fe207ff,0x65404fff,0xcfffffff,0x9fffff51,0xfb800000,0x0f98ffff,
    0x7fffd400,0x000be007,0xffffffd3,0xffff100b,0xfd81f37f,0x006bdfff,
    0xbffffd00,0xdfffb000,0x3fffee00,0xff900000,0x3fffee5f,0x27fffc41,
    0xd007fd40,0x200bffff,0x41fffffb,0x05fffff9,0x7fc40000,0x004dbfff,
    0x07ffffa8,0x00a60be0,0x0ffffff5,0x3bffff20,0xffffa84c,0x900003ef,
    0x000bffff,0x200dfffb,0x000ffffb,0x543ffe00,0x7c42ffff,0xfd803fff,
    0x7fffec05,0xffff3006,0xffffd01f,0x9000000d,0x01fdffff,0xfffff300,
    0x2cc17c00,0x7ffff440,0xffff9800,0xffff01ff,0x200001ff,0x005ffffc,
    0x006fffd8,0x001ffff7,0xf137ec00,0xfff07fff,0x3ff8803f,0x3ffffcc0,
    0x7ffff980,0x1fffff50,0xf8800000,0x0005ffff,0x00fffff1,0x03e603e6,
    0x03fffe20,0x2fffff40,0x0bffff90,0x7ffe4000,0xffd8005f,0xfff7006f,
    0x5c00001f,0x27fff43f,0x5403fffc,0xffb800ff,0xff9802ff,0x3ff607ff,
    0x048004ff,0x0ffffec0,0xfffff000,0x260f7001,0xdff9004f,0x7fffdc00,
    0x3fffe602,0x3f200001,0xd8005fff,0xf7006fff,0xd8801fff,0x207f404e,
    0x7c46fffb,0x6fd805ff,0x1bfff600,0x1ffffe60,0x1fffff88,0x800dd100,
    0x0005fffa,0x017fffe4,0x7fcc13e2,0x03ffd801,0x01bffe20,0x0001bffa,
    0x0bffff90,0x0dfffb00,0x03fffee0,0x05dfff90,0x3ff201d3,0x03bfe61f,
    0x4007ff10,0x405fffd8,0x407ffff9,0x01ffffe9,0x4000774c,0x40002ffe,
    0x01ffffe8,0x3e601dd1,0x3fe201ff,0x3ffc8006,0x004ffb80,0x7fffec00,
    0xfffd8006,0xffff9006,0xffffa803,0x00ed9adf,0xffb2ffec,0x01ff5001,
    0x7dffd500,0xbffff703,0xffffb100,0x3f6e6139,0x1bee0004,0x7fec4000,
    0xfda9acff,0x3ffe600e,0x0efd983f,0x00ff9800,0x0000ff88,0x3ffffe20,
    0x7ff4000f,0xffd800ff,0xffb802ff,0x00bdffff,0xfeefeb88,0x0dfb001d,
    0xfffec800,0xbdfffeef,0x7fe4c000,0x2dffffff,0x01fc4000,0x3fff2000,
    0x00bfffff,0x7fe557cc,0x003fffce,0xdb002740,0xfb910000,0xbfffffff,
    0x7ff64019,0xd305ffff,0x0bffffff,0x0006aa60,0x50003510,0x44000035,
    0x0019aab9,0x26aaa600,0x01400000,0x77550000,0x40c40035,0x0001aba9,
    0x0cc00350,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00999998,
    0x99999880,0x99999999,0x4c199999,0x99999999,0x4cccc409,0x26662199,
    0x09999999,0x4cccc000,0x00099999,0x02666662,0x33333100,0x30001333,
    0x33333333,0x26666662,0x00099999,0x4ccccccc,0x99880999,0x98199999,
    0x26019999,0x99999999,0x99999999,0x3f22c980,0x8002ffff,0xfffffffd,
    0xffffffff,0x3f627fff,0xcfffffff,0x7fffedc1,0xffb930ce,0xffffffff,
    0x20019dff,0xffffffdc,0x01deffff,0x05fffff9,0xfffdb880,0x54007fff,
    0xcfffffff,0xffffb712,0x0017bfff,0x7fffedc4,0xc983dfff,0x0ceffffe,
    0x3fffff62,0xfffff880,0xffffffff,0x7dc0ffff,0x3ffee4ff,0xffd8002f,
    0xfffc99ac,0xffb999ef,0xfffffa87,0x1ffec03f,0x9bffff20,0x2ffffda9,
    0x3fffea00,0xffffb99f,0xffffb81e,0x3fee0002,0x2002ffff,0x0ffffffd,
    0x3fffff20,0xffb80002,0xf8803fff,0x7fec03ff,0xfff980ff,0x7fec199d,
    0xffe82fff,0xffff50ff,0x05fb0005,0x30bffff7,0x3fff20ff,0x27e405ff,
    0x37fffdc0,0x04ffffb8,0x8fffff30,0x40fffff8,0x002ffffa,0x3fff7ea0,
    0xfbf1006f,0xfa80dfff,0x0000ffff,0x1fffff98,0x801ff980,0xa80ffffc,
    0x3fea01ff,0xffd05fff,0x3ffe61ff,0x04d8002f,0x20bffff7,0x3fffa07b,
    0x0bf102ff,0x1bfffea0,0x00ffffe8,0x87ffff88,0x4c6ffffb,0x0002ffff,
    0x3fffebe6,0xfbdc801f,0x7cc06fff,0x0000ffff,0x1fffff88,0x80077cc0,
    0xa80ffffb,0x7fff401f,0xfff700ff,0x17fffcc9,0xfb80ec00,0x0f105fff,
    0x7fffffcc,0x26006d80,0x3206ffff,0x8803ffff,0xf987ffff,0x3e60ffff,
    0x20002fff,0x9ffffd79,0xfff75f00,0xfff980df,0xf100007f,0x5401ffff,
    0x7fdc005f,0x404b80ff,0x03fffffc,0x3fe6164c,0x048002ff,0x817fffee,
    0x7fffe404,0x0007dc5f,0x40dffff3,0x806ffffb,0x887ffff8,0x262fffff,
    0x0002ffff,0x7fffdde6,0x7ddea00f,0x7cc06fff,0x00007fff,0x01fffff1,
    0x2e000ff2,0x1c80ffff,0x3ffffe60,0x3fe60006,0x4cccc2ff,0xff700099,
    0xe8000bff,0xf52fffff,0xfff98003,0x3ffee06f,0xfff8806f,0xffff887f,
    0x3fffe61f,0x00179512,0x3fffe2f3,0x7dcf603f,0x7cc06fff,0x00007fff,
    0x81fffff1,0x70001fd8,0x0301ffff,0x1fffffd8,0x3ffe6000,0x3fff222f,
    0xff7001cf,0x98000bff,0xf9ffffff,0xfff98002,0x3fff606f,0xfff8804f,
    0xffff987f,0x3fffe60f,0x3ffffe9a,0xfff93cc0,0x5c3e60df,0x4c06ffff,
    0x0007ffff,0x1fffff10,0x00007744,0x001ffff7,0x4fffffa8,0x7ffcc000,
    0x00efc82f,0x2ffffdc0,0x7ffdc000,0x30004fff,0x7c0dffff,0x8802ffff,
    0xfb87ffff,0x7fcc4fff,0xffdcfdff,0x89e601ff,0xc82fffff,0x1bfffee5,
    0x0fffff30,0x3ffe2000,0x01ff50ff,0xffffb800,0x3ffe2000,0x40000fff,
    0xe82ffff9,0xffb8000d,0xd00005ff,0x005fffff,0x1bfffe60,0x027fffec,
    0x47ffff88,0x40effff8,0x21fffff9,0x2605fffe,0x2ffffec7,0xffff70fc,
    0xffff980d,0xff100007,0xfff71fff,0xffb8000d,0x3f2000ff,0x0002ffff,
    0x42ffff98,0x3ee0005d,0x00005fff,0x1ffffff1,0xffff3000,0xffd9553d,
    0x7c4005df,0xfca9ffff,0xf980dfff,0x7fe43fff,0xf51e606f,0x3543ffff,
    0x01bfffee,0x00fffff3,0x3fffe200,0x4fffffef,0x3ffee000,0xfff3000f,
    0x6cc00bff,0x7fffcc3e,0x70001722,0x000bffff,0x7ffffdc0,0xfff98005,
    0xffffffff,0xff88003f,0xdeffffff,0x3ffe600b,0x37ffe42f,0xfffd0f30,
    0x3ee1749f,0x7cc06fff,0x00007fff,0xddfffff1,0x005fffff,0x03fffee0,
    0x7fffff40,0x3fffe001,0x4bfffe66,0x5c0005fd,0x0005ffff,0x3ffffea0,
    0x7fcc003f,0xffff36ff,0xff1000bf,0x26000fff,0x7e42ffff,0x21e607ff,
    0x98fffffb,0x6ffffb87,0x3ffffcc0,0xfff88000,0xffff99ff,0xfb8001ff,
    0xfb800fff,0x2004ffff,0x30fffffa,0xffb5ffff,0x7dc0005f,0x00005fff,
    0xfffff7f3,0x7fcc001f,0x3fff26ff,0x7c4003ff,0x30007fff,0xfc85ffff,
    0x21e607ff,0xcbfffff8,0x6ffffb84,0x3ffffcc0,0xfff88000,0xffff50ff,
    0xfb8001df,0x7c400fff,0x4006ffff,0x33fffff9,0xfffdffff,0x2e0001ff,
    0x0005ffff,0xfff54e88,0x7cc00bff,0x7ff46fff,0x22000fff,0x0007ffff,
    0xc85ffff3,0x1e607fff,0x7fffffe4,0x6ffffb80,0x3ffffcc0,0x7fc41200,
    0x3ff20fff,0x5c005fff,0x6c00ffff,0x802fffff,0x3ffff248,0x5bffff34,
    0x000bffff,0x017fffee,0xffb17600,0x26007fff,0x7c46ffff,0x2006ffff,
    0x007ffff8,0x85ffff30,0x2607fffc,0xfffff107,0x3fffee0b,0x7fffcc06,
    0x441e2007,0x740fffff,0x004fffff,0x803fffee,0x05fffffa,0xfa888790,
    0x25ffff33,0x002ffffc,0x05ffffb8,0x22076400,0x00ffffff,0x86ffff98,
    0x04fffffb,0x0fffff10,0x3fffe600,0x03fffe42,0x7ffec0f3,0xffff702f,
    0xffff980d,0x441ae007,0x440fffff,0x02ffffff,0x01ffff70,0x3fffffe2,
    0xb02f8800,0x3fffe61f,0x1ffffd12,0xffffb800,0x03ee0005,0x2fffffd4,
    0x37fffcc0,0x1fffffd8,0x7ffff880,0xffff3000,0x07fffc85,0xfffa81e6,
    0x3fffee06,0x7fffcc06,0x4417a007,0x980fffff,0x01ffffff,0x00ffffb8,
    0x07fffff9,0x27c0bee0,0x4c5ffff3,0x4005ffff,0x005ffffc,0xfd805f50,
    0x5403ffff,0xf106ffff,0x801dffff,0x007ffff8,0x85ffff30,0x2607fffc,
    0x01fff407,0x80dffff7,0x00fffff9,0xff104fb8,0x3ee03fff,0x401fffff,
    0x980ffffb,0x006fffff,0xed883ff5,0x0ffffe60,0x007ffff9,0x037fffe4,
    0x44037cc0,0x01ffffff,0x81ffffee,0x05fffffa,0x07ffffcc,0x7fffcc00,
    0x07fffec3,0x3ee00fa8,0x3fff200f,0x7ffd407f,0x7fe401ff,0xfffff304,
    0x7ffff403,0x3ff201ff,0xfffe81ff,0x7ec401ff,0x217a60ff,0x444ffffb,
    0x001fffff,0x01fffffd,0x03ffee20,0x3fffffe0,0xffffb00e,0x7ffe403f,
    0x3fee04ff,0xb8002fff,0x7f44ffff,0xfe881fff,0xd013e205,0x403fffff,
    0xaefffffc,0xffeca999,0xffff703f,0x7ffdc09f,0xfb01ffff,0xffb85fff,
    0x9999dfff,0xffffcaa9,0x7fec0e47,0x3f65ffff,0x505fffff,0xfffffffb,
    0x7fe407bf,0xc83cffff,0xffffffff,0xfffdb35f,0x209dffff,0x1ffffffe,
    0xfffffdb1,0x3200bdff,0xd5ffffff,0x27ffffff,0xdfffffd9,0xeda81c80,
    0xdfffffff,0xffffd934,0xffffffff,0x445fffff,0xffffffec,0x3ff624ef,
    0xefffffff,0xfffffd11,0x3fffe2bf,0xffffffff,0x6fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999980,0x26619999,0x99999999,0x33333109,0x98333333,
    0x99999999,0x99999999,0x33333109,0x33333333,0x98833333,0x99999999,
    0x30000000,0xcb800000,0x99999981,0x00009999,0x001bba88,0x17000e60,
    0x009f7000,0x10002c98,0xffffffb7,0xfb7117bf,0x7bffffff,0x3fff6e21,
    0x10bdffff,0xffffffb7,0xffffffff,0x3f6e25ff,0xffffffff,0x0fffffff,
    0x3ffffae6,0xdeffffff,0x2e00000a,0x2e000006,0x7ee442ff,0xffffffff,
    0x2003dfff,0x2ffffffb,0x01bf6600,0xb8000f98,0x3fee004f,0x00ef5c4f,
    0x1fffffdc,0x9fffff50,0xfffffb80,0x7fffdc02,0xda9999af,0xffb82fff,
    0x99999fff,0xb00fffea,0x533dffff,0x007ffff9,0x0007fa00,0x0bffe600,
    0x9fffffc8,0xdffffdba,0x7fffe400,0x5402ffff,0x1006fffe,0xf70001fd,
    0x7fff4009,0x5ffff50f,0xfffff980,0x3fffe201,0x7ffd402f,0x7fcc01ff,
    0x3aa00fff,0xffff982f,0x03fee00f,0x437fffdc,0x01efffe8,0x017fea00,
    0x3fffa000,0x3fffea02,0xeffffc87,0xfffff500,0x703fffff,0x0dfffffd,
    0x0003ff60,0xfe8013ee,0xfffd0fff,0xfff980bf,0x3fe200ff,0x7cc01fff,
    0x4400ffff,0x400fffff,0xfff982f9,0x07dc00ff,0x06ffffb8,0x01dffff1,
    0x03fff600,0xfffc8000,0x3ffe602f,0xffffd07f,0x32b3be07,0x44ffffff,
    0xffffc9ba,0x0fffd806,0x004fb800,0xfc93ffee,0x2200ffff,0x400fffff,
    0x401fffff,0x00fffff9,0x07ffffc4,0x7fcc1740,0x0f800fff,0x0dffff70,
    0x02ffffdc,0x27fffcc0,0xfffa8000,0x3fe602ff,0xfff907ff,0x881d50bf,
    0x406ffffd,0x2206ffff,0x99affffe,0x009f7000,0x7ec42c98,0x3e200fff,
    0x7c00ffff,0x4c01ffff,0x400fffff,0x80fffff8,0x3e60ae09,0x14c0ffff,
    0x7ffdc036,0x3ffe206f,0x7ec002ff,0x80007fff,0x2ffffcf8,0x1ffffe60,
    0x43ffffdc,0xffff300b,0x6fffe80d,0xfffffd10,0x2e00bfff,0x8400004f,
    0x7ffc407e,0x7ffc00ff,0x7fcc01ff,0x7c400fff,0x1c80ffff,0x7fffcc04,
    0x02615c0f,0x037fffdc,0x01bffff6,0xffffff88,0x46f40003,0x2602ffff,
    0xf907ffff,0xd0009fff,0xfe809fff,0xf95106ff,0x25557fff,0x99999998,
    0x99999dfc,0xf8800099,0x7fffc405,0x7fffc00f,0x7ffcc01f,0x7fc400ff,
    0x01f80fff,0x0fffff98,0xff70016c,0xffb80dff,0xb9001fff,0x00dffffb,
    0x7fc47640,0x3fe602ff,0xfffd07ff,0xffb0003f,0xfffe805f,0x7fffd406,
    0xfffffa80,0xffffffff,0x8003ffff,0x7fc401fa,0x7fc00fff,0x7cc01fff,
    0x4400ffff,0x5c0fffff,0xfff9801f,0x00be60ff,0x06ffffb8,0x17ffffd4,
    0xfff9af80,0xfa8002ff,0x05ffff11,0x43ffffcc,0x004ffffd,0x801ffff0,
    0x5406fffe,0xfa80ffff,0xffffffff,0xffffffff,0x01fcc003,0x07ffffc4,
    0x07ffffe0,0x1fffff30,0xfffff880,0x003ff710,0x21fffff3,0x2e002ffa,
    0x5406ffff,0x803fffff,0x3ffffa6b,0x11fc4005,0x4c05ffff,0xca9fffff,
    0x001dfffe,0x00bfff30,0xa80dfffd,0x8000ffff,0x200004fb,0xff1002fb,
    0xffffffff,0xffffffff,0xffff9803,0x7ffc400f,0xffffeeff,0xffff9801,
    0x02ffffef,0x1bfffee0,0x9fffff30,0x7fd47d00,0x3a001fff,0x17fffc45,
    0xffffff30,0x039fffff,0x077fdc00,0x037fff40,0x003fffea,0x88013ee0,
    0x02e60cfc,0xfffff880,0xaaaaaaab,0x401fffff,0x00fffff9,0x5fffffc4,
    0x801ffffd,0xcbfffff9,0x2e002ffe,0x4c06ffff,0x404fffff,0xfffff87a,
    0x881f9004,0x2602ffff,0xa99fffff,0x02effffc,0x001ffd80,0xa80dfffd,
    0x8000ffff,0x3f2004fb,0x440005ff,0x400fffff,0x401fffff,0x00fffff9,
    0x07ffffc4,0xf3003ff5,0x7f41ffff,0x3ffee002,0x7ffcc06f,0x41ec03ff,
    0x00fffffb,0x7fc40fcc,0x3fe602ff,0xfff987ff,0x3e6004ff,0x3ffa003f,
    0x7ffd406f,0x4fb8000f,0x3ffffe00,0x3fe20000,0x7fc00fff,0x7cc01fff,
    0x4400ffff,0x4c0fffff,0xfff9801f,0x00be20ff,0x06ffffb8,0x0fffffd4,
    0xff101f30,0x7c407fff,0xfbaaaaae,0x980acfff,0xf507ffff,0x2005ffff,
    0x7f4004fe,0x7fd406ff,0xfb8000ff,0x3fffa004,0x7fc40007,0x7fc00fff,
    0x7cc01fff,0x4400ffff,0xe80fffff,0xffff9801,0x70016c0f,0xb80dffff,
    0x200fffff,0xccccccfd,0x207fffff,0xfffffff8,0x2fffffff,0x07ffff98,
    0x01bffffe,0x3a0017ee,0x7d406fff,0xb8000fff,0x3fea004f,0x7c40003f,
    0x7c00ffff,0x4c01ffff,0x400fffff,0x80fffff8,0xfff9801c,0x4415c0ff,
    0x6ffffb84,0x37fffe40,0xdddddf10,0xfffffddd,0x3fffe205,0xffffffff,
    0xfff982ff,0x3fff607f,0x02fcc07f,0x37fff403,0x03fffea0,0x0013ee00,
    0x2200002a,0x400fffff,0x401fffff,0x00fffff9,0x07ffffc4,0x7fcc004c,
    0x40c40fff,0xffffb84b,0x7ffffc06,0x36017201,0xf106ffff,0xffffffff,
    0x305fffff,0x6c0fffff,0x2207ffff,0xe81a205e,0x7d406fff,0x40021fff,
    0x000003ea,0x3fffe200,0x7fffc00f,0x7ffcc01f,0x7fc400ff,0x20000fff,
    0x00fffff9,0xfff707d0,0x7ffdc0df,0x007e204f,0x07ffffea,0x3fffe200,
    0x3fffe602,0x3ffffe07,0x2667b605,0x205eba99,0x4c06fffe,0x0752ffff,
    0x00000000,0x7ffffcc0,0x3fffe200,0x7ffcc01f,0x7fc400ff,0x20001fff,
    0x00fffff9,0xffb81fd8,0x3ffa06ff,0x01f200ef,0x05ffffe8,0x2ffff880,
    0x1bfffe60,0x17ffffcc,0xffffffc8,0x3a03ffff,0xfc806fff,0x0005dfff,
    0x40000000,0x01fffff9,0x0bffffe2,0x3fffff50,0xfffff980,0x3fea0001,
    0x36201fff,0xfffb80ff,0xfffd887f,0x017e200d,0x1fffffb8,0x7fffc400,
    0x3fffea02,0x7fffcc0f,0xffff503f,0x5fffffff,0x03ffffc0,0x00cefeb8,
    0x00000000,0x7ffffe40,0x3fffee03,0x7ffe404f,0x7fdc03ff,0x20004fff,
    0xadfffffc,0xfffdba99,0xfffffb07,0xdffd9537,0x0ffe9805,0xfffff700,
    0x7fc4001d,0x3ff202ff,0xfca9dfff,0xf302efff,0xffffffff,0x3ea01fff,
    0x2002ffff,0x00000000,0x7f644000,0xceffffff,0xffffec88,0x931cefff,
    0xfffffffd,0x3fb2219d,0xceffffff,0xffec9801,0xffffffff,0x26ffffff,
    0xfffffeca,0x0bdeffff,0xfffffc80,0xfffd902e,0x007fffff,0x10bfffe2,
    0xffffffdb,0x39bdffff,0x7ffffc40,0x7fffffff,0x7ffff64c,0x000cefff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333100,0x26666233,0x26662199,
    0x43333330,0x40999998,0x99999998,0x02666620,0x00de5d44,0x01665cc0,
    0x00bcca88,0x01597510,0x11599710,0x4ccccc47,0x202b32a0,0x33101cb9,
    0x65441333,0x32200001,0x13333312,0x8802f2a2,0x99999999,0x4ccc1999,
    0x33119999,0x7fd40133,0xfd53efff,0x2a17ffff,0xfff72ffe,0x3ff623ff,
    0x7ffd46ff,0x3660dfff,0xdfc80dff,0x802fffec,0xeffdcff9,0x2f3fea01,
    0x7fd402ff,0x301efebe,0xdfff9dfd,0x5fffff54,0x0effffe8,0x1dffffd1,
    0x3ffffea8,0x000ffff5,0x2e7ffb50,0xe9affffe,0xf704ffff,0xffddddff,
    0x3f221fff,0xa8bfffff,0x4c01dffe,0x7c45ffff,0x1f986fff,0x20ffffe4,
    0xf986ffff,0xdf00ffff,0xfe87fd30,0x3fea01ff,0x203fffe3,0x3ff23ffb,
    0x44dff902,0x6fd80fff,0x3fea37dc,0xffbcfdff,0xfbdf9dff,0xff984fff,
    0xffff9bff,0xeb88001f,0x3ee0dfff,0xfdcfdfff,0x3fb81fff,0x83ffffd8,
    0x646ffffa,0x3ff6001f,0x7ffe40ff,0x7d42dc0f,0x7fec1fff,0xffff906f,
    0xf905f103,0x6fffc8bf,0xfd8fff30,0x3ffcc3ff,0x3e61bfe6,0x77fe43ff,
    0x321bfe20,0x7ffffcc6,0x3ffffea2,0x21fffee2,0xcecffff8,0x4c007ffd,
    0x80bffffc,0x21fffff9,0x5b85fffe,0x06ffffa8,0x44bffff6,0x7fcc002f,
    0x7ffec2ff,0x7d416c3f,0x7fec1fff,0xffff306f,0xff10d509,0x7ffdc3ff,
    0xa8dffb07,0x7fec3fff,0x743fff85,0x7fd41fff,0x13ffee4f,0xffff88d1,
    0x1ffffcc4,0x103fffe6,0x549fffff,0xffd5001c,0xff9805bf,0x7ffec3ff,
    0xffe81b86,0x3fe201ff,0x0009b6ff,0xf897fffa,0x3e26fffe,0x1ffffa80,
    0xb037ffec,0x2d81ffff,0x5c1fffd0,0xff987fff,0x20efd85f,0xff84fff9,
    0x3fffe64f,0x737ffd40,0x141dffff,0x30ffffe2,0xf985ffff,0x7fc41fff,
    0xc98007ff,0x001cffff,0xc85ffff3,0xb8086fff,0xb805ffff,0x006dffff,
    0x43fffee0,0x1ffffbcb,0x3ffea0b7,0x37ffec1f,0x47ffff50,0x8b6e2078,
    0x40ffffd8,0x0105fffa,0x333bfff5,0x7dcdfff3,0xfff987ff,0xfffff10f,
    0x3ffe205f,0x7fffc43f,0x0ffffcc2,0x01bfffe2,0xbefffda8,0x7ffcc000,
    0x3fffe42f,0x7ffffc40,0xffff8800,0x3e20002f,0xf13d3fff,0x40ba9fff,
    0x6c1ffffa,0x7f406fff,0x801326ff,0xffffefc8,0x037ffe40,0xddffff70,
    0x64bddddd,0xff987fff,0x3fff62ff,0xff884fff,0x7ffc43ff,0x7fffcc2f,
    0x27fffc42,0x6ffffcc0,0x3fe60001,0x7ffe42ff,0xffffd807,0x3ffee003,
    0x7ec0004f,0x3f669eff,0x2a078fff,0x7ec1ffff,0x7fdc06ff,0x2001f2ff,
    0xfffbaffc,0x3fffec0f,0x0bfff900,0x43fffec0,0x223ffff9,0x4ffffffe,
    0x21ffffc4,0x4c2ffff8,0x7c42ffff,0xf9803fff,0x0001cfff,0x90bfffe6,
    0xfa80ffff,0xe8006fff,0x0000ffff,0x8f7fffea,0x04effffa,0xb07fffea,
    0xf880dfff,0x805adfff,0xff71efe9,0xfffc81ff,0xfff9001f,0x7ffe400f,
    0x2ffffa87,0xffffffc8,0x0ffffe21,0x985ffff1,0x7c42ffff,0x71003fff,
    0x005dfffd,0x85ffff30,0x7407fffc,0x8001ffff,0x004ffffb,0x3ffffe20,
    0x0fffffc0,0x83ffff30,0xc806fffd,0x401effff,0x3ee2fffa,0x7fdc0fff,
    0xff7003ff,0x3ee001ff,0xfffa87ff,0xffff501f,0x7fffc47f,0x17fffc43,
    0x10bfffe6,0x0007ffff,0x19ffffb3,0x3fffe600,0x03fffe42,0x10bffff7,
    0xfffffb00,0x7fec0001,0x7fffc86f,0x0ffffcc0,0x201bfff6,0x406ffff8,
    0x2e0ffff8,0x7cc0ffff,0xa800ffff,0x8604ffff,0x540ffff9,0x30ee7fff,
    0x7c4bfffd,0x7fc43fff,0x7ffcc2ff,0x7fffc42f,0x3ae20003,0x4c02dfff,
    0x7e42ffff,0xfff107ff,0xb80b01ff,0x05ffffad,0x0fffea00,0x3013ffe6,
    0x7445ffff,0xfb006fff,0xffa807ff,0x3fff21ff,0xffffd80f,0x7ff44885,
    0x6c4a81ff,0x7fdc0fff,0xf103ea3f,0x7ffc47ff,0x7fffc43f,0x17fffcc2,
    0x00ffffe2,0x7ffed400,0xfff980bf,0x3fffe42f,0x83ffffd8,0x6c3e6078,
    0x0001ffff,0x7f403ffe,0xffff801f,0x1fffffa4,0x007ffd40,0x33ffffea,
    0x19fffffe,0x6fffffcc,0x7dc1eb9a,0xb88bffff,0x1fffcc0f,0xfa83fff6,
    0x221ffd85,0x7cc4ffff,0x7fd43fff,0x7ffc43ff,0x4400003f,0x21dffffb,
    0x6c3ffff9,0xffa87fff,0x06e886ff,0x7ffcc7d1,0x3f20006f,0x401bee05,
    0xcfeffffb,0x000ffffd,0x3fe009fd,0xff8bffff,0xffb84fff,0x01ffffff,
    0xfffffff9,0x3bfea03f,0x981dff30,0x9ff11cff,0x45ffffa8,0x645ffffa,
    0x7d44ffff,0x00004fff,0xb8fff6a0,0x7f44ffff,0x7ff41fff,0xff9331ff,
    0xf83fd10b,0x0004ffff,0x1fc405f3,0x7ffff900,0x0bfffff6,0x54003ee0,
    0x3ee1dffe,0x3fe604ff,0x5c02dfff,0x01cfffff,0x7fefff4c,0xfedf980d,
    0x7fe44ffe,0xff96ffff,0x3f6dffff,0xf95fffff,0x03bfffff,0x96440000,
    0x4ffffffc,0x5ffffffd,0x3fffffee,0x25ffffff,0x9befffe8,0xeffffffd,
    0xa8028000,0x00d44000,0x2000a000,0x51000400,0x03510003,0x80353100,
    0x0006a218,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x93000000,0x90000003,0x05cc0005,0xba805cc0,
    0x3a60dc40,0xeeeeeeee,0xeeeeeeee,0x9dddb002,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffa80000,0x7000002e,0xf10001ff,0xfffc80bf,
    0x887ffec1,0x3fea4fff,0xffffffff,0x3fffffff,0xfd10fb66,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x88000000,0x01cffffc,0x9fff1000,
    0x0fff3000,0x224ffff8,0xff93ffff,0x555544ff,0xaaaaaaaa,0x3e1aaaaa,
    0x7fc42fff,0x0000001f,0x00000000,0x00000000,0x00000000,0x88000000,
    0x02dfffeb,0x7fffe400,0x05ff8000,0xf127fffc,0x3ff25fff,0x2000007f,
    0x985ffffa,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x67fffecc,0x4ffcc000,0x675c05fe,0x3b223f70,0xf0bfffa1,0x3fee3fff,
    0x2000006f,0x303ffff9,0x000000df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x37fffee2,0x2a9fb002,0x3ffe01ff,0xfff3688e,0x207ffe4b,
    0x3fe67ffd,0x2aaaa24f,0xaaaaaaaa,0x321aaaaa,0x3a600eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0befffda,0x7f41ff50,
    0x3ffff606,0x2ffffceb,0x3ee1bfea,0x517ffc5f,0xffffffff,0xffffffff,
    0x0001887f,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0xe82ffffc,0x017fcc3f,0x37fb5553,0x4ff88155,0x7ec3ff98,0x3bbba60f,
    0xeeeeeeee,0x002eeeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffff930,0xff906fb8,0x07a7ae00,0x3fe05fd0,0x00037d41,
    0x55555400,0x0000aaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f540000,0x7c40beff,0x07ff102f,0x4fe9ff44,0x3ec03f20,0x2ea027c4,
    0x7c42a002,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x80000000,0x1dffffb8,0xf701bf20,0x47ffe01f,0x0d505ffc,0x702e82dc,
    0x03bfffff,0xffff11f8,0x003fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ecc0000,0x4c00beff,0x4fe801ff,0x3e67ff88,0x0100206f,
    0x7f7fdc02,0x40beffff,0x3fffe27b,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f5c4000,0x22002dff,0x03310009,0x05d90bb2,
    0x67c00000,0x3ffff260,0x003ffcdf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00cffffc,0x00000000,0x20000000,0x3faa00f8,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x7d400000,
    0x000002ef,0x00000000,0x00710000,0x000b32e2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x0000001c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_37_usascii_x[95]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,2,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_37_usascii_y[95]={ 29,6,6,6,6,6,6,6,6,6,6,9,23,19,
23,6,6,6,6,6,6,6,6,6,6,6,13,13,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,34,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,13,13,13,13,13,13,6,6,6,17, };
static unsigned short stb__times_bold_37_usascii_w[95]={ 0,7,14,17,15,30,26,6,10,10,14,19,7,11,
6,10,15,13,16,15,16,15,15,15,15,15,7,7,19,19,19,13,30,24,22,22,23,21,20,25,26,13,17,27,
22,31,24,24,20,24,25,17,21,24,24,34,24,24,22,8,10,7,16,19,8,16,18,14,17,14,13,16,17,9,
10,18,9,26,17,15,18,17,14,11,11,17,17,24,17,17,15,10,3,10,19, };
static unsigned short stb__times_bold_37_usascii_h[95]={ 0,24,12,24,26,24,24,12,30,30,13,18,12,5,
7,24,24,23,23,24,23,24,24,24,24,24,17,22,16,8,16,24,31,23,23,24,23,23,23,24,23,23,24,23,
23,23,24,24,23,30,23,24,23,24,24,24,23,23,23,30,24,30,13,3,6,17,24,17,24,17,23,24,23,23,
31,23,23,16,16,17,24,24,16,17,22,17,17,17,16,24,16,30,31,30,6, };
static unsigned short stb__times_bold_37_usascii_s[95]={ 255,229,189,237,133,1,64,204,69,80,174,
217,245,231,231,162,191,191,174,226,134,1,17,33,32,48,237,248,179,211,137,
242,12,109,151,75,85,63,42,49,1,28,102,187,164,132,137,167,93,108,67,
148,20,123,98,166,42,201,225,99,91,91,157,133,238,62,207,79,173,94,226,
120,114,240,1,1,215,137,199,109,210,192,164,125,205,26,44,1,233,149,217,
58,43,47,211, };
static unsigned short stb__times_bold_37_usascii_t[95]={ 1,1,148,1,1,33,33,148,1,1,148,
107,107,156,148,33,33,107,107,33,107,58,58,58,33,33,107,83,131,148,148,
33,1,107,107,58,107,107,107,58,107,107,33,83,83,83,33,1,83,1,83,
58,83,58,58,58,83,58,83,1,33,1,148,28,148,131,33,131,33,131,58,
33,83,58,1,83,83,131,131,131,1,1,131,131,107,131,131,131,131,1,131,
1,1,1,157, };
static unsigned short stb__times_bold_37_usascii_a[95]={ 134,178,297,267,267,535,445,149,
178,178,267,305,134,178,134,149,267,267,267,267,267,267,267,267,
267,267,178,178,305,305,305,267,497,386,357,386,386,357,327,416,
416,208,267,416,357,505,386,416,327,416,386,297,357,386,386,535,
386,386,357,178,149,178,311,267,178,267,297,237,297,237,178,267,
297,149,178,297,149,445,297,267,297,297,237,208,178,297,267,386,
267,267,237,211,118,211,278, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_37_usascii(stb_fontchar font[STB_FONT_times_bold_37_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_37_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_37_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_37_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_37_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_37_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_37_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_37_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_37_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_37_usascii_s[i] + stb__times_bold_37_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_37_usascii_t[i] + stb__times_bold_37_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_37_usascii_x[i];
            font[i].y0 = stb__times_bold_37_usascii_y[i];
            font[i].x1 = stb__times_bold_37_usascii_x[i] + stb__times_bold_37_usascii_w[i];
            font[i].y1 = stb__times_bold_37_usascii_y[i] + stb__times_bold_37_usascii_h[i];
            font[i].advance_int = (stb__times_bold_37_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_37_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_37_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_37_usascii_s[i] + stb__times_bold_37_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_37_usascii_t[i] + stb__times_bold_37_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_37_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_37_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_37_usascii_x[i] + stb__times_bold_37_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_37_usascii_y[i] + stb__times_bold_37_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_37_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_37_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_37_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_37_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_37_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_37_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_37_usascii_LINE_SPACING
#endif

