// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_40_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_40_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_40_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT        184
#define STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_40_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_40_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_40_usascii_LINE_SPACING          26

static unsigned int stb__times_bold_40_usascii_pixels[]={
    0x00a88400,0x4c005510,0x0000011a,0x26aaa620,0x14400001,0x03551000,
    0xffffd900,0x3fffe63f,0x04a805ff,0x001a9880,0x0000d540,0x00000660,
    0x50000151,0x2ea80005,0x9809ffb1,0x7f5400ff,0x0005d52e,0xdfffb300,
    0x039ffdbb,0x1fffc800,0xfffec980,0x002defff,0x4c7fffe2,0x9800ffff,
    0x801bcfeb,0x03ffcefc,0x000ff980,0x3ffb7220,0x001cdeff,0x77f7edc4,
    0x6fa8001c,0x05fb1000,0x2601dfd3,0x3ff200ff,0x000dfa82,0x56ff5c40,
    0x1df73100,0xffff1000,0xdfffb809,0xbfff730a,0x3fff6001,0x80dfff31,
    0xfdfddffa,0xffd80bff,0x800bff92,0x2e0003fe,0x930adfff,0x20019fff,
    0xfff71ffd,0x03fd8003,0x201ff880,0xff306ffb,0x817fee01,0x30000ff9,
    0x880019fd,0x7cc002fc,0xfd306fff,0x7fcc09ff,0xffc802ff,0x0bfff31f,
    0x17c8ffec,0xffb8fffb,0x05fff30f,0x40017f20,0x204fffe9,0x402ffff8,
    0x7ff44ffd,0x07fe000f,0x807fd100,0xf982fff8,0x2fff880f,0x00077e40,
    0x00007bee,0xfe8007f5,0xfff983ff,0xfffa805f,0x7ffe403f,0x20bfff31,
    0xb1f24ffc,0x3fffc4ff,0x300ffff1,0xf30001ff,0xf300bfff,0x3f207fff,
    0x7ffd42ff,0x06fa800e,0x400ffe80,0xf985fff8,0x2fffa80f,0x0037fc40,
    0x00001bfb,0xc88007ea,0xffffd02e,0x3fff6001,0x3fff201f,0x10bfff31,
    0x43e43fff,0x9fffe67e,0x400ffff8,0xfd0003fe,0x36001fff,0xff81ffff,
    0x7ffcc1ff,0x04fc805f,0x4027fec0,0xf986fff9,0x3fffb80f,0x804ffd80,
    0x800005fb,0x3200006c,0x2005ffff,0x206ffffb,0xff31fffc,0x7fff50bf,
    0xf53d43e4,0x7ffc4fff,0x017f201f,0x2ffffe40,0xdffff500,0x41ffff98,
    0x806ffff8,0x3e2001ff,0xffa800ff,0x80ff984f,0x9804fffa,0x3e600fff,
    0x8800000f,0xf980001f,0x2003ffff,0x03fffff8,0x3e63fff9,0xfffc85ff,
    0xa9e0f91f,0x3fe27fff,0x1ff301ff,0xffff3000,0x7fc4007f,0x3fee3fff,
    0xffff81ff,0x01fe600f,0x200dff90,0xf983fffb,0x6fff880f,0x209ffd00,
    0xd9802fe8,0x2aaa88de,0x555404b8,0x3ff61aaa,0x74000fff,0xf907ffff,
    0x3ffe63ff,0xfffffb85,0x7cc107ca,0x3ffe27ff,0x007fd00f,0x3fffff60,
    0x7fffc000,0x3ffff67f,0x2ffffe82,0x88013f20,0xf9005fff,0x1ff305ff,
    0x401fffe0,0xfb80fffd,0xbcffb804,0x986fffbc,0x7fff5407,0x3ffffe5f,
    0xfffd8007,0xfffc80ff,0x30bfff31,0xffffffff,0x1ffff100,0x641bffe6,
    0x3fe0005f,0xd8007fff,0xfb0fffff,0xffb05fff,0x17f407ff,0x09fff900,
    0x203fffa0,0xffd00ff9,0x3ffee00f,0x6c01fe84,0x3ff7a3ff,0xa801f03f,
    0xff15ffff,0xb000ffff,0x905fffff,0x3fe63fff,0xffff905f,0xf7005fff,
    0x3ffe61ff,0x000ff981,0xffffff10,0xffffb000,0x3ffff25f,0x5ffffc83,
    0xe800ff30,0xf9002fff,0x03fe60ff,0xa8037fec,0x37cc6fff,0xfb1fff20,
    0x07a03fff,0x2bffff10,0x06fffff9,0xfffffc80,0x31fffc83,0x3a20bfff,
    0xdfffffff,0xc97ff400,0x07fd04ff,0x7fffcc00,0xffc8006f,0xfff73fff,
    0xffff90bf,0x0017ee09,0x2005ffff,0xff307ffa,0x013ff601,0x323fffcc,
    0x3ffea03f,0x03fffec2,0xfff8805b,0xfffff75f,0xfff9000d,0xfff90bff,
    0x017ffe63,0xfffffffb,0xcffb805f,0x0bf902ff,0xffffb800,0xffc8006f,
    0xfff15fff,0xfffd81ff,0x005fd03f,0x017fffc4,0xf305ffb0,0x1dff101f,
    0x3fffe600,0x7c403fa0,0xffff86ff,0xf1007a04,0x3feebfff,0xb8006fff,
    0xc85fffff,0xfff31fff,0xffff700b,0x3007ffff,0x07fcc013,0x80bceca8,
    0x06fffffb,0xfffffc80,0x37ffff25,0x0bffff60,0x98003fe2,0x4001ffff,
    0x7fcc0dfd,0x000efc80,0xf8bfffe6,0x0ffff206,0x405ffff1,0x7ffc400f,
    0xfffff55f,0xfff9000d,0xfff909ff,0x017ffe63,0x7fffff44,0xe80003ff,
    0x9ffd883f,0x7fd42ffc,0xc8006fff,0x224fffff,0xecfffffd,0xb80fffff,
    0x7fdc005f,0xea8001ff,0x41ff30cf,0x4000bfea,0xf13ffff8,0x3fffe20b,
    0x07fffd40,0xff880798,0xffff35ff,0xffb000ff,0xff905fff,0x17ffe63f,
    0xfffffb00,0x640001ff,0x27ffd05f,0x3e61fff8,0x8007ffff,0x82fffffd,
    0xfcfffffb,0x7fb05fff,0xffffb800,0x4bf20001,0x1df10ff9,0x3ffe2000,
    0x2e09f34f,0xffe86fff,0x2016e05f,0x3e5ffff8,0x000fffff,0x0ffffff4,
    0xf98fffe4,0x7e4005ff,0x03fffffe,0x701ff300,0x7ffc5fff,0x7fffffc6,
    0x7ffec000,0x46a201ff,0x882ffffb,0x7d4000ff,0x44001fff,0x3fe62efc,
    0x0077f660,0x27ffff10,0xfffd03fa,0x3ffff987,0x3e200b60,0x3ffa5fff,
    0x7c001fff,0xc80fffff,0xfff31fff,0xe8fc800b,0x0005ffff,0x3ffa07fd,
    0x87fffa1f,0x01fffffe,0x3fffff40,0x1ffffa00,0x4c0037d4,0x2001ffff,
    0xff985fe8,0x001ffb80,0x44bfffe6,0x5ffff04f,0x01ffffd8,0x3fe200d1,
    0x3ffe65ff,0x3e2002ff,0xf903ffff,0x3ffe63ff,0x2f902885,0x006fffe8,
    0x3fe05fc8,0x3fffa1ff,0x3ffffe63,0x3ffe2002,0x3e6003ff,0x7fb02fff,
    0xffff1000,0x17ff4003,0xff807fcc,0xfff3001f,0x7c42fc1f,0x3fea1fff,
    0x00fa06ff,0x22ffffc4,0x005ffffd,0x81bfffee,0xff31fffc,0x320d10bf,
    0x017ffee7,0x2601ff30,0x3fa1ffff,0x7ffec4ff,0x3fea005f,0x7e4006ff,
    0x07fe04ff,0x17fffc00,0x307ff980,0x3ff601ff,0xffff3004,0xfffa86e8,
    0xfff9d31f,0x8801b20b,0x7cc5ffff,0xd001ffff,0x6405ffff,0xfff31fff,
    0xf903f10b,0x0027ffcc,0xff880ffa,0x3fffa1ff,0x7ffffc43,0xffffb001,
    0x7ffd4005,0x001bea06,0x003fffe8,0x3e60fff9,0x0fffb00f,0x91bffea0,
    0xffff981f,0xfffd9fad,0x2000fb83,0xa85ffff8,0xa804ffff,0x6404ffff,
    0xfff31fff,0xf909f10b,0x000fffcc,0xffd00df9,0x0ffffc3f,0x027fffd4,
    0x01ffffcc,0x01bfff50,0x500027e4,0x36009fff,0xff980fff,0x01fffd00,
    0xb87fff90,0xfffff81f,0x85fff93f,0x1025c1eb,0x260bffff,0x2202ffff,
    0xc803fffe,0xfff31fff,0xc89ff10b,0x800fff27,0xfc800ff9,0x1bffe2ff,
    0x02fffe98,0x007fffa2,0x803fffa8,0x7c0001ff,0xff9005ff,0x01ff305f,
    0x6c01fffe,0x1fcc0fff,0x11ffffec,0xbd75dfff,0x2200e881,0x2205ffff,
    0x220bfffe,0x002ffffa,0x3e63fff9,0xfff885ff,0xfc8fc8ad,0x1ff4004f,
    0x227ffd00,0x6c401fff,0x2e20bfff,0x5000effe,0x3003bffb,0xf70000ff,
    0x3fee00ff,0x80ff983f,0xd005fff9,0x03f209ff,0x9305bf71,0x32017ddd,
    0x7fffc403,0xfffc9805,0x02dfffee,0x98fffe40,0xfb505fff,0xbfffffff,
    0x06fb8003,0x6477f4c0,0x32a003ff,0xeffeeffe,0xffc8803d,0x3f2000be,
    0xff880004,0xfffa802f,0xa80ff984,0xf9804fff,0x017a00ff,0x00d10000,
    0x00bffff1,0x3fffffd8,0x3fff9000,0x2017ffe6,0x001fdaa9,0x0001ff30,
    0x0033bf6e,0x01375300,0x00009a80,0x4000072e,0xf9806ffb,0x0ff985ff,
    0x803fffb8,0x7cc04ffd,0xd1000002,0xffff1003,0xfff98009,0xf90006ff,
    0x3ffe63ff,0x003e4005,0x00000000,0x00000000,0x00000000,0xff003ff9,
    0x01ff309f,0x8805fff5,0x1f9005ff,0x2e880000,0x13fffe00,0x3ffff200,
    0xffd8003f,0x0bfff31f,0x00002980,0x00000000,0x00000000,0x6c000000,
    0x7ffc405f,0xf00ff981,0x5fc807ff,0x00176c00,0x2a01e980,0x0ffffe6f,
    0x7fffe400,0x7ff4003f,0x0bfff31f,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x417fee02,0xff700ff9,0x0037d40d,0x0000cfa8,0xfe803f91,
    0x03fffd1f,0x7fffdc00,0x40889bff,0x31ffffa8,0x0015ffff,0x00000000,
    0x00000000,0x00000000,0x09f70000,0x7cc0bff5,0x33fee00f,0x00067dc0,
    0x4005fb10,0xc800cfc8,0x07ffd1ff,0xfff91000,0x5c7fffff,0x10cccccc,
    0x07999999,0x00000000,0x00000000,0x00000000,0x79100000,0x300bbfa6,
    0xfd9801ff,0x0001973f,0x5ef7f540,0xbfecba9a,0x37fe2000,0x00005ffb,
    0x04d5d4c4,0x00000000,0x00000000,0x00000000,0x00000000,0x00188000,
    0x88003ba2,0x10000001,0x3579b975,0x6ee44000,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x51001980,
    0x0002aa05,0x0001aa98,0x0d54c400,0x4c400060,0x00a01aaa,0x180aaa88,
    0x00155100,0x2a00ccc0,0xa880000a,0x4400001a,0x35531029,0x2aa60001,
    0x20188001,0x400effe8,0x1ff885fc,0xffffc800,0x400002ff,0xffffffda,
    0x003e0bce,0x7ffff6dc,0xd30adfff,0xfffff500,0x101a15df,0x03bffffb,
    0x3fbffee0,0x04fc81ef,0x3fffaa00,0x2a0002ef,0x6c41dffe,0x1effffef,
    0xff9ff500,0xbf91009f,0x27fffdc0,0x3e60ff60,0x6ff4c007,0x03fffea9,
    0xffffa800,0xfda99bef,0x4c00ffef,0x109cfffe,0xdfdfff73,0x0e7fec40,
    0x40ffffb3,0x3ff25ff9,0x33ffa601,0xa89ffd50,0xffb0006f,0x07ffffff,
    0x5f7fe440,0xb30ef980,0xd807ffff,0x5fff74ff,0x17fff660,0x06ffffe8,
    0x37dc17fc,0x987ffa00,0x0000ffff,0x033ffff2,0x00fffe98,0x007bfff2,
    0x40dfff91,0x3ea02ffd,0x3fff307f,0xf8837fc4,0xfffa86ff,0x20007fc3,
    0xfffffffc,0xfa801fff,0x3fe203ff,0x1ffffe84,0x325fff70,0x7f543fff,
    0x3a05ffff,0x2206ffff,0x04fc80ff,0x3a1ffee0,0xd0001fff,0x200bffff,
    0xfd00ffe8,0x5c003fff,0xdff506ff,0x3a0ff700,0x4fff86ff,0xf03fffd8,
    0x03fd8fff,0x326b3ea0,0x04ffffff,0x201fffe4,0xffb87ffb,0xfff885ff,
    0x21bfd12f,0xffffede9,0x3fff605f,0x41fea05f,0x3f6003fe,0x7ffe40ff,
    0xfffc8000,0x3e2000ef,0xffffc80f,0x06fc8003,0x3600dffb,0x85fff987,
    0x7fc2fffe,0xfffd04ff,0xd0037d43,0x3ffffa05,0x13fff605,0x50bfff60,
    0xf30dffff,0x40807fff,0x205ffffd,0x203ffffb,0x1ff885fc,0x07fffe00,
    0x5000dff5,0x001fffff,0xff981f70,0xd0000fff,0x07fffe0d,0xff903e60,
    0x9fffb0bf,0x83ffffcc,0x3e21fffd,0x2029800f,0x704ffffb,0x2e00bfff,
    0x7fd43fff,0xfffa86ff,0x7fdc003f,0x3fe605ff,0x0ff601ff,0xff001fe6,
    0x1ffd89ff,0xfffff800,0x41f10005,0x04ffffe8,0x7fc1ae00,0x0e801fff,
    0x6c2ffff4,0x3fe26fff,0xffe82fff,0x0002fd87,0x81ffff88,0x002ffff9,
    0xfb81dfd1,0xffb84fff,0x7d4003ff,0x3e205fff,0xddd30fff,0xdddddffd,
    0x003ddffd,0x2e1fffff,0xfa8002ff,0x0004ffff,0xffffc832,0x8340003f,
    0x03fffffe,0x3fffe054,0x47fffd85,0x22fffffe,0xfb84fff8,0xff880005,
    0xffffd05f,0x3f203000,0x32aa2fff,0x02acffff,0x0bffff50,0x3e66ffe8,
    0xffffffff,0x2fffffff,0xdffffd80,0xd0000cfe,0x005fffff,0x7fffec00,
    0x9000002f,0x5dffffff,0x3fffe200,0x0ffffd85,0x3ffffff2,0x101dff73,
    0xb80001ff,0xfff304ff,0x00004c9f,0xfe8dfffd,0x6fffffff,0xbffff500,
    0x224ffc80,0xccffdccc,0xccdffccc,0xffffb801,0xaaa880cf,0x3fe22aaa,
    0x0001ffff,0x3fffffe0,0xf3000001,0xdfffffff,0xffff9803,0x1ffffd84,
    0x3fffffe2,0x7404ffdf,0x3e60002f,0xfff900ff,0x7dfffd9f,0xefffa800,
    0x7ffdcc40,0xf50009bf,0xfa80bfff,0x217f202f,0x5c001ff8,0x305fffff,
    0x47dffffb,0x07fffff9,0x3ffe2000,0x000007ff,0x7fffffdc,0xf500dfff,
    0xffb09fff,0xfff987ff,0x804fffff,0xb88005fb,0x441ffffe,0xfdffffff,
    0x2005ffff,0x7dc04ffd,0x54003fff,0x4405ffff,0x0ff600ff,0xea801fe6,
    0x2fffffef,0x2a13ff60,0x006fffff,0x3fffea00,0x8000007f,0xfffffffc,
    0xffc83fff,0xfffd84ff,0xfffe884f,0x4c03ffff,0x7fdc007f,0x23ffffff,
    0x226ffff9,0x804ffffd,0xfb802ff9,0x54003fff,0xf805ffff,0x5c17fc07,
    0xdfe8806f,0xffffff88,0x2e0df700,0x006fffff,0x3fffee00,0x0000006f,
    0xfffffff7,0xffc89fff,0xfffd84ff,0xffff304f,0xe809ffff,0x3ae2001f,
    0x0fffffff,0x88bffff5,0x400fffff,0xff7002fc,0xfa8007ff,0x6e805fff,
    0x3203fe20,0x7ffcc04f,0x3fffff20,0x2e03fb05,0x007fffff,0x3fffe600,
    0x0000007f,0x3fffff22,0x3ee3ffff,0xffd84fff,0x7fe443ff,0xfffffffc,
    0x0013f202,0x7fffffd4,0x0bffff72,0x807ffffb,0x3fee001f,0x7d4003ff,
    0x5c805fff,0x57fe5544,0xacfeaaaa,0x3ffe20aa,0xfffffe85,0xf5027c44,
    0x001fffff,0x7ffffc00,0x7fedc00f,0x3effffff,0xffffd980,0x3fea7fff,
    0xfffd84ff,0x53ffa22f,0x7ffffff9,0x8001fe60,0x94ffffe9,0xf50bffff,
    0x0780bfff,0x1ffffdc0,0x3fffea00,0x7cc3b805,0xffffffff,0x2fffffff,
    0x2a13fff6,0x23ffffff,0x7ffc406d,0x00001fff,0x07fffffa,0x7ffffcc0,
    0x6cc0182f,0x32ffffff,0xfb09ffff,0x7fec3fff,0x3fffe61f,0x07fe01ff,
    0xffff9800,0x0bffff76,0x40dffff5,0x7fdc0058,0x7d4003ff,0x08805fff,
    0x7fffffcc,0xffffffff,0xffff12ff,0x3ffff60d,0x800fbaff,0x02fffffe,
    0x3fff2000,0x3fe002ff,0x06887fff,0x7fffff70,0x217fffe2,0xf10ffffd,
    0xfff30fff,0x27e407ff,0x3fff6000,0x0dffff35,0x80dffff3,0x7ffdc000,
    0x7fd4003f,0xf80005ff,0x206fb82f,0x00fffffa,0xfffffffd,0x3ffea007,
    0x200004ff,0x03fffffa,0x1fffffa0,0x7d4003e2,0x3ffe4fff,0x7fffd85f,
    0x6c1bffea,0x2a05ffff,0x7d40006f,0xffff14ff,0x9ffff30f,0xffb80000,
    0x7d4003ff,0x08805fff,0xfb01ff10,0x7fffdc09,0xfffd104f,0x7c005fff,
    0x0007ffff,0x3ffff602,0x3fffa005,0x003f886f,0xfd8bfff6,0xfffd85ff,
    0x417fff25,0x404ffffa,0x220000ff,0x3ffa2fff,0xffff887f,0x2e000402,
    0x4003ffff,0x405ffffa,0x7fa84ffc,0x7d405fd0,0x303fffff,0x9fffffff,
    0xfff98350,0x498003ff,0x1ffffe88,0xdffffd00,0x2001ff10,0x3e60fffb,
    0xfffd86ff,0x41bffee2,0x402ffff8,0x100103fd,0xfffc8dff,0x7fffc40f,
    0x03bfd500,0x0ffffee0,0xbffff500,0x1ffffd40,0x3fe217f2,0x3fffe201,
    0xff702fff,0x15bfffff,0x3ffee0d7,0x3ea001ff,0xbffff304,0x3ffffa00,
    0x006ff886,0xffd0bffb,0x98dfff0f,0xff107fff,0x6fa801ff,0x2e02ffe8,
    0x7ff441ff,0x2fffcc3f,0x00bffff0,0x00ffffee,0x0bffff50,0x22ffffec,
    0x07fa83fd,0xffffffb8,0xffda9bef,0xffffffff,0x3fee02ff,0xfc801fff,
    0x7fff4c03,0xffffe805,0x0dfff886,0x203bfe60,0x3e60fff9,0xfffd81ff,
    0x02fffb82,0x3e60ff88,0x7fb03fff,0x71bffe60,0x3ea01dff,0xb800ffff,
    0x4004ffff,0x206ffffb,0x7c3ffffb,0x006fb81f,0xfffffffb,0x3a67ffff,
    0x4fffffff,0xffffe980,0xfeca99ad,0x3fee001e,0x74c0acff,0xf884ffff,
    0x5c42ffff,0x3e601efe,0x40bff24f,0x260fffe8,0x36003ffe,0x7ffff42f,
    0x02fea8ae,0xe897ffd4,0x3fe200ef,0xffb006ff,0x74400bff,0x102fffff,
    0x7c41dffd,0x004fd80f,0x3fffffaa,0xffc80bff,0x54003fff,0xfffffffd,
    0xb10003ef,0xfddfffff,0x44039fff,0xeffdb9bf,0x3003fffd,0x03dffffb,
    0xfdbfff70,0xfb8001bf,0x7ffff545,0x3000cfff,0x19dfdff9,0x05fff900,
    0xfffffec8,0xfdb104ff,0xdfffffff,0x5103301b,0x0006aa05,0x0026aea6,
    0x00006ea2,0x01575531,0xcaa98000,0x10009aab,0x35975105,0x02aa2000,
    0x26aaa600,0x09910000,0x0026aaa6,0x00015300,0x00000051,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55544000,0xdb711aaa,0x3b6e0017,0x9999acdf,0x01a98009,
    0x00aa8000,0xaaa9814c,0x5542aaaa,0xff901aaa,0xffffffff,0x3ffffa67,
    0x5100004f,0x74c19bfb,0xffff8001,0x7fe41fff,0x4fffffff,0x3ffffffa,
    0xfa83efff,0xff95ffff,0xdfffffff,0x3fffa209,0x6ed44fff,0xffffeb82,
    0xffffff9c,0x3bffa605,0xffffffb9,0x3ffee02f,0x80000dff,0x3f602ffa,
    0x7ff4c0ff,0x64c2efff,0xfff01dff,0xffffffff,0x4ffffc81,0xeffd8000,
    0xffbaffba,0xfff10001,0xfff303ff,0x3a20dfff,0x01ffffff,0x74c2ffb8,
    0x00ffffff,0x50ffff20,0xf905ffff,0xb39fdfff,0xf305ffff,0xfffb8dff,
    0xfe881ccd,0x0effffff,0x3ffe2000,0x9ffff302,0x9fffff10,0xfa807fc0,
    0xffffffff,0xffffa85f,0x7fe40004,0x7ffffdc5,0x3ff60001,0xfff701ff,
    0x7fc40bff,0x8800ffff,0xffff305f,0xff8800ff,0x5ffffd80,0x3fffffa8,
    0x207fffe4,0x7c44fffe,0x7ff406ff,0xefffffff,0xfffd0000,0x3fffea05,
    0xdffff705,0xffb01fc0,0xffffffff,0x9ffff305,0x7ffdc000,0x1fffff82,
    0x3fff6000,0xffff101f,0xfffc80ff,0x1f9803ff,0x3fffff60,0x40fe2001,
    0xa85ffffd,0xf985ffff,0x3fea5fff,0xffff83ff,0xfdfff903,0x09ffffff,
    0x5ffff900,0x017fffc0,0x303fffff,0x337e201f,0x4ccccccc,0x09ffff30,
    0x1fffea00,0x00fffff4,0x3ffffb00,0x7ffffe40,0x3fffe602,0x406b806f,
    0x05fffffa,0x7cc03ee0,0xffa81fff,0xffff04ff,0x17fffdcf,0xf827fffc,
    0x3fff6a1d,0x7d4006ff,0x2602ffff,0x7fdc02ed,0x204c84ff,0x260000fa,
    0x0004ffff,0x360bfffb,0x0001ffff,0x807ffff6,0x05fffff9,0x0ffffff4,
    0x3fa00fa0,0xd000ffff,0x01cc9809,0x209ffff5,0xf70ffffe,0xffd05fff,
    0x740b50bf,0x000fffff,0x5ffffff1,0x3fe20000,0x00fc0fff,0xf98000db,
    0xf0004fff,0x3f60bfff,0x20001fff,0x401ffffd,0x00fffffe,0x13ffffea,
    0xfa800f98,0xa804ffff,0xfa80000f,0xffb04fff,0x3ffe23ff,0x2ffff82f,
    0x3fee0098,0x3ba006ff,0x002ffffb,0x3ffff200,0xff881aa3,0x2001abde,
    0x934ffff9,0x3e2037dd,0xffb04fff,0xdb8803ff,0xffffb2df,0xffffa803,
    0x3ffe603f,0x017207ff,0x07fffff8,0x500004d8,0x3609ffff,0x3fa3ffff,
    0xffff83ff,0xfff88000,0x71f9004f,0xa885ffff,0x401aaaaa,0x367ffff9,
    0x3fffee03,0x9801efff,0xffbcffff,0xfa85ffff,0xffb04fff,0x7fdc03ff,
    0xffdcfeff,0xfff801ff,0x3fee07ff,0x5f02ffff,0x7fffe400,0x003e602f,
    0x7fffd400,0x5ffffb04,0x2a37ffcc,0x20003fff,0x9802ffff,0x5ffff72f,
    0x9ffffd70,0x5ffffb00,0x7ff401f1,0xdfffffff,0x3fffe601,0xfffc8aef,
    0x7fffe44f,0x3ffffb03,0x99bffe60,0x01ffffff,0x2fffffc8,0xfffffbf0,
    0x8800f50b,0x206fffff,0x2a00005d,0xfb04ffff,0xfe983fff,0x1fffb8cf,
    0x3ffe6000,0x727c400f,0x2e05ffff,0xa804ffff,0x05beffff,0x3fffffe2,
    0x02ffffff,0x81dffff3,0x2e2ffffb,0xfb04ffff,0xff103fff,0xfff983ff,
    0xff9801ff,0x8fa85fff,0x40fffffe,0xffd8004d,0x1f881fff,0x3fea0000,
    0xfffd04ff,0x7fffe40f,0x5c0000bd,0x6d805fff,0x817fffdc,0x004ffffa,
    0x05fffffd,0x7fffffdc,0x0fffffff,0x84ffff98,0x2a6ffff8,0xfb05ffff,
    0xffb03fff,0x3fff60df,0xfffd001f,0xf74d81ff,0x7c47ffff,0xfff98001,
    0x006c85ff,0xfff5004c,0x3fffa09f,0x0001b906,0x03bff600,0xffb83f70,
    0xfff302ff,0x3fee009f,0x4cc407ff,0xffffecaa,0xff986fff,0xfffd04ff,
    0x37fffc4f,0x81ffffd8,0xfb05ffff,0x2a003fff,0x263fffff,0xfffff11f,
    0xd00035cd,0xf81fffff,0x9ffd5002,0xbffff501,0x87ffff30,0x00002fe8,
    0x3007ffe0,0xffff707f,0x3fffe605,0xffff1004,0x7e4c0009,0x4c0fffff,
    0xfd04ffff,0x7fec3fff,0xfffd80ff,0x7fffc41f,0x3ffffb04,0x7ffffc00,
    0xfffb1b27,0x000fa3ff,0x3fffffa8,0xffe801ae,0xfffa83ff,0x7ffe43ff,
    0x004ffb85,0x07ff5000,0xff705e88,0x3fe605ff,0x3f2004ff,0x880001ff,
    0x4c2ffffe,0xfb04ffff,0x7fcc5fff,0x7ffe45ff,0x7ffcc1ff,0xffffb04f,
    0x7ffe4003,0xf985f2ff,0x0f9cffff,0x7fffc000,0x4c00fa7f,0xa86fffff,
    0xbdfdffff,0xe80ffffd,0xeeeeffff,0x2000acee,0xed805ff8,0x5ffff700,
    0x13fffe60,0x006ff880,0x3fffa200,0x27fffcc4,0x43ffffd8,0xecfffffa,
    0x41ffffee,0xb04ffffb,0x4003ffff,0xadfffff9,0xfffffd07,0xf70000bb,
    0x1f55ffff,0x7ffff400,0x7fffd41f,0xdffffe8c,0xfffffd01,0xdfffffff,
    0x017f6001,0x3fffffe2,0xffffffff,0x7fffcc4f,0x01fec004,0x3ffe2000,
    0x27fffcc3,0x81ffffd8,0xb4fffffa,0xfb83ffff,0xffb04fff,0xfe8003ff,
    0x703effff,0x05ffffff,0xffff1000,0xa8009bdf,0x541ffffe,0x2a24ffff,
    0xffffb802,0xffffffff,0x06fa806f,0xffffff10,0xffffffff,0xffff989f,
    0x007d4004,0x07ff4000,0x413fffe6,0x4c07fffd,0x7fffec1a,0x27fffdc1,
    0x01ffffd8,0x7ffffd40,0xffff100f,0x6c0000ff,0x00ffffff,0x503fa100,
    0x0009ffff,0x7fffffdc,0x0fffffff,0xc803be60,0xffffff11,0xffffffff,
    0xffff989f,0x0025c004,0x986fc800,0xfb04ffff,0x36000bff,0x7d41ffff,
    0xffb05fff,0xff0003ff,0xfd80bfff,0x00004fff,0x17ffffe6,0x50df1000,
    0x0009ffff,0x2af37f22,0xffffcbaa,0x401dd102,0x66666479,0xffffdccc,
    0x7ffcc2cd,0x3d03104f,0xf9001800,0x9ffff309,0x013fffe0,0x0ffffec0,
    0x41ffffe2,0x001ffffd,0x01ffffc8,0x00ffffd4,0x3fffa000,0x7dc0001f,
    0x4ffffa82,0x05ff9800,0x7ec0ffb0,0xedcccccd,0x7fdc006f,0xfff302ff,
    0x4bff509f,0x3fe6006a,0x4077c03f,0x884ffff9,0x0000efff,0x903ffffb,
    0xf885ffff,0x8001ffff,0xf006fff9,0x00000dff,0x000bfff5,0xff505e88,
    0xf70009ff,0x17f2007f,0x7fffffdc,0x004fffff,0x817fffdc,0xe84ffff9,
    0x800b67ff,0x81effffc,0xfff300eb,0x3fff70ff,0x7ffec000,0xffff981f,
    0x3ffffa26,0xffd0003f,0x0fff2007,0x7ffc0000,0x13ea0002,0x05ffffb8,
    0x00fff880,0x7d4077d4,0xffffffff,0x5c003fff,0xf502ffff,0xffb0dfff,
    0x8800b95f,0xadffffff,0x7fcc05eb,0x3fe24fff,0x7f40002f,0xff302fff,
    0xfb9fbdff,0x0019ffff,0x26007fa8,0x000000ff,0x5c000df7,0x3ffa602e,
    0xa8001fff,0xcbbcdffd,0xff304ffe,0xffffffff,0xb8003fff,0xf902ffff,
    0xf981ffff,0x8000efff,0xefffffea,0x8df9803d,0xcffeffd8,0x7fd40001,
    0xd301dfff,0x3f69ffff,0x0001bdef,0x05e8009f,0x0fe20000,0x74c00800,
    0xeeeeeeee,0xcca98000,0x7401abde,0xffffffff,0x000fffff,0x217fffdc,
    0xfffffff8,0x05edc43f,0x2aaa6000,0x440c4000,0x880001aa,0xeeeeeeee,
    0x82aa201e,0x50000099,0x001a8001,0x0001c000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffe880,0x0eefffff,0x7fffffe4,0x0020002e,0xfffed800,0x5effffff,
    0xfffffff5,0xffeb805f,0x3e21ffff,0xffffffff,0xd30fffff,0xffffffff,
    0x59bdddff,0x3ffa2001,0xefffffff,0x8000bcde,0xffffd302,0x0009ffff,
    0xfffffff7,0x3ffa65df,0xffffffff,0x3fe6002e,0x9004ffff,0x03ffffff,
    0x001dff30,0x00005a80,0xfffffe88,0xffff500f,0xf3001fff,0xfff503df,
    0xffffffff,0x3ff20bff,0xcbaadfff,0x002fffff,0x77ffffd4,0xcffffecb,
    0x700b7000,0x1fffffff,0xffffe800,0x7fdc04ff,0x0002ffff,0x027fffec,
    0x6fffff88,0x000bf200,0x00003fa0,0x3ffffea0,0x7fffd404,0x5f7006ff,
    0x3fffff20,0xffffffff,0xfffff102,0xffffb109,0x7ff4001b,0x7ffd45ff,
    0x2fcc01ff,0xffffef80,0x3be6003f,0x401fffff,0x07fffff8,0xffffb800,
    0xffff1004,0x0fdc00bf,0x13fe6000,0x3fea0000,0xff803fff,0x805fffff,
    0xfffd01f9,0xffffffff,0x7ffc01ff,0x3ffa04ff,0x3f6004ff,0xffc85fff,
    0x3fa00eff,0xfff7f005,0x6ec00dff,0x00fffffc,0x06fffff8,0xffff9800,
    0x3fffe004,0x03ea005f,0x1fffb000,0xff980000,0xff803fff,0x03ffffff,
    0x7fc407cc,0xeeeeeeff,0x7fc05ffe,0x3ee04fff,0x36007fff,0xf885ffff,
    0xfb03ffff,0x32be00bf,0x802fffff,0xffffcaf8,0xfffff007,0xff30000b,
    0x7fc009ff,0x2a005fff,0x3e20000f,0x00003fff,0x1fffffcc,0x7fff57c0,
    0x3e601fff,0x401cf980,0x7fc02ffa,0x3e604fff,0xb001ffff,0x3e0bffff,
    0x6c45ffff,0x5f005fff,0x0bfffff3,0x3fff2d70,0xffff007f,0xf30000bf,
    0x7c009fff,0x2005ffff,0x320000fa,0x0006ffff,0x7ffffcc0,0xff9af803,
    0x300fffff,0x200b701f,0x7fc00ffc,0x3e204fff,0xb004ffff,0x3e0bffff,
    0x3a26ffff,0xaaaeffff,0x3ffa5f01,0x9f401fff,0x007ffffc,0x00bfffff,
    0x9ffff300,0x7ffffc00,0x003ea005,0x7ffffc40,0x2600002f,0x803fffff,
    0xfffff52f,0x203e60df,0x017fe002,0x813ffffe,0x03fffff9,0x0bffffb0,
    0x45bffffe,0xffffffff,0x2a5f04ff,0x204fffff,0xffff90fa,0x3fffe00f,
    0xf980005f,0x3e004fff,0x2005ffff,0xf70000fa,0x00dfffff,0x7fffcc00,
    0x2e2f803f,0x84ffffff,0x2a0000f9,0xfff803ff,0x3fee04ff,0xfb002fff,
    0xff10bfff,0x2a629fff,0x999effff,0x7ff45f00,0x49b00fff,0x007ffffc,
    0x00bfffff,0x9ffff300,0x7ffffc00,0x003ea005,0x7ffedfc0,0x300001ff,
    0x007fffff,0xffffd85f,0x007cc3ff,0x001ff900,0x409fffff,0x006ffffd,
    0x217ffff6,0x40fffffb,0x005ffff8,0x7fffdc5f,0x321f883f,0xf007ffff,
    0x000bffff,0x09ffff30,0x2fffffc0,0x0001f500,0xffff51f5,0x260000bf,
    0x803fffff,0x7fff442f,0x03e61fff,0x005ff800,0x209fffff,0x01fffffc,
    0x17ffff60,0x07fffff1,0x00bffff1,0xffff88be,0x7e46c86f,0xff007fff,
    0x0000bfff,0x009ffff3,0x02fffffc,0xd0001f50,0x7fffff49,0xff980000,
    0x2f803fff,0xffffff88,0x0001f30f,0x7c00ffe6,0xa99dffff,0x1cffffdb,
    0x7fffec00,0xffffba9e,0xffff102f,0xf90be00b,0x2f85ffff,0x03ffffe4,
    0x05fffff8,0xffff9800,0x3fffe004,0x03ea005f,0x7dc1f300,0x0004ffff,
    0x3fffff98,0xff302f80,0x3e6bffff,0x1ff90000,0x3ffffe00,0xffffffff,
    0xffb0000d,0xdfffffff,0xfff8805b,0x985f005f,0x2a5fffff,0x7ffffc87,
    0xbfffff00,0xfff30000,0x7ffc009f,0x3ea005ff,0x222ec000,0x007fffff,
    0xfffff980,0x2e02f803,0x9cffffff,0xdff0000f,0x7ffffc00,0xfffffc9d,
    0x3ff60006,0x80019eff,0x005ffff8,0xffffb05f,0x3f21363f,0xff007fff,
    0x0000bfff,0x009ffff3,0x02fffffc,0xf8800f50,0xfffffc81,0x7fcc0003,
    0x2f803fff,0x7ffffec0,0x98000fcf,0x3fe003ff,0x3ffa4fff,0xb0004fff,
    0x000bffff,0x02ffffc4,0xfffa82f8,0xc80f9cff,0xf007ffff,0x000bffff,
    0x09ffff30,0x2fffffc0,0xc800f700,0xfffff306,0xff98000d,0x2f803fff,
    0xfffffe80,0xfc8000ff,0x3ffe000f,0x3ffe24ff,0xd8002fff,0x0005ffff,
    0x017fffe2,0xfffe817c,0xff905dff,0x3fe00fff,0x18005fff,0x027fffcc,
    0x0bfffff0,0xf1003dc0,0xd3333337,0x005fffff,0xffff3011,0x005f007f,
    0xfffffff1,0x0dfd0001,0x4fffff80,0x7fffffdc,0x7ffec000,0x3e20005f,
    0x5f005fff,0x3ffffee0,0xffff901f,0x3fffe00f,0x22cc005f,0x004ffff9,
    0x017ffffe,0x3ee006c8,0xffffffff,0x405fffff,0x7fcc5ffc,0x2f802fff,
    0xfffff300,0xff98001f,0x7fffc003,0xffffd84f,0x7fec005f,0x220005ff,
    0xf005ffff,0x3fffe205,0x3fff206f,0xffff007f,0x44d800bf,0x004ffff9,
    0x01bffffa,0x2fe005e8,0x99999999,0x01fffffe,0x4c3ffff3,0x802fffff,
    0x3fea002f,0x64000fff,0x7fc000ff,0xff884fff,0x2003ffff,0x005ffffd,
    0x17fffe20,0xff9017c0,0x7fe407ff,0xfff007ff,0x7c400bff,0x27fffcc3,
    0xfffff900,0x400fe200,0xfff5007b,0x3fee09ff,0x3ffe63ff,0x02f800ff,
    0x07fffe40,0x001bfa00,0x413ffffe,0x1ffffffa,0xbffffb00,0x7ffc4000,
    0x02f80c6f,0x803fffe6,0x007ffffc,0x00dfffff,0x3fe617dc,0x3e6004ff,
    0x4402ffff,0x09f000fe,0x7fffffc0,0x0ffffa80,0x01bfffea,0x36000be2,
    0x26000fff,0xff8003ff,0x3f204fff,0xb006ffff,0x000bffff,0x90ffffe8,
    0xfb00fe03,0xfffd809f,0xfff800ff,0xff5006ff,0x5ffff983,0x7fffe400,
    0x00bf601f,0xf90017dc,0xd109ffff,0xfffb87ff,0x04fa801f,0x00ffe880,
    0x0003ff20,0x0bfffff1,0x5fffffe8,0x6ffffe80,0x7ffcc000,0x9f103fff,
    0x401ffa80,0x01fffffe,0x3fffffc4,0x20fffd40,0x006ffffa,0xdfffffc8,
    0x02ffdb9b,0x4001ff10,0x0ffffff9,0xf10dff88,0xb1003fff,0xf30005ff,
    0x37f4001f,0x7fffdc00,0x3fe600ff,0x2603ffff,0x01ffffff,0x6ffed400,
    0x00bff603,0xfff980bd,0x7dc04fff,0xaadfffff,0xfffecbaa,0x7fffe40f,
    0xfe98000f,0xcfffffff,0x9ffd3000,0x7fffcc00,0xfc880eff,0x02dfffff,
    0x7fffff4c,0x07d4004f,0x003ff980,0xfffffdd3,0x2e09dfff,0x1fffffff,
    0x3fffffb6,0x0005efff,0xfed88044,0x5705ffff,0x3ffffb20,0x31deffff,
    0xffffffd9,0xffffffff,0x744fffff,0x3fffffff,0x79551000,0x7e400135,
    0x00deffff,0xffffffd9,0x2a207fff,0x000001bb,0x51001c00,0x00000015,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8800000,
    0xffffffff,0xfffd04ff,0x203fffff,0xfffffffe,0xffffffff,0x7ffec5ff,
    0xd30007ff,0xffffffff,0x3fba3dff,0xffffffff,0xfffffb2e,0x7f44000d,
    0xffffffff,0xffffffff,0xffffd37f,0xffffffff,0x8bffffff,0xffffffea,
    0xbceeefff,0xfffd3001,0xdfffffff,0x6c037bdd,0xffffffff,0xffffffff,
    0x36a5ffff,0xfffa802d,0xfb003fff,0xff801bff,0xaaaabeff,0xffffffda,
    0x7ffffa80,0xfffb8000,0x3e603fff,0x504fffff,0x000dffff,0x3ffffea0,
    0xfccbaaaf,0xffb87fff,0xbaaaefff,0x05ffffdc,0x37fffff6,0xefffeccb,
    0x3ffee003,0xffdcadff,0xfd80dfff,0xfeaacdff,0xdcaaffff,0xfff35fff,
    0xffff005f,0x3ee001ff,0x3dff003f,0x7ffffc40,0x3fffe03f,0xfff00007,
    0xffd00fff,0x3e203fff,0x00006fff,0x01fffffe,0x3fe0fff7,0x36206fff,
    0x3fe605ff,0xffb84fff,0xff001eff,0xfe889fff,0x7ec1efff,0xffffe80e,
    0xfb5fe986,0xfd00bfff,0x2600ffff,0xdf1001ff,0xffffc801,0x7fffc06f,
    0xfff00007,0xffb00fff,0x7fc01fff,0x200006ff,0x807ffffe,0xffff07e8,
    0x0bf700df,0x27ffffcc,0x1fffff98,0x4fffff80,0x6ffffe88,0xffe80fec,
    0x2bf106ff,0x805ffffc,0x807ffffe,0x26000efa,0x7ffcc00f,0x7fc01fff,
    0xd00007ff,0x900dffff,0x401fffff,0x0006ffff,0x1fffffa0,0xffe83d40,
    0x0bb006ff,0x27ffffc4,0x1fffff70,0x4fffff80,0x3fffff90,0xfffd026c,
    0xf9ae40df,0xfe802fff,0x7dc07fff,0x805a8004,0x05fffffe,0x007ffff8,
    0xdffffd00,0xfffff900,0x06ffff80,0x3fffa000,0x741e007f,0x8306ffff,
    0x3ffe205a,0x3fe204ff,0x7fc06fff,0xff504fff,0x00ec7fff,0x40dffffd,
    0x00776659,0x03fffff4,0x2e0007fb,0x7fffdc02,0xfff800ff,0xfd00007f,
    0xf900dfff,0xff80ffff,0x200006ff,0x307ffffe,0xfffd0685,0x588930df,
    0x3ffffe20,0x7fffec04,0x3fffe01f,0xffff304f,0x3fa0149f,0x01c06fff,
    0x3ffffa00,0x001fe887,0x3ffe2000,0xff003fff,0x6f654fff,0xfffd000a,
    0xfff900df,0xffff80ff,0x55555446,0x7fff402a,0x2007907f,0xb86ffffe,
    0x3fe20084,0x7d404fff,0x3e04ffff,0xf704ffff,0x4001ffff,0x006ffffe,
    0x7fff4000,0x0077cc7f,0x3ff60000,0x3e006fff,0xfff97fff,0x3fa00dff,
    0xfc806fff,0x7fc07fff,0x7f5c46ff,0x7f401cff,0x07d07fff,0x1bffffa0,
    0xff100136,0xf8809fff,0xf00fffff,0x3a09ffff,0x4005ffff,0x006ffffe,
    0x7fff4000,0x007fee7f,0xfff50000,0x7c003fff,0xdbedffff,0xe804ffff,
    0xc806ffff,0x7c07ffff,0xdf906fff,0x3fffa003,0x003fa87f,0x98dffffd,
    0x7fc4004f,0xff804fff,0xff01ffff,0xffb09fff,0xe8001dff,0x0006ffff,
    0x7ffff400,0x01ffff97,0x3fe20000,0x4004ffff,0x746fffff,0xfe807fff,
    0xfc806fff,0x7fc07fff,0x01dd06ff,0x3fffff40,0x7400ffee,0x3ea6ffff,
    0x7fc4004f,0xff804fff,0xff02ffff,0xd733bfff,0x0007dfff,0x01bffffa,
    0xfffd0000,0xfffffdff,0x3200000d,0x006fffff,0x40fffff8,0x400ffffd,
    0xfffffffe,0xffffffff,0x7fc07fff,0x00ed86ff,0x7fffff40,0x03ffffee,
    0xdfffffd0,0x8009ffff,0x04fffff8,0x3fffffe8,0xfffffff0,0x03bfffff,
    0x7ffff400,0x000cc006,0xfdfffffd,0x009fffff,0xffff9800,0xff8002ff,
    0xfffd87ff,0x7fff401f,0xccccccff,0x7ffffecc,0x237fffc0,0xfe8000ed,
    0xffecffff,0xffd003ff,0xfffd9fff,0xfff88009,0xffe804ff,0xfff03fff,
    0xfb753bff,0x0007ffff,0x00dffffd,0x003bffa2,0x5dfffffa,0x03ffffff,
    0x3fffa000,0xff0005ff,0xfff90fff,0xfffe803f,0xfffc806f,0x7fffc07f,
    0x4000ff66,0x267ffffe,0xfd003ffb,0x7fc4dfff,0x7ffc4004,0xfff804ff,
    0xfff02fff,0xfff509ff,0x74001dff,0x7006ffff,0xd007ffff,0x7ecfffff,
    0x001fffff,0xfffffb80,0xfff0000f,0xffff90ff,0xffffe803,0xffffc806,
    0xb7fffc07,0x8000fffd,0xa87ffffe,0xfffd003f,0x004f98df,0x27ffffc4,
    0x7fffffc0,0x9fffff00,0x3ffffea0,0x3fffa006,0xfffd006f,0xfffd00df,
    0x7fff44ff,0x20000fff,0x3ffffff8,0xfff83300,0xffffc87f,0x7ffff401,
    0xffffc806,0x7ffffc07,0x006ffffd,0x07ffffe8,0x3ffa007d,0x004d86ff,
    0x27ffffc4,0x3ffffe20,0x3ffffe07,0x3ffffe04,0xfffd002f,0x3fee00df,
    0xffe803ff,0x7ffc47ff,0x20005fff,0x06fffffd,0xffff0b20,0x3ffff90f,
    0x6ffffe80,0x7ffffc80,0x77ffffc0,0x003ffffe,0x83fffff4,0xfffd003b,
    0x220970df,0xfffff881,0x7fffcc04,0x3fffe06f,0x3fff204f,0xffd004ff,
    0x3a200dff,0xfe800eff,0xffa87fff,0x8004ffff,0x1ffffffa,0xfff07a00,
    0xffff90ff,0xffffe803,0xffffc806,0x7ffffc07,0x1fffff98,0x3ffffa00,
    0x3a007507,0x4986ffff,0xfff10590,0xffb809ff,0x3fe02fff,0x3ee04fff,
    0xd005ffff,0x800dffff,0x3ffa0019,0xfff907ff,0xe8005fff,0x004fffff,
    0xffff03ea,0x3ffff90f,0x6ffffe80,0x7ffffc80,0x937fffc0,0x400dffff,
    0x207ffffe,0xffffd000,0x407c400d,0x04fffff8,0x02fffff4,0x813ffffe,
    0x04fffffc,0x0dffffd0,0xffe80000,0x3ff607ff,0x9001ffff,0x01ffffff,
    0x3fe1fe20,0xfffc87ff,0x7fff401f,0xfffc806f,0x7fffc07f,0x27ffff46,
    0x7ffffe80,0xfffe8000,0x41f2006f,0x04fffff8,0x03ffffea,0x09fffff0,
    0x17fffff4,0x6ffffe80,0x7f400000,0x3e207fff,0x00ffffff,0x7fffffcc,
    0x0dfd5002,0xfb0fffff,0xff803fff,0xfd807fff,0x3e00ffff,0x7fcc7fff,
    0xfe801fff,0x80007fff,0x006fffff,0x3fe20df7,0x3fa04fff,0xff802fff,
    0xff304fff,0x7400bfff,0x0007ffff,0x7ffffc00,0x7fffd407,0x3fa00eff,
    0x8805ffff,0xff85fffd,0x7ff40fff,0x7ffc02ff,0xffe807ff,0xff101fff,
    0xfff90fff,0xfff801df,0xf80007ff,0x4407ffff,0xff305ffc,0xfd10bfff,
    0x3e001dff,0xf986ffff,0x000effff,0x01fffffe,0xfffa8000,0x3e602fff,
    0x1fffffff,0xffffffa8,0xbaaaaaac,0x45fffffc,0x22fffff9,0x04fffff8,
    0x3fffffea,0x3fffe602,0xfff504ff,0xfff883ff,0xff500dff,0x0007ffff,
    0x7fffffd4,0xfdcaaabd,0xff904fff,0xb757ffff,0x4007dfff,0xcffffffb,
    0xeffffdba,0x7ffd4002,0x00002fff,0x3ffffb22,0x6c4effff,0xffffffff,
    0xfff12fff,0xffffffff,0xffffffff,0x7ffe49ff,0xff9bffff,0x226fffff,
    0xffffffec,0xfd90ceff,0xdfffffff,0x3ffff23b,0x3ffa3fff,0x911fffff,
    0xfffffffd,0x910039df,0xfffffffd,0xffffffff,0x76d47fff,0xffffffff,
    0x000bdeff,0xfffffdb1,0xbdffffff,0x76440059,0xffffffff,0x000000ce,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9000000,0xffffffff,0x7ffdc09d,0xfff34fff,0xdfffffff,
    0xffffec87,0xffd30eff,0xffffffff,0x0e5c001d,0x8c000000,0xaaaaaaa9,
    0x55555551,0x2aaaa235,0x9ddb7101,0x3b6e2003,0x2aa601be,0x4c2aaaaa,
    0x5551aaaa,0x554c5555,0x5cc02aaa,0x202defec,0x30000018,0xffffd883,
    0x3ea004ff,0xfffb80df,0x5c02ffff,0x7dc04fff,0x002fffff,0x00007fd0,
    0x4dfae200,0x0cfffffe,0x7fffffd3,0x40eff541,0xffc9efe9,0x5fffcc03,
    0xe982ffea,0x42efffff,0xd31dffb8,0x644dffff,0x900fffff,0xfffd77df,
    0x00b7e609,0x0effd800,0x27fffff4,0x401df100,0x2ffffffc,0x801ffc40,
    0x007fffff,0x0000ffa0,0xffff9300,0x0fffffc4,0x03ffffe6,0x37fd41f2,
    0x7d40bffa,0x3ffe61ff,0xfffff881,0xf303be04,0xfff0dfff,0x6fe881ff,
    0x417fffc4,0x00cffff9,0x3fffe600,0x7ffffcc2,0x03f7000f,0xdfffffd0,
    0x2004fa80,0x006fffff,0x0000ffa0,0x7ffff540,0x7fffdc0b,0x3ffffd84,
    0xfff883d8,0x443ffd43,0xffd86fff,0xffffb80f,0x3e20fe06,0xffe86fff,
    0x7ffdc0ff,0x83fffec1,0x2dffffd9,0xffffb800,0xfffffd84,0x2009f004,
    0x4ffffff9,0xe800bf10,0x0006ffff,0x80000ffa,0x2effffc8,0x1ffffe20,
    0x11bffffa,0x3fff901f,0x643fff98,0xffc85fff,0xfffff06f,0xf101f503,
    0xffb0dfff,0xfffe81ff,0x07fffec4,0xffffd710,0x3fea0017,0xfff883ff,
    0x7dc00fff,0x3fff2000,0x0ed81fff,0x7ffff400,0x0ffa0006,0x3ff6a000,
    0xfb001cff,0x77c45fff,0x1aa0ffff,0x2607fffc,0x3fe25fff,0xfffb84ff,
    0xffffb80f,0xff104d84,0xfffb0dff,0x4fffd81f,0x00ffffe4,0xdffffda8,
    0x7fffc401,0xfffff901,0x001fc40b,0x37fffff4,0x3a0003ee,0x0006ffff,
    0x44000ffa,0x0beffffb,0x7fffd400,0x3ffef2e5,0x3e60f63f,0xfff887ff,
    0x0ffffea6,0x207fffee,0x20fffff8,0xfff100f8,0xffffb0df,0x20dfd881,
    0x01ffffd8,0x7fffe440,0xfffd00be,0x7ffffc40,0x000db01f,0x3fffffe6,
    0x20005f54,0x006ffffe,0x3000ffa0,0x03bffffb,0xfffff800,0xffff13d0,
    0x3ea03e2d,0xffffffff,0x3fee7fff,0xfffa83ff,0xffffb03f,0xff102dc7,
    0xfffb0dff,0x3fee001f,0x0001ffff,0x33ffffaa,0x202ffe41,0x85fffffb,
    0x2e0001f9,0xfaffffff,0x3ffa0003,0x266606ff,0xcfe99999,0x19999999,
    0x19ffffd1,0x3ff20000,0x3f669bff,0x705b9fff,0x3335ffff,0x7e433333,
    0xffa83fff,0xfff305ff,0xf100f4df,0xffb0dfff,0xffb801ff,0x01ffffcb,
    0xfffc9800,0x00ffea6f,0x0bfffffa,0xfd00009d,0x009fffff,0x6ffffe80,
    0xffffff30,0xffffffff,0x3e6fffff,0x0001dfff,0x3bfffe60,0x3fffea4c,
    0xfff702ec,0x7fe4005f,0xfffb83ff,0x3fffa04f,0x7c406aaf,0xffd86fff,
    0xffd300ff,0x07ffff23,0x3fae2000,0x07fe27ff,0x3ffffea0,0x00003ee6,
    0x3fffffe6,0x7ff40004,0xfff306ff,0xffffffff,0xffffffff,0x77fffe4c,
    0xfe80000b,0x3e21ffff,0x500fffff,0x4007ffff,0xb83ffffb,0x2a03ffff,
    0x03ddffff,0x437fffc4,0xc80ffffd,0x3ff21fff,0x260001ff,0x82effffc,
    0x3ffa007e,0x03f8afff,0x3ffee000,0x20001fff,0x206ffffe,0x99999999,
    0x99999cfe,0xffd50199,0x400039ff,0xd86ffffb,0x2605ffff,0x2006ffff,
    0xb84ffff9,0x7c02ffff,0x400fffff,0xd86ffff8,0x7dc0ffff,0x7ffe45ff,
    0xfda8001f,0x2e01cfff,0x3ffe6005,0x0006deff,0xfffffe80,0x3ffa0006,
    0x3a0006ff,0x64c0003f,0x002effff,0x83ffff88,0x202ffff9,0x02fffff8,
    0x09fffd12,0x801ffff9,0x004ffffb,0xfb0dffff,0xfff81fff,0x7fffe44f,
    0xfff71001,0x110017df,0xffffd800,0x800001ff,0x4ffffffb,0xffffd000,
    0x1ff4000d,0xfeb88000,0x2000cfff,0xff00fffd,0xfff900ff,0xa89901ff,
    0xffd85fff,0xfff8804f,0xffff000f,0xfffffa8f,0x3bfffe60,0x3ffffd50,
    0xffffd980,0x8000001d,0x06fffff9,0xfdf98000,0x001fffff,0x06ffffe8,
    0x000ffa00,0x3fff6600,0xffa802df,0x013ff205,0x3fffffe2,0xfd06da9b,
    0xfffe81ff,0x0bffb000,0x97fffec0,0x1ffffffa,0x3fffffe2,0xbffffefe,
    0x3ffae20a,0x00000bff,0x7ffff400,0x74400006,0xdfffffb4,0xfffe8001,
    0x3fa0006f,0x22000003,0x806fffeb,0x3fe602ff,0xffff3001,0x201fffff,
    0x3ee4ffe8,0x3e6000ef,0x3fe2002f,0xfdafffff,0x7fec3fff,0xff98efff,
    0x3fe65fff,0x00002dff,0x3fffa000,0x6c00006f,0x3ffffe26,0x7ff4004f,
    0x3a0006ff,0x0000003f,0xf900ffb5,0x8800fd00,0x0ceffffe,0xfefffc80,
    0x0dd0004f,0xffffd500,0x3fffff63,0x0fbff665,0xf989fff9,0x000001cf,
    0xffffe800,0x3f200006,0x7ffffd40,0x3ffa002f,0x3a0006ff,0x0000003f,
    0x014401c4,0x988000cc,0x5530000a,0x01980001,0x0002a600,0x98040088,
    0x00000002,0x37ffff40,0x01fb8000,0x1dfffffb,0x3ffffa00,0x0ffa0006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd00000,
    0x50000dff,0x7ffc407f,0xfd004fff,0x4000dfff,0x000001cb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x037ffff4,0x2017e600,
    0x2ffffffa,0x6fffff80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffff80,0x0bfe6000,0x7fffff40,0x7fffc00f,
    0x7777107f,0x77777777,0x03777777,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffd400,0x5c4002ff,0xfd005fff,0x01dfffff,
    0x3fffffea,0xfffff982,0xffffffff,0x002fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffff654,0x02ceffff,0x7fffffe4,
    0xfffc81df,0x4fffffff,0xfffffd91,0x2619dfff,0xeeeeeeee,0xeeeeeeee,
    0x000001ee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x65440000,0x2200cefe,0x4a9bdfec,0x55555544,0x0aaaaaaa,
    0x45555553,0xa81ceec9,0x5100bdec,0x55555555,0xa8aaaaaa,0x2a2aaaaa,
    0x5300bdec,0xda855555,0x0019803e,0x10005440,0x51005403,0xffffff98,
    0xffffffff,0x0507ffff,0x10177772,0x44001575,0x5dfd1003,0xd105fffd,
    0xbfff97df,0xccdeffa8,0x0fffffec,0x2fffffb3,0x1ffffffb,0x3ffffff6,
    0xffffd700,0x3ffaa3bf,0x3fff661c,0xfffff97f,0x3fff220d,0x3ffff67f,
    0x00ffea00,0xb005fc80,0x7fcc5dff,0x0effc84f,0xfffffff3,0xffffffff,
    0xffb8ffff,0x7fffcc3f,0xfffff502,0x05b8017b,0x3e66ff98,0x7fe41fff,
    0xf517f621,0xfffff109,0xbfffff07,0xfffff77d,0xfff97dd3,0x7ffc40bf,
    0x80fec4ff,0xedfffff8,0x04ffffdb,0x7e5ffffe,0x3602ffff,0xf30006ff,
    0xffa805ff,0x3fff27ff,0x3fffe20f,0x55555514,0x55555555,0xff855555,
    0xfff987ff,0xfffff985,0xd01cffff,0x3fff8807,0x3e1ffffc,0x545e81ff,
    0xdffffb06,0x3bffffa0,0x3ffffee0,0x07ffff45,0x1fffff50,0xfff00be2,
    0xfffe8dff,0x3ffffa07,0x0fffecfb,0x0013fee0,0x2037fff4,0xd2fffffd,
    0x7d43ffff,0x00005fff,0x7ffffcc0,0xd87ff982,0xffda88bf,0xfcabefff,
    0x7ffdc00f,0x527ffe41,0x6981dfff,0x7ffd41d4,0xfffd02ff,0xffff983f,
    0x1ffffc86,0xa7ffff40,0xffff803d,0x7fffec0f,0xfffffd00,0x35116dc3,
    0x1710ffc4,0xffcffa80,0x3fffee03,0x1ffffb5f,0x027fffc4,0x7ffc0000,
    0x5ff300ff,0xfd7103f8,0x07ffffff,0x983ffff0,0x3fea1fff,0x221c2fff,
    0x5ffffe80,0x21ffffa0,0xc85ffff9,0x4c02ffff,0x06cfffff,0xb0fffff0,
    0x3a03ffff,0xd805ffff,0x64db0dff,0xaff405ff,0xf9100ffe,0x3feebfff,
    0x2ffff86f,0x26666666,0x99999999,0x7fdc1999,0x127d403f,0xff93001f,
    0xff3005ff,0x7c0601ff,0x005fffff,0x07ffffdc,0x30ffffd0,0xf90bffff,
    0xfb005fff,0x2003ffff,0xfd87ffff,0xffd01fff,0xffd007ff,0xfb1971df,
    0x7fdc0dff,0x0809ff30,0x3ffe69f5,0x30fffd84,0xffffffff,0xffffffff,
    0x002a0fff,0x2000214c,0x3fea0008,0x7e4002ff,0x01efffff,0x3fffff88,
    0x43ffff40,0xc85ffff9,0x9802ffff,0x001fffff,0xfb0fffff,0x3fa03fff,
    0xe9802fff,0xffedffff,0xff101eff,0x800ffd87,0x0bffe2fc,0xff99bfee,
    0xffffffff,0xffffffff,0x00000007,0x3fee0000,0x744003ff,0x1fffffff,
    0x37fffec0,0x43ffff40,0xc85ffff9,0x9002ffff,0x200dffff,0xfd87ffff,
    0xffd01fff,0x220001ff,0x3f2000dd,0x805ff887,0x407fec6f,0x4ccc4ff9,
    0x99999999,0x19999999,0x00000000,0x3ffee000,0xfe88004f,0x207fffff,
    0x02fffffa,0x987fffe8,0xfc85ffff,0xf1002fff,0xf005ffff,0xffb0ffff,
    0x3ffa03ff,0xea8000ff,0xf9801eab,0x03ff902f,0x1bee0fdc,0x00002ff8,
    0x00000000,0xffa80000,0x320006ff,0x01ffffff,0x00bffffd,0x261ffffa,
    0xfc85ffff,0x3a002fff,0xf806ffff,0xffd87fff,0xfffd01ff,0x1ff9000f,
    0xfe809ff1,0x21bfe206,0x4f981fd8,0x11103f60,0x01111111,0x00000000,
    0xff980000,0x11002fff,0x4fffffa8,0x0fffffb8,0x7fff4098,0x5ffff987,
    0x02ffffc8,0xfffffb90,0x7ffff805,0x01ffffd8,0x800ffffd,0x3ffa6ffc,
    0x803ff505,0x33a22ffb,0x6b80be00,0x7fffffc4,0x0000ffff,0x00000000,
    0x7ffffc00,0x434c100e,0x444fffe8,0xb03fffff,0x87fffe81,0xc85ffff9,
    0x9802ffff,0x6ffffb8f,0x43ffffc0,0xd01ffffd,0xe800ffff,0x1ffee3ff,
    0xfe802ff4,0x40040046,0x7ffffc40,0x000fffff,0x00000000,0x7ffdc000,
    0x266984ff,0x2fffa83f,0x837fffec,0xffffe879,0x2ffffcc0,0x017fffe4,
    0xfffe8ba2,0x3fffe03f,0x1ffffd87,0x00ffffd0,0x3a20efb8,0x0013303f,
    0x00000662,0x7ffffc40,0x000fffff,0x00000000,0xfffe8000,0x0ecabeff,
    0xff103fe6,0x7fffd41f,0xf87f982f,0x7cc1ffff,0xffd86fff,0x236c02ff,
    0x00fffffb,0xe81fffff,0xfd01ffff,0x00001fff,0x00000004,0x77100000,
    0x77777777,0x00000001,0x10000000,0xfffffffd,0xbfff883f,0xfe85ff90,
    0xb999efff,0x7fcc6ffd,0x7fdc3fff,0x3fa20fff,0xfb104fff,0xfffff98b,
    0xfffff986,0x3ffffe21,0xfffff883,0x00000002,0x00000000,0x00000000,
    0x00000000,0x3fff6200,0xdf881dff,0x42fffffe,0xfffffffb,0x25ffffff,
    0xfffffffb,0xffffffb5,0xfffff35f,0x3fa21dff,0xfeb8dfff,0x92ffffff,
    0x7fffffff,0xfffffff3,0x7ffffdcd,0x00000dff,0x00000000,0x00000000,
    0x00000000,0x54c00000,0x0d4c2801,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_40_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,2,2,1,0, };
static signed short stb__times_bold_40_usascii_y[95]={ 32,7,7,7,7,7,7,7,7,7,7,10,26,21,
26,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,37,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19, };
static unsigned short stb__times_bold_40_usascii_w[95]={ 0,6,14,18,16,32,28,6,11,11,15,20,7,12,
7,11,16,14,17,16,17,16,16,17,16,16,6,8,20,21,20,15,32,26,23,24,25,23,21,27,28,14,18,29,
23,34,26,26,21,26,27,18,22,26,26,36,26,26,24,8,11,8,17,20,9,17,19,15,19,15,14,17,19,10,
11,20,10,29,19,16,19,19,15,12,12,18,18,26,18,18,16,11,4,11,20, };
static unsigned short stb__times_bold_40_usascii_h[95]={ 0,26,13,26,28,27,26,13,33,33,15,20,13,5,
7,26,26,25,25,26,25,25,26,25,26,26,18,24,18,9,18,26,33,25,24,26,24,24,24,26,24,24,25,24,
24,24,25,26,24,32,24,26,24,25,25,25,24,24,24,31,26,31,14,3,7,18,25,18,25,18,25,25,24,25,
33,24,24,17,17,18,25,25,17,18,24,18,18,18,17,25,17,33,33,33,7, };
static unsigned short stb__times_bold_40_usascii_s[95]={ 250,1,174,8,144,161,27,249,1,42,132,
70,166,189,211,238,128,239,39,174,57,105,191,101,145,221,245,246,91,189,228,
208,54,28,198,56,172,148,126,81,76,55,55,1,217,182,74,194,147,99,119,
109,222,1,219,182,28,1,31,135,162,126,148,70,219,210,122,1,162,139,224,
21,56,75,87,105,241,47,96,155,1,142,116,17,169,191,172,112,77,86,30,
30,25,13,229, };
static unsigned short stb__times_bold_40_usascii_t[95]={ 1,35,164,35,1,1,35,139,1,1,164,
139,164,174,164,1,35,35,62,35,62,62,35,88,35,1,114,62,139,164,139,
35,1,88,114,35,114,114,114,35,114,139,88,114,88,88,88,1,88,1,88,
35,114,88,62,62,139,139,114,1,35,1,164,160,164,139,62,164,62,139,35,
62,114,62,1,114,88,164,164,139,62,62,164,164,88,139,139,139,164,62,164,
1,1,1,164, };
static unsigned short stb__times_bold_40_usascii_a[95]={ 144,192,321,289,289,578,481,161,
192,192,289,329,144,192,144,161,289,289,289,289,289,289,289,289,
289,289,192,192,329,329,329,289,538,417,385,417,417,385,353,450,
450,225,289,450,385,545,417,450,353,450,417,321,385,417,417,578,
417,417,385,192,161,192,336,289,192,289,321,257,321,257,192,289,
321,161,192,321,161,481,321,289,321,321,257,225,192,321,289,417,
289,289,257,228,127,228,301, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_40_usascii(stb_fontchar font[STB_FONT_times_bold_40_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_40_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_40_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_40_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_40_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_40_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_40_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_40_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_40_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_40_usascii_s[i] + stb__times_bold_40_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_40_usascii_t[i] + stb__times_bold_40_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_40_usascii_x[i];
            font[i].y0 = stb__times_bold_40_usascii_y[i];
            font[i].x1 = stb__times_bold_40_usascii_x[i] + stb__times_bold_40_usascii_w[i];
            font[i].y1 = stb__times_bold_40_usascii_y[i] + stb__times_bold_40_usascii_h[i];
            font[i].advance_int = (stb__times_bold_40_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_40_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_40_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_40_usascii_s[i] + stb__times_bold_40_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_40_usascii_t[i] + stb__times_bold_40_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_40_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_40_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_40_usascii_x[i] + stb__times_bold_40_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_40_usascii_y[i] + stb__times_bold_40_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_40_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_40_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_40_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_40_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_40_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_40_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_40_usascii_LINE_SPACING
#endif

