// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_43_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_43_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_43_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT        216
#define STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_43_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_43_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_43_usascii_LINE_SPACING          28

static unsigned int stb__times_bold_43_usascii_pixels[]={
    0x00000100,0x00006662,0x00062133,0x20002600,0x02620000,0x64000400,
    0xb5eeeeee,0x07dddddd,0x300006a0,0x26200003,0x00000000,0x88001800,
    0x3ff66009,0x36e20003,0xfffffffe,0x9ffc002d,0x000beff8,0x007ffb30,
    0xb88016cc,0xdeffffec,0x01b7002b,0xfffea880,0x13dffff6,0x35df5100,
    0x777ec400,0xf30000df,0x5100003f,0x9bdffdb9,0x7f5c0035,0x13f6002e,
    0x01ffffd8,0x567fed40,0x3b2a6209,0x87ff003f,0x4000efeb,0x1000cffd,
    0x3ee005f9,0xdb9acfff,0xb800dfff,0x7dc000cf,0x5ffff6ff,0xffffd700,
    0x4c03bfff,0x5fff0fff,0x009fd000,0x9ffff700,0xbfffd735,0xffff8801,
    0x05ff000f,0x01fffffc,0x00befe88,0x2006fdc0,0xfff983ff,0x09ffb001,
    0x400ffcc0,0x205fffe9,0x803ffff9,0x2a000ffa,0xffff6fff,0x8f7f4c05,
    0xefffc8de,0x92fffc40,0x64001fff,0x7440006f,0x3e605fff,0x3ee02fff,
    0xa803ffff,0x7ffec07f,0x3ffa801f,0x0fec4000,0x3fa07ff0,0xfffb806f,
    0x05ff1001,0x1dffff70,0xdffffa80,0x0077dc00,0xff6fffa8,0x3fe203ff,
    0xff997a2f,0x27ffe41f,0x200bfff7,0x20001ff9,0x806ffffb,0x905ffff9,
    0x009fffff,0xff980bf9,0x1ffc805f,0x03b20000,0xffc81ffc,0x3ffec00f,
    0x806fe880,0x00fffff9,0x09ffff90,0x5006ff88,0x3ffedfff,0x8bffb01f,
    0x20ffcc5e,0x3ea3ffff,0xfe800fff,0x3fe60004,0xf9000fff,0xff709fff,
    0xff007fff,0x2006a005,0x00000efc,0x07ff05e8,0x880ffff6,0x4400ffff,
    0xfe803ffe,0x22004fff,0x401fffff,0xfa805ffc,0x3ffff6ff,0xe8bfff10,
    0x3e21fc85,0x3fea3fff,0x77e401ff,0x3ffa0000,0x3e2004ff,0x7d41ffff,
    0x4c01ffff,0x200000ff,0x00000ffa,0x7ff03f30,0x00bfffe0,0xc803ffff,
    0x7e400fff,0x4002ffff,0x00effffe,0x500fffe6,0x3ffedfff,0xffffa81f,
    0x87e217a0,0x2a3ffff9,0x2602ffff,0x320001ff,0x002fffff,0x077ffff4,
    0x01fffff1,0x00005fc8,0x8800bfe2,0x7c264000,0xffff883f,0x1ffff401,
    0x809fff10,0x07fffff9,0xfffffc80,0x037fec04,0x7fdbffea,0xfffb81ff,
    0x360bd0ef,0x8ffffe21,0x201ffffa,0x260004fe,0x007fffff,0x4fffffc8,
    0x4037fffc,0x3bb603fe,0xfe82eeee,0x9ffd5004,0x2213332a,0x4c1ffc0f,
    0x6c00ffff,0x3ee04fff,0x7fe402ff,0xa8005fff,0x407fffff,0x2a02fffb,
    0xffff6fff,0xfffff303,0x7c00bd3f,0x3fea3fff,0x1df900ff,0x7ffe4000,
    0xfa8005ff,0x7ec7ffff,0x7fcc04ff,0x3fff2200,0x03fcc2ff,0x9e9cffc8,
    0x5f04ffff,0xffa83ff8,0xfffb807f,0x07fffe05,0x9fffffd0,0xffff3000,
    0x7fcc01ff,0x3ffea06f,0x103ffff6,0xffffffff,0x7ffec00b,0x41bffee4,
    0x40002ff9,0x04fffffe,0xfffff980,0x0bffee0f,0x3e00df70,0x7e42ffff,
    0x27ff4404,0x05ffffd7,0x707ff0f6,0xf500bfff,0x3fea0dff,0xffff807f,
    0xf98004ff,0x202fffff,0x502ffff8,0x3ffedfff,0xffff501f,0x2005ffff,
    0x3f25fff9,0x09fd01ff,0xfffff000,0xff10009f,0x7cc5ffff,0x1ff400ff,
    0x2ffffe80,0xfb003fe2,0x7ffcc1ff,0xff13207f,0x09fff307,0x209fff30,
    0x4406fffd,0x03ffffff,0xfffff880,0x7fffc03f,0x2dfff504,0x3201ffff,
    0xffffffff,0x4fff7004,0xdf903ffe,0xff880001,0x8003ffff,0x3ffffff8,
    0x3e2037fc,0xfffd001f,0x202fdc5f,0x7d43fffb,0x12e05fff,0x3ffe07ff,
    0x1fff9804,0x80dfffd0,0x2ffffffa,0xfffff000,0xfffe80bf,0x2dfff505,
    0x5c01ffff,0xffffffff,0xdffa801e,0xff301efc,0xff500005,0x0005ffff,
    0xbffffff1,0x7dc04fe8,0x3fffa006,0x980bf62f,0x7dc0ffff,0x12e03fff,
    0x3fee07ff,0x05ffc807,0x501bfffe,0x05ffffff,0x3ffffe00,0x7fff405f,
    0x2dfff507,0xa801ffff,0xffffffff,0x3553002f,0x2604fe80,0xf500accb,
    0x005fffff,0x3fffffe0,0x3601fe45,0x3ffa004f,0x807fa2ff,0xfc85fffd,
    0x0ee00fff,0x7fdc07ff,0x817fe202,0x405ffff8,0x3ffffff9,0xffff8800,
    0x7ff404ff,0xdfff507f,0x4007fffe,0xffffffd8,0x200003ff,0xfd880ffc,
    0x982ffdaf,0x03ffffff,0xfffff880,0x1017dc4f,0x7f4003ff,0x03fe2fff,
    0x417fffcc,0x6406fffe,0x2a01ffc2,0x3ee20cfe,0x3fe600cf,0x7fc405ff,
    0x8004ffff,0x3ffffff8,0x0ffffec0,0xffb7ffd4,0x7d4001ff,0x0fffffff,
    0x2ff98000,0xf14ffe88,0xfff887ff,0x88004fff,0x43ffffff,0x1fea01f9,
    0x5ffffd00,0xffc81fe2,0xffff987f,0x3fe07404,0x23fd3003,0xff5002fe,
    0xfff00bff,0x3000bfff,0x03ffffff,0x82ffffd8,0xfff6fffa,0xffd0003f,
    0x009fffff,0x3209fd00,0x3ffa2fff,0x7ffffc0f,0xff98004f,0x7c41ffff,
    0x0013f600,0x265ffffd,0xffff106f,0x5ffffb09,0x1ffc34c0,0xb86fed40,
    0x7d400bef,0xfe805fff,0x8005ffff,0x0ffffffa,0x0ffffec0,0xffb7ffd4,
    0xde8001ff,0x06fffffc,0x407fdc00,0x361ffff8,0x7fec4fff,0xa8005fff,
    0x80ffffff,0x0017fc04,0x44bffffa,0xffff305f,0x7ffff987,0x1ffc1e40,
    0x103bfd10,0x7cc05ff7,0xfa805fff,0x8006ffff,0x05fffffb,0x80ffffd8,
    0xfff6fffa,0x2bd0003f,0x00fffffc,0x205ff300,0x320ffffa,0x7fd46fff,
    0xb8006fff,0x004fffff,0xe8007fa8,0x1fe2ffff,0x20ffffdc,0x205ffffd,
    0x03ff80f8,0xe803ffd1,0x3ffe02ff,0xfffd005f,0xfd8003ff,0xe800ffff,
    0xff507fff,0x07fffedf,0x7ecbd034,0xd0000fff,0x7ffdc09f,0x1ffff20f,
    0x03fffffa,0xfffffb00,0x0bf90001,0x5ffffd00,0x7fe407ec,0x3ff6e0ff,
    0x40f603ff,0xdffb03ff,0x01fff500,0x401bfffe,0x04fffff9,0x3ffffe60,
    0xdfffd004,0x7dbffea0,0x03f01fff,0x7fffb97a,0x01ff7000,0x907fffdc,
    0xff30ffff,0x44009fff,0x304fffff,0x00bfe037,0x8bffffa0,0xfffd81fc,
    0xfff5f51f,0xf816e03f,0x09fff03f,0x207fff30,0x2006fffe,0x00fffffd,
    0x1fffff90,0x17fffa00,0xffb7ffd4,0x209f01ff,0x17ffe65e,0x00bfe600,
    0x643ffff5,0xffb06fff,0x2e001fff,0xd80fffff,0x7fcc5fff,0xfffe8000,
    0x320fea2f,0xafceffff,0xd707fffb,0x20ffe081,0xa805fffa,0xff905fff,
    0xffc800ff,0xff8803ff,0x3e000eff,0xff504fff,0x07fffedf,0x72f407fc,
    0xd0003fff,0xfff300bf,0x2fffec3f,0x3ffffe88,0xfffff880,0xfffff881,
    0x40017f20,0x262ffffe,0xffff984f,0xffff14ff,0x26076441,0x3ea0ffe6,
    0xffb806ff,0xffff106f,0xfffc8001,0x3ffa202f,0x3e2000ef,0xff500fff,
    0x07fffedf,0x97a0fffc,0xb8004ffd,0xffb000ff,0x0ffff45f,0x0bffff60,
    0x03ffffd0,0x8fffffee,0xfd0003fe,0x06e85fff,0xd87fffff,0x4ecadfff,
    0x41ffc5b0,0xc807fff9,0x3f604fff,0xea8001ff,0x2a21cfff,0x8005fffe,
    0x2a04fffa,0xffff6fff,0x2ffffe03,0x9ffd3bd1,0x05ff3000,0xf1fffc40,
    0x3ee009ff,0x2e61bfff,0x200cfffe,0x30fffff8,0x3a0001ff,0x7cc2ffff,
    0x81dfc883,0x0bdefda8,0x83ff8b50,0x400ffff8,0x2603fffd,0x20003fff,
    0xfeffffd9,0x0000beff,0x5403fff7,0xffff6fff,0x3ffb2603,0x1dffffff,
    0x00bfd000,0xf71fff50,0xeb88009f,0xffffffff,0xff9001cf,0x0037dc9f,
    0x05ffffd0,0x000001f9,0x07ff07a0,0xf007fffe,0xfd805fff,0xe880006f,
    0x005fffff,0x405ffe80,0xfff6fffa,0x7531003f,0xb80003df,0x910000ff,
    0x0005bdfd,0xabcbaa88,0x81510001,0x3a0002cb,0xe882ffff,0xc8000006,
    0xfd03ff84,0x7fc407ff,0x7fcc01ff,0xfa80002f,0x001fffff,0x007ffe60,
    0x3fedfff5,0x5e8001ff,0x00000000,0x00000000,0x00000000,0x80ffffec,
    0x000003f9,0x81ffc176,0x7c01fffd,0xfa800fff,0xfb00006f,0x000bffff,
    0x54017fec,0xffff6fff,0x00770003,0x00000000,0x00000000,0x6cc00000,
    0x03ffff65,0x00003fc8,0x7ff026c4,0x201fff20,0x7000fffc,0x100003ff,
    0x0bfffffd,0x007ff300,0x7fdbffea,0x000002ff,0x00000000,0x00000000,
    0xfe800000,0x0ffff91f,0x0001bf50,0xff809d30,0x009fff03,0x4005fff3,
    0x100005fc,0x5dfffffb,0x0027ec00,0x3fedfffb,0x000004ff,0x00000000,
    0x00000000,0xfe800000,0x05fff72f,0x000ff220,0x7c01fecc,0x05ffb83f,
    0x003bfea0,0x0000efc8,0xfffffd70,0xe885dddf,0xfedb803f,0xffff6fff,
    0x000059df,0x00000000,0x00000000,0x2a000000,0x0bffb4ff,0x359dd500,
    0x0bbae620,0x3aa3ff80,0xf98003ff,0xb1000cff,0x5400001d,0xacdefeec,
    0x00033a21,0x00000000,0x00000000,0x00000000,0x32000000,0x00cfffff,
    0x3fb2ea00,0x2deffede,0xb33ff800,0x98000179,0x14c003db,0x50000000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x09a98800,0x35300000,
    0x35500001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40310000,0x04400008,0x20133000,
    0x98000098,0x20000009,0x4c000000,0x30008009,0x0cc40001,0x33300000,
    0x4c000801,0x13300000,0x00262020,0xfffdb880,0xd30fa61d,0x21dddddd,
    0x00adffdb,0xff81ffc0,0xffd70003,0x00005dff,0x39dffb51,0xfd930000,
    0x137bdfff,0xffb30344,0x366007ff,0x03ffffff,0x3fb6ea00,0x42cfffff,
    0xffeb805a,0xcccccdff,0xfffd702c,0x20e419ff,0xf90004fd,0x7ff513df,
    0xfb307ff9,0xffb3ffff,0x001dffff,0x3e207fe6,0x7f44001f,0x4ffffcbf,
    0x3bfe6000,0x01fffe99,0xffffea80,0xffedbbce,0xff906ebd,0x01dfd519,
    0x7ec4e7ec,0x2001ffff,0xabefffe8,0xcfffcba9,0x3fa605fb,0xfffb8bff,
    0x74c4ffff,0xfca9adff,0x7d41fcef,0xfffd8007,0x7ffffdc1,0xfffff303,
    0xfffb35dd,0x1fee00bf,0x20007fd4,0x3fe21ffe,0xf88002ff,0x3ffe61ff,
    0x3ff2001f,0x3aa01eff,0xffc86fff,0x4077fdc7,0xfffa87fc,0xffb800ff,
    0x7ec403ff,0xff105fff,0xfffc85ff,0x3fe22ccd,0xfffb100f,0x001ff883,
    0x7c1bfff2,0xf103ffff,0xc81fffff,0xc802ffff,0x00df906f,0xfe87ffc8,
    0x744005ff,0xfffd86ff,0x7ff4400f,0xfb000eff,0x3fffa8df,0x262fffc4,
    0xffe81fff,0x3fa205ff,0x2a002fff,0xffd05fff,0xfff981ff,0x04ffe80e,
    0xfd81ffd8,0xffff3004,0x3ffffa07,0xfffff103,0xfffff305,0xb04fe801,
    0x7fc400bf,0x6fffb86f,0x2fffec00,0x027fffdc,0x03fffffa,0xfe8dfd00,
    0xffff82ff,0x213ffee1,0x207ffffc,0x003ffffe,0xf885ffa8,0xff887fff,
    0x7ffdc4ff,0x82fe8801,0xff7006fb,0x3ffa03ff,0xfff103ff,0x3ffe01ff,
    0x1ffc01ff,0x26003ff8,0xff987fff,0x7ffc004f,0xffffa85f,0x3ffff207,
    0x6f88001f,0x207fffe6,0x3ee5fffe,0xfffc87ff,0xfffc80ff,0x3ee0007f,
    0x6ffffa85,0x46ffff88,0x3002fffc,0x03ff105f,0x03ffffb0,0x40fffffa,
    0x00fffff8,0x407ffffd,0xff881ff9,0x3ffee001,0x0fffcc2f,0xbffff300,
    0x3fffff30,0x9fffff50,0xf7364000,0xffd03fff,0x37ffccff,0x43ffffe4,
    0x04fffff9,0x7d42fc00,0xfff06fff,0xefffe8ff,0x3a05d000,0xffff803f,
    0xffffb00f,0x3fffe207,0xffffd00f,0xa83fdc09,0x3ea000ff,0x7fe45fff,
    0x7ffd4003,0xffff885f,0xffffe82f,0x9a60002f,0xe81ffffd,0x3ae1ffff,
    0xffffd81e,0xfffffe85,0x42dc0001,0x886ffff8,0x7f44ffff,0xc800efff,
    0x980df702,0xb00fffff,0x2207ffff,0xb00fffff,0x3e6bffff,0xffffffff,
    0xffffffff,0xffffa804,0x02ffc88f,0x6ffffc80,0x89fffff0,0x0ffffffa,
    0xffd1c000,0xfffd03ff,0x7ff4007f,0x7ffdc2ff,0x880007ff,0x0ffffb04,
    0xc85ffff1,0x03ffffff,0x0ff98044,0x1ffffea0,0x03ffffd8,0x01fffff1,
    0x4dbffff6,0xffffffff,0xffffffff,0xfff8804f,0x00cffeff,0xdffff900,
    0x1bffffa0,0x0ffffffb,0xffff8000,0xffffe80f,0xffff3005,0xfffff90b,
    0xa800000f,0x7d40ffff,0xfffa87ff,0x002effff,0x7dc07fd0,0xfb00ffff,
    0x3e207fff,0xfb00ffff,0x2aa29fff,0xaaacffba,0x1aadffaa,0xfffffd00,
    0x2aaaa019,0x3fee2aaa,0xfffb07ff,0xfffff8ff,0x2200005f,0xe80fffff,
    0x9005ffff,0xfd01dfff,0x000bffff,0x9fff7000,0x406fff44,0xfffffff8,
    0x64002eff,0x3ffea06f,0xfffb00ff,0x3ffe207f,0xfffb00ff,0x07fe607f,
    0x10007fe2,0x0bfffffb,0x7fffffdc,0x3ffffea3,0x6ffffd81,0x3fffffe2,
    0x3e600004,0xfe80ffff,0xf8806fff,0x3ffe04ff,0x00004fff,0x9dffb300,
    0xf9807fff,0xffffffff,0xff3001df,0x3fffe601,0xffffb01f,0x3fffe207,
    0xffffd00f,0x541fee03,0xf91000ff,0x7fffffff,0x427ffc40,0x84fffff8,
    0x265ffffe,0x02ffffff,0x3ffee000,0xfffe80ff,0x2ffb807f,0x3ffffe60,
    0x0000003f,0x06f333aa,0xfffffa80,0x03ffffff,0x7f405ff0,0xffb03fff,
    0x3fe207ff,0xfff00fff,0x1bf201ff,0xfa8037e4,0xffffb8cf,0x1bfa00ff,
    0x0fffffb8,0x527ffff4,0x07ffffff,0x7ffe4000,0xfffe80ff,0x01ff807f,
    0x7fffffd4,0x88000003,0xd300007d,0xffffffff,0xbf9009ff,0x37fffdc0,
    0x1fffff44,0x2fffff88,0x04ffffa8,0x27ec13fa,0x3a2ffe40,0x205fffff,
    0x7ff401ff,0xffdbbeff,0x3fea3fff,0x0004ffff,0x3ffffee0,0x5ffffe80,
    0x5400fd40,0x04ffffff,0x5ff80000,0x7fe40000,0xffffffff,0x203fd404,
    0x223ffffe,0x03fffffe,0x5ffffff1,0x206fffd8,0x7ff03ff8,0x42fffd80,
    0x4ffffff9,0xf9003fa8,0xffdfffff,0x7fcc1fff,0x0005ffff,0x3ffffea0,
    0x4ffffe80,0xf9802d40,0x805fffff,0xeeeeeeec,0x3ea4eeee,0x00000aff,
    0x3fffff22,0x7c00ffff,0x3ffa202f,0xfedfdeff,0xff103fff,0xd7bf9fff,
    0xf983ffff,0xffffffff,0xffffffff,0x41fffea4,0x3ffffffd,0x2a200374,
    0xfffb9ccc,0x7fffc45f,0x200006ff,0x80fffff9,0x403ffffe,0xfff1003b,
    0x5400dfff,0xcfffffff,0x7ffffec0,0xbdefffff,0x3f620040,0x04ffffff,
    0x3a2027ec,0xfb3fffff,0x3e207fff,0xffa8ffff,0xf981dfff,0xffffffff,
    0xffffffff,0x07ffffa4,0x3fffffe2,0x0001f92f,0x0bffffa0,0x1ffffffa,
    0xffff0000,0xffffd01f,0x2000a805,0x07fffffd,0x7ffffdc0,0xfffffb07,
    0xffffffff,0xe980343f,0x406fffff,0x751007fa,0x3ffffd83,0x1fffff10,
    0x2a2015cc,0xaaaaefea,0xaaaaefea,0x9fffff11,0x3ffffe60,0x0003fbff,
    0x0bffff30,0x3fffffea,0x3fe00000,0xffe81fff,0x400001ff,0x0ffffffa,
    0x3fffee00,0xffff506f,0xffffffff,0x007e1fff,0x07ffffe8,0x0000ffc4,
    0x40fffff6,0x00fffff8,0xe827f400,0x3ffea05f,0x3fee06ff,0x005fffff,
    0x3ffff200,0x3ffffe00,0x3600002f,0xfe81ffff,0x000007ff,0x03fffffd,
    0x7ffffd40,0x3fffea05,0xffffffff,0x4009f3ff,0x806fffe8,0x6c0004fd,
    0xf103ffff,0x0001ffff,0xff81ffc4,0x3fffea03,0x3ff203ff,0x003fffff,
    0x2ffff880,0x7ffffdc0,0xa8a20006,0xfe81ffff,0x02a806ff,0x7ffffcc0,
    0x3ffea004,0x3faa05ff,0xedccccde,0x0df4ffff,0x04fffc80,0x40006fb8,
    0x103ffffd,0x001fffff,0x4c0ffcc0,0x3fe201ff,0x202fffff,0xfffffffd,
    0xf8802c84,0xfb004fff,0x0005ffff,0xfffe87d1,0x01ffff82,0x007fffe6,
    0x0fffffa8,0xfffff500,0x00bffa0b,0x7fcbffa6,0x3ffea005,0x01ff8803,
    0x3ffff600,0xfffff103,0x3fdc0001,0x7400ffa8,0x2fffffff,0xffffff50,
    0x0db57dff,0x05ffff10,0x7ffff440,0x3fa2001f,0x21fffdc1,0x6405fff9,
    0x4004ffff,0x005ffffc,0x0bfffff5,0x5c00dff5,0x05fff0ff,0x801bffa0,
    0x3a0003fe,0xf104ffff,0x0003ffff,0x6fc837e4,0xfffff980,0xecacffff,
    0xfffffeef,0x401fffff,0x001efff8,0xfffffd88,0x06fdc402,0x7dc5ffd8,
    0x7ffc01ff,0xfb8007ff,0xfa805fff,0xf985ffff,0x9fd001ff,0x201ffffc,
    0x2000fff9,0xf10006fb,0x2a0bffff,0x002fffff,0x7f413fa0,0xffff5005,
    0xffffffff,0x7ffffdc7,0x36a03fff,0x80002eff,0xbefffffb,0x3ffeca9a,
    0xd12ffd80,0xff9003ff,0x220009ff,0x80bffffd,0x2effffd9,0x817dff90,
    0x7c3feba9,0xa81effff,0x4c001efe,0x322000ff,0xeffffffe,0xfffffb13,
    0x880059ff,0x07ff02ff,0x7fffec40,0xf303ffff,0x105dffff,0x0039ffd7,
    0xffda8800,0xceffffff,0x3ffb2001,0xd1000eff,0x80001dff,0xefffffd9,
    0x0bdfffff,0xffffc880,0x80cdefff,0xffeb98cf,0x003fffee,0x8800ffa0,
    0xaaaaaaaa,0x5555512a,0x80055555,0xcc880cc8,0xcb988001,0x7530009a,
    0x000d5403,0x75310000,0x30000359,0x26000157,0xa9800002,0x019abccb,
    0x01a99800,0x332a6070,0xca80001a,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00009800,
    0x22000800,0x3a600000,0x02eeeeee,0xeb819980,0x4eeeeeee,0x0377776c,
    0x20026600,0x3bba2001,0xeeeeeeee,0x00011004,0x20000800,0xeeeeeee8,
    0x02000000,0x3ffaa000,0x80000cff,0x00beeec9,0xdffffd91,0xc9800019,
    0x003fffff,0x7fffdfd7,0x7ffffec4,0xeffa883f,0x3fea0001,0x0bbfaa03,
    0x3ffffee0,0x03ffffff,0x37ffff22,0x25400003,0x3ff22000,0x00000fff,
    0x00027e44,0xffffffd1,0x2a0003ff,0x5c00cffe,0xfd99cfff,0xe80002ff,
    0x4c03ffff,0xfffb2ffe,0xfffffe83,0x0003fa00,0x203fff88,0x400ffffe,
    0xfffffffe,0xf500ffff,0xbfffffff,0x07ec0000,0x3ffe2000,0x100000ff,
    0x0009fff9,0x3fffffa2,0x000fffff,0x0037ffe6,0x320fffee,0x40002fff,
    0x403ffffd,0xffd0fffe,0xffff989f,0x0013e02f,0x207fffd0,0x02fffff9,
    0x3fffffe6,0x305fffff,0xffffffff,0x30000bff,0x880007ff,0x000fffff,
    0x7fffecc0,0xffd0004f,0xffffffd9,0x3fee009f,0xfff3005f,0xffff101f,
    0x7fec0001,0x3ff203ff,0x0bfff27f,0x41bffff6,0x320001f8,0x3e03ffff,
    0x3200ffff,0xffffffff,0xff881fff,0xffffffff,0x6c0003ff,0x440007ff,
    0x000fffff,0xfffffd50,0xf70009ff,0xffffd983,0xfffd806f,0x3fff6005,
    0x0bfffe07,0xffffd800,0x9ffffa03,0xff501ba8,0x0d703fff,0x7fffd400,
    0x3ffee03f,0x4ccf7404,0x01999999,0xfb537df9,0x00dfffff,0x17fffc40,
    0xffff1000,0x5930001f,0x9fffffb3,0x200e8800,0x406fffff,0x4005fffc,
    0xd01fffff,0x40007fff,0x103ffffd,0x000fffff,0xd09ffffd,0x3fe20007,
    0x4403ffff,0x017cc00b,0x7dc13e00,0x000fffff,0x0dffff90,0x7fffc400,
    0xff00000f,0x88009fff,0x7fffe400,0x3fffea04,0x3ffe2001,0xfffd04ff,
    0xfb022005,0x3e207fff,0x4000ffff,0x20fffffb,0xfb0000f9,0x007ffffd,
    0x0007f200,0x7fec04a8,0x88001fff,0x01ffffff,0xfffff100,0xf8000881,
    0x0004ffff,0x1ffff980,0x0dffff10,0xfffffd00,0x01ffff03,0x9f7ff5cc,
    0x103ffffd,0x001fffff,0x47fffff0,0x3f70004c,0x007ffffb,0x3bfffe00,
    0x200002bd,0x00fffffa,0xfffffb80,0xff10005f,0x3fb21fff,0xfd000bef,
    0x00009fff,0x407fff70,0x003ffffd,0xffffffc8,0x817ffe61,0xfedffff9,
    0x43ffffec,0xfffffeec,0x3f2004ee,0x007e7fff,0x7fed3e60,0x777443ff,
    0xfa80eeee,0xefffffff,0xff880002,0xdd0007ff,0x01ffffff,0xfffff100,
    0xffffffd5,0xfffd001f,0xd000009f,0x7fc407ff,0x0a988fff,0xfffffa80,
    0x1bffb3ff,0x8bfffe20,0x3ffffff9,0x7fffffec,0x22005fff,0x6aafffff,
    0x366e8800,0xd983ffff,0xc81fffff,0xffffffff,0x20001eff,0x004ffff9,
    0xfffe9fa8,0xf88004ff,0x88cfffff,0x806ffffc,0x004ffffe,0x077fe400,
    0xbdffff70,0x807fffff,0xfffffffd,0x7f403ffd,0xfffa86ff,0x7d4c43ff,
    0x0099ffff,0x77fffec0,0x0fd8003e,0x40fffff6,0x81fffff9,0xffffffff,
    0x002fffff,0x03ffff50,0x3feabb00,0x4000ffff,0x83fffff8,0x405ffffb,
    0x004ffffe,0xffff9300,0x3fffa03f,0xffffdeff,0xffd100ef,0x07ffffff,
    0x02ffffb8,0x207ffffd,0x00fffff8,0xfffff300,0x2fb8001f,0x81ffffec,
    0x41fffff8,0xfffffffa,0x1fffffff,0x5fffb800,0x3e1f9800,0x003fffff,
    0x07ffffc4,0x07ffffc4,0x09ffffd0,0xfffe8800,0x443fffff,0x223fffff,
    0x405ffffe,0xfffffffd,0x3fff603f,0xffffb01f,0x3fffe207,0x3fa0000f,
    0x4c005fff,0xffffd84f,0xfffff103,0xccaa9883,0xfffffffe,0xffe8006f,
    0x46d8000f,0x06fffffc,0x7ffffc40,0x5fffff00,0x27ffff40,0x7fed4000,
    0x21ffffff,0x41fffff9,0x01fffff9,0x7fffffec,0xffff04ff,0x3fff601f,
    0xffff103f,0x7d40001f,0x22002fff,0xffffb06e,0x3fffe207,0x3f22001f,
    0x02ffffff,0x007ffe60,0xff10be20,0x4005ffff,0x00fffff8,0x407ffffd,
    0x004ffffe,0x3fffa200,0x3fea5fff,0xfff81fff,0xdfb305ff,0xfffffffd,
    0xfffff885,0x7ffffb00,0x3ffffe20,0x7ffc0000,0x80fec007,0x103ffffd,
    0x003fffff,0x3fffff20,0x13ff2003,0xfd83e400,0x2006ffff,0x00fffff8,
    0x40bffffb,0x004ffffe,0xffffc800,0x3fffee7f,0xffffc81f,0x89fffa86,
    0xfffffffe,0x1ffffe60,0x03ffffd8,0x01fffff1,0x04ffb800,0xfd80fea0,
    0xff103fff,0x40003fff,0x005ffffb,0x2000bff3,0xfff303f8,0x22003fff,
    0xb00fffff,0x740dffff,0x0004ffff,0xfffffb00,0x3ffffee1,0x7ffffb81,
    0xb137ffd4,0x45ffffff,0x00fffffb,0x207ffffb,0x00fffff8,0x00ffc400,
    0x99999ff0,0xbffffd99,0xffff8879,0x7dc0001f,0xdfd006ff,0x03ee0001,
    0x5fffffe8,0xfffff100,0x3ffff601,0x3ffffa05,0xf1000004,0x3e61ffff,
    0xfa82ffff,0x3f60ffff,0xfffd83ff,0x3ffea4ff,0xfffb00ff,0x3ffe207f,
    0xd80000ff,0x7fffc006,0xffffffff,0x7c46ffff,0x0001ffff,0xc803fff8,
    0x3a0000ef,0xeeeeeeef,0x0fffffff,0xfffff880,0x7ffffb00,0x27ffff40,
    0xff900000,0xfffff8df,0x7ffffa82,0x20bfffe2,0x26fffff8,0x00fffff9,
    0x207ffffb,0x00fffff8,0x4002e800,0xffffffff,0xffffffff,0x7ffffc46,
    0xffd80001,0x0077d401,0x667d4031,0xfccccccc,0x804fffff,0x00fffff8,
    0x403ffffb,0x004ffffe,0x3ffea000,0x1fffff44,0x72ffffcc,0x3603ffff,
    0x3e27ffff,0xfb02ffff,0x3e207fff,0x2000ffff,0xf8007980,0xffffffff,
    0x6fffffff,0x0fffffc4,0x03fdc000,0x5b003be2,0xfb802ec0,0x8807ffff,
    0xd00fffff,0xfe80ffff,0x00004fff,0x90fffe20,0xf309ffff,0x7fdc7fff,
    0xfff501ff,0xffffd8bf,0x7ffffd04,0x3ffffe20,0x45fe9800,0x9998004c,
    0xfd999999,0x4409cfff,0x981fffff,0x4fd800ac,0x91007f40,0x007ea01f,
    0x7fffffc4,0x7fffc403,0xbffff01f,0x4ffffe80,0x4015c400,0xffa86ff9,
    0xfff985ff,0x3fffea1f,0x9ffff102,0x0fffffa8,0x27ffffdc,0x0fffff88,
    0x11fffc80,0x2000001f,0x103ffffd,0x983fffff,0x2202ffff,0x3ff600ff,
    0xffffffff,0x001ba07f,0x0dfffff9,0x1fffff88,0x00ffff98,0x027ffff4,
    0x803bffa0,0xffb00ffc,0xfffa81ff,0x1ffffc45,0x80ffffa8,0x2a4ffffe,
    0x06ffffff,0x01fffff1,0x369fffb0,0x36000004,0xf103ffff,0xfb83ffff,
    0x441dffff,0x3fee01fc,0xffffffff,0x09f505ff,0xfffff980,0x3ffe202f,
    0xfffd84ff,0xfffff801,0x3ffe6005,0x2ff882ff,0x0bfffe20,0x3ea0dff9,
    0xffd80eff,0xfffd102f,0xffb5fdff,0xf987dfff,0xa801ffff,0x00feffff,
    0x3ff60000,0xfff103ff,0xfffd03ff,0xdf97bfff,0x7fffd401,0xffffffff,
    0x04fe884f,0xfffffe80,0xbfff100e,0x7ffd45ff,0xfffff002,0xfffe800d,
    0xefc9adff,0xfffe9801,0x401dff51,0x2e25fffc,0x6c403fff,0xfb2fffff,
    0xc8157bdf,0x003fffff,0x001dfff9,0xfffd8000,0xffff703f,0xfffb309f,
    0x8059dfff,0xfffffff8,0x2fffffff,0x007fff4c,0xffffff10,0x3df101bf,
    0x3bffffa6,0xfff9001c,0x4c005fff,0xfffffffe,0x6dc4003e,0x00cefeff,
    0xfdfffe98,0x4c000cff,0x9004d41b,0xfffffffd,0x002a007f,0x7fec0000,
    0x7ffc43ff,0x81ffffff,0x0009baa8,0x3ffffffa,0xffffffff,0x3fffff21,
    0x3fb205ef,0xffffffff,0x7530383f,0xffdd1001,0xffffffff,0x2aa6005d,
    0x100001ac,0x22000155,0x0001aba9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeeeb,
    0x3bba2eee,0xeeeeeeee,0xeeee882e,0xdddd12ee,0xdddddddd,0xeeeea81d,
    0xdd91eeee,0xdddddddd,0x7776407d,0x2a03eeee,0xeeeeeeee,0xd50eeeee,
    0xbddddddd,0xddddd300,0xeed81ddd,0xeeeeeeee,0xdd31eeee,0xdddddddd,
    0x359999bd,0xddddd000,0x99dddddd,0x75c00357,0xeeeeeeee,0xeeeeeeee,
    0xf71002ee,0x3bffffff,0xffffe988,0x22009fff,0xc982fffa,0xafffffff,
    0x3ffaa600,0x3fae20ae,0x0aefffff,0xffffb980,0xffc8800d,0x80cfffff,
    0xffffffb8,0xfea8804f,0x7fc40aef,0xffffffff,0x220fffff,0xffffffd9,
    0xffffedcd,0x5cc002ff,0xeeffffff,0x0bffffff,0x7ffffec0,0xfdcccdee,
    0x006fffff,0xffffffb8,0x3fffe202,0x3f6005ff,0x7ffffc02,0x3fe6004f,
    0x3fffe601,0xfc8004ff,0xffe8001f,0xfa805fff,0x02ffffff,0x2a03ff10,
    0xffffffff,0x05ffffff,0x07fffffa,0x37ffffaa,0x7ffe4000,0x3ff623ff,
    0x3fa02fff,0x3f600bef,0x002fffff,0xffffff88,0x7fffe403,0x01f6007f,
    0x0ffffffa,0xfb00df00,0x000dffff,0x320007f7,0x004fffff,0xfffffffb,
    0xc81fa003,0xffffffff,0x02ffffff,0x07fffff6,0x7fffffc4,0x3ffee000,
    0xfffd83ff,0x0bfd00ff,0xffffff50,0x7fe4000b,0x7c406fff,0x002fffff,
    0xfffb009f,0x6e8007ff,0xfffff980,0x036c001f,0xfffff900,0x3fff2009,
    0x800effff,0x3fffa06d,0xffffffff,0x3f600fff,0x2a01ffff,0x004fffff,
    0x0fffffee,0x1bffffe6,0x7f44037c,0x000fffff,0x3ffffe20,0x7ffec01f,
    0x0fa805ff,0xfffffd80,0x802f4002,0x04fffffe,0x8000fe20,0x04fffffc,
    0xffffdd90,0x0b900bff,0x55567ffc,0x5ffbaaaa,0x7ffffec0,0x3fffe201,
    0xff7000ff,0x3fe07fff,0x7c40ffff,0xffffc801,0xd80003ff,0x404fffff,
    0x0ffffffa,0xfd802ec0,0x4002ffff,0xfff5005e,0x32001fff,0x7fe40007,
    0xb9004fff,0xfffffff3,0xf305c809,0x0ffee007,0x3fffffb0,0xffffff80,
    0xffff7001,0x3fffa07f,0x403442ff,0x6ffffff9,0xfff50000,0xfff00fff,
    0x7c407fff,0xffffb002,0x05e8005f,0x3fffffa0,0x0007f003,0x4fffffc8,
    0x3feab900,0x202fffff,0x400b705c,0x7ec00ffe,0x7401ffff,0x002fffff,
    0x07fffff7,0x0ffffff6,0xfffd0073,0x00003fff,0x1ffffffc,0x3fffffa0,
    0xd801ee06,0x002fffff,0xff7002f4,0xf700dfff,0xffc80001,0xb9004fff,
    0x7fffffe4,0x020b901f,0x806ff880,0x01fffffd,0x3fffffe2,0xffff7000,
    0x3fffa07f,0xfb8002ff,0x004fffff,0x7fffe400,0x3ffe606f,0x9d01ffff,
    0x7fffec00,0x02f4002f,0xffffff10,0x0004e805,0x4fffffc8,0xffd8b900,
    0xc80effff,0xffb80005,0xffffd803,0x3ffea01f,0x3ee007ff,0xff03ffff,
    0x8001ffff,0xfffffff8,0x7c400000,0xb01fffff,0x9fffffbd,0x6c003f30,
    0x002fffff,0x3f2002f4,0x2a05ffff,0xfc80000f,0x9004ffff,0xffffe88b,
    0x005c85ff,0x800ffe80,0x01fffffd,0x0ffffff2,0xfffffb80,0xfffffb83,
    0xfffd8004,0x00002fff,0x9fffffb0,0xfff55f10,0x00d90fff,0x2fffffd8,
    0x2002f400,0x1ffffff9,0x20000bb0,0x04fffffc,0xfff30b90,0x5c87ffff,
    0x37fc4000,0xfffffd80,0xfffff701,0xfffb800b,0x7ffc43ff,0x54000eff,
    0x05ffffff,0x3fea0000,0x27b87fff,0x42ffffff,0x7fec003f,0x74002fff,
    0xfffd8005,0x01f984ff,0xffff9000,0x4172009f,0xfffffffa,0x70001722,
    0x3f6007ff,0x5311ffff,0x07fffffb,0xfffff700,0xffff7319,0x3fa000bf,
    0x000fffff,0x7fffc000,0xf927c3ff,0x7d4bffff,0x7ffec000,0x2f4002ff,
    0x7fffd400,0x0036c0ff,0xfffff900,0xb8172009,0x0fffffff,0xfe8000b9,
    0xfffb000f,0xffffffff,0x40007fff,0xfffffffb,0x01cfffff,0xfffff900,
    0x0000007f,0x4dfffff9,0x3ffe60fa,0x00bb0fff,0x5fffffb0,0x0005e800,
    0x47fffffd,0x200002f8,0x04fffffc,0xffd80b90,0x0b96ffff,0x037fc400,
    0x7fffffb0,0xffffffd3,0x7fdc0001,0x199adfff,0xfff98000,0x00006fff,
    0xfffff100,0x3fa1763f,0x2f8bffff,0xffffd800,0x02f4002f,0xfffffb80,
    0x00001b26,0x09fffff9,0x3fa01720,0x5cdfffff,0x0ffee000,0xfffffd80,
    0xffffff11,0x7fdc000d,0x00003fff,0xffffffd8,0x20000001,0x8cfffffd,
    0xffffb82f,0xb0007bef,0x005fffff,0xf10005e8,0x3e5fffff,0x7e400003,
    0x9004ffff,0xffff100b,0x000bffff,0xb0007fec,0x5c3fffff,0x03ffffff,
    0xfffff700,0xfa800007,0x004fffff,0x3ea00002,0x06cfffff,0xfffffff1,
    0x3ff60009,0x7c002fff,0x3ff20004,0x00fbdfff,0x7ffe4000,0x0b9003ff,
    0x3ffffe60,0xf10005ff,0xffd800df,0x7fec1fff,0x8001ffff,0x03fffffb,
    0x3ffe2000,0x2000ffff,0xff80000d,0x203fffff,0x1ffffffd,0xffff9000,
    0x04f8007f,0x3fffe600,0x88004fff,0xfffc82dc,0x0b9003ff,0x7ffffdc0,
    0xff50005f,0xfffd8007,0x7ffc41ff,0x4000efff,0x03fffffb,0x3fff2000,
    0x22002fff,0xff900007,0x5401ffff,0x006fffff,0x3fffff20,0x00fe2003,
    0xfffffb00,0xfff0001f,0xffffc85f,0x00b9003f,0x5fffffc8,0x03ffb000,
    0xfffffd80,0xfffffa81,0x7fdc004f,0x00003fff,0xbffffff3,0x0006b800,
    0x9fffff10,0x7fffff00,0x7ffdc000,0x3ea004ff,0x7fd40001,0xa8005fff,
    0x7e46ffff,0x9002ffff,0xfffd000b,0xff1000bf,0xfffb000d,0x3ff203ff,
    0x2002ffff,0x03fffffb,0xffffd000,0x7c4001ff,0x3f600006,0xfc801fff,
    0x20000fff,0x06fffff8,0x40001fa0,0x001ffffe,0x46ffffb8,0x00fffffc,
    0xf1000b90,0x5000bfff,0xfb0007ff,0x7403ffff,0x00ffffff,0x7fffff70,
    0xfff70000,0xd8007fff,0x2a00005f,0xf3005fff,0xb0000bff,0x005fffff,
    0x200007fb,0x0005fffb,0xd83ffff3,0x2006ffff,0xff30006d,0xffb000bf,
    0xfffb0003,0x7fcc05ff,0x7005ffff,0x007fffff,0xfffff880,0x3fa6006f,
    0x7c00004f,0x3fa002ff,0xe880002f,0x101fffff,0x40000bf9,0x0002fff8,
    0x3fa1bff6,0x3e000eff,0xff50000f,0x6ff8800b,0xffffd000,0xfffb807f,
    0xfc804fff,0x0004ffff,0x7fffffec,0xfffc8801,0x6400003f,0x3fdc007f,
    0xffd30000,0xd759dfff,0x000009ff,0xd0000df9,0xff9115ff,0x322001ff,
    0x90001dff,0xffa800bf,0xfffa8004,0x6c00efff,0x03ffffff,0x3fffffe6,
    0xff50001f,0x555dffff,0xffb99555,0x0005ffff,0x4003f880,0x800004f8,
    0xfffffffb,0x00001dff,0x00005f30,0x3fffffee,0xfea801ce,0x03efffff,
    0x6c005d80,0xfd3001ff,0xffffffff,0x3fe20bdf,0x21ffffff,0xffffffee,
    0x2006efff,0xfffffff8,0xffffffff,0xffffffff,0x0b800001,0x0001b800,
    0x332ea600,0x000000aa,0x44000038,0x0000aca9,0x07100000,0x0004cc80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77440000,0xeeeeeeee,
    0xddd70002,0x2bdddddd,0xeeeeeee9,0x02eeeeee,0x77777440,0x3eeeeeee,
    0xdddddd70,0x77443ddd,0x001eeeee,0x77744022,0xeeeeeeee,0xddddb1ee,
    0xdddddddd,0x3bbbbae5,0xdd10003e,0xdddddddd,0xdddddddd,0x3ba27ddd,
    0xeeeeeeee,0xeeeeeeee,0x77541eee,0xeeeeeeee,0x001accce,0xffffc880,
    0xf0005fff,0x5fffffff,0xffff9301,0x00017fff,0xfffffb88,0x5c401cff,
    0x80beffff,0x1fffffd9,0x9100b600,0x9fffffff,0xffff5101,0xb883bfff,
    0x004fffff,0x7fffdc40,0xeeeeefff,0x44ffffff,0xffffffc9,0xffeeeeef,
    0xb301ffff,0xddffffff,0x5bfffffd,0xfffd8000,0x4001ffff,0xfffffffa,
    0xffffe803,0x6c00005f,0x006fffff,0x4c02fffc,0x001fffff,0x3f6005f7,
    0xb806ffff,0x00ffffff,0x013ffffa,0x7fffec00,0x3ff6204f,0xffffb04f,
    0x7ff4c09f,0x7fffc01f,0x7fecc1ff,0x90000dff,0x9fffffdd,0xffede800,
    0xfd802fff,0x0004ffff,0x7ffffdc0,0x0ffea005,0x7ffffc40,0x02ff9801,
    0x9fffff90,0xfffff500,0xffffd80d,0xff700004,0xd3009fff,0x3fff209f,
    0xffc804ff,0x7ffff401,0xffff701f,0x5d90005f,0x01ffffff,0x3ffabe60,
    0xfc802fff,0x0003ffff,0x7ffffdc0,0x03ff5005,0x1fffff80,0x002ffe80,
    0x09fffff9,0xdfffff30,0x4ffffd80,0xfff70000,0x3e6009ff,0xfffff904,
    0x007f2009,0x03fffffd,0x0fffffec,0x7ffdb200,0xd9003fff,0x0bfffffa,
    0x3fffff20,0x7dc00003,0xb804ffff,0xff8000ef,0x36201fff,0xf9002fff,
    0x3009ffff,0x80dfffff,0x004ffffd,0xfffff700,0xc826c009,0x004fffff,
    0xffe803f1,0x3e201fff,0x000fffff,0x7fffddb2,0xd3f8806f,0x005fffff,
    0x07fffff9,0xfffb8000,0x27e404ff,0xfffff000,0x3fffa203,0xfff9002f,
    0xff3009ff,0xfd80dfff,0x00004fff,0x09fffff7,0x7e412e04,0x0904ffff,
    0xfffe803d,0x7fe401ff,0x32005fff,0xffffff16,0xfd0fb805,0x9005ffff,
    0x007fffff,0xffffb800,0x07fd104f,0xfffff800,0xfffff981,0x903eeeef,
    0x009fffff,0x0dfffff3,0x84ffffd8,0xfffb8000,0x889304ff,0xfffff902,
    0x0370b309,0x1fffffe8,0x7ffffcc0,0x6cd9000f,0x405fffff,0x3ffffa4e,
    0xfffc802f,0x400003ff,0x84fffffb,0x80001fe9,0x441fffff,0xffffffff,
    0xff904fff,0xf3009fff,0xd80dffff,0xf914ffff,0x2e003bff,0x704fffff,
    0x7ffe4009,0x005a84ff,0x3fffffd0,0xffffff00,0xf99b2009,0x301fffff,
    0x7ffff43f,0xfffc802f,0x400003ff,0x44fffffb,0x00000efa,0x303fffff,
    0x37fffff3,0x3ff20133,0xf9804fff,0x6c06ffff,0xfe9cffff,0x800fffff,
    0x04fffffb,0x7fe4009b,0x05d84fff,0xfffffd00,0xffffb003,0xd1b200ff,
    0x209fffff,0x7ffff46d,0xfffc802f,0x400003ff,0x24fffffb,0x00003ffc,
    0x807ffffe,0x002fffff,0x09fffff9,0xdfffff30,0xeffffd80,0xffffdadf,
    0xffffb806,0x004fa84f,0x13fffff2,0x3a000bf3,0x801fffff,0x0ffffffd,
    0x7fd46c80,0x7c40ffff,0x7fffff42,0xffffc802,0x5c00003f,0xd8cfffff,
    0x0001ffff,0x03fffff0,0x017ffffc,0x4fffffc8,0xfffff980,0x7fffec06,
    0x7ffffc3f,0x7fffdc01,0x027fdc4f,0x9fffff90,0x8002ffd4,0x01fffffe,
    0xffffffc8,0xff86c801,0x3dc3ffff,0x17fffff4,0x7ffffe40,0x7dc00003,
    0xffeeffff,0x0000ffff,0x01fffff8,0x00bffffe,0x7fffffe4,0xffffffff,
    0x06ffffff,0x42ffffec,0x402ffffe,0xdefffffb,0x004ffffe,0x3ffffff2,
    0x005ffffe,0x3fffffd0,0xfffff700,0x70d9005f,0xe8dfffff,0xfffffe83,
    0xffffc802,0x5c00003f,0xffffffff,0x006fffff,0x1fffff80,0x0bffffe0,
    0x7ffffe40,0xccccccce,0x6fffffdc,0x27fffec0,0x01ffffec,0x3fffffee,
    0x04fffffe,0x3fffff20,0x05ffffee,0xfffffd00,0xffff7003,0x0d9005ff,
    0x5ffffff1,0x3ffa03ea,0xfc802fff,0x0003ffff,0x7ffffdc0,0xfffffd8e,
    0x7fc0004f,0x3fe01fff,0xf9002fff,0x3009ffff,0x80dfffff,0xd84ffffd,
    0x5c03ffff,0x514fffff,0x64009ffb,0x2a4fffff,0xfd0005ff,0x7003ffff,
    0x03ffffff,0x3ff60d90,0x20bb5fff,0x02fffffe,0x3fffffc8,0x7fdc0000,
    0xfff14fff,0x0007ffff,0x00fffffc,0x005fffff,0x13fffff2,0x3ffffe60,
    0x7fffec06,0x3ffffd84,0x7ffffdc0,0x2004fb84,0x44fffffc,0xfd0005fa,
    0x9003ffff,0x00ffffff,0x7ffcc1b2,0xd01fafff,0x005fffff,0x07fffff9,
    0xfffb8000,0x3ffe64ff,0x0001ffff,0x403fffff,0x002fffff,0x09fffff9,
    0xdfffff30,0x4ffffd80,0x04ffffd8,0x27ffffdc,0x3f2004e8,0x5e84ffff,
    0xffffd000,0xfffb003f,0x1b200dff,0xffffffe8,0x3ffffa06,0xfffc802f,
    0x3b8003ff,0x9fffff70,0xffffffb8,0xfff8000f,0x3ffe01ff,0xff9002ff,
    0xf3009fff,0xd80dffff,0xfd84ffff,0x7dc04fff,0x9704ffff,0x7fffe400,
    0x0205b84f,0x1fffffe8,0xfffffe80,0x540d9005,0x03ffffff,0x0bfffffa,
    0x3fffff20,0x702d8003,0x909fffff,0x0dffffff,0x3fffff00,0x17ffffc0,
    0xfffffc80,0xffff9804,0x7ffec06f,0xffffd84f,0x7fffdc04,0x4009304f,
    0x84fffffc,0xfe81a059,0xf801ffff,0x002fffff,0xffff80d9,0x7fff407f,
    0xffc802ff,0x44003fff,0xffff701f,0x3fffa09f,0x7c004fff,0x3e01ffff,
    0x9002ffff,0x009fffff,0x0dfffff3,0x84ffffd8,0x404ffffd,0x04fffffb,
    0xfffc800e,0x260704ff,0x3ffffa07,0x7ffd401f,0x1b2005ff,0x09ffff70,
    0x2fffffe8,0xfffffc80,0x807e4003,0x04fffffb,0xfffffff1,0x7fffc005,
    0x3fffe01f,0xfff9002f,0xff3009ff,0xfd80dfff,0xffd84fff,0x7fdc04ff,
    0x00004fff,0x09fffff9,0x3fa05d80,0x7401ffff,0x001fffff,0xfff101b2,
    0xfffe801f,0xffc802ff,0x22003fff,0x3ffee07f,0x3fe604ff,0x001fffff,
    0x403fffff,0x262ffffe,0xfffff901,0xffff3009,0xfffd80df,0xffffd84f,
    0x7fffdc04,0xf900004f,0x4009ffff,0x3ffa04fa,0x3e601fff,0x4004ffff,
    0x5ffd806c,0xfffffe80,0xffffd802,0xfff3004f,0x7ffffdc0,0x7fffe405,
    0x7c401fff,0x3201ffff,0x0b35ffff,0x27ffffe4,0x7ffffd40,0x7fffec06,
    0x4ffffd84,0x7ffffdc0,0xff900005,0x2a009fff,0x3ffa03ff,0xfb102fff,
    0xd0009fff,0x2ff9801f,0xffffff80,0xffffd802,0xfff9805f,0x3ffff206,
    0xffff805f,0x2200efff,0x402fffff,0x0ffffffe,0x3fffff60,0xffffa805,
    0x7fff407f,0xffffe84f,0x7fffe404,0xfb00005f,0x980dffff,0x3e02fffd,
    0x883fffff,0x002ffffe,0x400effc8,0xfffb806e,0x2600efff,0xdfffffff,
    0xffdbaabc,0xff105fff,0x805fffff,0xfffffffe,0xffff702f,0xfec8809f,
    0x3fe601cf,0x201fffff,0xffffffe8,0xfffff303,0x7fffcc1d,0xfff100ef,
    0x0005ffff,0xffffff98,0xeccaabdf,0x701fffff,0x9fffffff,0x9dfffd95,
    0x7ff44001,0x503fffff,0x3fffaa07,0xefffffff,0xffffdd35,0xffffffff,
    0xffffffff,0x7fff7449,0x4fffffff,0x7fffffe4,0x13ffffff,0xffffffff,
    0x4401003f,0xffffffee,0xdb1eefff,0xffffffff,0x3ff25dff,0xa9ffffff,
    0xffffffff,0xffffdd12,0x3ddfffff,0x3ffba200,0xffffffff,0xffffffff,
    0x3ffaa0ff,0xffffffff,0x001bdeff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77777764,
    0x3ba20002,0xeeeeeeee,0x0accccee,0x777775c0,0xeeeeeeee,0xeeeeeeee,
    0xddddd72e,0x07dddddd,0x7777774c,0xddddd13e,0x7ddddddd,0xeeeeeea8,
    0x3bba25ee,0xeeeeeeee,0x000100ee,0x00000998,0x00080000,0x18800018,
    0x7dc40200,0x0003ffff,0x7fffe4c4,0xfffeeeff,0xf900dfff,0xfdddffff,
    0xdddfffff,0x547fffff,0xfffffffe,0xfea8800b,0x3f660aef,0xbfffffff,
    0xffff7100,0xff91013b,0x019fffff,0x000bbfaa,0x0000bfe2,0x51e4c000,
    0xeb805dfd,0x2002efff,0x1effffdb,0x203dfd50,0x003fffff,0x3ffffa00,
    0x7fffd42f,0xdffc81ef,0x7ffffc40,0x43ffe987,0xffffffe8,0x077dc001,
    0xffffff90,0x0fff600f,0x7ffffec0,0x3fffe205,0x2ff88007,0x54000000,
    0xfff13ffe,0xffd101ff,0x809ff915,0xfe9bffd8,0xfffe83ff,0x7ffffd06,
    0x7fe40000,0xff982fff,0x7e41ffff,0xfffff105,0x20ffa20f,0x4ffffff9,
    0x400fec00,0x3ffffffe,0x2004fe80,0x04fffffc,0x0bffffee,0x005ff100,
    0xff910000,0x3fee5fff,0x7fc43fff,0x0fffe22f,0xf717ff44,0x7fcc3fff,
    0xffd80fff,0x200003ff,0x02fffffc,0x89fffff9,0xfff100fc,0x1fcc0fff,
    0xffffffd8,0x009f1000,0x3fffffe6,0x017e600f,0x9fffff90,0x7ffffdc0,
    0x17fc4002,0xfb500000,0xfa85dfff,0x7ec2ffff,0x0fffc87f,0x7c47ffd8,
    0x3fe64fff,0xffd80fff,0x200003ff,0x02fffffc,0x8ffffff5,0x3ffe204c,
    0x81f407ff,0x4ffffff8,0x4001fb00,0x5ffffffc,0x9000df10,0x809fffff,
    0x8006ffff,0x00002ff8,0x7ffff5c4,0x3fffe01c,0x42fffd47,0x7cc4fffb,
    0xfffe85ff,0x837fffc5,0x003ffffd,0x3ffff200,0xffff102f,0x101643ff,
    0x80ffffff,0x3fff203b,0x7cc01fff,0xfffe8002,0x0fd82fff,0xffffc800,
    0x67e4c04f,0x2ff88000,0xffb30000,0x30017dff,0xffe839f9,0x6fffa84f,
    0x5c2fffec,0x7ff42fff,0xffffb05f,0x7e400007,0xf302ffff,0x043fffff,
    0x3ffffe20,0x3e200807,0x405fffff,0xff30006e,0x641fffff,0xff90001f,
    0x00009fff,0x005ff100,0x7fff5c40,0x400002df,0xfa83ffff,0x3ffe27ff,
    0x9037304f,0x3f607fff,0x77543fff,0x202eeeee,0x02fffffc,0x0ffffff7,
    0xfffff880,0xffb80007,0xf701ffff,0x7fdc0003,0x5f55ffff,0x7ffe4000,
    0x000004ff,0x8002ff88,0xcfffffc9,0xf9800000,0xeeeeefff,0xf30ffffe,
    0x3000bfff,0x3f601fff,0xfe983fff,0x7e401bff,0xfb02ffff,0x8005ffff,
    0x07fffff8,0xffffd000,0x009f10df,0xfffffd00,0x80009f9f,0x04fffffc,
    0x99999800,0x9bff9999,0x09999999,0x5dffffb1,0xfa800000,0xccccefff,
    0xf50ccccc,0x2000dfff,0x3ff607ff,0x3ff903ff,0x3ffff200,0xffffd82f,
    0xff88003f,0x00007fff,0x5ffffff5,0x80000fc8,0xfffffff9,0xffc80005,
    0x40004fff,0xfffffff9,0xffffffff,0xf33fffff,0x0005dfff,0xffff7000,
    0xfffb800b,0xfd8000ff,0x3ffff605,0x000ee883,0x2ffffff2,0xffffeb99,
    0xff10000c,0x0000ffff,0x37fffff4,0x400005f3,0x5ffffffb,0xfffc8000,
    0x4c0004ff,0xffffffff,0xffffffff,0x36a3ffff,0x00beffff,0xfff50000,
    0xffa800ff,0xb8001fff,0x3fff602f,0x000ed83f,0x7fffffe4,0x1effffff,
    0x7ffc4000,0x200007ff,0x3ffffff9,0xd00000dd,0x07ffffff,0xffffc800,
    0x5440004f,0xbaaaaaaa,0xaaaaacff,0xfc881aaa,0x001cffff,0x7fffcc00,
    0x3fe6000f,0x98003fff,0x3fff600f,0x00076c3f,0x67ffffe4,0xffffecaa,
    0xf88000cf,0x0007ffff,0x7ffffec0,0x00001fbf,0xffffff88,0x3f20000f,
    0x4404ffff,0xf10001cc,0xb500005f,0x007dffff,0x3e216dc4,0x0404ffff,
    0x03fffffe,0xffb00a00,0x017ec7ff,0xfffffc80,0xfffffc82,0x7fc4002f,
    0x00007fff,0x7fffffcc,0x2000004f,0x5ffffffc,0x3fff2000,0x3fea04ff,
    0xf88005ff,0x2600002f,0x1cfffffc,0x237fff40,0x00fffffd,0x7ffe41d1,
    0x002605ff,0x4fffff60,0x90006ffd,0x205fffff,0x1ffffffb,0x3fffe200,
    0xc800007f,0x00ffffff,0xfff30000,0x007fffff,0x3fffff20,0x3ffff604,
    0x7fc4003f,0xd5000002,0x505bffff,0x543fffff,0x80efffff,0x7fffc43e,
    0x005b83ff,0xb7ffffb0,0x0009ffff,0x05fffff9,0x3ffffff4,0xfffff100,
    0xf100000f,0x001fffff,0xf1bf1000,0x01ffffff,0xfffff900,0x7ffffc09,
    0x7fc4006f,0x4c000002,0x0cfffffc,0x87fffff9,0xcffffffd,0xff906eca,
    0xd9bfffff,0x3f60001d,0xffffffff,0x7e4002ff,0x3202ffff,0x01ffffff,
    0xffffff10,0xff100000,0x0001ffff,0x3ea1dd00,0x006fffff,0x4fffffc8,
    0x3fffff20,0x17fc4007,0xb8800000,0xff33fffe,0xffb01fff,0x1dffffff,
    0x7ffffe40,0x0000efff,0x23bffff6,0x00effffe,0x3fffff20,0x3fffe602,
    0xff1003ff,0x0000ffff,0xffffff10,0xfc800001,0x7ffffec0,0x7fe4003f,
    0x36204fff,0x4007feff,0x00002ff8,0x23fd9800,0x3204fffc,0x0befffff,
    0xfffffa80,0x6c0000ce,0xff33ffff,0x64009fff,0x202fffff,0x2ffffff9,
    0xfffff100,0xf100000f,0x001fffff,0x4417dc00,0x1fffffff,0x3ffff200,
    0xdf50804f,0x02ff8800,0x22000000,0x88005441,0x510000aa,0x6c000017,
    0x3ee3ffff,0x9002ffff,0x405fffff,0x0ffffffb,0xfffff100,0xf100000f,
    0x001fffff,0xa80fea00,0x06ffffff,0x3fffff20,0x013f2004,0x0005ff10,
    0x00000000,0x00000000,0x7fffec00,0x7fffff43,0xffffc800,0x3fff602f,
    0x3e2006ff,0x0007ffff,0xfffff880,0xf980000f,0xffffd805,0xff9003ff,
    0x74009fff,0x0aa8000f,0x00000000,0x00000000,0x3fa00000,0x7fcc3fff,
    0xfc805fff,0xf502ffff,0x003fffff,0x3fffffc4,0x7fc40000,0x0000ffff,
    0x44007fc4,0x1fffffff,0xfffffc80,0x007f5004,0x00000000,0x00000000,
    0x40000000,0xc84ffffe,0x403fffff,0x84fffffd,0x2ffffffa,0x7fffcc00,
    0x400000ff,0x0ffffff9,0x1bfa2000,0xfffffb80,0x7fec00ef,0xfb805fff,
    0x00000003,0x00000000,0x00000000,0x3fffe600,0x7ffc40ef,0xff502fff,
    0x97bfffff,0x17fffffd,0xffffb000,0x800009ff,0x4ffffffd,0xfffb8800,
    0xfff9002f,0x201dffff,0xfffffff9,0x005fb101,0x00000000,0x00000000,
    0x40000000,0xfffffffc,0xffffd12f,0x3fa2dfff,0xffffffff,0xacdeffff,
    0x7ff64000,0xffffffff,0xee88003e,0xffffffff,0x6400eeff,0xefffffff,
    0xffffc80e,0x4fffffff,0xfffffdd1,0x41ddffff,0x0000002a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00600000,0x00101100,0x22000000,
    0xeeec8009,0x3bb22eee,0x0002eeee,0x00180044,0x5c008800,0xeeeeeeee,
    0xeeeeee89,0x3bbae5ee,0x7020003e,0xdddddddd,0x6eeeec89,0x7777774c,
    0xeeeeeeee,0xdddddd13,0xddd19ddd,0x76440ddd,0x801bdfff,0xacefffc8,
    0x000b663d,0x3fb22000,0x2203ffff,0x22fffffc,0x2fffffc8,0x7777775c,
    0x13bffb23,0x077fff6a,0x7777775c,0x5bffd913,0x3ffff620,0x3ffa60ef,
    0x7d40cfff,0xdddd70bf,0x7fe447dd,0x3ffff225,0xdff503ff,0xcceff983,
    0xfffffbaa,0x3fff661f,0x3fa61fff,0xffd100bf,0x07ffd539,0x64dfff44,
    0x3fe64fff,0x800000bf,0xfea9befb,0x7ffc05ff,0xffff82ff,0xffffa82f,
    0xffffe8cf,0x3ffee4ff,0xb880ffff,0xe9cfffff,0x01ffffff,0x21bffffa,
    0x03fffff9,0xffff50bd,0x3fffe69f,0x7fffec2f,0x203fa00f,0xfff705f9,
    0x3ff609ff,0x0ff41fff,0xa8bfff30,0xffb02fff,0x224fe889,0x02dffffe,
    0x83ffd000,0x204ffff9,0xe82fffff,0xfb02ffff,0x55bfdfff,0xfb5fffff,
    0xbffffb57,0x77ffff40,0xffffdadf,0x3fffea06,0xffffd80f,0xfb01f885,
    0xfff19fff,0xff987fff,0x13e02fff,0x7fc407cc,0x3e206fff,0x3e65ffff,
    0x17fff402,0x220ffff4,0x4f884fff,0xeffffda8,0xff30000b,0xfffff09f,
    0x3ffffa01,0x2ffffe82,0xbfffffb0,0xffffffb8,0x3ffffe20,0xfffffb00,
    0x1fffff87,0x0fffffa0,0x03fffffa,0x7ffe40d5,0xffebedcf,0xffffd81f,
    0x2601f505,0xfffffb05,0xffffc805,0xfa807d1f,0xffd81fff,0x7fffd47f,
    0x2e205b83,0x01dfffff,0x07fffec0,0x407ffffe,0xe82ffffe,0xf902ffff,
    0xff50dfff,0xfff03fff,0x3ff603ff,0xfffe85ff,0x3ffee02f,0x7fffcc6f,
    0x9026c3ff,0x21ffffff,0xff503eb8,0x0bb03fff,0x7ffcc044,0xfff005ff,
    0xd00d9dff,0xf901ffff,0x7fd43fff,0x02444fff,0xeffffda8,0xfffc800b,
    0x7ffff41f,0x5ffffd02,0x05ffffd0,0x213ffff2,0xd07ffff9,0x3605ffff,
    0xfd84ffff,0x3e203fff,0x3321ffff,0x226ffffc,0x3fff201f,0xfe8002ff,
    0x17c44fff,0x7ffff400,0xfff7000f,0xf8803fff,0xff907fff,0xffff87ff,
    0x20001eff,0xcfffffc9,0x17ffa201,0x40bffffe,0xe82ffffe,0xf902ffff,
    0xff309fff,0x3ffa0fff,0xfffb02ff,0xffffb09f,0xffffd807,0x3ffe6be4,
    0xc80d71ff,0x000fffff,0x0fffffb8,0x3ee001ae,0x4004ffff,0x807ffffe,
    0x707ffffa,0xfc89ffff,0x03ffffff,0xfffea800,0x502202ef,0x05fffffd,
    0x20bffffa,0x902ffffe,0xf309ffff,0x3fa0ffff,0xffb02fff,0xfffb09ff,
    0xfffa807f,0x7ff4f57f,0xc807d4ff,0x0007ffff,0x47fffff1,0x7fc4003e,
    0xa8006fff,0x403fffff,0x907ffffb,0xf98dffff,0x4fffffff,0xff930000,
    0xea805fff,0x2ffffecf,0x05ffffd0,0x205ffffd,0x984ffffc,0xfd07ffff,
    0x3f605fff,0xffd84fff,0xfff803ff,0x3ee4daff,0x00f9ffff,0x037fffe4,
    0xdffff900,0xfb0003e6,0x0005ffff,0x03fffffa,0x07ffffb8,0x30fffff9,
    0xffffffff,0x36600009,0xd303ffff,0x3fffa5ff,0xffffd02f,0x5ffffd05,
    0x13ffff20,0x41ffffe6,0xb02ffffe,0xfb09ffff,0xf9007fff,0x443fdfff,
    0x06efffff,0x05ffffc8,0x3fffe600,0x4c004daf,0x005fffff,0x3ffffea0,
    0x3fffea03,0xdffff907,0x3ffffa20,0x10000fff,0x5bffffd7,0xe87fff20,
    0xfd02ffff,0xffd05fff,0x3ff205ff,0xfff984ff,0xffffd07f,0x3ffff605,
    0x3ffffd84,0xfffff980,0xfffffd86,0xffffc803,0x7fec0004,0x4001feff,
    0x00fffffe,0x3ffff600,0xfff300ff,0x3fff20ff,0x7ffe405f,0x4c002fff,
    0x0cfffffc,0xd0ffff60,0x3a05ffff,0xfe82ffff,0xff902fff,0xfff309ff,
    0x3fffa0ff,0xffffb02f,0x7ffffb09,0x3ffffe00,0xfffffa83,0xffffc800,
    0x7fd40004,0x5c005fff,0x504fffff,0xffafa803,0xff104fff,0xff901fff,
    0x4c2447ff,0x004fffff,0x5dffffb5,0x1ffff900,0x02ffffe8,0xd07ffffd,
    0x3205ffff,0xf984ffff,0xffd07fff,0x3ff605ff,0xfffd84ff,0xfff9003f,
    0x3fffe01f,0xffff9005,0xffd00009,0x7c4005ff,0x3a06ffff,0x7e4be201,
    0xf900ffff,0xffb01fff,0x40fc41ff,0x203ffff8,0xcfffffb8,0x3fffe001,
    0x7ffff40f,0x9ffff902,0x3fffffd8,0x09ffff90,0x20fffff3,0xb02ffffe,
    0xfb09ffff,0x26007fff,0x3f205fff,0xff9002ff,0x700009ff,0xd800dfff,
    0x502fffff,0xf12f401f,0x220bffff,0xfe81ffff,0x837c44ff,0xd981fffc,
    0x00beffff,0x7ffffc40,0xffffd98c,0xffff502f,0xffff913f,0x3ff207ff,
    0xfff985ff,0xfffff07f,0x3ffff607,0x4ffffd84,0x80bffa00,0x9000fff9,
    0x0009ffff,0x007fff10,0x2fffffcc,0x3f207fa8,0x7ffffec0,0x89fff702,
    0xf80efff9,0x47ffb83f,0x2dffffeb,0x7fffc000,0xffedffff,0xfd83adff,
    0xe9efffff,0xd80dffff,0xfa86ffff,0x7c40ffff,0xfd03ffff,0xffd09fff,
    0x7dc009ff,0x02ff400f,0x0bffffb0,0x03ff2000,0xfffffe80,0xffebaa9a,
    0x40ffc887,0x0ffffffb,0x225fff70,0xff00dffd,0x3ffa65df,0x33fffe60,
    0xff900000,0x3ea7ffff,0x880effff,0xd0effffd,0x43ffffff,0x0ffffff8,
    0x1fffffe4,0x37ffffee,0x7ffffcc0,0x3fffe60e,0xbf1000ef,0x2005f700,
    0x0ffffff8,0x04f98000,0x3ffffee0,0xffffffff,0x3fffa26f,0xffffd4ff,
    0x2609ffff,0x4fffeffe,0x7ffeefc0,0x77cc1eff,0xc8800002,0x7e41dfff,
    0x5c400dff,0xffb8000a,0x8bffffff,0xfffffffe,0xffffffb6,0x3fff23ff,
    0xfa9fffff,0x2fffffff,0x91003700,0x3fffee00,0x0005ffff,0x000000b8,
    0x00000000,0x4002ae62,0x88055cc2,0x10000001,0x00000300,0x00000000,
    0x00000000,0x00000000,0x80000000,0x88888888,0x88888888,0x00000888,
    0x00000000,0x00000000,0x00040000,0x44001880,0x36a00800,0x33333302,
    0x33333333,0x41333333,0x301ccccc,0xaa98019b,0x3a0a8001,0xeeeeeeee,
    0x3fffea6e,0xffffffff,0x5fffffff,0x00000000,0x00000000,0x00000000,
    0x00003ff2,0x3f2007fd,0xdffb80df,0x0f7fff41,0xfffffff3,0xffffffff,
    0x4c7fffff,0xfb85ffff,0xfe881fff,0x800cefff,0x3fffe1f8,0x27ffffff,
    0xfffffffa,0xffffffff,0x0005ffff,0x00000000,0x00000000,0xff100000,
    0x7d40009f,0x7fcc00ff,0x7ffc44ff,0x3fffea5f,0x3fffe66f,0xffffffff,
    0xffffffff,0x07fffcc3,0x213ffffa,0xfffffffe,0xf1ee02df,0xffffffff,
    0x555544ff,0xaaaaaaaa,0x2aaaaaaa,0x00000000,0x00000000,0x00000000,
    0x0007fff1,0x2027fffc,0x5c6ffffc,0x3f27ffff,0x511fffff,0x55555555,
    0x55555555,0xff503555,0x7fffc45f,0x55f7dc6f,0xffffffeb,0xf8bf931c,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,0x20003ffb,
    0x01fffffc,0x517fffee,0x7ccdffff,0x002fffff,0xffa80000,0x1fffff45,
    0x7fdc417a,0xffffffff,0x44444440,0x00008888,0x00000000,0x00000000,
    0x00000000,0xf51774c0,0x201fe44d,0x5ffadff8,0x13fffea0,0xc8bffff1,
    0x002ffeff,0xff500000,0x40effe98,0xffda802f,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x3f600000,0x2a5d0eff,0x3600ffff,0x05ffb0ff,
    0x20bfffe2,0x2103ffff,0x000000ff,0x2a0bee00,0x44004881,0x0000bcca,
    0x00000000,0x00000000,0x00000000,0x7dc00000,0xb9d9efff,0x2606ffff,
    0x1bfe64ff,0xd80fffe8,0x3e601fff,0x3ffffe67,0xffffffff,0x3fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7776dc00,
    0xbeeeeefe,0x903ffa00,0x3ff207ff,0x80fff706,0x3ffe63fb,0xffffffff,
    0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcc800000,0x3fea000e,0x80fff883,0xff304ffa,0x2237440b,0xcccccccc,
    0xcccccccc,0x0001cccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bb23f62,0xf7037fc0,0x05ff109f,0xee981ffc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x557fea00,
    0x7fe405ff,0x407ff402,0x07f200fe,0x000013ee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff500000,0x17ffe27f,0x4c02ffc4,
    0x406b85ff,0x0001907a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x90000000,0x7fec1fff,0x003ffb07,0x03107ff6,0x00000288,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x27fcc4ff,0x22002aa8,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0c402200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_43_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_43_usascii_y[95]={ 34,7,7,7,7,7,7,7,7,7,7,10,28,23,
28,7,7,7,7,7,7,8,7,8,7,7,15,15,11,16,11,7,7,7,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,8,7,8,7,39,7,15,8,15,8,15,7,15,8,7,
7,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,7,7,7,20, };
static unsigned short stb__times_bold_43_usascii_w[95]={ 0,7,16,19,18,35,30,7,12,12,16,22,8,13,
8,11,17,15,18,18,18,17,18,18,18,18,7,9,22,22,22,16,35,28,25,25,27,25,23,29,30,15,20,31,
25,36,28,28,23,28,29,19,24,28,28,39,28,28,26,8,11,8,18,21,9,18,20,16,20,16,15,18,20,11,
12,21,11,31,20,18,20,20,16,13,13,20,20,28,19,20,17,11,3,12,22, };
static unsigned short stb__times_bold_43_usascii_h[95]={ 0,28,14,28,30,29,28,14,35,35,16,22,13,5,
7,28,28,27,27,28,27,27,28,27,28,28,20,26,20,10,20,28,36,27,26,28,26,26,26,28,26,26,27,26,
26,26,27,28,26,35,26,28,26,27,27,27,26,26,26,34,28,34,15,4,7,20,27,20,27,20,27,28,26,27,
36,26,26,19,19,20,28,28,19,20,26,19,19,19,18,27,18,35,36,35,7, };
static unsigned short stb__times_bold_43_usascii_s[95]={ 207,236,112,43,152,171,63,246,79,121,76,
158,129,203,171,244,139,234,165,1,116,147,20,149,39,94,204,148,181,138,34,
157,14,184,23,113,224,198,174,174,122,132,99,64,38,1,120,207,198,92,168,
223,49,41,70,1,103,74,222,143,243,134,93,217,161,57,213,229,58,212,79,
204,153,135,1,1,96,97,129,1,22,1,179,20,108,76,196,150,235,95,217,
67,50,54,180, };
static unsigned short stb__times_bold_43_usascii_t[95]={ 30,1,198,38,1,1,38,151,1,1,198,
151,198,198,198,1,38,67,67,67,67,67,67,96,67,38,151,151,151,198,178,
38,1,67,151,38,124,124,124,38,124,151,96,124,124,124,96,1,96,1,96,
38,151,96,96,96,151,151,96,1,38,1,198,197,198,178,67,151,67,151,67,
38,124,67,1,151,124,178,178,178,38,38,178,178,124,178,178,178,178,67,178,
1,1,1,198, };
static unsigned short stb__times_bold_43_usascii_a[95]={ 155,207,345,311,311,621,518,173,
207,207,311,354,155,207,155,173,311,311,311,311,311,311,311,311,
311,311,207,207,354,354,354,311,578,449,414,449,449,414,379,483,
483,242,311,483,414,586,449,483,379,483,449,346,414,449,449,621,
449,449,414,207,173,207,361,311,207,311,346,276,346,276,207,311,
346,173,207,346,173,518,346,311,346,346,276,242,207,346,311,449,
311,311,276,245,137,245,323, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_43_usascii(stb_fontchar font[STB_FONT_times_bold_43_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_43_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_43_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_43_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_43_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_43_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_43_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_43_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_43_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_43_usascii_s[i] + stb__times_bold_43_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_43_usascii_t[i] + stb__times_bold_43_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_43_usascii_x[i];
            font[i].y0 = stb__times_bold_43_usascii_y[i];
            font[i].x1 = stb__times_bold_43_usascii_x[i] + stb__times_bold_43_usascii_w[i];
            font[i].y1 = stb__times_bold_43_usascii_y[i] + stb__times_bold_43_usascii_h[i];
            font[i].advance_int = (stb__times_bold_43_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_43_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_43_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_43_usascii_s[i] + stb__times_bold_43_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_43_usascii_t[i] + stb__times_bold_43_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_43_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_43_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_43_usascii_x[i] + stb__times_bold_43_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_43_usascii_y[i] + stb__times_bold_43_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_43_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_43_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_43_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_43_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_43_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_43_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_43_usascii_LINE_SPACING
#endif

