// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_44_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_44_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_44_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT        224
#define STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_44_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_44_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_44_usascii_LINE_SPACING          28

static unsigned int stb__times_bold_44_usascii_pixels[]={
    0x001cda80,0xeeccaa80,0x8000bcde,0xe800bde9,0x5dc9804f,0xaa99cc00,
    0x2aa2aaaa,0x552aaaaa,0x2a600000,0x01acdedc,0x20000000,0x003cedc9,
    0x200ffd40,0x99999998,0x4cccc419,0xbca88009,0xa8004881,0x8001ffff,
    0xbcdeffb8,0x2dffdcaa,0x2fff5400,0xd9813fa0,0x91001cff,0x3ff6e63f,
    0xfffd0fff,0x37a299df,0xff900001,0xfffd9dff,0xb000019f,0x9ff7000f,
    0x0003dff3,0xf7009ff1,0xbfffffff,0x2ffffea8,0xdbffd710,0x01fee1df,
    0x13ffffa0,0x1cffd980,0x01df7100,0x00dffb80,0x3fe609fd,0x3bee000f,
    0x1ffff700,0x4417fffa,0x260004fd,0x440bfffe,0x002ffffa,0x7fff6d44,
    0x7fe402ce,0x03fff70f,0x2006fd80,0x2ffffffa,0x4403bf60,0x3f60effe,
    0x8007ffdf,0x005ffffe,0x00017ff7,0xf000bfa2,0x13fa0dff,0x8013ffa2,
    0x3e600efb,0xfffd0fff,0x005fd807,0x04ffffc8,0x06ffffd4,0x6df7fd40,
    0x0cfffebf,0xf32fffcc,0x7d400dff,0x7fe4001f,0x3ee02fff,0x3ffff102,
    0x7fffff88,0xffffb800,0x0f7ec401,0x02fb8000,0x207fff20,0xfffb84fe,
    0x05ff5001,0xd0ffff98,0xf9807fff,0x3ffa004f,0xff7005ff,0xffc80dff,
    0xfffa9f63,0x12fffec4,0x1005ffff,0xf10009ff,0x640bffff,0x1bfff606,
    0x03ffffec,0x402deb80,0x0000dff8,0xc8007e40,0x4fe83fff,0x801fffd8,
    0xf9806ffa,0xfffd0fff,0x07ffb007,0x1fffff70,0x7ffff400,0xd8dff504,
    0x3e27fd47,0x3fe24fff,0x6fd803ff,0x3fff2000,0x207f00ff,0x904ffff9,
    0x000fffff,0x009fd000,0x802f4000,0xfe85fffd,0x03ffff84,0x401fffc4,
    0xfd0ffff9,0xff5007ff,0x7ffc405f,0x7e4005ff,0xff81ffff,0x7dc3ec5f,
    0x93fffe24,0x405ffff8,0x20001ffa,0x84fffff8,0xfff700f9,0x3ffee07f,
    0x4000007f,0x000006fc,0x7f400fcc,0x84fe84ff,0x6404fffe,0xff3007ff,
    0x3fffa1ff,0x0dffd003,0x17fffff4,0x3fffe600,0x3fffcc6f,0x993e21f6,
    0x3e24ffff,0x3e205fff,0xfc80004f,0x05c87fff,0x40bffff6,0x007ffffb,
    0x26666666,0x001ffa80,0x02203971,0x3ffe0132,0xc84fe82f,0x3e205fff,
    0xff3004ff,0x3fffa1ff,0x5fff7003,0xffffff50,0xffff0001,0x7ffd47ff,
    0x2641f63f,0xf897fffe,0x3f604fff,0xff300006,0x02f87fff,0x407ffffe,
    0x007ffffb,0x3ffffff6,0x7003ff84,0xff37ffff,0x80f505ff,0xe81ffff8,
    0x6fffb84f,0x00ffff20,0xe87fffcc,0xf3003fff,0xfff90dff,0x3a000dff,
    0x2a5fffff,0xfb4fffff,0xfffd0a20,0x17fffccb,0x0001ffa8,0x9bffffa0,
    0x3ffe606a,0xfff701ff,0xff8800ff,0x3fd44fff,0xd14ffd80,0x101ffff7,
    0x7ffd401f,0xa84fe80f,0xff107fff,0x3e6005ff,0xfffd0fff,0x3ffe2007,
    0x7ffff41f,0xffb0006f,0x7fc4dfff,0x07eeffff,0x99bffee0,0xf880efff,
    0x5400004f,0x9b2fffff,0x7ffffd40,0xfffff701,0xffffd000,0xe804fd89,
    0x7fff46ff,0xa807e06f,0x9fd07fff,0x20ffff10,0x000ffffb,0x3a1ffff3,
    0x3e003fff,0x7ffc5fff,0x90005fff,0x41ffffff,0xfffffffd,0x3fff4007,
    0x3605fff5,0xd000006f,0x1f1bffff,0x7ffffd40,0xfffff701,0xffffb000,
    0x2007fc49,0x7ec1fffd,0x0ba04fff,0xd06fff88,0x17ffe09f,0x003fffec,
    0x3a1ffff3,0x36003fff,0x3fe67fff,0x0004ffff,0x3ffffff9,0x7fffffc4,
    0xd3000eff,0x0fffa5ff,0x0000ffd4,0xfffffb80,0x7ffcc05d,0xfff702ff,
    0xffb000ff,0x02fdc9ff,0x3a17ffee,0x3201ffff,0x837fec03,0xfff984fe,
    0x0ffffd03,0x87fffcc0,0x2003fffe,0xf50ffffd,0x009fffff,0x3ffffee0,
    0x7fffcc3f,0x003fffff,0x077fbfb2,0x00027fc4,0xfffff100,0xfff8805f,
    0xfff702ff,0xffb000ff,0x017ec9ff,0x885ffff1,0x6c07ffff,0x0fff4402,
    0x7fe427f4,0x1ffffe05,0x0ffff980,0x4007fffd,0xf51ffffd,0x009fffff,
    0x3ffffee0,0xfffe882f,0x00dfffff,0x37e40040,0x19dfd930,0xffffc800,
    0xffffb007,0x3fffee09,0xfffd8007,0xc807fa4f,0xff987fff,0x00f405ff,
    0x3a06ffc4,0x02ffcc4f,0x00dffff1,0xe87fffcc,0x32003fff,0xff12ffff,
    0x000bffff,0x3ffffff2,0x3ffff201,0x000effff,0x407fea00,0xffd8dffc,
    0x3ffe6003,0xfff5004f,0x3fff60ff,0xffd8007f,0x403fe4ff,0xb84ffff8,
    0x7c02ffff,0x7ff91000,0x7ecd3fa1,0x7ffcc03e,0x3fe6006f,0x7fffd0ff,
    0x7fffe400,0x3fffffe3,0xfffb0006,0xea801fff,0xffffffff,0xff880000,
    0x21fff904,0x2003fff9,0x2001fffd,0x20dffffe,0x07fffffd,0x4ffffd80,
    0x7fdc0ff1,0xfffe81ff,0x001a600f,0xb4fe9fe4,0x3fea005f,0x3e6006ff,
    0xfffd0fff,0x7ffe4007,0x3ffffa4f,0xffd0006f,0x2200ffff,0xfffffffe,
    0x6fc80004,0x44ffff10,0x5000ffff,0xe8800dff,0xefdfffff,0x007ffffc,
    0x14ffffd8,0x7fffc0ff,0x6ffffa87,0x71001e40,0x53fa19fd,0x4c02dfd9,
    0x2006ffff,0xfd0ffff9,0x7e4007ff,0x3ff63fff,0xd0007fff,0x00bfffff,
    0x7fffffec,0x2a0000ff,0xfff901ff,0x03ffff8d,0x2000ffa0,0x4fffffd8,
    0x00fffff7,0x49ffffb0,0xffff106f,0x7ffffd0b,0xd1000f80,0x44fe81df,
    0x3e205ff9,0x26006fff,0xffd0ffff,0x7fe4007f,0x3ffe62ff,0xf8000fff,
    0x001fffff,0x3fffe7f6,0xd10002ff,0x7fff409f,0x02ffff46,0x80001f70,
    0x7ffdc1b9,0xffd8007f,0x4c1fa4ff,0x7d44ffff,0x2e01ffff,0x5ffd1005,
    0xff909fd0,0x3ffffc09,0x1ffff300,0x800ffffa,0x641ffffc,0x003fffff,
    0x27ffffd4,0x3e6fb004,0x0003ffff,0xfff80df9,0x37fff46f,0x00009900,
    0x3ffffdc0,0x7fffec00,0x3ea07f64,0x37a63fff,0x3e207fff,0x0fff9000,
    0x3fe613fa,0xffffd03f,0x7fffcc00,0x007fffd0,0x207fffec,0x06fffff8,
    0x7ffffec0,0x4fb00f80,0x003ffffa,0x7c01ffa8,0x7ff46fff,0x03f0086f,
    0x7fdc0000,0xfd8007ff,0x0bee4fff,0x453fffee,0x05fffeae,0x7fc005d1,
    0x209fd05f,0xffb05fff,0x7fcc00ff,0x7fffd0ff,0x3fffec00,0x2fffffb8,
    0xfffff300,0x3ec0be07,0x005ffff1,0xe804fe88,0x7ff46fff,0x837f625f,
    0x4000006a,0x007ffffb,0x24ffffd8,0xfffa83fa,0xfff4fdff,0x309d109f,
    0x41bffe60,0xfff884fe,0x1ffff707,0x3fffe600,0x007fffd0,0x7037fff4,
    0x200bffff,0x203ffffc,0xfe8fb05f,0x7e4000ff,0xfffc800e,0x71ffffc6,
    0x01745fff,0x3fee0000,0xfd8007ff,0x17e24fff,0x37fffffc,0xea89fffb,
    0xff305b83,0x213fa0ff,0xf107fffa,0x26005fff,0xffd0ffff,0x7ffc007f,
    0x7ffd402f,0x7ffdc04f,0x40ffc02f,0x13ffe27d,0x003ff300,0xf89fffe6,
    0x3ff60fff,0x0000d54f,0xfffff700,0xffffb000,0xfd80fe89,0x7fcc5fff,
    0x82eebcff,0xfff100f8,0x709fd01f,0x7e40dfff,0xff3003ff,0x3fffa1ff,
    0xdfff3003,0x3fffa600,0x3ff6609d,0xfff802ff,0xdff73ec2,0x04fe8800,
    0x98fffe40,0x7fd43fff,0x0002fcff,0xffffc800,0x7fec000f,0x827cc4ff,
    0xd9303eeb,0x1e4039df,0x20bfffe0,0xfffc84fe,0x17ffe205,0x87fffcc0,
    0x5003fffe,0x98005fff,0xffeffffc,0x3e001dff,0xfd8acfff,0x000dffd8,
    0x400077e4,0xffd8dffc,0x5ffffd03,0xba800000,0xbeffffff,0xffffb000,
    0x0003f709,0x201a2000,0xfe83fffe,0x04fffe84,0x4007ffe4,0xfd0ffff9,
    0x3f6007ff,0x7ec0006f,0x001fffff,0xffffec98,0x002effff,0x0002ff98,
    0x077bfb66,0x00015710,0xaaaa8800,0x00aaaaaa,0x09ffffb0,0x000001ba,
    0x3f600ba2,0x84fe84ff,0x4403ffff,0xf9803fff,0xfffd0fff,0x5fff1007,
    0xfff88000,0x40004fff,0x01feba98,0x0004c400,0x00000000,0x00000000,
    0x04ffffc8,0x000009f3,0xfc801f44,0x84fe83ff,0xa802fffe,0xff9807ff,
    0x7fffd0ff,0x009ff900,0x3fffee00,0x200001ff,0x0000007d,0x00000000,
    0x00000000,0xfff926c4,0x01fdc07f,0x01f44000,0xd03fff70,0x3fff709f,
    0x00ffea00,0x3a1ffff3,0x7c403fff,0x6c00005f,0x01ffffff,0x00095000,
    0x00000000,0x00000000,0x2ffe8000,0x803ffff7,0x00001eea,0xfe8005f5,
    0x309fd06f,0x5c009fff,0x3fe600ef,0x7fffd0ff,0x0005fc80,0xfffff900,
    0x0000019f,0x00000000,0x00000000,0xff000000,0x13ffea7f,0x001fe440,
    0x8005dd50,0xfd00eff9,0x03ffea09,0x700efb80,0x3fa1ffff,0x17f605ff,
    0xfd500000,0x9bdfffff,0x7fffd419,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0x7fdc0000,0x001fff94,0x00abee98,0x00177544,0x8037ff66,
    0x3fe604fe,0xfb1000cf,0x3fff2e63,0xffffd0ff,0x07b6259b,0xda800000,
    0x3ceffffe,0x7fffffd4,0xffffffff,0x00ffffff,0x00000000,0x00000000,
    0x6fff4400,0x20001eff,0xccdffeca,0x002dffed,0x801cef98,0x654404fe,
    0x8a4c007e,0x21999999,0x19999998,0x00000055,0xc9801100,0xcccccccc,
    0xcccccccc,0x00000ccc,0x00000000,0x00000000,0x00055955,0x35775100,
    0x00000001,0x00000597,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999980,0x0072a209,0x6654c400,
    0x000009ab,0xddd97310,0x0570159b,0xfe82f6e2,0x37260004,0x8001cdee,
    0x0bd704ec,0x55555510,0x35555555,0x2aaaaaa2,0x555002aa,0x40355555,
    0x001bcca9,0x0e6ee4c0,0x55555400,0x0aaaaaaa,0xfffffd10,0xffffd15f,
    0xf900019f,0xffd9dfff,0x200009ff,0xdeffffe9,0x8adfffec,0xfffd02f9,
    0x001bee1f,0x3fef7f66,0x2001dfff,0x0bfb03ff,0xfffd9510,0x37bfffff,
    0x3ffffb22,0xca803fff,0x82dfffff,0xffdfffe9,0x0fffffff,0xfb9ffb10,
    0x3e60019f,0xffffffff,0x7dc00fff,0xefebffff,0x004fffff,0x02ffffa6,
    0x05dfff71,0x7fffe400,0x3fffaa03,0xfff982ff,0x03ff33ff,0x910ffc40,
    0x001fffff,0x3fe05ff3,0xfffe8004,0x7ec02fff,0x02ffffff,0x201ffd10,
    0x361efffb,0x0fffffff,0x2a2ffe88,0xfc800eff,0xffffffff,0xff8804ff,
    0xd30dffff,0x9005ffff,0x9807ffff,0x000dffff,0x03bfffa6,0x17fffdc0,
    0x37ffffdc,0x7f4007fd,0xffffe81f,0x80ffa806,0xb8002ff8,0x007fffff,
    0xfffffffd,0x413ea001,0x4c3ffff9,0x8199efff,0xff86ffe8,0xffff806f,
    0xffffffff,0xffff8801,0x7ffcc0ff,0x3ff600ff,0xff5005ff,0x3ea00dff,
    0x4001ffff,0xfb82fffa,0x3f25ffff,0x9fff3006,0x3fffff70,0xf507fc80,
    0xff50001f,0x3200ffff,0x6fffffff,0x3e07f300,0xff80ffff,0x3fee04ff,
    0x2fffe84f,0x3ffffe60,0x06ffffff,0x0fffffe0,0x827ffff4,0x007ffffb,
    0x027ffff4,0x0fffffe2,0x417fd400,0x24fffffa,0xfb800ff9,0xfffa87ff,
    0x2ff403ff,0x50007fb8,0x00ffffff,0x3ffffff2,0x2f8805ff,0x07ffff98,
    0x7c0ffffd,0xffd83fff,0x333f206f,0xcccccccc,0x3fffe002,0xffff902f,
    0xfffff10b,0xfffb800b,0x3ff601ff,0x6c0007ff,0xffff882f,0x401ffc2f,
    0x4c0ffffa,0x403fffff,0x0bfb03ff,0x3fffea00,0xf7d9007f,0x07ffffff,
    0xffa81f88,0xfffd07ff,0xffff503f,0x3ffff905,0x000017e0,0x817ffffc,
    0xe87ffffb,0x002fffff,0x37ffffcc,0x4fffffb8,0x817cc000,0x640fffff,
    0xdfff005f,0x3fffff50,0xf817fcc0,0xff50004f,0x3200ffff,0xffffffb6,
    0x40fc403f,0xb07ffff9,0xf703ffff,0xff905fff,0x05f507ff,0x3ffe0000,
    0xfff702ff,0x7ffd41ff,0xf8000fff,0x443fffff,0x02ffffff,0xfb02d800,
    0x1ff50fff,0x7dc0aa00,0x2aa27fff,0xaabffcaa,0x2acffbaa,0x7fffd400,
    0x74d9007f,0x0fffffff,0x3fe03f10,0xfffd07ff,0x3ffff60f,0x5ffffc82,
    0x009bcfd8,0x3fffe000,0xffff502f,0x7fffe43f,0xffb0006f,0xffb8bfff,
    0x0001ffff,0xfff70088,0x000bfe0b,0x93ffff60,0xfffffff9,0xffffffff,
    0x7d4007ff,0x9007ffff,0x7ffffc4d,0x03f106ff,0x203ffff2,0xfd04ffff,
    0xff905fff,0xfff88fff,0x003effff,0x17ffffc0,0x1fffffa8,0x1bfffffa,
    0x7fffec00,0x7fffec6f,0x000000ff,0xd81fffcc,0x7c40005f,0x7fcc6fff,
    0xffffffff,0x7fffffff,0x7fffd400,0x98d9007f,0x4fffffff,0xff301f88,
    0xfff985ff,0xfffff01f,0xfffff905,0x7ffffd41,0x002effff,0x05fffff0,
    0x83ffffea,0x05ffffff,0xfffff900,0x7ffff41f,0x8000007f,0xf501fff8,
    0xffc8000f,0x3ff800df,0x4000bfb0,0x07fffffa,0xfff70d90,0xf887ffff,
    0x3bffe601,0x01dffb11,0x0bffffe2,0x87fffff2,0xfffffffd,0x001effff,
    0x817ffffc,0x266ffffb,0x05ffffff,0xfffff900,0x3fffe23f,0x000006ff,
    0x7c40ffd0,0x3fe0002f,0x5ff3003f,0x80013fe0,0x07fffffa,0x3ff20d90,
    0x221fffff,0x7fdc401f,0x404fffdf,0x82fffff9,0x11fffffc,0xffffffff,
    0x01ffffff,0x17ffffc0,0x25ffffb8,0x4ffffffa,0xffff9000,0x3ffe65ff,
    0x00005fff,0xd80bf900,0xff70004f,0x07fd4003,0x00017fc4,0x0ffffff5,
    0xffd81b20,0xf10fffff,0x757d5003,0x3fee0017,0xffc82fff,0xfff72fff,
    0xffffffff,0x7c00bfff,0xfb02ffff,0x7fd47fff,0x0004ffff,0x5ffffff7,
    0x3fffffea,0x70000005,0x07fb809f,0x8003fd00,0x1ff507fc,0x7ffd4000,
    0x0d9007ff,0x7fffff44,0x4403f15f,0x2e0000fd,0xc82fffff,0x882fffff,
    0xffffeba9,0xf003ffff,0x3e09ffff,0x3e20ffff,0x005fffff,0xffffff90,
    0x3ffffe63,0x0000006f,0xff8807f3,0x00fc4001,0xfb82ff40,0x7fd40007,
    0xd9007fff,0xfffff980,0x201f8cff,0x540006ff,0xc82fffff,0x000fffff,
    0xffffff93,0x3fffe00b,0x7ffdc4ff,0xfffff81f,0xff90006f,0x3e21ffff,
    0x807fffff,0xffffffd8,0x442effff,0x04fe802f,0x330034c0,0x33339ff3,
    0x3333dfb3,0xffffa800,0x00d9007f,0xfffffff5,0x3fea03f7,0xf30000bf,
    0xf905ffff,0x1000ffff,0x00fffffd,0x3f3ffffe,0x3ffffdce,0xdfffffd0,
    0x3fff6000,0x7fffc6ff,0x2e000fff,0x0fffffff,0x3ee007e0,0x8024c006,
    0xfffffff9,0xffffffff,0x7d4007ff,0x9007ffff,0x3fff200d,0xb01fffff,
    0xffffffff,0x1059dfff,0x905fffff,0x000dffff,0x07ffffa2,0x2bffffe0,
    0x3effffe8,0x3fffff60,0xfffd0007,0xfffc8bff,0x7c001fff,0x403fffff,
    0x03ff3002,0xf9800c40,0xffffffff,0xffffffff,0x7ffd4007,0x0d9006ff,
    0x7ffffec0,0xfff901ff,0xffffffff,0xfff09fff,0xfff905ff,0x7c4000bf,
    0xff800fff,0x2ea22fff,0xffff9800,0x7c4000ff,0x4c1fffff,0x02ffffff,
    0x7fffffc0,0x3fa00003,0x51000003,0x5555ffb5,0x5557ff95,0x40cfd985,
    0x06fffffa,0x74400d90,0x01ffffff,0xfffffff3,0xffffffff,0x2ffffe89,
    0x04ffffc8,0x037fe400,0x02fffff8,0x7fffe400,0x7fcc003f,0xffb04fff,
    0xe8007fff,0x002fffff,0x001bf200,0x417fa000,0xfff807fc,0x7fffd44f,
    0x00d9005f,0xffffff88,0x3fffe601,0xffffffff,0x7ffe46ff,0xffffc82f,
    0x7fd40003,0xfffff004,0xff880005,0x64006fff,0x100fffff,0x00dffffd,
    0x2fffffe8,0x4c00b660,0xcb8800ff,0x81ffc001,0x7fd405fd,0x7ffd47ff,
    0x0d9005ff,0xfffff500,0x77fecc03,0xffeeedcc,0x3fe60fff,0xfffc83ff,
    0x7c40000f,0xffff002f,0xf700005f,0x2003ffff,0x03fffff8,0x17ffffcc,
    0xfffffd00,0x1ffff605,0x2201ffc0,0x3003ffff,0x13fe05ff,0x8dffff70,
    0x03fffffb,0x2e000d90,0xfb01ffff,0xff91007f,0x09fffb0d,0x9309fffb,
    0x0ff50017,0x17ffffc0,0xfffc8000,0xfff9005f,0x3fea009f,0xfd000eff,
    0xf105ffff,0x9005ffff,0xfffb80bf,0x1ff5007f,0x9805ff30,0x7dc2ffff,
    0xb000ffff,0x7fec000f,0x06ff981f,0x2a0ffe20,0xfff84fff,0x7fffc40f,
    0x8017f404,0x02fffff8,0x3fff2000,0x7ffdc04f,0x7f4c004f,0xfe800eff,
    0xfa82ffff,0xa805ffff,0x3ff600ff,0xfc801fff,0x001ff506,0xffb0fff9,
    0x7f4005ff,0x3ffa0001,0x01fff981,0x3201ff50,0x7ffcc7ff,0xfffffa83,
    0x003fb82e,0x0fffffe6,0xffd50000,0x36e213bf,0x0002efff,0x073fffee,
    0x3ffffee2,0xffff880c,0x05ff002f,0x037fffdc,0xff905fe8,0x45ffec00,
    0x02ffffb8,0x03dff910,0x407fe200,0x5102effd,0xfc801df9,0x07ffb13f,
    0x7ffffff4,0x002ffcbd,0x3fffffae,0x400001bf,0xffffffdb,0x0003dfff,
    0xfffff910,0x9fffffdf,0xbfff7003,0x102fec00,0x2005fffd,0x0bfb03ff,
    0xfffffa80,0xea802dff,0x5fffffff,0x201f9800,0xeeefffda,0x2003efff,
    0x2effffeb,0x7fffec40,0x000bceff,0x2aaaaaa2,0x00002aaa,0x57975510,
    0x40000015,0xaabccaa9,0x0a880009,0x40264c00,0x33220029,0x00059901,
    0x0006f2a6,0x0a800000,0xbcaa9880,0x5c400009,0x5544000a,0x000000ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaaaaaa,0xba880002,0x555512dc,0x80001555,
    0xaaaaaaaa,0x2aaaaaaa,0xbdb95000,0x44000039,0x01acdcba,0x201fea00,
    0x8001cdb9,0x1cdeecb8,0xb8800244,0x00aceedc,0xbb950075,0x5554c059,
    0x00001aaa,0xffffd900,0x6cc000ff,0x3220adff,0x02fffffe,0x7ffffc00,
    0xffffffff,0x74c004ff,0x4ffffeff,0xfffb8000,0x01dfffcd,0x3205fd80,
    0xdfffceff,0xefffa800,0xc9beffdc,0x7fed4005,0xfffeffff,0x203e88bd,
    0xffffffea,0xfffea81e,0x000005ff,0x3ffffec0,0x6fff5400,0x7fffcc01,
    0x3e20002f,0xffffffff,0x02ffffff,0x543bfea0,0x0004ffff,0x441dfff1,
    0x4002fffd,0x9ff902ff,0x00f7ffcc,0xf503bffb,0x2200bfff,0x0aeffffd,
    0x7ffffe4c,0xfffff703,0x201fffff,0x005fffff,0x7fdc0000,0x7ec007ff,
    0xff1003ff,0x40005fff,0xfffffffa,0x7fffffff,0x0bffe200,0x001ffff9,
    0x107fffd0,0x2001ffff,0xffb80ffa,0x7fffec0f,0x407ffb80,0x9805ffd8,
    0x803fffff,0xb83fffd8,0xffffffff,0xffb05fff,0x00000bff,0x7ffffb80,
    0x7fffd100,0xfffff800,0x3ff20002,0xffffffff,0x2004ffff,0x7cc0fffd,
    0x64002fff,0xfb00ffff,0x3f2009ff,0x87fffa85,0x445ffff9,0xe8803fff,
    0x7ffd405f,0x7ec002ff,0x45efc43f,0xffffffc9,0xffffd80f,0x40000005,
    0x807ffffb,0x004ffff8,0x02fffff8,0x3ffffa00,0xfeeeeeef,0x3fe002ff,
    0xffff81ff,0x7fff4001,0xdfff901f,0x3a0ffe00,0xff886fff,0x3fee1fff,
    0x0bf3002f,0x27ffffc4,0x21ff4400,0xffff105d,0xfffb03ff,0x000000bf,
    0x07ffffb8,0x005fffe8,0x05fffff0,0x02ffe200,0x8801ffe0,0xfd83ffff,
    0x7fc4007f,0xff904fff,0x1ff300ff,0x20dffff0,0x364fffff,0x36005fff,
    0xffffd105,0x3e60001f,0xff901223,0xffb01fff,0x00000bff,0x7ffffb80,
    0x0ffffe40,0xfffff800,0x03f50002,0x8017fea0,0xf86ffff9,0xff8002ff,
    0xff907fff,0x0df9009f,0x20dffff3,0x3a7ffffe,0x5004ffff,0x3ffff20d,
    0x1f40004f,0x3fffe200,0xbffffb06,0x2e200000,0xffff70ac,0x7fffd40f,
    0x3ffe0006,0x0b2e62ff,0x7e400550,0x3fe2002f,0x3fee1fff,0xfffb0004,
    0xfffd0bff,0x707fd003,0x360fffff,0xfb1fffff,0x0019ffff,0x3ffffe09,
    0x1dc0003f,0x3fffe200,0xbffffb02,0x33333330,0xfffeb801,0xffffb9ff,
    0x3ffff607,0x3ffe0003,0xfffe8aff,0x80000dff,0xff8007ff,0xefe9cfff,
    0x3fee0001,0xf10dffff,0xff300dff,0xfffff903,0x3fffff20,0xffffff71,
    0xff70007f,0x0003ffff,0xffa80010,0x3fff603f,0x7fff445f,0x3ee04fff,
    0xdfdaaeff,0xf307ffff,0xb951ffff,0xfff00159,0xff9dfbff,0x8000bfff,
    0xd8005ffa,0x2effffff,0xfff98000,0xfc9effff,0x0df7004f,0x03fffff2,
    0x4bffffee,0xfffffff9,0x3fa002ef,0x000fffff,0xffd80000,0x7fffec02,
    0x07fff505,0x42ffff98,0x07fffffc,0xfffffff9,0x805fffff,0x22ffffff,
    0x04ffffd8,0x00bff200,0x3ffffee0,0x3bbba606,0xffa84eee,0xffffffff,
    0x413fa002,0x81fffffa,0x22fffffb,0xfffffffc,0xff801eff,0x0007ffff,
    0xfffc8000,0x7fffec04,0x803ff305,0xd06ffff8,0x3e0fffff,0xcacfffff,
    0x204fffff,0x883fffff,0x002fffff,0x8001fff0,0xffffffe9,0x3fffaa02,
    0xfff500be,0x01dfffff,0x4c07fe20,0xb84fffff,0x6c1fffff,0xffffffff,
    0xff100dff,0x000bffff,0x3fae2000,0xb00effff,0x3a0bffff,0xfffc800e,
    0xffff703f,0xfffff10f,0xfffffa87,0x5fffff01,0x13ffff60,0x017fe600,
    0xffdefe98,0x2a00ffff,0xf9800eff,0xffffffff,0x407fb801,0xc86ffffe,
    0x440fffff,0xfffffffe,0xf981ffff,0x004fffff,0xfff88000,0x1fffffff,
    0x85ffffd8,0xffb000ed,0x3fee05ff,0xfff987ff,0xffff83ff,0xfffff06f,
    0x3ffff205,0x2ffc8006,0x227ff900,0x05ffffff,0xc8007fe6,0xffffffff,
    0x027ec01f,0x0fffffe6,0x40fffffb,0xfffffffc,0x7d42ffff,0x005fffff,
    0xfd510000,0x0bffffff,0xd8bffffb,0x3ffe000e,0xfff701ff,0xffff50ff,
    0xffff905f,0xfffff01f,0x3fffee05,0x0fff8007,0x22ffec40,0x3ffffffb,
    0x2a009f90,0xffffceff,0xf100efff,0xfff7005f,0xffff9dff,0xfd980bff,
    0xffffffff,0x3fffe61f,0x000006ff,0xfffffa80,0x7ffec1ff,0x8017f65f,
    0x01fffff8,0x70fffff7,0x305fffff,0xf05fffff,0x2a05ffff,0x001fffff,
    0x36017fe6,0xffe82fff,0xee82ffff,0x1fffc800,0xfffffff7,0x801fea07,
    0xdfffffe9,0x002fffff,0xffffffd3,0x7ffc4bff,0x00007fff,0xffff3000,
    0xfffd85ff,0x07fffb5f,0x3ffffe60,0xfffff701,0x5fffff50,0x7fffff10,
    0x05fffff0,0x07ffffea,0x402ffc80,0x981ffffa,0x1fffffff,0x3ee007ee,
    0x7ffd46ff,0xbfb06fff,0x15751000,0x18fffff5,0xffffea80,0x3ffe0fff,
    0x0000ffff,0xfff50000,0xfffd87ff,0xfffffddf,0xffffa800,0xffff701f,
    0xfffff10f,0xfffff107,0x5fffff07,0x3ffffea0,0x03ffe000,0x07fffff0,
    0x3ffffff2,0xd004f98e,0xff509fff,0xff01ffff,0x3f600005,0x007c4fff,
    0xffffffb8,0x3fffff62,0x0000001f,0x0bffff60,0xfdfffffb,0x500bffff,
    0x203fffff,0xf07ffffb,0x3e09ffff,0xff82ffff,0xff502fff,0x7cc00dff,
    0x7ffc405f,0x3ff606ff,0x06eeffff,0x07ffff10,0x0bfffff6,0x00001ff5,
    0x81fffff1,0x3fea002f,0x3fe63fff,0x0002ffff,0x3fe60000,0x7ffec1ff,
    0xffffc8ef,0x7ffcc03f,0xfff702ff,0x3fff60ff,0xfffff05f,0x5fffff01,
    0x13fffee0,0x402ffc80,0x0ffffffa,0xfffffd10,0x3ee003ff,0xff502fff,
    0x5fc85fff,0xfff70000,0x800bf05f,0x741ffffb,0x005fffff,0x7fc00000,
    0xffffd87f,0x3fffffa5,0x3fffe200,0xffff703f,0x3ffff20f,0x0dffff05,
    0x40bffffe,0x003ffffb,0xf3003ffa,0x40bfffff,0xfffffff8,0x7fdc101e,
    0xfff102ff,0x03ff81ff,0xfffe8800,0x4001ff04,0x540ffff8,0x00ffffff,
    0xd0000e00,0xfffb0bff,0x7fffccbf,0x7ffec06f,0xffff705f,0x3fffe60f,
    0x09ffff07,0x40bffffe,0x001ffffd,0xf100bff3,0x0bffffff,0x7fffffcc,
    0x987443ff,0x3a04ffff,0x7fcc7fff,0x7f440000,0x1bfe05ff,0x20dfff00,
    0x04fffffc,0xbb88f700,0x07ffc400,0x22ffffec,0x04fffffb,0x0bffffe6,
    0x0ffffff3,0x20ffffe4,0xf00ffff8,0x3a07ffff,0x32002fff,0xffb003ff,
    0x01bfffff,0xffffffd3,0x47f77dff,0x105ffff8,0xfc85ffff,0x7f440006,
    0x7ffc03ff,0x3fff7004,0x7ffffec0,0x227e4003,0x2a01ffff,0xfffb02ff,
    0xffffd0bf,0x7ffec03f,0x3fffa66f,0xfd102fff,0xfffa89ff,0x3ffffe01,
    0x04fffa86,0x8007ff40,0xfffffff8,0xffdcbeff,0xfffffffd,0xffa86fff,
    0xfffb81ff,0x0003fe85,0x00bfffa2,0x0033fffe,0xf9007fff,0x8019ffff,
    0x7fcc2fe9,0xbfb03fff,0x2ffffec0,0x77ffffcc,0x3ffff600,0xfffbcfef,
    0xe880dfff,0xffd12fff,0xfdfff803,0xbffd30cf,0x06ff9800,0x7ffffcc0,
    0xcfffffff,0xfffffd30,0x3ee01dff,0x3faa0eff,0x0ffcc0df,0x77fecc00,
    0xffff000b,0xfd8815ff,0x3fe6003f,0x9aacffff,0xb00dffdb,0x37dfffff,
    0x7cc05ff9,0xe80fffff,0x00dfffff,0x53fffff2,0x1acdfffb,0x7f7fed40,
    0x2ef801cf,0xbffdffb1,0x7ff90007,0xfff91000,0x019fffff,0x37fffff2,
    0x7ffec400,0x701efffe,0x75c400df,0xf8002dff,0xeffeb98d,0x000dfffe,
    0xfffffb50,0x807bffff,0xffffffd9,0x3f200cff,0x4fffffff,0x3ffffff6,
    0x55cc02ff,0x00002a60,0x03800373,0x80003753,0x20000ccb,0x009bca98,
    0x00157310,0x09aba988,0x500165c0,0x38000135,0x13797510,0x2a620000,
    0x80009bca,0x009acaa8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0xaaaaaaaa,
    0xaa81aaaa,0x22aaaaaa,0xaaaaaaa9,0x2202aaaa,0xaaaaaaaa,0x55555530,
    0x54c35555,0xaaaaaaaa,0x555102aa,0x2aa21555,0xaaaaaaaa,0xaaaa82aa,
    0x261aaaaa,0xaaaaaaaa,0x55402aaa,0x30aaaaaa,0x55555555,0x55555555,
    0x45555555,0xaaaaaaa8,0x999aaaaa,0xb8000009,0x401deedc,0x32600cda,
    0x7fff65c1,0x1bceffff,0xfffffdb8,0x3fffaa2c,0x2cefffff,0x3fff7220,
    0xffd50eff,0x5bffffff,0x7ffffe54,0x303cffff,0x21bfffd9,0xffffffc8,
    0xb82cffff,0xcefffffc,0x3ffff6a1,0x02cfffff,0x7ffffed4,0xfffff90d,
    0xffffffff,0xffffffff,0x7fe5c4ff,0xffffffff,0x1defffff,0x77f54000,
    0x902fffd9,0xf901ffff,0xfff10dff,0x2001ffff,0x2e00ffe8,0x06ffffff,
    0x03fff980,0x9ffffffb,0x7ffffc40,0xff1002ff,0x3fffa209,0xb802ffff,
    0x7cc03fff,0x03ffffff,0x2077fc40,0x99adfffc,0xbffffff9,0x7fffba99,
    0xffffff10,0xff953339,0x20009fff,0xff72fffb,0xffff10df,0xffff887f,
    0xffffd82f,0x1fe4005f,0x7fffff40,0x05ff0006,0x7fffffcc,0x7fffd404,
    0x1fa002ff,0xffffff30,0x7ff3007f,0x3fffee00,0xff8005ff,0xf01ffc81,
    0x105fffff,0x7fec0ffd,0xfd104fff,0x4003dfff,0xf71ffff9,0xfff10dff,
    0xfffb87ff,0xfffd85ff,0x7dc005ff,0xffffa802,0x7c4001ff,0xffffd805,
    0xffff806f,0x13e005ff,0x3ffffee0,0x27e400ff,0x3ffffa00,0x3ea000ff,
    0x7c07f903,0x202fffff,0x3fff207e,0x3fe604ff,0x32006fff,0xfb11ffff,
    0x3fff605d,0x7fffcc0f,0xffffc83f,0x17d4004f,0xffffff80,0x00fdc005,
    0x7fffffd4,0x7fffdc01,0x0fa800ff,0xfffffb00,0x02fcc0bf,0x7ffffcc0,
    0x81ba004f,0x7fffc06c,0x81ea02ff,0x04fffffc,0x1ffffff4,0x1ffffe80,
    0x0efe4400,0x80ffffd8,0x04fffffc,0xb800fd40,0x00ffffff,0xfe8017a0,
    0x4404ffff,0x03ffffff,0x3e2005d8,0x02ffffff,0x360001dd,0x01ffffff,
    0x13201fb8,0x5ffffff0,0x3ff20780,0x7e404fff,0xf005ffff,0x0003ffff,
    0x9016d400,0x009fffff,0xf1001fa8,0x007fffff,0xfb8007e6,0x400fffff,
    0x06fffffd,0x2e0017c4,0x0fffffff,0x30000fec,0x0bffffff,0x0dc04f88,
    0x3fffffe0,0xff902402,0xfb809fff,0x8806ffff,0x001fffff,0x7e400000,
    0x4004ffff,0x3f2001fa,0xb007ffff,0xfff8800d,0x7d403fff,0x201fffff,
    0xfd8000fb,0x2e5fffff,0xfc80002f,0x201fffff,0xf80000fc,0x002fffff,
    0x3fffff20,0x7fffdc04,0x3e66206f,0x019affff,0x4ccccccc,0x3ff20000,
    0x54004fff,0x3fe6001f,0x4402ffff,0xffd8002f,0x7e406fff,0x204fffff,
    0xff10004e,0xf55fffff,0x3e200007,0x306fffff,0x3e00007f,0x002fffff,
    0x3fffff20,0x7fffec04,0x3fff604f,0x07ffffff,0x3fffffa2,0x3f20002f,
    0x4004ffff,0x7ec001fa,0x6406ffff,0xfff30006,0x3e203fff,0x07ffffff,
    0x540003f3,0xffffffff,0x7dc00005,0xe82fffff,0x3fe00006,0x0002ffff,
    0x13fffff2,0x5ffffff0,0x7fff7640,0xa805eeff,0x002fffff,0x3fffff20,
    0x00fd4004,0x3ffffea0,0x007f101f,0x7fffff40,0xfff3f704,0x0d905fff,
    0xffffb000,0x00000fff,0xdffffff1,0x00001fb8,0x0bfffffe,0xffffc800,
    0x3ffea04f,0xff1005ff,0x44003fff,0x002fffff,0x3fffff20,0x00fd4004,
    0x7fffff40,0x0001f704,0x7fffffdc,0xfffb5e80,0x007f0bff,0xfffff100,
    0x000005ff,0x7ffffff7,0x000013e2,0x05ffffff,0x7fffe400,0xffff704f,
    0x3e2001df,0x4001ffff,0x002fffff,0x3fffff20,0x00fd4004,0x7ffffdc0,
    0x0004e80f,0x7fffffc4,0xffa8fcc3,0x3ea0ffff,0xff500000,0x001fffff,
    0xffffd000,0x0003f2ff,0xffffff00,0x7fe40005,0xcaaadfff,0x02effffe,
    0x7ffffc40,0x7fffc001,0x1ceb882f,0x9fffff90,0x001fa800,0xffffff88,
    0x00007d43,0x37ffffec,0xfffff1b2,0x0002ec7f,0x3fffff60,0xa800005f,
    0xfdffffff,0xff800003,0x0002ffff,0x3ffffff2,0xffffffff,0xfff10003,
    0xff8003ff,0xffe82fff,0xfffc80ff,0x7d4004ff,0xfff90001,0x005e8dff,
    0xfffff300,0xf90fe23f,0x3e2dffff,0x7d400002,0x02ffffff,0xfffe8000,
    0x00006fff,0x5ffffff0,0x7ffe4000,0xffff54ff,0x22000bff,0x001fffff,
    0x217ffffc,0x83fffff9,0x04fffffc,0x8000fd40,0x2ffffff9,0x400003f3,
    0x74fffffe,0xffff981f,0x0007b9ff,0x7fff7cc0,0x0000ffff,0x7ffffcc0,
    0xf000003f,0x005fffff,0x7ffffe40,0x3fffff24,0xff88003f,0x7c001fff,
    0x7dc2ffff,0xfc85ffff,0x4004ffff,0x360001fa,0xdb5fffff,0xffb80000,
    0x04e8ffff,0xd9fffffd,0x74400009,0xffffff96,0xfd00000b,0x0007ffff,
    0x3ffffe00,0x3f20002f,0x3a24ffff,0x01ffffff,0x7ffffc40,0x7fffc001,
    0x7fffc42f,0xffffc82f,0x0fdc005f,0xffff5000,0x0005f5ff,0xfffff880,
    0xff701fdf,0x003fffff,0xfd07ec00,0x007fffff,0xffffe800,0xf000003f,
    0x005fffff,0x7ffffe40,0x7ffffcc4,0x7fc4006f,0x7c001fff,0xfb82ffff,
    0xfff705ff,0xfb800bff,0x7ff40000,0x0006ffff,0xfffffb00,0x7ffc40bf,
    0x00006fff,0xfff307f2,0x0001ffff,0x7fffff40,0xff000003,0x0005ffff,
    0x27ffffe4,0x7fffffe4,0x3ffe2004,0x7fc001ff,0x15102fff,0x7ffffdc0,
    0x003ec005,0x7ffffdc0,0x3000003f,0x05ffffff,0x3fffffd8,0x05f50000,
    0x3ffffff2,0x3fa00005,0x0003ffff,0xffffff00,0x7fe40005,0xffd04fff,
    0x2003ffff,0x01fffff8,0x17ffffc0,0xffff3000,0x05f800df,0xffff8800,
    0x4000007f,0x807ffffe,0x00fffffa,0x404f9800,0x3ffffffe,0xfffd0000,
    0x000007ff,0x0bfffffe,0xffffc800,0xffff104f,0xf1001fff,0x8003ffff,
    0x002fffff,0x7fffffc0,0x007f7000,0x3ffff200,0x5c000004,0xf003ffff,
    0x0000bfff,0xff300df3,0x001fffff,0xfffffd00,0x3e000007,0x002fffff,
    0x3fffff20,0x3fffee04,0xff8805ff,0x7c001fff,0x0002ffff,0x27ffffe4,
    0x00037d40,0x01ffff30,0xff880000,0xff9000ff,0xe880005f,0xfff9001f,
    0x0000dfff,0x07fffffd,0x3ffe0000,0x20002fff,0x04fffffc,0x7fffffec,
    0x7fffc403,0x7ffc001f,0xe80003ff,0x204fffff,0x00001ff9,0x00027fec,
    0x05ffd800,0x001ffe60,0x400ffd10,0xfffffff8,0x7ffc0004,0x00004fff,
    0x7ffffff0,0x7ffec000,0x7fc405ff,0x201fffff,0x02fffff8,0x3ffffe20,
    0xfd880003,0xbbdfffff,0x0001fffd,0x001ffa80,0x3ff30000,0x004fe800,
    0x7ffff710,0x3fffea00,0x000cffff,0xffffffb8,0x6400001f,0x0effffff,
    0xffffa800,0x7d401fff,0x01ffffff,0x1bfffff7,0x3fffee00,0x500000ef,
    0xfffffffd,0x000007df,0x000005e8,0x5c003740,0xffc8001f,0x1effffff,
    0xffffffa8,0x02ffffff,0xfffffee8,0x4eefffff,0xfffd7000,0xdfffffff,
    0x7ff4c01d,0xffffffff,0xfff900ef,0x764dffff,0xffffffff,0x3fffe206,
    0x003fffff,0x332ea200,0x000001ab,0x00000350,0x88001a80,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaaa980,0x5510001a,0x88155555,0xaaaaaaaa,0x2a0001aa,0xaaaaaaaa,
    0x5555512a,0x55555555,0x2aaa0003,0xaaaaaaaa,0x5555102a,0x40555555,
    0xaaaaaaa9,0xaaaaaaaa,0x220aaaaa,0xaaaaaaaa,0x511aaaaa,0x55555555,
    0x2a635555,0xaaaaaaaa,0x1000aaaa,0x555540b7,0xaaaaaaaa,0xaaaaaaaa,
    0x85edc42a,0x5fffffea,0xfff91000,0xca887fff,0xfffffffe,0xfff30006,
    0x57bfffff,0x3fffb2a2,0x1bcfffff,0xffd95000,0x7bffffff,0x3fff2e20,
    0x3203dfff,0xffffffff,0xffffffff,0x65445fff,0xfffffffe,0xd9511bdf,
    0xffffffff,0x3f6e637b,0xefffffff,0x7e4400ac,0x3fb2a07f,0xffffffff,
    0xffffffff,0x3fff20ff,0x2fffff46,0x3ffe6000,0x3fa203ff,0x01ffffff,
    0xfffffc80,0x7f4403ff,0x001fffff,0x7fffec00,0x3ee002ff,0xfd800eff,
    0x9999cfff,0xfffffa99,0x3fa200ff,0x801fffff,0x1ffffffe,0x7ffffcc0,
    0xfc9800ef,0xfb007fff,0x333fffff,0xffff7533,0x3fffe21f,0x3ffff61f,
    0xfff80005,0x77e403ff,0x005fffff,0x7fffefc4,0xffc800ff,0x00006fff,
    0x7fffffb8,0x027fe400,0xb007ffb0,0x07ffffff,0xdfffff90,0x3fffee00,
    0xffff007f,0xfd9809ff,0x007fffff,0x0ffffff7,0x261fff70,0x362fffff,
    0x0005ffff,0x03fffff8,0x7fffdfdc,0x3ee000ff,0x0ffffffa,0xfffffc80,
    0xfa800005,0x2007ffff,0x74002ffa,0xfffa803f,0xf7006fff,0x200dffff,
    0x06fffffb,0x7fffffd0,0x3ff7ba20,0x5007ffff,0x00ffffff,0xfff83fe2,
    0x3fff20ff,0xff80005f,0x7dc03fff,0x4ffffff8,0x3fe77a00,0xc800ffff,
    0x005fffff,0xffffa800,0x3df5007f,0x2009f000,0x1ffffffe,0xfffff700,
    0x3ffee00d,0xffd006ff,0x10407fff,0x00ffffff,0x1fffffea,0x3fa0fb80,
    0x7ffe47ff,0xff80005f,0xbdc03fff,0x07fffffc,0xfff33f30,0x3f200fff,
    0x0005ffff,0xfffffa80,0x00dfc807,0xf9003f00,0x009fffff,0x37ffffdc,
    0xfffffb80,0xffffd006,0x7ff4007f,0xff5007ff,0x4400ffff,0x17fff20f,
    0x00bffff9,0x7fffff00,0xfff17b80,0xdb005fff,0x1fffffe6,0x7ffffe40,
    0xfa800005,0x2207ffff,0x220004fd,0xffff9806,0x2e000fff,0x006fffff,
    0x0dfffff7,0x3fffffa0,0x3fff6003,0xfff5007f,0x74140fff,0x90fffea0,
    0xb98bffff,0xffff001b,0x367b807f,0x406fffff,0xffff33f8,0x3ff200ff,
    0x00005fff,0x7fffffa8,0x0005fd10,0xffe80188,0x4002ffff,0x06fffffb,
    0xdfffff70,0x3ffffa00,0x3ff6003f,0xff5007ff,0x07c0ffff,0x83fff102,
    0xf35ffffc,0x801dffff,0x403fffff,0x3fffea7b,0x99ee01ff,0x007fffff,
    0x0bfffff9,0xfff50000,0x3df50fff,0x2e000000,0x05ffffff,0xfffffb80,
    0xffff7006,0x3ffa00df,0x36003fff,0x5007ffff,0x20ffffff,0x7fe800f9,
    0xadffffc8,0x6fffffff,0x1fffffc0,0xfffd1ee0,0x327c0bff,0x00ffffff,
    0x17fffff2,0x3fea0000,0x77dc7fff,0x10000000,0x1fffffff,0xffff7000,
    0x3fee00df,0xfd006fff,0x4007ffff,0x007ffffd,0x0ffffff5,0x3ee003f2,
    0xfffffc85,0xffff88bf,0x3fffe03f,0x2e3dc03f,0x80ffffff,0x3ffe60fa,
    0xff9007ff,0x0000bfff,0xffffff50,0x0007ffec,0xfffd8000,0x70003fff,
    0x00dfffff,0x1bffffee,0x7fffff40,0x3fff6003,0xfff5007f,0x1ff50fff,
    0xf907f300,0xfc87ffff,0x3fe05fff,0x3dc03fff,0x3fffffe2,0x7fcc5d84,
    0xf9007fff,0x000bffff,0xfffff500,0xdffffd1f,0x98000001,0x06ffffff,
    0x3fffee00,0xfff7006f,0x55555fff,0xfffd5555,0x7ec007ff,0xf5007fff,
    0x2a2fffff,0xf000fffc,0xdffff903,0x0dffff70,0x01fffffc,0x3fff21ee,
    0x217c47ff,0x07fffff9,0xbfffff90,0xff500000,0xffffffff,0x0000bfff,
    0xfffffe80,0x3ee0001f,0x7006ffff,0xffffffff,0xffffffff,0x007fffff,
    0x03ffffec,0xffffffa8,0x0fffffff,0x7ffe4000,0xffffb85f,0x3ffffe07,
    0x7c43dc03,0x322fffff,0xfffff986,0xffff9007,0x500000bf,0xfdffffff,
    0x07ffffff,0x3fee0000,0x0005ffff,0x37ffffdc,0xfffffb80,0xaaaaaaaf,
    0xfffffeaa,0x3fff6003,0xfff5007f,0xfffb7fff,0xc80001ff,0xfb85ffff,
    0x3fe07fff,0x3dc03fff,0x6fffffd8,0x3ffe60fe,0xff9007ff,0x0000bfff,
    0xffffff50,0x3fffffea,0x4400002f,0x0fffffff,0x7ffdc000,0xff7006ff,
    0x3a00dfff,0x003fffff,0x01fffff6,0x3fffffd4,0x001ffd51,0x5ffffc80,
    0x07ffffb8,0x00fffffe,0x3ffea0f7,0x80fa9fff,0x07fffff9,0xbfffff90,
    0xff500000,0x7fdcffff,0x000fffff,0x3ffff600,0xb80003ff,0x006fffff,
    0x0dfffff7,0x3fffffa0,0x3fff6003,0xfff5007f,0x1fd10fff,0xfffc8000,
    0xffffb85f,0x3ffffe07,0xfd03dc03,0x09dbffff,0x1fffffe6,0x7ffffe40,
    0x54010005,0x6c7fffff,0x06ffffff,0xffff5000,0x03800dff,0x0dfffff7,
    0x3ffffee0,0xffffd006,0x7fec007f,0xff5007ff,0x3ea0ffff,0x7fe40000,
    0xfffb85ff,0x3fffe07f,0x703dc03f,0x3fffffff,0x3ffffe60,0xffff9007,
    0x81e000bf,0x47fffffa,0xffffffe8,0x7fc40005,0x001fffff,0x7ffdc166,
    0xff7006ff,0x3a00dfff,0x003fffff,0x01fffff6,0x3fffffd4,0xc80001f0,
    0xfb85ffff,0x3fe07fff,0x3dc03fff,0xffffff10,0x7fffcc0d,0xfff9007f,
    0xd3000bff,0x7ffffd40,0xfffff987,0x320003ff,0x04ffffff,0xffb82640,
    0xf7006fff,0x200dffff,0x03fffffe,0x1fffff60,0x7ffffd40,0x00003a07,
    0x70bffff9,0x7c0fffff,0x5c03ffff,0x7fffe407,0x3ffe602f,0xff9007ff,
    0x9000bfff,0x7fffd40b,0xffff507f,0x30003fff,0x0dffffff,0x3ee07d00,
    0x7006ffff,0x00dfffff,0x0ffffffa,0x7ffffd80,0xfffff500,0x4000140f,
    0xb85ffffc,0x3e07ffff,0x5c03ffff,0x7fffc407,0x7fffcc07,0xfff9007f,
    0xf8800bff,0x3fffea05,0x3fff207f,0x4000ffff,0x2ffffffe,0xb817e400,
    0x006fffff,0x0dfffff7,0x3fffffa0,0x3fff6003,0xfff5007f,0x00000fff,
    0x85ffffc8,0x207ffffb,0x403fffff,0xfffd807b,0x7fffcc04,0xffc800ff,
    0x6c005fff,0x3ffea04f,0x7fec07ff,0x000effff,0xbffffff7,0x01ffa800,
    0x0dfffff7,0x3ffffee0,0xffffd006,0x7fec007f,0xff5007ff,0x0000ffff,
    0x5ffffd80,0x07ffffb8,0x00fffffe,0xfff300f7,0xffff9801,0xffc800ff,
    0x36006fff,0x3fea03ff,0x7c407fff,0x05ffffff,0xffffff88,0xffb1000f,
    0x3ffee01f,0xff7006ff,0x3a00dfff,0x003fffff,0x01fffff6,0x3fffffd4,
    0x3f600000,0xffb86fff,0xff880fff,0x7f403fff,0x805fe802,0x1ffffffa,
    0xfffffd80,0x7fec400f,0x3ffee02f,0xffb807ff,0x405fffff,0x3ffffffd,
    0xfffff500,0x7ffffe40,0xffff9007,0x3ffe00ff,0x3a004fff,0x800fffff,
    0x07fffffb,0x3fe60000,0x3a21ffff,0xb83fffff,0x00efffff,0xb803fff9,
    0x7ff4401f,0x4c05ffff,0xefffffff,0xfedbaacc,0xf101ffff,0x09ffffff,
    0xffffffb8,0xffa81eff,0xaaafffff,0xfedccbaa,0xf307ffff,0x07ffffff,
    0xffffff98,0x7ffdc03f,0xc801ffff,0x05ffffff,0x7fffffc4,0xb800004f,
    0xffffffff,0xffffff9b,0xffff16ff,0x227fffff,0xfffffffe,0xfed81a04,
    0xffffffff,0xffdd34ef,0xffffffff,0xffffffff,0x77441fff,0xffffffff,
    0x3fe60eff,0xffffffff,0xfff11fff,0xffffffff,0xffffffff,0x744dffff,
    0xfffffffe,0xdd13efff,0xffffffff,0x3faa7dff,0xffffffff,0x3fba0eef,
    0xffffffff,0xffdd14ef,0xffffffff,0x0000007d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,
    0xaaaaaaaa,0xaaaaaaaa,0x54c2aaaa,0xaaaaaaaa,0x000199aa,0x2aaaaaaa,
    0x009aaaaa,0xcecb8800,0x2aaa200a,0xaaaaaaaa,0x000999aa,0x00024000,
    0x02f64000,0x32600a60,0x0fb60001,0x99999880,0x26666209,0xceb88099,
    0xffd95100,0xffffffff,0xffffffff,0xfffcb98d,0xffffffff,0x000bdfff,
    0xfffffd97,0xdfffffff,0x7e44003b,0x04ffffff,0xffffd971,0xffffffff,
    0x00019dff,0x0001f980,0x1bfee000,0x6c03e880,0xd0006fff,0x7fe4009f,
    0x3ea4ffff,0xf86fffff,0xe803ffff,0x99efffff,0xfffca999,0x3ffe606f,
    0xca99cfff,0x00cfffff,0x3fffff60,0xffffba9d,0xffe801ef,0x4fffffff,
    0x7ffff440,0xffda99df,0x0000efff,0x00017f60,0x37ffcc00,0x4407fb00,
    0x002fffff,0x44004fe8,0xe84fffff,0x7d46ffff,0x400fffff,0x06fffffc,
    0x2037fec4,0x84fffffe,0x2fffffc8,0xfffff700,0xffffd88b,0x3fff201f,
    0xffffffff,0x7fffe404,0xffffa84f,0x880002ff,0x00000fff,0x37fff440,
    0x203ffa80,0x05fffffb,0x8004fe80,0xc84ffffe,0x7e46ffff,0x402fffff,
    0x06fffffb,0xfd80df70,0x3204ffff,0x802fffff,0x85fffffa,0x0ffffff8,
    0xfeefffa8,0x07ffffff,0x27ffffdc,0x7fffffa8,0xfffc8000,0x6c000004,
    0x9806ffff,0x3e603fff,0x8002ffff,0xfe8004fe,0xffc84fff,0x7ffcc6ff,
    0x7dc04fff,0x2006ffff,0x7ffec06e,0x7ff404ff,0x7d401fff,0xfb05ffff,
    0xfb09ffff,0x7ffec415,0x3ee02fff,0x3e04ffff,0x002fffff,0x1ffffe20,
    0xffb80000,0x7d406fff,0x7ec03fff,0xfd0007ff,0xfffd0009,0xffff909f,
    0xffdff70d,0xffffb807,0x0d70106f,0x4fffffd8,0x7ffffd40,0x3ffea00e,
    0xfff705ff,0x01f88bff,0x13fffffa,0x4fffffb8,0x3fffffa0,0x3fee0004,
    0x00003fff,0xffffff98,0x3fffee06,0xa80999cf,0x3fa0002c,0xfffe8004,
    0xffffc84f,0x017f4206,0x1bffffee,0xb01a606c,0x809fffff,0x3ffffff8,
    0x3ffffea0,0xfffff505,0x7cc0198f,0x2e04ffff,0x204fffff,0x06fffffd,
    0x3ffffe00,0xe800006f,0x06ffffbe,0xfffffff9,0x0000dfff,0x20013fa0,
    0xc84ffffe,0x4406ffff,0x7fdc00ff,0x01f06fff,0xffffd805,0xfffd804f,
    0x3fea06ff,0xff705fff,0x2000ffff,0x203fffff,0x04fffffb,0x13fffffa,
    0x7fffd400,0x00002fff,0x3ffee7f2,0xffee986f,0x4eeeefff,0x9fd00000,
    0xffffd000,0xdffff909,0xb804fa80,0x886fffff,0xffd8000f,0xfa804fff,
    0x501fffff,0x20bfffff,0x05fffffc,0x3ffffd00,0x7ffffdc0,0xfffff104,
    0x37a0003f,0x05fffffe,0x2e7f5000,0x7406ffff,0x0003ffff,0x55555544,
    0xaadffaaa,0x42aaaaaa,0xc84ffffe,0x6c06ffff,0xfffb800f,0x00fc86ff,
    0xfffffd80,0xffff9804,0xfff504ff,0x3ff60bff,0xf0003fff,0xfb80dfff,
    0xfb04ffff,0x0009ffff,0x3ffea7e6,0x40001fff,0x3ffee5f8,0x7fff406f,
    0x7cc0003f,0xffffffff,0xffffffff,0x7ff47fff,0xfffc84ff,0x03fb106f,
    0x3ffffee0,0x0007fcc6,0x27ffffec,0x7ffffcc0,0xffff505f,0xffff30bf,
    0x3e2000df,0x7dc03fff,0x6c44ffff,0x002fffff,0xffff9b60,0x740004ff,
    0x3fffee0e,0x7ffff406,0x7fcc0003,0xffffffff,0xffffffff,0x7fff47ff,
    0xffffc84f,0x000ef986,0x3bffffee,0x00fffb98,0xfffffd80,0xffff8804,
    0xfff506ff,0xffe98bff,0x50000eff,0xf700dfff,0xb99bffff,0x015bffff,
    0xf717c400,0x001fffff,0xff707f20,0xffe80dff,0x980003ff,0x99999999,
    0x99999dfe,0x7ff41999,0xfffc84ff,0x8001d86f,0xfffffffb,0x000fffff,
    0x4fffffd8,0xffffff00,0x3fffea0f,0xfffdbaef,0x20000cff,0xb800fffd,
    0xffffffff,0x0adfffff,0xf11f2000,0x007fffff,0xff707f50,0xffe80dff,
    0x764c03ff,0x13fa0002,0x3ffff600,0x6ffffc84,0x3fee0000,0xfecbefff,
    0xfd8000ff,0xf004ffff,0x20ffffff,0xfffffffa,0x00bdefff,0x17ffc400,
    0xfffffb80,0xfffd7334,0x880019ff,0xffffd83f,0x2fc4007f,0x06ffffb8,
    0x01fffff4,0x03fffff3,0x0009fd00,0xb0bffffb,0x000dffff,0x7ffffdc0,
    0x0007fec6,0x27ffffec,0x7ffffc40,0xffff505f,0x800000bf,0x2e004ffc,
    0x884fffff,0x1ffffffe,0x2603ee00,0x02ffffff,0x7dc03fa0,0x7f406fff,
    0x3f603fff,0x8005ffff,0xfc8004fe,0x7fdc5fff,0x00006fff,0x1bffffee,
    0x360003fa,0x804fffff,0x4ffffff9,0xbfffff50,0x7cc00000,0x7fdc006f,
    0x3f604fff,0x000effff,0x7fff409f,0x5f9006ff,0x37fffdc0,0x0fffffa0,
    0xffffffe8,0x027f4000,0x7ffffcc0,0xfffefb9a,0x2e00007f,0xa86fffff,
    0xffd8000f,0xfa804fff,0x502fffff,0x00bfffff,0x077f4000,0x3fffee00,
    0x3ffea04f,0xfa804fff,0x3fffea00,0xfff801ff,0xffffffff,0x81ffffff,
    0x203ffffe,0x1ffffffc,0x0027f400,0xffffffc8,0xfffffcaf,0xff700001,
    0x1f10dfff,0xfffd80c0,0xffb804ff,0xf501ffff,0x000bffff,0x003bf200,
    0x3ffffee0,0x3fffe204,0xffe806ff,0xffffffff,0x805fffff,0xffffffff,
    0xffffffff,0xffffe81f,0x3bff6203,0x7f4001ff,0x3ff60004,0xfff91fff,
    0x0000bfff,0x0dfffff7,0xd825403a,0x804fffff,0x06fffffc,0x17ffffea,
    0x3bea0000,0xffb81c00,0x7f404fff,0x4c07ffff,0xcccccccf,0xfffffdcc,
    0x7fffc00f,0xffffffff,0xe81fffff,0x8803ffff,0xe8007f88,0x5440004f,
    0x0000000a,0x37ffffdc,0x6c0f6018,0x804fffff,0x01ffffff,0x17ffffea,
    0x1ff10000,0xff705b80,0xfe809fff,0x6c07ffff,0xffff1006,0xfff809ff,
    0xffffffff,0x81ffffff,0x004ffffe,0x3a001bea,0x0000004f,0x3ee00000,
    0x4006ffff,0xfffb02f9,0xffb809ff,0x7d404fff,0x0005ffff,0x9980ff40,
    0xfff703fb,0x7fc409ff,0x2605ffff,0x3ff2002f,0x2600ffff,0x99999999,
    0x19effffc,0x49ffffb0,0x00bf6038,0x00006aa0,0x80000000,0x06fffffb,
    0x6c03fa20,0x404fffff,0x00fffffe,0x2fffffd4,0xfffb0000,0xffffffff,
    0x3ffee05f,0x3fea04ff,0x3602ffff,0x7ffcc007,0x40003fff,0x406ffffb,
    0x98fffffb,0x00bf100d,0x00000000,0x7dc00000,0x1006ffff,0x7fec0ffd,
    0x3ee04fff,0xa800efff,0x005fffff,0xfffff700,0xffffffff,0x3ffff201,
    0xfffd104f,0x2fcc09ff,0x7fffec00,0x2e0000ff,0xd806ffff,0x02ffffff,
    0x00001bf3,0x00000000,0x7ffe4000,0x2e200fff,0x3fa06fff,0xfb05ffff,
    0x5c009fff,0x006fffff,0xfffffa80,0xffffffff,0x3ffff207,0xfffe887f,
    0x2ff405ff,0x7fffdc00,0x2e0004ff,0x8806ffff,0x702dffeb,0x0000009f,
    0x00000000,0xfffff980,0xccaacfff,0x05fffffe,0xfffffff7,0xffffb97b,
    0x7f44005b,0x002fffff,0x3ffffe20,0xffffffff,0xffff305f,0xfd97dfff,
    0x403bffff,0x002fffea,0x7fffffe4,0xff70003f,0x00800dff,0x0000064c,
    0x00000000,0xffee8800,0xffffffff,0xffffffff,0x3ffaa4ff,0xffffffff,
    0x001ceeff,0x7fffffec,0x01efffff,0x7fffff40,0xffffffff,0x3fffa24f,
    0xffffffff,0x01bcdeff,0x7fffffe4,0x3ffaa06e,0xffffffff,0x7fdc001f,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x710acca8,
    0x00000188,0x00a00000,0x00579751,0x009bca98,0x33333331,0x99998833,
    0x65d4c009,0x530000ac,0x33100379,0x21333333,0x99999998,0x06666609,
    0x33333333,0x26666633,0x26666209,0x0ddcc099,0x4cccccc0,0x99999999,
    0x02666661,0x3ffbffea,0x5f7cc6ee,0x00000000,0x107fb880,0xdfffdffd,
    0xdffe8803,0xffb81efe,0x45ffffff,0x02ffffe9,0xffffdff7,0x7fcc007f,
    0x01dffeef,0xfffffff7,0x3ffff23d,0x3f61dfff,0x3ffa0fff,0x94efffff,
    0x5c5dffff,0x35ffffff,0x03dfffff,0x3fffffe6,0xffffffff,0x1bffff26,
    0x3261fff3,0x7ffcc6ff,0x000001cf,0xfffd9800,0x71eff987,0x2a03ffff,
    0xfff10eff,0xfffff305,0x077e407f,0xf706ff4c,0xf5005fff,0x7ffdc5ff,
    0xfffff303,0xfffff50f,0x5417ee0d,0x42ffffff,0xff101ffb,0xfff5bfff,
    0x260dffff,0x7f419cff,0x7e42ffff,0x3ffa0fff,0xeb87fa84,0x002effff,
    0x75c40000,0x4c2dffff,0x3fe22fff,0xfff986ff,0x407ffdc2,0x02fffffb,
    0x7ffc0bee,0x1ffffe83,0x217ffee0,0xf902fffe,0xfb01ffff,0x3ea0ffff,
    0x3fffee00,0x200fe44f,0xbffffffd,0x3fffff98,0xff703f98,0x3f60bfff,
    0xdfff13ff,0x6cc0f901,0x01cfffff,0x3f260000,0xd00cffff,0xfffd0fff,
    0x87ffe81f,0xf884fff9,0x3605ffff,0x0ffff506,0x409ffffb,0xfb83ffff,
    0xff880fff,0xffa83fff,0x05c82fff,0x0fffffe8,0xffb005f3,0xffc87fff,
    0x80f985ff,0x0ffffff8,0x7d5bff60,0x3c40efff,0x7fff5c40,0x200002df,
    0x2effffea,0x437ffd40,0x7dc7fffb,0xfff886ff,0xffffc80f,0xb02f880f,
    0xfc85ffff,0xff705fff,0xfff505ff,0x3fff607f,0xffffd86f,0x9802f85f,
    0x9d5fffff,0x3ffff200,0x6ffffb85,0xfffb0498,0xffb007ff,0xffffff11,
    0x6d400285,0x00cfffff,0xffffc880,0xffd001cf,0x7ffd10df,0x885fffe8,
    0xf881ffff,0x7b83ffff,0x07fffea0,0x20bffff9,0xa81fffff,0xf505ffff,
    0x7c43ffff,0x20fffffd,0x3ff6007a,0x000edfff,0x70bffff9,0x020fffff,
    0x1bffffe6,0xffd3fd80,0x0009ffff,0xfffff910,0xffb5005b,0x40017dff,
    0x206ffff8,0x4ffff808,0x02ffff88,0xd0fffffb,0x43eeb809,0x85ffffd8,
    0x81fffff8,0x206ffff9,0x2a4fffff,0x2fffff8e,0xff880132,0x2002ffff,
    0xb85ffffc,0x2007ffff,0x02fffffe,0x7fdcf220,0x00efffff,0xfffb5000,
    0x75c417ff,0x002dffff,0x0fffff30,0xfffff980,0xffffffff,0xffff304f,
    0x0007cc5f,0x7ffffdc4,0xffffa85f,0xffff980f,0xffff900f,0xfffe9ecf,
    0x9000be5f,0x005fffff,0x42ffffe4,0x007ffffb,0x0bfffff7,0xfffe8800,
    0x001fffff,0x3fff2600,0xfffff17f,0xfa800019,0x2000ffff,0x99effffa,
    0x09999999,0x9bffffa0,0x7dc4005c,0x5ffffcbf,0x0fffffb8,0x2fffff98,
    0x5fffff30,0x3ffea1f1,0x8007a8ff,0x06fffff8,0x17ffff20,0x01ffffee,
    0x3fffffe2,0x816ed400,0xffffffe8,0x500000ff,0x22dffffd,0x01cfffff,
    0x7fffdc00,0x3fea001f,0xa80007ff,0xf89fffff,0x3ffea001,0x0bffff92,
    0x01fffff7,0x05fffff3,0x5efffff4,0x3ffffe26,0xf90004db,0x2005ffff,
    0xb85ffffc,0xd807ffff,0x403fffff,0x203ffffb,0xfffffffc,0x3f220002,
    0x441dffff,0x2effffeb,0xffff3000,0x7fcc005f,0x80000fff,0x6bdfffff,
    0x3fffb100,0x42ffffe4,0x80fffffa,0x01fffffa,0x3bffffee,0x77fffec3,
    0xff10001f,0x3200dfff,0xfb85ffff,0x7cc07fff,0xe806ffff,0x5406ffff,
    0x05ffffff,0xffffda80,0xfd9800bf,0x001cffff,0x17ffffe2,0xfffff880,
    0xffc80002,0xd002efff,0xffc89fff,0xfff885ff,0xfffa80ff,0x3fe200ff,
    0x7d40ffff,0x0006ffff,0x3ffffff2,0xffffc803,0x7ffffb85,0x7fffff40,
    0x3ffe2102,0x10b10fff,0x00fffffb,0x3ffffae2,0xd710002d,0x005bffff,
    0x0bfffffe,0x6fffff80,0x7fc40080,0xf9007fff,0xffc83fff,0xffff05ff,
    0xffff503f,0xffffb00d,0x3ffffe0b,0xd3f30004,0x801fffff,0xb85ffffc,
    0x2e07ffff,0x105fffff,0x2ffffec9,0x3ff601f1,0x7fe4c06f,0x0000cfff,
    0x3ffff6a0,0x3ff200bf,0x5100ffff,0x17ffffe4,0xffb005b0,0x3fe009ff,
    0x7fe42fff,0xfff705ff,0xffff705f,0xffff5007,0x3ffff205,0x53f88001,
    0x809fffff,0xb85ffffc,0xf107ffff,0x201fffff,0x3bffa64b,0xffa82fc1,
    0xfffd503f,0x000005df,0xfffffb88,0xffff882d,0x074c0dff,0x5ffffff3,
    0x3e600d90,0xf8800fff,0xd99effff,0x206fffff,0xfc83ffff,0x3fe006ff,
    0x3ffe607f,0xe8db0006,0x200fffff,0xb85ffffd,0xfb07ffff,0x2607ffff,
    0xff01983f,0x43fff309,0xcfffffc8,0x80000001,0x3effffda,0x7fffffdc,
    0xc81fecef,0xbdffffff,0x3a001fec,0x3fa005ff,0xdeffffff,0x85afffff,
    0xff86fffa,0x3f2002ff,0x1fff404f,0x2e0fe400,0x205fffff,0xb86ffffd,
    0xf987ffff,0xf306ffff,0xfff8005f,0x2ffd98be,0x05f7ffcc,0x40000000,
    0xb87fffc8,0xffffffff,0x3fff202f,0x01ffffff,0x000ffd40,0x9ffffff7,
    0x3fffffe2,0x47fff501,0x4001fffc,0x7dc01ff9,0x3f22000f,0x7fffcc1f,
    0xfff984ff,0x3fa21fff,0x7f42ffff,0xaa9bffff,0x002fffeb,0x7fffef7c,
    0x2df982ff,0x00000000,0x74c1faa0,0x01dfffff,0xefffffb8,0x0df0001c,
    0x5bffd700,0x01effea8,0x7fffff4c,0xdd0000df,0x200df100,0x6fffffe8,
    0xfffffffb,0x3ffee1ff,0xf9bfffff,0x6fffffff,0xfffffff7,0xffffffff,
    0x54428003,0x0002200b,0x80000000,0x00dd4401,0x000ba880,0x20002a80,
    0x80008801,0x80001bb9,0x0057002a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333310,0x00acb981,0x310072e6,0x30133333,0x33620059,
    0x1f540000,0x405b9100,0x33220cda,0xcccccccc,0xcccccccc,0xddb884cc,
    0x124c001b,0x11111111,0x00000011,0x00000000,0x00000000,0xffffffa8,
    0xfffffd16,0xfffffa89,0xfffd502f,0x7ff4cdff,0x4ffd803f,0x07ff4000,
    0x84ffff80,0x3e67fffc,0xffffffff,0xffffffff,0x7fd47fff,0x00ceffff,
    0x3fffe4d8,0x1fffffff,0x00000000,0x00000000,0xe8000000,0xff9effff,
    0x72ffffff,0xffffffff,0x7ffff401,0xdfffff36,0x00dfff00,0x02fffdc0,
    0x23ffffd4,0x32fffff8,0xffffffff,0xffffffff,0x7c4fffff,0xffffffff,
    0x47f102df,0xffffffff,0x00001fff,0x00000000,0x00000000,0xffffc800,
    0xfff90cff,0x3a25fbff,0x3204ffff,0xff8effff,0xd806ffff,0xf10004ff,
    0xb803ffff,0x7c47ffff,0x0002ffff,0x159f9000,0xfffffd73,0x1ff9559f,
    0x7ffffffc,0x0001ffff,0x00000000,0x00000000,0xfffc8000,0x7ffc44ff,
    0x7fdc1fff,0x3fee06ff,0xfb9ddeff,0x2a1d43ff,0x400dc1ff,0x06ffcffc,
    0x437fffd4,0x001fffff,0x40bd0000,0xffffffc9,0x77743fff,0xeeeeeeee,
    0x00000001,0x00000000,0x80000000,0xf06ffffc,0xf507ffff,0x7dc0ffff,
    0x220fffff,0x1fffdc2b,0x17ffd4dd,0x3f6bff30,0x3ffe602f,0x7fffd85f,
    0x3e000000,0xffeb8802,0x00003fff,0x00000000,0x00000000,0xc8000000,
    0xff06ffff,0xff507fff,0x7fdc0fff,0xf9003fff,0x64f27fff,0x3603ffff,
    0x0fff30ff,0xb83ffff8,0x4ccc5fff,0x99999999,0x99999999,0x10007119,
    0x00001575,0x00000000,0x00000000,0x20000000,0xf06ffffc,0xf507ffff,
    0x2e01ffff,0x002fffff,0xbdfffff3,0x1dffffd9,0xf90ffea0,0x7ffe407f,
    0x23fff981,0xfffffff9,0xffffffff,0x007fffff,0x00000000,0x00000000,
    0x00000000,0xf9000000,0x3fe0dfff,0xffa83fff,0xff700fff,0xa8001fff,
    0xaaeebaaa,0x3ff401aa,0xa807ffc4,0x3ffe07ff,0x3ffffe61,0xffffffff,
    0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x20dffff9,
    0xa83fffff,0x700fffff,0x000fffff,0x004ccd88,0x7dc0bfee,0x0bff104f,
    0x2aa23fec,0xaaaaaaaa,0xaaaaaaaa,0x000002aa,0x00000000,0x00000000,
    0x00000000,0xffff9000,0x3ffffe0d,0xfffffa83,0xdffff700,0x47fdc000,
    0x7c401ef9,0x0fff406f,0x3ee03fe8,0x00000005,0x00000000,0x00000000,
    0x00000000,0x20000000,0xf06ffffc,0xf507ffff,0x2e01ffff,0x0006ffff,
    0x7ffcdffb,0x007ff203,0x3f20bff5,0x000fe600,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffc8000,0xfffff06f,0xfffff507,0x3fffee01,
    0xfffa8006,0x207fff63,0xfb005ff9,0xf00f505f,0x00000003,0x00000000,
    0x00000000,0x00000000,0x40000000,0xf06ffffc,0xf507ffff,0x2e01ffff,
    0x8006ffff,0x3ea0fffb,0x0ffd81ff,0x00dff300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x837fffe4,0xa83fffff,0x700fffff,
    0x000dffff,0x17f20ff6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xf07ffffc,0xf507ffff,0x3201ffff,0x0006ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffe400,0xfffff80f,0xfffffa84,0xfffff901,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x74400000,0x542fffff,
    0x20efffff,0x3fffffd8,0xfffffe88,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfa800000,0x5fffffff,0xfffffffb,
    0xfffff35f,0x7fdcffff,0x1effffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_44_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_44_usascii_y[95]={ 35,8,8,8,7,8,8,8,8,8,8,11,29,23,
29,8,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,41,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,21, };
static unsigned short stb__times_bold_44_usascii_w[95]={ 0,7,16,20,18,35,31,7,12,12,16,22,8,13,
8,12,18,15,18,18,19,18,18,18,18,18,7,9,22,22,22,16,36,29,26,26,28,25,24,30,31,15,20,32,
26,37,28,29,23,29,30,19,25,29,29,40,29,29,26,8,12,9,19,22,9,19,21,16,21,16,16,19,20,11,
12,22,11,32,20,18,21,21,17,14,13,20,20,29,20,20,17,11,3,12,22, };
static unsigned short stb__times_bold_44_usascii_h[95]={ 0,28,14,28,31,29,28,13,35,35,16,22,13,5,
7,28,28,27,27,28,27,28,28,28,28,28,20,26,20,10,20,28,36,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,28,35,15,3,8,20,28,20,28,20,27,28,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,20,20,19,28,19,36,36,36,7, };
static unsigned short stb__times_bold_44_usascii_s[95]={ 253,84,89,122,155,174,83,248,80,112,52,
200,244,152,246,134,213,207,80,213,156,232,23,64,115,147,248,190,39,106,16,
105,14,126,99,186,27,1,223,53,175,159,143,99,72,34,164,23,56,125,188,
166,162,1,31,61,102,132,132,103,92,93,69,155,246,117,42,62,1,79,219,
193,1,236,1,232,22,1,207,137,1,231,34,1,176,223,96,156,186,210,228,
68,64,51,129, };
static unsigned short stb__times_bold_44_usascii_t[95]={ 1,38,202,38,1,1,67,125,1,1,202,
153,153,202,190,67,38,125,153,67,153,38,67,67,67,67,96,153,181,202,181,
38,1,153,153,67,153,153,125,38,125,125,38,125,125,125,38,38,153,1,96,
67,96,96,96,96,96,96,125,1,38,1,202,33,181,181,67,181,67,181,96,
38,125,96,1,67,125,202,181,181,38,1,202,181,153,153,181,181,181,1,181,
1,1,1,202, };
static unsigned short stb__times_bold_44_usascii_a[95]={ 159,212,353,318,318,636,530,177,
212,212,318,362,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,212,212,362,362,362,318,591,459,424,459,459,424,388,494,
494,247,318,494,424,600,459,494,388,494,459,354,424,459,459,636,
459,459,424,212,177,212,369,318,212,318,354,282,354,282,212,318,
354,177,212,354,177,530,354,318,354,354,282,247,212,354,318,459,
318,318,282,250,140,250,331, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_44_usascii(stb_fontchar font[STB_FONT_times_bold_44_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_44_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_44_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_44_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_44_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_44_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_44_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_44_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_44_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_44_usascii_s[i] + stb__times_bold_44_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_44_usascii_t[i] + stb__times_bold_44_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_44_usascii_x[i];
            font[i].y0 = stb__times_bold_44_usascii_y[i];
            font[i].x1 = stb__times_bold_44_usascii_x[i] + stb__times_bold_44_usascii_w[i];
            font[i].y1 = stb__times_bold_44_usascii_y[i] + stb__times_bold_44_usascii_h[i];
            font[i].advance_int = (stb__times_bold_44_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_44_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_44_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_44_usascii_s[i] + stb__times_bold_44_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_44_usascii_t[i] + stb__times_bold_44_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_44_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_44_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_44_usascii_x[i] + stb__times_bold_44_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_44_usascii_y[i] + stb__times_bold_44_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_44_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_44_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_44_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_44_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_44_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_44_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_44_usascii_LINE_SPACING
#endif

