// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_46_usascii_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_46_usascii'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_46_usascii_BITMAP_WIDTH         256
#define STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT        234
#define STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_bold_46_usascii_FIRST_CHAR            32
#define STB_FONT_times_bold_46_usascii_NUM_CHARS             95

#define STB_FONT_times_bold_46_usascii_LINE_SPACING          30

static unsigned int stb__times_bold_46_usascii_pixels[]={
    0x80008000,0x00000098,0x08000000,0x00000000,0x00002000,0x99999995,
    0x333332a5,0x026001cc,0x00002000,0x00001310,0x00000000,0x3fe25910,
    0x6fd800bd,0x73fed980,0x00000019,0x3ffbb326,0x0002deff,0x0067f540,
    0x3fb2e620,0x001acdff,0x3fffaea6,0xdffff93f,0x3ea00357,0xed98000c,
    0x40003dff,0x00003ff9,0x37bb2ea6,0x000009ac,0xc887f910,0x7ec01fff,
    0x3bff6206,0x0001fec2,0xdffeb880,0xdca99aac,0x40001cff,0x005ffff9,
    0x33ffffee,0x0effffdb,0x7fffcc00,0x01ffff93,0xffffb710,0xf7005bff,
    0x037feedf,0x0037f400,0xfffffb80,0xdffffdbc,0x3ea00000,0x3ffe202f,
    0x441bf602,0x3f203ffe,0x9100001e,0x98005dff,0x360003fe,0x400fffff,
    0x01efffe8,0x007ffff5,0xf93ffff8,0xfd500fff,0xff99f57d,0xff7019ff,
    0x037ffc5f,0x0007fe40,0x3bfff620,0xffffa881,0xff980003,0x1fffd802,
    0x3f60dfb0,0x77dc00ff,0x7f4c0000,0x7e40001d,0xffc8000d,0x3ee00fff,
    0x5400ffff,0x001effff,0x3f27ffff,0x7fdc06ff,0xffc8fe65,0x7fffc42f,
    0x00ffff60,0x0003ff98,0x077fffdc,0x3bfffe60,0xbff30001,0x13ffea00,
    0x7fcc37ec,0x1dfd005f,0x13fee000,0x05e98000,0x5ffff980,0x3fffff20,
    0xffff9001,0xffff001f,0x81bfff27,0x3e60fff9,0x3217fe43,0x7fe47fff,
    0xdfd000ff,0xfffc8000,0xff7001ff,0x88001fff,0xf5002ffe,0x1bf60fff,
    0x4017ffee,0xd8005ffa,0x800002ff,0xda8003f9,0xfff300bf,0xfe8007ff,
    0xff805fff,0xdfff93ff,0x263fff40,0x742fd83f,0x7fe47fff,0xffc801ff,
    0x3fe60000,0x74003fff,0x4005ffff,0x2e006ffe,0xfd80ffff,0x06fffd86,
    0x8013ffe0,0x00000ffb,0x00007ee0,0x7fffff40,0x7ffe4000,0x7ffc02ff,
    0x0dfff93f,0x987fffe2,0x7c2fa83f,0x7fe47fff,0x7fcc02ff,0x7ff40003,
    0x5c000fff,0x002fffff,0x4005fff5,0xfb07fffc,0x0ffff90d,0x00fffe40,
    0x00017fcc,0x00027400,0x7ffffe40,0xfff98006,0x3fe00fff,0xdfff93ff,
    0x97fffe60,0x445d03f9,0x7e47ffff,0x7f403fff,0x7fe40006,0x98006fff,
    0x00ffffff,0x4007ffe8,0xfb06fffd,0x3ffff50d,0x17ffe600,0x400bfd10,
    0x4c000ba8,0x2600000f,0x03ffffff,0xffffff00,0x9ffffc0b,0xf306fffc,
    0x3e6bffff,0xfff83503,0x7fffe47f,0x003ff202,0xfffff980,0xfff0003f,
    0xfa80bfff,0x7fc006ff,0x0dfb05ff,0x005ffff3,0x9007fffc,0x3ea001df,
    0xeee89fff,0xd805d05f,0x47ffffff,0x2ffffffb,0xffffd000,0x7fffc0ff,
    0x20dfff93,0xeffffff8,0x3f6003fb,0x3ff60fff,0x7ff300ff,0xfffb8000,
    0xd0002fff,0x80ffffff,0x2005fffe,0xb03ffff8,0x3fffe0df,0x3fffa003,
    0x005ff104,0x36a37ff2,0xb03ffffb,0xffff300b,0xffffd8ff,0xfb0001ff,
    0x201fffff,0xff93ffff,0x7ffec0df,0x003fffff,0xd83fffee,0x3fa06fff,
    0xffd80006,0x0001ffff,0x1ffffffb,0x0ffffe60,0x2ffff880,0x3fa0dfb0,
    0x3f6004ff,0x6fb80fff,0x46ffe880,0x00ffffef,0x3ff600d7,0x7fff47ff,
    0x90000fff,0x05ffffff,0x7e4ffffe,0x3fe606ff,0x1effffff,0x87fffa00,
    0xf901fffe,0xfd00003f,0x001fffff,0x3fffff20,0xffff902f,0xffff8005,
    0x360dfb01,0x2e002fff,0xfe82ffff,0x1fffd803,0x037fffec,0x3ff200f5,
    0x7fffc7ff,0x90000fff,0x07ffffff,0x7e4ffffe,0x7fd406ff,0x4fffffff,
    0x29fff300,0xf303fff8,0x3e00007f,0x00ffffff,0xfffff900,0x3fff607f,
    0x7fe4002f,0x20dfb01f,0x5c007ffe,0x7cc3ffff,0x7ffe400f,0x4ffffe85,
    0x7e401e20,0x3fe67fff,0x0007ffff,0x3fffffee,0x27ffff05,0x9806fffc,
    0xffffffff,0xfd8801ef,0x201efebf,0x300006fe,0x0fffffff,0x7fffe400,
    0xfffd05ff,0xff98003f,0x10dfb03f,0xa8009fff,0x7e44ffff,0x7fffd405,
    0x1fffff81,0x7e401e20,0x3fea7fff,0x0007ffff,0x3fffffee,0x27ffff05,
    0x3006fffc,0xfffffffd,0x2a6005ff,0x7fdc01ac,0x26f2a201,0xfffff500,
    0x7dc000ff,0xf05fffff,0x0003ffff,0x3f60dff3,0x004ffb86,0x46ffffa8,
    0x7ff403fd,0xffff986f,0xc8034c07,0x3e27ffff,0x007fffff,0x3ffffee0,
    0x7ffff04f,0x001bfff2,0xfffffff7,0x800005ff,0x3f203ff9,0x882ffdcf,
    0x07ffffff,0x3fffee00,0xfff884ff,0xd30001ff,0x26fd83bf,0x0004ffc8,
    0xe8fffff5,0x3ffea02f,0xffffa83f,0xc802d405,0x7fc7ffff,0x000fffff,
    0xffffff90,0x4ffffe07,0x8006fffc,0xffffffe9,0x200000ff,0xffd106fe,
    0x213ffe2b,0x0fffffff,0xffff9000,0xfff307ff,0xa80001ff,0x5dbf65fd,
    0x20000bef,0x20fffff9,0x3ffa01ff,0xfffd80ff,0x8026402f,0x747ffffc,
    0x01ffffff,0xfffffb00,0x3fffe05f,0x00dfff93,0x3ffffe60,0x00005fff,
    0x3f603ff7,0x3fff62ff,0x7fffff42,0xff90001f,0xf305ffff,0x0001ffff,
    0xfb0ffb88,0x00077f2d,0x1fffff30,0xff9807fc,0xfff985ff,0x00f400ff,
    0x47ffffc8,0x2ffffffd,0xffffd000,0x3ffe01ff,0x0dfff93f,0x3ff7e600,
    0x000fffff,0x981ffcc0,0x3f21ffff,0x7ffec7ff,0xb0002fff,0x01ffffff,
    0x01fffff1,0x33ff6200,0xfe99bf60,0xff50002e,0x03fc4fff,0x907ffff7,
    0x980dffff,0x3fff2006,0x7fffd47f,0xff0003ff,0x7c0dffff,0xfff93fff,
    0x2fe6000d,0x1ffffff9,0x037f4000,0x5c1ffff9,0x3ea1ffff,0x003fffff,
    0xdffffff0,0x0fffffc0,0x07ff4400,0x7fe437ec,0xfffa8003,0xd807fc6f,
    0x7c42ffff,0x6404ffff,0x3fff2003,0xffffe87f,0xff88004f,0x3e02ffff,
    0xfff93fff,0x7f30140d,0x0bffffe6,0x01ffb800,0xb83ffff6,0x7f43ffff,
    0x8004ffff,0x1ffffff8,0x07ffffa0,0x0bffd100,0x3fe61bf6,0x7fd4002f,
    0x80ffc5ff,0x6c1ffffe,0x201fffff,0x3f2000f9,0xffa87fff,0x4000ffff,
    0x05fffffb,0xfc9ffffc,0x407a06ff,0x3fff23f9,0xff30001f,0xffffe807,
    0x13fffea0,0x0ffffff5,0xfffff500,0xffffd80b,0x7ffdc001,0x3a0dfb02,
    0x7dc007ff,0x1ff44fff,0x20fffff8,0x07fffedc,0x3f200174,0xffb07fff,
    0xe8007fff,0x401fffff,0xff93ffff,0x982740df,0x3fffea3f,0x0dfd0000,
    0x41ffffd0,0xd83ffffa,0x002fffff,0x0fffffec,0x0bffff20,0x01fffb00,
    0x7fec1bf6,0x3fee001f,0x427e43ff,0x72fffff8,0x0dffff1f,0x7e4002ec,
    0xff307fff,0x5400dfff,0x804fffff,0xff93ffff,0x983f40df,0x1bffe63f,
    0x00ffdc00,0x707fffec,0xf305ffff,0x400dffff,0x04fffff9,0x03ffffa8,
    0x0bfffe20,0xffe837ec,0x3ff2004f,0x82fd41ff,0xfeffffff,0x04ffff8a,
    0x401981bb,0x207ffffc,0x02ffffe8,0x07ffffd0,0x64ffffe0,0x3fa06fff,
    0x3f23f984,0xf98001ff,0xfff7003f,0x7fffdc3f,0xfffff300,0x3fff6005,
    0x3ffa004f,0x3fe2004f,0x0dfb03ff,0x800ffffe,0xf885fffe,0xfffffd07,
    0x2fffec7f,0x00fc17a6,0x01fffff2,0x05ffffd1,0x02ffffd8,0x64ffffe0,
    0x3fa06fff,0xe89fcc4f,0xfd0004ff,0x7ff4400d,0x13fff22f,0x5fffff30,
    0x4ffffd80,0x37ffd400,0x13fffe00,0x7fcc37ec,0x3fe002ff,0x03fb01ff,
    0x85fffff5,0xebdffffa,0x900b703e,0x200fffff,0x21cffffc,0x1efffea8,
    0x9ffffc00,0x3a06fffc,0xf99befff,0x003fffbb,0x8003ff70,0x3fa3fffa,
    0xfc8800ff,0x2e61bfff,0x001efffe,0x800fffd0,0xfb05fffe,0x3ffff50d,
    0x1bffe200,0xf9106f98,0x3fae603b,0x03e202ce,0x1fffff20,0xffffb500,
    0x039fffff,0x4ffffe00,0x2606fffc,0xffffffeb,0x0001dfff,0x20007ff3,
    0xffa8fffa,0x764c001e,0xffffffff,0x5c0003df,0x32002fff,0xdfb07fff,
    0x01ffff70,0x00bffee0,0x000009f9,0xf9003c80,0x2000ffff,0xfffffff9,
    0x7ffc0000,0x0dfff93f,0x3f6aa620,0xfe80000d,0x76c40006,0x80003eff,
    0xaabccaa9,0xfd100000,0x7fdc00bf,0x86fd80ff,0x2007fffd,0xf8806ffe,
    0x0000001f,0x7fdc00d5,0x2e0007ff,0x03ffffff,0x9ffffc00,0x0006fffc,
    0x200007f3,0x20000099,0x00000000,0x3fe60000,0xfff5000f,0x321bf60f,
    0xf5006fff,0x3e6001df,0xb8000006,0x3fee001f,0x740007ff,0x00ffffff,
    0x4ffffe00,0x0006fffc,0x000005d3,0x00000000,0x00000000,0x98027fcc,
    0xdfb05fff,0x00bfff30,0x50007ffa,0x4000009f,0x8ee200eb,0x006ffffa,
    0x7ffffcc0,0xff0000ef,0x3fff27ff,0x00000006,0x00000000,0x00000000,
    0x00ffd400,0xd817ffdc,0x0ffff06f,0x0003ff50,0x00007bea,0xfd801d90,
    0xbffff52f,0xfff30000,0x8005dfff,0xf93ffff9,0x99901fff,0x99999999,
    0x33333269,0xcccccccc,0xcccccccc,0x00000000,0x00000000,0x3e00ffdc,
    0x1bf604ff,0x5017ffcc,0x980005ff,0xb80004fe,0xfff800ef,0x03ffff34,
    0x3ffa2000,0xabceffff,0x3faa620a,0xfff93fff,0x3fe135bf,0xffffffff,
    0xfffff56f,0xffffffff,0xffffffff,0x00000001,0x00000000,0xd505fb30,
    0x6fd809ff,0x033ffa60,0x000019f7,0x002bbf22,0x002efb88,0x7fcd3ff2,
    0x9800003f,0xfffffffc,0x3332a2ef,0x9952cccc,0x3e399999,0xffffffff,
    0xffff56ff,0xffffffff,0xffffffff,0x0000001f,0x00000000,0xe88f4c00,
    0xfd801dff,0x7ff64406,0x00003b52,0x37fff220,0xedca99ac,0xf98001df,
    0x06ffebff,0xaa980000,0x0000009a,0xfffffff0,0x000dffff,0x00000000,
    0x00000000,0x0d410000,0x801bf600,0x00001198,0x7765cc00,0x00abcdef,
    0x77f6cc00,0x0000002d,0x80000000,0xbbbbbbbb,0x00003bbb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00000099,0x00080020,0x00000000,
    0x00000200,0x00000020,0x00988000,0x00000000,0x01001000,0x00000000,
    0x000017f6,0x3ffb6ea6,0x4b81ceff,0x017df910,0x7403fee0,0x3660005f,
    0x002dfffe,0xfffdb500,0x544003bd,0x001ceffc,0x201ffc40,0x01deffda,
    0x6e544000,0xfb9101ee,0x3a85bdff,0x3bfb6e00,0xdf71002d,0x007fdc07,
    0xfffd8800,0xfedcbcef,0x04fa9cff,0x009ffffb,0x7fc41ff6,0xffc88004,
    0x05ffffee,0x2b7fa600,0x0dfffffc,0x65f7fe40,0x20005fff,0xfb100ffa,
    0x09ffd79f,0xdff93000,0x7ffd4017,0xcefedbbc,0xfea803ea,0x0dffffff,
    0x1ffffdc0,0x0002ff88,0x1dffffb8,0x3ffffa60,0xffff884f,0x0bff007f,
    0x1000bfe6,0x7fd47ffd,0xf88005ff,0x7fff443f,0xdffd106f,0x00efffd8,
    0xd106fd80,0x5ffe89ff,0xfffd3000,0x1bff9007,0x13fffee0,0xffffff50,
    0xf80bffff,0x3a06ffff,0x3a20005f,0x2003ffff,0xa84ffffa,0x01ffffff,
    0xfb81ffc4,0x7fe4000f,0x0ffffd87,0x427ff400,0x84fffff9,0x7cc3fffd,
    0xf8006fff,0x3fffb03f,0x004fffb8,0x0077ffdc,0x200fffd4,0x2a04ffe8,
    0xffffffff,0x3e03ffff,0x2e06ffff,0xff30007f,0x30009fff,0xff509fff,
    0xa801ffff,0x0ffb02ff,0x85fff980,0x002ffffb,0x7c1fffe2,0x7d47ffff,
    0xffd81fff,0x3ea003ff,0x6fffa81f,0x00ffff98,0x01dfffb0,0x00dfff10,
    0x7c413fe6,0xffeb89be,0x2e06ffff,0x2603ffff,0xfe8002ff,0x20006fff,
    0xff984ffa,0xfb807fff,0x00bfd00f,0x886fffb8,0x2001ffff,0xe81ffffa,
    0x361fffff,0xfc81ffff,0x9000ffff,0x3fffa0df,0x4ffff886,0x0efffe80,
    0x09fff500,0xec827dc0,0xfffff900,0x03eeb80f,0x64004fe8,0x003fffff,
    0xff827e40,0xfd806fff,0x009ff107,0xd07fffd8,0xf9800fff,0xffd83fff,
    0x3ffe2fff,0xfffb80ff,0x9ff002ff,0x0bffff30,0x901ffffe,0x4001ffff,
    0x4007fffc,0x200d884e,0x06fffff8,0x03fe4000,0xffffff30,0x4f880001,
    0x09ffffd0,0x3e60bff0,0x7ff4002f,0x7ffc42ff,0xfffe8003,0xfffffe80,
    0x3fffff10,0xbfffff50,0x703ff300,0x3e0bffff,0xf501ffff,0xd800bfff,
    0x2005ffff,0x3f60004c,0x00004fff,0xe800ffcc,0x005fffff,0x3f209900,
    0x4ccc2fff,0x999cff99,0x19affb99,0xbffffb00,0x0004ffc8,0x3fe03b71,
    0x3fea5fff,0xff981fff,0xfc807fff,0xbffffb07,0x0fffffe0,0x0bffffe2,
    0xfffff900,0x00b3001b,0x0ffffe40,0x27fc0000,0x7ffffd40,0x5100004f,
    0x83fffea0,0xfffffff8,0xffffffff,0xfb007fff,0xf913ffff,0x4000005f,
    0x23fffff8,0x82fffffc,0x0ffffff8,0xff827f40,0xfff05fff,0xfff90bff,
    0xff5000ff,0x007fffff,0xfffe8000,0xfffff882,0x6fc805ff,0xfffffb80,
    0x8000003f,0x7c47fff8,0xffffffff,0xffffffff,0xfff7007f,0x019ffdff,
    0xffb80000,0x7ffdc5ff,0xffff02ff,0x7fcc03ff,0xfffff982,0xffffff05,
    0x19fffff0,0x44013753,0xffffffff,0x8800003f,0x7dc01fff,0xa805ffff,
    0x7fec01ff,0x0002ffff,0x8bffd000,0xffeaaaa8,0xffbaaaaa,0xf1002aad,
    0x409fffff,0xaaaaaaa8,0x7fffc002,0x7fffd40d,0xffffd03f,0x83fdc03f,
    0x04fffff9,0xa8ffffff,0xffdfffff,0x3604ffff,0xffffffff,0x100002ef,
    0xf001dffd,0x200bffff,0x7ff403ff,0x0001ffff,0x07ffb000,0x3e60bff0,
    0xff98002f,0x2206ffff,0x4ffffffd,0x13ffea00,0x37ffffcc,0x0ffffff8,
    0x7d417fa0,0xff04ffff,0x7ec1ffff,0xfddfffff,0x880effff,0xfffffffe,
    0x0001efff,0x3fffffaa,0x7ffff401,0x40dfb005,0xfffffff8,0x70000000,
    0xff8803ff,0x001ff704,0x7ffffecc,0x7dc04fff,0xfe8004ff,0x7fff401f,
    0xffff80ff,0x0bfe207f,0x27ffffd4,0x0ffffff8,0x83bffffe,0x06fffff9,
    0xffffffd1,0x009fffff,0xffffffc8,0x3fa03fff,0xf5005fff,0x3ffe601f,
    0x00007fff,0x201fe600,0xff902ffa,0x4fff6200,0x1ffffffe,0x0017fe20,
    0x2a003be6,0xf83fffff,0x2e06ffff,0xfff700ff,0x3ffe09ff,0xfff11fff,
    0xfff70bff,0x3fa205ff,0xffffffff,0x36a005ff,0xffffffff,0xffffd02f,
    0x0ffe200b,0x7fffffcc,0x0000000f,0xff700df1,0x2017fa01,0x3e62ffe9,
    0x206fffff,0xd8000ffa,0x3ff6000e,0xfca9cfff,0x3605ffff,0x3ffea05f,
    0xffff04ff,0x7fffccff,0xffff885f,0x7ffdc07f,0xffffffff,0x7fe44005,
    0xd06fffff,0x400bffff,0xfff105fd,0x3003ffff,0x99999999,0xbf079999,
    0x220ffb00,0x7fcc03ff,0xffffc86f,0x07f905ff,0x2000fa00,0xfffffffc,
    0x02ffffff,0x7cc07ff1,0xff04ffff,0x7fd4dfff,0xffd05fff,0xc8801fff,
    0xffffffff,0xfa8002ff,0x80ffffff,0x005ffffe,0x7fc03fee,0x802fffff,
    0xfffffb98,0xd81befff,0xffeee884,0xfeeeeeef,0x745eeeef,0xff884fff,
    0x444fffff,0x07a0005f,0x7ff65400,0x7ffffcad,0x8803fea0,0xf04fffff,
    0x7d4bffff,0xf905ffff,0x2003ffff,0xffffffc8,0xf30006ff,0xd03fffff,
    0x400bffff,0xffb02ff8,0x8007ffff,0xfffffff9,0x3e20f200,0xffffffff,
    0xffffffff,0x3ffff27f,0xfffff704,0x007ec7ff,0x00000d00,0x813ffffe,
    0xfff806fd,0xffff05ff,0x7fffcc9f,0xffff905f,0x6c40125f,0x0fffffff,
    0xffff7000,0xffffd03f,0x05fe800b,0x9ffffff5,0xfffff000,0x3e2000bf,
    0xffffffff,0xffffffff,0x3ffffe7f,0x3ffff607,0x02fbafff,0x80000000,
    0x01fffffa,0x3fa00ffe,0xfff05fff,0xffff87ff,0xffff706f,0xa800ba3f,
    0x02ffffff,0x3ffffa00,0x5ffffe80,0x883fdc00,0x06ffffff,0xffffff80,
    0xffb80005,0x440bff00,0x01ffffff,0x3ffffffa,0x000005ff,0xfffb0000,
    0x0ffd407f,0x2ffffec0,0x42fffff8,0x507ffffd,0x3a1fffff,0x7ffd4004,
    0x320002ff,0xffd07fff,0xf9800bff,0xffff502f,0xfff000ff,0x00009fff,
    0x3fe20ffb,0x3fffe604,0x3fe204ff,0x02ffffff,0x80000000,0x406ffff8,
    0xff5006fc,0x3ffe0bff,0x7ffe40ff,0xffff507f,0x64003f4d,0x0000ffff,
    0x7417ffea,0x8005ffff,0x3ff204fe,0x7c003fff,0x204fffff,0x3fe02eeb,
    0x405ff505,0xfffffff8,0x3fffe603,0x3103ffff,0x00e75c40,0xffffd800,
    0x0027fc00,0x3e0dffff,0xffa86fff,0xffa80fff,0x00ffa4ff,0x00ffff50,
    0x02fff980,0x00bffffd,0xfe80ff90,0x7c007fff,0x904fffff,0xf107ffff,
    0x03fee07f,0xfffffff0,0x7ffd405f,0x40dfffff,0x3fffa03e,0x7ec0000f,
    0x7cc01fff,0x3ff2001f,0xffff887f,0xfffff881,0x2ffffb82,0x98007ffa,
    0x6ecc4fff,0x05ffb802,0x017ffffa,0x8807fe60,0x005ffffe,0x13fffffe,
    0x437ffffc,0xffb02ffa,0xfffff900,0xb8817fff,0xffffffff,0x206fcdff,
    0x04fffffa,0x37fff600,0x007fc800,0x4c3fffc4,0x3ea05fff,0xffb85fff,
    0x077ff45f,0x40effb80,0x7404ffff,0x3ffa00ff,0xff0006ff,0xfffc8809,
    0xfff800df,0xff984fff,0x7dc0ffff,0x00bff00f,0x3ffffffa,0xffdcefff,
    0xffffffce,0x201fffff,0x05fffffb,0x4fffd880,0x0013fa00,0xf90bffe6,
    0xffd803ff,0x2fff40ff,0x00f7fff4,0xf107ffe6,0x501bffff,0xfff803ff,
    0xf90006ff,0x3ffa600d,0xfb981cff,0xd01cffff,0xfb0bffff,0x013fe20d,
    0x7fffff44,0x2effffff,0x3fffffa6,0x7c402fff,0x2002ffff,0x00cfffd9,
    0x000bfe60,0xfa8f7fcc,0xff9000ef,0x3bfee1bf,0xfffffe80,0x1effb81c,
    0xffffffb0,0x019fd559,0xffffffb8,0x1ffa8002,0x3fffae00,0xffffffff,
    0xffa801cf,0x05ff81ef,0xb8005ff5,0xffffffff,0x3fff203f,0xf9002eff,
    0xd7100bff,0x20005bff,0x4c0007fb,0x0dfffffd,0x7fff5400,0xbd00befe,
    0xdfffb511,0x8807fffd,0xfffffffd,0x7fc401ef,0xffffffff,0x00e64000,
    0x66655440,0x00009aac,0x81664055,0x88000cc9,0x009acca9,0x00177310,
    0x2a003710,0xb800009a,0x2a00003c,0xa980001b,0x80b800ab,0x01accba8,
    0x55e55440,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00400100,0x0002aea6,
    0x99910000,0x00079999,0x99995000,0x00007999,0x3332e000,0xcccccccc,
    0x0000000c,0x22035751,0x2a880003,0x50000000,0x99999999,0x59999999,
    0xfedb8800,0xa80acdff,0xfffff705,0xddddddff,0x3fb6e00b,0x7ed41dff,
    0x0005ffff,0xffeb9800,0x80006fff,0xff004ffa,0xffffffff,0xeb800dff,
    0x3ff66003,0x3ea2ffef,0xfffff886,0xfffb35ff,0x6440039f,0x800bdffe,
    0xfffffffe,0xffffffff,0xfffb3003,0xfffbdfff,0x88bd339f,0xf70cfffe,
    0x0fffffff,0xf99ffea8,0x7fc40fff,0x00005fff,0x3fffe200,0x7c40006f,
    0xffa804ff,0xffffffff,0xfb8802ff,0xff7003ff,0x6e7fd47f,0xff7106ff,
    0xfff3bfff,0x003fffff,0xfffffff9,0x7ffc405f,0xffffffff,0x800fffff,
    0x0cfffffc,0xfffffb88,0x437fff45,0x2aadfffe,0xf9bffe60,0xfff85fff,
    0x000005ff,0x37ffff40,0x3fff6000,0xffffd804,0x7fffffff,0x7fffe440,
    0xfffc803f,0xfffffc85,0x7ffffc06,0xffd88cfe,0x3f600fff,0xffffffff,
    0xffff302f,0xffffffff,0xe880bfff,0x800effff,0x325fffc8,0xfb83ffff,
    0x7c400fff,0x3ffe4fff,0xffffe84f,0x40000005,0x006ffffe,0x13fffee0,
    0xffffff10,0x09ffffff,0x3fffff66,0x7fd403ff,0xfff882ff,0x7ffc06ff,
    0xffd85fff,0xfff905ff,0xffffffff,0xffff705f,0xffffffff,0x7c407fff,
    0x000effff,0xfff2ffec,0xfff505ff,0xfffb80bf,0x037faa5f,0x017ffffa,
    0xffd00000,0x26000dff,0x404fffff,0xeeeeeefa,0x441eeeee,0xffffedfd,
    0x7ff403ff,0xffff00ff,0xffff80df,0xfffa80ff,0x7ffcc2ff,0xffffffde,
    0xfffd85ff,0xeeeeefff,0x3a00fffe,0x000fffff,0x3fe6bfd0,0xff982fff,
    0x7fe407ff,0x7f4005ff,0x00005fff,0x7ffff400,0xfff88006,0x3ec04fff,
    0x3f604000,0x2a03ffff,0x3e06ffff,0x7c06ffff,0x3e05ffff,0x7e44ffff,
    0x7fffdc0b,0x67fc0fff,0x06ffa802,0x0ffffff6,0xf55f8800,0xf303ffff,
    0x7401ffff,0x4005ffff,0x005ffffe,0x7ff40000,0xfd8006ff,0x204fffff,
    0x800004f8,0x03fffffb,0x817fffee,0x406ffffe,0x205fffff,0x225ffffe,
    0x3ffee02f,0x0fe62fff,0x503ffd80,0x01ffffff,0xff15e800,0xff303fff,
    0xffe80dff,0x7f4005ff,0x55cc5fff,0x2ae60000,0x1bffffa0,0xfff7f700,
    0x67dc09ff,0x2a00001a,0x203fffff,0x205ffffd,0x406ffffe,0x205fffff,
    0x267ffffe,0xffffe803,0xf0012e2f,0x3ffa01ff,0x80005fff,0x3ffff65a,
    0x4ffffa82,0x2fffff40,0x3ffffa00,0xbfffff55,0x3fb26005,0xfffd3fff,
    0xafcc00df,0x204fffff,0xdefffffe,0x3fea0003,0x3fe03fff,0x3fa04fff,
    0x7fc06fff,0x3f605fff,0x4000ffff,0x01fffffb,0x41bfea00,0x3ffffff9,
    0x7d430000,0xffb83fff,0xfffc81ff,0x3fffffff,0xdffffe80,0xfffffffc,
    0x7ffd402f,0xfedfecef,0xd1006fff,0x3ffffe1d,0xfffff104,0x005fffff,
    0x7fffff50,0x3ffffe60,0x3ffffa03,0x7ffffc06,0x3ffff605,0x7fd4001f,
    0x640007ff,0xfff903ff,0x00003fff,0x21bfff60,0xf903fffe,0xffffffff,
    0xfffd007f,0x3f223fff,0xf301ffff,0xffa8dfff,0xb006ffff,0x7ffffc3f,
    0xfffff704,0x5dffffff,0x7fffd400,0xffff503f,0x7fff407f,0x7fffc06f,
    0x3fff605f,0x7dc000ff,0x40004fff,0xfff00fff,0x0001ffff,0x6fffe400,
    0x01fffd98,0x0bffffd0,0xeffffe80,0xeffffc80,0x2ffffe80,0x6fffffb8,
    0x7fc3fb80,0xffd04fff,0xffffffff,0x2a007fff,0x303fffff,0x409fffff,
    0x406ffffe,0x205fffff,0x007ffffd,0x01ffffc8,0x81bfea00,0x07ffffff,
    0xfd880000,0x00ceffff,0x17ffffa0,0xbffffd00,0x3ffffe60,0x3ffffd43,
    0x0dffffd0,0xfff85f98,0xfff984ff,0xffffffff,0xa801ffff,0x103fffff,
    0x40bfffff,0x406ffffe,0x205fffff,0x005ffffe,0x005fffd8,0x881ffe40,
    0x07ffffff,0xbeb80000,0x3a000199,0x4005ffff,0x205ffffe,0x644fffff,
    0x3a05ffff,0x7406ffff,0xfffff80f,0xdcbaa984,0xfffffffe,0x7d400fff,
    0x3e03ffff,0x3a05ffff,0x7c06ffff,0x3a05ffff,0x4004ffff,0x000ffff8,
    0x980fffc0,0x07ffffff,0x3fa20000,0x3fa00001,0x74005fff,0x3a05ffff,
    0x7ec6ffff,0x3fa04fff,0x3f206fff,0x9fffff02,0xfffb8800,0x403fffff,
    0x03fffffa,0x03fffff2,0x037ffff4,0x417ffffe,0x02fffff8,0x01fffdc0,
    0x81bfe600,0xfffffff9,0xfd000000,0x7400001f,0x4005ffff,0x205ffffe,
    0x7c7ffffd,0x3a04ffff,0xf506ffff,0x7ffffc09,0x3faa0004,0x5405ffff,
    0x203fffff,0x83fffff8,0x06fffff9,0x0ffffffc,0x037fffdc,0x0027ff40,
    0x101ffe40,0x3fffffff,0xff300000,0x333335bf,0xffffd000,0xfffe800b,
    0x3fff605f,0xffff11ff,0x7fff409f,0x406f886f,0x004fffff,0x7ffff440,
    0x7fffd407,0x7ffe403f,0x3ffea2ff,0x7fc06fff,0x221fffff,0x002ffffe,
    0x00037fdc,0x7c01fff8,0x03ffffff,0xfffc8000,0xffffffff,0x7f401cff,
    0x74005fff,0x3605ffff,0xf50fffff,0x7409ffff,0xfe86ffff,0xaaaaaaac,
    0x2adfffff,0x3ffa2000,0x3fea00ff,0xfc803fff,0xbffeffff,0x406ffffe,
    0xfddfffff,0x3fffffce,0x077fc400,0x37fcc000,0x7fffff40,0xb800004f,
    0xffffffff,0x3fffffff,0x17ffffa0,0xbffffd00,0x3ffffec0,0x09fffff5,
    0x437ffff4,0xffffffff,0xffffffff,0x220000ff,0x7d407fff,0x9003ffff,
    0x23ffffff,0x406ffffe,0xf75fffff,0x005bffff,0x0001ffd0,0x2013ff20,
    0x5ffffffb,0xff880000,0xffffffff,0x02ffffff,0x00bffffd,0x05ffffe8,
    0x997ffff6,0x204fffff,0xf86ffffe,0xffffffff,0xffffffff,0x7f40000f,
    0x7ffd406f,0x5cc003ff,0x7ffff40a,0x7ffffc06,0x00015cc5,0x00003ff7,
    0x4400fffc,0x06ffffff,0xffd30000,0xffffffff,0x3a0bffff,0x4005ffff,
    0x205ffffe,0x223ffffd,0x205fffff,0xf86ffffe,0xffffffff,0xffffffff,
    0x7e40000f,0x7ffd404f,0x200003ff,0x406ffffe,0x005fffff,0x00ffcc00,
    0x7fcc0126,0x3fff2006,0x00001fff,0xeeeffc88,0xfffffeee,0xffffd07f,
    0xfffe800b,0x3fffe05f,0x7ffff41f,0x3ffffa07,0xeeeeed86,0xffffeeee,
    0x0000eeff,0x2a007fdc,0x003fffff,0x3ffffa00,0x7ffffc06,0x3e200005,
    0x003e801f,0x44009ff9,0x05fffffe,0xff70e400,0x3ffaa00d,0xbffffd05,
    0xffffe800,0xfffff105,0x3fffff70,0xdfffff10,0x7fffc000,0x07bd504f,
    0x2a017fa0,0x003fffff,0x3ffffa00,0x7ffffc06,0x3fa00005,0xaaaaaaac,
    0xfd001feb,0xff98003f,0x0001ffff,0x3ffe23f7,0x0ffea001,0x02fffff4,
    0x1bffffa0,0x417fffd4,0x85fffff8,0x06fffffd,0x3ffffe00,0xeffff884,
    0x003be601,0x0fffffea,0xfffe8000,0x7fffc06f,0xf900005f,0xffffffff,
    0x3001ffff,0x2a000dff,0x01ffffff,0xf993f220,0x3ee002ff,0xfffff00f,
    0xfffe800b,0xfffe82ff,0x3fffee04,0xffff913f,0x20003fff,0xa84fffff,
    0x0cffffff,0xb8007f4c,0x004fffff,0x3ffffa00,0x7ffffc06,0xffb80005,
    0xffffffff,0xf9006fff,0x74c0009f,0x403fffff,0xfe82fea8,0xefb800ff,
    0x3ffffe01,0x77ff4006,0xff712efe,0xfff7009f,0xfd3fffff,0x01dfffff,
    0x4fffff80,0xffffffb0,0x01bfd99f,0x7ffffe40,0x3fe00005,0x7fc06fff,
    0x40006fff,0xfffffff9,0x5fffffff,0x003ffd00,0xffffd880,0xecaabcff,
    0xf9100dff,0x97599bff,0x5401bffb,0x02ffffff,0xffb8ffa0,0x002effff,
    0x3bffffee,0x57bfffd0,0xffff0001,0x3ff2209f,0x1bdfffff,0x7fffd400,
    0x80003fff,0xbffffffb,0x7fffe440,0xf10002ff,0xffffffff,0x07ffffff,
    0x000fff30,0x7fff5c40,0x3defffff,0xddb97100,0x401359bd,0xfffffffb,
    0x0b802fff,0x01abb988,0x506ee200,0x3e000015,0x4404ffff,0x8001bbaa,
    0xffffffed,0x03efffff,0x777775c0,0xd11eeeee,0xdddddddd,0xffe8005d,
    0xffffffff,0x802fffff,0x00002cc9,0x37975310,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99995000,0x19999999,0x66666664,0x00cccccc,
    0x19999999,0x3333332a,0x01cccccc,0x33333326,0x333322cc,0xcccccccc,
    0x666440cc,0x00cccccc,0x37bfb2e2,0x3332602c,0x01cccccc,0x99999990,
    0x99990099,0x99999999,0x3332a599,0x0000cccc,0x99999991,0x0001a807,
    0x200024c0,0xffffffd9,0x2ea0bdff,0xffffffff,0x3f2a02bf,0x3f663eff,
    0xefffffff,0x32a200ab,0x21efffff,0xfffffdba,0x501acfff,0x37dfffd9,
    0x37fff220,0x81dfffda,0xfffffdb8,0xba800fff,0x02cffffe,0xffffca98,
    0x09beffff,0xffffffb3,0x7f5c0001,0xf506ffff,0x00003dff,0x200003f6,
    0x7ffffffc,0x7ffffcc0,0x3ee002ff,0xffff301f,0x10003fff,0xfd807fff,
    0x003fffff,0x8807ffa2,0x7c41fffe,0x3f201fff,0x0effffff,0x003ff600,
    0x7ffffd40,0x3ff600ff,0x40000fff,0x06fffff8,0x00bffffd,0x007ff300,
    0xfffff100,0xffc801ff,0x2003ffff,0x7fec04f9,0x0002ffff,0xff7007fd,
    0x8003ffff,0x7fec04fc,0xdfff706f,0x7fffe401,0x2a005fff,0x7fc0004f,
    0x6405ffff,0x000fffff,0x6fffff80,0xffffff98,0x7fe40000,0xff900006,
    0x8805ffff,0x06ffffff,0xf3007ee0,0x00bfffff,0x2e00df10,0x00ffffff,
    0xf701fdc0,0x3e207fff,0x3ea03fff,0x3fffffff,0x0009f300,0x4ffffff8,
    0x7ffffdc0,0xffe80000,0xfff886ff,0x440007ff,0x0002ffff,0xffffff88,
    0xffffd805,0x0dd001ff,0x3fffff60,0x17d4000f,0xfffffb80,0x17cc000f,
    0x09ffffb0,0x5027fffc,0xffffffff,0x07f1003f,0xfffff800,0x7ffdc04f,
    0xe80000ff,0xfb06ffff,0x80009fff,0x005ffffb,0xfffffb00,0xfff9801f,
    0xf8804fff,0xffff5003,0x6e8009ff,0x3fffee00,0x7cc000ff,0x3ffffe02,
    0x17fffe07,0xffffafa8,0x4400ffff,0x7fc0002f,0x5c04ffff,0x000fffff,
    0x6ffffe80,0x017ff910,0xfffff800,0xfa80001f,0x803fffff,0x07fffffe,
    0x3a000fb8,0x007fffff,0xfb800be6,0x000fffff,0xfff017cc,0x3fe03fff,
    0x23ea03ff,0xfffffffb,0x0017c406,0x3fffffe0,0x7fffdc04,0xfe80000f,
    0x00406fff,0xffffa800,0xd00004ff,0x00dfffff,0x5ffffff7,0x5c005e80,
    0x02ffffff,0xfb800f90,0x000fffff,0xffb017cc,0xf881dfff,0x3ea00fff,
    0xffffff90,0x017c409f,0x3ffffe00,0x7ffdc04f,0x00dcc0ff,0x0dffffd0,
    0x3fa00000,0x00ffffff,0xffffb800,0x7fe402ff,0x2605ffff,0x7fc4002f,
    0x8806ffff,0x7fdc003f,0x4000ffff,0x3fee02f9,0x2e0effff,0x7d405fff,
    0x3fffff60,0x05f103ff,0xfffff800,0x7ffdc04f,0xffff50ff,0xfffd009f,
    0x000000df,0xfffffbf3,0xf100007f,0x40bfffff,0xfffffff8,0x000f900f,
    0x3ffffff2,0x0007e401,0x3fffffee,0x017cc000,0xfffffff1,0x017ffa5f,
    0xffe883ea,0x881fffff,0x7fc0002f,0x5c04ffff,0xfc8fffff,0x03ffffff,
    0x037ffff4,0xeb6c0000,0x007fffff,0xfffffb00,0x3efee01f,0xf03fffff,
    0x3fe20009,0x7c05ffff,0xfffb8004,0x4c000fff,0x7ffdc02f,0xffefffff,
    0x981f5003,0xffffffff,0x00017c40,0x13fffffe,0xdfffff70,0xffffb37f,
    0x7fff401f,0x4000006f,0xffff73f8,0x500005ff,0x07ffffff,0x7ffffd7a,
    0x001fa86f,0x3fffff60,0x001f700f,0xffffff70,0x02f98001,0xffffffc8,
    0x2a003fff,0xffffa80f,0x17c46fff,0x3fffe000,0x7fdc04ff,0x3e21ffff,
    0x3a03ffff,0x0006ffff,0xf887e400,0x006fffff,0xfffffd00,0x3f25f30d,
    0x6c1fffff,0x7fd40006,0xbd04ffff,0x3ffee000,0x4c000fff,0xfff5002f,
    0x05ffffff,0x7e403ea0,0x24ffffff,0x7c0002f8,0x404fffff,0x82fffffb,
    0x205ffffe,0x406ffffe,0x13e20000,0x3ffffff9,0xfff70000,0x26d85fff,
    0x4ffffff8,0x20000fe2,0x87fffffe,0xf70001fa,0x001fffff,0x2a002f98,
    0xffffffff,0x00fa803f,0x3ffffff6,0x0005f12f,0x4ffffff8,0x7ffffdc0,
    0x5ffffe80,0x1bffffa0,0x0027fed4,0x3fe607dc,0x0005ffff,0xffffff88,
    0xffd0fe25,0x07dcffff,0x7ffdc000,0x036c2fff,0xfffff700,0x2f98001f,
    0xfffff500,0x05ffffff,0x3a200fa8,0x9fffffff,0x7c0002f8,0x404fffff,
    0x80fffffb,0x206ffffe,0x986ffffe,0x005fffff,0xfffd82fc,0x80000fff,
    0x0ffffffd,0xfffa81f7,0x00bd2fff,0x3fffe200,0x00be66ff,0xfffffb80,
    0x17cc000f,0x65bff620,0xffffffff,0x1003ea00,0xdfffffff,0xf80005f1,
    0x404fffff,0x80fffffb,0x206ffffe,0xc86ffffe,0x01ffffff,0x3ea03f50,
    0x004fffff,0xfffffa80,0xff109d3f,0x3f3bffff,0x7fe40000,0x0d91ffff,
    0xffffb800,0x7d4000ff,0x3fffa202,0x3ffffee2,0x03ea03ff,0x3ffffea0,
    0x0002feff,0x27fffffc,0x3ffffee0,0x6ffffe80,0x1bffffa0,0x3ffffff6,
    0xe80dd004,0x00ffffff,0xffffe800,0xf901faef,0x0ddfffff,0xfff88000,
    0x03f8cfff,0x7fffdc00,0x7d4000ff,0x3fffee02,0x7ffffd40,0x003ea05f,
    0x7fffffdc,0x7c0002ff,0x404fffff,0x80fffffb,0x206ffffe,0xa86ffffe,
    0x05ffffff,0xaaaacf98,0xffffdaaa,0xb80003ff,0x6fffffff,0x3ffffe60,
    0x800004ff,0xcffffffd,0xffa80007,0x4000ffff,0x3ffa01fa,0xffff706f,
    0x007d40ff,0xffffffb0,0x7c05005f,0x404fffff,0x80fffffb,0x206ffffe,
    0x906ffffe,0x009ffdff,0xfffffffb,0xffffffff,0xf10000df,0x05ffffff,
    0xffffffe8,0xf9800000,0x04ffffff,0xffffa800,0x7dc001ff,0xbffff100,
    0x3ffffe20,0x001f501f,0xffffffe8,0x0fffee02,0x0ffffffe,0x1fffff70,
    0x0dffffd0,0x037ffff4,0x100ff611,0x3333337f,0xffff9333,0xb00005ff,
    0x00ffffff,0x0dfffff7,0x7ff40000,0x0000ffff,0xffffff98,0x703ec001,
    0x6c09ffff,0x500fffff,0xff88001f,0xf102ffff,0xfff0ffff,0xfb807fff,
    0xfe80ffff,0x3fa06fff,0xff006fff,0x2007c803,0x6ffffff8,0xfffa8000,
    0xff8804ff,0x00002fff,0x3ffffee0,0x3fe00004,0x4002ffff,0x3ffea06f,
    0x3ffea05f,0x003ea07f,0x3ffffe60,0xfffff502,0xffffff85,0x7fffdc02,
    0xffffe80f,0x3ffffa06,0x406fa806,0x7ec004f9,0x001fffff,0x0ffffe80,
    0x1ffffb00,0xff800000,0x00001fff,0x13fffff2,0x2203fc80,0x2606ffff,
    0x2a05ffff,0xff70000f,0x3fea05ff,0x7ffc0fff,0x7dc00fff,0xfe80ffff,
    0x3fa06fff,0xfd806fff,0x000fec01,0x3fffffe6,0xffb80005,0x3fea005f,
    0x8000005f,0x0005fffc,0x7ffffcc0,0x06fb802f,0x207fffe8,0x200ffffc,
    0x320001fb,0xff102fff,0xfff887ff,0xffc805ff,0xffe80fff,0x3ffa06ff,
    0x17dc06ff,0x4001fe60,0x1ffffffe,0x7ffc4000,0x0fffc001,0x7c400000,
    0x800002ff,0x2ffffffb,0x001df710,0x209ffff1,0x7402fffe,0x7f40004f,
    0x3ffee02f,0x37fffd40,0xfffffc80,0x7fffff81,0x1fffffe0,0x74017e44,
    0xfc8000ff,0x006fffff,0x8006fd80,0x000006fc,0x0001bf60,0xfffffb80,
    0xffecbdff,0x3fea000e,0x3ff662ff,0x7ffe402f,0xff10000b,0xadffc805,
    0x0efffe98,0xffffe980,0x3ffea0cf,0xffb82fff,0x7442ffff,0x7ff5400b,
    0x7f44004f,0x0cffffff,0x00fea000,0x0000fe60,0x002f9800,0x7fec4000,
    0xefffffff,0xff910002,0x19fffdff,0x3ffffaa0,0x8001efff,0xfea802f9,
    0x0cffffff,0xfffffb80,0xfff97fff,0x22dfffff,0xffffffff,0x7e4000ff,
    0x2effffff,0x3ffffb20,0x3fffffff,0x00032000,0x00000064,0x00000120,
    0x57999550,0x26200003,0x0001abba,0x01a80000,0x2af2ea60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x91000000,0x99999999,0x55557999,0x33320003,
    0xcccccccc,0x30019aac,0x99999999,0x99999999,0x99999999,0x33333221,
    0x00cccccc,0x33332e00,0x11cccccc,0x99999999,0x03999999,0x33333200,
    0xcccccccc,0x99999302,0x44399999,0xcccccccc,0x442ccccc,0xcccccccc,
    0x3333223c,0xcccccccc,0x999970cc,0x99999999,0x7edd4059,0xffffffff,
    0xefffffff,0xf953000b,0xffffffff,0x05dfffff,0x7fffffdc,0xffffffff,
    0xffffffff,0x3f6e61ff,0x3fffffff,0xffff1000,0x137dffff,0x7fffedcc,
    0x09adffff,0xffb53000,0x7bffffff,0x3feea203,0x40bdffff,0xffffffeb,
    0xa80acfff,0xbefffffb,0x7ffed4c1,0x1bdfffff,0x3ffff2a2,0x09beffff,
    0xfffffb00,0xfffc988f,0x5c002fff,0x89ffffff,0xefffffb9,0xadfffb82,
    0xfffff709,0x3faa621f,0xfffb01ff,0x000dffff,0x3ffffff2,0xffd800ef,
    0x0004ffff,0xfffffc80,0x7fdc005f,0xffd801ef,0x006fffff,0x2007fff7,
    0x5ffffffc,0xfffff980,0xfb8000ff,0x2607ffff,0x02ffffff,0x3ffffe60,
    0x7fff441f,0x17fdc1ff,0xffffffb8,0x01ffd880,0xfffffdf5,0xfbf0005f,
    0x009fffff,0x3fffffea,0xf9800002,0x003fffff,0x1002ffe4,0xfffffffd,
    0x07ff3001,0x7ffffd40,0xffff003f,0x2e000bff,0x407fffff,0x0ffffffb,
    0xfffff100,0xffff503f,0x027dc1ff,0x1ffffff7,0xfa80ff40,0x5ffffffa,
    0x7fd7d400,0x5004ffff,0x03ffffff,0xfff30000,0x54007fff,0xf98003ff,
    0x04ffffff,0x4c005fc8,0x02ffffff,0xbffffff0,0x3ffea000,0xfff807ff,
    0xf1004fff,0x203fffff,0x24ffffff,0x7ffdc07b,0x3ea00fff,0xffb3f501,
    0x4003ffff,0xffffff6d,0x3ffea009,0x00001fff,0xffffff88,0x03ff5002,
    0x7fffe400,0x3e601fff,0xfff98006,0xff002fff,0x000bffff,0x1fffffea,
    0x3fffffa0,0xffff1006,0x3ffa03ff,0x016e6fff,0x1ffffff7,0x3f501f80,
    0x9ffffff3,0x7fcfe600,0x5004ffff,0x03ffffff,0xfff10000,0xf9005fff,
    0xfd00001d,0x20dfffff,0x98000ee8,0x02ffffff,0x9ffffff0,0x3ffea000,
    0xffd807ff,0xf1007fff,0x203fffff,0x27fffffd,0x7ffdc02b,0x0e400fff,
    0xfffd1fa8,0xf9001fff,0x3fffffe1,0xffff5004,0x000003ff,0x5ffffff1,
    0x0027ec40,0xfffff300,0x03fb09ff,0x3fffe600,0xfff002ff,0x20009fff,
    0x07fffffa,0x7fffffd8,0xfffff100,0x3fff603f,0x7dc007ff,0x000fffff,
    0x7fdc7ea0,0xf803ffff,0x3fffffe4,0xffff5004,0x000003ff,0x5ffffff1,
    0x000ffa60,0x3ffff200,0x0bf21fff,0xffff9800,0xfff002ff,0x20009fff,
    0x07fffffa,0x6fffffe8,0xfffff100,0x3fffa03f,0x7dc006ff,0x000fffff,
    0xfff87ea0,0x7d406fff,0x3fffffe1,0xffff5004,0x000003ff,0x5ffffff1,
    0x0003ff50,0x7ffff400,0x007f56ff,0xfffff980,0xffff002f,0x2a0009ff,
    0x407fffff,0x4ffffff8,0xfffff100,0x3fffe03f,0x7dc004ff,0x000fffff,
    0xffc87ea0,0x3a02ffff,0x7fffffc5,0xffff5004,0x000003ff,0x5ffffff1,
    0x0000efb8,0x7fffcc00,0x005fdfff,0xfffff980,0xffff002f,0x2a0009ff,
    0x407fffff,0x0ffffffa,0xfffff100,0xffff503f,0xfb8001ff,0x000fffff,
    0xff887ea0,0xf305ffff,0xffffff85,0xffff5004,0x000003ff,0x5ffffff1,
    0x00027fec,0xffffb800,0x00006fff,0x5ffffff3,0x3ffffe00,0xff50004f,
    0x7d40ffff,0x002fffff,0x3fffffe2,0x7ffff441,0xffb8002f,0x0000ffff,
    0xfffb07ea,0x0d901fff,0x09ffffff,0x3ffffea0,0x8800001f,0x8affffff,
    0x003ffffe,0xfffd0000,0x0001dfff,0xffffff30,0x3fffe005,0xf50004ff,
    0x988fffff,0x1dfffffc,0x7fffc400,0xfff731ff,0x20003fff,0x0ffffffb,
    0x307ea000,0x89ffffff,0xffff83f8,0xff5004ff,0x0003ffff,0xfffff100,
    0xffffffbf,0x0000003f,0xfffffff1,0xff300009,0xffffffff,0xffffffff,
    0x0009ffff,0x3fffffea,0xffffffff,0xf10001df,0xffffffff,0x017dffff,
    0x7fffdc00,0x2a0000ff,0xffffe81f,0x7c07dc7f,0x004fffff,0x3ffffff5,
    0xff100000,0xffffffff,0x001fffff,0xfff70000,0x0003ffff,0xffffff98,
    0xeeeeeeee,0xffffffee,0xfff50004,0xfff75fff,0x0005ffff,0x7fffffc4,
    0x009aaacd,0xffff7000,0x540001ff,0xffffb81f,0x7c17a3ff,0x004fffff,
    0x3ffffff5,0xff100000,0xff3bffff,0x00dfffff,0x3ffa0000,0x000effff,
    0x3ffffe60,0xffff002f,0x2a0009ff,0x2a7fffff,0x0fffffff,0xffff1000,
    0x000003ff,0xffffffb8,0x07ea0000,0xb7fffffc,0xffff01f9,0x3ea009ff,
    0x001fffff,0xffff8800,0xffff52ff,0x00009fff,0xfffff980,0x20004fff,
    0x2ffffff9,0xffffff00,0x3fea0009,0x7fec7fff,0x0005ffff,0x3ffffff1,
    0xfb800000,0x000fffff,0x7e407ea0,0x6d9fffff,0x3fffffe0,0xffff5004,
    0x000003ff,0x5ffffff1,0x7fffffdc,0x1000003f,0xfffff7df,0x260005ff,
    0x02ffffff,0x9ffffff0,0x3ffea000,0x7ffc47ff,0x8003ffff,0x1ffffff8,
    0x7dc00000,0x000fffff,0x7c407ea0,0x2fefffff,0x3fffffe0,0xffff5004,
    0x2e0003ff,0xfffff100,0xffffd85f,0x00001fff,0xfffb0fe8,0x0001ffff,
    0x5ffffff3,0x3ffffe00,0xff50004f,0xff50ffff,0x001fffff,0xffffff88,
    0x5c000001,0x00ffffff,0xd807ea00,0x07ffffff,0x27fffffc,0xfffffa80,
    0x01f0001f,0x3fffffe2,0x7ffff442,0x00000fff,0xfff887f6,0x8004ffff,
    0x2ffffff9,0xffffff00,0x3fea0009,0xff907fff,0x800dffff,0x1ffffff8,
    0x7dc00000,0x000fffff,0xf9807ea0,0x404fffff,0x04ffffff,0xffffff50,
    0x40f50003,0x2ffffff8,0xffffff98,0xf700006f,0xfffff505,0xf98005ff,
    0x002fffff,0x09ffffff,0x3fffea00,0x3fffa07f,0x22004fff,0x01ffffff,
    0x7fdc0000,0x0000ffff,0xffd007ea,0xff801fff,0x5004ffff,0x03ffffff,
    0x7c40db00,0x502fffff,0x9fffffff,0x04fa8000,0x3ffffff6,0x3fe6000f,
    0xf002ffff,0x009fffff,0x3ffffea0,0x3fffe607,0xf1001fff,0x003fffff,
    0xfffb8000,0x20000fff,0x7fd401fa,0xfff805ff,0xf5004fff,0x003fffff,
    0x3e205f98,0x202fffff,0xfffffffc,0x0bf30003,0xffffff88,0x3fe6005f,
    0xf002ffff,0x009fffff,0x3ffffea0,0x7fffdc07,0xf8800eff,0x001fffff,
    0x7ffdc000,0x20000fff,0xfff801fa,0xffff802f,0xff5004ff,0x4003ffff,
    0x3e605fe8,0x402fffff,0xfffffffd,0x07fc4002,0x7ffffd40,0xff3002ff,
    0x2005ffff,0x05ffffff,0xfffff700,0xfffd801f,0xf8805fff,0x001fffff,
    0x7ffdc000,0x20000fff,0xffc801fa,0xfffff006,0x3fea009f,0x1002ffff,
    0x7cc09ffd,0x403fffff,0xfffffff8,0x7fd1001f,0x7fffec00,0xf9800fff,
    0x002fffff,0x0bffffff,0x3ffff200,0x7fc401ff,0x403fffff,0x2ffffff9,
    0x7e400000,0x001fffff,0x22017f60,0xff9803ff,0x7005ffff,0x09ffffff,
    0x07fffd30,0x7fffffd4,0xffffc804,0x4401ffff,0x26001ffe,0x6fffffff,
    0xfffffa80,0xfff8803f,0x98006fff,0x5fffffff,0xfffffa80,0xfe880bff,
    0x00efffff,0xfff50000,0x001dffff,0x017fff70,0x6c400fd8,0x2fffffff,
    0x7ffffcc0,0xccccdfff,0xffffffec,0xffffd102,0xfc803fff,0xffffffff,
    0x7ffdc40b,0xff7000ef,0x3bffffff,0x3ffffa20,0x36201fff,0x3fffffff,
    0xffffe880,0xffffffff,0x3ffff605,0xffb1ffff,0xffffffff,0x30000dff,
    0xfffffffd,0x80ddffff,0xffffffe8,0x409301ff,0xffffffed,0x12efffff,
    0xfffffffd,0xffffffff,0xffffffff,0xffffee83,0x4fffffff,0x7fffffd4,
    0x4fffffff,0xfffffff9,0x3ff20bdf,0xffffffff,0xffdd14ff,0xffffffff,
    0x3ffb23df,0xffffffff,0x000003ef,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66654000,0x00004ccc,
    0x99999999,0x99999999,0x19999999,0x33333322,0xcccccccc,0xcccccccc,
    0x666664c3,0xaccccccc,0x400009aa,0xccccccc9,0xcccccccc,0x20cccccc,
    0xccccccc8,0xaacccccc,0x995000aa,0x99999999,0xccb80599,0x912ccccc,
    0x99999999,0x32199999,0xffffffff,0x7ffff42f,0x0068802f,0xfffffd98,
    0xa980000f,0xfffffffd,0xffffffff,0x260fffff,0xffffffdb,0xffffffff,
    0x446fffff,0xfffffeb9,0xffffffff,0xb8001bef,0xffffffff,0xffffffff,
    0xba85ffff,0xfffffffd,0xffffffff,0x3b2600df,0xffffffff,0x764c00ac,
    0x261cffff,0xffffffda,0x7dc1bdff,0x206fffff,0xb001eff9,0x7fec000f,
    0x00000fff,0x7fffffe4,0x7f5cccc2,0xff900fff,0x9985ffff,0x06ffffb9,
    0x3fffffa2,0xfff95337,0x64001bff,0x201cffff,0xfffffffb,0x7fffec00,
    0xfda988ff,0x401fffff,0xfffffff8,0x1fff0006,0xfffffc80,0x7ffe405f,
    0x0fec05ff,0x0007fa80,0x03fffff2,0xfff30000,0xf7005fff,0x3fea01ff,
    0x4402ffff,0x7e406ffd,0xb107ffff,0x005fffff,0x22013ff2,0x3fffffff,
    0xfffffa80,0xffffc80f,0x7fcc02ff,0x001fffff,0xfa801ff8,0x402fffff,
    0x07fffff8,0xff880374,0x3ff20007,0x00000fff,0x7fffffcc,0x01ff1002,
    0x3fffffe6,0x80df9002,0x07fffffc,0x1ffffff4,0xd8027ec0,0x06ffffff,
    0xffffff50,0x3ffff201,0x7fec00ff,0x4004ffff,0xff5004fa,0x9005ffff,
    0x205fffff,0xfe8802f8,0x3f20007f,0x0000ffff,0x7ffffc40,0x03ee002f,
    0x7fffffcc,0x901ba002,0x80ffffff,0x1ffffff8,0xfa803740,0x01ffffff,
    0xffffff50,0x3fffe601,0x7fc402ff,0x000fffff,0xff9801ba,0x8802ffff,
    0x706fffff,0xfffd100f,0x7fe4000f,0x00000fff,0x7fffffc4,0x403e2002,
    0x2ffffff9,0xc80d7010,0x807fffff,0x0ffffffc,0x7f400be0,0x004fffff,
    0x3fffffea,0x3ffffe00,0xfffb805f,0xf7005fff,0x7ffcc005,0xfb002fff,
    0x9d03ffff,0xffffe980,0x3ff20007,0x00000fff,0x7fffffc4,0x403a0e02,
    0x2ffffff9,0xc80d30d0,0x807fffff,0x4ffffff9,0x3f2003e0,0x00ffffff,
    0x3ffffea0,0x3fffa00f,0xfff007ff,0x8803ffff,0x7fcc005f,0x3002ffff,
    0x98bfffff,0x3ffe601f,0xffffffff,0xffff9002,0x8800001f,0x02ffffff,
    0x7cc030d1,0x882fffff,0xffc80707,0xfd007fff,0x1c0fffff,0x7ffffcc0,
    0x7d4002ff,0x100fffff,0x0bffffff,0x3ffffee0,0x007e405f,0x3ffffe60,
    0x3ffa002f,0x81b20fff,0xfffffff8,0x002fffff,0x81fffff9,0xfffffffc,
    0x7fffc405,0x00d502ff,0xffffff98,0x90007a82,0x00ffffff,0x3ffffff2,
    0x3ff60002,0x8005ffff,0x0ffffffa,0xffffff50,0x7fff4007,0x9f302fff,
    0xffff3000,0x7d4005ff,0x0fe4ffff,0x3ffffec0,0xffff9000,0xfffd101f,
    0xfff10019,0x1b605fff,0xfffff300,0x000fd05f,0x1ffffff2,0x7ffffd40,
    0xff50005f,0x001fffff,0xffffff50,0x3ffff601,0x7fd4006f,0xdd06ffff,
    0x3ffe6000,0x74002fff,0x1f57ffff,0x3ffff600,0x3ff20007,0xff900fff,
    0x7ffc4005,0x6fa82fff,0x7fffcc00,0x03fd42ff,0xfffffc80,0xffff5007,
    0xf1000dff,0x07ffffff,0x3fffea00,0x7fec40ff,0x8000dfff,0x2ffffffd,
    0x980017dc,0x02ffffff,0x7ffffdc0,0x3f6005db,0x20007fff,0x80fffffc,
    0x44001fe8,0x42ffffff,0x4c006ffb,0x22ffffff,0x90007ffb,0x00ffffff,
    0x3fffffe6,0xfffc8007,0x20006fff,0x9ffffffa,0xffffeb99,0x3e60002d,
    0x226fffff,0x3e60005f,0x002fffff,0x77ffffc4,0x3ff6001f,0x320007ff,
    0xd80fffff,0xff88001f,0xfeddffff,0x4c006fff,0xeeffffff,0x0007ffff,
    0x0ffffff9,0x3ffffe20,0x3e6000ff,0x01ffffff,0x3fffea00,0xffffffff,
    0xb00002ef,0x27ffffff,0x260000fc,0x02ffffff,0xfffffc80,0x7ffec006,
    0x3f20007f,0x7ec0ffff,0xfff10000,0xffffdfff,0xf9800dff,0xffefffff,
    0x90007fff,0x00ffffff,0x3fffffe2,0x3ffa001f,0x0004ffff,0x7fffffd4,
    0xffffdccb,0x20001cff,0xfffffff8,0x4c0004fa,0x02ffffff,0xfffff980,
    0x7ffec003,0x3f20007f,0x3f60ffff,0x3fe20001,0xf932ffff,0xf9800dff,
    0x932fffff,0x32000fff,0x007fffff,0xfffffff1,0x7fffdc00,0x40000fff,
    0x0ffffffa,0xffffffd8,0x3ff20004,0x00ffffff,0x7fffcc00,0xfb0002ff,
    0xd8001fff,0x0007ffff,0x43fffff2,0x20005ffd,0x2ffffff8,0x4c006fc8,
    0x42ffffff,0xf90007fc,0x200fffff,0x6ffffff9,0xfffff100,0x500005ff,
    0x01ffffff,0x3ffffff2,0xfff10004,0x0005ffff,0xffffff30,0x3fea0005,
    0xffd8005f,0x320007ff,0xfd8fffff,0x10002fff,0x05ffffff,0xff3001ba,
    0xfd05ffff,0x3fff2000,0xff5007ff,0x200bffff,0x5ffffffd,0xfff50000,
    0x7ec01fff,0x003fffff,0xffffff70,0xff300003,0x0005ffff,0x40017ff4,
    0x007ffffd,0x3fffff20,0x0ffffffe,0xffff8800,0x00d502ff,0xffffff98,
    0x90007c82,0x00ffffff,0x3fffffee,0xffffa803,0x34001fff,0xffffffa8,
    0x3fffee00,0xf50006ff,0x003fffff,0xfffff300,0x7dc0005f,0xfffb0007,
    0x7e4000ff,0xffcfffff,0x88005fff,0x02ffffff,0xff9800d3,0x7982ffff,
    0xfffc8240,0xff9007ff,0x8805ffff,0x4fffffff,0xfa834c00,0x200fffff,
    0x7ffffff8,0xffff5000,0x300003ff,0x05ffffff,0x0027c400,0x07ffffd8,
    0x3ffff200,0xfffffd1f,0xfff88007,0x01a02fff,0xffffff30,0x04a81a05,
    0x0ffffff9,0x3fffffa0,0xffffc806,0x5c8006ff,0xffffff50,0xfffff801,
    0xfa8000ff,0x001fffff,0xfffff980,0x3e20002f,0xfffb0000,0x7e4000ff,
    0xff10ffff,0x4001ffff,0x2ffffff8,0xff300020,0x0205ffff,0xfff903e8,
    0xff300fff,0x9803ffff,0x2fffffff,0xa827c400,0x00ffffff,0x3fffffe2,
    0xfff50007,0x00003fff,0x5ffffff3,0x002dc000,0x0fffffb0,0x7fffe400,
    0x3fffee0f,0x3fe2006f,0x0002ffff,0x3ffffe60,0x17d4002f,0x7fffffc8,
    0xfffffd80,0xffffe804,0xfd8005ff,0xfffff503,0x7ffd401f,0x50005fff,
    0x03ffffff,0xffff3000,0xdfb805ff,0x900017c0,0x0c8fffff,0xfffff900,
    0xfffffd81,0xffff3003,0x400005ff,0x2ffffff9,0x407fe600,0x07fffffc,
    0x7fffffc4,0x7fffdc00,0x5c000fff,0xfff502ff,0x7e401fff,0x002fffff,
    0xffffff50,0xff300003,0x5405ffff,0x01aa4fff,0xfffff300,0x64009919,
    0x440fffff,0x01ffffff,0xffffff98,0x3ea00003,0x002fffff,0x3201fff3,
    0x00ffffff,0x1bffffb1,0xfffff880,0x3a6003ff,0xff501fff,0x2a01ffff,
    0x04ffffff,0x3fffea00,0xa80001ff,0x02ffffff,0x2e9bfff6,0xfffb8000,
    0x64006fff,0xc81fffff,0x00efffff,0x7fffffd4,0x3ee00004,0x405fffff,
    0x207fffd9,0x1ffffffd,0x3ffffe98,0xfffffb00,0x7fe400df,0xff700fff,
    0xf707ffff,0x009fffff,0xfffffb80,0xfb80002f,0x203fffff,0x6daffffb,
    0x3f6a0000,0x26000bef,0x84fffffe,0xdffffff9,0xffffd100,0x00003fff,
    0xfffffff3,0xdd9999df,0x20dfffff,0xfffffffa,0xffffdccf,0xff5001ce,
    0x99bfffff,0xfd999999,0x20ffffff,0xfffffff9,0xffffdcdf,0x40000cff,
    0xfffffff9,0x3e60000e,0x1fffffff,0xdfffff10,0x11000003,0xffff7000,
    0x261fffff,0xffffffff,0x3fffba2f,0xffffffff,0x3fa2001e,0xffffffff,
    0xffffffff,0x2a5fffff,0xfffffffe,0xdeffffff,0xffe8001b,0xffffffff,
    0xffffffff,0x227fffff,0xfffffffe,0xefffffff,0x20000acd,0xffffffec,
    0x3eefffff,0xffffe880,0xffffffff,0x6775c40e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07754000,0x40000000,0x00000512,0x510006a0,0x4c400037,
    0x310001ab,0x80001577,0x10001ba8,0x00098375,0xf9006e60,0xdfffffff,
    0x3fffffe6,0x3ffe1fff,0xffff93ff,0xd85fffff,0x002fffff,0x003ff700,
    0x32200000,0x017df17f,0xffd50000,0xfffb803d,0x2e003fff,0x2ffffffe,
    0xffffd880,0x4000dfff,0xcffffffc,0xfffd8802,0x2e2fcdff,0x0fffffff,
    0x09fffff7,0x7fffffdc,0x7ffff442,0x83ff705f,0xfffffffa,0x03dff100,
    0x0ffdc000,0x2a000000,0xff17fffd,0x00003bff,0x82fffff4,0xfb0cffd8,
    0xbff9009f,0x09ffff31,0x544dffdc,0x800effff,0xf32effd8,0x3a201bff,
    0xffd98cff,0x7fffcc3f,0xffffc8ff,0x3f203fff,0xfa82ffff,0xf306ffff,
    0x3ffff207,0x00fec05f,0x07fee000,0x2e200000,0x22effffe,0xbefffffb,
    0x3fe60000,0xfe80ffff,0x1fffcc6f,0xfd8dffb0,0xffc82fff,0x5ffffa85,
    0x0ffff440,0x641bffee,0x3ff987ff,0xefffffc8,0xffffd9bf,0xffff100f,
    0x3fffa0bf,0x00fb80ff,0x0ffffff1,0x800005f8,0x00001ffb,0x3ffff260,
    0x3f6a01cf,0x001cffff,0xffffff88,0x41fffdc0,0xfc80fffe,0x7ffdc3ff,
    0x7fffc45f,0x7ffffcc0,0x1bfff201,0x7c27fffc,0x4fa80fff,0xffffffc8,
    0x3ffffe21,0x3ffff604,0xfffff80f,0x6404d83f,0x302fffff,0x7000005f,
    0x000003ff,0x7dffffd5,0x7fe44001,0x4002efff,0x444ffffd,0xfc81ffff,
    0x7ffc44ff,0x7fffc41f,0x27fffdc6,0x0fffffe2,0x82ffffcc,0x260ffffe,
    0xd80dffff,0xfffffb84,0x5ffffe82,0x3ffffea0,0x7ffffcc3,0x2017c46f,
    0x05fffff8,0x200000d9,0x00001ffb,0xbfffff91,0xfd500005,0x0039ffff,
    0xc819ff91,0xfc80ffff,0x7ffe47ff,0x3fffd80f,0x22ffffdc,0x03fffff8,
    0x209ffffb,0x262ffffd,0x41efffff,0xffffb849,0xffffe80f,0x7ffffc05,
    0x7ffe6e46,0x401ee0ff,0x81fffffd,0x7000003f,0xa80003ff,0x0cfffffd,
    0xfc980000,0x802dffff,0x1ffffa00,0xf07fffe4,0x7101ffff,0xffff105b,
    0xfffff885,0x9fffff03,0x13ffff60,0x7ffffffd,0xfffff700,0xdffffd01,
    0xfffffc80,0x3ffe6be1,0x4013a3ff,0x44fffff9,0x000000fa,0x10003ff7,
    0x5dfffff7,0x22000000,0xcfffffeb,0xffff8000,0xfecccccf,0xfff11fff,
    0x540001ff,0x7fff4c0b,0xfff883ff,0xfffb03ff,0xffffb8df,0x2e00dfff,
    0xe80fffff,0x4c06ffff,0xf54fffff,0x8b7ffff4,0x3ffa001f,0x013a0fff,
    0x1ffb8000,0x3fff6200,0x00001dff,0x3ff66000,0x22005fff,0xeeefffff,
    0x1eeeeeee,0x05fffff3,0x6ff4c000,0xa83fffff,0xb03fffff,0xf88fffff,
    0xefffffff,0xfffff701,0xdffffd01,0xfffffd00,0xffffc936,0x5c006b9f,
    0xf33fffff,0xfff10003,0xffffffff,0xffffffff,0x3ffe2fff,0x000003ff,
    0xfff91000,0x7fd400ff,0x54000fff,0x003fffff,0x8bffd980,0xb83fffff,
    0xb03fffff,0xa83fffff,0xffffffff,0xffffb80f,0xffffe80f,0xffffb806,
    0x3fe61fbf,0x004ecfff,0x97fffff8,0x3fe2000b,0xffffffff,0xffffffff,
    0x3fae7fff,0x000bffff,0xfd980000,0x001dffff,0x0bffffea,0xfffff500,
    0xffc80009,0xfffff12f,0xfffff507,0x3ffff607,0xffff980f,0xfb86ffff,
    0xfe80ffff,0xf8806fff,0xe86fffff,0x01ffffff,0xfffffc80,0x910002fb,
    0x99999999,0x9999bffb,0xb3099999,0x03bfffff,0xfd500000,0x0017ffff,
    0x7fffff30,0xffff8800,0xfd10006f,0x7ffc43ff,0xfff983ff,0xfffb03ff,
    0x7fec40ff,0x5c0fffff,0xe80fffff,0xb006ffff,0x707fffff,0x00dfffff,
    0x3ffffe20,0x8000006f,0x40001ffb,0xeffffeb8,0x2200000b,0x2dfffffc,
    0x3fe20100,0xf8006fff,0x002fffff,0x446fffe8,0xf03fffff,0x3607ffff,
    0x40c6ffff,0x3ffffffb,0x07ffffdc,0x037ffff4,0x0fffffa8,0x3fffff88,
    0x3fff6000,0x000003ff,0x0001ffb8,0x3ffff6a0,0x2a0001cf,0x1cfffffd,
    0x19ff9100,0x2fffffe8,0xfffd0540,0x64001dff,0x7c43ffff,0xfd03ffff,
    0x3fa09fff,0x983c4fff,0x5c4fffff,0xe80fffff,0x2006ffff,0x3606ffff,
    0x0000ffff,0x03ffffe6,0x3ee00000,0x8800001f,0x2efffffc,0xfffd7100,
    0xfb0007df,0xffb89fff,0x3e606fff,0x3ffffea0,0xfe87204f,0x7fcc5fff,
    0xff303fff,0x3ffe09ff,0x9817c0ff,0x7dc2ffff,0xfe80ffff,0x32006fff,
    0x3ea03fff,0xe80006ff,0x00004fff,0x003ff700,0xffda8000,0xc981cfff,
    0x01dfffff,0xfffff100,0x7fffc41f,0x1fcc0eff,0x7ffffff4,0xff1b620b,
    0xf937ffff,0x409fffff,0xff06fffd,0x01ff09ff,0xf903fffa,0xfd01ffff,
    0x4c00dfff,0x7fc00fff,0xfa80003f,0x000001ff,0x0003ff70,0x3ff26000,
    0xffd15fff,0x00017dff,0xffffff98,0x7ffffd40,0x05fecdff,0xfffffff3,
    0xd83ffdbf,0xffffffff,0xbefffffb,0x1ffff985,0x4077ffdc,0xffe80eff,
    0xfffffc85,0x7fffff81,0x402ff400,0x00000ffc,0x00000bff,0x000ffdc0,
    0x7f540000,0x5bfff17f,0xffe80000,0xfff505ff,0x0bffffff,0xffffff98,
    0xfa81ffff,0x70efffff,0x01dfffff,0x4c7bffa2,0x3fa05fff,0xffb89cff,
    0xffffe986,0x7fffdc4f,0x3ee002ff,0x005f9802,0x000bf200,0x1ffb8000,
    0x20000000,0x019f17c9,0x3fea0000,0x3fa601ef,0x003fffff,0xdfffffb1,
    0x7ff5c017,0x7ffec43d,0xfffc800d,0x7404efff,0xfffffece,0x7fffdc0d,
    0xff97ffff,0x0dffffff,0x1c801220,0x01220000,0xff700000,0x00000003,
    0x00000010,0x4c400350,0x88000abb,0x04000ab9,0x53000180,0x82e00157,
    0x0000aba8,0x00000000,0x00000000,0xffb80000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00000198,0x3ff20a98,0x7fc7ffff,0x005fffff,0x20055440,0xf8800ba8,
    0xffffffff,0x25ffffff,0xffffffff,0xffff9aff,0x000001ff,0x08800000,
    0x40000000,0xaaaaaaa8,0xaaaaaaaa,0x02aaaaaa,0x00000001,0xfffffa80,
    0x3ffaa1ff,0x3fffe61f,0xffffb87f,0x7fffd45f,0xfff31fff,0xfe983dff,
    0x2202efff,0x99aacfff,0x1ffffffb,0x7fffffdc,0x057ffc45,0x004fd880,
    0x001ff880,0x203bff66,0x6cc2efc8,0x9fb501df,0x7ffffc41,0xffffffff,
    0xffffffff,0x077fee27,0x00000000,0x23fffffd,0x44fffffb,0x887ffffd,
    0x985fffff,0xb9fffffe,0xefffffff,0xffffff50,0x3be203ff,0xfffffd00,
    0x3fffee09,0x001ff86f,0x000fffdc,0x801bff20,0x40ffffff,0x3a1ffffc,
    0x7c40ffff,0x3fe26fff,0xffffffff,0xffffffff,0x3fee7fff,0x000006ff,
    0x7ffdc000,0xffffa9ff,0x7ffec5ff,0xfffff07f,0x3fffee0b,0xffa9bfef,
    0x9cfbdfff,0x06fffffa,0x3fee05f1,0x3a00ffff,0x2a3fffff,0xffc8002f,
    0x3e20002f,0xfa802fff,0x7c4fffff,0xff35ffff,0xffb87fff,0x55511fff,
    0x55555555,0x55555555,0x7fff4555,0x000001ff,0x3ffea000,0xffbdfaff,
    0x7ffe42ff,0xfffff07f,0x3fffee0b,0x7ffe42ff,0x7fdc3fff,0x06880fff,
    0x5ffffff1,0xfffff980,0x20007f17,0x0000fff9,0x01fffff6,0x3fffffee,
    0x3ffffe26,0x7fffff55,0x1fffffc8,0x3e000000,0x002fffff,0x2a000000,
    0x25ffffff,0xffc84ec8,0xffff07ff,0x3ffea0bf,0xfffa83ff,0xfff984ff,
    0xb02882ff,0x00dfffff,0x2ffffff6,0x8173006d,0x00dc45fe,0x7ff6ffcc,
    0x7fffc403,0x7fffc7ff,0xfffff13f,0xfffffa83,0x20000000,0x007ffffc,
    0x54000000,0x00ffffff,0x1fffff20,0x82fffffc,0x81fffffa,0x82fffffa,
    0x02fffff9,0x3ffffe60,0xfff1001f,0x5003ffff,0x97dc9fff,0x400fffc8,
    0xfff99ffe,0x7fff5400,0x7fffec6f,0x03ffffe2,0x00dffff3,0xfe880000,
    0x000003ff,0x7ffd4000,0x7e4006ff,0xfff07fff,0x3fea0bff,0xffa81fff,
    0xff982fff,0x3a003fff,0x004fffff,0x2fffffe4,0x5ffffc80,0x3fffa2f3,
    0x93fee02f,0x23004ffc,0x7ffdc5fb,0x1bfff60f,0xd127fffc,0xdddddddd,
    0xdddddddd,0x530ddddd,0x00000000,0x3ffffea0,0x7ffe4004,0xfffff07f,
    0x3fffea0b,0xffffa81f,0xffff982f,0xfff7003f,0x88001fff,0x01ffffff,
    0xefffff88,0xfffffbfb,0x83ffe206,0x2001fff8,0x7ffcc4fd,0x827ffdc6,
    0x3e22fffd,0xffffffff,0xffffffff,0x0007ffff,0x40000000,0x03fffffa,
    0x3ffffe40,0x05fffff8,0x03fffff5,0x05fffff5,0x07fffff3,0xffffff10,
    0x3ff20005,0x51005fff,0x7bfb7579,0xfc803975,0x05ffb83f,0xff01ff10,
    0x2fff989f,0x441fff50,0xffffffff,0xffffffff,0x007fffff,0x00000000,
    0x17ffffd4,0x3ffff200,0xbfffff07,0x3ffffea0,0xfffffa81,0xfffff982,
    0xffffd803,0x3e20006f,0x001fffff,0x001d5f30,0xfd037fc4,0x07f7005f,
    0x3fe0bff6,0x0dff100f,0x00000000,0x00000000,0x07ffffea,0xfffff900,
    0x17ffffe0,0x0fffffd4,0x17ffffd4,0x1fffffcc,0x3ffffe60,0x7f40001f,
    0x4005ffff,0x05fd4fc8,0xa80bff60,0x27cc06ff,0xfb01ff50,0xa84fe80d,
    0x8802aaaa,0x510001a9,0x00000000,0x03fffff5,0x7ffffc80,0x0bfffff0,
    0x07ffffea,0x0bffffea,0x0fffffe6,0x9fffffd0,0x3ee00620,0x01fffffe,
    0x325ffd30,0x3e600dff,0x3ffd806f,0xf8809f50,0xc809f506,0xffffa82f,
    0x3ffee00f,0x32002dff,0x00000005,0x1fffffa8,0x7fffe400,0xbfffff07,
    0x3ffffea0,0xfffffa81,0xfffff982,0x3fffee03,0x805700ff,0xffffaaf9,
    0xffff006f,0x81bffea1,0xf9801ffe,0x00e6c0ff,0x05f104e8,0xff500fa8,
    0x3ff607ff,0xbfffffff,0x0013e200,0x3ea00000,0x4001ffff,0x987ffffb,
    0x505fffff,0x503fffff,0x305fffff,0x207fffff,0x2ffffff8,0x4bd00ba0,
    0x02fffffe,0x3e2fffcc,0xbff707ff,0x227fe400,0x5004c000,0xfa805100,
    0xeff986ff,0xfffffedc,0x17ecc2df,0x40000000,0x01fffffa,0x7ffffd40,
    0x3ffffe21,0xffff505f,0xffff503f,0xffff305f,0x3fff607f,0x07f206ff,
    0x3fea0fc8,0xff806fff,0x82ffe41f,0x22000aaa,0x000002aa,0x3ee00000,
    0x417ec0ff,0xffffffc9,0x005ffeef,0xf5000000,0x8003ffff,0x9dfffff8,
    0xfffffeea,0xfffff706,0xfffff503,0xfffff305,0xfffff307,0x1ff9103f,
    0x3fe0fee0,0x4404ffff,0x0005300a,0x00000000,0xfb800000,0x2202fc3f,
    0xffffffeb,0x000001ff,0xffff7000,0xff50005f,0xf1bfffff,0x703fffff,
    0x705fffff,0x507fffff,0xd09fffff,0x53bfffff,0x1ffffb95,0xd84ffc98,
    0x03ffffff,0x00000000,0x00000000,0x26fc8000,0x326001f8,0x000dfffe,
    0xd1000000,0x00bfffff,0x3ffffee0,0x3fffffe4,0x3fffa24f,0x7fec0dff,
    0x3621efff,0x20efffff,0xfffffffb,0xffffffff,0x7fffff47,0xfffffa9e,
    0x000fffff,0x00000000,0x00000000,0x03065c00,0x00000800,0x7fd40000,
    0x4fffffff,0x00373000,0x3ffffea0,0xff99ffff,0xafffffff,0xfffffff9,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_46_usascii_x[95]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0, };
static signed short stb__times_bold_46_usascii_y[95]={ 37,8,8,8,8,8,8,8,8,8,8,12,30,25,
30,8,8,8,8,8,8,9,8,9,9,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,43,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,18,18,18,18,18,18,8,8,8,22, };
static unsigned short stb__times_bold_46_usascii_w[95]={ 0,8,17,20,19,37,32,7,13,13,17,23,9,12,
8,12,19,16,18,19,19,19,19,19,19,19,8,8,23,23,23,17,37,30,27,27,29,26,25,31,32,16,21,33,
27,39,30,30,24,30,31,20,26,30,30,42,30,30,27,9,12,9,20,23,10,20,22,17,22,17,16,20,21,12,
13,23,12,33,21,19,22,22,17,14,14,21,21,30,21,21,18,12,3,13,23, };
static unsigned short stb__times_bold_46_usascii_h[95]={ 0,30,15,30,32,31,30,15,38,38,17,23,15,5,
8,30,30,29,29,30,29,29,30,29,29,30,21,28,21,10,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,37,28,30,28,29,29,29,28,28,28,36,30,36,16,3,8,21,29,21,29,21,29,29,28,29,
38,28,28,20,20,21,29,29,20,21,27,20,20,20,19,28,19,38,38,38,8, };
static unsigned short stb__times_bold_46_usascii_s[95]={ 252,46,197,55,163,183,76,189,1,46,140,
1,179,163,239,147,160,153,216,221,113,133,180,235,137,127,73,245,25,215,49,
109,60,1,136,1,78,51,25,14,218,195,188,153,125,85,157,221,33,112,1,
200,58,106,75,32,187,164,108,153,1,143,158,176,215,118,67,100,90,82,50,
29,210,241,98,1,232,65,174,139,193,170,25,159,234,43,227,196,118,212,99,
33,29,15,226, };
static unsigned short stb__times_bold_46_usascii_t[95]={ 1,40,212,40,1,1,40,212,1,1,212,
190,212,34,212,40,40,71,71,40,71,71,40,71,102,40,190,102,190,212,190,
40,1,102,161,71,161,161,161,40,132,161,102,132,132,132,102,1,132,1,132,
40,132,102,102,102,132,161,161,1,40,1,212,34,223,190,71,190,71,190,71,
71,102,40,1,161,102,212,190,190,71,71,212,190,161,212,190,190,212,161,212,
1,1,1,223, };
static unsigned short stb__times_bold_46_usascii_a[95]={ 166,221,369,332,332,665,554,185,
221,221,332,379,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,221,221,379,379,379,332,618,480,443,480,480,443,406,517,
517,259,332,517,443,627,480,517,406,517,480,370,443,480,480,665,
480,480,443,221,185,221,386,332,221,332,370,295,370,295,221,332,
370,185,221,370,185,554,370,332,370,370,295,259,221,370,332,480,
332,332,295,262,146,262,346, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT or STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_46_usascii(stb_fontchar font[STB_FONT_times_bold_46_usascii_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT][STB_FONT_times_bold_46_usascii_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_46_usascii_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_46_usascii_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_46_usascii_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_46_usascii_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_46_usascii_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_46_usascii_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_46_usascii_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_46_usascii_s[i] + stb__times_bold_46_usascii_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_46_usascii_t[i] + stb__times_bold_46_usascii_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_46_usascii_x[i];
            font[i].y0 = stb__times_bold_46_usascii_y[i];
            font[i].x1 = stb__times_bold_46_usascii_x[i] + stb__times_bold_46_usascii_w[i];
            font[i].y1 = stb__times_bold_46_usascii_y[i] + stb__times_bold_46_usascii_h[i];
            font[i].advance_int = (stb__times_bold_46_usascii_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_46_usascii_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_46_usascii_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_46_usascii_s[i] + stb__times_bold_46_usascii_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_46_usascii_t[i] + stb__times_bold_46_usascii_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_46_usascii_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_46_usascii_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_46_usascii_x[i] + stb__times_bold_46_usascii_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_46_usascii_y[i] + stb__times_bold_46_usascii_h[i] + 0.5f;
            font[i].advance = stb__times_bold_46_usascii_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_46_usascii
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_46_usascii_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_46_usascii_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_46_usascii_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_46_usascii_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_46_usascii_LINE_SPACING
#endif

