// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_48_latin1_BITMAP_HEIGHT        538
#define STB_FONT_arial_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_48_latin1_FIRST_CHAR            32
#define STB_FONT_arial_48_latin1_NUM_CHARS            224

#define STB_FONT_arial_48_latin1_LINE_SPACING          31

static unsigned int stb__arial_48_latin1_pixels[]={
    0x4cc13300,0x13100000,0x00199800,0x33304ccc,0x00000998,0x06662000,
    0xc8000000,0x4001ffff,0xfff87ffe,0x3bba2006,0x06620003,0x1f774400,
    0xeee88000,0x261eeeee,0xfb800999,0x001bfa2f,0xfffffda8,0x1fff803e,
    0x7fffdc40,0xff87ffe2,0x00000dff,0x3ffbb2a0,0x1cefffff,0xf8800000,
    0xe8003fff,0x6fff87ff,0x13ffe200,0xfffeda80,0x1002deff,0x00009fff,
    0x3fffffe2,0x3fffe1ff,0x22ffc402,0x44003ffa,0xfffffffd,0x3fe02eff,
    0x7ffec01f,0x87ffe2ff,0x01efffff,0x3fee2000,0xffffffff,0x0befffff,
    0xff700000,0x3fa0009f,0x06fff87f,0x013ffe20,0x3fffffae,0x2effffff,
    0x027ffc40,0xffff8800,0x3fe1ffff,0x7fec02ff,0x000ffe81,0x3bfffff6,
    0x01ffffff,0x7dc03fff,0x3e2fffff,0x3fffe1ff,0x880005ff,0xfffffffc,
    0xffffeeff,0x003fffff,0x37ffc400,0x0fffd000,0x4400dfff,0x3a204fff,
    0xffffffff,0x5fffffff,0x013ffe20,0x77ffc400,0x3fe0aaaa,0x3fea02ff,
    0x00bff304,0x473bffee,0x0efffeb8,0x3a01fff8,0xff80afff,0x7ff4c41f,
    0x3e60000f,0x19cfffff,0x3fff6a20,0x00000dff,0x0001fff7,0x55415554,
    0x3322002a,0xffff502c,0x753579ff,0x0bfffffb,0x0013ffe2,0x02fffc40,
    0x440bfffe,0x3f600fff,0xfffe802f,0x0bfffa01,0x7c407ffe,0x3ffe03ff,
    0x07fff301,0x3fffea00,0xf710002e,0x0003ffff,0x0005fff0,0x00000000,
    0x5fffffcc,0x7ffe4400,0x4fff885f,0xfff10000,0x3f20000b,0x3ffcc04f,
    0x017ffe20,0xff0bfff5,0x3ffea03f,0x807ffe01,0xb8004ffe,0x0002ffff,
    0x1dfffb10,0x00000000,0x00000000,0x003bfffa,0x85ffff90,0x0004fff8,
    0x00bfff10,0x03fff100,0x4c05ffd0,0xff803fff,0x01fff87f,0x7c01fff5,
    0x3ffa01ff,0x7ffdc005,0xa800001e,0x00005fff,0x00000000,0xfffc8000,
    0xffb0000e,0x4fff88df,0xfff10000,0xff70000b,0x1bfee00d,0x500dfff0,
    0x07ffe033,0xf007ffd4,0x7fec03ff,0x3ffe2005,0x2000000d,0x2603fffb,
    0x98800099,0x004ccc19,0x200ccc40,0x3fe60999,0x220001ff,0x3e21ffff,
    0x36ea24ff,0xff8802cc,0x01cc805f,0x26007fff,0x3f601fff,0x7c0003ff,
    0xfff701ff,0x201fff80,0x36005ffd,0xcb8806ff,0x199880ad,0xf807ffe4,
    0x7c000fff,0x7fffc6ff,0x37ffc000,0x5c9fff10,0x80006fff,0x3e23fffd,
    0xffff74ff,0x4405dfff,0x7c405fff,0x1fffa83f,0x817ffa00,0x005ffff9,
    0x5c07ffe0,0x7ffc07ff,0x017ff601,0x100fffd4,0xdffffff9,0x7437ff41,
    0xfff903ff,0x7ffd4005,0x017ffe43,0x407fff50,0x3fa4fff8,0x980002ff,
    0xcfff881b,0xfffffffc,0xff104fff,0x3ff880bf,0x4006ffe8,0x2a00fffb,
    0x001effff,0xf701fff8,0x1fff80ff,0x201bff60,0x2a03fff8,0xffffffff,
    0x4fff88ef,0xf306ffa8,0x7ec00bff,0x7ffcc0ff,0x3fff6005,0x53ffe200,
    0x000ffff9,0x7ffc4000,0xb9acffff,0x884ffffd,0x7cc05fff,0x1fffc44f,
    0x0fffe600,0x9fffffd0,0x01fff800,0xff80fff7,0x1bff601f,0xb817ff20,
    0xcacfffff,0xfffaeffe,0x205fff03,0x8800fffe,0xffd05fff,0xfff1001f,
    0x4fff880b,0x000ffff7,0xffff1000,0x3fea03ff,0x7ffc41ff,0x227fcc05,
    0x8002fffa,0xfd305fff,0x3dffffff,0x407ffe00,0x7fc07ffb,0x1bff201f,
    0x540bffa0,0xf903ffff,0x203fffff,0xff704ffc,0xfff5007f,0x0fffee05,
    0x00bffea0,0x3f29fff1,0x000006ff,0x0fffff88,0x237ffd40,0x5405fff8,
    0x7ffe45ff,0x7ffe8001,0xe9cfffb8,0x00cfffff,0xfc80fffc,0x0fffc06f,
    0x980fff90,0xfff107ff,0xfffd807f,0x17fea07f,0x4037ffc4,0x3e207ffd,
    0xffd806ff,0x4fff8807,0x0009fff9,0xffff1000,0x3fffa009,0x017ffe20,
    0xffe8dff5,0xffd8000f,0x0bffe61f,0x5ffffff9,0xd80fffc0,0x7ffc05ff,
    0x03ffea01,0xf904ffc8,0xff3009ff,0x7fcc0dff,0x03fff606,0x404fff88,
    0x2200fffd,0xf8804fff,0x7fffb4ff,0xf1000000,0x2a001fff,0x3fe22fff,
    0x37fdc05f,0x4001fffe,0x3f22fffc,0xfffd304f,0x3ffe09ff,0x02fff881,
    0xf100fffc,0x7ff407ff,0x0ffff881,0x09fffd00,0xf503ffc4,0x7fdc07ff,
    0x7ffd401f,0x07ffee03,0x753ffe20,0x00002fff,0x05fff880,0xf127ffc0,
    0xffc80bff,0x01bffe27,0xf1fffdc0,0xffb803ff,0x19984fff,0xf00fffb0,
    0xffe803ff,0x07ff880f,0x4009fff9,0x2202fffd,0x7ffc07ff,0x01bffa06,
    0xfd037ffc,0x3fe200df,0x05fffb4f,0xff100000,0xfff8009f,0x017ffe25,
    0x7fccfff9,0xff50005f,0x07ffe67f,0x3ffffa60,0xfff93003,0x03fff009,
    0x0adfff98,0x7fc1bfe6,0x3f6000ff,0x3fe601ff,0x0fffe405,0x801fffcc,
    0xf981fffc,0xff1003ff,0x0ffff29f,0x3e200000,0x7f4003ff,0x17ffe27f,
    0x261fffb0,0x30004fff,0x7ffc9fff,0x3fff6004,0x7ffec01f,0x3fff003f,
    0xfffff500,0x2617fea1,0x74005fff,0x7fd407ff,0x27ffcc04,0x8007ffe4,
    0xfc84fff9,0xff1000ff,0x13fff29f,0x3e200000,0x7ec002ff,0xbfff10ff,
    0x50fffd80,0x20007fff,0x3f65fff8,0x3f6000ff,0x7ff403ff,0x3ffe001f,
    0xfffd1001,0x2a13fee1,0x7c004fff,0x7fe405ff,0x87ffe802,0x74005fff,
    0x5fff87ff,0x53ffe200,0x0005fffb,0x1fff8800,0x87ffec00,0x7405fff8,
    0xfff51fff,0x3fe20007,0x3bffee5f,0xbfff3001,0x0cfffe80,0x003fff00,
    0x643fffa6,0xfffb83ff,0x3ffe6003,0x00fffc04,0xf517ffdc,0xfb8005ff,
    0x3ffea2ff,0x3ffe2002,0x00ffff34,0x220de400,0x74002fff,0x3ffe27ff,
    0x8ffff405,0x0004fff9,0xfd89fff3,0xfd003fff,0xfffc80df,0xfff800ef,
    0xffffb801,0x907ff90d,0x54003fff,0x3ea02fff,0xfff1007f,0x003ffe49,
    0xf927ffc4,0xff8800ff,0x07fffa4f,0x3ffe6000,0x07fff10f,0x226fff80,
    0x7fc05fff,0x9fff12ff,0x3ffea000,0x7ffff443,0x2fff400e,0x05fffa80,
    0x5401fff8,0x7dc0cfff,0x1fffb84f,0x03fffa00,0x2003ffe8,0x3ffe7ffd,
    0xfffb0004,0x20027ffc,0x3f24fff8,0xb80004ff,0x3fe26fff,0x3fe2004f,
    0x17ffe25f,0x7c5ffff0,0xf50005ff,0xffd105ff,0x3e607fff,0x033323ff,
    0xf007fff2,0xffd803ff,0x30bff706,0x2a005fff,0x3f206fff,0x7fd4006f,
    0x01fff99f,0x33fff500,0x88003fff,0x3fe64fff,0x740001ff,0x3fe22fff,
    0xff9000ff,0x2fffc45f,0x47ffff10,0x70006fff,0x7e403fff,0x221effff,
    0x7ffc6ffe,0x807fff01,0x3e201fff,0xdff501ff,0x009fff10,0x5413fffe,
    0xf8001fff,0x06ffccff,0x667ffc00,0xf88006ff,0x7ffec4ff,0x3ff20005,
    0x7fffc47f,0xffff8804,0x817ffe20,0x3a3ffff8,0xf90007ff,0xfe9801ff,
    0xffacffff,0x0fffc1ef,0x7c06ffd8,0x3fee01ff,0x41ffe607,0x6c00fffe,
    0xfa83ffff,0xf90004ff,0x007ffddf,0xfeeffc80,0xff88003f,0x7fffc44f,
    0xfffb8005,0x7fffc44f,0x7ffec01f,0x02fffc43,0x5c7ffff1,0xe8001fff,
    0x3ee006ff,0xcfffffff,0x901fff80,0xfff80dff,0x01fff201,0xff905fff,
    0x3ffa20bf,0x7fe43fff,0xf30000ef,0x001fffff,0xfffff980,0xff88000f,
    0xffffc84f,0xffc8801e,0xfff885ff,0xfe883fff,0xfff886ff,0x3fffe205,
    0x00fffe63,0x009fff10,0xfffffe98,0x407ffe03,0x7fc07ffb,0x1bff201f,
    0x3a0bff90,0xb98aefff,0xffffefff,0x0effffcb,0x7fff4000,0xfd00005f,
    0x2000bfff,0xfb04fff8,0x435bffff,0xfffffba8,0xffff880e,0xfeddffff,
    0xf881ffff,0x3fe205ff,0x2fffc3ff,0x07ffea00,0x7fffdc00,0x03fff01f,
    0xff01ffee,0x37fec03f,0x203ffe60,0xffffffe8,0xfffb9fff,0x04ffffff,
    0xffff7000,0x3ee00005,0x10002fff,0x7e409fff,0xffffffff,0xffffffff,
    0x59fff100,0xffffffff,0x3fe201df,0x3ffe205f,0x03ffe43f,0x001fff20,
    0x3ffffd30,0x2e03fff0,0x3fe00fff,0x1bff601f,0x4413ffe0,0xefffffff,
    0xffffff10,0x400007ff,0x0007fff8,0x01fffe20,0x04fff880,0x7fffffdc,
    0xffffffff,0x3ffe200c,0xfffffd34,0xfff8807d,0x3fffe205,0x00fffd43,
    0x0009ffd0,0x0bfffd10,0x3ee03fff,0x3ffe00ff,0x017ff601,0xa80bffee,
    0x440acefc,0x00aceffd,0xf8005555,0x400004ff,0x20004fff,0x5004fff8,
    0xfffffffb,0xf10019ff,0xaa9889ff,0xbfff1001,0x81aaaa80,0xf3004ffe,
    0x400003ff,0xfff87fff,0x01fff501,0xfb00fffc,0x3ffa00bf,0x0000001f,
    0x001fffe4,0x0001fff5,0x007ffd40,0x09fff300,0x35bff500,0xfff88001,
    0xff100004,0xf50000bf,0x3ff200ff,0x01fb7205,0x3e0fffe4,0xfff501ff,
    0x00fffc01,0x2600bffb,0x0000efff,0xdfff7000,0x05ffd800,0x2ffec000,
    0x3ffe6000,0x2ffb8003,0x3ffe2000,0xff100004,0x199980bf,0x100bffa0,
    0x7ec03fff,0xffb801ff,0x80fffc2f,0x3e00fffa,0x3ffa01ff,0x3ffea005,
    0x2000002f,0x00efffc8,0x00bffe60,0x2fff9800,0x7ffd4000,0xfffd8002,
    0xff88001d,0xf100004f,0x7fc40bff,0xbff700ff,0x405ffb80,0xe805fffa,
    0x7ffc0fff,0x03fff301,0xff00fffc,0xffb8009f,0x00001eff,0x077fffd4,
    0x0dffd100,0x7ff44000,0xffc80006,0xca98002f,0x44000fff,0x00004fff,
    0x440bfff1,0x3a00ffff,0x3ffa01ff,0x7fffc401,0x17ffea03,0x7c407ffe,
    0x3ffe05ff,0x05fff301,0xfffff500,0x2200015b,0x0cffffeb,0x7ff66e40,
    0x320002ff,0x2ffffecd,0xfdab9800,0xe80007ff,0x7c4004ff,0x100004ff,
    0x9999dfff,0x03fffe21,0xf706ffa8,0x3fea00bf,0xda99adff,0xff83ffff,
    0x3fff601f,0x3ffe09ac,0x3ffeea61,0xfb10000f,0x57dfffff,0x2aa66335,
    0xdfffffeb,0xffff9001,0xc80009ff,0x04ffffff,0xfffff700,0x5440009f,
    0x44004fff,0x00004fff,0xfffffff1,0x3fffe23f,0x217fe400,0x2000fff8,
    0xfffffffc,0xf03fffff,0x7fd403ff,0x3fe2ffff,0x3ffffe1f,0xea80005f,
    0xffffffff,0xffffffff,0x002effff,0x2fffffdc,0x7ffdc000,0x360005ff,
    0x00dfffff,0x3ffbba20,0x44001fff,0x00004fff,0xfffffff1,0x7440003f,
    0x017fdc6f,0x7ffffd40,0x201fffff,0x7dc01fff,0x3fe2ffff,0x3ffffe1f,
    0x2600000e,0xfffffffc,0xffffffff,0xb30003ef,0x000059ff,0x00b3ff66,
    0x7bffd900,0xffff1000,0x10005fff,0x00005999,0x66666664,0x7d40000c,
    0x009ff13f,0xdffecb80,0x7ffc00ac,0xffed9801,0xff87ffe2,0x000003ef,
    0xfedcba98,0x00aceeff,0x00000000,0x00000000,0x9bdb9100,0x00000017,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1001ba80,
    0xddddb953,0xdddddddd,0x664c001d,0x000001cc,0x0066665c,0xeeeee880,
    0x30000eee,0x00039999,0x00e665c0,0x332a0000,0x0000003c,0x00799990,
    0x66654000,0x4000001c,0xffb805fd,0xffffffff,0xffffffff,0x7fff4001,
    0x44000006,0x0004ffff,0xfffffff1,0x3fa0001f,0x200006ff,0x00fffffb,
    0xfff30000,0x000005ff,0x0ffffb80,0x3fa00000,0x000005ff,0x3a603ff8,
    0xffffffff,0xffffffff,0x44001fff,0x0002fffe,0x7fffd400,0xfff88000,
    0x000fffff,0x00ffff98,0xffff3000,0x00001dff,0xfffffe88,0x0000001f,
    0x000bfffe,0xefffa800,0x54000000,0xfff100ff,0xdfffffff,0xdfffdddd,
    0xf30001dd,0x00000dff,0x007fff70,0xfb555510,0xfb0001ff,0x200003ff,
    0xff9efff8,0x6c00005f,0xeffd9fff,0xb8000000,0x00004fff,0x00ffff40,
    0x37e40000,0xffffffb0,0xff50ffff,0xf500003f,0x000003ff,0x000fff90,
    0x003fff20,0x007fff30,0x8fffec00,0x0003fffb,0x229fff70,0x00005fff,
    0x005ffe80,0x7ffd4000,0xd0000002,0x3ffe609f,0x7fffffff,0x001fffa8,
    0x00bff700,0x3ffa0000,0xffc80003,0x7fec000f,0x3f200005,0x7fff44ff,
    0x7fcc0002,0x27ffdc6f,0xff500000,0x8000001f,0x00004ffd,0x203ff300,
    0xfffffffb,0xffa87fff,0x2a00001f,0x0000002a,0x00005551,0x8001fff9,
    0x400002aa,0x5440aaaa,0x540002aa,0xaaa81aaa,0x3000000a,0x00000355,
    0x00005550,0xb03fdc00,0xffffffff,0xfff50fff,0x4cc00003,0x00000000,
    0xfff90000,0x00000001,0x00000000,0x00009980,0x00998000,0x00000000,
    0x6f654400,0x3ffa05fe,0xffffffff,0x01fffa87,0xffdb7500,0x0017dfff,
    0x0017775c,0x80fbbaa0,0xdd70fffc,0xea80005d,0x5ddd73ee,0xeeea8000,
    0x3b6ea003,0x0befffff,0x6dd40000,0xbefffffe,0x3bbae000,0xeeeeeeee,
    0xeeeeeeee,0x75c403ee,0xefffffff,0xfffffd01,0x50ffffff,0x98003fff,
    0xfffffffe,0x01dfffff,0x003fffc8,0x027ffdc0,0x3f21fff9,0x5c0003ff,
    0xfff94fff,0xffb80007,0xffe9804f,0xffffffff,0x40001dff,0xffffffe9,
    0x1dffffff,0xfffffc80,0xffffffff,0xffffffff,0x3fffa604,0xffffffff,
    0xfffffd83,0xa87fffff,0x2e001fff,0xffffffff,0xffffffff,0x1fffe403,
    0x3ffee000,0x43fff204,0x0003fffc,0xfca7ffdc,0x5c0003ff,0x7dc04fff,
    0xffffffff,0x3fffffff,0xffff7000,0xffffffff,0xc807ffff,0xffffffff,
    0xffffffff,0x304fffff,0x37bfffff,0x89fffffb,0xfffffffc,0xffa87fff,
    0xffe9801f,0x99bcefff,0xffffffca,0x0ffff204,0x9fff7000,0xc87ffe40,
    0x40003fff,0xff94fffb,0xfb80007f,0xffd304ff,0x3379dfff,0xffffff95,
    0x7ff4c009,0x99bcefff,0xffffffca,0x3bfff204,0xeeeeeeee,0xeeeeeeee,
    0xdfffd03e,0xfffdff81,0x3fffea0f,0x87ffffff,0x4401fffa,0x00dfffff,
    0x5ffffea8,0x007fff90,0x04fffb80,0x7e43fff2,0x5c0003ff,0xfff94fff,
    0xffb80007,0xffff884f,0xfea800df,0xf8805fff,0x800dffff,0x05ffffea,
    0x0007fff9,0x7fffdc00,0x7d4ffcc0,0x7ffec4ff,0x87ffffff,0x6401fffa,
    0x4003ffff,0x82ffffd8,0x0003fffc,0x9027ffdc,0x3ff21fff,0x7dc0003f,
    0x7fff94ff,0xfffb8000,0x3ffffc84,0x7ffec400,0x7ffe402f,0x7ec4003f,
    0xffc82fff,0x2000003f,0xfb82fffe,0xf11fffa7,0xffffffff,0x03fff50f,
    0x00ffffcc,0x1ffffb00,0x003fffc8,0x027ffdc0,0x3f21fff9,0x5c0003ff,
    0xfff94fff,0xffb80007,0x7fffcc4f,0x3ff60001,0xfff300ff,0x7ec0003f,
    0x7fe40fff,0x1000003f,0x3fa0dfff,0x260b36e4,0xfffffffe,0x01fffa87,
    0x0013fffa,0x8bfffd10,0x0003fffc,0x9027ffdc,0x3ff21fff,0x7dc0003f,
    0x7fff94ff,0xfffb8000,0x027fff44,0x3fffa200,0x09fffd05,0xfffe8800,
    0x01fffe45,0xfffa8000,0x002ff884,0xffffffb8,0x01fffa87,0x001ffff7,
    0x1ffff500,0x001fffe4,0x813ffee0,0xff90fffc,0xfb80007f,0x7fff94ff,
    0xfffb8000,0x03fffee4,0x3ffea000,0x7fffdc0f,0xffa80000,0x3fff20ff,
    0xf7000003,0x1ff507ff,0x7f54c000,0x1fffa87f,0x007ffff0,0x17fff400,
    0x0007fff9,0x204fffb8,0xff90fffc,0xfb80007f,0x7fff94ff,0xfffb8000,
    0x00ffffe4,0x2fffe800,0x001ffffc,0x45fffd00,0x0003fffc,0x05fff900,
    0x20000dfb,0xffa87ffb,0x7fff881f,0x7fdc0000,0x0ffff25f,0x9fff7000,
    0xc87ffe40,0x40003fff,0xff94fffb,0xfb80007f,0xffff14ff,0xffb80000,
    0x1fffe25f,0xfff70000,0x01fffe4b,0xfffd8000,0x0003ff80,0xf50fff70,
    0xfff303ff,0xf980000d,0x3fff27ff,0x7fdc0003,0x3fff204f,0x007fff90,
    0x94fffb80,0x80007fff,0xff34fffb,0x980000df,0x3fe67fff,0x4c00006f,
    0x3ff27fff,0xb000003f,0xff983fff,0xff700001,0x03fff50f,0x000bfff5,
    0x21ffff00,0x0003fffc,0x9027ffdc,0x3ff21fff,0x7dc0003f,0x7fff94ff,
    0xfffb8000,0x00bfff54,0x1ffff000,0x0017ffea,0x43fffe00,0x0003fffc,
    0x85fff900,0x200007fc,0xffa87ffb,0x4fffb81f,0xffe80000,0x07fff91f,
    0x4fffb800,0x643fff20,0x40003fff,0xff94fffb,0xfb80007f,0x9fff74ff,
    0xffd00000,0x13ffee3f,0x3ffa0000,0xddfff91f,0xdddddddd,0x5ddddddd,
    0xe87fff70,0x7000104f,0xfff50fff,0x07fff903,0xfffd0000,0x00ffff25,
    0x09fff700,0xfc87ffe4,0x5c0003ff,0xfff94fff,0xffb80007,0x07fff94f,
    0xfffd0000,0x00ffff25,0x3fffa000,0xffffff92,0xffffffff,0x07ffffff,
    0x7c49fff5,0x3eff982f,0x50fff700,0xffd03fff,0xb000005f,0x3ff27fff,
    0x7dc0003f,0x3ff204ff,0x07fff90f,0x4fffb800,0x0007fff9,0xfd4fffb8,
    0x000005ff,0x3fa7fffb,0x800002ff,0xff93fffd,0xffffffff,0xffffffff,
    0xfff107ff,0x5c07fd4d,0xf7001fff,0x3fff50ff,0x005fffd0,0x5fffd000,
    0x000ffff2,0x409fff70,0xff90fffc,0xfb80007f,0x7fff94ff,0xfffb8000,
    0x005fffd4,0x5fffd000,0x000bfffa,0x4bfffa00,0xfffffffc,0xffffffff,
    0xb03fffff,0x17f67fff,0x7003fff4,0xfff50fff,0x07fffb03,0xffff0000,
    0x00ffff23,0x09fff700,0xfc87ffe4,0x5c0003ff,0xfff94fff,0xffb80007,
    0x07fffb4f,0xffff0000,0x00ffff63,0x3fffe000,0x007fff91,0x7ffcc000,
    0xfc83ff9f,0x3ee004ff,0x1fffa87f,0x004fffc8,0x7fffc400,0x007fff91,
    0x03fffc80,0x7e43fff2,0x640003ff,0xfff93fff,0xffc80007,0x09fff93f,
    0xfff88000,0x09fff91f,0xfff88000,0x07fff91f,0xffc80000,0x3221ffff,
    0x5c006fff,0xfffa87ff,0x05fffb81,0x7ffcc000,0x07fff70f,0x3fffc800,
    0x5c3fff20,0x40003fff,0xff73fffc,0xfc80007f,0xbfff73ff,0xff980000,
    0xbfff70ff,0xff980000,0x7fff90ff,0xfd000000,0xfb99ffff,0x8001ffff,
    0xffa87ffb,0x6fff981f,0x7fd40000,0x13ffee6f,0x5fffb000,0xb87ffe40,
    0x40004fff,0xff72fffd,0xfd80009f,0xdfff32ff,0xffa80000,0x1bffe66f,
    0xfff50000,0x01fffe4d,0x7ec40000,0xffffffff,0xfb8001ef,0x1fffa87f,
    0x003ffff0,0x1fffec00,0x0009fff5,0x202fffe8,0xff50fffc,0xfe80009f,
    0x9fff52ff,0xfffe8000,0x007fffe2,0x3fffd800,0x000ffffc,0x47fffb00,
    0x0003fffc,0x3ffee000,0x003fffff,0x2a1ffee0,0xff901fff,0x2a0000df,
    0x3e60ffff,0x7c0006ff,0x3f201fff,0xdfff30ff,0xffff8000,0x00dfff31,
    0x21ffff80,0x0006fffc,0x81ffff50,0x0006fffc,0x41ffff50,0x0003fffc,
    0x2bff2000,0x80001acb,0xffa87ffb,0xffff301f,0xffd00007,0x1ffff0df,
    0x3ffe6000,0x07ffe407,0x0001ffff,0xff1fffe6,0x260001ff,0x7fcc7fff,
    0xe80003ff,0xff986fff,0xe80003ff,0x7fe46fff,0x0000003f,0x000017fa,
    0x7d43ffdc,0x3ff201ff,0x2e0000ff,0xfd81ffff,0xfb0005ff,0xffc80bff,
    0x17fff60f,0x2fffec00,0x0017fff6,0x642fffec,0x0000ffff,0x407fffee,
    0x000ffffc,0x07fffee0,0x0007fff9,0x0ffe2000,0x7fdc0000,0x01fffa87,
    0x00f7fff4,0x27fffe40,0x04ffffb8,0x17fffcc0,0xb83fff20,0x4004ffff,
    0x5c2ffff9,0x4004ffff,0xd02ffff9,0x0003dfff,0x809ffff9,0x001efffe,
    0x84ffffc8,0x0003fffc,0x01ff5000,0x3fee0000,0x01fffa87,0x1fffffcc,
    0xffffe880,0x7ffff406,0xffff7003,0x1fff900d,0x03ffffe8,0x0dffff70,
    0x00fffffa,0x037fffdc,0x07fffff3,0x3ffffa20,0xffff9806,0xffd1003f,
    0x3ff20dff,0x0000003f,0x00000dfb,0x7d43ffdc,0xffa801ff,0x11acefff,
    0xfffffb73,0xfffa801d,0xa99bdfff,0xfffffecb,0x0fffc801,0x7fffffd4,
    0xecba99bd,0x501fffff,0x7bffffff,0xffd97533,0xfa803fff,0x1aceffff,
    0xffffb731,0x3ea001df,0x1aceffff,0xffffb731,0x3ff201df,0xccccccdf,
    0xcccccccc,0x3e01cccc,0x2000004f,0xffa87ffb,0xffd3001f,0xffffffff,
    0x0bffffff,0x7ffffdc0,0xffffffff,0xc882ffff,0x0fffeccc,0xffffffb8,
    0xffffffff,0x7dc02fff,0xffffffff,0xffffffff,0xfffd3002,0xffffffff,
    0x00bfffff,0xfffffd30,0xffffffff,0xfc80bfff,0xffffffff,0xffffffff,
    0x302fffff,0x000003ff,0x7d43ffdc,0x322001ff,0xffffffff,0x03ffffff,
    0xfffff980,0xffffffff,0xfff101ef,0x201fffff,0xfffffff9,0xefffffff,
    0xffff3001,0xffffffff,0x88003dff,0xfffffffc,0x3fffffff,0x3ff22000,
    0xffffffff,0xc803ffff,0xffffffff,0xffffffff,0x02ffffff,0x00000ff9,
    0xfa87ffb8,0xb88001ff,0xfffffffe,0x440002df,0xffffffda,0x4402dfff,
    0xffffffff,0x3ff6a200,0xdfffffff,0xfda88002,0xffffffff,0x5c40002d,
    0xfffffffe,0x200002df,0xfffffeb8,0x2002dfff,0xfffffffc,0xffffffff,
    0x2fffffff,0x00000a60,0x93099930,0x88000199,0x001aaba9,0x75531000,
    0x22001355,0xcccccccc,0x75531000,0x00001355,0x2aaeaa62,0x88000009,
    0x001aaba9,0xba988000,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x00009999,0x2004c880,0x400cccca,0x102cccc9,0x00009999,0x00f33320,
    0x6664c000,0x2000002c,0x0004cccb,0x0f332600,0x65400000,0x3a000ccc,
    0x7ffc47ff,0x744dddb6,0x744003ee,0x0004ffff,0x801fe600,0x404fffe8,
    0x3a06fffd,0x0005ffff,0x0ffffd40,0xffb00000,0x400000df,0x003ffff9,
    0xffff8800,0x4000003f,0x004ffff8,0x3e23fff4,0x4ffff6ff,0x4004fff8,
    0x2ffffffd,0x2ea20000,0x801bcffe,0x300ffff9,0x3601ffff,0x03ffffff,
    0x3fffa000,0x44000003,0x0002fffe,0x1fffea00,0x3ffa0000,0x0002ffff,
    0x17ffee00,0x11fffa00,0x3ffedfff,0x013ffe27,0xfcbfffb8,0xc80001ff,
    0xffffffff,0x7fd401df,0x5fffb04f,0x2efffee0,0x80001fff,0x0005fff9,
    0xdfff1000,0xfc800000,0x200003ff,0xffdafffc,0xf000000f,0xd0001fff,
    0xfff88fff,0x7c4ffff6,0xff3004ff,0x077ff4bf,0xffff8800,0xffffffff,
    0x7ffe402f,0x827ffc40,0x3fa6fff9,0x6c0000ff,0x00000eff,0x0bffea00,
    0xffb00000,0x3ea0000d,0xdfff15ff,0xff700000,0x2aa0003f,0xf2aaa82a,
    0x66644fff,0xffff8802,0x017ffea0,0x6fffff40,0xffffdffc,0x27fec01f,
    0x74417ff2,0x3fe61fff,0x3e60006f,0x000001ff,0x006ffb80,0x7ff44000,
    0x7fcc0002,0x3ffea0ff,0x7f400005,0x0000003f,0x0003fffc,0x2a06aaa6,
    0x64000aaa,0xff30efff,0x03ffffa6,0x5542aa88,0x3555300a,0x00155550,
    0x0006aa60,0xaaa80000,0x44000000,0x4c0001aa,0xaaa81aaa,0x5100000a,
    0xd8000055,0xffff06ee,0x00000000,0x0ffff880,0xffff1fe6,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8000000,0xffff07ff,
    0xee980000,0x2a0001ee,0x3fcc5fff,0x6c17fff2,0xdddb06ee,0x01bbb600,
    0xeeee9800,0x30000001,0x0003dddd,0x3bbbbbae,0xeeeeeeee,0x3eeeeeee,
    0x3bbbbbae,0xeeeeeeee,0x3eeeeeee,0x007bbbae,0x6f775c00,0x20ffff00,
    0x4ccc7fff,0xfffd8000,0x3f20004f,0x23fcc2ff,0xff06fff8,0x1fffe0ff,
    0x003fffc0,0x9ffffb00,0x36000000,0x0004ffff,0xfffffff9,0xffffffff,
    0x49ffffff,0xfffffffc,0xffffffff,0x24ffffff,0x006ffff8,0x3ffff980,
    0x7c1fffe0,0x3ffe27ff,0x7ffc4004,0xb0000fff,0x0ff30fff,0x7fff8033,
    0x200ffff0,0x00007fff,0x1ffffff1,0xf8800000,0x000fffff,0xffffffc8,
    0xffffffff,0x4fffffff,0x3ffffff2,0xffffffff,0x4fffffff,0x01ffffd4,
    0x17fffa00,0x3e0ffff0,0x3ffe27ff,0x77fdc004,0x90003fff,0x7f983fff,
    0x0ffff000,0x7c01fffe,0x700007ff,0x07fffdff,0xffb80000,0x8003fffe,
    0xeeeefffc,0xeeeeeeee,0x23eeeeee,0xeeeefffc,0xeeeeeeee,0x83eeeeee,
    0x001ffffd,0x01ffff70,0xff07fff8,0x27ffc4ff,0x3b3ffa00,0xf50006ff,
    0x07f989ff,0x20ffff00,0xff007fff,0x3a0000ff,0x06ffecff,0x7ff40000,
    0x8006ffec,0x0003fffc,0x03fffc80,0x3fe20000,0xf98006ff,0xff802fff,
    0x4ffff07f,0x2004fff8,0xffb9fff9,0xff88001f,0x003fcc7f,0xff07fff8,
    0x3ffe00ff,0xff980007,0x01fffb9f,0xfff30000,0x003fff73,0x003fffc8,
    0x3fffc800,0x7d400000,0x74003fff,0xff005fff,0x9fffe0ff,0x2004fff8,
    0xfff17ffc,0x3ffe0009,0x00ff30ef,0x7c1fffe0,0xfff007ff,0xff90000f,
    0x013ffe2f,0xbffe4000,0x4004fff8,0x0003fffc,0x03fffc80,0xffd80000,
    0xff7000ff,0x3fe001ff,0x4ffff07f,0x2004fff8,0x3ffa5fff,0xff98000f,
    0x07fbdfff,0x20ffff00,0xff007fff,0xff0000ff,0x07fff4bf,0x7ffc0000,
    0x003fffa5,0x003fffc8,0x3fffc800,0xf8800000,0xf8805fff,0x3e002fff,
    0xffff07ff,0x8027ffc4,0x3ee3fffa,0xf30003ff,0x7fffffff,0x7fff8003,
    0x200ffff0,0x40007fff,0x3ee3fffa,0x400003ff,0x3ee3fffa,0x3f2003ff,
    0x800003ff,0x0003fffc,0xffff5000,0x4fffe807,0x83fffc00,0x3fe27fff,
    0xfffb004f,0x037ffc41,0xffffd300,0x019fffff,0x3e0ffff0,0xfff007ff,
    0xffd8000f,0x1bffe20f,0xfffb0000,0x037ffc41,0x007fff90,0x7fff9000,
    0x6c000000,0xf700ffff,0xff000dff,0x9fffe0ff,0x8804fff8,0xffd85fff,
    0x64c0001f,0xffffffff,0x3fffc02f,0xf007fff8,0x44000fff,0xffd85fff,
    0xf100001f,0xfffb0bff,0x3fff2003,0xfc800003,0x000003ff,0x17fffe20,
    0x007fffe2,0x7c1fffe0,0x3ffe27ff,0x2fffb804,0x005fffa8,0x3fffee00,
    0x3e04ffff,0xffff07ff,0x01fffe00,0x82fffb80,0x0005fffa,0x505fff70,
    0x3200bfff,0x00003fff,0x003fffc8,0x7fd40000,0x7ffec2ff,0xffff0004,
    0xf89fffe0,0xffe804ff,0x03fffe07,0x4ffcc000,0x02fffffc,0x3fe0ffff,
    0xffff007f,0x3fff4000,0x001ffff0,0x40fffd00,0xc800ffff,0x00003fff,
    0x003fffc8,0xffd80000,0x1bffea6f,0x07fff800,0x7fc4ffff,0x7ffcc04f,
    0x0ffff204,0x13fcc000,0xf01dfffd,0x3ffe0fff,0x0ffff007,0x13ffe600,
    0x003fffc8,0x027ffcc0,0x9007fff9,0xdddddfff,0xdddddddd,0xfc85dddd,
    0xeeeeeeff,0xeeeeeeee,0x44002eee,0xffd3ffff,0x7fc0003f,0x4ffff07f,
    0x6404fff8,0x3e601fff,0x300006ff,0x5ffff0ff,0x3e0ffff0,0xfff007ff,
    0x3ff2000f,0x3ffe601f,0x7fe40006,0x3ffe601f,0xffffc806,0xffffffff,
    0xffffffff,0x7ffffe43,0xffffffff,0x3fffffff,0xffffa800,0x0003fffd,
    0xff83fffc,0x13ffe27f,0x806fff88,0x0002fffe,0xffc87f98,0x07fff83f,
    0x3e00ffff,0xf88007ff,0xffe806ff,0xff10002f,0xfffd00df,0xffffc805,
    0xffffffff,0xffffffff,0x7ffffe43,0xffffffff,0x3fffffff,0xffffb000,
    0xf0000bff,0x3ffe0fff,0x813ffe27,0xb803fffb,0x22005fff,0xfa87f980,
    0x7fff85ff,0x200ffff0,0xb8007fff,0xfb803fff,0xf70005ff,0xff7007ff,
    0xfffc80bf,0xffffffff,0xffffffff,0x7fffe43f,0xffffffff,0xffffffff,
    0xfff10003,0x00001fff,0x3fe0ffff,0x13ffe27f,0x800fffe8,0x200ffff8,
    0xf983fed9,0xf0dfff07,0x3ffe0fff,0x0ffff007,0x01fffd00,0x01ffff10,
    0x01fffd00,0x01ffff10,0x001fffe4,0x1fffe400,0x20000000,0x003ffffa,
    0x20ffff00,0x3fe27fff,0xffff304f,0x99999999,0x07ffff99,0x4c2fffc4,
    0x4fff887f,0xff07fff8,0x3ffe00ff,0x7ffcc007,0xcccccccf,0x3ffffccc,
    0x7fffcc00,0xcccccccc,0x03ffffcc,0x000ffff2,0x0ffff200,0x20000000,
    0x00007fff,0x7fc1fffe,0x13ffe27f,0x7fffffe4,0xffffffff,0x7406ffff,
    0x87f987ff,0xff83fffa,0x0ffff07f,0x001fffe0,0xfffffff9,0xffffffff,
    0xc800dfff,0xffffffff,0xffffffff,0x3ff206ff,0xc800003f,0x00003fff,
    0x7fff8000,0x3ffe0000,0x44ffff07,0xfff04fff,0xffffffff,0xffffffff,
    0x7ffe405f,0x7f43fcc3,0x7fff82ff,0x200ffff0,0x7c007fff,0xffffffff,
    0xffffffff,0x3e002fff,0xffffffff,0xffffffff,0xff902fff,0x9000007f,
    0x00007fff,0xffff0000,0x7ffc0000,0x44ffff07,0xffa84fff,0xccccccef,
    0xfdcccccc,0x3fe605ff,0x71fe61ff,0x3fe0dfff,0x0ffff07f,0x801fffe0,
    0xcccefffa,0xcccccccc,0x005fffdc,0x999dfff5,0x99999999,0x20bfffb9,
    0x0003fffc,0x03fffc80,0xf8000000,0x200007ff,0xfff07fff,0x427ffc4f,
    0x8002fffd,0x200ffff8,0xf32ffffe,0x0ffffe4f,0xff07fff8,0x3ffe00ff,
    0x3fff6007,0xfff88002,0xfffd800f,0xfff88002,0x3fffc80f,0xffc80000,
    0x0000003f,0x007fff80,0x41fffe00,0x3fe27fff,0x3fffc44f,0x9fffd000,
    0x7ffff440,0xfffdffdf,0x3ffe04ff,0x00ffff07,0x4401fffe,0x20007fff,
    0x4404fffe,0x20007fff,0xfc84fffe,0x800003ff,0x0003fffc,0xfff80000,
    0x3fe00007,0x5c00007f,0x20004fff,0xd807fffa,0xffffffff,0x7c02ffff,
    0xffff07ff,0x01fffe00,0x0027ffdc,0x80ffff50,0x0004fffb,0x321fffea,
    0x00003fff,0x003fffc8,0xff800000,0x3e00007f,0x2aaa07ff,0x3fffd002,
    0x7ffc4000,0xffdb802f,0x0dffffff,0xf07fff80,0x3fe00fff,0xfffd007f,
    0x7fc40003,0x3ffa02ff,0x3e20001f,0x7fe42fff,0xc800003f,0x00003fff,
    0x7fff8000,0x3ffe0000,0x03fffe07,0x00dfff30,0x0bfff900,0x5ffed440,
    0x3fffc001,0xf007fff8,0xff300fff,0xf90000df,0x3fe60bff,0xfc80006f,
    0x7ffe45ff,0xfc800003,0x000003ff,0x07fff800,0x1fffe000,0x400ffff8,
    0x0003fffc,0x00ffff98,0x8003fcc0,0xfff07fff,0x1fffe00f,0x00ffff20,
    0x3fffe600,0x03fffc80,0xffff9800,0x337fff20,0xcccccccc,0xcccccccc,
    0x9bfff91c,0x99999999,0x99999999,0x3fe00039,0x3e00007f,0x3ffe07ff,
    0x7fffc00f,0xffd00000,0x7f98009f,0x0ffff000,0x7c01fffe,0xfff807ff,
    0xfd00000f,0xffff09ff,0x3fa00001,0x3fff24ff,0xffffffff,0xffffffff,
    0xfff92fff,0xffffffff,0xffffffff,0x20005fff,0x00007fff,0xff81fffe,
    0x3fea00ff,0x2e00006f,0x4c007fff,0xfff0007f,0x01fffe0f,0x2a03fffc,
    0x00006fff,0xf51fffee,0x40000dff,0x3f27fffb,0xffffffff,0xffffffff,
    0xf92fffff,0xffffffff,0xffffffff,0x005fffff,0x001fffe0,0xb0000000,
    0x00007fff,0x017fffc4,0x20005510,0xfff07fff,0x1fffe00f,0x007fffb0,
    0x7fffc400,0x00ffff62,0xffff8800,0xffffff92,0xffffffff,0xffffffff,
    0x3fffff25,0xffffffff,0xffffffff,0xfff0002f,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55440000,0x00035500,0x5402a620,0xffb8002a,0x0fffe43f,
    0x3ffe2000,0x027ffd45,0x00440000,0x35300000,0x0002aa60,0x2637ffc4,
    0x80004fff,0x7fcc6fff,0x4c00005f,0x200000bd,0x22dffffb,0x80004ff9,
    0x0beffffa,0x2e001bfe,0x7fe43fff,0x7c40001f,0x7ffd45ff,0x2a000004,
    0x0000cffd,0x3fffa200,0x07ff60cf,0x37ffc400,0x0013ffe6,0xf31bffe0,
    0x40000bff,0x003ffefe,0xfffffa80,0x3fffdfff,0x7ffc4000,0xfedfffff,
    0xffb8005f,0x0fffe43f,0x3ffe2000,0x027ffd45,0xaef88000,0x000006eb,
    0x3ffffffa,0x007ffeef,0x31bffe20,0x00009fff,0xff98dfff,0xf500005f,
    0x40003e45,0xffebcffe,0x0006ffff,0xfdbdffc8,0x01ffffff,0x43fffb80,
    0x0001fffc,0x2a2fffc4,0x00004fff,0x0fcc1f70,0x7fd40000,0xfffffcbe,
    0x220003ff,0x7fcc6fff,0xff80004f,0x2fffcc6f,0x446d8000,0x3e20002f,
    0x7ffecc6f,0xfe80000c,0x3fff220f,0x5530001c,0x0aaa9815,0x55544000,
    0x00d55442,0xf85e8000,0xfb800003,0x6fff5c2f,0xaaa80002,0x00d55442,
    0x21555400,0x0001aaa8,0x02f88db0,0x806aa200,0x55400001,0x00002602,
    0x00000000,0x000004cc,0x3e60fb80,0xa9800001,0x00002202,0x00000000,
    0x50000000,0x0003e45f,0x00013300,0x70000000,0x80005ddd,0x2003eeea,
    0xffffedba,0x00000bef,0xdd75df10,0x00000000,0xdddd7000,0xdddddddd,
    0xdddddddd,0x74c0007d,0x00001eee,0x07ffdfd0,0x3b6ea000,0x0befffff,
    0x0fbbb200,0x5ddd5000,0x000ffff2,0x009fff70,0xffffffd3,0x3bffffff,
    0xff700000,0x000005ff,0x07bbba60,0x7fffe400,0xffffffff,0xffffffff,
    0x3f60004f,0x00004fff,0x00033660,0x3ffffa60,0xffffffff,0xfffd801d,
    0x3ea0001f,0x7fff93ff,0xfffb8000,0x7fffdc04,0xffffffff,0x0003ffff,
    0x27fffec0,0xfd800000,0x90004fff,0xffffffff,0xffffffff,0x009fffff,
    0x3ffffe20,0x0000000f,0xfffb8000,0xffffffff,0x403fffff,0x006ffffd,
    0x64fffea0,0x40003fff,0xd304fffb,0x79dfffff,0xffff9533,0x200009ff,
    0x0ffffff8,0x7c400000,0x000fffff,0xeeefffc8,0xeeeeeeee,0x3eeeeeee,
    0xfdff7000,0x800007ff,0xabcdcba9,0x3ffa6000,0x99bcefff,0xffffffca,
    0x3ffff604,0xff50004f,0x0ffff27f,0x9fff7000,0xbfffff10,0xfffd5001,
    0xf70000bf,0x007fffdf,0xeffb8000,0xc8003fff,0x00003fff,0x67ff4000,
    0x00006ffe,0xfffffff7,0x8801bfff,0x00dfffff,0x5ffffea8,0xffffffb0,
    0xfff50003,0x00ffff27,0x09fff700,0x007ffff9,0x2ffffd88,0x67ff4000,
    0x00006ffe,0x7f67ff40,0xffc8006f,0x0000003f,0x2e7ffe60,0x20001fff,
    0xffffffe8,0x2fffffff,0x0fffff20,0xffffb100,0xfffffb05,0xff5000df,
    0x0ffff27f,0x9fff7000,0x01ffff98,0x3ffff600,0xfff30000,0x003fff73,
    0x3ffe6000,0x001fffb9,0x001fffe4,0xff900000,0x013ffe2f,0x7ffffcc0,
    0xffecaabc,0xfff306ff,0x7ec0003f,0x7fec0fff,0x004fffff,0xfc9fffd4,
    0x5c0003ff,0x7ff44fff,0x7440004f,0x90005fff,0x3ffe2fff,0xf9000004,
    0x13ffe2ff,0x07fff900,0x7c000000,0x3fffa5ff,0xfffc8000,0x7fffd404,
    0x04fffe82,0x7fff4400,0x7dfffec5,0x2a001fff,0xfff93fff,0xffb80007,
    0x3fffee4f,0xffa80000,0xff8000ff,0x03fffa5f,0x3ffe0000,0x003fffa5,
    0x003fffc8,0xff500000,0x1fffdc7f,0x17ffe200,0x22fffdc0,0x000ffffb,
    0x0ffffa80,0x3f63fff6,0xf5000eff,0x3fff27ff,0x7fdc0003,0x0ffffe4f,
    0xfffe8000,0x7ffd4002,0x00fffee3,0x7fff5000,0x001fffdc,0x0007fff9,
    0x3ff60000,0x1bffe20f,0x03fff700,0xf1bffe20,0x00007fff,0xfb17fff4,
    0xffff11ff,0x3ffea009,0x007fff93,0x14fffb80,0x0000ffff,0x005fffb8,
    0xf107ffec,0x80000dff,0x3e20fffd,0x3f2006ff,0x000003ff,0x85fff880,
    0x2001fffd,0x7c003a98,0x3ffe26ff,0x7dc00007,0x3fff65ff,0x03ffff50,
    0x327fff50,0x40003fff,0xff34fffb,0x980000df,0x22007fff,0xffd85fff,
    0xf100001f,0xfffb0bff,0x3fff2003,0x80000003,0xfa82fffb,0x000005ff,
    0x7ccdfff0,0x400006ff,0x3f67fff9,0x3fff60ff,0x7ffd400e,0x007fff93,
    0x54fffb80,0x0000bfff,0x001ffff0,0x2a0bffee,0x00005fff,0xf505fff7,
    0x3f200bff,0x000003ff,0x207ffe80,0x0000ffff,0x7fedd4c0,0x3ffea6ff,
    0xff800005,0x1fffb0ff,0x027fffc4,0x7e4fffea,0x5c0003ff,0xfff74fff,
    0xfd000009,0x3fa003ff,0x3fffe07f,0xffe80000,0x03fffe07,0x3bbfff20,
    0xeeeeeeee,0x2eeeeeee,0x13ffe600,0x003fffc8,0xffdb7510,0xdfffffff,
    0x0027ffdc,0x8ffff400,0x7d40fffd,0x3ea02fff,0x7fff93ff,0xfffb8000,
    0x007fff94,0x5fffd000,0x09fff300,0x001fffe4,0x813ffe60,0xc803fffc,
    0xffffffff,0xffffffff,0x2003ffff,0x2601fffc,0x44006fff,0xfffffffc,
    0x6fffffff,0x000ffff2,0x4bfffa00,0xfd80fffd,0xff500eff,0x0ffff27f,
    0x9fff7000,0x000bfffa,0x0ffff600,0x807fff20,0x0006fff9,0x300fffe4,
    0xf900dfff,0xffffffff,0xffffffff,0x22007fff,0xfe806fff,0xff3002ff,
    0xbfffffff,0xe9bffe39,0x00002fff,0xfb3fffd8,0xfff101ff,0x3ffea09f,
    0x007fff93,0xd4fffb80,0x00005fff,0x805fffd0,0xe806fff8,0x10002fff,
    0xfd00dfff,0xffc805ff,0xffffffff,0xffffffff,0xff7003ff,0xfff7007f,
    0xffff100b,0x3e0159bf,0x3fffa6ff,0xfe800002,0x1fffb2ff,0x0bfffea0,
    0x7e4fffea,0x5c0003ff,0xfffb4fff,0xff000007,0xffb803ff,0xfffb803f,
    0xfff70005,0xbfff7007,0x03fffc80,0x3fa00000,0xff8800ff,0x7fec00ff,
    0xff8800ef,0x0ffff66f,0x3ffe0000,0x01fffb1f,0x2077ffec,0xff93fffa,
    0xfc80007f,0x9fff93ff,0xff880000,0x7ff401ff,0xfff8800f,0xffe8000f,
    0xfff8800f,0x3fff200f,0x30000003,0x9999ffff,0xff999999,0xfff807ff,
    0xfff3000f,0x027ffe4d,0x3ffe2000,0x01fffb1f,0x227fffc4,0xff73fffa,
    0xfc80007f,0xbfff73ff,0xff980000,0x3fe600ff,0xccccccff,0xffffcccc,
    0x7ffcc003,0xcccccccf,0x3ffffccc,0x00ffff20,0x7fe40000,0xffffffff,
    0xffffffff,0x17ffe606,0x26fffb80,0x0005fffb,0x87fffcc0,0x5400fffd,
    0x3ea2ffff,0x9fff73ff,0xfffd8000,0x00dfff32,0x6fffa800,0x7ffffe40,
    0xffffffff,0x006fffff,0x7fffffe4,0xffffffff,0x3206ffff,0x00003fff,
    0xffffff00,0xffffffff,0x05ffffff,0x4017ffea,0x266fffe8,0x00006fff,
    0xfb37ffd4,0xffb001ff,0x3ffea1ff,0x009fff53,0x22fffe80,0x0001ffff,
    0x00ffff60,0xffffffff,0xffffffff,0x4005ffff,0xffffffff,0xffffffff,
    0xf902ffff,0x000007ff,0x99dfff50,0x99999999,0x0bfffb99,0x007fffe2,
    0x8fffffd1,0x0001ffff,0xd8ffff60,0xf8800fff,0xfff54fff,0x01bffe67,
    0x43ffff00,0x0006fffc,0x01ffff50,0x6677ffd4,0xcccccccc,0x05fffdcc,
    0x99dfff50,0x99999999,0x0bfffb99,0x000ffff2,0x3fff6000,0xfff88002,
    0xbffff00f,0x3fffa601,0x7ffe47ff,0xff500006,0x7ffec1ff,0xffff5000,
    0x7c7fff55,0x30000fff,0xff98ffff,0xe80003ff,0x7ec06fff,0xf88002ff,
    0xfd800fff,0xf88002ff,0xffc80fff,0x4000003f,0x0007fff8,0x5413fffa,
    0xbbcfffff,0xfddffffe,0x3ffe60ff,0xfe80003f,0x7ffec6ff,0x3fff6000,
    0x363fffbf,0xb0005fff,0xff90bfff,0x5c0001ff,0x2201ffff,0x20007fff,
    0x4404fffe,0x20007fff,0xfc84fffe,0x000003ff,0x0027ffdc,0x40ffff50,
    0xfffffffc,0xff32ffff,0xffffc87f,0x3fee0000,0x7ffec1ff,0x3ffe2000,
    0x2e3fffff,0x4004ffff,0xd02ffff9,0x0003dfff,0x809ffff9,0x0004fffb,
    0x701fffea,0x40009fff,0xfc87fffa,0x000003ff,0x000ffff4,0x05ffff10,
    0x7fffff4c,0x7ffc0cff,0x1efffe86,0xffffc800,0x00fffd84,0x7ffffd40,
    0x7fff43ff,0xfff7003f,0x7ffcc0df,0xfd1003ff,0xfd00dfff,0x440003ff,
    0x3a02ffff,0x20001fff,0x642ffff8,0x00003fff,0x01bffe60,0x17fff200,
    0x026aa620,0xffff9800,0xffd1003f,0x3ff60dff,0xffd8000f,0x7d43ffff,
    0x9bdfffff,0xfffecba9,0x7fd401ff,0x11acefff,0xfffffb73,0xfff9801d,
    0xffc80006,0xdfff305f,0xfff90000,0xcdfffc8b,0xcccccccc,0xcccccccc,
    0x1fffe41c,0x7ffcc000,0x0000000f,0xefffffa8,0xfb7311ac,0x201dffff,
    0x8000fffd,0x3ffffff8,0xffffffb8,0xffffffff,0xd3002fff,0xffffffff,
    0xffffffff,0x3fff200b,0xff980003,0xfffc80ff,0xff980003,0x3fff20ff,
    0xffffffff,0xffffffff,0x7ffc2fff,0xfd00000f,0x000009ff,0x3fffa600,
    0xffffffff,0x405fffff,0x0000fffd,0x07fffff7,0x3fffffe6,0xffffffff,
    0x7e44001e,0xffffffff,0x003fffff,0x0003fffe,0x427fff40,0x0000ffff,
    0x649fffd0,0xffffffff,0xffffffff,0x22ffffff,0x0006fffa,0x01fffee0,
    0xc8800000,0xffffffff,0x03ffffff,0x000fffd8,0x0fffff60,0xffffda88,
    0x02dfffff,0x7ff5c400,0x2dffffff,0x37ffd400,0xfff70000,0x06fffa8f,
    0x3ffee000,0x3fffff27,0xffffffff,0xffffffff,0x0ffff62f,0xfff88000,
    0x0000002f,0x7fff5c40,0x02dfffff,0x003fff60,0x3ffff880,0x57553100,
    0x00000135,0x03557531,0x1fffec00,0xfff10000,0x1fffec5f,0xfff10000,
    0x0000005f,0x00000000,0x00000000,0x0d55d4c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc00000,0x00000001,0x1b800331,0x80000880,0x04000099,
    0x4cc40000,0x00662000,0x00199800,0x00000cc4,0x20001331,0x26200998,
    0x26200009,0x6d400000,0xdfffffff,0xb3000002,0xbdfffffd,0x0bfee017,
    0x37ffff62,0x4ffb8000,0x7ffed400,0x980003ef,0xd1000fff,0x320000ff,
    0x3a2004ff,0xf100007f,0x2e0001ff,0x3ff604ff,0x7ff5c002,0x0003efff,
    0xffffff91,0x9fffffff,0xfd700001,0xffffffff,0xffa87fff,0x7fffcc1f,
    0x2002ffff,0x2000fff8,0xfffffffb,0x7f40006f,0xffd1002f,0xff50000f,
    0x7ff4400d,0xffd00007,0x7fec0005,0x003ffe02,0x7fffff54,0x002effff,
    0x3fffffa6,0xffffffff,0x10001fff,0xfffffffd,0xffffffff,0x85fff35d,
    0xfccffff8,0xf7000fff,0x7fcc007f,0xfffcaacf,0xbff90003,0x3fffea00,
    0x7fc40007,0xfff5001f,0xf90000ff,0xff8000bf,0x0fff101f,0x3ffffea0,
    0xffffffef,0xffffa802,0xba9acdff,0x3ffffffc,0x7fffcc00,0xba9bceff,
    0xffffffec,0xeffc83ff,0x017ff620,0x8003ffe2,0xffd84ffd,0xeff98005,
    0x7fff4c00,0x6c0007ff,0xfe9803ff,0x0007ffff,0x00077fcc,0x540fff10,
    0xff9805ff,0x7ecc1dff,0x3ea01fff,0x8804ffff,0x03fffffb,0xbfffff30,
    0xffff7001,0x3ffe09ff,0x00fff882,0x4001ffe4,0x07ffb018,0x01ffe880,
    0xff9dffd8,0x3fee0007,0x3bffb005,0x44000fff,0x40001ffe,0x3f206ffa,
    0xfffe804f,0x37ffe404,0x2fffff88,0x7fff4400,0xfffe800f,0x7ec4002f,
    0xff982fff,0x80bffa07,0x00007ff8,0x003ffea2,0x2009ffb0,0x01ffe1dd,
    0x007ffcc0,0x1ffe1dd8,0x04ffd800,0x04ffb800,0xf300bff6,0x3fa00dff,
    0xfffd81ff,0xfd10000e,0xffc80dff,0xfb0000ff,0xff50dfff,0x01ffec0d,
    0x00007ff9,0x0077fff6,0x400dff50,0x0007ff80,0x04005ffd,0xa8003ffc,
    0xb00006ff,0x7ffc05ff,0x17ffdc00,0x43fffa80,0x002ffffa,0x1ffffcc0,
    0x03ffff98,0xfffffb00,0x06ffb85f,0x7c413ff2,0x3e00007f,0x44003fff,
    0x40001fff,0xfc8007ff,0xff80004f,0xfff88007,0xfff00001,0x01ffe203,
    0x4007fff6,0x7ec4eff8,0x900005ff,0x3f20dfff,0xf90006ff,0x8dfff7df,
    0x3f606ffa,0x07ff904f,0x3b2a2000,0xfd002fff,0xff00007f,0xeffa800f,
    0x7ff80000,0x03ffd800,0x4ccccc40,0x9999fff9,0x99effb99,0x0fffe809,
    0x7fc40200,0x100001ff,0xfd01ffff,0xf70005ff,0x3fffe3ff,0xd81ffe63,
    0x6ff882ff,0x3e600000,0x5ffb807f,0x0fff0000,0x00fffc40,0x007ff800,
    0x4002ffdc,0xfffffffc,0xffffffff,0x2fffffff,0x001fffe8,0x05fffa80,
    0x7ffec000,0x037ffcc3,0x90fffd40,0x7fc49fff,0x207ffa07,0x00003ffc,
    0x300fff40,0x00001fff,0xfd801ffe,0x3e00003f,0x3fe6007f,0xffc8000f,
    0xffffffff,0xffffffff,0xfd82ffff,0xd80002ff,0x00004fff,0x2e37ffdc,
    0x4c005fff,0x7fcc2fff,0x41fff46f,0x7cc0fffa,0x3220006f,0x7fff105c,
    0x00bffa20,0x007ff800,0x0000dff7,0x3a007ff8,0xd70002ff,0xdfffdddd,
    0xffdddddd,0x703ddddf,0x00009fff,0x0007fffd,0x47fff980,0x2004fffc,
    0xf883fff9,0x7ffd47ff,0x20fffaa2,0x40002ffd,0xffc84fff,0x09ff901f,
    0x07ff8000,0x000fff98,0x803ffc00,0x00004ffc,0xf300fff8,0x3fe600ff,
    0xfe80006f,0x400002ff,0x7ec7fff8,0xfd1003ff,0x7fffc09f,0x777fff40,
    0xff986fff,0xffb80006,0xffffccef,0x00dff505,0x00fff000,0x00005ffd,
    0xf500fff0,0x100000df,0x7fd40fff,0x3fffe005,0x7ffc0000,0xf800001f,
    0x3ffa0fff,0xffe8802f,0x0ffffc05,0x3fffff62,0x2ffd80df,0xfff90000,
    0x01bfffff,0x0003fff1,0xc80fff00,0x000005ff,0xff880fff,0xa800001f,
    0x3ff205ff,0x7ffffc03,0xffffffff,0xffff8806,0xff800000,0x3fffe1ff,
    0x05ffd801,0x502fffe8,0x2607bddb,0x400006ff,0x2deffec9,0x400fff60,
    0x99900198,0x0077fcc0,0x04cc8000,0x8801ffec,0x9ff90019,0x2017ff40,
    0xffffffff,0x006fffff,0x0001ffff,0x0ffff880,0xb007fffa,0xfd001dff,
    0xb00005ff,0xfd9105ff,0x000007df,0x44017fee,0x100007ff,0x36a03ffd,
    0x002dffff,0x017fee00,0xd803ffc4,0x3ffe02ff,0x7ffffc00,0xffffffff,
    0x3ffff006,0xff980000,0x17ffec7f,0x001dff90,0x0007fffe,0xf30dff30,
    0x1dffffff,0x7fcc0000,0xffe8800f,0xffb00007,0x3ffffa09,0x0005ffff,
    0x000fff98,0x3e00fffd,0xfff300ff,0xff333300,0x133333ff,0x0ffffa00,
    0xfff50000,0x03fffc8b,0x2003fff7,0x000ffff8,0x2217ff40,0xffddffff,
    0x3a00006f,0xffb002ff,0xf50000ff,0x3fff60df,0x3fffecbd,0x17ff4000,
    0x07fffd80,0x2e07ff88,0xfd8005ff,0x360001ff,0x00004fff,0x2e27ffdc,
    0xffa84fff,0x3fea001f,0x7d40007f,0x1effc86f,0x000fffa6,0x4013ff20,
    0x007ffffc,0x40fffc40,0xfe82fff8,0x3f20006f,0xfff9004f,0xb99950ff,
    0x99999fff,0x999dffd9,0x7fe40399,0x3ee0001f,0x400005ff,0x7d43fffd,
    0x7ffcc6ff,0x7ffdc002,0x7ff40005,0x40fffc42,0x40007ffa,0xb800effa,
    0x007fffff,0x881fff40,0xdff504cc,0x3bfe6000,0xffffb800,0xffffc87f,
    0xffffffff,0xffffffff,0x3ff602ff,0x7fc40007,0x200000ff,0x7c41fffe,
    0xfff31fff,0xfffd0007,0x7fd40005,0x207ff986,0x10001fff,0xf5003fff,
    0x00fff3ff,0x002ffdc0,0x000fff20,0x2007ffe2,0x7ff9fff9,0xffffffc8,
    0xffffffff,0xffffffff,0x017ffa02,0x13fffa00,0xff900440,0xfffb01ff,
    0x009ffd1b,0x01ffff50,0x40fff400,0x3fa06ffa,0xffb0002f,0x5fff3007,
    0x4c001ffe,0x20000fff,0x8000fff9,0xf9803ffd,0x50fff2ff,0x99fff999,
    0xfffb9999,0x03999999,0x00027ffc,0x00ffffdc,0x3e6177e4,0xff304fff,
    0x00bffdff,0x0bffff10,0x82ffd400,0x3f605ffc,0xffb8003f,0x3ffe8806,
    0x22001ffe,0x20002ffe,0x8004fffa,0xe8806ffa,0x01ffe3ff,0x7dc0fff3,
    0xffa8005f,0xfd00000f,0xfff00dff,0x3fffa3df,0x3fff200f,0xf90005ff,
    0x40003fff,0xff701ffe,0x01ffec0b,0x003ffe20,0xfff13ffa,0x09ff9000,
    0x2fffe400,0x07ffc400,0x3e27ff40,0x2ffd407f,0x0007ff90,0x00005ffd,
    0x06ffffcc,0xfffffe88,0x403ffffd,0x01fffff8,0x3ffffc80,0x17fea000,
    0x3a05ffa8,0x7f4002ff,0x5ffd802f,0x54007ff8,0xd10006ff,0x20007fff,
    0xfd802ffe,0x407ff85f,0x3fa03ffc,0x7fec001f,0xfb800004,0x2602ffff,
    0xfffffffd,0xffffb004,0x3fa6007f,0x40005fff,0x3e601ffe,0x07ffe06f,
    0x005ffc80,0xdddddfff,0x801ddfff,0x8001fff8,0x001ffff9,0x200bff70,
    0xeeeeefff,0xd80eefff,0xfff102ff,0x3ff62001,0x009aa99e,0x7ffe4010,
    0x510acdff,0xdfffffd7,0x3ffff200,0x10abefff,0xfffffb75,0x7dc0001d,
    0x7ffc405f,0x007ffa81,0x4003ffe6,0xffffffff,0x401fffff,0xa8003ffd,
    0x0000efff,0x2001fff3,0xffffffff,0xf81fffff,0xdff300ff,0x3fffa200,
    0xffffffff,0xeb989abd,0x7fffd405,0xffffffff,0xefffffff,0x2fffee01,
    0xfffffffe,0xffffffff,0xff80004f,0xeffc801f,0x00fffa61,0x000fff44,
    0x55555555,0x40155fff,0x98005ffb,0x20005fff,0x2001ffe8,0xaaaaaaaa,
    0x4c0aafff,0x3fee07ff,0xffff3005,0xffffffff,0xffffffff,0xffd9801f,
    0xffffffff,0xfffeefff,0x7ffd40df,0x3ffffee1,0xffffffff,0xfb80002e,
    0xfff1005f,0x0dfffbbf,0x0027fec0,0x201ffe00,0x4000fff9,0xeeeffff8,
    0x6c06eeee,0x400004ff,0x3fea07ff,0x00fff205,0xdfffffe8,0xfffffedc,
    0x03ffffff,0xfffff910,0x5c39ffff,0x3e3fffff,0xfec882ff,0xdfffffff,
    0xff100001,0x7f4c003f,0x00efffff,0x000dff50,0xd00fff00,0xf70005ff,
    0xffffffff,0x7fd40fff,0xff800006,0x80fff207,0x2a001ffe,0xb7100bef,
    0x9fffffff,0x75310003,0x7e440335,0x00fa23ff,0x00d55d44,0x2ffdc000,
    0x7ff64400,0x3fe2003e,0xc800001f,0x27fe404c,0xccccb800,0x4ccccccc,
    0x003fff10,0x40999000,0x33201ccb,0x0014000c,0x000d5d4c,0xfb100000,
    0x00000001,0x01331000,0x22000000,0x00000099,0x000ccc00,0x4c400000,
    0x00000009,0x00000000,0x00000000,0x00010000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00000009,0x00000cc4,0x00331000,0x00266600,0x00066620,
    0x00002660,0x00009980,0x00000662,0x000004c4,0x00013300,0x40000ccc,
    0xffffecb9,0x00001bce,0x3ffffb22,0x0000beff,0xfffd9100,0x0017dfff,
    0x001ffff0,0x4006fff8,0xfffffdb8,0x0001acdf,0x2005ff98,0xfffffeda,
    0x510002de,0x3bffffd9,0x6dd40000,0xbefffffe,0x07ff6000,0x7ffecc00,
    0xffffffff,0x2a0001ef,0xfffffffd,0x01dfffff,0xfffb5000,0xffffffff,
    0x7e4003bf,0x3ea002ff,0xfb3003ff,0xffffffff,0x003bffff,0x401ffe40,
    0xffffffeb,0x02efffff,0x3ffffee0,0x004fffff,0x7ffff4c0,0xffffffff,
    0x3ffb801d,0xffffa800,0xffffffff,0x4003ffff,0xceffffd8,0xffedcaab,
    0x220004ff,0xbceffffd,0xfffedcaa,0xfff3004f,0x7ffec00b,0xffffc800,
    0xffffffff,0x003fffff,0x4401ffd0,0xfffffffe,0xffffffff,0xffffd805,
    0xffffffff,0xfff70004,0xffffffff,0x807fffff,0x4c006ff9,0xbcefffff,
    0xfffecbaa,0xff3003ff,0xb30039ff,0x8001dfff,0x01cffff9,0x0efffd98,
    0x00fffe80,0x405fff88,0xffffffd8,0xfdca9acd,0x004fffff,0xf5037fc4,
    0x579fffff,0xffffb753,0x7ffd40bf,0x3ff260bf,0x3a6002ff,0xbcefffff,
    0xffffca99,0x7ffc04ff,0x3fff6000,0xffea801e,0x7fd400ff,0xe88000df,
    0xf5001fff,0x10001bff,0xb803fffd,0xfa803fff,0x7ff402ff,0xf5002eff,
    0x4003ffff,0xff304ffa,0x88017fff,0xf05ffffc,0x7dc03fff,0xff1004ff,
    0x5001bfff,0x40bffffd,0xf1002ffc,0x44001dff,0x2604fffe,0x80003fff,
    0x4c00effc,0x80003fff,0x2200effc,0xfd806fff,0x7ffe407f,0x744000df,
    0x36005fff,0xfffd02ff,0xffc8001d,0x7ffcc2ff,0x37ffc405,0x3ffffc80,
    0x7ffec400,0x09ff502f,0x00bffea0,0x03fffe60,0x200bffa2,0x7fdc0099,
    0x0bffa205,0x5ffb8000,0x007ffec0,0x4c09fff1,0x0003ffff,0x8007fffc,
    0xfff907ff,0x3f60001d,0x7ffdc6ff,0x06ffd802,0x01ffff98,0x3ffff600,
    0x007ff880,0x0001fff9,0x3607fffa,0xfb7104ff,0x2019ffff,0xffb03ffd,
    0xeeeeee89,0x3600accd,0x3fea03ff,0x3ffee03f,0x1bfffa01,0x3ffee000,
    0x85ff9804,0x001ffff9,0x87fffe20,0xf801fffc,0xffe804ff,0x7440004f,
    0xffd05fff,0x3fffb003,0x3fff2000,0x882ffc42,0xffffffff,0x7ff881ff,
    0xff85ff88,0xffffffff,0x0fff101e,0x3a06fff8,0x3fe606ff,0x880001ff,
    0x5c00ffff,0xfffb83ff,0xffd80006,0x03fff23f,0x803fff70,0x000ffffb,
    0x0ffffa80,0xb803ffc8,0x10005fff,0x40ffe403,0x88acfff8,0xb81fffdb,
    0x0ffe42ff,0x666677fc,0x701fffee,0x7fe405ff,0x3fff981f,0x013fff20,
    0x00acb800,0xfe81ffe8,0x980002ff,0x07ffd81b,0xf806ffe8,0x00003fff,
    0x260bfffa,0xff9805ff,0x800001ff,0xffe886ff,0x217ff202,0x37fc5ff8,
    0x3f205ff8,0x0bff104f,0x6427ffcc,0x3fa00fff,0x000003ff,0x30fff100,
    0x0001ffff,0x07ffd800,0x2017ffdc,0x0007fff8,0x82fffdc0,0xfff007ff,
    0x00003bff,0x3ee0bfea,0x05fe804f,0x3fea1ff9,0xf80bff02,0x03ff207f,
    0xff87ffe8,0x3ffe605f,0x0000001f,0xf709ff50,0x00000fff,0xf80fffb0,
    0xff9806ff,0x4c00006f,0xffb07fff,0xffff5005,0x0015bfff,0x3603fee0,
    0x400800ff,0x1ff72ff9,0xff017fe0,0x017fcc0f,0x7d45fff7,0x3fea02ff,
    0x000000ff,0x905ff900,0x0000dfff,0x40fffb00,0xa802fffb,0x00005fff,
    0xb80ffff8,0xff3004ff,0xdfffffff,0x3f200159,0x000bfd07,0x7e4ffe20,
    0xb817fe07,0x3fe205ff,0x93ffe203,0x7dc07ffc,0x000006ff,0x203ffa00,
    0x0004fffc,0x07ffd800,0x5c01fffa,0x00004fff,0x881fffe8,0x3a2006ff,
    0xffffffff,0x200bdfff,0x4ff886fd,0x53fe0000,0x37fe06fd,0xffcaa999,
    0x027fc01f,0xfff9fff6,0x2fffe404,0x98000000,0xfffb06ff,0xb0000007,
    0x7ffc0fff,0x7fff9006,0xffd00000,0x03ffa05f,0xffffb300,0xffffffff,
    0x2a17fa05,0x200003ff,0x40bfd4ff,0xffffffff,0xff801fff,0x4fffd404,
    0x6401fff9,0x22003fff,0xcccccccc,0xf703cccc,0x3fffa07f,0xd8000002,
    0x3ffa07ff,0xfffe801f,0xfd800002,0x5ff903ff,0x7f64c000,0xffffffff,
    0xf986fe85,0x3e00004f,0x7c0dfd4f,0xdfffffff,0x09ff000a,0xff99fff0,
    0x9fff900d,0x7fffcc00,0xffffffff,0x203ffb05,0x0002fffd,0x07ffd800,
    0x007ffff2,0x0005fffd,0x05fffd00,0x00017fea,0x7fff6544,0x3fec5fff,
    0x0002ffc4,0xffb3ff88,0xda8affc0,0xff1003ff,0xddff9007,0xff7007ff,
    0x7fcc009f,0xffffffff,0x0fff05ff,0x001fffe4,0x3ffec000,0x7fffff10,
    0x01fffec0,0x7fffc000,0x001ffe01,0x7ffecc00,0x41ff22ff,0x7b3006ff,
    0x325ff301,0x217fe07f,0xf9803ffd,0xfff9802f,0xfa800fff,0x3e6005ff,
    0xffffffff,0xff985fff,0x13fff205,0x3f600000,0x7ffc407f,0xffc80eff,
    0x4400004f,0x3601ffff,0x000001ff,0xa9bfffea,0x2ffd82ff,0xc81ffe80,
    0x05ff50ff,0x7ff417fe,0x007fe401,0x05ffffe8,0x00dfff30,0x5fff9800,
    0x2e02ffc8,0x00005fff,0x807ffd80,0x2fffffd8,0x002fffdc,0x3fffe600,
    0x80ffee00,0x7cc00008,0xbff10fff,0x401dff10,0xdff06ffb,0xff82ffc4,
    0x80dff305,0x3ee006ff,0xf1002fff,0x00003fff,0x742fffcc,0x3fe600ff,
    0x3200007f,0x03ffec1b,0x5fffff70,0x0037ffcc,0x1bffea00,0xff0dff30,
    0xfd0000ff,0x07fe43ff,0x8857ffdc,0xa82fffda,0x07fe42ff,0xffb02ffc,
    0x00bfea07,0x007fff88,0x0027ffec,0x8bfff300,0xfe806ff8,0x980001ff,
    0xffb0ffff,0xffe9800f,0x3fffe0ff,0x3f600001,0xfff803ff,0x017fff40,
    0x8bfff200,0xff905ff9,0xfffffdff,0x261ffa05,0x05ff85ff,0x3a03ffe2,
    0xfff8007f,0x7ffd4004,0xf300000f,0x4ffa8bff,0x04fffc80,0x6fffb800,
    0x2001fff6,0x323fffe8,0x00006fff,0x001ffff5,0xffd85ff9,0x7ec0004f,
    0x1ffec1ff,0xfffffe98,0x7ff901df,0xff0fff60,0x45ffb80b,0x54003ffc,
    0xf8000fff,0x00005fff,0xfd8bfff3,0xfff9802f,0x7f40001f,0x1fff62ff,
    0x2fffd400,0x007ffff3,0x0dfffd00,0xf513fea0,0x20001fff,0x440ffff8,
    0x2a601fff,0x3ea01acc,0x3ffe206f,0x2a006aa1,0x0dff50aa,0x00bffb00,
    0x0bfffee0,0x3ffea000,0xb003ffc5,0x4000bfff,0x7ec7fffc,0xff10007f,
    0xffffc8df,0x3fee0000,0xff1001ff,0x3ffffd0f,0xbfff9000,0x00bffe60,
    0x03ffee00,0x005fff30,0x01fff700,0x02fff980,0x3ffff600,0xff910004,
    0x2ffccbff,0xbffff100,0xffff7000,0xa87ffd89,0x3ffe601e,0x1efffe85,
    0xffffc800,0x0fff4004,0x0fffffee,0x7ffff4c0,0x13ffee01,0x7ffec400,
    0x9fff7002,0x3ff62000,0x7f44002f,0x7c40006f,0x00aeffff,0xfffffb88,
    0x00ffee4f,0x3dffff90,0xffff9100,0x44fffb0b,0xfb00ffff,0xfff307ff,
    0x3a2007ff,0x8006ffff,0xffc83ffb,0x9acdffff,0xffffdca9,0xfffa803f,
    0xfc9800be,0x54001eff,0x800befff,0x01efffc9,0xfffecdc8,0xe980002f,
    0xdeffffff,0xffedb99b,0x743fffff,0xfd8001ff,0x21adffff,0xfffffba8,
    0x47ffd80e,0x220efffb,0x500ffffb,0x59dfffff,0x3ff6e623,0x8000efff,
    0xffb05ff9,0xffffffff,0x9fffffff,0x7fff4c00,0xcaa9acdf,0x00dffffd,
    0xffffd300,0xb955359b,0x001bffff,0x3ffffff2,0x7ec00004,0xffffffff,
    0xffffffff,0x3ffc40cf,0xffff9000,0xffffffff,0x201fffff,0xffd87ffd,
    0xffffdeff,0x7ff4c02f,0xffffffff,0x05ffffff,0x503ffc00,0xffffffff,
    0x5fffffff,0x3ffae000,0xffffffff,0x00002eff,0xffffffd7,0x5dffffff,
    0xffffb800,0x5000005f,0xfffffffd,0xbfffffff,0x013fea03,0xfffff700,
    0xffffffff,0x7fec019f,0xfffffd07,0x2009ffff,0xffffffc8,0xffffffff,
    0xffd80003,0x7ffedc02,0xacefffff,0xfd980000,0xcfffffff,0xb3000001,
    0xffffffff,0x36600039,0x00002cff,0xffffc980,0x2bdeffff,0x0017fe40,
    0xffffda80,0x00cfffff,0x9107ffd8,0x3dffffff,0xffd71000,0x5bffffff,
    0x7fd40000,0x2eaa6004,0x0000001b,0x00003353,0x066a6000,0x00000000,
    0xba988000,0x65c0009a,0x9800000c,0x0009aba9,0x2ea62000,0x3100000a,
    0x00035575,0x00f32200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000004c4,0x0deee544,
    0xb1006662,0x06e05ddd,0x5ffff700,0x7e400000,0x30001fff,0x00aaa013,
    0x7cc6fff8,0x320005ff,0x0000ffff,0x1ffffc80,0x237ffc00,0x2205fff9,
    0x26200199,0xfb300099,0x0009ffff,0xfffff910,0x3fee3fff,0xfffe8807,
    0x009ff713,0x00dfffb0,0x3ffe2000,0xffa8002f,0x3fe61dff,0x1bffe005,
    0x000bfff3,0x1bffffea,0xfff10000,0xfff0005f,0x05fff98d,0x4003fff2,
    0xc802fffa,0xffffffff,0xfd10001e,0xffffffff,0x00fff77f,0x7ff7ffe4,
    0xfd0004ff,0x000005ff,0x0009fff9,0xfffffff5,0x007ffd9f,0x3e637ffc,
    0xf88005ff,0x05fffeff,0x3fff2000,0xdfff0004,0x205fff98,0x5000fffc,
    0xfc805fff,0xffffffff,0x744000ff,0xcabdffff,0x7ffefffe,0x7fffe400,
    0x220000cf,0x00006fff,0x002fffc4,0xfebdffe8,0x00ffffff,0xf31bffe0,
    0xfd000bff,0x7fff51ff,0xfff10000,0x7ffc000d,0x02fffcc6,0x2001fff9,
    0x2a02fffa,0xd50befff,0xc800bfff,0xf701efff,0x200fffff,0x5fffffd9,
    0xfff30000,0x7dc00003,0xff0000ff,0xcfffda8d,0x15554001,0x0006aaa2,
    0x7ec7fff9,0x5c0001ff,0x20000fff,0x55442aaa,0x3fff201a,0x5fff5000,
    0x40ffff40,0x000ffff8,0x801ffff3,0x407ffffa,0xfdffffda,0x700003ff,
    0x20000bff,0x0001fff8,0x26203551,0x00000000,0x237ffd40,0x000ffff8,
    0x0007ffe0,0x7e400000,0xff5000ff,0x3ffe205f,0x0bfff606,0x01fffe40,
    0x407fffd8,0x3f62efff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0xfff5000f,0x13ffe605,0x003fffb8,0x4c00dffb,
    0x6e407fff,0x0effe882,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x003fff20,0x8817ffd4,0x3f606fff,0xfff001ff,0x7ffe8009,
    0xfa84c400,0xa98004ff,0x00abcdcb,0x376ea200,0x4c0000ab,0x0abcdcba,
    0x36ea2000,0x40000abd,0x0abddba8,0x6e54c000,0x40000abc,0xabcdcba9,
    0x07ffe400,0x02fffa80,0x7c0ffffa,0xf8800fff,0x7ec003ff,0x7ee4407f,
    0xffebefff,0xfff7000f,0xbfffffff,0x7fec4001,0x0dffffff,0x7fffdc00,
    0x0dffffff,0x3fff6200,0x00dfffff,0x7fffec40,0x000dffff,0x7fffff4c,
    0x4000dfff,0xfffffffb,0xf900dfff,0x3ea001ff,0x3fee02ff,0x7ffec1ff,
    0x5fff5003,0x07ffc800,0x3fffffa6,0x5fffffff,0x7ffff440,0xffffffff,
    0xfffa802f,0xffffffff,0xffe8801e,0xffffffff,0xfa802fff,0xffffffff,
    0xf5001eff,0xffffffff,0x91003dff,0xffffffff,0x1005ffff,0xfffffffd,
    0x05ffffff,0x2001fff9,0x7402fffa,0xfe88efff,0x3ee006ff,0x7dc001ff,
    0xffff707f,0xffffb9df,0x3e603fff,0xaabcffff,0x06ffffec,0x677fffe4,
    0xffffecaa,0x3fffe602,0xfecaabcf,0x7e406fff,0xcaacefff,0x402ffffe,
    0xaceffffc,0x2ffffeca,0x77fffe40,0xfffedbac,0x3ffe603f,0xecaabcff,
    0xfc86ffff,0xff5000ff,0xfff9805f,0x0effffef,0x0bffee00,0x30fff900,
    0x501bffff,0x209fffff,0x5404fffc,0xf302ffff,0x7e407fff,0xff900fff,
    0xfffa809f,0xffff302f,0x7fffe407,0x7ffff300,0x07fffe40,0x03ffffa8,
    0x403ffff6,0x5404fffc,0x7e42ffff,0xff5000ff,0xfff7005f,0x0009ffff,
    0x8007fff5,0xffd87ffd,0x7ff4403f,0x5fff887f,0x0bfff700,0x200bfff6,
    0xf884fffa,0xff7005ff,0x3fff60bf,0x4fffa802,0x005fffb0,0xf109fff5,
    0xf7003fff,0xfff10bff,0x3ffee00b,0x007ffe45,0x802fffb8,0x1ffffff9,
    0x9fff3000,0x47ffe800,0x3006fffa,0xfb83ffff,0xff1001ff,0x9fff50df,
    0x07ffec00,0x4007ffee,0xfa86fff8,0x3f6004ff,0x7ffd40ff,0x3fff6004,
    0x027ffe40,0xb85fffd0,0xf1001fff,0xfffc8dff,0x5fff7001,0x7fffec40,
    0x10001fff,0x4400dfff,0x7fec7fff,0x3ff6001f,0x01d4c44f,0x361bffe0,
    0x2a000fff,0x54c43fff,0x37ffc003,0x0007ffec,0xfd87fff5,0x3ea000ff,
    0x7fff43ff,0x3ffea000,0x001d4c44,0xff91bffe,0x3ff6005f,0xffff502f,
    0x01ffffff,0x0bfff600,0x23fffdc0,0x4c006fff,0x00006fff,0x3fa1bffe,
    0x7fc4007f,0x3e00004f,0x7ffe86ff,0x27ffc400,0x1001fffa,0xfff89fff,
    0x6fff8005,0x3ffe0000,0x027ffe46,0xa82fffe8,0xfa9effff,0x09885fff,
    0x01bffe60,0x89ffffe2,0x44005fff,0x30006fff,0xdffffb75,0x333dfff0,
    0x33333333,0x000bfff3,0x3fff6ea6,0x9efff86f,0x99999999,0x45fff999,
    0x9999efff,0x99999999,0x3fe25fff,0xffe8004f,0xb7530007,0xfc8dffff,
    0x7dc00fff,0x7fd42fff,0x7ffdc4ff,0x177fe44f,0x00dfffd8,0x4fffffd3,
    0x8004fff9,0x54407fff,0xfffffedb,0x7c46ffff,0xffffffff,0xffffffff,
    0x5d4406ff,0xffffffed,0x7fc46fff,0xffffffff,0xffffffff,0x3fffe26f,
    0xffffffff,0x6fffffff,0x000fffea,0x8803fff6,0xffffedba,0x646fffff,
    0x2606ffff,0x742fffff,0xffb04fff,0x7fffc5ff,0xdffff301,0xfff95357,
    0x7fd4ffff,0xffe8003f,0xfffc880f,0xffffffff,0x7fd46fff,0xffffffff,
    0xffffffff,0xfff9107f,0xffffffff,0xffa8dfff,0xffffffff,0xffffffff,
    0x3fffea7f,0xffffffff,0x7fffffff,0x000bffee,0x2207fff2,0xfffffffc,
    0x6fffffff,0x6fffffe4,0xffff930b,0x7ffdc5ff,0x7ffff406,0x406fffa8,
    0xffffffe9,0xffecffff,0x00bffea7,0x303fffa0,0xffffffff,0x3ffe39bf,
    0x777ffd46,0xeeeeeeee,0x0eeeeeee,0x7fffffcc,0xff1cdfff,0xefffa8df,
    0xeeeeeeee,0xeeeeeeee,0xdddfff50,0xdddddddd,0x21dddddd,0x8002fffb,
    0x7cc1fffc,0xffffffff,0x8dfff1cd,0xfffffffc,0xfeffffff,0x3fffa2ff,
    0x7fffc403,0x804fffde,0xffffffd8,0x4fffd2ff,0x8003fff9,0x7fc47fff,
    0x00acdfff,0xff98dfff,0x4400004f,0xacdfffff,0x98dfff00,0x00004fff,
    0x0013ffe6,0x03fffa80,0x20fffd80,0xcdfffff8,0x8dfff00a,0xffe9fffc,
    0xf8efffff,0x3fffe2ff,0xffff9800,0x2000ffff,0x0bdeedb9,0xff99bffa,
    0x7fc4004f,0x77ffec6f,0x6fff8800,0x0005fff8,0x077ffec0,0x437ffc40,
    0x00005fff,0x0002fffc,0x009fff30,0xfd8fffd0,0xf8800eff,0x7ffe46ff,
    0xfffffe88,0x225fff0d,0x2e007fff,0x04ffffff,0xdffd0000,0x0037ffc4,
    0xff13ffe6,0x3e6001ff,0x7fff86ff,0x3fe00800,0xff3000ff,0x0ffff0df,
    0x7ffc0100,0x3e008007,0x7c4005ff,0x7fffc7ff,0xdfff3000,0x220fffc8,
    0x3fe001ba,0x3f6000ff,0x0200ffff,0x45fff800,0x2001fffe,0x3e63fffd,
    0x3ee005ff,0xfffd86ff,0x3bfe6002,0x017ffe65,0xd86fffb8,0x26002fff,
    0x7fec5eff,0x3fe6002f,0x0ffff45e,0x49fff700,0x2005fff9,0x7e46fffb,
    0xd80000ff,0x26003fff,0x202fffff,0x2e004efd,0x7fd43fff,0xfff3005f,
    0x2fffd41f,0x6fffe880,0x006fffa8,0xfa8ffff6,0xfd1005ff,0xfff50dff,
    0x7ffec00d,0x037ffd43,0xb87fffb0,0xf1005fff,0x7fd43fff,0xffd1005f,
    0x0fffc8df,0xfffc8000,0xfff9800f,0xf902ffff,0xff1005ff,0xffff03ff,
    0xfffe8805,0x0ffffc43,0x3ffffa20,0x09fffb07,0x41ffff70,0x401ffff8,
    0x07ffffe8,0x7009fffb,0xfb01ffff,0xff7009ff,0xfffd01ff,0xdfffb007,
    0x01ffff88,0x3fffff44,0x0003fff2,0x17fffe20,0xffffff30,0xff505fff,
    0xfffb00df,0x3fffea0d,0xdffff304,0x037fffe0,0x7fffff4c,0xdffff307,
    0xffff9303,0x1bffff07,0x3ffffa60,0xffff307f,0xfff9303d,0x3ffe607f,
    0xffc981ef,0xfff303ff,0xffd301bf,0xffff01ff,0x3ffa601b,0x7fe47fff,
    0xf500000f,0x5443dfff,0xfcfffffd,0xfe82ffff,0x9989bfff,0x00ffffeb,
    0x3bffffea,0xefffffdc,0xfffff501,0xffffd779,0x201fffbb,0xdffffffb,
    0x4ffffffd,0x9fffff50,0xbffffd77,0x2e01fffb,0xddffffff,0x04ffffff,
    0x7fffffdc,0xffffffdd,0x7fffe404,0xffffddef,0xfff502ff,0xffd779ff,
    0x1fffbbff,0x0007ffe4,0xfffff900,0xffffffdf,0x3fffee1d,0x7fffc42f,
    0xffffffff,0xfe9802ff,0xffffffff,0x7fe400df,0xffffffff,0x07fff32f,
    0x7fffff4c,0x04ffffff,0x7fffffe4,0xf32fffff,0x7f4c07ff,0xffffffff,
    0xfd3004ff,0xffffffff,0x3aa009ff,0xffffffff,0x7e401eff,0xffffffff,
    0x7fff32ff,0x0007ffe4,0x3fffea00,0x4fffffff,0x80efffc8,0xffffffd9,
    0x000effff,0x3ffffb22,0x26002eff,0xfffffffe,0x037ffc0c,0x7fffff5c,
    0xd3000cff,0x9fffffff,0x806fff81,0xffffffeb,0xeb8000cf,0xcfffffff,
    0x7f644000,0x03efffff,0x3ffffa60,0x7fc0cfff,0x03fff26f,0x3f620000,
    0x2defffff,0x3007fee0,0x9ddffdb9,0x57300003,0xa9880003,0x0000009a,
    0x00035553,0x004d54c4,0xaaa98000,0x2a600001,0x100001aa,0x00015553,
    0x004d54c4,0x00266540,0x55d44000,0x00066000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x01bdedc9,0xffffc800,0x3ffe0000,0x02fffcc7,0x17fffe20,
    0xb9730000,0x2000159b,0x0acedca8,0x804cc000,0x553002aa,0x55555555,
    0x80035555,0x0acdecb9,0x26666000,0xfd800000,0x3a600fff,0xfb301eee,
    0x7fffffff,0x3ffea000,0xf0000eff,0xfff98fff,0xfffa8005,0xea80001f,
    0xffffffff,0x3fee000c,0x2fffffff,0x7fffd400,0x017fe21d,0x7fffffec,
    0xffffffff,0xffff5005,0x007fffff,0x00bfffe0,0xffff1000,0xffff9805,
    0xfffff982,0x04ffffff,0x7f7ffc40,0xff0005ff,0x5fff98ff,0xbfff7000,
    0xfffc8000,0xffffffff,0xfffe800f,0xffffffff,0xffff3003,0xffd9ffff,
    0x3fffa007,0xffffffff,0xfc805fff,0xffffffff,0xff8006ff,0x400002ff,
    0x9804fffc,0x7cc2ffff,0xdbabefff,0x2004ffff,0xffa9fffe,0xfff8003f,
    0x02fffcc7,0x03fffb00,0x3ffff600,0xfffebace,0x3ff600ef,0xfca9acff,
    0xfe804fff,0xffffebdf,0xf8800fff,0xffffffff,0x05ffffff,0x3bffff62,
    0xffffdb9b,0x7fffc004,0x3e200002,0xff3005ff,0xfffe85ff,0x7ffff304,
    0x47fff900,0x4002fffd,0x55442aaa,0x7f40001a,0xffa8004f,0xffd303ff,
    0x3ffee0bf,0xfffd101e,0x4c6ff805,0x001cfffd,0x3337fff3,0x33333333,
    0x77ffe401,0x5ffff500,0x17fffc00,0xdff90000,0x3ffe6001,0x13ffea2f,
    0x80dfff10,0x7c46fffa,0x00000fff,0xff100000,0x7fc4001f,0x7fcc02ff,
    0xffff80ff,0x2fffcc01,0x4c406aa0,0x7ffdc000,0xff300001,0xffb801df,
    0x0000005f,0x01fff880,0x8bfffe60,0xc801fffe,0x00001fff,0x00000000,
    0xfa800000,0xffb005ff,0x4fff987f,0x00fffb00,0x3f200000,0x3600007f,
    0xf8801fff,0x000007ff,0x4c000000,0xff32ffff,0x3fe600df,0x0000005f,
    0x00000000,0xfffd8000,0x379b1001,0x002fffc8,0x0003fff7,0xdffd0000,
    0x3fe20000,0x3ff2005f,0x0000001e,0x3e600000,0xfff52fff,0x7fff4007,
    0xcdca9800,0x4c0000ab,0x00abcdca,0x6edd4400,0xfff000ab,0x5440000f,
    0x3fee005b,0xb953002f,0xf8001579,0x500004ff,0x00005fff,0x01ddd500,
    0xb9753000,0xf9801579,0xfff91fff,0x7ffdc001,0x3fffa601,0x00dfffff,
    0x7ffff4c0,0x000dffff,0x7ffffec4,0x2200dfff,0x00006fff,0x7ffd8000,
    0xffffe980,0x800dffff,0x0002fff9,0x001fff90,0xfff90000,0x7fdc0001,
    0xffffffff,0xffff100d,0x003fffa3,0x883fffa8,0xfffffffc,0x802fffff,
    0xffffffc8,0x02ffffff,0xffffff50,0x03dfffff,0x0017ffe2,0xff100000,
    0x7fe440bf,0xffffffff,0x7fd402ff,0x000d4c1f,0x0001bffa,0x03ffec00,
    0xffffe880,0xffffffff,0xffff882f,0x800ffff0,0xfc84fffa,0xdbacefff,
    0x403ffffe,0xaceffffc,0x3ffffedb,0x77fffe40,0xfffecaac,0x4fff982f,
    0x20000000,0x202fffe8,0xaceffffc,0x3ffffedb,0x755fff20,0x04efffff,
    0x5444fff8,0x000aceec,0x001bffa0,0x33ffffe6,0xfffecaab,0x1ffff06f,
    0x3001fffe,0xffa8bfff,0x3ff603ff,0xfff500ff,0x7ffec07f,0xffff300f,
    0x7fffe407,0x027ffcc0,0x2e200000,0x203ffffd,0x203ffffa,0xb00ffffd,
    0xffffdfff,0x03dfffff,0xfd93ffe2,0x2fffffff,0x4fff9800,0x4fffc800,
    0x17fffd40,0xff8bfffc,0x7fcc006f,0x3fffe25f,0x5fffb801,0x01ffff88,
    0xb05fffb8,0xf5005fff,0xfff889ff,0x30000005,0x3ffffffd,0x0ffffc40,
    0x82fffdc0,0xffffffff,0xffffffff,0x8bfff982,0xfffffffd,0x2000dfff,
    0x4002fffd,0x7005fff8,0xffd0bfff,0x017ffe2f,0x64bfff10,0x3a004fff,
    0x7fe42fff,0x3ffa004f,0x27ffd42f,0x81fffb00,0x04006fff,0xffffb800,
    0x3f200cff,0x3fa004ff,0x7ffc42ff,0x9311bdff,0x981fffff,0xfffebfff,
    0xfffecbbd,0xfffb004f,0xfff7000b,0x3ffe2003,0xf16ffe86,0xf8800bff,
    0x3fffa6ff,0x3ffea000,0x007fff44,0xd89fff50,0x2a000fff,0x7ff43fff,
    0x2f7f4007,0xfffff900,0x3fa0bfff,0x3ea000ff,0x7ffd44ff,0x7ff4c03f,
    0x7fffd45f,0xff900dff,0xffd803ff,0x988001ff,0x7ffc003a,0xf16ffd86,
    0xf8800bff,0x17ffe6ff,0xf1bffe00,0xff000bff,0x07ffe8df,0x227ffc40,
    0x1002fffd,0x4c00bfff,0xfffc9889,0x2fffc0ef,0x237ffc00,0x3003edc9,
    0x7d45ffff,0xb804ffff,0x3f606fff,0x00002fff,0x86fff800,0xfff15ffc,
    0xfff8800b,0x009fff15,0x7c4fffd0,0xfe8004ff,0x4f7ffc7f,0x99999999,
    0x45fff999,0x7006fff9,0x00005fff,0x44bfffd3,0xe8004fff,0x200007ff,
    0x3e64fffc,0x3a006fff,0xffd82fff,0x000001ff,0xfffdba98,0x15ffc86f,
    0x9800dfff,0xfff55fff,0xfffb0007,0x00fffea1,0x443fff60,0xffffffff,
    0xffffffff,0xffd86fff,0x7ffc403f,0xf300000f,0x3fea3fff,0xffd8003f,
    0xf300000f,0x7ffc4dff,0x3fea002f,0x7fffec3f,0x54400001,0xfffffedb,
    0xfb86ffff,0x01bffe4f,0x2e9fff30,0xc8002fff,0xfff71fff,0xfff90005,
    0x3ffffea3,0xffffffff,0x87ffffff,0x505ffff8,0x0005fffd,0x74fffc80,
    0x90005fff,0x00003fff,0x3fe3fffc,0x3e6001ff,0x3ffee4ff,0x2200001f,
    0xfffffffc,0x6fffffff,0x3fa4ffb8,0x7fd4007f,0x05fff74f,0x23fff900,
    0x8002fffb,0xff51fffc,0xdddddddf,0xdddddddd,0xfff701dd,0xffdb9dff,
    0x000009ff,0x3eebfff5,0xfc8002ff,0x200001ff,0x3fe0fffe,0xfff8007f,
    0x007fffa6,0xffff9800,0x1cdfffff,0xff50dfff,0x003ffec7,0x7d4bffea,
    0xfd8003ff,0x7fff50ff,0x1fffb000,0x0013ffe6,0xfffe9800,0x4fffffff,
    0xff100000,0x0fffeadf,0x03fff600,0x7fff8000,0x4003fff4,0xfff16fff,
    0x7c400009,0x0acdffff,0xf50dfff0,0x0fffe47f,0x21fff900,0x8004fff9,
    0x3fe67ffe,0xffe8004f,0x002fffc7,0x7ff64000,0x401dffff,0x44002ba9,
    0xfff36fff,0xfffd0009,0x40029988,0x7ec6fff8,0x3e2001ff,0x5fff54ff,
    0xfb018800,0xf1001dff,0x5ff30dff,0x0027ffd4,0xfff8ffff,0x7ffc4005,
    0x002fffc7,0xff1fffe2,0x001000ff,0x026bff60,0x003fffc0,0xff93ffea,
    0x7fc4005f,0x1fffe27f,0x8bfff300,0x2003fffc,0xff92fff9,0xfff8003f,
    0x007fffc7,0x886fff98,0x3ffe20aa,0xbfff5006,0x001fffe8,0xfd13ffee,
    0x7dc003ff,0x7ffec4ff,0x3bfe6002,0x0bffe005,0x03fffb00,0xd1fffe40,
    0x5c003fff,0x7ff44fff,0x3ff2001f,0x2fffc43f,0x21fff700,0x2002fffb,
    0x3e65fff9,0x3ee005ff,0x7ec006ff,0xffc801ff,0x2fffdc1f,0x1ffff880,
    0x802fffdc,0x541ffff8,0x36006fff,0xd3003fff,0x2005ffff,0x3005fffb,
    0x7dc3ffff,0xff1005ff,0xfffb83ff,0xffff3005,0x05fff901,0x4cdfff10,
    0x32005fff,0x3fea3fff,0xffd1005f,0xff9800df,0x3fee00ef,0x7fffd06f,
    0x0dfffb00,0x200ffffa,0xfb06fffd,0xff7009ff,0xf70001ff,0x3fe200ff,
    0x7f4402ff,0xfffe84ff,0x6fffd803,0x03ffff98,0x81ffff44,0x401ffff8,
    0x3e24fffd,0xf9802fff,0x3fe21fff,0x7f4401ff,0xaaa87fff,0x77ffe40a,
    0x1ffffb81,0x1bffff30,0x1ffffd30,0x37fffe60,0xffffe980,0xdffff300,
    0xffff9303,0x3fe60007,0xfff5002f,0x3ffea07f,0xffff306f,0xfffd301b,
    0x3ffee01f,0xffff504f,0xffffd80d,0x7fff440a,0x2ffffb86,0x13fffa60,
    0x4037fffe,0x7fffffe9,0x20ffffc4,0xcfffffe8,0x03fffffd,0x77ffffe4,
    0xffffffdd,0x7fffe402,0xffffddef,0x7fdc02ff,0xffddffff,0x1004ffff,
    0xfffd9533,0x7ffe4001,0xfffdcdff,0x3f201fff,0xfddeffff,0x402fffff,
    0xcefffffd,0x0dfffffd,0x7fffec40,0xffffecdf,0xffffb01f,0xff95335b,
    0x3fea0dff,0xfebbcfff,0xfffddfff,0x07fffe20,0x7fffffe4,0x5004ffff,
    0xfffffffd,0x2003dfff,0xffffffea,0x001effff,0xffffffd3,0x009fffff,
    0x7fffffdc,0xffb8003f,0xffffffff,0xfea800df,0xffffffff,0xff9001ef,
    0xffffffff,0xffb8009f,0xffffffff,0x3ffa201e,0xffffffff,0x3f200fff,
    0xffffffff,0x7fff32ff,0x00ffffc4,0xffffffd7,0xec88003b,0x3effffff,
    0xffec8800,0x003effff,0xfffffd70,0xc80019ff,0x02efffff,0x3fff6200,
    0x002effff,0x7ffff644,0x88003eff,0xfffffffd,0xfb30002d,0x17ffffff,
    0x3fffee00,0x04ffffff,0xfffffd30,0xfff819ff,0x07fffe26,0x004d5cc0,
    0x5554c400,0x53100000,0x40000155,0x0001aaa9,0x0066aa62,0x35753000,
    0x2a620000,0x300000aa,0x00001575,0x001aba88,0xdfdb9510,0x31000179,
    0x00001355,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcdecba80,0x2a20001b,0x002cdedb,
    0x1ffff900,0x7ffc4000,0x0000005f,0x0007ddd1,0x00cc4000,0xddb00000,
    0x5cc0ccc9,0x30002ccd,0x0009ffff,0x0acdca88,0x20004cc4,0x4006fffe,
    0xffffffe9,0x54000cff,0xffffffff,0x3ea0003e,0x0006ffff,0x00ffffd4,
    0x880e4400,0x00004fff,0x7ffff540,0x00002def,0x7c57ffe0,0xffff71ff,
    0x0005dfff,0x001ffff7,0xfffff910,0x3ff21dff,0x3ffea006,0x3ff2000f,
    0xffffffff,0xfd8801ff,0xffffffff,0xf88005ff,0x05fffeff,0x2fffdc00,
    0x07fea000,0x0027ffc4,0xfffe9800,0xdfffffff,0xff800000,0x73fff15f,
    0xffffffff,0xf90009ff,0xe88009ff,0xffffffff,0x06ffc9ff,0x00bfffa0,
    0xbeffffa8,0xfffffba9,0x7fffec00,0xffecaace,0x3fa000ef,0x3fffa8ff,
    0x7ffe4000,0xfff70001,0x13ffe203,0x3fea0000,0xfffeffff,0x0001ffff,
    0xf8afffc0,0xacfffdff,0x4ffffdb9,0x0fffd800,0xfffff100,0xfffb7359,
    0x2a00dffb,0x22004fff,0xb103ffff,0x7d40bfff,0xfb104fff,0x3f2009ff,
    0x3fff63ff,0x7ff40001,0xfff70005,0x13ffe203,0xfff10000,0xffb885df,
    0x00000fff,0x7fc57ffe,0xf501ffff,0x88003fff,0xf9004ffe,0x3ee01dff,
    0xd006ffff,0xfb800bff,0x7f4404ff,0xfff881ff,0xfffd803f,0x2fffdc01,
    0x003fffe2,0x00ffe880,0x01fffb80,0x0009fff1,0x05fffe80,0x02ffff44,
    0x2bfff000,0x00fffff8,0x0037ffd4,0x2007ffcc,0x400ffff9,0x806ffffb,
    0x4000eff9,0xb800fffd,0xffb82fff,0xfff1006f,0x0000000b,0xf7000000,
    0x3fe203ff,0x2600004f,0x8800ffff,0x0000ffff,0x3e2bfff0,0xfd004fff,
    0x000001ff,0x003fffb8,0x000dfffd,0x0fffd000,0x213ffe60,0x2001fffd,
    0x00007ffc,0x00000000,0x101fffb8,0x00009fff,0x001fffdc,0x0005fff9,
    0x7c57ffe0,0xf5000fff,0x000005ff,0x000fffd8,0x000dfff5,0x0fffd000,
    0x213ffe60,0x5c007ffe,0x53001fff,0x01579b97,0x66e54c00,0x933000ab,
    0x43335fff,0x2624fff8,0xd000acdb,0x54003fff,0x5c404fff,0x7fc0acdc,
    0x0bfff15f,0x4c4fff80,0x26600099,0x017ffa09,0x4ccdfff0,0x26660009,
    0x00fffc80,0xf82fffa8,0x7d4006ff,0x7fdc03ff,0xffffffff,0x3fa6000d,
    0xdfffffff,0x3fffe600,0x227fffff,0xfff54fff,0x803dffff,0x4c007eec,
    0xf9104fff,0x1dffffff,0x7fc57ffe,0x7ffc004f,0x00fffe65,0xff16fff8,
    0xffe8009f,0x007fff36,0x7cc37ffc,0xffe804ff,0x05fff887,0x82fffcc0,
    0xffffffe8,0x2fffffff,0x7fffe440,0xffffffff,0xfffff302,0x7c4fffff,
    0xffffbcff,0x03ffffff,0xfff70000,0xffffd105,0xf3dfffff,0x3ffe2bff,
    0x3fff4003,0x4007fff3,0xfff36fff,0x6ffd8007,0x4007fff3,0xfff06fff,
    0x7ffe405f,0x00dfff05,0x985fffa8,0xabcfffff,0x6ffffeca,0x77fffe40,
    0xfffedbac,0xfdcc883f,0x224ccdff,0xdfffffff,0xffffecab,0xfd800004,
    0x7ff440ff,0xfecabdff,0xf15fffff,0xfd8005ff,0x7fff30ff,0xbb7ffc00,
    0x64003fff,0x7fff36ff,0x837ffc00,0x9adffff9,0x0dfffea9,0x800fffd0,
    0xfc86fffb,0x7fd404ff,0xfff502ff,0x7ffec07f,0x3ffee00f,0xfffff101,
    0x3fff205f,0x2a00000f,0xffc86fff,0xfff901ef,0x3ffe2bff,0x7ffec001,
    0x007fff30,0xffab7ffc,0x7fe4003f,0x007fff36,0xb3037ffc,0xffffffff,
    0xffd805ff,0x3ff6001f,0x2fffc46f,0x85fffb80,0x801ffff8,0x2e05fffb,
    0xff101fff,0xfb801fff,0x500005ff,0xf983ffff,0x7dc00fff,0xfff15fff,
    0x7ffe8005,0x800fffe6,0xfff36fff,0x6ffd8009,0x4007fff3,0x74c06fff,
    0xffffffff,0x7ffdc00c,0xffff5006,0x01fffb8f,0x90dfff10,0x74009fff,
    0xff702fff,0x3ffe203f,0xfffd003f,0xffa80003,0xfffb83ff,0xbfffd003,
    0x000fffe2,0x7fccdfff,0x3ffe003f,0x00bfff16,0xff36ffe8,0x7ffc007f,
    0xffffb106,0xffffffff,0x7fffc407,0x7fff4404,0x01d4c47f,0x3a1bffe0,
    0x2a000fff,0xff704fff,0x3ffe203f,0xfff7000f,0x7fdc0007,0xfffb04ff,
    0x3ffee001,0x009fff15,0xf32fffc4,0x7fc007ff,0x01bffe6f,0x3e6dfff0,
    0x3fe003ff,0xfffe986f,0xff9311ae,0x7fd40bff,0x7dc41eff,0x006ffeff,
    0x21bffe00,0xf8005fff,0xfff706ff,0x13ffe203,0x05fff880,0x9ffff700,
    0x002fff40,0x3e2bfff1,0xf9000fff,0x7ffcc5ff,0x9bffe003,0x5001fffd,
    0x3fe6dfff,0x3ffe003f,0x04fffe86,0x027fff4c,0xdffffffb,0xfb3ffffd,
    0x2a6000df,0x46ffffdb,0x8004fff8,0xff707ffe,0x3ffe203f,0x37ffc003,
    0x7fffcc00,0x13ffe203,0x22bfff00,0x8804ffff,0x3e60ffff,0x3fe003ff,
    0x1bffe66f,0x9b7fff40,0x3e003fff,0x7ffdc6ff,0xffff1006,0x7fffe401,
    0xd1ffffff,0xba880dff,0xffffffed,0x7fd46fff,0xffd8003f,0x1fffb80f,
    0x005fff10,0x8007ffe8,0x4c03fffe,0x74003fff,0xffff15ff,0xfffd803f,
    0x01fffcc3,0xfd8dfff0,0x7fdc03ff,0x7fff36ff,0x237ffc00,0x2001fffe,
    0x4c04fffb,0xcefffffe,0x4417ffe0,0xfffffffc,0x6fffffff,0x0017ffdc,
    0x5c0fffe4,0xff101fff,0xffd8003f,0x3fee000f,0xfffb804f,0xaffec002,
    0x3ffffff8,0x86fffe88,0x2003fff9,0x7fc46fff,0xffd80dff,0xfff36fff,
    0x37ffc007,0x1001bffe,0x2200bfff,0xff880ab9,0xffff984f,0x1cdfffff,
    0xffb8dfff,0xffc8002f,0x1fffb81f,0x005fff10,0x4007ffe8,0xb800fffc,
    0x6c002fff,0xffff15ff,0xfdbbffff,0xf303ffff,0x7fc007ff,0xffffa86f,
    0xffffecef,0xfff36fff,0x37ffc007,0x000bfff1,0x0000dfff,0x2217ffcc,
    0xacdfffff,0xa8dfff00,0xd8003fff,0xffb80fff,0x5fff101f,0x06fff800,
    0x8037ff40,0x4003fffa,0xfff15ffe,0xffffff59,0x2601dfff,0x3e003fff,
    0xffd306ff,0x1dffffff,0x3fe6dfff,0x3ffe003f,0x017ffe26,0x001fffa0,
    0x40fffb80,0x800efffd,0x7cc6fff8,0xfe8004ff,0x3fff707f,0x00fffe20,
    0x800bfff0,0xf3005fff,0xfe8009ff,0x29fff15f,0xefffffe9,0x1fffcc03,
    0x06fff880,0x3fffff22,0x4dbffe4f,0xf1003fff,0x7fff8dff,0x2fffc400,
    0xd000aa62,0xffff0fff,0x3ffe6001,0x005fff86,0xb83fffc4,0xff101fff,
    0x7fcc009f,0x3fe2004f,0xfff1004f,0x5fff800d,0x5309fff1,0x3fe60035,
    0xfff3004f,0x02aa200d,0x7fcdbffe,0xfff3004f,0x00fffe8d,0x713ffe60,
    0x2a003fff,0x7fcc4fff,0x3fee005f,0x1fffe86f,0x13ffee00,0x880fffdc,
    0x32007fff,0x54002fff,0x3f6001aa,0xff5001ff,0x13ffe2bf,0x7ffc4000,
    0xdfff7005,0x3ffe0000,0x00bfff16,0xf91bffee,0x7f4009ff,0x7ffcc2ff,
    0x1fffb004,0x005fffa8,0x70dfffd1,0x2200bfff,0xf701ffff,0x3fe205ff,
    0xff8803ff,0x0000006f,0x4017ffee,0xff15fffe,0x7c00009f,0x74400fff,
    0x00006fff,0x7ffcdfff,0x7ff4400f,0x7fffc46f,0x6fffb804,0x803fffd0,
    0xf884fffd,0x74401fff,0xfd07ffff,0xffb007ff,0x7ffd40df,0xfffff103,
    0x7ffec405,0x40000002,0x6403fffe,0xff15ffff,0x7400009f,0x3a204fff,
    0x0006ffff,0x7f4dfff0,0x3fa204ff,0xffa86fff,0xfd880cff,0xff700fff,
    0xfd9817df,0xfff00fff,0x3fa601bf,0xf307ffff,0xd301bfff,0x5401ffff,
    0x229affff,0xaffffff8,0x2ffff4c0,0x15554400,0x3fffea00,0xffffd884,
    0x09fff15f,0x7ffd4000,0x3faa21cf,0x0006ffff,0x7d4dfff0,0x2a21cfff,
    0x06fffffe,0xbffffffb,0x7fffffdb,0xfffffd80,0xffffffdd,0x3fffea00,
    0xfffebbcf,0x00fffddf,0xbdfffff9,0x5ffffffb,0xfffff880,0x9fff11ff,
    0xfdbbffff,0x0003dfff,0x000ffff5,0x9dfffff9,0xffddfffd,0x013ffe2b,
    0xfffff000,0x9ffffdff,0x0000dff9,0xfff1bffe,0xfffdffff,0x40dff99f,
    0xfffffffb,0x001effff,0xfffffffb,0x9001dfff,0xffffffff,0x3fe65fff,
    0x3ffaa03f,0xffffffff,0xfff7001e,0x3fe25fff,0xfffffaaf,0x000dffff,
    0x00ffff50,0x3ffffee0,0xfd8effff,0x09fff15f,0xffe88000,0x3fffffff,
    0x0000dff9,0xfd11bffe,0xffffffff,0x101bff27,0xfffffff9,0xfd50007f,
    0x05dfffff,0xffffe980,0x7fc0cfff,0x7f64406f,0x03efffff,0xffffeb80,
    0x265fff13,0x3efffffe,0x7ffd4000,0x3f260007,0xb0dfffff,0x3ffe2bff,
    0xf9000004,0x45bfffff,0x00006ffc,0x3f20dfff,0x22dfffff,0x22006ffc,
    0x00009ab9,0x01abb988,0x4d54c400,0x98800000,0x00000aaa,0xa9800133,
    0xf5000009,0x10000fff,0x22001553,0x00002ccc,0x000d5440,0x79990000,
    0x001aa880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0ffffc80,0x1bffe200,0xd709fff3,
    0xa80005dd,0x31003eee,0xdb000013,0xb80001dd,0x300003ee,0x0003dddd,
    0x3bbbbbae,0xeeeeeeee,0x3eeeeeee,0x3bbbbbb6,0xccdeeeee,0xaaaa800a,
    0xaaaaaaaa,0x2aaaaaaa,0x0005ddd7,0x003eeea8,0x1bffffea,0x46fff880,
    0xfc84fff9,0x5c0003ff,0x7dc04fff,0x002fffff,0x003fffe0,0x04fff980,
    0xffffb000,0x3ff20009,0xffffffff,0xffffffff,0x3ffa4fff,0xffffffff,
    0x04ffffff,0x7ffffffc,0xffffffff,0xff97ffff,0xfb80007f,0xff3004ff,
    0x009fffbf,0xf31bffe2,0xfff909ff,0xffb80007,0x3fff204f,0x0000ffff,
    0x0003fffe,0x027fffc4,0x7fffc400,0xfc8000ff,0xffffffff,0xffffffff,
    0x3fa4ffff,0xffffffff,0xffffffff,0xfffff00d,0xffffffff,0x2fffffff,
    0x0003fffc,0x4027ffdc,0xfb8fffe8,0xff8803ff,0x27ffcc6f,0x001fffe4,
    0x413ffee0,0xfffffffb,0x7ffc0007,0xffb0000f,0x700009ff,0x07fffdff,
    0xddfff900,0xdddddddd,0xdddddddd,0x777fff47,0xfffeeeee,0x80efffff,
    0xffffffff,0xffffffff,0xfff96fff,0xffb80007,0xfffd804f,0x007fff62,
    0x5510aaaa,0x7fff9035,0xfffb8000,0x7dffff04,0xf8000533,0xa8000fff,
    0x004fffff,0xfecffe80,0xffc8006f,0xe800003f,0x93001fff,0x330bffff,
    0x33333333,0xfff53333,0x0ffff23f,0x9fff7000,0x45fffb80,0x000ffff8,
    0x7ffe4000,0x7fdc0003,0x0dfff04f,0xffff0000,0xfff88001,0x40004fff,
    0xffb9fff9,0x7fe4001f,0xe800003f,0x54001fff,0x0000ffff,0x645fffd0,
    0x40003fff,0x0004fffb,0x80000000,0x0003fffc,0x4427ffdc,0x00004fff,
    0x000ffff8,0x7fff7fec,0x7fe40004,0x009fff17,0x003fffc8,0x1fffe800,
    0x2fffd800,0xfffc8000,0x01fffe44,0x13ffee00,0x00000000,0x0ffff200,
    0x9fff7000,0x007fff30,0x1ffff000,0x4fffdc00,0x40004fff,0x3ffa5fff,
    0x3ff2000f,0xe800003f,0xa8001fff,0x40005fff,0xfc86fffa,0x5c0003ff,
    0x33304fff,0x04ccc001,0x4c001333,0x7fff9099,0xfffb8000,0x03fff984,
    0xffff8000,0x5fff3000,0x0009fff1,0xf71fffd4,0x7e4007ff,0x800003ff,
    0x8001fffe,0x0005fff9,0x207fffe2,0x0003fffc,0x4c27ffdc,0x3e003fff,
    0x7fff36ff,0xcb7ffc00,0x40003fff,0x3314fffb,0x3339fff5,0xfff00001,
    0x3ffa001f,0x009fff14,0x107ffec0,0x6400dfff,0x00003fff,0x001fffe8,
    0x003fffa8,0x413fff20,0x0003fffc,0x4c27ffdc,0x3e003fff,0x7fff36ff,
    0xcb7ffc00,0x40003fff,0xff94fffb,0xffffffff,0xfff0000d,0xdff9001f,
    0x013ffe21,0x42fffc40,0x9001fffd,0x00007fff,0x003fffd0,0x001fff90,
    0x03bffe60,0x001fffe4,0x213ffee0,0x2003fff9,0xfff36fff,0xb7ffc007,
    0x0003fffc,0xfca7ffdc,0xffffffff,0xff80006f,0x7fd400ff,0x13ffe21f,
    0x17ffdc00,0x802fffd4,0x0003fffc,0x01fffe80,0x037ffd40,0x05fffd00,
    0x001fffe4,0x213ffee0,0x2003fff9,0xfff36fff,0xb7ffc007,0x0003fffc,
    0xcaa7ffdc,0xccdfffdc,0xff80003c,0x3fe200ff,0x27ffc44f,0x07ffe800,
    0x2003fffe,0x0003fffc,0x01fffe80,0x1dfffb10,0x3ffea000,0x67ffe406,
    0x99999999,0xc9999999,0xff984fff,0x3ffe003f,0x007fff36,0xffcb7ffc,
    0x7dc0003f,0xfff984ff,0xff800003,0x3ff600ff,0x04fff886,0x04fff980,
    0x200ffff2,0xeeeefffc,0xeeeeeeee,0x742eeeee,0xeeeeefff,0xffffeeee,
    0x360000df,0x7e403fff,0xffffffff,0xffffffff,0x84ffffff,0x2003fff9,
    0xfff36fff,0xb7ffc007,0x0003fffc,0x4c27ffdc,0x00003fff,0x700ffff8,
    0xff103fff,0xff90009f,0x7ffcc03f,0xffffc806,0xffffffff,0xffffffff,
    0x7fffff43,0xffffffff,0x0000efff,0x201fffe2,0xfffffffc,0xffffffff,
    0xffffffff,0x03fff984,0x7cdbffe0,0x3fe003ff,0x07fff96f,0x4fffb800,
    0x003fff98,0x0ffff800,0x103fff88,0x88009fff,0xfe806fff,0x7fe402ff,
    0xffffffff,0xffffffff,0x7fff43ff,0xffffffff,0x3fffffff,0x9fff9000,
    0xfffff900,0xffffffff,0xffffffff,0xfff309ff,0xb7ffc007,0x2003fff9,
    0xfff96fff,0xffb80007,0x3fff984f,0xfff80000,0x05ffe80f,0x0013ffe2,
    0x7007fff7,0xfc80bfff,0xffffffff,0xffffffff,0x7ff43fff,0xeeeeeeef,
    0xffffffee,0x7fc000df,0xffc801ff,0xccccccef,0xcccccccc,0x984fffec,
    0x3e003fff,0x7fff36ff,0xcb7ffc00,0x40003fff,0xf984fffb,0x800003ff,
    0x7dc0ffff,0x3fe200ff,0x7ff4004f,0xfff8800f,0x3fff200f,0xfe800003,
    0x366001ff,0x2006ffff,0x9005fffa,0x80007fff,0xf984fffb,0x3fe003ff,
    0x07fff36f,0xfcb7ffc0,0x640003ff,0xff983fff,0xf800003f,0x3fe60fff,
    0x7ffc403f,0x3ffe6004,0xcccccccf,0x3ffffccc,0x00ffff20,0x3fffa000,
    0xfffb8001,0xfffb002f,0x3fff2005,0x7fdc0003,0x3fff984f,0x4dbffe00,
    0x3e003fff,0x7fff76ff,0xfffc8000,0x03fff983,0xffff8000,0x00bffd10,
    0x4009fff1,0xfffffffc,0xffffffff,0x3f206fff,0x800003ff,0x0001fffe,
    0x100dfff9,0x6400ffff,0x40003fff,0xf984fffb,0x3fe003ff,0x07fff36f,
    0xfbb7ffc0,0x6c0004ff,0xff982fff,0xf800003f,0xfff70fff,0xdddddddd,
    0xddffffdd,0x7fffc09d,0xffffffff,0xffffffff,0x07fff902,0xfffd0000,
    0x3fea0003,0x7fdc00ff,0x3ff2003f,0x7dc0003f,0xfff984ff,0x5bffe003,
    0x2003fff9,0xfff56fff,0xffe80009,0x3fff982f,0x7fc00600,0xffff70ff,
    0xffffffff,0xffffffff,0x3bffea0d,0xcccccccc,0xfffdcccc,0x07fff905,
    0xfffd0000,0x7ffc0003,0x7fff401f,0x3fff2000,0x7fdc0003,0x3fff984f,
    0x2dfff100,0x1003fff9,0x3fe6dfff,0x7fc0006f,0xfff981ff,0x03ff6403,
    0x3ee7fff8,0xffffffff,0xffffffff,0xffb06fff,0xff10005f,0xfff901ff,
    0xfd000007,0x7c0003ff,0x3e601fff,0x7e4005ff,0x5c0003ff,0xff984fff,
    0xfff3004f,0x013ffe6d,0xff37ffcc,0x260001ff,0xff307fff,0xfffc807f,
    0x27fff800,0xccccccc9,0xffcccccc,0x883cccef,0x20007fff,0xfc84fffe,
    0x800003ff,0x0001fffe,0xb80ffff1,0x64003fff,0x40003fff,0xf884fffb,
    0xff7005ff,0x17ffe2df,0xb37ffdc0,0x2000bfff,0xf305fffd,0xffb807ff,
    0x7ffc401f,0x7fc40006,0xfffb804f,0x3fea0004,0x3fffc87f,0xffe80000,
    0xff70001f,0xfffd80df,0x7ffe4002,0x7fdc0003,0x1ffff04f,0x6fffe880,
    0x1003fffe,0x7dcdfffd,0x4c004fff,0xf302ffff,0xffa807ff,0x7ffdc05f,
    0x7fc40004,0xfffe804f,0x3fe20001,0x7ffe42ff,0xfe800003,0xf98001ff,
    0x7fc04fff,0x7e4000ff,0x5c0003ff,0xffd04fff,0x7ff4409f,0x3fffa6ff,
    0x3fffa204,0x7ffff46f,0xffff7003,0x1fffcc0d,0x07fffe20,0x017fffcc,
    0x13ffe200,0x00dfff30,0x8bfff900,0x0003fffc,0x01fffe80,0x3fffee20,
    0x3ffe200f,0xfffc8007,0x7fdc0003,0xffff504f,0x7ff54439,0x3fea6fff,
    0x3aa21cff,0x546fffff,0xbdffffff,0xffecba99,0x3e601fff,0xffc803ff,
    0xfca99cff,0x0000ffff,0x2027ffc4,0x0003fffc,0x20ffff98,0xcccdfffc,
    0xcccccccc,0x1ccccccc,0x999bfffd,0xfdb99999,0x805fffff,0x8006fffa,
    0x0003fffc,0xf027ffdc,0xfdffffff,0xdff99fff,0xfffffff8,0xfccffffe,
    0xffffb86f,0xffffffff,0x402fffff,0x8803fff9,0xffffffff,0x002fffff,
    0x04fff880,0x0007fffc,0x24fffe80,0xfffffffc,0xffffffff,0x2fffffff,
    0xfffffffd,0xffffffff,0x5009ffff,0x90009fff,0x80007fff,0x2204fffb,
    0xfffffffe,0x8dff93ff,0xffffffe8,0xdff93fff,0x3ffffe60,0xffffffff,
    0xff9801ef,0xfff5003f,0xffffffff,0x3e200007,0x3fea04ff,0x2e00006f,
    0x3ff27fff,0xffffffff,0xffffffff,0xffd2ffff,0xffffffff,0xbfffffff,
    0x3ffee003,0xfffc8003,0x7fdc0003,0xfffc804f,0x3f22dfff,0xffff906f,
    0x7fe45bff,0x3ff6a206,0xdfffffff,0x3ffe6002,0x3ff22003,0x01ceffff,
    0x3ffe2000,0x0ffff604,0xfff88000,0xfffff92f,0xffffffff,0xffffffff,
    0x3ffffa5f,0xffffffff,0x4001ccde,0x8001fffc,0x0003fffc,0x0027ffdc,
    0x00003551,0x00003551,0x555d54c4,0xff980009,0x7530003f,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbbbaa0,0xeeeeeeee,0x1eeeeeee,0xceecba80,0xec80002b,0x003bbb66,
    0x3eeeec80,0x3bbbbbae,0xccdeeeee,0x3ba2001a,0x0000003e,0x3bbbba60,
    0xeeeeeeee,0xeeeeeeee,0x3ba26eee,0x5c00003e,0xeeeeeeee,0x1accdeee,
    0x0f776c00,0x7dddb000,0x7fffffdc,0xffffffff,0x01ffffff,0x3fffffea,
    0x0002efff,0x7ff4fff7,0xffb0001f,0xfffc8bff,0xffffffff,0x01dfffff,
    0x004fff88,0x3f600000,0xffffffff,0xffffffff,0x7fffffff,0x0013ffe2,
    0xfffff900,0xffffffff,0x2003bfff,0x0006fffa,0x5c1ffff5,0xffffffff,
    0xffffffff,0xe881ffff,0xffffffff,0x000dffff,0xfe9fffea,0xfd8001ff,
    0xffc84fff,0xffffffff,0xffffffff,0x3ffe201e,0x00000004,0xfffffff3,
    0xffffffff,0xffffffff,0x7ffc4fff,0x7e400004,0xffffffff,0xffffffff,
    0xffd801ef,0xffe8002f,0x7fffdc3f,0xeeeeeeee,0xeeeeeeee,0xdffffd81,
    0xfffdbaab,0xfff3004f,0x0ffff4ff,0x3ffff600,0xddfff904,0xfffddddd,
    0x7fffffff,0x013ffe20,0x7ec00000,0xffeeeeff,0xeeeeeeff,0xeeeeeeee,
    0x013ffe26,0xdfff9000,0xfddddddd,0xffffffff,0x6fff9807,0x37ffdc00,
    0x0027ffdc,0x77ffdc00,0x3fffea01,0x7fff4c02,0x07fffa7f,0x4ffffd80,
    0x00bfff20,0x7fffed44,0x4fff882f,0x98000000,0x3ee0ffff,0x100004ff,
    0x00009fff,0x002fffc8,0xfffffd51,0x3fffc805,0x5ffff100,0x009fff70,
    0xffff8800,0x7fffa800,0xfffff910,0x0ffff4ff,0x4ffffd80,0x017ffe40,
    0x7ffffd40,0x027ffc40,0x7ec00000,0x7ffdc4ff,0xff100004,0xc800009f,
    0xb8002fff,0x200fffff,0x800ffff8,0xf705fffb,0x800009ff,0x2003fffa,
    0x7d40fffd,0x7fffffff,0x2007fffa,0x803ffffd,0x0002fffc,0x889ffff3,
    0x00004fff,0x7fffc400,0x027ffdc0,0x4fff8800,0x7fe40000,0xff30002f,
    0xffb809ff,0x7ffc404f,0x9fff701f,0xffc80000,0x3fee001f,0xffffb12f,
    0x74fffb7f,0x7ec01fff,0xf9003fff,0x5c0005ff,0x3e20ffff,0x000004ff,
    0x42fffe40,0x0004fffb,0x009fff10,0x2fffc800,0x3fff2000,0x7fff400f,
    0x13fff201,0x004fffb8,0x03fff400,0x54fffea0,0xfb1effff,0x0ffff4ff,
    0x07ffffb0,0x017ffe40,0x93fffa00,0x8804fff8,0x10001999,0xf703ffff,
    0x200009ff,0x54c4fff8,0x32001bdc,0x40002fff,0x5404fffe,0xff105fff,
    0x7fdc01ff,0x9800004f,0x7fdc0029,0x89fff52f,0x3ffa7ffd,0xffffb01f,
    0xfffc8005,0x7fdc0002,0x13ffe26f,0x09ffff30,0x17fff200,0x0027ffdc,
    0x34fff880,0xfffffffd,0x5fff900b,0xfffa8000,0x2fffe806,0x403fffd8,
    0x0004fffb,0x3f600000,0x019f51ff,0x7ff4fffb,0xffffd81f,0xfffc8002,
    0x7fc40002,0x9fff10ff,0x27fffcc0,0xffff8800,0x09fff701,0x3ffe2000,
    0xffffffac,0x6405ffff,0x40002fff,0x400ffff8,0x7cc6fff9,0xffb806ff,
    0x0000004f,0x4ffff100,0x9fff6008,0x7ec1fffe,0x90002fff,0x00005fff,
    0x3e25fffd,0xfff304ff,0x7e40009f,0x3fee05ff,0xf100004f,0xbfffffff,
    0xbffffd97,0x017ffe40,0x17fff400,0xb17ffec0,0xf7005fff,0x000009ff,
    0x3fff6000,0x9fff6004,0x3f61fffe,0x20002fff,0x0002fffc,0xf13fffd8,
    0xfff309ff,0x7c40009f,0x3ee01fff,0x100004ff,0x05ffffff,0x40bfffee,
    0x0002fffc,0x803fffc8,0xff36fff8,0x3fee00df,0xccccccef,0x4ccccccc,
    0x3fea0000,0x3f6000ff,0x47fffa7f,0x05fffffd,0x0bfff200,0x3fff2000,
    0x989fff14,0x0003ffff,0x202fffdc,0xcccefffb,0xcccccccc,0x7ffc44cc,
    0x7fe402ff,0x5fff904f,0xfff90000,0x3ffee009,0x001fffea,0xfffffff7,
    0xffffffff,0x20000fff,0x002ffffa,0xffd3ffec,0xfffffb3f,0x320005ff,
    0x80002fff,0xff14fffb,0x7fffc49f,0xfff80003,0x7ffdc02f,0xffffffff,
    0x47ffffff,0x803ffff8,0x3ba6fff8,0xeeeffffe,0x805eeeee,0x1004fffb,
    0xbfffffff,0x7fffdc00,0xffffffff,0x007fffff,0x5ffff980,0x27ffd800,
    0xfffefffe,0x00ffffdf,0x02fffc80,0x5fffb800,0x3e29fff1,0x80003fff,
    0xb806fffb,0xffffffff,0xffffffff,0x7fffc47f,0x4dfff000,0xffffffff,
    0x6fffffff,0x45fffb80,0xfeeeeeec,0xeeffffff,0x5c2eeeee,0xffffffff,
    0xffffffff,0x7cc0007f,0xb0005fff,0x7fff4fff,0xfe89ffff,0xfc8006ff,
    0xc80002ff,0xfff14fff,0x07fffd19,0x3fffe000,0xffffb802,0xffffffff,
    0x447fffff,0x3a007fff,0x3fffe7ff,0xffffffff,0xfc806fff,0x7ffec4ff,
    0xffffffff,0xffffffff,0x27ffdc2f,0x54000000,0x000effff,0x7f4fffb0,
    0x261fffff,0x4004ffff,0x0002fffc,0xf13fffd8,0xffffdbff,0xff700003,
    0x3fee00df,0xf100004f,0x7ec00dff,0x5fff907f,0xfffb0000,0xfffffd89,
    0xffffffff,0x2fffffff,0x0027ffdc,0x3fee0000,0x20000dff,0x3ffa7ffd,
    0xffc80fff,0x3f2002ff,0xe80002ff,0xfff12fff,0x0dffffff,0xbfffd000,
    0x55555555,0x009fffb5,0x13ffe200,0x907ffd80,0x00005fff,0x9887fffd,
    0xf9999999,0x99999eff,0x7fdc0999,0x0000004f,0x017ffff2,0xe9fff600,
    0x3a00efff,0x9000ffff,0x00005fff,0x3e23ffff,0xffefffff,0x3ea0004f,
    0xffffffff,0xffffffff,0xf100004f,0x7ec009ff,0x5fff907f,0xffff0000,
    0xbfff0005,0x9fff7000,0xb1000000,0x0009ffff,0xfe9fff60,0x7fcc01ff,
    0xff9005ff,0xf880005f,0xfff10fff,0xffff15ff,0x3ffa0003,0xffffffff,
    0xffffffff,0xff100004,0x7fec009f,0x05fff907,0xffff8800,0x5fff8000,
    0x4fffb800,0x74400000,0x0003ffff,0xfe9fff60,0xffb801ff,0xffc803ff,
    0x7d40002f,0x3ffe27ff,0x1bffee2f,0x3fffea00,0xffffffff,0x4fffffff,
    0xfff10000,0x3ffec009,0x002fffc8,0x437ffd40,0xeeeeeeec,0xeeeffffe,
    0x5c2eeeee,0x00004fff,0x3ffffa20,0x7ec00002,0x07fffa7f,0x0ffffec0,
    0x00bfff20,0x47fffd00,0xfe84fff8,0x7f4004ff,0x99999bff,0xfc999999,
    0x100004ff,0x6c009fff,0xfff907ff,0xffe80005,0xffffd84f,0xffffffff,
    0xffffffff,0x027ffdc2,0xffe88000,0x800001ef,0x3ffa7ffd,0xfff1001f,
    0x7fe401ff,0x3ee0002f,0x3fe20fff,0xffff984f,0xffff5001,0x9fff7000,
    0x3fe20000,0x3ff6004f,0x05fff907,0x7fffdc00,0xfffffd81,0xffffffff,
    0x2fffffff,0x0027ffdc,0xefffe800,0xfb000000,0x0ffff4ff,0xbffff500,
    0x017ffe40,0x4ffff880,0xb827ffc4,0xfb006fff,0xf70007ff,0x200009ff,
    0x2004fff8,0xff907ffd,0x3e20005f,0x33105fff,0xff333333,0x333333df,
    0xfffb8133,0xfb800004,0x00000eff,0xfe9fff60,0x7e4001ff,0xff903fff,
    0xfd30005f,0xff881fff,0x3fffa04f,0x7fffcc04,0xfffb8000,0xff100004,
    0x7fec009f,0x05fff907,0xffffd300,0x7ffc0001,0xfffb8005,0x7c400004,
    0x00001fff,0xfd3ffec0,0xe88003ff,0xfc81ffff,0x322002ff,0x883fffff,
    0x3e604fff,0x3f601fff,0xf70004ff,0x200009ff,0x2004fff8,0xff907ffd,
    0x7e44005f,0x0003ffff,0x4002fffc,0x0004fffb,0x677ffec0,0xcccccccc,
    0x002ccccc,0x7ff4fffb,0xff98001f,0xfffc86ff,0xcccccccd,0xffffffed,
    0x9fff103f,0x0efffc80,0x00ffff98,0x9dfff700,0x99999999,0x25999999,
    0x2004fff8,0xff907ffd,0x999999bf,0xfffffdb9,0xf00009ff,0xf7000bff,
    0x400009ff,0xfffffff9,0xffffffff,0xb004ffff,0x7fff4fff,0xfff90001,
    0xffffc89f,0xffffffff,0x3fffffff,0x013ffe20,0xb09fffd1,0x40009fff,
    0xfffffffb,0xffffffff,0xff14ffff,0x7fec009f,0xfffff907,0xffffffff,
    0x07ffffff,0x17ffe000,0x13ffee00,0xfffb8000,0xffffffff,0xffffffff,
    0x4fffb004,0x0001fffe,0xc8bffffa,0xffffffff,0xffffffff,0x7fc400cf,
    0xfffa804f,0x3fffe21f,0x3fee0000,0xffffffff,0xffffffff,0x09fff14f,
    0xc83ffec0,0xffffffff,0xffffffff,0x7c00003e,0xfb8005ff,0x200004ff,
    0xfffffffc,0xffffffff,0xb004ffff,0x7fff4fff,0x3fe20001,0xfff90fff,
    0xffffffff,0x400599dd,0xb004fff8,0x3f21dfff,0x5c0005ff,0xffffffff,
    0xffffffff,0xfff14fff,0x3ffec009,0xffffffc8,0xefffffff,0xf000002d,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76c00000,0xc80000ee,0x002eeeee,0x5ddddb00,
    0x3bbbbbae,0xeeeeeeee,0x9000accc,0x80007ddd,0xdd72eeea,0x7000003d,
    0xdddddddd,0x799bdddd,0xfffe8801,0x7fffdc07,0x7ffff102,0xf03fffa0,
    0xeee98fff,0xeeeeeeee,0xeeeeeeee,0x3bba63ee,0x33066662,0x3fffd033,
    0xfffd0000,0x50000bff,0x327fffff,0xffffffff,0xffffffff,0x6c01dfff,
    0x0001ffff,0x7e4fffea,0x800002ff,0xfffffffc,0xffffffff,0x3e202dff,
    0x3fa03fff,0x3ffa04ff,0xffe82fff,0x23fffc0f,0xfffffffa,0xffffffff,
    0x24ffffff,0xff13fff9,0x3ffe21ff,0x0ffff40f,0x7fff4000,0x40000fff,
    0x93fffffd,0xffffffff,0xffffffff,0x405fffff,0x006ffffd,0x64fffea0,
    0x00002fff,0xffffffc8,0xffffffff,0x205fffff,0xf506fff9,0x7fec0bff,
    0x740fffdf,0x7ffc0fff,0x7ffffd47,0xffffffff,0xffffffff,0x44fffe64,
    0xff10ffff,0xfffe81ff,0xffe80001,0x0002ffff,0x3fffffe2,0x99bfff93,
    0x99999999,0xfffffffd,0x3ffff603,0xff50004f,0x0bfff27f,0x3ff20000,
    0xeeeeeeef,0xffffffee,0x3fee04ff,0x0fffe82f,0x3a9fff70,0x3ffa0eff,
    0x23fffc0f,0xeeeeeee9,0xeeeeeeee,0x24ffffee,0xff13fff9,0x3ffe21ff,
    0x0ffff40f,0x7fff4000,0x20005fff,0x3ffffffa,0x0007fff9,0x0dffffb1,
    0x3ffffff6,0xfffa8001,0x005fff93,0x5fff9000,0xffffb800,0x1bff203f,
    0x2603fff5,0x3fe66fff,0x20aaaa5f,0x00002aaa,0x21ffffd8,0xff13fff9,
    0x3ffe21ff,0x0ffff40f,0x7fff4000,0x0000fffd,0x7fffdffb,0x000ffff2,
    0x80ffffb8,0x6ffffffd,0x3fffa800,0x0005fff9,0x05fff900,0xffffd300,
    0x3a2ffd80,0xffd103ff,0x3fffc83f,0x80000000,0x4c2ffffc,0x00003fff,
    0x0003fffd,0xff5fffd0,0xff10005f,0x327fff7f,0x40003fff,0xfd82fffd,
    0x04ffffff,0xc9fffd40,0xccccdfff,0x0aaaaccc,0x02fffc80,0x3ffff300,
    0x00000000,0x00000000,0x41ffffdc,0x0003fff9,0x003fffd0,0xf1fffd00,
    0xf5000bff,0x27fff5df,0x0003fffc,0x6c27ffdc,0xffffbfff,0x3ffea001,
    0xffffff93,0xffffffff,0x32017dff,0x20002fff,0x0002ffff,0x00000000,
    0xff500000,0x3fe60bff,0xfd00003f,0xd00003ff,0xfff91fff,0xbffd8001,
    0xff93fffa,0xf980007f,0xfffd86ff,0x00efffd8,0x327fff50,0xffffffff,
    0xffffffff,0xffc84fff,0x3f20002f,0x333104ff,0x20019988,0x22001998,
    0x80000199,0x00effff9,0x0007fff3,0x007fffa0,0x23fffa00,0x2002fff9,
    0xffa8fff8,0x07fff93f,0x6fffb800,0xf88fffd8,0xf5004fff,0x3fff27ff,
    0xffffffff,0xffffffff,0x17ffe43f,0xbfff7000,0xfd1fffa0,0x7ff400ff,
    0x1fffa007,0xffd10000,0x7fcc01ff,0xfd00003f,0xd00003ff,0x3ffe1fff,
    0x57fee005,0xff93fffa,0xfd80007f,0xfffd84ff,0x03ffff50,0x327fff50,
    0x9999bfff,0xda999999,0x321fffff,0x20002fff,0xfd03fffc,0x07ffe8ff,
    0x801fffa0,0x00007ffe,0x017fffec,0x000fffe6,0x00ffff40,0x87fff400,
    0xb000fffc,0x3ffea7ff,0x007fff93,0x1ffffcc0,0xfb07ffec,0xfa801dff,
    0x5fff93ff,0xffff7000,0x017ffe4d,0x05fffd00,0xffd1fffa,0x3fff400f,
    0x00fffd00,0x7fffdc00,0x3fff9803,0xfffd0000,0xffd00003,0x0bffe61f,
    0x543ffe20,0xfff93fff,0x3fee0007,0xfffb06ff,0x27fffc41,0x64fffea0,
    0x50002fff,0x3f21ffff,0xf50002ff,0x3fa03fff,0x03fff47f,0x400fffd0,
    0x00007ffe,0x00bffff5,0x000fffe6,0x00ffff40,0x07fff400,0xf700bfff,
    0x9fffd4bf,0x999bfffc,0xba999999,0x1fffffec,0xa81fffb0,0x2a02ffff,
    0xfff93fff,0x7ffc0005,0x05fff92f,0xbffff500,0x3a3fff40,0x3fa007ff,
    0x3ffa007f,0xff880007,0x3e6006ff,0xd00003ff,0x00003fff,0x7e41fffd,
    0x7ff400ff,0x64fffea2,0xffffffff,0xffffffff,0x202fffff,0xfd80fffd,
    0xff500eff,0x0bfff27f,0x4fffd800,0x3337fff9,0x75333333,0x01fffffd,
    0x3fa3fff4,0x3ffa007f,0x1fffa007,0xfffd1000,0x7fcc001f,0xfd00003f,
    0xd00003ff,0x7fcc1fff,0x3ffe202f,0x64fffea0,0xffffffff,0xffffffff,
    0x6c00dfff,0xff880fff,0xfff504ff,0x00bfff27,0x95fffb80,0xffffffff,
    0xffffffff,0xe807ffff,0x3fff47ff,0x00fffd00,0x0003fff4,0x007ffff6,
    0x007fff30,0x07fffa00,0x3fffa000,0x702fffc0,0xfffa8bff,0xffffff93,
    0xffffffff,0x20017bff,0xf500fffd,0xff505fff,0x0bfff27f,0x4fffc800,
    0xfffffff9,0xffffffff,0xd003dfff,0x7ffe8fff,0x01fffa00,0x0007ffe8,
    0x00ffffee,0x00fffe60,0x0ffff400,0x7fff4000,0x807ffe40,0x7fd42ffe,
    0x59fff93f,0xff755555,0xd8003dff,0x3f600fff,0x7fd40eff,0x05fff93f,
    0x97ffec00,0xfffffffc,0xffffffff,0x3fa002ef,0x03fff47f,0x400fffd0,
    0x50007ffe,0x000bffff,0x000fffe6,0x00ffff40,0x07fff400,0x220bffe6,
    0xfffa87ff,0x007fff93,0x009ffff7,0x1007ffec,0xfa89ffff,0x5fff93ff,
    0x3ffe6000,0x59fff91f,0x55555555,0x3fa00013,0x03fff47f,0x400fffd0,
    0x88007ffe,0x0006ffff,0x544fffe6,0x555542aa,0x00ffff40,0x07fff400,
    0x7dc2fffc,0x3fffa85f,0x2007fff9,0x003ffffb,0xa801fffb,0x3ea2ffff,
    0x5fff93ff,0xfffd1000,0x017ffe4d,0x7ff40000,0x003fff47,0x7400fffd,
    0xfe8007ff,0x20000fff,0xff13fff9,0x3ffe21ff,0x0ffff40f,0x7fff4000,
    0xe87ffc80,0xfffa82ff,0x007fff93,0x017fffe4,0x4007ffec,0xf50ffffd,
    0x3fff27ff,0xff931002,0x7fe43fff,0x8000002f,0x7ff47ffe,0x1fffa007,
    0x007ffe80,0x00ffffec,0x4fffe600,0xf10ffff8,0xffe81fff,0xfe80001f,
    0xfff980ff,0x541ffe62,0xfff93fff,0xfffd8007,0x7ffec01f,0xffff8800,
    0x327fff54,0xeeeeefff,0xffffeeee,0x7e44ffff,0x000002ff,0x7f47ffe8,
    0x3ffa007f,0x1fffa007,0x3ffffb80,0xfff98000,0x21ffff13,0x740ffff8,
    0x80001fff,0xfd00fffe,0x827fe4bf,0xff93fffa,0xff88007f,0x3f600eff,
    0xff5000ff,0x7fff55ff,0x3ffffff2,0xffffffff,0xc83fffff,0x00002fff,
    0x747ffe80,0x3fa007ff,0x3ffa007f,0xffff3007,0x3e600009,0xffff13ff,
    0x03fffe21,0x0003fffd,0x201fffd0,0xffd0fffc,0x4fffea03,0x8003fffc,
    0x205ffffb,0x2000fffd,0xffbffffd,0xfffff93f,0xffffffff,0x2019ffff,
    0x0002fffc,0x47ffe800,0x3a007ffe,0x3fa007ff,0xfff8807f,0x2600006f,
    0x3fc43fff,0x07fffa00,0x3fffa000,0x35fff300,0x7fd40fff,0x07fff93f,
    0x3ffff600,0x01fffb02,0x7ffffc40,0xfff93fff,0xdddddddd,0x8013579b,
    0x0002fffc,0x47ffe800,0x3a007ffe,0x3fa007ff,0xfffe807f,0x2600000f,
    0x2fd43fff,0xe8efffd8,0x80001fff,0x3a00fffe,0x04ffcdff,0x7e4fffea,
    0xf10003ff,0x3f60dfff,0x7d4000ff,0x93ffffff,0x00005fff,0x005fff90,
    0xfffd0000,0x2007ffe8,0x3a007ffe,0x7fec07ff,0x400001ff,0x7e43fff9,
    0x1ffff984,0x0003fffd,0x401fffd0,0x1ffefffc,0x64fffea0,0x20003fff,
    0xd84ffffb,0xd8000fff,0x93ffffff,0x00005fff,0x005fff90,0xfffd0000,
    0x2007ffe8,0x3a007ffe,0x3fee07ff,0x800001ff,0x3ea3fff9,0x3fffc82f,
    0x3337fffa,0xcccccccc,0xffd1cccc,0x7ffcc01f,0x7fd406ff,0x07fff93f,
    0xffffe800,0x007ffec1,0x7ffffc40,0x05fff93f,0xfff90000,0xd0000005,
    0x7ffe8fff,0x01fffa00,0xf107ffe8,0x9999dfff,0x99999999,0x19999999,
    0x7ccfffe6,0x5fff883f,0x7ffffff4,0xffffffff,0xffd2ffff,0xfffe801f,
    0x7ffd403f,0x007fff93,0x6ffff980,0x0007ffec,0x3fffffb8,0x0005fff9,
    0x05fff900,0xffd00000,0x007ffe8f,0xe801fffa,0xfff107ff,0xffffffff,
    0xffffffff,0x261fffff,0x40b63fff,0x7f40effc,0xffffffff,0xffffffff,
    0x01fffd2f,0x01ffffc8,0xfc9fffd4,0xc80003ff,0x3f63ffff,0x360000ff,
    0xff93ffff,0x9000005f,0x00005fff,0xe8fffd00,0x3fa007ff,0x3ffa007f,
    0xfffff107,0xffffffff,0xffffffff,0x3fe61fff,0xefe8803f,0xfffffe81,
    0xffffffff,0xfd2fffff,0xff9801ff,0xfffa806f,0x007fff93,0x3ffffa00,
    0x001fffb0,0x9ffffc40,0x0002fffc,0x02fffc80,0xffe80000,0x003fff47,
    0x7400fffd,0xfff107ff,0xffffffff,0xffffffff,0x261fffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x001eeeeb,0x1bddd700,0x01f776c4,0x3bbb6200,
    0x013bba61,0x17bbba20,0x97bba200,0x0004eeeb,0x007776c0,0x554406a2,
    0x3bbbbb61,0xeeeeeeee,0xeeeeeeee,0x999971ee,0x99999999,0x99999999,
    0x1f76c009,0x14000000,0x7fc4cc40,0x980006ff,0xfb83ffff,0x20002fff,
    0x7c44fffe,0xfa8007ff,0x4000ffff,0x3ea5fffa,0x00000fff,0xc80dfff3,
    0x2e0cffff,0x3fffe2ff,0xffffffff,0xffffffff,0x0092ffff,0x7c009000,
    0x880004ff,0x41acddba,0xfd100dfb,0x0ffffeaf,0xbfffd000,0x07fffec0,
    0x37ffe400,0x001fffe8,0x1fffffec,0x0ffff200,0x0005ffff,0x80ffff20,
    0xfffffffc,0x3e1fffde,0xffffffff,0xffffffff,0x2fffffff,0x09000009,
    0x0027ffc0,0xfffff910,0xff35bfff,0x9fffa20d,0x001ffffd,0x01ffff70,
    0x02ffffc4,0x03fffea0,0x001fffe4,0x17fffffe,0x81fffd00,0x0005fffc,
    0x00ffff88,0xff99fff1,0xd8bfffff,0xeeeeeeee,0xeeeffffe,0x1eeeeeee,
    0x09000009,0x0027ffc0,0xffffffa8,0xffffffff,0xffffa80f,0x1bfffe27,
    0x3fffe600,0xffffa802,0xffff1002,0x27ffd405,0xfbfff300,0x7fc400ff,
    0xffff886f,0x7fd40000,0x13fea04f,0x017dffd7,0x07fffa00,0x00000900,
    0x27ffc009,0x7fffdc00,0xffecabde,0x7f4c2fff,0x7d47ffff,0x74003fff,
    0x36005fff,0xe800ffff,0x7c404fff,0x3ee006ff,0x01fffaef,0x209fff30,
    0x0003fffd,0x300fffec,0x00660155,0x07fffa00,0x00000900,0x27ffc009,
    0x3fffe200,0xffff700d,0xf9dffd87,0xffffd87f,0xffff7000,0x7ff44001,
    0x7ffe406f,0x1fffd006,0x233ffa00,0xf7004fff,0x3fea05ff,0x3e20006f,
    0x000006ff,0x3fffa000,0x00024001,0xfff00240,0xfffd8009,0x7fffd403,
    0xff87760f,0x5ffff887,0x2ffff880,0xffff9800,0x1ffff503,0x0bfff200,
    0x6cbffe20,0xffb006ff,0x7fffc01f,0xfff70000,0x00000007,0x00ffff40,
    0x20000120,0x13ffe004,0x06fffa80,0x7fffffc4,0x41ffe024,0x403ffffa,
    0x0004fffe,0x107ffff2,0x4005ffff,0xa804fff9,0xfff70fff,0x0dfff001,
    0x003fffc8,0x201fffd0,0xdca88199,0x740000ab,0x24001fff,0xa8a40000,
    0xfaaaaaaa,0xaaaaadff,0x3fff22aa,0x7cfff402,0x3ffc07ff,0x01ffffb0,
    0x001bffee,0xd1bfffa0,0xf0009fff,0xff900dff,0x017ffccd,0x300fffe6,
    0x3000dfff,0x3e20bfff,0xfffd31ff,0x000bffff,0x000ffff4,0x52000012,
    0xfffffffa,0xffffffff,0x3f67ffff,0x9ffe407f,0x3e00fffd,0x3ffe207f,
    0xffff885f,0xff880001,0xdfff74ff,0x1fff6000,0xff0fffe0,0xfffb809f,
    0x1fffe801,0x17ffe400,0xf99fff88,0xffffffff,0xfe8001ef,0x024001ff,
    0xffaa4000,0xffffffff,0xffffffff,0x81bffa7f,0x3fee5ffa,0x01ffe01f,
    0xd85ffff5,0x00004fff,0x3effffee,0x70001fff,0x7cc03fff,0x3ffec1ff,
    0x401fff60,0x4004fffb,0x3e206fff,0xcefffcff,0x6fffffdc,0x1fffe800,
    0x00002400,0xfffffaa4,0xffffffff,0x27ffffff,0xff305fff,0x17ffd41d,
    0xfb00fff0,0x7ffd4dff,0xfd800006,0x03ffffff,0x0fffe600,0xfa87ffb8,
    0x3ffe01ff,0xffff1005,0x1fffd400,0xdfffff10,0x3ffff205,0x7fff4001,
    0x00024001,0xfff00240,0x3ffe6009,0x41ffe884,0x3e03fffa,0xfff8807f,
    0x03fffd3f,0xfff10000,0x0000bfff,0x7ec0bfff,0x3fff885f,0x007fff30,
    0x8017ffec,0x2200fffd,0x400fffff,0x4004fffd,0x4001fffe,0x04800004,
    0x4013ffe0,0xfd84fff9,0x3fffa82f,0x5401ffe0,0xfffdffff,0x26000003,
    0x000fffff,0x207ffd80,0xffd02fff,0x03ffee0b,0x04fff980,0x405fff88,
    0x803ffff8,0x4006fff9,0x4001fffe,0x04800004,0x4013ffe0,0x7dc5fff8,
    0x5fff704f,0xb003ffc0,0x0bffffff,0xff980000,0x80001fff,0xfa81fffb,
    0xfff900ff,0x00dffb01,0x700fffd0,0xf8805fff,0xff1007ff,0xffe800df,
    0x0024001f,0xff002400,0x7ff4009f,0xc81bfe66,0x3fe00fff,0x3ffe2007,
    0x00000fff,0x3ffffe20,0x440000ef,0xffc82fff,0x0bffea06,0x20013ffe,
    0x7402fffb,0xff8807ff,0x3ffe006f,0x7fff4006,0x00024001,0xfff00240,
    0x7ffec009,0x200fff88,0x66407ffd,0x7ffd4004,0x4000003f,0xfffffffd,
    0xffe80005,0x404ffe84,0x7fcc4fff,0xff88002f,0x3ffe605f,0x5fff8804,
    0x01fffa00,0x003fffd0,0x48000048,0x013ffe00,0xfdbfffc8,0x3ffe602f,
    0x3e000006,0x000007ff,0x7d77ffdc,0x40002fff,0x7fc46ffc,0x37fec02f,
    0x0003ffee,0xc807ffec,0xf8800fff,0x3fa004ff,0x7ff4007f,0x0024001f,
    0xff002400,0x7fd4009f,0x6c04ffff,0x00003fff,0x001fffe0,0xffff9800,
    0x01ffffb1,0x07ffd400,0xf700fff7,0x06ffd8ff,0x0fffea00,0x8802fffc,
    0x3a004fff,0x7f4007ff,0x024001ff,0xf0024000,0xfd8009ff,0x7dc05fff,
    0x000006ff,0x0003fffc,0x4fffe880,0x01bfffe2,0x22fff880,0xf9805ffd,
    0x0fffe1ff,0x0dfff000,0x2005fff5,0x2004fff8,0x74007ffe,0x24001fff,
    0x00240000,0x88005999,0x40beffff,0x01ffffd8,0x7ffc0000,0xfb000007,
    0xfff50dff,0x7f40009f,0x00fffe4f,0xff89fffc,0x7e40001f,0x3ffec0ff,
    0x09fff100,0x003fff40,0x0007fffa,0x09000009,0x7f400000,0xeddfffff,
    0x003fffff,0x7fff8000,0xffb80000,0xfff901ff,0x3f20003f,0x03fff36f,
    0x7d53ff60,0xf980007f,0x3ffe23ff,0x3ffe2004,0x1fffa004,0x03fffd00,
    0x80000480,0x99999934,0x99999999,0xc8999999,0xffffffff,0x02ffffff,
    0xfff00000,0xf980000f,0x7f403fff,0xa8000eff,0x0fff77ff,0xfcb7fd40,
    0xfd00005f,0x0fffdcdf,0x09fff100,0x003fff40,0x0007fffa,0x29000009,
    0xfffffffa,0xffffffff,0x3ee7ffff,0xffffd55f,0x00019fff,0x3fffc000,
    0xffd10000,0xfff300bf,0xff1000bf,0x009ffb3f,0x7f47ffc4,0xf700003f,
    0x1bff63ff,0x09fff100,0x003fff40,0x0007fffa,0x29000009,0xfffffffa,
    0xffffffff,0x3ee7ffff,0x09aa9886,0xf0000000,0x40000fff,0x000ffffd,
    0x005ffff7,0xfff7ffd0,0xaffe8005,0x00000fff,0xff17fff1,0xff88007f,
    0x3ffa004f,0x7fff4007,0x00024001,0xffffaa40,0xffffffff,0x7fffffff,
    0x0000004c,0x3ffe0000,0xff500007,0xfe8005ff,0x5c000fff,0x00fffeff,
    0x7ff7fe40,0x7e400006,0x00fffaef,0x027ffc40,0x800fffd0,0x4001fffe,
    0xcccccccc,0xcccccccc,0x005ccccc,0x00000000,0x3e000000,0x880007ff,
    0x8004ffff,0x006ffff8,0x37ffffcc,0x7fffd400,0x4c00004f,0x04ffefff,
    0x04fff880,0x001fffa0,0x0003fffd,0x00000000,0x00000000,0xff800000,
    0xfe80007f,0x2a0006ff,0x4003ffff,0x003fffff,0x05fffff0,0xfffd0000,
    0xf10003ff,0x7f4009ff,0x7ff4007f,0x0000001f,0x00000000,0x00000000,
    0x03fffc00,0x3ffff200,0x7fec0001,0x3f6001ff,0xb0001fff,0x0001ffff,
    0xdffff700,0x3ffe2000,0x1fffa004,0x03fffd00,0x00000000,0x00000000,
    0x80000000,0x20007fff,0x003ffffa,0xeffff880,0xffff7000,0x7ffdc000,
    0xf1000005,0x20007fff,0x2004fff8,0x74007ffe,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6e54c400,0x54c02ccd,0x0002bcdc,
    0x5e6e5d4c,0x2e60000a,0x000acddc,0x2f76ea20,0x1333000a,0x004ccc00,
    0x359bb951,0x6e54c000,0x33000abc,0x982cca83,0x26000999,0x0ccc0999,
    0x00566d44,0x02b372a2,0x22000200,0xfffffffd,0x7fd43fff,0x3fffffff,
    0x7fffdc00,0x0dffffff,0x3fffaa00,0x00cfffff,0x3ffff620,0x200dffff,
    0x2003fff9,0xfd986fff,0xffffffff,0x3ffa6003,0x0dffffff,0x223ffe60,
    0x24fffffe,0x800ffffb,0x220efffb,0xffd51fff,0x883dffff,0xfffffffe,
    0x7ffed402,0xfe9803ef,0xffffffff,0xfff94fff,0xffffffff,0xfffd100b,
    0xffffffff,0xff9005ff,0xffffffff,0xff5001ff,0xffffffff,0x3fe603df,
    0x3ffe003f,0x7ffffcc6,0xdfffffff,0x3fff2200,0xffffffff,0x3fff302f,
    0x7ffffffb,0x405fffe8,0x441ffff9,0xfffa9fff,0x0effffff,0xffffffd1,
    0x3ee07fff,0x6fffffff,0x3bfffea0,0xffecaabc,0xdfffffff,0xffffcbab,
    0x3fffe605,0xfecaabcf,0x7ec06fff,0xebacefff,0x200effff,0xaceffffc,
    0x2ffffeca,0x003fff98,0xfe89bffe,0xecaabeff,0x3206ffff,0xbaceffff,
    0x83ffffed,0xfffcfff9,0x7c40ffff,0x3fa03fff,0xfff883ff,0xdcdffffc,
    0xfe9dffff,0xfffeccef,0x7ffcc0ff,0x3fffcaac,0x807fffd0,0xeffffffc,
    0x7fffb100,0x013fff20,0x205ffff5,0x303ffffa,0x260bfffd,0x3203ffff,
    0x7cc0ffff,0x3fe003ff,0x13ffee6f,0x81ffff98,0x203ffffa,0x4c0ffffd,
    0x9cffffff,0xfff504ca,0xbfff901f,0x3ffffe20,0xffff981f,0xff882eff,
    0x27fec3ff,0x7cc2ffec,0xffd003ff,0x3fa00dff,0x7ffc40ff,0xbfff7005,
    0x05ffff10,0x80ffff98,0xa802fffd,0x7fcc4fff,0x3ffe003f,0x201fff66,
    0x7c44fffb,0xfb801fff,0x7ffcc5ff,0x7ec000ff,0x7ffd45ff,0xffff100f,
    0x7ffdc03f,0x3fea00ff,0xfb01885f,0x1fff907f,0x3ffff200,0x7fff3001,
    0x001fffb8,0xf50dfff1,0x3f600bff,0x7ffd43ff,0x3fff6004,0x00fffe60,
    0x3fe6fff8,0x79dd005f,0x004fffc8,0xf98bfffa,0x88003fff,0xff12ffff,
    0x7fc405ff,0x7fc403ff,0xfff804ff,0xfff51006,0x00775101,0x002fffdc,
    0x53113ffa,0x6fff8007,0x001fffd8,0xfd8379b1,0x3ea000ff,0x3ffe63ff,
    0x9bffe003,0x0001fffe,0x0007fff4,0x7cc9fff5,0x30000fff,0xffb1ffff,
    0xfff8809f,0x1ffff007,0x00fffd00,0x003bfffb,0x4fffa800,0x037fec00,
    0x0dfff000,0x0000ffff,0x2003fff4,0x3e64fff8,0x3fe003ff,0x3fffee6f,
    0xfff0000b,0xdfff000b,0x003fffcc,0x3fbfff20,0xff8806ff,0xffff006f,
    0x01fff600,0x000ffffe,0x3ffb2e60,0x99999bff,0xfc999999,0x7530007f,
    0x88dffffb,0x00006fff,0x2667bffe,0x99999999,0x3e65fff9,0x3fe003ff,
    0x3fffe66f,0x1002ceff,0xd0009fff,0x7ffccfff,0xffe80006,0x8800ffff,
    0xff005fff,0x3ff600ff,0x7f654407,0xb75002ff,0xfffffffd,0xffffffff,
    0xffffffff,0x5d4403ff,0xffffffed,0x7fc46fff,0xf100005f,0xffffffff,
    0xffffffff,0x7ffccdff,0x1bffe003,0xfffffff3,0x2a017bff,0xd8003fff,
    0xfff30fff,0xff30000b,0x22005fff,0xff004fff,0x3ff600df,0x3ffcc007,
    0xfffffb10,0xffffffff,0xffffffff,0xffffffff,0xfff9105f,0xffffffff,
    0xff98dfff,0xf500004f,0xffffffff,0xffffffff,0x7ffccfff,0x1bffe003,
    0x3fffffa6,0xb84fffff,0xc8002fff,0xfff31fff,0x3f600009,0xf1000fff,
    0x3fe009ff,0xfffb006f,0x03ffd000,0xffffffd1,0xff517bdf,0xdddddddf,
    0xdddddddd,0xffff985d,0x1cdfffff,0xff98dfff,0xf500004f,0xddddddff,
    0xdddddddd,0x3fe61ddd,0x3ffe003f,0x3ffb2606,0x0effffff,0x000bffee,
    0x7cc7fff2,0x980004ff,0x005fffff,0x2009fff1,0xfb006fff,0x82e644ff,
    0x7cc3fff8,0x01bcffff,0x0005fff5,0x7ffffc40,0xfff00acd,0x05fff88d,
    0x9fff3000,0x7fcc0000,0x3ffe003f,0xffb71006,0x7d4fffff,0xfd8003ff,
    0x9fff30ff,0xffe88000,0x8803ffff,0xff004fff,0x3ff600df,0x6427ffc7,
    0x7fec1fff,0xffb800df,0x3600003f,0x8800efff,0xfff86fff,0xff004006,
    0x4c0000bf,0xf1003fff,0x26000dff,0xf31ffffd,0xfd0009ff,0x27ffccff,
    0x3fff6000,0x401ffffc,0xf004fff8,0x3f600dff,0x77ffdc7f,0x45ffffcc,
    0x000ffff8,0x8009fff7,0x1ffff018,0x1bffe600,0xd001fffa,0x7fff8bdf,
    0xff300800,0x3fe6009f,0x3600086f,0x3ffe4fff,0x7ffc4005,0x013ffe67,
    0x56fffa80,0xf880dfff,0xfff004ff,0x1fff600d,0x3ffffff2,0x7fd40dff,
    0x3ffa004f,0x3fe2006f,0xbfff30ff,0x37ffdc00,0x8017ffec,0x7ec5fff8,
    0x3e6002ff,0x3ffe25ef,0xdfff7005,0x4007ffaa,0x3fa5fff9,0x3ee001ff,
    0x3ffe64ff,0xfff10004,0x27ffec3f,0x009fff10,0x6c01bffe,0xfd9307ff,
    0x3ee05bdf,0xff9004ff,0x32005fff,0x3fea5fff,0xffd1005f,0xdfff30df,
    0x0bffee00,0x400dfff5,0x7fc3fffd,0x7f4400ff,0x9fff36ff,0x8fffea00,
    0x1005fffb,0x7cc3ffff,0xfb0004ff,0xfff887ff,0x9fff101f,0x01bffe00,
    0x0003ffec,0x01ffff30,0xffffffa8,0x7ffcc02f,0x3fffe22f,0x7fff4401,
    0x7fffb07f,0x0ffff880,0x804fffd8,0x740ffffb,0x3a204fff,0x3fe6ffff,
    0xffe801ff,0x1ffff41f,0x237ffec0,0x8004fff9,0xf706fffb,0xff101dff,
    0x3ffe009f,0x0fffb006,0x7ffc4000,0xfff7304f,0x17ffff9d,0x0bfffd50,
    0x201bffff,0x7fffffe9,0x0bffff10,0x40bfffaa,0x81effff9,0x83ffffc9,
    0x21cffffa,0xfffffea8,0x0bffff26,0x437ffe44,0x80dffff9,0x40ffffe9,
    0x4004fff9,0x201ffff9,0xf884fffd,0xfff004ff,0x1fff600d,0xfff50000,
    0xfffb79ff,0x7ffd49ff,0xffedcfff,0xfff505ff,0xffd779ff,0x1fffbbff,
    0x3ffffee0,0xffffedce,0x7fffdc04,0xffffddff,0x3ffe04ff,0xfffeffff,
    0x6c6ffccf,0xcceeffff,0x01effffe,0xbdfffff9,0x5ffffffb,0x009fff30,
    0x404fffe8,0x442ffff8,0xff004fff,0x3ff600df,0xfc800007,0xffffffff,
    0xfff982ff,0xffffffff,0x3fff200d,0xffffffff,0x407fff32,0xffffffe9,
    0x3004ffff,0xfffffffd,0x8809ffff,0xfffffffe,0x8dff93ff,0xffffffe8,
    0x00dfffff,0x7fffff54,0x01efffff,0x4009fff3,0x7006fffc,0x7c41ffff,
    0xfff004ff,0x1fff600d,0x7f4c0000,0x0cdfffff,0x3fffb260,0x3001dfff,
    0xfffffffd,0x06fff819,0xfffffec8,0xeb8001df,0xcfffffff,0x3fff2000,
    0x3f22dfff,0xfffd506f,0x007dffff,0x7ffff644,0x7cc03eff,0xff3004ff,
    0x7ec003ff,0x3ffe25ff,0x0dfff004,0x001fff60,0x35531000,0x2aa62000,
    0x53100009,0x00000135,0x00135531,0x06aaa600,0x03551000,0x55531000,
    0x53100003,0x00000155,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02666200,0x44266600,0x33100199,0x26660013,0x2a206660,0x2200abdc,
    0x99999999,0x99999999,0x00008809,0x00002606,0x31000000,0x02aaa200,
    0x0732e000,0xccb8b32a,0x001cca81,0x51020001,0xfff10555,0xfff8800d,
    0x003fff95,0x3009fff9,0x3fe27fff,0xffffd31f,0x3ea0bfff,0xffffffff,
    0xffffffff,0x00077446,0x33f22fcc,0x00000001,0x802fe4c0,0x0002fff9,
    0x7cc37fcc,0x1bfea0ff,0x1003ffe6,0x0ed800bd,0x203fffe2,0x2000fffd,
    0xff51fffb,0xfffd007f,0x1fff700f,0x3e67ffe2,0xffffffff,0x7ffd41ef,
    0xffffffff,0x26ffffff,0xb50effe8,0x263bdffd,0x3ff25fff,0x000002ef,
    0x7ffed400,0x5fff3005,0x7ff44000,0xe84ffe82,0x5ffc84ff,0x017ffa20,
    0xf8877fec,0xffa80fff,0x3ffa003f,0x202fffc6,0x00fffff8,0xff137fec,
    0x99dfff9f,0x8dfffffb,0xeeeeeee9,0xffcdeeee,0x3ffa24ff,0xfffffeef,
    0xffffdfff,0x3fffff24,0x000000cf,0xfffff710,0x3fe600bf,0x3f60002f,
    0x07ffb86f,0xf883fff3,0xfff302ff,0xfffc80bf,0x1ffff12f,0x401bffe0,
    0x7ec4fff9,0x3fea00ff,0x3e203fff,0x3ffe23ff,0xff902eff,0xd80003ff,
    0xfe885fff,0xffffffff,0x4fffffff,0x7ffffe4c,0x00001dff,0xfffffb30,
    0x26003bff,0x50002fff,0xff983fff,0x1bff202f,0x5403ffee,0xf905ffff,
    0x7fc45fff,0xfff900ff,0x1fff9003,0x202fffa8,0x05fffffd,0xf887ffea,
    0x6c00ffff,0x20004fff,0x100efffc,0x59dffffd,0x9fffff97,0x7fff5c40,
    0x0003efff,0xfffffd50,0x980017df,0x88002fff,0xffe84fff,0x27ffc406,
    0xf502fff4,0xffc8bfff,0x0ff102ff,0x4027ffcc,0xff886fff,0x37ffe04f,
    0x3ff207ff,0x1ffffc46,0x037ffcc0,0x0ffffb80,0x827fff40,0x004fffe8,
    0xffffffb3,0xc880019f,0xdfffffff,0x3fe60002,0xffd8002f,0x0fffe40f,
    0x217ffdc0,0x2a03fffa,0xff95ffff,0x2fd405ff,0x501fffa0,0x3fa05fff,
    0x3fff306f,0x3fe03fff,0x3fffc44f,0x06fff880,0x1ffffa80,0x027ffcc0,
    0x0007fff4,0xffffff71,0xfd9805bf,0x0cffffff,0xfff98000,0x7ffdc002,
    0x027ffcc3,0xd81fffd0,0x3ea01fff,0xffffffff,0x2027e402,0x3601fffb,
    0xff700fff,0x2bff701f,0xff983fff,0x37ffc41f,0x00dfff00,0x02ffff98,
    0x3006ffd8,0x20005fff,0xffffffda,0xffd710be,0x005bffff,0x2fff9800,
    0x1bffe600,0x001fffd1,0x262fffd4,0x7d406fff,0x02ffffff,0x22017fd4,
    0xff104fff,0x7ffcc09f,0xfb3ffd82,0x0fff90bf,0x400bfff1,0x22007ffe,
    0xd003ffff,0x7fc009ff,0x6440003f,0x95ffffff,0x39ffffff,0x3fff2000,
    0xffffffff,0xffffffff,0x90bfffa5,0xb0007fff,0xffc85fff,0x7ffd404f,
    0x7fcc02ff,0x0fffb003,0xd007ffea,0x3fff0bff,0x3fa1ffee,0x4fff884f,
    0x01fffa00,0x02ffff44,0x4007fff0,0x00005ffe,0x657fffaa,0x0002ffff,
    0xffffffc8,0xffffffff,0x365fffff,0x7fe43fff,0xffe8004f,0x1fffec1f,
    0x3fffff60,0x2002d805,0xfe82fffa,0x7ffc806f,0xff33ffcc,0x17ffc43f,
    0x0027ffc4,0x3600fffd,0x74006fff,0x3fa003ff,0xb500004f,0x3f2bffff,
    0x0002efff,0x7fffffe4,0xffffffff,0x225fffff,0x7f40ffff,0x3ea000ff,
    0x7ffcc4ff,0x7fffec05,0x00005fff,0x7c45fff8,0xff9803ff,0xf17ff21f,
    0x3ffdc7ff,0x004fff88,0x3201fffa,0x4000efff,0x3e005ffd,0x220003ff,
    0xfffffffb,0xffffff73,0x9500019f,0xfb999999,0x99999bff,0xfffa8599,
    0x02fffcc4,0xe86fff88,0x3f600fff,0xffffcfff,0x7e400005,0x3ffee0ff,
    0x47fff000,0x7fec2ffe,0x4417ff65,0x3a004fff,0x7fdc07ff,0xfc8001ff,
    0xffc801ff,0xfd98001f,0x0befffff,0x7ffff5c4,0x00002dff,0x000bffe6,
    0xf703fff6,0xff9003ff,0x2fffa83f,0x4bffff20,0xb05ffffa,0x9801ffff,
    0x3ffa3fff,0x5bff6005,0x7dc0fff8,0x05fff17f,0x8013ffe2,0x3ea07ffe,
    0x10001fff,0x4c01dfff,0x22006fff,0xffffffeb,0xffb5002d,0x017dffff,
    0x2fff9800,0x5ffe8800,0x4406ffe8,0x7fc43fff,0x3fff205f,0x7fffd42f,
    0x4fffe885,0xf35ffe80,0x7d4005ff,0x86ffa8ff,0xffa9fff9,0x9fff100f,
    0x83fff400,0x003ffff9,0x17fffec0,0x0bffff22,0x3ffff260,0x0001cfff,
    0xffffff91,0x2600039f,0x30002fff,0xff883fff,0x1bff603f,0x6403fff2,
    0xf502ffff,0xff10bfff,0xffb801ff,0x00fffc8f,0x32bffe20,0x7fff04ff,
    0x7c40bff9,0x3fa004ff,0xffff987f,0x7fd40004,0xfeefffff,0x00efffff,
    0xffffffd5,0x2000017d,0xfffffeb8,0x7cc002ef,0x320002ff,0xfffb86ff,
    0x40fffa80,0xf502fff8,0xfa805fff,0xffa82fff,0x7ffc403f,0x8004ffea,
    0x2ffecffd,0xfffdff90,0x27ffc407,0x88fffd00,0x0005fffe,0x7fffffd4,
    0xffffffff,0x3ea0efff,0x2dffffff,0x6d400000,0x3fffffff,0x05fff300,
    0x82ffe800,0xffe84ffd,0x404ffd83,0xf5002ffb,0x3ffdc07f,0x7ff7fec0,
    0xffb8001f,0xf500ffff,0x401fffff,0x2004fff8,0x7ff47ffe,0x7cc0005f,
    0xffeabfff,0xfdadffff,0x3fff26ff,0x00001cff,0x7ffe4400,0xff3005ff,
    0xf980005f,0x7ffc40ff,0x2617fee1,0x057006ff,0xfc803a80,0x7ffd402f,
    0xf10006ff,0x440dffff,0x406fffff,0x2004fff8,0x3ff67ffe,0x999998ef,
    0x99999999,0x750fff20,0xffd83599,0x02fbff21,0x10000000,0x200bffd7,
    0x0002fff9,0xa980aa98,0x202aaa1a,0x00000aa9,0xf8000000,0x0003ffff,
    0x013ffffa,0x807ffffd,0x2004fff8,0xfff17ffe,0xffffffff,0xffffffff,
    0x20003c89,0x0016e42d,0xa8000000,0xfff3005d,0x00000005,0x00000000,
    0x64000000,0x0000ffff,0x00bffff2,0x803ffff9,0x2004fff8,0xfff17ffe,
    0xffffffff,0xffffffff,0x10000009,0x00000000,0x00000200,0x00000000,
    0x00000000,0x3fe60000,0x7cc0005f,0x7d400fff,0xff8806ff,0x3ffa004f,
    0xffffff17,0xffffffff,0x009fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x0004ccc9,0x00009988,
    0x00004cc4,0x004c0001,0x54009980,0xcccccccc,0xcccccccc,0x99952ccc,
    0x99999999,0x99999999,0x2004c405,0x3ba1eeee,0xdddd11ee,0x00155301,
    0x00135531,0x1fff9088,0x0007ffe8,0x3fea0000,0xfe80007f,0xfc88006f,
    0x00cfffff,0x77fffe4c,0x7ff5400c,0xf3000dff,0xfffc80bf,0xffffffff,
    0xffffffff,0xffffff95,0xffffffff,0x50bfffff,0x205dfffd,0x3fe1ffff,
    0xffff11ff,0x401ff901,0xffffffe9,0xb1e9802d,0xffe81fff,0x3fffff27,
    0x007fffff,0x07fffa80,0x7fffcc00,0x3ffe2002,0x0fffffff,0xffffff50,
    0x3f205fff,0x2fffffff,0x404ff880,0xfffffffc,0xffffffff,0xff95ffff,
    0xffffffff,0xffffffff,0xffffc8bf,0xfff84fff,0x47fffe1f,0xf80ffff8,
    0x3ffee06f,0xffffffff,0x8ffdc41c,0x7f40fffd,0x3ffff27f,0x07ffffff,
    0x7fffa800,0x7ffec000,0x3ffa005f,0xfffb99ce,0xbefff985,0x40ffffdb,
    0xfedffffb,0x7c400fff,0x7ffe403f,0xffffffff,0xffffffff,0xffffff95,
    0xffffffff,0x54bfffff,0xfea8aeff,0x0ffffc2f,0x3e23ffff,0x7fcc0fff,
    0x3fe20bef,0xffffffff,0xfedeffff,0xfffb1fff,0x327ffe81,0xffffffff,
    0x980007ff,0x20004ccc,0x1ffffff8,0x80fff980,0xffc87ff8,0x22fff986,
    0x260bfff8,0x0e745ffd,0x016d47ff,0x17ffa000,0x3fa00000,0xff8ffd06,
    0x3fffe1ff,0x81ffff11,0x25ffeba8,0xdbcefff8,0xffffffff,0x31ffffff,
    0x55530555,0x7777775c,0x0005eeee,0x7e400000,0x805ffdef,0x3fe03ca8,
    0x80e6540f,0x3ff22ffe,0x23fff105,0xfeaefff9,0x005fffcb,0x02fff400,
    0x3fe20000,0x7c1ff502,0x3ffe1fff,0x1ffff11f,0x887ffcc0,0xfca881ef,
    0xffffffff,0x0000002f,0x00000000,0x7d5fffc0,0x220000ff,0x001fffb9,
    0x3f63ffc4,0x4bff201f,0xfffffffb,0x00ffffff,0x17ffa000,0xff300000,
    0xfd0ffc01,0x3fff41ff,0xd981fffe,0x01b10fff,0xffffb710,0x000001bd,
    0x3fea0000,0xffffffff,0xffffffff,0x1fff707f,0x44013ffa,0xfffffeca,
    0x7ec001ff,0x007ff44f,0x65447ff7,0xbdfffffe,0xfe800001,0x4000005f,
    0xff502ff8,0x3637fe41,0x37fec6ff,0xfffffdd7,0x2660000b,0x00000000,
    0xffffa800,0xffffffff,0x7fffffff,0x7dc9ffd0,0xfffa807f,0xffffffff,
    0xfffb1001,0x200fff83,0xfd104ffa,0x000005ff,0x0005ffe8,0xb05ff800,
    0x45ffb8ff,0x7fe45ffb,0x3fffff24,0x000000df,0x00000000,0xfffffa80,
    0xffffffff,0x87ffffff,0x3e21fffa,0x3fea03ff,0xfd1abeff,0xffd3003f,
    0x01fff03f,0xfe827fdc,0x0002ffdf,0x457ffa00,0x99999999,0x99999999,
    0x3fea0999,0x85ffb52d,0x7fd44ff9,0x971ffd43,0x00039bdd,0x00000000,
    0x664c0000,0xcccccccc,0xcccccccc,0x86ffd84c,0x3f606ffd,0x3fff00df,
    0x0efffb80,0x6403ffb0,0xbffd82ff,0x0001fff8,0x32bffd00,0xffffffff,
    0xffffffff,0x7fec5fff,0x884fffff,0x17fc42ff,0x00007fe6,0x00000000,
    0x00000000,0xfff30000,0x05fff307,0x7d407ffe,0x3ff201ff,0x27fe404f,
    0xfb83fff0,0x03ffea7f,0x3ffa0000,0xffffff95,0xffffffff,0x50bfffff,
    0x405fffff,0x30198099,0x00000003,0x00000000,0x00000000,0x201fff90,
    0xffd05ffe,0x3ffff107,0x07fffd10,0x885fff30,0xffa86ffc,0x0006fec2,
    0xcafff400,0xffffffff,0xffffffff,0x2a205fff,0x00000000,0x00000000,
    0x00000000,0x7fffa800,0x13ffe200,0xc81fffb8,0xfda9cfff,0xfd82ffff,
    0x3f2001ff,0xfffcbeff,0x7107101f,0x4c400000,0x33333109,0x33333333,
    0x01333333,0x00000000,0x00000000,0x00000000,0x3ffea000,0x3ffee007,
    0x13ffe201,0x3fffffe2,0x43ffbdff,0xfffffffc,0x7444ffff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd40000,
    0x3ffe007f,0x0fffc806,0xeffffd88,0xff8dff12,0xffffffff,0xfff704ff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x200ffff5,0x9803fffa,0x26203fff,0x99930009,0x99999999,0x0aa98059,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa20000,
    0x9997002a,0x0f32e001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26620000,0x99999999,
    0x99999999,0x50999999,0x77777777,0x77777777,0x77777777,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,
    0xffffffff,0xffffffff,0xf92fffff,0xffffffff,0xffffffff,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff200,0xffffffff,0xffffffff,0xff92ffff,0xffffffff,0xffffffff,
    0x05ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2eeeeea0,0xbbbbbbbb,0xbbbbbbbb,0x11111bbb,0x11111111,
    0x11111111,0x00011111,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_48_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,2,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,4,1,3,
3,3,3,2,3,1,3,1,1,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_48_latin1_y[224]={ 38,7,7,6,4,6,6,7,6,6,6,12,33,24,
33,6,7,7,7,7,7,7,7,7,7,7,15,15,12,16,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,43,7,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,15,7,6,12,7,
6,6,7,6,6,17,16,24,6,2,6,12,6,6,7,15,7,20,37,6,6,17,6,6,6,15,-1,-1,-1,0,
1,0,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,13,6,-1,-1,-1,1,-1,7,6,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,14,14,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_48_latin1_w[224]={ 0,6,13,24,21,34,27,6,11,11,15,21,6,12,
6,12,21,13,21,21,22,22,21,20,22,22,6,6,21,21,21,21,41,30,24,28,26,24,22,29,25,5,18,26,
20,30,25,30,24,31,28,26,25,25,29,41,29,29,26,10,12,10,19,26,9,22,21,21,20,22,14,21,19,5,
9,20,5,32,19,22,21,20,13,19,12,19,21,31,22,22,21,13,5,14,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,20,23,22,25,
5,21,13,32,16,19,21,12,32,26,13,21,14,14,9,19,24,6,10,8,15,19,34,34,36,21,30,30,30,30,
30,30,41,28,24,24,24,24,9,9,14,12,30,25,30,30,30,30,30,19,31,25,25,25,25,29,24,22,22,22,
22,22,22,22,36,21,22,22,22,22,9,9,14,12,22,19,22,22,22,22,22,21,22,19,19,19,19,22,21,22,
 };
static unsigned short stb__arial_48_latin1_h[224]={ 0,31,12,33,39,34,33,12,42,42,14,22,12,5,
5,33,32,31,31,32,31,32,32,31,32,32,23,30,22,14,22,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,35,31,33,31,32,31,31,31,31,31,40,33,40,18,4,6,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,32,40,33,22,31,
42,42,5,33,17,20,14,5,33,4,13,26,17,18,6,32,40,6,10,17,17,20,34,34,34,32,39,39,39,38,
37,38,31,41,39,39,39,37,39,39,39,37,31,38,40,40,40,39,38,19,34,40,40,40,38,39,31,33,32,32,
32,32,32,33,24,32,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,18,26,32,32,32,32,41,40,41,
 };
static unsigned short stb__arial_48_latin1_s[224]={ 255,249,165,207,32,65,1,179,1,13,91,
164,246,235,244,147,1,46,24,114,101,159,182,205,1,24,246,239,142,129,120,
128,88,124,180,160,87,155,1,117,226,244,82,60,1,22,82,212,133,1,53,
1,153,41,103,61,31,1,206,237,243,104,23,1,246,38,106,61,150,83,67,
29,177,250,176,114,233,206,55,146,171,213,169,126,93,106,1,23,183,94,75,
53,67,73,197,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,179,255,248,1,
232,97,228,47,25,221,28,43,186,107,235,61,28,151,202,60,239,246,235,22,
248,186,247,75,206,172,137,100,204,120,89,1,146,202,115,135,186,151,229,176,
177,54,64,74,231,197,32,47,198,167,1,84,226,33,78,115,141,58,201,108,
189,74,226,47,120,212,233,1,92,69,97,166,143,158,168,178,193,51,133,70,
189,23,136,46,1,224,193,234,1,21,130,215,153, };
static unsigned short stb__arial_48_latin1_t[224]={ 1,269,513,165,85,165,235,513,1,1,513,
489,489,513,117,201,269,368,368,269,335,269,269,335,302,302,400,400,489,513,489,
302,1,335,335,201,368,335,368,201,335,85,335,368,400,400,400,201,400,165,400,
201,432,335,432,432,432,432,400,1,201,44,513,532,502,464,302,464,302,464,335,
235,368,85,1,368,400,464,489,464,302,302,464,464,302,464,489,489,464,201,489,
1,1,1,513,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,
432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,1,1,44,
165,489,368,1,1,513,201,513,489,513,513,201,532,513,432,513,464,424,235,44,
34,513,432,513,489,165,165,165,269,85,85,85,125,125,125,368,1,85,44,85,
125,85,85,85,85,368,125,44,44,44,125,125,489,165,44,44,44,125,85,400,
201,235,269,302,235,235,125,464,269,269,235,235,235,400,400,400,400,235,432,302,
235,269,269,269,513,432,302,302,335,335,1,1,1, };
static unsigned short stb__arial_48_latin1_a[224]={ 191,191,244,382,382,611,459,131,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,191,191,401,401,401,382,698,459,459,496,496,459,420,535,
496,191,344,459,382,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,191,191,191,323,382,229,382,382,344,382,382,191,382,
382,153,153,344,153,573,382,382,382,382,229,344,191,382,344,496,
344,344,344,230,179,230,401,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,191,229,382,382,382,382,179,382,
229,507,254,382,401,229,507,380,275,377,229,229,229,396,369,191,
229,229,251,382,573,573,573,420,459,459,459,459,459,459,687,496,
459,459,459,459,191,191,191,191,496,496,535,535,535,535,535,401,
535,496,496,496,496,459,459,420,382,382,382,382,382,382,611,344,
382,382,382,382,191,191,191,191,382,382,382,382,382,382,382,377,
420,382,382,382,382,344,382,344, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_48_latin1_BITMAP_HEIGHT or STB_FONT_arial_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_48_latin1(stb_fontchar font[STB_FONT_arial_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_48_latin1_BITMAP_HEIGHT][STB_FONT_arial_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_48_latin1_s[i] + stb__arial_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_48_latin1_t[i] + stb__arial_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_48_latin1_x[i];
            font[i].y0 = stb__arial_48_latin1_y[i];
            font[i].x1 = stb__arial_48_latin1_x[i] + stb__arial_48_latin1_w[i];
            font[i].y1 = stb__arial_48_latin1_y[i] + stb__arial_48_latin1_h[i];
            font[i].advance_int = (stb__arial_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_48_latin1_s[i] + stb__arial_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_48_latin1_t[i] + stb__arial_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_48_latin1_x[i] + stb__arial_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_48_latin1_y[i] + stb__arial_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_48_latin1_LINE_SPACING
#endif

