// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT        434
#define STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_41_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_41_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_41_latin1_LINE_SPACING          27

static unsigned int stb__arial_bold_41_latin1_pixels[]={
    0x445dddb0,0x9880eeee,0x00000999,0xeeeee880,0x2f75c001,0x04ccccc0,
    0x013bae00,0x2f332a20,0x98800002,0x22001999,0x99999999,0x2aa20000,
    0x02accdcb,0x01dddb00,0x03b99510,0x33333330,0x43333333,0x3a00eeed,
    0x3fe23fff,0xfffb80ff,0x8000003f,0x003ffffc,0x401fffc4,0x005ffffc,
    0x800fffcc,0xffffffc8,0x200003ff,0x004ffffd,0x3fffffea,0x5c4003ff,
    0xfffffffe,0x002dffff,0x8803fffa,0x02fffffc,0xffffff91,0xffffffff,
    0x03fffa3f,0x223fffe8,0xfb80ffff,0x00003fff,0x27fffc40,0x07ffe400,
    0x0ffffd80,0x02fff400,0x7fffff44,0x005fffff,0x5ffff980,0x7fffd400,
    0x3003ffff,0xfffffffb,0xffffffff,0xffd003df,0x7fff401f,0xffb82fff,
    0xffffffff,0x1fffffff,0x7401fffd,0x3fe23fff,0xfffb80ff,0x4000003f,
    0x8004fffb,0x4005fff8,0x4004fffd,0x6c01fffb,0xffffffff,0x0004ffff,
    0x002fffe4,0x7fffffd4,0xffb803ff,0xceefffff,0xfffffedc,0x7ff404ff,
    0xffff500f,0xffa85fff,0xffffffff,0xffffffff,0x401fffd1,0x3221cccb,
    0xffb80ccc,0x000003ff,0x8002fffc,0x8001fffc,0x2000fffe,0x2205fff8,
    0x99cfffff,0x00fffffc,0x0dfff100,0x3fffea00,0x2202cccd,0x1cfffffd,
    0xfffea980,0x3fffa06f,0xfffffb00,0x7ffc4399,0xffffffff,0xffffffff,
    0x001fffd1,0xfffb8000,0x2000003f,0x10004cc9,0x2000dfff,0x4003ffe8,
    0xf501fffc,0xffb0bfff,0x320005ff,0x50000eff,0x2005ffff,0x02ffffe8,
    0x3fffee00,0x01fffd04,0x403ffffa,0xfffffffb,0xffaacfff,0xffd0abff,
    0x8000001f,0x003ffffb,0x40000000,0x0004fffd,0x50002662,0x3ea0dfff,
    0xcea87fff,0x310001ac,0x7d400013,0xfb002fff,0x00001dff,0xd07fffb1,
    0x3fe01fff,0x3ff205ff,0xffffffff,0xd07fffe2,0x00001fff,0x3ffffb80,
    0x00005544,0x3fe60000,0x999881ff,0x26620019,0x7ffc4099,0xffff882f,
    0x2000004f,0x00abcca9,0x17fffd40,0x02fffd40,0x7c4006a2,0x7ff40fff,
    0x9ffff00f,0x7fffff40,0x3e2fffff,0x7ff41fff,0x3fffee0f,0xffffc805,
    0x27ffff74,0x4fffffe9,0x17fffee0,0x13ffff20,0x2a0ffff7,0x2007ffff,
    0xd84ffffd,0xffb06fff,0x0001bfff,0x3ffffb20,0x00dfffff,0x02ffffa8,
    0x982fffc4,0x54ffffec,0x3e65ffff,0x7fff43ff,0x09ffff00,0x7ffffffc,
    0x3fe2ffff,0x7fff41ff,0x3ffffe20,0x7ffff400,0x77ffff71,0xffffffff,
    0xffff101b,0xfffe801f,0x2ffff41f,0x07ffffa8,0x13ffff60,0x203fffee,
    0xfffffff8,0x3fa60002,0xffffffff,0x5403ffff,0x6c02ffff,0xffa80fff,
    0xcdffffff,0x3f20ffff,0x07fff46f,0x204ffff8,0xfffffffe,0x3ffe2fff,
    0x07fff41f,0x80fffff6,0x2e6ffff9,0xffffffff,0x6fffffff,0x07ffffb0,
    0x237fffcc,0x503ffff8,0x400fffff,0xa84ffffd,0xe882ffff,0xdfffffff,
    0x7ffdc000,0xffffffff,0x00efffff,0x405ffff5,0xfb83fff8,0xffffffff,
    0x446fffff,0x3ffa1fff,0x7ffff00f,0x7ffffe40,0x3e2fffff,0x7ff41fff,
    0x7fffd40f,0x3fffee05,0x3ffffee3,0xffecbcff,0xffa83fff,0x3fee05ff,
    0x7ffd43ff,0xffff502f,0x7ffec00f,0xffff984f,0x7ffff444,0x02ffffff,
    0xffffff50,0xffffdfff,0x2a0dffff,0x2e02ffff,0xfffb86ff,0xfff712ef,
    0xfff0bfff,0x407fff45,0x203ffff8,0xfffffff9,0x3ffe2fff,0x07fff41f,
    0x03ffffe2,0x707ffff4,0x03dfffff,0x81fffff9,0x00fffff8,0xc81ffffd,
    0xf502ffff,0x6c00ffff,0xf884ffff,0x3fa26fff,0xffffceff,0x74404fff,
    0x0affffff,0x7ffffe4c,0xffffa84f,0x113ffa02,0x2e0dffff,0xd83fffff,
    0x3fffa3ff,0x2ffffa80,0x7ffffec0,0x3fe2ffff,0x7fff41ff,0x3ffffc80,
    0x45ffff98,0x02fffffb,0x20fffffe,0x983ffffc,0xfd85ffff,0xff501fff,
    0x7ec00fff,0xfff04fff,0x7fffd4ff,0xffffff50,0x7ffe40bf,0x74c00dff,
    0x540fffff,0xf302ffff,0xfffc83ff,0xffff101f,0x49ff903f,0xfc80fffe,
    0x6c400fff,0xffffffff,0xd07fffe2,0xff301fff,0xfff70bff,0xffffb85f,
    0x7fffdc06,0x5ffff984,0x82ffffb8,0x500ffffe,0x400fffff,0xd04ffffd,
    0x3f21ffff,0x7fec45ff,0xf984ffff,0x2006ffff,0x45fffff8,0x502ffffa,
    0xfff88dff,0x7fff404f,0x24ffc80f,0xffb82aaa,0x3ae006ff,0x22ffffff,
    0x7f41ffff,0xfffd00ff,0xffffe81f,0x2ffffdc0,0x17fffe60,0x207ffff4,
    0xe80ffffe,0x3ea07fff,0x36007fff,0xfb04ffff,0x3ffa1fff,0xffff706f,
    0xfffc85ff,0x7e4001ff,0x3ea1ffff,0xff702fff,0x0ffffb8b,0x837fff40,
    0xfd803ffe,0x002fffff,0x2ffffa88,0xfd07fffe,0x3fee01ff,0x3ffe23ff,
    0xffffb85f,0x7fffcc04,0x7ffff707,0x82ffffc4,0x2a06ffff,0x2007ffff,
    0x904ffffd,0x3f63ffff,0xff301fff,0xffe8bfff,0xf88005ff,0x3ea2ffff,
    0xffb02fff,0x07fffd89,0x884ffff8,0xff802fff,0x0003ffff,0xff17fffc,
    0xfffe83ff,0xbffff100,0x417fffdc,0x403ffffb,0x107ffff8,0x7dcbffff,
    0xfff02fff,0x7ffd40bf,0x3ff6007f,0xfff704ff,0x3fffea3f,0xfffd101f,
    0x7ffffc4f,0xfffd0003,0x7fffd47f,0xe87ffd02,0x7c405fff,0xffa83fff,
    0xffff800f,0xff80004f,0x3fffe2ff,0x007fff41,0x3a1ffffb,0xff707fff,
    0xff8809ff,0x3ff606ff,0xffffd0ff,0x037fffc0,0x00fffff5,0x827fffec,
    0xf10ffffc,0x207fffff,0x3e67fffb,0x0002ffff,0x54bffffb,0xfd02ffff,
    0x4ffff85f,0x0ffffd40,0xf8037fe4,0x003fffff,0xf17fffc0,0xffe83fff,
    0x3ffea00f,0x4ffff8bf,0x0bffff70,0x05ffff98,0x22ffffea,0x3a04ffff,
    0x3ea06fff,0x36007fff,0xf904ffff,0xfffd8fff,0x7d40dfff,0x3ffe66ff,
    0xf90001ff,0x7fd4dfff,0x7ffb02ff,0x01ffffc4,0x2a1ffff6,0xfb002fff,
    0x005fffff,0xf17fffc0,0xffe83fff,0x7fffc00f,0x01ffffbd,0x01fffff7,
    0x027fffdc,0x3ef7fffe,0x3fa01fff,0x3fea07ff,0x3f6007ff,0xffb04fff,
    0xffffb0df,0x7fec5fff,0x3fffea4f,0xff70000f,0x7ffd4fff,0x89ff902f,
    0x2604ffff,0x7c46ffff,0x2aaa86ff,0x37fffdc4,0x5ffff000,0x3a0ffffc,
    0x7e400fff,0x6fffefff,0x3ffffee0,0x3ffffe03,0x7fffe403,0x6c06fffe,
    0xf500ffff,0x6c00ffff,0xfb04ffff,0x3ff60bff,0xfcdfffff,0x3fea1fff,
    0x70000fff,0x7d4fffff,0xff702fff,0x06fffe8b,0x893ffff6,0xfe82fffe,
    0xfffe80ff,0xfff0000f,0x0ffffc5f,0x3003fffa,0xffffffff,0x7fffdc07,
    0x7fec43ff,0xff9807ff,0x03ffffff,0x807fffdc,0x007ffffa,0x40fffff6,
    0x2e03fffe,0xffffffff,0x7fc41fff,0x90001fff,0x7d4dffff,0xff502fff,
    0x2ffffc8f,0x3fffffb8,0x209fffd3,0xfa80fffe,0xf0001fff,0x7ffc5fff,
    0x07fff41f,0x7fffff40,0x3fee00ff,0xdcefffff,0x03ffffff,0xffffffd0,
    0xfff9801f,0xffff501f,0x7ffec00f,0xffff883f,0x7fff4c02,0xf02fffff,
    0x0005ffff,0xa97ffff6,0xf102ffff,0x7ffc45ff,0xffebaeff,0xffefffff,
    0x3ffa04ff,0xffff880f,0xffff0003,0x20ffffc5,0xb800fffe,0x05ffffff,
    0x7fffffdc,0xffffffff,0x3fee006f,0xf005ffff,0x3e607fff,0x36007fff,
    0xf983ffff,0xf9001fff,0x03ffffff,0x00fffffa,0x1fffff40,0x405ffff5,
    0x7fdc6ffd,0xffffffff,0xffffffff,0x7fff402f,0x07ffff00,0x8bfffe00,
    0x7f41ffff,0xff8800ff,0x5c02ffff,0xffbbffff,0x0dffffff,0x3fffe200,
    0xffd002ff,0x3ffe60bf,0x3ffa007f,0xfffb83ff,0x7ff4c007,0xfd80ffff,
    0x98006fff,0x2a2fffff,0x2a02ffff,0x7fdc2fff,0xf9dfffff,0x1fffffff,
    0x00fffe80,0x0009ffff,0xff8bfffe,0x7fff41ff,0xffffb000,0xffff700f,
    0x3ffffa67,0xffb0003e,0x7dc00fff,0xfff107ff,0x3fe003ff,0xffd82fff,
    0xff90004f,0xff709fff,0xe8007fff,0x2a0fffff,0x7c02ffff,0x6e440fff,
    0x3f662cef,0xaa880ace,0x01fffd1a,0x0013fffe,0xff17fffc,0xfffe83ff,
    0xffffb000,0xffff7009,0x000a9887,0x27fffec0,0x07fffe00,0x037ffffc,
    0x0fffffd4,0x200ffffc,0xffff7029,0xfffff10d,0x3fea001f,0x7fd44fff,
    0x7fcc02ff,0x000000ef,0x3a1fffd1,0xfff00fff,0x3fe0009f,0x3fffe2ff,
    0x007fff41,0x0fffffcc,0x1ffffdc0,0xff980000,0x5c001fff,0xffb03fff,
    0x7c407fff,0xf987ffff,0xfff906ff,0xffff105f,0x3fffea0f,0x7fe402ff,
    0x7d40ffff,0xfb802fff,0x00001eff,0xd17fff4c,0x3fe01fff,0xff0005ff,
    0x7fffc5ff,0x007fff41,0x1bffff62,0x1ffffdc0,0x7ec40000,0xf0006fff,
    0x3fe60dff,0x89ceffff,0xfffffeb9,0x04fffc83,0x30dffff7,0x6c0dffff,
    0xbdffffff,0xfffeba89,0xffa83fff,0xffb002ff,0x800019ff,0x44ffffc8,
    0xfd00fffe,0xf0001fff,0x7ffc5fff,0x07fff41f,0x3fff2aa6,0xf7003fff,
    0x00007fff,0xffff9553,0x2e0007ff,0xffb00fff,0xffffffff,0x1fffffff,
    0x201fffd0,0xbefffff9,0x4ffffeb9,0x3ffffe60,0xffffffff,0x506fffff,
    0x999bffff,0x3fff6205,0x1000bdff,0x9fffff95,0x201fffd0,0xcefffffd,
    0x5ffff001,0x3a0ffffc,0x7fd40fff,0x06ffffff,0x0ffffee0,0x3ffea000,
    0x006fffff,0x413ffe20,0xffffffe9,0xffffffff,0x3fffa83f,0x7ffffe40,
    0xffffffff,0x7fff4c00,0xffffffff,0x2a04ffff,0xffffffff,0x7fffd403,
    0xcceeffff,0xffffeedc,0xffd02fff,0x3ffea01f,0xf002ffff,0x7ffc5fff,
    0x07fff41f,0x3fffffe6,0x3ee001ff,0x80003fff,0xfffffff9,0x7e40001f,
    0x3ff6207f,0xffffffff,0xffb01eff,0x3fff600d,0xffffffff,0x3ffee002,
    0xffffffff,0x7fd401ef,0x03ffffff,0xfffffc88,0xffffffff,0x0cffffff,
    0x803fffa0,0x2ffffffe,0x45ffff00,0x7f41ffff,0x7ffc40ff,0x4001efff,
    0x003ffffb,0xfffff880,0x880001ef,0x75403fff,0xffffffff,0x3ffe604e,
    0x3ffea002,0x01efffff,0xfffec880,0x003defff,0xfffffff5,0xfda8007f,
    0xffffffff,0x002dffff,0x4401fffd,0x02fffffc,0x7c5ffff0,0x7ff41fff,
    0xbcdcb80f,0x33310002,0x2e000013,0x0002bcdc,0x802775c0,0x0aaaaa98,
    0x005eeb80,0x35999750,0x54c40000,0xaa880009,0x01aaaaaa,0x32eaa600,
    0x009aaccd,0x007776c0,0x00ee654c,0x26099998,0xeeed8199,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26662000,0x4ccc4019,0x00099999,0x99880000,0x00000099,
    0x003599b1,0x00000000,0x02666660,0x73100000,0x00015799,0x00000000,
    0x004ccccc,0x80266666,0x00199998,0x017ffffc,0x3fffffea,0xff5004ff,
    0x70001fff,0x0009ffff,0x7fc416ec,0x0000dfff,0x0dffff90,0xfff50000,
    0x200000df,0xffffffea,0x80002eff,0x005ffffd,0xffff5000,0xfffc801d,
    0x3fffa05f,0x3fea002f,0xffa803ff,0x04ffffff,0xffffff88,0xfffb8005,
    0x3fe0004f,0xfffff882,0xf980006f,0x004fffff,0xffffb800,0x36200002,
    0xffffffff,0x000dffff,0xffffff50,0xfd000005,0x32001dff,0xfa81ffff,
    0x74003fff,0xf5003fff,0x9fffffff,0xfdfffd00,0xfb8005ff,0x50004fff,
    0x3ffe20ff,0x0003ffff,0x3fbfffa2,0x800001ff,0x0006fffc,0xffffff50,
    0xffffffff,0xf88001ff,0x0ffffeff,0x3fea0000,0x7ec000ff,0xfffe84ff,
    0x7ffd4004,0x33326004,0x404ffffd,0xff8bfffb,0x3ee000ff,0x90004fff,
    0x3b3220bf,0x0006ffff,0x3e6bfff6,0x00000eff,0x001fffc8,0x7ffffcc0,
    0xffffefff,0x4006ffff,0xffa9fffe,0x3600006f,0xb0001fff,0x7fcc1fff,
    0xffe8004f,0x7fc40005,0x3fe604ff,0x17ffe65f,0x1aaaa980,0x007ff000,
    0x001ffffa,0xf527ffd4,0x000009ff,0x00017ff6,0x3bfffffb,0x3fff6a21,
    0xf7003fff,0x7ffe47ff,0xff980003,0x3a20001f,0x17ff64ff,0x000ccc00,
    0x27fffc40,0x88133310,0x00000199,0x000ff980,0x001ffff9,0x33033310,
    0x40000033,0x2a000199,0x403fffff,0x07fffffa,0x33033330,0x31000033,
    0x31000013,0x100ccc13,0x40033333,0x10099998,0x2629ffff,0x22001999,
    0x00009999,0x7ed54c40,0x3ffee006,0x54c0000f,0x0000abcc,0x57995300,
    0x3ffa0001,0xffb005ff,0x88005fff,0x80009999,0x99999998,0x99999999,
    0x33101999,0x4ccc4133,0x7fffd409,0x3fff6007,0xffff104f,0x1ffffea9,
    0x4ffffd80,0x09ffff70,0x7fffff5c,0xff7001ef,0xd90001ff,0xffffffff,
    0xc80001bf,0xfffffffe,0xf5000dff,0x2003ffff,0x001bdff8,0x7fffffc4,
    0x7ffd4000,0xffffffff,0xffffffff,0x6ffffb80,0x51bfffee,0x400fffff,
    0x104ffffd,0x3ea9ffff,0x36007fff,0xf704ffff,0xfd309fff,0xffffffff,
    0xfff7007f,0x7f4c001f,0xffffffff,0x8003ffff,0xffffffe9,0x3fffffff,
    0x5ffffc80,0x20000400,0x3ffffffb,0x7fffd400,0xffffffff,0x0fffffff,
    0x26ffffb8,0x546ffffb,0x2007ffff,0x104ffffd,0x3ea9ffff,0x36007fff,
    0xf704ffff,0xff989fff,0xffffffff,0x7dc04fff,0xf7001fff,0xffffffff,
    0xdfffffff,0x3ffee001,0xffffffff,0x00efffff,0x013ffff6,0xffd00000,
    0x800fffff,0xfffffffa,0xffffffff,0xfb80ffff,0x3fee6fff,0x7ffd46ff,
    0x3ff6007f,0xfff104ff,0x3fffea9f,0x3fff6007,0xffff704f,0xfffffe89,
    0xffffffcd,0x3ffea00f,0xfffa801f,0xfeffffff,0x6fffffff,0xfffffa80,
    0xfffeffff,0x206fffff,0x003ffffe,0x3fe60000,0x02ffffff,0x3ffffea0,
    0xffffffff,0x80ffffff,0x2e6ffffb,0x7d46ffff,0x36007fff,0xf104ffff,
    0x3fea9fff,0x3f6007ff,0xff704fff,0x7ffd49ff,0xfdff11ff,0x7cc09fff,
    0x74402fff,0x0affffff,0x7ffffe4c,0x3ffa204f,0x4c0affff,0x4ffffffc,
    0x05fffff0,0x7e400000,0x5fffffff,0x3fffea00,0x9999999f,0x01999999,
    0x5cdffff7,0x7d46ffff,0x36007fff,0xf104ffff,0x3fea9fff,0x3f6007ff,
    0xff704fff,0x7fff49ff,0x3e7fea3f,0x7fc05eff,0x7fe406ff,0x4c00dfff,
    0x00fffffe,0x1bfffff9,0xffffe980,0x7fffc40f,0x0000001f,0x3ffffffe,
    0xf5000fff,0x0000ffff,0x26ffffb8,0x546ffffb,0x2007ffff,0x104ffffd,
    0x3ea9ffff,0x36007fff,0xf704ffff,0x7ffc9fff,0x9aafe47f,0xffff9000,
    0xffff3019,0x7fc400df,0xff985fff,0x22006fff,0x4c5fffff,0x001fffff,
    0xfff50000,0x7ffffbbf,0x3fffea00,0x7dc00007,0x3fee6fff,0x7ffd46ff,
    0x3ff6007f,0xfff104ff,0x3fffea9f,0x3fff6007,0xffff704f,0x1bfffe69,
    0x260005ff,0x46ffffff,0x01fffffc,0x7ffffe40,0x7ffffe41,0x7ffe4001,
    0x7fffc1ff,0x0000002f,0xf55ffffb,0x2a00ffff,0x0007ffff,0x37fffdc0,
    0xa8dffff7,0x2007ffff,0x104ffffd,0x3ea9ffff,0x36007fff,0xf704ffff,
    0x3fea9fff,0x03fe65ff,0xffffa800,0x7ffff47f,0xfff88005,0x7fff42ff,
    0xff88005f,0x7ff42fff,0x000003ff,0x17ffff88,0x005fffff,0x00fffff5,
    0xffffb800,0x1bfffee6,0x00fffff5,0x827fffec,0xf54ffff8,0x6c00ffff,
    0xf704ffff,0x3fee9fff,0x01bee5ff,0x3fffee00,0x3ffffe27,0xfffd0003,
    0x7fffc47f,0xffd0003f,0xfffd87ff,0x0154004f,0x93fffee0,0x805ffffc,
    0x007ffffa,0x7fffdc00,0x1bfffee6,0x00fffff5,0x827fffec,0xf54ffff8,
    0x6c00ffff,0xf704ffff,0x3fea9fff,0x00ffa6ff,0xfffff500,0x7ffffccf,
    0xfffb0002,0x7fffccbf,0xffb0002f,0xfffc8bff,0x7ff4006f,0x7ff400ad,
    0x3ffe61ff,0x7fd400ff,0xffffffff,0xffffffff,0xdffff700,0x237fffdc,
    0x007ffffa,0x413ffff6,0xf54ffff8,0x6c00ffff,0xf704ffff,0x3fe69fff,
    0x43ff17ff,0x3fe60008,0x3e65ffff,0x0001ffff,0x4cdffff9,0x001fffff,
    0x8dffff90,0x02fffffa,0x5fffff30,0x37fffcc0,0x027ffff4,0x3fffffea,
    0xffffffff,0xf700ffff,0x7fdcdfff,0x7ffd46ff,0x3ff6007f,0xfff104ff,
    0x3fffea9f,0x3fff6007,0xffff704f,0x3ffffe29,0x7ff47fb8,0x3ff600ce,
    0xfffa84ff,0xf70000ff,0x7fd4ffff,0x70000fff,0xfd0fffff,0x3a00dfff,
    0x6c07ffff,0xfc84ffff,0x7d407fff,0xffffffff,0xffffffff,0xffff700f,
    0x37fffdcd,0x01ffffea,0x04ffffd8,0x2a9ffff1,0x2007ffff,0x704ffffd,
    0x7f49ffff,0x24fddfff,0x00fffffa,0x541bfffe,0x000fffff,0x4fffff70,
    0x00fffffa,0xfffff700,0xbfffff50,0x7fffec01,0x3ffe204f,0xfff881ff,
    0x3fea02ff,0xffffffff,0xffffffff,0xdffff700,0x237fffdc,0x007ffffa,
    0x40fffff6,0xf54ffff8,0x6c00ffff,0xf703ffff,0x7fd49fff,0xd32fffff,
    0x440bffff,0xf103ffff,0x0003ffff,0x89bffff2,0x001fffff,0x0dffff90,
    0x3ffffff6,0xffeb98ab,0x2e00ffff,0x3a06ffff,0x2a05ffff,0xaaafffff,
    0xaaaaaaaa,0xfff700aa,0x7fffdcdf,0x3ffffd46,0x7ffffb00,0x53fffe20,
    0x007ffffa,0x40fffff6,0x744ffffb,0xedffffff,0x01ffffff,0x807fffea,
    0x002fffff,0x8bffffb0,0x002fffff,0x0bffffb0,0x3fffffe2,0xffffffff,
    0x7f402fff,0xaaaadfff,0xfffffdaa,0xfffff500,0xffb80000,0x3ffee6ff,
    0x7fffcc6f,0x3fff6007,0xffff103f,0x1ffffe69,0x3ffffd80,0x89ffff70,
    0xfffffff9,0x03ffffff,0x00ffffd4,0x007ffffd,0x0fffffa0,0x007ffffd,
    0x0fffffa0,0xfffffe88,0xffffffff,0x7ffcc03f,0xffffffff,0x4fffffff,
    0x0fffff50,0xfffb8000,0x3fffee6f,0x3ffffcc6,0x7ffffd00,0x53fffe20,
    0x007ffff9,0x40fffffa,0x984ffffb,0xfffffffe,0xfb804fff,0x3f600fff,
    0x98006fff,0x6c2fffff,0x8006ffff,0x02fffff9,0xffffffb8,0x02ffffff,
    0xffffffc8,0xffffffff,0xf507ffff,0x0000ffff,0x26ffffb8,0x446ffffb,
    0x001fffff,0x205fffff,0xf14ffff8,0x2003ffff,0x702fffff,0x6c07ffff,
    0xdfffffff,0xffff7001,0x7fffdc01,0x7ff4003f,0x7fdc0fff,0x74003fff,
    0x000fffff,0xfffffd93,0x7fc007ff,0xffffffff,0xffffffff,0xfffa82ff,
    0x5c00007f,0x3ee6ffff,0xfff86fff,0xffa806ff,0xff101fff,0x7fffc9ff,
    0xfffa806f,0xfff701ff,0x577e407f,0xfb8001aa,0x3e200fff,0x000fffff,
    0x09fffff5,0x1ffffff1,0x3fffea00,0xeb98004f,0x54000dff,0xffffffff,
    0xffffffff,0xfa85ffff,0x00007fff,0x737fffdc,0xfb0dffff,0x4407ffff,
    0x207fffff,0x364ffff8,0x203fffff,0x07fffff8,0x80fffff2,0xc80003fe,
    0x5400ffff,0x02ffffff,0x7fffffe4,0xfffff500,0xfffc805f,0xd8000fff,
    0x00ffffff,0x13ffff60,0xfffffb80,0x3ffffd40,0x3fee0000,0x3ffee6ff,
    0xffff986f,0xb989ceff,0x03fffffe,0x993fffe2,0xceffffff,0xfffeb989,
    0xfff303ff,0x3fe205ff,0x7f440000,0xffb007ff,0x137bffff,0xfffffd75,
    0xfffd807f,0xa89bdfff,0xffffffeb,0x53350003,0x22009ffd,0x001fffff,
    0x13ffffe2,0x55fffff5,0x55555555,0xf7035555,0x7fdcdfff,0xfffb06ff,
    0xffffffff,0x41ffffff,0xfffdccc9,0x7fffec4f,0xffffffff,0x7c0fffff,
    0x1fffffff,0x2000df70,0xfffffdc8,0xffff3006,0xffffffff,0x0dffffff,
    0xffffff30,0xffffffff,0x000dffff,0x803ffdc0,0x006ffffc,0x47ffffd8,
    0xfffffffa,0xffffffff,0xfb84ffff,0x3fee6fff,0xffd306ff,0xffffffff,
    0xa87fffff,0xffffffff,0x7ffff4c4,0xffffffff,0x7fc43fff,0x00ffffff,
    0x220009fb,0x3fffffff,0x3fffa600,0xffffffff,0x2004ffff,0xffffffe9,
    0xffffffff,0x2200004f,0xfd006ffd,0x50007fff,0x545fffff,0xffffffff,
    0xffffffff,0xffb84fff,0x3ffee6ff,0x3ff6206f,0xffffffff,0xffa81eff,
    0x84ffffff,0xffffffd8,0x1effffff,0xffffffa8,0x03ff102f,0x3fffe200,
    0xf70007ff,0xffffffff,0x0003dfff,0x3fffffee,0x1effffff,0x37bae000,
    0x802ffffe,0x00fffffa,0xbfffff00,0x7fffffd4,0xffffffff,0xb84fffff,
    0x3ee6ffff,0xea806fff,0xffffffff,0x3ffea04e,0x204fffff,0xffffffea,
    0x3ee04eff,0x203fffff,0x220007e9,0x01dfffff,0x3ffb2200,0x03deffff,
    0xffec8800,0x03deffff,0xffffc800,0xfb001dff,0x4000dfff,0x50fffffc,
    0xffffffff,0xffffffff,0xff709fff,0x7ffdcdff,0x2a62006f,0x8800aaaa,
    0xaaaaaaaa,0xaaa98801,0xcb8800aa,0x01000abd,0x5e674400,0x98800001,
    0x0000009a,0x0004d4c4,0x2aeaa200,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x00019999,0x31000000,0x00003333,0x004ccccc,
    0x00000000,0x00000000,0x00660188,0x00000000,0x06666620,0x88000000,
    0x220000aa,0x001fffff,0x1fffff50,0xfffd0000,0x6400007f,0x0005ffff,
    0xdffff900,0xffff0000,0x03fffcc5,0x7ffe4400,0x001fee1c,0x223fffe8,
    0x0000ffff,0x05ffffd0,0x88ffffa0,0x9801ffff,0x4c0002ff,0x8005ffff,
    0x5ffffff8,0x7ffd4000,0xc800003f,0x0001ffff,0x7ffffcc0,0x7fc0003f,
    0x3ffe62ff,0xffc80007,0xffefffff,0x3ffa0006,0x3fffe23f,0xffa80000,
    0x3fa003ff,0x3ffe23ff,0x7fe4c01f,0x260000ad,0x4000ffff,0xfffefffd,
    0x3ffa0003,0x2000004f,0x0005fffd,0x3bfffe20,0x20001fff,0x3e62ffff,
    0xf80007ff,0xfffffeff,0x3a0003ff,0x3fe23fff,0xe80000ff,0x74004fff,
    0x3fe23fff,0xfff701ff,0x009fffff,0x027ffd40,0xd19fff70,0x30001fff,
    0x0000bfff,0x01fffb00,0x3fff6000,0x006fff9a,0x98bfffe0,0x40007fff,
    0x3f261ff9,0x740003ff,0x3fe23fff,0x540000ff,0xe8004fff,0x3fe23fff,
    0x7fec41ff,0xffffffff,0xff50000e,0xfff3001f,0x037ffccd,0x002ffec0,
    0x9ffd0000,0xfff50000,0x027ffdc9,0x40999980,0x80001999,0x00006019,
    0x2604ccc4,0xd8000199,0x310005ff,0x19998133,0xffffffd8,0x05ffffff,
    0x00266200,0x31026662,0x33300033,0x88000000,0x88000099,0x19998199,
    0xcca98000,0x000000ab,0x01579953,0x19999880,0x26666200,0x00ccc000,
    0x99998800,0x3fffe600,0xfffdffdf,0x4ccc42ff,0x99999999,0x19999999,
    0x01333310,0x99998800,0x22000000,0x80009999,0x99999998,0x99999999,
    0xd9001999,0xffffffff,0xc80001bf,0xfffffffe,0xfa800dff,0x36007fff,
    0x2664ffff,0x88001999,0xb8099999,0x3206ffff,0xff99ffff,0x45ffff9a,
    0xfffffffa,0xffffffff,0xfb80ffff,0x20006fff,0x0ffffff8,0xff880000,
    0x4000ffff,0xfffffffa,0xffffffff,0x2600ffff,0xfffffffe,0x03ffffff,
    0xffffe980,0xffffffff,0x7ffd403f,0x3ff6007f,0x3fff24ff,0x3e2004ff,
    0xb80fffff,0x3a06ffff,0x5ff35fff,0xf513bff6,0xffffffff,0xffffffff,
    0xfff701ff,0x7dc000df,0x003fffff,0xffffb800,0x7d4003ff,0xffffffff,
    0xffffffff,0xfff700ff,0xffffffff,0x01dfffff,0x3ffffee0,0xffffffff,
    0xf500efff,0x6c00ffff,0x7f44ffff,0x9001ffff,0x205fffff,0x206ffffb,
    0xff33ffff,0xffa80225,0xffffffff,0xffffffff,0xffffb80f,0x3ffa0006,
    0x0007ffff,0xfffffe80,0x7fd4007f,0xffffffff,0xffffffff,0xffffa80f,
    0xffefffff,0x06ffffff,0xffffffa8,0xffffefff,0xf506ffff,0x6c00ffff,
    0x7cc4ffff,0x9805ffff,0x205fffff,0x206ffffb,0xff36fffe,0x3ffea005,
    0xffffffff,0xffffffff,0x6ffffb80,0xffff3000,0x0005ffff,0x7ffffcc0,
    0x2a002fff,0xffffffff,0xffffffff,0x7f440fff,0x40afffff,0xffffffc9,
    0x3fffa204,0x64c0afff,0x84ffffff,0x007ffffa,0x213ffff6,0x02fffffd,
    0x07ffffec,0x0dffff70,0x4dffffec,0xff5002ff,0x33333fff,0x33333333,
    0x3fffee03,0xfff90006,0x00bfffff,0x7fffe400,0x2005ffff,0x99fffffa,
    0x99999999,0xffc81999,0x4c00dfff,0x00fffffe,0x1bfffff9,0xffffe980,
    0x7fffd40f,0x3fff6007,0xffff884f,0xfff500ff,0xffb807ff,0x3fee06ff,
    0x02ffefff,0x0fffff50,0xfffb8000,0xfff0006f,0x1fffffff,0x3ffe0000,
    0x0fffffff,0xfffff500,0x3fe60000,0x22006fff,0x985fffff,0x006fffff,
    0x17ffffe2,0x00fffff5,0x827fffec,0x04fffffa,0x00dffffd,0x80dffff7,
    0xffffffff,0xfffa801d,0x5c00007f,0x8006ffff,0xfddffffa,0x80003fff,
    0xfddffffa,0xf5003fff,0x0000ffff,0x07fffff2,0xfffff900,0xfffffc83,
    0x7ffe4001,0x3ffea1ff,0x3ff6007f,0x3ff604ff,0x7fdc0fff,0xfb801fff,
    0x7d406fff,0xffffffff,0x3ffea03e,0x5c00007f,0x8006ffff,0xfaaffffd,
    0x80007fff,0xfaaffffd,0xf5007fff,0x0000ffff,0x017ffffa,0x3ffffe20,
    0x2fffff42,0x7fffc400,0x3fffea2f,0x3fff6007,0x3ffe204f,0x3ffe25ff,
    0xff7004ff,0xff500dff,0xffffffff,0xffff501d,0xfb80000f,0x44006fff,
    0xff17ffff,0x40005fff,0xf17ffff8,0x5005ffff,0x000fffff,0x7fffff10,
    0x3fffa000,0x3fffe23f,0xffd0003f,0x7ffd47ff,0x3ff6007f,0x7fdc04ff,
    0xfffb2fff,0x3ee001df,0x91006fff,0xffffffff,0xfffa83ff,0x5c00007f,
    0x4006ffff,0x324ffffb,0x0005ffff,0xc93fffee,0xa805ffff,0x0007ffff,
    0x2fffff98,0xffffb000,0x7ffffccb,0xfffb0002,0x7fffd4bf,0x3fff6007,
    0xfffe804f,0xfffff9ef,0x3ffee002,0x7e44006f,0x6fffffff,0x7fffffd4,
    0xffffffff,0xf700ffff,0xe800dfff,0x3e61ffff,0x0000ffff,0x4c3ffffd,
    0x400fffff,0xfffffffa,0xffffffff,0x3fe60fff,0x90001fff,0x7ccdffff,
    0x0001ffff,0x54dffff9,0x2007ffff,0x804ffffd,0xfffffff9,0x5c005fff,
    0x8006ffff,0xffffdff9,0x3ffea2ff,0xffffffff,0x0fffffff,0x0dffff70,
    0x37fffcc0,0x027ffff4,0x37fffcc0,0x027ffff4,0x3fffffea,0xffffffff,
    0x3ea0ffff,0x0000ffff,0x54fffff7,0x000fffff,0x4fffff70,0x007ffffa,
    0x013ffff6,0x7fffffe4,0x5c000fff,0x8006ffff,0xffc8aff9,0x3ffea3ff,
    0xffffffff,0x0fffffff,0x0dffff70,0x27fffec0,0x03ffffe4,0x27fffec0,
    0x03ffffe4,0x3fffffea,0xffffffff,0x3ea0ffff,0x0000ffff,0x54fffff7,
    0x000fffff,0x4fffff70,0x007ffffa,0x013ffff6,0x7fffffc4,0xfb8003ff,
    0x98006fff,0xffff12ff,0x7ffffd4b,0xffffffff,0x700fffff,0x200dffff,
    0x81fffff8,0x02fffff8,0x3ffffe20,0xfffff881,0x3fffea02,0xffffffff,
    0x20ffffff,0x01fffff8,0xdffff900,0x0fffffc4,0xffffc800,0x1ffffea6,
    0x3ffffd80,0x3fffea00,0xf70006ff,0x2e60dfff,0x5ff30edc,0xf52fffec,
    0x5555ffff,0x55555555,0x3ffee015,0xfff7006f,0x7fff40df,0x3fee005f,
    0x3ffa06ff,0x3fea05ff,0xaaaaafff,0xaaaaaaaa,0x17ffffc0,0xffffd800,
    0x17ffffc5,0xffffd800,0x1ffffea5,0x3ffffd80,0x7fffec00,0xff70001f,
    0x3fee0dff,0x45ff33ff,0x3ea4fffe,0x00007fff,0x037fffdc,0xadffffe8,
    0xffdaaaaa,0xfd000fff,0x5555bfff,0xfffffb55,0x3fffea01,0xffd00007,
    0x3a0007ff,0x7f43ffff,0xd0003fff,0x7cc7ffff,0x36007fff,0x4003ffff,
    0x006ffffb,0x1bfffee0,0x47ffffcc,0xfff32ff9,0x7fffd45f,0x7dc00007,
    0xf9806fff,0xffffffff,0xffffffff,0xfff9804f,0xffffffff,0x4fffffff,
    0x0fffff50,0x3fff6000,0xff98006f,0x7fec2fff,0xf98006ff,0x3e62ffff,
    0x3a007fff,0x4003ffff,0x006ffffb,0x1bfffee0,0xaeffffe8,0xfffe9aff,
    0x3fffea0f,0x7dc00007,0xfc806fff,0xffffffff,0xffffffff,0xfffc807f,
    0xffffffff,0x7fffffff,0x0fffff50,0x3ffee000,0x7f4003ff,0x7dc0ffff,
    0x4003ffff,0x20fffffe,0x01fffff8,0x05fffff0,0x6ffffb80,0x3ffee000,
    0x3ffea06f,0xffefffff,0x7fd43fff,0x400007ff,0x806ffffb,0xffffffff,
    0xffffffff,0x7c02ffff,0xffffffff,0xffffffff,0xffa82fff,0x100007ff,
    0x01ffffff,0x3ffffea0,0xfffff884,0xfff5000f,0xffff09ff,0xfff500df,
    0xfb8003ff,0x20006fff,0x406ffffb,0xfffffffc,0xa85fffff,0x0007ffff,
    0x37fffdc0,0x3ffffea0,0xffffffff,0x5fffffff,0x3ffffea0,0xffffffff,
    0x5fffffff,0x07ffffa8,0x3ffea000,0x7e402fff,0x500fffff,0x05ffffff,
    0xffffffc8,0xfffffd80,0x3fffe203,0xffb8007f,0x2e0006ff,0xc806ffff,
    0xffffffff,0xfff504ff,0xb80000ff,0x6c06ffff,0x2004ffff,0x00fffffb,
    0x009ffffb,0x07ffffdc,0x01ffffea,0xffffb000,0x75137bff,0x7ffffffd,
    0xfffffd80,0xeba89bdf,0x03ffffff,0xdffffff3,0xffd73139,0x70007fff,
    0x000dffff,0x037fffdc,0xfffffda8,0x3fea02df,0xaaaaafff,0xaaaaaaaa,
    0xffffb81a,0x3fffe206,0x3fe2001f,0xff884fff,0x22001fff,0x544fffff,
    0xaaafffff,0xaaaaaaaa,0xff981aaa,0xffffffff,0xffffffff,0xffff9806,
    0xffffffff,0x06ffffff,0x7fffffec,0xffffffff,0xb8000fff,0x0006ffff,
    0x01bfffee,0x007ff710,0x3fffffea,0xffffffff,0xb84fffff,0x3206ffff,
    0x8006ffff,0xc87ffffd,0x8006ffff,0x547ffffd,0xffffffff,0xffffffff,
    0xfd304fff,0xffffffff,0x09ffffff,0x7ffff4c0,0xffffffff,0xe9804fff,
    0xffffffff,0x3fffffff,0xffff7000,0x7fdc000d,0xf98006ff,0xfff5002f,
    0xffffffff,0xffffffff,0xdffff709,0x1fffff40,0x7fffd400,0x7ffff42f,
    0xfffa8003,0x3ffea2ff,0xffffffff,0xffffffff,0x7fffdc04,0xffffffff,
    0xff70001e,0xffffffff,0x44003dff,0xfffffffd,0x01efffff,0x3fffee00,
    0x3fee0006,0xf98006ff,0xfff5002f,0xffffffff,0xffffffff,0xdffff709,
    0x3ffffea0,0xffff0000,0x7fffd4bf,0xfff0000f,0x7ffd4bff,0xffffffff,
    0xffffffff,0xffec8804,0x03deffff,0xffec8800,0x03deffff,0x3fffaa00,
    0x04efffff,0xffffb800,0x3fee0006,0xc88006ff,0xfff5001c,0xffffffff,
    0xffffffff,0xdffff709,0x1bffff60,0xffffc800,0xdffffb0f,0x7ffe4000,
    0xffff50ff,0xffffffff,0x9fffffff,0x13531000,0x98800000,0x4000009a,
    0x0aaaaa98,0x3fee0000,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01300000,0x88000266,0x00033101,0x00000000,0x00000660,0x2af32a60,
    0x00000001,0x26000440,0x9950000a,0xeec80057,0x3bae0005,0xfff9000e,
    0x02ffff89,0x16fffdc0,0x30005ff3,0x6c37dffb,0x7c40006f,0x3fee0fff,
    0x5400006f,0x0002effe,0x7ffff5c0,0x01dfffff,0x6654c000,0x3fd009ac,
    0x7fffd300,0x7fff4c00,0xf8800dff,0x3a0003ff,0x3f2007ff,0x7fffc4ff,
    0x3ffea002,0xfffeffff,0xfffd8001,0x5ffeffff,0x7ffc4000,0x1bffee0f,
    0x99fd0000,0x220000df,0xfffffffd,0x03ffffff,0x7fff5c00,0x1dffffff,
    0x9007fff6,0x001fd79f,0xfffffff1,0xfff900df,0x7ffc4000,0x3fff2005,
    0x017fffc4,0xfffdff90,0x000dffff,0xfffdfff1,0x0005ffff,0x20ffff88,
    0x0006fffb,0x1fc93e60,0x7ffdc000,0xffffffff,0x01efffff,0x7fffec40,
    0xffffffff,0x05fffddf,0x07f537c4,0xb37fff90,0x7c407fff,0x2a0003ff,
    0x32003fff,0x7ffc4fff,0x8ffa002f,0x00cffeb9,0x510ffa80,0x0005dffb,
    0x41ffff10,0x0006fffb,0x1fc93ea0,0x3ffea000,0xfeffffff,0xffffffff,
    0xffff5000,0xffffffff,0xdfffffff,0x7d4df100,0x26fff803,0x3206fff8,
    0x640007ff,0x22001fff,0x4ccc0999,0x02660009,0x31000044,0x00000c01,
    0x33106666,0xe8000013,0x0006fccf,0x7ffffff4,0x7ffe4c0a,0xfa804fff,
    0xffffffff,0xfffffffe,0xf9000eff,0x8801ff9b,0x7ffc4fff,0x07fff107,
    0x07ffd800,0x4cccccc4,0x99999999,0x4cc19999,0x26200199,0x44000999,
    0x00009999,0x26666200,0xf1000000,0x001fffff,0x3ffffee0,0x7ffcc00d,
    0x7f401fff,0x40aeffff,0xffffffb8,0x3ff62005,0xfff9803f,0x407fff44,
    0x80007ffc,0x7d405fff,0xffffffff,0xffffffff,0xffff30ff,0x3fea005f,
    0x3e2004ff,0x000fffff,0xffff8800,0x800000ff,0x3ffffffb,0xffff8800,
    0x3fe6006f,0x3ee05fff,0x400dffff,0x1ffffffa,0x50014400,0xffe87fff,
    0x1fffc40f,0x3ffe6000,0x7fffd403,0xffffffff,0x0fffffff,0x0dfffff3,
    0x13fffea0,0xfffffb80,0xb800003f,0x03ffffff,0xfffe8000,0xc8007fff,
    0x001fffff,0x0fffffe4,0x37ffffc4,0x7ffffc40,0x533004ff,0xf9801355,
    0x3fff44ff,0x0003ffec,0x200fffdc,0xfffffffa,0xffffffff,0xff30ffff,
    0x5009ffff,0x4009ffff,0x7ffffffe,0xffe80000,0x0007ffff,0x7ffffcc0,
    0x6c002fff,0x8005ffff,0x82fffff8,0x01fffffc,0x7fffff44,0xf9100fff,
    0xdfffffff,0x17ffe203,0xff88dfff,0xfd80003f,0xfffa807f,0xffffffff,
    0xffffffff,0xffffff30,0xfffa803f,0xfff3004f,0x005fffff,0x7fffcc00,
    0x0002ffff,0x3fffff20,0x74005fff,0x0003ffff,0xb07ffffd,0x880bffff,
    0xfffcfffe,0xfff883ff,0xffffffff,0x3fffd02f,0xfb13ffee,0x3e0000ff,
    0xffa805ff,0x99999fff,0x99999999,0x3ffffe61,0x7fd405ff,0xff9004ff,
    0x0bffffff,0x7ffe4000,0x005fffff,0x3ffffe00,0x000fffff,0x00bffffe,
    0x2ffffec0,0x01fffff4,0x7fd3fff6,0x7f444fff,0xffffffff,0xfa82ffff,
    0xffffefff,0x00fffe60,0x0fffe600,0x1ffffea0,0x3ffe6000,0x202fffff,
    0x004ffffa,0xffffffff,0x200001ff,0xffffffff,0xa80000ff,0xffddffff,
    0xff1003ff,0x20003fff,0xf86ffffc,0x3202ffff,0x3ff65fff,0x7ffdc5ff,
    0xffcbbdff,0xffb05fff,0xd87fffff,0x700007ff,0xf5003fff,0x0000ffff,
    0xfffffff3,0x3fea01ff,0xffa804ff,0xffffddff,0xffa80003,0xffffddff,
    0xffd80003,0xffffaaff,0xffff5007,0x3ee0001f,0x7fcc7fff,0xff901fff,
    0xffffc8df,0x0fffffc6,0x03ffffd4,0x83bfffd5,0x0003fff9,0x001fffb0,
    0x00fffff5,0xfffff300,0x2a09ffff,0xd804ffff,0xffaaffff,0xd80007ff,
    0xffaaffff,0x440007ff,0xff17ffff,0xf3005fff,0x0001ffff,0x51ffffee,
    0x701fffff,0xfb81dfff,0x54c47fff,0xffff103c,0xfd80200f,0xcddc987f,
    0x06fff802,0x0fffff50,0xffff3000,0x03ffffff,0x809ffff5,0xf17ffff8,
    0x0005ffff,0x8bffffc4,0x002fffff,0x93fffee0,0x805ffffc,0x01fffff8,
    0xdffff900,0x0fffffa8,0x407fffd4,0x007ffffb,0x0fffff30,0x3fff9800,
    0x7fffffe4,0x9fff100d,0x3fffea00,0xff980007,0xffffedff,0x4ffffa86,
    0x27fffdc0,0x00bffff9,0x27fffdc0,0x00bffff9,0x0fffff40,0x01fffff3,
    0x05fffff0,0x3ffff600,0x7ffffcc4,0x07fffe62,0x037fffe4,0xfffecb98,
    0x20000fff,0x7fdc7ffd,0x05ffffff,0x2005fff5,0xfffffffa,0xffffffff,
    0x3fe60fff,0xffffacff,0x7fffd43f,0x7ffff404,0x3ffffe61,0xfffd0000,
    0x7fffcc3f,0xff98000f,0xfffe86ff,0xfffe804f,0xffd0003f,0xffff07ff,
    0x3fffe27f,0x3ffff602,0xfffb5105,0xffffffff,0x7ffcc000,0x27bffe23,
    0xc81fffe9,0xf5000fff,0xffffffff,0xffffffff,0x7fffcc1f,0x1fffffb4,
    0x027fffd4,0xd0dffff3,0x0009ffff,0xd0dffff3,0x0009ffff,0x909ffffb,
    0xb00fffff,0x640dffff,0xfffff983,0xcfffff82,0x403fffe8,0xa83ffffe,
    0xffffffff,0x007fffff,0xf51fff60,0x7ffd47ff,0x006ffe84,0x3fffffea,
    0xffffffff,0x3e60ffff,0xfff14fff,0x7ffd4bff,0x3fff604f,0xffffc84f,
    0xfffd8007,0xffffc84f,0x7ffc4007,0xfff881ff,0x7fdc02ff,0xff882fff,
    0x3ffffa2f,0xffffe80f,0x403fffee,0x42fffff9,0xdffffffb,0x0ffffd1b,
    0x0fffe600,0x7cc5fff7,0x7ffc45ff,0x3ffea004,0xffffffff,0x0fffffff,
    0xb93fffe6,0xf51fffff,0x3e209fff,0xf881ffff,0x2002ffff,0x81fffff8,
    0x02fffff8,0x1bfffee0,0x05ffffe8,0x37ffffc4,0x677fffe4,0x505fffff,
    0xffffffff,0xffffb009,0x7fffc41f,0xffffd03f,0x1fff6000,0xf887fff2,
    0x7ffd46ff,0x3ffea002,0xaaaaaaff,0x0aaaaaaa,0xd13fffe6,0x3eadffff,
    0xff704fff,0x7ff40dff,0x3ee005ff,0x3fa06fff,0x3a005fff,0xaaadffff,
    0xffffdaaa,0x7ffd400f,0x3f661eff,0xffffffff,0x3fffa00f,0xf9805fff,
    0x7d44ffff,0x3fe05fff,0xf98007ff,0xfffc83ff,0x91bffe21,0x54001fff,
    0x0007ffff,0x44ffff98,0xabfffff9,0xfd04ffff,0x5555bfff,0xfffffb55,
    0x3fffa001,0xaaaaaadf,0x00fffffd,0xffffff98,0xffffffff,0xe804ffff,
    0x9bffffff,0xffffff70,0xffb807ff,0x5400ffff,0x40ffffff,0x303ffffc,
    0x001fffff,0xf707ffd8,0x7ffcc5ff,0x0037ff45,0x01ffffea,0x3fffe600,
    0xfffffc84,0x984ffffb,0xffffffff,0xffffffff,0xff9804ff,0xffffffff,
    0xffffffff,0xffffc804,0xffffffff,0x07ffffff,0xffffff98,0xffffffff,
    0x800fffff,0xbfffffff,0x3fff2620,0xffc83fff,0xfffd06ff,0x7cc001ff,
    0xfff503ff,0x127ffd47,0xa8009fff,0x0007ffff,0x84ffff98,0xfffffff8,
    0xffc84fff,0xffffffff,0xffffffff,0xffffc807,0xffffffff,0x07ffffff,
    0xfffffff8,0xffffffff,0x802fffff,0xffffffe9,0xffffffff,0x2a03ffff,
    0xffffffff,0xfffffeff,0xff506fff,0xf935bfff,0x01ffffff,0x103ffec0,
    0xfb11dfff,0x7ffd45ff,0x7ffd4003,0xf980007f,0xff504fff,0x9fffffff,
    0xfffffff0,0xffffffff,0x805fffff,0xffffffff,0xffffffff,0x2a02ffff,
    0xffffffff,0xffffffff,0x2005ffff,0xfffffffb,0xffffffff,0x7d42efff,
    0xffffffff,0xffffffff,0x7ff404ff,0xffffffff,0x001fffff,0xc807fff3,
    0xffffffff,0x00fffe46,0x1ffffea0,0x3ffe6000,0x3fff604f,0x544fffff,
    0xffffffff,0xffffffff,0x2a05ffff,0xffffffff,0xffffffff,0x3605ffff,
    0x2004ffff,0x00fffffb,0x3fffb220,0xfbbcefff,0x265fffff,0xffcbffff,
    0xffffffff,0xf9801eff,0xffffffff,0x04ffffac,0x100fffb0,0xdffffffb,
    0x007ffe83,0x07ffffa8,0xffff9800,0x3fffe604,0x7ec4ffff,0x2e004fff,
    0xb00fffff,0x4009ffff,0x80fffffb,0x01fffff8,0x3ffffe20,0x2a620004,
    0xffffd101,0x117ffdc3,0xfffffff9,0xd88007bf,0x21efffff,0x9807ffff,
    0x2e003fff,0x5504effd,0xff500055,0x55555fff,0x55555555,0x3fffe635,
    0x7fffe404,0x3fe24fff,0x22001fff,0x884fffff,0x001fffff,0x13ffffe2,
    0x01bffff2,0x1fffff60,0x7dc00000,0x403fb85f,0x00009aa9,0x0001a988,
    0x00000000,0xfffa8000,0xffffffff,0xffffffff,0x09ffff34,0xffffffd0,
    0x37fffe49,0x7fffec00,0x6ffffc87,0xffffd800,0x3ffffe87,0xffffa800,
    0x0000002f,0x0000c02a,0x00000000,0x00000000,0xfffa8000,0xffffffff,
    0xffffffff,0x09ffff34,0xffffff50,0x1fffff49,0x7fffd400,0x7ffff42f,
    0xfffa8003,0x3ffea2ff,0xff0000ff,0x0000bfff,0x00000000,0x00000000,
    0x00000000,0xfffa8000,0xffffffff,0xffffffff,0x09ffff34,0x3fffff60,
    0x1fffff54,0x3fffe000,0x3fffea5f,0xfff0000f,0x7ffecbff,0x3f20006f,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x3fea0000,0xffffffff,
    0xffffffff,0x9ffff34f,0x3fffe200,0xdffffb4f,0x7ffe4000,0xffffb0ff,
    0x7fe4000d,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdd100000,0x5eee989d,0x13553100,
    0x7776cc00,0x2200001e,0x801eeeee,0x7742eeec,0x776c01ee,0x1bbba61e,
    0x09999880,0x50000008,0x00559997,0x77776c00,0x7774c002,0x8020004e,
    0x76c40098,0x80002eee,0x7dc4fffa,0x7f5c05ff,0x02dfffff,0x0bffff50,
    0x7ffe4000,0xfffb003f,0x01ffff87,0xf317fffc,0x74c00fff,0xbd51efff,
    0x2ffffcc0,0x3ffffaa0,0x0001efff,0x02ffffd4,0x7fffff40,0x7fed4003,
    0x00bfe21c,0x01bfffe6,0x0bfff200,0x2207fff9,0xfffffffe,0xf7005fff,
    0x00001fff,0x009ffff1,0x3e1fffec,0x7fc01fff,0x3ffe62ff,0x7fec4007,
    0x206ffeff,0x205ffff9,0xfffffff9,0x0002ffff,0x0017fffa,0x3ffffff2,
    0xfff3000f,0xffdbffff,0x3ffe6003,0x7ec0002f,0x7fff41ff,0xfffff981,
    0xffffffff,0x9fff7004,0xfff70000,0xfffd8009,0x00ffffc3,0xf98bfffe,
    0xf90007ff,0x9803dfff,0xf105ffff,0xffffffff,0x0001ffff,0x000dfff5,
    0xff5bfff5,0x3fee00df,0xffffffff,0x7ffd4006,0x7ffc0005,0x80ffff87,
    0xcdfffffd,0x1ffffffd,0x01fff900,0x05fff800,0x42cccb80,0x6400cccc,
    0x33221ccc,0xffb8004c,0x4c02ffff,0xfd05ffff,0xfb37dfff,0x0005ffff,
    0x8001dffb,0xf90ffff8,0x9fd007ff,0x37fff2a2,0xfffb8001,0xfff30001,
    0x86fff98d,0x41fffffa,0x05ffffd8,0x000732e0,0x0004cc98,0x00000000,
    0x67ffdc00,0x201ffffd,0x885ffff9,0x740fffff,0x4003ffff,0x8000ccc8,
    0x65c1ccca,0x055400cc,0x54000198,0xf50002cc,0xfffb89ff,0x3ffffe84,
    0x0bdfff30,0x00000000,0x00000000,0xcfd80000,0x03bfffa0,0xffff3000,
    0x5ffff90b,0x00000000,0x00000000,0x3ae00000,0xefffeeee,0xefffeeee,
    0x1ffffe5e,0x98001350,0x980000aa,0x4c0000aa,0x0009aaa9,0x0002aa60,
    0xfff98088,0x804cc05f,0xe84ffffa,0x4000ffff,0x009aaa99,0x35553300,
    0x2a660001,0x300009aa,0x80135553,0xfffffffc,0xffffffff,0xfff17fff,
    0x440000df,0xdffffffd,0x3ff62001,0x001dffff,0xffffff91,0x22003dff,
    0xdffffffd,0x7ee44001,0xffffcadf,0x20bff302,0x4c4ffffb,0x1005ffff,
    0xfffffff9,0xf91003df,0xdfffffff,0xfff91003,0x03dfffff,0xfffff910,
    0x3203dfff,0xffffffff,0xffffffff,0xffff57ff,0x3ea0000b,0xffffffff,
    0xfffa803f,0x3fffffff,0x7ffffc40,0x2fffffff,0x7ffffd40,0x003fffff,
    0xfffffff7,0x20dfffff,0xff705ffa,0xfffd87ff,0xfff8802f,0xffffffff,
    0x3ffe202f,0xffffffff,0x3ffe202f,0xffffffff,0x3ffe202f,0xffffffff,
    0xffffc82f,0xffffffff,0x57ffffff,0x000bffff,0xffffff70,0x09ffffff,
    0x7fffffdc,0x04ffffff,0xffffffd1,0x5fffffff,0x3ffffee0,0x4fffffff,
    0x7ffffec0,0xffffffff,0x06ffb83f,0x447ffff7,0x8806ffff,0xfffffffe,
    0x82ffffff,0xffffffe8,0x2fffffff,0xfffffe88,0xffffffff,0xffffe882,
    0xffffffff,0x64ccc42f,0xc999cfff,0x5199dfff,0x000dffff,0xffffff88,
    0xffffffbd,0xfffff880,0xfffffbdf,0xffffb80f,0xfffcbbdf,0xfff885ff,
    0xfffbdfff,0xff500fff,0xffffffff,0x90dfffff,0x3fee0fff,0x3fff23ff,
    0xfffb803f,0xffcbbdff,0xffb85fff,0xfcbbdfff,0xfb85ffff,0xcbbdffff,
    0xb85fffff,0xbbdfffff,0x05fffffc,0x3217ffe4,0xff883fff,0x004407ff,
    0x81bffffb,0xd85ffffa,0x540dffff,0xff85ffff,0xffa81fff,0xfffd87ff,
    0x7ffd40df,0xffff885f,0xffb30aff,0xfc81ffff,0xfffb80ff,0x3ffffa3f,
    0xfffff804,0x7ffffa81,0x81fffff8,0xf87ffffa,0xfa81ffff,0xfff87fff,
    0xfffa81ff,0x7fff407f,0x80ffff41,0x200fffff,0xf11ceffe,0x3201ffff,
    0x3e21ffff,0xf900ffff,0xa9883fff,0xffff103c,0xfffff88f,0x3ffff900,
    0x0effffd8,0x7fffff90,0xb80fffd8,0x3f63ffff,0x4400ffff,0xff103ca9,
    0x95310fff,0x3fffe207,0x03ca9887,0x10fffff1,0x3e207953,0x7fc07fff,
    0x07fff87f,0x413ffffa,0x50fffff9,0x4c0dffff,0x3ea3ffff,0x3e606fff,
    0x30003fff,0xfa8fffff,0x3e606fff,0x7ffc3fff,0x7ff402ff,0x7fff45ff,
    0x3ffffb81,0x3bffffea,0xff980000,0x260007ff,0x0007ffff,0x01ffffe6,
    0x7ffff980,0x31bffe60,0x7d40dfff,0x6cc3ffff,0x3ee5ffff,0x9999cfff,
    0x4ffff999,0x273fffee,0xff999999,0x973004ff,0x1ffffffd,0x4e7fffdc,
    0xff999999,0x3ffe24ff,0xfffb807f,0x17fffc6f,0x21ffffdc,0x0efffffd,
    0x7f65cc00,0x000fffff,0xffffd973,0x2e6001ff,0xffffffec,0xfd973000,
    0x4c1fffff,0xadfffcaa,0xaefffcaa,0x7ffec2aa,0xfffedfff,0x3ff22fff,
    0xffffffff,0x24ffffff,0xfffffffc,0xffffffff,0xffb5104f,0xffffffff,
    0xfffffc8f,0xffffffff,0x3fea4fff,0xffa806ff,0x7fffc7ff,0x3ffffb83,
    0x5fffffe8,0x7ffed440,0x7fffffff,0x3fff6a20,0x7fffffff,0x3fff6a20,
    0x7fffffff,0x3fff6a20,0x7fffffff,0x7fffffe4,0xffffffff,0x7cc7ffff,
    0xffffffff,0x7ec3ffff,0xffffffff,0x5fffffff,0x3ffffff6,0xffffffff,
    0xfffa85ff,0xffffffff,0x7ffec7ff,0xffffffff,0x2e5fffff,0x9805ffff,
    0x3e27ffff,0xffb84fff,0xffe883ff,0xff504fff,0xffffffff,0x3ea0ffff,
    0xffffffff,0xf507ffff,0xffffffff,0x2a0fffff,0xffffffff,0x647fffff,
    0xffffffff,0xffffffff,0xffe887ff,0xffffffff,0xfffffd84,0xffffffff,
    0x3ff66fff,0xffffffff,0x46ffffff,0xdffffffb,0x8ffffd1b,0xfffffffd,
    0xffffffff,0x3fffea6f,0xffff9806,0x13fffe66,0x40ffffee,0x2fffffe8,
    0x7fffffdc,0xffffd1bd,0xffffff70,0x3fffa37b,0xfffffb87,0xfffd1bdf,
    0xfffff70f,0x3ffa37bf,0x7fffe47f,0xffffffff,0x07ffffff,0x3fffffae,
    0xfff901df,0x7e40005f,0x20002fff,0x03fffff8,0xfc8ffffd,0x20002fff,
    0x807ffff8,0x2a5ffffb,0xfb85ffff,0x3a203fff,0x3e25ffff,0xfd03ffff,
    0xfff88fff,0xfffd03ff,0xfffff88f,0x8ffffd03,0x03fffff8,0xa98ffffd,
    0xaaaefffc,0xaaaefffc,0x7f5c402a,0x7fdc01df,0x2e0004ff,0x0004ffff,
    0x817fffea,0x7dc7ffff,0x40004fff,0x401fffff,0x2e3ffffd,0xfb86ffff,
    0x7cc03fff,0x3fea6fff,0x3ffe05ff,0x7fffd47f,0x1ffffe05,0x40bffff5,
    0x7d47ffff,0x3fe05fff,0xfff707ff,0x04fffa89,0xfffffa80,0x3ffe602f,
    0x9bf900ff,0x7fffcc15,0x59bf900f,0x1ffffe41,0x0fffff98,0x03ffffe6,
    0x20566fe4,0x206ffffd,0x21fffffa,0xb87ffffb,0xf803ffff,0x3ff27fff,
    0xfff303ff,0x7ffe41ff,0xffff303f,0x7fffe41f,0xfffff303,0x1ffffe41,
    0x0fffff98,0x642fffc8,0x98002fff,0x06ffda99,0x06ffffec,0x07ffffe6,
    0x81bffffb,0x21fffff9,0xd06ffffc,0xd81fffff,0x4c0dffff,0x4c1fffff,
    0x40dfffff,0x44fffffa,0xb87ffffb,0x2dc3ffff,0x64dffff3,0xfd06ffff,
    0x7e41ffff,0xffd06fff,0x7fe41fff,0xfffd06ff,0x7ffe41ff,0xffffd06f,
    0x3fffd01f,0x001fffe8,0x02fff880,0x3fffffe6,0xfffffdad,0xfffff985,
    0xffffdadf,0x7fffd45f,0xfffc9adf,0x7cc0ffff,0xdadfffff,0x705fffff,
    0xbdffffff,0x1fffffff,0x87ffffb8,0xd33ffffb,0xffffbdff,0x7fffd4bf,
    0xfffc9adf,0x3ea0ffff,0xc9adffff,0x0fffffff,0x37ffffea,0xfffffc9a,
    0x3ffea0ff,0xffc9adff,0xf80fffff,0x7fff87ff,0xfff70000,0xffffb803,
    0xffffffff,0xffff701f,0xffffffff,0xffffd03f,0xffffffff,0xff703fff,
    0xffffffff,0x7f403fff,0xffffffff,0xfb82ffff,0xffb87fff,0xffff93ff,
    0x81ffffff,0xfffffffe,0xffffffff,0x7fffff41,0xffffffff,0x7fff41ff,
    0xffffffff,0x7f41ffff,0xffffffff,0x41ffffff,0x7cc5fff9,0x74c006ff,
    0x5ffffeee,0xfffff500,0x03ffffff,0xffffffa8,0x301fffff,0xffffffff,
    0x9ffff59f,0x3ffffea0,0x01ffffff,0xffffffb8,0x701effff,0xf70fffff,
    0x7fe47fff,0x82ffffff,0xfffffff9,0xffffacff,0x7ffffcc4,0xffacffff,
    0x7ffcc4ff,0xacffffff,0x7cc4ffff,0xffffffff,0x44ffffac,0x7d44fffb,
    0x7d4004ff,0x03ffffff,0x7fff6cc0,0x3000bfff,0xffffffdb,0xffd88017,
    0x3fe1efff,0x3b6607ff,0x0bffffff,0x3fff6600,0x5c03efff,0xfb87ffff,
    0x7f5c3fff,0x2201efff,0x1efffffd,0x221ffffe,0x1efffffd,0x221ffffe,
    0x1efffffd,0x221ffffe,0x1efffffd,0x531ffffe,0xaaa98155,0x554c4000,
    0x880001ab,0x400019a9,0x80019a98,0x00001a98,0x000cd4c4,0x000d5440,
    0x00333331,0x0009a880,0x00006a62,0x00006a62,0x00006a62,0x00006a62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x0004eeee,0x07ddddb0,0x3bbba600,0x20080005,0xddb00098,
    0x7777443d,0x00000000,0x00157751,0x1000f320,0x93000799,0x66440039,
    0x1cc98003,0xdddd5000,0x13bb6007,0x7fff4400,0x540002ff,0x0005ffff,
    0x0ffffffa,0x67fed400,0x400bfe21,0x3e62ffff,0xa8000fff,0x2004ffff,
    0x2ffffffb,0x00ffdc00,0x001bff60,0xfb001bfa,0xdfd000df,0x3ffe2000,
    0xfd801fff,0xffb0007f,0x001fffff,0x02ffff40,0xfffff900,0xf88003ff,
    0xedffffff,0xfff001ff,0x7fffcc5f,0xfffa8000,0xfff3004f,0x400fffff,
    0x22005ff8,0x4006fffd,0xb1002ffb,0xb800dfff,0xfb0002ff,0x01dfffff,
    0x000fffb8,0x7d6fffd4,0xf30005ff,0x20001dff,0xffadfff9,0x7fdc006f,
    0xffffffff,0x3fffe007,0x03fffe62,0x3fffea00,0x1bffb004,0x2007ffd1,
    0xc8801ffc,0x006fffff,0x22017fe2,0x06fffffc,0x0017fe20,0x7de7ffdc,
    0x7fcc04ff,0x3fe2002f,0x7fff90ef,0x1dffb000,0x3ffe2000,0x09fff70f,
    0xca8aff40,0x2001dfff,0x3221cccc,0xf50004cc,0x2a009fff,0x13ff61cb,
    0x4013fe60,0x6ffffffa,0x007ff200,0x3fffffea,0x07ff2006,0x9bffe600,
    0x7c02fffd,0x32a004ff,0x266641cc,0x00666400,0x83999500,0x5000cccb,
    0x00066015,0x54000000,0x0004ffff,0x003fffb7,0x2a001ffb,0x06ffb9df,
    0x2009ff30,0x6ffb9dfa,0x009ff300,0x883332e0,0x7f403ccc,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x7fcc0000,0xffa802ff,0xfb822003,
    0x1ffb006f,0xffb82200,0x01ffb006,0x90000000,0x00001fff,0x0d4c0000,
    0x06a60000,0x03530000,0x01a98000,0x26662000,0xfffa8000,0x37f402ff,
    0x1bfee000,0x000ffea0,0xa806ffb8,0x200003ff,0x54000aa9,0x3ee02fff,
    0x3e604fff,0x2e606fff,0x3efffffd,0xffdb9800,0x8003efff,0xfffffdb9,
    0xdb98003e,0x03efffff,0x2ffffc00,0xffc88400,0x05ff700f,0x06ffb800,
    0x40006fe8,0xfe806ffb,0xfd880006,0x01dfffff,0x204fff88,0x204ffffb,
    0xb06ffff9,0xffffffff,0x36003dff,0xffffffff,0xfb001eff,0xffffffff,
    0x3f6003df,0xffffffff,0xf88001ef,0x22004fff,0x417ffc41,0x80006ff8,
    0x7dc06ffb,0x7dc0002f,0x17fdc06f,0x3ffea000,0x3fffffff,0x206ffe80,
    0x204ffffb,0x446ffff9,0xfffffffe,0x02ffffff,0x3fffffa2,0xffffffff,
    0x3fffa202,0xffffffff,0x3fa202ff,0xffffffff,0x4002ffff,0x802ffff9,
    0x3ea2fff8,0x1ffc82ff,0x6ffb8000,0x001bfe20,0x881bfee0,0x5c0006ff,
    0xffffffff,0x6404ffff,0xff700fff,0x7fcc09ff,0x7ffe46ff,0xffedefff,
    0xf900ffff,0xdbdfffff,0x01ffffff,0x3ffffff2,0xfffffede,0xffff900f,
    0xfffdbdff,0x22001fff,0x000ffffe,0xff79fff7,0x5ff881ff,0xdff70000,
    0x000ffe40,0x9037fdc0,0x440003ff,0xbdffffff,0x00ffffff,0x5c0bffea,
    0x2604ffff,0x3e66ffff,0x540dffff,0x985fffff,0x40dfffff,0x85fffffa,
    0x0dfffff9,0x2fffffd4,0x6fffffcc,0x7ffffd40,0xfffe8805,0x7ff4006f,
    0xd81fffff,0x700000ff,0x3fe20dff,0xff700005,0x017fe20d,0xbffffb00,
    0x5ffffa81,0x413ffe20,0x204ffffb,0x326ffff9,0x2605ffff,0x642fffff,
    0x2605ffff,0x642fffff,0x2605ffff,0x642fffff,0x2605ffff,0x202fffff,
    0x1fffffe8,0x7ffe4400,0x4ff980df,0x3fee0000,0x001ffb06,0x41bfee00,
    0x20000ffd,0x00fffff8,0x403ffff9,0xff706ffe,0x7fcc09ff,0x3fffa6ff,
    0x7ffe401f,0x7ffff44f,0x7fffe401,0x0fffff44,0x13ffff20,0x803ffffd,
    0x104ffffc,0x07fffffd,0x74008800,0x776400ff,0x7fcc0001,0xcdecb884,
    0x7fcc0000,0x41eec804,0x206ffffa,0x203ffff9,0xff707ffc,0x7fcc09ff,
    0xffff16ff,0xffff500d,0x37fffc4b,0x2ffffd40,0x00dffff1,0x44bffff5,
    0xa806ffff,0xf985ffff,0x002fffff,0x3ffa8000,0x00fffdc0,0x503ffa00,
    0x5fffffff,0x07ff4000,0x70bffee0,0x3339ffff,0xffff3333,0x0fffd409,
    0x027fffdc,0x2adffff3,0x9805ffff,0x3ea7ffff,0xf9805fff,0x3fea7fff,
    0xff9805ff,0x3ffea7ff,0xfff9805f,0xffffe87f,0x0000001f,0xffa80dfd,
    0x2a0001ff,0xfffe83ff,0x0006fffe,0xfa807ff5,0x7fe42fff,0xffffffff,
    0x04ffffff,0x2e0fffe2,0x2604ffff,0xff76ffff,0xff1009ff,0x7ffdcfff,
    0xfff8804f,0x3fffee7f,0xffff8804,0x13fffee7,0x1ffffe20,0x03fffff7,
    0x3ee00000,0x3ffe602f,0x3a0001ff,0x0fffa86f,0x0005fff1,0xff880dfd,
    0x7fec2fff,0xffffffff,0x05ffffff,0x7dc2fffc,0x3e604fff,0xfff56fff,
    0xfff300bf,0x7fffd4df,0xffff9805,0x17fffea6,0x9bfffe60,0x805ffffa,
    0x746ffff9,0x0001ffff,0x0bff1000,0x7fffff44,0x5ff70001,0xfe89b970,
    0x7fdc004f,0x3fffa202,0x7ffec2ff,0xffffffff,0x406fffff,0xffb87ffd,
    0x3fea04ff,0xffff36ff,0xffff500d,0x37fffccb,0x2ffffd40,0x00dffff3,
    0x4cbffff5,0xa806ffff,0x3e25ffff,0x9b006fff,0xf9000155,0x57fec03f,
    0x88001ffe,0x7cc005ff,0x3e2002ff,0x57fec05f,0x7fe42ffe,0x400002ff,
    0x7d41fffb,0x3ee05fff,0xfff16fff,0xffd803ff,0x3ffe24ff,0x7fec01ff,
    0x3ffe24ff,0x7fec01ff,0x3ffe24ff,0x7fec01ff,0x3ffe24ff,0xfffa806f,
    0x7fcc003f,0x74fff204,0xfc8001ff,0x3fea001f,0x7fe4005f,0x74fff201,
    0x7ffdc2ff,0x4c00004f,0x7fcc3fff,0x3ffa06ff,0x3fff66ff,0x3ffe605f,
    0x7ffec1ff,0x3ffe605f,0x7ffec1ff,0x3ffe605f,0x7ffec1ff,0x3ffe605f,
    0x7fff41ff,0x7fff402f,0x7fec000f,0x74bff500,0x7c4001ff,0x3fee004f,
    0x3e2000ff,0x97fea04f,0x7fcc2ffe,0xbf900fff,0xfff00159,0xfffff88b,
    0xfffffc83,0x3ffffea6,0x7fffd40d,0xffffa85f,0x7ffd40df,0xfffa85ff,
    0x7fd40dff,0xffa85fff,0x7d40dfff,0xfc85ffff,0xd880efff,0x4005ffff,
    0xff103ff9,0x9fff557f,0x3ff60015,0xdfff9000,0x0ffd8001,0x557fff10,
    0x6c159ffd,0x4c0dffff,0x801fffff,0xffe87ffd,0xffcbdfff,0x6c6fffff,
    0xdeffffff,0x0fffffff,0xffffffb0,0xffffffbd,0x3fff601f,0xfffdefff,
    0xfb00ffff,0xfbdfffff,0x01ffffff,0xdfffffd1,0xfffffd77,0x6fe8005f,
    0x3ffffea0,0x01ffffff,0xb003ff98,0x3000bfff,0x7fcc07ff,0xffffffff,
    0x3fffe61f,0xfffdadff,0xff7005ff,0xffffb83f,0xedffffff,0x7f446fff,
    0xffffffff,0x2202ffff,0xfffffffe,0x02ffffff,0x3fffffa2,0xffffffff,
    0x3fffa202,0xffffffff,0x3fe602ff,0xffffffff,0x4002ffff,0x3ea02ffa,
    0xffffffff,0x7fe801ff,0x09fffb00,0x301ffa00,0xffffffff,0xffb83fff,
    0xffffffff,0xf3001fff,0xfff907ff,0x3a9fffff,0xfd886fff,0xffffffff,
    0xfd8800ef,0xffffffff,0xfd8800ef,0xffffffff,0xfd8800ef,0xffffffff,
    0xfea800ef,0xffffffff,0x7c4001ff,0x4ccc406f,0x1bffe999,0x802ffa80,
    0xfffffffa,0x7fd404ff,0x99999802,0x501bffe9,0xffffffff,0xf8003fff,
    0xffd705ff,0x7ff45bff,0x3f6e606f,0x003effff,0xffffdb98,0xb98003ef,
    0x3efffffd,0xffdb9800,0x8003efff,0xfffffffb,0xfb8000ce,0x3fa0001f,
    0x0dff001f,0x3fffff60,0x7c04ffff,0x7f40006f,0x7f6cc02f,0x00bfffff,
    0x407ffd80,0x800001a8,0x400001a9,0x400001a9,0x400001a9,0x100001a9,
    0x00013753,0x0002ffc4,0x2e007bb6,0xddd001ff,0x7ddddddd,0x000ffdc0,
    0x8007bb60,0x00019a98,0x0001554c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x000acccb,
    0x3bbbb620,0x3b600002,0x76402eee,0x3bba22ee,0x776c400e,0x000002ee,
    0x26620000,0x2a600000,0x5cc40000,0x0009abcc,0x00026620,0x98000000,
    0x9998801a,0x3ffea009,0x00cfffff,0xdffff300,0x3fee0000,0xffe804ff,
    0x3fffe23f,0xffff9801,0xffff8006,0x7fffec07,0x3fffae01,0x3fee04ef,
    0xfffb50ff,0xfc8009ff,0xffffffff,0x3b66003f,0x204effff,0x805ffffb,
    0x204ffffc,0xfffffec8,0xffff700c,0x3ffff20d,0x06ffffff,0x3fffea00,
    0xffe80001,0xfffd005f,0x0ffffc47,0x2ffff980,0x3ffffc00,0x07ffff60,
    0x3fffff62,0xfb80efff,0xfffb8fff,0x00dfffff,0x7fffff44,0xffffffff,
    0x7fffd401,0x81efffff,0x00fffff8,0x80fffff4,0xffffffe9,0xffb81fff,
    0xfffa86ff,0xffffffff,0x3ea0004f,0x540005ff,0x3a005fff,0x3fe23fff,
    0x3ea001ff,0x7fc006ff,0x7fec07ff,0xfffe81ff,0xffffffff,0x6ffffdc0,
    0xffffffff,0x3fa606ff,0xffffffff,0x00ffffff,0xfffffff7,0xb01fffff,
    0x4c07ffff,0xf506ffff,0xffffffff,0xffb81fff,0xfffd86ff,0xfffb30cf,
    0x7dc0001f,0x3a0000ff,0x65c006ff,0x333221cc,0x7fd4000c,0x3ffe001f,
    0x7ffec07f,0x7fffd41f,0xffffffff,0x7ffffdc3,0xfffdcdff,0xffb03fff,
    0xdbbfffff,0x0dffffff,0xdffffff1,0x0bffffff,0x40bffff5,0x883ffffb,
    0xfeffffff,0x5c5fffff,0xff86ffff,0xfff987ff,0x65c0002f,0x9910002c,
    0x00000019,0x05995000,0x03ffffc0,0xd07ffff6,0x7d47ffff,0x7fdc7fff,
    0x6c42ffff,0x440fffff,0x81cfffff,0x2fffffe9,0x8effffdc,0x1fffffb8,
    0x07ffffc4,0x80ffffe8,0x20effffc,0x20fffffa,0xf86ffffb,0xff80ffff,
    0x000002ff,0x00000000,0x00000000,0x203ffffc,0x261ffffd,0xfd86ffff,
    0x3fee3fff,0x3fe02fff,0x7fd43fff,0x7fd405ff,0x7ff43fff,0xfffe80ff,
    0xffffc83f,0x5ffff983,0x0fffff88,0x22ffffd8,0xd86ffffb,0x7dc4ffff,
    0x00000fff,0x00000000,0x53000000,0xffff8003,0x7fffec07,0x0bffff61,
    0xb9bfffe6,0x5c06ffff,0x7e44ffff,0xfe803fff,0x3b225fff,0xfff705ff,
    0xffff309f,0x5ffff70b,0x09ffff70,0xb826af26,0xfb86ffff,0xff72ffff,
    0xff700bff,0x7fcc09ff,0xffff76ff,0x7fffcc09,0x09ffff76,0x037fffcc,
    0xfffffb73,0xffff007d,0xffffd80f,0x03ffffa1,0xf73ffffc,0xf980bfff,
    0x7fdc5fff,0xaa9807ff,0x4022009a,0xd01ffffd,0xfe81ffff,0xffe80fff,
    0xf70001ff,0x3fa0dfff,0xfffdffff,0xffb802ff,0x3fe604ff,0xffff76ff,
    0x7fffcc09,0x09ffff76,0x837fffcc,0xfffffffd,0x3e01efff,0x7ec07fff,
    0x3ffe1fff,0x3fffa07f,0x7ffff70f,0x7ffff880,0x7fffffd4,0x4000000b,
    0x207ffff8,0x223ffffb,0xff05ffff,0x20001fff,0x306ffffb,0xffffffff,
    0x3ee005ff,0x3e604fff,0xfff76fff,0x7ffcc09f,0x9ffff76f,0x37fffcc0,
    0x3fffffa2,0xffffffff,0x0fffff02,0x11ffffe8,0x6c0fffff,0xff71ffff,
    0xff8807ff,0x7ffc47ff,0x1befffff,0x3ae60000,0x2204ffff,0x3ee5ffff,
    0xfff02fff,0x3bfb26ff,0x3ffee02c,0x3fff206f,0x001effff,0x813fffee,
    0xf76ffff9,0x7cc09fff,0xfff76fff,0x7ffcc09f,0x7fffe46f,0xfffedeff,
    0xfff80fff,0x3ffa00ff,0xffff11ff,0x7fffec0d,0x09ffff72,0x86ffff88,
    0xfffffffa,0x002dffff,0x3fffff20,0xfffd803f,0x0ffffd0f,0x2bbfffe2,
    0x4fffffff,0x0dffff70,0x3ffffff2,0x7dc000ff,0x3e604fff,0xfff76fff,
    0x7ffcc09f,0x9ffff76f,0x37fffcc0,0x1bfffff3,0x5fffffa8,0x00fffff8,
    0x4c7ffffe,0x3606ffff,0xff73ffff,0xff980bff,0xfff905ff,0xffffffff,
    0xfb0009ff,0x2005ffff,0xf8bffffa,0xff304fff,0xffffffff,0xf70dffff,
    0xfe98dfff,0xffffffff,0x7ffdc003,0x3ffe604f,0x9ffff76f,0xb7fffcc0,
    0x204ffffb,0x326ffff9,0x2605ffff,0x7c2fffff,0xf102ffff,0x3ea3ffff,
    0x3f606fff,0xfff73fff,0x7fdc01ff,0x3fea04ff,0xffffffff,0x74005fff,
    0x03efffff,0xf7bffff0,0x3ea03fff,0xdfffffff,0x43ffffff,0x266ffffb,
    0xffffffff,0x2aa1ffff,0x9ffff700,0xb7fffcc0,0x204ffffb,0xf76ffff9,
    0x7cc09fff,0x3ffa6fff,0x7fe401ff,0x7fffc4ff,0xffff905f,0x3fffea3f,
    0x3ffff606,0x7fffff74,0x1fffffc0,0x3fff6e20,0xffffffff,0xfddf000e,
    0x801bffff,0xffeffffc,0x3ffea06f,0xf711dfff,0x7dc1ffff,0xfff16fff,
    0xfff59fff,0x3ffe1dff,0x7fffdc4f,0x3fffe604,0x09ffff76,0xbb7fffcc,
    0x2604ffff,0xff16ffff,0xff500dff,0xffff8bff,0x7ffd43ff,0xfff51fff,
    0x7ffec0df,0xfffff73f,0xfffd887f,0x6dc4007f,0xffffffff,0xfea8005f,
    0x7cc05fff,0x3fffffff,0x3ffffe60,0x9ffff706,0xbb7fffdc,0x2e2fffff,
    0xf9dfffff,0x7fdc4fff,0x3fe604ff,0xffff76ff,0x7fffcc09,0x09ffff76,
    0xab7fffcc,0x9805ffff,0x7fc7ffff,0xecefffff,0x1fffffff,0x40dffff3,
    0xf72ffffd,0x9dffffff,0x7ffffffb,0xffb98000,0x0007ffff,0x03fffff1,
    0xffffffe8,0x3ffe600f,0xfff102ff,0x7fffdcbf,0x07fffff6,0xfffffffb,
    0xffb85fff,0x3fe604ff,0xffff76ff,0x7fffcc09,0x09ffff76,0xbb7fffcc,
    0x8804ffff,0x7fc7ffff,0xffffffff,0x1fffffff,0x40dffff1,0xf71ffffd,
    0xffffffff,0x0dffffff,0x7fe44000,0xd0001fff,0xb809ffff,0x05ffffff,
    0x0fffffc4,0x5cfffff0,0xff8effff,0xfe880fff,0x7fffffff,0x04ffffb8,
    0x5dbfffe6,0x2604ffff,0xff76ffff,0x7fcc09ff,0xffff56ff,0xffff300b,
    0xafffff8d,0xfbffffff,0x3ffe1fff,0x3fffa07f,0x7ffff70f,0xfffffff7,
    0xdd9501bf,0x7ff4009f,0xf70003ff,0xf880bfff,0x802fffff,0x201fffff,
    0x3ee7fffe,0xfffaefff,0x3ffe206f,0xb83fffff,0x2a04ffff,0xff76ffff,
    0x7fd409ff,0xffff76ff,0x7fffd409,0x0dffff36,0x8bffff50,0xff97ffff,
    0xffff53df,0x07ffffc3,0x2e7ffff8,0xfd33ffff,0x5407dfff,0x2007ffff,
    0x224ffffd,0x3ee01ba9,0xfd805fff,0xfd007fff,0x7fc05fff,0x3ffee7ff,
    0xfffff9ef,0x3fffea00,0xfff507ff,0x7ffdc0bf,0xbffff56f,0xb7fffdc0,
    0x205ffffa,0xf16ffffb,0xd803ffff,0x7fc4ffff,0x006a27ff,0x82ffffe8,
    0x2e6ffff9,0x4c43ffff,0xfff8800a,0xff9802ff,0xfff72fff,0x7fff40bf,
    0xfffd804f,0xfffb004f,0x7fffc09f,0x3bfffee5,0x03fffff8,0x3fffffa2,
    0xffff984f,0x3ffffa06,0x0dffff36,0x9b7ffff4,0x3a06ffff,0x3f66ffff,
    0x3e605fff,0x7fc1ffff,0x540007ff,0xfc86ffff,0x3fee3fff,0xe80003ff,
    0x401fffff,0x267ffffd,0x980fffff,0x402fffff,0x01fffff9,0x1fffff30,
    0x49ffff50,0xfd6ffffb,0xb817ffff,0xffffffff,0x3ffe20df,0xfffc83ff,
    0xffff16ff,0xffff907f,0x3fffe2df,0xffffc83f,0x3fffea6f,0x7ffd40df,
    0xffff85ff,0xfff80007,0x3ffe62ff,0x3ffee0ff,0xfb80003f,0x09cfffff,
    0xfffffd53,0xdffffe8b,0x3ffffaa2,0x3ff6200f,0x7ec006ff,0x3ee3ffff,
    0x3ee1ffff,0xfff36fff,0xffddffff,0xffffffff,0x7ff45fff,0xffcbdfff,
    0x3a6fffff,0xcbdfffff,0x6fffffff,0x37fffffa,0xffffffcb,0x7fffec6f,
    0xffffdeff,0xfff80fff,0xfc80007f,0xffefffff,0x7fdc4fff,0xb00003ff,
    0xffffffff,0xffffffff,0xffffa85f,0xfffffeff,0x6554c2ff,0x03ffffff,
    0x7ffffcc0,0xffffffff,0x37fffdc5,0xfffffff9,0xdfffffff,0x45ffffff,
    0xfffffffb,0xfffedfff,0x3ffffee6,0xfedfffff,0x3ffee6ff,0xdfffffff,
    0x7446fffe,0xffffffff,0xf02fffff,0x0000ffff,0xffffffd1,0xb81fffff,
    0x0003ffff,0xfffffd10,0xffffffff,0x3ff209ff,0xffffffff,0xfffa84ff,
    0x006fffff,0xffffff90,0x81ffffff,0x546ffffb,0xffffffff,0xff52efff,
    0xfff909ff,0x3a9fffff,0x7fe46fff,0xd4ffffff,0xffc8dfff,0xd4ffffff,
    0xfb10dfff,0xffffffff,0x7ffc01df,0xb100007f,0xffffffff,0xffff703d,
    0x6c400007,0xffffffff,0x403fffff,0xfffffffc,0xff303fff,0x03ffffff,
    0x7fffdc00,0x80efffff,0x886ffffb,0xfffffffc,0x05fd884e,0x37ffffae,
    0x21bfffa2,0x2dffffeb,0x2e1bfffa,0x22dffffe,0x2606fffe,0xefffffdb,
    0x7ffff803,0x7f640000,0x700dffff,0x0007ffff,0xffffb300,0x019dffff,
    0x3ffff660,0x3e200dff,0x01efffff,0xfffd9800,0x3ee03fff,0x4c406fff,
    0x015001aa,0x00003510,0x10000351,0x30000035,0x99980035,0x10000019,
    0x33100155,0x00000133,0x09aaa988,0x0d54c000,0x579b9700,0x2a600000,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xacdecca8,0x53000000,0x80015799,
    0x00199998,0x00266662,0x9bd99510,0x44000015,0x100001a9,0x01579973,
    0x4ccc0000,0x26200019,0xa9800999,0x97300000,0x3aa00579,0xdb10deee,
    0x54003ddd,0xfffffffd,0x80002dff,0xffffffec,0xa800dfff,0x2007ffff,
    0x004ffffd,0xffffffb5,0x0005bfff,0x3fffff66,0xea8001ef,0xffffffff,
    0xf800002e,0x0000ffff,0x207ffffd,0xdfffffd9,0x7fec4002,0x02efffff,
    0x20fffff4,0x805ffff9,0xffffffd8,0xefffffff,0xffe98001,0xffffffff,
    0x7d403fff,0x36007fff,0x4404ffff,0xfffffffd,0x1effffff,0x3ffff200,
    0x04ffffff,0xfffffb10,0xbfffffff,0x7fc00001,0xd0000fff,0xf907ffff,
    0xffffffff,0x3ffa2009,0xffffffff,0x5ffff304,0x07fffea0,0xadffffa8,
    0x7ffecc40,0x3fee002f,0xffffffff,0x0effffff,0x0fffff50,0x27fffec0,
    0x5bffff50,0xfffda883,0xfffb802f,0xffffffff,0x7ffd403f,0xffffffff,
    0x000fffff,0x1fffff00,0x3fffa000,0x7fffec3f,0xdfffffff,0x3fffe600,
    0xffffffff,0x2fffd82f,0x82fffdc0,0x000dfffa,0x007fff91,0xfffffff5,
    0xfffffdff,0x3ea0dfff,0x36007fff,0xf504ffff,0x22001bff,0x2203fffd,
    0xdeffffff,0x01ffffff,0xfffffff3,0xffffffdf,0x20000dff,0x000fffff,
    0x47ffffd0,0xfffffffa,0x03ffffff,0x37fffff6,0x7fffffca,0x801fffcc,
    0x7c40fffb,0xf50003ff,0x7f4403ff,0x40afffff,0xffffffc9,0x7ffffa84,
    0x3ffff600,0x03fff884,0x03fff500,0x87bfffee,0x03ffffd8,0x3bfffffb,
    0x3fff6a21,0x80003fff,0x000fffff,0x27ffffd0,0x1dffffe8,0x0fffffd5,
    0x03ffffe2,0x45fffff1,0x5c003cca,0x9fff42cc,0x9999aaa9,0x01fff300,
    0x37fffff2,0x7fff4c00,0x7ffd40ff,0x3ff6007f,0x3ffe84ff,0x20179510,
    0xfc80fffa,0xff982fff,0xfffa85ff,0x7fd403ff,0x80007fff,0x000fffff,
    0x27ffffd0,0xd05ffffa,0xf507ffff,0x3f209fff,0x00004fff,0xf92ffdc0,
    0xdfffffff,0x309ff705,0x00dfffff,0x2fffffc4,0x01ffffea,0x44ffffd8,
    0xfe885ffb,0xc83effff,0xfffd84ff,0x1bfffa07,0x017ffffa,0x17ffffec,
    0x7fc0d4c0,0xd0000fff,0x3ee7ffff,0xff502fff,0xfff90dff,0x2f3a203f,
    0x4000000a,0x3ff20ffe,0xffffffff,0x640ffe82,0x001fffff,0x0fffffe4,
    0x00fffff5,0x227fffec,0x7f440ffe,0x1fffffff,0x7dc0ffe8,0xff880fff,
    0x7ffd44ff,0xff1001ff,0x7f4c037b,0xff0dffff,0x20001fff,0xf93ffffe,
    0x3e203fff,0x7dc0ffff,0x50001fff,0xa809ffff,0xff54ffff,0x4c2ffc89,
    0xffa86ffd,0x2fffff43,0x7fffc400,0x3fffea2f,0x3fff6007,0x113fea4f,
    0x2e25dffd,0x3ffb86ff,0x41ffffcc,0x641ffffb,0x4005ffff,0xffff7000,
    0xff3dffff,0x20001fff,0xfb3ffffe,0x7fc01fff,0x7fd41fff,0xf50002ff,
    0xfa809fff,0x1ffb4fff,0xf882ffc8,0x26ff80ff,0x03fffff8,0x7ffffd00,
    0x03ffffd4,0x49ffffb0,0x7fd40ffd,0x887ffb06,0xfffe86ff,0xfffc99cf,
    0xffffd87f,0xfb800004,0xffffffff,0x0fffffff,0xffffd000,0x07ffff67,
    0x42fffff8,0x004ffff9,0x09ffff50,0xd4ffffa8,0x05ff90df,0x3f60dff1,
    0x3ffffe67,0xfffb0002,0x7fffd4bf,0x3fff6007,0x321bfa4f,0x403102ff,
    0xffd887fd,0xffffffff,0xffffe80e,0x7c400003,0xbbdfffff,0xfffffffe,
    0xfffd0000,0x3fffee7f,0xfffff102,0x0fffff07,0x3fffea00,0x7fffd404,
    0xff90bff4,0x03ffd985,0x3fe61ff9,0x90001fff,0x7d4dffff,0x36007fff,
    0x3fe4ffff,0x000ffe85,0x3201ff90,0xffffffff,0x3ffffe05,0x7e400002,
    0xfb82ffff,0x000fffff,0x27ffffd0,0x705ffffa,0x367fffff,0xffffffff,
    0x5404ffff,0x5404ffff,0xff8cffff,0xfffffc84,0x500effff,0x3ffea3ff,
    0xf70000ff,0x7fd4ffff,0x3f6007ff,0x9ff14fff,0x4000fff0,0xfea81ffb,
    0xefffffff,0xfffff881,0x7fc00001,0x3fa03fff,0x0000ffff,0x747ffffd,
    0x2e0cffff,0xb4ffffff,0xffffffff,0xa809ffff,0x5404ffff,0xff8cffff,
    0xfffffc84,0x7dc01dff,0xfffff51f,0x3fee0001,0x3ffea7ff,0x3ff6007f,
    0x89ff14ff,0x20007ff8,0x7fdc1ffb,0xffffffff,0x7ffcc3ff,0x200001ff,
    0x407ffff8,0x00fffffa,0x7ffffd00,0x7fffffd4,0xfffffffd,0xfffffb4f,
    0x9fffffff,0x4ffffa80,0xa7fffd40,0xbffc85ff,0x401fffda,0xfff10ffc,
    0x320003ff,0x3ea6ffff,0x36007fff,0x3fe3ffff,0x000fff85,0x7d41ff90,
    0xc88affff,0x7c4fffff,0x0002ffff,0x1bfffe60,0x1fffff10,0x3fffa000,
    0x7fffec3f,0xffffffff,0xfddd93ff,0xddddffff,0xffffa807,0x7fffd404,
    0xff90dfd4,0x00fffd45,0xffff8ffb,0xffb0002f,0x7ffd4bff,0x3ff6007f,
    0x21bfa3ff,0x7d502ffd,0xfd8ffb01,0xff881fff,0x7fff47ff,0x2a00003f,
    0xf805ffff,0x0000ffff,0x707ffffd,0xbfffffff,0x205ffff9,0x8007ffff,
    0x404ffffa,0xf94ffffa,0x42ffc83f,0xff106ffc,0x3ffffe8b,0xffffd000,
    0x3ffffcc7,0x7ffffb00,0x3ee0ffe4,0x85fff06f,0x7ffc5ff8,0x3fff607f,
    0x3ffff61f,0xb8154004,0xf805ffff,0x0000ffff,0x205ffffd,0xb3dffec9,
    0xf105ffff,0x5000bfff,0xa809ffff,0xff34ffff,0x442ffc89,0xffb82fff,
    0x37fffec2,0x7fffcc00,0x3fffe62f,0x3fffa007,0x213fe63f,0xda8bfffe,
    0x2ffb85ff,0x813fffe6,0x323ffffa,0x4006ffff,0xf50adffe,0xff00bfff,
    0x2a621fff,0x3ffa02ca,0xfd0002ff,0xff503fff,0xf50009ff,0xfa809fff,
    0x3ffa4fff,0x2e0bff20,0x3ff40fff,0x1fffffdc,0x3ffffa00,0x3fffe20f,
    0xffff001f,0x40ffe85f,0xfffffff9,0x3ff440ff,0x813fffee,0x2a5ffff9,
    0x002fffff,0x25fffff3,0x406ffff9,0x30fffff8,0x7c0bffff,0x0002ffff,
    0xb01fffff,0x0003ffff,0x809ffff5,0x2e4ffffa,0x0bff26ff,0xff927ffc,
    0xfffff109,0x3fea001f,0xfff84fff,0xffa806ff,0x7fdc1fff,0xffffd885,
    0x4ffd81df,0x037fffcc,0xe87ffff5,0xd006ffff,0x7c4fffff,0x2a00ffff,
    0xf10fffff,0x3e20ffff,0x2661ffff,0xfff502ba,0xffff50df,0x3fea0009,
    0x7fd404ff,0xa7fec4ff,0x33100998,0xa81bfea3,0x02ffffff,0x7fffffe4,
    0xfffffd80,0x3fffe203,0x09ffb07f,0xfb80aea6,0xffff886f,0xffffb01f,
    0xfffffa85,0x3fff600d,0x7fff44ff,0x3fffa04f,0x3fffe0ff,0xffffb82f,
    0x1ffffe27,0x217fffec,0x006ffff9,0x13fffea0,0x89ffff50,0x0005fff8,
    0xd803fff9,0xbdffffff,0xfffeba89,0xff303fff,0x139dffff,0xfffffd73,
    0x37ffe207,0xfffc8000,0xdffffd01,0x7fffe445,0xffffd80f,0xeb98abff,
    0x40ffffff,0x83fffffa,0x0ffffffd,0x2ffffffa,0xfffffb98,0x67ffff45,
    0x1bffff20,0xdbfffff3,0x73359dff,0x7ffd41fb,0x7ffd404f,0xefff984f,
    0xfffb3002,0xffff3005,0xffffffff,0x0dffffff,0xffffffd8,0xffffffff,
    0x3e600fff,0xd3002eff,0x7d405fff,0xfdefffff,0x104fffff,0xffffffff,
    0xffffffff,0x3fffa05f,0xffedceff,0x260fffff,0xffffffff,0x41ffffff,
    0xdffffffb,0x42ffffff,0xfffffffc,0xffffffff,0x3ffea4ff,0x7ffd404f,
    0xfffd304f,0x2e62337d,0x001efffe,0x3fffffa6,0xffffffff,0xfe9804ff,
    0xffffffff,0x03ffffff,0xbffffe98,0xfeba989a,0xfc801eff,0xffffffff,
    0x74406fff,0xffffffff,0x03ffffff,0x3fffffea,0xffdeffff,0x7ffec0ff,
    0xffffffff,0xffffd04f,0xbfffffff,0xffffff10,0xffffffff,0x3ea1ffff,
    0x7d404fff,0x7e404fff,0xffffffff,0x000dffff,0xffffff70,0x3dffffff,
    0x7ffec400,0xffffffff,0x7e4001ef,0xffffffff,0x000dffff,0x3ffffff2,
    0x000dffff,0xfffffff7,0x005fffff,0xfffffff3,0xffff91df,0xffffd881,
    0x04ffffff,0x3fffffe2,0x3603ffff,0xffffffff,0xffffffff,0x9ffff53f,
    0x4ffffa80,0xffffc880,0x01cfffff,0xffec8800,0x03deffff,0x3fffaa00,
    0x04efffff,0x3fff2200,0x1cffffff,0xfffb3000,0x0005ffff,0xfffffd93,
    0xd88007ff,0x324fffff,0xf500ffff,0x5bffffff,0xffff9100,0xf9803bff,
    0x3b2a209d,0x1dffffff,0x809ffff5,0x004ffffa,0x0d5e5d4c,0x26200000,
    0x4000009a,0x0aaaaa98,0x5d4c0000,0x00001abc,0x0004d54c,0x00355300,
    0x0002a600,0x04d54c40,0x0554c400,0xa8800600,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x00013333,0x99751000,0x00013579,0x00001a98,0x310006a6,
    0x00003333,0x04eeee98,0x99999988,0x00999999,0x57531000,0xfff98003,
    0xffffffff,0x266620ff,0x99988009,0x26666219,0x99999999,0x21999999,
    0x31099998,0xffc81333,0x000003ff,0x3fffff6a,0x00cfffff,0x3ffff620,
    0xffff71df,0x3fffa601,0xfff90dff,0x3ffffd4f,0xfff10000,0xfa805fff,
    0xffffffff,0x00cfffff,0xffffea80,0xb801dfff,0xffffffff,0x320fffff,
    0xc806ffff,0x3ea6ffff,0xffffffff,0xffffffff,0xffff50ff,0x13fffea9,
    0x007ffff9,0xfffb1000,0xffffffff,0xf3007fff,0xffffffff,0x01ffff73,
    0xfffffff7,0xffff91df,0x03ffffd4,0xffffb000,0x7d401fff,0xffffffff,
    0x3fffffff,0xffffd300,0x9fffffff,0x7fffe401,0xffffffff,0x3fffe20f,
    0x3ffe202f,0x3ffea2ff,0xffffffff,0xffffffff,0x29ffff50,0x644ffffa,
    0x0003ffff,0x7ffff4c0,0xffffffff,0x2603ffff,0xffffffff,0xffffdfff,
    0x7ffffdc0,0xfeffffff,0x3ffea7ff,0xf500007f,0xbfff79ff,0x7ffffd40,
    0xffffffff,0x200effff,0xffffffe8,0x5fffffff,0x3fffffa0,0xffffffff,
    0x37fffe40,0x8dffff90,0xfffffffa,0xffffffff,0xff50ffff,0x3ffea9ff,
    0x7fffe44f,0x3e200003,0xffffffff,0xfffffffe,0xfffd02ff,0xffd99dff,
    0xf81fffff,0xbbdfffff,0x7ffffffe,0x01ffffea,0x9bffe200,0xf503fffc,
    0xffffffff,0xffffffff,0x7ffec0df,0xffcacfff,0xff04ffff,0xdddddfff,
    0xf881dddd,0xf881ffff,0x7d42ffff,0xffffffff,0xffffffff,0xffff50ff,
    0x13fffea9,0x007ffff9,0x7fffec00,0x76541bff,0xa87fffff,0xb83fffff,
    0x20ffffff,0x81fffffb,0x27fffffb,0xaafffffa,0x801999aa,0x6641ccca,
    0xffff504c,0x5333333f,0x5ffffffb,0x5fffff50,0x3ffffea0,0x1ffffc40,
    0xffff9000,0xdffff90b,0x3fffff50,0x33333333,0x7d433333,0x55514fff,
    0xffffc835,0xff700003,0x8803dfff,0x42ffffff,0x205ffffe,0x20fffffc,
    0x203fffff,0x2a7ffffd,0xffffffff,0x3fffffff,0x3ea00000,0xea807fff,
    0xfc87ffff,0x7f402fff,0x7fd42fff,0x220002ff,0x221fffff,0xa82fffff,
    0x0007ffff,0x04ffffa8,0x0fffff20,0x74001551,0x000fffff,0x8bfffff5,
    0x201fffff,0x10fffff9,0x980fffff,0x3ea7ffff,0xffffffff,0xefffffff,
    0xfa800000,0xf5007fff,0xfe89ffff,0xffa807ff,0x7ffe44ff,0x7e40000f,
    0x3fee5fff,0xfff506ff,0xf50000ff,0x64009fff,0xfd53ffff,0x9809ffff,
    0x003fffff,0x104de764,0xf00fffff,0x3e61ffff,0x7c406fff,0x3fea7fff,
    0xffffffff,0xefffffff,0x9ffff500,0xfffff500,0x7fffec00,0x01e5d4c7,
    0x227fffd4,0x7517fffd,0x7fc40015,0xffff0fff,0x3ffea05f,0xfa80007f,
    0xfff54fff,0xffffc89f,0xffffffcb,0xff900eff,0x00000dff,0x00dffff3,
    0x2a1ffffd,0xf805ffff,0x3fea7fff,0xffffffff,0xffffffff,0x9ffff505,
    0xfffff500,0x7fffcc00,0x7ec0001f,0x7ffc1fff,0xfffffeff,0xfffb001e,
    0xdffff59f,0x3ffffd40,0x7ffd4000,0x9ffff54f,0xffffffc8,0xffffffff,
    0xffffd06f,0xf5000009,0xfd00dfff,0x3fee1fff,0xffe805ff,0x3fffea7f,
    0xa999999f,0x1ffffffd,0x04ffffa8,0x07ffffa8,0x3ffffe20,0x3fee0002,
    0x7ffc47ff,0xffffffff,0xff9803ff,0xffffdeff,0x3fffea02,0xffa80007,
    0xffff54ff,0xfffffc89,0xffecacff,0xfff83fff,0x800003ff,0x806ffff9,
    0xf50ffffe,0xff00dfff,0x7ffd4fff,0xfffc807f,0xfffa83ff,0xfffa804f,
    0x7ff4007f,0xf90003ff,0xf987ffff,0xffffffff,0x802fffff,0xfffffffd,
    0x7ffd406f,0xffffffff,0x0fffffff,0x553fffea,0x7e44ffff,0xd80effff,
    0x220fffff,0x002fffff,0xfffff000,0x1fffff00,0x01ffffe6,0x54fffff1,
    0xf007ffff,0xf509ffff,0x77409fff,0xeefffffe,0xffd03eee,0xfb0009ff,
    0xf70bffff,0xf99dffff,0x41ffffff,0xfffffff8,0xffffffff,0x3fea2fff,
    0xffffffff,0xffffffff,0x53fffea0,0x644ffffa,0x101fffff,0x4c7fffff,
    0x201fffff,0xfffffff8,0x3fe2ffff,0x3ea01fff,0xff10ffff,0x7e405fff,
    0x3fea7fff,0xffb007ff,0xfff50bff,0x7fffc09f,0xffffffff,0xffffd04f,
    0x7ff44009,0xff704fff,0xfff507ff,0x7ffc49ff,0xffffffff,0x2fffffff,
    0x3fffffea,0xffffffff,0x3ea0ffff,0xfff54fff,0xffffc89f,0x7fffe405,
    0x3ffffe24,0x3fffe202,0x2fffffff,0x813ffff6,0x20fffffe,0x306ffffd,
    0x54ffffff,0xd007ffff,0xf509ffff,0x7fc09fff,0xffffffff,0xffd04fff,
    0x7ec009ff,0x8804ffff,0x3ffee019,0x3fffe26f,0xffffffff,0x22ffffff,
    0xfffffffa,0xffffffff,0x3fea0fff,0xffff54ff,0x4ffffc89,0x2ffffd40,
    0x80fffffe,0xfffffff8,0x3e62ffff,0x6c43ffff,0x20ffffff,0xaefffffa,
    0xfffffb98,0x3fffea7f,0xffff9807,0xffffa82f,0x3ff73204,0xcccccfff,
    0x7ffffd02,0x3fffea00,0x2200003f,0x3e27ffff,0xffffffff,0xffffffff,
    0x3fffea2f,0xaaaaaaaf,0x20aaaaaa,0xf54ffffa,0xffc89fff,0x7fcc03ff,
    0x7fffc6ff,0x3ffe204f,0xffffffff,0x7ffffec2,0xfffffdce,0x7ff40fff,
    0xffffffff,0x2a7fffff,0x4407ffff,0x81fffffd,0x804ffffa,0x007ffffa,
    0x017ffffc,0x04ffffc8,0xffff8000,0xfffb800f,0xfff5004f,0xf50000ff,
    0x3fea9fff,0x7ffe44ff,0x7ffc403f,0x7ffff47f,0x55555405,0x42fffffa,
    0xfffffff8,0xffffffff,0x7fff440f,0xfaffffff,0x3fea7fff,0xaaaaafff,
    0xffffffcb,0x9ffff507,0xfffff500,0x7fffc400,0xfffd000f,0x3a00000d,
    0xb801ffff,0x5004ffff,0x000fffff,0x29ffff50,0x644ffffa,0x4c03ffff,
    0x7dc6ffff,0x8001ffff,0x982fffff,0xffffffff,0x0fffff8e,0xfffffd88,
    0xfffff2ff,0x7fffffd4,0xffffffff,0xf502ffff,0xf5009fff,0x5400ffff,
    0x2007ffff,0x8004ffff,0x7fffc009,0xddddd10f,0xdfffffdd,0x543ddddd,
    0x0007ffff,0x54ffffa8,0xfc89ffff,0x7d404fff,0x7fc45fff,0xf8005fff,
    0xb102ffff,0x21bfffff,0x200fffff,0x20bdfeca,0x3ea7ffff,0xffffffff,
    0xffffffff,0x3fffea03,0xffffa804,0x3fff6007,0xfff1006f,0xffd3007f,
    0x7ffc40ff,0x3fffe27f,0xffffffff,0x22ffffff,0x007ffffa,0x4ffffa80,
    0xc89ffff5,0x6407ffff,0xfd84ffff,0x2002ffff,0x02fffff8,0xfff80a98,
    0x7c0000ff,0x3fea7fff,0xffffffff,0x03ffffff,0x027fffd4,0x03ffffd4,
    0x3fffffa8,0x02666600,0x1fffffc0,0x25ffffc8,0xfffffff8,0xffffffff,
    0x3fea2fff,0xa80007ff,0xff54ffff,0xfffc89ff,0xfff103ff,0xfff305ff,
    0xf7007fff,0x005fffff,0x0fffff80,0x8026af32,0x2a6ffff8,0xffffffff,
    0x02deffff,0x09ffff50,0x0fffff50,0xdfffff70,0x36000000,0x222fffff,
    0x20fffffc,0xfffffff8,0xffffffff,0x3fea2fff,0xa80007ff,0xff54ffff,
    0xfffc89ff,0x7f442fff,0x3ee06fff,0xabefffff,0xffffca98,0x0002ffff,
    0xb07ffffc,0x201fffff,0x2a4ffffc,0x0007ffff,0x27fffd40,0x7ffffd40,
    0xecbaaaaa,0x01ffffff,0x1ffffe20,0x7ffffcc0,0xfffffdff,0x9999984f,
    0x9dffffb9,0x2a099999,0xaaafffff,0xaaaaaaaa,0xfff51aaa,0x3fffea9f,
    0x7ffffe44,0xfffdceff,0x7ec02fff,0xffffffff,0xffffffff,0x40000eff,
    0x2e0fffff,0x9befffff,0xfffffcb9,0x1ffffea1,0xfff50000,0xfff5009f,
    0xffffffff,0x9fffffff,0xffff8800,0x3ffea007,0xffffffff,0x7fdc005f,
    0xff5004ff,0xffffffff,0xffffffff,0x3fffea9f,0x89ffff54,0xffcffffc,
    0xffffffff,0xffff9006,0xffffffff,0x01bfffff,0xfffff000,0x7ffffc41,
    0xffffffff,0x7ffd44ff,0x5400007f,0xa804ffff,0xffffffff,0xffffffff,
    0x7c4000df,0x5c007fff,0xffffffff,0xfb8004ff,0xf5004fff,0xffffffff,
    0xffffffff,0x3ffea9ff,0x9ffff54f,0xb8ffffc8,0xffffffff,0x7ffd4005,
    0xffffffff,0x0001dfff,0x03ffffe0,0xfffffff3,0x1dffffff,0x07ffffa8,
    0x7ffd4000,0xfffa804f,0xffffffff,0x001effff,0x0fffff10,0xffffb100,
    0x20005bff,0x004ffffb,0xfffffff5,0xffffffff,0x3ea9ffff,0xfff54fff,
    0xffffc89f,0xdffffb50,0x7ed40007,0xceffffff,0xf800000a,0xc980ffff,
    0xffffffff,0xfff503ff,0xa80000ff,0xa804ffff,0xffffffff,0x02cceeff,
    0x7fffc400,0x554c0007,0xffb80001,0xff5004ff,0xffffffff,0xffffffff,
    0x3fffea9f,0x09ffff54,0x0002a600,0x01553300,0x26600000,0x5d440199,
    0x009acccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33333330,0x33333333,0x2a000133,0x88000aaa,
    0x200001a9,0x00099998,0x00333330,0x884cccc4,0x00009999,0xe88bbbb6,
    0x33310eee,0x00000013,0x26666662,0x99999999,0x99999999,0x66544009,
    0x266621ab,0x99999999,0x01c00009,0xfffffff3,0xffffffff,0xf7000bff,
    0x22003fff,0xeffffffd,0x3fe20002,0x4000ffff,0x007ffff9,0x5d7ffff2,
    0x0003ffff,0xf88ffffa,0xfff50fff,0x0000009f,0x3ffffff2,0xffffffff,
    0xffffffff,0x3fff603f,0xff50ffff,0xffffffff,0x005dffff,0xff303754,
    0xffffffff,0xbfffffff,0xffff9800,0xfffc801f,0xdfffffff,0xfffb8000,
    0x4c003fff,0x2007ffff,0xf75ffffc,0x40007fff,0x3e23fffe,0xfff50fff,
    0x0000009f,0xfffffff1,0xffffffff,0xffffffff,0x3fff607f,0x3ea7ffff,
    0xffffffff,0xefffffff,0x1bff6200,0xffffff98,0xffffffff,0x74005fff,
    0x401fffff,0xfffffffb,0x006fffff,0xffffffe8,0x7ffcc007,0x3ff2007f,
    0xffff75ff,0x7ff40007,0x3fffe23f,0x09ffff50,0xff900000,0xffffffff,
    0xffffffff,0x07ffffff,0xfffffff5,0x7fffd4df,0xffffffff,0x80efffff,
    0x206ffff8,0xfffffff9,0xffffffff,0x3f2005ff,0x201fffff,0xfffffff9,
    0x4fffffff,0x3fffe600,0x2002ffff,0x007ffff9,0x5d7ffff2,0x0003ffff,
    0xc887332e,0xfff50ccc,0x8000009f,0xeefffff8,0xffffffff,0xffffffff,
    0xfffb83ff,0x2a199aef,0xffffffff,0xffffffff,0xfff884ff,0x3ffe606f,
    0x999999ff,0x00999999,0xffffff30,0x7ffec03f,0x3ff662ef,0xf9000fff,
    0xbfffffff,0x7fffcc00,0x3fff2007,0x7ffff75f,0x50000000,0x0009ffff,
    0xffffb800,0x2fffffa5,0x99999999,0xfc809999,0x3ea03fff,0x9999ffff,
    0xfffffb99,0x7ffc40ff,0x3ffe606f,0x2000007f,0xfffffffe,0x3ffffe01,
    0xfffff880,0xfffff001,0x001fffff,0x01ffffe6,0x75ffffc8,0x0007ffff,
    0xfff50000,0x8000009f,0x3a2fffff,0x0003ffff,0x03ffffb0,0x03ffffd4,
    0x1fffffe4,0x81bfffe2,0x007ffff9,0xffff9000,0x2603ffff,0x3605ffff,
    0xa803ffff,0xffddffff,0xff3003ff,0x7e400fff,0xfff75fff,0x0000007f,
    0x09ffff50,0xa8000353,0x7f46ffff,0x00003fff,0x403ffffb,0x807ffffa,
    0x74fffff8,0xffffffff,0x7ffcc5ff,0x9800007f,0xfffeffff,0xdb97101f,
    0x7fffe407,0xffffd803,0x07ffffaa,0x0fffff30,0xaffffe40,0x883ffffb,
    0x00ffffff,0x209ffff5,0xb14ffffa,0x01bfffff,0x7ffffd00,0x03ffffe8,
    0x3ffff200,0x47ffffff,0x007ffffa,0x2ebffffd,0xffffffff,0x3ffe62ff,
    0xe800007f,0xfffccfff,0xfd00001f,0xf8803fff,0xfff17fff,0xff3005ff,
    0x7e400fff,0xfff75fff,0xfffe887f,0x3fea01ff,0xfff504ff,0xfffff39f,
    0x4005ffff,0xe87ffffa,0x0003ffff,0x3ffffff2,0x7d47ffff,0xfd007fff,
    0x3fee9fff,0xffffffff,0x1ffffe62,0xfff90000,0x3ffff91d,0xfff30000,
    0xffb801ff,0x3fff24ff,0xfff9805f,0x3ff2007f,0xffff75ff,0xfffffd87,
    0x7fffd401,0xdffff504,0xffffffff,0x7f400fff,0xffe83fff,0x320003ff,
    0xffffffff,0x7ffd47ff,0xfff8807f,0xffff72ff,0x45ffffff,0xccfffff9,
    0xcccccccc,0x7fffcc04,0x03ffff91,0xffff9000,0xffffd00b,0x7ffffcc3,
    0x7fffcc00,0xffffffff,0xffffffff,0x47ffff75,0x01fffffd,0x04ffffa8,
    0xfffffff5,0xffffd97b,0xfff3005f,0xfffd01ff,0xffffffff,0x645fffff,
    0xffffffff,0x7ffd47ff,0x7ff4407f,0x7fc41fff,0x3fe606ff,0xffffffff,
    0x207fffff,0x324fffe8,0x0001ffff,0x0fffffdc,0x1bfffe60,0x013ffffa,
    0xfffffff3,0xffffffff,0x2ebfffff,0xff93ffff,0x2a005fff,0xf504ffff,
    0xd03fffff,0xb00bffff,0x3a09ffff,0xffffffff,0xffffffff,0x3ffffb02,
    0x7ffffd40,0xfdbaaaaa,0x887fffff,0x2606ffff,0xffffffff,0x7fffffff,
    0x91bfff20,0x0003ffff,0x27ffffdc,0x27fffec0,0x03ffffe4,0x3fffffe6,
    0xffffffff,0x75ffffff,0xff77ffff,0x54005fff,0xf504ffff,0x2a05ffff,
    0x4c05ffff,0xd01fffff,0xffffffff,0xffffffff,0x3ffff605,0x3fffea01,
    0xffffffff,0x82ffffff,0x206ffff8,0xfffffff9,0xffffffff,0x3ffff507,
    0x01ffffc8,0xfffff700,0xfff8801f,0xfff881ff,0x3fe602ff,0xffffffff,
    0xffffffff,0xffff75ff,0x07fffffd,0x4ffffa80,0x0fffff50,0x037fffc4,
    0x817ffff2,0xfffffffe,0xffffffff,0xffffb02f,0x7fffd403,0xffffffff,
    0x103fffff,0x4c0dffff,0xeeefffff,0x5eeeeeee,0x84ffff88,0x001ffffc,
    0xffffffb8,0xffffb801,0x3ffffa06,0x3fffe605,0xcccccccf,0xffffeccc,
    0xffffff75,0x8005ffff,0x504ffffa,0x440dffff,0x2206ffff,0x202fffff,
    0xaacffffe,0xaaaaaaaa,0xffffb00a,0x7fffd403,0xffffffff,0x2203ffff,
    0x2606ffff,0x0007ffff,0xc837ffec,0x4001ffff,0x1ffffffb,0xbffffd00,
    0xfb555555,0x2601ffff,0x2007ffff,0xf75ffffc,0xffffffff,0x7d4001ff,
    0xff504fff,0x7fc40bff,0x3ff207ff,0xeeeeefff,0x3fffffee,0xfffb0000,
    0x7ffd403f,0xffffffff,0xf8803eef,0x3e606fff,0x20007fff,0xeeeffff9,
    0xffffeeee,0x7dc03eee,0x001fffff,0xfffffff3,0xffffffff,0x3e609fff,
    0x32007fff,0xff75ffff,0xffffffff,0x7fd4009f,0xfff504ff,0x7ffc409f,
    0xffff107f,0xffffffff,0x07ffffff,0x3fff6000,0x3ffea01f,0x2200007f,
    0x2606ffff,0x0007ffff,0x3fffffea,0xffffffff,0x2e04ffff,0x01efffff,
    0x3fffff20,0xffffffff,0x307fffff,0x400fffff,0xf75ffffc,0xffbfffff,
    0x2a001fff,0xf504ffff,0x7c409fff,0xff707fff,0xffffffff,0xffffffff,
    0x3f600007,0x3ea01fff,0x00007fff,0x81bfffe2,0x007ffff9,0x3ffffea0,
    0xffffffff,0x704fffff,0x01dfffff,0xffffff80,0xffffffff,0x82ffffff,
    0x007ffff9,0x5d7ffff2,0xf95fffff,0x2a00bfff,0xf504ffff,0x7c409fff,
    0xfff07fff,0xffffffff,0xffffffff,0x3f600007,0x3ea01fff,0x00007fff,
    0x81ffffe2,0x007ffff9,0x3ffffea0,0xffffffff,0x984fffff,0x00efffff,
    0x7ffffd40,0xffffffff,0x5fffffff,0x07ffff98,0x57ffff20,0x10effffb,
    0x003fffff,0x209ffff5,0x204ffffa,0xb87ffff8,0xeeefffff,0xffeeeeee,
    0x00003fff,0x403ffffb,0x007ffffa,0x3fffe200,0x3fffe607,0x3ba60007,
    0xeeeeeeee,0xeeeffffe,0x7ffff443,0xffd8001f,0x3ee004ff,0x7cc0ffff,
    0x32007fff,0xff75ffff,0xfffb87ff,0xfffa806f,0xffff504f,0x7fffc409,
    0x5ffffe87,0x7ffffd00,0x3ff60000,0x3fea01ff,0x200007ff,0x20fffff8,
    0x1ffffe60,0x7e400000,0x3ee01fff,0xccceffff,0x22cccccc,0x01fffff8,
    0x3ffffe20,0x3ffffcc4,0xbffff900,0x20ffffee,0x403ffffe,0x504ffffa,
    0x4409ffff,0x7d47ffff,0xd001ffff,0x5559ffff,0x55555555,0xffffb055,
    0x7fffd403,0x7fc00007,0x22feffff,0x007ffff9,0xfff90000,0x7fff403f,
    0xffffffff,0x3f24ffff,0xd8006fff,0x7cc7ffff,0x32007fff,0xff75ffff,
    0xfff507ff,0x7fd401ff,0xfff504ff,0x7ffc409f,0x7ffff47f,0x3fffa006,
    0xffffffff,0x87ffffff,0x201ffffd,0x007ffffa,0x7fffec00,0x3fe63fff,
    0x000007ff,0x03ffff90,0x3fffffe6,0xffffffff,0x3fffa4ff,0xffa8003f,
    0x3fe62fff,0x3f2007ff,0xfff75fff,0x3fff607f,0x3ffea04f,0xffff504f,
    0x7fffc409,0x3ffffe67,0x3fffa002,0xffffffff,0x87ffffff,0x201ffffd,
    0x007ffffa,0x7fffd400,0x3fe64fff,0x000007ff,0x03ffff90,0x3ffffff2,
    0xffffffff,0xffff54ff,0x3fe0001f,0x3fe65fff,0x3f2007ff,0xfff75fff,
    0x3ffe607f,0xfff500ff,0x3ffea09f,0x3ffe204f,0x3ffff67f,0x7fff4007,
    0xffffffff,0x87ffffff,0x201ffffd,0x007ffffa,0xffffa800,0x3ffe64ff,
    0x0000007f,0x203ffff9,0xfffffffe,0xffffffff,0xdffffb4f,0x7ffe4000,
    0xffff30ff,0x7ffe400f,0x7ffff75f,0x2ffffec0,0x04ffffa8,0x409ffff5,
    0xf37ffff8,0x8007ffff,0xfffffffe,0xffffffff,0xfffd87ff,0x3ffea01f,
    0x2000007f,0x000009a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26620000,0x99999999,0x4cc00099,
    0x26200199,0x00099999,0x4ccc4000,0x30009999,0x43333333,0x20019999,
    0x26099998,0x99999999,0x00009999,0x00131004,0x310aaa98,0x99981333,
    0x99999999,0x19999999,0x00cccccc,0x4ccccc40,0xfa800000,0xffffffff,
    0x00cfffff,0x03ffffcc,0xfffffe88,0x3fffe21f,0x3ea0000f,0x05ffffff,
    0xffffff88,0xfffff37f,0x3ffea005,0xfffff34f,0xffffffff,0x54005bff,
    0x3e21cffd,0x3fe2002f,0xffffb3ff,0xffffff8b,0xffffffff,0x320fffff,
    0x004fffff,0x3fffffe2,0x27ffff70,0x204ffffa,0xfffffffa,0xffffffff,
    0x3ffe603f,0xfffd007f,0xff883fff,0x20000fff,0xfffffffa,0xffffb807,
    0xfff37fff,0x3ea00dff,0xfff34fff,0xffffffff,0x1dffffff,0xfffff980,
    0x01ffedff,0x4fffff20,0x7c5ffffd,0xffffffff,0xffffffff,0x7fff40ff,
    0xff9001ff,0x7fdc5fff,0xffff53ff,0x7fffd409,0xffffffff,0x80efffff,
    0x807ffff9,0x1ffffffd,0x0fffff88,0x3ffea000,0x401fffff,0xfffffffd,
    0xffffff37,0xffff5009,0x3ffffe69,0xffffffff,0x406fffff,0xfffffffb,
    0x2e006fff,0xfb3fffff,0xfff8bfff,0xffffffff,0xffffffff,0x7ffffcc0,
    0xffff9805,0x7fffdc5f,0x09ffff53,0x7fffffd4,0xffffffff,0xf985ffff,
    0x7ec07fff,0x101fffff,0x001fffff,0x7ffffd40,0x7fc03fff,0x37ffffff,
    0x3fffffff,0x4ffffa80,0xfffffff3,0xffffffff,0x7409ffff,0xfff9515f,
    0x3fee003b,0xffb3ffff,0xffff8bff,0xffffffff,0x0fffffff,0x2fffffd8,
    0x7ffffec0,0x9ffffdc0,0x204ffffa,0x99fffffa,0xffeb9999,0x7cc2ffff,
    0x3f207fff,0x202fffff,0x00fffff8,0x3fffea00,0x2605ffff,0xffffffff,
    0xffffff37,0xfffa80bf,0xfffff34f,0x33333333,0x0dfffff9,0x01980554,
    0xfffffb30,0x3fff67ff,0x4ccccc5f,0xfa999999,0x104fffff,0x01ffffff,
    0x0fffffea,0x54ffffee,0x2a04ffff,0xa807ffff,0x4c6ffffe,0xf707ffff,
    0x805fffff,0x00fffff8,0x3fffea00,0x2e07ffff,0xffffffff,0xffffff37,
    0x7fd405ff,0xffff34ff,0x3ffea00f,0x000000ff,0x3fffff22,0xffb3ffff,
    0x74000bff,0x406fffff,0x04fffffa,0x00dffffd,0xfff50000,0x3fea00ff,
    0x3fe64fff,0xfffb87ff,0xf8802fff,0x0000ffff,0x3f7fffea,0xffb02fff,
    0x2fffffbf,0xfffffff9,0xfff500ff,0x3fffe69f,0x3fffe007,0x9a98002f,
    0xfffff100,0x27ffffff,0x005ffffc,0xffffffb0,0xffffb001,0xffffb81f,
    0x8000001f,0x007ffffa,0x99fffff6,0x7d47ffff,0x002fffff,0x01fffff1,
    0x7fffd400,0xf04ffffb,0xffff7fff,0x3ffffe6f,0xf504ffff,0x3fe69fff,
    0x3fa007ff,0x3fea0fff,0xfffb31ff,0xff883dff,0xfffcdfff,0x9ffff73f,
    0xffff7000,0x3e2003ff,0x3e25ffff,0x0004ffff,0xffff5000,0x7ffcc00f,
    0xffff30ff,0x7ffffccf,0x3fe2003f,0x20000fff,0xfdbffffa,0xfff986ff,
    0x37ffff9f,0xffffffff,0xfff503ff,0x3fffe69f,0xffff3007,0x9ffffa8b,
    0xfffffff9,0x3ffe22ff,0x7ffff93f,0x00ffffee,0xffffff30,0xfffb8005,
    0xffffb2ff,0x0000001d,0x01ffffea,0x2fffff88,0x26fffff3,0x03ffffff,
    0x7ffffc40,0x3fea0000,0xffffbbff,0xfbfffdc0,0xfff37fff,0xdffffdbf,
    0x29ffff50,0x807ffff9,0x43ffffea,0xffcffffa,0xffffffff,0x439ff10f,
    0xf53ffffc,0x44005fff,0x04ffffff,0xdffffd00,0x05fffff3,0x7d400000,
    0x7c007fff,0xff33ffff,0xffff3fff,0x88005fff,0x000fffff,0x2ffffea0,
    0x6c2ffff8,0xffff5fff,0x33fffe6f,0x43fffffa,0xf34ffffa,0xddddffff,
    0xfffffddd,0xffff507f,0xfd97bfff,0x3227ffff,0x3ffffc80,0x005ffff3,
    0x2ffffff4,0xffff3000,0x0bffffff,0xfa800000,0x74007fff,0xff34ffff,
    0xffffffff,0x4001ffff,0x00fffff8,0x3fffea00,0xf89ffff3,0xffff3fff,
    0x53fffe6f,0x20fffffd,0xf34ffffa,0xffffffff,0xffffffff,0x3fffea05,
    0x7ffc40ff,0xffc805ff,0xffff13ff,0x3fff6003,0x40000eff,0xfffffffc,
    0x000000ff,0x3ffffd40,0x3ffffa00,0xffffff34,0xffffffff,0x7ffc4009,
    0x2a0000ff,0xffb3ffff,0x7fffccdf,0x26fffff1,0xff14ffff,0x7fd4bfff,
    0xffff34ff,0xffffffff,0x019fffff,0x05fffff5,0x017fffea,0xf8fffff2,
    0xfb800fff,0x001fffff,0xfffff880,0x00003fff,0xffffa800,0x7fff4007,
    0xfffff34f,0xffffffff,0x3e2003ff,0x0000ffff,0x5cffffea,0xff70ffff,
    0xbffffcff,0x2e4ffff9,0xf51fffff,0x3fe69fff,0xffffffff,0xffffffff,
    0x7fffd42f,0x3fffe607,0xffffc806,0x201fffe3,0x2ffffffa,0x3fea0000,
    0x0006ffff,0xfff50000,0xfff800ff,0xffff33ff,0xff17ffff,0x2200dfff,
    0x000fffff,0x4ffffea0,0xfd2ffff8,0x7fffcbff,0x89ffff37,0xf56ffffe,
    0x3fe69fff,0xcccccfff,0xffffedcc,0x3ffea2ff,0x3ffe205f,0xfffc807f,
    0x01fffa3f,0x7ffffff1,0xffb00000,0x5c003fff,0xff53ffff,0x7fd409ff,
    0x3e2007ff,0xff32ffff,0x649fffff,0x804fffff,0x00fffff8,0x3fffea00,
    0x237fffe3,0x3fe3ffff,0xffff37ff,0xfffff989,0x34ffffab,0x200fffff,
    0x27fffff9,0x205ffffa,0x807ffff8,0x363ffffc,0x3fa206ff,0x0005ffff,
    0xdffff700,0xffffb800,0x09ffff53,0x03ffffd4,0x3fffff30,0x3fffffe6,
    0x7ffffc44,0x7ffc401f,0x2a0000ff,0x3f63ffff,0xffffafff,0x4dffffe1,
    0xfc84ffff,0xfffbffff,0xfffff34f,0x7fffcc00,0x9ffff52f,0x3ffffc40,
    0x1ffffe40,0x7ec0bff9,0x000effff,0xffff7000,0xfffb800d,0x9ffff53f,
    0x3ffffd40,0xfffff500,0x27ffffcc,0x6fffffa8,0x7ffffc40,0x3fea0000,
    0x3ffee3ff,0x7c7fffef,0xfff37fff,0xffff109f,0x29ffffff,0x007ffff9,
    0xaa7ffffc,0x2204ffff,0xc807ffff,0x3f23ffff,0xffff704f,0x000001ff,
    0x037fffdc,0x4ffffee0,0x204ffffa,0x007ffffa,0x99bffff6,0x7407ffff,
    0x203fffff,0x00fffff8,0x3fffea00,0x3ffffe23,0x7ffc5fff,0x9ffff37f,
    0x3ffffea0,0xff34ffff,0xfe800fff,0xfff54fff,0x7ffc409f,0xfffc807f,
    0x213fee3f,0x1ffffffa,0x7dc00000,0x5c006fff,0xff52ffff,0x7fd409ff,
    0xff5007ff,0x7fcc5fff,0x7fcc07ff,0xf101ffff,0x0001ffff,0x21ffffd4,
    0xffffffff,0x9bffffc3,0x3604ffff,0xffffffff,0x0fffff34,0x7ffffcc0,
    0x09ffff52,0x03ffffc4,0x11ffffe4,0xfff98133,0x00003fff,0x6ffffb80,
    0x03ff3000,0x3fffea00,0xfffea807,0x7fffcc5f,0xffffd807,0xffff106f,
    0x7d40001f,0x7fec3fff,0x7c1fffff,0xfff37fff,0x7ffcc09f,0xf34fffff,
    0x2200ffff,0x50fffffd,0x4409ffff,0xc807ffff,0x8803ffff,0x05fffffe,
    0xff700000,0x2e000dff,0xf50000ff,0x5555ffff,0xffffd997,0xfff983ff,
    0xfff8807f,0xff883fff,0xaaaabfff,0xaaaaaaaa,0x87ffff50,0x7ffffffb,
    0xf37ffff8,0xfc809fff,0x34ffffff,0x555fffff,0xff975555,0x7d4fffff,
    0x3e204fff,0xfc807fff,0xfff73fff,0x3ffff27f,0xaaaaabff,0xaaaaaaaa,
    0x7ffdc001,0xfe88006f,0x3fea0006,0xffffffff,0xffffffff,0x7ffff984,
    0xfffff700,0xffff881f,0xffffffff,0x51ffffff,0xf987ffff,0xf85fffff,
    0xfff37fff,0xfffd009f,0x3fe69fff,0xffffffff,0xffffffff,0x3ffea2ff,
    0x3ffe204f,0xfffc807f,0x7ffff73f,0x3ffffff2,0xffffffff,0x05ffffff,
    0x37fffdc0,0x07ffee00,0xffffa800,0xffffffff,0x304fffff,0x400fffff,
    0x45fffffe,0xfffffff8,0xffffffff,0xfff51fff,0xfffff07f,0xfffff07f,
    0x013fffe6,0x3fffffea,0xffffff34,0xffffffff,0xa87fffff,0x2204ffff,
    0xc807ffff,0xff73ffff,0x3fff27ff,0xffffffff,0xffffffff,0x7fdc005f,
    0x7e4006ff,0x7d40002f,0xffffffff,0x1dffffff,0x1ffffe60,0xfffffa80,
    0x3fffe23f,0xffffffff,0x51ffffff,0xfb07ffff,0xff03ffff,0x3ffe6fff,
    0xfffb004f,0x3ffe69ff,0xffffffff,0x3fffffff,0x04ffffa8,0x01ffffe2,
    0x5cfffff2,0xff93ffff,0xffffffff,0xffffffff,0xfb800bff,0x44006fff,
    0xff500004,0xffffffff,0x300399dd,0x800fffff,0x0ffffffd,0xfffffff1,
    0xffffffff,0x3fea3fff,0xfffb83ff,0xfffff07f,0x013fffe6,0xa7ffffc4,
    0xfffffff9,0xeeffffff,0x3ffea01c,0x3ffe204f,0xfffc807f,0x7ffff73f,
    0x3ffffff2,0xffffffff,0x05ffffff,0x37fffdc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x20019999,0x20999998,0x80099998,0x00999998,0x20999988,
    0x00099999,0x41333330,0x99999999,0x00199999,0x99999998,0x99999999,
    0xf7099999,0xffffffff,0xbfffffff,0x3dddd100,0x40000000,0xccccccca,
    0xcccccccc,0x2a6005cc,0x77510001,0xffff9015,0xfff1007f,0x7fec1fff,
    0xffe805ff,0xfe806fff,0x3ff62fff,0xfa8007ff,0xff30ffff,0xffffffff,
    0x19dfffff,0xfffff980,0xffffffff,0x4fffffff,0xfffffff7,0xffffffff,
    0xfff300bf,0x5100005f,0xa8790355,0x20480000,0xfffffdb9,0xfff7003e,
    0xff885fff,0x6400ffff,0x5c3fffff,0x4407ffff,0x0fffffff,0x3ffffe20,
    0x3ffffea0,0x7ffec002,0x3fffe66f,0xffffffff,0x01ffffff,0x3fffffe6,
    0xffffffff,0x74ffffff,0xffffffff,0xffffffff,0xffff300b,0x3f620005,
    0x8cffffff,0x002a3ffb,0x7fec1200,0xffffffff,0x3ffe601e,0xfa87ffff,
    0x2605ffff,0x986fffff,0x200fffff,0xfffffffa,0x3fffea02,0x5fffff87,
    0x3fffe200,0x3fffe63f,0xffffffff,0x3fffffff,0xffffff30,0xffffffff,
    0x29ffffff,0xfffffffb,0xffffffff,0xfff9805f,0xffb8002f,0xffffffff,
    0x02a0efff,0xfd112000,0xffffffff,0x3605ffff,0xffe88dff,0xfffffd83,
    0xfffffd02,0x3ffffe03,0x3ffff202,0x3ee04fff,0xffc85fff,0x3ea007ff,
    0x3e60ffff,0xffffffff,0xffffffff,0xff980fff,0xffffffff,0xffffffff,
    0xdddd54ff,0xfddddddd,0x3001ffff,0x8005ffff,0xfffffffd,0x1fffffff,
    0x24000054,0x3ffffff2,0xfffffede,0x21cba80f,0xff884ffd,0x7dc0ffff,
    0x3604ffff,0x3e04ffff,0x6fffffff,0x0fffff60,0x0bffffea,0x2ffffec0,
    0x27ffffe6,0xb9999999,0x03ffffff,0x73333333,0x333dffff,0x00013333,
    0x003ffff7,0x00bfffe6,0xefffffb8,0xfffffdbc,0x0000541f,0xfffff324,
    0xffffa81b,0xffdb805f,0xffff701f,0x7fffc49f,0x7ffdc06f,0xffff305f,
    0x201fffff,0xf01fffff,0x100bffff,0x985fffff,0x1007ffff,0x00bfffff,
    0x0dffff50,0xfff88000,0x3fe6003f,0xff1002ff,0xff307fff,0x00a8dfff,
    0x3ff24800,0x3fe605ff,0x3e602fff,0x7ec02fff,0xff91ffff,0xf9803fff,
    0xff707fff,0x3ffffdff,0x0fffff30,0x07ffffe4,0x1ffffea0,0x01ffffe6,
    0x07ffffc8,0x6ffffa80,0x7ff40000,0xffff886f,0xffffffff,0x21ffffff,
    0xd04ffffd,0x45ffffff,0x2480000a,0x401ffffe,0x204ffffc,0x02fffffa,
    0x3bffffe2,0x04fffff9,0x03fffff0,0xff5ffffb,0xfff509ff,0x7ffcc0bf,
    0x7fec02ff,0xfff984ff,0x3fea007f,0x54000fff,0x0006ffff,0x07fffee0,
    0x3fffffe2,0xffffffff,0x3fe1ffff,0xffd80fff,0x2a5ffffe,0xf1480000,
    0xf500dfff,0x8840bfff,0x2e00fffc,0xffffffff,0xfd000fff,0xfff07fff,
    0xdffff1df,0x07ffff90,0x05ffffe8,0x0bffffe2,0x01ffffe6,0x07ffffc8,
    0x6ffffa80,0xfff10000,0x3ffe209f,0xffffffff,0x1fffffff,0x90dffff1,
    0xffff3dff,0x4000054d,0x0bffff54,0x0fffff30,0x2fff8831,0x7fffff40,
    0x2002ffff,0x4c4ffffc,0xffd3ffff,0xffffd0ff,0xffffb803,0xffff500f,
    0x3fffe60f,0xfffd1007,0xff5000bf,0x20000dff,0x100ffffc,0xffffffff,
    0xffffffff,0x3ffe63ff,0x877fdc4f,0x02a7ffff,0x7fdd2000,0xff8804ff,
    0x3ffe27ff,0x00bffea2,0xfffffff3,0xffa800bf,0x7ffdc6ff,0x3ffff71f,
    0x807ffff8,0x02fffff8,0x209ffffb,0x99fffff9,0xfba99999,0x002fffff,
    0x06ffffa8,0xffff8800,0x3bbba205,0xeffffeee,0x51eeeeee,0x7d49ffff,
    0x3fffa0ff,0x0000150f,0x17fffea9,0x1bfffe60,0xff79fff7,0xff9001ff,
    0x001fffff,0x0fffff88,0xf99ffff6,0x3fe63fff,0xffd005ff,0x3ffe0bff,
    0xfff301ff,0xffffffff,0xffffffff,0x3fea000b,0xb80006ff,0x0002ffff,
    0x005ffff3,0x26bffff3,0x7ff41fff,0x00002a7f,0x37fffcd2,0x2ffffd40,
    0x7ffffff4,0xfff3001f,0x20009fff,0x3e1ffffe,0x7ffc5fff,0x3fffee6f,
    0xffff7003,0xffffa81f,0x3fffe606,0xffffffff,0x04ffffff,0x3fffea00,
    0xfff80006,0x3e60007f,0xf8802fff,0xffe8efff,0x26ffff82,0x1480000a,
    0x803fffff,0x884ffffd,0x00dffffc,0x3fffffa0,0xfc8000ff,0xfff33fff,
    0x7fffd87f,0x007ffff6,0x1fffffc4,0x80fffff6,0xfffffff9,0xffffffff,
    0x540002df,0x0006ffff,0x01ffffdc,0x5ffff300,0x3ffffe00,0xffa83ffe,
    0x0002a4ff,0xffffd920,0x3fffe605,0x0004401f,0x7fffffdc,0xfa8005ff,
    0xfff95fff,0xffffb83f,0x01ffffd1,0x2ffffec0,0x803ffffe,0xfffffff9,
    0xdfffffff,0xff500000,0xe8000dff,0x0000ffff,0x00bfffe6,0x7fffffe4,
    0x5ffffd04,0x24000054,0x1bfffff5,0x5fffffa8,0xff100000,0xffffffff,
    0xfff88007,0x0ffffd7f,0xf17ffff3,0xa800dfff,0xf50fffff,0xf980dfff,
    0xd5317fff,0x009fffff,0x3fffea00,0x3fe20006,0x4c0005ff,0x1002ffff,
    0x81dfffff,0x45ffffd8,0x4480000a,0xeffffffd,0xfffffffd,0xfb000000,
    0xffffffff,0xff8001ff,0xffff9fff,0x5bffff05,0x8009ffff,0x93fffff8,
    0x9807ffff,0xf907ffff,0x001dffff,0x6ffffa80,0x3ffea000,0x7cc0002f,
    0x2e002fff,0xcdffffff,0x0ffffffd,0x24000054,0x3fffffa2,0xffffffff,
    0xf5000002,0xff7dffff,0xd800bfff,0xfffdffff,0xffffb02f,0x005ffff9,
    0x2dffffb0,0x400fffff,0x207ffff9,0x05fffffd,0x7fffd400,0x3ff60006,
    0xc880007f,0x2a001ccc,0xffffffff,0x82ffffff,0x8480000a,0xffffffd8,
    0x000effff,0xffff1000,0x3fff63ff,0x3ee003ff,0xffffffff,0xfffff500,
    0x0001ffff,0xf7fffff5,0xf300bfff,0x7c40ffff,0x003fffff,0x1bfffea0,
    0x5ffff800,0x40000000,0xfffffff9,0x1effffff,0x90000150,0x7ffedcc0,
    0x00003eff,0x7ffffec0,0x3ffffe23,0xfff3000f,0x40dfffff,0xfffffff8,
    0x3fe0006f,0xffffffff,0xffff9802,0x7fffd407,0xf50001ff,0x2000dfff,
    0x004ffff9,0xddddddd1,0xdddddddd,0x7ffc3ddd,0xfffffc9a,0x005403ef,
    0x53002400,0x20000003,0x86fffffa,0x05fffffb,0x3fffffe0,0x7ff404ff,
    0x004fffff,0x3fffff20,0xf3007fff,0xfb00ffff,0x000dffff,0x01bfffea,
    0x17fffd40,0xfffff880,0xffffffff,0x261fffff,0x01aa983f,0x200002a0,
    0x00000004,0xfffff100,0x3fffa03f,0xffb002ff,0x805fffff,0xfffffffc,
    0x3fe60002,0x05ffffff,0x0fffff30,0xffffff10,0xfff50007,0x3ee000df,
    0xf1001fff,0xffffffff,0xffffffff,0x0000083f,0x66666654,0xcccccccc,
    0x00005ccc,0xffb00000,0x7cc09fff,0x800fffff,0xfffffffb,0x7fffd400,
    0x40000fff,0xfffffffe,0xffff3002,0x3ffea00f,0x54000fff,0x0006ffff,
    0x001ffff9,0x3fffffe2,0xffffffff,0x0001ffff,0x00000000,0x00000000,
    0x3bffffea,0x7fffe400,0xfff9805f,0xf8806fff,0x006fffff,0xfffffb80,
    0x3fe6007f,0x3f6007ff,0x4005ffff,0x006ffffa,0x00ffffb0,0x7fffffc4,
    0xffffffff,0x0001ffff,0x00000000,0x00000000,0x5ffffff1,0x3ffffa00,
    0x7ffc402f,0xfd004fff,0x0009ffff,0xffffff10,0x7ffcc009,0x3fe2007f,
    0x2002ffff,0x006ffffa,0x00ffffd0,0x00000000,0x00000000,0x00000000,
    0x5fffffc8,0x3fffe600,0x7ff400ff,0xf9002fff,0x0007ffff,0x3fffffa0,
    0x3ffe6001,0x7fd4007f,0x5000ffff,0x000dffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26200000,0x31009aaa,0x20001355,
    0x009aaa99,0x26aa6200,0x2aa60000,0x00193000,0x00000000,0x0cd554c4,
    0x25400000,0x80135100,0x30000aa8,0x00059999,0x0004d4c0,0x6d400a98,
    0xefffffff,0xfffffb31,0xf91003bf,0xdfffffff,0x7ff5c003,0x002dffff,
    0xffffffb1,0x6ffcc03b,0x7fdc0001,0x3fe604ff,0xffb306ff,0x17ffffff,
    0x7e440000,0x4dfffb5f,0x1effffec,0x77ffff54,0x7ffdc003,0xfffa804f,
    0xffffb31f,0xfffc83df,0xefffe88f,0xfffffd82,0xfeffffff,0xffffffff,
    0x3ffe203f,0xffffffff,0x7ff4402f,0xffffffff,0x7fffd405,0x03ffffff,
    0x05dffff3,0x3fffee00,0x3fffe604,0xfffffc86,0x0effffff,0x7fecc000,
    0xdfffb5ff,0xffffffb1,0x3ffee3ff,0x003fffff,0x013fffee,0x267fffea,
    0xffffffff,0x3ffff22f,0x2fffffe8,0x7fffffe4,0xffffffff,0xffffffff,
    0xffe884ff,0xffffffff,0xff302fff,0xffffffff,0x3ee09fff,0xffffffff,
    0xff984fff,0x00bfffff,0x13fffee0,0x46ffff98,0xfffffffb,0x0effffff,
    0xfffea800,0xfffb5fff,0xffffffdf,0xfffbffff,0x5fffffff,0x3fffee00,
    0xffffa804,0xfffffffc,0xff90ffff,0xfffffdff,0x7fffcc1f,0xfffdbbef,
    0xbbefffff,0x41fffffd,0xbdfffffb,0x5fffffcb,0xbfffffb0,0xffffffb9,
    0xfffff883,0xfffffbdf,0x7fffcc0f,0x01cfffff,0x04ffffb8,0xf1bfffe6,
    0x5359ffff,0x07fffff9,0x3fffee20,0xfb5fffff,0x79dfffff,0xfffffffb,
    0xffffd7bf,0x3fee00df,0xffa804ff,0xcbdfffff,0x93fffffe,0xffffffff,
    0xfffd8bff,0xffff983f,0xfffa84ff,0x7ffffc5f,0x7ffffa81,0x1fffffa8,
    0x2ffffec4,0x037ffff6,0x50bffff5,0xfffffffd,0x7dc05dff,0x3e604fff,
    0x3fe66fff,0xfff502ff,0xffc9809d,0xffffffff,0xfffffb1c,0xfffffd09,
    0xffffb83f,0xaaa8800f,0xfffa801a,0x7fc40fff,0xfff95fff,0x39317fff,
    0x7c099510,0x3206ffff,0x2620ffff,0xfff103ca,0xffffd0ff,0x3bffe607,
    0x3ffffe25,0x3ffff900,0x3ffff260,0x0bffffff,0x027fffdc,0x54dffff3,
    0x500dffff,0xfffd5003,0x5bffffff,0x0dffffb0,0x0fffffea,0x007ffffc,
    0xfff50000,0x3fea05ff,0xffff95ff,0x4400009f,0x204ffffe,0x002ffffa,
    0x87ffff98,0x5407ffff,0xffffa809,0x3fffe606,0xfffda803,0x1cffffff,
    0x409ffff7,0x226ffff9,0xbdffffff,0x3ffee000,0xbeffffff,0x3ffff600,
    0xfffff304,0x3ffffa01,0x2aaaaaa1,0xaaaaaaaa,0xff50aaaa,0x7fcc0fff,
    0xffff96ff,0x54c0001f,0xffffffec,0xa999999b,0x9804ffff,0xfffffecb,
    0x3fffe20f,0x3fee0006,0x99999cff,0x04ffff99,0x3fffee20,0xff75ffff,
    0x7fcc09ff,0x7fffc6ff,0x2cefffff,0x3ffffe60,0xb001dfff,0x2605ffff,
    0x3a07ffff,0xff11ffff,0xffffffff,0xffffffff,0x17fffea3,0x97ffff88,
    0x000bffff,0xffffffb5,0xffffffff,0xffffffff,0xffb510bf,0xffffffff,
    0x5ffffa8f,0x3fff2000,0xffffffff,0x004fffff,0xfffffb50,0x13fffeeb,
    0x46ffff98,0xfffffff9,0x40cfffff,0xbefffff9,0x7ffec000,0xffff302f,
    0x7fffec0d,0xffffff11,0xffffffff,0x3ea3ffff,0x3e205fff,0xfff97fff,
    0x7f54009f,0xffffffff,0xffffffff,0xffffffff,0x7ffffd45,0xffffffff,
    0x2ffffd47,0xffffb000,0xffffffff,0x000bffff,0x3fffff66,0x09ffff75,
    0x437fffcc,0xfffffffa,0x21ffffff,0xbefffff9,0x7ffec000,0xffff301f,
    0x7fffec0d,0xffffff11,0xffffffff,0x3ea3ffff,0x3e204fff,0xfff97fff,
    0x3fe6007f,0x8aceffff,0xfffffffd,0xffffffff,0x3fffee6f,0xffd1bdff,
    0xffffa8ff,0x3ff60006,0xffffffff,0x06ffffff,0x3fffae20,0xff75ffff,
    0x7fcc09ff,0x3f6a06ff,0xffffffff,0x3fffe66f,0x002dffff,0x203ffffb,
    0x205ffff9,0xf11ffffd,0xffffffff,0xffffffff,0x3fffea3f,0x3fffe204,
    0x07ffff97,0x3bffffa0,0x2ffffd81,0xffff1000,0x3fffa07f,0x3ffffc47,
    0x7fe40220,0x800002ff,0xffffffda,0xff71dfff,0x7fd409ff,0xca8806ff,
    0xfffffffe,0x3ffffee2,0x00beffff,0x407ffff6,0x205ffff9,0x2a1ffffd,
    0xaaaaaaaa,0xaaaaaaaa,0x9ffff50a,0xbffffc40,0x803ffffc,0x206ffff8,
    0x004ffffe,0x0bffff50,0x7c3ffffc,0x3a00ffff,0xff71ceff,0x200009ff,
    0xffffffb8,0x540cffff,0x2e05ffff,0x0206ffff,0x7ffffdc4,0xffffea83,
    0x82dfffff,0x301ffffd,0x6c0bffff,0x0001ffff,0x3fffea00,0x3fffe204,
    0x07ffff97,0x0bffff50,0x3fffffe2,0x159bf900,0x40fffff2,0x40fffff9,
    0x304ffffe,0x261fffff,0x900fffff,0xda8159bf,0xffffffff,0xff300bef,
    0x7ff40dff,0x3fb6e6ff,0x3ffee02f,0x3ff6603f,0xffffffff,0x3ffffb0b,
    0x17fffe60,0x01ffffd8,0x01aaaa88,0x04ffffa8,0x65ffffe2,0x9803ffff,
    0xd80fffff,0x0dffffff,0x8fffffd4,0xd06ffffc,0xa81fffff,0x4c3fffff,
    0x6c5ffffd,0x4c0dffff,0x261fffff,0xffffffff,0xff8802df,0xffc83fff,
    0x3ff66fff,0x3ff606ff,0xfc8801ff,0xffffffff,0x03ffffb5,0x817fffe6,
    0x801ffffd,0x804ffffb,0x204ffffa,0xf97ffff8,0xf1007fff,0x737dffff,
    0xfffffffd,0xfffb7bff,0x7ffd4bff,0xffc9adff,0xd80fffff,0xedffffff,
    0x42ffffff,0xdffffff9,0x5fffffda,0x7fffffcc,0x7f4001cf,0xfcbdffff,
    0x26ffffff,0xcefffff9,0xffffecaa,0x7f5c000f,0xfb5fffff,0x3e603fff,
    0x3f605fff,0xfb801fff,0xfa804fff,0x3e204fff,0xfff97fff,0x3ff6007f,
    0xffffffff,0xffffffff,0xffffffff,0x7fffff41,0xffffffff,0xfff981ff,
    0xffffffff,0xfff703ff,0xffffffff,0xfff983ff,0x70000bff,0xffffffff,
    0xdfffdbff,0xffffffb8,0xffffffff,0x3f6a0001,0xfffb5fff,0x3ffe603f,
    0x3fff605f,0xfffb801f,0xfffa804f,0x3ffe204f,0x7ffff97f,0x3fffa200,
    0x2effffff,0xfffffff7,0xf303ffff,0xffffffff,0x09ffff59,0x3fffffa2,
    0x404fffff,0xfffffffa,0xf981ffff,0x900002ef,0xffffffff,0x21bfffa9,
    0xfffffffb,0x002fffff,0x2bff9300,0x301ffffd,0x6c0bffff,0xb801ffff,
    0xa804ffff,0x2204ffff,0xff97ffff,0xfc8007ff,0x83efffff,0xffffffd8,
    0x3f6200bf,0x3e1effff,0x75c07fff,0x1dffffff,0xfffdb300,0x26017fff,
    0xb800001d,0x22dffffe,0x9106fffe,0xffffffff,0x10000019,0x3ffff697,
    0xbffff301,0x0ffffec0,0x166664c0,0x27fffd40,0x2fffff10,0x003ffffc,
    0x40015530,0x40019a98,0x00001a98,0x0001aa98,0x000cd4c4,0xa8800000,
    0x26600001,0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x08000000,0x44000800,0x44001999,
    0x40051002,0x32e0cccb,0x1332e0cc,0x00019997,0x100bddd3,0x33333333,
    0x33333333,0x26666213,0x99999999,0x90099999,0x500bffff,0x3f2bffff,
    0xff301fff,0x7fe40dff,0x3fff62ff,0xffffffff,0x3fe27fff,0xfb00efff,
    0xd101ffff,0x017d4009,0x00ffff90,0x2201ff44,0xffa802fe,0x17ffea5f,
    0x7dc9fff7,0xfd8004ff,0x7dc02fff,0xffffffff,0xffffffff,0xffffff76,
    0xffffffff,0x3e20dfff,0x6c00ffff,0xff52ffff,0x3fee07ff,0xffd00fff,
    0xffffd8ff,0xffffffff,0x7ffd47ff,0xfffb84ff,0xffe882ff,0xcefedb8c,
    0x001fffa8,0x200ffff9,0x103fffe8,0x4405fffd,0xff10ffff,0xfffd01ff,
    0x017fff43,0xdfffff30,0xfffffb80,0xffffffff,0xff76ffff,0xffffffff,
    0xdfffffff,0x17fffec0,0x8fffff10,0xfb05ffff,0xf105ffff,0xffd8bfff,
    0xffffffff,0xfd87ffff,0x3e21ffff,0xfd04ffff,0xffffffff,0xffffffff,
    0xffff9001,0x3ffff600,0x7fff443f,0xfffb00ff,0x827ffec7,0xf50efffa,
    0x36001fff,0x01ffffff,0x3fffffee,0xffffffff,0xfff76fff,0xffffffff,
    0x0dffffff,0x02ffffd4,0xd89ffff7,0xfff07fff,0xff709fff,0xfffd85ff,
    0xffffffff,0xfe887fff,0x3ff66fff,0xff700eff,0xffffffff,0x09ffffff,
    0x01ffff20,0x7fffffcc,0xfffffd13,0x9bffee07,0x200ffffb,0x3f64fffd,
    0xff8805ff,0x205fffff,0xfffffffb,0xffffffff,0xffff76ff,0xffffffff,
    0x80dfffff,0xd00fffff,0xfa81ffff,0x7fcc2fff,0xfd86ffff,0x4cc40fff,
    0xfff11999,0x3e603fff,0xffbbffff,0x7dc01fff,0xffffffff,0x004fffff,
    0x801ffff2,0xcffffff9,0x03fffffe,0x225ffff3,0x4c03ffff,0xff32ffff,
    0xffc805ff,0x00ffffff,0x55555553,0x55555555,0x2aaa6555,0xaaaaaaaa,
    0x06fffeaa,0x41ffffe4,0x885ffff9,0x7dc4ffff,0x40ffffff,0x4005ffff,
    0x2fffffe8,0x7ffffe40,0x003fffff,0x79ffffff,0x03fffffd,0x03fffe40,
    0x3ffffe60,0x03ffffff,0xfe9bfffa,0xff9006ff,0x3fff21ff,0xffff100f,
    0x009ffff7,0x80000000,0x4406fffd,0xfc86ffff,0xffb02fff,0xffffd8df,
    0x3fea2fff,0x3a2003ff,0x003fffff,0xfffffffd,0x3fea00df,0xfffa84ff,
    0x55554c4f,0xaffffdaa,0x302aaaaa,0xffffffff,0x7ffe407f,0x3ffff91f,
    0x3fffe200,0x0bffff15,0x323ffff2,0x0000ffff,0x36000000,0xfd806fff,
    0x7ffc1fff,0x3ffee07f,0x33fffe0f,0x3ff24fff,0x3f6000ff,0x2004ffff,
    0xfffffff8,0xfff9000f,0x3fffa01f,0x7ffffdc6,0xffffffff,0x2606ffff,
    0x3fffffff,0x5bfffe20,0x006ffff8,0xc97fffe4,0x7c42ffff,0xfff34fff,
    0x5555307f,0x55555555,0x00555555,0x06fffd80,0x24ffffa8,0x204ffffa,
    0xf33ffff8,0xdfff3dff,0x0037fff4,0x0bfffff9,0xfffff700,0x7fec005f,
    0x3ffea05f,0x7ffffdc7,0xffffffff,0x2206ffff,0x3ffffffe,0x8ffffe40,
    0x001ffffb,0xfe9bfffa,0xfffb86ff,0x1ffffa1f,0x3fffffee,0xffffffff,
    0x40006fff,0xf006fffd,0x7fecffff,0x7ff400ff,0x29fff95f,0xff88ffff,
    0xff7003ff,0x2000dfff,0x2ffffff8,0x17fff600,0x5c7fffb8,0xffffffff,
    0xffffffff,0xfffd106f,0x807fffff,0x3fa6fffe,0xff7006ff,0x3ffee3ff,
    0x6ffff81f,0x217fffd4,0xfffffffb,0xffffffff,0x6c0006ff,0xf9006fff,
    0xfff15fff,0xfff700bf,0x6cbfffaf,0xfffbafff,0xfffa800f,0xd0000eff,
    0x1fffffff,0x3ffff200,0x8dfffd00,0xfffffffb,0xffffffff,0xffe886ff,
    0xffffffff,0x3fffe603,0x05ffff32,0x13ffff88,0xf707ffff,0xfff07fff,
    0xffffb8df,0xffffffff,0x006fffff,0x037ffec0,0xbcffff88,0x9802ffff,
    0xfffaffff,0xbbfff70f,0xf300dfff,0x003fffff,0x3ffffee0,0xf5005fff,
    0xfb81bfff,0x554c4fff,0xfffdaaaa,0x2aaaaaaf,0x7fffff44,0x3ffffffc,
    0xb9bffee0,0x7e406fff,0x3fff26ff,0x1ffffd06,0x45ffff90,0xfffffffb,
    0xffffffff,0x6c0006ff,0x36006fff,0xfffdffff,0x3fffa007,0x3e26fffe,
    0x3fffffff,0x7ffffc40,0xff30001f,0xffffffff,0x3fffa007,0xffffcdff,
    0x3f2001ff,0xfd1007ff,0x3e67ffff,0x203fffff,0x3f63fffe,0xfff303ff,
    0x3fffe61f,0x4ffffa80,0x4bffff30,0xaaaaaaa9,0xaaaaaaaa,0x440002aa,
    0x2a000999,0xffffffff,0x3fff2004,0x7f43ffff,0x01ffffff,0x3fffffa2,
    0x3ffa0002,0xffffddff,0x7ffd401f,0xffffffff,0x32005fff,0xfb007fff,
    0xf987ffff,0x100fffff,0x3e21ffff,0xffd80fff,0x0ffff63f,0x00e6665c,
    0x00199997,0x00000000,0xfffff800,0x26001fff,0x1fffffff,0x7fffffe4,
    0x7ffff406,0xaaaaaadf,0xffc81aaa,0xfff88fff,0x3fea06ff,0xffffffff,
    0x05ffffff,0x00ffff90,0x40ffffa2,0x402ffff9,0x3ee4fffb,0x7ffd44ff,
    0x017ffea5,0x00000000,0x00000000,0xffffff90,0xffff000d,0xfff50fff,
    0x7d409fff,0xffffffff,0x4fffffff,0x17ffffd4,0x09fffff5,0x3ffffff6,
    0xffffffff,0xfc801fff,0x3a2007ff,0x17fcc03f,0x20eeed80,0x3b60eeec,
    0x37bb60de,0x00000000,0x00000000,0x7ffc4000,0xc8002fff,0x885fffff,
    0x01ffffff,0x3fffffea,0xffffffff,0x3ffe24ff,0xfffd85ff,0x9ffb01ff,
    0x22f7bb6a,0x9001fffa,0x8800ffff,0x00053002,0x00000000,0x00000000,
    0x00000000,0x0fffffb0,0x3fffea00,0xffffd03f,0xffffa80f,0xffffffff,
    0x3f64ffff,0xf880ffff,0xb00effff,0x00fd4009,0x00ffff90,0x00000000,
    0x00000000,0x00000000,0x00000000,0x009ffff5,0x0fffffc0,0x04ffffc8,
    0x7fffffd4,0xffffffff,0xffff54ff,0x7ffdc07f,0x200004ff,0x4ccc4000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33372e20,0x1e64400a,0x00d65d44,0x005665d4,0x0002eeb8,0x10379950,
    0x4cc33333,0x26620999,0xddca8099,0x04d4c01c,0x6ee41100,0x088882dd,
    0x306aaaa2,0x441bbbbb,0x08888888,0x22000000,0x88888888,0x88888888,
    0x37772088,0x03777621,0xfffffa80,0x3f600eff,0x7fffdc6f,0xffd305ff,
    0x9005ffff,0x7fdc05ff,0x7ff4c3ff,0x7fd44fff,0xffff0fff,0x7ffff47f,
    0x7ffffd44,0xffffc82f,0x3a600bef,0x1bfffe21,0x2a9ffff5,0x7ec4ffff,
    0x3ffa2fff,0x27ffffff,0xfffffff9,0xffffffff,0xf34fffff,0xffffffff,
    0xffffffff,0x3ffa9fff,0x3fffe22f,0xfffd1000,0x30bfffff,0x7ccdfffb,
    0x3fffffff,0x7fffffc4,0x7dc03fff,0x3ffee02f,0x3fffe23f,0x3ea4ffff,
    0xfff0ffff,0x7fff47ff,0x6d4d4c4f,0x3ffa66ff,0xdfffffff,0x83ff930a,
    0x2a2ffff9,0xff54ffff,0x7ffc49ff,0x7ffff42f,0x3e67ffff,0xffffffff,
    0xffffffff,0xfff34fff,0xffffffff,0xffffffff,0x8bfffa9f,0x000ffff8,
    0xd335fff9,0x7fec4fff,0x3ff26fff,0x46ffc88d,0xfebffffd,0x43320fff,
    0xb8ea1ffa,0x3fa3ffff,0xfffdacff,0x1fffff52,0xe8fffffe,0x4404ffff,
    0xfffb2fff,0xffffffff,0x3fffffff,0x54dfff30,0xff54ffff,0x7ffe49ff,
    0xfffffe83,0x3fe67fff,0xffffffff,0xffffffff,0xffff34ff,0xffffffff,
    0xffffffff,0x88bfffa9,0x2000ffff,0x3ffe42a8,0xdffffff5,0xff117f6c,
    0x1bffe23f,0x7fc7fff9,0xfc9ffacf,0x3fffee7f,0xc81fff13,0xffff55ff,
    0x3ffffe1f,0x13ffffa3,0x363fff70,0xffffffff,0xffffffff,0xfff501ff,
    0x53fffea3,0xf14ffffa,0x3ffa09ff,0x27ffffff,0x99999998,0x99999999,
    0x26099999,0x99999999,0x99999999,0x99970999,0x06666443,0xffdb9800,
    0x739f50ff,0xff700dff,0x227ffccf,0xff34fffa,0xffffffff,0x3ffee3ff,
    0x30bff53f,0x3ffe6dff,0xfffff0ff,0x9fffff45,0xfffeeee9,0x2b3bf65f,
    0xfffffda9,0x00dfffff,0x7fd4f32a,0xbbbb34ff,0xe8133267,0xffffffff,
    0x00000007,0x00000000,0x7ffecc00,0x110fffff,0x2a037fdc,0x3fee4fff,
    0xb7ffc42f,0xffffeca8,0x4c0cdfff,0x0bff52ff,0x3fe2dff3,0x3fff66ff,
    0x3ffff21f,0xffffff52,0x2205d87f,0xffffffeb,0x00000003,0x00000000,
    0x00000000,0xf7000000,0xffbbffff,0x1bfee01f,0x5c6fffc8,0x7fc42fff,
    0xffff506f,0x11ffb803,0xffc81fff,0xb97fffa5,0x3ee0ffff,0x55310fff,
    0x800a0357,0x0001bcb9,0x00000000,0x00000000,0x00000000,0x0ffffc00,
    0x2e01fff9,0xfffb06ff,0x4fffa81d,0x4c2fffd4,0x00efffff,0xffe8dfd1,
    0x2fffdacf,0xfa93fff6,0x7ffcc7ff,0x00000007,0x00000000,0x00000000,
    0x00000000,0xf9800000,0x7fffc3ff,0x88dff700,0xf104fffe,0xfffc8dff,
    0x657ffcc3,0xfffb86ff,0x7ffffc41,0x7fdc4fff,0x17ffe22f,0x000dfff1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3dfff100,0x01ffff91,
    0xfe89bfee,0x7fec03ff,0xffffdbef,0x457ffe20,0x7fe45fff,0xffffd302,
    0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,
    0xffffffff,0x4dff701f,0xeeeffffc,0x3ffe21ee,0x83ffffff,0x3bea1ffa,
    0x54006441,0x00001bcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xafffffe9,0xff702fff,0x7fffffcd,0x74c2ffff,0x03ffffff,
    0x0000e0e2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c400000,0x035550ac,0x7fd5bfee,0xffffffff,0x159b7502,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_41_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,1,0,1,2,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_41_latin1_y[224]={ 33,6,6,6,4,6,6,6,6,6,6,10,27,20,
27,6,6,6,6,6,6,7,6,7,6,6,13,13,10,13,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,36,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,16,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,33,13,6,6,10,6,
6,6,6,6,6,15,13,20,6,1,6,8,6,6,6,13,6,17,33,6,6,15,6,6,6,13,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,6,6,6,
6,6,6,5,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,12,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_bold_41_latin1_w[224]={ 0,6,14,20,18,30,25,7,11,10,14,19,6,11,
6,12,18,13,19,18,20,19,19,18,18,18,6,6,19,19,19,20,35,27,23,24,23,21,19,26,22,6,18,25,
20,26,22,27,21,28,25,22,22,22,26,35,25,26,22,10,12,10,18,22,9,19,20,19,20,19,14,20,18,6,
10,19,6,29,18,21,20,20,13,19,12,18,20,29,21,20,18,13,5,14,20,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,6,19,20,20,21,
5,19,13,29,13,18,19,11,29,22,12,20,12,12,9,19,22,6,11,8,13,18,30,29,31,20,27,27,27,27,
27,27,37,24,21,21,21,21,9,10,13,13,26,22,27,27,27,27,27,19,27,22,22,22,22,26,21,20,19,19,
19,19,19,19,30,19,19,19,19,19,9,9,13,13,21,18,21,21,21,21,21,20,21,18,18,18,18,20,20,20,
 };
static unsigned short stb__arial_bold_41_latin1_h[224]={ 0,27,11,28,33,29,28,11,35,35,13,20,12,6,
6,28,28,27,27,28,27,27,28,26,28,28,20,26,21,14,21,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,5,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,28,35,28,20,27,
35,35,5,28,14,17,14,6,28,5,12,25,14,15,6,28,35,6,8,14,14,17,28,28,28,28,34,34,34,33,
33,32,27,35,34,34,34,33,34,34,34,33,27,33,35,35,35,34,34,18,30,35,35,35,34,34,27,28,28,28,
28,28,28,29,21,28,28,28,28,28,27,27,27,27,28,27,28,28,28,28,28,20,23,28,28,28,28,35,35,35,
 };
static unsigned short stb__arial_bold_41_latin1_s[224]={ 254,179,94,102,235,207,1,86,64,99,51,
114,66,176,152,238,126,165,42,189,21,175,229,139,112,196,243,236,151,211,92,
154,169,62,122,131,1,217,1,22,90,249,177,25,51,72,99,31,219,130,90,
166,116,59,63,27,1,209,186,158,242,24,192,188,142,32,1,52,156,72,204,
70,147,246,58,113,239,171,222,221,145,49,241,131,241,112,1,22,71,208,52,
211,248,89,121,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,254,245,69,
215,93,195,205,110,234,82,1,154,231,176,1,211,73,158,24,243,166,106,225,
159,109,15,37,173,191,161,129,108,65,37,185,46,74,102,166,160,1,213,93,
1,235,245,23,221,127,23,132,130,104,143,115,134,159,76,1,35,171,194,91,
1,82,22,42,62,183,187,1,123,143,163,222,203,246,236,113,133,223,146,84,
20,42,64,86,201,179,27,46,1,65,43,22,1, };
static unsigned short stb__arial_bold_41_latin1_t[224]={ 1,315,414,141,73,108,200,414,1,1,414,
393,414,414,414,108,200,315,287,200,287,258,200,343,229,229,315,315,371,393,371,
258,1,287,315,229,315,258,287,258,287,200,229,315,315,315,315,229,287,108,343,
200,343,229,343,343,343,315,315,1,171,37,393,414,414,371,258,371,229,371,287,
258,287,258,37,287,258,371,371,343,200,258,371,371,287,371,393,393,393,200,393,
1,1,37,414,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,
343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,343,1,141,37,
229,393,258,1,1,414,229,414,393,393,414,229,414,414,343,414,343,414,200,1,
414,414,414,414,393,171,171,171,171,73,73,37,108,108,108,287,37,73,37,73,
108,37,37,73,73,258,108,37,1,37,73,73,393,108,1,37,37,73,73,258,
142,142,142,142,142,141,108,371,141,141,141,171,141,229,229,258,287,141,315,200,
171,171,171,171,371,343,200,200,171,200,1,1,1, };
static unsigned short stb__arial_bold_41_latin1_a[224]={ 163,196,278,327,327,522,424,140,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,196,196,343,343,343,359,573,424,424,424,424,392,359,457,
424,163,327,424,359,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,196,163,196,343,327,196,327,359,327,359,327,196,359,
359,163,163,327,163,522,359,359,359,359,229,327,196,359,327,457,
327,327,294,229,164,229,343,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,163,196,327,327,327,327,164,327,
196,433,217,327,343,196,433,324,235,322,196,196,196,338,327,163,
196,196,214,327,490,490,490,359,424,424,424,424,424,424,587,424,
392,392,392,392,163,163,163,163,424,424,457,457,457,457,457,343,
457,424,424,424,424,392,392,359,327,327,327,327,327,327,522,327,
327,327,327,327,163,163,163,163,359,359,359,359,359,359,359,322,
359,359,359,359,359,327,359,327, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_41_latin1(stb_fontchar font[STB_FONT_arial_bold_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_41_latin1_s[i] + stb__arial_bold_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_41_latin1_t[i] + stb__arial_bold_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_41_latin1_x[i];
            font[i].y0 = stb__arial_bold_41_latin1_y[i];
            font[i].x1 = stb__arial_bold_41_latin1_x[i] + stb__arial_bold_41_latin1_w[i];
            font[i].y1 = stb__arial_bold_41_latin1_y[i] + stb__arial_bold_41_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_41_latin1_s[i] + stb__arial_bold_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_41_latin1_t[i] + stb__arial_bold_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_41_latin1_x[i] + stb__arial_bold_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_41_latin1_y[i] + stb__arial_bold_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_41_latin1_LINE_SPACING
#endif

