// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT        479
#define STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_43_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_43_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_43_latin1_LINE_SPACING          28

static unsigned int stb__arial_bold_43_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x29999930,0xccccccc8,0x3333224c,0x8804cccc,0xccccccba,0x0ccccccc,
    0x46fffc80,0xf707fffc,0xb00001ff,0x201dffff,0xff13fffd,0x200019dd,
    0x2602fff9,0x0bdeffec,0x01fffec0,0x03ff76cc,0xfdb97300,0x0059bdff,
    0x32e62000,0x00acdefe,0xbffffd40,0xfffffff9,0x3fffe67f,0x300fffff,
    0xfffffffb,0xffffffff,0xfff9003f,0x07fffc8d,0x0009fff1,0x0effff98,
    0x44ffff60,0x04ffffff,0x107ffe80,0xfffffffb,0x7fec07ff,0x3ff2203f,
    0x44007fff,0xffffffeb,0xdfffffff,0xff500001,0xffffffff,0x7fd4007f,
    0xffff37ff,0x7ccfffff,0xffffffff,0xfffffc80,0xffffffff,0x801fffff,
    0x7e46fffc,0x3ff607ff,0x3f60000f,0x7ec00eff,0xffff13ff,0x54005fff,
    0xffd03fff,0xffffffff,0x3fff609f,0x3ffff203,0xfb1007ff,0xffffffff,
    0xffffffff,0x220001bf,0xfffffffd,0x1effffff,0x7ffffa80,0xfffffff3,
    0x7fffccff,0x540fffff,0xffffffff,0xffffffff,0xfc801fff,0x7ffe46ff,
    0x13ffe607,0x7fffc400,0x3fffd801,0xfffffff1,0x7fff400d,0xfffffc80,
    0xffffffff,0x03fffd83,0xfffffff1,0xffff300f,0x579bdfff,0xfffffdb9,
    0xe98005ff,0xffffffff,0xffffffff,0x7fffd402,0xff999917,0x7ffccfff,
    0x444cccef,0xffffffff,0xffffffff,0xa801ffff,0x66543ccc,0x7fff404c,
    0xfffc8000,0x7fffb001,0x7fffee5c,0xfffa801f,0xbfffff05,0xffffb513,
    0x07fffb0f,0x37ffffee,0x7ffdc02c,0x26002dff,0x03fffffd,0xffffff10,
    0xfffddfff,0x401fffff,0x202aaaa8,0x3e67ffff,0x7dc05fff,0xffffffff,
    0xfffcaaff,0x00000abf,0x5fffb800,0x01ccc800,0x40ffff60,0x803ffffc,
    0xf982fffe,0x7c40ffff,0x7ec1ffff,0xfff903ff,0x3ff6007f,0x20000cff,
    0x01ffffe9,0xffffffc8,0x7ffe440a,0x00005fff,0xf99ffffe,0x7e405fff,
    0xffffffff,0x3fffea7f,0x00000000,0x007fffe2,0x7fec0000,0xffff703f,
    0x7fffb807,0x5fffff30,0x83599b90,0xfb03fffd,0xf5003fff,0x00007fff,
    0x0077ffdc,0x1dfffff3,0xfffffa80,0xff00000f,0x7ffccfff,0x7fff405f,
    0x7fffffff,0x003fffea,0xfd000000,0x00000bff,0x40ffff60,0x403ffffa,
    0x3e05ffff,0x000effff,0xb03fffd8,0x8801ffff,0x4401ffff,0x3ff2000a,
    0x3fff604f,0xff7000ff,0x3ea07fff,0x3fe07fff,0x3ffe67ff,0x7fffc05f,
    0x7fffffff,0x803fffea,0x007ffffc,0x909ffffd,0x7e43ffff,0xfd007fff,
    0x3ff69fff,0xffff303f,0x7fffd409,0x3ffff202,0x7ec001ef,0xfffb03ff,
    0xfffe801f,0xfffd9501,0x3fffe67d,0x203fffa5,0x04fffff9,0x2b3bfe20,
    0xfffff500,0x33ffffc0,0xe80bffff,0xffffffff,0x3ffea7ff,0x3ffe200f,
    0x7fc402ff,0xff981fff,0x3ffe23ff,0x7fc402ff,0xfffb1fff,0x3fffe607,
    0x3ffff204,0x7ffff400,0x3f6004ff,0xfffb03ff,0x7ffdc01f,0xfffff904,
    0xfff79fff,0x1fffcc7f,0x07ffffdc,0x54002600,0x3e07ffff,0x3fe67fff,
    0x7fec05ff,0xffffffff,0x03fffea7,0x0bffffd0,0x06ffffb8,0xe8bffff1,
    0x5c05ffff,0x3f66ffff,0xfff303ff,0x7fff409f,0xffffd807,0xd801efff,
    0xffd03fff,0x6ffe80ff,0xffffff90,0xffffffff,0x86ffd83f,0x007ffffc,
    0x7ffd4000,0x3fffe07f,0x17fffe67,0xffffff50,0x7d4fffff,0x7dc00fff,
    0x7f407fff,0x3fe03fff,0x7ffdc7ff,0x7fff407f,0x0ffff63f,0x82ffffc4,
    0x406ffff8,0xfffffffc,0x7ec04fff,0xfffd03ff,0x17ffcc0f,0x67ffffec,
    0xfffffda8,0x87ffb87f,0x006ffffd,0x7ffd4000,0x3fffe07f,0x17fffe67,
    0x3fffff60,0x3ea7ffff,0x7c400fff,0xf102ffff,0x7401ffff,0x3e21ffff,
    0xf102ffff,0x7ec1ffff,0xfff103ff,0x3ffee0df,0x3fff605f,0xffffffef,
    0xfffb01ef,0x1bfffe07,0xfb87ffd8,0xff705fff,0xff50dfff,0xffffe81f,
    0x54000005,0x3e07ffff,0x3fe67fff,0xff9805ff,0x7fffffff,0x003fffea,
    0x417ffff6,0x405ffffb,0x6c3ffffd,0xf705ffff,0xffd8bfff,0x3fffa03f,
    0xffffc81f,0x9ffff304,0x3fffffea,0xfffd81ff,0x4ffffa83,0xf09fff10,
    0x7c01ffff,0xf884ffff,0x7fffc1ff,0x4000004f,0x207ffffa,0x3e67ffff,
    0xb1005fff,0xffffffff,0x007fffd4,0x83ffffcc,0x402ffffd,0x4c3ffffc,
    0xfb07ffff,0xeec85fff,0x3ffee02e,0xffffc85f,0x1ffff703,0x7fffff44,
    0x7ffec1ff,0x7ffff443,0x83fff303,0x403ffffb,0xf02ffffe,0x7ffc45ff,
    0x000004ff,0x03ffffd4,0x7ccfffff,0x4c005fff,0x27ffffdb,0x000ffffa,
    0x885ffffd,0x400fffff,0xe84ffffb,0x7c42ffff,0x0000ffff,0x3bffffe2,
    0x5ffffb1b,0x41ffff60,0xeffffffb,0x4cffff60,0x07ffffeb,0x3fe1ffea,
    0xffd806ff,0xfff981ff,0x2fffffc1,0x3ea00000,0x3fe07fff,0x3ffe67ff,
    0x3f20005f,0x3ffea7ff,0xfff9000f,0xffffb8bf,0xffffb805,0x5ffffc85,
    0x02ffffdc,0x7fffdc00,0xffffd5ff,0x3ffff603,0xfffff302,0x9fffec7f,
    0x2ffffffe,0xf31bfee0,0xfd009fff,0x3fee0fff,0x7ffff40f,0x54000006,
    0x3e07ffff,0x3fe67fff,0x320005ff,0x3fea7fff,0xff1000ff,0xfffd8fff,
    0xfffa802f,0xffff885f,0x17fffec7,0xfffa8000,0xfffff5ff,0x3fffee01,
    0xfffd100e,0x9fffecbf,0x01fffffe,0x3ea2ffec,0xff803fff,0xdffb05ff,
    0x0dffffb0,0xffa80000,0x3ffe07ff,0x3fffe67f,0x3ff20005,0x3fffea7f,
    0x3fffa000,0xfffff12f,0x3fffe600,0x5ffffd05,0x01ffffe2,0xffffa800,
    0x1fffff5f,0x3ffffe20,0xffff100e,0xe9fffecf,0x401fffff,0x7fdc4ffe,
    0x7fcc02ff,0xbfff04ff,0x0fffff90,0x8017bb00,0x207ffffa,0x3e67ffff,
    0x20005fff,0x3ea7fffc,0x2a000fff,0xff55ffff,0x3ea009ff,0xff504fff,
    0x3ffeabff,0xf700004f,0x3abfffff,0x3a00ffff,0x03ffffff,0x7ecdfff9,
    0xffffd3ff,0x7fec05ff,0x07fffec4,0x0bfffee0,0x2a0bffea,0x003fffff,
    0x0bbfffe2,0x03ffffd4,0x7ccfffff,0x20005fff,0x3ea7fffc,0x22000fff,
    0xffb7ffff,0x3ea003ff,0xff102fff,0x3fff6fff,0xf880001f,0xb1beffff,
    0x5403ffff,0xdfffffff,0xb27ffec0,0x3f6a7fff,0x3206ffff,0x7ffec5ff,
    0x7fff400f,0x37ffcc0f,0x7fffff88,0x3fffee00,0xffff502f,0x3ffffc0f,
    0x00bffff3,0x53fffe40,0x8001ffff,0xffbffffc,0x3ee006ff,0x3f201fff,
    0xffffbfff,0x0bbbb206,0x85ffffc8,0x402ffffd,0xfffffffa,0x5ffff52f,
    0x221fffec,0x702fffff,0xfffc8dff,0x3ffee01f,0x7fff447f,0x3ffff202,
    0xfff9803f,0x3fea07ff,0x3ffe07ff,0x3fffe67f,0x3ff20005,0x3fffea7f,
    0x7ffcc000,0x03ffffff,0x03fffee0,0xffffff98,0x3f603fff,0x3ffa03ff,
    0xfffc81ff,0xfffa803f,0xffdfffff,0x7ffec5ff,0x4ffffb83,0xfa8fff50,
    0x3fa04fff,0x7fec5fff,0xfffe805f,0x3faa05ff,0x2a04ffff,0x3e07ffff,
    0x3fe67fff,0x320005ff,0x3fea7fff,0xfe8000ff,0x0fffffff,0x1ffff600,
    0x3fffffa0,0x3f600fff,0x3ffe03ff,0xffff506f,0x3ff62007,0xffffffff,
    0x1fffec0e,0x305ffff8,0x7fc43fff,0x7f442fff,0xfd55ffff,0xf5001dff,
    0x79dfffff,0xfffffb75,0x7fd401ff,0x3ffe07ff,0x3fffe67f,0x3ff20005,
    0x3fffea7f,0xfffb8000,0x4005ffff,0xb806fffe,0x5fffffff,0x81fffec0,
    0x105ffff8,0x8009ffff,0xfffffffb,0xfffd80ef,0x0ffffd03,0x3f22fffc,
    0xfdbeffff,0xffffffff,0x000dffff,0x3ffffff6,0xffffffff,0x7d401fff,
    0x3fe07fff,0x3ffe67ff,0x3f20005f,0x3ffea7ff,0xff88000f,0x002fffff,
    0x017fffe2,0x3fffffe2,0x7ffec02f,0x9ffff103,0x037fff40,0x7ffff440,
    0xffd81fff,0xffffd03f,0x207ffe40,0xfffffffe,0xffffffff,0x0004ffff,
    0xfffffff7,0xffffffff,0xffff5005,0x3ffffc0f,0x00bffff3,0x53fffe40,
    0x0001ffff,0x1ffffff6,0x7ffff300,0x3ffff600,0xfffd807f,0x9ffff303,
    0x07fffe40,0xffffb800,0x7fec0eff,0xffffb03f,0x227ffc40,0xffffffd8,
    0xfffff8cf,0x40003fff,0xffffffe9,0x02efffff,0x0fffff50,0xf33ffffc,
    0x4000bfff,0x3ea7fffc,0x50000fff,0x009fffff,0x00ffffb8,0x9fffff50,
    0x07fffb00,0x813fffe6,0x002ffffa,0x3ffffa20,0x1fffec3f,0x00ffffd8,
    0x2a0ffff6,0x261cefec,0x300aceec,0x2e001555,0xfffffffd,0x7fd4002e,
    0x3ffe06ff,0x3fffe67f,0x3ff20005,0x3fffea7f,0xfff50000,0xfd8003ff,
    0x3ea005ff,0xd801ffff,0xff303fff,0xffe807ff,0x0098804f,0xd8bffffd,
    0xffb03fff,0x7fc401ff,0x000002ff,0x002fffdc,0x027ff654,0xdffff700,
    0x33ffffc0,0x000bffff,0xf53fffe4,0x20001fff,0x006ffffe,0x017fffc4,
    0x0dffffd0,0x40ffff60,0x403ffffa,0xd906fffb,0x3ee0bfff,0x7fec6fff,
    0xffffb03f,0xffffa803,0xf7000003,0x88001fff,0x06ffffff,0xffffe880,
    0x9ffffe06,0x005ffff9,0xa9ffff20,0x8000ffff,0x04fffffa,0x03fffd40,
    0x9fffff50,0x0ffff600,0x01ffffe4,0x203fffe2,0x81fffffb,0x6c5ffffc,
    0xff903fff,0xff9007ff,0x00003dff,0x0bffffa6,0x32a6e600,0xdd002fff,
    0x29ffffff,0xfffaaaa8,0x3fffe67f,0x2002aaae,0x3ea7fffc,0x4c400fff,
    0xfffffb99,0x7fec000f,0x7333103f,0x01ffffff,0xa8ffff60,0x2fffffdb,
    0x84fffd80,0xbefffff8,0xfffffb88,0x81fffec3,0xbcfffffb,0x3ffff202,
    0x44000bdf,0x3fffffda,0x3ff60000,0xffff8806,0xff33ffff,0x4fffffff,
    0xfffffff9,0xff9000ff,0x7fffd4ff,0x7fffd400,0x004fffff,0x5037ffc4,
    0xffffffff,0x7fec009f,0xfffff13f,0xf1001fff,0x3ff20fff,0xffffffff,
    0x7ec0ffff,0xfff303ff,0xa80fffff,0xeffffffe,0xcbaaaccd,0xffffffec,
    0x7c00001e,0xffa806ff,0x266fffff,0xffffffff,0x3ffffe67,0x9000ffff,
    0x7fd4ffff,0x7fcc00ff,0x0effffff,0x17ffdc00,0xffffff30,0x6c001dff,
    0xfff13fff,0x4007ffff,0xfb02fffc,0xffffffff,0xffb05fff,0x7ffe407f,
    0xc8807fff,0xffffffff,0xffffffff,0x00cfffff,0xb7799100,0x7005ffff,
    0x1fffffff,0x7fffffcc,0x3ffe67ff,0x00ffffff,0x54ffff90,0x4400ffff,
    0xffffffff,0x6fff8000,0x7ffffc40,0x6c000fff,0xfff13fff,0x8800bfff,
    0xf9106fff,0xffffffff,0x3fff605f,0x3fff6203,0x2e2007ff,0xfffffffd,
    0xffffffff,0x4c0000ae,0xffffffff,0xfffd5003,0xeee9817b,0x266eeeee,
    0xeeeeeeee,0x9995000e,0x026664c9,0x2dffffe8,0x3fff5000,0xbffffd00,
    0x3ff60005,0xbdfff13f,0x3fee0003,0x3fb2201f,0x6c03deff,0xda803fff,
    0x10007ffe,0xfffddb97,0x00179bdf,0x776e4400,0x000003cd,0x00000000,
    0x00000000,0x00ccc400,0x98800000,0x00002099,0x00013330,0x04ccc400,
    0x00001800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x74400000,0x0002eeee,0x4eeeed80,0xeeea8000,0x64c001ee,0x00003ccc,
    0x66665c00,0x20000002,0x3ba60001,0x00002eee,0x166665c0,0x66640000,
    0x000001cc,0x037bbbb2,0x3fff2000,0xa800005f,0x000effff,0x9ffffb00,
    0xffffa800,0x20000006,0x0ffffffa,0xf8800000,0xff50001f,0x00000dff,
    0x7fffffd4,0x3f200001,0x0006ffff,0xfffff100,0xff100003,0x00000bff,
    0x003bfffa,0xffffb000,0x7ffd4001,0x0000006f,0xfffffff1,0x5000000b,
    0x5c0001ff,0x0002ffff,0xfffff880,0x500006ff,0x9fffffff,0xff900000,
    0x200005ff,0x0006fffc,0x3ffff300,0x3fa00000,0x3ea004ff,0x00006fff,
    0xd7fffd00,0x00007fff,0x0005fd80,0x006fffc8,0xcfffd800,0x0004fffd,
    0x7d7fffc4,0x00001fff,0x00bfffe2,0x77ffc400,0xfb000000,0x000003ff,
    0x007fff44,0x06ffffa8,0xffb80000,0x3ffff15f,0x7fc00000,0xff900003,
    0x5c00003f,0xfff15fff,0x7ec0003f,0xdfff53ff,0x3ee00001,0x200003ff,
    0x0000deea,0x05ddd100,0xdb100000,0x3fea005d,0x000006ff,0x506f7744,
    0x00009ddd,0x0003fea0,0x004eec80,0x1bddb100,0x002f774c,0x5c5eeea8,
    0x00003eee,0x00007ddb,0x00000000,0x00000000,0xdffff500,0x00000000,
    0x32000000,0x0000006f,0x00000000,0x00000000,0x64400000,0x2001cccc,
    0x003ccccb,0x37ff72a6,0x910009ac,0x40039999,0xf53ccccb,0x3510dfff,
    0x654c0000,0x09acdffd,0x55310000,0x980009fd,0xacdffdca,0x99910009,
    0x65c00399,0x4c003ccc,0x002ccccc,0xcccccc88,0xcccccccc,0x30cccccc,
    0x005fffff,0x02fffff4,0x7fffffdc,0x02ffffff,0x2fffff98,0x3ffffa00,
    0x4dffff55,0x2efffffc,0xffff7000,0xffffffff,0x3f660005,0x05ffffff,
    0xfffff700,0x5fffffff,0xfffff300,0x7fff4005,0x7fe4005f,0x98007fff,
    0xffffffff,0xffffffff,0xff31ffff,0x74005fff,0x2205ffff,0xfffffffe,
    0xdfffffff,0x3fffe600,0x3ffa002f,0xffff55ff,0xfffffd1d,0x44009fff,
    0xfffffffe,0xdfffffff,0x3ffee000,0xefffffff,0xfffd1001,0xffffffff,
    0x4c01bfff,0x002fffff,0x017ffffa,0xffffff88,0x7fcc003f,0xffffffff,
    0xffffffff,0xffff31ff,0x7ff4005f,0xfff505ff,0xffffffff,0x5fffffff,
    0x3ffffe60,0x3fffa002,0xfffff55f,0xffffffff,0xf500bfff,0xffffffff,
    0xffffffff,0xfffd005f,0xffffffff,0xffa805ff,0xffffffff,0xffffffff,
    0xfffff302,0x7fff4005,0x3fee005f,0x006fffff,0x7fffffcc,0xffffffff,
    0x31ffffff,0x005fffff,0x42fffff4,0xfffffff8,0xffffeeff,0x981fffff,
    0x002fffff,0x557ffffa,0xffffffff,0xfffffedd,0x3ffe202f,0xeeffffff,
    0xffffffff,0x3ffee01f,0xfffeefff,0x3e206fff,0xffffffff,0xffffffee,
    0xff981fff,0x3a002fff,0x2005ffff,0xfffffffe,0x3fe6001f,0xffffffff,
    0xffffffff,0xffff31ff,0x7ff4005f,0xfffe85ff,0xc981cfff,0x85ffffff,
    0x02fffff9,0x57ffffa0,0xdffffffa,0x7ffffd40,0x3ffffa06,0xfc981cff,
    0x105fffff,0x21dfffff,0xfffffffb,0xfffffd02,0xff93039f,0xf30bffff,
    0x4005ffff,0x005ffffe,0xfffffff3,0x7cc009ff,0x999bffff,0x99999999,
    0x3ffe6199,0x3fa002ff,0x7fdc5fff,0x9802ffff,0x42ffffff,0x02fffff9,
    0x57ffffa0,0x06fffffa,0x0bffffea,0x3fffffee,0xffff9802,0xfffc82ff,
    0x7eefec7f,0xffb86fff,0x9802ffff,0x42ffffff,0x02fffff9,0x17ffffa0,
    0x7ffffe40,0x000fffff,0x05fffff3,0xffff3000,0x7ff4005f,0x3ffe25ff,
    0x26001fff,0x20ffffff,0x02fffff9,0x57ffffa0,0x02fffffa,0x227ffff4,
    0x1ffffff8,0x3fffe600,0x7fff40ff,0x6cdffc3f,0xfff881ac,0x26001fff,
    0x20ffffff,0x02fffff9,0x17ffffa0,0x5fffffc0,0x003fffff,0x05fffff3,
    0xffff3000,0x7ff4005f,0x3ffea5ff,0xfc8005ff,0x3e63ffff,0x2002ffff,
    0xf55ffffe,0xc801ffff,0x7d45ffff,0x8005ffff,0x43fffffc,0x2a1fffff,
    0xff5000ff,0x9000bfff,0x4c7fffff,0x002fffff,0x017ffffa,0x6dffffea,
    0x3006ffff,0x005fffff,0xfffff300,0x7fff4005,0x3ffff65f,0xff88001f,
    0x3fe64fff,0x3a002fff,0xff55ffff,0xff700fff,0xfffd8dff,0xf88001ff,
    0x3e24ffff,0x3f20ffff,0x3fff6006,0xf88001ff,0x3e64ffff,0x2002ffff,
    0x805ffffe,0xf54ffffd,0x3003ffff,0x005fffff,0xfffff300,0x7fff4005,
    0x3ffffe5f,0x3ffa0006,0x3ffe66ff,0x3fa002ff,0xfff55fff,0xfff500df,
    0xfffff8ff,0x3ffa0006,0x3ffea6ff,0x0027fc7f,0x00dfffff,0x37ffff40,
    0x05fffff3,0x2fffff40,0x3ffffe20,0x9fffff11,0xfffff300,0xff300005,
    0x74005fff,0xff15ffff,0x4000bfff,0x267ffffd,0x002fffff,0x557ffffa,
    0xa807ffff,0x3e27ffff,0x0005ffff,0xa9fffff6,0xf30fffff,0x3fe2003f,
    0x20005fff,0x267ffffd,0x002fffff,0x017ffffa,0xc8fffff7,0x400fffff,
    0xeefffff9,0xeeeeeeee,0x3e60eeee,0x2002ffff,0xf15ffffe,0x0009ffff,
    0x87ffffe4,0x02fffff9,0x57ffffa0,0x807ffffa,0x226ffffb,0x004fffff,
    0x3fffff20,0x3fffff30,0xf8801fee,0x0004ffff,0x43fffff2,0x02fffff9,
    0x17ffffa0,0x89ffffd0,0x03fffff9,0x7fffffcc,0xffffffff,0x260fffff,
    0x002fffff,0x4d7ffffa,0x003fffff,0x3ffffee0,0x5fffff31,0x7ffff400,
    0x3fffff55,0x5ffffc80,0x0fffffe6,0xffffb800,0xfffff11f,0x35913fa3,
    0xfffff981,0x3fee0003,0xfff31fff,0x7f4005ff,0x3e605fff,0xfe81ffff,
    0x7cc06fff,0xffffffff,0xffffffff,0x3ffe60ff,0x3fa002ff,0xfff35fff,
    0x540007ff,0xf32fffff,0x4005ffff,0xf55ffffe,0xe809ffff,0x3e64ffff,
    0x0003ffff,0x8bffffea,0xf8dfffff,0x3fffe62f,0xfffff31f,0x7fd40007,
    0xfff32fff,0x7f4005ff,0x3f605fff,0xff906fff,0x7cc03fff,0xffffffff,
    0xffffffff,0x3ffe60ff,0x3fa002ff,0xfff15fff,0x5c0009ff,0xf31fffff,
    0x4005ffff,0xf55ffffe,0x203fffff,0x22fffffa,0x04fffff8,0x3fffee00,
    0x3ffff21f,0x3f60ffcf,0x3fe26fff,0x20004fff,0x31fffffb,0x005fffff,
    0x82fffff4,0x03fffff8,0x09fffff3,0x77ffffcc,0xeeeeeeee,0x260eeeee,
    0x002fffff,0xf97ffffa,0x0005ffff,0x99fffff2,0x002fffff,0x557ffffa,
    0x2fffffff,0x37ffffd4,0x02fffffc,0xfffff900,0xffffff98,0xffff935f,
    0xfffff89f,0x3ff20005,0x3ffe67ff,0x3fa002ff,0xff705fff,0x7f401fff,
    0xf300ffff,0x0005ffff,0x5fffff10,0x7ffff400,0x1bffffa4,0xffffd800,
    0x3ffffe26,0x3fffa002,0xfffff54f,0xfffdffff,0xfd03ffff,0x4000dfff,
    0xc86ffffd,0xefffffff,0x0fffffff,0x037ffff4,0xdffffb00,0x17ffffc4,
    0x9ffffd00,0x3fffffa0,0xffffffff,0x303fffff,0x005fffff,0xfffff100,
    0x7fff4005,0x3ffff64f,0xfff0000f,0x7ffc4bff,0x3fa002ff,0xfff54fff,
    0xfffffdff,0x20bfffff,0x00fffffd,0xbfffff00,0x3fffffa0,0xffffffff,
    0xfffffd81,0xffff0000,0x7fffc4bf,0x3ffa002f,0xfff984ff,0xffffffff,
    0xffffffff,0xfffff306,0x3fe00005,0x3e003fff,0x3ee4ffff,0x8004ffff,
    0x44fffffb,0x003fffff,0x553ffffe,0xfd8effff,0x4fffffff,0x3ffffee0,
    0xfffb8004,0xffb104ff,0xffffffff,0x3ffee05f,0xfb8004ff,0x7fc4ffff,
    0x3e003fff,0xfc84ffff,0xffffffff,0xffffffff,0xff981fff,0x00002fff,
    0x00dfffff,0x8fffffe2,0x0ffffff9,0x3fffe200,0x7fffc1ff,0xfff1006f,
    0x3ffea7ff,0x3ffff26f,0x7fcc02ef,0x2000ffff,0x1ffffff8,0x7ffffd40,
    0x2600cfff,0x00ffffff,0x3ffffe20,0x7ffffc1f,0xffff1006,0xfffff07f,
    0xffffffff,0xffffffff,0xfffff309,0x3f600005,0xd803ffff,0x642fffff,
    0x00dfffff,0xbfffffb0,0x7fffffb0,0xfffffb00,0x1bfffea5,0xc80026a2,
    0x00dfffff,0xbfffffb0,0x557ff300,0x7fe40013,0xb000dfff,0xb0bfffff,
    0x007fffff,0x85fffffb,0xeefffffa,0xeeeeeeee,0x0ffffffe,0x17ffffcc,
    0xfffb8000,0x3ea01fff,0xf887ffff,0x01efffff,0x3fffffa6,0xffffb80f,
    0x3fea01ff,0x3fea7fff,0x200006ff,0xeffffff8,0x3fffa601,0xfc800fff,
    0x7fc40007,0x201effff,0xffffffe9,0xfffffb80,0x3ffea01f,0xfffd87ff,
    0x7fdc006f,0x7fcc3fff,0x00002fff,0x3ffffffe,0xffdbaabd,0xf703ffff,
    0x9bffffff,0xffffb955,0x7fc07fff,0xabdfffff,0xfffffdba,0x3fffea3f,
    0x7dc00006,0xcdffffff,0xffffdcaa,0xfd003fff,0xff700009,0x59bfffff,
    0xfffffb95,0x7ffc07ff,0xaabdffff,0xffffffdb,0x7ffffc43,0x7ffc4003,
    0x7ffcc6ff,0xcccccdff,0xcccccccc,0x7fffdc3c,0xffffffff,0x00ffffff,
    0x3ffffffa,0xffffffff,0x5c06ffff,0xffffffff,0xffffffff,0x3ffea0ff,
    0xe800006f,0xffffffff,0xffffffff,0xff1006ff,0x3fa00005,0xffffffff,
    0xffffffff,0x7ffdc06f,0xffffffff,0x0fffffff,0x07ffffdc,0x7fffec00,
    0x3fffe61f,0xffffffff,0xffffffff,0xfffffc85,0xffffffff,0xfb802fff,
    0xffffffff,0x3fffffff,0xfffff900,0xffffffff,0xffa85fff,0x000006ff,
    0xfffffff7,0xffffffff,0x3fdc007f,0x3fee0000,0xffffffff,0x03ffffff,
    0xffffff90,0xffffffff,0xfffd05ff,0x3ea000df,0x3e64ffff,0xffffffff,
    0xffffffff,0xff505fff,0xffffffff,0x4001dfff,0xffffffe9,0x1effffff,
    0x7fffd400,0xffffffff,0xfffa80ef,0x2000006f,0xffffffe9,0x1effffff,
    0x002fec00,0x7fff4c00,0xffffffff,0x7d4001ef,0xffffffff,0xa80effff,
    0x003fffff,0x3fffffe0,0xffffff30,0xffffffff,0x0bffffff,0x7ffffec4,
    0x003effff,0x3fffb6e0,0x003defff,0x3ffff620,0x03efffff,0x01bfffea,
    0x3b6e0000,0xdeffffff,0x05ff0003,0x76dc0000,0xdeffffff,0x3f620003,
    0xffffffff,0x3fff603e,0x320000ff,0xf33fffff,0xffffffff,0xffffffff,
    0x2600bfff,0x009aaaaa,0x1aa98000,0x55300000,0x30013555,0x00079999,
    0x35530000,0x02a20000,0xa9800000,0x3000001a,0x01355555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1f777744,0x99990000,0x2a000039,
    0x001eeeee,0x2f777640,0xeeeed880,0x33220004,0x75c00ccc,0x2000deee,
    0x6eb82dda,0xccca8000,0x02666544,0x89999300,0x000cccc9,0xddddd300,
    0x20000005,0x005ffffc,0x3fffee00,0x900000ef,0x000bffff,0x1ffffe88,
    0xfffff300,0x3ff20001,0x7fc06fff,0x3e002fff,0xaadfffff,0xc80007ff,
    0x7fdc7fff,0x3ee0007f,0x7ffd47ff,0xf900000f,0x00009fff,0x3fffe200,
    0x3e600006,0x05ffffff,0x3fff6000,0x7c40000f,0x26005fff,0x8004ffff,
    0xfffffffa,0x7ffff704,0x7fffd400,0x5fffffff,0xfffc8000,0x03fffdc7,
    0x8ffff700,0x000ffffa,0x5ffff880,0x2e000000,0x0000efff,0xf5fffd10,
    0x00005fff,0x0027ffec,0x0ffffcc0,0x1ffff500,0x7fffc400,0xe81ffffa,
    0x64003fff,0xfffdbbff,0x80001fff,0x7dc7fffc,0x2e0007ff,0x7fd47fff,
    0xc80000ff,0x00005fff,0x077ff400,0xfff90000,0x03fffe69,0xfffe8000,
    0xff980000,0x7fd4005f,0x3ff6004f,0x1dfff53f,0x0027ffd4,0x76d427f4,
    0xd700000b,0xeeea8bdd,0x3baa0006,0x7777546e,0x7fc40000,0x000000ef,
    0x0037ba60,0x5eee9800,0x0027775c,0x05ddb100,0x37baa000,0x2f75c000,
    0x44eeea80,0x3b23eeeb,0x0000004e,0x00000000,0x00000000,0x037baa00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdffdca98,
    0x000009ac,0x37ff72a6,0x910009ac,0x40039999,0x003ccccb,0x00000000,
    0x1666664c,0x66664400,0xcccccccc,0xcccccccc,0x6664c000,0x4c0002cc,
    0x910ccccc,0x99999999,0x99999999,0x99301999,0x32601999,0x2000cccc,
    0xfffffffb,0x002fffff,0x7ffffdc0,0x2fffffff,0xfffff980,0x3fffa002,
    0x33332e5f,0xccb8002c,0x40002ccc,0x07fffffc,0xfffff980,0xffffffff,
    0x1fffffff,0x7fffe400,0x7d40007f,0xff30ffff,0xffffffff,0xffffffff,
    0xfff503ff,0x3fea01ff,0xe8800fff,0xffffffff,0x0dffffff,0x7fff4400,
    0xffffffff,0x2600dfff,0x002fffff,0xa97ffffa,0x00ffffff,0x3ffffe60,
    0x3e20000f,0x03ffffff,0x7ffffcc0,0xffffffff,0x1fffffff,0x3fffe200,
    0x20003fff,0x30fffffa,0xffffffff,0xffffffff,0xf503ffff,0x2a01ffff,
    0x400fffff,0xfffffffa,0xffffffff,0xf5002fff,0xffffffff,0xffffffff,
    0x3ffe605f,0x3fa002ff,0x7fec5fff,0x3a004fff,0x002fffff,0x7ffffdc0,
    0x7cc006ff,0xffffffff,0xffffffff,0x2e001fff,0x6fffffff,0x3ffea000,
    0xffff30ff,0xffffffff,0xffffffff,0xfffff503,0x3fffea01,0x3ffe200f,
    0xeeffffff,0xffffffff,0x7ffc401f,0xeeffffff,0xffffffff,0xffff981f,
    0x3ffa002f,0x7ffc45ff,0xfb801fff,0x0005ffff,0xffffffe8,0x3e6001ff,
    0xffffffff,0xffffffff,0x3a001fff,0xffffffff,0xfff50001,0x3ffe61ff,
    0xffffffff,0xffffffff,0xffffa81f,0xffff500f,0x7fff401f,0xc981cfff,
    0x05ffffff,0x7ffffff4,0xfffc981c,0xff985fff,0x3a002fff,0xfb85ffff,
    0x4406ffff,0x00ffffff,0x7fffcc00,0x004fffff,0x2fffffe6,0x99999999,
    0x00199999,0x3fffffe6,0x50004fff,0x261fffff,0x99bfffff,0x99999999,
    0xff501999,0x3ea01fff,0xf700ffff,0x005fffff,0x5ffffff3,0x3ffffee0,
    0xfff9802f,0x7fcc2fff,0x3a002fff,0xfd05ffff,0x6407ffff,0x003fffff,
    0xfffffc80,0x000fffff,0x05fffff3,0xff900000,0xffffffff,0xfff50001,
    0x3ffe61ff,0x400002ff,0x00fffffa,0x01fffff5,0x3ffffff1,0x7fffcc00,
    0x7ffc40ff,0x26001fff,0x20ffffff,0x02fffff9,0x17ffffa0,0x7fffffcc,
    0xfffff980,0xfff00006,0xfffff7ff,0x3ffe6007,0x000002ff,0xfbfffff8,
    0x8003ffff,0x30fffffa,0x005fffff,0xffffa800,0xffff500f,0xffff501f,
    0xff9000bf,0xffa87fff,0xc8005fff,0x263fffff,0x002fffff,0x817ffffa,
    0x84fffffc,0x01fffffd,0xffffa800,0x0dffffb7,0x3ffffe60,0x54000002,
    0xffb7ffff,0xf5000dff,0x3e61ffff,0x0002ffff,0x7ffffd40,0xfffff500,
    0xfffffb01,0xfff10003,0xfffd89ff,0xf88001ff,0x3e64ffff,0x2002ffff,
    0x205ffffe,0x1fffffe8,0x13ffffea,0x7ffec000,0xfffff54f,0xffff3003,
    0x8000005f,0xf54ffffd,0x8003ffff,0x30fffffa,0x005fffff,0xffffa800,
    0xffff500f,0xfffff01f,0x7ff4000d,0x7fffc6ff,0x3fa0006f,0x3fe66fff,
    0x3a002fff,0x5405ffff,0x3a6fffff,0x000fffff,0xfffff880,0x9fffff11,
    0xfffff300,0x44000005,0xf11fffff,0x8009ffff,0x30fffffa,0x005fffff,
    0xffffa800,0xffff500f,0xffff881f,0x3f60005f,0x3fe27fff,0x20005fff,
    0x267ffffd,0x002fffff,0x017ffffa,0x2bfffff6,0x02fffffb,0xffff7000,
    0xfffffc8f,0x7fffcc00,0xeeeeeeef,0x0eeeeeee,0x7ffffb80,0x07ffffe4,
    0xfffff500,0x3ffffe61,0xeeeeeeee,0x00eeeeee,0x01fffff5,0x03ffffea,
    0x09fffff1,0x7fffe400,0xfffff10f,0x7fe40009,0xfff30fff,0x7f4005ff,
    0xf8805fff,0xffffffff,0x200005ff,0x4c4ffffe,0x403fffff,0xfffffff9,
    0xffffffff,0xe800ffff,0x7cc4ffff,0x2003ffff,0x30fffffa,0xffffffff,
    0xffffffff,0x3ea01fff,0xf500ffff,0xf981ffff,0x0003ffff,0x47ffffee,
    0x03fffff9,0x3fffee00,0xfffff31f,0x7fff4005,0xfff7005f,0x1fffffff,
    0x3fe60000,0xffe81fff,0x7fcc06ff,0xffffffff,0xffffffff,0x7ffcc00f,
    0xfffe81ff,0x3fea006f,0xfff30fff,0xffffffff,0xffffffff,0x3fffea01,
    0xffff500f,0xffff981f,0x3ea0003f,0xff32ffff,0x40007fff,0x32fffffa,
    0x005fffff,0x02fffff4,0xffffffd0,0x400007ff,0x906ffffd,0x403fffff,
    0xfffffff9,0xffffffff,0x6c00ffff,0xf906ffff,0x2003ffff,0x30fffffa,
    0xffffffff,0xffffffff,0x3ea01fff,0xf500ffff,0xf881ffff,0x0004ffff,
    0x47ffffee,0x04fffff8,0x3fffee00,0xfffff31f,0x7fff4005,0x3fe6005f,
    0x006fffff,0x3fffe200,0xffff303f,0x7ffcc09f,0xeeeeeeff,0xeeeeeeee,
    0x3fffe200,0xffff303f,0x3fea009f,0xfff30fff,0xddddddff,0xdddddddd,
    0x3fffea01,0xffff500f,0xfffff01f,0x7fe4000b,0x7fffc7ff,0x3f20005f,
    0x3fe67fff,0x3a002fff,0x4005ffff,0x1ffffffc,0x3fee0000,0x3fa00fff,
    0xf300ffff,0x0005ffff,0xfffff700,0x7ffff401,0xfffa800f,0xffff30ff,
    0xa800005f,0x500fffff,0xd01fffff,0x000dffff,0x237fffec,0x006ffffe,
    0x9bffff60,0x02fffff8,0x13ffffa0,0x3ffffe00,0x7f400004,0xffffffff,
    0xffffffff,0xffff303f,0xd000005f,0xffffffff,0xffffffff,0xff5007ff,
    0x3fe61fff,0x00002fff,0x07ffffd4,0x0fffffa8,0x0fffffd8,0xfffff000,
    0xfffffd8b,0xffff0000,0x7fffc4bf,0x3ffa002f,0xff8004ff,0x00004fff,
    0x3fffffe6,0xffffffff,0x306fffff,0x005fffff,0xffff9800,0xffffffff,
    0x6fffffff,0xfffffa80,0x5fffff30,0xffa80000,0xff500fff,0xff701fff,
    0x70009fff,0xb89fffff,0x004fffff,0x4fffffb8,0x01fffffc,0x09fffff0,
    0x9fffff00,0x7fe40000,0xffffffff,0xffffffff,0xfff981ff,0x400002ff,
    0xfffffffc,0xffffffff,0x401fffff,0x30fffffa,0x005fffff,0xffffa800,
    0xffff500f,0xffff301f,0x7c4001ff,0x4c1fffff,0x00ffffff,0x3ffffe20,
    0x7ffffc1f,0xffff1006,0xfff0007f,0x400009ff,0xffffffff,0xffffffff,
    0x984fffff,0x002fffff,0x7ffffc00,0xffffffff,0xffffffff,0x7fffd404,
    0xfffff30f,0xfa800005,0xf500ffff,0x3201ffff,0x00dfffff,0xbfffffb0,
    0x3fffff20,0xfffb000d,0xfffb0bff,0xffb007ff,0xf0005fff,0x0009ffff,
    0x3ffffea0,0xeeeeeeee,0xfffffeee,0x7fffcc0f,0x2a00002f,0xeeefffff,
    0xeeeeeeee,0x00ffffff,0x43ffffea,0x02fffff9,0x7ffd4000,0xfff500ff,
    0x3fe201ff,0x201effff,0xffffffe9,0xfffff100,0x7f4c03df,0xb80fffff,
    0x01ffffff,0x1fffffea,0x7ffffc00,0xffb00004,0xfb800dff,0x7cc3ffff,
    0x0002ffff,0x1bffff60,0xfffff700,0x7fffd407,0xfffff30f,0xfa800005,
    0xf500ffff,0x5c01ffff,0xdfffffff,0xfffdcaac,0x5c03ffff,0xdfffffff,
    0xfffdcaac,0x3e03ffff,0xbdffffff,0xffffdbaa,0xff0003ff,0x00009fff,
    0x07fffff1,0xfffff880,0x7ffffcc6,0xcccccccd,0x3ccccccc,0x0fffffe2,
    0xfffff100,0x7fffd40d,0xfffff30f,0x9999999b,0x79999999,0x1fffff50,
    0x3ffffea0,0x7ffff400,0xffffffff,0x06ffffff,0xffffffd0,0xffffffff,
    0xb80dffff,0xffffffff,0xffffffff,0xff0000ff,0x00009fff,0x01fffff7,
    0xfffffb00,0x7ffffcc3,0xffffffff,0x5fffffff,0x03ffffee,0x3ffff600,
    0xffff501f,0x3fffe61f,0xffffffff,0xffffffff,0xfffffa85,0xfffff500,
    0xffff7001,0xffffffff,0x8007ffff,0xfffffffb,0xffffffff,0xfff9003f,
    0xffffffff,0x005fffff,0x27ffffc0,0x7fff4000,0xff50006f,0x7fcc9fff,
    0xffffffff,0xffffffff,0x3fffa5ff,0xff50006f,0x3ea09fff,0xff30ffff,
    0xffffffff,0xffffffff,0xfff50bff,0x3fea01ff,0xd3000fff,0xffffffff,
    0x003dffff,0x3ffffa60,0xffffffff,0x7fd4001e,0xffffffff,0x0000efff,
    0x027ffffc,0x3fffea00,0x3fe0003f,0xff30ffff,0xffffffff,0xffffffff,
    0x3ffeabff,0x3e0003ff,0xa80fffff,0xf30fffff,0xffffffff,0xffffffff,
    0xff50bfff,0x3ea01fff,0x4000ffff,0xfffffedb,0x00003def,0xfffffdb7,
    0x40007bdf,0xffffffd8,0x0003efff,0x09fffff0,0xffffd800,0x3f20000f,
    0xff33ffff,0xffffffff,0xffffffff,0x3fff6bff,0x320000ff,0xa83fffff,
    0xf30fffff,0xffffffff,0xffffffff,0xff50bfff,0x3ea01fff,0x0000ffff,
    0x0000d54c,0x01aa9800,0x55530000,0x00001355,0x04fffff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99993000,0x06666441,0x05f6cc00,0x65c07ba6,0x6665c2cc,
    0x3cccb803,0x001e6654,0x0005ec80,0x00000000,0x32077ae2,0x0000004e,
    0x00000000,0x00000000,0x7fffd400,0x07fffe60,0xfffffb00,0x03ffb57b,
    0xfb13fffa,0xffb00bff,0x6fffd8bf,0x0dfd0000,0xbf910000,0xf3000003,
    0x759dffff,0x20000bff,0xdffdca98,0x100009ac,0x005bdfd9,0x000fffd8,
    0x9fffff10,0x7ffd4000,0x3fffe60f,0x3ffe2001,0xffffffff,0x13fffa07,
    0xb00bfffb,0xffd8bfff,0x2e20006f,0x01bdfffd,0xffff8800,0x6400002f,
    0xffffffff,0x80003fff,0xfffffffa,0x003fffff,0x7fffffd4,0xff9800df,
    0x3f60003f,0x001fffff,0x41ffff50,0x001ffff9,0x3f6affea,0x203fffff,
    0x7ec4fffe,0xffd805ff,0x37ffec5f,0xffffc800,0x004fffff,0x7d467e40,
    0x7f400006,0xffffdbae,0x220000ef,0xfffffffd,0xdfffffff,0xffff8800,
    0x804fffff,0x0000fffd,0xfffffff7,0xdd30001d,0x7774c1dd,0x1bf2001e,
    0xb0033b26,0xeec87ddd,0xeeec804e,0x02777644,0x3ffffa20,0x6fffffff,
    0xfd1fe000,0x3e200003,0x16edc42f,0x3ffea000,0xffffffff,0x2fffffff,
    0x467ffe40,0x200ffffa,0x0003fff9,0xfb1ffff3,0x000009ff,0x00000000,
    0x00000000,0xfff90000,0xffffffff,0x360009ff,0x000ff12f,0x00000000,
    0xfffffff3,0xffffddff,0x403fffff,0x3f60ffff,0x3ff603ff,0xffd0000f,
    0x3fffa25f,0x66664402,0xcccccccc,0xcccccccc,0x39999910,0x66664c00,
    0xccccc982,0x33260000,0x30002ccc,0xfdbfffff,0x3fffffbf,0xfdff5000,
    0x400000bf,0x02ccccc9,0x7fffec00,0xfc981cff,0x106fffff,0xffb8dfff,
    0x7fff304f,0x33326000,0x01e664c3,0x3fffffe6,0xffffffff,0x11ffffff,
    0x00dfffff,0x42ffffdc,0x00fffffa,0x3ffff200,0xff90007f,0x65bfa7ff,
    0x8004ffff,0x07fffffc,0x3ff20000,0x20007fff,0x2ffffffa,0xfffffa80,
    0x6fff983f,0xd82fffd4,0x00000fff,0xfff30000,0xffffffff,0xffffffff,
    0x3fffe23f,0xff7003ff,0xfff50bff,0x220001ff,0x3fffffff,0xffffd800,
    0x3fe2dfd0,0x7c4004ef,0x03ffffff,0xfff88000,0x8003ffff,0x1fffffe8,
    0x3fffe600,0x7ffcc0ff,0x42fffd46,0x0003fff9,0x3e600000,0xffffffff,
    0xffffffff,0xfff11fff,0x7001ffff,0xf50bffff,0x0001ffff,0x3fffffee,
    0xffe8006f,0x089bfa6f,0x3ffee000,0x0006ffff,0xfffffb80,0xfb8006ff,
    0x8005ffff,0x43fffffd,0x7dc6fff8,0xfffd85ff,0x7ffd4000,0x7ffdc07f,
    0xffff985f,0xffffffff,0xffffffff,0xffffff11,0xfff700bf,0xffff50bf,
    0x3fa0001f,0x1fffffff,0x7ffff400,0x0000dfd0,0x7ffffff4,0x400001ff,
    0xfffffffe,0x7fe4001f,0x88001fff,0xf84fffff,0x7ffe47ff,0x01fffcc3,
    0x3ffffd40,0x17fffee0,0x2fffffe6,0x99999999,0x22199999,0xffffffff,
    0x7fffdc02,0xfffffa85,0xfff98000,0x04ffffff,0xa7fffe40,0x300006fe,
    0xffffffff,0x4c00009f,0xffffffff,0x7fec004f,0x3a0006ff,0xfe86ffff,
    0x3fffa2ff,0x007ffec2,0x3ffffd40,0x17fffee0,0x0bffffe6,0x3ffe2000,
    0x406fffff,0xa85ffffb,0x000fffff,0xffffffc8,0x2000ffff,0xeefffffb,
    0xf900006f,0xffffffff,0x3200001f,0xffffffff,0x3fa000ff,0x20005fff,
    0xa87ffffd,0xffecffff,0x27ffcc6f,0xffffa800,0x7fffdc07,0xfffff985,
    0xff880002,0x4fffffff,0x17fffee0,0x03ffffea,0x3ffffe00,0x03fffffb,
    0x7fffff40,0x80001fff,0xffbfffff,0x00003fff,0xff7fffff,0x7c007fff,
    0x0004ffff,0x03fffff2,0x3ffffffa,0x7fff42ff,0xfff50000,0xfffb80ff,
    0xffff985f,0xf880002f,0xffffffff,0xffff701f,0xfffff50b,0xfffa8001,
    0xdffffb7f,0xffffa800,0x0befffff,0xffffa800,0x0dffffb7,0xffff5000,
    0x1bffff6f,0x7ffffcc0,0x3fee0003,0xff901fff,0xf983dfff,0x2a0004ff,
    0x5c07ffff,0xf985ffff,0x0002ffff,0xffffff88,0xf705ffff,0xff50bfff,
    0xd8001fff,0xff54ffff,0xb8003fff,0xffffffff,0x6c002fff,0xff54ffff,
    0x80003fff,0xf54ffffd,0x3003ffff,0x007fffff,0x7ffffd40,0x06ae6202,
    0x4407fff4,0xff5009aa,0xffb80fff,0xfff985ff,0x880002ff,0xffdfffff,
    0xffb82fff,0xfffa85ff,0x3e2000ff,0xff11ffff,0x50009fff,0xffffffff,
    0x22009fff,0xf11fffff,0x0009ffff,0x8fffffc4,0x04fffff8,0x4fffff88,
    0x3ffee000,0x4c0000ff,0x7ec44fff,0xfa84ffff,0x7dc07fff,0xff985fff,
    0xeeeeefff,0xeeeeeeee,0x3fffe20e,0xffffff8f,0x2ffffdc0,0x07ffffd4,
    0xfffff700,0x0fffffc8,0xfffb5000,0x07ffffff,0x8fffff70,0x00fffffc,
    0xfffff700,0x0fffffc8,0x5fffff80,0x3fff2000,0xfe80007f,0x3ffe60ff,
    0x546fffff,0x5c07ffff,0xf985ffff,0xffffffff,0xffffffff,0x3ffe20ff,
    0xfffff77f,0x5ffffb89,0x0fffffa8,0x3ffffa00,0x7ffffcc4,0x7ff40003,
    0x0fffffff,0x27ffff40,0x0fffffe6,0x7ffff400,0x7ffffcc4,0xffffe803,
    0x3ff60006,0x540006ff,0x7fec4fff,0x2ffffcef,0x01ffffea,0x30bffff7,
    0xffffffff,0xffffffff,0x7fc41fff,0x3fffa7ff,0x3ffee1ff,0xffffa85f,
    0xfff3000f,0xfffd03ff,0xfe8000df,0xfffffd9e,0x3fffe602,0xffffe81f,
    0xfff98006,0xfffe81ff,0xfffd806f,0xff00c07f,0x8000bfff,0x3e60fffe,
    0x3ffea6ff,0x1ffffea6,0x0bffff70,0xfffffff3,0xffffffff,0x7c41ffff,
    0x3fe67fff,0x3fee6fff,0xfffa85ff,0xffb000ff,0x3ff20dff,0x20001fff,
    0x3fff26fe,0x3fff603f,0xffff906f,0xffd8003f,0xfff906ff,0xffb803ff,
    0xbf303fff,0xfffffb83,0x3fea0003,0x27ffdc4f,0x7d43fffe,0x7dc07fff,
    0xff985fff,0xeeeeefff,0xeeeeeeee,0x3fffe20e,0x7ffffe47,0x0bffff73,
    0x01fffff5,0x7fffff10,0x3ffffe60,0xdfd06004,0x827fffcc,0x03fffff8,
    0x09fffff3,0x7ffffc40,0xfffff303,0xffff9809,0xbfffb07f,0xffffff11,
    0x7ff40005,0x1fffe40f,0x7d47fffa,0x7e407fff,0xff985fff,0x80002fff,
    0x447ffff8,0xb8ffffff,0xfa85ffff,0xb800ffff,0x200fffff,0x00fffffe,
    0x747fffd7,0x27fffc6f,0x0fffffb8,0x3fffffa0,0xffff7000,0x7fff401f,
    0x7fe400ff,0x7fc44fff,0xfffeffff,0x2a0005ff,0xffd84fff,0x97fff42f,
    0x00fffff9,0x217ffffa,0x02fffff9,0xffff8800,0xfffffa87,0x85ffffbc,
    0x00fffffa,0xffffffe8,0xffffffff,0xf503ffff,0x37f4ffff,0x205ffff3,
    0xfffffffe,0xffffffff,0xfd003fff,0xffffffff,0xffffffff,0xfff8807f,
    0x3220dfff,0xffffffff,0x3a0001ff,0xffc80fff,0x97fff42f,0x02fffff9,
    0x0bfffff5,0x05fffff3,0xffff1000,0x3ffff60f,0x85ffffdf,0x00fffffa,
    0x7fffffcc,0xffffffff,0x206fffff,0xfd4fffff,0x0ffffe4d,0x7fffffcc,
    0xffffffff,0x806fffff,0xfffffff9,0xffffffff,0xb806ffff,0xcfffffff,
    0xffffc99b,0x0004ffff,0x5c13ffea,0x7ff43fff,0xfffff11f,0xffffa81f,
    0xfff985ff,0x880002ff,0xf107ffff,0xffffffff,0xffff50bf,0xfffc801f,
    0xffffffff,0xffffffff,0xffffb01f,0xfb1dfd9f,0x3f20dfff,0xffffffff,
    0xffffffff,0x7e401fff,0xffffffff,0xffffffff,0xfe801fff,0xffffffff,
    0xffffffff,0x3a0001ff,0xff500fff,0x7fffc4bf,0x3fffffa0,0xfffffcdf,
    0xff985fff,0x80002fff,0x207ffff8,0xfffffffb,0xfffa85ff,0x7ffc00ff,
    0xffffffff,0xffffffff,0xfff104ff,0xffffffff,0x3e03ffff,0xffffffff,
    0xffffffff,0x7c04ffff,0xffffffff,0xffffffff,0x7004ffff,0xffffffff,
    0xffffffff,0x8001bfff,0x2204fffa,0xfc8affff,0x7ffcc5ff,0xffffffff,
    0x985ffffb,0x002fffff,0x7ffff880,0x7fffff40,0xffa85fff,0x3ea00fff,
    0xeeeeffff,0xfeeeeeee,0x700fffff,0xffffffff,0x207fffff,0xeefffffa,
    0xeeeeeeee,0x0ffffffe,0xdfffff50,0xdddddddd,0xffffffdd,0x3ffa6001,
    0xffffffff,0xffffffff,0xffd000cf,0xfffc801f,0x81ffffff,0xfffffffa,
    0xffff89ff,0xfffff985,0xff880002,0x7fcc07ff,0x85ffffff,0x00fffffa,
    0x01bffff6,0x7fffff70,0x7ffffd40,0x02ffffff,0x01bffff6,0x7fffff70,
    0x1bffff60,0xfffff700,0xfedb8007,0xacefffff,0xfffffffb,0x4fffa800,
    0xffffd880,0x36a03fff,0x10ceffff,0xf30bffff,0x999bffff,0x99999999,
    0x3fe27999,0xffd807ff,0xa85fffff,0x100fffff,0x007fffff,0x6fffff88,
    0x7fffec40,0x2200ceff,0x003fffff,0x37ffffc4,0x1fffffc4,0x3fffe200,
    0x54c0006f,0xfffd101a,0x3ffa009f,0x3faa000f,0x26001def,0x3e60000a,
    0xffffffff,0xffffffff,0xfff15fff,0xfff100ff,0xf50bffff,0x2e01ffff,
    0x000fffff,0x1fffffd8,0x01ffd300,0x3ffffee0,0xfffd8000,0x7ffdc1ff,
    0xfd8000ff,0x0001ffff,0x1fff7000,0x00000000,0x4c000000,0xffffffff,
    0xffffffff,0xff15ffff,0x3ee00fff,0xa85fffff,0xd00fffff,0x000dffff,
    0x13ffffea,0x2006fe80,0x006ffffe,0x9fffff50,0x06ffffe8,0xfffff500,
    0x80000009,0x0000002a,0x00000000,0x7fffffcc,0xffffffff,0x15ffffff,
    0x400fffff,0x85fffffe,0x80fffffa,0x03fffffa,0x3ffffe00,0x0dfd000f,
    0x3ffffea0,0x3ffe0003,0xfff50fff,0x7c0007ff,0x000fffff,0x00000000,
    0x00000000,0x7ffcc000,0xffffffff,0xffffffff,0xfffff15f,0x7fffcc00,
    0xffffa85f,0xffffd80f,0x3f20000f,0x9003ffff,0x3ff600bd,0x20000fff,
    0xb3fffffc,0x001fffff,0x7ffffe40,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00910000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000336a,0x00000000,0x00000000,0x95310000,0x0599dffb,
    0x5c40bfd1,0x03deffed,0xfffff900,0xfc800001,0x4000ffff,0x04fffff8,
    0xffff9000,0xfffc801f,0x03fffdc7,0x1fffffc0,0x7fffe400,0x3ee0000f,
    0x0000ffff,0xf71ffff2,0xfa800fff,0x3ea004ff,0xffffffff,0x3ffa2eff,
    0xffffb84f,0x02efffff,0x3ffffd80,0x3fe20000,0xd8001fff,0x01ffffff,
    0x7fffc400,0xfffc801f,0x03fffdc7,0x3ee77ea0,0xfffb0006,0xfc80007f,
    0x20004fff,0x7dc7fffc,0x7e4007ff,0xfd8802ff,0xffffffff,0xfdefffff,
    0x7fe40eff,0xffffffff,0xfd8001ff,0x200007ff,0x001ffffb,0xffffffb8,
    0x2e0000ef,0x9001ffff,0xffb8ffff,0x0ff4007f,0x360003fb,0x80007fff,
    0x000ffffd,0xb8ffff90,0x74007fff,0x7d400fff,0xffffffff,0xffffffff,
    0x7cc0efff,0xffffffff,0x0007ffff,0x0005fffd,0x00bfffe0,0x23fffe60,
    0x0004fffd,0x800bfffe,0x7dc7fffc,0x7e4007ff,0x80003fa2,0x0002fffe,
    0x003fffd8,0xb8ffff90,0x22007fff,0x7c406fff,0xffffffff,0xffffffee,
    0xfd81ffff,0xea9bffff,0x001fffff,0x006ffe88,0x02fffa80,0x25fffd00,
    0x002fffe8,0x002fffa8,0x26266654,0x4c004ccc,0x005fedff,0x037ff440,
    0x07ffe800,0x89999500,0x2004ccc9,0x6c04fffa,0x1cffffff,0xfffffc88,
    0xfffff07f,0xfffff987,0x99910002,0xccb80001,0x99930002,0x03ccc987,
    0x002ccb80,0x70000000,0x0001bfff,0x00199910,0x03999100,0x80000000,
    0x2a02fffb,0x02ffffff,0xffffffb8,0x7ffffc43,0x1fffff80,0x00000000,
    0x00000000,0x00000000,0x02a00000,0x00000000,0x00000000,0x1fffb000,
    0x3ffffe20,0xfff9801f,0x7cc6ffff,0xff987fff,0x988007ff,0x00019aa9,
    0x066aa662,0xaa998800,0x00000019,0x2aa66200,0x26200019,0x00019aa9,
    0x98800000,0x0000009a,0x7fff8000,0x3ffffee0,0xffff8805,0x262fffff,
    0xfc87ffff,0x2a004fff,0xfffffffd,0xfb5000cf,0x9fffffff,0x3ff6a001,
    0x0cffffff,0x0fffff50,0x05ffffb8,0xffffffb5,0x2a0019ff,0xfffffffd,
    0xfff500cf,0xfffb80ff,0x3fae205f,0x01dfffff,0x03ffffd4,0x817fffee,
    0x3205fff9,0x401fffff,0xffdfffe8,0x3fea5fff,0x7ffc46ff,0xffb001ff,
    0xffffffff,0xffd801df,0xffffffff,0x7fec00ef,0xffffffff,0xfffa80ef,
    0x7ffdc07f,0xffffd85f,0xefffffff,0x7fffec00,0xefffffff,0x7ffffa80,
    0x2ffffdc0,0xffffffa8,0x204fffff,0x407ffffa,0x205ffffb,0x3603fffb,
    0xe806ffff,0xffff5fff,0x7fffd4df,0x2ffffe46,0xfffffd80,0xffffffff,
    0xffffb00f,0xffffffff,0x3ff601ff,0xffffffff,0x7d40ffff,0x7dc07fff,
    0x7fec5fff,0xffffffff,0xfb00ffff,0xffffffff,0xa81fffff,0x5c07ffff,
    0xfb85ffff,0xffffffff,0xa81effff,0x5c07ffff,0x3605ffff,0x3fe01fff,
    0x7ec05fff,0xfffb0eff,0x7fffd4ff,0x0fffffc6,0x7ffffcc0,0xffffecef,
    0xfff983ff,0xffecefff,0xf983ffff,0xecefffff,0x43ffffff,0x407ffffa,
    0x265ffffb,0xceffffff,0x3ffffffe,0xffffff98,0xfffffece,0x7fffd43f,
    0x7fffdc07,0x7ffffd45,0xffffffff,0xfffa86ff,0x7ffdc07f,0x1fffe05f,
    0x4fffff88,0x83bfff20,0x50fffffc,0x7ccdffff,0xd801ffff,0x440dffff,
    0xd85ffffe,0x440dffff,0xd85ffffe,0x440dffff,0x545ffffe,0x5c07ffff,
    0x3f65ffff,0x7440dfff,0xfd85ffff,0x7440dfff,0x7d45ffff,0x7dc07fff,
    0x3fe25fff,0x260cffff,0x43fffffe,0x407ffffa,0x305ffffb,0x7cc0bfff,
    0xf703ffff,0xffb81fff,0xfff51fff,0x7fffd4df,0xedca804f,0xffff700f,
    0x1fdb950d,0x1bfffee0,0x403fb72a,0x546ffffb,0x5c07ffff,0x32a5ffff,
    0xff700fed,0xdb950dff,0x3ffee01f,0x7fffd46f,0x7fffdc07,0x3ffffea5,
    0x3ffff602,0x3fffea0f,0x7fffdc07,0x07fff705,0x1fffffcc,0x40ffffdc,
    0x52fffffa,0xff8dffff,0x0003ffff,0x1bfffe60,0xffff3000,0xff98000d,
    0x7ffd46ff,0x7ffdc07f,0xff30005f,0x98000dff,0x7d46ffff,0x7dc07fff,
    0x3ff25fff,0x7fc405ff,0x3fea3fff,0x7fdc07ff,0xfffb05ff,0x7fffc403,
    0x7fffd44f,0xfffff702,0x1bfffea3,0x7ffffff7,0x7e544000,0x8007ffff,
    0xfffffca8,0xfca88007,0x7d47ffff,0x7dc07fff,0x22005fff,0x7fffffca,
    0xffca8800,0x7fd47fff,0x7fdc07ff,0x3fffa5ff,0xfffc802f,0x3fffea5f,
    0x7fffdc07,0x00ffff05,0x4cbfffff,0x3203ffff,0x3ea7ffff,0xffd86fff,
    0x1002ffff,0xfffffdb5,0x5100ffff,0xffffffdb,0xb5100fff,0xfffffffd,
    0xffffa8ff,0x7fffdc07,0x3fb6a205,0x7fffffff,0xffeda880,0x47ffffff,
    0x407ffffa,0xf15ffffb,0x7001ffff,0x7d4dffff,0x7dc07fff,0xff885fff,
    0xfffe805f,0x9ffff17f,0x6ffffd80,0x41bfffea,0x1ffffffd,0x3ffffae0,
    0xffffffff,0x3fffae07,0xffffffff,0x3ffae07f,0xffffffff,0x7ffd47ff,
    0x7ffdc07f,0xfffeb85f,0xffffffff,0x3ffae07f,0xffffffff,0x7ffd47ff,
    0x7ffdc07f,0xfffff55f,0x3fffea00,0x1ffffea7,0x0bffff70,0xb007fff5,
    0xfd3fffff,0xfff009ff,0x7ffd4bff,0xfffd106f,0xff901fff,0x9bffffff,
    0x320fffff,0xffffffff,0x07ffffcd,0xfffffff9,0xfffff9bf,0x07ffffa8,
    0x22ffffdc,0xfffffffc,0x7ffffcdf,0xffffff90,0xffff9bff,0x7ffffa8f,
    0xaffffdc0,0x007ffffa,0x54fffff5,0x5c07ffff,0xfc85ffff,0xffc801ff,
    0x5fffffff,0xfffffb80,0x1bfffea4,0x7fffffb0,0xdfffffd8,0x3fffe61b,
    0xfffffd87,0x3ffe61bd,0xffffd87f,0x3fe61bdf,0x7ffd47ff,0x7ffdc07f,
    0x3ffff65f,0x3fe61bdf,0xfffd87ff,0x3e61bdff,0x7fd47fff,0x7fdc07ff,
    0xffff35ff,0xfff7001f,0x7fffd4df,0x7fffdc07,0x007ffe85,0xfffffff1,
    0xfff001df,0x7fd43fff,0x7f4406ff,0x3fe25fff,0xff303fff,0xfff88fff,
    0xfff303ff,0xffff88ff,0xffff303f,0x7ffffa8f,0xaffffe40,0x03fffff8,
    0x88fffff3,0x303fffff,0xfa8fffff,0x7e407fff,0xfff15fff,0xff9003ff,
    0x7ffd4bff,0x7ffe407f,0x37ffc45f,0xfffff900,0xff9001df,0xffa8bfff,
    0xffa806ff,0x3ffea7ff,0x3ffea06f,0x7fffd47f,0x3fffea06,0x37fffd47,
    0x8fffff50,0x00fffff9,0x557ffffa,0x2a06ffff,0x7d47ffff,0x3ea06fff,
    0x7fcc7fff,0x3fa00fff,0x3ffa5fff,0x7fc405ff,0x3fe63fff,0x3fa00fff,
    0x7fd45fff,0x3fe2004f,0x200dffff,0xffffffd8,0x37fffd40,0x7ffffcc0,
    0x0dffff90,0x23ffffec,0x206ffffc,0x647ffffd,0x3606ffff,0x7cc7ffff,
    0xf502ffff,0x3f2bffff,0x3f606fff,0x7fe47fff,0x3ff606ff,0x7ffcc7ff,
    0xfff502ff,0x7ffe4bff,0x3ff602ff,0x3fe60fff,0xff502fff,0xffc8bfff,
    0x7fec002f,0x89bfffff,0xffffeba8,0xfffa83ff,0xf92f546f,0x7fdcdfff,
    0xffb81fff,0x7fdc7fff,0xffb81fff,0x7fdc7fff,0xffb81fff,0x7fc47fff,
    0x7d40ffff,0xf75fffff,0xf703ffff,0xfb8fffff,0xfb81ffff,0x7c47ffff,
    0x540fffff,0x25ffffff,0xcffffff8,0x3ffffa60,0x7fffc43f,0x7ffd40ff,
    0x7ff45fff,0x3fea000f,0xffffffff,0xffffffff,0xfff506ff,0x3fff62df,
    0x4fffffff,0x3fffffe6,0xfffffcad,0x3fe60fff,0xfcadffff,0x0fffffff,
    0x3fffffe6,0xfffffcad,0x7ff40fff,0xffcdffff,0x35ffffff,0x5bffffff,
    0xfffffff9,0x7fffcc1f,0xfffcadff,0x740fffff,0xcdffffff,0xffffffff,
    0x7ffffdc5,0xffffffff,0xfffd06ff,0xfff9bfff,0x44bfffff,0x26006fff,
    0xffffffff,0xffffffff,0x2a03ffff,0xfd16ffff,0xffffffff,0xffffd81f,
    0xffffffff,0x7ec1ffff,0xffffffff,0x1fffffff,0x7fffffec,0xffffffff,
    0x7ffcc1ff,0xffffffff,0x365ffffb,0xffffffff,0xffffffff,0x7ffffec1,
    0xffffffff,0x7fcc1fff,0xffffffff,0x85ffffbf,0xfffffffd,0x1effffff,
    0xffffff30,0xff7fffff,0x7ffd4bff,0xffff3004,0xfffffd59,0xdfffffff,
    0xffffa803,0x3ffffa26,0xe882ffff,0xffffffff,0x4ffffc9e,0x7fffff44,
    0xffc9efff,0x7ff444ff,0x9effffff,0xa84ffffc,0xffffffff,0x5ffff89f,
    0x3fffffa2,0xffc9efff,0x7ff444ff,0x9effffff,0xa84ffffc,0xffffffff,
    0x5ffff89f,0xffffff70,0x009fffff,0xfffffff5,0xffff13ff,0x017ffe4b,
    0x544fffb8,0xfffffffe,0xff5003de,0xfec88dff,0x2200dfff,0xcffffffc,
    0x0dffff30,0xffffff91,0x3fffe619,0xffffc886,0xfff30cff,0x3ff6a0df,
    0xff10ceff,0xffc88bff,0xf30cffff,0xf910dfff,0x219fffff,0x506ffff9,
    0x19dffffb,0x817fffe2,0xffffecb8,0x36a002df,0x10ceffff,0x7f4bffff,
    0x3ea000ff,0x0d54c405,0xa8800000,0x554c0009,0x55300000,0x2a600001,
    0x2600000a,0xa980000a,0x5300000a,0x4c000015,0x8800000a,0x980000aa,
    0xaaa8000a,0x00018002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x0003deec,
    0xb000bdb1,0xd70003dd,0x0000005d,0x7fffec00,0x3fe6000e,0x36002fff,
    0x7fec5fff,0x7ffc006f,0x2fffe41f,0xc8dfff90,0x10007fff,0x009ffffd,
    0xffffb800,0x3ff6001f,0xfc8006ff,0x00ffffff,0x0017fe40,0x000bfff2,
    0x3e00dff1,0x000007ff,0x01dffff3,0xfffffe80,0xfffb000f,0x06fffd8b,
    0x03fffe20,0x6409fffb,0x7fe46fff,0xff90007f,0x0005ffff,0x0fffff40,
    0x3fffa200,0x3fe6002f,0x06fffeff,0x8017fe20,0x02ffffd9,0x8017fe40,
    0x0001fffd,0x0ffffd80,0x7fffe400,0xfb005fff,0xfffd8bff,0x3ffea006,
    0x02ffff86,0xf91bfff2,0xf5000fff,0x1fffffff,0xfff50000,0x3a20005f,
    0x36005fff,0x3ffee6ff,0x03ffb001,0xfffffb10,0x7fcc005f,0x3ffee006,
    0x7c400003,0x54001fff,0xffe8efff,0xfffd803f,0x037ffec5,0x889fff70,
    0x3200ffff,0x7fe46fff,0x7fc4007f,0x5fffc9ff,0xfffe8000,0x7f440003,
    0x753001ff,0x007ffdc3,0x98027fcc,0x2fffefff,0x007ff600,0x004fff98,
    0x0fffe400,0x3fffe200,0x03ffff11,0x543cccb8,0x36003ccc,0x7fd43fff,
    0x6665407f,0x02666543,0xe8ffff60,0x20003fff,0x0003fff9,0x00bfff30,
    0x13fff2e0,0x8007ff40,0xfff99df9,0x0bff3002,0x00dfff00,0x01ccc800,
    0x42ccca80,0x0003ccca,0x3ffe0000,0x2fffe41f,0x30000000,0xcc887999,
    0x32a0004c,0x4c00003c,0xff0004cc,0x3ea00bff,0x9822003f,0xfd002fff,
    0xffb0001f,0x0000001f,0x00000000,0xff100000,0xfffd81ff,0x00000003,
    0x00000000,0x00000000,0x4fffff88,0x000fff80,0x00bffe60,0x40013fea,
    0x0002fffb,0x0000d4c0,0x00001a98,0x32a00353,0xffffdccc,0xffffcccc,
    0x531004cd,0x44000013,0x000009a9,0x00026a62,0x0001a980,0x01fffd42,
    0x80005ff7,0xf802fff9,0xf30000ff,0x700009ff,0x7dfffffd,0xfffeb800,
    0x5c003eff,0x3efffffe,0x3fffff20,0xffffffff,0x07ffffff,0x3ffffae2,
    0x88001dff,0xffffffeb,0xeb88001d,0x1dffffff,0xfffeb800,0x20003eff,
    0xff106ffd,0xff30000d,0x2ffb805f,0x37ffc000,0xfffb1000,0x1dffffff,
    0xffffd880,0x00efffff,0x7ffffec4,0xc80effff,0xffffffff,0xffffffff,
    0xff507fff,0xffffffff,0x7fd4009f,0xffffffff,0x3fea004f,0xffffffff,
    0xffb1004f,0xdfffffff,0x87ffd101,0xff907ffe,0xff300003,0x37fc405f,
    0x7ffec000,0xfff98000,0xffffffff,0xfff301ff,0xffffffff,0x3fe603ff,
    0xffffffff,0x7fe41fff,0xffffffff,0xffffffff,0xffffb87f,0xffffffff,
    0x7fdc01ef,0xffffffff,0x5c01efff,0xffffffff,0x01efffff,0x3fffffe6,
    0x1fffffff,0xc9afffe8,0xff985fff,0xff300005,0x0ffe405f,0x7ffdc000,
    0xfffe8002,0xffffdfff,0xfffd06ff,0xffffbfff,0x3ffa0dff,0xfffdffff,
    0x554c6fff,0xaaffffba,0xadfffeaa,0x7fffd42a,0xffffffff,0x3ea06fff,
    0xffffffff,0x06ffffff,0x3fffffea,0xffffffff,0x3fffa06f,0xffffdfff,
    0xfff986ff,0x80efffff,0x00001ffd,0x2605fff3,0x300005ff,0xa8009fff,
    0x20cfffff,0x42ffffea,0x0cfffffa,0x0bffffaa,0x19fffff5,0x17ffff54,
    0xf0dfff50,0x3e203fff,0x20cfffff,0x3fffffe9,0xffffff88,0x3fffa60c,
    0xfff883ff,0x3a60cfff,0xa83fffff,0x20cfffff,0x82ffffea,0xdfffffea,
    0x004ffa80,0x0bffe600,0x0000ffec,0x800dfff0,0x103fffff,0xff8dffff,
    0xff103fff,0xffff8dff,0xffff103f,0x27ffe40d,0x403fffe2,0x02fffffa,
    0x03fffff6,0x05fffff5,0x07ffffec,0x0bffffea,0x0fffffd8,0x81fffffc,
    0x206ffff8,0x3a01abba,0x554400ff,0x05554401,0x98827fd4,0xffd001aa,
    0x3fe6001f,0x7fec07ff,0xffff31ff,0xffffd80f,0x0fffff31,0x01ffffd8,
    0xfa87fffb,0x3ff206ff,0x7fc405ff,0x7fe43fff,0x7fc405ff,0x7fe43fff,
    0x7fc405ff,0x3fe63fff,0x7fec07ff,0x5c0001ff,0x7f4403ff,0xfe80005f,
    0x7ffe440f,0x7e402eff,0xff5001ff,0xffb80dff,0xffff53ff,0xffffb80d,
    0x0dffff53,0x03ffffb8,0xfc83ffff,0x3ffa05ff,0xffc802ff,0x7fff45ff,
    0xfffc802f,0x7ffff45f,0xffffc802,0x1bfffea5,0x07ffff70,0x037fc400,
    0x002fffec,0x3a0ffee0,0xffffffff,0x0fffea02,0x77fffdc0,0xdccccccc,
    0xff73ffff,0x99999dff,0x7ffffb99,0x33bfffee,0xfdcccccc,0xff883fff,
    0x7ffec0ff,0xfffff103,0xffff7001,0x7ffffc4d,0xffffb800,0x3ffffe26,
    0xffffb800,0x3bfffee6,0xdccccccc,0x0003ffff,0xf900bff2,0x4000bfff,
    0xffb86ff8,0x6fffbacf,0x017ffe20,0x7fffffec,0xffffffff,0xfffb4fff,
    0xffffffff,0x29ffffff,0xfffffffd,0xffffffff,0xffff94ff,0xffffffff,
    0xffffffff,0x01ffffea,0x53ffffd4,0x200fffff,0x2a7ffffa,0x5007ffff,
    0x7ecfffff,0xffffffff,0xffffffff,0xdff10004,0xfffffa80,0x3ff20005,
    0x647ffd82,0x7ff407ff,0xffffb007,0xffffffff,0x36bfffff,0xffffffff,
    0xffffffff,0xfffffb5f,0xffffffff,0x3f2bffff,0xffffffff,0xffffffff,
    0xffff57ff,0x3ffea00f,0x3fffea7f,0xffff5007,0x3ffffd4f,0x7ffffa80,
    0x3ffffff6,0xffffffff,0xb0005fff,0x7fcc03ff,0x0005ffde,0x2620dff1,
    0x03ffec1a,0x2007fff2,0xcceffffc,0xcccccccc,0xffff93cc,0x9999999d,
    0x32799999,0xccceffff,0xcccccccc,0xfffff93c,0xffffffff,0x2fffffff,
    0x00fffff9,0x26ffffb8,0x00fffff9,0x26ffffb8,0x00fffff9,0x26ffffb8,
    0xcceffffc,0xcccccccc,0xf98003cc,0x3ffe205f,0x0005ffc9,0xa8003ffb,
    0x7d404fff,0xffb803ff,0x2e0005ff,0x0005ffff,0x017fffee,0xfffffc80,
    0xffffffff,0x17ffffff,0x003fffff,0x44bffff9,0x801fffff,0x225ffffc,
    0x801fffff,0x2e5ffffc,0x0005ffff,0x01ffd000,0xffc97ff4,0x5ff98005,
    0x77ffdc00,0x2fffc400,0x3ffffd40,0x7fd40260,0x804c07ff,0x407ffffa,
    0xff531009,0xfd3333ff,0x333337ff,0x02fffff4,0x0fffffe2,0x80bffffd,
    0x43fffff8,0x405ffffe,0x23fffff8,0x407ffffa,0x7d400009,0x93ff204f,
    0xe8005ffc,0x3f2000ff,0xfd001fff,0xfff100ff,0x3fe607ff,0xfff11cef,
    0x3fe607ff,0xfff11cef,0x3fe607ff,0x7fd41cef,0x1ffff86f,0x7ffffe40,
    0x3ffff602,0x7fffe40f,0x3fff602f,0x7ffe40ff,0x3ff602ff,0x3fe20fff,
    0xff303fff,0xe80039df,0xfff500ff,0x9dffd999,0x13fea005,0x77ffec40,
    0x3fff2000,0xffffb801,0xffffd82f,0x3fffee0f,0xffffd82f,0x3fffee0f,
    0xffffd82f,0x27ffe40f,0x003fffe2,0x9ffffff1,0x7ffff4c1,0xffff883f,
    0x3fa60cff,0xf883ffff,0x20cfffff,0x3fffffe9,0x2fffffb8,0x0fffffd8,
    0x80ffee00,0xfffffffa,0xd005ffff,0xfd1001ff,0xa8001bff,0xf8803fff,
    0xdcefffff,0x44ffffff,0xeffffff8,0xffffffdc,0x7ffffc44,0xffffdcef,
    0xfffd84ff,0x037ffd43,0xffffffb8,0xffffffff,0x3ffee06f,0xffffffff,
    0x2e06ffff,0xffffffff,0x6fffffff,0xffffff10,0xfffffb9d,0x7fc4009f,
    0x7fffd406,0x5fffffff,0x003ffb80,0x333bfffd,0xfff10033,0x3ffe600b,
    0xffffffff,0xfff305ff,0xffffffff,0x3fe60bff,0xffffffff,0xfff05fff,
    0x4fffb83f,0x3ffff600,0xffffffff,0x7fec01ef,0xffffffff,0x6c01efff,
    0xffffffff,0x01efffff,0x3fffffe6,0x5fffffff,0x017fe400,0x00bff900,
    0x5c01bfe2,0xffffffff,0xfff800ff,0x3ffa2007,0xffffffff,0x7fff4405,
    0x5fffffff,0x7ffff440,0x05ffffff,0xd81ffff1,0x5c003fff,0xffffffff,
    0x2e004fff,0xffffffff,0x2e004fff,0xffffffff,0xd1004fff,0xffffffff,
    0xf9800bff,0x7e40005f,0x5ff9005f,0x3ffffa00,0x00ffffff,0x000fffd8,
    0x7fffff64,0x3b2002ef,0x2effffff,0x3fffb200,0x2a02efff,0xfff86fff,
    0xcb88001f,0x2dfffffe,0xfecb8800,0x002dffff,0xfffecb88,0xc8002dff,
    0xeffffffe,0x1ffd8002,0x2775c000,0x802ffcc0,0xeeeeeee8,0xb800eeee,
    0x20002fff,0x00009aa9,0x0004d54c,0x0026aa60,0x2a06aaa6,0x100002aa,
    0x80000155,0x00000aa8,0x00005544,0x00135530,0x00000000,0x00000000,
    0x01aaa880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0003ddb0,0x00005dd7,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000d4400,0x00000000,0x00000000,
    0x0017ffe4,0x0001bfe2,0x9dffdb71,0x54400003,0xbceefedb,0xdb980001,
    0x1cceeffe,0x3b260000,0x02defffe,0xdca98000,0x009acdff,0x3fffb200,
    0x3fffa2ef,0xeec98007,0x002defff,0x765cc400,0x000acdef,0x2ffffd98,
    0x017fe400,0xfffff700,0x001bffff,0xfffffc80,0x0cffffff,0xfffea800,
    0xffffffff,0x3aa0002e,0xffffffff,0x0000cfff,0x7fffffdc,0x02ffffff,
    0x7ffff440,0xffd4ffff,0x7f5400ff,0xffffffff,0x40000cff,0xfffffffa,
    0x1003ffff,0x5ffffffb,0x037fcc00,0xfffff700,0x1dffffff,0xfffd1000,
    0xffffffff,0x64005fff,0xffffffff,0x6fffffff,0x7ffec400,0xffeeefff,
    0x8002ffff,0xffffffe8,0xffffffff,0xfff8800d,0xffffffff,0x807fffed,
    0xffffffd8,0xfffffeee,0xfd88002f,0xffffffff,0x401effff,0xfffefff9,
    0x07ff6002,0x7fffcc00,0xffffeeff,0x7f4c005f,0xffffffff,0x1fffffff,
    0x7ffff440,0xffffffff,0x005fffff,0x05dffff3,0x27fffe4c,0xfffff500,
    0xffffffff,0x805fffff,0xeffffffd,0xffffffec,0x7ffd407f,0x3f2602ef,
    0x26004fff,0xfffffffe,0xffffffff,0x277e602f,0x3002fff9,0x5c000bff,
    0x260effff,0x000ffffe,0x3ffffff2,0xfffedcde,0x7f406fff,0xffffffff,
    0xffffffee,0x7fcc05ff,0x322001ef,0xf8805fff,0xffffffff,0xffffffee,
    0xff301fff,0xf981dfff,0x207fffff,0x001efff9,0x402fffe4,0xfffffff8,
    0xffffeeff,0x1100ffff,0x8017ffcc,0x20000ffe,0xb83ffffd,0x2001ffff,
    0x00dfffff,0x5ffffff5,0x3fffff20,0xfea809ef,0x101fffff,0x0001bfff,
    0xd00fffea,0x39ffffff,0xfffff930,0x3fff60bf,0xfff300ff,0x3fe20fff,
    0xf50000df,0xffc807ff,0x440affff,0x5ffffffc,0x05fff300,0x0009ff50,
    0x84ffffd8,0x002ffffa,0x01fffff3,0x4fffffa8,0xffffffa8,0xffff8803,
    0xbffb04ff,0x80565cc0,0xf701fff9,0x005fffff,0x5ffffff3,0x07fffff0,
    0x07ffffd8,0x4cccbffb,0x26019999,0xff301fff,0xa801dfff,0x00ffffff,
    0x802fff98,0x40000fff,0x40fffffb,0x000ffffd,0x00dffff7,0x21bffffa,
    0x03fffffd,0x3ffffea0,0x80effa87,0xeffffffb,0x886ffb82,0x01ffffff,
    0x3ffffe60,0x3fffe20f,0x7ffd401f,0x0effa87f,0xfffffff3,0xff703bff,
    0x3ffff60d,0xfff7000f,0xff3007ff,0x2ffb805f,0xfff98000,0x3fff65ff,
    0x3fee005f,0xca801fff,0x7fc42aaa,0xd8006fff,0xfe81acdf,0xffffb81f,
    0xd82fffff,0x7ffd41ff,0xfc8005ff,0x3e63ffff,0x4c00ffff,0xfe87ffff,
    0x3fffe61f,0x1fffffff,0x7cc1ffd8,0x2004ffff,0x00aceff8,0x202fff98,
    0x00006ff8,0x37fffff6,0x02fffffe,0x3ffffe60,0x5c0000cf,0x002fffff,
    0x0dff3000,0x2a17fff5,0x7d40fffe,0x7fffec5f,0xff88001f,0x3fea4fff,
    0xff8807ff,0x37fcc7ff,0x2667bfe6,0xa85fffb9,0x7ffdc4ff,0x04c000ff,
    0x17ffcc00,0x0003ff90,0x7ffffc40,0x03ffffff,0xffffff80,0x8001beff,
    0x007ffffd,0x0bff2000,0x3e20fffe,0x0ffe83ff,0x01bffffe,0x6ffffe80,
    0x03ffffea,0x8fffff30,0x7fcc2ffc,0x20fff506,0x3ff20ffe,0x000007ff,
    0x40bffe60,0x00005ff9,0xffffffa8,0x50002fff,0xffffffff,0x0015bfff,
    0x00dffffd,0x43ff4000,0x2a606ff9,0x223ff900,0x005fffff,0x9fffff60,
    0x01fffff9,0x23ffffd4,0x6ff987fe,0x320dff30,0x3fff61ff,0x0000006f,
    0x6c0bffe6,0x400001ff,0xffffffd8,0x640000ef,0xffffffff,0x01cfffff,
    0x017ffffe,0x86ff8000,0x20004ffa,0xfff12ffb,0x640009ff,0xf10fffff,
    0xc805ffff,0x7fc7ffff,0xb06ff987,0x3fea07ff,0x17ffffa2,0xa8800000,
    0x4ffa80aa,0x401aa880,0xfffffffb,0x80000eff,0xfffffffc,0x2fffffff,
    0x4fffff88,0x777774c0,0x23eeeeee,0x4ffc85ff,0x4ffea000,0x03fffff9,
    0x3fffee00,0x3ffffe1f,0x3fffe206,0x4c2ffc7f,0xfeedcfff,0xff300fff,
    0x27ffffc7,0x00000000,0xd1003ffa,0x7fdc0bff,0xffffffff,0x8800045f,
    0xfffffffd,0x43ffffff,0x04fffff8,0x7fffffd4,0xf14fffff,0x07ffb0bf,
    0x9a7fcc00,0x003fffff,0x3ffffea0,0x3ffffee2,0xffffd883,0x217fe27f,
    0xfffffff9,0x3e600cff,0xfffff14f,0x00000009,0x401ffdc0,0xf705fffd,
    0xff9fffff,0x7f47ffff,0x544002bd,0xfffffffd,0x7fc3ffff,0x7d405fff,
    0xffffffff,0x21bfe4ff,0x20004ffc,0xfff13ffa,0x5c0009ff,0x221fffff,
    0xbdffffff,0xfffffeba,0x4c37fc7f,0xffffefff,0x23ffa803,0x005fffff,
    0xf1000000,0xfff900df,0xffff10bf,0x3ffea5ff,0xfff99fff,0x5cc0007f,
    0xfffffffe,0x37ffff46,0x3ffffea0,0x24ffffff,0x5ffb87fe,0xffb80a60,
    0x17ffffe2,0xffffc800,0xfffffc87,0xffffffff,0x3ff47fff,0xff537fcc,
    0x2ffb809f,0x01bffffa,0x64000000,0x7fd402ff,0xffd85fff,0x7fe41fff,
    0xfffcefff,0x2200004f,0x0ffffffc,0x01fffffa,0xfdddddd3,0x7ec9ffff,
    0x07ffd40f,0xfd83ffe8,0x3ffffa1f,0x3ff60006,0xfff906ff,0x5dffffff,
    0xfd8fffff,0x237fcc0f,0x3602fff9,0x3fff61ff,0x0000006f,0x406ff880,
    0x5ffdfff9,0x05fffff8,0xfffffffb,0x4cc05fff,0x3fea002a,0x3ff22fff,
    0xf0001fff,0x7dc9ffff,0x0dffe84f,0x220fffdc,0x7ffec6ff,0xff0000ff,
    0x7dc0bfff,0x8dffffff,0x5c7ffff9,0x37fcc4ff,0x4407ffe4,0x7ffe46ff,
    0xbdd8007f,0xffd80000,0x27ffe201,0x7fc45ffc,0xfd102fff,0xffffffff,
    0x3ffffee0,0x3fffe000,0x3fffe64f,0xfff0006f,0x3ffc49ff,0x5e7fffcc,
    0xfb85fffe,0x7fffdc3f,0xffb8004f,0x5cc04fff,0x3e62cefd,0x7fc47fff,
    0x4437fcc7,0xffb84fff,0x7ffffd43,0x3ffe2003,0xf30002ef,0x2ffe80bf,
    0xff98bff9,0x3e201fff,0x2fffffff,0x5fffff30,0x7ffff400,0x7fffff44,
    0xffff8002,0x41ffe44f,0xfffffffa,0x7ffc40ef,0x7ffffcc0,0x3fe2000f,
    0x0001ffff,0x87ffff98,0x3fe63ffc,0x41fff906,0x7c40fff8,0x2007ffff,
    0x02fffffb,0x401ffd00,0x3ff24ffc,0x7ffffc45,0x7fffd404,0x3fe00fff,
    0x9800efff,0x5c2fffff,0x01efffff,0x3ffffea0,0x40fffcc4,0x3fffffd8,
    0x3209ffd0,0x00dfffff,0xbfffffb0,0x00335970,0x30dffff5,0x3fe63fff,
    0x4bfff106,0xff904ffd,0xf3007fff,0x000fffff,0xfa813fea,0xffecccff,
    0x3fffe2ce,0x7ffe407f,0xb00effff,0x01bfffff,0x3fffff44,0xffffffe8,
    0x7fff4c03,0xffb84fff,0x8066201f,0x3e206ffc,0x01efffff,0x3fffffa6,
    0xffffc80f,0x3fff603f,0x3fff704f,0x6ffc8000,0x7fffff40,0x3fffaa05,
    0xfd0004ff,0x7ffd401f,0xffffffff,0x3fffff25,0xffd510be,0xffffffff,
    0xfffff305,0x953359ff,0x0bffffff,0x3fffffe6,0xedbabcef,0xffffffff,
    0x05fffb04,0x3fffd100,0xfffffb80,0xdcaacdff,0x3fffffff,0xffffff50,
    0x3ff6a215,0x3f601fff,0xd88002ff,0x7d401fff,0xbcefffff,0xfffffdba,
    0xfb8000ff,0x7ffd403f,0xffffffff,0x3ffffa25,0xffffffff,0xffffffff,
    0xfffb85ff,0xffffffff,0x2fffffff,0x3ffffea0,0xffffffff,0xffffffff,
    0xbfffd101,0xfff71003,0x3ffa005f,0xffffffff,0xffffffff,0x3fffe206,
    0xffffffff,0x4405ffff,0x801dfffe,0x02ffffb8,0xffffffb0,0xffffffff,
    0x10003fff,0xc8000dff,0xfff505ff,0xffffffff,0xfffbffff,0x3f607fff,
    0xffffffff,0x3fffffff,0xfffff980,0xffffffff,0x00dfffff,0xbeffffc8,
    0xffdba99a,0x5c001eff,0xffffffff,0xffffffff,0xffffa803,0xffffffff,
    0xf9000fff,0x3357dfff,0xdffff953,0xfffb8003,0xffffffff,0x0002ffff,
    0x80005ff9,0x36205ffc,0xffffffff,0xfd30dfff,0xffb80bff,0xffffffff,
    0x2003ffff,0xffffffd8,0xffffffff,0x7fd4001d,0xffffffff,0x0004ffff,
    0x3fffffa6,0xefffffff,0x3ffaa001,0xffffffff,0x7d4000df,0xffffffff,
    0x004fffff,0x3ffffa60,0xefffffff,0xbff30002,0x9dd70000,0xffffd700,
    0xb105dfff,0xf91001df,0xffffffff,0x2200017d,0xffffffeb,0x0000acdf,
    0x7ffffed4,0x000bffff,0xfffdb700,0x007bdfff,0x7ff76d40,0x0001cdef,
    0x7ffffed4,0x000bffff,0xffffb700,0x0005dfff,0x00000000,0x005554c0,
    0x530000a8,0x00013555,0x0aaa9880,0x2a200000,0x001abccb,0x1aa98000,
    0x00000000,0x32ea2000,0x00001abc,0x00d55440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x004de5cc,0x26666660,0x19999999,0x37973100,0xca980001,
    0x000000ac,0x55e5d4c0,0x64400001,0x4c00cccc,0x0000acca,0x2aa202aa,
    0x9a988000,0x00000000,0x97300000,0x0017bdfd,0xffffffc8,0xfff1004f,
    0xffffffff,0xfe980fff,0x04ffffff,0xfffffc80,0xb8000dff,0xfffd3001,
    0x003dffff,0x3fffe600,0xfffd501f,0x4005ffff,0x21cfffea,0xb3000ffc,
    0x9fffffff,0x13fffa01,0x3a2bfffd,0x2605ffff,0x102fffff,0xfffffffd,
    0xfb1007ff,0xffffffff,0xfff9801d,0xffffffff,0x3fea07ff,0xffffffff,
    0xffe8801e,0xffffffff,0x03fd5001,0xffffff90,0x009fffff,0xfffff300,
    0xfffff903,0x007fffff,0xfffffff1,0x200fffdf,0xfffffffb,0xfe82ffff,
    0x7fff44ff,0x3ffffa25,0x7ffffb00,0x3ffffa20,0x4fffffff,0x7fffff40,
    0x06ffffff,0x7fffffdc,0x7fffffff,0xffffff70,0x1fffffff,0x7ffffd40,
    0xefffffff,0x3fffa600,0x7fffd401,0xffffffff,0x7cc0002f,0x7e41ffff,
    0xffffffff,0x7d405fff,0xfffffeef,0xffd804ff,0xffffffff,0x7ff42fff,
    0x2ffff44f,0x213fffe2,0x304ffff9,0xffffffff,0x05ffffff,0x3fffffe6,
    0x2ffffffe,0x3fffff20,0xffffffff,0xffffff07,0xffffffdf,0x7ffff40b,
    0xfffffdef,0x3fffe04f,0x3ffe201f,0xffecffff,0x0000ffff,0x87ffffe6,
    0xeffffff9,0x2ffffffe,0xda89bf20,0x5c00cfff,0xeeffffff,0x0fffffff,
    0xfd13fffa,0xfff30bff,0x4fffc81f,0x3fffff20,0xffffdaae,0xffffb07f,
    0x3fff621b,0x3fffa06f,0xeeeeeeef,0xfffa86ee,0x3ff622ff,0xffa80fff,
    0x3f222fff,0x3fe07fff,0x3ea01fff,0x7cc2ffff,0x0002ffff,0x87ffffe6,
    0x22effffe,0x06fffff9,0x00c406a6,0xefffff88,0x3fffee20,0x0b332e3f,
    0x26079997,0x3fe24fff,0x7fffc05f,0xffffa83f,0x7fffc41f,0x7fffc41f,
    0xfffff01f,0x7ffec000,0xffff983f,0xffffe82f,0xfffff882,0x3fffff01,
    0x2ffffe40,0x04ffffc8,0x3fffe600,0xfffff31f,0xfffff301,0x90000003,
    0x201fffff,0x007ffffd,0x49995000,0x7cc04cc9,0x3fe07fff,0x7fe44fff,
    0xfff905ff,0xffff10bf,0x7f64000b,0xfffd00ff,0xffffa87f,0x2ab33207,
    0x3fffff00,0x17fffec0,0x05ffff98,0x3fffe600,0x9ffff51f,0x2ffffec0,
    0x4d54cc40,0xffffd001,0x0d674c07,0x00000000,0x13fffee0,0x40acdeb8,
    0x503ffffd,0xf50dffff,0x00009fff,0x7ffc4062,0x7ffec0ff,0x3ea0004f,
    0xffffffff,0x7fffdc6f,0x7ffff503,0x7ffcc000,0xffff91ff,0x7fffdc07,
    0x3fff6a07,0x00cfffff,0x007ffffe,0x00000000,0xffffb800,0x7ff40004,
    0xfff302ff,0xffff90ff,0x0002aa25,0xdffff700,0x07ffffd0,0x7fffd400,
    0x46ffffff,0xb06ffff8,0x0003ffff,0x8fffffcc,0x203ffffd,0x80fffffa,
    0xfffffffd,0x880effff,0x000fffff,0xfffff300,0xfffff300,0x83ffffcc,
    0x005ffff9,0x0fffffc0,0x0fffff88,0x76ffffec,0x003effff,0xfffffa80,
    0x2fffff83,0x8059bb95,0xfffffffa,0xffe86fff,0xff931cff,0x98000dff,
    0xf91fffff,0x7d407fff,0x7ec1ffff,0xffffffff,0x540fffff,0x0007ffff,
    0x1ffffe60,0x9ffffe60,0x107ffff9,0x000fffff,0x0fffffc4,0x1fffff88,
    0x7ffffffc,0x0dffffff,0x7ff74400,0xfff03fff,0xffff93ff,0x3ea03dff,
    0xffffffff,0xfffd886f,0xffffffff,0x7cc0000e,0xff71ffff,0x7fdc09ff,
    0x3fe62fff,0xfeceffff,0x543fffff,0x000fffff,0xfffff300,0xfffff300,
    0x03ffffcc,0x003fffff,0x3ffffe20,0xfffff101,0x7ffffc43,0xffffffff,
    0x3ea000ff,0x102fffff,0xffdfffff,0x7fffffff,0xffff3310,0x6401337f,
    0xffffffff,0xf300005f,0x3ea3ffff,0x3f606fff,0x3f62ffff,0x7440dfff,
    0x7c45ffff,0x0001ffff,0x0fffff30,0x4fffff30,0x647ffff9,0xefffffee,
    0x401eeeee,0x00fffff9,0x98bffffe,0xefffffff,0x4fffffff,0x3fffee00,
    0xff980bef,0xffffffff,0x01ffffff,0x007ffffe,0x7fffffdc,0x00003fff,
    0x23fffff3,0x83fffff8,0x3ffffffa,0x403fb72a,0xf86ffffb,0x5c02ffff,
    0x3fe6009a,0xff9807ff,0x3ffe67ff,0x7fffec7f,0xffffffff,0x7ffd402f,
    0x3ffe00ff,0x3ffee3ff,0x7ff4c2ff,0xf9001fff,0x3fffffff,0xffffffa8,
    0xfffc8adf,0x3ffe06ff,0x7f4401ff,0xffffffff,0x980005ff,0x2e1fffff,
    0xabefffff,0xfffffffe,0xfff30004,0xffffd0df,0x7fffcc0b,0xffff981f,
    0xffff9807,0x1ffffe67,0xfffffffb,0x05ffffff,0x0fffff98,0x8bffffe0,
    0x100dcba8,0x00bfffff,0x3fff26aa,0x3fe61fff,0xf883ffff,0xff02ffff,
    0xfe803fff,0xfdbcffff,0x000effff,0x3ffffe60,0x7fffff41,0xffffffff,
    0x2a2003ff,0x87fffffc,0x00fffffc,0x20fffffb,0x807ffff9,0x267ffff9,
    0x7ec7ffff,0xffffffff,0x4c02ffff,0x101fffff,0x003fffff,0x37fffe40,
    0xffffb000,0x7ffffc4d,0x3ffff206,0x3fffff04,0x77fffdc0,0x7fffecc0,
    0x3fe60004,0x7f441fff,0xefffffff,0x202fffff,0xffffeda8,0xf887ffff,
    0x262fffff,0x04fffffc,0x00fffff3,0x4cfffff3,0x54c7ffff,0xcffffeaa,
    0x4400aaaa,0x101fffff,0x003fffff,0x3ffffd40,0xffff5000,0x7ffffc5f,
    0x3fffea05,0x3fffff05,0x1ffffec0,0x07ffffa8,0x3fffe600,0xffff901f,
    0x3fffebff,0xfffeb81f,0xffffffff,0xffff707f,0xffffffff,0x3e601fff,
    0xf9807fff,0x3fe67fff,0x7ff407ff,0xff0002ff,0x3e203fff,0x0000ffff,
    0x03ffffe6,0xfffff800,0x13ffffe4,0x07ffff98,0x403fffff,0x200fffff,
    0x001fffff,0x3fffff30,0x8d665440,0x40fffff8,0xfffffffc,0x7ffffcdf,
    0x3fffffa0,0xffffffff,0x3fffe601,0xffff9807,0x1ffffe67,0x0fffff88,
    0xfffff000,0x3fffe605,0x7fcc0007,0x20000fff,0x3a5ffffd,0x2204ffff,
    0xff07ffff,0x3e603fff,0x7e406fff,0xdb914fff,0x7ffd40ff,0xf30001ff,
    0xffd8ffff,0x261bdfff,0x6407ffff,0xffffffff,0x7cc02fff,0xf9807fff,
    0x3fe67fff,0x3fea07ff,0x3a0006ff,0xf703ffff,0xa998dfff,0x3fea00cb,
    0x332a67ff,0x7fff405e,0x3ffff64f,0x3fffe605,0x3fffff06,0x1bfffea0,
    0x29ffff90,0x207ffff9,0x00fffffa,0xfffff700,0x1fffffc4,0x07ffff98,
    0xfffffd98,0xf9800cff,0xf9807fff,0x3fe67fff,0x3ff607ff,0x320003ff,
    0xfb06ffff,0x7fc49fff,0x3f203fff,0x3fea6fff,0xff100fff,0x7fdc5fff,
    0xff700fff,0x3ffe09ff,0xfff102ff,0x7ff401ff,0x3fffe2ff,0xffff902f,
    0x7766544f,0x9ffffd00,0x037fffd4,0x00fffff5,0x0277fe4c,0x1ffffe60,
    0x9ffffe60,0x707ffff9,0x000dffff,0x2fffff88,0x0fffffcc,0x41fffffa,
    0x43fffff8,0x904fffff,0xf83fffff,0xfd04ffff,0x3fe07fff,0x3fe02fff,
    0xff304fff,0x7ff43fff,0x7fc40eff,0x7ffc6fff,0xfff983ff,0x3fff20ff,
    0x3fff606f,0x3ffe007f,0x3000ffff,0x300fffff,0x7ccfffff,0xffa87fff,
    0x00998fff,0xffffd80c,0xffffb31e,0xfffff70b,0x7fff4c5b,0xffffd86f,
    0xfffd51df,0xfff70bff,0x3faa19ff,0xff00ffff,0xb0629fff,0x23bfffff,
    0x6fffffb8,0x77ffffe4,0xffffebab,0x7fffec3f,0x3fffea2e,0x7fffdc4f,
    0xffffb81f,0x3571007f,0x2009fff7,0x807ffff9,0x267ffff9,0x7d47ffff,
    0xffffffff,0xfdbabdff,0xffffa80f,0xffffffff,0xfffe882f,0xfffeefff,
    0xff882fff,0xffffffff,0x880fffff,0xffffffff,0x03ffffff,0x3ffffffa,
    0x7fffc47f,0xffffefff,0x7fc41fff,0xffffffff,0xfa87ffff,0xffffffff,
    0x4c0fffff,0xadffffff,0xfffffffc,0xff90000f,0xfff3001f,0xfff300ff,
    0x7fffccff,0x7ffffdc7,0xffffffff,0xb04fffff,0xffffffff,0x7cc0dfff,
    0xffffffff,0x2a03ffff,0xffffffff,0x202fffff,0xfffffffa,0x406fffff,
    0xfffffffb,0x7fffcc0f,0xffffffff,0xffff704f,0xffffffff,0x3fff205f,
    0xffffffff,0xffffb02f,0xffffffff,0x0003ffff,0x4c01fff6,0x9807ffff,
    0x3e67ffff,0x7fc47fff,0xffffffff,0xffffffff,0xffff700f,0x00bfffff,
    0xffffffd3,0x5005ffff,0xffffffff,0xd3003dff,0xffffffff,0xfff1009f,
    0x503fffff,0xffffffff,0xfc809fff,0xffffffff,0x7ff402ff,0xefffffff,
    0x3fffa201,0xc9efffff,0x6404ffff,0xffffdbbc,0xffff3004,0xffff300f,
    0x3ffffccf,0x777fffe4,0xffffffff,0x2a03ffff,0x3efffffe,0x7fffdc00,
    0x2001deff,0xffffffc8,0x7644004f,0x01efffff,0x3ffffa60,0xff9101ef,
    0x03dfffff,0x3ffffa60,0x7000cfff,0x9dffffff,0xfff91001,0x3e619fff,
    0x7fc06fff,0x04ffffff,0x1ffffe60,0x9ffffe60,0x887ffff9,0x6dcc0aef,
    0xcffffffe,0x01353001,0x0aa98800,0x9aa88000,0xaa880000,0x55440001,
    0x5554c001,0x554c0001,0x2a60001a,0x2600009a,0x900000aa,0x0179dddb,
    0x7ffff980,0x7ffff980,0x41ffffe6,0x0d54c001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999100,0x6665c003,0x80a9803c,0x40000aa8,0x880001a8,
    0x000000a9,0xcc980000,0x000003cc,0x81999993,0x88000009,0x3f24cccc,
    0xfd007fff,0x33229fff,0xcccccccc,0x801aaccc,0x30fffff8,0x20199999,
    0x02fffff9,0x17ffffa0,0xacfffea8,0x2a03ff70,0x3b23ffff,0x002effff,
    0x77ffff5c,0x03ffff63,0x9bdfd950,0xfffff505,0xdffff703,0x7dc00000,
    0xfd98efff,0xf9800004,0x3fe27fff,0x7c402fff,0xff11ffff,0xffffffff,
    0x9fffffff,0x3fffe201,0xfffff50f,0x3fffe601,0x3ffa002f,0x3ffe05ff,
    0xffefffff,0xffff500f,0xfffffd17,0xb1009fff,0xffffffff,0x03ffff6b,
    0xffffffd8,0x7fffc45f,0xfffb86ff,0x4000006f,0xfffffff9,0x9800003f,
    0x7f47ffff,0x7dc05fff,0x3fe26fff,0xffffffff,0xffffffff,0xffff881f,
    0xfffff50f,0x3fffe601,0x3ffa002f,0xfff305ff,0xfffffffd,0x7fffd40b,
    0xffffffec,0x7405ffff,0xffffffff,0xffffddff,0xfffffb00,0xffd89fff,
    0x5c4fffff,0x0006ffff,0xffff8800,0x2000005f,0x5c7ffff9,0x7407ffff,
    0x3e23ffff,0xffffffff,0xffffffff,0x7fc40fff,0xfff50fff,0x3fe601ff,
    0x3a002fff,0xf905ffff,0x7ffed44f,0x3ffea00c,0xfeffffff,0x02ffffff,
    0xfffffff7,0xfffffffd,0xfff101ff,0x45ffffff,0xff8dfffb,0x3ffee2ff,
    0x4000006f,0xffffffea,0xf3000000,0xff88ffff,0xff102fff,0x7fc41fff,
    0xffffffff,0xffffffff,0x7ffc45ff,0xffff50ff,0x3ffe601f,0x3fa002ff,
    0x55305fff,0x2a002620,0x1effffff,0x37ffffdc,0x7fffffc4,0x7ffffcc2,
    0xfffa80ff,0x30988bff,0x3e61ffff,0xfff70fff,0x200000df,0xffbeffea,
    0x00000eff,0x87ffff98,0x705ffffd,0xf88bffff,0x4c02ffff,0x87fffffc,
    0xf50aaaaa,0x2601ffff,0x002fffff,0x017ffffa,0x3fea0000,0xf700ffff,
    0xfc85ffff,0xf101ffff,0x701fffff,0x5c0fffff,0x66541ccc,0xdffff72c,
    0x3ea00000,0x3fffea2e,0xf9800006,0xff987fff,0xfffb07ff,0xffff885f,
    0xfff7002f,0x7d4003ff,0xf300ffff,0x4005ffff,0x005ffffe,0x40013531,
    0x03fffffa,0x227ffff4,0x405ffffe,0x80fffffc,0x005ffffc,0xffffb800,
    0x0001a886,0xffffc80c,0x09a88004,0x83ffffcc,0x442ffffe,0x440fffff,
    0x002fffff,0x07fffff1,0xfffa8ddb,0xfff300ff,0x7f4005ff,0x2e205fff,
    0xdffffffe,0x7fffd401,0x7ffe400f,0x7ffffc5f,0x7fffcc02,0xffffc80f,
    0xfb800004,0xff916fff,0x0005dfff,0xf39dfd95,0x2001ffff,0x2effffec,
    0x20fffff3,0x5c5ffffc,0xf885ffff,0x2002ffff,0x441fffff,0x3fea0fff,
    0xff300fff,0x74005fff,0xf505ffff,0xffffffff,0x7fd409ff,0xffb807ff,
    0x3ffe26ff,0x7fc401ff,0xfff90fff,0xffffffff,0x3fffe609,0xdffff707,
    0xffffffd3,0x362009ff,0xffffffff,0x4405ffff,0xfffffffe,0x7ffff9cf,
    0x8fffff10,0x882ffffd,0x002fffff,0x10fffff5,0x7fd43fff,0xff300fff,
    0x74005fff,0xfb85ffff,0xffffffff,0xa81effff,0xa806ffff,0x3e67ffff,
    0xf800ffff,0xff90ffff,0xffffffff,0x3ffe609f,0xffff707f,0xffffffff,
    0xa80bffff,0xffffffff,0x1fffffff,0xffffff10,0xffdfffff,0x7ff40fff,
    0xffff12ff,0x3fffe20f,0xffea802f,0xfff984ff,0x3ffffea2,0xfffff300,
    0x7fff4005,0x7fffd45f,0xffffffff,0xffa86fff,0xffa807ff,0x3ffe67ff,
    0x7fc400ff,0xfff90fff,0xffffffff,0x3fffe609,0xfffff707,0xffdbbfff,
    0x2205ffff,0xffffffff,0xffffffff,0xfffffb05,0xffffd9df,0x7d40ffff,
    0xfff55fff,0x3ffe209f,0xcccccdff,0xfffffecc,0x2fffa80d,0x03ffffea,
    0x17ffffcc,0xbffffd00,0x7fffffc4,0x3fffa60c,0x7ffd43ff,0xfffb807f,
    0x7ffffc6f,0x7fffcc01,0xfffff90f,0x09ffffff,0x41ffffe6,0xdffffffb,
    0x7ffffdc0,0xfffffb06,0xfff9537d,0xf981ffff,0x4c0effff,0x07ffffff,
    0x6dffffe2,0xf101ffff,0xffffffff,0xffffffff,0x7ffdc09f,0x3ffffea3,
    0xfffff300,0x7fff4005,0x3fffea5f,0x3fff602f,0x3ffea0ff,0x7fe400ff,
    0x7fff45ff,0x7ffd402f,0xfb3310ff,0x1333bfff,0x1ffffe60,0x37ffffdc,
    0x5fffff70,0x5fffffb8,0xffffff50,0xfffffd85,0xfffff300,0xffffc80f,
    0x206ffffb,0xfffffff8,0xffffffff,0x3f201fff,0x3ffea4ff,0xfff300ff,
    0x7f4005ff,0x3ff25fff,0x7fc405ff,0x3fea3fff,0x7f404fff,0x7fec4fff,
    0x7ff405ff,0xffc80fff,0xff3004ff,0x3fee0fff,0x7fc02fff,0x7ff44fff,
    0x3ee00fff,0x7fc5ffff,0x7f403fff,0x7cc07fff,0xffffffff,0x3fffe203,
    0xffffffff,0xefffffff,0x25fffc80,0x00fffffa,0x05fffff3,0x2fffff40,
    0x005ffffd,0x54bffff9,0x00ffffff,0x85fffff5,0x01fffffb,0x1ffffff5,
    0x09ffff90,0x1ffffe60,0x03ffffdc,0x22ffffe4,0x803fffff,0x226ffffe,
    0x401fffff,0x807ffffb,0xfffffffe,0x3ffe200f,0xffffffff,0xffffffff,
    0x7ffec1ff,0x3ffffea6,0xfffff300,0x7fff4005,0xfffff15f,0xffff7001,
    0x7ffffd4d,0x7ffd41ff,0xfff886ff,0x7fdc1fff,0xc80fffff,0x3004ffff,
    0x2e0fffff,0xc806ffff,0x3e26ffff,0xc801ffff,0x3e67ffff,0x5400ffff,
    0xb807ffff,0x5fffffff,0x7ffffc40,0x7ff54c02,0x7ff46fff,0x3fffea6f,
    0xffff100f,0x7ff4005f,0xffff54ff,0x3ffea00f,0x3fffea7f,0xffefffff,
    0x701fffff,0xdfffffff,0xffffffff,0xffff901f,0x3ffe6009,0xffff707f,
    0xffff700d,0x7ffffd4f,0xffffb800,0x1ffffea7,0x1ffffe60,0x3ffffe20,
    0x7fc402ff,0x36002fff,0x3e2fffff,0x3fea7fff,0xff100fff,0x74005fff,
    0xff54ffff,0x3ea00fff,0x3fea7fff,0xffffefff,0x05ffffff,0x7ffffff4,
    0xfffeffff,0xfffc80ff,0xfff3004f,0x3ffee0ff,0xfffa806f,0x3fffea7f,
    0xfffb800f,0x3fffea7f,0xffff9807,0xffffb007,0xfff100ff,0x7cc005ff,
    0x3fe4ffff,0xfff50fff,0x7ffc01ff,0x3fe003ff,0xfff34fff,0xff7001ff,
    0x7ffd4dff,0xffffd8ef,0x8804ffff,0xfffffffd,0xfffff9cf,0x4ffffc80,
    0xfffff300,0x1ffffee0,0x9bfffee0,0x01fffff8,0x25ffffc8,0x00fffff9,
    0x03ffffd4,0x4fffffa8,0xfffff880,0x7fffc002,0xfffff16f,0x3ffffea3,
    0x3ffffe00,0xffff1006,0x3fffe27f,0xfffc801f,0x3fffea5f,0x3fffff26,
    0x7fe4002e,0xff13efff,0xff901fff,0x3e6009ff,0xff707fff,0xfc801fff,
    0x7ffc4fff,0xffd802ff,0x3ffe24ff,0x7fdc01ff,0xff5007ff,0xf1003fff,
    0x4005ffff,0x35fffff8,0x2a3fffff,0x200fffff,0x03fffffd,0x2fffffd8,
    0x017ffffa,0x47fffff1,0x886ffffa,0x4400009a,0x7ffc40aa,0xfffc80ff,
    0xfff3004f,0x3ffee0ff,0x7ffc03ff,0x7fff43ff,0x7ffcc06f,0x7fffc3ff,
    0x7fff404f,0xfffd007f,0x3fe200df,0x2a002fff,0xf53fffff,0x3ea5ffff,
    0x2e00ffff,0x01ffffff,0x1fffffea,0x05fffff9,0x07ffffec,0x00dffff5,
    0x7c400000,0xfc80ffff,0xf3004fff,0x3ee0ffff,0x700fffff,0xb83fffff,
    0x202fffff,0x40fffffd,0x01fffffd,0x0ffffff5,0x9fffff50,0x3fffe200,
    0xfff5002f,0x3fea3fff,0xfff52fff,0xfff801ff,0xaabdffff,0xffffffdb,
    0x7ffffc43,0x3ffa60cf,0x7fd43fff,0x000006ff,0x3fffe200,0xffffc80f,
    0xffff3004,0x3fffee0f,0x7fdc1fff,0xffd05fff,0x74c19fff,0x983fffff,
    0x41ffffff,0x7ffffffa,0x7fdcccc4,0x1000ffff,0x99bfffff,0xfdb99999,
    0x21ffffff,0x52fffffa,0x801fffff,0xfffffffb,0xffffffff,0xffb80fff,
    0xffffffff,0xa86fffff,0x0006ffff,0x3fe20000,0xffc80fff,0xff3004ff,
    0x3fee0fff,0xefffffff,0x1fffffff,0xffffff30,0xffffffdf,0x7ffe40df,
    0xfffeffff,0x547fffff,0xffffffff,0x3fe2004f,0xffffffff,0xffffffff,
    0x3fea2fff,0xfff52fff,0xff9001ff,0xffffffff,0x05ffffff,0x7fffffec,
    0xefffffff,0x6ffffa81,0x20000000,0x80fffff8,0x004ffffc,0x20fffff3,
    0xfecffffb,0xffffffff,0x7ffdc04f,0xffffffff,0x3e201fff,0xffffffff,
    0x7fffecff,0x7fffffcc,0x22000eff,0xffffffff,0xffffffff,0x7d43ffff,
    0xff52ffff,0x2a001fff,0xffffffff,0x00efffff,0xffffffb8,0x204fffff,
    0x006ffffa,0x3e200000,0xfc80ffff,0xf3004fff,0x3ee0ffff,0xffe8bfff,
    0x03ffffff,0xfffffd30,0x019fffff,0xfffffb10,0x3ffa7fff,0x7fffc47f,
    0x4000ffff,0xfffffff8,0xffffffff,0xfa83efff,0xff52ffff,0x44001fff,
    0xfffffffd,0x44003eff,0xfffffecb,0x7ffd402d,0x0000006f,0x3ffffe20,
    0x4ffffc80,0xfffff300,0x4ffffee0,0xeffffec8,0xffec8001,0x002dffff,
    0xefffffc8,0x21ffffa2,0x02dffffe,0xfffff100,0xffffffff,0x4c039ddf,
    0xf51ccccc,0x0001ffff,0x26aaaaa6,0x55100000,0x6664c001,0x0000003c,
    0x13333220,0x027fffe4,0x07ffff98,0x004d4400,0x0554c400,0x0aa88000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2ea20000,0x001acdec,
    0x17ffffc0,0x66666440,0xcccccccc,0x802ccccc,0x970cccc9,0x2a009999,
    0x8004cccc,0x02ccccc9,0xccccc880,0x3332a001,0x3333313c,0x33333333,
    0x00013333,0x4c13332a,0x0003cccc,0x51015300,0xcccc8815,0x13333224,
    0xffffff50,0x0005dfff,0x00bffffe,0x3fffffe2,0xffffffff,0xd805ffff,
    0xff70ffff,0xf8803fff,0x8005ffff,0x07fffffc,0xfffff880,0x3fff6002,
    0xfffff56f,0xffffffff,0x000bffff,0x01fffff1,0x00dffff5,0xfffea800,
    0x307fee2c,0x7ccfffff,0xfd107fff,0xffffffff,0x8001bfff,0x802fffff,
    0xfffffff8,0xffffffff,0x7d405fff,0x3fe0ffff,0x7dc05fff,0x4001ffff,
    0xfffffff8,0x7ffc4003,0x3f6002ff,0xfff56fff,0xffffffff,0x0bffffff,
    0xfffffb00,0xdffff501,0xfff80000,0xffefffff,0x7fffcc0f,0x1ffffe67,
    0x7ffffff4,0xffffffff,0x7fffc005,0xfff8802f,0xffffffff,0x5fffffff,
    0x3ffffe60,0x3fffee0f,0xffff101f,0xff7000bf,0x00dfffff,0x2fffff88,
    0x3ffff600,0xffffff56,0xffffffff,0xb800bfff,0x80ffffff,0x006ffffa,
    0x3bffe600,0x5fffffff,0x27ffff98,0xd87ffff9,0xadffffff,0xfffffea9,
    0x3fffe004,0xfff8802f,0xffffffff,0x5fffffff,0xffffff30,0xfffff81f,
    0xfffff705,0xfffd0003,0x003fffff,0x17ffffc4,0xdffffb00,0x3fffffea,
    0xffffffff,0x22004fff,0x0fffffff,0x06ffffa8,0x89ff2000,0x80cfffda,
    0x267ffff9,0x7cc7ffff,0x900cffff,0x001fffff,0x002aaaaa,0x2fffffe2,
    0x99999999,0x64409999,0xffffffff,0x7ffffdc0,0x5fffff80,0xffff9800,
    0x004fffff,0x0bffffe2,0x6ffffd80,0xddddddd3,0xfffddddd,0x7f4001df,
    0x80ffffff,0x006ffffa,0x440aa600,0x2aaa2009,0x3fffe62a,0x2ffffdc7,
    0x3ffffe20,0x44000002,0x002fffff,0x7ffffdc0,0x440fffff,0x5c4fffff,
    0x001fffff,0xffffffc8,0x1000ffff,0x005fffff,0x037fffec,0x1ffffe80,
    0x3fffee00,0xfa80ffff,0x00006fff,0x4c000000,0x7f47ffff,0xfc801fff,
    0xd5004fff,0xf1003ddd,0x0005ffff,0x7ffffff4,0xb80fffff,0x3a0fffff,
    0x0005ffff,0xff7fffff,0x22007fff,0x002fffff,0x01bffff6,0x0bfffee0,
    0xfffff980,0xfa80ffff,0x00006fff,0x0002a600,0x47ffff98,0x9005cca9,
    0x2009ffff,0x802ffffc,0x02fffff8,0x3ffffe00,0x0fffffbf,0x4fffff88,
    0x03fffff5,0xfffff500,0x01bffff6,0x17ffffc4,0xdffffb00,0xffff9800,
    0x7fff4005,0x80fffffe,0x506ffffa,0x41ffffff,0x2e4ffff9,0x0cfffffd,
    0x33ffffcc,0x000fffff,0x0bffffa0,0x07fffec0,0x7ffffc40,0x3ffe0002,
    0xffff88ef,0xffff900f,0x17ffffaf,0x7fffec00,0x3fffff54,0xfffff100,
    0x7ffec005,0x7ff4006f,0x3f2000ff,0xffff9fff,0xffffa80f,0xfffff986,
    0x7fffcc1f,0xffffff94,0x7fcc3dff,0x3ffe67ff,0xfc80007f,0xf1007fff,
    0x2200ffff,0x002fffff,0xf88fffe0,0xf100ffff,0xfff7ffff,0xf10003ff,
    0x3e23ffff,0x8804ffff,0x002fffff,0x01bffff6,0x03ffffb8,0x53fffe60,
    0xa80fffff,0x7c46ffff,0x981fffff,0xffddffff,0xffffffff,0x9ffffe66,
    0x007ffff9,0x7ffffec0,0xfffe8804,0xfff1005f,0x555559ff,0xe8555555,
    0xfffff883,0x3ffff200,0x005fffff,0x8fffff70,0x00fffffc,0x77ffffc4,
    0xeeeeeeee,0x6fffffee,0xdffff100,0x6fffe800,0x203ffffe,0x226ffffa,
    0x02fffffe,0xfffffff3,0xfffffbdf,0x3ffe65ff,0x3fffe67f,0xffd10007,
    0xd100dfff,0x005fffff,0x3fffffe2,0xffffffff,0xff1006ff,0x66641fff,
    0xffffffdc,0xccccdfff,0xffffe800,0x7ffffcc4,0x7fffc403,0xffffffff,
    0xffffffff,0xfff7006f,0x7fe4007f,0x3fffe1ff,0xffffa80f,0x3fffffa6,
    0x3fffe602,0x7fe41eff,0xfff34fff,0x7fffccff,0xffe88007,0x4400efff,
    0x04fffffe,0x3ffffe20,0xffffffff,0xf1006fff,0x7fc1ffff,0xffffffff,
    0xffffffff,0x7ffcc01f,0xfffe81ff,0x7ffc406f,0xffffffff,0xffffffff,
    0xfff006ff,0x3e6001ff,0x7ffc4fff,0xfffa80ff,0xfffffb6f,0xffff9807,
    0xfffd00ff,0x3fffe6bf,0x1ffffe67,0xffffd100,0xfff300bf,0x8800bfff,
    0xffffffff,0xffffffff,0xffff1006,0x7ffffc1f,0xffffffff,0x01ffffff,
    0x837fffec,0x01fffffc,0x3fffffe2,0xffffffff,0x6fffffff,0x5ffffb80,
    0x1bfffa00,0x203ffffe,0xfceffffa,0x9803ffff,0x202fffff,0xf36ffffc,
    0x7fccffff,0x7ec007ff,0x9805ffff,0x04ffffff,0xfffff880,0xffffffff,
    0xf1006fff,0x7fc1ffff,0xffffffff,0xffffffff,0x3ffe201f,0xfff303ff,
    0x7fc409ff,0xffffffff,0xffffffff,0xfe806fff,0xf9002fff,0xfff03fff,
    0xfff501ff,0xdfffffff,0x3fffe600,0x3ffee01f,0xfffff36f,0x03ffffcc,
    0xbfffff10,0x3ffffa00,0xff10003f,0x33337fff,0x01333333,0x3ffffe20,
    0x2aaaaaa0,0xabfffffb,0x200aaaaa,0x00fffffb,0x03fffffa,0x17ffffc4,
    0xdffffb00,0x6ffffa80,0x9ffff300,0x03ffffe0,0x3fffffea,0x802fffff,
    0x00fffff9,0x4dbfffea,0x3e67ffff,0x26007fff,0x7005ffff,0x005fffff,
    0x7ffffc40,0xf8800002,0xf000ffff,0x0003ffff,0x3ffffffa,0xffffffff,
    0xf103ffff,0x4005ffff,0x406ffffd,0x803ffffc,0x99ffffe8,0xffff9999,
    0xff50999f,0xffffffff,0xfff300df,0xfffa80ff,0xfffff36f,0x03ffffcc,
    0x05ffff70,0x13ffff60,0xffff1000,0x1000005f,0x4c1fffff,0xff999999,
    0x9999afff,0x3ffe6019,0xffffffff,0xffffffff,0xfffff106,0x7ffec005,
    0x7fffc06f,0xfff9800f,0xffffffff,0xffffffff,0xffffff53,0x07ffffff,
    0x07ffff98,0x9b7fffd4,0x3e67ffff,0x32007fff,0xf000ffff,0x3003ffff,
    0x3e21559b,0x0002ffff,0xfffff880,0x3fffffe0,0xffffffff,0x901fffff,
    0xffffffff,0xffffffff,0xf103ffff,0x4005ffff,0x206ffffd,0x005ffff9,
    0xfffffff3,0xffffffff,0x3ea7ffff,0xfbefffff,0x2600ffff,0x5407ffff,
    0xff36ffff,0x7ffccfff,0x3bae007f,0xfff000ee,0xff9003ff,0x3ffe27ff,
    0x800002ff,0x20fffff8,0xffffffff,0xffffffff,0xfff01fff,0xffffffff,
    0xffffffff,0xfff109ff,0x7ec005ff,0x3ee06fff,0xf3003fff,0xffffffff,
    0xffffffff,0x3ffea7ff,0xfffd0eff,0x7ffcc0bf,0x7ffd407f,0xfffff36f,
    0x03ffffcc,0xffd80000,0x7fc404ff,0xfff10fff,0x000005ff,0x41fffff1,
    0xffffffff,0xffffffff,0xffa81fff,0xeeeeefff,0xffeeeeee,0x7c40ffff,
    0x2002ffff,0x206ffffd,0x001ffffd,0xfffffff3,0xffffffff,0x3ea7ffff,
    0x3e60ffff,0xf301ffff,0xfa80ffff,0xfff36fff,0x7fffccff,0x26662007,
    0xfff70009,0x3fa203ff,0x3fe25fff,0x00002fff,0x0fffff88,0x3bbbbbba,
    0xeeefffff,0xfd81eeee,0x5c006fff,0x443fffff,0x002fffff,0x81bffff6,
    0x2007ffff,0xaaaaaaa8,0xffffaaaa,0xff51aabf,0xfffb0dff,0x3ffe60df,
    0x7ffd407f,0xfffff36f,0x03ffffcc,0x09ffff90,0x3ffffa20,0xffdb9bef,
    0x3e22ffff,0x0002ffff,0xfffff880,0xfffff000,0x7ffc4003,0x7c4003ff,
    0x7c46ffff,0x2002ffff,0x106ffffd,0x000dffff,0x7ffffc00,0x6ffffa80,
    0x2fffff98,0x07ffff98,0x9b7fffd4,0x3e67ffff,0x32007fff,0x2004ffff,
    0xfffffff9,0xffffffff,0x7ffffc43,0xf8800002,0xf000ffff,0x4003ffff,
    0x00fffffb,0xfffffd80,0x3ffffe21,0x3fff6002,0xffff306f,0x7c00000b,
    0xfa80ffff,0xff906fff,0xff981fff,0x7fd407ff,0xffff36ff,0x3ffffccf,
    0x9ffff900,0xffffa800,0xffffffff,0xffff882f,0x8800002f,0x000fffff,
    0x003fffff,0x037ffff4,0xfffffa80,0x3ffffe24,0x3fff6002,0xffff506f,
    0x7c000009,0xfa80ffff,0xff106fff,0xff989fff,0x7fd407ff,0xffff36ff,
    0x3ffffccf,0x9ffff900,0xfff91000,0x3dffffff,0x3ffffe20,0xf8800002,
    0xf000ffff,0x2003ffff,0x03fffffa,0x3ffffe00,0xfffff10f,0x7ffec005,
    0xffff706f,0x7c000007,0xfa80ffff,0x3ee06fff,0x3e60ffff,0x7d407fff,
    0xfff36fff,0x7fffccff,0x3fff2007,0x2a20004f,0x00abdedc,0x17ffffc4,
    0x7fc40000,0xff000fff,0x36003fff,0x000fffff,0x3fffff20,0x5fffff13,
    0x7fffec00,0x7ffff906,0x7fc00000,0xffa80fff,0x7ff406ff,0x3ffe65ff,
    0x7ffd407f,0xfffff36f,0x03ffffcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x0004cccc,
    0x80bffffa,0x01fffff8,0x9accba88,0x33332200,0x332a001c,0x3223cccc,
    0xcccccccc,0x000aaacc,0x006aaaaa,0x99999100,0x99999999,0x19999999,
    0x33333322,0x999000cc,0x22399999,0x001ccccc,0x44b33326,0x001ccccc,
    0xccccca80,0x0dffff50,0x03ffffcc,0x5ffffd00,0x7ffffc40,0x3fff6601,
    0x103fffff,0x007fffff,0x3fffffe6,0x3fffe61f,0xffffffff,0xf801efff,
    0x0003ffff,0x7fffffcc,0xffffffff,0x31ffffff,0xffffffff,0xffff3005,
    0x3e25ffff,0x2006ffff,0xf35ffffb,0x0005ffff,0x1fffff70,0x81bfffea,
    0x007ffff9,0x0bffffa0,0x1fffff88,0xffffff90,0x81dfffff,0x03fffff8,
    0xffffff98,0x7fffcc1f,0xffffffff,0x00cfffff,0x00fffffe,0xfffff300,
    0xffffffff,0x3fffffff,0x3fffffe6,0xffb804ff,0x12ffffff,0x07ffffff,
    0x57fffee0,0x02fffff9,0xffffb800,0xdffff50f,0x3ffffcc0,0xffffd000,
    0x7fffc405,0xffffb81f,0xffffffff,0x7fffc46f,0x7ffc403f,0xf981ffff,
    0xffffffff,0xffffffff,0xffff01ff,0xf980007f,0xffffffff,0xffffffff,
    0xfff31fff,0x00dfffff,0xfffffffb,0x3fffe25f,0xfb800fff,0xfff35fff,
    0x700005ff,0x2a1fffff,0x2606ffff,0x0007ffff,0x80bffffa,0x41fffff8,
    0xfffffff9,0xfffffffe,0x3ffffe23,0x3fffa203,0xff301fff,0xffffffff,
    0xffffffff,0x3fffe0df,0x7cc0003f,0xffffffff,0xffffffff,0xfff31fff,
    0x01ffffff,0xfffffff8,0xffff12ff,0xf700bfff,0x3fe6bfff,0x80002fff,
    0x50fffffb,0x4c0dffff,0x0007ffff,0x80bffffa,0x41fffff8,0x0bfffffc,
    0xfffffd51,0x1fffffc4,0xfffffe88,0x3ffe602f,0x99999bff,0xfffffeb9,
    0xfffff83f,0x7fcc0003,0x9999bfff,0x99999999,0x3fffe619,0x202fffff,
    0xfffffffa,0xffff12ff,0xb805ffff,0xff35ffff,0x55559fff,0xf7003335,
    0x2a21ffff,0x3e602aaa,0x20007fff,0x202ffffe,0x41fffff8,0x703ffffe,
    0x221fffff,0xd03fffff,0x05ffffff,0x2fffff98,0xfffffa80,0x7ffffc0f,
    0x7fcc0003,0x80002fff,0xfffffff9,0x3ff204ff,0x2fffffff,0xfffffff1,
    0xfffb80df,0xfffff35f,0xffffffff,0x3ee05dff,0x0000ffff,0x20fffff3,
    0x3ffa00a9,0x3fe202ff,0x3fe21fff,0xff100fff,0x3fe25fff,0xffd83fff,
    0x9802ffff,0x002fffff,0x89fffff7,0x003fffff,0x7ffffcc0,0xff980002,
    0x6fffeeff,0x3bbfffa0,0xff12ffff,0x9fffffff,0xaffffdc0,0xfffffff9,
    0xffffffff,0x7fdc0eff,0x30000fff,0x754fffff,0xe84fffff,0x2202ffff,
    0x261fffff,0x7c07eecc,0xff12ffff,0xffd87fff,0x3002ffff,0x005fffff,
    0x07fffff4,0x007fffff,0xfffff980,0xff980002,0xffffceff,0xcffff880,
    0xf12ffffe,0xffffffff,0x3ffee03f,0xfffff35f,0xffffffff,0x41dfffff,
    0x007ffffa,0x5ffffe60,0xfffffffc,0x3fffa0ef,0x3ffe202f,0x260001ff,
    0xf10fffff,0x7e47ffff,0x003fffff,0x0bffffe6,0xfffffa80,0x0fffffe2,
    0xffff3000,0xf300005f,0xfff3dfff,0xffff505f,0x25ffffd5,0xfffffff8,
    0xff705fff,0x3ffe6bff,0xffffffff,0xffffffff,0x1ffffe64,0xffff9800,
    0xffffffdf,0x3fa6ffff,0x3e202fff,0x0001ffff,0x89ffffee,0xf73fffff,
    0x007fffff,0x2fffff98,0x3fffe600,0x3ffffe3f,0x7fcc0003,0x80002fff,
    0xf8effff9,0xffc85fff,0xffffe8ff,0xbfffff12,0x705fffff,0x3e6bffff,
    0xa99bffff,0xffffcaaa,0xfff10fff,0x7cc000df,0xefffffff,0xfffffffd,
    0x07ffffd1,0x0fffffc4,0xffffd000,0x7ffffc4b,0xffffffbb,0x7fcc000f,
    0x7c002fff,0x3fe5ffff,0x40003fff,0xeefffff9,0xeeeeeeee,0x3e60eeee,
    0xfffd6fff,0x2dfffd0f,0xf12ffffe,0xfff1ffff,0xffb81fff,0xffff35ff,
    0xffe8805f,0xfff13fff,0x7cc000bf,0x40efffff,0xd4fffffb,0x5409ffff,
    0x001fffff,0x3fffffb0,0x6fffffc4,0xffffffff,0x7ffcc004,0x7fc002ff,
    0x3ffe5fff,0x4c0003ff,0xffffffff,0xffffffff,0x3fe60fff,0xffff96ff,
    0xa7fffc43,0xf12ffffe,0x3feeffff,0x7fdc4fff,0xffff35ff,0xfff5005f,
    0x7fffcbff,0x3fe60004,0xfb00ffff,0x3ffabfff,0x3fee06ff,0xc8001fff,
    0x444fffff,0xffffffff,0x1fffffff,0x3fffe600,0x7ff4002f,0x3fffe6ff,
    0x7cc0003f,0xffffffff,0xffffffff,0x3ffe60ff,0x7ffff56f,0xe97fffd4,
    0xff12ffff,0x7fff4fff,0x3ffee1ff,0xfffff35f,0x3fffe005,0x13fffa6f,
    0xffff9800,0x3ffee03f,0xfffffd6f,0xfffff103,0xffc8003f,0x7c40ffff,
    0xffffffff,0x06ffffff,0x3ffffe60,0x7fff4002,0x3ffffe6f,0x7fcc0003,
    0xffffffff,0xffffffff,0x3fffe60f,0x4bffff16,0xfd0ffffc,0x3fe25fff,
    0x3ffe67ff,0x3ffee6ff,0xfffff35f,0x3fffe005,0x8ffff66f,0x20099998,
    0x02fffff9,0x75bfffea,0x21ffffff,0xffffffe9,0x3fff2001,0xff882fff,
    0xbfffffff,0x04fffffd,0x5fffff30,0xfffff800,0x0fffffe5,0xffff3000,
    0xdddddddf,0x1ddddddd,0xd37fffcc,0x7ff4ffff,0x3ffffa6f,0x8fffff12,
    0x73fffffc,0x3e6bffff,0x9802ffff,0x364fffff,0x3fea2fff,0x3fe606ff,
    0x3ea01fff,0xfffd6fff,0xffffffff,0x03ffffff,0x3fffff20,0xffff102f,
    0x3e69ffff,0x801fffff,0x02fffff9,0x27ffffc0,0x007fffff,0xfffff980,
    0xff980002,0x3fff26ff,0x4ffff89f,0x44bffffa,0x7c47ffff,0xfb8fffff,
    0xfff35fff,0xff9005ff,0x7fe45fff,0x3fffea1f,0x3fffe606,0x3ffea00f,
    0xfffffd6f,0xffffffff,0x9003ffff,0x05ffffff,0x7fffffc4,0x7fffe44f,
    0xfff9806f,0x3e2002ff,0x3fe3ffff,0x40003fff,0x02fffff9,0xffff9800,
    0x2ffffea6,0x3a2ffffa,0xff12ffff,0xfff50fff,0xffff79ff,0x3ffffe6b,
    0x3fff6202,0x3fee0fff,0x3fffea0f,0x3fffe606,0x7fffd407,0xd5ffffd6,
    0xf9bfffff,0xfc803fff,0x402fffff,0x4ffffff8,0xffffff88,0x7fffcc03,
    0x3fe6002f,0x3ffe1fff,0x4c0003ff,0x002fffff,0x6ffff980,0x37bfffe2,
    0x3fa0ffff,0xfff12fff,0x3fff60ff,0x5ffffdff,0xddfffff3,0xfffffddd,
    0xfa8dffff,0x3ffea0ff,0x3ffe606f,0x7ffd407f,0x5ffffd6f,0x91bffff3,
    0x6403ffff,0x01ffffff,0x4fffff88,0x3ffffee0,0x3ffe601f,0x3f2002ff,
    0x3fe0ffff,0x40003fff,0x02fffff9,0xffff9800,0x7fffff46,0x7ff46fff,
    0xffff12ff,0x3fffe20f,0x35ffffff,0xffffffff,0xffffffff,0xff981dff,
    0x2ffffd47,0x0fffff30,0xd6ffffa8,0x54c5ffff,0xfff70000,0x22003fff,
    0x403fffff,0x06fffffe,0x0bffffe6,0x7ffffc40,0x1fffffc7,0x3ffe6000,
    0x980002ff,0x7e46ffff,0x4fffffff,0x897ffff4,0x2e07ffff,0xffffffff,
    0xfffff35f,0xffffffff,0x103fffff,0x2ffc0bdd,0x0fffff30,0xd6ffffa8,
    0x0005ffff,0x3ffffe60,0x3fe2001f,0x7d403fff,0x303fffff,0x005fffff,
    0x0ffffff2,0x007fffff,0xfffff980,0xff980002,0x7ffd46ff,0x742fffff,
    0xff12ffff,0xffe80fff,0x35ffffff,0xffffffff,0xffffffff,0x7cc00019,
    0x3ffe604f,0x7ffd407f,0x5ffffd6f,0xfff10000,0x88005fff,0x803fffff,
    0x0ffffffd,0x2fffff98,0x7fffecc0,0x7fffc0ff,0x7cc0003f,0x0002ffff,
    0x46ffff98,0xfffffff8,0x7ffff40f,0x0fffff12,0xffffff98,0xffff35ff,
    0xdddddddf,0x4c40159b,0xffc81999,0x3fffe601,0x7fffd407,0x05ffffd6,
    0xffff7000,0xffffffff,0x3e27ffff,0x8803ffff,0x85ffffff,0xcdfffff9,
    0xffeedccc,0xf83fffff,0xccceffff,0xcccccccc,0xffff31cc,0x999999bf,
    0x99999999,0x1bfffe67,0x3ffffffa,0x2ffffe86,0x00fffff1,0xfffffffb,
    0x3ffffe6b,0xffa80002,0x3ffa67ff,0x7fffcc04,0x7fffd407,0x05ffffd6,
    0xffffd000,0xffffffff,0x3e27ffff,0x9003ffff,0x85ffffff,0xfffffff9,
    0xffffffff,0xff04ffff,0xffffffff,0xffffffff,0x3fffe65f,0xffffffff,
    0xffffffff,0x0dffff35,0x9ffffff9,0x25ffffd0,0x807ffff8,0xfffffff8,
    0x5fffff35,0xfff50000,0x06ffdcff,0x1ffffe60,0x2dffff50,0x002ffffe,
    0x7ffffc40,0xffffffff,0xff13ffff,0x22007fff,0x0fffffff,0x3fffffe6,
    0xffffffff,0x3e03ffff,0xffffffff,0xffffffff,0xffff32ff,0xffffffff,
    0xffffffff,0x1bfffe6b,0x3fffffea,0x2ffffe82,0x00fffff1,0x3fffffee,
    0x5fffff35,0xfff50000,0x801744ff,0x407ffff9,0xfd6ffffa,0x80005fff,
    0xfffffffb,0xffffffff,0xffff13ff,0x7fd4007f,0x3e65ffff,0xffffffff,
    0xcfffffff,0x7ffffc00,0xffffffff,0x32ffffff,0xffffffff,0xffffffff,
    0x3e6bffff,0xff886fff,0xfe80ffff,0xfff12fff,0x7ff400ff,0xfff35fff,
    0x500005ff,0x000fffff,0x03ffffcc,0x5dbfffea,0x0001cccc,0x7ffffff4,
    0xffffffff,0xfff13fff,0xfe8007ff,0xf32fffff,0xffffffff,0x0379bdff,
    0x3fffffe0,0xffffffff,0xf32fffff,0xffffffff,0xffffffff,0x3fe6bfff,
    0xfffd06ff,0x3fffa0df,0xfffff12f,0x7fffcc00,0xfffff35f,0xff500005,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x91000000,0x99999999,0x01355599,0x33333220,
    0xaacccccc,0x6664000a,0xcccccccc,0xcccccccc,0x33332e0c,0xccb8002c,
    0x33322ccc,0x2e002ccc,0x2e2ccccc,0x9003cccc,0x00599999,0x21999993,
    0xccccccc8,0xaabccccc,0x3332000a,0x930004cc,0x32259999,0xcccccccc,
    0xcccccccc,0xff32cccc,0x3ffe6fff,0xffffffff,0x00cfffff,0x7fffffcc,
    0xffffffff,0xfff001ef,0xffffffff,0xffffffff,0x7fffd43f,0x3e6000ff,
    0x2e0fffff,0x00ffffff,0xffffffa8,0x1fffff20,0x3ffffe60,0xfffb806f,
    0x3fffe27f,0xffffffff,0x03efffff,0x2fffffc8,0xffffc800,0xfffff11f,
    0xffffffff,0xffffffff,0x5ffffe6b,0xfffffff9,0xffffffff,0x3e601fff,
    0xffffffff,0xffffffff,0xfffff804,0xffffffff,0x1fffffff,0x27ffffec,
    0xfffffd00,0xfffffb05,0xffffd009,0xffffa87f,0x7ffdc01f,0x6c00ffff,
    0x3e25ffff,0xffffffff,0xffffffff,0x3e600eff,0x8005ffff,0x226fffff,
    0xffffffff,0xffffffff,0xf35fffff,0x3fe6ffff,0xffffffff,0xffffffff,
    0xffff301f,0xffffffff,0x3fffffff,0x7fffffc0,0xffffffff,0x41ffffff,
    0x1ffffff8,0xfffffb80,0xfffff105,0x7ffdc03f,0xfff886ff,0x7fec03ff,
    0x402fffff,0x224fffff,0xffffffff,0xffffffff,0x7406ffff,0x000fffff,
    0x8fffffe6,0xfffffff8,0xffffffff,0x35ffffff,0x3e6fffff,0xffffffff,
    0xffffffff,0xfff305ff,0xffffffff,0xffffffff,0x7ffffc0d,0xffffffff,
    0x0fffffff,0x6fffffb8,0x7ffffc40,0x3ffee00f,0xfff106ff,0x3fa03fff,
    0x7fc05fff,0x04ffffff,0x8bffffe6,0xfffffff8,0xffffffff,0x02ffffff,
    0x0bfffff2,0xfffffc80,0x3ffffe20,0xffffffff,0xffffffff,0x2fffff35,
    0x9bfffff9,0xffb99999,0x981fffff,0x99bfffff,0xffeb9999,0x3303ffff,
    0x33333333,0xfffff933,0x7fff409f,0x3ff203ff,0xfe803fff,0xfd83ffff,
    0x3603ffff,0x2a06ffff,0xffffffff,0x3fffea06,0x3fffe20f,0x999999bf,
    0xfffffc99,0x3ffe604f,0x3fa005ff,0x99986fff,0xfff99999,0x99999cff,
    0x55551099,0x3ffffe65,0x7ffec402,0xfff984ff,0xffb802ff,0x0000ffff,
    0x7fffffcc,0x7fffcc05,0xfff980ff,0xff3006ff,0x7d41ffff,0x5c06ffff,
    0x900fffff,0xffffffff,0x3fff201f,0x7fffc46f,0xfff1002f,0xffe80dff,
    0xf9800fff,0x8003ffff,0x004fffff,0xfffff980,0xffffa802,0xffff985f,
    0xfff7002f,0x440009ff,0x0effffff,0xfffffc80,0xfffffd84,0x3fff2001,
    0xfffd15ff,0xff9803ff,0xffd02fff,0x5ffffdff,0x13ffffa0,0x05fffff1,
    0x7ffffec0,0x3fffee00,0xfffc802f,0xff8000ff,0x80004fff,0x02fffff9,
    0x0dfffff0,0x05fffff3,0x7fffff40,0xfffd0000,0x22003fff,0x21fffffe,
    0x04fffffa,0xfffffe80,0x4fffffca,0x7fffff00,0x7dffff10,0xf109ffff,
    0xf885ffff,0x2002ffff,0x01fffffb,0x17ffffe2,0x17ffffa0,0x7ffffc00,
    0xff980004,0xff002fff,0xff30bfff,0x5c005fff,0x002fffff,0xffffffc8,
    0x7ffd4002,0x3fffa6ff,0xf98000ff,0xffffffff,0xfb000eff,0xff50bfff,
    0xffff39ff,0xfffff30d,0xfffff881,0x3fff2002,0x7fec00ff,0x3e600fff,
    0x0002ffff,0x009fffff,0xfffff300,0xffff3005,0xffff309f,0x7fc4005f,
    0x5c004fff,0x04ffffff,0xfffffb00,0x5fffff75,0x7ffe4000,0x2fffffff,
    0x3fffee00,0x2ffffc87,0xb81fffff,0xf886ffff,0x1002ffff,0x00fffffd,
    0x07fffff5,0x07ffffe4,0xfffff800,0xff980004,0x74402fff,0x982fffff,
    0x002fffff,0x02fffffc,0xffffff30,0x7fc4000b,0xffffffff,0x7c40005f,
    0xffffffff,0x7ffcc005,0x7fff41ff,0x5ffffb0f,0x84ffffd8,0x02fffff8,
    0x7ffff544,0xfff8804f,0x3ffa05ff,0x3e0005ff,0x0004ffff,0x2fffff98,
    0x7ffdccc4,0x3320ffff,0xcdfffffd,0xff00cccc,0x2200bfff,0x0effffff,
    0x7ffdc000,0x0fffffff,0xfffa8000,0x000fffff,0x22fffff8,0x2e6ffff8,
    0x7fc4ffff,0xff882fff,0xeeeeefff,0xffffffff,0xfb000fff,0xf301ffff,
    0x0005ffff,0x027ffffc,0x7fffcc00,0xffffffff,0x5fffffff,0x7ffffffc,
    0x1fffffff,0x0dffffd0,0x3fffffa0,0xfd00000f,0x7fffffff,0x7fec0000,
    0x0002ffff,0x549ffffd,0x3e24ffff,0x3fe26fff,0xff880fff,0xffffffff,
    0xffffffff,0x3ea001ff,0xfb83ffff,0x40007fff,0x004fffff,0xfffff980,
    0xffffffff,0xf86fffff,0xffffffff,0xd01fffff,0xb00dffff,0x05ffffff,
    0x7ffcc000,0x0006ffff,0x3ffffe20,0xf90004ff,0x7fecdfff,0x7fff42ff,
    0xfffff50f,0x3ffffe20,0xffffffff,0x00dfffff,0x6fffff80,0x04ffffe8,
    0x7ffffc00,0x26666004,0xffffff31,0xffffffff,0xff01dfff,0xffffffff,
    0x3e03ffff,0x5c05ffff,0x03ffffff,0xfffc8000,0x00001fff,0x3ffffffa,
    0xfa8001ff,0x3ffe7fff,0x7ffe40ff,0xbffff92f,0x3ffffe20,0xffffffff,
    0x0000bdff,0x83fffff2,0x01fffff9,0x7ffffc00,0xffff3004,0x3ffffe6f,
    0xffffffff,0xf9802eff,0x4002ffff,0x204fffff,0x5ffffff9,0x3fe00000,
    0x00004fff,0x3fffffee,0x4000efff,0x99fffff8,0xfa86ffff,0xfffd4fff,
    0x3ffe207f,0xffdcbcff,0x000effff,0x7ffffcc0,0x1bfffee3,0x3fffe000,
    0xfff3004f,0x3fffe6ff,0xccccccdf,0x3e6001ab,0x2002ffff,0x03fffff8,
    0xdffffff1,0xff800000,0x00004fff,0xfffffff1,0x0009ffff,0xf77ffffd,
    0xff107fff,0x3fffedff,0xffff101f,0xffff905f,0xf80003ff,0x3fa6ffff,
    0x80003fff,0x004fffff,0x26fffff3,0x002fffff,0x7fffcc00,0x3fe6002f,
    0xffd01fff,0x0001ffff,0xfffff800,0xffb00004,0xffffdfff,0xfc8003ff,
    0xfffddfff,0xffffd01f,0x40fffff5,0x02fffff8,0x5ffffff9,0x7ffe4000,
    0xffff88ff,0xff80001f,0xf3004fff,0x3fe6ffff,0x00002fff,0x17ffffcc,
    0xfffff900,0xfffffb01,0x0000003f,0x009fffff,0xfffff500,0xfffff71f,
    0xfffa800d,0x07ffffff,0x3fbffff2,0x3e205fff,0x3a02ffff,0x00ffffff,
    0xfffff300,0x0dffff77,0x3fffe000,0xfff3004f,0x3fffe6ff,0x4c00002f,
    0x002fffff,0x21fffffa,0x3ffffffb,0xff000000,0x80009fff,0x3ffffff8,
    0x13fffffa,0xfffff880,0x2a05ffff,0xffffffff,0x3ffe203f,0x3fe202ff,
    0x0006ffff,0x3bbffffa,0x0003ffff,0x09fffff0,0xffff3000,0x9800005f,
    0x802fffff,0x2fffffd8,0x7fffffd4,0x20000004,0x004fffff,0x7ffffec0,
    0x7ffffcc6,0x3ffe001f,0x03ffffff,0x3fffffe2,0x3e201fff,0x5c02ffff,
    0x03ffffff,0xfffff700,0x001fffff,0x3ffffe00,0x22222004,0x5fffff30,
    0xff980000,0x74402fff,0x445fffff,0x06ffffff,0x7fc00000,0x20004fff,
    0x1ffffffa,0x6fffffc8,0x3ffff600,0x7401ffff,0x7fffffff,0x7ffffc40,
    0xffffd802,0xf88000ff,0xffffffff,0x3fe00005,0xf3004fff,0x3fe6ffff,
    0x00002fff,0x6fffffcc,0xfeeccccc,0x41ffffff,0xdffffffc,0xcccccccc,
    0x03cccccc,0x4fffff80,0xffff1000,0x3fa209ff,0x7004ffff,0xffffffff,
    0xfffff700,0xff880bff,0xf8802fff,0x005fffff,0xffffffd0,0x400005ff,
    0x004fffff,0x26fffff3,0x002fffff,0x7fffcc00,0xffffffff,0x4fffffff,
    0xffffffc8,0xffffffff,0x5fffffff,0xfffff800,0xfffb0004,0xffa80dff,
    0x9801ffff,0x5fffffff,0xfffff980,0x7fc403ff,0xf5002fff,0x005fffff,
    0xffffff70,0x400001ff,0x004fffff,0x26fffff3,0x002fffff,0x7fffcc00,
    0xffffffff,0x04ffffff,0xfffffff9,0xffffffff,0x0bffffff,0x9fffff00,
    0xffff5000,0xffb003ff,0x3e00dfff,0x03ffffff,0xfffffff0,0xffff8803,
    0x3ff6002f,0x4000ffff,0xfffffff8,0x7fc00005,0xf3004fff,0x3fe6ffff,
    0x00002fff,0x7fffffcc,0xffffffff,0x3f200dff,0xffffffff,0xffffffff,
    0x8005ffff,0x004fffff,0x7fffffc4,0xffff1004,0xffb009ff,0x2001ffff,
    0x07fffffd,0x2fffff88,0x3fffe200,0xfd8004ff,0x002fffff,0x7ffffc00,
    0xffff3004,0x3ffffe6f,0x7cc00002,0xffffffff,0x01bcdeff,0xffffffc8,
    0xffffffff,0x5fffffff,0xfffff800,0x7ffe4004,0x2a000fff,0x01ffffff,
    0x37ffffdc,0xfffff700,0xffff100d,0xffa8005f,0x4001ffff,0x07fffffa,
    0xffff8000,0x2666004f,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xccb80000,0xcccccccc,
    0xcccccccc,0x00cccccc,0x00ffffd0,0x00000000,0x26200000,0x000099aa,
    0x03355331,0x13531000,0x03530000,0x26a62000,0x00000000,0x00000000,
    0x7fffffcc,0xffffffff,0xffffffff,0xfd000fff,0x36200fff,0xcccccccc,
    0xcccccccc,0x5544006c,0xc8805b01,0xffffffff,0xffb5002d,0x19ffffff,
    0x7ffecc00,0x000cffff,0x3fffffae,0x75c4003e,0x1dffffff,0x0000ecc0,
    0x32200000,0xfffd8004,0xffffffff,0xffffffff,0x00ffffff,0x00ffffd0,
    0x1c0000a2,0x7ffff5c0,0x7ff92eff,0x3ffffea0,0x5fffffff,0x7ffffec0,
    0x0effffff,0xfffffb80,0x02ffffff,0x7ffffec4,0x800effff,0xfffffffa,
    0x2604ffff,0x00002eff,0x7fecc000,0x7ffc4004,0xffffffff,0xffffffff,
    0x0fffffff,0x0ffffd00,0x40000a20,0x3fffa203,0xffffffff,0xff981fff,
    0xffffffff,0xfb04ffff,0xffffffff,0x401fffff,0xfffffffd,0x02ffffff,
    0xfffffff3,0x03ffffff,0x7fffffdc,0xefffffff,0xfffff981,0x0000000c,
    0x13ffffaa,0xdffff900,0xffffff99,0xffffffff,0x001fffff,0x401ffffa,
    0x07000028,0x3fffffea,0xffffffff,0xffffd01f,0xfffb77bd,0xff983fff,
    0xfeceffff,0x703fffff,0xddffffff,0x1fffffff,0xffffffd0,0xdffffffb,
    0x3ffffea0,0xffffffff,0xfff986ff,0x001dffff,0xfff71000,0x4009ffff,
    0x22fffff8,0x99cfffff,0x99999999,0x3fa00199,0x051007ff,0x3e20e000,
    0xedffffff,0x0fffffff,0x06ffff88,0x89ffffd1,0x40dffffd,0x85ffffe8,
    0x0efffff8,0x3ffffee2,0x7ffffd43,0x3fffaa0c,0x7fffc42f,0x3fa60cff,
    0x7cc3ffff,0xffffffff,0x9300002e,0xffffffff,0x7fe4009f,0x7fffc7ff,
    0x4000003f,0x1007fffe,0x20e00005,0x42fffffd,0x4fffffc8,0x05ffff98,
    0x2a02af66,0xf700fedc,0xff90dfff,0x3f601fff,0x7ffc7fff,0xfff103ff,
    0xffffa8df,0x3fff602f,0x7ff5c0ff,0xffffffff,0xfea8000b,0xffffffff,
    0xff1001df,0xfff87fff,0xe80003ff,0xffeeeeee,0xeeeeefff,0x000510ee,
    0xffff50e0,0xfffd103f,0xff881fff,0x000befff,0x7ffcc000,0xffffe86f,
    0x06b3a603,0x80fffff3,0x321ffffd,0x4405ffff,0x303fffff,0xfffffffb,
    0x88039fff,0xfffffffb,0x000befff,0x07ffffdc,0x00fffffe,0x3ffffe00,
    0xffffffff,0x11ffffff,0xb0e00005,0x3609ffff,0x4fffffff,0xfffffff8,
    0x0000acef,0xffffca88,0xfffff87f,0x3fea0001,0x7fdc06ff,0x3fffa3ff,
    0xfffc802f,0x7f5c405f,0xffffffff,0x7ffe4c2e,0xcfffffff,0x3ffe0001,
    0xffff84ff,0xff80003f,0xffffffff,0xffffffff,0x0000511f,0x3fffff0e,
    0xff7dff90,0xfff70bff,0xffffffff,0x6d44007b,0xfffffffe,0x7fffc47f,
    0x3ee0000f,0xccccefff,0xffffdccc,0x1fffff13,0xdffff700,0x7ffe4c00,
    0x34ffffff,0xffffffff,0x500005bf,0xf03fffff,0x0007ffff,0xfffffff0,
    0xffffffff,0x0a23ffff,0xff11c000,0xfff70fff,0x0fffff31,0x3ffffff2,
    0x2effffff,0x3ffffae0,0xffffffff,0x3ffffd47,0x3fff6000,0xffffffff,
    0x54ffffff,0x200fffff,0x007ffffa,0xfffffd50,0x3fffe6bf,0x0000cfff,
    0x17ffffa0,0x777ffffc,0xeeeeeeee,0xffff86ee,0xffffffff,0x1fffffff,
    0x8e000051,0x547ffff9,0xfff11fff,0x3faa01ff,0xffffffff,0xffc82fff,
    0xcdffffff,0x7d47ffff,0x0000ffff,0x3ffffff6,0xffffffff,0xfff55fff,
    0x3fea00ff,0x220007ff,0x35fffffc,0x03dfffff,0xfffa8000,0xffff01ff,
    0xffffffff,0x30ffffff,0xfd333333,0x33333fff,0x00014433,0x3fffe638,
    0xf0bffe67,0x9801ffff,0xffffffec,0x3f60ffff,0x21bdffff,0x447ffff9,
    0x001fffff,0x3bffff20,0xcccccccc,0xff33cccc,0xf7001fff,0x3000dfff,
    0xfffffff9,0x3ffffe6b,0x0000beff,0x06ffffe8,0x3ffffffe,0xffffffff,
    0x7f4007ff,0x051007ff,0xff88e000,0xfff88fff,0x3ffffcc3,0x3ff2a200,
    0xf11fffff,0x2607ffff,0xff87ffff,0x55c02fff,0x7fffdc09,0x3fe20005,
    0xfc801fff,0x71005fff,0xfffffffd,0x3ffe27ff,0xdfffffff,0xfff30001,
    0x7ffc05ff,0xffffffff,0x07ffffff,0x03ffff40,0x70000288,0xeafffff8,
    0xfffa84ff,0x0153105f,0x9fffffd4,0x206ffffa,0xe87ffffa,0x2605ffff,
    0xf51fffff,0x0980ffff,0x17ffffa0,0x7fffff10,0xffffd980,0x0cffffff,
    0xfffffea8,0x00beffff,0x1fffff60,0xddfffff0,0xdddddddd,0xfe800ddd,
    0x051007ff,0xffb0e000,0x20bfffff,0x6c4ffffd,0x7405ffff,0xff92ffff,
    0x7fec0dff,0xfffc87ff,0xfffb00ff,0x7fffc4ff,0xdfff303f,0x7fffe439,
    0x3fff602f,0xfeb880ff,0xffffffff,0xfd9800be,0xffffffff,0x7fcc02df,
    0x9999cfff,0xfffff999,0x74000003,0x51007fff,0xf50e0000,0x20dfffff,
    0x41fffffa,0x02fffffc,0x21fffff3,0x81fffffb,0x87fffffb,0x2ffffff8,
    0x3fffff26,0x7ffffdc4,0xfffffd82,0x3ffffe20,0x3ffa60cf,0x7ec43fff,
    0xffffffff,0x910002df,0xffffffff,0x3f205dff,0xffffffff,0xffffffff,
    0x4000003f,0x1007fffe,0x20e00005,0x0bfffffd,0x27ffffdc,0x7fffffc4,
    0xfffecace,0x3ffe65ff,0xffcadfff,0x80ffffff,0xfffffffb,0xffffffff,
    0x7ffffc40,0xffffdcef,0xfffb84ff,0xffffffff,0xf986ffff,0xffffffff,
    0x2e00001c,0xfffffffe,0xffff884f,0xffffffff,0x3fffffff,0x7f400000,
    0x051007ff,0x3e60e000,0xddffffff,0x06ffffff,0x3fffffea,0xffffffff,
    0x7fffec0f,0xffffffff,0xfd01ffff,0xffffffff,0x2603ffff,0xffffffff,
    0x205fffff,0xfffffffd,0x1effffff,0xffffff98,0x000000bf,0x3fffff6a,
    0xffffc84f,0xffffffff,0x3fffffff,0x55400000,0x051002aa,0x3ea0e000,
    0xffffffff,0x01ffffff,0x7fffffd4,0x1effffff,0xfffffe88,0xffc9efff,
    0x3ff204ff,0xffffffff,0x7ff4402f,0xffffffff,0xffffb805,0x4fffffff,
    0x3bfffe60,0x40000002,0x44ffffc9,0xfffffff8,0xffffffff,0x003fffff,
    0x10000000,0x30e00005,0xffffffff,0x1bffffff,0x7fff5c00,0x402effff,
    0xffffffc8,0xdffff30c,0xffffd980,0x2000cfff,0xffffffec,0x32e2002e,
    0x2dfffffe,0x00effcc0,0x22000000,0x7fdc4ffb,0xccccdfff,0xfffccccc,
    0xf80003ff,0xffffffff,0xffffffff,0x000511ff,0x19ffd0e0,0xffffffd7,
    0x4c40005d,0x30001aaa,0x00000155,0x00013551,0x00135530,0x00155100,
    0x00000644,0x21d40000,0x006fffff,0x07fffff1,0xfffff000,0xffffffff,
    0x23ffffff,0x87000028,0xaa9885e8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1fffffdc,0xfffff880,0xcccccccd,0x22cccccc,
    0xffffffff,0xffffffff,0x00511fff,0x00020e00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x00fffffe,0xffffff10,0xffffffff,
    0x7c9fffff,0xffffffff,0xffffffff,0x999b11ff,0x99999999,0x0d999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffea00,
    0x3fe2004f,0xffffffff,0xffffffff,0x3ffffe4f,0xffffffff,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x01fffffe,0x3ffffe20,0xffffffff,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fcc0000,0x44005fff,
    0xffffffff,0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9aa99800,
    0x04d54c00,0x01510000,0x00002a60,0xee880033,0x00000eee,0x3000054c,
    0xf5001333,0xfb80ffff,0x00885fff,0xfff90080,0xffffffff,0x7c4dffff,
    0x101fffff,0x41ffffff,0x006ffffc,0x00bffff9,0x7ffffe44,0xfb10cfff,
    0x05bfffff,0x88ffffe4,0x0cfffffd,0x77fffecc,0x7fffdc0c,0x3bffff73,
    0xfffff100,0xffff3001,0x7fffedc9,0x3e2000cf,0xfa804fff,0x7dc07fff,
    0x77445fff,0x207f6000,0xfffffffc,0xffffffff,0x7ffffdc6,0xfffffb06,
    0xfffff985,0xfffff801,0xffff5002,0xffffffff,0xfffffffb,0x3f209fff,
    0xfff99fff,0x2a6fffff,0xffffffff,0x5ffffdc5,0x0ffffffa,0xfffff880,
    0xffff9800,0xffffff94,0x22003dff,0xa804ffff,0x5c07ffff,0x7f45ffff,
    0xefeda8ef,0x1fffd8bd,0x7fffffe4,0xffffffff,0xffffd86f,0x7fffd43f,
    0xffffd04f,0xffffa809,0xffff5007,0xffffffff,0xffffffff,0x90bfffff,
    0xfff9ffff,0xbfffffff,0xfffffff9,0x7fdc9fff,0xfffffdff,0xfff1005f,
    0xff3001ff,0xffffbbff,0x0dffffff,0x13fffe20,0x1ffffea0,0x4bffff70,
    0xfffffffd,0xffffffff,0x3ff20fff,0xffffffff,0x886fffff,0x11ffffff,
    0x01dfffff,0x01ffffea,0x009ffffb,0x3ffffffe,0xffffffed,0xffddffff,
    0x7e43ffff,0xdfffffff,0xfffffffe,0xffffdfff,0xfff71fff,0xffffffff,
    0x3ffe2007,0xff9800ff,0xdeffffff,0x2fffffff,0x4ffff880,0x7ffffa80,
    0x2ffffdc0,0xfffffff7,0xffffffff,0xaaa989ff,0xffdaaaaa,0xf501ffff,
    0x3f6dffff,0x7c01ffff,0xf102ffff,0x7001ffff,0x883fffff,0xeffffffe,
    0x7ffffdc0,0x3fffff20,0x7fffd42f,0x3f223fff,0xff73ffff,0xb79fffff,
    0x6664001f,0xff9800cc,0x641effff,0x804fffff,0x804ffff8,0x407ffffa,
    0x5c5ffffb,0xffffffff,0x4fffffff,0xffff9800,0x7fe402ff,0xffffdfff,
    0xfffc803f,0xffff705f,0x3b2e600b,0xffff502f,0x3ff201ff,0x3fff23ff,
    0xfffd04ff,0x3ffa0bff,0xffff74ff,0x000001ff,0x3fffe600,0xfffd00ff,
    0xfff100bf,0xfff5009f,0xfffb80ff,0xffffe85f,0xffffecff,0x7cc000ff,
    0x003fffff,0xfffffffd,0x3e600dff,0xfe80ffff,0x00002fff,0x4fffff88,
    0x97fffe20,0x207ffffc,0x00fffffc,0x2ebffff9,0x004fffff,0x3e600000,
    0x3202ffff,0x8806ffff,0xa804ffff,0x5c07ffff,0x7c45ffff,0x74c2ffff,
    0x2002ffff,0x4ffffff8,0x3fffe600,0x000fffff,0x30fffffa,0x000fffff,
    0x7ff65440,0x7fc02fff,0x3fff27ff,0x3fff206f,0x3fff206f,0xfffff75f,
    0xffff1003,0xffffffff,0x1fffffff,0x07ffffe6,0x56ffffb8,0xffffffff,
    0xffffffff,0x3ffeadff,0x7ffdc07f,0x7fffdc5f,0xbffff504,0x3fffa200,
    0xfb8005ff,0x02ffffff,0x37fffd40,0x013ffff2,0xffecb880,0xefffffff,
    0xfeeeeeee,0xff90ffff,0x7fe40bff,0x3ff205ff,0xffff75ff,0xfff1001f,
    0xffffffff,0xffffffff,0x3ffffe61,0x3fffea00,0xffffff56,0xffffffff,
    0x3eadffff,0x7dc07fff,0x7fe45fff,0x3ffa00ff,0xfffb006f,0x20001dff,
    0x06fffffe,0x3fffff00,0x007ffffc,0x7fffecc0,0xffffffff,0xffffffff,
    0x91ffffff,0x640bffff,0x3205ffff,0xff75ffff,0x3e200fff,0xffffffff,
    0xffffffff,0xffff30ff,0xffffa80f,0xffffff56,0xffffffff,0x3eadffff,
    0x7dc07fff,0x7fe45fff,0x7ffec07f,0xffffc807,0xf10000ff,0x05ffffff,
    0x9ffff900,0x017fffea,0x3fffff20,0xfffcefff,0xffffffff,0x1fffffff,
    0x409ffff9,0x205ffffc,0xf75ffffc,0x2200dfff,0xffffffff,0xffffffff,
    0xfff30fff,0xfffa80ff,0xfffff56f,0xffffffff,0x2adfffff,0x5c07ffff,
    0x7dc5ffff,0xff102fff,0xffb80dff,0x0001ffff,0x3ffffff6,0x7cc000ff,
    0xfffb6fff,0xffa8005f,0x10acffff,0x99bfffff,0x99999999,0x3fff2399,
    0x3fff204f,0x3fff205f,0xdffff75f,0x3bbba200,0xeeeeeeee,0x0eeeeeee,
    0x80fffff3,0xd56ffffa,0xffdddddd,0xdddddfff,0x3fffeabd,0x7fffe407,
    0x2ffffd45,0x04ffffb8,0x3fffffea,0x3fee0002,0x5fffffff,0xffffe800,
    0x007ffff9,0x0dffffe8,0x2fffff88,0x3fff2000,0x3fff204f,0x3fff205f,
    0xdffff75f,0x80000000,0x407ffff9,0x806ffffa,0x804ffff8,0x00fffff9,
    0x217ffffa,0x32dfffff,0x03fffff9,0x3fffffe6,0x3fe60002,0xffffffff,
    0x7fd4003f,0x4ffffeff,0x7fffc400,0xffff300f,0x9009809f,0x6409ffff,
    0x3205ffff,0xff75ffff,0x00000dff,0xffff9800,0x7fffd407,0xffff8806,
    0xffff9804,0xffff502f,0xffffd0bf,0xffffffff,0xfff301ff,0x80007fff,
    0xf9fffffe,0x000fffff,0x7ffffffc,0x7cc001ff,0xf900ffff,0x201fffff,
    0x324dfffc,0x3204ffff,0x3205ffff,0xff75ffff,0x10000dff,0x001ddddd,
    0x80fffff3,0x806ffffa,0x804ffff8,0x0ffffff8,0x7fffffd4,0x7ffffe45,
    0xffffffff,0x3fa20eff,0xcccfffff,0x1ccccccc,0x2fffffc8,0x0dfffff5,
    0xfffffc80,0xf88006ff,0xf983ffff,0x2effffff,0x27ffffd4,0x409ffff9,
    0x205ffffc,0xf75ffffc,0x0000dfff,0x01fffff1,0x0fffff30,0x06ffffa8,
    0x04ffff88,0xffffffd0,0xffffff9b,0x7ffe4bff,0xffffffff,0x0effffff,
    0xfffffff5,0xffffffff,0xfff987ff,0x7ffec5ff,0x3e6004ff,0x02ffffff,
    0xffffff00,0xffffd75b,0x9dffffff,0x1fffffff,0x027fffe4,0x40bffff9,
    0xf75ffffc,0x0000dfff,0x01fffff1,0x0fffff30,0x06ffffa8,0x04ffff88,
    0xffffff30,0xff7fffff,0x7ffdcbff,0xffffffdf,0x25ffffdf,0xfffffffa,
    0xffffffff,0x3ffe23ff,0x7fc40fff,0x2001ffff,0x07fffffe,0x3fffee00,
    0xffffffff,0xffffffef,0x2fffffff,0x027fffe4,0x40bffff9,0xf75ffffc,
    0x0000dfff,0x01fffff1,0x0fffff30,0x06ffffa8,0x04ffff88,0x3ffffea0,
    0xff89ffff,0x27fdc5ff,0x2a159975,0x3fea0eff,0xffffffff,0x3fffffff,
    0x0bfffff6,0x37ffffd4,0xfffff500,0xffd80009,0xffffffff,0xfffff70d,
    0x05ffffff,0x409ffff9,0x205ffffc,0xf75ffffc,0x0000dfff,0x01fffff1,
    0x0fffff30,0x06ffffa8,0x04ffff88,0x7fffed40,0xffff10ce,0xa800950b,
    0x7fffd40e,0xffffffff,0xf53fffff,0xd80bffff,0x004fffff,0x007ffffe,
    0x3fffea00,0xd881deff,0xcfffffff,0x9ffff900,0x2ffffe40,0x2bffff90,
    0x006ffffb,0x19999900,0xfffff300,0x6ffffa80,0x98000000,0x0000000a,
    0x00000000,0x00000000,0xaa980000,0x2a620009,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffec00,0x3ffff202,0x3fffea05,0x06a00385,0x53055554,
    0x22000355,0x55541aaa,0x00000002,0x98800000,0x99999999,0x99999999,
    0x98000009,0x201cdedc,0x003deec9,0x4cc47bb6,0x99999999,0x99999999,
    0x7d400000,0x3fa05fff,0x3f607fff,0x2fec3fff,0x5c0ffd40,0x3fe25fff,
    0xfe8001ff,0x3fff22ff,0x9ffff005,0xffed9800,0x6e4403de,0xfa80cdff,
    0xffffffff,0xffffffff,0x1bfea06f,0x7ffffe40,0xfffc84ff,0x6400ffff,
    0xfff51fff,0xffffffff,0xdfffffff,0x39dfd910,0xfffff100,0x3ffffe20,
    0xfffff01f,0x02fffec1,0xd03ffff5,0x7fdc7fff,0x7fe4006f,0x3fffe65f,
    0xffffb800,0xfff5000f,0x20bfffff,0xffffffea,0x7fffd41e,0xffffffff,
    0x06ffffff,0x2e01bfe6,0xfffeffff,0x3fffe62f,0xb306fffe,0x3ea3ffff,
    0xffffffff,0xffffffff,0x7fffd46f,0xfd803fff,0xffa81fff,0xf983ffff,
    0x3ff26fff,0xffa85fff,0x7d40ffff,0x3ffa1fff,0xfff5003f,0x3fffa23f,
    0xffffd004,0xfff1009f,0x5fffffff,0xffffff88,0x3ea0ffff,0xffffffff,
    0xffffffff,0x17fe606f,0x443bffa0,0x3ff65fff,0x887ffee6,0x1ffffffd,
    0xfffffff5,0xffffffff,0x7fc4dfff,0x2fffffff,0x27fffdc0,0x7fffffe4,
    0x3ffffc85,0x3fffffe6,0x3ffffea5,0xdfffb03f,0x00ffffd4,0xc93fffe2,
    0xa800ffff,0x07ffffff,0x713fffb8,0xffd89fff,0xffffbbff,0x3ffffea5,
    0xffffffff,0x326fffff,0x549ff11d,0x22776c1d,0x2ea65ffe,0x983ffee1,
    0x1fffefff,0xfffffff5,0xffffffff,0x7ff4dfff,0xfffeb9cf,0x3fffe200,
    0xffffff86,0xffffe87f,0x7ffffcc0,0xfffffadf,0x3ffe603f,0x1bfffa3f,
    0x21ffffb0,0x002ffffa,0xfffffffd,0xf10a6007,0x7ffc4bff,0x87fffc47,
    0xccccccc9,0xcccccccc,0x3ffe3ccc,0xfebbff9d,0xfff1004f,0x7ffe5c09,
    0x7ccefcc4,0x999931ff,0x99999999,0x2dffff99,0x7c42fff8,0x7ff402ff,
    0x3ffe60ff,0x221fffff,0xf306ffff,0xffffffff,0xf9007fff,0x3fe63fff,
    0xfff504ff,0x3fffe27f,0xffff5006,0x800dffff,0x5ffffdb9,0x3a13ffe6,
    0x00001fff,0x3ffffe60,0x6fffffff,0x0fffe880,0x217fffe0,0x07ffe608,
    0x3fffe000,0x360dff36,0x7fdc03ff,0x3ffee2ff,0x2e3fffee,0x2603ffff,
    0xffffffff,0xff1003ff,0x7ffecdff,0x7fffc41f,0x07ffff66,0x5fffff40,
    0x4c02ffff,0xfffffffd,0x0fffea5f,0x000ffff6,0xfeca8800,0xdeffffff,
    0x7fffcc03,0x3fffe202,0x7ffcc04f,0xfff80001,0x20fff36f,0x7c403ffd,
    0x3ff65fff,0x25fffccf,0x401ffffd,0xfffffff9,0x7fdc003f,0xffff14ff,
    0x7ffff41d,0x0bffff71,0x33fffe60,0x206ffff8,0xcefffffa,0x3fee5fff,
    0x3fffc83f,0x26000000,0x000dffff,0x007ffff7,0x80fffea1,0x0001fff9,
    0xf16ffff8,0xfff885ff,0x7fffe802,0x3eabfffe,0x3fffe7ff,0xffff7006,
    0xf5000dff,0x7ff4dfff,0x3fffa1ff,0x9ffff71f,0x3ffff600,0x03ffff90,
    0x4c2ffffa,0x3fe65fff,0x2fffe85f,0xddddddd5,0xdddddddd,0xfd10bddd,
    0x9005ffff,0x0003ffff,0x7cc0dffb,0xf80001ff,0x3ff66fff,0xffffb9cf,
    0xffffc800,0x88ffff99,0xff99ffff,0xffa804ff,0x05ffffff,0x87ffff40,
    0x443ffffb,0x3f66ffff,0x7cc01fff,0x3fe65fff,0xfff885ff,0x12fffdc5,
    0xff88ffff,0xffff50ff,0xffffffff,0x0dffffff,0xfff5bffd,0x77ffe403,
    0x87ffd100,0x3e607ffe,0xf80001ff,0x3fe26fff,0x2fffffff,0x7ffff300,
    0x7f4dfff7,0xffffcbff,0x7fffd401,0x05ffffff,0x27ffff70,0x706ffff8,
    0x3e25ffff,0x7ec05fff,0x7ff42fff,0x7ffc41ff,0xbfffd30f,0xaaefffd8,
    0x3ea5fffe,0xffffffff,0xffffffff,0x8fffec6f,0xfb81fffd,0xccccdfff,
    0x26bfffa3,0x2605fffc,0x80001fff,0x74c6ffff,0x03ffffff,0x6f7fffc0,
    0x3ff24fff,0x07fffedf,0x7fffffd4,0x05ffffff,0x92ffffc4,0x6c01ffff,
    0x3fee6fff,0xfff102ff,0xffff70ff,0xdffffb09,0x98dfffff,0xffffffff,
    0x3ffea1ff,0xffffffff,0x6fffffff,0xff127fdc,0xffffd03d,0x4cdfffff,
    0xffffffff,0x3ffe600e,0xfff80001,0xefdb886f,0xffc8000c,0x22ffffff,
    0xfffffffa,0x3ffea04f,0xfff9bfff,0x3f205fff,0xfff30fff,0xfff8807f,
    0x1bfff63f,0x427fffe4,0x40fffff8,0xeffffff9,0xffa86ffd,0x42ffffff,
    0xfffffffa,0xffffffff,0x0e986fff,0xfff981dc,0x6fffffff,0x7fffff54,
    0x7ffcc00d,0xfff80001,0x4000006f,0xfffffff9,0x3fffe20f,0xf302ffff,
    0x4c7fffff,0x85ffffff,0x362ffff8,0xf7005fff,0x3fe21fff,0x7ffc43ff,
    0xfff900ff,0xdffb309f,0x20333267,0x0ceffec8,0x00000000,0x55555300,
    0x20555555,0x1001abba,0x00001555,0x20000000,0x6fffffff,0xffffffe8,
    0x3fffee07,0xffff983f,0x7ffec0ef,0x03fffea4,0x24fffd80,0x320ffffa,
    0x2605ffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffff600,0xfffb84ff,0x7dc05fff,0x3fe603ff,0x7ffcc0ef,0x0bfffa0e,
    0x3ffff100,0x0027ffec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5ffffff5,0xffffff30,0x007f7005,0x99701df3,0x1e664c39,
    0x2ccca800,0x00133322,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0ffffff8,0x1ffffff0,0x09800600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffb00000,0x7fec0dff,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x02200000,0xdcba8000,0x0000002c,0x5c333331,
    0xcccccccc,0x74c0002c,0xeeeeeeee,0xeeeeeeee,0x9933eeee,0x99999999,
    0x99999999,0x00005999,0x00000000,0x00000000,0x84cccc40,0x263ccccb,
    0x911ccccc,0xd9839999,0x00beffff,0x3fe60ec4,0x7ec5ffff,0x3e206fff,
    0x3e63ffff,0x3ff67fff,0x4fffffff,0xfe89fffd,0xffff55ff,0xffffffff,
    0xffffffff,0x3fffea9f,0xffffffff,0xffffffff,0x0000004f,0x00000000,
    0x20000000,0xfd6ffffa,0x7fd4dfff,0xfff32fff,0x7ffdc7ff,0x2dffffff,
    0x54c1ffa8,0x42fffca9,0x902ffffd,0xf989ffff,0x3ff67fff,0x4fffffff,
    0xfe89fffd,0xffff55ff,0xffffffff,0xffffffff,0x3fffea9f,0xffffffff,
    0xffffffff,0x0000004f,0x00000000,0x20000000,0xfd6ffffa,0x7fd4dfff,
    0xfff32fff,0x3fff27ff,0xffffffff,0xffffddff,0x85ffe801,0xf886fffe,
    0xff985fff,0x3fff67ff,0xd4ffffff,0xffe89fff,0x9999935f,0x99999999,
    0x99999999,0x3bbbba65,0xeeeeeeee,0xeeeeeeee,0x00000003,0x00000000,
    0x2a000000,0xffd6ffff,0x7ffd4dff,0xffff32ff,0x3ffff67f,0xffffffff,
    0x1fffffff,0x42fffc40,0x5c1fffe8,0xff305fff,0x7ffecfff,0xd4ffffff,
    0xffe89fff,0x0000005f,0x00000000,0x00000000,0x00000000,0x3ffea000,
    0xdffffd6f,0x97ffffd4,0xb3fffff9,0xffd9dfff,0xffffffff,0x33221fff,
    0x2ffffdbb,0xe8bffd10,0x3fe606ff,0x3332e7ff,0x72cccccc,0xbbb85777,
    0x0000002b,0x00000000,0x00000000,0x00000000,0x3ffea000,0xbffffd6f,
    0x8fffffd4,0xb2fffff9,0xffb5017f,0x3dffffff,0x7fffffcc,0x664403ff,
    0x0199910c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32bff000,0x3e24ffff,0x3fe0ffff,0x00391fff,0x7bfffd71,0x9bddb910,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf74ff980,0xfff87fff,0x7ffff47f,0x000c0000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x263ff900,0x7ec1ffff,
    0x7ffe45ff,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf89ffd30,0x7fe40fff,0x2fffdc4f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x4cc0effb,0x09998819,0x0004ccc4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xe8800000,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_43_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_43_latin1_y[224]={ 34,6,6,5,4,5,5,6,5,5,5,10,28,21,
28,5,6,6,6,6,6,6,6,6,6,6,14,14,9,13,9,6,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,38,5,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,6,14,14,14,14,14,14,5,5,5,16,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,14,6,5,10,6,
5,5,5,5,5,15,13,21,5,1,5,8,6,6,5,14,6,17,34,6,5,15,6,6,6,14,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,5,5,5,
5,6,5,5,13,13,5,5,5,5,5,5,5,5,6,6,5,5,5,6,5,10,12,5,5,5,5,5,6,5,
 };
static unsigned short stb__arial_bold_43_latin1_w[224]={ 0,7,15,21,19,32,27,7,10,10,15,20,6,11,
7,12,19,13,20,19,21,20,20,19,19,19,7,6,20,20,20,21,37,28,24,25,24,22,20,27,23,7,19,26,
21,28,23,28,22,29,26,23,23,23,27,37,26,27,23,11,12,11,19,23,10,20,21,20,21,19,14,21,19,7,
10,20,7,30,19,22,21,21,14,20,13,19,21,30,22,21,19,13,5,14,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,20,21,21,22,
5,20,13,30,14,19,20,11,30,23,13,21,12,13,10,19,23,7,11,9,14,19,31,31,32,21,28,28,28,28,
28,28,39,25,22,22,22,22,10,10,13,13,27,23,28,28,28,28,28,19,28,23,23,23,23,27,22,21,20,20,
20,20,20,20,32,20,19,19,19,19,10,9,13,13,22,19,22,22,22,22,22,21,22,19,19,19,19,21,21,21,
 };
static unsigned short stb__arial_bold_43_latin1_h[224]={ 0,28,11,30,34,31,30,11,38,38,15,21,13,6,
6,30,29,28,28,29,28,29,29,28,29,29,20,27,22,15,22,28,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,16,4,7,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,29,21,20,20,20,29,20,38,38,38,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,36,30,21,28,
38,38,6,30,16,18,14,6,30,4,13,26,15,15,7,28,36,7,8,15,16,18,30,30,30,28,35,35,35,34,
34,34,28,37,35,35,35,34,35,35,35,34,28,34,36,36,36,35,35,19,31,36,36,36,35,35,28,30,30,30,
30,29,30,30,22,29,30,30,30,30,29,29,29,29,29,28,30,30,30,29,30,21,24,30,30,30,30,38,36,38,
 };
static unsigned short stb__arial_bold_43_latin1_s[224]={ 252,235,8,61,91,199,33,24,77,23,163,
122,1,96,88,240,23,66,41,64,176,43,84,156,119,159,248,243,235,142,214,
1,129,103,210,226,89,136,45,85,132,243,139,62,114,159,188,144,1,169,169,
61,224,1,196,131,104,76,52,216,237,204,92,122,66,129,121,150,166,171,92,
173,1,239,193,198,247,34,102,191,48,70,65,108,105,143,228,1,205,188,185,
115,109,62,32,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,
63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,63,252,235,129,
1,163,80,56,88,108,113,112,72,216,96,195,146,237,41,179,192,77,21,228,
248,54,206,127,52,1,205,172,23,53,1,203,140,62,111,1,167,93,232,30,
1,82,130,116,48,24,24,150,25,100,141,170,32,1,54,1,179,199,223,212,
30,52,73,94,179,135,156,1,200,152,1,21,41,235,246,107,221,143,219,197,
129,106,25,83,80,85,177,115,232,220,34,78,1, };
static unsigned short stb__arial_bold_43_latin1_t[224]={ 1,332,463,180,113,113,211,463,1,1,442,
419,463,462,462,148,242,303,332,242,303,242,242,303,242,242,361,332,390,442,390,
303,1,303,273,211,332,332,303,211,303,273,242,332,332,332,332,211,361,113,361,
211,361,273,361,361,361,361,361,1,180,1,442,462,462,390,273,390,273,390,273,
211,332,303,1,303,303,419,419,390,273,273,419,390,242,419,419,442,419,273,419,
1,1,1,462,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,1,273,40,
242,419,303,1,1,462,211,442,442,442,462,211,462,442,390,442,442,462,332,1,
382,462,442,442,442,211,180,180,303,77,77,40,113,113,113,390,1,77,40,77,
113,77,77,77,113,361,113,40,40,40,77,77,442,148,40,40,40,77,77,332,
148,148,148,148,242,148,148,419,242,180,180,180,180,242,242,273,242,273,303,148,
180,180,273,180,419,390,148,148,113,148,1,40,1, };
static unsigned short stb__arial_bold_43_latin1_a[224]={ 171,205,292,342,342,548,445,146,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,205,205,360,360,360,376,600,445,445,445,445,411,376,479,
445,171,342,445,376,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,205,171,205,360,342,205,342,376,342,376,342,205,376,
376,171,171,342,171,548,376,376,376,376,240,342,205,376,342,479,
342,342,308,240,172,240,360,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,171,205,342,342,342,342,172,342,
205,454,228,342,360,205,454,340,246,338,205,205,205,355,342,171,
205,205,225,342,514,514,514,376,445,445,445,445,445,445,616,445,
411,411,411,411,171,171,171,171,445,445,479,479,479,479,479,360,
479,445,445,445,445,411,411,376,342,342,342,342,342,342,548,342,
342,342,342,342,171,171,171,171,376,376,376,376,376,376,376,338,
376,376,376,376,376,342,376,342, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_43_latin1(stb_fontchar font[STB_FONT_arial_bold_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_43_latin1_s[i] + stb__arial_bold_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_43_latin1_t[i] + stb__arial_bold_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_43_latin1_x[i];
            font[i].y0 = stb__arial_bold_43_latin1_y[i];
            font[i].x1 = stb__arial_bold_43_latin1_x[i] + stb__arial_bold_43_latin1_w[i];
            font[i].y1 = stb__arial_bold_43_latin1_y[i] + stb__arial_bold_43_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_43_latin1_s[i] + stb__arial_bold_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_43_latin1_t[i] + stb__arial_bold_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_43_latin1_x[i] + stb__arial_bold_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_43_latin1_y[i] + stb__arial_bold_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_43_latin1_LINE_SPACING
#endif

