// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT        557
#define STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_47_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_47_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_47_latin1_LINE_SPACING          31

static unsigned int stb__arial_bold_47_latin1_pixels[]={
    0x85999910,0x202cccc9,0x00099999,0xccb80000,0x32602ccc,0x200001cc,
    0x99999998,0x00019999,0x026b2ea2,0x2ea62000,0x33000abc,0x33333333,
    0x05999300,0x06665cc0,0x33333333,0x9abcc833,0x99993000,0x4ccccc01,
    0xffff3000,0x3ffffb89,0x9fffff10,0x88000000,0x406fffff,0x8006fff8,
    0xfffffeb8,0xffffffff,0x91000fff,0xfffffffd,0x2e0009df,0xffffffff,
    0x7fffc01d,0x01ffffff,0x4007fff4,0x1fffffea,0xfffffff3,0xffff8fff,
    0xffa803ff,0xfff100ff,0x3e6009ff,0x7fdc4fff,0xfff103ff,0x000009ff,
    0xeffffc80,0x4fffd800,0x3ffff200,0xffffffff,0x0fffffff,0xffffe980,
    0xffffffff,0xffd1002e,0xffffffff,0x7fffc09f,0x01ffffff,0x2017ffea,
    0xfffffffc,0xffffff31,0xfff8ffff,0x5406ffff,0xf100ffff,0x2009ffff,
    0x5c4ffff9,0xf103ffff,0x0009ffff,0xffff8000,0xfff5000e,0xfff9003f,
    0xffffffff,0xffffffff,0xfffc801f,0xffffffff,0x00dfffff,0x7fffffec,
    0x3fffffff,0xfffffff0,0x7f403fff,0x7fcc02ff,0x31ffffff,0xffffffff,
    0xfffff8ff,0x3ea02fff,0xff100fff,0x26009fff,0x7dc4ffff,0xff103fff,
    0x00009fff,0x7fffdc00,0x7fff4000,0x7fffdc05,0xffffffff,0xffffffff,
    0xfffd100f,0xffffffff,0xbfffffff,0x7ffffdc0,0xfffffeff,0xffff81ff,
    0x01ffffff,0xb00ffff7,0xffffffff,0x3ffffe63,0x7fc7ffff,0x06ffffff,
    0x403fffea,0x04fffff8,0x83555510,0x101aaaa8,0x009fffff,0x7ff40000,
    0xffb8001f,0xfff101ff,0xffffffff,0xffffffff,0x3f201fff,0xefffffff,
    0xfffffedc,0xffb03fff,0x32217fff,0xf85fffff,0xaaadffff,0x7ffff00a,
    0xffffff00,0x55544559,0x47ffffda,0xfffffbaa,0xffff501f,0x3fffe201,
    0x0000004f,0x9fffff10,0x22000000,0x10001ccc,0x2a0bffff,0xffffffff,
    0xf999ffff,0x3019efff,0x5fffffff,0x3ffff620,0xfff80fff,0xfffd06ff,
    0xfffff0ff,0x3ffee007,0x7ffc400f,0x3ee002ff,0x3e607fff,0xf502ffff,
    0x4cc01fff,0x00000999,0xffff1000,0x0000009f,0xffd00000,0xfff901ff,
    0xffffffff,0x06ffff8f,0x77fffff4,0xffffc800,0xffff83ff,0xcdeb80ff,
    0x7fffc0ab,0xfff8803f,0xfff8806f,0x3ee001ff,0x7fc07fff,0xff502fff,
    0x000001ff,0x3e200000,0x3304ffff,0x00000000,0x13fffee0,0x3ffffffa,
    0x7c7fffff,0x3ea06fff,0x000fffff,0x1bfffff6,0x13fffff6,0xfffff800,
    0xffffc803,0xffff9803,0x3fee000f,0x7ff407ff,0xfff502ff,0x2e00001f,
    0x003eeeee,0x27ddddd5,0x24fffff8,0x3dffffda,0x777775c0,0xdddd5003,
    0xffff307d,0xffffff0f,0x8fffffff,0x3e06ffff,0x004fffff,0x1677ffd4,
    0x7fffffd4,0xfff8000d,0xfff803ff,0xff9801ff,0x7dc007ff,0x7f407fff,
    0xff503fff,0x3ba201ff,0xff303eee,0x3600dfff,0xf11fffff,0x3f69ffff,
    0xefffffff,0xfffff300,0x3fff600d,0xfffd01ff,0xffffe83f,0x7fffffff,
    0x8837fffc,0x00ffffff,0xfb001b80,0x05ffffff,0x3fffff80,0x3ffffcc0,
    0x7ffff980,0x7fffdc00,0x7ffff407,0x1ffff503,0x3ffffe20,0x3ffffa04,
    0xffff801f,0x3fffe26f,0xfffffedf,0x01ffffff,0x03fffffd,0x0dfffff0,
    0x227fffec,0xfffffffd,0x7fc7ffff,0xfff506ff,0x00000bff,0xffffff30,
    0x3e001bff,0x5c03ffff,0x3005ffff,0x800fffff,0x407ffffb,0x503ffffd,
    0x2201ffff,0x204fffff,0x03fffffb,0x1fffffd4,0xfffffff1,0xffffffff,
    0x3ee0dfff,0x5403ffff,0x203fffff,0x5c6ffffc,0xffffffff,0x7ffc7fff,
    0xffff706f,0x8000009f,0xffffffe8,0xf802ffff,0x6c03ffff,0x5004ffff,
    0x800fffff,0x407ffffb,0x503ffffd,0x2201ffff,0x204fffff,0x06fffff8,
    0x07ffffe4,0xfffffff1,0xffb5339f,0xf107ffff,0xc80dffff,0x200fffff,
    0x20fffffb,0xfffffff8,0x7fc7ffff,0xfff906ff,0x000007ff,0x7fffff44,
    0xdfffffff,0x3ffffe00,0x3fffe203,0xfff5003f,0xffb800df,0x7fe407ff,
    0xfff504ff,0x3ffe201f,0x7fec04ff,0x3fe01fff,0x7fc45fff,0x702fffff,
    0x01ffffff,0x03fffffb,0x02fffffc,0x0bffffea,0xfffffff5,0xfff8ffff,
    0xffffb06f,0x4000005f,0xfbeffffe,0xffffffff,0x7fffff01,0x7ffffcc0,
    0xffffb002,0xfffb8009,0x7ffe407f,0xffff506f,0x3fffe201,0x7ffd404f,
    0xfff503ff,0xfff885ff,0x7ec04fff,0xfa83ffff,0xf503ffff,0x9805ffff,
    0xc83fffff,0xffffffff,0x37fffc7f,0x1fffffe8,0xff100000,0x3fa61fff,
    0x1fffffff,0x03fffff8,0x07ffffea,0x1fffffc0,0x3fffee00,0x7fffcc07,
    0xffffa82f,0xfffff100,0xfffff009,0x3ffff20d,0x7fffc40f,0x7fcc00ff,
    0xfff04fff,0x3ff20dff,0x7c400fff,0xd303ffff,0xffffffff,0xf06ffff8,
    0x005fffff,0x3ffea000,0xffffc84f,0x7fc0ffff,0x3ee03fff,0xd800ffff,
    0x001fffff,0x03ffffdc,0x077ffff4,0x403fffea,0x04fffff8,0x0fffffc8,
    0x84fffff8,0x06fffff8,0x0bfffff0,0x03fffff2,0x013ffffe,0x027ffffc,
    0x3ffff2e6,0x837fffc7,0x03fffffe,0xfff90000,0x3ffea09f,0x7fc6ffff,
    0x3f203fff,0x32a07fff,0x05fffffe,0x7ffffb80,0xfffffb80,0xffff53df,
    0x3fffe201,0xfff9804f,0x7ffcc3ff,0xfff881ff,0xfff005ff,0x3fe60dff,
    0x7fcc3fff,0xfd001fff,0x7c00bfff,0x7ffc7fff,0xffff906f,0x2000007f,
    0x207ffffd,0xffffffe8,0x0fffffe2,0x07ffffc8,0x3ffffff6,0xffb8000f,
    0xfd8807ff,0xf57fffff,0x3e201fff,0xd004ffff,0xfc8dffff,0xff107fff,
    0x3a009fff,0x3a07ffff,0x7e46ffff,0x3a007fff,0x2005ffff,0x7fc7ffff,
    0xfff706ff,0x000009ff,0x13fffff2,0x9fffff90,0x01fffffc,0x40dffffb,
    0x0efffffd,0xffff7000,0x7ffec00f,0xffff57ff,0x3fffe201,0xfff7004f,
    0x7fffc1ff,0xffff104f,0x3ff6009f,0x3fee07ff,0x3ffe0fff,0x3f6004ff,
    0x3e005fff,0x7ffc7fff,0xffff506f,0x37a000bf,0xffffa80a,0x7fec04ff,
    0x3fffe6ff,0x3fff603f,0x3fff605f,0x2e0004ff,0x2007ffff,0x57fffffb,
    0x2201ffff,0x004fffff,0x27fffff1,0x01fffff9,0x0bfffff1,0x1fffffa0,
    0x3fffff88,0x03fffff3,0x2ffffec0,0x8fffff00,0xf306ffff,0x001fffff,
    0x3dffff98,0x7ffffff4,0xffff300e,0x1fffffcd,0x0dffffb0,0x7fffffec,
    0xffb8000d,0xff9007ff,0x3eafffff,0xff100fff,0x6c009fff,0xff96ffff,
    0x7fc40dff,0xff006fff,0xfd80bfff,0xfff96fff,0xffe800df,0x3fe004ff,
    0x7fffc7ff,0x3ffffe06,0x7fe4004f,0x7fd46fff,0x83ffffff,0x3e3ffff9,
    0x3203ffff,0x2e07ffff,0x4fffffff,0xffffb800,0xffffa807,0xfff54eff,
    0x3ffe201f,0x3ea004ff,0xfff9ffff,0x3fe203ff,0x4c01ffff,0x404fffff,
    0xf9fffffa,0x4003ffff,0x004ffffe,0xff1ffffe,0x7fdc0dff,0x3000ffff,
    0x07ffffff,0xfffffff7,0x7ffec1bf,0x3ffffe1f,0x3fffee03,0xfffe9807,
    0x7dc000ff,0xfe807fff,0x7d41ffff,0xff100fff,0xf8009fff,0xfffdffff,
    0x3fe200ff,0x6c04ffff,0x803fffff,0xffdfffff,0x7c000fff,0x2003ffff,
    0x7fc7ffff,0x7ff406ff,0x4401efff,0x0ffffffe,0xffffff70,0xfff75fff,
    0xfffff8df,0x3fffee03,0xfffa800f,0x7dc003ff,0x7cc07fff,0xfa82ffff,
    0xff100fff,0xc8009fff,0xffffffff,0x7ffc405f,0xf503ffff,0x001fffff,
    0xfffffff9,0xf8800bff,0x2001ffff,0x7fc7ffff,0x7fcc06ff,0x80bfffff,
    0xfffffffa,0x7fff4c04,0xffffffff,0x7fffc0ff,0x3ffe603f,0xffb000ff,
    0xfb8009ff,0x7d407fff,0xff507fff,0x3fe201ff,0x4c004fff,0xffffffff,
    0x7ffc402f,0x8adfffff,0xffffffc9,0xffff3003,0x005fffff,0x07ffff98,
    0x23ffffc0,0xd806ffff,0xffffffff,0xfffffedf,0x8800efff,0xfffffffd,
    0xff81ffff,0x7fc03fff,0xf7001fff,0xb800bfff,0x6407ffff,0xf504ffff,
    0x3e201fff,0x8004ffff,0xfffffffe,0xffff8807,0xffffffff,0x0fffffff,
    0x3ffffa00,0xb8007fff,0x4006ffff,0x7fc7ffff,0xfe8806ff,0xffffffff,
    0xffffffff,0x7fd4001f,0x2fffffff,0x07fffff0,0x02ffffd8,0x0dffff50,
    0x7ffffb80,0x1ffffec0,0x00ffffa8,0x09fffff1,0xfffff700,0xff1009ff,
    0xfffdbfff,0xffffffff,0xfffb8005,0x8004ffff,0x004ffffc,0x3e3ffffc,
    0x32006fff,0xffffffff,0xffffffff,0xffb10001,0x01dfffff,0x807fffff,
    0x005ffffb,0x00fffff5,0x07ffffb8,0x81ffffec,0x100ffffa,0x009fffff,
    0xffffff10,0xfff1003f,0xfffb19ff,0x03dfffff,0xfffff100,0xfd0003ff,
    0xf8003fff,0x7ffc7fff,0x7f4c006f,0xffffffff,0x0001dfff,0xffffffa8,
    0xfffff85f,0x7fffcc03,0xffff3007,0xfffb800f,0x7ffec07f,0xffff503f,
    0x3fffe201,0xffb0004f,0x2200dfff,0x324fffff,0x0dffffff,0x3fff6000,
    0xf88006ff,0xf8006fff,0x7ffc7fff,0xdb88006f,0xfffffffe,0x4400001d,
    0x0ffffffd,0x01fffffc,0x00fffffc,0x03ffffcc,0x1ffffee0,0x07ffffd0,
    0x403fffea,0x04fffff8,0xfffff900,0x3ffe2007,0x0aa884ff,0xfff90000,
    0xf50007ff,0xf0007fff,0xfff8ffff,0x5cc0006f,0x0001dffe,0x3ff60188,
    0x7ffc2fff,0xffc803ff,0xff9803ff,0x7dc007ff,0x7f407fff,0xff502fff,
    0x3fe201ff,0x88004fff,0x00ffffff,0x9fffff10,0xf1000000,0x001fffff,
    0x01ffff90,0x8fffff00,0x0006ffff,0x3fffffe2,0x76d4003f,0xff302fff,
    0xfff89fff,0xff8803ff,0xff9805ff,0x2e000fff,0x7c07ffff,0xf502ffff,
    0x3e601fff,0x8004ffff,0x06fffffc,0x3ffffe20,0xc8000004,0x006fffff,
    0x00dffff0,0xf1ffffe0,0x4000dfff,0xfffdbbd9,0x3fe6001f,0xff306fff,
    0xfff87fff,0xffb003ff,0xfff100ff,0x7dc005ff,0x3e207fff,0xf502ffff,
    0x3ee01fff,0x4003ffff,0x2ffffffb,0x3fffe200,0x4000004f,0x2ffffffb,
    0xffff9800,0xffff0002,0x06ffff8f,0x7ffdc000,0x7fffc004,0x3f620bff,
    0x7fc2ffff,0xf5003fff,0xff005fff,0x0135ffff,0x47ffffb8,0xffffe998,
    0xffff501f,0x7ffee641,0x3e602fff,0xffffffee,0x7fc4006f,0x00004fff,
    0x3fffbbe6,0x0006ffff,0x000dfff9,0x3e3ffffc,0x00006fff,0x0027ffd4,
    0x3ffffff2,0xfffffddf,0x7fffc0ff,0x01ffffff,0xd00bfffd,0xffffffff,
    0x3ffffe63,0x7fc7ffff,0x0fffffff,0x21ffff50,0xfffffff8,0x3fe201ff,
    0xffffffff,0x7ffc4002,0x200004ff,0xfffffff8,0x88002fff,0x0001ffff,
    0xff1ffffe,0x11000dff,0x2fffeb88,0xffffd800,0xffffffff,0xffff82ff,
    0x01ffffff,0x801ffff3,0xfffffffa,0xfffff31f,0xff8fffff,0x04ffffff,
    0x543fffea,0xffffffff,0xfffff806,0x8004ffff,0x04fffff8,0x7fffc000,
    0x004fffff,0x00bfff70,0x47ffff80,0x8006ffff,0xfffffffb,0xd10005ff,
    0xffffffff,0x3e09ffff,0xffffffff,0x3fff601f,0xffffe803,0xfff31fff,
    0x8fffffff,0xffffffff,0x3fffea00,0xffffff90,0xffd001ff,0x007fffff,
    0x3ffffe20,0x7f400004,0x03ffffff,0x03fffe00,0xfffff000,0x006ffff8,
    0xffffffb8,0xb80002ef,0xffffffff,0x3ffe01ef,0x1fffffff,0x01fffe20,
    0x7fffffe4,0xffffff31,0xfff8ffff,0x5400cfff,0xffb0ffff,0x005fffff,
    0x2f37bb2e,0x4ccc0000,0x40000099,0x0bcdeecb,0x3bba6000,0x99980003,
    0x04cccc19,0x66554400,0x800001ab,0x2bceecba,0xaaaaaa80,0x5c00aaaa,
    0x71001eee,0x2a23dd99,0xaaaaaaaa,0x0e6f7742,0x0eeee980,0x037bdb75,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa9880000,0x09aaccca,0x33326000,0x3bb2000c,
    0x00001eee,0x3bbbbb20,0x00000001,0x26000000,0x007fffff,0x65c00000,
    0x7ffe4002,0x000004ff,0x7ffffec0,0x40000004,0xffffffc9,0x2dffffff,
    0xffffa800,0xffff5000,0x00000dff,0x3fffffea,0x22000006,0xfe81cefb,
    0xfa800007,0x0003ffff,0x1bfa0000,0x3ffff600,0x0000000f,0x09fffff1,
    0x2e200000,0xfffffffe,0xffffffff,0x3ea004ff,0xf8800fff,0x4fffffff,
    0x7fc40000,0x04ffffff,0xfff98000,0xfcacefff,0x5000006f,0x000dffff,
    0x3fe20000,0xfffb0004,0x0000007f,0x017ffff2,0x7fdc0000,0xffffffff,
    0xffffffff,0xa801efff,0xe800ffff,0xfffcefff,0x3a00001f,0xfffcefff,
    0x7400001f,0xffffffff,0x0005ffff,0x3fffee00,0x80000002,0x20001ffb,
    0x0007fffe,0xffff8800,0x88000005,0xfffffffd,0xba99aacc,0xfffffedc,
    0x7ffd404f,0x7ffdc00f,0x1dfffb0f,0xfff90000,0x3bfff61f,0x3fe00000,
    0xffffeccf,0x00001fff,0x037ffdc0,0x7ec00000,0x7f440007,0x000003ff,
    0x0037ffdc,0x7ff4c000,0x8002dfff,0x4fffffe9,0x03fffea0,0x22ffff98,
    0x005fffe8,0x17fffcc0,0x009fffd1,0x117fe200,0x0019ffd7,0x3ff20000,
    0x0000001f,0x00013fe2,0x001bffa2,0x1dfff000,0xf9800000,0x000cffff,
    0xfffffa80,0x1ffff502,0x40cccc40,0x00019998,0x440cccc4,0x00001999,
    0x00100266,0x33300000,0x40000001,0x00002ffa,0x00003331,0x00099980,
    0xfffe8000,0x4400003f,0xa81ffffc,0x3330ffff,0x33000333,0x20003333,
    0x09accaa9,0xa9800000,0x0009acca,0xcaa98000,0x000009ac,0x7fecccc0,
    0x26666600,0x99998001,0x55300019,0x00013599,0x3ffff900,0xd0001100,
    0xff50dfff,0x3fffe1ff,0x7fc000ff,0x22007fff,0xffffffec,0x0003dfff,
    0x3fffb220,0x3dffffff,0x3b220000,0xffffffff,0x980003df,0xffffffec,
    0x3fffe00e,0x7fc000ff,0x22007fff,0xffffffec,0x0003dfff,0x00ffffa8,
    0xbfffd951,0x8f777745,0x541ffff8,0xfff0ffff,0xf8001fff,0x7007ffff,
    0xffffffff,0x3dffffff,0xfffb8000,0xffffffff,0x0001efff,0x7fffffdc,
    0xffffffff,0xff90001e,0xffffffff,0x3fffe05f,0x7fc000ff,0xf7007fff,
    0xffffffff,0x03dfffff,0x3fffe200,0xfffff303,0xff35ffff,0x7fdc1fff,
    0x7fffd44f,0x1ffffff0,0xfffff800,0x7ffec407,0xffffffff,0x03ffffff,
    0xffffd880,0xffffffff,0x003fffff,0xfffffd88,0xffffffff,0x2003ffff,
    0xffffffe9,0x4fffffff,0x0ffffff8,0x7ffffc00,0x7ffec407,0xffffffff,
    0x03ffffff,0x06fffb80,0xfffffff3,0xfffdffff,0x1fffd0ff,0xf87fffd4,
    0x000fffff,0x03fffffc,0xfffffff1,0xffffffff,0x01dfffff,0x3ffffe20,
    0xffffffff,0xefffffff,0xffff1000,0xffffffff,0xffffffff,0xfffd001d,
    0xffffffff,0xff85ffff,0x4000ffff,0x207fffff,0xfffffff8,0xffffffff,
    0x00efffff,0x203fffa0,0xcffffff9,0xffffffeb,0xfffc85ff,0x43fffea2,
    0x00ffffff,0x3fffffc0,0xffffffd0,0xffb9bfff,0x9fffffff,0x3ffffa00,
    0xdcdfffff,0xffffffff,0xfffd004f,0x9bffffff,0xfffffffb,0xffb809ff,
    0xfaacffff,0x46ffffff,0x00ffffff,0x3fffffc0,0xffffffd0,0xffb9bfff,
    0x9fffffff,0x17ffe600,0x37ffffe6,0x7ffff540,0xfffa84ff,0x43fffea3,
    0x00ffffff,0x3fffffc0,0xffffffb8,0xffb100cf,0x803fffff,0xfffffffb,
    0xfffb100c,0xb803ffff,0xcfffffff,0xffffb100,0x3e203fff,0x2e1fffff,
    0xfffffeff,0x3fffffe2,0x7fffc000,0xffff707f,0x22019fff,0xfffffffd,
    0x2fffc801,0x06ffffd8,0x3fffffe6,0x24fff982,0xff0ffffa,0x8001ffff,
    0x987fffff,0x2fffffff,0xfffff500,0x7ffcc0df,0x5002ffff,0x0dffffff,
    0x7fffffcc,0xfff5002f,0x3f20dfff,0x7ec3ffff,0x4effff9f,0x03fffffe,
    0xffffff00,0xffffff30,0x3fea005f,0xf806ffff,0xfff987ff,0x7ff402ff,
    0xfff00fff,0x87fffd4b,0x00ffffff,0x3fffffc0,0x7fffffec,0x7ffd4001,
    0xffb03fff,0x8003ffff,0x3ffffffa,0xffffffb0,0xfffa8003,0xffd83fff,
    0x3fe20fff,0xff013774,0x8001ffff,0xd87fffff,0x01ffffff,0x7ffffd40,
    0x3ffe203f,0x5ffffd84,0x7ffffd80,0xc997ffe0,0xffff0ccc,0xff8001ff,
    0x7fc47fff,0x0005ffff,0x0ffffffb,0xbffffff1,0x3fff6000,0xfff887ff,
    0xb0005fff,0xd0ffffff,0xfa8dffff,0xffff002f,0xff8001ff,0x7fc47fff,
    0x0005ffff,0x0ffffffb,0x2617ffcc,0x800fffff,0x305ffffc,0x3e009fff,
    0x000fffff,0x23fffffc,0x0ffffffa,0xffff3000,0xfffa83ff,0x30000fff,
    0x83ffffff,0x0ffffffa,0xffff3000,0xffff83ff,0x003fe45f,0x01ffffff,
    0x7fffff80,0x7fffffd4,0xfff30000,0x3ea03fff,0x7ffdc2ff,0xfffd007f,
    0x3ffee07f,0xfffff002,0xfff8001f,0x7ffec7ff,0x740005ff,0x6c2fffff,
    0x005fffff,0x7fffff40,0x7ffffec2,0x7ff40005,0x3fe22fff,0x2ffc5fff,
    0xffffff00,0xffff8001,0x7fffec7f,0x7f40005f,0xf702ffff,0xfffc83ff,
    0xffff005f,0x3fff603f,0xfffff001,0xfff8001f,0x7fff47ff,0x640003ff,
    0x743fffff,0x003fffff,0x7ffffe40,0x7fffff43,0x7fe40003,0x3fe63fff,
    0x3fe65fff,0x3fffe003,0x7fc000ff,0x7ff47fff,0x40003fff,0x03fffffc,
    0xfd81fff9,0xf8804fff,0xff00ffff,0x3fe001ff,0x4000ffff,0x7c7fffff,
    0x002fffff,0x7ffffdc0,0x7fffffc4,0x7fdc0002,0x7ffc4fff,0x40002fff,
    0x24fffffb,0x26fffff8,0x3e000ffc,0x000fffff,0x23fffffc,0x02ffffff,
    0x7fffdc00,0x0fffb04f,0x005ffffd,0x20dffff5,0x2006fff9,0x00ffffff,
    0x3fffffc0,0x07fffffe,0xffff5000,0xfffff8df,0x7d40001f,0x7fc6ffff,
    0x0001ffff,0x37ffffd4,0xe9fffffe,0xff00c46f,0x8001ffff,0x7c7fffff,
    0x001fffff,0x7ffffd40,0x81fff906,0x802fffff,0x884ffffe,0x2001ffff,
    0x00ffffff,0x3fffffc0,0x1ffffff1,0xfff98000,0x3ffe27ff,0x40000fff,
    0x27fffff9,0x0ffffff8,0x7ffcc000,0x7fff47ff,0x44ff89ff,0xf0bdeffc,
    0x001fffff,0x27fffff8,0x0ffffff8,0x7ffcc000,0xfff707ff,0x3ffffe83,
    0x7ffffd40,0x85fffe83,0xff0aaaa8,0x8001ffff,0x227fffff,0x00ffffff,
    0x7fffd400,0x3fffe27f,0x540000ff,0x227fffff,0x00ffffff,0x7fffd400,
    0x7fffdc7f,0x7c1ffbdf,0x3fe7ffff,0x4000ffff,0x227fffff,0x00ffffff,
    0x7fffd400,0x5fff507f,0x04ffffd8,0x0ffffff4,0x207ffff6,0xff0ffffa,
    0x8001ffff,0x7c7fffff,0x001fffff,0x7ffffdc0,0x7fffffc6,0x7fdc0001,
    0x7ffc6fff,0x40001fff,0x46fffffb,0xeffffff8,0x7fffe47f,0x3ffffe4f,
    0x7ffc000f,0x7fffc7ff,0x5c0001ff,0x306fffff,0xffb89fff,0xff700fff,
    0x7dc1ffff,0xff504fff,0x3fffe1ff,0x7fc000ff,0x7ff47fff,0x40002fff,
    0x44fffffc,0x02fffffe,0x7fffe400,0x7ffff44f,0x7e40002f,0xfd84ffff,
    0x9dffffff,0xffffffec,0x3fffffe1,0x7fffc000,0x7ffff47f,0x7e40002f,
    0x3e04ffff,0x7ffc47ff,0x3f223eff,0xbbffffff,0x205fffff,0xfd0ffffa,
    0x4001ffff,0x47fffff8,0x03fffffc,0x7fffec00,0x7fffe43f,0x7ec0003f,
    0x7e43ffff,0x0003ffff,0x1fffffec,0x7fffffc4,0xffffffff,0x7fff44ff,
    0x3e2000ff,0x7e47ffff,0x0003ffff,0x1fffffec,0xb85fff90,0xefffffff,
    0xffffffff,0x6fffffff,0x87fffd40,0x00fffffe,0x3ffffe20,0x7ffffdc7,
    0x7ff40005,0x7fdc2fff,0x40005fff,0x42fffffe,0x05fffffb,0x7ffff400,
    0xffff502f,0xffffffff,0xfffd0bff,0x7c4001ff,0x7dc7ffff,0x0005ffff,
    0x17fffff4,0xd0dfff30,0xffffffff,0xfffffdff,0x009fffff,0x3a1ffff5,
    0x001fffff,0x1bffffe6,0x3ffffff5,0x3ffea000,0x7fd41fff,0x0001ffff,
    0x3ffffff5,0xffffffa8,0xfff50001,0x74c03fff,0xffffffff,0xfe80dfff,
    0x2001ffff,0x46fffff9,0x1ffffffa,0xffff5000,0xffe803ff,0xffffb82f,
    0xfe8aefff,0x1effffff,0x1ffff500,0x0ffffff6,0xfffffa80,0x7ffffc45,
    0xffd0006f,0xff10ffff,0x000dffff,0x1ffffffa,0x3fffffe2,0xfffd0006,
    0x3f600fff,0xdfffffff,0x3ffff601,0x3fea003f,0x7fc45fff,0x0006ffff,
    0x0ffffffd,0x03ffff70,0x17bdfb93,0x5ef7f64c,0x23555301,0xf70ffffa,
    0x001fffff,0x13fffffa,0x3ffffff2,0x7ffdc002,0xff903fff,0x8005ffff,
    0x3ffffffb,0xffffff90,0xfffb8005,0xf9003fff,0x0035557f,0x3fffffee,
    0xffffd000,0xffff909f,0xfb8005ff,0x003fffff,0x001ffffb,0x3fea0000,
    0xffff51ff,0x3ffffea1,0xfffa805f,0xff883fff,0x003fffff,0xdffffff9,
    0x7ffffc40,0xff9003ff,0x440dffff,0x3fffffff,0xfffff900,0x2ffc00df,
    0xffff5000,0xff500bff,0xf107ffff,0x07ffffff,0x3fffff20,0x3fe2006f,
    0x00001eff,0x27fffdc0,0x741ffff5,0x0cffffff,0xffffff70,0x7fffd40f,
    0x4409dfff,0xffffffe9,0x7ffd401f,0x409dffff,0xfffffe98,0x7fd401ff,
    0x09dfffff,0x7ffff4c4,0xf3001fff,0xfe80007f,0x00cfffff,0xfffffff7,
    0x7ffffd40,0x4c409dff,0xfffffffe,0x7ffcc001,0x00000cff,0x37fffecc,
    0xa83fffea,0xffffffff,0xffffedee,0x6c03ffff,0xffffffff,0xffffedef,
    0x004fffff,0xfffffffb,0xfffdbdff,0x09ffffff,0x3fffff60,0xfedeffff,
    0xffffffff,0x03fee004,0xffff5000,0xdbddffff,0xffffffff,0xffffd807,
    0xedefffff,0xffffffff,0xff70004f,0x0037ffff,0xffffc980,0x7ffd40ef,
    0x7ffff40f,0xffffffff,0x0fffffff,0x7ffff440,0xffffffff,0xdfffffff,
    0xfffd1000,0xffffffff,0xffffffff,0x3fa2001b,0xffffffff,0xffffffff,
    0x3a000dff,0xfd00006f,0xffffffff,0xffffffff,0xfe8801ff,0xffffffff,
    0xffffffff,0x20000dff,0xffffffe9,0x33019acf,0xffffffb5,0x3ffea0bf,
    0x7ffec40f,0xffffffff,0x01efffff,0x3ffffee0,0xffffffff,0x0003ffff,
    0xfffffff7,0xffffffff,0x2e0007ff,0xffffffff,0xffffffff,0x7fc4003f,
    0xfb100004,0xffffffff,0xdfffffff,0x7ffdc003,0xffffffff,0x03ffffff,
    0x3fff2000,0xffffffff,0xffffffff,0x03ffffff,0x403fffea,0xfffffffb,
    0xdfffffff,0xffe98000,0xffffffff,0x0000dfff,0x7fffff4c,0xffffffff,
    0x74c0000d,0xffffffff,0x00dfffff,0x001ffa80,0x7fffdc00,0xffffffff,
    0x98000dff,0xfffffffe,0x0dffffff,0xfd980000,0xffffffff,0xffffffff,
    0x400befff,0x200ffffa,0xffffffd9,0x002dffff,0xfffecb80,0x02ceffff,
    0x7f65c000,0xceffffff,0x65c00002,0xfffffffe,0x2e0002ce,0x3000007f,
    0xfffffffb,0x0005bfff,0xffffd970,0x0059dfff,0xfb510000,0xffffffff,
    0x3bffffff,0x7fffd400,0x75553000,0x00001355,0x0055d4c0,0x2a600000,
    0x000000ab,0x0055d4c0,0x00004000,0x5d554c00,0x000009aa,0x002aea60,
    0x26000000,0xceeeccba,0x80009aac,0x000eeee9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffc4000,0x00001fff,0x0bfffff9,0xd8800000,0x0005eeee,0x00266400,
    0x7fffc000,0x000001ff,0x98000000,0x00ffffff,0xfff90000,0x440009ff,
    0x005eeeed,0x00266666,0x1fffffb8,0x7fe40000,0x00000fff,0x3ffff600,
    0x000004ff,0x00001ffe,0x5fffff70,0x32600000,0x7fc40bdf,0xff980004,
    0x00003fff,0x5fffff88,0x7ffec000,0xff004fff,0x7c00bfff,0x0002ffff,
    0x9ffffb00,0x2e000000,0xffffffff,0x54400001,0x0000afff,0x5ffffd00,
    0x3f200000,0xabdfffff,0x00004ffd,0x00fffff5,0xffff7000,0xffb8000b,
    0x01ffffff,0x05fffff8,0x05ffff70,0xffd80000,0x000000ff,0x767fffc4,
    0x0000efff,0xfffffea8,0x00002eff,0x00ffffea,0x7ffc4000,0xffffffff,
    0x200002ff,0x003ffffa,0x77fffc00,0x3fe60000,0x6fffebff,0x5fffff80,
    0x07fffd00,0x3fa00000,0x000003ff,0xf8affff4,0x40004fff,0xfffffffd,
    0x000dffff,0x04fffe80,0x3fea0000,0xfffffdbe,0x800006ff,0x0006fffb,
    0x03bffee0,0xbfffd000,0x013fffe2,0x00bfffff,0x0009fff5,0x7ff44000,
    0x32000007,0x3ea0ffff,0xd0002fff,0xffffffff,0x00bfffff,0x04fff980,
    0x7fdc0000,0x5fffe4c2,0xf7000000,0x200005ff,0x0000effe,0x507fffe4,
    0x7c05ffff,0x8805ffff,0x00000199,0x00199880,0x26666000,0x00999880,
    0xfffffb80,0xffffffff,0x220003ff,0x00000199,0x00001988,0x13330000,
    0x26660000,0x99980000,0x09998809,0x37ffffe0,0x00199999,0x01999998,
    0x26666600,0x20000001,0x00199999,0x7ffffc40,0xffafffaf,0x40007fff,
    0x00199999,0x26660000,0x26000199,0x99999999,0x99999999,0x33099999,
    0x33333333,0x33333333,0x26613333,0x99999999,0x99999999,0xfff09999,
    0xfffffbff,0xfff8001f,0xf70007ff,0x005fffff,0xfff70000,0x40005fff,
    0xf0fffffa,0x3fffe6ff,0xff70002f,0x0005ffff,0xffff7000,0x3e0005ff,
    0xffffffff,0xffffffff,0xff2fffff,0xffffffff,0xffffffff,0x3fe5ffff,
    0xffffffff,0xffffffff,0xfff2ffff,0xfffffbff,0xfff8001f,0xfd0007ff,
    0x00dfffff,0xfffd0000,0x4000dfff,0x3e5ffffb,0x3bfffa7f,0xfffd0002,
    0x0000dfff,0xfffffd00,0x3fe000df,0xffffffff,0xffffffff,0xfff2ffff,
    0xffffffff,0xffffffff,0x3ffe5fff,0xffffffff,0xffffffff,0xffff2fff,
    0xffffffbf,0xffff8001,0xff98007f,0x01ffffff,0x3fe60000,0x01ffffff,
    0x7ffff900,0x00313ffc,0xfffff300,0x00003fff,0x7ffffcc0,0xf8001fff,
    0xffffffff,0xffffffff,0xff2fffff,0xffffffff,0xffffffff,0x3fe5ffff,
    0xffffffff,0xffffffff,0xfff2ffff,0xfffffbff,0xfff8001f,0xfc8007ff,
    0x4fffffff,0x3f200000,0x4fffffff,0xffff9000,0x0003ffcb,0x7ffffe40,
    0x00004fff,0x3fffff20,0xf8004fff,0xffffffff,0xffffffff,0xff2fffff,
    0xffffffff,0xffffffff,0x3fe5ffff,0xffffffff,0xffffffff,0xfff2ffff,
    0xfffffbff,0xfff8001f,0x7c4007ff,0xffffffff,0xf1000007,0xffffffff,
    0x3fee000f,0x0fff0fff,0xfff88000,0x07ffffff,0xfff10000,0x0fffffff,
    0xffffff00,0xffffffff,0xffffffff,0x3fffffe5,0xffffffff,0xffffffff,
    0xfffffff2,0xffffffff,0x5fffffff,0x3f7ffffe,0x000fffff,0x03fffffc,
    0x3ffffee0,0x002fffff,0xffffb800,0x02ffffff,0xfffffa80,0x0007ffaf,
    0x7ffffdc0,0x002fffff,0xffffb800,0x02ffffff,0x7fffffc0,0xfff00000,
    0x00001fff,0x03fffffe,0x7fffc000,0xffffffdf,0x7fffc000,0x7ff4007f,
    0xffffffff,0xfe800006,0xffffffff,0xffd0006f,0x0fffffff,0xfffe8000,
    0x6fffffff,0xffe80000,0xffffffff,0x7fffc006,0xf00000ff,0x001fffff,
    0x3ffffe00,0xff00000f,0xffffbfff,0xff8001ff,0x26007fff,0xfecfffff,
    0x0001ffff,0x3ffffe60,0x1fffffec,0xffffa800,0x02dfffff,0xffff9800,
    0xfffffecf,0x3e600001,0xffecffff,0x3e001fff,0x000fffff,0xffffff00,
    0x3fe00001,0x0000ffff,0xfbfffff0,0x001fffff,0x07fffff8,0x3fffff20,
    0x4fffffb9,0x3ff20000,0xfffb9fff,0xfb0004ff,0xffffffff,0x200019ff,
    0xb9fffffc,0x004fffff,0x3ffff200,0xfffffb9f,0x3fffe004,0xf00000ff,
    0x001fffff,0x3ffffe00,0xff00000f,0xffffbfff,0xff8001ff,0x3e007fff,
    0xff17ffff,0x0000ffff,0x8bfffffc,0x007fffff,0x3fffff20,0x2fffffff,
    0xfffff800,0xffffff17,0x7ffc0000,0xffff17ff,0x7ffc00ff,0x00000fff,
    0x01ffffff,0x3fffe000,0xf00000ff,0xfffbffff,0xf8001fff,0x5007ffff,
    0x6c9fffff,0x002fffff,0xfffffa80,0x3fffff64,0x3faa0002,0xffffffff,
    0x3ea004ff,0x3f64ffff,0x0002ffff,0x4fffffa8,0x0bfffff6,0x7fffffc0,
    0xfff00000,0x00001fff,0x03fffffe,0x7fffc000,0xffffffdf,0x7fffc000,
    0xfffb007f,0x7ffd43ff,0xd80006ff,0x2a1fffff,0x006fffff,0xffffd980,
    0x01ffffff,0x3fffffb0,0x37ffffd4,0x7ffec000,0x3ffea1ff,0xfff006ff,
    0x55557fff,0x55555555,0x7fffc155,0xaaaaabff,0xaaaaaaaa,0x3ffffe0a,
    0xaaaaaabf,0xaaaaaaaa,0x37ffffe0,0x00ffffff,0x3fffffc0,0x7ffffc40,
    0x7ffffc46,0x3e20001f,0x7c46ffff,0x001fffff,0xffffff00,0x100dffff,
    0x88dfffff,0x01ffffff,0x3fffe200,0x7fffc46f,0xfff801ff,0xffffffff,
    0xffffffff,0x3fffe1ff,0xffffffff,0xffffffff,0x3ffffe1f,0xffffffff,
    0xffffffff,0x37ffffe1,0x00ffffff,0x3fffffc0,0x7ffffdc0,0xfffffd83,
    0x3fee0004,0xffd83fff,0x00004fff,0xfffb1fff,0xfb801fff,0xfd83ffff,
    0x0004ffff,0x0fffffee,0x13fffff6,0x3fffffe0,0xffffffff,0x1fffffff,
    0x3ffffffe,0xffffffff,0x21ffffff,0xffffffff,0xffffffff,0x3e1fffff,
    0xfffdffff,0x7c000fff,0xe807ffff,0x980fffff,0x007fffff,0x3fffffa0,
    0xfffff980,0xfff00007,0x0fffffd4,0x3fffffa0,0xfffff980,0x3ffa0007,
    0xff980fff,0xff807fff,0xffffffff,0xffffffff,0x3ffe1fff,0xffffffff,
    0xffffffff,0x3fffe1ff,0xffffffff,0xffffffff,0x3ffffe1f,0x0ffffffd,
    0x7ffffc00,0x7fffcc07,0x3fffe05f,0xf98002ff,0x3e05ffff,0x002fffff,
    0x7f47ff80,0x3e603fff,0x3e05ffff,0x002fffff,0x5fffff98,0x3fffffe0,
    0x7ffffc02,0xffffffff,0xffffffff,0x3fffffe1,0xffffffff,0x1fffffff,
    0x3ffffffe,0xffffffff,0x21ffffff,0xffdfffff,0x4000ffff,0x407fffff,
    0x02fffffc,0x1bfffff2,0x3ffff200,0x3fff202f,0x664c06ff,0x1ffe0fee,
    0x407ffff9,0x02fffffc,0x1bfffff2,0x3ffff200,0x3fff202f,0x7ffc06ff,
    0xeeeeefff,0xeeeeeeee,0x3fffe1ee,0xeeeeeeff,0xeeeeeeee,0x3ffffe1e,
    0xeeeeeeef,0xeeeeeeee,0x37ffffe1,0x00ffffff,0x3fffffc0,0xffffff10,
    0x7fffcc01,0x3e2001ff,0x200fffff,0x1ffffff9,0x3ffffe60,0xffb1ffe3,
    0x3fe203ff,0x2600ffff,0x01ffffff,0x3ffffe20,0x3ffe600f,0x3fe01fff,
    0x0000ffff,0x1ffffff0,0x3ffe0000,0x00000fff,0xfdbfffff,0x4001ffff,
    0x07fffff8,0x3fffffee,0xffffffff,0x04ffffff,0x3ffffee0,0xffffffff,
    0x4fffffff,0x37ffffc0,0x7ffc4fff,0xfff700ff,0xffffffff,0xffffffff,
    0x7fdc009f,0xffffffff,0xffffffff,0x3ffe04ff,0x00000fff,0x01ffffff,
    0x3fffe000,0xf00000ff,0xffdbffff,0x44001fff,0x207fffff,0xfffffffe,
    0xffffffff,0x007fffff,0x3ffffffa,0xffffffff,0x07ffffff,0x6fffffec,
    0xff917ff8,0x7ff40dff,0xffffffff,0xffffffff,0x3fa007ff,0xffffffff,
    0xffffffff,0x3fe07fff,0x0000ffff,0x1ffffff0,0x3ffe0000,0x00000fff,
    0xfdbfffff,0x4003ffff,0x06fffff9,0xfffffff3,0xffffffff,0x5fffffff,
    0xfffff300,0xffffffff,0xffffffff,0x7ffcc05f,0xbfffefff,0x01ffffff,
    0xfffffff3,0xffffffff,0x5fffffff,0xfffff300,0xffffffff,0xffffffff,
    0x3fffe05f,0xf00000ff,0x001fffff,0x3ffffe00,0xff00000f,0xfffbbfff,
    0x7d4007ff,0xf905ffff,0xffffffff,0xffffffff,0x00dfffff,0xfffffff9,
    0xffffffff,0xdfffffff,0xfffffc80,0xffffffff,0x3ff205ff,0xffffffff,
    0xffffffff,0xc806ffff,0xffffffff,0xffffffff,0x06ffffff,0x01ffffff,
    0x3fffe000,0xf00000ff,0x001fffff,0x3ffffe00,0xffffffbd,0xffffd000,
    0x3fffe09f,0xffffffff,0xffffffff,0x7c01ffff,0xffffffff,0xffffffff,
    0x1fffffff,0x7fffff40,0xffffffff,0x3fffe00e,0xffffffff,0xffffffff,
    0x7c01ffff,0xffffffff,0xffffffff,0x1fffffff,0x0ffffff8,0xffff0000,
    0x200001ff,0x00ffffff,0xfffff000,0xffffff5b,0xffff500b,0xfff507ff,
    0x33333dff,0xd3333333,0x409fffff,0x9efffffa,0x99999999,0xffffe999,
    0x7fec404f,0xffffffff,0x7ffd404f,0x99999eff,0xe9999999,0x204fffff,
    0x9efffffa,0x99999999,0xffffe999,0xfffff84f,0xff00000f,0x0001ffff,
    0x3fffffe0,0xe8000000,0x0cffffff,0xffffff70,0x3ffff60f,0xffb8003f,
    0x3f607fff,0x8003ffff,0x07fffffb,0xfffffb50,0xfb0039ff,0x0007ffff,
    0x0ffffff7,0x1fffffec,0x7fffdc00,0xfffff87f,0xff00000f,0x0001ffff,
    0x3fffffe0,0xddb00000,0x3ffea9dd,0xdeefffff,0xfffffffe,0xffff883f,
    0xf88000ff,0x882fffff,0x00ffffff,0xfffff880,0x3ea2002f,0x3e2001ff,
    0x000fffff,0xffffff88,0xfffff882,0xff88000f,0x7fc2ffff,0xffffffff,
    0xffffffff,0xfff7ffff,0xffffffff,0xffffffff,0x3ffeffff,0xffffffff,
    0xffffffff,0xffff7fff,0x7ffff4bf,0xffffffff,0x0fffffff,0x5fffffb8,
    0x3fff6000,0xfffb86ff,0x360005ff,0x006fffff,0x5c007ff8,0x005fffff,
    0x3fffff60,0xfffffb86,0x3ff60005,0x7ffc6fff,0xffffffff,0xffffffff,
    0xffff7fff,0xffffffff,0xffffffff,0x3fffefff,0xffffffff,0xffffffff,
    0xfffff7ff,0x7fffec4b,0xffffffff,0xd01effff,0x005fffff,0x7ffffd40,
    0x7ffff41f,0x3ea0002f,0x001fffff,0x3a003ffc,0x002fffff,0x3ffffea0,
    0x7ffff41f,0x3ea0002f,0x3e1fffff,0xffffffff,0xffffffff,0xff7fffff,
    0xffffffff,0xffffffff,0x3fefffff,0xffffffff,0xffffffff,0xfff7ffff,
    0xfff70bff,0xffffffff,0x2601bfff,0x007fffff,0xffffff80,0x3ffffe64,
    0xfff80007,0x7c004fff,0x3fe6007f,0x80007fff,0x24ffffff,0x07fffff9,
    0xfffff800,0x3ffffe4f,0xffffffff,0xffffffff,0xffffff7f,0xffffffff,
    0xffffffff,0x3fffffef,0xffffffff,0xffffffff,0x0bfffff7,0x3fffff66,
    0x02dfffff,0x27ffffec,0x7ffe4000,0x3fff67ff,0xc80004ff,0x007fffff,
    0xfb000ccc,0x0009ffff,0xffffff90,0x27ffffec,0x7ffe4000,0x3fffe7ff,
    0xffffffff,0xffffffff,0xfffff7ff,0xffffffff,0xffffffff,0x3ffffeff,
    0xffffffff,0xffffffff,0xbfffff7f,0x57555300,0x00000135,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb000000,0x0007ffff,0x76c00000,0x0000deee,0x3ffffe60,
    0x7640000e,0x776c0eee,0xfff3006e,0x32001dff,0x76c0eeee,0x3b6005ee,
    0x777446ee,0xdddd905e,0x06eeed81,0x9dddd100,0x03eeee98,0x00dc4000,
    0x8ddddd90,0x006ffffd,0x640ef75c,0xff7000ff,0x000bffff,0x7ffffe40,
    0xffe80000,0x7fffc0ff,0xffff9007,0x7ff4001f,0x7fffc0ff,0x3fffe007,
    0x37fffc47,0x41ffffd8,0x0007fffe,0x98dffff1,0x0004ffff,0x5dfff910,
    0xfffffb00,0x2ffffe88,0xfffff880,0xfffbacef,0xffff9800,0x0003ffff,
    0x1fffff88,0xfffd0000,0x7ffff81f,0xfffff880,0x7fff4001,0x3ffffc0f,
    0x8fffff00,0xb06ffff8,0xfe83ffff,0xf10007ff,0xff98dfff,0x700004ff,
    0x00ffdbff,0x10fffffb,0x900dfffd,0xffffffff,0x100dffff,0xff9bfffd,
    0xc80001ff,0x0001ffff,0x03ffffa0,0x900fffff,0x0003ffff,0xf81ffffd,
    0x3e007fff,0x7fc47fff,0xfffb06ff,0x7fffe83f,0xffff1000,0x4ffff98d,
    0x43fd0000,0x7fec02fe,0xfff107ff,0xdffe805f,0xffffffeb,0xfffc802f,
    0x0dfffd0e,0x7fffc400,0x7f400002,0x7ffc0fff,0x7ffc407f,0xffd0002f,
    0xffff81ff,0x3fffe007,0x37fffc47,0x41ffffd8,0x0007fffe,0x98dffff1,
    0x0004ffff,0x27dc7f88,0x1fffff60,0x405fff98,0x7ed446ff,0xffa801df,
    0x3ffe21ff,0xff70004f,0x1000007f,0x33303333,0xfffb8033,0x26620003,
    0x19999819,0x06666600,0x44026666,0x99881999,0x26600019,0x99998099,
    0x5fd00000,0xfb007fa2,0x9880ffff,0x004cc019,0x99988002,0x01999880,
    0x00133100,0x33333300,0x33333000,0x0004cc43,0x59955300,0x26000013,
    0x33019999,0x33333333,0x33333333,0x00013333,0x00666666,0x77fdc000,
    0x400006ff,0x22199999,0x80019999,0x20199998,0x40199999,0x01999999,
    0x26666200,0x3ffffe19,0x7ffc000f,0x4cccc7ff,0xec880019,0xffffffff,
    0xf10003df,0x3e0fffff,0xffffffff,0xffffffff,0x002fffff,0xffffffb8,
    0xf7000002,0x00003bff,0x3fffffc4,0x05fffffd,0x7ffffc80,0xffffff10,
    0xfffffc80,0xff98002f,0x3fe5ffff,0x4000ffff,0x227fffff,0x007fffff,
    0x7fffffdc,0xffffffff,0x7fc4001e,0xfff07fff,0xffffffff,0xffffffff,
    0xd0005fff,0x0dffffff,0x00a80000,0x882ffdc0,0x3a7fffff,0x00ffffff,
    0x1fffff20,0x3fffffc4,0x3ffffe20,0x7f4000ff,0x3e0fffff,0x000fffff,
    0x13fffffc,0x00ffffff,0x3fffff62,0xffffffff,0x2003ffff,0x07fffff8,
    0xffffffff,0xffffffff,0x05ffffff,0xfffff980,0x00001fff,0x00999988,
    0x220dff90,0x3a7fffff,0x04ffffff,0x1fffff20,0x3fffffc4,0x7ffffd40,
    0x3fea004f,0x7fc3ffff,0x4000ffff,0x227fffff,0x807fffff,0xfffffff8,
    0xffffffff,0x00efffff,0x7fffff88,0xfffffff0,0xffffffff,0x5fffffff,
    0xffffc800,0x0004ffff,0xfffffb50,0x6c039dff,0xfff107ff,0x7fff4fff,
    0x9001ffff,0x220fffff,0x007fffff,0x3ffffffb,0xfffff100,0xfffff0df,
    0xfff8001f,0x3ffe27ff,0xffe807ff,0xdfffffff,0xffffffdc,0xf8804fff,
    0xff07ffff,0xffffffff,0xffffffff,0x4005ffff,0xfffffff8,0x4c0007ff,
    0xfffffffe,0xd02fffff,0xff101fff,0x7ff4ffff,0x006fffff,0x20fffff9,
    0x07fffff8,0xffffff10,0xffff900b,0xffff03ff,0xff8001ff,0x3fe27fff,
    0x7dc07fff,0x0cffffff,0xfffffb10,0xff8803ff,0xfff07fff,0x00001fff,
    0x7fffdc00,0x02ffffff,0xfffff100,0xffffffff,0xffff07ff,0xfffff101,
    0x7fffff4f,0xfc803fff,0xff107fff,0x5c00ffff,0x02ffffff,0x3fffffe2,
    0xffffff04,0xffff8001,0x3fffe27f,0x3ffe607f,0x5002ffff,0x0dffffff,
    0x7fffff88,0x1ffffff0,0x74000000,0xffffffff,0xfd0006ff,0xffffffff,
    0x1fffffff,0x881ffff8,0x3a7fffff,0xffffffff,0x7ffe400f,0xffff107f,
    0xffe800ff,0x3f606fff,0x3e06ffff,0x000fffff,0x13fffffc,0x40ffffff,
    0x1ffffffd,0x7fffd400,0x3fe203ff,0xfff07fff,0x00001fff,0x3fffe600,
    0xfffffecf,0x7ffcc001,0xb999beff,0x22ffffff,0x882ffff8,0x3a7fffff,
    0xffffffff,0x7ffe405f,0xffff107f,0xff9800ff,0xfa84ffff,0x201fffff,
    0x00ffffff,0x3fffffc0,0x0ffffff1,0x3fffffe2,0xfffb0005,0x7fc40fff,
    0xfff07fff,0x00001fff,0x3ffff200,0xfffffb9f,0x7ffec004,0xfff701ff,
    0x7ffcc9ff,0xffff883f,0x3ffffa7f,0x01ffffff,0x41fffff2,0x07fffff8,
    0xfffffc80,0x7ffff40f,0x7fffc04f,0x7fc000ff,0x3fe27fff,0xff507fff,
    0x0001ffff,0x3fffffe6,0xfffff101,0x3ffffe0f,0x0000000f,0x22ffffff,
    0x007fffff,0x203dba88,0x24fffff8,0x884ffffa,0x3a7fffff,0xffffffff,
    0x3ff206ff,0xfff107ff,0xf1000fff,0x5cbfffff,0x00ffffff,0x07fffffc,
    0x3ffffe00,0x3ffffe27,0xfffffb07,0xffe8000b,0xff102fff,0x3fe0ffff,
    0x0000ffff,0xffffa800,0x3ffff64f,0x2000002f,0x25fffff8,0x884ffffa,
    0x3a7fffff,0xfffeffff,0xff903fff,0x3fe20fff,0x50007fff,0x15ffffff,
    0x05ffffff,0x1ffffff0,0xfffff800,0x3ffffe27,0xfffffd07,0xffc80007,
    0xff103fff,0x3fe0ffff,0xaaabffff,0xaaaaaaaa,0xfb000aaa,0x7d43ffff,
    0x0006ffff,0x7ffedcc0,0x3fee5fff,0xfff885ff,0x3fffa7ff,0xfffffbdf,
    0xffffc80f,0xfffff107,0x7fec000f,0xfffdefff,0xfff005ff,0xf8001fff,
    0x3e27ffff,0xff07ffff,0x0005ffff,0x4fffffb8,0xffffff10,0x3fffffe0,
    0xffffffff,0x1fffffff,0xfffff880,0x7ffffc46,0x9510001f,0xfffffffd,
    0x7fe4bfff,0xfff886ff,0x3fffa7ff,0xfffffd5f,0xfffff90b,0x3ffffe20,
    0x3fe20007,0xffffffff,0xfff000ff,0xf8001fff,0x3e27ffff,0xff07ffff,
    0x0003ffff,0x6fffffa8,0xffffff10,0x3fffffe0,0xffffffff,0x1fffffff,
    0xfffffb80,0xfffffd83,0x7fec4004,0xffffffff,0x3f65ffff,0xff887fff,
    0x3ffa7fff,0xffff35ff,0xfffc85ff,0xffff107f,0xfb8000ff,0xffffffff,
    0x3ffe003f,0x7c000fff,0x3e27ffff,0xf887ffff,0x000fffff,0x7ffffcc0,
    0xfffff107,0x3ffffe0f,0xffffffff,0xffffffff,0xffffe801,0xffff980f,
    0x3fe6007f,0xefffffff,0x25fffffd,0x887ffffe,0x3a7fffff,0x3f65ffff,
    0x7e46ffff,0xff107fff,0x0000ffff,0xfffffffd,0xfff800df,0x7c000fff,
    0x3e27ffff,0xf887ffff,0x000fffff,0x7ffffd40,0xfffff107,0x3ffffe0f,
    0xffffffff,0xffffffff,0x7fffcc01,0x3fffe05f,0xffa802ff,0x0bdfffff,
    0xe97ffffe,0x440fffff,0x3a7fffff,0x3e25ffff,0x324fffff,0xf107ffff,
    0x000fffff,0xffffff30,0xff8003ff,0x4000ffff,0x227fffff,0xf07fffff,
    0x003fffff,0xfffffb80,0xfffff106,0x3ffffe0f,0xeeeeeeef,0xeeeeeeee,
    0x7fffe401,0x3fff202f,0xffe806ff,0x3fe03fff,0x3ffe5fff,0x7fc41fff,
    0x3ffa7fff,0x7ffdc5ff,0xfff91fff,0x3ffe20ff,0x900007ff,0x09ffffff,
    0xffffff00,0xffff8001,0x3fffe27f,0xffffd07f,0xfc80005f,0xf104ffff,
    0x3e0fffff,0x000fffff,0xffff1000,0x7fcc01ff,0x2201ffff,0x205fffff,
    0x25fffff8,0x41ffffff,0x27fffff8,0xe85ffffe,0xf95fffff,0x3e20ffff,
    0x0007ffff,0xffffff10,0xfffd0001,0x7c4001ff,0x3e27ffff,0xf907ffff,
    0x0007ffff,0x3fffffd8,0xffffff10,0x3fffffe0,0xf7000000,0xffffffff,
    0xffffffff,0x7d409fff,0x2602ffff,0x3e5fffff,0x441fffff,0x3a7fffff,
    0xf985ffff,0xfcafffff,0xff107fff,0x0000ffff,0x03fffffc,0xfffffe80,
    0x3ffe2000,0x3ffe27ff,0xfff707ff,0xe8000bff,0x102fffff,0x20ffffff,
    0x00ffffff,0xfffd0000,0xffffffff,0xffffffff,0x7ffd40ff,0x3ffa05ff,
    0x3ffe5fff,0x7fc41fff,0x3ffa7fff,0xfff905ff,0xffffbfff,0x3fffe20f,
    0x3e00007f,0x0007ffff,0x03fffffd,0x7ffffcc0,0x3ffffe26,0xfffff507,
    0x3ea0003f,0x101fffff,0x20ffffff,0x00ffffff,0xfff98000,0xffffffff,
    0xffffffff,0xff302fff,0xd985ffff,0x25ffffff,0x41ffffff,0x27fffff8,
    0x105ffffe,0xffffffff,0x3e20ffff,0x0007ffff,0x1fffffe0,0x7fffec00,
    0x3fea003f,0x3fe25fff,0xff107fff,0x000dffff,0x1ffffffa,0x7fffff88,
    0x1ffffff0,0xff900000,0xffffffff,0xffffffff,0x7c0dffff,0xcfffffff,
    0xffffffff,0x3ffffe6f,0x7fffc41f,0x3ffffa7f,0x3fffea05,0x07ffffff,
    0x0ffffff1,0x7fffc000,0xff70007f,0x2001ffff,0x24fffffe,0x07fffff8,
    0x3ffffff2,0x7ffdc002,0x3e203fff,0xff07ffff,0x0001ffff,0xffffff00,
    0xffffffff,0xffffffff,0x3fea03ff,0xffffffff,0xfffffeff,0x3ffffff0,
    0x7fffff88,0x017ffffa,0xfffffffb,0x3fe20fff,0x00007fff,0x01fffffe,
    0x7ffffd40,0xfffa805f,0x3fe23fff,0x3e207fff,0x03ffffff,0xffffff90,
    0xffff880d,0xfffff07f,0xa800001f,0x99efffff,0x99999999,0xfffffe99,
    0x3ffff204,0x99efffff,0x552fffff,0xf8815555,0x3fa7ffff,0x7c405fff,
    0xffffffff,0xfffff107,0x7fc0000f,0x20007fff,0xcffffffe,0xfffff700,
    0xffff88ff,0x7ffd407f,0x409dffff,0xfffffe98,0x7fc401ff,0xfff07fff,
    0x00001fff,0x3fffffd8,0xffffb800,0x7ff4c07f,0x3a0cffff,0x4005ffff,
    0x27fffff8,0x805ffffe,0xfffffffb,0xffff107f,0x7c0000ff,0x0007ffff,
    0x3fffffea,0xffedeeff,0x43ffffff,0x07fffff8,0xffffffd8,0xffedefff,
    0x4fffffff,0xfffff880,0xffffff07,0xffffffff,0xffffffff,0x7ffffc4f,
    0xff88000f,0x8802ffff,0x00000aa9,0x3ffffe20,0x17ffffa7,0x7fffff40,
    0xfff107ff,0x40000fff,0x007fffff,0x7fffff40,0xffffffff,0x40ffffff,
    0x07fffff8,0xfffffe88,0xffffffff,0x0dffffff,0xfffff880,0xffffff07,
    0xffffffff,0xffffffff,0x7ffffdcf,0x3ff60005,0x00006fff,0x7fc40000,
    0x3ffa7fff,0xff3005ff,0x20ffffff,0x07fffff8,0x3fffe000,0x6c40007f,
    0xffffffff,0xffffffff,0xffff881e,0x3fee007f,0xffffffff,0x3fffffff,
    0x3fffe200,0xfffff07f,0xffffffff,0xffffffff,0x7ffff4ff,0x3ea0002f,
    0x001fffff,0x22000000,0x3a7fffff,0x2005ffff,0x7ffffffd,0xffffff10,
    0x7ffc0000,0x700007ff,0xffffffff,0x1bffffff,0x3ffffe20,0x7ff4c007,
    0xffffffff,0x4000dfff,0x07fffff8,0xffffffff,0xffffffff,0x2fffffff,
    0x07fffff9,0xfffff800,0x0000004f,0x3fffe200,0x3ffffa7f,0x3ffe2005,
    0xff107fff,0x0000ffff,0x03fffffc,0xfffb3000,0xbfffffff,0xffff8805,
    0xd970007f,0xdfffffff,0x3e200059,0xff07ffff,0xffffffff,0xffffffff,
    0x3f6fffff,0x0004ffff,0x7fffffc8,0x00000000,0x9fffffe2,0x005ffffe,
    0x3fffffdc,0x7fffff88,0x3ffe0000,0x000007ff,0x35575553,0x3ffe2001,
    0x300007ff,0x00001575,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x79731000,0x00000013,0x40060000,0x0000aaa8,
    0x10005551,0x00037973,0x000b332a,0x00055544,0x8002aa88,0x0001aa98,
    0x0000aaa8,0x00166654,0x017df710,0x75c40000,0xffffffff,0x000003df,
    0x0d5e5d44,0xb003be60,0x20001fff,0x4c003ffd,0x1effffff,0x07fffc00,
    0x0fffd800,0x07ffb000,0x7fffe440,0xf30002ef,0xe80001ff,0x10003fff,
    0x00dfffff,0x3ffaa000,0xffffffff,0x0001efff,0xffffd710,0x85dfffff,
    0x900efff8,0x0001ffff,0xb800fff3,0xffffffff,0xfff7002f,0x3ff20009,
    0xf98000ff,0x7fec007f,0x03ffffff,0x003ffd80,0x0ffffc40,0xa9dfb800,
    0x200002fe,0xffffffc8,0xffffffff,0x40004fff,0xffffffea,0xefffffff,
    0x0ffffe8a,0x7fffffdc,0x2ffe8000,0x3fffe200,0x06ffffdf,0x001ffff0,
    0xffffffb8,0x2ffe8000,0x3bffe600,0x00ffffdb,0x001bfea0,0x01fffea0,
    0x3ee1ff80,0xff300005,0xffffffff,0xffffffff,0x88001dff,0xfffffffc,
    0xffffffff,0x1fffffff,0x7ffffffc,0x7fd4000f,0x7ffdc006,0x7ffff30f,
    0x04fffb80,0x7fffffc0,0x7d4000ff,0x7fec006f,0x07fff60f,0x002ffe80,
    0x05fffc80,0xfb87fa00,0xffd00004,0xbfffffff,0xffffffb9,0x4c00bfff,
    0xfffffffe,0xffffffff,0x2fffffff,0x7f77ffc4,0x7f4000ff,0x7ff4001f,
    0x2fffec4f,0x003fffe0,0xfeefff88,0x7f4000ff,0x2988001f,0x8007fff4,
    0x00005ffb,0x0007fffd,0x7fdd77dc,0xffb80001,0x00cfffff,0xffffffb1,
    0x3ffa003f,0xdfffffff,0xfffffedc,0xf883ffff,0x01fffb2e,0x002ffdc0,
    0x321ffffc,0x3ee06fff,0x7c4005ff,0x01fffb2e,0x002ffdc0,0x7fff64c0,
    0x3fff1004,0xfff10000,0x7dc0003f,0x002fffff,0x7ffffc40,0xff7002ff,
    0x700dffff,0x9fffffff,0x3fff2201,0x8303ffff,0x1000fffd,0xf0001fff,
    0xffb85fff,0x3fffe07f,0x7ec18000,0xff1000ff,0xf700001f,0x64009fff,
    0x300004ff,0x8000ffff,0x6ffffffe,0x7ffe4000,0x54001fff,0x03ffffff,
    0x3fffffe2,0xfff9002f,0x3600dfff,0xf9000fff,0xff10009f,0xfffb85ff,
    0x5fffb80f,0xfffb0000,0x13ff2001,0x7ffe4000,0xff8803ff,0xf700000f,
    0x4c000bff,0xffffffff,0xfff10001,0x2000bfff,0x07fffffe,0x3ffffff2,
    0xffff5001,0xb005ffff,0xf3001fff,0x3e0001ff,0x7fe42fff,0x1ffff07f,
    0x3ff60000,0xfff9800f,0x33500000,0xd809fffb,0x200003ff,0x0003fffd,
    0x3ffffff2,0xf50004ff,0x001fffff,0x3ffffe60,0xffff881f,0xff3004ff,
    0xdfffffff,0x01fffb00,0x0007ffb0,0x321ffff4,0xffb86fff,0x3600005f,
    0xfd800fff,0x1000003f,0x7cc0dfff,0x7c00006f,0x10001fff,0xffffffff,
    0x3ee000ff,0x0005ffff,0x17fffff4,0x7fffffd4,0xffff9800,0x1ffffffe,
    0x007ffec0,0x0001bfea,0xfe8bfffb,0xffff85ff,0x3f600001,0x7fd400ff,
    0x6e5c0006,0x00ffff84,0x00005ffd,0x007fffcc,0xfffffb80,0x002fffff,
    0x3fffffc8,0x7ffec000,0xfffb83ff,0xfe8804ff,0xfffe8eff,0x7fec02ff,
    0x17ff400f,0x3ffea000,0xffffc8bf,0x02fffdc2,0x3fff6000,0x017ff400,
    0x87fffa00,0xf506fffa,0xb80000df,0x20006fff,0xfffffffe,0xd8006fff,
    0x002fffff,0x7ffffe40,0xfffffc84,0x7fff4403,0xfffff91f,0x0fffd807,
    0x001bfee0,0x7fffff40,0x7c45ffff,0x00001fff,0x7007ffec,0x70000dff,
    0xffdbffff,0x3ffa07ff,0x7ec00001,0xf30004ff,0xffd9ffff,0xf8003fff,
    0x001fffff,0x7ffffdc0,0xfffffe85,0x7fffec02,0x3ffffee1,0x07ffec04,
    0x001fff88,0xffffd300,0xfb81dfff,0x800005ff,0xf100fffd,0x200003ff,
    0xfffffffd,0x0bff704f,0xffff0000,0x3ff20005,0xfffb9fff,0x3e2004ff,
    0x000fffff,0x7ffffd40,0xffffff87,0x3ffff601,0x7ffffd42,0x07ffec06,
    0x0005ffc8,0xfffffc80,0x1ffff884,0xffd80000,0x0bff900f,0xfffb8000,
    0xff102eff,0x9800001f,0x0000ffff,0x22ffffff,0x007fffff,0x3fffffe2,
    0x7fd40000,0x7fc47fff,0xf900ffff,0xff307fff,0x0000ffff,0x2601fff1,
    0x4002bccb,0x3fee0098,0x5997305f,0xf8800001,0x999000ff,0x01331003,
    0x9004ffc8,0xffb80399,0xff50006f,0x7fec9fff,0x3e002fff,0x001fffff,
    0x7ffffdc0,0x7ffffc46,0xffffb80f,0xfffff504,0xffb0000f,0xffffb109,
    0x00003dff,0x107fffe2,0x7ffffffd,0x7fec0000,0x7fffb004,0x7fcc0000,
    0xfffd800f,0x27ffec03,0xffffd800,0x3fffea1f,0x3ff6006f,0x40002fff,
    0x86fffffc,0x42ffffff,0x205ffffa,0x06fffffb,0x07ffcc00,0x3fffffa2,
    0x0001ffff,0x4c5fffb8,0xffffffff,0xf980005f,0xffb800ff,0x200003ff,
    0xfb803ffd,0x7fc03fff,0xf88002ff,0x7c46ffff,0x001fffff,0x07fffff9,
    0xffffd800,0xffffe85f,0x3fffe63f,0x7fffe405,0x7f40004f,0xefffc83f,
    0x05fffdab,0x7fffc400,0x6ffffec1,0x002ffffe,0x401fff40,0x03fffffa,
    0x0dff5000,0x7fffff50,0x07fffc40,0x7fffdc00,0xffffd83f,0xfff7004f,
    0x40080bff,0x83fffffe,0x34fffffd,0x801dffff,0x03fffffd,0x41bfea00,
    0x3e21fffe,0x5c0007ff,0x7fcc5fff,0x3fff61ff,0x3fea0006,0xffff8806,
    0xd00003ff,0xff8805ff,0x2a03ffff,0xd0006fff,0x301fffff,0x00ffffff,
    0x3fffffea,0x2a0bb600,0x81ffffff,0x8efffffc,0x800efffe,0x02fffffe,
    0x40bffa00,0x7fc44baa,0x3e20006f,0x7fdc1fff,0x7fffd46f,0x5ffd0000,
    0xfdffe880,0xb80003ff,0x7f4405ff,0x203fffdf,0x8004fffc,0x05fffff9,
    0x0bfffffe,0x3ffffe20,0xdfff305f,0x7fffff43,0xfffff507,0x03ffffdf,
    0xffffff50,0x3fee0003,0xfff90005,0x7fdc0009,0x5fffc85f,0x00ffffcc,
    0x402ffdc0,0xfff9dffd,0x7fc40003,0x6ffec01f,0x3a03fff9,0xc8003fff,
    0x202fffff,0x06fffffc,0xffffff90,0xfffffb03,0xffffff9b,0x7ffffc07,
    0x001fffff,0x0ffffffd,0x07ffe200,0x3ffff200,0xfff10000,0xbfffb03f,
    0x02ffff98,0x00fffc40,0x3e23bfee,0x640003ff,0x7fe404ff,0x03fff98e,
    0x003ffff1,0xffffff88,0x3fffe600,0xff8801ff,0x542fffff,0xfffffffe,
    0x5c06ffff,0xffffffff,0xffff5002,0x320005ff,0x6c4004ff,0x0002ffff,
    0x7417ffee,0x7fc44fff,0x7e4002ff,0x7ffd404f,0x007fff11,0x007ffc40,
    0x3e63fff5,0xfff503ff,0xfff7000f,0xffffffff,0xffffffff,0x3fea009f,
    0x40cfffff,0xffffffea,0x7c401fff,0x04ffffff,0xffffff50,0x3fe6000d,
    0x3fa2000f,0x20002fff,0xb01ffff8,0xff98bfff,0x3e6001ff,0x3fe600ff,
    0xfffa99cf,0xfd80009c,0x3ffe603f,0xcfffa99c,0x2fffe409,0x7ffff400,
    0xffffffff,0xffffffff,0x3fffa007,0xcdefffff,0xfffffffd,0xff7005ff,
    0x807fffff,0xfffffffd,0x7ffb0001,0x7fffcc00,0x7dc0001e,0x3ff205ff,
    0x7fffd46f,0x0fff6000,0xffffff90,0x09ffffff,0x407ff980,0xfffffffc,
    0x744fffff,0x4c003fff,0xffffffff,0xffffffff,0x02ffffff,0xfffffd10,
    0xffffffff,0xbfffffff,0xffff7003,0x79bfffff,0xffffffd9,0x2a0009ff,
    0x3e6006ff,0x0000efff,0x00ffffc4,0x641ffff7,0x2a007fff,0xffc806ff,
    0xffffffff,0x7f4004ff,0x7ffe402f,0xffffffff,0x3fffe24f,0x7ffe4001,
    0xffffffff,0xffffffff,0x64006fff,0xffffffff,0xffffffff,0x00cfffff,
    0xfffffff5,0xffffffff,0xbfffffff,0x3ffa0001,0xffff1002,0x0555557f,
    0x05fffc80,0x4effffc4,0x004ffffb,0x2e00bffa,0xfeeeeeee,0x2003eeff,
    0xeb806ffa,0xffeeeeee,0x3fea3eef,0xfff8007f,0xffffffff,0xffffffff,
    0x001fffff,0x7fffff4c,0xffffffff,0xffffffff,0x7ffffcc4,0xffffffff,
    0xffffffff,0x3ee0003f,0x3ff2006f,0xffffffff,0x3ffe2007,0xfffb801f,
    0x0fffffff,0x00dff700,0x07fff100,0x003ffd00,0x83fff980,0x4005fffc,
    0x9efffffa,0x99999999,0xffffe999,0xd970004f,0xffffffff,0xfffff77b,
    0x7ffc4bff,0xfffea8ef,0xffffffff,0x20000dff,0x2001fff8,0xffffffff,
    0x32007fff,0x32005fff,0xffffffff,0x3fff1002,0xfff10000,0x5ffb8007,
    0xfff98000,0x03fffe83,0x7ffffec0,0xfffb8003,0x100007ff,0x88135575,
    0x21fffffd,0x541ffff9,0xfffffffe,0x80002cef,0x26005ffc,0xeeeeeeee,
    0xf1006eee,0xa8003fff,0x00dffffe,0x0017ff20,0x01777440,0x001fff10,
    0x05ddd100,0x40039999,0x0ffffff8,0xffff8800,0x000002ff,0x85fffa80,
    0x4c401ff9,0x00001aba,0x00009988,0x99880000,0x04400019,0x00998800,
    0x88000000,0x00000099,0xff700000,0x4000bfff,0x06fffffd,0x2a000000,
    0x0005101e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fff4000,0x2a0002ff,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0x007fffff,0xffffff80,
    0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4fffffd8,0xfffc8000,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99100000,0x40009999,0x441cccc8,0x2202cccc,0x64c3cccc,0x88002ccc,
    0x00aaccba,0xccc98000,0xc88003cc,0x0002cccc,0x33333260,0x99993003,
    0x64400099,0x664c3ccc,0x220002cc,0x32a00019,0x0003cccc,0x7fffe400,
    0x3ea0001f,0x7fcc1fff,0x3fe203ff,0x7ffd45ff,0x3f66004f,0xcfffffff,
    0x3fa00000,0x8000ffff,0x1ffffffd,0xfffb0000,0x7e4003ff,0x0002ffff,
    0xa8bffff1,0x2004ffff,0xfffffec9,0x7ec000cf,0x0000ffff,0xfffff100,
    0xffc80005,0xffffb87f,0x3fffe201,0x27fffd45,0xfffffb80,0x2fffffff,
    0xfffa8000,0xfa8001ff,0x06ffffff,0xffff9800,0xffd8001f,0xf10005ff,
    0xffa8bfff,0xff9004ff,0xffffffff,0x7f44009f,0x00004fff,0x07ffff90,
    0xdfffb000,0x01ffff90,0x22ffffc4,0x804ffffa,0xfffffffb,0x0fffffff,
    0x7ffec000,0xff88001f,0x4ffffdff,0x7ffec000,0x3f60002f,0x88001fff,
    0x7d45ffff,0x74c04fff,0xffffffff,0x004fffff,0x03ffffa2,0xfff10000,
    0x3e00007f,0xffe84fff,0x7ffc406f,0x7fffd45f,0x7fffc404,0xffffffff,
    0x20005fff,0x002ffff9,0x2edfffd0,0x0002ffff,0x005ffff1,0x0bfffd00,
    0xbffff100,0x04ffffa8,0x7ffffff4,0xffffffff,0x3fa2004f,0x400003ff,
    0x0004fffb,0x05ffff10,0x8809ffff,0x5441aaaa,0x7dc01aaa,0x911effff,
    0x00ffffff,0x017ffec0,0x0ffffb80,0x003ffff2,0x00ffff20,0x7fff4400,
    0xaaaa8000,0x0d555442,0xffffff70,0xfffd935b,0x4c001fff,0x00007fff,
    0x0001e65c,0x83ffff50,0x003ffff9,0xffb00000,0xfff03fff,0x20001fff,
    0x20002ccc,0xaa81aaaa,0xcc8001aa,0x4400003c,0x00002ccc,0x7ffc4000,
    0xffb02fff,0x98007fff,0x00001ccc,0xfc800000,0xfffb87ff,0x0000001f,
    0x0dffffd0,0x01fffff6,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0x3fe604ff,0x00004fff,0x0cc40000,0x66665400,0xccffffec,0xcffffecc,
    0x0cc4003c,0xfffff800,0x9fffff05,0x4ccc4000,0x98800009,0x00000999,
    0x26200000,0x80000999,0x00099998,0x01fffffb,0x00009bb8,0x20000131,
    0xfffffea8,0xffc803ce,0xffffffff,0xffffffff,0x54406fff,0xcefffffe,
    0xfffff003,0xfffff70b,0xffda8005,0x1cefffff,0x3fff6a00,0x01ceffff,
    0x07ddddd1,0x09ddddd0,0x7ffffed4,0x2001ceff,0xffffffda,0x3fa01cef,
    0x00006fff,0x3ffff6e0,0xf50003de,0xffffffff,0x7e401bff,0xffffffff,
    0xffffffff,0x2a06ffff,0xffffffff,0x2200dfff,0xe84fffff,0x2007ffff,
    0xffffffe9,0x02ffffff,0x7fffff4c,0x2fffffff,0x4fffff88,0x5fffff80,
    0xfffffe98,0x2fffffff,0x7ffff4c0,0xffffffff,0xdfffff02,0xfd300000,
    0xffffffff,0x7fec003d,0xffffffff,0xf903ffff,0xffffffff,0xffffffff,
    0x360dffff,0xffffffff,0x03ffffff,0x89fffff1,0x03fffffa,0xffffff10,
    0xffffffff,0x3ffe207f,0xffffffff,0x7c43ffff,0xf804ffff,0x7c45ffff,
    0xffffffff,0x03ffffff,0xfffffff1,0xffffffff,0xfffff887,0x7dc00005,
    0xffffffff,0xc803ffff,0xffffffff,0xffffffff,0xfffffc82,0xffffffff,
    0xffffffff,0xfffffc86,0xffffffff,0xff882fff,0x7fec4fff,0x3fa007ff,
    0xffffffff,0x0fffffff,0xffffffe8,0xffffffff,0x3ffe20ff,0xfff804ff,
    0x7fff45ff,0xffffffff,0xe80fffff,0xffffffff,0xffffffff,0x3ffffe60,
    0x3e600005,0xffffffff,0x02ffffff,0x3fffffea,0xfffdbbdf,0xe800ffff,
    0xffc86fff,0x7ffd407f,0xdbbdffff,0x0fffffff,0x27ffffc4,0x0bfffff1,
    0x3ffffe60,0xffb999be,0x7cc2ffff,0x99beffff,0xffffffb9,0x3ffffe22,
    0xfffff804,0x3ffffe65,0xffb999be,0x7cc2ffff,0x99beffff,0xffffffb9,
    0x37ffffc2,0xfffd0000,0xf9335bff,0x7c0dffff,0x80efffff,0x5fffffe9,
    0x84ffff80,0x7c06fffe,0x80efffff,0x5fffffe9,0x27ffffc4,0x0dfffff5,
    0x3fffff60,0xfffff701,0xfffffd89,0xfffff701,0x7ffffc49,0xfffff804,
    0x3fffff65,0xfffff701,0xfffffd89,0xfffff701,0x7ffffe89,0x7d401880,
    0xf504ffff,0xf505ffff,0x880dffff,0x02ffffff,0x20bfffe6,0x2a04ffff,
    0x406fffff,0x2ffffff8,0x93ffffe2,0x3ffffff9,0x07b75100,0x27ffffc4,
    0x101edd44,0x449fffff,0x804fffff,0x445fffff,0x3e203dba,0xa884ffff,
    0x3fe203db,0x7fec4fff,0x7e401fff,0x3fa0bdef,0x3200ffff,0xfd86ffff,
    0xb802ffff,0x204fffff,0x4c1ffffa,0x3602ffff,0x802fffff,0x24fffffb,
    0x44fffff8,0x2ffffffe,0x7fc40000,0x40005fff,0x25fffff8,0x04fffff8,
    0x05fffff8,0x3fffe200,0x7c40005f,0x7e45ffff,0x7404ffff,0x3e27ffff,
    0x4c04ffff,0x7c0fffff,0x1007ffff,0x40bfffff,0xfb87fffc,0x3fe01fff,
    0xf1007fff,0x7c4bffff,0x7d44ffff,0x02ffffff,0x7fedcc00,0x8005ffff,
    0xfffffdb9,0x3fffe25f,0xffff804f,0x6dcc005f,0x05ffffff,0xfffdb980,
    0x7fcc5fff,0xf902ffff,0x7cc9ffff,0x4403ffff,0x221fffff,0x006fffff,
    0x81fffffe,0xfc86fffe,0x3fe207ff,0x3e006fff,0x3e27ffff,0xfb84ffff,
    0x01ffffff,0xfffd9510,0xbfffffff,0xffeca880,0xffffffff,0x3ffffe25,
    0xfffff804,0x3fb2a205,0xffffffff,0x7654405f,0xffffffff,0xfffc85ff,
    0xec9adfff,0x21ffffff,0xeefffffa,0xfeeeeeee,0x3e62ffff,0x2005ffff,
    0x90fffffe,0xffffffff,0xffffffff,0x26dfffff,0x005fffff,0x43fffffa,
    0x04fffff8,0xfffffff9,0x7ffec403,0xffffffff,0xfb105fff,0xffffffff,
    0x44bfffff,0x804fffff,0x885fffff,0xfffffffd,0x5fffffff,0xfffffb10,
    0xffffffff,0xffff10bf,0xffffffff,0xfb89ffff,0xffffffff,0xffffffff,
    0x3ffe63ff,0x3fa004ff,0xff90ffff,0xffffffff,0xffffffff,0x3fe6dfff,
    0x3a004fff,0xf10fffff,0x6409ffff,0x06ffffff,0xfffffff3,0xffffbdff,
    0xffff30bf,0xfbdfffff,0x7c4bffff,0x4405ffff,0x4c5fffff,0xffffffff,
    0xfffffdef,0xfffff985,0xffdeffff,0xff505fff,0xffffffff,0xf90bffff,
    0xffffffff,0xffffffff,0x7ffc49ff,0x3fe005ff,0x3ff27fff,0xffffffff,
    0xffffffff,0xfff16fff,0x7fc00bff,0x3fe27fff,0x7e404fff,0x543fffff,
    0xdfffffff,0x3ffffe0b,0x7ffffd45,0x3fe0bdff,0x3fe25fff,0x7c405fff,
    0x3ea5ffff,0xbdffffff,0x17ffffe0,0xfffffff5,0x7fffc17b,0x3ff6205f,
    0xffffffff,0xfffb80df,0xeeeeeeff,0xeeeeeeee,0x37ffffc3,0xbfffff00,
    0x7fffffe4,0xffffffff,0x6fffffff,0x01bffffe,0x25fffff8,0x04fffff8,
    0x5fffffc8,0x1ffffff4,0x8bfffff0,0x03fffffe,0x897ffffe,0x405fffff,
    0x25fffff8,0x03fffffe,0xd17ffffe,0x407fffff,0x805fffff,0xffffffeb,
    0x3fea01df,0x00002fff,0x03fffffd,0x9fffff50,0x7fffe654,0xffecccce,
    0x3cccccff,0x07fffffa,0x3ffffea0,0x3ffffe24,0xfffff004,0x7ffffc4f,
    0x3fffe205,0x3fffe25f,0x3ffe205f,0x7fffc5ff,0x7ffd406f,0xffff15ff,
    0x7ffc40bf,0x3ffe25ff,0x3fe205ff,0x26005fff,0x800dfffc,0x03fffff9,
    0xffff7000,0xfffd00df,0x3ffe05ff,0x5fffe84f,0xfffffb80,0xffffe806,
    0x3fffe22f,0xfff9004f,0x3ffea1ff,0x3fe602ff,0x3fea5fff,0x3e602fff,
    0x7fc5ffff,0x7e407fff,0xff55ffff,0x7cc05fff,0x3ea5ffff,0x2602ffff,
    0x005fffff,0xfffffff1,0xffff8805,0x5e76406f,0xffff8809,0xffb104ff,
    0x3e60bfff,0xfff82fff,0xfff8804f,0xfb104fff,0xf88bffff,0x2984ffff,
    0x53fffff4,0x40bfffff,0x25fffffe,0x05fffffa,0x17fffffa,0x05ffffff,
    0x3fffffea,0xbfffff55,0x7fffff40,0x3ffffea5,0x3ffffa05,0x7795005f,
    0x803ffffb,0x03fffffc,0x1ffffff3,0xffffff90,0xffd7537d,0x2e01ffff,
    0x7cc1ffff,0xf9002fff,0x37dfffff,0xfffffd75,0xffff881f,0x2fff624f,
    0x6fffffc9,0x3fffffe6,0x7fffecc2,0x3ffe65ff,0x7ecc2fff,0x6c5fffff,
    0x0affffff,0xffffff93,0x3fffe6bf,0x7fecc2ff,0x3e65ffff,0x4c2fffff,
    0x5ffffffd,0x3fff2000,0x7fffc403,0x3faa0cff,0x3a04ffff,0xffffffff,
    0xffffffff,0x1ffff203,0x003fffea,0xffffffe8,0xffffffff,0xfff883ff,
    0xffff54ff,0xffffffff,0xffffff87,0xfffffcff,0x7fc6ffff,0xfcffffff,
    0xffffffff,0x7ffffd46,0xffffffff,0x3e5fffff,0xcfffffff,0xffffffff,
    0x7ffffc6f,0xffffcfff,0x006fffff,0x013ffee0,0x3ffffff2,0xffffffef,
    0x3fa200ff,0xffffffff,0x404fffff,0xfc86fffe,0x744007ff,0xffffffff,
    0x04ffffff,0x29fffff1,0xffffffe8,0xfa86ffff,0xffffffff,0xffffefff,
    0x3fffea0f,0xffffffff,0x40fffffe,0xfffffffd,0xffcbffff,0x3ffea5ff,
    0xffffffff,0x0fffffef,0x3fffffea,0xfeffffff,0x0200ffff,0x0bfffee2,
    0x7ffffe40,0xffffffff,0xfff9001f,0xffffffff,0xffff003d,0x0bfffd09,
    0x3ffff200,0xefffffff,0x3fffe201,0x3fffa24f,0x00efffff,0xfffffff9,
    0xfff33dff,0xfffc85ff,0x9effffff,0x82fffff9,0xfffffffd,0xffff92ff,
    0xfffffc8b,0xf99effff,0x7e42ffff,0xffffffff,0xfffff99e,0x3fffee02,
    0x005fffff,0x7fffffd4,0x01ffffff,0x7ff6dc40,0x3004efff,0xff05ffff,
    0x440009ff,0xfffffedb,0xfff8804e,0x7f5c44ff,0x9803ffff,0xcffffffe,
    0x17ffffa0,0x3fffffa6,0x3fffa0cf,0xfffd905f,0x7fe43bdf,0xffe985ff,
    0x3a0cffff,0xe985ffff,0x0cffffff,0x817ffffa,0xfffffffb,0xd930002e,
    0x7fffffff,0x55100001,0x99930003,0xcccc8819,0x2a200001,0x8000001a,
    0x88001aa8,0x00000aa9,0x00015531,0x00055440,0x00aa9880,0x15531000,
    0x2aa20000,0x0001abcc,0x00cd54c0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xcccca800,
    0xcc98002c,0x4c001ccc,0x6542cccc,0x70001ccc,0x00079999,0x26666644,
    0x33320000,0x910003cc,0x00199999,0x32a62000,0x000009ac,0x004ccccc,
    0x00060000,0x00033332,0x3fffe200,0xffd0006f,0x4001ffff,0x5c4ffffa,
    0x8002ffff,0x2ffffffb,0x3ffee000,0x900002ff,0x05ffffff,0x3fffea00,
    0x4400003f,0xfffffffc,0x700000cf,0xb89fffff,0xeca8000e,0x802cefff,
    0x0003fffd,0xeffffb80,0xfffc8000,0x2005ffff,0x5c4ffffa,0x4002ffff,
    0xfffffff9,0x3f20000f,0x80006fff,0xfffffffa,0xff70000f,0x40000fff,
    0xfffffffa,0x001fffff,0xfffff300,0x007fff7b,0xffffffc8,0x7dc04fff,
    0x800005ff,0x000effff,0xfdffffa8,0xf5002fff,0xffb89fff,0x7f4002ff,
    0x5ffffdff,0x7ffe4000,0x3e20002f,0xffffdfff,0x3ff20005,0x880003ff,
    0xffffffff,0x00efffff,0xfffd1000,0x4007dfff,0xffffffd8,0x00dfffff,
    0x000ffff3,0x0ffffb80,0xffff8800,0x01ffff94,0x89ffff50,0x002ffffb,
    0x263ffff2,0x0003ffff,0x002fffec,0x2adfffb0,0x0002ffff,0x001bfff2,
    0x3fffffa0,0xffffebdf,0x2200005f,0x00ffffff,0x7ffffe40,0xffffffff,
    0x1ffff105,0x7ff40000,0xffb0001f,0x5fffe8df,0x1aaaa880,0x0055554c,
    0x22ffffa8,0x001ffffb,0x00fffec0,0x0ffffdc0,0x001ffff9,0x017ffec0,
    0xfffff100,0xfffff70d,0xff910000,0x00bfffff,0x7fffffcc,0xfffffecf,
    0x5fffd02f,0x33220000,0x5510001c,0xaaa88155,0x0000000a,0x41555540,
    0x0001aaaa,0x00166644,0x540d5554,0x40001aaa,0x20003ccc,0x02fffff9,
    0x003fffff,0x56fffec0,0x004ffffe,0x89fffffb,0x06fffffb,0x0009fff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x27ffffcc,
    0x01ffffe8,0x8877f600,0x403fffff,0x07fffff8,0x01fffffd,0x000dfff5,
    0x00009880,0x00004c40,0x00002620,0x00006620,0x00000000,0x19880000,
    0xffff0000,0xfff981ff,0x0cc0007f,0x1fffffa8,0x3ffffea0,0xfffff703,
    0x1ffff107,0xffdb8000,0x0003deff,0xbdffffb7,0x3f6e0007,0x003defff,
    0xffffd510,0xd10079df,0xd007dddd,0x3a29dddd,0xe803eeee,0x4404eeee,
    0xefffffea,0xffb0003c,0x7fccbfff,0x80004fff,0xe8bcecb9,0x3206ffff,
    0x101fffff,0x20bfffff,0x0002fffe,0xffffffd3,0x2003dfff,0xffffffe9,
    0x3001efff,0xfffffffd,0x54003dff,0xffffffff,0x2200dfff,0x804fffff,
    0xf15fffff,0xf009ffff,0x540bffff,0xffffffff,0x4000dfff,0xcffffff9,
    0x1ffffffb,0x3ffa2000,0xffdfffff,0xffb02fff,0x7fc01fff,0xff906fff,
    0xff70009f,0xffffffff,0xfb807fff,0xffffffff,0x5c03ffff,0xffffffff,
    0x803fffff,0xfffffffd,0x3fffffff,0x9fffff10,0xbfffff00,0x13ffffe2,
    0x17ffffe0,0x7fffffec,0xffffffff,0x7ffe4003,0xffffffff,0x3ee0003f,
    0xffffffff,0x07ffffff,0x80ffffff,0x507ffffe,0x9800dfff,0xffffffff,
    0x2fffffff,0xffffff30,0xffffffff,0x3ffe605f,0xffffffff,0x3202ffff,
    0xffffffff,0xffffffff,0xfffff882,0xfffff804,0x9fffff15,0xbfffff00,
    0xffffff90,0xffffffff,0xfe8005ff,0xffffffff,0x3ea0003f,0xffffffff,
    0xffffffff,0x7fffff83,0x7fffff40,0x0ffff880,0x3ffffa00,0xffc99adf,
    0xffd06fff,0x9335bfff,0x20dfffff,0xadfffffe,0xfffffc99,0xfffff506,
    0xffb77bff,0x881fffff,0x804fffff,0xf15fffff,0xf009ffff,0xfa8bffff,
    0xbdffffff,0xffffffdb,0x3fee000f,0x1effffff,0x3ffe2000,0xfeefffff,
    0x6fffffff,0x37ffffc4,0x3fffff60,0x05fffd01,0x3ffffea0,0xfffff504,
    0xfffffa85,0xfffff504,0xfffffa85,0xfffff504,0xffffff05,0xfffd301d,
    0xfff88bff,0xfff804ff,0xffff15ff,0xffff009f,0xfffff8bf,0xffe980ef,
    0xd8805fff,0xffffffff,0x7ec0000f,0x443fffff,0xfffffffd,0x3ffffe20,
    0x7fffec06,0x9fffb01f,0x3ffffa00,0x3fff200f,0x7ffff46f,0x3fff200f,
    0x7ffff46f,0x3fff200f,0x7fffd46f,0x7ffc406f,0x3fe22fff,0xff804fff,
    0xfff15fff,0xfff009ff,0x7ffd4bff,0x7fc406ff,0x2a02ffff,0xffffffff,
    0x20005fff,0x1ffffffa,0x3ffffee0,0x3fffe63f,0x7ffec06f,0xfff701ff,
    0xffff100d,0xfff9809f,0xffff10ff,0xfff9809f,0xffff10ff,0xfff9809f,
    0x3fff60ff,0xffb802ff,0x3fe24fff,0xff804fff,0xfff15fff,0xfff009ff,
    0x7ffecbff,0xffb802ff,0xff504fff,0xffffffff,0x01a85fff,0x4fffffc8,
    0xfffffe80,0x3ffffe65,0x7fffec06,0xffff301f,0xfffff300,0xffff8807,
    0xfffff31f,0xffff8807,0xfffff31f,0xffff8807,0x3ffffe1f,0xffff1007,
    0x7fffc4bf,0xffff804f,0xfffff15f,0xfffff009,0x3fffffcb,0xfffff880,
    0xfffffa85,0xfffffbff,0x37ffe1ff,0xffffe81b,0xfffa800f,0x3ffe26ff,
    0x7fec06ff,0x3fe01fff,0x7fd401ff,0xeeeeefff,0xffffeeee,0xfffff52f,
    0xdddddddd,0x25fffffd,0xeefffffa,0xfeeeeeee,0xff12ffff,0x7c00dfff,
    0x3e27ffff,0xf804ffff,0xff15ffff,0xff009fff,0x3fe2bfff,0x3e006fff,
    0xfe87ffff,0xf31effff,0x51dfffff,0xf03fffff,0x200fffff,0x27fffff8,
    0x06fffff8,0x0fffffec,0x807fffb0,0xfffffffb,0xffffffff,0xff73ffff,
    0xffffffff,0xffffffff,0x3fffee7f,0xffffffff,0x3fffffff,0x0bfffff3,
    0x7fffff40,0x9fffff10,0xbfffff00,0x13ffffe2,0x57ffffe0,0x05fffff9,
    0x3fffffa0,0x3ffffee0,0x7fffd40e,0xffffddff,0xfffff887,0x3fffe006,
    0xffff10ff,0xfffe80df,0x3fee00ff,0x7ffe405f,0xffffffff,0xffffffff,
    0xffffff94,0xffffffff,0x329fffff,0xffffffff,0xffffffff,0xfff34fff,
    0x7f4009ff,0xff10ffff,0xf880bfff,0xff15ffff,0xf880bfff,0xff35ffff,
    0x74009fff,0x360fffff,0x903fffff,0xffffffff,0xff309fff,0x7400bfff,
    0x7fc7ffff,0x7f407fff,0x2600ffff,0x7dc07fff,0xeeeeffff,0xeeeeeeee,
    0xffff73ee,0xdddddddf,0x7ddddddd,0x3bffffee,0xeeeeeeee,0xf13eeeee,
    0x400bffff,0x227fffff,0x405fffff,0x15fffff8,0x80bfffff,0x15fffff8,
    0x00bfffff,0x23fffffc,0x00ffffff,0x3ffffff6,0xff01ffff,0x7c00dfff,
    0x7f46ffff,0x7fc07fff,0xff806fff,0x3fea01ff,0x40002fff,0x02fffffa,
    0x7fffd400,0xff80002f,0x3e006fff,0x3e25ffff,0x4405ffff,0xf15fffff,
    0x880bffff,0x3e5fffff,0x2006ffff,0x225fffff,0x406fffff,0xffffffe8,
    0x3ffa05ff,0xff1007ff,0xffd8bfff,0xff101fff,0xfb00bfff,0x7fcc07ff,
    0x40003fff,0x03fffff9,0x7fffcc00,0xfe80003f,0xa801ffff,0x7c4fffff,
    0x5406ffff,0x3e5fffff,0x5406ffff,0x3a5fffff,0x801fffff,0x44fffffa,
    0x00ffffff,0x7fffffcc,0x3ff601ff,0xfb802fff,0x7dc3ffff,0xf302ffff,
    0x7009ffff,0x7c40bfff,0x6406ffff,0x3e209bce,0x6406ffff,0x3e209bce,
    0x6406ffff,0x7dc09bce,0xe806ffff,0x7c2fffff,0x6407ffff,0x3e5fffff,
    0x6407ffff,0x2e5fffff,0x806fffff,0x42fffffe,0x03fffffe,0xffffffd8,
    0x3ffee04f,0x7fc406ff,0x7cc2ffff,0xfb06ffff,0x3003ffff,0xfc80ffff,
    0xf303ffff,0x641fffff,0x303fffff,0x41ffffff,0x03fffffc,0x1ffffff3,
    0x7fffffc4,0xffffb104,0xfffff0bf,0x3ffea05f,0x3ffe5fff,0xff502fff,
    0x7c4bffff,0x104fffff,0x0bfffffb,0x1dfffff9,0x3ffffa20,0x80efffff,
    0x4fffffe8,0xfffffd10,0x3ffffa0b,0x7fffcc2f,0x3ffe006f,0x3ffe201f,
    0x3aa0cfff,0x444fffff,0x0cffffff,0x3fffffaa,0x7ffffc44,0x3ffaa0cf,
    0xffc84fff,0xa9beffff,0xffffffeb,0xfffffd80,0xfff930af,0x7ecbffff,
    0x30afffff,0xfffffff9,0xfffffc8b,0xfeba9bef,0x880fffff,0xbfffffff,
    0xffffdb9a,0xffffffff,0xffffa83f,0xfba9beff,0x00ffffff,0x9ffffff7,
    0xffffff95,0x7fff4007,0x7fffe403,0xffffefff,0xfc80ffff,0xfeffffff,
    0x0fffffff,0xffffffc8,0xffffffef,0xfffd00ff,0xffffffff,0x207fffff,
    0xfffffffa,0xffffffff,0x3fea5fff,0xffffffff,0xffffffff,0xfffffe85,
    0xffffffff,0x3ee03fff,0xffffffff,0xffffffff,0xffffffff,0xfffffd83,
    0xffffffff,0x7f403fff,0xffffffff,0x4006ffff,0xc805fffc,0xffffffff,
    0x01ffffff,0x3ffffff2,0xffffffff,0x3ffff201,0xffffffff,0x3fa201ff,
    0xffffffff,0x404fffff,0xfffffffd,0xffcbffff,0x7ffec5ff,0xffffffff,
    0x85ffffcb,0xffffffe8,0xffffffff,0xffffd804,0xffffffff,0xfffbefff,
    0xfb105fff,0xffffffff,0x009fffff,0xffffffd3,0x03ffffff,0x06fffa80,
    0xffffff50,0x03ffffff,0xffffff50,0x03ffffff,0xffffff50,0x03ffffff,
    0x3fffff20,0x1effffff,0xfffffb00,0x3f25ffff,0xffd85fff,0x2fffffff,
    0x40bffff9,0xfffffffc,0x001effff,0x3fffffea,0x3fffffff,0x03bfffa6,
    0xffffff70,0x03dfffff,0x7fffec40,0x00efffff,0x0ffff880,0xfffd9300,
    0x0017ffff,0x7ffff64c,0x2000bfff,0xfffffec9,0x44000bff,0xfffffedb,
    0xfec8004e,0x321defff,0xd905ffff,0x43bdffff,0x405ffffc,0xffffedb8,
    0x910004ef,0xfffffffd,0x3ff2019d,0xfffb1001,0x009dffff,0x7ffff640,
    0x740004ff,0x30002fff,0x00003355,0x00066aa6,0x00cd54c0,0x03551000,
    0x02aa2000,0x0aa88000,0x2a200000,0x9800001a,0x26001aba,0x57310002,
    0x98800003,0x500000aa,0x00005999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66400000,0x666443cc,
    0x3333302c,0x00000001,0x06666620,0x00001300,0x00006200,0x80000310,
    0x9abccaa8,0x0c400000,0x26000000,0x00019999,0x579b9751,0x4ccc0001,
    0xfff88199,0x7fffcc6f,0xfffff985,0x00000003,0x0fffffb0,0xffffec88,
    0x3bbbaa2d,0x3bbbba26,0x3fffb2a1,0xcb88003d,0x01cefffe,0xffffd700,
    0x07ffffff,0x7ffedc00,0x3bba63df,0xff80006e,0x54007fff,0xfffffffd,
    0x44002eff,0x887fffff,0x7cc6ffff,0xff985fff,0x00003fff,0xfffb0000,
    0x7ff4c0ff,0x54ffffff,0x7c4fffff,0xffb1ffff,0x1dffffff,0x3fffe600,
    0x04ffffff,0x3ffffa60,0xffffffff,0x362003ff,0xffffffff,0x0fffff35,
    0xfffff000,0x3ffee00f,0xffffffff,0x1003ffff,0x10ffffff,0xf98dffff,
    0xff985fff,0x00003fff,0xfffb0000,0x3ffee0ff,0xffffffff,0x27ffffbd,
    0xd9fffff8,0xffffffff,0x7d401fff,0xffffffff,0x4c00efff,0xffffffff,
    0xffffffff,0xfff9804f,0xffffffff,0x07ffff9d,0xfffff800,0x7ffec407,
    0xcbabcdff,0x0dfffffd,0x7ffffc40,0x6ffff887,0x42ffffcc,0x03fffff9,
    0xb0000000,0xf10fffff,0xffffffff,0xffffffff,0x7fffc4ff,0xffffffff,
    0x06ffffff,0x3fffffea,0xffffffff,0x3fffe205,0xffffffff,0x2fffffff,
    0x7fffff40,0xefffffff,0x0007ffff,0x07fffff8,0x2fbfffa6,0x7ff5c400,
    0x3fe202ff,0x55507fff,0xaaaa8855,0xfffff981,0x00000003,0x0fffffb0,
    0x9ffffffb,0xffff9533,0x7fc4ffff,0xbdffffff,0xfffffeba,0xffffb03f,
    0xffffbbff,0x3ea07fff,0xbcffffff,0xfffffcba,0xff700fff,0x537dffff,
    0xfffffffb,0xfff0000f,0x3fe20fff,0xf70004ff,0x3e203fff,0x0007ffff,
    0x7fffcc00,0x0000003f,0xfffffb00,0xffffff98,0xfffff502,0x7fffc4ff,
    0xff903fff,0xf881ffff,0x640dffff,0xb06fffff,0x807fffff,0x3ffffffc,
    0xffffff88,0xfffff504,0xff0000ff,0x3fa0ffff,0x4c0002ff,0xf880effe,
    0x0007ffff,0x7fffcc00,0x0000003f,0xfffffb00,0x4fffffc8,0x7ffffec0,
    0x3ffffe27,0x7fff404f,0x7ffdc3ff,0xfff881ff,0xffff07ff,0x3ff600df,
    0xffb85fff,0x7e406fff,0x0007ffff,0x87fffff8,0x3311fffc,0x01333333,
    0x442fffc4,0x007fffff,0x7ffcc000,0x001303ff,0xfb009800,0xffe8ffff,
    0x7c400fff,0x3e27ffff,0x400fffff,0x44fffffa,0x205fffec,0x40fffffd,
    0x03fffff9,0xdfffff50,0x5fffff90,0xfffff880,0xfff80007,0x7ffcc7ff,
    0x3fffff23,0x504effff,0xff885fff,0xddd17fff,0xddd007dd,0x3ffe69dd,
    0x3ff6e3ff,0x88003dff,0x2dffffec,0xf1fffff6,0x200dffff,0x227fffff,
    0x006fffff,0x40bfffff,0x3ff601a9,0xfff987ff,0x376007ff,0xffd84ccc,
    0xffd007ff,0xf0000fff,0xfc8fffff,0x7fffe45f,0x5fffffff,0xf88bff90,
    0xff17ffff,0xff009fff,0x3fe6bfff,0xffd8bfff,0x0effffff,0xffffd300,
    0x3f69ffff,0x7ffc7fff,0xffd005ff,0x7ffc4fff,0xffd005ff,0xe8000dff,
    0xff04ffff,0x003bffff,0x7ffffc00,0xffffb007,0xfff0000f,0x7ffc4fff,
    0x5577fe41,0x3ffffcaa,0x220fff88,0xf17fffff,0xf009ffff,0x3e6bffff,
    0xffedffff,0xffffffff,0x7ffdc02f,0xffffffff,0x27ffffee,0x05fffff9,
    0x4fffffb0,0x04fffff8,0x0fffffd0,0x7fffe400,0xffffd02f,0x0037bfff,
    0x7ffffc40,0xffff9006,0xfff0000f,0x37fdcfff,0xf8837fe4,0x7ffb05ff,
    0xbfffffc4,0x04fffff8,0x35fffff8,0xffffffff,0xffffffff,0x7fc40dff,
    0xffffffff,0xffffffff,0x3ffffe67,0xffffb005,0x7ffffc4f,0xffffb004,
    0x75d4400f,0x204fffff,0xfffffffa,0x00acefff,0x37ffffc0,0x7ffffc80,
    0xffff8000,0x20fff67f,0x3f606ffc,0x4dff506f,0x17fffff8,0x009fffff,
    0x26bfffff,0xffffffff,0xfffda99b,0xffb03fff,0x5359ffff,0xfffffff9,
    0x7ffffc4f,0xffffd006,0x7ffffc4f,0xffffd005,0x7ffdc00f,0xc803ffff,
    0xffffffff,0x02efffff,0x0dffffd0,0x1fffff60,0x3fffe000,0x207ffa7f,
    0x3fa06ffc,0x4fff104f,0x17fffff8,0x009fffff,0x26bfffff,0x1fffffff,
    0xffffff70,0xfffff981,0xffff702f,0xffff8fff,0xffff007f,0x7fffc4ff,
    0xffff006f,0x7fe400bf,0x2002ffff,0xfffffffe,0xffffffff,0x7fffec03,
    0xffffd007,0xfff0000f,0x07ffcfff,0x26637fe4,0x3e00fffd,0xffff10ff,
    0x3fffe2ff,0xffff804f,0xfffff35f,0xfffe807f,0x7ffe43ff,0x7fec04ff,
    0x7ff47fff,0x7dc02fff,0x3e27ffff,0x401fffff,0x04fffff9,0x3fffff60,
    0xf7000cff,0xffffffff,0x09ffffff,0x0fffffe4,0x3ffffe60,0xfff80007,
    0x0fff17ff,0x3ffffff2,0x404fffff,0xfff11ffe,0x3ffe2fff,0xfff804ff,
    0xffff35ff,0xfff500ff,0xfffe89ff,0x7fcc00ff,0x7fdc7fff,0x3e206fff,
    0x227fffff,0x05ffffff,0x1fffffec,0xfffffd00,0x2003dfff,0xfffffec8,
    0xffffffff,0xfffff705,0xffffd80b,0xff80007f,0xfff17fff,0x3fffff20,
    0x800cffff,0xfff11ffe,0x3ffe2fff,0xfff804ff,0xffff35ff,0xfff100bf,
    0xffff8bff,0xffff006f,0xffff88ff,0x7f4c0eff,0x227fffff,0x3fffffff,
    0xffffff50,0xea8d4001,0x00ffffff,0x7fff64c0,0xffffffff,0xfffff885,
    0xffff702f,0xf0000fff,0x7fcfffff,0xcfffc80f,0x001efffe,0x3fe21fff,
    0xfff17fff,0xfff009ff,0x3ffe6bff,0xfff004ff,0xffff8dff,0xfffd005f,
    0xffff90ff,0xfffbdfff,0x4fffffff,0xfffffff8,0xffc98acf,0x0003ffff,
    0x5fffffa8,0x3f2a2000,0xffffffff,0xfffffb81,0xffca89cf,0x007fffff,
    0x7fffff80,0x3f207ffa,0x3fff626f,0x13ffc402,0x22ffffff,0x804fffff,
    0xf35fffff,0x2007ffff,0x267ffffe,0x004fffff,0x10fffffb,0xfffffffd,
    0xffdfffff,0x7ffc4fff,0xffffffff,0xffffffff,0xffb00000,0x00001fff,
    0x3fffffaa,0xffffd04f,0xffffffff,0x00ffffff,0xffffff00,0x7e41ffec,
    0x0fffe86f,0xf89bfe60,0xff17ffff,0xf880bfff,0xff35ffff,0x3a009fff,
    0x3e67ffff,0xb005ffff,0x220fffff,0xfffffffe,0xfffd9eff,0x3fffe27f,
    0xfffffedf,0x02ffffff,0x3ffee000,0x199882ff,0x7fffec00,0xffff506f,
    0xdfffffff,0x00fffffd,0xfffff880,0x321bfee7,0xfff986ff,0x893ff604,
    0xf17fffff,0x880bffff,0xf35fffff,0x2009ffff,0x226fffff,0x005fffff,
    0x40fffffd,0xffffffd8,0xffffb0ef,0x7ffffc4f,0xfffffd8c,0x0001efff,
    0x7ffffd40,0xbffffd33,0xffffa800,0x3ffe606f,0x8dffffff,0x227ffffd,
    0x203edcba,0x26fffff8,0x7e41fff8,0x3fffb06f,0x441fff10,0xf17fffff,
    0x880bffff,0xf35fffff,0x100bffff,0xf8bfffff,0xf006ffff,0x300fffff,
    0x4157dfb7,0x227ffffd,0x324fffff,0x0dffffff,0x0e5d4c40,0x3ffffee0,
    0xffffff13,0xffff8800,0x7fec407f,0x3f64efff,0x3fe27fff,0x3e604fff,
    0x7e46ffff,0x837fe45f,0xfc86fff9,0x7fffc45f,0x3ffffe7f,0x7fffd406,
    0xfffff35f,0xfffa801f,0x7ffec4ff,0x7fcc00ff,0x00007fff,0x89bffffa,
    0x884fffff,0xff3000aa,0xfc80bfff,0x3fa1ffff,0x2003ffff,0x06fffffa,
    0x3602aa60,0x7fc7ffff,0x3ea05fff,0x7cc5ffff,0x1bff23ff,0x2a3fffd8,
    0x7fc42fff,0x3ffe7fff,0x7fe407ff,0xfff35fff,0xfe809fff,0x7e43ffff,
    0x6c03ffff,0x547fffff,0x7fc001aa,0x3fe25fff,0x00004fff,0x03fffffe,
    0x7fffffc4,0x3fffff20,0xffe8801f,0x00004fff,0xd1fffff6,0x201fffff,
    0x84fffffd,0x5531fffc,0x95554405,0xf885fff8,0x3fe7ffff,0xf502ffff,
    0x26bfffff,0x3fffffff,0xffffff70,0xfffff981,0xffff702f,0xfffb8fff,
    0x3e601eff,0x3e24ffff,0x0004ffff,0x3fffff60,0xffffd80c,0x7fffcc6f,
    0x3aa03fff,0x01ffffff,0x3fff6000,0x7fffec7f,0x7ffd40ef,0xffd02fff,
    0xe980005f,0xff880eff,0x3ff67fff,0x930affff,0xbfffffff,0x3fffffe6,
    0xfc98acff,0xb03fffff,0x59ffffff,0xfffff931,0xfff98fff,0xfd305fff,
    0x7c45ffff,0x0004ffff,0x3ffffea0,0xffebacff,0xfc81ffff,0xefffffff,
    0xffffeecc,0x00006fff,0x23ffffec,0xfffffffa,0xfffffede,0x3ffe206f,
    0xff70004f,0x3fe203ff,0x3fea7fff,0xffffffff,0xffffffff,0xffffff35,
    0xffffffff,0x440dffff,0xffffffff,0xffffffff,0xffff87ff,0xfdcdffff,
    0x45ffffff,0x04fffff8,0x7ffe4000,0xffffffff,0x3a03ffff,0xffffffff,
    0xffffffff,0x00001fff,0x43ffffec,0xfffffffd,0xffffffff,0x7fff4c02,
    0x75c400be,0x2201ffff,0x6c7fffff,0xffffffff,0xfffcbfff,0xfffff35f,
    0xffffffd3,0x805fffff,0xfffffffb,0xffadffff,0xfffa87ff,0xffffffff,
    0x41ffffff,0x04fffff8,0xfffe8000,0xffffffff,0x7fc405ff,0xffffffff,
    0xffffffff,0xfd800002,0xff887fff,0xffffffff,0x1004ffff,0x9bfffffb,
    0xfffb9557,0xf8801dff,0xfd87ffff,0xffffffff,0x2bffff92,0x88fffff9,
    0xfffffffe,0xff5001ef,0xbfffffff,0x41ffffea,0xfffffffc,0xffffffff,
    0xfffff883,0xc8800004,0xffffffff,0x91003fff,0xffffffff,0x3dffffff,
    0x3f600000,0xfd307fff,0xffffffff,0xf70009ff,0xffffffff,0x07ffffff,
    0x3ffffe20,0xffffd907,0x7ffe43bd,0xfffff35f,0x3fffb221,0x44000cff,
    0x3efffffd,0x81ffffea,0xffffffd9,0x00dfffff,0x09fffff1,0x7ecc0000,
    0x0dffffff,0xfffc8800,0xdfffffff,0x6c000002,0x5c07ffff,0xffffffff,
    0x7540001c,0xffffffff,0x7c4002ef,0x4407ffff,0x000000aa,0x00005544,
    0x0000aa98,0x3b732a60,0x9800abcd,0x00009999,0x15753000,0x54c40000,
    0x0001aabb,0x26662000,0x55310019,0x80000135,0xabcdcba8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc0022,0x99800199,0x44001999,0x20000009,
    0xabcdcba8,0x22000000,0x73000000,0x00001559,0x9accaa98,0x44000000,
    0x9aaccba9,0x22000000,0x0009acba,0x33333322,0xfdca8000,0x3e02efff,
    0x000fffff,0x03fffffc,0x3ffffb22,0x80000cef,0xffffffda,0x0002efff,
    0xffffdc88,0x910000bd,0xfffffffd,0x6440003b,0xfffffffe,0x00003dff,
    0x3fffff6a,0x02dfffff,0xffec8800,0x4effffff,0xfffff500,0xfffc8007,
    0x1effffff,0x0ffffff8,0x7ffffc00,0x3fffee07,0x2fffffff,0xffff7000,
    0xffffffff,0x20007fff,0xfffffffa,0x54001fff,0xffffffff,0x8004ffff,
    0xfffffffb,0xefffffff,0x3fa60001,0xffffffff,0x02efffff,0xffffd300,
    0xffffffff,0xfff7005d,0x3fa200ff,0xffffffff,0x7ffc0fff,0x7c000fff,
    0xf907ffff,0xffffffff,0x4007ffff,0xefffffd8,0xffdcbabc,0x2000dfff,
    0xfffffffd,0x003fffff,0xfffffff3,0x7fffffff,0x3fff6200,0xffffffff,
    0x03ffffff,0xfffffb80,0xffffffff,0x002fffff,0x7fffffe4,0xffffffff,
    0x7e400dff,0x7c402fff,0xffffffff,0x7c6fffff,0x000fffff,0x43fffffc,
    0xfffffff9,0xffffffff,0xfffe9801,0x75c400be,0xb801ffff,0xffffffff,
    0x03ffffff,0x7fffffc4,0xffffffff,0x7fc401ff,0xffffffff,0xffffffff,
    0xfb000eff,0xffffffff,0xffffffff,0xd1005fff,0xffffffff,0xffffffff,
    0xff900bff,0xfffc80df,0xffecdfff,0x3fe3ffff,0x4000ffff,0xe87fffff,
    0xbdffffff,0x6ffffffd,0x27fffc40,0xffffb800,0x3fffe201,0xfffddfff,
    0x2a00ffff,0x9cffffff,0xfffffeb8,0x7ffff405,0xdcdfffff,0xffffffff,
    0xfffb804f,0xceffffff,0xffffffec,0x7e401fff,0xefffffff,0xfffffedc,
    0xfd803fff,0xfff102ff,0xffa83dff,0x3ffe5fff,0x7c000fff,0x7c47ffff,
    0x440effff,0x00fffffe,0x000bfffa,0x40dffd30,0x0cfffffd,0x3fffffa2,
    0x3ffff603,0xffff880f,0xfff700ff,0x2019ffff,0xffffffd8,0x3ffe601f,
    0x201dffff,0xfffffffb,0x3fffe605,0xfb102fff,0x01ffffff,0x32059990,
    0xd01fffff,0x3e1fffff,0x000fffff,0x23fffffc,0x03fffffa,0x05fffff5,
    0x8807fff2,0xf101bcca,0xfff10bff,0x3fe20bff,0x3fe07fff,0x3f605fff,
    0xf982ffff,0x02ffffff,0xffffff50,0x7ffffc0d,0xfd1003ff,0x201fffff,
    0x0efffffe,0xfffffc80,0xf880003f,0x2a06ffff,0x3fe2bcde,0x4000ffff,
    0x5c7fffff,0x100fffff,0x307fffff,0x3ae07fff,0x0dffffff,0x4c1fffa8,
    0x201fffff,0x83fffffc,0x02fffff9,0x06b37be6,0x3ffffff6,0x7ffd4001,
    0xffa83fff,0x4002ffff,0x3ffffff8,0xffffffa8,0x3fff6000,0xb80006ff,
    0x002fffff,0x3fffffe0,0x7fffc000,0x7fffcc7f,0xffff100f,0x0bff903f,
    0x3fffffea,0xfc80efff,0x7fffd45f,0x3ffe600f,0xfff985ff,0x880002ff,
    0x05ffffff,0xfffffb00,0xfffffb0f,0x3ff2000d,0xfff81bce,0x54004fff,
    0x202cefff,0xc84eeeed,0x001fffff,0x3fffffe0,0x7fffc000,0xfffff87f,
    0xfffff703,0x503fff10,0xb737dfff,0xff10bfff,0x7fffe41f,0x7fffc407,
    0xfffff06f,0xff500007,0x0001ffff,0x3fffffe6,0x3ffffe21,0x0310001f,
    0xffffff10,0x00370001,0x42fffffc,0x20fffffd,0x7c009ba9,0x000fffff,
    0x43fffffc,0x40effffd,0x85ffffe8,0xff886ffb,0xfffd80df,0x323ffd81,
    0xf807ffff,0xfd07ffff,0x00009fff,0x0bfffffb,0xffffe800,0x3fffee2f,
    0x8000006f,0x05fffffa,0xfff00000,0xfffb0bff,0x3fffeaff,0xfff00eff,
    0xf8001fff,0xe987ffff,0xdbdfffff,0x81ffffff,0xffa83ffd,0x39df101f,
    0x7d4dff50,0x2200ffff,0xb07fffff,0x000dffff,0x7fffffd0,0xfffc8000,
    0x3fff23ff,0x000005ff,0x4fffffb8,0xff000000,0xffd0bfff,0xffff9dff,
    0xf05fffff,0x001fffff,0x07fffff8,0xffffffb1,0x01dfffff,0x3f207ffa,
    0x7c40005f,0x3fffe67f,0x3ffe602f,0x93310fff,0x335fffff,0x3e001333,
    0x002fffff,0x7ffffdc0,0x3fffff64,0xc8000004,0x003fffff,0xffff0000,
    0xfffff0bf,0xffffffff,0xff87ffff,0x4000ffff,0x407fffff,0xfffffffc,
    0x7ffc05ff,0x004ffe80,0xf10fff80,0x6c0bffff,0xb1ffffff,0xffffffff,
    0x09ffffff,0x3fffffe0,0x7fd40001,0x3ffa6fff,0x99802fff,0x99999999,
    0x7ffec199,0x000002ff,0x8bfffff0,0xfffffff8,0xffffdeff,0x3ffe0fff,
    0x7c000fff,0x2e07ffff,0xffffffff,0xf880cfff,0x07fff07f,0x43ffd000,
    0x83fffffd,0xfffffffb,0xffffffb2,0xffffffff,0xffff1009,0x980001ff,
    0x3e7fffff,0x802fffff,0xffffffff,0x3a0fffff,0x001fffff,0xffff0000,
    0xffff88bf,0x7e41efff,0x3fe5ffff,0x4000ffff,0xd07fffff,0xffffffff,
    0x81ffffff,0xff887ff8,0xfe80003f,0x3fffe21f,0xffdbbdff,0xb2ffffff,
    0xffffffff,0x09ffffff,0xffffff10,0xffa80001,0x3ffa7fff,0xff802fff,
    0xffffffff,0x3ffe0fff,0x00002fff,0xbfffff00,0xffffff88,0xffffb00f,
    0x3ffffe3f,0x7ffc000f,0xfffd87ff,0xfda9bdff,0x7c0effff,0x4fff80ff,
    0x0fff8000,0x7fffffdc,0xffffffff,0xfffb1fff,0xffffffff,0x3e009fff,
    0x001fffff,0x7ffffdc0,0x3fffffa6,0xfffff803,0xffffffff,0x3fffffa0,
    0xf0000003,0xff0bffff,0x4c09ffff,0xff2fffff,0x8001ffff,0x4c7fffff,
    0x704fffff,0xe89fffff,0x5ffe81ff,0xff100dc0,0x3fffee0f,0xfdffffff,
    0x3310ffff,0x5fffff73,0x20013333,0x02fffffe,0x7fffe400,0x3ffff64f,
    0xffff804f,0xffffffff,0x3ffff20f,0x0000003f,0xd0bfffff,0x805fffff,
    0xfd4fffff,0x4001ffff,0x47fffff8,0x00fffffb,0x83fffff6,0xffc83ffd,
    0x5fff300f,0x4c0dff50,0xeffffffe,0x07ffffc8,0x07ffffea,0xffffc800,
    0x7ec0003f,0x3f23ffff,0xf805ffff,0xffffffff,0x3ee0ffff,0x0004ffff,
    0xfffff000,0xfffffb0b,0xffffe803,0x1fffffd5,0x7fffc400,0x7fffec7f,
    0x7fffd406,0x21bfee1f,0xfd05fff8,0x9ffb03ff,0xbddba880,0x1fffffa2,
    0x07ffffd8,0x7fffdc00,0x7f40005f,0x3ea2ffff,0x0007ffff,0x07fffffc,
    0x0bfffff5,0x002b7a00,0x217ffffe,0x02fffffd,0xeb7fffec,0x001fffff,
    0x1bffffe6,0x807fffff,0x22fffff9,0xfc81fff8,0xfeb9adff,0xfff885ff,
    0xfff80000,0x3ffe06ff,0x540005ff,0x01ffffff,0xfffff500,0xfffff83f,
    0x3fe0003f,0x3e60ffff,0x000fffff,0x1effffcc,0x0bfffff0,0x07fffff9,
    0xb5ffffe8,0x007fffff,0x2fffffd4,0x07fffff3,0x3fffff98,0xfd82ffe4,
    0xffffffff,0x05ffc80e,0xffff8800,0xffff305f,0xf880007f,0x006fffff,
    0xffffffd0,0xffffffb0,0x3ffe0001,0x7ffc0fff,0x64004fff,0x206fffff,
    0xa85fffff,0x404fffff,0xf73fffff,0x001fffff,0x93fffffa,0x04fffff8,
    0x0fffffd4,0x5c0fffe6,0xdfffffff,0x02fffa80,0x5c057531,0xd03fffff,
    0x000dffff,0x3fffff20,0x7fdc002f,0xfa83ffff,0x004fffff,0x1ffffff0,
    0xffffffb8,0xffff3000,0x7ffc07ff,0xfffd05ff,0x3fea01ff,0xfff52fff,
    0xf500bfff,0xe87fffff,0x200fffff,0x80fffffd,0x5101fffc,0x22039bb9,
    0xfff05fff,0x7ff40fff,0xfffb07ff,0x200001ff,0xfffffff8,0xffff9003,
    0x7fec0dff,0x000dffff,0xffffffd5,0xfffffd01,0xffe8803d,0x3e00ffff,
    0xf705ffff,0x981dffff,0x20fffffe,0xcffffffe,0xfffff700,0xffff90ff,
    0x3ffea09f,0x3ffa06ff,0x7cc0002f,0xff900eff,0xff705fff,0xffb07fff,
    0xbdb79fff,0x40971037,0xfffffffa,0x7f4c409d,0x01ffffff,0x3fffffe2,
    0xea980aff,0xffffffff,0xfffff980,0xffa80bff,0x404fffff,0x205fffff,
    0xbeffffff,0xffffffda,0x7ffffd44,0xfedeefff,0x3fffffff,0xffffffa8,
    0xfffc99ad,0x3e203fff,0x70004fff,0x5403ffff,0xadffffff,0xffffffda,
    0x7ffffdc0,0xffffffff,0x0fffeeef,0x3fffff60,0xfedeffff,0xffffffff,
    0xffffb804,0xedffffff,0xffffffff,0xfb00ffff,0xffffffff,0xffffffdb,
    0xff801dff,0x3ee05fff,0xffffffff,0xd06fffff,0xffffffff,0xffffffff,
    0x3f201fff,0xffffffff,0x05ffffff,0xbffffe98,0x7ff5c400,0xffe801ff,
    0xffffffff,0xf984ffff,0xffffffff,0xffffffff,0x3a204fff,0xffffffff,
    0xffffffff,0x7000dfff,0xffffffff,0xffffffff,0x05ffffff,0x7fffff44,
    0xffffffff,0x801fffff,0x405fffff,0xfffffffc,0x01ffffff,0xffffffb1,
    0xffffffff,0xfd803dff,0xffffffff,0x000fffff,0xbfffffb1,0xffb97579,
    0x2001dfff,0xfffffff9,0x04ffffff,0x3ffffffa,0xffffffff,0x00ffffff,
    0x7fffffdc,0xffffffff,0xa8003fff,0xffffffff,0xffffffff,0x9000dfff,
    0xffffffff,0xffffffff,0x3fffe003,0xfffa805f,0xefffffff,0xffffb801,
    0xffffffff,0xc8800dff,0xffffffff,0x8000dfff,0xfffffffb,0xffffffff,
    0xfffa8003,0xffffffff,0x7fffdc02,0xfffffeef,0xffffffff,0xfffe9803,
    0xffffffff,0x20000dff,0xffffffd8,0xffffffff,0xe98001df,0xffffffff,
    0x001dffff,0x017ffffe,0x7ffffecc,0x6cc003ff,0xffffffff,0x98002dff,
    0xfffffffd,0xea80002f,0xffffffff,0x440002ef,0xeffffffc,0x17ff000d,
    0xffffb730,0x0017dfff,0x7ffff65c,0x002cefff,0x3ffae200,0xdfffffff,
    0x5c40000b,0xffffffed,0xff8001df,0x88005fff,0x800009ba,0x9aabaaa9,
    0x75300000,0x00000135,0x579b9751,0x98800001,0x18000aba,0x4d554400,
    0x75300000,0x00000015,0x2aaeaa62,0x44000001,0x00009ab9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26666600,0x26660009,0x09800199,0x26666600,0x76400001,
    0xec806eee,0x2000eeee,0x99909999,0xcccc8899,0x33330003,0x75c00033,
    0x5003eeee,0x227ddddd,0x99999999,0x00000999,0x26666666,0x00009999,
    0x304ccccc,0x7e433333,0x5004ffff,0x00dfffff,0xdfffffd7,0x7fffc019,
    0x200000ff,0x807ffffd,0x00fffffd,0x29ffff70,0x7c47ffff,0xb8006fff,
    0x02ffffff,0xfffff300,0x3fff600d,0xffffd1ff,0xffffffff,0x005bdfff,
    0xfffffff0,0xffffffff,0x3fe0039b,0xfff35fff,0x7ffc4fff,0xfe800fff,
    0x2e02ffff,0xffffffff,0xfff04fff,0x00001fff,0x03ffffec,0x07ffffec,
    0x7ffffc40,0x88fffff4,0x8006ffff,0x6ffffffe,0x3fffa000,0xfff801ff,
    0x3fffa6ff,0xffffffff,0xffffffff,0x3fffe003,0xffffffff,0x2effffff,
    0xafffffc0,0x47fffff9,0x04fffffd,0x37ffffd4,0xffffff90,0xdfffffff,
    0xffffff81,0x3f600000,0xfd807fff,0xd800ffff,0xff4fffff,0xfff88fff,
    0x7fcc006f,0x01ffffff,0xfffff700,0xffffa807,0x3ffffa3f,0xffffffff,
    0xffffffff,0xfffff004,0xffffffff,0x7fffffff,0xafffffc0,0x47fffff9,
    0x0ffffff9,0x3fffffa0,0xfffff502,0xffffffff,0xffff8bff,0x200000ff,
    0x807ffffd,0x00fffffd,0x7fffffe4,0x88fffff4,0x4006ffff,0xfffffffc,
    0xff10004f,0xfc80dfff,0x3fa0ffff,0xffffffff,0xffffffff,0xf803ffff,
    0xffffffff,0xffffffff,0xff04ffff,0x3fe6bfff,0xffd87fff,0xff503fff,
    0x3e20dfff,0xcfffffff,0xfffffffe,0x3fffffe2,0x3f600000,0xfd807fff,
    0x3200ffff,0x4fffffff,0x55055555,0x7c400555,0xffffffff,0x3ff60007,
    0x3fe01fff,0x7ff45fff,0xfeeeefff,0xffffffff,0xff807fff,0xffffffff,
    0xffffffff,0xff81ffff,0xfff35fff,0xfff30fff,0x3ffa0fff,0xff702fff,
    0xd985dfff,0x3e5fffff,0xaabfffff,0x01aaaaaa,0x0fffffb0,0x1fffffb0,
    0xffffff50,0x00009fff,0x3fffee00,0x02ffffff,0xfffff500,0x3fffea07,
    0x7ffff42f,0xffd9800f,0x7c01ffff,0x100fffff,0xffffff73,0x333330bf,
    0x3ffffe61,0xfffffb07,0xfffff987,0x3ffff606,0xffff301f,0x7ffffcff,
    0xffffffff,0x202dffff,0x807ffffd,0x20fffffd,0xffffffe9,0x0004ffff,
    0xffffd000,0x0dffffff,0x7ffffc00,0xfffff906,0xfffffe81,0x3fff6000,
    0x7ffc04ff,0xd8800fff,0x02ffffff,0x3ffffe60,0xfffff307,0xfffffd8d,
    0x3ffffe02,0x7ffff405,0xffffff0f,0xffffffff,0x20bfffff,0x807ffffd,
    0x70fffffd,0xffffffff,0x0009ffff,0xffff3000,0xfffffd9f,0x3ff20003,
    0xfff80fff,0xfffe84ff,0x3ea000ff,0x7c05ffff,0x000fffff,0x1bfffffa,
    0xfffff880,0x3ffff607,0xfffff32f,0x7ff7440d,0x7ffe404f,0xfffff1ff,
    0xffffffff,0xdfffffff,0x7ffffd81,0xfffffd80,0xffffff90,0x09fffff9,
    0x013bbbb6,0x7ffffe40,0x4fffffb9,0xffff3000,0xffff987f,0xffffe81f,
    0x3fe2000f,0x7fc03fff,0x2000ffff,0x2ffffff9,0xf93bbbb6,0x2606ffff,
    0xf95fffff,0x8005ffff,0x7fff4009,0x3ffffe7f,0xffffffff,0xffffffff,
    0x3ffffec4,0x7ffffec0,0x3dffff90,0x09fffff3,0x017ffffe,0xbfffffc0,
    0x07fffff8,0x3ffffa00,0x3ffffe46,0x0fffffe8,0x3fffee00,0x7fffc01f,
    0x7ec000ff,0x3fe4ffff,0x3ffe5fff,0x7fec05ff,0xffff9fff,0x8800006f,
    0x3e6fffff,0xcccfffff,0xfffeeecc,0x360fffff,0x400fffff,0x90fffffd,
    0x3e61bfff,0xff04ffff,0x5000bfff,0x6c9fffff,0x002fffff,0x1fffff70,
    0x827ffffc,0x00fffffe,0xfffffd10,0xffffff00,0xfffa8001,0x3fffe6ff,
    0x3ffffa5f,0x7fffcc05,0x2fffffef,0xffb80000,0x3ffe4fff,0x74400fff,
    0x24ffffff,0x00fffffd,0x87fffff4,0x7fcc1cfc,0xfff04fff,0xfb000bff,
    0x7d43ffff,0x0006ffff,0x27fffff1,0x01fffff9,0x35fffffd,0x93333333,
    0x07ffffff,0x1ffffff0,0xffff9800,0x3ffffe7f,0x13ffff65,0xffd33333,
    0xffffffff,0x00033333,0xffffff88,0x3fffffe1,0xffffd000,0x7fffecdf,
    0x7fff401f,0x260150ff,0xf04fffff,0x800bffff,0x46fffff8,0x1ffffff8,
    0xffffb000,0x1bffff2d,0xffffffe8,0xffffffff,0x02ffffff,0x1ffffff0,
    0xffff8800,0xfffff0ff,0x1ffffe4b,0x3ffffffe,0xffffffff,0x00ffffff,
    0xffffd100,0xfffff89f,0xfff7000f,0x7ffecfff,0x3fe203ff,0x9800ffff,
    0xf04fffff,0x800bffff,0x83fffffb,0x04fffffd,0xfffff500,0x07fffff3,
    0x7ffffff4,0xffffffff,0x401fffff,0xffffffff,0x4fffffff,0x3fffffe0,
    0x4bfffff0,0x7c2ffffc,0xffffffff,0xffffffff,0x8000ffff,0xffffffe8,
    0x7fffffc0,0xffff3000,0x3fff61ff,0x3fee05ff,0x9800ffff,0xf04fffff,
    0x800bffff,0x80fffffe,0x07fffff9,0x3ffffe00,0x00fffffd,0x3ffffffa,
    0xffffffff,0x00cfffff,0x3ffffffe,0xffffffff,0x3ffffe04,0xbfffff1f,
    0x217fffdc,0xffffffff,0xffffffff,0x000fffff,0x7fffff44,0xfffff83f,
    0xfff5000f,0x7ffecfff,0xff982fff,0x800fffff,0x04fffff9,0x00bfffff,
    0x2fffffcc,0x5ffffff0,0x3fff2000,0x05ffffff,0x7ffffff4,0xffffffff,
    0x3fffffff,0xfffffff0,0xffffffff,0x7ffffc09,0xbfffff1f,0x20ffffd4,
    0xffffffff,0xffffffff,0x000fffff,0x3fffffa2,0xfffff04f,0x3ff2001f,
    0x3ff65fff,0x99cfffff,0xfffffffc,0xfff9800f,0xffff04ff,0x7fe400bf,
    0x3f202fff,0x0006ffff,0xfffffff3,0xffe805ff,0xeeeeefff,0xfffffffe,
    0xee84ffff,0xeffffffe,0x103eeeee,0x21ffffff,0x265fffff,0x5540ffff,
    0xffcaaaaa,0xaaaacfff,0xd1000aaa,0x0bffffff,0x07fffffc,0x7ffffc40,
    0x3ffff64f,0xffffffff,0x0fffffff,0xfffff980,0xbfffff04,0x3fffe200,
    0x3fe600ff,0x0001ffff,0xfffffffd,0xffffd00f,0xff51001f,0x403fffff,
    0x00ffffff,0x7ffffc40,0x97ffffe7,0x4007fff8,0x03fffffa,0xfffe8800,
    0x7fc05fff,0x5c00ffff,0x2fffffff,0x3bfffff6,0xefffffff,0x800fffff,
    0x04fffff9,0x00bfffff,0x3fffffee,0xffffffff,0x04ffffff,0xfffff700,
    0xffd009ff,0x44001fff,0x05fffffe,0x03fffffe,0xfffff300,0x2fffffcd,
    0x330ffff1,0xff733333,0x33337fff,0xfd100333,0x009fffff,0xddffffff,
    0xfffddddd,0x41ffffff,0xf8fffffd,0xfaefffff,0x9800ffff,0xf04fffff,
    0x200bffff,0xfffffffe,0xffffffff,0x007fffff,0xffffff10,0xfffd003f,
    0xfa8001ff,0x3e07ffff,0x000fffff,0x27ffffd4,0xf8bfffff,0xffff86ff,
    0xffffffff,0xffffffff,0x3ffa200f,0xf004ffff,0xffffffff,0xffffffff,
    0xfd83ffff,0xfff57fff,0xffff31df,0xfff3001f,0x3ffe09ff,0xff9805ff,
    0xffffffff,0xffffffff,0x0002ffff,0x0dfffffb,0x3fffffa0,0x7ffc4000,
    0xfff00fff,0xd8001fff,0x3e3fffff,0x7f45ffff,0xfffff85f,0xffffffff,
    0xffffffff,0x3ffffa00,0x3fe003ff,0xffffffff,0xffffffff,0xfffd82ff,
    0x000dcc7f,0xfffff980,0xbfffff04,0xfffff900,0xffffffff,0xffffffff,
    0x3f2000df,0xd003ffff,0x001fffff,0xffffff88,0xffffff01,0xffff8001,
    0x3fffe2ff,0x427fec5f,0xffffffff,0xffffffff,0x900fffff,0x07ffffff,
    0xffffff80,0xffffffff,0xb02fffff,0x000fffff,0xffff9800,0xfffff04f,
    0xfffff00b,0xffffffff,0xffffffff,0x88003fff,0x00ffffff,0x1fffffd0,
    0xffffb800,0x3fffe07f,0x3f2000ff,0x7fc7ffff,0x4cc45fff,0xffffff80,
    0xffffffff,0x0fffffff,0xffffffa8,0xffff8004,0xffffffff,0x402effff,
    0x007ffffd,0x7ffcc000,0xffff04ff,0xfffa80bf,0x99999eff,0xe9999999,
    0x004fffff,0x37ffffe4,0xfffffd00,0x7ff44001,0x3fe05fff,0x8800ffff,
    0x3ffffffd,0x02fffffc,0x2aaaaaa0,0xcfffffca,0x0aaaaaaa,0x7fffffc4,
    0xaaaaaabf,0xfff0aaaa,0x55557fff,0x6c001333,0x0007ffff,0x7fffcc00,
    0xfffff04f,0xffffd80b,0xffb8003f,0x2e007fff,0x02ffffff,0x3fffffa0,
    0x3f266200,0x03ffffff,0x03fffffe,0x3ffae662,0x7c0fffff,0x3b65ffff,
    0x2a004eee,0x003fffff,0x7fffffd4,0xffffffff,0xfff1ffff,0x00001fff,
    0x03ffffec,0x3fe60000,0xfff04fff,0x7fc40bff,0x8000ffff,0x2ffffff8,
    0xfffeef98,0x4006ffff,0xfffffffe,0xffffffff,0xffffffff,0x3ffffe00,
    0xffffffff,0xffffffff,0xfffff82f,0x17ffffe5,0xfffffa80,0x7ffec003,
    0xffffffff,0x1fffffff,0x01ffffff,0x7ffec000,0x4000007f,0x04fffff9,
    0x40bfffff,0x05fffffb,0x3ffff600,0xffff886f,0x02ffffff,0x7fffff40,
    0xffffffff,0xffffffff,0x7fffc02f,0xffffffff,0xffffffff,0xfffff03f,
    0x2fffffcb,0xfffff500,0x7ffc4007,0xffffffff,0xffffffff,0x1ffffff1,
    0x7fec0000,0x000007ff,0x27ffffcc,0x05fffff8,0x0bfffffa,0xffffa800,
    0xffff81ff,0x004fffff,0xffffffe8,0xffffffff,0x3fffffff,0xffffff80,
    0xffffffff,0x02efffff,0xf97ffffe,0x2005ffff,0x03fffffa,0x3ffffee0,
    0xffffffff,0xf1ffffff,0x001fffff,0x7fffec00,0x4c000007,0xf04fffff,
    0x260bffff,0x007fffff,0xffffff80,0xfffffe84,0xfd0003ff,0xffffffff,
    0xffffffff,0x3e005dff,0xffffffff,0xffffffff,0xffff803f,0x3ffffe5f,
    0x3ffea005,0x3f6003ff,0xffffffff,0xffffffff,0xfffff1ff,0x4c00001f,
    0x0002aaaa,0x7fffcc00,0xfffff04f,0x3ffff60b,0xfc80004f,0xcb87ffff,
    0x000bcdee,0x3fffffa0,0xffffffff,0x000bdeff,0x7ffffffc,0xeeffffff,
    0xfff000bc,0x7fffcbff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999980,0x00099999,
    0x4cccccc0,0x99999999,0x99999999,0xeeee8800,0x3331003e,0x33333333,
    0x33333333,0x3bbbaa01,0xeeeeeeee,0x300004ee,0x44001333,0xff80befc,
    0x19999886,0x99999800,0x0d54c001,0x26666600,0x4c000000,0xff80abcb,
    0xffffffff,0x1cefffff,0xffffff00,0xffffffff,0xffffffff,0xffff1005,
    0x3ffa009f,0xffffffff,0xffffffff,0xffffb05f,0xffffffff,0x90000bff,
    0x200bffff,0xdffffffb,0xe85ffc9b,0x000fffff,0x07fffffc,0xffffd910,
    0x4401bdff,0x004fffff,0xffffb000,0x7fc1ffff,0xffffffff,0xffffffff,
    0x7fffc02e,0xffffffff,0xffffffff,0xff8802ff,0xfd004fff,0xffffffff,
    0xffffffff,0x3ffa0bff,0xffffffff,0x0005ffff,0x2fffffd4,0xffffff80,
    0x3fffffff,0x0fffffe8,0x7ffffc00,0xffff700f,0xffffffff,0xffff1019,
    0xb000009f,0xffffffff,0xffffff8f,0xffffffff,0x03ffffff,0x3ffffffe,
    0xffffffff,0x2fffffff,0xfffff880,0xffffd004,0xffffffff,0xbfffffff,
    0xffffff10,0xffffffff,0x7c4000bf,0x805fffff,0xffdcfff9,0x80ffffff,
    0x00fffffe,0x7fffffc0,0x7ffff440,0xffffffff,0x7fc40fff,0x00004fff,
    0x7fffffe4,0x7ffc5fff,0xffffffff,0xffffffff,0xffff04ff,0xffffffff,
    0xffffffff,0xff1005ff,0x3a009fff,0xffffffff,0xffffffff,0xff985fff,
    0xffffffff,0x005fffff,0x3fffff60,0x3ffa805f,0x067ff64c,0x0fffffe8,
    0x7ffffc00,0x7fffec0f,0xffffffff,0x7c46ffff,0x0004ffff,0x7fffffc0,
    0x7fc4feef,0xffffffff,0xffffffff,0xff80ffff,0xffffffff,0xffffffff,
    0x8802ffff,0x004fffff,0xfffffffd,0xffffffff,0xf70bffff,0x9999ffff,
    0x07999999,0x3fffea00,0x98805fff,0xd0022009,0x001fffff,0x0ffffff8,
    0x3fffffee,0xfff5309c,0x7fc49fff,0x00004fff,0x3fffffe2,0x3fffe041,
    0xf93100ff,0x0bffffff,0x01ffffff,0x00000000,0x1fffffd0,0x7fe40000,
    0x000005ff,0x7fffffc4,0x000005ff,0x7fffff40,0x7fffc000,0xffff10ff,
    0x7f4405ff,0xff10ffff,0x00009fff,0x2fffffcc,0x7fffffc0,0xfffc8800,
    0x7ffc2fff,0x00000fff,0xfe800000,0x0000ffff,0x13ffffa0,0xffb00000,
    0x0bffffff,0x26666200,0xffffe800,0x7ffc000f,0xfff50fff,0xff3007ff,
    0x3fe25fff,0x00004fff,0x0fffffe6,0x3fffffe0,0x3fffa000,0x7fffc6ff,
    0x000000ff,0x0bffff90,0x3fffffa0,0x3fe00000,0x00002fff,0x3ffffea0,
    0x2005ffff,0xffffffda,0xffd01cef,0xf8001fff,0xf90fffff,0x7c00ffff,
    0xff14ffff,0x00009fff,0x1fffffcc,0x7fffffc0,0x3ffe6000,0x3ffe2fff,
    0x00000fff,0xbffff900,0x3ffffa00,0xf100000f,0x0003ffff,0x3fffe200,
    0x05ffffff,0xfffffe98,0x2fffffff,0x0fffffe8,0x7ffffc00,0x9fd9930f,
    0x7ffffc00,0x9fffff15,0x3bbbb620,0xfddd50de,0xddddffff,0xffffff09,
    0xfffd8001,0x3fffe4ff,0x000000ff,0x07ffffb0,0x3fffffa0,0xff500000,
    0xffd75fff,0x6c00059d,0xffebffff,0x7fc405ff,0xffffffff,0x743fffff,
    0x000fffff,0x07fffffc,0x7ffd4000,0xffff12ff,0x3fff609f,0x3fee1fff,
    0xffffffff,0xffff85ff,0x7dc000ff,0x3fe6ffff,0x0000ffff,0xffff8800,
    0xfffd001f,0x200001ff,0xfffffffc,0x0dffffff,0x7fffdc00,0x0bffffd6,
    0xffffffe8,0xffffffff,0x3fffa0ff,0x7fc000ff,0x0000ffff,0x0fffffd8,
    0x09fffff1,0x3ffffffb,0xffffffb8,0x85ffffff,0x00ffffff,0x7ffffcc0,
    0x3fffffe7,0xaaaaaaab,0x0aaaaaaa,0xffffe880,0x3fffa007,0xb00000ff,
    0xffffffff,0x3fffffff,0x3fffe200,0xbffffd0f,0x7ffffcc0,0xffb999be,
    0x3fa2ffff,0x999affff,0x99999999,0x00ffffff,0x3fff6200,0x3ffe26ff,
    0x7ffe44ff,0xffb82fff,0xffffffff,0xffff85ff,0x7c4000ff,0xff0fffff,
    0xffffffff,0xffffffff,0xe8803fff,0x005fffff,0x3bfffffa,0xeeeeeeee,
    0xfff04eee,0xffffffff,0x01dfffff,0x47ffffb0,0x205ffffe,0x01fffffd,
    0x49fffff7,0xfffffffe,0xffffffff,0xffffffff,0xffd10000,0x7c43ffff,
    0x3ee4ffff,0x502fffff,0xfffffddd,0xff09dddd,0x8001ffff,0x0ffffff8,
    0xffffffff,0xffffffff,0x403fffff,0xffffffe9,0x3fffa000,0xffffffff,
    0x85ffffff,0xfffffff8,0xffffecbd,0x7fdc04ff,0x7fff45ff,0x6dd4405f,
    0x3fffe203,0x3ffffa4f,0xffffffff,0xffffffff,0x98000fff,0x2fffffff,
    0xa7ffffc4,0x3ffffffa,0xfffff300,0xfffff007,0xfff0001f,0x3ffe3fff,
    0xffffffff,0xffffffff,0xfff301ff,0x8005ffff,0xfffffffe,0xffffffff,
    0xfff985ff,0xfff704ff,0x3e203fff,0x7f40ffff,0x00005fff,0x97ffffe2,
    0xfffffffe,0xffffffff,0xffffffff,0x7ffcc000,0xf882ffff,0xff9cffff,
    0x2004ffff,0x03fffff9,0x0ffffff8,0xfffff800,0xffffff1f,0xffffffff,
    0x3fffffff,0xffffff50,0xffd0003f,0xffffffff,0xbfffffff,0x00b2a620,
    0x09fffffb,0x20fffffa,0x005ffffe,0x7ffedcc0,0x3ffa5fff,0xffffffff,
    0xffffffff,0x000fffff,0x3fffffe2,0xffff101f,0xffffffbf,0xfff98009,
    0xfff803ff,0x44000fff,0xf0ffffff,0xdddfffff,0xdddddddd,0xf883dddd,
    0x01ffffff,0xfffffd00,0xffffffff,0x000bffff,0x3ffffe60,0x5ffffb85,
    0x0bffffd0,0x7ff65440,0xffffffff,0x3fffffa5,0xeeeeeeee,0xffffeeee,
    0x3fa000ff,0x200effff,0xfffffff8,0x001fffff,0x1fffffcc,0x7fffffc0,
    0x7ffc4000,0x3fffe7ff,0x200000ff,0x0efffffd,0x3fffa000,0x99999aff,
    0x00999999,0x3fffe000,0x7fffcc6f,0xffffd00f,0xfffb100b,0xffffffff,
    0x7ff4bfff,0x7c000fff,0x000fffff,0x1dfffff1,0xfffff880,0x5fffffff,
    0x7fffcc00,0xffff803f,0x7cc000ff,0x3fe6ffff,0x0000ffff,0xdfffff50,
    0xffe80001,0x00000fff,0x3fffa000,0x7ffff47f,0xe999999c,0x999dffff,
    0x7ffffcc0,0xffdeffff,0x3ffa5fff,0x7c000fff,0x000fffff,0x01fffff5,
    0xffffff10,0x5fffffff,0x7fffcc00,0xffff803f,0x7d4000ff,0x3fe5ffff,
    0x0000ffff,0x3fffff90,0xfffd0000,0x000001ff,0x7ffff400,0x3ffffe67,
    0xffffffff,0xffffffff,0x3ffffea3,0x3fe0bdff,0x3ffa5fff,0x7c000fff,
    0x000fffff,0x00bffff9,0x3fffffe2,0x6fffffff,0x3fffe600,0xffff803f,
    0x7e4000ff,0x3fe3ffff,0x0000ffff,0x0dffffd0,0x855e6e40,0x00fffffe,
    0x00cc4000,0x337ffffc,0xffffffff,0xffffffff,0x747fffff,0x203fffff,
    0x3a5fffff,0x000fffff,0x07fffffc,0x3ffffd80,0xfffff100,0xffff9dff,
    0x3fe6007f,0xff803fff,0x2000ffff,0x2ffffff8,0x03fffffe,0x7fff4000,
    0xfff1005f,0x3fffa7ff,0xd80000ff,0x4407ffff,0x265fffff,0xffffffff,
    0xffffffff,0xf13fffff,0x440bffff,0x3a5fffff,0x000fffff,0x07fffffc,
    0x3ffffe80,0xfffff100,0xffff11df,0xff3001ff,0xff007fff,0x4001ffff,
    0x47fffffd,0x00ffffff,0xffff9000,0x3ffee00f,0xffffd0ff,0xfb00001f,
    0x6407ffff,0x263fffff,0xffffffff,0xffffffff,0xf53fffff,0x4c05ffff,
    0x3a5fffff,0x000fffff,0x07fffffc,0x09999880,0xfffff100,0x7fffdc1f,
    0xfff9804f,0xfff803ff,0xf7000fff,0xf87fffff,0x000fffff,0xfffff500,
    0xffff9809,0x3ffffa5f,0xfb80000f,0x980effff,0x20ffffff,0xfffffff9,
    0xffffffff,0x53ffffff,0x40bfffff,0x25fffffe,0x00fffffe,0x7fffffc0,
    0x88000000,0xe84fffff,0x401fffff,0x03fffff9,0x0ffffff8,0xfffb9988,
    0x7c0fffff,0x000fffff,0xffffd100,0xfff701bf,0x7ff47fff,0x80000fff,
    0xfffffff8,0xffffb99c,0xe80003ff,0xf305ffff,0x985fffff,0x5ffffffd,
    0x03fffffa,0xffffff00,0x3bbb2001,0xfff1005e,0xfff509ff,0xff980bff,
    0xff803fff,0xffffffff,0xffffffff,0xff81ffff,0xffffffff,0xffffffff,
    0x3e67ffff,0xefffffff,0xfffffffe,0x7fffff46,0xff500000,0xffffffff,
    0x00dfffff,0x3ffffa00,0x3ffffe05,0xffffcfff,0x3a6fffff,0x000fffff,
    0x07fffffc,0x7ffffe80,0xfffff100,0x3ffff609,0x3ffe602f,0xfff803ff,
    0xffffffff,0xffffffff,0xffff03ff,0xffffffff,0xffffffff,0xfffa8fff,
    0xffffffff,0x740effff,0x000fffff,0x3ffff200,0xffffffff,0xd00000df,
    0x540bffff,0xffffffff,0xfffeffff,0xffffd0ff,0xfff8001f,0xfd000fff,
    0x2200ffff,0x304fffff,0x40dfffff,0x03fffff9,0xfffffff8,0xffffffff,
    0x202effff,0xffffffff,0xffffffff,0x87ffffff,0xffffffea,0x0dffffff,
    0x0fffffe8,0x7fdc0000,0xffffffff,0x7400004f,0x6405ffff,0xffffffff,
    0xffff99ef,0xfffffd2f,0xffff8001,0xffd000ff,0x3e200fff,0x3204ffff,
    0x303fffff,0x007fffff,0xffffffff,0xffffffff,0xfff007ff,0xffffffff,
    0xffffffff,0x7dc0ffff,0xefffffff,0x3fffa02d,0x800000ff,0xffffffc8,
    0x800002df,0x805ffffe,0xffffffe9,0x3ffffa0c,0x1fffffd5,0xfffff800,
    0xfffd000f,0x3fe200ff,0x3e204fff,0x980fffff,0x803fffff,0xffffffff,
    0xceefffff,0xffff000b,0xffffffff,0xffffffff,0x53100fff,0x3a001379,
    0x000fffff,0x55d4c000,0x74000000,0x2005ffff,0x8000aa98,0x00fffffe,
    0x7fffffc0,0xffffd000,0x3ffe200f,0x7fdc04ff,0xff985fff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc00000,0x00000999,0x33331000,0x33333333,0x33333333,
    0x41333333,0x00199998,0x99999988,0x66664009,0xcccb803c,0x803002cc,
    0x99999999,0x4cccc001,0x26219999,0x88001999,0x4cc19999,0x00019999,
    0x86666662,0x99999999,0x20000099,0x005fffff,0xfff00000,0xffffffff,
    0xffffffff,0xffffffff,0x7fffff47,0x3ffa2001,0x200fffff,0x2ffffffb,
    0x3ffffe20,0x00fc8806,0x3ffffffe,0xff3001ff,0x4fffffff,0x02fffffe,
    0x3ffffe40,0x3ffffff2,0xfff98002,0x3ffe5fff,0xffffffff,0x03deffff,
    0x2fffffc0,0x5c000000,0xffffffff,0xffffffff,0xffffffff,0x3ffa3fff,
    0xd1001fff,0x3fffffff,0x7ffffcc0,0xff700fff,0xfb801dff,0x3ffe00ff,
    0x03ffffff,0xffffff70,0x7fff4fff,0x32000fff,0x7c47ffff,0x00ffffff,
    0x7fffff40,0x3ffffe0f,0xffffffff,0x03ffffff,0x0bfffff0,0xfd000000,
    0xffffffff,0xffffffff,0xffffffff,0x7fff47ff,0xfe8801ff,0x01ffffff,
    0x7feffff4,0xffff05ff,0x7ff4c01d,0x3ffe00ff,0x05ffffff,0xffffffb0,
    0x7fff4fff,0x32004fff,0xfa87ffff,0x004fffff,0x3fffffea,0x7fffffc3,
    0xffffffff,0x03ffffff,0x05fffff8,0x7d400000,0xffffffff,0xffffffff,
    0xffffffff,0x3ffa3fff,0xfd801fff,0x01ffffff,0x4c7fffe4,0x7dc3ffff,
    0x7ec00fff,0x3e00ffff,0xffffffff,0xfffff007,0x7f4fffff,0x01ffffff,
    0x0fffff90,0x3ffffff6,0xffff8801,0xffff86ff,0xffffffff,0xffffffff,
    0x7fffc03f,0x0000005f,0x5ffffff4,0xffffffda,0xffffffff,0x23ffffff,
    0x01fffffe,0x7fffffec,0x7ffd401f,0x3fffee1f,0x007fffa1,0x03fffff6,
    0xfffffff8,0x7cc01fff,0xffffffff,0x3fffffa7,0xff9006ff,0x3fe20fff,
    0xc805ffff,0x81ffffff,0xffffffff,0xffffffff,0x407fffff,0x005fffff,
    0x3fea0000,0x3fee5fff,0x00004fff,0x03fffffd,0x7fffffe4,0xaaaa801f,
    0x11aaaa82,0x36003999,0x200fffff,0xffffffff,0x7fdc04ff,0x7fffffff,
    0x3ffffffa,0xffc803ff,0x3fee07ff,0x2202ffff,0x04ffffff,0x01ffffff,
    0x3ffff662,0x3fe03fff,0x00005fff,0x3ffff600,0x3fffee1f,0xfd00004f,
    0x3203ffff,0x2fffffff,0x00000000,0x3fffff60,0x3ffffe00,0x406fffff,
    0xfffffffd,0x3fffa7ff,0x00ffffff,0x03ffffe4,0x1bfffffa,0x6fffffd8,
    0x3fffffe0,0xffff9800,0x3ffe05ff,0x013105ff,0x3ffe6000,0x7ffdc6ff,
    0xd00004ff,0x703fffff,0x5fffffff,0x00000000,0xffffdd30,0xf8ddddff,
    0xfffdffff,0x3ffe00ff,0x7ffffdff,0x3ffffffa,0x7e405fff,0x7cc07fff,
    0xa84fffff,0x01ffffff,0x03fffffe,0x7ffffec0,0x3ffffe06,0x3fffb265,
    0x360001de,0x5c2fffff,0x004fffff,0xfffffd00,0xfffffa83,0x6c0002ff,
    0x3604eeee,0xfa84eeee,0xffffffff,0x7fffc7ff,0x2ffffecf,0x9dffff30,
    0x7f4fffff,0xffffffff,0x3fff201f,0xfffc807f,0x7ff40fff,0x7fc04fff,
    0x5000ffff,0x40ffffff,0xf55fffff,0xffffffff,0xfff10005,0xfff70dff,
    0x200009ff,0x21fffffe,0xfffffffa,0xfff80002,0x3ffe05ff,0xfffa85ff,
    0xffffffff,0x67ffffc7,0x704ffffc,0xff99ffff,0x7fff4fff,0x6fffffff,
    0x1fffff20,0x3ffffe20,0x3fffee5f,0x7ffc00ff,0xf3000fff,0x7c0fffff,
    0xffceffff,0xffffffff,0x7fe4003f,0xffb83fff,0x00004fff,0x23fffffd,
    0xfffffff9,0xfff00003,0x7ffc0bff,0xfffa85ff,0xffffffff,0x67ffffc7,
    0xd06ffffa,0xff95ffff,0x7fff4fff,0xffffffef,0xfffff903,0x3fffea00,
    0xffff8aff,0xfff802ff,0xf7000fff,0x7c0dffff,0xffffffff,0xffffffff,
    0x3fe2007f,0xfb80ffff,0xaaadffff,0xaaaaaaaa,0x7fff40aa,0xffff99ff,
    0x00004fff,0x817ffffe,0x985fffff,0xffffffee,0x7ffc6eee,0xffff8cff,
    0x7fffc40f,0x7ffffc8f,0x2f7ffffa,0x80ffffff,0x007ffffc,0x3bfffff6,
    0x05fffffd,0x1ffffff0,0x3ffffa00,0x3fffe04f,0xa9acffff,0x2ffffffd,
    0xfffff900,0x3fffee09,0xffffffff,0x1fffffff,0x57fffff4,0xffffffff,
    0x3fe00006,0x3fe05fff,0x7ec05fff,0x3e00ffff,0xffd4ffff,0xfffa85ff,
    0xfffff96f,0xeafffff4,0xc85fffff,0x2007ffff,0xfffffff8,0x000fffff,
    0x01ffffff,0xfffffe88,0x3fffe02f,0xffb02fff,0xf1009fff,0x201fffff,
    0xfffffffb,0xffffffff,0x7f41ffff,0xffffffff,0x04ffffff,0xfffff000,
    0x7ffffc0b,0x7fffec05,0x3fffe00f,0x9ffff94f,0x94ffffc8,0x7f4fffff,
    0xfff35fff,0xffc85fff,0x7dc007ff,0xffffffff,0x3ffe003f,0xcaaabfff,
    0xfffffecc,0x3fe00fff,0x2204ffff,0x805fffff,0x05fffffb,0x3fffffee,
    0xffffffff,0x741fffff,0xffffffff,0xffffffff,0xfff80001,0x3ffe05ff,
    0x7fec05ff,0x3fe00fff,0xfff54fff,0xffffe8ff,0x4fffff92,0x365ffffe,
    0x646fffff,0x8007ffff,0xfffffffe,0x7ffc006f,0xffffffff,0xffffffff,
    0x7ffc03ff,0x7fc00fff,0xff806fff,0x2e01ffff,0xffffffff,0xffffffff,
    0x7ff41fff,0xffffffff,0x06ffffff,0xfffff800,0x3ffffe05,0x7fffec05,
    0x3fffe00f,0xfffff14f,0x3ffffe23,0x4fffff90,0x225ffffe,0x24ffffff,
    0x007ffffc,0xffffff98,0x7fc001ff,0xffffffff,0xffffffff,0xfff804ff,
    0xfff807ff,0x7fd406ff,0x7dc06fff,0xeeeeffff,0xeeeeeeee,0x7fff41ee,
    0xbbffffff,0x03ffffff,0x7ffffc00,0x3ffffe05,0x7fffec05,0x3fffe00f,
    0x3ffffa4f,0x4dffff53,0x3a7ffffc,0x7dc5ffff,0xf91fffff,0x2000ffff,
    0x4ffffffc,0xfffff800,0xffffffff,0x05ffffff,0x0dfffff0,0x0dfffff0,
    0xdfffffe8,0xdaaaaaaa,0x004fffff,0xfffffd00,0x7ff49fff,0x0000ffff,
    0x817ffffe,0x405fffff,0x00fffffd,0xc93ffffe,0xff95ffff,0x7ffe49ff,
    0x3ffffa7f,0xfffffe85,0x0fffff95,0x3fffe200,0xff8000ff,0xffffffff,
    0xdfffffff,0x3fffe001,0xfffe806f,0x3ffea06f,0xffffffff,0xffffffff,
    0xfd00004f,0x89ffffff,0x6ffffffa,0x3fffe000,0x3fffe05f,0x7ffec05f,
    0x3ffe00ff,0x3ffea4ff,0x5ffffd7f,0xd3ffffe4,0xf30bffff,0xf95fffff,
    0x4000ffff,0x007fffff,0x9ffffff0,0x59999999,0xfff00015,0xffd00bff,
    0x7ff40dff,0xffffffff,0xffffffff,0xd00004ff,0x09ffffff,0x3ffffff6,
    0xffff0003,0x7fffc0bf,0x7ffec05f,0x3ffe00ff,0x3ffe24ff,0xfffffaff,
    0x9fffff20,0x905ffffe,0xfbffffff,0x4000ffff,0x007fffff,0x1ffffff0,
    0x7fc00000,0xfe805fff,0xff306fff,0xffffffff,0xffffffff,0x00009fff,
    0x13fffffa,0xffffff88,0xfff8000f,0x3ffe05ff,0x7fec05ff,0x3fe00fff,
    0x7ff44fff,0x6ffffeff,0xd3ffffe4,0x220bffff,0xffffffff,0x20007fff,
    0x007fffff,0x1ffffff0,0x7fc00000,0xfe805fff,0xffb06fff,0xffffffff,
    0xffffffff,0x00009fff,0x07fffffa,0xffffff90,0xffff000b,0x7fffc0bf,
    0x7ffec05f,0x3ffe00ff,0x7ffe44ff,0x44ffffff,0x3a7ffffc,0x2a05ffff,
    0xffffffff,0x3e0007ff,0x0007ffff,0x01ffffff,0x7ffc0000,0xffe805ff,
    0xfff986ff,0xffffffff,0xffffffff,0x00004fff,0x03fffffd,0xffffff88,
    0x7ffc002f,0x3ffe05ff,0x7fec05ff,0x3fe00fff,0x7fd44fff,0x2fffffff,
    0xd3ffffe4,0xd80bffff,0xffffffff,0x3fe0007f,0xf0007fff,0x001fffff,
    0x7fffc000,0xfffe805f,0xffffc86f,0x3fee005f,0x00004fff,0x03fffffd,
    0xffffff50,0x7ffc001f,0x3ffe05ff,0x7fe405ff,0x3fe00fff,0x7fc44fff,
    0x0fffffff,0xd3ffffe4,0x880bffff,0xffffffff,0x3fe0007f,0xf0007fff,
    0x001fffff,0x7fffc000,0xfffe805f,0x7fffc46f,0x3ee002ff,0x0004ffff,
    0x3fffffd0,0x3ffffa00,0x3fe005ff,0x3fe05fff,0x7e405fff,0x5baeffff,
    0x427ffffc,0xfffffffe,0x7ffffc86,0x017ffffa,0x3fffffee,0x3e0007ff,
    0x0007ffff,0x01ffffff,0x7ffc0000,0xffe805ff,0x7ffe46ff,0x7dc006ff,
    0xffffffff,0xffffffff,0x3ffa7fff,0xf3001fff,0x05ffffff,0x17ffffe0,
    0x05fffff8,0x7fffffdc,0x3ffe0fff,0xfffc84ff,0xfc84ffff,0x3ffa7fff,
    0xffd005ff,0x00ffffff,0x3fffffc0,0xfffff800,0x2000000f,0x805fffff,
    0x226ffffe,0x03ffffff,0x7ffffdc0,0xffffffff,0x7fffffff,0x07fffffa,
    0xfffffc80,0xfff800ff,0x3ffe05ff,0x7fc405ff,0x1fffffff,0x213ffffe,
    0xfffffffa,0x7ffffc82,0x017ffffa,0x7fffffcc,0x3fe0007f,0xf0007fff,
    0x001fffff,0x7fffc000,0xfffe805f,0x3fffee6f,0x7dc000ff,0xffffffff,
    0xffffffff,0x3ffa7fff,0x22001fff,0x4fffffff,0x5fffff80,0x17ffffe0,
    0x3fffff60,0x3ffe2fff,0xfff884ff,0xfc80ffff,0x3ffa7fff,0x3f6005ff,
    0x007fffff,0x1fffffe0,0x7ffffc00,0x2000000f,0x805fffff,0x3e6ffffe,
    0x004fffff,0xffffffb8,0xffffffff,0x27ffffff,0x01fffffe,0x7ffffdc0,
    0x7ffc01ff,0x3ffe05ff,0xff7005ff,0x7c3dffff,0xfd04ffff,0x320dffff,
    0x3fa7ffff,0x22005fff,0x07ffffff,0x3ffffe00,0xffff0007,0x000001ff,
    0x02fffffc,0xbb7ffff4,0x00ffffff,0xfffffb80,0xffffffff,0x7fffffff,
    0x07fffffa,0x3ffffa00,0x7ffc06ff,0x3ffe05ff,0x54c005ff,0xfffff01a,
    0x3ffff209,0xffff904f,0x2fffff4f,0x3fffee00,0x3fe0007f,0xf0007fff,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ee20000,0x07fe80ce,0x0ccccccc,
    0x4ccccc00,0x99998819,0x99999999,0x99999999,0x4cccccc1,0x26620000,
    0x26621999,0x99999999,0x33000019,0x33333333,0x33333333,0x22133333,
    0x00099999,0x13333331,0x26666200,0xddddd909,0xdd100003,0xdddddddd,
    0xdddddddd,0xfff3005d,0xf737dfff,0xfffc80df,0x2a003fff,0x85ffffff,
    0xfffffffd,0xffffffff,0x21ffffff,0x05fffffe,0x3ffff200,0x3ffffa6f,
    0xffffffff,0x02ceffff,0xffffff10,0xffffffff,0xffffffff,0x3ffff6df,
    0xfffb003f,0x3200bfff,0xfb3fffff,0x0003ffff,0xffffff30,0xffffffff,
    0x007fffff,0xfffffffd,0x80bfffff,0xfffffff8,0xffffd000,0xfffb01ff,
    0xffffffff,0xffffffff,0x7ffdc3ff,0xf0000fff,0x747fffff,0xffffffff,
    0xffffffff,0x4402efff,0xffffffff,0xffffffff,0x6fffffff,0x0bfffff7,
    0x3fffffe0,0xfffd007f,0x3fff63ff,0x980001ff,0xffffffff,0xffffffff,
    0xff803fff,0xffffeccf,0xfa801fff,0x805fffff,0x2ffffffc,0xffffffb0,
    0xffffffff,0x3fffffff,0x7fffffc4,0xfff98003,0x3ffa0fff,0xffffffff,
    0xffffffff,0x3e203fff,0xffffffff,0xffffffff,0x36ffffff,0x00ffffff,
    0xfffffff3,0xffff003f,0x7fffecff,0xf980001f,0xffffffff,0xffffffff,
    0x7fc403ff,0x67ff5c45,0x3fff6001,0x3e602fff,0x205fffff,0xfffffffd,
    0xffffffff,0x41ffffff,0x06fffffd,0xfffffc80,0x7fffff45,0xffffffff,
    0xffffffff,0xffff101f,0xffffffff,0xffffffff,0x7ffcdfff,0x7dc00fff,
    0x3fffffff,0x7ffffcc0,0x3fffff65,0xff980001,0xffffffff,0xffffffff,
    0x0099802f,0x7fc40004,0x3606ffff,0x00ffffff,0x3ffffff6,0xffffffff,
    0x1fffffff,0x7fffffd4,0x7fffc000,0x7fff42ff,0xffffffff,0xffffffff,
    0xff105fff,0xffffffff,0xffffffff,0x6cdfffff,0x402fffff,0xfffffffe,
    0x7ffdc05f,0x3fff64ff,0x880001ff,0xcccccccc,0xfffccccc,0x000004ff,
    0xffff5000,0xfff507ff,0x00007fff,0xffffff10,0x3fffe09f,0x3e6003ff,
    0xfe87ffff,0x8800ffff,0xfffffffd,0xfff10001,0xfb800dff,0x2204ffff,
    0xffffffff,0x7ffec07f,0x3fff62ff,0x000001ff,0xdffff900,0x01988000,
    0xffffb000,0x7ffc41ff,0x00006fff,0xfffffe88,0x3fff205f,0x3f2006ff,
    0xfe84ffff,0x2000ffff,0x3ffffffa,0xffff1000,0xff9800df,0x3ea05fff,
    0xffffffff,0x3fffa01f,0x3fff60ff,0x000001ff,0xfffffa80,0x7f544000,
    0x03ceffff,0xfffff100,0x7fffe4bf,0x800001ff,0xeffffffd,0x3fffe600,
    0xffd000ff,0xffd03fff,0xf8001fff,0x004fffff,0xdfffff10,0xffff8800,
    0x3fff207f,0x3fffffff,0xdfffff10,0x1fffffd8,0x44000000,0x002ffffe,
    0x7fffffd4,0x00dfffff,0xfffffb80,0xfffff9af,0xc800004f,0x0fffffff,
    0xffffff80,0xffff9803,0xffffd07f,0xffc8001f,0x10004fff,0x00dfffff,
    0x3fffffd0,0x33ffffa0,0x505ffffe,0xd89fffff,0x001fffff,0x7fe40000,
    0x7ec005ff,0xffffffff,0x003fffff,0xffffffe8,0x06fffffe,0xfffa8000,
    0x9002ffff,0x00dfffff,0x09fffff9,0x03fffffa,0xfffffb00,0x3fe20007,
    0xc8006fff,0x882fffff,0xfcafffff,0xff907fff,0xffd85fff,0x00001fff,
    0x3fffea00,0x3ff2000f,0xffffffff,0x02ffffff,0x7ffffcc0,0x1fffffff,
    0x7fcc0000,0x003fffff,0x3fffffe6,0x7ffff401,0xffffd01f,0xfff8001f,
    0x10002fff,0x00dfffff,0x9fffff50,0x1fffff50,0x03fffff3,0x81fffffb,
    0x01fffffd,0x3fa00000,0x2a003fff,0xdfffffff,0xfffffdbb,0x7dc000ff,
    0xffffffff,0x4400004f,0x5ffffffe,0xffffe800,0x3ffe603f,0x3ffa06ff,
    0xb1000fff,0x01ffffff,0x3fffe200,0xff88006f,0xffc86fff,0x3fffe6ff,
    0xfffff83f,0xfffffd86,0x50000001,0x001fffff,0x77fffffc,0xffffe980,
    0xffe8005f,0x0fffffff,0x7fec0000,0x0006ffff,0x0dfffff7,0x1fffffe4,
    0x7fffffd0,0x75555555,0xfffffff9,0x7fc40009,0xd0006fff,0xe81fffff,
    0x3f64ffff,0x7fcc5fff,0xffd84fff,0x00001fff,0xbffffd00,0x7fffd400,
    0x7ffc406f,0x4c002fff,0xffffffff,0x7e400002,0x00ffffff,0xfffff100,
    0x3fffa03f,0x3ffa00ff,0xffffffff,0xffffffff,0x0000ffff,0x1bffffe2,
    0x7fffe400,0x3fffe21f,0x3fffee2f,0x7ffffdc7,0xfffffd82,0x98000001,
    0x001fffff,0x0bfffff6,0x3ffffee0,0xfffe8004,0x00006fff,0x7fffffd4,
    0x7f40001f,0xf984ffff,0x7406ffff,0xffffffff,0xffffffff,0x000dffff,
    0x7ffffc40,0xfff50006,0x7ffdc7ff,0x7fffcc7f,0x3ffff21f,0xffffd80f,
    0x8000001f,0x006ffffd,0x03fffffc,0x5fffff88,0x7fffdc00,0x0002ffff,
    0xffffff30,0xf700007f,0xf70dffff,0xe807ffff,0xffffffff,0xffffffff,
    0x00003fff,0x0dfffff1,0x3fffe600,0x3ffff65f,0x3fffff85,0x41fffffa,
    0x01fffffd,0x7fcc0000,0x22003fff,0x006fffff,0x01fffffe,0xffffff88,
    0x0000ffff,0x7fffff44,0xf100004f,0xe83fffff,0x400fffff,0xfffffffe,
    0xffffffff,0x400001bf,0x06fffff8,0x3ffffe00,0x0fffffe7,0x457ffff6,
    0xb05fffff,0x003fffff,0xfffc8000,0x3e6000ff,0x2005ffff,0x00fffffe,
    0xffffffd0,0x000bffff,0xffffffd8,0x7ec00006,0x3e64ffff,0xe805ffff,
    0xcabfffff,0xffffffec,0xf8800005,0x0006ffff,0x23fffff6,0x81fffff9,
    0xf57ffffb,0x3607ffff,0x001fffff,0x7fffc000,0x7fcc005f,0x3a004fff,
    0x800fffff,0xfffffffb,0x002fffff,0xffffff90,0xa800001d,0x2e7fffff,
    0x802fffff,0x80fffffe,0xeffffffb,0x3e200001,0x0006ffff,0x2bffffee,
    0x307ffffb,0xf73fffff,0x3603ffff,0x001fffff,0x3ffe6000,0x7c4001ff,
    0x2005ffff,0x807fffff,0xfffffff8,0x0fffffff,0x7fffd400,0x00001fff,
    0x3ffffff0,0x01fffffa,0x07fffff4,0xffffffa8,0xf100001f,0x000dffff,
    0x67ffffcc,0x205ffffd,0xfdbfffff,0x3f607fff,0x0001ffff,0x3fffee00,
    0xffff0006,0x7ffc00df,0xffd805ff,0xffaaffff,0x2005ffff,0xfffffff9,
    0x32000002,0xf8cfffff,0xd004ffff,0x401fffff,0xeffffffc,0xff880000,
    0x40006fff,0xffefffff,0x3f203fff,0xffffdfff,0x3fff605f,0x000001ff,
    0x013ffffa,0x7fffff40,0xffffa801,0x7ffd404f,0x3ff65fff,0x8802ffff,
    0x4fffffff,0x7d400000,0xffbfffff,0xfd002fff,0xe801ffff,0x05ffffff,
    0xffff8800,0x7ec0006f,0xffffffff,0x3ffea01f,0x3fffffff,0x3fffff60,
    0xf1000001,0x0005ffff,0x1bffffee,0x3fffffa0,0x3fffe202,0x3fe20fff,
    0x400fffff,0x5ffffffe,0xff000000,0xffffffff,0x7ff400ff,0x7c400fff,
    0x02ffffff,0x7fffc400,0x7dc0006f,0xffffffff,0x7fffc407,0x01ffffff,
    0x07fffff6,0x7fd40000,0x10000fff,0x09ffffff,0x3fffff62,0x7fffec05,
    0xfffb83ff,0x3f204fff,0x00efffff,0xff900000,0xffffffff,0x7fff4009,
    0xffb800ff,0x000fffff,0x3ffffe20,0x7fd40006,0x5fffffff,0xfffffe80,
    0x7ec07fff,0x0001ffff,0xfffff700,0xfffc8000,0xba9befff,0x0ffffffe,
    0x3ffffea0,0x3fffa06f,0xffa82fff,0x001fffff,0x3fe60000,0xffffffff,
    0x3fffa001,0xffb000ff,0x000bffff,0x37ffffc4,0x3ffe2000,0x02ffffff,
    0xffffffc8,0x7fec05ff,0xffffffff,0xffffffff,0x3ff202ff,0xe80005ff,
    0xffffffff,0xffffffff,0x3fffe203,0x3e601fff,0x40ffffff,0xfffffffb,
    0xffffffff,0xffffffff,0x7fff4006,0x006fffff,0x07fffff4,0xfffff880,
    0xf10002ff,0x000dffff,0xffffffd0,0xff5001ff,0x07ffffff,0xffffffd8,
    0xffffffff,0x02ffffff,0x013ffff6,0x3fffa200,0xffffffff,0x7ec04fff,
    0x804fffff,0x4ffffffc,0x7fffffdc,0xffffffff,0xffffffff,0x7fdc006f,
    0x03ffffff,0x7fffff40,0x3ffee000,0x10006fff,0x00dfffff,0xfffff900,
    0x3e200dff,0x1fffffff,0x7ffffec0,0xffffffff,0x2fffffff,0x13ffffa0,
    0xfffc8000,0xffffffff,0x7ffd401e,0x3a006fff,0x22ffffff,0xfffffffb,
    0xffffffff,0xffffffff,0x7ffc4006,0x000fffff,0x07fffff4,0x3ffff600,
    0xf88004ff,0x0006ffff,0xffffffa8,0x3ffa004f,0xd807ffff,0xffffffff,
    0xffffffff,0x3e02ffff,0x0003ffff,0x7ff6dc40,0x8804efff,0x1fffffff,
    0x3fffe600,0xfff70fff,0xffffffff,0xffffffff,0x000dffff,0xdffffffd,
    0xffffd000,0xff88001f,0x001fffff,0x37ffffc4,0x7ffc4000,0x2002ffff,
    0x6ffffffb,0xfffffd80,0xffffffff,0x2fffffff,0x7fffff10,0xa8800000,
    0x7fe4001a,0x8004ffff,0x4ffffffc,0xfffffff7,0xffffffff,0xffffffff,
    0xfff7000d,0xd0007fff,0x001fffff,0xffffff70,0xfff8800d,0xd00006ff,
    0x01ffffff,0x7ffffcc0,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2033bee2,0xdddd07fe,0x2aaa009d,0x331000aa,0x33333333,0x33333333,
    0x26600033,0x20007600,0x00400098,0x98800000,0x00000999,0x00000662,
    0x00003331,0x20019988,0x20000099,0xeffffff9,0xf06ffc9b,0x100bffff,
    0x001fffff,0x2aaaaab6,0xaaaaaaaa,0x01caaaaa,0xffffedb8,0x0bff62ef,
    0x3ffff6e0,0x0cf803de,0xda800000,0xefffffff,0x764c001c,0x0cffffff,
    0x7ff64400,0x01dfffff,0x7fffe440,0x220cefff,0xdfffffec,0x7ff40002,
    0xffffffff,0xffff04ff,0xfff100bf,0x012001ff,0x44035000,0xfffffffe,
    0xfffdffff,0x3fffa602,0x1effffff,0x0077ffe0,0x3ffa6000,0xffffffff,
    0xff9002ff,0xffffffff,0x3ff2009f,0xffffffff,0xfc800eff,0xffffffff,
    0xfffbcfff,0xefffffff,0x9fff0000,0xffffffd9,0x3fffe03f,0xfff8805f,
    0x009000ff,0xf701a800,0xffffffff,0x7fffffff,0x7ffffdc0,0xffffffff,
    0xdfffff03,0x3e200007,0xffffffff,0x03ffffff,0x3fffffa6,0xffffffff,
    0x7fffe404,0xffffffff,0x3f200eff,0xffffffff,0xffffffff,0xffffffff,
    0x7c4001ff,0x7ff5c44f,0x3fffe01c,0xfff8805f,0x009000ff,0xfb81a800,
    0xffffffff,0x6fffffff,0x3ffffe60,0xffffffff,0xffff82ff,0x000cffff,
    0x3fffffa0,0xffffffff,0xffd00fff,0xffffffff,0x209fffff,0xfffffffa,
    0xfffffffe,0xffff705f,0xffffffff,0xffffffff,0xffffffff,0x0998001f,
    0x7ffc0040,0xff8805ff,0x09000fff,0x441a8000,0xbeffffff,0xfffffc99,
    0xfffd01ff,0xf9335bff,0xff0dffff,0xffffffff,0xff98003b,0x999befff,
    0x2ffffffb,0xffffffb8,0xfffec9ad,0xffe80fff,0x7dc41eff,0xe80fffff,
    0x9adfffff,0xffffffca,0xdb9acfff,0x004fffff,0x00000000,0x0fffff88,
    0x80000900,0x7fffec1a,0xffff104f,0xfff50bff,0x3fea09ff,0x7fec2fff,
    0xffffffff,0xffb002ef,0x3ee03fff,0x7c44ffff,0xb02fffff,0xf07fffff,
    0x5c03ffff,0x541cefff,0x504fffff,0x5fffffff,0x3fffff60,0x26200001,
    0x22000000,0x000fffff,0x1a800009,0x17ffffea,0x7fffff44,0x7fff42ff,
    0x3ff200ff,0xfeb886ff,0xffffffff,0x54400bff,0x3fe203db,0x7fdc4fff,
    0x3e604fff,0x7c44ffff,0x5404ffff,0x0b953001,0x5ffffff8,0x1fffff40,
    0x87bbbba0,0xdffffec9,0xcccc8001,0xffffcccc,0xcccccccf,0x50000124,
    0x7ffffe43,0xfffffb01,0x7fc4bfff,0x7cc04fff,0x2600ffff,0xfffffffc,
    0x001cffff,0xfffff880,0x7ffffec5,0x004ddc00,0x9fffffff,0x00000015,
    0x0bfffffa,0x0dffff90,0x72fffff8,0xffffffff,0xfff8007f,0xffffffff,
    0xffffffff,0x000090ff,0x3fff61a8,0x3fff906f,0x4cdffffd,0x403fffff,
    0x01fffff8,0xffffeb88,0x1effffff,0x7fedcc00,0x7f45ffff,0x00006fff,
    0x3ffffff6,0x001befff,0x3ff6e600,0x400fffff,0x00fffffa,0x32bffffe,
    0xffffffff,0x3e004fff,0xffffffff,0xffffffff,0x0090ffff,0x3fe1a800,
    0xffb85fff,0xfffffb2f,0x77ffffd4,0xeeeeeeee,0x002fffff,0x7ffffe4c,
    0x2204ffff,0xfffffeca,0x7c5fffff,0x0006ffff,0x3ffffe60,0xffffffff,
    0x6e54001d,0xffffffff,0xeeeeefff,0xffffeeee,0x3fffe00f,0xffffffef,
    0x0fffffff,0xffffff00,0xffffffff,0x1fffffff,0x35000012,0x13ffffe2,
    0x7e47fff5,0xff71ffff,0xffffffff,0xffffffff,0x6d40007f,0x84ffffff,
    0xffffffd8,0xffffffff,0x3ffffe25,0x7d400005,0xffffffff,0x00dfffff,
    0x3ffffee2,0xffffffff,0xffffffff,0xffffffff,0x3ffffe01,0xda9adfff,
    0x03ffffff,0xfffffff0,0xffffffff,0x21ffffff,0x8d400004,0x24fffff8,
    0x7dc5fff9,0xff91ffff,0xffffffff,0xffffffff,0x5c40009f,0x44ffffff,
    0xfffffff9,0xffffdeff,0x3fffe65f,0xa800005f,0xfffffffd,0x0effffff,
    0xffffff98,0xfffdffff,0xffffffff,0xffffffff,0x3fffe01f,0xffd02fff,
    0x36009fff,0xfeeeeeee,0xeeeeffff,0x0090eeee,0x3fe1a800,0xfff15fff,
    0xfffff90b,0x77ffffdc,0xeeeeeeee,0x003eeeee,0xfffffda8,0x3fea4fff,
    0x0bdfffff,0xf17ffffe,0x000dffff,0x7ff64c00,0xffffffff,0x7fff445f,
    0x3a1befff,0xeeefffff,0xeeeeeeee,0x3fe01eee,0x2604ffff,0x005fffff,
    0xfffff880,0x00009000,0x3fffa1a8,0x0effe8ff,0x26ffffd8,0x02fffffa,
    0x7e440000,0xffffffff,0x3fffa3ff,0x3ffe03ff,0x7fff45ff,0x0018807f,
    0x7ffed440,0x647fffff,0x01efffff,0x01fffffd,0xffff0000,0x7fc401ff,
    0x80005fff,0x00fffff8,0xa8000090,0x3fffff21,0xf880fffe,0x3e65ffff,
    0x0003ffff,0xffffb500,0x7fffffff,0x7ffffc41,0x3fffe205,0x7fffec5f,
    0x77fe401f,0x260000bd,0x1ffffffc,0x01fffffa,0x03ffffff,0xffff0000,
    0xffff00ff,0x777774df,0xffff8804,0x0009000f,0x3fea1a80,0x01ffffff,
    0x47fffff9,0x06fffff8,0x804de764,0xffffffc9,0x02efffff,0x05fffff5,
    0x2fffffcc,0x13fffff2,0x8fffffd0,0x00ffdcb9,0x0fffffe4,0x409fffff,
    0x4ffffff8,0x04d676c0,0x1bffffe0,0x9bffffe0,0x805fffff,0x00fffff8,
    0xa8000090,0x7fffff41,0xffff502f,0xffff90df,0x3ffe607f,0x3fae0fff,
    0xffffffff,0x7d401dff,0x3a05ffff,0x4c5fffff,0x02ffffff,0x89fffff9,
    0x05fffffd,0x87ffffec,0x07fffff8,0x3ffffff2,0xffff701f,0xffff80df,
    0xffff806f,0x3ffffe6f,0xffff8805,0x0009000f,0x7fcc1a80,0x88bdffff,
    0xffffffd9,0xfffff881,0x3ffaa0cf,0x7ffc4fff,0xffffffff,0xfff3000c,
    0xfd985fff,0xc85fffff,0xadffffff,0xfffffec9,0x7fffcc1f,0x7dc41bff,
    0x7fc6ffff,0x220cffff,0xfffffffc,0xff731dff,0xf805ffff,0xe805ffff,
    0x3fe6ffff,0xf8805fff,0x9000ffff,0x81a80000,0xfffffffd,0xffffffff,
    0x3fff204f,0xfffeffff,0x7c0fffff,0xefffffff,0xffff0003,0xfff9ffff,
    0x0dffffff,0xfffffff1,0xffffffff,0x3fff609f,0xffdfffff,0x42ffffff,
    0xfffffffd,0xffffffed,0xffffffff,0x6fffffff,0x5fffff80,0x6ffffe80,
    0x017ffffe,0x03ffffe2,0x20000240,0x7fffcc1a,0xffffffff,0xc804ffff,
    0xffffffff,0x81ffffff,0x2dffffff,0x7ffd4000,0xffffffff,0x0fffffef,
    0xffffffa8,0xffffffff,0x7fffec05,0xffffffff,0xff883fff,0xffffffff,
    0xfffcffff,0xffffffff,0xf800efff,0xe805ffff,0x3fe6ffff,0x99004fff,
    0x12001999,0x44350000,0xfffffffe,0xefffffff,0x3ffea001,0xffffffff,
    0x9ffff01f,0x7e400001,0xffffffff,0xfffff99e,0xffffb102,0xbfffffff,
    0xffffb001,0xffffffff,0x7ffd407f,0xffffffff,0xffff911d,0xdfffffff,
    0x3fffe001,0xfffe805f,0x03ffa86f,0x00480000,0xffb0d400,0xffff911d,
    0x0019dfff,0xffffd930,0x7c017fff,0x000000be,0xffffffd3,0x7ffff419,
    0x7fff5c05,0x001dffff,0x7ffffe4c,0x800cffff,0xffffffd8,0xffb302de,
    0x05dfffff,0x5fffff80,0x6ffffe80,0x5552ffc8,0x55555555,0x55555555,
    0x00002455,0x81fd886a,0x0001aa99,0x019aa980,0x00000050,0x000554c4,
    0x1aaa9800,0x55330000,0x22000135,0x40009aa9,0x0009aaa8,0x0bfffff0,
    0x0dffffd0,0x3ffe1fff,0xffffffff,0xffffffff,0x000090ff,0x000181a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02fffffc,
    0x537ffff4,0x7ffc7ffd,0xffffffff,0xffffffff,0x000090ff,0x000001a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x805fffff,
    0xf56ffffe,0xffff8dff,0xffffffff,0xffffffff,0x99999b0f,0x99999999,
    0x3b999999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff00000,0xffd00bff,0x067f4dff,0x3ffffffe,0xffffffff,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2fffffc0,0x37ffff40,0x3fffe035,0xffffffff,0xffffffff,0x0000000f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc0000,
    0xffe805ff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c400080,
    0x7d400001,0x1002ffff,0x007ddddd,0x009ddddd,0x98800260,0x4c400000,
    0x01100000,0xbdddddb1,0xeeeeec80,0x3bbbae0d,0x77775405,0x3bba201e,
    0xdddd73ee,0x3ba2005d,0xdddb4eee,0xa80000bd,0x7f54404e,0x03ceffff,
    0x7fffd400,0xfff1002f,0xfff009ff,0x3bbaabff,0x3ff6e25e,0xec881cef,
    0xd01cefff,0x64c3dddd,0x81dffffe,0x70eeeee8,0x5c39dffd,0x03ffffff,
    0x5ffffff5,0x0fffffa8,0x3fffff60,0x3fffea03,0xfffff31f,0x3ffee00b,
    0xffffd2ff,0xf710000d,0x7fd409ff,0xffffffff,0xf50000df,0x2005ffff,
    0x04fffff8,0x55fffff8,0x3a6dffff,0xffffffff,0x3ffffe61,0xff82ffff,
    0xfff72fff,0x87ffffff,0xb8fffff9,0x44ffffff,0x0ffffffd,0x7fffffc4,
    0xfffff885,0x3ffffe03,0x3fff205f,0x7ffff47f,0xfffe800f,0x3ffffa7f,
    0x3f260006,0xfb04ffff,0xffffffff,0x007fffff,0x5fffff50,0x3fffe200,
    0xffff804f,0xdffff55f,0xfffffff5,0xff53ffff,0xffffffff,0xfffff83f,
    0xffffffca,0x264fffff,0xffafffff,0x441fffff,0x45ffffff,0x0efffffd,
    0x0bffffb0,0x3fffffe6,0x3ffffe07,0x7ffffdc4,0x7fffcc03,0x3ffffa4f,
    0xffea8006,0xc84fffff,0xffffffff,0xffffffff,0x7ffd4002,0xff1002ff,
    0xff009fff,0x3feabfff,0xffffffff,0xffffffff,0xffffffff,0x3e0effff,
    0xfffeffff,0xffffffff,0xffff30ff,0xffffffff,0x3fffea0f,0xffff52ff,
    0x7fdc03ff,0xfff707ff,0xf303ffff,0xf885ffff,0x6406ffff,0x3a0fffff,
    0x1006ffff,0xfffffff7,0xffa89fff,0xbbdfffff,0xfffffffd,0x3bba6000,
    0xff1002ee,0xff009fff,0x3feabfff,0x9befffff,0xffffffd9,0xfc99beff,
    0x3e2fffff,0xdfffffff,0xffffda9a,0xffff33ff,0xffffffff,0x7fffe409,
    0xfffff8ff,0x7ffc403f,0xfffd81ff,0xfb83ffff,0xff907fff,0x7fc03fff,
    0x7ff45fff,0x7e4c06ff,0xffffffff,0x7ffc2fff,0xe980efff,0x005fffff,
    0x3fe20000,0xff804fff,0xfff55fff,0x3fa0dfff,0x80ffffff,0x23fffffd,
    0x2fffffff,0x9fffffd0,0x3fffffe6,0x403930cf,0xffffffe8,0x006fffff,
    0xf09ffffd,0xdfffffff,0x0bffffd0,0x13ffffe6,0x17ffffd4,0xfffb5000,
    0xffffffff,0xffff505b,0xfff880df,0x00002fff,0xfffff100,0xfffff009,
    0x3ffffeab,0xffff700f,0x3fea05ff,0x3ffe4fff,0x3e604fff,0xff35ffff,
    0x000dffff,0x3fffffe6,0x000fffff,0x98dffff7,0xffffffff,0x3fffe20f,
    0x3fffa02f,0xffffb07f,0xfd71000f,0xffffffff,0x7ec017df,0xb802ffff,
    0x324fffff,0xcccccccc,0xcccccccc,0x3fe24ccc,0xff804fff,0xfff55fff,
    0x7fcc0bff,0x3e607fff,0x3fe4ffff,0x2200ffff,0xf35fffff,0x003fffff,
    0x7ffffdc0,0x2002ffff,0x20fffff9,0xffdffffb,0x3ffea2ff,0x3fee00ff,
    0x7fc42fff,0x64004fff,0xffffffff,0xf001cfff,0x200fffff,0x25fffff8,
    0xffffffff,0xffffffff,0x3e27ffff,0xf804ffff,0xff55ffff,0x7cc07fff,
    0x2205ffff,0x3e4fffff,0xf807ffff,0xff36ffff,0x0000ffff,0xfffffffd,
    0xfffd000b,0x7fffec5f,0x324ffff9,0x4405ffff,0x5c5fffff,0x001fffff,
    0x7ffffffc,0x44002dff,0x006fffff,0xf9fffffe,0xffffffff,0xffffffff,
    0x3fe27fff,0xff804fff,0xfff55fff,0x7fcc07ff,0x3e204fff,0x3fe4ffff,
    0xff806fff,0xfff36fff,0x10000dff,0x1fffffff,0xffff9000,0xfaffffcb,
    0x3ffe6fff,0xffc802ff,0x3ffa0fff,0xff8005ff,0x00bfffff,0xfffff300,
    0x7fff400b,0xfffff0ff,0xffffffff,0xffffffff,0x2fffffc4,0x3ffffe20,
    0x5fffff55,0x7ffffcc0,0x3fffe204,0x3ffffe4f,0xfffff806,0xbfffff36,
    0xfff50000,0x0009ffff,0x26fffff3,0xff93ffff,0xffff31ff,0xfff3001f,
    0x3ffe67ff,0xff8002ff,0x00beffff,0xfffff300,0x7fff4009,0xfffff0ff,
    0xffffffff,0xffffffff,0x2fffffc4,0x3ffffe20,0x5fffff55,0x7ffffcc0,
    0x3fffe203,0x3ffffe4f,0xffffe805,0x9fffff36,0xfff88000,0x02ffffff,
    0x9fffff80,0xf51ffffb,0xfff75fff,0x7ff400bf,0xffff95ff,0x3ffe000f,
    0x1cffffff,0x7fffc400,0x3ffe005f,0x3bbb67ff,0xeeeeeeee,0xeeeeeeee,
    0x3ffffe26,0x7fffc405,0xfffff55f,0x7fffcc05,0x3ffe203f,0x3fffe4ff,
    0xfffe805f,0xfffff36f,0xffd80009,0xffffffff,0x7ffe4000,0x27fffecf,
    0xfecffff8,0x2e003fff,0xfe8fffff,0xd0004fff,0xffffffff,0x20017dff,
    0x006fffff,0x017ffffe,0xfff80000,0x7fd406ff,0xfff55fff,0x7fcc05ff,
    0x3e203fff,0x3fe4ffff,0xfe805fff,0xfff36fff,0x5c0009ff,0xffffffff,
    0x54005fff,0xfffeffff,0x77fff45f,0x000fffff,0x33ffffe2,0x001fffff,
    0x3ffff660,0xcfffffff,0x7ffff401,0xfffa801f,0x000004ff,0x1fffffe0,
    0xbfffff90,0x0bffffea,0x3fffff98,0x3ffffe20,0x17ffffe4,0x5bffffa0,
    0x04fffff9,0xfffff300,0xffffff9f,0xffff8005,0x643fffff,0xffffffff,
    0xfffc8006,0x06ffffff,0xfff91000,0xffffffff,0xfff7017d,0xffd00dff,
    0x26005fff,0x001ccccc,0x0bfffffe,0x7fffffd4,0x5fffff55,0x7ffffcc0,
    0x3fffe203,0x3ffffe4f,0xffffe805,0x7fffff36,0x3fffa000,0xffffb4ff,
    0x7ec001ff,0x0fffffff,0x7fffffd4,0xf98003ff,0xffffffff,0x77776c02,
    0x7fff5c05,0xffffffff,0x3fffe21d,0xffb104ff,0x5400bfff,0x002fffff,
    0x3ffffff6,0xffff930a,0x3feabfff,0x3e602fff,0x2203ffff,0x3e4fffff,
    0xe805ffff,0xff36ffff,0x90007fff,0x21dfffff,0x5ffffff8,0x3fffea00,
    0xff886fff,0x01ffffff,0xfffffd00,0xffd00fff,0x36a00dff,0xffffffff,
    0x7ffe44ff,0xba9befff,0x0ffffffe,0x3fffea00,0x3fea002f,0xffffffff,
    0xffffffff,0x5fffff55,0x7ffffcc0,0x3fffe203,0x3ffffe4f,0xffffe805,
    0x7fffff36,0xffff9800,0x7ffd42ff,0xf1003fff,0x09ffffff,0x3ffffffa,
    0x3fee0006,0x804fffff,0x006ffffe,0x7ffffe4c,0xffe84fff,0xffffffff,
    0x03ffffff,0x7ffffd40,0x7ffec002,0xffffffff,0x55ffffcb,0x405fffff,
    0x03fffff9,0x93ffffe2,0x805fffff,0xf36ffffe,0x4007ffff,0x4fffffe8,
    0xffffffb0,0x3fff6003,0xff902fff,0x0009ffff,0x7fffffc4,0xfffe801f,
    0xf710006f,0x109fffff,0xfffffffd,0x9fffffff,0xffff5000,0xffb0005f,
    0x5fffffff,0x557ffff2,0x202fffff,0x03fffff9,0x93ffffe2,0x805fffff,
    0xf36ffffe,0x4007ffff,0x0ffffffd,0xffffff10,0x3ffee00d,0xff300fff,
    0x0003ffff,0x6fffffc8,0xdffffd00,0xffd50000,0x7ffe409f,0xffffffff,
    0xff50001e,0x20005fff,0xdeffffec,0x57ffff21,0x02fffffa,0x0fffffe6,
    0x4fffff88,0x017ffffe,0x4dbffffa,0x003fffff,0x5ffffff5,0xfffffa80,
    0xfff8804f,0x7ffc06ff,0x980007ff,0x003fffff,0x00dffffd,0x027e4c00,
    0x3fffb6e2,0x40004eff,0x00999998,0x00554400,0x7ffffd40,0x3fffe602,
    0x3ffe203f,0x3fffe4ff,0xfffe805f,0xfffff36f,0x00000007,0x00000000,
    0x00000000,0x44000000,0x0d544001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x75400000,
    0xeeeeeeee,0xeeeeeeee,0x2aaa2002,0x0050002a,0x05500260,0x44000c80,
    0x4cc41999,0x02666219,0x00013331,0x00035531,0x001e6664,0x009aa988,
    0x00155510,0x00000000,0xeeeee880,0x3fffee03,0xffffffff,0x003fffff,
    0x01bfffea,0x3000ff60,0x3fea01df,0x00bfb003,0x127fffc4,0x7d49fffd,
    0x3fea1fff,0xf91001ff,0x005dffff,0x0fffffb8,0x3fff2200,0x6c00dfff,
    0xfff30fff,0xffffffff,0xffffffff,0x3fffe6bf,0xffffffff,0xffffffff,
    0x9fffff15,0x7ffffdc0,0xffffffff,0x2003ffff,0x006ffffa,0x5c5fffec,
    0x98befffd,0x7d40efff,0x7ec03fff,0xffb005ff,0x7ffe41ff,0x37fff40f,
    0x401bfffa,0xfffffffd,0x3ffa003f,0x3a004fff,0xffffffff,0xffff900e,
    0x3ffffe61,0xffffffff,0x5fffffff,0xfffffff3,0xffffffff,0x22bfffff,
    0x204fffff,0xfffffffb,0xffffffff,0x3ea003ff,0x32006fff,0xffffffff,
    0xffffffff,0xff50efff,0x3607ffff,0x405fffff,0x2a3ffffa,0xf983ffff,
    0x3fe64fff,0x7fcc04ff,0xffffdbef,0xffffa800,0xfb800fff,0xffeccfff,
    0x7fffdc4f,0xffff30ff,0xffffffff,0xffffffff,0x3ffffe6b,0xffffffff,
    0x5fffffff,0x09fffff1,0x7fffffdc,0xffffeeff,0x2a002fff,0x2006ffff,
    0xfffffffb,0xffffffff,0x3e64ffff,0x43ffffff,0x4ffffffd,0x9bfffe20,
    0x206ffff8,0x361ffffd,0x3601ffff,0x3ff60fff,0xfffe801f,0xe803ffff,
    0x3fe21fff,0xfffff16f,0x3fe61fff,0xffffffff,0xffffffff,0xffff35ff,
    0xffffffff,0xffffffff,0x3ffffe2b,0xffd80004,0x4003ffff,0x006ffffa,
    0x7fffffdc,0xffffffff,0xff984fff,0xfb3fffff,0x809fffff,0x361ffffd,
    0x2602ffff,0x3e26ffff,0x2200efff,0x07fff429,0x3ffffea0,0xcc807fff,
    0xb7ffc45d,0xffeefff8,0xfffff30f,0xffffffff,0xbfffffff,0x3fffffe6,
    0xffffffff,0x15ffffff,0x007fffff,0xfffffd80,0xffa8004f,0xfc8006ff,
    0xffffffff,0x05ffffff,0x3fffffe6,0xffffffef,0x7fffdc04,0x17fffee5,
    0x93ffff20,0x004ffffc,0x09fffd93,0xffffffb0,0x40007fff,0xdf14fffb,
    0x983fff65,0x99999999,0xfc999999,0x26665fff,0x99999999,0x99999999,
    0x02ffb809,0x3ffff200,0xf50005ff,0xb000dfff,0x25bfffff,0x7fffffc9,
    0x7ffffcc0,0x4fffffff,0x7ffffcc0,0x3fffff10,0xfffff100,0x3ffffe23,
    0xffffb802,0xffff9804,0x06ffffbf,0x3ffff500,0x1fffb062,0x3fee0000,
    0x000005ff,0x000ffec0,0xffffffb8,0x33332206,0xffffdccc,0xcccccccf,
    0x7ffffc43,0xfffff303,0xffff9805,0x04ffffff,0x24ffffe8,0x004ffffe,
    0x43bfffee,0x00fffffb,0x1fffffe4,0x53ffff60,0x002fffff,0x01ffffe4,
    0x0003fff6,0x2ffffdc0,0xf1000000,0xf50001ff,0x01dfffff,0x7fffffcc,
    0xffffffff,0x45ffffff,0x00fffff9,0x00fffffa,0x3fffffe6,0xffc804ff,
    0xfff90fff,0xfe8001ff,0x3ffa4fff,0x4cd405ff,0xf304fffd,0x3f21ffff,
    0xb1006fff,0xb007ffff,0x00001fff,0x017fffee,0x7fd40000,0xff98003f,
    0x401fffff,0xfffffff9,0xffffffff,0x545fffff,0x5c05ffff,0xd004ffff,
    0x7fffffff,0xdffffb00,0x037fffe4,0x3ffffe40,0x01fffff9,0x41bffe20,
    0x265ffffc,0x401fffff,0x02ffffe8,0x001fffb0,0x3fffee00,0xffffff35,
    0xffffffff,0x2bffffff,0x8006fffa,0xfffffff8,0xffff9801,0xffffffff,
    0xffffffff,0x27fffd45,0x13fffea0,0x3fffff60,0x4402ffff,0xf13fffff,
    0x4007ffff,0x12fffff9,0xb85fffff,0xffff84dc,0x7ffffc40,0x2fffff42,
    0x3dffff10,0x07ffec00,0xfffb8000,0xfffff35f,0xffffffff,0xbfffffff,
    0x2000ffe2,0xffffffe8,0xffff3002,0xffffffff,0xffffffff,0xfffff98b,
    0x3ffffa00,0x7fffec03,0x2fffffff,0x7ffffd40,0x1fffff50,0x3ffff600,
    0x17ffff64,0xfa87fffa,0xfffc86ff,0xffffa87f,0xfffe880f,0x019999af,
    0x0003fff6,0xaffffdc0,0xfffffff9,0xffffffff,0x2a5fffff,0xfffb0000,
    0x4c007fff,0xeeeeeeee,0xeeefffff,0x7c44eeee,0xf303ffff,0x6c05ffff,
    0xffffffff,0x402fffff,0x324ffffc,0xa804ffff,0xf30effff,0xf701ffff,
    0xfffdbfff,0xffff887f,0xfffff04f,0xfffff909,0x40ffffff,0x0000fffd,
    0x2bffff70,0xfffffff9,0xffffffff,0x005fffff,0xfffffc80,0x5400004f,
    0x8006ffff,0x1dfffffd,0xffffff91,0x7ffffec0,0xfffff9cf,0x3fe202ff,
    0x3ffa0fff,0x7ff401ff,0x3fffa1ff,0x3fff601f,0xb84fffff,0x900fffff,
    0xe81fffff,0xffffffff,0x3ff607ff,0xf700000f,0x3fe6bfff,0xffffffff,
    0xffffffff,0x5c0005ff,0x05ffffff,0xfffa8000,0xffb8006f,0xffefffff,
    0xb05fffff,0x49ffffff,0xfffffff9,0x3fffea02,0x17fffe65,0x24ffffb8,
    0x804ffffa,0x2efffffb,0x0bfffff0,0x1fffffcc,0xfffffff3,0x6c0fffff,
    0x00000fff,0x22133331,0xaaaaaaaa,0xaaaaaaaa,0x0002aaaa,0x3fffffea,
    0xf5000005,0x9800dfff,0xffffffff,0xffffffff,0x7fffdc4f,0xfff984ff,
    0x3200ffff,0x3f21ffff,0xff881fff,0x7fffc6ff,0x04cc4006,0x5ddddd50,
    0x5eeeed80,0x00000000,0x00000000,0xff300000,0xffffffff,0xffffffff,
    0x3fea001f,0x3e6006ff,0xffffffff,0xffffffff,0x7ffe44ff,0x3ffe604f,
    0xffe801ff,0x37fff46f,0x707fffe4,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0xffffffff,0xffffffff,0xfff5000f,0x7fe400df,
    0xffffffff,0xffffffff,0x27fe40ff,0x00fffcc0,0x22ffff98,0x222ffff9,
    0x3e23ffff,0x00003fff,0x00000000,0x00000000,0x00000000,0x7ffcc000,
    0xffffffff,0xffffffff,0xffff5000,0xfffc800d,0xffffeb8c,0x0ffffa9c,
    0x74c00990,0x66654001,0x51e66543,0xcca87999,0x0000004c,0x00000000,
    0x00000000,0x00000000,0xfffff980,0xffffffff,0x00ffffff,0x0dffff50,
    0x020bf900,0x0000ffd4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffcc000,0xffffffff,0xffffffff,0x99993000,0x000e0007,
    0x000000d4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x332ea200,0x32a6002b,0x65c0009b,0xcb98003c,
    0x2666600a,0x26666219,0x26666209,0xdeca8809,0x405c002c,0x41ccdca8,
    0x982bbbbb,0x5c3ccccc,0xb81ccccc,0xccc84ccc,0xddddd73c,0x267ddddd,
    0xcccccccc,0xcccccccc,0x2ccccccc,0x55555551,0x55555555,0x55555555,
    0xf9000003,0x5fffffff,0x7ffff4c0,0x3f6003ff,0x3fa6005f,0x440dffff,
    0xb0ffffff,0x5c9fffff,0x646fffff,0xffffffff,0x407ec01c,0x4ffffffe,
    0x217ffffe,0x40fffffe,0x86fffff8,0xff87fffe,0xffff96ff,0x29ffffff,
    0xfffffffa,0xffffffff,0xffffffff,0xffffff54,0xffffffff,0xffffffff,
    0xa800009f,0xffffffff,0xfffb81ff,0x05ffffff,0x2009ffb0,0xfffffffb,
    0x3ffe20ef,0xfffb0fff,0x7ffdc9ff,0xfffd16ff,0xffffffff,0x3fae637d,
    0x6de6c40f,0xfff3ffff,0xfff98bff,0xfff301ff,0xfffe83ff,0x96ffff87,
    0xffffffff,0x3ffea9ff,0xffffffff,0xffffffff,0xff54ffff,0xffffffff,
    0xffffffff,0x009fffff,0x7fffc400,0x5ffffece,0x7fffffcc,0x443fffff,
    0x041ffe41,0x3bffffe2,0x3e25ffff,0xfb0fffff,0x7dc9ffff,0xff96ffff,
    0xffffffff,0xffffffff,0xf3001fff,0x3fffedff,0x7fffec5f,0x7fffcc02,
    0x43ffff45,0xff96ffff,0xffffffff,0x3ffffea9,0xffffffff,0xffffffff,
    0xffff54ff,0xffffffff,0xffffffff,0x00009fff,0x2e2ffed4,0x7fec6fff,
    0xffea8bff,0x477f20ff,0x9f912ffb,0x30bfffd8,0x3e25fffb,0xfb0fffff,
    0x7dc9ffff,0xff96ffff,0xffffffff,0xffffffff,0xf1001fff,0x3fffedff,
    0x3fffe25f,0xffff5002,0x43ffff43,0xff96ffff,0xffffffff,0x44444449,
    0x88888888,0x88888888,0x55555108,0x55555555,0x55555555,0x00000355,
    0xdfff5022,0x217fffc4,0x3a2ffff8,0xbffcdfff,0x7fc6fffd,0x4fff885f,
    0x1ffffff1,0x93fffff6,0x96fffffb,0xfb99dfff,0xffffffff,0x041fffff,
    0x53fff6a2,0x325fffff,0x54003fff,0x2aa64fff,0x1aaaa82a,0xfffffff9,
    0x00009fff,0x00000000,0x44000000,0x7ffffeca,0x741fffe6,0xfff33fff,
    0xffffffff,0x3fe23fff,0x4bffb02f,0x90ffffff,0x547fffff,0xf95fffff,
    0x3ff6a01b,0xdfffffff,0x3ffffe60,0x330effff,0x5ddc1333,0x77750002,
    0x00000000,0x00000000,0x00000000,0xfffff910,0x7d4fffff,0xfffb07ff,
    0x7fff64cb,0xbdffffff,0x205fff10,0x3ffa5ffd,0x3ffea7ff,0x3ffe22ff,
    0x200794ff,0xdffffeb8,0xfffff982,0x0000bfff,0x00000000,0x00000000,
    0x00000000,0x3a200000,0xfdffffff,0x3ffea7ff,0x0bfffb06,0x33ffff22,
    0x21bffe00,0x3f24fff9,0x3fe65fff,0x7ffc0fff,0x200012ff,0xbaa80098,
    0x00009abc,0x00000000,0x00000000,0x00000000,0xfd800000,0xff50beff,
    0x3fffccff,0x504fffd8,0x03ffffff,0xa8efffe4,0x3ee1fffe,0x7ffc4fff,
    0xffffd87f,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0bfffe00,0x7c4ffff9,0x7fc41fff,0xfffa83ff,0x100fffdc,0xffffffff,
    0xfff989ff,0x37fff42f,0x007fffe4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x7c1ffff8,0x7ff47fff,0xfffb11ef,0xffff983f,
    0x00efff98,0xfffffff5,0x999901df,0x82ccca81,0x0004ccc9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c000000,0xffcbefff,0x7fcc7fff,
    0xffffefff,0x2fffd84f,0x880ffff2,0x03fffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfffffffc,0xfd87ffff,
    0xffffffff,0x88bf700e,0x551002ff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffec00,0x1fffcaff,0xffffffb8,
    0x40d400df,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x2a2159b9,0xb95101aa,0x00000379,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_47_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,3,3,3,2,3,2,0,3,
3,2,3,1,3,1,3,1,0,3,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,3,
-2,2,3,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,1,0,0,3,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,1,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_47_latin1_y[224]={ 38,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,16,8,7,12,7,
7,7,7,7,7,17,15,24,7,2,7,9,7,7,7,16,7,20,38,7,7,17,7,7,7,16,0,0,0,0,
1,1,7,7,0,0,0,1,0,0,0,1,7,0,0,0,0,0,1,13,6,0,0,0,1,0,7,7,7,7,
7,8,7,6,15,15,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,12,15,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_bold_47_latin1_w[224]={ 0,8,16,23,21,35,29,8,11,11,16,22,7,12,
6,13,21,14,21,21,23,22,21,21,21,21,6,7,22,22,22,22,40,31,26,28,26,23,21,29,25,7,20,28,
22,31,25,31,24,32,28,26,25,25,30,40,28,30,25,12,13,12,21,25,11,21,23,22,23,21,16,23,21,6,
11,21,6,33,21,24,23,23,15,22,14,21,23,33,24,23,21,15,6,15,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,22,23,23,24,
6,21,14,33,15,21,22,12,33,25,14,22,13,14,11,21,25,6,12,10,15,20,34,34,35,22,31,31,31,31,
31,31,43,28,23,23,23,23,11,10,15,14,30,25,31,31,31,31,31,21,31,25,25,25,25,30,24,23,21,21,
21,21,21,21,35,22,21,21,21,21,10,10,15,14,24,21,24,24,24,24,24,22,24,21,21,21,21,23,23,23,
 };
static unsigned short stb__arial_bold_47_latin1_h[224]={ 0,31,12,32,38,33,32,12,40,40,15,22,13,6,
6,32,32,31,31,32,31,31,32,30,32,32,22,29,24,16,24,31,40,31,31,32,31,31,31,32,31,31,32,31,
30,31,31,32,31,35,31,32,31,32,31,31,31,31,31,40,32,40,17,5,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,9,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,39,32,22,31,
40,40,6,32,16,20,16,6,32,5,14,29,17,17,7,31,40,7,9,17,16,20,33,33,33,31,38,38,38,38,
37,37,31,40,38,38,38,37,38,38,38,37,31,38,39,39,39,39,38,21,34,39,39,39,38,38,31,32,32,32,
32,31,32,33,24,32,32,32,32,32,31,31,31,31,32,30,32,32,32,31,32,23,25,32,32,32,32,40,40,40,
 };
static unsigned short stb__arial_bold_47_latin1_s[224]={ 251,246,74,26,91,133,161,65,175,73,33,
23,243,174,249,240,216,95,26,119,120,97,1,231,49,105,249,23,1,220,124,
192,1,125,181,213,1,28,75,183,166,247,192,67,208,138,170,151,227,33,112,
141,141,23,81,167,26,196,55,162,238,203,150,213,147,147,23,169,47,102,237,
71,1,239,239,215,249,94,128,24,95,168,150,192,123,72,225,191,166,157,1,
187,232,216,91,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,
54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,54,251,248,171,
127,46,1,42,140,159,71,1,92,197,174,213,187,50,31,172,135,135,73,85,
128,115,186,17,114,169,98,204,52,27,113,59,145,194,1,23,111,177,201,225,
170,1,112,39,155,208,13,139,220,75,107,123,70,66,194,1,49,86,55,48,
75,165,99,121,144,187,226,215,209,232,1,23,45,242,112,96,110,191,1,136,
1,67,1,50,49,77,92,143,114,1,49,25,1, };
static unsigned short stb__arial_bold_47_latin1_t[224]={ 1,332,539,200,83,162,233,539,1,1,539,
516,516,539,115,162,233,332,332,266,364,364,299,428,299,299,491,460,491,516,460,
364,42,332,332,299,364,364,364,299,364,266,266,396,428,396,396,299,396,162,428,
266,428,299,428,428,428,396,428,1,233,1,516,539,539,460,266,460,266,460,364,
266,396,332,1,364,83,491,491,491,266,266,491,460,396,491,491,491,491,332,516,
1,1,1,539,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,1,123,42,
299,516,332,42,1,539,299,539,516,516,539,266,539,539,460,516,516,539,332,1,
539,539,516,539,516,162,162,162,364,83,83,83,83,123,162,396,1,83,83,83,
123,123,123,123,123,332,123,42,42,42,42,123,516,162,42,83,42,123,123,332,
200,200,200,200,364,200,123,460,200,200,233,233,233,299,396,396,332,233,460,233,
200,233,428,200,491,460,233,200,233,266,1,1,1, };
static unsigned short stb__arial_bold_47_latin1_a[224]={ 187,224,319,374,374,599,486,160,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,224,224,393,393,393,411,656,486,486,486,486,449,411,524,
486,187,374,486,411,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,224,187,224,393,374,224,374,411,374,411,374,224,411,
411,187,187,374,187,599,411,411,411,411,262,374,224,411,374,524,
374,374,337,262,188,262,393,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,187,224,374,374,374,374,188,374,
224,496,249,374,393,224,496,372,269,369,224,224,224,388,374,187,
224,224,246,374,561,561,561,411,486,486,486,486,486,486,673,486,
449,449,449,449,187,187,187,187,486,486,524,524,524,524,524,393,
524,486,486,486,486,449,449,411,374,374,374,374,374,374,599,374,
374,374,374,374,187,187,187,187,411,411,411,411,411,411,411,369,
411,411,411,411,411,374,411,374, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_47_latin1(stb_fontchar font[STB_FONT_arial_bold_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_47_latin1_s[i] + stb__arial_bold_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_47_latin1_t[i] + stb__arial_bold_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_47_latin1_x[i];
            font[i].y0 = stb__arial_bold_47_latin1_y[i];
            font[i].x1 = stb__arial_bold_47_latin1_x[i] + stb__arial_bold_47_latin1_w[i];
            font[i].y1 = stb__arial_bold_47_latin1_y[i] + stb__arial_bold_47_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_47_latin1_s[i] + stb__arial_bold_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_47_latin1_t[i] + stb__arial_bold_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_47_latin1_x[i] + stb__arial_bold_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_47_latin1_y[i] + stb__arial_bold_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_47_latin1_LINE_SPACING
#endif

