// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_45_latin1_BITMAP_HEIGHT        519
#define STB_FONT_consolas_45_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_45_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_45_latin1_NUM_CHARS            224

#define STB_FONT_consolas_45_latin1_LINE_SPACING          30

static unsigned int stb__consolas_45_latin1_pixels[]={
    0x3ee1fff7,0x000cc0ff,0x0000a800,0x00000000,0xdddddd50,0x0005dddd,
    0x66f6c0c4,0xeeb8001a,0xeeeeeeee,0x00620000,0xdca98000,0x0675c04e,
    0x0002dd98,0x00000310,0x7dc3ffee,0x07fe60ff,0x1df30000,0xfff30000,
    0xfff703ff,0xff500005,0xffffffff,0x3ff60005,0x3ffffe1e,0x3f2000cf,
    0xffffffff,0x7edc000f,0x001bdfff,0xffffe980,0x3ffee05f,0x1ffff885,
    0x3ffa6000,0x7fc000df,0x3ffee4ff,0x221fff70,0x0000efff,0x00bfff30,
    0xdffff980,0x05fff700,0xffff5000,0x05ffffff,0xdffff900,0x7ffffffc,
    0xfff9000f,0x1fffffff,0x3fffa600,0x03ffffff,0x3fffee00,0x3f605fff,
    0x7fcc0fff,0xf30003ff,0x00dfffff,0x2e4ffff8,0xfff70fff,0x077ffdc1,
    0x3ffe2000,0x3e60001f,0x7dc03fff,0xa80002ff,0x9999afff,0xfe800099,
    0x5330ffff,0x00bffff9,0x26666662,0xb800fffc,0xdbbeffff,0x8004ffff,
    0xabeffff8,0x3fff2009,0x2ffff886,0x15ffb000,0x7c007ff7,0x3fee4fff,
    0x81fff70f,0x000efffd,0x05fffd10,0x7fffcc00,0x2fffb802,0xfffa8000,
    0x7ec00001,0x3a207fff,0x40002fff,0x5c00fffb,0xf500dfff,0xfc8009ff,
    0x6c4004ff,0x9ff501ef,0x227fc000,0x3fa005fe,0x3ffee3ff,0xb01fff70,
    0x2000bfff,0x0003fffe,0x003bffe6,0x0017ffdc,0x00fffd40,0x3ffe6000,
    0x7ffcc03f,0x7fdc0004,0x3ffe600f,0x1fffb804,0x01bffe00,0x00000000,
    0x09fd13fe,0x71ffff40,0x3fee1fff,0xfffe880f,0x7ffdc002,0x4cc40004,
    0x7ffdc001,0xffa80002,0x9800001f,0xffd002cc,0xffb8000b,0x7fff100f,
    0x027fe400,0x0009fff0,0xb0000000,0x7ff735ff,0x1ffff400,0x3ee1fff7,
    0xfff300ff,0x7ffc400d,0x00000006,0x0017ffdc,0x00fffd40,0xd8000000,
    0x5c0006ff,0xffb00fff,0x7ff8800d,0x05fff300,0x00000000,0xffffff10,
    0xfffe800d,0x5c3ffee3,0x3f200fff,0xffb004ff,0x0000005f,0x02fffb80,
    0x1fffa800,0x00000000,0x8000fff9,0xf980fffb,0xfe8000ff,0xfff9802f,
    0x00000002,0xfffb1000,0xffe80019,0x43ffee3f,0x2200fffb,0x4c01ffff,
    0x00005fff,0xfffb8000,0x50035102,0x00003fff,0x3ff20000,0x7fdc0007,
    0x03ffd80f,0x00bff900,0x5005fff3,0x3000ffff,0x4000dfff,0x3ff60000,
    0x43ffee2f,0x5c00fffb,0x7f405fff,0xffa801ff,0xff98007f,0x87ffee6f,
    0xdfffffda,0x03fff501,0x3ffffe60,0xffffffff,0x7ffc803f,0x7ffdc000,
    0x007ffc40,0x806ff980,0xd002fff9,0xc8005fff,0x4c003fff,0x000eeeee,
    0xf717ffec,0x3ffee1ff,0x0fffe800,0x009fff50,0x0017fff4,0xfb8ffff2,
    0xffff71ff,0x505fffff,0x26003fff,0xffffffff,0x03ffffff,0x0007ffc8,
    0x3207ffdc,0x066205ff,0x4c03ffc3,0xf7002fff,0xff800bff,0x7e4000ff,
    0x4003ffff,0x3ee2fffd,0x1fff70ff,0x05fff900,0x8007fff2,0x4005fffb,
    0x3ee0ffff,0xffffc9ff,0x1fffffff,0x800fffd4,0xfffffff9,0x3fffffff,
    0x007ffc80,0x207ffdc0,0xfea81fff,0x3e5feeff,0xfff9807f,0xffff1002,
    0x3ffe6001,0xffff8005,0x7ec006ff,0x3ffee2ff,0x001fff70,0x3e0bfff3,
    0x7c4007ff,0xf3000fff,0xfffb8bff,0x2a0cfffe,0x7d46fffe,0x266001ff,
    0x99999999,0xc803fffb,0x5c0007ff,0x3fe60fff,0xfffffb86,0x3ffa4fff,
    0x0fffcc00,0x07fffb00,0x00bfff20,0xffffff30,0x7fec001f,0x43ffee2f,
    0xd000fffb,0xffa81fff,0xffd8004f,0xfff9003f,0xfffffb85,0xffff101f,
    0x00fffd43,0x7ffd4000,0x0fffb803,0x3ffee000,0xf513fee0,0xfffd9dff,
    0x200fff47,0x2000fffa,0xf006fffa,0xc8001fff,0x3fffcfff,0x87fff200,
    0xff70fffb,0x3ff2001f,0x0fffe43f,0x37ffd400,0x40ffff80,0x00fffffb,
    0xf527ffdc,0x000003ff,0x5007fff5,0x40007fff,0x3f60fffb,0x12fff42f,
    0x7fec3fff,0x03ffe402,0x00ffffc0,0x0013ffea,0x3fe77ffe,0x3ff2006f,
    0x43ffee1f,0x5000fffb,0xffe89fff,0x3ffe0007,0x7ffd401f,0x1ffffb84,
    0x27fff880,0x0001fffa,0x03fffa80,0x001ffff0,0xf83ffee0,0x3ffea1ff,
    0xd83ffe60,0x3fe602ff,0xffc8004f,0x7ffec04f,0x7ffcc001,0x001fffd3,
    0xfb87fff2,0x1ddd50ff,0x17ffe600,0x4000dfff,0x6c04fffc,0xffb81fff,
    0x3ffa003f,0x007ffea7,0x3ffea000,0xffff7003,0x2e003359,0xfff30fff,
    0x7dc4ffd8,0x897fec7f,0xffffca99,0xfff88000,0xdfff100f,0x1fff9000,
    0x400ffff2,0x3ee1fffc,0x440000ff,0x3fe26fff,0x3e20005f,0xff100fff,
    0x3ffee0df,0x3fff6002,0x003fff50,0x7fff5000,0x7fffd400,0xfb801fff,
    0x4bff50ff,0x7e42fff8,0xb8ffec6f,0x0dffffff,0x3fff6000,0x07fff503,
    0x4cdfff00,0xf9006fff,0x7ffdc3ff,0xfff80000,0x017ffe67,0x07fffb00,
    0x5c0fffea,0x32002fff,0xfff51fff,0xf5000003,0xd88007ff,0x801fffff,
    0xff70fffb,0x207ffd49,0x7ff45ffd,0x7fffff71,0xffa80001,0x1fffb06f,
    0x3fff9800,0x4007fffc,0x3ee0fffb,0xe80000ff,0x3ffe67ff,0x7fd40004,
    0x1fffb06f,0x00bffee0,0xf52fffc8,0x000003ff,0x4007fff5,0xeffffffc,
    0x0fffb800,0x7fdc9ff7,0x743ffe87,0xfffd50ff,0x80007fff,0x7c41ffff,
    0xfc8005ff,0x7ffe41ff,0x0fffb803,0x0003ffee,0x543fffa0,0x80003fff,
    0x7c41ffff,0x3fee05ff,0x3ff2002f,0x03fff51f,0xfff50000,0x3ffee007,
    0xffb8001d,0x647ff90f,0x2fff86ff,0xfb883ffc,0x20002fff,0x7dc4fffc,
    0xff8002ff,0x5fffa86f,0x20fffb80,0x0000fffb,0x3e67ffe8,0xc80004ff,
    0x7fdc4fff,0x3ffee02f,0x9fff6002,0x0001fffa,0x03fffa80,0x005fff88,
    0x643ffee0,0x17ff63ff,0x7c43fff1,0x7ffc407f,0x3fe20006,0x03fff47f,
    0x827ffcc0,0x5c00ffff,0x3fee0fff,0xff80000f,0x17ffe26f,0x3ffe2000,
    0x203fff47,0x2002fffb,0x3fea6ffe,0xa800001f,0xfa803fff,0x2e0001ff,
    0x5ffb0fff,0x3ea2ffec,0x17fe60ff,0x003fff20,0x32fffd80,0x90009fff,
    0x3f603fff,0x664c03ff,0x007ffdc4,0x1bffe200,0x0000dfff,0x7ccbfff6,
    0x7fdc04ff,0x3ffe002f,0x007ffea5,0x3ffea000,0x0fffb803,0x3ffee000,
    0x7ec5ffb0,0x23ffdc5f,0xfa803ffb,0x2a0001ff,0xfff95fff,0xffff0003,
    0x02fffd40,0x01fff700,0x5fff9800,0x0003fffc,0xf95fffa8,0xffb803ff,
    0xfff7002f,0x00fffd47,0x7ffd4000,0x07ffc803,0x87ffdc00,0x3ff62ffc,
    0x363fff46,0xff9800ff,0x7fc0002f,0x06fff8ff,0x04fff980,0x003fffe2,
    0x887ffdc0,0xf5000aaa,0xfffe87ff,0xfff00000,0x00dfff1f,0x1005fff7,
    0x7d41ffff,0x800001ff,0xc803fffa,0x5c0007ff,0x7ff90fff,0xff737fe4,
    0x037fccff,0x002fff98,0x7e7ffe40,0xfc8003ff,0x7fec02ff,0x2054c02f,
    0xff70fffb,0x3ff6001f,0x1fffe41f,0xfffc8000,0xb803fffc,0x6c402fff,
    0x7fd42fff,0xa800001f,0xfc803fff,0x7dc0007f,0x49ff70ff,0xffbcfffa,
    0xffeacffd,0x5fff3002,0xfff98000,0x8000ffff,0xfb807fff,0x3ff605ff,
    0x43ffee2f,0xf000fffb,0xfff30dff,0x3e60000d,0x00ffffff,0x0adfffb8,
    0x37fffd44,0x000fffd4,0x1fffd400,0x003ffe40,0x543ffee0,0x7fffc5ff,
    0xffff8cff,0x3e6004ff,0xe80002ff,0x005fffff,0x805fff98,0xa80ffff8,
    0x3ee7ffff,0x1fff70ff,0x09fff500,0x0003fffa,0x7fffff40,0xffff7005,
    0xffffdfff,0xff501bff,0x5000003f,0xf9007fff,0xfb8000ff,0x8bff30ff,
    0x366ffffa,0x4005ffff,0x0002fff9,0x1fffffa8,0xefffc800,0xeeeeeeee,
    0xb82ffffe,0xf70fffff,0x3ffee1ff,0x1fffc800,0x007fff70,0x3fffea00,
    0xfff7001f,0xffffffff,0x7fd407ff,0xa800001f,0xfc803fff,0x7dc0007f,
    0x0dff30ff,0x57103771,0xfff30001,0x3fe00005,0xff0005ff,0xffffffff,
    0xffffffff,0xfffff50b,0xfb87ffdc,0x7fc400ff,0x3ffe206f,0x3fe00006,
    0x3ee005ff,0xfffffeff,0x7d401cdf,0x800001ff,0xc803fffa,0x5c0007ff,
    0xfff10fff,0x80000003,0x0002fff9,0x01ffff88,0xfffff980,0xffffffff,
    0x80ffffff,0x3ee2fffd,0x1fff70ff,0x02fffd80,0x001fffec,0x0ffffc40,
    0x25fff700,0x54000998,0x00001fff,0x802fffb8,0x40007ffc,0x3f60fffb,
    0x0000004f,0x0017ffcc,0x037ffdc0,0xeefffc80,0xeeeeeeee,0x02ffffee,
    0xfffb8153,0x401fff70,0x8805fff9,0x0000ffff,0x0037ffdc,0x000bffee,
    0x007ffea0,0x3fff2000,0x07ffc800,0x07ffdc00,0x0000dff5,0x3fff9800,
    0x7ffc4000,0xfff0002f,0xffb8001f,0x7fdc005f,0x01fff70f,0x8007fff4,
    0x0005fffb,0x00bfffe2,0x005fff70,0x03fff500,0xfffd0000,0x01bff600,
    0x81fff700,0x00001fff,0x13ffe200,0xfffe8800,0xfff30005,0xfff1000b,
    0xfffb800f,0x201fff70,0x4004fffb,0x8001fffe,0x005fffe8,0x002fffb8,
    0x01fffa80,0x7ffd4000,0x5fff8806,0x7ffdc000,0x0077fe40,0xfff00000,
    0x3f62000d,0x90000eff,0x20005fff,0x2002fffe,0xff70fffb,0xffff301f,
    0xfff98001,0x3f62000f,0xb8000eff,0x80002fff,0x8801fffa,0xfffe8801,
    0x3fffd801,0x7ffdc000,0x077ffcc0,0x6c000100,0x4cc04fff,0xfffffca9,
    0x3ffe0001,0xff70000f,0x7fdc00bf,0x81fff70f,0x001ffff9,0x01dfff90,
    0xfff95333,0x2e0003ff,0x80002fff,0x8801fffa,0x7310abef,0x220bffff,
    0x06fffeb9,0x0fffb800,0x0aefffb8,0x0009d710,0x577fffc4,0xfffffd81,
    0x20002fff,0x0005fff9,0x801fffe6,0xff70fffb,0x7fff441f,0x7fec0001,
    0xffffd86f,0x0002ffff,0x000bffee,0x3ffffea0,0xf12fffff,0xffffffff,
    0xff01dfff,0x05ffffff,0x3fffff20,0x500fffff,0xb9dfffff,0x009ffffd,
    0xfffffb80,0x3fff65ff,0x0000dfff,0x001fffe4,0x00bfffa0,0xfb87ffdc,
    0x3fffa0ff,0xffb00002,0xffffd8bf,0x40000dff,0x0002fffb,0xffffffa8,
    0xff12ffff,0xffffffff,0x7fffc09f,0x32001eff,0xffffffff,0x3fe600ff,
    0xffffffff,0xb80002ef,0x25ffffff,0x02cefffd,0x00000000,0x7ffdc000,
    0x6c1fff70,0x400003ff,0x7fec2ffe,0x00002cef,0x0005fff7,0xffffff50,
    0x64c5ffff,0xcefffffe,0x66f7fc01,0xfffc8002,0x0fffffff,0x7fedd440,
    0x0001ceef,0x7ff65c40,0x000004c5,0x88888888,0x88888888,0x88888888,
    0xfff70008,0xb03ffee1,0xd1000009,0x00002607,0x00000000,0x00262000,
    0x00000000,0x00004000,0x00000000,0xfffff800,0xffffffff,0xffffffff,
    0xf7005fff,0x3ffee1ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff00000,0xffffffff,0xffffffff,0x00bfffff,
    0x7dc3ffee,0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf0000000,0xffffffff,0xffffffff,0xbfffffff,0x43ffee00,
    0x0000fffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03bba000,0x5dd90000,0x554c0000,0x00000001,0x00999800,0x00000000,
    0x00035553,0xa9803510,0x00d44000,0x550002a6,0x00001555,0x00aaaaa8,
    0x7fc40000,0xfe800007,0x3600002f,0xb98002ff,0x09bdffed,0x3fb6a000,
    0x01efffff,0xffd97510,0x0dffffff,0x7ffffdc0,0x3fe60001,0x1dff902f,
    0x0bffe600,0x00077fe4,0x01dffff3,0x7ffcc000,0x000000ef,0x0001bfe6,
    0x0007ffe0,0x007ffc40,0x3fffff20,0x001effff,0x7ffffec4,0x402fffff,
    0xffffffb8,0x6fffffff,0xfffff900,0x360005ff,0xff886fff,0xffb003ff,
    0xffff10df,0xffd88007,0x200000ef,0x00efffd8,0xbff50000,0xff880000,
    0xf500000f,0x7f4400df,0xffffffff,0xf1002fff,0xfdffffff,0x7dc05fff,
    0xffffffff,0x06ffffff,0xe9cfffc8,0xb8002fff,0xffd05fff,0x3fee005f,
    0x5fffd05f,0x3ffee000,0x5c00000e,0x0000efff,0xdffd7310,0x30000157,
    0x40000fff,0xf3003ffc,0x959dffff,0x07fffffd,0x03bfffb0,0x7fd402a2,
    0x2fffffff,0x36037ff4,0x7fe42fff,0x7f44003f,0x0bff501f,0x80fff440,
    0x40005ffa,0x000efff9,0x77ffcc00,0x3fee0000,0xffffffff,0x7d40007f,
    0x6dcc006f,0x1ffffffe,0x1dfffd00,0x3ffffe60,0x17ffea00,0xffff8800,
    0x42ffffff,0x26206ffe,0x33310099,0x04002000,0x01000800,0x26662000,
    0x98800000,0xea800099,0xffffffff,0x0007ffff,0xb002ffdc,0xffffffff,
    0xff5005ff,0xff9801df,0x3fee04ff,0x3fa0002f,0xffffffff,0x037ff42f,
    0x00000000,0x00000000,0x00000000,0xf5000000,0xffbdffff,0x00fffdbf,
    0x37ffaa20,0x7fff4c01,0xffffffff,0x7fff403f,0xffff3000,0x0bfff201,
    0x7fffc400,0x2fffffff,0x00037ff4,0x00000000,0x00000000,0x00000000,
    0xfff88000,0x1fff10cf,0xfb300144,0xffffffff,0xfffff509,0xffff557d,
    0x3fee07ff,0x7ff4005f,0xdfff503f,0xfff30001,0xffffffff,0x006ffe85,
    0x7bffdb73,0x3bae0013,0x7754001e,0xdb73001e,0x00137bff,0xffedb980,
    0xd70009bd,0xea8003dd,0x3fff61ee,0x003ffcc5,0xffffff90,0xd0ffffff,
    0xf881dfff,0x80ffffff,0x4002fffe,0xf106fffb,0x8001dfff,0xfffffffb,
    0x7f42ffff,0xfffd806f,0x1effffff,0x01fffc80,0x017ffdc0,0x7fffffec,
    0x0001efff,0xfffffffb,0xf9003dff,0xfb8003ff,0x3fffe2ff,0x0037fd41,
    0x7fffff44,0x7ffffffe,0x4077ffdc,0xffffdffb,0x007fff85,0x207fff88,
    0x03fffffa,0x3ffffee0,0x42ffffff,0x3a606ffe,0xffffffff,0x6402ffff,
    0x5c001fff,0x3a602fff,0xffffffff,0x2002ffff,0xffffffe9,0x02ffffff,
    0x000fffe4,0x7ccbffee,0x5ffb86ff,0xffffe800,0x717ff88b,0x00ffff8b,
    0xfff75ffb,0x2fffc41f,0x0fffe800,0xfffffd88,0xffa801ef,0xffffffff,
    0x837ff42f,0xbefffffa,0xfffffeca,0x07fff203,0x05fff700,0x3bffffea,
    0xffffecab,0xfffa803f,0xfecabeff,0x3203ffff,0x5c001fff,0xfff32fff,
    0x04ffc81f,0x0ffffdc0,0x7dc0fff5,0x3ffe05ff,0x4c7ffff0,0xd0004fff,
    0xfe883fff,0xffffffff,0x7fffcc04,0x2fffffff,0xfe837ff4,0xfd100eff,
    0x3f201fff,0x7dc001ff,0xfffd02ff,0x3ffa201d,0x7ff400ff,0xffd100ef,
    0x3ff201ff,0x7fdc001f,0x0ffffe2f,0x44005ffb,0x7dc1ffff,0x3fffa05f,
    0x5cdff502,0x3fea5fff,0xffb0003f,0xcfffd85f,0xefffffb8,0x3ffffe02,
    0x42ffffff,0xffb86ffe,0x7fc400ef,0xfff904ff,0xfffb8003,0x0efffb82,
    0x27fffc40,0x01dfff70,0x04ffff88,0x8003fff9,0x3f62fffb,0x3ffa3fff,
    0x3ffee001,0x204ffc85,0x3f207fff,0x9fffe23f,0x0002fffb,0x7cc5fff9,
    0x7fec45ff,0xff703fff,0xffffffff,0xf86ffe85,0xf3000fff,0x3ff20fff,
    0x7fdc001f,0x0ffff82f,0x0ffff300,0x8007fffc,0xf907fff9,0xfb8003ff,
    0x3ffe22ff,0x0fffaeff,0x07fff600,0x7c40fff6,0x3ffe05ff,0xc87fffc1,
    0x90002fff,0x7fe47fff,0xffff500f,0x3fffa09f,0x42ffffff,0x7fdc6ffe,
    0x7ff4005f,0x1fffc83f,0x17ffdc00,0x0017ffee,0xf707fffd,0xfe800bff,
    0xfffc83ff,0x7ffdc001,0x7ffffd42,0x74007fff,0x5ffd07ff,0x413ffe60,
    0xffe87ff9,0x05fffb1f,0x8bfff200,0x6c406ffe,0xf882ffff,0xffffffff,
    0x3a37ff42,0x5c002fff,0xffc86fff,0x7fdc001f,0x17fff42f,0x1bffee00,
    0x000bfffa,0xf90dfff7,0xfb8003ff,0xffe982ff,0x01dfffff,0x3e0dfff0,
    0xfff501ff,0x213fee07,0xff92fffe,0x3f60007f,0x3fffa1ff,0xefffd800,
    0xffffc880,0x7ff42fff,0x003fffc6,0x643fffc4,0x5c001fff,0x7ffc2fff,
    0xfff88007,0x007fff87,0xc87fff88,0x5c001fff,0x3ae02fff,0xefffffff,
    0x17ffe601,0x5c03ffe2,0xffd02fff,0x25fffb05,0x0004fffb,0x7e41fffb,
    0xffb002ff,0x7f64405f,0x7ff42fff,0x017ffe26,0x207fff40,0x4001fffc,
    0x3e22fffb,0xfd0005ff,0x7ffc41ff,0xfffd0005,0x01fffc81,0x017ffdc0,
    0x7fffff54,0xff880dff,0x07ff986f,0x220bfff6,0xfff907ff,0x013ffea7,
    0x2a3fff40,0xa800efff,0x22004fff,0x37ff40a9,0x0009fff3,0xf903fffa,
    0xfb8003ff,0x3ffe62ff,0xfffd0004,0x027ffcc1,0x40fffe80,0x4001fffc,
    0xb002fffb,0xffffffff,0x0ffff01d,0x7ec0dff5,0x5ffb82ff,0x265fff90,
    0x88006fff,0xffe87fff,0x7fc400ef,0xfd00005f,0x1fffd4df,0x1fffd800,
    0x000fffe4,0xfa8bffee,0xfb0003ff,0x7ffd43ff,0xfffb0003,0x01fffc83,
    0x017ffdc0,0xfeaaffe8,0xffe86fff,0x02ffdc1f,0xfb07fff9,0x3fff607f,
    0x01ffff11,0x85fffb80,0x01effff9,0x0013ffe2,0xf737ff40,0x320005ff,
    0x7fe42fff,0x7fdc001f,0x0bffee2f,0x17ffe400,0x0005fff7,0xf90bfff2,
    0xfb8003ff,0xfff002ff,0x1ffffdc3,0xf913fff6,0x7ffdc09f,0xd00fff84,
    0x7ff41fff,0x7ff4003f,0xffff502f,0x3ffee07f,0xffd00002,0x017ffecd,
    0x43fffc80,0x4001fffc,0x3f62fffb,0xf90002ff,0x7ffec7ff,0xfff90002,
    0x01fffc87,0x017ffdc0,0x3207ffc4,0x7fcc5fff,0x0fff62ff,0x545fffb8,
    0x3ffa06ff,0x037ffdc7,0x80dfff30,0x1efffff9,0x001fffe2,0x326ffe80,
    0x90002fff,0xffc87fff,0x7fdc001f,0x0bfff22f,0x1fffe400,0x0005fff9,
    0xf90ffff2,0xfb8003ff,0xff9802ff,0x86fff987,0xfd4ffffe,0x3fea105f,
    0x827fe46f,0x7c46fff8,0xe8804fff,0xc8802fff,0xfadfffff,0x00002fff,
    0xffc9bffa,0xffb0003f,0x1fffc85f,0x17ffdc00,0x0007fff9,0xfc8bfff6,
    0xfb0003ff,0xfffc85ff,0x7ffdc001,0x86ffa802,0xf987fff8,0xfffdffff,
    0xf17da989,0x7ffc1fff,0x0bfff701,0x407ffff9,0x007fffe8,0x7fffff54,
    0x00003fff,0xff737ff4,0x3f60009f,0x7ffe42ff,0x7ffdc001,0x013ffee2,
    0x717ffec0,0x20009fff,0x7e42fffd,0x7dc001ff,0xffb802ff,0x05fff985,
    0xfffffff5,0x4fffffff,0xff33fffe,0x17fff40f,0x6fffff44,0xffeca89b,
    0xf70001ff,0x005fffff,0x4dffd000,0x0004fffa,0xfc83fffd,0x7dc001ff,
    0x3ffea2ff,0xfffd0004,0x027ffd43,0x41fffe80,0x4001fffc,0xc802fffb,
    0xfffd84ff,0x3fffa603,0xffffffff,0x23fffee7,0xff304ffb,0x7ff440df,
    0xffffffff,0x40001fff,0x03ffffd8,0x6fff8000,0x001bffe6,0x321fffe2,
    0x64002fff,0x3fe61fff,0xff88006f,0x37ffcc7f,0x3fffc400,0x0017ffe4,
    0x5547fff2,0x263ffd80,0x800ffffd,0xffffffc9,0x3fe21ace,0x82ffecff,
    0x402fffe8,0xffffffe8,0x000effff,0x3ffff200,0x7fc00000,0x3fffe25f,
    0x7ffdc000,0x02fffb85,0x107ffec0,0x8001ffff,0x7c45fffb,0x5c000fff,
    0xffb85fff,0x7fec002f,0x9bdff90f,0xfd99ffd7,0x8003ffff,0xc800dffc,
    0x0fffffff,0x037fff44,0xfffff930,0x000005bf,0x000ffff6,0x44fff880,
    0x4003fffe,0xfa82fffe,0x7f4003ff,0x3fffe87f,0x17fff400,0x001ffff4,
    0x2a0bfffa,0x74003fff,0x3fff27ff,0xffffffff,0x002fffff,0x1003ffd8,
    0x4dffffff,0x1ffffeca,0x1fffb000,0xfa800000,0x200003ff,0x7d43fffa,
    0x3e6006ff,0xfff306ff,0x7ffc400b,0x06fffa86,0x41bffe60,0x2006fffa,
    0xf306fff9,0x7c400bff,0x3fff26ff,0xffffffff,0x0000cfff,0x4c005ffd,
    0xffffffff,0x01ffffff,0x0fffee00,0xff900000,0x0008803f,0xff03fffd,
    0xfd1009ff,0x3fe205ff,0xff9001ff,0x3fffe09f,0xfffe8804,0x13fffe02,
    0x0bfffa20,0x00ffffc4,0x4c4fffc8,0xffffedcb,0x0000abde,0x2000fffc,
    0xffffffe8,0x000dffff,0x03fffcc0,0xfff30000,0x807fb00f,0xf705fffc,
    0xfe807fff,0x7fe406ff,0x7fd400df,0x3ffee06f,0x7fff403f,0x7fffdc06,
    0x37fff403,0x037fff20,0x00dfff50,0x00017fee,0x001fff10,0xffffff50,
    0x00007bff,0x8827fffc,0x26f3e22d,0xffda9999,0x7fd404ff,0xeb99acef,
    0xd100ffff,0x137bffff,0x3ffffd95,0xfffff880,0x7ffe4c1a,0x3ffa202f,
    0xca89bdff,0x401ffffe,0xbdffffe8,0xfffeca89,0x7ffc401f,0x7e4c1aff,
    0xf9002fff,0x9800009f,0xf90007ff,0x0015539f,0x3ffe6000,0xffdcbcff,
    0x3ffffe26,0xffffffff,0xffffd804,0xffffffff,0x7ff4402f,0xffffffff,
    0xf7001fff,0xffffffff,0x00bfffff,0xffffffd1,0x3fffffff,0x3fffa200,
    0xffffffff,0xff7001ff,0xffffffff,0x400bffff,0x00003ffd,0x80037fd4,
    0x00001fff,0x3ffff200,0x3fffffff,0xfffffff1,0x007fffff,0x7fffff54,
    0x001effff,0x3ffffff6,0x000dffff,0x7fffff4c,0x02ffffff,0x7ffffec0,
    0x00dfffff,0xfffffd80,0x00dfffff,0x7ffff4c0,0x2fffffff,0x017ff400,
    0x17fee000,0x01ffe600,0x3aa00000,0xffffffff,0x3ffb6e22,0x002defff,
    0x3fff72a0,0x950002ce,0x7bfffffd,0xffec8000,0x00ceffff,0xfffd9500,
    0x80007bff,0xfffffeca,0x7640003d,0xceffffff,0x1fff8000,0x7fe40000,
    0x4ffb8004,0x20000000,0x02cdedca,0x00000220,0x26000000,0x1000000a,
    0x00000353,0x000002a6,0x00000a98,0x00035310,0x00003330,0x00035530,
    0x00005dd9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa600,0x54c00002,0x20002aaa,
    0x0001aaa9,0x201bcb88,0xaa980001,0xaaa8001a,0x000000aa,0x55555300,
    0x80351000,0x000000a9,0x2a600000,0xa9802aaa,0xff300000,0x00001dff,
    0x077fffcc,0xffffb800,0x3f60001f,0x541dffff,0x3ee0003f,0x4001ffff,
    0x00effff9,0x7cc00000,0x4000efff,0xf902fff9,0x4c0001df,0xdefffeca,
    0x7cc0000b,0x6400efff,0x40003fff,0x004ffff9,0x7fffcc00,0x3ff20004,
    0x002fffff,0xffffffd8,0xfffdacff,0xfffc8000,0x4002ffff,0x00efffd8,
    0xff300000,0x360009ff,0xff886fff,0xe98003ff,0xffffffff,0x30005fff,
    0x3009ffff,0x001fffff,0x0bfffe60,0xfff30000,0x7e40005f,0xfffe9cff,
    0x3bfea002,0xfffffb9a,0xc8001fff,0xffe9cfff,0xffb8002f,0x000000ef,
    0x017fffcc,0x0bfff700,0x000bfffa,0xfffffff7,0x0dffffff,0x5ffff300,
    0x3fffea00,0xff98001f,0x400000ef,0x000efff9,0x90bfff60,0x5c007fff,
    0x7ffec40e,0xfd8002ef,0x7ffe42ff,0xfff98003,0x3000000e,0x0001dfff,
    0x501ffe88,0x6c400bff,0xbdffffff,0x06ffedcb,0x077ffcc0,0xfffff300,
    0x33310001,0x26200000,0x4c400019,0x33310099,0x2a200800,0x3310001a,
    0x06662013,0x04ccc400,0x99880000,0x00400001,0x7fec0008,0x64c00dff,
    0x0ccc4006,0x2fffb800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffd400,0x00000004,0x00131000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x007fffd0,
    0x00000000,0x36e60000,0x009bdffe,0x003ddd70,0x5c1eeea8,0x54001eee,
    0x73001eee,0x137bffdb,0x77774400,0xeeeeeeee,0x2005eeee,0x00eeeee9,
    0x7774c000,0x400000ee,0x00eeeee9,0x03fffd40,0x17bbb200,0x7dddb000,
    0x3ff60000,0xefffffff,0x1fffc801,0x17ffdc00,0x0007fff2,0xb005fff7,
    0xffffffff,0x3e6003df,0xffffffff,0x7fffffff,0x3ffff200,0x6400003f,
    0x003fffff,0x7fffe400,0x7ff4003f,0x7d40003f,0x50002fff,0x6441ffff,
    0xffd3004c,0xffffffff,0xffc805ff,0x7fdc001f,0x0fffe42f,0x0bffee00,
    0xfffffe98,0x2fffffff,0xfffff980,0xffffffff,0x3e007fff,0x006fffff,
    0x7ffffc00,0x7c00006f,0x006fffff,0x001fffe2,0x037ffec0,0x43fffe80,
    0x5400fffa,0xabefffff,0x3fffffec,0x007fff20,0xc85fff70,0x5c001fff,
    0xff502fff,0xd957dfff,0x807fffff,0xecccccc8,0xccccdfff,0xfff3004c,
    0x0001ffff,0x3ffffe60,0x300000ff,0x1fffffff,0x17ffea00,0x7ffcc000,
    0x7fdc003f,0x0fffa86f,0x077fff40,0x0ffffe88,0x003fff90,0x642fffb8,
    0x5c001fff,0xffd02fff,0x3fa201df,0x90000fff,0x80005fff,0xfffcfffc,
    0xff900003,0x007fff9f,0x33fff200,0xf7003fff,0x400009ff,0x000ffffc,
    0x2a0bfffa,0x3ee00fff,0x7c400eff,0xff904fff,0xffb8003f,0x0fffe42f,
    0x0bffee00,0x003bffee,0x009ffff1,0x00bfff20,0xf3bfff00,0x20000dff,
    0xfff9dfff,0xfff00006,0x00dfff3b,0x000ffff2,0x3ffff880,0x0dfff700,
    0xf807ffea,0xf3000fff,0x3ff20fff,0x7fdc001f,0x0fffe42f,0x0bffee00,
    0x4003fffe,0x0007fff9,0x0005fff9,0xfe9fffcc,0x4c0000ff,0xfffd3fff,
    0xff980001,0x01fffd3f,0x005fffb0,0xffffb800,0x7fffc400,0x03fff501,
    0x0017ffee,0xf907fffd,0xfb8003ff,0x7ffe42ff,0x7ffdc001,0x02fffdc2,
    0x00ffffa0,0x00bfff20,0x90fffc80,0x80007fff,0xff90fffc,0xfc80007f,
    0x7fff90ff,0x03fffd00,0xfffd0000,0x5fffb809,0x407ffee0,0x4002fffe,
    0xfc86fffb,0x7dc001ff,0x7ffe42ff,0x7ffdc001,0x017fff42,0x01bffee0,
    0x00bfff20,0x266fff80,0x40006fff,0x3fe66fff,0x7fc0006f,0x1bffe66f,
    0x007fffa0,0x3ffea000,0xffff100f,0x0fffdc01,0x8007fff8,0xfc87fff8,
    0x7dc001ff,0x7ffe42ff,0x7ffdc001,0x003fffc2,0x003fffc4,0x0017ffe4,
    0x7c3fff98,0x30000fff,0xfff87fff,0xff30000f,0x0ffff87f,0x017fff40,
    0xfffe8000,0x09fff905,0x882fffb8,0xd0005fff,0xffc81fff,0x7fdc001f,
    0x0fffe42f,0x8bffee00,0x0005fff8,0x8001fffd,0x0002fffc,0xfc83fff9,
    0xf90003ff,0xfffc83ff,0xfff90003,0x03fffc83,0x001fffec,0xffff9800,
    0x07fffc41,0x20bffee0,0x0004fff9,0xfc81fffd,0x7dc001ff,0x7ffe42ff,
    0x7ffdc001,0x013ffe62,0x007fff40,0x00bfff20,0x5437ffc0,0xf0005fff,
    0xfff50dff,0x3ffe000b,0x05fffa86,0x0027ffe4,0xbfffb000,0x803fffc8,
    0xfa82fffb,0xfb0003ff,0xfffc83ff,0x7ffdc001,0x00fffe42,0xa8bffee0,
    0xb0003fff,0xc8003fff,0x98002fff,0xfff04fff,0xff98001f,0x1ffff04f,
    0x4fff9800,0x401ffff0,0x0005fffb,0x3fffe200,0x00dfff11,0x2e0bfff2,
    0x90002fff,0xffc85fff,0x7fdc001f,0x0fffe42f,0x8bffee00,0x0002fffb,
    0x8005fff9,0x8002fffc,0xfb01fffc,0xfc8007ff,0xfffb01ff,0xfffc8007,
    0x07fffb01,0x00ffffcc,0xfff90000,0x00bfff6b,0x6c1fffe4,0x90002fff,
    0xffc87fff,0x7fdc001f,0x0fffe42f,0x8bffee00,0x0002fffd,0x8007fff9,
    0x8002fffc,0x3ea07fff,0x7fc005ff,0x3ffea07f,0x3fffc005,0x80bfff50,
    0x0005fffe,0x3fffe200,0x2005fffb,0xfc83fffc,0xf90002ff,0xfffc87ff,
    0x7ffdc001,0x00fffe42,0xc8bffee0,0x90002fff,0xc8007fff,0x4c002fff,
    0x3e204fff,0xf3000fff,0x7fc409ff,0xff3000ff,0x7ffc409f,0x3ffee00f,
    0x2000000f,0xfffffffb,0x3fff2001,0x03fffc83,0x85fffb00,0x4001fffc,
    0x7e42fffb,0x7dc001ff,0x3fff22ff,0xfffb0003,0xfffc8005,0x7ffe4002,
    0x17ffec02,0x02fffc80,0x8017ffec,0x6c02fffc,0x3e202fff,0x0001efff,
    0x3ffffa00,0x7fe4004f,0x4fffb83f,0x5fffb000,0x001fffc8,0x3217ffdc,
    0x5c001fff,0x3fee2fff,0xffb0004f,0xffc8005f,0x7ffc002f,0x5fffb807,
    0x00ffff00,0x200bfff7,0xfb807fff,0x7fe405ff,0x73002fff,0x7fffd400,
    0x7fec000f,0x4fffa83f,0x3fffd000,0x001fffc8,0x3217ffdc,0x5c001fff,
    0x3fea2fff,0xffd0004f,0xffc8003f,0x3fe6002f,0xfff8805f,0x7ffcc00f,
    0xffff8805,0x2fffcc00,0x07fffc40,0x3fffff20,0xcaa99bce,0x7ec006fe,
    0xfd8003ff,0xfff984ff,0xfff88006,0x02fffc87,0x20fffe40,0x4002fffc,
    0x3e61fffc,0xf88006ff,0xfc8007ff,0x3f2002ff,0xeeeeeeff,0xffffeeee,
    0x77ffe402,0xeeeeeeee,0x402ffffe,0xeeeefffc,0xffeeeeee,0xffc802ff,
    0xffffffff,0x4006ffff,0x8002fffc,0xf884fffd,0x5c000fff,0xffb85fff,
    0x7fec002f,0x17ffdc0f,0x83fff600,0x000ffff8,0x002fffdc,0x0017ffe4,
    0xffffffff,0xffffffff,0xfff80bff,0xffffffff,0x5fffffff,0x7fffffc0,
    0xffffffff,0x7005ffff,0xffffffff,0x00dfffff,0x002fffc8,0xd04fffd8,
    0xe8007fff,0xffa82fff,0x7ff4003f,0x03fffa87,0x743fff40,0x74003fff,
    0xc8002fff,0xf3002fff,0xffffffff,0xffffffff,0x3fe601ff,0xffffffff,
    0xffffffff,0xffff300f,0xffffffff,0x1fffffff,0x7ffed400,0x02cfffff,
    0x02fffc80,0x04fffd80,0x400dfff5,0xf306fff9,0x7c400bff,0xfff986ff,
    0x3ffe2005,0x06fffa86,0x01bffe60,0x017ffe40,0xeeefffc8,0xeeeeeeee,
    0x902ffffe,0xdddddfff,0xfddddddd,0x3f205fff,0xeeeeeeff,0xffeeeeee,
    0xff8002ff,0x000099ef,0x0017ffe4,0xf02ffff4,0xd1009fff,0x3e205fff,
    0xf9001fff,0xfff109ff,0x3ff2003f,0x9ffff04f,0x5fffd100,0x3fff2000,
    0x1ffff002,0x5fffb800,0x001ffff0,0xf05fffb8,0xb8001fff,0x44005fff,
    0x00003fff,0x000bfff2,0xb817fffa,0x7403ffff,0x7e406fff,0x7d400dff,
    0x3ff206ff,0x7fd400df,0x3ffee06f,0x7fff403f,0x3ff20006,0xfff9802f,
    0xfff88005,0x05fff987,0x87fff880,0x8005fff9,0x4007fff8,0x0001fffa,
    0x00bfff20,0xffd10000,0x95137bff,0x803ffffd,0x1afffff8,0x17fffe4c,
    0x5fffff10,0xffffc983,0x3fffa202,0xeca89bdf,0x4401ffff,0xfdaaaaaa,
    0xaaaaacff,0x00bfff22,0x217fff40,0x0002fffc,0xfc85fffd,0xfd0002ff,
    0x7e4005ff,0x6400007f,0x00002fff,0xffffe880,0xffffffff,0xfff7001f,
    0xffffffff,0xf700bfff,0xffffffff,0x00bfffff,0xffffffd1,0x3fffffff,
    0xfffff300,0xffffffff,0x7ffcffff,0xff70000f,0x0ffff8bf,0xbfff7000,
    0x000ffff8,0x00bfff70,0x00027ff4,0x00bfff20,0xffd80000,0xffffffff,
    0x7f4c000d,0xffffffff,0x3a6002ff,0xffffffff,0x6c002fff,0xffffffff,
    0xf3000dff,0xffffffff,0xffffffff,0x0017ffe6,0x267fff98,0x20005fff,
    0x3e67fff9,0x260005ff,0x3e007fff,0x400002ff,0x0002fffc,0x7f654000,
    0x003dffff,0x7ffff640,0x0000ceff,0xffffffd9,0x2a00019d,0xdfffffec,
    0x7ffcc003,0xffffffff,0xf97fffff,0xe80007ff,0xfff92fff,0xffe80007,
    0x07fff92f,0x2fffe800,0x002aa880,0x2fffc800,0x40000000,0x000000a9,
    0x00003531,0x00035310,0x0002a600,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1806f2e2,0x00000000,
    0x300de5c4,0x55555400,0x30000000,0x10055555,0x00a98035,0x03555300,
    0x3006a200,0x55550015,0x00000015,0x54c00000,0x0a982aaa,0xfffffb00,
    0x203fa83b,0x0002fff9,0x3ffff600,0x01fd41df,0x0effff98,0x7cc00000,
    0x4c00efff,0xff902fff,0xffb8001d,0x4c001fff,0xff902fff,0xfff9801d,
    0x000000ef,0x000fff90,0x0effff98,0x013fff62,0xfffffffb,0x1fffb59f,
    0x0037ff40,0xffffd800,0xfdacffff,0xfb1000ff,0x00001dff,0x13fffe60,
    0x437ffec0,0x003ffff8,0x3ffffff2,0x3ff6002f,0xffff886f,0xfffd8803,
    0x4000000e,0x0004fff8,0x213fffe6,0x02fffffc,0xf735dff5,0x3fffffff,
    0x01fffa80,0x77fd4000,0xfffffb9a,0xb8001fff,0x0000efff,0x17fffcc0,
    0x0bfff700,0x400bfffa,0xfe9cfffc,0xff7002ff,0x3fffa0bf,0x3ffee002,
    0x2000000e,0x0000fffb,0x205ffff3,0x04fffffe,0xffb103ae,0x3e005dff,
    0x800004ff,0x7fec40eb,0x20002eff,0x000efff9,0x1dfff300,0x1ffe8800,
    0x200bff50,0x7e42fffd,0xfe8803ff,0x0bff501f,0x1dfff300,0x3fa00000,
    0xff30005f,0x7ff401df,0x00404fff,0xc8003551,0x00000fff,0x06aa2008,
    0x4ccc4000,0x33100000,0x00080003,0x26662001,0x00333100,0x00008004,
    0x00026662,0x0bffe600,0x00ccc400,0x0fffffdc,0x88000000,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0037fec0,
    0x3ff20000,0x0000003f,0x0037fec0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff1000,0x10000000,0x3ba60003,0x50000eee,
    0x80005fff,0x004eeee9,0x5c03bbaa,0xeeeeeeee,0x4eeeeeee,0xdddddd70,
    0xdddddddd,0xdddd109d,0xdddddddd,0x2e0bdddd,0xeeeeeeee,0x4eeeeeee,
    0xdddddd70,0xdddddddd,0xdddd109d,0xdddddddd,0x000bdddd,0x1003fff2,
    0xdddddddd,0xdddddddd,0x7e40000b,0x0003ffff,0x00017ffa,0x03fffff5,
    0x403ffee0,0xfffffffc,0xffffffff,0xfffff905,0xffffffff,0xfff30bff,
    0xffffffff,0x20ffffff,0xfffffffc,0xffffffff,0xfffff905,0xffffffff,
    0xfff30bff,0xffffffff,0x00ffffff,0x2013ffe0,0xfffffff9,0xffffffff,
    0x3e00007f,0x006fffff,0x003ffee0,0xfffffa80,0x1fff7005,0x3fffff20,
    0xffffffff,0xfff905ff,0xffffffff,0xf30bffff,0xffffffff,0xffffffff,
    0x3fffff20,0xffffffff,0xfff905ff,0xffffffff,0xf30bffff,0xffffffff,
    0xffffffff,0x3fff5000,0xfffff300,0xffffffff,0x0000ffff,0x3fffffe6,
    0xff10000f,0x7d40009f,0x800fffff,0xf900fffb,0x99999bff,0x07999999,
    0x3337fff2,0xcccccccc,0xcccc883c,0xcdfffecc,0xf904cccc,0x99999bff,
    0x07999999,0x3337fff2,0xcccccccc,0xcccc883c,0xcdfffecc,0x8004cccc,
    0x91006ffe,0xffd99999,0x999999bf,0x3ff20000,0x003fffcf,0x001fff20,
    0xffffffa8,0x0fffb804,0x005fff90,0x0bfff200,0xff900000,0xffc8005f,
    0xf900002f,0x000005ff,0x002fffc8,0x05fff300,0x5fff9000,0xff800000,
    0x06fff9df,0x0bffe600,0x77ffd400,0x7dc00fff,0xfff900ff,0x3f200005,
    0x000002ff,0x0017ffe4,0x000bfff2,0x017ffe40,0x3ff20000,0xf900002f,
    0x320000ff,0x00002fff,0x74fffe60,0x20000fff,0x50006ffd,0x9fff7fff,
    0x00fffb80,0x0005fff9,0x00bfff20,0xfff90000,0xfffc8005,0xff900002,
    0x8000005f,0x0002fffc,0x004fff88,0x05fff900,0x7fe40000,0x07fff90f,
    0x0fffd400,0x4fffd400,0x2e00fffe,0xff900fff,0x3200005f,0x00002fff,
    0x017ffe40,0x00bfff20,0x17ffe400,0x3f200000,0xb80002ff,0x00000fff,
    0x0005fff9,0x337ffc00,0x8000dfff,0xa8005fff,0xfffa9fff,0x03ffee03,
    0x0017ffe4,0x02fffc80,0x7fe40000,0x7fe4002f,0xf900002f,0x000005ff,
    0x002fffc8,0x005ffe80,0x0bfff200,0x98004c40,0x7ffc3fff,0x3ee0000f,
    0x7d4000ff,0x0ffff1ff,0xc807ffdc,0x00002fff,0x0005fff9,0x2fffc800,
    0x17ffe400,0xfffc8000,0x64000002,0x40002fff,0x0001fffa,0x00bfff20,
    0x200ffff6,0x7e41fffc,0x220003ff,0x54003fff,0xfff91fff,0x03ffee05,
    0x0017ffe4,0x02fffc80,0x7fe40000,0x7fe4002f,0xf900002f,0x000005ff,
    0x002fffc8,0x0037fec0,0x0bfff200,0x3fffff70,0xa86fff80,0x40005fff,
    0x54007ffd,0xfff11fff,0x03ffee0d,0x0017ffe4,0x02fffc80,0x7fe40000,
    0x7fe4002f,0xf900002f,0x000005ff,0x002fffc8,0x00fffe20,0x5fff9000,
    0xfffffe80,0x13ffe604,0x0007fffc,0x005fff30,0xf90fffd4,0xfff705ff,
    0x37fff201,0xcccccccc,0xff900ccc,0x999999bf,0x00199999,0x002fffc8,
    0x666fffe4,0xcccccccc,0xbfff900c,0x99999999,0xc8001999,0x20002fff,
    0x0000fffc,0x017ffe40,0x13fffffa,0xb01fffc8,0x80007fff,0x2a005ffe,
    0x3fe61fff,0x0fffb86f,0xffffff90,0xffffffff,0x3fff203f,0xffffffff,
    0x4001ffff,0x4002fffc,0xfffffffc,0xffffffff,0xfffff901,0xffffffff,
    0xfc8003ff,0xf10002ff,0x000009ff,0xc805fff9,0x202fffff,0x3ea07fff,
    0x540005ff,0xf5001fff,0xfffd83ff,0x807ffdc1,0xfffffffc,0xffffffff,
    0xfffff901,0xffffffff,0xfc8003ff,0x7e4002ff,0xffffffff,0x01ffffff,
    0xfffffff9,0xffffffff,0xfffc8003,0xfff70002,0xf9000003,0xffb005ff,
    0x7ffcc07f,0x3fffe204,0x7ffc0000,0x3fff5004,0x5c5fff98,0xff900fff,
    0xdddddddf,0x203ddddd,0xeeeefffc,0xeeeeeeee,0x7ffe4001,0x7ffe4002,
    0xeeeeeeee,0xf901eeee,0xddddddff,0x03dddddd,0x02fffc80,0x00bffd00,
    0x3fff2000,0x80153002,0x6c02fffc,0x40002fff,0xa800fffc,0xffe81fff,
    0x03ffee1f,0x0017ffe4,0x02fffc80,0x7fe40000,0x7fe4002f,0xf900002f,
    0x000005ff,0x002fffc8,0x002fff98,0x5fff9000,0xfff80000,0x5fffb807,
    0x7ffc4000,0x1fffa803,0x2e5fffa8,0xff900fff,0x3200005f,0x00002fff,
    0x017ffe40,0x00bfff20,0x17ffe400,0x3f200000,0xfd8002ff,0x2000006f,
    0x0002fffc,0x017ffe60,0x003fffe2,0x00dffb00,0x3a03fff5,0xfff70fff,
    0x0bfff201,0x7ffe4000,0x64000002,0x64002fff,0x00002fff,0x0005fff9,
    0x2fffc800,0x1fffc400,0xff900000,0xfff8805f,0xdfff906f,0xdddddddd,
    0x005ffffd,0x01fffa80,0xa80fffd4,0xfff74fff,0x0bfff201,0x7ffe4000,
    0x64000002,0x64002fff,0x00002fff,0x0005fff9,0x2fffc800,0x07ffdc00,
    0xff900000,0xffff005f,0x3ffffe0d,0xffffffff,0x005fffff,0x405ffe80,
    0x3e01fffa,0xfffb8fff,0x05fff900,0x3fff2000,0x64000002,0x64002fff,
    0x00002fff,0x0005fff9,0x2fffc800,0x02fffc00,0x3ff20000,0xffff802f,
    0xfffff985,0xffffffff,0x00ffffff,0x07ffdc00,0x403fff50,0xffbbfffb,
    0x5fff900f,0x3ff20000,0x4000002f,0x4002fffc,0x0002fffc,0x005fff90,
    0xfffc8000,0x3ffea002,0x64000001,0xff802fff,0xfffc85ff,0xeeeeeeee,
    0xffffeeee,0x7fc40002,0x3ffea04f,0x3bffe201,0xf900fffb,0x200005ff,
    0x0002fffc,0x17ffe400,0x0bfff200,0x7ffe4000,0x64000002,0x3a002fff,
    0x000006ff,0x802fffc8,0xff84fffe,0x7dc000ff,0xc80005ff,0x3fea07ff,
    0x7ffe401f,0xf900fffe,0x200005ff,0x0002fffc,0x17ffe400,0x0bfff200,
    0x7ffe4000,0x64000002,0xf3002fff,0x000005ff,0x005fff90,0xf989fffd,
    0xf88005ff,0x980007ff,0xff502fff,0xfff8803f,0xf900ffff,0x200005ff,
    0x0002fffc,0x17ffe400,0x0bfff200,0x7ffe4000,0x64000002,0xf9002fff,
    0x000000ff,0x200bfff2,0x7e43fffd,0xfd0002ff,0xd00005ff,0x3fea0dff,
    0xfffc801f,0xff900fff,0x5555559f,0x20355555,0xaaacfffc,0xaaaaaaaa,
    0xaaaaa881,0xaacfffda,0xff902aaa,0x5555559f,0x20355555,0xaaacfffc,
    0xaaaaaaaa,0xaaaaa881,0xaacfffda,0x3fe22aaa,0x2200004f,0xfdaaaaaa,
    0xaaaaacff,0xf0ffff62,0x20001fff,0x0005fffb,0xa81fffa8,0xf8801fff,
    0x900fffff,0xffffffff,0xbfffffff,0x3fffff20,0xffffffff,0xfff985ff,
    0xffffffff,0x907fffff,0xffffffff,0xbfffffff,0x3fffff20,0xffffffff,
    0xfff985ff,0xffffffff,0x2e7fffff,0x00000fff,0x3fffffe6,0xffffffff,
    0x3fff27ff,0x017ffe62,0x07fff980,0x09fff000,0x2003fff5,0x00fffffd,
    0xfffffff9,0xffffffff,0x3ffff20b,0xffffffff,0xff985fff,0xffffffff,
    0x07ffffff,0xfffffff9,0xffffffff,0x3ffff20b,0xffffffff,0xff985fff,
    0xffffffff,0x27ffffff,0x00005ffe,0x7fffffcc,0xffffffff,0x3fff27ff,
    0x00ffff22,0x05fffd00,0x0bdd7000,0x2003fff5,0x00fffff9,0xfffffff9,
    0xffffffff,0x3ffff20b,0xffffffff,0xff985fff,0xffffffff,0x07ffffff,
    0xfffffff9,0xffffffff,0x3ffff20b,0xffffffff,0xff985fff,0xffffffff,
    0x37ffffff,0x00003ddd,0xffffff98,0xffffffff,0x066627ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03555300,0x3fb20000,0x0000002d,0x06a20000,0x09998000,
    0x06620018,0x00000000,0x10000000,0x00000033,0x00000000,0xfffb8000,
    0x200001ff,0x5fffffe8,0x7fffdc00,0xff70000e,0xffffda8f,0x654001df,
    0xcefffffe,0x3b200ffd,0x0cffffff,0xfffd8000,0x4c000003,0x201fffff,
    0x0dffffe9,0x00dffb00,0x019dfd71,0xfb000012,0x3f2001ff,0x02ffffff,
    0x59ffb000,0x98007ffb,0x000efffe,0x3ee7ffb8,0xffffffff,0xfffd8802,
    0xffffffff,0xfffa80ff,0xffffffff,0x3ff60002,0x00003fff,0x1bffff30,
    0x7ffffdc0,0x7d400fff,0x7fc401ff,0x643fffff,0x3600005f,0xfc800fff,
    0xfffe9cff,0x7fc40002,0x40037ec3,0x00efffd8,0x647ffdc0,0xffffffff,
    0x3a601fff,0xfeefffff,0x40ffffff,0xeefffffb,0x01ffffff,0xfefffd80,
    0x400003ff,0x403ffff9,0xfebefff8,0x3fe205ff,0x7ff4404f,0xdfffffff,
    0x0000efff,0x801fffb0,0x7e42fffd,0x260003ff,0x03fdc1ff,0x1dfff700,
    0x6fffdc00,0x3aa0cfff,0xff306fff,0xf7103bff,0x7fcc1fff,0x7ed443ff,
    0x7ec006ff,0x7fff92ff,0x3fe60000,0xffc802ff,0x807ffd45,0x4c00fffc,
    0xffd50cff,0x001dffff,0x07ffec00,0x20133310,0x20001998,0x37ec3ff8,
    0x3ffa6000,0xfff7000e,0x3e203fff,0xffd81fff,0xfffd803f,0x007fffa0,
    0x2001fffd,0x7dc1effd,0x4c0003ff,0xd000efff,0xfff885ff,0x02fff982,
    0x3fee0b30,0x00000dff,0x0007ffec,0x3a000000,0x4ffc9cff,0x99988000,
    0xffff7000,0xfffb801f,0x02fffcc4,0xf30fffd8,0xff900bff,0x3331005f,
    0x00666201,0x00333100,0xfe80fff8,0x05ffe83f,0x000c4000,0x1fffb000,
    0x00000000,0xffffff88,0x00000006,0x00ffffdc,0x363fffc4,0xfb001fff,
    0x3ffea1ff,0x2fffb802,0x00000000,0x7fc40000,0x43ffd80f,0x0000fffc,
    0x40000000,0x2000fffd,0x00eeeee9,0x7fec4000,0x0000004e,0x03fffb80,
    0xff1fffa0,0x7fec00bf,0x03fff70f,0x001fffd0,0x00000000,0x05fff000,
    0x7fcc5ffb,0x0000002f,0xffd80000,0x3ff2000f,0x00003fff,0x98000000,
    0xff70009a,0x7fec005f,0x09fff30f,0xd87ffec0,0x7e400fff,0x4c0005ff,
    0x8000009a,0x3a0009a9,0x7ffc44ff,0x0017ffa1,0x26aaaa60,0x33300000,
    0x003fff61,0x6ffffff8,0x554c0000,0x400009aa,0xffffffdb,0x3ffee00d,
    0x3fff2002,0x007fff51,0xfd87ffec,0x7ffec07f,0xfdb8000f,0x00dfffff,
    0x3fff6e00,0x6400dfff,0xfe98cfff,0x03ffee5f,0x3ffb2600,0x2effffff,
    0x7ff65400,0xffffffff,0xffff3000,0x40001fff,0xfffffec9,0x4002efff,
    0xffffffe8,0xf703ffff,0x7e4005ff,0x5fff72ff,0x87ffec00,0xfd107ffd,
    0x88003dff,0xfffffffe,0x44003fff,0xfffffffe,0x3e203fff,0xffffffff,
    0x007fff31,0xffffff30,0xdfffffff,0xfffd8801,0xffffffff,0xff9000ff,
    0x007fff9f,0x3ffffe60,0xffffffff,0xfff9800e,0xfffecdff,0xfffb85ff,
    0x3fff2002,0x005fff91,0xfd87ffec,0xfffe887f,0x7fcc000d,0xffecdfff,
    0xf3005fff,0xfd9bffff,0x4c0bffff,0x1efffffe,0x40017ffa,0xeffffff9,
    0x5ffffffe,0x3ffffea0,0xfffffeff,0xfff000ff,0x00dfff3b,0x3ffffe60,
    0xfffffeef,0x7ffc405f,0xffff704f,0x02fffb85,0xfb9fff60,0x3f6002ff,
    0x0fffb0ff,0x000bfff9,0x209ffff1,0x402ffffb,0x704ffff8,0xa805ffff,
    0x3ee0acdc,0xf30000ff,0xfb10137d,0xff105fff,0xb8813bff,0x9800ffff,
    0xfffd3fff,0x7df30001,0xfffb1013,0x7ffe405f,0x37ffcc02,0x800bffee,
    0x3fea6ffe,0x3ff6003f,0xf0fffb0f,0x32000fff,0x7cc02fff,0x7fe406ff,
    0x7ffcc02f,0x3fe20006,0x0220003f,0x85fffc80,0xd803fffd,0xfc800fff,
    0x7fff90ff,0x40011000,0xf105fffc,0x3f600bff,0x3ffee3ff,0x97ffe002,
    0x3004fff9,0x3f61ffff,0x2fffc47f,0x2fffc400,0x03fffd80,0x200bfff1,
    0x0003fffd,0x0000dffb,0x8dfff000,0xb005fff9,0xff001fff,0x37ffccdf,
    0xff800000,0x3fff906f,0x93ffe600,0x7002fffb,0x7fc47fff,0xfff8806f,
    0x0fffb0ff,0x9000ffff,0x26003fff,0xff904fff,0x3fe6003f,0xffb8004f,
    0x0000001f,0x7ec7ffe8,0xffb001ff,0xfff9801f,0x007fffc3,0x7ff40000,
    0x00fffd07,0x3ee5fff8,0xfff002ff,0x1fffe81f,0x3ffffa20,0xb0fffb0f,
    0xe8009fff,0x7fc007ff,0x0fffd05f,0x005fff80,0x001fffc4,0xffd80000,
    0x017ffe0f,0x400fffd8,0x7e41fffc,0x000003ff,0xf80fffd8,0x7f4005ff,
    0x0bffee7f,0x05fffb10,0x6c0bfff7,0xb0ffffff,0xfff50fff,0x3fe001bf,
    0x7ff4005f,0x00bfff07,0x4007ffe8,0x00006ffd,0x3fff6000,0x009fff10,
    0x2007ffec,0xffa86fff,0x8000005f,0x7c40fffd,0xeeeeefff,0xffeeeeee,
    0xbfff70ff,0xfffa8815,0xffff105f,0x3fff223b,0xfb0fffce,0x3fff20ff,
    0x7fc401ef,0xeeeeeeff,0xfffeeeee,0x7fffc40f,0xeeeeeeee,0x0ffffeee,
    0x43fff500,0x002cddb9,0xffedcb88,0x0fffffff,0x4007fff3,0x2600fffd,
    0xfff04fff,0x2e20001f,0xfffffedc,0x7d40ffff,0xffffffff,0xffffffff,
    0xffff70ff,0xffffdfff,0x7dc01dff,0xffffffff,0x0fffc8ef,0x7e40fffb,
    0x2a02ffff,0xffffffff,0xffffffff,0x7fd40fff,0xffffffff,0xffffffff,
    0xfff8800f,0x3ffffee4,0xfc8800df,0xffffffff,0xf70fffff,0x7ec005ff,
    0x3ff200ff,0x7fffb01f,0xfffc8800,0xffffffff,0x7fd40fff,0xffffffff,
    0xffffffff,0xfffff70f,0xffffffff,0x3ffee007,0x90dfffff,0x3ff61fff,
    0x7fffdc07,0xffff503f,0xffffffff,0x1fffffff,0xffffffa8,0xffffffff,
    0x800fffff,0x3fee6ffd,0x05ffffff,0x7fffffc4,0xffffffff,0x5fff90ff,
    0x07ffec00,0x540ffff0,0x22005fff,0xffffffff,0xffffffff,0x4efffcc0,
    0x99999999,0x2e199999,0xffffefff,0x4000cdff,0x3dffffea,0xfd87ffe4,
    0xffe9807f,0xfff981ff,0x9999999d,0x19999999,0x99dfff98,0x99999999,
    0xa8019999,0xfff11fff,0x5fff9119,0x3ffffa20,0x3fff601b,0x005fff70,
    0x9807ffec,0x3e204fff,0xe8800fff,0x201bffff,0x7c40fffd,0x700005ff,
    0x26625fff,0x06600000,0xfb0fffd8,0x3fa200ff,0xfff886ff,0x7c400005,
    0x000005ff,0xfb93ffa2,0x04ffe86f,0x200dfff7,0xff50fffd,0x7fec007f,
    0x5fff900f,0x02fffd80,0x006fffb8,0xff01fffb,0x2e0000ff,0x00002fff,
    0x7ffec000,0x400fffb0,0xf80ffff8,0x800007ff,0x00007fff,0xc83fff20,
    0x5ffc83ff,0x003fffb0,0x7cc3fff6,0xff3004ff,0x3ffe01ff,0x5fffb807,
    0x01fffd80,0xd01fffb0,0x00003fff,0x0005fff7,0xffd80000,0x00fffb0f,
    0xe82fffd8,0x00001fff,0x000ffff4,0x17ffcc00,0x3ea0bff6,0x0ffff06f,
    0x887ffec0,0xf8806fff,0xf980ffff,0xff8805ff,0x7ffc00ff,0x3fff6007,
    0x06fffb80,0x2fffb800,0x40000000,0xffb0fffd,0xfffb800f,0x06fffb82,
    0x7ffdc000,0xfe800006,0x84ffd85f,0xfff06ffa,0x3fff200f,0x07fffa0f,
    0xfffffe88,0xeefffc80,0xeeeeeeee,0x7c02ffff,0xff9007ff,0x3ffa01ff,
    0x7dc0004f,0x000002ff,0x87ffec00,0x74007ffd,0xffd00fff,0xe800009f,
    0x00004fff,0x3203fff2,0x4ffc86ff,0x405fffd0,0x0fffffe8,0xd817ffee,
    0x80ffffff,0xffffffff,0xffffffff,0x7ff405ff,0x3ffa202f,0xff500fff,
    0x4c015fff,0x17ffdc4a,0x20000000,0xffb0fffd,0xfea8188f,0x3fea05ff,
    0x2600afff,0x7ffd404a,0x2a600aff,0x05fff304,0xf887ffee,0xfff902ff,
    0xfffc985f,0x3e20ffff,0xf911dfff,0x1fff7dff,0xffffff98,0xffffffff,
    0x200fffff,0x4c2ffffc,0xfffffffc,0x3ffff200,0xffeeefff,0x7ffdc7ff,
    0x00000002,0xfd87ffec,0x7fffcc7f,0x00ffffff,0x7fffffe4,0xffffeeef,
    0xffffc807,0xffeeefff,0xbffd07ff,0xcdfffe80,0x3e206fff,0xffefffff,
    0xfffbdfff,0x7ffffdc0,0xa8efffff,0x7fe40fff,0xeeeeeeef,0xfffeeeee,
    0x3ffe202f,0xffffefff,0x00fffbdf,0x7fffff54,0x7fffffff,0x0017ffdc,
    0x3f600000,0x8fffb0ff,0xfffffff9,0xfd5001ef,0xffffffff,0x2a00ffff,
    0xfffffffe,0xb87fffff,0x7d400fff,0x1effffff,0x7ffffd40,0xf53fffff,
    0xfff701ff,0x21dfffff,0x7fc0fffa,0x7dc000ff,0x7fd405ff,0xffffffff,
    0x001fff53,0xfffffd91,0xb87bdfff,0x00002fff,0x7ffec000,0xf98fffb0,
    0x03efffff,0xfffec880,0x3defffff,0x3ffb2200,0xdeffffff,0x01fffcc3,
    0xdffffe98,0xfffb1000,0x7d43bdff,0xffb500ff,0xffa87bff,0x17ffe60f,
    0x1fffe200,0x3ffff620,0x3fea1def,0xa988000f,0x0000099a,0x00000000,
    0x00999880,0x554c4000,0x10000099,0x00133553,0x00198000,0x0004d4c0,
    0x20003300,0x0002fffc,0x4005fffd,0x000009a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01ffff00,0x17ffee00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x005fff98,0x01fffe60,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x0003fffc,0x0017fff4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x00000aaa,0x00000000,0x02a88000,0x00000000,0x00000000,0x00001530,
    0x001fffec,0x077fffdc,0xf3000000,0x7dc3ffff,0x000002ff,0xffffffd3,
    0xffffffff,0x3fffd800,0x3fae2000,0x000900ce,0x801dffd1,0x00effffb,
    0x7bdff500,0x3ffee003,0x0fffd002,0x09fffb10,0xffffb000,0xfd30007f,
    0x00001dff,0xbffff300,0x02fffb81,0x7fec4000,0xffffffff,0x007fffff,
    0x0ffffff6,0x3fffe200,0x2fe43fff,0x3ffff200,0xfffe9804,0xffa8000e,
    0x403effff,0xd002fffb,0xff900fff,0x40005fff,0xfffefffd,0xffd88003,
    0x000000ef,0x40ffffe6,0x0002fffb,0x6ffffec0,0xfffffdbb,0xfb007fff,
    0x07fffdff,0x7ffff440,0xffdfffff,0x3fa000ef,0xb1006fff,0x8001dfff,
    0xfffffffa,0xfff701ef,0x1fffa005,0x3fffffa0,0xfffb0004,0x00ffff25,
    0x077ffdc0,0x7fcc0000,0x3fee02ff,0x2e00002f,0xd881efff,0x6c004fff,
    0xfff92fff,0x33fe6007,0xfffffd50,0xfc8001df,0x5c004fff,0x2000efff,
    0xfffecca8,0xffb82fff,0xfffd002f,0xfffffd00,0xdffb0009,0x03fffb83,
    0x1dffd300,0x7fcc0000,0x7fdc00ef,0x3e00002f,0x3a200fff,0xfb000fff,
    0xfffb83df,0x2e0b3003,0x000dffff,0x00effe88,0x0effe980,0x3ff22000,
    0x7fdc1fff,0xfffd002f,0xfffff700,0x99988003,0x00333100,0x004ccc40,
    0x03331000,0x00bffee0,0x27ffcc00,0x01fffdc0,0x8804ccc4,0x20000199,
    0x33000018,0x99988000,0xff880000,0x7ffdc7ff,0x0fffd002,0x00ffff20,
    0x00000000,0x00000000,0x00bffee0,0x17ffd400,0x027ffcc0,0x00000000,
    0x00000000,0x30000000,0x7dc7ffff,0xffd002ff,0x000c400f,0x00000000,
    0x00000000,0x005fff70,0x0bffee00,0x013ffe60,0x00000000,0x00000000,
    0x70000000,0x7fdcdfff,0xfffd002f,0x40000000,0x009aaaa9,0xaaaa9800,
    0xa9800009,0x5c009aaa,0x35102fff,0x0fffee00,0x00bffea0,0x40000000,
    0x000009a9,0x80005995,0x000009a9,0xfb9fffe6,0xffd002ff,0x4000000f,
    0xfffffec9,0x2002efff,0xfffffec9,0x2002efff,0xfffffec9,0xf702efff,
    0x7fed43ff,0x2601dfff,0xfe806fff,0x3fee01ff,0xfff9002f,0xffd91003,
    0x003bffff,0x0027fec0,0x3ffffb22,0x80001dff,0xff71ffff,0x3ffa005f,
    0x30000007,0xffffffff,0x01dfffff,0xffffff98,0xefffffff,0x7fffcc00,
    0xffffffff,0x7ffdc0ef,0xffffff71,0x7f405fff,0x3ff204ff,0x7ffdc06f,
    0x3fff9002,0xfffffa80,0x04ffffff,0x00bffb00,0x7fffffd4,0x004fffff,
    0xb87fffc0,0xfd002fff,0x000000ff,0x3fffffe6,0xffffffee,0x7fffcc05,
    0xffffeeff,0x7fcc05ff,0xffeeffff,0x7dc5ffff,0xffffc9ff,0x1fffffff,
    0x5dffff10,0xffffb533,0x2fffb801,0x03fff900,0x7fffffec,0xeffffffe,
    0x2ffec000,0xfffffd80,0xffffffef,0xff88000e,0x0bffee7f,0x003fff40,
    0xbef98000,0xfffd8809,0x2fbe602f,0xfffd8809,0x2fbe602f,0xfffd8809,
    0x3bffee2f,0x3aa0cfff,0xff306fff,0xffffffff,0xf7005fff,0x3f2005ff,
    0xfff901ff,0xffd9837f,0x7ec004ff,0xfffc805f,0x7fecc1bf,0xfc8004ff,
    0x3ffee6ff,0x0fffd002,0x02200000,0x05fffc80,0xffc80022,0x8002205f,
    0x3ee5fffc,0x101fffff,0xfd03ffff,0xffffffdf,0x2e0019ff,0xf9002fff,
    0xfff103ff,0xfffa805f,0xffd1000f,0xffff880b,0x7fffd402,0xfff91000,
    0x17ffdc5f,0x007ffe80,0x20000000,0x00006fff,0x00037ffc,0xfb9bffe0,
    0x5c00ffff,0x7fdc4fff,0xbddcb88f,0x7fdc000a,0xfff9002f,0x05fffb03,
    0x817fff20,0x6fffffda,0x017ffec0,0x885fffc8,0xfffffeee,0x17ffdc5f,
    0x007ffe80,0x20000000,0x00007ffe,0x0003fff4,0xfb9fffa0,0xf8801fff,
    0x2ffec7ff,0x7fdc0000,0xfff9002f,0x06fff983,0x03fffe20,0xffffffb1,
    0x7ffcc0df,0x3ffe2006,0x7fffc40f,0xfb84ffff,0xffc803ff,0xbff7007f,
    0xb0000001,0x00001fff,0x0007ffec,0x21fffb00,0x2003fffb,0x7ffc7ffe,
    0xfb800005,0xff9002ff,0x3fffa83f,0x0fffe400,0xdfffffd1,0x7fd40bdd,
    0x7fe4003f,0x7fffc41f,0xff700cef,0xfffa80bf,0xfffa807f,0x000000ff,
    0x0007ffec,0x01fffb00,0x7ffec000,0x005fff70,0xff07ffec,0x000017ff,
    0x8017ffdc,0x7e41fffc,0x7dc001ff,0x3fff22ff,0x7fe4002e,0x7fdc001f,
    0x27ffc42f,0x0ffffb80,0xffffff50,0xffffd803,0x9710004f,0xffffffdb,
    0x71001fff,0xfffffdb9,0x1001ffff,0xffffdb97,0x2e1fffff,0x32002fff,
    0x3ff61fff,0xeeeeffff,0xb800abce,0xf9002fff,0xfffd83ff,0x7ffd4000,
    0x03ffff13,0x01fffb00,0x83fffa80,0xf7003fff,0x6445dfff,0xdfffcfff,
    0x3ffff200,0x7e44006f,0xffffffff,0x200fffff,0xffffffc8,0xffffffff,
    0x3fff2200,0xffffffff,0xfff70fff,0x7ffe4005,0x3ffffa22,0xffffffff,
    0x3ee01dff,0xff9002ff,0x07ffe83f,0x34fff980,0x2000bfff,0x98007ffe,
    0xfff84fff,0xffff7003,0xffffffff,0x13ffffe7,0x3fffffcc,0xfffff100,
    0xffffffff,0x3e201fff,0xffffffff,0x0fffffff,0xffffff10,0xffffffff,
    0x3ffee1ff,0x3fff2002,0x7ffffc41,0xffffffff,0xff702fff,0x3ff2005f,
    0x03fffc1f,0xaa7ffcc0,0xf0004fff,0xf3000fff,0x7fff09ff,0x3fffee00,
    0x3fffffff,0x813fffee,0x007ffffc,0x37ffffd1,0x407ffec0,0x1bffffe8,
    0x203fff60,0x1bffffe8,0x5c3fff60,0x36002fff,0x7ff447ff,0xcccbaabf,
    0x1ffffffe,0x002fffb8,0xfd83fff9,0x7d4000ff,0xbfff73ff,0x3fff6000,
    0x7ffd4000,0x002fff83,0xffb3fff7,0xff703bff,0xffff809f,0xdfff7006,
    0x03fff600,0x401bffee,0xfb80fffd,0xffb006ff,0x0bffee1f,0x226ffe80,
    0x8801fffe,0xb83ffffa,0xf9002fff,0xfffc83ff,0x7ffdc001,0x00ffff51,
    0x007fff20,0x903fff70,0x3ee00399,0x013310ff,0xfd801310,0xffb004ff,
    0x3ff6003f,0x1fffd80f,0x01fffb00,0x2003fffb,0xff70fffd,0x7ffc005f,
    0x00fffea5,0x70bfffb0,0x32005fff,0x7fdc1fff,0x7fec002f,0x3ffff10f,
    0x5fff7000,0x0fffd800,0xfff70000,0xe8000003,0xff003fff,0x7fec00ff,
    0x07fff80f,0x203fff60,0x36007fff,0xfff70fff,0x3ffee005,0x007fff23,
    0x50bfff50,0xf5007fff,0xffa83fff,0x3fe2006f,0x77ffec7f,0x7ffd4000,
    0x3ffe2006,0x3ee00007,0x000002ff,0x801bffea,0xf9007fff,0xfff01fff,
    0x3fff200f,0x07fff80f,0x21ffff90,0x8802fffb,0x3fa0ffff,0x7dc001ff,
    0xfff983ff,0x7fffcc05,0x7fffc41f,0x7fff9002,0x05ffff98,0x17fffc40,
    0x03fffc80,0x7dc00351,0x000002ff,0x003ffff7,0x1017fff4,0x01fffffd,
    0x4405fffd,0x80fffffe,0x2202fffe,0x70fffffe,0xd8805fff,0x7fec2fff,
    0x3fe6004f,0xfff881ff,0xffff500f,0xfff503ff,0xfffc803d,0xfffff706,
    0x3fea0017,0x7fe401ef,0xbfff506f,0x0bffee00,0x7e64c000,0x4003ffff,
    0x4c2ffffc,0xfffffffc,0x2ffffc80,0x7ffffe4c,0xfffc80ff,0x7ffe4c2f,
    0xff70ffff,0xfa8815bf,0xffb86fff,0x9300adff,0x6c09ffff,0x3221efff,
    0x1fffefff,0x37ffffd0,0x7fffed44,0x3ffff201,0x202cceff,0x21bffffe,
    0x1ffffda8,0x05fffff0,0x005fff70,0x3fffee00,0xf88001ef,0xffefffff,
    0xfffbdfff,0xfffff880,0xdfffffef,0xf880fffb,0xffefffff,0xfffbdfff,
    0xffffff70,0xffffffdf,0x3fff601b,0xffeeffff,0x405fffff,0xfffffff9,
    0xff9cffff,0xffff301f,0xffffdfff,0xff5007ff,0x0fffffff,0x7fffffcc,
    0xffffffef,0xfffff103,0x5fff7007,0x3fee0000,0x540003ef,0xffffffff,
    0x1fff53ff,0x3ffffea0,0xf53fffff,0x3fea01ff,0xffffffff,0x2a1fff53,
    0xffffffff,0x803fffff,0xfffffffc,0x2effffff,0xfffff700,0x3e67ffff,
    0x3f6201ff,0xffffffff,0x322001ef,0x07ffffff,0x7ffffec4,0x01efffff,
    0x017ffffc,0x0017ffdc,0x0001a980,0x7fffec40,0x3fea1def,0x3ff6200f,
    0x2a1defff,0x36200fff,0x1defffff,0x9303ffea,0xbffffffd,0x6dc40039,
    0xefffffff,0xfe98002c,0x261dffff,0xda801fff,0x3dffffff,0x76e4c000,
    0xffb5007f,0x007bffff,0x4017ffea,0x0002fffb,0x20000000,0x000009a9,
    0x00004d4c,0x00026a60,0x00009980,0x0000cc40,0x0026a620,0x02a62000,
    0x00000000,0x40002a62,0x000001a8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x019d7000,0x7000b766,
    0x3766019d,0x9a988002,0x00000000,0x004c4000,0xfff30000,0x360003ff,
    0x70003fff,0x001dffff,0x00ffff50,0x00dfff30,0xfffff300,0xffffd803,
    0xffb80000,0xffff885f,0xbfff7001,0x03ffff10,0x3ffffee0,0x2e0002ef,
    0x000effff,0x17ffe400,0x7fcc0000,0xb0000dff,0x007fffff,0x3bfffa60,
    0xfffe8000,0x7ffe4002,0x7fcc0003,0xfd000dff,0x76544dff,0xffffb007,
    0x3ffff981,0x1ffffb00,0x03ffff98,0x7fffff44,0x0005ffff,0x03bfffa6,
    0x7ffd4000,0x200000ff,0x003ffff9,0x3fbfff60,0xb10003ff,0x8001dfff,
    0x4005fffb,0x0000ffff,0x00ffffe6,0xfdffff10,0x200fffff,0xf886fffc,
    0xf9002fff,0xfff10dff,0xfffd805f,0xfffffeff,0x3f620003,0x80000eff,
    0x02fffffc,0xffff3000,0x7fec0005,0x07fff92f,0x77ffdc00,0x3ffe2000,
    0xfff3000f,0x7fcc000b,0x2e6002ff,0xfffffffd,0xb1007fff,0x3fea03df,
    0x3bf62004,0x809ff501,0x261efffb,0x000ffffd,0x077ffdc0,0x3ffee000,
    0x980001ff,0x0000efff,0xf707bff6,0x4c0007ff,0x2000effe,0x9003fffd,
    0x20005fff,0x000efff9,0x3ffffff2,0x0acdffff,0x00000000,0x3fa00000,
    0xffff01ff,0xfd300003,0x440001df,0x0005fffe,0x00033310,0x10099988,
    0x88000333,0x2a000999,0xff006fff,0x220001ff,0xfc800199,0xffffffff,
    0x00000006,0x20000000,0x3f206fff,0x100003ff,0x80001333,0x00003cc8,
    0x00000000,0x00000000,0x5007fffe,0x00009fff,0x5efe4000,0x3ffff88a,
    0x00000000,0xf8800000,0x3fea05ff,0x0000003f,0x00000000,0x00000000,
    0x00000000,0x2027ffe4,0x0001fffd,0xa8020000,0x0000ffff,0x00013530,
    0x4d5554c0,0xdfff1000,0x00fffdc0,0x00000000,0x54c00000,0x98000009,
    0x0000009a,0x7ffc4000,0xdfff100f,0x00000000,0x37ffecc0,0xfffb7000,
    0x8001bfff,0xfffffec9,0xf802efff,0xffd00fff,0x0000001f,0x00000000,
    0xfffffd91,0x220003bf,0xffffffec,0xfff7001d,0x3fff2005,0x07fffb01,
    0x200fffea,0x9002fffb,0xca803fff,0xfffffffe,0x7ff44003,0xffffffff,
    0xffff3003,0xffffffff,0x7fec01df,0x4fffc84f,0xffffb800,0x006fffff,
    0xfffffff7,0x2a000dff,0xffffffff,0x54004fff,0xffffffff,0xfb804fff,
    0xff9002ff,0x3ffea03f,0x01fffb06,0x005fff70,0x4407fff2,0xfffffffe,
    0x3000ffff,0xd9bfffff,0x00bfffff,0xdffffff3,0xbffffffd,0x8ffffd40,
    0x006fffd8,0xffffff70,0x2e00dfff,0xffffffff,0xffd8006f,0xfffeffff,
    0xd800efff,0xfeffffff,0x00efffff,0x400bffee,0x3e01fffc,0x7fc41fff,
    0xfff7005f,0x3fff2005,0xfffff981,0xffffffff,0xffff8803,0x5ffff704,
    0x09bef980,0x2ffffd88,0x2fbfff60,0x000effff,0xffffff70,0x2e00dfff,
    0xffffffff,0x7fe4006f,0x7ecc1bff,0x7e404fff,0x6cc1bfff,0x2e04ffff,
    0xf9002fff,0x7fe403ff,0x17ffdc4f,0x02fffb80,0x983fff90,0x21bdffff,
    0x00ffff98,0x2017ffe4,0x4406fff9,0x3fff2000,0x3fffe205,0x0005ffff,
    0x4cccccc4,0x31006fff,0xfff33333,0x7ffc400d,0x7ffd402f,0xffff100f,
    0xffffa805,0x05fff700,0x807fff20,0x7f47fff8,0x3fee007f,0xfff9002f,
    0x04fffd83,0x101fffec,0x3600bfff,0x00003fff,0x32037ffc,0x02efffff,
    0x7ffc0000,0xfff80006,0x3fff6006,0xbfff9002,0x00bfff60,0xb82fffe4,
    0xf9002fff,0xffd803ff,0x09fff32f,0x017ffdc0,0x2a1fffc8,0xf9804fff,
    0x3ff206ff,0xfff3001f,0xfe800009,0x3ffee07f,0x00002fff,0x006fff80,
    0x006fff80,0x400dfff3,0x4c0ffff8,0x22006fff,0xfb80ffff,0xff9002ff,
    0xfffa803f,0x003fff95,0x8017ffdc,0x3fa1fffc,0xffd000ff,0x1fffa03f,
    0x00bfff00,0x0fffd800,0xffffffd8,0xfffa80ff,0x3ffe0003,0xfff80006,
    0x7fff5006,0x1fffc800,0x001fffd4,0x2e07fff2,0xf9002fff,0xfff003ff,
    0x00dfff1f,0x002fffb8,0x3e63fff9,0x3ea005ff,0xbfff04ff,0x07ffe800,
    0x7ffec000,0x57fffe40,0xfb86ffff,0x3e0002ff,0xf80006ff,0xff9006ff,
    0xffb8003f,0x0fffe42f,0x0bffee00,0x400bffee,0xc801fffc,0x3fffcfff,
    0x17ffdc00,0x51fffc80,0x4c007fff,0xff885fff,0xeeeeeeff,0xfffeeeee,
    0xdcb8800f,0xfffffffe,0x3ffea0ff,0xbffff50e,0x001fffb8,0x001bffe0,
    0x401bffe0,0x4000fffd,0x7ec3fffa,0x7d4000ff,0xfffb83ff,0x3fff9002,
    0xfffff300,0xfb8001ff,0xff9002ff,0x0bffee3f,0x86fff880,0xfffffffa,
    0xffffffff,0x2200ffff,0xfffffffc,0x0fffffff,0xf707fffa,0x7fe47fff,
    0x3fe0000f,0xff80006f,0xfffd006f,0x9fff3000,0x8007ffe8,0xfb84fff9,
    0xff9002ff,0x3ffa003f,0xb8005fff,0xf9002fff,0x3fff23ff,0x3fffc001,
    0x7fffffd4,0xffffffff,0x100fffff,0xffffffff,0xffffffff,0x417ffea1,
    0xfd1ffffd,0xff8000ff,0xff80006f,0xffff006f,0x9fff3000,0x8007fff8,
    0xfb84fff9,0xff9002ff,0x3fea003f,0xb8001fff,0xf9002fff,0x3fff63ff,
    0x3fff4000,0x4cefffcc,0x99999999,0xd1019999,0x4037ffff,0xff70fffd,
    0x3ffa205f,0x06fff9ff,0x037ffc00,0x037ffc00,0x000fffd8,0x361fffd4,
    0x54000fff,0xffb83fff,0xfff9002f,0x7fffc003,0xfff70005,0x3fff2005,
    0x003fff91,0xf887fff8,0x800005ff,0xb006fffb,0x3ff21fff,0x3ffe201f,
    0x003fffff,0x0037ffc0,0x8037ffc0,0x4001fffc,0x7e41fffb,0x7dc001ff,
    0xfffb81ff,0x3fff9002,0x3fffe200,0xfff70001,0x3fff2005,0x005fff71,
    0xf837ffc4,0x800007ff,0xb001fffd,0x3ff61fff,0x7ffd402f,0x0000ffff,
    0x00037ffc,0xb8037ffc,0x6c002fff,0x7fdc0fff,0x7fec002f,0x2fffb80f,
    0x03fff900,0x01bffee0,0x02fffb80,0x2a3fff90,0x26004fff,0xffd04fff,
    0xf800003f,0x3f6007ff,0x7fff70ff,0xfffff700,0xfff0000b,0xfff0000d,
    0x3ffea00d,0x3ffe2006,0x06fffa87,0x41fffe20,0xa803fffa,0x8801ffff,
    0x0002ffff,0x200fffea,0xf31ffffa,0x7e400fff,0xfff702ff,0xff80000d,
    0xfff9007f,0x1bffea1f,0x1ffffec0,0x37ffc000,0x37ffc000,0x2ffff880,
    0x07fff900,0x005ffff1,0x4c0ffff2,0x7cc05fff,0x4401ffff,0x0005fffe,
    0x202fffcc,0x21fffff9,0x8803fffe,0x3a00ffff,0x00004fff,0x880bfffa,
    0x10fffffe,0xa809ffff,0x00fffffe,0x037ffc00,0x037ffc00,0x03dfff50,
    0x206fffc8,0x401efffa,0x2206fffc,0xf500ffff,0x403fffff,0x00efffd8,
    0x7fffc400,0xfffff500,0x7fffd43f,0x3fffa201,0x7fffd404,0x12a600af,
    0x42ffffc8,0xffffffc9,0x3fffee0f,0xff9510ae,0x01dfffff,0x037ffc00,
    0x037ffc00,0x2fffffa0,0x3fff6a21,0x7fff401f,0x3f6a21bf,0x7ec01fff,
    0x3f221eff,0x31fffeff,0xffff9533,0x3600003f,0x3221efff,0x1fffefff,
    0x05fffff4,0x1dfffd51,0xfffff900,0xfffdddff,0x7ffc40ff,0xffffefff,
    0x40fffbdf,0xfffffffe,0xfeffffff,0x4cc05fff,0xfff99999,0x0999999e,
    0x26666666,0x9999efff,0xfff98099,0xfffeffff,0xf9803fff,0xfeffffff,
    0x803fffff,0xfffffff9,0xff9cffff,0xfffffb1f,0x00005fff,0x7fffffcc,
    0xf9cfffff,0x7ff4c1ff,0xfffeffff,0x2a000fff,0xfffffffe,0x407fffff,
    0xfffffffa,0xfff53fff,0xffffc881,0x2effffff,0x207ffff7,0xfffffff9,
    0xffffffff,0xffff33ff,0xffffffff,0x207fffff,0xffffffd8,0x001effff,
    0x3fffff62,0x01efffff,0x3ffffee0,0xff33ffff,0x3ffff63f,0x00000dff,
    0xffffffb8,0xfff33fff,0xffffb103,0x3dffffff,0xffd91000,0xbdffffff,
    0xfffb1007,0x7d43bdff,0xfdb300ff,0xb07bffff,0xf305ffff,0xffffffff,
    0xffffffff,0x3ffffe67,0xffffffff,0x5403ffff,0xdffffffd,0x3f6a0003,
    0x03dfffff,0xffffd300,0x7ffcc3bf,0x59dfffb1,0xe9800000,0x21dfffff,
    0x2e01fff9,0xeffffffd,0x26200002,0x000099aa,0x000026a6,0x00001330,
    0x3fffffe6,0xffffffff,0xfff33fff,0xffffffff,0x07ffffff,0x00054c40,
    0x0054c400,0x13531000,0x00009800,0x35310000,0x54400001,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00155440,
    0x05551000,0x00000000,0x00000000,0x26600000,0x0000000a,0x75c00000,
    0x05bb300c,0x300ceb80,0x000005bb,0x98803331,0x44009aaa,0x4006fffc,
    0xf9106ffd,0xfd800dff,0xf980006f,0x8001ffff,0x0003fffd,0x033bfae2,
    0xffffd024,0xffd8009d,0x0037ffc6,0xbfff7000,0x03ffff10,0x217ffee0,
    0x001ffff8,0xffffeb80,0xff70efff,0x19ffffff,0xdfffff70,0x0fffd400,
    0x37ffffdc,0x03fff500,0xffff9800,0xffd8000d,0x88003fff,0x3fffffff,
    0xffe82fe4,0x5002ffff,0xfff83fff,0x36000006,0x7cc0ffff,0xfb003fff,
    0xff981fff,0x260003ff,0xfffffffe,0xfff90fff,0x1fffffff,0x3fffffe6,
    0xfff1006f,0xfffff989,0xff1006ff,0xf980009f,0xb0003fff,0x7fffdfff,
    0x7fff4400,0xfdffffff,0x9ab80eff,0x8806fffb,0xfff84fff,0x32000006,
    0xff886fff,0xff9002ff,0xffff10df,0x3fe60005,0xffffffff,0xbddf90ff,
    0x4bffffdb,0x6ffdcfff,0x01fff900,0xdffb9fff,0x03fff200,0xffff9800,
    0xfffb0002,0x00ffff25,0xea867fcc,0x0effffff,0x00dffb00,0xff01fff9,
    0x400000df,0xf501efd8,0x7ec4009f,0x09ff501e,0x77fff400,0x11154c0a,
    0xb9fffea0,0x00dff90c,0x2e05fff3,0x00dff90c,0x0005fff3,0x0077ffcc,
    0x41effd80,0x3003fffb,0x3fffee0b,0x7dccc00d,0x7fcc03ff,0x0dfff02f,
    0x00000000,0x00000000,0x01bffee0,0x0dfff000,0x74037fe4,0x3f2005ff,
    0x5ffe806f,0x0ccc4000,0x13331000,0x00066620,0xf3001880,0xd009ffff,
    0x7ffc0bff,0x00000006,0x00000000,0x3fffb000,0x7fcc0000,0x1bff204f,
    0x001fff90,0x32037fe4,0x00000fff,0x00000000,0x98000000,0x0dffffff,
    0x401fff90,0x00006fff,0x00000000,0xfd000000,0x4c4000ff,0x1ffffb99,
    0x981bff20,0x64002fff,0x3fe606ff,0x0000002f,0x00000000,0x26600000,
    0x982fffeb,0x7fc02fff,0x0000006f,0x00009a98,0xf0000000,0x54000dff,
    0x0dffffff,0xd037fe40,0xf9000bff,0x2fff40df,0x00000000,0x80000000,
    0x80009aa9,0xfe84fff9,0x6fff805f,0xc8800000,0xdffffffe,0x5fff7001,
    0x07fff200,0x02fffc40,0xfffff500,0x7e4019ff,0x1fff706f,0x0dff9000,
    0x0003ffee,0xfffffff7,0xf7000dff,0xffffffff,0x7ffb800d,0x7fffff5c,
    0xff91000e,0x0fffb87f,0x006fff80,0x003ffffb,0xfffffff5,0x7009ffff,
    0x32005fff,0xf1001fff,0x4c000bff,0xffffeeee,0x0dff900e,0x0007fff3,
    0x3e61bff2,0xfb8003ff,0xffffffff,0xfffb8006,0x06ffffff,0xd8bffdc0,
    0xffffffff,0xfeff882f,0x3e60ffff,0xfff003ff,0xffffb00d,0xffffb003,
    0xfffffdff,0x7fdc01df,0xfff9002f,0x3ffe2003,0x74c00005,0xff904fff,
    0x00bffd0d,0x7437fe40,0xf70005ff,0xffffffff,0xfff7000d,0x0dffffff,
    0xe8fffb80,0xfffeffff,0xfff887ff,0x7f41efff,0x3ffe005f,0x7fffec06,
    0xffffc801,0x7ffecc1b,0x3ffee04f,0x3fff9002,0x17ffe200,0x3fe60000,
    0x8555306f,0x0000fffb,0xff70aaa6,0x2620001f,0xfff99999,0x99988006,
    0x06fff999,0x7f7ffdc0,0x7ffd42ff,0xccedc83f,0x00fffb82,0xd81bffe0,
    0x8801ffff,0x5402ffff,0xf700ffff,0x3f2005ff,0x3bba61ff,0xffffeeee,
    0xeeeeeeee,0x3fea002e,0x7fc4005f,0x1000003f,0x00007fff,0x001bffe0,
    0x00dfff00,0xefffffb8,0x0dfff500,0x0fffe200,0x20dfff00,0x001ffffd,
    0x2005fffb,0xf705fffc,0x3f2005ff,0x3ffe61ff,0xffffffff,0xffffffff,
    0xfff3002f,0xffd8007f,0x36000006,0x000006ff,0x0001bffe,0x800dfff0,
    0x00effffb,0x8003fff4,0xf8006ffd,0xfffd86ff,0xfff3001f,0x7ffc400d,
    0x2fffb80f,0x43fff900,0xfffffff9,0xffffffff,0x3a2fffff,0xfffdcccd,
    0x2e000fff,0x00001fff,0x003fff70,0x37ffc000,0x3ffe0000,0x7ffdc006,
    0xfffd800f,0x7ffdc000,0x6fff8001,0x00ffffec,0x007fff50,0xb81fffc8,
    0xf9002fff,0x555443ff,0xefffbaaa,0xaaaaaaaa,0x3ffffe0a,0x01ffffff,
    0x00fffe20,0x7ffc4000,0x7c000003,0x400006ff,0x5c006fff,0xf9002fff,
    0x7c4003ff,0xff0003ff,0x7fffecdf,0x7ffe4000,0x7ffdc001,0x02fffb82,
    0x003fff90,0x0017ffe2,0x3ffffffe,0x6c000bef,0x000006ff,0x0001bff6,
    0x01bffe00,0x0dfff000,0x02fffb80,0x003fff90,0x00037fec,0x3ff2dfff,
    0xfd8000ef,0x7d4000ff,0xfffb83ff,0x3fff9002,0x17ffe200,0x2aaaa600,
    0xf500019a,0xccca83ff,0xffa8002c,0x37b6e21f,0xfff80003,0x7fc00006,
    0x7fdc006f,0xfff9002f,0x3ffea003,0x16666541,0xffcefff8,0xfd0000ef,
    0xff3000ff,0x5fff709f,0x07fff200,0x02fffc40,0x44000000,0x7fc44fff,
    0x44005fff,0x3fee4fff,0x000fffff,0x001bffe0,0x00dfff00,0x002fffb8,
    0x1003fff9,0xff889fff,0xfff05fff,0x00bfffdd,0x003fffc0,0x5c27ffcc,
    0xf9002fff,0x3e2003ff,0x000005ff,0x86ffd800,0x05fffffd,0x3637fec0,
    0x6fffffff,0x1bffe000,0xdfff0000,0x2fffb800,0x03fff900,0xfb0dffb0,
    0x3e0bffff,0xfffe8eff,0xfffb0005,0xfffa8001,0x02fffb83,0x003fff90,
    0x0017ffe2,0x001effb8,0x541fffa8,0x05ffdeff,0x107ffea0,0x07ffdc5d,
    0x06fff800,0x37ffc000,0x0bffee00,0x00fffe40,0xf507ffea,0x20bffbdf,
    0xfff36fff,0xff90009f,0xffb8003f,0x2fffb81f,0x03fff900,0x017ffe20,
    0x7ffffdc0,0x3ffa2001,0x657ffc44,0xfd1005ff,0x3fe2009f,0xfff0001f,
    0xff80000d,0x7fdc006f,0xfff9002f,0x27ff4403,0x3f2bffe2,0x4dfff05f,
    0x003ffff9,0x0017ffdc,0x2e03fff6,0xf9002fff,0x3e2003ff,0xf88005ff,
    0x005fffff,0xf903fff2,0x017ff2bf,0x8007ffe4,0x0000fffb,0x0000dfff,
    0x4006fff8,0x9002fffb,0x7e403fff,0xaffe40ff,0xfff05ffc,0x3ffffa8d,
    0x1bffea00,0x07fff880,0x5007fff5,0x2003ffff,0x8005fff8,0x7ffffff9,
    0x85fff300,0xff90fff9,0x5fff300b,0x13ffea00,0x06fff800,0x37ffc000,
    0x0bffee00,0x80fffe40,0x7cc2fff9,0x0bff90ff,0x3ee1bffe,0xf1002fff,
    0x32005fff,0xff303fff,0xfff980bf,0xff1001ff,0xff1000bf,0x200dffff,
    0xffe85ffe,0x2017ff22,0xf7005ffe,0xf8000bff,0x400006ff,0x5c006fff,
    0xf9002fff,0x3ffa03ff,0x322ffe85,0xdfff05ff,0x0bffff20,0x0f7ffd40,
    0x81bfff20,0x500ffff8,0x03ffffff,0x017ffe20,0x7ffffe40,0x0fffc802,
    0x7fffffcc,0x904fffff,0xfb001fff,0xf00009ff,0x80000dff,0x5c006fff,
    0xf9002fff,0xfff903ff,0xfffff981,0x44ffffff,0x3f606fff,0xfd001fff,
    0x54437fff,0x401ffffd,0x221efffd,0xfffefffc,0xbfff1001,0x7ffe4000,
    0x2fff9803,0xffffff98,0x984fffff,0x74402fff,0x26002fff,0xff999999,
    0x999999ef,0x33333300,0x333dfff3,0xff701333,0x3ff2005f,0x17ffcc1f,
    0x7fffffcc,0x7c4fffff,0x3fa206ff,0xf9801fff,0xfeffffff,0x803fffff,
    0xfffffff9,0xff9cffff,0xfff1001f,0x0030000b,0xc882fff4,0xffeccccc,
    0x5ffe82ce,0xeefffe80,0xff304eee,0xffffffff,0x7fffffff,0xffffff30,
    0xffffffff,0xff707fff,0x3ff2005f,0x82fff41f,0xecccccc8,0x7fc2ceff,
    0x7ffc406f,0xfd8800ef,0xffffffff,0x3ee001ef,0xffffffff,0x003fff33,
    0x0017ffe2,0xfffb8000,0x5ffc8000,0x001fff70,0xffffffff,0x3ffe60bf,
    0xffffffff,0x83ffffff,0xfffffff9,0xffffffff,0xfffb83ff,0x3fff9002,
    0x0007ffdc,0xff82ffe4,0xfff9806f,0xfb5000ef,0x07bfffff,0x3fffa600,
    0x3fe61dff,0xfff1001f,0x2000000b,0x0003fff9,0xff30bff9,0x3ffe007f,
    0x05ffffff,0xfffffff3,0xffffffff,0xfff307ff,0xffffffff,0x07ffffff,
    0x2005fff7,0xff31fffc,0x3f20007f,0x0dfff05f,0x3bfffea0,0x054c4000,
    0x35310000,0x7c400001,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0001ddd0,0x00000000,0x00000000,0x00000000,0x0ceb8000,0x0005bb30,
    0x00000008,0x80000000,0x7dc0cedb,0x000002ff,0x206ffa80,0xfffffffb,
    0x980006ff,0x0acefecb,0xedb98000,0x0009bdff,0xdfffd970,0x4c00017b,
    0xdefffeca,0x7ffdc00b,0x1ffff885,0xffdb9500,0x0059bdff,0x000bb2a2,
    0xfd973100,0x9037bdff,0x5c1dffff,0x00002fff,0x03ffd800,0x3fffffee,
    0x20006fff,0xffffffe9,0x0000efff,0xfffffffb,0x5c003dff,0xffffffff,
    0x2000cfff,0xffffffe9,0x205fffff,0x4c0ffffd,0x4c03ffff,0xfffffffe,
    0x7007ffff,0x00005fff,0x7fffffd4,0x0effffff,0x7ffffff1,0x0017ffdc,
    0x7ffc0000,0x3fffee00,0x006fffff,0xffffff70,0x3ffffffd,0x7fff4c00,
    0xffffffff,0xfffd802f,0xffffffff,0xff7006ff,0xffffffff,0x7e40dfff,
    0xfff886ff,0x3fff602f,0xffffffff,0xff7007ff,0xb100005f,0xffffffff,
    0x21ffffff,0x5ffffffa,0x000bffee,0x95531000,0x7c000dff,0xfc8006ff,
    0x2a21beff,0x803ffffc,0xbefffffa,0xfffffeca,0x3fffee03,0xfda9899c,
    0x36204fff,0xbdffffff,0x06ffedcb,0x5407bf62,0x3fee04ff,0xa9aacfff,
    0x7007fdba,0x80005fff,0xfffffff9,0xffedcabd,0xfffff30f,0x17ffdcbf,
    0x76cc0000,0x4fffffff,0x1bffe000,0x0bfff900,0x05fffd30,0x00efffe8,
    0x01ffffd1,0x801ffff1,0xb00ffffa,0x801bffff,0x000006c9,0x07ffff30,
    0xffb80040,0x3e20002f,0x400cffff,0x3ffa0fc8,0x3fee2fff,0x5c00002f,
    0xffffffff,0x8000dfff,0x22006fff,0x22004fff,0x3ee06ffe,0x7c400eff,
    0xffa84fff,0xfffb003f,0x9ffff503,0x00000000,0x00ffff60,0x7ffdc000,
    0x3ff60002,0x4c0002ff,0x7dc3fffe,0x100002ff,0xddfffffd,0x1dfffffd,
    0x06fff800,0x0017ff60,0x7c0bffe2,0xf3000fff,0xfff90fff,0x3ffee003,
    0x03fffe83,0x00000000,0x0003fffe,0x17ffdc00,0xffff9800,0x2a600001,
    0x02fffb80,0xffff9000,0x7fffec15,0x7fc005ff,0xfff3006f,0x37995103,
    0x5c37fe41,0x74005fff,0x7fe43fff,0xfff9001f,0x07fffa85,0x00000000,
    0x001fffe2,0x3fffff20,0xffffffff,0x41ffffff,0x0003fffe,0x3ffee000,
    0x009aa982,0x20f7ffcc,0xfffbfff8,0x3ffe002f,0x0bffb006,0xdffffff7,
    0x3a1fffc4,0x5c002fff,0x7fd46fff,0xfff8804f,0x1ffff41f,0x3fee0000,
    0x6fffffff,0x03ffff00,0xffffc800,0xffffffff,0x1fffffff,0x003fffee,
    0x84fff800,0x3ae2fffb,0x00dfffff,0xf503fffd,0x17fff2df,0x006fff80,
    0xffc83fff,0x646fffff,0x3fffc5ff,0x3fffc400,0x200ffffc,0x7c46fffb,
    0x800007ff,0xfffffffb,0xffd006ff,0xfc8000bf,0xffffffff,0xffffffff,
    0x3fff61ff,0x3e600003,0xfffb82ff,0xfffffd89,0x7cc1ffff,0x7ffb05ff,
    0x003fffa2,0x44037ffc,0x7ffcc7ff,0x545a98ae,0x3ffe26ff,0xfffd0005,
    0x3ffffc81,0x85ffff70,0x0005fffa,0xfffffb80,0x9006ffff,0x000bffff,
    0x5cccccc4,0x9999bfff,0x7f419999,0x200000ff,0xfb80fffb,0xffffeaff,
    0x46fffffe,0xf882fffb,0x3fff20ff,0x0dfff002,0xfe8fff30,0xfff3005f,
    0x0027ffcc,0x440fffe8,0x32effffe,0x705ffffd,0x00009fff,0x33333310,
    0x2200dfff,0x03fffffe,0x3ffee000,0x7fff8002,0x7fec0000,0xfffff706,
    0xfffa87ff,0x03fff23f,0xff71bfea,0x3ffe007f,0x26ffa806,0x2001fff8,
    0xfff50fff,0x3ff60007,0xfffe881f,0xeffffeff,0x07fff900,0xff800000,
    0x3fe6006f,0x00bfffff,0x17ffdc00,0x1bffe200,0x7fff0000,0x3ffffee0,
    0xdfff500e,0xfd83ffec,0x27ffd43f,0x806fff80,0x3fe65ffc,0x8fffc007,
    0x0002fffb,0x6405fff9,0xffffffff,0x17ffec05,0x3e000000,0x6c4006ff,
    0xdfffffff,0xfff70001,0xfffa8005,0x3fffee05,0xf11fffff,0x3fee03ff,
    0x7f400eff,0x21bffa7f,0x7c40fff8,0xfff004ff,0x49ffb00d,0x74007ffa,
    0x5fffb2ff,0x3fff2000,0x3fff6203,0x201effff,0x0001fffe,0x37ffc000,
    0xfffea800,0x001effff,0x0017ffdc,0xb813ffee,0xffffffff,0x4077711f,
    0x800ffffb,0xfff0fffd,0x10dff50f,0x3e009fff,0xffc806ff,0x001ffea4,
    0x3ff25ffd,0xff90002f,0x3ffea07f,0xffffffff,0x03fffd04,0xff800000,
    0x6d40006f,0x4fffffff,0x0bffee00,0x09fff700,0x7fffffdc,0x5c001fff,
    0xf9002fff,0x3fffa3ff,0x4c1ffec0,0xff003fff,0xbff700df,0x0007ffcc,
    0x3ff23fff,0xffb0003f,0xffff905f,0xffffb13d,0x5fffb0bf,0xf8000000,
    0x100006ff,0xdffffff9,0x0bffee00,0x0bfff500,0x6cccccc4,0x5c001fff,
    0xf9002fff,0x3fff63ff,0x203ffe21,0xf002fffa,0xff500dff,0x01fffc4d,
    0x3ee7ff88,0xfb0004ff,0xfffc85ff,0xfffe983f,0x1fffe44f,0x3e000000,
    0x400006ff,0x4fffffb8,0x02fffb80,0x037ffcc0,0x00fffe40,0x00bffee0,
    0xfc8fffe4,0x1bfea2ff,0x8007ffe4,0xf9806fff,0x67ffec7f,0xdff30e61,
    0x0027ffd4,0x261fffe8,0x2202ffff,0x2e1ffffd,0x00004fff,0x037ffc00,
    0xffe88000,0x7fdc01ff,0xfff8002f,0xfffc8007,0x7ffdc001,0x3fff9002,
    0xfd97ffea,0x7fff883f,0x01bffe00,0xf887ffe2,0x6ffeffff,0xff32ffdc,
    0xff1000df,0x3fffe8ff,0x4bfffd00,0x0005fffa,0x37ffc000,0x3fa00000,
    0x7fdc03ff,0xfff8002f,0x7fe4000f,0x7fdc001f,0xfff9002f,0x457fffc3,
    0xffb80fff,0x3ffe003f,0x8bffd006,0xfffffffa,0xf127ff46,0xb8001fff,
    0x3fe25fff,0x3fea007f,0x3fffe66f,0x20000001,0x00006fff,0x02fffdc0,
    0x000bffee,0x0013fff6,0x8003fff9,0x9002fffb,0x7fe43fff,0xa86ffbff,
    0x7c006fff,0xff5006ff,0xfedc881f,0x3ffea2bd,0x01ffff40,0x98bfffa0,
    0x22006fff,0xff10ffff,0x00000bff,0x0037ffc0,0x3ffe6000,0x17ffd406,
    0x7fffdc00,0x3fff2000,0x7ffdc001,0x3fff9002,0xffffffe8,0x3ffff263,
    0x37ffc002,0x009ffd00,0x2a13ffa0,0x26006fff,0x7fd46fff,0x3fe2006f,
    0x7fffdc7f,0xf0000000,0x00000dff,0x404fffa8,0x0003fffa,0x4007fffd,
    0x4001fffc,0x9002fffb,0xff883fff,0xffeeffff,0x8004ffff,0x2a006fff,
    0x5c002fff,0xfff00fff,0xffd1009f,0xffff885f,0xbfff5000,0x03dfffd0,
    0xfff00000,0xd800000d,0x7c402fff,0xf50005ff,0x32005fff,0x5c001fff,
    0xf9002fff,0xffb103ff,0xffffffff,0x3fe0003d,0x7ff4006f,0xfff9003f,
    0x7fffdc07,0x37fff403,0x805fffe8,0xa83fffe8,0x002fffff,0xfff00073,
    0x0001100d,0x001ffff9,0x0005ffff,0x013ffffa,0x0007fff2,0x2005fff7,
    0x3a01fffc,0xefffffff,0x3fe0000c,0x7f4c006f,0xfb301cff,0xfe880bff,
    0xa89bdfff,0x01ffffec,0x15dffff7,0xeffffb88,0xfffffd00,0x9553359d,
    0xff000dfd,0x9df900df,0x26623355,0x03fffffb,0x39ffff90,0xff301730,
    0x1379dfff,0x3fffd531,0x2fffb800,0x03fff900,0x05557ffc,0xdfff0000,
    0xfffb1000,0xfffb9bff,0x3a2007ff,0xffffffff,0x401fffff,0xfffffffd,
    0xffffffff,0x7fffe400,0xffffffff,0x333306ff,0x3dfff333,0x32133333,
    0xffffffff,0xffffffff,0x3ffe2003,0xffffffff,0xfffd101f,0xffffffff,
    0x8003ffff,0x9002fffb,0x3ea03fff,0x4cc0006f,0xfff99999,0x0999999e,
    0x7ffffe40,0x02ffffff,0xfffffd80,0x00dfffff,0xffffff90,0x3dffffff,
    0x3fffa600,0xffffffff,0xffff986f,0xffffffff,0xf93fffff,0xffffffff,
    0x07dfffff,0xffffd300,0x03ffffff,0xffffffb8,0xffffffff,0x7ffdc000,
    0x3fff9002,0x000fff60,0xffffff98,0xffffffff,0xb9803fff,0xbceffffd,
    0x3b2a0000,0x03dfffff,0xffffc880,0x001dffff,0xffffd970,0x26059fff,
    0xffffffff,0xffffffff,0xfffd933f,0xbfffffff,0xfd700005,0x3dffffff,
    0xfffb9300,0x059dffff,0x0bffee00,0x80fffe40,0x20000fff,0xfffffff9,
    0xffffffff,0x988003ff,0x26000000,0x4c00000a,0x000009aa,0x30019a88,
    0xffffffff,0xffffffff,0x2aa6207f,0x0000019a,0x000cccc4,0x026aa620,
    0x3ffee000,0x3fff9002,0x0009dd30,0xffffff98,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeb8000,0xeeeeeeee,0x00005eee,
    0x00000000,0x0099a880,0xddddddd7,0x3ddddddd,0xcba98800,0x775c1eed,
    0x7754001e,0x03ddd51e,0xeeed8000,0x01abceee,0xfffb9500,0x00059dff,
    0x6fff6544,0x6544001b,0x003deffe,0xfffffff9,0xdfffffff,0xffd97100,
    0x400017bd,0xcdffedc9,0x7f644002,0x1cffffff,0x3ffffff2,0xffffffff,
    0xfffb5001,0xc83fffff,0x5c001fff,0xfff72fff,0xff800005,0xffffffff,
    0xf9003eff,0xffffffff,0xc8005dff,0xffffffff,0xfff9004f,0x5dffffff,
    0xfffffc80,0xffffffff,0x7ff5406f,0x2fffffff,0xffffc800,0x01efffff,
    0xffffffb8,0x324fffff,0xffffffff,0x01ffffff,0x7fffff54,0x641fffff,
    0x5c001fff,0xfff72fff,0xff800005,0xffffffff,0x400dffff,0xfffffffc,
    0x02ffffff,0xffffffb0,0x01bfffff,0x3fffffa6,0x3fffffff,0x333fff20,
    0xcccccccc,0x3fff603c,0xffffffff,0xffd1004f,0xffffffff,0x3fa209ff,
    0xffffffff,0x332a4fff,0xcccccccc,0x2e01fffe,0xefffffff,0x7e40cccd,
    0x7dc001ff,0x5fff72ff,0xfff80000,0xffeccccf,0x203fffff,0x99aabdfc,
    0x1fffffca,0x3ffff620,0xfffca9ac,0x7ffd40ef,0xfcbabdff,0xf900ffff,
    0x320000ff,0x889cffff,0x03ffffca,0xacffffd8,0x3fffca99,0x5bffffd0,
    0x0275cc41,0x01fffd80,0x15dffff9,0x0fffe400,0x4bffee00,0xaaacfffb,
    0xff0001aa,0x7fdc40ff,0x01102fff,0x0bffff10,0x8077ffe4,0x443ffff9,
    0x3a604ffe,0xff905fff,0xff30000f,0x7fd403df,0x7ffd407f,0x413a201e,
    0x002ffffb,0x3ff60001,0xffffb81f,0xfff90003,0xfffb8003,0xffffff72,
    0x17ffffff,0x01fffe00,0x01bfffa2,0x1bffe600,0x007fffc4,0x221bffe6,
    0xfffa802f,0x07ffc80f,0x1fffe800,0x03fffb80,0x000bfffa,0x02ffff88,
    0xffd80000,0x1ffff81f,0x3fff2000,0x7ffdc001,0xffffff72,0xffffffff,
    0x7fff8019,0x0bfffa00,0x3fffe000,0x02fffb80,0x005fff90,0x81fffe80,
    0x40007ffc,0x1005fff9,0x3e01ffff,0x6c0006ff,0x00005fff,0x83fffb00,
    0x0003fffb,0x000fffe4,0x7dcbffee,0xfeeeeeff,0x05ffffff,0x7003fffc,
    0x0000ffff,0xfd01fffd,0x3e6001ff,0x640006ff,0xffc83fff,0x7fd40007,
    0x3ff2003f,0x4fff882f,0x7fff4000,0xb0000000,0xfff83fff,0xffc80005,
    0x7fdc001f,0x05fff72f,0x3ffffaa2,0x01fffe04,0x005ffff0,0xa87fff80,
    0x2a005fff,0x0000ffff,0x3213ffee,0x640007ff,0x2a002fff,0xffa83fff,
    0x7fc0003f,0x0000006f,0xf987fff6,0xc80002ff,0x5c001fff,0xfff72fff,
    0xffff9005,0x01fffe05,0x007fff90,0x42fffc40,0x9002fffb,0x003fffff,
    0x41fffe40,0x40007ffc,0x2001fffd,0xfb84fff9,0x260003ff,0x00005fff,
    0x87fff600,0x0000fffb,0x001fffc8,0xfb97ffdc,0xffb002ff,0x1fffe09f,
    0x09fff500,0x0fffec00,0x2007ffe4,0xffffffe8,0x3ff60002,0xafffc81f,
    0x320009aa,0x22002fff,0xffb85fff,0x3ea0003f,0x000004ff,0xd87fff60,
    0x2ea627ff,0x7e401acc,0x7dc001ff,0x5fff72ff,0x1bffe200,0x2003fffc,
    0x8005fff9,0xb03fffc8,0x7d401fff,0x3fffffff,0xffff1000,0xfffff901,
    0x039fffff,0x0027ffdc,0xf70dfff1,0x5c0007ff,0x00003fff,0x87fff600,
    0xffc9dfff,0x3fffffff,0x003fff90,0xf72fffb8,0x7fc005ff,0xff9990ff,
    0x099999ff,0x5037ffcc,0xfff97555,0x3fff403d,0x3bffffb0,0x20009fff,
    0xf904fffb,0xffffffff,0xf503dfff,0x7c001fff,0xfffb87ff,0x3fea0003,
    0x0000004f,0x7c47fff6,0xffffffff,0xdfffffff,0x00fffe40,0x5cbffee0,
    0x3a002fff,0xffff1fff,0xffffffff,0x03fffc40,0xfffffffd,0x6fff801d,
    0x3ffffe98,0x0009fff1,0x201ffff3,0xfffffffc,0x1fffffff,0x00dfffe8,
    0xdbfffecc,0xeefffeee,0x6eeeeeee,0x00dfff30,0x7fec0000,0xfffff11f,
    0xd9759bff,0xfc8bffff,0x7dc001ff,0x5fff72ff,0x87fff400,0xffffffff,
    0x7fc07fff,0xfffd00ff,0x07dfffff,0x3ee37ffc,0x3e21ffff,0x744005ff,
    0x10003fff,0xfffffd73,0xfffff981,0xfeb999ab,0xfff6ffff,0xffffffff,
    0x20ffffff,0x0007fff8,0x3fff6000,0x7dffff31,0x7fffdc01,0x007fff22,
    0x2e5fff70,0x3e002fff,0x3fbba7ff,0x5eeeefff,0x81fffe20,0xfffeeeed,
    0xff81efff,0xffffb15f,0x5fff881b,0x2fffec00,0xfff50000,0xffff909f,
    0xffffffff,0x3fedffff,0xffffffff,0x07ffffff,0x000ffffa,0x7ffec000,
    0x00bfff31,0xf937ffdc,0xfb8003ff,0x5fff72ff,0x17ffe600,0x2003fffc,
    0x8007fff9,0x0fffffb8,0x7f4f7ff4,0xff303fff,0x7fec009f,0x400000ef,
    0xd306fffa,0xffffffff,0x2bfff5df,0xbfffc999,0x99999999,0x3fffee01,
    0xd8000000,0xfff31fff,0xffff800b,0x003fff90,0xf72fffb8,0x3fa005ff,
    0xffff02ff,0x6fffa800,0x3ffa2000,0x7fffec6f,0x2601ffff,0xf9003fff,
    0x00001fff,0x803fffe0,0xbceeedca,0x709fff11,0x00007fff,0x003dffff,
    0x7fec0002,0x0dfff11f,0x91fffd80,0xb8003fff,0xfff72fff,0xfffd8805,
    0x01fffe05,0x00bfff70,0x1fffe880,0x3ffffff2,0x7ffd400d,0xffffc802,
    0x3a000001,0x80002fff,0xfb82fffa,0xb80003ff,0x1acfffff,0x0013f266,
    0xff0fffec,0xffc800df,0x05fff92f,0x71fffc80,0x93105fff,0x401fffff,
    0x64007fff,0x80003fff,0x3ee2fffc,0x7003ffff,0xfc803fff,0x00001fff,
    0x00fffec0,0x07ffe400,0x001fffdc,0xfffffb80,0xffffffff,0xfffb0004,
    0x003fff43,0x7dcbfff2,0x7ec002ff,0xffff70ff,0xffffffff,0xff803dff,
    0x3fe2007f,0xb80001ff,0x3fee3fff,0x3fa001ef,0x3ff200ff,0x000001ff,
    0x0007fff8,0x2e0dffd0,0x00003fff,0x3fffffea,0x04ffffff,0x41fffd00,
    0x2001fffd,0xff50fffd,0xffe8007f,0x3ffffee7,0xffffffff,0x0ffff004,
    0x03fffe40,0x2fffc800,0x801bffe6,0x3205fff8,0x0001ffff,0x5fff9800,
    0xfffc8000,0x07fff702,0xffb50000,0x17bfffff,0x1bffe000,0x4009fff9,
    0x3fe67ffe,0x3fe2005f,0x3fffee6f,0xceffffff,0x1fffe001,0x1ffffc40,
    0xfffd8000,0x00fffec0,0x902fffc8,0x0003ffff,0xfffd1000,0xffa80007,
    0x3ffee07f,0x3e000003,0x00009eff,0x445fffb8,0xf5007fff,0x7ffc4bff,
    0xfff9001f,0x567ffdc9,0x20000aaa,0xfa807fff,0x00006fff,0xf50dfff5,
    0xff100bff,0x3fff20df,0x8000000f,0x006fffd8,0x17fffd40,0x007fff70,
    0x3ffe2000,0x4c03f803,0xfc81ffff,0x7fc404ff,0x7ffe41ff,0x7ffd400d,
    0x017ffdc6,0x1fffe000,0x3fffff90,0xfff50000,0x3fffa03f,0x3fffa204,
    0x0efffc83,0x404d4000,0xeffffc99,0xffd50000,0xffb809ff,0x5000003f,
    0xff003fff,0xf733359d,0x3e20bfff,0xfb80dfff,0xff883fff,0x64c1afff,
    0x7dc2ffff,0x400002ff,0xcaaaffff,0xffffffed,0x22035101,0x3ffffea9,
    0x37fffea0,0x3fffae21,0x7fffe40e,0xcccccccd,0x10cccccc,0xffffffff,
    0x03ffffff,0x76655554,0x03ffffff,0x7fff9333,0x33333333,0x32001333,
    0xfff007ff,0xffffffff,0x7fdc01ff,0xffeeffff,0x3ee05fff,0xffffffff,
    0xb85fffff,0x00002fff,0x7ffffffc,0xefffffff,0x3fffea00,0xffffffff,
    0xffb804ff,0xffffffff,0xffd80dff,0xffffffff,0xffffffff,0xffffff10,
    0x07ffffff,0xfffffff0,0x4019ffff,0xffffffff,0xffffffff,0xfd006fff,
    0x3ffe009f,0xffffffff,0xfff9800d,0xffffffff,0xfffe9803,0xffffffff,
    0x05fff702,0xffff8000,0xffffffff,0xfffa802d,0xffffffff,0x3ea001df,
    0xffffffff,0x3fff605f,0xffffffff,0x0fffffff,0xfffffff1,0x7c007dff,
    0xffffffff,0xffff801e,0xffffffff,0x6fffffff,0x005fff00,0x7ffffedc,
    0x6c4002de,0xcefffffe,0x7ff64000,0x00ceffff,0x000bffee,0xffffff00,
    0x00179bdf,0x7fffffd4,0x001defff,0xffffd930,0xffd8059d,0xffffffff,
    0xffffffff,0x4d554cc0,0xdfff0000,0x4003359b,0xffffffff,0xffffffff,
    0xa8806fff,0x330000aa,0x4c000013,0x2200001a,0x000001a9,0x00000000,
    0x35553310,0x26000001,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bba6000,
    0xeeeeeeee,0x0bddd72e,0x8bbbb200,0xeeeeeeee,0xeeeeeeee,0xdd74eeee,
    0x579bdddd,0xeee98003,0xaacdeeee,0xd7100000,0xeea805dd,0xccdeeeee,
    0xeeea802a,0xeeeeeeee,0xdd14eeee,0xdddddddd,0xdddddddd,0x3bba2bdd,
    0xeeeeeeee,0x2e5eeeee,0x88005eee,0x0001eeee,0xfffffb00,0x7fffffff,
    0x00bfffe2,0xf8dfff50,0xffffffff,0xffffffff,0xfff96fff,0xffffffff,
    0xff3005df,0xffffffff,0x40003bff,0x03fffffb,0x7fffffdc,0xcfffffff,
    0xfffff700,0xffffffff,0x3ffe2bff,0xffffffff,0xffffffff,0xfffff36f,
    0xffffffff,0x7fc4ffff,0x7ec003ff,0x000005ff,0xfffffff1,0x47ffffff,
    0x4006fffb,0x7fc2fffe,0xaaaaaaaa,0xaaaaaaaa,0xffff96fc,0xffffffff,
    0x7cc01bff,0xffffffff,0x005fffff,0x7fffff54,0x7ffdc03f,0xffffffff,
    0xfb81ffff,0xffffffff,0x15ffffff,0xffffffff,0xffffffff,0x3e6dffff,
    0xffffffff,0x7fffffff,0x007fffdc,0x00ffffa8,0xdff90000,0x5555bfff,
    0xfffe8355,0xbfff7003,0x30000ff0,0x37fff2df,0xfffedccc,0xf302ffff,
    0xb9999dff,0x07fffffd,0xfffffd50,0xfb807fff,0xdccccdff,0x0ffffffe,
    0x6677ffdc,0xcccccccc,0x3333322c,0xdfffeccc,0x3ccccccc,0xd9999991,
    0x9999bfff,0xbfffd099,0x7fffd100,0x7fc00000,0x003fffbf,0x003fffe6,
    0xf01ffff1,0x09abc88f,0xffcb7cc0,0x3ff2201f,0xff981fff,0x3ffa604f,
    0xffd500ff,0xfffddfff,0x2fffb807,0x3fffee20,0x01fffdc5,0xfff90000,
    0xff900005,0x7fcc005f,0x7fe402ff,0x2000005f,0xfff9fffa,0x7ffec003,
    0x1fffe404,0x7ffcc7f8,0xdf300cff,0x2007fff2,0x986fffe9,0x7c404fff,
    0xffd03fff,0x3ff65fff,0x7ffdc03f,0x7fffb802,0x001fffdc,0x5fff9000,
    0xfff90000,0xfffc8005,0x3fffe606,0x36000000,0x3fff8cff,0x7fffc400,
    0x0dfff101,0x3b3223fc,0xf982ffff,0x003fff96,0x30bfffe2,0xf7009fff,
    0x3fea09ff,0x1fffec3f,0x00bffee0,0xf707fffc,0x000007ff,0x0017ffe4,
    0x017ffe40,0x827fff40,0x0003fffe,0x27ffe200,0x8003fff8,0xfb05fffb,
    0x03fc05ff,0x307ffee2,0x07fff2df,0x46fffb80,0x9804fff9,0x33a06fff,
    0x03fffd80,0x8017ffdc,0x3ee1fffe,0x000003ff,0x000bfff2,0x00bfff20,
    0x03fffea0,0x000dfff5,0x16ffc800,0x20007fff,0x7cc2fffe,0x03fc05ff,
    0x7cc7ff98,0x003fff96,0x317fffc4,0xf3009fff,0x36000dff,0x7dc03fff,
    0xffd002ff,0x03fffb8f,0x3ff20000,0xfc80002f,0xfb0002ff,0x7ffc4bff,
    0x4000001f,0xfff13fff,0x3fea0007,0x07fff46f,0xfb801fe0,0x7e5be61f,
    0x7e4001ff,0x3ffe63ff,0x4fffb804,0x7fffb000,0x02fffb80,0x5c4fff88,
    0x00003fff,0x00bfff20,0x0bfff200,0x7fffc400,0x009fff92,0xfffa8000,
    0x007fff10,0xa9fffec0,0x7f803fff,0x98ffe600,0x03fff96f,0x24fffa80,
    0xd804fff9,0xb0003fff,0xfb807fff,0xffd802ff,0x1fffdc2f,0xff900000,
    0xf900005f,0x5c0005ff,0xfffaffff,0x4000000f,0x3fe25ffe,0x3e20003f,
    0x6ffe8fff,0x5400ff00,0x65be62ff,0x54001fff,0x3fe65fff,0x7ffe404f,
    0x3ff60006,0x7ffdc03f,0x3fff2202,0x1fffdc0e,0xff900000,0xf900005f,
    0xe80005ff,0x2fffffff,0x7cc00000,0x3ffe21ff,0x0aaaaaad,0xfefffc80,
    0x0ff002ff,0xf307ff40,0x007fff2d,0x4cdfff30,0xea884fff,0x0002ffff,
    0x700ffff6,0x75559fff,0x1dffffb9,0x007fff70,0x7ffe4000,0xffc80002,
    0x7cc0002f,0x005fffff,0x6ffc8000,0x7fffffc4,0x8801ffff,0x05ffffff,
    0x4cc41fe0,0x7cc4ffeb,0x003fff96,0x267fff88,0xffffffff,0x01ffffff,
    0x1fffec00,0x3ffffee0,0xffffffff,0x3fffee01,0xffffffff,0x7e4007ff,
    0xc80002ff,0x80002fff,0x00fffffc,0xfff80000,0x7ffffc43,0x001fffff,
    0x01fffff5,0xffe83fc0,0x6f984fff,0x0003fff9,0x3e61ffff,0xffffffff,
    0x0000cfff,0x403fffd8,0xfffffffb,0xcfffffff,0xfffffb80,0xffffffff,
    0x7fe4007f,0xfc80002f,0x980002ff,0x0006ffff,0x0fffa800,0x666fffc4,
    0x2000cccc,0x4003fffd,0x79dfd07f,0x7e5be603,0x7c4001ff,0x3ffe67ff,
    0xffffffff,0x3f600001,0x7fdc03ff,0xffeeeeef,0x41efffff,0xfffffffb,
    0x7fffffff,0x17ffe400,0x7ffe4000,0xffe80002,0x00003fff,0x442fff40,
    0x26003fff,0xfecccccc,0xcccccdff,0x3fa0ff04,0xf96f9803,0xf98003ff,
    0x3ffe67ff,0xfffca99d,0xfb00002f,0xffb807ff,0x3ff6602f,0x3fee0fff,
    0x999999cf,0x40019999,0x0002fffc,0x002fffc8,0x7ffffdc0,0x000001ff,
    0xf105fff3,0x7d4007ff,0xffffffff,0xffffffff,0x7fb07f80,0x3f2df300,
    0x7d4001ff,0x3ffe66ff,0x1ffff984,0xfffd8000,0x17ffdc03,0x27fffcc0,
    0x0007fff7,0x17ffe400,0x7ffe4000,0x3fe20002,0x06fffdff,0xfff90000,
    0x00fffe20,0xffffffa8,0xffffffff,0x07f80fff,0xdf3007fb,0x0007fff2,
    0x7ccbfff7,0xfff504ff,0xffb0000d,0xfffb807f,0xffff5002,0x001fffdc,
    0x5fff9000,0xfff90000,0x7fec0005,0x3ffff8cf,0x7fc40000,0xbaaaaaef,
    0x22003fff,0xfdaaaaaa,0xaaaaacff,0x2620ff02,0xf96f9800,0xfc8003ff,
    0x3ffe63ff,0x0ffff604,0x7fffb000,0x02fffb80,0x21ffff10,0x0003fffb,
    0x0bfff200,0x3fff2000,0xfff50002,0x3fffee1f,0x3ee00000,0xffffffff,
    0x0003ffff,0x005fff90,0x980007f8,0x03fff96f,0x07fffc40,0x4c09fff3,
    0x40007fff,0x5c03fffd,0x3a002fff,0xfff71fff,0x64000007,0x80002fff,
    0x8002fffc,0x742ffff8,0x00005fff,0x3ffffffa,0x3fffffff,0xfff90000,
    0x707f8005,0x2df3003b,0x2001fffc,0x7cc6fffd,0x7ff404ff,0x3f60003f,
    0x7fdc03ff,0x3ffe002f,0x07fff70f,0x7fe40000,0xfc80002f,0xfd8002ff,
    0xfff986ff,0xf980002f,0xeeeeeeff,0x003fffee,0x05fff900,0xffa87f80,
    0xf96f9807,0x3e6003ff,0x7fcc2fff,0x7ffd404f,0x3ff60006,0x7ffdc03f,
    0xdfff1002,0x001fffdc,0x5fff9000,0xfff90000,0xfffa8005,0xffff901f,
    0xffc80001,0x3ffe200f,0x3ffea003,0xffffffff,0x80ffffff,0x0fffb87f,
    0xffcb7cc0,0xfffa801f,0x4fff985f,0x03fffe80,0x07fffb00,0x002fffb8,
    0x7dc9fffb,0x000003ff,0x000bfff2,0x00bfff20,0x04ffff88,0x013fffe2,
    0x04fff880,0x001fffc4,0xfffffff5,0xffffffff,0x10ff01ff,0xdf3009fd,
    0x8807fff2,0x80fffffd,0xa804fff9,0xb0006fff,0xfb807fff,0x7e4402ff,
    0x3fee1fff,0x2000003f,0x0002fffc,0x002fffc8,0x003ffff2,0x003ffff7,
    0x007ffee0,0x3339fff1,0xffa81333,0xffffffff,0x0fffffff,0x980007f8,
    0x59fff96f,0xfffdb955,0x3e603dff,0xfff004ff,0x9999105f,0xdfffd999,
    0x2e799999,0x9999bfff,0xfffffcba,0x01fffdc1,0xfff90000,0x2aaa2005,
    0xcfffdaaa,0x4c2aaaaa,0xd002ffff,0x2000dfff,0xf8806ffe,0xffffffff,
    0x3ff2006f,0x03fc002f,0xfcb7cc00,0xffffffff,0x00dfffff,0x4013ffe6,
    0xf886fffb,0xffffffff,0xffffffff,0xffffff76,0xffffffff,0x7fff705f,
    0x7e400000,0xff3002ff,0xffffffff,0x8fffffff,0x2006fffe,0x004ffff9,
    0x401fffcc,0xfffffff8,0x32006fff,0x7c002fff,0xffffffff,0xffffffff,
    0xfff96fff,0xffffffff,0xff3003bf,0x3fe2009f,0x7ffc42ff,0xffffffff,
    0x76ffffff,0xffffffff,0x019fffff,0x000fffee,0x2fffc800,0xfffff300,
    0xffffffff,0x7fe4ffff,0x7e4001ff,0x36001fff,0xf8800fff,0xffffffff,
    0x3ff2006f,0x7ffc002f,0xffffffff,0xffffffff,0xfffff96f,0x0179bddf,
    0x027ffcc0,0x88dfff90,0xffffffff,0xffffffff,0xfffff76f,0x159bdfff,
    0x03fffb80,0x3ff20000,0xfff3002f,0xffffffff,0x26ffffff,0x8004ffff,
    0x006ffff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa82f74c0,0xddd704ee,0x3bba6003,
    0x03bbb61e,0x77775400,0xeeeeeeee,0x05eeeeee,0x3bbbba60,0x3bba2000,
    0xeeeeeeee,0x5eeeeeee,0x0017bbb2,0x267dddb0,0x2004eeee,0x3b60eeea,
    0x7640004e,0x3b60004e,0x3ae03eee,0x75c001ee,0xffa801ee,0x20bff706,
    0x8802fffc,0x7f43ffff,0xf50000ff,0xffffffff,0xffffffff,0x7fe400ff,
    0x22003fff,0xffffffff,0xffffffff,0x3ffea7ff,0xff50002f,0x3ffea1ff,
    0xff7001ff,0x02fffc1f,0x013ffa00,0x7ffffe40,0x0bfff204,0x05fff900,
    0x320bff70,0xfff904ff,0x9fffd005,0x001fffd0,0x3ffffea0,0xffffffff,
    0x007fffff,0x1bfffffe,0xfffff880,0xffffffff,0x6c7fffff,0xd0006fff,
    0x7fd47fff,0xf7005fff,0x2fff41ff,0x13ffa000,0x3fffe600,0x3ff204ff,
    0x7fe4002f,0x4ffc802f,0x3207ffb0,0x7e402fff,0xfffd05ff,0x3baa0001,
    0xeeeeeeee,0xfffeeeee,0xffff3007,0x22001fff,0xeeeeeeee,0xffeeeeee,
    0x7ffcc6ff,0x7fdc003f,0x7fffd46f,0xffb800ff,0x01bff60f,0x007ffd00,
    0xffffffd0,0x17ffe409,0x0bfff200,0x740fff60,0xfff902ff,0x77ffdc05,
    0x01fffd00,0xf3000000,0x3f2009ff,0x03fffcff,0x7fcc0000,0xfffc81ff,
    0x3ffa000f,0x7fffd42f,0xffb804ff,0x01bff60f,0x007fff00,0xffcfffb8,
    0x3fff204f,0x7ffe4002,0x03ffd802,0x3f203fff,0xfff302ff,0x7fff403f,
    0x80000000,0xf001fffd,0xdfff3bff,0xfe800000,0xfff104ff,0x3fee007f,
    0xefffa86f,0x7dc00fff,0x1fff20ff,0x05fff000,0x4efffc40,0x3f204fff,
    0x7e4002ff,0xffe802ff,0x203fff02,0xf882fffc,0x7f402fff,0x000000ff,
    0x02fffcc0,0xfd3fff98,0x000001ff,0x701bfff2,0x8801ffff,0xfa81ffff,
    0x04fffbff,0xf907ffdc,0x7c4000ff,0x3f6002ff,0x4fff98ff,0x00bfff20,
    0xa85fff90,0xcfffaaaa,0xfffbaaaa,0xff92aaab,0x7fffb05f,0x01fffd00,
    0xfd800000,0xff9001ff,0x0ffff21f,0x3fe60000,0xffe801ff,0x7ffdc04f,
    0xd3fff505,0x7dc01fff,0x1ffee0ff,0x1fff8800,0x27fff700,0x3204fff9,
    0x64002fff,0x7ffc2fff,0xffffffff,0xffffffff,0x5fff95ff,0x005fffc8,
    0x0001fffd,0x7ffcc000,0x9bffe005,0x0006fff9,0x04fffe80,0x01ffff50,
    0x403fffe2,0xffa9fffa,0x3ffee03f,0x003ffee0,0x00fffc40,0xf337ffc4,
    0x7fe409ff,0x7fe4002f,0x7ffffc2f,0xffffffff,0xffffffff,0x545fff95,
    0x3a006fff,0x00000fff,0x07fff600,0x21fffcc0,0x0000ffff,0x01bffee0,
    0x20bfffd0,0x2a04fffc,0xffff1fff,0x507ffdc0,0x20001fff,0xd800fff9,
    0x3fe61fff,0x3fff204f,0x7ffe4002,0x7e555542,0xdaaaaaff,0x2aaaaeff,
    0x3e65fff9,0x3a000eff,0x00000fff,0x0dfff300,0x20fffe40,0x0003fffc,
    0x03ffff30,0x1ffff980,0x007fffc4,0x3f23fff5,0xfff702ff,0x40fffcc1,
    0xff306ff8,0xfffa801f,0x027ffcc3,0x8005fff9,0x5402fffc,0x9ff906ff,
    0x457ffe40,0x4001fffe,0x0000fffe,0x5fffb000,0x437ffc00,0x0005fffa,
    0x009fffd0,0x917fff60,0xfa807fff,0xdfff11ff,0x983ffee0,0xffb81fff,
    0x07ffa81f,0x4c37ffc4,0x3f204fff,0x7e4002ff,0x7fdc02ff,0x409ff905,
    0xffdafffc,0xffe8002f,0x8000000f,0x2006fff8,0xff04fff9,0xb80001ff,
    0x20006fff,0xf11ffff8,0xff500dff,0x17ffe43f,0xf107ffdc,0xfffd05ff,
    0x80fff509,0xf981fffc,0x3ff204ff,0xccccccdf,0xffeccccc,0x27fe402f,
    0x3203ffd8,0x3fffefff,0x1fffd000,0xf9000000,0x7e4005ff,0xfffb01ff,
    0x7fcc0007,0x640001ff,0xfffb5fff,0x3fff5005,0x5c37ffcc,0x3fe20fff,
    0x7fffc42f,0x206ffb86,0xf304fff9,0x7fe409ff,0xffffffff,0xffffffff,
    0x1ffec02f,0x3202ffe8,0x4fffffff,0x1fffd000,0xf8800000,0x7fc006ff,
    0x3ffea07f,0x3ffa0005,0xf880004f,0x5fffbfff,0x83fff500,0x7dc1fffd,
    0x1fffc0ff,0x07ffffee,0x7f40dff7,0x3ffe606f,0x3ffff204,0xffffffff,
    0x2fffffff,0xf81fff40,0x3ff201ff,0x02ffffcf,0x00fffe80,0x7fe40000,
    0x3fe6002f,0x3ffe204f,0xffb8000f,0x2e00006f,0x1fffffff,0x83fff500,
    0x7dc5fff9,0x1fffc0ff,0x13fffff6,0x3ee0bff9,0x3fe601ff,0x3fff204f,
    0xeeeeeeee,0xffffeeee,0x817ffc02,0x3f200fff,0xffffbaff,0x7fff4001,
    0x22000000,0x64006fff,0x7ec02fff,0x7c4002ff,0x00001fff,0x27fffff4,
    0x03fff500,0x7dc3fffd,0x1fff40ff,0xfff7dff1,0xf985ffc8,0x7fcc04ff,
    0x3fff204f,0x7ffe4002,0x40fffc02,0x3200fff8,0xfffb2fff,0x7ff4001d,
    0x2000000f,0x4003fffc,0xfb807fff,0x7f4005ff,0x800004ff,0x00fffffa,
    0x207ffea0,0x3ee5fffa,0x27ff40ff,0xfff39ff7,0x7427fe43,0x7cc00eff,
    0x3ff204ff,0x7fe4002f,0x3ffffe2f,0xffffffff,0xffffffff,0x44bfff24,
    0x2005fffe,0x0000fffe,0x0ffff100,0x05fff980,0x00ffff88,0x00dfff70,
    0x7ffec000,0x7ffd4003,0x21fffd01,0x7ec0fffb,0x74bff64f,0x13ff64ff,
    0x3005fff7,0x7e409fff,0x7e4002ff,0x3fffe2ff,0xffffffff,0xffffffff,
    0x8bfff24f,0x003ffff9,0x0001fffd,0x0ffff200,0xddfff900,0xdddddddd,
    0x1005ffff,0x0003ffff,0x17ffe400,0x07ffea00,0xfba7ffd4,0xaffec0ff,
    0x3ff27ff8,0xff0fff67,0xddddddff,0xffffdddd,0x3f27dddd,0x7e4002ff,
    0x3fffe2ff,0xffffffff,0xffffffff,0x0bfff24f,0x003ffff5,0x0001fffd,
    0x1ffff100,0xfffff800,0xffffffff,0x805fffff,0x0004fffd,0x17ffe400,
    0x07ffea00,0xfb8ffff8,0xb7fe40ff,0x3fe65ffa,0xf87ffd2f,0xffffffff,
    0xffffffff,0xf94fffff,0xfc8005ff,0x3fea02ff,0x809ff906,0xfc82fffc,
    0x7f400fff,0x800000ff,0x4003fffc,0xfffffff9,0xffffffff,0x2e00ffff,
    0x00006fff,0x02fffc80,0x00fffd40,0xff77fff7,0xb6ffc81f,0x5ffe85ff,
    0xfff85ffd,0xffffffff,0xffffffff,0xfff94fff,0xfffc8005,0x417fee02,
    0x7e404ffc,0xfffd02ff,0x0fffe80d,0x7fc40000,0x7e4000ff,0xeeeeeeff,
    0xffeeeeee,0xfff102ff,0x0000003f,0x8005fff9,0x2201fffa,0xfffbefff,
    0xffbffdc0,0xe8fffb87,0x666642ff,0xcccccccc,0xccefffdc,0x5fff92cc,
    0x2fffc800,0x6c13ff20,0x7fe403ff,0xffff102f,0x07fff409,0x3ff20000,
    0xfff8004f,0x7fdc000f,0x9fffb05f,0x32000000,0x54002fff,0x7e401fff,
    0x40fffeff,0x5ffafffa,0xffafff88,0xf980001f,0x3ff204ff,0x7fe4002f,
    0x0fff602f,0x32017ff4,0x3ea02fff,0xffd02fff,0x4400001f,0x4000ffff,
    0x8005fff9,0xfa87fff8,0x000006ff,0x00bfff20,0x803fff50,0xfffffff8,
    0x7efffd40,0xfbffd02f,0x300003ff,0x7e409fff,0x7e4002ff,0x3ffa02ff,
    0x803fff02,0x6402fffc,0xfe81ffff,0xaaaaabff,0x01aaaaaa,0x0013fff2,
    0x000bfff2,0xf117fff4,0x9999dfff,0x99999999,0xfc800199,0x7d4002ff,
    0xffc801ff,0x7cc0ffff,0x700fffff,0x01ffffff,0x9fff3000,0x017ffe40,
    0x80bfff20,0xfff02ffe,0x2fffc801,0x0efffe80,0x7ffffff4,0xffffffff,
    0xffff104f,0xffff0001,0x3fee0001,0x3ffff25f,0xffffffff,0x1fffffff,
    0x17ffe400,0x07ffea00,0x3ffffe20,0x7fffcc0f,0x3ffe205f,0x80000fff,
    0x3204fff9,0x64002fff,0x3fe02fff,0x0fff881f,0x017ffe40,0x22ffffc4,
    0xfffffffe,0xffffffff,0x09fff904,0x0bfff300,0x3fffcc00,0xfffffff9,
    0xffffffff,0x8003ffff,0x4002fffc,0xb001fffa,0x881fffff,0x402fffff,
    0x007ffffd,0x09fff300,0x0017ffe4,0x440bfff2,0xff980fff,0x2fffc807,
    0x7ffff300,0x7ffffff4,0xffffffff,0xffff884f,0xfffc8001,0x7ff40003,
    0xfffff92f,0xffffffff,0x03ffffff,0x02fffc80,0x00fffd40,0x0fffff98,
    0x07ffffc4,0x1ffffee0,0x7ffcc000,0x0bfff204,0x05fff900,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x40003eee,0xdd53eeeb,0x79bddddd,0xddd70035,0xdddddddd,
    0x7549dddd,0xd7000eee,0x54003ddd,0x98000eee,0x00150002,0x00000200,
    0x026a6000,0x80000000,0x54401aa9,0x0d544001,0x00dfff70,0x71fffe80,
    0xffffffff,0x405dffff,0xfffffffc,0xffffffff,0x0fffff25,0x17ffffc0,
    0x03fff700,0x007fec40,0x000ffe60,0x3b609f30,0xdb800000,0x0dffffff,
    0x00bffee0,0x2a0fffe4,0xeffffffd,0x3ffffee0,0x3fff6604,0x7c40bfff,
    0x30001fff,0x7fdcdfff,0xffffffff,0xc81fffff,0xffffffff,0x5fffffff,
    0x01bffff2,0x0bffffea,0x01fffb80,0x017fffa0,0x009fffd0,0xb0fffea0,
    0x00003dff,0x3fffffa2,0x703fffff,0x32005fff,0x3fe21fff,0xefffffff,
    0xffffffb8,0xffffc85f,0x40efffff,0x0003fffe,0x7dc9fff7,0xcccccdff,
    0x0ffffffe,0x666fffe4,0xcccccccc,0x3ffff23c,0x7ffec01f,0x3ee002ff,
    0x3e6001ff,0xf7002fff,0x32000dff,0x3a25ffff,0x0002ffff,0x6fffffcc,
    0x5fffffec,0x002fffb8,0x7c43fff9,0xffeddfff,0xfdefffff,0x3fe23fff,
    0xffffffff,0x37ffdc5f,0x1fffe800,0x880bffee,0x20effffb,0x0002fffc,
    0x13ffbff6,0xfffeff88,0x3ffee003,0x7ffdc001,0x23799516,0x001ffff8,
    0x03ffffd8,0x007ffffb,0x13fffe20,0x217fffdc,0x9002fffb,0x67c43fff,
    0xfffffb80,0x2637ff44,0x3ff261df,0x7fffc47f,0x7ffc4000,0x017ffdc6,
    0x91ffffcc,0x40005fff,0x07ffcffd,0x3fff3fee,0x3ffee003,0xfffd8001,
    0xfffffffe,0x4002ffff,0x02ffffe8,0x027fffe4,0x017ffe40,0xf71bffe6,
    0x3f2005ff,0x7fc001ff,0xfffa86ff,0xffff00c1,0x03fffe83,0x227ffdc0,
    0x7002fffb,0x7fe4bfff,0x3fa0002f,0xd02fffaf,0x07ffd3ff,0x00fffdc0,
    0x7ffff440,0xffffffff,0x7fcc004f,0xf5001eff,0x2001dfff,0xb005fff8,
    0x7fdc7fff,0xfff9002f,0xfffd8003,0x03fff884,0x707fff60,0xe800bfff,
    0x7fdc1fff,0xfff1002f,0x017ffe4f,0xf95ffd00,0x2fff30bf,0x2e004ffe,
    0x30001fff,0xfdffffff,0x001fffff,0x06ffffd4,0x3fffe600,0xfffc801e,
    0x9fff3001,0x8017ffdc,0x4001fffc,0xfd01fffb,0x3fe2009f,0x7ffc40ff,
    0xfff1000f,0x05fff70d,0xc8ffff40,0x20002fff,0xfffaaffe,0xfea7fe40,
    0x2666624f,0xafffc999,0x09999999,0x83ffff70,0x004ffffa,0x009ffff7,
    0x7ffff440,0x03fff402,0xfb97ffe0,0xff9002ff,0xffa8003f,0x0bffb00f,
    0x417fff20,0x7002fffe,0xff707fff,0x7fec005f,0x05fff91f,0xf8fffc00,
    0x8fffc2ff,0x3ff65ffd,0xffffffff,0xffffffff,0xffff883f,0x0ffff301,
    0x07ffffb0,0x3fff6000,0x17ffe03f,0x5cfffd00,0xf9002fff,0xfa8003ff,
    0xdffb00ff,0x1ffff900,0x017ffee0,0x5c0fffec,0x3e002fff,0x3fff27ff,
    0x3ffe0002,0x7d4bff91,0xd97ff66f,0xffffffff,0xffffffff,0xffb83fff,
    0x7fff404f,0xffffd101,0xfb800003,0xff884fff,0xeeeeeeff,0xfffeeeee,
    0x05fff70f,0x407fff20,0xfeeeecb9,0xeeeeeeff,0x36206fff,0x2202ffff,
    0x4400ffff,0xff706fff,0x3fe2005f,0x0bfff26f,0x31fff800,0x3ff61fff,
    0xfd97ff63,0xffffffff,0xffffffff,0xfffc83ff,0x17ffdc01,0x077fffcc,
    0xffa80000,0x3fea0dff,0xffffffff,0xffffffff,0x05fff70f,0x107fff20,
    0xfffffffb,0xffffffff,0x260dffff,0x802ffffe,0x5402fffe,0xff703fff,
    0x3ff2005f,0x37fff24f,0xcccccccc,0xfff10ccc,0xff9fff43,0x01bff60f,
    0x001fffb8,0x400fffd8,0x7d43fffa,0x00005fff,0xeffff980,0xffffff51,
    0xffffffff,0x2e1fffff,0xf9002fff,0xfffe83ff,0xffffffff,0xffffffff,
    0xffffa86f,0xfff7000e,0x1fffd80b,0x005fff70,0x641ffff5,0xffffffff,
    0x1fffffff,0x7dc3fff1,0x645ffaef,0x3ee006ff,0xfe8001ff,0x7fd400ff,
    0x7fffd44f,0x4000000d,0x31ffffe8,0x3333bfff,0x33333333,0x7ffdc333,
    0x3fff9002,0x20efffdc,0x8000fffa,0x004ffffc,0x203fffc4,0x3ee06fff,
    0x3f6602ff,0x7fe42fff,0xffffffff,0xf31fffff,0x7ffc43ff,0x7fe42ffd,
    0x3ffee006,0xfffe8001,0x1fffd400,0x077fffcc,0xff980000,0x3fe20eff,
    0xf700005f,0x3f2005ff,0x1fffe1ff,0x0007ffd4,0x37ffffd1,0x01333333,
    0x540bfffa,0x3ee03fff,0xedcccdff,0x84ffffff,0xeeeefffc,0xeeeeeeee,
    0xd81fff31,0xfc87ffff,0x3fee007f,0xffd8001f,0x7ffe401f,0xffffd102,
    0xfa800003,0xfff05fff,0x3ee0000f,0xff9002ff,0x17ffe23f,0x000fffd4,
    0xfffffff9,0x05ffffff,0x6413ffee,0x3ee00fff,0xffffffff,0x902effff,
    0x20005fff,0x7d40fff9,0xffc84fff,0x3ffee007,0xfffc8001,0x07fffc04,
    0x7ffffb10,0x3ff20000,0x3ffa04ff,0xfa80001f,0xffa803ff,0x5fff31ff,
    0x00bffea0,0xffffffc8,0x2fffffff,0x20ffff30,0x7dc06fff,0xffffffff,
    0x7e404fff,0xf50002ff,0xfff881ff,0x07ffb81f,0x007ffee0,0x03fffe60,
    0x802fffdc,0x004ffffc,0x3ffff620,0x37ffdc02,0x7ffcc000,0x7fffcc05,
    0x05fff31f,0x8017fffa,0xfffffffc,0x02ffffff,0xf307fffa,0xffb807ff,
    0x9bccccdf,0x5fff9000,0x3ffea000,0x706ffd80,0x2e001fff,0xd0001fff,
    0x5c43dfff,0x2001ffff,0x00dffffb,0x7ffff440,0x9fffd001,0xfff88000,
    0xffff500f,0x3ffe23ff,0xfffffd84,0x33331001,0x33333333,0x7ffdc013,
    0x007ffe44,0x000bffee,0x00bfff20,0x407ffdc0,0xff702cc9,0x3fee001f,
    0xff70001f,0xfffdffff,0x98001fff,0x000effff,0x01dffff3,0x7ffffd40,
    0x212a600a,0x221efffd,0xfffefffc,0x447bffe1,0xffffeffc,0x00003881,
    0x23fffcc0,0xfb806fff,0xc80002ff,0x70002fff,0x5c000fff,0x93000fff,
    0xd1000199,0xffffffff,0x00bfffff,0x3ffffd10,0x5ffffb80,0xffff9000,
    0xffdddfff,0xfff30fff,0xffffffff,0x643fff39,0xfffeffff,0xfffffb8e,
    0xd10fffee,0xdddddddd,0xfd00bddd,0x3ffea3ff,0x2fffb803,0xfffc8000,
    0xfff70002,0x7ffd4000,0x20000001,0xfffefffd,0xfffeefff,0xffd88003,
    0xfff903ff,0xea80009f,0xffffffff,0xf707ffff,0xffffffff,0x887ffe67,
    0xefffffff,0x3fffff60,0xff10ffff,0xffffffff,0xff700dff,0x03fff29f,
    0x00bffee0,0x0bfff200,0x03ffe400,0x03fff500,0x3ee00000,0x2b2e66ff,
    0x03ffff31,0x3ffff200,0x3ffff624,0xd9100002,0xffffffff,0x7f4c07bd,
    0x261dffff,0x7f441fff,0xeb80cfff,0x24ffffff,0xfffffff8,0x806fffff,
    0xfff6fff9,0x3ffee00d,0xffc80002,0xff90002f,0x7fd4000f,0x2666661f,
    0x99999999,0x4c099999,0x7001ffff,0x0001dfff,0xfb13ffee,0x000003ff,
    0x04cd54c4,0x026a6200,0x00198800,0xd1013551,0xdddddddd,0x3a00bddd,
    0x3fffbfff,0x05fff700,0x5fff9000,0x1fff6000,0x2fffa800,0x3ffffffe,
    0xffffffff,0x7ff46fff,0x7ff4003f,0x3e60004f,0x000ee884,0x00000000,
    0x00000000,0x80000000,0xfffffffb,0x5fff7000,0xfff90000,0x55555559,
    0x3f635555,0x3e60007f,0x3fffe2ff,0xffffffff,0x46ffffff,0x98006fc8,
    0x080003ff,0x00000220,0x00000000,0x00000000,0x7cc00000,0x006fffff,
    0x000bffee,0x3fffff20,0xffffffff,0x0dffb5ff,0x17ffcc00,0xffffffff,
    0xffffffff,0x00660dff,0x00000540,0x00000000,0x00000000,0x00000000,
    0x7ff40000,0x2e003fff,0x80002fff,0xfffffffc,0xffffffff,0x000dffd5,
    0x001fffcc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffee0,0x3ffee000,0xffc80002,0xffffffff,0xfd5fffff,0x7cc000df,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x5300000a,0x00013555,0x09aaaa98,0x266a2000,
    0x13530000,0x00000000,0x004d54c0,0x00000000,0x00000000,0x15510000,
    0x00006a60,0x5fffb000,0xffd93000,0x5dffffff,0x3ffb2200,0x2fffffff,
    0xfffec880,0x201cffff,0xfffffec8,0x3fe201df,0xffffffff,0x24ffffff,
    0x7f5c7ffb,0x900effff,0x2003ffff,0x224ffff8,0x40004fff,0xfff56ffe,
    0xfff3000f,0x3ee7ff8d,0x3f622fff,0x36200eff,0xf50004ff,0x9800ffff,
    0xffffffff,0x00efffff,0x3fffffea,0x03ffffff,0x7fffffdc,0x504fffff,
    0xffffffff,0x3e209fff,0xffffffff,0x4fffffff,0x7ec5ffee,0xffffffff,
    0x0dfffd02,0x21bfff60,0x40005fff,0x3ffa5fff,0x7fe4002f,0xfabffc3f,
    0xfd0fffff,0x6c0dffff,0x8005ffff,0x00fffffb,0x3ffffe60,0xfffffeef,
    0xffff505f,0xffdddddf,0x3ffa207f,0xffffffff,0xfffd84ff,0xffffefff,
    0x7fc40eff,0xffffffff,0x24ffffff,0xffe8fffb,0xfffffeff,0x9ffff307,
    0x0ffffa80,0x0006ffe8,0xfc93ffe2,0x7fc005ff,0x47ffc0ff,0xafffefff,
    0xfffeeffb,0xffffff01,0xfffa8005,0x77cc007f,0xffd8809b,0x7ffc42ff,
    0x06a600bf,0x56fffff4,0x913ae620,0x9837ffff,0x984ffffd,0x99999999,
    0x1ffffa99,0x3ffbffee,0x7fffd42f,0x3ffff703,0x0bfffe20,0x0003ffec,
    0x7c47fff3,0xf5000fff,0x9fff0bff,0x2fff61df,0x7fff14ff,0x3fffffa0,
    0xfffc8004,0x00044001,0xfb8bfff9,0x5c0003ff,0x1002ffff,0x017fffc4,
    0x003fffea,0x1ffff440,0x3bffffee,0x0dfff500,0xd837ffec,0x3ee04fff,
    0xf50000ff,0xfffd83ff,0x5fffb003,0x43fffff0,0x746ffffb,0xfff704ff,
    0x22000bff,0x0000000a,0xffc8dfff,0x3e20001f,0xb0002fff,0x32005fff,
    0xb0005fff,0xff709fff,0xfe801dff,0x3ffa207f,0x37ffd44f,0x207ffea0,
    0xff703cc8,0x6fffa81f,0x07fff880,0xfb89ffff,0x7fec1fff,0x3ffffa05,
    0x00000005,0x8fffd000,0x0002fffc,0x0017fff6,0x0037ffcc,0x001ffff1,
    0x706fffb8,0xb001ffff,0x7cc01fff,0xfff12fff,0xfff9801f,0x80fffa82,
    0xfff07ffc,0xfffb803f,0x81ffff04,0xfd85fffa,0x3ffe605f,0x0000004f,
    0xfffb0000,0x17fffd41,0x0fffe800,0x7fff5000,0x1fffc800,0x3fffe600,
    0x05fff700,0x007fff20,0xfb1ffff7,0xff1005ff,0x5fffb07f,0x320dff90,
    0x7f404fff,0x9fff00ff,0xb03fff50,0xfff80bff,0x0000002f,0xfffb0000,
    0x7ffff441,0x7ffc002d,0x3ff20006,0x7fdc001f,0xfff1002f,0x7ffdc05f,
    0x3fff9002,0xfdfffb00,0x7fc009ff,0x5ffff84f,0xf305ffd8,0x7fcc0dff,
    0x0fffe05f,0x3603ffea,0x3fe205ff,0x666440ff,0xcccccccc,0xcccccccc,
    0x372e203c,0xfffffffe,0x7ffcc0ff,0x402dffff,0x0005fff9,0x0003fff6,
    0x2007fff5,0x5c04fffe,0xf9002fff,0xff1003ff,0x800dffff,0x7fd45ffe,
    0x7ff40fff,0x07fffa04,0xf017ffe4,0xfff507ff,0x40bffb01,0xf884fffc,
    0xffffffff,0xffffffff,0xfc886fff,0xffffffff,0x980fffff,0xfffffffe,
    0xfffa80cf,0x3ffa0004,0xfff98007,0x5fffc804,0x02fffb80,0x003fff90,
    0x03ffffe6,0xd8dffb00,0x7c3fffff,0x3fea03ff,0x0fffd04f,0xfa83fff8,
    0x5ffd80ff,0x06fffc88,0xfffffff1,0xffffffff,0x88dfffff,0xffffffff,
    0xffffffff,0x3fff6a00,0x5c3fffff,0x20003fff,0x98007fff,0x7d404fff,
    0xfb800fff,0xff9002ff,0x3fea003f,0x5c000fff,0x5fffc7ff,0x3ffe26ff,
    0x43fffc01,0x7c04fff9,0xfffa83ff,0x975ffd80,0x03fffffb,0x33333322,
    0xcccccccc,0x23cccccc,0x1bffffe8,0x003fff60,0x3ffffae2,0x3ffea5ff,
    0x3ff60004,0x7fd4000f,0x3ffe203f,0xfff7001f,0x3fff2005,0xffff8801,
    0x2a000eff,0xbff50fff,0x3e61fff1,0x7fe400ff,0x0fffe42f,0x2a0fffe0,
    0xffd80fff,0xbfffffb5,0x00000001,0x8037ffdc,0x4000fffd,0x2fffffb8,
    0x000dfff1,0x000fffe4,0xe807ffee,0x2e003fff,0xf9002fff,0xffd003ff,
    0x00bfffdf,0xfc8fffcc,0x2a7ffd2f,0xff9807ff,0x037ffc5f,0x7d41fffc,
    0x5ffd80ff,0x005bfffb,0xfb000000,0x3f6003ff,0xb10000ff,0x7ffcbfff,
    0x3fee0007,0x7fec002f,0xbfffb00f,0x2fffb800,0x03fff900,0xe8dfffc8,
    0xf1003fff,0xb9ffe5ff,0x0dff76ff,0x543fffa0,0xff803fff,0x0fffa83f,
    0x1355ffd8,0x00000000,0x2007fff8,0x0000fffd,0xfe9bffe2,0xf50003ff,
    0x7c400dff,0xfff707ff,0xffb8001d,0xfff9002f,0x7fffdc03,0x03ffff30,
    0x3e6fffe0,0x27ffe25f,0xf7005ffc,0x3fff67ff,0x83fff800,0xfd80fffa,
    0x0000005f,0xfff00031,0x3fff200f,0x7fc0000f,0x3fffee6f,0xfff88000,
    0xfff9002f,0x3ffff307,0x5fff7000,0x07fff200,0x217fffcc,0x800ffffc,
    0x2ffccffe,0x7fee7ff4,0xdfff1004,0x2009fff1,0xffa83fff,0x05ffd80f,
    0xffc80000,0x3ffa001f,0x3ffa202f,0x20000fff,0x7f45fffa,0x41001eff,
    0x401efffa,0xe886fffc,0x70002fff,0x32005fff,0xfe881fff,0xfffd04ff,
    0xfbffb00d,0xddff70ff,0x7ec007ff,0x01fffcff,0xf507fff0,0xbffb01ff,
    0xfa800000,0x32006fff,0x64c2ffff,0x0fffffff,0xb8806b3a,0x7d41ffff,
    0x21acffff,0x7f44fc99,0x2a21bfff,0xd81ffffd,0x9999dfff,0x99999999,
    0x005fff70,0x3607fff2,0x3e606fff,0x7e404fff,0xf885ffff,0x002fffff,
    0x3fffffe6,0x0fffe006,0x3603ffea,0x000005ff,0x07ffffdc,0xfffff880,
    0xdfffffef,0x3fe0fffb,0xfeefffff,0x904fffff,0xffffffff,0x989fffff,
    0xefffffff,0x83ffffff,0xfffffffa,0xffffffff,0x5fff72ff,0x07fff200,
    0x803ffff7,0x202ffffb,0x02fffffa,0x01fffffb,0xfffffe80,0x0fffe003,
    0x3603ffea,0x000005ff,0x03ffffd4,0x3ffffea0,0xf53fffff,0x7fffc1ff,
    0xffffffff,0x7f4c03ff,0xffffffff,0xffd884ff,0xffffffff,0xffff501e,
    0xffffffff,0x2e5fffff,0xf9002fff,0x7ffcc3ff,0xfffb003f,0x3ffe603f,
    0x3ffee07f,0xffb8007f,0x3e000fff,0xfffa83ff,0x005ffd80,0xfffd8000,
    0xffd88002,0x2a1defff,0x3fb20fff,0xffffffff,0x36e000be,0xdffffffe,
    0x3ff6a00b,0x403dffff,0xfffffffa,0xffffffff,0x5fff72ff,0x47fff200,
    0x006ffff8,0x03bfffe2,0x817fffe2,0x006ffff8,0x05ffff88,0x541fffc0,
    0xffd80fff,0x50000005,0x53000035,0x98800013,0x0009aaa9,0x00133300,
    0x0002a620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00000aa8,0x00000000,0x00019995,0x00004c40,
    0x00000000,0x00998800,0x06440298,0x2e00ea00,0x00262000,0x017baa00,
    0x3f200000,0x7ff6447f,0x2a201fff,0x2deffeec,0x3bfb2e00,0xf70000bd,
    0xb80003ff,0x2deffffd,0xa8005b00,0x1bfe2004,0xfffc8800,0x03ff6206,
    0x1002ffe4,0x3ea05dff,0xffb300cf,0x0003bfff,0x007ffff1,0xb0ffffe6,
    0xff90ffff,0x7ffffccf,0xf703ffff,0xffffffff,0x7ff4c01d,0x02ffffff,
    0x01fffb80,0xffffd300,0x01bfffff,0xa8017fec,0xff1004ff,0xff91000d,
    0x7c40dfff,0xfff906ff,0x3fff2005,0x06fff882,0xfffffff7,0xfc8009ff,
    0x9800ffff,0x7ec2ffff,0x7ffc87ff,0xfdfffff5,0xf703ffff,0xfffdbdff,
    0x3ffe60bf,0xffffffff,0x7ffdc001,0xfffb8001,0xffb510ac,0xffff703f,
    0xffffa805,0x00bff000,0x7ffffe44,0x7fd406ff,0x1fffd03f,0x05fff980,
    0xf903fffb,0xffdbdfff,0x3e2009ff,0x805ffeff,0x642ffff8,0xffc87fff,
    0x21dfffaf,0xa85fffe8,0xfffd881b,0x0bfffe80,0x00dfff91,0x001fffb8,
    0x200f7fcc,0xfd80fffa,0xff502fff,0xf02883ff,0x3fa0e0bf,0x6fffffff,
    0x81fffd80,0x7404fff9,0xffb80fff,0xdfff983f,0x0ffff4c0,0x7cdffec0,
    0x7fc402ff,0x7ffe42ff,0xfffffc86,0xffff103f,0xfff98001,0x817ffdc2,
    0x2002fffb,0x2001fffb,0xfff36fe8,0x3fe217bf,0x5ffffb05,0x81ffffa8,
    0x27f40dfc,0xff70bfa6,0x01bffe7f,0x641bffe2,0xff901fff,0xbfff105f,
    0x881bff60,0x7cc04fff,0x01bff26f,0xf707fffe,0xfff90dff,0xffc805ff,
    0xfff8001f,0x1037fec3,0x5c009fff,0x32001fff,0xfdff31ff,0x17fdcdff,
    0x52ffffd8,0xf103ffff,0x27f45fff,0x7d0dfff9,0x3006fff8,0xfd109fff,
    0xbfff30df,0x403fffa0,0x7ec03fff,0x17ff406f,0xf809fff1,0x7fdc1fff,
    0xffffc85f,0x2fffb802,0xddb99510,0xffe87fff,0x02fff404,0x003fff70,
    0x4ff327fc,0x17fa1ffa,0xfcffffd8,0x3aa01fff,0xbfd8dfff,0x01efffe9,
    0x400dfff0,0xfa81fffc,0x7fff44ff,0x02fffb80,0xc805fff1,0x3fea07ff,
    0x00fffb86,0xf503fffe,0xfff90bff,0x3ffea009,0xfffffc83,0x223fffff,
    0x7ec03fff,0x3fee006f,0x3ff3001f,0x87fe3fcc,0x7fe407fc,0x001fffff,
    0xdfdfffd5,0x8003bfff,0x74006fff,0xfffb06ff,0x20fffee3,0x2604fff9,
    0x7e401fff,0x3fff107f,0xe817ffa0,0x7fd40fff,0x1fffc84f,0x83555100,
    0xccdffffd,0x7fc3fffc,0xafff403f,0xccccccc8,0xccdfffec,0xf53ccccc,
    0xc8bfcc1f,0x007fd46f,0x07fffff2,0x3fffaa00,0xf0001dff,0xfd800dff,
    0xfffc80ff,0x505fff92,0x7c407fff,0x7ffc02ff,0x40bff905,0xfd02fffa,
    0x9fff30ff,0x003fff90,0x09fff300,0xffd0fffe,0x14fff80b,0xffffffff,
    0xffffffff,0x3f2dffff,0x7ffffcc7,0x017fc40d,0x0bffffee,0x7fffd400,
    0x3fe0000e,0x3fee006f,0x5fff982f,0x64077ff4,0x3fe01fff,0x3ffe606f,
    0x01fff884,0xfd837fec,0x3fff987f,0x001fffc8,0x00fffb80,0xffd87fff,
    0x5fff500f,0x3fffffe2,0xffffffff,0x76ffffff,0xfdff98ff,0x01ff983f,
    0x3fffffea,0x3faa002f,0x1cffffff,0x06fff800,0x20bfff30,0x7d40fffe,
    0xffe884ff,0x13fff206,0x203fffa2,0xf8804ffd,0x199884ff,0xf9013330,
    0x700003ff,0xfe883fff,0x7ffd43ff,0x37ffcc1d,0x99999991,0x99bfffd9,
    0x26799999,0x4dfe60ff,0x03fdc1ff,0xffbffff5,0xfea805ff,0xfdcfdcff,
    0x3e001dff,0xffd006ff,0x5fff701f,0x207fff60,0xd104fff9,0xfb9bdfff,
    0xff305fff,0x3ff2001f,0xc800000f,0x80001fff,0xcabefffa,0xe83fffff,
    0xfdceffff,0x5c001fff,0xf1001fff,0xfb3fcc5f,0xf506fc8b,0x3ff23fff,
    0xffe882ff,0x2e7fb1ef,0xf005ffff,0xff900dff,0xbfff105f,0x837ffc40,
    0xd302fffc,0xffffffff,0x13ffa07f,0x05fff880,0xfffc8000,0xffd00001,
    0xfbbfffff,0xfffd307f,0x05ffffff,0x03fff700,0xff337f40,0xff98ffcc,
    0x1ffffa84,0x417fffec,0x27f43ffe,0x2009ffb1,0x7cc06fff,0xfffd04ff,
    0x3fffa801,0x401fffd0,0xdffffffc,0x01555100,0x00aaa980,0x7ffe4000,
    0xfd300001,0x3ee7ffff,0x3fff203f,0x0000dfff,0x4003fff7,0x8ff33ff9,
    0x81ffd5fe,0xb01ffffa,0xea85ffff,0xea84ff80,0x7ffffc40,0xffffffff,
    0x01dfff11,0x2007fff7,0xf981fffd,0xaa8805ff,0x00000001,0xffc80000,
    0x4c00001f,0x04cc40aa,0x000d54c0,0x00fffdc0,0x2a2fff20,0x7fedd4c2,
    0x0ffffd42,0x07ffff60,0x1002ffc0,0xffffffff,0x263fffff,0xffb01ffe,
    0x7ffc400d,0x01bff703,0x00000000,0xfc800000,0x000001ff,0x00000000,
    0x007ffee0,0x4037ffa0,0xe884ffe9,0xffb001ff,0x02ffc009,0xffffff10,
    0x3fffffff,0x0ecc03a8,0x90032e00,0x00000003,0x00000000,0x0007fff2,
    0x00000000,0xfffb8000,0xfff90001,0xffffb9bd,0x000f4407,0xff880136,
    0x4cccc006,0x99999999,0x00000001,0x00000000,0x00000000,0x01fffc80,
    0xeeeee800,0xeeeeeeee,0x3bbbba4e,0xeeeeeeee,0x3fee004e,0x3aa0001f,
    0xdfffffff,0x00000000,0x00079910,0x00000000,0x00000000,0x00000000,
    0xfff90000,0xfff00003,0xffffffff,0x7ffcbfff,0xffffffff,0x2e005fff,
    0x80001fff,0x00abdca8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0001fffc,0xfffffff8,0x5fffffff,0x3ffffffe,0x5fffffff,
    0x03332a00,0x20000000,0xaaaaaaaa,0xaaaaaaaa,0x999932aa,0x99999999,
    0x03999999,0x00000000,0x01aba880,0x19d70000,0x200b7660,0xeeeeeee9,
    0x4000eeee,0x0001fffc,0x99999998,0x09999999,0x26666666,0x09999999,
    0x00000000,0x7fffc000,0xffffffff,0x56ffffff,0xffffffff,0xffffffff,
    0x3fee05ff,0x00000eff,0x0fffffcc,0x6fffffe4,0x40199801,0xf885fffb,
    0x7d401fff,0xffffffff,0x000000ff,0x00000000,0x00000000,0x7c000000,
    0xffffffff,0xffffffff,0xfffff56f,0xffffffff,0x405fffff,0x00efffe9,
    0xffff3000,0xffffb01b,0x5405ffff,0x3f601fff,0x7fcc0fff,0x7fd403ff,
    0xffffffff,0x0000000f,0x00000000,0x00000000,0x77400000,0xeeeeeeee,
    0xeeeeeeee,0x99999934,0x99999999,0x8805fffb,0x000efffd,0x1ffffcc0,
    0xffffffb8,0xf702ffff,0x7fe401ff,0xffff886f,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bffea00,0x077ffdc0,0xffff9800,
    0x4ffffa02,0x83ffffd9,0x6c407ffd,0x9ff501ef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02fffa80,0x03bffa60,0x1dfff300,
    0x41fffcc0,0x89dffffc,0x0004fffd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffa8000,0x4ccc4002,0x0ccc4000,0x80fffd40,
    0xfffffffc,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2fffa800,0x00000000,0x007ffdc0,0xfffffff7,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77777774,0xeeeeeeee,
    0x80004eee,0x0002fffa,0x44000000,0xfe980199,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffc000,0xffffffff,0x06ffffff,
    0x2fffa800,0x00000000,0x55100000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffffe,0xffffffff,0x80006fff,0x00009998,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaaaa00,0xaaaaaaaa,0x002aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_45_latin1_x[224]={ 0,9,5,0,2,0,1,9,6,5,3,1,5,5,
8,2,1,2,3,3,0,3,2,2,2,2,9,5,3,2,4,6,0,0,3,2,2,4,4,1,2,3,3,3,
5,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,2,3,3,
2,3,3,1,3,2,3,2,4,3,1,3,1,0,1,1,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,2,1,1,
10,3,0,0,4,3,2,5,2,0,4,2,5,6,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_45_latin1_y[224]={ 33,1,1,4,0,1,2,1,0,0,1,10,25,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,1,1,4,38,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,1,-3,1,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,33,10,0,3,5,4,
-3,1,2,3,3,12,19,19,1,3,1,6,1,1,1,10,1,16,33,1,3,12,1,1,1,10,-4,-4,-4,-4,
-4,-6,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,11,-1,-4,-4,-4,-4,-4,4,1,1,1,
1,1,2,0,10,10,1,1,1,2,1,1,1,2,1,1,1,1,1,1,2,9,6,1,1,1,2,1,1,2,
 };
static unsigned short stb__consolas_45_latin1_w[224]={ 0,7,15,24,21,25,24,6,14,14,19,22,11,14,
8,20,22,20,20,19,24,19,21,20,21,20,7,12,18,20,18,15,25,25,20,20,22,17,17,22,21,18,17,21,
17,23,21,23,20,24,21,20,22,21,25,24,25,25,21,12,20,12,21,25,15,20,20,18,20,21,24,21,19,19,
18,21,19,22,19,21,20,20,19,18,21,19,23,24,23,23,19,17,5,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,18,21,22,23,
5,19,20,25,16,19,20,14,21,19,17,21,15,13,21,21,20,9,6,16,16,19,25,25,25,15,25,25,25,25,
25,25,25,20,21,21,21,21,21,21,21,21,24,23,24,24,24,24,24,19,23,23,23,23,23,25,20,20,22,22,
22,22,22,22,24,18,23,23,23,23,22,22,22,22,21,22,23,23,23,23,23,22,21,22,22,22,22,24,20,24,
 };
static unsigned short stb__consolas_45_latin1_h[224]={ 0,33,12,29,39,33,32,12,43,43,20,22,16,4,
8,37,31,29,30,31,29,30,30,29,31,30,24,31,26,12,26,33,42,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,38,29,31,29,30,29,29,29,29,29,42,37,42,15,5,10,24,33,24,33,24,32,33,32,32,
42,32,32,23,23,24,33,33,23,24,31,24,23,23,23,33,23,42,46,42,10,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,33,39,30,27,29,
46,38,9,31,23,18,11,4,21,8,16,27,19,19,10,33,38,9,7,19,23,18,32,32,32,33,37,37,37,37,
37,39,29,37,37,37,37,37,37,37,37,37,29,37,38,38,38,38,38,20,39,38,38,38,38,37,29,33,33,33,
33,33,32,34,24,30,33,33,33,32,32,32,32,31,33,32,33,33,33,33,32,24,32,33,33,33,32,42,42,41,
 };
static unsigned short stb__consolas_45_latin1_s[224]={ 255,247,237,1,1,185,188,247,28,13,120,
55,241,240,245,204,21,119,44,1,208,65,165,66,113,85,247,238,135,100,154,
200,152,87,140,135,74,48,161,222,233,202,147,26,48,66,161,89,27,66,97,
179,179,187,1,183,221,135,113,89,27,139,215,221,142,24,70,64,234,173,217,
91,1,236,102,148,43,218,125,83,74,95,1,45,200,195,194,169,145,72,105,
178,1,121,180,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,
51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,51,255,246,23,
106,112,27,7,91,204,63,21,177,121,240,78,225,197,90,240,242,158,216,111,
242,245,140,38,157,1,27,122,160,121,147,1,1,173,221,1,199,72,94,138,
160,182,225,99,116,230,48,206,1,132,74,181,100,42,231,26,50,157,220,209,
116,24,47,1,211,165,27,215,128,50,161,137,141,213,53,76,156,119,99,176,
1,25,136,170,1,21,49,96,113,194,43,68,196, };
static unsigned short stb__consolas_45_latin1_t[224]={ 1,1,484,399,48,165,237,152,1,1,484,
484,459,449,304,127,337,369,337,337,399,337,337,399,304,337,127,203,429,505,429,
203,1,399,369,304,369,429,369,304,399,369,337,399,399,429,399,304,429,48,369,
304,369,337,429,399,369,399,399,1,127,1,484,41,505,459,203,459,165,429,271,
203,304,237,1,271,304,459,459,459,165,165,484,459,304,429,459,459,459,237,459,
1,1,1,505,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,1,88,48,
337,429,369,1,48,505,304,484,484,505,449,484,505,484,429,429,271,505,203,48,
291,313,484,484,484,271,271,271,203,88,88,165,127,88,1,369,88,127,127,127,
127,127,127,88,127,337,127,48,88,48,88,48,484,48,48,88,88,48,88,337,
165,203,203,203,165,237,165,429,337,165,165,165,237,237,271,271,304,237,271,203,
237,237,203,271,459,304,237,237,203,271,1,1,1, };
static unsigned short stb__consolas_45_latin1_a[224]={ 396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,396,
396,396,396,396,396,396,396,396, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_45_latin1_BITMAP_HEIGHT or STB_FONT_consolas_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_45_latin1(stb_fontchar font[STB_FONT_consolas_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_45_latin1_BITMAP_HEIGHT][STB_FONT_consolas_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_45_latin1_s[i] + stb__consolas_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_45_latin1_t[i] + stb__consolas_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_45_latin1_x[i];
            font[i].y0 = stb__consolas_45_latin1_y[i];
            font[i].x1 = stb__consolas_45_latin1_x[i] + stb__consolas_45_latin1_w[i];
            font[i].y1 = stb__consolas_45_latin1_y[i] + stb__consolas_45_latin1_h[i];
            font[i].advance_int = (stb__consolas_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_45_latin1_s[i] + stb__consolas_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_45_latin1_t[i] + stb__consolas_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_45_latin1_x[i] + stb__consolas_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_45_latin1_y[i] + stb__consolas_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_45_latin1_LINE_SPACING
#endif

