// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT        459
#define STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_41_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_41_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_41_latin1_LINE_SPACING          27

static unsigned int stb__consolas_bold_41_latin1_pixels[]={
    0x3b65dddb,0x002442ee,0x00024400,0x33333100,0x26213333,0x99999999,
    0x00660000,0x32a01771,0x33000002,0x98813333,0x98000000,0x3000accb,
    0x00001333,0x037fec00,0x80033300,0xfff3ffff,0x02ff447f,0x09fd1000,
    0x13ff6200,0xfffffffb,0x3fffabff,0x04ffffff,0x3fffb6e0,0x3ffff101,
    0x004fffd8,0x7fffec00,0xefffc84f,0x2a00001d,0xffffffff,0x3fffe602,
    0x20000004,0x50004ffe,0x7c001fff,0xffff3fff,0x17fff627,0x3ffa2000,
    0xffe8004f,0x3fff64ff,0xd5ffffff,0xffffffff,0xffd3009f,0x2e03ffff,
    0x3e25ffff,0x0000ffff,0x5fffffb0,0x3fffff20,0xfc80004f,0xffffffff,
    0xffff302f,0x40000009,0x70003fff,0xff800fff,0x7ffff3ff,0x17ffffa2,
    0xffff8800,0x7fc4003f,0x3ff67fff,0x5fffffff,0xfffffffd,0xff8809ff,
    0x01ffffff,0x4cbffff9,0x000fffff,0xeffffd80,0x3ffff200,0x10004fff,
    0xfdfffffd,0x307fffff,0x0009ffff,0x3ffe2000,0xdffb0002,0x3ffff800,
    0x7447ffff,0x8005ffff,0x04ffffe8,0xfffff980,0x333332a7,0xffd5fffe,
    0x599999df,0xfffffc80,0xff300cce,0xfffe85ff,0xffd80005,0xdca804ff,
    0x01fffffe,0xbffffd80,0x3ffff660,0x27fffcc0,0xf9800000,0xfd0001ff,
    0xfff800bf,0x87ffff3f,0x03fffff9,0x27fffec0,0xffffd000,0xbfffb00b,
    0x0013fffa,0x07bfffe6,0x882dd980,0x40000cec,0x002ffffd,0x0bffff70,
    0x2ffffb80,0x313fff60,0x0009ffff,0x3ffea000,0xfecb8800,0x1bdeffff,
    0xf9ffffc0,0xff983fff,0xf5000fff,0x8000bfff,0x800dffe9,0xffd5fffd,
    0xff50009f,0x000003ff,0x00000000,0x06fffd80,0x0bfffe60,0x98dfff10,
    0x0004ffff,0xfffc9800,0x7fffe401,0xffffffff,0x9ffffc05,0xf703ffff,
    0xf100bfff,0x0001ffff,0xfd800260,0x9fffd5ff,0xffff7000,0x00000000,
    0x50000000,0x6400ffff,0xf9005fff,0x7ffcc5ff,0x8800004f,0xffffffec,
    0x7ffc41ff,0xffffffff,0x7fc05fff,0x7ffff3ff,0x1fffff40,0x0fffff60,
    0xd8000000,0xfffd5fff,0xfff90009,0xaaaa980b,0x55554002,0x0aaaaa62,
    0x05555500,0x00ffff98,0x00ffff88,0x4cbfff50,0x5cc4ffff,0x2e000acd,
    0xffffffff,0x7ff42fff,0xffffffff,0x7c05ffff,0xffff3fff,0x7fffcc07,
    0x3fffe207,0xaaaaa806,0xaaaaaaaa,0xfffd801a,0x009fffd5,0x80bfffb0,
    0x01fffff9,0x4dffff50,0x01fffff9,0x0dffff50,0x01ffff88,0x003fffb8,
    0xf99bffe2,0xfff74fff,0x8805ffff,0xfffffffe,0x2e2fffff,0xcadfffff,
    0x4db98fff,0xf9ffffc0,0x7ec03fff,0xff902fff,0xfff003ff,0xffffffff,
    0xfb009fff,0x3fffabff,0xfffd8004,0xffffe805,0xffffb004,0x4ffffe85,
    0x5ffffb00,0x1ffff880,0x20ffff80,0xfdcdeeda,0x3e67ffe8,0xfffcbfff,
    0x03ffffff,0x3ffffff2,0x2ffffffe,0xd93ffffa,0xff8006ff,0x7ffff3ff,
    0x5ffff980,0x00dffff0,0x3ffffffe,0x4fffffff,0xd5fffd80,0xb0009fff,
    0xf500bfff,0xf100ffff,0xff50ffff,0xff100fff,0xff100fff,0xffa803ff,
    0x3ffff26f,0xfffb7fff,0x7fffffcc,0xffffffff,0xfff982ff,0xfff88dff,
    0x3ffe2c9a,0x13ffa0ff,0x4ffffe00,0xe803ffff,0x7d40ffff,0xff003fff,
    0xffffffff,0xb009ffff,0x3ffabfff,0xffd8004f,0xffff005f,0xfffb803f,
    0xfffff04f,0xffffb803,0xffff8804,0x97ffdc01,0xfffffffb,0x21fffb7f,
    0xfffffff9,0xffffcbef,0xffffe85f,0x207ffe65,0x22fffff8,0xf8003fff,
    0xffff3fff,0xffff9007,0x0ffffd85,0x55555500,0xffff9555,0xbfffb009,
    0x0013fffa,0x4013fffa,0x405ffffc,0x901ffffe,0xe80bffff,0xf001ffff,
    0xfd809fff,0xffff88ff,0xf96fffee,0x3ffe63ff,0x7d41efff,0x3e21ffff,
    0x3ea0ffff,0xfffd00ff,0x5fff13df,0x7ffff000,0x200ffffe,0x7c4ffff9,
    0x00006fff,0x027fffcc,0xfeafffec,0xff8004ff,0xff3003ff,0x3e601fff,
    0x3e606fff,0xf300ffff,0x7c00dfff,0x7fc06fff,0x2dfff57f,0xff95fffa,
    0x3fffe63f,0xfffb00ff,0x7fffd49f,0x903ffdc5,0xfdffffff,0xff0003ff,
    0x3fffe7ff,0xbffff003,0x004ffff8,0x7fffcc00,0x5fffd804,0x8009fffd,
    0x001ffffc,0x40bffffa,0x403ffffc,0x902ffffe,0x4007ffff,0x301ffffd,
    0x3ff6bfff,0x2bfff53f,0xff31fffb,0x7d403fff,0x3fee5fff,0x37fe43ff,
    0xffffff30,0x0005ffff,0x3b67ffff,0xffd002ee,0x7fffc4df,0x7cc00003,
    0xfd804fff,0x9fffd5ff,0xffebaa80,0x7dc006ff,0xfff05fff,0xffb801ff,
    0xffff05ff,0x7fcc001f,0x51abcfff,0x3ffe9fff,0x29fff70f,0xff31fffc,
    0xff980bff,0x3fff26ff,0x02ffec2f,0x3fffffea,0x003effff,0x000ffffe,
    0x4cffffb0,0x0003ffff,0x27fffcc0,0xeafffec0,0x7fc04fff,0x00efffff,
    0x7ffffc40,0x2ffffcc0,0x7ffffc40,0x2ffffcc0,0x7fffd400,0xfff73fff,
    0x64ffff15,0xfff93fff,0x13fffe61,0x4fffff10,0x7c4ffffc,0xfea803ff,
    0xffffffff,0xfff802ff,0x7ec0003f,0xfff50fff,0x9800005f,0xd804ffff,
    0xfffd5fff,0xfffff809,0x3f20002f,0x7fe43fff,0xff9001ff,0xfffc87ff,
    0xf910001f,0x3f27ffff,0x6fff9aff,0x7e4bfff2,0xffff30ff,0xfffff009,
    0x22ffffdc,0x2e002fff,0xffffffff,0x7fc04fff,0x640003ff,0xff70ffff,
    0x800003ff,0x804ffff9,0xffd5fffd,0xffff809f,0x8000dfff,0x7c6ffff9,
    0x26006fff,0x7fc6ffff,0xf50006ff,0x27ffffff,0xff99fffc,0x4bfff65f,
    0x3fe67ffd,0x7fc404ff,0x3ffea6ff,0x07ffe27f,0x3fffea00,0x03ffffff,
    0x000ffffe,0x54ffff90,0x0002ffff,0x27fffcc0,0xeafffec0,0x55404fff,
    0x05ffffec,0x3ffffd00,0x00ffffea,0x23ffffd0,0x003ffffa,0xcfffff98,
    0x3fffb1ab,0x7f4bfff5,0x4fffd1ff,0x404ffff9,0x265ffff9,0xf53fffff,
    0xf30001ff,0xfffffdff,0x3ffe01ff,0x7ec0003f,0x3ffea6ff,0x4c00003f,
    0xd804ffff,0xfffd5fff,0xfffd8009,0xffb8001f,0xffffb4ff,0xfffb8001,
    0x1ffffb4f,0xffffb000,0x23fff601,0x3fa5fffa,0x4bfff0ff,0x404ffff9,
    0x744ffffa,0xfbcfffff,0x5400cc7f,0xffe98fff,0xfff02fff,0xfe80007f,
    0x3ffe65ff,0x4c00004f,0xd804ffff,0xfffd5fff,0xfffa8009,0xff88003f,
    0xffff8eff,0xfff88005,0x5ffff8ef,0x9ffff000,0x4c7ffec0,0xfff15fff,
    0x98fffe6f,0x7404ffff,0x7d42ffff,0xffffffff,0x803fedbf,0x3fe27ffb,
    0xfff03fff,0xff80007f,0x3ffe24ff,0x4c00005f,0xd804ffff,0xfffd5fff,
    0xffff0009,0x3ff20009,0x2ffffdff,0xffff9000,0x005ffffb,0x80bfffe0,
    0xff99fffc,0x1ffffb6f,0x7cc3fff9,0x3ea04fff,0xfd80ffff,0xffffffff,
    0xc803ffff,0x7ffec6ff,0x7ffff03f,0x200ffffe,0x7c3ffff9,0x0000ffff,
    0x13fffe60,0x757fff60,0xd8004fff,0x30005fff,0xffffffff,0x7fcc000f,
    0x07ffffff,0x3ffff100,0x457ffe40,0xfffdffff,0x46fffeff,0x504ffff9,
    0x407fffff,0xfffffffc,0x803fffff,0x7ff45ffd,0xffff02ff,0x00ffffe7,
    0x907ffff2,0x0005ffff,0x27fffcc0,0xeafffec0,0xd8004fff,0x20005fff,
    0xfffffffe,0x7ff40004,0x004fffff,0x03ffff10,0xfd97ffdc,0xffffffff,
    0x7cc2ffff,0xcbcdffff,0x06fffffe,0xfffffea8,0x712fffff,0x5c9fff01,
    0xf00fffff,0x3ffe7fff,0xffff803f,0x5ffff986,0x3fe60000,0xffd804ff,
    0x09fffd5f,0x0bfffb00,0x7fffdc00,0x40000fff,0xfffffffb,0xfff10000,
    0x7ffd403f,0x5fffff33,0x07fffff7,0xfffffff3,0xffffffff,0x7fdc4003,
    0x7cc1bcdf,0xfffabdef,0xfffffdbc,0x4ffffe05,0x5403ffff,0xfd03ffff,
    0x00001fff,0x013fffe6,0x7f57fff6,0xfd8004ff,0x220005ff,0x04ffffff,
    0xffff8800,0x220004ff,0x2601ffff,0x3faa5fff,0x0b3fb22d,0x7fffffcc,
    0xcfffffff,0xfff98000,0x3fffe601,0xffffffff,0x200effff,0xfff3ffff,
    0xfffe807f,0x3fffee07,0xff300004,0xffb009ff,0x13fffabf,0x17fff600,
    0xffffb000,0x3600003f,0x001fffff,0x07fffe20,0x00ffff88,0x3ffe6000,
    0xffffffff,0x3ea0001d,0x3fe600ff,0xffffffff,0x00efffff,0xff9ffffc,
    0x3fea03ff,0x3fe204ff,0x80001fff,0x804ffff9,0xffd5fffd,0xffb0009f,
    0xfd8000bf,0x00005fff,0x017ffff6,0x3ffff100,0x02fffe80,0x3ffe6000,
    0x001a98cf,0x01ffee00,0xfffffff3,0x5dffffff,0x4ffffe00,0xf103ffff,
    0xb801ffff,0x0006ffff,0x03ffffa8,0xfd5fffd8,0xf90009ff,0x4c000dff,
    0x001fffff,0xfffff300,0xff980003,0x7fdc00ff,0x2600005f,0x0004ffff,
    0x01bff200,0x3ffb2e62,0x002bceff,0xff9ffffc,0xfff903ff,0x3ffa005f,
    0x640003ff,0xd802ffff,0xfffd5fff,0xfff70009,0x3fa2000f,0x00005fff,
    0x0bffffd1,0xffff5000,0x7ffff100,0x3fe60000,0x000004ff,0x40017ff6,
    0x40005ffe,0xfff3ffff,0xffff707f,0x7ffcc00b,0x3e0002ff,0xd800ffff,
    0xfffd5fff,0xfff50009,0xfe98005f,0x0000efff,0xeffffe98,0xffe80000,
    0xfffb006f,0x02c8805f,0x013fffe6,0x4ffe8000,0x09fff000,0x3ffff800,
    0xfa87ffff,0x4000ffff,0x41fffffb,0xffb101cc,0x3f600dff,0x9fffd5ff,
    0xffff1000,0x76f6c05f,0x01ffffff,0xffdbdb00,0x0003ffff,0x4ffffd88,
    0xfffff300,0xfb73337b,0x7ffcc05f,0x2000004f,0x88003fff,0x40002fff,
    0xfff3ffff,0x7fffd47f,0xffb0002f,0x7fe43fff,0xfffdccce,0x77641fff,
    0x5ffffeee,0xdddffffd,0xffb807dd,0x20eeffff,0xfffffffe,0x3fa0003f,
    0x3fffffff,0xfffd7000,0x4001ffff,0xfffffff9,0x02ffffff,0x013fffe6,
    0x7ffc4000,0xfff98001,0x7ffc0001,0x27ffff3f,0x02fffff8,0x7fffec00,
    0x3fffff26,0x4fffffff,0xffffffd8,0xfffd5fff,0x09ffffff,0xffffffd0,
    0x7ffff43f,0x40001eff,0xeffffffe,0x3ff20001,0x003fffff,0xffffff98,
    0x01ffffff,0x013fffe6,0x80000000,0x0000fffa,0xff9ffffc,0x3ffee3ff,
    0xffb00002,0x7fffe41d,0x3fffffff,0xffffffb0,0x3ffabfff,0x4fffffff,
    0xffffc880,0x3fffa1ff,0xd00003ef,0x007dffff,0xfffff900,0x6440005d,
    0xeffffffd,0x7ffcc00b,0x0000004f,0x00000000,0x7fcffffe,0x017dc3ff,
    0x303b6000,0xfffffffb,0x7fec019f,0x5fffffff,0xfffffffd,0x64c009ff,
    0x2a61ffec,0x9800001a,0x400001aa,0x003cdefc,0x019a9800,0x00000000,
    0x00000000,0xf9ffffc0,0x00083fff,0x99801000,0x000009aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7c000000,0xffff3fff,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff800000,0x7ffff3ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,0x01333309,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x30001aaa,0x00003595,
    0x001aaaa8,0x2aaaa000,0x554001aa,0x554001aa,0x0001aaaa,0x2e03bb50,
    0xb51000cd,0x005017dd,0xaaaaa800,0x2aaaa01a,0x000001aa,0x0059db71,
    0xffb80000,0x3f66002f,0x2effffff,0x7ffec000,0x800002ff,0x03fffffc,
    0x7ffffec0,0x3ffa2002,0x40001fff,0x640ffffb,0xe800efff,0x0bffffff,
    0x00001df5,0x07fffff9,0xfffffe88,0x7c400001,0x004fffff,0x3ffa0000,
    0xfff7000f,0xffffffff,0x3ff60007,0x002fffff,0x3ffff200,0x7fec001f,
    0x002fffff,0x0fffffe4,0xffffd000,0x2fffff87,0x7ffffec0,0xffffffff,
    0x7fe40004,0x32001fff,0x001fffff,0x33bffa00,0x00002fff,0x05fff880,
    0xffffffb0,0xbfffffff,0xdfffd800,0x003ffffa,0xdffffc80,0x7ffec000,
    0x03ffffad,0x7ffffd40,0xfffb0001,0xfffff87f,0x3bffa202,0xffffffec,
    0x7e40006f,0x8000dfff,0x01fffffa,0x26ff8800,0x00004ff9,0xffcccb98,
    0xfffb803f,0xfffeffff,0x8803ffff,0x3a23fffe,0x20003fff,0x003ffffc,
    0x11ffff44,0x8007fffd,0x01ffffd8,0x0ffffa80,0x4037ffdc,0x7ff544e8,
    0x20000eff,0x003ffffc,0x7fffec40,0x7fc40001,0x0017fe25,0x7ffff4c0,
    0x400fffff,0x1dfffff8,0x3ffffea2,0x00000007,0x00000000,0x00000000,
    0x5402f260,0x7300003c,0x00000017,0x00000000,0xfb37fff0,0xf700007f,
    0xffffffff,0xffc809ff,0xff300eff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0x40006fff,0xffffffd8,
    0x5fffffff,0x1fffff10,0x6ffffb80,0x1aca9800,0x04cccc00,0x40999980,
    0x30009999,0x99981333,0x33330009,0x00999981,0x00133330,0x000d654c,
    0x03595300,0x5654c000,0xfd500001,0x80001bff,0xeffffffc,0xfffffffd,
    0x5ffffb83,0xfffff880,0xfffe9801,0x402effff,0x804ffff9,0x265ffff8,
    0x8804ffff,0x3e65ffff,0xf8804fff,0x3fe65fff,0xff8804ff,0x7f4c05ff,
    0x2effffff,0xfffe9800,0x002effff,0xfffffe98,0x20002eff,0x0099aa99,
    0x3fffe200,0xffff10cf,0xfc81ffff,0xfd002fff,0xfb805fff,0xffffffff,
    0x3fe603ff,0xff8804ff,0x3ffe65ff,0xfff8804f,0x3fffe65f,0xffff8804,
    0x13fffe65,0x17fffe20,0xffffffb8,0x003fffff,0x3fffffee,0x003fffff,
    0x3fffffee,0x003fffff,0xffffffa8,0x3ff20006,0x7ffd44ff,0x6c4fffff,
    0x9001ffff,0x2207ffff,0xfffffffd,0x05ffffff,0x009ffff3,0x4cbffff1,
    0x8804ffff,0x3e65ffff,0xf8804fff,0x3fe65fff,0xff8804ff,0xffd885ff,
    0xffffffff,0x6c405fff,0xffffffff,0x405fffff,0xffffffd8,0x5fffffff,
    0x7fffe400,0x88001fff,0xfd87ffff,0x6ffffcff,0x007ffff4,0x03ffffc8,
    0xfffffff9,0xfffffffd,0x9ffff307,0xbffff100,0x027fffcc,0x32ffffc4,
    0x1009ffff,0x7ccbffff,0xf8804fff,0xffc85fff,0xffefffff,0x203fffff,
    0xfffffffc,0xfffffffe,0x3ffff203,0xffffefff,0x3e003fff,0x3fffffff,
    0xffffb800,0xff7fff84,0x7ffc1fff,0x3fee007f,0xfff884ff,0x3ea21dff,
    0xf987ffff,0xf8804fff,0x3fe65fff,0xff8804ff,0x3ffe65ff,0xfff8804f,
    0x3fffe65f,0xffff8804,0x7ffffc45,0x3ffea21d,0xfff107ff,0x7d443bff,
    0xf107ffff,0x443bffff,0x07fffffa,0xffffff30,0xf9000bff,0xff983fff,
    0x7ffff94f,0x01ffffe2,0x85ffffb8,0x205ffffd,0x42fffff9,0x804ffff9,
    0x265ffff8,0x8804ffff,0x3e65ffff,0xf8804fff,0x3fe65fff,0xff8804ff,
    0x7ffec5ff,0x3ffe605f,0xfffd82ff,0x3ffe605f,0xfffd82ff,0x3ffe605f,
    0xffb802ff,0x0fffffff,0x3fffec00,0xfb97ffe4,0xfff34fff,0x7fdc00ff,
    0x7ffcc5ff,0x7fdc00ff,0x7ffcc6ff,0xfff8804f,0x3fffe65f,0xffff8804,
    0x13fffe65,0x97fffe20,0x804ffff9,0x265ffff8,0x400fffff,0x4c6ffffb,
    0x400fffff,0x4c6ffffb,0x400fffff,0x806ffffb,0xffdefffe,0x7f4002ff,
    0x7fff87ff,0x453fffea,0x000fffff,0xb89ffff7,0x9805ffff,0x261fffff,
    0x8804ffff,0x3e65ffff,0xf8804fff,0x3fe65fff,0xff8804ff,0x3ffe65ff,
    0xfff8804f,0x3fffee5f,0xffff9805,0x3fffee1f,0xffff9805,0x3fffee1f,
    0xffff9805,0x3ffe201f,0x4ffffabf,0x37fffc00,0xfa97ffe6,0x3ffe5fff,
    0xff9000ff,0xfffc87ff,0xfffd002f,0x7fffcc5f,0xffff8804,0x13fffe65,
    0x97fffe20,0x804ffff9,0x265ffff8,0x8804ffff,0x3f25ffff,0xfd002fff,
    0x7fe45fff,0xffd002ff,0x7ffe45ff,0xfffd002f,0x7ffd405f,0x7ffff89f,
    0x3fffe200,0x317ffe46,0x7fcbffff,0xf9001fff,0xffd85fff,0xffb001ff,
    0x7ffcc5ff,0xfff8804f,0x3fffe65f,0xffff8804,0x13fffe65,0x97fffe20,
    0x804ffff9,0x365ffff8,0xb001ffff,0x7ec5ffff,0xfb001fff,0x7fec5fff,
    0xffb001ff,0x7fec05ff,0x3ffffa7f,0xffff3001,0x20fffe8d,0x3a5ffff9,
    0xd003ffff,0xfe83ffff,0xf9000fff,0x7fcc7fff,0xff8804ff,0x3ffe65ff,
    0xfff8804f,0x3fffe65f,0xffff8804,0x13fffe65,0x97fffe20,0x000ffffe,
    0x747ffff9,0x9000ffff,0x7f47ffff,0xf9000fff,0x7fc07fff,0x3fff25ff,
    0xfff1003f,0x2fffc4df,0xc8ffffea,0x9805ffff,0xff87ffff,0x3ee007ff,
    0x3fe64fff,0xff8804ff,0x3ffe65ff,0xfff8804f,0x3fffe65f,0xffff8804,
    0x13fffe65,0x97fffe20,0x2007ffff,0x3e4ffffb,0x2e007fff,0x3fe4ffff,
    0x3ee007ff,0xff304fff,0x7ffcc7ff,0xfff1006f,0x1fffdcff,0x98bfffea,
    0x400fffff,0x443ffffc,0x2007ffff,0x265ffffb,0x8804ffff,0x3e65ffff,
    0xf8804fff,0x3fe65fff,0xff8804ff,0x3ffe65ff,0xfff8804f,0xfffff15f,
    0x7fffdc00,0x0fffff15,0xaffffdc0,0x007ffff8,0x417fffee,0x7c0ffffc,
    0xf000ffff,0x7ff4ffff,0x7fffdc0f,0x77ffff41,0xfffff500,0x7ffff981,
    0x3fffee00,0x13fffe65,0x97fffe20,0x804ffff9,0x265ffff8,0x8804ffff,
    0x3e65ffff,0xf8804fff,0xfff35fff,0x7fdc00ff,0xffff35ff,0x7ffdc00f,
    0xfffff35f,0x7fffdc00,0x0dfffd05,0x005ffffb,0x227ffffa,0xffd86fff,
    0x7ffdc0ff,0xf730aeff,0xf10bffff,0x2001ffff,0x264ffffb,0x8804ffff,
    0x3e65ffff,0xf8804fff,0x3fe65fff,0xff8804ff,0x3ffe65ff,0xfff8804f,
    0xfffff15f,0x3ffee001,0xfffff14f,0x3ffee001,0xfffff14f,0x3ffee001,
    0xffff884f,0x5ffffb84,0x9ffff900,0xf887fff7,0xfe887fff,0xffffffff,
    0x00efffff,0x001fffff,0x98bffff2,0x8804ffff,0x3e65ffff,0xf8804fff,
    0x3fe65fff,0xff8804ff,0x3ffe65ff,0xfff8804f,0x3ffffe5f,0xffff9000,
    0x07ffffc5,0x2ffffc80,0x003ffffe,0x417fffe4,0x882ffffb,0x5007ffff,
    0xffbfffff,0xffffa83f,0xffffd104,0xffffffff,0x7fff401d,0xfff9001f,
    0x7fffcc3f,0xffff8804,0x13fffe65,0x97fffe20,0x804ffff9,0x265ffff8,
    0x8804ffff,0x3fa5ffff,0xf9001fff,0x7ff43fff,0xff9001ff,0x7fff43ff,
    0xfff9001f,0xffffb03f,0x0fffff40,0x7ffffc40,0x7fcc6fff,0x3a200fff,
    0xffffffff,0x7ec00eff,0xfd003fff,0x7fcc1fff,0xff9805ff,0x3ffe64ff,
    0xfff9805f,0x3fffe64f,0xffff9805,0x17fffe64,0x93fffe60,0x003ffffd,
    0x6c1ffffd,0xd003ffff,0x7ec1ffff,0xfd003fff,0xfff01fff,0x333333df,
    0x009ffffb,0x3fffffee,0xffff514f,0x3f6a009f,0x02dfffff,0x0bffff90,
    0x8fffff30,0x806ffff8,0x223ffff9,0x9806ffff,0x3e23ffff,0xf9806fff,
    0x3fe23fff,0xff9806ff,0x3fff23ff,0xfff9805f,0x7fffe47f,0xffff9805,
    0x2ffffe47,0x3ffffcc0,0x7fffffd4,0xffffffff,0x3fa006ff,0xfeefffff,
    0x00ffffff,0x27fffcc0,0x3fffe600,0x7ffe400f,0x7ffff84f,0x2ffffb80,
    0x403ffffc,0x7c2ffffb,0xfb807fff,0x7ffc2fff,0xfffb807f,0x3fffe62f,
    0x7ffe400f,0x7fffcc4f,0x7ffe400f,0x7fffcc4f,0x7ffe400f,0xffffc84f,
    0xffffffff,0x000fffff,0xfffffff3,0x3fffffff,0x3fffe000,0xfffe8006,
    0xfff500ef,0xfffd01ff,0xffff807f,0x7ffff40f,0x7ffffc03,0x1fffff40,
    0x03ffffe0,0x807ffffd,0x740fffff,0x500effff,0xd01fffff,0x201dffff,
    0x80fffffa,0x00effffe,0x01fffff5,0xffffffff,0xffffffff,0x744007ff,
    0xffffffff,0x20000dff,0xa84ffffe,0xfffff504,0x3fee615d,0xff704fff,
    0xfb105fff,0xff709fff,0xfb105fff,0xff709fff,0xfb105fff,0xff709fff,
    0xfb105fff,0xff509fff,0x2615dfff,0x04fffffb,0x5dfffff5,0x3fffee61,
    0xffff504f,0x3ee615df,0xf984ffff,0xeeeeefff,0xfffeeeee,0x7fe4005f,
    0x3effffff,0xfffb8000,0xffecceff,0xfffffd02,0xffffffff,0x7ff401ff,
    0xfecdefff,0xd00fffff,0x9bdfffff,0x1ffffffd,0x3fffffa0,0xffffecde,
    0xfffd00ff,0xffd9bdff,0x3a01ffff,0xffffffff,0x0fffffff,0x3fffffa0,
    0xffffffff,0x3ffa00ff,0xffffffff,0xb80fffff,0x9801ffff,0x000fffff,
    0x2aabfffe,0xfe800001,0xffffffff,0xffe980ff,0xffffffff,0x7d401fff,
    0xffffffff,0x203fffff,0xfffffffa,0x3fffffff,0x3ffffea0,0xffffffff,
    0x3ffea03f,0xffffffff,0x3a603fff,0xffffffff,0x401fffff,0xffffffe9,
    0x1fffffff,0x7ffff4c0,0xffffffff,0xffffd01f,0x7ffffc00,0x9fff3002,
    0xf3000000,0xffffffff,0x3f6205ff,0xffffffff,0xff5000df,0xffffffff,
    0xff5005ff,0xffffffff,0xff5005ff,0xffffffff,0xff5005ff,0xffffffff,
    0xfb1005ff,0xffffffff,0x362001bf,0xffffffff,0xb1000dff,0xffffffff,
    0x3e201bff,0x36005fff,0x9004ffff,0x00005fff,0x3fff2200,0x800dffff,
    0xffffffdb,0xfc88003e,0x4fffffff,0x7ffe4400,0x004fffff,0x7ffffe44,
    0x44004fff,0xfffffffc,0xfdb8004f,0x03efffff,0xffffb700,0x20007dff,
    0xffffffdb,0x7ffd403e,0x3fea002f,0xffd007ff,0x0000000f,0x01377531,
    0x006aa200,0x9aa98800,0xa9880000,0x8800009a,0x00009aa9,0x009aa988,
    0x03551000,0x1aa88000,0x55440000,0x3fff6001,0x3fe2000f,0xaa801fff,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x280beeda,0x4ccc4000,0x00099999,
    0x57999751,0x44000013,0x55501999,0x00003555,0x55555500,0x55554003,
    0xaa800001,0x0001aaaa,0x35555550,0xaaaaaa80,0x26620001,0xbb500199,
    0x00336e03,0xffffffe8,0x001df50b,0x3ffffb6a,0x06ffffff,0x7ffffecc,
    0x000fffff,0x0dfffd00,0x3fffffa2,0x32000001,0x003fffff,0x0bfffff6,
    0xfffc8000,0x900003ff,0x007fffff,0x3fffffd1,0x3ffee000,0x7fdc00ff,
    0x7ffe40ff,0xfffd800e,0xffffffff,0x7f5404ff,0xffffffff,0x3206ffff,
    0xffffffff,0x0000ffff,0x02ffffa8,0x0fffffe4,0x7fe40000,0x36001fff,
    0x2fffffff,0xfffc8000,0x900001ff,0x003fffff,0x1fffffc8,0xffffb800,
    0xffffe807,0x17ffffc3,0x33bffa20,0xfffffffe,0x7fffec06,0xffffffff,
    0xff706fff,0xffffffff,0x00001fff,0x200ffffb,0x01fffffa,0x3fff2000,
    0x3f6000df,0xffffadff,0x3ff20003,0x00000dff,0x01bffff9,0x3fffea00,
    0x7fdc001f,0xffd807ff,0x7fffc3ff,0x44e8802f,0x0effffea,0x3fffff20,
    0xfcceffff,0xff886fff,0x330adfff,0x80001d95,0x004ffff9,0x07ffff62,
    0x3fff2000,0x3fa2003f,0x3ffa23ff,0xffc8003f,0x200003ff,0x003ffffc,
    0xffffd880,0x3ffea001,0xfffa807f,0x37ffdc0f,0x0bb98000,0x7ffffd40,
    0x3a3fffff,0xffa86fff,0x000006ff,0x01ffff90,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffd40,0x500bc980,0x00000079,0x3fffffa0,
    0x3a3fffff,0xffb86fff,0x000006ff,0x05ffff88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x37fffd40,0x98000000,0x88019999,0xfff10999,
    0xffffffff,0x437fff47,0x02fffffa,0x7fdc0000,0x4ccc01ff,0x99999999,
    0x98099999,0x99999999,0x09999999,0x99999998,0x99999999,0x13333109,
    0x19999800,0x26666600,0x33000009,0x20013333,0x006ffffa,0x00359530,
    0x7fffffc4,0xb7ffe401,0xfffffff9,0x3fa3ffff,0xfff886ff,0x00004fff,
    0x01bfffa0,0x3ffffffe,0xffffffff,0xfffff83f,0xffffffff,0xfff83fff,
    0xffffffff,0xf73fffff,0x4c00ffff,0x5006ffff,0x0dffffff,0xffff5000,
    0x3e600dff,0x26006fff,0xfffffffe,0x7ffc402e,0x7e405fff,0xffff76ff,
    0x7fffffff,0xd837fff4,0x2fffffff,0x7fd40000,0xfff803ff,0xffffffff,
    0xf83fffff,0xffffffff,0x3fffffff,0xfffffff8,0xffffffff,0x3ffffe3f,
    0xffffb003,0x3fff2007,0x0001ffff,0x7fffffe4,0xfff9801f,0xfff7006f,
    0xffffffff,0x7fffc407,0x3f200fff,0xffff56ff,0x7fffffff,0x6c37fff4,
    0xffffffff,0xb00001ef,0x3e00ffff,0xffffffff,0x3fffffff,0xfffffff8,
    0xffffffff,0xfffff83f,0xffffffff,0x3fee3fff,0xff9806ff,0x3fe006ff,
    0x03ffffff,0x7ffffc00,0xf9803fff,0x6c405fff,0xffffffff,0x105fffff,
    0x9fffffff,0x9b7ffe40,0xffffffff,0x3ffa3fff,0x7fffec6f,0xffffffff,
    0x7fc40003,0xddb004ff,0xfffffddd,0xb05ddddd,0xfffddddd,0x5dddddff,
    0xfdddddb0,0xddddffff,0xfffff85d,0x7fffec02,0xffff3003,0x000bffff,
    0x7fffffcc,0xff8805ff,0x7fe405ff,0xffefffff,0x883fffff,0xffffffff,
    0x4dfff900,0xffffffff,0x3ffa3fff,0x3fffea6f,0xffffffbf,0x90000eff,
    0x0001ffff,0x02ffffcc,0x3fffe600,0x7fcc0005,0xff7005ff,0x7fcc0dff,
    0x3ee006ff,0xffffffff,0xfff70000,0x01ffffff,0x05ffff88,0x37ffffe2,
    0x3fffea21,0xffff887f,0xf903ffff,0x7ffecdff,0x3fffffff,0xfd9bfffa,
    0x3ff23fff,0x00efffff,0x05ffff80,0x7fffcc00,0x7fcc0005,0x4c0005ff,
    0x2005ffff,0xb02fffff,0x4005ffff,0xffdefffe,0xfd0002ff,0xffffbdff,
    0xffff8805,0x3ffff604,0x3fffe605,0x7fffc42f,0xf907ffff,0x7ffc4dff,
    0x3fffffff,0xff9bfffa,0x7f4c0fff,0x005fffff,0x017fffdc,0x3fffe600,
    0x7fcc0005,0x4c0005ff,0x2005ffff,0x986ffffb,0x2006ffff,0xfabffff8,
    0x88004fff,0xffabffff,0x7fc404ff,0xfff304ff,0xffb801ff,0x7ffc46ff,
    0x82ffffdf,0x7d46fffc,0xffffffff,0x45bfffa3,0x700fffff,0x05ffffff,
    0x037fff40,0x7fffcc00,0x7fcc0005,0x4c0005ff,0x4005ffff,0x6c1fffff,
    0x2002ffff,0xf89ffffa,0xa8007fff,0xff89ffff,0xfff807ff,0xffff704f,
    0xffff300b,0x7fffc43f,0xc86ffffa,0xffa86fff,0x23ffffff,0x3fe6fffe,
    0x3ea03fff,0x3004ffff,0x0007ffff,0x0bffff30,0xffff9800,0x7fcc0005,
    0x7dc005ff,0x3fe65fff,0x7ec006ff,0x3fffa7ff,0x7fec001f,0x3ffffa7f,
    0x27fffc01,0x02ffffc8,0x45ffffd0,0xfcaffff8,0x7fe42fff,0x3ffae06f,
    0x3ffa3fff,0x3ffffa6f,0x3fff602f,0xfffb006f,0xf300001f,0x8000bfff,
    0x005ffff9,0x2ffffcc0,0x7ffffc00,0x05ffffb1,0x25ffff80,0x003ffffc,
    0xf92ffffc,0xff807fff,0xfffb03ff,0x3ff6003f,0x3ffe22ff,0x5ffff8af,
    0x4037ffe4,0x3a2dcba9,0x3fee6fff,0xf503ffff,0xf100ffff,0x00009fff,
    0x017fffe6,0xbffff300,0xfff98000,0xffb8005f,0xffff8cff,0x7ffcc006,
    0x3fffe63f,0x3ffe6006,0x3fffe63f,0x1ffffc06,0x00ffffe8,0x47ffff90,
    0xfb2ffff8,0x7fe43fff,0xfe80006f,0x7fff46ff,0x7d42efff,0xfc806fff,
    0x00001fff,0x00bffff3,0x5ffff980,0x7ffcc000,0xfff0005f,0x5ffff9ff,
    0xffffc800,0x07ffffc0,0x0ffffc80,0x007ffffc,0x3e07fffd,0x2e007fff,
    0x3e24ffff,0xfff32fff,0x37ffe49f,0x7fff4000,0x7ffff446,0xffb0dfff,
    0xfff009ff,0x4c0000bf,0x0005ffff,0x02ffffcc,0x3fffe600,0xfff70005,
    0x00dfffff,0xb0dfffd0,0x2005ffff,0xfd86fffe,0x3b602fff,0xfff882ee,
    0x3fee007f,0x3ffe25ff,0x3ffffa2f,0x00dfff90,0x0dfffd00,0xffffffd1,
    0xfffffbff,0xffffa801,0x3e600002,0x40005fff,0x005ffff9,0x2ffffcc0,
    0xfffff000,0x88005fff,0xfb84ffff,0xf8805fff,0xffb84fff,0x4c0005ff,
    0x2007ffff,0x225ffffb,0x3ea2ffff,0xfff94fff,0xffd0000d,0x7ffdc0df,
    0xffffffff,0xfffe803f,0x7cc00006,0x40005fff,0x005ffff9,0x2ffffcc0,
    0xffff7000,0xf7000dff,0xff105fff,0xff700fff,0xfff105ff,0xf88000ff,
    0x7000ffff,0x7c49ffff,0x7ff42fff,0x6fffc8ff,0xfffe8000,0x7ffec406,
    0x04ffffff,0x03ffff98,0x7ffcc000,0x7cc0005f,0x40005fff,0x005ffff9,
    0x7fffffc0,0xfffd8002,0x3ffffa07,0x3fffec01,0x03ffffd0,0xff80f726,
    0xf9000fff,0x7fc45fff,0x7ffdc2ff,0x06fffcbf,0x6fffe800,0xffffd300,
    0x3f6009ff,0x00000fff,0x02ffffcc,0x3fffe600,0x7fcc0005,0x5c0005ff,
    0x0006ffff,0x333dffff,0xffffb333,0xeffff809,0xfd999999,0xff984fff,
    0xfffd05ff,0x3ff2003f,0x3ffe21ff,0x7fffc42f,0x006fffce,0x05ffff80,
    0x7ffffe40,0xffff8807,0xf9800004,0x40005fff,0x005ffff9,0x2ffffcc0,
    0x3ffe6000,0xffa8005f,0xffffffff,0x06ffffff,0x3fffffea,0xffffffff,
    0xfffc86ff,0xfffd81ff,0xfffd003f,0x7fffc41f,0xeffffc82,0x40006fff,
    0x004ffff8,0x1fffffb8,0x0ffffdc0,0x7fcc0000,0x4c0005ff,0x0005ffff,
    0x02ffffcc,0x3fffe600,0xfffc8005,0xffffffff,0x00ffffff,0xfffffff9,
    0xffffffff,0xfffd81ff,0xfffc82ff,0xfff9805f,0x7fffc47f,0xfffff882,
    0x40006fff,0x003ffffb,0x03fffff0,0x006ffff8,0xffff3000,0xff98000b,
    0x4c0005ff,0x0005ffff,0x02ffffcc,0x7fffffc0,0xffffffff,0xff03ffff,
    0xffffffff,0xffffffff,0xfffffc87,0xfffff980,0x7fffe400,0x17fffc44,
    0xffffffd8,0x4033206f,0x21fffff8,0xffff5001,0xffffa80f,0xf3000002,
    0x8000bfff,0x005ffff9,0x2ffffcc0,0x3ffe6000,0x7fcc005f,0xeeeeeeff,
    0xffffeeee,0xeffff985,0xeeeeeeee,0x445ffffe,0x3a03fffe,0x500effff,
    0x881fffff,0xf302ffff,0x0dffffff,0x26b3ffea,0x5fffffba,0x84cdefec,
    0x5ffffeb9,0x03ffff40,0xfff30000,0xf98000bf,0x40005fff,0x005ffff9,
    0x2ffffcc0,0x3fffee00,0xffff9801,0x7fffdc0f,0xffff9801,0x400aa80f,
    0xaefffffa,0xfffff730,0x5ffff109,0x7fffff40,0xffff886f,0xffffffff,
    0x7ffec0ff,0xffffffff,0x3e601fff,0x00003fff,0xffffffff,0xffffffff,
    0xffffff07,0xffffffff,0xffff07ff,0xffffffff,0x2007ffff,0x005ffff9,
    0x003ffff4,0xe85fffff,0x3e007fff,0x0002ffff,0x7ffffff4,0xffffffff,
    0xffff880f,0x3fffea02,0xffe886ff,0xffffffff,0xfffd82ff,0xffffffff,
    0x7fe402ff,0xf00000ff,0xffffffff,0x7fffffff,0xfffffff0,0xffffffff,
    0xfffff07f,0xffffffff,0x26007fff,0x2005ffff,0x005ffff8,0x893ffff6,
    0x2005ffff,0x004ffffd,0x7ffff4c0,0xffffffff,0xffff101f,0xffffe805,
    0x3ffaa06f,0x0cffffff,0xffffffb0,0x039fffff,0x04ffff88,0x3fffe000,
    0xffffffff,0xff83ffff,0xffffffff,0x83ffffff,0xffffffff,0xffffffff,
    0xffff3003,0x7ffd400b,0x3fea002f,0x3ffea7ff,0x3fea002f,0x880007ff,
    0xfffffffd,0x2200dfff,0x5c02ffff,0x806fffff,0x0aaccca9,0xcccba880,
    0x1000abcd,0x00015555,0x7fffffc0,0xffffffff,0xffff83ff,0xffffffff,
    0xff83ffff,0xffffffff,0x03ffffff,0x0bffff30,0x07fffec0,0xfffff100,
    0x03ffff63,0xfffff880,0xfb700001,0x07dfffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aa00000,0x0001aaaa,0xaaaaa800,
    0x0333311a,0x376a0000,0x0019b701,0x00355550,0x2e03bb50,0xaa8000cd,
    0x440001aa,0x280beeda,0x01dda800,0x000019b7,0x26200000,0x1001aacb,
    0xfd100375,0x0003ffff,0x7fffe400,0x3fffe63f,0x7dc00003,0x7fe40fff,
    0x3f6000ef,0x2002ffff,0x640ffffb,0x2000efff,0x02fffffd,0x3ffffa00,
    0x1df50bff,0x3fffee00,0x077ffe40,0xeffd8800,0x3f6e0003,0xffffffff,
    0x3fffe605,0xffff9005,0x9000003f,0xd03fffff,0x0000dfff,0x43ffffe8,
    0x002fffff,0xfffffffb,0x3fffa005,0x7ffffc3f,0xffffb002,0xb0005fff,
    0xffffffff,0x009fffff,0xf0fffffa,0x0005ffff,0xdffffff5,0xfffd8800,
    0xffffffff,0xffffd00f,0x3fea007f,0x00001fff,0x037ffff2,0x00ffffd4,
    0xffffb000,0x2fffff87,0xadfffd80,0xd803ffff,0x7fc3ffff,0xfd802fff,
    0xffffadff,0x3ffa2003,0xfffffece,0x3f6006ff,0x7ffc3fff,0x7c4002ff,
    0x3fffdeff,0xfffff500,0xffffffff,0xffff301f,0x6c400bff,0x0001ffff,
    0x03ffffc8,0x005ffff8,0x3fffea00,0x037ffdc0,0x88ffffa2,0x5403fffe,
    0x7dc0ffff,0x7f4406ff,0x3ffa23ff,0x13a2003f,0x1dffffd5,0x7fffd400,
    0x037ffdc0,0xf337fd40,0xfff500df,0xfdffffff,0xf301ffff,0x00bfffff,
    0x00000000,0x0ffffc80,0x2f260000,0x00079500,0x5e4c0000,0x00079500,
    0x30000000,0x26000177,0x079500bc,0xf0ffee00,0xfffd00ff,0xa8815bff,
    0xffff00fd,0x000007ff,0x88000000,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9bfea000,0x7d406ff9,0x1005ffff,0x37fffd40,
    0x26666620,0x99999999,0x99988099,0x99999999,0xfd809999,0x980007ff,
    0x99999999,0x09999999,0x99999988,0x99999999,0x99998809,0x99999999,
    0x33000999,0x00013333,0x26666660,0x33300000,0x80001333,0xffdffff8,
    0x7fffc03f,0x2200005f,0xffa802cb,0xffffffff,0xa83fffff,0xffffffff,
    0x3fffffff,0x02ffff98,0x7ffffc00,0xffffffff,0xffa83fff,0xffffffff,
    0xa83fffff,0xffffffff,0x3fffffff,0xfffffa80,0xfa80006f,0x006fffff,
    0xfffffa80,0xf980006f,0x405fffff,0x01fffffb,0x2a000000,0xffffffff,
    0x3fffffff,0xffffffa8,0xffffffff,0xdfffd03f,0xffff8000,0xffffffff,
    0xfa83ffff,0xffffffff,0x83ffffff,0xfffffffa,0xffffffff,0xffffc803,
    0x40001fff,0xfffffffc,0x7fe40001,0x001fffff,0x3effd880,0x5ffffc80,
    0x40000000,0xfffffffa,0xffffffff,0xfffffa83,0xffffffff,0xfff703ff,
    0x7fc0003f,0xffffffff,0x83ffffff,0xfffffffa,0xffffffff,0xfffffa83,
    0xffffffff,0xfff803ff,0x003fffff,0x7fffffc0,0x7c0003ff,0x3fffffff,
    0x20000000,0x002ffffe,0x7d400000,0xffffffff,0x83ffffff,0xfffffffa,
    0xffffffff,0xbffff103,0x7776c000,0xefffffee,0xfa82eeee,0xffffffff,
    0x83ffffff,0xfffffffa,0xffffffff,0x7fffcc03,0x0005ffff,0x3fffffe6,
    0x260005ff,0xffffffff,0x32a60005,0x00abcddc,0x007ffffe,0xf5000000,
    0x8000bfff,0x005ffffa,0x1ffff900,0x7fcc0000,0x3ea005ff,0x40005fff,
    0x005ffffa,0x3fffee00,0x000fffff,0xffffff70,0x20001fff,0xfffffffb,
    0x322000ff,0xffffffff,0x7c40cfff,0x0001ffff,0x7fd40000,0x540005ff,
    0x0005ffff,0x09ffff10,0x7ffcc000,0x3fea005f,0x540005ff,0x0005ffff,
    0x37bfffa0,0x0002ffff,0xffbdfffd,0x3a0005ff,0xfffdefff,0x3fe6002f,
    0xffffffff,0x3e60ffff,0x0000ffff,0x40055440,0x005ffffa,0x2ffffd40,
    0xfffb0000,0x7cc0000f,0x2a005fff,0x0005ffff,0x02ffffd4,0xffff8800,
    0x04ffffab,0xbffff880,0x004ffffa,0xabffff88,0x2004ffff,0xfffffff9,
    0x5fffffff,0x03ffffea,0xffe98000,0x7ffd403f,0x7d40005f,0x00005fff,
    0x00bfffea,0x7fffcc00,0x3ffea005,0x7d40005f,0x00005fff,0xf13ffff5,
    0x5000ffff,0xff13ffff,0xf5000fff,0xfff13fff,0x77cc00ff,0x7fe4419b,
    0xfff31fff,0x400003ff,0x02fffffe,0x017fffea,0xbffff500,0xffe80000,
    0xf300006f,0x5400bfff,0x0005ffff,0x02ffffd4,0x7fffd800,0x007ffffa,
    0x74ffffb0,0x4001ffff,0x3fa7fffd,0x31001fff,0x3ffff200,0x3fffff13,
    0x7ffc0000,0x3ea06fff,0x40005fff,0x005ffffa,0x7fffdc00,0xff980001,
    0x3ea005ff,0x40005fff,0x005ffffa,0x4bffff00,0x003ffffc,0xf92ffffc,
    0xf8007fff,0x3ff25fff,0x800003ff,0x3e4ffff9,0x0002ffff,0x3fffffe0,
    0xffff500f,0x5555555d,0x3fea0555,0xaaaaaeff,0x1002aaaa,0x000bffff,
    0x0bffff30,0x77fffd40,0xaaaaaaaa,0xffff502a,0x5555555d,0x7fcc0555,
    0x3ffe63ff,0x3fe6006f,0x3ffe63ff,0x3fe6006f,0x3ffe63ff,0x8800006f,
    0x3fa5ffff,0x00005fff,0x3ffffff2,0xfffff501,0xffffffff,0x3ffea0ff,
    0xffffffff,0x32007fff,0x0000ffff,0x02ffffcc,0xffffff50,0xffffffff,
    0x3fffea0f,0xffffffff,0x3ff207ff,0x7fffc0ff,0xfff9000f,0xfffff81f,
    0xffff9000,0x0fffff81,0x2aa66000,0x25ffffba,0x01fffffc,0x3fffa000,
    0xfff501ff,0xffffffff,0x3ea0ffff,0xffffffff,0x007fffff,0x00ffffe6,
    0xbffff300,0x7fffd400,0xffffffff,0xfff507ff,0xffffffff,0x7f40ffff,
    0xfffd86ff,0xfffd002f,0x5ffffb0d,0x1bfffa00,0x00bffff6,0xfffffd50,
    0x4bffffff,0x05fffff9,0x3ffe2000,0x3ffea07f,0xffffffff,0xff507fff,
    0xffffffff,0x800fffff,0x0007fffd,0x02ffffcc,0xffffff50,0xffffffff,
    0x3fffea0f,0xffffffff,0xfff107ff,0xffff709f,0xffff100b,0xbffff709,
    0x9ffff100,0x0bffff70,0x3ffffea0,0xffffffff,0x7fffec5f,0x802800df,
    0x2a06fffe,0xccceffff,0x04cccccc,0x99dffff5,0x99999999,0xffffa800,
    0x3fe60002,0x3ea005ff,0xccccefff,0x504ccccc,0x999dffff,0x09999999,
    0x20bfffee,0x807ffff8,0x882ffffb,0xb807ffff,0xf882ffff,0xfa807fff,
    0xffffffff,0x45ffffff,0xeffffff9,0xfda989ac,0x3ffe200f,0x3ffea04f,
    0x7d40005f,0x00005fff,0x01bfffa0,0x5ffff980,0x3fffea00,0x7fd40005,
    0x6c0005ff,0x3fa07fff,0x7ec01fff,0x3ffa07ff,0x7fec01ff,0x3fffa07f,
    0x3ffe201f,0x7c41aeff,0xffd85fff,0xffffffff,0x200fffff,0x200efffc,
    0x005ffffa,0x2ffffd40,0xff700000,0x260003ff,0x2005ffff,0x005ffffa,
    0x2ffffd40,0x3fffe000,0xd999999e,0x7c04ffff,0x9999efff,0x4ffffd99,
    0x4f7fffc0,0xffd99999,0x3fee04ff,0x3fe206ff,0xfff905ff,0xffffffff,
    0x26621fff,0x01ffffeb,0x02ffffd4,0x3fffea00,0x22000005,0x0004ffff,
    0x00bffff3,0x02ffffd4,0x3fffea00,0x3fea0005,0xffffffff,0x06ffffff,
    0x3fffffea,0xffffffff,0x3fea06ff,0xffffffff,0x06ffffff,0x80bffff2,
    0x205ffff9,0xfffffffb,0x70ffffff,0x5fffffff,0xbffff500,0xfffa8000,
    0x4000005f,0x000ffffc,0x05ffff98,0x17fffea0,0xffff5000,0x7fe4000b,
    0xffffffff,0x0fffffff,0xffffff90,0xffffffff,0x3f201fff,0xffffffff,
    0xffffffff,0x7ffffb00,0x3ffffa20,0x7ff5c405,0x0befffff,0x33ffffee,
    0xffff5000,0xffa8000b,0x000005ff,0x01ffffcc,0x2ffffcc0,0xbffff500,
    0xfffa8000,0x3fe0005f,0xffffffff,0xffffffff,0xffffff03,0xffffffff,
    0x3e07ffff,0xffffffff,0xffffffff,0xffff903f,0xfffff30d,0x3fe200bf,
    0x3ae01bff,0x54001bcd,0x0005ffff,0x02ffffd4,0x7ff40000,0xff98006f,
    0x3ea005ff,0x40005fff,0x005ffffa,0xddffff30,0xdddddddd,0xf30bffff,
    0xdddddfff,0xfffddddd,0xffff30bf,0xdddddddd,0x0bffffdd,0x3fffffee,
    0xfffffebc,0xff5005ff,0x000000ff,0x277fffea,0x99999999,0xffffa809,
    0x9999999d,0x50000999,0x8005ffff,0x005ffff9,0x277fffea,0x99999999,
    0xffffa809,0x9999999d,0x3fee0999,0xff9801ff,0x7fdc0fff,0xff9801ff,
    0x7fdc0fff,0xff9801ff,0xffd00fff,0xffffffff,0x00bfffbf,0x0013ffee,
    0x7ffd4000,0xffffffff,0xfa83ffff,0xffffffff,0x03ffffff,0x17fffe00,
    0xfffffff8,0xffffffff,0xffffa83f,0xffffffff,0xffa83fff,0xffffffff,
    0x3a3fffff,0x3e007fff,0x7f42ffff,0x3fe007ff,0x7ff42fff,0x3ffe007f,
    0xfff502ff,0x3dffffff,0x200bfff7,0x0001fffd,0xffff5000,0xffffffff,
    0xff507fff,0xffffffff,0x007fffff,0x0ffffdc0,0xfffffff8,0xffffffff,
    0xffffa83f,0xffffffff,0xffa83fff,0xffffffff,0xf13fffff,0x6c00bfff,
    0x3e24ffff,0x36005fff,0x3e24ffff,0x36005fff,0x2204ffff,0x4ffffffe,
    0x4017ffee,0x00006fff,0x3fffea00,0xffffffff,0xffa83fff,0xffffffff,
    0x003fffff,0x13fffe20,0x7ffffffc,0xffffffff,0xffffa83f,0xffffffff,
    0xffa83fff,0xffffffff,0xf53fffff,0x54005fff,0x3ea7ffff,0x2a002fff,
    0x3ea7ffff,0x2a002fff,0x8807ffff,0x00001aa9,0x0007fff1,0x7ffd4000,
    0xffffffff,0xfa83ffff,0xffffffff,0x03ffffff,0x15555400,0xfffffff8,
    0xffffffff,0xffffa83f,0xffffffff,0xffa83fff,0xffffffff,0xfb3fffff,
    0x44001fff,0xfb1fffff,0x44001fff,0xfb1fffff,0x44001fff,0x001fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65d40000,0x3331001b,0x00026621,
    0xaccba980,0x26662001,0x00000099,0x26666660,0x26662000,0x79710000,
    0x5c400203,0x0059500b,0x00266620,0x88000000,0x059500bb,0x04ccccc4,
    0x7ff4c000,0xfe804fff,0xffff50ff,0xd500079d,0xdfffffff,0xfffd3005,
    0x000003ff,0x9fffffb0,0x7fffcc00,0x7fe4000e,0x3a21dfff,0x7fffc402,
    0x027ffec1,0x3bfffe60,0x7f4c0000,0xff88002f,0x7ffec1ff,0xffffd304,
    0x7c40003f,0x3fffffff,0xa8bfff20,0xffffffff,0xffffb003,0xbfffffff,
    0xffffb100,0x4000003f,0x02fffffd,0x3ffffe60,0x3fee005f,0xcdffffff,
    0x3ee02fff,0x3fe25fff,0xf3000fff,0x00bfffff,0x7ffffc40,0x7ffdc001,
    0x3fffe25f,0xfffb100f,0x320003ff,0xfffcdfff,0x5fff980f,0x7fffffd4,
    0x2e01ffff,0xffffffff,0x004fffff,0x03fffff7,0xfffb0000,0x7cc001df,
    0x5fffdfff,0xfffff880,0xffffffff,0x3fff202f,0x3fffe65f,0xfff9800f,
    0x005fffdf,0x9fffff70,0xffffc800,0x3ffffe65,0x7fffdc00,0xfff8001f,
    0x20bffea4,0x7d40fffe,0xffffffff,0xfff981ff,0xfd98adff,0x26007fff,
    0x001ffffe,0x3ffff600,0x7ffc4004,0x0bfffb1f,0x3a61df30,0x03ffffff,
    0x217fffcc,0x8805fffe,0xffb1ffff,0xff9000bf,0x98009fff,0x7f42ffff,
    0xfd3005ff,0x44003fff,0x3fe22fff,0x17ffdc3f,0x7f6554c4,0x40efffff,
    0xb02ffffc,0x4003ffff,0x01ffffd8,0xffffd800,0x7ff44002,0x27ffec1f,
    0x7ed404c0,0xbb3002cf,0x019d9105,0x41fffe88,0x4004fffd,0x02fffff9,
    0x882dd980,0x22000cec,0x001ffffd,0xff83fff3,0x17ffe63f,0xffffd300,
    0x7fffe89f,0x0bfffee0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x09fff700,0x00000000,0xfff30000,0xd17ffcc7,0x10001fff,0xf8dffffd,
    0x3f605fff,0x00001fff,0x00000000,0x00000000,0x00000000,0x88000000,
    0x00000009,0x10000000,0x7fdcbfff,0x07fff71f,0x7fffd400,0xbffff10f,
    0x1bfffe60,0xddcca980,0x4c000abc,0xabcddcca,0xcca98000,0x000abcdd,
    0x66ee654c,0x54c000ab,0x0abcddcc,0x9b953000,0x00000137,0x2aaaa200,
    0x0d555401,0xbcdca880,0xfffd8009,0xf36fffde,0x88000bff,0xf31fffff,
    0xff309fff,0xc8805fff,0xffffffff,0x2200cfff,0xfffffffc,0x400cffff,
    0xffffffc8,0x00cfffff,0x3fffff22,0x0cffffff,0x3ffff220,0xcfffffff,
    0xffff7000,0x807fffff,0xaaaaaaa8,0xf3000aaa,0x7c409fff,0x74405fff,
    0xffffffff,0x7fffcc02,0xffd1ffff,0xf880001f,0xff30ffff,0xfff989ff,
    0xff9803ff,0xffffffff,0xf300ffff,0xffffffff,0x401fffff,0xfffffff9,
    0x0fffffff,0xffffff30,0xffffffff,0x3fffe601,0xffffffff,0x3f6200ff,
    0xffffffff,0xff500eff,0xffffffff,0x3ffe6005,0x3ffe204f,0x3ffea05f,
    0xffffffff,0x3ffea00d,0xfff71eff,0xff700007,0x7ffccfff,0x3fffe24f,
    0xfff3003f,0xffffffff,0x3e60bfff,0xffffffff,0x205fffff,0xfffffff9,
    0x5fffffff,0xffffff30,0xffffffff,0x3fffe60b,0xffffffff,0xfff105ff,
    0xffffffff,0x3ea0dfff,0xffffffff,0xfff3002f,0x7ffc409f,0xffff705f,
    0xffffffff,0xbba8809f,0x0dfff109,0xffff5000,0x7fffccbf,0x13fffee4,
    0x19bef980,0x7ffffe44,0x19bef981,0x7ffffe44,0x337df301,0xfffffc88,
    0x19bef981,0x7ffffe44,0x19bef981,0x7ffffe44,0xfffffc81,0xffffdbce,
    0xfffa83ff,0x2fffffff,0x9ffff300,0x2ffffc40,0x17ffffc4,0x07ffffee,
    0x0fffec00,0x3b732a00,0x20ffffff,0x364ffff9,0x2001ffff,0xfff90018,
    0x2003107f,0x103ffffc,0x3fff2003,0x9001883f,0x3107ffff,0x3ffff200,
    0x7ffffcc3,0xffffd883,0x5555440f,0x02ffffda,0x09ffff30,0x42ffffc4,
    0x501ffffc,0x000dffff,0x0007fff7,0xfffffff9,0xfff987ff,0x3ffffa4f,
    0xf3000001,0x80009fff,0x004ffff9,0x4ffff980,0x7ffcc000,0x7cc0004f,
    0x7fec4fff,0x7ffc04ff,0xff9003ff,0x3e6005ff,0x3e204fff,0x7fc45fff,
    0x7ff404ff,0x7fc4007f,0xff90006f,0x03dfffff,0x649ffff3,0x0005ffff,
    0xbffff100,0xfff88000,0xf880005f,0x40005fff,0x005ffff8,0x2ffffc40,
    0x003ffffe,0x009ffff7,0x00bffff2,0x027fffcc,0xa8bffff1,0x6402ffff,
    0x2001ffff,0x0001fffd,0x7bfffff7,0x3fffe601,0x3ffffee4,0x2660000e,
    0xffffbaaa,0x2aa66005,0x05ffffba,0x5d554cc0,0x2005ffff,0xffbaaa99,
    0x266005ff,0xffffbaaa,0x17fffe25,0x17fffe60,0x17fffe40,0x4ffff980,
    0x17fffe20,0x557ffff7,0xffb55555,0x3ea005ff,0x37b2e4ff,0x3ffee00b,
    0xffff3007,0xfffffe89,0x3faa001f,0xffffffff,0x7f5405ff,0xffffffff,
    0xfea805ff,0xffffffff,0x7f5405ff,0xffffffff,0x7f5405ff,0xffffffff,
    0x3ffea5ff,0xfff8804f,0xfff9007f,0x3fe6005f,0x3fe204ff,0x7ffec5ff,
    0xffffffff,0x03ffffff,0xd16fff88,0x03ffffff,0x401fffee,0x4c4ffff9,
    0x2fffffff,0x7ffffd40,0xffffffff,0xffff505f,0xffffffff,0x7fd40bff,
    0xffffffff,0xf505ffff,0xffffffff,0x20bfffff,0xfffffffa,0x5fffffff,
    0x013fffee,0x803ffffc,0x002ffffc,0x409ffff3,0x745ffff8,0xffffffff,
    0xffffffff,0xfffd803f,0xffffffd1,0x3ffea0df,0xffff3007,0xffffd109,
    0x3fea03ff,0xffffffff,0xa85fffff,0xffffffff,0x5fffffff,0xffffff50,
    0xffffffff,0xffff50bf,0xffffffff,0xff50bfff,0xffffffff,0x5cbfffff,
    0xf004ffff,0x3200ffff,0x3002ffff,0x4409ffff,0x7f45ffff,0xffffffff,
    0xffffffff,0xa7ffd402,0xfd9dfffb,0xeee983ff,0xffff3005,0x3fff6209,
    0xfff886ff,0x7c41aeff,0x7fc45fff,0x441aefff,0xf885ffff,0x41aeffff,
    0x445ffff8,0x1aefffff,0x22ffffc4,0xaefffff8,0x2ffffc41,0x00bffff5,
    0x00dffff1,0x00bffff2,0x027fffcc,0xd8bffff1,0x0000ffff,0xb37ffc40,
    0x4fff8dff,0x3fe60000,0x7fec04ff,0x7fdc0fff,0x3fe206ff,0x7ffdc5ff,
    0x3ffe206f,0xffffb85f,0x3fffe206,0x37fffdc5,0x8bffff10,0x206ffffb,
    0x265ffff8,0xa806ffff,0x9004ffff,0x2005ffff,0x204ffff9,0x645ffff9,
    0x0001ffff,0xd0fffe40,0x6ffe8bff,0x3fe60000,0xfff804ff,0x7ffe42ff,
    0x3ffe602f,0x7fffe45f,0x3fffe602,0x2ffffc85,0x17fffe60,0x405ffff9,
    0x645ffff9,0x2602ffff,0x7fc5ffff,0x7ec01fff,0xf9003fff,0x26005fff,
    0xd105ffff,0xfb8bffff,0x00003fff,0xff13ffea,0x86ffd89f,0x3002eec8,
    0xb009ffff,0xfd85ffff,0xfd103fff,0xffd8bfff,0xffd103ff,0xfffb0bff,
    0x3ffa207f,0x7ffec5ff,0xfffd103f,0xffffd8bf,0xffffd103,0x5ffffe8b,
    0x3ffffe60,0xffff9000,0x3ffe2005,0xffffd07f,0xffff98bf,0xe880000f,
    0x7ff40eff,0x742fff46,0x9803ffff,0xe804ffff,0x7e40ffff,0xff986fff,
    0x7e45ffff,0xff986fff,0xfc85ffff,0xff986fff,0x7e45ffff,0xff986fff,
    0x7e45ffff,0xff986fff,0x7d45ffff,0x540dffff,0x004fffff,0x00bffff2,
    0x23fffff8,0xffffffda,0xeffffd85,0xf9009801,0xfffb05ff,0x30fffe61,
    0x00dfffff,0x749ffff3,0xfffecbcd,0xffffb87f,0xfffebcff,0x7dc5ffff,
    0xebcfffff,0x5fffffff,0xffffffb8,0xfffffebc,0x7ffdc5ff,0xffebcfff,
    0x5c5fffff,0xbcffffff,0xfffffffe,0xfffffd85,0xfffffeff,0x3f2000ff,
    0x36002fff,0xfeffffff,0x5fffffff,0xffffff88,0xfeccbbce,0x4fff982f,
    0xfdffff50,0xffa81fff,0xf9807fff,0x3ffa4fff,0x1fffffff,0xffffffd0,
    0xffbfffff,0xffffd0bf,0xbfffffff,0x3fa0bfff,0xffffffff,0x85fffdff,
    0xfffffffe,0xfffdffff,0xfffffe85,0xfdffffff,0xfff985ff,0xffffffff,
    0xee882fff,0xffffeeee,0x0eeeeeef,0xffffff98,0xffceffff,0xffff705f,
    0xffffffff,0xfffd05ff,0x7fffec01,0xff882fff,0xf9805fff,0x3ffa4fff,
    0x03ffffff,0x3fffffea,0xffb9efff,0xffffa85f,0xb9efffff,0xff505fff,
    0xdfffffff,0x50bfff73,0xffffffff,0xbfff73df,0xffffff50,0xff73dfff,
    0x3ffa20bf,0xffffffff,0xffff100e,0xffffffff,0x203fffff,0xfffffffc,
    0x5fffb8ef,0x3ffffea0,0xffffffff,0x017ffe42,0x0fffffe4,0x01dfff70,
    0x49ffff30,0xcffffffe,0xfffe8800,0x3fee4fff,0xfffd105f,0x7fdc9fff,
    0x3ffa205f,0x3ee4ffff,0xffd105ff,0x7dc9ffff,0xffd105ff,0x7dc9ffff,
    0x7f5c05ff,0x03efffff,0x7fffffc4,0xffffffff,0x3ea01fff,0x2e4fffff,
    0x64405fff,0xfffffffe,0x00001def,0x544002a6,0x4cc00002,0x3100009a,
    0x10000355,0x00003553,0x0006aa62,0x006aa620,0x06aa6200,0x35530000,
    0x7fffc400,0xffffffff,0x801fffff,0x00001aa9,0x01aaaa98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccc000,0x26200099,0x71000099,0x00b2a017,0x04ccccc4,
    0x26000010,0x54400999,0xaaabcdcb,0x4c40aaaa,0x00009999,0x01bcb880,
    0x00100001,0x33300000,0xb8801333,0x8059500b,0x80003dc8,0x04fffffd,
    0x3bfffe60,0x7ffc4000,0x27ffec1f,0x7ffff440,0x0dd9732f,0xffff1000,
    0x3fff220b,0xffffffff,0x7f4c1fff,0x0001ffff,0x3fffff20,0x000ba21d,
    0x7bfffd93,0xfb000000,0x8809ffff,0x7ec1ffff,0xfff304ff,0x7ec000bf,
    0x2002ffff,0x5ffffff9,0x7fffdc00,0x3ffffe25,0xffff8800,0x6fffffff,
    0xfff88000,0xffff885f,0xffffffff,0xd881ffff,0x001fffff,0xfffffb80,
    0xfffcdfff,0xffff9002,0x003dffff,0x3fff6000,0xffb802ff,0x3ffe25ff,
    0xfffc80ff,0xfd8001ff,0x2000efff,0xffdffff9,0x3ff2005f,0x3ffe65ff,
    0x2ea200ff,0xfffffffe,0x80006fff,0xe85ffff8,0xfedfffff,0xffffffff,
    0x3fffee01,0x3e20001f,0xffffffff,0x802fffff,0xfffffffd,0x0000ffff,
    0x77fffec0,0xffff9000,0x7ffffccb,0xfffffd80,0x7ffec002,0x7fc4004f,
    0xbfffb1ff,0x3fffe600,0x02ffff42,0x3ffffffa,0x3effffff,0xfff88000,
    0x7fffe45f,0x7fffecc4,0xfe98019a,0x20001fff,0xffd30ef9,0x5007ffff,
    0xfbbfffff,0x000dffff,0x27fffec0,0x3fffe600,0x82ffff42,0x00fffffb,
    0x0bffff60,0x3fffd100,0x004fffd8,0xd9105bb3,0xfffe8019,0x4fffffff,
    0x7fc40000,0x7ffec5ff,0xbffff106,0xfffd8800,0x0260001f,0x00b3ff6a,
    0x1077fffc,0x001ffffd,0x5ffffb00,0x0b766000,0x44033b22,0x0002fffe,
    0x00000000,0x74000000,0xffdbdfff,0x00000fff,0xf17fffe2,0x7ec07fff,
    0x000007ff,0x80000000,0xa82ffff8,0x0002ffff,0x00000000,0x00054c00,
    0x00000000,0x40000000,0x7ffc40ab,0x200006ff,0x225ffff8,0x2e02ffff,
    0x00007fff,0x00000000,0x81ffffa8,0x002ffff8,0x00000000,0x10000000,
    0x01379b95,0x66e54400,0x2200009b,0x009bcdca,0xffd95300,0x88007fff,
    0xffbcccb9,0x7fffc5ff,0x1bfff605,0x3372a600,0x4c00009b,0x009bcdca,
    0x05ffff50,0x003ffff5,0xbcdca980,0x54c00009,0x8009bcdc,0x88009998,
    0xfffffffe,0x7f44002f,0x2fffffff,0x7fff4400,0x002fffff,0x3fffffea,
    0x800fffff,0xffffffe9,0x6c5fffff,0xf980ffff,0x2e004fff,0xffffffff,
    0xffb8003f,0x3fffffff,0x4ffff880,0x007fffe8,0x3ffffee0,0x8003ffff,
    0xfffffffb,0x7ff403ff,0x7ffd402f,0xffffffff,0xfffa800d,0xffffffff,
    0xfffa800d,0xffffffff,0x3ff6200d,0xffffffff,0x3f2203ff,0xffffffff,
    0x7d45ffff,0xb99cffff,0x801fffff,0xffffffd8,0x00efffff,0xfffffd88,
    0x0effffff,0x0fffffc0,0x007ffffb,0xfffffb10,0x1dffffff,0xffffb100,
    0xdfffffff,0x0bfffa01,0xffffffb8,0x4fffffff,0x7ffffdc0,0xffffffff,
    0x7fffdc04,0xffffffff,0x3fffa04f,0xffffffff,0xffd00fff,0xffffffff,
    0xfb0bffff,0xffffffff,0xf1007fff,0xffffffff,0x80dfffff,0xfffffff8,
    0x6fffffff,0x77fffdc0,0x05ffffe9,0xfffff880,0xffffffff,0x7ffc406f,
    0xffffffff,0xffd06fff,0x3ffe207f,0x7ffdc2ff,0xfff101ff,0xfffb85ff,
    0xfff101ff,0xfffb85ff,0xfffb81ff,0xfa99adff,0xfb83ffff,0x99bdffff,
    0x45ffffc9,0xffffffe8,0x004fffff,0x9dfffff9,0xffffffb7,0x7fffe407,
    0xfffdbcef,0x7f403fff,0xffffffff,0xfff90005,0xffb79dff,0x6407ffff,
    0xbcefffff,0x3ffffffd,0x903ffff8,0x2a03ffff,0xf906ffff,0x3ea03fff,
    0xff906fff,0x3fea03ff,0x7ffc46ff,0xfffb04ff,0xffff88bf,0xffff104f,
    0xedfffd8b,0x00ceffff,0x7fffff30,0xfffffb10,0xfffff301,0xffffb107,
    0x7ffcc01f,0x003fffff,0x7fffff30,0xfffffb10,0xfffff301,0xffffb107,
    0x3ffff81f,0x04ffff88,0x443ffff4,0x7404ffff,0xff887fff,0x7ff404ff,
    0x7fffe47f,0x3fffea05,0x2ffffec7,0x4bffff10,0x2627fff9,0xfffb0001,
    0xffff809f,0xffffd83f,0x7ffffc04,0x3fffe203,0x20000dff,0x404ffffd,
    0xd83fffff,0x7c04ffff,0x7fc3ffff,0xfffa84ff,0x7ffe402f,0x7fffd41f,
    0x7fffe402,0x17fffd41,0x87ffff20,0x402ffffe,0x3a1fffff,0x2202ffff,
    0x3ee5ffff,0x200006ff,0x400fffff,0xf84ffffb,0x5c00ffff,0xf504ffff,
    0x1fffffff,0x203ccca8,0x400fffff,0xf84ffffb,0x5c00ffff,0x7fc4ffff,
    0xfffb84ff,0xaaaaaabf,0x42ffffda,0xaabffffb,0xffdaaaaa,0x7ffdc2ff,
    0xaaaaaabf,0x22ffffda,0xe807ffff,0x3fe2ffff,0x7fc407ff,0x3ffee5ff,
    0x440000cf,0x9805ffff,0x7c45ffff,0xf9805fff,0xff985fff,0x6fffffff,
    0x882fffec,0x9805ffff,0x7c45ffff,0xf9805fff,0x3fe25fff,0xfffd84ff,
    0xffffffff,0x43ffffff,0xfffffffd,0xffffffff,0x7ffec3ff,0xffffffff,
    0x13ffffff,0xb00dffff,0x3e67ffff,0x7c406fff,0x3fe65fff,0xeeffffff,
    0x2a00acde,0x8804ffff,0x7d47ffff,0xf8804fff,0x7fc47fff,0xffffbfff,
    0x13fff65f,0x027fffd4,0x23ffffc4,0x804ffffa,0x227ffff8,0xfe84ffff,
    0xffffffff,0xffffffff,0x7fffff43,0xffffffff,0x7f43ffff,0xffffffff,
    0xffffffff,0x0bffff53,0x27ffff90,0x405ffffa,0x645ffff8,0xffffffff,
    0x0cffffff,0x04ffffb8,0xb8fffff0,0xf004ffff,0xffc8ffff,0xffff33ff,
    0x13fffa7f,0x027fffdc,0x5c7ffff8,0xf004ffff,0x7fc4ffff,0xfffe85ff,
    0xffffffff,0x42ffffff,0xfffffffe,0xffffffff,0x7fff42ff,0xffffffff,
    0x72ffffff,0x900bffff,0x3ee7ffff,0x7c405fff,0xffe85fff,0xffffffff,
    0xfb86ffff,0xff004fff,0xfffb8fff,0xffff004f,0x47ffff8f,0xfafffffa,
    0xff703fff,0x3fe009ff,0x7ffdc7ff,0xffff004f,0x2ffffc4f,0x007fffec,
    0x7fffec00,0xffd80000,0x2a0000ff,0xd805ffff,0xff53ffff,0xff880bff,
    0x7ffec5ff,0xffeeeeef,0x544fffff,0x8805ffff,0x7d46ffff,0xf8805fff,
    0x3fe26fff,0xfffc85ff,0x00ffffff,0x00bffff5,0xa8dffff1,0x8805ffff,
    0x3e66ffff,0xffc85fff,0xc80001ff,0x0001ffff,0x01ffffc8,0x3fffe600,
    0xffffe806,0x0dffff32,0x25ffff88,0x203ffffc,0x46ffffd8,0x806ffff9,
    0x4c4ffffa,0xa806ffff,0x3e64ffff,0xffb03fff,0x40bfffff,0x806ffff9,
    0x4c4ffffa,0xa806ffff,0x3e64ffff,0xffb86fff,0xb80003ff,0x0003ffff,
    0x03ffffb8,0x3fffe200,0x3ffe600f,0xffff10ff,0x3ffa201f,0xffff15ff,
    0x3fffe00b,0x1fffff87,0x1ffffec0,0x00fffffc,0x98fffff6,0xd104ffff,
    0x05ffffff,0x01fffff8,0x41ffffec,0x401fffff,0x263ffffd,0xf986ffff,
    0x0000ffff,0x07ffffcc,0x3ffe6000,0x3e0000ff,0x3604ffff,0x7fc6ffff,
    0xffb03fff,0x3feabfff,0xfff004ff,0xffffd0df,0x7fffcc0b,0xffffe80f,
    0x3fffe605,0x3fffe20f,0xffff300e,0xfffd00ff,0x7ffcc0bf,0xfffe80ff,
    0x3ffe605f,0x3ffea0ff,0xffffb06f,0x2013003d,0x01effffd,0xfffb0098,
    0x813003df,0x84fffffb,0x42fffffd,0x21fffffb,0xffffffd9,0x1fffff55,
    0x4ffffb80,0xdfffffa8,0x7ffffd40,0xfffff504,0xffffa81b,0xffffe84f,
    0xfffe980d,0x7fd402ff,0x7d40dfff,0xf504ffff,0xa81bffff,0x544fffff,
    0xf106ffff,0x79dfffff,0x05ffd997,0x3fffffe2,0xfeccbbce,0xffff102f,
    0x99779dff,0xffd05ffd,0xffddffff,0xf10dffff,0xfddfffff,0xbfffffff,
    0x3bffffe2,0xffb5309a,0x3f603fff,0xfeffffff,0x00ffffff,0x3ffffff6,
    0xffffffef,0xffffb80f,0xffecccff,0x01ffffff,0x7fffffec,0xffffffef,
    0x3fff600f,0xfffeffff,0x7d40ffff,0x3ee07fff,0xffffffff,0x202fffff,
    0xfffffffb,0x2fffffff,0x3ffffee0,0xffffffff,0xffffa82f,0xffffffff,
    0xfff901ff,0xdfffffff,0x7ecbfff9,0xffffffff,0x2fffffff,0x3ffffe60,
    0xffffffff,0x7ffcc02f,0xffffffff,0x3f602fff,0xffffffff,0xffffffff,
    0x3ffe600f,0xffffffff,0x7cc02fff,0xffffffff,0xa82fffff,0x5407ffff,
    0xffffffff,0x402fffff,0xfffffffa,0x02ffffff,0x7fffffd4,0x2fffffff,
    0xffffff50,0x03dfffff,0xffffffc8,0xfffb8eff,0x7ffffec5,0xffffffff,
    0xffe8802e,0xffffffff,0xffd1000e,0xffffffff,0xffd8801d,0xffffffff,
    0x6ffffebf,0x7ffff440,0x0effffff,0xffffd100,0x1dffffff,0x1ffffee0,
    0x3fffb220,0x1defffff,0xfffec880,0x1defffff,0xfffec880,0x1defffff,
    0x3ffff220,0x2002efff,0x4fffffeb,0x2617ffee,0xfffffffc,0xb8002dff,
    0xeffffffe,0xffd70003,0x007dffff,0xfffffe98,0xfff10cff,0xfd700bff,
    0x07dfffff,0x3fffae00,0x5c03efff,0x8007ffff,0x001aaaa9,0x1aaaa980,
    0xaaa98000,0x5310001a,0x44000135,0x880001aa,0x0009aa99,0x006aa600,
    0x03553000,0x26aa6000,0x26000000,0x400001aa,0x00001aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00013333,0x13331000,0x26666200,0x00000009,0x02666666,
    0x0cccb800,0x02aaaa98,0x21555540,0x00009999,0x00555440,0x51099988,
    0x54403555,0x88001aaa,0x31000999,0x33333333,0xdb800013,0x7fffcc1c,
    0x4c000004,0x800effff,0x1fffffe9,0xfd800000,0x0004ffff,0x4c1bffe2,
    0x001fffff,0xf8dffff5,0x00006fff,0x03ffff91,0x4c3fffa0,0x2a04ffff,
    0x4003ffff,0x00effff9,0xffffffa8,0x0002ffff,0x987ffff6,0x0004ffff,
    0x3fffe600,0xfb1005ff,0x0003ffff,0x7fffec00,0x7dc0002f,0x3ffa03ff,
    0xffb004ff,0xffff85ff,0xffc80006,0xc801ffff,0x3fe62fff,0x3fea04ff,
    0x3e6003ff,0x805fffff,0xfffffffa,0x50002fff,0x4cdfffff,0x0004ffff,
    0xbffff300,0x5c00bfff,0x001fffff,0xffffd800,0xfd80000e,0x3fea00ff,
    0xff8807ff,0xffff87ff,0xffe80006,0x4c01ffff,0x7fcc5fff,0x3fea04ff,
    0xff3003ff,0x0bfffbff,0xffffffa8,0x0002ffff,0x4ffffff7,0x004ffff9,
    0xffff8800,0x00bfffb1,0x0fffff4c,0xfffb0000,0x2a60009f,0x06fffeec,
    0x01fffff8,0x427fffdc,0x0006ffff,0xfffcbfb8,0x07fff401,0x813fffe6,
    0x803ffffa,0xfb1ffff8,0x664c0bff,0xffffeccc,0xfff30002,0x7ffccbff,
    0x4400004f,0x7ec1fffe,0x362004ff,0x0001ffff,0x02ffffd8,0xfffffb80,
    0xc805ffff,0x7405ffff,0xff81ffff,0x880006ff,0x403fff70,0xf982fffb,
    0x3ea04fff,0x74403fff,0x7fec1fff,0x7fe4004f,0x320002ff,0x3e60ffff,
    0x00004fff,0x00000000,0x00000000,0x3fffffa2,0x0effffff,0x3ffffe60,
    0xdffff300,0x01bfffe0,0x3fff7000,0x417ffe60,0x204ffff9,0x003ffffa,
    0xfc800000,0x40002fff,0x7fcc0bca,0x000004ff,0x00000000,0x10000000,
    0xffffffff,0x0dffffff,0x02ffffe8,0x207ffff9,0x0006ffff,0x80fffdc0,
    0xf300fffe,0x7d409fff,0x00003fff,0xfffc8000,0x2000002f,0x4c4ffff9,
    0x8800acdb,0x5401aaaa,0x55441aaa,0x555401aa,0x5555441a,0x0d555401,
    0x67ffffec,0xffffffca,0x3ffee04f,0xfffff05f,0x1bfffe01,0x05555550,
    0x5c0fffdc,0x3e603fff,0x3ea04fff,0x2a203fff,0xaaaaaaaa,0x3f20000a,
    0x40002fff,0x7fcc0999,0xffff74ff,0xf9805fff,0x3e204fff,0x7fcc5fff,
    0x3fe204ff,0x7ffcc5ff,0x3ffe204f,0x7fffcc5f,0x3ffffa1f,0xf100ffff,
    0xf981ffff,0x3fe05fff,0x3ff606ff,0x3ee02fff,0x7ffcc1ff,0x7fffcc05,
    0x3fffea04,0x3fffea03,0x02ffffff,0x3ffff200,0x3fea0002,0x7fffcc6f,
    0xffffffcb,0x3e603fff,0x3e204fff,0x7fcc5fff,0x3fe204ff,0x7ffcc5ff,
    0x3ffe204f,0x7ffff45f,0x337ffe61,0x3203ffff,0x7e43ffff,0x3fe01fff,
    0xfff706ff,0xffb807ff,0x07fff41f,0x13fffe60,0x03ffffa8,0x3fffffea,
    0x0002ffff,0x00bffff2,0x47fffa80,0xfffffff9,0xffffffff,0xffff302f,
    0x7fffc409,0x27fffcc5,0x8bffff10,0x204ffff9,0x7c5ffff8,0x7fdc6fff,
    0x5ffff9af,0x1bfffe60,0xf80dffff,0xffa86fff,0xfb804fff,0x3ffee1ff,
    0xffff9803,0x3fffea04,0x3fffea03,0x02ffffff,0x3ffff200,0x3fee0002,
    0x7fffcc7f,0xfcbeffff,0xf305ffff,0x7c409fff,0x7fcc5fff,0x3fe204ff,
    0x7ffcc5ff,0x3ffe204f,0x3fffe25f,0xff3fff43,0xffe80dff,0xffff51ff,
    0x6ffff807,0x27ffffcc,0x22199880,0xf3006fff,0x7d409fff,0x2a203fff,
    0xfffdaaaa,0x3f20002f,0x10002fff,0xf98ffffb,0x41efffff,0x81fffffa,
    0x204ffff9,0x4c5ffff8,0x2204ffff,0x7cc5ffff,0x3e204fff,0x3fea5fff,
    0x3ffe62ff,0x01ffffa5,0x369ffff7,0x7c00ffff,0x3fa26fff,0x80005fff,
    0x3001fffd,0x5c09ffff,0x8003ffff,0x002ffffc,0x0bffff20,0xffffd900,
    0x7ffcc1ff,0xffb00fff,0xfff309ff,0x7ffc409f,0x7fffcc5f,0x3fffe204,
    0x27fffcc5,0x4bffff10,0x321ffffb,0x3ff62fff,0x3fe200ff,0xffff8eff,
    0x6ffff805,0x01bffffa,0x0fffee00,0x5ffff980,0x7fffff50,0xffff9000,
    0x7fe40005,0xfd3002ff,0x1fffffff,0x0fffffcc,0x0bffff50,0x409ffff3,
    0x4c5ffff8,0x2204ffff,0x7cc5ffff,0x3e204fff,0x3fee5fff,0x1fffa2ff,
    0x900ffffb,0xfffbffff,0xffff005f,0x3bffff2d,0x7fc40000,0x7fcc006f,
    0xfff987ff,0xc8004fff,0x0002ffff,0x00bffff2,0x3fffffe2,0x3e61ffff,
    0x7cc05fff,0xff986fff,0x3fe204ff,0x7ffcc5ff,0x3ffe204f,0x7fffcc5f,
    0x3fffe204,0x4ffffea5,0x7f44fff9,0xff9806ff,0x07ffffff,0xf7dffff0,
    0x0001ffff,0x003fffb0,0x3fffff98,0x3fffffaa,0xffc8006f,0x320002ff,
    0xd802ffff,0xabdfffff,0x3ffe60aa,0x7ffc404f,0xffff987f,0x3fffe204,
    0x27fffcc5,0x8bffff10,0x204ffff9,0x2a5ffff8,0xff93ffff,0x7fffc45f,
    0xffffd005,0x3e009fff,0xffffffff,0xfa80001f,0x2aaa24ff,0xffff982a,
    0xffffffff,0x03efffff,0x0bffff20,0xffffc800,0x7fffcc02,0xfff9803f,
    0xffff804f,0x4ffff987,0x17fffe20,0x409ffff3,0x4c5ffff8,0x2204ffff,
    0x3e25ffff,0xffff6fff,0x04ffffb8,0xffffff70,0x3ffe001f,0x1fffffff,
    0x7ffc4000,0x3ffffe46,0x7fffffcc,0xfddfffff,0x2004ffff,0x002ffffc,
    0x0bffff20,0x0dffff70,0x13fffe60,0x0dffff10,0x409ffff3,0x4c5ffff8,
    0x2204ffff,0x7cc5ffff,0x3e204fff,0x7ff45fff,0x24fffcff,0x00ffffe8,
    0xffffff10,0x7fffc009,0x0fffffce,0x3fff6000,0x3ffffe61,0xfffff987,
    0xf55fffff,0x4009ffff,0x002ffffc,0x0bffff20,0x09ffff90,0x13fffe60,
    0x0bffff30,0x409ffff3,0x4c5ffff8,0x2204ffff,0x7cc5ffff,0x3e204fff,
    0x7fdc5fff,0x11ffffff,0x009ffffd,0x1fffffd8,0x5bfffe00,0x006ffffe,
    0xe89fff50,0x987ffdff,0xfffeffff,0x7fffe44f,0x3fff2004,0x3f20002f,
    0x7ec02fff,0xf3005fff,0xfa809fff,0xff984fff,0x3fe604ff,0x7ffcc5ff,
    0x3ffe604f,0x7fffcc5f,0x3fffe604,0xfffffe85,0xffffdcff,0x7ec000ff,
    0x7c005fff,0xfff16fff,0xf8800bff,0x6ffe46ff,0xff987ffa,0x201a9aff,
    0x64001aa8,0x0002ffff,0x00bffff2,0x01fffff7,0x09ffff30,0x82ffffe8,
    0x105ffff9,0x98bffffd,0xd105ffff,0xf98bffff,0xfd105fff,0xff30bfff,
    0xffffffff,0x8005ffff,0x01fffff9,0x537fffc0,0x007fffff,0xf30fffe4,
    0x0fff51ff,0x005ffff3,0xfff90000,0x7e40005f,0x7cc02fff,0x9805ffff,
    0x2a04ffff,0x880fffff,0xfd07ffff,0xf88bffff,0xffd07fff,0xff88bfff,
    0xfffd07ff,0x3fa60bff,0xffffffff,0x744001ef,0x8005ffff,0x7ec6ffff,
    0xa802ffff,0x7ff44fff,0xf30fff53,0x00007fff,0x5ffff900,0x7ffe4000,
    0xfffe802f,0x3e602eff,0xff504fff,0x7fc07fff,0x3f6a3fff,0xf85fffff,
    0x36a3ffff,0x85ffffff,0x2a3fffff,0x5ffffffd,0x3ffffe20,0x8003efff,
    0x0effffe9,0x6ffff800,0x7fffff44,0x3bffa200,0x3bbffea0,0x263efffe,
    0x0004ffff,0xffffc800,0x3ff20002,0xff9802ff,0xdeffffff,0xfffff34c,
    0xfffd979b,0xffd80dff,0xfffeffff,0xd85fffff,0xfeffffff,0x5fffffff,
    0xffffffd8,0xfffffffe,0x3ffea05f,0x6c001aad,0xfffffede,0xfff0001f,
    0xffff30df,0x3ff201df,0x7fffd42f,0x24ffffff,0x004ffff9,0xddddd100,
    0xddfffffd,0x3a21dddd,0xfffeeeee,0xeeeeeeff,0x7ffffd40,0xf37fffff,
    0xffffffff,0x03ffffff,0xffffff98,0xffceffff,0xffff985f,0xceffffff,
    0xff985fff,0xffffffff,0x205fffce,0x0001fffd,0x3ffffffa,0x3e0003ff,
    0xff706fff,0xff30bfff,0xffff509f,0x49ffffff,0x004ffff9,0xfffff100,
    0xffffffff,0x3e23ffff,0xffffffff,0xffffffff,0xffffea81,0xff37ffff,
    0xffffffff,0x20019fff,0xfffffffc,0x5fffb8ef,0xffffff90,0xfff71dff,
    0x3ffff20b,0xfb8effff,0xfff105ff,0xffe8000d,0x001effff,0x037fffc0,
    0x87fffffb,0x2000fffe,0xff987ffa,0x100004ff,0xffffffff,0xffffffff,
    0x3fffe23f,0xffffffff,0x201fffff,0xffffffea,0x3fffb2a7,0x01dfffff,
    0xfffffa80,0x17ffee4f,0xffffffa8,0x817ffee4,0x4ffffffa,0x5417ffee,
    0x40003fff,0x03effffe,0xdffff000,0x7ffff440,0x05fff92f,0x987ffa80,
    0x0004ffff,0xffffff10,0xffffffff,0x3fe23fff,0xffffffff,0x1fffffff,
    0xfecca980,0x06a66207,0x1aa98000,0x35530000,0x2aa60000,0x2aa60001,
    0x54c0000a,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x0179302c,0x00155510,0xa8826662,0x2000accc,
    0x4c409998,0x00019999,0x4ccc4000,0xcb880099,0x2660101b,0x00000099,
    0x79995510,0x15554435,0x02b372e2,0x6654c400,0x007731bc,0x55997531,
    0x01ba8803,0x89fff900,0x100efff9,0x003ffff9,0xfd83fffa,0x00efffff,
    0xc80fffe8,0x004fffff,0xfff50000,0xfc801dff,0x221dffff,0x7fffcc2e,
    0x44000004,0xfffffffc,0x9fffe67f,0xfffffffc,0x3ffa6002,0xffffffff,
    0x3ffaa05f,0xffffffff,0x5ffff982,0x7fffc400,0x3ffff60f,0xfffffc83,
    0xfffc801f,0x7ffffec2,0x7fe404ff,0x3ffea02f,0x000004ff,0x27ffffd4,
    0x7ffffdc0,0xfffcdfff,0x13fffe62,0xff980000,0xffffffff,0x23fffe67,
    0xfffffffd,0xffc803ff,0xffffffff,0xfe985fff,0xffffffff,0xffe83fff,
    0x22003fff,0x3a0fffff,0xfe83ffff,0x401fffff,0x9a85fff9,0x40bfff50,
    0x9805fff9,0x004ffffe,0xffff5000,0xfff1005f,0xffffffff,0x7fcc5fff,
    0x000004ff,0xffffffd1,0x7ccfffff,0xffffdfff,0x2fffffff,0x3fffffa0,
    0xffffffff,0x7fffc45f,0xffffffff,0x7ffcc3ff,0x74005fff,0x7fdc5fff,
    0xcbfb80ff,0x7f401fff,0xffa800ff,0x3fffa03f,0x3fff6000,0x5400004f,
    0x000effff,0x7f4c3be6,0x4c3fffff,0x0004ffff,0xfffff900,0x4b753359,
    0xfffffff9,0xffffcbef,0xffff705f,0xf93337bf,0xffd8bfff,0xccdeffff,
    0x7cc3fffe,0x005fffff,0x5c067644,0x2e1101de,0x3ee01fff,0x3ff202ff,
    0xf700cfff,0xf50005ff,0x00009fff,0x013fffea,0x7ed404c0,0xfff982cf,
    0xf000004f,0x2005ffff,0xeffffff9,0x7ffffd41,0x7ffffc41,0xbffff104,
    0x67ffffcc,0x3e0aa200,0x003fffff,0xfb800000,0xfff301ff,0xffffc80b,
    0xfff981df,0x00000005,0x00000000,0x7fffcc00,0xf8800004,0x26005fff,
    0x00ffffff,0xc89ffffb,0x2205ffff,0x3ee5ffff,0x40006fff,0x006ffffa,
    0xf7000000,0x3ffa03ff,0x7775c00f,0x7f40ffff,0x000000ff,0x00000000,
    0x7fcc0000,0x800004ff,0x004ffffa,0x07ffffe6,0x45ffffa8,0x202fffff,
    0x325ffff8,0x0004ffff,0x4002cb88,0xaaaaaaa8,0x5c000aaa,0xffb81fff,
    0xffb8003f,0x0fffee3f,0x55555440,0x000aaaaa,0x2aaaaaa2,0x2000aaaa,
    0x5c42aaa8,0xf980acec,0x32e24fff,0x5c000ace,0x2003ffff,0x405ffff9,
    0x226ffff9,0x4407ffff,0x3f25ffff,0x00006fff,0x7ffd4000,0x2fffffff,
    0x0fffdc00,0x2017ffe6,0xffd9999a,0x0bfff32f,0x7ffffd40,0x002fffff,
    0x3fffffea,0x2002ffff,0x3f27fff9,0x42ffffff,0xf73ffff9,0x05ffffff,
    0x1ffffdc0,0x9ffff300,0x7ffff880,0x01bfffe6,0x5cbffff1,0x00dfffff,
    0xf5000000,0xffffffff,0xffb8005f,0x07fff41f,0x3ffffe20,0xffd0efff,
    0x7fd4001f,0xffffffff,0x3ffea002,0x2fffffff,0x3fffe600,0xffffffd8,
    0x3fe62fff,0xffffdbff,0x002fffff,0x007ffff7,0x027fffcc,0xf53ffffc,
    0xf880bfff,0x3fe65fff,0x00cfffff,0x7d400000,0xffffffff,0x7fdc002f,
    0x0fffee1f,0x3ffffe20,0xfff70dff,0xfffa8007,0x2fffffff,0x3fffea00,
    0x02ffffff,0x37fffe60,0xffffffff,0x3ffe66ff,0xffffffff,0x5446ffff,
    0xfffdaaaa,0xaaaaaacf,0x3fffe60a,0x7fffc404,0x17fffea6,0x8bffff10,
    0xfffffffd,0x000002df,0xb5555510,0x8005ffff,0x3fe21998,0x332a006f,
    0x3fe20aac,0xaa88006f,0xffffdaaa,0x2aaa2002,0x2ffffdaa,0x3fffe600,
    0xfebeffff,0xff32ffff,0x7dffffff,0x45fffffd,0xfffffffa,0xffffffff,
    0x3fe62fff,0x7fcc04ff,0x3ffea5ff,0x7ffc405f,0x7fffc45f,0xcfffffff,
    0x80000000,0x002ffffc,0x03fffb00,0xfffd8000,0x3f200001,0x80002fff,
    0x002ffffc,0x3fffffe6,0x7fffec1e,0xffffff33,0xffffd83d,0x3ffffea3,
    0xffffffff,0x262fffff,0x5404ffff,0x3e64ffff,0x7c406fff,0xfd885fff,
    0xffffffff,0x000002ff,0x17fffe40,0x7ffdc000,0x7dc00003,0x400003ff,
    0x002ffffc,0x2ffffc80,0x3fffe600,0xfffa80ff,0xfffff35f,0xffff501f,
    0x7ffffd4b,0xffffffff,0x262fffff,0x7404ffff,0x3e22ffff,0xd100ffff,
    0x5c0bffff,0xfffffffe,0xb9303fff,0x3f200007,0x40002fff,0x0006fff8,
    0x037ffc40,0x7ffe4000,0xfc80002f,0x26002fff,0x101fffff,0x3e6bffff,
    0xf101ffff,0x5544bfff,0xffffdaaa,0xaaaaaaac,0x13fffe60,0x0fffffa8,
    0x81fffffc,0x05fffffd,0xfffffda8,0x7d41ffff,0x0000efff,0x017fffe4,
    0x07fff600,0xfffb0000,0xf9000003,0x00005fff,0x005ffff9,0x02ffffcc,
    0x26bffff1,0x2205ffff,0xb805ffff,0x2003ffff,0x504ffff9,0x707fffff,
    0x4c3fffff,0x5ffffffd,0x3ffae200,0x7fc6ffff,0x0003ffff,0x017fffe4,
    0x49fff500,0x000adeca,0x5127ffd4,0x20005555,0x002ffffc,0x2ffffc80,
    0x3fffe600,0x3fffe204,0x09ffff35,0x02ffffc4,0x01ffffdc,0xbfffff30,
    0xffffd979,0x3ffe20df,0xfffeefff,0x005fffff,0xffffff70,0x3ffffe61,
    0x7e40005f,0x10002fff,0x3feadfff,0x003fffff,0xfc8dfff1,0x90007fff,
    0x0005ffff,0x05ffff90,0x27fffcc0,0x2bffff10,0x204ffff9,0x805ffff8,
    0x003ffffb,0x3fffffe6,0xffffffff,0x3fff201f,0xefffffff,0x0005ffff,
    0x47ffffee,0x5ffffff9,0x7ffe4000,0xffb0002f,0x3fffe63f,0xfb006fff,
    0x7ffcc3ff,0xf90007ff,0x00005fff,0x005ffff9,0x027fffcc,0x26bffff1,
    0x2204ffff,0xb805ffff,0x2003ffff,0xfffffff9,0x0cffffff,0xfffffc80,
    0xfff8efff,0x3e20005f,0x3fa2ffff,0x0002ffff,0x017fffe4,0x227ffd40,
    0x5fff90bc,0x44fffa80,0x07ffdffe,0x5ffff900,0xfff90000,0x7fcc005f,
    0x3fe204ff,0xffff35ff,0x7fffc409,0xffffb805,0x3ffe6003,0xffffffff,
    0x7f5c001d,0x3fe4ffff,0x220005ff,0x260fffff,0x0004fffe,0x02ffffc8,
    0x037ffc40,0x100fffdc,0xffc8dfff,0x0007ffad,0x005ffff9,0x5ffff900,
    0x7fffcc00,0x3fffe204,0x09ffff35,0x02ffffc4,0x01ffffdc,0x19ffff30,
    0x20000353,0xfff81aa8,0xf700065f,0x2aa0dfff,0xff900000,0xfc8005ff,
    0x7fc401ff,0x7ffe407f,0x2a3ffe61,0xf90007ff,0x00005fff,0x005ffff9,
    0x027fffcc,0x26bffff1,0x2204ffff,0xb805ffff,0x2003ffff,0x004ffff9,
    0xff880000,0x2f7fe5ff,0xfffd9809,0x000004ff,0x05ffff90,0x027ffd40,
    0x80bfffe6,0x7f44fffa,0x00fff53f,0x0bffff20,0x3fff2000,0x3fe6002f,
    0x3fe204ff,0xffff35ff,0x7fffc409,0xffffb805,0x3ffe6003,0x0000004f,
    0x25ffff88,0xffffffff,0xffffffff,0x0000000f,0x005ffff9,0x803bffa2,
    0x202ffffa,0x2a0effe8,0xffeeefff,0x7e4003ef,0x80002fff,0x002ffffc,
    0x813fffe6,0xf35ffff8,0x7c409fff,0xfb805fff,0x26003fff,0x0004ffff,
    0xfff88000,0x3ffffe5f,0xffffffff,0x00001fff,0x77777744,0xeeefffff,
    0x7fe40eee,0x3fff202f,0x7ffe401e,0x7ffffd42,0x884fffff,0xffeeeeee,
    0xeeeeefff,0x7777440e,0xefffffee,0x980eeeee,0x2204ffff,0xff35ffff,
    0x7fc409ff,0xffb805ff,0x3e6003ff,0x00004fff,0xffff8800,0x3fffffe5,
    0xffffffff,0x8800001e,0xffffffff,0xffffffff,0x13ffe61f,0xffffffc8,
    0x7ffcc6ff,0xfffffa84,0x884fffff,0xffffffff,0xffffffff,0x7fffc41f,
    0xffffffff,0x981fffff,0x2204ffff,0xff35ffff,0x7fc409ff,0xffb805ff,
    0x3e6003ff,0x00004fff,0xffff8800,0x3ffff6e5,0x1dffffff,0x3e200000,
    0xffffffff,0xffffffff,0x803fffa1,0xfffffffc,0x07fff46f,0x40fff500,
    0xfffffff8,0xffffffff,0x7ffc41ff,0xffffffff,0x81ffffff,0x204ffff9,
    0xf35ffff8,0x7c409fff,0xfb805fff,0x26003fff,0x0004ffff,0xfff88000,
    0x5553105f,0x00000135,0x3ffffe20,0xffffffff,0xff91ffff,0xfffc805f,
    0x326fffff,0x54002fff,0x3fe207ff,0xffffffff,0x1fffffff,0x7fffffc4,
    0xffffffff,0xff981fff,0x3fe204ff,0xffff35ff,0x7fffc409,0xffffb805,
    0x3ffe6003,0x0000004f,0x05ffff88,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x30009999,0x4c001333,0x00001aca,0x1aacca98,0x32e62000,0x999881aa,
    0x99999999,0x5c400199,0x000000ab,0x98809988,0x99999999,0x00099999,
    0x20001dcc,0x01abcba9,0x0d654400,0x6654c400,0x4c001aac,0x8804ffff,
    0x4c05ffff,0xfffffffe,0xdb10002e,0xffffffff,0xfb7005bf,0xffffffff,
    0x7ffffd4b,0xffffffff,0x7fed400f,0x00ceffff,0x7f6dc400,0xfa86ffff,
    0xffffffff,0x805fffff,0x004fffd9,0xffffff70,0x20017fff,0xffffffd9,
    0x7f5400ef,0xffffffff,0xfff3003e,0xfff1009f,0x7ffdc0bf,0xffffffff,
    0x7ffdc003,0xffffffff,0x3f6204ff,0xffffffff,0xfff50fff,0xffffffff,
    0x7dc01fff,0xffffffff,0xd98000ef,0xffffffff,0xffffa86f,0xffffffff,
    0xffa805ff,0x7cc004ff,0xffffffff,0x5400ffff,0xffffffff,0x3ee02fff,
    0xffffffff,0x4c00efff,0x8804ffff,0xd885ffff,0xffffffff,0x805fffff,
    0xffffffd8,0xffffffff,0xfffff504,0xffffffff,0x3fffea1f,0xffffffff,
    0xfff900ff,0xfffd9bff,0x7dc003ff,0xffffffff,0xfffa86ff,0xffffffff,
    0xfa805fff,0x22004fff,0xffffffff,0x0effffff,0xffffff70,0x7fffffff,
    0x3ffffee0,0xffffffff,0x7fffcc06,0xffff8804,0xfffffc85,0xfffffeff,
    0x7ff403ff,0xeeffffff,0xa84fffff,0xffffffff,0x0fffffef,0xddddddd3,
    0x1fffffdd,0x03bfffb0,0x05ffff51,0xffffff90,0x0dffffff,0xfffffff5,
    0xbfffffff,0x9ffff500,0x7fffec00,0xffdb9ace,0xffa83fff,0xfebcefff,
    0xb80fffff,0xdcccdeff,0x03ffffff,0x013fffe6,0x117fffe2,0x43bfffff,
    0x7fffffa8,0x3ffffee0,0xfda881bf,0xfffffe84,0x7ed440ad,0x7fff4000,
    0x2fffcc0f,0x037ffcc0,0x3fffffee,0xfa8009ab,0xaaaabfff,0x801aaaaa,
    0x004ffffa,0x403ffffe,0xe85ffffb,0xe884ffff,0xa984ffff,0x3fffe200,
    0x3ffe605f,0xfff8804f,0x7fffec5f,0x3fffe605,0xffff882f,0x502001ef,
    0x00bfffff,0x3ffa0002,0x2fff40ff,0x05fff300,0x33ffffe2,0xfffa8000,
    0x5550000f,0xbffff955,0x35555555,0x013fffe6,0xfa8dfffd,0x3e605fff,
    0x0000ffff,0x40fffff9,0x804ffff9,0x265ffff8,0x400fffff,0xc86ffffb,
    0x000fffff,0x2fffffc0,0x3fa00000,0x3fe60fff,0x7fee441f,0x20dffb0e,
    0x005ffffc,0x03fffea0,0x7ffff400,0xffffffff,0xf54fffff,0xfe807fff,
    0x7fff45ff,0x7ffe401f,0xff10004f,0x7fcc0fff,0xff8804ff,0x3ffee5ff,
    0xfff9805f,0x3ffe21ff,0x5c0003ff,0x001fffff,0x7fff4000,0x51bffa0f,
    0x21ffffff,0xff82fff9,0x20000fff,0x000ffffa,0xffffffd0,0xffffffff,
    0x3fe69fff,0x3fe606ff,0x3ffe64ff,0xfffb806f,0xff10006f,0x7fcc0dff,
    0xff8804ff,0x3fff25ff,0xfffd002f,0x7fffd45f,0xffc80007,0x000005ff,
    0x20ffffe8,0x3fe62fff,0x3a0fffff,0x7ffcc4ff,0x7d40005f,0xd0000fff,
    0xffffffff,0xffffffff,0x7ffffc9f,0xffffe885,0x0ffffea1,0xfffffd88,
    0xfff70007,0x7ffcc09f,0xfff8804f,0x3ffff65f,0xffffb001,0x27fffdc5,
    0x7fff4000,0x8000002f,0xf10ffffe,0x7fff41ff,0x3f20cabe,0x7fffdc5f,
    0x40026623,0x99affffa,0x2aaaa000,0xadffffca,0x21aaaaaa,0x2efffffb,
    0x89ffffd3,0x501ffffb,0xffffffff,0xffff5000,0x7ffcc01f,0xfff8804f,
    0x3ffffa5f,0xffff9000,0x1ffffe47,0x4cccccc4,0x3fffe099,0x8000001f,
    0xf50ffffe,0x7fffccff,0xb1bfee00,0xff97ffff,0x409dffff,0xfffffffa,
    0x4001cfff,0x004ffffa,0x7fffffec,0x85fffffe,0xc81ffffc,0xffffffff,
    0x9755500f,0x01dffffd,0x04ffff98,0x25ffff88,0x2007ffff,0x364ffffb,
    0xfc82ffff,0x5fffffff,0x03fffff1,0xffd00000,0x9bfee1ff,0x5404fffa,
    0x7fff47ff,0xffffffff,0xfa82ffff,0xffffffff,0x5001efff,0x0009ffff,
    0xfffffffb,0x3f607fff,0x3fa20fff,0xfffeffff,0xfffff01f,0x2009ffff,
    0x804ffff9,0xf15ffff8,0x5c00ffff,0x3fe5ffff,0xffc81fff,0x35ffffff,
    0x001fffff,0xfffd0000,0xb97ff21f,0x7cc03fff,0x3fffa0ff,0xffffffff,
    0x541fffff,0xffffffff,0x00ffffff,0x04ffffa8,0xfffff700,0x3a03dfff,
    0x3fea7fff,0xffbaffff,0xffff02ff,0x17bfffff,0x4ffff980,0x5ffff880,
    0x00fffff3,0xf2ffffdc,0xf903ffff,0xbfffffff,0x03ffffea,0x3fa00000,
    0xbff90fff,0x2027ffe4,0x3fe0fff9,0xeeffffff,0x6ffffffe,0x77777754,
    0xffffffff,0x7ffd400e,0xfe98004f,0xffffffff,0xffffe84f,0xdfffffd8,
    0x05ffff70,0x3ffffffe,0x201effff,0x804ffff9,0xf15ffff8,0x2001ffff,
    0x3a4ffffb,0xfc82ffff,0x5fffffff,0x03fffff3,0xffd00000,0x9bfee1ff,
    0x5406fffb,0x7fffc7ff,0x7e440aef,0x4003ffff,0x3fffffea,0x27fffd40,
    0x3fffea00,0xffffffef,0x7fffec4f,0x43fffffe,0x501ffffc,0xfff97555,
    0x2603ffff,0x8804ffff,0x3fe5ffff,0xf9000fff,0x7fec5fff,0xff8802ff,
    0xffff15ff,0x0000003f,0x2a1ffffd,0x3ffea7ff,0x1bfee01f,0x803fffff,
    0x004ffffd,0x4ffffe88,0x27fffd40,0xfffff500,0x3ffff227,0x3fff22ff,
    0x81efffff,0x000ffffc,0x6fffffa8,0x09ffff30,0x4bffff10,0x001ffffe,
    0x643ffff9,0x8803ffff,0x3fe5ffff,0x00002fff,0x0ffffe80,0x7f41fff3,
    0x20dcdfff,0x7ff45ffc,0x7fcc01ff,0xf50005ff,0xfa80dfff,0xf1004fff,
    0xf303ffff,0x7dcdffff,0x0dffffff,0x00ffffb0,0x7ffffcc0,0x5ffff980,
    0x4ffff980,0x00fffff6,0x707ffff4,0x100dffff,0x7f4bffff,0x00005fff,
    0x0ffffe80,0x7d47fff1,0x20ffffff,0x7fec4ffe,0x7fc402ff,0xf10007ff,
    0xfa80ffff,0xf7004fff,0x7cc07fff,0xff51ffff,0xf805ffff,0x40007fff,
    0x882ffffe,0x9806ffff,0x3f23ffff,0xf9805fff,0x7fd47fff,0x7c401fff,
    0x3ff25fff,0x00001fff,0x23ffffc0,0x7fdc6ffe,0xff50ffff,0xffffc83f,
    0x7fffc403,0xfff30006,0xfffa80ff,0xfffb004f,0xfffc801f,0xfffff32f,
    0xffffa801,0x7ff40005,0xffff02ff,0xffff700f,0x7ffffcc5,0x7fffe400,
    0x5ffffe84,0x2ffffc40,0x0bfffff5,0x7fcc0000,0x7ffd46ff,0x6776e4c1,
    0xf70dffb0,0xfa80dfff,0x70004fff,0xa80bffff,0xd005ffff,0xf700ffff,
    0x3fe25fff,0x7ec01fff,0x40002fff,0xd00fffff,0xf807ffff,0x7f40ffff,
    0xf500efff,0xf501ffff,0x201bffff,0x6c5ffff8,0x00dfffff,0xfb002628,
    0xffd0bfff,0x3fea001d,0xffff881f,0x3fffa01f,0xff88003f,0x7cc03fff,
    0xe800ffff,0x6403ffff,0x3ee1ffff,0x3ea06fff,0x40006fff,0x206ffffc,
    0x82fffffb,0x84ffffd8,0xaefffffa,0xfffff730,0x7ffff409,0x3ea09bef,
    0x7fcc5fff,0x9aceffff,0x90ffda98,0xfff9017f,0xfff507ff,0xfffa801d,
    0x3ffff205,0x7ffec41f,0x880260ff,0x0ffffffb,0x3fffff80,0xfffffc80,
    0xfffff500,0xcfffff88,0x7ffffcc0,0xfd980082,0x7404ffff,0xcdefffff,
    0x0ffffffe,0xffffffd0,0xffffffff,0x7ffcc01f,0xffffffff,0xc85fffff,
    0xffffffff,0x0fffffff,0xfdddfff9,0x40dfffff,0x40aefffe,0x01ffffb9,
    0x3fffffe2,0xfffffede,0x777ff42f,0xffffffee,0xffd001ff,0x9979ffff,
    0x3fffea9d,0xfecaceff,0xfc84ffff,0xecdfffff,0x986fffff,0xeeeeeeff,
    0x6fffffff,0xfffffa80,0xffffffff,0x3ffa603f,0xffffffff,0xfa801fff,
    0xffffffff,0x05ffffff,0xfffffff9,0x1fffffff,0x3ffffff2,0x01ffffff,
    0x3fffff62,0xefffffde,0xffffc801,0xffffffff,0xffffe85f,0xffffffff,
    0x3fea002f,0xffffffff,0x3ffff24f,0xffffffff,0xffb105ff,0xffffffff,
    0xff301dff,0xffffffff,0x001dffff,0x3fffffea,0x02ffffff,0xfffffd88,
    0x00dfffff,0x3ffff620,0xffffffff,0x3ffa604f,0xffffffff,0xffff90ff,
    0x5dffffff,0x3ffff200,0x0dffffff,0x3fffea00,0x3fffffff,0xffffffd0,
    0x03bfffff,0xfffff900,0xc89fffff,0xffffffff,0xb805ffff,0xffffffff,
    0x3fe605ff,0xffffffff,0x4000cfff,0xffffffc8,0xdb8004ff,0x3effffff,
    0x3ff6a000,0xbeffffff,0xfedb8801,0x0bdfffff,0x3ffffae2,0xa8003eff,
    0xdfffffec,0xffb10003,0x019fffff,0x7ffffff4,0x0001ceff,0x7fffff4c,
    0xfc983fff,0xcfffffff,0x3ffaa001,0x403dffff,0xfffffff9,0x000befff,
    0x09aa9880,0x35510000,0x53100000,0x00001335,0x4c001353,0x200001aa,
    0x00000a98,0x0004d4c4,0x01355531,0x2a620000,0x33000aaa,0x00003355,
    0x88001551,0x019aaa99,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03333300,0x04cccc40,
    0x00013333,0xacba8800,0x99998801,0x00000099,0x35999751,0x26662000,
    0x99999999,0x33333310,0x33333333,0x4c433333,0x99999999,0x20999999,
    0x09999999,0x33331000,0x00001333,0x01abba98,0x99999988,0x7f400099,
    0xfd004fff,0x3fe67fff,0x000004ff,0xffffffd3,0x3ffa01bf,0xdeffffff,
    0x3f20002c,0xffffffff,0x3fe2000f,0xffffffff,0xffff73ff,0xffffffff,
    0x4fffffff,0xfffffffa,0xffffffff,0xffffff33,0x059bdfff,0xffffff50,
    0x039dffff,0xffffc880,0x2a03ffff,0xffffffff,0x200befff,0x00fffff9,
    0x337fffd4,0x0009ffff,0xfffffb00,0x07ffffff,0xfffffffd,0x03dfffff,
    0x7ffff540,0x0fffffff,0x3fffee00,0xffffffff,0xffffff73,0xffffffff,
    0x7d4fffff,0xffffffff,0x33ffffff,0xffffffff,0x03dfffff,0x7fffffd4,
    0xefffffff,0xffffa801,0xefffffff,0xfffffa81,0xffffffff,0x3fff604f,
    0x7fff405f,0x3fffe61f,0x7e400004,0xffffffff,0x7f42ffff,0xffffffff,
    0x00dfffff,0x7fffffdc,0x0fffffff,0x3ffffa00,0xffffffff,0x5559ff73,
    0x55555555,0x7d4fff55,0xffffffff,0x33ffffff,0xffffffff,0xbfffffff,
    0xfffff501,0xffffffff,0x7fd401df,0xffffffff,0x7d40ffff,0xffffffff,
    0x04ffffff,0x03fffff1,0x317fffea,0x999dffff,0xf3000335,0x757dffff,
    0xfd09fffb,0xffffffff,0x0dffffff,0x7fffffcc,0xffedccdf,0xffff3000,
    0xddddffff,0x44bfee5d,0x7fc009aa,0x3ffffea7,0xffffffff,0xffff33ff,
    0xffffffff,0xf50dffff,0xffffffff,0x0dffffff,0x3fffffe2,0xffffedcd,
    0x7fffd44f,0xfffeeeee,0xf702ffff,0x3fa0dfff,0x7fcc0fff,0xffffffff,
    0xfb001dff,0x3a609fff,0x8ffffd05,0xfffffca9,0xffffd02f,0x0064c07f,
    0xffdfffc8,0x3fee00ff,0x9fffff32,0x7d4fff01,0x98005fff,0x54c4ffff,
    0x2ffffffc,0x21ffffd4,0xfffffeb8,0xeffffd81,0xfffffc80,0x0ffffea0,
    0x27ffffdc,0x85ffffd0,0x984ffffb,0xffffffff,0x0dffffff,0x037fffc0,
    0x0ffffd00,0x37ffffd4,0x17ffffdc,0x3ffe0000,0x00ffffaf,0x7fccbfee,
    0x7c3fffff,0x3fffea7f,0xfff98005,0x3ffea04f,0x7ffd46ff,0xffff103f,
    0xfffff05f,0x7fffec03,0x0ffffea4,0x06ffffb8,0x89bfffea,0x980fffff,
    0xffffffff,0x5fffffff,0x13fffe20,0x7fffe800,0x7ffffcc0,0x2ffffec3,
    0x3fea0000,0x0ffff9ef,0x644bfee0,0x2fffffdc,0xfffa9ffe,0xff98005f,
    0x7fcc04ff,0x3fea3fff,0x3ff203ff,0x7ffcc4ff,0x7ffd405f,0x3fffea6f,
    0x3fffe603,0x7fffec06,0x05ffff72,0x33bfffe6,0xffffedcc,0xfff304ff,
    0x7f40007f,0xffe807ff,0x7fff46ff,0x6c00001f,0xfff9bfff,0x0bfee00f,
    0x3e7fffa8,0x3fffea7f,0xfff98005,0xfffe804f,0x3fffea6f,0x3fffee03,
    0x27fffdc4,0x9ffffe20,0x203ffffa,0x405ffff9,0xf8effff9,0x3e606fff,
    0xfd304fff,0xf503ffff,0x40007fff,0xa807fffe,0x7fc7ffff,0x00000fff,
    0x263fffe2,0x2e00ffff,0x7fd402ff,0x7d4fff1f,0x98005fff,0xa804ffff,
    0x3ea7ffff,0x3f203fff,0x7fdc3fff,0xfff804ff,0xffff50ff,0x7fffdc07,
    0xffffc803,0x201ffffe,0x204ffff9,0x82fffff8,0x003ffffa,0x01ffffa0,
    0x99ffffe2,0x0007ffff,0x9afffdc0,0x2e00ffff,0x7fc402ff,0x7d4fff2f,
    0x98005fff,0x8804ffff,0x3ea7ffff,0xff103fff,0xffa83fff,0xffe805ff,
    0xffff51ff,0x3fffe607,0xfff8800f,0x404fffff,0x404ffff9,0xa84ffffc,
    0x8003ffff,0xafffffaa,0xfff81aaa,0xffff31ff,0xfe80000f,0xffff32ff,
    0x2e155557,0x7fd402ff,0x7d4fff1f,0xaaaaefff,0x262aaaaa,0xf004ffff,
    0x3ea3ffff,0xfea83fff,0xff885fff,0x7f401fff,0xfff52fff,0xfb7555bf,
    0x4005ffff,0xfffffffb,0x7fffcc00,0x7fffd404,0xfffddd55,0xdddddddf,
    0xfffff07d,0x0bffffff,0x225fffff,0x000fffff,0x4ffff300,0xfffffff9,
    0x85ff71ff,0x6fffc999,0xfffa9ffe,0xffffffff,0x3fe67fff,0xfff004ff,
    0x3ffea5ff,0xffeeccef,0xff00ffff,0x4439ffff,0x2fffffda,0xfffffff5,
    0x3dffffff,0xffffd000,0xfff3007f,0xfffa809f,0xfffff75f,0xffffffff,
    0xffff09ff,0xbfffffff,0x47ffffd0,0x002fffff,0x49fff900,0xfffffff9,
    0x45ff71ff,0xfffffff9,0xffa9ffe1,0xffffffff,0x3e67ffff,0xfd004fff,
    0x3fea7fff,0xffffffff,0x2e00dfff,0xffffffff,0xffffffff,0xfffff52f,
    0xffffffff,0xff50007d,0x3e600dff,0x7dc04fff,0xfff73fff,0xffffffff,
    0xff09ffff,0xffffffff,0xffffd0bf,0x37ffff45,0xffff8000,0x3ffffe61,
    0xff71ffff,0x7ffffcc5,0xf53ffc1d,0xffffffff,0x4cffffff,0xd004ffff,
    0x3ea5ffff,0xffffffff,0xfb000cff,0xffffffff,0x3fffffff,0x3fffffea,
    0xffffffff,0x999900ef,0x9dffff99,0xf9859999,0x7f404fff,0xddd52fff,
    0xddddffff,0x9907dddd,0x999fffff,0xfffff059,0x7ffffdc3,0x7fd40004,
    0x7fffcc6f,0xf70aaaab,0x4f7fc45f,0x7d4fff00,0xccccefff,0x264ccccc,
    0xf004ffff,0x3ea3ffff,0xffffffff,0x91003fff,0xffffffff,0x1fffffff,
    0x2b7fffea,0xffffccaa,0xffff06ff,0xffffffff,0xf987ffff,0x3f204fff,
    0xfa80ffff,0x20003fff,0x8807fffe,0x220fffff,0xaeffffff,0xd80f5cc0,
    0x7fcc3fff,0x3fee00ff,0xf017fe22,0x7fffd4ff,0xfff98005,0xfff8804f,
    0xffff50ff,0xffffd739,0x76cc003f,0xf9ceffff,0x3fea7fff,0x3ff203ff,
    0xfff83fff,0xffffffff,0x4c3fffff,0xd984ffff,0x503fffff,0x0007ffff,
    0x403ffff4,0xc87ffff9,0xffffffff,0x81ffffff,0x4c0ffff8,0x2e00ffff,
    0x17fe22ff,0x7fd4fff0,0xf98005ff,0xf9804fff,0x3fea7fff,0x7ffec3ff,
    0x0220006f,0x54fffff1,0x6c03ffff,0xaa85ffff,0xffffbaaa,0x41aaaaae,
    0xeefffff9,0xfffffffe,0x3fffea06,0x3ffa0003,0xfffc807f,0xffff906f,
    0xffffffff,0xffff703f,0xffffffff,0x17fdc01f,0x2a7ff800,0x8005ffff,
    0x804ffff9,0x2a6ffffc,0x7c43ffff,0x0003ffff,0x93fffea0,0x403ffffa,
    0x006ffffa,0x00bffff1,0x3fffffe6,0xffffffff,0x3ffea01e,0x3fa0003f,
    0x7fc407ff,0x3ee03fff,0xffffffff,0xffe81fff,0xffffffff,0x3ee00fff,
    0x2016e42f,0x3ffea7ff,0xff98005f,0x7fc404ff,0x3fea3fff,0xfffb83ff,
    0x3600007f,0x3ea1ffff,0x7d403fff,0xf1006fff,0x2600bfff,0xffffffff,
    0x803fffff,0x003ffffa,0x01ffffa0,0x00dffff9,0xfffffd71,0xff307bff,
    0xffffffff,0x5c01ffff,0x3fff22ff,0xfa9ffe01,0x98005fff,0x6404ffff,
    0x7d46ffff,0xff883fff,0x80003fff,0x546ffffb,0x6403ffff,0xed85ffff,
    0xffffeeee,0x42eeeeef,0xfffffff9,0x000cdeff,0x007ffff5,0x83ffff40,
    0x2fffffd8,0x3fffea00,0x7ffec009,0xfeeeeeef,0x3ee00fff,0x0ffff62f,
    0x3fea7ff8,0xf98005ff,0xfb104fff,0xfa85ffff,0xff903fff,0x44000dff,
    0x43fffffc,0x203ffffa,0x83fffff9,0xffffffff,0xffffffff,0x6ffffcc3,
    0x4c400099,0x9cffffb9,0x99999999,0x9ffffe81,0xffffca99,0x7e4006ff,
    0xff8805ff,0xfff302ff,0x17fdc01f,0x7c01fff5,0x3fffea7f,0x9999999d,
    0xfff30999,0xf95333bf,0x50dfffff,0x2607ffff,0x302fffff,0xf9753333,
    0x50bfffff,0x9887ffff,0x1ffffffc,0xfffffff8,0xffffffff,0x7fffcc3f,
    0x3fee0004,0xffffffff,0xffffffff,0x7fffff41,0xffffffff,0x7ec001ef,
    0xffb802ff,0x3ffe607f,0x75ffffff,0x00a885ff,0xfff53ffc,0xffffffff,
    0x3e67ffff,0xffffffff,0x1effffff,0x03ffffa8,0x41bffff6,0xffffffff,
    0x506fffff,0xffffffff,0xffffffff,0x26666607,0x99dffffa,0x7fcc0999,
    0x2e0004ff,0xffffffff,0xffffffff,0x7fff41ff,0xffffffff,0xff0004ff,
    0x3ffa00ff,0x3ffe604f,0x75ffffff,0x99999bff,0x99999999,0x7ffd4fff,
    0xffffffff,0xff33ffff,0xffffffff,0x5409ffff,0x2a03ffff,0xf82fffff,
    0xffffffff,0xf500dfff,0xffffffff,0x0bffffff,0x5ffff880,0x9ffff300,
    0x7ffdc000,0xffffffff,0x1fffffff,0x7ffffff4,0x01efffff,0x09fff100,
    0x03ffff30,0x7fffffcc,0xfff75fff,0xffffffff,0xffffffff,0x7fffffd4,
    0xffffffff,0xfffff33f,0xdfffffff,0xffffa803,0x7ffff403,0xffffff86,
    0x401effff,0xfffffffa,0x2effffff,0xffff8800,0xffff3005,0x7fdc0009,
    0xffffffff,0xffffffff,0x7fffff41,0x001abcef,0x00fffd40,0x2037ffe4,
    0xfffffff9,0xffff75ff,0xffffffff,0x4fffffff,0xfffffffa,0xffffffff,
    0xffffff33,0x003579df,0x00ffffea,0x83fffff7,0xceefffff,0xfff5000a,
    0x9ddfffff,0x00000039,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33300000,0x22001333,0x99999999,
    0x21999999,0x99999998,0x99999999,0x04cccc19,0x30999980,0x33333333,
    0x13333333,0x30199880,0x33310133,0x99988013,0x0ccccc19,0x99999800,
    0x99800099,0x98801999,0x33331099,0x33333333,0x4c433333,0x4c000999,
    0x40001999,0x6ffffffa,0xfffff500,0xffffffff,0x3fffa1ff,0xffffffff,
    0x11ffffff,0x300dffff,0x3fe9ffff,0xffffffff,0x03ffffff,0x2607ffec,
    0xffa85fff,0x3fe204ff,0x7ffc6fff,0xff98007f,0xefffffff,0x3fe201ce,
    0x6401ffff,0xfff76fff,0xffffffff,0x23ffffff,0x007ffffb,0x01bfffe6,
    0xfffff900,0xff5003ff,0xffffffff,0x3a1fffff,0xffffffff,0xffffffff,
    0xdffff11f,0x9ffff300,0x3ffffffe,0xffffffff,0x3fff403f,0x5427ffd4,
    0x3204ffff,0x7c1fffff,0x98007fff,0xffffffff,0x82efffff,0x5ffffff8,
    0xbb7ffe40,0xffffffff,0xffffffff,0x3ffffe1f,0xffffb003,0xfff80007,
    0x803fffff,0xfffffffa,0xffffffff,0xffffffd0,0xffffffff,0x3fe23fff,
    0xff9806ff,0xfffff4ff,0xffffffff,0xff807fff,0x3fffa87f,0x04ffffa8,
    0x07fffff5,0x000fffff,0xfffffff3,0xffffffff,0xfffff887,0x3ff200ff,
    0xfffff76f,0xffffffff,0x7dc3ffff,0xf9806fff,0x40006fff,0xfffffff9,
    0xfffa805f,0xffffffff,0xffd0ffff,0xffffffff,0x3fffffff,0x01bfffe2,
    0x6d3fffe6,0xfffeeeee,0x2eeeeeff,0x5c37ffc0,0xffa82fff,0xffe884ff,
    0xffff05ff,0xfff3000f,0xffffffff,0x443fffff,0x4fffffff,0x5dbfff20,
    0xffffffff,0xffffffff,0x7ffffc1f,0x7fffec02,0x7fdc0003,0x0fffffff,
    0x2ffffd40,0x66665c00,0xdccccccc,0xf10fffff,0xf300dfff,0x7cc09fff,
    0x88005fff,0xffc85fff,0xffffa81f,0xfffffc84,0x0fffff00,0x9ffff300,
    0xffffd988,0xffff10ff,0x3201ffff,0x33316fff,0x53333333,0x70dfffff,
    0x4c0dffff,0x0006ffff,0xfdefffe8,0x7d402fff,0x00005fff,0x4ffffd80,
    0x01bfffe2,0x813fffe6,0x005ffff9,0xd84fff98,0xffa81fff,0x7ffcc4ff,
    0x3ffe02ff,0xff98007f,0x3fea04ff,0xfff12fff,0x207fffff,0x8006fffc,
    0x00fffffd,0x205fffff,0x002ffffd,0x5ffffc40,0x404ffffa,0x005ffffa,
    0x7ffcc000,0x3ffe20ff,0xfff9806f,0x3ffe604f,0xeee8805f,0xeeeffffe,
    0xeeeffffe,0x89ffff53,0x404ffffe,0x8007ffff,0x404ffff9,0xf13ffffd,
    0xffffffff,0x01bfff20,0x7fffff50,0x37fffdc0,0x037fffcc,0x7fffd400,
    0x07ffff89,0x02ffffd4,0x3ff60000,0x7ffc44ff,0xfff9806f,0x3ffe604f,
    0xfff8805f,0xffffffff,0xffffffff,0x49ffff54,0x806ffffc,0x8007ffff,
    0x404ffff9,0xf15ffffb,0xffffbfff,0x0dfff905,0x7ffffc40,0xfffff805,
    0x17fffec1,0x7ffec000,0x07ffffa7,0x05ffffa8,0x3fe60000,0x7fc40fff,
    0xff9806ff,0x3fe604ff,0xff8805ff,0xffffffff,0xffffffff,0x9ffff54f,
    0x07ffffe6,0x01ffffe0,0x13fffe60,0x2bffff50,0xffaffff8,0xfffc86ff,
    0x3fff6006,0xffb800ff,0x3ffe65ff,0xff00006f,0x7ffe4bff,0x3ffea03f,
    0x2000005f,0x885ffffd,0x9806ffff,0x2604ffff,0x8805ffff,0xeffffeee,
    0xffffeeee,0xfff53eee,0x3ffffa9f,0xfffff003,0xffff3000,0xffffb809,
    0x95ffff14,0xfc85ffff,0xff5006ff,0x7c007fff,0xffb1ffff,0x300005ff,
    0x7cc7ffff,0x3ea06fff,0x00005fff,0x3fffff30,0x9fffff10,0xb9999999,
    0x4c09ffff,0x8005ffff,0x7cc0fffd,0xfff505ff,0xbffff99f,0x3ffffc00,
    0x7fffcc00,0x7fffec04,0x15ffff13,0xfc8bffff,0xff8806ff,0x5c005fff,
    0xff8cffff,0x900006ff,0xff81ffff,0xff500fff,0xdddddfff,0x8007dddd,
    0x105ffffc,0xffffffff,0xffffffff,0x7fcc09ff,0xfe8005ff,0x4fffa87f,
    0xfbffff50,0x4001ffff,0x8007ffff,0x204ffff9,0x11fffff9,0x3f65ffff,
    0x3ff21fff,0xfffd806f,0xff8000ff,0xffffcfff,0xffd00002,0xffffb0df,
    0x3fffea05,0xffffffff,0x3e2004ff,0xf101ffff,0xffffffff,0xffffffff,
    0x7ffcc09f,0xfff8005f,0x03fffb87,0xfffffff5,0xff800bff,0xf98007ff,
    0xff504fff,0x7fc4bfff,0xffff32ff,0x037ffe49,0x0bffffea,0x7fffdc00,
    0x0006ffff,0x09ffff10,0x20bffff7,0xfffffffa,0x4fffffff,0x3ffff200,
    0x3fffe205,0xffffffff,0x04ffffff,0x017fffe6,0x2e1bffe0,0xff502fff,
    0xfffffdff,0x7fffc003,0xfff98007,0xfecbaaef,0x220fffff,0x3fa2ffff,
    0xfff90fff,0x7fffc40d,0x7fc0005f,0x02ffffff,0xffff7000,0xfffff105,
    0x3ffffea0,0xffffffff,0xfff1004f,0x7fc405ff,0xcccccfff,0xffffdccc,
    0x3fffe604,0x7ffc4005,0x01fffc85,0xfb9ffff5,0x7c00dfff,0x98007fff,
    0xffffffff,0x3fffffff,0x517fffc4,0x3f29ffff,0x3ff606ff,0x40000fff,
    0x6ffffffb,0x3ff60000,0x3fffa07f,0xffffa81f,0x9999999d,0xff900099,
    0xff880dff,0xff9806ff,0x3fe604ff,0x554405ff,0xaaefffba,0xabfffeaa,
    0x3fffea1a,0x4fffff8c,0x0fffff00,0xfffff300,0xffffffff,0xffff105d,
    0x8ffffe85,0xf506fffc,0x0005ffff,0x3fffffe0,0x3fe00002,0x99999eff,
    0x84ffffd9,0x005ffffa,0x3fffe200,0x7ffc402f,0xfff9806f,0x3ffe604f,
    0x7ffc405f,0xffffffff,0xffffffff,0x53fffea4,0x02fffffb,0x007ffff8,
    0xffffff98,0x03ffffff,0x70bfffe2,0xff97ffff,0xffff10df,0x5c0000bf,
    0x0006ffff,0x3ffffea0,0xffffffff,0xffa86fff,0x200005ff,0x806ffffc,
    0x806ffff8,0x204ffff9,0x405ffff9,0xfffffff8,0xffffffff,0x3ea4ffff,
    0x3ffa4fff,0x7fc00eff,0xf98007ff,0xacccefff,0xfff88009,0x7fffc42f,
    0xd86fffce,0x000fffff,0x3fffe600,0x3f200005,0xffffffff,0xffffffff,
    0x2ffffd40,0xfff88000,0xff8802ff,0xff9806ff,0x3fe604ff,0x7fc405ff,
    0xffffffff,0xffffffff,0x3fffea4f,0x3ffffe64,0x3ffffc04,0x7fffcc00,
    0x3fe20004,0xfffc82ff,0x546fffef,0x002fffff,0x7fffcc00,0x3fe00005,
    0xffffffff,0xffffffff,0x2ffffd43,0xfffb8000,0xfff1006f,0xfff300df,
    0x7ffcc09f,0xd999805f,0xa999afff,0x0999efff,0x913fffea,0x405fffff,
    0x8007ffff,0x004ffff9,0x0bfffe20,0x3fffffe2,0x3ffe26ff,0x800004ff,
    0x005ffff9,0xdffff300,0xdddddddd,0xa8bffffd,0x0005ffff,0x3fffff88,
    0xdffff100,0x9ffff300,0x2ffffcc0,0x03fff600,0x5409fff3,0x7444ffff,
    0xf00fffff,0x3000ffff,0x0009ffff,0x817fffc4,0xfffffffd,0x3bffff66,
    0xf9800000,0x00005fff,0x003ffff7,0x41fffff3,0x005ffffa,0x7ffffb80,
    0x3fffe200,0xffff9806,0x3fffe604,0x3fff4005,0x5027ffd4,0xf509ffff,
    0x3e0bffff,0x9999ffff,0x31999999,0x0009ffff,0x817fffc4,0xfffffff9,
    0x9fffff56,0x55555555,0x26001555,0x0005ffff,0x00ffffd0,0x517ffffc,
    0x000bffff,0x07fffff0,0x37fffc40,0xa7fffcc0,0xffffffff,0xffffffff,
    0x70ffff03,0x7d407fff,0xffb04fff,0xfff05fff,0xffffffff,0x3e6fffff,
    0x20004fff,0x202ffff8,0x6ffffffe,0xfffffffd,0xffffffff,0x3e6007ff,
    0x80005fff,0x005ffff8,0xa93ffff6,0x0005ffff,0x03ffffdc,0x1bfffe20,
    0x53fffe60,0xffffffff,0xffffffff,0x86fff883,0x2a02fffb,0xf104ffff,
    0xf81fffff,0xffffffff,0x37ffffff,0x0009ffff,0x017fffc4,0xdffffff5,
    0x3ffffffa,0xffffffff,0xf3003fff,0x0000bfff,0x005ffff5,0x53ffffd4,
    0x000bffff,0x03fffff8,0x37fffc40,0xa7fffcc0,0xffffffff,0xffffffff,
    0x85fff983,0x2a01fffc,0x2e04ffff,0x7c5fffff,0xffffffff,0x37ffffff,
    0x0009ffff,0x017fffc4,0x5bfffffa,0xfffffffe,0xffffffff,0xff3003ff,
    0xb0000bff,0x4001ffff,0x51fffff8,0x000bffff,0x07ffffdc,0x3fffe200,
    0xffff9806,0xfffffff4,0xffffffff,0x9fff307f,0x401fffb0,0x404ffffa,
    0x22fffffe,0xffffffff,0x7fffffff,0x009ffff3,0x17fffc40,0x3ffffee0,
    0xffffffd6,0xffffffff,0x26007fff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x004ccccc,0x20999998,0x00019998,0x26661333,0x4c400099,0x53000999,
    0x99880355,0x99999999,0x99999999,0x55dd4401,0x26000009,0x40099999,
    0x20099998,0x00999998,0x3c8003b1,0x0e666400,0x40080000,0x01abcba9,
    0x017ffffa,0x87fffff2,0x8007fff9,0xffb6fff9,0xfe800bff,0x6cc02fff,
    0x5405ffff,0xffffffff,0xffffffff,0xfed887ff,0x03ffffff,0xffffa800,
    0x7ff405ff,0x3fee07ff,0x7e442fff,0xff3000ef,0x3ffe005d,0xa800003f,
    0xffffb81f,0xa81effff,0x201fffff,0x44fffff8,0x8007fff9,0xff76fffa,
    0x7c400fff,0x36207fff,0x05ffffff,0x7fffffd4,0xffffffff,0x7dc7ffff,
    0xffffffff,0x10001fff,0xbfffffff,0xfffffe80,0xfffffd01,0x4ffffe85,
    0xffffe880,0x3ffff803,0x7fdc0000,0x7fffe41f,0x80ffffff,0x206ffffe,
    0x40fffffc,0x000ffff9,0xf8afffd4,0x7002ffff,0x910bffff,0xffffffff,
    0xffffa80b,0xffffffff,0x17ffffff,0xfffffffd,0x0dffffff,0x3ffff200,
    0x7fc05fff,0xf884ffff,0x4c3fffff,0x402fffff,0x005ffffc,0x0007ffff,
    0x7ffffec0,0x2aaf7f21,0xa85fffeb,0x882fffff,0x883fffff,0x4000ffff,
    0x3fa5fffa,0xfb004fff,0x7e445fff,0xffffffff,0x7ffd405f,0xffffffff,
    0x7fffffff,0xfffffff1,0xfffffffd,0xfff98009,0x405fffff,0x86ffffff,
    0x3ffffffb,0xbfffffc8,0xffcceeed,0xff000fff,0x100007ff,0x1dfffffd,
    0xdfff1004,0x1bffff60,0x03fffff2,0x003fffe2,0x649fff70,0xf006ffff,
    0x7dc1ffff,0xffffffff,0x260005ff,0x3005ffff,0xfa837fff,0x4006ffff,
    0xfffffffe,0x7fffc05f,0x7fec0fff,0xfb04ffff,0xffffffff,0x03ffffff,
    0x01ffffc0,0x3fffa600,0xff8004ff,0xffff307f,0x7fffc45f,0x3fffe03f,
    0x7ffdc001,0x3ffffe64,0x7fffcc00,0x7ffffc46,0x05ffffab,0x3fffe600,
    0x803ae005,0x00fffffa,0xf5ffff70,0x7c40bfff,0x23ffffff,0xfffefff8,
    0xfffff104,0xffffffff,0xfff8007f,0x3ea0003f,0x403fffff,0xfffeecb8,
    0x3fff207f,0x3ffff26f,0x0ffffc06,0x0fffee00,0x807fffff,0xd83ffffc,
    0xfff30cff,0x7cc000bf,0x00005fff,0x01fffff8,0xf5ffff88,0x7c40bfff,
    0x25fffcff,0xfffcfffa,0x3fffee04,0xffffffff,0xaaaaa80f,0xadffffaa,
    0x200aaaaa,0x2ffffffb,0x3ffff620,0x207fffff,0x8afffff8,0x402fffff,
    0x9981ffff,0x43fffb81,0x405ffffc,0xa81ffffe,0x7fffcc0d,0x3fe60005,
    0x800005ff,0x802ffffe,0xff0ffffd,0x7fc40bff,0xb0fffdcf,0xbfff3fff,
    0x67fffec0,0x7ffffd30,0xffffffd0,0xffffffff,0x3f207fff,0x200effff,
    0xccffffe8,0x6407fffc,0xffceffff,0xffe806ff,0x07ffd41f,0xf50ffff2,
    0x7c40ffff,0x4c006fff,0x0005ffff,0x017fffe6,0x3fffe000,0x7ffcc01f,
    0x17fffe3f,0xfbcfff98,0x39fff2ff,0x3e60bfff,0xffd04fff,0xffffd0df,
    0xffffffff,0x887fffff,0x0dfffffd,0x437ffd40,0x7c407fff,0xffffffff,
    0xfffe801f,0x21fffe42,0x7c42fffc,0xf701ffff,0x98009fff,0x0005ffff,
    0x017fffe6,0xffff3000,0xdfffd00f,0x205ffff8,0xff8cfff9,0x99fff9cf,
    0xff706fff,0x3fee01ff,0xffffe87f,0xffffffff,0x223fffff,0x04fffffe,
    0x989fff90,0xfb807fff,0x5fffffff,0x85fffb00,0x7e45ffff,0xfffd82ff,
    0xffffb03f,0xfff98003,0x3e60005f,0x00005fff,0x02ffffe4,0xf07fffee,
    0x7d40bfff,0x9dffd4ff,0x3ffe6fff,0x0dfff906,0x207fffd4,0xfaaaaaaa,
    0xaaaadfff,0xffff30aa,0x7d4005ff,0xffd9afff,0xffd007ff,0x001fffff,
    0xf98bfff6,0x3f60ffff,0xfffb81ff,0xfffff06f,0xffff3000,0x7fcc000b,
    0x200005ff,0x01fffff9,0x213fffe2,0x2a05ffff,0xfff93fff,0x3fe29fff,
    0xbfff906f,0x0ffffcc0,0x07ffff00,0xffffff70,0x7ffc4003,0xffffffff,
    0xffff7007,0x7e400bff,0x3fff23ff,0x3fff62ff,0xfffff881,0x2ffffcc0,
    0x7fffcc00,0x3fe60005,0x200005ff,0x405ffffe,0xf80ffffd,0x3ee05fff,
    0xffff33ff,0x3ffe25ff,0x0dfff907,0x007fffcc,0x007ffff0,0x3fffffea,
    0x3ffea003,0x7ffacfff,0xfffffd00,0x3f2001ff,0x3fffa3ff,0x3fff65ff,
    0x5ffffd00,0x02ffffc8,0x5ffff980,0x3ffe6000,0xfb00005f,0x5401ffff,
    0xff02ffff,0x7fdc0bff,0x3ffffe3f,0x41fffe27,0x2a07fffb,0x7c007fff,
    0x26003fff,0x04fffffe,0x42b32e20,0xfa802aa8,0x4fffffff,0x27fff700,
    0x7ffffff9,0x6403fff6,0x7f44ffff,0x98000fff,0x0005ffff,0x017fffe6,
    0x3ffff200,0x7fff401f,0x17fffe05,0x362fffb8,0x3e25ffff,0xfff507ff,
    0x3fff603f,0x7fffc006,0x7ff44003,0x0000dfff,0x7fff4000,0x01ffffff,
    0xf73fffb8,0x25fff9df,0x3e607ffe,0x3fe27fff,0xf30005ff,0x4000bfff,
    0x005ffff9,0x7ffffe40,0x7fffe403,0x17fffe00,0x2a2fffc8,0x7fc2ffff,
    0xfff880ff,0x7ffd41ef,0x7ffc003f,0xffb0003f,0x2203dfff,0x99999999,
    0x2e019999,0xffefffff,0xffb806ff,0xf59ffd4f,0x1fffa9ff,0x23fffff0,
    0x003ffffa,0x0bffff30,0x7fffcc00,0x3fee0005,0x7c403fff,0xccccefff,
    0xeffffccc,0x3ff22ccc,0x3fffe22f,0x807fffc0,0xcefffffd,0x00fffffd,
    0x01ffffc0,0xfffff700,0xffff905f,0xffffffff,0xffff103f,0xfffff57f,
    0xcfffa805,0xff8afff8,0x80ffff7f,0xfb3ffffc,0x20001fff,0x005ffff9,
    0x17fffe60,0x7fffdc00,0xfff9803f,0xffffffff,0xffffffff,0x0bfff64f,
    0xfff0bffd,0x3fff203f,0xffffffff,0x554000ff,0x540001aa,0x43ffffff,
    0xfffffffc,0x81ffffff,0x3a7ffffc,0x200fffff,0xffbdfffa,0xf3fffb0f,
    0xffa80dff,0xdffff6ff,0x7ffcc000,0x3e60005f,0xb8005fff,0x003fffff,
    0xfffffff3,0xffffffff,0x6c9fffff,0x4cc41fff,0x81ffff80,0xfffffff9,
    0x6fffffff,0x80000000,0x4ffffff9,0x3ffffff2,0x1fffffff,0x1fffffc4,
    0x09fffff3,0x7eefffcc,0x2fffee5f,0xff806fff,0xffff9fff,0x3fe60004,
    0x260005ff,0x4005ffff,0x02fffffb,0x3ffffe60,0xffffffff,0x4fffffff,
    0x0007fff6,0xf883ffff,0xffffffff,0x4fffffff,0x80000000,0x2fffffe8,
    0x33333331,0xb0333333,0xfb0dffff,0x2601ffff,0x2fffdfff,0x3ff7ffe2,
    0xfffd805f,0x01ffffef,0x3fffe600,0x3fe60005,0x3ee005ff,0x4002ffff,
    0xccccccc8,0xfffccccc,0x3a2cccef,0x74001fff,0x7fec2fff,0xaaa98cff,
    0x2fffff88,0x3bbbbba6,0xeeeeeeee,0xfb0005ee,0x800007ff,0x83fffff9,
    0x05fffff9,0xfffffff1,0xfffffe81,0xfffb805f,0x007fffff,0xf9555555,
    0x5555dfff,0xfff30015,0x3fee00bf,0xccccefff,0x01cccccc,0x17fffe00,
    0x001fffe8,0xf917fff4,0xf700dfff,0x3ea3ffff,0xffffffff,0x6fffffff,
    0x00ff2000,0x3fffa000,0x3fff606f,0xfff882ff,0xffb85fff,0x8805ffff,
    0xffffffff,0xfffff004,0xffffffff,0x3007ffff,0x500bffff,0xffffffff,
    0xffffffff,0x7fc0005f,0x3ffe05ff,0x7ff4001f,0x3ffff23f,0xdfffb001,
    0x3ffffea3,0xffffffff,0x40006fff,0xfa800001,0x2602ffff,0xf06fffff,
    0x107fffff,0x09ffffff,0x3fffffa0,0xfff002ff,0xffffffff,0x07ffffff,
    0x0bffff30,0xffffff50,0xffffffff,0x40005fff,0x3e05ffff,0x74000fff,
    0x7ecc3fff,0x0ffe2004,0xfffffff5,0xffffffff,0x000000df,0xfffff000,
    0xffffb00d,0xfffff07f,0x3fffa01f,0xff7004ff,0x001fffff,0x3ffffffe,
    0xffffffff,0xff9803ff,0xffa805ff,0xffffffff,0x2fffffff,0x3fffe000,
    0x03fffe05,0x07fffb00,0x00260006,0x00000000,0x7fdc0000,0xf8802fff,
    0x7c0fffff,0x2e06ffff,0x003fffff,0xbffffff3,0x7ffffc00,0xffffffff,
    0x9803ffff,0xa805ffff,0xffffffff,0xffffffff,0x3fe0002f,0xfff105ff,
    0xffd8001f,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x32ea2000,0x2e601acc,0x5c42bcdc,0x98001bdc,0x009bcdca,0x00d55544,
    0x4006aaaa,0x20002cb8,0xbcddcca9,0x32ea000a,0x01accded,0x379b9510,
    0x55554c01,0x55554002,0x10aaaa22,0x50159b97,0x0e654555,0x4c41e65c,
    0x0ed81999,0x7fe40000,0xffffffff,0x3ffffa60,0xffa8dfff,0x7003ffff,
    0xffffffff,0x7ffcc07f,0x3ffe204f,0xfff9805f,0x3f22004f,0xffffffff,
    0xf7100cff,0xffffffff,0xffe880ff,0x02ffffff,0x03fffff3,0x9bfffea0,
    0xf90ffffa,0x83ffffff,0xfffb6ffe,0x7fffecbf,0x3fffea0e,0x00f7fec7,
    0x7fff5400,0xffffffff,0x3ffffea0,0xffffffff,0x203fffff,0xffffffd8,
    0x80efffff,0x204ffff9,0x805ffff8,0x00fffffd,0xffffff30,0xffffffff,
    0xfffff881,0x7fffffff,0x3ffffea0,0x0dffffff,0x04ffffe8,0x45ffffb0,
    0xfe8ffffa,0xffffffff,0x3efbffa1,0xfc9fffff,0x2a4fffff,0x3f66ffff,
    0x0002ffff,0x3fffffee,0x0fffffff,0x3fbbffea,0xefffffff,0xf107ffff,
    0xffffffff,0x30dfffff,0x4409ffff,0xe805ffff,0x001fffff,0xfffffff3,
    0xbfffffff,0x7fffff44,0x7ffffeef,0xffffff70,0x9fffffff,0x0fffff50,
    0x8fffff10,0xffeffffa,0xffffffff,0x3fffffa5,0xffdfffff,0x267fffff,
    0x3ea6ffff,0x003fffff,0xffffff98,0xffedccdf,0xf902faa0,0x3a65ffff,
    0xffc82fff,0xfdbcefff,0x4c3fffff,0x2204ffff,0xc805ffff,0x000fffff,
    0x88337df3,0x71fffffc,0x015fffff,0xfff10b73,0xfffb85ff,0xffff81ff,
    0x7ffdc01f,0x7fffd44f,0xfcacffff,0xffd1ffff,0xfff57fff,0xfff55fff,
    0x3fffe61f,0x7ffffcc5,0x7ff4004f,0x32603fff,0xffff0020,0x44fffa8d,
    0x83fffff9,0x0fffffd8,0x813fffe6,0x805ffff8,0x001fffd8,0x7fe40062,
    0xffffb3ff,0x3ff20009,0xfff501ff,0xffff90df,0xffffe80b,0x7ffffd41,
    0x7ffec0ef,0x9ffffd3f,0xf1fffff4,0x3fe23fff,0xffe885ff,0xb800dfff,
    0x002fffff,0x4fffd800,0x7ec6fff8,0x7fc04fff,0x3fe63fff,0x3fe204ff,
    0x266005ff,0x26000000,0xffd4ffff,0xf10009ff,0xfe809fff,0xfff987ff,
    0xfff300ff,0xffff50df,0xfff301df,0x3ffffa9f,0xd1ffffa0,0x3fe25fff,
    0x3ff604ff,0x6c00efff,0x0005ffff,0x05fffb00,0xfff8dfff,0x7fdc00ff,
    0x3ffe64ff,0x3ffe204f,0x0000005f,0x7fffc400,0x7fffffb5,0x7ffd4001,
    0x7ffe402f,0xffffe81f,0x7ffff902,0x3fffff50,0x53fffe60,0x7f44fffe,
    0x7fff43ff,0x013fffe2,0x3ffffff9,0x0fffff40,0x36620000,0x9999afff,
    0x3fe27ffe,0xff9805ff,0x3ffe65ff,0x3ffe204f,0x0000005f,0x2eaaa660,
    0xff75ffff,0x05bfffff,0x57ffff70,0xfb555555,0xff705fff,0x3ffe0bff,
    0xfffa80ff,0x3332204f,0x85fffd3c,0x7f42fffe,0x3fffe2ff,0xffffa803,
    0xffff02ff,0xd980001f,0xfffffffe,0xffffffff,0x13fffea7,0x9ffffe20,
    0x204ffff9,0xf75ffff8,0xffffffff,0xffffffff,0x7ff540ff,0xffffffff,
    0x3ffffa5f,0x01cfffff,0xfffffffb,0xffffffff,0xfff107ff,0xfff981ff,
    0xffff505f,0x3ffa0009,0x17fff42f,0xfe8bfffa,0xff3003ff,0xf989ffff,
    0x40007fff,0xfffffffc,0xffffffff,0x3fee7fff,0xfff004ff,0x7fffccff,
    0x3fffe204,0xffffff75,0xffffffff,0xf50fffff,0xffffffff,0x44bfffff,
    0xfffffffd,0x7f41efff,0xffffffff,0xffffffff,0x7ffff903,0x01ffffc8,
    0x009ffff5,0xd0bfffa0,0xffe85fff,0x07332e2f,0xffffe880,0x3fffe65f,
    0x3fee0007,0xfffeefff,0xeeeeeeef,0x3fffee6e,0xfffff004,0x027fffcc,
    0x2ebffff1,0xffffffff,0xffffffff,0x7ffd47ff,0xffffffff,0xeb85ffff,
    0xffffffff,0x3fffa2ff,0xffffffff,0x02ffffff,0xf8dffff3,0x3ea06fff,
    0xd0004fff,0xffe85fff,0x17fff42f,0xfff90000,0x3fe21dff,0x88000fff,
    0x360cffff,0x2a000fff,0x8805ffff,0x3e66ffff,0x3e204fff,0xfff75fff,
    0xffffffff,0xffffffff,0x77ffffc4,0x7fffc41a,0x3ffae205,0xb0efffff,
    0x0001ffff,0x1ffffe80,0x407ffff5,0x004ffffa,0xe85fffd0,0x7ff42fff,
    0x1fffee2f,0x7fffec40,0x7fffc0df,0xffa8002f,0x1fffd86f,0x3fffe600,
    0xffffa806,0x13fffe64,0x15ffff98,0x33333333,0x33333333,0x7ffdc333,
    0x3ffe206f,0xff91005f,0x3f25ffff,0x00001fff,0xda7fffdc,0x2a00ffff,
    0x0004ffff,0xfe85fffd,0x7fff42ff,0x013fff22,0x3fffffa2,0xdffffd04,
    0x9fff7000,0x005fffb0,0x01fffff8,0x31ffffec,0x220bffff,0x005ffffe,
    0x7ffe4000,0x3ffe602f,0x7fcc005f,0xfff73fff,0x8800007f,0xff8effff,
    0x7fd405ff,0xfd0004ff,0xfffe85ff,0xd17fff42,0xfa803fff,0x203fffff,
    0x04fffffc,0x227ffe40,0x005fffe8,0x02fffff4,0x41fffff3,0xd07ffff8,
    0x00bfffff,0xfffd8000,0xfffd103f,0xffd000bf,0x3ffe65ff,0x400000ff,
    0xffdffffc,0x7fd402ff,0xfd0004ff,0xfffe85ff,0x897fff42,0x7dc06fff,
    0x401fffff,0xeffffff8,0xb8f5cc0a,0x7fec6fff,0x2a002fff,0x40dfffff,
    0x84fffffa,0x2a3fffff,0x5ffffffd,0x01bff900,0x1bffff20,0x3fffffe6,
    0xff500595,0x7fec1fff,0x09801eff,0xfffff980,0xfa807fff,0xd0004fff,
    0xffe85fff,0x97fff42f,0x3203fff9,0x01efffff,0xffffff50,0xffffffff,
    0x33fffea3,0xffffffd9,0x1fca99bf,0xffffffd8,0xffffffef,0xffffd80f,
    0xfffffeff,0xfb805fff,0xf7006fff,0xd79fffff,0xbfffffff,0x2af37ffa,
    0xfffffdba,0x7ffffc46,0xeccbbcef,0xffd002ff,0x009fffff,0x009ffff5,
    0xd0bfffa0,0xffe85fff,0x01fff72f,0xbfffffb1,0xfffd8001,0xffffffff,
    0xffff11ff,0xff9fffff,0xffffffff,0xfffff303,0xffffffff,0x3ffe605f,
    0xefffffff,0xe805fffc,0x001fffff,0xfffffffd,0xfffbffff,0x3fffffab,
    0xffffffff,0xffffb81f,0xffffffff,0xff7002ff,0x001fffff,0x009ffff5,
    0xd0bfffa0,0xffe85fff,0xffd3002f,0x40009fff,0xfffffffa,0x2e1fffff,
    0x3fffffff,0xfffffff7,0x3fa203ff,0xffffffff,0x7fe400ef,0x8effffff,
    0xd805fffb,0x000fffff,0xfffffff5,0xfff73dff,0x3fffffab,0xffffffff,
    0x3fffea01,0xffffffff,0xfff1002f,0x2a00bfff,0x0004ffff,0xfe85fffd,
    0x7fff42ff,0xffffb002,0x3200007f,0xfffffffe,0xffffb83d,0x7fffd43f,
    0x5c00dfff,0xeffffffe,0x3ffea003,0x3fee4fff,0xfffa805f,0x7f44005f,
    0x2e4fffff,0xffd95fff,0xdfffffff,0xfd910017,0xdfffffff,0x7fec003b,
    0xf5002fff,0x20009fff,0x7f42fffe,0x7fff42ff,0xfffd1002,0x22000005,
    0x988019a9,0x5554c01a,0x35530001,0x1aa98000,0x3b6a0000,0x2a620004,
    0xa988001a,0x0009aaaa,0x0d5554c0,0x00000000,0x00000000,0x0ff44000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x026f72a6,0x00aaaaa0,0x98555540,0xaaaaaaaa,0x0aaaaaaa,0x00aaaaaa,
    0x88d55554,0x65c42aaa,0x98800ace,0x00009acb,0x00059999,0x00133310,
    0x00000000,0x44009100,0x6654c404,0x2aa2002b,0xffa8002a,0x0dffffff,
    0x01bfff60,0x47fffe20,0xfffffffd,0xffffffff,0x3ffffea2,0x7fffdc04,
    0x4ffff30e,0xfffffffc,0x3fffee02,0xf8003fff,0x80003fff,0x1001fffd,
    0x0fee2099,0x6c03bb00,0x805fe882,0xfc884fe8,0x2fffffff,0x3ffff220,
    0xff91000f,0xffffffff,0x3fff205f,0xfff98007,0xfffffb0f,0xffffffff,
    0xfffc85ff,0xfff101ff,0x7ffcc3ff,0xfffffd8f,0x7442ffff,0xffffffff,
    0x7ffc006f,0xfc80003f,0x7e4401ff,0x7ffd41ff,0xfff5000f,0x2effc81b,
    0x40bfffd1,0x224fffe8,0xffffffff,0x7ecc2fff,0x00ffffff,0x437fffd0,
    0x83fffda8,0x000ffffb,0xfb3fffd4,0xffffffff,0x05ffffff,0x20dffffd,
    0x4c4ffffe,0xfffdffff,0x6fffffff,0x77ffffec,0x003fffff,0x000ffffe,
    0x0fffc813,0x37fff414,0x017fffe6,0x317fffe2,0x3ea7ffff,0xe885ffff,
    0x7ec5ffff,0xffffffff,0x3fffe66f,0x800fffff,0xcccadffc,0x3fff51bc,
    0x01ffff98,0x937ffdc0,0xdddddddd,0x1ffffffd,0x9fffff30,0x86ffffb8,
    0xfffffff9,0xffffebef,0x5ffff52f,0x03fffecc,0x007ffff0,0x3fee2fe8,
    0xf30ff627,0xffb89fff,0x7fe402ff,0x7fff40ff,0x7ffffd46,0x3ffffa25,
    0x99bef885,0x20fffffb,0xfffffffe,0xb7fcc00f,0x4ffffffa,0xff88dff5,
    0x7e4002ff,0x7e4005ff,0x2e02ffff,0xf11fffff,0xf303ffff,0x83dfffff,
    0xf93ffffd,0xfff107ff,0x3ffe003f,0x3fee003f,0x57ffa8df,0xfb81ffff,
    0x7ff41fff,0xfff300ef,0xffffc87f,0xfffffa80,0x5ffffe8d,0x7fffc020,
    0x3277ea0f,0x7400ffff,0x97ff51ff,0x3ff61fff,0x21ffffc2,0x7e41eeeb,
    0x3ea003ff,0xd803ffff,0xfe8effff,0xff303fff,0xf501ffff,0x3ff6bfff,
    0x5fffd01f,0x0ffffe00,0x7ffffc40,0xffceffce,0xffe84fff,0x7fffcc6f,
    0x8bfffd04,0x202ffff9,0xfffffffa,0x98005fff,0x2187ffff,0x200ffffc,
    0x3fea5ff8,0x3e25ff70,0x27fff44f,0xfb13fffa,0x3e2005ff,0x1005ffff,
    0xffdfffff,0x7fcc0bff,0xff101fff,0x3fffebff,0x07fff900,0x00ffffe0,
    0xfffffc88,0xefffffff,0x9ffff102,0x41ffffb8,0x220ffffc,0xa805fffe,
    0xffffffff,0xffe88005,0x7fe403ff,0x3fe600ff,0x7ec3fea3,0xfb1bfa0f,
    0x7ffccdff,0x0ffff47f,0xeffffe80,0x3ffea000,0x00ffffff,0x817fffe6,
    0xfd5ffff8,0x3ffa05ff,0xfffff72f,0xffffffff,0x20ffffff,0xffffffb8,
    0xfa802dff,0x7ff41fff,0x3fffe66f,0x07fffec3,0xfffffa80,0xfe88005f,
    0xfc806fff,0x3ee00fff,0x3fbfea1f,0x23fec3ff,0x3f27fffc,0x3fe2ffff,
    0xffc800ff,0xc8001fff,0x2fffffff,0x27fffcc0,0x2bffff10,0xf884fffd,
    0xfff70fff,0xffffffff,0xffffffff,0xfffff980,0xff5000df,0xfffd85ff,
    0x07fffee6,0x400dfffd,0x5ffffff8,0x7fff4c00,0xffc800ef,0x3ff200ff,
    0x3ffffea1,0x2e0ffc83,0x3ffa7fff,0xfff14fff,0xffff700f,0x7f40007f,
    0x9805ffff,0x2204ffff,0xff75ffff,0x7fecc5ff,0x3fffee6f,0xffffffff,
    0x07ffffff,0xffffffd5,0x44019fff,0x7dc5ffff,0x7ff41fff,0x7fffcc6f,
    0xfffe8803,0x3005ffff,0x00bfffff,0x007fffe4,0x7fd45ff5,0x7f41ffd9,
    0x47fffcc7,0x7ffffff9,0x980dfff1,0x005fffff,0x3ffffe60,0x7fcc00ff,
    0x3fe204ff,0xffff15ff,0xfffffdff,0x7ffffdc3,0xffffffff,0x547fffff,
    0xfffffffe,0x1cffffff,0x20ffffd8,0x984ffff8,0x7dc4ffff,0x3a201fff,
    0xffffffff,0x7ffd405f,0x7e4003ff,0x3e200fff,0x223fea4f,0x22ffc5ff,
    0xfc9ffff8,0xaafffeff,0x3a205fff,0x0006ffff,0x3fffffe2,0x7fcc06ff,
    0x3fe204ff,0x3ffea5ff,0x4fffffff,0x4cccccc4,0x99cffff9,0x7f419999,
    0xeffadfff,0x43fffffa,0x6c2ffffb,0xf900ffff,0xffe83fff,0xfffd106f,
    0xfffff5bf,0x3fffee0b,0x1aaaaacf,0x3ff26662,0xf8099aff,0x21ff50ef,
    0x7ff50ffd,0xfd5ffff0,0x7bfff5df,0x7ec09fff,0x0000ffff,0x3ffffff6,
    0x3e604fff,0x3e204fff,0x7f545fff,0x02ffffff,0x03ffff80,0x54fffea0,
    0xdffb17ff,0x44ffff88,0x402ffffb,0x7cc6fffe,0x7f444fff,0x3fea5fff,
    0x7fc45fff,0xffffffff,0x3fffa5ff,0xffffffff,0xf54ffb85,0x233fe61f,
    0xffe80fff,0xf8cfffcf,0x3fffcfff,0x5fffff70,0x7ffdc000,0xfffffcef,
    0x9ffff301,0x2ffffc40,0x0abdcba8,0x7ffff000,0x2e0ee800,0x217dc7ff,
    0x7c46fffe,0xf9805fff,0x7fdc4fff,0xfffd12ff,0xffff50bf,0x7fffc4bf,
    0xffffffff,0x3fffffa5,0x05ffffff,0x85517ffd,0x03ffdbaa,0xfffffffb,
    0x3fffff63,0xfffa81ff,0x260004ff,0xfd2fffff,0xf301dfff,0x7c409fff,
    0x00005fff,0x07ffff00,0xfffc8080,0x3ff62040,0x7fffdc1f,0xffff9000,
    0x33fffe81,0x540bffff,0x3e24ffff,0xffffffff,0x3ffa5fff,0xffffffff,
    0xbfff305f,0x17ffea01,0xffffffc8,0x3ffffee7,0x7ffc40ff,0xaaaabfff,
    0xe881aaaa,0x3e64ffff,0xf985ffff,0x3e204fff,0x33315fff,0x33333333,
    0x7ffc0033,0xfc80003f,0x9d3001ff,0x800bf220,0x9f303ff8,0x805ff981,
    0x55444ffa,0xaaaaaaaa,0x2aaaa1aa,0xaaaaaaaa,0x3fffea01,0xffffdcce,
    0x3ffee00d,0x3fe24fff,0xfe87ffff,0xffffffff,0x84ffffff,0xb86ffffd,
    0x4c2fffff,0x2204ffff,0xff95ffff,0xffffffff,0x3e003fff,0x80003fff,
    0x0002fffd,0x00c00040,0x400b3004,0x0000004a,0xffd88000,0x2fffffff,
    0xfffffa80,0x7fffec2f,0xfffff86f,0xffffffff,0x7fdc4fff,0xffd01fff,
    0x7fcc1fff,0x3fe204ff,0xffff95ff,0xffffffff,0x3ffe003f,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x9dffb950,0x3fe20017,0xffb87fff,
    0xfff85fff,0xffffffff,0x264fffff,0x204fffff,0x26fffff8,0x204ffff9,
    0xf95ffff8,0xffffffff,0x2003ffff,0x0002eeed,0x00000000,0x00000000,
    0x00000000,0x00000000,0x84fffff8,0x84fffff8,0xffffffff,0xffffffff,
    0xdffffd14,0xfffff700,0x13fffe69,0x15ffff88,0x33333333,0x00033333,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x0accccba,0x002aa200,0x0566e5cc,0x01998800,0xdddddd30,0xdddddddd,
    0x26662bdd,0x8ccccc09,0xeeeeeeed,0xeeeeeeee,0x5773104e,0x33310000,
    0x00000133,0x01333333,0x00100153,0xca805dc4,0xcccc9802,0x13cccccc,
    0x11111111,0x7ff40111,0x0dffffff,0x0ffffd40,0xfffffd10,0x440019ff,
    0xa802ffff,0xffffffff,0xffffffff,0x4bffff56,0xff7ffff9,0xffffffff,
    0xbfffffff,0xffffff50,0x04ccc405,0x3fffffa6,0x3f600001,0x74c4ffff,
    0xfc883fff,0x7fc402ff,0x7ffec1ff,0x7fffd404,0xf6ffffff,0xffffffff,
    0x3fa07fff,0xffffffff,0xffff100e,0xfff501ff,0xffffffff,0x3fff6001,
    0x7fd400ff,0xffffffff,0x56ffffff,0x7c49ffff,0xffff6fff,0xffffffff,
    0xb8bfffff,0xffffffff,0x07fff904,0x3fffffb1,0xfffb0000,0xfff885ff,
    0x7fec3fff,0x3ee02fff,0x3fe25fff,0x3ea00fff,0xffffffff,0xffffff6f,
    0x07ffffff,0x3fb7bbfa,0xf302ffff,0x889fffff,0xfeefffff,0x9805ffff,
    0x04ffffff,0x7fffffd4,0xffffffff,0xffff36ff,0xf6ffff89,0xffffffff,
    0xffffffff,0x7ffffc4b,0xd85fffff,0x3ee02fff,0x0001ffff,0x03bffff6,
    0x3fffffee,0x3ffffe66,0x3fff207f,0x3fffe65f,0x3bba600f,0x5eeeeeee,
    0xffffffff,0x2607ffff,0x3ffffb80,0xffffff30,0x1efffc8d,0x07ffff26,
    0xffdfffd0,0x0000003f,0xf0ffffe6,0x4000bfff,0x3ee5fffb,0xfffeefff,
    0xfff10dff,0xffe9803f,0xfd8001ff,0x3f204fff,0x2e7fffff,0x0fffffff,
    0x85ffff30,0x0005fffe,0xffffff80,0x03ffffff,0x0ffffd40,0xffffffd0,
    0xf02fffe8,0x7dc07fff,0x6fffaaff,0xf1000000,0xfff87fff,0x3ee0005f,
    0x3fff65ff,0x3ffffea4,0x07ffffdf,0x3ffffb10,0x7fffec00,0x7fffdc02,
    0x3ffea6ff,0x2600ffff,0xcec882dd,0x99800000,0x99999999,0x4ccc0099,
    0x407ffffb,0x47fffff8,0xfb00ffff,0x3fe209ff,0x0ffff66f,0x3e200000,
    0x7ff42fff,0x3ee0004f,0x3fffa5ff,0x7ffffcc2,0x004fffff,0x40000000,
    0x3ffffff8,0x3fffffe2,0x00000005,0x40000000,0xfffffff8,0xfffa800c,
    0x3fffe26f,0x09fff700,0xf987fff2,0x00000fff,0x42ffff80,0x0004fffe,
    0xff97ffee,0xffe980ff,0x00efffff,0x00000000,0x84ffffa8,0x00effffa,
    0x00000000,0x7c400000,0x2dffffff,0x4ffff880,0xe817fffc,0xff983fff,
    0x5fffc85f,0xffffffa8,0xffffffff,0x3fffe6ff,0x01fffec1,0x4bfff700,
    0x36201999,0x00dfffff,0x00000000,0x8802aa20,0x000002cb,0x00000000,
    0xfffff100,0x980dffff,0x7f42ffff,0xfff884ff,0x1fffe82f,0x41ffff88,
    0xfffffffa,0xffffffff,0x07fffa6f,0x0007fffb,0x001e664c,0x00159510,
    0x00000000,0x00000000,0x00000000,0xfd500000,0x3a203fff,0xffb85fff,
    0xffc9aeff,0xfffa86ff,0x1bffee04,0xfffffff5,0xffffffff,0x06665cdf,
    0x0007332a,0x00000000,0x00000000,0x00000000,0x00000000,0xf7000000,
    0x26629fff,0x00fffffc,0xfffffffd,0xf885ffff,0x7f400fff,0x3ffea3ff,
    0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffff600,0xffffffb3,0x7ff4c03d,0x3fffffff,0x803fffc8,
    0x000ffffa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff300000,0xffffdbdd,0x3fff61ff,0x3ee003ff,0x00dfffff,0x5c009999,
    0x00002ccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff3000,0x5fffffff,0x00566f6c,0x000a9880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff98000,0x1dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32e20000,0x00aacccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xcccccccc,
    0xcccccccc,0x02cccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffffc,0xffffffff,0x3fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffc0,0xffffffff,0xffffffff,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,
    0xffffffff,0xffffffff,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cccc000,0x99999999,0x99999999,
    0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_41_latin1_x[224]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,1,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,2,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_41_latin1_y[224]={ 30,1,1,3,-1,1,1,1,0,0,1,9,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,30,9,0,3,4,3,
-3,1,1,3,3,10,17,16,1,2,1,5,1,1,1,9,1,14,30,1,3,10,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-2,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_41_latin1_w[224]={ 0,7,14,22,20,23,24,7,14,14,18,21,12,13,
9,20,21,19,19,19,22,18,21,19,19,20,8,12,17,18,18,15,23,23,20,20,21,17,17,21,20,17,16,20,
17,22,20,22,19,23,20,20,20,20,23,22,23,23,19,11,20,11,20,23,14,18,20,18,19,19,22,21,18,19,
17,20,19,21,18,21,20,19,18,17,19,18,23,23,22,23,17,16,5,16,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,20,22,22,
5,21,19,23,15,18,18,13,21,17,16,19,14,14,21,20,20,9,7,14,15,19,23,23,23,14,23,23,23,23,
23,23,23,20,20,20,20,20,20,20,20,20,22,21,22,22,22,22,22,19,22,21,21,21,21,23,19,20,20,21,
20,20,20,20,23,18,21,21,21,21,21,22,21,21,20,20,22,22,22,22,22,21,21,20,21,20,20,23,20,23,
 };
static unsigned short stb__consolas_bold_41_latin1_h[224]={ 0,30,11,27,36,30,30,11,39,39,19,20,16,6,
9,34,28,27,27,28,27,28,28,27,28,27,22,29,24,12,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,5,9,22,30,22,30,22,29,30,29,30,
39,29,29,21,21,22,29,29,21,22,28,22,21,21,21,30,21,38,42,38,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,29,36,27,26,27,
42,34,9,28,21,18,10,6,21,8,15,25,17,17,9,29,34,9,6,17,21,18,29,29,29,29,34,34,34,34,
34,35,27,33,34,34,34,34,34,34,34,34,27,34,35,35,35,35,35,18,36,35,35,35,35,34,27,30,30,30,
30,30,30,33,22,27,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,37,38,
 };
static unsigned short stb__consolas_bold_41_latin1_s[224]={ 251,245,86,102,230,1,176,248,28,13,145,
123,16,238,180,89,210,72,113,232,133,151,129,43,190,214,241,241,222,67,1,
25,167,1,235,67,171,153,25,45,63,84,88,125,146,156,184,22,164,24,193,
220,92,1,48,25,1,225,205,73,43,61,46,16,143,126,1,20,88,163,156,
108,137,191,43,132,220,226,88,63,179,200,207,145,170,85,183,23,65,108,47,
85,1,150,120,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,
131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,131,251,247,212,
44,179,1,7,67,200,105,240,184,101,238,1,220,29,202,223,1,158,177,46,
190,248,238,107,164,153,23,47,240,221,197,127,151,175,228,107,220,1,22,85,
106,110,131,152,64,65,24,205,182,48,159,1,203,1,115,71,93,137,173,24,
41,62,83,105,126,147,199,39,88,232,1,23,45,71,93,198,1,67,116,130,
201,168,153,224,104,86,43,64,22,211,126,191,102, };
static unsigned short stb__consolas_bold_41_latin1_t[224]={ 1,80,435,332,1,152,183,388,1,1,413,
413,435,435,435,80,275,360,360,275,360,275,275,332,275,304,245,117,360,435,388,
152,1,332,304,275,304,304,332,275,332,332,275,332,332,360,332,275,332,44,304,
245,360,275,360,360,360,332,332,1,117,1,435,452,435,388,214,388,183,388,245,
183,245,152,1,214,214,388,413,388,245,245,388,388,275,388,388,413,413,214,413,
1,1,1,435,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,
304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,304,1,183,1,
304,360,304,1,80,435,275,360,413,435,435,413,435,435,360,413,435,435,214,80,
435,400,413,413,413,214,245,245,214,80,80,117,117,117,44,304,117,117,117,117,
117,80,80,80,117,304,80,44,44,44,44,81,413,44,44,44,44,44,80,304,
152,152,152,152,152,152,117,388,304,152,183,183,183,245,245,214,245,183,245,183,
183,152,183,183,388,214,214,214,214,152,1,1,1, };
static unsigned short stb__consolas_bold_41_latin1_a[224]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_41_latin1(stb_fontchar font[STB_FONT_consolas_bold_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_41_latin1_s[i] + stb__consolas_bold_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_41_latin1_t[i] + stb__consolas_bold_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_41_latin1_x[i];
            font[i].y0 = stb__consolas_bold_41_latin1_y[i];
            font[i].x1 = stb__consolas_bold_41_latin1_x[i] + stb__consolas_bold_41_latin1_w[i];
            font[i].y1 = stb__consolas_bold_41_latin1_y[i] + stb__consolas_bold_41_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_41_latin1_s[i] + stb__consolas_bold_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_41_latin1_t[i] + stb__consolas_bold_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_41_latin1_x[i] + stb__consolas_bold_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_41_latin1_y[i] + stb__consolas_bold_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_41_latin1_LINE_SPACING
#endif

