// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT        499
#define STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_43_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_43_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_43_latin1_LINE_SPACING          28

static unsigned int stb__consolas_bold_43_latin1_pixels[]={
    0x26155553,0x0000aaaa,0x00000040,0x98000000,0x66664c2b,0x52cccccc,
    0x99999999,0x53000399,0x5664c997,0x0000001a,0x99990001,0x00000009,
    0x66666654,0x55540000,0x66666441,0x3fffee03,0x01ffff70,0x9d105d80,
    0xbfd30000,0x019fd501,0x3fff6000,0xfffff70e,0x327fffff,0xffffffff,
    0x3ee003ff,0xf70fffff,0x003dffff,0xfedb8800,0x7c401bdf,0x00007fff,
    0xffff5000,0x880003df,0x7fc44fff,0x3ee05fff,0xfff70fff,0x7fec001f,
    0x027ff445,0xdffff100,0x04ffff98,0xffffa800,0xfffff74f,0x327fffff,
    0xffffffff,0xfe8803ff,0x70ffffff,0xbfffffff,0x3fea0000,0x4fffffff,
    0x1ffffe20,0x2a000000,0x00dfffff,0x3fff9800,0x05fffff8,0x5c3fffee,
    0xb000ffff,0x7f4bffff,0x50004fff,0x643fffff,0x0007ffff,0x6fffffc8,
    0xfffffff7,0x3ff27fff,0xffffffff,0xffffd803,0xff70ffff,0x05ffffff,
    0x7ffec400,0xffffffff,0xfffff104,0xa8000000,0x003fffff,0x07ffea00,
    0x817ffffe,0xf70ffffb,0xfb001fff,0x7dc3ffff,0x8004ffff,0x20fffffa,
    0x007ffffb,0xfffffc80,0x75555516,0x3f27ffff,0xaaaabfff,0x7ffd400a,
    0x222abeff,0xfffffcaa,0xffd0000f,0xffd9dfff,0xff109fff,0x00000fff,
    0x77fffd40,0x7dc00001,0xffff80ff,0x3ffee04f,0x1ffff70f,0xfffffc80,
    0xfffffb81,0xfffe8003,0x1ffffc45,0x7ffcc000,0x7fc403ff,0xffff93ff,
    0x3ffa0001,0x362003ff,0x8003ffff,0x40dffffc,0x41ffffd8,0x007ffff8,
    0xddd30000,0x0000019d,0x3fe0fff9,0x3ee04fff,0xfff70fff,0x7ffd401f,
    0x3ff201ff,0x44001fff,0x5b9103db,0x7fd40000,0xfff8803f,0x1ffff93f,
    0x3fffe000,0xfff98006,0x7fd4004f,0x7ff404ff,0x7fffc44f,0x00000007,
    0xfd800000,0xfffff07f,0x7fffdc09,0x01ffff70,0x0bffffe2,0x1bffff60,
    0x00000000,0xf8800200,0xfff93fff,0xff10001f,0x3a0007ff,0x22005fff,
    0x8804ffff,0x7fc47fff,0x000007ff,0x10000000,0x03dfff53,0x409ffffd,
    0xf70ffffb,0x3f601fff,0xf1005fff,0x0007ffff,0x00000000,0x7fffc400,
    0x01ffff93,0x5ffff300,0x3fff6000,0x3ffee006,0xfffb000f,0x3ffffc45,
    0x026f72a2,0x0aaaaa88,0x2aaaa200,0x3fb2200a,0xffffffff,0x0fffffa1,
    0x70ffffb8,0xf501ffff,0x4001ffff,0x81fffffa,0x00aaaaa8,0x2aaaaa20,
    0x2aaaaaa0,0xaaaaaaaa,0x7ffc401a,0x1ffff93f,0xffff3000,0x3ff20005,
    0x3ffe007f,0x3fee002f,0x3fffe25f,0xfffffd17,0x3fe203ff,0x32003fff,
    0x2a06ffff,0xffffffff,0x3fa1ffff,0x3ee03fff,0xfff70fff,0xffffd01f,
    0xfffd0007,0xffff10bf,0x7fe4007f,0x7fff46ff,0xffffffff,0x7c403fff,
    0xfff93fff,0xff30001f,0x320005ff,0xf5007fff,0xf9800dff,0x3ffe26ff,
    0xffffe8ef,0xb02fffff,0x400dffff,0x903fffff,0xffffffff,0x6c3fffff,
    0x2e03ffff,0xff70ffff,0xfff981ff,0xff30006f,0xffb01fff,0x7fc00dff,
    0x7ff43fff,0xffffffff,0x4403ffff,0xff93ffff,0xf30001ff,0x20005fff,
    0xd007fffc,0x6dc47fff,0xff7dbbde,0x7fffc4ff,0xffffffff,0xa81fffff,
    0x801fffff,0x80fffff9,0xfffffffa,0x1fffffff,0x80bffff6,0xf70ffffb,
    0xffc81fff,0x360003ff,0xfa82ffff,0x9801ffff,0x740fffff,0xffffffff,
    0x03ffffff,0xc9ffffc4,0x8000ffff,0x002ffff9,0x00ffff90,0x261ffff3,
    0xfffffffe,0x221fffd6,0xffffffff,0xfffffdef,0xfffff04f,0xffff9009,
    0xfffff10b,0x3fff717f,0x7ffec3b5,0x3ffee02f,0x1ffff70f,0x00fffff8,
    0x3fffee00,0x9fffff05,0xbffff900,0x99999970,0xffffd999,0xffff8807,
    0x01ffff93,0x3ffff500,0x3fff2000,0x7ffd400f,0x3fffffe5,0xfffd6fff,
    0x3ffffe21,0x3fa21dff,0xfc80ffff,0xff807fff,0xffc82fff,0x3ff21fff,
    0x3ffff607,0x3fffee02,0x41ffff70,0x005ffffa,0x7ffffc40,0x7ffffc80,
    0x2fffff80,0x3fff2000,0x7ffc403f,0x1ffff93f,0xffff7000,0x3fee0001,
    0x7fe401ff,0xfffff73f,0x3f6bffff,0xffff11ff,0x3fe20bff,0xff983fff,
    0x3ea02fff,0xfff07fff,0x6ffe89ff,0x0bffff20,0x70ffffb8,0x7e41ffff,
    0x80002fff,0x982ffffd,0x202fffff,0x007ffffa,0x1ffffe40,0x4ffffe20,
    0x000ffffc,0x007ffff8,0x17fffe60,0x3e3fffd0,0xfffb4fff,0x44bfff69,
    0x00efffff,0x417ffff6,0x205ffffe,0x884ffffd,0x7c0fffff,0x3ff205ff,
    0x3fee01ff,0xffff70ff,0x0ffffec1,0x7ffdc000,0xffffd03f,0x7fffec0b,
    0x7fe40004,0x7fc403ff,0xffff93ff,0x3faa2001,0x40004fff,0x09dffffe,
    0x4c7fffc4,0xffb0ffff,0x4bfff27f,0x00fffff8,0x837fffdc,0x80fffffa,
    0x80fffff8,0xf87ffffa,0x3ff204ff,0x3fee01ff,0xffff70ff,0x07ffff41,
    0x7ffd4000,0xffff504f,0xffff101f,0xfc80001f,0x7c403fff,0xfff93fff,
    0xfffe801f,0x000effff,0x7ffffcc0,0xfff53fff,0xe97fff2d,0xfff93fff,
    0x1ffffe25,0x1ffffea0,0x82fffff8,0x705ffffb,0xf98dffff,0x3fee03ff,
    0xf70001ff,0x7ffc1fff,0xf300007f,0x7fc0bfff,0xffb82fff,0xc80005ff,
    0x4403ffff,0xff93ffff,0xffe801ff,0x0003efff,0x3fffb220,0xbfff73ff,
    0xff8ffff6,0x3fffb2ff,0x01ffffe2,0x81ffffea,0xe85ffffc,0xf902ffff,
    0xffa8dfff,0x3ffee02f,0xff70000f,0x3ffe21ff,0xf100006f,0x7e40dfff,
    0xffe85fff,0xc80002ff,0x4403ffff,0xff93ffff,0xffe801ff,0x000cefff,
    0xffffb300,0x3ffee7ff,0x7c5fffd4,0xfffb1fff,0x1ffffe23,0x1ffffe60,
    0x0fffff98,0x81ffffe6,0x20fffffb,0x2e00fffb,0x0000ffff,0x261ffff7,
    0x0005ffff,0x81ffffe0,0x20fffff9,0x007ffff9,0x7ffff900,0x3ffff880,
    0x801ffff9,0xfffffffe,0x7d40000e,0x3fffffff,0x3fe7fff9,0xffff11ff,
    0x443fff61,0xa807ffff,0x7406ffff,0x3ee3ffff,0x3ea04fff,0x3f21ffff,
    0x7ffdc07f,0xff70000f,0x3ffe61ff,0x3e00006f,0x7f406fff,0x3fee3fff,
    0x900004ff,0x8807ffff,0xff93ffff,0x262001ff,0x004ffffe,0x67ffffc0,
    0xf3fffc81,0x3fe63fff,0x43fffa7f,0x807ffff8,0x405ffffb,0x3e6ffffb,
    0x2601ffff,0x363fffff,0x554406ff,0x3ee0002a,0xfff10fff,0x220000ff,
    0x5c05ffff,0x3fe6ffff,0x00001fff,0x807ffff9,0xf93ffff8,0x88001fff,
    0x0007ffff,0x813fffea,0xfff2fffd,0x9fffe63f,0x3fe27fff,0xffe807ff,
    0x7fc403ff,0xfff99fff,0xffff806f,0x0bffd3ff,0x7dc00000,0x3ffe0fff,
    0xf300007f,0xf8809fff,0xff99ffff,0x200006ff,0x403ffffc,0xf93ffff8,
    0x90001fff,0x0001ffff,0x803fffee,0xfff2fffd,0x5bffea3f,0x3e25fff8,
    0x7cc07fff,0xc802ffff,0xffcbffff,0xffb802ff,0xfffcffff,0x0005b514,
    0x3fffee00,0x03ffffa0,0x3ffea000,0xfffc803f,0x2ffffcbf,0x3ff20000,
    0x7fc403ff,0xffff93ff,0xfff50001,0x3f20003f,0x7fec07ff,0x23ffff2f,
    0xff76fffd,0x7fffc47f,0x3fffa207,0xff9800ef,0x7ffffeff,0x3ffffa00,
    0xffefffff,0x3ff622ff,0x55554c03,0x41ffff70,0x002ffffd,0x2ffffb80,
    0xeffff980,0x0007ffff,0x1ffffe40,0x4ffffe20,0x000ffffc,0x02ffff98,
    0x0ffff900,0xfd3fffc8,0xffff55ff,0x41fffd1d,0x80fffff8,0x2fffffe9,
    0x3ffffa00,0x2004ffff,0xfffffff9,0x2fffffff,0x80fffffa,0xf70ffffb,
    0x7fe41fff,0xe80005ff,0xd001ffff,0xffffffff,0xfc800009,0x7c403fff,
    0xfff93fff,0xff30001f,0x320005ff,0x7dc07fff,0xffffb4ff,0xffffffff,
    0xfff88dff,0xfeddefff,0x005fffff,0x7fffffdc,0x744001ff,0xffffffff,
    0xff32ffff,0x7dc0ffff,0xfff70fff,0x7fffcc1f,0x3e20000f,0x2e006fff,
    0xffffffff,0x7e400001,0x7c403fff,0xfff93fff,0xff30001f,0x320005ff,
    0x7d407fff,0xffff54ff,0xfffffdff,0xfff883ff,0xffffffff,0x000effff,
    0x7fffffc4,0x3ae0006f,0xffffffff,0xffff50df,0x7ffdc0ff,0x1ffff70f,
    0x02ffffe8,0x3fffee00,0x3ffe2003,0x0006ffff,0x3ffffc80,0x9ffffc40,
    0x000ffffc,0x02ffff98,0x0ffff900,0x3a5fffa8,0xffb6ffff,0xff105fff,
    0xffffffff,0x0007ffff,0x7fffffe4,0xfe880002,0xf881abff,0x2e05ffff,
    0xff70ffff,0xfffb81ff,0x3fa0005f,0x64000fff,0x02ffffff,0xfffc8000,
    0x7ffc403f,0x1ffff93f,0xffff3000,0x3ff20005,0x7ffcc07f,0x433bb227,
    0x101beec8,0xffffffff,0x0019dfff,0xfffff980,0x3f600006,0xfffb806f,
    0x3ffee00e,0x1ffff70f,0x1fffff88,0xffffa800,0xfff98005,0x000006ff,
    0x807ffffb,0xf93ffff8,0x30001fff,0x0005ffff,0x101ffff6,0x0003ffff,
    0xfffff880,0x0000aa98,0x7ffffcc0,0x3fa00002,0x0551005f,0x21ffff70,
    0xd80ffffb,0x4006ffff,0x02ffffe8,0xfffff980,0xfb000002,0xf8805fff,
    0xfff93fff,0xff30001f,0x360007ff,0xfe806fff,0x400004ff,0x007ffff8,
    0xfffe8000,0x7c00006f,0x800004ff,0xf70ffffb,0xff101fff,0x64007fff,
    0x0005ffff,0x00dffffd,0x7fffc000,0x7ffc400f,0x1ffff93f,0x3fffe000,
    0xfffd0004,0xffff500b,0xff880000,0x000007ff,0x17ffffdc,0xfff10000,
    0xf7000007,0x3fee1fff,0xfff700ff,0xff3001ff,0x70001fff,0x005fffff,
    0x3ffea000,0xfff8807f,0x1ffff93f,0x3fffe000,0x7fd4000f,0xfff004ff,
    0x4400009f,0x0007ffff,0x3fffee00,0x5400005f,0x00002fff,0x70ffffb8,
    0x6c01ffff,0x200effff,0x03ffffe8,0xfffffb80,0x00ba8005,0x1bffffa2,
    0x4ffffe20,0x000ffffc,0x1bffffb0,0x3fffa600,0xfff9002f,0x0391009f,
    0x03ffffc4,0xecbcb800,0x00efffff,0x7ffdc000,0xfb800001,0xfff70fff,
    0x7ffc401f,0xfe880eff,0xcb805fff,0xfffffecb,0xffb8000e,0xffcaaabd,
    0x3261ffff,0xfffdcccc,0x9ffff93f,0x80399999,0xeffffff9,0x3fb7264c,
    0x2006ffff,0xadfffff9,0x07ff6a20,0x07ffff88,0xffffd000,0x003fffff,
    0x0fff9000,0x3fee0000,0xffff70ff,0xffffa801,0xffffe85f,0xfffe800f,
    0x01ffffff,0xfffff700,0xffffffff,0xfffffb87,0xf93fffff,0xffffffff,
    0xfff9007f,0x2e1fffff,0xffffffff,0x7ffd4001,0xfffeffff,0x3e201fff,
    0x00007fff,0xfffffffd,0x2000003d,0x00007ffd,0x21ffff70,0x800ffffb,
    0x25fffffa,0x01fffffd,0xffffffd0,0x5c0003df,0xffffffff,0xfb84ffff,
    0xffffffff,0xfffff93f,0x007fffff,0xffffff91,0x3fffee1f,0x30002fff,
    0xffffffff,0x403fffff,0x007ffff8,0xfffffd00,0x8000007f,0x00000998,
    0x21ffff70,0x000ffffb,0x643ffff5,0x2001ffff,0x3ffffffe,0xfffa8000,
    0xdfffffff,0xfffff701,0x327fffff,0xffffffff,0x366003ff,0xf70fffff,
    0x0019dfff,0xffffe980,0x02dfffff,0x002aaaa8,0x579dd700,0x00000001,
    0x3ee00000,0xfff70fff,0x7fd4001f,0x000efc81,0x055e775c,0x332a0000,
    0x401acded,0xaaaaaaa8,0x55531aaa,0x15555555,0x8aa62000,0x00001aa8,
    0x79db7310,0x00000015,0x00000000,0x00000000,0x2e1ffff7,0x4000ffff,
    0x0002e01a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fee0000,0xffff70ff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ee00000,0xfff70fff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x9950cccc,0x00000199,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002665c0,0x00ddd440,0x00000000,0x30000000,0x00040577,
    0x35300554,0x3f200000,0x000003ff,0x00000000,0x10000000,0x000017b9,
    0x8000dffd,0x0efffffa,0x3f200000,0x001effff,0x27ffff44,0xffff3000,
    0x02f987ff,0x207fffa0,0x0003fffc,0x00ffff80,0x7fffffd4,0x90000002,
    0x03dfffff,0x7ffff440,0x7fcc0004,0x40000eff,0x20005fff,0xfffffff9,
    0xf9000006,0x0009ffff,0xffffffd1,0xfff10009,0x97dfffff,0xf7005fff,
    0xff98dfff,0x00000fff,0x401bffe6,0x1fffffe8,0x7e400000,0x4004ffff,
    0xffffffe8,0x3ffa0004,0x20004fff,0x0003fff8,0x3a633ff2,0x400001ff,
    0x02fffffc,0xefffe880,0x4005ffff,0xfffffffe,0x1fffffff,0x7ffffc80,
    0x0fffffd4,0xfff70000,0xfffc8007,0x000001ff,0x05fffff9,0xefffe880,
    0x0005ffff,0x0bffffff,0x3fff2600,0x3ffa0003,0x000ffee0,0xdffffc80,
    0xffe88000,0xbfffd35f,0x45ffcc00,0xffffffc9,0xfff7002f,0xffff88bf,
    0xca98000f,0x1ffffeee,0xffffa800,0x6400001f,0x000dffff,0x9affff44,
    0x8005fffe,0x04fffffe,0xffffd910,0x05bfffff,0xfb17fec0,0x2600005f,
    0x0003cccc,0x910b332e,0x4c005999,0xdfffd983,0x77fec002,0x02fffb80,
    0x7ffffcc0,0x007fffff,0x13333220,0xccc98000,0x9970003c,0xcccc8859,
    0x7ffd4002,0x7e4400ff,0xffffffff,0x2004ffff,0xffedfffb,0x0000000f,
    0x00000000,0x00002000,0x00988031,0x7ffffdc0,0x5fffffff,0x00000000,
    0x00000000,0x3b660000,0x7ffc400d,0xffffffff,0x4004ffff,0x2ffffffd,
    0x00000000,0x00000000,0x00000000,0xffffb000,0xffffffff,0x00000bff,
    0x00000000,0x00000000,0x3ffff600,0xffffffff,0xa8004fff,0x0000ceed,
    0x33bb2a60,0xa980001a,0x001aceec,0xceeca980,0xa980001a,0x001aceec,
    0x7fffffdc,0xfffffdce,0xaaa883ff,0x5551002a,0x55554455,0x55551002,
    0x15555445,0x2aaaa880,0xffb80000,0xff8bdfff,0x03db98cf,0x55555540,
    0x74c0001a,0xffffffff,0xfe98002f,0xffffffff,0xffe98002,0x2fffffff,
    0xfffe9800,0x02ffffff,0x3dfffff0,0x7fffffdc,0x7ffc40ff,0xfff5007f,
    0x7fffc4df,0xffff5007,0x3ffffc4d,0x6ffffa80,0x07ddd900,0x337fffec,
    0x80007fff,0xfffffff8,0x3fee0005,0xffffffff,0x3ee004ff,0xffffffff,
    0x2e004fff,0xffffffff,0x2004ffff,0xfffffffb,0x404fffff,0x40effffb,
    0xfffffffe,0x7fffc44f,0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,
    0x037fffd4,0x204fffe8,0x2a3ffffe,0x40002fff,0xfffffffa,0xfffd0007,
    0xffffffff,0xe801bfff,0xffffffff,0x0dffffff,0x7fffff40,0xffffffff,
    0x7ff400df,0xffffffff,0x880dffff,0x441fffff,0xfffcffff,0x7fffc46f,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,0x037fffd4,0x205fffe8,
    0x2e5fffff,0x40000fff,0xfffffffc,0x7fdc001f,0xffefffff,0x03ffffff,
    0x3fffffee,0xffffffef,0x3fee03ff,0xffefffff,0x03ffffff,0x3fffffee,
    0xffffffef,0xfffa83ff,0xdfffa87f,0x20fffff9,0x007ffff8,0x44dffff5,
    0x5007ffff,0x7c4dffff,0xf5007fff,0x3e00dfff,0x3fa05fff,0xff92ffff,
    0xfff0000f,0x09ffffff,0x7ffffc40,0x3fee20af,0xff107fff,0x4415ffff,
    0x07fffffb,0x5ffffff1,0x7fffdc41,0xffff107f,0x7dc415ff,0xfc87ffff,
    0xffd84fff,0x7ffffd2f,0x03ffffc4,0x26ffffa8,0x007ffff8,0x44dffff5,
    0x5007ffff,0x440dffff,0x06ffffdb,0x3ffffff2,0x0006ffed,0x7fffffcc,
    0x32006fff,0x201fffff,0x82fffffb,0x01fffffc,0x0bffffee,0x07fffff2,
    0x2fffffb8,0x1fffffc8,0x3ffffee0,0x17fffec2,0x6c3fffe2,0x3e24ffff,
    0xf5007fff,0x7fc4dfff,0xff5007ff,0x7ffc4dff,0xfff5007f,0xfffb10df,
    0x4c0dffff,0xffffffff,0x5c0006ff,0xfffbffff,0xff8800ff,0xfd803fff,
    0x7fc46fff,0xfd803fff,0x7fc46fff,0xfd803fff,0x7fc46fff,0xfd803fff,
    0x7ff46fff,0x7ffd41ff,0x93ffff25,0x007ffff8,0x44dffff5,0x5007ffff,
    0x7c4dffff,0xf5007fff,0xffa8dfff,0x6fffffff,0x7ffffdc0,0x0befffff,
    0xffffe800,0x03ffffe8,0x0fffffa8,0xfffffb80,0x3ffffea1,0xffffb800,
    0x3fffea1f,0xfffb800f,0x3ffea1ff,0xffb800ff,0x3ffe1fff,0x7ffec1ff,
    0x97ffff23,0x007ffff8,0x44dffff5,0x5007ffff,0x7c4dffff,0xf5007fff,
    0x7fc4dfff,0xffffffff,0xffffb807,0xffffffff,0x3ffe2003,0xbffff96f,
    0xbffff900,0x3fffe200,0x3ffff22f,0xffff1005,0x7fffe45f,0xffff1005,
    0x7fffe45f,0xffff1005,0x7ffffc5f,0x707fffc0,0x7c4dffff,0xf5007fff,
    0x7fc4dfff,0xff5007ff,0x7ffc4dff,0xfff5007f,0x7fffecdf,0x01999aef,
    0xfffffb10,0x3dffffff,0x7ffff500,0x01ffffe6,0x00fffff6,0x23ffffe8,
    0x003ffffd,0xd8fffffa,0x2003ffff,0x363ffffe,0x2003ffff,0xf13ffffe,
    0x7cc1ffff,0x7ffdc6ff,0x3fffe25f,0xffff5007,0x3ffffc4d,0x6ffffa80,
    0x01ffffe2,0x8b7fffd4,0x005fffff,0xffff9300,0x1fffffff,0x1ffffd80,
    0x00bffffe,0x007ffffd,0xd27ffff4,0x4007ffff,0x3a4ffffe,0x2003ffff,
    0x3a4ffffe,0x2003ffff,0xf14ffffe,0x7e41ffff,0x7ffdc3ff,0x3fffe24f,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,0x9b7fffd4,0x001fffff,
    0x7fffec00,0x06ffffff,0x363ffffc,0x7c04ffff,0x2002ffff,0x3e4ffffd,
    0x2002ffff,0x3e4ffffd,0x2002ffff,0x3e4ffffd,0x2002ffff,0xf14ffffd,
    0x7fc3ffff,0x7ffe41ff,0x3fffe23f,0xffff5007,0x3ffffc4d,0x6ffffa80,
    0x01ffffe2,0xbb7fffd4,0x000fffff,0x5f7ff400,0x0fffffff,0x8bffff30,
    0x207ffffb,0x01fffff8,0x57ffff20,0x01fffff8,0x57ffff20,0x01fffff8,
    0x57ffff20,0x01fffff8,0x97ffff20,0xf31fffff,0xfff90dff,0x7fffc45f,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,0xbb7fffd4,0x000fffff,
    0xb2fffc00,0x205fffff,0x442ffffc,0x101fffff,0x003fffff,0x8b7fffe4,
    0x001fffff,0x45bffff2,0x001fffff,0x45bffff2,0x001fffff,0xf9bffff2,
    0xff72ffff,0xffffb09f,0x3ffffc43,0x6ffffa80,0x01ffffe2,0x137fffd4,
    0x200fffff,0xf36ffffa,0x0007ffff,0x31fffc40,0x209fffff,0xe80ffffe,
    0xf103ffff,0x4005ffff,0xf15ffffd,0x4005ffff,0xf15ffffd,0x4005ffff,
    0xf15ffffd,0x4005ffff,0x365ffffd,0xffd5ffff,0xffff883f,0x3fffe20f,
    0xffff5007,0x3ffffc4d,0x6ffffa80,0x01ffffe2,0x8b7fffd4,0x01ffffff,
    0x5fff3000,0x83fffff8,0x906ffff8,0x7c0dffff,0x2002ffff,0x3e3ffffd,
    0x2002ffff,0x3e3ffffd,0x2002ffff,0x3e3ffffd,0x2002ffff,0x2e3ffffd,
    0xff9fffff,0xffffa87f,0x3ffffc47,0x6ffffa80,0x01ffffe2,0x137fffd4,
    0x200fffff,0x366ffffa,0x0bffffff,0x7ffd4000,0x3ffffe21,0x4ffffb81,
    0x1fffff50,0x0fffffa0,0x2ffffe80,0x00fffffa,0x22ffffe8,0x003ffffe,
    0xe8bffffa,0x2003ffff,0x222ffffe,0xffefffff,0xffffe84f,0x3ffffc43,
    0x6ffffa80,0x01ffffe2,0x137fffd4,0x200fffff,0x226ffffa,0xffffffff,
    0x6c41acce,0x87ffe40b,0x07ffffe9,0x203ffffb,0x02fffff8,0x009ffffb,
    0xb0fffffc,0x4009ffff,0x361fffff,0x2004ffff,0x361fffff,0x2004ffff,
    0x741fffff,0xffffffff,0x37fffec2,0x03ffffc4,0x25ffffa8,0x007ffff8,
    0x44bffff5,0x5007ffff,0xf98bffff,0xffffffff,0x7ffc45ff,0xbfffecdf,
    0x3ffffffd,0x99fffff0,0xfff99999,0x3ff20bff,0xff3006ff,0x7fe41fff,
    0xff3006ff,0x7fe41fff,0xff3006ff,0x7fe41fff,0xff3006ff,0xff981fff,
    0x517fffff,0x05fffffb,0x01fffff1,0x49ffff70,0x00fffff8,0x24ffffb8,
    0x00fffff8,0x84ffffb8,0xfffffffa,0x7fc45fff,0xffffffff,0x5fffffff,
    0xffffff50,0xffffffff,0x3ee0ffff,0xc801ffff,0x7dc7ffff,0xc801ffff,
    0x7dc7ffff,0xc801ffff,0x7dc7ffff,0xc801ffff,0xf907ffff,0xffffffff,
    0x0dffffff,0x007ffffc,0x217fffe4,0x800fffff,0x7c2ffffc,0xc800ffff,
    0x2e02ffff,0xffffffff,0x7ffffc45,0xffffffff,0x3f205fff,0xffffffff,
    0xffffffff,0xffff881f,0x7ffc404f,0x7ffc43ff,0x7fc404ff,0x7fc43fff,
    0x7c404fff,0x7c43ffff,0x4404ffff,0x203fffff,0xfffffffd,0x0effffff,
    0x0fffffa0,0x07ffffa0,0x007ffffd,0xe83ffffd,0xe803ffff,0xb801ffff,
    0x45ffffed,0xfffffff8,0xdfffffff,0x7ffffc01,0xffffffff,0x04ffffff,
    0x09fffff9,0x1bffffa2,0x27ffffe4,0x6ffffe88,0x9fffff90,0x3ffffa20,
    0xfffff906,0x3fffa209,0xfffd806f,0xffffffff,0xffffd804,0x3ffea00f,
    0x7ffec0ff,0x3fea00ff,0x7fec0fff,0x3ea00fff,0x8000ffff,0xa9881a98,
    0xdffffedc,0xff9801ac,0xccccceff,0xfffecccc,0xffff106f,0xd9537bff,
    0x205fffff,0xdffffff8,0xfffeca9b,0xfff102ff,0x9537bfff,0x05fffffd,
    0x3fffffe2,0xffeca9bd,0xfa802fff,0xffffffff,0xfff3002d,0xff703dff,
    0xff307fff,0xf703dfff,0xf307ffff,0x703dffff,0x007fffff,0x7fdc0000,
    0xffb8001f,0xff5003ff,0x3f601fff,0xffffffff,0x06ffffff,0x7fffffec,
    0xffffffff,0x7ffec06f,0xffffffff,0x6c06ffff,0xffffffff,0x6fffffff,
    0x57fffb00,0x36000155,0xefffffff,0x6ffffffe,0x3fffff60,0xffffeeff,
    0x3ff606ff,0xfeefffff,0x5c6fffff,0xdddddddd,0x2001dddd,0x8000fffc,
    0x001ffffe,0x07fffff1,0x7fffffec,0xefffffff,0xffffd800,0xffffffff,
    0xffd800ef,0xffffffff,0xd800efff,0xffffffff,0x00efffff,0x00ffff88,
    0xffff1000,0xffffffff,0x7c403fff,0xffffffff,0x01ffffff,0x3fffffe2,
    0xffffffff,0x7fffec1f,0xffffffff,0x1fff6001,0x3fffe200,0x7fff4007,
    0x7ffdc05f,0xffffffff,0x7ffdc004,0xffffffff,0x7ffdc004,0xffffffff,
    0x7ffdc004,0xffffffff,0x3ffea004,0x6c400005,0xffffffff,0x8801efff,
    0xfffffffd,0x801effff,0xffffffd8,0x81efffff,0xfffffffd,0x001fffff,
    0x20017ffa,0x004ffffa,0x03ffffe4,0x7ffff6cc,0x30001dff,0xffffffdb,
    0x3660003b,0xdffffffe,0xfdb30001,0x03bfffff,0x03fffc80,0xffd50000,
    0x07dfffff,0xffffd500,0x0007dfff,0xffffffd5,0x7fec07df,0xffffffff,
    0x3fe001ff,0xffc8004f,0x7cc002ff,0x2002ffff,0x0000aa98,0x00554c40,
    0x2aa62000,0x4c400000,0x320000aa,0x00000ccc,0x01aaa980,0x2aaa6000,
    0x2a600001,0xdd9001aa,0xdddddddd,0x4cc003dd,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x06a600aa,0x00000000,0x0080aee6,0x4c015500,
    0x0000001a,0x80000000,0x1aceeca9,0x00000000,0x00000000,0x00000000,
    0x03fffd00,0xa807fff9,0x02ffffff,0x3ffe6000,0x17cc3fff,0x07fffa00,
    0xa80ffff2,0x02ffffff,0xffc80000,0x4c01efff,0xfffffffe,0x540002ff,
    0xeefffeec,0xfe88003c,0x40004fff,0x04ffffe8,0x7fe40000,0xfb81efff,
    0x7fcc6fff,0x74400fff,0x001fffff,0xfffff880,0xffcbefff,0xfff7002f,
    0xffff98df,0x3ffa200f,0x00001fff,0x3fffff20,0xffffb804,0xffffffff,
    0xffea8004,0xffffffff,0x7ff44007,0x0004ffff,0xffffffd1,0x32000009,
    0x204fffff,0x547ffffc,0x001fffff,0x03fffff9,0xffffe800,0xffffffff,
    0xff9001ff,0xfffa8fff,0xffc801ff,0x00001fff,0x2fffffc8,0xfffffd80,
    0xffffffff,0xff9000ef,0xffffffff,0x74400fff,0xffffefff,0x7ff44005,
    0x05ffffef,0x7ffe4000,0x7fdc02ff,0x7ffc45ff,0x3ea000ff,0x0001ffff,
    0x3262ffe6,0x2fffffff,0x3fffee00,0x7ffffc45,0xffff5000,0x6400003f,
    0x800dffff,0xfffffffb,0xffffffee,0xfffb803f,0xffeeffff,0xfd1007ff,
    0x3ffa6bff,0xffd1005f,0x3fffa6bf,0xff900005,0x36001bff,0xffb80eff,
    0xcc88002f,0x4c0004cc,0xdfffd983,0xeffd8002,0x02fffb80,0x26666440,
    0xccc98000,0x3ffa003c,0x2e20afff,0x807fffff,0x01effffe,0x32e00b73,
    0x666442cc,0xcccb802c,0x16666442,0x33326000,0x0188003c,0x000004c4,
    0x02000000,0x10062000,0x00000013,0x5c000000,0x201fffff,0x03fffffb,
    0x0bffffe2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x803fffff,0x206ffffd,0x02fffff9,0x00000000,
    0x00000000,0x2aaa2000,0x5551002a,0x32a60055,0x0001acee,0xaaaaaaa8,
    0x55550001,0x55555555,0x55015555,0x55555555,0x35555555,0x55555550,
    0x55555555,0x7ffd4355,0xffb800ff,0xff101fff,0x0001dfff,0xaaaaaaa8,
    0xaaaaaaaa,0x555001aa,0x00035555,0x2aaaaaaa,0xaaaaaaaa,0xfffff10a,
    0x3fffea00,0x7fff4c06,0x02ffffff,0xfffff100,0xf1000bff,0xffffffff,
    0x5fffffff,0xffffffd0,0xffffffff,0xfffd07ff,0xffffffff,0x5c7fffff,
    0x1005ffff,0x405fffff,0x2ffffffe,0x3fffa000,0xffffffff,0x803fffff,
    0xfffffff8,0xfff88005,0xffffffff,0xf12fffff,0x2a00ffff,0x2e06ffff,
    0xffffffff,0x8004ffff,0xfffffffa,0xfff88007,0xffffffff,0xe82fffff,
    0xffffffff,0xffffffff,0xfffffe83,0xffffffff,0x3ff23fff,0x3fa003ff,
    0x3ee03fff,0x0dffffff,0xffffe800,0xffffffff,0xa803ffff,0x7fffffff,
    0xffff8800,0xffffffff,0xff12ffff,0x3ea00fff,0xffd06fff,0xffffffff,
    0x001bffff,0x7fffffe4,0x7c4001ff,0xffffffff,0x2fffffff,0xffffffe8,
    0xffffffff,0xfffe83ff,0xffffffff,0x3a3fffff,0x2003ffff,0x704ffffe,
    0xffffffff,0xfe8009ff,0xffffffff,0x3fffffff,0xfffffc80,0x44001fff,
    0xffffffff,0xffffffff,0x0fffff12,0x1bfffea0,0x3fffffee,0xffffffef,
    0x3fe003ff,0x4fffffff,0x7fffc400,0xffffffff,0xed82ffff,0xffffeeee,
    0x2eeeeeef,0xfeeeeed8,0xeeeeffff,0x3fffe2ee,0x3ff6002f,0xfffa85ff,
    0xffffffff,0xddb001ef,0xfffffddd,0x05dddddd,0xfffffff0,0xf88009ff,
    0xffffffff,0x2fffffff,0x00fffff1,0x11bfffea,0x15ffffff,0x7ffffdc4,
    0xffff3007,0x00dfffff,0x0fffff88,0xffb00000,0xb00007ff,0x8807ffff,
    0x001fffff,0x117ffff2,0xfddfffff,0x7fffffff,0x7ffec000,0xff30003f,
    0xdfffffff,0xffff8800,0xff88000f,0xff5007ff,0xfffc8dff,0x3fee01ff,
    0xfb802fff,0xffffbfff,0x3fe2000f,0x00000fff,0x07ffffb0,0xffffb000,
    0xffff8807,0x3ff2001f,0x7ffe46ff,0xffff70ff,0x0009ffff,0x00fffff6,
    0x5ffffdc0,0x000fffff,0x03ffffe2,0x3fffe200,0xffff5007,0x7ffffc4d,
    0xffffd803,0xffffe806,0x03ffffe8,0x3ffffe20,0xfb000000,0x00007fff,
    0x807ffffb,0x02fffff8,0x17ffff60,0x887ffffd,0xfffffffd,0xfffd8003,
    0xffd0003f,0xffffd1ff,0x7ffc4007,0xf88000ff,0xf5007fff,0x7fd4dfff,
    0xfb800fff,0x2201ffff,0xff96ffff,0x7c400bff,0x0000ffff,0x7ffffb00,
    0xfffb0000,0xffff007f,0x7fec005f,0x7fffc4ff,0xffff502f,0xd8001fff,
    0x8003ffff,0xf96ffff8,0x4400bfff,0x000fffff,0x07ffff88,0x4dffff50,
    0x005ffffc,0x05fffff1,0x99ffffd4,0x2007ffff,0x00fffff8,0xfffb0000,
    0xfb00007f,0xff007fff,0x74007fff,0x7fc3ffff,0x3a605fff,0x004fffff,
    0x01ffffec,0x9ffffd40,0x007ffff9,0x03ffffe2,0x3fffe200,0xffff5007,
    0x1ffffecd,0x7ffffd00,0x0ffffec0,0x005fffff,0x03ffffe2,0x7fec0000,
    0xd80003ff,0xe803ffff,0x2004ffff,0x742fffff,0x202fffff,0x05fffff8,
    0x1ffffec0,0x7fffec00,0x0bffffe1,0x7ffffc40,0xfff88000,0xfff5007f,
    0x7ffff4df,0x3fffa003,0x3fffe04f,0x27fffec7,0xfffff880,0x99999999,
    0x7ec00099,0x80003fff,0x803ffffd,0x006ffffd,0x83fffff3,0x2ffffffc,
    0x1fffff60,0x7ffffb00,0xfffff000,0x04ffffd8,0x3fffff10,0x33333333,
    0x7fffc413,0xffff5007,0x17ffffcd,0x9ffffb00,0x17fffe60,0x00fffff7,
    0x3fffffe2,0xffffffff,0x7fec006f,0xd80003ff,0xb803ffff,0x801fffff,
    0x886ffffc,0xdfffffff,0x6ffffb80,0x7fffec00,0x7ffcc003,0x7fffdc5f,
    0xffff1007,0xffffffff,0x7fc4dfff,0xff5007ff,0x3ffe2dff,0x3f2001ff,
    0xff905fff,0xfff885ff,0xff8801ff,0xffffffff,0x006fffff,0x01ffffec,
    0x7fffec00,0xffff8803,0x7ffc404f,0xfff502ff,0xd87fffff,0x4005ffff,
    0x003ffffd,0x217fffe4,0x01fffff8,0xffffff88,0xffffffff,0x3fffe26f,
    0xffff5007,0x3ffffe2d,0x3fff2001,0xffffd06f,0x7ffffd01,0xfffff100,
    0xffffffff,0xfd800dff,0x80003fff,0x003ffffd,0x09fffffb,0x1fffffa2,
    0xffffff50,0xfff53dff,0xfd8005ff,0x74003fff,0xfe80ffff,0xf8803fff,
    0xffffffff,0x26ffffff,0x007ffff8,0x22dffff5,0x002fffff,0x217ffff6,
    0x906ffff8,0x100dffff,0xffffffff,0xdfffffff,0xffffd800,0xffd80003,
    0xff5003ff,0x537bffff,0x7fffffd9,0xffffd300,0xffffffff,0xffb000df,
    0x7c4007ff,0xff906fff,0xff100dff,0xffffffff,0x44dfffff,0x5007ffff,
    0x7fcdffff,0x36002fff,0xfb83ffff,0xff504fff,0xf8801fff,0x0000ffff,
    0x7ffffb00,0xfffb0000,0x7fe4007f,0xffffffff,0x005fffff,0x3fffff22,
    0x1fffffff,0xffffd800,0x3ffee003,0xffff504f,0xfff8801f,0xf88000ff,
    0xf5007fff,0x7ff4dfff,0x3fa003ff,0xffd82fff,0xfff101ff,0xff8805ff,
    0x00000fff,0x07ffffb0,0xffffb000,0xfffd8007,0xffffffff,0xd30005ff,
    0xffffffff,0x3f60003f,0x36003fff,0xf101ffff,0x8805ffff,0x000fffff,
    0x07ffff88,0x4bffff50,0x004ffffd,0x207ffffe,0xcccfffff,0xffffcccc,
    0x7ffc405f,0x000000ff,0x007ffffb,0x7ffffb00,0xffffb000,0xbfffffff,
    0xfff50000,0x0007ffff,0x01ffffec,0x99fffff0,0xfff99999,0xff880bff,
    0x88000fff,0x800fffff,0x324ffffb,0x3006ffff,0xa81fffff,0xffffffff,
    0xffffffff,0x7ffc407f,0x000000ff,0x007ffffb,0x7ffffb00,0x3ff22000,
    0x01cfffff,0x3ff62000,0x20006fff,0x003ffffd,0xfffffff5,0xffffffff,
    0xff880fff,0xf0000fff,0x9001ffff,0x7dc5ffff,0xc801ffff,0xfc87ffff,
    0xffffffff,0xffffffff,0x3ffe201f,0x000000ff,0x007ffffb,0x7ffffb00,
    0xfffd0000,0x4000003f,0x00fffffd,0x7ffffb00,0x3ffff200,0xffffffff,
    0x01ffffff,0x03ffffe2,0x7ffff400,0xffffe803,0x3ffffe21,0x7fffc404,
    0xfffff83f,0xffffffff,0x04ffffff,0x03ffffe2,0x7fec0000,0xd80003ff,
    0x0003ffff,0x03ffffc8,0x3fea0000,0xb0000fff,0x2007ffff,0xffffffff,
    0xffffffff,0x3e204fff,0x0000ffff,0x01fffffb,0x07ffffd4,0x13fffff2,
    0x37ffff44,0x677fffcc,0xcccccccc,0x206ffffe,0x00fffff8,0xfffb0000,
    0xfb00007f,0x00007fff,0x03fffff5,0x6c003073,0x0006ffff,0x00fffff6,
    0x33bfffe6,0xcccccccc,0x206ffffe,0x00fffff8,0xfffff300,0xffff703d,
    0xffff107f,0xd9537bff,0x705fffff,0x2007ffff,0x00fffffa,0x57fffff1,
    0x55555555,0x33331015,0x37ffffd3,0x31013333,0xfffd3333,0x1333337f,
    0x7fffc400,0xffdbbdff,0x4cdefe42,0xffff9510,0x3331009f,0x7ffffd33,
    0x5c133333,0x5003ffff,0x201fffff,0xabfffff8,0xaaaaaaaa,0x7fffec0a,
    0xfffeefff,0x3f606fff,0xffffffff,0x06ffffff,0x003ffffd,0x0fffffe2,
    0x7fffffc4,0xffffffff,0xfffe82ff,0xffffffff,0xe83fffff,0xffffffff,
    0xffffffff,0x7ffe4003,0xffffffff,0x3ffff20e,0xffffffff,0xfe801fff,
    0xffffffff,0x3fffffff,0x007ffffa,0x1fffffc4,0xffffff88,0xffffffff,
    0x7ffc42ff,0xffffffff,0x6c01ffff,0xffffffff,0x80efffff,0x007ffff8,
    0x82fffff4,0xfffffff8,0xffffffff,0xffffe82f,0xffffffff,0xfe83ffff,
    0xffffffff,0x3fffffff,0xffffe800,0x3fffffff,0x3ffffff2,0xffffffff,
    0xffffd001,0xffffffff,0x3e27ffff,0x74007fff,0xf105ffff,0xffffffff,
    0x5fffffff,0xfffffb10,0x3dffffff,0x3fffee00,0x4fffffff,0x13fffea0,
    0xfffff900,0x3ffffe20,0xffffffff,0xffe82fff,0xffffffff,0x83ffffff,
    0xfffffffe,0xffffffff,0xfc88003f,0xffffffff,0x7ffffe42,0xdfffffff,
    0x3fffa001,0xffffffff,0xf53fffff,0xc8009fff,0xf107ffff,0xffffffff,
    0x5fffffff,0x7ffff540,0x8003efff,0xfffffed9,0x7fe401df,0x7cc002ff,
    0xf882ffff,0xffffffff,0x2fffffff,0xffffffe8,0xffffffff,0xfffe83ff,
    0xffffffff,0x003fffff,0x3bfb3220,0xdba880bc,0xbdeefeee,0xfffe8000,
    0xffffffff,0xf93fffff,0x98005fff,0x882fffff,0xffffffff,0xffffffff,
    0x35553002,0x54c40000,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x00202bb9,0x54c01550,0x01550001,0x00000d4c,0x00133332,
    0x9bdd9731,0xcccc9837,0x00000002,0x00000000,0xffffff50,0x80000005,
    0x1efffffc,0x7ffffd40,0xf980002f,0x4c3fffff,0xfffd002f,0x07fff903,
    0x81fffe80,0x0003fffc,0x09ffff50,0x3ffffaa0,0x0fffffff,0x001ffffe,
    0x3ff20000,0x8001efff,0x04ffffe8,0x7ffff440,0x0000001f,0x09fffff9,
    0x7ffff440,0x3e20001f,0xefffffff,0x402fffcb,0x4c6ffffb,0x000fffff,
    0x98dffff7,0x000fffff,0x1ffffd80,0x7fffec40,0xffffffff,0x3ffff20f,
    0x20000002,0x04fffffc,0xffffd100,0xf90009ff,0x0003ffff,0xffffc800,
    0xff90002f,0x20003fff,0xfffffffe,0x1fffffff,0x3ffffe40,0x07ffffea,
    0x3ffffe40,0x07ffffea,0xffff1000,0xfffe980d,0xffffffff,0x3fe20fff,
    0x000006ff,0x5fffff90,0x3ffa2000,0x05ffffef,0xfffffa80,0xf9000001,
    0x0001bfff,0x1fffffa8,0x8bff9800,0xffffffc9,0xfffb802f,0x7fffc45f,
    0xfff7000f,0xffff88bf,0x7e40000f,0x3e202fff,0xffffffff,0x0fffffee,
    0x00ffffec,0x3ff20000,0x10000dff,0x3a6bfffd,0x88005fff,0x0004cccc,
    0x3cccc980,0x33220000,0x730004cc,0x5bfffb30,0x077fec00,0x0017ffdc,
    0x2e03bff6,0x40002fff,0x407ffff8,0xbffffffd,0x981fb501,0x0004ffff,
    0x33332600,0x665c0003,0x6666442c,0x00000002,0x00000000,0x10000000,
    0x200c4000,0x31000098,0x00009880,0x03ffffb8,0x3fffffe6,0x3fa01001,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01ffffd0,0x07fffff4,0x7ffdc000,0x0000003f,0x00000000,
    0x55555400,0x500001aa,0x03555555,0x2aaaaa00,0xaaaaaaaa,0x55540aaa,
    0xaa800aaa,0x555002aa,0x00035555,0x55555555,0x55555555,0xff300035,
    0x7fd40bff,0x00004fff,0x00dffff1,0x05555530,0xaaaaa880,0x55555500,
    0x55555555,0xff100155,0x00bfffff,0xfffff100,0xf1000bff,0xffffffff,
    0x5fffffff,0x5ffffff8,0x06fffe80,0xffffff88,0xffe8005f,0xffffffff,
    0x03ffffff,0x1ffffd80,0x3ffffee0,0x3f200001,0x54002fff,0x002fffff,
    0x41bffff2,0xfffffff8,0xffffffff,0xfffa802f,0x0007ffff,0xffffffa8,
    0xff88007f,0xffffffff,0x42ffffff,0x1fffffff,0x037fff40,0x7fffffd4,
    0xffe8007f,0xffffffff,0x03ffffff,0x37fffc40,0x1bffff20,0xfff10000,
    0xffd000bf,0x3e200dff,0xf102ffff,0xffffffff,0x5fffffff,0xfffff900,
    0x80003fff,0xfffffffc,0x7fc4001f,0xffffffff,0x42ffffff,0x4fffffff,
    0x037fff40,0x7fffffe4,0x7f4001ff,0xffffffff,0x3fffffff,0x7fffe400,
    0x7ffff402,0xfd800005,0x54001fff,0x802fffff,0x206ffffc,0xfffffff8,
    0xffffffff,0xffff802f,0x004fffff,0x7fffffc0,0x44004fff,0xffffffff,
    0xffffffff,0x7fffffc2,0x3ffa00ff,0xffff806f,0x004fffff,0x7f77776c,
    0xeeeeffff,0x7fc002ee,0xfff807ff,0x800004ff,0x004ffffa,0x06ffffe8,
    0x17ffffc4,0xffffff10,0xffffffff,0xff9805ff,0x6fffffff,0x3ffe6000,
    0x06ffffff,0x7ffffc40,0x3ffe0000,0x204fffff,0x4c06fffe,0xffffffff,
    0xfb00006f,0x00007fff,0x809ffff5,0x03fffff8,0xfffd0000,0xffa8001f,
    0x3f201fff,0x7c406fff,0x0000ffff,0x2ffffee0,0x000fffff,0xf7ffff70,
    0x4001ffff,0x00fffff8,0x3ffffe00,0x3fa07fff,0x7fdc06ff,0xfffffbff,
    0xffd80000,0xe80003ff,0x4c00ffff,0x002fffff,0xffff7000,0xfffd0007,
    0x3ffe20bf,0x7fc402ff,0x00000fff,0x3a3ffffa,0x0003ffff,0xfd1ffffd,
    0x44007fff,0x000fffff,0x3fffffe0,0xffd03fff,0xfffe80df,0x3ffffe8f,
    0xfffd8000,0x7cc0003f,0xf8805fff,0x0003ffff,0xdffff100,0xffff5000,
    0xffff903f,0xffff100d,0x2200001f,0xff96ffff,0xf1000bff,0x3ff2dfff,
    0x3e2005ff,0x0000ffff,0x3ffbfffe,0xfffd06ff,0x7fffc40d,0x0bffff96,
    0xffffb000,0xffd80007,0xfff001ff,0x000009ff,0x017fffe4,0x2fffff40,
    0x0bffffe2,0x3ffffe20,0xff500000,0x3ffe67ff,0xffa8007f,0xffff33ff,
    0x7ffc400f,0x3e0000ff,0xfffdcfff,0x6fffe82f,0x4ffffea0,0x007ffff9,
    0x3ffffd80,0x3ffe2000,0x3ffa006f,0x000005ff,0x017fffe6,0x3ffffea0,
    0x1bffff20,0x7ffffc40,0xffb00000,0x7fffc3ff,0x7fec002f,0x3fffe1ff,
    0xfff1002f,0x7c0001ff,0xfff9cfff,0x6fffe86f,0x87ffff60,0x002fffff,
    0x1ffffec0,0xffff7000,0x7ffec007,0x4000006f,0x001ffffd,0x24ffffe8,
    0x002fffff,0x01fffff1,0x3fffe000,0x27fffec7,0x1ffffe00,0x009ffffb,
    0x27ffffe2,0x99999999,0x4ffff809,0xe83ffffd,0x3fe06fff,0x7ffec7ff,
    0x7ec0004f,0x20003fff,0x4007ffff,0x02fffffc,0x3fea0000,0xfa8004ff,
    0xffb8ffff,0x3e2006ff,0x9999ffff,0x00999999,0x717fffe6,0x400fffff,
    0x5c5ffff9,0x1007ffff,0xffffffff,0xdfffffff,0x2a9ffff0,0x7f45ffff,
    0xfff306ff,0xffffb8bf,0x7fec0007,0xf50003ff,0xb8009fff,0x006fffff,
    0x7fff4000,0xffe8000f,0xffffebff,0x3ffe2002,0xffffffff,0x3206ffff,
    0x7c42ffff,0x9001ffff,0xf885ffff,0x8801ffff,0xffffffff,0x6fffffff,
    0x3e4ffff8,0x3fa1ffff,0xfff906ff,0xffff885f,0x3f60001f,0xd0003fff,
    0x0001ffff,0x07ffffff,0x7fdc0000,0xfa8003ff,0xffffffff,0x7ffc4006,
    0xffffffff,0x3a06ffff,0xfe80ffff,0xfd003fff,0xffd01fff,0xff1007ff,
    0xffffffff,0xf0dfffff,0x7fdc9fff,0x3fffa4ff,0x1ffffd06,0x07ffffd0,
    0x7fffec00,0xfff98003,0xff70005f,0x3009ffff,0x7fc40019,0xfd0006ff,
    0x3fffffff,0xffff8800,0xffffffff,0xff106fff,0x3ff20dff,0xff8806ff,
    0xfff906ff,0xfff100df,0xffffffff,0xff0dffff,0x7ffc49ff,0xdfffd0ff,
    0x0dffff10,0x01bffff2,0x3ffffd80,0xffffc800,0x3ffa0002,0xabdeffff,
    0x00fffcba,0x17fffe40,0x7fffd400,0x88006fff,0xffffffff,0x6fffffff,
    0x09ffff70,0x03ffffea,0x09ffff70,0x03ffffea,0x1fffff10,0x7fffc000,
    0x9ffffe44,0xfb86fffe,0xff504fff,0x20001fff,0x003ffffd,0x037fffc4,
    0x3fffea00,0xffffffff,0x4000ffff,0x005ffff9,0xffffffd0,0xfff10003,
    0xd80001ff,0xf101ffff,0xd805ffff,0xf101ffff,0x8805ffff,0x000fffff,
    0x313fffe0,0x3fafffff,0xfffd86ff,0xffff101f,0x3f60005f,0x5c003fff,
    0x0003ffff,0xffffff98,0xffffffff,0xffe8000f,0xfa8000ff,0x0005ffff,
    0x01fffff1,0xfffff800,0xfccccccc,0x7c05ffff,0xccccffff,0xfffffccc,
    0x7fffc405,0x3fe0000f,0xfffd84ff,0x86fffeaf,0xcccfffff,0xffffcccc,
    0xffb0005f,0xff8007ff,0x00000fff,0xffffffd1,0x1fffffff,0xffff5000,
    0x3ffa0009,0xf10002ff,0x0001ffff,0x7fffffd4,0xffffffff,0x3ea07fff,
    0xffffffff,0xffffffff,0x7fffc407,0x3fe0000f,0xfff984ff,0x46fffeef,
    0xfffffffa,0xffffffff,0xfb0007ff,0x54007fff,0x0004ffff,0xffffc980,
    0x00bdffff,0x1ffffe00,0x7ffff400,0xfff10002,0x640001ff,0xffffffff,
    0xffffffff,0xfff901ff,0xffffffff,0x3fffffff,0x7ffffc40,0x3ffe0000,
    0xffffd04f,0xfc8dffff,0xffffffff,0xffffffff,0xffd8001f,0x3fa003ff,
    0x00001fff,0x27ffff20,0x3ee00000,0xe8003fff,0x0002ffff,0x01fffff1,
    0x7ffffc00,0xffffffff,0x04ffffff,0xffffffff,0xffffffff,0x7c409fff,
    0x0000ffff,0x5413fffe,0xffffffff,0x7fffffc6,0xffffffff,0x004fffff,
    0x03ffffd8,0x0bffff30,0xffe80000,0x8800005f,0x8006ffff,0x002ffffe,
    0x1fffff10,0x3ffe6000,0xccccccef,0xffffeccc,0xeffff986,0xcccccccc,
    0x06ffffec,0x03ffffe2,0x4ffff800,0x3fffffe0,0x3ffe66ff,0xccccccef,
    0xffffeccc,0xfffd8006,0xfff9003f,0x8000005f,0x0002ffff,0x3ffffb00,
    0xffffe800,0xfff10002,0x2e0001ff,0x5003ffff,0xb81fffff,0x5003ffff,
    0x201fffff,0xabfffff8,0xaaaaaaaa,0x27fffc0a,0xffffff70,0x7fffdcdf,
    0xffff5003,0x2666201f,0xbffffe99,0x22099999,0x0006ffff,0x3fffcc00,
    0xff300000,0xfe800bff,0x10002fff,0x557fffff,0x55555555,0x0fffff41,
    0xfffff880,0x0fffff43,0xfffff880,0xfffff103,0xffffffff,0xfff85fff,
    0x3ffe204f,0x3fa6ffff,0xf1001fff,0x3a07ffff,0xffffffff,0xffffffff,
    0x0ffffee3,0xff700000,0x8000009f,0x000ffffe,0x00bffffa,0x7ffffc40,
    0xffffffff,0xfff12fff,0xffe800ff,0x3ffe25ff,0x7ff4007f,0xfff105ff,
    0xffffffff,0xf85fffff,0x7e404fff,0xf16fffff,0xe800ffff,0xfd05ffff,
    0xffffffff,0x7fffffff,0x007ffff4,0x3ff20000,0x4000001f,0x004ffffa,
    0x00bffffa,0x7ffffc40,0xffffffff,0xfff52fff,0xffc8009f,0x3ffea7ff,
    0x7fe4004f,0xfff107ff,0xffffffff,0xf85fffff,0x7cc04fff,0xf56fffff,
    0xc8009fff,0xfd07ffff,0xffffffff,0x7fffffff,0x00f33322,0x26620000,
    0x90000001,0x74007999,0x0002ffff,0xfffffff1,0xffffffff,0x3ffff25f,
    0x7ffcc002,0xffff92ff,0xfff98005,0xfff882ff,0xffffffff,0x7c2fffff,
    0xfd804fff,0xff96ffff,0xf98005ff,0xfe82ffff,0xffffffff,0x3fffffff,
    0x00000000,0x00000000,0x7ffff400,0xfff10002,0xffffffff,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x5d4c4000,0xcccccccc,0x2eea2003,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccccc880,
    0x0005302c,0xffffff71,0xdfffffff,0x3fffea00,0xdb8000df,0x00502dff,
    0x3bffb6e2,0xe98000be,0xcfea80df,0x3bfb2600,0x9997001d,0x06ff4c03,
    0x80067f54,0xea80dfe9,0xfb7000cf,0x000a05bf,0xd501bfd3,0x7d40019f,
    0xcaafffff,0x5c005ffe,0xffffffff,0x6fffffff,0xfffff980,0x7e4006ff,
    0x21efffff,0x7fdc04fb,0xffffffff,0xfff1000c,0xffff98df,0xfffff504,
    0xff9807ff,0x3ffe206f,0x7fffcc6f,0xffff8804,0x27fffcc6,0x7ffffe40,
    0x013ee1ef,0x237fffc4,0x004ffff9,0x7fffffdc,0x005fffff,0x3ffffff6,
    0xffffffff,0xffe806ff,0x03fffbae,0xffffff70,0xffffdfff,0x3ffff607,
    0xffffffff,0xffff5006,0x7fffe43f,0xfffff887,0x3a01ffff,0x3ea01fff,
    0x3f21ffff,0xfa807fff,0x3f21ffff,0x7dc07fff,0xffffffff,0x803ffffe,
    0x21fffffa,0x807ffffc,0xffffedb9,0x5fffffff,0xfffff700,0x757fffff,
    0x880dffff,0x3fee0fff,0xbfffb005,0xfffffffd,0xfff701df,0xffffdfff,
    0xf500bfff,0x7dc1ffff,0xffd87fff,0x5fffd9cf,0x809fff90,0x20fffffa,
    0x807ffffb,0x20fffffa,0x407ffffb,0xffedfffd,0x0effffff,0xfffffa80,
    0x1ffffee0,0x3fffff20,0xefffffff,0xfff9802c,0xffffffff,0x0dffff10,
    0x7d47ff88,0x83b6005f,0xffffffe9,0xfffff981,0x3fff660c,0xfffd007f,
    0x3ffff88b,0x7fc6fff8,0x6fff986f,0x8bfffd00,0x003ffff8,0xf88bfffd,
    0xed803fff,0x3ffffa60,0x3fa001ff,0x7ffc45ff,0xfffc803f,0xffffffff,
    0x7ffec002,0xffffffff,0x0dffff10,0x3627fff0,0x804004ff,0x700bdedb,
    0x7c0bffff,0x8801ffff,0x5b9103db,0xd89fff10,0xfffe87ff,0x07b71001,
    0x8800b722,0x5b9103db,0xedb80400,0x5c4000bd,0x05b9103d,0x2f7fff20,
    0x0ffffffa,0x3ffffe00,0x0fffffff,0x00dffff1,0xfffffff7,0x0000001f,
    0x03ffffb0,0x017ffff4,0xff980000,0x07ffe43f,0x0009fff7,0x00000000,
    0x00000000,0x2a000000,0xffffb80a,0xfff1004f,0xffffffff,0x3fffe21f,
    0xffffb006,0x000005ff,0x3ffffa00,0xfffff100,0x20000001,0x7f44fff8,
    0x1bffe67f,0x00000000,0x00000000,0x00000000,0xffcb9880,0xa802ffff,
    0xffffffff,0xff10ffff,0x6d400dff,0x10000cef,0x79bd9975,0x7ffff805,
    0x1bffff20,0xeccba880,0x7fc02bcd,0x97ffe26f,0x0001fffe,0x0d66e5cc,
    0x05555500,0x01aaaa88,0x59bb7510,0x75100003,0x000359bb,0x3fffff62,
    0x806fffff,0xfffffffa,0xf10fffff,0x0000dfff,0xfffeb800,0xffffffff,
    0x7ffff883,0x5fffff70,0xffffd700,0x7fffffff,0x33bfff60,0xff72ffff,
    0x7e40009f,0xefffffff,0x7fffc401,0x7fffd407,0x7fff4c05,0x01efffff,
    0xffffe980,0x001effff,0x3fffffee,0x2fffffff,0x7ffffc40,0x0fffffff,
    0x80dffff1,0xcdeccba8,0x3ffe002b,0xffffffff,0x7fc46fff,0xfffb87ff,
    0xfff003ff,0xffffffff,0xff30dfff,0x2dffffff,0x000efff8,0xfffffd88,
    0x03ffffff,0x01ffffe2,0x40bffff5,0xfffffffb,0x004fffff,0x3fffffee,
    0x04ffffff,0xffffffc8,0xffffffff,0xfffff806,0x0fffffff,0x20dffff1,
    0xffffffeb,0x803fffff,0xffffffff,0x4fffffff,0x51ffffe2,0x007fffff,
    0x7ffffffc,0xffffffff,0xfffffa84,0x5fffd0df,0xffff1000,0xffffffff,
    0x3fe207ff,0x7fd407ff,0xfffb05ff,0xffffffff,0xfb00bfff,0xffffffff,
    0x40bfffff,0xdffffff9,0xffffdaab,0x7ffec02f,0xffffffff,0x0dffff10,
    0x3ffffffe,0x6fffffff,0x4d5f7fc0,0xffffb989,0xffff10ff,0x3fffff8f,
    0x55f7fc00,0xfffb9899,0xcb880fff,0x3ffee2bd,0xfffb0005,0xfd3115df,
    0xf101ffff,0xfa80ffff,0xffa85fff,0xfddfffff,0x02ffffff,0x3fffffea,
    0xfffffddf,0xfffd02ff,0xfff105ff,0xff9809ff,0xffffffff,0xdffff10f,
    0x3fffffe0,0xffffffff,0x2002e04f,0x12fffff8,0x7ccfffff,0xb8007fff,
    0xffff8800,0x7fc4002f,0xf98000ff,0x3f605fff,0xff884fff,0x7fd407ff,
    0xffff85ff,0xfffb81ff,0x3ffe06ff,0xffb81fff,0xffb86fff,0x3f602fff,
    0xfa807fff,0xffffffff,0xdffff10f,0x26afbfe0,0xffffb989,0xc80000ff,
    0xff13ffff,0x7ffd4fff,0x4000007f,0x003ffffc,0x0017ffec,0x00ffffe8,
    0x21ffffe6,0x407ffff8,0x5c5ffffa,0x201fffff,0x82fffffa,0x01fffffb,
    0x0bffffea,0x80dffffb,0x01fffffa,0xffffffc8,0xfff10fff,0x2002e0df,
    0x02fffff8,0xffffb800,0x4fffff14,0x02fffff9,0x3fee0000,0x3ee004ff,
    0xf30005ff,0xfd00bfff,0xff881fff,0x7fd407ff,0x7fff45ff,0xfffe804f,
    0xffffe84f,0xffffe804,0x17ffff44,0x3ffffe20,0xfffb3002,0x3e21ffff,
    0x80006fff,0x003ffffc,0x4ffffb80,0xf8fffff1,0x002fffff,0xffff7000,
    0x3ffe2009,0xff50000f,0xffb007ff,0xfff883ff,0x7ffd407f,0x7ffffc5f,
    0xffffb801,0x1fffff85,0x5ffffb80,0x00fffffc,0x01fffffc,0x3fffb260,
    0xdffff10f,0xfff70000,0xdb93009f,0xffffffff,0x3fffe29f,0x7ffffe47,
    0xdc98003f,0xfffffffe,0xffb004ff,0x04d4c45f,0x3ffffee0,0xffffffff,
    0x443fffff,0x5407ffff,0x3e25ffff,0xf5007fff,0xff88dfff,0xff5007ff,
    0x7ffc4dff,0xffe800ff,0x880003ff,0x1bfffe21,0x3ffee000,0x3ffaa04f,
    0xffffffff,0xfff14fff,0xfffe88ff,0xd5005fff,0xffffffff,0x009fffff,
    0x7ecbfff5,0x3203ffff,0xffffffff,0xffffffff,0x7ffc43ff,0x7ffd407f,
    0x3fffea5f,0xffff3007,0x7ffffa8f,0xfffff300,0x03ffffd4,0x04ffffe8,
    0xfff88000,0xedc9806f,0xffffffff,0xffff904f,0xffffffff,0x3fe29fff,
    0xffe887ff,0x6406ffff,0xffffffff,0x4fffffff,0x47fffc40,0xffffffe8,
    0xffffb04f,0xffffffff,0x87ffffff,0x407ffff8,0x2e5ffffa,0x3006ffff,
    0x5c1fffff,0x3006ffff,0x2a1fffff,0xd007ffff,0x0007ffff,0xdffff100,
    0x7ffff540,0xffffffff,0xffffc84f,0xdcccceff,0xff14ffff,0x3f620fff,
    0x903fffff,0x9dffffff,0xffffb999,0x3fffd809,0xffdffff9,0xfffb03ff,
    0x999999bf,0x39999999,0x07ffff88,0x52ffffd4,0x200fffff,0x547ffffa,
    0x5007ffff,0x7ccfffff,0xf800ffff,0x0002ffff,0x6ffff880,0xffffff90,
    0xffffffff,0xffff889f,0xfff700df,0x3fffe29f,0x7fffe407,0x7ffc40ff,
    0xff700dff,0x7fd409ff,0x1dfff15f,0x3213ffee,0x0003ffff,0x0fffff10,
    0x25ffffa8,0x00fffff9,0x45ffffb8,0x00fffff9,0x25ffffb8,0x01fffff8,
    0x0fffffcc,0x7fc40000,0xfffc86ff,0xccccefff,0x544ffffd,0x200fffff,
    0xf14ffffb,0xf900ffff,0xfa83ffff,0x2e00ffff,0xf104ffff,0x3fe61fff,
    0x17ffe24f,0x013fffee,0x7fffc400,0x7fffec07,0x0fffffc5,0x27fffec0,
    0x00fffffc,0x227fffec,0x404fffff,0x007ffffc,0xffff1000,0xfffff88d,
    0xffff700d,0x5ffffc89,0xa7fffe40,0x807ffff8,0x43fffff8,0x405ffffc,
    0x904ffffc,0x7fd47fff,0x437ff42f,0x00fffff9,0xfffff000,0x3ffff203,
    0x7ffff45f,0x7fffc405,0xffffe83f,0x7fffc405,0x7fffec3f,0xffff300f,
    0x200000bf,0x546ffff8,0x200fffff,0x644ffffb,0x3207ffff,0xf14fffff,
    0x3a00ffff,0x7e42ffff,0x3f207fff,0xfa84ffff,0x7ffd46ff,0x4437ff42,
    0x005fffff,0x7fffff00,0xffffff70,0xfffffc8b,0x3ffff602,0xffffc80f,
    0x3fff602f,0x7ffcc0ff,0xf510afff,0x003fffff,0x3ffe6000,0x7fffe45f,
    0x7fffe405,0x7ffffdc4,0x7fffec43,0xffff14ff,0xfffa804f,0x7ffdc0ff,
    0x7fec43ff,0x7444ffff,0x7fcc1fff,0x17ffe24f,0x6fffffdc,0xe80dcc01,
    0xb32effff,0xbfffffff,0xffffff88,0xfffb511c,0x3fe205ff,0x511cffff,
    0x05fffffb,0x3ffffff6,0xffffffff,0x2000005f,0x644ffffa,0x3207ffff,
    0x4c4fffff,0xcfffffff,0xfffffffe,0xfffff14f,0x7f6ef7d4,0xf986ffff,
    0xecffffff,0xffffffff,0x41fffe44,0xf91efff8,0x7ff407ff,0xdcdeffff,
    0x702fffee,0xffffffff,0xffffffff,0xfffff70b,0xffffffff,0xffb80dff,
    0xffffffff,0x206fffff,0xfffffff8,0xefffffff,0x36000000,0x7dc3ffff,
    0x6c43ffff,0x84ffffff,0xfffffffd,0xffedffff,0xfffff14f,0x7fffffd4,
    0xfb01ffff,0xffffffff,0x9fffdbff,0xb037ffcc,0xffffffff,0x7ffcc01f,
    0xffffffff,0x3e02ffff,0xffffffff,0x5fffecff,0xffffffd0,0xdfffffff,
    0xffffd003,0xffffffff,0xfd8803df,0xffffffff,0x50000dff,0x7ffd403d,
    0x7ffcc1ff,0xffecffff,0x84ffffff,0xfffffff8,0xfffb5fff,0x9ffffe29,
    0xfffffffa,0x3fe202ff,0xffffffff,0x749fffb5,0x3e201fff,0x2fffffff,
    0xffffd880,0xffffffff,0x3ffea02f,0xb4ffffff,0x7e40bfff,0xffffffff,
    0x7e4004ff,0xffffffff,0x75c004ff,0xdfffffff,0x3fe20001,0xfca99bdf,
    0xfb05ffff,0xffffffff,0x9fffdbff,0x3ffff220,0x3ff62dff,0xfffff14f,
    0x7fffffd4,0xfc8800bf,0x22dfffff,0xff94fffd,0xffb1009f,0xa8003dff,
    0xfffffffe,0x4c00ceff,0x2efffffe,0x3017fff6,0xfffffffb,0x3660005b,
    0xdfffffff,0x554c0002,0xfb00001a,0xffffffff,0x201fffff,0xfffffff8,
    0xfffb5fff,0xaaa98809,0x4c400000,0x220001a9,0x0000aaa9,0x01531000,
    0x55551000,0x2a200035,0x400000aa,0x0000aa98,0x00554c40,0x00000000,
    0x3fffffa2,0xffffffff,0x7ffe4402,0x3f62dfff,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffea8,
    0x000cffff,0x002aaa62,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x179bddb7,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x00cccccc,0xca800000,0x800ccccc,
    0x00001ba8,0x00333326,0xccca8000,0x00000ccc,0x74400000,0x555105ee,
    0x54400155,0x2000aaaa,0x000cccc9,0x220bbf20,0x2e001efd,0x0502dffd,
    0xefffffb8,0x20000000,0x1efffffa,0x3ffff980,0xfff98000,0x00000eff,
    0xefffffa8,0x7fffed41,0x332e003d,0x3ee0001c,0xfff104ff,0x7e4007ff,
    0x26006fff,0x00efffff,0x1ffffc80,0x007ffff4,0x7fffffe4,0x3013ee1e,
    0x01dfffff,0xff500000,0x2001bfff,0x00fffffe,0x3fffe200,0x00005fff,
    0x6fffffd4,0xfffffd80,0xff9805ff,0x7f40006f,0x3ff602ff,0x3fe006ff,
    0xf1003fff,0x0bffffff,0x9fffff00,0x17ffffc4,0x3ffffee0,0xfffeffff,
    0x7fec403f,0x00000eff,0x3ffffea0,0x3ffe2003,0x10002fff,0xffd9fffd,
    0x2a0000bf,0x203fffff,0xffffeefd,0x7fff400f,0x3fe20001,0x7ffd407f,
    0xff9801ff,0xe8800fff,0xfffecfff,0x7fff4005,0x3fffe24f,0x7ffec02f,
    0xffffffed,0xf7000eff,0x0001dfff,0xdffff500,0xfff88003,0x88002fff,
    0xfd14fffe,0xa8000bff,0x401effff,0x01fffe80,0x8013fff2,0xffeedba8,
    0xffff804f,0xfffc804f,0xffe8805f,0xbfffd14f,0x7fffdc00,0x037ffec0,
    0x3fa60ed8,0x001fffff,0x02f776cc,0x3bba6000,0xfb0000ce,0x0001dfff,
    0xd887ddd9,0x30003eee,0x0019dddd,0x3ffea662,0x1bffe606,0x7ffff4c0,
    0x804fffff,0x807ffffc,0x802fffff,0x6c43eeec,0x2a003eee,0x19b700cd,
    0xedb80400,0x000000bd,0x00000000,0x03dffb10,0x00000000,0xff700000,
    0x7401bfff,0xfb801fff,0xffffffff,0x2600dfff,0x202fffff,0x007ffffa,
    0x00000000,0x00000000,0x00000000,0x00800000,0x00000000,0x3ee00000,
    0x80cfffff,0xd804fffb,0xffffffff,0x05ffffff,0x02fffff4,0x009ffffb,
    0x00000000,0x00000000,0x9bb75100,0xaaa80035,0x5554402a,0x0000001a,
    0x566e5cc0,0xcb980001,0x93001acd,0x89ffffdb,0xb806fff9,0xbdefffff,
    0xffffffff,0x3fffea03,0xffff880f,0x5555400f,0x55554402,0x55555101,
    0x00555555,0x4c0aaaa8,0x4002cddc,0xffffffe9,0xf8801eff,0x7d407fff,
    0x2aa25fff,0xaaaaaaaa,0x7fe40002,0x1effffff,0xffffc800,0x001effff,
    0x3a3fffcc,0x7c401fff,0x3e65ffff,0x7fffffff,0x17ffffc0,0x02ffffdc,
    0x01ffffe2,0x20bffff5,0xfffffff9,0x22007fff,0xfd32ffff,0x03dfffff,
    0xffffff70,0x09ffffff,0x07ffff88,0x32ffffd4,0xffffffff,0x22000fff,
    0xfffffffd,0x1003ffff,0xfffffffb,0x2607ffff,0xdfff7309,0x4027ffdc,
    0x646ffffb,0xffffcfff,0x3fff202f,0xffffe85f,0x7fffc402,0x7fffd407,
    0xfffff305,0x00ffffff,0x557fffc4,0xffffffff,0x3ff601ff,0xffffffff,
    0x2205ffff,0x5407ffff,0x3e65ffff,0xffffffff,0xff88007f,0xffffffff,
    0x4403ffff,0xffffffff,0x43ffffff,0xfffffff8,0xdfff13ff,0xffffd001,
    0xc9fffe85,0x2605ffff,0x260fffff,0x8807ffff,0x5407ffff,0xf305ffff,
    0xffffffff,0x7fc400ff,0xfffffdff,0x05ffffff,0xfffffff5,0xffffffbb,
    0x3ffe205f,0x7ffd407f,0x3fffe65f,0x07ffffff,0xeffffd80,0xfffe988a,
    0x3ff600ff,0xe988aeff,0x220fffff,0xffffffff,0x00bfffa3,0x263ffffc,
    0xfff36fff,0xfffe80df,0x3fffee3f,0xffff8804,0x7fffd407,0x99999105,
    0x00fffffb,0x7fffffc4,0xfffeefff,0xfff81fff,0xffb81fff,0xff106fff,
    0xffa80fff,0x333225ff,0x7ffffdcc,0x7fffcc00,0x3ffff605,0xbffff304,
    0x27fffec0,0x2b33bb72,0x017ffee0,0x22ffffc4,0xff13fffc,0xffb80fff,
    0x3fffe6ff,0xfff8801f,0x7ffd407f,0x7fc4005f,0x3e2007ff,0x1dffffff,
    0x0fffffe6,0x03fffff7,0x17ffffd4,0x03ffffc4,0x017fffea,0x01ffffe2,
    0x01ffffd0,0x83ffffcc,0x200ffffe,0x007ffff9,0x00ffff88,0x89ffff50,
    0x3fe0ffff,0x3e200fff,0xff99ffff,0xff1006ff,0xffa80fff,0x7c4005ff,
    0x22007fff,0x05ffffff,0xe89ffffb,0xe804ffff,0xf884ffff,0x7d407fff,
    0xf8805fff,0x26007fff,0xe805ffff,0x7cc0ffff,0xfe805fff,0x6c000fff,
    0x2e002fff,0x3e64ffff,0x7fffc6ff,0x7ffe400f,0x2ffffcbf,0xfffff100,
    0x5ffffa80,0x7fffc400,0x3ffe2007,0xff700eff,0xffff8bff,0xfffb801f,
    0xffff885f,0x7fffd407,0xffff8805,0x3ffea007,0xfffd803f,0x7fffd41f,
    0xffffd803,0x3ffee001,0x7ffd4005,0x0ffff25f,0x300fffff,0xfffdffff,
    0x7fc400ff,0x7fd407ff,0x7c4005ff,0x22007fff,0x200fffff,0x225ffffa,
    0x5007ffff,0xf10dffff,0xfa80ffff,0xf8805fff,0x2e007fff,0xffffffff,
    0xffffffff,0x7ffdc3ff,0xffffffff,0x3fffffff,0x1ffff100,0xffff9800,
    0x883fffe5,0xd006ffff,0xffffffff,0x7ffc4009,0x7ffd407f,0x7fc4005f,
    0x3e2007ff,0x7d407fff,0x3fea5fff,0xff3007ff,0xfff10fff,0xfffa80ff,
    0xfff8805f,0x3ff2007f,0xffffffff,0xffffffff,0x7ffffe43,0xffffffff,
    0x003fffff,0x0005fffb,0x2afffff3,0x7fd46fff,0xff7005ff,0x03ffffff,
    0x3ffffc40,0x17fffea0,0xfffff100,0x7fffc400,0x7fffd407,0x1bfffee5,
    0x7ffffcc0,0x3ffffc40,0x17fffea0,0x1ffffe20,0xfffffd80,0xffffffff,
    0x6c3fffff,0xffffffff,0xffffffff,0xffa803ff,0x7fffe45f,0x5fffff07,
    0xfe87fff9,0xf1003fff,0x0dffffff,0x7ffff880,0x2ffffd40,0x3fffe200,
    0x3ffe2007,0x7ffd407f,0x3fffea5f,0xffff5007,0xfffff10f,0x5ffffa80,
    0x7ffff880,0x3ffff600,0xcccccccd,0x41cccccc,0xccdffffd,0xcccccccc,
    0x7c401ccc,0x3fe60fff,0xff907fff,0x1ffffdff,0x07ffffdc,0xfffff900,
    0xff88005f,0x7fd407ff,0x7c4005ff,0x22007fff,0x5407ffff,0x3e65ffff,
    0xb800ffff,0xf885ffff,0x7d407fff,0xf8805fff,0x32007fff,0x0003ffff,
    0x07ffff90,0x3ff60000,0x7ffff43f,0xffff307f,0x2e2bffff,0x003fffff,
    0x37ffffcc,0x7fffc400,0x7fffd407,0x7ffc4005,0x3fe2007f,0x7fd407ff,
    0x7fffc5ff,0xfffd801f,0xffff884f,0x7fffec07,0xffff8805,0x3ffee007,
    0xf700004f,0x00009fff,0xc8bfff50,0x07ffceff,0x3ffffff2,0xfffffeef,
    0xff98006f,0x88002fff,0x6c07ffff,0x4005ffff,0x007ffff8,0x01ffffe2,
    0xe8bffff5,0x4405ffff,0xf03fffff,0x3203ffff,0x805fffff,0x007ffff8,
    0x03ffffe6,0x3ffe6000,0x200000ff,0x260ffff8,0x7ffc9fff,0x7fffff40,
    0xffffffff,0xffe8001e,0x3e0006ff,0xf901ffff,0x800bffff,0x007ffff8,
    0x01ffffe2,0xc8bffff5,0x202fffff,0x00fffffd,0x707fffff,0x0bffffff,
    0x0fffff10,0x7ffffc40,0xff880005,0x00005fff,0xfd0ffff2,0x01fff29f,
    0xffffffb1,0x01bfffff,0xfffff700,0x7ffc0005,0xfffb83ff,0x44005fff,
    0x2007ffff,0x407ffff8,0x445ffffa,0x1cffffff,0xfffffb51,0x7ffff405,
    0xffffb32e,0xf100bfff,0xb800ffff,0x01dfffff,0xffb80dcc,0x4c01dfff,
    0xdfff501b,0xf90effb8,0x3ffa00ff,0x2dffffff,0xffff7000,0xfe8000bf,
    0xfb32efff,0x0bffffff,0x7ffff880,0x3fffe200,0x7fffd407,0xfffffb85,
    0xffffffff,0x7fdc06ff,0xffffffff,0x05ffffff,0x07ffff88,0xfffffe80,
    0xfeedcdef,0x3ffa02ff,0xdcdeffff,0x882fffee,0x7f41fffe,0xffffffff,
    0x3ffe205f,0x4000aaaf,0xfffecbcb,0x40000eff,0xfffffffb,0xffffffff,
    0xfffff05f,0xffffffff,0x883fffff,0x5407ffff,0xfd05ffff,0xffffffff,
    0x003dffff,0xffffffff,0xfffd9fff,0x7fffffcb,0xffffffff,0xf301ffff,
    0xffffffff,0x05ffffff,0x7fffffcc,0xffffffff,0x3fffc82f,0xffffffe8,
    0x2e05ffff,0x40005fff,0xfffffffe,0xf00001ff,0xffffffff,0xbfffd9ff,
    0x3fffffe0,0xffffffff,0x7c41ffff,0x7d407fff,0x3f205fff,0xffffffff,
    0x3ea004ff,0xffffffff,0x7cbfffb4,0xffffffff,0xffffffff,0x3ff6201f,
    0xffffffff,0x6c402fff,0xffffffff,0x4c2fffff,0xddb06fff,0xdffffddd,
    0x17ffec09,0x3fffa000,0x001effff,0x3fffea00,0xfb4fffff,0x3ffe0bff,
    0xffffffff,0x1fffffff,0x03ffffc4,0x017fffea,0xffffffb3,0xd30005bf,
    0x45dfffff,0x3fe5fffd,0xffffffff,0xffffffff,0xfffea801,0xceffffff,
    0xfffd5000,0x9dffffff,0x01fffe81,0x203ffe40,0x0007fff8,0xffffffe8,
    0xd3000003,0x45dfffff,0xff05fffd,0xffffffff,0xffffffff,0x7ffff883,
    0x2ffffd40,0x01553100,0x2aaa2000,0x7fffc000,0xffffffff,0x01ffffff,
    0x55555440,0xaa880001,0x3f201aaa,0xfc8004ff,0x6664c07f,0xeeb80003,
    0x00000abc,0x00aaa880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35531000,0xccca8000,
    0x00000ccc,0x66664c00,0x01333323,0x05555400,0x026f7726,0x02aaaa88,
    0x80d5554c,0x0cccccca,0x99300000,0x30000199,0x00019999,0x59bb9750,
    0x15555555,0x004d5e64,0x000e6dc0,0xfffffff5,0x3ee00019,0x000effff,
    0x3fea0000,0xffff15ff,0xff10000f,0x3ffa65ff,0x101fffff,0xc80fffff,
    0x2e03ffff,0x00efffff,0x7ffcc000,0x20000eff,0x0efffff9,0xfffd5000,
    0xffffffff,0x3fe23fff,0x00cfffff,0x02ffffd8,0x7ffffec4,0x002fffff,
    0xdfffff30,0x20000001,0xf15ffffa,0x0000ffff,0xf55ffff1,0xffffffff,
    0xffff105f,0xffffc80f,0x7fffcc03,0x100000ef,0xbfffffff,0x3ffe2000,
    0x8005ffff,0xfffffffe,0xffffffff,0xfffff11f,0x2019ffff,0x06fffff9,
    0x7fffffec,0x00ffffff,0xffffb100,0x0000001d,0x22bffff5,0x0007ffff,
    0xfdffff88,0xffffffff,0x7fc41fff,0x7fe407ff,0xfd8803ff,0x0000efff,
    0x767fff44,0x44005fff,0xffecfffe,0x3ff2005f,0xfffeffff,0x1fffffff,
    0xfffffff1,0xf505ffff,0x540fffff,0xcbdfffff,0x005fffff,0x77fffdc0,
    0x54000000,0xff15ffff,0x10000fff,0xffffffff,0xfffffbdf,0xffff889f,
    0x7fffe407,0x3ffee003,0xd10000ef,0x3fa29fff,0xfd1005ff,0x3ffa29ff,
    0xfff9805f,0x3ff262ff,0x10aabfff,0xffffffff,0xf983ffff,0x3a06ffff,
    0x7cc2ffff,0x80007fff,0x005eeed9,0x7ffd4000,0xfffff15f,0xfff10000,
    0x443bffff,0x20fffffe,0x407ffff8,0x003ffffc,0x02f776cc,0x43eeec80,
    0x803eeed8,0x6c43eeec,0x7e403eee,0xff702fff,0x54c407ff,0xffffffeb,
    0x7fffe40e,0x17fffe02,0x00ffffec,0x00000000,0xaffffd40,0x007ffff8,
    0xfffff880,0xffff105f,0x7fffc47f,0x7fffe407,0x00000003,0x00000000,
    0xdfffb000,0x37fffc40,0x3fffea00,0x1cda83ff,0x13fffe60,0x00ffffdc,
    0x00000000,0xaffffd40,0x007ffff8,0xfffff880,0x3fff600e,0x3fffe25f,
    0x7fffe407,0x00000003,0x00000000,0xbffff000,0x07fffe80,0xfffffa80,
    0x3fe60005,0xfffb05ff,0x2e60000f,0x0001acdc,0x66665d4c,0xff15ffff,
    0xdca88fff,0x3fe2009b,0x7dc00fff,0x3fe26fff,0x7fe407ff,0x2aaa03ff,
    0x5554402a,0x65d4401a,0x002bcdec,0x3376ea20,0x3ffa001a,0x7fff407f,
    0xfffb0006,0xff8000ff,0xfff987ff,0x7e40006f,0xefffffff,0x7ffe4001,
    0xffffffff,0xfffff15f,0x3fffffa2,0xfff101ff,0xfff500ff,0x7fffc4ff,
    0x7fffe407,0xfffff103,0x5ffffa80,0xfffffd70,0x07ffffff,0x7ffff4c0,
    0x801effff,0x302ffffd,0x0009ffff,0x87ffffee,0x7406eee9,0x3e63ffff,
    0x0002ffff,0xffffffb1,0x007fffff,0xfffffff5,0xbfffffff,0x23bfffe2,
    0xfffffffe,0xfff882ff,0xfffa807f,0x3fffe27f,0x7fffe407,0xfffff103,
    0x5ffffa80,0xfffffff0,0xdfffffff,0xfffff700,0x9fffffff,0xeffffb80,
    0x7ffff441,0xfff70002,0x7ffd41ff,0x7fffd407,0xfffffb9f,0xfff10005,
    0xffffffff,0x7dc07fff,0xffffffff,0x15ffffff,0xffffffff,0xffffffff,
    0xffff883f,0xffff9807,0x1ffffe27,0x07ffff90,0x01ffffe2,0x20bffff5,
    0xffffffff,0x4fffffff,0x3fffff60,0xffffffff,0x7fff405f,0xfffdcfff,
    0x360005ff,0x7dc6ffff,0x7ec00fff,0xffffffff,0x3f60005f,0x988aefff,
    0x80fffffe,0xdffffff9,0xfffebaab,0xfffff15f,0xffbdffff,0xf889ffff,
    0xfa807fff,0x3fe26fff,0x7fe407ff,0xfff103ff,0xfffa80ff,0x57dff05f,
    0xfff73133,0xff501fff,0xfbbfffff,0x05ffffff,0x7fffffdc,0x0fffffff,
    0xffff5000,0xffffb8bf,0x7fffc400,0x003fffff,0x17fffe60,0x84ffffd8,
    0x02fffffe,0x22bffff5,0xdfffffff,0x3ffffa21,0x3fffe20f,0xffffb807,
    0x1ffffe25,0x07ffff90,0x01ffffe2,0x20bffff5,0xfff8800b,0xffff82ff,
    0xfffb81ff,0xfff106ff,0xffffffff,0x5510019f,0xfffffb95,0xffffb81f,
    0xffffd800,0x40000dff,0x200ffffe,0x5c7ffff9,0x202fffff,0xf15ffffa,
    0x20bfffff,0x23fffff8,0x807ffff8,0x223ffffe,0x2207ffff,0x103fffff,
    0xa80fffff,0x0005ffff,0x43ffffc8,0x01fffffb,0x0bffffea,0x36b7fff6,
    0x000bceee,0x3fffffe6,0xfb83ffff,0x7ec01fff,0x82ffffff,0x2602aaaa,
    0xe805ffff,0x3f60ffff,0x7d406fff,0xfff15fff,0x7ec01dff,0x3fe25fff,
    0x7fcc07ff,0x3fe22fff,0xfe880fff,0xf103ffff,0xfa80ffff,0x80005fff,
    0x744ffffb,0xe804ffff,0x7c44ffff,0x00001fff,0x3fffffe6,0xff903fff,
    0x7fec03ff,0x1fffffff,0x5037fff4,0xb007ffff,0x7f43ffff,0x7d402fff,
    0xfff15fff,0xffb801ff,0x3ffe26ff,0x3ffa207f,0x3fe20eff,0xffd82fff,
    0xf103ffff,0xfa80ffff,0x80005fff,0x7c4ffffb,0xb801ffff,0x7d45ffff,
    0x00002fff,0x3fffffe6,0x3ff201df,0xfffb01ff,0xdffffdff,0x02ffff41,
    0xfffffff7,0xffffffff,0x7ffc7fff,0x7fd401ff,0xffff15ff,0xffff500f,
    0x7ffffc4f,0xffffe980,0x7fffc42f,0xfffd52ef,0x101dffff,0xa80fffff,
    0x9805ffff,0xfffffedc,0x3e24ffff,0xf5007fff,0xffa8dfff,0x0099bfff,
    0x3fffe200,0xfff9001e,0xffff303f,0xfffff33f,0x027fffcb,0xfffffff9,
    0xffffffff,0x3fe67fff,0x7d400fff,0xfff15fff,0xfff500ff,0x7fffc4ff,
    0xffeddeff,0xf885ffff,0xffffffff,0xffffffff,0x7ffc45ff,0x7ffd407f,
    0x3ffaa05f,0xffffffff,0x3fea4fff,0xff3007ff,0xfff88fff,0xffffffff,
    0x4401cdef,0x2004ffff,0xd82ffffd,0x3ea3ffff,0xff8cffff,0x3ff603ff,
    0xffffffff,0xffffffff,0x0fffff53,0x2bffff50,0x807ffff8,0x227ffff9,
    0xffffffff,0xefffffff,0xfffff880,0xafffffff,0x45ffffff,0x407ffff8,
    0x905ffffa,0xffffffff,0x9fffffff,0x037fffdc,0x0fffff98,0x7fffffd4,
    0xffffffff,0xfff100df,0x7fec007f,0xffff82ff,0x7fffe40f,0x02ffffdf,
    0x337ffff6,0xcccccccc,0xff51cccc,0xff500fff,0x3ffe2bff,0xfffa807f,
    0x3fffe26f,0xffffffff,0x3fe203ff,0xffffffff,0xfffff92f,0x7ffff88b,
    0x2ffffd40,0x7fffffe4,0xffdcccce,0x3ffea4ff,0xfff5007f,0x3fff20ff,
    0xffffffff,0xf00effff,0x6c007fff,0x7c42ffff,0xffb06fff,0x0fffffff,
    0x03ffffc8,0x7fffcc00,0x7ffd400f,0xfffff15f,0xbffff700,0x7fffffc4,
    0x0cefffff,0x77fffc40,0x221effff,0x445ffffd,0x5407ffff,0x7c45ffff,
    0x700dffff,0x7cc9ffff,0xb800ffff,0xfc85ffff,0xeeeeffff,0xfffffffe,
    0x01555504,0x1ffffec0,0x417fffe6,0xffffffe8,0x7ffdc04f,0x7c40004f,
    0x6401ffff,0xff15ffff,0xffd00fff,0x7ffc47ff,0x00aa98ff,0x6ffffc40,
    0x2a600aa8,0xffff881a,0x7fffec07,0x7ffffd45,0x3fffee00,0x0fffffc4,
    0x27fffec0,0x03bfffee,0x6ffffe98,0xffe80000,0x7ffc43ff,0x3ffe607f,
    0x4c01ffff,0x000fffff,0x1fffffc0,0xbfffff70,0x01ffffe2,0x45fffff3,
    0x007ffff8,0x5ffff880,0x7ffc0000,0xfff901ff,0xfffc8bff,0x7ffe405f,
    0x7ffff44f,0x7fffc405,0x3fffe23f,0xfff9800f,0x003100ff,0x07ffffd0,
    0x407fffff,0x06fffffa,0x5fffff88,0x7ffec000,0xffff506f,0x3ffe2bff,
    0x3ffa207f,0x3fe20eff,0x880007ff,0x0006ffff,0x1fffffc0,0x7fffffdc,
    0x3ffffe45,0x9fffff90,0x2fffffc8,0x3fffff60,0x1bfffe60,0x3ffffcc0,
    0x002fffd8,0x20fffffa,0x83fffffe,0xffffffd8,0xffffb803,0x0dcc01df,
    0x37ffffe6,0xfffffb30,0x3ffe2bff,0xffe980ff,0x7fc42fff,0x880007ff,
    0x0007ffff,0x77ffff40,0xfffffb32,0xfffb8bff,0x7fec43ff,0x7c44ffff,
    0x11cfffff,0x5fffffb5,0x1fffffa8,0x5ffffc80,0x1fffffc8,0x9ffffd00,
    0xffffff30,0xffffdbbf,0x005fffff,0xdffffffd,0xfffddb9b,0xfffffd05,
    0xffffffff,0x3fe2bfff,0xeddeffff,0x85ffffff,0x007ffff8,0x7ffff880,
    0x7fdc0000,0xffffffff,0x45ffffff,0xfffffff9,0xffffffec,0xfffb84ff,
    0xffffffff,0xf886ffff,0x809effff,0x2fffffd9,0x4ffffff8,0x9fffff00,
    0x3fffff20,0xffffffff,0x01ffffff,0x7fffffcc,0xffffffff,0xffffa82f,
    0xcfffffff,0xff15fffd,0xffffffff,0x01dfffff,0x00fffff1,0xfffff100,
    0xfff00000,0xffffffff,0xb0bfffd9,0xffffffff,0xfffdbfff,0x3ffffa09,
    0xffffffff,0xfffb01ef,0xfddfffff,0x07ffffff,0x9ffffff1,0x3ffffe00,
    0x3ffff204,0xefffffff,0x0efffffa,0x7fffec40,0xffffffff,0xffff502f,
    0x369fffff,0xfff15fff,0xffffffff,0x7c407fff,0x80007fff,0x007ffff8,
    0xffffa800,0xfb4fffff,0xfff10bff,0xbfffffff,0xc813fff6,0xffffffff,
    0x74404fff,0xffffffff,0x4fffffff,0x3fffff60,0xfffff002,0xfffd880b,
    0x262effff,0x006fffff,0xffffffd5,0x4019dfff,0xefffffe9,0x997fff62,
    0xffffffdb,0x4400ceff,0x0007ffff,0x07ffff88,0xffd30000,0x7ec5dfff,
    0xff9105ff,0x6c5bffff,0x6cc04fff,0xdfffffff,0x3ffae002,0xffffffff,
    0x7f4400cf,0x3fe004ff,0x22005fff,0x00009aa9,0x55554400,0x5530001a,
    0x99880001,0xaa8000aa,0x880002aa,0x0002aaaa,0x05554400,0x554c4000,
    0x4400000a,0x40000aa9,0xcdedccb9,0x554000aa,0x55554001,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x97510000,0x0ee61599,0x95000000,0x00199999,0x66540000,
    0x0000cccc,0x66666654,0x33333220,0x004ccccc,0x004eeda8,0xcc87332e,
    0x880004cc,0x02cccccc,0x9ddb5000,0x0e665c00,0x9802ae60,0xc88000ab,
    0xffffffff,0x0005ffff,0xdfffdb91,0x3ffee09b,0x00000eff,0xfffffa80,
    0x7d40001e,0x4c1effff,0xffffffff,0x3aa007ff,0x3005ffff,0x7fc4dfff,
    0x300007ff,0x07fffffd,0x7fff5400,0xfff3005f,0xffffc80d,0x2ffffc82,
    0x3fffaa00,0xffffffff,0x644005ff,0xffffffff,0x3ffe607f,0x00000eff,
    0x3ffffea0,0x7d40000d,0x980dffff,0xffffffff,0xffd007ff,0x200bffff,
    0x3e21fffe,0x00007fff,0x3fffff62,0xfffe8003,0xfd005fff,0x7fdc03ff,
    0x3ee0ffff,0x800fffff,0xfffffffc,0xffffffff,0x3ffa2005,0xffffffff,
    0x7ffec407,0x800000ef,0x03fffffa,0xffffa800,0x3ffe603f,0x7fffffff,
    0xfffffb00,0xfff900bf,0x7ffff889,0xffb80000,0x6c003fff,0x05ffffff,
    0x404fffc8,0x3ffffffe,0x3ffffffa,0x7fffcc03,0xebaabdff,0x2005ffff,
    0xfffffffd,0x7007ffff,0x001dffff,0x7fffd400,0xfa80001e,0x4401efff,
    0xffbaaaaa,0x5d5007ff,0x980bfff5,0xff886fff,0x000007ff,0x05ffffd3,
    0x7fd57540,0x7ffcc05f,0xffffe806,0x3fffa3ff,0x7f403fff,0xf502ffff,
    0x2a00bfff,0x0aefffff,0x4c009531,0x0005eeed,0x19dddd30,0xddd30000,
    0x4400019d,0x8007ffff,0x7405fffa,0xff881fff,0x000007ff,0x07bbbb22,
    0x17ffea00,0x003fffd0,0x5ffffffb,0x7fffffec,0x3fffea02,0x3ffea02f,
    0xfff9005f,0x000000df,0x00000000,0x20000000,0x007ffff8,0x205fffa8,
    0xf104fffb,0x0000ffff,0x2a000000,0x3ee05fff,0xff1004ff,0xff88bfff,
    0x7ec05fff,0x7d406fff,0xfb005fff,0x00005fff,0x00000000,0x00000000,
    0x1ffffe20,0x17ffea00,0x1037ffcc,0x000fffff,0x20000000,0xf305fffa,
    0xd8800dff,0xdfb104ef,0xffffd009,0xffffa805,0xfffff005,0x75100001,
    0x0579bd99,0xd9975100,0x8000579b,0x1acddba8,0x3ffe2000,0xffa8007f,
    0x3fffd05f,0x3ffffc40,0x00b37726,0x2aaaaaa2,0x8002aaaa,0xfd05fffa,
    0x000003ff,0x7fffc000,0x7ffd401f,0xfff8805f,0x75c0007f,0xffffffff,
    0xeb803fff,0xffffffff,0x4c003fff,0xfffffffe,0xf88001ef,0xa8007fff,
    0xffb85fff,0x7ffc404f,0xffffd17f,0x7cc03dff,0xffffffff,0xffa8007f,
    0x4fffb85f,0x00000000,0x03ffffe6,0x0bffff50,0x0fffff10,0xfffff800,
    0xffffffff,0x7fffc06f,0xffffffff,0xff7006ff,0xffffffff,0xf88009ff,
    0xa8007fff,0x7fc45fff,0x7fc400ef,0xffff9eff,0x01ffffff,0xfffffff3,
    0x5000ffff,0xff88bfff,0x000000ef,0x3ffea000,0xfffa807f,0xfff8805f,
    0x7fc0007f,0xffffffff,0x204fffff,0xffffffff,0x4fffffff,0x7ffffec0,
    0xffffffff,0x3fe2005f,0xfa8007ff,0x7fff45ff,0xffff8802,0xffffffff,
    0xf305ffff,0xffffffff,0xff5000ff,0x2fffe8bf,0x00000000,0x03ffffd4,
    0x12ffffd4,0xff333333,0x33333fff,0x7fc01333,0xb9899abe,0x00ffffff,
    0x13357dff,0xffffff73,0x3fffea01,0xfffddfff,0x1002ffff,0x000fffff,
    0x7dc35551,0xff1005ff,0xdfffffff,0x3ffffffd,0xb9999910,0x000fffff,
    0x7dc35551,0x000005ff,0xfff98000,0x7fd400ff,0x3ffea5ff,0xffffffff,
    0xffffffff,0x22002e02,0x702fffff,0xffff1001,0x3fffe05f,0xfffb81ff,
    0xff1006ff,0x40000fff,0x000ffff8,0xfffffff1,0x7fffcc3b,0x3fe2003f,
    0x200007ff,0x000ffff8,0x88000000,0x401fffff,0x2a5ffffc,0xffffffff,
    0xffffffff,0x00002fff,0x007ffff9,0x7ffff900,0x3fffff70,0x7ffffd40,
    0xffff8802,0x3f600007,0x3e2002ff,0xb05fffff,0x4009ffff,0x007ffff8,
    0x0bfff600,0x39d91000,0x7ffc0000,0x3fee03ff,0x3fea5fff,0xffffffff,
    0xffffffff,0xf700002f,0x00009fff,0xd09ffff7,0xd009ffff,0x1009ffff,
    0x000fffff,0x017ffee0,0xdfffff10,0x3fffee01,0x3ffe2005,0xf700007f,
    0x88000bff,0x983ffffe,0x6c00cffd,0xf506ffff,0x4cbfffff,0xffeeeeee,
    0xeeeeefff,0x00002eee,0x009ffff7,0x9ffff700,0x03fffff0,0x0bffff70,
    0x0fffff10,0xffff1000,0xfff88001,0x3fea00ff,0x3e2005ff,0x80007fff,
    0x000ffff8,0x7ffffdc0,0x3fffe61f,0x7ffcc06f,0xffb30dff,0x00bfffff,
    0x00fffff1,0x7f6e4c00,0xffffffff,0xfedc9804,0xffffffff,0x3ffffc44,
    0x6ffffa80,0x7ffff880,0xfffd8000,0xfff88002,0x7ffd407f,0x3fe2005f,
    0xd80007ff,0x554c2fff,0xffffb000,0x7ffec9ff,0x7f402fff,0xffffffff,
    0x5fffffff,0x7ffff880,0xffea8000,0xffffffff,0x3aa04fff,0xffffffff,
    0x544fffff,0x3007ffff,0x100fffff,0x000fffff,0x645fffa8,0xf887ffff,
    0x7d407fff,0x22005fff,0x0007ffff,0xd8afffd4,0x00dfffff,0x7fffffe4,
    0x3fffffa6,0x7ffd403f,0xffffffff,0x805ffffd,0x007ffff8,0x7ffffe40,
    0xffffffff,0xfff904ff,0xffffffff,0xfb89ffff,0xf3006fff,0x8801ffff,
    0x0007ffff,0x983fffe2,0x887fffff,0x5407ffff,0x2005ffff,0x007ffff8,
    0x43fffe20,0xffffffff,0x3ffe200e,0x3ff67fff,0xa803ffff,0xffffffff,
    0x5ffff9cf,0x7ffff880,0x3fff2000,0xccccefff,0xc84ffffd,0xceffffff,
    0xffffdccc,0x3ffffd44,0x7ffffa80,0x7ffff880,0x3fff6000,0x7fffff43,
    0x7ffff887,0x2ffffd40,0xfffff100,0x7ffec000,0x3f37bea3,0x7d402fff,
    0x3ee7ffff,0x000fffff,0xdfffffd3,0x17fffe65,0x1ffffe20,0x7fffc400,
    0xfff700df,0xffff889f,0xfff700df,0xffff989f,0xfffb800f,0xfff8805f,
    0xff50007f,0xceffc8bf,0xfff887ff,0x7ffd407f,0x3fe2005f,0xf50007ff,
    0xfc870bff,0xffc803ff,0x7ffe45ff,0x5530002f,0x5ffff981,0x7ffff880,
    0xffff5000,0x7ffdc01f,0x7fffd44f,0x3ffee00f,0xfffff84f,0xffffd801,
    0xffff8804,0xfff88007,0x27ffe60f,0xff887ffc,0x7fd407ff,0x3e2005ff,
    0x88007fff,0xd800ffff,0xfa800fff,0xaa884fff,0xf5000000,0xf100bfff,
    0x2000ffff,0x405ffffc,0x644ffffc,0x6405ffff,0xfe84ffff,0x7c405fff,
    0x8803ffff,0x8007ffff,0x7f43fffc,0x10fff94f,0xa80fffff,0x2005ffff,
    0x007ffff8,0x803fffc8,0x9006fffc,0x0005ffff,0x3fea0000,0xff8805ff,
    0xf90007ff,0x7e40ffff,0x7e44ffff,0x3f207fff,0xfc84ffff,0x3602ffff,
    0x800fffff,0x007ffff8,0x2e37ffd4,0xfff90eff,0x0fffff10,0x05ffffa8,
    0x1ffffe20,0x0dfff500,0x03ffff90,0x0bfffd30,0x54000000,0x8805ffff,
    0x0007ffff,0x87fffff7,0xffffffd8,0x7ffffdc4,0x7fffec43,0xfff884ff,
    0xb511cfff,0x005fffff,0x01ffffe2,0x41fffe88,0xfffffffe,0x3fe25fff,
    0x7fd407ff,0x3e2005ff,0x22007fff,0x2201fffe,0x400efffe,0x0fffffb9,
    0x20000000,0x805ffffa,0x007ffff8,0xffffff30,0xfffffd9f,0xff989fff,
    0xfecfffff,0x4fffffff,0xffffff70,0xffffffff,0xfffff0df,0xffffffff,
    0xc83fffff,0xffe83fff,0xffffffff,0x1ffffe25,0x0bffff50,0xffffffff,
    0xffffffff,0xfffc83ff,0x3fffe603,0xffff500d,0x0003ffff,0xffa80000,
    0xff8805ff,0x360007ff,0xffffffff,0xfffedfff,0xfffffd84,0xedffffff,
    0x3fa04fff,0xffffffff,0xf81effff,0xffffffff,0xffffffff,0x1bffe61f,
    0x7f77776c,0x3e24efff,0x7d407fff,0xfff85fff,0xffffffff,0x1fffffff,
    0xf01bffe6,0xffffffff,0x7ffffd4d,0x000000cf,0xffffa800,0xffff8805,
    0x3fe20007,0xffffffff,0x109fffb5,0xffffffff,0x3fff6bff,0x7fffe404,
    0x4fffffff,0x3fffffe0,0xffffffff,0x3fa1ffff,0x7e4001ff,0xffff887f,
    0x7fffd407,0xffffff85,0xffffffff,0x3fa1ffff,0x7ffc01ff,0x26ffffff,
    0x01cefffa,0x20000000,0x805ffffa,0x007ffff8,0x7fffe440,0x3ff62dff,
    0xfff9104f,0x7ec5bfff,0xfd9804ff,0x2dffffff,0x7fffffc0,0xffffffff,
    0xff91ffff,0xff90009f,0xfffff10f,0x5ffffa80,0xfffffff8,0xffffffff,
    0xfff91fff,0xfffff009,0x4c4dffff,0x00000000,0x2aaaa200,0xffff8801,
    0x53100007,0x10000155,0x00015553,0x01553100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x2cccccc8,
    0x80000000,0x800cccc9,0x000ccccb,0xb9530000,0x00379bdd,0x3bbb72ea,
    0x10001acd,0x79bdd973,0xeca98003,0x00001ace,0x0d5554c4,0x55555544,
    0xaaaaaaaa,0x3b2e601a,0x00acdeee,0x00bdc980,0x7fff4400,0x2e2003ff,
    0x300001fd,0x01dfffff,0x01ffffe8,0x3f620000,0xffffffff,0xff703fff,
    0xffffffff,0x754005ff,0xffffffff,0x74c00fff,0xffffffff,0xd710002f,
    0xbfffffff,0xffffff30,0xffffffff,0xffff309f,0xffffffff,0x3fe60019,
    0x10001fff,0x03fffffd,0x0fffffc0,0x7ffc4000,0x7405ffff,0x0001ffff,
    0xfffff500,0xffffffff,0xfffe989f,0xffffffff,0xfd8802ff,0xffffffff,
    0x2e00ffff,0xffffffff,0x2004ffff,0xffffffd9,0xf985ffff,0xffffffff,
    0x84ffffff,0xfffffffa,0x0effffff,0xfffffd80,0xffe88006,0x7c000dff,
    0x0001ffff,0x767fff44,0x3fa05fff,0x00001fff,0x7ffffec4,0xffffffff,
    0x3ffa24ff,0xffffffff,0x4c02ffff,0xfffffffe,0x0fffffff,0xffffffd0,
    0xffffffff,0xfffa801b,0xffffffff,0xffff985f,0xffffffff,0xffa84fff,
    0xffffffff,0xf806ffff,0x02ffffff,0x3ffffa20,0xffff0003,0x7440003f,
    0xffd14fff,0x3fffa0bf,0x7400001f,0xffffffff,0xfffffeee,0x3fffff64,
    0xedccccef,0x3fe202ff,0xefffffff,0x80fffffe,0xfffffffb,0xfffffffe,
    0x3ffee03f,0xffffffff,0xfff985ff,0xffffffff,0xfa84ffff,0xdcabccef,
    0x03ffffff,0x7ffffff4,0x3bbb6004,0x3fe0001d,0x20001fff,0x6c43eeec,
    0xffe83eee,0x200001ff,0xdffffffa,0x4fc98809,0x3dfffff1,0x3601a880,
    0x1bffffff,0xf881fb50,0x20afffff,0x7fffffb8,0xffffff50,0x2600135b,
    0xaaadffff,0x1aaaaaaa,0x7d400a88,0x5404ffff,0x05ffffff,0x3e000000,
    0x0001ffff,0xffe80000,0x200001ff,0x03fffffe,0xffffa840,0xf980000f,
    0x001fffff,0xfffff901,0x7fffdc03,0xffffe82f,0xff30002e,0x000009ff,
    0x37ffff40,0x7ffffe40,0x98000005,0xfffaaaaa,0xaaaaabff,0x000001aa,
    0x01ffffe8,0xffff7000,0x7e40005f,0x00007fff,0x01fffffd,0x7fffc400,
    0xfffd803f,0x7fffd46f,0x3e60001f,0x00004fff,0x3fffee00,0xffffd006,
    0xaaaaa887,0x002aaaaa,0xfffffffb,0xffffffff,0x55107fff,0x55555555,
    0xffffd005,0x55554403,0x7fffc42a,0x7e40006f,0x0001ffff,0x27ffffd4,
    0x3ffea000,0xffb800ff,0x3ffa1fff,0x4c0003ff,0x0004ffff,0x3ffee000,
    0xfff9005f,0xffff985f,0x07ffffff,0xffffffb0,0xffffffff,0xf307ffff,
    0xffffffff,0xfffd00ff,0x3ffa203f,0x7fcc2fff,0x40002fff,0x1efffffa,
    0x3ffee000,0x640001ff,0x1005ffff,0x225fffff,0x000fffff,0x27fffcc0,
    0xfb000000,0x3a007fff,0x7cc0ffff,0xffffffff,0xfffb007f,0xffffffff,
    0x7fffffff,0xffffff30,0xd00fffff,0x3603ffff,0xa83fffff,0x0007ffff,
    0xffffff98,0xfc8001cf,0x80006fff,0x003ffffd,0x54fffffa,0x0007ffff,
    0x04ffff98,0xff700000,0xf5001fff,0xff307fff,0xffffffff,0x3332e00f,
    0xdfffffcc,0x2ccccccc,0xffffff98,0xe807ffff,0xfc81ffff,0xf704ffff,
    0x0000dfff,0x3ffffff6,0xd000adff,0x000bffff,0x07ffffd0,0xa7ffff40,
    0xb9dffffb,0x1cdefffe,0x3ffffe60,0x01ceefff,0x5ccccc40,0x01effffe,
    0x2ffffe54,0xdccccc88,0x0007ffff,0x00fffffc,0x66666440,0x807ffffd,
    0x5c1ffffe,0x205fffff,0xd05ffffd,0xdddddddd,0x7ffffc49,0x0cffffff,
    0x27ffffc0,0x7fffc000,0x3ff6002f,0xffffb4ff,0xffffffff,0xf3019fff,
    0xffffffff,0x2007dfff,0xfffffffd,0xff900dff,0x01dfffff,0x7ffff880,
    0x7fffc000,0x2200001f,0xe807ffff,0x3e61ffff,0x7405ffff,0xff04ffff,
    0xbfffffff,0xfffffe98,0x04ffffff,0x07fffff1,0xffff8800,0x3ff2001f,
    0xffffb5ff,0xffffffff,0x981fffff,0xffffffff,0x04ffffff,0xffffffd8,
    0x3f202fff,0x003fffff,0x0fffff10,0xfffff800,0x3e200001,0xfe807fff,
    0xfff11fff,0xff801dff,0xfff03fff,0x0bffffff,0xffffff91,0x81dfffff,
    0x02fffff9,0x7fffc400,0x3ff2001f,0xffffd6ff,0xffffffff,0x989fffff,
    0xffffffff,0x4fffffff,0x7ffffec0,0x83ffffff,0x00cefffc,0x3fffe200,
    0x7ffc0007,0x200001ff,0x807ffff8,0xe89ffffe,0x800effff,0xf04ffffe,
    0xffffffff,0x7ffe440b,0x6fffffff,0x1fffffc4,0x3ffe2000,0x3f6002ff,
    0xfffd5fff,0x53359fff,0x3ffffff9,0x99999998,0xffffffca,0x3bbb201f,
    0xfffffffe,0x0004cc5f,0xfffff100,0xffff8000,0x2200001f,0xe807ffff,
    0xffd9ffff,0xfb001fff,0x2aa0bfff,0x5ffffcaa,0xffffb500,0xff89ffff,
    0x80004fff,0x002fffff,0x74fffff6,0x5405ffff,0x004fffff,0x7fffff90,
    0xfff71000,0x00007fff,0x7ffff880,0x7fffc000,0x2200001f,0xe807ffff,
    0xfffdffff,0x3f2001ff,0xf5005fff,0x8800bfff,0x7ffffffc,0x02fffff4,
    0x7ffff400,0x3fffa003,0x9ffffb2f,0xbffffb00,0x7fff4000,0x3a20005f,
    0x6647ffff,0x20002ccc,0x007ffff8,0x0fffffc0,0xfff10000,0xfffd00ff,
    0x0bffffff,0x7ffffb80,0xbffff500,0x3ffea000,0x3ff60fff,0xd80006ff,
    0x2004ffff,0xf91fffff,0xf7009fff,0x4000dfff,0x007ffffc,0x7ffffcc0,
    0x13ffffe1,0xffff8800,0x7ffc0007,0x200001ff,0x807ffff8,0xffeffffe,
    0x2a002fff,0x802fffff,0x005ffffa,0x3fffff20,0x3fffff22,0x7fe40002,
    0xff3006ff,0x3ff21fff,0xffa805ff,0x2a0007ff,0x0007ffff,0x17ffffc4,
    0x009ffffd,0x3ffffc40,0x3fffe000,0x2200001f,0xe807ffff,0xffe9ffff,
    0xf1001fff,0x500bffff,0x000bffff,0x0fffffd4,0x0dfffff7,0xffffb800,
    0xfffc801f,0x3fffee7f,0xffffb807,0x3ff20005,0x440006ff,0x3a1fffff,
    0x0003ffff,0x01ffffe2,0x3fffff00,0x7fc40000,0xffe807ff,0xffff89ff,
    0xffb000ef,0xfa805fff,0x20005fff,0x447ffffb,0x03ffffff,0x3fffe200,
    0x7ffc404f,0x3ffe63ff,0x7fec02ff,0x3a0004ff,0x0004ffff,0x23ffffd4,
    0x002ffffd,0x1ffffe20,0xfffff000,0x7c400007,0xfe807fff,0xfff51fff,
    0x3e200bff,0x204fffff,0x375ffffa,0x7fffc400,0xffffb86f,0x0c9804ff,
    0x27ffffe4,0x6ffffe88,0x05ffffe8,0x0bffffe6,0x7fffe400,0x3e60002f,
    0x7ec6ffff,0x20002fff,0x007ffff8,0x2fffff40,0xfff10000,0xfffd00ff,
    0x7fffec3f,0xfff9004f,0x3359dfff,0x2bffffb3,0x99abdfff,0xffffca98,
    0xfffd03ff,0x557bdfff,0x881fff97,0xbdffffff,0xffffeca9,0xffffa82f,
    0x7ffdc0df,0x02aa0eff,0x7ffff5cc,0x1009a86f,0xffffff93,0x1ffffc87,
    0x3ffe2000,0x7ec0007f,0x1101ffff,0x7fffc400,0xffffe807,0x3ffffa21,
    0xfff8802f,0xffffffff,0xf5ffffff,0xffffffff,0xffffffff,0x7fffd40d,
    0xffffffff,0xfd80ffff,0xffffffff,0x06ffffff,0x3ffffffa,0xffffffef,
    0x7fffec1f,0xffffffff,0x7fc40eff,0xfffeffff,0x84ffffff,0x001ffffc,
    0x1ffffe20,0xffff7000,0xfdd99dff,0x7ffc4007,0xfffe807f,0x7fffcc1f,
    0xfd8801ff,0xffffffff,0xf5ffffff,0xffffffff,0xdfffffff,0xffffa801,
    0xffffffff,0xffb00fff,0xffffffff,0x4c01dfff,0xffffffff,0x83ffffff,
    0xfffffffd,0x0fffffff,0xffffff88,0xffffffff,0xffff705f,0xfffff001,
    0xffffffff,0x003fffff,0x3ffffffa,0xf83fffff,0xffffffff,0xffffffff,
    0x3ffffd1f,0xdfffff70,0x3ffee001,0xffffffff,0xffff4fff,0xffffffff,
    0x2001bfff,0xffffffd8,0x0fffffff,0x3ffffee0,0x04ffffff,0xfffffd10,
    0x05dfffff,0x3ffffff6,0x0cffffff,0xffffff10,0xdfffffff,0x7fffdc07,
    0xfffff800,0xffffffff,0x001fffff,0xfffffff3,0xff07ffff,0xffffffff,
    0xffffffff,0x07ffffa3,0x2fffffec,0xfffd9100,0x17dfffff,0x7ffff6dc,
    0x0cffffff,0xffd95000,0x15bfffff,0xfffdb300,0x0003bfff,0xffffffd9,
    0xfffd807f,0x3effffff,0xfffff880,0x2dffffff,0x06eeea80,0xfffffff0,
    0xffffffff,0x44003fff,0xfffffffc,0xffff82ff,0xffffffff,0xd1ffffff,
    0x2203ffff,0x04fffffe,0x33555300,0x55531001,0x00001355,0x00135310,
    0x00aa9880,0x26aa6000,0x2aa62000,0x880009aa,0x09aaaa99,0x3e000000,
    0xffffffff,0xffffffff,0x5330001f,0x7fc01555,0xffffffff,0xffffffff,
    0x03ffffd1,0x7fffffcc,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6e544000,0x44009bce,0x1002aaaa,
    0x40055555,0x1abccca9,0xeedca880,0x20000bcd,0x01bdeca8,0x2aaaaa20,
    0xaaaaaaaa,0x65d4002a,0x0009bcee,0x55500000,0x55400355,0x55542aaa,
    0x01aaaaaa,0x2aaaa880,0xbd910000,0xfffd1007,0x03dfffff,0x03ffffc4,
    0x06ffffa8,0x7fffff4c,0x9107ffff,0xffffffff,0x540019ff,0xfffffffe,
    0x7fc400df,0xffffffff,0x3007ffff,0xfffffffd,0x2f4c05ff,0x6406f400,
    0x800fffff,0x42fffff8,0xfffffffd,0x00beffff,0x03ffffc4,0x7fffc400,
    0x3ffea06f,0xffffffff,0xffff103f,0x3ffea00f,0xfff9106f,0xffffffff,
    0xfffff30f,0xffffffff,0xfff7003f,0xffffffff,0x7ffc403d,0xffffffff,
    0xfc807fff,0xffffffff,0x7ec44fff,0x3f2002ff,0x3fe20cff,0xfd804fff,
    0xffd85fff,0xffffffff,0x2202ffff,0x0007ffff,0xffffffd8,0xfffffb83,
    0xffffffff,0xffff884f,0xffff5007,0xfffff30d,0xffffffff,0xffffe88f,
    0xffffffff,0x3f200eff,0xebbdffff,0x102fffff,0xffffffff,0x0fffffff,
    0xffffffa8,0xffffffff,0x3fffffa1,0xffffa800,0x7fffdc3f,0x3ffe600f,
    0xfffd81ff,0xffffffff,0x880dffff,0x0007ffff,0x7fffffc4,0x7fffcc6f,
    0xffebacff,0x7c40ffff,0xf5007fff,0xffd0dfff,0xdddfffff,0xffc8ffff,
    0xb98acfff,0x03fffffc,0x203ffff9,0x82ffffb8,0xeeeeeee8,0x7ffffeee,
    0x3ffffa20,0xffda9abf,0x7fffc43f,0x7ff4405f,0xfffd05ff,0x7ffec0bf,
    0xffffb04f,0xfffffddd,0xf10bffff,0x9999ffff,0xf8801357,0x46ffffff,
    0x80effffd,0x44fffff9,0x007ffff8,0xb8dffff5,0x0affffff,0x7ff46b88,
    0x3ff602ff,0xfff985ff,0xfffb800e,0x3fe60006,0x3fee07ff,0x9d300fff,
    0x3ffffea0,0xdceffecc,0x500effff,0x303fffff,0x201fffff,0x4c2ffffd,
    0xffffffda,0x7ffffc42,0xffffffff,0x3fffe00c,0x3fe65fff,0x3f200fff,
    0x3e20ffff,0xf5007fff,0x7fc4dfff,0x4000efff,0x406ffff8,0xd86ffff9,
    0x2e000fff,0x30002fff,0x6c0fffff,0x0403ffff,0x3fffff20,0xffffffff,
    0x7ec01fff,0xffe86fff,0x3ff603ff,0x3ff202ff,0x7fc46fff,0xffffffff,
    0x504fffff,0x41ffffff,0x804ffffd,0x224ffffe,0x5007ffff,0x7dcdffff,
    0x8002ffff,0x406ffff9,0x4c5ffff8,0xeca83fff,0x1bffa5ff,0x7fffcc00,
    0x3ffffa07,0xffe80000,0xffffffff,0x9803ffff,0x2a2fffff,0x6c06ffff,
    0x6402ffff,0x223fffff,0xffffffff,0xffffffff,0x3dfff705,0x0fffffc4,
    0x37fffec0,0x00fffff1,0xc9bfffea,0x0006ffff,0x01fffff1,0x227fffdc,
    0x7ec0fffd,0x3ee7ffff,0xf98002ff,0x3fe07fff,0x300007ff,0xffffffff,
    0x00ffffff,0xd37fffe4,0xd803ffff,0x4402ffff,0x226fffff,0xcccfffff,
    0xffffffed,0x2602603f,0x4406ffff,0x27fffffe,0x007ffff8,0x74dffff5,
    0x0004ffff,0x03bffffe,0x07ffffe2,0xffe89fff,0x3e27ffff,0xf98004ff,
    0xff107fff,0x20000fff,0x9bfffffb,0x1fffffb9,0xfffff100,0x0bffff55,
    0x05ffffb0,0x4fffffb0,0x107ffff8,0x1ffffff9,0xffffa800,0x3fffea04,
    0xff10ffff,0x3ea00fff,0x3ffe6fff,0x2e0002ff,0x23ffffff,0x45ffffe9,
    0x3ea2fff8,0x45ccefff,0x98005ffd,0xf107ffff,0x0000ffff,0x203ffffa,
    0x005ffffa,0x3bbfffee,0xd800ffff,0xa802ffff,0x3e27ffff,0x7dc07fff,
    0x5c42ffff,0x7ffdc1cd,0xfffd883f,0x10ffffff,0x200fffff,0xf16ffffa,
    0x0005ffff,0xffffffd8,0x5fffffce,0x3a1fff98,0x7e405fff,0xff98006f,
    0xfff107ff,0xf30000ff,0x7f409fff,0x7f4007ff,0x4fffffff,0x7fff4cc0,
    0x981999bf,0xf11fffff,0xfd00ffff,0x7f449fff,0x3ff24fff,0x7ff4c3ff,
    0xffffffff,0x0fffff11,0x5bfffea0,0x03fffff8,0x7fff4400,0xffffffff,
    0x41fff505,0x5c01ffff,0xf98007ff,0x2aa27fff,0xaafffffb,0x00aaaaaa,
    0x00ffffd4,0x800ffff9,0xfffffff9,0x7fffc00f,0xffffffff,0x7ffffc41,
    0x0fffff12,0x4bffffb0,0x1ffffffe,0x5c5ffffb,0xcbffffff,0xff12ffff,
    0x3ea00fff,0x3ffe6fff,0x900004ff,0xffffffff,0x3ffdc0bf,0x801ffff1,
    0x4000fffa,0x2a7ffff9,0xffffffff,0xffffffff,0x7fffdc03,0x3fffee00,
    0x7ffec000,0xff802fff,0xffffffff,0x7ffc41ff,0xffff13ff,0xffff900f,
    0x3ffffe2d,0xffffd4ff,0xfffffb13,0x3ffff23d,0x0fffff13,0x9bfffea0,
    0x00effffe,0xffffa800,0x0dffffff,0x3e67ffc8,0xff9807ff,0x7fcc001f,
    0x3ffea7ff,0xffffffff,0x403fffff,0x200ffffb,0x000ffffb,0x37ffffc4,
    0xffffff80,0x81ffffff,0xf13fffff,0xfb00ffff,0x3fe69fff,0xfb5fffff,
    0xffff9fff,0xfffd8bff,0xfffff12f,0x3fffea00,0x3fffff26,0x7fec0004,
    0xffffffff,0x7fdc1fff,0x07fffe67,0x001fff50,0x27ffff98,0xfffffffa,
    0xffffffff,0x7ffd403f,0x3fff201f,0x4cccc407,0x9bffffd9,0x7fc09999,
    0xffffffff,0x7ffc41ff,0xffff11ff,0xfffff00f,0x3ffffe27,0xffff94ff,
    0x05ffffff,0x223ffffd,0x5007ffff,0x7ccdffff,0x803fffff,0x7fffec08,
    0xffffd9cf,0x3fea0fff,0x0ffffe0f,0x000fff70,0x44fffff3,0xfffffbaa,
    0xaaaaaaaa,0x7fffcc00,0x1ffffa03,0xffffffd0,0xffffffff,0x3ff607ff,
    0xff9802ff,0xfff10fff,0xfffb80ff,0x3fff61ff,0xfff70fff,0x01dfffff,
    0x443ffffe,0x5007ffff,0xfd8dffff,0x9aefffff,0x20fdb998,0x41fffffc,
    0x4ffffffa,0xfe87ffe6,0x4188bfff,0x98006ffc,0xf107ffff,0x0000ffff,
    0x20dffff1,0x404ffffa,0xfffffffe,0xffffffff,0xffffb03f,0xffff5005,
    0x3ffffc4f,0xdfffff70,0x2ffffd88,0x3fffffea,0x7fffc04f,0x1ffffe27,
    0x2ffffd40,0x3fffffe6,0xffffffff,0xfffff10f,0x3fffa203,0x7fff10ff,
    0x7fffffd4,0x02ffec7f,0x3ffffcc0,0x07ffff88,0xffffb000,0x7fffd43d,
    0x7fff401f,0xffffffff,0xb03fffff,0x7005ffff,0x7c4dffff,0xaaaaffff,
    0xffffffec,0x98155301,0x01ffffff,0x137fffd4,0x001fffff,0x309ffff7,
    0xffffffff,0x21ffffff,0x405ffffb,0x21fffff8,0x7fec6fff,0x3e27ffff,
    0xf98003ff,0xff107fff,0x20000fff,0xfffffffa,0x06ffffff,0x3ffff600,
    0x7ffec002,0x7ffc402f,0x3ffe25ff,0xffffffff,0x003fffff,0x3fffff10,
    0x9ffffb00,0x00fffff8,0x02ffffc8,0xffffffd3,0x21ffffff,0x803ffffd,
    0x322ffffe,0x7fe41fff,0x3ff27fff,0xffb8000f,0xfff106ff,0x320000ff,
    0xffffffff,0x01ffffff,0x5ffffb00,0xffffd800,0x7fffdc02,0x3fffe21f,
    0xffffffff,0x3fe03fff,0xfffd85ff,0x7ffc406f,0x7fff40ff,0xfffe803f,
    0x7fecc01f,0x2dffffff,0x00bffffa,0x88bffff6,0xba885fff,0x9fff11bc,
    0x3fff6000,0xffff105f,0xff50000f,0xffffffff,0x01ffffff,0x5ffffb00,
    0xffffd800,0x3fffe602,0x7fffc45f,0xffffffff,0x3fe200cf,0xfff982ff,
    0x3ff603ff,0xfffd85ff,0x3fea00ff,0xfd000fff,0x32013dff,0x4404ffff,
    0x6c0fffff,0x36003fff,0x01540fff,0x0fffffe6,0x03ffffc4,0x3fffe200,
    0xdfffffef,0x205ffffe,0xfffffffe,0xffffffff,0xffffb03f,0x3fffee05,
    0x7ffc41ff,0xbdefffff,0xfffa800a,0x3ffff607,0x3ff620bf,0xff981fff,
    0xfb81efff,0x1003ffff,0xb807ffff,0x80cfffff,0x86ffffd8,0x403ffff8,
    0xa84fffd8,0x7fd40bef,0x2a21ffff,0xafffffba,0xaaaaaaaa,0x7fff40aa,
    0xf982626f,0xfd04ffff,0xffffffff,0x7fffffff,0x33ffff60,0xfffedbaa,
    0xff884fff,0xc80007ff,0x3e604fff,0xeeffffff,0x05ffffff,0x3ffffff6,
    0xfffffeef,0x3fe6006f,0x7fc400ff,0xccefffff,0x3ffffffe,0x5bffff90,
    0x7fff5cc1,0xffffa80e,0xffffffff,0x7fffd44f,0xffffffff,0x1fffffff,
    0x03fffff2,0x3fffff20,0xfffffe82,0xffffffff,0xffb03fff,0xffffffff,
    0x01bfffff,0x00fffff1,0x03fffd00,0xffffffb8,0x4fffffff,0x7ffffc40,
    0xffffffff,0x3ee001ff,0xff5005ff,0xffffffff,0x809fffff,0xeffffffb,
    0x0dffffff,0xffffff50,0x1dffffff,0xffffffa8,0xffffffff,0x2e1fffff,
    0x2003ffff,0x881dfffe,0xffd99999,0x99999bff,0xfffffb00,0xffffffff,
    0x7ffc405f,0xff80007f,0xfff3006f,0xffffffff,0x3ff62007,0xffffffff,
    0x7ec001ef,0x3ee002ff,0xffffffff,0x3004ffff,0xffffffff,0xfa809fff,
    0xffffffff,0xffa80dff,0xffffffff,0xffffffff,0x02fe441f,0x000bbe60,
    0x00bffff6,0xffffffb0,0x1bffffff,0x7ffff880,0x09998000,0x3ffb6200,
    0x001cefff,0xfffffea8,0xd0003eff,0x71000fff,0xffffffff,0xc880019f,
    0xcefffffd,0xfffb5002,0x405bffff,0xfffffffa,0xffffffff,0x1101ffff,
    0x40003000,0x002ffffd,0x7fffffec,0x000adeef,0x00fffff1,0x22000000,
    0x000009a9,0x0006aaa6,0x00026660,0x13555310,0x554c0000,0x54cc0000,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a200000,0xaaaaaaaa,0x55511aaa,0x55555555,0x55555555,0x55555445,
    0x8001aaaa,0xaaaaaaa8,0x000019aa,0x2aaaaaaa,0x55551001,0x33555555,
    0xdca88000,0xa801bcde,0xaaaaaaaa,0x0aaaaaaa,0x2aaaaaaa,0xaaaaaaaa,
    0x02aaaaa2,0x55555400,0xaaaa9800,0xb0000001,0xffffffff,0x3ea9ffff,
    0xffffffff,0xffffffff,0x3ffe27ff,0xffffffff,0x7cc00bef,0xffffffff,
    0x0002dfff,0x3fffffe2,0xfff3005f,0xffffffff,0x44003bff,0xfffffffc,
    0x3fe204ff,0xffffffff,0x12ffffff,0xffffffff,0xffffffff,0x017ffff4,
    0x0fffff80,0x4ffffb80,0xf8800000,0xffffffff,0xff54ffff,0xffffffff,
    0xffffffff,0x7fffc4ff,0xffffffff,0x3e602fff,0xffffffff,0x01ffffff,
    0xfffffa80,0xff3007ff,0xffffffff,0x00bfffff,0xfffffff7,0x03dfffff,
    0xfffffff1,0xffffffff,0x3fffe25f,0xffffffff,0x3ffa7fff,0xff0002ff,
    0xf7001fff,0x00009fff,0xfffff700,0xffffffff,0x2ab7fea9,0xaaaaaaaa,
    0x27ffaaaa,0xfffffff8,0xffffffff,0xfff980df,0xffffffff,0x000effff,
    0x7fffffe4,0xff9801ff,0xffffffff,0x05ffffff,0x3fffffe6,0xffffffff,
    0x7fffc40f,0xffffffff,0xff12ffff,0xffffffff,0x74ffffff,0x0002ffff,
    0x001fffff,0x009ffff7,0xfffd0000,0xdddfffff,0x93fea7dd,0x7c009abc,
    0x3fffe27f,0xffffeeef,0x985fffff,0xeeefffff,0xffffffff,0x7fffc006,
    0x804fffff,0xccfffff9,0xfffffedc,0xfff882ff,0xedbbdfff,0x443fffff,
    0xffffffff,0xffffffff,0xffffff12,0xffffffff,0x7ffff4ff,0xffff0002,
    0xfff7001f,0x8000009f,0xffdffff9,0x27fd407f,0x07dfffff,0xfff89ffe,
    0xffda987f,0x7cc2ffff,0xfb886fff,0x000fffff,0xfffffff3,0xff300dff,
    0x3f220dff,0xfd84ffff,0xe882ffff,0x220fffff,0x000fffff,0x0fffff88,
    0xffffe800,0xffff0002,0xfff7001f,0x8000009f,0xffcdfffc,0x27fd407f,
    0xffffffff,0x3e27ff83,0x7e407fff,0x7cc6ffff,0x3ea06fff,0x7002ffff,
    0xfff7ffff,0xff9801ff,0x7ff406ff,0xffff85ff,0x3ffe204f,0x3ffe24ff,
    0xf88000ff,0x8000ffff,0x002ffffe,0x01fffff0,0x09ffff70,0xfff80000,
    0x07fffcaf,0xb9927fd4,0x41fffffd,0x3ffe27ff,0xfffc807f,0x3ffe63ff,
    0x7fffc06f,0xfffd003f,0x7ffffd1f,0x6ffff980,0x37fffdc0,0x03ffffe2,
    0x4dffffb0,0x00fffff8,0xfffff880,0xfffe8000,0xfff0002f,0xff7001ff,
    0x000009ff,0xfcbfffd4,0x7fd407ff,0x3fff6604,0xff89ffe5,0xff8807ff,
    0x3fe66fff,0x7fec06ff,0xff8804ff,0xffff96ff,0xffff980b,0x7fffdc06,
    0x3ffffd45,0x3ffffd40,0x01fffff1,0xfffff100,0xfffd0001,0x3fe0005f,
    0xfb800fff,0x00004fff,0x653fff60,0x7d407fff,0x7ffe804f,0xfff89ffe,
    0xfffb007f,0x7fffccff,0x7ffff406,0xffffa803,0x0fffff33,0x06ffff98,
    0x21ffffec,0x806ffffb,0x227ffff9,0x000fffff,0x0fffff88,0xffffe800,
    0xffff0002,0xfff7001f,0x2000009f,0xf91ffff8,0xffa80fff,0x1fffb804,
    0x7ffc4fff,0xfff5007f,0x7fffccff,0x3fffe606,0xfffd801f,0x3ffffe1f,
    0x3fffe602,0x3fffea06,0x7fffcc0f,0xffff8807,0xfffff10f,0xfff10001,
    0xfd0001ff,0x20005fff,0x800fffff,0x004ffffb,0xdfff7000,0x4cffffe4,
    0x13fea199,0x7c3fff60,0x3fffe27f,0xffff3007,0x3fffe63f,0xfffff306,
    0x3fffe00d,0x27fffec7,0x8dffff30,0xfffffc98,0xfffff883,0xfffff803,
    0x3fffff11,0x33333333,0x7fffc413,0xffe8000f,0xff0002ff,0x55557fff,
    0xfffb5555,0x2000009f,0x3f23fffe,0xffffffff,0x4409ff51,0x3fe6fffa,
    0x1ffffe27,0x7ffffc40,0x5fffff32,0xffffd955,0xff3003ff,0xfffb8bff,
    0x3ffe607f,0xffffffff,0x3e03ffff,0x302fffff,0x25fffff9,0xfffffff8,
    0xffffffff,0x3ffffe26,0xaaaaaaab,0x3fffa1aa,0xfff0002f,0xffffffff,
    0xffffffff,0xf3000009,0x7fe41fff,0x1fffffff,0xeed89ff5,0x3e1fffff,
    0x3fffe27f,0xffff1007,0x3fffe67f,0xffffffff,0xf9001eff,0xff885fff,
    0xff301fff,0xffffffff,0x4017ffff,0xeffffffc,0xffffedcd,0xfff12fff,
    0xffffffff,0x7c4dffff,0xffffffff,0x23ffffff,0x002ffffe,0xfffffff0,
    0xffffffff,0x0009ffff,0x8dfff900,0xfffffffc,0x89ff51ff,0x2ffffffe,
    0xfff13ffc,0x7ffc00ff,0xffff33ff,0xffffffff,0xffe8005b,0xfffe80ff,
    0xffff303f,0xffffffff,0x7407ffff,0xffffffff,0xffffffff,0xfffff11f,
    0xffffffff,0x7ffc4dff,0xffffffff,0x3fa3ffff,0xf0002fff,0xffffffff,
    0xffffffff,0x800009ff,0x643ffff8,0xffffffff,0xe89ff51f,0xff02ceff,
    0x3ffffc4f,0xfffff880,0xffffff31,0x07ffffff,0x6ffff880,0x0dffff90,
    0x3bffffe6,0xffffffee,0xff303fff,0xffffffff,0x1fffffff,0x3fffffe2,
    0xffffffff,0x3fffe26f,0xffffffff,0x3ffa3fff,0xff0002ff,0xffffffff,
    0xffffffff,0xb800009f,0x7e40ffff,0x7fd407ff,0x2017fec4,0x3ffe27ff,
    0xfff3007f,0x3ffe61ff,0xffffecff,0x3ee005ff,0xff504fff,0xff301fff,
    0x3f220dff,0x101fffff,0xfffffff7,0xfffffbff,0x3ffffe21,0xfff88000,
    0xeeeeeeff,0x3fa2eeee,0xf0002fff,0x7001ffff,0x0009ffff,0x85fffe80,
    0x5407fffc,0x0ffec4ff,0xff89ffe0,0xff5007ff,0x7ffccfff,0x3fff626f,
    0xffb002ff,0x3fe203ff,0xff982fff,0x7fd406ff,0x4c404fff,0xf31accca,
    0x7fc4ffff,0x88000fff,0x000fffff,0x02ffffe8,0x1fffff00,0x9ffff700,
    0x7fcc0000,0xdaaaacff,0x7d407fff,0x0066544f,0xfff89ffe,0xfff7007f,
    0x7fffccdf,0xfffffe86,0xfffff800,0xfccccccc,0xf985ffff,0xfd806fff,
    0x80006fff,0x226ffffb,0x000fffff,0x0fffff88,0xffffe800,0xffff0002,
    0xfff7001f,0x6400009f,0xffffffff,0x407fffff,0x00084ffa,0x7ffc4fff,
    0xfff8807f,0x3ffe65ff,0xffff886f,0x7ffd403f,0xffffffff,0x87ffffff,
    0x806ffff9,0x007ffffc,0x3ffffd80,0x03ffffe2,0x3fffe200,0xffe8000f,
    0xff0002ff,0xf7001fff,0x00009fff,0x7ffffffc,0x7fffffff,0x3627fd40,
    0x3ffc02ff,0x00fffff1,0x43fffff7,0xb06ffff9,0x401fffff,0xfffffffc,
    0xffffffff,0x7fcc1fff,0xffd806ff,0x4c0006ff,0x220fffff,0x000fffff,
    0x0fffff88,0xffffe800,0xffff0002,0xfff7001f,0x2a00009f,0xffffffff,
    0x07ffffff,0xff527fd4,0x27ff80ff,0x407ffff8,0x45fffff9,0x306ffff9,
    0x407fffff,0xffffffff,0xffffffff,0x7fcc4fff,0x7fc406ff,0x20004fff,
    0x45fffff8,0x00fffff8,0xfffff880,0xfffe8000,0xfff0002f,0xff7001ff,
    0x200009ff,0xaaaefffd,0x7fffdaaa,0xf527fd40,0x7ff80fff,0x81ffffe2,
    0x1ffffffb,0x037fffcc,0x20fffffd,0xcceffff9,0xeccccccc,0x7cc6ffff,
    0x36206fff,0x003fffff,0xfffffb88,0x7fffc41f,0xff88000f,0xe8000fff,
    0x0002ffff,0x001fffff,0x009ffff7,0x7ffff100,0x4ffffe40,0xff509999,
    0x402ffd89,0x3ffe27ff,0xedbaaaff,0x84ffffff,0x206ffff9,0x83fffffb,
    0x003ffffb,0x41fffff5,0x99effff9,0xffffba99,0xaaa80fff,0xfffeccaa,
    0xf882ffff,0xaaabffff,0x0aaaaaaa,0x01fffff1,0x9ffffd00,0x55555555,
    0x7fffc555,0xfffb800f,0xfb80004f,0x3f200fff,0xffffffff,0x1109ff55,
    0x7c4fff00,0xffffffff,0xdfffffff,0x6ffff980,0x37ffffc0,0x00fffff4,
    0x3fffff88,0x3fffffe6,0xffffffff,0xffd02fff,0xffffffff,0x3e209fff,
    0xffffffff,0x2fffffff,0x01fffff1,0xfffffd00,0xffffffff,0x7fffcfff,
    0xfffb800f,0xfe80004f,0x7fe406ff,0x5fffffff,0xddddfff5,0xdddddddd,
    0x7c4fffdd,0xffffffff,0x02ffffff,0x01bfffe6,0x45fffff9,0x007ffff8,
    0x32fffff4,0xffffffff,0xffffffff,0x7ffff407,0xffffffff,0x3fffe203,
    0xffffffff,0xff12ffff,0xd0001fff,0xffffffff,0xffffffff,0x007ffffc,
    0x027fffdc,0x3fffe600,0x7fffe403,0xf55fffff,0xffffffff,0xffffffff,
    0x7ffc4fff,0xffffffff,0x7cc00dff,0x7c406fff,0x3ea6ffff,0x64004fff,
    0x3e67ffff,0xffffffff,0x01dfffff,0x7ffffff4,0x400cffff,0xfffffff8,
    0xffffffff,0xfffff12f,0xfffd0001,0xffffffff,0x7fcfffff,0xfb800fff,
    0x40004fff,0x400ffffc,0xfffffffc,0xffff55ff,0xffffffff,0xffffffff,
    0x7fffffc4,0x00adeeff,0x0dffff30,0x5fffffb0,0x00bffff2,0x5fffff30,
    0x3fffffe6,0x0bcdefff,0xdffffd00,0x440037bd,0xffffffff,0xffffffff,
    0x1fffff12,0xffffd000,0xffffffff,0x7ffcffff,0xffb800ff,0x000004ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xa981aaa8,0xaaaa81aa,0xaaaaaaaa,0x551aaaaa,
    0x55555555,0x55555555,0x2aaaa215,0xaaaaa802,0xaa98000a,0x5101aaaa,
    0x55555555,0x55555555,0x2aaaa615,0x55544002,0x555510aa,0x2aa60055,
    0x2aa21aaa,0xa88000aa,0x555552aa,0x55550005,0xaaaa9835,0x2aaa600a,
    0xffb800aa,0x4fffb84f,0xffffffe8,0xffffffff,0xffffb3ff,0xffffffff,
    0x23ffffff,0x407ffff9,0x05fffffb,0xfffff880,0xfff504ff,0xffffffff,
    0x3fffffff,0x0bffffea,0x6ffffc80,0x0fffffec,0x7fffff40,0x07fffe60,
    0x5bffee00,0x00fffffd,0x3ffffe20,0x7ffffec2,0x3ffffa02,0xfffc802f,
    0x83fffc83,0xfffffffe,0xffffffff,0xfffffb3f,0xffffffff,0x263fffff,
    0x2207ffff,0x00ffffff,0xfffffc80,0xfff504ff,0xffffffff,0x3fffffff,
    0x037ffff4,0x2fffff88,0x2fffffcc,0x3ffffea0,0x17fffcc3,0xb7ffdc00,
    0x02fffffa,0x1ffffea0,0x17fffffa,0x7fffffcc,0x2fffd802,0xe82fffd8,
    0xffffffff,0xffffffff,0xffffffb3,0xffffffff,0x3e63ffff,0x3f607fff,
    0x8002ffff,0xfffffff9,0xffff504f,0xffffffff,0x43ffffff,0x02fffffa,
    0x06ffffc8,0x03fffffb,0x07fffff4,0x00bfffe2,0x45bffee0,0x004fffff,
    0x217ffff6,0x07fffffe,0x7ffffff7,0x05fffb00,0xdb03fffd,0xffffdddd,
    0x5ddddddf,0x3ffffff6,0xffffffff,0xff31ffff,0x3fea0fff,0xd0004fff,
    0xffffffff,0x3fffea09,0xffffffff,0x41ffffff,0x406ffffe,0x02fffff8,
    0x0dfffff1,0x0fffffee,0x00bfffe2,0xe97ffee0,0x2007ffff,0xe83fffff,
    0x82ffffff,0x3ffffffe,0x81fffe80,0x2000ffff,0x403ffffd,0xcccccccb,
    0xffeccccc,0xfff30fff,0xffff10ff,0x3ee000df,0xffffffff,0x33333104,
    0xf9333333,0xf50bffff,0x6403ffff,0x6406ffff,0xe82fffff,0x3e06ffff,
    0xc8002fff,0x3fee5fff,0xf9801fff,0xff80ffff,0x444fffff,0x4fffffff,
    0x80ffff80,0x2000ffff,0x003ffffd,0x7fffc400,0x3fffe64f,0xfffffd87,
    0xfff88001,0x4ffffaff,0xfff88000,0xffd00fff,0x3fe20bff,0x7c402fff,
    0x7dc6ffff,0x3e02ffff,0xc8003fff,0x3fe64fff,0xfb803fff,0xfff06fff,
    0xfb8fffff,0x84fffeff,0xffffeeee,0xfffeeeee,0x6c04eeef,0x0003ffff,
    0x7ffffe40,0x1ffffe60,0x07fffff5,0x3ffff600,0x04ffffaa,0xffffd800,
    0x3ffea02f,0xfffc81ff,0xfff7006f,0x7fff45ff,0x7fffc06f,0xfffc8003,
    0x2fffff44,0x1fffff40,0xffdefff8,0x33fff61f,0xfff84fff,0xffffffff,
    0xffffffff,0x7ffec05f,0x2200003f,0x4c4fffff,0x3e27ffff,0x0005ffff,
    0x2abffff5,0x0004ffff,0x2fffffd4,0x2fffff40,0x0bffffe2,0x6ffffe80,
    0x03fffff7,0x003fffe8,0x643fffd8,0x200fffff,0x81fffff8,0xffbefff8,
    0x7bfff14f,0xfff0bfff,0xffffffff,0xffffffff,0xfffd80bf,0x2e00003f,
    0x4c0fffff,0x3f67ffff,0x0000ffff,0x2a1ffffd,0x0004ffff,0x3fffffe2,
    0xffffa800,0x3ffff20f,0x7ffd4006,0xffffeaff,0x3fffe805,0xfd85ffe8,
    0x7ffcc3ff,0x3fea02ff,0xfff107ff,0x2adfff1d,0xfffbbfff,0xffffff85,
    0xffffffff,0x05ffffff,0x01ffffec,0xffff8800,0xffff984f,0x5fffff57,
    0x3ffee000,0x3fffea3f,0x3ff60004,0x3a002fff,0x3fe4ffff,0xe8002fff,
    0xffffffff,0xffd800ff,0x7fffc44f,0x41fffec0,0x204fffff,0x304ffffc,
    0x3ffadfff,0xa8fffc8f,0x7dc06fff,0xfffb84ff,0x7ffec004,0xf700003f,
    0xf301ffff,0xffd1ffff,0x220009ff,0x7d46ffff,0x50004fff,0x00bfffff,
    0x8fffffa8,0x006ffffb,0xffffff30,0x36009fff,0x7fdc4fff,0x7ffec2ff,
    0x6ffffd82,0x0bffffe0,0xfcb7ffcc,0x56fffaff,0xfc80dfff,0xfffc83ff,
    0x7ffec003,0xff00003f,0x3e60bfff,0xfffcffff,0x3f60006f,0x7fd41fff,
    0xf88004ff,0x000fffff,0xebffffe8,0x0002ffff,0x3ffffff6,0xff9000ff,
    0xffffd89f,0x417fff45,0x80fffffa,0x207ffff9,0xff56fff9,0x2a7fffdf,
    0x7ec06fff,0xfffd82ff,0x7ffec002,0xfb80003f,0xf301ffff,0xffffffff,
    0x3ea0003f,0xffa84fff,0xfd8004ff,0x0002ffff,0xfffffff5,0x88000dff,
    0x3fffffff,0x97fff200,0x47fffff8,0xf881fffe,0xfb83ffff,0x3ea05fff,
    0x3fffe5ff,0xfff50fff,0x2fffd80f,0x001fffe8,0x01ffffec,0x7ffff400,
    0x3fffe605,0x04ffffff,0xefffe880,0x4ffffa80,0x7fffd400,0x7f40004f,
    0x1fffffff,0x7ffcc000,0x2004ffff,0x3ea5fffc,0x3a1fffff,0xffb01fff,
    0xfffd0bff,0x7ffd405f,0x3fffff65,0x01fffe66,0xff03fffd,0xfd8001ff,
    0x40003fff,0x01fffffb,0x33ffffe6,0x002fffff,0x817fffe4,0x004ffffa,
    0x3bffffe2,0x7fd40000,0x006fffff,0xfffffd80,0xf7000fff,0x7ffecbff,
    0x3ffe4fff,0xffff700f,0xfffff88f,0x97ffee00,0x23fffffb,0x7c07fff9,
    0xfff80fff,0x7fec000f,0x740003ff,0x4c05ffff,0xffd7ffff,0x26001fff,
    0x2a05ffff,0x2004ffff,0x02fffffd,0xffffd000,0xa80003ff,0xffffffff,
    0xfff7005f,0x7fefffcb,0x03fffe6f,0x0fffffc4,0x80dffff5,0x3e24fffb,
    0x3e60ffff,0xfff10fff,0xffffffff,0xffffffff,0xfffb009f,0x7d40007f,
    0x4c02ffff,0xff57ffff,0x3a00bfff,0x2a00ffff,0x5004ffff,0x009fffff,
    0x7fffd400,0xfe80005f,0xffffffff,0xfffa802f,0xff3fff36,0x1fffe3ff,
    0x49ffffd0,0x403ffffc,0x7f44fffb,0x7ffcc6ff,0xfffff10f,0xffffffff,
    0x9fffffff,0x7ffffb00,0x7fff4000,0xfff9806f,0x3ffff67f,0x7ffc402f,
    0xffffffff,0xffffffff,0xfff885ff,0x800006ff,0x002ffffe,0x7ffffdc0,
    0x06fffffa,0xf96fffa8,0x4ffff2ff,0x7e407fff,0x3ffa6fff,0x7fe401ff,
    0x1fffe44f,0x447fffe2,0xffffffff,0xffffffff,0xd804ffff,0x0003ffff,
    0x05fffff5,0x4fffff30,0x0ffffff8,0x3ffffe20,0xffffffff,0xffffffff,
    0xfffffd85,0xfe800001,0x20002fff,0x75fffff8,0x807fffff,0xfff7fff9,
    0x23bffeab,0x7cc07fff,0xff98ffff,0xffc806ff,0x0f774c4f,0x447fffe2,
    0xffffeeee,0xfffeeeee,0xd803eeef,0x0003ffff,0x00dffffd,0x71ffffe6,
    0x40bfffff,0xfffffff8,0xffffffff,0x45ffffff,0x04fffffa,0xfffd0000,
    0x7e40005f,0xff11ffff,0x4c01ffff,0xfff9ffff,0xf3ffff12,0xfff00dff,
    0xffff75ff,0x7fffb009,0xffff8800,0x09fff701,0x0009fff7,0x007ffffb,
    0x5fffff50,0x3fffe600,0xfffffe87,0xfffff102,0xffffffff,0xffffffff,
    0x7ffffc4b,0x3a000006,0x0002ffff,0x8bfffff1,0x04fffffb,0x3effffe2,
    0x3fff60ff,0xc806fffb,0xffddffff,0xffd801ff,0x7fc4003f,0xfff902ff,
    0x07fff907,0x7ffffb00,0xffffd000,0x7ffcc00d,0xffff987f,0xaaa880ff,
    0xaaaaaaaa,0xadffffca,0x3fff61aa,0x000001ff,0x00bffffa,0x7ffffec0,
    0xffffff81,0xdffff101,0xfffa8bff,0xa805fffe,0xffffffff,0xfffb007f,
    0xffff0007,0x0bfff605,0x880bfff6,0xffe99999,0x99999bff,0xfffff300,
    0x7ffcc007,0xffff907f,0x2a0000bf,0xf504ffff,0x999dffff,0x99999999,
    0x7ff40039,0xf98002ff,0xf705ffff,0x220dffff,0x3fffffff,0x7fffffc4,
    0xffff005f,0x00bfffff,0x000ffffa,0x740ffffe,0xffe81fff,0x3fffa01f,
    0xffffffff,0xb03fffff,0x800fffff,0x107ffff9,0x07fffffd,0xffff5000,
    0x3ffffa09,0xffffffff,0x03ffffff,0x0bffffa0,0x3ffffa00,0x3fffa01f,
    0xffff02ff,0xffb01fff,0x200bffff,0xfffffffd,0xfffd002f,0xffff0007,
    0x07fffa07,0xe803fffe,0xffffffff,0xffffffff,0xfffff983,0x7ffcc003,
    0x3ffea07f,0x40000fff,0xd04ffffa,0xffffffff,0xffffffff,0x7f4007ff,
    0x54002fff,0x405fffff,0x0ffffffa,0x6ffffff8,0xffffff70,0x3ffee009,
    0x000fffff,0x0005ffff,0x3e07ffff,0xfff80fff,0x7ffff407,0xffffffff,
    0xfd83ffff,0x98007fff,0x6c07ffff,0x005fffff,0x27fffd40,0xffffffe8,
    0xffffffff,0x2003ffff,0x002ffffe,0x0ffffff4,0x7fffff40,0xfffffe84,
    0xfffff103,0x3fe2009f,0x005fffff,0x000bfffe,0x2213fffe,0xff887fff,
    0x7fff407f,0xffffffff,0x4c3fffff,0x003fffff,0x07ffff98,0x7fffffc4,
    0x3fea0003,0xfffd04ff,0xffffffff,0x7fffffff,0x7ffff400,0x3ffee002,
    0xff5005ff,0xfe81ffff,0x3a01ffff,0x003fffff,0x3ffffffa,0x3fffe003,
    0xffff8002,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555544,0xaaaaaaaa,0x002aaaaa,
    0x80399993,0xaaaaaaa8,0x2a0009aa,0x800aaaaa,0x2202aaaa,0x0bcdedb9,
    0x3bbaa000,0x2000000e,0x00000400,0x5e6654c0,0x2ea2001a,0x0001acdd,
    0x0d66e5cc,0x9bb97100,0xacdb9815,0xfffffa80,0xffffffff,0x07ffffff,
    0x7ffffecc,0x7fffc403,0xffffffff,0x7fffc02e,0xffe805ff,0xfffe886f,
    0x0cffffff,0xffffb800,0xfb000000,0x000bee03,0x3fffa600,0x07ffffff,
    0x7fffff4c,0x4001efff,0xfffffffc,0x3f6201ef,0x2fffffff,0x5ffffff9,
    0xffffffa8,0xffffffff,0x107fffff,0xfffffffb,0xffff8807,0xffffffff,
    0xfff02eff,0xe803ffff,0x7fdc6fff,0xffffffff,0x5c000fff,0x0000ffff,
    0x07ffec40,0x000fffee,0x7fffe440,0x7fffffff,0x3ffffee0,0x4fffffff,
    0xffffd880,0x3fffffff,0xffffff50,0xfffdffff,0x545fffff,0xffffffff,
    0xffffffff,0x7e447fff,0xffffffff,0x7fffc403,0xffffffff,0xff83ffff,
    0x404fffff,0xfd16fffe,0xffffffff,0x00dfffff,0x00ffffb8,0x3ffa6000,
    0xfff70fff,0x98000bff,0xffffffff,0xb07fffff,0xffffffff,0x0bffffff,
    0x7fffffc4,0xffffffff,0xfffffa83,0xffffffff,0x27ffffff,0xeeeeeee9,
    0xeeefffff,0xf915eeee,0xffffffff,0xff8807ff,0xffeeefff,0x1fffffff,
    0x7ffffffc,0x3fffa00f,0x3fffffa6,0xfffffddf,0x3ee003ff,0x00000fff,
    0xdffffff5,0x3ffffe61,0xfd0000ef,0xddffffff,0xf50ffffd,0xbbffffff,
    0x5fffffff,0x3bffff60,0xfffe988a,0x56fd40ff,0x3ffffee0,0x3ffff91f,
    0x3ffffa00,0xffffa803,0xffffffff,0x7fffc403,0xffffd507,0x7fffc1ff,
    0x3a04ffff,0x3fe26fff,0xfffc81cf,0x3ee006ff,0x80000fff,0x4ffffffb,
    0xfffffe88,0x7fdc001e,0x880affff,0xfffff86b,0xffffb81f,0xffff986f,
    0x3ffff605,0xff900cc4,0xfffc87ff,0xffffd004,0x3fffe007,0xffffe9df,
    0x7fffc403,0x7fffec07,0x3ffffe2f,0x3fa07fff,0x017cc6ff,0x01fffff6,
    0x00ffffb8,0x7fffe400,0x3f6203ff,0x002fffff,0x1dfffff1,0xffff7000,
    0x7ffd403f,0x7fff42ff,0x3ffe600f,0x7fd4007f,0x7ffcc2ff,0xffffd006,
    0x3bff2007,0x0fffffa1,0x0fffff10,0x3fffff88,0x3ffffffe,0xfffd03ff,
    0x3fea000d,0x2aaa1fff,0xfffdaaaa,0xaaaaaabf,0x3fff6200,0xf9002fff,
    0x007fffff,0x05fffff7,0x3ffffa00,0xffffe804,0x17fffe64,0x03ffffa0,
    0x0ffff980,0x803fffc4,0x003ffffe,0xfffd05d1,0xfff8807f,0xfffd807f,
    0x3bfffe5f,0xfd06ffff,0x26000dff,0x3a1fffff,0xffffffff,0xffffffff,
    0xffd103ff,0x8001dfff,0x4ffffffb,0x37fffe40,0xfffff000,0xffff7003,
    0x1ffffd4b,0x0ffffec0,0x0dfff300,0x7401fffe,0x0003ffff,0x03ffffe8,
    0x03ffffc4,0xf37fffe4,0xfffb9fff,0xdfffd05f,0x3ffe6000,0x3fffa0ff,
    0xffffffff,0x3fffffff,0xffffff98,0xff30000d,0x201bffff,0x004ffffe,
    0x0fffff10,0x9bfffea0,0xfffffffb,0xffffffff,0x95103fff,0xdffffddb,
    0xffffdddd,0xffffd001,0xffd00007,0xff8807ff,0xffd807ff,0x3fffe4ff,
    0x86ffff9c,0x0006fffe,0xe8fffff7,0xffffffff,0xffffffff,0x7ffd43ff,
    0x80004fff,0xefffffe8,0x2fffff80,0xffff5000,0x3ffe600f,0x3ffff27f,
    0xffffffff,0x43ffffff,0xffffffc8,0xffffffff,0x800fffff,0x003ffffe,
    0x3ffffe80,0x3ffffc40,0x1fffff40,0x3fa9ffff,0x7ff41fff,0xffd0006f,
    0xcccb8bff,0xffffdccc,0x1ccccccc,0x3ffffff2,0x36200002,0x21ffffff,
    0x02fffff8,0xdffff700,0x3fffe600,0xfffffb0f,0xffffffff,0x447fffff,
    0xffffffff,0xffffffff,0x800fffff,0x003ffffe,0x3ffffe80,0x3ffffc40,
    0x3ffffea0,0x553fffe1,0x7f45ffff,0xfa8006ff,0x2001ffff,0x800ffffb,
    0x3ffffffb,0xffd00000,0x7fc3ffff,0x50003fff,0x200fffff,0x367ffffa,
    0xcccdffff,0xcccccccc,0x3fff61cc,0xfffbabdf,0xaaaaaaae,0xfffd002a,
    0xfd00007f,0xf8807fff,0x3e607fff,0x3e0fffff,0x3ffe4fff,0x3fffa1ff,
    0x7ffc4006,0x7dc006ff,0xfb000fff,0x005fffff,0xffffc800,0x7fff42ff,
    0xff30004f,0xf7001fff,0x7fe4bfff,0x4c0003ff,0x7cc3ffff,0x200006ff,
    0x003ffffe,0x3ffffe80,0x7ffffc40,0xffca9999,0x7fc2ffff,0x3ffee4ff,
    0x1bfffa4f,0xfffffd00,0xfffb8003,0x3fee000f,0x0003ffff,0xfffffd88,
    0xffffd81f,0xfff0000e,0xffb003ff,0x7ffdc9ff,0x7d40004f,0xfff987ff,
    0x3fa00006,0x80003fff,0x403ffffe,0xfffffff8,0xffffffff,0x4ffff84f,
    0x43ffffe2,0x2006fffe,0x02fffffd,0x0ffffb80,0x7fffd400,0x220005ff,
    0x0efffffe,0x9fffff90,0x3fffa000,0x7ffc405f,0x3ffe63ff,0x2e0000ff,
    0xff986fff,0xd00000ff,0x0007ffff,0x07ffffd0,0xffffff88,0xffffffff,
    0xffff80df,0x9ffffe44,0x9006fffe,0x009fffff,0x03fffee0,0x3fffe600,
    0x4c000eff,0x0dffffff,0x3ffffe60,0x3208803f,0x202fffff,0x20fffffd,
    0x05fffff8,0x1ffff200,0x00fffff6,0x7ffff400,0xffe80003,0x7fc403ff,
    0xffffffff,0x3e01efff,0x7fcc4fff,0xdfffd7ff,0xfffff900,0x7fdc000b,
    0xd10000ff,0x03dfffff,0x3ffffee0,0xfff9004f,0x3135dfff,0x7c41fb73,
    0x11cfffff,0x5fffffb5,0xbfffff70,0x2e1b9803,0x3ee0ffff,0x101fffff,
    0x3fffa001,0xfe80003f,0x7c403fff,0xffffffff,0xff802cde,0xfffd84ff,
    0x06fffeaf,0x2fffffe4,0x3ffee000,0x3620000f,0x02ffffff,0x7fffffe4,
    0x3ffe2003,0xffffffff,0x7dc0ffff,0xffffffff,0x06ffffff,0x3ffffffa,
    0xffeedcde,0x3fffea2f,0xfffffdae,0xdbaacfff,0xfffd002f,0xfd00007f,
    0xf8807fff,0x0199ffff,0x09ffff00,0xfddffff3,0x7fe40dff,0x00005fff,
    0x3f200000,0x883fffff,0x1ffffffd,0xffffa800,0xffffffff,0xfffe80ff,
    0xffffffff,0x3e601eff,0xffffffff,0x42ffffff,0xfffffffe,0xfffffcdf,
    0x002fffff,0x007ffffd,0x7ffffd00,0x7ffff880,0xffff8000,0xfffffd04,
    0x3f20dfff,0x0004ffff,0xb8000000,0x25ffffff,0xefffffe9,0x3f620000,
    0xffffffff,0xff900fff,0xffffffff,0x3f62009f,0xffffffff,0x7d42ffff,
    0x0effffff,0xfffffffd,0x3fa005ff,0x80003fff,0x403ffffe,0x007ffff8,
    0x04ffff80,0xfffffff5,0xffff90df,0x0000009f,0x7fcc0000,0xff71ffff,
    0x0001bfff,0x3fffb6a0,0x402dffff,0xffffffd9,0xea8002df,0xffffffff,
    0xffa80cef,0x7e40dfff,0x0dffffff,0x7ffffd00,0xfffd0000,0xfff8807f,
    0xff80007f,0x3ffe04ff,0x5c6fffff,0x004fffff,0xffffff98,0xffffffff,
    0x10006fff,0xfc83fffd,0x000004ff,0x0004d54c,0x000aa988,0x2aaaa200,
    0x3531001a,0x1aaaa880,0xffffe800,0x99997003,0xbfffff99,0x22399999,
    0x0007ffff,0x204ffff8,0xfffffffb,0x3ffffee6,0xeeeeeeef,0xff31eeee,
    0xffffffff,0xdfffffff,0x0fec4000,0x00003fc8,0x00000000,0x00000000,
    0x20000000,0x003ffffe,0xfffffffd,0xffffffff,0x3ffe27ff,0xff80007f,
    0x3fe204ff,0xf36fffff,0xffffffff,0xffffffff,0x3fffe65f,0xffffffff,
    0x006fffff,0x000c0180,0x00000000,0x00000000,0x00000000,0x0fffffa0,
    0x7fffff40,0xffffffff,0xff13ffff,0xf0000fff,0xfc809fff,0xf36fffff,
    0xffffffff,0xffffffff,0x3fffe65f,0xffffffff,0x006fffff,0x00000000,
    0x00000000,0x00000000,0x80000000,0x003ffffe,0xfffffffd,0xffffffff,
    0x3ffe27ff,0xff80007f,0x7fcc04ff,0xff36ffff,0xffffffff,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x007ffffd,
    0x3ffffffa,0xffffffff,0xfff13fff,0xff0000ff,0xffb009ff,0x3fe6dfff,
    0xffffffff,0xffffffff,0x15555512,0x55554400,0x1555510a,0x02bddca8,
    0xa8000400,0x800aaaaa,0x21aaaaa8,0xaaaaaaa9,0xaaaaaaaa,0x02aaaa0a,
    0x0059bb93,0x00000008,0x00000000,0x00000000,0x44000000,0x003fffff,
    0x99bffff2,0xfd33ffff,0x01dfffff,0x3ffb6e20,0xff3002ce,0xfb00dfff,
    0x7e41ffff,0xffffffff,0x2fffffff,0x265ffff1,0xeffffffe,0xfffec981,
    0x70002dff,0x4400019b,0xbcdeccba,0x15555402,0x06aaaa20,0xceecca98,
    0x55540abc,0x5510002a,0x7ffec155,0x3ffe006f,0x3ffe63ff,0xfffffabf,
    0x401fffff,0xfffffffb,0xfc801eff,0x2a04ffff,0x642fffff,0xffffffff,
    0xffffffff,0x55ffff12,0xffffffff,0xfffc83ff,0x0effffff,0x3ffff600,
    0x7ff5c001,0xffffffff,0xffff883f,0x7fffd407,0xffffea85,0x46ffffff,
    0x000ffffd,0x22ffff98,0x01fffffa,0x0fffff98,0x3f7fffe6,0xffffffff,
    0xffb104ff,0xfffb9dff,0xffd007ff,0xff103fff,0xff909fff,0xffffffff,
    0x25ffffff,0xffdffff8,0xffffffff,0x7fffe45f,0x06ffffff,0xdfffff30,
    0xfffff800,0xffffffff,0x7fffc46f,0x7fffd407,0x7ffffec5,0x6fffffff,
    0x00ffffe4,0x07fffd40,0x013ffffe,0x317ffff2,0xffffffff,0xfffff9bf,
    0x7fffd01f,0x9fffb101,0xfffff880,0x6ffffd86,0xffffff90,0xffffffff,
    0x3ffe21ff,0xeeffffff,0x21ffffff,0xfdbbcdfc,0xa801ffff,0x007fffff,
    0x7ffffffc,0xffffffff,0x1ffffe24,0x4bffff50,0xfffffffc,0x46ffffff,
    0x002ffffa,0xc87fffb8,0xf807ffff,0x7cc2ffff,0x0cffffff,0x0fffffe2,
    0xddd3dff9,0x3fea39dd,0x7ffdc01f,0x3ffea4ff,0x6c0001ff,0x222fffff,
    0xdfffffff,0x3ffffe61,0xfffe8023,0xfff9801f,0x7fc005ff,0xb9899abe,
    0x10ffffff,0xa80fffff,0xff35ffff,0x4c15dfff,0x7fcc6db9,0xfc8003ff,
    0xfff986ff,0x3fea02ff,0xfff987ff,0xff905fff,0x7ffcc9ff,0xfffffff0,
    0x201bfea7,0x89fffffd,0x004fffff,0x7ffffdc0,0x7ffffc44,0xffffb05f,
    0x3fffa009,0x3fff2007,0x005c000f,0x97ffffc4,0x407ffff8,0xf75ffffa,
    0x0003ffff,0x009ffff1,0x20bfffb0,0x205ffffe,0x984ffffd,0x206fffff,
    0x3a4ffffb,0x2f7fe2ff,0x3ff66ffc,0x7fffc403,0x6ffffdef,0x7ffcc000,
    0xfff886ff,0xff700eff,0x53310bff,0x00bffffb,0x0000ab98,0x7fffe400,
    0x0fffff13,0x95ffffa8,0x000dffff,0x542ffffc,0xfffe82aa,0xfffff504,
    0xfffff101,0xfffff301,0x7fffd401,0x9ff1bfe5,0xff987ff4,0xffff9804,
    0x01ffffff,0x3fffe200,0xfff880ff,0x3fea00ff,0xfffe85ff,0x0003ffff,
    0x5c000000,0xff14ffff,0xffa80fff,0xffff95ff,0x3fa0007f,0x7ffd46ff,
    0x1ffff40f,0x05fffff0,0x20bffff7,0x007ffff9,0xff17fe60,0xff1ffe29,
    0x3fff200d,0x003fffff,0x7fffff40,0xfffff102,0x5ffffa80,0xffffffe8,
    0x000001cf,0x3fee0000,0xffff14ff,0xffffa80f,0xffffff55,0x7ec0017d,
    0x7ffec7ff,0x17fffc3f,0x0bffff90,0x205ffffd,0x007ffff9,0xff0ffea0,
    0xe83fffdf,0xffd000ff,0x000bffff,0x3fffffc8,0x1ffffe20,0x0bffff50,
    0xfffffffd,0x333269ff,0xcccccccc,0xcccccccc,0x7f6e4c04,0xffffffff,
    0x0fffff14,0x25ffffa8,0xfffffffe,0x7e400bef,0x3ffe0fff,0x3ffe26ff,
    0x3ffe601f,0x3ffe60ff,0x3ffe607f,0x3ee0007f,0x7ffffc2f,0x00ffd80f,
    0xffffff70,0x7fd40007,0x7c405fff,0x7d407fff,0xc9805fff,0xfa8fffff,
    0xffffffff,0xffffffff,0xffd507ff,0xffffffff,0x3fe29fff,0x7fd407ff,
    0x3ffe65ff,0xffffffff,0xffff701d,0x3ffffea3,0x1ffff31f,0x3ffffe80,
    0x813fffee,0x007ffff9,0xff13fea0,0xfd0bff5b,0x3ffe600f,0x001fffff,
    0xefffff98,0x7fffc400,0x7fffd407,0x3fffa005,0xfffffaaf,0xffffffff,
    0x87ffffff,0xfffffffc,0xffffffff,0x0fffff14,0x45ffffa8,0xffffffd8,
    0x984fffff,0xffb2ffff,0x3ea9ffff,0xffb807ff,0x3fffe6ff,0x3ffe601f,
    0x3e20007f,0xfca7fc5f,0x017fe22f,0x3fffffa2,0x44006fff,0x01fffffe,
    0x07ffff88,0x02ffffd4,0xafffff88,0xfffffffa,0xffffffff,0x7e47ffff,
    0xccefffff,0x4ffffdcc,0x80fffff1,0x305ffffa,0xfffffff9,0xff887fff,
    0xfffff3ff,0x3ffeedff,0xffff8806,0x6ffff99f,0x3ffffcc0,0x83ffe000,
    0x4bff34ff,0xfd804ffa,0xffffffff,0x3ff6004f,0xf1003fff,0xfa80ffff,
    0x337a5fff,0xffffccac,0xcccc98ff,0xcccccccc,0x4ccccccc,0x37ffffe2,
    0x9ffff700,0x01ffffe2,0x00bffff5,0xffffff93,0xffff81ff,0xffcfffac,
    0x4fffc9ff,0x7ffff900,0x805ffff9,0x007ffff9,0xff2ffe40,0x7c4ffec9,
    0x7fdc01ff,0xfffdafff,0xffb802ff,0x22005fff,0x5407ffff,0x3fe5ffff,
    0xffffffff,0x000003ff,0x0fffffa8,0x53fffee0,0x407ffff8,0x005ffffd,
    0x7fffffd4,0x66ffff42,0xfffdafff,0x003fffdc,0xffdffff3,0xff300fff,
    0xd0000fff,0x98b325ff,0x04ffdacc,0xa7ffffcc,0x0ffffff8,0x3ffffe60,
    0x7ffc4006,0x7ffd407f,0x3ffffe5f,0x02ffffff,0xff900000,0xffc80bff,
    0x3fffe4ff,0xffff901f,0xff3000bf,0xffd87fff,0xf77ffeef,0x5fffddff,
    0x7ffff400,0x9804ffff,0x0007ffff,0x404fff98,0x4406ffe8,0x546ffffe,
    0x105fffff,0x9bffffff,0x99999999,0x1ffffe25,0x4bffff50,0xeefffffe,
    0x3510002d,0xffffc800,0x3ffff207,0x3ffffe4f,0xfffffb83,0xff98005f,
    0x7fe41fff,0xf15fffff,0x3fffffff,0x7fffdc00,0x9801ffff,0x0007ffff,
    0x57dfff90,0xffff9531,0xffffd803,0xffffd81f,0xffffd83f,0xffffffff,
    0xff13ffff,0xffa80fff,0x000005ff,0x00efffb8,0x7fffff70,0xfffffd88,
    0x3ffffa4f,0xffffb32e,0x0b32bfff,0x1fffffa0,0x3fffffee,0x3ffff62f,
    0x22000fff,0x6fffffff,0xfffff300,0x7fd40000,0xffffffff,0x7fd400df,
    0xff104fff,0xfe83ffff,0xffffffff,0x3fffffff,0x80fffff1,0x005ffffa,
    0x7ffcc000,0xff3005ff,0xfd9fffff,0x9fffffff,0x7fffffdc,0xffffffff,
    0xdfffb5ff,0xfffb9799,0xff30bfff,0x5c1fffff,0x07ffffff,0xfffffc80,
    0xfff3003f,0x880000ff,0xfffffffc,0xfff9803f,0x7fd406ff,0x7ff46fff,
    0xffffffff,0x13ffffff,0xa80fffff,0x0005ffff,0x7fffd400,0x3ff6007f,
    0xffffffff,0x44fffedf,0xffffffff,0xfffecfff,0xffffffb5,0xffffffff,
    0xffff101d,0xfff88bff,0x98006fff,0x00ffffff,0x0fffff30,0x654c0000,
    0x3fa000ab,0xd801ffff,0x3a4fffff,0xffffffff,0xffffffff,0x0fffff13,
    0x05ffffa8,0x7fd40000,0x22006fff,0xffffffff,0x9fffb5ff,0xffffffa8,
    0xfffb4fff,0x3fffff6b,0xffffffff,0x3fffe00e,0xfffd82ff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffff400,0x7fe44002,
    0x362dffff,0xfe984fff,0x362effff,0xffd75fff,0xffffffff,0xfffd005b,
    0xfff701ff,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2dec8800,0x2aa62000,0x5440000a,0x530000aa,0x01355555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8aaa6000,0x5c40adc9,0x32e602cd,0x003cdeee,0x2f3bb2e6,0x99950001,
    0x00000019,0x00000000,0x00133326,0x01cc0017,0xed980000,0x010005ee,
    0x2aaa2000,0x99991002,0x99999999,0x36799999,0xffff57ff,0x3fffe23f,
    0x7ffcc0df,0x2effffff,0x7ffffdc0,0x4000cfff,0x000ffffb,0x3f2205a8,
    0x0174c000,0x7cc00391,0x3f2006ff,0x3ff9800e,0x3ffb7260,0x7ed400ce,
    0x2006ffff,0x2defffdb,0xffffd000,0xffff3003,0xffffffff,0x36dfffff,
    0xffff9fff,0xffffd5ff,0xfff987ff,0xffffffff,0xfffffd00,0x00bfffff,
    0x00ffffb8,0x20fffaa0,0x4005fffc,0xfd82effe,0xff8800cf,0xfff9006f,
    0x7ffcc01d,0x7ffecc3f,0x83ffffff,0xffffffea,0xffe9806f,0x1effffff,
    0x3fffea00,0xfff9806f,0xffffffff,0xb6ffffff,0xffffdfff,0xffffbfff,
    0xdf98ffff,0xfffa999a,0xffffb83f,0xffffffdf,0x3ffee002,0x3ffa000f,
    0x7ffec1ff,0xfff9002f,0xffffa87f,0x3fe224c4,0x3e62c45f,0x980effff,
    0x746fffff,0xffffffff,0x7ff42fff,0x06ffffff,0x7fffffcc,0x00ffffff,
    0xffffff88,0x7ffcc03f,0xffffffff,0xb6ffffff,0xd5dfffff,0xb7ffffff,
    0x4001ffff,0x7c45fffb,0x7f544fff,0x3ee007ff,0x26000fff,0x7c46ffff,
    0x4c00ffff,0x7c45ffff,0xefe86fff,0xfa93ffe0,0x7fffdc3f,0x3ffe60ef,
    0x7fcc0eff,0xffffffff,0x77ffdc5f,0x7406ffff,0xfdcdffff,0xc805ffff,
    0xffffdfff,0x2aaaa200,0xaaaaaaaa,0xfb2aaaaa,0x3ee1ffff,0xff11ffff,
    0x7cc003ff,0x7ffd46ff,0x1ffff706,0x3fffee00,0x7ffdc000,0x7fffd43f,
    0x7ffff404,0x0ffffec0,0x74bfffee,0xffff93ff,0xfffffb81,0xfffff98e,
    0x215d900e,0x47ffffd8,0xfff89df8,0x3ffee06f,0x7ffec42f,0x3ffe600f,
    0x009fffb6,0x7fec0000,0x3ffea3ff,0x17fffc6f,0xfffedca8,0x7ffe46ff,
    0x3ffff104,0x3fffee00,0xfffe8000,0x7fffec1f,0x7ffff701,0x83ffffb8,
    0xedfffffe,0xffffecff,0xffffb84f,0xefffffef,0xfffa8000,0x3fe2087f,
    0x3ff206ff,0xffff305f,0x97ffec05,0x001ffff8,0xfffb0000,0x2ffffa8f,
    0x3217fffc,0xffffffff,0x7ffec6ff,0x0bfffa03,0x07fffdc0,0x7fffc400,
    0x37fffc46,0x22ffffcc,0x205ffff8,0xffffffeb,0x1dffffff,0x3ffffee0,
    0x000effff,0x0bffffb0,0x06ffff88,0xf80ffffa,0xff503fff,0x6fffc8bf,
    0xfb000000,0xfffa8bff,0x22ffff87,0xcdeffffc,0x7e46fffd,0xfff105ff,
    0x3333263f,0xffffeccc,0x4ccccccd,0x0ffffea0,0xe89ffff5,0x7f40ffff,
    0xea800fff,0xffffffff,0xfff7001d,0x001dffff,0x3ffffee0,0x7fffc401,
    0x0ffffe06,0xd04fffe8,0xff883fff,0xaaa883ff,0xaaaaaaaa,0xb2aaaaaa,
    0xffa89fff,0x2ffff87f,0x987ffff1,0x7fdc6fff,0xffff507f,0x3ffffea1,
    0xffffffff,0x07ffffff,0x207ffff4,0xf50ffffe,0xffa87fff,0x362003ff,
    0x03ffffff,0xfffffc80,0xff70001f,0xf1009fff,0x7f40dfff,0xfff105ff,
    0xbfff705f,0x03fffee0,0xfffffff3,0xffffffff,0x3fff6dff,0x43fffd44,
    0xff52ffff,0xdfff50ff,0x43ffffa8,0x2a6fffd8,0xffffffff,0xffffffff,
    0x3ea07fff,0x7fd44fff,0x3ffe24ff,0x7fff446f,0x7fe4400e,0xefffffff,
    0xffff3002,0x8001dfff,0x05fffffc,0x0dffff10,0x407fffe4,0x441ffffb,
    0x3a00ffff,0x7fcc5fff,0xffffffff,0x6fffffff,0xfa89fffb,0xffff87ff,
    0x27ffff32,0x86ffffc8,0xdcfffffe,0x2a1fffff,0xffffffff,0xffffffff,
    0xff107fff,0xfff88dff,0xffffa86f,0x27fffd44,0xfffffc98,0xffffffff,
    0xfff300bf,0x1dffffff,0x3ffff600,0x3fe2004f,0x3fea06ff,0xfd98beff,
    0xffd86fff,0x7ffd404f,0x3fffe62f,0xffffffff,0xfb6fffff,0xfffa89ff,
    0x12ffff87,0xffffffff,0xf50dffff,0xffffffff,0xccc989ff,0xfffecccc,
    0xccccccdf,0x3ffffb04,0x01ffffd8,0xc83ffffb,0xfe82ffff,0xffebffff,
    0x4fffffdc,0xefffff98,0x00efffff,0x3fffff62,0x7ffc4002,0x7ffec06f,
    0xffffffff,0x7fffd41f,0x6fffd800,0x3bbbbba2,0xeeeeeeee,0xfffb5eee,
    0x87fffa89,0x3ee2ffff,0xecffffff,0xfff706ff,0x07ffffff,0x1ffff700,
    0xffffb800,0x27fffd43,0x1dffff10,0x07ffff44,0x747bffea,0xffff74ff,
    0xfffff981,0xfffffb8e,0xfffe880e,0xaaaaabff,0x3fffff21,0x4fffffff,
    0x7fffff44,0xe83fffff,0xf3003fff,0x00007fff,0x513fff60,0xfff0ffff,
    0xeffda85f,0x409dd72d,0xcefffec8,0xfff70001,0x7fcc001f,0x7ffc46ff,
    0x7fdc00ef,0x7ffd44ff,0x7c4fd85f,0x0ffa64ff,0x1dfffff3,0x77ffffdc,
    0x7fffff40,0x4fffffff,0x3ffffff2,0x04ffffff,0xfffffff9,0x0000003d,
    0x7ec00000,0x7ffd44ff,0x02ffff87,0x00100000,0x3fffee00,0x3fffa000,
    0x7fffec0f,0xffffd002,0x3ffffc85,0x3ffe214c,0x7ffcc385,0xffb80eff,
    0x7ffc6fff,0xffffffff,0x3fff24ff,0xffffffff,0x32ea204f,0x000001ab,
    0xd8000000,0x7fd44fff,0x2ffff87f,0x00000000,0x7fffdc00,0x3ffee000,
    0x27ffe443,0x7ffff300,0x02effe88,0x806fff88,0x00efffe8,0xf0bfffee,
    0xffffffff,0x75c9ffff,0xeeeeeeee,0x00003eee,0x00000000,0x9fffb000,
    0xf87fffa8,0x99932fff,0x99999999,0x6664c999,0xcccccccc,0x3ee004cc,
    0xb8000fff,0x003f2205,0x26017f90,0x3fe6002e,0xdfd1007f,0x05ff7001,
    0xdddddddb,0x007ddddd,0x00000000,0x00000000,0x513fff60,0xfff0ffff,
    0x3fffee5f,0xffffffff,0xffff70ff,0xffffffff,0x3ee001ff,0x00000fff,
    0x00080000,0x2aaa8800,0x80032200,0x0000002b,0x00000000,0x00000000,
    0x44fffd80,0xff87fffa,0xffff72ff,0xffffffff,0x3ffee1ff,0xffffffff,
    0xf7000fff,0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44fffd80,0xff87fffa,0xffff72ff,0xffffffff,0x3ffee1ff,
    0xffffffff,0xd5000fff,0x00001ddd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44fffd80,0xff87fffa,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66664400,0x33332a0c,0x99999973,0x99999999,0xa8807999,0x00000000,
    0x32a00000,0x540ccccc,0x00cccccc,0xffffff80,0x774fffff,0x77777777,
    0x77777777,0x00377777,0x00000000,0x00000000,0xff880000,0x3fee1fff,
    0xffffd6ff,0xffffffff,0x10bfffff,0x05fffffb,0x6ff4c000,0x00cfea80,
    0x7fffd400,0xfff701ef,0xf8001dff,0xffffffff,0xfffff4ff,0xffffffff,
    0xffffffff,0x000009ff,0x00000000,0x00000000,0xfffff880,0x57fffee0,
    0xfffffffe,0xffffffff,0x7ff445ff,0x00dfffff,0x2207ddd9,0x7cc6ffff,
    0x20004fff,0x0dfffffa,0x7ffffcc0,0x3ffe000e,0xffffffff,0xfffffff4,
    0xffffffff,0xffffffff,0x00000009,0x00000000,0x00000000,0xfa8fffff,
    0xfffd4fff,0xffffffff,0x8bffffff,0xfffffffd,0xffe80eff,0xffff503f,
    0x7fffe43f,0xfff50007,0x6c4007ff,0x000effff,0xdddddddd,0x3ffe7ddd,
    0xffffffff,0xffffffff,0x0004ffff,0x00000000,0x00000000,0xffff8000,
    0xa7fffd47,0xcccccccb,0xfecccccc,0x3ffe65ff,0xffffffff,0x17fffc0e,
    0x0fffffa8,0x01ffffee,0x3bfffea0,0xfff70001,0x000001df,0x33333332,
    0xcccccccc,0xcccccccc,0x00000002,0x00000000,0x80000000,0x7cc7fffe,
    0x40003fff,0x3f25fffd,0xffb8bfff,0xfd9bffff,0x3fa01fff,0x7ffc45ff,
    0x774c003f,0x40000cee,0x005eeed9,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf98dfffd,0x40003fff,0x3f65fffd,0x7ffcc5ff,0xffffffff,
    0x81edc405,0x00002dc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf88dfffb,0x40002fff,0x3fa5fffd,0xfff983ff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88bfffb0,0x0002ffff,0xdb2fffec,0x3fa603dd,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3e17fff2,
    0x40001fff,0x0005fffd,0x0b7fffee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb07ddd70,0x80001ddd,0x0001aaa9,
    0x00000188,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_43_latin1_x[224]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_43_latin1_y[224]={ 31,1,1,3,-1,0,1,1,-1,-1,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,0,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,35,1,9,1,9,1,9,0,9,1,0,
0,1,1,9,9,9,9,9,9,9,2,9,9,9,9,9,9,0,-4,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,31,9,-1,3,3,3,
-4,0,0,3,3,10,17,17,0,2,0,5,0,0,1,9,1,15,31,1,3,10,1,1,0,9,-5,-5,-5,-5,
-5,-6,3,3,-5,-5,-5,-5,-5,-5,-5,-5,3,-5,-5,-5,-5,-5,-5,10,-1,-5,-5,-5,-5,-5,3,0,1,1,
1,0,0,-2,9,9,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,8,5,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_43_latin1_w[224]={ 0,8,15,23,21,24,25,7,14,15,19,22,12,14,
9,21,22,20,20,20,23,19,21,20,20,21,8,13,18,19,18,16,24,24,21,21,22,18,18,22,21,18,17,21,
17,23,21,23,20,24,21,20,21,21,24,23,24,24,20,12,21,12,21,24,15,19,21,19,20,20,23,22,19,19,
17,20,19,22,19,22,21,20,19,18,20,19,24,24,24,24,18,17,6,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,21,23,23,
6,22,20,24,16,19,19,14,22,18,17,20,15,15,22,21,21,9,7,15,16,20,24,24,24,15,24,24,24,24,
24,24,24,21,21,21,21,21,21,21,21,21,23,22,23,23,23,23,23,20,23,22,22,22,22,24,20,21,21,22,
21,21,21,21,24,19,22,22,22,22,22,23,22,22,21,21,23,23,23,23,23,22,22,21,22,21,21,24,21,24,
 };
static unsigned short stb__consolas_bold_43_latin1_h[224]={ 0,31,11,28,38,32,31,11,41,41,19,21,16,5,
9,35,29,28,28,29,28,29,29,28,29,28,23,30,25,13,25,31,40,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,5,9,23,31,23,31,23,31,31,30,31,
40,30,30,22,22,23,31,31,22,23,30,23,22,22,22,31,22,40,44,40,11,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,28,28,28,
44,36,10,29,21,19,11,5,22,8,16,26,18,19,9,31,35,9,7,17,21,19,30,30,31,31,36,36,36,36,
36,37,28,35,36,36,36,36,36,36,36,36,28,36,37,37,37,37,37,19,37,37,37,37,37,36,28,32,31,31,
31,32,32,34,23,29,31,31,31,32,30,30,30,31,31,31,31,31,31,32,32,23,31,31,31,31,32,39,39,40,
 };
static unsigned short stb__consolas_bold_43_latin1_s[224]={ 251,242,24,1,1,111,1,243,15,30,122,
58,243,237,245,190,1,23,87,222,87,202,180,44,66,141,242,228,129,235,148,
228,151,94,119,134,49,163,182,90,219,25,112,65,201,231,65,156,44,139,72,
113,1,24,206,182,157,132,111,102,234,89,213,163,128,24,71,167,50,210,22,
205,160,93,71,69,115,1,220,187,93,1,133,64,25,44,108,83,176,207,201,
115,8,133,60,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,251,245,223,
130,152,176,1,164,84,87,24,102,40,237,153,144,195,108,163,240,105,115,1,
245,245,179,41,81,135,203,159,237,48,73,209,48,143,23,1,212,98,234,26,
73,95,117,187,168,200,120,24,48,72,96,120,142,144,168,191,214,1,1,224,
67,46,68,159,45,89,23,231,46,27,136,113,136,180,1,46,1,229,24,46,
91,181,181,205,1,184,137,70,232,159,198,176,46, };
static unsigned short stb__consolas_bold_43_latin1_t[224]={ 1,1,486,382,46,160,228,309,1,1,464,
464,292,78,333,122,323,411,411,292,382,292,292,382,323,353,260,260,411,464,411,
228,1,353,353,292,353,353,353,292,353,382,323,382,353,382,411,292,411,85,353,
292,411,323,382,382,382,382,382,1,122,1,464,486,486,440,228,411,228,411,260,
228,260,196,1,292,260,464,438,411,228,260,438,440,292,440,438,440,438,196,438,
1,1,1,486,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,
353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,353,1,228,1,
323,323,323,1,85,486,323,464,464,486,78,438,486,464,411,464,438,486,228,160,
323,343,464,464,464,260,260,196,46,122,122,85,85,122,46,353,122,122,85,123,
85,85,85,85,122,323,122,85,46,46,46,46,464,46,46,46,46,85,123,323,
160,260,260,228,160,160,160,411,323,228,196,196,160,260,292,292,196,160,196,196,
260,228,160,160,440,196,228,196,196,160,1,1,1, };
static unsigned short stb__consolas_bold_43_latin1_a[224]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_43_latin1(stb_fontchar font[STB_FONT_consolas_bold_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_43_latin1_s[i] + stb__consolas_bold_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_43_latin1_t[i] + stb__consolas_bold_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_43_latin1_x[i];
            font[i].y0 = stb__consolas_bold_43_latin1_y[i];
            font[i].x1 = stb__consolas_bold_43_latin1_x[i] + stb__consolas_bold_43_latin1_w[i];
            font[i].y1 = stb__consolas_bold_43_latin1_y[i] + stb__consolas_bold_43_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_43_latin1_s[i] + stb__consolas_bold_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_43_latin1_t[i] + stb__consolas_bold_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_43_latin1_x[i] + stb__consolas_bold_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_43_latin1_y[i] + stb__consolas_bold_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_43_latin1_LINE_SPACING
#endif

