// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT        521
#define STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_44_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_44_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_44_latin1_LINE_SPACING          29

static unsigned int stb__consolas_bold_44_latin1_pixels[]={
    0x99826666,0x00000099,0x22000000,0xaaaaa880,0x512aaaaa,0x55555555,
    0x4c400055,0x5d44001a,0xa8801bdd,0xb800001a,0x00f2e03c,0xaaaa8000,
    0xaaaa82aa,0x0000000a,0x5002aaa2,0x3e655555,0xfff33fff,0x0d98007f,
    0x00000ee0,0x20effe98,0xfffffffa,0xfff77fff,0xdfffffff,0x7ff64400,
    0x3f2003ff,0x4fffffff,0x3bfffea0,0x7ec0000d,0xfffd86ff,0xfd800006,
    0xf80effff,0x0001ffff,0x3ffee000,0x7fffec01,0x27ffff37,0x003ffff9,
    0x2e03bfe6,0x000003ff,0x54dffffd,0xffffffff,0xffff77ff,0x0dffffff,
    0x3ffffea0,0xfe9803ff,0xffffffff,0xffff504f,0x20007fff,0x22fffff8,
    0x02fffff9,0x3fff6000,0x3ffe04ff,0x000001ff,0x003fff60,0x26dffffb,
    0xff33ffff,0x3e6007ff,0x3ee0efff,0x00004fff,0x7fffffd4,0xffffff51,
    0x3eefffff,0xffffffff,0xfffa806f,0x403fffff,0xfffffffa,0x85ffffff,
    0xfffffffa,0xff98003f,0x3fe63fff,0x00003fff,0x05fffffb,0x01fffff8,
    0x3fa00000,0xfffc807f,0x7ffff36f,0x00ffffe6,0x3bffffe6,0x3fffff60,
    0x3ea00004,0xd32fffff,0xfffddddd,0x3fffeeff,0x05eeeeee,0xffffffe8,
    0x3fe202ee,0xb711cfff,0xe989ffff,0xffffffee,0xffff8000,0x3fffe21f,
    0xfd80000f,0xf800efff,0x0001ffff,0x1bffe000,0x57ffff20,0xf33ffff9,
    0xf8807fff,0xd80effff,0x003fffff,0xfffff100,0xfffd001f,0x0bfffeef,
    0x7fffdc00,0x3ffa002f,0x3ffa02ff,0x7ff4c07f,0xe98005ff,0xfff982ff,
    0xffd80002,0x3fe004ff,0x00001fff,0xfffb9510,0x70379bff,0x3e6bffff,
    0xfff33fff,0xfffd807f,0x3ff600ef,0x00001fff,0x007ffff7,0x7ddffffa,
    0xb0002fff,0x4005ffff,0x401ffffc,0x402ffff8,0x006ffff9,0x00020020,
    0x0ccccc40,0x3ffffe00,0x6c400001,0xffffffff,0xfb87ffff,0xfff34fff,
    0x3fffe67f,0x3fffee03,0x7ff4400f,0x200006ff,0x3a001bb9,0xfff77fff,
    0x3fa0005f,0x3e6007ff,0xf7003fff,0xffb00bff,0x000000ff,0x00000000,
    0x00fffffc,0xffff7000,0xffffffff,0xfff50fff,0x3fffe69f,0x07ffff33,
    0x0bffffe6,0x7ffffc40,0x00000004,0xfbbffff4,0xf0002fff,0x6c00bfff,
    0x26006fff,0x6400ffff,0x0000ffff,0x00000000,0xfffff000,0xa8002601,
    0xffffffff,0x7fffffff,0x33ffffa8,0x3e67ffff,0xffd03fff,0xfb800bff,
    0x0001ffff,0x3ffa0000,0x5ffff77f,0xffff1000,0x3ffe2009,0x7ff4001f,
    0x7ffdc02f,0x3bba601f,0x76c002ee,0xddd33eee,0xed8005dd,0x3ffe3eee,
    0xffd710ff,0x7c4019df,0xecffffff,0x7fecbfff,0x33ffff98,0x3e67ffff,
    0xffa83fff,0xe8000fff,0xd906ffff,0xdddddddd,0x00bddddd,0x7ddffffa,
    0x88002fff,0x7004ffff,0x3510dfff,0x3ff26a21,0x7ffd403f,0x7fffc02f,
    0x3fea006f,0x3ffe1fff,0x3ea006ff,0x3fe1ffff,0xfff98fff,0x01ffffff,
    0x47fffff9,0x41446ffe,0xf32ffff9,0x3fe67fff,0xfffe83ff,0xff30003f,
    0xffb03fff,0xffffffff,0x200fffff,0xff77fffe,0xf10005ff,0x3e009fff,
    0x3fa63fff,0xbaffffff,0x7d404fff,0x7e402fff,0xb000ffff,0xfc8dffff,
    0xb000ffff,0xff8dffff,0xffffafff,0x1fffffff,0x46ffffd8,0x51005fff,
    0x3fe61555,0xffff33ff,0x7ffff987,0x7ffec000,0xffffd84f,0xffffffff,
    0xffd007ff,0x3fffeeff,0xfff88002,0xfff9804f,0xfffff50f,0xff53ffff,
    0xfffa809f,0x7ffc402f,0xff8803ff,0x7fc43fff,0xf8803fff,0x7fc3ffff,
    0xffffffff,0x6fffffff,0x25fffff8,0x0004fff8,0x33ffff98,0xfc87ffff,
    0x40004fff,0xd87ffffa,0xffffffff,0x07ffffff,0x2effffd0,0x8002ffff,
    0x804ffff8,0xff15fffb,0xffffffff,0x80bfff51,0x802ffffa,0x806ffffd,
    0x80fffffa,0x806ffffd,0x40fffffa,0xffffffff,0xffffb9bf,0x7fff42ff,
    0x7fff50ff,0xbfffec00,0xf33ffff9,0xfff87fff,0xf80001ff,0x4c42ffff,
    0x99999999,0x007ffffb,0x3eeffffd,0x98002fff,0xd803ffff,0xfff93fff,
    0x1ffffbbf,0x980dfff3,0xa803ffff,0x401fffff,0x504ffffd,0x803fffff,
    0xf84ffffd,0x84ffffff,0x45fffff9,0xaefffffc,0x2002fffb,0xff34ffff,
    0x3ffe67ff,0x3fffea3f,0xffb00006,0x2a000bff,0xd007ffff,0x3feeffff,
    0xfb8002ff,0xff802fff,0x9ffff2ff,0x7cdfffea,0x7fcc07ff,0xfff005ff,
    0x7fc409ff,0x3fe01fff,0x3e204fff,0xff81ffff,0x3205ffff,0x2e0fffff,
    0xffffffff,0xf1000fff,0x3fe63fff,0xffff33ff,0x27fffdc7,0xfffa8000,
    0xff50006f,0x3fa00fff,0xffff77ff,0xfff88005,0x7fc400ff,0xffff98ff,
    0x26dfff71,0xfe807fff,0xfc802fff,0x3ee07fff,0x7e406fff,0x3ee07fff,
    0xfff06fff,0xff980bff,0x7ff41fff,0xffffffff,0xdfff5002,0x99ffffcc,
    0x3f23ffff,0x00002fff,0x00fffff1,0x1ffffea0,0xbbffff40,0x4c02ffff,
    0xfffffcba,0x6fffa805,0x7e4dfff7,0xdfff36ff,0xfffff700,0xff30557b,
    0x3fa05fff,0x7cc03fff,0xfd02ffff,0x3fe07fff,0x7c401fff,0x7c42ffff,
    0xffffffff,0x3200cfff,0x3fe64fff,0x999913ff,0x17fffec5,0xffff0000,
    0xff50001f,0x3fa00fff,0xffff77ff,0xffffd805,0xb800dfff,0xfff95fff,
    0x9afffe4b,0xf9006fff,0x0fffffff,0x217ffffa,0x00fffff9,0x85ffffe8,
    0x00fffff9,0x003fffff,0x107fffff,0xfffffffb,0x207fffff,0x3e61fffd,
    0xfd003fff,0x00003fff,0x00fffff4,0x3ffffd40,0x77fffe80,0xd805ffff,
    0x01dfffff,0x6d3ffee0,0x3ff64fff,0x0bfff34f,0x7fffe4c0,0xffff507f,
    0xffffc81f,0xffff5005,0xffffc81f,0x3ffffe05,0xffffe801,0x3fffaa04,
    0xffffffff,0x21554c0e,0x003ffff9,0x001fffff,0x7fffec00,0xfffa8002,
    0xfffd007f,0x0bfffeef,0xffffffb0,0x3ff2005d,0x47fffd4f,0xff53fffe,
    0x3fa6009f,0x207fffff,0x7c3fffff,0x2002ffff,0x7c3fffff,0x3e02ffff,
    0xf801ffff,0x9803ffff,0xfffffffd,0x26005fff,0x8803ffff,0x0007ffff,
    0x17fffec0,0x7fffd400,0xffffd007,0x00bfffee,0xfffffdd9,0xfff9007f,
    0xe8ffffa7,0xfff73fff,0xffff3009,0x640bddff,0x3ea6ffff,0x64007fff,
    0x3ea6ffff,0x7fc07fff,0x7c401fff,0x7002ffff,0xffffffff,0x26007fff,
    0xf003ffff,0x0001ffff,0x0ffffec0,0x7fffd400,0xffffd007,0x00bfffee,
    0x0fffff90,0x3e7fffb0,0x3ffe2fff,0x07fff92f,0x19ffffd0,0x3fffe600,
    0x9ffffb0f,0xffff9800,0x9ffffb0f,0x1fffff80,0x7ffffcc0,0x1fffb000,
    0xbffffff9,0x3fffe600,0xfffff003,0x7f400003,0xa8000fff,0xd007ffff,
    0x3feeffff,0xfd8002ff,0x7ec02fff,0x7fffd2ff,0x6c7fffe2,0x7c401fff,
    0xe8006fff,0xff8bffff,0xe8000fff,0xff8bffff,0x7fc00fff,0x7dc01fff,
    0x3a007fff,0x3ffe67ff,0xff3007ff,0x3fa007ff,0x00002fff,0x001ffffe,
    0x03ffffd4,0xf77fffe8,0x50005fff,0xd807ffff,0xfffd3fff,0x27fffee7,
    0x9806fff8,0x8003ffff,0xfaeffffb,0x70005fff,0xff5dffff,0xfff00bff,
    0xfff803ff,0x3fe006ff,0x7fffec6f,0xfff9800f,0xfffb003f,0x7c00007f,
    0x50007fff,0x200fffff,0xff77fffe,0xf30005ff,0xfc809fff,0xbfffb4ff,
    0x95fffff3,0xf5009fff,0x10005fff,0xffdfffff,0x220005ff,0xffefffff,
    0xfff802ff,0x3ff201ff,0xf1002fff,0xfffc89ff,0xfff3006f,0x3333227f,
    0x17ffff22,0x7ffcc000,0xff50006f,0x3fa00fff,0xffff77ff,0xfff10005,
    0xfffb809f,0xffffff74,0xffffffff,0xfff5005f,0x3f20005f,0x7fffffff,
    0x7ffe4000,0x007fffff,0x105fffff,0x0bfffffb,0x21fffcc0,0x005ffffe,
    0x267ffff3,0x3ea3ffff,0x00007fff,0x009ffff9,0x1ffffea0,0xbbffff40,
    0x8002ffff,0x404ffff8,0xff15fffa,0xfffdffff,0x2009ffff,0x002ffffa,
    0xffffff30,0x980009ff,0xffffffff,0xfffff004,0xffffddff,0x9d01ffff,
    0x97ffd415,0x3fffffd8,0x7ffff300,0x88ffffe6,0x002fffff,0x1ffffe80,
    0xffff5000,0x3fffa00f,0x05ffff77,0x9ffff100,0x26fffa80,0xa8fffffc,
    0x005fffff,0x00bfffea,0xfffffe80,0xe80000ff,0x0fffffff,0xffffff00,
    0xffffffff,0x3ffe05ff,0xdfffedff,0xeffffffe,0xffff3000,0x0ffffe67,
    0x00bffffb,0x6ffff980,0x3ffea000,0xfffd007f,0x0bfffeef,0x3fffe200,
    0x7fffcc04,0xb873bae0,0x54002ced,0x0002ffff,0x3fffffee,0xff700005,
    0x400bffff,0xffffffff,0x0dffffff,0x3fffffe0,0xffffffff,0x2000ffff,
    0xf33ffff9,0xffa87fff,0x20000fff,0x003ffffc,0x1ffffea0,0xbbffff40,
    0x8002ffff,0x404ffff8,0x002ffff8,0xfff50000,0x7c40005f,0x001fffff,
    0xfffff100,0x7ffc003f,0xffffffff,0xfff801de,0xffffffff,0x01efffff,
    0x9ffffcc0,0xf83ffff9,0x0004ffff,0x01fffff1,0x7fffd400,0xffffd007,
    0x00bfffee,0x13fffe20,0x017fff60,0x7fd40000,0x220001ff,0x005fffff,
    0x3fffe200,0x7ffc005f,0x01aa99ff,0xffffff80,0xffffffff,0xff30002e,
    0x3ffe67ff,0xffffb83f,0xffd8001f,0x5c0005ff,0xd005ffff,0x3feeffff,
    0xff0002ff,0xff500bff,0x000001ff,0x03ffff70,0x7fffe400,0x3200001f,
    0x001fffff,0x00fffffc,0xedba9800,0x1bceffff,0x7ffcc000,0x7ffff33f,
    0x1bffffa0,0xfffff500,0xffc80001,0xffd004ff,0x3fffeeff,0xfffd0002,
    0x3fffe00d,0xc8000005,0x20007fff,0x05fffffa,0x3ffea000,0xff8005ff,
    0x00001fff,0x007fff30,0xffff9800,0x07ffff33,0x0fffffe6,0x7ffffc40,
    0x7fc40003,0xfd003fff,0x3ffeefff,0xffb0002f,0xff9003ff,0x0e600bff,
    0xfffff100,0x3ffea000,0x00000fff,0x1ffffff5,0xfffff000,0x2e000003,
    0x00002fff,0x99ffffcc,0x3203ffff,0x801fffff,0x205ffffd,0xfffc802a,
    0xffd001ff,0x3fffeeff,0xfff70002,0xff9803df,0x440adfff,0x22004feb,
    0x805ffffd,0xfffdbaab,0x70001fff,0xffffb755,0x3e0003ff,0x0001ffff,
    0x03fff900,0xfff98000,0x7ffff33f,0xfffffe80,0x3ffff201,0x37fee00f,
    0xffea999b,0x664c4fff,0xffffcccc,0x9bffff77,0x88079999,0xcdffffff,
    0xffffa82c,0xfffeefff,0x332604ff,0x1ffffffd,0xfffffe80,0x0003ffff,
    0x3ffffffa,0x20003fff,0x001fffff,0x0fffb000,0xfff30000,0x3fffe67f,
    0x7fffcc03,0xfffc81ff,0x7fdc02ff,0xffffffff,0x7d40efff,0xffffffff,
    0xfffff77f,0x00dfffff,0xfffffff7,0x3ffea07f,0xffffffff,0x3fea04ff,
    0x05ffffff,0xffffffd0,0xe80007ff,0xffffffff,0x7ffc0003,0x000001ff,
    0x0000dffd,0x27ffff30,0x803ffff9,0x0ffffff9,0x0ffffff2,0x3ffffee0,
    0xffffffff,0xfffffa81,0xf77fffff,0xffffffff,0x3ff200df,0x203fffff,
    0xfffffff9,0x201cffff,0xfffffffa,0xfffd000d,0x0001dfff,0xffffffd0,
    0xff00001d,0x00003fff,0x000aaaa0,0x3fffe600,0x07ffff33,0x17fffe60,
    0x007ffff9,0x3fffffee,0x00cfffff,0xfffffff5,0x3feeffff,0xffffffff,
    0x3ffa6006,0xb9803fff,0x0acdefec,0xfffffa80,0x7fe4002e,0x00002bde,
    0x0af7bff2,0xcccc8000,0x0000000c,0xff300000,0x3ffe67ff,0x3fe6003f,
    0x007ff905,0xfffedb98,0x64c00bce,0xcccccccc,0x9999934c,0x00799999,
    0x05975310,0x64c00000,0x000009ab,0x00000000,0x00000000,0x00000000,
    0x4cffffe6,0x4003ffff,0x001e4059,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe60000,0xffff33ff,0x00000007,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e600000,0xfff33fff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0xdd32eeee,0x000005dd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00199880,0x00157530,0x66440000,
    0x04c4004c,0x22000260,0x0004c009,0x00006a60,0x006aa200,0x55330000,
    0x01555555,0x04c00988,0x98013100,0x00260000,0x03ffec00,0xfffffd50,
    0x00005bff,0x05fffb80,0x207fff20,0x2005ffe8,0xe881fffc,0x6c4005ff,
    0xd83effff,0x3f620003,0x0001efff,0xfffeeb88,0xffffffff,0x07fff202,
    0x2017ffa2,0xe881fffc,0x7dc005ff,0x40000dff,0xd8806ffe,0xffffffff,
    0x00004fff,0x00bfff60,0x43ffffcc,0x803ffffd,0xd87ffff9,0x2003ffff,
    0xfffffffd,0x04ffd9be,0xfffffd00,0x220001ff,0xfffffffc,0xffffffff,
    0xfffff302,0x07ffffb0,0x43ffffcc,0x003ffffd,0x0bfffff5,0x05fff800,
    0x7fffff4c,0xffffffff,0x4400000d,0x7000ffff,0xf83fffff,0xb805ffff,
    0x7c1fffff,0x9005ffff,0xffffffff,0x0dffffff,0x55dff700,0x50009ffd,
    0xffffffff,0xffffffff,0x3ffee05f,0x7fffc1ff,0x3ffee05f,0x7fffc1ff,
    0xfffb005f,0x20001fff,0x2204fff8,0xffffffff,0xffffffff,0x654c0005,
    0x005fffcb,0x03ffffea,0x009ffffd,0x81fffff5,0x004ffffe,0xfb55dff5,
    0x1dffffff,0x45ff9000,0x4c006ff9,0xffffffff,0xfffeeeff,0xfff502ff,
    0xfffe81ff,0x3ffea04f,0x7fff40ff,0xfffb004f,0x20001fff,0x3203fff9,
    0xacefffff,0xfffffdb9,0x7f5c001f,0xffffffff,0x7fff4003,0x0ffffa84,
    0x09fffd00,0x001ffff5,0x3faa0754,0x0001efff,0x7fcc7ff9,0x7fff4006,
    0x3fffffff,0x80bffff6,0xfa84fffe,0x7f400fff,0xfffa84ff,0xfff7000f,
    0x54000dff,0xff102fff,0x3201dfff,0x005fffff,0xffffffb1,0x00bfffff,
    0x5cc03950,0x0e54000b,0x00017730,0x000aa980,0x5dfffd40,0x32004ffe,
    0xffffffff,0x3ff63fff,0x0e5402ff,0x20017730,0x2ee601ca,0x7ffec000,
    0x3ee0001e,0xfffb01ff,0xffd801df,0x7cc01fff,0xffffffff,0x00dfffff,
    0x00000000,0x00000000,0x3ff60000,0x000effff,0x3ffffffa,0x363fffff,
    0x0002ffff,0x00000000,0x002aea00,0xfffdca88,0x3e62deff,0x9803ffff,
    0x204fffff,0xfffffff8,0xffffffff,0x0000005f,0x2aea6000,0xa9800000,
    0x200000ab,0x0dffffc8,0x7ffffc00,0x3fffffff,0x00bffff6,0x00000000,
    0x50000000,0xffffffff,0x7fd4bfff,0xfd000fff,0x7ec0dfff,0x88bdffff,
    0xffffffff,0xfffff881,0xfffff000,0xfffd7005,0x005bffff,0x7ffff5c0,
    0x0002dfff,0x4c000660,0xffffffff,0x3f63ffff,0xffd82fff,0xffffffff,
    0x07ffffff,0xffffffff,0xffffffff,0x2666200d,0x7ffec401,0xffffffff,
    0x3ffff25f,0x3fff2006,0xffff306f,0xffffa89f,0xf886ffff,0xf000ffff,
    0x4405ffff,0xfffffffd,0x4003ffff,0xffffffd8,0x003fffff,0x3fffff60,
    0x3fea007f,0xffffffff,0x3fff63ff,0xffffd82f,0xffffffff,0xff07ffff,
    0xffffffff,0x0dffffff,0x01fffee0,0xfffffffd,0x4bffffff,0x004ffffd,
    0x41ffffee,0xc85ffffd,0xffffefff,0x7fffc41f,0xffff000f,0x3ffea05f,
    0xffffffff,0xa800dfff,0xffffffff,0x0dffffff,0x7fffc400,0x3001ffff,
    0xffffffff,0x7ec7ffff,0xffd82fff,0xffffffff,0x07ffffff,0xffffffff,
    0xffffffff,0x3fff200d,0x3ffff207,0xefffcdff,0x3fffa5fe,0x3fea004f,
    0x7fcc0fff,0xfff81fff,0x3fffff9f,0x07ffffc4,0x2fffff80,0xffffff88,
    0xffffffff,0x7fc405ff,0xffffffff,0x05ffffff,0x7ffffd40,0x3e003fff,
    0xffffffff,0x3ff63fff,0xfffd82ff,0xffffffff,0xf07fffff,0xffffffff,
    0xdfffffff,0x3ffff200,0xfffff980,0x27fff31e,0x3ffffe28,0x3ffea003,
    0x7ffdc1ff,0x7fff987f,0x88dffffb,0x000fffff,0xb05fffff,0x59dfffff,
    0xfffffd75,0x7ffec03f,0xebaaceff,0x01ffffff,0x3fffff20,0x3a006fff,
    0xffffffff,0x3ff63fff,0x999882ff,0xeffffd99,0xf0199999,0x5559ffff,
    0x55555555,0x3ffff600,0xfffffd80,0x207ffee0,0x02fffff8,0x3ffffe60,
    0x27fffe42,0xfaa7ffe4,0x7fc47fff,0xff000fff,0xff985fff,0xf900efff,
    0x260bffff,0x00efffff,0x0bfffff9,0x7fffffc0,0x7000ffff,0xffffffff,
    0x7fec7fff,0x3f2002ff,0x7c005fff,0x0002ffff,0xffffd950,0xfffff01f,
    0x80fffc89,0x02fffff8,0x3ffffe60,0x1ffffec1,0xf98ffff4,0x3e20ffff,
    0xf000ffff,0xfd85ffff,0x6c00efff,0xd80fffff,0x400effff,0x00fffffd,
    0xfdffff98,0x2002ffff,0xfffffffe,0x3ff63fff,0x3f2002ff,0x7c005fff,
    0x0002ffff,0x7fffff44,0x7fc41fff,0x7fec1fff,0xfffff107,0x7ffcc007,
    0x7fff40ff,0x3fffcc2f,0x43fffff3,0x00fffff8,0x45fffff0,0x03fffff9,
    0x4fffff98,0x1fffffcc,0x7ffffcc0,0xffffb804,0x05ffffdb,0x3ffffe20,
    0x363fffff,0x2002ffff,0x005ffffc,0x017ffffc,0xfffff500,0xa83fffff,
    0x740fffff,0x3ffe06ff,0x3ea004ff,0x7fc0ffff,0x7fdc2fff,0x3fffe25f,
    0x3fffe21f,0xffff000f,0x7fffdc5f,0xfffd000f,0xffffb8bf,0xfffd000f,
    0xfffd00bf,0xfffff73f,0xfffe9800,0x363fffff,0x2002ffff,0x005ffffc,
    0x017ffffc,0xfffff880,0x42ffffff,0xf87ffffb,0x3ffa05ff,0x3ee004ff,
    0x7fc47fff,0x7ff41fff,0x3fffe22f,0x3fffe22f,0xffff000f,0x7fffe45f,
    0x3fff2005,0x7fffe46f,0x3fff2005,0x7ffc406f,0xfffff17f,0xffd50003,
    0x7ec7ffff,0x32002fff,0x4005ffff,0x002fffff,0xdfffff90,0xfffb8013,
    0x3ffe20ff,0x3ffffa04,0x3fff2006,0x7fffc46f,0x3fffe21f,0x0fffffc0,
    0x01fffff1,0x8bffffe0,0x004ffffd,0xb1ffffee,0x4009ffff,0x407ffffb,
    0x3a4ffffa,0x0004ffff,0x8ffb72e6,0x002ffffd,0x017ffff2,0x05fffff0,
    0x3ffffe00,0x3ffea006,0x3ffe62ff,0x3ffff603,0xffff000f,0xffff88bf,
    0x17ffee2f,0x41fffff1,0x00fffff8,0x45fffff0,0x004ffffe,0x83ffffea,
    0x004ffffe,0x03ffffea,0x22ffffd8,0x006ffffc,0x7ffec000,0x3ff2002f,
    0x7fc005ff,0xccccdfff,0x31cccccc,0x007fffff,0x1fffffcc,0x5405fff5,
    0x803fffff,0x81fffff9,0x3a2fffff,0x7fcc2fff,0x7ffc47ff,0xfff000ff,
    0x7fffc5ff,0x3fea003f,0x3ffe1fff,0x3ea003ff,0x3e01ffff,0x3ea0ffff,
    0x0000ffff,0x3ffff600,0x3fff2002,0x7ffc005f,0xffffffff,0xf52fffff,
    0x4003ffff,0x26fffff8,0x7c01fffb,0x400effff,0xf06ffffd,0x3e27ffff,
    0x7fcc0fff,0x7ffc46ff,0xfff000ff,0x3ffe25ff,0x3e6002ff,0xff12ffff,
    0x4c005fff,0x302fffff,0xff0dffff,0x00007fff,0x17fffec0,0xbffff900,
    0xfffff800,0xffffffff,0xfff72fff,0xfd8005ff,0xfc8effff,0x3f2040ff,
    0xb00effff,0x205fffff,0xf54ffffe,0xfff50dff,0xffff88bf,0xffff000f,
    0x3fffe25f,0x3fe6002f,0xfff11fff,0x7cc005ff,0xf901ffff,0xffb07fff,
    0x00000bff,0x017fffec,0x0bffff90,0xffffff80,0xffffffff,0xffff32ff,
    0xff98009f,0xffefffff,0x4c6db98f,0xceffffff,0xffffecaa,0x3fff207f,
    0x07fffb6f,0x889ffffb,0x000fffff,0x7c5fffff,0x2003ffff,0x20fffff9,
    0x003fffff,0x03ffffe6,0x40fffff4,0x00fffffb,0xfffb0000,0x7fe4005f,
    0x7fc005ff,0xeeeeefff,0x21eeeeee,0x02ffffff,0x7ffffec0,0xffffffff,
    0xffffb86f,0xffffffff,0x2a01ffff,0xffafffff,0x7ffc40ff,0x7ffc42ff,
    0xfff000ff,0x7fffc5ff,0x3fea004f,0x7fffc7ff,0x3fea004f,0xfff107ff,
    0x3ffe60ff,0x000002ff,0x005ffffb,0x02ffffe4,0x0bffffe0,0x7fffec00,
    0xd1000cff,0xffffffff,0x20dfffff,0xfffffffc,0x1fffffff,0x7ffffc40,
    0xfc86fffe,0xff886fff,0xff000fff,0x7ff45fff,0x3ee004ff,0x7ff46fff,
    0x3ee004ff,0xff706fff,0x7ffc0bff,0x000004ff,0x005ffffb,0x02ffffe4,
    0x0bffffe0,0x7fff4400,0xabcdffff,0xffffb00a,0xffffffff,0x7fffe40d,
    0xefffffff,0xffffb001,0xfb89ffff,0xf882ffff,0xf000ffff,0x7ec3ffff,
    0x32006fff,0x7ec5ffff,0x32006fff,0xfb05ffff,0x7e405fff,0x00007fff,
    0x03ffffd0,0x2ffffe40,0x3ffffe00,0x3fe60002,0xffffffff,0x3f2a00ff,
    0xffffffff,0x7f5c402d,0x02dfffff,0x7ffffc40,0xfdb9afff,0x3e06ffff,
    0x8801ffff,0x7e47ffff,0xf000ffff,0xfc89ffff,0xf000ffff,0x3e09ffff,
    0xeeeeffff,0xffffeeee,0xf800001f,0x2000ffff,0x005ffffc,0x017ffffc,
    0x3fffea00,0x0fffffff,0x59fff900,0xff900013,0x5c0007ff,0xffffffff,
    0xffffffff,0x3ffffa02,0xffff9802,0x7ffffd46,0xffff9803,0x7fffd42f,
    0xfff9803f,0xfffa82ff,0xffffffff,0x3fffffff,0x7fd40000,0x7e4007ff,
    0x7c005fff,0x0002ffff,0xfffffc88,0x7000ffff,0x80001fff,0x006ffffa,
    0x7ffffe40,0xffffffff,0x7ffec02f,0xfffc805f,0xffffe85f,0x7ffec00e,
    0xffffd06f,0xfffd801d,0xffff906f,0xffffffff,0x0dffffff,0xe880be60,
    0x4005ffff,0x005ffffc,0x017ffffc,0xffd91000,0x2001ffff,0x80007ffd,
    0x03fffff8,0xfff90017,0xffffffff,0xfff9001d,0x7fc403ff,0xffb83fff,
    0xfb00efff,0x2e05ffff,0x00efffff,0x05fffffb,0x3ffffffe,0xffffffff,
    0x800fffff,0x99abeffe,0x1ffffffb,0x7fffe400,0x7fffc005,0x2000002f,
    0x000cba98,0x0000dffd,0x37fffffe,0x805fecaa,0xfffffff9,0x22003eff,
    0x0bffffff,0x37ffffd4,0xffffff88,0xffecaace,0x3e206fff,0xacefffff,
    0xfffffeca,0xdffff306,0x55555555,0x5fffff75,0xfffffc80,0xffffffff,
    0x2aaaa03f,0xeffffdaa,0xf02aaaaa,0x5559ffff,0x55555555,0x7c000000,
    0x500005ff,0xffffffff,0xc807ffff,0x1aaacfff,0x3fff2000,0xffffffff,
    0x201fffff,0xfffffffc,0xffffffff,0x7ffe401f,0xffffffff,0x701fffff,
    0x4009ffff,0x405fffff,0xfffffffd,0x05ffffff,0x7fffffec,0xffffffff,
    0xffff07ff,0xffffffff,0x000dffff,0x3ffe2000,0x3f600004,0xffffffff,
    0x3fa00fff,0x200001ff,0xfffffff8,0xffffffff,0xffffb804,0xffffffff,
    0xff7002ff,0xffffffff,0x6c05ffff,0x2002ffff,0x807ffffd,0xffffffea,
    0xd802efff,0xffffffff,0xffffffff,0xffffff07,0xffffffff,0x00000dff,
    0x00fffe60,0xfffc8800,0x1effffff,0x01fffe60,0x3ff62000,0xffffffff,
    0x3ea002ff,0xffffffff,0x54000eff,0xffffffff,0x2200efff,0x4007ffff,
    0x01fffffb,0xddffb950,0x7fec0079,0xffffffff,0x07ffffff,0xffffffff,
    0xffffffff,0x2000000d,0x0002fffa,0xfffec880,0xffb803de,0x2000004f,
    0xffffffea,0x88000cff,0xffffffec,0x3220003e,0xeffffffe,0xffffa803,
    0x7ffc4005,0x000004ff,0xfffffd80,0xffffffff,0xfff07fff,0xffffffff,
    0x00dfffff,0x3fee0000,0x0000001f,0xcccb8001,0x10000001,0x00013553,
    0x001aa980,0x03553000,0x3ffffc80,0xffffe800,0x00000006,0x00000000,
    0x00000000,0x00005553,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc000,
    0x8000dfff,0xcccedca9,0xff70001a,0x40000bff,0x000001a9,0x40000353,
    0x2ffffffc,0xfff90000,0x00005fff,0x7fffcc00,0x5c000dff,0x0005ffff,
    0x026004c4,0x80003300,0x3ffffff9,0xffffb800,0x3fffffff,0x7fffdc00,
    0x220005ff,0x83effffd,0x3f62003d,0x3d83efff,0x7fffcc00,0x300002ff,
    0x05ffffff,0xff300000,0x0007ffff,0xbffffff7,0x3fff2000,0x05ffe881,
    0x01effe88,0xfffff880,0x7fc4001e,0xffffffff,0x32003fff,0xffffffff,
    0xffd8000e,0x9befffff,0xfb004ffd,0x7dffffff,0x8009ffb3,0x2fffffd8,
    0xffb10000,0x00005fff,0x7ffffc40,0xffc8001e,0x0effffff,0x3fffe600,
    0x3ffffd87,0x7fffff40,0x3ffe2000,0xe88004ff,0xffffffff,0x003fffff,
    0xd35ffff9,0x4001dfff,0xfffffffc,0x6fffffff,0xfffffc80,0xffffffff,
    0xff70006f,0x00005fff,0x17ffffdc,0x7fc40000,0x90004fff,0xfd35ffff,
    0x2e001dff,0x7c1fffff,0x2205ffff,0x02ffffff,0x5fffff10,0x3fff2000,
    0xaa99bdff,0xfc803fec,0x3f620eff,0xf5000eff,0xfffb55df,0x001dffff,
    0xfb55dff5,0x1dffffff,0x7ff4c000,0x200001ff,0x01ffffe9,0x3ffe2000,
    0xf90002ff,0x7ec41dff,0xfa800eff,0x7f40ffff,0x3e204fff,0x002fffff,
    0xffd00000,0x00200dff,0x54000000,0x7fff540e,0x3aa001ef,0x7ffff540,
    0x0000001e,0x00000000,0x00000000,0xffd00000,0xffff509f,0xffffe801,
    0x0000000f,0x3fffff88,0x00000000,0x554c0000,0xa9800000,0x0000000a,
    0x00000000,0x00000000,0xca800000,0x002ee601,0x00bfffa6,0x00157530,
    0x3ffffe20,0x4c000005,0x00000aba,0x00000000,0x2a600000,0x000000ab,
    0x00000000,0x00000000,0x4c000000,0xffd70009,0x05bfffff,0xffffff80,
    0x2e00000d,0xfffffffe,0x0000002d,0x00000000,0xffffeb80,0x8802dfff,
    0x000fffff,0x445fffff,0x000fffff,0x445fffff,0x000fffff,0x005fffff,
    0x00000000,0xffffffb1,0x007fffff,0x7fffffdc,0x6c40002f,0xffffffff,
    0xff803fff,0xb805ffff,0xb002ffff,0x0fffffff,0xfffd8800,0xffffffff,
    0x7fffc403,0xffff000f,0x7fffc45f,0xffff000f,0x7fffc45f,0xffff000f,
    0x3ff6005f,0x8007ffff,0xf5009999,0xffffffff,0x01bfffff,0xffffff90,
    0x50003dff,0xffffffff,0x1bffffff,0x7fffffc0,0x7ffdc01f,0xfff8802f,
    0x001fffff,0xffffff50,0xffffffff,0x3ffe201b,0xfff000ff,0x7ffc45ff,
    0xfff000ff,0x7ffc45ff,0xfff000ff,0xff1005ff,0x03ffffff,0x17fffc40,
    0x7fffffc4,0xffffffff,0x7fec05ff,0xffffffff,0x3fe2004f,0xffffffff,
    0x05ffffff,0x3ffffffe,0x7fffdc04,0xffffa802,0x8003ffff,0xfffffff8,
    0xffffffff,0xffff105f,0x3ffe001f,0x3ffe22ff,0xfff000ff,0x7ffc45ff,
    0xfff000ff,0xff5005ff,0x07ffffff,0x17fffcc0,0x77ffffec,0xfffebaac,
    0xff901fff,0xffffffff,0xb003dfff,0x59dfffff,0xfffffd75,0x3fffe03f,
    0x2e00ffff,0xc802ffff,0xffffffff,0xfffd8006,0xebaaceff,0x81ffffff,
    0x00fffff8,0x45fffff0,0x00fffff8,0x45fffff0,0x00fffff8,0x05fffff0,
    0xffffff90,0x7cc00dff,0x7fcc3fff,0xf900efff,0xf30bffff,0xff5bffff,
    0x7fffffff,0x7ffffcc0,0xffff900e,0x3fffe0bf,0x2e04ffff,0xf802ffff,
    0xffffffff,0x3fe6000f,0xf900efff,0xf10bffff,0x2001ffff,0x222fffff,
    0x000fffff,0x445fffff,0x000fffff,0x005fffff,0xffffffff,0x3e6001ff,
    0x7fec3fff,0x7ec00eff,0x7ec0ffff,0x3f227fff,0x3fffffff,0x1dffffb0,
    0xfffffd80,0xffffff80,0xff700fff,0xff9805ff,0xfffffdff,0x3fff6002,
    0x7fec00ef,0x7fc40fff,0xff000fff,0x7fc45fff,0xff000fff,0x7fc45fff,
    0xff000fff,0xf9805fff,0xffffdfff,0xfff3002f,0x7fffcc7f,0xfff9803f,
    0x7fff44ff,0xfffe984f,0x7cc1ffff,0x9803ffff,0xf84fffff,0xffffffff,
    0x5ffff703,0xbffffb80,0x005ffffd,0x07fffff3,0x9fffff30,0x0fffff88,
    0x5fffff00,0x07ffffc4,0x2fffff80,0x03ffffe2,0x17ffffc0,0x2ffffee0,
    0x005ffffd,0x5c7ffff5,0x000fffff,0xf8bffffd,0x2e04ffff,0x46ffffff,
    0x00fffffb,0x0bffffd0,0xffffffff,0x3ffee0df,0x7fff402f,0x7ffffb9f,
    0xfffff700,0x3fffa001,0x7fffc45f,0xffff000f,0x7fffc45f,0xffff000f,
    0x7fffc45f,0xffff000f,0xfffe805f,0x7ffffb9f,0x9ffff500,0x02ffffe4,
    0x8dffff90,0x00fffffe,0x3fffffea,0x17ffff20,0x6ffffc80,0xfeeffff8,
    0xffb82fff,0x3fe202ff,0xffff17ff,0xfff9003f,0x7fe400bf,0x7ffc46ff,
    0xfff000ff,0x7ffc45ff,0xfff000ff,0x7ffc45ff,0xfff000ff,0x7fc405ff,
    0xffff17ff,0xfff5003f,0x7fffec9f,0x3ffee004,0x7fffec7f,0x7ffe405f,
    0x3fff62ff,0x3fee004f,0xffff87ff,0x86ffffae,0x202ffffb,0x3a4ffffa,
    0xd804ffff,0x2004ffff,0x447ffffb,0x000fffff,0x445fffff,0x000fffff,
    0x445fffff,0x000fffff,0x405fffff,0x3a4ffffa,0xa804ffff,0x3fa4ffff,
    0x2a004fff,0x2a0fffff,0x0effffff,0x7fffff30,0x027ffff4,0x1fffff50,
    0xff6ffff8,0xffb83fff,0x3ff602ff,0x3fff22ff,0xfffe806f,0x3fea004f,
    0x3fe20fff,0xff000fff,0x7fc45fff,0xff000fff,0x7fc45fff,0xff000fff,
    0x7ec05fff,0x3ff22fff,0xffb806ff,0x3fffe5ff,0x3fea003f,0x7fec1fff,
    0x883fffff,0x3e2fffff,0x2003ffff,0x41fffffa,0xff76ffff,0xfffb8bff,
    0x3fffe02f,0x3fffea0f,0x7fffc00f,0x3fea003f,0x3fe21fff,0xff000fff,
    0x7fc45fff,0xff000fff,0x7fc45fff,0xff000fff,0x7fc05fff,0x3fea0fff,
    0x7dc00fff,0xfff15fff,0x7cc005ff,0x7c42ffff,0xefffffff,0x3ffffee1,
    0x5fffff11,0x7fffcc00,0xb7fffc2f,0x21fffff8,0x302ffffb,0xff0dffff,
    0x7c407fff,0x2002ffff,0x22fffff9,0x00fffff8,0x45fffff0,0x00fffff8,
    0x45fffff0,0x00fffff8,0x05fffff0,0x21bfffe6,0x403fffff,0xf15ffffb,
    0x4005ffff,0x81fffff9,0xffffffe8,0xffff9dff,0x3fffe26f,0x3fe6002f,
    0x7ffc1fff,0x3ffff26f,0x0bfffee4,0x41ffffe4,0x205ffffd,0x02fffff8,
    0x3ffffe60,0x3ffffe21,0xfffff000,0x7ffffc45,0xfffff000,0x7ffffc45,
    0xfffff000,0x3ffff205,0x5ffffd83,0x2ffffe40,0x007fffff,0x07ffffcc,
    0xfffffd88,0xffffffff,0x7ffffc1f,0x3ffe6003,0x7fffc0ff,0x3ffffe26,
    0x05ffff70,0x207ffffa,0x00fffffb,0x00fffffe,0x0fffff98,0x03ffffe2,
    0x17ffffc0,0x01fffff1,0x8bffffe0,0x00fffff8,0x05fffff0,0x207ffffa,
    0x00fffffb,0xf9bffff2,0x2004ffff,0x807ffffa,0xfffffffa,0xf83fffff,
    0x2004ffff,0xf87ffffa,0x7fec6fff,0xffff74ff,0xfffff105,0x3ffffe60,
    0x3ffffe02,0x3ffea004,0x7fffc47f,0xffff000f,0x7fffc45f,0xffff000f,
    0x7fffc45f,0xffff000f,0xffff105f,0x3fffe60f,0x3fff202f,0x3ffffa6f,
    0x3ffee004,0x3ff2006f,0x3fffffff,0x09ffffd0,0x37fffdc0,0x2637fffc,
    0xfb8fffff,0xffb82fff,0x3ffe05ff,0x3ffa04ff,0x3ee004ff,0x7fc46fff,
    0xff000fff,0x7fc45fff,0xff000fff,0x7fc45fff,0xff000fff,0xff705fff,
    0x7ffc0bff,0x3ff204ff,0x3fff66ff,0x3ff2006f,0x6c4005ff,0x06ffffff,
    0x01bffff6,0x85ffffc8,0xfe86ffff,0xfffbbfff,0xffffd82f,0x3ffff202,
    0x3ffff607,0x3fff2006,0x7fffc45f,0xffff000f,0x7fffc43f,0xffff000f,
    0x7fffc43f,0xffff000f,0xffffb03f,0x7fffe405,0x3ffff607,0x3fffff26,
    0xfffff000,0x3fee0009,0xf902ffff,0x2001ffff,0xf84fffff,0xffa86fff,
    0xffffbeff,0xefffff82,0xfeeeeeee,0xf901ffff,0x2001ffff,0xf84fffff,
    0x8801ffff,0xff87ffff,0xf8801fff,0xfff87fff,0xff8801ff,0xffff07ff,
    0xdddddddf,0x03fffffd,0xa9fffff6,0x803fffff,0x02fffff9,0x3fffee00,
    0xffff504f,0xfff3007f,0xffff05ff,0x3ffffe0d,0x542ffffd,0xffffffff,
    0xffffffff,0xfff503ff,0xff3007ff,0xffd05fff,0xff3005ff,0xfffd0dff,
    0xfff3005f,0xffffd0df,0xffff3005,0xfffff50d,0xffffffff,0x207fffff,
    0x747ffffd,0x400effff,0x006ffffd,0x4fffff80,0x3bffffa0,0x7fffec00,
    0x0dffff06,0x3fffffee,0x7fe42fff,0xffffffff,0xffffffff,0x3ffffa06,
    0x7ffec00e,0xffffb06f,0xffff900b,0xbffffb0b,0xbffff900,0x0bffffb0,
    0x0bffff90,0xfffffff9,0xffffffff,0x3fa0dfff,0x7fdc7fff,0xfb00efff,
    0x1105ffff,0x3fffea00,0x3ffee01f,0xffb00eff,0x3fe05fff,0xfff106ff,
    0x85ffffff,0xffffffff,0xffffffff,0xf700ffff,0x201dffff,0x02fffffd,
    0x03fffff9,0x1fffffc4,0x0fffffe4,0x7fffff10,0x3fffff90,0x7ffffc40,
    0xffffff83,0xffffffff,0x80ffffff,0x447ffffe,0xceffffff,0xffffecaa,
    0x37bf906f,0xffffb983,0x3fe200ff,0xaaceffff,0x6fffffec,0x81bfffe0,
    0xfffffffc,0x3fffe62f,0xaaaaaaae,0xfffffbaa,0xfffff102,0xfd9559df,
    0x440dffff,0x0bffffff,0x37ffffd4,0xffffff88,0x7fffd40b,0xffff106f,
    0xffa817ff,0xff986fff,0xaaaaaeff,0xfffbaaaa,0xcccb82ff,0xffffc84c,
    0xffffffff,0xf901ffff,0xffffffff,0x09ffffff,0xffffff90,0xffffffff,
    0x7ffc03ff,0x3ffe206f,0x2e2fffff,0x2004ffff,0x205fffff,0xfffffffc,
    0xffffffff,0x7ffe401f,0xffffffff,0x201fffff,0xfffffffc,0xffffffff,
    0x3fff201f,0xffffffff,0xb81fffff,0x2004ffff,0x005fffff,0x7ffffdc0,
    0xffffffff,0x3fff202f,0xffffffff,0x2e004fff,0xffffffff,0x02ffffff,
    0x2037fffc,0xfffffffd,0x0bffff62,0x7ffffd80,0x7ffffdc0,0xffffffff,
    0xfff8802f,0xffffffff,0x4404ffff,0xffffffff,0x4fffffff,0x7ffffc40,
    0xffffffff,0xfffb04ff,0x7fec005f,0xa80007ff,0xffffffff,0x6400efff,
    0xffffffff,0x003fffff,0xffffffa8,0x00efffff,0x406ffff8,0xfffffff9,
    0x0fffff12,0xfffffb80,0x7fffd401,0xefffffff,0x3ff62000,0xffffffff,
    0xfb1002ff,0xffffffff,0x22005fff,0xfffffffd,0x102fffff,0x800fffff,
    0x01fffffb,0xffec8800,0x003effff,0xfffdb951,0x0005bdff,0xffffec88,
    0x3e003eff,0xfe806fff,0xf52fffff,0x8800bfff,0x804fffff,0xfffffec8,
    0x2a0003ef,0xfffffffe,0xea8000cf,0xffffffff,0xfea8000c,0xcfffffff,
    0x3fffea00,0x7ffc4005,0x800004ff,0x00001aa9,0x98000000,0xff0001aa,
    0xff500dff,0x3f25ffff,0xe8003fff,0x8006ffff,0x00001aa9,0x009aa988,
    0x2aa62000,0x22000009,0x90009aa9,0x0007ffff,0x00dffffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe6000,0x0000dfff,0x00d5554c,0x5ffffb80,0xf9800000,
    0x00dfffff,0xbffff700,0x54c00000,0xffc81aaa,0x0002ffff,0x00d55544,
    0x3fff2000,0x00002fff,0xfffff980,0x2aaaa0df,0x4000002a,0x3ffffff9,
    0xffdb7000,0x5bffffff,0x3fffee00,0x000005ff,0x3fffffe6,0x3fee0003,
    0x0005ffff,0x3ffffd00,0x3ffffe60,0x3e20002f,0x00007fff,0xffffff98,
    0x26000002,0x83ffffff,0x20fffffe,0x000dffc8,0xdfffff10,0xffd30003,
    0xffffffff,0xff9009ff,0x1dffffff,0xff880000,0x0001efff,0x3ffffff2,
    0x00000eff,0x01bfffe6,0x5fffffb1,0x7ffe4000,0x8800002f,0x02fffffd,
    0xfff88000,0xffd01eff,0x7ff41fff,0x44000fff,0x004fffff,0xffffff70,
    0xffffffff,0xffffc809,0x0efffe9a,0xfff10000,0xc80009ff,0xfe9affff,
    0x00000eff,0x007ffff9,0x0bffffee,0x7fffcc00,0x2e000006,0x002fffff,
    0x3fffe200,0x7fff404f,0x3fffee7f,0x3e2004ff,0x0002ffff,0xfffffffb,
    0xffffffff,0x77ffe409,0x3bfff620,0x7fc40000,0x40002fff,0x220efffc,
    0x000efffd,0x3ffffc40,0x3fffa600,0xffd0001f,0x000003ff,0x0fffff4c,
    0x7ffc4000,0xffe802ff,0x3fff67ff,0x00006fff,0xffff5000,0x5357bfff,
    0x0009ffb7,0x00000000,0x00000000,0xffff7000,0x00000009,0x05ffffa8,
    0x00000000,0xfd800000,0x3ff27fff,0x0006ffff,0xfffd0000,0xa8801dff,
    0x00000002,0x00000000,0xe8000000,0x0000ffff,0xfff80000,0x000000ff,
    0x00000000,0x3ffffec0,0x7ffffff5,0x70000000,0x01bfffff,0x00000000,
    0x00000000,0x40000000,0x005ffffa,0xf7000000,0x00009fff,0x00000000,
    0xffffd800,0x2ffffe46,0x05fffff7,0x4fffff80,0x3fffffe2,0xfb000000,
    0x00ffffff,0x7fffec00,0xfb0007ff,0xffffffff,0xffffffff,0x3fff6000,
    0xffd8002f,0x0007ffff,0x00fffff1,0x3ffffe00,0xffffffff,0xfff06fff,
    0xffffffff,0xc8dfffff,0xc986ffff,0xfffff82c,0x3ffee006,0x3ffea0ff,
    0x000004ff,0xfffffff1,0xf100003f,0x3fffffff,0xffffb000,0xffffffff,
    0x000fffff,0x00dffff3,0xffffff10,0x360003ff,0x0002ffff,0xfffffff8,
    0xffffffff,0xfffff06f,0xffffffff,0xffc8dfff,0xfb8006ff,0xf001ffff,
    0xfb89ffff,0x0001ffff,0xfffff500,0x00007fff,0xfffffff5,0xffb0007f,
    0xffffffff,0x0fffffff,0x7ffff900,0xffff5000,0x0007ffff,0x01bfffe6,
    0x3ffffe00,0xffffffff,0xfff06fff,0xffffffff,0xc8dfffff,0x0006ffff,
    0x00bfffff,0x81fffff7,0x007ffffc,0x3fff2000,0x006fffff,0xfffffc80,
    0xd8006fff,0xffffffff,0xffffffff,0x7ffc4007,0xfc8000ff,0x6fffffff,
    0x3fffa000,0x7fc0001f,0xffffffff,0x06ffffff,0xffffffff,0xffffffff,
    0x5ffffc8d,0xffff7000,0xffff803f,0xffffe84f,0x3e000006,0xffffffff,
    0x7fc0000f,0xffffffff,0x4ccc4000,0xeffffd99,0x00199999,0x027fffdc,
    0xffffff80,0x0000ffff,0x00bffff5,0xcfffff80,0xaaaaaaaa,0xffff02aa,
    0x5555559f,0xfb855555,0x20005fff,0x205fffff,0x80fffffb,0x005fffff,
    0xffff3000,0x05fffffb,0x7fffcc00,0x02fffffd,0xffff9000,0x3fa0000b,
    0x98001fff,0xfffdffff,0x3e0002ff,0x0000ffff,0x00bffffe,0x3ffffe00,
    0x3fee0002,0x2e0005ff,0xf01fffff,0xf109ffff,0x0009ffff,0x3fffee00,
    0x05ffffdb,0x3fffee00,0x05ffffdb,0xffff9000,0xff50000b,0x2e000bff,
    0xffdbffff,0x320005ff,0x0003ffff,0x00bffffe,0x3ffffe00,0x3fee0002,
    0x7c0004ff,0xfb84ffff,0xf980ffff,0x0004ffff,0x3ffffd00,0x00fffff7,
    0x4fffff40,0x007ffffb,0xbffff900,0xfffb0000,0x3fa0005f,0xfffb9fff,
    0x3e20007f,0x20007fff,0x002fffff,0x2fffff80,0x3ffea000,0x7001104f,
    0x441fffff,0x104fffff,0x00bfffff,0xffff1000,0x3ffffe2f,0xfff88001,
    0xfffff17f,0xff900003,0x98000bff,0x0006ffff,0x22fffff1,0x001fffff,
    0x0bffff60,0x7ffffc00,0xfff80002,0x2a0002ff,0x74c4ffff,0x7fc02fff,
    0x3fee4fff,0x3fe00fff,0x00006fff,0x24ffffa8,0x004ffffe,0x24ffffa8,
    0x004ffffe,0x5ffffc80,0x7ffe4000,0xff50003f,0x7fff49ff,0x3e60004f,
    0xf0006fff,0x0005ffff,0x05fffff0,0x7fffd400,0x3ffffe24,0x3ffee01f,
    0xffffd0ff,0xffffe809,0xfd800007,0x3ff22fff,0xfd8006ff,0x3ff22fff,
    0xc80006ff,0x0005ffff,0x03ffffe2,0x7fffec00,0x1bffff22,0xffffd000,
    0xffff0003,0xff00005f,0x40005fff,0x2e3ffffa,0x05ffffff,0x2fffffe2,
    0x00fffffa,0x07ffffec,0x3ffe0000,0x3ffea0ff,0x7fc000ff,0x3fea0fff,
    0x40000fff,0x005ffffc,0x13fffee0,0xfffff800,0x3ffffea0,0x3fea0000,
    0xff8004ff,0xccccdfff,0x01cccccc,0x99bfffff,0x99999999,0x3ffff983,
    0x3ffffff6,0x7fffdc06,0x03ffffde,0x4fffffc8,0x3fe60000,0xffff86ff,
    0x3fe6003f,0xffff86ff,0x7e40003f,0x20005fff,0x001ffffe,0x0dffff30,
    0x007fffff,0x0fffff80,0x7ffffc00,0xffffffff,0xfff02fff,0xffffffff,
    0x985fffff,0x3f23ffff,0x405fffff,0xfffffff8,0xfa800fff,0x000fffff,
    0x7ffff900,0x0bffffb0,0x1ffffe40,0x02ffffec,0x3ffff200,0xfff50005,
    0x7e4000bf,0xffd83fff,0x640005ff,0x4003ffff,0xffffffff,0xffffffff,
    0xffffff02,0xffffffff,0xfff985ff,0x3fffe62f,0xffb802ff,0x03ffffff,
    0x3fffffa0,0xfe80000d,0xffb81fff,0xfd000fff,0xff703fff,0x40001fff,
    0x005ffffc,0x05ffffb0,0x7ffff400,0xfffffb81,0x3fe20000,0x7fc006ff,
    0xffffffff,0x02ffffff,0xffffffff,0xffffffff,0x81333305,0x004ffffb,
    0xfffffff1,0x7fd4001f,0x401effff,0xfff883c9,0xffff307f,0xfff1005f,
    0x3ffe60ff,0x320002ff,0x8005ffff,0x006ffff8,0x1ffffe20,0x17ffffcc,
    0x3fff6000,0x3ffe002f,0xeeeeeeff,0xf01eeeee,0xddddffff,0x3ddddddd,
    0x02aa2000,0xfffff700,0xffd0007f,0x79dfffff,0x09ffdb75,0x40bffff7,
    0x804fffff,0x205ffffb,0x004fffff,0x17ffff20,0x3ffff200,0x3fee0003,
    0x3ffe05ff,0x4c0004ff,0x2005ffff,0x002fffff,0x2fffff80,0x00088000,
    0xffff1000,0x3e6000ff,0xffffffff,0x4fffffff,0x02ffffd8,0x01fffff2,
    0x80bffff6,0x007ffffc,0x17ffff20,0x3ffffe00,0x3ff60000,0x3ff202ff,
    0xe80007ff,0xf001ffff,0x0005ffff,0x05fffff0,0x77fec400,0xfc800001,
    0x20005fff,0xffffffe8,0xffffffff,0xefffff84,0xfeeeeeee,0x7c01ffff,
    0xeeeeffff,0xffffeeee,0xff90001f,0xfb800bff,0x40004fff,0xeeefffff,
    0xfffeeeee,0x5c0001ff,0xf004ffff,0x0005ffff,0x05fffff0,0x7fffec00,
    0xfc800006,0x40005fff,0xffffffd8,0x4fffffff,0x7fffffd4,0xffffffff,
    0x2a03ffff,0xffffffff,0xffffffff,0xf90003ff,0xe800bfff,0x0001ffff,
    0x3fffffea,0xffffffff,0x0003ffff,0x07ffffc4,0x17ffffc0,0x7fffc000,
    0xff10002f,0x0003ffff,0x5ffffc80,0xfd930000,0x9dffffff,0xfffff903,
    0xffffffff,0x40dfffff,0xfffffffc,0xffffffff,0x90006fff,0x400bffff,
    0x006ffff9,0x7ffffe40,0xffffffff,0x006fffff,0x3ffffc80,0x2fffff80,
    0xffff8000,0xff10002f,0x0005ffff,0x5ffffc80,0x7fd40000,0xff801cff,
    0xffffffff,0xffffffff,0xffff00ff,0xffffffff,0xffffffff,0xfff90001,
    0x7fec00bf,0x7c0002ff,0xffffffff,0xffffffff,0x40000fff,0x806ffff8,
    0x002fffff,0x2fffff80,0x3fffa000,0x400000ff,0x005ffffc,0x7fffe400,
    0xffff9800,0xaaaaaaae,0xfffffbaa,0xeffff982,0xaaaaaaaa,0x2fffffba,
    0xffffc800,0xffff1005,0xff98000f,0xaaaaaeff,0xfffbaaaa,0xd80002ff,
    0x7c02ffff,0x0002ffff,0x02fffff8,0x3fffe600,0xfc800002,0x00005fff,
    0x8027ffec,0x004ffffb,0x217ffffe,0x004ffffb,0x817ffffe,0xfdaaaaaa,
    0xaaaaefff,0x7fffe42a,0x7fdc0003,0x3fe004ff,0x80005fff,0x405ffffa,
    0xaacfffff,0xaaaaaaaa,0x9fffff02,0x55555555,0x15510555,0x3f200000,
    0x00005fff,0x800ffffc,0x002ffffd,0x21fffff6,0x002ffffd,0x81fffff6,
    0xfffffffd,0xffffffff,0x7ffffc7f,0x7fec0000,0x3f6002ff,0x00007fff,
    0x401ffffd,0xffffffff,0xffffffff,0xffffff06,0xffffffff,0x00000dff,
    0x3ffff200,0x3e600005,0xff1006ff,0xfb800fff,0x3e21ffff,0x5c007fff,
    0xb01fffff,0xffffffff,0xffffffff,0x2ffffd4f,0x3ffe2000,0x7fdc007f,
    0x80001fff,0x204ffffb,0xffffffff,0xffffffff,0xffffff06,0xffffffff,
    0x00000dff,0x3ffff200,0x3ea00005,0xff5003ff,0xf8800bff,0x3ea4ffff,
    0x44005fff,0xb04fffff,0xffffffff,0xffffffff,0x0fffff4f,0x3ffea000,
    0x7fc4005f,0x80004fff,0x00fffff8,0xffffffff,0xffffffff,0x3ffffe0d,
    0xffffffff,0x00006fff,0xffff9000,0x54c0000b,0xff9000aa,0xfd0007ff,
    0x7fe4dfff,0xfe8003ff,0xffb06fff,0xffffffff,0x2fffffff,0x004cccc8,
    0x3ffffc80,0xffffe800,0x99700006,0x3ffe0399,0xffffffff,0xf06fffff,
    0xffffffff,0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xdffffff9,
    0x3ffee000,0x3ff2005f,0x0002ffff,0x00026600,0x00099880,0x00000c00,
    0xaaaaaa80,0xaaaaaa82,0x5c00000a,0x00f2e03c,0x01555500,0x701e5c00,
    0x40000079,0x3ffffff9,0x7fffdc00,0x3e6005ff,0x002fffff,0x3fff2200,
    0xb50000df,0xddffffff,0x009ddddd,0x0007fff9,0x7fffec00,0xffd880ef,
    0x0000efff,0xb0dfffb0,0x2000dfff,0x00effffc,0x86fffd80,0x0006fffd,
    0xfffff880,0x7fe4001e,0x0effffff,0xffffb100,0x3a00005f,0x0fffffff,
    0x3fffa600,0xffffffff,0x5c05ffff,0x002fffff,0xffffd800,0xfffb804f,
    0x40000eff,0x22fffff8,0x02fffff9,0x7ffffe40,0x7fc4006f,0x3fe62fff,
    0x00002fff,0x13ffffe2,0x3ffff200,0x0efffe9a,0x3fffee00,0x7dc0002f,
    0x5fffddff,0xfffff100,0xffffffff,0xe80bffff,0x005fffff,0x7fffec00,
    0x3fe6002f,0x0000efff,0x8fffffe6,0x03fffff9,0x3bfffee0,0x26005fff,
    0x263fffff,0x003fffff,0xfffff100,0xfff90005,0x7ffec41d,0x3fa6000e,
    0x20001fff,0x3fe63ffe,0xffffd007,0xffffb79f,0x80bfffff,0x05ffffff,
    0x3fff6000,0xd88000ef,0x000effff,0x87ffffe0,0x00fffff8,0x13ffff70,
    0x400bfffd,0x221fffff,0x000fffff,0x00000000,0x00000000,0xf03ffe00,
    0xffa803ff,0x7e440eff,0x36004fff,0x003fffff,0x9ffffb00,0xfff70000,
    0x260001df,0xff982ffe,0xfff5002f,0x7fff443f,0x5ffd3004,0x005fff30,
    0x00000000,0x00000000,0x23ffe800,0xfc807ff9,0xff102fff,0x22001fff,
    0x0006ffff,0x03333310,0x4ccc4000,0x00400009,0x26660004,0x19998809,
    0x00400400,0x00000000,0x00000000,0xfffc8000,0x805fffcc,0x6c07fffd,
    0x2002ffff,0x00002cb8,0x00000000,0x00000000,0x00000000,0xffb00000,
    0xffffffff,0x0fffffff,0x7ffffffc,0xffffffff,0xffffd86f,0xffffffff,
    0x8807ffff,0xfffffffe,0x7fffe800,0x17fffdc0,0x00000000,0x00000131,
    0x00000262,0x00000262,0x00001333,0x00009998,0xffffffb0,0xffffffff,
    0x7ffc0fff,0xffffffff,0xd86fffff,0xffffffff,0xffffffff,0xfffb1007,
    0x3f6001df,0x3f201fff,0x00001fff,0x7f6dc000,0x0003dfff,0x7ffff6dc,
    0x36e0003d,0x03dffffe,0x7fff64c0,0x00ceffff,0x3fffb260,0x00ceffff,
    0xfffffb00,0xffffffff,0x7fc0ffff,0xffffffff,0x86ffffff,0xfffffffd,
    0xffffffff,0x5544007f,0x7ffe4001,0xffff104f,0xddddd10f,0x05dddddd,
    0x3fffa600,0x1effffff,0x7fff4c00,0x1effffff,0x3fffa600,0x1effffff,
    0xffffff80,0xffffffff,0xfffff804,0xffffffff,0xffd8004f,0xffffffff,
    0x07ffffff,0x3ffffffe,0xffffffff,0xffffd86f,0xffffffff,0x4007ffff,
    0x4c000999,0x21cfffff,0x85ffffe9,0xfffffff8,0x8002ffff,0xfffffffa,
    0x03ffffff,0xffffff50,0x7fffffff,0xfffff500,0xffffffff,0xfffff807,
    0xffffffff,0x7ffc04ff,0xffffffff,0x4004ffff,0xfd999998,0x9999efff,
    0x3fffe019,0xaaaaaacf,0x9882aaaa,0xfffd9999,0x199999ef,0x3fffb260,
    0x00ceffff,0xffffffc8,0xfffffffe,0xfffff880,0x02ffffff,0x7ffffcc0,
    0xffffecdf,0x7fcc01ff,0xfecdffff,0x201fffff,0xdffffff9,0xffffffec,
    0x3ffffe01,0xfffeecee,0x3fe02fff,0xeeceefff,0x02ffffff,0xffffc800,
    0xffff8005,0x9000002f,0x800bffff,0xffffffff,0x04ffffff,0x7fffffd4,
    0x1fffffff,0xffffff10,0x005fffff,0x0dffffe8,0x2fffff4c,0x37ffffa0,
    0x7ffff4c0,0x3ffffa05,0x7fff4c0d,0x02fbe05f,0x5fffffa8,0xa802fbe0,
    0x005fffff,0x5ffffc80,0xfffff800,0xf9000002,0xf800bfff,0xffffffff,
    0x04ffffff,0xfffffff3,0x019fffff,0xf9999998,0x2002ffff,0x205ffffa,
    0x02fffff9,0x40bffff5,0x82fffff9,0x205ffffa,0x02fffff9,0x7ffdc001,
    0xb800206f,0x0006ffff,0x05ffffc8,0x2fffff80,0xff900000,0xff800bff,
    0xeeceefff,0x82ffffff,0xcb8dfffd,0x0000abcd,0x017ffffc,0x01ffffd0,
    0x03ffffd8,0x801ffffd,0xe83ffffd,0x6c00ffff,0x0003ffff,0x07ffff98,
    0xffff3000,0xff90000f,0xff000bff,0x00005fff,0x17ffff20,0x4017df00,
    0x45fffffa,0x002ffff8,0x7fffc000,0xfff3002f,0xfff700df,0xffff30bf,
    0xffff700d,0x6ffff98b,0x5ffffb80,0xfff88000,0x880000ff,0x000fffff,
    0x2ffffe40,0x7ffffc00,0xf9000002,0x0800bfff,0x3fffee00,0x1ffffd46,
    0x3fe00000,0xf5002fff,0x5555dfff,0xfff95555,0xffff50df,0x5555555d,
    0x8dffff95,0xaaeffffa,0xfcaaaaaa,0x44006fff,0xfffbaaa9,0x4c4000ff,
    0xffffbaaa,0x7e40000f,0xf8005fff,0x0002ffff,0xbffff900,0x7cc00000,
    0x7fcc7fff,0x999acfff,0xff800009,0xf7002fff,0xffffffff,0xffffffff,
    0xffff70ff,0xffffffff,0x8fffffff,0xfffffffb,0xffffffff,0x5c407fff,
    0xfffffffe,0x400fffff,0xfffffeb8,0x0fffffff,0x7ffe4000,0xfff8005f,
    0xcccccdff,0x001ccccc,0x017ffff2,0xfff88000,0x7fffc0ff,0xffffffff,
    0xf8003def,0x9002ffff,0xffffffff,0xffffffff,0xfff90fff,0xffffffff,
    0xffffffff,0xffffffc8,0xffffffff,0x3207ffff,0xffffffff,0x0fffffff,
    0x3fffff20,0xffffffff,0x640000ff,0x8005ffff,0xffffffff,0xffffffff,
    0x3fff2002,0x3100005f,0xffff7555,0xffff981f,0xffffffff,0x2003ffff,
    0x002fffff,0xfffffffb,0xffffffff,0xffb0ffff,0xffffffff,0xffffffff,
    0xfffffd8f,0xffffffff,0xb07fffff,0xffffffff,0xffffffff,0x3ffff601,
    0xffffffff,0x0000ffff,0x02ffffe4,0x7fffffc0,0xffffffff,0x3f2002ff,
    0x10005fff,0xffffffd7,0x01ffffff,0xfffffff7,0xffffffff,0x3ffe007f,
    0xff9002ff,0x55555bff,0x55555555,0xbffff905,0x55555555,0xc8555555,
    0xaaadffff,0xaaaaaaaa,0xfffc82aa,0xaaabcfff,0x80fffffb,0xcffffffc,
    0xfffbaaab,0x640000ff,0x8005ffff,0xffffffff,0xffffffff,0x3fff2002,
    0xffc8005f,0xffffffff,0x5c0fffff,0xeeefffff,0xffffffee,0xfff800ff,
    0xff7002ff,0x40000bff,0x005ffffb,0xbffff700,0x3fe20000,0xf100dfff,
    0xf881ffff,0x100dffff,0x001fffff,0x5ffffc80,0xfffff800,0xeeeeeeee,
    0x32001eee,0x4005ffff,0xfffffffd,0xffffffff,0x3fffea0f,0x3ff6201f,
    0xff802fff,0xf5002fff,0x0000dfff,0x037fffd4,0xffffa800,0xff500006,
    0x7c401fff,0x7d40ffff,0x2200ffff,0x000fffff,0x2ffffe40,0x7ffffc00,
    0xf9000002,0x6400bfff,0xbcffffff,0xffffbaaa,0x3ffffe0f,0xffffd002,
    0xfffff009,0x3ffe6005,0x300002ff,0x005fffff,0xfffff300,0xff900005,
    0xffa80dff,0x7fe40fff,0x7fd406ff,0x40000fff,0x005ffffc,0x02fffff8,
    0xfff90000,0x3fe200bf,0xf100dfff,0x3e61ffff,0x3a007fff,0xf803ffff,
    0x2002ffff,0x00effffe,0xffffd000,0xfd00001d,0x0001dfff,0x1fffffb8,
    0xffffff70,0xfffffb81,0xfffff701,0xfc80001f,0xf8005fff,0x0002ffff,
    0xbffff900,0x3fffea00,0x3ffe200f,0xffff30ff,0xfff3001f,0xfff003ff,
    0x7d4005ff,0x403fffff,0x3fea03b9,0x4c03ffff,0xffff503b,0x3b9807ff,
    0xdfffffa8,0x3ffff220,0x7fd40fff,0x3220dfff,0x0fffffff,0x7ffe4000,
    0xfff8005f,0x000002ff,0x00bffff9,0x01bffff2,0x21fffff5,0x1efffff8,
    0x3ffffea0,0xfffff006,0xfffd8005,0xeedeffff,0x6c06fffe,0xefffffff,
    0x6fffeeed,0x3fffff60,0xfeeedeff,0xfff886ff,0xffeeffff,0x0fffffff,
    0x7fffffc4,0xfffffeef,0x0000ffff,0x02ffffe4,0x17ffffc0,0xffc80000,
    0xff7005ff,0x3ee03fff,0x360fffff,0xefffffff,0xfffffedd,0x3fffa0ff,
    0xffffffff,0x05ffffff,0xfffffff1,0xffffffff,0xffff880d,0xffffffff,
    0x3e206fff,0xffffffff,0x06ffffff,0xfffffff9,0xff9fffff,0xfff901ff,
    0xffffffff,0x01ffff9f,0xffffc800,0xffff8005,0x9000002f,0x200bffff,
    0x0dfffffa,0x3fffff22,0x3ffa20ff,0xffffffff,0x41ffffff,0xfffffffe,
    0xffffffff,0x3f2205ff,0xffffffff,0x8806ffff,0xfffffffc,0x06ffffff,
    0x7ffffe44,0xffffffff,0xffffd106,0x51dfffff,0xd101ffff,0xffffffff,
    0xffff51df,0xffc80001,0xff8005ff,0x00002fff,0x0bffff90,0x3ffffe20,
    0xffffeeff,0x440fffff,0xfffffffc,0x0bffffff,0xffffffe8,0xffffffff,
    0xd9805fff,0xffffffff,0x26002dff,0xfffffffd,0x3002dfff,0xfffffffb,
    0xb805bfff,0x3effffff,0x803fffea,0xeffffffb,0x03fffea3,0x55555540,
    0xaaeffffd,0x3fe02aaa,0xaaaacfff,0x82aaaaaa,0xfdaaaaaa,0xaaaaefff,
    0xffffc82a,0xffffffff,0x200ffffc,0xefffedca,0x7ff402cc,0xffffffff,
    0x5fffffff,0x5554c400,0x8800009a,0x009aaaa9,0x5554c400,0xa980009a,
    0x200001aa,0x0001aaa9,0x7ffffec0,0xffffffff,0x3fe07fff,0xffffffff,
    0x86ffffff,0xfffffffd,0xffffffff,0xfffe887f,0x8effffff,0x000ffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffd,
    0xffffffff,0x3fffe07f,0xffffffff,0xfd86ffff,0xffffffff,0x7fffffff,
    0x3ffffee0,0x3ffea3ef,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffd8000,0xffffffff,0x207fffff,0xffffffff,0xffffffff,
    0xfffffd86,0xffffffff,0xa9807fff,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xfffffffd,0xffffffff,0x3fffe07f,
    0xffffffff,0xfd86ffff,0xffffffff,0x7fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x101bdca8,0x2f36ea00,0x55551000,0x5c079700,0x5d44003c,0x0002bcdc,
    0xaaaaa800,0xaaaaa82a,0x000000aa,0x80055554,0x000aaaaa,0x40797000,
    0xa80003cb,0xaa800aaa,0x30000009,0x1bffffff,0x3f6205e8,0x802fffff,
    0x6c04fffc,0xffd86fff,0xffc8806f,0xbfffffff,0xfd800000,0x880effff,
    0x0efffffd,0xff900000,0xff001dff,0x00003fff,0xb0dfffb0,0x4000dfff,
    0x00effffc,0x677ffffc,0xff880003,0xcfffffff,0xfd05ffeb,0x3fffffff,
    0x077ffcc0,0x5fffff10,0x17ffffcc,0xffffff50,0x1dffffff,0x7fec0000,
    0xfb804fff,0x000effff,0x7fffe400,0xfff806ff,0x400001ff,0x22fffff8,
    0x02fffff9,0xfffffc80,0x7fffc06f,0x003fffff,0x3fffff60,0xffffffff,
    0xffffb85f,0x206ffffc,0x4c02fffe,0x263fffff,0x103fffff,0xffffffff,
    0x0dffffff,0x3fff6000,0x3e6002ff,0x000effff,0xdffff700,0xff80bfff,
    0x00001fff,0x1fffffcc,0x07fffff3,0xeffffb80,0x3fe05fff,0xffffffff,
    0xff88002e,0xffffc88c,0xff80efff,0xfffd10ff,0x09fff901,0x87ffffe0,
    0x00fffff8,0x59fffffd,0xfffffd75,0xffd80005,0x88000eff,0x00effffd,
    0x7fffdc00,0x05fffe89,0x007ffffe,0x3fffe000,0x3fffe21f,0x3fee000f,
    0xfffe89ff,0xffffff05,0x03ffffff,0xfb309100,0xf101bfff,0xfffc8bff,
    0x07fffcc1,0x82ffe980,0xf502fff9,0xd103ffff,0x0009ffff,0x027fffec,
    0x7fffdc00,0xff50000e,0x7ff443ff,0xfffff04f,0xd3000003,0xfff305ff,
    0x7ffd4005,0x3fffa21f,0xfeeccc84,0x0fffffff,0x0cc40000,0x713ffe60,
    0xffe85fff,0x8008002f,0x7fffdc00,0x3fffee04,0x33310006,0x44000033,
    0x00009999,0x31013333,0x3ffe0333,0x000001ff,0x20002002,0x98809999,
    0xfb300199,0x00dfffff,0x3e600000,0x7ffdc4ff,0x017ffee1,0xfd800000,
    0x3f202fff,0x00005fff,0x00000000,0x7c000000,0x0001ffff,0x00000000,
    0xf5000000,0x001fffff,0x00099980,0xfd8dfff1,0xffff30ff,0x00000001,
    0x00fffff4,0x007ffffd,0x0004ccc0,0x004ccc00,0x004c4000,0x01fffff0,
    0x10000026,0x00000013,0x3ff20000,0x26002fff,0xffffffec,0x3fe00cef,
    0xdfff53ff,0x0017fff4,0x801ddddd,0x3e0eeeee,0xfb01ffff,0x2001ffff,
    0xfffffec9,0x4000ceff,0xfffffec9,0x0000ceff,0xbffffdb7,0xfffff807,
    0xdfffd710,0xb9300019,0x19bfffff,0x3bbbba00,0x77777400,0xffff3000,
    0x3ffe009f,0xffffffff,0xff704fff,0x5fffffff,0x0017ffee,0x801fffff,
    0x3e1fffff,0xfd81ffff,0xf003ffff,0xffffffff,0x009fffff,0x3ffffffe,
    0x4fffffff,0x3fffa600,0x1effffff,0x31fffff0,0xffffffff,0x7fe4003f,
    0xffffffff,0xffff802f,0x7fffc00f,0xfff1001f,0x3fe009ff,0xffffffff,
    0xd04fffff,0xbfffffff,0x003fffe2,0x01fffff0,0x21fffff8,0x641fffff,
    0x003fffff,0x3ffffffe,0xffffffff,0xfffff804,0xffffffff,0xffa804ff,
    0xffffffff,0xfff83fff,0xfffffaff,0x01ffffff,0x7fffff4c,0xffffffff,
    0x7ffffc05,0x7ffffc00,0xffff3001,0x3ffe007f,0xfeeceeff,0x902fffff,
    0x747fffff,0xf8002fff,0x7c00ffff,0x3fe1ffff,0x3fea1fff,0x7c002fff,
    0xeceeffff,0x2ffffffe,0x77ffffc0,0xffffeece,0x3fe602ff,0xfecdffff,
    0x7c1fffff,0xffffffff,0xffffffff,0x7ffff406,0xffffffff,0x3fe03fff,
    0x7fc00fff,0xf9001fff,0x2003ffff,0x3ea00bef,0x4c05ffff,0x2fffdc0a,
    0xfffff800,0x7ffffc00,0x87ffffe1,0x004ffffe,0x2a00bef8,0x405fffff,
    0x3ea00bef,0x3a05ffff,0x4c0dffff,0x7c5ffffe,0xffffffff,0xfffffb9b,
    0xffff702f,0xfd7359ff,0x201fffff,0x400fffff,0x801fffff,0x07fffffc,
    0xffb80020,0xf88006ff,0xf0000fff,0xf801ffff,0x3fe1ffff,0x3ffe1fff,
    0x008001ff,0x1bfffee0,0x7fdc0010,0xfff506ff,0x7ffcc0bf,0x3fffe2ff,
    0xff984fff,0xff885fff,0xf900efff,0x3e09ffff,0x7c00ffff,0x3a21ffff,
    0xfffffeee,0x000002ff,0x00fffff3,0x007fffb0,0x07ffffc0,0x87ffffe0,
    0xf11fffff,0x0007ffff,0xffff9800,0x3e600007,0xffd07fff,0xffd801ff,
    0x3fffe3ff,0x3ff205ff,0x7fe40fff,0x7f400fff,0xfff07fff,0xfff801ff,
    0x3ffe21ff,0x5fffffff,0x3e200000,0x2000ffff,0x0006fffb,0x007ffffc,
    0xf87ffffe,0x3fa1ffff,0x0000efff,0x3fffe200,0xf100000f,0xf981ffff,
    0xfb806fff,0x3ffe5fff,0x7fcc05ff,0x7ff41fff,0xffa804ff,0xfff80fff,
    0x7ffc00ff,0x7fffc1ff,0x003fffff,0x2aaa6200,0x00fffffb,0x01ffff10,
    0xfffff800,0x7ffffc00,0x87ffffe1,0x0efffffd,0xaa988000,0x0fffffba,
    0xaaa98800,0x40fffffb,0xaaeffffa,0xfcaaaaaa,0x3ffe6fff,0x7fc401ff,
    0x7ffc2fff,0xff8801ff,0xfff81fff,0x7ffc00ff,0x7fffc1ff,0x0000beff,
    0x7ffff5c4,0xffffffff,0x7fffb000,0x005e6dcc,0x007ffffc,0xf87ffffe,
    0x3e21ffff,0x02ffffff,0x7fff5c40,0xffffffff,0xfeb8800f,0xffffffff,
    0x7fdc0fff,0xffffffff,0xffffffff,0x07ffffe7,0x8fffffe0,0x00fffff8,
    0x07fffff0,0x801fffff,0x7c1fffff,0x0000ffff,0xffffff90,0xffffffff,
    0xfff5001f,0x3ffff62d,0x7ffc02ff,0x7ffc00ff,0x3fffe1ff,0x7fffdc1f,
    0xf9004fff,0xffffffff,0x01ffffff,0xffffffc8,0xffffffff,0x7fffe40f,
    0xffffffff,0x27ffffff,0x801fffff,0x2a4ffffe,0x2007ffff,0xf84ffffe,
    0x7c00ffff,0x7fc1ffff,0xb00006ff,0xffffffff,0xffffffff,0xffff8801,
    0xffffffd1,0x7ffc05ff,0x7ffc00ff,0x3fffe1ff,0xffffb81f,0x7ec03fff,
    0xffffffff,0x0fffffff,0x3fffff60,0xffffffff,0x7fec0fff,0xffffffff,
    0xffffffff,0x07ffffe7,0x8fffffe0,0x007ffffa,0x20fffffa,0x400fffff,
    0x741fffff,0x80006fff,0xcffffffc,0xfffbaaab,0x7fec00ff,0x9ffff53f,
    0x7c0dffff,0x7c00ffff,0x3fe1ffff,0xff501fff,0x203fffff,0xcffffffc,
    0xfffbaaab,0xfff900ff,0x55579fff,0x81fffff7,0xaadffffc,0xaaaaaaaa,
    0x3ffe2aaa,0x7fc401ff,0x3fe62fff,0xff000fff,0xfff05fff,0xfff801ff,
    0x7fff41ff,0x7fc40005,0xf100dfff,0x5401ffff,0x3ffa6fff,0x07fffa0f,
    0x007ffffc,0xf87ffffe,0x2201ffff,0x84fffffe,0x0dfffff8,0x1fffff10,
    0xbfffff10,0x3fffe201,0x7fffdc0f,0xfff80005,0x7fcc01ff,0x3fe20fff,
    0xf8801fff,0xff81ffff,0x7fc00fff,0x4cc41fff,0x7d400009,0x2200ffff,
    0x100fffff,0x7fc3ffff,0x17ffe46f,0x01fffff8,0x87ffffee,0x401fffff,
    0x86fffff8,0x00fffffa,0x03ffffe2,0x03ffffea,0x0fffff88,0x037fffd4,
    0x7ffffc00,0x7fffdc01,0x3fffff87,0xfffffa80,0x1fffff80,0x3ffffee0,
    0x64000001,0x5406ffff,0x900fffff,0x7fc49fff,0x1fffd45f,0x03fffff8,
    0x3ffffff5,0x00fffffc,0x43ffffe4,0x406ffffc,0x80fffffa,0x406ffffc,
    0x40fffffa,0x02fffff9,0x7ffffc00,0x7ffffc01,0x7ffffe86,0x6ffffe80,
    0x07fffff0,0x3fffffea,0x0000a881,0x1fffffb8,0xffffff70,0x8dfff501,
    0x7dc5fff8,0xfffd02ff,0xffff30bf,0x7ffc3fff,0xffb801ff,0xfffb86ff,
    0xfff701ff,0xff701fff,0x3ee03fff,0xe80fffff,0x000effff,0x07ffffe0,
    0x2fffffc8,0x5fffffb8,0x3fffff20,0xbffffd02,0xffffff30,0x5fffd83f,
    0x7ffd4000,0x3f220dff,0x40ffffff,0xf81fffe8,0x7ffe47ff,0xfffffb01,
    0xffffb319,0x7fc3ffff,0x22021fff,0xa84ffffe,0x20dfffff,0xffffffc8,
    0xffffa80f,0x3ff220df,0xa80fffff,0x03ffffff,0x3ffe1dcc,0xffd882ff,
    0x3fa05fff,0x88aeffff,0x6fffffda,0x3fffff60,0xffffd98c,0x3ee1ffff,
    0x0004ffff,0x3fffffe2,0xfffffeef,0x7e40ffff,0xfffd04ff,0x81fffea7,
    0xfffffffa,0xffffffff,0x3fffe1ff,0xddddf11f,0x05ffffff,0xfffffff1,
    0xffffffdd,0xff101fff,0xfddfffff,0xffffffff,0x3ffff601,0xeeedefff,
    0x7ffc6fff,0xffeeffff,0x00ffffff,0x3fffffea,0xffffffff,0x3fea01ff,
    0xffffffff,0x1fffffff,0x1bfffffa,0xffff9000,0xffffffff,0x4c1ffff9,
    0x3ea06fff,0xffffffff,0x7ffff403,0xbeffffff,0x3fe1ffff,0xfff11fff,
    0x9fffffff,0x7ffffe40,0xcfffffff,0xf900ffff,0xffffffff,0xffff9fff,
    0x3fffe201,0xffffffff,0x7ffc6fff,0xffffffff,0x802fffff,0xfffffffd,
    0x3fffffff,0xfffffe80,0xfbefffff,0x3ffa1fff,0x40007fff,0xffffffe8,
    0xffa8efff,0x3fffa0ff,0x7ffff401,0xf9806fff,0xffffffff,0x1ffffa8d,
    0x447ffffe,0xffffffff,0x7ff4405f,0xefffffff,0x00ffffa8,0xffffffd1,
    0xff51dfff,0x7e4401ff,0xffffffff,0x7fc6ffff,0xffffffff,0x000dffff,
    0x3fffffee,0x01efffff,0xffffff30,0xff51bfff,0x7ffe43ff,0x700004ff,
    0x7dffffff,0xc87fffd4,0xf9004fff,0x4007ffff,0xffffffd8,0x87fffea3,
    0xf11fffff,0x3bffffff,0x7fffdc00,0x3fea3eff,0x7fdc00ff,0x2a3effff,
    0x9800ffff,0xfffffffd,0x5cc2dfff,0xfffffffd,0x10001def,0xfffffffb,
    0xfb10009d,0x547fffff,0x7ec1ffff,0x00000eff,0x000d554c,0x06a60000,
    0x1aa98800,0x99880000,0x4c00009a,0x00001aaa,0x000d554c,0xaaa98800,
    0x2620009a,0x00001aa9,0x001aa988,0x03553100,0x00155400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x37b95100,0x22000020,0x55400000,0x0201aaaa,0x0aaaa800,
    0x09980000,0x55400000,0x0002aaaa,0x00020131,0x006aaa60,0x55555000,
    0x55500001,0xaaa85555,0xaaaaaaaa,0xfff98000,0x2f40dfff,0x7ffedc00,
    0xb80003df,0x31ffffff,0x0003fd97,0x01dffff9,0x98bbbba0,0x0ceffffc,
    0x7fec0000,0x8800efff,0xfffffecb,0x001fecbd,0x00ffffc0,0x3fffe000,
    0x7ec0001f,0x220effff,0xffffffff,0x44002fff,0xffffffff,0x05ffebcf,
    0xfffffd30,0x0005dfff,0xffffffc8,0x01ffffff,0x7ffffe40,0xffff006f,
    0x3ffffee9,0x0001ffff,0x9fffffb0,0x3fffea00,0xffffffff,0x2a0001ff,
    0x00006fff,0x01fffff8,0x3ffff600,0xffff884f,0x2fffffff,0x7fffec00,
    0xffffffff,0xffa805ff,0xffffffff,0x988001ff,0xfffffffb,0x001fffff,
    0x3fbfffee,0xfff805ff,0xfffffbcf,0x01ffffff,0x7fffec00,0xffd8802f,
    0xffffffff,0x001fffff,0x013fff20,0x3fffe000,0xffb0001f,0x3e205fff,
    0xffffffff,0x7c4002ff,0xfffc88cf,0x400effff,0xeffffff8,0x0effffff,
    0x3fffee00,0xffffffff,0xf7001eff,0xffd13fff,0xffff80bf,0xffffffff,
    0x006fffff,0x3bffff60,0xffffd000,0xffffffff,0x8003ffff,0x1ffff998,
    0xfff80000,0xfd8001ff,0x2200efff,0xffeeeeee,0x88002fff,0xffffd984,
    0xfffc800d,0x3ffee0ef,0x3ee002ff,0xffffffff,0x20009dff,0x221ffffa,
    0x3e04fffe,0xffffffff,0xfffffb9b,0xffd8002f,0x3ea004ff,0x20bfffff,
    0x1fffffa8,0x7ffee4c0,0x0006ffff,0x3fffff00,0xffffd800,0x7ffc0004,
    0x800002ff,0x7f400198,0xffc80fff,0x3ee004ff,0xfffeffff,0x4c000fff,
    0x99880999,0x3fffe019,0xff984fff,0x44005fff,0x40019999,0x01effffe,
    0x807ffffe,0xfffffffc,0x0003ffff,0x1fffff80,0x26666200,0xfff80001,
    0x000002ff,0xffff1000,0x3fffe60b,0x2f3ae005,0x3fffff21,0x00000005,
    0x2ffffffc,0x1fffff90,0x5c000000,0x402fffff,0x981fffff,0xfffffffe,
    0x05ffffff,0x7fffc000,0x0000001f,0x2fffff80,0x02620000,0x3fffe600,
    0x9ffff505,0x3fe20000,0x0002ffff,0x7c000988,0x4c05ffff,0x001fffff,
    0x6c000988,0xf806ffff,0x7c41ffff,0xffffffff,0x3fffffff,0x7c262000,
    0x0001ffff,0xfff80000,0x260002ff,0xdfffffdc,0xfff8800c,0xffff907f,
    0x37220005,0xffffffff,0x6e4c000f,0x0cdfffff,0x0fffffc0,0x3ffffe20,
    0xffdc9802,0x400cdfff,0x803ffffe,0x641fffff,0x8adfffff,0xfffffffd,
    0xfdb7001f,0xffffffff,0xddddd03f,0xeeeee801,0xfffff000,0x3ff20005,
    0xffffffff,0xfffe802f,0x7fffd42f,0xffb8000f,0xffffffff,0x3f2004ff,
    0xffffffff,0x3ffe02ff,0xfff801ff,0x7fe403ff,0xffffffff,0x3fffe02f,
    0xffff802f,0x3fffe21f,0x3fffe24f,0x404fffff,0xffffffea,0x1fffffff,
    0x00fffff8,0x00fffffc,0x02fffff8,0x7ffff4c0,0xffffffff,0x7ffe405f,
    0xffff50ff,0xfe88007f,0xffffffff,0x400fffff,0xffffffe9,0x5fffffff,
    0x03fffff0,0x09ffffd0,0x3fffffa6,0xffffffff,0xfffff985,0xfffff801,
    0x1bffff21,0xff7bfff7,0x3f620fff,0xffffffff,0x81ffffff,0x400fffff,
    0x001fffff,0x005fffff,0xffffffe8,0xffffffff,0x3ffe203f,0xffffddff,
    0xffd8005f,0xffffffff,0x404fffff,0xfffffffe,0xffffffff,0x1fffff83,
    0x3fffff80,0xffffffd0,0xffffffff,0xffffa87f,0xffff800f,0x3ffffa1f,
    0x45fffec2,0xd81fffff,0xffffffff,0xffffffff,0x0fffff81,0x0fffffc0,
    0x2fffff80,0x3fffee00,0xfeb9acff,0x200fffff,0xfffffffa,0xa8004fff,
    0x0affffff,0x1fffffe2,0xffffffb8,0xfffeb9ac,0x7ffc0fff,0x7fc401ff,
    0xffb82fff,0xb9acffff,0x0ffffffe,0x07ffffe6,0x87ffffe0,0x7c47ffff,
    0xfffb0fff,0xffffa87f,0x3ea20bff,0xff81ffff,0x7fc00fff,0xff001fff,
    0x22005fff,0x00efffff,0x09fffff9,0xffffffd8,0xf88002ef,0x900effff,
    0x103fffff,0x01dfffff,0x13fffff2,0x803fffff,0x40fffff9,0x0efffff8,
    0x9fffff90,0x0fffffc4,0x8fffffc0,0x5c6ffff8,0x3ff65fff,0x3ffe23ff,
    0x3fe01eff,0xfff81fff,0x7ffc00ff,0xfff001ff,0x3f2005ff,0x7400ffff,
    0x6c07ffff,0x04ffffff,0x3fffee00,0x3ffe602f,0xfffc83ff,0x7ff400ff,
    0x7fffc7ff,0x7ffdc01f,0xffffc87f,0x7fff400f,0x7ffffc7f,0x7fffdc03,
    0xbffff51f,0x322fffe8,0x3ee4ffff,0x7c02ffff,0xff81ffff,0x7fc00fff,
    0xff001fff,0x3a005fff,0xa804ffff,0x880fffff,0xfffffffe,0x66664c0e,
    0x6ffffd81,0x5ffffe80,0x04ffffe8,0x0fffffa8,0x007ffffe,0xd0dfffff,
    0x5009ffff,0x741fffff,0x2a05ffff,0x51ffffff,0x7c4bffff,0x3ff20fff,
    0x3fff64ff,0xffff806f,0xfffff81f,0x7ffffc00,0xfffff001,0x3fffe005,
    0xfff8801f,0x7ff441ff,0x5fffffff,0x40ffffdc,0x803ffffe,0xf86ffffd,
    0x8801ffff,0x3e1fffff,0x3201ffff,0xf82fffff,0x8801ffff,0x321fffff,
    0x981fffff,0x1fffffff,0x5cdffff5,0x7fec5fff,0x3fffa3ff,0xffff803f,
    0xfffff81f,0x7ffffc00,0xfffff001,0xffff1005,0x3ffe001f,0x7fff43ff,
    0xfffffcef,0x07fffee3,0x00bffffe,0x11fffff2,0x001fffff,0xf8fffffe,
    0xd882ffff,0x885fffff,0x000fffff,0x447fffff,0x8affffff,0xffffffc9,
    0xffff31ff,0x217fff4f,0x3e1ffffe,0xf802ffff,0xff81ffff,0x7fc00fff,
    0xff001fff,0xf5005fff,0x7400ffff,0x3ea4ffff,0xffb1ffff,0x3ff25fff,
    0x7ffc40ff,0xffb801ff,0x7ffd47ff,0x3ffa007f,0x3fffe4ff,0xfffeefff,
    0xa80fffff,0x2007ffff,0x6c4ffffe,0xffffffff,0xffffffff,0xfffff11f,
    0x41ffff11,0x30fffff8,0x003fffff,0xf03fffff,0xf801ffff,0xf001ffff,
    0x5005ffff,0x400fffff,0x3a3ffffe,0x3a23ffff,0xfe9fffff,0xfffa87ff,
    0xffb800ff,0x7ffd47ff,0x3ffa007f,0x3fffe3ff,0xffffffff,0xf502ffff,
    0x7400ffff,0x7cc3ffff,0xffffffff,0xffffeeff,0x33ffffa1,0x7dc5fffb,
    0x3fea7fff,0xff800fff,0xfff81fff,0x7ffc00ff,0xfff001ff,0xff3005ff,
    0x3e001fff,0x3fe2ffff,0x7fcc1fff,0xffffefff,0xfffff986,0xffffc801,
    0x7ffffcc7,0xfffff000,0x7fffffc5,0xffffffff,0x3ffe600d,0xfff000ff,
    0xfff305ff,0x1bffffff,0x5c3ffffd,0xffefffff,0x3fffe62f,0x3fffe63f,
    0xffff801f,0xfffff81f,0x7ffffc00,0xfffff001,0xffff1005,0xfff1003f,
    0x3ffe23ff,0xffff507f,0x105fffff,0x005fffff,0x88dffffb,0x801fffff,
    0x21fffff8,0xffffffff,0x801defff,0x01fffff8,0x1fffff88,0xfffffb10,
    0x7ffff47f,0x3ffffe21,0xff517fff,0xff88dfff,0xff801fff,0xfff81fff,
    0x7ffc00ff,0xfff001ff,0x3fe005ff,0xfa803fff,0xff30ffff,0x7fdc0fff,
    0x207fffff,0x803fffff,0xf85ffffe,0xa803ffff,0x3e0fffff,0xaa99ffff,
    0xffff0001,0xfff5007f,0x553001ff,0x3fffff03,0xffffffb8,0xfffffeff,
    0xffff82ff,0x7ffdc03f,0xffff81ff,0x3ffee01f,0xfff001ff,0x3fa005ff,
    0xfe807fff,0x3fe26fff,0x3f600fff,0x204fffff,0x406ffffe,0x83fffffa,
    0x807ffffe,0x7c6ffffe,0x0001ffff,0x0fffffd0,0x0dffffd0,0x3fffe000,
    0xffffd81f,0xffffffff,0xfffd03ff,0x7ffd40bf,0xfff81fff,0xfff503ff,
    0x3e003fff,0x7002ffff,0x40bfffff,0x42fffffc,0x205fffff,0x2fffffe8,
    0x3fffff20,0xffffd103,0xffff701f,0x7ffe40bf,0x7fffc2ff,0xf700001f,
    0x640bffff,0x002fffff,0x3fffff00,0x3fffff20,0x1effffff,0x3fffff20,
    0xfffff981,0xfffe81ff,0xffff985f,0xff001fff,0x74005fff,0x8aefffff,
    0xfffffda8,0xfffffd86,0x7ffe440c,0xf100ffff,0x139fffff,0xffffff51,
    0x7ffff409,0xfda88aef,0xff86ffff,0x00001fff,0x3bfffffa,0xfffda88a,
    0x200006ff,0x201fffff,0xfffffffc,0x7c400cef,0x98afffff,0xfffffffc,
    0xffffd81f,0xfffd98cf,0x001fffff,0x005fffff,0x7fffffd4,0xffffffff,
    0xfff981ff,0xffeeffff,0xffffffff,0xffff900e,0xffffffff,0x5401ffff,
    0xffffffff,0xffffffff,0x1fffff81,0x3fea0000,0xffffffff,0x01ffffff,
    0x3fffe000,0x3fffe01f,0xd8001aab,0xffffffff,0xffffffff,0xffffa81f,
    0xffffffff,0x3a1fffff,0xffffffff,0xffffffff,0xffffb05f,0xffffffff,
    0x7fdc07ff,0xffffffff,0xffffffff,0xfffd105f,0xffffffff,0xfb003fff,
    0xffffffff,0x207fffff,0x001fffff,0x7fffec00,0xffffffff,0x400003ff,
    0x301fffff,0x0000dfff,0xfffffff3,0xff7dffff,0x3ffa03ff,0xffffffff,
    0x21ffffbe,0xfffffffe,0xffffffff,0x3fee05ff,0xffffffff,0xffb801ef,
    0xffffffff,0xffffcbff,0xfff9104f,0xffffffff,0x7fdc003f,0xffffffff,
    0x3ffe01ef,0x800001ff,0xfffffffb,0x001effff,0xfffff800,0x09fff901,
    0x3ffe6000,0x8dffffff,0x301ffffa,0xffffffff,0xffff51bf,0x7fffff43,
    0xffffffff,0x4405ffff,0xfffffffd,0x7e44004e,0xcfffffff,0x3fffff60,
    0x3fffaa02,0x003effff,0xfffffb10,0xff009dff,0x00003fff,0x3ffff620,
    0x0004efff,0x3ffffe00,0x03ffff01,0x7fec4000,0x3e63ffff,0x36201fff,
    0x23ffffff,0x3a1ffffa,0xffffffff,0xffffffff,0x2a62005f,0x3100001a,
    0x00001355,0x026aaa20,0xaa988000,0x66664001,0x8000000c,0x0001aa98,
    0x99999000,0x09999101,0x554c0000,0x26200001,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaaa800,0xd30000aa,0x8005dddd,0x543eeeed,0x00aaaaaa,
    0xaaa80000,0xaaaa800a,0x2000000a,0x101bdca8,0xaaaaa880,0x4c00001a,
    0x399301cc,0x05555100,0x01555440,0x40055551,0x0002aaa8,0xffffd880,
    0xff0000ef,0x5400dfff,0x441fffff,0x0efffffd,0x3f200000,0x6c00efff,
    0x0003ffff,0xfffff300,0x405e81bf,0x2ffffffb,0xfff30000,0xffff985f,
    0xffff9101,0x7ffe400d,0xffffc884,0x3fff2006,0x6ffe4404,0xffff7000,
    0xf90001df,0x2001ffff,0x206ffffd,0x0efffffb,0xffc80000,0x6c06ffff,
    0x0003ffff,0xfffff880,0xfebcffff,0x7ff4c05f,0x80002fff,0x6c6ffffd,
    0xfb86ffff,0x006fffff,0xb81dfff3,0x06ffffff,0x01dfff30,0x0fffffe8,
    0xfffff300,0xff88001d,0xf8803fff,0x4c03ffff,0x00efffff,0x3ffee000,
    0x205fffef,0x003ffffd,0xffffd800,0xffffffff,0xfd8805ff,0x0002ffff,
    0x237ffff4,0xe86ffffe,0x06ffffff,0xd05fffd0,0x0dffffff,0x00bfffa0,
    0x9ffffff7,0x7ffec400,0x7ec000ef,0xfa806fff,0x8800ffff,0x00effffd,
    0xffffb800,0x05fffe89,0x007ffffb,0x19ff1000,0xffffff91,0x7dc001df,
    0x0002ffff,0x913ffff2,0xf509ffff,0x00dfff7d,0x2a09fff9,0x06fffbef,
    0x804fffc8,0x6ffffffd,0xffffb800,0x3fea000e,0x7ec01fff,0x5c004fff,
    0x000effff,0x87fffea0,0xd84fffe8,0x0003ffff,0xfb309100,0x0001bfff,
    0x05ffffd3,0x06ffec00,0x4406ffec,0x80dfff32,0x100ffff9,0x01bffe65,
    0x001ffff3,0xdffffff9,0x26662000,0x7ffc0009,0x3fe204ff,0x88001fff,
    0x00009999,0x22026666,0xffd81999,0x000003ff,0x00033100,0x03333310,
    0x44008800,0xdfff3000,0x02fffe80,0x80dfff30,0x5002fffe,0x07ffffff,
    0x64000000,0x2e07ffff,0x0006ffff,0x00000000,0x1ffffec0,0x00000000,
    0x00000000,0xf9800000,0x3fee06ff,0x3fe6005f,0x3ffee06f,0x7ffe4005,
    0x0000005f,0x7ffffcc0,0x7ffffd02,0x00988000,0xb0000000,0x0007ffff,
    0x02660000,0x00000000,0x7cc00000,0xfff306ff,0x7fcc001f,0xffff306f,
    0x59930001,0x3bbbba00,0x77777400,0xbffffd00,0x1fffff30,0xffdc9800,
    0x000cdfff,0xddddddd1,0xd805dddd,0x2603ffff,0x01eeeeee,0x64c5dddd,
    0x00cfffff,0x77777744,0x002eeeee,0x3bbbbba2,0x002eeeee,0xe837ffcc,
    0x4c002fff,0xffd06fff,0x0000005f,0x007ffffc,0x407ffffe,0x40fffffa,
    0x005ffffc,0x7fffffe4,0x802fffff,0xfffffff8,0x6c02ffff,0xd103ffff,
    0x407fffff,0xff74ffff,0x3dffffff,0x7ffffc40,0x02ffffff,0x3ffffe20,
    0x02ffffff,0x437ffcc0,0x8005fffb,0xfb86fff9,0x000005ff,0x07ffffc0,
    0x07ffffe0,0x43fffff8,0x002fffff,0xffffffd3,0xbfffffff,0xfffff880,
    0x02ffffff,0x81ffffec,0x04fffffe,0x7de7fffc,0xffffffff,0x3ffe206f,
    0xffffffff,0x3ffe2002,0xffffffff,0x7ffcc002,0x07fffc46,0x37ffcc00,
    0x003fffe2,0xfff00000,0xfff801ff,0x3ff201ff,0x3ffea6ff,0x3ffa007f,
    0xffffffff,0x203fffff,0xfffffff8,0x6c02ffff,0xfc83ffff,0xf804ffff,
    0xffffffff,0xffffffff,0xfffff103,0x05ffffff,0x7ffffc40,0x02ffffff,
    0x237ffcc0,0x0002fffe,0xfe8dfff3,0x000002ff,0x0fffff80,0x0fffffc0,
    0x1fffff30,0x013ffff6,0x7fffffdc,0xfffeb9ac,0x26600fff,0xffff9999,
    0x7ffec02f,0x7fffdc3f,0xffff005f,0xb37fffff,0x40dfffff,0xff999999,
    0x4c002fff,0xfff99999,0x200002ff,0x0005fffb,0x0bfff700,0x3e000000,
    0x7c00ffff,0x7401ffff,0xff8bffff,0xf8800fff,0x900effff,0x009fffff,
    0x05fffff0,0x23ffffd8,0x06fffffa,0x3fffffe0,0xffffc84f,0xffff8007,
    0xff00002f,0x00005fff,0x003fffe2,0x3ffe2000,0x0000000f,0x01fffff0,
    0x01fffff8,0x577fffdc,0x9005ffff,0x801fffff,0x007ffffe,0x02fffff8,
    0x99ffffec,0x00efffff,0x3fffffe0,0xfffff505,0xffff8001,0xff00002f,
    0x00005fff,0x000ffff6,0x1fffec00,0x77ec4000,0xffff800c,0x7fffc00f,
    0x7ffc401f,0x2ffffeff,0x9ffffd00,0xfffff500,0xffff8001,0x7ffec02f,
    0xffffe8bf,0x7ffc000f,0x3fe205ff,0x7c001fff,0x0002ffff,0x05fffff0,
    0xdfff7000,0x3ee00000,0xd00006ff,0x801dffff,0x400fffff,0x801fffff,
    0xfffffffc,0x3ffe007f,0xff8801ff,0x7c001fff,0x6c02ffff,0xffdbffff,
    0xf8001fff,0x7c01ffff,0x4001ffff,0x002fffff,0x5fffff00,0xfff88000,
    0x8800000f,0x0000ffff,0xffffffa8,0x7ffffc04,0x7ffffc00,0xffff9801,
    0x1004ffff,0x001fffff,0x00fffffe,0x05fffff0,0xffffffd8,0x0002ffff,
    0x803fffff,0x001fffff,0x017ffffc,0xfffff800,0x7fec0002,0x5555543f,
    0xfffd8000,0x07332e63,0x7ffffdc0,0x3ffe00ff,0x7ffc00ff,0xffd001ff,
    0x001fffff,0x01ffffea,0x04ffffe8,0x17ffffc0,0x3fffff60,0x000fffff,
    0x03fffff0,0x01fffff8,0x17ffffc0,0xffff8000,0x3ea0002f,0x7ffdc6ff,
    0x7d4002ff,0xfffd36ff,0xf500bfff,0x03ffffff,0x007ffffc,0x007ffffe,
    0x7fffffdc,0x3ffea005,0x3ffa007f,0x7fc003ff,0x7ec02fff,0xffffdfff,
    0xfff0006f,0xfff803ff,0x7fc001ff,0x00002fff,0x005fffff,0x87fffe20,
    0x2ffffff8,0x3fffe200,0xffffff71,0xffd009ff,0x7c05ffff,0x7c00ffff,
    0x1001ffff,0x03ffffff,0x7ffffcc0,0xfffff000,0xffff8005,0x7ffec02f,
    0xfffffbbf,0xffff8005,0x7fffc01f,0x7ffc001f,0xf00002ff,0x0005ffff,
    0xfb0ffff6,0x005fffdf,0x3a1fffec,0x7fffdabe,0xfffff880,0x3fffe02f,
    0x7fffc00f,0xfff1001f,0xf8800bff,0x8801ffff,0x001fffff,0x017ffffc,
    0x6cfffff6,0x003fffff,0x00fffffc,0x007ffffe,0x05fffff0,0x3fffe000,
    0xffa8002f,0x57ffd46f,0xf5002fff,0xf8810dff,0xff5007ff,0x7fc01fff,
    0x3ee01fff,0x9001ffff,0x003fffff,0x07fffff0,0x1fffff50,0xfffff800,
    0x7fffec02,0xffffff13,0x7fffc003,0x7fffc01f,0x7ffc001f,0xf00002ff,
    0x8005ffff,0x221ffff8,0xfff8bfff,0xffff8802,0x4fffa801,0xfffff100,
    0x3fffff80,0xffffff50,0xffff5003,0x3fa000bf,0xfe807fff,0xf8006fff,
    0x6c02ffff,0x3e63ffff,0x000fffff,0x803fffff,0x001fffff,0x017ffffc,
    0xfffff800,0x7ffe4002,0xf8b7fe44,0xffc802ff,0xfffa804f,0xfff3002f,
    0xfffe80bf,0xffff985f,0x7d401fff,0x000fffff,0xbfffff70,0x7ffffe40,
    0xffff8002,0x7ffec02f,0x7fffe43f,0xffff006f,0xffff803f,0x7ffc001f,
    0xf00002ff,0x4005ffff,0x7d46fffa,0xfffa9bff,0x3ffea01b,0xffffb806,
    0x3fff6003,0x7ffec00f,0xffd98cff,0x21ffffff,0xfffdbaab,0x40001fff,
    0xaefffffe,0xffffda88,0xfff0006f,0xffd805ff,0xfffe83ff,0xfff805ff,
    0x7ffc01ff,0x7fc001ff,0x00002fff,0x005fffff,0x907fffa2,0xffffffff,
    0xfd103fff,0xffc803ff,0xea8802ff,0xa802ffff,0xffffffff,0xffffffff,
    0x3ffffa1f,0x003fffff,0xfffffa80,0xffffffff,0x3fa01fff,0xffffffff,
    0xffffffff,0x07ffffb5,0x7ffffff1,0x1fffff80,0x0fffffc0,0x7ffffff4,
    0xffffffff,0xffe85fff,0xffffffff,0x5fffffff,0x6427ffe4,0xffffffff,
    0xffc81fff,0x3ffa204f,0x20999bff,0xffffffe8,0x3ffa004f,0xffffffff,
    0x21ffffbe,0xfffffffe,0x3600003f,0xffffffff,0x03ffffff,0x7ffffff4,
    0xffffffff,0xfffb5fff,0x3ffea07f,0x3fe02fff,0x7fc01fff,0xffe81fff,
    0xffffffff,0x5fffffff,0xffffffe8,0xffffffff,0x3fe65fff,0xdddd706f,
    0x1ddfffdd,0x406fff98,0xfffffffd,0x3ffe62ff,0x4002efff,0xfffffff9,
    0xfffa8dff,0x3ffffa1f,0x00000eff,0xffffffb8,0x01efffff,0xffffffe8,
    0xffffffff,0xfffb5fff,0x7ffe407f,0xfff00fff,0xfff803ff,0xfffe81ff,
    0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,0x3fffa5ff,0x7ffc4001,
    0x03fffd02,0xffffffd8,0x3fe62fff,0x20003eff,0xffffffd8,0x87fffea3,
    0x02bdeffc,0x7ec40000,0x4effffff,0x3ffffa00,0xffffffff,0xfb5fffff,
    0xfe807fff,0xf80effff,0x7c01ffff,0xfe81ffff,0xffffffff,0xffffffff,
    0xfffffe85,0xffffffff,0xff95ffff,0xff10009f,0x9fff905f,0xfffffb00,
    0x5c45ffff,0x4400001a,0x00001aa9,0x10000000,0x00003553,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdcb88000,0x22001bce,0x00002aaa,0x15555553,0x03bbbba2,0x05eeee98,
    0xd9751000,0x5541579b,0x00000aaa,0x2ab2ea60,0x00000009,0x2aea6000,
    0x00000000,0x55dd4400,0x53000009,0x36003555,0x4fffffff,0x09fff900,
    0xffff5000,0x7ffc47ff,0x3fe600ff,0x440007ff,0xfffffffd,0x3fffe4ff,
    0x5c00001f,0xffffffff,0x7fc44fff,0xff000fff,0xd7005fff,0xbfffffff,
    0xffff8805,0xffffffff,0xc9803fff,0xfffffffe,0x2e003dff,0xffffffed,
    0x3f602dff,0x2fffffff,0x077ffcc0,0x3ffea000,0x7fc41eff,0x3e600fff,
    0x20007fff,0xfffffffb,0x3fe4ffff,0x00001fff,0xfffffff7,0x8dffffff,
    0x00fffff8,0x05fffff0,0x7ffffec4,0x03ffffff,0x3fffffe2,0xffffffff,
    0x7ffe403f,0xffffffff,0x74c00fff,0xffffffff,0x2a04ffff,0xfffe999b,
    0x17fff403,0x3ffea000,0xff880dff,0x3e600fff,0x30007fff,0xffffffff,
    0x7fc9ffff,0x80001fff,0xfffffffc,0x6fffffff,0x07ffffc4,0x2fffff80,
    0xffffff50,0xffffffff,0xffff101b,0xffffffff,0x3a607fff,0xffffffff,
    0x0fffffff,0x3ffffee0,0xffffffff,0x7fec004f,0x3fff201f,0x7fd40004,
    0x3e203fff,0x2600ffff,0x0007ffff,0x9dfffffd,0x7c9d9955,0x0001ffff,
    0x7fffffcc,0xffffffff,0x7fffc46f,0xffff000f,0xffff105f,0xffffffff,
    0xf10bffff,0xffffffff,0x07ffffff,0xfffffff5,0xffffffff,0x3ff601ff,
    0xffffffff,0x404fffff,0x4ffffeea,0x03fffe60,0xffffa800,0x7ffc401e,
    0x3fe600ff,0xfa8007ff,0x2004ffff,0x001fffff,0x7fffffc0,0x6dcc41ad,
    0x7ffffc46,0xfffff000,0xfffffb05,0xffd7559d,0x3303ffff,0x33333333,
    0x887fffff,0xefffffff,0xfcba99ac,0xfffa80ff,0x9abdffff,0x404ffdba,
    0x1efffffa,0x00bfffa0,0x13333300,0xfffff100,0x7fffcc01,0xfffb8007,
    0x7ffc006f,0x260001ff,0x004fffff,0x3ffffe20,0xfffff000,0xfffff985,
    0xffff900e,0x7fc000bf,0x7fe43fff,0x5002ffff,0xffffd01b,0x2a8801df,
    0x7ffffd40,0xfffb84ff,0x00000005,0x03ffffe2,0x07ffff98,0x3ffffd80,
    0x7ffffc00,0x3fea0001,0x20001fff,0x00fffff8,0x85fffff0,0x00effffd,
    0x07ffffec,0xfffff800,0x3ffffe23,0xfb80001e,0x000dffff,0x2e666200,
    0x3e60ffff,0x00000fff,0x3ffe2000,0x3fe600ff,0xfe8007ff,0x7c002fff,
    0x9981ffff,0x7fffe400,0x3e20001f,0xf000ffff,0x7cc5ffff,0x9803ffff,
    0x004fffff,0x47fffff0,0x02fffffd,0xffff8800,0x000000ff,0x3a1ffff8,
    0x22002fff,0xeeeeeeee,0xf8802eee,0x2600ffff,0x8007ffff,0x002fffff,
    0x987ffffc,0x0cfffffd,0x5fffffb8,0x3ffe2000,0xfff000ff,0x7ffdc5ff,
    0xffd000ff,0x3e000bff,0xff13ffff,0x0000dfff,0x13ffffea,0x999d0000,
    0x5cffffd9,0x44005fff,0xffffffff,0xf8802fff,0x2600ffff,0x8007ffff,
    0x002fffff,0x5c7ffffc,0xffffffff,0x7fffcc1e,0x88000dff,0x000fffff,
    0x645fffff,0x2005ffff,0x006ffffc,0x27fffff0,0x02fffff9,0xffff7000,
    0xf800003f,0xffffffff,0x01ffff12,0xfffff880,0x02ffffff,0x0fffff88,
    0x1ffffe60,0x3ffffe00,0x7fffc002,0xffffffbf,0x7c46ffff,0xdfffffff,
    0x3ffe2001,0xfff000ff,0x7ffec5ff,0x3fee004f,0xff0007ff,0x3fea7fff,
    0x00000fff,0x00fffff9,0xfffff000,0x7ff43bff,0xff88002f,0xffffffff,
    0xfff8802f,0x3fe600ff,0x999107ff,0xfffff999,0x9999999b,0xffffff87,
    0xffffffff,0x7fdc3fff,0xefffffff,0x7ffc400b,0xfff000ff,0x7fff45ff,
    0x3fea004f,0xf8000fff,0xff93ffff,0x26620fff,0x41999999,0x006ffffe,
    0x9aaa9800,0x2fffdc09,0x33333000,0x05fffff3,0x1fffff10,0x3ffffd40,
    0xffffff98,0xffffffff,0x7c6fffff,0xffffffff,0xfffffd9b,0xfffffd86,
    0x1cffffff,0x1fffff10,0x3ffffe00,0x0fffffe2,0xfffffa80,0xffff8001,
    0xdffffb3f,0x3fffff60,0x3fe1ffff,0x00005fff,0xffff1000,0xff000001,
    0xf1005fff,0x7401ffff,0xf307ffff,0xffffffff,0xffffffff,0xffff8dff,
    0xffc84fff,0xfff707ff,0xffffffff,0xffff107f,0x3ffe001f,0xffff12ff,
    0x7fcc005f,0xf8002fff,0xffd3ffff,0x3ff60bff,0x1fffffff,0x09fffff1,
    0x36000000,0x00003fff,0x05fffff0,0x5fffff10,0x3fffff60,0xfffff307,
    0xffffffff,0x8dffffff,0x05ffffff,0x01fffff5,0x3fffff66,0x45ffffff,
    0x00fffff8,0x25fffff0,0x02fffff8,0x3ffffe60,0xffff8001,0x9fffff3f,
    0x3fffff60,0xff31ffff,0x00009fff,0xdfff7000,0x7fc00000,0xf8802fff,
    0xfb84ffff,0x107fffff,0xff555555,0x55559fff,0xfff85555,0x3fe205ff,
    0x64c01fff,0xffffffff,0x3ffe24ff,0xfff000ff,0x7fffc5ff,0x3fe6003f,
    0xf8000fff,0xffd3ffff,0x3ff60bff,0x1fffffff,0x0bfffff1,0xf8800000,
    0x00000fff,0x0bffffe0,0x3ffffe20,0xfffea8cf,0x00bfffff,0x0bffffe0,
    0x3fffff00,0x1fffff80,0x3fff6a00,0xf11fffff,0x2001ffff,0x3e2fffff,
    0x2004ffff,0x007ffffa,0x27fffff0,0x106ffffd,0xffff3333,0x7ffffc3f,
    0x40000006,0x5543fffd,0x20000aaa,0x802fffff,0xfffffff8,0xffffffff,
    0x001fffff,0x005fffff,0x01fffff8,0x00fffffc,0x7ffff4c0,0xffff13ff,
    0x3ffe001f,0x3fffa2ff,0x3fee004f,0xff0006ff,0x3ff27fff,0x3fe007ff,
    0x3ffa1fff,0x000007ff,0x71bffea0,0x005fffff,0x17ffffc0,0x7ffffc40,
    0xcfffffff,0x1ffffffc,0x5fffff00,0xfffff800,0x7ffffc01,0x3ff60001,
    0xfff15fff,0x3fe001ff,0x3ff61fff,0x3f2006ff,0xf0005fff,0x3ea7ffff,
    0xf001ffff,0x7ec3ffff,0x0000ffff,0xffff8800,0x3ffffe21,0x3fe0002f,
    0xf8802fff,0xffffffff,0xffff34ff,0x3fe003ff,0x7c002fff,0x7c01ffff,
    0x0001ffff,0x9bffffe6,0x801fffff,0x647ffff8,0x000fffff,0x009fffff,
    0x4bffffe0,0x04fffff9,0x43fffff0,0x04fffffc,0xffd80000,0x7f7fec3f,
    0x3e0002ff,0x8802ffff,0xffefffff,0x7ffdc3ef,0xfff001ff,0xff8005ff,
    0x7fc01fff,0x40001fff,0x3a5fffff,0x9802ffff,0x7d46ffff,0x9803ffff,
    0x002fffff,0x1fffff88,0x1ffffff1,0x3fffff00,0x7fffffd4,0x2a000000,
    0x7fd46fff,0x002fffaf,0x0bffffe0,0x5bfffe20,0x2aa201aa,0x3ffe000a,
    0x7fc002ff,0x7fc01fff,0x20001fff,0x23fffff8,0x805ffffd,0xe85ffffc,
    0x400effff,0x006ffffd,0x1fffff70,0x2fffffdc,0x0fffffc0,0x37fffffa,
    0xf8800000,0x3fe21fff,0x02fff8bf,0x3ffffe00,0xffff8802,0xf0000007,
    0x8005ffff,0x401fffff,0x591fffff,0x7fff4001,0x3fff21ff,0x3fe201ff,
    0xffb83fff,0xfb00efff,0xc985ffff,0x3fffe200,0xfffff87f,0x3ffe00ef,
    0x7ffcc1ff,0x4c01efff,0xfff9003c,0xf16ffc89,0x7c0005ff,0x8802ffff,
    0x0007ffff,0xfffff000,0xffff8005,0x7fffc01f,0x79dffd1f,0xff953335,
    0xf88fffff,0x40bfffff,0x06fffffa,0xdffffff1,0xfffd9559,0x9ff30dff,
    0x3ffea215,0xffa84fff,0xacdfffff,0xfffffba9,0xfffffd81,0xdbabceff,
    0xfa804ffe,0x7ffd46ff,0x1bfffa9b,0xfffff000,0xffff1005,0x0000001f,
    0x005fffff,0x01fffff8,0xe8fffffc,0xffffffff,0xffffffff,0xffffc81f,
    0xffffffff,0x3201ffff,0xffffffff,0xffffffff,0xfffff981,0xffffffff,
    0xffffd00e,0xffffffff,0x303fffff,0xffffffff,0xffffffff,0xfffe8809,
    0x7ffffe41,0x01ffffff,0x2fffff80,0xfffff880,0xf8000000,0x4002ffff,
    0x401fffff,0xfd1fffff,0xffffffff,0x5fffffff,0x3ffffe20,0xffffffff,
    0xffb804ff,0xffffffff,0xf302ffff,0xffffffff,0x4405ffff,0xfffffffc,
    0xffffffff,0xfffd301f,0xffffffff,0xfc809fff,0xfffc84ff,0xffffffff,
    0xfffffd01,0xffffffff,0x7c4bffff,0x0000ffff,0xfffff800,0x7fffc002,
    0x7fffc01f,0xfffffd1f,0xffffffff,0xfd8805df,0xffffffff,0x2a002fff,
    0xffffffff,0x2600efff,0xffffffff,0x5001efff,0xffffffff,0x1fffffff,
    0xfffffb80,0xffffffff,0x1bffe604,0x7777775c,0xd00eefff,0xffffffff,
    0xffffffff,0x7fffc4bf,0x8000000f,0x002fffff,0x00fffffc,0x547ffffe,
    0xffffffed,0x002dffff,0x7fffff54,0x8000cfff,0xfffffec8,0xf93003ef,
    0x7dffffff,0xffd91000,0x9fffffff,0x7ee4c003,0xbeffffff,0x0ffff401,
    0x0bffe200,0xffffffd0,0xffffffff,0x7fc4bfff,0x00000fff,0x2fffff80,
    0x7ffffc00,0x7ffffc01,0xaaaa9881,0x1000009a,0x00013553,0x001aa980,
    0x00d54c40,0x2aaa2000,0x1000009a,0x64003353,0x88004fff,0x7f402fff,
    0xffffffff,0xffffffff,0x06666645,0x7fc00000,0x7c002fff,0x7c01ffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x066aeea6,0x0dd44000,0x00000000,0x00015cc0,0x20000000,
    0x2a620009,0x0009abcb,0x01575100,0x75310000,0x00000015,0x00000000,
    0xfff91000,0x07dfffff,0xffffb700,0x88017bff,0xffffffff,0x7fffffff,
    0x7fffb700,0x6e540000,0x00fffffe,0x3ffb6e60,0x221cefff,0xffffffec,
    0x8002efff,0xffffffda,0x540000df,0xffffffff,0xffffd01d,0x3ff2001f,
    0x7fec0fff,0xdeffffff,0x400002bc,0xfffffffc,0x01ffffff,0xfffffd88,
    0x00efffff,0x3fffffe2,0xffffffff,0xfffd007f,0xc980007f,0xffffffff,
    0xfc8800ff,0xffffffff,0x3ffe63ff,0xffffffff,0xf9000eff,0xffffffff,
    0xb10005ff,0xffffffff,0xff307fff,0xf1009fff,0xfb07ffff,0xffffffff,
    0x003dffff,0xfffff700,0xffffffff,0x7f4401ff,0xffefffff,0xf101ffff,
    0xffffffff,0x0fffffff,0x0fffffa0,0xffffc800,0xffffffff,0x7fffd400,
    0xffffffff,0x3fffe63f,0xffffffff,0x36200eff,0xffffffff,0x004fffff,
    0x7ffffff4,0x6fffffff,0x0fffffc8,0x37fffe40,0xffffffd8,0xffffffff,
    0xf30000cf,0x99dfffff,0xdffffffd,0x37fffe60,0x3ff6e21b,0xfff882ff,
    0xffffffff,0xd007ffff,0x0007ffff,0xffffffb1,0x1fffffff,0x7ffffd40,
    0xffffffff,0x3fffe63f,0xfffffeff,0x3fa05fff,0xfeefffff,0x02ffffff,
    0xffffff90,0xfffffdbd,0xfffff105,0x7fffc40b,0xffffb02f,0xffffffff,
    0x001dffff,0x1dffffb0,0x3fffff20,0x05fffe80,0x40ffffc8,0xeefffff8,
    0xeeeeeeee,0xffffd006,0xfffd0007,0x579bdfff,0x3a201555,0xbdffffff,
    0x23ffccaa,0xc880ace9,0x707fffff,0x41bfffff,0x6fffffc9,0xfffff980,
    0x1ffdc40d,0x3fffff70,0x17ffff60,0xadffffd8,0xffffecba,0xf8003fff,
    0x2202ffff,0x541fffff,0x2e004fff,0x7fc44fff,0x800005ff,0x003ffffe,
    0x77ffffdc,0x3ff20002,0x5401efff,0xfffd0002,0xfffd03ff,0x7ffdc0bf,
    0x7fdc02ff,0x01c407ff,0x42fffff4,0x01fffff9,0x413ffff6,0xffffffe8,
    0x3ffe2000,0xfffd807f,0x037ff42f,0x7fec5573,0x3fffe20f,0x3bb20005,
    0xfffffeee,0xeeeeeeee,0x3ffffe25,0x7fcc0005,0x00006fff,0xfffffa80,
    0x3ffffd42,0x37ffff40,0x0fffff20,0x7ffd4000,0x7ffec2ff,0x7ffec04f,
    0x7ffe404f,0x3e2005ff,0x7400ffff,0x3ea0ffff,0x7fec43ff,0xfff31fff,
    0x2ffffc49,0xffffb000,0xffffffff,0x4fffffff,0x00fffffc,0x7fffdc00,
    0x0000002f,0xe83fffff,0x9804ffff,0x201fffff,0x001ffffd,0x3ffff600,
    0x3ffffe66,0x7fffec00,0xfffff804,0x3ffe000f,0x3fea05ff,0x3fff46ff,
    0x3fffffa6,0x89fffa1f,0x0005ffff,0x3ffffff6,0xffffffff,0x3fa7ffff,
    0x80003fff,0x006ffffc,0xfff30000,0x7ffc41ff,0x7ec401ff,0x3e02ffff,
    0x0000ffff,0x3ffffe60,0x07ffffb2,0x09ffffb0,0x5fffff90,0x7fffec00,
    0x7ffcc0df,0x27ffc3ff,0x3ffffffa,0x47ffea1f,0x005ffff8,0x3fffff60,
    0xffffffff,0xf17fffff,0x0003ffff,0x0bffffd0,0x3f200000,0x7fcc5fff,
    0x7fcc06ff,0x203fffff,0x000fffff,0x7fffe400,0x06ffff9e,0x09ffffb0,
    0x7fffff10,0x7fffc400,0xfff73fff,0xfff88dff,0x33fffea2,0x3fe60a89,
    0xdffff12f,0x20033555,0xfe999998,0x9999cfff,0xfff51999,0x55d4c4ff,
    0xfffff001,0x88000009,0x41fffffc,0x205ffffa,0xfffffffc,0x3fffe04f,
    0x4400000f,0xffffffff,0xffb001ff,0x3fe009ff,0x54004fff,0xffffffff,
    0x40efffff,0x3f61fff9,0x7fc405ff,0xfffff13f,0x5dffffff,0xffffd000,
    0x3fff2007,0xffffebef,0xf101efff,0x0007ffff,0x3b3332a0,0x81efffff,
    0x884ffffb,0xfffffffe,0x3ffe05ff,0x800000ff,0xfffffffb,0xfecc805f,
    0xccccefff,0x5ffffe82,0xffffa800,0x4fffffff,0x7c1fff50,0xff802fff,
    0xfffff14f,0xffffffff,0x7ff4007f,0xff9003ff,0xffffffff,0x19ffffff,
    0x0bfffff0,0x3fff2000,0x04ffffff,0x513ffff2,0xfdffffff,0x774cdfff,
    0xeefffffe,0x05eeeeee,0xfffffd00,0xfff001ff,0xffffffff,0xffffb07f,
    0x3fa2000d,0xffffffff,0xf8fff902,0xfe801fff,0xfffff15f,0xffffffff,
    0x3fa005ff,0xfb003fff,0xffffffff,0xffffffff,0xdffffd0b,0x3ff20000,
    0xdfffffff,0xffffd80b,0xfffffb13,0xfffff37f,0x7fffffd4,0xffffffff,
    0xf50006ff,0x009fffff,0x3ffffffe,0xc83fffff,0x0007ffff,0xfffffff9,
    0xf90bffff,0x7fffc4ff,0x15ffe802,0xffdddddd,0xffffffff,0xffffd005,
    0x3fff6007,0xfeffffff,0x2fffffff,0x0fffffec,0x7ffe4000,0xffffffff,
    0x7ffff42f,0xfffffe9a,0xfffff30e,0x7fffffd4,0xffffffff,0x360006ff,
    0x000fffff,0xffffffff,0xfb07ffff,0x8800ffff,0xfffffffe,0x0effffff,
    0xff83ffee,0xfff804ff,0x3ff26004,0xe806ffff,0xd003ffff,0x15dfffff,
    0xfffffd98,0x7ffffdc6,0xaa980006,0xffffedcb,0x3ff63fff,0xfffffeff,
    0x7fffd44f,0x3ffffea6,0xffffffff,0xaa806fff,0xfffdaaaa,0x2aaaaaef,
    0xfffffee8,0xd82eeeee,0x2005ffff,0x3fffffe8,0xffffffd5,0xd0fffd4b,
    0xf880dfff,0xf88003ff,0xe807ffff,0xd003ffff,0xb00bffff,0x441fffff,
    0x0dffffff,0x44000c40,0x0ffffffc,0xfffffff9,0xff705fff,0x7ffc0bff,
    0xd80000ff,0xffffffff,0xffffffff,0x3ffff607,0xffffd004,0x7ffe4009,
    0xfffc81ff,0xfff31fff,0x77fffe45,0x3fe60b9b,0xff50002f,0xfe803fff,
    0xfb003fff,0xf300bfff,0xfc83ffff,0xacffffff,0x04fdba99,0x3fffea00,
    0xfffff74f,0x3201bfff,0x3e04ffff,0x0000ffff,0xffffffd8,0xffffffff,
    0x3ff607ff,0xfff004ff,0x3e6007ff,0x2e02ffff,0x3e4fffff,0x3ffe24ff,
    0x2a1fffff,0x10001fff,0x807fffff,0x003ffffe,0x00dffff9,0x10bffffe,
    0xffffffff,0x9fffffff,0xfffe8000,0xfffff55f,0xffd807ff,0x3ffe03ff,
    0xc80000ff,0xffeeeeee,0xeeeeefff,0x3ffff605,0xffff9804,0xfff7002f,
    0xfffb00bf,0x07fffcbf,0xfffffff7,0x003fff43,0x0fffffe0,0x07ffffd0,
    0x1ffffee0,0x1fffffc0,0x7fffff44,0xffffffff,0x7fec0004,0xffff36ff,
    0xfff003df,0x7ffc05ff,0x000000ff,0x017fffee,0x13ffff60,0x3fffff60,
    0xffff9001,0xffff5009,0x21fffe4f,0x1fffffe9,0x0009fff3,0x0fffffcc,
    0x0fffffa0,0x7ffffd40,0x7fffc401,0xfffb101f,0xffffffff,0xfe80009f,
    0xfff15fff,0xff5007ff,0x7fc01fff,0x00000fff,0x17fffee0,0x3ffff600,
    0x7fffcc04,0x3ff6005f,0xffa804ff,0x3ffe26ff,0x43553106,0x0000fffd,
    0x01fffff2,0x017ffff6,0x27ffffcc,0x3ffffea0,0x7ffe4c00,0x0befffff,
    0x3ffe2000,0x3fff23ff,0x7fec00ff,0x7ffc04ff,0x880000ff,0xffc99999,
    0x99999dff,0x3ffff601,0x3fffa204,0x3f2000ff,0xfd806fff,0x7fe44fff,
    0x3fee005f,0x3ee0004f,0xc805ffff,0x000fffff,0x03fffffb,0x1bffffe2,
    0xaffffc80,0xfd100001,0x7c43ffff,0x3205ffff,0x400fffff,0x000fffff,
    0xfffffd80,0xffffffff,0x3f607fff,0xff704fff,0x8009ffff,0xadfffffa,
    0x7fffe440,0x7fffc42f,0xffffc805,0x104cdd40,0xfffffd53,0xfff7003f,
    0x986209ff,0x0affffff,0xfffffd51,0x7fff4005,0x809ab805,0xfffffc99,
    0xffffc86f,0x3ff222df,0xaa884fff,0xabfffffa,0xaaaaaaaa,0xffffb01a,
    0xffffffff,0x6c0fffff,0xcaadffff,0xfffffffd,0x7fc4000f,0xdeffffff,
    0x6ffffffe,0x7dffff70,0x7ffedcc3,0xffffc82f,0xffffffff,0xf3002fff,
    0xbdffffff,0xffd8ffdd,0xffffffff,0x004fffff,0x4017fffc,0xffffffff,
    0xffffffff,0xffff880e,0xfffeffff,0xfa80ffff,0xffffffff,0xffffffff,
    0xfffb05ff,0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,0xff30001e,
    0xffffffff,0x01dfffff,0x7fffffd4,0xffffffff,0xfffff901,0xffffffff,
    0xffc8007f,0xffffffff,0x7fff4c7f,0xffffffff,0x7cc006ff,0xff800fff,
    0xffffffff,0x01ffffff,0x3fffffea,0xefffffff,0xfffff500,0xffffffff,
    0x0bffffff,0x5ffffb80,0xffffd800,0xffffffff,0xa80004ff,0xffffffff,
    0x00dfffff,0xfffffe98,0x00efffff,0x3ffffff2,0x1dffffff,0xfffe8800,
    0x7fffffff,0xfffffd88,0x0cffffff,0x27ffdc00,0xffffff80,0xffffffff,
    0xffe8800c,0xffffffff,0x3ffea00d,0xffffffff,0xffffffff,0x7ffdc005,
    0xffd8005f,0xffffffff,0x00001eff,0x7fffff54,0x4001dfff,0xfffffdb8,
    0x7e400bdf,0xffffffff,0xa80000ce,0xfffffffe,0x3ffae06f,0x00dfffff,
    0x03fff900,0x3fffffe0,0x0befffff,0xfffec800,0xa803dfff,0xffffffff,
    0xffffffff,0x5c005fff,0x8005ffff,0xfffffffd,0x0001bdee,0x5554c400,
    0x22000019,0x988000aa,0x0009aaa9,0x2aa62000,0x54c001aa,0xa800009a,
    0x262002aa,0x019aaaa9,0x0aa98000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x100c4000,0x003fffff,0x3fea0000,
    0xffffffff,0xfff50fff,0xffffffff,0xffffffff,0x7ffffc7f,0xffffffff,
    0xfff16fff,0xbdffffff,0x20000579,0x7ffffffd,0x7ffffc00,0xffffffff,
    0xffff3fff,0xfff1005f,0x3fff61ff,0xffffffff,0xf37fffff,0xe801ffff,
    0x363fffff,0x0004ffff,0x41ffff4c,0x01fffff8,0xffb00000,0xffffffff,
    0x3fea1fff,0xffffffff,0xffffffff,0x3fffe3ff,0xffffffff,0xff16ffff,
    0xffffffff,0x003dffff,0x7ffffc40,0x3e001fff,0xffffffff,0x3fffffff,
    0x005fffff,0x21fffff1,0xfffffffd,0xffffffff,0xfffff37f,0x7fffdc01,
    0x7fffec5f,0x3fe60004,0x7c43ffff,0x0001ffff,0xffff8800,0xffffffff,
    0xdfff50ff,0xdddddddd,0xfffddddd,0x7fffffc7,0xffffffff,0xffff16ff,
    0xffffffff,0x0019ffff,0xffffff50,0x7fc007ff,0xffffffff,0xf3ffffff,
    0x1005ffff,0x361fffff,0xffffffff,0xffffffff,0x1fffff37,0x3ffffe20,
    0x7fffec0f,0x3ff60004,0x7c47ffff,0x199affff,0xff700000,0xffffffff,
    0x3ea1ffff,0xc800225f,0x3fffe3ff,0xffffffff,0xff16ffff,0xffffffff,
    0xdfffffff,0xfffc8001,0x006fffff,0x3ffffffe,0xffffffff,0x5fffff3f,
    0xfffff100,0x3fffff61,0xffffffff,0xfff37fff,0x3ff601ff,0xffd82fff,
    0x3e0004ff,0x1fffffff,0x3fffffe2,0x2cefffff,0xfffe8000,0x99bffffe,
    0x97fea199,0x00bdeffe,0x7ffc7ff9,0xaaaaacff,0xf12aaaaa,0x7557ffff,
    0xffffffd9,0xfff8007f,0x0fffffff,0x9fffff00,0x55555555,0x3fffe355,
    0xfff8802f,0x333310ff,0x3dffffb3,0x3e633333,0xfb80ffff,0xfb05ffff,
    0x40009fff,0xfffffffe,0x3ffffe21,0xffffffff,0xf30002ef,0xffff7fff,
    0x25ffa805,0xcffffffe,0xff1ffe40,0x10005fff,0x201fffff,0xffffffe8,
    0xffff3000,0x05fffffb,0x0bffffe0,0x3ffffe00,0xffff8802,0x7ffe400f,
    0x7ffcc05f,0x7ffc40ff,0xffb00eff,0x640009ff,0x47ffffff,0xfffffff8,
    0xffffffff,0xffc8005f,0x2ffffaef,0xfd2ffd40,0x1fffffff,0xfff1ffe4,
    0xf10005ff,0xc801ffff,0x005fffff,0xfb7ffff7,0x3e00bfff,0x8002ffff,
    0x802fffff,0x00fffff8,0x02ffffe4,0x03ffffe6,0x03fffffb,0x027fffec,
    0xfffff100,0xffff885f,0xffffffff,0x003fffff,0x7d57fffc,0x7d402fff,
    0x32a6625f,0x3f26ffff,0x3ffffe3f,0xfff88002,0xfff800ff,0xfe800fff,
    0xfffb9fff,0xffff007f,0xfff0005f,0xff1005ff,0xfc801fff,0x7cc05fff,
    0x3ea0ffff,0x6c03ffff,0x0004ffff,0x40f7fec4,0x9afffff8,0xffffba99,
    0xf5001fff,0xfff51fff,0x5ffa805f,0x8ffff440,0x3ffe3ffc,0xf88002ff,
    0xc800ffff,0x402fffff,0xf17ffff8,0xf003ffff,0x0005ffff,0x005fffff,
    0x01fffff1,0x05ffffc8,0x87ffffcc,0x06fffff8,0x04ffffd8,0xff100000,
    0x32203fff,0x005fffff,0x3eabfffb,0x7d402fff,0xfffa805f,0x7fc7ff93,
    0x88002fff,0x800fffff,0x03fffff8,0xd27fffd4,0xf009ffff,0x0005ffff,
    0x005fffff,0x01fffff1,0x05ffffc8,0x87ffffcc,0x00fffffd,0x04ffffd8,
    0xff100000,0xfe803fff,0xf8807fff,0xfff52fff,0x5ffa805f,0x94fff980,
    0x7fffc7ff,0xff88002f,0xff000fff,0xfd809fff,0x3ff22fff,0xfff806ff,
    0xff8002ff,0xf8802fff,0x6400ffff,0x4c05ffff,0xfa8fffff,0xb002ffff,
    0x0009ffff,0x80ceec88,0x01fffff8,0x07ffffd4,0xa9fffee0,0xcccdffff,
    0x017fea3c,0x7e4bffee,0x3ffffe3f,0xcccccccd,0xfff11ccc,0x3fa001ff,
    0x7fc05fff,0x3fea0fff,0x7fc00fff,0xf8002fff,0xeeeeffff,0xffeeeeee,
    0x7e400fff,0x7cc05fff,0xfff9ffff,0x3f6005ff,0x20004fff,0x0fffffe8,
    0x0fffffc4,0x3ffffe60,0x27fff402,0xfffffff5,0x2ffd4bff,0x3ff6a662,
    0x47ff90ff,0xffffffff,0xffffffff,0x1fffff12,0x3ffff600,0x3fffe606,
    0x3fffff86,0x77ffffc0,0xeeeeeeee,0x3ffffe5e,0xffffffff,0x0fffffff,
    0x2ffffe40,0x3ffffe60,0x00fffffe,0x13ffff60,0xffffd800,0x7ffc45ff,
    0x7fcc01ff,0x3e601fff,0x3fea1fff,0x5fffffff,0xffb17fea,0x645fffff,
    0x3fffe3ff,0xffffffff,0xff12ffff,0x32001fff,0x3207ffff,0xfd83ffff,
    0x7fc05fff,0xffffffff,0x3e7fffff,0xffffffff,0xffffffff,0x7e400fff,
    0x7cc05fff,0xffffffff,0x7fec004f,0x3e0004ff,0x47ffffff,0x01fffff8,
    0x07ffffd4,0xa8dfffb0,0xffffffff,0x917fea5f,0x83dfffff,0x3ffe3ffc,
    0xffffffff,0xf12fffff,0x2001ffff,0x207ffffd,0xb81ffffe,0x200fffff,
    0xffffffff,0x7fffffff,0x3ffffffe,0xffffffff,0x400fffff,0x405ffffc,
    0xfefffff9,0x2001ffff,0x004ffffd,0xffffff10,0x7ffc41ff,0x7fec01ff,
    0x3fe206ff,0x7ffd43ff,0x23ccccdf,0x7fe45ffa,0x7ff901ad,0x777ffffc,
    0xeeeeeeee,0xfffff11e,0x3fff6001,0xffff105f,0x3fffe60f,0x3fffe02f,
    0xffffffff,0x3ffe7fff,0xeeeeeeff,0xffffeeee,0x7ffe400f,0x7ffcc05f,
    0xfffffaff,0x3fff6006,0x3fe0004f,0x447fffff,0x201fffff,0x05fffffa,
    0x503fffee,0xa805ffff,0x27fe45ff,0xff8fff20,0x88002fff,0x000fffff,
    0x209ffffd,0x205ffffb,0x204fffff,0xccdfffff,0x4ccccccc,0x00bffffe,
    0x03ffffe2,0x0bffff90,0x8fffff98,0x04fffffc,0x09ffffb0,0x7fffdc00,
    0x7ffc43ff,0xfff701ff,0x7f401fff,0xfffa86ff,0x2ffd402f,0xf900ffee,
    0x7ffffc7f,0xfff88002,0xfff000ff,0x3ff607ff,0x3ff202ff,0x3ffe07ff,
    0xff8002ff,0xf8802fff,0x6400ffff,0x4c05ffff,0xfd0fffff,0xb003ffff,
    0x0009ffff,0x84ffffc8,0xcdfffff8,0xffffedcc,0x3fe603ff,0xdcccceff,
    0x5402ffff,0x0d54c5ff,0xff8fff20,0x88002fff,0x800fffff,0x02fffff9,
    0xdddfffff,0xfffddddd,0x3ffe03ff,0xff8002ff,0xf8802fff,0x6400ffff,
    0x4c05ffff,0xf50fffff,0xb00dffff,0x0009ffff,0x22015510,0xffffffff,
    0xffffffff,0x7fffe406,0xffffffff,0x7fd402ff,0xfc801985,0x3ffffe3f,
    0xfff88002,0xffd800ff,0xffa81fff,0xffffffff,0xffffffff,0x5fffff03,
    0xfffff000,0xffff1005,0xfffc801f,0x7ffcc05f,0x3fff60ff,0x7fec04ff,
    0x000004ff,0xffffff10,0xffffffff,0xffff009f,0xffffffff,0xfa805fff,
    0x02ffec5f,0xfff8fff2,0xf88002ff,0x4c00ffff,0x905fffff,0xffffffff,
    0xffffffff,0x3ffe0dff,0xff8002ff,0xf8802fff,0x6400ffff,0x4c05ffff,
    0x220fffff,0x01ffffff,0x013ffff6,0x7fc40000,0xffffffff,0xa800dfff,
    0xffffffff,0x2fffffff,0xf32ffd40,0x7e403fff,0x3ffffe3f,0xfff88002,
    0x3fa200ff,0xff00ffff,0xffffffff,0xffffffff,0xffff01ff,0xfff0005f,
    0xff1005ff,0xfc801fff,0x7cc05fff,0x7dc0ffff,0x3606ffff,0x0004ffff,
    0xffff1000,0x379bdddf,0x7ffec001,0xcaaaaaaf,0x5402ffff,0x3ffe25ff,
    0x8fff201f,0x002fffff,0x0fffff88,0xffffff70,0x3fffe609,0xaaaaaaae,
    0xfffffbaa,0x2fffff82,0xfffff800,0xffff8802,0x7ffe400f,0x7ffcc05f,
    0xfffe80ff,0xfffb04ff,0x0000009f,0x07ffffe2,0x3ffe2000,0x3ffea04f,
    0x219999bf,0x7fdc5ffa,0xf1ffe403,0x5559ffff,0x55555555,0x2fffffe2,
    0xffffdcaa,0xf700ffff,0x7c009fff,0xff85ffff,0xf8002fff,0x8802ffff,
    0x550fffff,0xfffb5555,0x555555df,0x03ffffe6,0x3fffffe6,0xeffffd81,
    0xcccccccc,0x10001ccc,0x003fffff,0x3ffff700,0x7ffffd40,0xf51fffff,
    0x7e4000bf,0x3ffffe3f,0xffffffff,0xfff16fff,0xffffffff,0x03dfffff,
    0x017fffec,0x0fffffb0,0x005fffff,0x05fffff0,0x1fffff10,0x3ffffff6,
    0xffffffff,0xffff37ff,0x3fff201f,0x7fec0eff,0xffffffff,0x03ffffff,
    0xfffff100,0xffd00003,0xfffa80df,0x1fffffff,0xddddfff5,0xdddddddd,
    0x7c7fffdd,0xffffffff,0x6fffffff,0xfffffff1,0xffffffff,0xffff8809,
    0x7ffdc007,0x7fffc1ff,0xfff8002f,0xff8802ff,0xfffb0fff,0xffffffff,
    0x26ffffff,0x100fffff,0x89ffffff,0xfffffffd,0xffffffff,0xff10003f,
    0x80003fff,0x403ffff9,0xfffffffa,0xfff51fff,0xffffffff,0xffffffff,
    0x7ffffc7f,0xffffffff,0xfff16fff,0xffffffff,0xf5003dff,0x8800bfff,
    0x7c4fffff,0x8002ffff,0x802fffff,0xb0fffff8,0xffffffff,0xffffffff,
    0x3ffffe6f,0x3fffea00,0x3fff62ff,0xffffffff,0x003fffff,0x3fffff10,
    0xfffc8000,0x7ffd400f,0x1fffffff,0xfffffff5,0xffffffff,0x7c7fffff,
    0xffffffff,0x6fffffff,0xfffffff1,0x0037bddf,0x01ffffe4,0x37ffff40,
    0x00bffffe,0x0bffffe0,0x3ffffe20,0xffffffb0,0xffffffff,0x3ffe6fff,
    0x7fec00ff,0xffb0ffff,0xffffffff,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x31000000,0x44000133,0x00009ab9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffff600,0x3ffea03f,0xff3006ff,
    0xffff10df,0x3fffffe0,0xffffb805,0xfffd9802,0x76d4005f,0x3fffffff,
    0x3ffffe20,0xccefffff,0x7fffec01,0xffffffff,0x55ffffff,0xffffffff,
    0xffffffff,0x3ffeebff,0x7fc002ff,0x3ffa4fff,0xfa801fff,0x7cc6ffff,
    0xf0002fff,0xffd87fff,0x3f605fff,0x5006ffff,0xff30bfff,0x3fffe0ff,
    0x7dc01fff,0x36602fff,0x05ffffff,0xfffffb10,0x3dffffff,0xffffff10,
    0xffffffff,0x3fff603b,0xffffffff,0x5fffffff,0xfffffff5,0xffffffff,
    0x7ffcbfff,0x3ee006ff,0x3ea0ffff,0xe805ffff,0x4c1fffff,0x0002ffff,
    0xfd85ffff,0x880fffff,0x07ffffff,0x50bfff70,0x3fe0dfff,0x404fffff,
    0x882ffffb,0xfffffffc,0xfffa805f,0xffffffff,0x7c40efff,0xffffffff,
    0x4fffffff,0xffffffd8,0xffffffff,0xff55ffff,0xffffffff,0xffffffff,
    0x7ffffdcb,0xfffff001,0xfffffd09,0x7fffd403,0xffff885f,0xfff88003,
    0x7ffff42f,0xfffa82ff,0xf9007fff,0xfff509ff,0x3ffffe0b,0x3ee00fff,
    0x3f222fff,0xffffffff,0x7ffc405f,0xffffffff,0x445fffff,0xffffffff,
    0xffffffff,0x7fffec2f,0xffffffff,0x55ffffff,0xffffffff,0xffffffff,
    0xffff8bff,0xfffb805f,0xfffa80ff,0x3ffa05ff,0xff880fff,0xf88003ff,
    0x7ff41fff,0xfd85ffff,0x007fffff,0xf707fffb,0x3ffe09ff,0x204fffff,
    0xf32ffffb,0xffffffff,0xf500bfff,0x5337bfff,0x3ffffffd,0x5fffffc4,
    0xfffcbaaa,0x3f61ffff,0xffffffff,0xffffffff,0xddddd35f,0xfddddddd,
    0xb89fffff,0x401fffff,0x204fffff,0x81fffffd,0x04fffffa,0x000ffffe,
    0xf07fffe2,0x0fffffff,0xffffffff,0x5fffb001,0x209fff90,0xffffffff,
    0xffff700f,0x3ffffe25,0x5ffffdef,0x403df900,0x22fffffd,0x01fffff8,
    0xbfffffb1,0xfffb8000,0xf70001ff,0x3e0dffff,0x2e05ffff,0x200fffff,
    0x86fffff9,0x00fffffe,0x0013fffe,0xf07fffe2,0x5fffbfff,0x7fefffcc,
    0xaaaa80ff,0xaaacffff,0xaadfffea,0xffffff0a,0x3ee07fff,0x3ff62fff,
    0xffff92ef,0x2005c00b,0x24fffff8,0x01fffff8,0x1bffffe2,0xfffff000,
    0x3fe2000d,0xf701ffff,0x3e03ffff,0xc804ffff,0x2a2fffff,0x403fffff,
    0x8004ffff,0x7c0ffff9,0x4fffbfff,0x3febfff2,0xffff81ff,0xffffffff,
    0xffffffff,0xffffff1f,0x3ee0dfff,0x3fe62fff,0x2ffffe43,0x7ffc0000,
    0x3ffe25ff,0x7fdc01ff,0x70000fff,0x005fffff,0x3fffff60,0x7ffffc04,
    0xfffffb84,0xffff8800,0x3ffffa6f,0x4fffe807,0xffff9800,0x27fffe20,
    0x3ffe7fff,0x81ffff8f,0xffffffff,0xffffffff,0xff1fffff,0xffffddff,
    0x5ffff705,0xfffc80b8,0xe800005f,0x3e25ffff,0x4c01ffff,0x001fffff,
    0x0dffffd0,0x3fffea00,0xfffb806f,0x3ffe20ff,0x3f2004ff,0xffaaffff,
    0xfe803fff,0x4cc984ff,0x447fff98,0xfffd7fff,0x3ebfff33,0xfff81fff,
    0xffffffff,0xffffffff,0xdffff1ff,0x70dffff5,0x2005ffff,0x005ffffc,
    0xfffff800,0x3ffffe24,0x7fffcc01,0xffa8001f,0x88002fff,0x01ffffff,
    0x49fffff0,0x00fffffb,0x3ffffe20,0x06ffffee,0xb0bfffb0,0xffa83fff,
    0xbfffc47f,0xffbbfffc,0x05ffff2f,0xffffb999,0xfff99999,0x3e19999f,
    0xffff6fff,0xffffb83f,0xffff9002,0xf980000b,0x3e22ffff,0x5401ffff,
    0x000fffff,0x06ffffe8,0xfffffb00,0x7ffdc007,0xffffd0ff,0xfff70009,
    0x5fffffff,0x17fff600,0xa87ffff1,0x7fcc7fff,0xbbfff57f,0x7fffcfff,
    0x2fffd402,0xf03fffcc,0x3feedfff,0x7ffdc5ff,0xfff9002f,0xd80000bf,
    0x220fffff,0x401fffff,0x007ffffc,0x2fffffa8,0xffffa800,0x7fc4006f,
    0xfffabfff,0xfd0000ff,0xdfffffff,0x2fffe400,0x51bfffea,0xff98dfff,
    0x3ffffe6f,0x3fffe5ff,0x2fffdc03,0xf037ffd4,0x3fe2dfff,0x3fee1fff,
    0xff9002ff,0x40000bff,0x44fffffa,0x01fffff8,0x17ffffe6,0x3ffffa00,
    0xfff88006,0xb8000fff,0xffdeffff,0x2a0003ff,0xffffffff,0x3fff2001,
    0x7ffffe46,0x51bffea0,0x7fecdfff,0x3fa2ffff,0x7fe403ff,0x5fffb84f,
    0xc9bfffe0,0x3ee4ffff,0xf9002fff,0x0000bfff,0x3fffffe2,0x7ffffc40,
    0xffffd501,0xffa8003f,0xd8003fff,0x003fffff,0xffffff10,0x0001ffff,
    0xffffffe8,0x7ffe4005,0x7fffffc6,0x517ffee3,0x7fdcdfff,0x3fa0ffff,
    0x7fec03ff,0x4fffb83f,0x89bfffe0,0xf70fffff,0x32005fff,0x0005ffff,
    0x5fffffb0,0x7fffff10,0xfffd9755,0xd0009fff,0x000fffff,0x0bfffff5,
    0xffffb800,0x0003ffff,0x7fffffcc,0x3ee000ff,0x3ffe66ff,0x3fee5fff,
    0x37ffd45f,0x8bfffff1,0x7404fffe,0xffc82fff,0x3fffe04f,0xa7fffec6,
    0x002ffffb,0x00bffff9,0xfffffb00,0x3fffe209,0xffffffff,0x8006ffff,
    0x03fffffa,0x7ffffc40,0x7c40000f,0x0fffffff,0x7ffec000,0x005fffff,
    0xfc9bffee,0x70ffffff,0xffb89fff,0x7ffff45f,0x227fff42,0xffff9999,
    0xffd9999b,0x7fc199cf,0x7ffcc6ff,0xffffb8ff,0xffff9002,0xffc8000b,
    0x3e205fff,0xffffffff,0x0dffffff,0xffffe800,0x7fec000f,0x00003fff,
    0x7ffffff7,0xfffa8000,0x1fffffff,0x4ffff500,0xfffedffe,0xb89fff72,
    0x7fe45fff,0x7ffec0ff,0x3ffffe25,0xffffffff,0xffffffff,0x21bfffe0,
    0xfbbffffe,0xf9002fff,0x4000bfff,0x05fffffc,0x7fffffc4,0xefffffff,
    0xfff30001,0xfa8009ff,0x0005ffff,0x3ffffe20,0xffe80007,0xffffffff,
    0xffff5006,0x3f2fffe6,0x9fff94ff,0x4c5fffc8,0xffd85fff,0x3fffe25f,
    0xffffffff,0xffffffff,0x1bfffe0f,0x2fbfffea,0x9002ffff,0x000bffff,
    0x17fffff2,0x3ffffe20,0x1acdefff,0x7ffec000,0x3e2000ff,0x000fffff,
    0x7fffe400,0x7fdc0005,0xfffdbfff,0xff9803ff,0x53fff77f,0x3ff2ffff,
    0x2fffe43f,0x7ec16664,0x3ffe25ff,0xffffffff,0xffffffff,0x3fffe0ff,
    0xbfffff06,0x2005ffff,0x005ffffc,0x5fffffc8,0xfffff100,0x26000003,
    0x004fffff,0x17ffffec,0x7fe40000,0x220005ff,0xf16fffff,0x801fffff,
    0xfe8ffff9,0x27fffe7f,0x7e43fffd,0xfd8005ff,0x333226ff,0xcccffffd,
    0xccffffcc,0x3fffe0cc,0xfffff706,0x2005ffff,0x005ffffc,0x2fffffe4,
    0xfffff100,0x36000003,0x000fffff,0x17ffffea,0x7fe40000,0x320005ff,
    0x322fffff,0x404fffff,0xff9ffff8,0x33fff64f,0x7ec2fffd,0xfd8004ff,
    0x3fea06ff,0x7fff985f,0x837fffc0,0xfffffff8,0xff9002ff,0x7e400bff,
    0x4005ffff,0x01fffff8,0xfff98000,0x3e2004ff,0x000fffff,0xffff9000,
    0x3fe2000b,0x7fc46fff,0x2201ffff,0xfffbffff,0x37bffea1,0x7fec2fff,
    0xffc8004f,0x3ffee07f,0x06fffa84,0x9037fffc,0xffffffff,0x3fff2005,
    0xfff9005f,0xf1000bff,0x0003ffff,0xfffffb00,0x7ffec001,0x000002ff,
    0x017ffff2,0x7ffffec0,0xfffffc82,0x3fffe205,0x7fc47ffe,0x41fffeff,
    0x8004fffe,0x3207fffc,0xffb84fff,0x7fffc05f,0x3fffe206,0x32e2ffff,
    0xffeccccc,0xcccccfff,0x3fffff24,0xeeeeeeef,0xff14eeee,0x00003fff,
    0x5fffff98,0x3fffea00,0xeeeeeeff,0x05eeeeee,0x17ffff20,0x3fffe600,
    0xffff106f,0x7ffc05ff,0xfd84ffff,0x41ffffff,0x8004fffe,0x3607fffc,
    0xffc83fff,0x7fffc04f,0x7fffec06,0x3ff62fff,0xffffffff,0x7fffffff,
    0xfffffff3,0xffffffff,0x3fe2dfff,0x00001fff,0x0fffffec,0xfffffb00,
    0xffffffff,0x00ffffff,0x02ffffe4,0x7fffff40,0x3fffee02,0x3fffe06f,
    0xffa82fff,0x740fffff,0xc8003fff,0xfd00ffff,0xfff905ff,0x6ffff809,
    0x7ffffcc0,0x3fff62ff,0xffffffff,0x37ffffff,0xffffffff,0xffffffff,
    0x3ffe2dff,0x200001ff,0x05fffff8,0x7ffffec0,0xffffffff,0x007fffff,
    0x017ffff2,0xdfffff50,0xfffff880,0xffffd03f,0x3ffe20ff,0x7fc0ffff,
    0xfb8003ff,0xfff00fff,0x7fffb03f,0x06ffff80,0xffffffe8,0x3fffff62,
    0xffffffff,0xff37ffff,0xffffffff,0xffffffff,0x3ffffe2d,0x3f200001,
    0x4001ffff,0xfffffffd,0xffffffff,0x32007fff,0x4005ffff,0x02fffffe,
    0xffffffb8,0xfffffe80,0x3ffff605,0x7fffc0ff,0xfffb8003,0x1ffff00f,
    0x805fffd0,0xa806ffff,0x22ffffff,0xfffffffd,0xffffffff,0xffff37ff,
    0xffffffff,0x2dffffff,0x01fffff8,0xffff1000,0xffb000bf,0xffffffff,
    0xffffffff,0x7ffe400f,0x3fee005f,0x3e006fff,0xe85fffff,0x202fffff,
    0x07fffffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9aba8800,
    0x00000000,0x80000000,0x0498003a,0x1aaaa880,0x00006400,0x80064000,
    0x0c400998,0xfffffd00,0xfffc8001,0x3fffe67f,0xefffffff,0x3fe600bd,
    0xffffffff,0xffffffff,0x3f6603ff,0x3fffffff,0x3ffffe60,0xbdefffff,
    0x7e400000,0x807fffff,0x4001ffe9,0x26003ffe,0x2003ffff,0x00001ffd,
    0x01dfd100,0x3fffff26,0x3fff20df,0x7fdc02df,0x74002fff,0x3e65ffff,
    0xffffffff,0x0cffffff,0xffffff98,0xffffffff,0x83ffffff,0xffffffc8,
    0x80efffff,0xfffffff9,0xdfffffff,0xff880001,0x407fffff,0x006ffffd,
    0x03bffff2,0x0ffffe60,0x17fffec0,0x3e600000,0x7cc0efff,0xffffffff,
    0xfffffeaf,0x3fe602ff,0x22005fff,0x262fffff,0xffffffff,0xffffffff,
    0xfffff985,0xffffffff,0x3fffffff,0xffffffe8,0xffffffff,0x7ffffcc1,
    0xffffffff,0x40000fff,0xfffffffd,0x7fffdc07,0xfffa804f,0xff3004ff,
    0xff7007ff,0x0007ffff,0x3fffea00,0x7ffcc5ff,0xffffffff,0xffffffff,
    0x3fffa01f,0x3fee007f,0x3fe60fff,0xffffffff,0x4fffffff,0x7fffffcc,
    0xffffffff,0x43ffffff,0xfffffffc,0xfffffffe,0x7ffffcc5,0xffffffff,
    0x0000efff,0xfffffff5,0xfffb00ff,0x555515ff,0xdfffff13,0x7fffcc00,
    0xffff9003,0x80000bff,0xdffffffb,0x5efffcc0,0xffffffec,0x4ffffdcf,
    0x3fffff20,0xffffb001,0xfffff98d,0xfeb99999,0x5447ffff,0xfdaaaaaa,
    0xaaaaefff,0x3fea1aaa,0x2622efff,0x21fffffe,0xaafffff9,0xffffecaa,
    0xf88003ff,0xffffffff,0xfffe8807,0xffffffff,0x00ffffff,0x0ffffe60,
    0xfffffa80,0xd80000ef,0x04ffffff,0x3ff605d3,0x3fee1fff,0x3ffe607f,
    0xfff003ff,0xfff987ff,0x7fff407f,0x3f2000ff,0x36005fff,0x100fffff,
    0x4cdfffff,0x2e07ffff,0x005fffff,0xfcffffc8,0xf3007fff,0xffffffff,
    0x5fffffff,0xffff9800,0x7ffcc003,0x0001efff,0xffffffd1,0x7fcc0005,
    0xffff85ff,0x3ffffe01,0xffff9806,0x7fffcc1f,0x7fffcc07,0x3ff2002f,
    0x3fe005ff,0x7dc03fff,0xff31ffff,0xffd80fff,0x7cc007ff,0xfff8ffff,
    0x3fee007f,0xffffffff,0x8004ffff,0x003ffff9,0xfffffe88,0x7f4c002f,
    0x001fffff,0x27fffc40,0xb017ffec,0x801fffff,0x986ffffc,0x4407ffff,
    0x002fffff,0x017ffff2,0x07ffffc4,0x3ffffe20,0x0fffff33,0x0fffffb8,
    0x3ffffa00,0x00fffff2,0x7fffffc4,0xffffffde,0xddddd903,0xddffffdd,
    0x40bddddd,0xffffffd8,0xffff5003,0x00001dff,0x320bfffe,0x3ea03fff,
    0x7402ffff,0xf984ffff,0x7cc07fff,0x2000ffff,0x005ffffc,0x00fffff5,
    0x4d3ffffa,0x5c07ffff,0x2007ffff,0x3e5ffffb,0x32007fff,0x640effff,
    0xfb06ffff,0xffffffff,0xffffffff,0xfff900ff,0xfb809fff,0x005fffff,
    0x07fffc00,0x1027ffdc,0x409fffff,0x81fffff8,0x407ffff9,0x006ffffc,
    0x02ffffe4,0x0fffffa8,0x5ffffe80,0x80fffff3,0x006ffffc,0x41fffff1,
    0x2007ffff,0xd00fffff,0xfb03ffff,0xffffffff,0xffffffff,0x3fea00ff,
    0xc80dffff,0x03ffffff,0x3ffb2e00,0xffffffff,0x04ffffff,0x03ffffec,
    0x20fffff7,0x207ffff9,0x02fffffa,0x2ffffe40,0xfffff880,0xffffd802,
    0x0fffff36,0x27ffffcc,0x3ffffc80,0x803ffffc,0x204ffff9,0xd83ffffa,
    0xffffffff,0xffffffff,0x3e6007ff,0x10efffff,0x5ffffffb,0x3ffa6000,
    0xffffffff,0xffffffff,0x7ffdc04f,0xfffb01ff,0x3ffe60bf,0xecbaaaff,
    0x004fffff,0x05ffffc8,0x1bffffe0,0x5bffff60,0x887ffff9,0x0ffffffb,
    0x6ffff980,0x007ffff8,0x407ffff3,0xa84ffff9,0xfcaaaaaa,0xaaaadfff,
    0x7dc002aa,0xf74fffff,0x00bfffff,0x3ffffe20,0xffffffff,0xffffffff,
    0x7fffc404,0xfffff03f,0x3fffe605,0xffffffff,0x90002eff,0x400bffff,
    0x1efffffe,0x7ffff5c4,0xfffff37f,0xffffdddd,0x3a005fff,0xff81ffff,
    0xff5007ff,0x7fc405ff,0x7cc004ff,0x00003fff,0x7ffffff9,0xffffffa8,
    0x7fec000d,0xff99acff,0x999999ff,0xfe800999,0xff985fff,0xff300fff,
    0xffffffff,0x017dffff,0xbffff900,0x7fffcc00,0xffffffff,0x36ffffff,
    0xffffffff,0x3dffffff,0x3fffee00,0x0fffff04,0x0bfffea0,0x04ffff98,
    0x1ffffcc0,0x3ff62000,0xf302ffff,0x01dfffff,0x0ffffe60,0x0003fffe,
    0x3ffffe40,0x02ffffe4,0xfffffff3,0xffffffff,0xfc8005ff,0x64005fff,
    0xffffffff,0xffffffff,0xfffff35f,0x9fffffff,0x7ffc4003,0xffff00ef,
    0x3ffe600f,0x3ffe603f,0x7fcc003f,0x220003ff,0x1ffffffe,0x7ffff440,
    0xffa802ff,0xffff80ff,0xff300001,0xffe85fff,0x3fe603ff,0xdccccfff,
    0xfffffffe,0x3fff2001,0xffc8005f,0xffffffff,0x34ffffff,0xffffffff,
    0x005fffff,0x017fffec,0x200fffff,0x205ffff9,0x002ffffc,0x01ffffcc,
    0xfffff980,0xfb1000ef,0x807fffff,0xff07fffb,0x400007ff,0x224fffff,
    0x200fffff,0x207ffff9,0x6fffffd8,0x3ffff200,0xffb30005,0xd7bfffff,
    0x3e69ffff,0xfdbaffff,0x802fffff,0x405ffffa,0x2007ffff,0x982fffff,
    0x8007ffff,0x003ffff9,0xffffffb8,0xffc8000d,0x2e04ffff,0x7e40ffff,
    0x00006fff,0xa9fffff2,0x4c06ffff,0xd807ffff,0x001fffff,0x00bffff9,
    0x13553100,0x99fffffc,0x7cc7ffff,0xe806ffff,0xaaabffff,0xffffaaaa,
    0x900aaaaf,0x337fffff,0x09fffff7,0x7ffff300,0xffffc800,0x5c0004ff,
    0x0dffffff,0x21ffffa8,0x4ffffffa,0x7d400510,0xffb1ffff,0xff9809ff,
    0xffa807ff,0xf9002fff,0x0000bfff,0xfffff980,0x0fffff31,0x09fffff5,
    0x7fffffc4,0xffffffff,0xffffffff,0xfffff101,0xffffffff,0xdd30003f,
    0x362005dd,0x03ffffff,0xffff3000,0xff983dff,0xfffdbfff,0xabefffff,
    0x22006fdc,0xff3fffff,0xf9803fff,0xf9807fff,0x9003ffff,0x000bffff,
    0xffffb800,0x1ffffe66,0x07ffffec,0xffffff88,0xffffffff,0xffffffff,
    0xfffff901,0xffffffff,0x000000df,0x7fffff44,0x4400001f,0x2ffffffe,
    0x7ffffff4,0xffffaeff,0x06ffffff,0x6ffffec0,0x807ffff9,0x807ffff9,
    0x02fffffa,0x0bffff90,0x7fc40000,0x3fe63fff,0xfff507ff,0x3fe207ff,
    0xffffffff,0xffffffff,0xfa81ffff,0xffffffff,0x4fffffff,0xf5000000,
    0x001dffff,0x3ff62000,0x7fd44fff,0x70efffff,0xffffffff,0xffb800df,
    0xffffbfff,0xffff9804,0xffffd807,0xfff9000f,0x400000bf,0x20fffffd,
    0x207ffff9,0x80fffffe,0xfffffff8,0xffffffff,0x1fffffff,0x6fffffc4,
    0xfddffffe,0x9982ffff,0x99999999,0x99999999,0x037ffee0,0x3f200000,
    0xfff504ff,0xffa81bff,0x03efffff,0x7ffffc40,0x802fffff,0x407ffff9,
    0x07fffffc,0x17ffff20,0xff710000,0xf989ffff,0x3ee07fff,0x3303ffff,
    0x33333333,0xfffff333,0xffd03333,0xffd00dff,0x7fc41fff,0xffffffff,
    0xffffffff,0x00027dc2,0x013ee000,0x98015531,0x00009aaa,0x3ffffffa,
    0xff3007ff,0x55555fff,0xffffffd9,0x7ffe4007,0x5554005f,0xfffedcca,
    0xf985ffff,0x3e207fff,0x0007ffff,0x0fffff10,0x1fffffd8,0xfffff880,
    0x3ffffe26,0xffffffff,0x182fffff,0x30000000,0x00000000,0xfffff900,
    0x2600bfff,0xffffffff,0xffffffff,0x7fe4005f,0x7ec005ff,0xffffffff,
    0xf306ffff,0xfc80ffff,0x0003ffff,0x07ffff88,0x027fff54,0x47ffff70,
    0xfffffff8,0xffffffff,0x00002fff,0x00000000,0x4c000000,0xffffffff,
    0xffff3003,0xffffffff,0x001dffff,0x05ffffc8,0x7ffffec0,0xcfffffff,
    0xfffff300,0xfffff880,0xff880006,0xdf7007ff,0x819fb000,0xfffffff8,
    0xffffffff,0x00002fff,0x00000000,0xf8000000,0x0fffffff,0xfffff300,
    0xffffffff,0x320005df,0x4005ffff,0xfffffffd,0x4c00dfff,0xd807ffff,
    0x002fffff,0x3ffffc40,0x10001100,0x00000001,0x00000000,0x00000000,
    0x3ffff200,0x3e6006ff,0xffffffff,0x0001ccee,0x02ffffe4,0x3bffff60,
    0x26001bde,0xa807ffff,0x006fffff,0x3ffffc40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x40000008,0x26600009,
    0x22000009,0x44000009,0x22000009,0x77401999,0x77400eee,0x18800eee,
    0x40000c40,0x20000099,0x22000099,0x00acddba,0xeeeeeea8,0xeeeeeeee,
    0xfe9804ee,0x980001ef,0xfffffedb,0xfec981ce,0xceffffff,0x7f6dc000,
    0x8003dfff,0xfffffdc9,0x326000cd,0xfffffffe,0x7fffc1df,0x7fffc00f,
    0x21ddd91f,0x261cfffc,0x7444fffe,0x3f663eee,0x3a04ffff,0x3f262eee,
    0x000cffff,0xffffffb1,0x7dc01dff,0xffffffff,0x6fffffff,0x6ffffe80,
    0x3ff22000,0xffffffff,0x7ffffc3f,0xffffffff,0xffe9804f,0xefffffff,
    0xffff9001,0x5fffffff,0xffffd880,0xffffffff,0x07ffffc2,0x47ffffe0,
    0xffc8fffd,0xfff36fff,0x7fc4bfff,0xffff75ff,0xf03dffff,0x3fee9fff,
    0x1effffff,0x7ffffd40,0x3fffffff,0xffffff70,0xffffffff,0xff880dff,
    0x8001ffff,0xfffffffa,0x43ffffff,0xffffffff,0x4fffffff,0x3ffffea0,
    0xffffffff,0x3fffa603,0xffffffff,0xffd105ff,0xffffffff,0xfff85fff,
    0x7ffc00ff,0x7fffb1ff,0x3fffffff,0xfffffffd,0x37fffe23,0xfffffffb,
    0xfff86fff,0xfffffbcf,0x206fffff,0x09befffb,0x0bfffd73,0xfffffff7,
    0xffffffff,0xfff880df,0x54001fff,0xffffffff,0x43ffffff,0xceefffff,
    0xffffffee,0xfffff982,0xffffecdf,0xfffd01ff,0xffffffff,0xfd07ffff,
    0x99dfffff,0xf85fffdb,0x7c00ffff,0xffb1ffff,0xffffffff,0xffffffff,
    0x3ffe29ff,0xffffffff,0x42ffffff,0xffffffff,0xffffffff,0xdfff983f,
    0x2e1aaaaa,0x66543fff,0xdccccccc,0x02ffffff,0x06ffffe8,0x7ffff440,
    0xccaabdff,0x05f7c3ff,0xbfffff50,0x1bffffd0,0x5ffffe98,0xffffffb8,
    0xfffeb9ac,0x3fe60fff,0x5cc05fff,0x07ffffc1,0x47ffffe0,0x74fffffd,
    0x23ffffff,0xff15fffe,0x5dffffff,0xbfffff51,0xfffffff8,0xfffd9bff,
    0x3ffe86ff,0x5ffffffd,0x0003ffea,0x13fffff6,0x06ffec40,0x3ffff200,
    0x215401ef,0x3ffee000,0x7fffd46f,0x3fffe605,0x3fffe22f,0xfff900ef,
    0x7ffdc9ff,0xff0001ff,0xff801fff,0xfffb1fff,0x7fffccff,0x5bfff63f,
    0xfffffff8,0x7ffffb83,0x7ffffffc,0x7ffffc84,0xffd37fe4,0x321ffffd,
    0x7dc005ff,0x0005ffff,0xfff30001,0x00000dff,0x1ffffe60,0x801ffffd,
    0x323ffffd,0x400fffff,0x327ffffe,0x001fffff,0x01fffff0,0xb1fffff8,
    0x7c47ffff,0x7fe47fff,0xfffff16f,0x3ffe20bf,0x3fffe0ff,0xfff505ff,
    0x0fff41ff,0x97fecdfd,0x3000fff8,0x01dfffff,0x7dc00000,0x0002ffff,
    0xffff1000,0x3fffe61f,0xffffb806,0x13ffffa5,0x3ffffea0,0xdfffff70,
    0xffff0005,0xffff801f,0x8ffffb1f,0x643ffff8,0xfff17fff,0xfff80dff,
    0x3fffe0ff,0x3ffe205f,0x8dff11ff,0x8bfee6fe,0xf8801ffd,0x001fffff,
    0x7fe40000,0x000006ff,0xff755531,0x3fea1fff,0xaaaaaeff,0xffffcaaa,
    0x07ffffe6,0x3ffffe20,0xffffff31,0x3e0037df,0x7c00ffff,0xffb1ffff,
    0xffff88bf,0x8bfffe42,0x401fffff,0x3e0ccccc,0x7c01ffff,0xff31ffff,
    0xfb9efe8b,0x0ffee0ff,0x3fffffa0,0xeeeee983,0xeeeeeeee,0x2eeeeeee,
    0x017ffffa,0x7ff5c400,0xffffffff,0xffff70ff,0xffffffff,0x2fffffff,
    0x00fffff8,0x47fffff0,0xfffffffc,0x3e00beff,0x7c00ffff,0xffb1ffff,
    0xffff88bf,0x8bfffe42,0x001fffff,0x0fffffc0,0x47ffffe0,0x7ff43ffb,
    0x7cc0cfff,0x7ffe404f,0xfff505ff,0xffffffff,0xffffffff,0x7ffffc7f,
    0xffc80004,0xffffffff,0xf90fffff,0xffffffff,0xffffffff,0x3fffeaff,
    0x3fffa007,0x3fff624f,0xffffffff,0xfffff80d,0x7ffffc00,0x88bfffb1,
    0x7e42ffff,0xffff17ff,0xff80003f,0x7fc01fff,0x9ff51fff,0x5ffeffe8,
    0x2a04ffa8,0x00efffff,0xfffffff5,0xffffffff,0x227fffff,0x003fffff,
    0x7ffffec0,0xffffffff,0xfffb0fff,0xffffffff,0xffffffff,0x01ffffea,
    0x83ffffe8,0xfffffffb,0x7c2fffff,0x7c00ffff,0xffb1ffff,0xffff88bf,
    0x8bfffe42,0x001fffff,0x0fffffc0,0x47ffffe0,0xb7f45ff9,0x7fe42ffc,
    0xfffff302,0x7ffd401f,0xffffffff,0xffffffff,0x3ffffe3f,0x3ff20005,
    0xaabcffff,0x0fffffba,0x55bffff9,0x55555555,0x3fe65555,0xff000fff,
    0x6cc05fff,0xffffffff,0x3fffe0ff,0x7fffc00f,0x8bfffb1f,0x642ffff8,
    0xfff17fff,0xf80003ff,0x7c01ffff,0x3fe1ffff,0xff8b7f47,0x440ffec6,
    0x02fffffe,0x55555544,0xaaaaaaaa,0x21aaaaaa,0x006ffffe,0xbfffff10,
    0x3fffe201,0xbffff70f,0xfff88000,0xff8801ff,0x95001fff,0x9fffffff,
    0x00fffffc,0x23fffff7,0x7c45fffd,0x7fe42fff,0xfffff17f,0xfff80003,
    0x7ffc01ff,0x8fff61ff,0x4bff66fe,0xffb07ff9,0x00009fff,0xfff90000,
    0xf50003ff,0x4401ffff,0xf50fffff,0x0000dfff,0x007fffff,0x01fffff5,
    0xffffd880,0x3ffffe6f,0xfffff503,0x17fff63f,0xc85ffff1,0xfff17fff,
    0xf80003ff,0x7c01ffff,0x3ea1ffff,0x54dfd0ff,0x07ffd6ff,0x0dfffff7,
    0x20000000,0x06fffffb,0x6ffffc80,0x7ffffd40,0x5fffff30,0xfffe8000,
    0xfffe807f,0x3fa0006f,0x3ffa7fff,0xfff985ff,0xffb1ffff,0xffff88bf,
    0x8bfffe42,0x001fffff,0x0fffffc0,0x07ffffe0,0x5551bff9,0x6ffdbaa8,
    0xffffff98,0x2e200000,0x7fc4000b,0x400dffff,0xfffff718,0x3fffee03,
    0x3fffa0ff,0x2e0000ef,0x205fffff,0x02fffffc,0x3ffffa00,0x3fffff65,
    0xffffd98c,0xffb1ffff,0xffff88bf,0x8bfffe42,0x001fffff,0x0fffffc0,
    0x07ffffe0,0x405fffd1,0x441fffe9,0xceffffff,0xcccccccc,0xffffa804,
    0x7ffdc002,0x99acffff,0xff54fdba,0x6441bfff,0x0fffffff,0x3fffffea,
    0x741dcc03,0x8aefffff,0xfffffda8,0x2005ee46,0x23fffffc,0xfffffffa,
    0xffffffff,0xbfffb1ff,0x42ffff88,0xff17fffc,0x80003fff,0x401fffff,
    0x981fffff,0xbbdefffe,0x82ffffec,0xfffffffd,0xffffffff,0xffff807f,
    0x7f4000ff,0xffffffff,0xf14fffff,0xddffffff,0xffffffff,0xffffd81f,
    0xeeedefff,0xffa86fff,0xffffffff,0x41ffffff,0xcceefffc,0xffffffec,
    0x7ffff41f,0xbeffffff,0xffb1ffff,0xffff88bf,0x8bfffe42,0x001fffff,
    0x0fffffc0,0x07ffffe0,0xffffffc8,0xb00dffff,0xffffffff,0xffffffff,
    0xffff980f,0x7cc001ff,0xffffffff,0x324fffff,0xffffffff,0xfffcffff,
    0x7fffc40f,0xffffffff,0xffb06fff,0xffffffff,0xf907ffff,0xffffffff,
    0x05ffffff,0xfffffff3,0xfff51bff,0x17fff63f,0xc85ffff1,0xfff17fff,
    0xf80003ff,0x7c01ffff,0x5401ffff,0xdffffffd,0x7fffec03,0xffffffff,
    0x4407ffff,0x00ffffff,0xfffff900,0x9fffffff,0x7fffff44,0xfa8effff,
    0xfc880fff,0xffffffff,0x2e06ffff,0xffffffff,0xf901efff,0xffffffff,
    0x405fffff,0xffffffd8,0x47fffea3,0x7c45fffd,0x7fe42fff,0xfffff17f,
    0xfff80003,0x7ffc01ff,0x2a2001ff,0x3ff6000a,0xffffffff,0x07ffffff,
    0x05ffffc8,0x7ff6cc00,0x0bdfffff,0xffffffb8,0x3fffea3e,0x3fff6600,
    0xdfffffff,0x7ffec402,0x404effff,0xffffffea,0x00beffff,0x00355310,
    0x445fffd8,0x7e42ffff,0xffff17ff,0xff80003f,0x7fc01fff,0x00001fff,
    0x00000000,0x0001eedc,0x00cd5440,0x00355530,0xaaa98800,0x3100009a,
    0x26000355,0x19aaaaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2eeeee98,0x77776c00,0x3bbbbae3,0xeeed8804,
    0x5d4c404e,0x2aa6001a,0x400009ac,0x90009999,0x0001dddd,0x4017bbb2,
    0x4000aaaa,0x20008000,0x03000802,0x54c00150,0x4c02ccdc,0x1cceeecb,
    0xfffff800,0x3ffea006,0x7fff41ff,0x7fe402ff,0xfb101fff,0x07ffffff,
    0x3fffff62,0x8001dfff,0x003ffff9,0x005ffff9,0x017fffa0,0x000ffffc,
    0x7cc009d1,0x02efa802,0x7f540bba,0x00bfd501,0xffffffd5,0xfff707ff,
    0x1dffffff,0x7fffe400,0xfffb000f,0xffff30df,0x3fe601ff,0xff503fff,
    0xffffffff,0xfffff10d,0x03ffffff,0x3ffff980,0x7ffff700,0x3fffe000,
    0x1ffff004,0x13ffa200,0x80bffe60,0xc86ffff8,0x3fa0efff,0x7fec0eff,
    0x3ff603ff,0xffffffff,0x7fffdc3f,0x0effffff,0xfffff100,0xffff1007,
    0x3ffee07f,0xffe885ff,0xfff106ff,0xffffffff,0xdeff889f,0x6ffffdcc,
    0x7fffcc00,0xffff5003,0xfff10009,0xffd0307f,0x7440881f,0x2604ffff,
    0xb02fffff,0xf987ffff,0x7fe46fff,0x7ffcc4ff,0xfff500ff,0xffffffff,
    0x77ffdc1f,0x3ffffffe,0x3ffff600,0xffffa806,0x3fff600f,0x7ffe43ff,
    0xfffb00ff,0xfffb339f,0x805c43ff,0x4007fffa,0x003ffff9,0x00bffff3,
    0x85ffff30,0x3ffec3fc,0xffd117ea,0xff309fff,0xf501dfff,0xfe88bfff,
    0xffe80fff,0x7ffdc2ff,0x33bf605f,0xfffffdba,0xfb102a62,0x5400bfff,
    0x401fffff,0x404ffffd,0x0ffffff8,0x07fffff3,0x20bfffe6,0x003ffff9,
    0x000ffffc,0x007ffff3,0x01bfffe2,0x87fffea0,0xfb0efff8,0x3fff62df,
    0x7ffff442,0x3fffe64f,0xfff880ef,0x7ffe40ff,0xffff102f,0xffffe81d,
    0xff105102,0x2e007fff,0x4003ffff,0x204fffff,0x01fffff8,0xdfffffa8,
    0x05ffffe8,0xf81bffea,0x26204fff,0x1ffffaaa,0x3fffe600,0x3fffe003,
    0x41eeed87,0x360ffffa,0xfcafffff,0xffffe9ef,0xffffe886,0xfffff9cf,
    0xffff900e,0x5ffffa87,0x27fffdc0,0x03bfffe6,0xfffff980,0xfffe8801,
    0x7fe4001f,0x3fee07ff,0x3f2006ff,0xfffeffff,0x3fee00ff,0x3fff205f,
    0x7fff5c45,0x01ffffff,0x0ffffe60,0x0ffffd80,0x713fffe6,0xfea8ffff,
    0xffffffff,0x03ffffff,0xffffffd1,0x201dffff,0x445ffff9,0x800fffff,
    0x5c2ffffd,0x2004ffff,0x907ffffd,0xfffffddd,0xfff30007,0x3ffa05ff,
    0x7f4003ff,0xffffffff,0x2fffe402,0x44bfff90,0xfffffffe,0x2001ffff,
    0x003ffff9,0xc87ffff2,0x7e47ffff,0xffd506ff,0xffffffff,0xffd1007d,
    0x1dffffff,0x07ffff40,0x007ffff6,0x07ffffc4,0x007ffffa,0x0bfffff6,
    0x7fffffec,0xfd0000bf,0xff30bfff,0x98001fff,0xffffffff,0xffffb804,
    0x49fffd00,0x99bffffd,0x261ffff9,0xeeeeeeee,0xeeeeffff,0x3ee2eeee,
    0x3ffa2fff,0x3ff62fff,0x7fecc05f,0x002effff,0x7fffff44,0x3fea00ef,
    0x7ffc45ff,0x7fec006f,0x7ffdc2ff,0x7ffec03f,0x3ff604ff,0x4fffffff,
    0xffffa800,0x7fffe40f,0xfff70005,0x5001dfff,0xf105ffff,0x3fe27fff,
    0xffff82ff,0x3ffffea1,0xffffffff,0x3fffffff,0x4cffffea,0x24ffffff,
    0x5404fffe,0xfffffffe,0x7fd4000b,0xd804ffff,0x7dc1ffff,0xf5003fff,
    0xff889fff,0x3fa206ff,0x5404ffff,0xffffdccc,0xff8001ff,0x7ffc3fff,
    0xf70002ff,0x01ffffff,0x7dffff10,0x3ffffaa1,0x83ffff30,0x2a1ffff9,
    0xffffffff,0xffffffff,0x3e63ffff,0xfff94fff,0x7ffcffff,0xfffb882f,
    0xffffffff,0xff9800cf,0x04ffffff,0x077fffc4,0x007ffffa,0x81dffff1,
    0x101ffffe,0x05fffffd,0x7ffff400,0xfffc8005,0x3fffea6f,0xfff30007,
    0x00bfffff,0x3ffffff2,0x23ffffff,0xabeffff8,0x21fffffc,0xfffffffa,
    0xffffffff,0x223fffff,0xffd5ffff,0x3e5fffff,0x7fe41fff,0xeffeffff,
    0x0cffffff,0xffffff30,0xb809ffff,0x7cc4ffff,0x7ec06fff,0x7fdc1fff,
    0xfff304ff,0x80001dff,0x006ffffb,0x0fffff98,0x009ffffb,0xfffffd10,
    0x2007ffff,0xfffffffe,0xffd85fff,0xffffffff,0x2aaa21ff,0xfffcaaaa,
    0xaaaaaadf,0x77fffc1a,0xffdefff9,0x0ffff9df,0x4f7fffe4,0xffe8effc,
    0xfff306ff,0xffffddff,0xfffe809f,0x7fffdc2f,0x9ffff704,0x06ffff98,
    0xdffffff3,0x4cdddddd,0xffffd300,0x3ffa0009,0xffff8bff,0xffd8000f,
    0xffffffff,0xffd8800f,0x03ffffff,0xffffffd1,0x003fff57,0x01ffffcc,
    0x2fffff60,0xfffabfff,0x887fffaf,0xffb0dfff,0x40fffdcd,0x8efffff9,
    0x4fffffe8,0x3ffffe60,0x17ffff40,0x21bfffe6,0xd01ffffe,0xffffffff,
    0x7fcfffff,0xffffeeff,0x70002fff,0xff5dffff,0xf7000bff,0xff57ffff,
    0x4c00dfff,0x00acdecb,0x10acdcb8,0x4c001555,0x4003ffff,0xffeffffc,
    0xdffff89f,0x5f706fff,0x74c7ffd8,0xfffff985,0x3fffa20e,0x3ff204ff,
    0x7ffcc4ff,0x3fffa0ff,0x7fffdc1f,0x3ffffa04,0xffffffff,0x3fffffe7,
    0x03ffffff,0x3fffe200,0x02ffffef,0x7ffffcc0,0x3fffff65,0x00000004,
    0x7fcc0000,0x7dc003ff,0x26ffffff,0xfffffffd,0x3ffa0205,0x3e60440f,
    0x880effff,0x02fffffe,0x709fffd1,0xfea87fff,0xfffea84f,0x3ffffa00,
    0xffffffff,0x3fffffe7,0x002dffff,0xfffffc80,0xe8007fff,0x220fffff,
    0x02ffffff,0x00000000,0x3fffe600,0x7ffd4003,0x3ea4ffff,0x04ffffff,
    0x007fffc0,0x00efffd8,0x017fffa2,0x5ec019f5,0xd5016a00,0xaaaaa805,
    0xaaaaaaaa,0x37bb72e2,0x00000acc,0x3fffffe6,0x7e4004ff,0xfa83ffff,
    0x4c0fffff,0xeeeeeeee,0x32eeeeee,0xdddddddd,0x05dddddd,0x0ffffe60,
    0xfffff300,0x7ffc43ff,0x4003ffff,0x2001ffff,0xe8800efd,0x0001005f,
    0x00000000,0x00000000,0x3fffffa0,0x3ea001ff,0x3205ffff,0x545fffff,
    0xffffffff,0x53ffffff,0xffffffff,0x07ffffff,0x0ffffe60,0xfffff100,
    0xffffb0ff,0x998005ff,0x06400099,0x00009100,0x00000000,0x00000000,
    0xffff7000,0x7c400dff,0x200fffff,0x3ffffff8,0x3fffffea,0xffffffff,
    0xffffff53,0xffffffff,0x3ffe6007,0xfff8003f,0xffb84fff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0xf1000000,0x005fffff,0x17fffff4,
    0x7ffffd40,0xddddd31f,0xdddddddd,0x3bbba65d,0xeeeeeeee,0xdd3002ee,
    0xfd0005dd,0xf103ffff,0x000fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64c00000,0x00000ccc,0x676e5440,0x0000001b,
    0x54000000,0x2a21aaaa,0xa880aaaa,0x40002cdb,0xeeeeeeec,0xeeeeeeee,
    0x65c01eee,0x000f2e03,0xaaaaaa80,0xaaaaaa82,0xccb8000a,0xcccccccc,
    0xa8000004,0x00fffffe,0x00fbf660,0xfffffff7,0xf50001bf,0x22005fff,
    0xffffffff,0xffffffff,0x3fffe2ff,0x3fffe63f,0x7fffcc1f,0x4cc02eff,
    0x3ffffa19,0xffffffff,0x01ffffff,0x361bfff6,0x80006fff,0x0efffffd,
    0xfffffd88,0x7ff4000e,0xffffffff,0xfffff70f,0xbfffffff,0x7ffff540,
    0xf1000fff,0x3a09ffff,0xffffffff,0x74001fff,0x1006ffff,0xffffffff,
    0xffffffff,0x7fffc5ff,0x3fffe62f,0x3fffe61f,0x503fffff,0x3fa1ffff,
    0xffffffff,0xffffffff,0xffff101f,0x7fffcc5f,0x3f60002f,0xb804ffff,
    0x00efffff,0x3fffffa0,0x70ffffff,0xffffffff,0x3a0bffff,0xffffffff,
    0xfff9000f,0xffc85fff,0xffffffff,0x3f2006ff,0x803fffff,0xfffffff8,
    0xffffffff,0x3ffe2fff,0x3ffe22ff,0x3fffa0ff,0x4fffffff,0x3a7fffb8,
    0xffffffff,0xffffffff,0xfff301ff,0x7ffcc7ff,0xfb0003ff,0x4005ffff,
    0x0efffff9,0xfffffd00,0x21ffffff,0xfffffffb,0x705fffff,0xffffffff,
    0x3ff6001f,0x3e65ffff,0x3621efff,0x8803ffff,0xffffffff,0x7fffc400,
    0xffffffff,0x22ffffff,0x7c1ffffe,0x3fe67fff,0xffffefff,0x7ffec4ff,
    0x2aaaaaa6,0xaaaaaaaa,0x201ffffc,0x221fffff,0x000fffff,0x0effffd8,
    0xfffd8800,0x998800ef,0x99999999,0x3ffffee1,0x5fffffff,0xfd5dff10,
    0x32001fff,0x27ffffff,0x880ffffb,0xd805ffff,0xfffdafff,0x99999805,
    0x99999999,0x3a099999,0x7fc1ffff,0x3fff27ff,0xffffd11f,0xffffd7df,
    0xff500009,0x7f4c03ff,0x2fff982f,0xffffd800,0xffb80004,0x00000eff,
    0x99999950,0x07999999,0xffffd0dc,0x3ffe6001,0xff90ffff,0x7ffec0bf,
    0xb7ffd406,0x002ffff8,0xffd80000,0x7fffc0ff,0x217fff67,0xfffffffd,
    0x0001ffff,0x01ffffa8,0x00008008,0x00333331,0x4cccc400,0x00000000,
    0xfffd0000,0x7fd4001f,0xffd0ffff,0x7ffdc09f,0x0ffff407,0x001dfff9,
    0xffd80000,0x6fffe87f,0x6c13fffa,0xffffffff,0xf500005f,0x00003fff,
    0x00000000,0x00000000,0x74000000,0x4000ffff,0x3a6ffffd,0x3f206fff,
    0x3fee07ff,0x7fffc45f,0x40000004,0xfe87fffc,0x333326ff,0x3ffff201,
    0x00005fff,0x007fffea,0x00000000,0x00000000,0x00000000,0x00ffffe8,
    0x2ffffd40,0x201ffff9,0xf105ffff,0xff503fff,0x999103ff,0x99999999,
    0x39999999,0x6c3fffe4,0x20005fff,0x03defed9,0x7ffd4000,0x0000001f,
    0x00000000,0x00000000,0x3ffa0000,0x7e4000ff,0x3fee3fff,0x7fd40cff,
    0xfffb04ff,0x37fff409,0x7fffffc4,0xffffffff,0x3ee2ffff,0xfffd86ff,
    0x00000005,0xaaaa8800,0x00000000,0x00000000,0x00000000,0x3fffa000,
    0x3fa2000f,0x7ffc46ff,0xffdbdfff,0xff980fff,0x3fe600ff,0x7ffc42ff,
    0xffffffff,0x2fffffff,0x260aaaa2,0x00001aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ffffe80,0xffffb880,0xffffa80f,0xffffffff,
    0x07fffd02,0x41ffffb0,0xfffffff8,0xffffffff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x554c0000,0xbfffffaa,0x3ffea2aa,
    0x202fffff,0xfffffffb,0xff703fff,0x3fe200df,0x333224ff,0xcccccccc,
    0x1ccccccc,0x55555555,0x55555555,0x55555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffdc00,0xffffffff,0x3ffffee7,0xec8800df,
    0x00ceffff,0x800b332e,0x000cccca,0x3fffe000,0xffffffff,0xffffffff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x70000000,0xffffffff,
    0x7dcfffff,0x0002dfff,0x00000066,0x40000000,0xffffffff,0xffffffff,
    0xffffffff,0x00000000,0x00000000,0x00000000,0x00000000,0xffff7000,
    0xffffffff,0x0004d4cf,0x00000000,0x40000000,0xffffffff,0xffffffff,
    0xffffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x55553000,
    0x55555555,0x00000005,0x00000000,0x77740000,0xeeeeeeee,0xeeeeeeee,
    0x000eeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_44_latin1_x[224]={ 0,8,4,0,1,0,0,9,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,8,4,2,2,4,6,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,4,2,4,5,0,2,1,7,9,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_44_latin1_y[224]={ 32,1,1,3,-1,1,1,1,-1,-1,1,9,23,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,8,13,8,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,0,
0,1,1,9,9,9,9,9,9,9,3,10,10,10,10,10,10,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,32,9,-1,3,4,3,
-4,1,1,3,3,11,18,17,1,2,1,5,1,1,1,10,1,15,32,1,3,11,1,1,1,9,-4,-4,-4,-5,
-5,-6,3,3,-4,-4,-4,-5,-4,-4,-4,-5,3,-5,-4,-4,-4,-5,-5,10,-1,-4,-4,-4,-5,-4,3,1,1,1,
1,1,1,-2,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_44_latin1_w[224]={ 0,8,16,24,22,25,25,7,15,15,20,22,13,14,
10,21,23,20,20,20,24,19,21,20,20,21,8,13,19,20,18,15,24,25,21,21,23,18,18,22,21,18,17,22,
18,24,21,24,21,25,22,20,22,22,25,24,25,24,20,12,21,12,22,25,15,20,21,19,21,20,23,22,20,19,
18,21,19,22,20,22,21,21,20,18,20,20,24,24,24,24,18,17,6,17,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,22,24,24,
6,22,20,24,16,20,20,14,22,19,17,20,16,14,23,22,22,10,7,16,16,20,25,25,25,16,25,25,25,25,
25,25,25,21,21,22,21,21,21,22,21,21,24,23,24,24,24,24,24,20,24,23,23,23,23,24,21,22,22,23,
22,22,22,22,24,19,22,23,22,22,22,23,22,22,22,22,23,23,23,23,23,22,22,22,23,22,22,24,21,24,
 };
static unsigned short stb__consolas_bold_44_latin1_h[224]={ 0,32,12,29,39,32,32,12,43,43,20,22,17,6,
9,36,30,29,29,30,29,30,30,29,30,29,24,31,25,14,25,32,41,29,29,30,29,29,29,30,29,29,30,29,
29,29,29,30,29,38,29,30,29,30,29,29,29,29,29,41,36,41,15,5,10,24,32,24,32,24,31,33,31,32,
42,31,31,23,23,24,32,32,23,24,30,23,22,22,22,32,22,41,45,41,11,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,29,28,29,
45,37,10,30,22,19,11,6,22,9,16,27,18,18,10,31,37,10,7,18,22,19,31,31,31,32,36,36,36,37,
37,38,29,36,36,36,36,37,36,36,36,37,29,37,37,37,37,38,38,20,38,37,37,37,38,36,29,32,32,32,
32,32,32,35,24,30,32,32,32,32,31,31,31,31,32,31,32,32,32,32,32,24,32,32,32,32,32,41,40,41,
 };
static unsigned short stb__consolas_bold_44_latin1_s[224]={ 248,237,94,26,225,24,25,248,15,31,133,
85,18,237,243,122,151,73,94,130,117,47,88,137,1,72,246,239,207,73,188,
235,110,115,27,229,91,72,141,206,160,182,188,201,224,1,51,163,115,20,94,
119,49,140,1,230,204,179,158,79,170,66,50,94,201,44,166,24,189,65,74,
91,98,114,47,96,235,149,193,86,98,144,172,109,67,128,1,108,26,24,237,
92,1,135,111,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,
49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,49,248,247,1,
175,142,198,8,26,156,22,68,175,135,237,214,217,32,167,217,234,177,51,171,
243,248,1,51,196,187,213,1,238,144,74,48,98,221,145,23,26,192,214,24,
216,46,1,100,194,223,74,124,1,49,120,95,154,46,149,173,197,71,1,1,
73,120,96,204,1,227,68,227,110,158,134,143,181,141,27,73,164,51,118,49,
120,74,1,188,1,166,1,211,212,50,178,203,153, };
static unsigned short stb__consolas_bold_44_latin1_t[224]={ 22,125,499,391,1,199,232,1,1,1,476,
476,499,499,372,125,330,391,391,330,421,330,330,391,330,421,125,265,421,499,421,
199,1,361,421,298,361,361,361,298,361,361,298,361,361,391,391,298,391,47,421,
298,421,298,421,391,391,391,391,1,125,1,499,512,499,451,199,451,232,451,298,
162,298,162,1,265,232,451,451,451,232,232,451,451,330,451,476,476,476,265,451,
1,1,1,499,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,22,87,47,
330,421,330,1,87,499,330,476,476,499,499,451,499,499,421,476,476,499,298,47,
361,14,499,476,476,265,265,298,47,125,125,125,87,87,47,361,125,125,125,162,
47,162,162,125,47,330,87,87,87,87,47,47,476,47,87,87,87,47,125,361,
199,199,199,162,199,162,162,421,330,162,162,199,162,265,298,265,265,232,265,265,
232,232,232,199,451,232,265,232,199,199,1,1,1, };
static unsigned short stb__consolas_bold_44_latin1_a[224]={ 387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,387,
387,387,387,387,387,387,387,387, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_44_latin1(stb_fontchar font[STB_FONT_consolas_bold_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_44_latin1_s[i] + stb__consolas_bold_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_44_latin1_t[i] + stb__consolas_bold_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_44_latin1_x[i];
            font[i].y0 = stb__consolas_bold_44_latin1_y[i];
            font[i].x1 = stb__consolas_bold_44_latin1_x[i] + stb__consolas_bold_44_latin1_w[i];
            font[i].y1 = stb__consolas_bold_44_latin1_y[i] + stb__consolas_bold_44_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_44_latin1_s[i] + stb__consolas_bold_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_44_latin1_t[i] + stb__consolas_bold_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_44_latin1_x[i] + stb__consolas_bold_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_44_latin1_y[i] + stb__consolas_bold_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_44_latin1_LINE_SPACING
#endif

