// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT        567
#define STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_46_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_46_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_46_latin1_LINE_SPACING          30

static unsigned int stb__consolas_bold_46_latin1_pixels[]={
    0x361ddddb,0x8000eeee,0x00000c00,0x00000000,0x00002f2a,0xeee8000c,
    0xeeeeeeee,0xdddddd14,0x007ddddd,0x5db97510,0xddd70000,0xee889ddd,
    0xd8001abc,0x0003eeee,0x79990000,0x21ffffd0,0x000ffffe,0x2fc80fec,
    0xffd88000,0x03dff504,0x7fff4000,0xec98001f,0x002cdfff,0xffffffff,
    0x3fe2bfff,0xffffffff,0x3f22004f,0x002fffff,0x7ffffdc0,0xffff883f,
    0x3a001eff,0x0004ffff,0xfff88000,0x0ffffe85,0x001ffffd,0x320fffec,
    0x40002fff,0x4c4ffffc,0x0006ffff,0xdfffff70,0xffffc800,0x00dfffff,
    0x7ffffffc,0xff15ffff,0xffffffff,0x3fea009f,0x02ffffff,0x3fffee00,
    0xfff101ff,0x009fffff,0x013ffffa,0x3e600000,0xfffe84ff,0x1ffffd0f,
    0xffffb100,0x3fffee1f,0x3fe0002f,0x7fe47fff,0x80002fff,0x1ffffffd,
    0xffffe980,0xefffffff,0x3ffffe00,0x15ffffff,0xffffffff,0xf1009fff,
    0xffffffff,0x3fee0005,0x2200dfff,0xffffffff,0xfffe802f,0x0000004f,
    0xe83fffa8,0xffd0ffff,0xfe8801ff,0x3e63ffff,0x002fffff,0x8dfffff0,
    0x01fffffc,0xffffd800,0x7fcc00ff,0xffefffff,0x900effff,0xffb99999,
    0x3ffe2bff,0xccccccff,0xffffc802,0x000acdff,0x3fffffb8,0xffd97500,
    0xfd00dfff,0x00009fff,0x5fff7000,0x21ffffd0,0x400ffffe,0x83fffffd,
    0x2ffffff9,0xffffc800,0x37fffcc4,0xfffb8000,0x7fc406ff,0x6d41dfff,
    0x4004ffff,0xf15ffffa,0x4000dfff,0x0dfffff8,0x7ffdc000,0x2e0001ff,
    0x402fffff,0x004ffffe,0xffc80000,0xffffe81f,0x01ffffd0,0x27ffffd4,
    0xdfffff50,0x9ff90001,0x0037faa0,0xefffd800,0x7fffec01,0x3fffa204,
    0x7ffd4007,0xdffff15f,0x7ffcc000,0x980000ff,0x00009999,0x04ffffc8,
    0x027ffff4,0x7f400000,0xfffe80ff,0x1ffffd0f,0x3ffffe20,0xffffa804,
    0x0000004f,0x55300000,0x7ffff900,0x5ffff100,0x7fffd400,0x0dffff15,
    0x7fffd400,0x00000003,0x7fffcc00,0x7ffff405,0x40000004,0xfd07fff8,
    0x3ffa1fff,0xfffb00ff,0x7fe400df,0x00001fff,0x00000000,0x1bfffe20,
    0x05fffc80,0x57fffea0,0x006ffff8,0x0bffff20,0x00000000,0x0dffff10,
    0x04ffffe8,0x95000031,0xfffffffd,0x7ffff45b,0x01ffffd0,0x05fffff7,
    0x7ffffc40,0x00000006,0x2e000000,0x2001ffff,0x000ffffa,0x22bffff5,
    0x0006ffff,0x007ffff2,0x09ddddd3,0xeeeee880,0x7ffff803,0x1fffff40,
    0x9dfffd95,0x7ff4c001,0xffffffff,0x3ffffa4f,0x81ffffd0,0x05fffff8,
    0xfffffa80,0xeeeee984,0x77744004,0x3bbae3ee,0xeeeeeeee,0xff04eeee,
    0xf88009ff,0xf5003fff,0x3fe2bfff,0x360006ff,0xf801ffff,0x000fffff,
    0x0bffffee,0x01ffffe0,0x327ffffd,0xffffffff,0x7fe4400e,0xffffffff,
    0x3ffa4fff,0xffffd0ff,0xfffffb81,0xfffd0000,0x3fffe0ff,0x3ee000ff,
    0x3f22ffff,0xffffffff,0x86ffffff,0x881ffffa,0x3f626209,0xff5003ff,
    0x3ffe2bff,0x3f60006f,0xfc801fff,0x2003ffff,0x006ffffe,0xe80fffff,
    0xffdbffff,0xffffffff,0x3fff600e,0xffffffff,0x3ffa4fff,0xffffd0ff,
    0x4ffffe81,0x3ffe6000,0xfffc82ff,0x3fa003ff,0x7fe46fff,0xffffffff,
    0xe86fffff,0x7f5c6fff,0xc9ffeeff,0xf5004fff,0x3fe2bfff,0x360006ff,
    0x8801ffff,0x006fffff,0x07fffff3,0x01ffffe0,0xfffffffd,0xffffffff,
    0x3fea0bff,0xfddfffff,0x3a4ffdff,0xffd0ffff,0x7ffcc1ff,0x740001ff,
    0xf885ffff,0x3006ffff,0xc87fffff,0xffffffff,0x6fffffff,0xb1ffffc4,
    0xffffffff,0x0bfff71f,0x57fffea0,0x006ffff8,0x07ffff60,0x7ffffec0,
    0xffffc801,0xffff000f,0xffffe80f,0xebcfffff,0x41ffffff,0x4fffffe8,
    0x1547fff6,0x3a1ffffd,0x3f20ffff,0x80006fff,0x80fffffb,0x01fffffd,
    0x0fffffc8,0x5555554c,0xfffeaaaa,0x7fffd46f,0xffffff70,0x3feeffff,
    0xfff5006f,0x3fffe2bf,0x3ffa0006,0xff5000ff,0xff009fff,0x7400bfff,
    0x3a00ffff,0x2fffffff,0x4fffffc8,0x27ffffe4,0x7403fffa,0xffd0ffff,
    0x7fffc1ff,0xf880003f,0xfa83ffff,0xf804ffff,0x0005ffff,0x237fffec,
    0xff16fffc,0xffffdfff,0x01bffeaf,0x8affffd4,0x0006ffff,0x001ffffe,
    0x80ffffff,0x02fffffa,0x0bffff60,0xffffffe8,0x3ffffe02,0x3ffffa0f,
    0x03fffc0f,0x3a1ffffd,0xff10ffff,0x00001fff,0x413ffffa,0x407fffff,
    0x02fffffa,0x7fffec00,0xba7fff46,0xffb3ffff,0x1fffeadf,0xaffffd40,
    0x006ffff8,0x0dffff70,0xfffffc80,0x3ffff601,0x7ffdc007,0x3fffa06f,
    0x7fe403ff,0x3ffe1fff,0x7ffc44ff,0x3ffffa06,0x21ffffd0,0x007ffff9,
    0x3ffff200,0xfffff905,0x7fffec03,0xffd80007,0x3ffe26ff,0x4dfffd2f,
    0xff35fffe,0x3fea00ff,0xffff15ff,0x7e4c400d,0x4003ffff,0x04fffff8,
    0x09fffff1,0xfffff880,0x7fff409e,0xfffa805f,0xffff12ff,0x4fff987f,
    0x43bbbb60,0xf50ffffe,0x0000dfff,0x837fffdc,0x04fffff8,0x09fffff1,
    0xffffb000,0x4ffffccd,0x3e3ffff8,0xfff54fff,0x3ffea00f,0xdffff15f,
    0xfffff900,0x2000bfff,0x507ffffd,0x003fffff,0xffffff70,0x3fffadff,
    0xfff9804f,0xffff33ff,0x3fffa85f,0xffffd000,0x17fffee1,0xfffa8000,
    0x3fff607f,0xffff507f,0xfb00003f,0x7fd4dfff,0x3ffff37f,0xfaa7fffc,
    0xff5006ff,0x3ffe2bff,0xfffc806f,0x0003efff,0x0bffffea,0x01bffff6,
    0xffffda80,0xffffd6ff,0xffff1009,0x3fffea9f,0x17ffdc2f,0xffffe800,
    0x09ffff90,0x7ffcc000,0xfff500ff,0xfffb05ff,0x360000df,0x3ee6ffff,
    0xffff56ff,0x4ffffe21,0x5006fffa,0x3e2bffff,0xfc806fff,0x01cfffff,
    0x7ffffc00,0x7ffffc45,0x3ae20002,0xfd6fffff,0xf1009fff,0x3e69ffff,
    0x7e44ffff,0xfd0001ff,0x3ff61fff,0x200003ff,0x01fffff8,0x117ffffe,
    0x005fffff,0x3ffff600,0x5dbffee6,0x3fe27fff,0xbfff52ff,0x3fffea00,
    0x0dffff15,0xffffff90,0x640007ff,0x2e0fffff,0x0007ffff,0x3fffffe6,
    0xffffd6ff,0xffff3009,0x3fffe27f,0x07ffec6f,0xffffe800,0x09ffffd0,
    0x7ffc4000,0x3ff201ff,0x3fee0fff,0x200007ff,0x326ffffd,0xfff95fff,
    0x8ffffccf,0x5005fffb,0x3e2bffff,0x98806fff,0xfffffeba,0xfff30001,
    0x7fff47ff,0xff10004f,0x1357ffff,0x013ffffa,0x87ffffea,0x747fffff,
    0x3a0007ff,0xffb0ffff,0x40000bff,0x00fffff9,0x8fffffe6,0x004ffffe,
    0x3ffff600,0x657fff26,0x3fea7fff,0x9fff91ff,0x3fffea00,0x0dffff15,
    0x3ffff600,0x3ffa0005,0xffff36ff,0x3ee0003f,0xfd00efff,0xf7009fff,
    0x7f41ffff,0x3fe5ffff,0x3fa0006f,0xfff90fff,0x4c0000bf,0xe807ffff,
    0xff36ffff,0x00003fff,0xb37fffec,0x3ff29fff,0x9fffee6f,0x5002fffe,
    0x3e2bffff,0x10006fff,0x000fffff,0x47ffffd4,0x006ffffc,0x0bffff60,
    0x04ffffe8,0x47ffffe8,0xeffffffa,0x14c5fff9,0x0ffffe80,0x00dffff7,
    0x7fffd400,0xffffa806,0x6ffffc8f,0x7fec0000,0x3fff66ff,0x64dfff94,
    0x3ffe7fff,0xfff5000f,0x3fffe2bf,0x3ffa0006,0x3e0000ff,0xfffbffff,
    0x3a0003ff,0x3a00ffff,0x5404ffff,0xe85fffff,0xffffffff,0x5fecbdff,
    0x1ffffd00,0x01ffffea,0xffffb800,0xfffff005,0x07fffff7,0xfffd8000,
    0x57fff26f,0xff17fffb,0x3ffeafff,0x3ffea006,0xdffff15f,0x7ffec000,
    0x3f20001f,0xffffffff,0x3fa0000f,0x7ff407ff,0x3fe604ff,0xfa81ffff,
    0xffffffff,0x25ffffff,0xfd0ffffe,0x3fe61fff,0x00002fff,0x009ffffb,
    0x3ffffff2,0x0000ffff,0x37fffec0,0x3eedfff9,0xfffdafff,0x4fffeaff,
    0x3fffea00,0x0dffff15,0x7fffec00,0x3fe60001,0x4fffffff,0x7fffc000,
    0x7ffff407,0x7ffdcc1d,0x3ea03fff,0xffffffff,0x3a5fffff,0xffd0ffff,
    0x7fffc1ff,0xf880004f,0x3002ffff,0xffffffff,0xb000009f,0x7dcdffff,
    0xffff16ff,0xffffffff,0x4003ffff,0xf15ffffa,0x4000dfff,0x001ffffd,
    0x7fffff40,0x40001fff,0x7407ffff,0xffffffff,0xffffffff,0xfffe9806,
    0xffffffff,0x3ffffa5f,0x41ffffd0,0x007ffffc,0x7ffffb80,0x7ffff400,
    0x0001ffff,0x6ffffd80,0xfd9fffea,0xffdfffff,0x003fffff,0x8affffd4,
    0x0006ffff,0x007ffff6,0xfffff700,0xf0000dff,0xfe80ffff,0xffffffff,
    0x1effffff,0x3fff2a00,0x0befffff,0x743ffffa,0x3e60ffff,0x0002ffff,
    0x027fffec,0x3ffffee0,0x000006ff,0x4cdffffb,0xff30ffff,0x3ff29fff,
    0xa8004fff,0xff15ffff,0x6c000dff,0x0001ffff,0x7fffffc4,0xff80002f,
    0x7ff407ff,0xffffffff,0x0003ffff,0x00cffffc,0x3a1ffffd,0x7f40ffff,
    0x20005fff,0x00fffff8,0x7ffffc40,0x000002ff,0x44dffffb,0x3662ffff,
    0x3bae22de,0xff50001b,0x3ffe2bff,0x3f60006f,0x80001fff,0x06fffffc,
    0xfffff000,0xfffffe80,0xceffffff,0x7fc40000,0xfffe806f,0x1ffffd0f,
    0x1fffffc8,0xffffb000,0x3ff2000b,0x00006fff,0x97ffff60,0x005ffff8,
    0xffa80000,0xffff15ff,0x7fec000d,0xd80001ff,0x002fffff,0x0fffff00,
    0x8cffffe8,0x00000aaa,0x4027ffcc,0xfd0ffffe,0xff881fff,0x98006fff,
    0x002fffff,0x5fffffb0,0x7f400000,0x7fec4fff,0x0000007f,0x15ffffa8,
    0x000dffff,0x017fffe4,0x3fffe200,0x3e00006f,0x7f406fff,0x00004fff,
    0x03fffa80,0xd0ffffe8,0xf701ffff,0x8007ffff,0x006ffffe,0xdfffff10,
    0xff800000,0x7fd43fff,0x000002ff,0xaffffd40,0x006ffff8,0x0ffffee0,
    0xffffd000,0x2600007f,0x7405ffff,0x0004ffff,0x2fffb800,0x0ffffe80,
    0x201ffffd,0x00fffffe,0x3fffff70,0x3fffa000,0x000003ff,0x07ffffea,
    0x003bfffe,0xffa80000,0xffff15ff,0x7fd4000d,0x360006ff,0x005fffff,
    0x3fffee00,0x7ffff404,0xc8000004,0xfe801fff,0xfffd0fff,0x3ffe601f,
    0x7cc00eff,0x0003ffff,0x0bfffffb,0xd1005300,0x901fffff,0x001dffff,
    0xfa8000a6,0xfff15fff,0x7c4000df,0x4c04ffff,0xfffeb999,0x00000eff,
    0x07fffff3,0x04ffffe8,0xffd80000,0xfffe800f,0x1ffffd0f,0x7ffffdc0,
    0x3fffe605,0x9999805f,0xefffffeb,0xcffa8000,0x3ffea20a,0xff104fff,
    0x5403bfff,0xaaa803fd,0xffffcaaa,0x5fffff15,0x00355555,0x7dfffffb,
    0x7ffec155,0x1fffffff,0x36eaa000,0x00ffffff,0x027ffff4,0x7ff40000,
    0xffffd007,0x03ffffa1,0xbfffffd0,0xffffff30,0xffffb001,0x03ffffff,
    0x3fffea00,0xffffffff,0x7fdc06ff,0xccdfffff,0x803ffffd,0xffffffff,
    0xfff15fff,0xffffffff,0xffff1009,0x6c5fffff,0xffffffff,0x3e20002f,
    0xffffffff,0xffffe803,0xf8000004,0xffd006ff,0x3fffa1ff,0x7ff4400f,
    0x3fe25fff,0xb002ffff,0xffffffff,0x7d40005f,0xffffffff,0x801fffff,
    0xfffffffa,0x3fffffff,0xffffff80,0xf15fffff,0xffffffff,0x3ee009ff,
    0x2fffffff,0x3ffffff6,0x440000df,0xffffffff,0xffffd005,0x88000009,
    0xfd003ccc,0x3ffa1fff,0xfe8800ff,0xff90efff,0x6c003fff,0xdfffffff,
    0x7fd40000,0xffffffff,0x2a001dff,0xffffffff,0x802effff,0xffffffff,
    0xfff15fff,0xffffffff,0x7ff4c009,0x3f62ffff,0x002effff,0xfffff100,
    0x7f4005ff,0x00004fff,0xffd00000,0x3fffa1ff,0xffd1000f,0x1fffc81d,
    0x7fffec00,0x100002ef,0xffffffd7,0x20003bff,0xfffffdb9,0x3e001dff,
    0xffffffff,0xffff15ff,0x9fffffff,0xfd975000,0x0555445f,0x7fc40000,
    0x0000acce,0x00000000,0x3ffffa00,0x01ffffd0,0xc8077440,0xaa88001f,
    0x4000000a,0x009aa998,0x9aa88000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0xfffd0fff,0x0088001f,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe87ffff4,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x21ffffd0,0x000ffffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x43333100,
    0x00019998,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3776c000,0x00000000,
    0x00000000,0x19998800,0x00000000,0x7bb95100,0x40000015,0x00000008,
    0x99995000,0x00000599,0x2203bfb1,0x40001dfd,0x00006fff,0x05bfffb1,
    0x3fae6000,0x001702df,0x7ffe4000,0x7f5cc006,0x001702df,0x7ffffdc0,
    0x002fffff,0x7ff6dc40,0x00cdffff,0x5bffd730,0x7e4002e0,0x002fffff,
    0x7ffff400,0x0ffffe81,0xbfff3000,0xfff30000,0x0007ffff,0xffffff98,
    0x03bee1ef,0x7ff40000,0x3fe6003f,0x21efffff,0x44000efb,0xfffffffd,
    0x004fffff,0xfffffc88,0x2fffffff,0xfffff980,0x3bee1eff,0xffff3000,
    0x200005ff,0x44fffff9,0x03fffffa,0x09fff500,0xbfffd000,0x0003fffd,
    0x3fffffa2,0xfffeffff,0x9800006f,0x1000ffff,0xfffffffd,0xdffffdff,
    0x7fff4c00,0xffffffff,0x1000efff,0xffffffff,0x05ffffff,0xfffffe88,
    0xfffeffff,0x3f62006f,0x0002ffff,0x5fffffa8,0x27ffffd4,0x7ffe4400,
    0x7fcc0003,0x00fff60f,0x77fffe40,0xffffffff,0x800002ff,0x2006fffb,
    0xffeffffc,0xffffffff,0x3fffe002,0xffffffff,0x805fffff,0xffffffe8,
    0xffffffff,0x7fffe402,0xfffffffe,0xb8002fff,0x002fffff,0x7ffffc40,
    0x7ffffc42,0xffdc9801,0xdeffffff,0x37fd4003,0x80013fee,0xff910dfd,
    0x007fffff,0xdeeca980,0x4003fffe,0xff910dfd,0x007fffff,0x7fffffdc,
    0xffeba9bd,0x5c01ffff,0x1befffff,0x00bb2a66,0x7e4437f6,0x03ffffff,
    0x33332600,0x74c0000c,0xfff503ff,0xfffd8807,0xffffffff,0x7cc007ff,
    0x0fffa1ff,0x32607000,0x0002cefe,0x3fffffee,0x001fffff,0xdfd93038,
    0x7fc40059,0xd102ffff,0x80bfffff,0x01fffffd,0xc981c000,0x0002cefe,
    0x04000000,0xffb80180,0xffffffff,0x007fffff,0xffefffe8,0x000000ff,
    0xfd880000,0xffffffff,0x00005fff,0x7fe40000,0x74402fff,0x201fffff,
    0x007fffff,0x00000000,0x00000000,0x3fe60000,0xffffffff,0x07ffffff,
    0xfffff880,0x000002ff,0xff980000,0xffffffff,0x00efffff,0x88000000,
    0x006fffff,0x09fffff7,0x17fffff4,0x00000000,0x3b2a6000,0x54000abd,
    0x1001aaaa,0xf1155555,0x9bffffff,0xfd97dfff,0x3ae2000f,0x00000cef,
    0xabdeca98,0xfff88000,0xffffffff,0x05ffffff,0xaaaaa880,0x7d4001aa,
    0x1003ffff,0x40dfffff,0x2ffffffd,0x2aaaa000,0x553002aa,0xff700155,
    0xffffffff,0x3fffe005,0xfff1003f,0xffff75ff,0x3ffea1bf,0x44000c43,
    0x1aaaaaaa,0xfff70000,0x5fffffff,0x7fffe400,0xfff71bef,0x005fffff,
    0xffffffb8,0x7fe4005f,0x3a000fff,0x2607ffff,0xdfffffff,0xfffe8000,
    0xfc801fff,0x36202fff,0xffffffff,0xf804ffff,0x1003ffff,0xf95fffff,
    0x7dc3ffff,0x700002ff,0xbfffffff,0xffd88000,0xffffffff,0xff8804ff,
    0x7ec0efff,0x6fffffff,0x7fffec00,0x74007fff,0x4007ffff,0x207ffffd,
    0xfffffffa,0x7f4003ff,0x805fffff,0x302ffffc,0xffffffff,0xbfffffff,
    0x7ffffc01,0xffff1003,0xfffffd5f,0x001fffd8,0xfffffb00,0x4c000fff,
    0xffffffff,0xdfffffff,0x3ffff200,0x7fffc40f,0x01fffffe,0x3fffffe0,
    0x3e002fff,0x4006ffff,0x80fffffc,0xfffffffb,0x002effff,0xfffffffd,
    0xffffc803,0xfffff882,0xffffffff,0x3e05ffff,0x1003ffff,0xfd5fffff,
    0x7f45ffff,0xf00000ff,0xffffffff,0xfff10005,0xffffffff,0x0bffffff,
    0x13ffffe2,0x3ebfffea,0x5004ffff,0xffffffff,0x7ffc009f,0x7dc006ff,
    0x7d41ffff,0xffffffff,0x00dfffff,0x7ffffff4,0x7ffe404f,0xffffc82f,
    0xeca9bdff,0x01ffffff,0x007fffff,0x2bffffe2,0x2ffffffc,0x0000ffff,
    0x3fffffea,0xc8004fff,0xbdffffff,0xffffeca9,0xfffa81ff,0xfffd82ff,
    0x0dfffff5,0x3fffff20,0x1007ffff,0x00bfffff,0x2fffffb8,0x3fffffe2,
    0xffffffeb,0x3fa00eff,0x0fffffff,0x0bffff20,0x3ffffff1,0x3ffffa20,
    0xfffff05f,0x3ffe2007,0xffffaaff,0x6fffefff,0xfff90000,0x0fffffff,
    0xfffff880,0xfffd101f,0xfff70bff,0x3fffe0ff,0x1fffff92,0xbfffff00,
    0x003fffff,0x0bfffff1,0xfffffa80,0x3ffffee2,0x3ffffee3,0xfd01ffff,
    0x7fffffff,0x17fffe40,0x0bfffff2,0xfffffd10,0x7fffff01,0x3fffe200,
    0xffffe8af,0x05ffffff,0xfffff000,0x03fffffb,0x7ffffe40,0x7fff4402,
    0x7ffe40ff,0xffffa85f,0x3fffff70,0xfffff980,0x03fffff9,0x5fffff88,
    0x7fffdc00,0x3ffff61f,0xffffd887,0xfe80efff,0x7fffffff,0x8bffff20,
    0x06fffff8,0x9fffff70,0x07fffff0,0x3ffffe20,0xffffff12,0x39ffffff,
    0x3ffe6000,0xfffff9ff,0xffff1003,0x3fee00df,0x7fec4fff,0xfffc85ff,
    0x3ffffea5,0x7fffdc01,0x0dffffd5,0x1bffffe0,0xfffff700,0x3fffff41,
    0xffffff50,0xffffd09f,0x207fffff,0x2e2ffffc,0x003fffff,0x0dfffff3,
    0x007fffff,0x8bffffe2,0xffffffe9,0x0dffffff,0x7fffdc00,0x0dffffd5,
    0x3ffffee0,0xffff3003,0xffffe8df,0x23ffff84,0x02fffffa,0xc9fffff4,
    0x800fffff,0x006ffffe,0x23ffffe4,0x01fffffe,0x3fffffe6,0x7ffff40f,
    0x906ffffc,0x7e45ffff,0x2000ffff,0xf87ffffe,0x1003ffff,0x905fffff,
    0xffffffff,0x007fffff,0xc9fffff4,0x800fffff,0x00fffffc,0x1fffffa0,
    0x987fffff,0x3e60ffff,0x2202ffff,0xf50fffff,0xd005ffff,0x800fffff,
    0x6c7ffffd,0x405fffff,0x1ffffff8,0x7cfffff4,0xfc82ffff,0x3ffa2fff,
    0x7ec007ff,0xfff87fff,0xff1003ff,0x2e205fff,0xfffffffe,0x8802ffff,
    0xf50fffff,0xd005ffff,0x800fffff,0x227ffffd,0x643fffff,0x7fcc6fff,
    0x3ea02fff,0x7ffc6fff,0xffd805ff,0x3e001fff,0x7dc6ffff,0x00dfffff,
    0x0ffffff2,0xf91ffffd,0xff90dfff,0x7fffc5ff,0x7fe4006f,0x7ffc0fff,
    0xff1003ff,0xff005fff,0xffffffff,0xffa803ff,0x7fffc6ff,0xffff805f,
    0x7fe4006f,0xfff10fff,0xfffe89ff,0x7ffffcc3,0x3ffff601,0x3ffffec4,
    0x7ffffdc0,0xffff3004,0xfffe889f,0xf501efff,0xfe87ffff,0xfff98fff,
    0x7ffe41ff,0x3ffffe2f,0x7ffdc006,0x7fffc1ff,0xfff1003f,0xff8805ff,
    0xfffffdef,0x7fec04ff,0x7ffec4ff,0xffff807f,0x7fdc006f,0x3ffe1fff,
    0x3ffe64ff,0x7fffd40f,0x3fffe00f,0x7fffdc2f,0x7ffc401f,0xff9006ff,
    0xff501fff,0x1bffffff,0x2fffffb8,0xd87ffff4,0x7e45ffff,0xfff12fff,
    0xfb800bff,0x7fc2ffff,0xf1003fff,0xa805ffff,0xffd34fff,0xff80dfff,
    0x7fdc2fff,0x3e201fff,0x4005ffff,0x22fffffb,0x2e5fffff,0xffa86fff,
    0x3fe607ff,0x7fcc0fff,0xfd804fff,0x5404ffff,0x205fffff,0xfffffffb,
    0xfffd13ff,0xfffe81ff,0xfffff50f,0x97fffe41,0x05fffff8,0x7ffffd40,
    0x1fffffc3,0xfffff880,0x1fffdc02,0x1ffffff3,0x3ffffe60,0x7ffffcc0,
    0x3fffe204,0x7fd4005f,0x3ffa3fff,0x3fffa5ff,0x6ffffb84,0x17ffff20,
    0x037ffffc,0x7fffffd4,0xfffff303,0xfffa803f,0xdeffffff,0xe84fffff,
    0x3fa0ffff,0x3ff24fff,0x3fffe2ff,0x7fdc005f,0x7ffc2fff,0xff1003ff,
    0xfc805fff,0x7fff42ff,0x3fff207f,0xfffff05f,0xfffff80d,0x7ffdc005,
    0x3fff62ff,0x3ffff17f,0x0bffffb0,0x81fffff4,0x00fffffc,0xfffffff8,
    0xfffedbdf,0xd3006fff,0xffffffff,0x01dfffff,0x5c1ffffd,0xf90fffff,
    0x7ffc5fff,0x7dc006ff,0x7fc2ffff,0xf1003fff,0xd805ffff,0x7ff40fff,
    0x3ffa06ff,0xfff903ff,0x7ffc01ff,0x7dc006ff,0x3ee2ffff,0xffbaffff,
    0xffff887f,0xffff104f,0x3ffea03f,0xff9803ff,0xffffffff,0x0effffff,
    0x7fffdc00,0xffffffff,0x1ffffd01,0x93fffff8,0x7f45ffff,0x64006fff,
    0x7c1fffff,0x1003ffff,0x035fffff,0x3ea3fff4,0xf104ffff,0x2a03ffff,
    0x203fffff,0x006ffffe,0x0fffffe4,0xbbfffff1,0xff709fff,0x3ee03fff,
    0x3e207fff,0x3005ffff,0xffffffff,0x1dffffff,0x3ff22000,0x0effffff,
    0x03ffffa0,0x32fffff9,0x3f62ffff,0x6c007fff,0x7c0fffff,0x3003ffff,
    0xff3fffff,0xb7ffc359,0xffffffc8,0xfffff702,0x7ffffc40,0x3ffff605,
    0x7ffec007,0x7fff40ff,0x42ffffff,0x05fffff8,0x2bbffff6,0xffaaaaaa,
    0x2a007fff,0xffffffff,0x000dffff,0xffffe980,0x7ff406ff,0x7ffc40ff,
    0xffffcaff,0x3fffff22,0x3fffe001,0xfffff86f,0xffff3003,0xffffff1f,
    0xffdffffd,0x40bfffff,0xaaeffffd,0xfffaaaaa,0x3ff207ff,0x3e001fff,
    0xfb86ffff,0x7fffffff,0x7fffff44,0x3ffffe01,0xffffffff,0x02ffffff,
    0x7fffed40,0x0001cfff,0xfffffc80,0x3fffa01f,0xffffd80f,0x22ffffce,
    0x04fffffb,0x9fffff30,0x09ffffd0,0x5ffffea0,0xffffffff,0xffffffff,
    0x7ffc06ff,0xffffffff,0xffffffff,0xfffff702,0x3ffe6009,0xfffd04ff,
    0xb73dffff,0x0bffffff,0x7fffffd4,0xffffffff,0x004fffff,0x3fffff30,
    0xfd800000,0x3a03ffff,0xf980ffff,0xfffeffff,0x3fffe22f,0xfff9006f,
    0xfffb03ff,0x3fee00bf,0xfffff6ff,0xffffffff,0x401bffff,0xfffffffa,
    0xffffffff,0xf104ffff,0x200dffff,0x01fffffc,0xfffffff3,0xffffffff,
    0x7fe401ff,0xffffffff,0xffffffff,0x3fe0006f,0x00003fff,0x7ffffd40,
    0x3ffffa02,0xfffffb00,0xfd85ffff,0x5404ffff,0x905fffff,0x003fffff,
    0x3ebfffff,0xffffffff,0x1dffffff,0xfffffc80,0xffffffff,0x06ffffff,
    0x13fffff6,0xbfffff50,0xfffffa80,0xffffffff,0x7ff400ef,0xffffffff,
    0xffffffff,0xfb0001ff,0x2e01ffff,0xfb000440,0x7401ffff,0xf500ffff,
    0xffffffff,0xfffff985,0xffff303f,0x3fea03ff,0x3200dfff,0x222fffff,
    0xffffecba,0x2000acde,0xfffffffe,0xffffffff,0x301fffff,0x07ffffff,
    0x3fffffe6,0xffff9801,0xffffffff,0xffff9804,0x9999999f,0xffffb999,
    0xff90003f,0x7337ffff,0xbefb8bfd,0x7fe54419,0x7f407fff,0x3fa00fff,
    0x2fffffff,0xffffffe8,0xfffedbdf,0x7f405fff,0x89beffff,0xfffffda9,
    0x07fff805,0x3fffe600,0x9999999f,0xffffb999,0x3fffa03f,0xedbdffff,
    0x05ffffff,0x3fffffe0,0x002dffff,0x00dffff7,0x2fffffc4,0xffff8800,
    0xffffffff,0x3fffee2f,0xffffffff,0x7403ffff,0x2e00ffff,0xffffffff,
    0xfffff982,0xffffffff,0x5400ffff,0xffffffff,0xffffffff,0x7ffc400f,
    0x3fee0006,0x3e2006ff,0x2605ffff,0xffffffff,0xffffffff,0xfff5000f,
    0x0015755f,0x09ffffb0,0xfffffe80,0xfff50000,0xffffffff,0x3ffee1ff,
    0xffffffff,0xe804ffff,0x7c00ffff,0x2fffffff,0xffffff30,0xffffffff,
    0x3ff6003d,0xffffffff,0x803fffff,0x0005fff9,0x013ffff6,0x1fffffd0,
    0x7ffffcc0,0xffffffff,0x3f2001ef,0x880005ff,0x001fffff,0x17ffffe4,
    0xffff7000,0x9fffffff,0x3ffffee1,0xffffffff,0xfffd003f,0xfffc801f,
    0x2202ffff,0xfffffffe,0x8004ffff,0xfffffffb,0x01efffff,0x009fff50,
    0x3ffffe20,0x7ffe4001,0x7f4402ff,0xffffffff,0xff8004ff,0xa80002ff,
    0x8007ffff,0x04fffffa,0x7ffe4400,0x4c1dffff,0xffffffdc,0x4002efff,
    0x400ffffe,0xfffffff8,0xfffdb802,0x002dffff,0x3ffff620,0x003effff,
    0x001fffdc,0x07ffffa8,0xfffffa80,0xfffb7004,0x005bffff,0x01ffff30,
    0xffff9000,0x3ffe000b,0x200007ff,0x4001aaa9,0x00099999,0x03ffffa0,
    0x3fffff60,0x5d44002f,0x8800000a,0x0001aba9,0x0007332a,0x02ffffe4,
    0x7fffff80,0x0aba8800,0x7775c000,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,
    0x00019999,0x0ccccb80,0x99995000,0x00000599,0x0066665c,0xcc980000,
    0x0003cccc,0x0066665c,0x99930000,0x22007999,0xfb101dfd,0x332a003b,
    0x0002cccc,0xccc98000,0xc8003ccc,0x00efffff,0xffff9000,0x320001df,
    0x02ffffff,0xfffc8000,0x00000eff,0x7ffffc40,0x320000df,0x00efffff,
    0xfff88000,0xd000dfff,0xfd03ffff,0x32001fff,0x02ffffff,0x3e200000,
    0x00dfffff,0x7ffffec0,0x40001fff,0xfffffffd,0xff30001f,0x0005ffff,
    0x7ffffec0,0x00001fff,0xffffff10,0xffd80007,0x01ffffff,0x3ffe2000,
    0x26003fff,0x544fffff,0x003fffff,0x3fffffe6,0x88000002,0x03ffffff,
    0xcffffd80,0x001fffff,0xf9ffffb0,0x0003ffff,0x3fffff62,0xffd80002,
    0xfffffcff,0x7c400001,0x001effff,0x67fffec0,0x001fffff,0xfffff880,
    0x7fd4001e,0x7fd45fff,0x44004fff,0x02fffffd,0x3fe20000,0x4001efff,
    0x11ffffd8,0x003ffffd,0x8ffffec4,0x01ffffe8,0x3fffee00,0xfb10002f,
    0x3fa23fff,0x00001fff,0x1bfffff1,0x7fec4000,0xfffd11ff,0x7c40003f,
    0x000dffff,0x2fffff88,0x0fffffc4,0xffffb800,0x8800002f,0x00dfffff,
    0x0cccca80,0x00ccccb8,0x01999950,0x00199997,0x666664c0,0xccca8000,
    0xccccb80c,0xccb80000,0xa80002cc,0xcb80cccc,0x70000ccc,0x00059999,
    0x503ffe98,0x80007fff,0x00ccccc9,0x6665c000,0x0000002c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00c00200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55500000,0x2a200355,0x2000aaaa,0x0abdeca9,
    0x55555000,0x55555555,0x20055555,0xaaaaaaa8,0x2a200001,0x01aaaaaa,
    0x2aaaaa00,0xaaaaaaaa,0x4002aaaa,0x0abdeca9,0x32a60000,0x4000abde,
    0x001aaaaa,0x81555551,0x001aaaaa,0x81555551,0x003fffff,0x05fffff1,
    0xffffff70,0x8005ffff,0xfffffffe,0xffffffff,0xfff7006f,0x000bffff,
    0x7ffffdc0,0x3a0005ff,0xffffffff,0xffffffff,0xffff7006,0x05ffffff,
    0x7fffdc00,0x02ffffff,0x07fffff0,0x3ffffe20,0x1fffffc2,0xfffff880,
    0x1fffffc2,0xfffff880,0x3fff6202,0xffffffff,0x3ffa004f,0xffffffff,
    0x06ffffff,0xffffffb0,0x6c0000ff,0x7fffffff,0x3fffa000,0xffffffff,
    0x406fffff,0xffffffd8,0x04ffffff,0x7fffec40,0xffffffff,0xfffff804,
    0xffff1003,0xfffff85f,0xffff1003,0xfffff85f,0xffff1003,0x3ffe605f,
    0xffffffff,0x800dffff,0xfffffffe,0xffffffff,0xffff006f,0x005fffff,
    0x3ffffe00,0x0002ffff,0xfffffffd,0xffffffff,0x7ffcc0df,0xffffffff,
    0x800dffff,0xfffffff9,0xffffffff,0x3fffe00d,0xfff1003f,0xffff85ff,
    0xfff1003f,0xffff85ff,0xfff1003f,0xfff105ff,0xffffffff,0x0bffffff,
    0xffffffd0,0xffffffff,0xff500dff,0x9fffffff,0xfff50000,0x09ffffff,
    0x3ffffa00,0xffffffff,0xf106ffff,0xffffffff,0xffffffff,0xffff880b,
    0xffffffff,0x205fffff,0x003fffff,0x85fffff1,0x003fffff,0x85fffff1,
    0x003fffff,0x05fffff1,0xbffffff9,0xfffd9537,0xfe803fff,0xaaaaefff,
    0x2aaaaaaa,0xfffffc80,0x0007ffff,0xffffffc8,0xd0007fff,0x555dffff,
    0x55555555,0x3ffff205,0xeca9bdff,0x01ffffff,0x3ffffff2,0xffeca9bd,
    0xff01ffff,0x22007fff,0x7c2fffff,0x1003ffff,0xf85fffff,0x1003ffff,
    0x885fffff,0x01ffffff,0xbfffffd1,0x5ffffe80,0xfff80000,0xfffffdff,
    0x7ffc0001,0xfffffdff,0xfffe8001,0xf880005f,0x101fffff,0x0bfffffd,
    0x3fffffe2,0xffffd101,0x3fffe0bf,0xfff1003f,0xffff85ff,0xfff1003f,
    0xffff85ff,0xfff1003f,0xfffc85ff,0x7f4402ff,0x3a00ffff,0x0005ffff,
    0x7ffffcc0,0x03fffff9,0x3fffe600,0x3fffff9f,0xffffe800,0xffc80005,
    0x74402fff,0xc80fffff,0x402fffff,0x0fffffe8,0x03fffff8,0x5fffff10,
    0x03fffff8,0x5fffff10,0x03fffff8,0x5fffff10,0x37ffffc4,0xfffffb80,
    0x3ffffa04,0x7dc00005,0xfffd5fff,0x7dc000df,0xfffd5fff,0xffd000df,
    0x88000bff,0x006fffff,0x89fffff7,0x06fffff8,0x9fffff70,0x07fffff0,
    0x3ffffe20,0x1fffffc2,0xfffff880,0x1fffffc2,0xfffff880,0x3ffffee2,
    0xffff3003,0x7fff40df,0x7400005f,0xff93ffff,0x20001fff,0xf93ffffe,
    0x8001ffff,0x005ffffe,0x7ffffdc0,0xffff3003,0xffffb8df,0xfff3003f,
    0xffff0dff,0x3fe2007f,0x7ffc2fff,0xff1003ff,0xfff85fff,0xff1003ff,
    0x7fe45fff,0x3a000fff,0x3a07ffff,0x0005ffff,0x3ffffe20,0x5fffff50,
    0xffff1000,0x3fffea1f,0x7ff4002f,0x640005ff,0x000fffff,0x91fffffa,
    0x001fffff,0x43fffff4,0x003fffff,0x85fffff1,0x003fffff,0x85fffff1,
    0x003fffff,0x45fffff1,0x007ffffe,0x03ffffec,0x00bffffd,0x7fffd400,
    0x2fffffc6,0x7fffd400,0x2fffffc6,0x3ffffa00,0x7ff40005,0x7ec007ff,
    0x7ff47fff,0x7ec007ff,0xfff87fff,0xff1003ff,0xfff85fff,0xff1003ff,
    0xfff85fff,0xff1003ff,0x7ffc5fff,0x7e4006ff,0xfd00ffff,0x5555dfff,
    0x15555555,0x27fffec0,0x01fffff6,0x13ffff60,0x00fffffb,0xaeffffe8,
    0xaaaaaaaa,0x7fffc0aa,0x7fe4006f,0x3ffe0fff,0x7e4006ff,0x7fc0ffff,
    0xf1003fff,0xff85ffff,0xf1003fff,0xff85ffff,0xf1003fff,0x7fc5ffff,
    0x5c006fff,0xd01fffff,0xffffffff,0xffffffff,0x7ffffc03,0x7ffffdc2,
    0x7fffc001,0x7fffdc2f,0x3ffa001f,0xffffffff,0x41ffffff,0x006fffff,
    0x0fffffdc,0x00dfffff,0x1fffffb8,0x01fffffc,0x2fffff88,0x01fffffc,
    0x2fffff88,0x01fffffc,0x2fffff88,0x0bfffff1,0xfffffb80,0xfffffd02,
    0xffffffff,0x3e603fff,0x7cc0ffff,0x2004ffff,0x40fffff9,0x04fffff9,
    0x3fffffa0,0xffffffff,0x3fe21fff,0x5c005fff,0xf12fffff,0x800bffff,
    0x42fffffb,0x003fffff,0x85fffff1,0x003fffff,0x85fffff1,0x003fffff,
    0x25fffff1,0x05fffff8,0x7ffffd40,0xfffffd03,0xffffffff,0x3f203fff,
    0xfff05fff,0x7e400dff,0xfff05fff,0x7f400dff,0xffffffff,0x1fffffff,
    0x17ffffe2,0xfffff500,0x3ffffe27,0x7ffd4005,0x7fffc3ff,0xfff1003f,
    0xffff85ff,0xfff1003f,0xffff85ff,0xfff1003f,0x7fffc5ff,0x7fdc005f,
    0xffd02fff,0xffffffff,0x03ffffff,0x40fffffa,0x00fffffc,0x07ffffd0,
    0x03fffff2,0x7fffff40,0xffffffff,0x7ffc1fff,0x7dc005ff,0x3fe2ffff,
    0x5c005fff,0x7c2fffff,0x1003ffff,0xf85fffff,0x1003ffff,0xf85fffff,
    0x1003ffff,0x7c5fffff,0x4006ffff,0x02fffffb,0x33dffffd,0x33333333,
    0x3fffe203,0xffff501f,0xfff1007f,0x3fea03ff,0xfd003fff,0x3333dfff,
    0x03333333,0x00dfffff,0x2fffffb8,0x01bffffe,0x5fffff70,0x03fffff8,
    0x5fffff10,0x03fffff8,0x5fffff10,0x03fffff8,0x5fffff10,0x037ffff4,
    0x3fffff20,0xbffffd01,0xfff70000,0x7ffc40ff,0xffb805ff,0x3fe207ff,
    0xfd005fff,0x8000bfff,0x006ffffe,0x0fffffe4,0x00dffffd,0x1fffffc8,
    0x01fffffc,0x2fffff88,0x01fffffc,0x2fffff88,0x01fffffc,0x1fffff98,
    0x01fffff6,0x1fffffb0,0x17ffffa0,0x3fff6000,0xaaaaaaef,0x07fffffa,
    0xaeffffd8,0xffaaaaaa,0xfd007fff,0x8000bfff,0x007ffffd,0x07ffffec,
    0x00fffffb,0x0fffffd8,0x01fffffc,0x1fffff98,0x01fffffc,0x1fffff98,
    0x01fffffc,0x0fffff98,0x07fffff2,0x6fffff80,0x17ffffa0,0x3fffe000,
    0xffffffff,0x2fffffff,0x7fffffc0,0xffffffff,0x802fffff,0x005ffffe,
    0x7ffffe40,0x3fffe001,0x7fffe46f,0x3ffe001f,0xffff86ff,0xfff3003f,
    0xffff81ff,0xfff3003f,0xfffe81ff,0xfff5004f,0xffffb8ff,0xfff3004f,
    0x7ff409ff,0x540005ff,0xffffffff,0xffffffff,0x3ea04fff,0xffffffff,
    0xffffffff,0xffe804ff,0x5c0005ff,0x004fffff,0x89fffff3,0x04fffffb,
    0x9fffff30,0x09ffffd0,0x1ffffea0,0x013ffffa,0x43ffffd4,0x005ffffd,
    0x88dffff7,0x006fffff,0x03fffff9,0x02fffff4,0x3ffff200,0xffffffff,
    0x6fffffff,0x3fffff20,0xffffffff,0x06ffffff,0x05ffffe8,0x7fffc400,
    0xfff9006f,0xfff883ff,0xff9006ff,0xffb03fff,0x3ee00bff,0xffd86fff,
    0xff7005ff,0xfff90dff,0xfff003ff,0xfffb0bff,0xffa809ff,0x7f405fff,
    0x40005fff,0xfffffffe,0xffffffff,0xd01fffff,0xffffffff,0xffffffff,
    0xe803ffff,0x0005ffff,0x4fffffd8,0x7ffffd40,0xfffffb05,0xffffa809,
    0xffff905f,0xffff003f,0xffff90bf,0xffff003f,0xffff50bf,0x7fe401bf,
    0xff982fff,0xf303ffff,0x803fffff,0x005ffffe,0x3ffffe60,0x99999999,
    0xfffffb99,0xfffff983,0x99999999,0xfffffb99,0x7ffff403,0xff980005,
    0xf303ffff,0x203fffff,0x3ffffff9,0xffffff30,0x3fffea03,0x3ff200df,
    0xffa82fff,0x3200dfff,0xd02fffff,0x37dfffff,0xffffb531,0x7fff40bf,
    0xedbdffff,0x05ffffff,0xceffffe8,0xcccccccc,0x3ffee3cc,0x3fe2006f,
    0xffb85fff,0x3e2006ff,0x7405ffff,0xccceffff,0xcccccccc,0xfffffd03,
    0xffdb7bff,0xe80bffff,0xdfffffff,0xfffffedb,0x7fff405f,0xa989beff,
    0x05fffffd,0x3bfffffa,0xffda989b,0x3ea05fff,0xffffffff,0xffffffff,
    0x3fffe600,0xffffffff,0x800fffff,0xfffffffe,0xffffffff,0x3ffff66f,
    0x7fff4004,0x7ffec0ff,0x7ff4004f,0x3fa00fff,0xffffffff,0x6fffffff,
    0xffffff30,0xffffffff,0xf9801fff,0xffffffff,0xffffffff,0x7fffd400,
    0xffffffff,0x200fffff,0xfffffffa,0xffffffff,0x7fec00ff,0xffffffff,
    0x803fffff,0xfffffff9,0xefffffff,0xffffd001,0xffffffff,0x3e2dffff,
    0x4001ffff,0x22fffffc,0x01fffff8,0x7ffffe40,0x3ffffa02,0xffffffff,
    0x2606ffff,0xffffffff,0x1effffff,0xfffff300,0xffffffff,0x3f6003df,
    0xffffffff,0x03ffffff,0xffffffd8,0xffffffff,0xfff7003f,0xffffffff,
    0x744003df,0xffffffff,0x74004fff,0xffffffff,0xffffffff,0x0fffff56,
    0xfffff500,0x3ffffd49,0x7fffd400,0x3fffa04f,0xffffffff,0x406fffff,
    0xffffffe8,0x004fffff,0xfffffe88,0x04ffffff,0xfffffb80,0xefffffff,
    0x3ffee001,0xffffffff,0x6c4001ef,0xffffffff,0x36e0003e,0xdfffffff,
    0xfffe8002,0xffffffff,0xf96fffff,0x2000bfff,0x327fffff,0x0005ffff,
    0x40ffffff,0xfffffffe,0xffffffff,0xffb7006f,0x05bfffff,0xfffdb800,
    0x002dffff,0x3ffff620,0x003effff,0xfffffb10,0x0007dfff,0x03575310,
    0x57510000,0x00000001,0x00000000,0x00000000,0x40000000,0x0000aba8,
    0x01575100,0x75310000,0x88000035,0x0001aba9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2203bfb1,0x70001dfd,0x00019999,0x33332600,0x7ec403cc,0x3bfb101d,
    0x66666540,0x6540002c,0x002ccccc,0xeeeeea80,0xcc980004,0x0003cccc,
    0x3bb72ea6,0x02eeeeee,0x66664c00,0x7ec403cc,0x3bfb101d,0xffffd000,
    0x1ffffd03,0xffffc800,0x400000ef,0xdffffff8,0x7ffff400,0x0ffffe81,
    0x3fffff20,0x7e40002f,0x002fffff,0x7ffffdc0,0x7fc40005,0x000dffff,
    0x7ffffecc,0xffffffff,0x3e20003f,0x00dfffff,0x40fffff4,0x000ffffe,
    0x13ffffe6,0x07fffff5,0x7ffffec0,0x00001fff,0x7ffffff1,0xfffff300,
    0xfffffa89,0x7fffcc03,0x4c0002ff,0x02ffffff,0x3fffee00,0x3e20005f,
    0x003fffff,0x7ffffecc,0xffffffff,0x10003fff,0x07ffffff,0x9fffff30,
    0x3fffffa8,0x3fffea00,0x7fffd45f,0xfffb004f,0x3fffff9f,0xfff88000,
    0xf5001eff,0xfa8bffff,0x8804ffff,0x02fffffd,0x7ffec400,0xf50002ff,
    0x000bffff,0x3bffffe2,0x7ffd4001,0xffffffff,0x3fffffff,0xffff8800,
    0xff5001ef,0xffa8bfff,0x22004fff,0x442fffff,0x401fffff,0x11ffffd8,
    0x003ffffd,0x3ffffe20,0x3fe2000d,0x7fc42fff,0x2e001fff,0x002fffff,
    0xfffffb80,0xfffa8002,0xf88005ff,0x000dffff,0x7fffffc4,0xcccfffff,
    0x003fffff,0x6fffffc4,0x3ffe2000,0x7ffc42ff,0x74c001ff,0xfff503ff,
    0x99995007,0x19999701,0x99997000,0x3fa60005,0x7fff503f,0x99993000,
    0x93000019,0x80019999,0x04fffffa,0x2ccccb80,0xffffd000,0x1fffffff,
    0x01fffff4,0x0b3332e0,0x1fff4c00,0x003fffa8,0x000c0020,0x00000000,
    0x40020000,0x00000001,0x4c000000,0x004fffff,0x3ee00000,0xffffffff,
    0x3ffa0fff,0x000003ff,0x03000800,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff300000,0x00009fff,0x7ffec000,0xffffffff,0x3ffffa0f,
    0x00000003,0xa8000000,0xaaaaaaaa,0xaaaaaaaa,0xaaaaa982,0xaaaaaaaa,
    0xa982aaaa,0xaaaaaaaa,0xaaaaaaaa,0x55555302,0x55555555,0x53055555,
    0x55555555,0x55555555,0x2aaa2005,0x2001aaaa,0x23fffff9,0x00aaaaa9,
    0x2aaaaa80,0x7ffffffc,0x20ffffff,0x503ffffe,0x55555555,0x55555555,
    0x55544005,0x0001aaaa,0x3ffffffa,0xffffffff,0xfffc86ff,0xffffffff,
    0x87ffffff,0xfffffffc,0xffffffff,0xfff907ff,0xffffffff,0x0fffffff,
    0xfffffff9,0xffffffff,0x3ee00fff,0x05ffffff,0x3ffffe60,0x3ffffea3,
    0x7ffcc005,0x3ffe24ff,0xffffffff,0x3fffa0ff,0xffffd03f,0xffffffff,
    0x400dffff,0xfffffffb,0x3ffa0005,0xffffffff,0x86ffffff,0xfffffffc,
    0xffffffff,0xfffc87ff,0xffffffff,0x07ffffff,0xfffffff9,0xffffffff,
    0xfff90fff,0xffffffff,0x0fffffff,0x3fffff60,0x3e2007ff,0x7f43ffff,
    0x2001ffff,0x20fffffd,0xfffffff9,0x20ffffff,0xd03ffffe,0xffffffff,
    0xffffffff,0x7ffec00d,0x0007ffff,0x3ffffffa,0xffffffff,0xfffc86ff,
    0xffffffff,0x87ffffff,0xfffffffc,0xffffffff,0xfff907ff,0xffffffff,
    0x0fffffff,0xfffffff9,0xffffffff,0x3fe00fff,0x2fffffff,0xfffff100,
    0xfffffa87,0xffff3005,0xffff889f,0xffffffff,0x3ffffa0f,0xfffffd03,
    0xffffffff,0x7c00dfff,0xffffffff,0xfffd0002,0xffffffff,0x90dfffff,
    0xffffffff,0xffffffff,0xffff90ff,0xffffffff,0x20ffffff,0xfffffffc,
    0xffffffff,0xfffc87ff,0xffffffff,0x07ffffff,0xffffffa8,0xf1004fff,
    0xfd05ffff,0xd001ffff,0xf01fffff,0xffffffff,0x7f41ffff,0xffd03fff,
    0xffffffff,0x0dffffff,0x3ffffea0,0x0004ffff,0x55dffffd,0x55555555,
    0x33331055,0x9fffff53,0x10333333,0xff533333,0x33339fff,0x26662033,
    0xfffffa99,0x8199999c,0xfa999998,0x999cffff,0xffc80199,0x7fffffff,
    0x3ffffe00,0xfffffa82,0x7fffcc04,0xffffb03f,0xffffffff,0x1fffff41,
    0xaeffffe8,0xaaaaaaaa,0xff9002aa,0xffffffff,0x3fffa000,0x2000005f,
    0x03fffff8,0xffff8800,0xf100003f,0x0007ffff,0x7fffff10,0x7fffc000,
    0x1fffffdf,0x5fffff00,0x3fffffa0,0x3ffffa00,0xffff900f,0xffffffff,
    0x1fffff41,0x05ffffe8,0xffff0000,0x3fffffbf,0xffffd000,0x4400000b,
    0x003fffff,0xfffff880,0xff100003,0x00007fff,0x07fffff1,0x3fffe600,
    0x3fffff9f,0x3fffff00,0x3ffffea0,0xfffff304,0x7fff4407,0xffffffff,
    0x0fffffa0,0x02fffff4,0x7ffcc000,0xfffff9ff,0xfffe8003,0x2000005f,
    0x03fffff8,0xffff8800,0xf100003f,0x0007ffff,0x7fffff10,0x3ffee000,
    0xdffffd5f,0x3ffffe00,0x3ffffa01,0xffffe80f,0x7ffcc00f,0xffffffff,
    0x0fffffa0,0x02fffff4,0x7ffdc000,0xdffffd5f,0xffffd000,0x4400000b,
    0x003fffff,0xfffff880,0xff100003,0x00007fff,0x07fffff1,0x3ffffa00,
    0x1fffff93,0x3fffff00,0x7ffffd40,0x7ffffd43,0xffff5003,0x41ffffff,
    0xd03ffffe,0x000bffff,0x7ffffd00,0x03fffff2,0xbffffd00,0x7c400000,
    0x0003ffff,0x3fffff88,0xfff10000,0x100007ff,0x007fffff,0x1fffff10,
    0x0bffffea,0x07ffffa0,0x8fffffd0,0x00fffffd,0x3ffff220,0x3fa0ffff,
    0xffd03fff,0x80000bff,0x50fffff8,0x005fffff,0x05ffffe8,0x3fe20000,
    0x80003fff,0x03fffff8,0xffff1000,0xf100007f,0x0007ffff,0xf8dffff5,
    0xe805ffff,0x5400ffff,0xf33fffff,0x0007ffff,0x3fffff22,0x3ffffa0f,
    0xbffffd03,0xffa80000,0x7fffc6ff,0x7ff4005f,0xaaaaaeff,0x00aaaaaa,
    0x3ffffe20,0xff880003,0x00003fff,0x07fffff1,0xffff1000,0xffb0007f,
    0xfffd89ff,0xfffe807f,0xfffe800f,0xfffff96f,0x54cc0000,0x3ffffa0b,
    0xdffffd03,0x55555555,0xfd801555,0x7fec4fff,0x7f4007ff,0xffffffff,
    0x1fffffff,0x3fffe200,0xf880003f,0x0003ffff,0x7fffff10,0xfff10000,
    0xff0007ff,0xffb85fff,0x7ec01fff,0xfa800fff,0xfffaffff,0x000003ff,
    0x07ffffd0,0x3ffffffa,0xffffffff,0x7ffc01ff,0x7ffdc2ff,0x3fa001ff,
    0xffffffff,0x1fffffff,0x3fffe200,0xf880003f,0x0003ffff,0x7fffff10,
    0xfff10000,0xf98007ff,0x7cc0ffff,0x6404ffff,0x3a006eee,0xffffffff,
    0x0000007f,0x40fffffa,0xfffffffe,0xffffffff,0x3ffe601f,0x7ffcc0ff,
    0x3fa004ff,0xffffffff,0x1fffffff,0x3fffe200,0xf880003f,0x0003ffff,
    0x7fffff10,0xfff10000,0xfc8007ff,0xfff05fff,0x00000dff,0x7fffffd4,
    0x00003fff,0x3ffffa00,0xfffffd03,0xffffffff,0x7e403fff,0xfff05fff,
    0x7f400dff,0xffffffff,0x1fffffff,0x3fffe200,0xf880003f,0x0003ffff,
    0x7fffff10,0xfff10000,0xfe8007ff,0xff903fff,0x00001fff,0x7fffff40,
    0x000007ff,0x1fffff40,0xffffffe8,0xffffffff,0x3ffa01ff,0xfff903ff,
    0x3fa001ff,0x9999efff,0x01999999,0x7ffffc40,0xff880003,0x00003fff,
    0x07fffff1,0xffff1000,0x7fc4007f,0xff501fff,0xa9807fff,0xfffa8002,
    0x0003ffff,0x7fff4000,0xffffd03f,0x3333333d,0x7c403333,0xf501ffff,
    0x2007ffff,0x005ffffe,0x3ffe2000,0x880003ff,0x003fffff,0xfffff100,
    0xff100007,0x5c007fff,0x2207ffff,0x205fffff,0x000efffd,0x37fffff4,
    0x74000000,0xfd03ffff,0x0000bfff,0x81ffffee,0x05fffff8,0x0bffffd0,
    0x7fc40000,0x80003fff,0x03fffff8,0xffff1000,0xf100007f,0x4007ffff,
    0xaaeffffd,0xfffaaaaa,0xfff707ff,0xfa800bff,0x0003ffff,0xffff8000,
    0xffffd02f,0x3f60000b,0xaaaaefff,0xfffffaaa,0xffffd007,0x4400000b,
    0x003fffff,0xfffff880,0xff100003,0x00007fff,0x07fffff1,0x7fffffc0,
    0xffffffff,0xd82fffff,0x007fffff,0x17ffffcc,0x22000000,0xd01fffff,
    0x000bffff,0x3fffffe0,0xffffffff,0x802fffff,0x005ffffe,0x3ffe2000,
    0x880003ff,0x003fffff,0xfffff100,0xff100007,0x2a007fff,0xffffffff,
    0xffffffff,0xffd84fff,0x4c007fff,0x002fffff,0x7fcc0000,0xffd00fff,
    0x50000bff,0xffffffff,0xffffffff,0xfd009fff,0x0000bfff,0x7ffffc40,
    0xff880003,0x00003fff,0x07fffff1,0xffff1000,0x3ff2007f,0xffffffff,
    0xffffffff,0xffffb86f,0x7fcc005f,0x00002fff,0x3fff2001,0x3fffa06f,
    0xfc80005f,0xffffffff,0xffffffff,0xffe806ff,0x000005ff,0x0fffffe2,
    0x3ffe2000,0x100003ff,0x007fffff,0xfffff100,0x3fffa007,0xffffffff,
    0xffffffff,0xefffd81f,0x7ffcc000,0xd00002ff,0x7ffd401b,0x3ffa05ff,
    0xe80005ff,0xffffffff,0xffffffff,0x7401ffff,0x0005ffff,0x3fffe200,
    0xf880003f,0x0003ffff,0x7fffff10,0xfff10000,0xff3007ff,0x33333fff,
    0xff733333,0x2e607fff,0xfff30002,0x900005ff,0x51359fff,0x1ffffff9,
    0x2fffff40,0x3ffe6000,0x999999ff,0xfffb9999,0x7ff403ff,0xccccceff,
    0x83cccccc,0xfcccccca,0xcccdffff,0xccca84cc,0xfffffccc,0x04cccccd,
    0xf9999995,0x999bffff,0x99950999,0xfffff999,0x4999999b,0x006ffffb,
    0x17ffffe2,0x7fcc0000,0x40002fff,0xfffffff9,0xffffffff,0x7ffff403,
    0xccccccce,0x7dc3cccc,0x22006fff,0x405fffff,0xfffffffe,0xffffffff,
    0xffffc86f,0xffffffff,0xc87fffff,0xffffffff,0xffffffff,0xffff907f,
    0xffffffff,0x90ffffff,0xffffffff,0xffffffff,0x7fffecff,0x7fff4004,
    0x800000ff,0x02fffff9,0x7fffec00,0xffffffff,0xffe805ff,0xffffffff,
    0x46ffffff,0x004ffffd,0x07fffff4,0xffffffd0,0xffffffff,0xfff90dff,
    0xffffffff,0x0fffffff,0xfffffff9,0xffffffff,0x3ff20fff,0xffffffff,
    0x7fffffff,0xffffffc8,0xffffffff,0xfff17fff,0xfc8003ff,0x0002ffff,
    0xfffff980,0xfea80002,0xffffffff,0xffd003ff,0xffffffff,0x4dffffff,
    0x01fffff8,0x7ffffe40,0x3ffffa02,0xffffffff,0xfc86ffff,0xffffffff,
    0xffffffff,0xfffffc87,0xffffffff,0xf907ffff,0xffffffff,0xffffffff,
    0xfffff90f,0xffffffff,0x3eafffff,0xa8007fff,0x004fffff,0xffff9800,
    0x2e00002f,0xefffffed,0x3ffa000c,0xffffffff,0x26ffffff,0x007ffffa,
    0x4fffffa8,0x3fffffa0,0xffffffff,0xffc86fff,0xffffffff,0x7fffffff,
    0xffffffc8,0xffffffff,0xff907fff,0xffffffff,0xffffffff,0xffffff90,
    0xffffffff,0x3ff2ffff,0xff0005ff,0x0000ffff,0x5fffff30,0x26200000,
    0x3fa00009,0xffffffff,0x6fffffff,0x017ffff2,0x3fffffc0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x74400000,
    0x0000eeee,0xeed80000,0xa98002ee,0x01bcdeec,0x17bd9500,0x00000000,
    0x00000440,0x00000400,0x00099880,0x00000000,0x09880000,0x7ffffd00,
    0x80000000,0x00fffff9,0xfffffd70,0x07ffffff,0x3ffffa20,0xd88001ff,
    0xdff504ff,0xffec8803,0xdd3000de,0xec9801bd,0x01502dff,0xfffec880,
    0xeeeeeeff,0x3f6204ee,0x3dff504f,0x13ff6200,0xb80f7fd4,0x5400dfff,
    0x0006ffff,0x7fe40000,0xfe8805ff,0xffffffff,0xb004ffff,0xffffffff,
    0xfffc8001,0x7fffcc4f,0x3fffe606,0xe801ffff,0x7cc03fff,0x1effffff,
    0x22003bea,0xfffffffc,0xffffffff,0x3fff206f,0x7fffcc4f,0xffff9006,
    0x6ffff989,0x4fffffa8,0x2fffff80,0x10000000,0x803fffff,0xfffffffa,
    0xffffffff,0xcfffa804,0x004fffb9,0x23fffffc,0x82fffffc,0xfffffff8,
    0x7fe406ff,0x7ffc406f,0xefffffff,0xd806fffe,0xffffffff,0xffffffff,
    0x3fffe06f,0x7fffe47f,0xffff802f,0x7fffe47f,0x7fffec2f,0xfffb807f,
    0x0000005f,0x0dffff70,0xffffffc8,0xffffffff,0xffc804ff,0x0037fdc6,
    0x91bffffe,0x703fffff,0xff97ffff,0x3fe607ff,0x7fe401ff,0xfffffeff,
    0x403fffff,0xdefffffb,0xfffffffc,0x3fe06fff,0x7fe46fff,0xff801fff,
    0x7fe46fff,0x7fec1fff,0x4400ffff,0x001fffff,0xffe80000,0x3fe202ff,
    0xacefffff,0x4ffdaa99,0x544ffd80,0x7e4007ff,0x7fcc4fff,0xfffd06ff,
    0x82fffdc1,0x9003fffe,0x3ff621bf,0x404fffff,0x84fffff8,0x9cffffea,
    0x3fff2009,0x7fffcc4f,0xffff9006,0x6ffff989,0x6fffffb8,0x9ffff900,
    0xa8000000,0x6c07ffff,0x03ffffff,0xfb802a88,0x17ff60ff,0x413ff200,
    0xff00dfea,0x6fff98ff,0x006fffc8,0xfffd981c,0xfffa803d,0x3ffee06f,
    0x3ff2006f,0x01bfd504,0xa827fe40,0xffd00dfe,0x3e6003ff,0x0000ffff,
    0x3fff6000,0x3ffe604f,0x00002fff,0xfdffff88,0x00002fff,0x3ffe6000,
    0x23fffc46,0x001ffff9,0x20009800,0x203ffffc,0x01fffff8,0x00000000,
    0x17950000,0xffffe800,0x30000003,0x401fffff,0x03fffffe,0x3fee0000,
    0x005fffff,0x7c400000,0x7ffc46ff,0x01ffff46,0xd8000000,0x6c01ffff,
    0x0002ffff,0x00000000,0xfa800000,0x00006fff,0xbffff900,0x7ffffcc0,
    0x4000000f,0x03ffffea,0x26662000,0x3fffe000,0xb97ffea0,0x00006fff,
    0xfd8000cc,0x7f403fff,0x40001fff,0x00000019,0xf8000000,0x0002ffff,
    0x7fffc400,0x3ffea01f,0x000004ff,0x00006a20,0xfffffb71,0x4017dfff,
    0xe98cfffe,0xfff33fff,0x5c40003f,0xdeffffed,0xffff7003,0x7fffc40d,
    0xfec98007,0x002defff,0x807ddddb,0x20eeeee9,0x8006eeec,0x005ffffb,
    0x7ffdc000,0x7ffdc06f,0x000002ff,0x00133310,0x3fffff60,0xffffffff,
    0xffff703f,0x74dfffff,0x20004fff,0xffffffe9,0x401effff,0x82fffff9,
    0x06ffffd8,0x7ffffe40,0x00dfffff,0x027ffffc,0x83ffffe6,0x8007fffd,
    0x01fffff8,0x3ffa0000,0x7fec03ff,0x00001fff,0xffffdb88,0x00beffff,
    0xffffffb0,0xffffffff,0x3fffa07f,0xf72fffff,0x64000dff,0xffffffff,
    0x03ffffff,0x7fffffec,0xffffecac,0xffd1001f,0xffffffff,0x7fc05fff,
    0x7cc04fff,0x3f60ffff,0xd8000fff,0x0004ffff,0xfffff500,0xfffffd00,
    0xfd800001,0xffffffff,0x803fffff,0xeffffffd,0xfffffffe,0xfffc880f,
    0xfff11eff,0x3f60003f,0xffffffff,0x1fffffff,0x3ffffe20,0xffffffff,
    0xfff1003f,0xffddffff,0x201fffff,0x404fffff,0x20fffff9,0x000ffffe,
    0x0fffff98,0xffd80000,0xfff804ff,0x800007ff,0xfffffffd,0xffffffff,
    0x4df7ec03,0xffffe980,0x2aea204f,0x027fff41,0xfffff980,0xffdcbdff,
    0x3206ffff,0xffffffff,0x004fffff,0x0fffffee,0x9fffff91,0x13ffffe0,
    0x1fffff30,0x007ffff4,0x3ffffe80,0x7fc40000,0x7c400fff,0x0007ffff,
    0xfffffd80,0xfffffeef,0x02a00fff,0x7ffff440,0xfff70006,0x3fa0001d,
    0xf304ffff,0x307fffff,0xfffdffff,0x0019ffff,0x17ffffc4,0x1fffff90,
    0x09fffff0,0x0fffff98,0x003ffffa,0x37fffd40,0x3ff20000,0xfff005ff,
    0x00000fff,0x30137dfb,0x09fffffd,0x7ffdc000,0xff88007f,0xf50002ff,
    0x9809ffff,0xd87fffff,0x2aa66fff,0xff900009,0xff8809ff,0xfff83fff,
    0x7fcc04ff,0x3ffa0fff,0x3e0001ff,0x0002ffff,0x5fffff10,0x3ffffe00,
    0x5400000f,0xfffd1000,0x540000df,0x000fffff,0x0027ffec,0x1fffffb0,
    0xfffffd00,0x2ffffc41,0x7ffc0000,0xffd801ff,0xffff84ff,0x7ffcc04f,
    0x3fffe0ff,0x3f20001f,0x00005fff,0x00dffff7,0x0ffffff4,0x20000000,
    0x007ffffb,0x3fffea00,0x3fea000f,0x3a0000ff,0x5005ffff,0x4c3fffff,
    0x000fffff,0x3fffe200,0xfffc800f,0xfffff85f,0x7fffcc04,0x3ffffe0f,
    0x3fe20001,0x80000fff,0x003ffffe,0x0bfffff2,0x50000000,0x001fffff,
    0x3ffb72ea,0x0fffffff,0x5ffff100,0xff000988,0x26007fff,0x222fffff,
    0xacffffff,0x0009aaaa,0x3fffffe6,0xffffffff,0xf87fffff,0x4c04ffff,
    0x3e0fffff,0x0002ffff,0x027fffec,0x3fffe600,0x3fee000f,0x00005fff,
    0x7ffd4000,0x7f5c00ff,0xffffffff,0x000fffff,0x75cbfffb,0x2204ffff,
    0x003fffff,0x87fffff1,0xfffffffd,0xefffffff,0x3ffee00c,0xffffffff,
    0xffffffff,0x4fffff87,0x7ffffcc0,0x0bffffe0,0xffff3000,0xffd8000f,
    0x7d4004ff,0x001fffff,0x372ea000,0xfffffffe,0xfff100ff,0xffffffff,
    0x01ffffff,0x21ffff50,0xfffffffd,0xffffa80e,0x3ffe002f,0x7ff444ff,
    0xffffffff,0x03ffffff,0xfffffff9,0xffffffff,0xff0fffff,0xf9809fff,
    0xff10ffff,0x00005fff,0x007ffffd,0x3ffffe20,0x7ffc4001,0x00005fff,
    0xfffffeb8,0xffffffff,0xfffe880f,0xffffffff,0x00ffffff,0xb97fffc4,
    0xffffffff,0xffff984f,0xfff1002f,0xfff507ff,0xffffffff,0x07ffffff,
    0xfffffff9,0xffffffff,0xff0dffff,0xf9809fff,0xff10ffff,0x00005fff,
    0x00dffff7,0x17ffff20,0x7fffdc00,0x804004ff,0xfffffff8,0xffffffff,
    0xfffe80ff,0xfa80aeff,0x6c00ffff,0xfff15fff,0xffff939f,0xfffff881,
    0xffff3003,0xffffa85f,0xfeeeeeef,0x0fffffff,0x03ffffdc,0x3fffe000,
    0x7ffcc04f,0xffff10ff,0xf100007f,0x0003ffff,0x005fffff,0x3ffffe20,
    0x2e201eff,0xfffe884e,0xffffffff,0x40ffffff,0x06fffff8,0x07ffffd4,
    0x21ffff50,0x7f45fffa,0xffff81ff,0xfff5004f,0x7ffcc3ff,0x7f4c03ff,
    0x7d42ffff,0x0000ffff,0x13ffffe0,0x1fffff50,0x0fffffe2,0x7ffe4000,
    0x7fd4005f,0x5c0006ff,0xffffffff,0xfffdccef,0xffffe84f,0xffa80aef,
    0x7fd40fff,0x7d402fff,0xf100ffff,0x7fdc5fff,0x17ffe43f,0x07fffff4,
    0x3ffffec0,0x017ffffa,0x27ffffc4,0x0bffffe2,0xfffe8000,0x3ffe204f,
    0xfff30fff,0x200007ff,0x00fffff8,0x0fffffa0,0x3fff6000,0xffffffff,
    0x444fffff,0x406fffff,0x40fffffa,0x01fffffb,0x3fffffa2,0x8bfff900,
    0x7dc2fffc,0xfffd83ff,0x7fcc03ff,0x3fe26fff,0x3e002fff,0xff83ffff,
    0x00006fff,0x41bffff6,0xffffffe8,0x9fffff30,0x7fec0000,0xff3004ff,
    0x00001fff,0x3ffffff2,0xffffffff,0x7fffd44f,0x7ffd402f,0x7ffd40ff,
    0xffd305ff,0xf501ffff,0xffc81fff,0x17ffe43f,0x7fffffcc,0xfffff302,
    0x7fffcc3f,0xfff5003f,0xfff903ff,0x200009ff,0x40fffffc,0xffffffd8,
    0xfffff30f,0x7d400009,0xfb007fff,0x00009fff,0xffffffa8,0xffffffff,
    0x7ffffdc3,0x3fffa201,0x7ffcc0ff,0xf710bfff,0x1fffffff,0x83fffe88,
    0x7f45fffa,0xfffb01ff,0x9537bfff,0x09ffffff,0x01dfffff,0x7fffffa8,
    0xffffff10,0xb731015d,0x3fffee09,0xfffc9cff,0x30ffffff,0x009fffff,
    0xffffe800,0x7fffc402,0x5000001f,0xfffffffb,0xff5017df,0x3a60bfff,
    0x80ffffff,0xffffffff,0xfffffffe,0x7fe40fff,0xffff306f,0x0ffff917,
    0x7fffffc4,0xffffffff,0xffd80fff,0xabdeffff,0xfffffecb,0x3ffea01f,
    0xfeffffff,0x105fffff,0xffffffff,0xffffffff,0x3ffea1ff,0x400004ff,
    0x406ffffb,0x005ffffb,0xfffe8000,0xff9801af,0x710bffff,0xffffffff,
    0xfffff501,0xbfffffff,0x4c1ffffb,0x3600ffff,0xffffffff,0x7ffdc03f,
    0xffffffff,0xf101ffff,0xffffffff,0xffffffff,0xfffb005f,0xffffffff,
    0x640bffff,0xffffffff,0xfffcbfff,0xfffff50f,0xf880000b,0x3e01ffff,
    0x0002ffff,0x7fffc400,0x7fffc005,0xfffeffff,0x0fffffff,0xffffffb0,
    0x3f29ffff,0x3ffa0fff,0x7ffcc03f,0x005fffff,0xffffffd3,0x01bfffff,
    0xfffffe88,0xffffffff,0x3ea001df,0xffffffff,0x205fffff,0xffffffe8,
    0xfff93fff,0x3fffea1f,0xc800005f,0xf505ffff,0x0000dfff,0x5ffff300,
    0xffffa800,0xffffffff,0x00ffffdd,0x3fffffea,0x3fff21df,0x0dfff90f,
    0x3ffff620,0xfeb8003f,0x2dffffff,0x7ffe4c00,0xdfffffff,0xfd910001,
    0xffffffff,0xff9005bd,0x643bffff,0xff70ffff,0x0000bfff,0x1fffff30,
    0x07ffffd0,0xff700000,0x3f6000ff,0xffffffff,0x1ffff94f,0x15575100,
    0x88000000,0x300000a9,0x00001575,0x066aa662,0x5d4c0000,0x00009aaa,
    0x00015753,0xd8000000,0x7cc3ffff,0x0000ffff,0x4fffd800,0x3ffea000,
    0x321dffff,0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8fffff50,0x004ffffc,0xfffd0000,0x75100003,0x00000155,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ddddb00,
    0x00f7776c,0xccc80000,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00022000,0x00000000,
    0x00000008,0xdddddd70,0xddd70009,0x0200001b,0x3bbaa000,0x00004eee,
    0xdddd7000,0x310009dd,0x77640003,0x7302eeee,0x54000001,0xdeffffec,
    0xffb10001,0x07bfea09,0xbffd9300,0x00002a05,0xffffffb8,0xfffb8003,
    0x30000eff,0x205bffd9,0x7ffd400a,0x00005fff,0x7fffdc00,0x7776c3ff,
    0x7ffff5c5,0x3a2000ce,0xa9ffffff,0x800fffec,0x4c03efea,0xfffffffd,
    0x4001dfff,0x4c4ffffc,0x2006ffff,0xfffffff9,0x003bea1e,0x3fffee00,
    0xfb8001ff,0x06ffffff,0xfffff980,0x3bea1eff,0x7fff4400,0x000005ff,
    0xffffff70,0x2dfffd03,0xffffffe8,0x22000eff,0xfffffffe,0x400fffff,
    0x05fffffb,0xfffffff5,0x1fffffff,0x7ffffc00,0x7ffffe47,0xffff8802,
    0xeeffffff,0x40006fff,0x0dfffffb,0xffffa800,0x005ffffc,0x3fffffe2,
    0xffeeffff,0xfff9006f,0x00000bff,0xdfffffb8,0x1ffffd00,0xfffffffd,
    0x9801dfff,0xfffffedb,0x0fffffff,0x3ffffe20,0x7ffc42ff,0xffffffff,
    0x000effff,0xc8dfffff,0x801fffff,0xffeffffc,0xffffffff,0x3fee0003,
    0x50003fff,0x3e67ffff,0xf9005fff,0xffffdfff,0x07ffffff,0x7ffffd40,
    0xf7000005,0xe807ffff,0xfffeffff,0xffffffff,0x3ffe605f,0xffffffff,
    0x200cefff,0xfffffff9,0x7ffffec4,0xfffd511c,0x3f2005ff,0x7fcc4fff,
    0x3f2006ff,0xffffb10d,0x40009fff,0x01fffffb,0x7ffff300,0x04ffff98,
    0x3621bf90,0x4fffffff,0xfffe8800,0x5c00005f,0x801fffff,0xfffffffe,
    0xfffebcff,0xff301fff,0xffffffff,0x260019ff,0x4fffffff,0x0fffffe6,
    0x27ffffc4,0x209ff900,0x4000dfea,0xbfffb303,0x99980007,0x22000099,
    0x33101999,0x981c0033,0x003dfffd,0x00ccccc0,0x26666000,0xfffd0009,
    0xf905ffff,0x2609ffff,0xfeefffff,0x2006ffff,0xfffffff8,0x1ffffea2,
    0x0bffffb0,0x00000000,0x00001300,0x00000000,0x09800000,0x00000000,
    0xfe800000,0x202fffff,0x80ffffff,0x3a21bce9,0x004fffff,0x17ffffee,
    0x80bffff9,0x004ffffe,0x00000000,0x33000000,0x19800000,0x00000000,
    0x00066000,0xfd000000,0xc807ffff,0x001fffff,0xffffffb8,0x3bfaa001,
    0x4ffffd83,0x3ffffe60,0x01980003,0x33310000,0x32600001,0x2deffffe,
    0x7f64c000,0x002defff,0x004cc400,0x3ffb2600,0xb002deff,0x9807dddd,
    0x3a0eeeee,0xa805ffff,0x802fffff,0xfffffecb,0x00006fff,0x827ffff4,
    0x0fffffe8,0x7f6dc400,0x003defff,0xffffdb88,0x00beffff,0xfffffc80,
    0x00dfffff,0xfffffc80,0x00dfffff,0x2e2f776c,0x04effffe,0xfffffc80,
    0x00dfffff,0x027ffffc,0x83ffffe6,0x804ffffe,0x03fffff9,0x3fffffa6,
    0x3fffffff,0x3ffa0000,0xffe884ff,0x4c002fff,0xfffffffe,0xb001efff,
    0xffffffff,0x07ffffff,0x3ffffa20,0xffffffff,0xffd1002f,0xffffffff,
    0x7f405fff,0xfffd16ff,0x01dfffff,0xfffffd10,0xffffffff,0x7ffffc05,
    0x7fffcc04,0x3ffffa0f,0xffff8804,0xffff904f,0xffffffff,0x40000dff,
    0x444ffffe,0x02fffffe,0x7ffffe40,0xffffffff,0xfffd803f,0xffffffff,
    0x4403ffff,0xefffffff,0xfffffffe,0x7fffc400,0xfffeefff,0xfd00ffff,
    0xfffd1fff,0xbfffffff,0xfffff880,0xffffeeff,0xfff00fff,0xff9809ff,
    0x3ffa0fff,0xff8804ff,0xffb84fff,0xffffffff,0x02ffffff,0xffffd000,
    0xfffffd89,0x7ffec002,0xffffffff,0x401fffff,0xeffffffd,0xfffffffe,
    0x3ffee00f,0x7fe443ff,0x7dc04fff,0x6443ffff,0xd04fffff,0xfffdffff,
    0xffffffff,0x7ffdc03f,0x7fe443ff,0xfff04fff,0xff9809ff,0x3ffa0fff,
    0xff9804ff,0x7fc43fff,0x89beffff,0x6fffffc9,0xfffd0000,0x7fffcc9f,
    0x7fcc003f,0xcbdfffff,0x6ffffffd,0x04df7ec0,0x7fffff4c,0xfffff104,
    0x7fffe405,0xffff100f,0x7ffe405f,0xfffe80ff,0xccffffff,0x05ffffff,
    0x05fffff1,0x07ffffe4,0x027ffffc,0x83ffffe6,0x804ffffe,0x41fffffa,
    0x05fffffd,0x03fffffe,0x3fffa000,0x3fffee4f,0x7ff4000f,0xff304fff,
    0x5407ffff,0xfffd1000,0x3fff20df,0x7ffc404f,0xfff903ff,0xfff8809f,
    0xfffe83ff,0x7c42ffff,0xf906ffff,0xf8809fff,0xff83ffff,0x7cc04fff,
    0x3fa0ffff,0xfb804fff,0x3e60ffff,0x6406ffff,0x802fffff,0xfffd00a8,
    0x7fffe49f,0x3fea000f,0x7cc04fff,0x0007ffff,0x1ffffee0,0x00fffffc,
    0x827fffec,0x801fffff,0xe84ffffd,0x02ffffff,0x20fffff9,0x801fffff,
    0xf84ffffd,0x4c04ffff,0x3a0fffff,0xe804ffff,0x7dc7ffff,0x5402ffff,
    0x205fffff,0x40dfffd8,0x2e4ffffe,0x003fffff,0x03fffff6,0x3fffffa0,
    0xff500000,0xff881fff,0xfc800fff,0xff885fff,0xfc800fff,0xffe85fff,
    0x3ea03fff,0x7c40ffff,0xc800ffff,0xff85ffff,0x7cc04fff,0x3fa0ffff,
    0x7d404fff,0x7ec5ffff,0xff007fff,0x7e40dfff,0x7f46ffff,0x3fe64fff,
    0xd002ffff,0x200bffff,0x01fffffa,0xffff5000,0xffff981f,0xffffffff,
    0x7fffffff,0xffffff98,0xffffffff,0xe87fffff,0x4c05ffff,0x4c1fffff,
    0xffffffff,0xffffffff,0xfff87fff,0x7fcc04ff,0x3ffa0fff,0x3fe604ff,
    0x7f41ffff,0xff005fff,0x7fc0ffff,0x3a2fffff,0x7f44ffff,0x804fffff,
    0x003fffff,0x05fffff3,0x3fb72ea0,0xffffffff,0x7ffffdc0,0xffffffff,
    0x87ffffff,0xfffffffb,0xffffffff,0xfe87ffff,0x7cc04fff,0x7dc1ffff,
    0xffffffff,0xffffffff,0xffff87ff,0x7ffcc04f,0x3fffa0ff,0x7fdcc1df,
    0xff83ffff,0xfd004fff,0x3e20ffff,0x26ffffff,0x4c4ffffe,0xefffffff,
    0xfffff100,0x3ffe2007,0x7f5c03ff,0xffffffff,0x640fffff,0xffffffff,
    0xffffffff,0xffc87fff,0xffffffff,0xffffffff,0xffffe87f,0x7fffcc04,
    0x7fffe41f,0xffffffff,0x7fffffff,0x04fffff8,0x07ffffcc,0xfffffffd,
    0xffffffff,0xffff10df,0x3ff6007f,0x3ffe07ff,0x3fa7ffff,0xffa84fff,
    0x80efffff,0x02fffffa,0x13ffffe0,0x7fffffc4,0xffffffff,0x7fe40fff,
    0xffffffff,0xffffffff,0xffffc86f,0xffffffff,0x6fffffff,0x04ffffe8,
    0x0fffffcc,0x3ffffff2,0xffffffff,0xf86fffff,0x4c04ffff,0x3a0fffff,
    0xffffffff,0xefffffff,0xfffff981,0xffffb003,0x7fffd40f,0xfffd0fff,
    0x3ffea09f,0xf986ffff,0x1002ffff,0x107fffff,0xfffffffd,0xffffffff,
    0xfffb81ff,0x5c00007f,0x0007ffff,0x27ffff40,0x3ffffe60,0x3ffffdc1,
    0x3ffe0000,0x7fcc04ff,0x3ffa0fff,0xffffffff,0x2203ffff,0x004fffff,
    0x80fffffd,0x0ffffffc,0x409ffffd,0xffffffe8,0x7ffffc43,0xffff3003,
    0xffffd05f,0xff5015df,0xffa81fff,0x00000fff,0x03ffffea,0xfffe8000,
    0x7ffcc04f,0x7ffd41ff,0x200000ff,0x404fffff,0x20fffffa,0xfffffffe,
    0x00ceffff,0x05fffff8,0x0dfffff0,0x4dffffd0,0x404ffffe,0x5fffffe8,
    0x04fffff8,0x3fffff50,0x6fffff88,0x7ffffd40,0x7ffffc40,0x3e200002,
    0x0002ffff,0x13ffffa0,0x3fffff30,0x2fffff88,0x3ffa0000,0x3fe204ff,
    0x3fa0ffff,0xaaa8cfff,0xfffe8000,0xfffa807f,0xffc804ff,0x3fffa5ff,
    0xfff8804f,0xfffe87ff,0xffd800ff,0xfffa87ff,0x7fd402ff,0xfff80fff,
    0x400006ff,0x006fffff,0x3ffffa00,0x7fffcc04,0xfffff81f,0x3f600006,
    0xfd106fff,0x741fffff,0x0004ffff,0x5fffffb0,0xfffffe80,0xffffd802,
    0x13ffffa3,0x3ffffec0,0x1fffffec,0x3ffffe60,0xfffffb86,0x3fffa201,
    0xfffc80ff,0x200004ff,0x04fffffc,0xffffd000,0xffff9809,0xffffc81f,
    0xf900004f,0xd881ffff,0x0fffffff,0x013ffffa,0x7fffd400,0xfff901ef,
    0xff300fff,0xfffe8dff,0xfffb004f,0xffff30df,0x3fe605ff,0xfa81ffff,
    0xd305ffff,0x01ffffff,0xdffffff1,0x9b731015,0x7ffffc40,0xb9880aef,
    0xffffd04d,0xffff9809,0xffff881f,0x9880aeff,0xfff704db,0xff939fff,
    0x1fffffff,0x027ffff4,0xffffd000,0xfb5359ff,0x407fffff,0x1fffffb8,
    0x327ffff4,0xfffff703,0x3ffff609,0xfca9bdff,0x304fffff,0x17ffffff,
    0x3ffffee2,0xff500fff,0xdfffffff,0x0bffffff,0xffffffa8,0xffffefff,
    0xfffd05ff,0xfff9809f,0xfff501ff,0xfdffffff,0x20bfffff,0xfffffff8,
    0xffffffff,0x3ffa0fff,0x200004ff,0xfffffffa,0xffffffff,0xffeed86f,
    0xfe83ffff,0x3ff24fff,0xffffffff,0xffff101f,0xffffffff,0x401fffff,
    0xffffffff,0xfffffffe,0x3f600fff,0xffffffff,0x05ffffff,0xffffffd8,
    0xffffffff,0xffffd05f,0xffff9809,0x3fff601f,0xffffffff,0x3205ffff,
    0xffffffff,0xfffcbfff,0x3ffffa0f,0x7ec00004,0xffffffff,0x80efffff,
    0xefffffff,0x9ffffd02,0x7fffffe4,0x5c03ffff,0xffffffff,0x1fffffff,
    0x7ffffd40,0xdfffffff,0x400ffffd,0xfffffffa,0x5fffffff,0xfffff500,
    0xffffffff,0x3fffa0bf,0x7ffcc04f,0x7fd401ff,0xffffffff,0x2205ffff,
    0xfffffffe,0xffff93ff,0x27ffff41,0x7fdc0000,0xffffffff,0xfff00eff,
    0xfe807fff,0x3ff24fff,0x4fffffff,0xffffd300,0xbfffffff,0x3fff6001,
    0x4fffffff,0x001ffff9,0xfffffd91,0x05bdffff,0x7fff6440,0xdeffffff,
    0x9ffffd02,0xfffff980,0xffec8801,0xefffffff,0xfffc802d,0x3f21dfff,
    0x3ffa0fff,0x000004ff,0xffffffb1,0xde803bff,0xfe8009ac,0x3ff24fff,
    0x00cfffff,0xffffeb80,0x8002dfff,0xfffffffa,0x3ffff21d,0xaba98000,
    0x000009aa,0x13555753,0x9ffffd00,0xfffff980,0xaba98001,0x300009aa,
    0xd0001575,0x0009ffff,0x57531000,0x00000013,0x13553300,0x5d4c0000,
    0x5100000a,0x00001557,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x01310009,0x93000000,
    0x00000039,0x5d4c0000,0x4000001a,0x000deeeb,0x7775c000,0xb8004eee,
    0x0000deee,0x00201980,0x037bbae0,0x4d5e7640,0xfb100000,0x3faa07ff,
    0x001dffff,0x0037bba6,0x00fffff2,0x81effa80,0x2003ffd8,0xffffffd8,
    0x400000cf,0x0efffffb,0xff700000,0x0007ffff,0x1dfffff7,0x76dd4000,
    0xdbdeffff,0x3ee001fe,0x800effff,0xfffffffd,0x3fa0000c,0xfc82ffff,
    0x2fffffff,0x07fffd00,0xffffff30,0xfff30003,0xfffe81ff,0xfffa802f,
    0xffffffff,0xff700002,0x00dfffff,0xffff7000,0xf70003ff,0x0dffffff,
    0xffffb100,0xffffffff,0x3ee003ff,0x06ffffff,0xffffffd8,0x4000cfff,
    0x6ffffff9,0xffffffc8,0xffc806ff,0xfff7006f,0x90007fff,0x4c5fffff,
    0x405fffff,0xfffffffa,0x01ffffff,0x7fffd400,0x005ffffc,0x3fffee00,
    0xfa8000df,0xffffcfff,0x3ffea005,0xffffffff,0x801fffff,0xffcffffa,
    0x7fec05ff,0xffffffff,0x3fe6002f,0x1987ffff,0x203fffdc,0x001ffff9,
    0x7ffffff7,0xffff9000,0x7fffc45f,0x7fff405f,0xfffedeff,0x2a0006ff,
    0xff33ffff,0x70000bff,0x007fffff,0x4ffffea0,0x805ffff9,0xfffffffb,
    0xffffffff,0x7fd401ff,0xffff33ff,0x7fffec0b,0xffffffff,0xffff1001,
    0xf9100bff,0xffe809ff,0x3fe6003f,0x8000ffff,0x40fffff9,0x202ffffe,
    0x41fffffb,0x01fffffc,0x3ffff980,0x027fffcc,0xfffff700,0x3fe60003,
    0x7ffcc3ff,0x3ffe204f,0x989befff,0x1fffffda,0x0ffffe60,0x209ffff3,
    0xffeccaa9,0x00ffffff,0x1fffff70,0x3ffffe60,0x3ff200df,0xffb8006f,
    0x2a0002ff,0xfd881dfe,0x7ffec03e,0xffffd02f,0x33310007,0x06666203,
    0x99999800,0x26620000,0x33331019,0x7ffffe40,0x3fffe605,0x2666201f,
    0x03333101,0xffffda80,0x36a005ff,0x3fe600ce,0x300bffff,0x0003ffff,
    0x00002aa2,0x3fe00000,0xff900fff,0x000009ff,0x00000000,0x20000000,
    0x06fffff9,0x0fffffcc,0x00000000,0x1ffffffb,0xff300000,0x03ffffff,
    0x0007fffd,0x00000000,0x3fffe200,0xffffb00f,0x00000005,0x26662000,
    0x98800000,0x3f200099,0x4c02ffff,0x001fffff,0x00000330,0x03fffffd,
    0x26660000,0x5c4fffea,0x00006fff,0x00000000,0x17ffffc0,0x0fffffc4,
    0x7ddddb00,0xeeeee980,0x3ff6e200,0xbeffffff,0x7edc4000,0xefffffff,
    0x3fff600b,0xfff9806f,0xdb8801ff,0x3deffffe,0xfffc8000,0xddd003ff,
    0xffd8009d,0x3fffe65f,0xeeeed801,0x0eeeeeee,0x77776c00,0x0eeeeeee,
    0x3ffff600,0x6ffffc85,0x7ffffc00,0x7fffcc04,0xffffb00f,0xffffffff,
    0x3f6007ff,0xffffffff,0xd03fffff,0x300bffff,0x803fffff,0xffffffe9,
    0x001effff,0x3ffffea0,0xbffff004,0x372b3360,0x3fa3ffff,0xfff004ff,
    0xffffffff,0xfff8001f,0xffffffff,0x3fee000f,0x3ff62fff,0x7c002fff,
    0x4c04ffff,0xb00fffff,0xffffffff,0x7fffffff,0xfffffb00,0xffffffff,
    0xffff07ff,0xfff3009f,0x7fe403ff,0xffffffff,0x0003ffff,0x05fffff7,
    0x0bffff10,0x3ffffffe,0xfff70eff,0x7fffc00d,0xffffffff,0x7fffc000,
    0xffffffff,0x7fff4000,0xffffeaff,0xfff8004f,0x7fcc04ff,0xffb00fff,
    0xffddffff,0x01ffffff,0xffffffd8,0xffffffee,0x3ffe60ff,0xff9803ff,
    0xffb01fff,0xffffffff,0x03ffffff,0xfffffd00,0xffff1003,0x3ffffe0d,
    0xff10cfff,0x7fc003ff,0xffffffff,0x7fc000ff,0xffffffff,0x7d4000ff,
    0xffffffff,0xff0003ff,0xf9809fff,0xfb00ffff,0xfd30137d,0xd809ffff,
    0xe9809bef,0x264fffff,0x803fffff,0x81fffff9,0xfffffff9,0xffffdcbd,
    0x322006ff,0x807fffff,0x06ffffb8,0x03579975,0x8009fffd,0xfdaaaaaa,
    0x4000ffff,0xfdaaaaaa,0x8000ffff,0xfffffffd,0x3e0002ff,0x4c04ffff,
    0x500fffff,0x3ffa2001,0x005406ff,0x6ffffe88,0x13ffffe2,0x3ffffe60,
    0xfffffe81,0xfffff304,0xb999707f,0x5fffffff,0x7ffff5c0,0x5c0007ff,
    0x0000efff,0x1fffff70,0x3fee0000,0xa8000fff,0xcfffffff,0x7ffc0000,
    0x7fcc04ff,0x00000fff,0x00fffff7,0xffffb800,0x27ffffc7,0x7ffffd40,
    0x7ffffd41,0x7fffcc04,0xffffd87f,0x05ffffff,0xffffffd3,0x44000fff,
    0x0002ffff,0x3ffffee0,0xff700000,0xb8001fff,0xffffffff,0x0aaaa981,
    0x13ffffe0,0x1fffff30,0x3fea0000,0x00000fff,0x83ffffea,0x406ffffe,
    0x1fffffe8,0x07ffffec,0x7fffff40,0x7ffffec0,0xf504ffff,0xffffffff,
    0x7ec000ff,0x400004ff,0x00fffffb,0xffff7000,0x7fdc001f,0xffffffff,
    0x17fffe40,0x09fffff0,0x0fffff98,0xfff50000,0x400001ff,0x20fffffa,
    0x01fffffd,0x3ffffffa,0x2fffff41,0xfffffa80,0x7ffffe41,0xfd102eff,
    0xddffffff,0xf50001dd,0x00001fff,0x0fffffb8,0xfff70000,0x3ea001ff,
    0xffffffff,0x7ffec6ff,0x3fffe01f,0x7ffcc04f,0x975000ff,0xffffffdb,
    0x54001fff,0xffffedcb,0x2a0fffff,0x885fffff,0xfffffffd,0x1fffffc1,
    0xfffff980,0x77fffe42,0x7ffe400a,0x00002fff,0x005ffff1,0xffff7000,
    0x2e00001f,0x800fffff,0x8efffff8,0x24fffffd,0x200ffffd,0x404fffff,
    0x00fffff9,0x7fffff5c,0xffffffff,0xffeb800f,0xffffffff,0x7fc0ffff,
    0xc9adffff,0xffffffff,0x3fffe21f,0xfff1003f,0xfffc87ff,0xfffd003f,
    0x400003ff,0x7545fffd,0x4002eeee,0x00fffffb,0xffff7000,0xfff7001f,
    0x3ffa21ff,0xffff3fff,0xfffff80f,0x7fffcc04,0xffff100f,0xffffffff,
    0x401fffff,0xfffffff8,0xffffffff,0x7ffdc0ff,0xffffffff,0x1fffffff,
    0x0bffffea,0x4fffff80,0x017fffdc,0x37ffffc4,0xfff50000,0x7fffc41f,
    0x7dc002ff,0x0000ffff,0x1fffff70,0x9ffffd00,0xffffff88,0x407ffffa,
    0x404fffff,0x80fffff9,0xffffffe8,0xffffffff,0xfd100fff,0xffffffff,
    0xffffffff,0xffffe881,0xbfffffff,0x261fffff,0x002fffff,0x87fffff1,
    0x802ffffb,0x05fffff9,0xffff1000,0xfffffd85,0x7fdc002f,0x00000fff,
    0x01fffff7,0x05fffff0,0xfffffff5,0xff809fff,0x7cc04fff,0xfe80ffff,
    0x80aeffff,0x00fffffa,0x5dfffffd,0xfffff501,0xffffb101,0xf17fffff,
    0x7c43ffff,0x3003ffff,0xa85fffff,0x9801eeee,0x006fffff,0x8bfffb00,
    0xfffdfffa,0x7ffdc002,0x700000ff,0x801fffff,0x00fffff9,0xfffffff7,
    0xfff803ff,0x7fd404ff,0x7fc40fff,0x7d406fff,0xf880ffff,0x5406ffff,
    0x200fffff,0xdffffffc,0x3fffff11,0x04fffff8,0x3fffff50,0x7ffc0000,
    0x40000fff,0x220ffffa,0xfffadfff,0x7ffdc002,0x700000ff,0x801fffff,
    0x01fffff9,0x3ffffff6,0xfffe806f,0x3ffe204f,0x7fd40fff,0x7d402fff,
    0xfa80ffff,0x5402ffff,0x800fffff,0x7cc0aba8,0x7f41ffff,0xd800ffff,
    0x0007ffff,0x7fffff40,0x3fe20005,0x7ffe42ff,0x002fffa8,0x07ffffdc,
    0xfffb8000,0xfff800ff,0x7ff403ff,0xd803ffff,0xd106ffff,0x81ffffff,
    0x01fffffb,0x3fffffa2,0xfffffb80,0x3fffa201,0x980000ff,0x6c1fffff,
    0x403fffff,0x06fffff9,0x64003993,0x1dffffff,0x5fffc800,0xfa97ffcc,
    0x7dc002ff,0x0000ffff,0x1fffff70,0xfffffd00,0x7fffcc01,0xffc802ff,
    0x7ec40fff,0x40ffffff,0x05fffffa,0xffffffd3,0xfffff501,0x3fffa60b,
    0x80000fff,0x41fffff9,0x2ffffff9,0xffffff30,0x9ffff903,0x3fffa200,
    0xaaceffff,0xffff5019,0xaafffe81,0x00acfffc,0x1fffff70,0x3fee0000,
    0xfc800fff,0x20bfffff,0xffffffb9,0x7fdc01ff,0xfc9cffff,0xffffffff,
    0x7ffffcc0,0xfff710bf,0x301fffff,0x17ffffff,0x3ffffee2,0x80000fff,
    0x81fffff9,0xdffffffd,0xffffca9b,0xfff984ff,0xf1001fff,0xffffffff,
    0xfd10ffff,0xfff887ff,0xffffffff,0x2666621f,0xfffffc99,0x80999999,
    0xc9999998,0x999fffff,0x3fa20999,0xffffffff,0xffffffff,0x3e200fff,
    0xffffffff,0xffffffff,0xfffff80f,0xffffefff,0x00ffffff,0xffffffff,
    0xfffffffd,0x00001fff,0x03fffff3,0xfffffff1,0xffffffff,0xfff901ff,
    0x4c009fff,0xffffffff,0xffc87fff,0xffff886f,0xffffffff,0x3fffff61,
    0xffffffff,0xd84fffff,0xffffffff,0xffffffff,0x7ffcc4ff,0xffffffff,
    0xffffffff,0x7ffe406f,0xffffffff,0x80ffffcb,0xfffffffa,0xfddfffff,
    0xff500fff,0xffffffff,0xffffbbff,0xff300001,0x3ee03fff,0xffffffff,
    0x01ffffff,0x7ffffff9,0xfffc8800,0x47ffffff,0x880ffff9,0xfeeeeeee,
    0x3f61eeff,0xffffffff,0xffffffff,0xffffd84f,0xffffffff,0x84ffffff,
    0xffffffea,0xd9efffff,0x205fffff,0xffffffe8,0xfff93fff,0x3fff601f,
    0x4fffffff,0x401ffff9,0xfffffffd,0xfff94fff,0xf300001f,0x4c03ffff,
    0xfffffffe,0x200dffff,0x1ffffff9,0xfff91000,0xfe8fffff,0xfa8003ff,
    0xfffd82ff,0xffffffff,0x4fffffff,0xffffffd8,0xffffffff,0x2e04ffff,
    0xffffffff,0x3fffa22e,0x7fe403ff,0x321dffff,0x2a00ffff,0xdfffffff,
    0x03ffff21,0xffffff50,0x7ffe43bf,0xf980000f,0xb801ffff,0xfffffffe,
    0xfff7002d,0x3100007f,0x64ffd975,0x50006fff,0xffb05fff,0xffffffff,
    0xffffffff,0xfffffb09,0xffffffff,0x009fffff,0x00357531,0x55d4c000,
    0x2a200000,0x00000aab,0x00555d44,0xff300000,0x98003fff,0x10000aba,
    0x00000155,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3aa00000,0x004eeeee,0x01800000,0xddd30000,
    0x3bbb61dd,0x2a00003e,0x04eeeeee,0x99000000,0x77540399,0x0004eeee,
    0x3bae0000,0x3a64eeee,0x4004eeee,0xb3eeeee8,0xb805dddd,0x0005eeee,
    0xfffffa80,0x0000005f,0x3ffffb26,0x80002def,0xd1fffff9,0x0009ffff,
    0xfffffa80,0x0000005f,0x007fffd4,0x3fffffea,0x80000005,0x3ffffffb,
    0x0ffffff8,0x3fffee00,0x7fffff2f,0x6ffffc80,0x00fbfaa0,0xfffffe88,
    0x4c000005,0xfffffffd,0x80004fff,0xd1fffff9,0x0009ffff,0xffffd100,
    0x000000bf,0x802fffec,0x5fffffe8,0x2e000000,0x01ffffff,0x07fffff9,
    0x37ffff40,0x807fffff,0x706ffffc,0x00bfffff,0x5fffffc8,0xff300000,
    0xffffffff,0x300009ff,0x3a3fffff,0x0004ffff,0x3ffff200,0x8000005f,
    0x002ffff8,0x2fffffe4,0x7dc00000,0x200dffff,0x06fffff8,0x7fffff30,
    0x01fffffc,0x21bffff2,0xfffffff8,0x7ffd4002,0x800005ff,0xfffffffe,
    0x004fffff,0xfffff980,0x09ffffd1,0xffa80000,0x00005fff,0xfffb9988,
    0xffa8000f,0x00005fff,0x3ffffee0,0xffffb003,0xfff9003f,0x7fffc1ff,
    0x7ffe403f,0xffff986f,0x88004fff,0x005ffffe,0x3ffff200,0xba99acff,
    0xf980003d,0xffd1ffff,0x000009ff,0xbffffd10,0xedb88000,0x5fffffff,
    0x3ffa2000,0x800005ff,0x01fffffb,0x3ffffea0,0xfffff804,0x1fffffc5,
    0x1bffff20,0x3fffffe6,0x2660004f,0x20000199,0x00ffffff,0xff980000,
    0xfffd1fff,0x0000009f,0x000ccccc,0xffffff50,0x03ffffff,0x19999800,
    0x99980000,0xff800099,0x7d407fff,0x7fc2ffff,0x7e403fff,0xff886fff,
    0x002fffff,0x88000000,0x002fffff,0xfff30000,0x3fffa3ff,0x0000004f,
    0xffc80000,0xffffffff,0x0003ffff,0x00000000,0xffff9000,0x7ffec03f,
    0xfffff87f,0x7fffe403,0xfffff706,0x9988000b,0xf5000009,0x0001ffff,
    0xff98cc00,0xfffd1fff,0x0006209f,0x36000000,0xffffffff,0xffffffff,
    0x00cc0002,0x00660000,0xfffff880,0xfffff104,0x7fffff09,0x6ffffc80,
    0x00fbfaa0,0xffffb710,0x017dffff,0x3fffee00,0x32600007,0xfefffffd,
    0xffd1ffff,0x7f6547ff,0xd800ceff,0x4c03eeee,0x540eeeee,0xacffffff,
    0xfffffffa,0xb71000ff,0x7bdffffd,0x76dc4000,0x03deffff,0x3ffffec0,
    0x1fffffa8,0x03fffff8,0x037fffe4,0xfffd8000,0xffffffff,0xc8003fff,
    0x0007ffff,0xfffffd88,0xffffffff,0x7ffffd1f,0x3ffffff2,0x7fc00eff,
    0x7cc04fff,0x7f40ffff,0x3ee1ffff,0xffffffff,0xfffe9803,0xefffffff,
    0x7ff4c001,0xffffffff,0xfff5001e,0xfffb05ff,0x3fffe0df,0x7ffe403f,
    0xb000006f,0xffffffff,0x7fffffff,0xffffc800,0x7fdc0007,0xffffffff,
    0xd1ffffff,0xffb7ffff,0xffffffff,0x7fffc01d,0x7ffcc04f,0x3ffea0ff,
    0x7fff42ff,0x06ffffec,0x7fffffe4,0xffffffff,0xffff9003,0xffffffff,
    0x3fe007ff,0x7fc45fff,0xfff02fff,0xffc807ff,0x000006ff,0xdffffffb,
    0xfffffffd,0x7fe4001f,0x2a0007ff,0xffffffff,0xffffffff,0xfffffd1f,
    0xffffffff,0x7c0bffff,0x4c04ffff,0x360fffff,0x7c46ffff,0xfffb9fff,
    0xfffb01ff,0xffffffff,0x803fffff,0xfffffffd,0xffffffff,0xfffc801f,
    0x3ffee0ff,0x3fffe07f,0x7ffe403f,0xb000006f,0xd30137df,0x889fffff,
    0xfecccccc,0xccccffff,0xf883cccc,0x9befffff,0xffffda98,0xfffffd1f,
    0xfd79ffff,0x203fffff,0x404fffff,0x20fffff9,0x5c3ffffe,0x3ffe6fff,
    0xfff982ff,0xdcbdffff,0x06ffffff,0x3fffffe6,0xfffdcbdf,0xf9806fff,
    0x3fa3ffff,0x3fe04fff,0x7e403fff,0x00006fff,0x3a200150,0x7cc6ffff,
    0xffffffff,0xffffffff,0xffd86fff,0x3e605fff,0xffd1ffff,0x905fffff,
    0x209fffff,0x404fffff,0x20fffff9,0x741fffff,0x3ffe4fff,0xfffe83ff,
    0xfff304ff,0x3fa07fff,0xf304ffff,0x007fffff,0x26dffffd,0x201fffff,
    0x403fffff,0x006ffffd,0xf7000000,0xff98ffff,0xffffffff,0xffffffff,
    0x7ffd46ff,0x7fcc06ff,0xfffd1fff,0x7fc05fff,0xff80ffff,0x7cc04fff,
    0xff10ffff,0x7fc41fff,0x3fffa1ff,0x7fffd44f,0x7ffcc04f,0xfffa87ff,
    0x7fcc04ff,0xfa807fff,0xffc8ffff,0x7ffc06ff,0x3fee04ff,0x00006fff,
    0xfff50000,0x7ffcc1ff,0xffffffff,0xffffffff,0x7fffe46f,0x7ffcc02f,
    0xffffd1ff,0xfffc807f,0xffff81ff,0x7ffcc04f,0xffff50ff,0x46fffb8f,
    0x6c4ffffd,0x800fffff,0x40fffffe,0x00fffffd,0x0fffffe8,0xbfffff80,
    0x403fffff,0x506fffff,0x0fffffff,0x0000aba8,0x3fffea00,0x3bbba20f,
    0xffffffee,0xeeeeeeee,0x37fffec5,0x7ffffcc0,0x0bffffd1,0x5fffff50,
    0x09fffff0,0x0fffff98,0x41fffff5,0x7f43fffe,0x7ff43fff,0xff5005ff,
    0xffe83fff,0xff5005ff,0xf9003fff,0xffffffff,0xffff801f,0x7ffcc0ff,
    0x880fffff,0x002ffffe,0xffdb9750,0x1fffffff,0x3ffff200,0xfffe8007,
    0xfff9805f,0xffffd1ff,0xffff3009,0xfffff07f,0xffff9809,0xfffff30f,
    0x07fffe63,0xf85fffff,0x3003ffff,0xf85fffff,0x3003ffff,0x005fffff,
    0xfffffff3,0xfff009ff,0xfb37ffff,0xffffffff,0x7fff413b,0x2e000fff,
    0xfffffffe,0x0fffffff,0xfffff900,0xfffff000,0xffff3009,0x3ffffa3f,
    0xffff8804,0xfffff84f,0x7fffcc04,0xfffff10f,0x11bffee5,0x443fffff,
    0x003fffff,0x47fffff1,0x03fffff8,0x7fffff10,0x3ffffa00,0xf801ffff,
    0xffffffff,0xffffffff,0xff32ffff,0x007fffff,0xfffffff1,0xffffffff,
    0x3f2001ff,0x4c007fff,0x803fffff,0xd1fffff9,0x1009ffff,0xf09fffff,
    0x9809ffff,0x3e0fffff,0xffd4ffff,0xffffb87f,0x3fffea0f,0x3ffe002f,
    0x3ffea4ff,0x3fe002ff,0xf7004fff,0x0dffffff,0x3fffffe0,0x9fffffff,
    0x2ffffffe,0xfffffff5,0xfffe8809,0xffffffff,0x00ffffff,0x0fffff90,
    0xfffff980,0xffff9803,0x9ffffd1f,0xfffff300,0x9fffff07,0xfffff980,
    0x3fffff20,0x740ffffa,0x7cc6ffff,0x1002ffff,0x4c7fffff,0x002fffff,
    0x07fffff1,0x3ffffe20,0xfff002ff,0xffffffff,0x3fffea3f,0xffff12ff,
    0xfe807fff,0x80aeffff,0x00fffffa,0x0fffff90,0xfffff880,0xffff9804,
    0x9ffffd1f,0xfffff500,0x9fffff03,0xfffff980,0x3ffffea0,0x7ec6ffff,
    0x7c41ffff,0x3003ffff,0x445fffff,0x003fffff,0x05fffff3,0x7ffffe40,
    0x3fffe006,0x1dffffef,0x17ffffe4,0x1ffffffb,0x7ffffc40,0x7fffd406,
    0xfff9000f,0xfff000ff,0xff5009ff,0x3ffa3fff,0xffb804ff,0xfff80fff,
    0x7fd404ff,0x7ff40fff,0x8bffffff,0x5fffffea,0x09fffff0,0x3ffffea0,
    0x27ffffc1,0xfffffa80,0x3fff6001,0x3fe002ff,0x0aa99fff,0x102aaa20,
    0x803ffffd,0x02fffffa,0x07ffffd4,0x7ffffc80,0xffffe800,0x7fff4406,
    0xffffd1ff,0xffffd009,0x3ffffa0f,0x3fffe204,0x7ffcc0ff,0xffffffff,
    0x01ffffff,0x01fffffd,0x0fffffb0,0x01fffffd,0x0fffffb0,0x7ffffc40,
    0x7fffc006,0x9800001f,0xffb800ab,0x3a201fff,0x000fffff,0x00fffff9,
    0x3fffffb0,0x7fffff40,0x9ffffd1f,0xfffffa80,0xdffffb05,0x3ffffa20,
    0xfffb80ff,0xffffffff,0x3602ffff,0x403fffff,0x86fffff9,0x03fffffd,
    0x37ffffcc,0xfffffd00,0xffff8007,0x0000002f,0xfffffa80,0xffffd305,
    0x3f2001ff,0xa8007fff,0x885fffff,0xfffffffd,0x09ffffd1,0x7fffffcc,
    0xfffff901,0xffffd881,0xff500fff,0xffffffff,0xf9801bff,0x302fffff,
    0x03ffffff,0x5ffffff3,0x3ffffe60,0xfffb001f,0xff000bff,0x00007fff,
    0xfff30000,0x2e217fff,0xffffffff,0xffff9000,0x3ffe000f,0xfc9adfff,
    0xffffffff,0x3bffffd1,0xfffffb98,0x3ffee03f,0xffc9cfff,0x0fffffff,
    0x3ffffea0,0x003dffff,0x3ffffff6,0xfffca9bd,0x3f604fff,0x9bdfffff,
    0xffffffca,0xeb999984,0x00efffff,0x3fffff80,0x00000000,0xffffffff,
    0xfffffffd,0x32001fff,0x0007ffff,0xfffffff7,0xffffffff,0x3ffa3fff,
    0xffffffff,0x06ffffff,0x7fffffc4,0xffffffff,0x3200ffff,0x0abbefff,
    0xffff1000,0xffffffff,0x401fffff,0xfffffff8,0xffffffff,0xfffd80ff,
    0x1fffffff,0xfffff000,0x00000007,0x3ffffea0,0xdfffffff,0x000ffffd,
    0x00fffff9,0x3ffffa20,0xbfffffff,0xfd1ffffc,0xffffffff,0x3dffffff,
    0xfffff900,0x97ffffff,0x7c01ffff,0x00002fff,0x3fffffee,0xffffffff,
    0xfffb801f,0xffffffff,0xfb01ffff,0xffffffff,0x7ffc0005,0x000003ff,
    0x3fff6000,0x4fffffff,0x001ffff9,0x01fffff2,0xffffd880,0xf93fffff,
    0x3ffa3fff,0xffffffff,0x2003ffff,0xffffffe8,0xfff93fff,0x3ffea01f,
    0x4c00000f,0xfffffffe,0x000dffff,0x3fffffa6,0x0dffffff,0x3fffff60,
    0x40000dff,0x003fffff,0x54000000,0xdfffffff,0x03ffff21,0x3ffffe40,
    0x7ffe4000,0x3ee1dfff,0xd9511fff,0xffffffff,0x3200019d,0x1dffffff,
    0x403ffff2,0x0005fffd,0x3fffae00,0x002dffff,0x3ffffae0,0xd802dfff,
    0x02efffff,0xfffff000,0x00000007,0x2aaea200,0x7e400000,0x00007fff,
    0x0002aea2,0x02aa6660,0x57530000,0xeed80001,0x0000002e,0x00015753,
    0x01575300,0x00aaa880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x36a00000,
    0x26001eee,0x4000deee,0x000deeeb,0x3bbbbb62,0xdd70001e,0x000009dd,
    0xdddb1000,0x36a01bdd,0x26001eee,0x0000deee,0xeeeed800,0x0eeeeeee,
    0x1f7776c0,0xa9880000,0xabceeedc,0x55555501,0x55555555,0x7ff4c155,
    0x3a001fff,0x5c003fff,0x00efffff,0x3ffff620,0xfc8001ff,0x00006fff,
    0x7ff44000,0xe980efff,0x001fffff,0x800ffffa,0x7c007db9,0xffffffff,
    0x7f400fff,0x00004fff,0x7ffffe44,0x5fffffff,0xffffffe8,0xffffffff,
    0xfffffb2f,0x3f2003ff,0x7dc006ff,0x06ffffff,0xfffffb80,0x7fe4001f,
    0x000006ff,0x3fffa200,0xfffb04ff,0x2003ffff,0x5006fffc,0x800fffff,
    0xffffffff,0x7400ffff,0x0004ffff,0x3ffffee0,0xffffffff,0xffffe85f,
    0xffffffff,0xfff92fff,0x3003ffff,0x4003ffff,0xffcffffa,0xe98005ff,
    0x001fffff,0x01bffff2,0x74400000,0x202fffff,0xfffffffc,0xffff9801,
    0xffff7001,0xffff800f,0xffffffff,0x7ffff400,0xff700004,0xffffffff,
    0xd0bfffff,0xffffffff,0x5fffffff,0x3ffe77e6,0xfffe801f,0x3ffea003,
    0xbffff33f,0xfffb1000,0x3f2003ff,0x00006fff,0xfffe8800,0x6fcc00ef,
    0x801ffff9,0x2003fffe,0x007ffffb,0x76666664,0x400fffff,0x004ffffe,
    0xfffff980,0xffffffff,0xffe85fff,0xffffffff,0x862fffff,0x6401ffff,
    0x26006fff,0x7cc3ffff,0x70004fff,0x003fffff,0x00dffff9,0xfe880000,
    0x86004fff,0x6401ffff,0x5c006fff,0x0007ffff,0x1fffff70,0x4ffffe80,
    0xfffe8000,0x9880beff,0x999885db,0xfa999999,0xff02ffff,0x7fcc03ff,
    0x262001ff,0x33310199,0x4cc40003,0xffc80099,0x000006ff,0x04cccc40,
    0x3ffff000,0x0ffffcc0,0x3fffee00,0xff700007,0xfe801fff,0x40004fff,
    0x0ffffff8,0xf3000000,0x3e05ffff,0x3fa01fff,0x000003ff,0x00000000,
    0x01bffff2,0x00000000,0x03ffff00,0x001ffff4,0x03ffffdc,0xffffb800,
    0x7fff400f,0x7cc0004f,0x0004ffff,0x3ffe6000,0xffff02ff,0x1bffee03,
    0x00000000,0xff900000,0x00000dff,0xf8000000,0xff701fff,0xeeeb80df,
    0xfffffeee,0xeeeeeeee,0xffffb805,0x7fff400f,0x0099884f,0x27ffffdc,
    0xf3000000,0x3e05ffff,0xff981fff,0x76c001ff,0xeeeeeeee,0x76c000ee,
    0xeeeeeeee,0x7fe400ee,0x775c06ff,0x3601eeee,0xeeeeeeee,0xf0000eee,
    0xff303fff,0xffc803ff,0xffffffff,0xffffffff,0xfffb807f,0x7ff400ff,
    0x3ffae3ff,0xff504eff,0x0001ffff,0x3ffe6000,0xffff02ff,0x09fffd03,
    0xffffff00,0x01ffffff,0xffffff80,0x00ffffff,0x037fffe4,0x7ffffff3,
    0xffffff80,0x00ffffff,0x03ffff00,0x9009fffd,0xffffffff,0xffffffff,
    0xf700ffff,0xe801ffff,0xfd8bffff,0xefffffff,0x7ffffc40,0x000001ef,
    0x2fffff98,0xb83ffff0,0xf0006fff,0xffffffff,0xf8001fff,0xffffffff,
    0x7e400fff,0xff106fff,0xf009ffff,0xffffffff,0x20001fff,0x7dc1ffff,
    0xff9006ff,0xffffffff,0xffffffff,0xfff700ff,0xffe801ff,0xffffebff,
    0x85ffffff,0xffffffff,0x2000002d,0x02fffff9,0x7c43ffff,0xf0001fff,
    0xffffffff,0xf8001fff,0xffffffff,0x7e400fff,0xfe886fff,0xf005ffff,
    0xffffffff,0x20001fff,0x3e21ffff,0x53001fff,0xfffb5555,0x555557ff,
    0xff700555,0xfe801fff,0xffffffff,0xffffffff,0x7ffffdc1,0x00beffff,
    0x7ffcc000,0x333302ff,0x004fffe8,0x2aaaaaa0,0x00fffffd,0x55555540,
    0x00fffffd,0x437fffe4,0x05fffffd,0x2aaaaaa0,0x00fffffd,0xe8333300,
    0x80004fff,0x007ffffb,0xfffff700,0xffffe801,0xfccfffff,0xd85fffff,
    0xffffffff,0x0001dfff,0x5fffff30,0xefffb800,0xfb800000,0x0000ffff,
    0x1fffff70,0x6ffffc80,0x77ffffe4,0xffb80000,0x00000fff,0x0077ffdc,
    0x7fffdc00,0xff700007,0xfe801fff,0x42ffffff,0x86fffff8,0xffffffd8,
    0x0dffffff,0x7ffcc000,0x3e2002ff,0x00002fff,0x1fffff70,0x3fee0000,
    0x7e400fff,0x3fea6fff,0x0000efff,0x1fffff70,0x7fc40000,0x700002ff,
    0x000fffff,0x3ffffee0,0x7ffff400,0xfff902ff,0x7ffdc0ff,0xffffffff,
    0x260002ff,0x002fffff,0x0013fff6,0xffffb800,0xf700000f,0xc801ffff,
    0xff36ffff,0x0003ffff,0x7ffffdc0,0x3f600000,0x200004ff,0x007ffffb,
    0xfffff700,0xffffe801,0x3ffea03f,0x7f5c00ff,0xffffffff,0xf30001ff,
    0x2005ffff,0x000ffffa,0x3ffee000,0x700000ff,0x801fffff,0xf8effffc,
    0x001fffff,0x7fffdc00,0xf500000f,0x00001fff,0x03ffffdc,0xffffb800,
    0x7fff400f,0x7ffcc05f,0xf93001ff,0xffffffff,0x3fe6000d,0xf8802fff,
    0x00002fff,0x7ffffdc0,0xff700000,0xfc801fff,0xfffeefff,0x800002ff,
    0x00fffffb,0xffff8800,0x80009982,0x007ffffb,0xfffff700,0xffffe801,
    0x7fffcc04,0x75c4001f,0x2fffffff,0xffff9800,0xfffd802f,0x77777545,
    0x3fee0002,0x00000fff,0x01fffff7,0xffffffc8,0x0004ffff,0xfffff700,
    0xffb00001,0x7fff5cbf,0x3ee002ef,0x00007fff,0x01fffff7,0x04ffffe8,
    0x0fffffcc,0xffff9000,0xf30009ff,0xa805ffff,0x3e20ffff,0x002fffff,
    0x3ffffee0,0xff700000,0xfc801fff,0xffffffff,0x800000ff,0x00fffffb,
    0x7fffd400,0xffffff88,0xf7002fff,0x0000ffff,0x03ffffee,0x09ffffd0,
    0x1fffff98,0x7ffec000,0xf98005ff,0x2202ffff,0x7ec2ffff,0x002fffff,
    0x3ffffee0,0xff700000,0xfc801fff,0xfffbefff,0x00000eff,0x07ffffdc,
    0xffff1000,0x7ffffe45,0xf7006fff,0x0000ffff,0x03ffffee,0x09ffffd0,
    0x1fffff98,0x7ffd4000,0xfb8006ff,0x3601ffff,0x7fd45fff,0x002fffdf,
    0x3ffffee0,0xff700000,0xfc801fff,0xfffb6fff,0x80000bff,0x00fffffb,
    0x17fff600,0x7ffdc5d1,0xffff7007,0x3ee0000f,0x7400ffff,0x4c04ffff,
    0x001fffff,0x7ffffcc0,0xfffc8004,0xfff500ff,0x6fffc41f,0x0002fffa,
    0x03ffffee,0x7ffdc000,0x7fe400ff,0xffff16ff,0x400007ff,0x00fffffb,
    0x1ffff500,0x0dfff300,0x3ffffee0,0xffb80000,0x7f400fff,0x7cc04fff,
    0x0001ffff,0x17ffffdc,0x3fffe200,0xffff107f,0xa8fffc85,0x20002fff,
    0x00fffffb,0xffff7000,0xfffc801f,0x3fffe66f,0x700002ff,0x001fffff,
    0x05ffff10,0x013fff60,0x1fffffd4,0x7ffdc000,0x7ff400ff,0x7fcc04ff,
    0x15bb1fff,0x3fffee00,0x805d10ff,0x05fffffc,0xf98bfff9,0x5fff52ff,
    0x7ffdc000,0x700000ff,0x801fffff,0x5c6ffffc,0x01ffffff,0xffffb800,
    0xffc8000f,0xffd8805f,0xff3001ff,0x0000bfff,0x01fffff7,0x04ffffe8,
    0x8fffffcc,0xacdefffd,0xffffccaa,0x3fe26fff,0xfea99acf,0xa82fffff,
    0x7f40ffff,0xfffcaaff,0xfb8000ac,0x0000ffff,0x1fffff70,0x6ffffc80,
    0xefffffd8,0x7fdc0000,0x54000fff,0x4400ffff,0x001ffffe,0x3fffffe2,
    0xb8039883,0x400fffff,0x404ffffe,0xb1fffff9,0xffffffff,0xffffffff,
    0x7ffc41df,0xffffffff,0xfe885fff,0x7ffc43ff,0xffffffff,0x3333101f,
    0xfffff933,0x01333333,0x93333331,0x333fffff,0x3ff21333,0xfff886ff,
    0x98805fff,0xffc99999,0x99999fff,0xfffe8809,0x7fffcc03,0xffe8000e,
    0xffffffff,0x333317ff,0xfffff933,0x21333333,0x404ffffe,0xb1fffff9,
    0xffffffff,0xffffffff,0xffff883f,0xffffffff,0xfffc80ff,0xfffff886,
    0x1fffffff,0xffffffb0,0xffffffff,0xfb09ffff,0xffffffff,0xffffffff,
    0x3ffff29f,0xfffff506,0xfffd809f,0xffffffff,0x4fffffff,0x406fffc8,
    0x99effffb,0xff300099,0xffffffff,0x3fff6fff,0xffffffff,0x4fffffff,
    0x809ffffd,0xb1fffff9,0xffffffff,0xbfffffff,0xfffff103,0xbfffffff,
    0x1ffff301,0xdddddd10,0x03ddfffd,0x3ffffff6,0xffffffff,0xfd84ffff,
    0xffffffff,0xffffffff,0xdffff94f,0x7ffffe40,0x3fff602f,0xffffffff,
    0x4fffffff,0x007fffcc,0xfffffff1,0x5c007fff,0xffffffff,0xfffb7fff,
    0xffffffff,0x9fffffff,0x013ffffa,0x23fffff3,0xfffffeca,0x0cffffff,
    0x7fff5c40,0x201dffff,0x8003fffe,0x6c02fffa,0xffffffff,0xffffffff,
    0xfffd84ff,0xffffffff,0x4fffffff,0x80dffff9,0x1ffffffe,0xffffffb0,
    0xffffffff,0xfe89ffff,0x7fc403ff,0xffffffff,0x7fe44003,0x6fffffff,
    0xfffffffb,0xffffffff,0x3ffa9fff,0x7fcc04ff,0x55301fff,0x00135575,
    0x026aa620,0x01bfff20,0x017ffd40,0x3ffffff6,0xffffffff,0xfd84ffff,
    0xffffffff,0xffffffff,0xdffff94f,0xfffff880,0xfffd80ef,0xffffffff,
    0x4fffffff,0x201bfff2,0xfffffff8,0x10003fff,0x83557553,0xfffffffd,
    0xffffffff,0xfffd4fff,0xfff9809f,0x000001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x00abdeca,0x3b2a2000,0x800000bc,0xcceedba9,0x54c0001b,
    0x01bcdeec,0x9dd97530,0xaaa80157,0x551001aa,0x40001555,0x002aaa98,
    0xaa801880,0xaaaaaaaa,0x02aaaaaa,0xbddd9751,0x40000579,0x1acdecb9,
    0xffffb800,0x02ffffff,0x3fffae00,0x00dfffff,0x3fff6600,0xffffffff,
    0xfd7000df,0xffffffff,0x3f6607ff,0xffffffff,0xffff00cf,0x3fe2007f,
    0x71002fff,0xffffffdb,0xdca8001f,0xcdffffff,0x3fffffe1,0xffffffff,
    0xfffd87ff,0xffffffff,0x3aa0003f,0xffffffff,0xffd8802f,0xffffffff,
    0x6c4004ff,0xffffffff,0x8001efff,0xfffffffc,0xffffffff,0x7fff4400,
    0xffffffff,0xfffc84ff,0xffffffff,0xfff81fff,0xff1003ff,0xc9805fff,
    0xffffffff,0xd5000fff,0xffffffff,0x7ffc7fff,0xffffffff,0x447fffff,
    0xffffffff,0x0fffffff,0x3fff6200,0xffffffff,0xfff300df,0xffffffff,
    0x001bffff,0xffffffd1,0xffffffdb,0x3ffa6005,0xffffffff,0x00ffffff,
    0x3fffffea,0xffffffff,0x7fffdc4f,0xffffffff,0x7fc1ffff,0xf1003fff,
    0x5c05ffff,0xffffffff,0x400fffff,0xffffffd8,0x3fffffff,0x3ffffffe,
    0xffffffff,0x7fffc47f,0xffffffff,0xb000efff,0xffffffff,0x0dffffff,
    0xfffffff1,0xffffffff,0xff980bff,0x5441beff,0x403ffffd,0xfffffffa,
    0xffffffff,0xff900fff,0xffffffff,0x49ffffff,0xeffffff9,0xffffecac,
    0x7fffc6ff,0xfff1003f,0x3ff205ff,0xffffffff,0x2200ffff,0xfffffffe,
    0x3fffffff,0x3ffffffe,0xffffffff,0x7fffc47f,0xffffeeef,0xa804ffff,
    0xdeffffff,0x1fffffdc,0xffffffc8,0xffeca9bd,0x3601ffff,0xd800efff,
    0x3a00ffff,0xcfffffff,0xfcba989b,0xfff880ff,0x9aceffff,0x24ffdaa9,
    0x01fffffc,0xf1fffffa,0x2007ffff,0x82fffff8,0xfffffffd,0x1999abcd,
    0x7ffffe40,0xeeccdeff,0x3fffe3ff,0xeeeeeeef,0x7445eeee,0xffb300ac,
    0xfd00ffff,0x2e05ffff,0xfff882ff,0xfd101fff,0x260bffff,0x2000efff,
    0xf704fffd,0x01bfffff,0x3f6036a0,0x803fffff,0x3fffa2a8,0x7ffd405f,
    0x3fffe1ff,0xfff1003f,0xfff985ff,0x0000cfff,0x3fffffe6,0xf8b2600e,
    0x0000ffff,0x3fffa000,0x3fe600ff,0x14c03fff,0x2fffffc8,0x7ffff440,
    0x0fffd80f,0x74355310,0x7fc40fff,0x0003ffff,0xffffff30,0x7ffc0005,
    0xfff802ff,0x3fffe1ff,0xfff1003f,0xfffe85ff,0xe80001ff,0x004fffff,
    0x01fffff0,0x7dc00000,0x2a01ffff,0x0007ffff,0x1bffffe2,0x7ffffdc0,
    0x42fffcc4,0x27ffffea,0x7e44fffb,0x0005ffff,0x3fffffa0,0x7ffc0003,
    0x7fc403ff,0x3ffe0fff,0xff1003ff,0x7fd45fff,0x80004fff,0x0ffffff9,
    0xfffff000,0x40000001,0x01fffffa,0x017fffee,0xfffffb80,0xffff3003,
    0x1fffd8df,0x7fffffe4,0x83fffe27,0x01ffffff,0xffff3000,0xe80001ff,
    0x200effff,0x7c7ffffc,0x1003ffff,0x6c5fffff,0x0006ffff,0x7fffff50,
    0x7fffc000,0x0000000f,0x03ffffee,0x04ffffd8,0x3ffff200,0x3ffa000f,
    0x37ffc7ff,0x3fffffee,0x8fffe47f,0x05fffff8,0x3ffea000,0xc80004ff,
    0x80efffff,0x43fffffa,0x003fffff,0x45fffff1,0x005fffff,0xfffff900,
    0x7ffc0001,0x000000ff,0x17ffffa0,0x09ffffb0,0x7ffff400,0x7ffec007,
    0x13ffe27f,0x559ffffd,0x52fffa89,0x005fffff,0x7fffdc00,0xf880002f,
    0x0bffffff,0x0dfffff7,0x007fffff,0x4bffffe2,0x43fffff8,0x36000998,
    0x0007ffff,0x4d7ffffc,0x10000009,0x03fffffb,0x04ffffd8,0x3ffffe00,
    0x7ffe4006,0x7fff30ff,0x01ffffd4,0x7dcfffe6,0x0001ffff,0x3fffff60,
    0xff500001,0xfdffffff,0xf01dffff,0x2007ffff,0x52fffff8,0xd75fffff,
    0x7dffffff,0x6fffff80,0x7fffc000,0xdfffffff,0x3331000b,0xfffff975,
    0xfffb003f,0x7fc0009f,0x5c006fff,0xf51fffff,0x7ffe45ff,0x4fff8807,
    0x01fffff9,0xfffffff3,0x7ff43fff,0x00000fff,0x3fffffea,0x0dffffff,
    0x07fffff0,0x3ffffe20,0xffffff72,0xffffffff,0x3fe03dff,0x40007fff,
    0xffffffff,0x0cffffff,0x7ffffd40,0x00dfffff,0xfffd9991,0x999999df,
    0xfff10799,0xfb800bff,0xff72ffff,0x37ffec3f,0xfb5fff80,0x3e60ffff,
    0xffffffff,0x3ffffe1f,0xe9800007,0xffffffff,0x7fffc06f,0xfff1003f,
    0x3fff25ff,0xffffffff,0x2fffffff,0x0fffffe8,0x3fffe000,0xffffffff,
    0x2a00efff,0xffffffff,0xff300aff,0xffffffff,0xbfffffff,0xbfffff10,
    0xffffa800,0x43fff93f,0xf006fffe,0x3fffadff,0xffff307f,0x23ffffff,
    0x07fffff8,0xffd88000,0xffffffff,0xfffff01e,0x3ffe2007,0xffff92ff,
    0xffffffff,0x1fffffff,0x2fffffd8,0x3fffe000,0xffffffff,0x500effff,
    0xffffffff,0xf309ffff,0xffffffff,0xffffffff,0x3ffffe0b,0x7ffdc005,
    0x5fff72ff,0x803fffec,0xfffd5fff,0x3ffe60ff,0x1fffffff,0x01fffffe,
    0xffff3000,0xffffffff,0xffff05ff,0x3fe2007f,0xfffb2fff,0x557bffff,
    0xffffffb7,0xfffffc8b,0x26660006,0xfdbaa999,0x04ffffff,0xfffffff5,
    0x1dffffff,0x7fffffcc,0xffffffff,0xfff05fff,0xfb800dff,0xff52ffff,
    0x7fffe45f,0xa7ffc401,0x80fffffd,0xffdcccc8,0x3ffe1fff,0x00000fff,
    0x9ffffff3,0xfffffff9,0xfffff85f,0xffff1003,0x3ffff65f,0x7ffdc03f,
    0x7ffcc7ff,0x00003fff,0x7ffff440,0x6d4c006f,0x25ffffff,0xfffeccc8,
    0xccccccef,0xfffd03cc,0xffc800df,0xfff31fff,0x6ffffdc7,0x4fffe601,
    0x01fffffc,0x3fffff30,0x0ffffff4,0x7ffcc000,0x3f221fff,0x7c6fffff,
    0x1003ffff,0x325fffff,0x800fffff,0x41fffffd,0xdffffffd,0x80015400,
    0x0fffffe8,0xffff3000,0x3ff605ff,0x360004ff,0x4007ffff,0x10fffffd,
    0x7fc49fff,0x47eeffff,0xff52fffa,0x26005fff,0x321fffff,0x002fffff,
    0xfffffd80,0xfffff500,0x7ffffc7f,0xffff3003,0x3fffee3f,0xfffa800f,
    0x7ffd42ff,0xacdfffff,0x004ffdca,0x3fffff20,0x3fea0002,0xffb04fff,
    0x640009ff,0x001fffff,0xf1bffffe,0xfffb8fff,0x7ec7ffff,0xffff31ff,
    0x3fe600bf,0x3fee1fff,0x40005fff,0x02fffff9,0x2fffffd4,0x007fffff,
    0x43ffffe6,0x01fffffb,0x3fffff98,0xffffffd8,0xffffffff,0x3ea0004f,
    0x0003ffff,0x837ffffc,0x004ffffd,0x3ffffee0,0xffff3004,0x2fffd89f,
    0x7fffffe4,0x89bffe27,0x00ffffff,0x1fffff98,0x3fffffea,0x3fee0001,
    0xffd007ff,0x7fff4dff,0xfff5004f,0x7fffd4ff,0xfff9802f,0xfff902ff,
    0xffffffff,0x40009fff,0x02fffffa,0x7ffffc00,0x9ffffb06,0x7ffc4000,
    0xff9006ff,0xffa83fff,0xffed986f,0x0ffff26f,0x09fffffd,0x3fffff30,
    0x7fffffc4,0x3ff20005,0xff9006ff,0x7ffecfff,0xfff7005f,0x7fffccdf,
    0xfffa805f,0x3fee01ff,0xffffffff,0x20004fff,0x00fffffc,0x3fffe200,
    0xffffb04f,0xffd80009,0x7d404fff,0xfd05ffff,0x204405ff,0xf986fff8,
    0x403fffff,0x41fffff9,0x4ffffffb,0xfffc8400,0xfffb007f,0x7fffe4bf,
    0xffff801f,0x7ffffc5f,0x7ffec00f,0xffd5007f,0x7bffffff,0x3fe60001,
    0x40006fff,0x02fffffc,0x009ffffb,0xfffff980,0xffff303f,0x3fea03ff,
    0xfd1002ff,0x3ff607ff,0x300dffff,0xf03fffff,0x3dffffff,0xfaa75c40,
    0x4c03ffff,0x2a3fffff,0x00dfffff,0x0bfffff2,0x0bfffff7,0x2fffffdc,
    0xdffff100,0xd3000013,0x009fffff,0x7ffffdc0,0xffffb01f,0xffd00009,
    0xb7bfffff,0xbffffffd,0x2ffffe80,0x37fff440,0xffffff10,0xd957bdff,
    0x503fffff,0xffffffff,0xfffb99df,0x3fffe69f,0x7d40acff,0x741fffff,
    0x9befffff,0xffffda98,0xfffff05f,0xfb5135df,0x003fffff,0x01ffffd4,
    0x2666af6a,0xffffeba9,0x2b320eff,0xcaa9999a,0x4fffffff,0x3ffb3322,
    0xccccceff,0x83cccccc,0xfffffff9,0xffffffff,0x7fcc00ff,0x731bdfff,
    0x03dffffb,0xffffffb8,0xffffffff,0xfd01ffff,0xffffffff,0x9fffffff,
    0x7fffffec,0xfffffeff,0xffa84fff,0xffffffff,0x0fffffff,0xffffff70,
    0xffffffff,0xfc8007ff,0x7dc00fff,0xffffffff,0x0fffffff,0x7ffffff4,
    0xffffffff,0x7ffcc5ff,0xffffffff,0xffffffff,0xffff305f,0xffffffff,
    0x22003dff,0xfffffffe,0x0effffff,0xfffff500,0xffffffff,0x5c03ffff,
    0xffffffff,0x4fffffff,0x3fffffa2,0xffffffff,0x3ff605ff,0xffffffff,
    0x403fffff,0xfffffffd,0x5fffffff,0x5fffd800,0xfffffb80,0xffffffff,
    0xfffe81ff,0xffffffff,0x4c0effff,0xffffffff,0xffffffff,0x2205ffff,
    0xfffffffe,0x0004ffff,0xfffffffb,0x000bffff,0xffffffb1,0xffffffff,
    0xffe9801d,0xffffffff,0x7ec43fff,0xffffffff,0x400cffff,0xfffffffb,
    0x01efffff,0xffffff70,0x05ffffff,0x0bfffe00,0x3ffffee0,0xffffffff,
    0xffffd00b,0xffffffff,0x3fe605df,0xffffffff,0xffffffff,0xfdb805ff,
    0x2dffffff,0x7f654000,0x02ceffff,0x7ff6d400,0xceffffff,0x7f65c001,
    0xbdffffff,0x3fff6600,0x0cffffff,0x3fff6200,0x03efffff,0xffffd980,
    0x000cffff,0x00ffff10,0x3fffffee,0x803dffff,0xfffffffe,0x402defff,
    0xfffffff9,0xffffffff,0x005fffff,0x00055d44,0x01573000,0x5d4c0000,
    0x0000099a,0x00066aa2,0x04d5d4cc,0x5d4c4000,0x2200001a,0x00009ab9,
    0x002ccc98,0x4d5554cc,0xaa998000,0x00009aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x00acddba,0x555554c0,0x00009aaa,0x00aaaaaa,0x15555530,
    0xa8000000,0x0001aaaa,0x5554c000,0xaaaaaaaa,0x2aaaa22a,0xaaaaaaaa,
    0xaaaaaaaa,0x2aaaaa1a,0x0009aaaa,0x55555530,0x55555555,0x22555555,
    0xaaaaaaaa,0xaaaaaaaa,0xd51aaaaa,0x5409dddd,0xffffffff,0xff9001ef,
    0xffffffff,0x640079df,0x003fffff,0x03fffffa,0x6400075c,0xfffff81d,
    0x40000004,0xffffffff,0x30ffffff,0xffffffff,0xffffffff,0x7c9fffff,
    0xffffffff,0x003cefff,0xfffffff9,0xffffffff,0x3e6bffff,0xffffffff,
    0xffffffff,0xff53ffff,0x3f209fff,0xffffffff,0xfc802fff,0xffffffff,
    0x01efffff,0xffffff88,0xffffb800,0x4fffa83f,0x67ffcc00,0x13ffffe0,
    0xfa800000,0xffffffff,0xf30fffff,0xffffffff,0xffffffff,0x7fc9ffff,
    0xffffffff,0x01efffff,0x7fffffe4,0xffffffff,0xf35fffff,0xffffffff,
    0xffffffff,0x3e67ffff,0x6c44ffff,0xffffffff,0x04ffffff,0x7fffffe4,
    0xffffffff,0x7dc00cff,0xf804ffff,0xfd86ffff,0x2002ffff,0xf0fffffe,
    0x0009ffff,0x7ffec000,0xffffffff,0xfff30fff,0x99999999,0xd9999999,
    0x7fffc9ff,0xffffffff,0x00cfffff,0xfffffff9,0xffffffff,0x3e6bffff,
    0xffffffff,0xffffffff,0xff33ffff,0xffe87fff,0xfedfffff,0x02ffffff,
    0x3ffffff2,0xffffffff,0xfe806fff,0x2e00ffff,0x981fffff,0x00ffffff,
    0x3fffffc8,0x2b7ffffe,0x000009aa,0xffffff88,0xffffffff,0x44fff30f,
    0x3ff60009,0x3fffffe4,0xffffffff,0xf906ffff,0xffffffff,0xffffffff,
    0x3ffe6bff,0xffffffff,0xffffffff,0xffff13ff,0x7fffd47f,0x7fecc1ff,
    0x3f206fff,0xba99ffff,0xffffffec,0x7ffd403f,0xfff105ff,0x7fdc0bff,
    0x79535fff,0xfffff535,0xffffff8b,0xdeffffff,0xffb80001,0x9ffffeff,
    0x3e619999,0x3bffee7f,0x93ff603d,0x99cfffff,0xffffecba,0xffc83fff,
    0xffffffff,0xffffffff,0x2666665f,0xfffffa99,0x9999999c,0x5fffff10,
    0x0ffffff4,0x5fffffd0,0x1bffff20,0xffffff98,0x7ffec00f,0xfffc81ff,
    0x7fec00ff,0xffffffff,0xffffffff,0x7fffffc0,0xffffffff,0x3a0001df,
    0xfffddfff,0x3ffcc00f,0xfffffff7,0x7c9ffb07,0x2603ffff,0x0fffffff,
    0xfffd0000,0x3e2003ff,0x2003ffff,0xf32fffff,0x9805ffff,0x906fffff,
    0x880dffff,0x04fffffe,0x2fffffc4,0x0fffffe2,0x3ffffe20,0xffffffff,
    0xff81ffff,0xffffffff,0x4fffffff,0xffff9800,0x00ffffda,0xff73ffcc,
    0x8bffffff,0x3ffe4ffd,0x7f4403ff,0x0004ffff,0x5fffff98,0x3fffe200,
    0x3ffe003f,0xffffb1ff,0x3ffee00f,0xfffc81ff,0xfff9806f,0x7e400fff,
    0x3f21ffff,0x26006fff,0xffffffff,0x3fffffff,0xfffffff0,0xffffffff,
    0xd8005fff,0xfffb7fff,0x7ff9801f,0x3feea662,0x3ff64fff,0x0fffffe4,
    0x3ffffe60,0x7ec0000f,0x2001ffff,0x03fffff8,0x27ffffa0,0x04fffff8,
    0xfffffe88,0x6ffffc83,0xfffffd00,0xffff8805,0xfffff15f,0xfffe8005,
    0xffffefff,0xfff02fff,0x75333bff,0xfffffffb,0x3ffe2003,0x1ffffb4f,
    0x807ff980,0xfb0ffffc,0x7ffffc9f,0xffffd003,0x7cc0005f,0x4006ffff,
    0x03fffff8,0x23ffffa0,0x01fffff9,0x7fffffd4,0xffffc85f,0xffff7006,
    0xfff7007f,0xffff93ff,0xfff9800b,0x3fa60cff,0xfff05fff,0x7fd409ff,
    0x7005ffff,0x3f63ffff,0x7cc00fff,0xfffb007f,0xff93ff63,0xf7003fff,
    0x0007ffff,0x17ffffec,0x3fffe200,0x3ff6003f,0xffffa8ff,0x7fffe407,
    0xfc86ffff,0xf1006fff,0x2009ffff,0xffeffffe,0x6c001fff,0xf304ffff,
    0xff01ffff,0xf9809fff,0xd006ffff,0x7fecdfff,0x7fcc00ff,0x5fff7007,
    0xfff93ff6,0xff1003ff,0x20009fff,0x06fffff9,0xfffff880,0x2aaa6003,
    0x0fffff52,0x3fffffa6,0x2aa7ffff,0xaafffffd,0xfff882aa,0xff3005ff,
    0x9fffffff,0xfffff000,0x7fffec01,0x4fffff82,0xfffffd80,0x7fffcc00,
    0x27ffff63,0x3e609999,0xfffd007f,0xff93ff63,0xf1003fff,0x000bffff,
    0x0bfffff6,0x3fffe200,0xfb80003f,0xffb86fff,0xffffffff,0x3ffffe7f,
    0xffffffff,0x6fffff80,0x3ffff600,0x4000ffff,0x406ffff8,0xf83ffffc,
    0xb804ffff,0x401fffff,0x360ffffc,0xffffffff,0x01ffe65f,0x6cffff93,
    0x3fffe4ff,0x3ffe003f,0xf88006ff,0x0006ffff,0x07fffff1,0x6ffffcc0,
    0x225ffffc,0xcffffffd,0x3e7ffffb,0xffffffff,0xfe80ffff,0x22007fff,
    0x3fffffff,0xffff9800,0x7fffdc05,0x4fffff84,0xfffffb80,0x37fffc02,
    0x3ffffff6,0x3fe65fff,0x7ff774c7,0x3ff62fff,0x0fffffe4,0x7ffffe80,
    0xffffc800,0xff10002f,0x5c007fff,0xffdaffff,0xffff55ff,0x3fee5fff,
    0x3fffe7ff,0xffffffff,0xffffe80f,0x7ffe4007,0xf30006ff,0xfb80bfff,
    0xfff84fff,0xffc804ff,0x3ea00fff,0x7fec3fff,0x5fffffff,0xff31ffe6,
    0xd87fffff,0x3fffe4ff,0x3ffa003f,0x7c4007ff,0x0006ffff,0x0fffffe2,
    0xb7fffd80,0xff9bffff,0x5c1bffff,0x3fe7ffff,0xffffffff,0xfff80fff,
    0x7c4006ff,0x0002ffff,0x80dffff1,0xf83ffffb,0xd804ffff,0x6c07ffff,
    0x7ec0ffff,0xffffffff,0xf31ffe65,0xb019bdff,0x7fffc9ff,0x3ffe003f,
    0x7e4006ff,0x0003ffff,0x0fffffe2,0x94fffe80,0xffffffff,0xff907fff,
    0x7ecccdff,0x9999ffff,0xfffff881,0xfffff905,0xffffffff,0xf00dffff,
    0xfd80ffff,0xfff82fff,0x7fd404ff,0x3e205fff,0xffd85fff,0x7fcc00ff,
    0x007ffcc7,0xfff93ff6,0xff1003ff,0x4400bfff,0x007fffff,0x7ffffc40,
    0xffff1003,0x3ffffee3,0xb01effff,0xf90bffff,0x2200dfff,0x904fffff,
    0xffffffff,0xffffffff,0xffff00df,0x3ffe207f,0xffff80ff,0x3ffa204f,
    0x3ee03fff,0xffd82fff,0x7fcc00ff,0x007ffc47,0xfff93ff6,0xff1003ff,
    0x64009fff,0x003fffff,0x7ffffc40,0xdfff3003,0x7fffffd4,0x7ff404ff,
    0xfffc84ff,0xfff5006f,0x3ff207ff,0xffffffff,0x6fffffff,0xfffffc80,
    0x7ffff441,0x9fffff05,0xffffc988,0x7ff405ff,0xffffb07f,0x47ff9801,
    0xfd807ff8,0x3ffffe4f,0xffff5003,0x3fe2007f,0x0000ffff,0x1fffffc4,
    0x22ccc980,0xfffffff9,0xfffff802,0x6ffffc83,0xfffffb00,0x2aaaa605,
    0xcfffffba,0x802aaaaa,0xdffffff9,0xffffffdc,0xffffff01,0xffffffff,
    0x4c01ffff,0xffffffff,0x0fffffff,0x003ffcc0,0xff93ff60,0xfb003fff,
    0x2005ffff,0x04fffffc,0xffff8800,0xf880003f,0x800effff,0x82fffffa,
    0x806ffffc,0x0ffffff9,0xfffff800,0x7ffc0002,0xffffffff,0xff01ffff,
    0xffffffff,0x5fffffff,0xfffffc80,0xffffffff,0x7fcc00ff,0xd803db87,
    0x3fffe4ff,0xfff9803f,0xf8800fff,0x000fffff,0xfffff880,0xffd00003,
    0xfb001fff,0x3f20dfff,0xfd806fff,0x0003ffff,0x005fffff,0x7ffffe40,
    0xffffffff,0xfff80fff,0xffffffff,0x800dffff,0xffffffff,0xffffffff,
    0x23ffcc00,0x6c04fffc,0x3fffe4ff,0xfffd803f,0xff7003ff,0x00009fff,
    0x0fffffe2,0x7ffd4000,0x7fcc05ff,0xff903fff,0xffc80dff,0x54c06fff,
    0xfffbaaaa,0xaaaaacff,0x7fffdc02,0xffffffff,0xf85fffff,0xffffffff,
    0x002dffff,0xfffffff5,0xffffffff,0x7ff9801f,0x2037fff4,0x3ffe4ffd,
    0x7fe403ff,0xf1006fff,0x001fffff,0x3fffe200,0x3a00003f,0x301fffff,
    0x40dfffff,0x886ffffc,0xffffffea,0x7fffe402,0xffffffff,0x206fffff,
    0xbefffff9,0xfcadeeed,0x7fc4ffff,0xacccefff,0xffd80009,0x999999ff,
    0x00ffffe9,0x3f63ffcc,0x7fec04ff,0x0fffffe4,0x3ffffaa2,0xff7002ff,
    0x00009fff,0x1fffffc4,0xfff50000,0x2e65bfff,0x03ffffff,0x33fffff2,
    0xfffffedc,0xfc806fff,0xffffffff,0xffffffff,0xffffd106,0xffe8801f,
    0x3ffe2fff,0x100004ff,0xd80dffff,0xaaabffff,0x8fff30aa,0x6c00dfd8,
    0x3fffe4ff,0xffedccdf,0x06ffffff,0x3fffffe0,0x3e200000,0x0003ffff,
    0x7fffff40,0xffffffff,0x7fe406ff,0xffffffff,0x0cffffff,0xfffffc80,
    0xffffffff,0xfb06ffff,0x2007ffff,0x0ffffff9,0x009fffff,0x3fffee00,
    0x7fffec03,0x32ffffff,0xd8000fff,0x3fffe4ff,0xffffffff,0x00cfffff,
    0xbfffff70,0xff880000,0x00003fff,0x7fffff44,0xffffffff,0xffffc805,
    0xffffffff,0x00002eff,0x005fffff,0x05fffe98,0x177ffe40,0x009fffff,
    0x3ffffa00,0x7fffec00,0x32ffffff,0xffffffff,0xffffffff,0x7c9fffff,
    0xffffffff,0x2effffff,0x7ffff400,0x4400001f,0x003fffff,0xffff9000,
    0x7fffffff,0x3ffff200,0xffffffff,0x200000cf,0x002fffff,0x0001fd50,
    0xffff07fd,0xf300009f,0xfb00bfff,0xffffffff,0x3fffe65f,0xffffffff,
    0xffffffff,0x3ffffe4f,0xffffffff,0x7dc000cf,0x0005ffff,0xfffff880,
    0x2a000003,0xeffffffd,0x3ff2002c,0xeeffffff,0x800000ac,0x002fffff,
    0x088000c0,0x09fffff0,0xffff9000,0xffffb005,0x25ffffff,0xfffffff9,
    0xffffffff,0x24ffffff,0xffffffff,0x000aceef,0x3fffffd0,0xff100000,
    0x00007fff,0x026ea200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaa800,
    0xaa98000a,0x2aaa0aaa,0x9aaaaaaa,0x2aaaa001,0xaaaaaaaa,0x001aaaaa,
    0x55555551,0x5554c003,0xaaaaaaaa,0x22aaaaaa,0x801aaaaa,0x02aaaaaa,
    0x10155550,0x2a605555,0x00002aaa,0x0e666540,0xedb98800,0x54400abc,
    0xaaaaaaaa,0xaaaaaaaa,0x7ffec2aa,0xfe8003ff,0x3fe27fff,0xffffffff,
    0x200cffff,0xfffffffe,0xffffffff,0xfff7003f,0x400bffff,0xfffffffc,
    0xffffffff,0xffff17ff,0xfff9807f,0xff002fff,0xfff705ff,0x3ffff20f,
    0xd3000007,0x007fffff,0xfffffea8,0x300cffff,0xffffffff,0xffffffff,
    0xffb8bfff,0x44005fff,0x225fffff,0xffffffff,0xffffffff,0xffffe80d,
    0xffffffff,0xb003ffff,0xffffffff,0x7fffe400,0xffffffff,0xf17fffff,
    0xe807ffff,0x004fffff,0x703ffff1,0x3f20dfff,0x00007fff,0x7ffffecc,
    0xfb1003ff,0xffffffff,0xf303ffff,0xffffffff,0xffffffff,0xfff88bff,
    0x2a000fff,0x222fffff,0xffffffff,0xffffffff,0xffffe85f,0xffffffff,
    0xf003ffff,0xffffffff,0x3fff2005,0xffffffff,0x17ffffff,0x407fffff,
    0x06fffffc,0x03fffe60,0x6417fff2,0x0007ffff,0xfffffb10,0x5007ffff,
    0xffffffff,0xdfffffff,0xfffff981,0xffffffff,0x85ffffff,0x02fffffe,
    0x3fffff60,0x3ffffe20,0xffffffff,0x744fffff,0xffffffff,0xffffffff,
    0xffffa803,0x004fffff,0xfffffff9,0xffffffff,0x3ffe2fff,0xfff303ff,
    0x54003fff,0xffb07fff,0x3fff209f,0x6440007f,0xffffffff,0xfe803fff,
    0xffffffff,0x5fffffff,0x7fffffcc,0xffffffff,0xb85fffff,0x004fffff,
    0x11bffffe,0x885fffff,0xffffffc9,0x77ffff47,0xaaaaaaaa,0xfc801aaa,
    0xffffffff,0x33331007,0x9fffff53,0x22333333,0xd03fffff,0x007fffff,
    0xd07fffa8,0x3f209fff,0x20007fff,0xfffffff9,0x03ffffff,0xbeffff88,
    0xffffb889,0x33220fff,0xcccccccc,0xfffffdcc,0xffff983f,0xfff3006f,
    0xfff887ff,0x3fe202ff,0x3fa0ffff,0x00005fff,0xfdfffff8,0x0001ffff,
    0x0fffffe2,0x7fffff10,0xbfffff70,0xdfff7000,0x40ffffe0,0x007ffffc,
    0x7fffffc0,0x3fffffbf,0x407ff500,0x2ffffff8,0x7ffec000,0x3ffa06ff,
    0xfb800fff,0x7c41ffff,0x6402ffff,0x3a2fffff,0x0005ffff,0x7ffffcc0,
    0x03fffff9,0x3fffe200,0x7ffc403f,0x7ffcc3ff,0xaa800fff,0xaefffdaa,
    0xffffaaaa,0xff90aaac,0xc8000fff,0xf88cffff,0x2003ffff,0xfffb801b,
    0x2e0003ff,0x00ffffff,0x0ffffff2,0x1bffffa0,0x0bffffe2,0x3fffff50,
    0x02fffff4,0x3ffee000,0xdffffd5f,0x7ffc4000,0x7fc403ff,0x7ff43fff,
    0xfd002fff,0xffffffff,0xffffffff,0x3f25ffff,0x40007fff,0x3e20dff8,
    0x0003ffff,0xfffff980,0xfff10005,0xfa807fff,0x4405ffff,0x884fffff,
    0x402fffff,0x20fffffb,0x005ffffe,0x7ffff400,0x1fffff93,0x3ffe2000,
    0x7fc403ff,0x3fee3fff,0x3a005fff,0xffffffff,0xffffffff,0xf92fffff,
    0x0000ffff,0xffff1039,0x3000007f,0x009fffff,0x3fffff60,0xfffff005,
    0xffffa80f,0xffff881f,0x7ffec02f,0x7ffff46f,0x3e200005,0xff50ffff,
    0x20005fff,0x03fffff8,0x9fffffc4,0x0efffff8,0x3ffffa00,0xffffffff,
    0xffffffff,0xfffff92f,0x7c400000,0x0003ffff,0xfffff980,0xfffb8003,
    0xfb000fff,0x6403ffff,0xf107ffff,0x5c05ffff,0x742fffff,0x0005ffff,
    0x1bfffea0,0x00bfffff,0x3ffffe20,0x7fffc403,0xfffffb3f,0xeeed8003,
    0xeeeeffff,0xeeffffee,0xffff91ee,0x4400000f,0x003fffff,0xffffb800,
    0x7fc4002f,0x2003ffff,0x04fffffa,0x417ffffe,0x9bfffff8,0xfffeba99,
    0xfffe85ff,0x3600005f,0x7ec4ffff,0x10007fff,0x807fffff,0xbbfffff8,
    0x004fffff,0x0ffffc40,0x9037ffdc,0x000fffff,0x7fffc400,0xf800003f,
    0x000fffff,0x2fffffec,0x3fffe200,0xffff306f,0x3ffe205f,0xffffffff,
    0xd04fffff,0x999dffff,0x79999999,0x2fffff80,0x0fffffdc,0x7fffc400,
    0x7ffc403f,0xfffffcff,0xff980006,0xfffc80ff,0x3ffff205,0x22000007,
    0x003fffff,0x7fffdc00,0x7fdc004f,0x8000ffff,0x80fffffe,0x00fffffb,
    0xfffffff1,0xffffffff,0x3fffa019,0xffffffff,0x2606ffff,0x4c0fffff,
    0x004fffff,0x3fffff88,0x7ffffc40,0x01ffffff,0x7fffa800,0x409fffb0,
    0x007ffffc,0x3ffe2000,0x200003ff,0x0ffffff9,0x3fffe200,0xf70002ff,
    0xfd05ffff,0x7c40bfff,0xffffffff,0xffffffff,0xfffffe84,0xffffffff,
    0x3ff206ff,0xffff05ff,0xff1000df,0xf8807fff,0xffffffff,0xb80004ff,
    0xffd07fff,0x7ffe409f,0x2000007f,0x03fffff8,0xfffd1000,0xfd8007ff,
    0x0005ffff,0x13ffffe6,0x07fffff1,0x7fffffc4,0xffffffff,0x7f46ffff,
    0xffffffff,0x06ffffff,0x40fffffa,0x00fffffc,0x7ffffc40,0x7fffc403,
    0xffffffcf,0x7fdc0001,0x7ffff06f,0x3ffffe40,0xff100000,0x00007fff,
    0x17fffff6,0xfffff700,0xfe80001f,0x7fd47fff,0x3e200fff,0x4c42ffff,
    0xffffffea,0x3fffffa3,0xffffffff,0xfff106ff,0x3fea03ff,0x44003fff,
    0x403fffff,0xabfffff8,0x006fffff,0x82fffe40,0x3202ffff,0x0007ffff,
    0x3fffe200,0xfd80003f,0x000effff,0x3fffffe2,0xffc80002,0x3ff21fff,
    0x7fc406ff,0x7dc02fff,0xfd0fffff,0x0000bfff,0x40fffff7,0x05fffff8,
    0x7ffffc40,0x7fffc403,0xfffffd3f,0x3bba2009,0xeefffffe,0xeffffeee,
    0x3ff20eee,0x000007ff,0x0fffffe2,0xffff9000,0xfd8001df,0x0005ffff,
    0x7fffff30,0x027ffff4,0x0bffffe2,0x3fffff60,0x0bffffd1,0xffffb000,
    0x5555555d,0x00ffffff,0x3fffff88,0x7ffffc40,0xffffff33,0xffff1003,
    0xffffffff,0xffffffff,0x7ffe41ff,0x2000007f,0x03fffff8,0x3ffff200,
    0x7d4000ef,0x000fffff,0x3ffffe00,0x3fffff16,0xfffff880,0xffffb802,
    0xbffffd3f,0xffff0000,0xffffffff,0x5fffffff,0x7fffc400,0x7ffc403f,
    0x3fff23ff,0x7c400eff,0xffffffff,0xffffffff,0x320fffff,0x0007ffff,
    0x3fffe200,0xff90003f,0x8001ffff,0x2ffffff8,0x7fec0000,0xfffb8fff,
    0xfff8807f,0xffb802ff,0xfffd3fff,0xfa8000bf,0xffffffff,0xffffffff,
    0x3e2004ff,0x4403ffff,0x743fffff,0x404fffff,0xfffffff8,0xffffffff,
    0x0fffffff,0x01fffff2,0xfff88000,0xfc8003ff,0x000effff,0x4fffffd8,
    0xffa80000,0xfffdafff,0xfff8804f,0xffd802ff,0xfffd1fff,0xfc8000bf,
    0xffffffff,0xffffffff,0x3e2006ff,0x4403ffff,0x543fffff,0x02ffffff,
    0x7ffdd554,0xfdaaaabf,0x42aaaeff,0x007ffffc,0x3ffe2000,0x7e4003ff,
    0x000effff,0xefffffa8,0xf8800000,0xfffcffff,0xff8802ff,0x7cc02fff,
    0xfd0fffff,0x8000bfff,0xfffffffe,0xffffffff,0x001fffff,0x07fffff1,
    0x3fffff88,0xffffffd8,0xffff3000,0x0bfff901,0x07ffffc8,0x3fe20000,
    0x32003fff,0x00efffff,0xfffff880,0x2000001f,0xfffffffd,0xf8800fff,
    0x2a02ffff,0x26fffffe,0x005ffffe,0x3ffffe60,0x99999999,0xfffffb99,
    0xffff1003,0xfff8807f,0xfff883ff,0xf5005fff,0x3ff60fff,0x7ffe404f,
    0x2000007f,0x03fffff8,0xdfffff90,0x3ff60001,0x00004fff,0x7ffffdc0,
    0x1005ffff,0x99bfffff,0xffffdb99,0x7ff45fff,0x2e0005ff,0x2006ffff,
    0x45fffff8,0xfcccccca,0xcccdffff,0xffff14cc,0x3ffee07f,0xfb802fff,
    0xfffd07ff,0xffffc807,0xeeeeeeef,0x2e2eeeee,0xfeeeeeee,0xeeeeffff,
    0x3fff25ee,0xffffffff,0x6fffffff,0xfffffff5,0xffffffff,0x400fffff,
    0xfffffff8,0xff1003ff,0xffffffff,0xffffffff,0x5ffffe89,0x3fff6000,
    0x7ff4004f,0x3ff20fff,0xffffffff,0x7fffffff,0x07fffff1,0x7ffffff4,
    0x37ffdc00,0x403ffff8,0xfffffffc,0xffffffff,0x3fff23ff,0xffffffff,
    0x7fffffff,0xfffffff1,0xffffffff,0x3f2dffff,0xffffffff,0xffffffff,
    0x7f4007ff,0x0fffffff,0xfffff100,0xffffffff,0xfd0bffff,0x2000bfff,
    0x01fffff8,0x7ffffe40,0x3fffff22,0xffffffff,0xff17ffff,0x7cc07fff,
    0x405fffff,0xff05fffc,0xffc805ff,0xffffffff,0x3fffffff,0x3ffffff2,
    0xffffffff,0xff17ffff,0xffffffff,0xffffffff,0x3ffff2df,0xffffffff,
    0x7fffffff,0x7fffe400,0x22006fff,0xffffffff,0xdfffffff,0xbffffd01,
    0x3ffea000,0xffa8007f,0x3ff24fff,0xffffffff,0x7fffffff,0x07fffff1,
    0xffffffc8,0x13fff602,0x007fffe2,0xfffffff9,0xffffffff,0x7ffe47ff,
    0xffffffff,0x7fffffff,0xfffffff1,0xffffffff,0x3f2dffff,0xffffffff,
    0xffffffff,0x7cc007ff,0x04ffffff,0x3ffffe20,0xcdefffff,0x7fff400b,
    0xff90005f,0x3e000bff,0x3f27ffff,0xffffffff,0xffffffff,0x7fffff17,
    0xfffff880,0xfffd00ff,0x1ffff309,0xfffffc80,0xffffffff,0x3f23ffff,
    0xffffffff,0xffffffff,0xfffff17f,0xffffffff,0x2dffffff,0xfffffffc,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555553,0x55555540,
    0x55553002,0x2aaaaa21,0x5551000a,0xaaa88555,0x2aa0001a,0x555551aa,
    0x2aaa2003,0x2aaa60aa,0x554c01aa,0x55542aaa,0xaaaaaaaa,0x32aaaaaa,
    0x00155555,0x45555550,0xaaaaaaaa,0xaa80009a,0x9aaaaaaa,0x04c40001,
    0xfff98000,0x3a06ffff,0x01ffffff,0x22ffffc8,0x04fffffd,0xbfffffb0,
    0x04ffff98,0x7ffff100,0x013ffffa,0x07ffffd4,0x0ffffff9,0x6fffffe8,
    0x7ffffff4,0xffffffff,0xffff56ff,0xff9800bf,0x3ffe4fff,0xffffffff,
    0x7c402def,0xffffffff,0x001cffff,0x01bfffb1,0xffffd800,0x3fa06fff,
    0x805fffff,0x262ffffc,0x01ffffff,0x7fffffcc,0x27fffc40,0xffff8800,
    0x09ffffd3,0x3ffffea0,0x3fffff20,0xffff101f,0xfffe8dff,0xffffffff,
    0x3a6fffff,0x001fffff,0x83fffff6,0xffffffff,0xefffffff,0xfffff102,
    0xffffffff,0xfe803dff,0x000effff,0xffffff50,0x7ff40dff,0x401fffff,
    0x6c2ffffc,0x405fffff,0x84fffffd,0x005ffff8,0x25ffff30,0x004ffffe,
    0x41fffff5,0x4ffffffd,0xffffff50,0xfffffe8f,0xffffffff,0x3fea6fff,
    0xf3005fff,0xff89ffff,0xffffffff,0x5fffffff,0xffffff88,0xffffffff,
    0xff700fff,0x009fffff,0xffffff10,0x7f40dfff,0x04ffffff,0x217fffe4,
    0x1ffffff8,0xffffff30,0x17fffe01,0x7fffcc00,0x09ffffd2,0x3ffffea0,
    0x3fffff60,0xffffb06f,0xfffe8fff,0xffffffff,0x746fffff,0x800fffff,
    0x40fffffe,0xffffffff,0xffffffff,0x7ffc43ff,0xffffffff,0x0effffff,
    0xffffffc8,0xffc8006f,0x6fffffff,0x3fffffa0,0x3f200fff,0xffc82fff,
    0xffb05fff,0x7fc07fff,0xf30005ff,0x3ffa3fff,0xff5004ff,0x7fec1fff,
    0x440fffff,0x7fffffff,0x577ffff4,0xaaaaaaaa,0x7ffd42aa,0x7fcc04ff,
    0xfff83fff,0xba999dff,0xfffffffd,0x3ffffe21,0xffcaa99b,0xd83fffff,
    0x6fffffff,0x7fffcc00,0x06ffffcf,0x3ffffffa,0x3ff203ff,0xfff882ff,
    0x7fcc1fff,0x7fc07fff,0xf50006ff,0x3ffa3fff,0xff5004ff,0x7ff41fff,
    0x543fffff,0xffffffff,0x17ffffa0,0x3fffa000,0x3ffa00ff,0xfff80fff,
    0x3fa604ff,0x3e25ffff,0x3602ffff,0xb84fffff,0x4fffffff,0x7ffff400,
    0x06ffffac,0x3ffffffa,0x3ff207ff,0xfff702ff,0xfffd8bff,0x7ff403ff,
    0xff50006f,0x3fffa3ff,0xfff5004f,0x7fff41ff,0x7ec5fffd,0x0ffffdff,
    0x017ffffa,0x3fffea00,0xffff304f,0x3fffe07f,0x7ffcc04f,0x3ffe26ff,
    0x3fe202ff,0xff886fff,0x000fffff,0x23ffffee,0x206ffffa,0xfffffffe,
    0xfff903ff,0x7fff405f,0xffff31ff,0xfffd00df,0x3fea000d,0xffffd0ff,
    0x3ffea009,0x3fffe0ff,0x3e0ffffb,0xffffafff,0x17ffffa1,0x7fff4000,
    0xfffe80ff,0xffff00ff,0xfffb009f,0x3ffe21ff,0x7ff402ff,0xffd307ff,
    0x7c4005ff,0xff52ffff,0x7ff40dff,0x6ffffcff,0x05ffff90,0xb7ffffd4,
    0x02fffffd,0x506fffd8,0xfff50355,0x3ffffa1f,0xffff5004,0x4ffffc1f,
    0xff52fffe,0x3ffff3df,0x02fffff4,0xffffa800,0x7fffd43f,0x3fffe03f,
    0xfffb804f,0xffff11ff,0xfffd805f,0x055d407f,0x3ffff600,0x1bfffea5,
    0xf9ffffe8,0xfc82ffff,0x7f402fff,0xfffcffff,0xffb005ff,0xdfff30ff,
    0x74ffff70,0x5004ffff,0x7c1fffff,0xfffc9fff,0xf37fff94,0x7ff43fff,
    0x200005ff,0x6c7ffffe,0x200fffff,0x804fffff,0x11fffffb,0x805fffff,
    0x006fffff,0xffff3000,0x7fffd41f,0x3ffffa06,0x86ffffc8,0x402ffffc,
    0xfffffff9,0x9001ffff,0xff70ffff,0xfffb81ff,0x13ffffa7,0x7ffffd40,
    0x53ffff10,0x3ffaffff,0x2ffff98f,0x017ffffa,0xffffa800,0xfffff33f,
    0xfffff807,0xffffc804,0xfffff10f,0x7fffd405,0xd000004f,0xfa87ffff,
    0x3fa06fff,0xfff98fff,0x7ffe41ff,0xfffd802f,0x05ffffff,0x21ffff20,
    0x5c2ffffe,0x3ffa7fff,0xccccceff,0xfffdcccc,0xffff10ff,0x3ebfffe3,
    0xffff16ff,0x77ffff45,0xaaaaaaaa,0x7f400aaa,0xfff96fff,0xffff00ff,
    0xfffb009f,0x7fffc4ff,0xffff702f,0x7ed401ff,0xfff7004e,0xffff50df,
    0x7ffff40d,0x8bffffb0,0x802ffffc,0xfffffff8,0x3f2000ff,0x7ffc47ff,
    0x7ffe45ff,0x3fffffa6,0xffffffff,0x0fffffff,0x363ffff1,0x3fffefff,
    0x747ffff1,0xffffffff,0xffffffff,0x7fffd401,0x3fffffaf,0x4fffff80,
    0x7ffffd40,0x3ffffe25,0xfffccaac,0x2e03ffff,0x406fffff,0x81fffff8,
    0x206ffffa,0xf50ffffe,0x7e41ffff,0xf9002fff,0x09ffffff,0x0ffffb80,
    0x1fffffee,0x7f4dfff9,0xffffffff,0xffffffff,0xfff30fff,0x3fffee1f,
    0xfff11fff,0x7ffff47f,0xffffffff,0xe801ffff,0xffffffff,0xffff007f,
    0x7ff4c09f,0x3fe23fff,0xffffffff,0x02ffffff,0x3fffffe6,0x3fff604f,
    0xffff504f,0x7ffff40d,0x93ffffa0,0x002ffffc,0xfffffff9,0xfffb8009,
    0x3ffff60f,0x3fff22ff,0x3fffffa5,0xffffffff,0x0fffffff,0x221ffff3,
    0x26ffffff,0x3a3ffff8,0xffffffff,0xffffffff,0xffffa801,0x003fffff,
    0x889fffff,0xffffffc9,0x7ffffc45,0xffffffff,0x7fdc00be,0x506fffff,
    0x540dffff,0x3a06ffff,0x3ee0ffff,0xff90ffff,0xff3005ff,0x3fffffff,
    0x7fffd400,0xffffff10,0x2fffe49f,0xfffffffd,0xffffffff,0x2a1fffff,
    0x3fa0ffff,0x7fc4ffff,0x3fffa4ff,0xffffffff,0x001fffff,0xfffffffd,
    0x7fffc00f,0xffffffff,0x40ffffff,0xfffffff8,0x03ffffff,0xffffff90,
    0x3fffa0ff,0x3ffea02f,0x3fffa06f,0x7ffffc0f,0x05ffff93,0xffffffb0,
    0x5400dfff,0xff51ffff,0x6cffffdf,0x3ffa4fff,0x99999dff,0xfffb9999,
    0xffff50ff,0x7ffffe41,0xd27fffc1,0x333dffff,0x33333333,0x7fffd400,
    0x3e003fff,0xffffffff,0xffffffff,0xfffff882,0xffffffee,0xfffb805f,
    0xfc86ffff,0x7d405fff,0x3fa06fff,0x7fe40fff,0xffff97ff,0xffffa805,
    0x2fffffff,0x3ffff300,0x3febfff6,0x9fffb1ff,0x027ffff4,0x0fffffa8,
    0xf98ffff5,0xfff86fff,0x3ffffa5f,0x3a000005,0x006fffff,0x7ffffffc,
    0xffffffff,0xffff100d,0x3ffee25f,0x7c403fff,0x43ffffff,0xeefffff8,
    0xfeeeeeee,0xeeeeffff,0x81ffffd1,0xcafffff8,0x7402ffff,0xffcfffff,
    0xf3006fff,0x3ffe3fff,0x369fffd6,0x3ffa4fff,0xff5004ff,0x3fee1fff,
    0x4ffff87f,0x3a5ffff8,0x0005ffff,0x3fffea00,0x7ffc003f,0xffffffff,
    0x7c401dff,0x7cc2ffff,0x400fffff,0x84fffffa,0xfffffff8,0xffffffff,
    0xffffffff,0x01ffffd2,0xf9dffffb,0x7dc05fff,0xffd5ffff,0xf1009fff,
    0xfff55fff,0x75bfff29,0x3ffa3fff,0xff5004ff,0x3fee1fff,0x1fffd87f,
    0x3a5ffff8,0x0005ffff,0x3fffe600,0x7ffc002f,0x9accceff,0x3ffe2000,
    0xfffb82ff,0xdb8804ff,0xffff101c,0xffffffff,0xffffffff,0x3ffa5fff,
    0xfff980ff,0x2ffffeff,0xffffff10,0x3ffffea3,0x7ffc400f,0x31fffcaf,
    0xffd1ffff,0x7ffff47f,0xffff5004,0x1ffff21f,0x7f406662,0x3fffa6ff,
    0x2000005f,0x02fffff9,0x27ffffc0,0x7ffc4000,0xfff882ff,0x00000fff,
    0xfffffff1,0xffffffff,0xffffffff,0x03ffffa5,0x7fffffec,0xff902fff,
    0xffe8bfff,0x7c405fff,0x7ffeafff,0x7f5ffffc,0x3fffa2ff,0xfff5004f,
    0x3fff21ff,0xfffd0007,0x2fffff4d,0xff300000,0xf8005fff,0x0004ffff,
    0x2fffff88,0x9fffff90,0x3fe20000,0xffffffff,0xffffffff,0xfd2fffff,
    0x3ea01fff,0xffffffff,0xfffff882,0x7fffd41f,0x7ffc01ff,0x644fffcf,
    0xffffdfff,0x13ffffa2,0x7ffffd40,0x00dfff90,0xe9ffffa0,0x0005ffff,
    0x3fffe600,0x7ffc002f,0x880004ff,0x102fffff,0x01ffffff,0x5c000000,
    0x3a06ffff,0x3a00ffff,0xffffffff,0xfffffd82,0xfffffd05,0xfffff80d,
    0x7fd42fff,0x21ffffff,0x004ffffe,0x21fffff5,0x0006fffd,0x7f4ffffd,
    0x00005fff,0x3ffffe60,0x7fffc002,0xf880004f,0x3602ffff,0x003fffff,
    0x3ee00000,0x3fa06fff,0x3ee00fff,0x2fffffff,0x7fffffcc,0xfffff301,
    0x7fffc07f,0xfff07fff,0x743fffff,0x5004ffff,0x361fffff,0xb0006fff,
    0x7ff4ffff,0xccccceff,0x03cccccc,0x3ffffe60,0x7fffc002,0xf880004f,
    0x2602ffff,0x00ffffff,0xf7000000,0x7f40dfff,0x7fc00fff,0x42ffffff,
    0x04fffffe,0x7fffffec,0xfffffd00,0x3fff60bf,0x3fa0ffff,0xf5004fff,
    0x3fa1ffff,0xfb0006ff,0x3ffa1fff,0xffffffff,0x06ffffff,0x3ffffe60,
    0x7fffc002,0xf880004f,0x7402ffff,0x003fffff,0xff700000,0x7ff40dff,
    0x7fe400ff,0x2a2fffff,0x00ffffff,0x7fffffcc,0xfffffd04,0x3ffea05f,
    0x3fa0ffff,0xf5004fff,0x3fa1ffff,0xfb0005ff,0x3ffa1fff,0xffffffff,
    0x06ffffff,0x3ffffe60,0x7fffc002,0xf880004f,0x5402ffff,0x007fffff,
    0xff700000,0x7ff40dff,0x7fc400ff,0x3a2fffff,0x004fffff,0x3ffffffb,
    0xffffffb0,0x3fffe201,0x3ffa0fff,0xff5004ff,0x3ffa1fff,0xffb0005f,
    0x3fffa1ff,0xffffffff,0x006fffff,0x0bffffe6,0x9fffff00,0xfff10000,
    0xfff005ff,0x00007fff,0xffff7000,0x7ffff40d,0xffffd800,0xffff72ff,
    0x3e6001ff,0xd85fffff,0x405fffff,0x47fffffd,0x004ffffe,0x21fffff5,
    0x0005ffff,0x3a3ffff9,0xffffffff,0xffffffff,0x3ffe6006,0x7fc002ff,
    0x80004fff,0x02fffff8,0x6fffffb8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x654c0000,
    0x000abced,0x066665c0,0x0000b200,0x006cc000,0x19800998,0x01310000,
    0x01880000,0x04ccc400,0x33330000,0x03300003,0x00660000,0xfe980000,
    0xffffffff,0x3ffa0004,0x3f2000ff,0x0000004f,0x44077fd4,0xefffffeb,
    0x3ffff622,0xff90001d,0x540000bf,0xffffffdc,0xfdb881cd,0xefffffff,
    0x3fae000b,0xefffffff,0xfec9800d,0x002defff,0xfffedb88,0x00003def,
    0xfffffc88,0xefffffff,0xfffe8001,0xfff9000f,0x000000bf,0x83bfffee,
    0xfffffff8,0xfffacfff,0x001fffff,0x27ffffdc,0x3ffaa000,0xffffffff,
    0x7fffec3f,0xffffffff,0x7fdc03ff,0xffffffff,0x7e401fff,0xffffffff,
    0xfd3000df,0xffffffff,0x400003df,0xfffffffe,0xffffffff,0x7fff4000,
    0xfffa800f,0x0000efff,0x3ffff200,0x3ffe64ff,0xffffffff,0xffffffff,
    0x3f6000ff,0x0007ffff,0xffffffb1,0x7fffffff,0xffffffd8,0xffffffff,
    0xffffb03f,0xffffffff,0x3fa203ff,0xffffffff,0x6402ffff,0xffffffff,
    0x03ffffff,0xffffb800,0xfffeefff,0x4005ffff,0x000ffffe,0xfffffff7,
    0xd8800003,0x0dffffff,0x377bffe6,0xfffffffe,0x4ffffedf,0x3ffff600,
    0xfe88007f,0xffffffff,0x6c3fffff,0xeeffffff,0xffffffff,0x7ffffdc0,
    0xfffeeeff,0xfff881ff,0xffeeffff,0xb00fffff,0xffffffff,0xffffffff,
    0x7fcc0003,0x5443ffff,0x01ffffff,0x03ffffa0,0xfffffa80,0x100002ff,
    0x9ffffffd,0xf9039f30,0x6c1fffff,0x2e007fff,0x004fffff,0xffffffc8,
    0xfeeccdef,0x4df7ec3f,0xffffe980,0x7ffffc4f,0x3b7300bf,0x7fffff70,
    0xfffffc88,0xfffff984,0xffdcbdff,0x0006ffff,0x0bfffff6,0x5fffffa8,
    0x3ffffa00,0x7ff4c000,0x0003ffff,0x7fffffcc,0xf801102f,0x7cc3ffff,
    0x36001fff,0x4000dfff,0xeffffff9,0x150b2600,0x3fffa200,0x3fffe66f,
    0x3e20005f,0x3202ffff,0x740fffff,0x304fffff,0x07ffffff,0x3ffffa00,
    0xffffe805,0xfffd001f,0xfd10001f,0x00bfffff,0x3ffffee0,0x640001ff,
    0xfe81ffff,0x544003ff,0xfffd0001,0x000009ff,0x3ffffdc0,0x07fffff7,
    0x7fffe400,0x7fffc404,0x3fffea3f,0x7ffcc04f,0xf88007ff,0xb803ffff,
    0x952fffff,0xff999999,0x99999fff,0xffc80999,0x000effff,0x3ffffff2,
    0xfc80000e,0xffd80fff,0x0000003f,0x3fffffe6,0x20000000,0x50fffffa,
    0x03ffffff,0x3ffffe00,0xffffd801,0x3fffff64,0xffffe800,0x7fcc000f,
    0xf8802fff,0xff94ffff,0xffffffff,0xffffffff,0xfff700ff,0x8803dfff,
    0x5ffffffd,0x3ff20000,0x9fffb06f,0x54000000,0x003fffff,0x7fd40000,
    0xfff10fff,0x005bffff,0x07ffffc4,0x2ffffe40,0x00bffffd,0x07ffffea,
    0xfffff300,0xffff1007,0x3ffff2bf,0xffffffff,0x7fffffff,0xfffff500,
    0x3fa205ff,0x003fffff,0x3b32ea60,0xccccefff,0x515fffec,0x55555555,
    0x55555555,0x7e435555,0x0000ffff,0x7f6e5d40,0xffffffff,0x3fffff60,
    0x402dffff,0xfffffff9,0xffffffff,0x3fe7ffff,0xf3003fff,0x8005ffff,
    0x04fffff8,0x2dfffff0,0xfffffffc,0xffffffff,0x2007ffff,0xffffffe9,
    0x7ffffcc3,0xd50002ff,0xffffffff,0xffffffff,0x3fe6bfff,0xffffffff,
    0xffffffff,0x3ff64fff,0x200007ff,0xffffffeb,0xffffffff,0x3ffffe20,
    0xcfffffff,0xfffffb81,0xffffffff,0x17ffffff,0x007fffff,0x0fffffe2,
    0x3ffffe00,0xffff800f,0x9999956f,0x9fffff99,0x09999999,0xffffe880,
    0xffff54ff,0x20003fff,0xfffffffc,0xffffffff,0x35ffffff,0xffffffff,
    0xffffffff,0x7c9fffff,0x0006ffff,0xffffff88,0xffffffff,0x7ec40fff,
    0xffffffff,0x7fe43fff,0xffffffff,0xffffffff,0xfffff57f,0x7fffc005,
    0xffd8004f,0xb301efff,0x00ffffff,0x003ffffa,0xffffa800,0xffb11eff,
    0x000bffff,0xdffffff5,0xddffffdd,0x7ddddddd,0x3fffffe6,0xffffffff,
    0x4fffffff,0x01fffffa,0xffffd100,0xffffffff,0x201fffff,0xffffffda,
    0x324fffff,0xffffffff,0xffffffff,0xfff36fff,0x3e2005ff,0x8003ffff,
    0xfffffffa,0xffffdcce,0xd006ffff,0x0001ffff,0x3ffffee0,0xfffc80ef,
    0x2000efff,0x642fffff,0x4c005fff,0xffffffff,0xffffffff,0x364fffff,
    0x000fffff,0x3fffffa0,0xfffa80ae,0x6dc400ff,0xffffffff,0xfffff71f,
    0xfff10000,0x3e6007ff,0x0002ffff,0xfffffffb,0xffffffff,0x3a00bfff,
    0x0000ffff,0xffffffd8,0x7fffdc05,0xf9801eff,0xffc84fff,0x0000006f,
    0xffffc800,0xff10002f,0xfa80dfff,0x2000ffff,0xfffffeb8,0xfffff54f,
    0xfff00001,0x3ea009ff,0x0001ffff,0xffffffd1,0xffffffff,0x3a009fff,
    0x0000ffff,0x3fffffa2,0xfff3003f,0xa805ffff,0xfc81ffff,0x000007ff,
    0xfffb8000,0xf50006ff,0xa805ffff,0x000fffff,0xdfffff90,0x0bffffe2,
    0x3fffa000,0xffd800ff,0x440007ff,0xfffffffb,0xffffefff,0xfffd004f,
    0x3e60001f,0x02ffffff,0x7ffff4c0,0x3fee03ff,0xfffc80ff,0x0000002f,
    0x7fffcc00,0xfb8003ff,0x2201ffff,0x00fffffe,0xfffff100,0x37ffffcd,
    0x7ffec000,0x7fcc03ff,0x00006fff,0x9dfdb971,0xfffff117,0x3fffa007,
    0xffa8000f,0x001fffff,0xfffffb10,0x3ffee0bf,0x7fffd42f,0x4400005f,
    0xd8001cec,0x0dffffff,0xfffa9540,0xffd305ff,0x0021ffff,0x9fffff50,
    0x27ffffe4,0x3ffe6000,0xff302fff,0x0003ffff,0xfffa8000,0xffd002ff,
    0xfc8001ff,0x00efffff,0xffffd800,0x7fd40eff,0x3ffe64ff,0x7304ffff,
    0x7fffcc00,0x7fc4002f,0xcdffffff,0x34ffdcaa,0x17ffffff,0x3ffffee2,
    0x7bf70fff,0x3ffe6201,0x3fe22fff,0x80aeffff,0xfd84db98,0x9bdfffff,
    0xffffffca,0x80000004,0x00fffffc,0x01999970,0x3ffff620,0x00000dff,
    0x3fffffee,0x3fffe61e,0xfffffdef,0xdcceffff,0x3f6006fe,0x8006ffff,
    0xfffffffb,0xffffffff,0x3fffffe4,0xfffffeff,0xf70fffff,0xdbddffff,
    0xffffffff,0xfffffa81,0xfffeffff,0xff885fff,0xffffffff,0x0fffffff,
    0xe8000000,0x0004ffff,0xfffe8800,0x00004fff,0xffffff50,0x7fffec5f,
    0xfcbfffff,0xffffffff,0x3ffa006f,0xb0007fff,0xffffffff,0x49ffffff,
    0xfffffffa,0xfddfffff,0xfff70fff,0xffffffff,0x203fffff,0xfffffffd,
    0xffffffff,0xfffff705,0xffffffff,0x000003ff,0xfffff900,0x10000003,
    0x07ffffff,0xff980000,0x3e62ffff,0x3fffffff,0xffffffd1,0x6c00dfff,
    0x006fffff,0x3ffffaa0,0xffffffff,0x7ffffec4,0xf94fffff,0x3fee1fff,
    0xffffffff,0x401fffff,0xfffffffa,0x5fffffff,0x3ffffa60,0xdfffffff,
    0x80000000,0x86fffffb,0xaaaaaaaa,0xaaaaaaaa,0x3fe60aaa,0x000001ff,
    0x05fffd10,0x7dffffd3,0xfffffc88,0x26003eff,0x002fffff,0xffffeb80,
    0x80bdffff,0xfffffffa,0x3ffff21d,0xfffffb30,0x5bffffff,0x7ff64400,
    0xefffffff,0xffeb802d,0x02dfffff,0x5c400000,0x1fffffff,0xfffffff8,
    0xffffffff,0x7cc1ffff,0x0000000e,0x54c03fd8,0x5d54400b,0x9100009a,
    0x000003bd,0x00335531,0x00555d44,0x75553100,0x00001355,0x13555753,
    0x55d4c000,0x2a000000,0xfffedccc,0x2fffffff,0xfffffff0,0xffffffff,
    0x1303ffff,0x40000000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fe40000,0xffffffff,0x3e04ffff,0xffffffff,0xffffffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfffffffc,0x02efffff,0x7ffffffc,0xffffffff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffc80,0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff9000,0x00159ddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26620000,0x33100000,0xeeeed801,0x77774c03,
    0x8013000e,0x09800019,0xeeeea800,0xee9800de,0x3ba65eee,0x44004eee,
    0xd33eeeee,0xdddddddd,0xdddddddd,0x4ccc4009,0xb9730001,0x640599dd,
    0x0002eeee,0x3617bbb6,0x7f5c6eee,0xdb04efff,0xffeb8bdd,0xfff04eff,
    0xff9809ff,0xddd70fff,0x0fbffaa5,0x009ffff5,0x77fff654,0xffd000bd,
    0xfd00bfff,0xff83ffff,0x2000ffff,0x52fffffb,0xffffffff,0xffffffff,
    0x7ff400bf,0x7f4000ff,0xffffffff,0xffffc81e,0x3ffe0004,0xfffff86f,
    0xfffffe88,0x7f40dfff,0xfffd16ff,0x81dfffff,0x404fffff,0x90fffff9,
    0xfff35fff,0x3fee5fff,0x4405ffff,0xfffffffe,0xf8802fff,0x203fffff,
    0x84fffffb,0x03fffffc,0x9bffffa0,0xfffffffa,0xffffffff,0x3fa005ff,
    0x74000fff,0xffffffff,0x7fdc0fff,0xf10005ff,0xfff0bfff,0xffffd3ff,
    0x8bffffff,0xfe8ffffe,0xffffffff,0x7ffffc5f,0x7fffcc04,0xd7fff90f,
    0x1bffffff,0xffffffff,0x3fffee03,0xffffedff,0x7fdc00df,0xf980ffff,
    0xf106ffff,0x200dffff,0x23fffff9,0xfffffffa,0xffffffff,0x3fa005ff,
    0x74000fff,0xfdbabcef,0x7fd45fff,0xf30006ff,0xfff09fff,0xfffffdff,
    0x3fffffff,0x7f7ffff4,0xffffffff,0x3ffe1fff,0x7fcc04ff,0xfff90fff,
    0xfffffffd,0xffffffdf,0xfff709ff,0xffb3015f,0xfffb00df,0xfffd0bff,
    0x7fec03ff,0xfc801fff,0x3a60ffff,0xeeeeeeee,0xffffffee,0x3fffa002,
    0x0054000f,0xf98dfff9,0x50007fff,0xff07ffff,0xdfffffff,0xfffffb57,
    0x7fffff4b,0xffccffff,0x3fe5ffff,0x7cc04fff,0xff90ffff,0xff35ffff,
    0xf55fffff,0xff98bfff,0xcccccadf,0x07fff70a,0xffffff88,0x3ffffee3,
    0x7fffd403,0xffff804f,0xfd10005f,0x8009ffff,0x000ffffe,0x3fffd400,
    0x003ffffc,0x82ffffb8,0xffffffff,0x7ffffe82,0x3ffffffa,0x7fffc42f,
    0x3ffffe6f,0x7fffcc04,0xfffff90f,0x7fffff45,0xd1bfffa1,0x3ffeebff,
    0xff51ffff,0xfff9803f,0xfff98fff,0xfff005ff,0xffa80fff,0xb0002fff,
    0x00dfffff,0x01ffffd0,0xcaa99800,0xfff87fff,0x6664c1ff,0x1ffffb83,
    0xfffffff8,0xfffff703,0x7ffffff4,0xfffff902,0x027ffffc,0x43ffffe6,
    0x6c6ffffc,0x7f46ffff,0x3ffee7ff,0xffddff70,0x037fecff,0x77ffffe4,
    0x00fffffe,0x3fffff90,0x3ffffec0,0xffffb800,0xfe8000ff,0x98000fff,
    0xfffffffd,0xfffd87ff,0x7fffec2f,0x83fffe40,0x04ffffff,0x43ffffe6,
    0x03fffffe,0x43ffffea,0x404fffff,0x90fffff9,0xfd85ffff,0x7fec2fff,
    0xb8bff67f,0x1fff12ff,0x2003ffe2,0xfffffffe,0x22002fff,0x104fffff,
    0x009fffff,0xffffff30,0x3ffa0005,0x7e4000ff,0xffffffff,0xfffc87ff,
    0x7ffffc3f,0x83fffec3,0x405fffff,0xd1fffff9,0x980bffff,0xff1fffff,
    0xf9809fff,0xff90ffff,0xfffd81ff,0x27fffd87,0x3fee0fff,0xfd83ffa2,
    0xfff8801f,0x05ffffff,0x7ffffd80,0x3fffff50,0xffff8800,0x555103ff,
    0xfff55555,0x555557ff,0x7ffdc355,0xffb9abef,0xffffb87f,0x3ffffea4,
    0x82ffff46,0x004fffff,0x27ffff40,0x3ffffe60,0x09fffff1,0x0fffff98,
    0xfb0ffff9,0xfffb0fff,0xf71bfe2f,0x8bffb57f,0xf7003ffc,0x1fffffff,
    0xffff5000,0xffffb05f,0xfffd000d,0x7fcc0bff,0xffffffff,0xffffffff,
    0x3ffa4fff,0x7fffa86f,0x25ffffa8,0x1ffffffd,0x7c13fffe,0x0004ffff,
    0x027ffff4,0x47ffffe6,0x404fffff,0x90fffff9,0xffb0ffff,0xffffb0ff,
    0xff717fea,0xa819ffff,0x3fa005ff,0x003fffff,0x17ffffe0,0x05fffff1,
    0xfffffc80,0x3ffe600e,0xffffffff,0xffffffff,0x3fffe4ff,0x87fffb84,
    0x3e6ffff9,0x24ffffff,0xff03ffff,0x80009fff,0x404ffffe,0xf1fffff9,
    0x9809ffff,0xf90fffff,0xfffb0fff,0x2ffffb0f,0x7fdc5ffa,0xfb82ffff,
    0xfff7004f,0x001fffff,0x3fffff20,0x1ffffee0,0xfffff500,0xfff9803f,
    0xffffffff,0xffffffff,0x3fffa4ff,0xfffc989f,0xffff887f,0xffffff57,
    0x3fffe2df,0x9fffff02,0xfffe8000,0x7ffcc04f,0xfffff1ff,0xffff9809,
    0x0ffff90f,0xfb0ffffb,0x1ffe2fff,0xfff35ff7,0x803ffc81,0xfffffff9,
    0xf30005ff,0x7f47ffff,0x26004fff,0x03ffffff,0xffffff98,0xffffffff,
    0x4fffffff,0x3ffffff2,0x07ffffff,0xf91fffff,0x3ffffdff,0x203ffff5,
    0x004fffff,0x27ffff40,0x3ffffe60,0x09fffff1,0x0fffffa8,0xfb0ffff9,
    0xfffb0fff,0xf707ffcf,0xd0fff25f,0xffd003ff,0xffffffff,0x3ffa0007,
    0xffff36ff,0x3fa2003f,0x0005ffff,0x03ffffa0,0xfffff880,0x7ffecfff,
    0xf3ffffb0,0xffff3fff,0x01ffff79,0x013ffffe,0x9ffffd00,0xfffff980,
    0x09ffffd1,0x7fffffc4,0xb0ffff90,0xffb0ffff,0x71ffecff,0x9ffe65ff,
    0x6400fff9,0xffdfffff,0x8001ffff,0xc8fffffa,0x2006ffff,0x06fffffd,
    0x7fff4000,0x7e44000f,0xdd71deff,0x3ffff20d,0xffb7fffb,0x0ffff9df,
    0x027ffffc,0x3ffffa00,0x7fffcc04,0xdffffb1f,0x3ffffa20,0xffff90ff,
    0xb0ffffb0,0x7fd4ffff,0x745ff71f,0x0bffd2ff,0x5fffffa8,0x1dfffff9,
    0xfffff000,0x07fffff7,0x3ffffee0,0x7400000f,0x0000ffff,0xffb80002,
    0x54ffffff,0xfffdffff,0x7ffffc0d,0x7ff40004,0x7fcc04ff,0xfff91fff,
    0xffd881ff,0xf90fffff,0xfffb0fff,0x8ffffb0f,0x39936ffd,0x7fdde64c,
    0x3ffe200f,0x3ffa0fff,0xc8004fff,0xffffffff,0xff9800ff,0x0002ffff,
    0x0ffffe80,0x50000000,0xffffffff,0x3ffffe25,0x3fe05fff,0x40004fff,
    0x404ffffe,0x71fffff9,0x39ffffff,0xfffffff9,0x3fff21ff,0x87fffd87,
    0x7c47fffd,0x6c401eff,0x7f402fff,0x7cc3ffff,0x002fffff,0x7fffffcc,
    0xf8804fff,0xeeffffff,0xeeeeeeee,0x3fffa005,0x2aaa000f,0xaaaaaaaa,
    0x7cc0aaaa,0x47ffffff,0xfffffffd,0x3ffffe04,0x7ff40004,0x7fcc04ff,
    0xfff11fff,0xffffffff,0x1fffffff,0x361ffff2,0xffd87fff,0xffffa87f,
    0xff7310ac,0xffc80bff,0xff905fff,0x8001ffff,0xfffffffe,0xfffc801f,
    0xffffffff,0x07ffffff,0x03ffffa0,0x7ffffc40,0xffffffff,0x7ffc42ff,
    0x7d44ffff,0x02ffffff,0x013ffffe,0x9ffffd00,0xfffff980,0x3fffff21,
    0xcbffffff,0xff90ffff,0xffffb0ff,0x20ffffb0,0xffffffe9,0x03ffffff,
    0x7fffffd4,0x3ffffa00,0x7fdc006f,0x006fffff,0xfffffff9,0xffffffff,
    0x7f400fff,0xf1000fff,0xffffffff,0x05ffffff,0x5fffffff,0xffffff88,
    0x3fffe01f,0x7f40004f,0x7cc04fff,0x3a21ffff,0xffffffff,0x1ffff93f,
    0x361ffff2,0xffd87fff,0x7ffe407f,0x0dffffff,0x7ffffc40,0x7ffcc02f,
    0x22003fff,0x3fffffff,0xfffff900,0xffffffff,0x400fffff,0x000ffffe,
    0xfffffff1,0xffffffff,0xfffffd05,0x3ffff60f,0x3ffe00ff,0x740004ff,
    0x4c04ffff,0xc81fffff,0x1dffffff,0x643ffff2,0xffd87fff,0x7fffd87f,
    0xefeca880,0xffd001bc,0x3200bfff,0x01ffffff,0x3fffff20,0xfff9000f,
    0xffffffff,0x0fffffff,0x077776c0,0x55555500,0x55555555,0xffff9015,
    0x3ffea0bf,0x7ffc07ff,0x740004ff,0x4c04ffff,0x201fffff,0x4000aba9,
    0xfd87fffc,0xfffd87ff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x765cc000,0x00000acd,0x00980020,
    0xeeb80008,0x3310005e,0x20010001,0x00020002,0x037fff5c,0x80000980,
    0x2a600029,0x774001aa,0xeeeeeeee,0xeeeeeeee,0x5555531e,0x55555555,
    0x01555555,0xffffffb1,0x0ec807ff,0x2007ea00,0xf100bfe8,0x7fe4001b,
    0xfd91006f,0x17dfffff,0x701fe440,0xb71007ff,0x039ffffd,0x7ffffdc4,
    0xfdb3006f,0x8007dfff,0x004fffe9,0x07ffffc4,0xffffff00,0xffffffff,
    0x363fffff,0xffffffff,0xffffffff,0x7fcc1fff,0xffffffff,0x1dff906f,
    0x03fff500,0x82ffffc8,0x800cfffd,0x3005fffb,0xffffffff,0xff903fff,
    0xfff983ff,0x3fee00ff,0xffffffff,0x7fffe444,0x4406ffff,0xfffffffc,
    0xfd002eff,0x4009ffff,0x05fffffc,0x3fffffe0,0xffffffff,0xfb1fffff,
    0xffffffff,0xffffffff,0xfffe83ff,0xffffffff,0x7fffe43f,0x3ffea00e,
    0xfff301ff,0xfffb81ff,0x7d40c86f,0x4c1b85ff,0xffffffff,0x7e40ffff,
    0xffd86fff,0xfff905ff,0xffffffff,0x7fffe49f,0x406fffff,0xfffffffe,
    0x401fffff,0xfffffff9,0xffff9800,0xff002fff,0xffffffff,0xffffffff,
    0x3ffff63f,0xffffffff,0x1fffffff,0x477ffff2,0x0fffffda,0xdfffffd1,
    0xfffff501,0x3fffa03f,0x7fffc43f,0x50f7dc1f,0x7ec49fff,0x66f7fcc5,
    0x2ffffffd,0x44ffffe8,0x82fffff8,0xfffffff8,0x267fffff,0xffffffff,
    0x3ffee06f,0xfffedeff,0x7fd406ff,0x804fffff,0xfffefffe,0x55555006,
    0x55555555,0x21555555,0xfffffffd,0xffffffff,0x3fe1ffff,0xfff705ff,
    0x7fff445f,0x3fea0eff,0xf901ffff,0xffd0bfff,0xfff887ff,0x27fff33f,
    0x222ffffa,0xfffff101,0xfffff107,0xfffffa83,0x89befa80,0x1fffffea,
    0x3feabbf6,0xfff106ff,0xffe885ff,0x3fe603ff,0x405fffff,0xff8efffb,
    0x000004ff,0xfc800000,0xfff11fff,0x3ffe605f,0x7fff443f,0xfffa8eff,
    0xff301fff,0xffb81fff,0xfffc85ff,0xbfff9eff,0x06fffffc,0x07ffffa0,
    0x437fffdc,0x304ffffd,0x3ffffee0,0xfffa8a61,0xffff506f,0x3fffea07,
    0x7fffec04,0x3fe206ff,0xffff72ff,0x00000001,0xfffc8000,0x1ffff51f,
    0x42ffffc0,0xeffffff8,0x01ffffff,0x30bffffa,0x301fffff,0xfffffffb,
    0xffffffff,0xff91005d,0xffd80fff,0x7ffc44ff,0x3f2001ff,0x2a00ffff,
    0xf706ffff,0x7fc01fff,0xffe806ff,0x3f205fff,0x7fff45ff,0x00000005,
    0x7ffe4000,0x1ffff71f,0x82ffff40,0xfffffff8,0x2e01ffff,0xfe85ffff,
    0x64c02fff,0xffffffff,0x2602efff,0xffffffee,0x7ffc401e,0x7ffd41ff,
    0xfff5006f,0xffa80bff,0xfff906ff,0x7fffd80f,0xfffff980,0x3ffff304,
    0x02ffffa8,0x00000000,0x47ffff20,0x103ffff9,0x4407ffff,0xffffffff,
    0x3ffe201f,0x7ffdc0ff,0x3f22005f,0x1dffffff,0xfffffa80,0xa800afff,
    0xfd86ffff,0x7cc03fff,0x401fffff,0x906ffffa,0x7c03ffff,0xff006fff,
    0x3fa05fff,0xfffd05ff,0x3fffe01f,0xffffffff,0x1fffffff,0xfffc8000,
    0xbffff11f,0x0bfffee0,0xffffff10,0xffe8803f,0x7ffd42ff,0xf93000ef,
    0x5bffffff,0xfffff500,0x805fffff,0x444ffffd,0x201fffff,0x2ffffffa,
    0x6ffffa80,0x07ffff70,0x013fffe6,0x07ffffe2,0x403fffea,0xf04ffff9,
    0xffffffff,0xffffffff,0x900003ff,0x7fc3ffff,0x3aa0bfff,0x5400ffff,
    0xefffffff,0x7fffd400,0x7fffe40f,0x7ffecc04,0xffffffff,0x3332602e,
    0xffffffed,0xdffff700,0x09ffffb0,0x7fffffdc,0xffff5002,0x3fffe60d,
    0x7ffff906,0x9ffff700,0x09ffff10,0x81ffffd8,0xffffffff,0xffffffff,
    0x80001fff,0x7dc19998,0xffdfffff,0x5403ffff,0xffffffff,0x7fec00ef,
    0x7ffc44ff,0xffea82ff,0xffffffff,0x03ffffff,0x3ffffea0,0xfffff883,
    0x37fffdc1,0xdfffff70,0x7ffd4003,0x3fffa06f,0xffdbabef,0x32600eff,
    0xf906ffff,0xf8801fff,0xfff86fff,0xffffffff,0xffffffff,0xd0000001,
    0xffffffff,0xfa80dfff,0xffffffff,0x3e200eff,0x7d42ffff,0x7e40ffff,
    0xff9dffff,0xfffffbbf,0x7fffc006,0xffffe85f,0x7ffffc43,0xfffff901,
    0x9999801b,0x99effffb,0x3fffe619,0xffffffff,0x7f76c42f,0x881fffff,
    0x9003ffff,0xaa87ffff,0xaaaaaaaa,0xaaaaaaaa,0x0000000a,0xffffffd1,
    0xfa809fff,0xfeafffff,0x200effff,0x40fffffb,0x445ffffc,0xff33ffff,
    0x3fffa67f,0x3ffe6002,0x7ffdc4ff,0xffffd85f,0xfffffb04,0x9999999f,
    0x3fffffe6,0x7fffffff,0x7fffffd4,0x983fffff,0xdfffffff,0x0dfffb00,
    0x7ffffc40,0x00000000,0xfd500000,0x803bdfff,0x1ffffffa,0xdfffffd1,
    0x7fffec01,0x7ffff445,0xf30f7dc3,0x2fec49ff,0x3733bbf6,0x1ffffffe,
    0x03ffffe6,0x20dffff7,0xfffffffc,0x37ffffff,0xffffffff,0x10ffffff,
    0xfffffffb,0x3ffe601b,0x00001eff,0x00000000,0x00000000,0x3ea00131,
    0x441fffff,0x0efffffe,0x5fffff10,0x0fffffa8,0x2fffd41c,0x3fff60d4,
    0xffffffff,0x7ffff44f,0x7ffffc43,0xfffff901,0xffffffff,0x3ffffe6f,
    0xffffffff,0x2b2a6207,0x5e74c009,0x0000001a,0x00000000,0x00000000,
    0x3ffffe20,0xffff101f,0x7fdc05ff,0xdffc80cf,0xbfff7001,0x3ffff600,
    0x3fffffff,0x505ffc88,0x7e409ffd,0xffffffff,0xdd37ffff,0xdddddddd,
    0x0000bddd,0x00000000,0x00000000,0xaa800000,0xaaaaaaaa,0x2a0aaaaa,
    0x4401ffff,0xe803ffff,0x0076200c,0x00dfff90,0x3ffffff2,0xc8802def,
    0x70075400,0xdddddddd,0x00bddddd,0x00000000,0x00000000,0x00000000,
    0x7ffc4000,0xffffffff,0x7d42ffff,0x7ff1001f,0x00000000,0x80099995,
    0x00000998,0x00000000,0x00000000,0x00000000,0x00000000,0xff100000,
    0xffffffff,0x505fffff,0x00288003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0xffffffff,0x002fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaaaa0,0xaaaaaaaa,0x0000000a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x776c0000,0x7775c5ee,0x000000ee,0x001ab980,0x75c00000,0xa84eeeee,
    0x04eeeeee,0xfffff900,0x2dffffff,0xccccccc9,0x12cccccc,0x11111111,
    0x11111111,0x11111111,0x00000000,0x00000000,0xfe800000,0x7fe46fff,
    0x36200fff,0xdff504ff,0x3ffff203,0x000002ef,0xfffffb80,0x3ffea03f,
    0xc8005fff,0xffffffff,0xfff36fff,0xffffffff,0x3fffe9ff,0xffffffff,
    0xffffffff,0x001fffff,0x00000000,0x00000000,0x3fff6000,0x7fffdc6f,
    0x7fffe407,0x37fffcc4,0x7fffffec,0x3fea04ff,0x2e0000ff,0x01ffffff,
    0xfffffe88,0x7ffe4005,0xffffffff,0xffffff36,0x9fffffff,0x3ffffffe,
    0xffffffff,0xffffffff,0x000001ff,0x00000000,0x00000000,0x717ffff6,
    0xf80fffff,0x7e47ffff,0x3f22ffff,0xffffffff,0xffff705f,0x3fee0001,
    0x4000dfff,0x05fffffc,0x3fffff20,0x36ffffff,0xffffffff,0x3e9fffff,
    0xffffffff,0xffffffff,0xffffffff,0x00000001,0x00000000,0x32000000,
    0x7d45ffff,0x7fc07fff,0x7fe46fff,0x3ffe1fff,0xffffffff,0x7ffec0df,
    0xfff70007,0x540007ff,0x005fffff,0x7ffcc000,0xffffffff,0xfffff4ff,
    0xffffffff,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x7fffe400,
    0x37fffd44,0x13ffff20,0x54dffff3,0xebaeffff,0x71efffff,0x000dffff,
    0x03fffff7,0xfffd1000,0x800000bf,0x99999999,0x33099999,0x33333333,
    0x33333333,0x03333333,0x00000000,0x00000000,0xffb80000,0x7ffcc4ff,
    0x4ffc805f,0x641bfd50,0x3620ffff,0xffffffff,0x8002ffff,0x00099999,
    0x0ccccc00,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0xfff987ff,0x8000005f,0xfb05fffd,0xffffffff,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffea00,0x27fffc43,
    0x7f400000,0x3ff605ff,0x2fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x885ffff5,0x0004ffff,0x09999800,
    0x7ffffdc0,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe6000,0x3ffff82f,0x00000000,0x157b9710,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80aaaa88,
    0x0001aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_46_latin1_x[224]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,2,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,3,2,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,4,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_46_latin1_y[224]={ 34,2,2,4,0,1,2,2,0,0,2,10,25,19,
25,2,4,4,4,4,4,4,4,4,4,4,10,10,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,38,2,10,2,10,2,10,1,10,2,1,
1,2,2,10,10,10,10,10,10,10,3,11,11,11,11,11,11,1,-3,1,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,0,4,4,4,
-3,1,1,4,4,12,19,19,1,3,1,6,1,1,2,11,2,16,34,2,4,12,2,2,1,10,-4,-4,-4,-5,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-5,-4,-4,-4,-5,-4,11,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,1,1,-1,10,10,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,9,6,2,2,2,1,2,2,1,
 };
static unsigned short stb__consolas_bold_46_latin1_w[224]={ 0,8,16,25,22,26,26,7,15,15,20,23,13,15,
9,22,24,21,21,20,25,20,22,21,21,22,9,13,19,21,19,16,26,26,22,22,24,18,18,23,22,19,18,23,
19,24,22,25,21,26,23,21,23,23,26,25,26,26,21,13,22,13,23,26,16,21,21,20,22,21,24,23,20,20,
19,22,20,23,20,23,21,22,20,19,21,20,25,26,25,25,19,18,6,18,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,19,23,25,25,
6,22,21,25,17,21,21,15,23,19,18,21,15,15,24,22,23,10,7,15,17,21,26,26,26,17,26,26,26,26,
26,26,26,22,22,23,22,22,22,23,22,22,25,24,25,25,25,25,25,21,25,24,24,24,24,26,21,22,23,24,
23,23,23,23,25,20,23,24,23,23,23,24,23,23,23,23,24,24,24,24,24,23,23,23,24,23,23,25,21,25,
 };
static unsigned short stb__consolas_bold_46_latin1_h[224]={ 0,33,12,30,40,34,33,12,44,44,20,23,17,6,
10,37,31,30,30,31,30,31,31,30,31,30,25,32,26,14,26,33,43,30,30,31,30,30,30,31,30,30,31,30,
30,30,30,31,30,39,30,31,30,31,30,30,30,30,30,42,37,42,15,6,10,25,33,25,33,25,33,34,32,33,
43,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,47,42,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,33,40,30,30,30,
47,39,11,31,23,20,12,6,24,9,17,28,19,20,10,32,38,10,7,18,23,20,32,32,33,33,38,38,38,39,
38,40,30,37,38,38,38,38,38,38,38,38,30,39,39,39,39,40,39,21,40,39,39,39,39,38,30,34,33,33,
33,34,34,36,25,31,33,33,33,34,32,32,32,33,33,33,33,33,33,34,34,25,33,33,33,33,34,42,41,43,
 };
static unsigned short stb__consolas_bold_46_latin1_s[224]={ 254,246,1,141,1,118,91,248,15,31,63,
184,173,127,243,24,1,187,209,211,1,190,146,202,100,1,242,241,66,211,46,
239,93,70,28,77,177,151,51,53,103,97,237,117,167,126,27,1,197,130,219,
215,224,122,1,77,50,170,231,134,1,120,187,143,90,157,73,136,50,199,25,
170,194,46,73,76,173,64,22,221,195,191,1,179,151,43,138,226,112,193,164,
148,8,193,40,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,
153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,153,254,242,234,
232,78,52,1,157,18,27,208,41,233,127,88,107,154,24,122,84,65,219,28,
243,248,138,1,100,1,124,19,1,219,204,177,103,76,24,126,47,154,52,231,
103,196,149,126,173,26,180,205,1,128,51,27,19,77,53,78,103,231,1,104,
1,1,142,167,49,94,70,86,169,146,73,98,194,52,99,28,67,217,122,143,
168,214,145,24,112,119,95,170,118,218,167,212,47, };
static unsigned short stb__consolas_bold_46_latin1_t[224]={ 1,129,549,407,49,169,242,375,1,1,525,
500,525,549,438,169,375,407,407,343,438,343,343,375,343,469,276,207,469,525,469,
242,1,407,407,343,375,438,407,343,438,407,310,407,407,438,438,343,438,49,438,
310,375,343,407,438,438,438,407,1,169,1,525,549,549,469,276,469,276,469,276,
169,310,242,1,310,310,500,500,469,207,242,500,469,310,500,500,500,500,276,500,
1,1,1,549,375,375,375,375,375,375,375,375,375,375,375,375,375,375,375,375,
375,375,375,375,375,375,375,375,375,375,375,375,375,375,375,375,375,1,169,1,
343,375,375,1,49,549,343,500,525,525,549,500,549,525,469,525,525,549,276,130,
449,388,525,525,525,310,310,242,242,129,89,89,49,130,49,375,169,89,130,89,
129,129,129,129,129,375,49,49,90,89,49,90,525,49,90,90,89,49,130,375,
207,276,242,242,207,169,169,469,343,207,207,207,169,310,310,310,242,207,207,276,
276,242,169,207,469,276,276,207,242,169,1,1,1, };
static unsigned short stb__consolas_bold_46_latin1_a[224]={ 405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,405,
405,405,405,405,405,405,405,405, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_46_latin1(stb_fontchar font[STB_FONT_consolas_bold_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_46_latin1_s[i] + stb__consolas_bold_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_46_latin1_t[i] + stb__consolas_bold_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_46_latin1_x[i];
            font[i].y0 = stb__consolas_bold_46_latin1_y[i];
            font[i].x1 = stb__consolas_bold_46_latin1_x[i] + stb__consolas_bold_46_latin1_w[i];
            font[i].y1 = stb__consolas_bold_46_latin1_y[i] + stb__consolas_bold_46_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_46_latin1_s[i] + stb__consolas_bold_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_46_latin1_t[i] + stb__consolas_bold_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_46_latin1_x[i] + stb__consolas_bold_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_46_latin1_y[i] + stb__consolas_bold_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_46_latin1_LINE_SPACING
#endif

