// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT        613
#define STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_48_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_48_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_48_latin1_LINE_SPACING          32

static unsigned int stb__consolas_bold_48_latin1_pixels[]={
    0x22555551,0x1312aaaa,0xb8000000,0x10000002,0x33333333,0x26621333,
    0x99999999,0x33000009,0x00000720,0x26666200,0x4ccc4199,0x00000019,
    0x01597310,0x806ea000,0x26000ba8,0x7ffd4009,0xdffff56f,0x0f7bfffa,
    0xffb80000,0xfeb80002,0x7ffff42e,0x3fffffff,0xfffffffd,0x0007ffff,
    0x3fffdb93,0x0001ffd8,0x3ffe6000,0x7ec2ffff,0x00007fff,0x7fff5400,
    0x000cefff,0x83fffe88,0x402ffff9,0x203fffe8,0xf56ffffa,0x3ffadfff,
    0x001effff,0x7fffe400,0x3ff20002,0x3ffa2fff,0xffffffff,0xfffffd3f,
    0x07ffffff,0x7fffe440,0x3ff21fff,0x000001ff,0xffffff98,0xffffd80e,
    0x10000007,0xfffffffb,0x8001dfff,0x41fffffc,0x407ffffe,0x01fffffe,
    0x2adffff5,0xffd6ffff,0x07ffffff,0x3fff2000,0xf10006ff,0x74dfffff,
    0xffffffff,0xfffd3fff,0xffffffff,0x3ffe2007,0x51ffffff,0x03ffffff,
    0x7fcc0000,0x3604ffff,0x0007ffff,0xfffe9800,0xffffffff,0x3fa000ef,
    0x7fc3ffff,0xf301ffff,0x209fffff,0xf56ffffa,0x3ffadfff,0x0fffffff,
    0x7ffe4000,0x30000eff,0x1fffffff,0x3ffffffa,0xfd3fffff,0xffffffff,
    0x3f6007ff,0xffffffff,0x3fffff21,0x9800001f,0x02ffffff,0x03ffffec,
    0x3fe60000,0xecceffff,0x00ffffff,0x5fffffb0,0x0ffffff8,0xffffff50,
    0x3fffea0b,0x2dffff56,0xffffba98,0x2a0005ff,0x00ffffff,0x3fffe200,
    0x266627ff,0xffffe999,0x37ffffd3,0x00133333,0xbffffff3,0xfffb0335,
    0x00001fff,0x77ffffcc,0xffffd801,0x22000007,0x81effffe,0x05ffffe8,
    0x0dffff30,0x40bffff7,0x4ffffff9,0x2dffff50,0x206ffffa,0x00fffffd,
    0xfffff880,0xfd80001f,0xd004ffff,0x3fa7ffff,0x40002fff,0x01fffffd,
    0xbfffffb0,0x3fe60000,0x36004fff,0x0007ffff,0x3ffff600,0x3ffe200e,
    0xdb3000ff,0x0fbae019,0x3fffff20,0xdffff500,0x81bfffea,0x01fffff8,
    0xfffffd80,0xfd100001,0x3a001bff,0xffd3ffff,0xe80005ff,0x4003ffff,
    0x02fffffe,0xb0000000,0x000fffff,0x3fffee00,0xffff3006,0x00000007,
    0x401bdd70,0xf56ffffa,0xfd80dfff,0x5c002fff,0x004fffff,0x000a9800,
    0xe9fffff4,0x0002ffff,0x007ffffc,0x3ffffe20,0x0000000f,0x7ffffd80,
    0xfff00000,0x7ec003ff,0x000006ff,0x7d400000,0xfff56fff,0xfffc80df,
    0x3fe2003f,0x00006fff,0x7ff40000,0xffffd3ff,0x7fc40005,0xf70007ff,
    0x000bffff,0xffb00000,0x004c0fff,0x27fffd40,0x3fffee00,0x00000001,
    0x3ffea000,0xdffff56f,0x5ffffb80,0x3ffff200,0x0000002f,0x7ffff400,
    0x05ffffd3,0x7fffcc00,0x3ffa0006,0xee981fff,0x98005eee,0xfb4eeeee,
    0x6dc4dfff,0x003dffff,0x000dfffd,0x4c7ffff3,0x005eeeee,0x4eeeee98,
    0x5004cccc,0x3eadffff,0x7dc06fff,0xf1005fff,0x200bffff,0xeeeeeeea,
    0xeeeeeeee,0xfffd004e,0x3ffffa7f,0x3fe60002,0x2a0006ff,0xf05fffff,
    0x005fffff,0x2fffffd8,0x26dffffb,0xffffffff,0x7ffcc05f,0x2301103f,
    0x7fc4ffff,0x4002ffff,0x22fffffd,0x205ffff9,0xf56ffffa,0xfb80dfff,
    0xf7005fff,0x2001ffff,0xfffffffb,0xffffffff,0xfffd005f,0x3ffffa7f,
    0x3fe60002,0x6c0006ff,0xb80fffff,0x005fffff,0x9fffffe2,0xfadffffd,
    0xffffffff,0xffb00eff,0x7fec41ff,0xfb7fedff,0xfffb8bff,0x3e2005ff,
    0x7cc7ffff,0x3ea05fff,0xfff56fff,0xfffb80df,0xfffd005f,0x7fdc00df,
    0xffffffff,0x05ffffff,0x27ffffd0,0x002ffffe,0x1bfffe60,0xffff5000,
    0xffff105f,0x3ea001ff,0x3f64ffff,0xffffffff,0xffffffff,0xbffff04f,
    0x7fffffcc,0xfff97fff,0xfffff88b,0xfff5000f,0xfffa89ff,0x3ffea05f,
    0xdffff56f,0x5ffffb80,0xfffff980,0x3ffee003,0xffffffff,0x005fffff,
    0x3a7ffffd,0x0002ffff,0x01bfffe6,0xfffff100,0x3ffff60d,0xfffb003f,
    0x7ffec3ff,0xcfffffff,0xfffffffe,0x97fffcc0,0xfffffff8,0xfff96fff,
    0xfffffb0d,0x3fff6007,0x7ffd41ff,0x3ffea05f,0xdffff56f,0x6ffffa80,
    0xfffffc80,0x33326000,0xcccccccc,0x005fffff,0x3a7ffffd,0x0002ffff,
    0x017fffea,0x3ffff600,0xffffa80f,0xfff8806f,0x7ffec6ff,0x4c3effff,
    0x43ffffff,0xf90ffffb,0xffffffff,0x1fffeebf,0x1bffffea,0x3ffffe20,
    0x6ffffa86,0x5bfffea0,0x406ffffa,0x807ffff9,0x005ffffe,0x3ffe2000,
    0xffd005ff,0x3fffa7ff,0x3ee0002f,0x80005fff,0x03fffffa,0x03ffffff,
    0x3fffffb8,0x7fffffec,0xffff500f,0x7fffd8ff,0x35fffff1,0x3eebffff,
    0xffff07ff,0xffb803ff,0xffb83fff,0x3fea06ff,0xffff56ff,0xffff880d,
    0x7fffc02f,0x2000003f,0x05fffff8,0x27ffffd0,0x002ffffe,0x13ffffa0,
    0x7fffc000,0xffff904f,0xfffe809f,0x7ffec0ff,0x7fc01fff,0x3fe0ffff,
    0xffff55ff,0x53fffe67,0xc80ffffa,0x404fffff,0x80fffffe,0x206ffffb,
    0xf56ffffa,0xfb00dfff,0x2205ffff,0x002fffff,0x3ffe2000,0xffd005ff,
    0x3fffa7ff,0xfd88002f,0x0000ffff,0x09ffffd0,0x1fffffe2,0x4fffff98,
    0x2fffffd8,0xfffffc80,0x27ffff11,0xf30ffffd,0x3fea7fff,0xfff880ff,
    0x3fe607ff,0xff704fff,0x7fd40fff,0xffff56ff,0xffff300d,0x2679dfff,
    0x001fffff,0x3ffe2000,0xffd005ff,0x3fffa7ff,0xedc9802f,0x05ffffff,
    0x3fff6000,0x3fff605f,0xfff902ff,0xfffb03ff,0x3fee00ff,0xfff52fff,
    0x9bfffe5f,0xf72ffffa,0x7fec0fff,0xff902fff,0x3ee03fff,0x3ea07fff,
    0x80006fff,0xfffffff9,0xfffff56f,0x44000003,0x005fffff,0x3a7ffffd,
    0xb802ffff,0xffffffff,0x7ec00004,0x3ea06fff,0xff05ffff,0x3f60dfff,
    0xf7007fff,0x3ea7ffff,0xfff88fff,0x3fffee5f,0x40ffff72,0x05fffffa,
    0x40dfffff,0x207ffffc,0x006ffffa,0x3fffee00,0xffff76ff,0x4000001f,
    0x05fffff8,0x27ffffd0,0x802ffffe,0xdffffffb,0xfc800000,0x7fc07fff,
    0x7cc0ffff,0xfb03ffff,0x2a00ffff,0xf74fffff,0xfff31fff,0x7fffdc7f,
    0x80dfff71,0x40ffffff,0x03fffff9,0x81fffff2,0x006ffffa,0xffffe980,
    0xfff96fff,0x800000ff,0x05fffff8,0x27ffffd0,0x802ffffe,0xfffffffb,
    0x5c00003f,0x6407ffff,0x642fffff,0xb00fffff,0x200fffff,0x73fffffa,
    0x3fe6ffff,0x3fff23ff,0x0dfff90f,0x2fffffc8,0x07ffffe4,0x0fffff90,
    0x037fffd4,0x3fffe600,0xf75eefff,0x0001ffff,0x7fffc400,0xfffd005f,
    0x3ffffa7f,0xffeea802,0x003fffff,0x3fffee00,0x7fffcc07,0x3fffe25f,
    0x3fff605f,0xfff7007f,0x3fff25ff,0x45ffff57,0x3f67fffd,0x7fcc05ff,
    0x3fe25fff,0x7ec05fff,0xf500ffff,0x8000dfff,0x03fffffd,0x03fffff5,
    0x7fc40000,0xfd005fff,0x3ffa7fff,0xe98002ff,0x000fffff,0xdffff900,
    0xfffffb00,0x3ffffea1,0x3ffff602,0xffff9007,0x5bfff23f,0x362ffffa,
    0x3ffa7fff,0xfffd804f,0xffff50ff,0xfffd805f,0xfff500ff,0x7c4000df,
    0x2602ffff,0x002fffff,0x3ffe2000,0xffd005ff,0x3fffa7ff,0xff10002f,
    0x00007fff,0x017ffff6,0x4fffffea,0x406ffffd,0x007ffffd,0x6cfffffd,
    0xfff56fff,0x37fff45f,0x5005ffff,0x367fffff,0xd806ffff,0x500fffff,
    0x000dffff,0x03ffffcc,0x0fffffe2,0xff880000,0xfd005fff,0x3ffa7fff,
    0x320002ff,0x0004ffff,0x09ffffd0,0x3bffffe0,0x03fffff8,0x03ffffec,
    0x37ffffd4,0x3e6dfffb,0xfff12fff,0x3fffe6bf,0xfffff000,0x7fffff1d,
    0xfffffb00,0x3fffea03,0x3fea0006,0xfff806ff,0x000004ff,0x17ffffe2,
    0x9fffff40,0x002ffffe,0x17fffee0,0x7fffc000,0xfff9003f,0xfffff9ff,
    0xffffd801,0xffffe807,0x5ffff24f,0xfb3ffff9,0x3ff2dfff,0x3ff2006f,
    0xffffcfff,0xfffe800f,0xfff501ff,0x2aaaa2df,0x7fffdc02,0xfffff805,
    0x22000007,0x005fffff,0x3a7ffffd,0x0002ffff,0x01bfffea,0x3fffe600,
    0xfff3002f,0xbfffffff,0xfffffb00,0x7fffec40,0x3ffee0ff,0x9dffff17,
    0xf9ffffff,0x4c009fff,0xffffffff,0xffd005ff,0x3ea03fff,0xfff56fff,
    0xfffb80df,0xfffc805f,0x000001ff,0x0bfffff1,0x4fffffa0,0x002ffffe,
    0x1bfffe60,0x3fff2000,0x3fa000ff,0xffffffff,0xffffd802,0xeb9899bf,
    0x42ffffff,0xfd0ffffa,0xffffffff,0x1fffffff,0xffffe800,0x002fffff,
    0x03fffffd,0x55bfffea,0x5c06ffff,0x9805ffff,0x004fffff,0xffff1000,
    0x3ffa00bf,0xffffd3ff,0x7fcc0005,0xf80006ff,0x4005ffff,0xfffffffa,
    0xfffb007f,0xffffffff,0x0bffffff,0x2a3ffff5,0xceffffff,0x1fffffff,
    0xffffa800,0x2007ffff,0x02fffffe,0x2adffff5,0x5c06ffff,0xd005ffff,
    0x000fffff,0x3fffe200,0xfffd005f,0x3ffffa7f,0x3fe60002,0x540006ff,
    0x001fffff,0xfffffff8,0xfffb003f,0xffffffff,0x01bfffff,0x6c5ffff3,
    0xfd0fffff,0x0007ffff,0x7ffffffc,0x3ffe003f,0xff502fff,0x3ffeadff,
    0x7ffdc06f,0xfff7005f,0x000005ff,0x0bfffff1,0x4fffffa0,0x002ffffe,
    0x1bfffe60,0xffffb000,0x3ff2000d,0x000fffff,0xfffffffb,0xdfffffff,
    0x7fffc405,0x105eedc4,0x00017bb7,0xffffffc8,0x3ffe000f,0xff502fff,
    0x3ffeadff,0x7ffdc06f,0xfff1005f,0x00000dff,0x0bfffff1,0x4fffffa0,
    0x002ffffe,0x1bfffe60,0xffff9800,0xff30003f,0x4009ffff,0xfffffffd,
    0x03efffff,0x00fffff0,0xf9800000,0x004fffff,0x17fffffc,0x56ffffa8,
    0xb80dffff,0x2005ffff,0x04fffffd,0x7ffc4000,0xffd004ff,0x3fffa7ff,
    0x3e60002f,0x20006fff,0x00fffffe,0xfffff300,0x7fec001f,0x9aa98fff,
    0xfffd8000,0x0000001f,0x3ffffe60,0x5554000f,0xff500aaa,0x3ffeadff,
    0x7ffe406f,0x3fe2004f,0x0000ffff,0x3ffffe60,0xffffd003,0x0bffffa7,
    0xffff8800,0xfff70007,0x6c0009ff,0x004fffff,0x03ffffec,0xffff3000,
    0x00000009,0x27ffffec,0x7d400000,0xfff56fff,0xfffd80df,0x7fdc003f,
    0x00005fff,0x0bffffea,0x9fffff40,0x002ffffe,0x07ffffc0,0x3fffe200,
    0x3ea0006f,0x000fffff,0x03ffffec,0x3fffa000,0x0000001f,0xffffffa8,
    0xfffd0000,0x3ffea05f,0xdffff56f,0x7ffffc40,0xfffd8002,0xb00003ff,
    0x001fffff,0x74fffffa,0x0002ffff,0x01fffff4,0x3fffff60,0xfff30001,
    0xb0007fff,0x000fffff,0xfffffb80,0x00022000,0xffffff98,0x3ffe0003,
    0xfff500ff,0x3fffeadf,0x3ffff206,0xff88000f,0x1883ffff,0xfffff300,
    0x7fff400f,0x5ffffd3f,0xfffd8000,0xffb000ff,0x81007fff,0xffffffc9,
    0xfffb0005,0x880000ff,0x00efffff,0x04017e4c,0x3fffff26,0x3e60005f,
    0x3ea05fff,0xfff56fff,0x3aa662df,0x005fffff,0x3ffffee0,0x05f7cc2f,
    0xffffffb8,0x4ccccc43,0xd3ffffe9,0x3337ffff,0xf5001333,0x337fffff,
    0xfffff903,0x3fff600d,0xefffffff,0xfffb0000,0x900000ff,0x9dffffff,
    0xfffd9555,0xffffb005,0x1dffffff,0x7ffd4000,0x3ffea02f,0xdffff56f,
    0x3ffffffa,0x40001fff,0x2ffffffc,0x3bffffe6,0xffffffee,0xffffe86f,
    0x3fffffff,0xfffffffd,0x2007ffff,0xfffffffd,0x3fff21ff,0xfb000eff,
    0xffffffff,0x7ec0003f,0x00007fff,0xffffff70,0xffffffff,0xfffb005f,
    0x3fffffff,0xfffc8000,0x7fffd407,0x2dffff56,0xfffffffe,0xf900004f,
    0x7ccdffff,0xffffffff,0x81ffffff,0xfffffffe,0xffd3ffff,0xffffffff,
    0x3fe6007f,0x1fffffff,0x1dfffff5,0x7fffec00,0x000dffff,0x3ffffec0,
    0xff500000,0xffffffff,0xb005ffff,0xffffffff,0xfd00001b,0xffa809ff,
    0xffff56ff,0x3fffffad,0x400002ff,0x260efffc,0xffffffff,0x02efffff,
    0xfffffffd,0x3fa7ffff,0xffffffff,0x3a6003ff,0x1fffffff,0x003bfff6,
    0xffffffb0,0x3600005f,0x0007ffff,0x7fff5400,0xcfffffff,0xffffb001,
    0x00005fff,0x200ffffc,0xf56ffffa,0x3ffadfff,0x0000ceff,0x881ff900,
    0xfffffffe,0x7403ffff,0xffffffff,0xfffd3fff,0xffffffff,0xffb50007,
    0xefd83fff,0xdeeb8000,0x400001ac,0x002aaaa9,0x36e60000,0x8002acde,
    0x01acdeeb,0xa8000000,0xff56ffff,0x026aadff,0x0b800000,0x3bb32e20,
    0xa8009acd,0xaaaaaaaa,0x55550aaa,0x55555555,0x55300003,0x00001901,
    0x00000000,0x00000000,0x00000000,0x7fd40000,0xffff56ff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ea00000,0xfff56fff,0x000000df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a000000,0xff56ffff,0x00000dff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x933cccc9,0x00007999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x15554400,0xcb800000,0x000003cc,0xddb88000,0x0000002c,0x26200001,
    0x00099999,0x4c400000,0x00199999,0x004cccc0,0x01bb9800,0x80001654,
    0xf5000019,0x00000bff,0x013fffe0,0x4fffa800,0xffffb800,0x00000eff,
    0x3fff72a2,0x88000acd,0x3ffffffe,0x10000000,0x5fffffff,0x3ff62000,
    0x40002fff,0x882ffffa,0x0005fffe,0x007bffea,0x09fff700,0xff500000,
    0x400003ff,0x4003fffb,0xfffffffa,0xf700005f,0xffffffff,0x320007ff,
    0x03ffffff,0x7c400000,0x00efffff,0xffffd100,0x40005fff,0xc87fffff,
    0x002fffff,0xffffff98,0x3ff60000,0x8000003f,0x0006fffc,0x017ffe40,
    0x227bff60,0x0000fffc,0x3fffff62,0xffffffff,0xfff30005,0x00007fff,
    0x3fffa200,0x220004ff,0xfffffffe,0xf88003ff,0x6c0fffff,0x003fffff,
    0xffffffd8,0x3ffa0004,0x3000001f,0x0027fffc,0x07fffa00,0xf85fff00,
    0xd30002ff,0xffffffff,0xdfffffff,0xffb10001,0x00007fff,0xffffe880,
    0x3a20002f,0xfe8bffff,0xf8003fff,0xfc87ffff,0x8002ffff,0x5ffffffe,
    0x7fdd4400,0x00009bff,0x3fffb2a2,0x001fffff,0x07fffc00,0xf0bffe00,
    0x3a0005ff,0xffffffff,0xffffffff,0x3ee0005f,0x0003ffff,0xffffd100,
    0x7440001b,0x7ec1efff,0x5c003fff,0xf883ffff,0xb0006fff,0x07ffffff,
    0xfffffb50,0x9dffffff,0xffffb800,0xffffffff,0x3e200000,0xfd8007ff,
    0xfffd9aef,0xfffa8000,0xa89bdfff,0xfffffffc,0x26620001,0x00000199,
    0x00333331,0x13333100,0x00666660,0x880b76a0,0x10000cec,0x01ffffff,
    0x7ffffecc,0xffffffff,0xffb1006f,0xffffffff,0x0001dfff,0x01bffe60,
    0x3ffffe60,0xd0004fff,0x40bfffff,0x5ffffff9,0x00000000,0x00000000,
    0x00000000,0xe9800000,0x3ee00dff,0xffffffff,0x6fffffff,0xffffe980,
    0xffffffff,0x0000efff,0x077ffe4c,0x7fffd400,0xf70004ff,0x300bffff,
    0x03ffffff,0x00001000,0x00000400,0x00000100,0x40000000,0xffff9800,
    0xffffffff,0x806fffff,0xfffffffe,0xffffffef,0x654005ff,0xfffffffe,
    0xca8002ef,0x3e0001bc,0x001fffff,0x09fffffb,0xffeca880,0x0000acdf,
    0xfffeca88,0x80000acd,0xdfffeca8,0x332000ac,0x26003ccc,0x001ccccc,
    0xffffd000,0xfffd59ff,0x80dfb959,0xcffffffb,0x3fffffa1,0xd8802fff,
    0xffffffff,0x2003ffff,0xcccccccc,0x7ffd4001,0x3ee006ff,0x2006ffff,
    0xfffffffb,0x0003ffff,0x3fffffee,0x003fffff,0x3ffffee0,0x03ffffff,
    0x0dfffff0,0x7ffffd40,0x26662002,0xffffa809,0x3fffa0ff,0x7ffc0181,
    0x7fcc2fff,0x6fffffff,0x7ffffdc0,0xffffffff,0xfff1003f,0x009fffff,
    0x3fffffb8,0x3fffe200,0xffd8807f,0xffffffff,0x44005fff,0xfffffffd,
    0x05ffffff,0x7fffec40,0xffffffff,0xffff805f,0x3fea006f,0x2e002fff,
    0xfb83ffff,0x7fc4ffff,0x7dc000ff,0xfb83ffff,0xffffefff,0xffff701f,
    0xffffffff,0x2e007fff,0xffffffff,0x7ffec006,0x7f4001ff,0x2600ffff,
    0xffffffff,0xffffffff,0xfff9800e,0xffffffff,0x00efffff,0xffffff98,
    0xffffffff,0x3fe00eff,0x2a006fff,0x002fffff,0x20fffff2,0x22fffffd,
    0x8007fff8,0xd07fffff,0xfff9bfff,0xfff109ff,0xff9dffff,0x007ffdff,
    0x3ffffff6,0x3a000fff,0x001fffff,0x07fffff4,0xffffffd0,0xffffffff,
    0xfd00bfff,0xffffffff,0xffffffff,0xffffd00b,0xffffffff,0x40bfffff,
    0x006fffff,0x0bffffea,0x3ffffc80,0x5fffffd8,0x001bffea,0x0bfffff5,
    0xf37ffff1,0xfb0dffff,0x225fffff,0x05717fff,0x3fffffe0,0x2003ffff,
    0x00ffffff,0x7ffffec0,0xfffff701,0xf95137bf,0x03ffffff,0x7fffffdc,
    0xffca89bd,0x201fffff,0xdffffffb,0xfffca89b,0xff01ffff,0x5400dfff,
    0x002fffff,0x213ffff2,0x3ffffffb,0x8009fff7,0x82fffffb,0xfd0ffffb,
    0x7d41ffff,0x261fffff,0xa8006fff,0xffffffff,0x3fe005ff,0xd8007fff,
    0x882fffff,0x04ffffff,0x3fffffe6,0xfffff105,0x7ffcc09f,0xff105fff,
    0x4c09ffff,0x05ffffff,0x00dfffff,0x17ffffd4,0x3fff6a20,0xfff984ff,
    0xffeeffff,0x7fec003f,0xffd80fff,0x3ffff66f,0x3ffff21f,0x2fffd44f,
    0x7fffe400,0x07ffffee,0xffffff10,0xffff9000,0xffff707f,0xfff300bf,
    0xff701fff,0xf300bfff,0x701fffff,0x00bfffff,0x1ffffff3,0x0dfffff0,
    0x7ffffd40,0xffffb102,0x3a0bffff,0xffffffff,0x74002fff,0xf887ffff,
    0x3ff23fff,0x3ffa1fff,0x7fdc0fff,0xfff8004f,0xffffcbff,0xfff8802f,
    0xfc8007ff,0x7c42ffff,0x000fffff,0x89fffffb,0x0ffffff8,0xfffffb00,
    0xfffff889,0xfffb000f,0xffff09ff,0x7fd400df,0xffa82fff,0xffffffff,
    0xfffff305,0x9fffffff,0x3fffe003,0xffffa87f,0x3fffff21,0x1bffffe2,
    0x000bfff2,0x53fffff3,0x009fffff,0x03fffffe,0xfffffb00,0xfffffa83,
    0x3ffee006,0x7ffd46ff,0x3ee006ff,0x7d46ffff,0x2006ffff,0x86fffffb,
    0x006fffff,0x0bffffea,0xfffffff3,0x540bffff,0xffffffff,0x01efffff,
    0x437ffffc,0x7dc6fffd,0xff13ffff,0xffb0bfff,0xffb8003f,0xffff17ff,
    0x3ffa00df,0x6c000fff,0x640fffff,0x003fffff,0x1fffffe2,0x07fffff9,
    0x7ffffc40,0x7ffffe47,0x3ffe2003,0xffff87ff,0x3fea006f,0x7ff42fff,
    0xccdeffff,0x7fec403c,0xffffffff,0xf880cfff,0xff85ffff,0x7ffd44ff,
    0xffff33ff,0x1fffd0bf,0xffffe800,0x3fffff65,0xffffe800,0x7ff4001f,
    0xfffd87ff,0x7f4001ff,0x7fec7fff,0x74001fff,0x7ec7ffff,0x4001ffff,
    0xf87ffffe,0x2006ffff,0x22fffffa,0x3ffffffb,0x7fed4000,0xffffffff,
    0x7fc40eff,0x7fd46fff,0x7ffd41ff,0xffff33ff,0x0ffff0df,0xfffff880,
    0x3ffffee2,0xffffd803,0x7ffc002f,0xffff87ff,0x7f4001ff,0x3fe0ffff,
    0x4001ffff,0x20fffffe,0x01ffffff,0x7fffff40,0x37ffffc0,0xfffff500,
    0x7ffffec5,0x36200004,0xffffffff,0xfff85fff,0x7ffe46ff,0xfffffb87,
    0xffffff12,0x037ffc41,0x3ffffea0,0x3ffffe60,0xffffc805,0x3fe6005f,
    0xfff86fff,0x6c000fff,0x3e1fffff,0x000fffff,0x0fffffec,0x01ffffff,
    0xfffffd80,0x37ffffc1,0xfffff500,0x7fffffc5,0x7ec00001,0xffffffff,
    0x7ffc3fff,0x7fffc7ff,0xfffffc84,0x3fffffe2,0x017ffe62,0x0dffff90,
    0x01ffffff,0x7fffffa8,0x3ffff200,0xfffff83f,0xfffd8007,0x3fffe2ff,
    0xffd8007f,0x3ffe2fff,0xfd8007ff,0x7fc2ffff,0x2a006fff,0xf12fffff,
    0x001fffff,0xafffe800,0xfffffffb,0x3fffff45,0x905ffff3,0x743fffff,
    0x2e4fffff,0x7c004fff,0xfc84ffff,0xf802ffff,0x802fffff,0x87fffff8,
    0x07fffff8,0xfffffc80,0xffffff13,0xffff9000,0x3fffe27f,0xffc8007f,
    0x7ffc3fff,0x3ea006ff,0xff12ffff,0x0003ffff,0x20ffff80,0x47fffffd,
    0x90fffffd,0x3f60ffff,0x7fe47fff,0xff95ffff,0x7fcc007f,0xffa81fff,
    0xfc804fff,0x401fffff,0x04fffffe,0x00ffffff,0x7fffff90,0x03fffffc,
    0x7ffffe40,0x1fffffe3,0x3ffff200,0x7ffffc3f,0x3ffea006,0x3fffa2ff,
    0x200003ff,0x7d47fff8,0x320fffff,0xfd3fffff,0xfff10bff,0xfff88bff,
    0xffddffff,0x209b512f,0x107ffffc,0x00ffffff,0xfffffff3,0xfffd9815,
    0xfff00fff,0xd8001fff,0x3e2fffff,0x000fffff,0x17ffffec,0x01ffffff,
    0xfffffd80,0x37ffffc2,0xfffff500,0x7ffffe45,0xf300001f,0xfff88dff,
    0x7ffcc7ff,0xffff9eff,0xfffffb82,0xfffffb83,0xeeffffff,0xffd04fff,
    0x7ff40bff,0xfd801fff,0xefffffff,0xfffffffd,0x3fffa04f,0x7ec000ff,
    0x3fa2ffff,0x4000ffff,0x22fffffd,0x00fffffe,0x7ffffec0,0x37ffffc2,
    0xfffff500,0x7ffffd45,0xa80002ff,0x7fcc5fff,0xfff85fff,0xffffdfff,
    0xfffffe80,0xffffe880,0xffffffff,0xff884fff,0x3f203fff,0x8803ffff,
    0xfffffffe,0xffffffff,0x7ffec04f,0x7f4001ff,0x3f61ffff,0x4001ffff,
    0x21fffffe,0x01fffffd,0x7fffff40,0x37ffffc1,0xfffff500,0xfffffe85,
    0x809abfff,0x9fff701b,0x3fffffe8,0xffffffd8,0xffc85fff,0x7ec04fff,
    0xffffffff,0xb84fffff,0x201fffff,0x06fffff9,0xfffffd10,0xffffffff,
    0xfff900bf,0xff8005ff,0x7fe47fff,0x7c002fff,0x7e47ffff,0x4002ffff,
    0xf87fffff,0x2006ffff,0x41fffffb,0xffffffe8,0x26ffffff,0xd89bcffe,
    0xffb9afff,0x981fffff,0xffffffff,0x7fffdc3f,0xffb800ff,0xffffffff,
    0xffd84fff,0xeeeeefff,0xfffffeee,0xffb1000f,0xffffffff,0x3ee009ff,
    0x2005ffff,0x46fffff9,0x05fffffb,0x3ffffe60,0x7ffffdc6,0x3ffe6005,
    0xfffe86ff,0x3ff2006f,0xff980fff,0xffffffff,0x3fffa6ff,0xffffffff,
    0xffffffff,0x3ffff203,0xfdbcffff,0x03ffffff,0x7fffed40,0xf01cefff,
    0xffffffff,0xffffffff,0x88005fff,0xfffffffc,0x3ea000be,0x2007ffff,
    0x44fffffc,0x07fffffa,0x3fffff20,0x7ffffd44,0x3fff2007,0xfffd84ff,
    0x3ff2007f,0x3f6607ff,0xffffffff,0x3ffffa6f,0xffffffff,0x04ffffff,
    0x7fffff44,0xffffffff,0x20006fff,0x5004fffb,0xffffffff,0xffffffff,
    0x000bffff,0x037fffec,0xfffffd00,0xffff1005,0xfffd01ff,0xff1005ff,
    0xfd01ffff,0x1005ffff,0x01ffffff,0x03fffff9,0x17ffffa0,0x3ffff660,
    0x3fa6ffff,0xffffffff,0xffffffff,0xfffd1004,0xffffffff,0x8000bfff,
    0x9002fffc,0xffffffff,0xffffffff,0x000fffff,0x07ffffdc,0xffffb800,
    0x7ff401ff,0xff704fff,0xe803ffff,0x704fffff,0x03ffffff,0x4fffffe8,
    0xbfffff70,0xfffff500,0x7664c009,0x3fa6ffff,0xffffffff,0x0cffffff,
    0x7fff4400,0xffffffff,0xfd80003f,0xffd001ff,0xffffffff,0xffffffff,
    0x20003fff,0x04fffffa,0x7ffc402a,0x4c0affff,0x0ffffffd,0xffffff10,
    0xffd9815f,0xf100ffff,0x15ffffff,0xfffffd98,0xffff300f,0x7f4c07ff,
    0x0001ffff,0x262154c4,0xffffedca,0x00009bce,0x3ffffff6,0x001defff,
    0x01fffd00,0x5fffff30,0x7fffe400,0xff10004f,0x113bffff,0x7e409fb5,
    0xefffffff,0xfffffffd,0x7ffe403f,0xfdefffff,0x3fffffff,0x7ffffe40,
    0xfffdefff,0x403fffff,0xdffffffc,0xfffca9ab,0x00004fff,0x3fffc800,
    0x3fe20000,0x09bbacff,0xfff80000,0xffff7007,0x7fd4001f,0x20006fff,
    0xfffffffd,0x02ffffff,0xffffffd1,0xffffffff,0xfd100dff,0xffffffff,
    0xdfffffff,0xffffd100,0xffffffff,0x100dffff,0xffffffff,0xffffffff,
    0x000000df,0x00bfff60,0xffffa800,0x88000000,0xfb006fff,0xf000dfff,
    0x001fffff,0x3ffffe20,0xffffffff,0xfffb100e,0xffffffff,0x2001bfff,
    0xffffffd8,0xffffffff,0xffb1000d,0xffffffff,0x001bffff,0x3fffffee,
    0xffffffff,0x000001ff,0x03fffd00,0x7ffec000,0x30000006,0xf100bfff,
    0x0007ffff,0x07fffffb,0x7fffd400,0xffffffff,0x7ffe401e,0xffffffff,
    0xff90002f,0xffffffff,0x320005ff,0xffffffff,0x8002ffff,0xffffffe9,
    0x0dffffff,0x20000000,0x0000ffff,0x013fffe0,0x7fdc0000,0xfffa804f,
    0xfb8001ff,0x0005ffff,0x7ffffe44,0x2003ffff,0xfffffeda,0x40000def,
    0xfffffeda,0x40000def,0xfffffeda,0x40000def,0xffffffeb,0x00002dff,
    0x7ffc4000,0x3ea00007,0x00001fff,0x07fff900,0x0fffff90,0x3fffe600,
    0x5100007f,0x0159bdb9,0x0ddcc400,0x73100000,0x40000037,0x0001bb98,
    0x26eea600,0x00000000,0x013bba60,0x00000000,0x0f776400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xca803773,0x26662002,0x00000999,0x26662000,0x20001999,
    0x00009999,0x03799510,0x33000004,0x4c000133,0x165401bb,0x332a2000,
    0x4400201b,0x00999999,0x26666000,0xf5000099,0xfd105fff,0x3a200bff,
    0x03ffffff,0xf8800000,0x02ffffff,0xffffd880,0x7e40002f,0x40dfffff,
    0x440003f9,0x02fffffd,0x2ffffa80,0x05fffe88,0xfffff900,0x03f981bf,
    0xfffffe88,0xf880003f,0x003fffff,0x0ffffff0,0x05fffff9,0x7ffffe40,
    0x0000003f,0x3fffffe2,0xfe88000e,0x02ffffff,0xfffff700,0xf959ffff,
    0x220007ff,0xfffffffe,0x7fffc002,0xffffc87f,0x7fdc002f,0xcfffffff,
    0x003fffca,0x7ffffff9,0xffff0000,0xf10007ff,0xd81fffff,0x003fffff,
    0x7fffffcc,0x88000003,0x04fffffe,0xffffd100,0x007fffff,0xffffff98,
    0xffffffff,0xe88004ff,0xffffffff,0xfff1003f,0xffd81fff,0x26003fff,
    0xffffffff,0xffffffff,0x3ffe6004,0x40003fff,0x02ffffff,0xffffff00,
    0x5fffff90,0xfffb1000,0x000007ff,0x7fffff44,0xffd10002,0xfffd17ff,
    0x7f44007f,0xfffebadf,0x005fffff,0xbffffe88,0x03ffffe8,0x0ffffff0,
    0x05fffff9,0x56fff440,0xffffffeb,0xd88005ff,0x003fffff,0x3fffffe0,
    0xfff70002,0xffff107f,0xffb8000d,0x00003fff,0xdffffe88,0xffd10000,
    0xfffd83df,0x13a2003f,0x3fffffee,0x7f44000e,0x7fec1eff,0xffb803ff,
    0xfff883ff,0x4e88006f,0xffffffb8,0x3ee0000e,0x0003ffff,0x05ffffff,
    0x016ed400,0x00019d91,0x03333310,0x33310000,0x98800033,0x33300999,
    0x40080033,0x0000acba,0x20133331,0x50019999,0x764405bb,0x8010000c,
    0x0000acba,0x03333310,0x3ffffa00,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x01fffffe,
    0x00010000,0x00000000,0x00000000,0x10000000,0x00000000,0x00000000,
    0x00000000,0xfd000000,0x0003ffff,0xfffd9510,0x6400159b,0x2003cccc,
    0x41ccccc9,0x003ccccc,0x07333326,0x00799999,0x0e66664c,0xffeca880,
    0x8000acdf,0xccccccca,0xcccccccc,0x332003cc,0x01cccccc,0xcccccb80,
    0x9997001c,0x66640039,0x001ccccc,0x0ffffff4,0x3ffee000,0xffffffff,
    0xfffff003,0x7ffd400d,0x7fffc2ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,
    0xb802ffff,0xffffffff,0x6c003fff,0xffffffff,0xffffffff,0xfff1005f,
    0x009fffff,0xffffffb0,0x3fffa00b,0xfff1002f,0x009fffff,0x1fffffd8,
    0xfffb1000,0xffffffff,0xfff00bff,0x7d400dff,0x7fc2ffff,0x2a006fff,
    0x7c2fffff,0x2006ffff,0x02fffffa,0x3fffff62,0xffffffff,0x3fff6005,
    0xffffffff,0x05ffffff,0xffffff70,0xfb000dff,0x03ffffff,0x05ffffd0,
    0x3ffffee0,0x6c006fff,0x000fffff,0xffffff98,0xffffffff,0x3fe00eff,
    0x2a006fff,0x7c2fffff,0x2006ffff,0x42fffffa,0x006fffff,0x0bffffea,
    0x7fffffcc,0xffffffff,0xfd800eff,0xffffffff,0xffffffff,0xffffb005,
    0x001fffff,0xffffffd8,0xfffe805f,0xfffb002f,0x01ffffff,0x7ffffec0,
    0xfffe8000,0xffffffff,0x05ffffff,0x01bffffe,0x2fffffa8,0x037ffffc,
    0x5fffff50,0x06fffff8,0x3ffffea0,0xfffffd02,0xffffffff,0xb00bffff,
    0xffffffff,0xffffffff,0x3ffe00bf,0x3fffffff,0x7fffec00,0x7400ffff,
    0xf002ffff,0xffffffff,0x7fe4007f,0x5c000fff,0xbdffffff,0xffffca89,
    0xfff01fff,0x7d400dff,0x7fc2ffff,0x2a006fff,0x7c2fffff,0x2006ffff,
    0x82fffffa,0xdffffffb,0xfffca89b,0x6c01ffff,0x99afffff,0x99999999,
    0xfffa8009,0x5fffffff,0x7fffec00,0x7404ffff,0xa802ffff,0xffffffff,
    0x3f2005ff,0x44007fff,0x04ffffff,0x3fffffe6,0xdfffff05,0x7fffd400,
    0x7ffffc2f,0x3ffea006,0x7fffc2ff,0x3fea006f,0x7fc42fff,0x2604ffff,
    0x05ffffff,0x07ffffec,0x7fe40000,0xffffeeff,0x7ffec007,0x00ffffff,
    0x00bffffa,0x3bbffff2,0x2007ffff,0x007ffffc,0x2fffffdc,0x7ffffcc0,
    0xfffff80f,0x3ffea006,0x7fffc2ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,
    0x7dc2ffff,0x9805ffff,0x00ffffff,0x03fffff6,0x3ffe0000,0xffffcbff,
    0x3ff6002f,0x3fffffff,0x0bffffa0,0x2fffffe0,0x02fffffc,0x0fffff90,
    0x7ffffc40,0xfffb000f,0xffff09ff,0x7fd400df,0x7ffc2fff,0x3ea006ff,
    0x7fc2ffff,0x2a006fff,0x222fffff,0x00ffffff,0x9fffffb0,0x7ffffec0,
    0x7cc00000,0xffa9ffff,0x36004fff,0xffffffff,0x3fffa07f,0x7ffcc02f,
    0xffffa9ff,0xfff7004f,0x7fd400ff,0x2e006fff,0xf86fffff,0x2006ffff,
    0x42fffffa,0x006fffff,0x0bffffea,0x00dfffff,0x17ffffd4,0x0dfffff5,
    0x7ffffdc0,0x3ffff606,0x5c00000f,0xff17ffff,0x6c00dfff,0xfffdffff,
    0xfffd02ff,0xfffb805f,0xfffff17f,0x3ffee00d,0x3ff2006f,0x22003fff,
    0xf87fffff,0x2006ffff,0x42fffffa,0x006fffff,0x0bffffea,0x00dfffff,
    0x17ffffd4,0x07fffff9,0x7ffffc40,0x3ffff607,0x7400000f,0x3f65ffff,
    0xb000ffff,0xffd7ffff,0x3ffa0dff,0x7ff402ff,0x3fff65ff,0xffb800ff,
    0x3f6006ff,0x4001ffff,0xf87ffffe,0x2006ffff,0x42fffffa,0x006fffff,
    0x0bffffea,0x00dfffff,0x17ffffd4,0x03fffffb,0x7ffffe80,0x3fffff60,
    0x3e200000,0x3ee2ffff,0xb003ffff,0xff57ffff,0xffd05fff,0x7fc405ff,
    0x3fee2fff,0xfb803fff,0x3e006fff,0x001fffff,0x07fffff4,0x01bffffe,
    0x2fffffa8,0x037ffffc,0x5fffff50,0x06fffff8,0x3ffffea0,0x3fffffe2,
    0x7fff4001,0xfffb00ff,0x333335ff,0x80333333,0x20fffffa,0x05fffff9,
    0x27ffffb0,0xe85fffff,0x2a02ffff,0x260fffff,0x805fffff,0x006ffffa,
    0x03fffffe,0xfffffb00,0x6fffff83,0x3fffea00,0x7ffffc2f,0x3ffea006,
    0x7fffc2ff,0x3fea006f,0x3ffe2fff,0x6c000fff,0xb01fffff,0xffffffff,
    0xffffffff,0x7ffe401f,0xfffff86f,0xfffd800f,0xfffff73f,0x2ffffe83,
    0x1bffff20,0x03fffffe,0x0bffff50,0x3fffffc0,0x7fffec00,0x7ffffc2f,
    0x3ffea006,0x7fffc2ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,0x3fe2ffff,
    0xd8007fff,0xb02fffff,0xffffffff,0xffffffff,0x7fffc01f,0xffffc84f,
    0xfffd802f,0xfffff13f,0x2ffffe8b,0x13ffffe0,0x0bfffff2,0x0bffff50,
    0x3ffffe20,0xfffc8007,0x7fffc3ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,
    0x7fc2ffff,0x2a006fff,0xf12fffff,0x000fffff,0x07fffff9,0x3ffffff6,
    0xffffffff,0xff300fff,0xff503fff,0xfb009fff,0x7fe47fff,0x3ffa0fff,
    0xfff302ff,0xfff503ff,0xaa8809ff,0x3fe001aa,0xc8007fff,0x7c3fffff,
    0x2006ffff,0x42fffffa,0x006fffff,0x0bffffea,0x00dfffff,0x17ffffd4,
    0x00ffffff,0x7fffff90,0x3fffff60,0xffffffff,0xf900ffff,0x3e20ffff,
    0xd807ffff,0x3e23ffff,0x3fa4ffff,0xff902fff,0x3fe20fff,0x00007fff,
    0x7fffffc0,0x7ffec000,0x7fffc2ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,
    0x7fc2ffff,0x2a006fff,0x3e2fffff,0x000fffff,0x17ffffec,0xcfffffd8,
    0xcccccccc,0xffd00ccc,0x7ff40bff,0x7ec01fff,0x7fec3fff,0xfffd0fff,
    0x3fffa05f,0x3fffa05f,0x000001ff,0x03fffffa,0xfffffb00,0x6fffff85,
    0x3fffea00,0x7ffffc2f,0x3ffea006,0x7fffc2ff,0x3fea006f,0x3ffa2fff,
    0x6c000fff,0xb02fffff,0x001fffff,0xfffff100,0x7fffe407,0x7ffec03f,
    0x7fffcc3f,0x5ffffd3f,0x7fffff10,0x7ffffe40,0x01ee4c03,0x3fffff60,
    0x7fff4001,0x7fffc1ff,0x3fea006f,0x7ffc2fff,0x3ea006ff,0x7fc2ffff,
    0x2a006fff,0x362fffff,0x001fffff,0x0ffffff4,0x0fffffd8,0xfffb8000,
    0x3fe601ff,0x7ec06fff,0xffe83fff,0xffffd7ff,0xfffff705,0x7fffcc03,
    0x3ffee06f,0x3ff2006f,0x7c002fff,0xff87ffff,0x2e006fff,0x7c1fffff,
    0x2006ffff,0x41fffffb,0x006fffff,0x87ffffee,0x02fffffc,0x3fffffc0,
    0x1fffffb0,0xfffb0000,0xddddddff,0xffffffdd,0x7fffec01,0xfffffa83,
    0x82ffffea,0xeefffffd,0xffeeeeee,0xf880ffff,0x003fffff,0x0bfffff7,
    0x7ffffcc0,0x6ffffe86,0x3ffff200,0x7ffff40f,0x3fff2006,0x7fff40ff,
    0x3ff2006f,0x3fee0fff,0x26005fff,0x206fffff,0x00fffffd,0xfffff800,
    0xffffffff,0x2fffffff,0x0fffff60,0x76fffffc,0xff82ffff,0xffffffff,
    0xffffffff,0xfffa82ff,0xf5005fff,0x400fffff,0x84fffffc,0x007ffffd,
    0x21fffff2,0x007ffffd,0x21fffff2,0x007ffffd,0x51fffff2,0x00ffffff,
    0x27ffffe4,0x1fffffb0,0xfffa8000,0xffffffff,0xffffffff,0x3fff605f,
    0xffff703f,0x85ffffff,0xfffffffa,0xffffffff,0xa85fffff,0x05ffffff,
    0x3fffffa0,0xffff8802,0xfffc80ff,0xffd001ff,0xfff90bff,0x3fa003ff,
    0xffc85fff,0xfd001fff,0xffd0bfff,0xf1005fff,0x401fffff,0x00fffffd,
    0x7fffe400,0xffffffff,0xffffffff,0x3ffff607,0xfffff103,0xc85fffff,
    0xffffffff,0xffffffff,0xf887ffff,0x002fffff,0x3fffffee,0x7ffff401,
    0xffff704f,0xfff500bf,0xfff709ff,0xff500bff,0xff709fff,0xf500bfff,
    0xf709ffff,0x803fffff,0x04fffffe,0x07ffffec,0x3fffa000,0xffffffff,
    0xffffffff,0xfffb01ff,0x7ffe407f,0x42ffffff,0xfffffffe,0xffffffff,
    0x81ffffff,0x004ffffa,0x7fffffc4,0x7fecc0af,0xf300ffff,0x407fffff,
    0x1fffffe9,0xffffff98,0x3fffa603,0xfff981ff,0x3a603fff,0x881fffff,
    0xafffffff,0x7fffecc0,0x7fec00ff,0x20000fff,0x02fffff9,0x3fffff20,
    0x7ffffb04,0x7ffffc40,0x3e62ffff,0x2002ffff,0x04fffffc,0x20003751,
    0xfffffffc,0xfffffdef,0x7e403fff,0xabdfffff,0xfffffca9,0x3fff204f,
    0xa9abdfff,0x4ffffffc,0x3fffff20,0xfca9abdf,0x204fffff,0xfffffffc,
    0xfffffdef,0xfd803fff,0xeeeeffff,0xeeeeeeee,0x3ffffee4,0x3ffea000,
    0xfffb06ff,0xfffd807f,0x2e2fffff,0x000fffff,0x1bffffea,0xfe880000,
    0xffffffff,0x6fffffff,0xfffff880,0xffffffff,0x4406ffff,0xffffffff,
    0xffffffff,0x7ffc406f,0xffffffff,0x06ffffff,0x7fffff44,0xffffffff,
    0xfb006fff,0xffffffff,0xffffffff,0x37fffecb,0x7ffffc00,0xffffd80f,
    0x7fffcc03,0x3f62ffff,0xf8006fff,0x000fffff,0x3ff62000,0xffffffff,
    0x000dffff,0xfffffff7,0xffffffff,0xfff7003f,0xffffffff,0x003fffff,
    0xfffffff7,0xffffffff,0xffb1003f,0xffffffff,0x001bffff,0x3ffffff6,
    0xffffffff,0xfff15fff,0xfb0007ff,0xfb07ffff,0xfd007fff,0x25ffffff,
    0x03fffff8,0xfffffd80,0xc8000003,0xffffffff,0x8002ffff,0xffffffe9,
    0x0dffffff,0x3fffa600,0xffffffff,0x3a6000df,0xffffffff,0x000dffff,
    0x7fffffe4,0x02ffffff,0x7ffffec0,0xffffffff,0xff55ffff,0x70003fff,
    0xb0bfffff,0x5007ffff,0x5fffffff,0x07ffffea,0x3fffee00,0x0000005f,
    0xfffffdb5,0x80001bdf,0xffffffeb,0x20002dff,0xffffffeb,0x20002dff,
    0xffffffeb,0x20002dff,0xfffffeda,0xd8000def,0xffffffff,0xffffffff,
    0xfffff95f,0x3ffe6000,0xfffd87ff,0xffff003f,0x3ff25fff,0xf30007ff,
    0x000fffff,0x77310000,0x4c000003,0x00009bba,0x09bba980,0xba980000,
    0x8000009b,0x0001bb98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccccc40,0x99800019,0x00000099,0x26666620,
    0x80000999,0x19999998,0xbcca8800,0x00000201,0x04ccccc0,0x4ccc4000,
    0xb9801999,0x0165401b,0x57955300,0x02620135,0x10000000,0x5fffffff,
    0x7fec4000,0x00002fff,0x7ff6e5d4,0xffffffff,0x7fc40003,0x002fffff,
    0x7fffffe4,0x001fcc0d,0x3ffe6000,0x440002ff,0x2fffffff,0x17fffd40,
    0x02ffff44,0xfffffb30,0x83ffffff,0xabcefffa,0x88000001,0x0effffff,
    0x3ffa2000,0x002fffff,0xffffea80,0xffffffff,0x20003fff,0xeffffff8,
    0x7ffdc000,0xacffffff,0x0003fffc,0x3ffff200,0x7fc40006,0x800effff,
    0xc87fffff,0x402fffff,0xffffffe8,0x2fffffff,0x7fffffd4,0x00001dff,
    0xfffffd10,0xfe880009,0xffffffff,0xffd50003,0xffffffff,0x7fffffff,
    0x3ffa2000,0x98004fff,0xffffffff,0xffffffff,0xf1000004,0x0007ffff,
    0x7fffff44,0xffff1004,0xfffd81ff,0x3fa203ff,0xffffffff,0x542fffff,
    0xffffffff,0x00001dff,0x3fffffa2,0x7f440002,0xffe8bfff,0x7d4003ff,
    0xffffffff,0xffffffff,0xe88003ff,0x002fffff,0x75bffd10,0xfffffffd,
    0x400000bf,0x00fffffb,0xffffd100,0xfff8005f,0xfffc87ff,0x3ffa02ff,
    0xeeefffff,0x542fffff,0xffffffff,0x0002ffff,0xdffffe88,0x7f440000,
    0x7fec1eff,0xff1003ff,0xffffffff,0xfff755df,0xe88007ff,0x000dffff,
    0x7dc27440,0x00efffff,0x3ffa0000,0xd10004ff,0x001bffff,0x07ffff70,
    0x40dffff1,0xbffffff9,0xa83b7300,0xffffffff,0x001fffff,0x0ccccc40,
    0x99988000,0x33333009,0x3ffffa00,0x5fffffff,0x0fffffe2,0x33333100,
    0x20040000,0x0000acba,0x7fffd400,0x3310001f,0xa8000333,0x3b2202dd,
    0x3ffee00c,0x220004ff,0xfffcba99,0x00ffffff,0x00000000,0xf7000000,
    0xffffffff,0x7fc4bfff,0x00003fff,0x00000000,0x7ec00000,0x00006fff,
    0x00000000,0xfffffd80,0xd5000002,0x0bffffff,0x00000000,0x32000000,
    0xffffffff,0x3e25ffff,0x0003ffff,0x00000000,0x22000000,0x002fffff,
    0x00000000,0xfffc8000,0x000006ff,0x3fffffe2,0x99990007,0x00039999,
    0xcccccc80,0x7f4001cc,0xffffffff,0x3fe25fff,0x99953fff,0x91000799,
    0x80099999,0xcccccccc,0x64000001,0x5007ffff,0x99999999,0x99999999,
    0x66654079,0xcccccccc,0x83cccccc,0xeffffffb,0xf3000000,0x003fffff,
    0xffffff88,0x200004ff,0xfffffff8,0x7ffc004f,0xffffffff,0x3ffe25ff,
    0xffff33ff,0xfc8001ff,0x2003ffff,0xfffffff8,0x2000004f,0x03fffff8,
    0xffffffb0,0xffffffff,0x7ec0bfff,0xffffffff,0xffffffff,0xfffff885,
    0x00003fff,0x7ffffff0,0xffffb800,0x0006ffff,0x3ffffee0,0x26006fff,
    0xffffffff,0x225fffff,0x363fffff,0x004fffff,0x3fffffe2,0x3ffee000,
    0x006fffff,0x3ffee000,0xffb000ff,0xffffffff,0xbfffffff,0x7ffffec0,
    0xffffffff,0xe885ffff,0xffffffff,0x6c00001e,0x003fffff,0x7fffffec,
    0x00000fff,0xfffffffb,0x3e2001ff,0xffffffff,0x3e25ffff,0x3e63ffff,
    0x000fffff,0x07fffff9,0xfffffd80,0x0000ffff,0xbffffd00,0x7fffec00,
    0xffffffff,0x205fffff,0xfffffffd,0xffffffff,0x7ffcc5ff,0xffffffff,
    0xd00000df,0x005fffff,0xfffffff8,0x00003fff,0xffffffff,0x7f4007ff,
    0xffffffff,0x3fe25fff,0x7fec3fff,0xf8804fff,0x8007ffff,0xffffffff,
    0x800003ff,0x01fffff9,0x3fffff60,0xffffffff,0x3605ffff,0xffffffff,
    0xffffffff,0x3fffe25f,0xffffffff,0x40002fff,0x1ffffff8,0x3fffea00,
    0x05ffffff,0xffffa800,0x05ffffff,0x3fffff60,0x5fffffff,0x0fffffe2,
    0x1ffffff3,0xfffffc80,0x7ffd4003,0x5fffffff,0xffd80000,0x7ec006ff,
    0x999affff,0x99999999,0x3ffff600,0x999999af,0x3a099999,0xfeefffff,
    0xffffffff,0xffb10005,0xc800ffff,0xffeeffff,0xc80007ff,0xffeeffff,
    0x3ee007ff,0xffffffff,0x3fe25fff,0xffd83fff,0x3e203fff,0x8007ffff,
    0xfeeffffc,0x00007fff,0x17ffffc4,0x3ffff600,0x3600000f,0x000fffff,
    0xffffff30,0x3ffffee1,0x100dffff,0xfff95555,0x8005ffff,0xfcbfffff,
    0x0002ffff,0x65fffffc,0x002fffff,0xfffffff1,0x44bfffff,0x983fffff,
    0x207fffff,0x03fffffc,0xbfffff80,0x02fffffc,0x3fff2000,0xffd8007f,
    0x00000fff,0x03fffff6,0x7fffe400,0x7ffec43f,0x505fffff,0xffffffff,
    0x9800bfff,0xfa9fffff,0x0004ffff,0x27ffffe6,0x04fffffa,0x3ffffe60,
    0x25ffffff,0x03fffff8,0x07fffffb,0x0ffffff1,0xfffff300,0x9fffff53,
    0x7ffc0000,0xfd8004ff,0x0000ffff,0x3fffff60,0xfffb0000,0x3faa03ff,
    0x82ffffff,0xfffffffa,0x4000efff,0xf17ffffb,0x000dffff,0x8bffffdc,
    0x006fffff,0x7fffffdc,0x3e25ffff,0xf303ffff,0xf90fffff,0x0007ffff,
    0x22fffff7,0x006fffff,0xfffff500,0xfffb0001,0x400001ff,0x00fffffd,
    0xfffffd00,0x7ffec407,0xffa87fff,0x3fffffff,0xffffd000,0x7ffffecb,
    0xfffd0000,0x7fffecbf,0x7f5c000f,0x5fffffff,0x0fffffe2,0x2fffffd8,
    0x1bffffe2,0x7ffff400,0x3fffff65,0xffe80000,0xfb0005ff,0x0001ffff,
    0x7ffffec0,0xfff90000,0xffb00dff,0xf983ffff,0x0bdfffff,0xffff1000,
    0x7fffdc5f,0xff88003f,0x3fee2fff,0x50003fff,0xbffffffd,0x1fffffc4,
    0xdfffff30,0x1fffffdc,0x7fffc400,0x3fffee2f,0x7cc0003f,0x0001ffff,
    0x01fffffb,0x7ffec000,0xf70000ff,0x80bfffff,0x2ffffff8,0x07ffffcc,
    0x7ffd4000,0x3ffe60ff,0xfa8005ff,0x3e60ffff,0x0005ffff,0x2ff6e5d4,
    0x07fffff1,0x2fffffd8,0x00dffffd,0x3ffffea0,0x3ffffe60,0x7fec0005,
    0x360006ff,0x99afffff,0x99999999,0x7fffec01,0x999999af,0x3e219999,
    0x0effffff,0x3fffff60,0x3ffffc43,0xfffc8000,0xfffff86f,0x7fe4000f,
    0xffff86ff,0x000000ff,0x1fffffc4,0x3ffffe60,0x3fffffad,0xffff9000,
    0xffffff0d,0x3fe20001,0x20003fff,0xfffffffd,0xffffffff,0x3ff600ff,
    0xffffffff,0x0fffffff,0x3fffffee,0xfff903ff,0xfff887ff,0xff00007f,
    0xff909fff,0xf8005fff,0xfc84ffff,0x0002ffff,0x7fffc400,0xfffd803f,
    0x6ffffeff,0x3fffe000,0xffffc84f,0xff90002f,0xd8000fff,0xffffffff,
    0xffffffff,0x3fff600f,0xffffffff,0x40ffffff,0xfffffffe,0x7fff41ef,
    0x7ffc41ff,0xf980007f,0xfa81ffff,0x2004ffff,0x81fffff9,0x04fffffa,
    0x7fc40000,0xf9803fff,0xffffffff,0xff30002f,0xff503fff,0x20009fff,
    0x004fffff,0x7ffffec0,0xffffffff,0x3600ffff,0xffffffff,0xffffffff,
    0x7ffec40f,0x8cffffff,0x06fffffb,0x00055555,0x0fffff90,0x1fffffe2,
    0x7ffffc80,0xffffff10,0xf8800000,0xb003ffff,0xffffffff,0x7fe4000d,
    0xfff107ff,0xf5000fff,0x0001ffff,0xffffffd8,0xffffffff,0x3f600fff,
    0xffffffff,0xffffffff,0xfffff900,0xffffffff,0x00007fff,0x7ffff400,
    0x3ffffa05,0xfffd001f,0x7fff40bf,0x000001ff,0x0fffffe2,0x7ffffcc0,
    0x20002fff,0x205ffffe,0x01fffffe,0x2fffff40,0x7ffec000,0xccccccff,
    0x00cccccc,0x33fffff6,0xcccccccc,0x3aa00ccc,0xffffffff,0x005fffff,
    0x3fe20000,0x3f203fff,0x8803ffff,0x203fffff,0x03fffffc,0x3fe20000,
    0x36003fff,0x06ffffff,0x3fffe200,0x3fff203f,0x3e6003ff,0x0002ffff,
    0x0fffffd8,0x3ff60000,0x00000fff,0x7ffffe44,0x0dffffff,0x0077f6a0,
    0xfffff700,0x7fffcc03,0xfffb806f,0x3fe601ff,0x00006fff,0x3ffffe20,
    0x3ffe6003,0x20002fff,0x01fffffb,0x1bffffe6,0x6ffffd80,0xfffb0000,
    0x400001ff,0x00fffffd,0xffb10000,0x0bffffff,0x2fffffb8,0x3fff6000,
    0xeeeeeeff,0xffffffee,0x7fffec00,0xeeeeeeef,0x0ffffffe,0xff300000,
    0xe8005fff,0x0007ffff,0x77ffffec,0xfeeeeeee,0x800fffff,0x03fffff8,
    0xffffb000,0x6c00001f,0x000fffff,0x7ff54000,0x2206ffff,0x07ffffff,
    0x3ffffe00,0xffffffff,0x2fffffff,0x7fffffc0,0xffffffff,0x02ffffff,
    0xfff50000,0xfe8003ff,0x40007fff,0xffffffff,0xffffffff,0xb802ffff,
    0x000fffff,0xfffffb00,0x7ec00001,0x0000ffff,0xfffe8800,0xff301fff,
    0x003fffff,0xffffff50,0xffffffff,0x0bffffff,0x7fffffd4,0xffffffff,
    0x05ffffff,0xfff70000,0xffd000ff,0x54000fff,0xffffffff,0xffffffff,
    0xf805ffff,0x0004ffff,0x3fffff60,0x3f600000,0x0000ffff,0xffff1000,
    0x3fe605ff,0x000fffff,0xffffffc8,0xffffffff,0x07ffffff,0x3ffffff2,
    0xffffffff,0x07ffffff,0xffe80020,0xfe8006ff,0x20007fff,0xfffffffc,
    0xffffffff,0x407fffff,0x01fffffa,0x3fff6000,0x200000ff,0x00fffffd,
    0x3f600000,0x3a01ffff,0x006fffff,0xffffffd0,0xffffffff,0x3fffffff,
    0x3fffffa0,0xffffffff,0xffffffff,0x803d9001,0x05fffffc,0x7ffffe80,
    0x3fffa000,0xffffffff,0xffffffff,0x3ffa01ff,0x400005ff,0x00fffffd,
    0x3fff6000,0x110000ff,0x7fffcc00,0x7ff4407f,0xf98000ef,0x2002ffff,
    0x84fffffc,0x02fffff9,0x3fffff20,0xdfffa804,0xffea989b,0x8000ffff,
    0x007ffffe,0x5fffff30,0x7fffe400,0xffff304f,0xd800005f,0x000fffff,
    0x3ffff600,0xdf50000f,0xfd530359,0x200dffff,0x2e0002ba,0x000fffff,
    0x1bffffea,0x03ffffee,0xfffffa80,0x7fffc406,0xffffffff,0x0003ffff,
    0x00fffffd,0x3ffffee0,0x3ffea000,0xfff906ff,0xb00000df,0xdddfffff,
    0xdddddddd,0x7ffec09d,0xeeeeeeff,0x54eeeeee,0xdfffffff,0xffffffff,
    0x0000005f,0x037fffec,0x7fffffc0,0x37fffec0,0x7ffffc00,0x3ffee00f,
    0xffffffff,0x0005ffff,0x01fffffa,0x37fffec0,0x7ffffc00,0x7fffc40f,
    0xd800003f,0xffffffff,0xffffffff,0x3fff605f,0xffffffff,0x55ffffff,
    0xffffffff,0xffffffff,0x40000007,0x03fffff8,0xfffffd80,0x3ffffe23,
    0xfffd8003,0x7f5403ff,0xffffffff,0x40003fff,0x007ffffe,0x3fffff88,
    0xffffd800,0x7fffdc3f,0xd800000f,0xffffffff,0xffffffff,0x3fff605f,
    0xffffffff,0x55ffffff,0xffffffff,0x7fffffff,0xa8000000,0x001fffff,
    0x5fffffb8,0x07ffffea,0x3fffee00,0xffd7005f,0x19ffffff,0xfffd0000,
    0xff5000ff,0x70003fff,0xe8bfffff,0x0004ffff,0xfffffb00,0xffffffff,
    0x6c0bffff,0xffffffff,0xffffffff,0xffffb35f,0xdfffffff,0x00000017,
    0x0fffff90,0x3fffe600,0x3ffff27f,0xfff30007,0x53000fff,0x00001357,
    0x07ffffe8,0x7ffffc80,0xffff3000,0x000000ff,0x7ffffec0,0xffffffff,
    0x3605ffff,0xffffffff,0xffffffff,0xaaa9885f,0x00019abb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99880000,0x00009999,0x99999988,0x98000000,0x20000999,
    0x65401bb9,0x13333302,0x00000000,0x33333331,0x00000000,0x000054c0,
    0x2a201ba8,0x9980000b,0x00000099,0x3fffffa2,0x7440003f,0x03ffffff,
    0xffb10000,0x50005fff,0xd105ffff,0xfff0bfff,0x000009ff,0xffff8800,
    0x98002fff,0xeffffdca,0x644001bd,0x001effff,0x07fffd10,0x005ffff3,
    0x77fffdc0,0x3fb22000,0x7ffe401d,0x80003fff,0x3ffffffc,0x7f440000,
    0x02ffffff,0x3fffffc0,0x17ffffe4,0x03ffffee,0x44000000,0x0effffff,
    0x7fffdc00,0xffffffff,0xfff1003f,0x005fffff,0x3fffff90,0x07ffffe8,
    0xfffff500,0xfd1001df,0x9805ffff,0x03ffffff,0xffff9800,0x100003ff,
    0xfffffffd,0x3e2007ff,0x6c0fffff,0x443fffff,0x003fffff,0xfe880000,
    0x4004ffff,0xffffffd8,0xffffffff,0xffffb003,0x001ffffd,0x3fffffe8,
    0x0ffffffc,0x3fffea00,0xc806ffff,0x0fffffff,0x7fffec40,0xd880003f,
    0x003fffff,0x7ffff440,0x3ffffe8b,0xffffff00,0x5fffff90,0x0dffff90,
    0xe8800000,0x002fffff,0x7fffffd4,0xffffffff,0xff8803ff,0x7fff50cf,
    0xffffd800,0x7ffffc2f,0x3fea000f,0xffffbdff,0x7ffff405,0xf7001fff,
    0x0007ffff,0x3ffffee0,0xffd10003,0xfffd83df,0xfffb803f,0xffff883f,
    0xfffff306,0x20000003,0x0dffffe8,0x7fffd400,0xffffffff,0x803fffff,
    0x7ec0fffa,0x7fcc005f,0xfffb86ff,0x3fe6005f,0x3ffee5ff,0x3fffe05f,
    0x2002ffff,0x00199998,0x26666200,0x33310001,0x26666013,0x05bb5001,
    0xd0067644,0x000bffff,0x26662000,0xfff00019,0x379fffff,0x0fff6a66,
    0xd07ffea0,0xb3000bff,0x3bae019d,0x3ffe6003,0xffffb85f,0xfffffb04,
    0x000001ff,0x00000000,0x00000000,0xfffa8000,0x000000ff,0x3ee00000,
    0x00efffff,0xf8802a88,0xfff50dff,0x00000007,0x20000000,0x4ffffff9,
    0x00000000,0x00000000,0x00000000,0x09fffff0,0x00000000,0x3ffffe20,
    0x2000005f,0xfffffffd,0x000000ff,0x00000000,0x13fffea0,0x6666664c,
    0xcccccccc,0x9503cccc,0x99999999,0x99999999,0x99999307,0x99999999,
    0x30799999,0x99999999,0x99999999,0x3fee0799,0x300007ff,0x99999999,
    0x99999999,0xfff90799,0x00000fff,0xfffffe88,0x400002ff,0x00000098,
    0x98000262,0x3ffee00a,0xffffffff,0x6fffffff,0xffffffb0,0xffffffff,
    0xff70bfff,0xffffffff,0xffffffff,0xfffff70d,0xffffffff,0x20dfffff,
    0x02fffff8,0xffffb800,0xffffffff,0x46ffffff,0x3ffffff8,0xf9000000,
    0x0003dfff,0xfffdb710,0x400039df,0xffffedb8,0x400001ce,0xfffffffb,
    0xffffffff,0xffb06fff,0xffffffff,0xbfffffff,0xffffff70,0xffffffff,
    0xf70dffff,0xffffffff,0xffffffff,0x7ffec0df,0xfb80006f,0xffffffff,
    0xffffffff,0x7fffcc6f,0x000000ff,0x00004cc0,0xffffff98,0x004fffff,
    0xffffff98,0x004fffff,0x3fffee00,0xffffffff,0x06ffffff,0xfffffffb,
    0xffffffff,0xfff70bff,0xffffffff,0xdfffffff,0xffffff70,0xffffffff,
    0x4c0dffff,0x001fffff,0x7ffffdc0,0xffffffff,0x546fffff,0x005fffff,
    0x26620000,0xfc800019,0xffffffff,0x001effff,0xfffffff9,0x3dffffff,
    0xfff70000,0xffffffff,0xdfffffff,0x3fffff60,0xffffffff,0xfb85ffff,
    0xffffffff,0xffffffff,0xffffb86f,0xffffffff,0x06ffffff,0x02fffff4,
    0x3fffee00,0xffffffff,0x46ffffff,0x04fffffb,0xd9510000,0xffffffff,
    0xffd8005b,0xffffffff,0x806fffff,0xfffffffd,0xffffffff,0x6c000006,
    0x000fffff,0x57ffffec,0x99999999,0x6c000999,0x000fffff,0xfffffb00,
    0x3fea0001,0x00000fff,0x1fffffb0,0x3ffff600,0xb800003f,0xffffffff,
    0x2effffff,0xfffff980,0xfff510ae,0x7cc05fff,0x10aeffff,0x5ffffff5,
    0x7ec00000,0x4000ffff,0x00fffffd,0x7fec0000,0x00000fff,0x01fffffb,
    0x7ffffc00,0xfb000003,0x2001ffff,0x02fffffe,0xfffc8000,0xffffffff,
    0x401fffff,0x00effffd,0x1ffffff1,0x3bffff60,0xfffff100,0x2000001f,
    0x00fffffd,0x7ffffec0,0x6c000000,0x000fffff,0xfffffb00,0x7fe40001,
    0x000007ff,0x01fffffb,0x3fffffe0,0xfc800001,0xffffffff,0xefffffff,
    0xfffff500,0xffffb803,0xffffa82f,0x7ffdc01f,0x000002ff,0x01fffffb,
    0xfffffd80,0x6c000000,0x000fffff,0xfffffb00,0x7fc40001,0x00002fff,
    0x0fffffd8,0xffffff00,0xf9000005,0x221357bf,0xffffffc9,0xbffffd03,
    0xfffff100,0xbffffd07,0xfffff100,0x019db707,0xfffffb00,0xfffd8001,
    0x000000ff,0x07ffffec,0xfffd8000,0x6c0000ff,0x0006ffff,0xfffffd80,
    0xffffd000,0x5000007f,0x3fee0017,0xfff05fff,0x3fe007ff,0xfff85fff,
    0xfff003ff,0xfffe8bff,0x7ec001ff,0x4000ffff,0x00fffffd,0x7fec0000,
    0x00000fff,0x01fffffb,0xffff9800,0x6c00001f,0x000fffff,0x07fffffb,
    0x20000000,0x886ffffe,0xccdfffff,0xfccccccc,0x7c46ffff,0xcccdffff,
    0xffcccccc,0x3ff26fff,0x4006ffff,0x00fffffd,0x7ffffec0,0x6c000000,
    0x000fffff,0xfffffb00,0xffd00001,0x800009ff,0x00fffffd,0x9fffff90,
    0x00000000,0x21fffff6,0xfffffff9,0xffffffff,0x4c7fffff,0xffffffff,
    0xffffffff,0x3fa7ffff,0x01ffffff,0x3fffff60,0x7ffec000,0x99999aff,
    0x00199999,0x0fffffd8,0xfffb0000,0x700001ff,0x001fffff,0x7fffec00,
    0xfff7000f,0x00000dff,0x3fff2000,0x7ffd40ff,0xffffffff,0xffffffff,
    0x7fffd47f,0xffffffff,0xffffffff,0x3fffffe7,0x3f6002ff,0x4000ffff,
    0xfffffffd,0xffffffff,0x7ec000ff,0x0000ffff,0x1fffffb0,0xfff10000,
    0x400007ff,0x00fffffd,0xffffff50,0x20000005,0xecccba99,0x640fffff,
    0xffffffff,0xffffffff,0x7e46ffff,0xffffffff,0xffffffff,0x3ff66fff,
    0x000fffff,0x03fffff6,0xfffffb00,0xffffffff,0x8001ffff,0x00fffffd,
    0xffffb000,0x3200001f,0x0007ffff,0x3fffff60,0xffff3000,0x00000bff,
    0x7ffffed4,0xffffffff,0x7fffdc0f,0xccccccdf,0xcccccccc,0x7ffffdc3,
    0xcccccccd,0x3ccccccc,0x3fffffea,0x7ffec005,0x7ec000ff,0xffffffff,
    0xffffffff,0x7ffec000,0xb00000ff,0x001fffff,0x3fffe200,0xfb00002f,
    0x4001ffff,0x2ffffffd,0x7f540000,0xffffffff,0x0fffffff,0x17ffffd4,
    0xfff50000,0x400005ff,0x00dffffb,0x7ffffec0,0x7ffec000,0xffffffff,
    0x00ffffff,0x7ffffec0,0xffb00000,0x00001fff,0x037fffec,0xffffd800,
    0x3fe6000f,0x003fffff,0x7ffd4062,0xffffffff,0x0fffffff,0x1fffffc4,
    0xfff10000,0x800007ff,0xb0001ba8,0x001fffff,0xcfffffd8,0xcccccccc,
    0x6c000ccc,0x000fffff,0xfffffb00,0x7d400001,0x0001ffff,0x0fffffd8,
    0x7fffec00,0x880adfff,0xff983fdb,0xbcefffff,0xffffdaaa,0xfffff80f,
    0x7fc00006,0x00006fff,0xffd80000,0x6c000fff,0x000fffff,0x7ffec000,
    0xb00000ff,0x001fffff,0xffffe800,0xffd80004,0x4c000fff,0xffffffff,
    0xfffeefff,0xfffe83ff,0x3f201dff,0xfe80ffff,0x0003ffff,0x3fffffa0,
    0x00000003,0x7ffffec0,0x7ffec000,0x000000ff,0x07ffffec,0xfffd8000,
    0x400000ff,0x00fffffb,0x7fffec00,0xffb8000f,0xffffffff,0x3fffffff,
    0x7fffffc4,0x7fffe400,0xffffa80f,0x804002ff,0x2ffffffa,0x00000400,
    0x1fffffb0,0xffffd800,0x4000000f,0x00fffffd,0xffffb000,0x8800001f,
    0x003fffff,0x7ffffec0,0xfff30000,0xffffffff,0x987fffff,0x804fffff,
    0x00fffffd,0xdffffffb,0x2e666135,0x3ff605fd,0x09aeffff,0x0bfb7333,
    0x7fec0000,0x6c000fff,0x000fffff,0x7ffec000,0xb00000ff,0x001fffff,
    0xffff9000,0xffd8000d,0x20000fff,0xffffffe8,0xffffffff,0x7ffffd43,
    0x7fffe405,0xfff100ff,0xffffffff,0x0bffffff,0x7fffffc4,0xffffffff,
    0x00005fff,0x3fffff60,0x7ffec000,0x000000ff,0x07ffffec,0xfffd8000,
    0x800000ff,0x02fffff9,0x3ffff600,0xc980000f,0xffffffff,0xff980bdf,
    0xfb00ffff,0x01ffffff,0x7fffffd4,0xffffffff,0x7fd405ff,0xffffffff,
    0x05ffffff,0x3ff60000,0x6c000fff,0x000fffff,0x7ffec000,0xb00000ff,
    0x001fffff,0x3fff6000,0x3f60005f,0x0000ffff,0x3bfffea0,0xfff88019,
    0xb88befff,0xfffffffe,0x7fec400f,0xffffffff,0x8805ffff,0xfffffffd,
    0x5fffffff,0x3f600000,0x4000ffff,0x00fffffd,0x7fec0000,0x00000fff,
    0x01fffffb,0x3fea0000,0xb0001fff,0x001fffff,0x7fffe400,0x7ffec003,
    0xffffffff,0xffffffff,0xfffd5000,0xdfffffff,0x7f540059,0xffffffff,
    0x00002cef,0x3fffff60,0x7ffec000,0x000000ff,0x07ffffec,0xfffd8000,
    0x000000ff,0x013ffffa,0x7ffffec0,0x3fa00000,0x44000fff,0xffffffff,
    0xffafffff,0x88000fff,0x01aabcb9,0x79731000,0x80000355,0xfeeeeeea,
    0xeeefffff,0xffb05eee,0xdddddfff,0x9ddddddd,0xdddddd50,0xddffffff,
    0xd50bdddd,0xfffddddd,0xdddddfff,0xf70000bd,0x2a01ffff,0xffeeeeee,
    0xeeeeffff,0xff8005ee,0xf70005ff,0xffffffff,0x3fffa3ff,0x0000000f,
    0x00000000,0xfffffb80,0xffffffff,0xb06fffff,0xffffffff,0xffffffff,
    0xffff70bf,0xffffffff,0x0dffffff,0xfffffff7,0xffffffff,0x0000dfff,
    0x07fffff1,0x3fffffee,0xffffffff,0x4006ffff,0x002ffff9,0x3ffffa20,
    0x3fa0cfff,0x00000fff,0x00000000,0xfffb8000,0xffffffff,0x6fffffff,
    0xffffffb0,0xffffffff,0xff70bfff,0xffffffff,0xffffffff,0xfffff70d,
    0xffffffff,0x00dfffff,0x3ffff200,0xfffff706,0xffffffff,0x00dfffff,
    0x007fffb8,0x35773100,0x00000000,0x00000000,0xffffb800,0xffffffff,
    0x06ffffff,0xfffffffb,0xffffffff,0xfff70bff,0xffffffff,0xdfffffff,
    0xffffff70,0xffffffff,0x000dffff,0x3ffffe60,0xfffffb82,0xffffffff,
    0x006fffff,0x0027ffe4,0x00000000,0x00000000,0xf7000000,0xffffffff,
    0xffffffff,0x3fff60df,0xffffffff,0x85ffffff,0xfffffffb,0xffffffff,
    0xffb86fff,0xffffffff,0xffffffff,0x80000006,0xfffffffb,0xffffffff,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33331000,0x99880333,0x00009999,0x26666662,0x2a000000,0x02ea201b,
    0x40000000,0x8000aba9,0xa8009999,0x02ea201b,0x4cc40000,0x53100199,
    0x00003359,0x0004ddcc,0x3e600000,0x02ffffff,0x7fffffcc,0x0365cc1f,
    0xffffffd1,0xe8800007,0xff983fff,0xd50002ff,0xd30007df,0x01bfffff,
    0x03bfff20,0x83fffe88,0x002ffff9,0xffffb800,0x3ffee00f,0x0bffffff,
    0xfffd7000,0x01d107ff,0x7fcc0000,0x000effff,0xfffffff5,0x0fffffb9,
    0xffffff90,0x7e400007,0x7f41ffff,0xb8007fff,0x003fffff,0x3fffffea,
    0x7cc00fff,0x7e402fff,0x7f41ffff,0x00007fff,0x0fffffb8,0xfffffea8,
    0x2fffffff,0x7fffd400,0x98aeffff,0x00000ffe,0xffffff98,0xfffb8004,
    0xffffffff,0xfff5007f,0x00007fff,0x0ffffffa,0x03ffffff,0xffffff80,
    0xffff1007,0x09ffffff,0x804fffe8,0x43fffffe,0x01ffffff,0x7ffdc000,
    0x7ffd40ff,0xffffffff,0x1001ffff,0xffffffff,0xffffffff,0xf980000d,
    0x002fffff,0x3ffffb2e,0xffffffff,0x3fa2007f,0x0003ffff,0x2fffffd8,
    0x07fffffc,0xfffff100,0xff9003ff,0xfffb35df,0x3fff201f,0xfffd800f,
    0x7fffc2ff,0x400000ff,0x20fffffb,0xfffffff8,0xffffffef,0xff9800ff,
    0xffffdcff,0x00ffffff,0x3ffe6000,0x22001eff,0xffffffff,0xceffffff,
    0xfffc8003,0x4c0003ff,0xfb86ffff,0xf8005fff,0x00ffffff,0x222fffe8,
    0xf981ffff,0xf3002fff,0xff70dfff,0x00000bff,0x41fffff7,0x0dfffffd,
    0x7fffffd4,0x98df3002,0xfffffffe,0x3e600002,0x8004ffff,0xfffffff8,
    0x01ffffff,0xffffa800,0x6cc0003f,0x7dd700ce,0x3fff6000,0xfff005ff,
    0x2fffe81f,0x005fffe8,0xb80676cc,0x000003ee,0x21fffff7,0x06fffff8,
    0x13ffffea,0xfb500980,0x000039df,0x7c400000,0xffceffff,0x0005ffff,
    0x00000000,0xfb100000,0xf1001bff,0xfffb0fff,0x0ffffc87,0x00000000,
    0x3ffee000,0xffff30ff,0x7ffc405f,0x000005ff,0x00000000,0x06f3a200,
    0x7ffffff5,0x00000000,0x00000000,0xf1000d4c,0xffe81fff,0x3fffe62f,
    0x00000002,0x7fdc0000,0xfff70fff,0x7fcc01ff,0x00004fff,0x10000000,
    0x40000013,0xffffffe8,0x13100000,0x4c400000,0x00000000,0xf0bfffe0,
    0x7ff43fff,0x0000005f,0x19880000,0x21fffff7,0x407ffffc,0x02fffffc,
    0x06666200,0xdb880000,0x1ceffffe,0x3f726000,0xffffffff,0xdb710005,
    0x039dffff,0x7fee5400,0x002cefff,0x3fa00000,0xfff90dff,0x07fffdcf,
    0xbdddd900,0xddddd700,0xfd971001,0xfffdffff,0x3fff61ff,0x3ffea07f,
    0x2a2006ff,0xffffffec,0x00002dff,0xfffffff3,0x0009ffff,0xfffffff9,
    0x03ffffff,0xfffff980,0x04ffffff,0x7fffec40,0xcfffffff,0x3bbbb200,
    0x4eeeeeee,0xfffff500,0x267fffff,0x4003ffff,0x807ffffd,0x00fffffc,
    0x7fffffdc,0xffffffff,0xfffffb0f,0x3ffffea0,0xfff7002f,0xffffffff,
    0x0005dfff,0x7fffffe4,0xefffffff,0xfffe9801,0xffffffff,0x32005fff,
    0xffffffff,0x01efffff,0xffffffa8,0xffffffff,0xffffb02f,0xdfffffff,
    0x7ffff400,0x3fa6ffff,0xfd8005ff,0xfc807fff,0xd300ffff,0xffffffff,
    0xffffffff,0x1fffff61,0x3fffffea,0x3fff2002,0xffffffff,0x001fffff,
    0xffffffd8,0xffffffff,0x7ffcc06f,0xffffffff,0x01ffffff,0xffffffd8,
    0xffffffff,0x7ffd406f,0xffffffff,0x80ffffff,0xfffffffd,0x2006ffff,
    0xffffffd8,0x03fffee5,0x3ffff600,0xffffc807,0xffff880f,0xffffffff,
    0xb0ffffff,0xf88fffff,0x002fffff,0x7fffffe4,0xffffffff,0x26000eff,
    0x0aefffff,0xffffff51,0x7fffec05,0xeba9bdff,0x405fffff,0xaefffff9,
    0xfffff510,0x3ffe205f,0xecdfffff,0x5fffffff,0xffffffd8,0x006fffff,
    0x21bccb98,0x003ffff8,0x0fffffb0,0x1fffff90,0xffffffb0,0xfd95559d,
    0x3f61ffff,0x7fec7fff,0xc8002fff,0x109abdff,0xffffff93,0x7ffec007,
    0xfff100ef,0xff501fff,0x2a07ffff,0x407fffff,0x00effffd,0x1ffffff1,
    0xffffff90,0xffffb105,0xcccb83ff,0xfffffccc,0xfe800006,0x360006ff,
    0xc807ffff,0x540fffff,0x03ffffff,0x43ffffee,0x7c7ffffd,0x0006ffff,
    0x3ee00175,0x5005ffff,0x803fffff,0x42fffffb,0x3ffffff8,0x3ffffe20,
    0xffff501f,0xfffb803f,0x7ffc42ff,0x7ec02fff,0x2006ffff,0x006fffff,
    0x7fffdc00,0x3ff60001,0xffc807ff,0x3fe20fff,0x5c02ffff,0xfb0fffff,
    0x7fc4ffff,0x00005fff,0x3ffffa00,0xffffd006,0xffff100b,0xffffa87f,
    0xfffd806f,0xfffd04ff,0xfff100bf,0xfffc87ff,0xff9804ff,0x3e007fff,
    0x0006ffff,0x0ffffe20,0xffffb000,0xffff900f,0x7fffd41f,0xfffb806f,
    0xffffb0ff,0xffffff8f,0xb0000000,0x200fffff,0x003fffff,0xb8bfffff,
    0x802fffff,0x06fffffa,0x007fffff,0xb17ffffe,0x003fffff,0x07fffff6,
    0x37ffffc0,0xfffb0000,0xffb0000d,0xff900fff,0x7fe41fff,0xfb802fff,
    0xffb0ffff,0xfffe8fff,0x000005ff,0x1fffff90,0xfffff880,0xcccccccd,
    0x6fffffcc,0x07ffffec,0x7ffffcc0,0xfffff886,0xcccccccd,0x6fffffcc,
    0x037ffff4,0x5fffff70,0x3ffffe00,0xff500006,0xb00003ff,0x900fffff,
    0x6c1fffff,0x800fffff,0xb0fffffb,0xfc8fffff,0x00efffff,0xcba99800,
    0xfffffecc,0x7fffcc00,0xffffffff,0xffffffff,0x3fffff47,0xfffff880,
    0xfffff987,0xffffffff,0x7fffffff,0x037ffffc,0x7fffff50,0x3ffffe00,
    0xff880006,0x3b6e63ff,0xffd800bd,0xffc807ff,0x3ffa0fff,0xff7007ff,
    0x3ff61fff,0x7ffc47ff,0x002fffff,0xfffffda8,0xffffffff,0x7ffd400f,
    0xffffffff,0xffffffff,0x7ffffc7f,0x3fffe006,0xffffa87f,0xffffffff,
    0xffffffff,0x3ffffe27,0x3ffe6005,0xfff004ff,0xb0000dff,0x7fdcdfff,
    0x403fffff,0x807ffffd,0x20fffffc,0x006fffff,0x21fffff7,0xa87ffffd,
    0xffffffff,0xfffd5003,0xffffffff,0x801fffff,0xfffffffc,0xffffffff,
    0x226fffff,0x006fffff,0x21fffffe,0xfffffffc,0xffffffff,0x266fffff,
    0x005fffff,0x13ffffe6,0x37ffffc0,0x3ffea000,0xfffff91f,0x6c05ffff,
    0xc807ffff,0xf10fffff,0x200dffff,0xb0fffffb,0x260fffff,0xffffffff,
    0x7fffd403,0xffffffff,0x00ffffff,0x6fffffdc,0xcccccccc,0x23cccccc,
    0x06fffff8,0x1fffffe0,0x37ffffee,0xcccccccc,0x23cccccc,0x05fffff8,
    0x3ffffea0,0xfffff003,0x7fc4000d,0xffff14ff,0x0dffffdf,0x03ffffec,
    0x87ffffe4,0x06fffff8,0x1fffff70,0x81fffff6,0xffffffe9,0xffff300f,
    0x5579dfff,0x1fffffb5,0xfffffa80,0x3fe00002,0xf1007fff,0xf50fffff,
    0x0005ffff,0x37ffffc0,0xfffff700,0x3fffe003,0x3f60006f,0x3fff26ff,
    0x3ffff50d,0x1fffff60,0x3fffff20,0x1fffffe0,0x7ffffdc0,0x0fffffb0,
    0xfffffd88,0xffffd04f,0x7fe403bf,0x7c400fff,0x0003ffff,0x3fffffa0,
    0xffffa800,0xffff885f,0x3a00003f,0x000fffff,0x01fffffb,0x1bffffe0,
    0x7fffd400,0xd0bfffa1,0x3f605fff,0xfd807fff,0x3fa0ffff,0xfb007fff,
    0x3f61ffff,0xfd007fff,0xf10dffff,0x801fffff,0x00fffffc,0x06fffff8,
    0x3fff6000,0xffd803ff,0xfff03fff,0x40000dff,0x03fffffd,0x7fffff88,
    0x3ffffe00,0xfff88006,0x0ffffc4f,0x6c0ffff6,0x200fffff,0x0ffffffc,
    0x0bfffff6,0xffffff90,0x1fffff61,0x7ffffcc0,0xfffff987,0xffffd804,
    0xfffe800f,0x900003ff,0x80dfffff,0x1ffffff9,0x7fffffd0,0x3fee0000,
    0x6c00ffff,0x004fffff,0x01bffffe,0x83bfff20,0x640ffff8,0xff904fff,
    0x3ee05fff,0x20ffffff,0x05fffffc,0x3fffffee,0xfffffb0f,0x7ffffc00,
    0xfffffa87,0x7fffe405,0xffa800ff,0x4002ffff,0xfffff880,0xffff305f,
    0x7fd40dff,0x4002ffff,0xfffff880,0xfff901ef,0x7c001fff,0x4006ffff,
    0xf82ffffa,0x7fec1fff,0xffff703f,0xfffb88bf,0x220fffff,0x42ffffff,
    0xffffffb8,0xffffb0ff,0x3ffe200f,0xfff986ff,0xffb00fff,0x001fffff,
    0x3ffffff6,0x733309ae,0x3ff20bfb,0xbbceffff,0xfffffffd,0x7fffec01,
    0x3309aeff,0x2e0bfb73,0xdfffffff,0xfffffdbc,0x7fc003ff,0x22006fff,
    0xfd04fffe,0xffff87ff,0xfffff501,0xffff97ff,0x81ffffff,0xdffffffd,
    0xffffffcb,0xffb0ffff,0x4cdc4fff,0xffffe998,0xffff884f,0xeb88beff,
    0xffffffff,0xffff1000,0xffffffff,0x20bfffff,0xfffffff8,0xffffffff,
    0xff8805ff,0xffffffff,0x5fffffff,0x3fffffa0,0xffffffff,0xaa986fff,
    0xfffaaaaa,0xaaaaaeff,0x7fffe41a,0x7ffff900,0x80dfffd5,0xfffffffe,
    0xffefffff,0x7fcc0fff,0xffffffff,0xffffffff,0xfffffb0f,0x7fffffc4,
    0x01ffffff,0xfffffffb,0xffffffff,0x4001ffff,0xfffffffa,0xffffffff,
    0x3ffee05f,0xffffffff,0x2005ffff,0xfffffffa,0xffffffff,0x3ffe605f,
    0xffffffff,0xc80effff,0xffffffff,0xffffffff,0x3fe64fff,0x3fe202ff,
    0xffffffff,0x7fffd402,0xffffffff,0x80ffffe8,0xfffffffd,0xfe9fffff,
    0xfffb0fff,0x7fffc4ff,0x2fffffff,0x3ffffe20,0xffffffff,0x00fffffa,
    0x7fffec40,0xffffffff,0x7f4c05ff,0xffffffff,0x88004fff,0xfffffffd,
    0x5fffffff,0x7fffe440,0xffffffff,0x3ffff203,0xffffffff,0x4fffffff,
    0x2017fffa,0xfffffffb,0xfff9005f,0x3dffffff,0x403ffffa,0xfffffffc,
    0xfffd1eff,0x3ffff61f,0x3ffffe27,0x803fffff,0xfffffffb,0xffd1ffff,
    0x2a0001ff,0xfffffffe,0x002cefff,0xffffffd9,0x800019ff,0xffffffea,
    0x02ceffff,0xfffffb30,0xc803bdff,0xffffffff,0xffffffff,0xfff94fff,
    0x3faa001f,0x4002ffff,0xfffffffa,0x07ffff44,0xfffffd50,0xffffd89f,
    0x4fffffb0,0xfffffff8,0x3a2000bf,0xcfffffff,0x03ffffa0,0x32e62000,
    0x80001aab,0x0019aba9,0x79731000,0x10000355,0x40013773,0xfffffffc,
    0xffffffff,0x0004ffff,0x0002aa20,0x00357510,0x1ab98800,0x53100000,
    0x10000355,0x00035773,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333310,0x00000001,
    0x99999988,0x33330001,0x98800001,0x2a000019,0x02ea201b,0x26666000,
    0x77300000,0x98800013,0x00099999,0x98800000,0x00199999,0x20001330,
    0xffffffe8,0x00000003,0xfffffff3,0xfff70005,0xb80001df,0xeffffffe,
    0x5eeeeeee,0x0ffffa20,0x00bfffe6,0xeffffb80,0x3fae0000,0xe883ffff,
    0x7fff4400,0x00003fff,0x3ffe6000,0x3b22ffff,0x3f220eee,0x003dffff,
    0xffffffc8,0x40000003,0xeffffff9,0xfffa8000,0x8000efff,0xffffffea,
    0xffffffff,0x3ff206ff,0x7ff41fff,0xf50007ff,0x01dfffff,0xfffff500,
    0xd315dfff,0xff9001ff,0x0007ffff,0xfff30000,0xfd81dfff,0xfff71fff,
    0x0bffffff,0xfffff500,0x0000007f,0x3fffffe6,0xfff50004,0x00dfffff,
    0xffffffb8,0xffffffff,0x3a06ffff,0x7c3fffff,0x001fffff,0x7fffffd4,
    0x7c4006ff,0xffffffff,0x6fffffff,0xfffff500,0x0000007f,0x7fffffcc,
    0x3ffffb04,0xfffffff9,0x001dffff,0xfffffe88,0x4c000003,0x02ffffff,
    0xbffff500,0x00bffff7,0x3fffffe6,0xfffffeef,0x206fffff,0x42fffffd,
    0x00ffffff,0x37fffea0,0x005ffffb,0x373fffe6,0xffffffff,0x3a2000ff,
    0x003fffff,0xfff98000,0x3f602fff,0xffffdfff,0xffffffff,0xff90004f,
    0x00007fff,0x3ffffe60,0xff30001e,0x7ffdcbff,0xfffe805f,0xfffc82ff,
    0x202aacff,0xb86ffff9,0x2005ffff,0x2e5ffff9,0x2005ffff,0x7ff4c6f9,
    0x002fffff,0x7fffff90,0x7cc00000,0x401effff,0xfffffffd,0xfffecfff,
    0x0000ffff,0x07fffff5,0xfff98000,0x260004ff,0xfb85ffff,0x3e204fff,
    0x3602ffff,0x2005ffff,0xd700ced9,0x7fcc007d,0xfffb85ff,0x4026004f,
    0x01ceffda,0x7fffd400,0x9800003f,0x004fffff,0xfffffffb,0xffff987d,
    0x000003ff,0x00000000,0x20000000,0x406ffffa,0x00fffff9,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffd,0xfffff500,0x0000000f,
    0x00000000,0x7e400000,0x7c405fff,0x0001ffff,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0x401fffff,0x00ffffff,0x03333100,0x33310000,
    0x22000003,0xc8001999,0x4405ffff,0x001fffff,0x00333310,0x00000000,
    0x00009880,0x0004c400,0x00262000,0x5fffffb0,0xfffff900,0xfd951003,
    0xbfffffff,0xeca88005,0xffffffff,0xca88002d,0xfffffffe,0xffb802df,
    0x3e600fff,0x51007fff,0xffffffd9,0x32005bff,0xb805eeee,0x000eeeee,
    0xfffffb95,0xa800059d,0xefffffdc,0x6540002c,0xcefffffd,0x7fffec02,
    0xffff7007,0xfffb805f,0xffffffff,0xb802efff,0xffffffff,0x2effffff,
    0xfffff700,0xffffffff,0x7fcc05df,0x3fa03fff,0xfb806fff,0xffffffff,
    0x02efffff,0x03ffffec,0x07ffffe4,0x3ffff620,0xcfffffff,0x7fec4000,
    0xffffffff,0x6c4000cf,0xffffffff,0xfb00cfff,0x2e00ffff,0x403fffff,
    0xfffffffc,0xffffffff,0x7ffe401f,0xffffffff,0x801fffff,0xfffffffc,
    0xffffffff,0x3fffa01f,0x7fec42ff,0xfc803fff,0xffffffff,0x1fffffff,
    0x1fffff60,0x3fffff20,0x3fffea00,0xffffffff,0xf5002fff,0xffffffff,
    0x05ffffff,0x3ffffea0,0xffffffff,0xfffd82ff,0xfff5007f,0xffc809ff,
    0xffffffff,0x0effffff,0x3fffff20,0xffffffff,0x6400efff,0xffffffff,
    0xffffffff,0xffff300e,0xffffdfff,0x3200bfff,0xffffffff,0xffffffff,
    0xffffb00e,0xffff900f,0x3ffea01f,0xffffffff,0x00ffffff,0x7fffffd4,
    0xffffffff,0x7d400fff,0xffffffff,0xffffffff,0x3ffffec0,0xfffffa80,
    0x5effe403,0xff93109a,0x6407ffff,0x109abdff,0xffffff93,0xbdffc807,
    0xff93109a,0x7407ffff,0xffffffff,0x00ffffff,0x357bff90,0x3fff2621,
    0xffb03fff,0xff900fff,0xff101fff,0x9bffffff,0xfffffffd,0x7fffc40b,
    0xfecdffff,0x05ffffff,0x3fffffe2,0xfffecdff,0x7ec5ffff,0xf7007fff,
    0xa805ffff,0xfff7000b,0x05d40bff,0xfffffb80,0x8005d405,0x05fffffb,
    0xfffffff9,0x19ffffff,0x8005d400,0x05fffffb,0x00fffffb,0x01fffff9,
    0x5ffffff9,0xfffffb10,0x3fff203f,0xfd882fff,0x901fffff,0x05ffffff,
    0xffffffb1,0x3ffffec3,0xfffffc80,0xfe800001,0x00006fff,0x037ffff4,
    0x7fff4000,0xffffa86f,0xdefffdbd,0x0000000c,0x20dffffd,0x807ffffd,
    0x40fffffc,0x2ffffff8,0x7ffffec0,0xfffff886,0x7ffec02f,0xfff886ff,
    0x7ec02fff,0x3f66ffff,0xfd007fff,0x0000ffff,0x1fffff60,0xfffb0000,
    0xb00000ff,0xfb0fffff,0x00001fff,0x7fec0000,0xfffb07ff,0xfff900ff,
    0xfffc81ff,0xff9804ff,0xffc87fff,0xf9804fff,0xfc87ffff,0x9804ffff,
    0x367fffff,0xa807ffff,0x006fffff,0xffff9000,0x6400001f,0x000fffff,
    0x7fffe400,0x3ffffc0f,0x00000000,0x03fffff2,0x01fffff6,0x03fffff2,
    0x03fffffb,0x3fffff60,0x7ffffec1,0xffffb001,0xffffd83f,0xfffb001f,
    0x3fff63ff,0xfffe807f,0x260004ff,0xfecccba9,0x4000ffff,0xecccba99,
    0x000fffff,0xcccba998,0x20fffffe,0x04fffff8,0x4cc00000,0xffecccba,
    0xffd80fff,0xffc807ff,0x7ff40fff,0x3ee006ff,0x7f42ffff,0x2e006fff,
    0x742fffff,0x2006ffff,0xb2fffffb,0x440fffff,0x0ffffffd,0x7ffed400,
    0xffffffff,0xda800fff,0xffffffff,0x00ffffff,0xfffffb50,0xffffffff,
    0xffffe81f,0xaccccdef,0x2a00009a,0xfffffffd,0x0fffffff,0x07ffffd8,
    0x0fffffc8,0x037ffffc,0x7fffff50,0x06fffff8,0x3ffffea0,0x37ffffc3,
    0xfffff500,0x3fffff67,0xfeb9899b,0x002fffff,0x3fffffaa,0xffffffff,
    0x3aa00fff,0xffffffff,0xffffffff,0x7fff5400,0xffffffff,0x640fffff,
    0xffffffff,0xffffffff,0xffd5000c,0xffffffff,0x01ffffff,0x00fffffb,
    0x41fffff9,0x05fffff8,0x3ffffe60,0x3ffffe24,0x3ffe6005,0x3ffe24ff,
    0x3e6005ff,0xffb4ffff,0xffffffff,0xbfffffff,0x7fffd400,0xffffffff,
    0x00ffffff,0xfffffff5,0xffffffff,0x7d401fff,0xffffffff,0xffffffff,
    0xffffc80f,0xffffffff,0x404fffff,0xfffffffa,0xffffffff,0xffd80fff,
    0xffc807ff,0x3fe60fff,0x26005fff,0x264fffff,0x005fffff,0x93ffffe6,
    0x05fffff9,0x3ffffe60,0xffffffb4,0xffffffff,0x26001bff,0xefffffff,
    0xffdaaabc,0xff980fff,0xbcefffff,0xffffdaaa,0xffff300f,0x5579dfff,
    0x1fffffb5,0xffffff10,0xffffffff,0x2607ffff,0xefffffff,0xffdaaabc,
    0xffd80fff,0xffc807ff,0x3fe20fff,0x2a005fff,0x223fffff,0x005fffff,
    0x8fffffea,0x05fffff8,0x3ffffea0,0xffffffb3,0xffffffff,0xffe8005d,
    0x3201dfff,0xe80fffff,0x01dfffff,0x03fffff2,0x6ffffff4,0x3ffff201,
    0x7fffcc0f,0xeeeeeeff,0xffffffff,0xfffffe80,0x3fff201d,0xfffd80ff,
    0xfffc807f,0x7fffc0ff,0x3fee006f,0x7ffc1fff,0x3ee006ff,0x7fc1ffff,
    0x2e006fff,0xfb1fffff,0xffffffff,0x0007dfff,0x1ffffff1,0xfffffc80,
    0x7ffffc40,0x7ffe400f,0xfff880ff,0x7e400fff,0x3e20ffff,0x200dffff,
    0xffffffa8,0x7ffffc42,0x7ffe400f,0xfffd80ff,0xfffd807f,0x7fff40ff,
    0xffb000ff,0xffe81fff,0xfb000fff,0xfe81ffff,0xb000ffff,0x361fffff,
    0xa98fffff,0x4c00009a,0x804fffff,0x40fffffd,0x04fffff9,0x0fffffd8,
    0x4fffff98,0xfffffd80,0x3fffff60,0xffff5000,0xffff989f,0xfffd804f,
    0xfffd80ff,0x3ff200ff,0x7ec0ffff,0x8803ffff,0xd87fffff,0x803fffff,
    0x87fffff8,0x03fffffd,0x7fffff88,0x01fffff6,0x7ffd4000,0x7fe405ff,
    0x7d40ffff,0x6405ffff,0x80ffffff,0x05fffffa,0x7fffffe4,0x17ffffe0,
    0xfffff980,0x7ffffd43,0x7fffe405,0xfffc80ff,0xfff702ff,0xfb81ffff,
    0x400fffff,0x84fffffd,0x0ffffffb,0x7ffffec0,0xfffffb84,0x7ffec00f,
    0x3fff64ff,0x3000007f,0x01ffffff,0x3ffffff6,0x7fffcc0f,0xfffb00ff,
    0xf301ffff,0x201fffff,0xfffffffd,0xbfffff10,0x7fffdc00,0x7fffcc2f,
    0xfffb00ff,0xf701ffff,0xb88bffff,0xffffffff,0x7ffffc40,0xfff901ef,
    0xff101fff,0x203dffff,0x0ffffffc,0xffffff88,0xffff901e,0x7ffec1ff,
    0x1000007f,0x7dffffff,0xffffd711,0xf881ffff,0x8befffff,0xfffffeb8,
    0xff880fff,0x88beffff,0xffffffeb,0x3fffe0ff,0xffa801ff,0x7c40ffff,
    0x8befffff,0xfffffeb8,0xffa80fff,0xfcbfffff,0xffffffff,0xffffb80f,
    0xfdbcdfff,0x03ffffff,0x3fffffee,0xfffdbcdf,0x2e03ffff,0xdfffffff,
    0xfffffdbc,0x7ffec3ff,0x2000007f,0xfffffffd,0xffffffff,0xfd80ffff,
    0xffffffff,0xffffffff,0xfffb00ff,0xffffffff,0xffffffff,0x7ffffec1,
    0xba99acdf,0x3ffffffe,0xffffffb0,0xffffffff,0x201fffff,0xfffffffe,
    0xffefffff,0xffd00fff,0xffffffff,0x0dffffff,0xffffffd0,0xffffffff,
    0xffd00dff,0xffffffff,0x0dffffff,0x00fffffb,0x7ffc4000,0xffffffff,
    0xfffffaff,0xfffff880,0xffffffff,0x00fffffa,0xfffffff1,0xf5ffffff,
    0x7cc1ffff,0xffffffff,0xffffffff,0x3fe204ff,0xffffffff,0xffffafff,
    0xffff500f,0xffffffff,0x01ffffd1,0x3fffffe6,0xffffffff,0xff9800ef,
    0xffffffff,0x00efffff,0xffffff98,0xffffffff,0xfffd80ef,0x4000007f,
    0xfffffffb,0xffd1ffff,0x3fee01ff,0xffffffff,0x1ffffd1f,0x7ffffdc0,
    0xd1ffffff,0xf981ffff,0xffffffff,0xffffffff,0xffffb804,0x1fffffff,
    0x401ffffd,0xfffffffc,0xfffd1eff,0x7fe4401f,0xffffffff,0x644003ff,
    0xffffffff,0x4003ffff,0xffffffc8,0x03ffffff,0x01fffff6,0x3fa20000,
    0x0cffffff,0x803ffffa,0xffffffe8,0x3fffa0cf,0x7ff4400f,0x20cfffff,
    0x880ffffe,0xffffffeb,0x0bffffff,0x3fffa200,0x3a0cffff,0x5400ffff,
    0x4fffffff,0x007ffff4,0x7ffffecc,0x0001deff,0x3fffff66,0x0001deff,
    0x3fffff66,0x6c01deff,0x0007ffff,0x2ee62000,0x4400001a,0x0001abb9,
    0x1abb9880,0x32a60000,0x1abcdedc,0x5dcc4000,0x8800001a,0x00001aba,
    0x026ee620,0x2e620000,0x8000009b,0x0009bb98,0x00aaaaa6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x01999999,0xdddd5000,0x13100001,0x33331040,
    0x98800003,0x00099999,0x26660000,0x26000009,0x02bceecb,0x26000000,
    0x00999999,0x77776400,0xeeeed805,0x33333305,0xf9800001,0x02ffffff,
    0xdfffb000,0xfd971000,0xb79dffff,0x3fff61fd,0x4400007f,0x3ffffffe,
    0xfb800000,0x0000efff,0x7fffff44,0x0001dfff,0x7ffec000,0x2200dfff,
    0x7f41dfec,0xfe806fff,0xfff06fff,0x00005fff,0x7fffffcc,0xf100000e,
    0xb8007fff,0xffffffff,0x0fffffff,0x00fffffb,0x3fff2000,0x00003fff,
    0x3ffffea0,0xf70000ef,0xffffffff,0x00005fff,0x3ffff200,0x7f4403ff,
    0x3fa2ffff,0xfe806fff,0xffd06fff,0x00003fff,0x3fffffe6,0x7d400004,
    0xb1001fff,0xffffffff,0xffffffff,0x1fffff61,0xffa80000,0x0003ffff,
    0xfffffa80,0x98006fff,0xffffffff,0x01ffffff,0x7fe40000,0xc801efff,
    0x0fffffff,0x00dffffd,0x20dffffd,0x01fffffe,0xffff9800,0x100002ff,
    0x0dfffb35,0x3ffffe60,0xffffffff,0xfb0fffff,0x0000ffff,0xffffe880,
    0x2a00003f,0xffbdffff,0x7f4005ff,0xfccdffff,0x006fffff,0x3fff2000,
    0xfd000dff,0x23ffffff,0x806ffffe,0xb06ffffe,0x001fffff,0xfffff980,
    0x32a0001e,0xfffffffe,0xfffd003f,0x5559dfff,0x1fffffd9,0x01fffff6,
    0x7fe40000,0x80003fff,0x2e5ffff9,0x7005ffff,0x885fffff,0x00fffffe,
    0xfffc8000,0x7fc003ff,0xd2ffffff,0xd00dffff,0x360dffff,0x000fffff,
    0x3ffffe60,0x3f620004,0xffffffff,0x7d400eff,0x203fffff,0xb0fffffb,
    0x000fffff,0x7ffd4000,0x260003ff,0xfb85ffff,0xfc804fff,0xff305fff,
    0x00005fff,0x1fffffc8,0xffffd800,0xfffd0fff,0xfffd00df,0x3fff20df,
    0x0000007f,0x7fffd400,0xffffffff,0x3fa02fff,0x5c02ffff,0xfb0fffff,
    0x0000ffff,0x00000000,0xfe800000,0x3fe03fff,0x00002fff,0x3e600000,
    0x3a4fffff,0xe806ffff,0xf906ffff,0x0000ffff,0x7fdc0000,0xffffffff,
    0x0fffffff,0x6fffffb8,0xfffffb80,0x0fffffb0,0x00000000,0x00000000,
    0x03fffff8,0x03fffff1,0x00000000,0x44ffffa8,0x806ffffe,0x706ffffe,
    0x000fffff,0x3e200000,0xbdffffff,0xfffffffd,0xffffc86f,0xfffb802f,
    0xffffb0ff,0x00004c0f,0x00000000,0x74000131,0xf505ffff,0x0001ffff,
    0x20000000,0xfffe80a9,0xfffe806f,0xffff706f,0xdddd900d,0xdddd700b,
    0xffff901d,0x7fff41df,0x43ffffff,0x00fffffd,0x0fffffb8,0x44dffffb,
    0x3dffffdb,0xbdddd900,0xddddd700,0x3f72a001,0x02ceffff,0x3fffff20,
    0x7ffffc40,0xddd90006,0xdddddddd,0xe8000009,0xe806ffff,0xf506ffff,
    0xfb00bfff,0xf900ffff,0xf881ffff,0x220effff,0xfffdffff,0x7fff45ff,
    0xfff7007f,0x3fff61ff,0xfffff36f,0xb00bffff,0x900fffff,0x801fffff,
    0xffffffd8,0x00cfffff,0x4fffffa8,0x3fffffa2,0xfffb0001,0xffffffff,
    0xe800000d,0xe806ffff,0xf506ffff,0xfb00bfff,0xf900ffff,0xfc81ffff,
    0x7dc2ffff,0xfffe8fff,0x3fffe0ff,0xfff7006f,0x3fff61ff,0xfffffadf,
    0x0effffff,0x1fffff60,0x3fffff20,0x3fffea00,0xffffffff,0xfe802fff,
    0xffbaffff,0x0003ffff,0x3ffffff6,0x006fffff,0x7fff4000,0xfffe806f,
    0x9999106f,0xffffb005,0xffff900f,0xffffd81f,0x55fffe86,0x225fffff,
    0x006fffff,0x21fffff7,0xfffffffd,0xffffffff,0x3f604fff,0xfc807fff,
    0xf500ffff,0xffffffff,0xffffffff,0xffff9801,0xffffffff,0x7fec0003,
    0xffffffff,0x4000006f,0x806ffffe,0x006ffffe,0x7fffec00,0xffffc807,
    0x7ffff40f,0x97fffcc4,0x13fffff9,0x00dfffff,0x43ffffee,0xfffffffd,
    0xfffecfff,0xfb00ffff,0xf900ffff,0xf101ffff,0xbfffffff,0xffffffd9,
    0xfff900bf,0x5fffffff,0x99970000,0xfffff999,0xe800000d,0xe806ffff,
    0x4c06ffff,0xffd802cb,0xffc807ff,0x7ffc0fff,0x7ffe43ff,0xfffff10f,
    0x3fffffc9,0xfffffb80,0xffffffb0,0xfff987df,0xffb03fff,0xff900fff,
    0xff901fff,0xb105ffff,0x03ffffff,0xffffff88,0x00000cff,0x6fffff80,
    0x7f400000,0x7cc06fff,0xb106ffff,0x401dffff,0x807ffffd,0x20fffffc,
    0x42fffff8,0x7fc5fffe,0x3ffa4fff,0xffb007ff,0x3ff61fff,0x500fffff,
    0x20ffffff,0x807ffffd,0x40fffffc,0x2ffffff8,0x7ffffec0,0x3fff6206,
    0x0004ffff,0x3fffe000,0x6540006f,0xffffe82c,0xffff100f,0x3ff20dff,
    0x3606ffff,0xc807ffff,0x260fffff,0x262fffff,0x7fc2ffff,0x3ff64fff,
    0x7e402fff,0xfb0fffff,0x803fffff,0x80ffffff,0x807ffffd,0x40fffffc,
    0x04fffffc,0x7fffff98,0xfffffd10,0xfd05ffff,0x80005fff,0x006fffff,
    0x37ffff60,0x3fffffa0,0xfffffd01,0xffff10df,0x3605ffff,0xc807ffff,
    0x260fffff,0x323fffff,0x7fc47fff,0x3ff23fff,0x3ee05fff,0xb0ffffff,
    0x005fffff,0x03fffff9,0x00fffffb,0x81fffff9,0x01fffffd,0x3fffffb0,
    0xfffffe88,0x41ffffff,0x001ffffe,0x37ffffc0,0xffffa800,0x3fffa5ff,
    0x7fec44ff,0x40ffffff,0xfffffffa,0xffffb04f,0xffff900f,0x7fffc41f,
    0x17fffa4f,0x45fffff3,0x2ffffff8,0x7ffffdc4,0xfffb0fff,0x3fee00ff,
    0xffd82fff,0xffc807ff,0x7ff40fff,0x3ee006ff,0x7ec2ffff,0xffdcffff,
    0x3fe0efff,0x40001fff,0x006fffff,0xffffff90,0x3ffffa3f,0xfffdbfff,
    0xefffffff,0xfffff50b,0x3f609fff,0xfc807fff,0x7fc0ffff,0xfff35fff,
    0xffffb85f,0x7fffec1f,0xfffcbdff,0x0fffffff,0x00fffffb,0x0fffffee,
    0x01fffff6,0x03fffff2,0x00dfffff,0x1fffffd4,0x4bfffff3,0x25fffffe,
    0x000fffff,0x37ffffc0,0xffffd800,0xfffd4fff,0xffffffff,0xfffffdff,
    0x3ffe25ff,0xb02fffff,0x900fffff,0xe81fffff,0xfc8fffff,0xfffe87ff,
    0x7ffcc0ff,0xffffffff,0xffffffff,0x0fffffb0,0x3ffffea0,0x7ffffd84,
    0xfffffc80,0x3ffffe20,0x3ffe6005,0x3fff64ff,0x3ffe20ff,0xfff9cfff,
    0xff80007f,0x70006fff,0xbfffffff,0x3ffffffa,0x8dffffff,0x2fffffff,
    0x3ffffff2,0x3ffff605,0xffffc807,0x7fffdc0f,0x44ffffcf,0x04fffffa,
    0xfffffffb,0xff7fffff,0x3ff61fff,0xff5007ff,0xffb07fff,0xff900fff,
    0x7fcc1fff,0x26005fff,0x3e4fffff,0xf985ffff,0xffdfffff,0xf80006ff,
    0x0006ffff,0x3ffffffa,0xffffffd6,0x64bfffff,0x42ffffff,0x00dffffc,
    0x01fffff6,0x03fffff2,0xfffffff1,0x7fd45fff,0x3200ffff,0xffffffff,
    0xffffa9ef,0xfffffb0f,0x3fffee00,0xffffd82f,0xffffc807,0x3fffe20f,
    0x3fea005f,0xfff13fff,0x3fee07ff,0xffffffff,0xfff80003,0x220006ff,
    0xd5ffffff,0xfffdffff,0xfffb09ff,0x377305ff,0xfffffb00,0xfffff900,
    0xfffff901,0xf953ffff,0x009fffff,0xffffffd5,0x7ffffd49,0x0fffffb0,
    0x3fffff20,0x7ffffd81,0xfffffc80,0x37ffffc0,0xfffff700,0x3ffffe63,
    0x3ffff203,0x000fffff,0x6fffff80,0x7ffdc000,0xffffd4ff,0x98037519,
    0x00001aaa,0x00fffffb,0x01fffffb,0xffffffd1,0xffffffff,0x44001fff,
    0xffb82ab9,0xfffb0fff,0x3ffa00ff,0xfffb07ff,0xfffb00ff,0xfffe81ff,
    0xffb000ff,0x3fe21fff,0x7f404fff,0x04ffffff,0xfffff000,0xff88000d,
    0xfffd2fff,0x0000009f,0x3ffff600,0x3fff200f,0xff300fff,0xffffffff,
    0x01dfffff,0xfff70000,0x3fff61ff,0xfffa807f,0xfffb06ff,0x7fe401ff,
    0x7ec0ffff,0x8803ffff,0x7c7fffff,0x4406ffff,0x1fffffff,0xffff0000,
    0xf98000df,0xffd1ffff,0x00000bff,0x3fff2000,0xfff702ff,0x4401ffff,
    0xfffffffd,0x004fffff,0x3ffee000,0xffffb0ff,0xffffd00f,0x3fff209f,
    0xfff702ff,0xfb81ffff,0x400fffff,0x44fffffd,0x04fffffd,0x7fffffe4,
    0xfff00003,0xd8000dff,0x3fa4ffff,0x00006fff,0xfff70000,0xffb88bff,
    0x00ffffff,0x7fffffc4,0x002defff,0x7ffdc000,0xffffb0ff,0x7ffec40f,
    0xff700fff,0xfb88bfff,0x0fffffff,0x7fffffc4,0xffff901e,0xfffb81ff,
    0x989aefff,0xffffffeb,0xf80002ff,0x0006ffff,0x8dffffb1,0x006ffffe,
    0xf5000000,0x97ffffff,0xffffffff,0xffa801ff,0x009bcbff,0x3ee00000,
    0xffb0ffff,0x31337fff,0xffffffd7,0x7fffd405,0xfffcbfff,0x0fffffff,
    0xffffffb8,0xfffdbcdf,0xfb03ffff,0xffffffff,0xffffffff,0x9803ffff,
    0xfaaaaaaa,0xaaaeffff,0x332a1aaa,0x1ffffffe,0x037ffff4,0xd0000000,
    0xffffffff,0xfffdffff,0xffd801ff,0x0000006f,0x7ffffdc0,0xffffffb0,
    0xffffffff,0xfd00bfff,0xffffffff,0xffffdfff,0x3fffa01f,0xffffffff,
    0x206fffff,0xfffffff8,0xffffffff,0x0effffff,0x3fffff20,0xffffffff,
    0x24ffffff,0xfffffffd,0xffffe81e,0x00000006,0x3ffffea0,0x8fffffff,
    0x200ffffe,0x003ffff8,0x7dc00000,0xffb0ffff,0xffffffff,0x1bffffff,
    0xfffff500,0x1fffffff,0x201ffffd,0xfffffff9,0xffffffff,0x7fecc00e,
    0xffffffff,0xfffe8cff,0x3ff205ff,0xffffffff,0xffffffff,0x3ffff64f,
    0x3ffa03ff,0x000006ff,0x7ffe4000,0x1effffff,0x401ffffd,0x000ffffa,
    0x7dc00000,0xffb0ffff,0xffffffff,0x005dffff,0xffffffc8,0xffd1efff,
    0x7e4401ff,0xffffffff,0x54003fff,0xfffffffe,0x3ffe20df,0xff904fff,
    0xffffffff,0xffffffff,0x677fec9f,0x7fff400b,0x0000006f,0xffffa800,
    0x7ff44fff,0x3ff600ff,0x0000006f,0xfffffb80,0x3fff6e60,0x3effffff,
    0x3ffea000,0x7f44ffff,0xd9800fff,0xefffffff,0x54c0001d,0x000009bb,
    0x3ffffff2,0xffffffff,0x024fffff,0x55555400,0x00000002,0x06aea200,
    0x00000000,0xaa980000,0x26200aaa,0x00009aa9,0x00d5d440,0x77310000,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2b980573,0x03333310,0x99800000,0x30000099,0x00001377,0x00026662,
    0x51026666,0x00035797,0x31026666,0x01333333,0x99988000,0x99998000,
    0xbddddd30,0xdddd3000,0x4cccc49d,0x09999999,0xdfff7000,0x0bfff901,
    0x00fffffb,0x7fdc0000,0x20000eff,0x3fffffeb,0x64400e88,0x4005ffff,
    0x320efffc,0xefffffff,0x3fff2001,0xffffb80e,0x80000eff,0x05ffffc8,
    0x077ffe40,0x05ffffff,0xfffffd80,0x3fffff62,0x06ffffff,0xfffff880,
    0x7ffffd44,0x3ffffec3,0xfa800000,0x00efffff,0xfffffa80,0xe98aefff,
    0xffc880ff,0x2005ffff,0x642ffff9,0xffffffff,0xfff9800f,0x3ffe602f,
    0x0000efff,0xffffff91,0x7ffcc00b,0x7fffdc2f,0x3fe2005f,0x7fec7fff,
    0xffffffff,0xffa8006f,0x7fe46fff,0x7fec5fff,0x000007ff,0xffffffa8,
    0x7c4006ff,0xffffffff,0x6fffffff,0xffffffe8,0x3ffa005f,0xccefc84f,
    0x802ffffe,0x8804fffe,0x0efffffd,0xffffe800,0x3a005fff,0xff884fff,
    0x5000ffff,0xd89fffff,0xffffffff,0x98006fff,0x5c6fffff,0x6c4fffff,
    0x0007ffff,0x7fffd400,0x05ffffbd,0x33fffe60,0xfffffffd,0xffb80fff,
    0x005fffff,0x101ffff9,0x05ffff10,0x00ffffc8,0x3ffffee0,0x7fdc000e,
    0x005fffff,0x201ffff9,0x03fffffd,0x3fffffb0,0xffffffd8,0x006fffff,
    0x85ffffd0,0x40fffff8,0x007ffffd,0x3ffe6000,0x3fffee5f,0x31be6005,
    0xfffffffd,0x3633e205,0xf9805fff,0x98802fff,0x200ffffc,0x002ffff9,
    0xefffff98,0x233e2000,0x9805fffd,0x2a02ffff,0x806fffff,0x86fffff8,
    0xfaaaaaaa,0x0006ffff,0x2205bd91,0xffd81ded,0x000007ff,0x70bffff3,
    0x4009ffff,0xdffb5009,0x3f608039,0xffe805ff,0x7ffc405f,0x7401efff,
    0x20005fff,0x0effffd8,0xfffd8200,0x5fffe805,0xffffff80,0x7fffdc01,
    0x7ffc003f,0x000006ff,0xffffd800,0x00000007,0x00000000,0x2fffec00,
    0x03ffff20,0xffffff10,0x7ffe405b,0x0000000f,0x2fffec00,0x03ffff20,
    0x3fffff20,0x7ffff404,0x7ffc000f,0x000006ff,0xffffd800,0x00000007,
    0x00000000,0x2fffec00,0x05ffff30,0xffffff10,0xfff30bff,0x0000005f,
    0xbfffb000,0x17fffcc0,0xfffff880,0x3fffe607,0xfff8004f,0x000006ff,
    0xffffd800,0x00033307,0x00000000,0xb0001998,0x7f40bfff,0x998005ff,
    0x740ffffd,0x00005fff,0xffb00000,0x7fff40bf,0x7ffec005,0xfff902ff,
    0xff0003ff,0xc800dfff,0xeeeeeeee,0xfd804eee,0x3f226fff,0x002effff,
    0xddddddd9,0x8009dddd,0x220eeeec,0x2efffffc,0x17fff600,0x007fffdc,
    0x3ffff500,0x007fffdc,0x3bbbbb20,0x04eeeeee,0x0bfffb00,0x003fffee,
    0xbfffff50,0x1bffffe0,0x7ffffc00,0x7ffec006,0xffffffff,0xffffd806,
    0xffffff56,0xfb009fff,0xffffffff,0xfd800dff,0xfff71fff,0x09ffffff,
    0x217fff60,0x003ffff9,0xff955599,0x3fe61fff,0xfd8003ff,0xffffffff,
    0xfb0006ff,0xfff30bff,0x3fe0007f,0x7cc0ffff,0x0003ffff,0x00dfffff,
    0xffffffd8,0x806fffff,0xfbdffffd,0xffffffff,0x7fec04ff,0xffffffff,
    0x7fec006f,0xffffc9ff,0x4fffffff,0x85fffd80,0x2005fffe,0xffffffff,
    0x3fffa3ff,0xfffb0005,0xffffffff,0x3ff6000d,0x5fffe85f,0x3fff2000,
    0x7ffe42ff,0xff0000ff,0xd800dfff,0xffffffff,0xfd806fff,0xffffffff,
    0xffffffff,0x3fff600f,0xffffffff,0x7ffec006,0xffffffdf,0x0fffffff,
    0x22fffec0,0x000ffffb,0x3ffffffe,0x3ffee3ff,0xffb0000f,0xffffffff,
    0x3f6000df,0x7ffdc5ff,0x3e60000f,0x3e25ffff,0x0005ffff,0x01bffffe,
    0x99999970,0x00dfffff,0xfffffffb,0xffffbfff,0x65c09fff,0xfffccccc,
    0x7ec006ff,0xffffffff,0xffffffdf,0x5555404f,0x0ffffe21,0x9bdd9900,
    0xffff8857,0x332e0003,0xffffcccc,0x5550006f,0x7fffc435,0xffd80003,
    0xfff50fff,0x7c0005ff,0x0006ffff,0x1bffffe0,0x3fffff60,0x7fdc3eff,
    0xf0006fff,0x800dffff,0xfffffffd,0x7fffdc3e,0x3fa0006f,0x000006ff,
    0x0037fff4,0xfffff000,0xfd00000d,0x20000dff,0xb3fffffa,0x000dffff,
    0x06fffff8,0x3fffe000,0xfffd806f,0xff00ffff,0x2000ffff,0x006fffff,
    0x7fffffec,0xfffff00f,0x3fee000f,0x000001ff,0x007fffee,0xffff8000,
    0x5c00006f,0x0001ffff,0x3bffffe0,0x03fffff8,0x7ffffc00,0x3fe00006,
    0xfd806fff,0x201fffff,0x00fffffd,0x6fffff80,0x7fffec00,0x3ff601ff,
    0x44000fff,0x0003ffff,0x3fffe200,0x7c000003,0x0006ffff,0x0ffffe20,
    0xfff90000,0xfffff9ff,0xfff80001,0x200006ff,0x806fffff,0x02fffffd,
    0x07ffffe4,0x7ffffc00,0x7ffec006,0x7fe402ff,0x6c000fff,0x00006fff,
    0x037ffec0,0x7ffc0000,0x200006ff,0x0006fffd,0xfffff980,0x005fffff,
    0x6fffff80,0x3ffe0000,0xffd806ff,0xffb807ff,0xf8000fff,0x4006ffff,
    0x807ffffd,0x00fffffb,0x07fffea0,0xffa80000,0x000001ff,0x06fffff8,
    0xffff5000,0x3a000003,0xffffffff,0xff80002f,0x00006fff,0x01bffffe,
    0x01fffff6,0x03ffffee,0x3ffffe00,0x7ffec006,0xfffb807f,0xff1000ff,
    0x765cc7ff,0xf10002ce,0xaa987fff,0x40000aaa,0x006fffff,0x3ffff880,
    0x0555554c,0x7fffd400,0x0007ffff,0x0dfffff0,0x7fffc000,0xfffd806f,
    0xfffb807f,0xff8000ff,0x6c006fff,0xb807ffff,0x000fffff,0x362dfffb,
    0xefffffff,0x7ffec000,0x7ffffc46,0x7fc0002f,0x80006fff,0x7c46fffd,
    0x002fffff,0xfffffff0,0x3e00007f,0x0006ffff,0x1bffffe0,0x1fffff60,
    0x3ffffee0,0xffff8000,0x7fec006f,0xffb807ff,0xfa800fff,0xfff51fff,
    0x09ffffff,0x0ffffd40,0x3ffffff6,0x7ffc0002,0x540006ff,0x7ec1ffff,
    0x002fffff,0xffffff90,0x3e00001f,0x0006ffff,0x1bffffe0,0x1fffff60,
    0x3ffffee0,0xffff8000,0x7fec006f,0xffb807ff,0x7c400fff,0x77ec4fff,
    0x07ffffbc,0x89ffff10,0xfffffffa,0x7ffc0002,0x220006ff,0x7d44ffff,
    0x02ffffff,0xfffff300,0x7c00009f,0x0006ffff,0x1bffffe0,0x1fffff60,
    0x3ffffee0,0xffff8000,0x7fec006f,0xffb807ff,0x7ec00fff,0x5c2886ff,
    0xfb007fff,0xfff88dff,0x002fffce,0x37ffffc0,0xdfffb000,0xfcefff88,
    0xf30002ff,0x001fffff,0x7ffffc00,0x3fe00006,0xfd806fff,0xfb807fff,
    0x8000ffff,0x006fffff,0x03ffffec,0x07ffffdc,0x03ffff50,0x017fff20,
    0x907fffea,0xfff93fff,0xfff80005,0xf50006ff,0xffc83fff,0x02fffc9f,
    0xfffffb00,0xff800009,0x00006fff,0x01bffffe,0x01fffff6,0x03ffffee,
    0x3ffffe00,0x7ffec006,0xfffb807f,0xfff100ff,0x3fe6009f,0x7fc403ff,
    0x7ffcc4ff,0x005fff94,0x6fffff80,0xffff8800,0xca7ffcc4,0xa8002fff,
    0x00ffffff,0x7fffc000,0x3e00006f,0xd806ffff,0xb807ffff,0x000fffff,
    0x06fffff8,0x3ffffec0,0x7ffffdc0,0x1dfff900,0xdffff500,0xefffc801,
    0xf937ff40,0xf80005ff,0x8006ffff,0x740efffc,0x3fff26ff,0x7ffcc002,
    0x00003fff,0x06fffff8,0x3fffe000,0xfffd806f,0xfffb807f,0xff8000ff,
    0x6c006fff,0xb807ffff,0xa80fffff,0xc802ffff,0x400effff,0x5c2ffffa,
    0xfeccefff,0x0001cdff,0x00dfffff,0x42ffffa8,0xeccefffb,0x041cdfff,
    0x3fffff26,0xf000005f,0x400dffff,0xaaaaaaa9,0xaaefffff,0xffb1aaaa,
    0xff700fff,0x55301fff,0xfff55555,0x55555dff,0xffffb035,0xffff700f,
    0xfffe881f,0x7ffec404,0xffe8805f,0xffffc84f,0xffffffff,0x55555302,
    0xdfffff55,0x83555555,0xc84fffe8,0xffffffff,0x7ec2ffff,0xffffffff,
    0x530000ef,0xff555555,0x5555dfff,0xfffc8355,0xffffffff,0xffffffff,
    0x0fffffb4,0x1fffff70,0xffffff90,0xffffffff,0xb09fffff,0x700fffff,
    0xc81fffff,0x2600ffff,0xaadffffe,0xfffc81aa,0xffffc80f,0xffffffff,
    0xfffff902,0xffffffff,0x89ffffff,0xc80ffffc,0xffffffff,0x7ec2ffff,
    0xffffffff,0x3f20001f,0xffffffff,0xffffffff,0x7ffe44ff,0xffffffff,
    0xffffffff,0x0fffffb4,0x1fffff70,0xffffff90,0xffffffff,0xb09fffff,
    0x700fffff,0x4c1fffff,0x6402ffff,0xffffffff,0x7ffcc3ff,0x9999502f,
    0x9bfffd99,0x3ffff203,0xffffffff,0x4fffffff,0x40bfffe6,0xecccccca,
    0x6c1cdfff,0xffffffff,0x7e40000d,0xffffffff,0xffffffff,0x7ffe44ff,
    0xffffffff,0xffffffff,0x0fffffb4,0x1fffff70,0xffffff90,0xffffffff,
    0xb09fffff,0x700fffff,0x741fffff,0xfc805fff,0xffffffff,0x2ffff43f,
    0x2fffc800,0x7ffffe40,0xffffffff,0x24ffffff,0x0005fffe,0x3605fff9,
    0x2fffffff,0xfff90000,0xffffffff,0xffffffff,0xfffffc89,0xffffffff,
    0xb4ffffff,0x700fffff,0x901fffff,0xffffffff,0xffffffff,0xffb09fff,
    0xff700fff,0x3ff21fff,0xffc800ff,0xffffffff,0x03ffff23,0x17ffe400,
    0x3fffff20,0xffffffff,0x94ffffff,0x0001ffff,0x5c0bfff2,0x001acdee,
    0x7fffe400,0xffffffff,0x4fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x00199998,
    0x31000000,0x01355975,0x00000800,0x00000800,0x00000020,0x18000000,
    0x03100000,0x00040000,0x0004c400,0xfffff700,0x00000003,0x7fffff4c,
    0x1004ffff,0x9bfffd95,0x26000015,0xffffedba,0x98001bde,0x0aceffdb,
    0xca980000,0xbdeffffd,0xfecb9801,0xbcefffff,0x3b2a2000,0x5100004f,
    0x59bfffb7,0x76dcc001,0xbdefffff,0xfff70000,0x000003ff,0xffffb300,
    0x9fffffff,0xfffff700,0x07ffffff,0x7fff4c00,0xffffffff,0xfc800fff,
    0xffffffff,0xb80000ef,0xffffffff,0x103fffff,0xfffffff9,0x09ffffff,
    0x3ffffe60,0xffa80004,0xffffffff,0xfffe801f,0xffffffff,0x5c000cff,
    0x001fffff,0x7f440000,0xffffffff,0x36204fff,0xffffffff,0x005fffff,
    0xffffffb8,0xffffffff,0x7fec00ff,0xffffffff,0x10001fff,0xfffffffb,
    0x7fffffff,0xffffff90,0xffffffff,0x3fe6009f,0x40004fff,0xfffffffc,
    0x03ffffff,0x7ffffffc,0xffffffff,0x3fee000f,0x00001fff,0x7fffe400,
    0xffffffff,0xffff304f,0xffffffff,0x001dffff,0xffffffd3,0xffffffff,
    0x3a201fff,0xcdffffff,0x2ffffffe,0x7fffd400,0xffffffff,0x7d43ffff,
    0xffffffff,0x4fffffff,0xfffff300,0x3f620009,0xffffffff,0x05ffffff,
    0x3ffffffe,0xffffffff,0x3fee006f,0x00001fff,0x3fffea00,0x26609dff,
    0xffffd02b,0xffffffff,0x80bfffff,0xfffffff9,0xffffffff,0xf880ffff,
    0x881bffff,0x03ffffea,0xffffff50,0xffffffff,0x7fc47fff,0xefffffff,
    0x4fffffee,0xfffff300,0x3ff60009,0xfcdfffff,0x2fffffff,0xbdfffff0,
    0xfffffdd9,0x3ee009ff,0x0001ffff,0x3fff2000,0xf70004ff,0x37bfffff,
    0xfffff951,0x7fec03ff,0xabdfffff,0xfff95530,0x5ffff901,0xffffd100,
    0xfffff001,0x26379fff,0x363ffda9,0x1cffffff,0x009b7310,0x13ffffe6,
    0x3fffe600,0xffea83ff,0x59b06fff,0x7fff5401,0xff7006ff,0x00003fff,
    0x7fffec00,0xff88000f,0x2604ffff,0x05ffffff,0xfffffff5,0x20654005,
    0x001ffff8,0x013fffa2,0xdffffff7,0x7c551001,0x002fffff,0xffff3000,
    0xffb0009f,0x7c407fff,0x002fffff,0x7ffffcc0,0xffff7007,0x0000003f,
    0x02fffffc,0xfffffb80,0xffff9805,0xfffe80ff,0x00000eff,0x4405fffb,
    0xfff10aaa,0x3ffe201f,0x20005fff,0x07fffff8,0xeeeeb800,0xffffffee,
    0xeeeeeeee,0x3ffffe25,0xffffb805,0xfe80006f,0xb801ffff,0x001fffff,
    0xfff10000,0xf10009ff,0x001fffff,0x13fffff6,0x1ffffff7,0x3fe20000,
    0xffff907f,0x27ffe4bf,0x7fffffc8,0x7ffd4000,0xc80007ff,0xffffffff,
    0xffffffff,0x3f26ffff,0xd001ffff,0x003fffff,0xfffffd80,0xffffb800,
    0x7776401f,0x26001eee,0x004fffff,0x6fffffa8,0x3fffee00,0x7ffffc6f,
    0x3200005f,0x7f444fff,0x265fffff,0x7c40ffff,0x003fffff,0x7ffffcc0,
    0x7e40002f,0xffffffff,0xffffffff,0x3ffe6fff,0xfd3006ff,0x0007ffff,
    0x07ffffe8,0x3fffff70,0x7ffffdc0,0x7fcc003f,0xc8004fff,0x003fffff,
    0x9fffffe2,0x1ffffff8,0x3ffa0000,0x7ffffc0f,0x7fec5fff,0x7fffcc1f,
    0x440000ff,0x2fffffff,0x3fff2000,0xffffffff,0xffffffff,0xfffff16f,
    0xffff7009,0x4000bfff,0x05fffff8,0x3fffff70,0x3ffffea0,0xff98004f,
    0xd8004fff,0x001fffff,0x33fffff4,0x00bfffff,0x46fff800,0xbcfffffb,
    0x17ffdc4c,0x17ffffea,0x7fff4000,0x002dffff,0xdccccca8,0xccefffff,
    0x33cccccc,0x405fffff,0xffffffd8,0xd10006ff,0x003fffff,0x07ffffee,
    0x3fffffe6,0x55555405,0xdfffffba,0xaaaaaaaa,0x7fffffc2,0x7fff4001,
    0xffff50ff,0x4400009f,0x7ffc5fff,0x7fd401ff,0x7fffdc3f,0xf700004f,
    0xffffffff,0x9800017d,0x004fffff,0x07ffffea,0x7fffffcc,0x2007ffff,
    0xfffffc99,0x3fee002f,0x7f441fff,0x4406ffff,0xffffffff,0xffffffff,
    0x7c6fffff,0x000fffff,0x8fffffec,0x03fffffb,0xddddddd7,0x3fe61ddd,
    0x3fffe64f,0x5fff9804,0x1fffffec,0xfffb0000,0xffffffff,0x3e60005b,
    0x2004ffff,0x81fffffb,0xfffffffc,0x3e07ffff,0xffffffff,0x5c000eff,
    0x741fffff,0x00efffff,0x7fffffc4,0xffffffff,0x6fffffff,0x03fffffc,
    0x7ffffec0,0x5fffff92,0x3fffff20,0xf51fffff,0x7ffd47ff,0xfff8802f,
    0x7fffff46,0x3a200002,0xffffffff,0x002effff,0x27ffffcc,0xfffff900,
    0x7ffff441,0xffffddff,0xfffff00f,0x01dfffff,0xfffff700,0x7ffffec3,
    0xfff8800f,0xffffffff,0xffffffff,0x3ffe26ff,0xfc8007ff,0xffb3ffff,
    0x3f203fff,0xffffffff,0x45fff91f,0x001ffffb,0xfff8ffff,0x00001fff,
    0xffffffc8,0x4fffffff,0x3fffe600,0x3ff6004f,0x3ffea7ff,0xff93ffff,
    0x3fe01fff,0xffffffff,0x2e001dff,0xf71fffff,0x003fffff,0x3fffffe2,
    0xffffffff,0x6fffffff,0x03fffffc,0x7ffffe40,0x3fffffd3,0x3fffff20,
    0xf71fffff,0x7ffdc7ff,0xdfff003f,0x2ffffff8,0xfb300000,0xffffffff,
    0x2600bfff,0x004fffff,0x6dfffff6,0x1effffff,0x81fffff6,0xffffffff,
    0x03ffffff,0x3fffff70,0x3ffffff5,0x3fe60000,0xf8004fff,0x000fffff,
    0x97ffffec,0x02fffffd,0xfffffff9,0x3fea3fff,0x3fffea4f,0x5fff8804,
    0x1ffffff4,0x32200000,0xffffffff,0xf9803fff,0x2004ffff,0xfefffffc,
    0xd84fffff,0x2a06ffff,0xffccbaaa,0x03ffffff,0xafffffb8,0x02ffffff,
    0x3ffe6000,0xfe8004ff,0x4000ffff,0x92fffffd,0x007fffff,0x8fffffdc,
    0x3e65fff9,0xf9806fff,0x7ffec4ff,0x000003ff,0x3ffff660,0x400fffff,
    0x04fffff9,0x3fffff20,0x02ffffff,0x00dffffd,0x7ffff540,0x7fdc00ff,
    0xffffffff,0x4c00003f,0x004fffff,0x1fffffd8,0x7ffff400,0xfffff71f,
    0x7ffdc009,0xdfff11ff,0xbfffffe8,0x7ffd4399,0x7ffffe43,0x80000004,
    0xffffffd8,0x7ffcc03f,0x3ee004ff,0xffffffff,0x3fffe00d,0x7440005f,
    0x403fffff,0xfffffffb,0x0002ffff,0x7ffffcc0,0xfffc8004,0x7fc002ff,
    0x3fe67fff,0x2e006fff,0x3e1fffff,0x7ffd47ff,0x645fffff,0x7fdc2fff,
    0x00006fff,0x3ffee000,0x7cc04fff,0x2004ffff,0xfffffffa,0x7ffc403f,
    0xb80004ff,0x405fffff,0xfdfffffb,0x001fffff,0x3fffe600,0xffb8004f,
    0x26005fff,0x226fffff,0x01ffffff,0x3fffff70,0x3a17fff4,0x5fffffff,
    0x2a07fffc,0x02ffffff,0x3a000000,0x406fffff,0x04fffff9,0x3ffffe20,
    0xffa801ef,0x80003fff,0x06fffff9,0x4fffffdc,0x0efffffd,0xfff30000,
    0xf50009ff,0x400fffff,0x44fffffc,0x04ffffff,0x3fffff70,0x6437ffe4,
    0x25ffffff,0xf986fffa,0x005fffff,0x3ee00000,0x4c05ffff,0x004fffff,
    0x07fffffc,0xfffffd80,0xff980001,0x7dc05fff,0xff89ffff,0x0005ffff,
    0x9fffff30,0x3fffa000,0xff8802ff,0x7e40ffff,0x800fffff,0x21fffffb,
    0x981ffff8,0x3a2deecb,0xffb01fff,0x0005ffff,0x3ff20000,0x7c403fff,
    0x4006ffff,0x04fffffc,0x5fffff88,0xfff70000,0xffb807ff,0xfff31fff,
    0x00009fff,0x09fffff3,0x3fffee00,0x7ff401ff,0xff884fff,0x401fffff,
    0x41fffffb,0x8005fffc,0x2605fffb,0x3fffffff,0x000c6200,0xfffffe88,
    0xfffff801,0x3fe2000f,0x6c01ffff,0x001fffff,0xfffff980,0x7ffdc02f,
    0x3ffee1ff,0x40002fff,0x04fffff9,0xfffff100,0xfd9815ff,0x500fffff,
    0x7fffffff,0x3fffee03,0x7fffc41f,0xfff7000d,0xfffd803f,0x80adffff,
    0xbfb3fdb8,0xffd50017,0xd001ffff,0x007fffff,0xefffffc8,0xfffffb00,
    0xfd50000b,0x801fffff,0x41fffffb,0x1ffffffd,0x3ffe6000,0x320004ff,
    0xffffffff,0xffffffde,0x7ff403ff,0xefffffff,0xfffffecc,0xffffc81f,
    0x7ffdc00e,0xfff8805f,0xffffffff,0x3fffffee,0xbdfffffb,0xfffdd999,
    0x2009ffff,0xbffffffd,0x88973311,0xdfffffff,0xffffeb9a,0xbced82ff,
    0xfccaaaaa,0x2fffffff,0xfffffb80,0x7ffffc41,0xf30000ff,0x0009ffff,
    0x7fffff44,0xffffffff,0xf9806fff,0xffffffff,0xffffffff,0xffd881ff,
    0xb99bdfff,0x0dfffffd,0xfffff700,0xffffffff,0x3f67ffff,0xffffffff,
    0xffffffff,0x3fea005f,0xffffffff,0xffc86fff,0xffffffff,0x04ffffff,
    0xfffffffb,0xffffffff,0x3ee009ff,0xfa81ffff,0x006fffff,0x9fffff30,
    0xffd88000,0xffffffff,0x000dffff,0xffffffb1,0xffffffff,0x7e403fff,
    0xffffffff,0x004fffff,0xfffffe98,0xffffffff,0xffffb3ff,0xffffffff,
    0x01dfffff,0xfffffd80,0x6fffffff,0xffffff90,0xffffffff,0x7fffec07,
    0xffffffff,0x2005ffff,0x01fffffb,0x9ffffff9,0xffff3000,0x3200009f,
    0xffffffff,0x0002ffff,0xfffffff7,0xffffffff,0xfffa801d,0xffffffff,
    0x7e40003f,0xffffffff,0xfb3fffff,0xffffffff,0x9fffffff,0xffd10001,
    0xffffffff,0x7ffd40df,0xffffffff,0x7ffec01f,0xffffffff,0x4001dfff,
    0x01fffffb,0x3ffffffa,0x7ffcc003,0x200004ff,0xfffffeda,0x40000def,
    0xfffffec8,0x01beffff,0x3fff6e60,0x001bdfff,0xfffb9300,0x17bfffff,
    0x7fffee4c,0xefffffff,0xea80000b,0xffffffff,0x7f6c405f,0x0cdfffff,
    0xfffffd80,0xceffffff,0xfff70000,0x7fc403ff,0x001fffff,0x13ffffe6,
    0x5cc40000,0x4000001b,0x099abba8,0x37510000,0x22000000,0x20009aa9,
    0x9acbaaa9,0x22000001,0x01aabba9,0x01ab9880,0x55553300,0x40000335,
    0x01fffffb,0x7fffffd4,0xfff3000f,0x000009ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8001000,0x2003cccc,0x01ccccc9,0xcb800080,0xcccccccc,0x0ccccccc,
    0x00004000,0xcb800040,0xcccccccc,0x3ccccccc,0x2aa62000,0x0004cccb,
    0x20000188,0xccccccc9,0x0ccccccc,0x99999995,0x99999999,0xb9500799,
    0x39ddfffd,0x37ffffc0,0xfffff500,0xffb95005,0xd8039bdf,0xffffffff,
    0xffffffff,0x7f65c001,0x001bceff,0x77ff6dcc,0xffd801cd,0xffffffff,
    0x06ffffff,0x7fff5c40,0x007fffff,0x7fff65cc,0x000bdfff,0xffffffc8,
    0xffffffff,0xffffffb0,0xffffffff,0x74c0bfff,0xffffffff,0xff81dfff,
    0x2a006fff,0x202fffff,0xffffffe9,0xb00cffff,0xffffffff,0xffffffff,
    0x3ffaa003,0xffffffff,0xffffb804,0xcfffffff,0x3ffff600,0xffffffff,
    0x3006ffff,0xfffffffb,0x200fffff,0xffffffc8,0x02ffffff,0x7ffffc40,
    0xffffffff,0xffffb0ff,0xffffffff,0x20bfffff,0xfffffffc,0xffffffff,
    0x37ffffc2,0xfffff500,0xffffb105,0xffffffff,0xfffb05ff,0xffffffff,
    0x003fffff,0xfffffffb,0x3dffffff,0xfffffb10,0xffffffff,0x3fff603f,
    0xffffffff,0x806fffff,0xfffffffa,0x07ffffff,0xffffffa8,0xffffffff,
    0x7ffdc002,0xffffffff,0xffb0ffff,0xffffffff,0xbfffffff,0xffffff50,
    0xffffffff,0x7ffc3fff,0x3ea006ff,0xfd82ffff,0xffffffff,0x0fffffff,
    0x7fffffec,0xffffffff,0x7fdc01ff,0xffffffff,0x5c6fffff,0xffffffff,
    0xffffffff,0xfffffb06,0xffffffff,0xfb80dfff,0xffffffff,0x407fffff,
    0xfffffffc,0xffffffff,0x7fff4002,0xffffffff,0xffb0ffff,0xffffffff,
    0xbfffffff,0xffffff88,0xffdcabde,0x3fe5ffff,0x2a006fff,0x5c2fffff,
    0xefffffff,0xffffffed,0x4cccc44f,0xfd999999,0x2201ffff,0xdfffffff,
    0xfffffdbb,0x7ffffe40,0xffffffff,0xfd84ffff,0xeeeeefff,0x5eeeeeee,
    0x3ffffee0,0x99abceff,0x3fe60199,0xefffffff,0x02ffffee,0x3bfffe60,
    0xd806ffff,0x99afffff,0x99999999,0x7fffdc09,0x3ffe202f,0x3fffe7ff,
    0x3fea006f,0x3fe62fff,0x440dffff,0x1ffffffc,0xffff9000,0x7ffec03f,
    0xfc880dff,0xffffd01f,0x3ff26159,0x6c0fffff,0x0004ffff,0xffffff10,
    0xfe80005d,0x01dfffff,0x64005d73,0xfffbffff,0xfffd806f,0x6c0000ff,
    0xc806ffff,0xff1fffff,0x5400dfff,0x322fffff,0x405fffff,0x05fffffc,
    0xfffff900,0x7ffffc03,0x22029806,0x3ea00dff,0x6c1fffff,0x0004ffff,
    0xbfffff90,0xfff70000,0x04005fff,0x3dffff00,0xb00dffff,0x001fffff,
    0x4ffffe80,0xfffff980,0x0dfffff1,0x7ffffd40,0x3fffffa2,0x7fffc400,
    0xfc8000ff,0xf101ffff,0x0007ffff,0x7f400aa0,0x7ec3ffff,0x80004fff,
    0x0ffffff9,0xffff8000,0x000004ff,0xf37ffff5,0xfb00dfff,0x0001ffff,
    0x06ffffe8,0x0fffffa8,0x00dfffff,0x17ffffd4,0x00dfffff,0x0bfffff6,
    0x3ffff200,0xffff301f,0x0000003f,0x9fffff90,0x04ffffd8,0xffffb800,
    0xf980002f,0x000fffff,0xffffb000,0x0dffff31,0x1fffffb0,0xfffd8000,
    0x7fec02ff,0x3fffe7ff,0x3fea006f,0xfff32fff,0x3ee00bff,0x8004ffff,
    0x01fffffc,0x01fffff7,0xf7000000,0xfd89ffff,0x80004fff,0x00fffffd,
    0xffffa800,0x1000004f,0x3e6dffff,0xfd806fff,0x0000ffff,0x7fffffdc,
    0xfffff701,0x37ffffc7,0xfffff500,0x3ffffe65,0xffff5005,0xff9000bf,
    0x3ee03fff,0x0000ffff,0xfffc8000,0x7ffec3ff,0xff80004f,0x00006fff,
    0x07fffff7,0x3fee0000,0xffff33ff,0xffffb00d,0xf880001f,0x0cffffff,
    0x1bfffff2,0x00dfffff,0x97ffffd4,0x06fffff8,0xdfffff30,0xffff9000,
    0x3ffee03f,0x000000ff,0xfffffe80,0x7ffffec2,0x0bceefff,0x7ffffcc0,
    0xfffedb8c,0x3f600bce,0x0002ffff,0x1ffffd00,0x01bfffe6,0x2bfffff6,
    0x99999999,0xfff50199,0xfd9fffff,0xf81fffff,0x2006ffff,0x22fffffa,
    0x01fffffe,0x6fffff98,0xffffc800,0xffff701f,0x0000001f,0xffffff98,
    0x7ffffec0,0xffffffff,0xffff501d,0xffffffff,0x207fffff,0x02fffffe,
    0xfff98000,0x3fffe65f,0x26ffffff,0xfffffffd,0xffffffff,0xfff700ff,
    0xffffffff,0xfff03dff,0x7d400dff,0x3f62ffff,0x200effff,0x6fffffc8,
    0xffffc800,0x3f26661f,0x9999ffff,0x00099999,0x3ffff200,0xffffd84f,
    0xffffffff,0xffb83fff,0xffffffff,0xffffffff,0x7fffec0e,0xc800003f,
    0x3e62ffff,0xffffffff,0x3ffff66f,0xffffffff,0x200fffff,0xfffffffa,
    0x3e05ffff,0x2006ffff,0x22fffffa,0xfffffffb,0xffdba9ac,0x006fffff,
    0x1fffffc8,0xfffffff3,0xffffffff,0x00009fff,0x3fffffea,0xfffffd80,
    0xffffffff,0x7fdc3fff,0xffffffff,0xffffffff,0x7fffe45f,0xf800004f,
    0x7fcc7fff,0xffffffff,0x3fffff66,0xffffffff,0x4c00ffff,0xffffffff,
    0xfff03fff,0x7d400dff,0x7f42ffff,0xffffffff,0xffffffff,0xfc8005ff,
    0xff31ffff,0xffffffff,0xffffffff,0xff100009,0x2e09ffff,0xeecccccc,
    0xffffffff,0x3ffff22f,0xecefffff,0xffffffff,0x3ffffee2,0x7d400006,
    0x7fcc4fff,0xffffffff,0x3fffff66,0xffffffff,0x2a00ffff,0xffffffff,
    0xf85fffff,0x2006ffff,0x42fffffa,0xfffffff8,0xffffffff,0x8005ffff,
    0x31fffffc,0xffffffff,0xffffffff,0x880009ff,0x06fffffe,0xfffda800,
    0x3ff25fff,0x501cffff,0x4fffffff,0x3ffffffa,0x3ff60000,0x7ffcc1ff,
    0x3cccccff,0x33fffff6,0xcccccccc,0xff900ccc,0xfffdffff,0xf8bfffff,
    0x2006ffff,0x82fffffa,0xffffffe9,0xffffffff,0xc8004fff,0xf31fffff,
    0xffffffff,0xffffffff,0xfd80009f,0x000fffff,0x3ffff600,0x3ffff27f,
    0xfff9803f,0x3ffe0fff,0x0001ffff,0x86ffff88,0x806ffff9,0x00fffffd,
    0xffffc800,0xfffb32ff,0x7fc9ffff,0x2a006fff,0x202fffff,0xffffffea,
    0xffffbbef,0xffc8003f,0xff701fff,0x00001fff,0xfffffd80,0xf800001f,
    0xf71fffff,0x2007ffff,0x21fffffd,0xfffffffb,0xb81e4c04,0xf983ffff,
    0xfd806fff,0x0000ffff,0x77ffffcc,0xfffffa80,0xfffff0ff,0x7ffdc00d,
    0x553001ff,0x7ffdc135,0xfc8002ff,0xf701ffff,0x0001ffff,0x7fffec00,
    0x000002ff,0x25fffffb,0x04fffffa,0x7fffff70,0x7fffffc4,0xeccdefff,
    0xffd03fff,0xb9999bff,0xb00dffff,0x001fffff,0xfffffe80,0x3fffe200,
    0xffffd4ff,0x7ffe400d,0xb00000ff,0x003fffff,0x3fffffb0,0x3ffffee0,
    0xf9000000,0x005fffff,0x7ffe4000,0xffff33ff,0x3fea009f,0x7fd43fff,
    0xffffffff,0x83ffffff,0xfffffff9,0xffffffff,0xffffd806,0x3e60000f,
    0xa804ffff,0xfb5fffff,0x6400ffff,0x0007ffff,0x1bffffe0,0x7ffff400,
    0xffff700f,0x9000001f,0x05ffffff,0xffd80000,0xfff11fff,0x3ee00dff,
    0xf982ffff,0xffffffff,0x83ffffff,0xfffffffc,0xffffffff,0xffffd806,
    0x3ea0000f,0xf002ffff,0x3f2dffff,0xd001ffff,0x000bffff,0x3ffffee0,
    0xffff0003,0x7ffdc0ff,0x400000ff,0x2ffffffc,0xff800000,0x7ffc7fff,
    0xfd801fff,0xd300ffff,0xffffffff,0x887fffff,0xffffffff,0xffffffff,
    0xffffd806,0x3ee0000f,0xd001ffff,0x3eedffff,0xa805ffff,0x004fffff,
    0xfffff980,0x7e400a0f,0x2e05ffff,0x000fffff,0x3ffff200,0x000001ff,
    0x6fffffd8,0x27ffffec,0x3ffffe60,0xfffc9807,0xadffffff,0x7ffffdc0,
    0xfeeeeeee,0xfd806fff,0x0000ffff,0x0bffffee,0xa7ffffc0,0x3ffffff9,
    0x3ffffa60,0x7d40001f,0x7c5fffff,0x3ffea01d,0x3ee04fff,0x0000ffff,
    0xffffff90,0x98000003,0x3ffffffd,0x7fffffcc,0xffffd103,0x7fec00bf,
    0x74009dff,0x2602ffff,0xd806ffff,0x000fffff,0x3ffffe60,0x7ffe400e,
    0x3fff23ff,0xa9abdfff,0x4ffffffc,0x7dccc400,0x0effffff,0x55e77ffc,
    0xffffffdb,0x3ffee00f,0xc80000ff,0x9affffff,0x99999999,0x79bf5099,
    0xffb97555,0x20bfffff,0xdffffffd,0xffffcaab,0x3a000fff,0x9801ffff,
    0x4c07ffff,0xcccfffff,0xfffb1ccc,0xddddddff,0x89dddddd,0xdfffffff,
    0xfffb510b,0x7fc43fff,0xffffffff,0x6fffffff,0x3fbbbaa0,0xffffffff,
    0xfff80fff,0xffffffff,0x7442ffff,0xfffffeee,0xeeeeeeee,0x7e44eeee,
    0xffffffff,0xffffffff,0xffff56ff,0xffffffff,0x4c0dffff,0xffffffff,
    0xffffffff,0x3fe2001f,0xff9006ff,0xff9809ff,0xffffffff,0xfffffb2f,
    0xffffffff,0xfb8bffff,0xffffffff,0xffffffff,0xffffb83f,0xffffffff,
    0x2e01ffff,0xffffffff,0x1fffffff,0xfffffff0,0xbfffffff,0xffffff30,
    0xffffffff,0xbfffffff,0xfffffff8,0xffffffff,0xf56fffff,0xffffffff,
    0x1dffffff,0xfffffa80,0xffffffff,0x7cc003ff,0xff003fff,0xf9803fff,
    0xffffffff,0xffffb2ff,0xffffffff,0x90bfffff,0xffffffff,0xffffffff,
    0x7fff4c09,0xffffffff,0x7fdc00df,0xffffffff,0x3e00cfff,0xffffffff,
    0xf303ffff,0xffffffff,0xffffffff,0xff8bffff,0xffffffff,0xffffffff,
    0xffff56ff,0xffffffff,0x74c005df,0xffffffff,0x8001efff,0x800ffffb,
    0x806ffffa,0xfffffff9,0xffb2ffff,0xffffffff,0xbfffffff,0x3fffff20,
    0xffffffff,0xffd7003f,0x5bffffff,0x3fffee00,0xdfffffff,0xffeb8801,
    0x0cefffff,0x3ffffe60,0xffffffff,0xffffffff,0x7fffffc5,0xffffffff,
    0x56ffffff,0xffffffff,0x0003bdff,0x7fffff64,0x20003eff,0xb005fffd,
    0x3007ffff,0xffffffff,0x3ff65fff,0xffffffff,0x5fffffff,0x3ffff220,
    0x03efffff,0x26eea600,0xfffb8000,0x01bdeeff,0x0d554c00,0xfffff300,
    0xffffffff,0xffffffff,0xffffff8b,0xffffffff,0x46ffffff,0x09aaaa99,
    0x75300000,0x3a000035,0x00001fff,0x00000000,0x75310000,0x00001357,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x01cccccb,0x666665c0,0x08000201,
    0x133332e0,0x99950000,0x35999999,0x99910001,0x99999999,0x99999999,
    0x33225999,0xcccccccc,0xcccccccc,0x9992cccc,0x99999999,0x99001357,
    0x99999999,0x95000135,0x99999999,0x99999999,0x133332e3,0xccccca80,
    0x3ffea000,0x3e6006ff,0x9106ffff,0x3ba0005f,0x7ffffe82,0x7fdc0000,
    0xffffffff,0x1004efff,0xffffffff,0xffffffff,0x29ffffff,0xfffffff8,
    0xffffffff,0x3fffffff,0xffffffff,0xbfffffff,0x7ffffc05,0xffffffff,
    0xffb004ef,0xffffffff,0x5fffffff,0x01fffff6,0x0fffffc8,0x7ffff400,
    0xfffb003f,0xfff705ff,0xffc8001f,0x3fffa1ef,0x5c00007f,0xffffffff,
    0xefffffff,0x7fffc402,0xffffffff,0xffffffff,0xffff14ff,0xffffffff,
    0xffffffff,0x3fffe7ff,0xffffffff,0x80efffff,0xffffffff,0xffffffff,
    0x7ffec02e,0xffffffff,0xb2ffffff,0x400fffff,0x00fffffc,0x7ffffcc0,
    0x7ffd400f,0xfffd85ff,0x3e6005ff,0xfd0fffff,0x0000ffff,0xffffffb8,
    0xffffffff,0xf100dfff,0x555557ff,0x55555555,0x229ffd55,0xffffffff,
    0xffffffff,0xf3ffffff,0xffffffff,0xffffffff,0xfffff0df,0xffffffff,
    0x01bfffff,0x3ffffff6,0xffffffff,0xfffb2fff,0x7fe400ff,0xd8000fff,
    0x404fffff,0x81fffffe,0x3ffffff8,0xfffffd00,0x7fffff47,0x0009aaaa,
    0xffffff70,0xffffffff,0x220dffff,0x02660fff,0xf14ffe80,0xffffffff,
    0xffffffff,0x3e7fffff,0xffffffff,0xffffffff,0x7fffc4ff,0xffffffff,
    0x6fffffff,0xffffffb0,0xffffffff,0x3ff65fff,0x3f2007ff,0x8000ffff,
    0x0ffffff8,0x9fffff50,0x7ffffd40,0xaccca98f,0x5fffffc8,0x7ffffff4,
    0xdeffffff,0xffff7001,0xdb75335f,0x7fffffff,0x221fff10,0x02deffff,
    0x99993ffa,0xffe99999,0x9999afff,0xffff0999,0xff9310bf,0xff8dffff,
    0xa999efff,0xfffffedb,0xfffd83ff,0x99999aff,0xb0999999,0x400fffff,
    0x00fffffc,0xfffff700,0x3ffffa0b,0x7ffe400f,0xffffffff,0xefffffff,
    0x7fffff40,0xffffffff,0x7dc01dff,0x3201ffff,0x0fffffff,0xf887ffc4,
    0x2effffff,0x2004ffe8,0x00fffffd,0x0bfffff0,0xffffffa8,0x17ffffe0,
    0xffffff90,0xffffd81f,0xffb0000f,0x7e400fff,0x0000ffff,0x07fffffa,
    0x07fffff7,0x3fffffa0,0xffffffff,0xfe81ffff,0xffffffff,0xffffffff,
    0x3fffee03,0x7ffd401f,0x7fc44fff,0xfffff10f,0xfe87ffff,0x3ff6004f,
    0xff000fff,0xfd00bfff,0x7fc3ffff,0xfa805fff,0x6c4fffff,0x000fffff,
    0x0fffffb0,0x7ffffe40,0x3fea0000,0x7ffc5fff,0x3e2006ff,0xffffffff,
    0x3fffffff,0xffffffd0,0xffffffff,0x2e03ffff,0x801fffff,0x0ffffffc,
    0x9983ffe2,0xfffffdba,0x8013ffa2,0x00fffffd,0x0bfffff0,0x3fffffb0,
    0x02fffffc,0xffffffc8,0x3fffff60,0xfffb0000,0x7fe400ff,0x40000fff,
    0x71fffffe,0x003fffff,0xffffffc8,0xffffffff,0xffffd01f,0xfb95555f,
    0x1fffffff,0x3fffff70,0xfffff100,0x07ffc45f,0x9bfffa60,0x36004ffe,
    0x000fffff,0x00bfffff,0x41fffffb,0x005fffff,0x5ffffff1,0x07ffffec,
    0xffffd800,0x3fff2007,0x4c0000ff,0xff5fffff,0x8800bfff,0x0affffff,
    0x9fffff91,0x1fffffa0,0xfffffc88,0xffffb84f,0xfffb001f,0x7ffc47ff,
    0x7fff9800,0xd8013ffa,0x000fffff,0x80bfffff,0x46fffff8,0x005fffff,
    0x8ffffff6,0x00fffffd,0xfffffb00,0x7fffe400,0xfc80000f,0xfffdffff,
    0x7dc000ff,0xf901ffff,0xfd01ffff,0xfb00ffff,0xf70dffff,0x2003ffff,
    0x24fffffa,0xf000fff8,0x3ffa3fff,0x3fff6004,0xfff000ff,0xffc80bff,
    0x7ffc3fff,0x3ea005ff,0x3f64ffff,0x0000ffff,0x00fffffb,0x07ffffe4,
    0x7ffc4000,0x3fffffff,0xffffd800,0x3fffe204,0xffffe81f,0xffff8807,
    0x3ff2667f,0x9999afff,0xfffffa80,0x003ffe25,0x743fffe2,0x3f6004ff,
    0xf000ffff,0x310bffff,0x0bfffffd,0x00bfffff,0x2fffffd4,0x01fffffb,
    0x3ffff600,0xaaaaaaaf,0xffffdaaa,0xf700000f,0xdfffffff,0x3fffa000,
    0x7fff401f,0xffffe82f,0xffffd007,0x3ffffe3f,0xffffffff,0xfffff985,
    0x003ffe26,0x74dfff91,0x3f6004ff,0xf000ffff,0xffffffff,0xffffffff,
    0xfffff01b,0x7ffcc00b,0x3fff66ff,0x99999aff,0x36099999,0xffffffff,
    0xffffffff,0x000fffff,0x3ffffa00,0xf0002fff,0xd801ffff,0xfe83ffff,
    0xfb007fff,0x3fe5ffff,0xffffffff,0xff885fff,0x3fe27fff,0x7ee6640f,
    0x3fa2ffff,0x3ff6004f,0xff000fff,0xffffffff,0x07ffffff,0x02fffffc,
    0xffffff10,0x7fffffec,0xffffffff,0x3fff65ff,0xffffffff,0xffffffff,
    0x200000ff,0x5ffffffa,0xffff1000,0xfffd801f,0xffffe83f,0xffffb007,
    0x3ffffe3f,0xffffffff,0xfffff885,0x81fff10f,0xffffffff,0x0027ff44,
    0x01fffffb,0x3fffffe0,0xffffffff,0xff81dfff,0x22005fff,0xb0ffffff,
    0xffffffff,0xffffffff,0x7ffffecb,0xffffffff,0xffffffff,0x7f400000,
    0x0001ffff,0x003ffffe,0xd05ffffb,0x200fffff,0x3e7fffff,0xffffffff,
    0xf885ffff,0x3e27ffff,0x7fff40ff,0xffe81eff,0x3fff6004,0xfff000ff,
    0xffffffff,0xffffffff,0x5fffff85,0x3fffe200,0x3ffff67f,0xffffffff,
    0x3f65ffff,0xffffffff,0xffffffff,0x8000ffff,0xecccccc9,0xcccfffff,
    0xff803ccc,0x7f401fff,0xffe82fff,0xff9807ff,0x3b326fff,0xccdfffff,
    0xfff982cc,0x3ffe26ff,0x00f7ff40,0xd8013ffa,0x000fffff,0x55dfffff,
    0xffff9975,0x7fc3ffff,0x26005fff,0x366fffff,0xffffffff,0xffffffff,
    0x3fffff65,0xcccccccc,0xfffffecc,0xfffb8000,0xffffffff,0x6fffffff,
    0x4ffffe80,0x3ffffe60,0x7ffffe80,0xfffffe80,0xfffffb84,0xffff5001,
    0x07ffc4bf,0x3a013ff6,0x3f6004ff,0xf000ffff,0xa80bffff,0x26ffffff,
    0x005fffff,0x97ffffea,0xabfffffd,0xaaaaaaaa,0x3ffff61a,0x3fff2007,
    0xfb8000ff,0xffffffff,0xffffffff,0xfffc806f,0xfffb00ff,0x3fffa0df,
    0x3ffa607f,0xfb80ffff,0x7001ffff,0x449fffff,0x7fec0fff,0x04ffe804,
    0x3fffff60,0xfffff000,0xffff500b,0x3fffe3ff,0x3fee005f,0x3ff64fff,
    0xb0000fff,0x400fffff,0x00fffffc,0xfffffb80,0xffffffff,0x806fffff,
    0xaffffff9,0xfffffb30,0x3ffffa05,0xfecbaaaf,0x03ffffff,0x03fffff7,
    0x3fffff20,0x303ffe23,0xffd00355,0x7ffec009,0xfff000ff,0x3fa00bff,
    0xfff2ffff,0x7e400bff,0x3f63ffff,0x0000ffff,0x00fffffb,0x07ffffe4,
    0x3ff20000,0xe80007ff,0xffffffff,0x07ffffff,0x3ffffffa,0xffffffff,
    0x3ee05fff,0x8801ffff,0x21ffffff,0x0080fff8,0x8013ffa0,0x00fffffd,
    0x0bfffff0,0x3fffff60,0x0bfffff3,0x3ffffe20,0x3ffff61f,0xffb0000f,
    0x7e400fff,0x0000ffff,0x3ffffe40,0x3ffa2000,0xffffffff,0xd03fffff,
    0xffffffff,0xffffffff,0x7ffdc01b,0xffc801ff,0x7fc46fff,0x01ffe40f,
    0xb0027ff4,0x001fffff,0x017ffffe,0x97ffffec,0x005fffff,0x8dfffff9,
    0x00fffffd,0xfffffb00,0x7fffe400,0x6400000f,0x0007ffff,0x7fffffec,
    0xffffffff,0xffe81fff,0xffffffff,0x801effff,0x01fffffb,0x7fffffcc,
    0x507ffc41,0xe803ffff,0x3f6004ff,0xf000ffff,0x100bffff,0x23ffffff,
    0x805fffff,0x1ffffff9,0x07ffffec,0xffffd800,0x3fff2007,0xea8000ff,
    0xfffeeeee,0xeeeeefff,0x7ffdc05e,0xffffffff,0xefffffff,0x7fffff40,
    0xdeffffff,0x3ffee003,0x3fee01ff,0xf885ffff,0x3ffee0ff,0x27ff402f,
    0xfffffb00,0x3fffe001,0xfffd805f,0x3fffe7ff,0x7ffdc05f,0xffd85fff,
    0xb0000fff,0x400fffff,0x00fffffc,0xfffffb80,0xffffffff,0x206fffff,
    0x9ffffff9,0xd8abccca,0x745fffff,0xaaafffff,0x3ee00009,0x54c1ffff,
    0xfffffffd,0x20fff881,0x400ffff9,0x36004ffe,0x000fffff,0x40bfffff,
    0xffffffd9,0x17ffffe6,0x3ffff6a6,0xffd81fff,0xb0000fff,0x400fffff,
    0x00fffffc,0xfffffb80,0xffffffff,0x106fffff,0x05ffffff,0xffffff10,
    0x3fffff47,0x3fee0000,0xffeeefff,0xffffffff,0x81fff104,0xfe801dd9,
    0x3ff6004f,0xff000fff,0xddddffff,0xfffffffd,0x7fffc3ff,0xfffeeeff,
    0x4fffffff,0x1fffffb0,0x3fff6000,0x3ff2007f,0xa8000fff,0xffeeeeee,
    0xeeeeffff,0xfffb05ee,0x7d400bff,0xfd0fffff,0x0000ffff,0xffffffb8,
    0xffffffff,0x3e202fff,0x99999aff,0x99999999,0x004ffe99,0x03fffff6,
    0x7fffffc0,0xffffffff,0x7c2fffff,0xffffffff,0xffffffff,0x3fff602f,
    0xfb0000ff,0x6400ffff,0x000fffff,0x7fffe400,0xffc88007,0x7ec000ff,
    0x3ffa1eff,0x400007ff,0xfffffffb,0xffffffff,0x7ffc400d,0xffffffff,
    0xffffffff,0x36004fff,0x000fffff,0xffffffff,0xffffffff,0xffff07ff,
    0xffffffff,0x801bffff,0x00fffffd,0xfffffb00,0x7fffe400,0x6400000f,
    0x0007ffff,0x2000bf66,0xffe82ef8,0x400007ff,0xfffffffb,0x2fffffff,
    0xfffff100,0xffffffff,0xffffffff,0x7fec009f,0xff000fff,0xffffffff,
    0x19ffffff,0x3fffffe0,0xffffffff,0xfffb002f,0x360001ff,0x2007ffff,
    0x00fffffc,0x7ffe4000,0x0180007f,0xffe80600,0x400007ff,0xfffffffb,
    0x001bdeef,0x7fffffc4,0xffffffff,0xffffffff,0x3fff6004,0xfff000ff,
    0xdfffffff,0xff00599d,0xdfffffff,0xd80037bd,0x000fffff,0x0fffffb0,
    0x7ffffe40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66664c00,0xcccccccc,0x03cccccc,
    0x503ccca8,0x33209999,0xc8803ccc,0x263ccccc,0x001ccccc,0x666664c0,
    0x6666400c,0x6665c3cc,0xabcccccc,0x33320009,0xcccccccc,0xcccccccc,
    0x9999953c,0x99910007,0xcccc8999,0x32a002cc,0x6444cccc,0x20003ccc,
    0x402cccc8,0xfffffffb,0xffffffff,0xfd806fff,0xfffb06ff,0x3ffffe0d,
    0xffffd806,0x3ffea1ff,0x5c0003ff,0x02ffffff,0x3fffffe2,0x7fffff46,
    0xffffffff,0x7ffc402e,0xffffffff,0xffffffff,0xfffff35f,0xffc8001f,
    0x7fe43fff,0x8800ffff,0x44ffffff,0x006ffff8,0x13fffe60,0xffffff70,
    0xffffffff,0xd00dffff,0x3fa0bfff,0xffff05ff,0xfffa80df,0x7fd43fff,
    0x40003fff,0x5ffffffb,0x3ffffee0,0x7ffff46f,0xffffffff,0xf103ffff,
    0xffffffff,0xffffffff,0x7fecbfff,0x22004fff,0x40ffffff,0x4ffffff8,
    0xfffffc80,0x7fffc40f,0x3fea0007,0x7fdc03ff,0xffffffff,0xffffffff,
    0x4ffff806,0x209ffff0,0x206fffff,0x5ffffff8,0x3fffffa8,0x7ffe4000,
    0x3f607fff,0x747fffff,0xffffffff,0xffffffff,0xffff885f,0xffffffff,
    0xffffffff,0x3ffffe65,0xfff9000f,0x3fee07ff,0x2200ffff,0x03ffffff,
    0x000fffff,0x01ffffd4,0x3fffffee,0xffffffff,0xf806ffff,0xfff03fff,
    0x3fffe09f,0x3fff206f,0xffa80fff,0x40003fff,0xfffffffc,0xfffff882,
    0x7fff47ff,0xffffffff,0x3fffffff,0x7fffffc4,0xffffffff,0x45ffffff,
    0x04fffffd,0x7fffff88,0x7fffff40,0x3ffff205,0x3fffe07f,0x3fea0007,
    0x360002ff,0x000fffff,0x07ffff10,0x207ffff1,0x306fffff,0x05ffffff,
    0x0fffffea,0xffffb000,0xff509fff,0xe8ffffff,0x999fffff,0xffffeba9,
    0x66641fff,0xcccccccc,0xfffffecc,0x7fffcc3f,0x7fe400ff,0x7d403fff,
    0x881fffff,0x03ffffff,0x001ffffe,0x02ffffa8,0x3ffff600,0xff30000f,
    0xfff305ff,0x3fffe05f,0xffffd06f,0x7ffd409f,0x6c0003ff,0x7fffffff,
    0xffffffd8,0x3fffa0ff,0x7ffdc07f,0x40005fff,0x5ffffff8,0x7fffffb0,
    0x7ffffc40,0xffffd007,0xffff90bf,0xfffe80df,0x3fee0007,0x360001ff,
    0x000fffff,0xfff73331,0xf733335f,0x13335fff,0x21bffffe,0x0efffffc,
    0x3ffffea0,0x7fec0003,0x41ffffdf,0xfffdffff,0x3ffffa0f,0xffffc807,
    0x7ec0006f,0x300fffff,0x40ffffff,0x03fffffc,0xffffff30,0x7ffffc43,
    0x7fff402f,0xff70000f,0x6c0003ff,0x000fffff,0xfffffffb,0xffffffff,
    0x5fffffff,0x31bffffe,0x03ffffff,0x3fffffa8,0x7fff4000,0x2a4fffec,
    0xfffbffff,0x3ffffa1f,0xfffff007,0x3ee0001f,0x402fffff,0x83fffffd,
    0x07fffff8,0x7ffffec0,0x3fffff25,0xffffd805,0xfff70000,0x7ec0003f,
    0xb000ffff,0xffffffff,0xffffffff,0x25ffffff,0x746fffff,0x803fffff,
    0x03fffffa,0x67fff400,0x3f66fffc,0xffffbcff,0x1fffffa1,0x7fffff40,
    0xfff88001,0xf9805fff,0xfc87ffff,0x4003ffff,0x9ffffff9,0x1ffffff8,
    0x0ffffd80,0xc80aaa98,0x0000ffff,0x03fffff6,0x7ffffec0,0xffffffff,
    0xffffffff,0xdfffff2f,0x37ffffe4,0xfffffa80,0x7ffc0003,0x0ffffacf,
    0xff53ffff,0x7fff43ff,0xfff9007f,0xfb0005ff,0x001fffff,0x8bfffff6,
    0x06fffff8,0xfffff900,0xbfffff9b,0x3ffff600,0x82fffd81,0x000ffffc,
    0x3fffff60,0xffffb000,0xffffffff,0xffffffff,0x3fffe5ff,0xfffff36f,
    0x3fea001f,0x40003fff,0xff8bffff,0x7fff9aff,0x745ffff5,0xb007ffff,
    0x001fffff,0xffffffb8,0x3ffe6002,0x3ffee6ff,0xf10003ff,0xffffffff,
    0x32001fff,0xff81ffff,0xfffc85ff,0x7fec0007,0xd0000fff,0x3fa0bfff,
    0x3ffe05ff,0xffffd6ff,0x7fd4005f,0x40003fff,0xffb3ffff,0x29fff79f,
    0x3a2ffffa,0xf007ffff,0x800fffff,0x5ffffff8,0xffffd800,0xdffffd2f,
    0xfffb8000,0x4fffffff,0x3ffff200,0x3ffffd41,0x003fffe4,0x3fffff60,
    0xffff0000,0x13fffe09,0xbefffff8,0x005fffff,0x1fffffd4,0xffff1000,
    0x3bbffee7,0xfff52fff,0x7ffff47f,0xffffa807,0x7fec006f,0x8000ffff,
    0xadfffff9,0x003fffff,0xffffff80,0x2000ffff,0x641ffffb,0x6c2fffff,
    0x40007fff,0x00fffffd,0x07ffff00,0xf80ffffe,0xffffffff,0x54000eff,
    0x003fffff,0x4ffffe20,0xfffffff8,0x8ffffe67,0x407ffffe,0x4ffffff8,
    0x3fffee00,0x360002ff,0xffefffff,0x500006ff,0xffffffff,0xfffb8007,
    0x7ffffc2f,0x37ffec4f,0x3fff6000,0xf88000ff,0xff883fff,0x3ffe03ff,
    0xffffffff,0xfffa8006,0x220003ff,0x3fa2ffff,0x265fffff,0x3fa3ffff,
    0x3ee07fff,0x00efffff,0xffffff10,0xff980009,0xffffffff,0xff100002,
    0x03ffffff,0x2ffffa80,0x3fffffe6,0x037ffec7,0x3ffff600,0xff98000f,
    0xfff982ff,0x3fffe02f,0xfffffeff,0x7ffd4004,0x260003ff,0x3f22ffff,
    0x262fffff,0x3fa4ffff,0xccccffff,0xfffffffe,0x3ff6001f,0x0000efff,
    0xffffffd8,0x200006ff,0xfffffffc,0x7fd4005f,0x3fff22ff,0x3fa1ffff,
    0x6c0005ff,0x000fffff,0x81ffffa8,0x201ffffa,0xf9efffff,0x002fffff,
    0x0fffffea,0xffff9800,0x3ffffe62,0x3fffe60f,0x3fffffa4,0xffffffff,
    0x2004ffff,0x2ffffffb,0xfff30000,0x005fffff,0x3fffe600,0x02ffffff,
    0x8ffffe60,0xfffffffe,0x017fffa4,0xfffffb00,0x73333001,0x3335ffff,
    0x35ffff73,0xfffff833,0xdfffffb6,0x3ffea001,0x2a0003ff,0x7fc2ffff,
    0x7fc45fff,0x3fffa5ff,0xffffffff,0x003fffff,0x3fffffe2,0x7ec00004,
    0x006fffff,0x3ffff600,0x06ffffff,0x4ffffe60,0xffdefff8,0x13fffa6f,
    0xffffb000,0xffff001f,0xffffffff,0xffffffff,0x7ffc1fff,0xffff16ff,
    0x3ea009ff,0x0003ffff,0xb07fffea,0xf885ffff,0x3ffa5fff,0xffffffff,
    0x000cffff,0x37ffffec,0x7fcc0000,0x0002ffff,0xffffff50,0x07ffffff,
    0x4ffffe60,0xffbbfffb,0x9fffd0ff,0xfffd8000,0xfff800ff,0xffffffff,
    0xffffffff,0x3fe0ffff,0x3fee6fff,0xa802ffff,0x003fffff,0x07fffea0,
    0x881ffff5,0x3fa5ffff,0xffffffff,0x8001bcdf,0x1ffffffb,0xffd00000,
    0x40000fff,0xccfffffe,0x00ffffff,0xd4ffff88,0xfff33fff,0x13fffe7f,
    0xffffb000,0xffff001f,0xffffffff,0xffffffff,0x7ffc1fff,0x7fff46ff,
    0x7d400fff,0x0003ffff,0x107fffee,0xff109ddd,0x7fff4dff,0x000199ff,
    0xffffff10,0x74000009,0x0007ffff,0xffffff70,0xffffff11,0xffff1009,
    0x74ffff19,0xffff5fff,0xffd80007,0xff800fff,0xffffffff,0xffffffff,
    0x3e0fffff,0x7cc6ffff,0x405fffff,0x03fffffa,0x3fffee00,0xffff0001,
    0x3fffff4d,0x7fec0000,0x00006fff,0x3fffff40,0x7ffc4000,0x3ff23fff,
    0xf801ffff,0xfffacfff,0x23ffff25,0x0003ffff,0x07ffffec,0x27fffc00,
    0x404ffff8,0xc86fffff,0x02ffffff,0x0fffffea,0xffffc800,0xffff0000,
    0x3fffff4f,0x3fee0000,0x0001ffff,0x7ffff400,0xffc80007,0x3e20ffff,
    0x806fffff,0xffcdffff,0x3fffe62f,0x002ffffa,0x7ffffec0,0xffff8000,
    0x07ffff03,0x06fffff8,0x1ffffffd,0x3ffffea0,0x3ff20003,0xff0000ff,
    0x7fff4fff,0x2200007f,0x04ffffff,0xffe80000,0x440007ff,0x83ffffff,
    0x2ffffffb,0x7effffc0,0xffff87ff,0x002ffffd,0x7ffffec0,0x7ffc4000,
    0xffff882f,0x7ffffc02,0xfffff506,0x3ffea0bf,0x320003ff,0x0000ffff,
    0x7f4fffff,0x00007fff,0x3ffffff6,0x99999999,0x00199999,0x03fffff4,
    0x3ffff600,0xffff107f,0xffe80dff,0xc85fffff,0xffffffff,0xeeeea801,
    0xffffffee,0x05eeeeee,0x305ffff3,0xf805ffff,0x3606ffff,0x82ffffff,
    0xfffffffa,0xffffffff,0xfffb2fff,0x3fe0001f,0xfffd0fff,0x2a0000ff,
    0xffffffff,0xffffffff,0x4007ffff,0x007ffffe,0x3ffffe60,0x3ffee03f,
    0x3fa03fff,0x82ffffff,0xfffffffa,0xfffb801f,0xffffffff,0x6fffffff,
    0x03ffff50,0x803ffff5,0x206fffff,0xfffffff8,0x7ffffd40,0xffffffff,
    0xfb2fffff,0x74000fff,0xffd0ffff,0x20000fff,0xfffffffc,0xffffffff,
    0x007fffff,0x03fffff4,0xfffffd00,0xfffff00f,0x3ff601ff,0xf00fffff,
    0x1fffffff,0xfffff700,0xffffffff,0x20dfffff,0xb80ffffb,0x7c00ffff,
    0x5c06ffff,0x45ffffff,0xfffffffa,0xffffffff,0xfffd2fff,0x7ff4000f,
    0xffffd0ff,0x3f20000f,0xffffffff,0xffffffff,0x74007fff,0x0007ffff,
    0x7ffffff5,0xfffff700,0x3fff60bf,0x3f605fff,0x00ffffff,0xffffffb8,
    0xffffffff,0xf906ffff,0x3ff20fff,0xffff807f,0xfffe806f,0x3fea3fff,
    0xffffffff,0xffffffff,0x00ffffd2,0x8fffff40,0x007ffffe,0xfffff900,
    0xffffffff,0xffffffff,0xffffe800,0xfffd0007,0x7f400dff,0xc81fffff,
    0x03ffffff,0x3fffffea,0xfffb800f,0xffffffff,0x6fffffff,0x20ffff90,
    0xf807fffc,0x9806ffff,0x0fffffff,0xfffffff5,0xffffffff,0x3ffa5fff,
    0x3fa0007f,0xfffd1fff,0x320000ff,0xffffffff,0xffffffff,0x4007ffff,
    0x007ffffe,0xffffffb8,0x3ffea003,0xffc86fff,0x2200ffff,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1666665c,0xccccb800,0x9930000c,0x00799999,
    0xcccccc80,0x32e001cc,0x001ccccc,0x32399997,0xcccccccc,0x20009abc,
    0xccccccca,0xcccccccc,0x003ccccc,0x03bbbb6a,0xdddd3000,0x00000009,
    0x54000000,0xffc80bdc,0x88006fff,0x007fffff,0x3fffffa0,0x220005ff,
    0xffffffff,0x3fff6004,0xfd005fff,0x3ffe5fff,0xffffffff,0xb802efff,
    0xffffffff,0xffffffff,0x9805ffff,0x1ffffffe,0x7ffd4000,0x8000005f,
    0x006d405b,0xffffd800,0x7fffd42f,0x7d4000ff,0x0005ffff,0xfffffff5,
    0x7dc000bf,0x6fffffff,0x3ffff600,0xfe801fff,0xffff2fff,0xffffffff,
    0x403fffff,0xfffffffb,0xffffffff,0x205fffff,0xffffffd9,0x540001ff,
    0x0005ffff,0x82ffe400,0x0000effa,0x7fffffe4,0x7ffffc0f,0x7fe4002f,
    0x88003fff,0xffffffff,0x3f60005f,0xffffffff,0xffffb000,0xfd00bfff,
    0x3ffe5fff,0xffffffff,0x0fffffff,0xffffff70,0xffffffff,0x0bffffff,
    0xffffffb1,0x0003ffff,0x05ffffa8,0xffb10000,0xfffa8bff,0x3e0001ff,
    0x3fffffff,0x2fffffec,0x3ffffa00,0xffc8000f,0x5fffffff,0x3fffe000,
    0x03ffffff,0xffffffb0,0xffe801ff,0xfffff2ff,0xffffffff,0x01dfffff,
    0xfffffff7,0xffffffff,0x44bfffff,0xfffffffc,0x001fffff,0x2ffffd40,
    0x7f440000,0xf14fffff,0x07ffffff,0xfffff300,0xffb8bfff,0x26007fff,
    0x006fffff,0xffffff98,0x0005ffff,0xfffffff5,0x3600bfff,0xffffffff,
    0x7ffff404,0x3dfffff2,0xfffb5333,0xd505ffff,0xdddddddd,0xfffddddd,
    0x3fe29fff,0xffffffff,0x0001ffff,0x02ffffd4,0x3ffe6000,0x2a0dffff,
    0x4fffffff,0x7fffc400,0x7c44ffff,0x001fffff,0x07fffff7,0xdffffd00,
    0x00bffffb,0x3bffff20,0x007ffffe,0xfffffffb,0x7ff401ff,0xfffff2ff,
    0x7fffc40b,0x200004ff,0x1ffffff8,0x3ffffffa,0x1fffffdd,0x7ffd4000,
    0x2a00005f,0x4fffffff,0xffffff30,0x7fc001bf,0x83ffffff,0x03fffffe,
    0x3fffffb0,0xffffb800,0x5ffffd9f,0xfffff000,0x5fffff97,0xfffffb00,
    0x7407ffff,0xfff2ffff,0xffa80bff,0x00006fff,0x17fffff2,0x23dffff5,
    0x01fffffc,0x7fffd400,0xff900005,0x805fffff,0xffffffe8,0xfff5000e,
    0x3ee0dfff,0xf006ffff,0x800fffff,0xb4fffff8,0x000bffff,0x53fffff3,
    0x009fffff,0xfffffffb,0x7ff40fff,0xfffff2ff,0xffff880b,0xf100007f,
    0xf03fffff,0xfffc85df,0x554c01ff,0xffcaaaaa,0xaaaaaeff,0xffd802aa,
    0x001effff,0x3ffffff6,0xfff5001f,0x3fe601bf,0x5400ffff,0x004fffff,
    0xb37fffec,0x000bffff,0x22fffff7,0x806fffff,0xffdffffd,0xffd02fff,
    0x3fffe5ff,0xffff805f,0xf900007f,0x320bffff,0xfffff903,0xffffc803,
    0xffffffff,0xffffffff,0x3fffa207,0x8000efff,0xfffffffc,0x002a6002,
    0x0bfffffe,0x5fffff90,0x7fffd400,0x3ffff62f,0xfffe8005,0x3ffff65f,
    0x7ffec00f,0x6ffffebf,0x25ffffd0,0x405fffff,0x06fffff9,0xffff8800,
    0xfc8001ff,0x6401ffff,0xffffffff,0xffffffff,0xf307ffff,0x0bffffff,
    0xffffa800,0x00003fff,0x4fffffc8,0x3fffff40,0x3ffffa00,0x2ffffec5,
    0x3fffe200,0x3fffee2f,0x7ffec03f,0xfffffabf,0x2ffffe82,0x80bfffff,
    0x04fffffc,0xffffb800,0xff90006f,0xfc803fff,0xffffffff,0xffffffff,
    0xffa87fff,0x003fffff,0xfffff300,0x80000bff,0x06fffffa,0x17ffffe2,
    0xfffffb80,0x2ffffec0,0x3fffea00,0x3fffe60f,0x7ffec05f,0xbfffff3f,
    0x25ffffd0,0x205fffff,0x1ffffffb,0xffff8000,0xf90002ff,0xc803ffff,
    0xffffffff,0xffffffff,0x7dc7ffff,0x02ffffff,0x7ff44000,0x000effff,
    0x3ffffe00,0xffff701f,0x3fe2005f,0xffd83fff,0x7e4005ff,0xfff86fff,
    0x3f600fff,0xfff73fff,0xfffe83ff,0xdfffff2f,0xffd75333,0x0009ffff,
    0xdfffff70,0x7ffe4000,0x540001ff,0x2005ffff,0xeffffffd,0x36000001,
    0x1effffff,0xfffb0000,0x3ff607ff,0xfb000fff,0x3f60dfff,0x7c005fff,
    0xfc84ffff,0x3602ffff,0xff13ffff,0xffe8bfff,0xfffff2ff,0xffffffff,
    0x0009ffff,0x3fffffe0,0x3ff20002,0x40001fff,0x005ffffa,0xfffffff3,
    0x98000009,0x4fffffff,0xfff50000,0x3ffe0bff,0xff5006ff,0x3f603fff,
    0x26005fff,0xa81fffff,0x204fffff,0x323ffffd,0x3a0fffff,0xfff2ffff,
    0xffffffff,0x005dffff,0x3fffee00,0x7e40006f,0x0001ffff,0x02ffffd4,
    0xfffffd30,0x000001bf,0xfffffff5,0x7c400007,0xfa87ffff,0x8803ffff,
    0x203ffffe,0x005ffffd,0x41fffff2,0x07fffff8,0x88fffff6,0x3a4fffff,
    0xfff2ffff,0xffffffff,0x00001dff,0x2fffffe8,0x7ffe4000,0x540001ff,
    0x4005ffff,0xffffffe8,0x2e00000e,0x2fffffff,0xffe80000,0x7fe41fff,
    0xfc801fff,0x7ec06fff,0x3a005fff,0x3a05ffff,0xb01fffff,0xfd87ffff,
    0xffd0ffff,0x3fffe5ff,0xffffffff,0x00001eff,0x0dfffff5,0xffff9000,
    0xfa80003f,0xb0005fff,0x3fffffff,0xfffb0000,0x0003dfff,0x3fffee00,
    0x7ffff44f,0xffff9806,0x7ffec01f,0xfff1005f,0x7fe407ff,0xffb03fff,
    0xfff987ff,0xffffd3ff,0x3bffffe5,0xfffffdba,0xfd00006f,0x0007ffff,
    0x3fffff90,0xfffa8000,0x3ee0005f,0x02ffffff,0xffffd100,0x00001dff,
    0x7ffffcc0,0x3ffffe26,0xffffe804,0x9999999d,0x9dffffe9,0xffb80999,
    0x3e601fff,0xfb06ffff,0xffd07fff,0x3fffafff,0xbfffff2f,0xffffff98,
    0x7fd40004,0x00007fff,0x03fffff9,0xffffa800,0x7fd40005,0x004fffff,
    0x7fffffcc,0x0000005f,0x21fffffd,0x01fffffa,0x7fffffc4,0xffffffff,
    0xffffffff,0xfffd82ff,0xeeeeeeff,0xffffffee,0x3ffffd80,0xafffffa8,
    0xff2ffffe,0xff50bfff,0x0003ffff,0x1ffffff4,0xfffc8000,0x540001ff,
    0x0005ffff,0xffffff98,0xffa800df,0x003fffff,0x3ff20000,0xfffb3fff,
    0xfff100ff,0xffffffff,0xffffffff,0xf05fffff,0xffffffff,0xffffffff,
    0xffb05fff,0x3ffe07ff,0xffffedff,0x0bfffff2,0x17fffff6,0x7fffd400,
    0x900000ff,0x003fffff,0x09999880,0xffd10000,0x401dffff,0xfffffffc,
    0x40000002,0xf5fffff9,0x100bffff,0xffffffff,0xffffffff,0xffffffff,
    0xfffffa85,0xffffffff,0x5fffffff,0x03ffffd8,0xfffffff7,0x3ffe5fff,
    0xfff305ff,0xd0001fff,0x009fffff,0x7fffe400,0x0000001f,0xfffd8000,
    0xfd81ffff,0x01ffffff,0xff000000,0xfff3ffff,0xff1005ff,0xffffffff,
    0xffffffff,0x85ffffff,0xfffffffc,0xffffffff,0xd87fffff,0xf103ffff,
    0xffffffff,0x3ffffe5f,0x3ffffa05,0x7fd4004f,0x0000ffff,0x3fffff20,
    0x00000001,0xffff9000,0x3fa25fff,0x00efffff,0x36000000,0xffdfffff,
    0xe8800fff,0xeeeeeeee,0xfffeeeee,0x1eeeefff,0x7ffffff4,0xffffffff,
    0x1fffffff,0x01ffffec,0xfffffff9,0x3fffe5ff,0x3ffea05f,0x3a000fff,
    0x004fffff,0x7fffe400,0xcccb801f,0xcccccccc,0xcccccccc,0xfff50000,
    0x7fec3fff,0x0000dfff,0x7fd40000,0xffffffff,0xe8000005,0x4c05ffff,
    0x002fffff,0x13fffff2,0x407ffffb,0xfffffff8,0xfffff2ff,0xfffff80b,
    0xfff3004f,0x00001fff,0x1fffffc8,0xfffffe80,0xffffffff,0x01ffffff,
    0x3fffe600,0x04fffd81,0x10000000,0xffffffff,0x000007ff,0x0bffffd0,
    0x0fffffb8,0x3fffea00,0x7fffec6f,0x7fffec03,0xfff2ffff,0xffb80bff,
    0xd800ffff,0x004fffff,0xffffffb8,0xffffffff,0x3a7fffff,0xffffffff,
    0xffffffff,0x40001fff,0x3f601fe8,0x00000003,0x7ffffec0,0x0000ffff,
    0xffffe800,0x7fffec05,0xffff8006,0x3fff60ff,0x7ffcc03f,0xff2fffff,
    0xf880bfff,0x403fffff,0x0ffffff9,0xffffb800,0xffffffff,0x7fffffff,
    0x3ffffffa,0xffffffff,0x001fffff,0x01801880,0x80000000,0xfffffffb,
    0x0000006f,0x40bffffd,0x03fffff8,0xfffffd80,0x0fffff63,0x3fffffa0,
    0xfffff2ff,0xffff900b,0x7fec01ff,0x70005fff,0xffffffff,0xffffffff,
    0x7ff4ffff,0xffffffff,0xffffffff,0x0000001f,0x00000000,0x7ffffc40,
    0x00004fff,0xbffffd00,0x7ffffd40,0xfffb8001,0x3fff65ff,0xfffa803f,
    0xfff2ffff,0xff300bff,0x2607ffff,0x01ffffff,0xfffff700,0xffffffff,
    0x0fffffff,0x00000000,0x00000000,0xffe80000,0x001fffff,0xfffd0000,
    0x7ffe40bf,0xff30007f,0x7fecffff,0xfff003ff,0x3fe5ffff,0xfb005fff,
    0x360fffff,0x005fffff,0x3ffffee0,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35310000,0x33100033,0x00002600,
    0x00033331,0x00133100,0x00188000,0x00013100,0x00026200,0x80199800,
    0x805eeeec,0x00eeeeeb,0x4c401310,0x00030000,0xffffdb30,0x20bdffff,
    0xfffffeb8,0x3ffaa0ce,0x54401dff,0xffffffec,0x40002dff,0x003ffff9,
    0xffd97300,0x017bffff,0xfffedb88,0x50001cef,0xdfffffb9,0xeeec8059,
    0x3fff220e,0xffb02eff,0xff900fff,0x3bae1fff,0xdfffb13e,0x3ffffc83,
    0xfffdb710,0x54007ddf,0xfffffffe,0x40ffffff,0xfffffff8,0xffc9efff,
    0x01ffffff,0xfffffff7,0xdfffffff,0xfff10005,0x40003fff,0xffffffc8,
    0x02ffffff,0x3fffffe6,0x004fffff,0x3fffff62,0x0cffffff,0x23ffffb0,
    0xfffffffb,0xfffd84ff,0xfffc807f,0x9fff90ff,0xdfffffd1,0x7fffffec,
    0xfffffc84,0x01ffffff,0x7fffffd4,0xffffffff,0x7fffc40f,0xffffffff,
    0xffffffff,0xfffc80ff,0xffffffff,0x001fffff,0x7fffffd4,0xfff50004,
    0xffffffff,0x3f205fff,0xffffffff,0x401effff,0xfffffffa,0xffffffff,
    0x9ffffd82,0xfffffffc,0x7ec4ffff,0xfc807fff,0xff90ffff,0xfffff9bf,
    0xffff75ff,0xfc81ffff,0xffffffff,0xff300fff,0xffffffff,0x81ffffff,
    0xfefffff8,0xffffffff,0x3fffffef,0xffffffc8,0xffffffff,0x2a000eff,
    0x05ffffff,0xfffffc80,0xffffffff,0xfffd82ff,0xffffffff,0x2a06ffff,
    0xffffffff,0xffffffff,0x7fffec0f,0xfffffffd,0x20ffffff,0x807ffffd,
    0x90fffffc,0xffffdfff,0xfffdffff,0x89ffffff,0xba9acefc,0xb04ffffe,
    0x15dfffff,0x40fdb988,0x7dc0bef8,0x30efffff,0xf90dffff,0x221357bf,
    0xffffffc9,0x3ffe2003,0x4c002fff,0xffffffff,0xffffeeef,0x7ffffcc2,
    0xfff510ae,0xff105fff,0x9bffffff,0xfffffffd,0xfffffd8b,0xffdfffff,
    0x364fffff,0xc807ffff,0xf90fffff,0xd5dfffff,0x5fffffff,0x98bffff9,
    0x2ffff400,0x2ffffff8,0x900a2000,0xa83fffff,0x5d41ffff,0xffff7000,
    0xffb800bf,0xfe8005ff,0x01dfffff,0xffd85d73,0xff100eff,0xfc81ffff,
    0x882fffff,0x1ffffffd,0x3ffffff6,0x7ffdc3ef,0x3fff66ff,0xfffc807f,
    0xffff90ff,0x7fffd4df,0xffff10ff,0xfffb000d,0xfffff30d,0x3000000d,
    0xf10dffff,0x00007fff,0x00dffffd,0x00059730,0x5ffffff7,0xfff50400,
    0xffb803ff,0x3fe22fff,0x6c02ffff,0x366fffff,0x0fffffff,0x4ffffff0,
    0x807ffffd,0x90fffffc,0x4c5fffff,0x7c4fffff,0x4c407fff,0x6fffeaaa,
    0xffffff98,0x44000002,0xfd04ffff,0xb00009ff,0x000fffff,0xffff0000,
    0x740009ff,0x8805ffff,0x323fffff,0x804fffff,0x27fffff9,0x1ffffffd,
    0x3fffff60,0x0fffffb0,0x1fffff90,0x31bffff2,0xf81fffff,0xeb887fff,
    0xffffffff,0xffff886f,0x0000cfff,0x7ffff100,0x013fffa0,0x3ffff200,
    0x0000000f,0x3fffffe6,0x3ffe0000,0xfff003ff,0x7ffecbff,0xffb001ff,
    0x3ff63fff,0x7e402fff,0xffb0ffff,0xff900fff,0x3ff21fff,0x7ffcc2ff,
    0x7ffff85f,0x7fffffcc,0x06ffffff,0xfffffffd,0x000017df,0x7ffff333,
    0xffd33333,0x2a6600bf,0xfffecccb,0x266660ff,0x99999999,0x99999999,
    0xffff5099,0x7c40009f,0xcccdffff,0xffcccccc,0x3ffa6fff,0x3ee006ff,
    0xffb2ffff,0xff700fff,0x3ff61fff,0xffc807ff,0xfff90fff,0xffff985f,
    0x27ffff84,0xbdfffff9,0x06fffeaa,0xfffffff3,0x017dffff,0x3fffb6a0,
    0xffffffff,0x6fffffff,0x3ffff6a0,0xffffffff,0xffff10ff,0xffffffff,
    0xffffffff,0x3ffee9ff,0x260003ff,0xffffffff,0xffffffff,0x3fe7ffff,
    0x2a006fff,0xfb3fffff,0xf700ffff,0x3f61ffff,0xfc807fff,0xff90ffff,
    0xfff985ff,0x7ffff84f,0x20bffff2,0x2a06fffd,0xffffffff,0x204fffff,
    0xffffffd8,0xffffffff,0x5fffffff,0xfffffea8,0xffffffff,0xfff10fff,
    0xffffffff,0xffffffff,0x3ff69fff,0x20002fff,0xfffffffa,0xffffffff,
    0xf17fffff,0x400bffff,0xb4fffff9,0x700fffff,0x361fffff,0xc807ffff,
    0xf90fffff,0xff985fff,0xffff84ff,0x41ffffa7,0x4406fffd,0xfffffffd,
    0x80efffff,0xfffffffe,0xffffffff,0x5fffffff,0x7fffffd4,0xffffffff,
    0xff10ffff,0xffffffff,0xffffffff,0x3fa9ffff,0x0002ffff,0x3ffffff2,
    0xffffffff,0x36ffffff,0x00bfffff,0xa7ffffcc,0x807ffffd,0xb0fffffb,
    0x900fffff,0x321fffff,0x7cc2ffff,0xfff84fff,0x3ffff67f,0x3ffff622,
    0xffd71006,0xffffffff,0xfffffc8d,0xffffbaac,0xaaaaaaac,0x3ffe61aa,
    0xabceffff,0xfffffdaa,0xffffff10,0xffffffff,0xffffffff,0x3fffff69,
    0x3fee0003,0xccccdfff,0xcccccccc,0xffff13cc,0x7fd400bf,0xfffb3fff,
    0xfff700ff,0x3fff61ff,0xfffc807f,0xffff90ff,0x4ffff985,0x2e7ffff8,
    0xfeffffff,0x006fffff,0xffffeb98,0xff13ffff,0xff883fff,0xfe8002ff,
    0x201dffff,0x10fffffc,0x99999999,0x99999999,0x25999999,0x04fffffb,
    0x3fffea00,0xff00002f,0x5c00dfff,0xfb1fffff,0xf700ffff,0x3f61ffff,
    0xfd807fff,0xff90ffff,0xfff985ff,0x7ffff84f,0x3fffffe2,0x6fffdfff,
    0x7fecc000,0xff34ffff,0xfff109ff,0xff88007f,0x6400ffff,0x000fffff,
    0x3fea0000,0x20006fff,0x03fffff8,0xffffd000,0x3ff6001f,0xfffb0fff,
    0xfff700ff,0x3fff61ff,0x3ff200ff,0xff90ffff,0xfff985ff,0x7ffff84f,
    0x7fffff4c,0x00dfff2f,0x3ffff600,0x7ffff56f,0x0bffff10,0xfffff980,
    0xffffd804,0x0000000f,0x3fffffe6,0x3ffe0003,0xb00006ff,0x007fffff,
    0x4ffffff1,0x807ffffd,0x90fffffb,0x205fffff,0xfffffffb,0x85ffff90,
    0xf84ffff9,0x77507fff,0x00998835,0xffff5000,0x3fffeebf,0xfffffa83,
    0x3ffea000,0x7fe405ff,0x0000ffff,0xfff10001,0x0003ffff,0x0ffffffa,
    0x3ffee000,0x7ec00fff,0x3f64ffff,0xfb807fff,0xff70ffff,0xfb88bfff,
    0x0fffffff,0x985ffff9,0xff84ffff,0x000007ff,0xffe80053,0xfff73fff,
    0xffff889f,0x3e6004ff,0xb00fffff,0x1fffffff,0x77fec400,0x7ffdc001,
    0x4c04ffff,0x3fffea3c,0x204002ff,0xeffffff8,0xfffff901,0x7fffec1f,
    0xffffb807,0xfffff50f,0xffff97ff,0x21ffffff,0x4c2ffffc,0xff84ffff,
    0x000007ff,0x8135bff5,0xfffffca8,0xdffff51f,0x3ffffa21,0x5b883fff,
    0x3fffffe2,0xffeb88be,0x00ffffff,0x3fffffa0,0x7fff4000,0xcdefffff,
    0x6c3fffec,0xaeffffff,0xfb733309,0xfffff70b,0xffb79bff,0xd87fffff,
    0xb807ffff,0x3a0fffff,0xffffffff,0xfffeffff,0xffff90ff,0x4ffff985,
    0x367ffff8,0xeeeeeeee,0x1eeeeeee,0x3fffffea,0xfffffeff,0x3fe26fff,
    0xfffdffff,0xffffffff,0x6c6ffedd,0xffffffff,0xffffffff,0xf5000fff,
    0x009fffff,0xffffff98,0xffffffff,0x7ffc43ff,0xffffffff,0x05ffffff,
    0xfffffffd,0xffffffff,0xffffb0df,0xffff700f,0x7fffd41f,0xffffffff,
    0x90ffffe8,0xf985ffff,0xfff84fff,0x3ffffa7f,0xffffffff,0x3fea1fff,
    0xffffffff,0x0effffff,0x7fffffec,0xfff8dfff,0xffffffff,0x7ffffc46,
    0xffffffff,0x00fffffa,0xffffff50,0xfff5000b,0xffffffff,0xf507ffff,
    0xffffffff,0xbfffffff,0x3ffffe60,0xffffffff,0xffd80eff,0xffb807ff,
    0x7fe40fff,0xefffffff,0x21ffffd1,0x4c2ffffc,0xff84ffff,0x3fffa7ff,
    0xffffffff,0x3ea1ffff,0xffffffff,0x0effffff,0xffffff88,0x3ffea5ff,
    0x6fffffff,0xffffffb8,0xfd1fffff,0x26001fff,0x03ffffff,0xffff9100,
    0xffffffff,0x3ff6207f,0xffffffff,0x2205ffff,0xfffffffc,0x203fffff,
    0x807ffffd,0x80fffffb,0xfffffffa,0x87ffff44,0x4c2ffffc,0xff84ffff,
    0x3fffa7ff,0xffffffff,0x3661ffff,0xffffffff,0x401cffff,0xdfffffd8,
    0x7ffff4c0,0xd103efff,0x9fffffff,0x07ffff41,0xdffffb00,0xfdb30000,
    0xbfffffff,0xffea8015,0xffffffff,0xfd9802ce,0xdeffffff,0x7fffec01,
    0xffffb807,0x2aea200f,0xfffc8001,0x7fffcc2f,0x07ffff84,0xa9880000,
    0x09aacbaa,0x00dd4c00,0x04d5dd4c,0x1abb9880,0x36e00000,0x800000be,
    0x0019aaa8,0x2af2e620,0x4c40001a,0x000009bb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x01000019,0x0fbbbb20,0xddddd000,
    0x77777541,0xddd5002e,0x77744bdd,0xeeeeeeee,0x4eeeeeee,0x26666200,
    0x54400000,0x26001acb,0x005eeeee,0x4eeeee98,0x01333300,0x00000000,
    0x640dedc4,0x3222eeee,0x03efffff,0x3fffb2a0,0xfff901ce,0x7c4000bf,
    0xffe87fff,0x4400ffff,0x22ffffff,0xfffffff9,0xffffffff,0x2a005fff,
    0x0006ffff,0xfffffd90,0xff003bff,0x8005ffff,0x02fffffd,0x04ffff88,
    0x4001fa80,0xfe8800eb,0x7fec4fff,0xffff53ff,0x809fffff,0xffffffd8,
    0x7dc0cfff,0x20006fff,0x886ffff9,0x05ffffff,0x27ffffec,0x3fffffe6,
    0xffffffff,0x2005ffff,0x006ffffa,0x7ffff4c0,0x3fffffff,0x7ffffdc0,
    0x3ffe2005,0xff1007ff,0xfa8007ff,0xff7001ff,0xfffd801d,0x3ff63fff,
    0xffffbbff,0x5fffffff,0xffffff10,0x8dffffff,0x007ffffa,0x17fffea0,
    0x7fffffd4,0xfffff503,0xfffff30d,0xffffffff,0x00bfffff,0x037fffd4,
    0xfffff900,0xfffdb79b,0x3fe201df,0x5000ffff,0x009fffff,0x0017fffc,
    0x01fffff5,0x0effffb8,0x3fffffe0,0x3ffff67f,0xfffffffe,0x80ffffff,
    0xeffffffd,0x23ffffff,0x00fffff9,0x9ffff700,0x7ffffec0,0x7fffc40f,
    0xfff981ff,0xffffffff,0x3fffffff,0x3fffea00,0xfff70006,0x7fec405f,
    0x3fff606f,0xffb003ff,0x05b03fff,0xe885ffff,0xffffff81,0xffff700f,
    0x7ffc03ff,0xfb2fffff,0xffffffff,0xfffff97d,0xffffb89f,0x3fff222e,
    0x3fffe0ff,0xff90001f,0x7f4405ff,0x7ec5ffff,0x0004ffff,0xffffff88,
    0x7ffd4005,0xff98006f,0xeeeee9df,0x9fff70bd,0x3ffffea0,0xffff8806,
    0x0dffa86f,0xfa87fffa,0xffff985f,0x7fdc0fff,0x6c02ffff,0x3fffffff,
    0xfffffffb,0xffff985d,0x7ffff47f,0x3ffffd01,0x417ffff4,0xfc809999,
    0x7cc01fff,0xf53fffff,0x000dffff,0xfffffd10,0xffa8001d,0xfe8006ff,
    0xfffff16f,0x3fee1fff,0xfffff01f,0xfffb803f,0xfffe83ff,0x21fffb1e,
    0x982ffffd,0x0fffffff,0x5ffffff7,0xfffff300,0x3fff69ff,0xfd01ffff,
    0xfff8ffff,0x3fff205f,0x3ffff62f,0x2ffffc43,0x007fffec,0x7fffffdc,
    0x0ffffff9,0xfffd8000,0xa8001fff,0x4006ffff,0xff11fffb,0x4bfffd9f,
    0xff906ffe,0xfe809fff,0x7dc0ffff,0xfcbfffff,0xffffe9ff,0xffff306f,
    0xffff9fff,0x7d4005ff,0xfb3fffff,0x405fffff,0x10fffffb,0x4c07ffff,
    0x3f24ffff,0x7fdc5fff,0x7ff40fff,0x3ffa007f,0xffffffff,0xfb80003f,
    0x002fffff,0x0dffff50,0x224ffd80,0x9bfea6ff,0xf880fff9,0x2607ffff,
    0x884fffff,0xfffffffc,0xffffffff,0x3fe602df,0xffffffff,0xfd8002ff,
    0xffb2ffff,0xfb807fff,0xff31ffff,0x7fc407ff,0x3ffee4ff,0x7ffff46f,
    0x37fffc2f,0xfffff100,0x00bfffff,0xfffff300,0x4cccc09f,0xfffb9999,
    0x999999ef,0x8bffa099,0x3fea6ff8,0xd817ffc6,0x902fffff,0x403fffff,
    0xffffffb8,0x1dffffff,0xfffff300,0x005fffff,0x3ffffee0,0x0fffffb0,
    0x15555510,0x81bfffe2,0x2a2ffffb,0x3e27ffff,0x225fffff,0x4005ffff,
    0xfffffffa,0x440000ff,0x06ffffff,0x3fffffe2,0xffffffff,0xffffffff,
    0x441fff14,0xffeb9eff,0xa81ffec3,0xf05fffff,0x400dffff,0xffffffeb,
    0xf98000cf,0x2fffffff,0x3fff2000,0x3ffff67f,0xfff00007,0x3ff601ff,
    0x3ffe61ff,0x3fffee7f,0xfff10fff,0xffb0009f,0x005fffff,0xfffffb00,
    0x7ffc401f,0xffffffff,0xffffffff,0xfff34fff,0xffffff88,0x05ffb83e,
    0x03fffffe,0x07fffff3,0x7ffff540,0x0000cfff,0xfffffff9,0x3fa20003,
    0x3ff62fff,0xd00007ff,0x9819ffff,0x7c0fffff,0xffb0ffff,0x267fffff,
    0x8003ffff,0xfffffffc,0x7fe40002,0x4402ffff,0xffffffff,0xffffffff,
    0x34ffffff,0xfff88fff,0xfb80efff,0x3fff205f,0x7ffe42ff,0x7dc400ff,
    0xffffffff,0x2001dfff,0xfffffffb,0x74c001ff,0x7ec4ffff,0x00007fff,
    0x9ffffff5,0x5fffff95,0x15fffff0,0xffffffff,0x0bfffead,0xfffff500,
    0x0001ffff,0x3fffffea,0xffff8803,0xffffffff,0xffffffff,0x1fff14ff,
    0x7ec77fc4,0x03ffd84f,0x97ffffe6,0x05fffff8,0x3fffff22,0xffffffff,
    0x5c01dfff,0xffffffff,0x32e01fff,0xeffffffc,0x3ffffec0,0xfffb0000,
    0xffffffff,0x3fff60df,0xcffffbaf,0xffc8ffff,0x3e2001ff,0xffffffff,
    0xff88006f,0x1005ffff,0x99999999,0x99fffffb,0x45999999,0x3fe22ffe,
    0xe81fff16,0x7fec01ff,0xfff50fff,0x7fe405ff,0xffcbffff,0xfffffe9f,
    0x3fffee06,0xffffffff,0xfffff00f,0xfb01bfff,0x0000ffff,0x7fffff44,
    0x00dfffff,0xfb7ffff9,0xffff59ff,0x00ffff97,0xffffffe8,0x004fffff,
    0x77fffff4,0x3ea00000,0x6c006fff,0x9bfe24ff,0x3fe64ffd,0x7ffd400f,
    0xffffb3ff,0xffff880d,0x11fffb1e,0x205ffffb,0xaffffffb,0xfffffff9,
    0xffffff80,0x3fff601e,0xc800007f,0xffffffff,0x7fffdc03,0xf8affffd,
    0xfffdefff,0x3fff2007,0xffffbdff,0xffb001ff,0x0003ffff,0x6ffffa80,
    0x8fffdc00,0x3fea6ff8,0x00dffd0f,0x23bffffe,0x803fffff,0x3fa0dffa,
    0x1bfea1ff,0x7fffffdc,0x3ffffe62,0x6f7fc0ff,0xfffd802c,0x1000007f,
    0x00359953,0x3fffffea,0xfffb0fff,0x00bfffff,0x3fffffea,0xffffffd0,
    0xffffb801,0x800003ff,0x006ffffa,0xff16ffe8,0xfbbffe8d,0xff9001ff,
    0xffff9fff,0x20b6001f,0x7441fffe,0xfffffb81,0xffff982f,0x00060fff,
    0x03ffffec,0x80000000,0xfffffff9,0x3fffea5f,0x8804ffff,0x23ffffff,
    0x5ffffff8,0x3ffffe60,0x5000005f,0x000dffff,0x001bfff1,0x8013ffee,
    0xfffffff9,0x80005fff,0x2002ffff,0x02fffffe,0x3fffffe6,0xffd80001,
    0x000007ff,0xfff10000,0x445fffff,0xffffffff,0xffffe803,0xffffb85f,
    0xfff883ff,0xffffffff,0x6fffffff,0x3fffea00,0xfff70006,0x7ff4c07f,
    0xffe8006f,0x2fffffff,0x7ffc4000,0x3fa2003f,0xff9802ff,0xb00001ff,
    0x000fffff,0x3bbbbb60,0xeeeeeeee,0xffff81ee,0x7ec0ffff,0x02ffffff,
    0x7fffffe4,0xfffffb00,0xffffb83f,0xffffffff,0x06ffffff,0x1bfffea0,
    0xffffb800,0xfffdccef,0xa8000eff,0xffffffff,0xff880007,0x744004ff,
    0x3fe6002f,0x3f600001,0x00007fff,0xfffffffd,0xffffffff,0xfffffb03,
    0xffff50bf,0x7d403fff,0x202fffff,0x6ffffff8,0x7fffffdc,0xffffffff,
    0x2006ffff,0x006ffffa,0x7ffff4c0,0x3fffffff,0x7fffc000,0x0004ffff,
    0x00133330,0x33000510,0xffd80000,0xd00007ff,0xffffffff,0x3fffffff,
    0xffffff90,0xfffff107,0x3fe201ff,0xb805ffff,0x24ffffff,0xfffffffb,
    0xffffffff,0x2a006fff,0x0006ffff,0xfffffd70,0x00001bff,0xfffffff9,
    0x00000003,0x00000000,0x3ffff600,0xffd00007,0xffffffff,0x703fffff,
    0x01ffffff,0x1ffffff6,0xffffffe8,0xffffb000,0x3ffee5ff,0xffffffff,
    0x6fffffff,0x3bbbaa00,0xb9800005,0x400000ab,0x6ffffff9,0x00000000,
    0x00000000,0x1fffff60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0xa8800188,0xa8801abb,0x00aacccb,0x00000100,0x006aaaa2,0x13797530,
    0xccc98000,0x332e001c,0xcccccccc,0xcccccccc,0x8000000c,0x40999998,
    0x80199999,0x88000018,0x00999999,0x40bd5000,0x9801ffb8,0xfffffffd,
    0xffffd03e,0x03bfffff,0x30067e40,0xff91007f,0x2a009fff,0xffffffff,
    0xffb0000d,0x7f400dff,0xffffffff,0xffffffff,0xffff91ff,0xffffffff,
    0xffffffff,0x3fffff21,0x3fffffc2,0xefffed98,0xfd100002,0x007fffff,
    0x1ffff540,0x037fffdc,0xffffff91,0xf0bfffff,0xffffffff,0xf3003fff,
    0xfd019fff,0xff9307ff,0x809fffff,0xffffffd8,0x003fffff,0x7fffffd4,
    0xffffd003,0xffffffff,0x3fffffff,0x3ffffff2,0xffffffff,0x90ffffff,
    0xf85fffff,0xfa87ffff,0xdfffffff,0x33332a00,0xfffff900,0x3ee0007f,
    0x7d40ffff,0xf303ffff,0xffffffff,0xff89ffff,0xffffffff,0xffe807ff,
    0xfffc85ff,0xfffb30ff,0x09ffffff,0xffffffd8,0x1fffffff,0x3ffffa00,
    0xfe800fff,0xffffffff,0xffffffff,0xffff91ff,0xffffffff,0xffffffff,
    0x3ffffee1,0x37ffff41,0x3fffffe6,0x900effff,0x5401ffff,0x03ffffff,
    0xdffffd00,0x1fffff90,0x3fffff20,0x6fffffff,0x6555e77c,0x01ffffff,
    0x03ffffee,0x43fffff3,0xfffffff9,0x3ea04fff,0xcbcdffff,0x006fffff,
    0xfffdfff9,0xdddb00bf,0xdddddddd,0xdddddddd,0x3fffff23,0xffffffff,
    0x0fffffff,0x83fffff7,0x6c6ffffe,0xffffffff,0xfd80efff,0xfe8807ff,
    0x8003ffff,0x43fffff8,0x05ffffe8,0xffa82bba,0x8020ffff,0x02fffffb,
    0x87fffff1,0x84ffffe8,0xfffefffe,0x3ffe04ff,0xfff883ff,0x7fc402ff,
    0xffffbaff,0x00000002,0x99999995,0x99999999,0x2a1fffff,0x6c0fffff,
    0x3e25ffff,0xffefffff,0x221fffff,0x2007ffff,0x03fffffc,0xfffffb80,
    0x7ffffcc0,0x7ff40102,0xf5000fff,0x7f40ffff,0xffc85fff,0x5df706ff,
    0x413ffffe,0x206ffff8,0x404ffffc,0x3fa6fffd,0x00000eff,0xe8000000,
    0xff50ffff,0xffd81fff,0x3ffee5ff,0x3fffa64f,0xfffcdfff,0x7d4004ff,
    0x8003ffff,0xc86ffffd,0x000effff,0x1bffffe2,0x7ffffd40,0xfffff705,
    0xfffffa81,0xfff85101,0xfff504ff,0x7ffcc07f,0x3ffea05f,0x3fffea1f,
    0x00000004,0xfffe8000,0xfffff30f,0x49ffff90,0x440ffffc,0xfffffffe,
    0x001fffff,0x3e200000,0xfe83ffff,0x36004fff,0xd03fffff,0xfffffffd,
    0xffff101b,0xffff885f,0x7ffc003f,0xfff704ff,0xffff805f,0x17fffa06,
    0x007ffffa,0x00000000,0x21ffffd0,0xc87ffff9,0x3f64ffff,0xffd107ff,
    0xffffffff,0x0000000d,0x3fffff50,0x1fffff98,0xfffffd80,0x3ffffe06,
    0xfb01dfff,0xffb0bfff,0xff000bff,0x3ea09fff,0x3e604fff,0xff705fff,
    0xfff301ff,0x2aaaa0df,0xaaaaaaaa,0xaaaaaaaa,0xffd00000,0x3ffe21ff,
    0xffffb86f,0x017bbb63,0xfffffffb,0x000001df,0xffff1000,0xffff885f,
    0x3ff6203f,0x3e01ffff,0xffffffff,0x3ffe21ef,0x7ffc42ff,0xff8003ff,
    0xff304fff,0x7fe40fff,0xfff884ff,0x3fff204f,0xffffe82f,0xffffffff,
    0x1fffffff,0xfffd0000,0x37fffc1f,0x01ffffdc,0x3fffaa00,0x000004ff,
    0x3fff6000,0xffffd85f,0x3fffa206,0x66401fff,0xfffffeec,0x7fffdc6f,
    0x7fffdc0f,0x7ffc000f,0xfff104ff,0xffd103ff,0xfffb05ff,0x7ffc401f,
    0x7fff40ff,0xffffffff,0xffffffff,0xffd00001,0x7fffc1ff,0x2ffffa85,
    0x15530000,0x00000000,0x0fffffb8,0x0fffffd4,0xfffffe88,0xfb10000e,
    0xfe83ffff,0xffd85fff,0x7fc005ff,0x3f604fff,0xa9abffff,0x986ffffe,
    0xb803ffff,0x7f44ffff,0xffffffff,0xffffffff,0x000001ff,0x30799990,
    0x00039999,0x00000000,0xffff9800,0x7fffc42f,0xffff303f,0x500009ff,
    0x989fffff,0x442fffff,0x003fffff,0x813ffffe,0xfffffff8,0x1fffffff,
    0x006fffe8,0xe87ffffa,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x7fff4000,0xffffd85f,0xfffff506,0x555555bf,0x7ffdc005,
    0xfffc83ff,0x7ffdc0ff,0xfff001ff,0xffa809ff,0xffffffff,0xfffb83ff,
    0x3fea002f,0x000006ff,0x00000000,0x00000000,0x00000000,0x81fffff9,
    0x81fffffa,0xfffffff9,0x5fffffff,0x755799b5,0x3ffffffb,0xbffffd10,
    0x0dffffb0,0xffffffff,0x0bffffff,0xffffffb1,0x2aa03dff,0xaa8002aa,
    0x00000aaa,0x00000000,0x00000000,0x00000000,0x17ffffcc,0x13ffffe2,
    0x7fffffd4,0xffffffff,0xffffff75,0x9fffffff,0x7ffffd40,0x7ffffc42,
    0x7fffffc4,0xffffffff,0x3bb2e605,0x000002bc,0x00000000,0x00000000,
    0x00000000,0x90000000,0xf909ffff,0x7d40dfff,0xffffffff,0xf75fffff,
    0xffffffff,0xfb009fff,0xfb81ffff,0x3fe0ffff,0xffffffff,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd980000,0x07ffaa06,
    0xffffffa8,0xffffffff,0xffffff75,0x0039ffff,0x4077ffe2,0x7fc0bffd,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06a00000,0x33100ee0,0x33333333,0x2a213333,0x1aabccca,0x80397000,
    0x333300b8,0x33333333,0x00000133,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03750000,0x00005d44,0x26666620,
    0x99988019,0x99999999,0x2aaaaa09,0xaaaaaaaa,0xffffff0a,0xffffffff,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ffffa20,0x00bfffe6,0x7fffcc00,0xfa802fff,0xffffffff,0x3ffe5fff,
    0xffffffff,0xffff3fff,0xffffffff,0xffffffff,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff2000,0x7fff41ff,0xf980007f,
    0x00efffff,0xffffff50,0x4bffffff,0xffffffff,0xf3ffffff,0xffffffff,
    0xffffffff,0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x7c3fffff,0x001fffff,0x3ffffe60,0x7fd4004f,0xffffffff,
    0x3fffe5ff,0xffffffff,0xfffff3ff,0xffffffff,0xffffffff,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,0x7ffffc2f,
    0xff30000f,0x0005ffff,0xddddddd3,0x7c9ddddd,0xffffffff,0x993fffff,
    0x99999999,0x99999999,0x99999999,0x00000003,0x00000000,0x00000000,
    0x00000000,0x3e600000,0xffb86fff,0xf30005ff,0x003dffff,0x3ba00000,
    0xeeeeeeee,0x0002eeee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5c033b66,0xf30003ee,0x0009ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_48_latin1_x[224]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,5,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_48_latin1_y[224]={ 35,1,1,4,-1,1,2,1,0,0,1,10,26,19,
26,1,3,4,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,11,11,11,11,11,11,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,35,10,-1,3,4,4,
-4,1,1,3,3,12,19,19,1,2,1,6,1,1,1,11,1,17,35,1,3,12,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,6,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_48_latin1_w[224]={ 0,8,17,26,23,27,28,8,16,16,21,24,14,16,
10,23,25,22,22,21,26,21,23,22,22,23,10,13,20,21,20,17,27,27,22,23,24,19,19,24,23,20,18,23,
20,25,23,26,22,27,23,22,24,23,27,26,27,27,22,13,23,13,24,27,17,22,22,20,23,22,25,24,21,21,
20,23,21,25,21,24,22,23,21,20,22,21,26,27,26,26,20,19,6,18,25,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,24,26,26,
6,23,22,27,17,22,22,16,24,20,18,22,16,16,25,23,24,10,8,16,18,21,27,27,27,17,27,27,27,27,
27,27,27,23,23,24,23,23,23,24,23,23,26,25,26,26,26,26,26,22,26,25,25,25,25,27,22,23,24,25,
24,24,24,24,26,20,24,25,24,24,24,25,24,24,24,24,25,25,25,25,25,24,24,24,25,24,24,26,22,26,
 };
static unsigned short stb__consolas_bold_48_latin1_h[224]={ 0,35,13,31,42,35,34,13,45,45,22,24,18,6,
10,40,33,31,32,33,31,32,32,31,33,32,26,34,28,15,28,35,44,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,41,31,33,31,32,31,31,31,31,31,45,40,45,16,5,11,26,35,26,35,26,34,35,34,35,
45,34,34,25,25,26,35,35,25,26,33,25,24,24,24,34,24,45,49,45,12,31,31,31,31,31,31,31,31,31,
31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,31,0,35,42,32,31,31,
49,40,11,33,25,20,13,6,24,10,17,29,20,20,11,34,40,10,7,20,25,20,34,34,34,35,40,40,40,40,
40,41,31,39,40,40,40,40,40,40,40,40,31,40,41,41,41,41,41,22,42,41,41,41,41,40,31,35,35,35,
35,35,35,38,26,32,35,35,35,35,34,34,34,34,35,34,35,35,35,35,35,26,35,35,35,35,35,44,44,44,
 };
static unsigned short stb__consolas_bold_48_latin1_s[224]={ 251,239,186,22,1,125,150,243,34,120,195,
118,240,71,243,138,201,155,116,227,29,139,161,132,1,48,245,205,201,141,222,
235,187,56,155,131,178,234,203,78,223,1,72,49,73,94,84,51,120,101,108,
155,130,24,1,222,194,166,143,86,97,72,116,88,230,49,76,97,178,118,25,
77,26,103,51,1,234,210,166,141,230,52,1,1,178,188,168,42,70,207,97,
100,1,15,204,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,
105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,105,251,242,52,
91,28,1,8,211,1,103,236,57,163,71,143,50,97,178,23,40,24,219,57,
243,242,80,23,1,179,98,126,236,211,1,29,110,157,73,206,146,25,162,133,
187,1,121,49,73,78,185,129,156,183,106,1,217,25,28,54,80,210,82,55,
202,1,26,52,226,102,170,22,185,52,1,220,195,154,179,48,1,27,73,178,
204,124,152,77,72,27,99,1,127,153,137,164,215, };
static unsigned short stb__consolas_bold_48_latin1_t[224]={ 1,94,579,462,51,218,290,290,1,1,553,
553,553,600,304,136,361,494,396,361,494,396,396,494,396,396,177,290,494,579,494,
136,1,494,430,361,430,396,430,361,430,462,396,462,462,462,494,361,462,51,494,
361,430,396,494,462,462,462,462,1,177,1,579,600,579,526,290,526,218,526,361,
254,326,218,1,361,326,526,526,526,254,290,553,526,361,526,553,553,553,326,553,
1,1,1,579,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,
430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,430,1,1,51,
396,430,430,1,136,600,361,526,579,579,600,553,600,579,494,579,579,600,290,136,
494,37,579,553,579,326,326,326,51,94,136,136,136,94,51,396,177,177,136,94,
136,177,177,177,177,430,94,51,51,51,94,94,553,51,94,94,94,51,136,430,
218,254,254,254,218,254,177,526,396,218,218,177,177,326,290,326,326,218,326,254,
254,290,254,218,526,290,290,290,254,218,1,1,1, };
static unsigned short stb__consolas_bold_48_latin1_a[224]={ 422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_48_latin1(stb_fontchar font[STB_FONT_consolas_bold_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_48_latin1_s[i] + stb__consolas_bold_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_48_latin1_t[i] + stb__consolas_bold_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_48_latin1_x[i];
            font[i].y0 = stb__consolas_bold_48_latin1_y[i];
            font[i].x1 = stb__consolas_bold_48_latin1_x[i] + stb__consolas_bold_48_latin1_w[i];
            font[i].y1 = stb__consolas_bold_48_latin1_y[i] + stb__consolas_bold_48_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_48_latin1_s[i] + stb__consolas_bold_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_48_latin1_t[i] + stb__consolas_bold_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_48_latin1_x[i] + stb__consolas_bold_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_48_latin1_y[i] + stb__consolas_bold_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_48_latin1_LINE_SPACING
#endif

