// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT        440
#define STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_45_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_45_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_45_latin1_LINE_SPACING          21

static unsigned int stb__courier_bold_45_latin1_pixels[]={
    0x00054000,0x01999880,0x000cccc4,0x03bb1000,0x00007d91,0x00000000,
    0x00020000,0x0005cc00,0x06e20000,0x00020000,0x40000000,0x00007fd8,
    0x320ffffd,0x007fffff,0x1bff6000,0x1007ffee,0x000007fb,0x005dd710,
    0x0eea8000,0x7ff40000,0x30000001,0x80000dfd,0xa8000ee9,0xffff11ef,
    0x8003bfff,0x0004ffe9,0x10ffffd0,0x0fffffff,0x7ff40000,0x02fffc87,
    0x000fffdc,0xfdff1000,0x200000bf,0x003ffffc,0x0fffea00,0xff500000,
    0x6400007f,0x4003ffff,0xfff16fff,0x00bfffff,0x002fffd4,0x0ffffd00,
    0xfffffff1,0x7d400000,0x06fe883f,0x005fffb8,0xc8bee000,0x2600001f,
    0xeffffffe,0xff500000,0x2000009f,0x0003fffc,0xfffffd30,0x3fe001df,
    0xfffff16f,0x2e009fff,0x00003fff,0x983ffff4,0x007fffec,0x20044000,
    0xffff1000,0x3a000003,0x0001fcc7,0xa9efffb8,0x0002ffff,0x00bffd30,
    0x1fffd800,0xfff70000,0x5ffff53d,0x22ffff00,0xbdeeffff,0x2fff9800,
    0x00000000,0x0000ffff,0xd8000000,0x00004fff,0x0fdc3f90,0x7ffcc000,
    0x07ffec43,0xffe88000,0xff500003,0x2600001d,0x7ec43fff,0x7ffc00ff,
    0x00dfff17,0x0003be60,0xff800000,0x0000007f,0x7fcc0000,0x800000ff,
    0x06fccff8,0x03bd1000,0x00002f54,0x80000f5c,0x400004d8,0x3aa01de8,
    0x17fff805,0x0000dfff,0x00000000,0x0107fff8,0x99995100,0x665cc037,
    0xffd80acc,0x5000004f,0x0003bffd,0x00000000,0x00000000,0x00000000,
    0x7c5fffe0,0x000006ff,0x6665c400,0xcccccccc,0x4ffff00c,0x1bdfffdb,
    0xfffffd80,0xfffb82ff,0xf985ffff,0x00000fff,0x00000260,0x00000000,
    0x00000000,0x00000000,0x3fe2ffff,0x332a206f,0x2e601bcc,0x220acccc,
    0xffffffff,0x01ffffff,0xfff7ffff,0x7fffffff,0x3ffffe20,0xffe84fff,
    0xd07fffff,0x00007fff,0xa8800000,0x81bccccc,0xacccccb9,0x3fb2e000,
    0x00002cdf,0x59bffd97,0x3b2e0000,0x2002cdff,0xfff17fff,0x7fffec0d,
    0xffb82fff,0x2a5fffff,0xffffffff,0x01ffffff,0xffffffff,0xffffffff,
    0xffff901d,0xff503fff,0x209fffff,0x0007fffa,0xcccccb98,0x44000ccc,
    0xffffffff,0x3ffff23f,0x400fffff,0xffffffea,0x50001eff,0xfffffffd,
    0x2a0003df,0xfffffffe,0xfff801ef,0x20dfff17,0xfffffff8,0xffffe84f,
    0x7ff47fff,0xffffffff,0xfff01fff,0xfdffffff,0x0bffffff,0x00ffffe6,
    0x01ffffb1,0x003fffe8,0x3fffff60,0x003fffff,0x7fffffdc,0x3ffe6fff,
    0x2fffffff,0xfffff910,0x7fffffff,0x7ffe4400,0xffffffff,0x3f22003f,
    0xffffffff,0x7fc03fff,0x0dfff16f,0x7fffffe4,0xffffa81f,0xaa884fff,
    0xfeaaaaaa,0xffff01ff,0xfa883dff,0xf903ffff,0xfff00dff,0xfff7007f,
    0x7ffc000d,0xffffffff,0x7ffc4006,0x23ffffff,0xfffffffc,0xfffb00ff,
    0xffffffff,0x3600bfff,0xffffffff,0x05ffffff,0xffffffb0,0xffffffff,
    0x8b7ffc0b,0x7cc06fff,0x6c403fff,0x0000ffff,0x7c07fff6,0x4403ffff,
    0xf106fffd,0x7dc05fff,0x3fe007ff,0xfb0002ff,0xffffffff,0xa88003ff,
    0x80aaffff,0x2ffffaa8,0x3ffffee0,0x3ffee60b,0x7fdc02ff,0x2e60bfff,
    0x402fffff,0x0bfffffb,0x3ffffee6,0x229ffb02,0xfc806fff,0xfff806ff,
    0x7ec0003f,0xffff01ff,0x3ffe200b,0xdfff900f,0x01ffffc0,0x00dfff70,
    0x7fd554c0,0x005fffff,0x006fff88,0xf881fffe,0x2600efff,0x100ffffe,
    0x401dffff,0x00ffffe9,0x01dffff1,0x07ffff4c,0xfff11dc4,0xffff100d,
    0x3fffdc05,0x7ffec000,0x03ffff01,0x817ffe40,0xb82ffff8,0x44007fff,
    0x0001ffff,0xffffff98,0x7c4000ff,0x3fe006ff,0x3fffa07f,0xfffd1006,
    0x1bfffa09,0x27fff440,0x006fffe8,0x009fffd1,0x401bffe2,0x3e06fffc,
    0x80003fff,0xff01fffd,0xffa800ff,0x3fff204f,0x1ffffc46,0x2fffe400,
    0x7ffec000,0x003fffdc,0x0037ffc4,0x3e60ffff,0x2a001fff,0x7cc1ffff,
    0x2a001fff,0x7cc1ffff,0x2a001fff,0x8801ffff,0xf1006fff,0xff705fff,
    0x360000ff,0xfff01fff,0x7fdc001f,0x3ffe204f,0x1bffee2f,0x7fffc400,
    0x3fe20001,0x6fffa9ff,0x37ffc400,0x20ffff00,0x8004fffb,0x7dc2fffd,
    0xfd8004ff,0x7ffdc2ff,0xfffd8004,0x6fff8802,0x1bfff200,0x007ffff1,
    0x07fff600,0x001ffffc,0xc805fffb,0xfff16fff,0x7e40007f,0x2e0005ff,
    0x3ffe6fff,0x3fe2001f,0x3ffe006f,0x03fff907,0x89fff500,0x8001fffc,
    0x7e44fffa,0xfa8001ff,0x222a84ff,0x22006fff,0x3ee2ffff,0x200006ff,
    0xff01fffd,0xf5003fff,0xf8803fff,0xfffbafff,0x7fcc0006,0xfd0000ff,
    0x7ffdc5ff,0x3ffe2005,0x1fffe006,0x8003fff4,0x7f45fff8,0xff10007f,
    0x07ffe8bf,0x8bfff100,0xfff14ffd,0xfffc800d,0x07ffff16,0x7ffec000,
    0xffffff01,0x7fffdc05,0xdfff7006,0x0007ffff,0x009fffb0,0x88ffff30,
    0x1000ffff,0x7c00dfff,0xdfff07ff,0x3fffc000,0x8001bffe,0x7ffc7fff,
    0x3ffe0006,0xf8b7ffc7,0x7c4006ff,0xfffbafff,0x7ec00006,0xffff01ff,
    0xb759dfff,0x01ffffff,0x3ffffe20,0x300006ff,0x8001ffff,0xfd84fffd,
    0xff1003ff,0x7ffc00df,0x06fff887,0x89fffe00,0x20006fff,0x3fe27fff,
    0x3fe0006f,0x8b7ffc7f,0xb8006fff,0xffffefff,0x7ec00003,0xffff01ff,
    0xffffffff,0x005fffff,0xffffffb8,0x3fa00003,0x3e2003ff,0xffa80fff,
    0xfff1006f,0x3fffc00d,0x0007fff8,0xff8dfff1,0xff10007f,0x07fff8df,
    0x8dfff100,0xfff17fff,0xfff1000d,0x000dffff,0x03fffb00,0x3ffffffe,
    0xffffffff,0xff88001e,0x00006fff,0x003fffd4,0x555ffff7,0x3ffff555,
    0x0dfff100,0xd83fffc0,0x98000fff,0x7fec5fff,0xff98000f,0x07ffec5f,
    0x2fffcc00,0x7fc5fffe,0xff70006f,0x0007ffff,0x03fffb00,0x3ee3fffe,
    0x3fffffff,0x7ffdc000,0xe800003f,0xfd003fff,0xffffffff,0x00bfffff,
    0x400dfff1,0xff907fff,0xff70005f,0x2fffc87f,0x3fffb800,0x0017ffe4,
    0x3e1fffdc,0xdfff17ff,0x3ffe2000,0x000006ff,0x3e03fffb,0x55d4c7ff,
    0xf9000009,0x00000dff,0x201bffea,0xfffffff9,0xffffffff,0x7fff800f,
    0x0dfff100,0x001bffea,0xa85ffff1,0x44006fff,0x7d42ffff,0x7c4006ff,
    0x7ffc2fff,0x00dfff17,0x1ffffdc0,0xffd80000,0x0ffff01f,0x3e200000,
    0x00002fff,0x00bfffe0,0xfffffffb,0xffffffff,0xfffb007f,0x9fff5001,
    0x0ffffe20,0x0efffc80,0x01ffffc4,0x81dfff90,0x003ffff8,0xf03bfff2,
    0x3ffe2fff,0x3ff20006,0x2000006f,0xff00ffff,0x000000ff,0x001bfff2,
    0xdfff7000,0x67fffc40,0xcccccccc,0xc806fffc,0x74405fff,0x3ee03fff,
    0xfb802fff,0xff702fff,0xff7005ff,0x3fee05ff,0xffb802ff,0x7fff82ff,
    0x000dfff1,0x00bfffe2,0x7ffd4000,0x01fffe06,0x3fe20000,0x000002ff,
    0x817fffc4,0x2005fffb,0x4c01fffe,0x880dffff,0x400ffffe,0x204ffffd,
    0x405ffffd,0x204ffffd,0x405ffffd,0x204ffffd,0xf05ffffd,0x3ffe2fff,
    0x800bdeef,0x0006fffc,0xfffea880,0x01fffe04,0xccca8800,0x2cffffec,
    0x7e400000,0xfffd06ff,0x7ffdc005,0xffffb805,0xfffdbbcf,0xff8802ff,
    0xdbbdffff,0x00ffffff,0x7fffffc4,0xffffdbbd,0x7fc400ff,0xdbbdffff,
    0x00ffffff,0x3fe2dfff,0x04ffffff,0x017fffc4,0xccccb980,0x1ffffffd,
    0x7fffe5c4,0x0000accc,0xfffffffd,0x005fffff,0x7ffc4000,0xfffd911f,
    0x91019dff,0xbdfffffd,0xfffffd80,0x5fffffff,0x3fffea00,0xffffffff,
    0xff5001ef,0xffffffff,0x2003dfff,0xfffffffa,0x1effffff,0x7c5bffe0,
    0x5fffffff,0xfd999951,0x80059fff,0xfffffff9,0xf82fffff,0xffffffff,
    0xff0004ff,0xffffffff,0x0000bfff,0x93fffc80,0xffffffff,0xffffb07f,
    0x807fffff,0xfffffffc,0x88004fff,0xfffffffd,0x4000dfff,0xffffffd8,
    0x000dffff,0x7ffffec4,0x00dfffff,0xff897fd4,0xd2efffff,0xffffffff,
    0x4005ffff,0xfffffffb,0xf982ffff,0xffffffff,0xf90006ff,0xffffffff,
    0x00003fff,0xb1ffe880,0xffffffff,0xffffb09f,0x007fffff,0xffffffd3,
    0xfb80003d,0x2effffff,0x7ffdc000,0x002effff,0x7ffffdc0,0x02002eff,
    0x02666666,0xffffffff,0x00bfffff,0x7fffff44,0x3601bdff,0xffffffff,
    0x4c0003ff,0xaaaaaaaa,0x20000001,0x3ff620a8,0x80ceffff,0xffffffd8,
    0x2a2000ce,0x000009bb,0x000ddcc4,0x0ddcc400,0x5cc40000,0x0000001b,
    0xffffffc8,0x01ffffff,0x2aaaa880,0x55554400,0x00001aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0xaaaaaaaa,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0x00000002,0x40000000,0x000000ba,
    0x0005cc00,0x00000400,0x064c0000,0xc9800000,0x00200000,0x0002b800,
    0x3ff44000,0x3f200000,0xffdb5004,0x00d439df,0x0007bfe0,0x7fe40000,
    0x36200003,0x7e40002f,0x6c0000ce,0x000002ff,0x00027fdc,0x0000ee98,
    0x0002ffcc,0x4fffa800,0x3ea00000,0x3fee02ff,0xffffffff,0x2002ffed,
    0x0002fffc,0x3ff62000,0xf500000f,0x0001bfff,0x01dffff3,0x1fffcc00,
    0xffd80000,0xfc80000f,0x40003fff,0x0000effe,0x13ffee00,0xffd00000,
    0xfffb105f,0xffffffff,0x800bffff,0x0003fffb,0xeffe9800,0xfd880000,
    0x02ffffff,0x7ffffcc0,0x3ea0000e,0x200005ff,0x001effe8,0x7ffff4c0,
    0x10000eff,0x0003fffb,0x05fff900,0xff980000,0xfffe80ff,0xffffffff,
    0x006fffff,0x004fffa8,0x3ffe6000,0xff300005,0xfffb15ff,0xfffb800b,
    0x440002ff,0x0000effe,0x006fffc4,0x3bffee00,0x02ffffa9,0x0bfff200,
    0xeff98000,0xd8000001,0xffc84fff,0x2621bfff,0x06fffffc,0x03ffd300,
    0x3ffa0000,0x3fa00003,0x7ffdc0df,0xfffb8002,0xfd880004,0x7ec0003f,
    0xf980004f,0x7fec43ff,0x3ea0000f,0x2200007f,0x000000cd,0x40ffff98,
    0x00effff9,0x037fff4c,0x001b9100,0x00b6e000,0x405d9000,0x98001fd8,
    0x00005fff,0x500007ae,0x2200005d,0x17aa01de,0x01366000,0x00000000,
    0x84fffd80,0x000efffd,0x000dfff5,0x00000000,0x00000000,0x2fffc400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x41ffff88,0x001ffff8,
    0x00027ff4,0x00000000,0x00000000,0x0bfff100,0x00000000,0x00000000,
    0x80000000,0xbccccca8,0xccccb981,0xfc8000ac,0xfffa85ff,0x1efa8007,
    0x66665cc0,0x0000cccc,0xcccccb98,0x80000ccc,0xccccccb9,0x220000cc,
    0x2a205fff,0xcccccccc,0xcccccccc,0x6665444c,0xcccccccc,0x44cccccc,
    0xcccccca8,0xcccccccc,0x32a24ccc,0x981bcccc,0x0acccccb,0x3fffffe2,
    0x3ff23fff,0x0fffffff,0x3fffe200,0x05fffb81,0x3ff60000,0xffffffff,
    0x7fec0003,0xffffffff,0x7fec0003,0xffffffff,0x3fe20003,0x3fffe05f,
    0xffffffff,0xffffffff,0x3fffffe0,0xffffffff,0x20ffffff,0xffffffff,
    0xffffffff,0xff88ffff,0x3fffffff,0x3ffffff2,0xfff70fff,0x4dffffff,
    0xffffffff,0x3ee002ff,0xfff906ff,0x7c000007,0xffffffff,0x7c0006ff,
    0xffffffff,0x7c0006ff,0xffffffff,0x220006ff,0xff505fff,0xffffffff,
    0xffffffff,0x3ffea1ff,0xffffffff,0xffffffff,0xfffff50f,0xffffffff,
    0x1fffffff,0xfffffff7,0x7fffcdff,0x12ffffff,0xffffffff,0x7fffe47f,
    0x000fffff,0x205ffff1,0x0001fffd,0x3ffff600,0x1fffffff,0x3fff6000,
    0xffffffff,0x3ff60001,0xffffffff,0xff10001f,0x7fffc0bf,0xffffffff,
    0xffffffff,0x3fffffe0,0xffffffff,0x20ffffff,0xffffffff,0xffffffff,
    0xff88ffff,0x3fffffff,0x3ffffff2,0x3ea20fff,0x880aafff,0x02ffffaa,
    0x037ffdc0,0x0003fffb,0xfaaa9800,0x05ffffff,0x7d554c00,0x05ffffff,
    0x7d554c00,0x05ffffff,0x0ffff100,0xaefffb98,0xaaaaaaaa,0x5cc0ffff,
    0xaaaaefff,0xfffaaaaa,0x7ffdcc0f,0xaaaaaaae,0x10ffffaa,0x155ffff5,
    0xffff5510,0x1bffe205,0x007fff80,0x202fffe8,0x0001fffd,0x3ffe6000,
    0x000fffff,0xfffff300,0x00001fff,0x3fffffe6,0xff0000ff,0x22017dff,
    0xfd006fff,0xfff101ff,0x3fffa00d,0x06fff880,0x441fffd0,0x3e006fff,
    0x3fe207ff,0x3ffe006f,0x7ffd4007,0x17ffec06,0xfb000000,0x7fffb9ff,
    0x3ff60000,0x03fffdcf,0x9fffb000,0x0007fffb,0x17ffffee,0x8037ffc4,
    0xff107ffe,0x3ffa00df,0x0dfff107,0xf11fffa0,0x7fc00dff,0x3ffe207f,
    0x1fffe006,0x07fffd00,0x003fffb8,0xfff10000,0x0dfff53f,0xffff1000,
    0x00dfff53,0x3ffff100,0x000dfff5,0x1fffffe2,0x4c37ffc4,0x41bff21c,
    0xc986fff8,0x441bff21,0x1c986fff,0xff11bff2,0x7ffc00df,0x1bffe207,
    0x007fff80,0x003fffea,0x000bfff5,0x3ffee000,0x007fffe6,0x4dfff700,
    0x0001ffff,0xff37ffdc,0xfb0003ff,0x2209ffff,0x7fd46fff,0x440bfe66,
    0x7fd46fff,0x440bfe66,0x7fd46fff,0xf10bfe66,0x7fc00dff,0x3ffe207f,
    0x1fffe006,0x03fffe80,0x02ffff88,0x3a001880,0x3fee2fff,0x7f40005f,
    0x3ffee2ff,0x7ff40005,0x17ffee2f,0x33fffe00,0x1bffe201,0x4001fff9,
    0x7e46fff8,0x3e2000ff,0x7ffe46ff,0x6fff8800,0x81fffe00,0x2006fff8,
    0xf3007fff,0x32001fff,0x2001ffff,0xf9806fe9,0x7ffc47ff,0xff30000f,
    0xffff88ff,0xfff30000,0x0ffff88f,0x1bffe200,0x3bfffe20,0x01ffffee,
    0x3bfffe20,0x01ffffee,0x3bfffe20,0x01ffffee,0x006fff88,0xf881fffe,
    0x3fe006ff,0xfffb007f,0x7ffc4009,0x7dc00cff,0x7ec02fff,0xfffd84ff,
    0xfffb0003,0x07fffb09,0x13fff600,0x800ffff6,0x8805fff8,0xffffffff,
    0x22001fff,0xffffffff,0x22001fff,0xffffffff,0xf8801fff,0x3fe006ff,
    0x3ffe207f,0x1fffe006,0x03fffe60,0xfffff300,0xfd9779df,0x401fffff,
    0xa80ffff8,0x88006fff,0xfa80ffff,0xf88006ff,0xffa80fff,0x3fe2006f,
    0xfff8805f,0xffffffff,0x3ffe2001,0xffffffff,0x3ffe2001,0xffffffff,
    0x6fff8801,0x81fffe00,0x2006fff8,0xfc807fff,0xf70005ff,0xffffffff,
    0x7fffffff,0xaffffb80,0xfffaaaaa,0x7fdc001f,0xaaaaaaff,0x4001ffff,
    0xaaaffffb,0x1ffffaaa,0x0bfff100,0xffffff10,0x003fffff,0x7fffffc4,
    0x001fffff,0x3fffffe2,0x801fffff,0x2006fff8,0x3e207fff,0x3fe006ff,
    0x7ffc407f,0x3a60001f,0xffffffff,0x801effff,0xfffffffe,0x5fffffff,
    0x7ffff400,0xffffffff,0x7f4005ff,0xffffffff,0x005fffff,0x100bfff1,
    0xb333dfff,0x44003fff,0xd999efff,0x22001fff,0xd999efff,0xf8801fff,
    0x3fe006ff,0x3ffe207f,0x1fffe006,0x00bfff90,0x3fff6a00,0x03dfffff,
    0xffffff30,0xffffffff,0x3e6001ff,0xffffffff,0x0fffffff,0xfffff300,
    0xffffffff,0xf1001fff,0xff100bff,0x0fffb8df,0x3e203322,0x7ffdc6ff,
    0x22033220,0x7fdc6fff,0x8833220f,0x3e006fff,0x7ffc07ff,0xdfff1007,
    0x0ffffc40,0x3ea20000,0xd8000adf,0xffffffff,0xffffffff,0xffffb003,
    0xffffffff,0x2007ffff,0xfffffffd,0xffffffff,0xfff8803f,0x6fff8805,
    0x3f21fec4,0x6fff884f,0x3f21fec4,0x6fff884f,0x3f21fec4,0x03fffc4f,
    0x406fff88,0xa800fffd,0x3ee04fff,0x000006ff,0x20007ff1,0xcccffff8,
    0xfccccccc,0xff8806ff,0xccccccff,0x6fffcccc,0xcffff880,0xcccccccc,
    0x9806fffc,0xf8805fff,0x3fa006ff,0x6fff886f,0x21bffa00,0x2006fff8,
    0x7fec6ffe,0xfffa800f,0x2fffe404,0x0ffffa20,0x002ffff8,0x9fff1000,
    0xbfff7000,0x0ffff400,0x017ffee0,0x401fffe8,0x2005fffb,0x5c01fffe,
    0xf8804fff,0x3fe006ff,0x6fff887f,0x21fffe00,0x2006fff8,0x7fe47fff,
    0x7ff4405f,0x7ffcc03f,0xffe880df,0xfff700ff,0x4400000d,0x4002ffff,
    0x2002fffe,0x7405fffb,0x2e002fff,0x7f405fff,0x3ee002ff,0xffd505ff,
    0xff1007ff,0x7ffc00df,0x06fff887,0x221fffe0,0x3e006fff,0x7ffcc7ff,
    0xffe880df,0xffb800ff,0xfdbbcfff,0x3a02ffff,0x00003fff,0xffabcfb8,
    0xffec8804,0x880cefff,0xefffffec,0x3fffb225,0xc880ceff,0x5efffffe,
    0x3ffffb22,0xec880cef,0x25efffff,0x0ffffff9,0x3ffff6e0,0xffffffff,
    0x27ffffff,0xffffffdb,0xffffffff,0x36e7ffff,0xffffffff,0xffffffff,
    0xfffb87ff,0xffdbbcff,0x36002fff,0xffffffff,0x2a05ffff,0x00007fff,
    0xffffffb0,0xffff9003,0xb07fffff,0xffffffff,0x3ffff27f,0xd83fffff,
    0xffffffff,0xfffff93f,0xfb07ffff,0xffffffff,0x3ffffea7,0x3fffe602,
    0xffffffff,0xffffffff,0xffffff37,0xffffffff,0x2fffffff,0xfffffff9,
    0xffffffff,0xb07fffff,0xffffffff,0x000bffff,0xfffffff9,0xfc809fff,
    0x000003ff,0x09ffffb1,0x3fffff60,0xfd84ffff,0xffffffff,0xffffffb3,
    0xffb09fff,0x7fffffff,0x3ffffff6,0xffd84fff,0x3fffffff,0x30037ff6,
    0xffffffff,0xffffffff,0x3e6fffff,0xffffffff,0xffffffff,0xfff37fff,
    0xffffffff,0xffffffff,0x7ffe40ff,0x4fffffff,0x3ffa6000,0x801effff,
    0x00006ffa,0x88005300,0xeffffffd,0xfffd880c,0xb10cefff,0x9dffffff,
    0xffffb101,0x36219dff,0xceffffff,0xffffd880,0x0040ceff,0x3ffffae0,
    0xffffffff,0x27ffffff,0xffffffeb,0xffffffff,0x3ae7ffff,0xffffffff,
    0xffffffff,0x7f4c07ff,0x01efffff,0x37751000,0x00b98001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37751000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64c00000,0x98000000,0x5500000c,
    0x00020000,0x0000006a,0x00000000,0x00000151,0x40000000,0x010000c9,
    0x00000004,0xd8002f26,0x000002ff,0x00013fee,0x0000fff2,0x3a001dd5,
    0x7f5402ff,0x2a7fffff,0x77dc01ef,0x002fe981,0x9807ffa8,0xfb803ffd,
    0x02fe981e,0x04ffb800,0x222ffc40,0xefb804ff,0x902fe981,0x2001ffff,
    0x0003fffa,0x00fffd80,0x05ffe800,0x3ffff200,0x7fffcc03,0x3ffffa00,
    0x3ffe7fff,0x13ffe206,0x1001fffa,0x5c05ffff,0x200fffff,0xfe84fff8,
    0x7ec0007f,0x7e4000ff,0x3ffee1ff,0x13ffe200,0x7fc1fffa,0x2a004fff,
    0x00005fff,0x003dffd1,0x01bffe00,0x3ffffa60,0x3fe00eff,0x3ffa05ff,
    0x3e7fffff,0x3fe206ff,0x07ffe84f,0x07fffe40,0x7fffff98,0x427ffc40,
    0x10007ffe,0x0003dffd,0x7ec3fffb,0x3fe201ff,0x87ffe84f,0x06fffffa,
    0x037ff4c0,0x37ffe200,0x6d440000,0xa9adffff,0x3bffee00,0x02ffffa9,
    0x203ffff7,0xfffeeec9,0x701fffe7,0x5dd303df,0x7fffc400,0x3ffff604,
    0x1efb801e,0x8002ee98,0x000dfff8,0x743fffb0,0x7dc00fff,0x82ee981e,
    0x06fffffa,0x03ffd880,0x013ff600,0x3fffe600,0xffffffff,0x43fff981,
    0x880fffd8,0x2005ffff,0x3ffe7fff,0x00000007,0x401ffff9,0x0001fffe,
    0x3f600000,0x7f40004f,0x3fffa0ff,0x4c000000,0x006fffff,0x80007ae0,
    0xa80002ea,0xffffffff,0x883fffff,0x17aa01de,0x01ffffc8,0x7fcffff0,
    0x0000007f,0x04ffff88,0x0003fffc,0x3aa00000,0xffe80002,0x01fffe0f,
    0x3fe20000,0x00005fff,0x00000000,0xfffffff1,0xbfffffff,0xf8800000,
    0xff005fff,0x03fffcff,0x7dc00000,0x7fc01fff,0x0000007f,0x20000000,
    0x7ffc7fff,0xf0000007,0x0009ffff,0x00000000,0x33fffee0,0xffffb511,
    0x9000000b,0xf001ffff,0x3fffcfff,0xdffecb80,0x7ff4002c,0x7fff805f,
    0x33332a20,0xccb981bc,0x0000accc,0x1fffe000,0x5440dfff,0xcccccccc,
    0x7c0acccc,0x5103ffff,0x99999999,0x30159999,0x40159997,0x81bcccb9,
    0x2204fffd,0x65443fff,0xcccccccc,0xf100accc,0xff007fff,0x03fffcff,
    0x3fffffaa,0xa801efff,0xf801ffff,0xfff107ff,0x47ffffff,0xfffffffc,
    0x332a20ff,0xcccccccc,0x7fc00acc,0x1bffe27f,0x7fffffd4,0xffffffff,
    0x3fffa0ff,0xffffa83f,0xffffffff,0x3f60ffff,0x82ffffff,0xfffffffc,
    0x007fff44,0xffa83bee,0xffffffff,0x00ffffff,0xf00bfffb,0x3fffcfff,
    0xfffffc88,0x3fffffff,0x037ffdc0,0xf707fff8,0xffffffff,0x7fffffcd,
    0xff52ffff,0xffffffff,0x41ffffff,0xfffffeb8,0xffffffff,0x3ffff22d,
    0xffffffff,0x3f63ffff,0xffc82fff,0xffffffff,0x23ffffff,0xffffffff,
    0xfffffe84,0x7ffec7ff,0xfff90003,0xffffffff,0x207fffff,0xf806fffc,
    0x1fffe7ff,0x7fffffec,0xffffffff,0x17fff605,0x883fffc0,0xffffffff,
    0x3ffff23f,0xf90fffff,0xffffffff,0x7fffffff,0x7fffffdc,0xffffffff,
    0xfff50fff,0xffffffff,0x6c1fffff,0xfa81ffff,0xffffffff,0x0fffffff,
    0x3ffffff6,0xffffc82f,0x7fdc4fff,0x2000beff,0xfffffffa,0xffffffff,
    0xffff700f,0x7cffff00,0xfffb87ff,0x3ee60bff,0xfd02ffff,0x3fe007ff,
    0x3fea207f,0xa880aaff,0x542ffffa,0xffffffff,0xffffffff,0x3fffff20,
    0xffffffff,0x2a21ffff,0xffffbaaa,0xfc82aaaa,0x55101fff,0x5ffff755,
    0x36605555,0x3202ffff,0x880cffff,0xffffffff,0x554400bd,0xaffffbaa,
    0x7cc02aaa,0x7fc00fff,0x11fffe7f,0x401dffff,0x80ffffe9,0x9802ffff,
    0x7c406fff,0x3fe006ff,0x5555107f,0x555ffff7,0xfffb1055,0xffffffff,
    0x2007dfff,0xf7006fff,0xf8001fff,0xfe8006ff,0xfff106ff,0xfff980bf,
    0xefffffff,0x37ffc002,0x7fffc400,0xf3fffc01,0xfffe8fff,0xfffd1006,
    0x1ffff989,0x3ffff260,0x37ffc405,0x00ffff00,0x8006fff8,0x3ee3fffb,
    0xff8003ff,0xfff5006f,0xdfff000f,0xffff3000,0x1ffffb09,0xffffb100,
    0x09ffffff,0x0037ffc0,0x403ffff8,0x3ffe7fff,0x07fffe67,0x1ffffa80,
    0x803fffea,0x01ffffff,0x0037ffc4,0xf800ffff,0xfb8006ff,0x3fff23ff,
    0x6fff8002,0x0ffff500,0x00dfff00,0x87ffff20,0x002ffffa,0x7fffedc4,
    0xf003ffff,0x3a000dff,0x7fc04fff,0xb9fffe7f,0xd8004fff,0x3fee2fff,
    0x3ffe607f,0xff8806ff,0x3ffe006f,0x37ffc007,0x17ffe400,0x0005fff9,
    0x2600dfff,0xf8006fff,0x3a0006ff,0xfff16fff,0x510000bf,0x01fffff9,
    0x000dfff0,0xf00bfffe,0x3fffcfff,0x0003fff9,0x7d49fff5,0x3fa00fff,
    0x4402ffff,0x3e006fff,0x7fc007ff,0xffc8006f,0x07fff62f,0x01bffe00,
    0x8003ffe8,0x20006fff,0xfdcffff9,0x01000fff,0x0bfffe20,0x001bffe0,
    0x007fffe2,0x7ffcffff,0x001fffa7,0xf12fffc4,0xda803fff,0x7c405fff,
    0x3fe006ff,0x7ffc007f,0xfd971006,0xffd99bff,0x7c0015bf,0x326006ff,
    0xdfff0003,0xfffb8000,0x802fffff,0xf9003fe8,0xfff007ff,0xfff5000d,
    0x7fff801f,0xfff9fffe,0x3ffe0006,0x017fffc7,0x2037ffc4,0x2006fff8,
    0x7c007fff,0xff9806ff,0xffffffff,0x0fffffff,0x00dfff00,0x7ffc0000,
    0xffe80006,0x7005ffff,0xf9001fff,0xfff007ff,0xfff7000d,0x4ffff00f,
    0xfff17fff,0x7ffc000d,0x027fff47,0x4406fff8,0x3e006fff,0x7fc007ff,
    0xfffb806f,0xffffffff,0x03ffffff,0x000dfff0,0x37ffc000,0x7ffc4000,
    0xfb000fff,0xff880bff,0xfff802ff,0xfffc8006,0x27fff805,0x3ffe7fff,
    0xfff10007,0x05fffd8d,0x880ffff0,0x3e006fff,0x7fc007ff,0xfff8806f,
    0xffffffff,0x00ffffff,0x000dfff0,0x37ffc000,0xfffb8000,0x3ff6002f,
    0xb711aeff,0x001fffff,0xd000dfff,0xff009fff,0xb3fffcff,0x30001fff,
    0xffb8bfff,0xffff006f,0x06fff880,0x001fffe0,0x4c00dfff,0xbaaffffa,
    0x001affff,0x20037ffc,0xfff0001a,0x7fc0000d,0x7fec007f,0xffffffff,
    0x002fffff,0x9800dfff,0xf802ffff,0x9fffe7ff,0x8002fffc,0x7cc3fffb,
    0xff802fff,0x7ffc407f,0x1fffe006,0x00dfff00,0x226fff88,0xf0006fff,
    0x3e200dff,0xff8005ff,0x3e00006f,0x7e4007ff,0xffffffff,0x004fffff,
    0xb001bffe,0x3e00dfff,0x9fffe7ff,0x4006fffa,0xe82ffff8,0xff806fff,
    0x7fff807f,0x0dfff100,0x006fff80,0xf137ffc4,0x3e000bff,0xff7006ff,
    0xff8001ff,0x3e00006f,0x7d4007ff,0xffffffff,0x4002ffff,0x26006fff,
    0xf003ffff,0x3fffcfff,0x007ffff1,0x4077ffe4,0x402ffffb,0xfd807fff,
    0xffa800ff,0x7ffc004f,0x7ffcc006,0x017ffe65,0x8037ffc0,0x8006fff8,
    0x00006fff,0x2001fffe,0xffdb88b9,0x8000adff,0x36006fff,0x3e007fff,
    0x1fffe7ff,0x005ffff7,0x405ffff7,0x7c06ffff,0xffc807ff,0x7ff4405f,
    0x7ffc003f,0x7ffcc006,0x013ffea5,0x0037ffc0,0x3e000571,0x200006ff,
    0x00007fff,0x0001bffe,0x2200dfff,0x2004ffff,0x3ffe7fff,0x4ffffd87,
    0x17ffff60,0x03ffff70,0x200ffff4,0x80dffff9,0x00ffffe8,0x0037ffc0,
    0xfa93ffea,0xff0004ff,0x000000df,0x00037ffc,0x000ffff0,0x0037ffc0,
    0x401bffe0,0x100ffffc,0xffffddb7,0x7c43fffc,0xbbdfffff,0x0ffffffd,
    0x2ffffc40,0x3bffff90,0x7ffffdc0,0xffffdbbc,0xfff8002f,0x7ffd4006,
    0x80fffee4,0xfffffec8,0xefffffff,0xfd910003,0xffffffff,0xa807dfff,
    0xfffffffd,0x0002dfff,0x9100dfff,0xfffffffd,0x47dfffff,0x204ffff8,
    0xfffffffd,0x541bffe7,0xffffffff,0x01efffff,0x01ffff70,0x1fffffe6,
    0xffffffb0,0x0bffffff,0x7ffff644,0xffffffff,0x7fff703e,0x7017ffdc,
    0xffffffff,0xffffffff,0xfff70005,0xffffffff,0x205fffff,0xfffffff8,
    0x0fffffff,0x06fff800,0xffffffb8,0xffffffff,0xdfff12ff,0xffffff80,
    0x1bffe7ff,0xfffffd88,0x00dfffff,0x00ffff40,0x01fffff5,0xffffffc8,
    0x5c04ffff,0xffffffff,0xffffffff,0x21fff882,0x2e00fff9,0xffffffff,
    0xffffffff,0xfffb8002,0xffffffff,0x102fffff,0xffffffff,0x01ffffff,
    0x009ffb00,0xfffffff7,0xffffffff,0x00f7e45f,0x3fffffee,0x00bfea7f,
    0x3fffffee,0xd10002ef,0xffb500bf,0x3ffa6007,0x801effff,0xfffffffb,
    0xffffffff,0x5059302f,0xfec88039,0xffffffff,0x0004efff,0xfffffd91,
    0xdfffffff,0xfffdb809,0xdfffffff,0x1bd30002,0xfffd9100,0xffffffff,
    0x800109df,0x41999998,0xbb988000,0x00200001,0x2a200020,0x220009bb,
    0xffffffec,0x4effffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x0000002c,0x00000000,0x05dc4000,0x00000000,0x05930000,0x00040000,
    0x02b32a20,0x00000000,0x4ccccccc,0x00000019,0x77fff540,0x2000edc1,
    0xfd882fe9,0xefb80004,0x002fe981,0x0fffff62,0x200007b3,0x2ceffecb,
    0xffea8000,0x00edc1ef,0x001ffa80,0x7fffff44,0x2ea2005f,0xfffffffd,
    0xea800eff,0xffffffff,0x36a001ff,0x260001cf,0xdfffffff,0x4003ffea,
    0xffb87ffe,0x3e20001f,0x7ffe84ff,0x3ffffa00,0x6ffcaeff,0x7ff54000,
    0x1effffff,0xffff3000,0xffd5bfff,0x3ff60007,0x3ffa2004,0x05ffffff,
    0x7fffff44,0xffffffff,0x7ffdc02f,0xffffffff,0xdff7001f,0x360003ff,
    0xfffb8bff,0x4000efff,0xffb87ffe,0x3e20001f,0x7ffe84ff,0x31bff500,
    0x5ffffffd,0x3ff22000,0xffffffff,0xfd8004ff,0xffffb8bf,0xf0000eff,
    0x3e200dff,0xfeaadfff,0xfff505ff,0xfdffffff,0x4019ddff,0xeeeffffb,
    0x01fffeee,0x17e21df0,0x2205c400,0x000bfffd,0xd882fe98,0xfb80004f,
    0x02ee981e,0x3ff206e0,0x360001df,0xffffffff,0x04ffffff,0x36205c40,
    0x0000bfff,0x6401fffe,0xff980fff,0x7fffd40f,0xf94ffacf,0x3ffa003f,
    0x07ff200b,0x1fb0fe60,0x05300000,0x00000000,0x00000000,0x80001510,
    0x0bfffffb,0x3ffffee6,0x0a600001,0x3fffc000,0x00fffc40,0xffe85ffb,
    0x29ff30df,0xf8801ffc,0x1ffc806f,0x37c5f880,0x00000000,0x00000000,
    0x00000000,0x7ffc4000,0x3fa600ef,0x00000eff,0xfff80000,0x27fe400f,
    0xf993fea0,0x3fe61fff,0x5003ff94,0xff500bff,0x75efe400,0xcb80002f,
    0x002cdffe,0x00000000,0xb9800000,0xcccccccc,0xfffd0000,0x3ffa200b,
    0x9999305f,0xcccb9809,0x64c00acc,0xaadfffff,0x400fffc0,0x3ffee6ff,
    0xfca7fcc5,0xfffa801f,0x2001a800,0x003fffc8,0x7ffff540,0x001effff,
    0xcccccb98,0x88000ccc,0xccccccca,0xcccccccc,0x3ff604cc,0xffffffff,
    0xfffa8003,0x3fea001f,0x7fff40ff,0xff904fff,0x1fffffff,0xfffffd10,
    0x23ffffff,0x4c00fff8,0x3fff26ff,0xfca7fcc4,0x3ff6201f,0x00001fff,
    0x88000310,0xfffffffc,0x003fffff,0x3ffffff6,0x8003ffff,0xffffffff,
    0xffffffff,0xff00ffff,0xffffffff,0xff7000df,0xffb0009f,0x7fffcc5f,
    0xfe81ffff,0xffffffff,0x7ffff443,0xffffffff,0x2a0dff33,0x2e6ffffe,
    0x7fcc6fff,0x2603ff94,0xffffffff,0x01000004,0xffffd800,0xffffffff,
    0xfff005ff,0xffffffff,0xfffa800d,0xffffffff,0xffffffff,0xffffb00f,
    0x3fffffff,0x1fffd800,0x3fffa800,0x7ffffff4,0xffffc86f,0x220fffff,
    0xefffffff,0x55ffffff,0xffd88bff,0x3e66ffff,0x3fe61fff,0x3203ff94,
    0xffecdfff,0x510002ef,0xdfffffb9,0x7ffdc007,0x3ee60bff,0xd802ffff,
    0xffffffff,0x7c001fff,0xffffffff,0xffffffff,0x2a600fff,0xffffffaa,
    0x7ff4005f,0xfff30007,0xffff530b,0xf55107ff,0xff905fff,0xfe881bff,
    0x87ff75ff,0xffeffffd,0x8f7fffc6,0x3ff94ff9,0x3f21ffe0,0x2001efff,
    0xfffffffc,0x402fffff,0x00effff8,0x03ffffa6,0x3feaaa60,0x005fffff,
    0xaefffb98,0xaaaaaaaa,0x3000ffff,0xffffffff,0x3ffe2001,0x3ffe0006,
    0x3ffffe06,0x3ffa00ff,0x7fffc40f,0x53ffe603,0x3fee2ffb,0x88dff1cf,
    0xfbdffffe,0x203ff94f,0xfea82ffc,0x4c00cfff,0xffffffff,0x01ffffff,
    0x401bfffa,0x004fffe8,0x7fffffcc,0xf88000ff,0xffd006ff,0x3ff6001f,
    0x03fffdcf,0x00dfff10,0xf03fffc0,0x0bffffff,0x2a07fff4,0xfe805fff,
    0x745ff71f,0x437fc3ff,0xffffffe8,0x203ff94f,0xf703fff9,0xf805ffff,
    0xeeffffff,0x307fffff,0x4003ffff,0x001ffffa,0x3f73fff6,0xf88003ff,
    0xffd006ff,0x3ffe200f,0x06fffa9f,0x001fffe0,0xf037ffc4,0x5fffffff,
    0x703fffa0,0x51007fff,0xff17fdc3,0x106ff81f,0x9ffffff9,0xfd807ff2,
    0xfc880dff,0x36604fff,0xffa81abc,0xfffb80ff,0xfffd8004,0xffff1002,
    0x00dfff53,0x30dfff10,0x037fe439,0x3e6fffb8,0xff001fff,0xf30001ff,
    0x7ffc0bff,0x80ffffdf,0x7e40fffe,0xf70002ff,0x21bfe25f,0xeb9806ff,
    0x03ff94ff,0x03ffffc8,0x009fffd5,0x05fffb00,0x0003fff9,0x2009fff5,
    0x3fe6fffb,0x7c4001ff,0x37fd46ff,0x3a005ff3,0x3fee2fff,0xfffd005f,
    0xfff70005,0x47fffc07,0xfe84ffff,0x7ffdc0ff,0x5ff70003,0x3fe17ff4,
    0x53fe6006,0xfa801ffc,0xc882efff,0xa9800fff,0xffc9abcb,0x07ffe83f,
    0x0bfff100,0xb8bfffa0,0x44005fff,0x7fe46fff,0xff30000f,0xffff88ff,
    0x6fffb800,0x7fffc400,0x5dfffe02,0x7f41ffff,0x7ffd40ff,0x5ff70005,
    0x4ce7ffe4,0x3e6006ff,0x003ff94f,0x37ffffa6,0x103ffc80,0xfffffff9,
    0xf07fffff,0x7c000dff,0xff9807ff,0x7fffc47f,0x3ffe2000,0xffffeeef,
    0xfffb0001,0x07fffb09,0x07ffff10,0x037ffe40,0xffe9fffe,0x07fff46f,
    0x00ffffe2,0x3fea19b3,0x7fffff43,0xf3001fff,0x007ff29f,0x5fffff50,
    0xfb86ff88,0xffffffff,0x443fffff,0x20006fff,0xfd807fff,0xfffd84ff,
    0x3ffe2003,0xffffffff,0xfff88001,0x6fffa80f,0x5ffff900,0x5ffff700,
    0x267fff80,0x3fa4ffff,0xfffc80ff,0x3fa621df,0x89ff34ff,0xffffffd8,
    0x9ff3004f,0x20007ff2,0xbdffffc8,0x7dc4ffec,0xffffffff,0x83ffffff,
    0x10007fff,0xf880dfff,0xffa80fff,0x3fe2006f,0xffffffff,0xffb8001f,
    0xaaaaaaff,0x8801ffff,0x104fffff,0x00bffffb,0xffc8ffff,0x1fffd1ff,
    0xffffff10,0xffffffff,0xca82ffcb,0x000ceeee,0x3ff29ff3,0x3fa60001,
    0x1fffffff,0x3fffffea,0xfeeccace,0xfffd83ff,0xfff98000,0x7fffdc05,
    0xffaaaaaa,0xff1001ff,0xffffffff,0xffd0003f,0xffffffff,0x200bffff,
    0xdffffff9,0xfffffdbb,0x7fff800f,0xfd6fffe8,0x3fe601ff,0xffffffff,
    0x1ffa0fff,0xff980000,0x0003ff94,0xdfffff90,0xbefffe85,0x0fffee00,
    0x000bfff2,0xd00fffee,0xffffffff,0x0bffffff,0x27bffe20,0x01fffd99,
    0x7ffffcc0,0xffffffff,0xf5000fff,0xffffffff,0x001dffff,0x3e61fffe,
    0xfffebfff,0x3fffa200,0x1effffff,0x00017fe4,0xf94ff980,0x8018803f,
    0xf882fffb,0xfc801fff,0xfffa83ff,0x7ffc4006,0x3ffe602f,0xffffffff,
    0x800fffff,0x7dc6fff8,0x033220ff,0x7fffffec,0xffffffff,0x3a6003ff,
    0xffffffff,0x3e000dff,0xfff907ff,0x001fffff,0x9dffff93,0x01bfee05,
    0xa7fcc000,0x3e201ffc,0x1ffe801f,0x00ffff88,0x0fffffee,0x00ffffe2,
    0x00efffc8,0x3ffffff6,0xffffffff,0xff8803ff,0x21fec46f,0xff884ffc,
    0xccccccff,0x6fffcccc,0xffffb800,0x8003dfff,0xff107fff,0x01ffffff,
    0x403fffc0,0x4402fff8,0xa7fcc001,0x3ea01ffc,0x1ffe803f,0x7bfffff0,
    0xfffffb95,0x5c19dfff,0xb802ffff,0x2202ffff,0xccccffff,0xffcccccc,
    0xfff8806f,0x1bffa006,0x8017ffee,0x2001fffe,0xbfffffe8,0xff803100,
    0x3ffea07f,0x2000ffff,0xf7007fff,0x3fee07ff,0x53fe6002,0x3ea01ffc,
    0x3ffdc04f,0xffffff70,0xffffffff,0xd89fffff,0x3604ffff,0x5c05ffff,
    0x3a005fff,0x7c401fff,0x3fe006ff,0x2fffe87f,0x17ffee00,0x7ffff440,
    0xa9bdefff,0x3fe04ffd,0x7ffec07f,0x3e000fff,0x3fa006ff,0xffecdfff,
    0x2aa202ff,0xffb5ffba,0xdff50357,0xff999999,0xffc809ff,0xffffffff,
    0xffffffff,0x7ffffc44,0xfffdbbdf,0x7f400fff,0x3ee002ff,0x7fc405ff,
    0x3ffe006f,0xffffd917,0xd91019df,0x0bdfffff,0xffffffd8,0xffffffff,
    0xffeb87ff,0x441dffff,0x00ffffff,0x8013ffa0,0xffffffe8,0x7fc04fff,
    0xfdffffff,0x542fffff,0xffffffff,0x5006ffff,0xfffffffd,0xdffff97d,
    0xffff5019,0xffffffff,0x3b2203df,0x0cefffff,0xffffec88,0x7fedc5ef,
    0xffffffff,0xffffffff,0xffffff97,0xffb07fff,0x7fffffff,0x3ffffe60,
    0xffffffff,0x7cc3ffff,0xffffffff,0xfffffb86,0x0bfea000,0x3fffae00,
    0xff802dff,0xfcffffff,0x542fffff,0xffffffff,0xa8004fff,0x000abccb,
    0x7fffec40,0x0dffffff,0x3fffff20,0xfd83ffff,0xffffffff,0xffffff33,
    0xffffffff,0x2fffffff,0xfffffffd,0xfffd84ff,0x03ffffff,0xdffffff1,
    0xfffffffd,0xffff309f,0x20dfffff,0x000ffffe,0x4c400004,0x55440009,
    0x5531aaaa,0x55510355,0x03555555,0x00000000,0x7fffffdc,0xffd802ef,
    0x4fffffff,0xffffffd8,0xfff33fff,0xffffffff,0xffffffff,0x3fff62ff,
    0x880cefff,0xeffffffd,0x2f36a00c,0xcdecb881,0x3fffae00,0xf301dfff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x0006ee62,0xffffffb1,
    0xffb1019d,0x419dffff,0xffffffeb,0xffffffff,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x2a20000a,0x01100000,0x00510000,0x05440000,0x00000000,
    0x0000a200,0x08000000,0x03300000,0x32a20000,0x000000ac,0x001fff30,
    0x0009ff30,0x3ffff722,0x7999952d,0x07bf6001,0xff300000,0x36200009,
    0x7000000d,0x100005ff,0x200001bb,0xbefffeca,0x17999970,0x00bff100,
    0x7fff4c00,0x8001efff,0x2deffecb,0x00bfffe2,0x003fff70,0xffffff70,
    0xfffddfff,0xf5003fff,0x000005ff,0x0007ffee,0x0bfffea0,0xfff90000,
    0xffa80001,0x220002ff,0xfffffffe,0xffffecff,0xffd800ff,0x7cc0000e,
    0xffffffff,0xffd3001f,0x5dffffff,0x001ffffd,0x0017ffe4,0x3fffff62,
    0xffffffff,0x003fffff,0x0009fff7,0x02fffc80,0x7ffe4400,0x0000dfff,
    0x00f7ff44,0xffffb100,0xb8001bff,0xffffffff,0xffffffff,0xd8802fff,
    0x30001fff,0xffffffff,0x4401ffff,0xfffffffc,0xffffffff,0xffd1003f,
    0xff90003d,0xfffdffff,0xffffffff,0x7fcc001f,0xe880005f,0x40001eff,
    0xfabffff9,0x30002fff,0x0001bfff,0x55ffffcc,0x5002ffff,0xdfffffff,
    0xffffffff,0xc800dfff,0xe8002fff,0xcaacffff,0x3604ffff,0xffffffff,
    0xffffffff,0x3bff2005,0xfffa8000,0x7fe442ef,0x001cffff,0x007ffd10,
    0x00effc80,0x77ffc400,0x03fff620,0x013ffa00,0x1dfff100,0x007ffec4,
    0x2fffffe2,0x3fff6e21,0x0000bfff,0x4001fff7,0xa81ffff9,0xfa81ffff,
    0x511bffff,0x0dfffffb,0x0004fb80,0x5017fffe,0x003fffff,0x002fc880,
    0x00027dc0,0x7dc07ff0,0x2fd8000f,0x3ff88000,0xb003fee0,0xd803ffff,
    0x000fffff,0x200374c0,0x3603fffd,0x7fc44fff,0xfd100eff,0x0001ffff,
    0x7ffcc000,0xfffc800f,0x0000001f,0x80000000,0x00001000,0x80040000,
    0x7fffc400,0xffffd002,0x00000001,0x401ffff1,0x7f47fff9,0x7fec06ff,
    0x0004ffff,0x3ffea000,0xffff1004,0x00040003,0x00001000,0x00000040,
    0x00000001,0x07fff980,0x03fffe60,0x2a000000,0xfe804fff,0xffff31ff,
    0x7fffdc03,0x3000ffff,0x037bffb7,0x005fff90,0x400ffff4,0xffffdca8,
    0xa88003ef,0xefffffdc,0xdca88003,0x03efffff,0x3ffb2a00,0xa8802cdf,
    0x7303cccc,0xb8399999,0x7c004fff,0x95100fff,0x2e607999,0x5c1ccccc,
    0xfc803fff,0x9fff72ff,0x6ffffd40,0x6403fffd,0xffffffff,0x3ff203ff,
    0x3ffa002f,0x7ffe401f,0xffffffff,0xfff9002f,0xffffffff,0x3ff2005f,
    0xffffffff,0x362002ff,0xffffffff,0xfff102ef,0xff50dfff,0xb85fffff,
    0x7c003fff,0xff880fff,0xfa86ffff,0x42ffffff,0xb802fffc,0xfff93fff,
    0x3fffe203,0x04fffb8e,0xffffffd1,0x1dffffff,0x007fff70,0x300ffffc,
    0xffffffff,0x03ffffff,0xffffff98,0xffffffff,0x7fffcc01,0xffffffff,
    0xffb801ff,0xffffffff,0xff985fff,0xfc86ffff,0x42ffffff,0x2006fff9,
    0x980ffff9,0x86ffffff,0xfffffffc,0x00fffec2,0xfea7ffd4,0xfffd00ff,
    0x1bffe63f,0x3fffffa2,0xffffffff,0x6fff986f,0x3ffff500,0xffffff80,
    0xfffffeef,0xfffff807,0xffffeeff,0xffff807f,0xfffeefff,0x7fd407ff,
    0xffefffff,0xe84fffff,0x986fffff,0x2fffffff,0x803ffff8,0x00ffffe8,
    0x0dfffffd,0xfffffff3,0x01fffd85,0xff4fffa8,0x3fff20df,0x1fffe23f,
    0x2bbffff6,0x3fffaa20,0x7fffc45f,0x7fff4403,0x5e6cc01f,0xffffa81a,
    0x55e6cc00,0x0ffffa81,0x0d5e6cc0,0x807fffd4,0xacfffff9,0xffff7310,
    0xfff7103f,0x7fed4c0d,0xffffd82f,0xfffd300c,0x7dc401ff,0x36a606ff,
    0x7fec2fff,0xfffa801f,0xb86fff8c,0xff84ffff,0x7fffcc7f,0x7ffec404,
    0x7fffe40f,0xffffd304,0x6c00003f,0x00002fff,0x000bfff6,0x02fffd80,
    0x805ffffd,0x106ffff9,0xf900dfff,0xffd105ff,0xb9579fff,0x1fffffff,
    0x06fff880,0x6c2fffc8,0xfa801fff,0x1ffff4ff,0x437fffcc,0x7dc6fff8,
    0x3fa005ff,0xfffe82ff,0xffdbbcef,0x001fffff,0x4d5e5d4c,0x4003fffc,
    0xc9abcba9,0x4c003fff,0xfc9abcba,0xfff883ff,0xfff3002f,0xdfff105f,
    0x05fff900,0x3fffffa2,0xffffffff,0x7c400fff,0xffc806ff,0x0fffec2f,
    0xea7ffd40,0xffd12fff,0xfff301ff,0x00fffd89,0x217ffe60,0xfffffff9,
    0xffffffff,0xffc8801f,0xffffffff,0xfc8803ff,0xffffffff,0xc8803fff,
    0xffffffff,0xfa83ffff,0xeeeeefff,0xffeeeeee,0xfff883ff,0x2fffc806,
    0x3ffffa60,0xffffffff,0x7c400fff,0xffc806ff,0x17ffe42f,0xd9fffdc0,
    0xfffb4fff,0x3ffee05f,0x0037ffc3,0xe983fffc,0xffffffff,0x01ffffff,
    0x7fffffdc,0xffffffff,0x7fffdc03,0xffffffff,0x7fdc03ff,0xffffffff,
    0xfb83ffff,0xffffffff,0xffffffff,0xfff885ff,0x2fffc806,0xffffea80,
    0xffe8cfff,0x7ffc400f,0x2fffc806,0x401fffdc,0xff72fffc,0x7ffff9df,
    0x87fffe20,0x8005fff9,0x2e00fffd,0xdfffffff,0x201fffd9,0xfffffffb,
    0xffffffff,0x3fffee03,0xffffffff,0x3ee03fff,0xffffffff,0x83ffffff,
    0xfffffffc,0xffffffff,0xf886ffff,0xffc806ff,0x2ea6002f,0x7fff41ac,
    0x37ffc400,0x217ffe40,0xe805fffa,0xfff10fff,0x40bfffff,0x7c0ffffc,
    0xff8006ff,0x7953007f,0x0fffec15,0xffffffa8,0xfeeccace,0xfff503ff,
    0x9959dfff,0x207fffdd,0xeffffffa,0xffeeccac,0xffffb83f,0xffffffff,
    0x6fffffff,0x806fff88,0x0002fffc,0x007fff40,0x201bffe2,0x7c42fffc,
    0x3e600fff,0x7ffdc7ff,0xf700efff,0xffb05fff,0x7fd4003f,0xff00004f,
    0x3ffa01ff,0x3ee00bef,0xfffd03ff,0x7fdc017d,0xdfffd03f,0x7ffdc017,
    0x9efff983,0x99999999,0x80999999,0xc806fff8,0x00002fff,0x2007fff4,
    0xc806fff8,0xffd82fff,0x3fff604f,0xfffffe83,0x9ffffb01,0x03bffee0,
    0x0bfffe20,0x3ffea000,0x3ffff106,0x07fff900,0x003ffff1,0xf107fff9,
    0xf9003fff,0xfff107ff,0x880000bf,0x6c407fff,0x00002fff,0x2007fff4,
    0x4407fff8,0xf982fffd,0xffc82fff,0xfffd80ff,0xfdbbdfff,0x100effff,
    0x405dffff,0x00fffffa,0x3ffaa200,0xffff104f,0x7fffdc01,0xffff883f,
    0x3fffee00,0xffff883f,0x3fffee00,0xffff903f,0x2f2a6009,0x03ffff00,
    0x5fffff91,0xffe80000,0xffff800f,0xffffc881,0xffffb02f,0xffffb77b,
    0xfffff709,0xffffffff,0xfc803fff,0xaacdffff,0x3fffffec,0xccccb980,
    0x1ffffffd,0x37ffffe0,0xffffdcab,0x20ceffff,0xabdfffff,0xffffffdc,
    0x3fe0ceff,0xdcabdfff,0xffffffff,0x7fff40ce,0xcbaabcff,0x04fffffd,
    0x759dfffb,0xfffffffb,0x2a00019f,0xcffffccc,0x3fff601b,0xfffdbace,
    0x40cfffff,0xfffffff8,0x4c0effff,0xffffffff,0xdfffffff,0xffffb000,
    0xffffffff,0xff300bff,0xffffffff,0xffb805ff,0xffffffff,0xffffffff,
    0x3fffee4f,0xffffffff,0x4fffffff,0x3fffffee,0xffffffff,0x4c4fffff,
    0xffffffff,0xffffffff,0xffff505f,0xffffffff,0x009fffff,0xffffff70,
    0x201fffff,0xfffffffa,0xffffffff,0xfff984ff,0x0dffffff,0xb8ffffe8,
    0xeffffffe,0xfffb8002,0xffffffff,0xfff7003f,0xffffffff,0x3fff2005,
    0xffffffff,0x4fffffff,0x7fffffe4,0xffffffff,0x7e44ffff,0xffffffff,
    0xffffffff,0xfffd884f,0xffffffff,0x2e02ffff,0xffffffff,0xffffffff,
    0xfffd8004,0xffffffff,0x3fffee02,0xffffffff,0xb304ffff,0x0bffffff,
    0x307fffea,0x00013775,0xffffec98,0x2000bdff,0xffffffe8,0x54001bdf,
    0xfffffffe,0xeffffcbe,0xfffea80c,0xfcbeffff,0xa80cefff,0xfffffffe,
    0xeffffcbe,0x3ffea00c,0xffffffff,0xffb800bd,0xdadfffff,0x000cefff,
    0xffffffa8,0xb806ffff,0xdfffffff,0x0cefffda,0x401bb980,0x0003fff9,
    0xbb988000,0xaa880001,0x500002aa,0x00157997,0x57997500,0x97500001,
    0x00001579,0x556654c4,0x2e600009,0x00000abc,0x555554c0,0x5cc000aa,
    0x00000abc,0x007b7000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x000000a8,0x00530000,0x00000000,0x00037a60,0x00000000,0x00000051,
    0x000a8000,0x00008000,0x00000100,0x013fe600,0x0066c400,0x0077f400,
    0x0cd88000,0x3ff60000,0x66544004,0x3ff6e4cc,0x40003cef,0x00000efe,
    0x500009d1,0x800007ff,0xdffffecb,0x2000b88b,0x0cefffeb,0xfb800000,
    0xb80001ff,0x0002efff,0x000fffe4,0x3bffee00,0xfff00002,0xffff800d,
    0xffffbfff,0x01efffff,0x05fff700,0xefffb800,0x3fe20001,0xe980005f,
    0xffffffff,0x400fffff,0xffffffe9,0x000002ff,0x000bfff2,0xfffffb10,
    0x6400019f,0x80003fff,0xffffffd8,0x7fc0000c,0x3fe6007f,0xffffffff,
    0xffffffff,0xff70004f,0xfd10007f,0x009fffff,0x077ff4c0,0xffffc800,
    0xffffffff,0x3a202fff,0xffffffff,0x400001ff,0x001effe8,0x57fffd40,
    0x001efffb,0x013ffee0,0xaffffa80,0x001efffb,0x001fffe0,0xfffffffd,
    0xffffffff,0x0007ffff,0x8017ffea,0xfbaffffa,0x10001eff,0x8003fffb,
    0xfffffffb,0xfffffffe,0x3fff203f,0xfffffeff,0x7e400006,0x440000ef,
    0x3a60dfff,0x20000eff,0x8002fff9,0x260dfff8,0x0000effe,0x1000ffff,
    0xdffffff5,0x7ffdcc15,0xd30001ff,0xff3005ff,0x7ff4c1bf,0x7fe40006,
    0x3ffe6006,0x32a20bff,0x203ffffe,0x711cffff,0x0005ffff,0x00027dc0,
    0x2e02ff88,0xd880007f,0xff88001f,0x001fee02,0x0007fff8,0x037ffffe,
    0x06ffff98,0x007f6200,0xfc80bfe6,0x5fa80006,0x3bfffa00,0x7fffc400,
    0x0ffff103,0x0013fff2,0x10000000,0x00000200,0x10008000,0x7fff8000,
    0x3fffe000,0xffff3007,0x40000003,0x00001000,0x3ffe6000,0xfff5001f,
    0x17ffe203,0x002fffd4,0x00000000,0x02000000,0x00040000,0x03fffc00,
    0x09ffff00,0x01fffec0,0x00000000,0x50000000,0xe8009fff,0x3ffe206f,
    0x09fffb05,0xcccca880,0x99997303,0x6dcc0039,0x0001bdff,0x37fffb2a,
    0xd950002c,0x0059bfff,0xdddddb73,0xddddffff,0x7fc017bd,0x3ea000ff,
    0xdb9804ff,0x4001bdff,0xccccccb9,0xccb98003,0x9003cccc,0x10005fff,
    0x25fff880,0x2ffffda8,0x3fffe200,0xfffa86ff,0xc802ffff,0xffffffff,
    0x362003ff,0xffffffff,0xfb1002ef,0xffffffff,0x3ffe205d,0xffffffff,
    0xffffffff,0x03fffe06,0x04fffa80,0x3ffffff2,0xc803ffff,0xffffffff,
    0x7ffe4006,0x006fffff,0x0003fffb,0x2bfff100,0x6ffffffb,0x7fffcc00,
    0xfffc86ff,0x2202ffff,0xfffffffe,0x00efffff,0x7fffffdc,0x5fffffff,
    0x7ffffdc0,0xffffffff,0xfffff985,0xffffffff,0x0fffffff,0x005ffff0,
    0x4417ffe4,0xfffffffe,0x00efffff,0x3ffffffa,0x7f4006ff,0x6fffffff,
    0x05fff900,0xfff10000,0xffffff1b,0xffd0009f,0xff30dfff,0x205fffff,
    0xffffffe8,0xffffffff,0x3fffea06,0xffffefff,0xff504fff,0xffdfffff,
    0xb09fffff,0xffffffff,0xffffffff,0x7ffc09ff,0xffa801ff,0x7ff440ff,
    0xffffffff,0x2a06ffff,0xffffffff,0x7ffd4006,0x006fffff,0x0009fff5,
    0x2bfff100,0xfffffffe,0x7dc4000e,0x36a606ff,0xffb02fff,0x54415dff,
    0x985ffffe,0x0acfffff,0xfffff731,0xfffff983,0xff7310ac,0x33103fff,
    0xffff3333,0x00333333,0x05ffffff,0x437fffdc,0x0aeffffd,0x3ffffaa2,
    0x7dd55405,0x550006ff,0x00dfff75,0x007fffe2,0x3e203710,0xffd715ff,
    0x000dffff,0x900dfff1,0xff305fff,0xfd8809ff,0x7ff40fff,0x7fcc02ff,
    0x7fff46ff,0x7ffcc02f,0x7ffc006f,0x3ffe0006,0xbbceffff,0x0fffffec,
    0x027fffcc,0x03ffff62,0x037ffc40,0x37ffc400,0x5dffff00,0x03ffee00,
    0x2217ffe2,0x04ffffea,0x037ffc40,0x5c17ffe4,0x3a005fff,0x3fe22fff,
    0xff3002ff,0x3ffe25ff,0xfff3002f,0x7ffc005f,0x3ffe0006,0xffffffff,
    0x81ffffff,0x2005fffb,0x1002fffe,0x0000dfff,0x400dfff1,0xcefffff9,
    0xffdcbaab,0xff883fff,0x7ffec05f,0x3fe2000f,0xfffc806f,0x00fffd82,
    0xa97ffe60,0xeeeeffff,0xfeeeeeee,0xfff53fff,0xdddddddf,0xffffdddd,
    0x37ffc007,0xfffff000,0xffffffff,0x3f603dff,0x3e6000ff,0xff1005ff,
    0xf10000df,0xfa800dff,0xffffffff,0xffffffff,0x05fff880,0x002fffe8,
    0x201bffe2,0xff82fffc,0xfff8006f,0x3ffffee7,0xffffffff,0x75ffffff,
    0xffffffff,0xffffffff,0x7c00bfff,0x3e0006ff,0xfffb8fff,0x403fffff,
    0xf8006fff,0xff1007ff,0xf10000df,0xf7000dff,0xffffffff,0x03ffffff,
    0x2017ffe2,0x2004fff9,0xc806fff8,0x7fcc2fff,0xffd8005f,0xfffff90f,
    0xffffffff,0x2dffffff,0xfffffffc,0xffffffff,0x2006ffff,0x20006fff,
    0x5d4c7fff,0xff9801ab,0xffd8005f,0xfff8800f,0xff880006,0xf910006f,
    0xffffffff,0xff8805df,0xfff8805f,0x3ffe2006,0x2fffc806,0x8006fff8,
    0x3fee7fff,0xffffffff,0xffffffff,0xfffff76f,0xffffffff,0x0dffffff,
    0x0037ffc0,0x000ffff0,0x0037ffc0,0x8803fffc,0x80006fff,0x0006fff8,
    0x5effdcc4,0xff1000aa,0xfff008bf,0x7ffc400f,0x2fffc806,0x001fffd8,
    0xf993ffea,0x99999eff,0x99999999,0xdfff3099,0x33333333,0x13333333,
    0x02fff400,0x00ffff00,0x0fffec00,0x09fff500,0x01bffe20,0x1bffe200,
    0x2ffc4000,0x5fff8800,0xff889fd1,0x3fe2007f,0x7fec407f,0xefffb82f,
    0xffff8800,0x17fffe22,0x3ffe2000,0x0000005f,0x40007ff9,0x00007fff,
    0x003bffee,0x00bfffe2,0x0037ffc4,0x037ffc40,0xefff8800,0x7ffc4000,
    0x5c3fff75,0x7c005fff,0xfc881fff,0xf882ffff,0x2a02efff,0x640fffff,
    0x3004ffff,0x7fe41795,0x953004ff,0x02a80017,0x03fffc00,0xffff1000,
    0x7ffd405d,0xff1000ff,0xf10000df,0x30000dff,0x007ffdd1,0x3fffffae,
    0xdaefffdc,0x4004ffff,0xbacefffd,0xfffffffd,0x7ffe40cf,0xecaacdff,
    0xd03fffff,0x579fffff,0xffffb975,0xffffe89f,0xdcbaabcf,0x004fffff,
    0xf9710000,0x15999fff,0x7ffe4000,0xecaacdff,0xb83fffff,0xfffffffe,
    0xdfffffff,0x7ffff5c2,0xffffffff,0xfd802dff,0x803ffbdf,0xfffffff9,
    0xffffffef,0x4000ffff,0xfffffffa,0xffffffff,0xfffd84ff,0xffffffff,
    0x3e605fff,0xffffffff,0xffffffff,0x7ffffcc5,0xffffffff,0x3ee5ffff,
    0xffffffff,0xffffffff,0x7ffffc2f,0x04ffffff,0x7fffec00,0xffffffff,
    0xfff985ff,0xffffffff,0x0fffffff,0xfffffff3,0xffffffff,0xfc801fff,
    0x800fffff,0xfffffff9,0xfffffeaf,0x70002fff,0xffffffff,0xffffffff,
    0x3fffee09,0xffffffff,0xfffd8803,0xffffffff,0xd882ffff,0xffffffff,
    0x2fffffff,0xfffffff3,0xffffffff,0x261fffff,0xffffffff,0x80006fff,
    0xfffffffb,0x303fffff,0xffffffff,0xffffffff,0x3ffe61ff,0xffffffff,
    0x0fffffff,0x1dfeca80,0x3fffae00,0xfffd33ef,0x80003dff,0xfffffffb,
    0xcefffdad,0x3ffb2600,0x00bdffff,0x7ffffd40,0xbdffffff,0x7fffd400,
    0xdfffffff,0x3fffe60b,0xffffffff,0xffffffff,0x3fffff60,0x003fffff,
    0xfffd9300,0x8017bfff,0xffffffeb,0xffffffff,0x7fff5c3d,0xffffffff,
    0x0003dfff,0xba800000,0x400001bc,0x000abcb9,0x06ee6200,0x654c4000,
    0x00009aac,0x35599531,0xffffc801,0xffffffff,0x83ffffff,0xaaaaaaa8,
    0x22000001,0x00001bb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x00abccca,0x00015000,0x95100000,0x2e607999,0x001ccccc,
    0x51000000,0x000399b9,0x00000000,0x55e65d44,0x6e544000,0x4000002b,
    0x98019998,0x00000999,0xfffffd50,0x40007fff,0x40005fe8,0x103deffa,
    0xffffff10,0xfffff50d,0x3fea05ff,0xffffffff,0x54004eff,0xfffffffd,
    0x7fffffc5,0xffffffff,0x6cc01fff,0x2e000dff,0xffffffff,0xfffe8802,
    0x0002ffff,0x7ffff5c0,0x3ffff207,0xd800006f,0xffffffff,0x4000efff,
    0x0003fffa,0x7fffffec,0x545ffc9c,0x86ffffff,0xfffffffc,0xfffff502,
    0xffffffff,0xffb1003f,0xffffffff,0x7fffffc3,0xffffffff,0x7ec01fff,
    0xe8803fff,0xffffffff,0x3fa205ff,0xffffffff,0xff100005,0x260fffff,
    0x06ffffff,0x7ffec000,0xffffffff,0x3ee006ff,0xa80003ff,0xffffffff,
    0xffe86fff,0xff986fff,0x502fffff,0xffffffff,0x01ffffff,0xfffffe98,
    0x21ffffff,0xffffffff,0xffffffff,0x7ffe401f,0xfffd803f,0xffffffff,
    0xfffe884f,0xffffffff,0xfff00004,0x3e20ffff,0x006fffff,0x3fffe200,
    0xfeb99acf,0xfd803fff,0x400002ff,0xffffffeb,0xff7100cf,0x7ed4c0df,
    0xfff502ff,0xdddddddf,0xff8805bd,0x9aceffff,0x7fffc3eb,0xeeeeeeee,
    0x401ffffe,0xb804eec8,0xbadfffff,0x42fffffd,0xacfffffc,0x02fffffd,
    0xffec9800,0x3fb2a07f,0x400006ff,0x3600effe,0x7d406fff,0x200001ef,
    0xffffffea,0x7c400fff,0xffc806ff,0x9fff502f,0xffd10000,0x6c001dff,
    0xff8805ff,0xd000007f,0xd101bfff,0x7fc4bfff,0xffe883ff,0x7c00005f,
    0xfff007ff,0xc880000d,0x7fff8803,0x0006fd40,0x3ffffe00,0x04fffead,
    0x4037ffc4,0xf502fffc,0xb00009ff,0x001bffff,0xb801eea8,0x00004fff,
    0x01ffff88,0xfb9fffea,0x3fe205ff,0x200001ff,0xff007fff,0x000000df,
    0x00fffe80,0xd9000000,0xfffe885b,0x1bffe201,0x40bfff20,0x0004fffa,
    0x02ffffcc,0xffe80000,0x9800002f,0xff805fff,0x5fff90ff,0x04fffc80,
    0x1fffe000,0x0837ffc0,0xf8800000,0x000007ff,0x3fe20000,0x3ffe206f,
    0x2fffc806,0x009fff50,0x05fffd80,0xff300000,0x01a800ff,0x406fff88,
    0xfb0ffff8,0xffa803ff,0xfecb805f,0x3ffe3def,0x4dfff007,0x3cefffdb,
    0x7f440000,0x32e605ff,0x003ccccc,0x5e654c40,0x05fff90a,0x201bffe2,
    0xf502fffc,0xffdb9bff,0x7fc4017b,0x000001ff,0x009fff70,0x7c01ffe4,
    0x3f202fff,0x3fff66ff,0x37ffcc01,0xfffffd30,0xfff7ffff,0x3fffe00f,
    0xfffffffb,0x30001eff,0xfffff955,0x3ffff205,0x0006ffff,0x3ffffff2,
    0x4fffadff,0x00dfff10,0x2a05fff9,0xffffffff,0xf502ffff,0x3b2e2dff,
    0x200001bd,0x2002fffe,0xfd805ffe,0x2e20beff,0x3f24ffff,0x7ff402ff,
    0xffff907f,0xffffffff,0x3e00ffff,0xffffffff,0x3fffffff,0x7fffec00,
    0x3a04ffff,0xffffffff,0xffe98006,0xffffffff,0xf106ffff,0xff900dff,
    0x3ffea05f,0xffffffff,0xfffb84ff,0xffffffab,0xf980004f,0x3e2007ff,
    0xff8806ff,0xffedffff,0x3ea0efff,0x3fee05ff,0x7fdc0fff,0xffefffff,
    0x07ffffff,0xfffffff0,0xfffffdff,0x3e2007ff,0x6fffffff,0x7ffffd40,
    0x44006fff,0xefffffff,0xffffffff,0x0ffff107,0x02fffd88,0xfffffff5,
    0x5fffffff,0xffefffc8,0xefffffff,0x3fee0000,0xffc8805f,0xff3006ff,
    0xffffffff,0xfff883ff,0xffff982f,0x3ffe21ff,0x3aa20bff,0x007fffff,
    0x5dffffff,0x7fffdc41,0xfffd000f,0x005fffff,0xdfff7555,0xffffe800,
    0x7ffecc1e,0xff880fff,0xffc881ff,0x3fe02fff,0x7f541cff,0x3ff60fff,
    0xffffffff,0x0005ffff,0x700bfffa,0x0dffffff,0x7fffff40,0x905fffff,
    0xb337ffff,0x7fffffff,0x0077fff4,0x0fffffb1,0x17ffffe0,0x0bfffd10,
    0x7fff6540,0x22001fff,0x2e006fff,0x6404ffff,0x881fffff,0xbaceffff,
    0xfffffffd,0x02b880cf,0xb1ffffc4,0x9fffffff,0x5fffff73,0xffff3000,
    0xfffffd80,0xffb003ff,0xffffffff,0xffd109ff,0xffffffff,0x3e65ffff,
    0xf8801fff,0xff007fff,0xf3001dff,0x20001fff,0x00fffffb,0x00dfff10,
    0x8037ffec,0x882ffffd,0xffffffff,0xffffffff,0x540004ff,0x3ff25fff,
    0x6c40efff,0xc8006fff,0x3f205fff,0x002effff,0x33ffffee,0xfffffcbb,
    0xfffff982,0xffefffff,0x09fff51f,0x03fffd40,0x002ffff8,0x000bfff2,
    0x03ffff98,0x00dfff10,0x8017fffc,0x882ffffa,0xffffffff,0xffffffff,
    0x440004ff,0x3fea6fff,0xff301fff,0xfe8001ff,0xfff302ff,0xf88005df,
    0xe880dfff,0xfb107fff,0xd3dfffff,0x7ffe4fff,0x3ffe2002,0x1ffff007,
    0x27ffdc00,0x3ffee000,0xdfff1005,0x3fffe200,0xffff1001,0xfffff103,
    0xb7dfffff,0x0019dfff,0x4cffff00,0x7c03ffff,0x26001fff,0x3ee07fff,
    0x98000fff,0x2601ffff,0x2a01ffff,0xff32cedc,0x0fffecbf,0x01fffe00,
    0x2003fffc,0x0005fff9,0x803fffc4,0x1006fff8,0x2003ffff,0xf107fff8,
    0x79995dff,0x20000003,0x3fe27fff,0xfffc806f,0x3fff2003,0x0ffff205,
    0xfff704c0,0x5fffd00b,0x3fff6000,0x00bfff24,0x007fff88,0x4001ffff,
    0x0004fffa,0x1007fff8,0x7400dfff,0xf3002fff,0x3fe20dff,0x0000006f,
    0xf1bffe20,0xfd801fff,0x3fa002ff,0x3ff202ff,0x1ffc803f,0x7005fff9,
    0x90007fff,0x7dc3ffff,0x3ea004ff,0xfff007ff,0x7fe4003f,0x7cc0002f,
    0xff1004ff,0x7fec00df,0xfffb006f,0x1bffe20b,0x40018000,0x7ec4fffb,
    0x3fe203ff,0xff3001ff,0xfffa80ff,0x54fff806,0xfd00bfff,0xfc8003ff,
    0x7fcc3fff,0xffd001ff,0x3ffe00ff,0xfff3006f,0x005ed43f,0x017fffd4,
    0x006fff88,0x033fffea,0x01ffffb8,0x000dfff1,0x200bbfa0,0x543ffffa,
    0xc882ffff,0x32007fff,0x7cc05fff,0x5441dfff,0xff15fffc,0x7fdc05ff,
    0x3faa007f,0xffd05fff,0x7ec403df,0xff007fff,0x5401bfff,0x3e26fffe,
    0xaabccfff,0xffffffcc,0xdfff1000,0xffffc800,0xfeba9abf,0x3e204fff,
    0xa80006ff,0xacceffff,0xfffffcca,0xfffffd06,0xfffffb7b,0x7fff4009,
    0xffffc802,0xffffedff,0x3fffa5ff,0xfecaacef,0x3f625fff,0xfffedbbd,
    0x3fe206ff,0xbaacdfff,0xfffffffd,0x7fedc2df,0xbcffffff,0xffffdcaa,
    0x3fffe20f,0xffffffff,0xeb82ffff,0xffffffff,0x2dffffff,0xffffffd0,
    0xdfffffff,0x06fff880,0xffff8800,0xffffffff,0xf300ffff,0xffffffff,
    0x4c00dfff,0x3a007fff,0xffffffff,0x265fffff,0xfffffffe,0x20efffff,
    0xfffffffc,0x400effff,0xfffffffb,0xffffffff,0xf10fffff,0xffffffff,
    0xffffffff,0xff705fff,0xffffffff,0xf301dfff,0xffffffff,0xffffffff,
    0xfffb101f,0xffffffff,0x9ffd001b,0x3fea0000,0xffffffff,0x5402efff,
    0xffffffff,0x22001eff,0x22003fff,0xfffffffd,0x440bffff,0xfffffffe,
    0x7dc0dfff,0xffffffff,0x3fea003f,0xffffffff,0xffffffff,0xfffff30f,
    0xffffffff,0x05ffffff,0x7ffffed4,0x00cfffff,0xfffffff3,0xffffffff,
    0x74c01fff,0xefffffff,0x0bfee002,0xfeb88000,0xffffffff,0x3ff66003,
    0x004fffff,0x2000bf70,0xffffffeb,0x7f64402d,0x04efffff,0x3ffffff6,
    0xc88000cf,0xffffffff,0xdfffff9d,0x7ffff5c3,0xfffffd9e,0x1000cfff,
    0x35599553,0x3fffae00,0xffffffff,0x1003dfff,0x00357975,0x00000220,
    0x9acbaa98,0x2ea20000,0x000009ac,0x13530000,0x2ee62000,0x2f2a6001,
    0x26000009,0x000abcba,0x79751000,0x00000035,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44020000,
    0x01bcccca,0x2b3332e6,0x59b73000,0x00000003,0x73000000,0x00000009,
    0x4b980000,0x20000000,0x544004a8,0x00000bcc,0x10000000,0x3ffd8035,
    0x7fffffec,0xffffb82f,0x36205fff,0xefffffff,0xfeda8001,0x06a1ceff,
    0xfffedb98,0x3f6a00cd,0x000005ff,0x37ffb2e0,0xfd71002c,0x00000dff,
    0x7ff65440,0xfffd5007,0x00007fff,0x7ff6dcc0,0x00330bde,0x501dfff7,
    0x3e21ffff,0x4fffffff,0xffffffe8,0xffff307f,0x9fffffff,0x3fffee00,
    0xedffffff,0x7ff542ff,0xffffffff,0xfffffa83,0xa8000005,0xfffffffe,
    0x7fec01ef,0x00006fff,0x7fff5c40,0xf8807fff,0xfffdcfff,0x74c00000,
    0xffffffff,0x403ffeff,0x983ffffe,0x7fe46fff,0xa81fffff,0x4fffffff,
    0xffffffa8,0x3fffffff,0x3ffff620,0xffffffff,0x3ffa5fff,0xffffffff,
    0x66444fff,0x00005ffa,0x3ffff220,0xffffffff,0x3eb36603,0x2000006f,
    0xfffffffa,0x399007ff,0x0004ff98,0x3ffffea0,0xffffffff,0x3fe205ff,
    0x9b704fff,0x7ffff303,0xffffd880,0xfffff880,0xfffca9ac,0xfffd01ff,
    0xffffffff,0x7cdfffff,0xffffffff,0x02ffffff,0x000017fe,0xffffffd8,
    0xffffffff,0x00dfd005,0x7ffe4000,0x07ffffff,0x02ffc400,0xffffb800,
    0xffffffff,0x6407ffff,0x0000ffff,0x201bfff2,0xf703ffff,0x3e203fff,
    0xffc85fff,0x2621bfff,0x26fffffc,0x41bdffff,0x207fffea,0x000005ff,
    0x17fffff7,0x7ffffdcc,0x006fe802,0x3ffea000,0x07fffcef,0xfffcb980,
    0xffb80003,0x220aceff,0x07ffffd9,0x0000bda8,0x017fffc4,0x740ffff7,
    0x7dc02fff,0x7ffcc6ff,0x7f4c00ef,0x1fffa6ff,0x03ffff30,0x000017fe,
    0x03bfffe2,0x0ffffe98,0x00037f40,0xf82aea00,0x7cc007ff,0x0005ffff,
    0x0effff88,0x07fffb80,0xfc800000,0x3ffe06ff,0x17ffa03f,0xb07fffc0,
    0x2001dfff,0x3f26fffa,0xfffd805f,0x000bff02,0x3ffa0793,0xffd1006f,
    0x06fe809f,0x0005b300,0x2001fffe,0x01ffffec,0xffc81da8,0x3fe000ef,
    0x2200005f,0x7ffc402b,0x7fffb82f,0x4006ecc0,0xf10ffff8,0xe8003fff,
    0x0bba64ff,0x40fffee0,0x7e4005ff,0x7ffcc2ff,0x3fea001f,0x1bfa01ff,
    0x1fffb100,0x0ffff000,0x3ffe4400,0x88dffd30,0x4001ffff,0x00002ffb,
    0xf900bffa,0xfff88dff,0x5c00003f,0x3fea6fff,0xefa8007f,0x3ffa0001,
    0x00bff03f,0x07ffffa6,0x0009fff7,0x7405fffb,0x3fea006f,0xf8000fff,
    0xd80007ff,0xfffb81ff,0x3fffcc6f,0x00009800,0x017ffe20,0x5c5ffff1,
    0x00006fff,0x727fffc4,0x0000bfff,0x3fff2000,0x80bff01f,0x1effffc8,
    0x001fffc8,0x204fffa8,0xfd8806fe,0x0000efff,0x0000ffff,0x7f4c3ffb,
    0x7dc0dfff,0x000005ff,0xdfff3000,0x2dfff900,0x003ffff8,0x3fffa200,
    0x0ffff21f,0xd5000000,0x5ccbffff,0x2ccfffcc,0x27ffffd4,0x000fffd0,
    0xb997ffe2,0xbccfffcc,0x7ffffdc1,0x7ffc0003,0xacdfc807,0x326ffdba,
    0x902fffff,0x00005fff,0x3fea0000,0xfff8807f,0x06fffbaf,0x3ffa2000,
    0x7ffec3ff,0x88000001,0xfffffffc,0x3fffffa1,0xfd88ffff,0x7c01efff,
    0x3e0006ff,0x3fff67ff,0x35ffffff,0x11bffffd,0xff000353,0xfffb00ff,
    0x51dfffff,0x019ffffd,0x000fffec,0xdddd5000,0x3fffee05,0xefffb800,
    0x0003ffff,0x9fffff30,0x003fffb0,0xffff0000,0xc981dfff,0xaccccccc,
    0x73fffffa,0x7fc45fff,0x3fe0006f,0x3332e67f,0xfb9bcccc,0xfe9affff,
    0x2001efff,0xb5007fff,0xb15bdddd,0x363dffff,0x3ff60fff,0x4ccc401f,
    0x36009999,0x3f206fff,0xf8801fff,0x06ffffff,0xffff3000,0x3fff60bf,
    0xf8000001,0x003fffff,0xdffffb10,0x0bfffe23,0x2000ffff,0x4006fff8,
    0x8dffffe9,0xfffffffb,0xffff002f,0xfff50000,0x7ffd49ff,0x07fff60f,
    0x7fffff4c,0x440effff,0x3601ffff,0x7001ffff,0x07ffffff,0xffff5000,
    0x7ffec09f,0xf8000002,0x0000bfff,0x87fffff7,0x6c2ffffe,0x98000fff,
    0x32005fff,0xf12fffff,0x3fea23ff,0x0ffff007,0x7ffec400,0x3ffe21ef,
    0x3fff20ff,0xfffff901,0x87ffffff,0x7404fffa,0x1002ffff,0x00dfffff,
    0xfffff900,0x3fffb809,0xfd800000,0xfd10004f,0xfb81bfff,0x7e42ffff,
    0xfb8002ff,0xfe9803ff,0x3e60cfff,0x00ffd81f,0x0007fff8,0x07fffff5,
    0x41fffffb,0xf503fffb,0xffffffff,0xfffd85ff,0x7ffff400,0x3ffee003,
    0x7ec0003f,0xa803ffff,0x00005fff,0x001dd980,0x2fffff88,0xffbfff98,
    0x037ffd42,0x0bfffe20,0x3dffff30,0x3fe20220,0x0ffff007,0xbffff700,
    0xfbbff501,0x27ffcc1f,0xfdddd950,0xfff05fff,0xfffff005,0x7ffe4009,
    0x3fa20006,0x1002ffff,0x0005ffff,0x00000031,0x4037ffe6,0x2ffbaffe,
    0x01ffffc4,0x01dfff90,0x004fffa8,0x004ffe88,0x9000ffff,0x3e207fff,
    0x40ffc8ff,0x4000ffff,0xffa87fff,0xffff8805,0xfff1005f,0x3a60005f,
    0x001fffff,0x00ffffe4,0x000dfd30,0x8076e000,0x5ff74ffc,0x05ffff70,
    0x05ffff70,0x20007320,0x2005fff9,0x88007fff,0x3ff600cc,0xfd81ff92,
    0x7fc005ff,0x01ffc87f,0x6fffff98,0x0dfff900,0x3fffea00,0xf88000ef,
    0x400cffff,0x002ffffb,0xf9800000,0x2ffb99ff,0x09ffffb0,0x02ffffec,
    0x7fdc0000,0x7ffc004f,0xf7000007,0x1ffb33df,0x2effff98,0x3fffd440,
    0xfa8027fc,0x8806ffff,0x8002ffff,0x0dfffffb,0x7cc05cc0,0xbcefffff,
    0xfffffecb,0x055c400f,0xffd80000,0x3fffffff,0xffffff88,0xffffdbbd,
    0x000000ff,0x00bfff62,0x001fffe0,0x7ffffc00,0x642fffff,0xcdefffff,
    0xfffffdba,0x002fc47f,0x4dfffff3,0xfecccca8,0x4002cfff,0xfffffffe,
    0xffffffff,0xffff706f,0xffffffff,0xa807ffff,0x0002ffff,0xfffffe80,
    0xf503ffff,0xffffffff,0x003dffff,0x7ffcc000,0x3fb2200e,0xffffffff,
    0x0003efff,0x7ffffffc,0xffe82fff,0xffffffff,0x07ffffff,0xfffff000,
    0x7fffff49,0x2fffffff,0x3ffffa00,0xffffffff,0x300fffff,0xfffffffd,
    0x03dfffff,0x09ffffb0,0x33310000,0x807ff953,0xffffffd8,0x000dffff,
    0x3ffee000,0x22b9999d,0xfffffffb,0xffffffff,0x2660002f,0x1ffea999,
    0x3ffffee0,0xffffffff,0x900001df,0x7fc3ffff,0xffffffff,0x3a005fff,
    0xffffffff,0xffffffff,0x7fed401f,0x3dffffff,0x3fffea00,0xd8000002,
    0x804fffff,0xfffffffb,0x8000002e,0xfffffffe,0xfff70fff,0xffffffff,
    0x005fffff,0x7ffffc00,0x3fb2202f,0xffffffff,0x4400000c,0x7fe42efc,
    0xffffffff,0x3fa001ff,0xffffffff,0xffffffff,0x77531001,0x5c400015,
    0x0000000b,0x05dfffd7,0x00ddcc40,0x3fa00000,0xffffffff,0xfffd911f,
    0xffffffff,0x800009df,0x01effffd,0x26b2e620,0x08000001,0x555554c0,
    0x00001aaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99988000,0x00000999,
    0x336a0000,0x001dd980,0x00003510,0x007bdb91,0x00008000,0x40000d44,
    0x00009999,0x20336a00,0x22001dd9,0x3ec881dd,0x00157100,0x77ff6dc4,
    0x74c02a2d,0x6fffffff,0x7ff40000,0xff8805ff,0x06ffd84f,0x67ffe440,
    0x2a0064c0,0x0effffff,0xfdb50000,0x039dffff,0x0cfffc98,0xffb00654,
    0x0000dfff,0x213ffe20,0x36006ffd,0xfffb86ff,0x7fffd401,0xffffb801,
    0xffffffff,0xffffd80f,0x0006ffff,0x3ffffee0,0x5fff8805,0x2007ffe8,
    0xfffffff8,0x204ffc8b,0xffcefff8,0x6c40006f,0xffffffff,0xff102fff,
    0x917fffff,0x3fea07ff,0x0006ffff,0x0bfff100,0x7400fffd,0xfffc87ff,
    0x7ffff402,0x7fffec05,0xffffffff,0xfffc82ff,0x006fffff,0xfffff100,
    0x3ff600bf,0x003ffa81,0x3f277ff2,0x01ffffff,0xff70bff6,0x7ff40007,
    0xffffffff,0xbff904ff,0xffffffb3,0x3ffe603f,0x00006fff,0x2a07ff60,
    0x3ea003ff,0x06fe883f,0x05ffffe8,0x3fffffee,0xffffffff,0xeedb884f,
    0x0006fffe,0xffffff90,0x2200400b,0x20ecc000,0x01dfffea,0x5ff82ffc,
    0xffff7000,0xfffffdff,0x5076603f,0x803bffff,0x06fffeca,0x20040000,
    0x00880008,0xfffb8004,0xffff101f,0x7fdcc39d,0x3e004fff,0x980006ff,
    0x5fffffff,0x00000000,0x4c005d40,0x0df902ff,0x37fff600,0x000a9981,
    0x10002ea0,0x0000dfff,0x00000000,0x2ee60000,0x3fffea00,0x3fffa200,
    0x1bffe004,0x3fff6000,0x0005ffff,0x00000000,0x740ffe20,0xfff0006f,
    0x2000001f,0x7fc40000,0x0000006f,0x00000004,0x3f200000,0xffb803ff,
    0x3ffe003f,0x7fd40006,0x05fffbff,0x6ffedcc0,0x5cc0001b,0x001bdffd,
    0x9ff30ffd,0xdfff1000,0xb9510000,0x07dfffff,0x86fff880,0x32a00000,
    0x02cdfffe,0x3cccca88,0x99999730,0xffc80003,0xfff8802f,0x1bffe001,
    0xbfffd000,0x200bfff3,0xfffffffc,0x64003fff,0xffffffff,0x7fd403ff,
    0x0fffc9be,0xff997300,0x999999ff,0xfffc8037,0xffffffff,0xfff1002f,
    0x3bfff6ad,0xfd88002c,0xffffffff,0xffff102e,0xfff50dff,0x0005ffff,
    0x00efffa8,0x7c002da8,0x2e0006ff,0xff98ffff,0x7ff4405f,0xffffffff,
    0x74400eff,0xffffffff,0x200effff,0xfffffffd,0xf31764c2,0xffffffff,
    0x3fffffff,0x3ffffe60,0xffffffff,0xfff8801f,0xffffffff,0x3ee004ff,
    0xffffffff,0xf985ffff,0xc86fffff,0x2fffffff,0xffff8000,0x800001bf,
    0x10006fff,0x3e67ffff,0x3fa205ff,0xffffffff,0x206fffff,0xffffffe8,
    0xffffffff,0x7fffd406,0xffff931e,0x7ffffdcb,0xffffffff,0x3fe04fff,
    0xfeefffff,0x8807ffff,0xffffffff,0x0dffffff,0x7ffffd40,0xfffffeff,
    0xfffe84ff,0xfff986ff,0x0002ffff,0xffffffc8,0x0000abdf,0x80037ffc,
    0x3e66fffd,0x3ff605ff,0x2a20aeff,0xb05ffffe,0x415dffff,0x5ffffea8,
    0xfca89880,0x20cfffff,0xfffffff8,0xffffffff,0x2f36601f,0xffffa81a,
    0x7fffc400,0xffffffff,0x3e602fff,0x10acffff,0x3fffff73,0x0dfff710,
    0x17ffed4c,0xfffb8000,0xdfffffff,0xdfff0002,0xffff3000,0x82fffcc5,
    0x404ffff9,0x40ffffd8,0x404ffff9,0x00ffffd8,0x7ffffed4,0x5d4c02cf,
    0xaaaaffff,0x400001aa,0x4402fffd,0x0bffffff,0x817fff6a,0x402ffffe,
    0x106ffff9,0xf900dfff,0x400005ff,0xfffffffb,0x8004ffff,0xe8006fff,
    0x7fcc5fff,0xbfff705f,0x17fff400,0x8017ffee,0x5442fffe,0xcffffffd,
    0xfff88001,0x54c00006,0xffc9abcb,0x7ffc403f,0xfff100ef,0x3fffe20f,
    0xffff3002,0x0dfff105,0x205fff90,0x22000aa8,0xffffffda,0x2000dfff,
    0x5c006fff,0x7cc1ffff,0xfffb05ff,0x7ffcc001,0x007ffec5,0x5cbfff30,
    0x9cefffff,0x2001bcb9,0x0006fff8,0xfffffc88,0x3fffffff,0x077ffc40,
    0x207fffa0,0xeeeffffa,0xeeeeeeee,0xf883ffff,0xffc806ff,0xffffa82f,
    0xd9510001,0x007fffff,0x10037ffc,0xf309ffff,0x3ffe0bff,0x7fff8006,
    0x40037ffc,0x3ffa7fff,0xfffb11ce,0x3e2009ff,0x5c0006ff,0xffffffff,
    0x03ffffff,0x4037ffc4,0xfb81fffd,0xffffffff,0xffffffff,0xfff885ff,
    0x2fffc806,0x05ffffd8,0xfffd3000,0x37ffc00d,0xbffff900,0xfffb9999,
    0x5fff985d,0x0fffd800,0x000bfff3,0x2e61fffb,0xfffffe81,0xff8805ff,
    0x3ee0006f,0xffffffff,0x03ffffff,0x4037ffc4,0xfc81fffd,0xffffffff,
    0xffffffff,0xfff886ff,0x2fffc806,0x05ffffe8,0xfe8009f9,0xfff000ff,
    0x7fffc00d,0xffffffff,0x7fc6ffff,0xfff8006f,0x0037ffc7,0x6403fffc,
    0xffb31cff,0x6fff8805,0xffff5000,0xd9959dff,0x8807fffd,0xfd806fff,
    0xfffb81ff,0xffffffff,0xffffffff,0x06fff886,0xa82fffc8,0xf982ffff,
    0x3f2001ff,0xfff002ff,0x7fffc00d,0xffffffff,0x360fffff,0x2a001fff,
    0x7fec4fff,0x3fea001f,0x86ff804f,0x7c405ff8,0xfd0006ff,0x5c017dff,
    0x7c403fff,0xffd806ff,0xefff981f,0x99999999,0x09999999,0x806fff88,
    0x7302fffc,0x3ffee017,0xffff1005,0x1bffe003,0xffffff80,0xffffffff,
    0x7ffdc5ff,0xfff8800e,0x77ffdc2f,0xffff8800,0x817fc402,0x7fc406fc,
    0xff88006f,0xffc801ff,0x7ffc403f,0x1fffd806,0x05ffff88,0x7ffc4000,
    0x7ffec407,0x3fee0002,0x36601eff,0xf000ffff,0x55400dff,0xaaaaaaaa,
    0x881efffb,0x202effff,0x40fffffa,0x02effff8,0x03ffffea,0x3207ff10,
    0x7ffc406f,0xfff88006,0x3ffee00f,0x7fc403ff,0xfffd806f,0x9ffff901,
    0x02f2a600,0x440ffffc,0x02fffffc,0x3ee01771,0xbdefffff,0xfffffdca,
    0x1bffe005,0x3fe60000,0x3fff205f,0xecaacdff,0x903fffff,0x59bfffff,
    0xfffffd95,0x21bfe007,0x7c405ff8,0xff0006ff,0xb957bfff,0xffffffff,
    0xfff1019d,0x3fffb00d,0x7fffff40,0xfdcbaabc,0xfb04ffff,0xfb759dff,
    0x9fffffff,0x0ffffd41,0x7fffffdc,0xffffffff,0x7f5c0eff,0xffffffff,
    0x02dfffff,0x3ffff6e0,0xffb02dff,0xffffffff,0xd80bffff,0xffffffff,
    0x05ffffff,0x5473ff20,0x7ecc2ffd,0xffffffff,0x702dffff,0xffffffff,
    0xffffffff,0x7f4c9fff,0xc85effff,0x2efffffe,0xffffff98,0xffffffff,
    0xff505fff,0xffffffff,0x9fffffff,0x42ffffec,0xfffffff9,0xffffffff,
    0x7fffcc0d,0xffffffff,0x00ffffff,0xffffff98,0x3ee07fff,0xffffffff,
    0xf7003fff,0xffffffff,0xd0007fff,0x9fffffff,0xffffffd0,0xffffffff,
    0x7ffe40ff,0xffffffff,0x4fffffff,0x3ffffffa,0x3ffea3ff,0x106fffff,
    0xfffffffb,0xffffffff,0x7fffdc05,0xffffffff,0x3f64ffff,0x7d905fff,
    0xffffff71,0x3e603dff,0xffffffff,0xffffffff,0xfff9800f,0x07ffffff,
    0x7ffff64c,0x4000bdff,0xfffffec9,0x10000bdf,0x07fffffb,0x3ffffffa,
    0xffffffff,0x7ff5407f,0xcbefffff,0x20ceffff,0xfffffffe,0x3fffea3f,
    0x5407ffff,0xffffffff,0x800bdfff,0xfffffffb,0xcefffdad,0x07fffea0,
    0x35975300,0xfffd7001,0xffffffff,0x4007bfff,0xffffffeb,0x2e62002d,
    0x2200001b,0x00001bb9,0x5005654c,0xfffffffb,0x5bffffff,0x2f32ea00,
    0xfd98000a,0x40ceffff,0xdfffffec,0x99531002,0x40001355,0x000abcb9,
    0x0000bb88,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x00013333,0x00013333,0x3019b500,
    0x540003bb,0x00000001,0x40772200,0xc88003eb,0x8000000c,0x0019aaa9,
    0x9aaa9800,0x6666c001,0xcccccccc,0x4ccccccc,0xccccb980,0x1ccccccc,
    0x2ffffa80,0xffffb100,0x8800009f,0xffd84fff,0x7fe44006,0x00e441df,
    0xeffed980,0xdffb000c,0x003fff50,0x0004ffd8,0xffff9100,0x0017dfff,
    0x7fffe440,0x800befff,0x01200004,0xfffffff9,0xffffffff,0x2ffffa80,
    0xfffff700,0x8800009f,0xffe85fff,0x7fff4007,0xffb8cfff,0xfffc8005,
    0x804fffff,0x7dc0fffe,0x7fc002ff,0xc800006f,0xffffffff,0x8003ffff,
    0xfffffffc,0x403fffff,0x01200004,0xffffffff,0xffffffff,0x7fffd403,
    0xffff5002,0x000009ff,0xff503ffb,0x77fdc007,0xffffffc9,0x7fe4002f,
    0xffffffff,0x427fd404,0xf8006fe8,0x200007ff,0x0abfffe8,0x37fffae6,
    0xfffe8800,0x3fae60ab,0x00900dff,0x3f202400,0xffffffff,0x406fffff,
    0x002ffffa,0x13fffb6e,0x20040000,0x16c40008,0x0bbfffa6,0xfffff300,
    0x1fffffff,0x00400880,0x007fff80,0x1bffd100,0x0dffb100,0x00dffe88,
    0x906ffd88,0x40240000,0xfdaaaaa8,0x001aacff,0x3fea0000,0x0000004f,
    0x2a000000,0xff90001b,0x7ff4c5df,0x0000000f,0x001fffe0,0x0017fec0,
    0xfb027fdc,0xff70005f,0x40000909,0x3ff20004,0x0000002f,0x009fff50,
    0x00020000,0x00004000,0xd105fffd,0x0000007f,0xfffcca88,0xcccccccf,
    0x5ffdc01b,0xdeeeeec8,0x81ffc81c,0xfeb83ffb,0x3f23badf,0x0000241f,
    0x7fe40009,0x0000002f,0x009fff50,0xfdca8800,0x003effff,0x4cf332e2,
    0x02deffed,0x003fffc0,0xccccb980,0x3f6003cc,0xffffffff,0x4fffffff,
    0x7fcdbfa0,0x3fffffff,0x6fe85fe8,0x7fffff4c,0x22ff47ff,0x01200004,
    0x02fffc80,0xcccccb98,0xffa8003c,0x6665cc4f,0x7fe402cc,0xffffffff,
    0x7fc402ff,0xfffcffff,0x00dfffff,0x001fffd0,0xfffffc80,0x3e006fff,
    0xffffffff,0xffffffff,0x4c1ff506,0xfdbaadfd,0x2a0ffa87,0x67ff40ff,
    0x20fffc99,0x00120ffa,0x32000480,0x7e402fff,0x6fffffff,0x4fffa800,
    0x3fffffea,0xfff305ff,0xffffffff,0x7d403fff,0xffffffff,0xffffffff,
    0x2fffc800,0x7fff4000,0x006fffff,0x3ffffff2,0xffffffff,0x0dfb02ff,
    0x87fb09f9,0x1bf63ff8,0xff501ff7,0x0123ff88,0x20004800,0x7402fffc,
    0xffffffff,0xfffa8006,0x3fffff24,0x3fe07fff,0xfeefffff,0x2207ffff,
    0xffffffff,0xffffffff,0xfffb804f,0x7fd40004,0x06ffffff,0x7ffd5440,
    0xaaaaaaaf,0x6427f402,0xe84fd84f,0xfd13fa5f,0x7f426c09,0x48000125,
    0x3fff2000,0x7fffd402,0x8006ffff,0x3ea4fffa,0x4fffffff,0x06af3660,
    0x003fffea,0x7ffffff3,0x3fffe4c1,0xfffeedb8,0x001bdeef,0xfffbaaa8,
    0x3ffe0006,0x1ffc0007,0xfdb8a7e4,0x3e6fc81f,0x000ffc3f,0x000937e4,
    0xf9000240,0x2aa005ff,0x006fffba,0xf34fffa8,0x157fffff,0x7fec0000,
    0x7ffc402f,0x3ffe01ff,0x7fffdc0f,0xffffffff,0x7fc40006,0x3fe0006f,
    0x3e20007f,0xffffc81f,0xff703fff,0x7f887fe2,0x24ff7000,0x00890000,
    0x00bfff20,0x01bffe20,0x2f3ffea0,0x00efffff,0x2f2ea600,0x03fffc9a,
    0x007fffc4,0xf907fff6,0xffffffff,0x0001ffff,0x0037ffc4,0x000ffff0,
    0xffc83ff8,0x3204ffff,0xf88ffe6f,0x6fc8000f,0x34800012,0x3f2007ff,
    0xf88002ff,0xfa8006ff,0xffffffff,0xff910004,0xffffffff,0xff8807ff,
    0xfffc806f,0x7ffff4c2,0x3fffffff,0x7ffc4000,0x3ffe0006,0x27f40007,
    0xffd8a7e4,0x7f4bfd01,0x4001ffc4,0x000125fe,0x00dff948,0x000bfff2,
    0x001bffe2,0x3fffffea,0xf70003ff,0xffffffff,0x807fffff,0xc806fff8,
    0x33102fff,0x013bfff7,0x3ffe2000,0x3ffe0006,0x37ec0007,0x3ff227e4,
    0xfb1ffc40,0x1406fd8d,0x0048ffe2,0x7fff5200,0x2fffc800,0x6fff8800,
    0xffffa800,0x70006fff,0xffffffff,0x7fffffff,0x06fff880,0x802fffc8,
    0x0005fffa,0x037ffc40,0x00ffff00,0x6c0ffa80,0x077ec0cf,0x7fd41ff5,
    0x82b7fe60,0x3fea1fea,0x48000120,0x9001fffd,0x10005fff,0x5000dfff,
    0xffffffff,0x7fd4001d,0xcaceffff,0x03fffeec,0x4037ffc4,0xc802fffc,
    0x00004fff,0x0037ffc4,0x000ffff0,0x3fe2bff0,0x3fe24fff,0xff0bfb3f,
    0xeffffb8b,0x2fec5fff,0xd4800012,0xfb001fff,0xf10001ff,0xf5000dff,
    0xffffffff,0x3ffa001d,0x3ee00bef,0x7fc403ff,0xfffc806f,0x3fffe802,
    0x7fc40000,0x3fe0006f,0xfb80007f,0xefffe8bf,0x7dd77cc2,0x43ffb82f,
    0xcfffffe9,0x090bfee0,0xffea4000,0x7ffc400f,0xfff10007,0xfff5000d,
    0x3fffff6b,0x7fffc401,0x3fffc801,0x037ffc40,0x2017ffe4,0x401ffff8,
    0xf8800cd9,0x3e0006ff,0x73101fff,0x3ff60bfd,0x4ffa8002,0x4c0bff60,
    0x84ffa81a,0x75200004,0xd300cfff,0x2000bfff,0x8006fff8,0x3f24fffa,
    0x2201ffff,0x2e00ffff,0x403fffff,0xc806fff8,0x3a602fff,0xfe807fff,
    0xfff8804f,0x3ff60006,0xfecaabff,0x882fffff,0x9000dfff,0xff880dff,
    0xff9000df,0x8000120d,0xbfffffd4,0xffffb759,0x3e20003f,0xfa8006ff,
    0x7ffdc4ff,0x3ffe02ff,0xfdcabdff,0xefffffff,0x3fffa20c,0xfd985eff,
    0x220cffff,0xfffffffd,0xffffffff,0x3ffae6ff,0xffffffff,0x402dffff,
    0xfffffffa,0xffffffff,0x7dffd100,0x7fedcc13,0xfe8800df,0x2e609bef,
    0x900dfffd,0xfea40000,0xffffffff,0x801fffff,0xffffffeb,0xffffffff,
    0x7fff5c2d,0xffffc84f,0x3ee0ceff,0xffffffff,0xffffffff,0x3fff64ff,
    0x743fffff,0x4fffffff,0x3ffffff6,0xffffffff,0xff34ffff,0xffffffff,
    0xffffffff,0xffffc801,0xffffffff,0xfffc802f,0xfffffeff,0xffc8003f,
    0xffffefff,0x002403ff,0x3fae2900,0xffffffff,0xff9801ff,0xffffffff,
    0xffffffff,0xffffff70,0xfffffd09,0xffc89fff,0xffffffff,0xffffffff,
    0x3fffffa4,0x7ff44fff,0x364fffff,0xffffffff,0xffffffff,0xffff31ff,
    0xffffffff,0x01ffffff,0xfffffd50,0x0015bfff,0x7ffffe4c,0x0000bfff,
    0x3fffff26,0x4800bfff,0x2a120000,0xeffffffd,0xfff3000c,0xffffffff,
    0x1fffffff,0x3fffffee,0xfffffe84,0xfea84fff,0xbeffffff,0x0ceffffc,
    0x3fffff66,0x7fecc0ce,0x3620ceff,0xffffffff,0xdeffffff,0x7ffff5c0,
    0xffffffff,0x4c003dff,0x0009bcca,0x35775300,0x75300000,0xce800357,
    0xcccccccc,0xcccccccc,0x5654c05c,0xffd70000,0xffffffff,0x447bffff,
    0x84ffffec,0xefffffd9,0x332ea00c,0x000000ab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99510000,
    0x73037999,0x81599999,0xcccccca8,0xcccccccc,0x65444ccc,0xbccccccc,
    0x9993000a,0x99999999,0x99999999,0x66654c19,0x01bccccc,0x33332e20,
    0x32e200ac,0x000acccc,0x95100004,0x99999999,0x99999999,0xcccca887,
    0xcccccccc,0xcccb980a,0x332e200a,0xccc881bc,0xcccccccc,0x220ccccc,
    0xffffffff,0x3ffff23f,0x3e0fffff,0xffffffff,0xffffffff,0xfff10fff,
    0xffffffff,0x54019fff,0xffffffff,0xffffffff,0xff30ffff,0xffffffff,
    0xff700dff,0x5fffffff,0xffffff70,0xeb805fff,0x003dcfff,0xfffffff1,
    0xffffffff,0x7d4dffff,0xffffffff,0x0fffffff,0x3ffffff6,0xffffb82f,
    0x7fcc4fff,0xffffffff,0x20ffffff,0xfffffffb,0x3fffe6ff,0x52ffffff,
    0xffffffff,0xffffffff,0x3ea1ffff,0xffffffff,0x3fffffff,0xffffff50,
    0xffffffff,0x21ffffff,0xfffffffb,0x00ffffff,0x7fffffec,0xffd84fff,
    0x4fffffff,0xfffffd10,0xf5007fff,0xffffffff,0xffffffff,0x7ffe4dff,
    0xffffffff,0xf13fffff,0xbfffffff,0xffffffd0,0xffff98ff,0xffffffff,
    0x3e20ffff,0xffffffff,0x3fffff23,0x3fe0ffff,0xffffffff,0xffffffff,
    0x3fffe0ff,0xffffffff,0xa84fffff,0xffffffff,0xffffffff,0xff30ffff,
    0xffffffff,0xff500dff,0x5fffffff,0xffffff70,0x3fa03fff,0xffffffff,
    0xffff8805,0xfffffdff,0x6fffffff,0x3fffffea,0xffffffff,0x3fff60ff,
    0xfb82ffff,0x44ffffff,0xfffffff9,0xffffffff,0x7ffd440f,0xaa880aaf,
    0x7302ffff,0x5555dfff,0xfff55555,0xffffa81f,0xffdbaaaa,0x7d43ffff,
    0xfbaaadff,0xeaaaaeff,0x32a20fff,0xaaaadfff,0x3fee6001,0x2200acff,
    0x0affffca,0xffffff70,0x4003ffff,0xff9fffc9,0xfbaaaaef,0x555446ff,
    0xaaffffba,0xffd302aa,0x7fe407ff,0xff981dff,0xaaaaaaef,0x80fffffb,
    0x2006fff8,0x7c407fff,0xffd006ff,0x0ffff01f,0x0ffffe98,0xf113ffea,
    0xfffb0dff,0x5bfff501,0x03555555,0x013fff60,0x404fffd8,0xf50cfffe,
    0xff70001b,0x20bfff3b,0xff006fff,0xfe8800df,0xff980fff,0x3fe606ff,
    0x3fff605f,0xdfff102f,0x03fffc00,0x401bffe2,0xfff07ffe,0xfffd100f,
    0x227ffd49,0xfd86fff8,0xfffa80ff,0xffffffff,0x7fcc04ff,0xff8800ff,
    0x7ffc00ff,0x7f400007,0x05fff9bf,0x3e00dfff,0xf98006ff,0x3e20efff,
    0x2600ffff,0xff705fff,0x7fc407ff,0x3ffe006f,0x37ffc407,0xdff90e4c,
    0x401fffe0,0xf50ffff9,0xfff889ff,0x80fffd86,0xfffffffa,0xefffffff,
    0x0ffffa01,0x017fff20,0x0003fffe,0x4cfffc40,0xfff05fff,0x1bffe00d,
    0x7fffd400,0x07ffffa5,0x309fff30,0x880bffff,0x3e006fff,0x7fc407ff,
    0x337fd46f,0x3ffe05ff,0x3fff6007,0x887fff53,0xffd86fff,0xffffa80f,
    0xfffeeeee,0xf700ffff,0xfff00dff,0xfffd005f,0x3ee00009,0x2bfff36f,
    0x07ffb4fb,0x001bffe0,0xdcffffb8,0xf002ffff,0xfff885ff,0x7fc400ef,
    0x3ffe006f,0x37ffc407,0x8003fff2,0x2e007fff,0xfff14fff,0x86fff883,
    0xff506ffb,0x7fe4409f,0xfff103ff,0x7ffd403f,0xffff5006,0xffb00003,
    0x237ffe69,0x0bc89fff,0x00dfff00,0xfffffd80,0x2a004fff,0x7fff40ce,
    0xfff8801f,0x1fffe006,0xddffff10,0x003ffffd,0x3003fffc,0x1ed4bfff,
    0x4437ffc4,0xfff501dc,0xbfffb009,0x02fffe40,0x4007fffd,0x0006fffe,
    0xff32fff8,0x07fffdff,0x01bffe00,0x3ffffa00,0x900005ff,0x2005ffff,
    0x2006fff8,0x7c407fff,0xffffffff,0x3fe001ff,0x3fe2007f,0xfff1006f,
    0x3fea000d,0xfffa804f,0x3fffe606,0x0ffff980,0xfffff700,0xa8019989,
    0x3ffe67ff,0x004fffff,0x000dfff0,0xdffffd10,0xff500001,0x7c4009ff,
    0x3fe006ff,0x7ffc407f,0xffffffff,0x1fffe001,0x00ffff00,0x001bffe2,
    0x4027ffd4,0x7405fff9,0xffc83fff,0xfff7004f,0x3e23ffff,0x3f200fff,
    0x3fffe65f,0x0004ffff,0x0000dfff,0x1dfffff1,0xfff98000,0x7fc4006f,
    0x3ffe006f,0x7fffc407,0x1fffffff,0x01fffe00,0x200ffff0,0x0006fff8,
    0x9009fff5,0xfa807fff,0x7ffc46ff,0xfffb801f,0xf76fffff,0x7f407fff,
    0xfffbaadf,0x003fffff,0x000dfff0,0xffffffd0,0x7f44000b,0x44000fff,
    0x3e006fff,0x7fc407ff,0xffd999ef,0x3ffe001f,0x3ffe6007,0xdfff1005,
    0x3ffea000,0x7fffc404,0x2ffff801,0x401bffee,0xffaefffe,0xffffdcff,
    0xfffff302,0xf5dfffff,0x3e0005ff,0x640006ff,0xffffffff,0xfffb0004,
    0x440aa05f,0x3e006fff,0x7fc407ff,0x07ffdc6f,0xfff01991,0x7ffdc00f,
    0xdfff1004,0x3ffea000,0xdcaaaaad,0x800fffff,0x3fa5fffc,0xff8802ff,
    0x3fffee6f,0x2e03ffff,0xffffffff,0x01ffd5ff,0x01bffe00,0xcffffb80,
    0x002ffffc,0x81ffffdc,0xfff04ffb,0x3ffe200f,0x37ffc406,0xff90ff62,
    0x00ffff09,0x8017ffec,0x0006fff8,0xfffffff5,0xdfffffff,0x3ffe2001,
    0x07fffa8f,0xd89fff70,0x05ffffff,0x7ffffff4,0x82a5ffff,0xfff001b8,
    0x3fe6000d,0x3fffa6ff,0xfff3001f,0x37ff40bf,0x800fffd8,0x4404fffa,
    0x3a006fff,0x7fff86ff,0x3ffff300,0x1bffe200,0x7fffd400,0xffffffff,
    0xffd8005f,0x04fffdcf,0x887fff90,0x02ffffff,0xf307ffe2,0x7ff40bff,
    0x06fff801,0xfffff880,0x3ffffe20,0x7fffc400,0x1fffe00e,0x202fffe4,
    0x403fffe8,0x2006fff8,0xfff87fff,0xffffa807,0x3ffe2005,0xfff50006,
    0xbddddddf,0x3ea00037,0x0fffffff,0x0dfff500,0x80fffff5,0xff987ffa,
    0x9fff105f,0x00dfff00,0x1ffffe88,0x06ffff98,0x00fffff4,0x7cc1fffe,
    0xe880dfff,0x4400ffff,0x3e006fff,0x7fff87ff,0xffff9530,0x7fc4001f,
    0xff50006f,0x8000009f,0x5ffffffe,0x3fffe200,0xfffecbdf,0xffb05eff,
    0x0bfff30b,0x2017ffe6,0x6c006fff,0x2a02ffff,0xf905ffff,0xff007fff,
    0x7ffdc0ff,0xffdbbcff,0x36e02fff,0xffffffff,0xffffffff,0x3ffae7ff,
    0xffffffff,0x02ffffff,0x7ffffedc,0x02dfffff,0x3fffffae,0x002dffff,
    0xfffff700,0xffc8005f,0xffffffff,0x363fffff,0xc9effffe,0xfffffffe,
    0x5fffffff,0xfffffd91,0xdfffffff,0xffffec87,0xffea82df,0x7fc3efff,
    0xffffffff,0x7fffffff,0x7ffffec0,0x5fffffff,0x3ffffe60,0xffffffff,
    0x7fffffff,0xfffffff3,0xffffffff,0xff9807ff,0xffffffff,0xff507fff,
    0xffffffff,0x00001fff,0x0dfffff1,0x3ffffa00,0xffffffff,0xffff74ff,
    0xffffffff,0xffffffff,0x3eebffff,0xffffffff,0x2fffffff,0xfffffff5,
    0xffff88ff,0x3e1fffff,0xffffffff,0xffffffff,0xffffc807,0x04ffffff,
    0x7fffffcc,0xffffffff,0x37ffffff,0xffffffff,0xdfffffff,0xffff3003,
    0xffffffff,0x3ffea0ff,0xffffffff,0x900000ff,0x0007ffff,0x7fffffdc,
    0x0ceffddf,0xfffffff7,0xffffffff,0xffffffff,0x3fffeebf,0xffffffff,
    0xff52ffff,0x8fffffff,0xfffffff8,0x3fffe2ff,0xffffffff,0x007fffff,
    0xffffffd3,0x3fae003d,0xffffffff,0xffffffff,0x3fffae7f,0xeeffffff,
    0x7f5c002c,0xffffffff,0x3fb202df,0xffffffff,0x2600002d,0x0000ffff,
    0x055e54c4,0x7fff6c40,0xfffeb9ef,0xffffffff,0xfd915fff,0xffffffff,
    0xec89dfff,0x82dfffff,0xefffffda,0x7fffffc3,0xffffffff,0x44007fff,
    0x00009bba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xccccccca,0x22000abc,0x1bccccca,
    0x33332e60,0x9999301b,0xcccb9809,0x65440acc,0x80bccccc,0x01bcccb9,
    0x02b332e6,0x1bcccb98,0x07999950,0x166665c0,0x0bcccb98,0x2f332e20,
    0xcccca880,0x001bcccc,0x66666544,0x00abcccc,0x33332600,0xcccb981b,
    0x3fffe01b,0xffffffff,0x7fc00cff,0x5fffffff,0xffffffe8,0x7fff46ff,
    0xff904fff,0x1fffffff,0x3fffffe2,0x3fa3ffff,0x85ffffff,0xfffffffd,
    0xfffffc82,0x7fffc4ff,0xf8800fff,0x6c7fffff,0x2fffffff,0xffffffa8,
    0x3fffe64f,0xffffffff,0xffff3006,0xffffffff,0xe8007fff,0x4fffffff,
    0x3ffffff2,0xffff986f,0xffffffff,0xf503ffff,0xffffffff,0x7fffc41f,
    0x31ffffff,0xffffffff,0xfffffd03,0x3ea7ffff,0xffffffff,0xfffff15f,
    0xfff0ffff,0xd09fffff,0xffffffff,0x7fffffcc,0xfffb803f,0x3fe2ffff,
    0x85ffffff,0xfffffffd,0x3fffff27,0xffffffff,0xffffb800,0xffffffff,
    0x801effff,0xfffffff9,0x3ffffa7f,0xff81ffff,0xffffffff,0x5fffffff,
    0xffffff88,0xffe85fff,0x46ffffff,0xfffffffe,0xfffffc86,0xff10ffff,
    0xffffffff,0x7fffff45,0xfffd84ff,0xfc82ffff,0x44ffffff,0x7ffffffe,
    0xffffff80,0x7fffec7f,0xffc83fff,0x265fffff,0xffffffff,0x3006ffff,
    0xffffffff,0xffffffff,0xffd001ff,0x649fffff,0x6fffffff,0x2bfffe60,
    0xfffdbaaa,0xfd883fff,0x201aadff,0x4fffdaa9,0xfffff530,0xff55107f,
    0x3ee605ff,0x5c0aaeff,0x01cfffff,0x0bffff66,0x0cffffc8,0xffffff70,
    0x7fffd405,0xffb303ff,0x7fe409ff,0xaa881cff,0xaacfffea,0x7e544001,
    0xbaaaadff,0x06ffffec,0x15dfff70,0x7fffd510,0x80ffff00,0x81ffffe9,
    0x8004fffb,0x7c01fffc,0x00ffffff,0x9803fffa,0xff905fff,0x74005fff,
    0xff106fff,0xff980bff,0x3a06ffff,0x01ffffff,0xd037fff4,0x6c00dfff,
    0x80001fff,0x5c04fffa,0x9802ffff,0xfd805fff,0xfff801ff,0xfffe8807,
    0x45fffa84,0x6c0cccc8,0x7fc01fff,0x205fffff,0x2600fffe,0xffd85fff,
    0x4c002fff,0xfd84ffff,0x7cc00fff,0x82ffffff,0xfffffff9,0x7fffcc01,
    0x0ffffc84,0x07fff600,0x3ffea000,0x4fffd804,0x05fff980,0x801fffd8,
    0xf3007fff,0xff981fff,0x7fffdc6f,0x007fff42,0x3ffffffe,0x1fffd02f,
    0x12fffcc0,0x03fffffb,0x3ffff200,0x0bfffea1,0x3ffffe60,0xfffd85ff,
    0xb801ffff,0x3e61ffff,0x6c003fff,0x80001fff,0x9804fffa,0xf9806fff,
    0xffd805ff,0x7fff801f,0x0ffff600,0xfe8ffff1,0x7ffc5fff,0xdffff807,
    0xfe80ffff,0x3fe600ff,0xffffd15f,0xfe80001d,0xffff16ff,0x3ffe600b,
    0x221ffffe,0xfffeffff,0xdfffd001,0x017fffa2,0x007fff60,0x13ffea00,
    0x01bffe20,0x2017ffe6,0xf801fffd,0x3ee007ff,0x7fff85ff,0x3fffffe2,
    0x00dfff10,0xfff1ffff,0x1fffd09f,0x4efffcc0,0x00dfffff,0xffff9800,
    0x00ffffdc,0xfbbfff30,0x7ffe4bff,0x001fffcd,0xf99ffff3,0xb0001fff,
    0x00003fff,0x7009fff5,0xf3009fff,0xffb00bff,0x3fb6e03f,0xdeeeefff,
    0x86fff980,0xff70fffe,0x3e65ffff,0xfff805ff,0x83ffff77,0x2600fffe,
    0xffffffff,0x5c00005f,0xffffffff,0x3ffe6002,0x88ffff9d,0xffc9ffff,
    0x3fee001f,0x03ffffff,0x03fffb00,0x9fff5000,0x2ffffa80,0xeffff980,
    0xfeeeeeee,0xffa81fff,0xffffffff,0xffff05ff,0x3a3fffb0,0x55ffffff,
    0xff009fff,0x37fff4ff,0x9803fffa,0xffffffff,0x400002ff,0x5ffffffe,
    0xafffcc00,0xffbcfffe,0x03fff96f,0xfffffe80,0x3f60005f,0xa80001ff,
    0xda984fff,0x800effff,0xfffffff9,0xffffffff,0xffffb81f,0xffffffff,
    0x90ffff06,0xfff15fff,0xf71fffff,0xfff007ff,0x27fffccf,0x4c01fffd,
    0xffffffff,0x00002fff,0x3fffffe2,0x7ffcc000,0xffffff55,0x3fff25ff,
    0xfcaa8801,0xaabfffff,0x7ffec000,0xffa80001,0xffffffff,0x000fffff,
    0xfffffff3,0xffffffff,0x3fff603f,0xffffffff,0x70ffff01,0xfff77fff,
    0xf95fffd9,0xfff005ff,0x1ffffc8f,0x4c01fffd,0xfdffffff,0x0003ffff,
    0x0bfffee0,0x97ffe600,0x7ffffffe,0x2007fff2,0xffffffff,0x006fffff,
    0x800fffec,0xffff5009,0xffffffff,0x7cc003ff,0xffffffff,0x1fffffff,
    0x99ffff80,0x37ffcc00,0x7f67ffd4,0xdfffbaff,0xf801fffd,0xfffe87ff,
    0x401fffd6,0x51effff9,0x005fffff,0x03fffc00,0x25fff980,0x3ffffffb,
    0x2007fff2,0xfffaaaa8,0x000aaaaf,0x400fffec,0xffa81ffc,0xffffffff,
    0x4c000cff,0x9999efff,0xfffd9999,0x07fff801,0x213ffee0,0xfffefff9,
    0xfdffff17,0xfff001ff,0x7ffff30f,0x4c01fffd,0x7440efff,0x00006fff,
    0x4001fffe,0x7fc5fff9,0x3f20ffff,0xff0001ff,0xfb0000ff,0xfff003ff,
    0xfffff509,0x0379dfff,0x17ffe600,0x007fff60,0xc801fffe,0xff882fff,
    0x365fffff,0x07ffffff,0x320ffff0,0xffffffff,0x17ffe600,0x017fffcc,
    0x07fff800,0x8bfff300,0x644ffffb,0xf0001fff,0xb0000fff,0xf8803fff,
    0xfffa86ff,0xf3000004,0xffb00bff,0xffff003f,0x3fffe600,0xffffff01,
    0x7fffdc5f,0xfff007ff,0x3fffe20f,0x2600ffff,0x3ee05fff,0xf00006ff,
    0x26000fff,0x7fc45fff,0x7ffe40ff,0xfffff801,0xffffffff,0x7ffec006,
    0x37ffc401,0x0027ffd4,0x5fff9800,0x01fffd80,0x9807fff8,0x3e06ffff,
    0x20ffffff,0x6ffffff8,0x40ffff00,0xfffffffa,0x17ffe600,0x007fffd0,
    0x00ffff00,0x217ffe60,0xffc82aaa,0xccca801f,0xcccffffc,0x7fec002c,
    0x7ffc401f,0x04fffa86,0xfff30000,0x3fffb00b,0x20ffff00,0xfffffca9,
    0x3ffffa00,0xffffd85f,0xffff005f,0xfffffd80,0x3ffe600f,0x7fffd405,
    0x7ffc0000,0xfff30007,0xfff9000b,0x3ffe0003,0xffd80007,0x7ffc401f,
    0x04fffa86,0xfff30000,0x3fffb00b,0x7ffff5c0,0xffffffff,0x6c03ffff,
    0xb82fffff,0x404fffff,0xffffffeb,0x7fffc41d,0xffdb80ff,0x80ceffff,
    0x1dfffffe,0x7fffed40,0x2dffffff,0x3fffb220,0xc880ceff,0xcefffffe,
    0x7fff5c00,0x03efffff,0x7ffff644,0xffffffff,0x26ffffff,0xffffffeb,
    0x0002dfff,0xffffffd3,0x7ffe4c3b,0x7c41efff,0xffffffff,0xffffffff,
    0xffffc803,0xffff880f,0x3ffe603f,0x86ffffff,0x40fffffb,0xfffffff9,
    0xffa84fff,0x2206ffff,0xffffffff,0x00ffffff,0xfffffff7,0xfff709ff,
    0x07ffffff,0x7fffffd4,0x01ffffff,0x3fffffee,0xffffffff,0x56ffffff,
    0xffffffff,0x001fffff,0xffffffd0,0x7ffecdff,0x4c6fffff,0xffffffff,
    0xefffffff,0xffff7001,0x7fffec0b,0x3fffe602,0xd06fffff,0xf981ffff,
    0xffffffff,0xffffd04f,0x7ffc40df,0xffffffff,0xff700fff,0x9fffffff,
    0xffffff90,0x7d409fff,0xffffffff,0x3ee02fff,0xffffffff,0xffffffff,
    0xfff56fff,0xffffffff,0xfd0001ff,0xdfffffff,0x7ffffff4,0xffeb87ff,
    0xefffffff,0x7d4002ce,0x3ee03fff,0x75c01fff,0x1dffffff,0x01ffff30,
    0xffffffd7,0x3fee019f,0x6dc01dff,0xffffffff,0x32202dff,0xcefffffe,
    0xfffec880,0x6400ceff,0xfffffffe,0x764403ef,0xffffffff,0xffffffff,
    0x3ffb26ff,0xdfffffff,0xffb50002,0x4c3bffff,0xdffffffd,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6665cc00,0xcccccccc,0x1ccccccc,0x33332e60,
    0x8000cccc,0xcccccca8,0x00abcccc,0x99999510,0x03579999,0x98000000,
    0x00330002,0x64400000,0x002a8002,0x00001b88,0x00004000,0xc8155555,
    0xffffffff,0xffffffff,0xfb02ffff,0xffffffff,0xff88007f,0xffffffff,
    0x02efffff,0x3fffffe2,0xffffffff,0x000000df,0x01bffaa0,0x0009ff70,
    0xff980200,0x3ff2002f,0x77ffc003,0x70000001,0x7bffffd9,0x3e601711,
    0xfff86fff,0xffffffff,0xffffffff,0xffff02ff,0xdfffffff,0xffffa800,
    0xffffffff,0x505fffff,0xffffffff,0xffffffff,0x8000007f,0x0fffffd9,
    0x01bffa00,0x7f654400,0xfff31bdf,0x7ff400bf,0x3ffe6005,0x00000dff,
    0xfffffd30,0xffffffff,0x5ffff701,0xffffff90,0xffffffff,0x05ffffff,
    0x3ffffff6,0x001fffff,0x3fffffe2,0xffffffff,0xff04ffff,0xffffffff,
    0xffffffff,0x91000005,0x0dffffff,0x004ffc80,0x7fffec40,0xffffffff,
    0x3e002fff,0x3a2007ff,0x0cffffff,0x3ff20000,0xffffffff,0xe82fffff,
    0x2a205fff,0xaaabfffe,0xfdaaaaaa,0x2aa602ff,0xfffffffa,0xffb98005,
    0xbaaaaaef,0x02fffffc,0x55dfff73,0xfffb9755,0x200003ff,0xffffffc8,
    0x0530004f,0xffffa800,0xffffffff,0x4003ffff,0x44007fff,0xfffffffd,
    0xffb80003,0xffefffff,0x43ffffff,0x801ffff8,0x9000fffd,0x26005fff,
    0xffffffff,0xfff98000,0x5fffd805,0x01bffe20,0x009ffff3,0xfffff700,
    0x00001bff,0x7ffd4000,0xffeeffff,0x004fffff,0x0007fff8,0xffffffb3,
    0x3e60005d,0x220bffff,0x3ffffeca,0x802fffd4,0x9000fffd,0x36003fff,
    0xfffdcfff,0xfff98003,0x6fff9805,0x01bffe20,0x001bffee,0xfffffea8,
    0x000001ef,0x7fffc400,0x7ffc41df,0xf8006fff,0x540007ff,0xeffffffe,
    0x7fff4001,0x7ffc400e,0x0fffe43f,0x40fffd80,0x3ffd42c8,0x9ffff880,
    0x8006fffa,0x8805fff9,0x3e207fff,0xfff006ff,0xffb3000f,0x005dffff,
    0x32000000,0xe882ffff,0x2fffffff,0x03fffc00,0xffffb800,0x9800dfff,
    0x5001ffff,0xfff83fff,0x3fff6004,0xd10fffc0,0x3fee009f,0x07fffe6f,
    0x0bfff300,0x40bfff90,0xa806fff8,0x22005fff,0xfffffffc,0x00000003,
    0x417fff40,0xfeffffe8,0x7fc006ff,0x2200007f,0xfffffffc,0x3ffea00c,
    0x237f4004,0x2000fff9,0x3e60fffd,0x200083ff,0x3ee2fffe,0x7cc005ff,
    0x3f2205ff,0x3e203fff,0x7fd406ff,0xff7003ff,0x019fffff,0x26666600,
    0x99999999,0xf8819999,0xffe885ff,0xffff9cff,0x4ccccc40,0x999ffff9,
    0x22000199,0xfffffffc,0x05fff903,0x9ff70100,0xefffd800,0x04fffeee,
    0x1fffe600,0x001ffff1,0x777fffcc,0xfffffeee,0x7ffc406f,0xfffda986,
    0x7fd400ff,0x00dfffff,0x3ffffa00,0xffffffff,0x45ffffff,0x7443fffa,
    0x3fa4ffff,0x3fff61ff,0xffffffff,0x4fffffff,0x3ff66000,0x6c2effff,
    0x00001fff,0xd8001ffb,0xffffffff,0x360004ff,0xffd84fff,0x3fe6003f,
    0xffffffff,0x401fffff,0xfffffff8,0xffffffff,0x3fffa203,0x0001ffff,
    0x7fffffd4,0xffffffff,0x20ffffff,0x7ec2fffc,0x7fe45fff,0xfffff32f,
    0xffffffff,0x1fffffff,0xfffa8000,0xf90effff,0x200005ff,0xfd8002fd,
    0xffffffff,0xff10004f,0xfff501ff,0x7ffcc00d,0xffffffff,0x4405ffff,
    0xffffffff,0x01ffffff,0xfffffd98,0x220002ef,0xffffffff,0xffffffff,
    0x7fdc7fff,0x3ffff65f,0x10fffd85,0xffffffff,0xffffffff,0x8000dfff,
    0xfffffffa,0x13ffea0d,0x000c4000,0xffffffd8,0x0004ffff,0x555ffff7,
    0x3ffff555,0x3fffe600,0xffffffff,0x100effff,0xffffffff,0x001fffff,
    0xfffffea8,0x930001ef,0x99999999,0x99999999,0xffffa819,0x85ffffd8,
    0x5cc6fff9,0xffcccccc,0xccccccff,0xfd50000b,0x03dfffff,0x003ffff1,
    0x00001b88,0x5335fffb,0x20009fff,0xfffffffe,0x5fffffff,0x3dfff300,
    0xf7533333,0x220dffff,0xffffffff,0x002fffff,0xffffff70,0x000001bf,
    0x7ffc4000,0x85ffffff,0x004fffe8,0x00037ffc,0x3ffff660,0x7fc02eff,
    0xf7002eff,0xb00001ff,0x7fc41fff,0xff98002f,0xffffffff,0x00ffffff,
    0x005fff98,0x101ffff9,0xff70dfff,0x20005fff,0xffffffc8,0x000000cf,
    0xffff7000,0xea81dfff,0x4001ffff,0x00006fff,0xffffff91,0x3fe6007f,
    0xaabcefff,0xfffffdcb,0xffd80003,0x0077dc0f,0x7ffffec0,0xffffffff,
    0xf9803fff,0x3f6005ff,0xfff882ff,0xfffff306,0x7ec40003,0x03ffffff,
    0xd0000000,0x59ffffff,0xfffffd97,0xdfff0009,0xfff70000,0x0019ffff,
    0xffffffa8,0xffffffff,0x80000fff,0x0000fffd,0x33fffe20,0xcccccccc,
    0x9806fffc,0x26005fff,0xff885fff,0x3ffe606f,0x4c0000ff,0xeffffffe,
    0x00000002,0x7fffffe4,0xffffffff,0xfff0005f,0x7fd4000d,0x00dfffff,
    0x3fffee00,0xffffffff,0x00001fff,0x0001fffb,0x02fffdc0,0x803fffd0,
    0x2005fff9,0xf884fffb,0x7fcc06ff,0x500005ff,0xdffffffd,0x00000003,
    0xfffffff9,0xffffffff,0x7ffc0007,0xffea8006,0x001effff,0xffff9100,
    0x5dffffff,0xffd80000,0x3a00000f,0x2e002fff,0x7cc05fff,0xfb9805ff,
    0xff882fff,0xfffb806f,0x2e00002f,0x3fffffff,0x017fd400,0x3bfffee0,
    0xffffffec,0x7c0000bd,0x7e4006ff,0x02efffff,0x75310000,0x00155799,
    0x7ffecc00,0xceffffff,0xffd91000,0x1019dfff,0xdfffffd9,0xffffdb8b,
    0xffffffff,0x0fffffff,0x3fffff6e,0xff900cef,0x0000bdff,0x3fffff22,
    0x3ffa000f,0x7fffc006,0x06ee620e,0xdfff0000,0x7fffcc00,0x000003ff,
    0x40000000,0xfffffffe,0x005fffff,0xfffffff9,0xfffb07ff,0x27ffffff,
    0xfffffff9,0xffffffff,0x262fffff,0xffffffff,0x3ffa05ff,0x00002fff,
    0x01ffff62,0x800bffb0,0x0000effe,0x27fec000,0x9ffff100,0x00000001,
    0xfd000000,0xffffffff,0x3600bfff,0xffffffff,0xffffd84f,0xf33fffff,
    0xffffffff,0xffffffff,0xfff985df,0x5fffffff,0x3ffffe60,0xc9800003,
    0x6644002d,0x06ecc000,0x4c000000,0x754001de,0x0000000c,0x20000000,
    0xffffffd9,0x001dffff,0xffffffb1,0xffb1019d,0x419dffff,0xffffffeb,
    0xefffffff,0x3ffae03c,0x00dfffff,0x00677fe4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,
    0x00000000,0x00000100,0x1bb30001,0x0066c400,0x80000800,0x95100000,
    0x2e607999,0x001ccccc,0x00000080,0x3b6e6000,0x7ecc3dff,0x2a2003df,
    0xefffffdc,0x6dcc0003,0x0001bdff,0x37fffb2a,0xec98002c,0xa9beffff,
    0x0effe80b,0x26179973,0xcb985fff,0x764c4ccc,0xcb981dff,0xeffd8bcc,
    0x13fffae2,0xffffff88,0xfffffa86,0x997102ff,0x3ffb6679,0x2a0002de,
    0xfe8001ef,0xdfffffff,0xffffffb8,0xffffc804,0xffffffff,0x7ffe4002,
    0x3fffffff,0x3fff6200,0x2effffff,0xffffd880,0xffffffff,0x77fffc45,
    0xdffffffe,0x7e46ffff,0x88ffffff,0xfffffffd,0x3ffffe64,0xdffffffe,
    0x6ffffffe,0xffffff30,0xfffff90d,0xfff105ff,0xffff9fff,0x001bffff,
    0x8009ffd0,0xfffffffa,0xffffffff,0x2605ffff,0xffffffff,0x01ffffff,
    0xfffffe88,0xefffffff,0x7fffdc00,0xffffffff,0x3ffe205f,0xffffffff,
    0xffb87fff,0xffffffff,0x42ffffff,0xfffffffe,0xfffffffb,0xfff71fff,
    0xffffffff,0xffffffff,0x3ffa09ff,0xff986fff,0xa82fffff,0xffffffff,
    0xffffffff,0x7ffc000f,0x7ffcc006,0xffffffff,0xffffffff,0x3fffe03f,
    0xfffeefff,0x7f4407ff,0xffffffff,0x206fffff,0xfffffffa,0xfffffffe,
    0xfffffd04,0xffffffff,0xfff901ff,0xffffffff,0xff707fff,0xffffffff,
    0xffffffff,0x3ffffe29,0xffffffff,0xffffffff,0xfff7100f,0x7fed4c0d,
    0xffff882f,0xffffffff,0x004fffff,0x001bffe2,0x6c42b36e,0x89dfffff,
    0x300ffffd,0xf503579b,0x7ec01fff,0x220aefff,0x85ffffea,0xacfffff9,
    0xffff7310,0xffff883f,0x7fecc0ac,0xffff00ff,0xffff77df,0x7d5440df,
    0xdfffffff,0xa83ffb32,0xf12fffff,0x7f49ffff,0x3fe201ff,0xfffc806f,
    0x3fffe602,0x3f260bff,0xf10207ff,0x00030dff,0x07ffffc4,0x000ffffa,
    0x40bfff60,0x404ffff9,0x40ffffd8,0x402ffffe,0x4c6ffff9,0xfb806fff,
    0xffff106f,0x0ffff705,0x3fffffa0,0x3e60103f,0x7ff41fff,0x17ffe44f,
    0x00dfff10,0x4405fff9,0x201fffff,0x7cc0ffff,0xfff89cff,0x00dffb56,
    0x3feaaea2,0xfffa84ff,0x79753007,0x07fff935,0x8017ffee,0x3e22fffe,
    0xf3002fff,0xfff85fff,0x7701abef,0x037ffdc0,0xd003ffff,0x003dffff,
    0xd0bfff30,0xffc81fff,0x3ffe202f,0x2fffc806,0x03fffe20,0xc83fffb0,
    0xffffffff,0xffffffff,0xffffb102,0xddffffff,0xffffdddd,0x3fff2201,
    0xffffffff,0x1fffb03f,0x2fffcc00,0xdddffff5,0xdddddddd,0xfd87ffff,
    0xefffffff,0xffd800bd,0x3ffee02f,0xdfffe803,0xfff30000,0x81fffd0b,
    0x2202fffc,0xfc806fff,0x3fe202ff,0xfffc806f,0x7ffffdc2,0xffffffff,
    0xffb81fff,0xffffffff,0xffffffff,0xfb81ffff,0xffffffff,0xf03fffff,
    0xff000dff,0x7fffdcff,0xffffffff,0x5fffffff,0x7fffff44,0x04ffffff,
    0x500fffec,0xfd009fff,0x4c0001ff,0xffe85fff,0x17ffe40f,0x00dfff10,
    0x4405fff9,0xfc806fff,0xfffb82ff,0xffffffff,0xffe81eff,0xffffffff,
    0xffffffff,0x5c1fffff,0xffffffff,0x3fffffff,0x005fff98,0xf90fffd8,
    0xffffffff,0xffffffff,0x3fae0dff,0xffffffff,0xfff701ef,0x17fff409,
    0x007fff40,0x0bfff300,0xfc81fffd,0x3fe202ff,0xfffc806f,0x1bffe202,
    0x80bfff20,0xfffffec9,0xff500bef,0xb97bdfff,0xffffffff,0x43ffffff,
    0xeffffffa,0xffeeccac,0x0dfff03f,0x5cffff00,0xffffffff,0xffffffff,
    0x54c06fff,0xfffffedc,0xfff980ff,0xffff980f,0x0fffe800,0x3ffe6000,
    0x40fffe85,0x2202fffc,0xfc806fff,0x3fe202ff,0xfffc806f,0xffffd802,
    0x7fec03ff,0xffff00ef,0x33333337,0xefffe833,0x3ffee00b,0x03fffb03,
    0x327ffd40,0x3333dfff,0x33333333,0x1dc41333,0x7fffdcc0,0x7fffff03,
    0xdffff911,0x03fffa00,0x5fff9800,0x640fffe8,0x3e202fff,0x7ec407ff,
    0x3fe202ff,0xfffc806f,0x7fffdc02,0x3201ffff,0xff102fff,0xf8800bff,
    0xfc801fff,0xfff703ff,0xfff1001d,0x7fffc45f,0xff900005,0x3ffea007,
    0xfffff986,0xffffffff,0xfffe800f,0x3fe60000,0x0fffe85f,0x2017ffe4,
    0xc881ffff,0x202fffff,0xc806fff8,0x3e602fff,0xfffedfff,0x1bffea06,
    0x3fffffa6,0x221cb981,0x2e00ffff,0x103fffff,0x405dffff,0x40fffffa,
    0x004ffffc,0x7fc17953,0x7dc00cff,0x7ffcc6ff,0xffffffff,0x400effff,
    0x0000fffe,0x3a17ffe6,0x7fe40fff,0x7ffec02f,0xfffdbace,0x80cfffff,
    0xc806fff8,0x3f602fff,0xfff98eff,0xffff103f,0xffffb79f,0xfb79ffff,
    0xfff8ffff,0xfdcabdff,0xefffffff,0x7fffe40c,0xfecaacdf,0xfd03ffff,
    0x5579ffff,0xfffffb97,0x7fffffc9,0xfecaaacc,0x7ff44fff,0xffffffff,
    0x25ffffff,0xfffffec8,0xdfffffff,0x3fffb203,0x3fffa2df,0x3ffff23e,
    0xffff500c,0xffffffff,0x449fffff,0x5efffffe,0xfffffd98,0x7fffc40c,
    0x81bffee1,0xfffffffb,0xffffffff,0xffffffff,0x3ffffee1,0xffffffff,
    0x84ffffff,0xfffffffd,0x5fffffff,0x3ffffe60,0xffffffff,0x3fe5ffff,
    0xffffffff,0x0fffffff,0x26ffffe2,0xc8ceffec,0x3ff67fff,0xffffffff,
    0x80ffffff,0xfffffffb,0x3fffffa7,0x9fffff92,0x7ffffdc0,0xffffffff,
    0x3ff64fff,0x43ffffff,0xfffffffe,0xd83ffe84,0x7fdc04ff,0xffffffff,
    0xffffffff,0xffc85fff,0xffffffff,0xffffffff,0xfffff704,0x7fffffff,
    0xffffb100,0xffffffff,0x7fec5fff,0xffffffff,0xc81effff,0x3f2003ff,
    0x3ffff63f,0xffffffff,0xfb81ffff,0x0fffffff,0x25fffffd,0x04fffffc,
    0x7fffffdc,0xefffdadf,0x3ffffa0c,0x7f44ffff,0x84ffffff,0x00ae02b8,
    0x7fffff54,0xffdbdebe,0x202cffff,0xffffffea,0xffffcbef,0x3b2600ce,
    0xbdffffff,0x7ffd4000,0xffffffff,0x6774c0bd,0xfffffffe,0x004c02ef,
    0x3f6604c0,0xffffffff,0x103effff,0x5bffffd9,0x9277fff4,0x0019ffff,
    0x002af2e6,0xfffffb30,0xffd9819d,0x0000ceff,0x2f2a2000,0x06f2e201,
    0x57997500,0x98800001,0x100001bb,0x13559953,0x99753000,0x00000357,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x37999999,0x99999730,0x99995037,0xcca88037,0x33221bcc,0xcccccccc,
    0x40cccccc,0x1bcccca8,0xaccccb98,0xb5006dc0,0x80020003,0x01b88000,
    0x4ccc40dc,0x99999999,0x99999999,0x2f36e601,0x20000000,0x801ccca8,
    0x33101ca8,0x7fe40133,0x1fffffff,0x3fffffea,0x3ff64fff,0x204fffff,
    0xfffffffd,0xffffff13,0xffffffff,0x7ffc43ff,0x2a1fffff,0x6fffffff,
    0xfc80fff4,0x3fea002f,0x02ffc803,0x220bfd30,0x3ffa66fe,0xffffffff,
    0xffffffff,0x7ec41fff,0x003fffff,0xfd3001ec,0x509fffff,0x205ffffb,
    0x202ffffc,0xfffffffe,0x3fff23ff,0x26ffffff,0xffffffff,0x3ffffe06,
    0xfff16fff,0xffffffff,0x4c3fffff,0xffffffff,0x3fffff23,0x3fe60fff,
    0x4fff882f,0x07fffd00,0x402fffe4,0xe982fff9,0x3fff23ff,0xffffffff,
    0xffffffff,0x3fe21fff,0x2fffdcef,0x005ff900,0x3f77fffa,0x3ffea1ff,
    0xff502fff,0x7fdc03ff,0x0fffffff,0x3fffffe2,0x3ff23fff,0x202fffff,
    0xfffffffb,0xffffff12,0xffffffff,0xfffe83ff,0x7fc46fff,0xa85fffff,
    0xff984fff,0xfffd805f,0xffffc83f,0x1fffdc05,0x2a27ffcc,0xffffffff,
    0xffffffff,0x21ffffff,0x7fcc4ffb,0xffffa806,0xf82db801,0x7e5e646f,
    0xffff302f,0xffda8801,0xf98809ef,0x880adfff,0x360bfffe,0x3fee64ee,
    0x3ffe20ef,0xfcaaaaae,0xf502ffff,0x441dffff,0x01effffe,0x2617ffea,
    0x2200efff,0x323ffffe,0x200effff,0xfb83fffc,0x999504ff,0x99999999,
    0xfd999999,0x82f4c3ff,0x7fcc07fe,0x0000efff,0xffb81ffe,0x0ffff102,
    0x07fffcc0,0x01ffff50,0x2a3fffc8,0x3ee0ffff,0x4fff83ff,0x2fffff98,
    0x7ffff440,0xfffff99e,0xdfff5005,0x1efff981,0x3ffffa20,0x0effffcb,
    0x07fffb10,0x000bfff9,0x3fffb000,0x813fee00,0xfffffff8,0x3b2e6006,
    0x3fee04ff,0x01bffe02,0x409fffb0,0xa804fffd,0x3ff65fff,0x3fff64ff,
    0x4c1ffc81,0x002fffff,0xffffffb1,0x8009ffff,0x541efffb,0x2202ffff,
    0xfffffffe,0xffd100ef,0xbfffb09f,0x36000000,0xfc801fff,0x3ffa01ff,
    0x04ffffff,0x0dfffff0,0x3a02ffb8,0x7cc005ff,0xff980fff,0xff8800ff,
    0xfffff17f,0x807fffcf,0x7fffcc09,0xffc8002f,0x03ffffff,0x5ffff700,
    0x03ffffa8,0x3fffffe2,0xfff300ef,0xfffe889f,0x20000005,0x2201fffd,
    0x3601fffd,0xffdbffff,0xfeb803ff,0x3ee02fff,0x13ff602f,0x13fff600,
    0x8013fff6,0xffb8fffe,0xff9affff,0x3fe6006f,0x20002fff,0x2ffffffb,
    0x3ffa2000,0x7ffec0ff,0x3ffe202f,0xff300fff,0xfff88dff,0x000000ff,
    0x407fff60,0x200effe9,0x3a4ffffb,0x1002ffff,0x2e01fff5,0x3ff202ff,
    0xfff98003,0x3fffe60f,0x3fff2000,0xffffffea,0x004fffbd,0x05fffff3,
    0x7ffec400,0x10004fff,0xd83ffffd,0x6402ffff,0x03ffffff,0x70fffff2,
    0x000bffff,0x7ffec000,0x04fffb81,0x22ffffd4,0x01ffffe8,0x5c0fff20,
    0x3fee02ff,0xfffd0002,0x02fffec9,0x3fbffea0,0xefffffff,0xfa802fff,
    0x0002ffff,0x3fffffa2,0x2000dfff,0x40dfffe8,0x401efffd,0xfffffffc,
    0x3ffea03f,0x7fff4c4f,0xb0000005,0x7ec43fff,0x7fc402ff,0xff980eff,
    0xf7000eff,0x0bfee07f,0x0001ffa8,0xf31ffff5,0x88003fff,0xcfffffff,
    0xfffffffd,0x7fffd400,0xd300102f,0xffddffff,0xd1001dff,0xffb09fff,
    0xfff900bf,0x7ffffddf,0x27fff440,0x017fff62,0x3ff60000,0x37fffe0f,
    0x323ecccc,0x2a00ffff,0xdf73ffff,0xfffb5579,0x7fee65c1,0x3fc42ccd,
    0x3fffa000,0x005fffdc,0xffffffd0,0xffffff53,0xffffa80d,0x01df702f,
    0x53ffffe6,0x1fffffd8,0x0bfffa20,0x200ffff6,0x88effffc,0x403ffffe,
    0xfb84fffc,0x000005ff,0xff137fdc,0xffffffff,0x00fffdcf,0xfb8fffdc,
    0xffffffff,0x3ffffe62,0x4c0fffff,0x7fd40000,0x01ffffff,0xfffff900,
    0x7fffff4d,0x3fffea04,0x7fff102f,0x7fffff50,0x5fffffb0,0x01dffd10,
    0x7003dffb,0x441dffff,0x402ffffe,0xfa84fffa,0x000005ff,0x9990bb62,
    0x99999999,0x7000ee44,0xfeec987d,0xccb80bde,0x02cccccc,0x3ffa0000,
    0x0005ffff,0x8fffffea,0x02fffffb,0xfffffff5,0xffffffff,0x7ffed4bf,
    0x3620cfff,0x1dffffff,0x7dc13ff2,0xfff000df,0xfff101df,0xffd300bf,
    0x09ffd105,0x00000000,0x00000000,0x00000000,0x7ffffd40,0x3e20001f,
    0x3e20ffff,0xf900ffff,0xffffffff,0xbfffffff,0x7ffffffc,0x3fff23ff,
    0x2e6fffff,0x00fea02f,0x401dffb0,0x1003ffe8,0x2fe407fb,0x00000000,
    0x00000000,0x00000000,0x3ffffa00,0xfff80006,0x7fffd85f,0x3fffff20,
    0xffffffff,0x3ffe5fff,0x22ffffff,0xfffffffb,0x0000006f,0x2e200971,
    0x08008001,0x00000000,0x00000000,0x00000000,0xffffa800,0xffd80002,
    0x5fffa82f,0x3fffff20,0xffffffff,0x3f6a5fff,0x444effff,0xdfffffec,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0e776540,0x00000000,0x00379951,0x0399b953,0x707ffff4,
    0x2607ffff,0x00153001,0x10002a20,0x44440015,0x88888888,0x11008888,
    0x11111111,0x11111111,0x54401111,0xaaaaaaaa,0xaaaaaaaa,0xa80aaaaa,
    0x1dd880cd,0x6c400000,0x04ffffff,0xffffffb5,0xffffffff,0x105bffff,
    0xbffffffd,0xffffd101,0x3f209fff,0x7ffd47ff,0x00ff882f,0x07bfffa6,
    0x003dfb00,0xeb893fe6,0x3fffea3e,0xffffffff,0x3b21ffff,0xffffffff,
    0xffffffff,0x4effffff,0x3fffffa2,0xffffffff,0xffffffff,0xff10efff,
    0x0dffb09f,0xffe80000,0x84ffffff,0xffffffff,0xffffffff,0x446fffff,
    0xffeefffe,0x7ffcc0ff,0x80fffdde,0x7cc6fffb,0xff981fff,0xfffff701,
    0x93f607ff,0x5c02fffa,0x3ff21fff,0xffff52ff,0xffffffff,0x3ea3ffff,
    0xffffffff,0xffffffff,0xffffffff,0xfffff52f,0xffffffff,0xffffffff,
    0x225fffff,0xffe85fff,0x32000007,0xffbbefff,0x7fffc2ff,0xffffffff,
    0xffffffff,0x05fffc6f,0x110dff93,0x3ea13fa0,0x7ffc45ff,0x709ff307,
    0xffffffff,0x1fffd87f,0x6413ffee,0x7ff42fff,0xffff55ff,0xffffffff,
    0x3ea3ffff,0xffffffff,0xffffffff,0xffffffff,0xfffff32f,0xffffffff,
    0xffffffff,0x643fffff,0x3ffa81ff,0x3fe00000,0x45ffe85f,0xffffffd9,
    0xffffffff,0x261cefff,0x3ff604ff,0xcdecc981,0xfff986fe,0x307fff84,
    0x7fc4dfff,0xffffcfff,0xffffd9cf,0x12fffcc0,0xf903dffd,0x2ee67fff,
    0xbbbbbbbb,0x20bbbbbb,0xffffffdb,0xffffffff,0xffffffff,0x6665cc3d,
    0xcccccccc,0xcccccccc,0x0081bccc,0x00000044,0xf703fff1,0x000000ff,
    0x2600ffc8,0x3ff623ff,0x86ffffff,0xfe83fff8,0x774cc46f,0xffff72ff,
    0x3ffffe63,0x104fffff,0x3ff27ffd,0xbffb300e,0x00000001,0x00000000,
    0x00000000,0xff300000,0x0fff301f,0xfc800000,0x4ffe600f,0xdcefffe8,
    0xfff06ffe,0xe89ffb05,0x12ffccef,0xfe883fff,0x05ffffff,0x09f72fc8,
    0x00000220,0x00000000,0x00000000,0x00000000,0xff907fff,0x8000000d,
    0x3f604ffa,0x019ff71f,0x3ffa0dfb,0x6c3ffb81,0x446fffff,0x3fff200b,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x3a000000,0x3fea2eff,
    0xcccc984f,0xcccccccc,0x41bccccc,0x512dffe8,0x7fe4dffb,0x077fed41,
    0x7d407fe4,0x7fe5442f,0xb950001c,0x00000017,0x00000000,0x00000000,
    0x00000000,0xf9800000,0xffffffff,0x7ffff40f,0xffffffff,0xffffffff,
    0x7ffffcc5,0x220fffff,0xffffffff,0x7dc5ffff,0x003ff307,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffff70,0xfff885ff,
    0xffffffff,0xffffffff,0xffd887ff,0xa80cffff,0xeefffffd,0x16c45fff,
    0x00000990,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0x01effffe,0xfffffffb,0xffffffff,0x409fffff,0x8009bba8,0x3310aba8,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8800aa98,0xaaaaaaaa,0xaaaaaaaa,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__courier_bold_45_latin1_x[224]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,6,8,0,2,8,7,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_45_latin1_y[224]={ 33,7,9,5,5,8,10,8,7,7,7,10,27,19,
28,4,7,7,7,7,7,7,7,7,7,7,15,15,10,15,10,8,7,9,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,7,4,7,6,40,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,9,15,15,15,15,15,15,7,7,7,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,33,15,5,8,12,9,
7,7,8,9,7,16,19,19,9,2,4,5,7,7,6,15,7,17,31,7,7,16,7,7,7,15,0,0,0,2,
1,-1,9,8,0,0,0,1,0,0,0,1,9,2,0,0,0,2,1,13,7,0,0,0,1,0,9,7,6,6,
6,8,8,5,14,14,6,6,6,8,6,6,6,8,7,8,6,6,6,8,8,10,13,6,6,6,8,6,7,8,
 };
static unsigned short stb__courier_bold_45_latin1_w[224]={ 0,7,14,20,18,18,18,6,10,10,18,22,9,18,
7,18,18,18,19,20,19,20,18,19,18,18,7,10,24,24,24,17,17,26,23,22,22,22,23,23,24,18,23,25,
22,26,25,24,21,24,25,20,22,24,26,26,24,24,20,10,18,10,18,28,8,22,24,21,24,21,21,23,24,20,
16,22,20,26,23,22,24,24,21,20,22,23,24,25,24,24,18,12,5,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,20,24,
5,21,14,25,15,22,24,18,25,28,14,22,13,12,8,23,20,7,9,12,14,21,24,28,24,17,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,23,25,24,24,24,24,24,17,24,24,24,24,24,24,21,22,22,22,
22,22,22,22,26,21,21,21,21,21,20,20,20,20,21,23,22,22,22,22,22,22,23,23,23,23,23,24,24,24,
 };
static unsigned short stb__courier_bold_45_latin1_h[224]={ 0,27,11,32,33,26,24,13,33,33,18,23,13,5,
6,34,27,26,26,27,26,27,27,27,27,27,19,23,23,13,23,26,30,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,31,24,26,24,25,24,24,24,24,24,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,25,19,18,18,18,27,18,33,33,33,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,27,30,25,19,24,
33,30,5,25,12,17,14,5,25,5,13,28,14,14,8,27,30,7,10,14,12,17,26,26,26,27,33,33,33,31,
32,34,24,33,33,33,33,32,33,33,33,32,24,31,34,34,34,32,33,17,29,34,34,34,33,33,24,27,28,28,
28,26,26,29,20,27,28,28,28,26,27,27,27,25,27,25,28,28,28,26,26,23,23,28,28,28,26,36,35,34,
 };
static unsigned short stb__courier_bold_45_latin1_s[224]={ 239,244,72,204,45,109,144,243,136,83,235,
174,244,144,244,51,237,174,34,1,43,89,110,129,167,186,244,242,102,16,197,
77,172,25,52,54,49,26,1,218,1,190,232,103,206,154,77,120,229,103,76,
1,72,1,117,50,209,129,234,245,93,94,198,163,118,28,230,222,205,74,128,
49,173,1,26,22,22,160,211,51,115,188,138,96,135,187,1,26,71,9,52,
147,105,174,97,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,239,1,154,
92,117,181,239,211,221,184,56,136,159,144,158,192,1,92,184,217,127,65,190,
136,87,230,41,96,95,145,193,149,93,120,147,76,26,112,163,70,187,210,233,
53,1,185,64,225,26,128,164,189,214,1,111,118,1,1,26,139,160,20,95,
227,73,96,119,150,45,233,1,205,48,142,70,198,184,22,163,114,43,68,140,
26,25,86,63,127,150,213,1,164,220,1,43,68, };
static unsigned short stb__courier_bold_45_latin1_t[224]={ 35,73,425,73,73,255,309,406,73,73,385,
360,360,425,275,37,140,227,227,199,255,199,199,199,199,199,255,227,360,425,360,
227,107,360,360,227,309,309,360,227,335,309,282,334,334,334,334,227,334,107,360,
255,309,309,309,334,309,334,309,1,1,73,406,425,425,385,199,360,199,385,255,
140,255,282,1,282,255,385,385,385,170,140,385,385,282,385,406,406,406,227,406,
73,73,37,425,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,35,227,107,
282,385,334,1,107,425,282,425,406,406,425,282,425,425,170,406,406,425,199,107,
425,425,406,425,406,227,227,227,199,37,37,37,107,107,1,309,37,37,37,37,
107,73,73,73,73,334,107,1,1,1,107,73,406,140,38,37,1,73,73,309,
170,140,140,140,255,282,107,385,170,170,140,170,255,170,199,170,282,199,282,170,
140,170,255,255,360,360,140,170,140,255,1,1,1, };
static unsigned short stb__courier_bold_45_latin1_a[224]={ 381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_45_latin1(stb_fontchar font[STB_FONT_courier_bold_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_45_latin1_s[i] + stb__courier_bold_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_45_latin1_t[i] + stb__courier_bold_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_45_latin1_x[i];
            font[i].y0 = stb__courier_bold_45_latin1_y[i];
            font[i].x1 = stb__courier_bold_45_latin1_x[i] + stb__courier_bold_45_latin1_w[i];
            font[i].y1 = stb__courier_bold_45_latin1_y[i] + stb__courier_bold_45_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_45_latin1_s[i] + stb__courier_bold_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_45_latin1_t[i] + stb__courier_bold_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_45_latin1_x[i] + stb__courier_bold_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_45_latin1_y[i] + stb__courier_bold_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_45_latin1_LINE_SPACING
#endif

