// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT        468
#define STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_44_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_44_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_44_latin1_LINE_SPACING          28

static unsigned int stb__times_bold_44_latin1_pixels[]={
    0x4cccc000,0x44000009,0x00009999,0x26662000,0x98800009,0x00000199,
    0x00133310,0x99880000,0x40000199,0x00099999,0x005ef4c0,0x99550000,
    0x0179bddd,0x0009fd00,0x03bfffea,0xfff50000,0x000000ff,0x0bffffe2,
    0x3fff2000,0x4000004f,0x00fffff8,0x3f600000,0x00004fff,0x02ffffe4,
    0x2fff5400,0xff710000,0xb95579bd,0x74005bff,0xffb0004f,0x000001df,
    0x00bfffea,0x3fea0000,0x980002ff,0x00ffffff,0x3ff20000,0x00005fff,
    0x9ffff100,0x3f600000,0x200007ff,0x0000dffb,0x0073ff66,0x40077dc4,
    0xf88004fe,0x00000eff,0x027ffdc0,0x7fec0000,0xfb00002f,0x009fffff,
    0x3ffe6000,0x0001ffff,0x5fffa800,0x7ec00000,0x200002ff,0x70006fff,
    0x200017ff,0x7f402fe8,0xfffa8004,0x70000000,0x00000fff,0x003fff88,
    0x97fff500,0x00001fff,0xfd5dffb0,0x000000bf,0x0000bffb,0x017ff600,
    0x1fffc800,0x07bf6200,0x017dc000,0xfb0009fd,0x0000003f,0x0002ffb8,
    0x00ffea00,0x22ffe800,0x00005ffa,0xd886ffd4,0x000001ff,0x00017fe2,
    0x00ffb000,0x1fffe400,0x00dff880,0x807e4000,0x7c4004fe,0x0000001f,
    0x00009f90,0x0001fec0,0xf303df70,0x7400003f,0x00df904f,0x037d4000,
    0x74400000,0xfb00002f,0x3fa00bff,0x3a000004,0x8009fd05,0x000001a8,
    0x00015400,0x00007900,0xd3006fc4,0x3ee0000b,0x0017dc03,0x000a9800,
    0x35100000,0x3ffa0000,0x06fc804f,0x0fcc0000,0x000027f4,0x00000000,
    0x00000000,0x00c40000,0x04400000,0x00000000,0x00000000,0x02ffff80,
    0x8800ffd4,0x901101cb,0x2aa9fd09,0xaaaaaaaa,0xaaa81aaa,0x542aaaaa,
    0xaaaaaaaa,0xaa81aaaa,0x22aaaaaa,0x99999998,0x4cccc419,0x2aaaaa09,
    0xaaaaaaaa,0xaaaaaa81,0x988002aa,0x009abcca,0x95310000,0x00013579,
    0x332a6200,0x200009ab,0x401ffff8,0xff7003ff,0xffff37ff,0x9fd0f505,
    0x3ffffb2e,0x81bcefff,0xcfffffdb,0x7fff65c2,0x1bceffff,0xfffffdb8,
    0x3fffee2c,0x7545ffff,0x32e2ffff,0xfffffffe,0xfdb81bce,0x002cffff,
    0x33bffff2,0x004ffffe,0xdffff900,0x09ffffd9,0x3fff2000,0xffffecef,
    0xfffa8004,0x01fea00f,0xbe8a7fec,0xf880ffff,0x3e227f40,0x00ffffff,
    0x801ffd10,0xfffffff8,0x1ffd1000,0x3ffffea0,0x03bf602f,0x7fffffc4,
    0xffd1000f,0x7ff4c001,0x7fdc40bf,0xd30002ef,0xb8817fff,0x0002efff,
    0x817fffd3,0x02efffb8,0x01fffea0,0xffd009fb,0x6ffffe8d,0x09fd07e0,
    0x0bfffffb,0xb003fc80,0x00bfffff,0x7e403fc8,0x2e02ffff,0x7ffec02f,
    0x7e4005ff,0x3fff2003,0x7ffcc03f,0x3f2000df,0x7cc03fff,0x2000dfff,
    0x403ffffc,0x00dffff9,0x206fff88,0x7ec00ff8,0x7ffec1ff,0xfd0ba04f,
    0xfffffb09,0x02fb800b,0xbfffffb0,0x402fb800,0x05fffff8,0x3ff601b2,
    0x5c005fff,0xfffb002f,0x3fea00bf,0xffb006ff,0x3ea00bff,0xfb006fff,
    0x2a00bfff,0xb006ffff,0x2fdc0dff,0x217ffee0,0x201ffffe,0x6427f43c,
    0x004fffff,0xfc8017d4,0x4004ffff,0xffc802fa,0x07f00fff,0x9fffff90,
    0x802fa800,0x007ffffb,0x027ffff4,0x01ffffee,0x09ffffd0,0x07ffffb8,
    0x27ffff40,0x80fff440,0x3fe202fd,0x7ffc42ff,0x2216c07f,0xffffc809,
    0x0fd4004f,0xfffffc80,0x00fd4004,0x27ffffc4,0x7e4007cc,0x4004ffff,
    0x7fc401fa,0x5c005fff,0x101fffff,0x00bfffff,0x1fffffb8,0xbfffff10,
    0xffffb800,0xdff8801f,0x3201fe80,0xff987fff,0x00f405ff,0x9fffff90,
    0x001fa800,0x09fffff9,0x9001fa80,0xb90fffff,0x3ffff200,0x0fd4004f,
    0x3fffffa0,0x7ffcc002,0xfffd06ff,0xf98005ff,0xfd06ffff,0x8005ffff,
    0x06fffff9,0x417ff910,0xfff100ff,0xffff709f,0x2000f805,0x04fffffc,
    0xc800fd40,0x004fffff,0xf9800fd4,0x17c3ffff,0xfffffc80,0x00fd4004,
    0x1ffffff5,0xfffff000,0xffffa87f,0xff8000ff,0x7d43ffff,0x000fffff,
    0x3ffffff8,0xf89fe400,0x3fffee07,0x0ffffe81,0xf9001a60,0x8009ffff,
    0xff9001fa,0xa8009fff,0x3ffa001f,0x801aa6ff,0x04fffffc,0xf900fd40,
    0x000dffff,0x17fffff6,0x0dfffff9,0x3ffff600,0x7fffe45f,0xffb0006f,
    0x7100bfff,0x1fe219fd,0xa87ffff8,0x6406ffff,0x7ffe4003,0x7d4004ff,
    0xffff9001,0x1fa8009f,0x3fffea00,0x64009b2f,0x004fffff,0xffd00fd4,
    0x2000dfff,0x46fffffd,0x06fffffe,0xfffffb00,0xfffffe8d,0xfffb0006,
    0xfe880dff,0xf106f80e,0xffd0bfff,0x00f807ff,0x7ffffe40,0x00fd4004,
    0x4fffffc8,0x000fd400,0x237ffffa,0x3ff2000f,0x54004fff,0x3fffe01f,
    0xf90005ff,0x7c1fffff,0x005fffff,0xffffff90,0x7fffffc1,0xfff90005,
    0x3a201fff,0x20fd02ff,0x544ffff9,0x201fffff,0xffc8005b,0x54004fff,
    0xfff9001f,0xfa8009ff,0x7ffdc001,0x64005dff,0x004fffff,0xff980fd4,
    0x0005ffff,0x3ffffff9,0x3fffffe6,0xfff90005,0x3fe63fff,0x0005ffff,
    0x3ffffff9,0xd81fff20,0xffffa81f,0x3fff7a63,0x5c03e207,0xffffc82c,
    0x0fd4004f,0xfffffc80,0x00fd4004,0x3ffffe20,0x7fe4002f,0x54004fff,
    0xffff501f,0x320009ff,0x52ffffff,0x09ffffff,0x3ffff200,0xffff52ff,
    0x320009ff,0x02ffffff,0x7dc0bfff,0x4ffffb82,0xbfffd5d1,0xfe80ba20,
    0xfffffc84,0x00fd4004,0x4fffffc8,0x000fd400,0x03ffffe4,0x7ffffe40,
    0x80fd4004,0x4ffffffa,0xffff7000,0x3ffea5ff,0x70004fff,0x25ffffff,
    0x4ffffffa,0xffff7000,0xfff305ff,0x541fd40d,0x4fdfffff,0xd109ffff,
    0x427f4309,0x04fffffc,0xc800fd40,0x004fffff,0x4c000fd4,0x8004ffff,
    0x04fffffc,0xf880fd40,0x005fffff,0xffffff90,0x3ffffe23,0xff90005f,
    0x3e23ffff,0x005fffff,0xffffff90,0x0ffff303,0xfff82fc4,0x3ff66fff,
    0x5c1f544f,0x3f213fa5,0x4004ffff,0xff9001fa,0xa8009fff,0xffb0001f,
    0xff90003f,0xa8009fff,0x3fffe01f,0xf90006ff,0x7c1fffff,0x006fffff,
    0xffffff90,0x7fffffc1,0xfff90006,0xff101fff,0x07f401ff,0x22ffffec,
    0xebcffff9,0x3a0f882e,0xffffc84f,0x0fd4004f,0xfffffc80,0x00fd4004,
    0x006ffa80,0x9fffff90,0x201fa800,0x06fffffe,0xfffffb00,0xfffffe8d,
    0xfffb0006,0xfffe8dff,0xfb0006ff,0x7c0dffff,0x3e602fff,0x207dd704,
    0x01cefec9,0x909fd0f2,0x00bfffff,0xf9001fb8,0x800bffff,0x3a0001fb,
    0xff90003f,0xb800bfff,0x3fff601f,0xfd0007ff,0xfd8bffff,0x0007ffff,
    0x8bfffffd,0x07fffffd,0xfffffd00,0x1ffff40b,0x00007ee0,0x7f434400,
    0xfffffb84,0x007dc005,0x5fffffb8,0x0007dc00,0x20001f70,0x05fffffb,
    0xf3007dc0,0x001fffff,0xffffff88,0x7ffffcc1,0x7fc4000f,0x7cc1ffff,
    0x000fffff,0x7fffffc4,0x13fff601,0x00001ba0,0x3fa0ba20,0xfffffb84,
    0x003ec005,0x0bfffff7,0x40007d80,0x3ee0004c,0x4005ffff,0xfffc807d,
    0x7cc003ff,0xf904ffff,0x8007ffff,0x04fffff9,0x07fffff9,0xfffff980,
    0x1fffe404,0x00027cc0,0x3a07d100,0xffff984f,0x02fc006f,0xdfffff30,
    0x1005f800,0x980007e0,0x006fffff,0x7fc402fc,0x64006fff,0x100fffff,
    0x00dfffff,0x0fffffc8,0xdfffff10,0xffffc800,0x7ffdc00f,0x007f7001,
    0x407d1000,0xffff04fe,0x3ee001ff,0x7fffc003,0x7f7000ff,0x20dfd880,
    0xff80006a,0x7000ffff,0x3fee007f,0xf1001fff,0xb807ffff,0x001fffff,
    0x07fffff1,0x1fffffb8,0xfffff100,0x0dffd007,0x001eea80,0xe805f500,
    0xffff904f,0x0df5009f,0xfffff900,0x00df5009,0x1745fff7,0x7ffe4000,
    0x6fa804ff,0x7fffe400,0xffff9005,0x3fff2009,0xfff9005f,0x3ff2009f,
    0xff9005ff,0xff3009ff,0xf910001d,0x77540007,0x204fe802,0x04fffffe,
    0x40007fe6,0x04fffffe,0x36007fe6,0x00d54fff,0x7ffff400,0x07fe604f,
    0x3ffff200,0x7fffdc04,0x7ffe4004,0x7ffdc04f,0x7fe4004f,0x7fdc04ff,
    0x7ecc04ff,0x4c0000df,0x4400abee,0x3a002eea,0x3ff6204f,0xdbbdffff,
    0x20001fff,0xffffffd8,0x1fffdbbd,0x9ffff500,0x4400005f,0xdffffffd,
    0x01fffdbb,0x3fffaa00,0xffb7109d,0x2a0005df,0x109dfffe,0x05dfffb7,
    0x3fffaa00,0xffb7109d,0xef9805df,0x5400001c,0xdccdffec,0x8002dffe,
    0xfea804fe,0xefffffff,0x3aa00003,0xffffffff,0xffe8003e,0x000002ff,
    0xffffffd5,0x00007dff,0x7ffffedc,0x003dffff,0xffffb700,0x07bfffff,
    0x3ff6e000,0xdfffffff,0x00000003,0x35775100,0x2cb80001,0x332ea200,
    0x000001ab,0x2af32ea2,0x55c40001,0x88000000,0x01abccba,0x2aa20000,
    0x000aabcb,0x97551000,0x00001557,0x2f2eaa20,0x000000aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x765c4000,0x20000cde,0xaaa99998,0x001aaaaa,
    0x00333331,0x4c400000,0x3a001999,0x1cda804f,0x13333000,0x33333000,
    0x99880001,0x4c400999,0x00000199,0x32600000,0xa80d405d,0x9fff5002,
    0x2009ffd7,0xfffffeb8,0xdfffffff,0x3ffa002c,0x000003ff,0x5fffff00,
    0x2027f400,0x001ffffa,0x037fffd4,0x37fffdc0,0x3fff2000,0xfffe805f,
    0x7e40002f,0x003e82ef,0x039ffb30,0xfd17ffe2,0x7fdc01ff,0x404ffe84,
    0xfffffffb,0x2ff999bf,0xfffd1000,0x0000000d,0x007ffff3,0x7f404fe8,
    0x74004fff,0x003fffff,0x00ffffb8,0x17fffa00,0x3ffffee0,0x3ffa0006,
    0xfcacffff,0xfff98002,0x7fffdc00,0x07ffff30,0x3203ffe6,0xff901fff,
    0x5fffffff,0x440007f8,0x0000fffe,0x7ffe4000,0x04fe8003,0x02fffff4,
    0xffffff70,0x3ff2000f,0xff30003f,0xff8801df,0x002fffff,0xffffffa8,
    0x000fffff,0x4027ff44,0xf31ffffb,0x3f207fff,0x7fffb05f,0xffffff50,
    0x6f85ffff,0xffe88000,0x40000003,0xd0003fff,0xfffb809f,0xfff1001f,
    0x007fff5b,0x001bff20,0x40077fe4,0xffdafffc,0xdcfd8006,0x4fffffff,
    0x1fffb800,0x45fff880,0xfd00fffe,0xfff901ff,0xfffff885,0x42ffffff,
    0xd100006f,0x000000df,0x00027fcc,0xbd7009fd,0x27fe4005,0x0001ffd3,
    0x20003ff6,0xf9800efe,0x0fff20ef,0x75c47d00,0xb0002eff,0x22003fff,
    0xe805502b,0xfe883fff,0xfffffb85,0x42ffffff,0x2200006f,0x000000ff,
    0x80009f90,0x000004fe,0xfd107ff1,0x1fec0007,0x003be600,0x7dc06fec,
    0x88054006,0x7ffc0001,0x0000003f,0x00bffff2,0xffffffb0,0xf85fffff,
    0x54400006,0x50000000,0x9fd00005,0x3f600000,0x0007ec01,0xa8800350,
    0x809f5000,0x000003fa,0x3fffa000,0x20000004,0x0dfffffa,0xfffffd00,
    0x85ffffff,0x0000006f,0x00000000,0x2609fd00,0x00999999,0x0004c000,
    0x00000000,0x55441100,0x02aaaaaa,0x55555550,0xbfff9035,0x33333310,
    0x99988333,0x7ffe4099,0xff801eff,0xffffffff,0x0037c2ff,0x00001200,
    0x20002400,0xfffb04fe,0x2aa29fff,0xaaaaaaaa,0xaaaaaaaa,0x55442aaa,
    0xaaaaaaaa,0x55511aaa,0x55555555,0x2aaa2355,0xaaaaaaaa,0xffd911aa,
    0x007fffff,0xbfffff95,0x0dfff705,0xfffffff7,0xfffea8bf,0xffffd82f,
    0x7fec04ff,0xffffffff,0x00037c2f,0x00003f30,0x001f9800,0xf8813fa0,
    0x9514ffff,0xfffffffd,0xffffffff,0xca88dfff,0xfffffffe,0xd9511bdf,
    0xffffffff,0x3b2a237b,0xffffffff,0xfffd81bd,0x1002ffff,0x7d401ffd,
    0xfff507ff,0x7ec05fff,0xffff500e,0x2e01dfff,0xffffffff,0x037c2fff,
    0x00bfb000,0x5fd80000,0x013fa000,0x209ffffd,0x9efffffe,0xffca9999,
    0x3fa206ff,0x401fffff,0xffffffe8,0x7fff4401,0xfe801fff,0x00ffffff,
    0xf8809f50,0x3ff207ff,0x3ee02fff,0xff9bf302,0x301dffff,0xffffffff,
    0x06f85fff,0x1fff1000,0x22000000,0xd0000fff,0xfffd809f,0xffff904f,
    0xffd880df,0x7fffe406,0xfff9006f,0x3f200dff,0x9006ffff,0xdfffffff,
    0x200fe600,0x3e205fff,0x3205ffff,0x7d4df106,0x80efffff,0xffffffff,
    0x037c2fff,0x4fffc800,0xf9000000,0x3a0009ff,0x7ffec04f,0xffff704f,
    0x1bee00df,0xdfffff70,0x3fffee00,0xfff7006f,0x3f200dff,0x5fffffff,
    0x4c02f880,0x7e403fff,0x7f00ffff,0xd885fd10,0xc85fffff,0xffffffff,
    0x0037c2ff,0x3ffffc40,0x7c400000,0xd0007fff,0xfffd809f,0xffff704f,
    0x037400df,0x1bffffee,0x7ffffdc0,0xffff7006,0x2fb200df,0x3fffffff,
    0x3200fc40,0xff8805ff,0x0f984fff,0xf701ffb8,0xfd05ffff,0xffffffff,
    0x80006f85,0x03fffffb,0x7fdc0000,0xe8003fff,0x7ffec04f,0xffff704f,
    0x1ae020df,0xdfffff70,0x3fffee00,0xfff7006f,0x5b200dff,0xfffffffd,
    0x9807e201,0x3f2005ff,0x05c87fff,0x7d405ffb,0xfd885fff,0x2fffffff,
    0x7c00037c,0x006fffff,0x7fffc000,0xfe8006ff,0x7fffec04,0xfffff704,
    0x0d30360d,0x6fffffb8,0xfffff700,0x3ffee00d,0x4d9006ff,0xfffffffe,
    0xb303f100,0xf98007df,0x17c3ffff,0x202fffc4,0x2a07fffb,0x2ffffffd,
    0x2a00037c,0x2fffffff,0xff500000,0x005fffff,0x7ec04fe8,0xff704fff,
    0x03e0dfff,0xffff700a,0x3fee00df,0xf7006fff,0x200dffff,0x3fffe26c,
    0x3f106fff,0x40005fb0,0x2a6ffffe,0x9ffff106,0x807ffd80,0x42fecaa8,
    0x6f40006f,0x05fffffe,0xfdbd0000,0x800bffff,0x7fec04fe,0xfff704ff,
    0x01f10dff,0xfffff700,0x3ffee00d,0xff7006ff,0x3200dfff,0x7ffffcc6,
    0x81f884ff,0x8002dfd9,0xb2fffffa,0x7ffff409,0x013fea04,0x0df0bee0,
    0x7d4fcc00,0x001fffff,0x7d4fcc00,0x001fffff,0xffb013fa,0x3fee09ff,
    0x0fc86fff,0xffffb800,0xfff7006f,0x3ee00dff,0x9006ffff,0xfffff70d,
    0x01f887ff,0x20017fe6,0xf8dffffe,0x3fffea00,0x2ff980df,0x7c2fb800,
    0xf9b60006,0x004fffff,0xfff36c00,0x74009fff,0x7ffec04f,0xffff704f,
    0x00ff98df,0xfffffb80,0xffff7006,0x3fee00df,0xd9006fff,0x3fffff20,
    0x007e21ff,0xb8009ff9,0x05dfffff,0xffffffd8,0x00077e41,0x01be17dc,
    0xff717c40,0x0001ffff,0xffb8be20,0xd000ffff,0xfffd809f,0xffff704f,
    0xfff731df,0xfff70001,0x3ee00dff,0x7006ffff,0x00dfffff,0xfffd81b2,
    0x3f10ffff,0x03fff980,0x3ffffe20,0xffe8802f,0xbf33ffff,0x217dc000,
    0x8f90006f,0x3ffffff8,0x88f90000,0x03ffffff,0xfd809fd0,0xff704fff,
    0xffffffff,0xf70001ff,0x200dffff,0x06fffffb,0xdfffff70,0xe881b200,
    0x15ffffff,0xbfff003f,0xffffc800,0x3ff62007,0x05fdffff,0x3e17dc00,
    0x83f88006,0x07fffffd,0xd83f8800,0x007fffff,0xffd809fd,0xfff704ff,
    0xffd97dff,0xff70001f,0x2e00dfff,0x006fffff,0x0dfffff7,0xff301b20,
    0xf19fffff,0x7fff8803,0x7fffcc00,0xfffc8004,0x0000ffff,0x01be17dc,
    0x3e603ee0,0x002fffff,0x7cc07dc0,0x802fffff,0x7fec04fe,0xfff704ff,
    0x0ffd8dff,0xffffb800,0xfff7006f,0x3ee00dff,0x9006ffff,0xffff500d,
    0x803f7fff,0x8007fffa,0x0001fffd,0xdffffff5,0x42fb8000,0x04f8006f,
    0x1bfffffa,0x7409f000,0x806fffff,0x7fec04fe,0xfff704ff,0x01fd0dff,
    0xfffff700,0x3ffee00d,0xff7006ff,0x3200dfff,0xffff9006,0xb803ffff,
    0xa8006fff,0x440006ff,0x05fffffd,0xdf0bee00,0x200fa800,0x1ffffffa,
    0x401f5000,0x1ffffffa,0x36027f40,0xf704ffff,0xf50dffff,0xfff70001,
    0x3ee00dff,0x7006ffff,0x00dfffff,0xffd801b2,0x401fffff,0x0005fffc,
    0x200007fd,0x01fffffb,0x6f85f700,0x7ffff400,0xffffffff,0xd0005fff,
    0xffffffff,0xbfffffff,0x6c04fe80,0xf704ffff,0xf10dffff,0xffb80c01,
    0xf7006fff,0x200dffff,0x06fffffb,0x74400d90,0x01ffffff,0x0027fff4,
    0xa8000fb8,0x3ffff980,0xf85f7000,0x333e6006,0xdccccccc,0x00ffffff,
    0x66667cc0,0xffdccccc,0x3a00ffff,0x7ffec04f,0xffff704f,0x5403a0df,
    0xfffff704,0x3ffee00d,0xff7006ff,0x3200dfff,0x7ffc4006,0x7fc01fff,
    0x990003ff,0x2fff8800,0x005fff98,0x06f85f70,0x7c401b60,0x004fffff,
    0xff88036c,0x3a04ffff,0x7ffe404f,0xffff704f,0x3d8060df,0xdfffff70,
    0x3fffee00,0xfff7006f,0x1b200dff,0x3fffea00,0x7fff401f,0x01f80402,
    0x82fffdc0,0x70004fff,0x3006f85f,0x7fe4005f,0x3000ffff,0x7fe4005f,
    0xfd00ffff,0xff926c49,0x3fee07ff,0x4c006fff,0xffff702f,0x3fee00df,
    0xf7006fff,0x200dffff,0xff70006c,0xffb803ff,0x1bfb101f,0x7dc00354,
    0x5ffb04ff,0xf0bee000,0x001f600d,0x7ffffff3,0x3001f600,0x07ffffff,
    0x2ffe93fa,0x203ffff7,0x06fffffb,0x5c03fa20,0x006fffff,0x0dfffff7,
    0x3ffffee0,0x000fb006,0x200fffec,0xf704fff9,0x001745ff,0x441fffcc,
    0x70000fff,0x9806f85f,0xffd8005f,0x4c00ffff,0xffd8005f,0xfe80ffff,
    0x7d4fffe4,0x3fee04ff,0xd1006fff,0x7ffdc0ff,0xff7006ff,0x2e00dfff,
    0x006fffff,0x740003fd,0xffa801ff,0x4fffd80f,0x7dc000d5,0x3bfaa0df,
    0x0bee0000,0x0bfd00df,0xfffff700,0x05fe809f,0xfffffb80,0x2e4fe84f,
    0x1fff94ff,0x7ffffe40,0x3fee200f,0x3fff206f,0xff9007ff,0x3200ffff,
    0x407fffff,0x001effc8,0x2003ff10,0x2a0cfff9,0x02fcffff,0x77ff5400,
    0x0000dfff,0x81be17dc,0x002fffea,0x7fffffe4,0xfffea83f,0x7ffe4002,
    0x7f43ffff,0x3f7ffa24,0x3fe601ef,0xacffffff,0xffffecca,0xffff305f,
    0xf9807fff,0x03ffffff,0x7fffffcc,0xfffea83f,0x8005ffff,0x2a2001f9,
    0x7fff47ec,0x2600002f,0x00001aca,0x2079072a,0xeffffffc,0x3fffaa06,
    0xffffffff,0xffffff91,0x7ff540dd,0xffffffff,0x5505971f,0x3ba20559,
    0xffffffff,0xffffffff,0x3a24ffff,0xfffffffe,0xdd13efff,0xffffffff,
    0x3ba27dff,0xffffffff,0x00003eff,0x00000a80,0x000055c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffffff9,0x00000002,0x00000000,0x88000000,0x00009999,
    0x01333300,0x33310000,0x00000033,0x00000000,0x00333331,0x0154e600,
    0x7ffe4400,0x000002ff,0x205f7f5c,0x2e00005c,0x1fed42ee,0x7c400000,
    0x0001ffff,0x6ffff980,0xfe880000,0x00003fff,0x5c1dfc88,0x000002ee,
    0x017ffffc,0x447f2200,0x440001de,0x002fffff,0x3fff2000,0x4fbadfff,
    0xfff30000,0x17fffc1f,0x3ea00000,0x00002fff,0x7fffffd0,0xfd100000,
    0x00000bff,0x7ccdfff7,0x00000fff,0x05ffff30,0x40efb800,0x20004fd8,
    0x02fffff8,0xfff30000,0xffffffff,0x3f200005,0xfff32fff,0x8000009f,
    0x0002fffd,0xfffff500,0x200000ff,0x000fffe8,0x7fffec00,0x05ffff70,
    0x3ff20000,0x7dc0003f,0x017f600e,0x2fffff80,0xbf900000,0xfffffffb,
    0x7cc0000d,0x3ffe0fff,0x2000002f,0x0002fff8,0x5bfff100,0x00007fff,
    0x00fffa20,0xdfff7000,0x007fffcc,0x3fff8000,0x17fd4000,0x0013fe60,
    0x017ffffc,0x224c8000,0x00bfffdb,0x1775c000,0x0000ffaa,0x007ff500,
    0x27fe4000,0x0001ffd1,0x017fe200,0x3bf91000,0x0002eeb8,0x009ff300,
    0x006ffa80,0xf0007ffb,0x0005ffff,0x0c402600,0x00000000,0x7ec00000,
    0x22000003,0x4fe883ff,0x3e600000,0x0000000f,0x64000000,0x7c40004f,
    0xff5003ff,0xfff8005f,0x000002ff,0x00000000,0x00000000,0x000000aa,
    0x0fd803fb,0x2a600000,0x00000000,0x15400000,0x3ffe4000,0x01bffa00,
    0x45fffff0,0x00001ca8,0x35799531,0x22000001,0x09abcca9,0x00000000,
    0x98000000,0x00000000,0xaaaaaa80,0x1aaaaaaa,0xaaaaaaa8,0x0000002a,
    0x013ffe20,0x005fff70,0x457ffffc,0x0cfffffe,0xffffc800,0x4ffffece,
    0xfff90000,0xffffd9df,0x2aaa6009,0xaaaaaaaa,0x55555402,0x40000aaa,
    0x55440004,0xaaaaaaaa,0xaaaaaaaa,0xecb82aaa,0xefffffff,0xffdb81bc,
    0x2a22cfff,0xaaaaaaaa,0xaaaaaaaa,0xf902aaaa,0xf98007ff,0x3fe006ff,
    0xfefebfff,0x2004ffff,0x40bfffe9,0x02efffb8,0x7fffd300,0xefffb881,
    0x7ffed402,0x2cffffff,0x7fffed40,0x260000df,0x2a20001f,0xffffffec,
    0xffffffff,0x2206ffff,0x0fffffff,0x01ffd100,0xffffd951,0xffffffff,
    0x0dffffff,0x005ffff1,0x01ffff88,0xbffffff0,0x3ffffa61,0xffffc802,
    0x7fffcc03,0x3ff2000d,0x7fcc03ff,0x7cc00dff,0x03ffffff,0x0077fc40,
    0x002fec00,0xfffffd00,0x9533333d,0xd80dffff,0x005fffff,0xfe801fe4,
    0x999effff,0xffffca99,0x0ffffb86,0x5ffff800,0xffffff00,0xfffff981,
    0x3ffff600,0xffff5005,0x3fff600d,0xfff5005f,0xfff700df,0xf000bfff,
    0xf100003f,0x200001ff,0x06fffffc,0x2037fec4,0x05fffffd,0xc8017dc0,
    0x406fffff,0xfd86ffd8,0xfb0007ff,0x3fe00fff,0xffd03fff,0x3fee09ff,
    0x7f4007ff,0x7dc04fff,0x74007fff,0xe804ffff,0x00ffffff,0x0000fea0,
    0x0027ffe4,0xfffffb80,0x80df7006,0x04fffffc,0xb8017d40,0x006fffff,
    0xfffd0df7,0x3ff6000f,0xfff800ff,0xfff902ff,0xffff10bf,0xffb800bf,
    0xff101fff,0xb800bfff,0x401fffff,0x4ffffff9,0x0001ba00,0x03ffffc4,
    0xffffb800,0x01ba006f,0x09fffff9,0x7001fa80,0x00dfffff,0x7fffc374,
    0xfffb0007,0xffff003f,0x3ffee05f,0xffffe87f,0x7fcc002f,0xffd06fff,
    0x98005fff,0x806fffff,0x1ffffffd,0x0001fb80,0x7fffff70,0xfff70000,
    0x2e020dff,0x7fffe406,0x0fd4004f,0xfffffb80,0x88d70106,0x0006ffff,
    0x005ffff9,0x205fffff,0x20fffffb,0x0ffffffa,0xfffff800,0x7fffd43f,
    0xff8000ff,0x4c03ffff,0x05ffffff,0x000027c4,0x0dffffff,0xffff7000,
    0xd30360df,0xfffffc80,0x00fd4004,0x6fffffb8,0x4c6981b0,0x0006ffff,
    0x007ffff9,0x205fffff,0x21fffffa,0x06fffffc,0xfffffb00,0xfffffc8b,
    0xfffb0006,0xff900bff,0x6403ffff,0xf500000f,0x05ffffff,0xffffb800,
    0x0501f06f,0x4fffffc8,0x800fd400,0x06fffffb,0xffa8501f,0xf90006ff,
    0xff009fff,0x3ea05fff,0x3fa1ffff,0x0006ffff,0x8dfffffb,0x06fffffe,
    0xfffffb00,0xffff100d,0x0fe60dff,0xfede8000,0x0005ffff,0x37ffffdc,
    0x640007c4,0x004fffff,0xfb800fd4,0xf886ffff,0xffff9800,0xfff90006,
    0xffff007f,0x3ffea05f,0x3fffe0ff,0xf90005ff,0x7c1fffff,0x005fffff,
    0xffffff90,0xffff7001,0x00dd05ff,0x7d4fcc00,0x001fffff,0x3ffffee0,
    0x8000fc86,0x04fffffc,0xb800fd40,0xc86fffff,0xfff8800f,0xff90006f,
    0xfff005ff,0x3fee05ff,0x3ffe66ff,0x90005fff,0x23ffffff,0x5ffffff9,
    0xffff9000,0xff1003ff,0xfb8dffff,0x9b600001,0x04ffffff,0x3fffee00,
    0x007fcc6f,0x7ffffe40,0x00fd4004,0x6fffffb8,0xf8007fcc,0x90007fff,
    0xf003ffff,0x2e05ffff,0x3ea5ffff,0x004fffff,0xffffff90,0x3ffffea5,
    0xff90004f,0x2005ffff,0x3ffffffb,0x400009f1,0x3ffee2f8,0x70000fff,
    0x31dfffff,0x0001fff7,0x09fffff9,0x7001fa80,0x31dfffff,0x2001fff7,
    0x0007fffe,0x001ffffb,0x205fffff,0x2a3ffffd,0x04ffffff,0xfffff700,
    0x3fffea5f,0xf70004ff,0x005fffff,0xbffffff4,0x200000fc,0x7fffc47c,
    0xf70003ff,0xffffffff,0x90001fff,0x009fffff,0xf7001fa8,0xffffffff,
    0x36001fff,0xb0007fff,0x3e00ffff,0xff04ffff,0x7fc41fff,0x0005ffff,
    0x3ffffff9,0x3fffffe2,0xfff90005,0x54003fff,0xfdffffff,0x3e200003,
    0xfffffd83,0xfff70007,0xffd97dff,0xff90001f,0xa8009fff,0xfff7001f,
    0xffd97dff,0x3fee001f,0xfe8000ff,0xfff006ff,0xffb89fff,0xffff81ff,
    0xf90006ff,0x7c1fffff,0x006fffff,0xffffff90,0xfffe8001,0x00006fff,
    0x7fcc07dc,0x8002ffff,0x46fffffb,0xc8000ffd,0x004fffff,0xfb800fd4,
    0x7ec6ffff,0xfff1000f,0xfff0005f,0x3ffe005f,0xfdcefcff,0xffd03fff,
    0x2000dfff,0x46fffffd,0x06fffffe,0xfffffb00,0xfff3000d,0x00007fff,
    0x3ffa04f8,0xb8006fff,0xe86fffff,0xffc8000f,0x54004fff,0xfff7001f,
    0x01fd0dff,0x01fffe40,0x01bffe60,0x8afffff8,0x03effffe,0x1ffffff6,
    0x7ffff400,0x7fffec5f,0xffd0007f,0x2000bfff,0x03fffffe,0x803ea000,
    0x1ffffffa,0x7fffdc00,0x000fa86f,0x5fffffc8,0x800fdc00,0x86fffffb,
    0x3e2000fa,0x7d4005ff,0x3fe002ff,0x2ea22fff,0xffff9800,0x7c4000ff,
    0x4c1fffff,0x00ffffff,0x7ffffc40,0xffd0001f,0x00007fff,0x7ffffff4,
    0xffffffff,0x7fdc005f,0x0f886fff,0x7ffdc060,0x7dc005ff,0xffff7000,
    0x401f10df,0x00fffc81,0x001bff60,0x005fffff,0xfffffc80,0x7ffcc003,
    0xfff904ff,0xf98007ff,0x0004ffff,0x0ffffffa,0x667cc000,0xdccccccc,
    0x00ffffff,0x3ffffee0,0x12a01d06,0x2fffffdc,0xb801f600,0xd06fffff,
    0x3e212a01,0xff1003ff,0xfff8005f,0x440002ff,0x006fffff,0x07ffffe4,
    0x6fffff88,0x7fffe400,0x3fa0000f,0x0003ffff,0x3e200db0,0x004fffff,
    0x1bffffee,0x2607b00c,0x006fffff,0xff7002fc,0x8060dfff,0x0fff503d,
    0x0013ff20,0x00bffffe,0x3fffee00,0xfff1001f,0xffb807ff,0xf1001fff,
    0x0007ffff,0x3fffffe8,0x02f98000,0x3fffff20,0xfff7000f,0xf9800dff,
    0x3ffffe02,0x07f7000f,0x7ffffdc0,0x017cc006,0xf8807ff5,0xfff0005f,
    0x200005ff,0x005ffffc,0x009ffff9,0x017ffff2,0x027fffe4,0x7ffff400,
    0x7d80003f,0x7fffcc00,0xff7003ff,0x4400dfff,0x3ff200fe,0xfa804fff,
    0x7ffdc006,0x3a2006ff,0x077dc00f,0x2000bf90,0x02fffff8,0x3fff2000,
    0x7ffdc04f,0x7fe4004f,0x7fdc04ff,0xd00004ff,0x007fffff,0x8005f980,
    0x0ffffffd,0xfffffb80,0x0ffd1006,0x9fffffd0,0x000ffcc0,0x1bffffee,
    0x803ff440,0x5fd80efb,0x3ffe6000,0x400003ff,0x09dfffea,0x5dfffb71,
    0x3ffaa000,0xfb7109df,0x00005dff,0x27fffffc,0x017fa000,0x3ffffee0,
    0xfffc804f,0x2e200fff,0xd8806fff,0xbdffffff,0x001fffdb,0xffffffc8,
    0x3ffee200,0x47f62006,0x20001ed8,0xffffffeb,0x5c00001b,0xfffffffd,
    0x00003dff,0xffffffb7,0x0007bfff,0xfffffb80,0xea8001ff,0x64002fff,
    0x3fffffff,0x3ffffe60,0xccaacfff,0x05fffffe,0x3ffffaa0,0x003effff,
    0xffffff30,0xd99559ff,0x00bfffff,0x000aa930,0x99999910,0x00009999,
    0x2f2eaa20,0x000000aa,0x55797551,0x77400001,0xffffffff,0xc804eeff,
    0x6effffff,0x3ffffaa0,0x1fffffff,0xfffffdd1,0xffffffff,0x9fffffff,
    0x99751000,0xd1000357,0xfffffffd,0xffffffff,0x009fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55400000,0x002aaaaa,0x6776e5c4,0x0007500a,0x00000000,
    0x44000000,0x2aaaaa60,0x0000002a,0xcdedca98,0x0000001a,0x40000000,
    0x00000009,0x405ed400,0x4ceffffe,0xffffb500,0x7bfffdff,0xc8007d11,
    0x03d82dfe,0x1dfc8800,0x0001775c,0xfb7326c0,0xea81ffff,0x067ecc3e,
    0xdffff900,0x19ffffd9,0xbf910000,0x002eeb83,0xfff91000,0xb0000019,
    0x7fff400f,0x05fffe87,0x3ffff620,0x7fe4c0ae,0x36003fff,0x9cffffff,
    0xb80002fb,0x3fe66fff,0x200000ff,0xfff701f8,0x7fffc41f,0x00ffffa1,
    0x02ffffa6,0x05ffff51,0x6fffb800,0x003fffe6,0x26ff2000,0x880005eb,
    0xcefffeda,0xfffff302,0x03fffe85,0x7fffff30,0x7fffb100,0x3fffea00,
    0x0fffffff,0xfffe8000,0x5ffff70f,0x035c0000,0x541ffff3,0xff13ffff,
    0xffc80dff,0x7fd404ff,0xb0000dff,0x3ee1ffff,0x00002fff,0x007d43f8,
    0xb7dff500,0x19fffd7f,0x27ffffd4,0x200ffffa,0x02fffffa,0x801ffec0,
    0xffffedfd,0x00004fff,0x7ccdfff7,0x00000fff,0xfff980fa,0x3fffe20f,
    0x80ffffa1,0x005ffffe,0x00dffff7,0x99bffee0,0x0000ffff,0x1fc07d40,
    0x23ffc800,0x93ffea7d,0x41fffff8,0x4403fffe,0x004fffff,0xd003fe88,
    0x77ff64c7,0x32200003,0x1775c1df,0x01f30000,0x207fffcc,0x7ecc3eea,
    0xffff700c,0x7ff4001f,0xc88004ff,0x1775c1df,0x17c40000,0x2a0007e6,
    0x2a3ec6ff,0x7ffdc4ff,0x03fffe84,0x3fffffa2,0x07f30000,0x014402a0,
    0x00000000,0x980bb000,0x0000ffff,0x7ffffc40,0x7ffe4005,0x000001ff,
    0xed800000,0x2000db11,0x43ec5fff,0x201504fb,0x3203fffe,0x004fffff,
    0x00001f40,0x00000000,0x0be20000,0x01ffff30,0xfffe8000,0x7cc002ff,
    0x0006ffff,0x80000000,0x02efefe9,0x47fff980,0x004f887d,0x203fffe8,
    0x03ffffff,0x0001dc00,0x55100012,0x55555555,0x55555555,0x22005555,
    0x9807dcca,0x5510ffff,0x55555555,0x7fd43555,0x8000ffff,0x03ffffff,
    0x00004800,0x003fb800,0x8ffffea0,0x0009907d,0x2e07fffd,0x01ffffff,
    0x20000800,0x220001f9,0xfffffeca,0xffffffff,0x406fffff,0xfffeffe8,
    0x7fffcc04,0xfffd9510,0x37bfffff,0x37ffffe4,0xffffe800,0x7cc0005f,
    0x40000001,0x2a0005fd,0xfb4fffff,0x806c0a20,0xfd03fffe,0x001fffff,
    0xfd800000,0x3fa00005,0x999effff,0xffffca99,0x43bfe606,0x300efffc,
    0xd101ffff,0x03ffffff,0x1bfffffa,0x7fffec00,0x7ec0006f,0x20000005,
    0x0000fff8,0xdffffff1,0x03f000fd,0x7c0ffffa,0x007fffff,0x7c400000,
    0x900000ff,0x80dfffff,0xf306ffd8,0x7ffe45ff,0xffff304f,0x3ffff201,
    0x3fffe06f,0xf90005ff,0x001fffff,0x003ffe20,0x7fe40000,0x3f60004f,
    0x07ffffff,0xfe817c40,0xfff883ff,0x00005fff,0x7ffe4000,0xff700004,
    0x2e00dfff,0x8fffd06f,0x307fffff,0x2e01ffff,0x306fffff,0x09ffffff,
    0x3ffff200,0xf90001ff,0x000009ff,0x0fffff10,0x7fffc400,0x000effff,
    0x3ffa09f3,0xffff983f,0x000004ff,0x3fffe200,0xff700007,0x7400dfff,
    0x26fffa86,0x06fffdfa,0x201ffff3,0x06fffffb,0x9ffffff5,0x3ffee000,
    0x88003fff,0x0007ffff,0xffffb800,0x3e60003f,0xffffffff,0xd05fb803,
    0xff507fff,0x000bffff,0x7fdc0000,0x80003fff,0x06fffffb,0xffd0d701,
    0x7fc66cbf,0xffff303f,0x3fffee01,0xffff506f,0x2e0009ff,0x02ffffff,
    0xfffffb80,0x7c000003,0x006fffff,0x7ffff440,0x200dffff,0xfffd07fc,
    0xfffff307,0x000000df,0x7fffffc0,0xffb80006,0x81b06fff,0x7fffc469,
    0x004c3f15,0x201ffff3,0x06fffffb,0xbffffff1,0x3fff2000,0xf8001fff,
    0x006fffff,0x3ffea000,0x0002ffff,0xffffffc8,0xffd00eff,0x07fffd01,
    0xfffffff1,0x20000000,0xfffffffa,0x7fdc0002,0x01f06fff,0x6ffff985,
    0xff9800d7,0xfff700ff,0x7ffc0dff,0xb0006fff,0x01ffffff,0xfffffa80,
    0x000002ff,0xfffffdbd,0x3aa0000b,0xffffffff,0x417ffc40,0xff03fffe,
    0x001fffff,0xdbd00000,0x00bfffff,0xfffffb80,0xa800f886,0x07d7ffff,
    0x0ffff980,0xdfffff70,0x7fffff40,0xfffd0006,0xbd000fff,0x0bfffffd,
    0x53f30000,0x03ffffff,0x3ffa2000,0x4c4fffff,0xffe84fff,0xffffb03f,
    0x000003ff,0xffa9f980,0x0001ffff,0x1bffffee,0x3ee003f2,0x00faffff,
    0x07fffcc0,0x6fffffb8,0x3fffff60,0xfffd0007,0xf9800bff,0xffffffa9,
    0x36c00001,0x09ffffff,0x7ffec000,0x2e0fffff,0xffe86fff,0xffff303f,
    0x000005ff,0x3ffe6d80,0x20004fff,0x46fffffb,0xf9800ff9,0x005effff,
    0x00ffff98,0x0dfffff7,0x7fffffcc,0xffff8000,0x36c001ff,0x09ffffff,
    0x717c4000,0x01ffffff,0x3e7f6000,0x362fffff,0x7f40ffff,0x3ffa03ff,
    0x00005fff,0xfb8be200,0x000fffff,0xdfffff70,0x01fff731,0xffffff10,
    0xfff30005,0x3ffee01f,0x7fe406ff,0x54003fff,0x004fffff,0xfff717c4,
    0x00001fff,0xffff11f2,0x004007ff,0x3fffe6fb,0x3ffffe3f,0x01ffff41,
    0x1ffffff5,0x9001c000,0xfffff88f,0xff70003f,0xffffffff,0x3fa001ff,
    0x8001ffff,0x700ffff9,0x80dfffff,0x06fffff8,0x7ffffec0,0x223e4000,
    0x03ffffff,0xd83f8800,0x007fffff,0xf53ec03e,0x3fe67fff,0x7ff43fff,
    0x7ffe403f,0xf70004ff,0x360fe200,0x007fffff,0xdfffff70,0x01fffd97,
    0x3fffff20,0x3e60a606,0xff700fff,0xf700dfff,0x2005ffff,0x03fffff9,
    0x7ec1fc40,0x0007ffff,0xff980fb8,0xf002ffff,0xff89f605,0xffff52ff,
    0x3fffe89f,0xfffffd80,0x027e4003,0xff980fb8,0x8002ffff,0x46fffffb,
    0xd1000ffd,0x81bfffff,0xfff980ea,0xffff700f,0x3fee00df,0xff9005ff,
    0xf70007ff,0xfffff301,0x4f80005f,0x3fffffa0,0x360bf006,0xb87fff47,
    0x745fffff,0xf9003fff,0x8019ffff,0x3e002fe9,0x3ffffa04,0xffb8006f,
    0x0fe86fff,0x3fffe600,0x1fecdfff,0x01ffff30,0x1bffffee,0x4ffffa80,
    0x17fffdc0,0x3a04f800,0x006fffff,0xfa803ea0,0x801fffff,0x227d81ff,
    0x3fee4fff,0x7ff45fff,0x3fe6003f,0x9aacffff,0x000dffdb,0xffa803ea,
    0x4001ffff,0x86fffffb,0x7dc000fa,0xffffffff,0x3fffe601,0xfffff700,
    0xffe9800d,0x3f6609df,0x50002fff,0x7ffd401f,0xd0001fff,0xffffffff,
    0xbfffffff,0xd85fff00,0xf11bfee7,0xfe85ffff,0xda8003ff,0xffffffff,
    0xfe8003df,0xffffffff,0x05ffffff,0x7ffffdc0,0x0600f886,0x3ffffbea,
    0x7fcc01ce,0xfff700ff,0x26000dff,0xffeffffc,0x40001dff,0xfffffffe,
    0xffffffff,0xccf98005,0xdccccccc,0x00ffffff,0x4567fffc,0x0dffd8fd,
    0xe86fffc8,0x20003fff,0x09bfba98,0x333e6000,0xdccccccc,0x00ffffff,
    0x3ffffee0,0x12a01d06,0x00dd4576,0x01ffff30,0x1bffffee,0x3fff6000,
    0x80001fff,0xccccccf9,0xffffdccc,0x36c000ff,0xfffff880,0x7f64c04f,
    0xefffffff,0xe80dc402,0x00003fff,0xb00007f9,0x3ffe200d,0x2e004fff,
    0x306fffff,0x07e21ec0,0xffff3000,0x3fffee01,0xf880006f,0x004fffff,
    0xf1006d80,0x009fffff,0xf90017cc,0x001fffff,0x07faea62,0xfffe8000,
    0xffa80003,0x3e60005f,0x3fff2002,0xf7000fff,0x800dffff,0x0035c2f9,
    0x07fffcc0,0x6fffffb8,0xfff70000,0x40003fff,0x3f2002f9,0x000fffff,
    0xff9800fb,0x0003ffff,0xe80000fb,0x80003fff,0x000fffc8,0xf9800fb0,
    0x003fffff,0x0dfffff7,0x3a07f440,0xff980003,0xfff700ff,0x40000dff,
    0x1ffffffd,0x800fb000,0x3ffffff9,0x8005f980,0x0ffffffd,0x0004a800,
    0x01ffff40,0x0fff8800,0x005f9800,0xffffffd8,0xffffb800,0xffd1006f,
    0x80000f98,0x700ffff9,0x00dfffff,0xffffc800,0x26000cff,0xffd8005f,
    0x7400ffff,0xffb8005f,0x0004ffff,0xffd00000,0x2e0000bf,0xfd0005ff,
    0xfff7000b,0xf9009fff,0x401fffff,0x646fffb8,0xff700005,0x3ff201ff,
    0x00007fff,0xfffffea8,0xd00ccdef,0xff7000bf,0x2a09ffff,0x4002fffe,
    0xfffffffc,0x00000003,0xcdffffe8,0x7f644002,0x754000df,0x64002fff,
    0x3fffffff,0x3ffffe60,0xccaacfff,0x45fffffe,0x2e60002f,0x80fffffc,
    0xfffffff9,0xb5000003,0x79dffffd,0x05fffd50,0xfffffc80,0x7ffe43ff,
    0x2a06efff,0xfffffffe,0x0001ffff,0x26620000,0x40019999,0x8000aaa8,
    0xeffffffc,0x3fffaa06,0xffffffff,0xffffdd11,0xffffffff,0xffffffff,
    0x20001449,0x19999998,0x3ffffba2,0x3effffff,0x02200000,0xffffff90,
    0x7ff540dd,0xffffffff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x18000000,0x02666660,0x66664c00,0x3b726001,0x7d40003c,0x4cc0001f,
    0x26000999,0x4c0001cd,0x0001cccc,0x01333330,0x39999300,0x00000000,
    0x00133331,0x01333330,0x76654000,0xb00abcee,0x3ffee01f,0xffd0006f,
    0x3ee00bff,0x01eff9cf,0x004ff880,0x7ffffcc0,0xeefe8800,0x3fa0005f,
    0x80006fff,0x01fffff9,0x6ffffe80,0xfdb98000,0xff5001de,0xc8001fff,
    0x0005ffff,0x77fffdc4,0x0cfffffc,0xff900bee,0xfb8001ff,0x401fffff,
    0xff70fffc,0x6fd8003f,0xfffc8000,0x43f7001f,0xfb8001fa,0x002fffff,
    0x0ffffe40,0x7fffd400,0x2e0002ff,0x4fffcbff,0x7ffff500,0xffff9000,
    0x3fee0001,0x7e4c0bff,0x03fbbfff,0x007fff90,0x7fffffc4,0x3ffe606f,
    0x01bffe65,0x0001ffa8,0x001ffff8,0x0017613a,0xfffffff1,0xffe8000d,
    0xffd0001f,0x000dffff,0xffe8fff2,0xfff5004f,0x3ff6000b,0x7ec4003f,
    0x7cc02fff,0x4004ffff,0x32006ffd,0xffe98eff,0x4bfffb02,0x802ffff8,
    0x80004ff8,0x4001fff9,0x4006c83f,0xfe98effc,0xff30002f,0x3ee0003f,
    0x3ffe89ef,0x0fffd400,0x001ffff9,0x0003ffee,0x2002ffec,0x004ffffe,
    0x00bffff7,0x1001ffb0,0x7f441bff,0x49ffff06,0x803ffff8,0x900006fd,
    0xd90005ff,0x22003f88,0x3fa20dff,0x5ff90006,0x37fe2000,0x001bfa20,
    0x7e43fffd,0x2e002fff,0x360002ff,0xff9000ff,0x7c003fff,0x8003ffff,
    0x4fd803fd,0xf885fb10,0x3fe24fff,0x7fd405ff,0x5ff00001,0x2fbe6000,
    0x7ec007eb,0x000ff604,0xc8000bfa,0x00ff604f,0x517fffd4,0x8003ffff,
    0x740005fb,0xfffa803f,0x7f4005ff,0x8000ffff,0x0164403c,0x3ffe62e4,
    0x3fffe24f,0x013fe205,0x00164400,0x033ff260,0xc802c880,0x01644005,
    0x90059100,0x3fff200b,0x17ffa23f,0x00025c00,0x3fa00b22,0x2002ffff,
    0x6ffffffd,0x00000000,0x897fffe0,0x3604ffff,0x0000006f,0x00002000,
    0x00000000,0x20000000,0x984ffffd,0x00000001,0xffff3000,0x3f2001ff,
    0x2ffffffa,0x09bca980,0x4de54c00,0x97fffa00,0x502ffff9,0x800003ff,
    0x0009bca9,0x05665d4c,0xccba9800,0x7530000a,0x98801599,0x22099999,
    0x00999999,0x037ffff4,0xccba9800,0x3333000a,0x7ec01333,0x7007ffff,
    0x3ffffa7f,0x3ffa204f,0x8801efed,0x1efedffe,0x4cdfff70,0xf880efff,
    0x2200004f,0x1efedffe,0xffeffb80,0x2e003fff,0xfffffeff,0x3bfee003,
    0x203fffff,0x4ffffffc,0x3fffffea,0x7ffff406,0x7fdc0007,0x03fffffe,
    0x7fffff44,0x3fffe02f,0x4fa806ff,0x1bfffff6,0xf8877fd4,0x3fea02ff,
    0x05fff10e,0xffa9fffa,0x00dfb02f,0x877fd400,0xd302fff8,0x7ffdc1bf,
    0x6ff4c02f,0x0bfffee0,0x5c1bfd30,0x2202ffff,0xe84fffff,0x6c06ffff,
    0x000fffff,0x2e0dfe98,0xa802ffff,0x102fffff,0x0dffffff,0x7fe45f98,
    0xff987fff,0x07ffdc2f,0x2e17ffcc,0xfe980fff,0x207ffd2f,0x00001ffa,
    0xfb85fff3,0x3fff80ff,0x01ffffe8,0x3fa0fffe,0x3fe01fff,0xffffe83f,
    0x3ffffa01,0x6ffffc84,0xfffd9998,0x00999aff,0xfe83fff8,0x7c401fff,
    0xf302ffff,0x40bfffff,0xfffc86f8,0x7ff41fff,0x84fff987,0xff987ffe,
    0x3bfb204f,0x9ff101df,0x7ff40000,0x44fff987,0xfd87fffa,0xff504fff,
    0xffffb0ff,0x1fffea09,0x813ffff6,0xc84ffffe,0x7c46ffff,0xffffffff,
    0x5404ffff,0xffd87fff,0xfff804ff,0xfff502ff,0x3a209fff,0xffffc80e,
    0x3ffee2ff,0x0ffff886,0x221bffee,0x0800ffff,0x2606fc80,0x700cefec,
    0xff10dfff,0x7ffec1ff,0x7fffe42f,0x5ffffb05,0x05ffffc8,0xc85ffffb,
    0x3a05ffff,0xfc84ffff,0x7fc46fff,0xffffffff,0x7ec04fff,0x7fe42fff,
    0xfff805ff,0xfff302ff,0x3f609fff,0xfffff901,0x2ffff45f,0xd0ffffc4,
    0xff10bfff,0x500003ff,0x3ff203ff,0xe83ffd8d,0xff885fff,0x3ffea1ff,
    0x7fffe41f,0x3ffff505,0x05ffffc8,0xc83ffff5,0x3a05ffff,0xfc84ffff,
    0x77446fff,0xffffffee,0x7d403eee,0x7fe41fff,0xfff805ff,0xfff102ff,
    0x3f90bfff,0x7ffffe40,0x13fffe1f,0xf8bfffe2,0xff884fff,0x440002ff,
    0xfff904ff,0xf0fffe61,0xff109fff,0x3eeb85ff,0x2ffffec4,0xd887dd70,
    0x2e05ffff,0x7fec43ee,0x3ffa05ff,0xfffc84ff,0xfffd806f,0xeeb8004f,
    0x7fffec43,0xfffff805,0x3ffffa02,0x2017dc6f,0x0ffffffc,0xfffffff3,
    0x9fffffff,0x3fffffe6,0xffffffff,0x37e40004,0x227fff88,0xff30ffff,
    0xffffffff,0x1009ffff,0xbffffff7,0xfffb8800,0x44005fff,0x5ffffffb,
    0x13ffffa0,0x01bffff2,0x013fffea,0x7ffdc400,0xff805fff,0x3f602fff,
    0x3ea7ffff,0xffffd804,0x3fffea7f,0x9999999e,0xffff5099,0x3333333d,
    0x54000133,0xfff901ff,0x53ffff8d,0x333dffff,0x01333333,0x7e5ffdc4,
    0x71005fff,0xffff97ff,0x3fee200b,0x05ffffcb,0x213ffffa,0x806ffffc,
    0x003ffff8,0x65ffdc40,0xf805ffff,0x2e02ffff,0xf37fffff,0x3fffa00b,
    0x3ffea4ff,0x7fd4007f,0x000007ff,0xfd027f44,0xfffe8dff,0x0fffff55,
    0x2fffa800,0x00bffff9,0x3f25fff5,0xfa805fff,0xffff92ff,0x7ffff40b,
    0x6ffffc84,0x03fffd00,0x97ffd400,0x805ffffc,0x202fffff,0x9ffffff9,
    0xfff1005f,0x7fcc3fff,0x26000fff,0x000fffff,0x01bf2000,0xfe8dffff,
    0xffff36ff,0xfb10001f,0x7ffe43ff,0x3ff6205f,0x3ffff21f,0x3fff6205,
    0x17ffff21,0x84ffffe8,0x006ffffc,0x0001fff7,0x643fffb1,0xf805ffff,
    0x6402ffff,0x0effffff,0xfffff500,0xfffff88d,0x3ffe2002,0x000002ff,
    0xff803ff5,0x7fff46ff,0x5fffff16,0x9fffd000,0x05ffffc8,0xf913fffa,
    0x7f40bfff,0x7ffe44ff,0x3fffa05f,0xffffc84f,0x7fd44406,0xffe84807,
    0x7fffe44f,0xfffff805,0xffffe802,0x3ff6000f,0xfff81fff,0x3e0806ff,
    0x0806ffff,0x027f4400,0x3a37fff4,0x3ffe5fff,0x320806ff,0x7e41ffff,
    0xff905fff,0xfffc83ff,0xffff905f,0x5ffffc83,0x13ffff60,0x41bffff2,
    0x5fffffda,0xff91b620,0xfffc83ff,0xffff805f,0xfff9802f,0xff1001ff,
    0x3f207fff,0x3602ffff,0x3fffff22,0x9000b602,0xff9001df,0x3ffff8df,
    0x0bfffff2,0x3fffe2d8,0x7fffe42f,0x5fffff05,0x05ffffc8,0xc85fffff,
    0x3605ffff,0xfd85ffff,0xffb86fff,0xdeffffff,0x45ffedcc,0x642fffff,
    0xf805ffff,0x7002ffff,0x200bffff,0x204ffffd,0x2ffffff9,0x7ffcc6c8,
    0x06c82fff,0x800ffcc0,0x3e27fff9,0x3fe60fff,0x6c82ffff,0x3bffffe2,
    0xfffffd99,0xfffff886,0xffffd99e,0xffff886f,0xfffd99ef,0x3ff206ff,
    0x7ffdc5ff,0x30de86ff,0xfffffffd,0x7c47ffff,0xd99effff,0x806fffff,
    0x003fffff,0x09fffff7,0x03ffffb8,0xffffffc8,0xc81fecbd,0xbdffffff,
    0x22001fec,0x7e4004fe,0x7fff31ff,0xffffff90,0xe83fd97b,0xefffffff,
    0x5afffffd,0x7ffffff4,0xfffffdef,0x7ffff45a,0xfffdefff,0xff985aff,
    0xefb9afff,0x7cc7ffff,0x3ffffe22,0x86ffffff,0xfffffffe,0xafffffde,
    0xfffff105,0xb37f5007,0x2217bfff,0x01efffeb,0x3fffff20,0x3201ffff,
    0xffffffff,0x77e4001f,0xdffc8000,0x3203ffd8,0xffffffff,0xffffb81f,
    0xffff14ff,0xfffb83ff,0xfff14fff,0xffb83fff,0xff14ffff,0x3203ffff,
    0xafffffff,0x41fffffc,0xbefd99de,0xffffffff,0xfffffb82,0xfffff14f,
    0x3ffee03f,0x3e600eff,0x7fffe444,0x01cfffff,0xfffff700,0xff70039d,
    0x0039dfff,0x0002ff98,0x077bfb66,0x3ffffee0,0x3fae01ce,0x7ff542df,
    0xbffd701e,0x1effea85,0x85bffd70,0x401effea,0x91fffffd,0x4bffffff,
    0x30efffe9,0x03dffffd,0x216fff5c,0x881effea,0xffffffff,0x880bd03f,
    0x001abca9,0x002ea200,0x0005d440,0x00001310,0x17510000,0x08801800,
    0x01100300,0x00220060,0x0000aa88,0xbb9805cc,0x22006001,0x22000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02666660,0x0002dc40,
    0x31001dd5,0x40001333,0x00099998,0x1cccc980,0x2b76a200,0x13b60000,
    0x0002dc40,0x980013b6,0x10009999,0x20133333,0x8804cccb,0x3005501a,
    0x00171017,0xfffff300,0x7ffda803,0x09ff1000,0x3ffffea0,0xfff50000,
    0xe80001ff,0x5005ffff,0x01ffffff,0x801ff700,0x0007ffda,0x40003fee,
    0x01fffff9,0x0bffff90,0x0fffffe6,0x745fff88,0x3ff206ff,0x0fffe61f,
    0xffff7000,0x7ff74c03,0xdf90007f,0x7ffd4001,0x3ea0002f,0x20002fff,
    0x2ffffffb,0x7f5e7cc0,0x7cc004ff,0x3fba602f,0xf30007ff,0x7e40005f,
    0x3a001fff,0x3f606fff,0x3207ffff,0xff50ffff,0x3ffe05ff,0x1ffff65f,
    0x3fffd000,0x03fff400,0x000ffd40,0x002fffd4,0x017ffea0,0x7ffffc40,
    0x206c06ff,0x74006fff,0x3ffa005f,0x0bfd0007,0x1fffe800,0x3bffe600,
    0xfffff500,0x3ff207ff,0xffff50ff,0xbffff105,0x003fffec,0x005fff30,
    0x4007ffe8,0x20004ff8,0x0000fffb,0x0007ffdc,0x74c77fe4,0x7ec002ff,
    0x3fee003f,0x1fffa000,0x003fee00,0x01fff980,0x0077fe40,0x3feebffd,
    0x5fff880f,0xf903fff4,0x7ffd43ff,0x3fee0003,0x7ffe8002,0x0077e400,
    0x00bfee00,0x00bfee00,0x441bff10,0x3e6006fe,0x3fe6003f,0x3fff4003,
    0x00ffe600,0x005ff900,0x5c01dfd0,0x27fd43ff,0x05501b88,0x37101730,
    0x02fe8000,0x00fffd00,0x0000ffd4,0x00005fb8,0xfd800bf9,0x805fb104,
    0x01efffc9,0xd000bfd0,0xfe800fff,0x2fe80005,0x00ef9800,0x7cc0bfe2,
    0x0000000f,0x32200000,0x3ffa0002,0x09fd1007,0x004b8000,0x88012e00,
    0x405c802c,0x0fffffea,0x0007fdc0,0x7003fff4,0x880001ff,0x1930002c,
    0x4400c980,0x0000003d,0x00000000,0x803fff40,0x00000efc,0x00000000,
    0xd5000000,0x7cc07fff,0xffd0003f,0x0ffe600f,0x00000000,0x98000000,
    0x40009bca,0x00accba9,0x99999988,0x26666620,0x1fffa009,0x800bfea0,
    0x09999998,0x26666662,0x37953000,0x5e54c000,0x3fe20001,0x017fa04f,
    0x007ffe80,0x20000bfd,0x3001bca9,0x01333333,0x4ccccccc,0xdffe8800,
    0xfb801efe,0x3fffffef,0x7ffffe40,0x3fffea4f,0x3ffa06ff,0x027f4407,
    0x3fffff20,0x3fffea4f,0x7fcc06ff,0x01dffeef,0xfddfff30,0xfb0003bf,
    0x03fee05f,0x07ffe800,0x0000ffb8,0x7f77ffcc,0xffd101df,0x2205ffff,
    0x2ffffffe,0x8877fd40,0xfd302fff,0x7fffdc1b,0x7fffc402,0xffffe84f,
    0x01fffa06,0x10001df9,0xd09fffff,0x540dffff,0x3fee2fff,0x7ffd403f,
    0x20fffee2,0x0efb82a8,0x0003ff98,0x2603fff4,0x540003ff,0x3fee2fff,
    0x3ffea03f,0x7fd402ff,0x3e602fff,0x7ffdc2ff,0xe83fff80,0x7401ffff,
    0xfc84ffff,0x3fe06fff,0x5ff300ff,0x7fff4000,0xffffc84f,0x0bfff706,
    0x2e05fffd,0xffe85fff,0x0effe42f,0x17fa03fd,0x3fffe000,0x0017fa00,
    0xd0bfff70,0x3e205fff,0x4402ffff,0x202fffff,0xff987ffe,0x3fffd44f,
    0x027fffec,0x213ffffa,0x4c6ffffc,0xcdffffdc,0x0013fa20,0x09ffffd0,
    0x20dffff9,0xfb83ffff,0xfff80fff,0xffffb83f,0x3bfffa60,0x1ff700cf,
    0x3f726000,0x5c0cdfff,0x7c0000ff,0xffb83fff,0xffff00ff,0xffff005f,
    0x3ffee05f,0x0ffff886,0x90bffff6,0xe80bffff,0xfc84ffff,0x4cc46fff,
    0x64199999,0x7ed440ff,0xfffd00ad,0xffff909f,0x5ffff70d,0x87ffff50,
    0xa82ffffb,0x9883ffff,0x1ffc401a,0x26227ec0,0x41999999,0xfd803ff8,
    0x2ffffb84,0x03ffffa8,0x005fffff,0x205fffff,0xf885fffe,0x3fea1fff,
    0x7ffe41ff,0x7fff405f,0xffffc84f,0x3fe60006,0xfffffe82,0xffffe80f,
    0x6ffffc84,0x81fffff8,0x7c5ffffa,0xfa81ffff,0x40005fff,0xffb805fe,
    0x2ff40004,0x7c27fdc0,0xfa81ffff,0xfff05fff,0xfff005ff,0x3ffe05ff,
    0xffff884f,0x221f75c2,0x405ffffd,0xc84ffffe,0x0006ffff,0x9f709fd1,
    0xd09ffffb,0xf909ffff,0xff88dfff,0xff981fff,0x3ffe26ff,0xfff981ff,
    0x3ee0006f,0x7ffd400f,0x3fee0004,0x27ffd400,0x07ffffe2,0x41bfffe6,
    0x802fffff,0x982fffff,0xffffffff,0x04ffffff,0xfffffb88,0x7fff405f,
    0xffffc84f,0x1ff90006,0x3fe60e88,0xffffe87f,0x6ffffc84,0x07ffffd4,
    0x87ffffcc,0x80fffffa,0x00fffff9,0x403ff880,0x004ffff9,0x9807ff10,
    0x7d44ffff,0xf980ffff,0xff80ffff,0xff802fff,0xffa82fff,0x99999eff,
    0x22009999,0xfffcbffb,0x7fff405f,0xffffc84f,0x2ff98006,0x217ffa00,
    0xc84ffffe,0x7dc6ffff,0xf980ffff,0xff72ffff,0xff301fff,0xd0005fff,
    0xfbf880bf,0xfd0004ff,0xffbf880b,0x7fffdc4f,0xffff980f,0xfffff82f,
    0xfffff802,0x7ffffa82,0x7ffd4000,0x0bffff92,0x84ffffe8,0x006ffffc,
    0x74005fe8,0xfffe82ff,0xffffc84f,0x7ffffdc6,0xfffff980,0x1fffff72,
    0x5fffff30,0x00ffb800,0x27ffd7a2,0x007fdc00,0x13ffebd1,0x01fffff7,
    0x05fffff3,0x005fffff,0x305fffff,0x001fffff,0x43fffb10,0x405ffffc,
    0xc84ffffe,0x4006ffff,0x22000ffc,0xfffd06ff,0xffff909f,0xfffffa8d,
    0xfffffa80,0x1fffff51,0x3fffff50,0x01ffc400,0x04fff9b6,0x201ffc40,
    0x513ffe6d,0x501fffff,0xf03fffff,0xf005ffff,0xf105ffff,0x0005ffff,
    0xfc89fffd,0x7f405fff,0xffc84fff,0x3e6006ff,0x7fdc002f,0x9ffffd00,
    0x8dffff90,0x80fffff8,0x10fffffa,0x501fffff,0x001fffff,0x3b2037f4,
    0x0013ffe0,0x0ec80dfd,0xff113ffe,0xff501fff,0xfff01fff,0xfff005ff,
    0x3ffe05ff,0x320806ff,0x7e41ffff,0x7ec05fff,0xffc84fff,0x3fa006ff,
    0x0ffcc005,0x09ffffb0,0xf0dffff9,0xf503ffff,0xfff8dfff,0xfffa81ff,
    0x3fee006f,0x266bee00,0x001cfff9,0x7dc01ff7,0xcfff999a,0x0fffffc1,
    0x837fffd4,0x802fffff,0x902fffff,0x405fffff,0x3ffffe2d,0x2ffffe42,
    0x17ffff60,0x01bffff6,0x10007fe4,0x7ec081dd,0xffd85fff,0xfffb86ff,
    0xffffb82f,0x17fffdc3,0x01ffffdc,0x6403ff88,0xffffffff,0x3ff8807f,
    0x7ffffe40,0x7dc7ffff,0xffb82fff,0xffff03ff,0xffff005f,0x3ffe605f,
    0x26c82fff,0x9efffff8,0x6fffffd9,0x2ffffe40,0x1bffffee,0x000bfe60,
    0x644c81dd,0x7dc5ffff,0xff06ffff,0xfff907ff,0x0ffffe0d,0x801bfff2,
    0xffc806fd,0x7fffffff,0xc806fd80,0xffffffff,0x3ffff87f,0x206fffc8,
    0x803fffff,0x203fffff,0xdffffffc,0x7f41fecb,0xdeffffff,0x05afffff,
    0x35fffff3,0xfffffdf7,0x800bfd00,0xfffffffd,0x7ffffcc3,0xfffefb9a,
    0xdfff507f,0x205ffff0,0xff86fffa,0xff7002ff,0x7ffc0001,0x00ffb804,
    0x413ffe00,0xff86fffa,0xfff102ff,0xff8807ff,0x7e403fff,0xffffffff,
    0xfffffb81,0xfffff14f,0x7ffe403f,0xffcaffff,0x3f201fff,0x3ff6000f,
    0x81ffffff,0xfffffffc,0x1fffffca,0x647fff50,0x7d401fff,0x3fff23ff,
    0x07ff1001,0x04fff800,0x0001ffc4,0xfa813ffe,0x3fff23ff,0x3fffee01,
    0x3fee00ef,0x5c00efff,0x1cefffff,0x0b7ffae0,0x003dffd5,0x23fffffb,
    0x5ffffffc,0x2002ff98,0xfffffffb,0x3fff607f,0xffff91ff,0x3fa60bff,
    0x00dfffff,0xfffffd30,0x7ec001bf,0xfff80006,0x0037ec04,0x2027ffc0,
    0xffffffe9,0xffff100d,0x887fffff,0xffffffff,0x0ba8803f,0x04400c00,
    0x002aa200,0x00033100,0x15510000,0xbb980000,0x5dcc0001,0x01330001,
    0x99800000,0x00000000,0x00006ee6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x39bdb950,0x65d40000,0x44001901,0x0bcdedca,0x01fea000,
    0x00737726,0x24072ea0,0x01333330,0x00133331,0x20017b50,0x012201d8,
    0x0b3772a0,0xdb951000,0x000059bd,0x55555555,0x00015555,0xffeffe98,
    0xd80004ff,0x2e2effff,0xffd8800f,0x4fffebbe,0x40bfb000,0xffdcffd8,
    0xfffb000c,0xf03dc5df,0xfd05ffff,0xd8009fff,0x7000ffff,0x0efb83df,
    0xffffd500,0x98003dff,0xfeeffffc,0x8000cfff,0xfffffff9,0x000fffff,
    0x543bfea0,0x0004ffff,0x3fffffee,0x8807feff,0x3a20fffe,0xf8004fff,
    0x5ffd102f,0x20077fd4,0xfffffffc,0x3fe06fef,0xffe82fff,0x3e2004ff,
    0x2003ffff,0x2eeacffa,0x3fffee00,0x00ffffff,0x015bff90,0x007ffd73,
    0xffffffc8,0x004fffff,0x90bffe20,0x0001ffff,0x3ffffffe,0x4403ffff,
    0xfc84ffff,0x2a002fff,0xffe880ff,0x206fff86,0xfffffff8,0x3e03ffff,
    0xfe82ffff,0x2a004fff,0x004fffff,0x002fffcc,0x3fffffee,0x405fffff,
    0x2000dfe9,0xf000dfe9,0xffffffff,0x40003fff,0x7cc0fffd,0x88002fff,
    0xffffb52f,0xfff700bf,0xffff707f,0x82fe400b,0xfe84fffb,0x25f302ff,
    0x5fffffda,0x17ffffc0,0x027ffff4,0x07ffffe0,0xffffd880,0x17bf1001,
    0xffffff93,0x0ffe201f,0x00efc800,0x7fffffcc,0x006fffff,0x40ffffc0,
    0x8001ffff,0x0cda8859,0x7ffffb00,0x0dffff70,0xff81ffc0,0xfffd83ff,
    0xb510b306,0xffff0019,0xffffd05f,0xffea8009,0x3bf91004,0xb005fff5,
    0x3fffe20b,0x03fd01ff,0x4220554c,0x67e405fb,0xcccccccc,0x3e20002c,
    0xffd83fff,0x00000007,0x05ffffd0,0x00dffff5,0x3ea03fe6,0xffc82fff,
    0x000001ff,0x417ffffc,0x004ffffe,0x3e200130,0x17ffec2e,0xffc80910,
    0x3fc80fff,0xdcdffd88,0x3f62ecdf,0x00017e03,0x7fffcc00,0x002fff86,
    0xfd000000,0xff505fff,0x3f200bff,0x5ffff706,0x07ffff90,0xfff80000,
    0xfffe82ff,0x0000004f,0x3fffe605,0x3fe20000,0x85f986ff,0x5c41fffb,
    0x03fa22ff,0x00000bea,0x7ffffc40,0x0013fee1,0xaccba980,0xfffff000,
    0x3ffff705,0x6c0ffa00,0xfc82ffff,0xa9805fff,0x3fe001bc,0xffe82fff,
    0x000004ff,0x5fffd800,0x3ffe2000,0x5c1fc82f,0x3ee00fff,0x7ec1fd42,
    0x000009bc,0x67ffffc0,0x0001efe9,0xfffdff70,0xfff007ff,0xfffd05ff,
    0x07fe6007,0x417ffff4,0x207ffffc,0xffeefff9,0x7fffc01d,0xffffe82f,
    0x00170004,0xddffdb98,0x0003ffff,0xf107fff5,0x04fff88d,0x446f82f8,
    0xefffffff,0xfd800003,0x02efffff,0x1bfd3000,0x017fffdc,0xb8bffffe,
    0x2000befe,0x3ffe06fb,0xfffc82ff,0xfffa80ff,0x80fffee2,0xe82fffff,
    0x0004ffff,0x7fd4001d,0xfffebadf,0xffb0007f,0xfb0bea05,0x035003ff,
    0x7ffd43f9,0x2effffff,0x3fee0000,0x3a606fff,0x84eeeeee,0xffe83fff,
    0x3ffe01ff,0x3fff22ff,0x13fa002d,0x17ffffc4,0x0fffffe4,0x3a17ffee,
    0xfff02fff,0xfffd05ff,0x1f10009f,0x3fffea00,0x3ffffe20,0x7ffe4002,
    0xff81f704,0x2a0000ff,0x3ffff62f,0xefffffff,0x7f4c0001,0x202fffff,
    0x0befffea,0x6c3fffd4,0x3e04ffff,0xfb82ffff,0xff8806ff,0xfffff301,
    0xfffff905,0x83ffff83,0xf80ffffb,0xfe82ffff,0xc8004fff,0xffff1007,
    0xbffffb07,0xfffd7100,0x47c81dff,0x0007fff9,0xfff89fcc,0xffffffff,
    0x98000fff,0xffffdefe,0x3fea00ff,0xffffb00e,0x5ffffc85,0x0bffffe0,
    0x201ffff4,0x3fee07fb,0xffc82fff,0x3fee2fff,0xfffa82ff,0xfffff83f,
    0x4ffffe82,0x013f2002,0x40ffffe4,0x407ffffb,0xfffffff8,0x51f61fff,
    0x8000dfff,0xffff74f8,0xffffffff,0xfc800bff,0xfffff13f,0x0ffcc0bf,
    0x83ffff50,0x205ffffc,0x902fffff,0x6c03ffff,0x3ffee04f,0xfffc82ff,
    0x3fffe2ff,0xffffa81f,0x2fffff85,0x24ffffe8,0x1ffb100e,0x3ffffe00,
    0xfffffa81,0x7ff54400,0x365fffff,0x03fffd47,0x2213e200,0xffffeba9,
    0x8803ffff,0x7fdc5ffd,0xf903ffff,0x87dd7009,0x05ffffd8,0x40bffffe,
    0x103ffffc,0x7fd405ff,0xffc82fff,0xfff10fff,0xfff303ff,0xffff88df,
    0x7fffe44f,0x3a60f16f,0xff3005ff,0xff501fff,0x54003fff,0x1fffffff,
    0x7ffcc1f9,0x3e60000f,0xfff93003,0xfb00bfff,0xfffd05ff,0x1dd05fff,
    0x3fee2000,0x3e05ffff,0xf902ffff,0x3ea0bfff,0x7fffcc07,0xffffc82f,
    0x3ffffea7,0xfffff980,0x3ffffe20,0xffefd9ae,0xa84dcfff,0x5001ffff,
    0x501fffff,0x005fffff,0xffffff98,0xfff83f72,0x3ea0000f,0x7ff44002,
    0x7fd407ff,0xfff981ff,0x3ee1ffff,0xffb88001,0x05ffffcb,0x40bffffe,
    0xb06ffffc,0xfff880bf,0xfffc82ff,0x3fffee6f,0xffff980f,0x3fffe22f,
    0xf89effff,0x40ffffff,0x006ffffa,0x03ffffee,0x0bffffea,0x3fffea00,
    0xfd87f53f,0x360003ff,0xfe88000f,0x3fe01fff,0xff903fff,0xf31dffff,
    0xfff50009,0x17ffff25,0x02fffff8,0x20fffff9,0xfff802ff,0xfffc82ff,
    0x3fffee5f,0xffff980f,0x3fbbe62f,0x3ea0dfff,0xfe81efff,0x2e002fff,
    0xa80fffff,0x000fffff,0x45ffffb0,0x3fffc46e,0x02fc41c0,0x1ffff100,
    0x3ffffe20,0x3ffff606,0x4006eeff,0x321fffd8,0x3e05ffff,0xf902ffff,
    0xff50ffff,0xffffd001,0x9ffff905,0x07ffffd4,0x0fffffd4,0x02aeadf5,
    0xff301ba8,0xbd503fff,0x7ffffcc3,0x7ffffa80,0x3ffe6000,0xf50bee1f,
    0x426c0bff,0x640002fb,0x3fea06ff,0xd100ffff,0x3fffffff,0x4fffe800,
    0x02ffffe4,0x205fffff,0xc85ffffb,0xfff9005f,0xffff905f,0x7ffffc47,
    0xfffffa80,0x0001ff20,0x1fffff70,0x7c7fff88,0xfa80ffff,0x40006fff,
    0x77c47fff,0x5f7ff4c0,0xf882eca9,0xffa80006,0x3fffe604,0x3fe205ff,
    0x01efffff,0x1ffffc81,0x02ffffe4,0x205fffff,0xf84ffff9,0xfff3003f,
    0xffff907f,0x1fffff81,0x46ffffa8,0x00000ffd,0x03fffff6,0x743ffff3,
    0xfa81ffff,0x40004fff,0x5fa85ffe,0x59ddb950,0x0007fa01,0x880bfe20,
    0x5fffffff,0x3ffffe60,0x07443fff,0xc85fffff,0x3e05ffff,0x9912ffff,
    0x261ffffc,0x3f6000ff,0xfffd84ff,0x2ffffb84,0x43ffffb8,0x00002fff,
    0x07ffffee,0xfc87fffe,0xffb82fff,0x05dc42ff,0x403ffe20,0xd80004fd,
    0x0179303f,0xfb00ff50,0x1bffffff,0xfffffd30,0x7f77dfff,0x77ffffc4,
    0xfffffd99,0x3ffffe06,0x3f29ffb2,0x037e40ff,0x213ffea0,0xff00ffff,
    0xfff907ff,0x04fff88d,0x3ffea000,0x7ffc82ff,0x41ffff44,0xff86fffc,
    0x3fea01ff,0x037fa202,0x417fa600,0x404ffff8,0xff8802fe,0xefffffff,
    0xffdffdcb,0xffffffff,0xfffffe86,0xffffdeff,0xffff85af,0x2e9ffd2f,
    0x03fe82ff,0x4c7ffc80,0x3ea03fff,0xffff86ff,0x037ffd42,0x3fff6000,
    0x83ff986f,0xff85fff8,0x7ffcc1ff,0x0bfb03ff,0x002fff20,0xa80fff22,
    0x82efffff,0x3e6003fb,0xffffffff,0xfd30cfff,0x1dffffff,0xffffff70,
    0x3ffffe29,0x7fffdc1f,0xd3bff52f,0x03ff309f,0x44fff200,0xfa803ffd,
    0x3fff23ff,0x05fffa81,0x7ff44000,0xbfb11eff,0x917ffcc0,0x3f605fff,
    0xc9beffff,0x7d4002ff,0xa99aadff,0x801effdb,0xdffffffe,0x8002ffcb,
    0xffffffc8,0xff900cff,0x5c01bfff,0x7542dffe,0x7fec1eff,0x36e2ffff,
    0xdf702dff,0xffeb8000,0x26002eff,0xdffffffe,0x05fff100,0x3fee0000,
    0x02efefff,0xffffec98,0x3f6601be,0xcfffffff,0x3f6a0000,0xdfffffff,
    0x3ff62001,0x0bceffff,0x654c4000,0x7310009b,0x400c0015,0x01000008,
    0x00005970,0x00002ae2,0x22003773,0x4000001b,0x01abba98,0x00155100,
    0x09acaa88,0x54c40000,0x00009abc,0x002aeaa2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2ea20000,0x2a2002dc,0x02cdeedc,0x55555500,0x55555555,0x65d44055,
    0x98001acd,0x33001cdb,0x44133333,0x5c4001ca,0x441cdeec,0x4405cc04,
    0x4ec8000b,0xaa98bd70,0xaaaaaaaa,0x2aaa202a,0x300aaaaa,0x039bddb9,
    0xfd05edc4,0xd9800009,0x3000adff,0xfddffff9,0x40019fff,0xffffffff,
    0x4fffffff,0xf9bfff70,0xf9003bff,0x1bfff9df,0x3ffffa20,0xfffe8aff,
    0x7d400cff,0xeffdceff,0x3f205c9b,0x3ffea1ff,0x81ffc003,0x7ff545fd,
    0xceffffff,0x3ff72202,0x6cc0efff,0xfffffbdf,0xffffe81d,0x0000df70,
    0x0077ffaa,0x015bff90,0x007ffd73,0xfffffff1,0xffffffff,0x0efff885,
    0x80bfff62,0x3fe64ffc,0x3fee01ef,0xfefebfff,0x3604ffff,0xffa81dff,
    0xfff105ff,0x37ffecbf,0x205ff300,0xfff704ff,0x3000dfff,0xff107fff,
    0x7fffe443,0x3fffe60f,0x003ff33f,0x03fffd80,0x006ff4c0,0x401bfd30,
    0xfffffffa,0x7fffffff,0x883fffe8,0xfb80ffff,0x7ffec0ff,0xffff100f,
    0x3fa61bff,0xffb82fff,0x2ffec407,0x25ffff88,0x2007fffe,0xff880ffa,
    0x3ffffa02,0x5ff0006f,0x3a07ffa0,0x3ee6ffff,0x3fa6ffff,0xffd10003,
    0xff88007f,0x3bf20003,0xfffff900,0xffffffff,0xffffc89f,0x89fffb00,
    0xf987fffa,0xff105fff,0xf981ffff,0x3e20ffff,0xfe8803ff,0x87fff205,
    0x2003fffa,0x1ff507fc,0x7ffffd40,0x2fc4001f,0xb84fff98,0xf71fffff,
    0x7e4bffff,0xfff88006,0x9fe8004f,0x19999998,0xfd05fb80,0xddddffff,
    0xe85fffdd,0xf901ffff,0xfffe8dff,0xfffff886,0x7fffff01,0x93ffffa0,
    0x3002fffb,0x80b980bf,0x7f4001b8,0xf00ff705,0x00bfffff,0xff701fb8,
    0xffff50ff,0x3fffea7f,0x003fe64f,0x00bfffd0,0x3fa67f90,0xfffeefff,
    0x443fd81c,0xff800bff,0x7ffffc47,0x8ffff904,0xff06ffff,0x3fe09fff,
    0xff902fff,0x7ffecbff,0x00176005,0x0ffe0000,0x7dc02fec,0x000fffff,
    0xfffa817a,0x7fffcc0f,0xfffff13f,0x2003ff85,0x001ffffc,0x7ffc2fcc,
    0x5fffb30f,0x3ea0fe88,0x0bff5001,0x20ffffff,0x3e64fffc,0xffd06fff,
    0x3ffe0fff,0xfff702ff,0x7ffff4ff,0x000d5004,0x2ff98000,0xf1009ff0,
    0x007fffff,0xfff007e6,0xfffff50d,0x07ffffc3,0x7d4017f2,0xc8006fff,
    0x0fffe81f,0x2a1fffe6,0xc800aa3f,0xfffd82ff,0xfffe85ff,0x1ffffee1,
    0x0fffffec,0x817ffffc,0xb0fffffb,0x019fffff,0x32a60090,0xaaa8801b,
    0xaaabffca,0x02acffba,0x3fffffe4,0x55006d80,0x1ffffee0,0xf50ffffb,
    0xfffb001f,0x6f88007f,0xe81fffb0,0x06f81fff,0x5c1ffe00,0x0dffffff,
    0xfc8dfff1,0xff907fff,0xfff03fff,0x3fea05ff,0xfff71fff,0x0007ffff,
    0xfeefff98,0xfff301df,0xffffffff,0x0fffffff,0xffffff98,0x0017c402,
    0x27fffec0,0x7c17ffee,0x7ffcc02f,0xacdca8ff,0x3605f500,0x7ff40fff,
    0x001fc81f,0xf305ffa8,0x3dffffff,0xff909ff9,0xff701fff,0xfff05fff,
    0x3fea05ff,0xfff31fff,0x05dfffff,0x45fff500,0xf983fffb,0xffffffff,
    0xffffffff,0xffffd807,0x0036406f,0x37fffc40,0xd81fffcc,0x7ffe405f,
    0xffffffff,0xb00fb82f,0x7fcc1fff,0x005f507f,0x5405ff90,0xffffffff,
    0xfff502ff,0xfff703ff,0xffff05ff,0x3ffea05f,0x3fff20ff,0x1effffff,
    0x0bfff700,0xf005fffd,0x017f607f,0xffffff50,0x000fe203,0x037fff20,
    0x5407ffe2,0x7fffc07f,0xfffcacff,0xb03e44ff,0x3f621fff,0x07f303ff,
    0x801fff00,0xfffffffa,0xfff300ef,0xfff709ff,0xffff03ff,0x3ffee05f,
    0xffffd86f,0x0dffffff,0x41ffffc0,0x200ffffb,0x9ff02ff9,0xffffd000,
    0x003ee09f,0x00fffe00,0x7fc40ffd,0xfffff102,0xfffffa87,0xffd81f61,
    0x1efffccf,0x30013e20,0x3e600bff,0xffffffff,0xdffffd01,0x1fffff90,
    0x05fffff0,0x217fffee,0xffffffe8,0x701fffff,0xf505ffff,0x7d407fff,
    0x02ff880f,0xfffffb80,0x0004e80f,0xc801ffb8,0x827ec05f,0x83fffff9,
    0x366fffff,0x2ffff607,0x4401fffe,0x7fe4004f,0x3fff2002,0x81ffffff,
    0x43fffff9,0xf07ffffd,0x3605ffff,0x3203ffff,0xffffffff,0xfff82fff,
    0xfffa81ff,0x41ff205f,0x88000ffa,0x43ffffff,0xe80000fa,0x09f7001f,
    0xff507fb8,0xff905fff,0x03f21fff,0x7d47ffec,0x1fcc05ff,0x003ffe00,
    0x3ff3bfea,0x80efffff,0xcefffffb,0x05ffffff,0x209fffff,0x400fffff,
    0xffffffd9,0x3e21ffff,0xf981ffff,0x3fa06fff,0x000ff705,0x37ffffe4,
    0x2200017a,0x0fe6001f,0xf703ff10,0xf305ffff,0x3ee5ffff,0x21fffb01,
    0x2a01fffe,0x3fe6002f,0x1fffc805,0xfffffff7,0x3fffa607,0xfffffdff,
    0xffffff02,0x1ffffb89,0x3fffa600,0x2a5fffff,0x980fffff,0x260fffff,
    0x999cff99,0x999efd99,0x3ffe6001,0x03f32fff,0x800d3000,0x4fe802f8,
    0x2fffffa8,0x3fffff88,0x3ff607f5,0x0dfff30f,0xf90007ec,0xfffb805f,
    0x7ffffd46,0x55d4406f,0x07ffffa8,0x3f3ffffe,0x3ffffdce,0xffea8018,
    0xf70fffff,0xf301ffff,0x3e65ffff,0xffffffff,0xffffffff,0x7ffec007,
    0x000db5ff,0x3e001260,0x886fb801,0x883fffff,0x3a3fffff,0x41fffb06,
    0xf882fffd,0x07ffc005,0x213fffa0,0x0ffffffa,0x7fffec00,0x3ffffe04,
    0xeffffe8a,0x2e001f03,0x72ffffff,0x301fffff,0x265fffff,0xffffffff,
    0xffffffff,0x7fd4007f,0x02faffff,0x00031000,0x07fe6005,0x413ffffe,
    0x2e2fffff,0x2ffff82f,0x703fffe2,0x7fcc005f,0x7fffc405,0xfffffb03,
    0x7ffc4005,0x3ffe00ff,0x02ea22ff,0x7d4005f0,0xff53ffff,0xff501fff,
    0x2aa23fff,0xaaaaaffd,0x2aaabffc,0xffffe800,0x000006ff,0x7f400000,
    0x5ffffd83,0x41fffff0,0xff710ef8,0x3f215dff,0x0df10dff,0x402ffc80,
    0x502ffffb,0x005fffff,0x017fffdc,0x00bffffe,0x2e002fc0,0xff11ffff,
    0xff501fff,0xbfd01fff,0x0001ff20,0x7fffffdc,0x00000003,0x437e4000,
    0xf05ffffc,0xbf50dfff,0x3333332e,0x5999911c,0xfd0007fa,0xfffb801f,
    0xffff102f,0x3fa2001f,0xfff804ff,0xff0002ff,0x7ffc4001,0x3ffffe0f,
    0x6ffffa81,0x3f607ff0,0xff100005,0x0000ffff,0x3000e5c4,0x3fe6005b,
    0x3ffffcc0,0xb04ffff8,0xfb00009f,0x5ff98007,0x4ffff980,0x01ffffa0,
    0x02ffff44,0x02fffff8,0x800dff00,0x7fdc6fff,0xfffb82ff,0x02ff983f,
    0x400009ff,0x004ffffc,0x7ffff100,0x0ffffb00,0x3f20ffe0,0x7fc41fff,
    0xbfd100ff,0xbfd30001,0x07ff9000,0x0bffff10,0x00bfffe2,0x00ffffa2,
    0x02fffff8,0x009fff00,0x3e07ffee,0xffc83fff,0x01ff506f,0x00005ff3,
    0x007fffcc,0xffffb800,0x7fffc407,0x85fc802f,0x544fffe8,0xfc801fff,
    0xfc8800bf,0xffd0003f,0x3ffea001,0x5fffb81f,0x2fffe880,0x3fffe200,
    0xfff0002f,0xfff8019f,0x0dfff503,0x3205ffff,0x01ff506f,0x4ffd8000,
    0x3ff60000,0x3ea01fff,0xa805ffff,0xffe880ff,0x03ffd12f,0x56fffd40,
    0xffdba99a,0xff30001e,0xfffb800d,0x37ffaa0e,0x3bff6600,0x7fcc000b,
    0xf0003fff,0x815fffff,0x5403ffd8,0x3ff23fff,0x417fa01f,0x800007fc,
    0x00001ffa,0x01bfffee,0x05fffff1,0xda80bfe0,0x01cffeff,0xffffb500,
    0x003bffff,0x003ffc80,0xfefffd88,0xd7101eff,0x20005bff,0xffffffeb,
    0x46fc001b,0xfeeffeb9,0xd3000dff,0x1bffffff,0xfb03ff80,0x3a00000b,
    0x74400005,0xfb802fff,0x3f6005ff,0x00373005,0x5e54c400,0x7000009a,
    0x44000199,0x4009aba9,0x400009aa,0xaaaaaaa8,0x81c002aa,0x009bcba8,
    0x006ee600,0xcc80e644,0x35000002,0x0a600000,0x80015100,0x000004c9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53100000,0x00135799,0x0de54400,0x55544244,0x002aaaaa,
    0x55555555,0x2aaaaa23,0x000000aa,0x77765cc4,0x02b80acd,0x2aaaaa00,
    0x999882aa,0x44199999,0x00099999,0x6776e5c4,0x5547500a,0xaaaaaaaa,
    0xaaa81aaa,0x402aaaaa,0x001bcca9,0xdffff900,0x09ffffd9,0x3ffae200,
    0xff70efed,0xffffd910,0x95007fff,0x25bfffff,0xfffffec8,0xd3000002,
    0xd9bdffff,0xf315bfff,0x7f640005,0xfb87ffff,0x5fffffff,0x17ffff54,
    0xffffda80,0xbdfffeff,0x3b2e3e88,0xefffffff,0xffdb81bc,0xd302cfff,
    0xffffbfff,0x801fffff,0x40bfffe9,0x02efffb8,0x83bffa20,0x07ffdffd,
    0x7fffffec,0xffd1002f,0x3fffe601,0xc800002f,0x2a03ffff,0x02fffffe,
    0xffffd800,0xfffff507,0x077ec05f,0x7fffec40,0x7fe4c0ae,0xff883fff,
    0x000fffff,0x5c01ffd1,0x3f61efff,0x00ffffff,0x00fffff2,0x01bffff3,
    0x41ffff88,0x07fffff8,0xffffffe8,0x09f5000f,0x17ffffc4,0xffd30000,
    0x3ee001df,0x80002fff,0x207ffffb,0x02fffffc,0x3e600bee,0x8803ffff,
    0xfb03fffd,0x800bffff,0x3fe603fc,0x7ffcc3ff,0x3f60199e,0xf5005fff,
    0xfd80dfff,0xfffb06ff,0xfff900ff,0x200dffff,0x7ffc03f9,0x500002ff,
    0x003fffff,0x002fffa8,0x7ffffb80,0x3ffffe20,0x2a01b205,0x002fffff,
    0xfd81ffec,0x4005ffff,0x3ffe02fb,0xffff80ff,0x7fffdc04,0x7fff4007,
    0xffff304f,0x3ffff209,0xffffc807,0x8805ffff,0x7fffc02f,0xf880002f,
    0x0003ffff,0x00005ff5,0x80fffff7,0x00fffffc,0xfff8807f,0xe88004ff,
    0xffff903f,0x2fa8009f,0x0fffff30,0x881ffffa,0x005fffff,0x0fffffdc,
    0x81ffffdc,0x807ffffb,0xfffffbec,0x0fc403ff,0x0bffffe0,0x3fff6000,
    0x7ec0007f,0xffb80002,0x7fc407ff,0x0f984fff,0x3ffffa20,0x7f30000f,
    0x3fffff20,0x80fd4004,0xd07ffffa,0x3a03ffff,0x002fffff,0x37ffffcc,
    0x817fffec,0x807ffffb,0xfffffb6c,0x0fc403ff,0x0bffffe0,0xffff7000,
    0xf980009f,0xffb80002,0xffc807ff,0x405c87ff,0x04fffffc,0xfc81f400,
    0x4004ffff,0xfff301fa,0x3fff60ff,0xffffa81f,0xff8000ff,0x7fc3ffff,
    0xff701fff,0x4d900fff,0xfffffffe,0xf803f100,0x2e62ffff,0xfff8802c,
    0x80002fff,0x32e2002d,0xfffff70a,0xfffff300,0x7fc02f87,0x0003ffff,
    0xfffc81dc,0x7d4004ff,0x1ffffe01,0xc83ffff4,0x006fffff,0xbfffffb0,
    0x0fffffcc,0x07ffffb8,0x3ffe26c8,0xf106ffff,0xfffff803,0xfffffe8a,
    0xffff700d,0x100003ff,0xfffd7001,0xffff73ff,0x3fffa00f,0xf701aa6f,
    0x003fffff,0x3ff20100,0x54004fff,0x3fff201f,0x4ffff80f,0xdfffffd0,
    0x3fff6000,0x3ffea6ff,0xfff701ff,0x98d900ff,0x4fffffff,0x7fc01f88,
    0xfcefdfff,0xfb05ffff,0x001fffff,0x3fee0000,0xfdfdaaef,0xf5007fff,
    0x1365ffff,0xffffffd0,0x64000001,0x004fffff,0xff300fd4,0xfff985ff,
    0xfffff01f,0x3f2000bf,0xf50fffff,0x2e03ffff,0xc807ffff,0xfffffb86,
    0x00fc43ff,0x8bfffffe,0x84ffffd8,0x07fffffe,0xff300000,0xfffc85ff,
    0x3fa007ff,0x00f8dfff,0x3ffffffc,0x3f200000,0x4004ffff,0x7fcc01fa,
    0xdffb11ef,0x3fffe601,0xf90005ff,0x263fffff,0x702fffff,0x900fffff,
    0x3ffff20d,0x07e21fff,0x07fffff0,0x45fffff1,0x6ffffff8,0xf8800000,
    0xffd06fff,0x7dc00fff,0x405dffff,0x5ffffff8,0x7e400000,0x4004ffff,
    0xfb8801fa,0x04fffdff,0x7fffffd4,0xfff90004,0x3fe25fff,0xff702fff,
    0x0d900fff,0x7fffffec,0xf803f10f,0xfb02ffff,0x7fcc9fff,0x0005ffff,
    0xffffc800,0xfffff703,0x7fffc400,0x7fcc02ff,0x0004ffff,0x7fffe400,
    0x0fd4004f,0xbbabea80,0xffff5000,0x2e0009ff,0x22ffffff,0x704ffffd,
    0x900fffff,0x7fff440d,0x03f15fff,0x02fffff8,0x54dffff9,0x05ffffff,
    0xffd80000,0xfff702ff,0xffc800ff,0xffa807ff,0x0005ffff,0x7fffe400,
    0x0fd4004f,0x0003f620,0xffffff88,0xfff90005,0x7fd43fff,0xfffb07ff,
    0x80d900ff,0xfffffff9,0x7fc01f8c,0xff702fff,0x7ffccfff,0x00006fff,
    0x1fffff80,0x0fffff70,0x4ffff980,0xfffff980,0x4000006f,0x04fffffc,
    0x3e00fd40,0xff80006f,0x0006ffff,0x1ffffff9,0x0dffffe8,0x1ffffff6,
    0x3ea01b20,0xfbffffff,0x7ffffc01,0xfffff502,0x3ffffe23,0xffd8807f,
    0xffffffff,0xfffff12e,0x3fffee03,0xfffd8007,0xffff8801,0x000007ff,
    0x27ffffe4,0xa807ea00,0x0000bfff,0x1bfffffa,0x7fffec00,0xfffe886f,
    0xffcefdff,0x06c807ff,0xffffff90,0xfff803ff,0xfff502ff,0x7fffc3ff,
    0x2e000fff,0x0fffffff,0x0fffffcc,0x07ffffb8,0x006ffa80,0x3ffffffe,
    0x32000000,0x004fffff,0xffb00fd4,0xffffffff,0x3f6059df,0x0007ffff,
    0x0bfffffd,0x3fffff62,0x0fffff74,0x7ec00d90,0x01ffffff,0x817ffffc,
    0x20fffffa,0x1ffffffc,0x7ffffc00,0xffffa83f,0xffff701f,0x0ffa000f,
    0xfffffd80,0x2000001f,0x05fffffc,0xf900fdc0,0xffffffff,0x309fffff,
    0x01ffffff,0xfffff880,0x41b9801f,0x807ffffb,0x3fa2006c,0x401fffff,
    0x502fffff,0xf98dffff,0x002fffff,0x1ffffffc,0x0fffffd4,0x07ffffb8,
    0x4001f700,0x2ffffff9,0x3ee00000,0x4005ffff,0x3fe600fb,0xffffffff,
    0xc84fffff,0x003fffff,0x27ffffcc,0x3ffee000,0x006c807f,0x7fffffc4,
    0x7ffffc01,0x9ffff702,0x7fffffb0,0xffffe800,0xffff982f,0xffff702f,
    0x0132000f,0x3fffffa0,0x2e000005,0x005fffff,0x7fcc03ec,0xffffffff,
    0xf886ffff,0x4006ffff,0x00fffffc,0x7fffdc00,0x8006c807,0x01fffffa,
    0x817ffffc,0x883ffffb,0x006ffffe,0x17fffff4,0x1fffffc4,0x07ffffb8,
    0x8001f804,0x0ffffffa,0xf980e000,0x4006ffff,0xffd9805f,0xfeeedcce,
    0xfb80ffff,0x1001ffff,0x007fffff,0xfffff700,0x2000d900,0x401ffffb,
    0xb02fffff,0x2603ffff,0x002fffff,0x0bfffffa,0x82ffffec,0x107ffffb,
    0x03541bfb,0xfffff900,0x01ee0009,0x01ffffff,0xfb00fee0,0xff91007f,
    0x7fffe40d,0xffff9005,0x3ee00009,0x7d807fff,0x3fff6000,0x7ffffc01,
    0x05fffd03,0x0effffa8,0xfffffd00,0x3fffe605,0x7fffcc2f,0x5fff707f,
    0x36000174,0x003fffff,0x3f2027e4,0xa804ffff,0x37fcc06f,0x807ff100,
    0x404ffffc,0x004ffffb,0x3fffee00,0x001fe807,0xf007ffa0,0xf50dffff,
    0x3a6009ff,0xe800efff,0x202fffff,0x266ffffd,0x2ffffffe,0xd54fffd8,
    0x3ff20000,0x4c00cfff,0xffd002fe,0x7cc09fff,0x7ffcc01f,0x01ff5001,
    0x3bfffd50,0x3fff6e21,0x6400002e,0x100fffff,0x0003dff9,0xff007fe2,
    0x2619ffbf,0xb8005ffe,0x881cffff,0x0cfffffb,0x7ffffec0,0xffffbcfe,
    0x3fea0dff,0x0002fcff,0x3ffffe60,0xfdb9aacf,0x362000df,0xbdffffff,
    0x001fffdb,0x2205dffb,0x4000efca,0xffffffdb,0x0003dfff,0x7fffdd40,
    0xfd50beff,0x0bffffff,0xf803f300,0xfdffb12e,0x440007bf,0xeffffffc,
    0x01cfffff,0x7ffffe40,0x59bfff74,0x5ffffd03,0x36a00000,0xffffffff,
    0x2a0003df,0xfffffffe,0xda8003ef,0xffeeefff,0x440003ef,0x0aabcbaa,
    0xaa880000,0xaaaaaaaa,0xa8000000,0xba981c00,0xa9800001,0x09aabcca,
    0x0ab98000,0xb88002a6,0x8000000a,0x09bcaa98,0x5d440000,0x0001abcc,
    0x9bcaa988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa600,0x21aaaaaa,0xaaaaaaa9,
    0x5102aaaa,0x40155555,0x01b880b9,0x55555440,0xaaaaaaaa,0x55555511,
    0x55555555,0x55555555,0xaaaaaa98,0x199aaaaa,0x55554000,0xaaaaaaaa,
    0xaaaaaaaa,0x1cba802a,0x55510190,0x55555555,0x00133355,0x2aaaaaaa,
    0xaaaa81aa,0x5555512a,0x0e4c0155,0x7fffff54,0x32a2dfff,0xffffffff,
    0xfd9303cf,0x3ee01bff,0x3ffe61ff,0x3b2a2003,0xffffffff,0xfd9511bd,
    0xffffffff,0xffffffff,0xffcb98df,0xffffffff,0x00bdffff,0x3fffb2a0,
    0xffffffff,0xffffffff,0x3ffff600,0x2203ee2e,0xfffffecb,0xffffffff,
    0x3f600cef,0x2dffffff,0x14fffeb8,0x7ffffff9,0x41bfff60,0x4ffffffd,
    0x3ffffe20,0xff1002ff,0x5ffff809,0x001ffff6,0xffffffe8,0xffffe802,
    0xa99999ef,0x206ffffc,0xcffffff9,0xffffca99,0x7ec000cf,0x999fffff,
    0xffffba99,0xffff700f,0x0ffdffff,0xfffffd10,0xfffb533b,0x7dc01dff,
    0x4405ffff,0xfff982ff,0xfff883ff,0xfff982ff,0x7d404fff,0x002fffff,
    0x3ffe01fa,0x1ffff65f,0xffffb800,0xfff9007f,0xfd880dff,0x7fff406f,
    0xffc884ff,0x2e002fff,0x807fffff,0xff00fffb,0xffffffff,0x3ff2009f,
    0xffa84fff,0x3a02ffff,0x4407ffff,0x3fffe05f,0xffffb83f,0xffffb05f,
    0xffff00df,0x27c00bff,0x317ffe40,0x40009fff,0x07fffffa,0xdfffff70,
    0xb01bee00,0x409fffff,0x02fffffc,0xffffff50,0x203fe200,0xfffb53f8,
    0x7dc00bff,0xf504ffff,0x5c0fffff,0x201fffff,0x3ffe01fa,0xfff983ff,
    0xfff502ff,0xfb803fff,0x800fffff,0x173000fa,0x80003710,0x07fffffa,
    0xdfffff70,0x36037400,0x404fffff,0x01fffffe,0x7fffffa8,0x2603ee00,
    0x00cca885,0x7ffffdc0,0x3ffffe04,0xffff102f,0x2036409f,0xb03fffff,
    0xfe80ffff,0x4404ffff,0x03ffffff,0x000005d8,0x7ffd4000,0xff7007ff,
    0x2020dfff,0x7ffec06b,0x7fd404ff,0x5400efff,0x007fffff,0x000003e2,
    0xfffffb80,0x3ffffa04,0x3fff604f,0xf00fe07f,0x5407ffff,0xfffb802c,
    0x7ec00fff,0x4406ffff,0x0000002f,0x7fffd400,0xfff7007f,0x30360dff,
    0xffffd80d,0x7ffc404f,0x7d403fff,0x0a07ffff,0x0000003a,0x4fffffb8,
    0x3fffff60,0x3fffea06,0x401fa82f,0x003fffff,0xfffff100,0xfffa807f,
    0x3ee01fff,0x33333100,0x4cccc413,0xfa800099,0x7007ffff,0x20dfffff,
    0x7ec0280f,0xd804ffff,0x406fffff,0x07fffffa,0x4cc4103e,0x5cc09999,
    0x3fee001b,0x3fa04fff,0x7c04ffff,0x6c85ffff,0x3fffff80,0x3ff60000,
    0x7e406fff,0x204fffff,0x3fff204e,0x3fea4fff,0x8006ffff,0x07fffffa,
    0xdfffff70,0xb0001f10,0x009fffff,0x3ffffff5,0x7ffffd40,0x5c01f307,
    0x35ffffff,0x03dfffff,0x9fffff70,0x3ffffe20,0x7ffe401f,0x401fc0ff,
    0x003fffff,0x3fffe600,0xfff101ff,0x260fffff,0x7ffc401f,0xfffe84ff,
    0xffa8006f,0xf7007fff,0xf90dffff,0xfffb0001,0xff3009ff,0x5409ffff,
    0x907fffff,0xfff8801f,0xffffadff,0xfb806fff,0xfb04ffff,0x3009ffff,
    0x545fffff,0xffff800f,0x7400003f,0x704fffff,0xffffff3f,0x3a00d905,
    0xfc84ffff,0xa8006fff,0x007fffff,0x8dfffff7,0xd8000ff9,0x804fffff,
    0x5ffffff9,0x3ffffea0,0x800ffa87,0xbffffffd,0x3fffff98,0x7ffffdc0,
    0x7fffec44,0x3ffe002f,0x401b65ff,0x003fffff,0x7fffdc00,0xfb5e80ff,
    0x7f0bffff,0x3ffffa00,0x6ffffc84,0xffffa800,0xfff7007f,0xff731dff,
    0xffb0001f,0xf1009fff,0x40dfffff,0x17fffffa,0x001fff95,0x87fffffb,
    0x405ffffc,0xcdfffffb,0xadffffdc,0x7ffe4000,0x2007f0ff,0x003fffff,
    0x7fffc400,0xa8fcc3ff,0x20ffffff,0xffd000fa,0xfff909ff,0xff5000df,
    0x2e00ffff,0xffffffff,0x8000ffff,0x04fffffd,0xfffffff0,0x7ffffd40,
    0xffffffff,0xffffc800,0x6ffffb85,0x7ffffdc0,0xffffffff,0x7cc000ad,
    0x0fabffff,0x7fffff00,0x000bb260,0x8dfffffb,0x7ffffc6c,0xe801763f,
    0xfc84ffff,0xa8006fff,0x007fffff,0x7dfffff7,0x001fffd9,0x9fffffb0,
    0x3ffffe00,0x3ffea07f,0xfffdbfff,0xffc800ff,0xfffb85ff,0x7ffdc07f,
    0xfd7334ff,0x0019ffff,0x6f7ffff4,0x3fffe006,0xffff983f,0xfff3001f,
    0x0fe23fff,0x2dfffff9,0x3fa002f8,0xffc84fff,0xfa8006ff,0x7007ffff,
    0xd8dfffff,0xfd8000ff,0x8804ffff,0x05ffffff,0x9fffffea,0x800ffea8,
    0xb85ffffc,0x5c07ffff,0x884fffff,0x1ffffffe,0x7ffffffc,0xffffffff,
    0xff86ffff,0xffd83fff,0x3a005fff,0xf74fffff,0xfffff981,0x74007b9f,
    0xfc84ffff,0xa8006fff,0x007fffff,0x0dfffff7,0xfb0001fd,0x3009ffff,
    0x09ffffff,0x3fffffd4,0x64007f44,0xfb85ffff,0x7dc07fff,0x3604ffff,
    0x20efffff,0xfccccccc,0xcccfffff,0xfff83ccc,0xfffe83ff,0xf7000fff,
    0x9d1fffff,0x3fffffa0,0x7f4004ec,0xffc84fff,0xfa8006ff,0x7007ffff,
    0x50dfffff,0xffb0001f,0xf5009fff,0x405fffff,0x07fffffa,0xff9001f5,
    0xfff70bff,0xfffb80ff,0x3fea04ff,0xd004ffff,0x800dffff,0xc83fffff,
    0x01ffffff,0xffffff10,0x3fee03fb,0x001fffff,0x427ffff4,0x006ffffc,
    0x6fffffa8,0xfffff700,0x0c01f10d,0x4fffffd8,0xfffffb80,0x3ffea01f,
    0x003e07ff,0x217ffff2,0x407ffffb,0x04fffffb,0x3fffffe2,0xffffd006,
    0xffff800d,0xeffd883f,0x3f6001ff,0x205fffff,0x6ffffff8,0xffffe800,
    0x6ffffc84,0x540cfd98,0x006fffff,0x0dfffff7,0xd825403a,0x804fffff,
    0x06fffffc,0x3fffffd4,0xff9001d0,0xfff70bff,0xfffb80ff,0x7ff404ff,
    0xfd007fff,0xf800dfff,0x2203ffff,0x4c007f88,0x02ffffff,0x1fffffec,
    0x7ffff400,0x6ffffc84,0x544ffff8,0x005fffff,0x0dfffff7,0xfb03d806,
    0xf009ffff,0x803fffff,0x07fffffa,0x7ffe400a,0xffffb85f,0x7fffdc07,
    0x7fff404f,0x3fffe7ff,0xffffffff,0x6fffffff,0x03fffff8,0xe8006fa8,
    0xa807ffff,0x000fffff,0x84ffffd8,0x546ffffc,0x7d47ffff,0x7005ffff,
    0x00dfffff,0xffb02f98,0xfb809fff,0xa804ffff,0x007fffff,0x5ffffc80,
    0x07ffffb8,0x27ffffdc,0xffffff10,0x5555554b,0xaeffffea,0xf82aaaaa,
    0xd803ffff,0xffb8002f,0xfff003ff,0x3f6000bf,0xffd85fff,0x7ffdc6ff,
    0x7fffdc6f,0xfff7003f,0x74400dff,0xffffb00f,0xfffe809f,0xffa800ff,
    0x80007fff,0xb85ffffc,0x5c07ffff,0x204fffff,0x2ffffffa,0xdffffd00,
    0xfffff800,0x002fc403,0x00ffff88,0x005fff90,0x17ffff20,0x8dfffff7,
    0x5c2ffff9,0x000fffff,0x0dfffff7,0xd81ffa20,0x204fffff,0x00effffb,
    0xffffff50,0xfffb0000,0xffff70bf,0xffffc80f,0xfffd104f,0x7f4009ff,
    0x7c006fff,0x2603ffff,0x360000df,0x3e6005ff,0x3e60007f,0xfb9affff,
    0xc87ffffe,0xfffd87ff,0x3ff2002f,0x2200ffff,0x3a06fffb,0xb05fffff,
    0x8009ffff,0x07fffffb,0xffffd800,0x7ffffb86,0x7ffffe40,0xffffe887,
    0x7ffc005f,0x3e2007ff,0xf703ffff,0xff300009,0x04fe8003,0x7fffe400,
    0xfffcafff,0xbffd81ff,0x2ffffb88,0x3fffe600,0xcaacffff,0x5fffffec,
    0xffffff70,0xfffb97bf,0xf88005bf,0x04ffffff,0x3fffe600,0x3ffa21ff,
    0xff302fff,0x97dfffff,0x3bfffffd,0xffffd800,0xff7004ff,0xc981dfff,
    0x1ba00000,0x0007ee00,0x3fffff60,0xffffff91,0xfffff50b,0xd1005bff,
    0xfffffffd,0xffffffff,0x549fffff,0xfffffffe,0xceefffff,0x7f744001,
    0xffffffff,0x3ee003ef,0xbfffffff,0xfffffff9,0xffffd16f,0xffffffff,
    0x00379bdf,0x3ffffba2,0x3effffff,0xffffff88,0x00003fff,0x44000d40,
    0x2a200004,0x5300000a,0x00000379,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x35555553,0x40aa0000,
    0x336a00b9,0xaaaaa980,0x0000001a,0x70000024,0x883bddb9,0xaaaaaaaa,
    0x001aaaaa,0x55550000,0x55555555,0x55555555,0xaa885555,0xaaaaaaaa,
    0x2aaa0001,0x2aaaaaaa,0x55555551,0x33355555,0x75400013,0x005fffff,
    0x646ffe80,0xffc81fff,0x7ff540ff,0x00005fff,0x0007e600,0xb3dfd500,
    0x65445fff,0xfffffffe,0x00001bcf,0xfff97500,0xffffffff,0xffffffff,
    0x765441ff,0x6fffffff,0xffff3000,0x257bffff,0xfffffcb8,0xffffffff,
    0x0001deff,0x00bfffff,0x2ffffa80,0x889ffff1,0xd03fffff,0x000bffff,
    0x02fec000,0x5fff7000,0x441bffee,0x1ffffffe,0x40000000,0xffffeffb,
    0xcaa999df,0x100ffffe,0xfffffffd,0xfff90003,0x8807ffff,0x9cffffff,
    0xffffca99,0xffd8004f,0x540005ff,0xff12ffff,0xfff889ff,0xfffb03ff,
    0x000000bf,0x0003ffe2,0x47fffe60,0x3206fffb,0x006fffff,0xfa800000,
    0x5fffffcc,0x007ffe40,0xfffffdf9,0xfdf8800b,0x800fffff,0x04fffffd,
    0x3dffffd1,0x7fffec00,0xffe80005,0x40fffec6,0xb00ffffd,0x000bffff,
    0x3fff2000,0xffc80004,0x5dfb11ff,0x7ffffe40,0x00000005,0xffff96e8,
    0x1ff500bf,0x7ffdfdc0,0x2e000fff,0xffffffaf,0xffffc800,0x3ffe604f,
    0x3f6006ff,0x00005fff,0x402e6055,0x3201dfc8,0x0005ffff,0xffff8800,
    0xffe80007,0xfc8001ff,0x0005ffff,0x8fdc0000,0x05fffffc,0x7dc01fd0,
    0x4ffffff8,0x3fe77a00,0xc800ffff,0x404fffff,0x03fffffe,0x0bffffb0,
    0x00000000,0x5ffffc80,0xfb800000,0x0003ffff,0x00fffffc,0x7ffffe40,
    0x00000005,0xfffc97e2,0xfb8105ff,0x7fe5ee00,0xf3007fff,0xffffff33,
    0x3ffff200,0x7ffe404f,0xffb005ff,0x00000bff,0xfc800000,0x00005fff,
    0xffffff80,0x3fe20006,0xc8001fff,0x005fffff,0x3f600000,0x3fffff20,
    0x07c45885,0x3ffe2f70,0x6d802fff,0x0ffffff3,0x3fffff20,0x7fffdc04,
    0xfffb006f,0x333330bf,0x26660133,0x33009999,0x20133333,0x4c5ffffc,
    0xa80001bb,0x2fffffff,0x7fccc400,0x0019afff,0x17fffff2,0x54000000,
    0x7fffe42f,0x0285985f,0xffffb3dc,0x33f880df,0x00ffffff,0x13fffff2,
    0xdfffff70,0x3ffff600,0x7ffff445,0xffe884ff,0xe882ffff,0x02ffffff,
    0x26bffff9,0x00efffff,0x3ffb7a00,0x6c005fff,0xffffffff,0x3ff2007f,
    0x00005fff,0xc85e8800,0xb85fffff,0x2a7b8005,0x01ffffff,0xffff99ee,
    0xfff9007f,0xffd809ff,0xfb004fff,0x3ea0bfff,0xffa803ff,0x3ea02fff,
    0xf902ffff,0xfff5bfff,0x000dffff,0x3ffea7e6,0x32001fff,0xefffffee,
    0x3ff2005e,0x00005fff,0xc80fc800,0xf85fffff,0x747b8005,0x205fffff,
    0x3fffe64f,0xfff9007f,0xfff809ff,0xfb002fff,0x3e60bfff,0xfff1001f,
    0x7fc405ff,0xff902fff,0xf117ffff,0x0007ffff,0x7ffffcdb,0xff88004f,
    0xc8001fff,0x005fffff,0x1fcc0000,0x5fffffc8,0x5c002fe4,0x7ffffdc7,
    0x260fa80f,0x007fffff,0x09fffff9,0x2fffffd4,0xbffffb00,0xf0003ba0,
    0xf805ffff,0xf902ffff,0xfc87ffff,0x44005fff,0x3fffee2f,0x7c4000ff,
    0x8001ffff,0x05fffffc,0x37400000,0xbfffff90,0x00bffb53,0xfff88f70,
    0x45d84fff,0x07fffff9,0x9fffff90,0x3ffffee0,0x3ff6000e,0x00ed85ff,
    0x2fffff80,0x17ffffc0,0x86ffffc8,0x006ffffb,0x3ffe23e4,0x44003fff,
    0x001fffff,0x5fffffc8,0x2e000000,0x3fff201f,0xffffffff,0xc87b8005,
    0x447fffff,0x7fffcc2f,0xfff9007f,0xd9555bff,0x005dffff,0x8bffffb0,
    0xff0000ed,0xff805fff,0xff902fff,0xfff70bff,0x1fc400ff,0x3fffffec,
    0x3fffe200,0xffc8001f,0x00005fff,0xdddff100,0xffffdddd,0xffd93bff,
    0x10f7000b,0x45ffffff,0xffff986c,0xfff9007f,0xffffffff,0x40007fff,
    0x365ffffd,0x3fe0005f,0x7fc02fff,0xff902fff,0xfff70bff,0x07dc00ff,
    0x7fffffcc,0x3ffe2002,0xfc8001ff,0x0005ffff,0x999fb000,0xffd99999,
    0x5fe8bfff,0xfb07b800,0x1fcdffff,0x3fffffcc,0xfffffc80,0xffffff54,
    0x7fec000b,0x7fffb5ff,0x3fffe000,0x7fffc02f,0xffff902f,0xfffff70b,
    0xfd027c00,0x400dffff,0x01fffff8,0xfffffc80,0xa8000005,0xfffc802f,
    0x02fc45ff,0xffa83dc0,0x0fa9ffff,0x7fffff98,0xfffff900,0x7ffffe49,
    0xffb0003f,0xffffbbff,0xfff0001f,0xfff805ff,0xfff902ff,0xffff70bf,
    0x803ea00f,0x1ffffffa,0xfffff100,0xfff90003,0x02000bff,0xc802f440,
    0xd85fffff,0x207b8005,0xedfffffe,0xfffff304,0x3fff200f,0x3ffa24ff,
    0x8001ffff,0xfefffffd,0x8005ffff,0x402fffff,0x902fffff,0xf70bffff,
    0x3a00ffff,0xffffffff,0x5fffffff,0xfffff100,0xfff90003,0x1e000bff,
    0xc8007e40,0xa85fffff,0x03dc0205,0xfffffff7,0x3fffe603,0xfff9007f,
    0xfff989ff,0xd8006fff,0xfc8effff,0x4003ffff,0x402fffff,0x902fffff,
    0xf70bffff,0xf300ffff,0x99999999,0xffffffb9,0xffff1001,0xff90003f,
    0x3000bfff,0x007f300d,0x2fffffe4,0x706882c4,0x7fffc40f,0x3fe606ff,
    0xf9007fff,0xf909ffff,0x009fffff,0x25ffffd8,0x00fffffe,0x0bffffe0,
    0x05fffff0,0x217ffff2,0x807ffffb,0xfff1006d,0xf1009fff,0x0003ffff,
    0x0bfffff9,0xdd00b900,0xffffc800,0x1720305f,0x3ff203dc,0x3e602fff,
    0x9007ffff,0x209fffff,0x1ffffffe,0x3ffff600,0x3ffffe65,0x3fffe006,
    0x7fffc02f,0xffff902f,0xfffff70b,0x2002f980,0x0ffffffc,0x7ffffc40,
    0xfffc8001,0x7c4005ff,0x000fdc05,0x17fffff2,0xf703f880,0x7ffff880,
    0x7ffffcc0,0xffff9007,0x3ffe209f,0xb000ffff,0xfb8bffff,0xf004ffff,
    0xf805ffff,0xf902ffff,0xff70bfff,0x07d80fff,0x7ffffcc0,0x7ffc403f,
    0xfc8001ff,0x4005ffff,0x13e204fd,0x3ffff200,0x0bf2005f,0x7fec03dc,
    0x7ffcc04f,0xfc800fff,0x2e04ffff,0x05ffffff,0x0bffffb0,0x03fffffd,
    0x07fffff0,0x03fffff8,0x70bffffb,0x4c0fffff,0xffd8005f,0x2200ffff,
    0x001fffff,0x6fffffc8,0x80fff600,0xfc8000fe,0xb005ffff,0x01ee03ff,
    0x3003ffe6,0x01ffffff,0x9fffff90,0xfffffd80,0xfffd803f,0xffff985f,
    0x3fe200ef,0x3e203fff,0xfb03ffff,0xff70dfff,0x3fa01fff,0xfffb8005,
    0x3e204fff,0x8002ffff,0x0ffffffd,0x17ffec40,0xb0007fc8,0x80dfffff,
    0xd00fffe9,0x0bfd005f,0xffffff50,0xffffb003,0xfff880bf,0x2601ffff,
    0x80ffffff,0x0dfffffe,0xdfffff70,0x3fffee01,0x7ffcc0ef,0x3fa21fff,
    0x7543ffff,0x64002fff,0x3fffffff,0xbfffff70,0x7ffcc001,0xacceffff,
    0xffffedba,0x7ffe441f,0x3fea000c,0xbcefffff,0xfffffdba,0x03fff907,
    0x74401fb8,0x05ffffff,0x7fffffd4,0x7ffd401f,0xfc81ffff,0x4fffffff,
    0x3ffffff6,0x3ffe22ff,0x23ffffff,0xfffffff8,0xffff73ff,0xff37ffff,
    0x2dffffff,0xeffffffc,0x3fffaa06,0xffffffff,0xfffffd91,0x74c0dfff,
    0xfffffffe,0xffffffff,0x20ffffff,0xfffffffa,0xffee980e,0xffffffff,
    0xffffffff,0x3ffa26ff,0x204fffff,0x3fffb606,0xefffffff,0xfffffd34,
    0x1dffffff,0x3fffff20,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb7100000,0x2aaaaa20,
    0xaaaaaaaa,0x55555531,0x15555555,0x2aaaaaaa,0x009aaaaa,0x2aaaaa20,
    0x9aaaaaaa,0xa8800001,0x00002bcb,0x2aa217b2,0xaaaaaaaa,0x530002aa,
    0x55555555,0x55555555,0x554c1555,0xaaaaaaaa,0x5555402a,0x5510aaaa,
    0x55555555,0x55550555,0x00355555,0x41fff220,0xffffeca8,0x31bdffff,
    0xffffffb7,0x2e159dff,0xffffffec,0xdeffffff,0x3ff2a201,0xffffffff,
    0x00bdffff,0xfdffd100,0x80003dff,0xca886ffb,0xfffffffe,0xf90002be,
    0xffffffff,0xffffffff,0xffda8bff,0xcfffffff,0x7ffed402,0xff910dff,
    0xffffffff,0xfff97059,0x80039dff,0x07ffffc9,0xffffffd0,0xffff9803,
    0x7ec00eff,0xba9dffff,0x01efffff,0x7fffffc4,0xffeca99d,0x26000dff,
    0xfff71eff,0x3e60003f,0xffe806ff,0x80006fff,0x99cffffd,0xfffa9999,
    0xf300ffff,0x07ffffff,0x00eff880,0xffffffd1,0xfff7005f,0xffb30007,
    0x200fffff,0x07fffffb,0x9ffffff0,0xfffff700,0xffffd88b,0x7ffec01f,
    0xfff705ff,0xff3007ff,0x7fffc45f,0xffe88006,0xfffc806f,0xd80004ff,
    0xffd803ff,0x5c03ffff,0x05ffffff,0x4c01ff80,0x3fffffff,0x003ff980,
    0x7ffef744,0xf7007fff,0x200dffff,0x03fffffe,0x5fffffa8,0xffffff88,
    0x3ffff200,0x3ffee05f,0x7ff404ff,0x0ffffe87,0x7fffec00,0xffffc806,
    0xfe80003f,0xffffa803,0xffd006ff,0x4001ffff,0xff7003fa,0x801fffff,
    0x410004fc,0x07fffff8,0xdfffff70,0x3ffffa00,0xfffa803f,0xfffb05ff,
    0x7fe409ff,0x7ec05fff,0xf502ffff,0xfff70dff,0xfffb800f,0xffc806ff,
    0x80003fff,0xfffd004f,0x26003fff,0x04ffffff,0xfb001ba0,0x40bfffff,
    0x200005f9,0x007ffffe,0x0dfffff7,0x3fffffa0,0xffffa803,0xffff705f,
    0x7ffe40bf,0x7fcc05ff,0xfe81ffff,0xffe886ff,0x3ffe6003,0xfc806fff,
    0xaaadffff,0x07e0009a,0x3fffff20,0x7fec004f,0xb801ffff,0x7fc4001f,
    0xd02fffff,0x6c00001d,0x7007ffff,0x00dfffff,0x0ffffffa,0x3ffffea0,
    0xfffff505,0x7fffe40f,0xfffe805f,0x7ffc44ff,0x0002206f,0xdffff7dd,
    0xfffff900,0xffffffff,0x40344017,0xfffffff9,0x7ffcc000,0x7c405fff,
    0xfff70004,0xfd81ffff,0x7ec00001,0xf7007fff,0x200dffff,0x03fffffe,
    0x5fffffa8,0xffffff70,0x7ffffe40,0xffffc805,0x3ffe60ff,0x3200007f,
    0x6ffffb9f,0xfffffc80,0xfffea98b,0x003102ff,0x5ffffffd,0x3fff2000,
    0x3f201fff,0x3ff60000,0x3ee5ffff,0xfd800002,0xf7007fff,0x200dffff,
    0x03fffffe,0x5fffffa8,0xbfffff90,0x7ffffe40,0xffff9805,0x3ffea3ff,
    0xa80000ff,0xdffff73f,0xfffff900,0xffffe887,0xff70002f,0x000bffff,
    0x7fffffc4,0x0007f306,0xffffff88,0x0003faaf,0xfffffb00,0x3fffee00,
    0xfffd006f,0xff5007ff,0x3f60bfff,0x3203ffff,0x805fffff,0x5ffffff8,
    0x07ffffee,0x5cbf1000,0xc806ffff,0x983fffff,0x00ffffff,0x7ffffc40,
    0x5c0000ff,0x82ffffff,0xf500006e,0xbfffffff,0x7ec00000,0xf7007fff,
    0x200dffff,0x03fffffe,0x5fffffa8,0x6fffff98,0x7ffffe40,0xfffff005,
    0x7fffccdf,0x7740002f,0x1bfffee0,0x3fffff20,0xffffff03,0xfffd8007,
    0x80003fff,0x6ffffff8,0x00000fdc,0xfffffffb,0xfd800000,0xf7007fff,
    0x555fffff,0xfd555555,0x5007ffff,0x98bfffff,0x40effffe,0xfffeccc9,
    0xccccceff,0x7fffffc2,0x3ffffe27,0x07f20005,0x00dffff7,0x07fffff9,
    0x17fffffa,0xfffff980,0x2e00006f,0x13ffffff,0x8800009f,0x2fffffff,
    0x3f600000,0xf7007fff,0xffffffff,0xffffffff,0x5007ffff,0x75dfffff,
    0x19fffffb,0xfffddd30,0xddddffff,0xffffe85d,0x3fffe0ff,0xfa8002ff,
    0x6ffffb83,0xfffffc80,0xfffff903,0x7fff400d,0x00001fff,0xbffffff4,
    0x800000fc,0xfffffffa,0xfb000000,0x2e00ffff,0xaaffffff,0xeaaaaaaa,
    0x803fffff,0xfffffffa,0x00bdefff,0x3fffff20,0xffffd005,0x7ffe41ff,
    0x85100fff,0xfff705f8,0xfff900df,0x3ff607ff,0xf7005fff,0x00bfffff,
    0xffff5000,0x0007fbff,0x7fffec00,0x000005ff,0x00fffffb,0x1bffffee,
    0x7fffff40,0xffffa803,0x3200005f,0x005fffff,0x8dffffff,0xdffffff8,
    0x3fa074c0,0xdffff700,0xfffff900,0x3ffffa07,0xfff8802f,0x0000ffff,
    0xfffffd00,0x800000df,0xfffffffa,0xfd800002,0xf7007fff,0x200dffff,
    0x03fffffe,0x5fffffa8,0x3ff20000,0xff005fff,0xf70bffff,0x9dffffff,
    0x02fc83fd,0x01bfffee,0x0ffffff2,0x07fffffc,0x7ffffec0,0x2000003f,
    0x3ffffff9,0x3e600000,0xfffffffe,0x7ec00000,0xf7007fff,0x200dffff,
    0x03fffffe,0x5fffffa8,0x3ff20000,0xf8805fff,0x704fffff,0xffffffff,
    0xfffff05f,0xffffffff,0x3203ffff,0xa83fffff,0x805fffff,0x6ffffffa,
    0x74001c00,0x003fffff,0x32dd1000,0x05ffffff,0x7ffec000,0xfff7007f,
    0x3fa00dff,0xa803ffff,0x005fffff,0x3ffff200,0xfff9805f,0x3a602fff,
    0x01dfffff,0xffffffff,0xffffffff,0x3fff203f,0x7ffcc3ff,0xff8804ff,
    0x001fffff,0x3fa00166,0x0003ffff,0x7f41fb00,0x003fffff,0x3ffff600,
    0xffff7007,0x3ffa00df,0xfa803fff,0x0005ffff,0x3fffff20,0xffffa805,
    0xfb8800ff,0xfffff801,0xffffffff,0xf901ffff,0xb99bffff,0x007fffff,
    0x3ffffff2,0x00264004,0x1ffffff4,0x0fe40000,0x3fffffe6,0xfb00000f,
    0x2e00ffff,0x006fffff,0x07fffffd,0xbfffff50,0x7fe40000,0xfe805fff,
    0x2002ffff,0xfff802fe,0xffffffff,0x01ffffff,0xfffffff9,0x017bddff,
    0x3ffffe60,0x03e8006f,0xfffffe80,0x7d400003,0xfffff902,0x360000bf,
    0x7007ffff,0x00dfffff,0x0ffffffa,0x3ffffea0,0x3f200005,0x4c05ffff,
    0x006fffff,0x300ffff2,0x33333333,0x33dffff9,0x7ffffe40,0xffd00003,
    0x8005ffff,0xfe8002fc,0x0003ffff,0xfd013e60,0x007fffff,0xfffffb00,
    0x3fffee00,0xfffd006f,0xff5007ff,0x0000bfff,0x2fffffe4,0x3fffff60,
    0x3ff62001,0xffb80006,0xffc806ff,0x80003fff,0x5ffffffb,0x00ffd400,
    0x7fffff40,0xdf300003,0xfffff300,0xd80001ff,0x7007ffff,0x00dfffff,
    0x0ffffffa,0x3ffffea0,0x3f200005,0x2a05ffff,0x001effff,0x0006ffa8,
    0x06ffffb8,0x3fffffc8,0x7ffc4000,0x1000ffff,0x0001fffb,0x07fffffd,
    0x03fd1000,0x3fffff20,0x7f40006f,0xc800ffff,0x007fffff,0x09ffffff,
    0xdfffff70,0x7fec0000,0xff906fff,0x20001bff,0x80004ffd,0x806ffffb,
    0x04fffffc,0x7fffec00,0xff5003ff,0x3e000fff,0x004fffff,0x003ff440,
    0xfffffff1,0x3ff20009,0x4c05ffff,0x3fffffff,0x7ffffdc0,0x3fa201ff,
    0x002fffff,0xfffffa80,0xffdcbdff,0x98002dff,0x0004fffd,0x0dffff70,
    0xffffff98,0xff50001f,0x555fffff,0xfdb99755,0x000fffff,0xfffffff7,
    0xff710003,0x3ea007ff,0xcfffffff,0xfffee800,0xefffffff,0xffffdd14,
    0x7dffffff,0x3fffffaa,0x0eefffff,0xfffffffb,0x003dffff,0x7ffff74c,
    0xefffffff,0x4c0002de,0x000009aa,0x21bfffee,0xffffffe8,0x00eeffff,
    0xffffff10,0xffffffff,0xffffffff,0x3fba00df,0xffffffff,0xfc804eef,
    0xefffffff,0xfffffa81,0x2fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33b2e200,
    0x2aaa200a,0xaaaaaaaa,0x2aaaa1aa,0xaaaaaaaa,0x55555102,0xa9855555,
    0xaaaaaaaa,0xaaaaaaaa,0x002aaaaa,0x3332a053,0xcccccccc,0xcccccccc,
    0x01f6c001,0x03ba6000,0x00000000,0x01599753,0x2f2ea200,0x5e54c002,
    0x32200009,0x4fffffff,0xfffd9510,0x37bfffff,0x7ffff654,0x103dffff,
    0xffffff97,0xffffc87b,0xffffffff,0xffffffff,0x3e8807ff,0x20000170,
    0x27f40029,0x3fea0000,0xba880000,0x80f441bc,0xffffeffb,0x3fa2003f,
    0x01efffef,0x7f6fff44,0xffd0001e,0x9fffffff,0xffffe880,0xffd801ff,
    0x2002ffff,0x900efffb,0x3335bfff,0x37ffffff,0x0ffff753,0x02e07fb0,
    0x0014c000,0x000013fa,0x40001ff5,0xffeeffe8,0xfd30db1e,0x7fffdc1b,
    0x1eff9802,0x203ffff7,0xff10effa,0xffc8005f,0xffffffff,0x7ffe404f,
    0xff7006ff,0xc800ffff,0x7fe404ff,0xffffff01,0x80ffd105,0x01703ffa,
    0x000a6000,0x800009fd,0x30000ffa,0x7fd49fff,0xfff80eef,0x1ffffe83,
    0x88bffe60,0xf986ffff,0x7ffdc2ff,0xdfff5000,0xfffffffd,0xffffb80f,
    0xfff5006f,0x7d400fff,0x03fc802f,0x0bfffffe,0x3fe607e8,0x0001703f,
    0xfd000a60,0xfa800009,0xff98000f,0x4fffc87f,0xd87fffa8,0x3a04ffff,
    0xfffe87ff,0x43fff40f,0xb004fff9,0x7fec415f,0x2e02ffff,0x006fffff,
    0x0ffffff5,0x4007bea0,0x7fffc06c,0x41ea02ff,0x703ffffa,0x0a600001,
    0x0009fd00,0x000ffa80,0xa85fffd8,0x7ec0ffff,0x7fe42fff,0xfff505ff,
    0x8ffff70d,0xf886fffb,0x7c400fff,0x3ffffa01,0x3ffee04f,0xff5006ff,
    0xf900ffff,0x0264001b,0x0bfffffe,0xffff70f0,0x2e13339f,0x05300000,
    0x0004fe80,0x0007fd40,0x213fffea,0x544ffffa,0x7e41ffff,0xffd05fff,
    0x7ffd10df,0x885fffe8,0x4c01ffff,0x7fffcc01,0x3ffee04f,0xff5006ff,
    0x6c40ffff,0x01b8004f,0x17fffffc,0xffff9120,0x2dffffff,0x5300000b,
    0x004fe800,0x007fd400,0x0fffff60,0x1ffffff1,0x6c43eeb8,0xf885ffff,
    0x02206fff,0x2213fffe,0x0002ffff,0x07fffff0,0x37ffffdc,0xfffffa80,
    0x005fd107,0x7fffc000,0x3a6002ff,0xeefffffe,0x000174ee,0xfd000a60,
    0xfa800009,0x7ffc000f,0x3f7a23ff,0x8801ffff,0x5ffffffb,0x07ffff98,
    0x7ffffcc0,0xffffffff,0xfd00004f,0x7dc03fff,0x5006ffff,0x50ffffff,
    0x000003df,0x2ffffff8,0xffffd000,0x00002e07,0xaaaa894c,0xdffaaaaa,
    0xaaaaaaaa,0x55555532,0x557ff955,0x23555555,0x23fffff8,0xfffff8dd,
    0x2ffee202,0xa85ffffc,0x000fffff,0x27bfffea,0x99999999,0xfff00000,
    0xfffb80df,0xff5006ff,0xefb8ffff,0xf8000000,0x002fffff,0x07ffffd0,
    0x4c00002e,0xffffff32,0xffffffff,0x2fffffff,0xfffffffd,0xffffffff,
    0xf33fffff,0x3b27ffff,0x3fffff88,0x325fff50,0xfb85ffff,0x2001ffff,
    0x007ffffa,0x3fe20000,0x7fdc03ff,0xf5006fff,0x7ecfffff,0x000000ff,
    0x2ffffff8,0xffffd000,0x00002e07,0xffff994c,0xffffffff,0xffffffff,
    0xffffffb7,0xffffffff,0x27ffffff,0xbbfffff9,0xfffff10f,0x1fffd885,
    0x217ffff2,0x02fffff9,0x3ffffe60,0x50000000,0xf700dfff,0x200dffff,
    0x8ffffffa,0x00effffe,0x7ffc0000,0xd0002fff,0x2e07ffff,0x45300000,
    0x99999999,0x9999dfe9,0x33119999,0xf7333333,0x3333335f,0x3ffe2133,
    0x3e21fdff,0x7f41ffff,0x7ffe44ff,0xffff885f,0x3fe2005f,0x00002fff,
    0x01fffb00,0xdfffff70,0x3fffea00,0xffffffff,0x4000005f,0x02ffffff,
    0x7ffffd00,0x400002e0,0x27f40029,0x3fea0000,0x7fffc000,0x7ffc42ff,
    0x7fffe47f,0x2ffffe41,0x2ffffff8,0x3ffffe00,0x40000806,0x7002fff8,
    0x00dfffff,0x3fffffea,0xfffffffe,0x3e000003,0x002fffff,0x07ffffd0,
    0x4c00002e,0x027f4002,0x03fea000,0x9ffffd00,0x8dffff10,0x642fffff,
    0xf905ffff,0x201fffff,0x3ffff228,0x000b602f,0x4009ff90,0x06fffffb,
    0xffffff50,0x3fffffea,0xf000002f,0x005fffff,0x0fffffa0,0x9800005c,
    0x027f4002,0x03fea000,0x7ffff500,0x49ffff30,0x9efffff8,0x6fffffd9,
    0xffffff10,0x260e981b,0x82ffffff,0x7cc0006c,0x7fdc006f,0xf5006fff,
    0x7dcfffff,0x00ffffff,0xffff8000,0xfd0002ff,0x02e07fff,0x0014c000,
    0x000013fa,0xd0001ff5,0xff709fff,0xfffe81ff,0xffdeffff,0xfb85afff,
    0xceffffff,0xfffc81fe,0xfecbdfff,0x77f40001,0x7ffdc000,0xff5006ff,
    0xffd8ffff,0x0006ffff,0xffffff80,0xfffd0002,0x0002e07f,0x3a0014c0,
    0x5400004f,0xfe8000ff,0xfffe87ff,0xfffffb83,0xfffff14f,0x3ffee03f,
    0x02ffffff,0x3ffffff2,0x40001fff,0xb8000efc,0x006fffff,0x8ffffff5,
    0xffffffe8,0x7fc00005,0x0002ffff,0x207ffffd,0x5300000b,0x004fe800,
    0x26666662,0x99affb99,0x20999999,0x0dffeaec,0x5c07fff7,0x7542dffe,
    0x74c01eff,0x01dfffff,0xefffffb8,0x7d40001c,0xfb81c00e,0x5006ffff,
    0x30ffffff,0x7fffffff,0x7ffc0000,0xd0002fff,0x2e07ffff,0x05300000,
    0x2004fe80,0xfffffffd,0xffffffff,0xf53fffff,0x7ffffe41,0x003001ce,
    0xba880011,0x17510001,0x3fe20000,0xfb82dc00,0x5006ffff,0x20ffffff,
    0xfffffffa,0xfff00001,0x20005fff,0x704ffffe,0x0a600001,0x4009fd00,
    0xfffffffd,0xffffffff,0x063fffff,0x0002ea62,0x00000000,0x20000000,
    0xf73301fe,0x3fffee07,0xfff5006f,0x7fe40fff,0x000fffff,0xffffff80,
    0xfffb0002,0x00b9c49f,0x80053000,0x2a6001aa,0xaaaaaaaa,0xaaaaaaaa,
    0x00001aaa,0x00000000,0x00000000,0x7fffffec,0x02ffffff,0x0dfffff7,
    0x3ffffea0,0x7fffec07,0x40000eff,0x02ffffff,0xfffff700,0x002e1b31,
    0x00014c00,0x00000000,0x00000000,0x00000000,0x7fdc0000,0xffffffff,
    0xff700fff,0x2a00dfff,0x407fffff,0xfffffff8,0x7ffc0005,0x20002fff,
    0x2ffffffd,0x4c00002e,0x00000002,0x00000000,0x00000000,0x00000000,
    0x7fffffd4,0x7fffffff,0x3fffff20,0xffff7007,0xfff700ff,0x000bffff,
    0x1ffffffc,0xffd71000,0xccccb85b,0xcccccccc,0x2dcccccc,0x00000000,
    0x00000000,0x00000000,0x20000000,0xfffffff8,0x5fffffff,0xffffff30,
    0xfff8807f,0x5c04ffff,0xffffffff,0x7fe4001e,0x000effff,0x00000080,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffffd0,0xffffffff,
    0x7fff7449,0xefffffff,0xffffdd13,0x1dffffff,0x7fffffcc,0x1fffffff,
    0x3ffffae0,0xeeffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332ea000,0xbcba880a,0xbca98001,
    0x99998801,0x26662099,0x2a200999,0x00710acc,0x26250000,0x19999999,
    0x84ccccc4,0x99999998,0x33333109,0x4ccc1333,0x20001819,0x18839301,
    0x33100000,0xb9813333,0x4cccc01b,0x33199999,0x10013333,0xfffffff7,
    0x3bbfe61d,0xf9800eff,0x1dffeeff,0xffffff90,0x7ffffd49,0xdfff506f,
    0x000dddff,0x5dfee200,0xffffffff,0x7ffff4c5,0xffffff72,0x3fff23df,
    0x361dffff,0x3f60ffff,0x05665cc1,0xfff917e6,0x005f7ccd,0xffff7000,
    0x3ffe6bff,0xffd01eff,0x29dfffff,0x02effffc,0xa88eff44,0x4ffcffff,
    0xa80bffee,0x3fee2fff,0xffff103f,0xffffd09f,0x21fff30d,0x0006ffc9,
    0x3fffecc0,0x7ffffff3,0x26077e40,0xa87fffff,0x706fffff,0x9fff98bf,
    0xffffffe9,0x11fffa9d,0x265fffff,0x001cffff,0xfffff100,0xffffff5b,
    0x7ffd40df,0x7fdc2fff,0x2fff8801,0xefffffb8,0xb837ff40,0xffe85fff,
    0xffffd02f,0xdffff909,0xf509ffd0,0xd710000f,0xb85bffff,0x202fffff,
    0xfff902fb,0xfffb01ff,0x203ea0ff,0xfffffffa,0xffffffff,0x3fffee1f,
    0x3fffae5f,0xd80002ef,0x8bffffff,0x03fffff9,0x13ffffee,0x3ee003f9,
    0xfff986ff,0xfffb84ff,0x83ffff83,0xe80ffffb,0xfc84ffff,0x7fc46fff,
    0x007c80ef,0x3ffff260,0xfff100cf,0x036c0bff,0x07fffff1,0x05fffff5,
    0x7ffd40b9,0x3fee20af,0x7ffcc1ff,0xffd983ff,0x0001cfff,0x87fffffb,
    0x405ffffc,0x30fffffe,0x7fec005f,0x7ffc42ff,0xfffa82ff,0x17fffdc7,
    0x41ffffd4,0xc84ffffe,0x7d46ffff,0x3c40efff,0x7fff5400,0xff9002ef,
    0x5f101fff,0x6ffffd80,0x5fffffd8,0x3fe602f8,0x3ffa200d,0x0ffffd80,
    0x3fffae20,0x7e4002df,0xffb85fff,0x7fcc06ff,0x009d5fff,0x41ffffa8,
    0x81fffff8,0x3e0ffff9,0xfa81ffff,0xffe85fff,0xfffc84ff,0x7fffc46f,
    0x880142ff,0x1cfffffc,0x7fffc400,0xa807b83f,0x221fffff,0x0fffffdf,
    0x1ffd01ea,0x209ff300,0x6d4002da,0x00cfffff,0x85ffffc8,0x807ffffb,
    0xedfffffd,0x3efc8000,0x0fffff98,0x11ffff98,0x303fffff,0xfd0dffff,
    0xff909fff,0xfffd0dff,0x54009fff,0x0beffffd,0x3fff6000,0xf004e87f,
    0x7549ffff,0x22fffff8,0x0bfe604c,0x000ffc80,0xfffc8800,0x3f202dff,
    0xffb85fff,0xff8807ff,0x0002ffff,0x7fffecc0,0xffffffff,0xff52ffff,
    0xff301fff,0xffe81fff,0xfffc84ff,0xffffb86f,0x7100efff,0x05bffffd,
    0x3ffe6000,0x003e62ff,0xb3ffffe4,0x97ffffa7,0x03fea02f,0x001ff980,
    0x7fed4000,0x7e40bfff,0xffb85fff,0xff9007ff,0x00005fff,0x3fe77f66,
    0xaaaabfff,0xf71aaaaa,0xf301ffff,0xfe85ffff,0xffc84fff,0xffe886ff,
    0x41ffffff,0x0cfffff8,0xffe80000,0x801726ff,0x8afffff9,0xfffff50f,
    0x6fc80f51,0x017fc400,0xfc980000,0x7fe47fff,0xfffb85ff,0xfff1007f,
    0x88000dff,0x3ffe3ffd,0x7dc001ff,0xf980ffff,0x7f42ffff,0xffc84fff,
    0xffd106ff,0x41ffffff,0x1cfffff8,0xffa80000,0x01f89fff,0x6fffff40,
    0x3fffe26b,0x7e404dbf,0x17fc4007,0xea800000,0x7e46ffff,0xffb85fff,
    0x3f2007ff,0x0002ffff,0xff85fff3,0x54003fff,0xa80fffff,0x741fffff,
    0xfc84ffff,0x7e406fff,0x42ffffff,0xeffffeb8,0x7fc00002,0x006bdfff,
    0xefffffb8,0x77fffec3,0x07fd401f,0x003ff500,0x7fe44000,0xfc81dfff,
    0xffb85fff,0x3e2007ff,0x8006ffff,0xfe85fffb,0x44005fff,0xa80fffff,
    0x740fffff,0xfc84ffff,0xfa806fff,0x205fffff,0xcfffffd9,0xffc80001,
    0x8002efff,0x0ffffff8,0x37ffffd4,0x001ffcc0,0x00000ff9,0x3fffff6a,
    0x3fff200b,0xffffb85f,0x3fff2007,0x26003fff,0xfc82ffff,0x4000ffff,
    0xa81fffff,0xfd86ffff,0xffc84fff,0x442c46ff,0x807ffffd,0xdffffeb8,
    0x3fe20002,0x20007fff,0xf05ffffd,0x2009ffff,0xfa800ffd,0x1ceb884f,
    0xfffd7100,0x3f2005bf,0xffb85fff,0x3f3007ff,0x01fffffd,0x07ffffa0,
    0x17ffffe6,0x7ffdc3b0,0xffffb82f,0x5ffffd83,0x46ffffd8,0xfffb00f8,
    0xffda800d,0x8000bfff,0x004ffffd,0x0bfffea0,0x00ffffe4,0x201eff98,
    0xfe80fffa,0x32600fff,0x00cfffff,0x2ffffe40,0x03ffffdc,0xfffa9fc4,
    0xff8804ff,0xffa84fff,0x9b04ffff,0x907ffff0,0x3f20dfff,0x7fdc5fff,
    0x05f86fff,0x0007fff5,0x3ffffee2,0x3fe6002d,0x7c0000ff,0x3fe607ff,
    0x3fea006f,0xca889bff,0x7cc1ffff,0xea83ffff,0x002effff,0x17ffff60,
    0x01ffffee,0xffffd1b6,0xfff8801f,0xffcbefff,0xeffffffc,0xa80efdab,
    0xfff86fff,0xffff302f,0xffdf735f,0x09ff0fff,0x0003fff3,0xdffffb50,
    0x17ffa007,0x13ff2000,0x2007ffd0,0xfffffffb,0xffffffff,0x3fffee1f,
    0xffff915f,0xb000039f,0xf70dffff,0xfc80ffff,0x7ffffdc1,0xffffc805,
    0xf50cffff,0xffffffff,0x7ffd401d,0x007fff23,0xfffffff9,0x3fffff95,
    0x98befff8,0x00002ffd,0x03fffe44,0x0001ffa8,0x5c01ff98,0xff9800ff,
    0xffffc88e,0xfffa8bff,0x5fffff10,0x02fbffe6,0x7ffcc000,0x3fa21fff,
    0xc882ffff,0x7ffcc1ff,0x6c404fff,0x81dfffff,0xffffffd9,0xffe9800c,
    0x000dffff,0x23fffffb,0x5ffffffc,0x3ffff7be,0x000002ff,0xdf003f54,
    0x03740000,0xd90037c4,0x09aa9881,0x3fee17cc,0x00b7e65f,0xffff7000,
    0xff37ffff,0x2dffffff,0x6fffffe8,0xfffffffb,0xaa8801ff,0x2aae6001,
    0x37730000,0x02aa2000,0x2ea21400,0x40000000,0x000aa001,0x57002a80,
    0x20000800,0x08815100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x09999998,0x300565cc,0x99880397,0xc9809999,0x33333302,0x33333333,
    0x803ee003,0x15c4006d,0x9813e200,0x004c002f,0x36200220,0x7540000c,
    0xcdb88003,0x56ed4401,0x8835c400,0x336a02dc,0x005edc40,0xdffffff5,
    0x3fffffa2,0x7ffffd44,0xfffd502f,0x7ff4cdff,0x7fffcc3f,0xffffffff,
    0x4fb806ff,0xb000bf20,0xfb8009ff,0x400bf604,0xd1000df9,0x4ffd801d,
    0x07ff4000,0xfffff900,0xffff501d,0xffb501ff,0x13fffe0f,0xf91ffff2,
    0xffd00dff,0xffff3dff,0x3ee5ffff,0x0fffffff,0x5bffffa0,0x46fffff9,
    0x7419cff9,0x402fffff,0xdf700ffa,0x0dffd000,0x2607ff00,0xffd801ff,
    0x3ffe8805,0x0037ffc0,0x00bfff70,0x3fffbbe6,0x75e7cc4f,0x3ba65fff,
    0xffa87fff,0x7ffc47ff,0xffff12ff,0xfffc803f,0xff90cfff,0x225fbfff,
    0x204ffffe,0xf8effffc,0x4c6fffff,0xffff703f,0x4ffa80bf,0x0005ff70,
    0x70005ff7,0x3ff605ff,0x05ffd801,0x200fffa2,0x10004ffd,0x003fffff,
    0x7fffd45d,0xdffd0360,0x2e1fffa0,0x7c47ffff,0xff32ffff,0xfc805fff,
    0x7c44ffff,0x5c1fffff,0x2e06ffff,0x9ddeffff,0x7cc3fffb,0xfffff880,
    0x3ffe600f,0x006ffa80,0xf8000220,0xfff981ff,0x85ffd800,0x3a83ffe8,
    0x06e0ffd4,0x3ff3ff20,0xffd80806,0x03ffd807,0xff50fffb,0xffff0dff,
    0x7ffffc3f,0x7fffe400,0x7fffff06,0x0fffff50,0x7fffffdc,0x1260ae20,
    0x1fffffec,0x507fff30,0x00005fff,0x7ffdc000,0x00effd81,0x3a25ffd8,
    0xfffb83ff,0xfffa9ba3,0x6d7fe602,0xfc8002ff,0x1ffcc04f,0xf30fffb0,
    0xffb0bfff,0x7fffe8ff,0x6ffffc80,0x07fffff0,0x40fffff5,0x03fffffb,
    0x7ffcc040,0x3fe206ff,0x7ffcc0ff,0x00000006,0x4c0ffff8,0xd800efff,
    0x3ffe9dff,0x27ffff90,0x7ffff93c,0xf987fec0,0xfff8007f,0xdfff9100,
    0x41fff603,0xfb83ffff,0x7ffe45ff,0xffffc805,0x7fffff06,0x1fffff50,
    0x3ffffee0,0xffe80002,0xfd102fff,0xfff987ff,0x5555301f,0x55555555,
    0x55555555,0x3bffee03,0x02fffec0,0x3fffffd8,0x3ffffe60,0xffffecde,
    0x87ff500e,0x26003ffc,0x3fa602ff,0xfd80ffff,0x3fff907f,0xa87fff30,
    0xfc803fff,0xfff06fff,0xfff507ff,0x3fee01ff,0x40000fff,0x05fffffb,
    0x88ffffd1,0x3605ffff,0xffffffff,0xffffffff,0x3e03ffff,0x3e60efff,
    0xfb005fff,0x2aa007ff,0xaaaeebaa,0x43ff401a,0xd000fff8,0x3faa007f,
    0x7ffd83ff,0x7c0fff50,0x7ffc41ff,0xffffc801,0x7fffff06,0x1fffff50,
    0x1ffffee0,0xffff1000,0x7fec01ff,0x3ffa20ff,0x3fff606f,0xffffffff,
    0xffffffff,0x3fffe03f,0x2ffffc45,0x6ffff440,0x666c4000,0x0bfee004,
    0x64027fdc,0x7fc4003f,0x07ffd84f,0x7ec0bff1,0x200ffd07,0xf06ffffc,
    0xf507ffff,0x2e01ffff,0x0006ffff,0x1fffffec,0x227ffec0,0x102fffe8,
    0x33333333,0x33333333,0x2e013333,0x7ec0efff,0xfe8805ff,0x2005ffef,
    0x1ef98ffb,0x2037fc40,0x3ee01ffe,0x7e4034c2,0x07ffd83f,0x5fb80ffa,
    0x3200bf70,0xff06ffff,0xff507fff,0x3ee01fff,0x20006fff,0x06fffff9,
    0x81fffd10,0x0006fff8,0x7fc40000,0x7ffcc0ef,0x3ffe8805,0xfb00bffb,
    0x01fffcdf,0xfa803ff9,0xddff505f,0x41549fdd,0xffd80ffa,0x9803f207,
    0x007f303f,0x41bffff2,0xa83fffff,0x700fffff,0x000dffff,0x17fffff4,
    0x5ffe8808,0x002fff98,0x3ee00000,0xeffd80ff,0x1fff4400,0xfa817ff6,
    0x3fff63ff,0x005ff981,0xffa85ffb,0x92ffffff,0x0fec3bff,0x500fffe8,
    0x7c03f00f,0xffff9001,0x3ffffe0d,0xfffffa83,0xdffff700,0x3ffee000,
    0x209105ff,0xf981fff8,0x9910006f,0xfff10001,0x01dff303,0xb03ffe88,
    0x3fee0bff,0x07ffea0f,0x4c003ff6,0x3ffe66ff,0x31ffffff,0x19fdfffd,
    0xffffdc98,0x000001cd,0xffffc800,0x7fffff06,0x1fffff50,0x1bfffee0,
    0x3fffe200,0x409700ff,0xff505ff9,0x9ffb0005,0x03ff7000,0xd1003ff6,
    0xffd807ff,0xf907fb05,0x1000000b,0x33333333,0x40353103,0x99999998,
    0x00000009,0x7ffffc80,0x07fffff0,0x01fffff5,0x01bffff2,0x3fffff60,
    0x9807f303,0x0df701ff,0x00bfff00,0xf302ff88,0x7ffb003f,0x00fff600,
    0x00000000,0x00000000,0x00000000,0x03fffff2,0x213ffffe,0x01fffffa,
    0x00fffff9,0x6fffff98,0x5005ff30,0x01fe40bf,0x0007fea0,0x0ff405f7,
    0xd8007b00,0x00000005,0x00000000,0x00000000,0xfffe8800,0x7ffd42ff,
    0x3f620eff,0xe883ffff,0x001fffff,0x2ffffffa,0xfffebaa9,0x401d5002,
    0x0000005c,0x02e980f6,0x00000000,0x00000000,0x00000000,0x50000000,
    0xffffffff,0x3fffff6b,0xfff9afff,0x2e7fffff,0xffffffff,0x7ffdc01e,
    0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddb98000,0x33ae200a,0x33b72600,
    0x3deca802,0x55555510,0x55555555,0x45555555,0xccccccc8,0xcccccccc,
    0x104ccccc,0x26666201,0x33009809,0x5c401333,0x4c001bdd,0xa816ed44,
    0x11105302,0x11111111,0x7fffffd4,0xffffffff,0x50ffffff,0xffffffff,
    0xffffffff,0x0001ffff,0xfffffe88,0xfffff04f,0xf513fb07,0x9fd101bf,
    0xf983df71,0xffffffff,0xffffffff,0x3fe67fff,0xffffffff,0xffffffff,
    0x207d07ff,0x4c5ffffc,0x7e40dffd,0xff506fff,0x019dffff,0x7ffdc9b0,
    0x237ff43f,0x3fe0fffc,0xffffffff,0xfffff51f,0xffffffff,0x1fffffff,
    0x3fffffea,0xffffffff,0x00ffffff,0x3fffa200,0x544ffffe,0x20ffffff,
    0x3ffe1ffa,0x3a0ffd82,0x3ffe60ff,0xffffffff,0xffffffff,0x3fffe67f,
    0xffffffff,0xffffffff,0xe80cfb87,0x7ec0efff,0xffc84fff,0x7ffc40ff,
    0xdfffffff,0x7f47f102,0x3fea6fff,0xffff12ff,0x7fffffc9,0x931fffff,
    0x99999999,0x99999999,0x33261999,0xcccccccc,0xcccccccc,0x3a0000cc,
    0x3f6a1cff,0x3ffff24f,0x8fff62ff,0x7fd43ffe,0x0027fe46,0x007fb800,
    0x7fcc0000,0x77ffcc6f,0x7ffffc40,0x3fffd80f,0x5cc567e4,0xcffffffe,
    0xf10ffcaa,0x2a1fffff,0xff12ffff,0x7fffc9ff,0x1fffffff,0x00000000,
    0x4c000000,0x9bfe04ff,0x4ffffff9,0x7fcc3322,0x237fe44f,0x00006ffc,
    0x0000ff70,0xfffb8800,0x403bfee1,0x207fffff,0x02f46ffd,0xffffff93,
    0xffd87fff,0x37ff45ff,0xee87fff6,0xeeeeeeee,0x0000001e,0x00000000,
    0xf700ffdc,0x7f7fdc3f,0xffbb303f,0x46ffe89f,0x00007ffc,0x0000ff70,
    0x87ffe000,0x3f200efe,0x7ec03fff,0x2200be0f,0x3fffffeb,0x81effe98,
    0x0017302a,0x00000000,0x00000000,0x3e2037ec,0x85fd083f,0x9ffd3fd8,
    0x7e45ffe8,0x7000007f,0x999998ff,0x99999999,0x19999999,0x3e66ffa8,
    0x775c400f,0x227fb003,0xaba88003,0x0000cc00,0x00000000,0x00000000,
    0x80ffb000,0xff103ff9,0xfd27fcc1,0x46ffc89f,0x00006ffc,0x7fccff70,
    0xffffffff,0xffffffff,0xffd917ff,0x000e4c1d,0x00791000,0x00000000,
    0x00000000,0x00000000,0x2ffb8000,0x5407ff20,0xd1ffec4f,0x6ffa89ff,
    0x00027fec,0x3e67fb80,0xffffffff,0xffffffff,0x55517fff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x98000000,0xfff105ff,0x3fe07ec0,
    0xdfffebff,0xfd07fec1,0x2000001d,0x2aaa22a9,0xaaaaaaaa,0xaaaaaaaa,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x22ffff20,
    0x882fffc9,0xfffc81fd,0x43fffb8d,0xefb9dfd8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f440000,0x4fffffff,
    0x2600ef98,0x300dcc1a,0x00005797,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffffb8,0x00003b02,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00137751,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_44_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_44_latin1_y[224]={ 35,8,8,8,7,8,8,8,8,8,8,11,29,23,
29,8,8,8,8,8,8,8,8,8,8,8,16,16,12,17,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,41,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,16,16,16,16,16,16,8,8,8,21,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,16,8,7,12,8,
8,8,8,8,8,17,17,23,8,4,8,11,8,8,7,16,8,18,34,8,8,17,8,8,8,16,-1,-1,-1,0,
0,1,8,8,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,13,7,-1,-1,-1,0,-1,8,8,7,7,
7,8,8,7,16,16,7,7,7,8,7,7,7,8,8,8,7,7,7,8,8,13,15,7,7,7,8,7,8,8,
 };
static unsigned short stb__times_bold_44_latin1_w[224]={ 0,7,16,20,18,35,31,7,12,12,16,22,8,13,
8,12,18,15,18,18,19,18,18,18,18,18,7,9,22,22,22,16,36,29,26,26,28,25,24,30,31,15,20,32,
26,37,28,29,23,29,30,19,25,29,29,40,29,29,26,8,12,9,19,22,9,19,21,16,21,16,16,19,20,11,
12,22,11,32,20,18,21,21,17,14,13,20,20,29,20,20,17,11,3,12,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,16,20,20,20,
3,18,13,28,13,20,23,13,28,22,14,22,11,11,9,22,22,8,8,10,12,20,29,28,30,16,29,29,29,29,
29,29,39,26,25,25,25,25,15,15,15,15,28,28,29,29,29,29,29,18,29,29,29,29,29,29,23,20,19,19,
19,19,19,19,27,16,16,16,16,16,12,12,13,13,18,20,18,18,18,18,18,22,18,20,20,20,20,20,21,20,
 };
static unsigned short stb__times_bold_44_latin1_h[224]={ 0,28,14,28,31,29,28,13,35,35,16,22,13,5,
7,28,28,27,27,28,27,28,28,28,28,28,20,26,20,10,20,28,36,27,27,28,27,27,27,28,27,27,28,27,
27,27,28,28,27,35,27,28,27,28,28,28,27,27,27,35,28,35,15,3,8,20,28,20,28,20,27,28,27,27,
36,27,27,19,19,20,28,28,19,20,26,20,20,20,19,28,19,36,36,36,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,35,29,20,27,
36,36,6,28,12,18,10,5,28,3,14,22,15,15,8,28,36,8,9,15,12,18,29,29,29,28,36,36,36,35,
35,34,27,35,36,36,36,35,36,36,36,35,27,36,37,37,37,36,36,18,30,37,37,37,36,36,27,28,29,29,
29,28,28,29,20,27,29,29,29,28,28,28,28,27,28,27,29,29,29,28,28,18,21,29,29,29,28,37,36,36,
 };
static unsigned short stb__times_bold_44_latin1_s[224]={ 202,235,226,167,226,65,1,243,225,238,154,
131,16,183,160,74,87,1,1,184,119,232,1,49,68,87,179,245,84,76,187,
218,215,71,185,178,110,84,139,104,17,20,63,36,118,185,53,1,49,136,223,
128,69,205,188,1,220,190,163,1,243,110,171,197,127,196,82,216,135,233,101,
235,50,38,107,1,233,1,210,29,106,31,34,69,95,48,107,128,231,157,52,
223,103,202,137,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,202,245,93,
199,158,212,252,1,169,203,25,70,52,183,20,220,1,154,191,203,108,125,20,
118,99,215,39,114,141,22,110,148,43,73,113,37,166,196,145,10,143,199,120,
67,146,162,178,120,73,194,172,142,112,23,53,135,1,31,1,82,169,83,139,
53,220,158,138,33,234,118,1,102,31,101,48,217,240,190,203,24,165,164,72,
171,91,106,148,91,177,51,1,178,42,61,1,235, };
static unsigned short stb__times_bold_44_latin1_t[224]={ 38,239,431,239,113,149,210,431,76,76,431,
382,451,451,451,210,210,354,382,210,354,210,239,239,239,239,410,297,410,451,410,
239,1,326,297,268,297,297,297,268,354,382,297,382,326,326,268,268,354,113,326,
239,382,268,239,297,354,354,354,113,239,113,431,451,451,382,268,382,268,382,326,
268,326,326,39,326,297,431,410,410,239,268,431,410,382,410,410,410,410,268,431,
39,39,1,451,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,38,113,113,
149,410,297,1,39,451,210,451,431,451,451,239,451,451,382,431,431,451,210,39,
451,451,431,451,431,180,180,180,210,39,39,76,113,113,113,326,113,76,76,39,
113,39,39,39,113,354,39,1,1,1,76,76,431,149,1,1,1,76,76,354,
210,149,149,149,210,180,149,410,354,149,149,149,180,149,180,180,326,210,297,180,
180,180,210,239,431,382,180,180,149,297,1,76,39, };
static unsigned short stb__times_bold_44_latin1_a[224]={ 159,212,353,318,318,636,530,177,
212,212,318,362,159,212,159,177,318,318,318,318,318,318,318,318,
318,318,212,212,362,362,362,318,591,459,424,459,459,424,388,494,
494,247,318,494,424,600,459,494,388,494,459,354,424,459,459,636,
459,459,424,212,177,212,369,318,212,318,354,282,354,282,212,318,
354,177,212,354,177,530,354,318,354,354,282,247,212,354,318,459,
318,318,282,250,140,250,331,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,159,212,318,318,318,318,140,318,
212,475,191,318,362,212,475,318,254,349,191,191,212,366,343,159,
212,191,210,318,477,477,477,318,459,459,459,459,459,459,636,459,
424,424,424,424,247,247,247,247,459,459,494,494,494,494,494,362,
494,459,459,459,459,459,388,354,318,318,318,318,318,318,459,282,
282,282,282,282,177,177,177,177,318,354,318,318,318,318,318,349,
318,354,354,354,354,318,354,318, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_44_latin1(stb_fontchar font[STB_FONT_times_bold_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_44_latin1_s[i] + stb__times_bold_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_44_latin1_t[i] + stb__times_bold_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_44_latin1_x[i];
            font[i].y0 = stb__times_bold_44_latin1_y[i];
            font[i].x1 = stb__times_bold_44_latin1_x[i] + stb__times_bold_44_latin1_w[i];
            font[i].y1 = stb__times_bold_44_latin1_y[i] + stb__times_bold_44_latin1_h[i];
            font[i].advance_int = (stb__times_bold_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_44_latin1_s[i] + stb__times_bold_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_44_latin1_t[i] + stb__times_bold_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_44_latin1_x[i] + stb__times_bold_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_44_latin1_y[i] + stb__times_bold_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_44_latin1_LINE_SPACING
#endif

