// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT        513
#define STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_46_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_46_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_46_latin1_LINE_SPACING          30

static unsigned int stb__times_bold_46_latin1_pixels[]={
    0x99998000,0x00000999,0x55555100,0x80000003,0x01eeeeea,0x36000000,
    0x0004eeee,0x3bbba600,0x26000004,0x003eeeed,0xdd700000,0x00001bdd,
    0x13109880,0x25910000,0xffffffe8,0x90000005,0x2e0dffff,0x9000000c,
    0x0009ffff,0x3fe60000,0x00000eff,0x3fffffa0,0x2a000001,0x0006ffff,
    0xffff0000,0x4c00003f,0x2dfb3fed,0x220006fd,0xfffa83fc,0x000005ff,
    0x01dffff0,0x00001fec,0x007fffc8,0xff700000,0x000001df,0x7fffffd4,
    0x54000006,0x0001ffff,0x7ffcc000,0xb100002f,0xb7ec5dff,0xf50006fd,
    0x7fffc05f,0x8000005f,0x800efffa,0x00001efc,0x001fffd8,0xffe80000,
    0x4000000f,0xfffefffe,0x5c000002,0x00003fff,0x17ffe400,0xffe88000,
    0xdfb6fd83,0x05ff3000,0x05fffff8,0xffc80000,0x3bee000e,0xfd800000,
    0x0000004f,0x000fffcc,0x3ffee000,0x000dffb2,0x0dff7000,0xff800000,
    0x3600002f,0x6fd80fff,0xf9800dfb,0xffff805f,0x8000005f,0xe8000eff,
    0x800000ef,0x000007fd,0x000ffdc0,0x3bfe2000,0x0017fe40,0x0ffdc000,
    0xf9800000,0x2600003f,0xdfb05fff,0xe8801bf6,0xfff802ff,0x000005ff,
    0x80007fd4,0x00005ffa,0x00003fd0,0x000ff400,0x06fe4000,0x00006fb8,
    0x0007f900,0x00ff2000,0xbfff7000,0x37edbf60,0x00dffd00,0x017ffffe,
    0x03950000,0x04fff800,0x00130000,0x004c0000,0x27440000,0x00017540,
    0x00009800,0x00031000,0x0dfffb00,0x037edbf6,0x002fffa8,0x00bfffff,
    0x00000000,0x0007fff2,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfc800000,0x2dfb07ff,0xffd006fd,0x7fffc00f,0x0015445f,0x26000000,
    0x20005fff,0xcdeecba9,0x8000009a,0xcdeecba9,0x8000009a,0xcdeecba9,
    0x6640009a,0xcccccccc,0x6440cccc,0xcccccccc,0x33333320,0xcccccccc,
    0x66666440,0xfa80cccc,0x6fd81fff,0xff500dfb,0x7ffc00df,0xfffb35ff,
    0x3ff2039f,0x2fffffff,0x17fffff4,0x003fffe0,0x9fffff70,0x1bffffb7,
    0xfff70000,0xfffb79ff,0x700001bf,0xb79fffff,0x001bffff,0x3ffff6ea,
    0x01acffff,0x7dfffd95,0xfffdba83,0x1acfffff,0xdfffd950,0x3ffe6037,
    0xfb6fd82f,0xbfffd00d,0x7ffffc00,0xffffff9d,0xfff701ff,0x7cc0dfff,
    0xffe801ef,0xffb1004f,0xff5103df,0x220007ff,0x881efffd,0x003ffffa,
    0x3dfffb10,0x7ffff510,0xffffd800,0x3a2003ff,0xffd801ff,0x2003ffff,
    0xf801ffe8,0x6fd83fff,0xff980dfb,0x3fe003ff,0x88cfefff,0x00fffffd,
    0x0bfffff9,0xfb001fd8,0xfb801fff,0x4c00efff,0x001effff,0x03bfffee,
    0x3dffff30,0x7fffdc00,0x7ffcc00e,0xff7001ef,0x8003ffff,0xff7004fc,
    0x8003ffff,0xffd004fc,0x36dfb09f,0x7ffe406f,0x3ffe002f,0xffd85fff,
    0xfff105ff,0x06e80fff,0x0bfffee0,0x1fffffc8,0xfffff700,0xffff9001,
    0x3fee003f,0xfc800fff,0x7001ffff,0x001fffff,0x1ffffff7,0x003fb800,
    0x1ffffff7,0x003fb800,0xfb05fffb,0xfb01bf6d,0x7c005fff,0xa80fffff,
    0x902fffff,0x205fffff,0x3ee002f8,0xff303fff,0xe8007fff,0x4c05ffff,
    0x003fffff,0x02fffff4,0x0fffffe6,0xbffffd00,0xfffff700,0x2f98001f,
    0xfffff700,0x2f98001f,0x20fffd00,0x80dfb6fd,0x001ffffe,0x817ffffe,
    0x104fffff,0x20dfffff,0x7fd4007b,0xfffd04ff,0xfb8001ff,0x3a02ffff,
    0x000fffff,0x17ffffdc,0x1fffffd0,0xffffb800,0x7ffdc02f,0x4c000fff,
    0xfff7002f,0x98001fff,0xfff8802f,0x3f679704,0x7ffffc06,0x3fffe001,
    0x3fffa05f,0x3fff605f,0x004e81ff,0x437fffd4,0x06fffffc,0xfffff980,
    0xffffc80f,0xff98006f,0xfc80ffff,0x8006ffff,0x0ffffff9,0x3ffffee0,
    0x17cc000f,0xfffffb80,0x17cc000f,0x0027fdc0,0x7fc40dfb,0x3e001fff,
    0x3a05ffff,0x2607ffff,0x4c5fffff,0x7fd4001f,0x7ffcc7ff,0xf0003fff,
    0x98bfffff,0x03ffffff,0xffffff00,0xfffff98b,0xfff0003f,0x7dc0bfff,
    0x000fffff,0xfb8017cc,0x000fffff,0xf91017cc,0x6fd8009f,0x3ffffe60,
    0x3fffe000,0x3fff605f,0x3ffa00ff,0x01b20fff,0x3ffffe60,0x3ffffee0,
    0xffd0002f,0xffb8ffff,0x0002ffff,0x8ffffffd,0x2ffffffb,0xffffd000,
    0x7ffdc0ff,0x4c000fff,0xfff7002f,0x98001fff,0x17df702f,0x40dfb000,
    0x00fffff9,0x17ffffe0,0x1fffffd8,0x3ffffea0,0x26000fe4,0x360fffff,
    0x01ffffff,0xfffffb00,0x7fffec1f,0xfb0001ff,0x6c1fffff,0x01ffffff,
    0xfffffb00,0x3ffee01f,0x4c000fff,0xfff7002f,0x98001fff,0x03bf902f,
    0x881bf600,0x000fffff,0x817ffffe,0x00fffffd,0xabfffff4,0xffa8000f,
    0x7fff47ff,0x90000fff,0x45ffffff,0x0ffffffe,0xffff9000,0x7fff45ff,
    0x90000fff,0x05ffffff,0x3fffffee,0x017cc000,0xffffffb8,0x017cc000,
    0x8005dfd3,0x7ffc06fd,0x3fe001ff,0x3f605fff,0xfb807fff,0x05dbffff,
    0xdffff500,0xfffffff8,0xfff90000,0x7ffc7fff,0x0000ffff,0x7ffffff9,
    0x7ffffffc,0xfff90000,0x3ee07fff,0x000fffff,0xfb8017cc,0x000fffff,
    0x7e4017cc,0x1bf6003f,0x03ffffd0,0x2fffffc0,0x0bffffd0,0xdfffff10,
    0x3ea0003f,0x3fe65fff,0x0007ffff,0x3ffffff2,0xffffff35,0x7fe4000f,
    0xff35ffff,0x000fffff,0x7fffffe4,0xfffff705,0x2f98001f,0xfffff700,
    0x2f98001f,0x02fff980,0xfd80dfb0,0x3e001fff,0x3a05ffff,0x9004ffff,
    0x00dfffff,0x27fffdc0,0xfffffff5,0x7ffdc000,0xfff55fff,0x4000ffff,
    0x5ffffffb,0xfffffff5,0x7ffdc000,0xff705fff,0x8001ffff,0xff7002f9,
    0x8001ffff,0xffd002f9,0x7ed7b20f,0x7fffe406,0x3fffe002,0xffff105f,
    0x3fe6005f,0x20003fff,0x223ffffb,0x07ffffff,0x3fffee00,0xffff14ff,
    0x5c000fff,0x14ffffff,0x0fffffff,0x7fffdc00,0xfff704ff,0x98001fff,
    0xfff7002f,0x98001fff,0xfffb002f,0x3f6dfb03,0x7fffd406,0x3fffe003,
    0xfffb81ff,0x7fec006f,0x320000ff,0x7fc1ffff,0x000fffff,0xffffff90,
    0x7fffffc7,0xff90000f,0x7fc7ffff,0x000fffff,0xffffff90,0x3fffee07,
    0x7cc000ff,0xffff7002,0xf98001ff,0x9fffd002,0x1bf6dfb0,0x013fffa0,
    0xfffffff8,0x3ffffa21,0x7ffd4002,0x7ff40005,0xffffe85f,0xf90001ff,
    0x745fffff,0x01ffffff,0xfffff900,0x7ffff45f,0xf90001ff,0x205fffff,
    0x0ffffffb,0x8017d400,0x0ffffffb,0x8017d400,0xfd83ffff,0xf500dfb6,
    0x7fc00dff,0xcefddfff,0x003fffff,0x0005ffd0,0xd81ffff8,0x02ffffff,
    0xfffffb00,0x7fffec1f,0xfb0002ff,0x6c1fffff,0x02ffffff,0xfffffb00,
    0x3ffee01f,0x54000fff,0xfff7002f,0xa8001fff,0xfff9802f,0xfb6fd82f,
    0x1fffa00d,0x5fffff80,0x5bfffff7,0x03fdc000,0x1bffe200,0x7fffffd4,
    0xffff0003,0xfffa8dff,0xf0003fff,0xa8dfffff,0x03ffffff,0xffffff00,
    0x7fffd40d,0x7d4000ff,0xffff5001,0xfa8001ff,0xffffa801,0xdfb6fd81,
    0x0bffee00,0x2fffffc0,0x40000ae6,0x5c0004f8,0x3fa02fff,0x8004ffff,
    0x1ffffff8,0x4fffffe8,0xffff8800,0xfffe81ff,0xf88004ff,0x201fffff,
    0x1ffffffa,0x8007dc00,0x1ffffffa,0x4007dc00,0xd80ffffb,0x200dfb6f,
    0xf005ffe8,0x000bffff,0x000f8800,0x2037ff40,0x07fffffa,0xfffffa80,
    0xfffff505,0xfff5000f,0x3fea0bff,0xa8007fff,0x405fffff,0x1ffffff9,
    0x3003ec00,0x03ffffff,0xfb007d80,0x5bf60fff,0x3e6006fd,0xfff800ff,
    0x000005ff,0x2a0002dc,0xfd800eff,0x4002ffff,0x01fffffd,0x0bfffff6,
    0xfffffb00,0x7fffec03,0x7fec002f,0xff801fff,0x4002ffff,0x7ffc006f,
    0x7c002fff,0xdfff9006,0x37edbf60,0x013fe600,0x017ffffe,0xf037ee00,
    0xffe80005,0xffff3001,0x7fcc00df,0x7cc04fff,0x2006ffff,0x04fffff9,
    0x37ffffcc,0xfffff300,0x3fff2009,0x3f2004ff,0x7ffe4003,0x3f2004ff,
    0xbfff3003,0x37edbf60,0x00ffd400,0x017ffffe,0x49fff500,0x7d40006a,
    0x7fcc001f,0xfb002fff,0x26009fff,0x002fffff,0x009ffffb,0x0bffffe6,
    0x27fffec0,0xfffff300,0x0df7005f,0xfffff300,0x0df7005f,0xb07fff80,
    0x001bf6df,0xff00ffdc,0x8000bfff,0x0ba6fffd,0x02ffa800,0xfffff300,
    0xffffd805,0x7ffcc004,0x7fec02ff,0x7cc004ff,0x6c02ffff,0x8004ffff,
    0x2ffffffb,0x001df710,0x3ffffee0,0x1df7102f,0x2fff9800,0x0dfb6fd8,
    0x817ecc00,0x006fffff,0x57fffdc0,0x3ee0006d,0x6440000c,0x261bffff,
    0x01efffeb,0xffff9100,0x7ff5cc37,0x910001ef,0x4c37ffff,0x01efffeb,
    0x3fffee00,0xfecbdfff,0x5c0000ef,0xdfffffff,0x00effecb,0x19ffd300,
    0x06fdb7ec,0x221e9800,0x1ffffffc,0x3ffe2000,0x50001eff,0x9800003b,
    0xffffffec,0x0003dfff,0xffffd930,0x07bfffff,0x3fb26000,0xffffffff,
    0xb100003d,0xffffffff,0x400005df,0xffffffd8,0x0002efff,0xb2ffec88,
    0x001bf6df,0xffff1080,0x07ffffff,0x33bae200,0x00020000,0x32aa6000,
    0x0000aabc,0x332aa600,0x00000aab,0x2f32aa60,0x000000aa,0x2af332aa,
    0x54000001,0x01abccca,0x23310000,0x00dfb6fd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbbb600,0x00000000,0x02000008,0x00040000,0x10000000,0x40000000,
    0x02eeeee9,0x1cb98000,0x80000550,0x005500b9,0xcccccca8,0xf500001c,
    0x000bffff,0x7664c000,0x2deffffe,0xbdff8800,0xfd910000,0x00019dff,
    0x80019fd5,0xfffecb98,0x00001acd,0x9ffff900,0xff900000,0x27417dff,
    0xfff70000,0x00ffff87,0x7dffff90,0xf1000035,0x03ffffff,0x75c40000,
    0x99aacdff,0x01cffdca,0x07fff220,0x59fff500,0x4007ffd7,0x005ffff9,
    0x33ffffee,0x0effffdb,0x7f400000,0x800005ff,0xfffffffb,0x0003ffef,
    0xa9bfffe0,0x9003ffff,0x0001ffff,0xfefffb80,0x800005ff,0x002effc8,
    0x2001ff4c,0x5002fff8,0xfff30dff,0x3fff6007,0x7f4400ff,0xff501eff,
    0x000007ff,0x0017ffe6,0x7ffffc00,0x0fffffff,0xfff10000,0x7fffdcff,
    0xffff9004,0xff880000,0x03fff54f,0x6ff4c000,0x6fe40001,0x3fff6000,
    0x0fffc401,0x9007fff8,0x401fffff,0x00fffffb,0x0f7fffd4,0x3ff20000,
    0xf1000005,0xffffd739,0x800007ff,0x3e24fffc,0xf9000fff,0x80000dff,
    0x7fcc3ffd,0xff700005,0x74c00009,0x3ffea005,0x83ffdc04,0x801ffff8,
    0x205ffff9,0x01fffffc,0x1fffff90,0x2ff40000,0x0f300000,0x005dfd73,
    0x20b6a000,0x32000cc8,0x00006fff,0x74407fe6,0x7ec0002f,0x9800002f,
    0xfff5003f,0x2fffd80f,0x00ffff88,0x2017fb50,0x03fffff9,0x2fffff40,
    0x0ef98000,0x00000000,0x00000000,0x6fffc800,0x03720000,0x40009b10,
    0x00000ffb,0x2e007ee0,0x3600ffff,0xff705fff,0xfd000009,0x8001ffff,
    0x02fffffc,0x00098800,0x00000000,0x00000000,0x00dfff90,0x00000000,
    0x0005ff30,0x9009d000,0xfb80ffff,0x01104fff,0xfff90000,0xf3000dff,
    0x001fffff,0x00000000,0xdeecba98,0x000009ac,0xdeecba98,0x320009ac,
    0x32006fff,0xcccccccc,0x440ccccc,0xcccccccc,0x05fe880c,0x0002ea20,
    0xffd801f3,0x7ffcc06f,0x00000eff,0xfffff980,0xfff0003f,0x6654bfff,
    0xcccccccc,0x665c02cc,0x002ccccc,0x79fffff7,0x01bffffb,0xffff7000,
    0xffffb79f,0xfff9001b,0x7edd400d,0xcfffffff,0xffd9501a,0x3f2037df,
    0xfff5000e,0xbfddd13f,0xfff00ba0,0xfff900bf,0xb0007fff,0x8fffffff,
    0x2ffffffb,0xffffd000,0x7ff64cff,0xacffffff,0x7ff64c00,0x6c401cff,
    0xa881efff,0x0003ffff,0x03dfffb1,0x07ffff51,0x006fffc8,0xffffffb0,
    0x7ff44007,0x00bfe201,0x6d46ffe4,0xb03ffffb,0x7fffc40b,0xffffb003,
    0x98001bff,0x6c7fffff,0x01ffffff,0xfffffb00,0xffff881f,0xf0006fff,
    0xff7001ff,0xf9801dff,0x2001efff,0x00effffb,0x0f7fffcc,0x006fffc8,
    0xffffff70,0x04fc8003,0x744037dc,0x7ff7c6ff,0x40d700ff,0x002ffff8,
    0xfffffff1,0xffd8005f,0x7fff47ff,0x90000fff,0x05ffffff,0xfffffff3,
    0x03ff0003,0x3fffff90,0x3fffee00,0xfffc800f,0xff7001ff,0xff901fff,
    0x3ee000df,0x000fffff,0x3fa01fdc,0x1fffd803,0x037fffec,0xffff80f5,
    0xffbfb001,0x005fffff,0x23ffffe4,0x0fffffff,0xffff9000,0x3ff607ff,
    0x4004ffff,0xff9804fa,0x74003fff,0x4c05ffff,0x003fffff,0x42fffff4,
    0x0006fffc,0x1ffffff7,0x202f9800,0x7e400ff9,0xfffe85ff,0x901e204f,
    0xfb003fff,0x3ffffea7,0xff9002ff,0x7ffccfff,0x20007fff,0x5ffffffb,
    0xffffff10,0x0374001f,0x0fffffe8,0x7fffdc00,0x3fffa02f,0x7dc000ff,
    0x7e42ffff,0xf70006ff,0x001fffff,0x3f202f98,0x7fffd405,0x1fffff81,
    0xff301e20,0x46fc807f,0xffffffe8,0xffffc801,0x3ffffea7,0x3ee0007f,
    0x205fffff,0x5ffffffb,0x9005f700,0x00dfffff,0xffffff30,0xfffff901,
    0xfff3000d,0x7fe41fff,0xff70006f,0x8001ffff,0x0ff602f9,0x30dfffd0,
    0x980fffff,0x06ff9806,0x7e40ffe6,0xc806ffff,0x3e27ffff,0x007fffff,
    0x3ffffee0,0x7fffc04f,0x7c401fff,0xffff9805,0xff0003ff,0xf98bffff,
    0x003fffff,0xbffffff0,0x0037ffe4,0xffffffb8,0x017cc000,0x7fd405fd,
    0xfffa83ff,0x802d405f,0xfb81dfe9,0x3ffea03f,0x7fe402ff,0x7fffc7ff,
    0x90000fff,0x07ffffff,0xffffffb8,0x4007e405,0x2ffffffb,0xffffd000,
    0xffffb8ff,0xfd0002ff,0x7e4fffff,0xf70006ff,0x001fffff,0x3fe02f98,
    0x3ffffa01,0x2ffffd80,0x2a002640,0x2fff45fd,0x13fffea0,0x8fffff90,
    0x1ffffffe,0xffffb000,0xffd005ff,0x2605ffff,0xfffb004f,0x20003fff,
    0x0ffffffd,0x3ffffff6,0xfffb0001,0x3ff21fff,0xff70006f,0x8001ffff,
    0x03fe02f9,0x42ffffcc,0x00fffff9,0x2e2000f4,0x3fffe0ff,0x37ffdc02,
    0x1fffff20,0x5ffffffb,0x3fffa000,0xfa800fff,0xd06fffff,0x7fff400d,
    0x90000fff,0x45ffffff,0x0ffffffe,0xffff9000,0x3fff25ff,0xfff70006,
    0x98001fff,0x40ff102f,0xc83ffffb,0x4c06ffff,0x3ff62006,0x7ffffc0c,
    0x027ff401,0x51fffff2,0x07ffffff,0x3ffffe00,0x3ff6006f,0x7dc2ffff,
    0x3fffe002,0x90000fff,0x47ffffff,0x0fffffff,0xffff9000,0x3fff27ff,
    0xfff70006,0x98001fff,0x403fe02f,0x442ffffd,0x404fffff,0xffd1003c,
    0x3ffff601,0x0bff202f,0x0fffff90,0x09fffffd,0xfffff100,0x7fcc005f,
    0x3e26ffff,0x3ffe6005,0x20007fff,0x5ffffffc,0xfffffff3,0x7ffe4000,
    0xfff95fff,0x3fee000d,0x4000ffff,0x07fe02f9,0x20fffff4,0x01fffffd,
    0x3a2003e6,0x3fe205ff,0xfb04ffff,0xfffc801f,0xffffa87f,0x7dc000ff,
    0x8005ffff,0x3ffffffd,0x7d4001f9,0x007fffff,0x3ffffee0,0xfffff55f,
    0x7dc000ff,0xf95fffff,0x2e000dff,0x00ffffff,0xfd017cc0,0x3ffffe07,
    0x3fffb720,0xb8017407,0x7d402fff,0x20efffff,0xfc803ff8,0xffb07fff,
    0xe8007fff,0x001fffff,0xffffff88,0x44004faf,0x07ffffff,0x3fffee00,
    0xffff14ff,0x5c000fff,0x94ffffff,0x2000dfff,0x0ffffffb,0x9017cc00,
    0xffff109f,0x3fe3ee5f,0x017606ff,0x800fffd8,0xfffffffb,0x32009fb2,
    0xf307ffff,0x400dffff,0x04fffffa,0x3ffff200,0x8000ffff,0x0fffffff,
    0xffff9000,0x7fffc7ff,0x90000fff,0x27ffffff,0x0006fffc,0x1ffffff7,
    0x202f9800,0xffff05fa,0xff15fdff,0x037609ff,0xffff1033,0x3ffee005,
    0x02feffff,0x1fffff20,0x2ffffe88,0x7ffffd00,0xfff88000,0x0002ffff,
    0x3ffffffd,0x3fff2000,0x3ffa2fff,0x0001ffff,0x5ffffff9,0x001bfff2,
    0x7fffffdc,0x017d4000,0x3ffa0ff1,0x3f63ffff,0x82f4c5ff,0xffff881f,
    0x3ffea003,0x4006ffff,0x407ffffc,0x02ffffe8,0x017fffec,0xffffb800,
    0xfb0001ff,0x005fffff,0x3fffff60,0x3ffff60f,0xfb0002ff,0x321fffff,
    0x70006fff,0x01ffffff,0x6c02fa80,0xffffa81f,0x7fffd42f,0xb703eebd,
    0x027fffc0,0x3ffff620,0x3f2004ff,0xf9007fff,0x54439fff,0x001efffe,
    0x3fffea00,0xf50001ff,0x007fffff,0x3fffffe0,0x7ffffd46,0xfff0003f,
    0x7fe4dfff,0xff50006f,0x8001ffff,0x37cc01fa,0x301dfc88,0x4059dfd7,
    0x3ffa00f8,0xff70005f,0x2005ffff,0x007ffffc,0x7ffffed4,0x001cffff,
    0xffffa800,0x3a0001ff,0x004fffff,0xffffff88,0xfffffe81,0xfff88004,
    0x3ff21fff,0xff50006f,0x8003ffff,0x4fc800fb,0x64000000,0x3fffe403,
    0xfffb1000,0x3ff200ff,0xf30007ff,0x01ffffff,0x7fd40000,0x0001ffff,
    0x1fffffea,0x3fffea00,0xffff505f,0xff5000ff,0xffc8bfff,0xff30006f,
    0x8003ffff,0x3ff1007d,0x2a000000,0xffffb806,0xf9009800,0xf7003fff,
    0x4000ffff,0x3ffffffb,0x3ea00000,0x001fffff,0x7ffffec0,0x7ffec002,
    0x3ff601ff,0x6c002fff,0x641fffff,0x20006fff,0x02ffffff,0xf30037c0,
    0x7000000d,0xfff5003f,0x09ffb00f,0x200ffff6,0x007ffffb,0x7fffff40,
    0x5000000f,0x03ffffff,0xffff9800,0x3fe6006f,0x7cc04fff,0x2006ffff,
    0x84fffff9,0x0006fffc,0x13fffff2,0x4003fc80,0x000004fa,0x7cc003ae,
    0x7fcc05ff,0xfffa80ff,0xff51dc42,0x98000dff,0x0effffff,0xffa80000,
    0x0001ffff,0x2fffff98,0x9ffffb00,0x3fffe600,0xfffb002f,0x3fff209f,
    0x3fe60006,0xb802ffff,0xdf50006f,0xec800003,0x3ffee000,0x3fffd402,
    0x6c0fff88,0xffff52ff,0xff30000b,0x005dffff,0xffffa800,0x300001ff,
    0x805fffff,0x004ffffd,0x17ffffcc,0x13ffff60,0x00ffffc8,0x3fffee00,
    0xdf7102ff,0x7f4c0001,0xefb80004,0x27ffc000,0x837ffc40,0xfff86ffb,
    0x03ffff34,0x3ffa2000,0xabceffff,0xff70000a,0x0005ffff,0x7fffe440,
    0x3ffae61b,0x910001ef,0x4c37ffff,0x01efffeb,0x56ffffe4,0xffb80009,
    0xcbdfffff,0x0000effe,0x00aefc88,0x00bbee20,0x009ffd50,0x7c437fe4,
    0x4ffc81ef,0x0007fff3,0xffff9300,0x005dffff,0xffffff30,0x800001df,
    0xfffffec9,0x003dffff,0xfffd9300,0x7bffffff,0x33332a00,0x10001ccc,
    0xfffffffb,0x00005dff,0x9bfff910,0xfdb95335,0xfe88003b,0xfc8001df,
    0xeffebcef,0xd7fff300,0x00000dff,0x01355530,0xffffd900,0xdfffffff,
    0x9800007d,0x0aabccaa,0x2a600000,0x00aabcca,0x80000000,0x1abcccaa,
    0x73000000,0x79bdfdd9,0x0d400015,0x76e44000,0xd9801bde,0x0002defe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77744000,0x000003ee,0x00bbbbae,0x2aa66000,0xcccccbaa,0x54001ccc,
    0x002b880b,0x3eeeea80,0xdddd1000,0xd300007d,0x0005dddd,0xb80de540,
    0x77764001,0x000000ee,0x00010004,0x05ffffb8,0x3fe20000,0x0000ffff,
    0xfffffc98,0xffffffff,0x3a001acf,0x3fe61fff,0x3e20005f,0x000fffff,
    0x05ffffa8,0xffff9000,0x3a200009,0x262dffff,0xffd8002f,0x200002ff,
    0xdfffedb8,0x005a80ac,0x02ffff40,0x3ff20000,0x0003ffff,0x7fffffdc,
    0x0ffd47ff,0x7fffcc00,0x07ffff64,0x7fffe400,0xfd8004ff,0x00000eff,
    0x000bfffd,0x7ffffec0,0x01ffefff,0x5fffe880,0xffd98000,0xffdeffff,
    0x05e99cff,0x17ffe200,0xff300000,0x01ffffff,0x3ffff200,0x547fffff,
    0xff50005f,0x7ffecbff,0xff88001f,0x00ffffff,0x03bffe20,0x7ffcc000,
    0x3e600005,0xffffffff,0x220006ff,0x0000fffe,0x33fffff2,0xffffb880,
    0x3ee0005f,0x000000ef,0x74477fec,0xfa8004ff,0xffffffff,0x002fd47f,
    0x543fffd0,0xb0006fff,0xffd13dff,0x77fd400b,0x3f200000,0x5c00005f,
    0xffffc9af,0x40001fff,0x8002ffe8,0x0effffe8,0x5fffc880,0x03bfa000,
    0xff500000,0x00ffd88b,0x3ffffa20,0x47ffffff,0x220004fa,0x0bc981cb,
    0x0dff9800,0xd800ffec,0x400000ef,0x800006fe,0xdfeca85c,0xfd100001,
    0xfff8800b,0x6c000eff,0xf10005ff,0x0000001d,0x27ec07fd,0xfffff700,
    0x8fffffff,0x000004fa,0x13fa0000,0xf8805fc8,0x4c00000e,0x000000ef,
    0x20000000,0x3a000ff8,0x000fffff,0x2000bfd0,0x00000098,0xeb802ea8,
    0xffff9000,0xffffffff,0x00004fa8,0x7d300000,0x3001d700,0x31000001,
    0x00000001,0x31000000,0x7fffec00,0x3e20003f,0x00000005,0x00000000,
    0x7fffffec,0x547fffff,0x3333204f,0xcccccccc,0x666440cc,0x00cccccc,
    0x00000000,0x26000000,0xcccccccc,0x9999001c,0x00099999,0x3fffea00,
    0x740000ff,0x024c0005,0x49800000,0x7fffc000,0xffffffff,0x75027d47,
    0xfffffffb,0x32a0359f,0x21befffe,0xccccccc8,0x0ccccccc,0x99999991,
    0x19999999,0x33333322,0xcccccccc,0xcccccccc,0x7ffedc43,0x800fffff,
    0xcffffeba,0x33333222,0xcccccccc,0x7ffff40c,0x5a80005f,0x007ec000,
    0x7ec00000,0x3ff60000,0xffffffff,0x8027d47f,0x3ffffffd,0x07ffa200,
    0x7fffed4c,0x41bdffff,0xfffffda9,0x4c1bdfff,0xffffffdb,0xffffffff,
    0x206fffff,0xfffffffc,0x3ff6000e,0xfffb5300,0x37bfffff,0xffffff98,
    0x00300003,0x001ffcc0,0x3fe60000,0x3fee0003,0xffffffff,0x8027d47f,
    0x1ffffffb,0x8027e400,0x5ffffffc,0xfffff900,0x3ff200bf,0x4cc2ffff,
    0x06ffffb9,0x7fffffe4,0x13ea005f,0x7ffffe40,0x3fff205f,0x00001fff,
    0x6ffc8000,0x64000000,0x260006ff,0xffffffff,0x27d47fff,0xfffffb80,
    0x1fdc000f,0xfffffa80,0xfff5002f,0x2a005fff,0x02ffffff,0x2037fec4,
    0xfffffffa,0x09f3003f,0x3ffffea0,0x3fffe02f,0x00000fff,0x7ffc4000,
    0x0000002f,0x005ffff1,0x3ffffe20,0x47ffffff,0xff7004fa,0x8001ffff,
    0xff5002f9,0x2005ffff,0x2ffffffa,0xfffff300,0x1bf2005f,0xffffff50,
    0xf1003fff,0x3ffea007,0x3fe02fff,0x0007ffff,0xffb80000,0x000005ff,
    0x0bffff70,0x7ffff400,0x47ffffff,0xff7004fa,0x8001ffff,0xff3002f9,
    0x2005ffff,0x2ffffff9,0xfffff300,0x0374005f,0x3fffebea,0x4400ffff,
    0xfff3002f,0x3e205fff,0x007fffff,0xff800000,0x0001ffff,0xfffff800,
    0xff10001f,0xffffffff,0x7004fa8f,0x01ffffff,0x3002f980,0x05ffffff,
    0x3ffffe60,0xfff3002f,0x20205fff,0x5c7d406b,0x6fffffff,0x98017c40,
    0x02ffffff,0xfffffff3,0x80000000,0x4ffffffa,0x7d400000,0x004fffff,
    0x3ffffea0,0x7d47ffff,0xffff7004,0xf98001ff,0xffff3002,0x3e6005ff,
    0x002fffff,0x5ffffff3,0x501a61a0,0x3ffff21f,0x3e204fff,0xffff3002,
    0x3fe605ff,0x000fffff,0x3fa00000,0x00ffffff,0x3ffa0000,0x000fffff,
    0x3ffffa20,0x27d47fff,0xfffffb80,0x17cc000f,0xfffff980,0xfff3002f,
    0x26005fff,0x82ffffff,0xfa807078,0x3fffff60,0x05f103ff,0x3ffffe60,
    0xffff102f,0x00003fff,0x3f7e6000,0x003fffff,0xffbf3000,0x0007ffff,
    0xffffd930,0x7004fa8f,0x01ffffff,0x3002f980,0x05ffffff,0x3ffffe60,
    0xfff3002f,0x0f505fff,0xe883ea00,0x1fffffff,0xf3002f88,0x405fffff,
    0x3fffffff,0xb0000000,0x3fffffad,0xdb000007,0x1ffffffa,0x3e620000,
    0xb8027d47,0x00ffffff,0x98017cc0,0x02ffffff,0xffffff30,0x3ffe6005,
    0x07e82fff,0xf981f500,0x0fffffff,0xf98017c4,0x202fffff,0x4ffffffe,
    0x88000000,0xfffff73f,0x8800005f,0xfffff73f,0x2000005f,0x8027d47f,
    0x0ffffffb,0x8017cc00,0x2ffffff9,0xfffff300,0x3fe6005f,0x7d42ffff,
    0x01f50007,0xfffffff5,0x3002f88d,0x05ffffff,0x7fffffdc,0x80000005,
    0xffff10fc,0x80000dff,0xffff10fc,0x00000dff,0x009f51fe,0x3fffffee,
    0x017cc000,0xffffff98,0xffff3002,0x3e6005ff,0x2e2fffff,0xf50007ff,
    0x3ffff201,0x0be24fff,0x7ffffcc0,0x3ffe202f,0x00006fff,0x3227c400,
    0x01ffffff,0xc89f1000,0x01ffffff,0x547f8000,0xfff7004f,0x98001fff,
    0xfff3002f,0x26005fff,0x02ffffff,0xffffff30,0x0fffffdd,0xd803ea00,
    0x2fffffff,0x3e6005f1,0x402fffff,0x1ffffffc,0x2e000000,0x7fffcc0f,
    0x700005ff,0xffff981f,0x800005ff,0x8027d47f,0x0ffffffb,0x8017cc00,
    0x2ffffff9,0xfffff300,0x3fe6005f,0xfffeffff,0xf50007ff,0x7fff4401,
    0x2f89ffff,0xfffff300,0xffe8805f,0x40005fff,0x20bf001c,0x0ffffffd,
    0xb05f8000,0x01ffffff,0x547f8000,0xfff7004f,0x98001fff,0xfff3002f,
    0x26005fff,0x02ffffff,0xffffff30,0x01fff265,0x22007d40,0xefffffff,
    0xff3002f8,0x3005ffff,0x03ffffff,0x2007ee00,0xfff501fa,0x80009fff,
    0xfff501fa,0x00009fff,0x027d47f8,0xffffffb8,0x017d4000,0xffffff98,
    0xffff3002,0x3e6005ff,0x642fffff,0x1f50007f,0xfffff500,0x2005fdff,
    0x2ffffff9,0xfffff500,0x7e44003f,0xe80dd004,0x00ffffff,0xfd01ba00,
    0x001fffff,0x3ea3fc00,0xffff7004,0xfa8001ff,0xffff3002,0x3e6005ff,
    0x002fffff,0x5ffffff3,0x2a000fd0,0xfff7000f,0x005fffff,0x3fffffe6,
    0x3ffa6002,0x54403fff,0x9f3002fe,0xb5555555,0x07ffffff,0x2ab3e600,
    0xffdaaaaa,0x0003ffff,0x09f51fe0,0x3ffffea0,0x0fd4000f,0xfffff980,
    0xfff3002f,0x26005fff,0x82ffffff,0x1f50007c,0x7fffec00,0xf3002fff,
    0x005fffff,0xfffffd88,0xfecaabcf,0x3f6000df,0xffffffff,0x6fffffff,
    0xffffb000,0xffffffff,0x000dffff,0x13ea3fc0,0x7ffffd40,0x07dc001f,
    0xfffff980,0xfff3002f,0x26005fff,0x82ffffff,0xfa824079,0x7fff4000,
    0xf3002fff,0x005fffff,0x3fffae20,0x3defffff,0x4cdfc400,0xc9999999,
    0x02ffffff,0x4ccdfc40,0xfc999999,0x002fffff,0x4fa8ff00,0xfffff300,
    0x07d8003f,0x3ffffe60,0xfff3002f,0x26005fff,0x02ffffff,0xfa82540d,
    0x7ffc4000,0xf3002fff,0x005fffff,0x7fb53100,0x3e400013,0xfffff100,
    0x07c800df,0x3ffffe20,0xff00006f,0x3e004fa8,0x002fffff,0xff30037c,
    0x2005ffff,0x2ffffff9,0xfffff300,0x3e80205f,0x30001f50,0x005fffff,
    0x3fffffe6,0x3a200002,0x7cc0001e,0x7ffec004,0xf3001fff,0xfffd8009,
    0x80001fff,0x0027d47f,0x09fffff9,0x3001fe40,0x05ffffff,0x3ffffe60,
    0xfff3002f,0xa8005fff,0x001f502f,0x0bfffee0,0x7ffffcc0,0x3200002f,
    0x20003fff,0x7cc001fd,0x005fffff,0xf98003fb,0x005fffff,0x27d47f80,
    0xfffff300,0x0df7005f,0xfffff980,0xfff3002f,0x26005fff,0x02ffffff,
    0x5c07fe60,0x3f20001f,0xff3002ff,0x0005ffff,0x037ff540,0x0007f980,
    0x3ffffffd,0x0007f980,0x3ffffffd,0x547f8000,0x7fdc004f,0x7102ffff,
    0xfa8001df,0x002fffff,0x5ffffff5,0x3fffea00,0xff3002ff,0x013fa01f,
    0x005ffd00,0x3fffffea,0x7dc00002,0xffd0007f,0xfff90001,0xfe80dfff,
    0xffc8000f,0x0006ffff,0x013ea3fc,0x3ffffee0,0xffecbdff,0xffb8000e,
    0x7003ffff,0x07ffffff,0x3ffffee0,0x7fecc05f,0x7fff907f,0x3fe20001,
    0xffff7002,0x800007ff,0x54005ffd,0x4004fffe,0xffffffe8,0x7ff540cf,
    0x7f44004f,0x0cffffff,0xfa8ff000,0xffb10004,0xdfffffff,0x3fe60005,
    0x01ffffff,0x7fffffcc,0x7fcc01ff,0xceffffff,0xfffeeccc,0x3ffaa6ff,
    0x01efffff,0x9802f980,0xffffffff,0x64c40001,0x32000eff,0xefffffff,
    0x3fffb202,0xffffffff,0xffffff93,0x7f6405df,0xffffffff,0x7f8003ff,
    0x400027d4,0x1abcccaa,0xfffe8800,0xffffffff,0xfffd10ef,0xffffffff,
    0x3ffa21df,0xffffffff,0xffffffff,0x0005ffff,0x4406a000,0xfffffffe,
    0x00efffff,0x02cdec80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3bbb2000,0x2000005e,
    0x005eeeec,0x03971000,0x00001793,0x005dddd7,0x10175000,0x00000057,
    0xcccca86a,0x2a002ccc,0x001b880b,0x805dcc00,0x0b98001b,0x00002b88,
    0xffffd100,0x22000003,0x002ffffe,0x1ffff800,0x001bffea,0xdfffff10,
    0xffe80000,0x17ffe61f,0x3f100000,0x7fff5d4c,0xfffd003f,0x02fffd41,
    0x7ffec400,0x00be62df,0x4c3fffb0,0xfc886fff,0x440000be,0x0004fffe,
    0x3fffa200,0x7d400004,0x3ff64fff,0x360001ff,0x03ffffff,0xffff3000,
    0x0ffffec9,0x0d700000,0x01ffffcc,0xb1ffffd4,0x0001ffff,0xffffffd8,
    0x001ffdff,0xc97fffe2,0x7ec1ffff,0x80004fff,0x0006fff8,0x3fff4400,
    0x3fea0000,0x3fff64ff,0xff30000f,0x00ffffff,0x3fffea00,0x07ffff65,
    0x03e80000,0x401ffffc,0x3a4ffffa,0x0001ffff,0x3fffffe6,0x006fffff,
    0xb2ffffcc,0x7c45ffff,0x0007ffff,0x003fff30,0xffe88000,0x7f400002,
    0x3ffe60ff,0x3ffa0005,0x03ffe98e,0x3fffd000,0x0037ffd4,0x801f3000,
    0xf003ffff,0x7fd43fff,0x7d40006f,0xfffffc9b,0xfe8001ff,0x3ffe62ff,
    0x7ffffd47,0xf300001f,0x0000009f,0x00009ff1,0x37101750,0x27fd4000,
    0x0003ffa2,0x26072e20,0x000000bc,0x3ffe0172,0x3971003f,0x00017b30,
    0xffca85b8,0x9710001e,0xa8179303,0x00ffffff,0x01be6000,0x3fcc0000,
    0x00000000,0x80ffe200,0x000004fd,0x10000000,0xffff005f,0x00000007,
    0x00000000,0xfff30000,0x00000fff,0x00000031,0x000000c4,0x3aa00000,
    0x0005c801,0x00000000,0x3fe00f70,0x000003ff,0x00000000,0xff000000,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00498000,0x2aa62000,
    0xffff004e,0x33333227,0xcccccccc,0xcccccccc,0x9300003c,0xccc88000,
    0xcccccccc,0x3ffa0ccc,0x332204ff,0xcccccccc,0xcccccccc,0x0003cccc,
    0xc8000930,0xffffffff,0x7ffff42f,0x9999912f,0x99999999,0x99999999,
    0x36000079,0x5c00000f,0x1efffffe,0x23ffff80,0xfffffdb9,0xffffffff,
    0x06ffffff,0x001fb000,0xfffda980,0x1bdfffff,0x017fffe4,0x3ffff6e6,
    0xffffffff,0x6fffffff,0x01fb0000,0xffffb800,0x3fe606ff,0x7fedcc1e,
    0xffffffff,0xffffffff,0xf980006f,0x3200003f,0xfffb8cff,0x7fffc03f,
    0xfffff903,0xfb99985f,0x80006fff,0x00003ff9,0x3ffffff2,0x3fffea05,
    0x3fff2000,0x4ccc2fff,0x006ffffb,0x003ff980,0xfffffc80,0x200fec05,
    0x2ffffffc,0x7ffdcccc,0xfc80006f,0xfd00006f,0xfffff8df,0x0ffffe01,
    0x7fffffd4,0x37fec402,0x37fe4000,0xfff50000,0x7c405fff,0x7d4007ff,
    0x402fffff,0x0006ffd8,0x0006ffc8,0x7fffff88,0x7d403740,0x402fffff,
    0x0006ffd8,0x017fffc4,0x8bffee00,0x04fffffa,0x4c0ffffe,0x02ffffff,
    0x8000df90,0x002ffff8,0xfffff500,0x5ffe805f,0x7fffcc00,0xdf9002ff,
    0xfff88000,0xfc80002f,0xf102ffff,0xffff3005,0x3f2005ff,0x7fdc0006,
    0x220005ff,0x3f61ffff,0x3e05ffff,0xff303fff,0x4005ffff,0x7dc0006e,
    0x00005fff,0x5ffffff3,0x003ffd80,0x7fffffcc,0x001ba002,0x0bffff70,
    0xffff1000,0x401ee0df,0x2ffffff9,0x0001ba00,0x03ffffff,0x3ffff200,
    0xfffb5f10,0x1ffffc07,0xffffff98,0x00d70102,0xffffff80,0xff980001,
    0x5c02ffff,0x7cc001ff,0x102fffff,0xf8000d70,0x001fffff,0xfffffd80,
    0xf3004e81,0x205fffff,0x20006b80,0x4ffffffa,0xffffd000,0x02db8bdc,
    0x981ffffc,0x02ffffff,0x4000d30d,0x4ffffffa,0xfff98000,0x7cc02fff,
    0xfff98007,0x30d02fff,0x7fd4000d,0x0004ffff,0x5fffff98,0xf9800fcc,
    0xd02fffff,0x74000d30,0x0fffffff,0xfffff800,0xff0009d0,0x3fe607ff,
    0x7882ffff,0x7f400070,0x00ffffff,0x7fffcc00,0x37c402ff,0x7fffcc00,
    0x707882ff,0x7fff4000,0x0000ffff,0x0fffffe8,0xff9801b2,0x7882ffff,
    0x3e600070,0x3ffffffd,0x7fffcc00,0x8001f9af,0xf303ffff,0x505fffff,
    0xf980000f,0x3ffffffd,0x7ffcc000,0x5f802fff,0xffff9800,0x007a82ff,
    0x7fefcc00,0x0003ffff,0x4fffffa8,0xff9800fe,0x7a82ffff,0xeb6c0000,
    0x007fffff,0x5fffffd4,0xfff0006c,0x3ffe607f,0x07e82fff,0xfeb6c000,
    0x0007ffff,0x7fffffcc,0x8004d802,0x2ffffff9,0x400007e8,0xfffffd6d,
    0x3fa0000f,0x01f57fff,0x7ffffcc0,0x0007e82f,0x7fdcfe20,0x2002ffff,
    0xfcfffff9,0xffff0003,0x3fffe607,0x03fd42ff,0x2e7f1000,0x02ffffff,
    0x3fffe600,0x03c802ff,0xfffff980,0x003fd42f,0x3ee7f100,0x002fffff,
    0xfffffb80,0x7cc005db,0x542fffff,0x3200007f,0xfffff10f,0x7fc400df,
    0x000fffff,0x207ffff0,0x2ffffff9,0x0001ffee,0xfff10fc8,0x4000dfff,
    0x2ffffff9,0x3e600000,0x2e2fffff,0x200007ff,0xffff10fc,0x10000dff,
    0x3fdfffff,0xffff9800,0x1ffee2ff,0x227c4000,0x1ffffffc,0x3ffffa00,
    0x3fe0005f,0xfff303ff,0xfffddfff,0x220000ff,0x7fffe44f,0xf30001ff,
    0x005fffff,0x7ffcc000,0xfffeefff,0xf100007f,0xfffffc89,0xfc80001f,
    0x8006ffff,0xeffffff9,0x007ffffe,0xf981f700,0x005fffff,0x17fffff6,
    0x3ffff800,0xffffff30,0x0ffffffd,0x303ee000,0x0bffffff,0x3fffe600,
    0x000002ff,0x3fffffe6,0x07fffffe,0x981f7000,0x05ffffff,0xffff9800,
    0xff98003f,0xfffeffff,0xf00007ff,0x3ffff60b,0xff5000ff,0x6407ffff,
    0x07ffff01,0x3fffffe6,0x00fff932,0x7ec17e00,0x000fffff,0xffffff98,
    0x01775c02,0x3ffffe60,0x0fff932f,0x6c17e000,0x00ffffff,0xffffd800,
    0xfff98000,0xff932fff,0x3f50000f,0x3ffffea0,0x3ff2004f,0x220bffff,
    0x3fffe04d,0xfffff303,0x007fc85f,0xf501fa80,0x009fffff,0xffffff30,
    0x7fffe405,0x3ffe6003,0x3fe42fff,0x80fd4000,0x4ffffffa,0xfffa8000,
    0xfff30005,0x7fc85fff,0x406e8000,0x0ffffffe,0x3ffffa00,0x05fedfff,
    0x981ffffc,0x82ffffff,0x6e80007e,0x7fffff40,0x7fcc000f,0x3e02ffff,
    0x2006ffff,0x2ffffff9,0xe80007e8,0x7ffff406,0xe80000ff,0xf30002ff,
    0xd05fffff,0xcf98000f,0xdaaaaaaa,0x03ffffff,0x3ffffe20,0x400effff,
    0xf303ffff,0x905fffff,0xcf98000f,0xdaaaaaaa,0x03ffffff,0x7ffffcc0,
    0xffff302f,0x3e6001ff,0xc82fffff,0x67cc0007,0xdaaaaaaa,0x03ffffff,
    0x007fb800,0x3ffffe60,0x0007c82f,0x7fffffec,0xffffffff,0x3e2006ff,
    0xbdfffffe,0x3ffff800,0xffffff30,0x0480f305,0x7fffffec,0xffffffff,
    0x7cc006ff,0x202fffff,0x005ffffe,0x3fffffe6,0x02407982,0x3ffffff6,
    0xffffffff,0x880006ff,0x3e60004f,0x982fffff,0x7f102407,0x33333333,
    0xffffff93,0xb99ee005,0x7ffc000a,0xffff303f,0xa81a05ff,0x266fe204,
    0xc9999999,0x02ffffff,0x3ffffe60,0x3ffea02f,0x3fe6001e,0x0d02ffff,
    0x37f10254,0x33333333,0x5ffffff9,0x00f88000,0x3fffe600,0x540d02ff,
    0x8801f204,0x06ffffff,0x200009d0,0xf303ffff,0x205fffff,0x7c80fa00,
    0x3fffe200,0x3e6006ff,0x802fffff,0xff98002a,0x0102ffff,0x00f901f4,
    0x7fffffc4,0x02dc0006,0x3fffe600,0x740102ff,0x8009f303,0x1ffffffd,
    0x0000fcc0,0x303ffff8,0x05ffffff,0xf302fa80,0xfffd8009,0xf3001fff,
    0x005fffff,0x7ffcc000,0x54002fff,0x009f302f,0xffffffd8,0x206fdc01,
    0x7cc0002f,0x002fffff,0x1fd817d4,0x7fffcc00,0x036405ff,0x7ffff000,
    0x3ffffe60,0x3fe6002f,0x8003fb01,0x5ffffff9,0xfffff300,0x3333205f,
    0x4ccccccc,0xffffff30,0x0ffcc005,0x4c001fd8,0x05ffffff,0x6a93ffea,
    0xfff98000,0x26002fff,0x07f981ff,0xfffffd00,0x001fc03f,0x07ffff00,
    0x3fffffea,0x1fff3002,0x2000ff30,0x1ffffffe,0xfffffa80,0xfffff02f,
    0x0dffffff,0x3fffffea,0x1fff3002,0x2000ff30,0x1ffffffe,0x74dfffb0,
    0xffa80002,0x3002ffff,0xffd01fff,0xfff90001,0x3ea0dfff,0xff300000,
    0x3fee07ff,0x4c05ffff,0xfd07fffd,0xff90001f,0x700dffff,0x07ffffff,
    0x3ffffffe,0xf706ffff,0x80bfffff,0xd07fffd9,0xf90001ff,0x20dfffff,
    0x6daffffb,0xfff70000,0xd980bfff,0x7f547fff,0x744004ff,0xcfffffff,
    0x20002ec0,0xffffea98,0xfffff983,0xccccefff,0x6fffffee,0x027fff54,
    0x3ffffa20,0xf300cfff,0x3fffffff,0xfffffff0,0xf30dffff,0xdfffffff,
    0xffdd9999,0xfea8dfff,0x744004ff,0xcfffffff,0x7ffffc40,0xf980001e,
    0xefffffff,0xffeecccc,0x3ff26fff,0x02efffff,0x3fffffb2,0x23ffffff,
    0x6540001c,0x12cccccc,0xfffffffd,0xffffffff,0xbfffffff,0x7fffffe4,
    0x3fb202ef,0xffffffff,0xfffd13ff,0xffffffff,0x2eeee1df,0x3bbbbbbb,
    0xffffffd1,0xffffffff,0xffffffff,0x7ffffe4b,0x3b202eff,0xffffffff,
    0x75c43fff,0x220000ce,0xfffffffe,0xffffffff,0x5fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x00002dc9,0x400004c0,0x4c400000,0x00000000,0x40008000,0x00000004,
    0x00000000,0x00000000,0x2aaa6000,0x6c0000aa,0x001ffdff,0x00cfa800,
    0xdffed980,0x7fcc0003,0x7ed40003,0x5400001d,0xceffffec,0x203f901b,
    0x002dfeb9,0x9802ff40,0x2e0002fc,0xf93001ff,0x5fe80005,0x3fffa000,
    0x7cc0004f,0x00017a23,0x3ffff6e2,0xfb802dff,0x01bff76f,0x001bfa00,
    0x7fd7bfd0,0xffb88000,0xffebceff,0x0fee0dff,0x7fffffdc,0x1ff90004,
    0x7fff5440,0x9ff10002,0xfffea880,0x3ff20002,0xfff30000,0xd900009f,
    0x40001f50,0xcfabefea,0x80cffffc,0x3fe2fffb,0xffc8006f,0x0be60000,
    0x7d4000f9,0xb980efff,0x4fbcffff,0xff957d30,0xf98001ff,0x3f3a603f,
    0xb0002fff,0x674c01df,0x0002ffff,0x40007ff3,0x0005fffb,0x05f109d0,
    0x997fee00,0x0bfff23f,0x6c1ffff1,0x26003fff,0x640003ff,0x8002f986,
    0x00dffffc,0x2fffffcc,0xfffc8190,0x02ff4001,0x005fff90,0x4005ff70,
    0x0002fffc,0xe8000bfd,0x200005ff,0x003e40fb,0x260fff98,0x217fe43f,
    0x7e47fffc,0xfd000fff,0x0db0000d,0xfc8007f1,0x9000ffff,0x001dffff,
    0x20037fdc,0x32000ffc,0x44002fff,0x7e4004ff,0xfc8002ff,0x3e60000f,
    0x4400005f,0x04fb8adf,0x98fffd00,0x742fd83f,0x7fe47fff,0xffc801ff,
    0x1f980000,0xf50007dc,0x4009ffff,0x04fffff8,0x8003bfa0,0x64003ff9,
    0x6c002fff,0x7e4000ef,0x7cc002ff,0x7dc0003f,0xa800000e,0x000cfffe,
    0x21ffff88,0x42fa83f9,0x7e47ffff,0x7cc02fff,0x3a00003f,0x004fdacf,
    0x3fffffe2,0x7fff4001,0x3ae202ff,0x3a002fff,0xffc8005f,0x3fea002f,
    0xfffc8002,0x02ff4002,0x00065c00,0x003fa000,0x5ffff980,0x11740fe6,
    0xfc8fffff,0x7f403fff,0x64400006,0x2000beff,0x06fffffd,0x7ffffec0,
    0xffb300ff,0xf9007fff,0xff90001f,0x3fe2005f,0xfff90004,0x07fe4005,
    0x00000000,0x003ff980,0x3ffffe60,0x06a07f35,0xfc8fffff,0x3f202fff,
    0x2000000f,0xfff88001,0x32003fff,0xffffffbf,0x7ffec404,0x01ffcc06,
    0x02fffc80,0x0001ffb0,0x400bfff2,0x00003ff9,0x00003751,0x001bff20,
    0xffffff88,0x36003fbe,0x3f60ffff,0xff300fff,0x22000007,0x7000abb9,
    0x05ffffff,0x7ff53ee0,0xfd006fff,0x37f401ff,0x5fff9000,0x005ff500,
    0x017ffe40,0x80006fe8,0xcffffffc,0xff100002,0x6c0005ff,0xffffffff,
    0x3ffee003,0x1bfff60f,0x00006fe8,0x7ffffec4,0x7f400dff,0x802fffff,
    0x3fff65fa,0xfb800fff,0x03ff207f,0x2fffc800,0x0027fc40,0x00bfff20,
    0x80003ff2,0xf32effd8,0x80001bff,0x005ffffb,0x3ffffe60,0x2001efff,
    0x3fa1fffe,0x3ff901ff,0x7fdc0000,0xffffa89b,0x3fffe00e,0x7cc01fff,
    0x7ffffe46,0x3e20221f,0x07ff304f,0x2fffc800,0x0007fec0,0x00bfff20,
    0x40007ff3,0x5c1fffe8,0x40006fff,0x01ffffff,0x3fffea00,0x004fffff,
    0x3e29fff3,0x7ff303ff,0x7fe40000,0x5ffffa85,0xffffff10,0x077c401f,
    0x3ffffff2,0xfa87ff53,0x001bfa06,0x80bfff60,0x80002ffa,0x7402fffd,
    0x7e40006f,0xffff06ff,0x3fea0009,0x0004ffff,0x7fffffcc,0x8801efff,
    0x1efebffd,0x0001bfa0,0x40ffff88,0x81fffff9,0xfffffff9,0x901fd100,
    0x29ffffff,0xfbcffffb,0x01ff900d,0x7ff4cc00,0x7fc409df,0x74cc0005,
    0xc809dfff,0x260000ff,0xfd05ffff,0xd0001fff,0x1fffffff,0xffe98000,
    0x2fffffff,0x03595300,0x2201ffb8,0x2e009bca,0x7c44ffff,0xf983ffff,
    0x207fffff,0xfff701fd,0x76d4bfff,0x3e601bce,0x43c9803f,0xccccccc8,
    0x807fec3c,0x99102bc9,0x87999999,0xc9803ff9,0x4ffffd83,0x05ffffb0,
    0xfffdf980,0x00003fff,0xfffffff7,0x800005ff,0x3f203ff9,0x702ffdcf,
    0xf88bffff,0xf883ffff,0x907fffff,0x7ffe405f,0x40004fff,0xfe8806fe,
    0x7fd40006,0xfffffb82,0xfe80000e,0x86fe8806,0xb04fffff,0x8009ffff,
    0xfffffd6d,0x74c0000f,0xffffffff,0x3fa00000,0x2bffd106,0xf884fff8,
    0x7fc42fff,0xffd03fff,0xfb81ffff,0x7fffe403,0x320003ff,0xffe801ff,
    0x3fe20006,0xfffffa85,0x640003ff,0xffe801ff,0x7ffffc46,0xdffffb03,
    0xfb9fc400,0x002fffff,0x3fffe600,0x0005ffff,0x3603ff70,0x3ff62fff,
    0x9817502f,0x03fffffe,0x3ffffffb,0x7ec027d4,0x002fffff,0xb007ff30,
    0x4000dfff,0x5f440ffd,0x0ffffd98,0x07ff3000,0xa8dfffb0,0xb03fffff,
    0x400fffff,0xffff10fc,0x40000dff,0xfffffdf9,0x4c0000ff,0xfff303ff,
    0x3fffe43f,0xffdfe980,0xff703fff,0x3e65ffff,0xffffb005,0x3a0001ff,
    0xfffc806f,0xff50006f,0xfff05305,0x3fa0001f,0xffffc806,0x7ffffdc6,
    0xfffffb03,0xc89f1003,0x01ffffff,0xf37f3000,0x003fffff,0x3206fe80,
    0x3ee0ffff,0x36601fff,0xffff8bff,0xffff503f,0x01df17ff,0x3fffffe0,
    0x3ff90005,0xffe9fa80,0x5ff88006,0x037fe400,0x401ffc80,0x46ffe9fa,
    0x03fffffa,0x01fffffb,0xff981f70,0x2005ffff,0x7ccfe602,0x0002ffff,
    0xfd807fee,0x3fee0fff,0xfff903ff,0x3ffffe25,0x3ffffa03,0x1000fecf,
    0x05ffffff,0x807ff300,0x0dffd2f9,0x001ffb00,0x8003ffe8,0x7cc03ff9,
    0xf98dffd2,0xfb03ffff,0x3e00ffff,0xfffffb05,0x407a001f,0x3fff23f9,
    0xff30001f,0xffffe807,0x13fffea0,0x443fffd1,0x203fffff,0xfffffff9,
    0x3ffee001,0xfd0006ff,0x3a4f880d,0x7d4006ff,0x7fc4002f,0x0dfd0006,
    0x3ffa4f88,0x3fffff86,0x0dffffb0,0x3ea03f50,0x004fffff,0xa8fe609d,
    0x0000ffff,0xffd00dfd,0x7ffd41ff,0x37fff43f,0x0fffffe2,0x7fffff70,
    0xffffe800,0xffc8001f,0xfd17a201,0x7fc400df,0x0efc8005,0x01ffc800,
    0xdffd17a2,0x09ffffd0,0x013ffffa,0xfffd01ba,0xfd001fff,0xff98fe60,
    0xff70006f,0xffffb003,0x17fffdc1,0x887ffff9,0x803fffff,0x005ffffe,
    0x0fffffe6,0x00ffe600,0xfd5557fb,0xfb0015df,0xefa8001f,0x3ff98000,
    0x5555fec0,0x260aeffe,0xff04ffff,0xf9801fff,0xaaaaaaac,0x3ffffffd,
    0xf984fe80,0x007fff23,0x400ffe60,0x2e1ffffb,0x3fa0ffff,0x7fcc5fff,
    0xf8803fff,0xd002ffff,0x0009ffff,0x3fa01bfa,0xffffffff,0x17fd402f,
    0x503be200,0x201bfa00,0xfffffffe,0x7fec2fff,0x9ffff06f,0xfffffb00,
    0xffffffff,0xfd00dfff,0xd13f989f,0x3a0009ff,0x3fa2006f,0x3fff22ff,
    0x7fffffc4,0xfffffc9b,0xfffa804f,0x7ec01fff,0x90003fff,0xdd9003ff,
    0xdffffddd,0x02ffc403,0xb883ba20,0x01ffc807,0xfeeeeec8,0x7cc1efff,
    0x7fdc1fff,0x5fc400ef,0x99999999,0xffffffc9,0x77fff402,0xffbbf99b,
    0xff70003f,0xfffa8003,0xb03fffa3,0xffffffff,0x7dfffff7,0x2e37e60b,
    0x20adffff,0x00efffea,0x007ff300,0x806ffe80,0x22000ffd,0xfffffffe,
    0x01ffcc05,0x81bffa00,0xf31effe8,0x1f200bff,0xfffff880,0x7f5cc06f,
    0xffffffff,0xff30001d,0x3fea0007,0x81effa8f,0xeffffffa,0xdfffff70,
    0xa81df101,0xfffffffe,0x40001cff,0xe80006fe,0x7fd406ff,0x7fff4002,
    0x403fffff,0xe80006fe,0xffc806ff,0x004effff,0xfd8009f3,0x001fffff,
    0x1bfb5531,0x0dfd0000,0xffed8800,0x7ff5c03e,0x7ffec43d,0x801db00d,
    0x01abcba9,0x03ff7000,0x0dffd000,0x2002ffc4,0xfffffffd,0x3fee01ff,
    0xffe80001,0x2aea6006,0x00fec000,0x3ffffe60,0x7f30005f,0x02660000,
    0x80008000,0x31003000,0x00000000,0x00000133,0x00099880,0x09980000,
    0x00000000,0x01fe6000,0x7fffff40,0x2e98001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,0xffc8000f,
    0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xea800000,0x44004fff,0xfffffffe,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff900,
    0x76405dff,0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa9800000,
    0x3000aaaa,0x00155555,0x80002000,0x00aaaaa9,0x3ffe2000,0x000000ff,
    0x7ffc4000,0x7c40007f,0x54006fff,0x0002aaaa,0x15555530,0xdffff100,
    0x55530000,0xbc880155,0xfffd8000,0x7ff4005f,0x300004ff,0x9dfffdb7,
    0x3ffa2001,0x200004ff,0x04fffffc,0x807fdc00,0xffc805fe,0x20003fff,
    0x03fffffd,0x3ffffe60,0xfff80002,0xffb004ff,0x80005fff,0x404ffffe,
    0x001ffffb,0x017fffe2,0x1ffffa20,0x3fff2000,0x4ffffbab,0xffffd100,
    0x3fe20000,0x000fffff,0x7c41ff60,0x7ffcc04f,0x8000ffff,0xfffffff9,
    0x3ffe6000,0x7cc0005f,0xf3004fff,0x00dfffff,0x27fffcc0,0x2fffffc0,
    0x0bfff700,0x7fff4400,0xffd10002,0xffffa85f,0xfffd1004,0xffb00003,
    0x009fffdf,0xf982ffc0,0x7ffec02f,0x8003fffe,0xfffefffe,0x7ffcc003,
    0x7fe40007,0x3ffa004f,0x003fffef,0x00bfff70,0x1ffffff3,0x03bff600,
    0x9ffd1000,0x3fffa000,0x3fffff07,0x13ffa200,0x7fff3000,0x0003ffee,
    0x7dc0ffe2,0x3ffea00f,0x001fff72,0xfb97ffd4,0x7d4000ff,0x3e0002ff,
    0x3ee005ff,0x1fff92ff,0x0bffd000,0x2fffffc0,0x00eff880,0x0ffd1000,
    0xdffff300,0x13ffffa0,0x007ff880,0x2a17ff40,0xfa8005ff,0x80ffb02f,
    0x7fd41ffe,0x07ffa004,0x50009ff5,0x26000bff,0x3e2005ff,0x1ffdc1ef,
    0x017fe600,0x05ffff90,0x0003bee0,0x005ff100,0x06ffffc8,0x00bffffd,
    0x0001ff98,0x3a601df5,0x7fdc001f,0x5c0bfd00,0x1ff300ef,0x201df700,
    0xa8000ff9,0xbf90007f,0x00dfc800,0x5c001ff5,0xd98000ef,0x032a001c,
    0x164c0000,0x3ffff200,0xbffffb05,0x00593000,0xb10032e0,0x07fd8009,
    0x1e409ff1,0x6401ec40,0x003d9803,0x70001950,0x00790009,0x65c005b3,
    0x00000000,0x00000000,0x0bffffb0,0x013ffff6,0x00000000,0x417fe000,
    0x00002ff9,0x00000000,0x00000000,0x00000000,0x00000000,0xb0000000,
    0x3a0bffff,0x2001ffff,0x000abb98,0x4cc00000,0x99cff999,0x9affb999,
    0xabb98801,0x5d440000,0xba880001,0x2ea20001,0x2ea20001,0x2e620001,
    0x044000ab,0x3ffffff2,0x7fffffc7,0x7fffe45f,0x7fffc7ff,0xffb05fff,
    0xfff30bff,0xffb1007f,0x01bfffff,0x7fffffe4,0x7fffffc7,0x7fffc45f,
    0xffffffff,0x07ffffff,0xffffffb1,0xfc8001bf,0x02cfffff,0x7ffffdc0,
    0x3fee003f,0x2003ffff,0x3ffffffb,0xffffb100,0x2001bfff,0xffff983c,
    0xffffb87f,0xffff985f,0xffffb87f,0xffffb05f,0x67ff5c4b,0x9bffb801,
    0x0effffa8,0x3ffffe60,0xfffffb87,0x7ffffc45,0xffffffff,0xb87fffff,
    0xffa89bff,0xd8800eff,0xfff32eff,0xffd8801b,0x809ffb0c,0xfb0cffd8,
    0xffd8809f,0x809ffb0c,0xfa89bffb,0xd800efff,0xfffffb04,0xbfffff10,
    0x1fffff60,0x17ffffe2,0x32ffffec,0x9005bfff,0xfff50bff,0xfffd80bf,
    0xffff887f,0x5555445f,0xaaaaaffe,0x42aadffb,0xffa85ffc,0x7f4405ff,
    0x7ffdc1ff,0x237ff406,0x3a03fff9,0x7ffcc6ff,0x31bffa03,0x3f207fff,
    0xffffa85f,0xfb06f805,0x3fe0ffff,0xffb05fff,0x3ffe0fff,0xfffb05ff,
    0xfffa88bf,0xffff102f,0xfffff981,0x3ffff601,0xbfffff07,0x260bff00,
    0xfff102ff,0xffff981f,0x3fff201f,0x09ffff06,0x3a0fffee,0xffb80fff,
    0x0fffe83f,0xe83fffb8,0x7fc40fff,0x7ffcc0ff,0x1fe201ff,0x83ffffe4,
    0x905fffff,0x3e0fffff,0xfb05ffff,0x3ea0bfff,0xffb80fff,0x7ffc44ff,
    0x3ff203ff,0xffff07ff,0x4ff880bf,0x2e01ff70,0x7c44ffff,0xf303ffff,
    0x3fa0bfff,0x7fc40fff,0xfffc81ff,0x0ffffc44,0x2227ffe4,0xfc81ffff,
    0x7ffdc4ff,0x7fffc44f,0x03fe603f,0x41fffff2,0x905fffff,0x3e0fffff,
    0xfb05ffff,0x3e20bfff,0xffb85fff,0x7ffc45ff,0x3ff203ff,0xffff07ff,
    0x2ffa80bf,0x7dc0ff90,0x7fc45fff,0xffb03fff,0x3ff609ff,0x7ffe42ff,
    0x7fffc80f,0x407fffe4,0x7e47fffc,0xffc80fff,0x7fffdc7f,0x7ffffc45,
    0x20bfea03,0xf07ffffc,0x320bffff,0xff07ffff,0x3f60bfff,0x3fe05fff,
    0x7fc42fff,0x7ffc42ff,0x3ff203ff,0xffff07ff,0x0ffb80bf,0x7c40bfd0,
    0x7fc42fff,0xfff03fff,0x3ff609ff,0x7fff44ff,0x1ffff907,0xc83ffff4,
    0x3fa0ffff,0xfff907ff,0x7fffc41f,0x7ffffc42,0x213ff203,0xf07ffffc,
    0x320bffff,0xff07ffff,0x3f60bfff,0x3fe05fff,0x17503fff,0xfffffe98,
    0x3ffff203,0xbfffff07,0xf107fd80,0x8175007f,0x3fffffe9,0x3fffff88,
    0x8dffffb0,0xcccfffff,0x1ffffecc,0x333ffffe,0xffffeccc,0x33ffffe1,
    0xfffecccc,0x4c0ba81f,0x03fffffe,0x3f217ffa,0xfff07fff,0x3ff20bff,
    0xffff07ff,0x3fff60bf,0x3fffe05f,0xbfd3005f,0x407fffff,0xf07ffffc,
    0xe88bffff,0xeeefffee,0xeeeffeee,0xdfe9805e,0xa83fffff,0xb03fffff,
    0x7c4fffff,0xeeeeffff,0x11eeeeee,0xdddfffff,0x3ddddddd,0x3bffffe2,
    0xeeeeeeee,0xdfe9801e,0x103fffff,0xff90ffff,0x3ffe0fff,0xfff905ff,
    0x3fffe0ff,0xffffb05f,0x7ffffc0b,0x5ffecc06,0x03fffff8,0x41fffff2,
    0x445fffff,0xffffffff,0xffffffff,0x3f6607ff,0xfffff8bf,0xfffffb83,
    0xfffffb03,0x3ffffea3,0x7ffd4000,0x7d4000ff,0x0000ffff,0xf8bffd98,
    0xf503ffff,0xffc83fff,0xffff07ff,0x3fff20bf,0xfffff07f,0x3ffff60b,
    0x3ffffe05,0x4bfff207,0x03fffff8,0x41fffff2,0x445fffff,0xffffffff,
    0xffffffff,0xfff907ff,0x3ffffe25,0xfffffa83,0xfffffb03,0x3ffffea1,
    0x7ffd4002,0x7d4002ff,0x0002ffff,0xf897ffe4,0xf903ffff,0xffc87fff,
    0xffff07ff,0x3fff20bf,0xfffff07f,0x3ffff60b,0x3ffffa05,0x1fffe886,
    0x0fffffe2,0x07ffffc8,0x40bfffff,0xbff00ffb,0x3fffd100,0x1fffffc4,
    0x1fffffcc,0x27ffffd8,0x03fffff9,0x7ffffcc0,0x7ffcc003,0xd10003ff,
    0x7fc43fff,0xffb03fff,0xfffc8bff,0xfffff07f,0x3ffff20b,0xbfffff07,
    0x17ffff60,0x84ffffe8,0x7c46fffe,0x3203ffff,0xff07ffff,0x7ec0bfff,
    0x009ff107,0xf88dfffd,0xff03ffff,0x3f607fff,0x3fe26fff,0x44006fff,
    0x006fffff,0x37ffffc4,0x6fffe800,0x1fffffc4,0x46fffff8,0xf07ffffc,
    0x320bffff,0xff07ffff,0x3f60bfff,0x3ee05fff,0x7fe43fff,0x7ffc43ff,
    0x3ff203ff,0xffff07ff,0x82ffc0bf,0x7e402ffa,0x7fc43fff,0xffd03fff,
    0x3ffa09ff,0x7fff44ff,0xd05402ff,0x805fffff,0x3ffffa0a,0xf905402f,
    0xff887fff,0xff983fff,0x3ee0ffff,0xff987fff,0xff705fff,0xfff30fff,
    0x3ff60bff,0x4d3b25ff,0x7f41ffff,0x7fcc5fff,0x3ee03fff,0xff987fff,
    0xff105fff,0x003fee07,0x98bffffd,0x303fffff,0x3e09ffff,0x7dc0ffff,
    0x2606ffff,0x3fffee0f,0xb83e606f,0x206fffff,0x3fffa0f9,0x7fffcc5f,
    0xffffa83f,0x3ffea1ff,0x3ffe21ff,0xff505fff,0x7fc43fff,0xfd05ffff,
    0x3feabfff,0xf0dfff1f,0x937fffff,0x09ffffff,0x0fffffd4,0xbffffff1,
    0x6c0bfea0,0xffff807f,0xfffc9bff,0x3f604fff,0xffff06ff,0xfffff109,
    0x43f981df,0xeffffff8,0x3e21fcc0,0x40efffff,0x7fffc3f9,0xfffc9bff,
    0xffa84fff,0x3e21ffff,0xea9dffff,0x06fffffe,0x3bfffff1,0xfffffdd5,
    0x3ffffe0d,0x363fff55,0xfffd80ff,0xffbfffff,0x885befff,0xa9dfffff,
    0x6fffffee,0x3e01ff70,0xfffd805f,0xffbfffff,0x985befff,0x7dc1ffff,
    0xff500eff,0xd9bfffff,0x3ffea0bf,0xfecdffff,0xfffff505,0x0bfd9bff,
    0xfffffffb,0xdfffff7f,0x7fffc4b7,0xffffa86f,0xfff8dfff,0xff501fff,
    0xf1bfffff,0xb83fffff,0x3a5fffff,0x02ffabff,0xdffffff5,0x3ffffee1,
    0xffff500e,0xfff1bfff,0xdfb03fff,0x2013fe20,0xeffffffa,0xdfffff70,
    0x3bffa201,0x00bfff31,0xfffffff5,0xffa80bff,0x5fffffff,0x7ffffd40,
    0xf505ffff,0x21dfffff,0x0efffffb,0x827fffec,0x24fffffb,0x4fffffff,
    0x9fffff70,0x7ffffffc,0xffffffb4,0x677f64cb,0x6fff5c01,0x6fffec43,
    0x7fffdc00,0x3ffffe4f,0x82ffc4ff,0xd7002ffa,0xfd887bff,0xfc800dff,
    0x04efffff,0x3ffffa60,0xfd3003ff,0x007fffff,0x3fffffa6,0x7ff5c03f,
    0x7ffec43d,0x05bb500d,0x00003730,0x00001b98,0x02000200,0x5cc000c0,
    0x16640001,0x4000cc98,0x20003000,0x0000aba9,0x002aee62,0x02aee620,
    0x2aee6200,0x0c002000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa6000,0x000000aa,
    0x04c40000,0x10004000,0x00020000,0x00002660,0x00000000,0x00000000,
    0x00040000,0x10010001,0x3fffa200,0x33a0004f,0x40012e00,0x44003ff8,
    0xcdfffedb,0x0005a80a,0x5bfffdb3,0x017f6000,0x32ea6000,0x009acdee,
    0xdfdb7000,0xfb50005b,0x00003bdf,0x3ffb6ea6,0x4b81ceff,0xfffdc880,
    0x001d42de,0x00ffffd1,0x5067f440,0x2a0007fd,0xfb3000ff,0xfbdfffff,
    0xbd339fff,0xeffc8800,0x005ffffe,0x0000ffb8,0x9fffff70,0x1bffffb7,
    0x3ffaa000,0x00dfffff,0xebcffd88,0x220004ff,0xbceffffd,0x9cfffedc,
    0x7fd404fa,0xefedbbcf,0x44003eac,0x0001fffe,0x3f6fff62,0x3f60000c,
    0xffff9006,0xff71019f,0x4400bfff,0x3fea3ffe,0x7c4005ff,0x6c40002f,
    0xa881efff,0x4003ffff,0xfffffffa,0x74405fff,0x2fff44ff,0x7fffdc00,
    0x3ffa601d,0x3f204fff,0xfff700df,0xfd10009f,0xfb00009f,0xf00003ff,
    0xffe8807f,0xc8800eff,0x32005fff,0xfffd87ff,0x2ff4000f,0xffff7000,
    0xfff9801d,0xffa801ef,0xffffffff,0x3ff603ff,0x27ffdc1f,0xffffe880,
    0x3ffea003,0x3fff504f,0x04ffe880,0x00fff100,0x7fffe440,0x7fd40005,
    0x3fffe201,0x7ec000ef,0xfff3005f,0x5ffff70b,0x007fb800,0x3fffff90,
    0x3fffee00,0x2fbe200f,0xffffeb89,0xfff506ff,0x1ffff30d,0xfffff980,
    0xfff98004,0x06fff884,0x0009ff30,0x4000ffcc,0xfff8affb,0xdf90000e,
    0xfffffe80,0x0bfd0000,0x21bffee0,0x001ffff8,0x20017fcc,0x03fffff9,
    0x2fffff40,0x3f201d90,0xfd07ffff,0xfff10dff,0xfffe809f,0x3ea0006f,
    0x4fffa84f,0x0013ee00,0xe8005930,0x77ffd43f,0x04ff8000,0x0ffffff6,
    0x005f8800,0x3a0ffffb,0xfd0007ff,0xfffe8009,0x7dc000ff,0xd882ffff,
    0x3fffe200,0xffff986f,0x0fffff05,0x1fffffe4,0x213f2000,0x4007fffc,
    0x0000004e,0x3ff60150,0x7fcc005f,0xfffff501,0x5e80001f,0x5ffffd00,
    0x003fff88,0x6400ff90,0x006fffff,0xffffff98,0xfffb0000,0xffff709f,
    0x3ffffe0b,0xfffff981,0x7c40000f,0x5ffffd84,0x40013200,0x00001ba8,
    0x017fffd4,0x7f40ff90,0x0005ffff,0xffb005a8,0x4ffc8bff,0x07fe6000,
    0x3ffffe60,0xfff0003f,0x2000bfff,0xd81ffffc,0xff05ffff,0xffd07fff,
    0x0000bfff,0x3fff2132,0x59800dff,0x7fffe400,0x4c002cff,0xfffbcedb,
    0x9fd000ff,0x3ffffe60,0x0300003f,0x3fffff60,0x002ffc89,0xb804ff80,
    0x02ffffff,0xfffffd00,0x3ffa000f,0xfffff02f,0x3ffffe0b,0x7ffffd45,
    0x5100004f,0xffffff50,0x4400007f,0xff32effd,0xffb001bf,0xffffd9bf,
    0x5ff3009f,0x3fffff20,0x0000001f,0x77ffffdc,0x00000cff,0xffb00df9,
    0x0003ffff,0x3ffffff6,0x7ffc4000,0xfffff301,0x3ffffe0b,0x7ffffdc7,
    0x4000003f,0xfffffff8,0x440003ff,0x7dc1fffe,0x3fa206ff,0x7ffec3ff,
    0x3fdc00ff,0xfffffff0,0x80000001,0x4ffffff8,0x2aaaaa20,0x3ff502aa,
    0xfffffe80,0xff90000f,0x4005ffff,0x300effe8,0x209fffff,0x6c7fffff,
    0x02ffffff,0xffd80000,0xefffffff,0xfff90002,0x13fffe0d,0x4c37fff4,
    0x402fffff,0x3ffe05fe,0x00007fff,0xffff9800,0x3f6206ff,0x204fffff,
    0x7ffc03ff,0x0000ffff,0x7ffffff9,0x3fffaa00,0xfffa81ff,0xffff04ff,
    0x7fff41ff,0x00001fff,0xffffe880,0x1effffff,0x3fffe600,0x1ffffd05,
    0x05ffff98,0x40bfffff,0xff102ff8,0x000fffff,0x7fecc000,0x04ffffff,
    0x4027ffdc,0x3fe606fd,0x0007ffff,0x3ffffff2,0x7fffe405,0x543fffff,
    0xf04fffff,0x221fffff,0x0fffffff,0xd1000000,0xffffffff,0x36009fff,
    0xfb04ffff,0xffd85fff,0xfffd04ff,0x07fdc0ff,0xffffff98,0x88000007,
    0xfffd3ffd,0x7c403fff,0x1ff5005f,0x3ffffea0,0x3ee0007f,0x405fffff,
    0xffffffda,0x3fee2fff,0xfff04fff,0x3fe63fff,0x0007ffff,0x7ff44000,
    0xffffffff,0xffff805f,0xffffb04f,0x7ffffc49,0xfffffd03,0xf302fec0,
    0x01ffffff,0x7f4c0000,0x3fffe62f,0x3fea06ff,0x07ff1000,0x3fffffe2,
    0x3fee0007,0x1004ffff,0xfffffff9,0x7ffffd4d,0xffffff04,0x7fffffcc,
    0x0000000f,0xffffffb8,0x205fffff,0x03fffff8,0x4cdffffb,0xb03fffff,
    0x101fffff,0x7fc407ff,0x001fffff,0xdfff3000,0xffffff90,0x000ff20b,
    0x7ffc0bfb,0x0000ffff,0x7ffffff9,0xffffa800,0xfff30fff,0x3ffe09ff,
    0x3ffe26ff,0x9801ffff,0xcccccccc,0x4403cccc,0xfffffffc,0xff502fff,
    0x3f607fff,0x3fea7fff,0xffb03fff,0xff503fff,0xfffff801,0x000003ff,
    0xf109fffd,0x89ffffff,0xfb8005f8,0xffffd00f,0x320003ff,0x02ffffff,
    0xfffff980,0xfffff11f,0x3ffffe09,0x7fffffc5,0xfb98802f,0xefffffff,
    0xff91001b,0x0dffffff,0x0fffffee,0x8fffffec,0x03fffffb,0x01fffffb,
    0xffd00dfb,0x0009ffff,0x9ffff900,0x3ffffee0,0x003f63ff,0x6c0bfe20,
    0x02ffffff,0xfffffb00,0x3ee0001f,0x3fe1ffff,0xfff05fff,0xfffd89ff,
    0x4c003fff,0x0fffffff,0xffd88024,0xa80fffff,0xb03fffff,0x2a1fffff,
    0xb03fffff,0x3e0dffff,0xfffb803f,0x00005fff,0x07fffff8,0x3ffffff6,
    0x0002fbaf,0x7fd417fa,0x0003ffff,0x0dffffff,0xffffe800,0x17ffffa0,
    0x21fffffc,0x4ffffffa,0xfffff800,0x2002e85f,0x2ffffffa,0x3fffff98,
    0x4fffffb0,0x03fffff8,0x50bffffd,0xff1003ff,0x000dffff,0xfffff880,
    0x3fffa01f,0x005fffff,0xfd03fdc0,0x0009ffff,0x3ffffff1,0xfffc8000,
    0x2ffffec7,0x42fffff8,0x6ffffff8,0xfffff800,0x4004e85f,0x02fffffa,
    0x207fffff,0x746ffffd,0xfd03ffff,0xdf909fff,0x7fffe400,0x200001ff,
    0x4ffffff9,0x3ffffe20,0x40002fff,0xff502ff9,0x5000ffff,0x00bfffff,
    0x8bfff500,0xf05ffffa,0xf501ffff,0x000fffff,0x09ffffff,0xff9000fd,
    0x3ffa01ff,0xfffd04ff,0xffffd89f,0x5ffffd04,0x44009ff0,0x05fffffe,
    0xff88e400,0x203fffff,0xfffffff9,0xd003103f,0x7ffec09f,0x7ec002ff,
    0x0001ffff,0xf82fff98,0xfff06fff,0x7ffe40df,0x7fc003ff,0xfe84ffff,
    0x7ffd4003,0x3fffe607,0x1fffff04,0x05ffffb8,0x981fffff,0x7cc001ff,
    0x001fffff,0x7ffc3f70,0x202fffff,0xfffffffa,0x401f40df,0x3fe607fc,
    0x26006fff,0x304fffff,0xff7005bb,0x1ffff20b,0x007fffe2,0x00fffffd,
    0x4ffffff8,0x2001ffe8,0x6c04fff9,0xfff06fff,0x3fff609f,0x4ffff885,
    0x50007fc8,0x03ffffff,0x3227e440,0xffffffff,0x7ffdc40b,0xdfffffff,
    0xff3006fc,0x7fffcc03,0xfffb002f,0x7fffc09f,0x807ff404,0xf987fff8,
    0xfe8805ff,0x3e005fff,0xe84fffff,0xf7000eff,0xff9801df,0x7ffdc1ff,
    0x3fff600e,0x077ffdc0,0x300027f4,0x07fffffd,0xd02fea88,0xffffffff,
    0x9dffb9df,0xffffffff,0x7c003fff,0x7ffcc04f,0x7fec02ff,0x3fe204ff,
    0xfa80dfff,0x7ffcc01f,0x00fffe42,0xdffffc88,0xfffff800,0xefffe84f,
    0x0fffcc01,0x1effe880,0x100bfff3,0x3e61bffd,0xff980eff,0x7ec40002,
    0xabcfffff,0x00dffeca,0x3fffffa2,0x2effffff,0x3fffffa6,0x64002fff,
    0xffc8806f,0x3ae61bff,0xd801efff,0xacffffff,0x3000cfea,0x3fea3dff,
    0xfe98000e,0xb981cfff,0x81cfffff,0x1cfffffe,0x001effb8,0xffffffc8,
    0x36e2004e,0x03ffffff,0x80001fee,0xfffffeb8,0x003defff,0x3fffffee,
    0x3f203fff,0x002effff,0x3001ffa8,0xffffffd9,0x4007bfff,0xffffffd8,
    0x98001eff,0x0dfffffd,0x7ff5c000,0xffffffff,0x6f401cff,0xefffda88,
    0x0003fffe,0x000aba98,0x801aca80,0x000003cb,0x13797531,0x654c4000,
    0x310009ac,0xc8000177,0xaa98001c,0x000aabcc,0x2af2aa20,0x2ea00001,
    0xa8800001,0x9aacccca,0x2202e000,0x001accba,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000100,0x01100000,0x00040000,0x00080000,0x80000000,0x1ca80bc9,
    0x54000000,0xcccccccc,0x2ccccccc,0x3bfb2e20,0x000002cd,0x26032e20,
    0x7f6d402c,0x0001deff,0x3ddb9510,0x3ffb2600,0x220001df,0xdefffedb,
    0x4400000b,0xdefffedb,0x5440000b,0x001ceffc,0x3637ffd4,0x22002fff,
    0x00bdffec,0xffffffe8,0xffffffff,0xfffc883f,0x1dfffdad,0x807d7000,
    0x2e0ffff8,0xfe985fff,0xfffffcad,0xf930000d,0x540017df,0xfffd9bff,
    0x7fe4c003,0xfffedeff,0x4c0001df,0xedeffffc,0x001dffff,0xfcbeffc8,
    0x3f6005ff,0xfff31fff,0x3ff200df,0x02ffffff,0x3fffffe2,0xffffffff,
    0x7ff440ff,0x7fffc41f,0xfff71001,0xffffb807,0x83ffffa3,0x7f443ff8,
    0x4c006fff,0x8003fffe,0x3fe66ffa,0xff7002ff,0x7ed4017d,0xff70004f,
    0x7ed4017d,0xffd1004f,0x0efffd8d,0x0ffffd80,0x00bffff1,0xfffffffb,
    0x3e605fff,0xffffffff,0x85ffffff,0xf706fffd,0x64401dff,0x403fffff,
    0x3a3ffffa,0x3fa0ffff,0xffff984f,0xfff7004f,0xff10001d,0x7fffc49f,
    0x0f7ec407,0x07bfa600,0x00f7ec40,0x007bfa60,0xf987fffb,0xf9806fff,
    0x7ffec5ff,0x7fffe402,0xffffffff,0xfffffb82,0xffffffff,0x7ffdc3ff,
    0xffff103f,0xffffb307,0xff007fff,0x7ffd41ff,0x41fffe24,0x807fffff,
    0x000efffd,0x44bfffb0,0x100fffff,0x40001bfd,0x74400ffc,0x320000df,
    0xfff500ff,0xffffb03f,0x20571007,0x7fcc00b9,0xfffffdef,0xffd85fff,
    0xeeeeffff,0x6c0fffee,0x3e04ffff,0x3f624fff,0xffffffed,0x10175003,
    0xffffa837,0xfffffe81,0x3bfffa01,0xfff10000,0x7fffe8df,0x53013f60,
    0xdf509813,0x3334fd80,0x50013333,0x3fff60df,0xffffc81f,0x0000000f,
    0xffb817f9,0x7c0fffff,0xffa802cf,0x7fffff86,0x117fffe0,0x3fffffd8,
    0x3e600000,0xffd83fff,0xff902fff,0x540001ff,0x7dc7ffff,0x0bf704ff,
    0x3b37ffaa,0x3f22ebde,0x7f4bf704,0xfffeffff,0x84fc80be,0xb80fffff,
    0x002fffff,0x02f88000,0x3fffffee,0xd800fe62,0xffff83ff,0xffff01ff,
    0xffffb807,0x4000003f,0xfe80fffe,0xfa80ffff,0x40005fff,0x40fffffb,
    0x1ff101b8,0x40effd88,0x7f42ffc9,0x3207fc41,0xfd715fff,0x43fd01ff,
    0x81fffff8,0x05fffffa,0x03980000,0x2fffffe8,0xfff0012e,0xfffffb01,
    0xffff881d,0x7fffd400,0xba88003f,0x80edc401,0x885fffff,0x002fffff,
    0x7ffffe40,0x41fdc001,0x7ec06ffe,0x3ee27cc2,0x45fffb83,0xf987fffb,
    0x3ffffea4,0xfffff981,0x3fffff27,0x7ffffc7f,0xf70005ff,0x0003ffff,
    0xfb837fd4,0x20efffff,0xa805fffb,0x003fffff,0x3fffffee,0xfff10003,
    0xfff907ff,0xf90000ff,0x8005ffff,0x7ffe40fe,0x7417cc01,0x2603fa0f,
    0x7fcc5fff,0x90fe81ff,0x105fffff,0x41ffffff,0x87fffff9,0x05fffffb,
    0xfffff500,0x3ffc8000,0xffffff10,0x17ffa5ff,0x7ffffd40,0xcffd8803,
    0x0009ffb0,0x20bffff7,0x98cfffff,0x2e0009ba,0x004fffff,0xfff313e6,
    0x2e0b200d,0x2609f32f,0xfff85fff,0xf72fb82f,0x3e05ffff,0x6c1fffff,
    0xf887ffff,0x0005ffff,0x009ffff7,0x200fff80,0xfffffffb,0x2003ffef,
    0x03fffffa,0x7cc6ffe8,0x7fc003ff,0xffa80dff,0xffffdfff,0xff7004ff,
    0x5c00bfff,0x27ffe42f,0x5d3e6000,0xbfff302f,0x307fffa8,0x3fffea9f,
    0xffffd03f,0xffffd83f,0xbfffff07,0x3fff2000,0x3ea0001f,0xfffc806f,
    0x03ffffff,0x7ffffd40,0x1fffdc03,0x8007fff4,0x3604fffa,0xddffffff,
    0x40efffff,0xfffeeee8,0x1eeeefff,0xffe83f90,0x7c40003f,0x3e603f95,
    0x7ffec5ff,0x3e6bf104,0xff06ffff,0xfc81ffff,0xfff07fff,0x36000bff,
    0x40005fff,0xf5003ffc,0xffffffff,0x7ffd4005,0x3fe203ff,0xfffc81ff,
    0x03ffd004,0x0efffff8,0x1bffffe6,0xfffffff1,0x3fffffff,0xfff03f60,
    0xdf00005f,0x7fcc03f6,0xfffea9df,0xffd37c03,0xfff01fff,0xfff90fff,
    0x3fffe0ff,0xff88005f,0x7c0000ff,0x3ea001ff,0xffffffff,0xffff5003,
    0x7ffe407f,0x7fffc80f,0x400ef980,0x85fffff8,0x22fffffb,0xfffffff8,
    0x1fffffff,0xfff88fb0,0x7e80003f,0x7ffcc0fb,0x00ffffef,0x3ffea7e8,
    0xffff83ff,0xffffc86f,0xbfffff07,0x7fff7000,0x6ff98000,0x3fffea00,
    0x2fffffff,0xfffffa80,0x1ffffa03,0x007fffe4,0x3e6003b6,0xf885ffff,
    0x4cc7ffff,0xfffffd99,0x3f201999,0x01ffffc0,0x0fcb7c00,0x3ebfff30,
    0x6f802fff,0x67ffffec,0xfffffca9,0x7ffffc85,0x0bfffff0,0x009ffd00,
    0x007ff900,0x3f2dffb1,0x0fffffff,0x7ffffd40,0x3ffffe03,0xffeccccc,
    0x01f401ff,0x5fffffa8,0x1fffffd0,0x7ffffd40,0xe83f7000,0x40004fff,
    0x203f75f8,0xff55fff9,0x85f880df,0xfffffffc,0x82ffffff,0xf07ffffc,
    0x800bffff,0x00006ffb,0xe8803fff,0x3fee2fff,0x403fffff,0x03fffffa,
    0xddfffff1,0xdddddddd,0x5001e803,0x20bfffff,0x01fffffc,0x003ffffc,
    0xfffc87f5,0xa7cc0006,0xfff303fa,0x017fff4b,0x3b2a09f3,0xfffcadff,
    0xffff907f,0x3ffffe0f,0x3bfe2005,0xff980000,0xffffb806,0x7ffffd40,
    0x7ffd405f,0xfff503ff,0x200001ff,0x3ffe6006,0xfff905ff,0xffd805ff,
    0x1be2006f,0x003ffff1,0x6f88fec0,0x54bfff30,0x3f606fff,0xffff8001,
    0xffff904f,0x3ffffe0f,0x03ffa005,0x27fe4000,0x837fff40,0x07fffffb,
    0x1fffffd4,0x2fffffa8,0xf0000000,0x2e0dffff,0x401fffff,0x4005fffa,
    0x7ffdc1fc,0x7c42cc05,0x7dc0fe46,0x7ffec6ff,0x8006f883,0x01fffffa,
    0x20fffff9,0x005fffff,0x00003ff7,0x2200fffc,0xf105ffff,0x403fffff,
    0x03fffffa,0x07fffff3,0x36000000,0xf507ffff,0x9801ffff,0x4c003fff,
    0x5fffc85f,0x7f705d50,0xffc85f98,0x7fffcc7f,0x4001fdc1,0x203ffffd,
    0xf07ffffc,0x300bffff,0x049803ff,0x700dff30,0x6c09ffff,0x200fffff,
    0x03fffffa,0x0dfffff1,0x32000000,0xf507ffff,0x2a20dfff,0x402fff9a,
    0x4c17f469,0xfdcdfffe,0x80ef980d,0xfff912fe,0x7fe47dff,0x01df32ff,
    0x6ffff880,0x3ffffe40,0x05fffff8,0x7400ffc4,0x09ff9003,0x0bffff50,
    0x03ffffd4,0x0fffffea,0x2fffffe8,0xeb880540,0xfff5001c,0xfff501ff,
    0xfffd889f,0x5102ffff,0x00ff88bf,0x01579953,0x7c407fa2,0xaaaaa88f,
    0x2aaa22aa,0x001fe89a,0x00ffffd8,0x43ffffdc,0x05fffff9,0x555567f4,
    0x01febaaa,0x1003ffd0,0x4c0dffff,0x5405ffff,0x203fffff,0x06fffffb,
    0x7ff403e6,0xff8800ff,0xffb82fff,0x77fdc2ff,0xefffffff,0x84ffffee,
    0x40001efa,0x7d403fe8,0x7440001e,0xffd8003f,0xffa801ff,0x3fe21fff,
    0x3205ffff,0xffffffff,0x800fffff,0x3a006ff9,0x3f207fff,0x7d400fff,
    0x2203ffff,0x0effffff,0xffa81fcc,0xf5004fff,0xff70bfff,0xfc8bf0bf,
    0xffffffff,0xff701fff,0x3fea0007,0x07ff7004,0x013fea00,0x037fff60,
    0x7ffffc40,0xfffeea9d,0xfff706ff,0xffffffff,0x3f200dff,0x3fe2004f,
    0xfffd04ff,0xffff7005,0xfffa809f,0xfecdffff,0x3fffee05,0x3ff6005f,
    0x2fff40ff,0x3ff61fc4,0xffffffff,0x6ffcc05f,0x5ffb3002,0x2dff9800,
    0x05ffb300,0x4fffd880,0xffffa800,0xfff8dfff,0x7fcc1fff,0xffffffff,
    0xd005ffff,0xfa8003ff,0x3f662fff,0xff9002ff,0xf500bfff,0xffffffff,
    0xffff880b,0x7fe4002f,0x1dff70df,0x3f26bb60,0xfffffeaf,0xd8800fff,
    0x99aacfff,0x01effeca,0x9fffb100,0xfd953355,0x6cc003df,0x0000cfff,
    0x93ffffee,0x4fffffff,0xfffffff1,0xffffffff,0x0fff3007,0x3fff2200,
    0x00cfffef,0xffffff50,0xffd3007f,0x2007ffff,0x0005fffc,0xdfdfffd5,
    0x7ff4c017,0x3ffee1ff,0x44000dff,0xfffffffc,0x00001cff,0xffffff91,
    0x20039fff,0x02dffeb8,0x00dcc000,0xfffffe80,0xffffffff,0xcc9802ff,
    0x54c40002,0xdb001abb,0xffffffff,0x8807dfff,0x4000abb9,0x980001b8,
    0x4c000aba,0x3575101b,0x97530000,0x00001357,0x55e5d4c0,0x4d540009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33332e00,0xcccccccc,0x033b6a00,0x164c016a,0x0000e5c4,0x33332000,
    0xcccccccc,0x666440cc,0x00cccccc,0x00055100,0x39710593,0x00000000,
    0x0aaaaaa0,0x2aaaa200,0x3fff202a,0xba88002f,0x4007101a,0xffffffff,
    0x3606ffff,0x8adfffff,0xffb805e8,0x17fff45f,0x4ffa8000,0xffffb750,
    0x0359ffff,0x3bfffb2a,0x3fffe21b,0xffb35fff,0xf70039ff,0xfffe8bff,
    0x12600001,0x3ffea000,0x7d4000ff,0xf300ffff,0x400dffff,0xffefffd9,
    0x5401bea2,0xffffffff,0xf502ffff,0xffffffff,0xffd009ff,0x3ffe61ff,
    0xf880005f,0xffd804ff,0x2003ffff,0x7101ffe8,0xf3bfffff,0x3fffffff,
    0x0ffffe80,0x00bffff5,0x0007ec00,0x1ffffdc0,0x3ffff600,0x3ffff601,
    0xffb803ff,0x373fea3f,0xffb006ff,0xffffffff,0x7fff40ff,0xffffffff,
    0xffffe801,0x0bffff30,0x9fffb000,0xfffff700,0x4fc8003f,0xefffff80,
    0xfffd88cf,0x3ffa00ff,0xffff30ff,0x3e600009,0xf700003f,0x7c400bff,
    0x3ea01fff,0x0ffffeff,0x217fff20,0x06fffffc,0xffffff88,0x04ffffff,
    0x7ffe453e,0xf5003fff,0xfffe89ff,0x7fdc0001,0xffb804ff,0x4000ffff,
    0xfff803fb,0xffd85fff,0x3fea05ff,0x0ffff44f,0x6ffc8000,0x3fee0000,
    0xfff5000f,0x8dffe803,0xf503ffe8,0xff105fff,0xf500dfff,0xdddddddd,
    0x3a203ddd,0x02cdb980,0xba80dc40,0x7fcc0000,0xfb804fff,0x000fffff,
    0x7fc017cc,0xfa80ffff,0x2202ffff,0x0017501b,0x3fffe200,0x3f200002,
    0x5ffb003f,0x444ffb80,0xffe80ffe,0xffff00ff,0x00fb00df,0x00000000,
    0x22000000,0x04ffffff,0xffffffb8,0x017cc000,0x02fffffc,0x009fffff,
    0x5c000000,0x0005ffff,0x4402fe40,0x7fc402ff,0xf513f602,0x7fc0dfff,
    0x7c406fff,0x00000004,0x00000000,0xffffffb0,0xffff7009,0xf98001ff,
    0xfffff802,0x3ffffa05,0x00000005,0x3fffffe0,0x25c00001,0x4c0164c0,
    0x20dc801c,0x205ffffb,0x406ffffe,0x0001acfb,0x0abb9880,0x5dcc4000,
    0x7dc0000a,0x04fffffb,0xffffffb8,0x017cc000,0x02fffffc,0x00fffffd,
    0x00006ea2,0x3ffffea0,0x0000004f,0x80000000,0x205ffffd,0x406ffffe,
    0xdefffffe,0xffb10003,0x01bfffff,0x7fffec40,0x8000dfff,0xfffff5f9,
    0xffff7009,0xf98001ff,0xfffff802,0x3ffff605,0x3fff200f,0x0002cfff,
    0xffffffd0,0x0000001f,0x80000000,0x204fffff,0x206ffffe,0xfffffff8,
    0x2e002fff,0xffa89bff,0xfb800eff,0xfffa89bf,0x3a2000ef,0x9fffff0e,
    0xfffff700,0x2f98001f,0x5fffff80,0x3fffff60,0x2effd881,0x001bfff3,
    0x7ffefcc0,0x88003fff,0x5fffffff,0xffffff88,0x3ffe205f,0xf305ffff,
    0x7407ffff,0x2e06ffff,0xffffffff,0x6402efff,0xfffa85ff,0x2ffe405f,
    0x02ffffd4,0x7ffc3fb0,0xffb804ff,0x4000ffff,0xfff802f9,0x3ff605ff,
    0x7f440fff,0x7ffdc1ff,0x75b60006,0x007fffff,0x3ffffee0,0x3fffee05,
    0xfffb805f,0xfff505ff,0x7ff407ff,0x3ffa06ff,0xffffffff,0xff103fff,
    0xfff981ff,0xfff101ff,0xffff981f,0x43fb801f,0x804fffff,0x0ffffffb,
    0x4017cc00,0x205fffff,0xc87ffffd,0xfff06fff,0x7f10009f,0x3fffffee,
    0x3ffe0002,0x7ffc05ff,0xfff005ff,0x3fe60bff,0x3fa04fff,0xff306fff,
    0xffffffff,0x703fffff,0xf889ffff,0xf703ffff,0xff889fff,0x7cc03fff,
    0x4fffff85,0xfffffb80,0x17cc000f,0x2fffffc0,0x8bffffd0,0xd05ffff9,
    0x8001ffff,0xffff10fc,0x74000dff,0x7405ffff,0xd005ffff,0x220bffff,
    0x205fffff,0x306ffffe,0xffdb9755,0xffffffff,0x5ffffb81,0x1fffffc4,
    0x45ffffb8,0x03fffff8,0x7ffc07f4,0xffb804ff,0x4000ffff,0xfff802f9,
    0x3ffa05ff,0x7ffec4ff,0xffffb04f,0x227c4005,0x1ffffffc,0xffffd000,
    0xffffe80b,0xffffd005,0x7ffffc0b,0x3ffffa05,0xffb88006,0x43ffffff,
    0x442ffff8,0x103fffff,0xf885ffff,0x3203ffff,0xfffff02f,0xffff7009,
    0xf98001ff,0xfffff802,0xfffff105,0x4fffff85,0x09ffffb0,0x3e607dc0,
    0x005fffff,0x0bffffd0,0x05ffffe8,0x0bffffd0,0x07ffffe4,0x06ffffe8,
    0x7fff5400,0x817505ff,0x3fffffe9,0x3a605d40,0x503fffff,0x7fffc09f,
    0xfffb804f,0x4c000fff,0xffff802f,0xfffb81ff,0x7fffc46f,0xffffb03f,
    0xd82fc00d,0x00ffffff,0x5ffffe80,0x2fffff40,0x5ffffe80,0x3ffffe20,
    0xfffff983,0xfe880006,0xd3007fff,0x7fffffbf,0xfdfe9800,0xf883ffff,
    0x7ffffc06,0xffffb804,0x7d4000ff,0xfffff802,0x3ffa21ff,0x7ffd42ff,
    0xfffb03ff,0x07ea00ff,0x7fffffd4,0xfffe8004,0x7fff405f,0xfffd005f,
    0xfffc80bf,0x3ffea2ff,0x00006fff,0x01ffffd1,0x7c5ffecc,0x3003ffff,
    0xfff17ffb,0x59fd07ff,0xff555555,0x4055bfff,0x0ffffffb,0x4017d400,
    0xfddfffff,0x3fffffce,0x3fffffb8,0x3fffffb0,0xfe80dd00,0x000fffff,
    0x02fffff4,0x017ffffa,0x02fffff4,0x77ffffe4,0xffffebff,0x3e200006,
    0x3ff207ff,0xfffff12f,0x5fff9007,0x0fffffe2,0x3ffffffe,0xffffffff,
    0xff500fff,0x8001ffff,0xfff801fa,0xffff75ff,0x3fea05bf,0xffb03fff,
    0xf9801fff,0xaaaaaaac,0x3ffffffd,0x7ffff400,0x7ffff405,0xffffd005,
    0x3fff200b,0xfffd1fff,0xe80000df,0xffe886ff,0x3fffe21f,0x3ffa203f,
    0x3fffe21f,0xfffff83f,0xffffffff,0x500fffff,0x03ffffff,0xf800fb80,
    0x5cc5ffff,0xffff9802,0xffffb03f,0xffffb00f,0xffffffff,0x800dffff,
    0x405ffffe,0x005ffffe,0x00bffffd,0x7f40ab98,0x00006fff,0x7f427fe4,
    0x7ffc46ff,0x3ffa03ff,0x7fffc46f,0xfffff83f,0xffffffff,0x300fffff,
    0x03ffffff,0xff007d80,0x8000bfff,0xb03fffff,0x880dffff,0x999999bf,
    0xffffc999,0x3fa002ff,0x7f405fff,0xfd005fff,0x0000bfff,0x037ffff4,
    0x03fee000,0x887ffff9,0x903fffff,0xf887ffff,0xed83ffff,0xeeeeeeee,
    0xeeffffff,0x3ffffe00,0x037c002f,0x05fffff8,0x7ffff400,0x9ffffd04,
    0x22007c80,0x06ffffff,0x17ffffa0,0x0bffffd0,0x17ffffa0,0xfffe8000,
    0x0f7aa06f,0x7f42ff40,0x7fcc5fff,0xffd03fff,0xfff98bff,0x3e0003ff,
    0x9004ffff,0x009fffff,0xff801fe4,0x40005fff,0xf04ffff9,0x4c01ffff,
    0x7fec004f,0xd001ffff,0xe80bffff,0xd005ffff,0x000bffff,0x37ffff40,
    0x1effff88,0x3e03be60,0xc9bfffff,0x04ffffff,0x37ffffff,0x9ffffff9,
    0x7fffc000,0xfff3004f,0xf7005fff,0x7fffc00d,0xfd80005f,0xffff06ff,
    0x001fd809,0x7fffffcc,0xffffd005,0xffffe80b,0xffffd005,0x7f40000b,
    0xff506fff,0x9819ffff,0xfffb00fe,0xff7fffff,0xd8b7dfff,0xffffffff,
    0xbefffffb,0xffff8005,0x3fee004f,0x7102ffff,0x7fc001df,0x80005fff,
    0x5c1ffff9,0x2600efff,0xffd0007f,0xd003ffff,0xe80dffff,0xd006ffff,
    0x000dffff,0x37ffff40,0xffffffb0,0x01bfd99f,0x7fffffd4,0xfffff70e,
    0xffffa81d,0xfff70eff,0xf0001dff,0x8009ffff,0xfffffffb,0x0effecbd,
    0x7ffffc00,0xfd100006,0x3ffe63df,0x00ffe805,0xfffffc80,0xffff806f,
    0x7fffc06f,0xffff006f,0x7c0000df,0x2206ffff,0xfffffffc,0xfd7001bd,
    0xffd887bf,0xffd700df,0xfffd887b,0xfff0000d,0xb10009ff,0xffffffff,
    0xc88005df,0x02ffffff,0x3fff2000,0x5404efff,0x4004fffe,0xffffffe8,
    0xfff700cf,0x3ee05fff,0x402fffff,0x2ffffffb,0xfffb8000,0x2200bfff,
    0x0001bbaa,0x20018004,0x00003000,0x009fffff,0xbcccaa80,0xee88001a,
    0xeeeeeeee,0x2a600002,0xffc800ab,0x02efffff,0x3fffffb2,0x23ffffff,
    0xfffffff8,0xfff10fff,0x1fffffff,0xffffff88,0x8000ffff,0xeeeeeeeb,
    0x00001eee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xccca8000,0xcccccccc,0x33333320,0x0ccccccc,
    0x99999990,0x333332a1,0x1ccccccc,0x33333260,0x66402ccc,0xcccccccc,
    0x8802cccc,0x664400bb,0x003ccccc,0xccca8000,0x0003cccc,0x55d4c000,
    0x4c000000,0xcccccccc,0x9999001c,0x2a099999,0x7ffecc01,0x0bdfffff,
    0x3ffffeea,0x202bffff,0x23efffca,0xffffffd9,0x200abeff,0xfffffca8,
    0x7e54c01e,0xefffffff,0x7fcc009b,0x7ed403ff,0x0005ffff,0xffeb9800,
    0x5c006fff,0x01dfffed,0x3fffffee,0x5eeeeeef,0x207df710,0xfffffdb8,
    0xba800fff,0x42cffffe,0x401efffa,0x7ffffffc,0x7ffffcc0,0x3ee002ff,
    0xffff301f,0x10003fff,0x50007fff,0x1fffffff,0x7fffec00,0xffff8807,
    0x0000005f,0x1bffffe2,0x4cfff540,0x7440ffff,0xff70cfff,0x20ffffff,
    0x403ffffb,0xfffffffc,0x3ff6000e,0xbffffd00,0xfffff880,0x7fe400ff,
    0x2003ffff,0x7fec04f9,0x0002ffff,0x7c0007fd,0x005fffff,0x0ffffffc,
    0x2fffffc0,0x3a000000,0x9806ffff,0x3ffe6fff,0x37fff45f,0x556ffff4,
    0xdfffff02,0xfffff900,0x7d400bff,0xfffff304,0xfffc801f,0x7c402fff,
    0x006fffff,0xff3007ee,0x000bffff,0xf8000df1,0x004fffff,0x03ffffec,
    0x05ffffe8,0x7f400000,0x7c406fff,0x3ffe4fff,0x3ffff24f,0x0ffffb83,
    0x37ffffc0,0x7ffffd40,0xf3003fff,0x3fffe209,0xfff8807f,0xfd805fff,
    0x001fffff,0x3ff600dd,0x4000ffff,0x7c0002fa,0x004fffff,0x027fffd4,
    0x05ffffe8,0x7f400000,0x7dc06fff,0x3faa5fff,0x3ffffe0d,0x5ffffa82,
    0x1ffffdc0,0x7ffffd40,0x8801ffff,0x3fff603f,0xfffb004f,0xf9801fff,
    0x804fffff,0xff5003f8,0x8009ffff,0xff80006e,0x8004ffff,0x3a001cc8,
    0x0005ffff,0x7fff4000,0x7ffe406f,0xfff9805f,0xfff982ff,0x3eeb807f,
    0xfff5f500,0x801fffff,0x3f2202f8,0xff5000bf,0xd007ffff,0x00ffffff,
    0x7f4001f7,0x2007ffff,0xf80002f9,0x004fffff,0x3ffa0000,0x000005ff,
    0x37ffff40,0x17ffffa0,0x3ffffea0,0xfffff981,0xfa800000,0xffffffb8,
    0x017c406f,0xffe80004,0xfb806fff,0x402fffff,0x7fdc005e,0x9002ffff,
    0x3fe0000f,0x0004ffff,0x3fffa000,0x0055cc5f,0x74157300,0x7406ffff,
    0x8805ffff,0x981fffff,0x0006ffff,0x3f21f500,0x04ffffff,0x00000be2,
    0xffffffb8,0x7fffe402,0x0be605ff,0xfffff100,0x07f100df,0x3fffe000,
    0x020004ff,0xbffffd00,0x37ffffea,0xffd93002,0x3fffa7ff,0x7fff406f,
    0xfffb005f,0xffff505f,0x2a000009,0x3ffff60f,0x5f103fff,0x7c400000,
    0x205fffff,0xfffffff8,0x000f900f,0x3ffffff2,0x0007e401,0xffffff80,
    0x00b30004,0xcdffffe8,0xffffffff,0x7fffd402,0xffedfece,0xfffc86ff,
    0x3fffffff,0x0ffffea0,0x207fffee,0xfffffff8,0x220fa805,0xfffffffe,
    0x0002f881,0x7fffec00,0xf7f700ff,0x207fffff,0xff10004f,0xf80bffff,
    0x3fe00004,0x0004ffff,0xffe80097,0xf911ffff,0x2603ffff,0x7d46ffff,
    0xc86fffff,0xffffffff,0x7fec03ff,0x3fffe86f,0x7ffffdc0,0x4c0fa805,
    0xffffffff,0x00017c40,0x3fffea00,0x3ebd03ff,0xa86fffff,0x3f60001f,
    0x700fffff,0x7c00001f,0x004fffff,0xfe8009b0,0xfc80efff,0xfe80efff,
    0xffb82fff,0x7f406fff,0x64005fff,0xfd98dfff,0xfff001ff,0x1f500bff,
    0xffffff50,0x002f88df,0xfffe8000,0x92f986ff,0x83ffffff,0x7d40006d,
    0xd04fffff,0xff80000b,0x8004ffff,0x7f4002fa,0xff305fff,0xffa87fff,
    0x3ffa07ff,0x7ff406ff,0xd88005ff,0x0cefffff,0x3ffffa00,0x900fa805,
    0x9fffffff,0x004017c4,0x3fffee00,0xf136c2ff,0x449fffff,0xfe80003f,
    0xfa87ffff,0x7fc00001,0x4004ffff,0xfe8006fa,0x3fe05fff,0x7fe44fff,
    0x3ffa05ff,0x7ff406ff,0xeb8005ff,0x2000199b,0x805ffffe,0x3ff600fa,
    0xf12fffff,0x27fed405,0xffff8800,0xd0fe25ff,0x5cffffff,0xfb80000f,
    0x6c2fffff,0xff800006,0x2004ffff,0xe8003ffd,0x3a05ffff,0x7ec6ffff,
    0x3fa04fff,0x7f406fff,0x22005fff,0x200001fe,0x805ffffe,0x3fa200fa,
    0x89ffffff,0xffff302f,0x3f6000bf,0xf70fffff,0xfffffa81,0x0000bd2f,
    0x3fffffe2,0x0000be66,0x3fffffe0,0xfffe9804,0xfffe8000,0x3fff605f,
    0x7ffffc7f,0x3ffffa04,0x7ffff406,0x03ffa005,0xfffe8000,0x00fa805f,
    0x7fffffc4,0xf902f8ef,0x003fffff,0xffffff50,0x3fe213a7,0x1f9dffff,
    0x3ff20000,0x0d91ffff,0x3ffe0000,0x7cc04fff,0xd0004fff,0x6c0bffff,
    0xf11fffff,0x7409ffff,0x7406ffff,0x3005ffff,0x3335bfff,0xffd00033,
    0x1f500bff,0xfffff500,0x3605fdff,0x04ffffff,0xfffffd00,0x3f203f5d,
    0x06efffff,0x7ffc4000,0x03f8cfff,0xffff0000,0x7fcc09ff,0xd0000fff,
    0x6c0bffff,0xf50fffff,0x7409ffff,0x7406ffff,0x9005ffff,0xffffffff,
    0x039fffff,0x05ffffe8,0xf7000fa8,0x5fffffff,0x3ffffea0,0xff70005f,
    0x40dfffff,0xfffffff9,0xfd800004,0x07cfffff,0xfff01400,0x7ec09fff,
    0x20006fff,0x205ffffe,0x2a7ffffd,0x204fffff,0x406ffffe,0x005ffffe,
    0xfffffff7,0xffffffff,0x7ffff407,0x000fa805,0x3ffffff6,0x3bff202f,
    0xf10004ff,0x05ffffff,0xffffffe8,0xf9800000,0x04ffffff,0x07fff700,
    0x07ffffff,0x13ffffe2,0x74033b22,0x3605ffff,0x3e65ffff,0x3a04ffff,
    0x7406ffff,0x1005ffff,0xffffffff,0xffffffff,0x3ffffa05,0x000fa805,
    0x7ffffff4,0x3fd84402,0x3fff6000,0xffb807ff,0x00006fff,0x3fffffa0,
    0xff88000f,0xffff87ff,0xfff503ff,0xfff709ff,0x3ffffa0b,0x3ffff605,
    0x3ffffe23,0x3ffffa05,0x7ffff406,0x3ffa6005,0xffffffff,0xfd05ffff,
    0xf500bfff,0xfff88001,0x3e002fff,0x3ea0001f,0x8804ffff,0x002fffff,
    0x3ffee000,0xf50004ff,0xff85ffff,0xf902ffff,0xfb07ffff,0xffd01fff,
    0x7ffc0bff,0x7fff41ff,0x3fffa07f,0x7fff406f,0x3f22005f,0xfeeeeeef,
    0xd07fffff,0x500bffff,0xff30001f,0x2a005fff,0xfe80006f,0xfb000fff,
    0x00001fff,0x1fffff80,0xffff5000,0xfffff81f,0xffff700f,0xffff709f,
    0xbffffd01,0x1ffffe20,0x07ffffee,0x1bffffe2,0x0bffffd0,0x401bfee0,
    0xfd05ffea,0xf500bfff,0x3fee0001,0x3fb002ff,0xfff70000,0x7ffd400b,
    0xc8000005,0x20005fff,0x443ffff8,0x205fffff,0x85fffff9,0xfd06fff8,
    0x3ea0dfff,0xff882fff,0xffd85fff,0x7f406fff,0xf8805fff,0x3ea001ff,
    0xffffd03f,0x003f700b,0x017ffe40,0x800017dc,0x4001fff8,0x00001fff,
    0x02fff880,0x07ffdc00,0x01bfffea,0x03fffff6,0x7f40fff6,0xfe82ffff,
    0x3fee04ff,0xff913fff,0x403fffff,0x805fffff,0x2002fff9,0xffd00ffb,
    0x9fd00dff,0x2ffe8000,0x000bf220,0x000dfb00,0x00000df9,0x00037ec0,
    0x98adffc8,0x800efffe,0x1efffff8,0xffd027f4,0x2e25dfdd,0xfb804fff,
    0x9fffffff,0xeffffffe,0x6fffff80,0x01fffd00,0x7c03df70,0x6406ffff,
    0x0000bfff,0x3a205ff1,0xa800000b,0x3f98003f,0x26000000,0x2a00002f,
    0xfffffffe,0x3f62000c,0xffcdffff,0xf71ff403,0x05dfffff,0x7ffffdc0,
    0x7bfffd0e,0xffff5015,0xf91005ff,0x97599bff,0x5c01bffb,0x42ffffff,
    0xffffffea,0xf98001ef,0x00000002,0x06400032,0x12000000,0x5d4c0000,
    0x20000abc,0xbcefedc9,0x9880b800,0x20001abb,0x05541bb8,0x3ffffee0,
    0x802fffff,0xdeeedcb8,0x3e2009ac,0xffffffff,0x0000000f,0x00000035,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x095019db,0x01ab9880,0x33333322,0xcccccccc,
    0x99999970,0x59999999,0x66666664,0xcccccccc,0xcccccccc,0x99999950,
    0x2e200009,0x442c980c,0xcccccccc,0x002ccccc,0x3333332a,0x7f40000c,
    0xff985fff,0x00002fff,0x33333322,0xcccccccc,0xcccccccc,0xfd8002cc,
    0x88adffff,0xffd7005e,0x2605ffff,0xffffffda,0x2a21bdff,0xfffffffc,
    0x2a609bef,0xfffffffd,0xffffffff,0xb30fffff,0x01ffffff,0x1ffff000,
    0x262fffd4,0xffffffca,0x20009bef,0xffffffd9,0x7ff40000,0xfff985ff,
    0x400002ff,0xfffffca9,0xffffffff,0xffffffff,0x7ffd4005,0xffffffff,
    0x8dffc804,0x404ffff9,0x5ffffffc,0xfffff980,0xffc800ff,0x4cc2ffff,
    0x0ffffeb9,0x07ffffec,0x3ffea000,0x3ffffa4f,0xfffff900,0xfd80005f,
    0x0000ffff,0x42fffff4,0x02fffff9,0x3bf60000,0x26fffffe,0xfffca999,
    0x7ff4005f,0xffffffff,0x37fec01f,0x80bffff6,0x3ffffffa,0xffffff00,
    0x3ffe600b,0xfb802fff,0x7ffe40ff,0x540000ff,0x3f63ffff,0xff500fff,
    0x0000ffff,0x01fffff9,0xffffe800,0xfffff985,0x36000002,0xfffffdaf,
    0x2fff4406,0x7e4d3e00,0x403fffff,0x7dc3fffc,0x3e605fff,0x002fffff,
    0x0bffffff,0x3ffffe60,0x1ff1002f,0x0fffffc8,0xfffe8000,0x817ffea0,
    0x07fffffa,0xffffb800,0x7f40000f,0xff985fff,0x00002fff,0x3ff6bf30,
    0xfb006fff,0x4074400b,0x4401ceb9,0x7c41ffff,0x3e606fff,0x002fffff,
    0x0bffffff,0x3ffffe20,0x03ee002f,0x01fffff9,0x202ea000,0x7fd401b8,
    0x80007fff,0x00fffffb,0x7ffff400,0xfffff985,0xfd000002,0x3fffff61,
    0x00bf3006,0x3f200000,0xffd80fff,0x3ffe603f,0xff002fff,0x2009ffff,
    0x2ffffff8,0xf903e200,0x0001ffff,0x7d400000,0xaaafffff,0x3ee00099,
    0x0000ffff,0x42fffff4,0x02fffff9,0x23fa8000,0x06fffffd,0x0000bd01,
    0x3fffe000,0x02db880f,0x7fffffcc,0xfffff002,0x3fe2009f,0x0e02ffff,
    0xffff903a,0x0000001f,0x7fffd400,0xffffffff,0x7fdc02df,0x40000fff,
    0x985ffffe,0x002fffff,0x362fc400,0xb06fffff,0x40005b81,0xf1001ba8,
    0x0001ffff,0xffffff98,0xfffff002,0x3fe2009f,0xd102ffff,0xffff9030,
    0x0000001f,0x7fffd400,0xffdba9ff,0xf700efff,0xb981ffff,0xffffd001,
    0xfffff30b,0xfc800005,0x7ffffec0,0x02881d06,0xfffff900,0x7fcc059f,
    0x40002fff,0x2ffffff9,0xffffff00,0x3ffe2009,0x0d502fff,0x3fffff20,
    0x7ffffe40,0xfff885ff,0x5005ffff,0x90ffffff,0x03ffffff,0x21fffff7,
    0x04fffffa,0x42fffff4,0x02fffff9,0x20fe6000,0x86fffffd,0x880000f8,
    0xff32effd,0xfff501bf,0x980007ff,0x02ffffff,0x9ffffff0,0x3fffe200,
    0x00db02ff,0x03fffff2,0x033fffa2,0xbfffff70,0x3fffea00,0xffff907f,
    0xffff70df,0xfffff91f,0x7ff407ff,0xfff985ff,0x200002ff,0xffffb06e,
    0x001f70df,0x1fffe880,0x5437ffdc,0x004fffff,0x7ffffcc0,0xffff002f,
    0x3e2009ff,0xa82fffff,0xfff9006f,0x3ff201ff,0x3fffe002,0xfff5005f,
    0x3fea0fff,0x7dc2ffff,0x9bfeffff,0x00fffffd,0x30bffffd,0x005fffff,
    0x6c07ee00,0x446fffff,0x640000ff,0xfff06fff,0xffff889f,0x7cc0006f,
    0x002fffff,0x09ffffff,0x3ffffe20,0x037fdc2f,0x0fffffc8,0x4001fe88,
    0x005ffffe,0x0ffffff5,0x3fffffe2,0x7ffffdc5,0x3fffe21f,0xffffd03f,
    0xfffff30b,0x9f100005,0x7ffffec0,0x003ffa66,0x5ffff980,0x81ffffd0,
    0x02ffffff,0x3fffe600,0xffffffff,0xffffffff,0xff1004ff,0xfdbbffff,
    0x3200dfff,0xd80fffff,0xffe8001f,0xff5005ff,0x7fc0ffff,0x7dc6ffff,
    0xfe82ffff,0xffd05fff,0xfff30bff,0x0004c5ff,0xffb007ec,0xfffdffff,
    0x6c0001ff,0xfb04ffff,0xffe85fff,0x0000efff,0xdffffff3,0xdddddddd,
    0x9ffffffd,0x3fffe200,0xfffffeff,0xfff9006f,0x00fd81ff,0xbffffd00,
    0x3fffea00,0x3fffa07f,0x7ffdc6ff,0xfffe80ff,0xfffff05f,0xfffff50b,
    0x7d400347,0xaaaaaaad,0xcffffffe,0x000fffff,0x13ffffe0,0x227fffec,
    0x4ffffffa,0x7fcc0720,0xf002ffff,0x009fffff,0x3fffffe2,0x0dfff932,
    0x3fffff20,0x80007f60,0x005ffffe,0x0ffffff5,0x27fffffc,0x03ffffee,
    0x41bffffa,0x4c7fffff,0x35ffffff,0xfff8800d,0xffffffff,0x266fffff,
    0x10000ffe,0x207fffff,0xe86ffffd,0x0bffffff,0xff981b62,0xf002ffff,
    0x009fffff,0x3fffffe2,0x9006fc82,0x361fffff,0x3a0005ff,0x5005ffff,
    0x20ffffff,0x1ffffff9,0x07ffffdc,0x837ffff4,0x9cffffff,0xfffffdfc,
    0x64003edf,0x9999999f,0xfffffe99,0x0007fcc6,0x3fffffa8,0x0fffffb0,
    0xfffffff3,0x403ffdbf,0x2ffffff9,0xffffff00,0x3ffe2009,0x0dd02fff,
    0x3fffff20,0x02ffffd8,0xbffffd00,0x3fffea00,0xffff507f,0xffff70ff,
    0xffffd01f,0x3ffffe0d,0xff54ffff,0x800dffff,0xffb003f9,0x1f70dfff,
    0x3ffee000,0xfffb03ff,0xfff303ff,0x3fffffff,0xfffff980,0xffff002f,
    0x3e2009ff,0x502fffff,0x3fff200d,0xfffffeff,0xffe8000f,0xff5005ff,
    0xfd10ffff,0xf705ffff,0xfd01ffff,0xff10dfff,0x85fffffb,0x00effffc,
    0xfb003740,0xf30dffff,0x3fea0001,0xffb03fff,0x36201fff,0x0befffff,
    0xfffff980,0xffff002f,0x3e2009ff,0x302fffff,0x3fff200d,0xffffcfff,
    0xffe8005f,0xff5005ff,0xfe98ffff,0xf701ffff,0xfd01ffff,0xff30dfff,
    0xa8806ee6,0x1fb8001b,0x3ffff600,0x2201f06f,0x3fffe602,0xffffb03f,
    0x19f3100f,0xffff9800,0xfff002ff,0x22009fff,0x02ffffff,0x7ffe401a,
    0xffffd1ff,0xffe8007f,0xff5005ff,0xffddffff,0x401dffff,0x80fffffb,
    0xb86ffffe,0x000000ff,0xd8009f10,0xb06fffff,0xff00f201,0x3f607fff,
    0xf7006fff,0xff980019,0xf002ffff,0x009fffff,0x3fffffe2,0x7e400202,
    0xff10ffff,0x4001ffff,0x005ffffe,0xdffffff5,0x015999bd,0x1fffff70,
    0x0dffffd0,0x00005ff9,0x0003f600,0x0dfffffb,0x2017c402,0xd04ffffe,
    0x1009ffff,0x4001ffff,0x2ffffff9,0xffffff00,0x3ffe2009,0x80002fff,
    0x20fffffc,0x06fffffb,0x17ffffa0,0x7ffffd40,0xffb80007,0xffe80fff,
    0x4ffe86ff,0xfa800000,0xfffd8002,0x7dc006ff,0x7fffcc01,0x1fffff04,
    0x5fff9100,0x7fffcc00,0xfff002ff,0x2600bfff,0x02ffffff,0xffffc800,
    0x7fffec0f,0xfffd003f,0x3fea00bf,0x80007fff,0x80fffffb,0xf86ffffe,
    0x000006ff,0xd8002fc4,0x006fffff,0x36003fe6,0xfff06fff,0xfff8009f,
    0x3ffe6003,0xff002fff,0x200bffff,0x3ffffff9,0xfffc8000,0x7ffc40ff,
    0xfe801fff,0xf5006fff,0x000fffff,0x1fffff90,0x8dffffd0,0x0007fff9,
    0x0017ec00,0x6fffffd8,0x00fff500,0x707fffe6,0x4001dfff,0x2000fff9,
    0x3ffffffa,0xfffff880,0xfff5006f,0x00009fff,0x03fffff9,0x1dfffff9,
    0x6fffff80,0xfffff700,0xfc80001f,0xff81ffff,0x7fd47fff,0x000000ff,
    0x20003ff7,0x0ffffffe,0x17fff260,0x1effe880,0x400bfff3,0x003ffeb9,
    0x3fffffa2,0x3f6201ff,0x03ffffff,0x7fffff44,0x260001ff,0x84fffffe,
    0xdffffff9,0xfffff700,0xfff9805f,0x000dffff,0xfffffd30,0x7fffd419,
    0x3ffe22ff,0xc8800005,0x2001efff,0xffffffc8,0xfdcccdff,0x004fffff,
    0xffffffc8,0x3ba6004e,0xee8801bd,0xffffffff,0xfd91efff,0xffffffff,
    0x7f747dff,0xffffffff,0x2e001eff,0xffffffff,0xfffff30f,0x7c45ffff,
    0xffffffff,0x3fffa20f,0xffffffff,0x3fee004e,0x97ffffff,0xffffffff,
    0x000e754d,0x3fffea00,0xd902ffff,0xfffffffd,0xffffffff,0x07ffffff,
    0x055d4c00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x66644000,0xcccccccc,
    0xc8001ccc,0xcccccccc,0xccccc884,0x99999913,0x00199999,0x666665c0,
    0xf91ccccc,0xffffffff,0xfffffe85,0x99999912,0x59999999,0x22001555,
    0xcccccccc,0x9aaacccc,0xcccc8000,0xcccccccc,0x400019aa,0x5981ceca,
    0x99999910,0x57999999,0x00003555,0xffffdb98,0x09adffff,0xffffc800,
    0xb883dfff,0x2e63fffe,0xfffffffd,0xff10003f,0x7dffffff,0x7fffdc13,
    0x3fe606ff,0x7fedd41e,0xffffffff,0x0dffffff,0x7ffedcc0,0xffffffff,
    0x001cefff,0xfffff953,0xffffffff,0xfc8005df,0x88adffff,0x3f6ea06e,
    0xffffffff,0xefffffff,0x3600000b,0x04ffffff,0xffff5000,0xffa801ff,
    0x3ffff600,0x90006fff,0xdfffffff,0x7fffe401,0x00fec05f,0x3ffffff6,
    0xfffda988,0xfb001fff,0x333fffff,0xdffffd73,0x7ffdc003,0xfb989fff,
    0x802effff,0xfffffffa,0xb005ffff,0x88ffffff,0xffffffc9,0xff500002,
    0x0005ffff,0x7ffffec0,0x201fd402,0xfffffefa,0xfdf8002f,0x404fffff,
    0x07fffff8,0x7fd40374,0xfc80ffff,0x802fffff,0x1ffffffb,0x7fffff90,
    0x3fffe600,0x7ff441ff,0x7ec01fff,0xffffffff,0xff7001ff,0x7cc0ffff,
    0x002fffff,0xfffffa80,0x2a00001f,0x404fffff,0x57d400fc,0x05ffffff,
    0x7ffd7d40,0xfc804fff,0xf102ffff,0xffff5005,0x3ff201ff,0x5400ffff,
    0x01ffffff,0x13fffff2,0x3ffffe20,0xffffa81f,0x453e00ff,0x4ffffffb,
    0x3fffee00,0x7ffdc07f,0x40000fff,0x1ffffffa,0x7ffc0000,0x02fc07ff,
    0x7ffecfd4,0x36001fff,0x9ffffff6,0xfffff100,0x5401ee0d,0x00ffffff,
    0x5ffffff3,0xfffffa80,0x3ffa201f,0x7c403fff,0xf01fffff,0x409fffff,
    0x2ddb981e,0x7fffd400,0xffff807f,0x540004ff,0x01ffffff,0x7ffe4000,
    0x05f302ff,0xfff33f50,0x26009fff,0xffffff3f,0x3fff6009,0x004e81ff,
    0x1ffffff5,0x7fffffc0,0x7fffd405,0x7fd401ff,0x2201ffff,0x01ffffff,
    0x0dfffffd,0xf5000000,0xd00fffff,0x00dfffff,0xfffffa80,0x4c00001f,
    0x905fffff,0x747ea00f,0x00ffffff,0xffff0fc8,0x3e6009ff,0x7cc5ffff,
    0xffff5001,0x7ff401ff,0x7d407fff,0x401fffff,0x6ffffff8,0x3ffffe20,
    0xffffb01f,0x000000ff,0xffffff50,0xfffffb00,0xffa8000f,0x0001ffff,
    0xfffffe80,0xf5004f80,0x3ffffee3,0x3e4f803f,0x004fffff,0x83fffffa,
    0x3fea006c,0xf100ffff,0x80bfffff,0x1ffffffa,0xfffffd80,0xffff101f,
    0x3ff603ff,0x20007fff,0x7d4001b9,0xd807ffff,0x007fffff,0x7ffffd40,
    0xb800001f,0x4c2fffff,0x43f5001f,0x06ffffff,0xffff0fd4,0x7d4009ff,
    0x0fe4ffff,0xfffffa80,0xffff500f,0xffa807ff,0xa801ffff,0x04ffffff,
    0x3ffffff1,0x3fffffa0,0x3ffffee6,0xffff70ff,0x3fea009f,0xfe807fff,
    0x0006ffff,0x7fffffd4,0xf8800001,0x3e45ffff,0x7e43f500,0x202fffff,
    0x7ffffc5e,0x7ff4004f,0x001f57ff,0x7fffffd4,0xfffffb00,0xffff500d,
    0xff3003ff,0x220fffff,0x01ffffff,0x89ffffff,0x8ffffff9,0xfffffffc,
    0xffffa803,0x7ffc407f,0x40004fff,0x1ffffffa,0xffd00000,0x027c1fff,
    0x7fc43f50,0xf305ffff,0xffffff85,0x7ffdc004,0x4005dbff,0x0ffffffa,
    0x7ffffec4,0xfffa800d,0xf8801fff,0x80ffffff,0x1ffffff8,0xffffffa8,
    0xfffffc80,0xfffd9bfe,0x7fd400ff,0x7d407fff,0x000fffff,0x7ffffd40,
    0x7000001f,0x2a7fffff,0x07ea001f,0x1ffffffb,0xffff0d90,0xf88009ff,
    0x01feffff,0x7ffffd40,0xffeb999f,0x4cc02dff,0xffffffb9,0x4419999a,
    0x1fffffff,0xffffff88,0x7ffff441,0xffff902f,0x7ffc43ff,0x7fd404ff,
    0x3ea07fff,0x002fffff,0xfffffa80,0x1000001f,0x32dfffff,0x20fd4007,
    0x4ffffff9,0x7ffc1fc4,0xc8004fff,0x006fffff,0xffffffa8,0xefffffff,
    0xffff9802,0xffffffff,0x7fc1ffff,0x881fffff,0x31ffffff,0x3ffffff7,
    0x7ffffdc0,0x5ffffe82,0x7ffffd40,0x7ffe4c47,0x00001dff,0x3ffffff5,
    0x7ec00000,0x04f9ffff,0x7f40fd40,0x7dc7ffff,0xffffff80,0xfff98004,
    0xfa8003ff,0xccbfffff,0xcffffffd,0x3ee66601,0x99afffff,0xffff8199,
    0xff882fff,0xffffffff,0x400befff,0x80fffffb,0x405ffffe,0xfffffffa,
    0xffffffff,0x5400001d,0x01ffffff,0xccccc800,0xefffffec,0x3cccccdf,
    0xff703f50,0x2f47ffff,0x4ffffff8,0xffffb000,0xfff50001,0xffb01fff,
    0x5009ffff,0x01ffffff,0x3fffffe0,0xffff881f,0x9aaacdff,0x3ffee000,
    0xfffe80ff,0x7ffd406f,0xfffbafff,0x0002ffff,0xfffffa80,0xff80001f,
    0xffffffff,0xffffffff,0x03f505ff,0x5bfffffe,0xffff01f9,0x2a0009ff,
    0x50005fff,0x01ffffff,0x3ffffff2,0x7fffd404,0xff8800ff,0xf107ffff,
    0x003fffff,0xfffff700,0xdffffd01,0xfffffa80,0x3ffffea7,0x400000ff,
    0x1ffffffa,0x7e400000,0x8003ffff,0xfff901fa,0x40db3fff,0x04ffffff,
    0x00bffa00,0x7ffffd40,0x3fff600f,0x3ea03fff,0x800fffff,0x6ffffff9,
    0xffffff10,0xff700003,0xffd01fff,0xffa80dff,0x7fec7fff,0x0005ffff,
    0x7ffffd40,0x0170001f,0x5fffff70,0x203f5000,0xeffffff8,0x3fffe02f,
    0x2e0004ff,0x3ea0007f,0x200fffff,0x6ffffffb,0x3ffffea0,0xfffa800f,
    0xff105fff,0x0003ffff,0x1fffff70,0x0dffffd0,0x7fffffa8,0x7fffffc4,
    0x2a00003f,0x01ffffff,0xf7001f00,0x0005ffff,0x7fec03f5,0x7c07ffff,
    0x004fffff,0x80013e20,0x0ffffffa,0x3ffffe20,0x3ffea07f,0xfa800fff,
    0x103fffff,0x03ffffff,0xffff7000,0xffffd01f,0xffffa80d,0xffffa87f,
    0x00000fff,0x3ffffff5,0x554f5000,0xffdaaaaa,0xaaaacfff,0x03f501aa,
    0x7fffffcc,0x7ffffc04,0x3e20004f,0x3fea0000,0x7c00ffff,0x00ffffff,
    0x1ffffff5,0xfffff900,0x3ffe201f,0x80001fff,0x80fffffb,0x406ffffe,
    0x07fffffa,0xdffffff9,0x3fea0000,0x8001ffff,0x3ffffe6d,0xffffffff,
    0x5fffffff,0xfe803f50,0x7c00ffff,0x004fffff,0x500016e0,0x01ffffff,
    0x7fffffc4,0x3fffea07,0x7fc400ff,0x2202ffff,0x01ffffff,0xffffb800,
    0xffffe80f,0x7fffd406,0x3fffa07f,0x80004fff,0x1ffffffa,0x332fcc00,
    0xff933333,0x33337fff,0x07ea0133,0x0bffff50,0x9ffffff0,0x7c0dfb80,
    0x7fd40002,0x2a00ffff,0x05ffffff,0x3fffffea,0x7fffdc00,0x7ffc405f,
    0x80001fff,0x80fffffb,0x406ffffe,0x07fffffa,0x3fffffe6,0x7d40001f,
    0x001fffff,0x64017fa2,0x002fffff,0xff801fa8,0xfff802ff,0x3ea04fff,
    0x001aa4ff,0x3ffffea0,0x3fff200f,0x3ea02fff,0x401fffff,0x01ffffff,
    0x7fffffc4,0xffb80001,0xffe80fff,0x7fd406ff,0x7dc07fff,0x00efffff,
    0x3fffea00,0xfd1002ff,0x3ff2009f,0xa8003fff,0x6ffc801f,0xffffff00,
    0x37ffec09,0xf500005d,0x201fffff,0x4ffffffa,0x7ffffd40,0x3fff601f,
    0xff8800ef,0x0001ffff,0x0fffffc8,0x06ffffe8,0x7fffffdc,0x7fffec00,
    0x2e0005ff,0x04ffffff,0x03fffe98,0x9fffffb0,0x00bfb000,0xf3007ff1,
    0x40bfffff,0x6daffffb,0xfff70000,0xff707fff,0x7009ffff,0x05ffffff,
    0x09ffffd1,0x7ffffcc0,0xfc80002f,0xff81ffff,0x7e407fff,0x401fffff,
    0xfffffff8,0xfff98003,0xccdfffff,0xffffeccc,0xffb802ff,0x002fffff,
    0x002fffee,0xfd8801fb,0x02ffffff,0x3dfffff1,0xfff30000,0xb9bfffff,
    0x19ffffff,0xfffff300,0xfdb9bfff,0x40039fff,0xffffffe8,0x3a60000e,
    0x5c4fffff,0x02ffffff,0xfffffff3,0xffff500b,0x88017fff,0xfffffffe,
    0xffffffff,0xffffffff,0xffffdb01,0xdfffffff,0xffffd105,0x2603ffff,
    0x3fffb604,0xffffffff,0x6775c42e,0x3fa20000,0xffffffff,0xcdefffff,
    0x7ff4c00a,0xffffffff,0x01ceffff,0x7ffffec0,0x6fffffff,0x7fffdc00,
    0xff97ffff,0x2dffffff,0xffffffe8,0x05ffffff,0x3ffffff6,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xccc88000,0xcccccccc,0xcc980ccc,0xcccccccc,0xcccccccc,
    0x332a0ccc,0xcccccccc,0x665c02cc,0x912ccccc,0x99999999,0xc8859999,
    0xcccccccc,0x66666643,0x2ccccccc,0x99999930,0x64439999,0x83cccccc,
    0xccccccc9,0xaaaccccc,0xcc980009,0xcccccccc,0xcccccccc,0x10cccccc,
    0x99999999,0x99999999,0x07999999,0x54c03440,0xfffffffd,0xff701bdf,
    0xffffffff,0xffffffff,0xfec98bff,0xcfffffff,0x7f64c00a,0x3ae1cfff,
    0xffffffff,0xfba80acf,0x41beffff,0xfffffda9,0x101bdfff,0xffffff75,
    0xffeb817b,0xb9886fff,0xfffffffe,0xefffffff,0xfff7001b,0xffffffff,
    0xffffffff,0x4c3fffff,0xffffffdb,0xffffffff,0x006fffff,0xff9001f6,
    0x900bffff,0x4039ffff,0xfffffffb,0xfffff100,0x3e000dff,0x3ff600ff,
    0x006fffff,0x2007fff7,0x5ffffffc,0x77ffdc00,0x7fffc401,0x7ff4406f,
    0x95337fff,0x01bfffff,0x9adfffb8,0xffffff70,0x3ffaa621,0xffff901f,
    0xb99985ff,0x5006ffff,0xffa800ff,0xc802ffff,0xff8804ff,0x403fffff,
    0xfffffff9,0x01ff8001,0x7fffff44,0xff9800ff,0x3ffe6003,0x64003fff,
    0x3fe005ff,0xfc806fff,0xb107ffff,0x405fffff,0xff702ffb,0xb101ffff,
    0x3fea03ff,0x4402ffff,0xf8806ffd,0x7fd4007f,0xd802ffff,0xfffb004f,
    0x3600dfff,0x04ffffff,0x98027d40,0x4fffffff,0x4005fc80,0x3ffffff9,
    0x00ffea00,0x0dffffd0,0xffffff90,0xfffffe80,0x5c09f703,0x00ffffff,
    0x7fcc07fa,0x9002ffff,0xffe880df,0x7ffcc007,0x6e802fff,0xfffff500,
    0x3e2003ff,0x00ffffff,0xf9001ba0,0x03ffffff,0x440037cc,0x02ffffff,
    0x0003ff50,0x00dffffd,0x0ffffff9,0xffffff88,0x7dc07b81,0x200fffff,
    0xfff301fa,0x74005fff,0x3fffa206,0x7ffcc007,0x2f802fff,0xfffffd00,
    0xffb8009f,0x7005ffff,0xffd0005f,0x220dffff,0xf88000ee,0x802fffff,
    0xd0000efc,0x900dffff,0x00ffffff,0x1ffffff9,0x7fdc05b8,0x7c00ffff,
    0xfffff301,0x1ae0205f,0x3fffff4c,0x3fffe600,0x00f802ff,0xffffffc8,
    0xfff8000f,0x4401ffff,0xff30005f,0xb09fffff,0x3e20003f,0x202fffff,
    0x40004fd8,0x806ffffe,0x07fffffc,0xffffff98,0x3ee015c4,0x400fffff,
    0xffff301c,0x261a05ff,0xfffff986,0x02ffffff,0x3fffffe6,0xf9803802,
    0x02ffffff,0xfffff700,0x00fc80bf,0x3ffff200,0x0bf21fff,0xffff8800,
    0x7fd302ff,0xfffd0000,0xfff900df,0x3fa00fff,0x8007ffff,0x0ffffffb,
    0x3ffe6000,0x07882fff,0xfffff887,0x2fffffff,0x3ffffe60,0xfb00002f,
    0x00bfffff,0xfffffe80,0x009f302f,0xfffffd00,0x000feadf,0xffffff10,
    0x003ff505,0x3ffffa00,0xffffc806,0xfff9007f,0xb8005fff,0x00ffffff,
    0x3fffe600,0x007a82ff,0x07ffffd8,0x7ffffcc0,0xfa80002f,0x00ffffff,
    0x7fffd400,0x00dd06ff,0x3fffe600,0x005fdfff,0xfffff880,0x0077dc2f,
    0xffffd000,0xffff900d,0x3fea00ff,0x4005ffff,0x0ffffffb,0x3ffe6000,
    0x07e82fff,0x7ffffd80,0x7fffcc00,0x440002ff,0x3fffffff,0xfffb0000,
    0x2fb85fff,0x3fee0000,0x006fffff,0xfffff100,0x027fec5f,0x3fffa000,
    0xfffc806f,0xff5007ff,0x800dffff,0x0ffffffb,0x3ffe6000,0x3fd42fff,
    0x7fffec00,0x7ffcc007,0x40002fff,0x6ffffffc,0x3fe60000,0x3e26ffff,
    0xfe800005,0x00efffff,0xffff8800,0xfffe8aff,0x3a00003f,0xc806ffff,
    0x007fffff,0xfffffff3,0xffffb800,0x260000ff,0x22ffffff,0xd8007ffb,
    0x4007ffff,0x2ffffff9,0x3ffe6000,0x0001ffff,0x7ffffec0,0x0001f93f,
    0xfffff100,0x100009ff,0xfbffffff,0x03ffffff,0x3fffa000,0xfffc806f,
    0xff1007ff,0x001fffff,0x7fffffdc,0x3fe60000,0xffeeffff,0xfd8007ff,
    0x4c007fff,0x02ffffff,0x3ffffa00,0x800004ff,0xfffffff8,0x000004fa,
    0x3fffffee,0x7c40001f,0xffffffff,0x00ffffff,0xffffe800,0xffffc806,
    0xfff1007f,0x4003ffff,0x0ffffffb,0x3ffe6000,0xffffefff,0xffd8007f,
    0x7cc007ff,0x002fffff,0xffffff70,0x2000001f,0xfffffffc,0x4000000f,
    0xeffffffe,0x3fe20000,0xff9dffff,0x006fffff,0x6ffffe80,0xfffffc80,
    0xffff1007,0xfb800fff,0x000fffff,0x3ffffe60,0x0fff932f,0xfffffb00,
    0xffff9800,0xf88002ff,0x02ffffff,0x3fe20000,0x002fffff,0x7ffcc000,
    0x004fffff,0x3ffffe20,0xfffff52f,0xe80009ff,0xc806ffff,0x007fffff,
    0xdffffff3,0xffffb800,0x260000ff,0x42ffffff,0xfd8007fc,0x4c007fff,
    0x02ffffff,0xfffffd80,0x8000005f,0x1ffffffb,0x3e200000,0xffffffbe,
    0xff10002f,0x7dc5ffff,0x03ffffff,0x3ffffa00,0xffffc806,0xfff5007f,
    0xb800bfff,0x00ffffff,0x3fffe600,0x007e82ff,0x07ffffd8,0x7ffffcc0,
    0x7fd4002f,0x001fffff,0x7fd40034,0x0001ffff,0x7ec3fa00,0x00ffffff,
    0xfffff880,0x7fffec2f,0xd0001fff,0x900dffff,0x00ffffff,0x3fffffee,
    0x7ffdc003,0x20000fff,0x2ffffff9,0xfd8007c8,0x4c007fff,0x02ffffff,
    0x3ffffe20,0x34c004ff,0x7fffd400,0x000001ff,0x7ffc43fb,0x8004ffff,
    0x2ffffff8,0x7fffff44,0xfe8000ff,0xfc806fff,0x9007ffff,0x05ffffff,
    0xfffffb80,0x3e60000f,0x982fffff,0x7fec2407,0x7cc007ff,0x002fffff,
    0x3ffffff2,0x005c8006,0xffffffa8,0xfb800001,0xfffffa82,0x7c4002ff,
    0x982fffff,0x6fffffff,0xffffe800,0xffffc806,0xfffd007f,0xf7000dff,
    0x001fffff,0x7ffffcc0,0x2540d02f,0x03ffffec,0x3ffffe60,0xfff3002f,
    0x8005ffff,0xfa8004f8,0x001fffff,0xb027d400,0x1fffffff,0x7fffc400,
    0xfff502ff,0x8009ffff,0x806ffffe,0x07fffffc,0xffffff98,0xfffb8001,
    0x20000fff,0x2ffffff9,0x6c1f4010,0x4007ffff,0x2ffffff9,0xfffffd00,
    0x7fb000bf,0xffff5000,0x400003ff,0x7fc405f9,0x005fffff,0x3fffffe2,
    0x3ffff202,0x3a003fff,0xc806ffff,0x807fffff,0x04fffffd,0xfffff700,
    0x7cc0001f,0x002fffff,0x7fe417d4,0x300647ff,0x05ffffff,0xffffff70,
    0xffb8001f,0xfffa8002,0x00001fff,0xf5001ff1,0x05ffffff,0x3ffffe60,
    0x7ffec02f,0xd002ffff,0x900dffff,0x80ffffff,0x0ffffff8,0xffff7000,
    0x4c0001ff,0x02ffffff,0x2607fe60,0xc8cfffff,0x7fffd404,0x7fc402ff,
    0x003fffff,0x007fffa6,0x3ffffea0,0xe880001f,0x3ff6003f,0x800fffff,
    0x3ffffff9,0x7ffffc40,0xfe801fff,0xfc806fff,0x100fffff,0x01bffffb,
    0x7fffdc00,0x2a0000ff,0x02ffffff,0x201fff30,0x6ffffffb,0xfffffb80,
    0x7ffec03f,0x32006fff,0x000fffff,0xffffffb8,0x7f440002,0x3fe6001f,
    0x806fffff,0x4ffffffa,0xfffffc80,0x7fc01fff,0xfd807fff,0x981fffff,
    0x003ffffe,0xfffffc80,0x3ee0001f,0x405fffff,0x407fffd9,0x00beffda,
    0x7fffffcc,0xfff501ff,0x999bffff,0xffd99999,0x000fffff,0xfffffff3,
    0xf710001d,0x2001dfff,0xfffffffb,0xffd101df,0x803fffff,0xfffffffc,
    0xffb80bff,0x2a02ffff,0xffffffff,0xeffffdcc,0xfa80001c,0x0effffff,
    0xffff9800,0xccceffff,0xfffffeec,0x88011006,0xfffffffe,0x20efffff,
    0xfffffffe,0xffffffff,0xffffffff,0xfffd9007,0xffffffff,0xff9007dd,
    0xbdffffff,0x3fffff20,0x4fffffff,0x3fffffba,0x44ffffff,0xfffffffa,
    0x14ffffff,0xffffffff,0x3ffaa1ff,0xffffffff,0x01bdefff,0xfffe9800,
    0xffffffff,0x7ff4406e,0xffffffff,0xffffffff,0x0005ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcccccd98,0xcccccccc,0x03cccccc,0x000276c0,0x000eea80,
    0x10000000,0x00015773,0x001ab988,0x00037510,0x8026ea62,0x00009ba9,
    0x18003751,0x0a214000,0x0d400000,0x40000530,0x2ff40038,0xffb80000,
    0x73100001,0x201d1035,0xffffffd8,0x75c000df,0x02ffffff,0xffffff70,
    0x3ff26007,0x263effff,0x0dffffff,0xfffff900,0x2fd8059f,0x40de5d44,
    0x2fbe24fb,0xea800000,0x02981eff,0x000e2000,0x00000bfd,0x00007fee,
    0xffffffd7,0x7dc1ba27,0xfffa89bf,0xff9000ef,0x9ffff31b,0x867fec40,
    0x7e404ffd,0xffeb89cf,0xb14ffbcf,0x6c403dff,0xfff32eff,0x5fff301b,
    0xffffff91,0x43ffee7f,0x01dffff8,0x3fffa000,0x0002985f,0xfd000e20,
    0x2e00000b,0x320001ff,0xffd32fff,0xff901dbd,0xbffff50b,0xd8dffb00,
    0xfd02ffff,0x3fff98df,0xf309ff90,0x81dfffff,0xfd106ffe,0xfffb83ff,
    0xfffff506,0xffffffff,0xfb81ffff,0x00beffff,0x3fffe600,0x0014c0ff,
    0xe8007100,0x7000005f,0x3a0003ff,0x7fcc3fff,0xfff881ff,0x7fffcc0f,
    0x3fff201f,0x2ffffdc3,0x741fffdc,0x7fcc0fff,0xfffd80ef,0xfffb82ff,
    0x06fffc83,0x2a09ffff,0x30adffff,0x01ffffd5,0x7ffffed4,0xff88001c,
    0x14c0ffff,0x00710000,0x00005fe8,0x0003ff70,0xd01ffff7,0xff70bfff,
    0xfff889ff,0xfff103ff,0xffff883f,0x0ffffc46,0x3227ffe4,0xfd83ffff,
    0xfa81ffff,0x7ffcc7ff,0xffffd05f,0x05fff101,0x1006ffc8,0x5dfffff9,
    0xffffd800,0x00002984,0xbfd000e2,0x3ee00000,0x7fc4001f,0xfffb07ff,
    0xffffb83f,0x7ffffc45,0x1ffff903,0xc87fffb0,0xfc80ffff,0x7ffdc7ff,
    0xffffc85f,0xffff980f,0x13ffff61,0x417fffec,0xfb002ffc,0xfea8005f,
    0x801cffff,0x980cffc8,0x0e200002,0x000bfd00,0x007fee00,0x0dffff70,
    0x8bfffff3,0x442ffff8,0xf03fffff,0x7101ffff,0xffffd05b,0x83ffff20,
    0xc82ffff8,0xf107ffff,0x7ffc5fff,0xfffb04ff,0x05ff889f,0x001bfe20,
    0x7ffffe4c,0x4c00802d,0x0e200002,0x000bfd00,0x007fee00,0x8dffffb0,
    0x7ffffff8,0xfe981750,0xf883ffff,0x8000ffff,0xcccfffff,0x1ffffecc,
    0xffb80ba8,0xaaaaefff,0x14ffffba,0x207fffff,0x4c6ffffd,0x7e4002ff,
    0x75c40007,0x00cfffff,0x00005300,0x3fa001c4,0xf7000005,0xfff8003f,
    0x337a26ff,0x800fffff,0xffffdfe9,0xffff983f,0x7fc4002f,0xeeeeefff,
    0x801eeeee,0xfffdefb8,0xeeeeeeff,0xff54eeee,0x3f607fff,0x7fdc7fff,
    0x0ffdc000,0xffd98000,0x98005fff,0x4e200002,0xfffffffc,0xffffffff,
    0x13ffffff,0xffffffff,0xffffffff,0x22ffffff,0x365fffff,0xfffffb8e,
    0x2fff6601,0x83fffff8,0x03fffffa,0x7ffffd40,0xff700000,0xfffff71b,
    0xffff7000,0x3fff607f,0x01ff21ff,0x0007fea0,0xffffc880,0x00298007,
    0x7fe4e200,0xffffffff,0xffffffff,0xfff13fff,0xffffffff,0xffffffff,
    0x3ffe6fff,0x2e1f95ff,0x902fffff,0x3fe25fff,0xffa83fff,0x54004fff,
    0x002fffff,0x71fff540,0x001fffff,0x3fffffa8,0x1fffffb0,0x2000ffd4,
    0x80000ffb,0xdfffffd9,0x00298001,0x6654e200,0xfccccccc,0xccccccef,
    0x99911ccc,0xfb999999,0x999999bf,0x3ffe2999,0x2e1fbdff,0x440fffff,
    0x3e21fffe,0xf883ffff,0x4006ffff,0x03fffff9,0x0ffff200,0x05fffff5,
    0xfffff980,0xfffffb03,0x4002ff98,0x540007fd,0x0bfffffe,0x000a6000,
    0x74003880,0x7000005f,0xff8003ff,0x5c2fffff,0xfe87ffff,0x7ffc46ff,
    0xffff03ff,0x7c4005ff,0x0006ffff,0xf30ffff9,0x0009ffff,0x207fffff,
    0xf86ffffd,0xff3000ef,0xff910009,0x2005bfff,0x00014c00,0xfe800710,
    0xf7000005,0xffe8003f,0xffc83fff,0x7ffe45ff,0x7fffc43f,0xffffd03f,
    0x7f4001df,0x5402ffff,0x13fffea0,0x07fffffc,0xfffe8620,0xffffd04f,
    0x009ff709,0x4001ffd1,0xcfffffda,0x9ff91001,0x00005301,0x3fa001c4,
    0xf7000005,0xffc8003f,0xfff906ff,0xffffe89f,0x7ffffcc5,0xfffff503,
    0xf70e409f,0x4c0dffff,0x3ffffa0f,0xfffff904,0x3e62d80b,0xfff04fff,
    0x3ffe01ff,0xbffd300d,0xfffd7100,0xfb0007df,0x05309fff,0x001c4000,
    0x000017fa,0x2000ffdc,0xb06ffff8,0xff85ffff,0xfc9bffff,0x204fffff,
    0xbffffffe,0xff11b620,0x981dffff,0x3fffe23f,0x7ff4c0ff,0xd885ffff,
    0x06fffd85,0x3209ffff,0xabdfffff,0x2fffffdc,0xfffff930,0x3e20003b,
    0x4c0fffff,0x0e200002,0x000bfd00,0x007fee00,0x41ffff20,0xfd86fffe,
    0xbfffffff,0x5befffff,0xffffff98,0x81ffedff,0xfffffffa,0xfe85fecd,
    0xecdfffff,0xfffffcdf,0x0ffdbcef,0x41ffff98,0xc80efffb,0xffffdeff,
    0xffdfffff,0x3fffa22f,0x40000bef,0x0ffffff9,0x1000014c,0x05fe8007,
    0x3ff70000,0xffffb000,0x1ffffa85,0xffffffa8,0xfffff70e,0x3ffe601d,
    0x1fffffff,0x3ffffea0,0xf705ffff,0xdfffffff,0x7ffffe43,0x200effff,
    0xf31effe8,0x3fe60bff,0xffffb30e,0x9bfea19f,0x002dfff8,0x7ffff400,
    0x00002985,0x55554ce2,0xeffaaaaa,0xaaaaaaaa,0x7fdc001a,0x6cfe4001,
    0xffd12fff,0x7ff5c03f,0x7ffec43d,0x7fec400d,0x800befff,0xffffffe9,
    0x7fffe403,0xffd703ef,0x0019ffff,0x3ffffff2,0x8074c04e,0x41d50098,
    0x00000cf8,0x03dfff50,0x44000053,0xffffffb3,0xffffffff,0x7fffffff,
    0x01ffb800,0xffa87ea0,0x00bdffff,0x00060010,0x0002ae62,0x0055dcc4,
    0x20013750,0x000aaca8,0x00157530,0x00000000,0x806a0000,0x22000029,
    0xffffffb3,0xffffffff,0x7fffffff,0x01ffb800,0xaba980c0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0014c000,0x26627100,
    0x99999999,0x99999999,0x44000999,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000a600,0x00000388,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02980000,
    0x000e2000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xccccccd9,0xcccccccc,0x003ccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01306ea2,0x00500000,0xf9006e60,0xdfffffff,
    0x3fffffe6,0x3ffe1fff,0xffff93ff,0xd85fffff,0x002fffff,0x88015510,
    0x800000ba,0x3fff20a9,0x7ffc7fff,0xf885ffff,0xffffffff,0x25ffffff,
    0xffffffff,0xffff9aff,0x362001ff,0x22026404,0xcdfffffd,0x1000002f,
    0x3ffeeff9,0xff70ffff,0x7dc09fff,0x442fffff,0x05fffffe,0xffa83ff7,
    0x100fffff,0x7fd43dff,0xf31fffff,0x983dffff,0x02effffe,0xfffffff5,
    0x0ffff543,0x0ffffff3,0x0bfffff7,0x3559fff1,0xffffff73,0xfffffb83,
    0x57ffc45f,0x07fa2000,0x3a202fc8,0xffd98cff,0x5400003f,0x3e67fffd,
    0xfc8fffff,0x03ffffff,0x0bfffff2,0x1bffffea,0xffc81fcc,0x7ec05fff,
    0xffffe981,0xfffffb9f,0xfff50eff,0x403fffff,0x71fffffe,0xd89fffff,
    0xf887ffff,0xf885ffff,0xffffd00e,0x3ffee09f,0x01ff86ff,0x3205fd80,
    0x3ffe406f,0x0001ffcc,0x7ffff5c4,0x7fffe42e,0xffd9bfef,0xff100fff,
    0x3fa0bfff,0xfb80ffff,0xfffff100,0x2e05f80f,0xbfefffff,0xdfffffa9,
    0xfffa9cfb,0x3fee06ff,0xfffa9fff,0x7fec5fff,0xffff07ff,0x205f10bf,
    0x0ffffffb,0x3fffffa0,0x2000bea3,0xff700ffd,0x0ffff805,0x20004fa8,
    0xcfffffc9,0xfffff901,0x7fffc43f,0x3fff604f,0xffff80ff,0x404d83ff,
    0x02fffffc,0x7fdc05f3,0x7e42ffff,0x5c3fffff,0x500fffff,0xbf5fffff,
    0xc85ffff7,0xff07ffff,0x0d10bfff,0x3fffffe2,0x7fffcc02,0x0007f17f,
    0x3ea09ff9,0x7ffcc06f,0x004d80df,0xeffffea8,0x7ffdc00b,0xfffe82ff,
    0x3ffea05f,0x7ffcc3ff,0x17c46fff,0x3ffffe20,0xfa80d905,0xfa83ffff,
    0xf984ffff,0xf502ffff,0x44bfffff,0xfffc84ec,0xfffff07f,0x3f60510b,
    0xb006ffff,0xdb7fffff,0x1fff9000,0x803fff50,0x1efffff9,0xfc88024c,
    0x002dffff,0x03ffffee,0x017ffffa,0xc8dfffff,0x0fffffcd,0x7fec01ee,
    0x03f81fff,0x0fffffd4,0x17ffffd4,0x17ffffcc,0xffffffa8,0x3fff2000,
    0xfffff07f,0x7ffcc00b,0xf1001fff,0x03ffffff,0x84fffb80,0xd005fff9,
    0x07ffffff,0xffffda80,0xfb8000cf,0xfe80ffff,0x7e406fff,0x2be1ffff,
    0x23fffff9,0xfff3004e,0x00fa89ff,0x0fffffd4,0x17ffffd4,0x1fffffcc,
    0x6fffffa8,0x7fffe400,0xbfffff07,0x7ffff400,0x7fe4004f,0x54005fff,
    0x7cc0ffff,0xf7001fff,0x1bffffff,0x7fffdc40,0x5c0002ef,0xe80fffff,
    0x4c06ffff,0xf54fffff,0x8b7ffff4,0x3ffa001f,0x013a0fff,0x07ffffea,
    0x0bffffea,0x0fffffe6,0x27ffffd4,0x3ffff200,0xbfffff07,0x3fffee00,
    0x7c4000ff,0x001fffff,0x887ffff5,0x2005ffff,0xfffffff8,0x7fec41ef,
    0x0001dfff,0x1fffff70,0x0dffffd0,0x2fffffd0,0x3ffff24d,0x5c006b9f,
    0xf33fffff,0xffff5003,0xffff503f,0xffff305f,0x3ffea07f,0x7e4003ff,
    0xfff07fff,0xff100bff,0x0005ffff,0x17fffff2,0x3ffffe20,0x17ffff41,
    0x3fffea00,0x220fffff,0x003fffff,0x7fffdc00,0xffffe80f,0xffffb806,
    0x3fe61fbf,0x004ecfff,0x97fffff8,0x3ffea00b,0xfffa81ff,0xfff982ff,
    0xfff503ff,0xfc8005ff,0xfff07fff,0xffb00bff,0x4000dfff,0x1ffffff8,
    0x4ffffa80,0x02ffffc4,0x7ffffcc0,0x7f5c6fff,0x000bffff,0xfffffb80,
    0x6ffffe80,0xfffff880,0xffffe86f,0xfc8001ff,0x02fbffff,0x3fffff50,
    0x5fffff50,0x7fffff30,0x3ffffea0,0x7ffe4001,0xfffff07f,0xffff980b,
    0x740001ff,0x005fffff,0x981ffff5,0x8001ffff,0xffffffd8,0xfffd980f,
    0x20001dff,0x80fffffb,0x006ffffe,0x07fffffb,0x0dfffff7,0x3fffe200,
    0x3ea006ff,0xfa81ffff,0xf982ffff,0xf503ffff,0x8003ffff,0xf07ffffc,
    0xe80bffff,0x104fffff,0xffdf7003,0x2e003fff,0xffa84fff,0xf703005f,
    0x407fffff,0xeffffeb8,0x7fdc000b,0xffe80fff,0xff5006ff,0xff101fff,
    0x40007fff,0x03fffffd,0x3ffffea0,0xfffffa81,0xfffff982,0xfffff503,
    0xfffc8003,0xfffff07f,0x7fffdc0b,0x805700ff,0xffffaaf9,0x3ff2006f,
    0x1fffa80f,0xfff30780,0x36a009ff,0x01cfffff,0x1fffff70,0x0dffffd0,
    0x037fffc0,0x001ffffb,0x7ffffcc0,0x3ffea000,0xfffa81ff,0xfff982ff,
    0xfff503ff,0xfb8003ff,0xff987fff,0xff105fff,0x7405ffff,0xffd2f402,
    0x6c005fff,0xbff705ff,0x3e605f00,0x44002fff,0x2efffffc,0x7ffffdc0,
    0x6ffffe80,0x0ffff200,0x006fffa8,0x04fffe80,0x7ffffd40,0xfffffa81,
    0xfffff982,0xfffff503,0xfffa8003,0x3ffe21ff,0xffb05fff,0x7e40dfff,
    0xfa83f201,0x4006ffff,0xff901ffd,0xd00ff803,0x40001fff,0xcfffffda,
    0xfffffc81,0x6ffffe80,0x03ffe600,0x0007fff0,0x003fff50,0x1fffffb8,
    0x2fffffa8,0x3fffff98,0x3fffff50,0xffff8800,0xffeea9df,0xff986fff,
    0xc881ffff,0x07f700ff,0x09ffffff,0x3205fe80,0x077fc06f,0x0002fff4,
    0xfffffc98,0x7ffffe45,0x7fffff81,0x402ff400,0x00000ffc,0xf7000bff,
    0xf705ffff,0xf507ffff,0x2e09ffff,0x002fffff,0xffffffa8,0xfffff8df,
    0x7ffff41f,0xfdcaa9df,0x7e4c0fff,0xffffd84f,0x3a2003ff,0x80bf601f,
    0xb89cfffe,0x000006ff,0x74cfffd5,0x5c4fffff,0x02ffffff,0x2600bee0,
    0x3200005f,0x7f44002f,0x6c0dffff,0x21efffff,0xefffffd8,0x7ffff440,
    0xff70005f,0x7ffc9fff,0xff74ffff,0xffffffff,0xe8ffffff,0xa9efffff,
    0xffffffff,0x7b1000ff,0x3ba04d80,0xdfffffec,0x4c000000,0xfffff77c,
    0x3ff2ffff,0x06ffffff,0x0e400910,0x00910000,0xffffffa8,0xfff99fff,
    0x9affffff,0xffffffff,0xfffff53f,0x0009ffff,0x000006e6,0x00000000,
    0x20000000,0x02aea20b,0x01000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00880000,
    0x404d8180,0x9800004d,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00008800,0x33300000,0x33333333,0x33333333,0x44180333,0x3e6000ee,
    0xf701fe45,0x7cc00009,0x880000ff,0x880004fd,0xc98001ff,0x5cc02efe,
    0x4c00adfe,0xdfd982fc,0x019fb501,0x05eff654,0x985df910,0x2a00effd,
    0x402defed,0x882dffeb,0xffffffff,0xffffffff,0x207fffff,0x077fe46c,
    0x117ffcc0,0x27f405ff,0xfffb8000,0xffb80002,0x7e40001f,0x7fe4006f,
    0xf504ffff,0x209fffff,0xe82fffea,0x7c40ffff,0xfe886fff,0x02ffffff,
    0x7c3ffff9,0xd80fffff,0x07ffd11f,0x3fa2bfd1,0x3fffe20d,0xffffffff,
    0xffffffff,0x81bf307f,0x2600effd,0xffc83fff,0x007ff702,0x01fff100,
    0x5fff9000,0x7ffc4000,0xbdf3002f,0x981fffff,0xffffcabe,0x3fff3a61,
    0x7fffcc2f,0x7fffdc3f,0x3fffa21f,0x82ffffde,0xf55fffff,0xa89fffff,
    0x1bff23ff,0xffa87ff6,0x26666a24,0x99999999,0xfd999999,0x83fffd07,
    0xf980effd,0xfff103ff,0x00bffa03,0x0002a200,0x007ffcc0,0xfffffb00,
    0xfe88ba00,0x320644ff,0xff902fff,0xffffa85f,0x7fffe43f,0x877ffa1f,
    0x221fffb8,0xf75fffff,0xc8dfffff,0x1fff25ff,0x7cc1fff5,0x000001ff,
    0xff710ff9,0x1dffb09f,0x201fffcc,0xfa80fffc,0x000002ff,0xfd02e600,
    0x9801b88b,0x03ffedff,0x2fffb808,0x206ffb80,0x7c42fffc,0x7d41ffff,
    0xff10ffff,0x227fd40d,0xf13fffff,0x88ffffff,0xfffb11dc,0x263ffe41,
    0x00003fff,0x7ec0ff90,0x1dffb05f,0x1007fff3,0xfd01dfff,0x000003ff,
    0x49fff500,0xfff912fb,0x99ffe801,0xa8000fff,0xdfd007ff,0x17ffe401,
    0x207ffffc,0x2a6ffff9,0x37fc03ff,0xa8bffff6,0x206ffffe,0x0fffdec8,
    0xff11fff6,0x2000009f,0x3ffe07fc,0x3fbff602,0x3f2003ff,0x7fd40eff,
    0x000001ff,0xaffffe40,0xffffd179,0x927fdc05,0xf90009ff,0x7f5c409f,
    0x3ff203ff,0x6fffd82f,0x649ffff0,0x7fe400ff,0x03fffee0,0xfc82fdc6,
    0x20fffc8d,0x7fcc7ffd,0x9000004f,0xffda98ff,0xffffd804,0x7ffc4003,
    0xefffe85f,0x3fffff20,0xffffffff,0xffffffff,0xdfffff13,0xfffff7f7,
    0x07ffc40d,0x8003fff1,0x7ecc06ff,0xf903ffff,0xfff705ff,0x8bfff609,
    0x7e400ffd,0x1bffe60f,0xfe889fb0,0xc83fff26,0x7ffcc7ff,0xf9000003,
    0x01bdee8f,0x01ffff30,0x9ffff900,0x26ffffb8,0xfffffffc,0xffffffff,
    0x23ffffff,0xfdbabca8,0x401cbabd,0xffb83ffc,0x03bee005,0x37ffec40,
    0x982fffc8,0xff502fff,0x01ffdc1f,0xfff0fff1,0x207fc409,0x3ff24ffc,
    0x83ffea0f,0x0001fff9,0x000ff900,0xdfffff30,0xffff8001,0x7fffec0e,
    0x333332a1,0xcccccccc,0xcccccccc,0x0757cc01,0x40dff100,0xf9802ffe,
    0xffe8000e,0x2fffc80f,0x2201fff0,0x37fcc6ff,0xfb0bff70,0x41fdc05f,
    0xffbaffff,0x0ffec0ff,0x00009ff7,0xf3000000,0x1dffb7ff,0x3bffee00,
    0x0ffffcc0,0x20000000,0x05fd4fc8,0xa80bff60,0x6fc406ff,0x7d400e40,
    0x5fff907f,0xfd01bf60,0x45dffb09,0xa80fffc9,0x09f300ff,0x2b3ffff2,
    0x3a22efff,0x0dfe88df,0x00000000,0xb1fffcc0,0xff001dff,0xfffb01ff,
    0x00000005,0xf92ffe98,0x7fcc01bf,0x03ffd806,0xb7557fd1,0xff80441f,
    0x05fff905,0x5f9013ea,0xdfffff10,0x2207ffff,0x409f506f,0x36e1bdb8,
    0xbddb701c,0x00000005,0x7fff3000,0x401dffb0,0xf981fffb,0x080002ff,
    0x7fffc000,0x40dfff50,0xf9801ffe,0x7ff440ff,0x2a7fffff,0x077cc3ff,
    0x103fffc8,0x00fa805f,0xffffffb1,0xd84e805f,0x0000001c,0x00000000,
    0x3fff9800,0x403bff60,0xffd01fff,0xfe880007,0xfff30005,0x707fff8b,
    0x7e400bff,0x3fffa24f,0x2a5fffff,0xdfbcffff,0xfffe9980,0x8802809d,
    0xdeeca802,0x0809800b,0x00000000,0x00000000,0x007fff30,0xfb81dffb,
    0x09ff502f,0x5fff7000,0x07ffe000,0x2aa0bff9,0x2aa2000a,0x33333262,
    0x6542cccc,0x9101bcee,0x79999999,0x00000000,0x00000000,0x00000000,
    0x7fd40000,0x8bff6003,0x3fa02ff8,0xff500004,0x2a20003f,0x00005300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0b6000ea,
    0x2fd407f7,0x0fb20000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x36000000,0x0002ec03,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaa88000,0xaaaaaaaa,0xaaaaaaaa,0x353102aa,0x2a0a2000,0x0202aaaa,
    0x01555554,0x30197100,0xaaaa8859,0xaaaaaaaa,0xaaaaaaaa,0x33333262,
    0xcccccccc,0xcccccccc,0x00000000,0x00000000,0x00000000,0xffff8800,
    0xffffffff,0xffffffff,0xffffb87f,0x172002df,0x83fffff5,0x541dffb8,
    0x700fffff,0xffe819fd,0x9bffea1f,0xfffffffa,0xffffffff,0x50ffffff,
    0xffffffff,0xffffffff,0x001fffff,0x00000000,0x00000000,0x00000000,
    0xfffffff1,0xffffffff,0x8fffffff,0xfffffffd,0x3e200bff,0x0ffffe44,
    0x437fffdc,0xb83ffffa,0x3ea6ffff,0x3ff64fff,0xffff51ff,0xffffffff,
    0xffffffff,0x3fffea1f,0xffffffff,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0xaaa88000,0xaaaaaaaa,0xaaaaaaaa,0x3bfe62aa,0xfffffedc,
    0x17ecc2df,0x7407fffe,0xa81fffff,0xffe86fff,0xfff31fff,0x7fffec9f,
    0x55555510,0x55555555,0x05555555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ec00000,0xffffc982,0x5ffeefff,0xf017ffd4,0x205fffff,
    0x3e20fffb,0x3a3fffff,0x3fe60fff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e000000,0x7ff5c405,0x41ffffff,0x7e402ffc,
    0x7dc07fff,0x7fffec3f,0x4405d40f,0x0000002b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x3b26001f,0xff80dfff,0xfffe8802,
    0x4c6fc803,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0xeeeeeeee,0xeeeeeeee,0x066eeeee,0x64401000,0x0014c002,
    0x02ea032e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffc40,0xffffffff,0xffffffff,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc400,0xffffffff,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_46_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_46_latin1_y[224]={ 37,8,8,8,8,8,8,8,8,8,8,12,30,25,
30,8,8,8,8,8,8,9,8,9,9,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,43,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,11,18,18,18,18,18,18,8,8,8,22,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,37,17,9,8,13,9,
8,8,9,8,8,18,18,25,8,4,8,12,8,8,8,18,9,19,36,8,8,18,8,8,8,17,0,0,0,1,
1,2,9,8,0,0,0,1,0,0,0,1,9,1,0,0,0,1,1,14,8,0,0,0,1,0,9,8,8,8,
8,9,9,7,17,17,8,8,8,9,8,8,8,9,8,9,8,8,8,9,9,14,16,8,8,8,9,8,8,9,
 };
static unsigned short stb__times_bold_46_latin1_w[224]={ 0,8,17,20,19,37,32,7,13,13,17,23,9,12,
8,12,19,16,18,19,19,19,19,19,19,19,8,8,23,23,23,17,37,30,27,27,29,26,25,31,32,16,21,33,
27,39,30,30,24,30,31,20,26,30,30,42,30,30,27,9,12,9,20,23,10,20,22,17,22,17,16,20,21,12,
13,23,12,33,21,19,22,22,17,14,14,21,21,30,21,21,18,12,3,13,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,17,20,21,21,
3,18,14,29,13,21,24,12,29,23,15,23,12,12,10,23,23,8,8,10,12,21,30,30,31,17,30,30,30,30,
30,30,41,27,26,26,26,26,16,16,16,16,29,30,30,30,30,30,30,18,30,30,30,30,30,30,24,21,20,20,
20,20,20,20,28,17,17,17,17,17,13,13,14,14,19,21,19,19,19,19,19,23,19,21,21,21,21,21,22,21,
 };
static unsigned short stb__times_bold_46_latin1_h[224]={ 0,30,15,30,32,31,30,15,38,38,17,23,15,5,
8,30,30,29,29,30,29,29,30,29,29,30,21,28,21,10,21,30,38,29,28,30,28,28,28,30,28,28,29,28,
28,28,29,30,28,37,28,30,28,29,29,29,28,28,28,36,30,36,16,3,8,21,29,21,29,21,29,29,28,29,
38,28,28,20,20,21,29,29,20,21,27,20,20,20,19,28,19,38,38,38,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,36,30,21,28,
38,38,6,30,13,19,10,5,30,4,15,23,16,16,8,28,37,8,9,16,13,19,31,31,31,29,37,37,37,36,
36,35,28,37,37,37,37,36,37,37,37,36,28,37,38,38,38,37,37,19,31,38,38,38,37,37,28,30,30,30,
30,29,29,31,21,28,30,30,30,29,29,29,29,28,30,28,30,30,30,29,29,18,22,30,30,30,29,38,38,37,
 };
static unsigned short stb__times_bold_46_latin1_s[224]={ 250,242,142,110,32,52,82,176,1,60,66,
48,184,242,60,41,179,221,162,159,63,1,19,181,201,120,244,243,16,1,220,
1,32,157,113,54,155,212,72,199,39,1,75,108,1,51,212,128,171,117,218,
231,185,83,44,1,77,46,18,241,115,157,84,128,69,92,115,113,138,131,161,
178,162,199,103,98,142,115,40,178,114,231,149,1,239,167,93,62,208,91,189,
229,246,70,25,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,250,247,139,
39,198,29,242,84,89,60,194,230,221,242,90,104,160,24,105,118,49,184,63,
80,246,131,208,20,205,174,142,97,28,1,32,194,108,1,208,227,1,152,81,
167,210,135,118,225,141,179,74,105,136,179,210,1,111,167,198,1,87,148,137,
45,67,226,131,21,42,90,149,21,172,190,208,238,188,202,216,122,21,196,1,
236,152,1,137,42,72,23,1,88,140,38,15,59, };
static unsigned short stb__times_bold_46_latin1_t[224]={ 1,117,481,191,155,155,222,481,1,1,481,
432,481,148,501,222,222,253,253,222,284,284,253,253,253,253,432,314,459,501,432,
253,40,284,374,222,403,403,344,222,344,403,314,403,374,374,314,222,374,40,374,
222,403,284,314,314,403,403,403,40,222,117,481,501,501,432,314,432,314,432,314,
314,344,314,40,344,403,459,459,432,284,284,459,459,403,459,459,459,459,374,459,
1,1,40,501,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,
432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,432,1,191,117,
253,432,374,1,40,501,253,481,459,481,148,253,501,481,432,481,481,501,344,79,
501,481,481,481,481,155,155,155,314,117,79,79,117,117,155,344,79,117,79,117,
117,79,79,79,117,374,79,1,1,1,40,40,481,155,1,1,40,79,40,344,
191,191,191,191,284,284,155,432,344,191,191,191,253,284,284,284,344,222,374,222,
155,191,344,284,481,432,191,191,191,253,1,1,117, };
static unsigned short stb__times_bold_46_latin1_a[224]={ 166,221,369,332,332,665,554,185,
221,221,332,379,166,221,166,185,332,332,332,332,332,332,332,332,
332,332,221,221,379,379,379,332,618,480,443,480,480,443,406,517,
517,259,332,517,443,627,480,517,406,517,480,370,443,480,480,665,
480,480,443,221,185,221,386,332,221,332,370,295,370,295,221,332,
370,185,221,370,185,554,370,332,370,370,295,259,221,370,332,480,
332,332,295,262,146,262,346,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517,517,517,166,221,332,332,332,332,146,332,
221,497,199,332,379,221,497,332,266,365,199,199,221,383,359,166,
221,199,219,332,498,498,498,332,480,480,480,480,480,480,665,480,
443,443,443,443,259,259,259,259,480,480,517,517,517,517,517,379,
517,480,480,480,480,480,406,370,332,332,332,332,332,332,480,295,
295,295,295,295,185,185,185,185,332,370,332,332,332,332,332,365,
332,370,370,370,370,332,370,332, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_46_latin1(stb_fontchar font[STB_FONT_times_bold_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_46_latin1_s[i] + stb__times_bold_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_46_latin1_t[i] + stb__times_bold_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_46_latin1_x[i];
            font[i].y0 = stb__times_bold_46_latin1_y[i];
            font[i].x1 = stb__times_bold_46_latin1_x[i] + stb__times_bold_46_latin1_w[i];
            font[i].y1 = stb__times_bold_46_latin1_y[i] + stb__times_bold_46_latin1_h[i];
            font[i].advance_int = (stb__times_bold_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_46_latin1_s[i] + stb__times_bold_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_46_latin1_t[i] + stb__times_bold_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_46_latin1_x[i] + stb__times_bold_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_46_latin1_y[i] + stb__times_bold_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_46_latin1_LINE_SPACING
#endif

