// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT        541
#define STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_47_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_47_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_47_latin1_LINE_SPACING          30

static unsigned int stb__times_bold_47_latin1_pixels[]={
    0x10000000,0xd1004403,0x0bdddddd,0x0e540000,0x200017b2,0xcddcaa98,
    0xd90000ab,0x6654000b,0x000002cc,0x26666660,0x32600199,0x0002cccc,
    0x66540000,0x00001ccc,0xffff9800,0xdff7004f,0x205ffd83,0x7fffffd9,
    0xfff00000,0x003fecbf,0xdffffb50,0x7dfffb99,0x03fec001,0xfffff880,
    0xb7100007,0xfffffffd,0x0bffffff,0x6ffffc80,0x40000000,0x005ffffd,
    0xff900000,0x3e2009ff,0x3fea4fff,0x7ffc02ff,0x800007ff,0xb0fffffa,
    0xfb8800ff,0x4c401cff,0xfb003feb,0x3ff2000f,0x0003ffff,0x3fffff62,
    0xfaaabfff,0x320000ef,0x0001ffff,0xfff10000,0x000000bf,0x02ffffc0,
    0x4fffff50,0x405ffffc,0x007fffff,0xffffd800,0x400ffb3f,0x0002effa,
    0xd801bf91,0xff88007f,0x00ffffff,0xffffe880,0x7c1fffff,0xfd80001f,
    0x000004ff,0x0bfff700,0x4c000000,0xf8005fff,0x3fe64fff,0x7ff402ff,
    0x800007ff,0xb0fffffa,0x3ff200ff,0xfd300003,0x003fec01,0x7d57ffec,
    0x7c4003ff,0xffffffff,0x007fc1ff,0x06ffd800,0xfb000000,0x000000bf,
    0x005ffc80,0xb819fd50,0xffe803fe,0x000007ff,0x7ec9fffd,0x0fff4407,
    0x03740000,0xf9800ffb,0x3ffe61ef,0x3fff2000,0xffffffff,0x00007fc1,
    0x0003ffb0,0xeff88000,0x00000000,0x00002ffc,0xfffd0000,0x400000ff,
    0x03fec0b9,0x0001bfd1,0x6c13e600,0x77f4007f,0x004fe880,0xfffffff3,
    0xf83fffff,0xfd800007,0x40000003,0x00000efb,0x077cc000,0x00000000,
    0x00fffffd,0xffb00000,0x00077ec0,0x207ee000,0x3ea007fd,0x007f4404,
    0x7fffffe4,0x41ffffff,0x8800007f,0x0000002a,0x0000054c,0x004c4000,
    0x20000000,0x007ffffe,0x7fd80000,0x0003ff70,0x3613a000,0x2000007f,
    0xfffd8009,0xffffffff,0x0003fc1f,0x00000000,0x00000000,0x55300000,
    0x35555555,0x2aaaaa98,0x27ffffe8,0x003dedb8,0x2aaaaaaa,0xf30ffb0a,
    0x764c007f,0x1533311d,0x4ffb0f30,0x99999999,0x80999999,0x99999998,
    0xfffffd19,0x3fffffff,0x200007f8,0x0001aaa9,0x5554c000,0x53000001,
    0x55555555,0xaaaaa983,0xffffff52,0xfda85bff,0xffe83fff,0xffff77ff,
    0xd5003fff,0x23ffffff,0x06fd87fd,0x5f7ffee0,0x881ffffd,0xdb3fec2f,
    0xffffffff,0xd903bdff,0x9dffffff,0x3ffffffa,0x41ffffff,0x36e0007f,
    0xfffefffe,0x00000bef,0x3bfffb6e,0x00beffff,0xffffa800,0x542dffff,
    0x223ffffd,0x06fffffe,0xfe807fe4,0xdefaffff,0x00efffff,0x3fffffd0,
    0x3ff11ff6,0x4bffb100,0x07ffffbc,0x10ffb0fa,0xdffffffd,0x3ffa2001,
    0x7fffec0f,0xffffffff,0x4c003fc1,0x10bdfffe,0x05ffffb5,0xfffe9800,
    0xffb510bd,0x100005ff,0x0dfffffd,0xfa80ffc8,0x5407ffff,0x3fffa03f,
    0x3fa63fff,0xf9005fff,0x3f63ffff,0x44037dc7,0x3ea0fffe,0x3604ffff,
    0xfb83fec4,0x003fffff,0x7dc17fc4,0xffffffff,0x03fc1fff,0x13ffff20,
    0x1bffff30,0xffff9000,0xffff9809,0x7d40000d,0x5407ffff,0x3fffa03f,
    0x03f202ff,0x4fffffe8,0x2fffff98,0xfffffb80,0x3ff8ffb1,0x42fffd80,
    0x02fffff9,0x20ffb16e,0x3ffffffa,0x980ff800,0xffffffff,0x3fc1ffff,
    0xffffe880,0xffff3006,0x3fa2003f,0xf3006fff,0x0003ffff,0x2fffffe8,
    0xfa803f20,0x3a05ffff,0x7ffff404,0xfffff00f,0xffff700d,0xfa9ff63f,
    0x7ffdc00f,0xfffffb86,0xffb1aa00,0x3ffffea0,0x07e8002f,0x3ffffffe,
    0x7c1fffff,0xffffb007,0x7fec001d,0xfd800fff,0x2000efff,0x00fffffd,
    0x3fffea00,0x2013a05f,0x80fffffe,0x7ff401f9,0x3ff207ff,0x7dc00fff,
    0xffb1ffff,0x3e602fdc,0xffc83fff,0x22d405ff,0xfff502a9,0xb0005fff,
    0x7fffe40f,0x1fffffff,0x7fdc03fc,0x4c003fff,0x405fffff,0x03fffffb,
    0x7ffffcc0,0x7ff40005,0x1f980fff,0xfffffb80,0xfe806c84,0x3ee07fff,
    0x5c01ffff,0xfb1fffff,0x36027e4f,0xfd80ffff,0x25c03fff,0x3fffea00,
    0x7d8002ff,0x7fffff40,0x7c1fffff,0x7fffc407,0xfe8001ff,0xf102ffff,
    0x003fffff,0x5fffffd0,0x7ffdc000,0x006c84ff,0x1ffffff1,0xffe803f8,
    0x3fee07ff,0x7dc03fff,0xffb1ffff,0xff301fec,0x3ffe0bff,0x01e401ff,
    0x3ffffea0,0x07d8002f,0x7fffff44,0x3fc1ffff,0x3fffffa0,0xfff90007,
    0xffd01fff,0x2000ffff,0x0ffffffc,0xffff1000,0x003f81ff,0x8ffffff2,
    0xffe800fa,0x3fea07ff,0x7dc04fff,0xffb1ffff,0xff9017f4,0xfff505ff,
    0x003d00ff,0xffffffa8,0x007d8002,0xfffffff7,0x2a07f83f,0x04ffffff,
    0xfffff700,0xffffa87f,0xf70004ff,0x007fffff,0x7ffffe40,0x88003ea3,
    0x366fffff,0xffffd005,0x7fffd40f,0x7ffdc05f,0x7cffb1ff,0xffff101f,
    0xffffd01f,0x80079809,0x2ffffffa,0x4007d800,0x1ffffeca,0xfff703fc,
    0x20007fff,0x5ffffff9,0x7fffffdc,0xfff30003,0x4000bfff,0x26fffff8,
    0xffd8005d,0x02f8afff,0x0fffffd0,0x1fffffd4,0x3ffffee0,0x07fcffb1,
    0x86ffffa8,0x02fffff9,0x7d400264,0x002fffff,0xe80007d8,0xfb03fc1f,
    0x005fffff,0x3ffffe20,0x7fffec6f,0xf10002ff,0x00dfffff,0xfffffd80,
    0x98002f8a,0x7bdfffff,0x3ffffa00,0x3fffee07,0x7ffdc02f,0x7cffb1ff,
    0xffff701f,0xfffffb0b,0x000fc401,0x7fffffd4,0x007d8002,0x3fc1fe80,
    0xffffffd0,0x3fe20005,0x7f47ffff,0x002fffff,0xffffff10,0xff98000f,
    0x007bdfff,0x3fffffa0,0x3ffa004f,0x3fee07ff,0x7dc00fff,0xffb1ffff,
    0xffc817f4,0x7ffdc3ff,0x02e405ff,0xfffffa80,0x07d8002f,0x7c1fe800,
    0xfffff107,0x220003ff,0x1fffffff,0xfffffff1,0x3fe20003,0x001fffff,
    0x7fffff40,0x3ea0004f,0x000fffff,0x81fffffa,0x807ffffc,0xb1fffffb,
    0xd827ecff,0x3e63ffff,0x203ffffc,0x0ffb00f9,0x3fffffea,0x007d8002,
    0x3fc1fe80,0xffffff98,0x3fe0001f,0xf32fffff,0x03ffffff,0x7ffffc00,
    0x540002ff,0x00ffffff,0x7ffffc00,0x7fff4006,0x3fffa07f,0xfffb806f,
    0x64ffb1ff,0xffffd05f,0x3ff2be6b,0x05f302ff,0xffa83fec,0x8002ffff,
    0xfe80007d,0xff983fc1,0x000fffff,0x3fffffe0,0xfffff32f,0x7c0001ff,
    0x02ffffff,0xfffff800,0xffc80006,0x7f4002ff,0xf883ffff,0xb802ffff,
    0xfb1fffff,0xfd837ccf,0xb5ffffff,0xf301ffff,0x1ff61507,0x7fffffd4,
    0x007d8002,0x3fc1fe80,0xffffff88,0x3fe0001f,0xf11fffff,0x03ffffff,
    0x7ffffc00,0xc80001ff,0x0002ffff,0x00ffff88,0x7fffff40,0x3fff623f,
    0xfff7005f,0xf1ff63ff,0xffff901f,0x3fea1dff,0x417e41ff,0x20ffb0f9,
    0x2ffffffa,0x0007d800,0x03fc1fe8,0x5fffffff,0x3ffe2000,0x3fe0ffff,
    0x002fffff,0xffffff10,0xf100001f,0x00001fff,0x20013ff6,0xfbfffffe,
    0xefffffcf,0xffff7000,0xf91ff63f,0xfffff105,0x9ffffd0b,0x8f603bfb,
    0xfff507fd,0xd0005fff,0x3fd0000d,0x3ff607f8,0x0003ffff,0xfffffff1,
    0xffffffd8,0xfff10003,0x0000ffff,0x00027fec,0x0003ff30,0x2afffffd,
    0x0befffff,0x3fffee00,0xf88ffb1f,0x3dfb880f,0x7bdfd910,0x3f635401,
    0xfffff507,0x0dd0005f,0xf83fd000,0x3ffff207,0xf30004ff,0xc8bfffff,
    0x04ffffff,0xfffff300,0x4c0000bf,0x400001ff,0xffd0006e,0x0bb98fff,
    0xffff7000,0x321ff63f,0x0000005f,0x83fec2e8,0x2ffffff9,0x0006f800,
    0x03fc1fe8,0x9ffffff3,0x3ffee000,0x7fcc2fff,0x0004ffff,0x5ffffff7,
    0x06e80000,0x002f8000,0x0fffffd0,0xfff70000,0x21ff63ff,0x00002fe8,
    0x3f617200,0xfffff307,0x0bf0007f,0xf83fd000,0x7fffec07,0xffb0006f,
    0x3f60dfff,0x0006ffff,0x0dfffffb,0x005f0000,0x0007a800,0x01fffffa,
    0x3ffea000,0x20ffb1ff,0x00000ff9,0xfd80ec80,0xfffff107,0x3f98007f,
    0x41fe8000,0x7ffc407f,0xe8001fff,0x102fffff,0x03ffffff,0xfffffd00,
    0x7a800005,0x819d7000,0x3fa0004d,0x80007fff,0x3fffe62b,0x540ffb0f,
    0x000000df,0x3fec0376,0xbfffffd0,0x002fc800,0x3fc1fe80,0x7ffffe40,
    0x7ffd4005,0x7fe405ff,0x54005fff,0x005fffff,0x4d819d70,0x4fffa800,
    0xe80003e2,0x0007ffff,0xff997fec,0x01ff67ff,0x00005ff5,0x7ec05d88,
    0x3fffee07,0x1be6006f,0x20ff4000,0xffe8807f,0x3a000fff,0x400fffff,
    0x0fffffe8,0x3ffffa00,0xffa8000f,0x0003e24f,0x5c9ffff6,0x7fff4000,
    0x3e20007f,0xffff14ff,0x4c03fec7,0x40000dfe,0xfd805fb8,0x3fffe207,
    0xff8805ff,0x3fd00002,0xfd1007f8,0x2a009fff,0x001fffff,0x09ffffd1,
    0x3ffffea0,0xfffb0001,0xb8002e4f,0x0fb9ffff,0x7fffc000,0x7ec0007f,
    0x8dfff14f,0xf91007fd,0xf910005f,0x1ff6003b,0xffffff30,0x7fd51019,
    0x0ff40000,0xfe8801fe,0x7d404fff,0x4001efff,0x04ffffe8,0x0f7fffd4,
    0xffff7000,0x20001f73,0x3ffffff8,0x7ffd4000,0x20002fff,0xffc9eff9,
    0x003fec1f,0x2f3bff22,0xfb97530a,0x7fd8003b,0xffffea80,0xffebceff,
    0x7400003f,0x4003fc1f,0x0adffffb,0x9ffffb71,0xfffb8000,0xfb710adf,
    0x00009fff,0x7ffffff1,0xffc98000,0x3a20002e,0xffffffff,0xfd50004e,
    0xfb019fff,0x764c000f,0xcdefffff,0xffb0001a,0x7fffe400,0x0cffffff,
    0x1fe80000,0xb88003fc,0xfffffffe,0x0001ceff,0xffffd710,0x39dfffff,
    0x7e4c0000,0x000002ef,0x33330000,0x01333333,0x31001000,0x08800003,
    0x0cc40000,0x66654c00,0x000009ab,0x00660620,0x332aa200,0x00001abc,
    0x66655440,0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ccccc80,0x32200000,0x0003cccc,0x99930000,0x10000599,0x00579b75,
    0x88014400,0x997004ca,0x20001999,0x50000019,0x00399999,0xcb800000,
    0x0000cccc,0xfff50000,0x000009ff,0x0fffffa8,0xc8000000,0x000effff,
    0x76fffdc0,0x20002eff,0x6cc01fc8,0xd1002eff,0x0007ffff,0x000033e6,
    0x9ffffd10,0x40000000,0x02fffff8,0x3a000000,0x00ffffff,0x7fd40000,
    0x000003ff,0x0efffe80,0x5fff4000,0x00bffe60,0x5007fee0,0x10005fff,
    0x000dfffd,0x0001ff44,0x1bfffa20,0xb8000000,0x0003ffff,0x3fee0000,
    0x004fffff,0xfffb8000,0x40000006,0x000efff9,0xd82ffec0,0x32001fff,
    0x7fcc00ef,0x3e20003f,0x20000fff,0x00005fe8,0x00ffff44,0xfd800000,
    0x000003ff,0x3bffe200,0x000fffd8,0xfffb8000,0x20000000,0x0000effc,
    0xd80fffcc,0xf7003fff,0xfffd003f,0xff980001,0x7c40003f,0x4400004f,
    0x00004ffe,0x3fff8800,0x40000000,0x7fe45ffc,0x70000005,0x000007ff,
    0x0007ff40,0x817ffdc0,0xb804fffe,0xff9805ff,0xf300007f,0xf70000df,
    0x8800007f,0x000006ff,0x004ffa80,0x7cc00000,0x03ff503f,0x3f200000,
    0x30000006,0x200003ff,0xf905fffd,0xffa803ff,0xfffb801f,0xf300000f,
    0xff00001f,0x9800005f,0x000001ff,0x00027ec0,0x17ec0000,0x00017e60,
    0x0002a800,0x00353000,0x7fffe400,0x8805b702,0xf7006fff,0x00003fff,
    0x4000054c,0x0000fffc,0x0000d4c0,0x000aa000,0x00000000,0x00000062,
    0x00000000,0xffa80000,0x20002fff,0x5002fffb,0x0005ffff,0x2a000000,
    0x00004fff,0x00000000,0x00000000,0x01aaa980,0x4ccccc00,0x99999999,
    0x99998809,0x26619999,0x99999999,0x98809999,0x19999999,0x7fffff44,
    0xfff8000d,0xfff1000f,0x2666607f,0x99999999,0x99999999,0xff000999,
    0x400001ff,0x00000003,0x0000001c,0x7fff6dc0,0x0beffffe,0x3fffb600,
    0xefffffff,0xfffec81d,0x3b64efff,0xffffffff,0xec81deff,0x4effffff,
    0xffffff98,0x3fee002f,0x7ffc007f,0xffec884f,0xffffffff,0xffffffff,
    0xfd002fff,0x200009ff,0x000000f9,0x0001f300,0x3fa60000,0xb510bdff,
    0x8005ffff,0xffffffe8,0xffd1000e,0x7ff4401f,0x000effff,0x801fffd1,
    0xfffffffa,0xbfffd004,0x5fffe800,0x7ffff440,0xccccceff,0x2fffffec,
    0x1ffff900,0x09fb0000,0x36000000,0x0000004f,0x04ffffc8,0x06ffffcc,
    0xfffff700,0xff88007f,0xffffb802,0x7c4003ff,0xffe8802f,0x00efffff,
    0x013fffea,0x00bfffb0,0x9ffffff5,0x2fffea80,0x7ffff700,0xfff88000,
    0x40000000,0x0000fff8,0xfffd1000,0x3fe600df,0xf5001fff,0x007fffff,
    0xf5001ff0,0x007fffff,0xe8801ff0,0xfffffeaf,0xfff900ef,0xffc8007f,
    0xfff9803f,0xf9004fff,0x3fea005f,0x640005ff,0x00003fff,0x1fffe400,
    0xfd800000,0x2000efff,0x00fffffd,0xffffffa8,0x007e8002,0x5ffffff5,
    0x880fd000,0xfffb12fe,0xfb01ffff,0xd8007fff,0xf9800fff,0x004fffff,
    0x7cc00bf6,0x20006fff,0x006ffff8,0x3fe20000,0x000006ff,0x3fffffb8,
    0x7fffcc00,0xfffa805f,0xd8002fff,0xffff5007,0xfb0005ff,0xfa86fd80,
    0xe86fffff,0x2002ffff,0x1003fff8,0x09ffffff,0x98017cc0,0x0007ffff,
    0x0bffffee,0x7dc00000,0x0002ffff,0x3fffe200,0xfe8001ff,0x5402ffff,
    0x02ffffff,0xf5007d80,0x005fffff,0x7fcc0fb0,0xffffd304,0xfffff87f,
    0x13fee002,0xfffff880,0x5d03504f,0x3fffe600,0xffd0000f,0x0000dfff,
    0x3ffffa00,0x2000006f,0x07fffffe,0xfffff900,0x7ffd401f,0xd8002fff,
    0xffff5007,0xfb0005ff,0x202ffdc0,0x226ffffd,0x802fffff,0x4003ffd9,
    0x4ffffff8,0x005905b0,0x07ffffe2,0x3fffea00,0x00001fff,0x7ffffd40,
    0x800001ff,0x4ffffffa,0xffff7000,0x7fd407ff,0x8002ffff,0xfff5007d,
    0xb0005fff,0x03fff40f,0x987ffff4,0x401fffff,0x10002dfb,0x09ffffff,
    0x400220ba,0x02fffff8,0xfffffe80,0x000005ff,0x7ffffff4,0xb800005f,
    0x03ffffff,0xfffff300,0x7ffd40bf,0xd8002fff,0xffff5007,0xfb0005ff,
    0x02ffffc0,0x4c7fffa2,0x401fffff,0x8001cffa,0x4ffffff8,0x40002f88,
    0x02fffff8,0x7ff5fcc0,0x0000ffff,0xffd7f300,0x0001ffff,0xfffffd80,
    0xff10002f,0x540dffff,0x02ffffff,0xf5007d80,0x005fffff,0x7ff40fb0,
    0x7fdc04ff,0x17ffffc7,0x02ffe440,0x3ffffe20,0x002fc84f,0x7ffffc40,
    0xfbbec001,0x004fffff,0x3eefb000,0x004fffff,0x7ffff400,0xf10002ff,
    0x40ffffff,0x2ffffffa,0x5007d800,0x05ffffff,0x7dc0fb00,0x2605ffff,
    0x7fffc5ff,0x3fea002f,0x3ffe2005,0x7fd44fff,0x7fcc0002,0x22000fff,
    0xfffff14f,0x100000ff,0x3fffe29f,0x200007ff,0xfffffff8,0xfff10001,
    0x2a03ffff,0x02ffffff,0xf5007d80,0x005fffff,0xffe80fb0,0xfa81efff,
    0x7ffff43f,0x2fffc002,0xfffff880,0xfffc98cf,0x7fcc0002,0x7e4007ff,
    0x3fffff20,0x6400003f,0x3ffff20f,0x300003ff,0x3fffffff,0x7fffc000,
    0xff502fff,0x0005ffff,0x3fea00fb,0x8002ffff,0x7ffcc07d,0x7ec3ffff,
    0x3ffffc85,0x0fffe400,0x7ffffc40,0xffffffff,0x7fcc0002,0x3e2006ff,
    0x7ffffcc4,0x2200006f,0x7fffcc4f,0x300006ff,0x1fffffff,0x7fffc000,
    0xff502fff,0x0005ffff,0x3fea00fb,0x8002ffff,0xfff9807d,0xfb8dffff,
    0xffffb80d,0x7ffe4003,0xffff8804,0xfffeceff,0x7d40002f,0x2e005fff,
    0xffffd81f,0x700002ff,0xffffb03f,0x100005ff,0x3fffffff,0x7fffc000,
    0xff501fff,0x0005ffff,0x3fea00fb,0x8002ffff,0xfff3007d,0x09ffffff,
    0x02ffffcc,0x01bfff60,0x3fffffe2,0x00bffa24,0x7ffff700,0xfa82f400,
    0x005fffff,0x3ea0bd00,0x005fffff,0xffffff00,0x3e20005f,0x00ffffff,
    0x5ffffff5,0x200fb000,0x2ffffffa,0x2007d800,0xffffffe9,0x7ffec01f,
    0x7fff4006,0xffff8805,0x17fc44ff,0x3fff6000,0x80bea007,0x1ffffffe,
    0x017d4000,0x3ffffffd,0xfffb0000,0x20007fff,0x7ffffff8,0x3ffffea0,
    0x06e8002f,0xffffff50,0x00dd0005,0xffffff90,0x7ffd401d,0x7fffc007,
    0xffff8804,0x02fa84ff,0x1ffff400,0xfb80dd00,0x004fffff,0x3ee03740,
    0x004fffff,0xfffffc80,0xff30004f,0x540bffff,0x02ffffff,0xf5006e80,
    0x005fffff,0x26000dd0,0x05fffffe,0x800ffff4,0x803ffff9,0x4ffffff8,
    0x40002f88,0x3000ffff,0x999999df,0xffffffb9,0x3e60001f,0xccccccce,
    0xfffffffd,0x7fcc0000,0x0004ffff,0x5ffffff7,0x7ffffcc0,0x06f8002f,
    0xffffff30,0x00df0005,0xfffffc80,0x0fffea02,0x17fffd40,0x7ffffc40,
    0x5c05d04f,0x13ffea02,0xfffffd80,0xffffffff,0x0003ffff,0xfffffffb,
    0xffffffff,0xb00007ff,0x00dfffff,0x3fffff60,0x7fffcc06,0x5f8003ff,
    0xfffff300,0x0bf0007f,0x7fd40220,0x7ff404ff,0xffff7006,0xffff1001,
    0x80b209ff,0x3fffa01f,0x007f1000,0x3fffffe2,0x03f88007,0xffffff10,
    0xff10000f,0x0003ffff,0x05fffffd,0xffffff88,0x01fcc003,0xffffff88,
    0x01fcc003,0xfb82ffe4,0x7fc406ff,0xfffb801f,0xffff1007,0xf50009ff,
    0x00fffcc0,0x6c001f90,0x02ffffff,0xb0007e40,0x05ffffff,0xffff9000,
    0xffa800bf,0xfd005fff,0x800bffff,0x3fa002fc,0x4005ffff,0x7fc402fc,
    0xfff881ff,0x06ff9806,0x007fff88,0x9ffffff1,0x6c0fd000,0x3e2002ff,
    0x7ffcc004,0x22006fff,0x7fcc004f,0x0006ffff,0xfffffe88,0x3fffa000,
    0xff7000ff,0x4c00dfff,0x7fdc006f,0x26006fff,0xfffa806f,0x07ffd01f,
    0x200bfe60,0x9801fffe,0x04ffffff,0xf982fec0,0x17e4003f,0x7ffff400,
    0x5f9002ff,0xffffd000,0x100005ff,0x009ffffd,0x07ffffea,0xfffff880,
    0x2ff8805f,0x7fffc400,0xff8805ff,0x7fff8802,0x003fff10,0x26017fd4,
    0xf9804fff,0x004fffff,0xf309ffb1,0xff88009f,0xfffb8000,0xf8806fff,
    0xffb8000f,0x0006ffff,0x9ffffd10,0xeffffa80,0xfff98001,0xa880cfff,
    0xf30003fe,0x019fffff,0x4007fd51,0xfc80fffc,0xfd98004f,0x67ff4403,
    0x3fffea00,0x2e200eff,0x7d43ffff,0xffe8001e,0xfff88001,0x7403ffff,
    0xf88001ff,0x03ffffff,0x3ffee000,0xfb710adf,0x80009fff,0xffffffea,
    0x3fffebce,0x7ff54000,0xebceffff,0xd8003fff,0xffcabeff,0x7540003f,
    0x7ffec403,0xffffe884,0xcccdefff,0xffffffed,0x2000baa2,0x00dfffea,
    0x7ffffdc0,0xfea82fff,0x5c000dff,0xffffffff,0x2e200002,0xfffffffe,
    0x0001ceff,0x3fffff20,0x00cfffff,0x3fff2000,0xcfffffff,0x3f660000,
    0x001bdfff,0xa8800600,0xfffffd13,0xffffffff,0xffffffff,0x800043ff,
    0xfffffffc,0x3ffaa03e,0xffffffff,0xffff90ff,0x5407dfff,0xfffffffe,
    0x000fffff,0x66554400,0x00001abc,0x5e6654c0,0x0000009a,0x2af332a6,
    0x08000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01333332,0x99993000,0x332e0007,0x00000ccc,
    0x03cccc88,0x332e0000,0x64c00ccc,0x00003ccc,0x0000c013,0x50054c00,
    0x03000001,0x362000c4,0x0000009b,0xfffff980,0x7ec00001,0x8001ffff,
    0x03ffffe8,0xfffd8000,0x800001ff,0x02fffff8,0x1fffffd8,0x3ffa6000,
    0x017ffd43,0x7ff4c000,0x007d42ef,0x3fff7000,0x000effc8,0x0037ffee,
    0xffb80000,0x400002ff,0x5ffffffa,0xfffd1000,0xf980000d,0x006fffff,
    0xffffb800,0xffffa802,0x320005ff,0x3fa0ffff,0x400006ff,0xfffffff8,
    0x0007fbcf,0x337fffc0,0x0009ffff,0x0001dff7,0x3fffa000,0xfe800002,
    0x01ffffff,0x1ffff100,0x7ff40000,0x002fffff,0x17fff400,0xfffffe80,
    0xfd0001ff,0x3fe25fff,0x00000fff,0x3ffffff2,0x005fffff,0x3fffe600,
    0xdffff70f,0x3fff6000,0x4c000001,0x00003fff,0xe9bfffb8,0x260005ff,
    0x00003fff,0xfd19fff5,0x440000df,0xf7003fff,0xdffd39ff,0x3fff2000,
    0x02ffff47,0x333fe000,0xffffffff,0x7f400001,0x3ffe25ff,0xff50003f,
    0x800000bf,0x00003ffb,0x222fff88,0x20001ffe,0x00006ff9,0x7ec47ffd,
    0xf700002f,0x3fe2007f,0x0bffa22f,0x0bbf2200,0x0003bfb3,0x36e22f80,
    0x0002ffff,0x40cfd980,0x0000cfea,0x000ffff1,0x003fe800,0x03df9000,
    0x8000dfb1,0x40000ff9,0xdfb01ffb,0x13fa0000,0xb01ffc80,0x000000df,
    0x80500000,0x0000009a,0x4c000000,0x0002ffff,0x0000aa00,0x20077cc0,
    0x4c0002fc,0x3e20000a,0x01fe400e,0x10015400,0x2fc801df,0x00000000,
    0x00000000,0x00000000,0x05ffff70,0x00000000,0x02600000,0x00000000,
    0x00002200,0x26000000,0x554c0000,0x0000001a,0x000d554c,0x26666660,
    0x99999999,0x99999880,0xff901999,0x998001ff,0x99999999,0x99999999,
    0x98099999,0x99999999,0x99999999,0x80999999,0x99999999,0x00999999,
    0x00003800,0x33333333,0x41333333,0x99999999,0x00999999,0x3fffb6e0,
    0x0beffffe,0x3b6e0000,0xffffefff,0x3b6000be,0xffffffff,0xec81deff,
    0x4effffff,0x00ffffb0,0xffffec88,0xffffffff,0xffffffff,0x7ff6442f,
    0xffffffff,0xffffffff,0x76442fff,0xffffffff,0x0002deff,0x200007cc,
    0xfffffec8,0x2defffff,0xfffffd91,0x5bdfffff,0xbfffd300,0x3ff6a217,
    0x4c0002ff,0x10bdfffe,0x05ffffb5,0xffffe880,0xd1000eff,0xfe801fff,
    0x220006ff,0xeffffffe,0xfecccccc,0x2202ffff,0xeffffffe,0xfecccccc,
    0x2202ffff,0xfffffffe,0x3f600002,0x3a200004,0x2fffffff,0x7ffff440,
    0x32002fff,0x4c04ffff,0x000dffff,0x04ffffc8,0x06ffffcc,0xfffff700,
    0xff88007f,0x5ffff802,0x7ffd4000,0x75404fff,0x7d402fff,0x404fffff,
    0x402fffea,0x5ffffffa,0x3fe20000,0x2a00000f,0x05ffffff,0xffffff50,
    0x3ffa200b,0xff3006ff,0x22003fff,0x006ffffe,0x03fffff3,0x3ffffea0,
    0x0ff8003f,0x03ffff80,0x7fffcc00,0xff9004ff,0xffff9805,0xff9004ff,
    0xffff9805,0x200004ff,0x0003fffc,0x3ffffe60,0xfff3004f,0x36009fff,
    0x000effff,0x03fffff6,0x3bffff60,0x3fff6000,0xffa800ff,0x8002ffff,
    0xfffb007e,0xff980005,0x2004ffff,0x7fcc02fd,0x2004ffff,0x7fcc02fd,
    0x0004ffff,0x0dffff10,0x7ffcc000,0xf3004fff,0x009fffff,0x07fffff7,
    0xfffff980,0x7fffdc05,0x7fcc003f,0xfa805fff,0x002fffff,0xff7007d8,
    0xf880007f,0x004fffff,0xff100be6,0x4009ffff,0x7fc402f9,0x0004ffff,
    0x5fffff70,0x3fe20000,0x1004ffff,0x09ffffff,0xffffff88,0xfffe8001,
    0xfff102ff,0xd0003fff,0x805fffff,0x2ffffffa,0x2007d800,0x40006ffd,
    0x4ffffff8,0x805d0350,0x4ffffff8,0x805d0350,0x4ffffff8,0xfffd0000,
    0x20000dff,0x4ffffff8,0xfffff100,0xfffe809f,0xf90007ff,0xd01fffff,
    0x00ffffff,0x3fffff20,0x3ffea00f,0xd8002fff,0x0ffec007,0xffff1000,
    0x20b609ff,0x7ffc402c,0x05b04fff,0xfff88059,0x80004fff,0xfffffffa,
    0xff880001,0x1004ffff,0x09ffffff,0x7fffffd4,0xfff70004,0xffa87fff,
    0x0004ffff,0x7ffffff7,0x7ffffd40,0x07d8002f,0x067fe440,0x7fffc400,
    0x105d04ff,0xffff8801,0x105d04ff,0xffff8801,0xe80004ff,0x5fffffff,
    0xfff88000,0xf1004fff,0x409fffff,0x3ffffffb,0xffff3000,0xfffb8bff,
    0x30003fff,0x0bffffff,0x7fffffd4,0x007d8002,0x003fd710,0xffffff88,
    0x0002f884,0x9ffffff1,0x20005f10,0x4ffffff8,0x75fcc000,0x00ffffff,
    0x7fffc400,0xff1004ff,0x6c09ffff,0x02ffffff,0xfffff100,0xffffd8df,
    0xf10002ff,0x40dfffff,0x2ffffffa,0x0007d800,0x8003ff93,0x4ffffff8,
    0x10002fc8,0x09ffffff,0x220005f9,0x04ffffff,0xffbbec00,0x0004ffff,
    0x7fffffc4,0xffff1004,0x7ff409ff,0x0002ffff,0xfffffff1,0xffffffe8,
    0xfff10002,0x7d40ffff,0x002fffff,0x744007d8,0xf10003ff,0xa89fffff,
    0xf10002ff,0xa89fffff,0xf10002ff,0x009fffff,0xff8a7c40,0x0007ffff,
    0x7fffffc4,0xffff1004,0x3fe209ff,0x001fffff,0xffffff10,0x3fffe23f,
    0x10001fff,0x3fffffff,0x3ffffea0,0x07d8002f,0x007ffa20,0xfffff880,
    0xfffc98cf,0xfff10002,0xf9319fff,0x220005ff,0x04ffffff,0xfc83f200,
    0x003fffff,0x3ffffe20,0xfff1004f,0x3e609fff,0x01ffffff,0x3ffffe00,
    0xffff32ff,0x40003fff,0x2fffffff,0xffffff50,0x00fb0005,0x001bffa2,
    0xffffff10,0x5fffffff,0x3ffe2000,0xffffffff,0xf10002ff,0x009fffff,
    0xff313e20,0x000dffff,0x7fffffc4,0xffff1004,0x3fe609ff,0x000fffff,
    0x3fffffe0,0xfffff32f,0x7c0001ff,0x02ffffff,0x5ffffff5,0x200fb000,
    0x0003fffa,0x7fffffc4,0x2ffffece,0xffff1000,0xfffd9dff,0x3e20005f,
    0x004fffff,0xffb03f70,0x0005ffff,0x3fffffe2,0xffff1004,0x3fe209ff,
    0x001fffff,0x3fffffe0,0xfffff11f,0x7c0003ff,0x01ffffff,0x5ffffff5,
    0x200fb000,0x0002fffd,0x7fffffc4,0x00bffa24,0x7ffffc40,0x0bffa24f,
    0x7fffc400,0xbd0004ff,0x3ffffea0,0xff10005f,0x2009ffff,0x4ffffff8,
    0x3fffffe0,0xff10002f,0x7c1fffff,0x02ffffff,0xfffff100,0x3fea01ff,
    0x8002ffff,0xffff007d,0xff880007,0x7c44ffff,0xff10002f,0xf889ffff,
    0xff10002f,0x0009ffff,0x7ff405f5,0x8001ffff,0x4ffffff8,0xfffff100,
    0x7ffec09f,0x10003fff,0x8fffffff,0x3ffffffd,0xffff1000,0x7fd40fff,
    0x8002ffff,0xffff006e,0xff88000b,0xfa84ffff,0xfff10002,0x5f509fff,
    0x3ffe2000,0xe8004fff,0x7fffdc06,0xf88004ff,0x004fffff,0x9ffffff1,
    0x7ffffe40,0xff30004f,0xfc8bffff,0x004fffff,0xffffff30,0x7fffd40b,
    0x6e8002ff,0x0dfffd00,0xffff8800,0x02f884ff,0xfffff100,0x005f109f,
    0x3ffffe20,0x77cc004f,0xdccccccc,0x0fffffff,0x7fffc400,0xff1004ff,
    0x4c09ffff,0x04ffffff,0xfffff700,0xffff985f,0xf70004ff,0x405fffff,
    0x2ffffff9,0xb006f800,0x8000ffff,0x4ffffff8,0x815c05d0,0x4ffffff8,
    0x815c05d0,0x4ffffff8,0x7fffec00,0xffffffff,0x003fffff,0x7fffffc4,
    0xffff1004,0xffd809ff,0xb0006fff,0x20dfffff,0x06fffffd,0xfffffb00,
    0xffff980d,0x5f8003ff,0x1ffff700,0x7ffc4000,0x05904fff,0xfff880fc,
    0x05904fff,0xfff880fc,0x22004fff,0xfff1003f,0x8800ffff,0x04ffffff,
    0xffffff10,0xffff8809,0xfe8001ff,0xf102ffff,0x003fffff,0x5fffffd0,
    0xfffff880,0x1fcc003f,0x2ffffa80,0x3ffe2000,0xa8004fff,0x3fffe207,
    0x7a8004ff,0x3ffffe20,0x03f2004f,0xfffffd80,0x3fe2002f,0x1004ffff,
    0x09ffffff,0xbfffff90,0xffffa800,0x7ffe405f,0x7d4005ff,0xd005ffff,
    0x00bfffff,0xf3002fc8,0x40003fff,0x4ffffff8,0x2207e800,0x04ffffff,
    0x3e207e80,0x004fffff,0xf98009f1,0x006fffff,0x3fffffe2,0xffff1004,
    0xfd1009ff,0x4001ffff,0x00fffffe,0x7fffff44,0x3fffa000,0xff7000ff,
    0x4c00dfff,0x3fe2006f,0x7cc0007f,0x004fffff,0xff302fec,0x8009ffff,
    0x3fe605fd,0x9004ffff,0xffd0005f,0x2005ffff,0x4ffffff9,0xfffff300,
    0x3fa2009f,0xf5004fff,0x2003ffff,0x04ffffe8,0x3fffff50,0x7fffc400,
    0xff8805ff,0x3ffea002,0x7fcc0004,0x1004ffff,0x7cc09ffb,0x004fffff,
    0x4c09ffb1,0x04ffffff,0x8000ff88,0x6ffffffb,0xfffff300,0x3fe6009f,
    0x2004ffff,0x04ffffe8,0x0f7fffd4,0x3fffa200,0x7ffd404f,0xf98001ef,
    0x80cfffff,0x4003fea8,0x80006ffd,0xeffffffa,0x3ffee200,0x3ffea03f,
    0x2200efff,0x203ffffb,0x5ffffffa,0x001ffe80,0xffffff88,0xfffa803f,
    0xf5005fff,0x00bfffff,0x5bffff70,0x3fff6e21,0x7dc0004f,0x710adfff,
    0x009ffffb,0xffffea80,0xffebceff,0x3f22003f,0x440000ef,0xfffffffe,
    0xfedcccde,0x102fffff,0xfffffffd,0xfdb999bd,0x205fffff,0xffffffe8,
    0xfffd502f,0xffb8001b,0x02ffffff,0x3fffffa2,0x7f4402ff,0x02ffffff,
    0xfffeb880,0xceffffff,0xd7100001,0xffffffff,0x000039df,0x7fffffe4,
    0x000cffff,0x000bbff2,0xfffffe88,0xffffffff,0xffffffff,0x3ffa21ff,
    0xffffffff,0xffffffff,0x221fffff,0xfffffffe,0x92efffff,0xdfffffff,
    0x7fff5407,0xffffffff,0xffffd10f,0xffffffff,0x3fffa25d,0xffffffff,
    0xa88002ef,0x01abccca,0x55440000,0x001abccc,0x6654c000,0x80009abc,
    0x000001ab,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x14402a60,0xcb800000,0x1000cccc,
    0x13333333,0x40266000,0x30000028,0x44000c40,0x09999999,0x9b953000,
    0x00000035,0x06f332a6,0x0c400370,0x31000310,0x20000c40,0x41cffffa,
    0x8000006c,0x02fffff8,0x3ffffae0,0x7d4005ff,0x3641cfff,0x3fee0000,
    0x077fe41f,0xfffff900,0x764009df,0xfffeffff,0x00000cef,0x3fffff22,
    0x22ceffff,0xff7002f8,0x0effd83d,0x83dff700,0x8000effd,0xfffffffa,
    0x0005fcce,0xffffb800,0x3fea0002,0x3ea005ff,0xbeffffff,0x400005fc,
    0x3e66ffff,0x32004fff,0x4004ffff,0x0bdfffe9,0x5ffff951,0xffd88000,
    0x999adfff,0xffefffdb,0xffff8802,0x0ffffea5,0x97fffe20,0x003ffff9,
    0xffffffe8,0x003fffff,0xfffe8000,0xfff80002,0x3ffa005f,0xffffffff,
    0x2600003f,0xf70fffff,0x6400dfff,0x2000ffff,0x405ffffc,0x00dffffa,
    0xfffff980,0x7ff4c01d,0xffa802ff,0x3fff27ff,0xfff9805f,0x3fffee7f,
    0x677cc005,0xfffffffd,0x88000006,0x00003fff,0x200bfffd,0xfffecef9,
    0x0006ffff,0x25fffe80,0x003ffff8,0x003ffff2,0x1bffffa2,0x7ffffdc0,
    0x3ffee001,0x7e4005ff,0xfff002ff,0x7fffcc9f,0x9fffd002,0x017fffc4,
    0xeb883ea0,0x0000efff,0x03ffb800,0x3fffa000,0x4c1f5005,0x00efffec,
    0xcfd98000,0x0067f540,0x00ffff90,0x03fffffa,0xfffffd80,0xffffa800,
    0xffb0005f,0x33f66005,0x001ff5c0,0xeb819fb3,0x0288003f,0x000006a2,
    0x0004fe80,0x02ffff40,0x06a20288,0x00000000,0x3fffe400,0x7ffffdc0,
    0x7ffcc004,0x7fcc05ff,0x0000ffff,0x00000bfa,0x00000000,0x00000000,
    0x0000aa00,0x017fffa0,0x00000000,0x64000000,0x7cc07fff,0x001fffff,
    0x2ffffff8,0xfffffd10,0x2fb80007,0x00000000,0x4ccc4000,0x00999999,
    0x33333310,0x00000133,0x3ffa0000,0x0380005f,0x1c000000,0x7ffe4000,
    0x7ffff407,0xffb0007f,0xf701ffff,0x001fffff,0x2662f880,0x99999999,
    0x99999999,0x98099999,0x99999999,0x26099999,0xfffffffe,0xfeb800ff,
    0x13ffffff,0x33333333,0x88013333,0x19999999,0x017fffa0,0x0001f300,
    0x03e60000,0xffff9000,0x7ffffd40,0xff50004f,0xfd07ffff,0x000dffff,
    0x7f644b20,0xffffffff,0xffffffff,0x6442ffff,0xfffffffe,0x882defff,
    0xfffffffe,0x3ff62006,0x7fffdc1f,0xefffffff,0x7fff4c03,0xfd00efff,
    0xd8000bff,0x0000004f,0x80009fb0,0x2e07fffc,0x03ffffff,0xfffff300,
    0xffffa8bf,0x000004ff,0x7fffff44,0xccccccef,0x02fffffe,0x3fffffa2,
    0xfe8802ff,0x04ffffff,0xf5017fc0,0x3fffffff,0xeffd8800,0x2ffff401,
    0x1fff1000,0x88000000,0x20000fff,0x3607fffc,0x02ffffff,0xfffff300,
    0xffffd8df,0x000002ff,0xffffffa8,0x7fff5404,0x7fffd402,0x3e6005ff,
    0x2fffffff,0x7003f600,0x3fffffff,0x03ff5000,0x00bfffd0,0x01fffe40,
    0x3f200000,0x320003ff,0x3fa07fff,0x002fffff,0xffffff10,0x7ffffc1f,
    0x000002ff,0xffffff98,0x05ff9004,0xffffff98,0x3ffe6004,0x01ffffff,
    0x3fa00f90,0x004fffff,0xfd003fc8,0x22000bff,0x0006ffff,0x3ffe2000,
    0x3f20006f,0xfff107ff,0x0003ffff,0x3fffffe2,0x3ffffe1f,0x000001ff,
    0xffffff98,0x00bf6004,0x9ffffff3,0x7fefcc00,0x00efffff,0xff3007c8,
    0x001fffff,0xfd0037c4,0x2e000bff,0x002fffff,0xfff70000,0x320005ff,
    0xff307fff,0x001fffff,0x7fffffc0,0xfffff12f,0x000001ff,0xffffff10,
    0x017cc009,0x3fffffe2,0x367e6004,0x5fffffff,0x36007c80,0x05ffffff,
    0xe8007f60,0xd0005fff,0x00dfffff,0x3ffa0000,0x90006fff,0x3e60ffff,
    0x00ffffff,0x3ffffe00,0xffff32ff,0x00003fff,0xfffff100,0x3a06a09f,
    0x7fffc402,0x3e6004ff,0xffffffd1,0x007c809f,0x3fffffe2,0x04f9801f,
    0x02ffff40,0x7ffffd40,0x000001ff,0x7fffffd4,0xffc8001f,0xffff107f,
    0x40003fff,0x1fffffff,0xfffffff3,0x10000005,0x09ffffff,0x100b20b6,
    0x09ffffff,0xff88fcc0,0x02ffffff,0xff9001f2,0xd00bffff,0xffe8001f,
    0xffe8005f,0x005fffff,0x7fff4000,0x8005ffff,0x3e07fffc,0x02ffffff,
    0xfffff100,0x7fffc1ff,0x00003fff,0xfffff880,0x1105d04f,0xfffff880,
    0x87e6004f,0xfffffff9,0x800f901f,0xfffffff8,0x000bee02,0x0017fffa,
    0xffffd7f3,0x000001ff,0x3fffafe6,0x64000fff,0x3f607fff,0x003fffff,
    0xffffff30,0xffffff8f,0x8000004f,0x4ffffff8,0x10002f88,0x09ffffff,
    0x3ee0fcc0,0x0effffff,0xfb8007c8,0x106fffff,0x3fa000df,0xbec005ff,
    0x4ffffffb,0x2fb00000,0x4ffffffb,0x3fffe400,0xffffff90,0x3fea0009,
    0x7ec6ffff,0x006fffff,0xfff88000,0x2fc84fff,0xffff1000,0x7cc009ff,
    0xfffffc81,0x007c85ff,0xffffffd0,0x0003f905,0x8017fffa,0xffff14f8,
    0x00000fff,0x3ffe29f1,0x64007fff,0x3e607fff,0x004fffff,0xffffff70,
    0xfffff985,0x8000007f,0x4ffffff8,0x80017fd4,0x4ffffff8,0x7407e600,
    0x3fffffff,0xfa8003e4,0x4c6fffff,0x3fa0004f,0x3f2005ff,0x3fffff20,
    0x6400003f,0x3ffff20f,0x3f2003ff,0x7fec07ff,0x90006fff,0x20dfffff,
    0x0ffffffe,0x7c400000,0x98cfffff,0x0002fffc,0x9ffffff1,0x880fcc00,
    0xffffffff,0xe8001f22,0x23ffffff,0x3a0000fe,0xf1005fff,0xfffff989,
    0x2200006f,0x7fffcc4f,0x3f2006ff,0x7fcc07ff,0x4001ffff,0x1ffffff8,
    0xffffff70,0x40100009,0xfffffff8,0x02ffffff,0xfffff100,0x0fcc009f,
    0xffffff30,0x001f21ff,0xffffffa8,0x0002fa8f,0x802ffff4,0xfffd81fb,
    0x00002fff,0xfffb03f7,0x32005fff,0xfc807fff,0x4005ffff,0x05fffffb,
    0x3fffffec,0x88162000,0xceffffff,0x002ffffe,0xffffff10,0x00fcc009,
    0x3fffffea,0x8000f96f,0xcffffffd,0xfe80006f,0x0bd005ff,0x3fffffea,
    0x0bd00005,0x3fffffea,0xffff9005,0xffffd100,0x7ff4001f,0x7c400fff,
    0x004fffff,0x7c40df10,0x224fffff,0x10002ffe,0x09ffffff,0x6400fcc0,
    0xdfffffff,0x7cc0007c,0x1fffffff,0xfffe8000,0x202fa805,0x1ffffffe,
    0x017d4000,0x3ffffffd,0x0ffff900,0x3ffff620,0xffff5004,0x3fe6001d,
    0x4003ffff,0x3e201efa,0x444fffff,0xf10002ff,0x009fffff,0xfd800fcc,
    0x7fffffff,0xfffd8000,0x00005fff,0xd00bfffd,0xffffb80d,0x740004ff,
    0x7fffdc06,0xffc804ff,0x7fe4007f,0x7fd404ff,0x44000eff,0x0cfffffd,
    0x017f6620,0x3fffffe2,0x0002fa84,0x9ffffff1,0x800fcc00,0xffffffe8,
    0xf880007f,0x004fffff,0x0bfffd00,0xccccef98,0xffffdccc,0x30000fff,
    0x999999df,0xffffffb9,0xfffc801f,0xffeb8007,0xf9510adf,0x80009fff,
    0xdffffffb,0xfffecaac,0xffff1002,0x05f109ff,0x3fffe200,0x3e6004ff,
    0x3ffe6001,0x0007ffff,0xffffff88,0xffd00004,0xfffd80bf,0xffffffff,
    0x03ffffff,0xfffffb00,0xffffffff,0xc807ffff,0x20007fff,0xffffffc9,
    0x000aefff,0xfffb5100,0xbfffffff,0x7ffc4001,0x05d04fff,0xfff8815c,
    0x26004fff,0x7fd4001f,0x0007ffff,0xffffff88,0xffd00004,0x01fc40bf,
    0xffffff88,0x03f88007,0xffffff10,0x7fffc80f,0xffe88000,0x0003ffff,
    0x7dd4c400,0x10001abd,0x09ffffff,0x101f80b2,0x09ffffff,0x4000fcc0,
    0x07fffffc,0xffff8800,0xd00004ff,0x7e40bfff,0x3fff6000,0x64002fff,
    0x3ff6000f,0x3202ffff,0x00007fff,0xdffffff3,0x64000000,0xf880003f,
    0x004fffff,0x3fe207a8,0x2004ffff,0xfb0001f9,0x0000ffff,0x9ffffff1,
    0x3ffa0000,0x009f105f,0xffffff98,0x013e2006,0xffffff30,0x3fffe40d,
    0xfff90000,0x00007fff,0x0dfff500,0xffff8800,0x7e8004ff,0x3ffffe20,
    0x07e6004f,0x7fff4400,0xff880007,0x0004ffff,0x20bfffd0,0xfe8002fc,
    0x002fffff,0xfd0005f9,0x205fffff,0x0007fffc,0x3ffffa20,0x000002ff,
    0x00fffecc,0xfffff300,0x5fd8009f,0x3ffffe60,0x0fea004f,0x7fff8800,
    0xfff88000,0x00005fff,0xf10bffff,0xff70001f,0x100dffff,0xf70001ff,
    0x20dfffff,0x000ffffc,0x3fffa200,0x0000bfff,0x0bffe200,0xffff9800,
    0xfb1004ff,0x7ffcc09f,0x36004fff,0x7d40005f,0xf880007f,0x005fffff,
    0x5ffff880,0x8001ffe8,0xfffffff8,0x00fff403,0x7ffffc40,0xfffc83ff,
    0xd800000f,0xcfffffff,0x000029aa,0x0001fff5,0x7fffffd4,0x3fee200e,
    0x3fea03ff,0x7005ffff,0x00039fff,0x40003fdc,0x6ffffff9,0x7fecc000,
    0x3ffaa5ff,0x7dc000df,0x2fffffff,0x0dfffea8,0x7fffdc00,0x7e42ffff,
    0x0001dfff,0xffffc980,0x007fffff,0x1fff5440,0xfffd1000,0x99bdffff,
    0xfffffdb9,0x3ffa205f,0x502fffff,0xfffffffd,0x1f60007d,0xfffd1000,
    0x0007ffff,0xddddddd7,0x3fffff29,0x3aa03eff,0xffffffff,0xff90ffff,
    0x07dfffff,0x7fffff54,0x0fffffff,0xddddddd7,0x31000009,0x01357995,
    0xceefb800,0xffe88001,0xffffffff,0xffffffff,0x221fffff,0xfffffffe,
    0x02efffff,0x02400000,0x7fff75c0,0xffffffff,0x000000ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x000001c9,0x0000d900,0x40004000,0xcb80004e,0x98000ccc,
    0x0001bccb,0x0001eea8,0x00000000,0x005b5000,0x33332e00,0x00000000,
    0x0bbfffa6,0x7f000000,0x32ea2000,0x6c01abcd,0xffb73007,0x9800159b,
    0x004fffff,0x3f2fff62,0x3e20004f,0xff98005f,0x30005fff,0x00bfffff,
    0x3fffaa00,0x3e60003f,0x1004ffff,0x00019ff7,0x0fb32ee8,0x7d400000,
    0x3fae2000,0xffffffff,0x01fe40bf,0x3bf7ffee,0x001dfffe,0x1ffffffd,
    0x4bffd100,0xb0006ffe,0x260001ff,0x0007ffff,0x03ffffe6,0x4c7ba000,
    0xfd0000fd,0x001fffff,0x00bffff9,0x3e20fcc0,0xb0000003,0x7ffdc00b,
    0x3f260adf,0x09f73fff,0xbf17ff44,0x017fffaa,0xfffffff5,0x5fffb009,
    0x0027ffe4,0x0000ffea,0x005ffff3,0x17fffcc0,0x107e6000,0xff50007f,
    0x009fffff,0x01ffffff,0x36c1f200,0x7c400000,0xfffd8802,0x7ffcc04f,
    0x7f405fff,0x3f62fc3f,0x3ffe206f,0x00fffd9e,0xb87fffea,0x1001ffff,
    0x20000bff,0x0005fffa,0x002fffd4,0x036c1f20,0x6d7fffc0,0x3e200fff,
    0x001fffff,0x4f881f50,0x6c800000,0xfffff880,0xffff5004,0x7ffdc03f,
    0x37f42fc0,0x641dff90,0x3ff204ff,0x3ffea0ff,0x1ffb003f,0x7fd40000,
    0xffa80007,0x3ea0000f,0x2001fc41,0x3f20effb,0x7ffec05f,0x6fc0006f,
    0x00003f20,0x3a013a00,0x000fffff,0x81bffffa,0x2fc1ffff,0xff8837cc,
    0x203ff704,0x2a0ffffe,0xa804ffff,0x800003ff,0x80002ffa,0x40002ffa,
    0x01f910df,0xb82ffc40,0x3fe601ff,0x5c0002ff,0x004ffdff,0x00fa8000,
    0x2fffffe4,0x3fffea00,0xffff884f,0x06d82fc4,0x5fa807fb,0x41fffff0,
    0x406ffffa,0x00005ff8,0x00017ee0,0x20002fdc,0x04ffeffb,0x2a01fe40,
    0x002a805f,0x077f6200,0x32e60000,0x7d406eee,0x001fffff,0x7fffffec,
    0x7ffffd41,0x835417e2,0x20530009,0x2a0fffff,0x6405ffff,0x000000ff,
    0x10000044,0xb7100003,0x01300017,0x00000a60,0x0027ec00,0x76ffec00,
    0xfd00efff,0x800dffff,0xfffffefc,0x7ffffc46,0x0040bf3f,0x3ffa0000,
    0x3ffea1ff,0x0ffea04f,0x00000000,0x00000000,0x00000000,0x3e200000,
    0x100000ff,0x7fec7ffd,0x7ffcc2ff,0x2e005fff,0xfffffbcf,0x7ffffc3f,
    0x0005fdff,0x056f6dd4,0x0ffffe40,0x205ffff7,0x00005ff8,0x15bdb750,
    0xdb751000,0x100039df,0x39dfdb75,0xdb751000,0x440039df,0x3f200001,
    0x880003ff,0x7ff46fff,0x7ffe45ff,0xf5004fff,0x3ffffeab,0x7fffdc4f,
    0x0005ffff,0xfb9fffd1,0x7fcc07df,0x3fff22ff,0x003ff206,0xfffd1000,
    0x007dffb9,0x3fb7bfea,0x2a005fff,0xfffedeff,0x3fea005f,0x5ffffede,
    0x0000b700,0x01bfffe2,0x8ffff200,0x0ffffff9,0x3ffffffa,0x226f9803,
    0x86ffffff,0xfffffffe,0x3e6000df,0x3ff20dff,0x3fff204f,0x407fff63,
    0x00003ffa,0x906fffcc,0x6c409fff,0x7ffe41ff,0x7fec404f,0x27fffe41,
    0x907ff620,0xb009ffff,0x3ee0000d,0x0002ffff,0xc8bfffe2,0x20ffffee,
    0x2fffffff,0xf1077c40,0x10ffffff,0xfffffffd,0xff3005ff,0xfff883ff,
    0x5bff603f,0xd103fff8,0x980000bf,0x7c41ffff,0xffb03fff,0x3ffffe0d,
    0x41bff602,0x202fffff,0xfff06ffd,0x07e805ff,0xffffd000,0x7e4000df,
    0x2afe1fff,0x3fe25fff,0x202fffff,0x7fc40fe8,0xb00fffff,0xffffffff,
    0x7fec01bf,0xffffb07f,0x7f7f5403,0x3ff200df,0x7ec00000,0xfffb07ff,
    0xffff983f,0x5fffff83,0x07ffff30,0x20bfffff,0xf83ffff9,0x7c05ffff,
    0x7d40000f,0x01ffffff,0x3ffffd00,0x20dc43ea,0xfffffff9,0x7c07fa01,
    0x02ffffff,0x3fffffee,0xf980efff,0xff706fff,0x026009ff,0x980ffea0,
    0x201bdedb,0x706ffff9,0xfc89ffff,0xffe86fff,0xfff906ff,0xffffd0df,
    0x3ffff20d,0x6ffffe86,0x000bfe20,0xffffffd0,0x3fe000bf,0x00bb2fff,
    0xfffffff3,0xf80bf603,0x02ffffff,0x7fffff44,0x7f40ffff,0xff705fff,
    0x40000dff,0x3ee05fe8,0x03ffd9ef,0x20bffffd,0x546ffffb,0xfe86ffff,
    0xff506fff,0xfffd0dff,0x3ffea0df,0xffffe86f,0x00ffe606,0xffebf980,
    0x4000ffff,0x8bfffff8,0xffff002f,0x7f903fff,0x7ffffc40,0xff7001ff,
    0x89ffffff,0x505fffff,0x001fffff,0x403ff200,0xff31fffc,0xfffff09f,
    0x3fffea0b,0x17ffe40f,0x037ffff4,0xfd05fff9,0x7e40dfff,0xfffe82ff,
    0x17fee06f,0xff77d800,0x8009ffff,0xbcfffff9,0x3fffa007,0x27dc2fff,
    0x3ffffe20,0x3fe000ff,0x1fffffff,0x09fffff1,0x07ffffea,0x0ffea000,
    0x3e3fffcc,0x3fe22fff,0xff504fff,0x20603fff,0x6fffffea,0xffea8180,
    0x81806fff,0x6fffffea,0x001fff60,0xfff8a7c4,0x44007fff,0x4eefffff,
    0x3ffff200,0x017ea3ff,0x3fffffe2,0x7eefc007,0xf53fffff,0x2a09ffff,
    0x003fffff,0xd037f440,0xffe8dfff,0x3fffea6f,0xffff504f,0x9fd5007f,
    0x00dffffd,0xffecfea8,0x754006ff,0x6ffffecf,0x007fffe0,0xffc83f20,
    0x4003ffff,0x1fffffff,0x3fffee00,0x01df34ff,0xffffff30,0xfb5f800b,
    0x3eabffff,0xf504ffff,0x0009ffff,0xf100ffc8,0xffd8dfff,0xffff50ff,
    0x3ffea09f,0x3faa04ff,0xdffffd3f,0x4fffaa00,0x006ffffe,0x3fa7ffd5,
    0xff306fff,0xf88007ff,0x7ffffcc4,0x7fec006f,0x4c006fff,0x8dffffff,
    0xff7000fe,0x0b85ffff,0xfffd97e0,0xfffff36f,0x3fffee09,0x3e60003f,
    0x3ffe603f,0x7fffec5f,0x9fffff32,0x3ffffee0,0x2fffd883,0x01bffffa,
    0x745fffb1,0x4406ffff,0x3fa2fffd,0xff706fff,0xfb800bff,0xfffffd81,
    0x3ff2002f,0x4000ffff,0xeefffffd,0x3ff6001f,0x02e86fff,0xffffa97e,
    0x9fffff15,0x3ffffee0,0xdfd10002,0x5ffffa80,0x89ffffec,0x704fffff,
    0x985fffff,0x7f42fffe,0x3a606fff,0x7ff42fff,0x3fa606ff,0x7fff42ff,
    0xffffb06f,0x505e800d,0x0bffffff,0x7ffffcc0,0xf112a06f,0x05ffffff,
    0xffffff80,0x17e05e83,0x7fc7ffff,0xff705fff,0x20003fff,0x7cc00ffc,
    0x7fec6fff,0x3fffe2ff,0xffff705f,0x7fff443f,0x6ffffe87,0x0ffffd10,
    0x20dffffd,0xe87fffe8,0xfd06ffff,0x2001ffff,0x3ffa02fa,0x2001ffff,
    0xdffffffb,0x2a03ee21,0x004fffff,0x2fffffd4,0x8bf00fe8,0x3f61ffff,
    0xff905fff,0x26000fff,0xff8803ff,0x7ffec6ff,0x3ffff60f,0xfffff905,
    0x85ffffc8,0x906ffffe,0xfd0bffff,0x3f20dfff,0xffe85fff,0xfff886ff,
    0xdd001fff,0xfffffb80,0x7fec004f,0xfeffffff,0x3fff203f,0x3fa000ff,
    0xfd00efff,0xff997e0b,0x7fffcc4f,0x7ffff906,0x01bfa000,0x6c6fffe8,
    0x7fcc7fff,0xfff906ff,0xffffe87f,0x7ffffc47,0xfffffd07,0x7fffff88,
    0x8fffffd0,0x87fffff8,0x2ffffff9,0xcccef980,0xfffdcccc,0x2000ffff,
    0xfffffff8,0x7c403fff,0x7004ffff,0x403fffff,0x25f85ffe,0xfc80effd,
    0xffe80fff,0xff90007f,0x7ffd4001,0x417fffc7,0xe80ffffc,0xfff87fff,
    0xffcadfff,0xff07ffff,0xf95bffff,0x20ffffff,0xadffffff,0x7ffffffc,
    0xffffffa8,0xffffd803,0xffffffff,0x003fffff,0x7fffff7c,0xff9801df,
    0x5403ffff,0x400dffff,0x8acefffe,0x0dffeadf,0x87fffd10,0x001ffff9,
    0x8003ff98,0xff11fffd,0x3ffa20bf,0x7fffcc3f,0xfffffc81,0xfffdcfff,
    0x3f21ecff,0xcfffffff,0xecfffffd,0x3fffff21,0xfffdcfff,0xff11ecff,
    0x8803ffff,0xfff1003f,0x5400ffff,0x0157730f,0x3aa3be20,0x261befff,
    0x003ffffc,0xfffffb71,0x005bffff,0x225dffb1,0x0001effe,0x22000dfd,
    0xffd8dffd,0x3ff6200d,0x3dffd12e,0x3ffffe60,0xffff31ef,0xfff985ff,
    0xff31efff,0xf985ffff,0x31efffff,0x85ffffff,0x806ffffc,0x3f6000fc,
    0x002fffff,0xe88000bb,0x7ffecc0e,0x2dffffff,0x2aa62000,0x90001efc,
    0xbfffffff,0x3ff20001,0x7ed40001,0x32002dff,0xdfffffff,0x77fed400,
    0x77ff5c0b,0x7dffb502,0x2effeb81,0x17dffb50,0x82effeb8,0x400cfeb8,
    0x7cc004f8,0x806fffff,0x6c0002f8,0x65d4c01f,0x000009ac,0x10000bf0,
    0x00001595,0x80000133,0x65440000,0x0088000a,0x01100088,0x02200110,
    0x00000220,0xfd0005f9,0x805fffff,0x1880007b,0x00000000,0x000009d0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1ff10000,0xffff7000,
    0x04e80dff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd000000,0xff10003f,0x207fffff,0x000001f9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6ffff540,
    0x7ffdc000,0xc82fffff,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffc,0x3ffaa03e,0xffffffff,
    0x000b60ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332e000,
    0x00000004,0x20000000,0x000cccca,0x0000ae20,0x5c400997,0x66440002,
    0x20000002,0x80002ca8,0xfa802cc8,0x0003ffff,0x5fffff70,0x3fff2000,
    0xffa801ff,0x40003fff,0x02fffffb,0x5fffff88,0x7fc40000,0xa8005fff,
    0x20003ffd,0xda803ffa,0x740003ff,0x6d4000ef,0xfe8801df,0x0003ffff,
    0x5c003bfa,0x0005ffff,0x05ffffd0,0x7ffffc00,0xffffd002,0x740001ff,
    0x2002ffff,0x00fffff9,0x3fff6000,0xc8801fff,0x003fffff,0x440dff10,
    0x03fffffc,0x00bfee00,0x0fffff30,0xffffdfd0,0xff70001f,0xfffb8005,
    0x7cc0000f,0x20003fff,0x002ffff9,0xfffffff7,0x3fe60007,0xf98003ff,
    0x00003fff,0xfffffff3,0xfb15100b,0x320007ff,0x22a200ff,0x0003fffd,
    0xb0009ff1,0x405fffff,0x3fff624d,0x27fc4004,0x3fffc800,0x7ffdc000,
    0x7fe40003,0xfff1002f,0x01fffd3d,0x07fff700,0x2fffcc00,0xfffe8000,
    0x001fffca,0x000fffee,0xb800ffea,0xd0003fff,0xfd0001df,0x0c09ffff,
    0x0017ffd4,0x80003bfa,0x40005ffc,0x80003ffe,0x32003fff,0x3ff60dff,
    0x3ffe8004,0xfffa8000,0x7fd40000,0x01bfee1e,0x003fffb8,0x20037f44,
    0x8003fffb,0x70002ffb,0x001fffff,0x4004ffc8,0x80002ffb,0x30000ffc,
    0x300009ff,0x7cc007ff,0x01ff904f,0x0027fcc0,0x007ff500,0x406ffc40,
    0xf7002ffa,0xfc8007ff,0x7fdc000f,0x7fc4003f,0x3f620004,0x7cc004ff,
    0x3e2000ef,0x3600004f,0x9f70003f,0x0ff20000,0xb805fb00,0x13ee004f,
    0x17ea0000,0x404fb800,0xff7006f9,0x7fd4007f,0xfffb8003,0x07ff4003,
    0x00544000,0xfffffd30,0x03ffa003,0x00130000,0x80000620,0x00980018,
    0x0c400530,0x03100000,0x88004400,0xfffb800a,0x0dfd1003,0x0fffee00,
    0x002ffb80,0x64c00000,0xb807ffff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00fffee0,0x8000ffe4,0x1003fffb,0x000009ff,
    0x7ffcc000,0x13fe201f,0x76dd4000,0x2a2000bd,0x01cefedb,0x7bdb7500,
    0xedba8001,0x5d4000bd,0x4c00aded,0x0aaaaaaa,0x2aaaaaa6,0xaaaaa982,
    0x2aaa60aa,0x7dc02aaa,0xff9803ff,0x3fee0003,0x1ffb003f,0x00280000,
    0x017ffe40,0x80001ffb,0xffbdffd8,0xeffa801f,0x05ffffed,0x2f7ff620,
    0xd8801fff,0x1fffbdff,0xcfffe880,0xd503effd,0x43ffffff,0xffffffea,
    0x7ffff540,0x3ffaa1ff,0x2e00ffff,0x74403fff,0x7dc0006f,0xffb803ff,
    0x3c400002,0x3ffe2000,0x005ff700,0x22fff980,0xb103fff9,0xfffc83ff,
    0xfff9804f,0x80fffe62,0x3e62fff9,0x3fe603ff,0x3fff20df,0x3ffffa04,
    0xfffff81f,0xffffd00f,0xfffff03f,0x7ffe401f,0x00ffe404,0x13fff200,
    0x000bff10,0x7100d500,0x4413fe07,0x440005ff,0xffd86fff,0x06ffd80f,
    0x405fffff,0xfd86fff8,0xfff880ff,0x80fffd86,0x441ffff9,0xfb03ffff,
    0xfb03ffff,0x3601ffff,0xd81fffff,0x200fffff,0x2604fffc,0xc80003ff,
    0x7ec04fff,0xc800000f,0x2effc806,0xffd81bea,0x7fe40000,0x4fffb83f,
    0x41ffffcc,0x205fffff,0xfb83fffc,0xfffc84ff,0x84fffb83,0xfb07fffd,
    0xff903fff,0xffb03fff,0x3f201fff,0xfd81ffff,0x5440ffff,0x2cfffffc,
    0x20006fe8,0xfffffca8,0x02ffb82c,0x04f98000,0xefffff98,0x0bfee03f,
    0xffff3000,0x1ffff505,0x437fffe4,0x306ffffe,0xf505ffff,0x7fcc1fff,
    0xfffa82ff,0x3fffe60f,0x9ffff706,0x3fffff90,0x1fffff90,0x3fffff20,
    0xfffffc81,0x99999980,0x0ffe4199,0x816f6d44,0x99999999,0x802ffc41,
    0xffa803fe,0x57751000,0x2ffc4013,0xfd83fe80,0xffa81fff,0x3ffea2ff,
    0xffffe86f,0x3ffffb06,0x45ffff50,0xa81ffffd,0x3fa2ffff,0xff705fff,
    0xfff90dff,0xfff903ff,0x3ff201ff,0xffc81fff,0x40000fff,0xffa83ff9,
    0x0005ffff,0xd800ffd8,0x7fe403ff,0x6c000005,0xffd800ff,0x0ffffe83,
    0x43ffff98,0xfe82fffc,0xffd06fff,0xfff301ff,0x7ffff47f,0x3ffff980,
    0x417ffffe,0x40fffffa,0x81fffffc,0x00fffffc,0x03fffff9,0x01fffff9,
    0x886fe800,0xfffffeff,0x3fee0001,0x3fffb802,0x03fffd10,0x7fdc0000,
    0x3fffb802,0xeefffff8,0xffffeeee,0xffd50304,0x3fe0dfff,0xeeeeefff,
    0x3e4ffffe,0xeeeeffff,0x14ffffee,0x209fffff,0x41fffffa,0x81fffffc,
    0x00fffffc,0x03fffff9,0x01fffff9,0x40ffe400,0xfffd30cd,0x3fe2000b,
    0xffffa805,0x6ffff983,0x3e200000,0xfffa805f,0x7fffc43f,0xccccccdf,
    0xea803ccc,0x6ffffecf,0xdfffff88,0xcccccccc,0xfffff13c,0x9999999b,
    0x3ffea799,0xfff504ff,0xfffc87ff,0xfffc81ff,0xfff900ff,0xfff903ff,
    0x260001ff,0xf50503ff,0x36000bff,0x6fcc00ff,0x7fcc3fff,0x00002fff,
    0x3003ff60,0xa87fffbf,0x002fffff,0xd3ffea80,0xf50dffff,0x8005ffff,
    0x02fffffa,0x7ffffd40,0xfffff504,0xfffffc89,0xfffffc81,0xfffff900,
    0xfffff903,0x1bfa0001,0x05fff100,0x805ff700,0x3fff9cf8,0x03ffffec,
    0x5ff70000,0xff9cf880,0x7fffcc3f,0x3620003f,0x3ffa2fff,0xfff986ff,
    0x7cc003ff,0x4003ffff,0x04fffff9,0x87fffff7,0x81fffffc,0x00fffffc,
    0x03fffff9,0x01fffff9,0x003ff900,0x8007ffa8,0x74405ff8,0xf87fff35,
    0xd706ffff,0xff10003b,0xf35e880b,0xfff887ff,0xd30005ff,0xffe85fff,
    0xfff886ff,0x7c4005ff,0x4005ffff,0x04fffff8,0x85fffff7,0x81fffffc,
    0x00fffffc,0x03fffff9,0x01fffff9,0x003ff980,0x8002ffc8,0x76c00ffd,
    0x4c7fff30,0x885fffff,0x4000ffff,0x76c00ffd,0xf07fff30,0x001fffff,
    0x87fffe88,0xf06ffffe,0x001fffff,0x0ffffff8,0x7ffffc00,0xfffff705,
    0xfffffc83,0xfffffc81,0xfffff900,0xfffff903,0x06fe8001,0x003ff880,
    0x6402ffb8,0x8fffe60f,0x85fffffb,0x003ffffb,0xf900bfee,0x41fffcc1,
    0x04fffffe,0xffff91c4,0xdffffd0b,0x3fffffa0,0xffd1c404,0x38809fff,
    0x417ffff6,0xb87ffffc,0xc81fffff,0x700fffff,0x903fffff,0x001fffff,
    0x4000ffe4,0xf88003fe,0x677d405f,0x4dfffdcc,0x0bfffff5,0x007ffff1,
    0xf5017fe2,0xfffb999d,0xffffa89b,0x45d100ff,0x447ffffe,0x507fffff,
    0x01ffffff,0xfffa8ba2,0x5d100fff,0x837fffcc,0xb83ffffc,0x441fffff,
    0x00fffffe,0x83fffff7,0x0fffffe8,0x007ff300,0x01887f90,0x5400ffd8,
    0xffffffff,0xffff37ff,0x3fffa0df,0x01ffb001,0xffffffa8,0xfe87ffff,
    0x441fffff,0x7ffffc5d,0xffffcadf,0x3ffa07ff,0x6c41ffff,0xfffffe85,
    0x642ec41f,0xfe80ffff,0xfff307ff,0xfffe87ff,0xff300fff,0xffe87fff,
    0xd000ffff,0x5f9000df,0x2a0274c4,0xeea802ff,0xefffeeee,0x3fffff65,
    0x006ffb81,0xd5005ff5,0xfffddddd,0xffff50bd,0xffd9dfff,0xfffffc81,
    0xfffdcfff,0x7d41ecff,0xceffffff,0xffa80ffe,0xecefffff,0xffe880ff,
    0x7fffcc3f,0x3ffffa01,0xffefeaaf,0x3fa01fff,0xfeaaffff,0x01fffffe,
    0x4001ffc8,0xfffffffb,0x17fe202f,0x7fff3000,0xefffff88,0x400ffdc1,
    0x40005ff8,0x2603fff9,0xffffffff,0xfff981ff,0xff31efff,0x2605ffff,
    0xffffffff,0x3fe601ff,0xffffffff,0x3bff6201,0x03dffd12,0xffffff98,
    0xffffc9ef,0xfff300cf,0xf93dffff,0x4019ffff,0x54003ff9,0xffffffff,
    0x03ff600f,0x7fff3000,0xfffffd30,0x003dfb5b,0x00003ff6,0x9807fff3,
    0xcffffffe,0x3bff6a00,0x77ff5c0b,0x7fff4c02,0x9800cfff,0xcffffffe,
    0xffff9000,0x2001bfff,0x0dffffea,0xfffffff9,0x3fffaa03,0xffff90df,
    0x3fa03fff,0x7ffcc006,0x07ffffff,0x0000bfea,0xa80fffe6,0x2eefffed,
    0x00bfea00,0x0fffe600,0x00abb980,0x02200220,0x02aee600,0x055dcc00,
    0x0aca8800,0x02ae6000,0x15730000,0x13310000,0x10000000,0x00000033,
    0x44000100,0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x00000600,
    0x54035300,0x26018800,0x65cc4000,0x98002acc,0x00000600,0x40276400,
    0x0002bcb9,0xca80e64c,0xaaaaa80c,0x55555502,0x201a9800,0x7d40000a,
    0x1003ffff,0xffa89ffd,0x3fff602f,0x3a6000ff,0x2a0befff,0x77fe401f,
    0x017ff620,0x3b7fffa2,0x8802efff,0x7fd44ffe,0xfff1002f,0x7c400bff,
    0x3ffa603f,0x0002effe,0x3f203ff7,0xdffffd07,0x1bffffa0,0x77fff4c0,
    0x0003ea0b,0x07ffffb0,0x07fffe40,0xd80dfffd,0x1003ffff,0xffffffff,
    0xf980ff9b,0x3fee4fff,0x3fea01ff,0x3ffea0ef,0x7ffe404f,0x1bfffa0f,
    0x2ffffdc0,0x407fea00,0xfd10fffa,0xffb0009f,0xfe837f40,0xffd06fff,
    0xff100dff,0x9bffffff,0xf88000ff,0x74004fff,0xff12ffff,0x74401fff,
    0xf9005fff,0xffffffff,0xffb80dff,0x3fff66ff,0xffff704f,0x5ffffd03,
    0x97ffff40,0x00fffff8,0x005fffe8,0xff506fd8,0x4fffa89f,0x8837f400,
    0xfffd04ff,0x3fffa0df,0xfffc806f,0xffffffff,0x7fd40005,0xffb8004f,
    0x3fff60ff,0xfffe8806,0xfcbfe800,0x1fffffff,0x1ffffc40,0x203ffff5,
    0xc80fffff,0x2e06ffff,0x3f60ffff,0xff8806ff,0xff8000ef,0x1ffff884,
    0x001ffff8,0x3e609ff1,0xffffd03f,0x3ffffa0d,0xfcbfe806,0x1fffffff,
    0x27fec000,0x2efc8800,0x800efecc,0xf803ffe8,0x7fffed43,0x19fd5002,
    0xf503efc8,0x3ee0ffff,0x9100ffff,0xdfd985df,0x0effb801,0x81ffa800,
    0xff07fffb,0x3e600bff,0x03ff703f,0x41bffffa,0x806ffffe,0x7ffed42f,
    0x7c40001f,0x0000005f,0x0bfd1000,0x00cc0150,0x7e400000,0xff707fff,
    0x00003fff,0x0077f400,0xff07fc80,0x3ffa0fff,0xffb801ff,0x740ff901,
    0xfd06ffff,0x0500dfff,0x50000198,0x000000bf,0x0fe88000,0x00000000,
    0xffff9000,0x3fffee0f,0x0000000f,0x40001df1,0xfffa84ff,0xffffb07f,
    0x40ffb007,0x3ffa06fe,0xfffd06ff,0x000000df,0x00018800,0x10000000,
    0x00000003,0x7fec0000,0xfff707ff,0x000000df,0x300004c4,0xfff905ff,
    0x3fff60df,0x06fe805f,0xffe813fe,0xfffd06ff,0x000000df,0x80000000,
    0xcefedba8,0x20000001,0xcefedba8,0xdb750001,0xffd8017b,0xfff907ff,
    0x36ea005f,0x00000ade,0xe83fe400,0xfb06ffff,0x7744ffff,0xeefffeee,
    0xeeffeeee,0x7ffff41e,0xdffffd06,0xdedba800,0x5553000a,0x54c15555,
    0x802aaaaa,0xffedeffa,0xaaa805ff,0xa802aaaa,0xfffedeff,0x3f62005f,
    0x01fffbdf,0x21fffff6,0x803ffff8,0xfdcfffe8,0x2aaa03ef,0x4002aaaa,
    0xffff05fe,0x3fff60df,0xffff11ff,0xffffffff,0x5fffffff,0x06ffffe8,
    0x00dffffd,0x373fffa2,0x75403eff,0x21ffffff,0xffffffea,0x83ffb100,
    0x404ffffc,0x7ffffffc,0x907ff620,0x3009ffff,0x7fcc5fff,0xffffb03f,
    0x0aeffe8f,0x0dfff980,0x6413fff2,0x07ffffff,0x220bfe60,0xb06fffff,
    0x225fffff,0xffffffff,0xffffffff,0x7ff42fff,0xfffd06ff,0xfff300df,
    0x27ffe41b,0x7fffff40,0xffffff81,0x20dffb00,0x402fffff,0x07fffff8,
    0x7fc1bff6,0x3e202fff,0xfffd86ff,0x7ffffd80,0x05f7ffec,0x83ffff30,
    0x103ffff8,0x00ffffff,0x7cc07fdc,0xfb06ffff,0x6c07ffff,0x01bfa07f,
    0x20dffffd,0x406ffffe,0x441ffff9,0x6c03ffff,0xd81fffff,0x980fffff,
    0xff83ffff,0xfe805fff,0xff307fff,0xffff07ff,0x7ffe40bf,0x84fffb83,
    0x907ffffd,0x3601ffff,0xffb07fff,0x3ffa03ff,0x3fa007ff,0xfffff505,
    0x3ffff60d,0x41bfa03f,0x7f404ff8,0xffd06fff,0xffd80dff,0xffffb07f,
    0x7fffe403,0xffffd81f,0xffffc80f,0x6ffffe86,0x7ffffe80,0x0dffff90,
    0x20dffffd,0xa82ffff9,0x7ec0ffff,0x3fa07fff,0xfff985ff,0xffff706f,
    0x3ffffa09,0x07ff1007,0x1bffffea,0x27ffffec,0xf304ff88,0xfffe807f,
    0xffffd06f,0xfff3144d,0x3ffee0df,0x3fff204f,0xfffc81ff,0xfffa80ff,
    0xffffe86f,0xffffe806,0xdffff507,0x0dffffd0,0x207ffff6,0x6c2ffffa,
    0x3607ffff,0x7f42ffff,0xff705fff,0x3ffa0dff,0xff7007ff,0x3fffea01,
    0xffffb06f,0x0ffe609f,0x3a00ffdc,0xf887ffff,0x8ee7ffff,0x705ffffe,
    0x640dffff,0xc81fffff,0x900fffff,0xffd05fff,0xffd00dff,0x7fe40fff,
    0xffffe82f,0x1ffffd06,0x87ffff30,0x207ffffd,0x7c6ffffc,0xf505ffff,
    0xfd01ffff,0x3600ffff,0x3ffe606f,0xfffb06ff,0x3fee07ff,0xd00ff901,
    0x443fffff,0x0ffffffe,0x7ffffc5b,0xfffff505,0x3ffff201,0xffffc81f,
    0x7540c00f,0x806fffff,0x807ffffe,0xffffea81,0xfffff06f,0xffdddddd,
    0xfffd89ff,0x3fff207f,0x3fffe27f,0xffff504f,0xffffd03f,0x07ff100f,
    0x37ffffc4,0x1fffffd8,0x3a01ffb0,0xfffe806f,0xdeebadff,0xfdefffff,
    0x9fffff10,0x3ffffea0,0xfffff901,0xfffff903,0x67f54001,0x806ffffe,
    0x007ffffe,0x7ff67f54,0xfff886ff,0xcccccdff,0x7ec3cccc,0x3f207fff,
    0xff50ffff,0x3ea09fff,0xfe83ffff,0xfa807fff,0x7fffc01f,0xffffb06f,
    0x3fffe21f,0xffffffff,0x2fffffff,0x7ffffffc,0xfff88dff,0x3ea2ffff,
    0xf504ffff,0x3207ffff,0xc81fffff,0x800fffff,0xffd3ffea,0xffd00dff,
    0x3aa00fff,0xffffd3ff,0xfffff50d,0x3ff60005,0x3ff207ff,0xfff52fff,
    0x3fea09ff,0xffe84fff,0x6fd807ff,0x6ffffe80,0x4fffffb0,0xfffffff8,
    0xffffffff,0x7fc2ffff,0x44fffffd,0x42fffffa,0x04fffffa,0x09fffff5,
    0x07fffff2,0x03fffff2,0x22fffd88,0x806ffffe,0x407ffffe,0x3a2fffd8,
    0xf986ffff,0x0003ffff,0x40fffffb,0x32fffffc,0x209fffff,0x83fffffb,
    0x807ffffe,0xffd804ff,0xfffb06ff,0x7f7744df,0xfeeeeeef,0x1eeeeeff,
    0x2ee63fe2,0x4055d401,0x04fffff9,0x07fffff7,0x07fffff2,0x03fffff2,
    0x217fff4c,0x806ffffe,0x207ffffe,0x742fffe9,0xf886ffff,0x0005ffff,
    0x40fffffb,0x11fffffc,0x209fffff,0x82fffffb,0x407ffffe,0xfc801ffa,
    0xffb06fff,0x3fee0bff,0x500ffb01,0x800003ff,0x04fffff8,0x05fffff7,
    0x07fffff2,0x03fffff2,0x21ffffa2,0x806ffffe,0x107ffffe,0xfd0ffffd,
    0x3fe0dfff,0x8000ffff,0x207ffffd,0x20fffffb,0x705fffff,0xd03fffff,
    0xc80fffff,0xfff3007f,0x3fff60df,0x40ffb03f,0xffc806fe,0xff800003,
    0xff705fff,0x3f203fff,0xfc81ffff,0xfc80ffff,0xffe85fff,0xffe806ff,
    0xfff907ff,0xffffd0bf,0x3ffffa0d,0x361c404f,0x2207ffff,0x7ec6ffff,
    0xff905fff,0x3ffa0fff,0x27fc07ff,0x0ffffd00,0x403ffff6,0x9ff106fe,
    0x00bffb00,0xffffb000,0x3ffff20b,0x3fffee07,0xffffc81f,0xffffe80f,
    0x7ffffc47,0xffffe807,0xfffffd07,0x7fffff88,0xffffff50,0xfb0ba201,
    0x77e4ffff,0x98bfffd0,0xf906ffff,0x3fa07fff,0x3e607fff,0x3fee002f,
    0xfffe80ff,0x209ff104,0xff803ff9,0x9800007f,0xf906ffff,0x7dc07fff,
    0x7441ffff,0xf80fffff,0xcadfffff,0x07ffffff,0x07ffffe8,0x5bffffff,
    0xfffffff9,0x7fffff40,0x6c2ec41f,0xff17ffff,0x07fff29f,0x203ffff2,
    0x3a07fffe,0x3207ffff,0xffe8007f,0x0ffff81f,0x2e05ff30,0x7fc401ff,
    0x800000ff,0xe80ffffc,0x7cc07fff,0x7f43ffff,0xc80fffff,0xffffffff,
    0xcfffffdc,0xffffd01e,0x3ffff20f,0xffdcffff,0x541ecfff,0xefffffff,
    0xfe80ffec,0xfff17fff,0x440ffee9,0x7cc3fffe,0x3fa01fff,0x3fa07fff,
    0xfff88005,0x01fffd44,0x3f603ff7,0xffff9807,0xe8800001,0x7fcc3fff,
    0xffe801ff,0xefeaafff,0x981fffff,0x1effffff,0x5ffffff3,0x7fffff40,
    0xfffff980,0xffff31ef,0x3fe605ff,0xffffffff,0xfffffa81,0x3a77ff27,
    0x7fec405f,0x3dffd12e,0xfffffe80,0x002ff980,0x265fff10,0x7ec02ffe,
    0x201bfa07,0x0007fff8,0x3bff6200,0x03dffd12,0x3ffffe60,0xfffc9eff,
    0xfda80cff,0x7f5c0bef,0x3fea02ef,0xb504ffff,0xeb817dff,0x74c02eff,
    0x0cffffff,0xffffffd8,0x37ffae27,0x3fff2002,0x400dffff,0x4ffffffa,
    0x0000ffb8,0x3fffff66,0x05fe801e,0x32009ff1,0x000002ef,0xffffffc8,
    0x754000df,0xf90dffff,0x03ffffff,0x80220022,0xfffffff8,0x01101fff,
    0x73000110,0x80000157,0x65440000,0xfff8800a,0x1fffffff,0x80000f2e,
    0x32000ab9,0x0399102c,0x00000000,0x000aca88,0x000ab980,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33326000,0x0037001c,0x54c00005,0x0001bcdc,
    0x4ccccc40,0x09999999,0x5d4c4000,0xdca98004,0x20001acc,0x99999998,
    0x99999999,0xbba98801,0x7100009a,0x80000579,0x1accdca9,0xcba80000,
    0xfe8000ac,0xf5006fff,0x03fd305d,0xfffd8800,0x000cffff,0xfffffb00,
    0x5fffffff,0xffd71000,0x3220015b,0xffffffff,0x64000bef,0xffffffff,
    0x7fffffff,0x3bfff220,0x1003ffff,0xdfffdfd9,0x7e440007,0xffffffff,
    0x5c0000be,0x3fffffff,0x3fffee00,0xff3003ff,0x01bfb11b,0xaeffa800,
    0x05ffffc8,0xffff8800,0xffffffff,0x7fecc007,0x322000bf,0x999acfff,
    0x04fffdaa,0x3fffffa0,0xffffffff,0xfff705ff,0x7fffdc3b,0x8bffea01,
    0x4005fffd,0x9acfffc8,0xfffdaa99,0xffe88004,0x6fffffff,0xfffff880,
    0x3a2007ff,0x0001dfff,0x543fff88,0x0003ffff,0x7fffffdc,0x04ffffff,
    0x037fff20,0x05dfd300,0x03bfae20,0xffffff10,0xffffffff,0xfff505ff,
    0xdfff501f,0x8dfff501,0x006ffff9,0x2005dfd3,0x000efeb8,0xffffffd1,
    0x809fffff,0xffbbfffc,0x3ff2003f,0xfb00004f,0xfffd01ff,0xffe8000b,
    0xffffffff,0xfe8801ff,0xfa8005ff,0xfb10004f,0x7ffd403f,0xffffffff,
    0xf887ffff,0x3fe05fff,0x7ffc45ff,0xffffc83f,0x027fd403,0x01ffd880,
    0xfecdffd8,0x0fffffff,0x545fff30,0x7d400fff,0x004fffbf,0x07fffcc0,
    0x0037ffe4,0xffffff10,0x0dffffff,0x0bffff30,0x003ff300,0x201ff500,
    0xfffffffc,0xffffffff,0x4ffffc85,0x71ffff60,0xf505ffff,0x2603ffff,
    0xa80001ff,0x0fe600ff,0x3fffff66,0x03dfb01f,0x3a609ff3,0xbfff70cf,
    0x7ffd4000,0x4fffb81f,0x26fee000,0x99999999,0x7ffc4009,0xfe88005f,
    0x99999992,0x2e015599,0x9dffd05f,0x55555559,0xffd05fff,0x7fe40fff,
    0x3fff60ff,0xffff982f,0x02fe884f,0x379dd973,0x205fb9a2,0x3ffe203e,
    0xdfa82fff,0x203fa200,0xfffe80de,0xfff90004,0x3fff907f,0x003f4000,
    0x3ffffa00,0x24fd8000,0xbaffffd9,0xd80dfffe,0x001ef83f,0x3fe0fff3,
    0xf901ffff,0x7ffc1fff,0xfff882ff,0x84fd87ff,0x98aeffc8,0x7ec6fffc,
    0xfd802883,0x1880ffff,0x01035100,0x017fffd4,0x37fffe40,0x00027ff4,
    0x400009f3,0x005ffffc,0xffa86f88,0x77ffd47f,0x3e63fc40,0x17fee001,
    0x2fffffec,0x265fffe8,0xf02fffff,0x443fffff,0x4fff986f,0xff11bf20,
    0x7ffd4000,0x0000005f,0xfffe84c4,0x7fe4000f,0x3fee1fff,0x7fe40004,
    0x80009bce,0x02fffff9,0xf882fc80,0xffff87ff,0x0662fc83,0x205ffd00,
    0x4ffffffb,0x2e2ffff8,0xd03fffff,0x647fffff,0x37ffc42f,0x3f21be20,
    0xfff70002,0xaaaa803f,0x91002aaa,0xfffdfffd,0xfa800bff,0xfdadffff,
    0xfe80002e,0x3fffffff,0x3ffff200,0x20ff0007,0xfc87fff8,0x06f885ff,
    0x03ffe200,0x7fffffcc,0xdfff50df,0x7ffffe41,0xfffffb03,0x7fec3fc9,
    0x886b802f,0xffb0006f,0xfff9003f,0xf300ffff,0xfd537fff,0x4001ffff,
    0xfffffff8,0xf300002e,0xffffffff,0xff8805ff,0xedcacfff,0x09f501bd,
    0x361fffe2,0x1fb05fff,0x17fee000,0xffffffd0,0x09ffd3df,0x09fffff7,
    0x53fffff2,0x7ffcc4fa,0x7ec0e007,0x7ffcc000,0x3ffe2001,0x7fcc07ff,
    0x7ffd43ff,0x7f4004ff,0x6406ffff,0x4eeeeeee,0x7fffffe4,0x1effffff,
    0xffffff70,0x7fffffff,0x3e205f70,0x7ffc47ff,0x003f902f,0x100bffa0,
    0xffffffff,0x3e605fff,0xf905ffff,0x3ee9ffff,0x037ffe42,0x000fe400,
    0x009ffff1,0x07ffffe8,0xe83ffff4,0x2007ffff,0xfffffffb,0x3fff2203,
    0x7ffc0bef,0xffffffff,0xfe80ffff,0xdabeffff,0x645fffff,0xffff101f,
    0x206fffc8,0xf88002fa,0xfe9800ff,0xefffffff,0xfffff100,0xffff901f,
    0xfb07f27f,0x50000bff,0xff93005f,0x001dffff,0x81fffffa,0x906ffffa,
    0x803fffff,0xffffdffb,0x7ec00fff,0xfffa80ef,0xffffffff,0xff86ffff,
    0xffc87fff,0x03f62fff,0x5d7fffc4,0x4c03ffff,0xffb8004f,0x3ffa2005,
    0x1effffff,0x5fffffb0,0x5fffffb0,0xfffd03f6,0x9f300009,0xfffffc80,
    0x801fffff,0x207ffffe,0x905ffffe,0x205fffff,0xff52ffe9,0xc80dffff,
    0x54c401ff,0xfffffdca,0x3e24ffff,0xf887ffff,0xfb0fffff,0x3fffe201,
    0x802ffffc,0xfe8004f9,0x7fcc002f,0xffffffff,0xfffff881,0x7fffec0e,
    0xff81fb1f,0x980005ff,0xffda804f,0x06ffffff,0x07ffffe8,0x09fffff1,
    0x0fffffee,0xfd0bffea,0x407fffff,0x220004fe,0xfffffffc,0x3ffffe67,
    0xfffffd06,0x7c407f25,0xdfff77ff,0x8005f500,0x1000fff8,0xffffbff9,
    0x701dffff,0x77dfffff,0x1ffffffd,0xfffd07f2,0x5f50000d,0x7fff4400,
    0x7402ffff,0xf307ffff,0x2e09ffff,0x544fffff,0xff987fff,0x882fffff,
    0x2e00006f,0x50ffffff,0x20dfffff,0x73fffffb,0x3ffe205f,0x00ffffa7,
    0xfb8003f9,0xffd1005f,0x3ffffa6d,0xff304fff,0xffdfffff,0x17dcbfff,
    0x001bfff2,0x20007f20,0x4ffffffd,0x3fffff40,0x4fffffa8,0x9fffff70,
    0x82ffffc4,0xfffffffc,0x0000fe41,0x3ffffee0,0xdfffff52,0x3ffffea0,
    0x3e209f35,0x3ffea7ff,0x0007ec07,0x2200fff6,0x3a23ffff,0x06ffffff,
    0x273bb2a2,0x22fffffa,0x7ffd44f9,0x7ec0000f,0xfffb0000,0xffe80bff,
    0xfff507ff,0x3fee09ff,0x3ff23fff,0xfff106ff,0x2a1fffff,0x7000003f,
    0x3e27ffff,0xf307ffff,0x3fcdffff,0x747fff88,0xdf103fff,0x0fff8800,
    0x0ffffd80,0x7fffff44,0xffd8000f,0xd87f86ff,0x01004fff,0x44000df1,
    0x405fffff,0x307ffffe,0x209fffff,0x21fffffb,0x01fffffe,0xfffffff3,
    0x0000df3d,0x22fffe80,0x307fffff,0x64bfffff,0xffff982f,0x03fffe60,
    0xf7000bf2,0xfff100bf,0x3ffe20ff,0x44003fff,0xc83fffff,0x7fffc42f,
    0x32076200,0x7dc0002f,0x7f403fff,0x3fe07fff,0xff704fff,0x3fe21fff,
    0x2a03ffff,0xffffffff,0x4000000f,0x3f61fffb,0xf880ffff,0x3e23ffff,
    0x2ffffb86,0x2237ffec,0xffd8007f,0xffffa803,0x3ffff606,0x7fdc004f,
    0x0df105ff,0x305fffd3,0x00ff107d,0x3ffff300,0x7ffffe80,0x17ffffa0,
    0x33ffffdc,0x0dffffff,0xffffffc8,0x000000ef,0x3ee3ffcc,0xff01ffff,
    0x4fc83fff,0xffffffb1,0x3fffe23d,0x8007fb0e,0xb800fff8,0x2a05ffff,
    0x003fffff,0x007ffff4,0x3ff209f9,0x00efddff,0x100007fb,0xe801ffff,
    0x3207ffff,0xf905ffff,0x7fc4bfff,0x405fffff,0xfffffffd,0x0001501e,
    0x7cc3ff88,0xf882ffff,0x5fd07fff,0x26666666,0x46666209,0xfa8005fb,
    0xfff3006f,0x7ffc40df,0x3f2002ff,0xfe802fff,0x26f2a602,0x0017ee00,
    0x805fff80,0x207ffffe,0xb06ffffa,0xfe87ffff,0x04ffffff,0x7ffffff4,
    0x707d43ff,0xf70019dd,0xffffd01f,0xbffff109,0x000bfe20,0x0003bee0,
    0x4400fff6,0x7c07ffff,0x9000ffff,0x2005ffff,0x80002ff8,0xdd500efb,
    0x1fff3007,0xfffffd00,0x07fffd80,0xf70dfffd,0xbfffffff,0xffffd503,
    0xdbffffff,0x7fffc47f,0x80ff403f,0x986ffff9,0x2a01ffff,0xb10004ff,
    0xf10003df,0x7ec001ff,0xff501fff,0x3f2007ff,0x54001eff,0xb10004ff,
    0x7ffc03df,0x3ff200df,0xffffd002,0xffff880f,0x0ffffcc2,0xffffffd8,
    0xffdcffff,0xfffffdcf,0x4c6fffff,0x1effffff,0x32017ecc,0x7e42ffff,
    0xfe8803ff,0xfc8800be,0xf50000df,0xfe8800df,0xfff905ff,0xfff9100b,
    0x3a20001b,0xc8800bef,0x3e200dff,0x982effff,0x3fa003ff,0x4400ffff,
    0xfd11effe,0x7ec403ff,0xffffffff,0x3ee0cfff,0xefffffff,0xfffffd80,
    0x1efdcdff,0x3dfff700,0x000fffea,0x357bfff9,0x7fffb953,0x3ffd8000,
    0xfffe9800,0x9fff910c,0xcfffc980,0xff900001,0x953357bf,0x2007fffb,
    0xdffffffc,0x001efdab,0x3fffffea,0xffff7004,0x20019fff,0xffffffea,
    0xff300cff,0x201bffff,0xffffffc8,0x98002dff,0xcefefffd,0xfd710001,
    0xdfffffff,0xff100005,0x7dc0001f,0xefffefff,0xdffd7101,0x10000017,
    0xffffffd7,0x88005dff,0xfffffffd,0x3e2003ef,0xffffffff,0x7953001f,
    0x2a600015,0x20009bcb,0x54002ca9,0x000aacba,0x00bba880,0x65d4c000,
    0x00000aac,0x0000f326,0x04d65d4c,0x00026aa0,0x97530000,0x80001559,
    0x01abcaa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000cb880,0x17bddb71,0x55441e98,
    0x222aaaaa,0x4003dedb,0x0abcdcba,0x3b2e2000,0x400000bc,0x0001aaa9,
    0x988013b6,0x99999999,0x4cc00999,0x01999999,0x3b2a6200,0x06e02bcc,
    0x26666662,0x31000999,0x13333333,0x00032e20,0x809ffff7,0xfdbdfffc,
    0x883ff71f,0x7ffffffc,0xfffffff7,0xfefea803,0x003fffff,0xffecffc8,
    0x36e0002f,0xfffefffe,0xf9000bef,0x7ffdc00f,0xffffffff,0x7ff6c03e,
    0x000fffff,0x3ffffb66,0x2dffffff,0x3fa607e6,0xffffffff,0xfffeb800,
    0xf983ffff,0x3a003fff,0xb107ffff,0xffd85fff,0xf101fffe,0xdf5fffff,
    0x1dfffffb,0xfb83bf20,0x000effff,0x3fe23ffb,0x74c002ff,0x510bdfff,
    0x005ffffb,0x44005ff3,0xfffffffc,0xffe88005,0x3f2000df,0x220aefff,
    0xfeffffb9,0x3ffa201f,0x006fffff,0x807fff62,0x006ffffd,0x5ffffff3,
    0x10dfffd0,0x03ffffff,0x7ffffffc,0x3ffffa63,0x984ffa85,0x805fffff,
    0x7ff47ffd,0xff9000ff,0xff9809ff,0x7fc00dff,0xfffe8004,0x70003fff,
    0x74c005ff,0x7002ffff,0x803fffff,0xffffffe8,0x17fc004f,0x3fffffe0,
    0xffff9801,0x7ffdc3ff,0xffffb03f,0x7fff403f,0xfff984ff,0x37ffc2ff,
    0x2fffffe8,0xd1bffe60,0x8807ffff,0x006ffffe,0x03fffff3,0x54003fe4,
    0x05ffffff,0x400bf700,0x02fffffc,0x0ffffcc0,0x7ffffcc0,0x36002fff,
    0x7ffe400f,0xfff3006f,0x7fc45fff,0xff900fff,0x7f403fff,0xff00ffff,
    0x7fccdfff,0xfffc81ff,0x3ffa04ff,0x7fffec7f,0x7fffec03,0x3ff6000e,
    0xff500fff,0xfffd0003,0xb0001fff,0x3fee001f,0x30003fff,0xf3003fff,
    0xffffffff,0x201f2003,0x002ffff9,0x83fffffe,0x207ffffa,0x01fffffc,
    0x81fffffa,0x50fffffc,0xf709ffff,0x220bffff,0x2a0fffff,0x2e01ffff,
    0x003fffff,0x2fffffcc,0x70009ff0,0x09ffffff,0x1005f880,0x00dfffff,
    0x801ffa80,0xfffffdf9,0x7c800eff,0x0002ea00,0xc8fffffd,0x3206ffff,
    0x201fffff,0x207ffffe,0x21fffffb,0xfb83ffff,0xf504ffff,0xfc83ffff,
    0x3ffe203e,0xe8001fff,0xb02fffff,0xff1000df,0x001fffff,0xfd800fdc,
    0x0003ffff,0xf9801fd8,0xffffffd9,0x007c805f,0xfffc8000,0x7fffec5f,
    0x3ffff206,0x3fffa01f,0x3ffee07f,0x3bfee3ff,0xfffffc80,0xfffff702,
    0x3ffa0005,0x90007fff,0x01ffffff,0x90003ff5,0x07ffffff,0xfb802f40,
    0x000fffff,0x9801f980,0xfffffd1f,0x07c809ff,0xffa80000,0x7fffc3ff,
    0x3fff205f,0x3ffa01ff,0x3fea07ff,0x00c44fff,0x40fffffb,0x03fffffc,
    0xfffffa80,0xff70004f,0xf107ffff,0xff10007f,0x200dffff,0xff8801fa,
    0x0007ffff,0x3e6007a0,0xffffff11,0x03e405ff,0x55555555,0x7fffcc00,
    0x3ffffe61,0x3ffff205,0x3fffa01f,0x3ffea07f,0x7fc005ff,0x3ee04fff,
    0x8005ffff,0x3ffffffb,0xffff3000,0x1bf60bff,0x7fffec00,0x06e801ff,
    0xffffff50,0x0040000d,0x3fe61f98,0x01ffffff,0x7ffe40f9,0x7c007fff,
    0x7ffd47ff,0x3ff205ff,0x3fa01fff,0x3ea07fff,0x2003ffff,0x405ffffb,
    0x06fffffa,0xfffffd80,0xff10002f,0x2e0dffff,0xf98000ff,0x405fffff,
    0xff9002f9,0x000bffff,0x83f30000,0xfffffffb,0x4407c80e,0x007fffff,
    0x3e637fec,0x3205ffff,0x201fffff,0x207ffffe,0x02fffffb,0x037fffa0,
    0x3ffee666,0x09999fff,0x7fffff40,0xff10002f,0x220fffff,0xfd0003ff,
    0x401fffff,0x3ff6006d,0x0003ffff,0x81f98000,0xfffffffc,0xfe807c85,
    0x5c007fff,0x7ffc44ff,0x3ff206ff,0x3fa01fff,0x3ee07fff,0x5000ffff,
    0x3e207fff,0xffffffff,0x204fffff,0xfffffff8,0xfff10001,0x3a03ffff,
    0xff70005f,0x2209ffff,0x3ffe003f,0x0002ffff,0x01f98000,0xfffffffd,
    0xfe807c87,0x4c007fff,0xfffe82ff,0x3fff207f,0x3ffa01ff,0x3ff207ff,
    0x3f6007ff,0x3ffe201e,0xffffffff,0x3e604fff,0x01ffffff,0x3ffffe00,
    0x1ff702ff,0x3fffe000,0x01f907ff,0x3ffffe20,0x000001ff,0xf101f980,
    0x5fffffff,0x7ff403e4,0x7c4007ff,0xffffb80f,0xffff901f,0x7fff403f,
    0x3fffa07f,0x1bf1006f,0xfffff880,0xffffffff,0x3ffe604f,0x0000ffff,
    0x3ffffffe,0x005ff302,0x3fffff20,0x0027c42f,0xfffffff3,0x00000003,
    0x7fcc03f3,0x90ffffff,0xffffd00f,0x20ff000f,0x84fffff8,0x1fffffe8,
    0x3fffffa0,0xfffff883,0x001d7002,0x3ffffee0,0x3ffe2002,0x0001ffff,
    0x3ffffffe,0x0017fa01,0x7fffffc4,0x10007dc6,0x5fffffff,0x30000000,
    0xfffa803f,0x0f96ffff,0x0fffffd0,0x7dc0db00,0xf30cffff,0x03ffffff,
    0x7ffffff4,0x3ffff623,0x00132005,0x2fffff88,0x7ffffc00,0xf10002ff,
    0x01ffffff,0xb0003fe4,0x43ffffff,0xfff8005e,0x8803ffff,0xeeeeeeee,
    0x303eeeee,0xfff9003f,0x0f9bffff,0x0fffffd0,0xfb80b900,0xdfffffff,
    0x01fffffc,0x2ffffffa,0xfffffcff,0x00b6000e,0x3ffffd00,0xffffd800,
    0xf10003ff,0x80ffffff,0x30002ff9,0x2bffffff,0xff8001fa,0x004fffff,
    0x3fffff22,0x2601bfff,0xfffb001f,0x00ffffff,0x00fffffd,0xff700750,
    0x3f27ffff,0x3a01ffff,0xff57ffff,0x0017dfff,0x5c0000c8,0xc8007fff,
    0x04ffffff,0xfffff300,0x09ff00bf,0x7ffff400,0x0005e8ff,0xbffffff9,
    0xffffb000,0x3f3007ff,0x3fffa200,0xe807ffff,0x0007ffff,0x41bb9800,
    0x01fffffc,0x31fffffa,0x00000177,0x6fff9800,0xffff9800,0xf70004ff,
    0x005fffff,0x5c000ff9,0xfdffffff,0xfff30002,0x9000dfff,0x05ffffff,
    0x4c003f30,0x7fffffff,0x7ffffe80,0x40000000,0x01fffffc,0x01fffffa,
    0x00000000,0x1100bfff,0x6fffffd8,0xffffb000,0x3fea00df,0x3ffe0001,
    0x0006ffff,0x3ffffff4,0x7fffdc00,0x1f9801ff,0x7fffd400,0xffe807ff,
    0x000007ff,0x7fffe400,0x3fffa01f,0x0000007f,0x7565d400,0x0f4403ff,
    0x3fffffe2,0xfffe8001,0x3fe002ff,0x3ff20004,0x0003ffff,0x7fffffcc,
    0x7ffdc001,0xf9801fff,0xfffc8001,0xffe807ff,0x75c007ff,0x640000cf,
    0x201fffff,0x007ffffe,0x1f7e4400,0xffffe880,0xa981cfff,0xfffc80fe,
    0x7d4005ff,0x4005ffff,0x220006fd,0x007fffff,0xfffff700,0xfffb800b,
    0xf9801fff,0xfffb0001,0xfffd00ff,0x7fdc00ff,0x640005ff,0x201fffff,
    0x007ffffe,0x7fffec00,0xedffb803,0xffffffff,0x107fffff,0x01fffffd,
    0x7fffff40,0x0ffd4000,0xffffb000,0x7e400007,0x2001ffff,0x1ffffffb,
    0x0001f980,0x00ffffd1,0x00fffffd,0x07fffffc,0xffff9000,0x7fff403f,
    0x2600007f,0x806fffff,0x7fffdc5f,0xffffffff,0x3fffa204,0xfff5004f,
    0xf10003ff,0x7cc0007f,0x00000fff,0x077ffff4,0xfffffb80,0x03fa801f,
    0x1fffe200,0x1fffffa0,0x7ffffc40,0x3f60002f,0x3e02ffff,0x0007ffff,
    0x3ffffea0,0x361fc407,0xffffffff,0x4400ffff,0x404ffffe,0x01effffa,
    0x001bf600,0x0009ffd0,0x3fffee00,0xfffb801e,0xfd801fff,0x7fd40005,
    0xffffe807,0xfffb000f,0x7c4000df,0x80dfffff,0x2ffffffa,0x3ffe0000,
    0xafd804ff,0xffdbffc9,0x03ffffff,0x37fffee0,0xfffb710a,0xf700009f,
    0x7d40001f,0x2000001f,0x9dffffd8,0x7fff5c40,0x7dc00bef,0x20001cff,
    0x7fd407fb,0x3004ffff,0x0005fffd,0xffffffd5,0x3fe29fff,0xefffffff,
    0xffa80004,0xfe9801ef,0x3fea2fff,0x8001ffff,0xfffffeb8,0x01ceffff,
    0x07ff1000,0x0005f800,0xfffb3000,0xffffffff,0xea8017bf,0xefffffff,
    0x20fb0003,0xfffffff8,0x55001fff,0x00000000,0x2a000000,0x01b98001,
    0x00137731,0x99955100,0x00000357,0x50000f2e,0x00000003,0x57999753,
    0x00000033,0x00009000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x776e5400,0x999999ac,
    0x3004c009,0x32ea2000,0x4c480acc,0xaaaaaaaa,0x55554c1a,0x9530002a,
    0x1b803799,0x4cccccc0,0x99999999,0x33333311,0x44133333,0x99999999,
    0x26009999,0x4c199999,0x01999999,0x99880000,0x30199999,0x33333333,
    0x33333333,0x01333333,0xf7bfffd3,0xffffffff,0x13ff6205,0x4007ffd3,
    0xffeffffb,0xfa8f11cf,0xdfffffff,0x7fffed42,0x3ff22003,0xefffffff,
    0x900be22c,0xfffffffb,0x2e9bffff,0xffffffff,0x3fb22eff,0xffffffff,
    0xffd104ef,0xffe8dfff,0x0007ffff,0xfffe9800,0xec81ffff,0xffffffff,
    0xffffffff,0x544fffff,0x7f43ffff,0x02ffffff,0x6c3ffff7,0xe9807fff,
    0x36620cff,0xe887ffff,0x406fffff,0xb1000ffc,0x35bfffff,0xdfffb733,
    0x7dc005ff,0x05ffffff,0xffffffb1,0x7ffd405f,0x000fffff,0x2605ffd1,
    0x007fffff,0x3fe20000,0x6c01ffff,0xceffffff,0xffeccccc,0x3fe24fff,
    0xfffa86ff,0xfb00999f,0x7ffc7fff,0x7ff401ff,0x3fffd404,0x7fffffa8,
    0x9801fd40,0x01dfffff,0x17ffff4c,0x3ffffa00,0x3fe600ff,0x400fffff,
    0x7ffffffa,0x202fdc00,0x007ffffe,0x7fe40000,0x7cc01fff,0x404fffff,
    0x3a4fffd8,0xf884ffff,0xfa805fff,0x3ff21fff,0x7ffe406f,0x07ff9800,
    0x0bfffffa,0xfb800fc8,0x4005ffff,0x4002fffc,0x07fffffd,0xffffffd8,
    0xffffe802,0x3f2001ff,0x7ffff401,0x40000007,0x01fffffc,0x7fffffc4,
    0x49fd3004,0xf03fffff,0x9003ffff,0xdfc887df,0x17ffe601,0x2a07fb80,
    0x205fffff,0xfffa804e,0xfb0005ff,0xffd8005f,0xf9807fff,0x805fffff,
    0x4ffffffb,0x3a01ba00,0x0007ffff,0x7ffdc000,0x7fc401ff,0x2004ffff,
    0xffff34f9,0x3fffe07f,0x0000002f,0x001fffea,0xfffe80fb,0x01f980ff,
    0x7fffffcc,0x0bfa0000,0xfffffb00,0x3fffa00f,0x7c400fff,0x007fffff,
    0xffd007f1,0x00000fff,0xfffffb80,0x7fffc401,0xa6c004ff,0x03fffff9,
    0x007fffff,0x7fe40000,0x3ea003ff,0x3fffee00,0x4406c84f,0x03fffffe,
    0x0017dc00,0x1ffffff6,0x7ffffdc0,0xfffd803f,0xfb802fff,0xffffe800,
    0x40000007,0x01fffffb,0x7fffffc4,0xff25c004,0x3fe07fff,0x00001fff,
    0x3ffff600,0x01f1002f,0x7fffffc4,0x3ee01fc0,0x000fffff,0x20017c40,
    0x07fffffd,0xffffff10,0xffff500f,0x0bd00bff,0x1fffffa0,0xf7000000,
    0x8803ffff,0x04ffffff,0x7e493072,0xff884fff,0xaaa986ff,0x2a60aaaa,
    0xb82aaaaa,0x0cffffff,0xffc80380,0x03ea3fff,0xdfffffd0,0x00b20000,
    0xffffffb0,0x7fffe400,0xfff802ff,0x2600ffff,0xfffd002f,0x676dccff,
    0xdec98001,0xfffff70c,0xffff8803,0x007a04ff,0x30bffff3,0xd509ffff,
    0x43ffffff,0xffffffea,0x7ffffcc0,0x80003fff,0x26fffff8,0x7ffd405d,
    0x00004fff,0x3fff6000,0x3e6007ff,0x405fffff,0xfffffffa,0xe801f203,
    0xff97ffff,0x003fffff,0xfffffff7,0x3fffff75,0xfffff880,0x003f104f,
    0xc81ffff7,0x7f404fff,0xff81ffff,0xff80ffff,0xffffffff,0x7fec0003,
    0x02f8afff,0x7fffffec,0x00000002,0x1ffffff6,0xfffffd00,0x7ffec01f,
    0xf106ffff,0x7fff4009,0xffbcfeff,0x3200ffff,0xda9cffff,0x1fffffef,
    0x7ffffc40,0x003f704f,0x26ffffaa,0xd802fffd,0xd81fffff,0xa80fffff,
    0xffffffff,0x30002eff,0xf7bfffff,0xffffff00,0x0000005f,0x7ffffec0,
    0x7ffdc007,0x7f303fff,0x3ffffffb,0x74003f50,0x20efffff,0x0effffd8,
    0x86ffffa8,0x1ffffffd,0x7ffffc40,0x01ffa84f,0x7ffffe40,0xff9000bd,
    0xffb03fff,0x3ee01fff,0xffffffff,0xe8001dff,0x04ffffff,0xfffffff8,
    0x00000001,0x1ffffff6,0xfffff100,0x2a3f20ff,0x84ffffff,0x7ff4006e,
    0xff880fff,0xffe85fff,0xffe882ff,0x7c401fff,0x514fffff,0x4003fff9,
    0x000312eb,0x07fffff2,0x03fffff2,0xffffffc8,0x02ffffff,0x7ffffd40,
    0x7ffc400f,0x0000ffff,0x3ff60000,0xc8007fff,0x82ffffff,0x3ffffe4f,
    0x001fc47f,0x81fffffa,0x547ffffe,0x2e07ffff,0x401fffff,0xfffffff8,
    0x1fffffff,0x002fe980,0xfffff900,0xfffff903,0xffffb801,0xffffffff,
    0x7fffc003,0xfff9806f,0x0001ffff,0x3ff60000,0x98007fff,0x45ffffff,
    0x3fff21fa,0x03ee2fff,0xfffffd00,0x7ffffe40,0x1bffff20,0x1fffffb8,
    0x7ffffc40,0xfffffcef,0x1ffe801f,0xfff90000,0xfff903ff,0xfb1001ff,
    0xffffffff,0x7e4005ff,0xf9802fff,0x02ffffff,0x36000000,0x007fffff,
    0xffffffd0,0x3fe63741,0x17a5ffff,0x3ffffa00,0x3fffee07,0x3ffff62f,
    0x3fffee06,0x7ffc401f,0x3b264fff,0x7fcc01ff,0x99999bef,0x3fff2001,
    0xfffc81ff,0x366000ff,0xffffffff,0x3fe2006f,0xfff000ff,0x0007ffff,
    0x7fec0000,0x70007fff,0x27ffffff,0xfffe82f9,0x02f98fff,0x7ffffe80,
    0x3ffffee0,0x17ffffe4,0x1fffffb8,0x7ffffc40,0x01ff884f,0x7fffffe4,
    0xdfffffff,0x3ffff203,0xffffc81f,0xfe98000f,0x3fffffff,0x013ff600,
    0xfffffff8,0x00000004,0x1ffffff6,0x7fffc400,0x2e0f97ff,0xdbffffff,
    0xfffd0007,0x7ffd40ff,0xffff15ff,0x7ffdc0bf,0x7fc401ff,0xf504ffff,
    0xffffb803,0xffffffff,0xfc80efff,0xfc81ffff,0x06c0ffff,0xffffea80,
    0x3e6004ff,0x3ff6001f,0x0006ffff,0x3ff60000,0x20007fff,0xbffffffc,
    0xffff103f,0x0009ffff,0x81fffffa,0x34fffffa,0x40bfffff,0x01fffffb,
    0x7fffffc4,0xf1007e04,0xffffffff,0xdfffffff,0x3fffff90,0x1fffff90,
    0x7ec003d8,0x4006ffff,0x7fcc006e,0x0007ffff,0x6c06e200,0x007fffff,
    0x3ffffe60,0x3f200fff,0x01ffffff,0xfffffd00,0x7ffffd40,0xbfffff32,
    0x7ffffdc0,0x7fffc401,0x007604ff,0x3fffffa6,0xffffffff,0x7ffe40ff,
    0xfffc81ff,0x002ec0ff,0x1bffffa2,0xd0005f00,0x01ffffff,0xfff90000,
    0xfffffb0b,0xffe8000d,0x4c05ffff,0x06ffffff,0x3ffffa00,0x3fffea07,
    0xfffff10f,0x7fffdc0d,0x7ffc401f,0x07204fff,0x777ffdc0,0xffffffee,
    0x7ffe42ff,0xfffc81ff,0x007ec0ff,0x13fffe60,0x70007a80,0x09ffffff,
    0x7fc41000,0x7fec1fff,0x40006fff,0x1ffffffb,0xfffffe80,0x3ffa0003,
    0x3fee07ff,0x7fffc7ff,0x3ffee07f,0x7fc401ff,0x0204ffff,0x007ffaa0,
    0x707fffa6,0x903fffff,0xd81fffff,0xfff8005f,0x20675c2f,0x3f60004d,
    0x0007ffff,0xffff72c4,0xffffd87f,0x7c40004f,0x7006ffff,0x001fffff,
    0x3fffff40,0x8bffff90,0x00fffffe,0x03fffff7,0xffffff88,0x3fe20004,
    0x37fc002f,0x0fffffdc,0x3fffffa2,0x0017fec0,0xfa83fffe,0x003e24ff,
    0xfffff880,0xdf10004f,0x07ffffd4,0x0bfffffa,0x3fff2000,0xfff1003f,
    0xfe8000bf,0x3f607fff,0x7fd42fff,0xffb03fff,0xf8803fff,0x005fffff,
    0x00bffe60,0xf984ff88,0x7f43ffff,0x6c0fffff,0xf3001fff,0xfffd85ff,
    0x20001727,0x3ffffff9,0x10f7d400,0xff09ffff,0x0001dfff,0x01ffff30,
    0x017ffec0,0x3ffffa00,0xffff880f,0xffffff05,0xfffffb81,0x7ffc402f,
    0x40005fff,0x8800fffe,0x3ffa05fe,0xefeaafff,0x6c1fffff,0xe803ffff,
    0xfffb84ff,0x0000fb9f,0xfffffb10,0x7ecc4019,0x83fff505,0x01fffff9,
    0x13ffa000,0x00fff500,0xfffffd00,0x1dfff909,0x3ffffea0,0xffefb88c,
    0x7cc05fff,0x006fffff,0x6fffec40,0xfdbaa9aa,0x7ffcc02f,0xfc9effff,
    0x360cffff,0x0aefffff,0x881fff4c,0x03ffffff,0xfffb8000,0xcaacdfff,
    0x6402fffe,0xfe98aeff,0x00001fff,0x4000ffdc,0xe80004ff,0x0bffdeff,
    0x801dfff5,0xfffffffa,0xfffffbaf,0xffe883ff,0x003fffff,0xffeec880,
    0x00abceff,0xbffffd50,0x3fffff21,0x511db1ff,0xffddfff9,0xfc9801bf,
    0x000002ef,0x3ffff6a2,0x0dffffff,0xffffd300,0x0003bfff,0x000bf100,
    0x200007f2,0x3ffea3fe,0x2003ffff,0x2fffffea,0x359dfff7,0xfffffee8,
    0x3effffff,0x00040000,0x000ab980,0x32ea0170,0x000009bc,0x98800000,
    0x01abccba,0x2f2ea600,0x4000000a,0x0730001b,0x2202e000,0x0001acb9,
    0x35306ea2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33333333,0x01333333,
    0x33333331,0x4ccccc33,0x99999999,0x99999999,0x4ccc4099,0x99999999,
    0x26600001,0x99999999,0x00000999,0x02a02a98,0x99999998,0x01999999,
    0x26666662,0x99981999,0x99999999,0x31000009,0x00333333,0x33333100,
    0xb0000133,0xfffffffd,0x903bdfff,0xdffffffd,0x3fffb229,0xffffffff,
    0xffffffff,0x7f6cc2ff,0xffffffff,0x1bdeffff,0x7fff6c00,0xffffffff,
    0x0aceffff,0x7fff4400,0x807e60be,0xffffffec,0x205fffff,0xffffffec,
    0x7f6446ff,0xffffffff,0x1ceeffff,0x7fffdc00,0x40001fff,0xfffffffa,
    0x3a200002,0x0effffff,0x1fffd100,0x7ffff440,0xccccceff,0x2fffffec,
    0x3ffffe60,0xffdccdff,0x4004ffff,0xffffffe8,0xffffdccc,0x3e001eff,
    0xdfffffff,0xfb000fec,0x05ffffff,0x7ffffcc0,0xfffe8802,0xecccdfff,
    0x00cfffff,0xfffffd10,0xfd100003,0x0005ffff,0xfffffb80,0x7fc4003f,
    0xffffa802,0x7f5404ff,0x7fe402ff,0xea81ffff,0x001effff,0x3fffffea,
    0xfffffd82,0xfffb802f,0xffffffff,0x3ffe6006,0xe8006fff,0x2e000dff,
    0x83ffffff,0x2fffffe9,0xfffff900,0x3f200003,0x0002ffff,0x7ffffd40,
    0x0ff8003f,0xfffff980,0x5ff9004f,0xfffffb80,0xfffb101f,0x3e6009ff,
    0x902fffff,0x05ffffff,0xfffccfd8,0x002fffff,0x3fffffe2,0x27fd4005,
    0x7fffd400,0x3ff203ff,0xfb805fff,0x0001ffff,0x5fffff70,0xffa80000,
    0x8002ffff,0xfff3007e,0x6c009fff,0x7ffdc02f,0x3e201fff,0x803fffff,
    0x2ffffff9,0x3fffffe0,0x36a1f405,0x4002ffff,0x5ffffff8,0x00bfea00,
    0x7ffffcc0,0x7fff403f,0x7fdc04ff,0x00001fff,0x05fffff7,0xfffa8000,
    0xd8002fff,0xffff1007,0x7cc009ff,0x7fffdc02,0x7fd401ff,0x4c01ffff,
    0x02ffffff,0x3ffffff6,0x19802a00,0xffff1000,0x3ee009ff,0x3e60001e,
    0x403fffff,0x2ffffff9,0x3ffffee0,0xff700001,0x00005fff,0xffffffa8,
    0x007d8002,0x9ffffff1,0x00ba06a0,0x3ffffff7,0xffffff00,0xffff980d,
    0x3fee02ff,0x0002ffff,0xfff10000,0xfb009fff,0xf980001b,0x803fffff,
    0x0ffffffe,0x3fffff70,0x3fee0000,0x00002fff,0x7fffffd4,0x007d8002,
    0x9ffffff1,0x00b20b60,0x3ffffff7,0xfffff900,0x7ffcc05f,0x3f202fff,
    0x002fffff,0xff100000,0x4409ffff,0x300004fe,0x07ffffff,0xffffff70,
    0x3fffee09,0xf700001f,0x0005ffff,0xfffffa80,0x07d8002f,0xffffff10,
    0x0220ba09,0xffffff70,0xffff5003,0x7fcc0bff,0x3a02ffff,0x21ffffff,
    0xaaaaaaa9,0x02fb6e60,0xfffff880,0x05ff304f,0x7ffcc000,0xf8803fff,
    0x707fffff,0x883fffff,0xaaaaaaaa,0xfffffb80,0x02fbb262,0xfffff500,
    0x0fb0005f,0x3ffffe20,0x002f884f,0xffffff70,0x3fffe003,0xff300fff,
    0x7c05ffff,0x4c5fffff,0x2ffffffe,0x7ffffff9,0x3fffe200,0x1efb84ff,
    0x7fcc0000,0xd003ffff,0x05ffffff,0x83fffff7,0xefffffc8,0xffffb80c,
    0xfffff92f,0x7fd4005f,0x8002ffff,0xfff1007d,0x5f909fff,0x3ffee000,
    0xff001fff,0x207fffff,0x2ffffff9,0xdfffffb0,0x3ffff601,0xfffffdbf,
    0xf8800fff,0x644fffff,0x800000ef,0x3ffffff9,0xfffffb00,0xffff709f,
    0x3ffe603f,0x7fffdc03,0xfffffdbf,0xf5000fff,0x005fffff,0x3e200fb0,
    0x544fffff,0xf70002ff,0x003fffff,0x3ffffffa,0xfffff304,0xfffe885f,
    0x3ee00dff,0x31efffff,0x00bfffff,0x9ffffff1,0x00bfffa2,0x3ffe6000,
    0xfb003fff,0x70bfffff,0x203fffff,0xfb801ffa,0x31efffff,0x00bfffff,
    0x3fffffea,0x007d8002,0x9ffffff1,0x05fff931,0x3fffee00,0xffb001ff,
    0x2609ffff,0xccffffff,0xbeffffdc,0xffffb801,0x7ffec0ff,0xfff8807f,
    0xffe9cfff,0x40000fff,0xfffdccc8,0xccccdfff,0x7fffe42c,0xfffb86ff,
    0x03fd01ff,0x3ffffee0,0x7fffe40f,0xffff5007,0xfb0005ff,0x3fffe200,
    0xffffffff,0xff70002f,0x2003ffff,0x5ffffffd,0xffffff30,0xffffffff,
    0xff70015b,0xff905fff,0xf8801fff,0xffefffff,0x00efffff,0x3fffe600,
    0xffffffff,0x7dc4ffff,0xb87fffff,0xd81fffff,0x3fee001f,0xffc82fff,
    0xfa800fff,0x002fffff,0xff1007d8,0xfd9dffff,0x20005fff,0x1ffffffb,
    0xfffff900,0x3ffe60bf,0xca99bfff,0x1dffffff,0x3ffffee0,0xfffffb82,
    0x7fffc401,0xffffefff,0x00005fff,0x3fffffe6,0xffff7003,0xfff70fff,
    0x01fd83ff,0x7ffffdc0,0xfffffb82,0xffffa801,0x7d8002ff,0xfffff100,
    0x17ff449f,0xffffb800,0xffb001ff,0x2609ffff,0x82ffffff,0xffffffe8,
    0xfffff703,0xfffff705,0xffff8803,0xffff95ff,0x00007fff,0x3fffffe6,
    0xffff9003,0xfff70bff,0x027ec3ff,0x7ffffdc0,0xfffffb82,0xffffa801,
    0x7d8002ff,0xfffff100,0x02ff889f,0xfffff700,0x3ffa003f,0xf303ffff,
    0x205fffff,0xffffffe8,0xfffffb82,0xfffffb82,0x7fffc401,0x3fffa4ff,
    0x0002ffff,0xffffff98,0xffffb003,0xfff709ff,0x3fff63ff,0x7ffdc001,
    0xfffb82ff,0xffa801ff,0x8002ffff,0xfff1006e,0x5f509fff,0x3ffee000,
    0xff001fff,0x203fffff,0x2ffffff9,0x3ffffe60,0x7ffdc0ff,0xfffb82ff,
    0x7fc401ff,0x3e24ffff,0x0fffffff,0x7ffcc000,0xfb003fff,0x707fffff,
    0xfb5fffff,0xb800dfff,0xb82fffff,0x801fffff,0x2ffffffa,0x1006e800,
    0x09ffffff,0x2e0005f1,0x01ffffff,0xfffffff0,0x3fffe601,0x7ffc02ff,
    0x7dc3ffff,0xfb82ffff,0x4401ffff,0x44ffffff,0xfffffff9,0x3e60000e,
    0x003fffff,0x3ffffffd,0xffffff70,0x09ffffff,0x7ffffdc0,0xfffffb82,
    0xffff9801,0x6f8002ff,0xfffff100,0xb80ba09f,0xfffff702,0xfff1003f,
    0x7cc0dfff,0x402fffff,0x4ffffffd,0x17ffffdc,0x0fffffdc,0x3ffffe20,
    0xffffb84f,0x20005fff,0x3ffffff9,0xffffff00,0xffff701f,0xfffff5ff,
    0x3fee003f,0xffb82fff,0xf9801fff,0x003fffff,0xff1005f8,0x3209ffff,
    0x7dc07e02,0x801fffff,0x2ffffffb,0x3ffffe60,0x7ffdc02f,0x7fdc5fff,
    0xffb82fff,0x7c401fff,0x904fffff,0x7fffffff,0x3ffe6000,0xf9803fff,
    0x703fffff,0x2e5fffff,0x006fffff,0x05fffff7,0x03fffff7,0xffffff10,
    0x03f98007,0xffffff10,0x40f50009,0x1ffffffb,0xfffffe80,0x7fffcc05,
    0x7fec02ff,0x7dc3ffff,0xfb82ffff,0x4401ffff,0x04ffffff,0x3ffffffa,
    0xff98001f,0xd803ffff,0x206fffff,0x21fffffb,0x04fffffd,0x2fffffb8,
    0x1fffffb8,0xfffffd00,0x02fc800b,0xffffff10,0x40fd0009,0x1ffffffb,
    0x7ffffd40,0x7ffcc00f,0x7fc02fff,0x5c2fffff,0xb82fffff,0x401fffff,
    0x4ffffff8,0x3ffffe20,0x4c000fff,0x03ffffff,0x7fffffc4,0x3fffee01,
    0x3fffe21f,0x7fdc02ff,0xffb82fff,0xf7001fff,0x400dffff,0x3e6006f9,
    0x004fffff,0xff702fec,0xe803ffff,0x803fffff,0x2ffffff9,0x3ffffe60,
    0xffffb86f,0xffffb82f,0x7ffc401f,0x7d405fff,0x0effffff,0x3fffe600,
    0x7fe403ff,0x7dc04fff,0x7dc1ffff,0x200fffff,0x82fffffb,0x01fffffb,
    0xffffff10,0x05ff100b,0x7ffffcc0,0xffb1004f,0x7fffdc09,0x3ff202ff,
    0xf3002fff,0x205fffff,0xfffffff9,0xfffffb80,0xfffffc82,0x7fffc401,
    0xffc805ff,0x006fffff,0x3fffffea,0x3fffee03,0xfffb803f,0xfffd82ff,
    0x3fee05ff,0xffb82fff,0x26002fff,0x0cffffff,0x003fea88,0x7fffffd4,
    0x3fee200e,0x3ff203ff,0xd883ffff,0x000effff,0x3fffffea,0xfffff985,
    0xfff901ef,0xfff907ff,0xff9805ff,0x8806ffff,0xffffffff,0xfffb800d,
    0xff905fff,0x32003dff,0x982fffff,0x03ffffff,0x07fffff9,0x05fffff9,
    0xffffea80,0xffebceff,0x7f44003f,0xdeffffff,0xfffedccc,0xff502fff,
    0x9bffffff,0x5bffffdb,0xfffe9800,0xfdceffff,0x02efffff,0x3fffffa6,
    0x3fffe60e,0xfd100dff,0x07ffffff,0xffffff98,0x300aefff,0xffffffff,
    0xffffdb9d,0x7f4c007b,0xe80dffff,0x42ffffff,0xefffffe9,0x3ffffe60,
    0xfc8000df,0xffffffff,0xfd1000cf,0xffffffff,0xffffffff,0x43ffffff,
    0xffffffea,0xffffffff,0x744002ce,0xffffffff,0xdeffffff,0x7fdc02bc,
    0x9fffffff,0xfffffffa,0x3ffba1ff,0xffffffff,0x3ffe20ef,0xffffffff,
    0xffd32fff,0xffffffff,0x15bdffff,0xffffb800,0x3a2fffff,0xffffffff,
    0xffffff76,0xfff53fff,0x03ffffff,0x3332a600,0x000009ab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666660,0x99999999,0x99999999,0x00000999,
    0x1000000e,0x0179b975,0x33333333,0x01333333,0x66544000,0x3333000a,
    0x13333333,0x99998000,0x41999999,0x99999999,0x00009999,0x20750000,
    0x99999999,0x33331019,0xeec80003,0xffffffff,0xffffffff,0x03ffffff,
    0x001f3000,0x3bfea000,0x221ffffb,0xffffffec,0x03deffff,0xfffd8800,
    0x2201efff,0xffffffec,0x20004fff,0xfffffffa,0xdd10ceff,0xffffffff,
    0xdfffffff,0x4000037b,0xff06ffb8,0xffffffff,0xfffffd01,0x3f200001,
    0xffffffff,0xfecccccd,0x0003ffff,0x00009fb0,0x361fffb0,0xfd105fff,
    0x03ffffff,0x7ffcc000,0x1fffffff,0xffffe880,0x20007fff,0xfffffffe,
    0x7ff4400f,0xcaacffff,0xefffffec,0x3f220001,0xf9106fff,0x805fffff,
    0x0001eff8,0x3feffe60,0x2202ffff,0x0003fffd,0x000fff88,0x9ffff200,
    0x500ffffd,0x09ffffff,0x7ffc4000,0xffffffff,0xfffa802f,0x002fffff,
    0xffffef98,0xff7003ff,0x2e03ffff,0x02ffffff,0x7fffe4c0,0x7ff406ff,
    0xff802fff,0x7e400000,0xffffffaa,0x03ffc802,0x3fffc800,0xfff30000,
    0x2fffdcdf,0xffffff30,0x7f400007,0xffffffff,0xf9807fff,0x6ffffffc,
    0xffbfc800,0x5002ffff,0x03ffffff,0x7fffffd4,0xfffd9801,0x406fffff,
    0x04fffffb,0x000027c4,0x7ffd57e6,0xf9002fff,0xff880007,0x700006ff,
    0xc98dffff,0x7fffcc01,0x500003ff,0xfd735bff,0x03ffffff,0xfffeaf98,
    0x22001fff,0xfffffadf,0xfff5002f,0xfd803fff,0xd806ffff,0xfffffa9b,
    0x7ffc406f,0x0fdc07ff,0x43f60000,0x2ffffffa,0x0007f100,0x2fffffb8,
    0xfffc8000,0xff30006f,0x0007ffff,0x7e403ba0,0x404fffff,0xffffaaf9,
    0x3ee005ff,0xffffffa9,0xffff5002,0xffb803ff,0x4001ffff,0x06fffffa,
    0x2fffffd8,0x00001b60,0x7ffd47f5,0xb0702fff,0xffe80007,0x80006fff,
    0x007ffffe,0xffffff30,0x1f300007,0xfffffe80,0xfe97cc05,0x000fffff,
    0x3fffeadd,0xff5002ff,0xa803ffff,0x03ffffff,0x7ffffcc0,0xffffa806,
    0x007f105f,0x2a37c400,0x82ffffff,0x0003b868,0x3fffffea,0x7f40001f,
    0x30007fff,0x07ffffff,0x50011000,0x809fffff,0xffff72f9,0x5f3009ff,
    0x3fffffea,0xffff5002,0xff9803ff,0x4004ffff,0x06fffff9,0x1ffffff0,
    0x00003f70,0x3fea0fe4,0x6a82ffff,0x7f400010,0x05ffffff,0xffeaa980,
    0x002aafff,0x3fffffe6,0x20000003,0x03fffff9,0xfff897cc,0x7c807fff,
    0x3fffffea,0xffff5002,0xffa803ff,0x4003ffff,0x06fffff9,0x7fffff90,
    0x40000db0,0xfffa84f9,0x06c82fff,0x75fcc000,0x00ffffff,0x7ffffe40,
    0x005fffff,0x3fffffe6,0x20000003,0x01fffff8,0xfff917cc,0x7c405fff,
    0x3ffffea4,0xfff5002f,0xfc803fff,0x001fffff,0x37ffffcc,0xfffff980,
    0x0001fc46,0x3fea0dd0,0x7c42ffff,0xbec00006,0x4ffffffb,0x7fe65400,
    0x03ccffff,0x3ffffe60,0x0000003f,0x01bfffe6,0xfff98be6,0x3ee06fff,
    0x3ffffea0,0xfff5002f,0xfe803fff,0x000fffff,0x37ffffcc,0xffffff00,
    0x00007dc1,0xff502fb8,0xfc85ffff,0x3e200006,0xffffff14,0x7ff4000f,
    0xf30007ff,0x007fffff,0x7fd40000,0x2f9803ff,0x7fffffec,0xffa8bd01,
    0x5002ffff,0x03ffffff,0x7fffffcc,0xfff98002,0x3f2006ff,0x1ba3ffff,
    0x02fc4000,0x5ffffff5,0x00dffd51,0xf907e400,0x007fffff,0x1fffffa0,
    0x7fffcc00,0x000003ff,0x01bfff20,0x3fea17cc,0xfa85ffff,0x7ffffd42,
    0xfff5002f,0x3ea03fff,0x004fffff,0xdfffff30,0x7fffcc00,0x0007f16f,
    0xfa803f60,0xffffffff,0x00006fff,0xfff989f1,0xd0006fff,0x000fffff,
    0x3fffffe6,0x20000003,0x3001ffff,0xffffd05f,0xa86d81ff,0x02ffffff,
    0xffffff50,0xffb75535,0x0003bfff,0x37ffffcc,0x3ffffa00,0x0000fb9f,
    0xccccefa8,0xffffdccc,0xfffdbcff,0x3f700006,0xffffffb0,0xfffd0005,
    0x3e6000ff,0x003fffff,0xfff50000,0x417cc007,0x3ffffffb,0x3fea0fe2,
    0x5002ffff,0xffffffff,0xbfffffff,0xff300003,0xb800dfff,0x6ecfffff,
    0xfff88000,0xffffffff,0x22ffffff,0x00006ff9,0x3ffea0bd,0xe8005fff,
    0x0007ffff,0x7ffffff3,0x3a000000,0x7cc005ff,0xfffff882,0x2a03ee7f,
    0x02ffffff,0xffffff50,0xfffffb35,0x300001df,0x20dfffff,0xfeeeeeee,
    0xefffffff,0x000eeeee,0xff5003f9,0xf985ffff,0x2fa80006,0x3fffffa0,
    0x7ff4001f,0xf30007ff,0x007fffff,0xdff70000,0x02f98001,0x5ffffff9,
    0x7ffd413e,0xf5002fff,0x223fffff,0x4ffffffe,0xfff98000,0xdddd06ff,
    0xfffffddd,0xddddddff,0x09f3001d,0x3ffffea0,0x0006d82f,0x7fdc06e8,
    0x4004ffff,0x007ffffe,0xffffff30,0x88000007,0x98000eff,0xffff302f,
    0x203f5dff,0x2ffffffa,0xfffff500,0x7fffcc3f,0x40002fff,0x06fffff9,
    0xfffffb80,0x06e80005,0x3ffffea0,0x0006b82f,0x666677cc,0xffffdccc,
    0x3a000fff,0x0007ffff,0x7ffffff3,0x20122000,0x30001ffd,0x7ffec05f,
    0x2a06efff,0x02ffffff,0xffffff50,0xfffffc83,0x260000ff,0x006fffff,
    0x5fffffa8,0x00fdc000,0xffffff50,0x1540d305,0x3fffff60,0xffffffff,
    0x2003ffff,0x007ffffe,0xffffff30,0x012e0007,0x00803ff7,0xffa80be6,
    0x202fffff,0x2ffffffa,0xfffff500,0xffffd03f,0x4c000bff,0x006fffff,
    0x5fffffa8,0x017e2000,0xffffff50,0x02e81a05,0x7c400fe2,0x007fffff,
    0x01fffffa,0x7ffffcc0,0x09d0003f,0x3400ffcc,0xfe805f30,0x5407ffff,
    0x02ffffff,0xffffff50,0xfffff103,0x260007ff,0x906fffff,0xfb999999,
    0x999dffff,0x6c019999,0x7fd4000f,0x4002ffff,0x03f201fa,0xfffffd80,
    0xfffd002f,0x3e6000ff,0x003fffff,0xff103f98,0x4c0d9003,0x7ffdc02f,
    0x7fd403ff,0x5002ffff,0x03ffffff,0x3fffffee,0xff98001f,0xfff06fff,
    0xffffffff,0xffffffff,0x0fea01ff,0x3fffea00,0x3ec002ff,0x98009f10,
    0x06ffffff,0x0fffffd0,0x3fffe600,0xfd8003ff,0x5559fd02,0x9fd75555,
    0x22017cc0,0x400fffff,0x2ffffffa,0xfffff500,0x7ffec03f,0x98006fff,
    0x006fffff,0x5fffffa8,0x006f8800,0xffffff50,0x037dc005,0xfd0005f9,
    0x005fffff,0x00fffffd,0x3ffffe60,0x7fdc003f,0xfffffc81,0xffffffff,
    0x200be603,0xa805fffc,0x02ffffff,0xffffff50,0x7fffc403,0x4c004fff,
    0x006fffff,0x5fffffa8,0x003fd800,0xffffff50,0x17ff6007,0x40007fc4,
    0x6ffffffb,0x7ffffe80,0xffff3000,0x7dc009ff,0x7ffdc0ff,0xffffffff,
    0x3e601fff,0x1fff9802,0xfffffb80,0xfff5002f,0xfa805fff,0x02ffffff,
    0x3ffffe60,0xfffb8006,0x7dc006ff,0xff70003f,0x440bffff,0xd04fffea,
    0xf10003ff,0x07ffffff,0x07fffff8,0xfffff500,0xfc9801df,0x7ffcc7ff,
    0xffffffff,0x3200ffff,0x0dfb006f,0x3fffff20,0xfff7003f,0xf9007fff,
    0x01ffffff,0x3ffffee0,0x7fe4000f,0x91007fff,0x8003dfff,0xfffffff9,
    0xfecccdef,0x543fffff,0x000dfffe,0x7fffffdc,0xfff502ff,0x40017fff,
    0xfffffff9,0xdcccccef,0x27ffffff,0xfffffff8,0xffffffff,0x33ffee06,
    0x401fd401,0xfffffffa,0x7ffcc01f,0x801fffff,0xeffffffe,0x7fffd402,
    0x7000dfff,0x9fffffff,0x7fffd401,0xd503ffff,0xfffffffd,0xffffffff,
    0x5fffffff,0x7fffffe4,0x3faa03ef,0xffffffff,0xfff70fff,0xbfffffff,
    0x7ffff440,0xffffffff,0xffffffff,0x3ffa6fff,0xffffffff,0x445fffff,
    0xfffffffe,0xe981a02f,0xffffffff,0xd11effff,0xffffffff,0x201dffff,
    0xfffffff9,0x7fff647f,0xffffffff,0xfffed85f,0xffffffff,0x0000004e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4ccccc00,0x99999999,0x33333109,0x33333333,0x4cccccc3,
    0x00999999,0x33333300,0x33333333,0x97000000,0x1300c409,0x99999980,
    0x99999999,0x09999999,0x4cccccc4,0x00999999,0x4cccccc4,0x4ccccc19,
    0x99999999,0x99999880,0x4cc09999,0x99999999,0x26609999,0x20199999,
    0x3b202dd9,0xffffffff,0xdb32dfff,0xffffffff,0x3b619dff,0xffffffff,
    0xbceeffff,0x3ff72200,0xffffffff,0x4000004d,0xff907ffb,0x27ff441d,
    0xffffffa8,0xffffffff,0x3fffffff,0x7fffffdc,0x03efffff,0x7fffff4c,
    0x3fffa0ef,0xffffffff,0xfffec83e,0x222effff,0xffffffec,0x22deffff,
    0x7ffffffe,0x09ffff90,0xfffffe88,0x7fcc02ff,0x00efffff,0x7fffffec,
    0xffffedcd,0xffe800cf,0x0006ffff,0xffff3000,0x47ffff30,0xb81ffffb,
    0xabdfffff,0xfffaaaaa,0x2a06ffff,0xffffffff,0x7fec4001,0xffff301e,
    0x003fffff,0x019ffff5,0xfffffe88,0x3fea02ff,0xfff07fff,0xf9801fff,
    0x005fffff,0x7ffffff9,0xfffff300,0xffffa87f,0x7fd402ff,0x0002ffff,
    0xfffe8800,0x5ffffb87,0x20fffff6,0x400bfffb,0xfffffffb,0x7fffdc01,
    0xa8001fff,0x7fcc01ff,0x00ffffff,0x4007ffd0,0x5ffffffa,0x7ffffe80,
    0xffffff98,0x7fffcc02,0xff7004ff,0x1005ffff,0x07ffffff,0x3ffffff5,
    0x7ffffcc0,0x8000001f,0x887ffffd,0x3ea2ffff,0xffc80fff,0xffff8801,
    0xfd004fff,0x009fffff,0x2e007f90,0x4fffffff,0x8009ff00,0x4ffffff9,
    0x7ffffe80,0x1ffffff0,0xfffff880,0xfff7004f,0x3e003fff,0xb03fffff,
    0x40dfffff,0x1ffffff9,0x7d400000,0xd707ffff,0x07df909f,0x7ec00bf6,
    0x00ffffff,0xffffff30,0x37c4001f,0x3ffffa00,0x7dc01fff,0xfff98005,
    0xfd804fff,0xff907fff,0xff1009ff,0x2009ffff,0x1ffffffb,0xffffff00,
    0x3fffee07,0xfff301ff,0x00003fff,0x7ffffc40,0x2000007f,0xfff3005e,
    0x8005ffff,0x5ffffffd,0x0007f600,0xfffffff1,0x0077cc0d,0x7ffffc40,
    0xfffd804f,0x0b76607f,0x7ffffc40,0xfff7004f,0x3e003fff,0x503fffff,
    0x05ffffff,0x3fffffe6,0x2bceeeee,0x7f7f4000,0x00007fff,0x7f400ba0,
    0x006fffff,0xffffff88,0x04f9801f,0xfffff700,0x03fa09ff,0x7fffc400,
    0xffd804ff,0x400007ff,0x4ffffff8,0xfffff700,0x3ffe003f,0xff303fff,
    0x2609ffff,0xeeffffff,0x3fffffff,0xfdafc800,0x00007fff,0x7fdc01a0,
    0x001fffff,0xffffff90,0x001fd00b,0x7ffffec0,0x00fec1ff,0xfffff100,
    0xfffb009f,0x880000ff,0x04ffffff,0xffffff70,0x3fffe003,0xfff503ff,
    0x3e607fff,0x221fffff,0x0efffffd,0x3f69f500,0x2aa07fff,0x802aaaaa,
    0xffff8800,0x20004fff,0xfffffff8,0x000bee02,0xffffff10,0x001fdcdf,
    0x3ffffe20,0xfffd804f,0x4400007f,0x04ffffff,0xffffff70,0x3fffe003,
    0xfff703ff,0x3e603fff,0xd81fffff,0x00efffff,0xfffb37c4,0x7ffe40ff,
    0x00007fff,0xdffffffb,0xfff70000,0x3e20dfff,0xff500006,0xf57fffff,
    0xff100009,0xb009ffff,0x000fffff,0xfffff880,0xfff7004f,0x3e003fff,
    0xb03fffff,0x40dfffff,0x1ffffff9,0xffffff88,0xfb0ff404,0xf880ffff,
    0x0007ffff,0xffffffa8,0xfd00002f,0x905fffff,0x6c00003f,0xffffffff,
    0xff100005,0xb009ffff,0x000fffff,0xfffff880,0xfff7004f,0x3e003fff,
    0x983fffff,0x02ffffff,0x3fffffe6,0xfffffd01,0xb0ff201f,0xd00fffff,
    0x000fffff,0xffffff88,0x2a00005f,0x46ffffff,0x400004f9,0xfffffff8,
    0xf100000f,0x009fffff,0x00fffffb,0xffff8800,0xaaaaadff,0xfffdaaaa,
    0xff001fff,0xe987ffff,0x403fffff,0x1ffffff9,0xffffffb0,0xfb0bf503,
    0xfd00ffff,0x8000ffff,0xfffffffc,0x7f400000,0x3a3fffff,0xa800000f,
    0x4fffffff,0xfff10000,0xfb009fff,0x1980ffff,0x3fffe200,0xffffffff,
    0xffffffff,0xff001fff,0x975bffff,0x03dfffff,0xffffff30,0x3fffee03,
    0x077c42ff,0x03ffffec,0x03fffff4,0xfffff300,0x000007ff,0xfffffff5,
    0x00005f51,0x7ffffec0,0x880001ff,0x04ffffff,0x07ffffd8,0x001dffd5,
    0xbffffff1,0x55555555,0xffffffb5,0x3fffe003,0xffffffff,0x3e6001de,
    0x701fffff,0x83ffffff,0xfffb01fd,0xfffd00ff,0x7f4000ff,0x006fffff,
    0x3fff6000,0x006fcfff,0x7ffc4000,0x0006ffff,0xffffff88,0xffffd804,
    0xfffff887,0x7ffc400f,0xf7004fff,0x003fffff,0x33fffffe,0x20001999,
    0x1ffffff9,0xffffffb0,0x3f603fb8,0xfe807fff,0x70007fff,0x3fffffff,
    0x7cc00000,0x1fffffff,0xfb800000,0x04ffffff,0x7fffc400,0xffd804ff,
    0xfffc87ff,0x7c404fff,0x004fffff,0x3ffffff7,0x3ffffe00,0x2600003f,
    0x01ffffff,0x4bfffffd,0x7fec05f9,0xffe807ff,0xf88007ff,0x04ffffff,
    0xffd80000,0x0005ffff,0xffff9800,0x001fffff,0x3ffffe20,0xfffd804f,
    0xffffc87f,0x7fc406ff,0x7004ffff,0x03ffffff,0x3fffffe0,0x3e600003,
    0x881fffff,0x22ffffff,0xcccccdfe,0xfffffecc,0xfffd01cc,0xffb000ff,
    0x001fffff,0xff880008,0x0004ffff,0x74774400,0x06ffffff,0x3fffe200,
    0xffd804ff,0xfff987ff,0x7c407fff,0x004fffff,0x3ffffff7,0x3ffffe00,
    0x2600003f,0x81ffffff,0x45fffffd,0xffffffff,0xffffffff,0xfffd03ff,
    0xffa800ff,0x002fffff,0x7c4001dc,0x004fffff,0x987f4000,0x4fffffff,
    0xffff1000,0xffb009ff,0x3fee0fff,0x7c406fff,0x004fffff,0x3ffffff7,
    0x3ffffe00,0x2600003f,0x11ffffff,0xbfffffb5,0xffffff81,0xffffffff,
    0xfd03ffff,0x4400ffff,0x5ffffffe,0x8002d800,0x4ffffff8,0x3f200000,
    0x7ffffe42,0xf88001ff,0x804fffff,0x407ffffd,0xf880bf90,0x004fffff,
    0x3ffffff7,0x3ffffe00,0x2600003f,0xffffffff,0x2effffff,0xfffffff0,
    0xffffffff,0x3fa07fff,0x32007fff,0x0fffffff,0x000fc400,0x7fffffc4,
    0xf7000004,0x3ffffa07,0x44000eff,0x04ffffff,0x07ffffd8,0xf8807fd0,
    0x004fffff,0x3ffffff7,0x3ffffe00,0x2600003f,0xcdffffff,0xd801abcc,
    0xeeeeeeee,0xeffffffe,0xffffd02e,0x3ffe600f,0x8003ffff,0xf88000fc,
    0x004fffff,0x205f9800,0xfffffff9,0x7ffc4004,0xfd804fff,0xf8807fff,
    0x7ffc400f,0xf7004fff,0x003fffff,0x0ffffffe,0xfff98000,0x00001fff,
    0x7ffffd80,0x7ffffe80,0xfffffd00,0xff3000df,0x3ffe2000,0x00004fff,
    0x7e4037cc,0x02ffffff,0x3ffffe20,0xfffd804f,0x03fb807f,0xffffff88,
    0xffff7004,0x3fe003ff,0x0003ffff,0x3ffffe60,0x8000001f,0x807ffffd,
    0x807ffffe,0xfffffffb,0x3ff44001,0xffff8800,0x200005ff,0xfd001fe8,
    0x01ffffff,0x3ffffe60,0xfffd804f,0x02fcc07f,0xffffff98,0xffff7004,
    0xff1005ff,0x0007ffff,0x7ffffcc0,0x8000001f,0x807ffffd,0x407ffffe,
    0xfffffff8,0x7ffcc004,0xfff10006,0x0000bfff,0xa8013fa2,0x5fffffff,
    0xfffff300,0xfffd009f,0x027d40ff,0xffffff50,0x3fff200b,0xf9803fff,
    0x004fffff,0x3fffea00,0x000002ff,0x07ffffd8,0x0fffffe8,0x3fffff60,
    0xfb3000ff,0x2000bfff,0x6ffffff9,0xffe88000,0x7fff4003,0xa803ffff,
    0x05ffffff,0x0fffffe8,0x22001de8,0xfffffffe,0x7fffd403,0x2201ffff,
    0xfffffffe,0xfe980002,0x01efffff,0x7fec0000,0x7fd407ff,0xf504ffff,
    0x9dffffff,0xd9999999,0x9fffffff,0xfffd1000,0x0007ffff,0x3bfffee2,
    0xffff3001,0x017fffff,0x3fffffa2,0x3fea02ff,0x040cffff,0xffffe880,
    0xffffffff,0xffffd53e,0xffffffff,0x3ffff63d,0xffffffff,0x3fa2001e,
    0xffffffff,0x00006fff,0x0fffffb0,0x3fffffe2,0x7f41ffff,0xffffffff,
    0xffffffff,0x3fffffff,0xfffdd700,0xffffffff,0xff9001dd,0xddffffff,
    0xfffff301,0xffffffff,0x3ffffa23,0xffffffff,0xfffff12e,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26000000,0x333102dd,0x33333333,0x33333333,0x80133333,
    0x0bdeedb9,0x66401800,0xcccccccc,0xcccccccc,0xa88004cc,0x3000001a,
    0x00000055,0x00000010,0x00000000,0x75000000,0x5c017bdb,0xfb85ffff,
    0xffffffff,0xffffffff,0x5fffffff,0xfbbffb10,0x4c005fff,0x3339100f,
    0x33333333,0x33333333,0xff980019,0xfb000003,0x2e60000f,0x220bdeed,
    0x0803a64e,0x00002640,0x1744f660,0xb1000000,0x3fff7bff,0x3fffffa0,
    0x77fffdc0,0xffffdccc,0xfeccceff,0xfe885fff,0x3ffff63f,0x201fd002,
    0x64000038,0x1ffcc000,0x7fd80000,0x7fec4000,0x8bfffdcf,0x43bfe66e,
    0xcefffeb8,0x000fff20,0x7ffd7100,0x0073ffe2,0xfff98000,0x30fffe62,
    0x85ffffff,0xf981effb,0x883fffff,0x7f445ffe,0x7fffd46f,0x00ffc807,
    0xc8000071,0x1ffcc000,0x7fd80000,0x3ffa2000,0x3fffea0f,0x3bffa20e,
    0xfffffffb,0x0effccff,0xff930000,0x3fe25fff,0x0002efff,0x437ffc40,
    0x7fc0fffd,0x7dc0ffff,0xffff300f,0x2fec07ff,0xf10ffff2,0x5401ffff,
    0x07100fff,0x000c8000,0x0001ffcc,0x0007fd80,0xb07ffff1,0xfd10bfff,
    0xb9bfffff,0x1dffffff,0xffd50000,0xb8819fff,0x0cfffffe,0xfffc8000,
    0x44fffb83,0xb85ffffb,0x3ffe602f,0x3e203fff,0x0bfffe25,0x403ffff6,
    0x100ffff9,0x0c800007,0x01ffcc00,0x07fd8000,0x3ffff900,0x03ffff70,
    0x205fffd1,0x000ffffa,0x3ffff220,0xfb3002ef,0x005bffff,0x0bfffe60,
    0x303fffea,0x01ae05bb,0x7ffffff3,0x3ff25c80,0xfffa81ff,0xfffff504,
    0x0000e201,0xf9800190,0xb000003f,0xff1000ff,0xff701fff,0xdff30dff,
    0x2ffe8801,0xfffda800,0x10001cff,0x7ffffff7,0x7ffec001,0xffffa81f,
    0x404b8002,0x3ffffff9,0xffff2cc0,0x406a203f,0xbffffffb,0x00711aaa,
    0x4000c800,0x00003ff9,0x9000ffb0,0xf30fffff,0xd83fffff,0xff1001ff,
    0x3fae200d,0x000bffff,0x3fff6a00,0xfe802dff,0xff980fff,0x198003ff,
    0x7ffffcc0,0xff13803f,0x90005fff,0xffffffff,0x00e2bfff,0x80019000,
    0x00003ff9,0xb000ffb0,0xf88fffff,0x23fffffe,0x5c004ff8,0x3f2602ff,
    0x002dffff,0x7fe44000,0xf00befff,0xddddffff,0x09ffffdd,0x3fe60000,
    0x2003ffff,0x03fffff9,0x7ff66440,0x2ccccfff,0xc8000071,0x1ffcc000,
    0x7fd80000,0xfffff800,0x7ffcf747,0x0bfea4ff,0x507ff300,0x19fffffd,
    0x50000000,0x3bfffffd,0x6fffffc4,0xcccccccc,0x3000003c,0x07ffffff,
    0x7ffffd40,0x3ff20005,0x07100fff,0x510c8000,0x55555555,0x5555bff7,
    0x26355555,0xaaaaaaaa,0xaaaaffea,0xf12aaaaa,0x76cfffff,0x5fffff98,
    0x20003fee,0x3ffe24ff,0x00003eff,0xff930000,0x3fea7fff,0x00002fff,
    0x7ffcc000,0x26003fff,0x006fffff,0x3fffff20,0x00007100,0xffff10c8,
    0xffffffff,0xffffffff,0x3fff27ff,0xffffffff,0xffffffff,0xffff37ff,
    0x7cc7f2ff,0x3ee5ffff,0x4ff8000f,0x37ffffe2,0x00000001,0xfffff930,
    0x3ffffe67,0x00000003,0x7fffffcc,0x3ffe2003,0x320007ff,0x100fffff,
    0x0c800007,0xfffffff1,0xffffffff,0x7fffffff,0x3ffffff2,0xffffffff,
    0x7fffffff,0x5ffffff1,0x7fffcc3f,0x00bfea4f,0xc987ff30,0x0befffff,
    0xa8000000,0x1cfffffe,0x17ffffe2,0x00018800,0x7fffffcc,0x7fffc003,
    0xf90003ff,0x2201ffff,0x86400003,0xaaaaaaa8,0xaadffbaa,0x1aaaaaaa,
    0x55555553,0x555ffd55,0x45555555,0x2fffffff,0x17ffffcc,0xb8009ff3,
    0x3faa02ff,0x001cffff,0x7fe44000,0xf00befff,0x001fffff,0x01dffd88,
    0xfffff300,0xffd8007f,0x90006fff,0x201fffff,0x64000038,0x1ffcc000,
    0x7fd80000,0xffffe800,0xffff984f,0x00fff40f,0x3006ff88,0x5dfffff9,
    0xfda80000,0x801dffff,0x04fffffe,0xffffb1c4,0x3fe6000d,0x4003ffff,
    0x4ffffff9,0x3ff212a0,0x07100fff,0x000c8000,0x0001ffcc,0x8007fd80,
    0x507ffffb,0xf30fffff,0xffb001df,0xfeb88007,0x000cffff,0xffffd710,
    0x7d40017f,0x100fffff,0x3fffe25d,0xf98001ff,0x003fffff,0xffffffd8,
    0x640fdc1c,0x100fffff,0x0c800007,0x01ffcc00,0x07fd8000,0x1fffff00,
    0x0bffff70,0x4c0bfffa,0x0000fffe,0x3fffff66,0xff93002d,0x0005bfff,
    0x7ffffff4,0xff32ec41,0x0005ffff,0x7ffffff3,0xffff1000,0xffdfffff,
    0x3ffff207,0x0007100f,0x4c000c80,0x000003ff,0x2e000ffb,0xfc81ffff,
    0xffd80fff,0xedcdefff,0x00efffff,0x7ff5c400,0xea80bfff,0x01cfffff,
    0xffffa800,0xffecefff,0x37fffec0,0xffff9800,0xd10003ff,0xffffffff,
    0x7ffe407f,0x007100ff,0x4000c800,0x00003ff9,0x2000ffb0,0x444ffffd,
    0xfd83ffff,0xfffffcef,0xffdcffff,0xb500000e,0x225fffff,0x02efffff,
    0xfff98000,0x1fffffff,0x02fffe98,0xfffff300,0xfd80007f,0x01ceffff,
    0x07ffffe4,0x40000388,0x7fcc000c,0xfb000003,0x93f9000f,0xfb119fff,
    0xdff107ff,0x3fffb221,0x07ff60ce,0xff710000,0x33ffe27f,0x4c000001,
    0xcffffffe,0x00014c00,0x3fffffe6,0xdd300003,0x7ffe4001,0x007100ff,
    0x4000c800,0x54003ff9,0xcccccccc,0xccccffec,0xf54ccccc,0x7ffff4c5,
    0x36601cef,0x03b00200,0x3da80000,0x000017d1,0x15773000,0x4c000000,
    0x03ffffff,0x01bf3000,0x7ffffe40,0x00007100,0x7cc000c8,0x7fec003f,
    0xffffffff,0xffffffff,0x44067fff,0x00000aba,0x00000000,0x00000000,
    0x00000000,0x3ffffe60,0xe880003f,0xf9001fff,0x2201ffff,0x06400003,
    0x00ffe600,0xffffff90,0xffffffff,0xffffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff98,0xfc880003,0xff7004ff,0x89dc3fff,
    0x06400003,0x0004cc00,0x26666662,0x99999999,0x19999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fffffcc,0x3f600003,0xfff1005f,
    0x44b73bff,0x06400003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0x0003ffff,0x800fffe0,0xfffffffa,0x00000e20,
    0x00000019,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x09ffffff,0xbff93000,0xffda8001,0x667441ce,0xcccccccc,0xcccccccc,
    0x000000ec,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffff9,0xff10002f,0x100007bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffa2000,0xffffffff,0x00002eff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x1cefedba,0xbdb75000,0x2e600015,
    0x400bdeed,0x51bdedc8,0xaaaaa98b,0x54c1aaaa,0x5532aaaa,0x45555555,
    0xaaaaaaaa,0x2aaaa62a,0x7f65c00a,0x6dc40acd,0x2a602cef,0x20aaaaaa,
    0x2aaaaaa9,0x2aaaaaa0,0xaaaaaaaa,0x2aaaa22a,0x75cc0aaa,0x2aaaa60c,
    0x36e60aaa,0x033000be,0x3b7bfea0,0x2005ffff,0xfdcfffe8,0xfb1003ef,
    0x5ffffbbf,0x3b7ffea0,0x7d45ffff,0xdfffffff,0x7fffecc2,0xffffff53,
    0x7ffe47df,0x262dffff,0x700dfffd,0xffffbfff,0x33bfea3f,0xea80dfff,
    0x21ffffff,0xffffffea,0xfffff880,0xffffeeef,0x3ff226ff,0x3f23ffff,
    0x3fa65fff,0xf92fffff,0x407fffff,0x102fffd9,0xffc83ffb,0xff9804ff,
    0x3fff20df,0x1fff4404,0x885ffffb,0x3f262fff,0xffffd05f,0x0ffc80ff,
    0x7fffffc4,0xfffffa83,0x207fb00f,0x7dc1ffe8,0x25ffdfff,0xd00fffd8,
    0xf03fffff,0x101fffff,0xf9813bff,0xc82fffff,0xf93fffff,0xd81fffff,
    0xfdbfffff,0x0fffffff,0x3ffffff0,0x3e0dffb0,0x2602ffff,0x7c41ffff,
    0xfd103fff,0xffffa8df,0xc83ffec7,0xffff506f,0x03fb80ff,0x0bfffff5,
    0x0bfffffa,0xbffd036c,0x3fffff20,0x2fffcc0f,0x1fffffd8,0x0fffffd8,
    0x3fa05f88,0xf505ffff,0xff57ffff,0xf70fffff,0x23dfffff,0x85fffff9,
    0x5ffffffa,0x41ffffcc,0x205fffff,0xfb07fffd,0xff903fff,0xffff887f,
    0x0bfffe0f,0xfffd0374,0x07ec05ff,0x1fffffd0,0x9fffff70,0x7fd40fe0,
    0xfffb82ff,0xfffd05ff,0xfffff903,0xfffffb03,0x2e03f101,0x00ffffff,
    0xf9fffff3,0x09fff919,0x1ffffff7,0x87ffffd8,0x7ffffffb,0x437fffe4,
    0x306ffffe,0x2e0dffff,0x7c44ffff,0xffd82fff,0xffff30ff,0x540d505f,
    0x105fffff,0xfffb809f,0xfffd83ff,0x00f987ff,0x50dffff9,0x209fffff,
    0xfc85fffd,0xfc81ffff,0x6880ffff,0xffffff10,0x7fffcc09,0x815c45ff,
    0x82fffffb,0x40fffffc,0xfffffff8,0x1bfffea0,0x41bffffa,0x705ffffe,
    0xfc8dffff,0xffa81fff,0x3fffe64f,0x740384ff,0xa80fffff,0x7ffc400f,
    0x7f7c46ff,0x2e42ffff,0x0dffff30,0x07fffff5,0x321ffff6,0xc81fffff,
    0x100fffff,0x3fffff60,0x7fffcc06,0x7dc001ff,0xfb82ffff,0xea81ffff,
    0x640ffeff,0xffe82fff,0xffff06ff,0x3ffea0bf,0x3fffe0ff,0xf035101f,
    0x3dffffff,0x7fffdc00,0xb005e84f,0x5c1fffff,0x5fffff9e,0x3ff601fc,
    0xffffa81e,0xffff901f,0xfffffc81,0xfffffc81,0x3ffe6000,0x7cc02fff,
    0x8007ffff,0x82fffffb,0x01fffffb,0x0303fd46,0xdfffffd5,0x9fffff10,
    0x3ffffea0,0x5fffff11,0xffff9000,0x2005ffff,0x47fffff8,0xff5001f9,
    0xea747fff,0xf50fffff,0x91031001,0xddffffff,0xffffdddd,0xffffc83f,
    0xffffc81f,0x3ffa000f,0xf9805fff,0x8006ffff,0x82fffffb,0x01fffffb,
    0xd5005fc8,0xdffffd9f,0x9fffff50,0x3ffffea0,0x7fffff33,0xffff1000,
    0x009fffff,0x8bfffff2,0x7ffc006c,0x2e3f36ff,0xbb3fffff,0x3bf22000,
    0xcdfffffb,0xcccccccc,0x7fffe41c,0xffffc81f,0xfff7000f,0xf3001fff,
    0x000bffff,0x05fffff7,0x03fffff7,0xea803ff0,0xffffd3ff,0xfffff50d,
    0x3fffea09,0xfffff54f,0x3fa2000b,0x4fffffff,0xfffff980,0xf9000be6,
    0x4d73ffff,0x8efffff8,0x7e44002f,0xffff98df,0x3f20002f,0xfc81ffff,
    0x8800ffff,0x04ffffff,0x7fffff30,0xffff7000,0xffff705f,0x05f9803f,
    0xe8bfff62,0xf986ffff,0xf704ffff,0x3e67ffff,0x0006ffff,0x3fffff62,
    0xfd800fff,0x07a9ffff,0xfffff980,0x7ffec3ed,0x54007cff,0x3fe23fff,
    0x20004fff,0x81fffffc,0x00fffffc,0x6fffffd8,0x3fffe600,0xffb8003f,
    0xffb82fff,0x3a201fff,0xfffd300e,0x6ffffe85,0x4fffff88,0x5fffff70,
    0x1fffffe2,0x3ffee000,0xa803ffff,0x4edfffff,0xffffd000,0xfffa81ff,
    0x36004fff,0x7fc43fff,0x20006fff,0x81fffffc,0x00fffffc,0x7fffffcc,
    0x3ffe6002,0xfb8003ff,0xfb82ffff,0xd301ffff,0x7fff440b,0x6ffffe87,
    0x0bfffff0,0x87ffffee,0x03ffffff,0x7ff4c0c0,0xfd005fff,0x001fffff,
    0x3ffffee0,0xffffff05,0x3fff6005,0xfffff80f,0xff90000f,0xff903fff,
    0xfe801fff,0x0a05ffff,0x0fffffe6,0x3fffee00,0xffffb82f,0x402ec81f,
    0xe85ffffc,0xfb06ffff,0x3f20bfff,0x7fec7fff,0x7c006fff,0xffffd880,
    0xffff7006,0x7c4000bf,0xf902ffff,0x2a00ffff,0xf905ffff,0x5009ffff,
    0xfffffb81,0xfffffc81,0x3fffee00,0x30b100ff,0x007fffff,0x5fffff70,
    0x3fffff70,0x3ffa0030,0x7ffc47ff,0xfff307ff,0x3fff20df,0x7fffcc3f,
    0xf92a04ff,0x13fffe03,0x7ffffc40,0x7ff40001,0x3ffe607f,0xfffd004f,
    0x3ffea0df,0x1aa01fff,0x07ffffee,0x1fffffd1,0x3ffffe20,0x2617203f,
    0x003fffff,0x2fffffb8,0x1fffffb8,0x3fffe000,0xfffcadff,0x3f207fff,
    0xffe80fff,0xffffb07f,0x1fb839ff,0x7fe407fe,0x3ff2002f,0xfb80006f,
    0x7ff404ff,0xffff001f,0xffd985ff,0xa82fffff,0xffff981f,0x7ffff43f,
    0xfffb00ff,0x27d40dff,0x1fffffd4,0x7fffdc00,0xffffc82f,0x3f20001f,
    0xcfffffff,0xecfffffd,0x1ffff441,0x407fffe6,0xfffffff8,0x743ffeff,
    0xeffd81ff,0x3ffe6000,0xff880003,0x37fdc01f,0xfffffd00,0xf7dfd9df,
    0x9dffffff,0x7f409ffb,0xfeaaffff,0x81fffffe,0x2ffffff9,0xb83ffb88,
    0x004fffff,0x3fffffc8,0x2fffffc8,0x3ffe6000,0xff31efff,0x2205ffff,
    0xfd12effd,0xfe8803df,0xffffffff,0xadfffe83,0x000fffb8,0x0000ffd8,
    0xf100ffb0,0x7fd4009f,0x2fffffff,0x3fffffe6,0x4c04ffff,0xefffffff,
    0xcfffffc9,0x7fffff40,0xffdcaaaf,0x7fec43ff,0x2000efff,0xefffffe9,
    0x3ffffe60,0x2a0000df,0x5c0beffd,0xc802effe,0xdfffffff,0x3fff6000,
    0xdb01ceff,0xdfffffd9,0x13ea0003,0x04fa8000,0xc8003fb0,0x0cefffff,
    0xfffffd98,0xfd5002ef,0x3f21bfff,0x71ffffff,0xffffffff,0xffffffff,
    0x7ffffd45,0xb806ffff,0xffffffff,0xfffffa9f,0x0001ffff,0x00440044,
    0x00565440,0x002ee600,0x0aba882e,0x000c8000,0x98006400,0x2ae60004,
    0x2aee6000,0x15730001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa880000,0x260aaaaa,0x880acedb,0x400bdeca,0xaaaaaaaa,0x555551aa,
    0x01880035,0x10026098,0x00000001,0x00000000,0x20000b26,0x510001ca,
    0x15c40059,0x005e5c40,0x2c980593,0x00acb880,0xffffffb3,0x3ffffee7,
    0x3ffa60ef,0x3202ffff,0xffffffff,0xdffff91c,0x02fcc005,0x00ee83f6,
    0x00000bee,0xa8001df9,0x005a8004,0x0005fff1,0x20037fc4,0x3fffffe8,
    0x813ff6a0,0x3fffffe9,0x80ffffc8,0xa80ffffc,0x1efffffe,0x7fffff90,
    0xffffddf9,0x3fbfe6bf,0x200fffff,0x7fffffe8,0x4000efc8,0x3f201ff8,
    0x88077d44,0x300001ff,0x54009fff,0x3ea004ff,0xfffb805f,0x3ff60005,
    0x3bf6003f,0x220fffff,0x04fffffc,0x3ffffffa,0x7ffffc0f,0x7ffffc43,
    0x7ffffd43,0xfa81ffff,0x21ffffff,0xfdfffffc,0xfffff30c,0xffff980b,
    0x007ec2ff,0xb817fa20,0x05fe80ff,0x00007fee,0x8013ffe6,0xa804fff9,
    0xf9803fff,0xf30003ff,0x9001ffff,0x27ffec49,0x9fffb151,0x3ee2b720,
    0x3fe64fff,0x7fd45fff,0x3fea5fff,0xfff931bf,0xfffffa83,0x7fffc41f,
    0xfffe84ff,0xfffc806f,0x007ea6ff,0x203ffd10,0xff503ffb,0x03ffe20b,
    0x037f2000,0x09fff300,0x001fffd4,0x20003fff,0x04ffeffe,0x2fff9818,
    0x209fff70,0x2fffdc0c,0x89fffff1,0x24fffff8,0xff501fff,0xfffffa8b,
    0xdfffff03,0x1fffff60,0x3ffffe20,0x8004e8af,0xff504ffd,0x27ff401f,
    0x000effb8,0x7cc00000,0xfffa84ff,0x20cfd883,0x0f7dc6fb,0xff3bff50,
    0xff70001f,0x27ffdc09,0x85fff300,0xf82fffff,0xff32ffff,0x547fc80b,
    0xf03fffff,0x320dffff,0x800fffff,0xcefffffb,0xfffd8006,0x03fffa80,
    0xf81fffd4,0x00000eff,0x7ffcc000,0x40fffea4,0xf13ffffb,0x17fffa25,
    0xffb0ffe8,0xfff9800b,0x13ffee00,0x40fffa80,0xd80ffffe,0xff70ffff,
    0x21ffa805,0x03fffffa,0x20dfffff,0x00fffffc,0xffffffd0,0xfffc8003,
    0x0ffff984,0x83fffe80,0x0006fffb,0xff980000,0x03fffacf,0x4fffffea,
    0xfffff99e,0x449ff704,0xe9801fff,0x702fffff,0x64009fff,0xfffb83ff,
    0x4dfff707,0xff9807fd,0x3ffffea3,0xdfffff03,0x3fffff20,0xffff5000,
    0x7e4001ff,0x7fcc0fff,0xff5003ff,0xffff05ff,0xaaaaa98b,0xaaaaaaaa,
    0xaaaaaaaa,0x3fffe602,0xffc803ff,0xffefefff,0xf880cfff,0x37fdc0ff,
    0xffffc980,0x09fff707,0x4c17fe20,0xff305fff,0x007fe49f,0xffa8bfea,
    0xfff03fff,0x3ff20dff,0x3a000fff,0x004fffff,0x887ffff7,0x4007ffff,
    0x5c1ffffe,0x3f24ffff,0xffffffff,0xffffffff,0x4c07ffff,0x4003ffff,
    0x0022f5c1,0x3fa07ffb,0x3fe6002f,0xfffb81ff,0x80bfb004,0x3fe02fff,
    0x00ffea2f,0x7fd41ffb,0xfff03fff,0x3ff20dff,0x26000fff,0x00ffffff,
    0x17ffff44,0x017fffee,0x8bffff70,0x91fffff8,0xffffffff,0xffffffff,
    0x80ffffff,0x004ffffa,0x013a3ee0,0xf5037fcc,0xffb800ff,0x4fffb82f,
    0x4084fb80,0x3f600ffd,0x07ffe20f,0x3ea37fdc,0xff03ffff,0x3f20dfff,
    0x4000ffff,0x04fffffd,0x86ffff98,0x001ffffd,0x703bfffa,0x54c5ffff,
    0xaaaaaaaa,0xaaaaaaaa,0x2a02aaaa,0x04ffffff,0xfbaff4c0,0x17ff402e,
    0x800fffa0,0xfb80fff8,0x27d404ff,0x01bee26c,0xfff50df7,0xfffb3139,
    0xfffffa83,0xdfffff03,0x3fffff20,0x7ffec000,0xf9800fff,0xffd82fff,
    0xfff7005f,0xffff881d,0x00000003,0x7cdfffd4,0xff7004ff,0x13ffe67f,
    0x4c02ffd4,0x81dc0fff,0xfff705fe,0x777fd409,0x7cc2ffee,0xc827cc04,
    0xffffffff,0xffffa82f,0xfffff03f,0x3ffff20d,0x37ea000f,0x005fffff,
    0xd10dfff5,0xff003fff,0xfff903ff,0x00000009,0x263fffa8,0xff804fff,
    0x3fffe0ff,0x001ffe81,0x7fdc9ffb,0xc81bea2e,0xff305fff,0x1fffffff,
    0x05f005f0,0x7fffffd4,0xffff501e,0x3fffe07f,0xffff906f,0x2fe2001f,
    0x1ffffff8,0x05fff500,0xb80bffd1,0xff881fff,0x0980004f,0x7fff5000,
    0x409fff30,0x7e45fff8,0x27fdc2ff,0x23fff100,0xfefffff9,0xfffca883,
    0x3fe62cff,0x6fffffff,0x98800000,0x7d401bcb,0xff03ffff,0x3f20dfff,
    0xd000ffff,0x7ffffe4b,0x1bfee006,0xf00fffc4,0x3ff203ff,0xffe80005,
    0x7ffd4001,0x13ffe603,0x7441efc8,0x0099886f,0x5104cc40,0x4c013577,
    0x19999999,0x26666662,0x00000999,0xff500000,0x3fe07fff,0xffb06fff,
    0xf9003fff,0x7ffffc41,0x3ff2002f,0x20bff303,0xff102ffb,0xff50000b,
    0x7fcc009f,0xfff9803f,0x00100204,0x00000000,0x00000000,0x5c000000,
    0x884fffff,0xb06fffff,0x803fffff,0xfffd84fb,0x32000fff,0x07fe606f,
    0xefc80ffe,0xff880000,0x3fe6003f,0x13fe6003,0x00000000,0x00000000,
    0x00000000,0x3ff62000,0x7dc1efff,0x543fffff,0x0cffffff,0xb85ffc98,
    0x0dffffff,0xa80ff600,0x301fdc5f,0x400001df,0x398003da,0x00049800,
    0x00000000,0x00000000,0x00000000,0xffffffa8,0xfffd3fff,0x36ffffff,
    0xffffffff,0x3ffffa1f,0xfffe9bef,0x03ffffff,0x1d701760,0x036e01ec,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x2a200bc8,0xba800acc,0xdd100abc,0xdddddddd,0xdddddddd,
    0x3225dddd,0xcccccccc,0xcccccccc,0x002ccccc,0x004c0000,0x000b332a,
    0x00544064,0x100c4031,0xeeeeee81,0x266eeeee,0xbbbbbbbb,0xbbbbbbbb,
    0x002bbbbb,0x00000000,0x207fffea,0x3ffaaffa,0xff75bd50,0xffff103f,
    0xffffffff,0xffffffff,0x3ffe27ff,0xffffffff,0xffffffff,0x7fc43fff,
    0x7fe45fff,0x3ea01fff,0xffffb100,0x26005bff,0x3fff620f,0x177fe444,
    0xfb03bfee,0x7ffffcbf,0x27ffffff,0xfffffffa,0xffffffff,0x54ffffff,
    0xffffffff,0xffffffff,0x009fffff,0x7fffec00,0xf51ffdc5,0x21ff889f,
    0xff887ffb,0xffffffff,0xffffffff,0xff13ffff,0xffffffff,0xffffffff,
    0xfa87ffff,0xfd80efff,0xdf103fff,0x3ffffa03,0x0befffff,0xfff71f60,
    0x7ffdc1ff,0xffff10ff,0x97fffd49,0xffffffff,0x3fea7fff,0xffffffff,
    0xffffffff,0xfff54fff,0xffffffff,0xffffffff,0x400009ff,0x227fffff,
    0x3fe21fff,0xb9bff21f,0x00000fff,0x80000000,0x7fec3ff8,0x3ff600ef,
    0x5fffb06f,0xcaadffa8,0xdfffffff,0xff17f662,0x7f49ffff,0xff53ffff,
    0x7ffe4dff,0xffffff4f,0x88ffffff,0x88888888,0x88888888,0xbb308888,
    0xbbbbbbbb,0xbbbbbbbb,0x00007bbb,0x737ffffc,0xfff81fff,0xfa93fea4,
    0x000001ff,0x88000000,0x3ffe23ff,0xfffd800e,0x2fffdc41,0x7ed403f6,
    0xffffffff,0x7fff40ff,0x3fffe4ff,0xffff14ff,0x8ffffd47,0xaaaaaaaa,
    0x00002aaa,0x00000000,0x7fec0000,0x3fff24ff,0x2237ffc0,0x5ffff910,
    0x00000000,0x7ff10000,0x80077fd4,0xf903ffe8,0x8805f8ff,0xfffffffb,
    0xffffb82f,0x3ffff20f,0x033faa0f,0x00007df7,0x00000000,0x00000000,
    0xd8fffff2,0x7ffc0fff,0xfbcfc887,0x000002ff,0x88000000,0x03ff63ff,
    0x20dfd100,0x07e24ffe,0x9dfd9300,0x3fff6201,0x27ffec43,0x00000000,
    0x00000000,0x40000000,0x360ffff9,0x7ffc0fff,0xfa9ffd46,0x7ffc42ff,
    0xffffffff,0xffffffff,0x00003fff,0x3e27ff10,0xfd10001f,0x077fe4c3,
    0x10000000,0x000a9805,0x00000000,0x00000000,0x3e000000,0x7ffdc7ff,
    0xf527ffc0,0x17ffd4df,0x3fffffe2,0xffffffff,0xffffffff,0xf1000003,
    0x00004c7f,0x6f7fc262,0x00000003,0x00000000,0x00000000,0x00000000,
    0x3ff60000,0x10fffc44,0x7fec3fff,0x10bffee6,0xdddddddd,0xdddddddd,
    0x05dddddd,0x3ba20000,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bfee000,0xffa8ffee,0x777fff44,0x002cfffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff300000,
    0x2affea01,0xfffb83fe,0x03fffd1e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c000000,0x56654406,0x5106a200,
    0x00000015,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00004c80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_47_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,0,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_47_latin1_y[224]={ 37,8,8,8,8,8,8,8,8,8,8,11,30,25,
30,8,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,43,7,17,8,17,8,17,8,17,8,8,
8,8,8,17,17,17,17,17,17,17,10,17,17,17,17,17,17,8,8,8,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,37,16,9,8,12,8,
8,8,8,8,8,17,18,25,8,3,8,11,8,8,7,17,8,19,36,8,8,17,8,8,8,16,-1,-1,-1,0,
0,1,8,8,-1,-1,-1,0,-1,-1,-1,0,8,0,-1,-1,-1,0,0,13,7,-1,-1,-1,0,-1,8,8,7,7,
7,8,8,7,17,17,7,7,7,8,7,7,7,8,8,8,7,7,7,8,8,13,16,7,7,7,8,7,8,8,
 };
static unsigned short stb__times_bold_47_latin1_w[224]={ 0,8,17,21,19,38,33,8,13,13,17,24,9,13,
8,12,19,16,19,19,19,19,19,20,19,19,8,9,24,24,24,17,38,31,27,28,29,27,25,32,33,16,21,34,
27,40,30,31,24,31,32,20,26,30,31,43,31,31,28,9,12,9,19,23,10,20,22,17,22,17,17,20,22,12,
13,23,12,34,22,19,22,22,18,15,14,22,21,31,21,21,19,12,3,13,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,17,21,21,22,
3,19,14,30,14,21,24,13,30,23,15,23,12,12,10,23,23,8,8,11,12,21,30,30,31,17,31,31,31,31,
31,31,42,28,27,27,27,27,16,16,16,16,30,30,31,31,31,31,31,19,31,30,30,30,30,31,25,21,20,20,
20,20,20,20,29,17,17,17,17,17,13,13,14,14,19,22,19,19,19,19,19,23,19,22,22,22,22,21,22,21,
 };
static unsigned short stb__times_bold_47_latin1_h[224]={ 0,30,15,30,32,31,30,15,38,38,17,24,15,5,
8,30,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,39,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,37,29,30,29,30,30,30,29,29,29,37,30,37,16,4,9,21,30,21,30,21,29,30,29,29,
39,29,29,20,20,21,30,30,20,21,28,21,21,21,20,30,20,38,39,38,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,36,30,22,29,
39,39,7,30,13,20,10,5,30,4,15,24,16,16,9,30,39,8,9,16,13,20,31,31,31,31,38,38,38,37,
37,36,29,37,38,38,38,37,38,38,38,37,29,38,39,39,39,38,38,19,32,39,39,39,38,38,29,30,31,31,
31,30,30,31,21,28,31,31,31,30,30,30,30,29,30,29,31,31,31,30,30,19,22,31,31,31,30,40,39,39,
 };
static unsigned short stb__times_bold_47_latin1_s[224]={ 248,1,222,187,83,123,36,1,115,170,146,
85,245,177,153,154,167,216,122,233,86,70,90,141,162,182,244,244,176,38,201,
56,86,44,90,88,60,32,229,173,1,214,117,141,94,142,206,96,35,148,183,
45,1,1,141,139,182,150,121,138,128,64,164,191,99,1,183,42,206,226,76,
1,231,237,68,207,231,1,222,22,33,10,203,60,46,160,76,98,36,66,183,
129,82,235,119,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,
61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,61,248,245,33,
74,154,233,125,95,162,202,23,58,63,177,110,215,240,110,209,184,88,209,160,
144,110,197,10,80,173,142,222,204,184,216,74,74,106,1,1,180,142,1,29,
209,57,106,123,237,176,1,184,216,1,172,140,126,51,33,64,129,204,32,60,
98,182,19,224,59,24,203,130,28,1,40,58,80,45,140,1,106,16,118,162,
76,103,233,120,102,134,96,1,119,22,1,45,23, };
static unsigned short stb__times_bold_47_latin1_t[224]={ 1,292,497,229,160,160,261,518,42,42,497,
445,475,518,518,229,229,385,385,261,415,261,261,261,261,261,444,415,445,518,445,
292,1,385,354,323,354,354,323,292,415,415,323,354,385,385,292,292,415,121,385,
323,445,354,292,323,415,415,415,121,292,121,497,518,518,475,323,475,323,445,385,
323,354,292,1,354,415,497,475,475,292,292,475,475,445,475,475,475,497,323,475,
42,1,82,518,445,445,445,445,445,445,445,445,445,445,445,445,445,445,445,445,
445,445,445,445,445,445,445,445,445,445,445,445,445,445,445,445,445,1,160,160,
292,445,385,1,42,518,261,518,497,518,518,261,518,497,445,497,497,518,229,1,
518,518,497,518,497,197,197,197,197,42,42,82,121,121,160,385,121,42,82,82,
121,82,82,82,121,354,121,1,1,42,82,82,497,160,42,42,1,82,121,415,
229,160,197,160,229,229,160,475,445,197,197,197,229,229,229,261,415,261,354,160,
197,160,229,229,497,445,197,229,197,323,1,1,1, };
static unsigned short stb__times_bold_47_latin1_a[224]={ 170,226,377,340,340,679,566,189,
226,226,340,387,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,226,226,387,387,387,340,632,490,453,490,490,453,415,528,
528,264,340,528,453,641,490,528,415,528,490,378,453,490,490,679,
490,490,453,226,189,226,395,340,226,340,378,301,378,301,226,340,
378,189,226,378,189,566,378,340,378,378,301,264,226,378,340,490,
340,340,301,268,150,268,353,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,170,226,340,340,340,340,150,340,
226,507,204,340,387,226,507,340,272,373,204,204,226,391,367,170,
226,204,224,340,509,509,509,340,490,490,490,490,490,490,679,490,
453,453,453,453,264,264,264,264,490,490,528,528,528,528,528,387,
528,490,490,490,490,490,415,378,340,340,340,340,340,340,490,301,
301,301,301,301,189,189,189,189,340,378,340,340,340,340,340,373,
340,378,378,378,378,340,378,340, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_47_latin1(stb_fontchar font[STB_FONT_times_bold_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_47_latin1_s[i] + stb__times_bold_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_47_latin1_t[i] + stb__times_bold_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_47_latin1_x[i];
            font[i].y0 = stb__times_bold_47_latin1_y[i];
            font[i].x1 = stb__times_bold_47_latin1_x[i] + stb__times_bold_47_latin1_w[i];
            font[i].y1 = stb__times_bold_47_latin1_y[i] + stb__times_bold_47_latin1_h[i];
            font[i].advance_int = (stb__times_bold_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_47_latin1_s[i] + stb__times_bold_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_47_latin1_t[i] + stb__times_bold_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_47_latin1_x[i] + stb__times_bold_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_47_latin1_y[i] + stb__times_bold_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_47_latin1_LINE_SPACING
#endif

