// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT        599
#define STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_50_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_50_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_50_latin1_LINE_SPACING          32

static unsigned int stb__times_bold_50_latin1_pixels[]={
    0x33310000,0x00000333,0x4cccccc0,0x4c400000,0x00009999,0x26620000,
    0x00000019,0x01333333,0x44000000,0x00009999,0x00000080,0xfffffb80,
    0x01cc980e,0xfffb8000,0x000005ff,0xbfffff70,0xff500000,0x0000ffff,
    0x3ffe2000,0x000003ff,0x5fffffb8,0x20000000,0x006ffffe,0x0fbf2200,
    0x00013ff2,0x0effffe8,0x0005ff70,0xbffffd00,0x6c000000,0x0006ffff,
    0x3fffea00,0x0000001f,0xffffffd8,0xc8000000,0x000fffff,0xffa80000,
    0x0002ffff,0x41ffff90,0x002ffffa,0xeffff880,0x00bfee00,0xffff3000,
    0x4000000b,0x00effff8,0x7fd40000,0x000004ff,0x7ffffcc0,0x000003ff,
    0x05ffff90,0xfd000000,0x00dfffff,0x3ffffe00,0x1bffff64,0x3ffee000,
    0x17fdc00e,0x3fee0000,0x0000006f,0x0077ffd4,0xffb80000,0x0000007f,
    0x7ffffff4,0x000000ff,0x00bfff90,0xffb80000,0x02ffffff,0xffffe800,
    0x13ffff22,0x3fffa000,0x02ffb800,0x77ff4000,0x40000000,0x0000effd,
    0x7ffdc000,0x50000001,0xff71bfff,0x0000009f,0x0007ffec,0xfff88000,
    0x06ffe99f,0x6fffa800,0x00ffffcc,0x07ffe200,0x0017fdc0,0x01dff300,
    0xf8800000,0x000000ef,0x009ff700,0x3ffe0000,0x007ffd44,0xffb00000,
    0x20000005,0x3a20effc,0x880003ff,0x0177102b,0x03ff7000,0x0017fdc0,
    0x001df700,0xff500000,0x00000001,0x00007fc8,0x302ffb80,0x000009ff,
    0x0005fd80,0x05ff9800,0x0000ffb1,0x90000000,0xffb8003d,0x32e00002,
    0x00000000,0x00000395,0x0032e000,0x1ff88000,0x0007f440,0x01320000,
    0x0ff60000,0x0000ff20,0x00000000,0x017fdc00,0x00000000,0x00000000,
    0x00000000,0x40026200,0x000001a8,0x00000000,0x01540013,0x00000000,
    0xffb80000,0x4cc00002,0x00000001,0x00000000,0x00000000,0x00000ccc,
    0x00666000,0x00000000,0x33332a00,0x41cccccc,0x0ccccccb,0x99999995,
    0xccb83999,0xff70cccc,0x6e540005,0xdefffffe,0x3b6000bc,0xeeeeeeee,
    0xa82eeeee,0xeeeeeeee,0xdddddb4e,0xdddddddd,0xdddd505d,0x009ddddd,
    0xfffedca8,0x00bcdeff,0xedca8000,0xcdefffff,0x3bb6000b,0xeeeeeeee,
    0xea82eeee,0xeeeeeeee,0xfffffd34,0xb9817dff,0x3a63ffff,0xefffffff,
    0x7ffdcc0b,0x00bfee3f,0x3ffffa60,0xfffca9bd,0x262002ff,0xffffffff,
    0x6cc4009f,0x440affff,0xfffffff9,0x4c4009ff,0x00affffd,0x3ffffa60,
    0xfffca9bd,0x300002ff,0x37bffffd,0x5fffff95,0x7ffcc400,0x09ffffff,
    0x7ffecc40,0xfffd80af,0x7dc03fff,0xffffb01f,0xffb807ff,0x0017fdc1,
    0x017fffee,0x01bffff5,0x7ffffd40,0xfd8002ff,0x7ffd401f,0x8002ffff,
    0x5c001ffd,0x5405ffff,0x000dffff,0x17fffee0,0x1bffff50,0x7fffd400,
    0xd8002fff,0x3fe201ff,0x5404ffff,0x3ffe204f,0x7d404fff,0x002ffb84,
    0x1dffffd3,0xfffff300,0x3ffe2007,0x8001ffff,0xff8806fb,0x001fffff,
    0x26006fb8,0x00effffe,0x3fffff98,0x7fff4c00,0xff9800ef,0xf1003fff,
    0x03ffffff,0x900df700,0x80dfffff,0x7fe401fc,0x7e406fff,0x802ffb81,
    0x0ffffff8,0x3fffee00,0xfff8803f,0x8000ffff,0xff8805fa,0x000fffff,
    0xf1005fa8,0x001fffff,0x1fffffdc,0xfffff880,0x3fee000f,0xf8803fff,
    0x00ffffff,0x8805fa80,0x02ffffff,0x3fe201ba,0x3a02ffff,0x005ff706,
    0x05fffffb,0xfffff880,0xffff800f,0x98000fff,0xffff004f,0x30001fff,
    0x3ff6009f,0x44002fff,0x00ffffff,0x2fffffd8,0x7fffc400,0xfff800ff,
    0x8000ffff,0xffb004f9,0x3e20bfff,0xffffb002,0x40be20bf,0x7dc01cc9,
    0x000fffff,0x5fffffc8,0xffffff80,0x4f98000f,0xffffff00,0x9f30001f,
    0xfffff700,0xff90001f,0xfb80bfff,0x000fffff,0x5fffffc8,0xffffff80,
    0x4f98000f,0xfffff300,0x400f703f,0x1ffffff9,0x980007b8,0x05ffffff,
    0xfffff500,0xffff807f,0x98000fff,0xffff004f,0x30001fff,0xfff9809f,
    0x50005fff,0x07ffffff,0x3fffffe6,0xfff50005,0xff807fff,0x000fffff,
    0x3a004f98,0xe84fffff,0x7fff4004,0x004e84ff,0xfffffe80,0xff10003f,
    0x401fffff,0x0fffffff,0x004f9800,0x1fffffff,0x809f3000,0x3ffffffe,
    0xffff1000,0xffd01fff,0x0007ffff,0x3fffffe2,0x3fffe00f,0x98000fff,
    0x3fea004f,0x3e60ffff,0x7ffd4001,0x07e60fff,0xffff3000,0x40001fff,
    0x3ffffffe,0x3fffffe0,0x4f98000f,0xffffff00,0x9f30001f,0x7ffffcc0,
    0x3a0000ff,0x43ffffff,0xfffffff9,0x3ffa0000,0x3e03ffff,0x00ffffff,
    0x4004f980,0x23ffffff,0xfff0006c,0x03647fff,0x7fffd400,0x20000fff,
    0x5ffffffd,0x3fffffe0,0x4f98000f,0xffffff00,0x9f30001f,0x7ffffd40,
    0x360000ff,0x45ffffff,0xfffffffa,0x3ff60000,0x3e05ffff,0x00ffffff,
    0x4004f980,0x16fffffb,0x3ee0007f,0x7f16ffff,0xfff90000,0x8000ffff,
    0x6ffffffc,0x3fffffe0,0x4f98000f,0xffffff00,0x9f30001f,0x7ffffe40,
    0x7e40007f,0x646fffff,0x07ffffff,0x7fffe400,0x3ffe06ff,0x8000ffff,
    0x7c4004f9,0xfbafffff,0xfff10000,0x01f75fff,0xffffb000,0xc8000fff,
    0x07ffffff,0x3ffffffe,0x04f98000,0xfffffff0,0x09f30001,0x7fffffec,
    0x7fe40007,0x7ec7ffff,0x007fffff,0x7ffffe40,0x3fffe07f,0x98000fff,
    0xffc8004f,0x005eefff,0x7ffffe40,0xf00005ee,0x0dffffff,0xffffc800,
    0xfff01fff,0x0001ffff,0x3fe009f3,0x000fffff,0x3fe04f98,0x006fffff,
    0x7ffffe40,0x3fffe1ff,0x40006fff,0xfffffffc,0xffffff01,0x9f30001f,
    0xffff3000,0x80005fff,0xfffffff9,0x80aa9802,0xfffffff8,0x7fdc0005,
    0xf02fffff,0x01ffffff,0x2009f300,0x0fffffff,0x104f9800,0xbfffffff,
    0xfffb8000,0xff12ffff,0x00bfffff,0xfffffb80,0xffff02ff,0x30001fff,
    0x3f60009f,0x0007ffff,0xffffffb0,0x20bfee00,0xfffffff8,0x7fdc0005,
    0xf02fffff,0x01ffffff,0x2009f300,0x0fffffff,0x104f9800,0xbfffffff,
    0xfffb8000,0xff12ffff,0x00bfffff,0xfffffb80,0xffff02ff,0x30001fff,
    0x3ea0009f,0x0004ffff,0x9fffff50,0x40bfee00,0x6fffffff,0x7ffdc000,
    0xff01ffff,0x001fffff,0x3e009f30,0x00ffffff,0x3e04f980,0x06ffffff,
    0x7fffdc00,0x3ffe1fff,0x0006ffff,0x7fffffdc,0xfffff01f,0xf30001ff,
    0x7ff40009,0x200001ff,0x001ffffe,0x3fa05ff7,0x007fffff,0x7ffffe40,
    0xffff00ff,0x30001fff,0x3ffe009f,0x8000ffff,0x3ffa04f9,0x0007ffff,
    0x7fffffe4,0x3ffffa0f,0x640007ff,0x0fffffff,0xfffffff0,0x09f30001,
    0x37ffdc00,0x3fee0000,0x3fee006f,0xfffffb02,0xfc8000ff,0x207fffff,
    0x0fffffff,0x004f9800,0x1fffffff,0x409f3000,0x7ffffffd,0x7ffe4000,
    0x7fec7fff,0x0007ffff,0x7fffffe4,0x3ffffe07,0xf98000ff,0x3fe20004,
    0x4400003f,0x2e003fff,0xfff702ff,0x0001ffff,0x7fffffec,0x3ffffe06,
    0xfa8000ff,0xfffff003,0xf50001ff,0x7fffdc07,0x20000fff,0x6ffffffd,
    0x7fffffdc,0x3f60000f,0x206fffff,0x0fffffff,0x003fa800,0x0007fe40,
    0x007fe400,0x2a05ff70,0x1fffffff,0x3fffa000,0x3fe03fff,0x000fffff,
    0xff003fa8,0x001fffff,0x7d407f50,0x01ffffff,0x3ffffa00,0x7ffd43ff,
    0x0001ffff,0x3ffffffa,0x3ffffe03,0xfa8000ff,0x27cc0003,0x4f980000,
    0x017fdc00,0x5ffffffd,0x3ffe2000,0x3e00ffff,0x00ffffff,0xf002fa80,
    0x01ffffff,0xe805f500,0x02ffffff,0xfffff100,0xfffd01ff,0x20005fff,
    0xfffffff8,0x3ffffe00,0xfa8000ff,0x0fcc0002,0x1f980000,0x017fdc00,
    0xbffffff3,0x3ffe6000,0x7f403fff,0x001fffff,0xfd001fc8,0x003fffff,
    0xf9803f90,0x005fffff,0xffffff30,0x3fffe607,0xf30005ff,0x807fffff,
    0x1ffffffe,0x001fc800,0x00002e40,0xf7000b90,0xfffd805f,0xc8000fff,
    0x806fffff,0x1ffffffd,0x000fe800,0x3ffffffb,0x001fd000,0x1ffffffb,
    0xffff9000,0xfffd80df,0xc8000fff,0x806fffff,0x1ffffffd,0x400fe800,
    0x17c40cc8,0x81991000,0xfb8002f8,0x7ffc402f,0x44003fff,0x03ffffff,
    0xffffffa8,0x037cc003,0xffffff50,0x06f98007,0xffffff10,0xfff88007,
    0x7c403fff,0x003fffff,0x7fffffc4,0xffffa803,0x7cc003ff,0x37ffc406,
    0xf88001ee,0x003dc6ff,0xb802ffb8,0x007fffff,0x27ffffdc,0xfffff880,
    0x3fe2006f,0x3ffe2002,0x22006fff,0x3ee002ff,0x4007ffff,0x04fffffb,
    0xffffff70,0xffffb800,0xfff1004f,0x4400dfff,0x7fdc02ff,0x000fa1ff,
    0x21ffffb8,0xff70003e,0x3ffee005,0xff3003ff,0xb8009fff,0x05ffffff,
    0x7000bfd0,0x0bffffff,0x20017fa0,0x03fffffb,0x9fffff30,0xffffb800,
    0xfff3003f,0xfb8009ff,0x005fffff,0xff900bfd,0x001b27ff,0x27ffff90,
    0x3ee0006c,0x3fea002f,0x7cc04fff,0x0004ffff,0x9ffffffb,0x1bfd5103,
    0x3fff6000,0xa881cfff,0x50000dfe,0x809fffff,0x04fffff9,0xfffff500,
    0xffff9809,0xffb0004f,0x1039ffff,0x1001bfd5,0x5fbdffff,0xfff88000,
    0x0002fdef,0x1000bfee,0x37bffffb,0x3ffffae6,0x7dc0001e,0xdfffffff,
    0x005fffec,0xfffffb80,0xffecdfff,0xd880005f,0x31bdffff,0x3dffffd7,
    0xffd88000,0xd731bdff,0x003dffff,0xfffffb80,0xffecdfff,0x7fe4005f,
    0x00003fff,0x07fffff9,0x02ffb800,0xfffd9300,0xbfffffff,0x6cc00005,
    0xffffffff,0x00001dff,0x3fffff66,0x01dfffff,0x7f64c000,0xffffffff,
    0x400002df,0xfffffec9,0x02dfffff,0x3ff66000,0xffffffff,0x9710001d,
    0x88000037,0x80001bcb,0x80001eea,0xabcccba9,0x44000002,0xaaccccba,
    0x22000000,0xaaccccba,0x98000000,0x2abcccba,0x53000000,0x05579997,
    0xba880000,0x00aacccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xccccccc8,0x0000001c,0x2a6200c4,0x100009ac,0x00003333,0x01333333,
    0x10001b80,0x00333333,0xa9880000,0x26000133,0x001791cc,0x99988000,
    0x26600009,0x50009999,0xdddddddd,0xffffd703,0x000007ff,0xc8817dc0,
    0xcfffffff,0x3ffe2000,0x2e0004ff,0x005fffff,0x007bffee,0xfffffd10,
    0x10000005,0x3ea7fff9,0x2ffb8003,0x003bffd9,0xffffb000,0x7fdc000d,
    0x4c006fff,0x02fffffb,0x0ffffffe,0x3aa00000,0x9fff502f,0x07fff263,
    0x7ffffe40,0xffb0000f,0xff800dff,0x88005fff,0x005ffffe,0x7ffdc000,
    0x0177d40c,0xfb85ff70,0x200001ff,0x3ffffff9,0x3ffee000,0xfd8000ff,
    0x3f602fff,0x0003ffff,0x80ffec00,0xf882fff8,0x7cc00eff,0x04ffffff,
    0xeffff880,0x3ffea000,0x88000fff,0x0007fffe,0x0bffea00,0x7005fe98,
    0xfff905ff,0x3fa00005,0x007fffff,0x1ffffdc0,0x7fffe400,0x3ffff602,
    0x2000003f,0x3fa00ffc,0x3fffa06f,0x7fffec03,0x4000ffff,0x000efffb,
    0x37ffffcc,0xfffd1000,0xf3000005,0xff100fff,0x05ff7009,0x001ffff3,
    0xfffffa80,0x40003fff,0x8006fffc,0x202ffffc,0x03fffffc,0x9ff90000,
    0x027ffcc0,0x540dffff,0xffa8efff,0x7fec005f,0xffd0000e,0x880007ff,
    0x00005fff,0x004fffc8,0xfb809ff7,0x7fffd02f,0xfffe8000,0x00fffe89,
    0x07ffe400,0x3ffff200,0x3ffff202,0xb800003f,0x3ee00fff,0x3ffa07ff,
    0x13ffa04f,0x2003fff3,0x0000eff8,0x000fbf22,0x003ffcc0,0x2ffff400,
    0x407ffd00,0xffd02ffb,0x7dc000df,0x3ff620ef,0xffc80004,0x7ffe4003,
    0x3fff202f,0x400003ff,0x5c05fffa,0xf702ffff,0x3fee03ff,0x00bfd103,
    0x00003fee,0x4c000004,0x200002ff,0x006ffff8,0x5c0bffee,0xffff02ff,
    0x3fe2000f,0x01ffb00d,0x00dfb000,0x02ffffc8,0x0ffffff2,0xfffd0000,
    0xffff9803,0x4405101f,0x7f4401ff,0x001ca801,0x80000000,0x200002c9,
    0x007ffff8,0x5c1bffe6,0xfff882ff,0x9f90007f,0x0009f900,0xf90012e0,
    0x7e405fff,0x0303ffff,0x0dfff500,0x3fffffe0,0x00988002,0x000006a0,
    0x00000000,0x7fc00000,0x3a000fff,0xffb82fff,0x5ffff982,0x40013000,
    0x00000029,0x0bffff20,0x3fffffc8,0x3bfffb71,0x13fffa00,0x7ffffe40,
    0x000000df,0x50000000,0x99999999,0x00140000,0xffffd800,0x3fff2001,
    0xa82ffb86,0x0004ffff,0x00000000,0xffff9000,0x7fffe405,0xffffe8bf,
    0x7d404fff,0x36003fff,0x2fffffff,0xeeeee880,0xeeeeeeee,0xdddd12ee,
    0xdddddddd,0x32605ddd,0x07ffffff,0x001f3000,0xffff7000,0x7ffd4005,
    0x417fdc2f,0x103ffffc,0xdddddddd,0xdddddddd,0xdddddddd,0xddddd10b,
    0xdddddddd,0x3ff205dd,0x3ff202ff,0xbdfecfff,0x04fffffe,0x007ffff6,
    0xffffffd0,0x7f4c009f,0xbfffffff,0x3fffa600,0x00bfffff,0xffffff70,
    0x0ff20000,0x3fea0000,0x3e6003ff,0x7fdc5fff,0x1ffffd82,0x7fff5440,
    0xeeeeffff,0xffffffee,0x7ff4c07f,0x0bffffff,0x17fffe40,0xffffff90,
    0xffffe81d,0xffff981f,0x7fe4000f,0x0effffff,0xfffff100,0x3e2009ff,
    0x04ffffff,0x7ffffcc0,0xff880007,0xf9800007,0x22003fff,0x2e1fffff,
    0xfffd82ff,0xfff1000f,0x4403ffff,0x807ffffb,0xfffffff8,0xffff9004,
    0x7fffe405,0xfffa81ff,0xfffa86ff,0x67e4007f,0xfffffffc,0xffff000f,
    0x7c005fff,0x02ffffff,0x7ffffcc0,0xffb80007,0x4400002f,0x4001ffff,
    0x2e3fffff,0xfffa82ff,0x7fffc007,0xd8801fff,0xfff007ff,0x2005ffff,
    0x202ffffc,0x04fffffc,0x07fffffe,0x00fffff7,0xfff52fe4,0x001fffff,
    0x5ffffffd,0x7ffff400,0x7cc002ff,0x0007ffff,0x006ffff8,0x37ffcc00,
    0x7ffff400,0x220bfee4,0x2000ffff,0x1ffffffe,0x401ff200,0x2ffffffe,
    0x5ffff900,0x7ffffe40,0x3ffff603,0x7fffec2f,0x83ff7006,0xffffffd8,
    0xffffe806,0x3fa001ff,0x001fffff,0x3fffffcc,0x3ffea000,0x200001ff,
    0x8002fffc,0x2e5ffffe,0xfff702ff,0x7fff4007,0x22001fff,0xfffd007f,
    0x32003fff,0x3202ffff,0x203fffff,0x44fffffc,0x006ffffe,0x7fdc0fff,
    0x7403ffff,0x01ffffff,0x3fffffa0,0x7fcc001f,0x40007fff,0x05fffffe,
    0x0bffe000,0x7ffff400,0xc80bfee6,0x3fa006ff,0x001fffff,0xffe803e4,
    0x9001ffff,0x6405ffff,0x203fffff,0x45fffffb,0x806fffff,0x7cc07ff9,
    0x7407ffff,0x01ffffff,0x3fffffa0,0x7fcc001f,0x20007fff,0xfffffff9,
    0x7f540000,0x3f60002f,0x3fee7fff,0x0effe402,0x7fffff40,0xf507701f,
    0x3ffffa00,0xff9001ff,0x7fe405ff,0x3ee03fff,0x3e27ffff,0xc805ffff,
    0x7cc01fff,0x3a01ffff,0x01ffffff,0x3fffffa0,0x7fcc001f,0x20007fff,
    0xfffffffd,0xdfd10004,0xffb00005,0x3fee1fff,0xdffc8802,0x3ffffa00,
    0x207901ff,0xffffd006,0x3f2003ff,0x3f202fff,0x2a03ffff,0x10ffffff,
    0x00bfffff,0x500bfffd,0x7407ffff,0x01ffffff,0x3fffffa0,0x7fcc001f,
    0x30007fff,0xffffffdf,0xdf50001f,0xfb000015,0x3ee3ffff,0x3fea002f,
    0x3ffffa01,0x007d01ff,0xfffffe80,0xfff9001f,0x7ffe405f,0x3fea03ff,
    0x7ffc7fff,0xffe805ff,0xffc804ff,0x3fffa02f,0x3a001fff,0x01ffffff,
    0x7ffffcc0,0xf3f90007,0x07ffffff,0x33ffaa00,0x3ff60000,0x5ff70fff,
    0x2effb880,0x7fffff40,0x003f881f,0x7fffff40,0xfff9001f,0x7ffe405f,
    0x3fea03ff,0x7ff46fff,0xffc806ff,0x7d404fff,0x3ffa00ff,0x2001ffff,
    0x1ffffffe,0x7fffcc00,0x5f88007f,0xdffffff9,0xeffa8000,0xfffb0000,
    0x017fdcff,0x2005ffd1,0x1ffffffe,0x40003fc8,0x1ffffffe,0x5ffff900,
    0x7ffffe40,0x3fffee03,0x7fffec4f,0xffff8806,0xff300eff,0xffffe80b,
    0x3fa001ff,0x001fffff,0x3fffffcc,0xf88fdc00,0x02ffffff,0x037fec00,
    0x6ffffe80,0x7440bfee,0x3fa005ff,0x541fffff,0x740003ff,0x01ffffff,
    0x05ffff90,0x1fffffe4,0x7fffff70,0x06ffffc8,0xffffff70,0x05ff705f,
    0xffffffe8,0x3fffa001,0x4c001fff,0x007fffff,0x7ffec6f8,0x40006fff,
    0x8005fffa,0x2e5ffffe,0xfffd02ff,0x7fff4005,0xfc989fff,0x740003ff,
    0x01ffffff,0x05ffff90,0x1fffffe4,0x3fffff90,0x07ffffb8,0x3fffff60,
    0x13fe24ff,0x3fffffa0,0x3ffa001f,0x4001ffff,0x07fffff9,0x3e617d40,
    0x01ffffff,0x3fffe200,0x7fff4000,0x20bfee3f,0x4007fff8,0xfffffffe,
    0x03ffffff,0x7ffff400,0xff9001ff,0x7fe405ff,0x3fe03fff,0x7d40ffff,
    0x64007fff,0xefffffff,0xfd004fe9,0x003fffff,0x7ffffff4,0x7ffcc001,
    0x374007ff,0xffffffe8,0x3fe20005,0x7fc002ff,0x3fee2fff,0x07fffb82,
    0x7fffff40,0xfffffeef,0x7ff40003,0x9001ffff,0x6405ffff,0x82ffffff,
    0x03fffff9,0x003fffff,0xffffffc8,0x3a002fff,0x01ffffff,0x3fffffa0,
    0x7fcc001f,0x26007fff,0xffff703f,0x20001fff,0x004ffffa,0x83ffffe2,
    0xffd82ffb,0x3fa000ff,0x2a1fffff,0x40003fff,0x1ffffffe,0x5ffff900,
    0x7ffffe40,0x3ffa62ff,0x3fee06ff,0xfa8002ff,0x1fffffff,0x3ffffa00,
    0x3fa001ff,0x001fffff,0x3fffffcc,0x7c01fb00,0x04ffffff,0x7ffff700,
    0x7fffcc00,0x6417fdc4,0x2002ffff,0x1ffffffe,0x0001ffcc,0x3ffffffa,
    0xffff9001,0x7fffe405,0xffdffdbf,0x2200efff,0x0003ffff,0xffffffd1,
    0x3ffa001f,0x2001ffff,0x1ffffffe,0x7fffcc00,0x09f3007f,0xffffffc8,
    0xffc8000f,0x3ee002ff,0x7fdc0fff,0x3ffffb82,0x3ffffa00,0x03fb81ff,
    0x7ffff400,0xff9001ff,0x7fe405ff,0xfff93fff,0x90019fff,0x8000bfff,
    0x6ffffffb,0xfffffd00,0x7ff4003f,0x4001ffff,0x07fffff8,0x33335f90,
    0xffff5333,0xb0007fff,0x4003ffff,0xfb84fffc,0xffffa82f,0x3fffa005,
    0x3f881fff,0x7fff4000,0xf9001fff,0x7e405fff,0x5cc3ffff,0x3e2000ac,
    0x40000fff,0x3fffffe9,0xfffffe80,0x3ffa001f,0x4001ffff,0x07fffff8,
    0xffffff88,0xffffffff,0x8006ffff,0x4007ffff,0xfb80ffff,0xffff982f,
    0x3fffa006,0x07d01fff,0x7fff4038,0xf9001fff,0x7e405fff,0x0003ffff,
    0x017ffe40,0x7ffec010,0xfffe805f,0x3a001fff,0x01ffffff,0x7ffffc40,
    0xaabfb806,0xbaaaaaaa,0x2fffffff,0x3fffe200,0x3ffea006,0x205ff705,
    0x2007ffff,0x1ffffffe,0x03c40790,0x3ffffffa,0xffff9001,0x7fffe405,
    0xe800003f,0xfe9805ff,0xffffb00e,0xfffffd00,0x7ff4003f,0x4001ffff,
    0x06fffff8,0x7ec005f8,0x005fffff,0x017fffe2,0x700effe8,0x3ffa05ff,
    0x3ffa007f,0x3301ffff,0x3fa03640,0x001fffff,0x405ffff9,0x03fffffc,
    0xffe88000,0x27fff401,0x807fff98,0x1ffffffe,0x3ffffa00,0x20cc01ff,
    0x406fffff,0x7d4002fb,0x01ffffff,0x013fffa0,0x70077fd4,0x3ff605ff,
    0x3ffa004f,0x0001ffff,0xfffe809f,0xf9001fff,0x7e405fff,0x0003ffff,
    0x40dfd100,0x205ffff8,0xfe805fff,0x001fffff,0x3ffffffa,0xf8fff201,
    0x7c04ffff,0xfffd0007,0x5c00bfff,0xfd006fff,0x2ffb801f,0x005fffd0,
    0x7ffffff4,0x03fc8001,0x7ffffff4,0xffffb001,0x7fffec05,0x2000003f,
    0x3fe04ff9,0xfff104ff,0xffffd007,0x7f4005ff,0x102fffff,0x7ff4bfff,
    0x17ee02ff,0x7fffdc00,0xd1000fff,0xfc803fff,0x2ffb801f,0x005fffa8,
    0x7ffffff4,0x17fe4002,0x3fffffa0,0xfff8802f,0x3ff602ff,0x00004fff,
    0x406ff4c0,0xf903fffc,0xfff001ff,0x4005ffff,0x2fffffff,0xfe97ffe0,
    0x3fe204ff,0xfff10003,0x400bffff,0x3204ffe8,0xff7001ef,0x06ffd885,
    0xffffff80,0xff91002f,0xffff803f,0xb9502fff,0x05ffffff,0x2ffffff4,
    0xea800000,0x0effe80e,0x003bff26,0x3fffffe2,0xfff1003f,0x5c07ffff,
    0x3fffe7ff,0x017ff600,0xfffffe80,0x362002ff,0x3f622eff,0x97fdc002,
    0x00cfffc8,0x7ffffc40,0x7dc406ff,0x2200ffff,0x3fffffff,0x33333310,
    0xffb50133,0x137fffff,0x77000000,0xfffff910,0x2200bfff,0xfffffffd,
    0x7fec402f,0x02ffffff,0xffddffd1,0x3ffaa03d,0x544002ff,0xffffffff,
    0x2e6000af,0x000756fd,0x77fcbfee,0xfd88000c,0xffffffff,0xfffedccd,
    0x2207ffff,0xfffffffd,0xd100002f,0xdddddddd,0x000007dd,0x99951000,
    0xffd10037,0xffffffff,0x3a25dfff,0xffffffff,0x82efffff,0x202cdcca,
    0xfffffffc,0x3fa601ef,0xffffffff,0x0000ffff,0xdd500001,0xfe880003,
    0xffffffff,0xffffffff,0x6fffffff,0x7fffff44,0xffffffff,0x0000002e,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x09999988,0x22000000,0x00099999,0x99999880,
    0x00000001,0xaacba988,0x00000009,0x99999880,0x98000000,0x00000999,
    0xdddb9710,0xdddddddd,0x59305ddd,0x4c02ee20,0x3a00000b,0x002fffff,
    0xfff10000,0x00003fff,0x1fffffd1,0x88000000,0xefffffeb,0x00beffff,
    0xff000000,0x0005ffff,0xffffb800,0x2600000f,0xfffffffd,0xfffeeeef,
    0xfffc809c,0x07fffd46,0x0013fffa,0x3ffffe60,0x20000002,0x01fffffa,
    0x3ffe2000,0x000003ff,0x57dffb50,0xecb98813,0x000000df,0x3ffffe60,
    0x44000002,0x04ffffff,0xffff5000,0x81ffffff,0x7ffc04fe,0x3fff61ff,
    0x3fffea3f,0x7e40000f,0x00002fff,0x7fffec00,0xf9800001,0x00006fff,
    0x16fff4c0,0x02ffb800,0xff900000,0x000005ff,0xffffff90,0xfb80001f,
    0xffffffff,0x017f40ff,0x45fffff1,0x364ffffe,0x003fffff,0x01ffff40,
    0x3e200000,0x00002fff,0x03fffe60,0x7fdc0000,0xd880000d,0x8000005f,
    0x0003ffff,0xffff9800,0x0005ffff,0x3fffffe6,0x40ffffff,0x7fec02fe,
    0x3ffee0ff,0x3ffffa1f,0x3e60003f,0x000003ff,0x02fffa80,0xff980000,
    0x4400003f,0x00003ffd,0x00004fa8,0x00fffe60,0x7ff40000,0x1fffd8bf,
    0xffffd000,0xffffffff,0x4c01fe81,0x7e442dfd,0x7fffe43e,0x3f20001f,
    0x0000004f,0x0005ffb0,0x37fd4000,0xffd10000,0x5c000005,0x9000002f,
    0x000009ff,0x907ffea0,0xf5000bff,0xffffffff,0xfe81ffff,0x5c000001,
    0x000fffff,0x00013fa0,0x1ffc4000,0x54000000,0xd00000ff,0x000001df,
    0x00001fd0,0x00009fd0,0x8077f400,0x64001ffb,0xffffffff,0x740fffff,
    0x4000001f,0x006ffff9,0x0000f220,0x02c98000,0x2a000000,0xfc80001c,
    0x0000001f,0x800009f1,0x000003c8,0x2a017ee0,0x7fec005f,0xffffffff,
    0x0ff40fff,0x7fc00000,0x000004ff,0x00000000,0x00000000,0x13fea000,
    0x40002200,0x0000007b,0x18800000,0xd000a600,0xffffffff,0xe81fffff,
    0xdddd101f,0xdddddddd,0x7fec5ddd,0x0500002f,0x00000000,0x00000000,
    0x06ff8800,0x86fff540,0xf00ccbaa,0x00000005,0x14000000,0xffff8000,
    0xffffffff,0x00ff40ff,0x7fffff4c,0xfa80bfff,0x980000ff,0xe880000f,
    0xeeeeeeee,0xeeeeeeee,0x5eeeeeee,0xeeeeee88,0xeeeeeeee,0xeeeeeeee,
    0x3ff205ee,0x3fff2000,0xffff9beb,0x3ae17a07,0xeeeeeeee,0xe804eeee,
    0xeeeeeeee,0x0f980000,0xfffe8000,0xffffffff,0x00ff40ff,0xffffff88,
    0x1bfe204f,0x01fe4000,0xffd51000,0xdddfffff,0xfffffddd,0x75440fff,
    0xefffffff,0xfffeeeee,0x3e07ffff,0xffd1004f,0x3ff3a61d,0x41b205ff,
    0xffffffc9,0x4c001fff,0x00bffffc,0x007f9000,0xfffffb00,0xffffffff,
    0x2001fe81,0x2fffffff,0x00027f40,0x0003ffc4,0x7ffffc40,0x3ee201ff,
    0xf8807fff,0x01ffffff,0x1ffffee2,0x4400ffd4,0x7fc1ffff,0x2e03ffff,
    0x7fffe407,0x20006fff,0x00001ffe,0x0001ffe2,0x3fffffee,0x0fffffff,
    0xfd000ff4,0x805fffff,0xb80002fc,0x00002fff,0xfffffff8,0x7ffd8801,
    0xffffff00,0xffb1003f,0x401bf60f,0xfe84fffe,0x2600ffff,0x7fff400f,
    0x0001ffff,0x800007ff,0x0002fffb,0x7fffffc4,0x0fffffff,0xfd000ff4,
    0x803fffff,0xf80000fa,0x00006fff,0xffffffe8,0x01ff2001,0x7ffffff4,
    0x21ff2001,0xfc803ff8,0xfff80fff,0x07c406ff,0x3ffffe60,0xfa8005ff,
    0xff800005,0xc80006ff,0xffffffff,0x7f40ffff,0x3fffa001,0x00001fff,
    0xfffff500,0xfe800003,0x001fffff,0x7f401fe2,0x001fffff,0x3fea1fe2,
    0x7fffd400,0xfffff884,0xd803c404,0x1fffffff,0x0007f400,0x3fffea00,
    0x7440001f,0xffffffff,0x0ff40fff,0xfffffd00,0x0000003f,0x17fffffa,
    0xfffd0000,0xc8003fff,0xffffd007,0x7c8003ff,0xfe806fb8,0xffa81fff,
    0x3cc02fff,0xfffff880,0x3ee005ff,0xfe800003,0x0005ffff,0xffffff88,
    0x740fffff,0x3ffa001f,0x0001ffff,0xffff9800,0x00000fff,0x3ffffffa,
    0x0f507701,0x3fffffa0,0xf507701f,0xfa80bf90,0xff707fff,0x0d500fff,
    0x7ffffe40,0x6f8801ff,0xff980000,0x000fffff,0xffffd880,0x740fffff,
    0x3ffa001f,0x0001ffff,0xffffd800,0x00004fff,0x3ffffffa,0x01a07901,
    0x7ffffff4,0x21a07901,0x7fec04fd,0xfffd04ff,0x00b700bf,0x7fffffc4,
    0x02fc806f,0xfffd8000,0x0004ffff,0x3fffb260,0x0ff40fff,0xfffffd00,
    0x8000003f,0xfffffef9,0xd00000ff,0x03ffffff,0xfd0000fa,0x203fffff,
    0x0ffa003e,0x1fffff98,0x3fffffa8,0x5c002e80,0x2fffffff,0x00017e60,
    0x3fffbe60,0x0000ffff,0xffba9880,0xd000ff40,0x03ffffff,0x9fc80000,
    0x3fffffff,0xfffd0000,0x7f103fff,0xfffe8000,0x3f881fff,0xc80ffe00,
    0xfb07ffff,0x9801ffff,0xfffd0007,0x7f40dfff,0xfc800000,0xfffffff9,
    0x44000003,0x00ff40ff,0xffffffd0,0x44000003,0xfffff95f,0x3a0000df,
    0x81ffffff,0x740003fc,0x81ffffff,0x3fa003fc,0x3ffff602,0xfffff985,
    0x0004c806,0xfffffff5,0x0009f507,0x3f2bf100,0x006fffff,0x07fc4000,
    0xfe8007fa,0x001fffff,0x447ee000,0x2fffffff,0xfffe8000,0x7fd41fff,
    0x7ff40003,0x7d41ffff,0x13f6003f,0x84ffffe8,0x04fffffd,0xd0000fc4,
    0x8fffffff,0x000006f8,0x3ffe23f7,0x0002ffff,0xd03fe200,0x7ff4003f,
    0x0001ffff,0xffb1be00,0x000dffff,0xffffffd0,0x7fff9313,0xfffe8000,
    0xfc989fff,0x3f6003ff,0x3ffffe05,0x7fffee43,0x0026c01f,0x3ffffe60,
    0x00bf23ff,0x3637c000,0x06ffffff,0x3fe20000,0xd000ff40,0x03ffffff,
    0x0bea0000,0xfffffff3,0xffe80003,0xffffffff,0x40003fff,0xfffffffe,
    0x03ffffff,0x7c41bf20,0x3ea3ffff,0x00fffffa,0x6c0001ae,0x8fffffff,
    0x000005f9,0xfff985f5,0x0001ffff,0xe81ff100,0x3ffa001f,0x0001ffff,
    0x3fa0dd00,0x005fffff,0x7fffff40,0xfffffeef,0x7ff40003,0xffeeffff,
    0x2a003fff,0xfff980ff,0xabfb9eff,0x2a06ffff,0xf300001f,0xb9ffffff,
    0x2000003f,0xffffd06e,0x00000bff,0x3fd03fe2,0x7ffff400,0x800001ff,
    0xfff703f9,0x0001ffff,0x7ffffff4,0x00fffea1,0xfffffd00,0x1fffd43f,
    0x2207fe00,0xffffffff,0x0bffff55,0x00ea0bee,0x7ffffe40,0x00004fff,
    0x3ee07f30,0x00ffffff,0x0ff88000,0xfd000ff4,0x003fffff,0x401fb000,
    0x4fffffff,0x3fffa000,0x7fcc1fff,0x7ff40003,0x7cc1ffff,0x17ec003f,
    0xffffffe8,0x1ffffe0d,0x0ba03fd3,0x7fffc400,0x0000ffff,0x7c01fb00,
    0x04ffffff,0x0ff88000,0xfd000ff4,0x003fffff,0x404f9800,0xfffffffc,
    0xfffd0000,0x7f703fff,0xfffe8000,0x3fb81fff,0xa837d400,0xb84fffff,
    0xfecfffff,0x000b700c,0xffffffc8,0xf3000006,0xffffc809,0x00000fff,
    0x3fa07fc4,0x3fffa001,0x00001fff,0x4cccd7e4,0xffffa999,0xd0003fff,
    0x03ffffff,0xe80007f1,0x81ffffff,0xfe8003f8,0x05bf9103,0x1e77ff54,
    0x00007e20,0xdffffff5,0x3f200000,0x9999999a,0xfffffffa,0x7c400003,
    0x000ff40f,0x3ffffffd,0x7fc40000,0xffffffff,0xffffffff,0xfffd0006,
    0x0fa03fff,0xfffe8070,0x07d01fff,0x00ffa838,0x99000000,0xfff50000,
    0x0000dfff,0xffffff10,0xffffffff,0x000dffff,0x740ff880,0x3ffa001f,
    0x0001ffff,0x2aaafee0,0xfbaaaaaa,0x02ffffff,0xfffffe80,0x4407901f,
    0x7ffff407,0x407901ff,0x00bfb078,0x1f500000,0xfff50000,0x0000dfff,
    0x55557f70,0xff755555,0x005fffff,0x207fc400,0x3fa001fe,0x001fffff,
    0xb0017e00,0x0bffffff,0xfffffd00,0xc806603f,0x7ffff406,0x403301ff,
    0x05fd106c,0x7d400000,0xff500002,0x000dffff,0xd800bf00,0x05ffffff,
    0x03fe2000,0x7f4003fd,0x001fffff,0x8005f700,0xfffffffa,0x7fff4001,
    0xf0001fff,0xffffe809,0x9f0001ff,0x0007fc40,0x00fdc000,0xffff5000,
    0x80000dff,0x7d4002fb,0x01ffffff,0x81ff1000,0x3fa001fe,0x002fffff,
    0x2000ff00,0x5ffffffe,0x7ffff400,0xfc8001ff,0x7ffff403,0xfc8001ff,
    0x01ffcc03,0x03f90000,0xfffa8000,0x00006fff,0xfe8003fc,0x005fffff,
    0xe81ff100,0x3ffe001f,0x0002ffff,0x70005fb8,0x1fffffff,0x7ffff400,
    0x7e4002ff,0x7fff402f,0x64002fff,0xfe8802ff,0x2600000e,0x800001fd,
    0x6ffffffa,0x17ee0000,0x7fffdc00,0x80000fff,0x0ff40ff8,0xfffff880,
    0x440003ff,0xf10003ff,0x0bffffff,0x7fffffc0,0xff91002f,0xffff803f,
    0x91002fff,0x64003fff,0x4c0003ff,0x00000cfd,0xffffff50,0x3e20000d,
    0xff10003f,0x00bfffff,0xe81ff100,0xffd8801f,0x02ffffff,0x017ff600,
    0xfffffe80,0xff8802ff,0x406fffff,0x0fffffb8,0x3ffffe20,0x7dc406ff,
    0x4000ffff,0x01acefd9,0x00cfea98,0x7fe40000,0x000fffff,0x005ffd80,
    0x3fffffa0,0x440002ff,0x80ff40ff,0xffffffe8,0xefffffff,0xfffd5002,
    0xfa88005f,0xffffffff,0xfffb100a,0x9bffffff,0xfffffdb9,0x7ec40fff,
    0xffffffff,0xfffedccd,0x0007ffff,0x3bfffb26,0xfffedccd,0x8000000c,
    0xfffffffa,0xd50000df,0x8005ffff,0xffffffa8,0x0000afff,0x1ed81dd1,
    0x20000000,0xfffffffc,0x3fa601ef,0xffffffff,0xfd10ffff,0xffffffff,
    0xffffffff,0xdfffffff,0xfffffe88,0xffffffff,0xffffffff,0x00006fff,
    0x79b99751,0x00000035,0xfffffdd1,0xffffffff,0x3ff2007d,0x1effffff,
    0x3ffffa60,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc80b32a0,0xc9800000,0x00059102,0x17973000,0x00000aa0,0x55975310,
    0x0000b801,0x004d654c,0x2ee20000,0x00039500,0x02cca800,0x00000032,
    0x220002dc,0x0bfffffe,0x000007ee,0xfa8bfff9,0x000007ff,0x37fffff2,
    0x00013e21,0x3fffae20,0x1cefffff,0x2e0007c4,0xffffffec,0x0000cdef,
    0x0bfffe20,0x0009fffd,0xffffd100,0x00fdc17d,0x05e80000,0x7ffff400,
    0x7fdeffff,0x7fc40000,0x3ffa0fff,0x800002ff,0xfffffffb,0x003ffdef,
    0x3fff2200,0xdcacdfff,0xfebcfffe,0xfffd3000,0xfd9537bf,0x00007fff,
    0x997fffee,0x0007ffff,0xfffffe80,0x0ffddfff,0xf9800000,0x3fea0001,
    0xffffffff,0x400005ff,0x22fffff9,0x004fffff,0x7fffc400,0xffffffff,
    0xf300000f,0x017fffff,0x7fffff54,0xffffc800,0x7fffd405,0x7e40000d,
    0x3fea7fff,0x00000fff,0x3fffffea,0x06ffffff,0x0d900000,0xdbcfd800,
    0xffffffff,0xfe800001,0x7ffe46ff,0x4c00000f,0xffffcbef,0x0004ffff,
    0xdfffff70,0x7ffdc001,0x3ffa600f,0xfb800eff,0x0003ffff,0xf0ffffe6,
    0x0000bfff,0xffebdfc8,0x01ffffff,0x07f00000,0x64c5d800,0x001ffffe,
    0x3bfb3000,0x002efc88,0x220fa800,0x04ffffdb,0xffff9000,0xf70001df,
    0x3fe201ff,0x2000ffff,0x03fffffc,0x033fae00,0x0003bfb5,0x764c5d80,
    0x0002ffff,0x001f5000,0x2a201a80,0x00000009,0x40000000,0x00554029,
    0xffffb800,0x360000ff,0xfffd00ff,0xff0007ff,0x0001ffff,0x00000000,
    0x0aa8806a,0x36000000,0x00000005,0x00000000,0x00000000,0x7fcc0000,
    0x0003ffff,0xffb80ff8,0x8000ffff,0x05fffffd,0x00000000,0x00000000,
    0x00be2000,0x00000000,0x03330000,0x98000000,0x74000019,0x007fffff,
    0xf981f900,0x005fffff,0xffffff50,0x00000007,0x02800000,0xc8c00000,
    0xeeee9807,0x03eeeeee,0xdddddd30,0xa8005ddd,0xfffffedc,0x0000bcde,
    0xffedca80,0x0bcdefff,0xffffa800,0x300005ff,0xffffe81f,0xf10003ff,
    0x41ffffff,0xeeeeeeed,0x2eeeeeee,0xeeeeeea8,0x80004eee,0x000000f9,
    0x3ffff6e6,0xfea8800e,0x2fffffff,0x3fff6600,0x3a6000bf,0xa9bdffff,
    0x02fffffc,0xfffd3000,0xff9537bf,0xe8005fff,0x03ffffff,0xf9836000,
    0x00ffffff,0x3ffffa00,0x7fcc43ff,0x9fffffff,0x7fecc400,0x00000aff,
    0x000007f9,0x3fafffee,0xd1002fff,0xffffffff,0x1ffc8001,0x7fffdc00,
    0x7fffd405,0x3ee0000d,0x7d405fff,0x9800dfff,0x0fffffff,0x3ea00000,
    0x00ffffff,0x3ffff600,0xfff505ff,0x0005ffff,0x00003ffb,0x0003ffc4,
    0xd077fec0,0x2007ffff,0xfffffff8,0x3e6000ef,0x3ffa6006,0xf9800eff,
    0x4003ffff,0x0effffe9,0xfffff980,0x7fffe403,0x000007ff,0x7fffffe4,
    0x7fec0007,0xf106ffff,0x03ffffff,0x000df700,0x02fffb80,0x3fff6000,
    0x3ffffe22,0x3fffe007,0x005fffff,0x7c4017e2,0x000fffff,0x0fffffee,
    0x7ffffc40,0x3fee000f,0x3fa03fff,0x006fffff,0x7ffec000,0x40007fff,
    0xfffffffc,0xfffff880,0xfa8000ff,0x7fc00005,0x300006ff,0xffb8ffff,
    0xf001ffff,0xffffffff,0x027c007f,0x2fffffd8,0x7fffc400,0xffd800ff,
    0x44002fff,0x00ffffff,0xdfffffff,0xff800000,0x006fffff,0x7ffffdc0,
    0xffff01ff,0x30001fff,0x5400009f,0x001fffff,0x46fffe80,0x1fffffee,
    0xfffb9f00,0x003fffff,0x3fee013e,0x8000ffff,0x05fffffc,0x7fffffdc,
    0xfffc8000,0xffff05ff,0x0000bfff,0x7ffffc40,0x5c0005ff,0x2fffffff,
    0xfffffff0,0x09f30001,0x7fff4000,0x540005ff,0x3e66ffff,0x006fffba,
    0x3fffa33e,0x800fffff,0x7ffcc04f,0x50005fff,0x07ffffff,0x3fffffe6,
    0xfff50005,0xff887fff,0x006fffff,0x3ffe2000,0x0005ffff,0x7fffffd4,
    0xfffff03f,0xf30001ff,0x3e600009,0x00ffffff,0x3ffff200,0x0bca9f25,
    0x7fc53e00,0x06ffffff,0x7ff404f8,0x0003ffff,0xfffffff1,0xfffffd01,
    0x3e20007f,0x20ffffff,0xfffffff8,0x7c000007,0x06ffffff,0x7fffdc00,
    0xfff01fff,0x0001ffff,0x200009f3,0xfffffffd,0x3ff60004,0x0013e6ff,
    0xfffa93e0,0x404fffff,0x3ffe604f,0x0000ffff,0x3ffffffa,0x7ffffcc3,
    0x3a0000ff,0x43ffffff,0xffffffff,0x3a000000,0x07ffffff,0x7fffe400,
    0xfff00fff,0x0001ffff,0x300009f3,0xffffffdf,0x3fe0001f,0x03f57fff,
    0xfb89f000,0x3fffffff,0xffa813e0,0x000fffff,0x3fffff60,0x7fffd45f,
    0x20000fff,0x5ffffffd,0x7ffffff4,0x2000001f,0x7ffffffd,0x7ffec000,
    0x3fe07fff,0x000fffff,0x80004f98,0xfffff9fc,0xf88003ff,0x6d8fffff,
    0xb09f0000,0xffffffff,0xfc813e03,0x007fffff,0x7ffffe40,0x7fffe46f,
    0x640007ff,0x46ffffff,0xfffffffd,0x2e000002,0x0fffffff,0x3fffa000,
    0x3fe06fff,0x000fffff,0x40004f98,0xffff95f8,0xf1000dff,0x7f5fffff,
    0x413e0000,0xfffffffe,0x3604f80f,0x07ffffff,0x7fffe400,0x7ffec7ff,
    0x40007fff,0x7ffffffc,0x7fffffd4,0x2000003f,0xfffffffa,0x3ffa0001,
    0x3e04ffff,0x00ffffff,0x0004f980,0xfff88fdc,0x8002ffff,0xfefffffe,
    0x09f00000,0x3fffffe2,0x204f86ff,0x6fffffff,0x7ffe4000,0x3fe1ffff,
    0x006fffff,0x7ffffe40,0x7fff41ff,0x00004fff,0x7fffff40,0x3fe0002f,
    0x200fffff,0x0fffffff,0x004f9800,0x3ff637c0,0x8006ffff,0x5ffffffd,
    0x813e0000,0xfffffff9,0xf8827c4f,0x05ffffff,0x7fffdc00,0xfff12fff,
    0x000bffff,0xffffffb8,0x7fffdc2f,0x000007ff,0x7fffffcc,0xfff50005,
    0xff807fff,0x000fffff,0x20004f98,0x7ffcc2fa,0x4001ffff,0x2ffffffb,
    0x013e0000,0xfffffff7,0xf8827c5f,0x05ffffff,0x7fffdc00,0xfff12fff,
    0x000bffff,0xffffffb8,0x7fffc42f,0x00002fff,0x3ffff605,0xfd8000ff,
    0xf806ffff,0x00ffffff,0x0004f980,0x7fff41ba,0x4c005fff,0x0effffff,
    0x04f80040,0xffffffc8,0x7c09f1ff,0x06ffffff,0x7fffdc00,0x3ffe1fff,
    0x0006ffff,0x7fffffdc,0xffff981f,0xd80006ff,0xfffff104,0xff98009f,
    0xf802ffff,0x00ffffff,0x0004f980,0x3fee07f3,0x000fffff,0x7fffffec,
    0x7c01b205,0xffffd004,0x09f1dfff,0x7ffffff4,0x7fe40007,0x3a0fffff,
    0x07ffffff,0x7fffe400,0xff700fff,0x0009ffff,0xff5027ec,0xc800ffff,
    0x004fffff,0x1fffffff,0x009f3000,0xff803f60,0x004fffff,0x7fffffc4,
    0x3fb50adf,0x44013e00,0xffffffff,0x3ff604fd,0x0007ffff,0x7fffffe4,
    0x7ffffec7,0x7e40007f,0x407fffff,0x3ffffffc,0x02ff4c00,0x27ffffcc,
    0xfffff980,0x3fffe003,0x98000fff,0x4f98004f,0x7ffffe40,0x7cc000ff,
    0xffffffff,0x3e003fff,0x3ffe6004,0x04ffffff,0x3fffffee,0x3f60000f,
    0x5c6fffff,0x0fffffff,0x3fff6000,0xfa806fff,0x01dfffff,0x013ff2a2,
    0x4ffffe88,0x7ffffd40,0x7fffc002,0xa8000fff,0xafc8003f,0xa9999999,
    0x3fffffff,0xffffc800,0x02ffffff,0x2a0027c0,0xffffffff,0x3fffea04,
    0x20001fff,0x3ffffffe,0x7fffffd4,0x3fa0001f,0x003fffff,0xffffffb1,
    0xffd9579d,0x910003df,0x237bffff,0xeffffca8,0xffff8001,0xa8000fff,
    0x7fc4003f,0xffffffff,0xffffffff,0xfefc8006,0x01dfffff,0xc8004f80,
    0x4fffffff,0x7fffff40,0xff10002f,0xd01fffff,0x05ffffff,0x3fffe200,
    0x44000fff,0xffffffeb,0x003dffff,0xffffb500,0x17dfffff,0x7fffc000,
    0xa8000fff,0x5fdc002f,0xaaaaaaaa,0xffffffba,0x8a7c002f,0x0000abca,
    0x7ec0013e,0x404fffff,0x5ffffff9,0xffff3000,0x3fe607ff,0x0005ffff,
    0x7ffffff3,0xcaa88000,0x000abcdf,0xffff1000,0x0000dfff,0x3ffffffa,
    0x01fc8001,0x36002fc0,0x05ffffff,0x00007ea0,0x880027c0,0x04fffffe,
    0xffffffd8,0xfffc8000,0x7fec06ff,0x8000ffff,0x06fffffc,0x01fe4000,
    0xff700000,0x003fffff,0xfffffb00,0x1fd0003f,0x0017dc00,0x3fffffea,
    0x00db001f,0x0027c000,0x9fffff30,0xfffff100,0xff88007f,0x4403ffff,
    0x03ffffff,0x7ffffc40,0x2600003f,0x0000efff,0xffffd000,0x50000bff,
    0x07ffffff,0x4006f980,0xffd0007f,0x100bffff,0x4000007f,0x7d40005f,
    0xf7004fff,0x800fffff,0x04fffffb,0xffffff70,0xffffb800,0x5c00004f,
    0x0002fffe,0xffff3000,0x80007fff,0x6ffffff8,0x00bfe200,0x70005fb8,
    0x1fffffff,0x0000fb80,0x000df100,0x009fff90,0x1fffffdc,0xfffff980,
    0x7ffdc004,0xff3003ff,0x00009fff,0x017ffe60,0xff980000,0x004fffff,
    0x7ffffdc0,0x0bfd005f,0x001ffc40,0xffffff88,0x002f405f,0x03ff7000,
    0x09ffb000,0xfffffa80,0x7fffcc04,0xff50004f,0xf9809fff,0x0004ffff,
    0x0fffe200,0xd1000000,0x7fffffff,0x3ff60003,0x881cffff,0x2000dfea,
    0x20005ffd,0xfffffffe,0x0005f302,0x3fffee00,0x3a20000b,0xfd88004f,
    0x731bdfff,0x03dffffd,0xfffd8800,0xfd731bdf,0x0003dfff,0x0fffc800,
    0x88000000,0xfffffffb,0x2007efff,0xfffffffb,0x5fffecdf,0x3fffaa00,
    0x7d44002f,0xffffffff,0x0003640a,0x3ffffe60,0x001effff,0x40009f10,
    0xfffffec9,0x02dfffff,0x7f64c000,0xffffffff,0x000002df,0x03bfff6e,
    0x20000000,0xeffffeda,0x6cc002bc,0xffffffff,0x32001dff,0xffffffff,
    0x3ffa601e,0xffffffff,0x006a0fff,0x00000000,0x800014c0,0xabcccba9,
    0x30000002,0x55799975,0x26000000,0x00000aaa,0x02200000,0xcba88000,
    0x000aaccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xca805dc4,
    0x5c400000,0x0039500b,0xdddddd30,0xa80007dd,0x00003dfd,0x0002ea80,
    0x00000000,0x00359510,0x00e64c00,0x55554400,0x2aa20002,0x044002aa,
    0x3ffff300,0x002ffff8,0x5ffff100,0x004fffe8,0x67ffffcc,0xffd80001,
    0x00006ffe,0x37bfb510,0x98800001,0x000abcaa,0x7ff4c0bb,0x0001effd,
    0x00037fc4,0x2fffffd8,0xffffd000,0x0fa2001f,0x4ffffc80,0x01bfffea,
    0x7fffdc00,0x1ffffe65,0xdffff300,0x37ee0000,0x0009f910,0x7ffff640,
    0x002effff,0x7fffecc0,0x03efffff,0x3fee09f9,0x07fff53f,0x00ffec00,
    0x7fffcc00,0xfa8006ff,0x005fffff,0x7f4005f9,0x3ff25fff,0x900007ff,
    0x7d4fffff,0x2000ffff,0x005ffff9,0xff01fd00,0xffd30000,0xfb57f717,
    0xb8009fff,0x9acefffe,0x3ffffea9,0x7fcc17ee,0x17fffc7f,0x027fd400,
    0xffffe800,0x7c002fff,0x1fffffff,0x037ffd40,0x22ffffa8,0x004ffff8,
    0x7ffff300,0x005ffff8,0x027fffcc,0xf905f800,0x7fd40001,0xf98fee1f,
    0xfb1007ff,0x5401bfff,0x5fceffff,0xb1bfffa0,0x4001dfff,0x0000eff8,
    0xfcffffa8,0x3ee006ff,0x5fffdeff,0x17fffe40,0xa83ffb80,0x00000cfe,
    0xb5033fae,0xf98003bf,0x00004fff,0x001fa0fd,0x5c5fff88,0x03ffd43f,
    0x2fffffcc,0xfffffa80,0xffff500f,0x3ffffd8b,0x007ff200,0x877ff400,
    0x8803fffa,0xff70dfff,0xfff9803f,0x00000004,0x00000000,0x04ffff98,
    0xa87f9000,0x3f20005f,0x41fdc3ff,0x7fcc07fa,0x6c007fff,0x702fffff,
    0xfc8bffff,0xf5004fff,0x2e00009f,0x7fcc0dff,0x84ffd806,0x7cc06ffa,
    0x000002ff,0x00000000,0xffff9800,0xfd100004,0x001ffd9d,0x22ffff40,
    0x40fd03fb,0x4fffffe8,0x7fffc400,0xfffd80ff,0x7fffe44f,0x0eff8806,
    0x4ff88000,0x980ffa60,0x3fe603ff,0x03fff602,0x00000000,0x00002800,
    0x009ffff3,0x7ffec400,0x3e20000e,0x3ee0ffff,0x7ec0f703,0x001fffff,
    0x5fffffe8,0x44ffffe8,0x806ffffc,0x00001ffc,0xfd1005d7,0x2007b201,
    0x7fedc6e9,0xdddd10df,0xdddddddd,0xdddddddd,0x000bdddd,0x0000f980,
    0x04ffff98,0x04fc8000,0xffff8800,0x207f70ef,0xffff5078,0xfb000bff,
    0x85ffffff,0x644ffffd,0x5405ffff,0x000004ff,0x00000000,0x8804d554,
    0xffffffea,0xfeeeeeef,0x07ffffff,0x01fe4000,0x7fffcc00,0x7c400004,
    0xff00007f,0xf75fffff,0xfffb0007,0xc8005fff,0xffffffdf,0x3ffff20f,
    0x27fffec5,0x001dfd10,0x00310000,0x00008800,0xfffff880,0x3ee201ff,
    0x00007fff,0x0001ffe2,0x013fffe6,0x5fff7000,0xfffd0000,0x07fdffff,
    0xfffff880,0x3ee001ff,0xfffffff5,0x2ffffd47,0x80bffff6,0x00002ffc,
    0x3fffb2e0,0xda8000cf,0x001deffe,0x3ffffe00,0xfd8801ff,0x2e00007f,
    0x40002fff,0x004ffff9,0x37fffc00,0x7ffcc000,0x04ffffff,0x7ffffdc0,
    0xdf3001ff,0x3fffff61,0x37fff44f,0xa81bfffa,0x000004ff,0xb5bfffb1,
    0x64009fff,0xfffbaeff,0xffd00002,0x4003ffff,0x200007fc,0x0006ffff,
    0x027fffcc,0xffff5000,0xfb00003f,0xffffffff,0x3ff6001b,0x800fffff,
    0x3ff20ff9,0x7cc6ffff,0x7fffc7ff,0x01dfd101,0xffd30000,0xdfffd83f,
    0x1bffa200,0x0007fff7,0xffffffd0,0x03fc4003,0xffffa800,0x3e60001f,
    0x00004fff,0x17fffffa,0x7ffe4000,0x2fffffff,0xfffffe80,0x1fe8807f,
    0x7fffffe4,0x53fffb87,0x7e405fff,0x8800002f,0xf885ffff,0x3fa05fff,
    0xfffe82ff,0x7ff40000,0x4001ffff,0xfd00007c,0x000bffff,0x027fffcc,
    0xffff9800,0x00000fff,0xfffffff9,0xff80bfff,0x807fffff,0xfffc82fe,
    0xe880ffff,0x00dffdff,0x00013fe6,0x1ffffe40,0x82ffffe8,0xfb07fffb,
    0xe8000bff,0x01ffffff,0x000f5077,0xffffff30,0x3e60001f,0x00004fff,
    0xfffffffb,0x7d400009,0xffffffff,0xfff880ef,0x6c06ffff,0xffff703f,
    0xa9805fff,0x0ffe8801,0x2b372a20,0x7fffc400,0xffff902f,0x5ffff88d,
    0x03ffff70,0x7ffff400,0x207901ff,0xffd80006,0x004fffff,0x09ffff30,
    0xffdf3000,0x001fffff,0x7ffec400,0x0effffff,0x7fffffc4,0x813f205f,
    0xfffffffb,0x3f200002,0x3bfea02f,0x3203ffeb,0x901fffff,0xfb8fffff,
    0xff705fff,0x740005ff,0x01ffffff,0x2000007d,0xfffffef9,0xf98000ff,
    0x80004fff,0xfffff9fc,0x800003ff,0xfffffffa,0xffff85ff,0xbf706fff,
    0xfffffb80,0x300001ff,0x7fe409ff,0x0dfff32f,0x07fffffa,0x0fffffe4,
    0x209ffffb,0x004ffffb,0x3fffffa0,0x003f881f,0xff3f9000,0x007fffff,
    0x09ffff30,0xf95f8800,0x00dfffff,0x3ffee000,0x41ffffff,0x7ffffffd,
    0xfc806fa8,0x00ffffff,0x0ffe8800,0xe8ffff50,0xfff83fff,0xff700fff,
    0x7ff47fff,0xccccceff,0x005ffffd,0x3fffffa0,0x003fc81f,0xf95f8800,
    0x00dfffff,0x09ffff30,0xf11fb800,0x05ffffff,0xfdf70000,0x8bffffff,
    0x7ffffffb,0x640077cc,0x07ffffff,0x05ff9000,0x3637fff4,0x3e21ffff,
    0x700fffff,0x7cbfffff,0xffffffff,0x6fffffff,0x3fffa000,0x7fd41fff,
    0xfb800003,0xffffff11,0xff98005f,0x7c0004ff,0x7ffffec6,0xb800006f,
    0xfffffabf,0x7fffd46f,0x3ff10fff,0x3ffff600,0x980006ff,0x3fea05ff,
    0x7ffe45ff,0x3fffe64f,0xfff700ff,0x3ffe2dff,0x000005ff,0xffffffd0,
    0x7fff9313,0x8df00000,0x6ffffffd,0x7fffcc00,0x0bea0004,0xfffffff3,
    0x5c008003,0xfffff53f,0xfffff88f,0x01fe89ff,0x3fffffa0,0xfe80003f,
    0x3ffee00f,0x7fffdc5f,0x3ffffe65,0xffff900f,0x3fffe6df,0x0000007f,
    0xfffffffd,0x07ffffff,0x42fa8000,0xfffffff9,0x3ffe6001,0x1ba0004f,
    0x7ffffff4,0x7016c005,0x7fffe47f,0xfffffe87,0x2002fdaf,0xfffffff8,
    0x7fe40000,0x7fffe402,0x37fffdc5,0x1ffffff1,0x3fffff20,0xffffff15,
    0xd0000001,0xddffffff,0x007fffff,0xfd06e800,0x00bfffff,0x027fffcc,
    0xf703f980,0x01ffffff,0x7f702ec0,0x437fffcc,0xfffffffa,0x7fd4004f,
    0x0004ffff,0x6c02ffcc,0x7dc5ffff,0x7ffc7fff,0xff900fff,0x7ffc9fff,
    0x00001fff,0xfffffe80,0x0fffea1f,0x03f98000,0xfffffff7,0x3ffe6001,
    0x1fb0004f,0x7fffffc0,0x03f6004f,0x3ffe1fdc,0xffffd05f,0xfb000bff,
    0x001fffff,0x800ffe80,0x5c5ffffc,0x7ec5ffff,0xf901ffff,0x7f45ffff,
    0x0005ffff,0xffffe800,0x1ffcc1ff,0x01fb0000,0x7ffffffc,0xffff3004,
    0x09f30009,0xffffffc8,0x07fb000f,0xfff88fee,0xffff302f,0xf88005ff,
    0x002fffff,0x8017fe40,0x646ffffa,0x7d44ffff,0xfb01ffff,0x7dc1ffff,
    0x402fffff,0x3fa0005a,0xb81fffff,0xf300003f,0xffffc809,0xf9800fff,
    0xc8004fff,0x999999af,0xffffffa9,0x5ffb003f,0x7fd47f70,0x7ffd405f,
    0x7e4006ff,0x0004ffff,0x1002ffcc,0xfc8dffff,0xffe82fff,0xfffd02ff,
    0xffff887f,0x3f300eff,0x7fff4000,0x3f881fff,0x35f90000,0xf5333333,
    0x07ffffff,0x09ffff30,0xfffff880,0xffffffff,0x006fffff,0xfb85fffb,
    0x01dffd13,0x9fffff70,0x3fffe600,0xfe80004f,0x7fe4000f,0x2fffec7f,
    0x04ffffa8,0x901fffff,0x3dffffff,0x40005ea8,0x1ffffffe,0x803807d0,
    0xfffffff8,0xffffffff,0xf9806fff,0x5c004fff,0xaaaaaabf,0xffffbaaa,
    0xfd802fff,0xfb9befff,0x00dfffcb,0xfffffe88,0x7ffcc03f,0xc80002ff,
    0xfd0002ff,0x3ffe23ff,0x3fff200f,0x7fffdc0f,0xffffd101,0xdffdffff,
    0xffe80001,0x7901ffff,0x7dc03c40,0xaaaaaaab,0xfffffbaa,0x7fcc02ff,
    0x2fc004ff,0x3ffff600,0xda8805ff,0xffffffff,0xd1002dff,0xfffd713f,
    0x3f26239d,0x0000dfff,0x0005ff98,0x3237ff62,0xfb801eff,0xfff51dff,
    0xfffb001d,0x1dffffff,0xfffd0000,0x06603fff,0x05f806c8,0x7ffffec0,
    0x7ffcc05f,0x0bee004f,0xfffff500,0xa98003ff,0x001dfdba,0xfea82fd8,
    0xffffffff,0x200000be,0x80000ffe,0x04efffeb,0x7ffff4c0,0x2000dfff,
    0xfffffffc,0xfd00000c,0x003fffff,0x5f7013e0,0xffffa800,0x3e601fff,
    0x3e004fff,0xfffd0007,0x8000bfff,0xfb8003fb,0xccba9803,0x800001ab,
    0x00000998,0x73000018,0x88000159,0x0000abca,0x7fffff40,0x3fc8001f,
    0xe8003fc0,0x05ffffff,0x013fffe6,0xb8002fdc,0x0fffffff,0x00fee000,
    0x000001c0,0x00000000,0x00000000,0x00000000,0x7fffff40,0x7fe4002f,
    0x0017ee02,0x7fffffdc,0xffff300f,0x07ff1009,0x3fffe200,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,0xf91002ff,
    0x3fe203ff,0xfff10003,0x260bffff,0xd805ffff,0x3a0005ff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0x0dffffff,
    0xfffffb88,0x00bffb00,0x7fffff40,0xfff982ff,0xffd500ff,0xa88005ff,
    0xffffffff,0x000000af,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffff62,0xdccdffff,0xfffffffe,0xffffea87,0x7fd44002,0xafffffff,
    0x3ffffe60,0xfff92cdf,0x03dfffff,0x7fffff4c,0xffffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3a200000,0xffffffff,0xffffffff,
    0xffffffff,0x7ffffe46,0x2601efff,0xfffffffe,0x20ffffff,0x99999999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x80001797,0x002aaaa8,0x2aaaaa00,0x06a20000,
    0x1cca8000,0x0000e600,0x3000e654,0x99100007,0x132e0007,0x3001cc98,
    0x2a015795,0xbca88000,0x2e20009a,0x80054400,0x02fffffd,0x3ffff600,
    0xfb80002f,0x8003ffff,0x0cffffeb,0x1bfe2000,0x007fed40,0x01bfe200,
    0x0007fed4,0x000bff20,0xff903ffc,0x7ffe4405,0x20aeffff,0xffb5001e,
    0x19ffffff,0x6fffec40,0x04fffc80,0x7dc56fe4,0xff98000f,0x0006ffff,
    0x7fffffc4,0x3fee000f,0x004fffff,0x9807ff60,0x00fffffc,0x00ffec00,
    0x1fffff93,0x27fd4000,0x05ff8800,0x7d403ff6,0xca889cff,0x01fddfff,
    0x11efffb8,0x207ffffb,0x43fffffb,0x02fffffa,0x09f50df1,0xfffffd00,
    0x640005ff,0x4fffffff,0xb315f300,0x0001ffff,0x6c407ff7,0x00ffffdb,
    0x80ffee00,0xffffdbd8,0xffd10000,0x3fea0001,0x541bfe04,0x36202fff,
    0x6c01ffff,0xff80ffff,0xffe82fff,0x7ff46fff,0x7f305fff,0xf5001be0,
    0xdfff9fff,0x3ffe6000,0x00ffffcf,0x7ffc40c8,0x7fc4000f,0x3ffe6006,
    0xff10000f,0x7ffcc00d,0xff90000f,0x7fe40005,0x10bff102,0x2e00dfff,
    0x3f201fff,0xffb05fff,0xfff88fff,0x3fa0ffff,0xf306ffff,0x800bf109,
    0xff50effe,0xffb0007f,0x13ffe63f,0x05ffe800,0x001ffd80,0x003fffe6,
    0x000ffec0,0x001ffff3,0x000bff50,0xf500ffd8,0x5fffd07f,0x00ffec00,
    0x209fffff,0x41fffffc,0x47ffffff,0x03fffffb,0x013ee1fe,0x4c0dffb8,
    0x7d4007ff,0x7ff440ef,0x4ffa8000,0x03ffb800,0x07fffcc0,0x01ffdc00,
    0x03fffe60,0x01ffd100,0x207ff800,0x7fc42ffc,0x3a2001ff,0xffff302f,
    0x3fff209f,0x7fff43ff,0x7ff446ff,0x3bee00ef,0x000ffc9b,0x74409ff1,
    0x37fa003f,0x00bfb100,0x0f7ffdc4,0x00dff100,0x01ffff30,0x006ff880,
    0x00ffff98,0x0017fe40,0xd817fe20,0x7ffd40ff,0x17d4003f,0x4fffffa8,
    0x7fffff70,0x5fffffd8,0x2e003950,0x001effff,0x3a200bae,0x03ea800f,
    0xd1003fb0,0x03ffffff,0x0007ff60,0x003fffe6,0x0003ffb0,0x001ffff3,
    0x0002ffcc,0xff027fd4,0xfffff70d,0x817c4003,0x04fffffb,0x85fffff9,
    0x03fffffb,0x0aea2000,0x00000000,0x26000000,0x805ffffd,0x30003ffb,
    0x4001ffff,0x30003ffb,0x2001ffff,0x0000ffe8,0xf102ffc8,0xffff70bf,
    0x16c003ff,0x4fffffb8,0x1fffff90,0x1fffff98,0x01880000,0x000c4000,
    0x80000000,0x200ffffc,0x20006ff8,0x000ffff9,0x4000dff1,0x000ffff9,
    0x88005ff9,0xffffffff,0xffffffff,0xff34ffff,0x019fffff,0x3fee0130,
    0xffb04fff,0xfff107ff,0x400c01ff,0xffffecb8,0x65c4003e,0x03effffe,
    0x66666654,0x6666643c,0x22001ccc,0x7ec07fff,0x3e60001f,0xfb000fff,
    0x7cc0003f,0xf9800fff,0xff88005f,0xffffffff,0xffffffff,0x3fffe4ff,
    0x00bfffff,0xfffff700,0x5ffff509,0x037fff40,0xeffa803e,0x6ffffebc,
    0x79dff500,0x40dffffd,0xffffffc9,0x7ffff545,0x7e4002ff,0x13fea05f,
    0xffff3000,0x09ff5001,0xffff9800,0x00ffe800,0xfffff880,0xffffffff,
    0x4fffffff,0x3ffffff6,0x8003ffff,0x24fffffb,0x802efff9,0x2604fffc,
    0x3ffd881f,0x05ffffd8,0x360fff62,0x6405ffff,0xf05fffff,0x705fffff,
    0x03ff5017,0x0001bfe2,0x003fffe6,0x0000dff1,0x801ffff3,0x00002ffc,
    0xff80ffea,0x3fffe206,0xefffffff,0x3ffee002,0x3ff624ff,0x3ea00cff,
    0x0fea02ff,0x260bfff2,0x903fffff,0xff305fff,0x7dc07fff,0xfd05ffff,
    0xfb85ffff,0x0ffa0bff,0x0001ffd8,0x00ffffa8,0x0000ffec,0x007fffd4,
    0x0000bff3,0xf102ffc8,0xfff980bf,0xffffffff,0xffb801ef,0xff904fff,
    0x3fe203ff,0x213ee00f,0xf886ffff,0xff06ffff,0xfff10dff,0x7fd40dff,
    0xffb05fff,0xff985fff,0x01efdfff,0x00013fea,0xbffffd75,0x09ff5035,
    0xffeba800,0xfe81adff,0x6c00000f,0x7ff500ff,0xfffff500,0xffffffff,
    0xffffb807,0x3fffe04f,0x901bfa06,0xffffa8bf,0x7fffc42f,0xffffa87f,
    0x7fffc42f,0x3ffea07f,0xfffb05ff,0x997105ff,0xff880359,0x83db1006,
    0xaaaaaaaa,0x037fc41a,0x5541ed88,0x1aaaaaaa,0xb8817fe4,0xff000cdd,
    0x00ffe40f,0xfffffe98,0x4fffffff,0x3ffffee0,0x3ffff604,0xd80bfb04,
    0x7fffcc7f,0x7fffc42f,0xffff987f,0x7fffc42f,0x3ffea07f,0xfffb05ff,
    0x400005ff,0xfd001ffd,0xfb00005f,0x3ffa003f,0x7fcc0002,0xfffffb05,
    0x5ff8807f,0x0003ff60,0xfffffff9,0x209fffff,0x04fffffb,0x03fffff6,
    0xfff013f2,0x86fffd81,0x07fffff8,0xf10dfffb,0x540fffff,0xb05fffff,
    0x005fffff,0x013fea00,0x0017ffec,0x4013fea0,0x0002fffd,0x7dc07ff4,
    0x2fffffff,0xf813fea0,0xf910006f,0xffffffff,0xfff701ff,0x7fe409ff,
    0x3fa81fff,0x20bffe60,0xffea81b8,0x2e207fff,0xffffea81,0x3ffea07f,
    0xfffb05ff,0x100005ff,0x3ee00dff,0x20002fff,0xf7006ff8,0x40005fff,
    0xbf982ffc,0x5ffffd99,0x3ffb3322,0xfccccccd,0x02ccccef,0x3ffff660,
    0xb85fffff,0x204fffff,0x83fffffc,0x3fee01f9,0xdfd5004f,0x00ffffff,
    0xfffefea8,0x3fea07ff,0xffb05fff,0x00005fff,0xf5003ffb,0x0005ffff,
    0x5400ffec,0x002fffff,0x2e0bff30,0x25fffe82,0xfffffff8,0xffffffff,
    0x154fffff,0x3fffa600,0xfb87ffff,0x3204ffff,0x884fffff,0x3fff600f,
    0x67ff4c06,0x07fffff8,0xf19ffd30,0x540fffff,0xb05fffff,0x005fffff,
    0x804ffa80,0x2fffccf9,0x09ff5000,0xfff99f30,0x3ffa0005,0x7ffdc000,
    0x3ffffe22,0xffffffff,0x4fffffff,0xffb80079,0x5c0fffff,0x204fffff,
    0x06fffffc,0xfffff803,0x3fffd880,0x0ffffff1,0x13fffd88,0x40ffffff,
    0x05fffffa,0x05fffffb,0x037fc400,0xfffcafc4,0x6ff88002,0xff95f880,
    0xff90005f,0xfff90005,0xdffa9981,0xfe999999,0x9099999f,0xfff5000d,
    0xffb83fff,0x3f204fff,0x8005ffff,0x42fffff9,0x222fffe9,0x207fffff,
    0x222fffe9,0x207fffff,0x05fffffa,0x05fffffb,0x00ffec00,0x7fe43ba2,
    0xffd8002f,0xc8774401,0x4c002fff,0xfd0005ff,0x1ffd409f,0xfc80dff0,
    0xfffb8001,0x7ffdc0ff,0x3ff204ff,0xa8003fff,0x2a3fffff,0x7c44ffff,
    0xf507ffff,0xff889fff,0x3ea07fff,0xfb05ffff,0x0005ffff,0x36013fea,
    0x0bfff20f,0x009ff500,0x7ffe41fb,0x07ff4002,0x02ffcc00,0x7cc0bff2,
    0x027e405f,0x37fffc40,0x27ffffdc,0x5fffff50,0x3f201710,0xff15ffff,
    0xff885fff,0xff887fff,0x7fc42fff,0x3ea07fff,0xfb05ffff,0x0005ffff,
    0xf900dff1,0x02fffc83,0x201bfe20,0x7ffe41fc,0x0bff2002,0x0077ec00,
    0x7d403ff6,0x0ffe403f,0x2ffff400,0x27ffffdc,0x3ffe2151,0x7ffec0ff,
    0x7ffff40d,0xfffff97f,0xfffff883,0xfffffc87,0x7ffffc41,0x3fffe607,
    0xffffb06f,0xffb0005f,0xeeff8803,0x5effffee,0x803ffb00,0xfeeeeff8,
    0x9805efff,0xf90005ff,0x0fff001d,0x3200ffe4,0x7c000eff,0xffb81fff,
    0xfff14fff,0x51ffff63,0xf87fffff,0xfd7fffff,0xfb89ffff,0x740fffff,
    0x5c4fffff,0x00ffffff,0x0dfffff3,0x5ffffff5,0x04ffa800,0xffffff88,
    0x807fffff,0xf8804ffa,0xffffffff,0xffe807ff,0x85fa8000,0x02ffc42a,
    0xfc801ffd,0x3e6005ff,0xfff903ff,0x3ffee9ff,0xd85fff73,0x226fffff,
    0x8fffffff,0xdffffffe,0xfffffffb,0x3fffa10f,0xfffbdfff,0x010fffff,
    0x41ffffff,0xfffffff9,0x1bfe2003,0x66666440,0x04dfffec,0x88037fc4,
    0xfecccccc,0x7e404dff,0xef98002f,0x43fb9999,0x3fe03ffa,0xffffc806,
    0x7ff4401e,0x3ffff605,0x27fff54f,0xffe84ffa,0x7ffc6fff,0xfff77fff,
    0xd3dfffff,0x7dbfffff,0x3fffffee,0xfffe9eff,0xfc83edff,0xfcbeffff,
    0x4fffffee,0x007ff600,0x0bfff200,0x0007ff60,0x00bfff20,0x3000bff3,
    0xffffffff,0x01ffc83f,0xf900bff3,0x159fffff,0x01fffd44,0x9ffffff5,
    0x7f56fff4,0xfffff506,0xfffffc87,0xffffff14,0x7fffd49f,0x3ffe23ff,
    0x3ea4ffff,0x203fffff,0xfffffffe,0xfffffd8d,0x4ffa801e,0xfff90000,
    0x04ffa805,0x5fff9000,0x000ffe80,0x7fffffcc,0xffd87fff,0x007ff500,
    0x3fae23f9,0xdffffeff,0x3ffff200,0x3ae24fff,0x3600adff,0x7c40efff,
    0x3261ffff,0xec81dfff,0xfc983eff,0xfec81dff,0x7ec403ef,0x3f64ffff,
    0x04ffffff,0x0001bfe2,0x202fffc8,0x00006ff8,0xc80bfff2,0x744002ff,
    0xffffffff,0x203cc86f,0x1a801cca,0x37999510,0x04000001,0x5006e200,
    0x80044059,0x00088008,0xbb880011,0x54c00001,0x0000001a,0x00035530,
    0x0aaa0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x88000000,0x01aabca9,0xffd1005c,0x80005fff,0x3fffffe8,0x08010000,
    0x3fffea00,0xf00000ff,0x005fffff,0x80000310,0x05fffffc,0x04401880,
    0xffffe800,0x1002004f,0x20000200,0xffffedb8,0x41cfffff,0x7fc400f9,
    0x80005fff,0x06ffffe8,0x067f5c00,0x40077f66,0x02fffffa,0xffff9800,
    0x7ecc003f,0xf00002ef,0x800bffff,0x40befffa,0xf88002f9,0x3004ffff,
    0xfc885dfb,0x5dfd503e,0x3ffee000,0xba99acff,0xfbcffffc,0xfff8800f,
    0xd100007f,0x0001ffff,0xf13fffe6,0x5400dfff,0x0005ffff,0x03ffffc8,
    0x7ffffd80,0xfff98000,0x7fdc006f,0x9adfffff,0xfb8001fe,0x3a004fff,
    0x7fe47fff,0x7ffd41ff,0x3a6002ff,0x400dffff,0xffffffc8,0xffff3000,
    0x3a200005,0x90003fff,0x7d4fffff,0x2001ffff,0x000ffffb,0x01ffffc0,
    0x7ffffcc0,0x7e40002f,0x22000eff,0xffffffff,0x0007ffff,0x400bfffd,
    0x22fffff9,0x6c4fffff,0x005fffff,0x07fffff7,0xffffe880,0x3ffe6000,
    0x3e200005,0xf50006ff,0x7fc4dfff,0x5c000fff,0x20002fff,0x0004fff9,
    0x7ffffff3,0xefff8000,0x7ffdc000,0xffffffff,0xff88003f,0x7fc4005f,
    0x3ffa1fff,0x7fffc3ff,0xffd807ff,0x10004fff,0x8001fffd,0x00007ff9,
    0x0007ffcc,0x6c2ffff8,0x70004fff,0x64000bff,0x740004ff,0x000fffff,
    0x003bfe60,0x7e4c3f20,0x005fffff,0x000bff70,0xf517fff2,0xfffb0fff,
    0xffa80bff,0x40006fff,0x8000fff9,0x00002ffa,0x0001ffcc,0x07260175,
    0x01ff9000,0x0017fe00,0x0ffffea0,0x01df9000,0x64c0f200,0x360003de,
    0x64c0006f,0x26057101,0x201fffff,0x3ffffff8,0x0ffa8000,0x007d5000,
    0x009d3000,0x00000000,0x260007b2,0x5400004e,0xdd80000b,0x00000000,
    0x006f4400,0x4c000000,0x7ec01dfd,0x000fffff,0x0001fd00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ee00000,
    0x005fffff,0x0003ea00,0x000000c4,0x06200000,0x00110000,0x00002200,
    0x00000000,0x00062000,0x00003100,0x00000088,0x7fffffff,0x00e80000,
    0xfffecb88,0x665403ef,0x643ccccc,0x1ccccccc,0x7ff65c40,0x50003eff,
    0x03bdffdb,0xeffeda80,0x8000001d,0xccccccca,0x66666643,0x65c401cc,
    0x03effffe,0x7ff65c40,0x50003eff,0x03bdffdb,0x3ffe6000,0x0002ffff,
    0xeffa8000,0x6ffffebc,0x3ffff260,0x7ff545ff,0x2a02ffff,0xffebceff,
    0x7e4006ff,0x2fffbaef,0x75dff900,0x20005fff,0xffc98059,0x7545ffff,
    0x02ffffff,0x3af3bfea,0x5006ffff,0xffd79dff,0xfc800dff,0x2fffbaef,
    0xfffa8000,0x0001ffff,0x3ff62000,0x5ffffd83,0x7ffffe40,0xffffff05,
    0x07ffb105,0x00bffffb,0xfb8dffd1,0x3fa203ff,0x1fffdc6f,0x90025c00,
    0x20bfffff,0x82ffffff,0xfd83ffd8,0x36205fff,0xfffd83ff,0xffe8805f,
    0x01fffdc6,0x3ffff200,0x00000fff,0x0bfff200,0x0fffffe6,0x5fffffb8,
    0x5fffffd0,0x305fff90,0x807fffff,0xfe82fffe,0xfffd00ff,0x01fffd05,
    0x2e004d80,0xd05fffff,0x905fffff,0xff305fff,0x3f207fff,0xfff982ff,
    0x7ff403ff,0x0fffe82f,0x3fff6000,0x00007fff,0x37fffc00,0x37ffffc4,
    0xbfffff50,0x3fffff60,0x86ffff82,0x06fffff8,0x6c1fffee,0xffb85fff,
    0xbfffb07f,0x001fc400,0x0bfffff5,0x0bfffff6,0x221bfffe,0xf06fffff,
    0xff10dfff,0x7dc0dfff,0xfffb07ff,0x7ffc000b,0x0006ffff,0x3ffea000,
    0x7ffc42ff,0x3fea07ff,0xffb05fff,0xffa85fff,0x7fc42fff,0xff107fff,
    0x3fee0bff,0x3ffe21ff,0xffff705f,0x01fd1003,0x7ffffd40,0xfffffb05,
    0xfffffa85,0x7ffffc42,0xfffffa87,0x7ffffc42,0xbffff107,0x07fffee0,
    0x3e207b71,0x06ffffff,0x3e600000,0x7c42ffff,0x2a07ffff,0xb05fffff,
    0x985fffff,0x442fffff,0x707fffff,0x2e0bffff,0x3ee2ffff,0xff705fff,
    0xffa805ff,0x7ffd4005,0xfffb05ff,0xfff985ff,0x7ffc42ff,0xfff987ff,
    0x7ffc42ff,0xfff707ff,0x3ffee0bf,0x3fffee2f,0xfffff80e,0x000006ff,
    0x437ffec0,0x07fffff8,0x17ffffea,0x17ffffec,0x4437ffec,0xb07fffff,
    0x2e09ffff,0x3f64ffff,0xff704fff,0x7fe409ff,0x7fd4001f,0xffb05fff,
    0xffb05fff,0xffff10df,0x3fff60ff,0xfffff886,0x9ffffb07,0x53fffee0,
    0x6ffffff8,0xfffffff8,0x3332e007,0xcccccccc,0x40dc42cc,0x7fffffea,
    0x3ffffea0,0xfffffb05,0x2a06e205,0x07fffffe,0x99dffffd,0xffffb999,
    0x77ffff4b,0xffdccccc,0xffe885ff,0xffa8006f,0xffb05fff,0x2e205fff,
    0xffffea81,0x206e207f,0x7fffffea,0x9dffffd0,0xfffb9999,0x3fffeebf,
    0x7ff42fff,0x2007ffff,0xfffffca8,0x01bdffff,0xfffefea8,0x3fea07ff,
    0xffb05fff,0x54005fff,0xfffffefe,0xffffff07,0xffffffff,0x7fffcdff,
    0xffffffff,0x7c46ffff,0x8002ffff,0x05fffffa,0x05fffffb,0x7ff7f540,
    0x54007fff,0xfffffefe,0xffffff07,0xffffffff,0x3ffeadff,0x7e43ffff,
    0x00ffffff,0xfffffb80,0xfd3004ff,0xfffff19f,0x7fffd40f,0xffffb05f,
    0xffd3005f,0xffffff19,0xbfffff10,0xffff1000,0x3a2000bf,0x0006ffff,
    0x0bfffff5,0x0bfffff6,0x233ffa60,0x007fffff,0xff19ffd3,0xff10ffff,
    0x2000bfff,0x4fffffff,0x7fffffcc,0xff88001f,0x401fffff,0xf13fffd8,
    0x540fffff,0xb05fffff,0x405fffff,0xf13fffd8,0xf30fffff,0x000fffff,
    0x0ffffff3,0x3fffee00,0xff50004f,0x3f60bfff,0x2202ffff,0xff13fffd,
    0xd880ffff,0xfff13fff,0xfff30fff,0x2a000fff,0x84ffeffe,0x3ffffffe,
    0xfffff000,0x7f4c03ff,0x3ffe22ff,0x3fea07ff,0xffb05fff,0x3a605fff,
    0x3fe22fff,0xff887fff,0x4000ffff,0x0ffffff8,0xffffe800,0x05bd703f,
    0x0bfffff5,0x0bfffff6,0x117fff4c,0x40ffffff,0x222fffe9,0x887fffff,
    0x00ffffff,0x17fc2200,0x7fffffd4,0xffff0005,0x3ea01fff,0x7fc44fff,
    0x3ea07fff,0xfb05ffff,0xf505ffff,0xff889fff,0xfff07fff,0xf0003fff,
    0x003fffff,0xffffff88,0x0ffff982,0x2fffffd4,0x2fffffd8,0x44ffffa8,
    0x07fffff8,0x889ffff5,0xf07fffff,0x003fffff,0x203ff300,0x0ffffffc,
    0xfffff800,0xfff880ff,0x7ffc42ff,0x3fea07ff,0xffb05fff,0xff885fff,
    0x7fc42fff,0xffd07fff,0xd000bfff,0x00bfffff,0xffffffa8,0x4ffffc81,
    0x2fffffd4,0x2fffffd8,0x17ffffc4,0x1fffffe2,0x0bffffe2,0x0ffffff1,
    0x17fffffa,0x017f2000,0x09fffffd,0xffffff00,0xffff901f,0xffff883f,
    0x3ffe607f,0xfffb06ff,0xfffc85ff,0x7ffc41ff,0xfff707ff,0x5a805fff,
    0x3fffffee,0xff9ad402,0xfa82ffff,0x7fcc5fff,0xffb06fff,0xffc85fff,
    0x7fc41fff,0xffc87fff,0x7fc41fff,0xff707fff,0xa805ffff,0x1007fe05,
    0x01ffffff,0xffffff80,0xffffe80f,0x7fffdc4f,0xfff300ff,0xfff50dff,
    0xffe85fff,0x7fdc4fff,0xf880ffff,0x00efffff,0x7ffc43f3,0xf300efff,
    0x3ffffe23,0x7ffff03f,0x6fffff98,0xffffffa8,0x7fffff42,0x7ffffdc4,
    0x7ffff40f,0x7fffdc4f,0xfff880ff,0xf300efff,0x4013ee03,0x0efffff9,
    0x3ffffe00,0xfffe80ff,0xfffbdfff,0x010fffff,0x41ffffff,0xfffffff9,
    0x7fffff43,0xfffffbdf,0xfc810fff,0x41efffff,0xfffc85ea,0x7541efff,
    0x7fffff45,0x03fffb05,0x41ffffff,0xfffffff9,0x7fffff43,0xfffffbdf,
    0x3fa10fff,0xfbdfffff,0x0fffffff,0xfffffc81,0x82f541ef,0x644003fb,
    0x001effff,0x1fffffff,0xffffff70,0xfffd3dff,0xf907dbff,0xf97dffff,
    0x9fffffdd,0xffffffb8,0xfffe9eff,0x7443edff,0xffffffff,0xe880effe,
    0xffffffff,0x7c40effe,0xa81fffff,0xfff904ff,0xddf97dff,0xb89fffff,
    0xffffffff,0xfffffe9e,0xffff73ed,0xfd3dffff,0x87dbffff,0xffffffe8,
    0x40effeff,0x20002ee9,0xbeffffe9,0x3ff6e609,0xf102dfff,0x49ffffff,
    0x3ffffffa,0x3fffffa0,0xfffd8dff,0x3fe21eff,0x2a4fffff,0x03ffffff,
    0x3ffffff6,0x6c00efff,0xffffffff,0xfff500ef,0x7f4c3fff,0x7ffff405,
    0xffd8dfff,0x3e21efff,0x24ffffff,0x3ffffffa,0x3fffffe2,0x3fffea4f,
    0x3ff603ff,0xefffffff,0x00002c80,0x3fffff6e,0xffffffff,0xff93002c,
    0xffd903bf,0xffd8807d,0x3ff64fff,0x264fffff,0xc81dfffc,0xc803effe,
    0xcfffffff,0xffff9000,0x88019fff,0xfffffffc,0xfd8802ef,0x3f64ffff,
    0x24ffffff,0x81dfffc9,0x983effec,0xc81dfffc,0xc803effe,0xcfffffff,
    0x40000000,0xcccccaa8,0x200009aa,0x00110008,0x0001bb88,0x02200110,
    0x2af2a200,0x79510000,0xba880015,0x8002acdc,0x00001bb8,0x00220011,
    0x00440022,0x055e5440,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x00015795,
    0x2aaaa880,0x16644000,0x009aa980,0x03001980,0x80040080,0x2fffffe8,
    0xffe80000,0x30004fff,0x40001575,0x2000c018,0x65c00400,0x40000003,
    0xfffffffc,0xf900000c,0x0005ffff,0x2a017fdc,0x0cfffffe,0x40bbea00,
    0xeb801fd8,0x6ff540cf,0xffff8801,0x4400004f,0x004fffff,0xffffffb8,
    0x3fee001e,0x0fcc0bef,0x20eff540,0x3202efd9,0x000000ff,0xebdffe98,
    0x000effff,0x7ffffcc0,0x3f60006f,0x4f7fec07,0x002fffb8,0x6443bfe6,
    0xff9802ef,0x7fffc4ff,0xffff3006,0xfb80000f,0x4c004fff,0xffffffff,
    0xffc803ff,0x9adfffff,0xfff800fe,0x7fffec6f,0x007ff300,0xfff88000,
    0x37fffdc3,0x3fff6000,0x8003ffff,0x3f205ff8,0x7ffe42ff,0x3ffa2001,
    0x32003ffc,0x3ea7ffff,0x3001ffff,0x0005ffff,0x02ffff40,0x3ffffe60,
    0x2fffffff,0x3ffffe20,0x7fffffff,0xfffffa80,0x7fffff11,0x0002ffc0,
    0x03fffa00,0x003ffffa,0x67fffd40,0xa8007fff,0xfff702ff,0x1ffff30d,
    0x1fffe800,0x7fffdc00,0x3ffffe26,0x3ffe6000,0xff100004,0xff9800bf,
    0xffffffff,0x3f207fff,0xffffffff,0xf9803fff,0x7ffc7fff,0x3ff601ff,
    0xf7000000,0x3fee0fff,0xfd0002ff,0x3ffea3df,0x07fec003,0x427fffc4,
    0x004ffff8,0x1dffffd3,0x2ffff800,0x0027ffec,0x0003ffcc,0x8005ffb8,
    0x3f661cfe,0x01ffffff,0x3ff261fb,0x2005ffff,0x7dc4fffd,0x7fd406ff,
    0xfb000002,0xff501fff,0xf70003ff,0xfff981bf,0x417fe000,0xf03ffffb,
    0x4401ffff,0xfff8aefd,0x05d4000e,0x20001c98,0x80002ffa,0xfa8006fd,
    0x3ffff201,0x207903ff,0x8003deca,0x059301ca,0x000bff10,0x3ffffa00,
    0x0ffff981,0x027fc400,0x26009fd1,0xffff03ff,0x3fffe07f,0x85ff704f,
    0x000efffb,0xa8000000,0x7440003e,0x01e8000d,0x2fffffe8,0x00000000,
    0x0ffb0000,0xfff10000,0xfff709ff,0x07d50007,0x9001fb10,0xfff301ff,
    0x3ffa05ff,0x407506ff,0x0006fffe,0x00000000,0x00000000,0x0fffffc8,
    0x00000000,0x5ff50000,0xfff00000,0xdffd0dff,0x00000000,0x3ee0dff0,
    0xfd02ffff,0x0001ffff,0x009ffff7,0x00000620,0x88000031,0x2e000001,
    0x8005ffff,0x00000018,0x04ff8800,0xffff8000,0x13ff22ff,0x00000000,
    0x7ec0ffe6,0xfd02ffff,0x1005ffff,0xffff1375,0x3b2e005f,0x000cffff,
    0xffffecb8,0xecb8000c,0x000cffff,0x3bfff600,0xffd97000,0x654019ff,
    0x43cccccc,0xcccccccc,0x001ffa01,0x3ffff600,0x02efebef,0x99999000,
    0xc8005999,0xffff01ff,0x3ffa05ff,0xf9103fff,0xffffffff,0xfd880fff,
    0xfffdadff,0xfffb1004,0x09fffb5b,0x37fff620,0x004fffda,0x01dfff00,
    0x5bfffb10,0x2609fffb,0x5ffffffc,0x7fffff54,0x07fee02f,0xfff70000,
    0x005bffff,0xfffda800,0x74004fff,0xffff106f,0x3ffa05ff,0xfe884fff,
    0xfff51dff,0x3a605fff,0x7fec1fff,0x3fa600df,0x7ffec1ff,0x3ffa600d,
    0x6fffec1f,0x3ff20000,0xffe9800e,0x6fffec1f,0xfffff900,0x3ffffe0b,
    0x13fe202f,0xfff10000,0xe980dfff,0x5eeeeeee,0x3fffffa0,0x13fe2004,
    0x7fffffc4,0xfffffd02,0xffffe88b,0x7ffffdc0,0x5ffff885,0x05ffff88,
    0x10bffff1,0x220bffff,0xf885ffff,0x70005fff,0x8809ffff,0xf885ffff,
    0xff705fff,0x3fa0bfff,0x7402ffff,0x2200006f,0xfffffffc,0x7ffed404,
    0x3f600bef,0x2004ffff,0xff301ffb,0x3a05ffff,0x6c5fffff,0xff03ffff,
    0xfc81ffff,0xffd03fff,0xfff905ff,0x3fffa07f,0xffffc82f,0x5ffffd03,
    0x7ffed400,0xf900efff,0x3fa07fff,0xffa82fff,0xffb05fff,0xfc805fff,
    0x6440001f,0xfffffdff,0x7fc401ff,0xffc800ef,0x3a004fff,0x3ffe607f,
    0xffd02fff,0x7fc4dfff,0xffd02fff,0x7fc47fff,0xff902fff,0xfff88dff,
    0xfff902ff,0xffff88df,0xffff902f,0xffff300d,0x3fffffff,0x2fffff88,
    0x0dffff90,0x0bfffff5,0x0bfffff6,0x0007ff30,0xfd8f7fdc,0x806fffff,
    0xf9000ffe,0x2009ffff,0x3ea04ff8,0xd02fffff,0x64dfffff,0xb01fffff,
    0x649fffff,0x901fffff,0xfc8fffff,0xf901ffff,0xffc8ffff,0xff901fff,
    0x36a00fff,0xffffffff,0x7fffe46f,0xffff901f,0xfffff50f,0x3ffff60b,
    0x06ff802f,0x88fffb00,0x4fffffff,0x800ffe20,0x04fffffc,0x4c05ff70,
    0x02ffffff,0x4bfffffd,0x00ffffff,0x4bfffff9,0x01fffffe,0x43fffff9,
    0x01fffffe,0x43fffff9,0x01fffffe,0x03fffff9,0x7fffe440,0x3fa3ffff,
    0xf901ffff,0xfa83ffff,0xfb05ffff,0x9005ffff,0xfe8001ff,0xfffc84ff,
    0xf503ffff,0xfffc800d,0xffb004ff,0xfffff880,0xffffd02f,0x3fffe29f,
    0xfff900ff,0x7fffcdff,0xfff700ff,0x7fffc7ff,0xfff700ff,0x7fffc7ff,
    0xfff700ff,0xf50007ff,0x4bffffff,0x00ffffff,0x87fffff7,0x05fffffa,
    0x05fffffb,0x4007ff30,0xd01ffffc,0x5fffffff,0xc8003fb0,0x804fffff,
    0xff805ff8,0xfd02ffff,0x3e65ffff,0x900fffff,0x22dfffff,0x00ffffff,
    0x2bfffff7,0x0ffffff8,0xbfffff70,0x3fffffe2,0xfffff700,0x3fe6000b,
    0xff16ffff,0x2e01ffff,0x545fffff,0xb05fffff,0x005fffff,0x7cc017fe,
    0xf501ffff,0x3fffffff,0x64001fdc,0x804fffff,0xfe802ffa,0xfd02ffff,
    0x3e63ffff,0x900fffff,0x26bfffff,0x00ffffff,0x2dfffff7,0x0ffffff9,
    0xdfffff70,0x3fffffe6,0xfffff700,0x7fdc000d,0xfff37fff,0x3ee01fff,
    0x7d46ffff,0xfb05ffff,0x2005ffff,0xfd800ffd,0x3604ffff,0xefffffff,
    0x90005f98,0x009fffff,0xfb001ffb,0x3a05ffff,0xf30fffff,0x201fffff,
    0x34fffffc,0x01ffffff,0x5bfffff2,0x0ffffff9,0xdfffff90,0x3fffffe6,
    0xfffff900,0xffe8000d,0xffff35ff,0x3ff201ff,0x7fd46fff,0xffb05fff,
    0x2a005fff,0xffe802ff,0x7f406fff,0xeeffffff,0xff90000f,0xff009fff,
    0x3fff200b,0xfffd02ff,0xfffff8ff,0xffff900f,0x3fffe25f,0xfff900ff,
    0x3ffe2bff,0xff900fff,0x3fe2bfff,0xf900ffff,0x000bffff,0x14ffffb8,
    0x01ffffff,0x17fffff2,0x0bfffff5,0x0bfffff6,0x202ffc40,0xfffffff8,
    0x3fffa200,0x003fffff,0x3fffff20,0x01ffcc04,0x2fffffa8,0x8dffffd0,
    0x00fffffe,0x43fffff9,0x00ffffff,0x49fffff9,0x00ffffff,0x49fffff9,
    0x00ffffff,0x09fffff9,0xffff9800,0x3fffffe2,0xfffff900,0xfffffa89,
    0xfffffb05,0x03fec005,0x3fffffe2,0x7ffcc05f,0x00efffff,0xfffff900,
    0x00ffc809,0x0fffffa0,0x227ffff4,0x01fffffc,0x41fffffb,0x01fffffd,
    0x45fffff9,0x01fffffd,0x45fffff9,0x01fffffd,0x05fffff9,0xffff8800,
    0x3fffff60,0xfffff901,0xfffffa85,0xfffffb05,0x17fd4005,0x3fffffa0,
    0x7fd405ff,0x1fffffff,0x3ff20590,0x7fc04fff,0x7ffdc006,0xfffff04f,
    0xfffffa81,0xdffffb01,0x1fffffa8,0x1fffffb0,0x0fffffd4,0x0fffffd8,
    0x07ffffea,0x07ffffec,0xff880062,0x7fffd44f,0xffffb01f,0xffff981f,
    0xffffb06f,0x7fc4005f,0x7fffe404,0x5c04ffff,0xffffffff,0x01f911cf,
    0x13fffff2,0x4003ff98,0x884ffff8,0xf884ffff,0xfd02ffff,0xffd07fff,
    0x3ffa05ff,0xfffe83ff,0xffffd02f,0x5ffffd07,0x0fffffa0,0x7003fff7,
    0x3ffa0dff,0xfffd02ff,0xffff307f,0xffff50df,0xfe8005ff,0x7fffc407,
    0x0bdfffff,0x3fffff22,0xffffffff,0x3ff202ff,0x3f204fff,0xffc8001f,
    0xffff986f,0x7ffff500,0x41bfffe0,0xf04ffffa,0xf501ffff,0x3fe09fff,
    0xffa80fff,0xffff04ff,0xfffff81f,0x80fff403,0xf04ffffa,0x3e01ffff,
    0x260fffff,0x3fffffff,0x00ffdc00,0x3fffffea,0xfeefffff,0xffffbbff,
    0x5fffffff,0x7ffffe40,0x001bfa04,0x641fffc8,0x7ec02fff,0x7fdc0fff,
    0x3ff201ff,0x7ffdc0ff,0x3fff201f,0x7fffdc0f,0x3ffff201,0x0ffffdc0,
    0x3fffffe2,0x17fdc40d,0x03ffff20,0x403ffff7,0xbefffffc,0xffffeefc,
    0x7fc4004f,0xffffb804,0xffffffff,0x3ffe60cf,0x05ffffff,0x5fffffd8,
    0x0009ff10,0xb89dffc8,0xf9001fff,0x3fea19ff,0xffb801ff,0xdfff51df,
    0xbfff7001,0x03bffea3,0x477ffee0,0x700efffa,0xbfffffff,0x0019ff97,
    0x5477ffee,0xe800efff,0xdfffffff,0xefffffd8,0x037f4001,0xfffffd88,
    0x100cffff,0x9ffffffb,0xfffff500,0x3ff705ff,0xffd70000,0x8001bfff,
    0xffffffd9,0x3a6000cf,0xdfffffff,0x3ffa6000,0x00dfffff,0x3ffffa60,
    0x6400dfff,0xffffffff,0xe98001ef,0xdfffffff,0xfffb1000,0x7ffec9ff,
    0x2004ffff,0x22001ffc,0x009accba,0x0072e620,0x7ffffffc,0x265c7fff,
    0x2ea20000,0x54400009,0x0000abcb,0x000565cc,0x00565cc0,0x0565cc00,
    0x5e655400,0x2600000a,0x20000acb,0x00001bb8,0x000e6440,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x002a6600,0x55dd4c40,0x10000009,0x00001353,0x00013551,
    0x57753100,0x80000013,0x00044009,0x00000018,0x00000ccc,0x13597530,
    0x2ea20000,0x800001bc,0x02cfffda,0x7fff5c40,0x02efffff,0xfffd8800,
    0x001effff,0x3ffffae6,0x440000cf,0xffffffeb,0x00002eff,0xbdfffd71,
    0x5003fa83,0x59dffffb,0x03555555,0xffedca80,0x0bcdefff,0x3ffea000,
    0x01efffff,0xfdffb100,0x80003dff,0x02effeb8,0xefffc880,0xfedcbacd,
    0xc88004ff,0xea8aefff,0x6400dfff,0xffa8bfff,0xc88003ff,0xbacdefff,
    0x04fffedc,0x3bffee00,0xf93ffdab,0xffd9807f,0xffffaaff,0x005fffff,
    0x7bffffd3,0xfffff953,0xdfe88005,0xfffffb11,0xffe8800b,0x03ffff50,
    0x3bffee00,0xffd30002,0xffb30039,0x7ff4003d,0xdfffb06f,0x217ffec0,
    0x004ffffc,0x0073ffa6,0x007bff66,0xd0dfff90,0x07ffffff,0x077fffcc,
    0x3ffffffe,0xfffb805f,0x7ffd405f,0xffd000df,0x3fffff60,0xbffd1004,
    0x00fffff8,0x3bfff620,0xbff70000,0xffb10001,0xffff9007,0x3fffe607,
    0x0ffffb84,0x17ffffc4,0x006ffdc0,0x01ffec40,0x82ffffc8,0x3ffffff8,
    0x5ffffd10,0x01ffff90,0x3ffffa60,0xfff9800e,0x7fe403ff,0xffff981f,
    0xffd801ff,0x7ffffc3f,0xfffd3003,0x3ee0001d,0xfb80002f,0x3ffe602f,
    0x3ffe00ff,0x3ffe60ff,0xffff907f,0x17fdc01f,0x17fdc000,0x1ffffe60,
    0x3fffffe8,0x1fffff90,0x0dffff50,0xffffff10,0x7ffdc001,0x3ffa03ff,
    0xffffd04f,0xfff9809f,0x7ffffc3f,0xffff9805,0xff30000e,0x7cc00003,
    0xffff701f,0x7fff403f,0x3fffee1f,0xfffff706,0x007fe609,0x21301531,
    0x3fa01ff9,0x3f605fff,0xfd03ffff,0x3e60ffff,0x6c02ffff,0x002fffff,
    0x7fffffc4,0x6ffff880,0xdfffffb0,0x4ffffd80,0x027fffec,0x03ffffe2,
    0xa97fc400,0xffffffff,0xf701ceef,0x3ffff60d,0x3fff604f,0x3ffff62f,
    0xfffff505,0x205ff10f,0xfeefffd9,0x3ee2eabd,0xfffff306,0x7fffec07,
    0xffff883f,0xffff107f,0x7ffdc09f,0xc8000fff,0x885fffff,0xc80fffff,
    0x407fffff,0x545fffff,0x6c01ffff,0x0004ffff,0xffd113f6,0x7fff4cdf,
    0xfd09fb05,0x740fffff,0x3fe0ffff,0xff306fff,0xfd85ffff,0x87fff704,
    0x6c2fffc9,0xffffc84f,0x3fff202f,0xfff983ff,0xfff106ff,0x3fe60bff,
    0x0005ffff,0x7ffffff5,0x20dfffb0,0x05fffffd,0x1fffffe2,0xf7003326,
    0x0003ffff,0x7fe41fe2,0x7fffc46f,0xfc87f884,0xf03fffff,0x7fc4dfff,
    0xff106fff,0x7c49ffff,0x03fffd07,0x3e217f44,0xffffff87,0x3ffff202,
    0xffff883f,0xffff107f,0x3fffa07f,0x10003fff,0x1fffffff,0xd01dfc88,
    0x405fffff,0x0ffffff9,0xffff1000,0x7dc000df,0x0dfff704,0x360ffffb,
    0x7fffd42f,0x7fc43fff,0x3ffea3ff,0x3ffe07ff,0x13ee5fff,0x2013fff2,
    0x42fd82f9,0x01ffffff,0x0ffffff2,0x83fffff4,0x80fffff9,0xfffffff9,
    0x3ffa0000,0x0003ffff,0x01ffffff,0x7fffffcc,0xfff70001,0x740007ff,
    0xdfff700f,0x03ffff70,0xfff88df3,0x324fffff,0x3ee0efff,0x3a07ffff,
    0x3a6fffff,0x7fffcc0f,0xf305d000,0x7ffffc4d,0x3fff201f,0xfff503ff,
    0xfff501ff,0x3ffea0df,0x0000ffff,0x3ffffff6,0xfff98005,0x7fcc04ff,
    0x0002ffff,0x93fffffd,0x4039dffd,0x3fee05f9,0xffffc86f,0xfc81fd00,
    0xefffffff,0x540efff9,0x00ffffff,0x2ffffffb,0xfffe85f9,0x74026005,
    0xfffff30f,0x7ffe401f,0x3ff603ff,0xfffc83ff,0xffff902f,0xc8000fff,
    0x06ffffff,0x5ffffd80,0xfffff880,0xffa8004f,0xffffffff,0xf504ffff,
    0x37ffdc09,0xb02ffffc,0xffffb03f,0x7fffffff,0x3ffffe20,0xffffb01f,
    0xf113eadf,0x00009fff,0x7ffc47f6,0x3f201fff,0x6403ffff,0x3ea1efff,
    0x3f600eff,0x007fffff,0x7ffffe40,0x7fc4007f,0x266604ff,0xdffffff9,
    0x6c009999,0xbdffffff,0x6fffffeb,0x3ee03fb8,0x7ffdc6ff,0x20bf202f,
    0xffffffd8,0x3e00dfff,0xd04fffff,0x2ebfffff,0x7fffcc3f,0x5f900003,
    0x17fffffc,0x7fffff90,0xbfffb300,0xf009fffd,0x0dffffff,0xffffc800,
    0x32001fff,0x7fc02fff,0xffffffff,0x404fffff,0x43fffffe,0x3fffffe8,
    0xff7017e4,0xfffd75ff,0x03fb801b,0x3ffffff2,0xf900efff,0x3a0fffff,
    0xf94fffff,0x2ffffb85,0x47f70000,0x02ffffff,0x0ffffff2,0x6f6f7d40,
    0xfff1001b,0x000bffff,0xffffffb8,0xdff1002f,0xfffff003,0xffffffff,
    0xfff809ff,0xffa83fff,0x3f20ffff,0x3fffee02,0x004ffffc,0xffd807f7,
    0xffffffff,0xfffff881,0xffffe82f,0xfb85f93f,0x00003fff,0x7ffe47f7,
    0x3ff204ff,0x74c03fff,0x7c40001f,0x05ffffff,0x7fffdc00,0xf7002fff,
    0x7fffc00b,0xffffffff,0x3e204fff,0x882fffff,0x24ffffff,0x3fee03fb,
    0x1ffff96f,0x2605f900,0xffffeffd,0xb80effff,0x9bffffff,0xffffffda,
    0xffa87f72,0x900004ff,0x7fffcc5f,0x3fff206f,0x3fe603ff,0xfff00004,
    0x000dffff,0xffffffb8,0x00bd001f,0xfffff880,0x7ffcc007,0xffb02fff,
    0x27d4bfff,0x22dfff70,0xd804ffff,0x4fffb81f,0xfffffff9,0x3ffea0bf,
    0xffffffff,0x13ea7fff,0x009ffff3,0xfb07f600,0xf503ffff,0x407fffff,
    0x00005ffd,0xfffffffd,0xfffc8000,0xf000ffff,0xffd00005,0x4c001fff,
    0x02ffffff,0x4dfffff7,0x3fee05f9,0x3fffee6f,0x3207f400,0x3ea0ffff,
    0x07ffffff,0x3bfffb22,0x4fffffcb,0x3ffe17e6,0xfd00006f,0xfffff981,
    0xffff913f,0x3e207fff,0xaaabdfff,0x6c0099aa,0x07ffffff,0x7fffe400,
    0x1f1007ff,0xfff70000,0xff8800ff,0xf503ffff,0xff8fffff,0x8dfff700,
    0x2605fffe,0x7fffd46f,0xfffffa85,0xe83001ff,0x7c1fffff,0x7fffdc0f,
    0x37cc0001,0xffffff98,0xfffcbfff,0xfff703ff,0xffffffff,0x7019dfff,
    0x1fffffff,0x7ffec000,0xd1006fff,0x3fe60000,0xfe8006ff,0xf503ffff,
    0xfc8fffff,0x8ffff903,0x901ffffa,0xffffe87f,0xfffff703,0xff30009f,
    0x7f90dfff,0x00bfffd0,0x80ff2071,0xefffffe8,0x7fffff92,0x3ffffe60,
    0xffffffff,0x7d41ffff,0x01ffffff,0x3ffffa00,0x002003ff,0x4fffe800,
    0xffffc800,0xffff304f,0xb06f88df,0xffd0ffff,0x0ff881df,0x0bffffe2,
    0x6fffffe8,0xffffc800,0x986f881f,0x2603ffff,0x00ff883f,0x640aca88,
    0x203fffff,0xffffffff,0xffffffff,0x7fff40ff,0x10002fff,0x1fffffff,
    0x20000000,0x8003fffc,0x05fffffb,0x09fffff3,0xfff987fb,0x3fe61cff,
    0x13f60dff,0x03fffff5,0x37ffffd4,0x7ffffc00,0x220ff603,0x98adfffd,
    0x9fb01edb,0x3ff20000,0x3a203fff,0xffffffff,0xffffffff,0x7ffffcc2,
    0xff30005f,0x0007ffff,0x7fdc0000,0x2629802f,0x106fffff,0x105fffff,
    0x3bbb23ff,0x322eeeee,0xff74eeee,0xfffffa81,0x3fffe201,0x7fdc005f,
    0x7fc405ff,0xfffdb501,0x7fdc07bf,0xff900000,0xf8807fff,0xffffffff,
    0x4fffffff,0xffffffd8,0xfffc8000,0x544006ff,0xfec88000,0x400fffee,
    0x7fffc3f8,0xffff307f,0x03fea01f,0x1ff98000,0x2fffff88,0x1fffffc0,
    0xfffff500,0x01ff5001,0xff300130,0x7e400003,0x9103ffff,0x31013bff,
    0x09ffff73,0x7ffffff1,0xffff8800,0xfb1003ff,0x7c400bff,0xffffffff,
    0xdba99abc,0x7ffdc2ff,0xfff981ff,0x0ffe406f,0x1ffd4000,0x07ffffd0,
    0x07ffffc4,0xeffffa80,0x07ff2000,0x0ffea000,0xfff90000,0x3ffa07ff,
    0x7ffc4006,0xfffff701,0xfffb800f,0x3ee004ff,0x9002ffff,0xfffd77bf,
    0xffffffff,0xffd03fff,0xfff707ff,0x9ff9003f,0x1ffe4000,0x17fffee0,
    0x03ffffb8,0x09ffff50,0x013ff200,0x003ffc80,0xffffc800,0x4fff883f,
    0x406ff800,0x03fffffb,0x9fffff30,0xffffe800,0xd0df006f,0xffffffff,
    0x260bffff,0x6c0fffff,0x2a003fff,0x8800bfff,0xb001fffc,0x3a05ffff,
    0xb8805fff,0x0002ffff,0x005fffd4,0x00fffe44,0xfffd8000,0xfffd04ff,
    0x17fdc003,0x7ffffd40,0x7fffcc04,0xffe8004f,0xbf006fff,0xffffffa8,
    0x1fffffff,0x37fffa20,0x007fff90,0x9bfffb10,0xffd97557,0x6c4001bf,
    0x36a2ffff,0x64c04fff,0x0002efff,0x37fff620,0xfecbaabc,0x00000dff,
    0x3fffffa0,0x5dfff505,0x01efda80,0x3ffff620,0xffd731bd,0x20003dff,
    0x02fffffb,0xff737f70,0xfffffd3b,0x71007fff,0x7dffffff,0xfc880003,
    0xffffffff,0x260000bf,0xffeffffe,0xfd7100df,0x000039df,0x7fffe440,
    0x0bffffff,0xb5100000,0x9fffffff,0xffff9103,0xdfffdddf,0x32600019,
    0xfffffffe,0x0002dfff,0x02fffec4,0xbffffb10,0xffffffc8,0xaca98002,
    0x53000000,0x00357997,0xbca98800,0x55d4009a,0x00000001,0x35799753,
    0x95000000,0x99999999,0x5d4c0199,0x001abcdc,0xccba9800,0x00002abc,
    0x10000b98,0x2ea20157,0x0000009b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x00aacba9,
    0x0c00005c,0x014c0000,0x00aa9880,0x265c0000,0x7fffff44,0xfffb0003,
    0x100209ff,0x99999950,0xcb839999,0x540ccccc,0xeeeeeeee,0xeeeeeeee,
    0x8031001e,0x3ba60008,0xeeeeeeee,0x44003eee,0xffffffeb,0x7c41ceff,
    0x99999910,0x3f6e2399,0x40001dff,0x4c005fea,0xcefffffe,0x7d400000,
    0xfffd107f,0xff1000bf,0xfd50bfff,0x1dfd9819,0x3fffffa6,0x5cc0beff,
    0xfc83ffff,0xffffffff,0x7fffffff,0xcfffe980,0x9001fc40,0xffffffff,
    0x005fffff,0x3fffff22,0xfedcacdf,0x20febcff,0xffffffdb,0xfffffe8b,
    0xeb8004ff,0x32005fff,0xffffffff,0x100000ef,0x7440ffff,0x4000ffff,
    0x885ffffa,0x7f45ffff,0xfffd86ff,0x7dc03fff,0xffffd01f,0xffffffff,
    0xa80bffff,0xdfffffff,0x2002fd9b,0xffffffff,0x007fffff,0x7ffffff3,
    0x7fff5401,0xffff80ff,0xebdfecff,0x804fffff,0xffffffc8,0xffff9005,
    0xdfffffff,0xffd00001,0xfff880ff,0x7fec003f,0xffff705f,0x3fffe61f,
    0x7fffc41f,0x27d404ff,0xffffff88,0xffffffff,0x7f402fff,0xffffffff,
    0xf5001fff,0xffffffff,0x7009ffff,0x01dfffff,0x07fffdc0,0x7fffffec,
    0x7ffff40e,0xfff9101f,0x00bfffff,0xfffffff5,0x0dffffff,0xffffc800,
    0x5fff9807,0x1bffe200,0x26ffffa8,0x80fffff8,0x06fffffc,0xffa80fe4,
    0xffffffff,0x0fffffff,0x3ffffea0,0x5fffffff,0x3ffff200,0xffffffff,
    0x7ffe400f,0xb8000eff,0xffd80fff,0xfa81ffff,0xfd86ffff,0xffffffdd,
    0xffff805f,0xffffffed,0x50001fff,0x00ffffff,0x4003ffe6,0x7400effa,
    0x7fe43fff,0xffff105f,0x037405ff,0xfffffff9,0xffffffff,0x11fb80bf,
    0xdffffff9,0x777fc001,0xeeeeeeee,0x7ffdc04e,0x20000fff,0xffc80ffd,
    0x3fe04fff,0x2041ffff,0x5ffffff9,0x220efdc0,0xfffffffd,0xfff88003,
    0x26007fff,0xdfb002ff,0x402ea001,0x7fec01c9,0x5f105fff,0x04e77ec0,
    0x2017ffc0,0x7bd7304b,0x004fa800,0x3fffe600,0xf80003ff,0xffffc80f,
    0x3fff603f,0xffe802ff,0x2f405fff,0x3fffff20,0xffe8006f,0x4007ffff,
    0x1bb004e9,0x30000000,0x03ffffff,0x00ef80f7,0x003ffea0,0xfd800000,
    0x3fa00001,0x0007ffff,0xff901f90,0x7e407fff,0xd804ffff,0x205fffff,
    0x7f4400e8,0x4006ffff,0xfffffcfc,0x00000007,0x74000000,0xe84fffff,
    0x0003e604,0x0000bffb,0x077c4000,0xfffa8000,0x00005fff,0xfff901f3,
    0x7fdc07ff,0xfd805fff,0x0005ffff,0xbfffff90,0xffafd400,0x00007fff,
    0x00000000,0x7ffffd40,0x8807e60f,0x2fff8001,0x00220000,0xceffffa8,
    0x7f40009b,0x003fffff,0x3f203600,0x2e03ffff,0x807fffff,0x05fffffd,
    0xffff7000,0x3fe2009f,0x0ffffff0,0x66666664,0x9999902c,0xcc805999,
    0x02cccccc,0x7fffffc0,0x00001b23,0x2603ffea,0x4ccccccc,0x2f7ffb22,
    0x7fffec00,0x00cfffff,0xffffff98,0x8000000f,0x03fffffc,0x3fffffea,
    0x7fffec00,0xf500005f,0x2003ffff,0x3fffe2fd,0x3ff6a07f,0xb504ffff,
    0x09ffffff,0xfffffda8,0x7fdc004f,0x07f16fff,0xbffb0000,0x3ffff220,
    0xffff37ff,0x7c40dfff,0xffffffff,0x7e403fff,0x007fffff,0xfff90000,
    0x7fd407ff,0xfd807fff,0x0005ffff,0x0dffff70,0xfff13ee0,0xffd00fff,
    0xfe809fff,0xd004ffff,0x009fffff,0xffffff88,0x00000fba,0x5c03fff8,
    0xfaffffff,0xffffffef,0xfffff703,0xffffffff,0x3fffa05d,0x00006fff,
    0xfffff900,0x7fffd407,0xfffd806f,0x900005ff,0x3007ffff,0xfffff0df,
    0xffffb00f,0xfffd809f,0xffb004ff,0x90009fff,0xbddfffff,0xff500000,
    0xfff9801f,0xf30cffff,0xd01fffff,0xffffffff,0x3fffffff,0xfffffff0,
    0x2000000d,0x03fffffc,0x13ffffee,0x3fffff60,0xffd00005,0x1fd100df,
    0x0ffffff0,0x9fffff90,0xfffffc80,0xffff9004,0xff30009f,0x005fffff,
    0x0bff9000,0xffffff30,0xfffffb0b,0xfffff885,0xffffffff,0x7fc0efff,
    0x005fffff,0xfff90000,0x7fdc07ff,0xfd803fff,0x0005ffff,0x01ffff98,
    0xfff02fd8,0xff900fff,0xfc809fff,0x9004ffff,0x009fffff,0x3fffff60,
    0xff000007,0xfff3007f,0xff901fff,0x99887fff,0xfffdcba9,0x5fffffff,
    0x3fffffe2,0x0000006f,0x07fffff9,0x0fffffe4,0x7ffffec0,0xffc80005,
    0x05fb804f,0x01fffffe,0x13fffff2,0x9fffff90,0x3ffff200,0xff50004f,
    0x00009fff,0x001fff50,0x0ffffff3,0x0ffffff2,0xfffd7100,0x221fffff,
    0x7fffffff,0xf9000000,0x7c07ffff,0x800fffff,0x05fffffd,0x2fffc400,
    0xf0077cc0,0x900fffff,0x809fffff,0x04fffffc,0x9fffff90,0x7fff4000,
    0xc800001f,0xff3006ff,0x3f20ffff,0x0003ffff,0x3fffffaa,0x3ffffe2f,
    0x00000fff,0xfffffc80,0xffff982f,0xfffb003f,0xc8000bff,0x74400eff,
    0x7fffc01f,0xfffc807f,0x7fe404ff,0xf9004fff,0x0009ffff,0x0037ffdc,
    0x03fff800,0xffffff30,0x3fffff20,0x7f440003,0x3fa4ffff,0x01ffffff,
    0xffc80000,0x262fffff,0x006ffffe,0x17fffff6,0x0fff9800,0x999cfc80,
    0xfff99999,0x90099fff,0x809fffff,0x04fffffc,0x9fffff90,0x7ffc4000,
    0xf9800003,0xff3000ff,0x3f20ffff,0x0004ffff,0x5ffffe88,0x3ffffff6,
    0x8000002f,0xdbfffffc,0xfffffdff,0x3ff6000e,0x10005fff,0x3a003ffd,
    0xffffffff,0xffffffff,0xfff905ff,0xffc809ff,0xf9004fff,0x0009ffff,
    0x0000ffc8,0x006ffc80,0x1fffffe6,0x27ffffe4,0xfff88000,0x3fffea5f,
    0x00003fff,0xfffffc80,0xffffff93,0xffd80019,0xb0005fff,0x7f4005ff,
    0xffffffff,0xffffffff,0xffff905f,0xfffc809f,0xff9004ff,0x80009fff,
    0x000004f9,0x4c007fff,0x907fffff,0x009fffff,0x27ffec00,0x3ffffffa,
    0xc8000004,0x4c3fffff,0xb0000acb,0x00bfffff,0x5005ff70,0x3fffffa1,
    0xffffffff,0x905fffff,0x809fffff,0x04fffffc,0x9fffff90,0x01f98000,
    0xfff98000,0x3ffe6000,0xfff907ff,0x400009ff,0x7dc2fffa,0x007fffff,
    0xfffc8000,0x000003ff,0x0bfffffb,0x802ff980,0xffffd0f8,0xffffffff,
    0x0bffffff,0x13fffff2,0x9fffff90,0x3ffff200,0x2e40004f,0xffc80000,
    0x7ffcc006,0xfff907ff,0x400009ff,0xff887ff8,0x002fffff,0x3ff20500,
    0x00003fff,0xbfffffb0,0x017f4400,0x33313ec4,0xf3333333,0x133fffff,
    0x3fffff20,0x7fffe404,0xfff9004f,0xcc8809ff,0x00017c40,0x003ffe80,
    0x3fffffcc,0x4fffffc8,0xf9800310,0xffff304f,0xb0000dff,0x3ffff209,
    0xb000003f,0x00bfffff,0x77777fec,0x5ffeeeee,0xfffff000,0xffff900f,
    0xfffc809f,0xff9004ff,0x7c409fff,0x003dc6ff,0x0fff9800,0x7fffcc00,
    0xffff907f,0x9fff909f,0x01df9001,0x7fffffdc,0x13f60004,0x1fffffe4,
    0xffd80000,0xf9005fff,0xffffffff,0x009fffff,0x1fffffe0,0x3fffff20,
    0x7fffe404,0xfff9004f,0x7fdc09ff,0x000fa1ff,0x037fe400,0x7ffffcc0,
    0xfffff907,0xfffff889,0x07fe202f,0x3fffff20,0x7f4c003f,0x3ffff605,
    0xd000003f,0x00dfffff,0xfffffff5,0xffffffff,0x3ffe0005,0xffc807ff,
    0x7e404fff,0x9004ffff,0x409fffff,0xd93ffffc,0x7f400000,0xff98003f,
    0xff907fff,0xff889fff,0x41dfffff,0x2a002fd8,0x1dffffff,0x13ff2a20,
    0x9fffffb0,0xff100000,0x401fffff,0xfffffff9,0xffffffff,0xfff0001f,
    0xffb00fff,0xfd80bfff,0xb005ffff,0x40bfffff,0xfdeffff8,0xf3000002,
    0xf50003ff,0xb01fffff,0x70bfffff,0xffffffff,0x001bfb9d,0xfffffb10,
    0xfd9579df,0xfd003dff,0x000bffff,0xffffe980,0xf881dfff,0xffffffff,
    0x7fffffff,0x3fffe000,0x7ffd407f,0xf502ffff,0x05ffffff,0xffffffa8,
    0x3fff202f,0x000003ff,0x2001bff2,0xffffffe9,0x3fffee0c,0xfeb82fff,
    0xdfffffff,0xeb880002,0xffffffff,0xda803dff,0xcfffffff,0xfd700009,
    0xffffffff,0x361dffff,0xffffffff,0xffffffff,0x3ffe0006,0x3ffe07ff,
    0x7fffffff,0x7ffffffc,0xfff07fff,0xffffffff,0x00de5c40,0x332e0000,
    0x7ffd4002,0x97ffffff,0xffffffff,0x32ea60bf,0x00000aab,0x99975510,
    0x32200157,0xcccccccc,0x000002cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00002800,
    0x50004c00,0x20399999,0x404ccccc,0xeeeeeeee,0x20000002,0xeeeeeeeb,
    0xeeeed83e,0xeeeeeeee,0xeeea82ee,0x04eeeeee,0x2e0002e2,0xeeeeeeee,
    0x1eeeeeee,0xddddddd7,0x643ddddd,0xeeeeeeee,0x204eeeee,0x4eeeeeee,
    0xf9800000,0x2a000000,0x0dffffdc,0x7ffffe40,0xffffff03,0xffffa801,
    0x000003ff,0x7fffe4c0,0xff3104ff,0x3fffffff,0xffd98801,0x3f600aff,
    0x510005ff,0xffffffff,0xffd5015f,0x15ffffff,0xfffff710,0x2003dfff,
    0x002fffd9,0x07f90000,0x3ff20000,0x3ffffdbf,0x3fffff20,0xffffff03,
    0xffffb001,0x0000007f,0x3fffffa0,0x7fffd404,0xd8002fff,0x7fd401ff,
    0x20002fff,0xfffffffa,0x7fffcc02,0xfb806fff,0x04ffffff,0x001ffcc0,
    0x7ff88000,0xffd80000,0x3ffffe0e,0xfffff903,0x3ffffe07,0xfffc800f,
    0x000003ff,0xfffff900,0xffff8809,0xb8001fff,0xfffd806f,0x220005ff,
    0x0fffffff,0xfffffd80,0xfffd007f,0x8800bfff,0x0000007f,0x000bffee,
    0x42fffe80,0x907ffffc,0x207fffff,0x00ffffff,0x3fffffc8,0x90000000,
    0x809fffff,0xfffffff8,0x05fa8000,0x4fffffc8,0x3ffe2000,0x9800ffff,
    0x1fffffff,0xfffffb80,0x3e6000ff,0x20000003,0x0006ffff,0x50ffff70,
    0x903fffff,0x207fffff,0x00ffffff,0x3fffffc8,0x90000000,0x009fffff,
    0x1fffffff,0x009f3000,0x03fffff3,0x7fffc400,0xfd000fff,0x009fffff,
    0xfffffff1,0x007e4007,0xffa80000,0x80001fff,0xf986fffe,0xfc81ffff,
    0xff03ffff,0x9001ffff,0x007fffff,0x3f200000,0xf804ffff,0x00ffffff,
    0x5004f980,0x80005bfd,0xfffffff8,0xffff5000,0x3f200fff,0x006fffff,
    0x0000017e,0x5fffffe8,0x7ffdc000,0xdfffb05f,0x3fffff20,0xffffff03,
    0xffff9001,0x0000007f,0x3fffff20,0xfffff804,0xf98000ff,0x00004004,
    0xffffff88,0x3ffe000f,0x9803ffff,0x1fffffff,0x0002fa80,0xffff3000,
    0x40001fff,0x205ffffd,0xff900ac9,0x3fe07fff,0xc800ffff,0x883fffff,
    0x20200000,0x04fffffc,0xfffffff8,0x04f98000,0xf1000000,0x01ffffff,
    0x7ffffe40,0xfffd006f,0xfb009fff,0x6c000000,0x4fffffff,0x3fffa000,
    0x7e40006f,0xff03ffff,0x9001ffff,0x227fffff,0x00beffec,0xdfffda80,
    0x9fffff91,0xffffff00,0x9f30001f,0x20000000,0xfffffff8,0x3ffe6000,
    0xd801ffff,0x07ffffff,0x000027c4,0xfffef980,0x0000ffff,0x00ffffff,
    0xfffffc80,0xffffff03,0xffff9001,0xfffff37f,0x2a009fff,0xffffffff,
    0x4fffffca,0xffffff80,0x4f98000f,0x33333320,0x220002cc,0x0fffffff,
    0x7ffff400,0x7fc404ff,0x02ffffff,0x000007ee,0x7ffcfe40,0x8003ffff,
    0x0ffffff9,0x3fff2000,0xffff03ff,0xff9001ff,0x57bfdfff,0x05fffffb,
    0x1fffffb8,0xffffffb5,0xffff009f,0x30001fff,0x7fed409f,0x0004ffff,
    0x3fffffe2,0x7fd4000f,0x5c07ffff,0xffffffef,0x0001ba05,0xfcafc400,
    0x006fffff,0xffffff98,0x3ff20001,0xfff03fff,0xf9001fff,0x907fffff,
    0x203fffff,0x82fffff8,0x4ffffffe,0xffffff80,0x4f98000f,0xfffffe80,
    0x3fe20004,0x000fffff,0xfffffff8,0x3fe7be03,0x980fffff,0x0000003f,
    0x3ffe23f7,0x8002ffff,0x03ffffff,0x3ffff200,0xfffff03f,0xfff9001f,
    0x3fe609ff,0xfd80ffff,0xff106fff,0xf009ffff,0x01ffffff,0xb009f300,
    0x009fffff,0x7ffffc40,0xfc8000ff,0x506fffff,0x3ffffa5f,0x00fc83ff,
    0x8df00000,0x6ffffffd,0xffffe800,0x3f20005f,0xff03ffff,0x9001ffff,
    0x407fffff,0x41fffffe,0x04fffff8,0x13fffff2,0x3fffffe0,0x4f98000f,
    0xfffffc80,0x3fe20004,0x000fffff,0xffffff98,0x3ee7d81f,0xf86fffff,
    0x50000005,0xffff985f,0x6c001fff,0x01ffffff,0xfffff900,0x3ffffe07,
    0x3f20320f,0x3203ffff,0x543fffff,0x202fffff,0x04fffffc,0xfffffff8,
    0x04f98000,0x4fffffc8,0x3ffe2000,0x0000ffff,0x9ffffffd,0x3fe24f88,
    0x2a1fffff,0x0000002f,0x3fffa0dd,0x5c005fff,0x05ffffff,0xffffc808,
    0xffffb84f,0x320f12ff,0x203fffff,0x45fffffb,0x01fffffc,0x13fffff2,
    0x3fffffe0,0x4f98000f,0xfffffc80,0x3fe20004,0x000fffff,0xffffff50,
    0x3607e41f,0x24ffffff,0x0000007d,0x3fee07f3,0x000fffff,0x7ffffff4,
    0x3f617203,0x7d46ffff,0x74ffffff,0x3ffff20d,0x3ffee03f,0x7ffec6ff,
    0x3ff201ff,0xff804fff,0x000fffff,0xfc804f98,0x0004ffff,0x3fffffe2,
    0x3fe0000f,0x3e3fffff,0xfffffa85,0x004f88ff,0x01fb0000,0x7ffffffc,
    0x7ffd4004,0x30adffff,0xfffb01fb,0xbfd7bfff,0xdffffff9,0x3fff205f,
    0x3fea03ff,0x3fe0ffff,0x3201ffff,0x804fffff,0x0fffffff,0x804f9800,
    0x04fffffc,0x3fffe200,0x20000fff,0x6ffffffc,0x3ffe05f5,0x1fbaffff,
    0xf9800000,0x7fffe404,0x6c000fff,0xffffffff,0xfb02ffff,0xffffffff,
    0x3ffffe27,0x3ff205ff,0x3ea03fff,0xf10fffff,0x403fffff,0x04fffffc,
    0xfffffff8,0x03fa8000,0x4fffffc8,0x3ffe2000,0x0000ffff,0x3fffffe6,
    0x3f206e9f,0x6eefffff,0xf9000000,0x33333335,0xfffffff5,0xfff90007,
    0x5fffffff,0x7ffeff40,0x7fd42fff,0x7e404fff,0x2a03ffff,0x267fffff,
    0x01ffffff,0x13fffff2,0x3fffffe0,0x3fa8000f,0xfffffc80,0x3fe20004,
    0x0007ffff,0xffffffe8,0x3fe603fe,0x03ffffff,0xff880000,0xffffffff,
    0xffffffff,0xfff50006,0x8037dfff,0x0bca8bff,0x400de4c0,0x03fffffc,
    0x9bffffea,0x1ffffff8,0x3fffff20,0xfffff804,0xfa8000ff,0xffffc802,
    0x7df9104f,0xffffff10,0xff50000f,0x01ffffff,0xffffffe8,0x8000000f,
    0xaaaaabfb,0xfffbaaaa,0x0002ffff,0x40033ea2,0x00004ff9,0xfffffc80,
    0x3fffee03,0x7ffffc5f,0x3fff202f,0xffe804ff,0x8001ffff,0xffc801fc,
    0xffd04fff,0xfff885ff,0x00007fff,0x9fffffff,0xfffff700,0x000000bf,
    0xffb0017e,0x000bffff,0x2a002fc8,0x000005ff,0x3fffffc8,0x3ffffee0,
    0x7fffff42,0x3ffff203,0xfffd804f,0xe8001fff,0xfffc800f,0xfff984ff,
    0x7ffc45ff,0x00006fff,0x3ffffff9,0xfffff100,0x0000005f,0xfa8005f7,
    0x01ffffff,0x0dfff500,0x001fff20,0x3fff2000,0x3ff603ff,0xfffb87ff,
    0x3ff205ff,0xfa804fff,0x003fffff,0xfc8037cc,0xfa84ffff,0x7c46ffff,
    0x004fffff,0xfffff300,0x7ffec00d,0x0000007f,0x3fa000ff,0x005fffff,
    0x05fffd70,0x003fffb0,0xfffc8000,0x3ffa04ff,0xfff883ff,0xff880fff,
    0x8804ffff,0x06ffffff,0x400bfe20,0x84fffffc,0x42fffff9,0x2ffffff9,
    0x3ffa0000,0x3ea002ff,0x00004fff,0x0005fb80,0xfffffff7,0x3fe60001,
    0xffff804f,0x64000003,0x306fffff,0x640dffff,0xe85fffff,0x05ffffff,
    0xffffff70,0x017fa00b,0x4fffffc8,0x30dfffd0,0x01dfffff,0x7ffd4000,
    0xffff8007,0x44000001,0xf10003ff,0x0bffffff,0x0bffe600,0x09ffff10,
    0xffc80000,0xfd81ffff,0x3a200fff,0xa8bfffff,0xfffffefd,0xfffb001f,
    0x51039fff,0x64001bfd,0x304fffff,0xffb09fff,0x00005fff,0x0007fff0,
    0x0000dff9,0x00bffb00,0x7fffff40,0xfd8002ff,0x7fc400ff,0x000003ff,
    0x7fdfffe4,0xfffb88ae,0xffe8800e,0xc9ffffff,0xffffffff,0xffffb800,
    0xfecdffff,0xfd8005ff,0x2a05ffff,0xfb99cfff,0x0002ffff,0x001ff900,
    0x0007ff10,0x7fff5400,0x7d44002f,0xffffffff,0x7fedc00a,0xffd000df,
    0x8000001f,0xffb10dfc,0x017fffff,0x7fffec40,0xdfff90ef,0xd9800359,
    0xffffffff,0xa8001dff,0x2fffffff,0x3ffff220,0x000cffff,0x017e6000,
    0x0000fe80,0xfffff900,0x4c03dfff,0xfffffffe,0x00ffffff,0x00026aaa,
    0x00001971,0x2a205500,0x80001acb,0x0d541bb9,0x97510000,0x00155999,
    0x3fffffe0,0x4407ffff,0x00abccba,0x03700000,0x0001cc00,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x777774c0,0x003eeeee,0xddddddd3,0x3bbae5dd,0xeeeeeeee,
    0x775c03ee,0x0eeeeeee,0x2b2ea600,0xeeeeea81,0x100005ee,0xdddddddd,
    0x5ddddddd,0x3bbbbbb6,0x5eeeeeee,0x3bbbbaa0,0x40eeeeee,0xeeeeeeee,
    0xeeeeea83,0xeeeeeeee,0x002ccdee,0xeeeeee88,0xeeeeeeee,0x0100004e,
    0xffffd510,0x4005ffff,0x0bffffd9,0x7fffff54,0x2001cfff,0xeffffd98,
    0xddff7001,0xea81dfff,0x006fffff,0xfffe9800,0x00bfffff,0xffffffd3,
    0x220037ff,0x9cfffffe,0xffffb880,0x3ea204ff,0xefffffff,0xfffffffe,
    0x74c4003d,0xffffffff,0xb500000a,0xfd1005df,0x1fffffff,0x01ffc800,
    0x7ffffff4,0x3fe0000f,0xffd3003f,0x42ffffcd,0x06fffffb,0xfff10000,
    0x1009ffff,0xbfffffff,0xdfff5000,0x3fff6003,0xffb804ff,0xc987ffff,
    0x01efffff,0x7ffffcc0,0x200003ff,0x02fffffa,0xffffff88,0x26000eff,
    0xfffa806f,0x0001ffff,0x744017fa,0x3ffe4fff,0x7ffd41ff,0x000006ff,
    0x3ffffffe,0xffffd002,0xf90007ff,0x7e4001bf,0x9804ffff,0x07ffffff,
    0x3fffffea,0x7fffc004,0x00001fff,0x17fffff6,0x7fffffc0,0x22005fff,
    0xfffd005f,0x4000bfff,0xffb000ff,0x7fff47ff,0xfffff987,0x3a000006,
    0x02ffffff,0xffffffd0,0x4ffa8007,0xffffc800,0xfff9804f,0x7cc07fff,
    0x004fffff,0x3ffffffe,0x3fe00001,0x800fffff,0xffffffff,0x13e003ff,
    0x7ffffdc0,0xfa8000ff,0xffff1004,0x16ff547f,0x37ffffcc,0xffd00000,
    0x2003ffff,0x2ffffffd,0x00bfee00,0x7ffffe40,0xffff8804,0xffb807ff,
    0xf003ffff,0x03ffffff,0x7ffec000,0xb9f005ff,0xffffffff,0x8013e003,
    0x3fffffff,0x000fd800,0x07fffff3,0xfffff980,0x3a000006,0x01ffffff,
    0xffffffb0,0x07bf2005,0xffffc800,0xfff8804f,0xfd007fff,0x003fffff,
    0x3fffffff,0x7fcc0000,0x9f002fff,0xffffffd1,0x09f001ff,0x7ffffdc0,
    0x27c4007f,0xfffff700,0xfff98007,0x000006ff,0x3ffffffa,0xffffb001,
    0xfe8805ff,0x7e40000d,0x8804ffff,0x07ffffff,0xffffff90,0xfffff00d,
    0x800003ff,0x2002dfd9,0xfffff14f,0x9f00dfff,0x7fffc400,0x32002fff,
    0x3fee000f,0x4c004fff,0x006fffff,0x3fffa000,0xfb001fff,0x405fffff,
    0x00004fe9,0x09fffff9,0xffffff10,0x3ffe600f,0x7c01ffff,0x01ffffff,
    0x20000000,0x3fffea4f,0x7c04ffff,0x7ffec004,0xf1006fff,0xfffb800b,
    0x7cc004ff,0xc986ffff,0x3ccccccc,0xfffffe80,0xfffb001f,0x3ea05fff,
    0x3200002f,0x804fffff,0x7ffffff8,0x3ffffa00,0x7ffc04ff,0x0001ffff,
    0x13e00000,0xfffffff7,0x0027c07f,0x3fffffe6,0x01fb801f,0xfffecca8,
    0x802cceff,0x86fffff9,0xeffffeb8,0xfffe801b,0xfb001fff,0x905fffff,
    0x800003df,0x04fffffc,0xffffff88,0x3fff2007,0x3e00ffff,0x01ffffff,
    0x20000000,0xffffd84f,0x9f01ffff,0xffffd000,0x0dd009ff,0x3ffffee0,
    0x04ffffff,0x6fffff98,0x00fffe60,0xffffffd0,0x3fff6003,0x3f622fff,
    0xc800000f,0x804fffff,0x7ffffff8,0x3ffff200,0x3fe01fff,0x001fffff,
    0x3e000000,0xfffffd04,0x09f01fff,0xfffff500,0x17d401ff,0xffecca80,
    0x02ccefff,0x6fffff98,0x000bfea0,0x3ffffffa,0xffffb001,0x3ffa65ff,
    0xc800004f,0x804fffff,0x7ffffff8,0x3fffee00,0x3fe02fff,0x001fffff,
    0x3e000000,0xfffff104,0x09f0dfff,0x3ffffe00,0x01ba03ff,0x7ffffdc0,
    0x7ffcc004,0x5fd106ff,0x3fffa000,0xfb001fff,0xf55fffff,0x005fffff,
    0xffffc800,0xfff8804f,0x2a007fff,0x3fffffff,0x3fffffe0,0x0000001f,
    0xf9813e00,0x4fffffff,0xfb80027c,0x306fffff,0x3ee0007f,0x4004ffff,
    0x06fffff9,0x740003fb,0x01ffffff,0xffffffb0,0xfffffffd,0x6400003f,
    0x804fffff,0x7ffffff8,0x3fffea00,0x3fe04fff,0x001fffff,0x3e000000,
    0x7fffdc04,0x13e2ffff,0x7fffc400,0x0fd82fff,0xffff7000,0xff98009f,
    0x1fd86fff,0x7fff4000,0xfb001fff,0xffffffff,0x1dffffff,0x3ff20000,
    0xf8804fff,0x007fffff,0x3fffffe6,0x3fffe04f,0x00001fff,0x7c002da8,
    0xffffc804,0x09f1ffff,0x7fffec00,0x027c45ff,0xfffff700,0xfff98009,
    0x01fec6ff,0x7ffff400,0xffb001ff,0xfd1bffff,0x0bffffff,0x3fff2000,
    0xff8804ff,0x2007ffff,0xfffffffa,0x3ffffe03,0x200001ff,0x01fffff8,
    0x3fa009f0,0x8effffff,0x3e60004f,0x21ffffff,0x2e0000fc,0x004fffff,
    0x37ffffcc,0x0001fffb,0xffffffe8,0xffffb001,0x3ffe25ff,0x003fffff,
    0xfffffc80,0xffff8804,0x3ee007ff,0x01ffffff,0x3ffffffe,0x3f200001,
    0xf004ffff,0x3ffe2009,0x4fdfffff,0x7fff4000,0x0bf14fff,0xffffb800,
    0x7fcc004f,0xfffb6fff,0xfe8000bf,0x001fffff,0x5ffffffb,0x7fffffd4,
    0x640002ff,0x804fffff,0x7ffffff8,0x3ffff200,0x3fe00fff,0x001fffff,
    0x3ffffe00,0x04f800ff,0x3ffffe60,0x0004ffff,0x7fffffd4,0x0001fb8f,
    0x27ffffdc,0x3fffe600,0xfffffdef,0x3fa0002f,0x001fffff,0x5ffffffb,
    0xffffffc8,0x320000ff,0x804fffff,0x7ffffff8,0x3ffff200,0x7ffc07ff,
    0x0001ffff,0xffffe866,0x009f007f,0xffffffa8,0xf80004ff,0xebffffff,
    0xffb80005,0x4c004fff,0xefffffff,0x00ffffff,0xfffffd00,0x3ff6003f,
    0xfd82ffff,0x0effffff,0xffff9000,0xfff1009f,0x6c00ffff,0x05ffffff,
    0x7ffffffc,0xb8b60001,0x003fffff,0xff90009f,0x009fffff,0xfffff700,
    0x00005fff,0x09fffff7,0xfffff980,0xfffff89f,0xffd0005f,0x2003ffff,
    0x2ffffffd,0xfffffe88,0xf90005ff,0x1009ffff,0x0fffffff,0x7fffff40,
    0x7fffc02f,0x10001fff,0x7ffec43f,0x009f000d,0x3fffff60,0xf880004f,
    0x06ffffff,0xffff7000,0xff98009f,0x3fee6fff,0x8002ffff,0x1ffffffe,
    0xfffffb00,0x3ffe605f,0x003fffff,0x4fffffc8,0xfffff880,0xfff5007f,
    0xff00bfff,0x003fffff,0x2e207ee0,0x0027c000,0xfffffe88,0xff900004,
    0x0007ffff,0x3ffffee0,0x7ffcc004,0x7ffec6ff,0x74000fff,0x01ffffff,
    0xffffffb0,0x7fffd405,0x4002ffff,0x04fffffc,0xffffff88,0xffffd007,
    0xfff003ff,0x0003ffff,0x800003fa,0x3e60004f,0x0004ffff,0xffffff30,
    0x7fdc0000,0x4c004fff,0x446fffff,0x06ffffff,0x7fffff40,0xfffb001f,
    0xfc805fff,0x0fffffff,0x3ffff200,0xfff8804f,0xf9807fff,0x004fffff,
    0x3fffffff,0x00ff5000,0x0005f800,0x027fffd4,0xffffd000,0x7dc00007,
    0x4004ffff,0x86fffff9,0x3ffffffa,0x3ffffa00,0xffb002ff,0xd005ffff,
    0xdfffffff,0x3fff2001,0xff9804ff,0xd807ffff,0x00dfffff,0xfffffff0,
    0x6ff98003,0x1be20000,0x3fff2000,0x3ea00004,0x00000fff,0x13ffffee,
    0xfffff500,0x3ffff60f,0xfff001ff,0x2005ffff,0x3ffffffe,0xfffff980,
    0xc800efff,0x804fffff,0x7ffffff9,0x7ffffe40,0x7fffc003,0x2a002fff,
    0x00005fff,0x00007fee,0x00013ff6,0x0009fff0,0xfffffc80,0x7ffd4004,
    0xfff307ff,0x8801dfff,0x3fffffff,0xffffff00,0x3ff6009f,0x0effffff,
    0x7ffffec0,0xffffa805,0xfe982fff,0x4001ffff,0xfffffff9,0x7fdcc00d,
    0x700005ff,0x0017ffff,0x0027f440,0x007fee00,0xffffb000,0x7f4c00bf,
    0x80cfffff,0xdffffffe,0xffffb101,0x4405ffff,0xfffffffd,0x3fa200bf,
    0xffffffff,0xfffa80bf,0x2602ffff,0xffffffff,0xffffecef,0x4c000adf,
    0xfffffffe,0xecccceef,0x4fffffff,0x3ffe6000,0x1effffff,0x009f1000,
    0x005f8800,0x7fffcc00,0xfb801fff,0xffffffff,0xfffff10f,0x227fffff,
    0xfffffffe,0x2effffff,0xfffffffb,0x1fffffff,0xffffffe8,0xffffffff,
    0x3fffffe4,0xd50fffff,0xffffffff,0xdfffffff,0xfd100059,0xffffffff,
    0xffffffff,0xffffffff,0x00000007,0x00053000,0x00003700,0x3fffffea,
    0x003effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xddddddd0,0xdddddddd,0x00379bdd,0x3bbbbbba,
    0xeeeeeeee,0xdddddd33,0xdddddddd,0x3bbbaa3d,0x40005eee,0xeeeeeeee,
    0xdddb05ee,0x3bbb65dd,0xeeeeeeee,0x02acceee,0xeeeeee88,0xeeeeeeee,
    0x0abdeeee,0x22000000,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0xeee886ee,
    0xeeeeeeee,0xaccdeeee,0xfd310000,0xddffffff,0xffffffff,0x3fa6003d,
    0xbfffffff,0xffff5100,0x015fffff,0xffffffd5,0xffe98000,0x00afffff,
    0x41bfff51,0xfffffd98,0xffffeeff,0x4400bfff,0xfffffff9,0xfffeeeef,
    0x001dffff,0x7ec40000,0xffffffff,0xfffeeeef,0x207fffff,0xffffffa8,
    0xffffeeff,0x000befff,0xffffff98,0x7fffd447,0xf1002fff,0x09ffffff,
    0x3ffffea0,0x7fd402ff,0x80007fff,0x5ffffff8,0xf809fd00,0x20ffffff,
    0xffffffd9,0xffffa802,0xffb307ff,0x0009ffff,0xcff98000,0x0fffffff,
    0xfffff730,0xfffff300,0xffb981ff,0x8002ffff,0x07ffffff,0xffffffd1,
    0x3fffa009,0xf1002fff,0x01ffffff,0x7fffff98,0xfff70000,0xff001fff,
    0xffffd801,0xfffc80ff,0x7c401fff,0x407fffff,0x4ffffffb,0x2a000000,
    0xfffff8ef,0x7f4400ff,0xffff007f,0x3a601fff,0x00dfffff,0x3fffffe0,
    0x3fffe207,0xfe800fff,0x002fffff,0xfffffff1,0xffff9801,0xf100007f,
    0x805fffff,0xffd804f9,0xfd00ffff,0x801fffff,0x07ffffff,0xffffffe8,
    0xd0000001,0xfffff13f,0x3f2001ff,0xfffff007,0x7fc401ff,0x2006ffff,
    0x07fffffe,0x7fffffec,0xffffe803,0xff1002ff,0x801fffff,0x07fffff9,
    0x3fff6000,0x0fdc05ff,0x7ffffec0,0xffff700f,0xfff809ff,0xfa807fff,
    0x005fffff,0x14fb8000,0x1fffffff,0x401fe200,0x0fffffff,0x7ffffd40,
    0xfffd004f,0xffb80fff,0xe805ffff,0x02ffffff,0xffffff10,0xfff9801f,
    0x200007ff,0x0ffffffa,0x7ec01ba0,0x500fffff,0x0dffffff,0x7ffffff8,
    0xfffff880,0x4000007f,0x3ffe26f8,0x2000ffff,0xffff007c,0xfb001fff,
    0x007fffff,0x0ffffffd,0xffffff98,0x7fff400f,0xf1002fff,0x01ffffff,
    0x7fffff98,0x7ffc0000,0x7f303fff,0x3ffff600,0xfff300ff,0x7c01ffff,
    0x007fffff,0x3fffffff,0x7ec00000,0x3ffffe21,0xf30d00ff,0x3ffffe00,
    0xffa800ff,0x400fffff,0x07fffffe,0x7fffffdc,0xffffe807,0xff1002ff,
    0x801fffff,0x07fffff9,0xff900011,0x3ee0dfff,0xffffb001,0x3fe201ff,
    0x200fffff,0x07ffffff,0xfffffff0,0x2a000003,0x7fffc44f,0x07880fff,
    0x3fffe00f,0xf8800fff,0x03ffffff,0x3ffffff4,0x3fffff60,0xfffe805f,
    0xf1002fff,0x01ffffff,0x7fffff98,0x0b7ffb22,0xfffff980,0x2006e81f,
    0x0ffffffd,0xffffff30,0xfffff80f,0xfff8807f,0x0000ffff,0xf881fd00,
    0x80ffffff,0x7fc0007a,0x000fffff,0xdffffffb,0xfffffe80,0x7ffffc07,
    0xffe801ff,0x1002ffff,0x1fffffff,0xfffff980,0xffffff37,0x7ff400bf,
    0x1fcc4fff,0xfffffb00,0x3ffea01f,0x7fc06fff,0xa807ffff,0x07ffffff,
    0x05f90000,0xfffffff1,0x8000f901,0x0fffffff,0xfffff700,0x7ff403ff,
    0x3f607fff,0x003fffff,0x5ffffffd,0x3fffe200,0x7cc00fff,0xffafffff,
    0x2ffffffe,0xfffff900,0x2000fc8d,0x0ffffffd,0xffffff90,0xfffff805,
    0xfffc807f,0x00004fff,0xff105f98,0x881fffff,0x7fc0007f,0x000fffff,
    0xfffffff5,0x7ffff407,0xfffe887f,0x3a001eff,0x02ffffff,0xffffff10,
    0xfff9801f,0xf30cffff,0x001fffff,0x3ffffff3,0x3f600374,0x980fffff,
    0x05ffffff,0x7ffffff8,0x7ffffcc0,0xd000006f,0x3ffe201f,0x7ec0ffff,
    0x7ffc0007,0x5000ffff,0x9fffffff,0x7fffff40,0xfffeccbf,0xe8002cff,
    0xacffffff,0xaaaaaaaa,0xfffffffb,0x7fffcc00,0xfffd85ff,0xffd001ff,
    0x0fe69fff,0xfffffb00,0xfffe881f,0xff800eff,0x2607ffff,0x1fffffff,
    0x3fb80000,0x3ffffe20,0xffea88ff,0x33322007,0xfffffffc,0x43cccccd,
    0xfffffff9,0x3ffffa05,0xffffffff,0x8000bdff,0xfffffffe,0xffffffff,
    0xffffffff,0x7ffcc00f,0xffc80fff,0xf7003fff,0x3f2fffff,0x7ffec000,
    0xfca9afff,0x004fffff,0x3ffffffe,0xffdba999,0x000bffff,0x406f8800,
    0xfffffff8,0x07ffffff,0x3ffffe60,0xffffffff,0x7c46ffff,0x06ffffff,
    0x3ffffffa,0xfffdbaaa,0x2002efff,0xdffffffe,0xcccccccc,0xffffffcc,
    0x7ffcc00f,0xfff907ff,0x3e2007ff,0x6fafffff,0xffffd800,0xffffffff,
    0x7c000bef,0xffffffff,0xffffffff,0x6c000003,0xaaaaaacf,0xffffffba,
    0x7ffffdcf,0x7fffc000,0xf1000fff,0x0dffffff,0x3ffffff4,0xffffff98,
    0xffe800df,0x1002ffff,0x1fffffff,0xfffff980,0xfffff907,0xcccccc87,
    0xfffffffc,0xccccccef,0xfffffb02,0x0355557f,0xfffff800,0xfffeaaff,
    0x0000ffff,0x3fffea00,0xffffffff,0x20ffffff,0x40007ffb,0x0fffffff,
    0xfffff100,0x7ff409ff,0x3a207fff,0x05ffffff,0xffffffe8,0xffff1002,
    0xf9801fff,0xf907ffff,0xff89ffff,0xffffffff,0xffffffff,0xfb03ffff,
    0x001fffff,0xfffff000,0x7fffccff,0x00006fff,0x26667fa0,0xff999999,
    0x640fffff,0x7fc0007f,0x000fffff,0xfffffff3,0x7ffff407,0x7ffc407f,
    0x7404ffff,0x02ffffff,0xffffff10,0xfff9801f,0xfff907ff,0x7c4009ff,
    0x005fffff,0xffffffb0,0xff000001,0xfb8fffff,0x04ffffff,0x02fc8000,
    0xffffff10,0x000fd01f,0xfffffff8,0xffff5000,0x7f403fff,0xe807ffff,
    0x07ffffff,0x7ffffff4,0xffff1002,0xf9801fff,0xf907ffff,0x8009ffff,
    0x04fffffe,0xfffffb00,0xf000001f,0xd0ffffff,0x3fffffff,0x2fcc0000,
    0xfffff100,0x00f901ff,0xffffff80,0xfff7000f,0x7401ffff,0x807fffff,
    0xfffffffc,0x3ffffa01,0xff1002ff,0x801fffff,0x07fffff9,0x09fffff9,
    0xfffffe80,0xfffb0004,0x00001fff,0xfffffff0,0xffffff10,0x200001df,
    0x3e2000fe,0x80ffffff,0x3e01407a,0x00ffffff,0xffffff90,0xffffe80f,
    0xfffa807f,0x3a03ffff,0x02ffffff,0xffffff10,0xfff9801f,0xfff907ff,
    0xfe8009ff,0x0004ffff,0x1ffffffb,0xfff00000,0x3ee0ffff,0x05ffffff,
    0x003fb800,0x7fffffc4,0x2207880f,0x7ffffc07,0xffb000ff,0xe807ffff,
    0x807fffff,0xfffffffa,0x3ffffa02,0xff1002ff,0x801fffff,0x07fffff9,
    0x89fffff9,0xffffffff,0xffffffff,0x03ffffff,0x1ffffffb,0xfff00000,
    0x7ec0ffff,0x02ffffff,0x001be200,0x3fffffe2,0x3640700f,0x3fffffe0,
    0xfff8800f,0xfe806fff,0xc807ffff,0x0fffffff,0x3fffffa0,0xfff1002f,
    0x9801ffff,0x907fffff,0xc89fffff,0xfccccccc,0xccefffff,0xb02ccccc,
    0x01ffffff,0xffff0000,0x7fc40fff,0x00ffffff,0x0003fb00,0xfffffff1,
    0x05f88001,0x7ffffffc,0xffffc800,0xffe802ff,0xfe807fff,0x406fffff,
    0x2ffffffe,0xfffff100,0xff9801ff,0xff907fff,0xe8009fff,0x004fffff,
    0xffffffb0,0xff000001,0xa80fffff,0x6fffffff,0x004fa800,0xffffff10,
    0x4fb8001f,0x7fffffc0,0x7ffc400f,0xff005fff,0x980fffff,0x2fffffff,
    0x7fffff40,0xfff1002f,0x9801ffff,0x907fffff,0x009fffff,0x4ffffff8,
    0xffffb000,0x000003ff,0x0fffffff,0xffffff90,0x7fc4007f,0xfff10000,
    0x4001ffff,0x7fc02ffb,0x401fffff,0x0efffffb,0xffffff00,0x3ffe603f,
    0xe803ffff,0x02ffffff,0xffffff10,0xfff9801f,0xfff907ff,0xff8009ff,
    0x0004ffff,0x3ffffffb,0xff880000,0xd007ffff,0x3fffffff,0x0017f600,
    0xffffff88,0xfff9000f,0xfffff803,0x3fee01ff,0x22004fff,0x4fffffff,
    0x7ffffd44,0xff8803ff,0x004fffff,0xfffffff5,0xffffa803,0xfffd80ff,
    0x3e6005ff,0x006fffff,0xfffffff0,0xf9800005,0x01ffffff,0xffffff98,
    0x7fdc00ff,0x3fea0006,0x204fffff,0x0ffffeb9,0x3ffffe60,0xffd983ff,
    0x26002fff,0xfffffffe,0xffffedff,0xb1003fff,0xffffffff,0xffff9805,
    0x301effff,0x9ffffffd,0x7ffffd41,0xff9802ff,0x0cffffff,0xffffb100,
    0x0005ffff,0x3ffffa60,0xb801efff,0xefffffff,0xffffc982,0x7fcc001c,
    0xefffffff,0xffffdccd,0x3a607fff,0xffffffff,0xfffffece,0xffd000bd,
    0xffffffff,0x9bdfffff,0x3ffa0057,0xffffffff,0xfd33efff,0xffffffff,
    0x2a3dffff,0xffffffff,0xfffff97f,0xd90bffff,0xffffffff,0x20bfffff,
    0xfffffffd,0x1fffffff,0x7fff4400,0xffffffff,0x3f600eff,0x7fffffff,
    0x3fffffee,0xdd500fff,0xffffffff,0xffffffff,0xdfffffff,0xfffffe88,
    0xffffffff,0x000adeff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeee88,0xeeeeeeee,
    0xeeeeeeee,0x77775c1e,0xeeeeeeee,0xeeee804e,0x3a0eeeee,0xeeeeeeee,
    0xb84eeeee,0xeeeeeeee,0x3bba22ee,0xeeeeeeee,0xeeeeeeee,0xd85eeeee,
    0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0xdddddd10,0x03dddddd,0xeeeeb800,
    0x4eeeeeee,0xddddddd3,0xdddddddd,0xdddddddd,0x04005ddd,0x005edc40,
    0xdffffff1,0xfddddddd,0xbfffffff,0x3ffff260,0x001fffff,0x5ffffe4c,
    0x7fffdc40,0x02ffffff,0x7ffffd44,0x3faa201d,0xeeffffff,0xffffeeee,
    0x3a607fff,0xefffffff,0xfffeeeee,0x441fffff,0xffffffe9,0x740005ff,
    0xffffffff,0x7fffd41c,0xffeeefff,0xfeefffff,0x03ffffff,0xffb80b70,
    0xff301eff,0xf8803bff,0x0fffffff,0x7ffffe40,0x3a0006ff,0x7fcc01ff,
    0x06ffffff,0x00fffee0,0xffffff88,0x3fee201f,0x7fc407ff,0x202fffff,
    0x1ffffda8,0xffffff10,0x20001fff,0xfffffffa,0xbfff506f,0xfffff903,
    0xfffb309f,0x80bf3007,0x06fffffe,0x2003fff5,0xfffffffd,0xffffd003,
    0x20003fff,0xff7003ff,0x01ffffff,0x000ffee0,0x3ffffffe,0x7ffd8801,
    0xfffffe80,0xffd3002f,0x7fff7c03,0x0004ffff,0xfffffbfb,0x13fea09f,
    0xffffffc8,0x00fff204,0xffa817fa,0xb83fffff,0xff5001ff,0x00dfffff,
    0x7fffffcc,0x5fa8005f,0x7ffff400,0xfd005fff,0x3ffa000b,0x2001ffff,
    0xffe807fc,0x2002ffff,0x37e01ff8,0x7ffffffc,0xfccf8800,0x504fffff,
    0xfffc80df,0x7ec04fff,0x02ffe403,0xfffffff3,0x2003f909,0xfffffff8,
    0x7fec001f,0x001fffff,0x220007f4,0xffffffff,0x0037dc02,0xffffffd0,
    0x03fc4003,0x7fffffec,0x00fdc002,0xfffff1bd,0xfc8005ff,0xffffffc9,
    0xc803f504,0x04ffffff,0xff501fcc,0xfffe80bf,0x06c85fff,0x3fffff20,
    0xf88004ff,0x05ffffff,0x4000fee0,0xfffffffb,0x01df300f,0x7ffff400,
    0x3e4001ff,0x7ffffec0,0x0fc4002f,0x3fff6bd0,0x7c006fff,0xffffff96,
    0x3201ea09,0x04ffffff,0xfff503e8,0xffd980bf,0x03d85ffe,0xffffff30,
    0x7e4000df,0x01ffffff,0x40006f88,0xfffffffd,0x0003fd05,0xffffffe8,
    0x0f507701,0xffffffb0,0x0fc0c405,0x3ffe6bd0,0x5001ffff,0x3ffff25f,
    0x009504ff,0x9ffffff9,0xff707700,0x2200bfff,0x01907ff0,0x3fffffa0,
    0x220002ff,0x6fffffff,0x0002fc80,0x7fffffc4,0x017ec2ff,0x7ffff400,
    0x207901ff,0xffffd806,0x20ee02ff,0xfe97a00b,0x005fffff,0x7fffe4fd,
    0x001104ff,0x9ffffff9,0xffc81100,0xccceffff,0x0bfe602c,0xffffb800,
    0x80005fff,0xfffffffb,0x0017e602,0x7ffffdc0,0x07f70fff,0x3fffa000,
    0x07d01fff,0x7fffec00,0x00f602ff,0xfffa97a0,0x4c00ffff,0x3ffff24f,
    0x640004ff,0x04ffffff,0xfffffd80,0x4fffffff,0x8001bee0,0xfffffff8,
    0xfd00000f,0x40dfffff,0x200000fe,0xfffffffd,0x00005fad,0x3ffffffa,
    0x0003f881,0x3ffffff6,0x0007f102,0xfffff8bd,0x07e403ff,0x9ffffff9,
    0xfffc8000,0x44004fff,0xfffffdcc,0x202cccce,0x360002fe,0x3fffffff,
    0x3fea0000,0xa83fffff,0x4400004f,0xffffffff,0x7400006f,0x81ffffff,
    0x360003fc,0x02ffffff,0xbd0007f7,0xffffffb8,0xf917e207,0x009fffff,
    0xfffffc80,0x3ee0004f,0x2005ffff,0x2a0004fa,0x6fffffff,0xffe80000,
    0x7c47ffff,0xf5000006,0x3fffffff,0xffe80000,0x7d41ffff,0x3f60003f,
    0xa82fffff,0x5e8003ff,0x7fffffc4,0xc83f702f,0x04ffffff,0x7fffe400,
    0x2e0004ff,0x005fffff,0x440009f5,0xfffffffe,0xf9800001,0x23ffffff,
    0x000002fc,0x3ffffff6,0x7400005f,0x89ffffff,0x003fffc9,0x3fffff60,
    0xfff9312f,0xb0bd0007,0x0dffffff,0x3fff21ba,0x40004fff,0x4ffffffc,
    0x3ffee000,0x76cc05ff,0x7fe40002,0x004fffff,0x3fff6000,0x5f98ffff,
    0x7c400000,0x3fffffff,0x3ffa0000,0xffffffff,0x20003fff,0xeffffffd,
    0x3fffffff,0xf985e800,0x41ffffff,0xfffc83f9,0x40004fff,0x4ffffffc,
    0x3ffee000,0x015c05ff,0x7fffcc00,0x0000ffff,0x3fffe600,0x01fdcfff,
    0xffa80000,0x00ffffff,0xffffd000,0xffffddff,0x7ec0007f,0xfeefffff,
    0x003fffff,0xfffd05e8,0x0fd89fff,0xffffffc8,0x7fe40004,0x0004ffff,
    0x17ffffee,0x7f400000,0x02ffffff,0xffc80000,0x04ffffff,0x3f600000,
    0x05ffffff,0xffffd000,0x7ffd43ff,0x3ff60003,0x3222ffff,0xe8003fff,
    0xfffff505,0x413e21ff,0x4ffffffc,0x7ffe4000,0x20004fff,0x05fffffb,
    0x5fffffb8,0xfffff700,0x00000bff,0x3ffffe20,0x00000fff,0xfffff300,
    0x0007ffff,0xffffffd0,0x003ff983,0x3fffff60,0x03ff982f,0x3fe05e80,
    0xf73fffff,0x3ffff203,0x640004ff,0x04ffffff,0x3fffee00,0xfffe805f,
    0xff8800ef,0x00ffffff,0x3f200000,0x006fffff,0x5ff10000,0xffffffff,
    0xffe80001,0xfb81ffff,0x3ff60003,0xf702ffff,0x40bd0007,0x6ffffffb,
    0x7ffe40bd,0x40004fff,0x4ffffffc,0x3ffee000,0x7fcc05ff,0xfb000eff,
    0x07ffffff,0x20003700,0x6ffffffa,0xfd000000,0x3fffff23,0x740005ff,
    0x81ffffff,0x360003f8,0x02ffffff,0x17a000fe,0xffffff88,0x3f202fcf,
    0x004fffff,0x7ffffe40,0x3ee0004f,0x5c05ffff,0x5000efff,0xdfffffff,
    0x0003e000,0x7fffffd4,0xd8000006,0x7ffff42f,0x20003fff,0x1ffffffe,
    0x203807d0,0x2ffffffd,0x3a000f60,0x7fffec05,0x7e406fff,0x004fffff,
    0x7ffffe40,0x3ee0004f,0x7405ffff,0x3a000eff,0x1fffffff,0x00079800,
    0x3fffffea,0x5c000006,0xffff984f,0x0000ffff,0x3ffffffd,0x07880f20,
    0x3ffffff6,0x2000ee02,0x7ffcc05e,0x6403ffff,0x04ffffff,0x7fffe400,
    0x2e0004ff,0x205fffff,0x2000eff9,0xfffffffb,0x00f90004,0x7ffffd40,
    0x2000006f,0x3ff205fa,0x006fffff,0xffffffd0,0x6c806603,0x3fffff60,
    0x000a602f,0x3ffa017a,0x6400ffff,0x04ffffff,0x7fffe400,0x2e0004ff,
    0x205fffff,0x22000ffb,0xffffffff,0x06f98000,0x3fffea00,0x000006ff,
    0xfe801df1,0x03ffffff,0xfffffe80,0x09f0001f,0x7fffffec,0x5e800002,
    0xfffffa80,0xffffc805,0x640004ff,0x04ffffff,0x3fffee00,0x007b205f,
    0xffffffb0,0x3fa0005f,0x3fea0005,0x0006ffff,0x801fe880,0xfffffff9,
    0x7ff4001f,0x8001ffff,0x3ff603fc,0x0002ffff,0xff005e80,0xf9003fff,
    0x009fffff,0xfffffc80,0x3ea0004f,0x0445ffff,0xffff5000,0x1000bfff,
    0x40009ffb,0x6ffffffa,0x3fe80000,0x3ffff200,0x74006fff,0x02ffffff,
    0xb017fe40,0x05ffffff,0x00bd0000,0x401bffee,0x4ffffffc,0x7ffe4000,
    0x20004fff,0x46fffff9,0xff10001d,0x03ffffff,0x3fffe980,0x3ffea000,
    0x00006fff,0x74003fec,0x4fffffff,0x3ffffe00,0xf91002ff,0x7ff403ff,
    0x0003ffff,0xf1006f80,0x3f2005ff,0x004fffff,0x7ffffe40,0x7ec0004f,
    0x3dacffff,0x3fff2000,0x2004ffff,0x2fffffd9,0x3fff2000,0x0000ffff,
    0x007ffe88,0xffffffc8,0xff8802ff,0x406fffff,0x0fffffb8,0x3fffffe0,
    0x5c00004f,0xff9002ff,0x7ffff400,0x740006ff,0x06ffffff,0x7fffc400,
    0x20005fff,0xfffffff9,0xdccccccf,0xfffffeee,0x50002fff,0xffffffff,
    0x3260001b,0x00dfffff,0xfffffd30,0x2017ffff,0xffffffd8,0xedccdfff,
    0x7fffffff,0xfffffb10,0x00005fff,0x02bfffee,0x91009f30,0xffffffff,
    0xfb880019,0xcfffffff,0x3ae20000,0x0000bdff,0x3ffffffa,0xffffffff,
    0xffffffff,0x1001ffff,0xffffffdd,0xdfffffff,0x3fff2007,0x4fffffff,
    0xffffff30,0xffffffff,0x3ffffa23,0xffffffff,0xffffffff,0x7ec6ffff,
    0xffffffff,0x003effff,0x7fffff44,0x3a00ffff,0x3fffb200,0xffffffff,
    0x7f6404ef,0xffffffff,0x0005efff,0x00000044,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,
    0xeeeeeeee,0x004deeee,0x99999988,0x99999999,0x09999999,0x02ffb800,
    0x1bfe0000,0x00980000,0x031000a6,0x00130000,0x00002200,0x011000c4,
    0x000c4000,0x98080440,0xfffffffe,0x2b60001e,0xaaaaaaaa,0xaaaaaaaa,
    0x8005aaaa,0x00002ffb,0x0001bfe0,0xefffeca8,0x8817e21d,0xeffffecb,
    0xfb950003,0x8001bfff,0x1deffeda,0x7fff5c00,0x7ecc1cdf,0x8002dfff,
    0xcffffecb,0xfffb1000,0x209b159d,0xfffffff8,0x002c0000,0xb8005800,
    0x000002ff,0x40001bfe,0xfdacfffc,0x00ee8cff,0xfd79dff5,0xc800dfff,
    0xfffdbfff,0xdff9003f,0x005fff75,0xffb9fff7,0x3fee7fff,0x0dfffcae,
    0xdfffd880,0x404fffda,0xfebefff9,0x3fe04fff,0x0007ffff,0xb0000058,
    0x05ff7000,0x37fc0000,0x3ff62000,0x7fffd44f,0x3ffd880f,0x05ffffd8,
    0x7c1dffb0,0x2203ffff,0x7fdc6ffe,0x13ff603f,0x3fbffff2,0x3ffe60ff,
    0x7fff4c06,0x06fffec1,0x262fffc4,0x3fe04ffd,0x0007ffff,0xb0000058,
    0x05ff7000,0x37fc0000,0x3fffa000,0x0dfffd07,0x260bfff2,0x403fffff,
    0x7e42fffe,0x3fa07fff,0xfffe82ff,0x01fffd80,0x5ffffffd,0x207fffb0,
    0x885ffff8,0xfc85ffff,0x0bfd02ff,0x3ffffffc,0x0002c000,0xfb800580,
    0x2000002f,0x2a0006ff,0xfb05ffff,0xfff05fff,0xffff10df,0x7ffdc0df,
    0xfffffa87,0x07fffb81,0xf88bfffb,0xff906fff,0x3ea0ffff,0xffc80fff,
    0xfffd03ff,0x5ffff85f,0x7fc0bf10,0x999fffff,0x002c0019,0xb8005800,
    0x000002ff,0xe8001bfe,0xf904ffff,0x7d41ffff,0x7c42ffff,0x3a07ffff,
    0xff986fff,0x7fc41fff,0xfff705ff,0x7fffd43f,0xffffb81f,0xffff306f,
    0xfffff887,0xdffff902,0x2fffffc4,0x3ffe05c8,0xffffffff,0x2c02deff,
    0x00580000,0x0002ffb8,0x001bfe00,0x27ffffd4,0x7fffffcc,0x3ffffe63,
    0x7ffffc42,0xbffff707,0x21bfff60,0x705ffffb,0x7c45ffff,0xfb82ffff,
    0xf104ffff,0xffc8bfff,0xff901fff,0x7ffc4fff,0x2440efff,0xfffffff0,
    0xffffd997,0x001607ff,0x5c002c00,0x000002ff,0x64001bfe,0x443fffff,
    0x4fffffff,0x4437ffec,0xb07fffff,0x4c0bffff,0xfffd80ac,0xffff704f,
    0x06fffd89,0x07fffff7,0xd1bfffe2,0x203fffff,0x21fffffc,0xffffffff,
    0x3fffe003,0xfffc87ff,0x00584fff,0x7000b000,0x000005ff,0xd80037fc,
    0x223fffff,0xfffffaee,0xea81b886,0xd07fffff,0x000dffff,0x677ffff4,
    0xfffdcccc,0x701c985f,0x59ffffff,0xfff75555,0xfffff8ff,0xffff700f,
    0x7fffe47f,0xf005ffff,0x20ffffff,0x4ffffffc,0x5800002c,0x2aaaaaaa,
    0xacffdaaa,0xaaaaaaaa,0x55555532,0x5dff5555,0x55555555,0x7ffffc15,
    0x3ea3b63f,0x5007ffff,0xfffffdfd,0x3ffffe0f,0x3ffe0007,0xffffffff,
    0x006fffff,0xfffbff71,0xffffffff,0x23ffffff,0x0ffffff8,0xbfffff70,
    0x7fffffc4,0x7c01efff,0x207fffff,0x0fffffff,0xac000016,0xfffffff8,
    0xffffffff,0xffffffff,0xffffff97,0xffffffff,0xffffffff,0x7ffffc7f,
    0x3ea3f93f,0x4c07ffff,0xfff8cffe,0xfff987ff,0x88000fff,0x005fffff,
    0x477fdc00,0x03fffffb,0xfffff300,0x3ffee01f,0x7ffcc6ff,0x0fffffff,
    0x3fffffe0,0x3ffffa07,0x000164ff,0xffff8ac0,0xffffffff,0xffffffff,
    0xfff97fff,0xffffffff,0xffffffff,0x7fc7ffff,0x2fbbffff,0x1bffffea,
    0x89fffec4,0x987fffff,0x01ffffff,0xfffff980,0xff500007,0x7fffd49f,
    0xff30005f,0x3201ffff,0x986fffff,0xfffffffe,0x3fffe06f,0x3ff207ff,
    0x0166ffff,0xcc8ac000,0xcccccccc,0xccccdffe,0x954ccccc,0x99999999,
    0x9999fff9,0x43999999,0xfdfffffe,0x7ffffd43,0x2fffe985,0x1fffffe2,
    0x1ffffffc,0x7fffc400,0x220000ff,0x7cc3fffd,0x0006ffff,0x1ffffff1,
    0x3fffff20,0xffffb105,0x3e03ffff,0x207fffff,0x7ffffffa,0x2c000016,
    0x017fdc00,0x0dff0000,0x3ffff600,0xfffa84ff,0x7ffd43ff,0x7fffc44f,
    0xffffd07f,0x3fe000bf,0x0001ffff,0x30dfffd1,0x01ffffff,0x3ffffe00,
    0xffff900f,0xfffb809f,0xff04ffff,0x540fffff,0x26ffffff,0x0b000005,
    0x005ff700,0x037fc000,0xfffffc80,0xfffff505,0x7ffffc43,0x7ffffc42,
    0xfffffb07,0xffd0003f,0x2000bfff,0xf03ffffd,0x007fffff,0x3fffff60,
    0xfffff901,0xffe982c5,0xfff06fff,0x7e40ffff,0x164fffff,0x002c0000,
    0x00017fdc,0x000dff00,0x0fffffe2,0x07ffffdc,0x83fffff9,0x07fffff8,
    0xbffffff7,0xfffb8100,0x2d402fff,0x01fffff5,0x3ffffff6,0xf506c400,
    0x3603ffff,0x3a0fffff,0xffffd103,0x3ffffe0b,0x3fff607f,0x00161fff,
    0x5c002c00,0x000002ff,0xc8001bfe,0xf904ffff,0xffe8bfff,0x7fdc4fff,
    0xfd00ffff,0x407fffff,0x7fffc45c,0x3f300eff,0x1fffffec,0xffffffa8,
    0x7f426c05,0xffd02fff,0x206e87ff,0xf03ffff9,0x40ffffff,0x47ffffff,
    0x0b000005,0x005ff700,0x037fc000,0xdffff300,0x07ffffa0,0xbffffffd,
    0xfffffff7,0xfff5021f,0x215bffff,0xffc80fd9,0x541effff,0x7ffffc5e,
    0x3fee21ef,0x0effffff,0xffa836cc,0xffff04ff,0x205fd81f,0xff01fffe,
    0x2a0fffff,0x44ffffff,0x0b000005,0x005ff700,0x037fc000,0xfffff900,
    0x3ffffa83,0xffffffb8,0xfffe9eff,0xfd83edff,0xffffffff,0xfd102fff,
    0xdfffffff,0xffc81dff,0xfeefffff,0xfffff9cf,0xfffdefff,0x3ffff201,
    0x0ffffdc0,0x7c427fec,0x3ffe05ff,0xffa87fff,0x0585ffff,0x000b0000,
    0x00005ff7,0x80037fc0,0xfffe9afb,0x07fffd33,0x3fffffe2,0x3fffea4f,
    0x3ff203ff,0xffffffff,0xffffd802,0x80efffff,0xfffffff8,0x3fe60dff,
    0xffffffff,0xfffb801f,0x1dfff51d,0x2bbfff60,0x406ffd98,0xcfffffff,
    0xfffffecc,0x0000b03f,0x3ee00160,0x775c002f,0xeeeeeeee,0xffffffff,
    0xf33fffff,0xfffffc87,0x64c01bef,0xec81dfff,0xfa803eff,0x1befffff,
    0x3ffff200,0x2e00cfff,0x2effffff,0xfffffb10,0x4c0019ff,0xfffffffe,
    0x373f200d,0x0dffffff,0x7fffffc0,0xefffffff,0x001600ac,0x5c002c00,
    0x7e4002ff,0xffffffff,0xffffffff,0x23ffffff,0x15953102,0x20011000,
    0xca880008,0x5440000a,0x51000abc,0xb8800379,0x40000abc,0x5000acb9,
    0x001bb983,0x3ffffffe,0x58001999,0x00b00000,0x8005ff70,0xfffffffc,
    0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x80000000,0x07ffffff,0x00005800,0x000000b0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff000000,0x000fffff,0x200000b0,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff80000,0x80007fff,0x0b000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff8800,0x40000fff,0x0b000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffecc00,0x001dffff,0x3bbbbb60,0xeeeeeeee,0xeeeeeeee,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ff44000,
    0xffffffff,0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00002200,
    0x2a510000,0xcccccccc,0x666541cc,0x99950ccc,0x27999999,0xccccccc9,
    0x33320ccc,0x80000ccc,0x00400000,0x66540060,0x643ccccc,0x1ccccccc,
    0x00000028,0x0620000a,0x9802aa20,0x4ccccccc,0x2f7ffb22,0x20000000,
    0xffb37fc9,0x17ffffff,0x3fffeb88,0x3fffffa6,0xff911bff,0x85bfffff,
    0x263fffda,0x4ccccccc,0x3177f5c4,0x99999999,0x2ceffdb8,0x5bfffb70,
    0x7fffe4c0,0x7ff545ff,0x7c42ffff,0x000000cf,0x2ea213f2,0x2fe881ac,
    0x9ffffd70,0xffff9101,0x3ffe6fff,0x0006ffff,0xfffda800,0x7ffffec7,
    0x0ffdc04f,0x7fffffd8,0xffffff70,0x107fe205,0xffffffd7,0x3fffff44,
    0xffffff91,0x3ffffa2f,0x3f621fff,0x03ffffff,0x2fffffe4,0x2ffffff8,
    0x16ffffc4,0x3fe60000,0xffffb34f,0x3fa27fff,0xffffc86f,0x3ee05fff,
    0xffafffff,0x3ffffffe,0xfb880000,0x444fffff,0x04ffffff,0xff3027dc,
    0x3a03ffff,0x104fffff,0x7ffcc09f,0xfffd17ff,0xffa83fff,0xdffaffff,
    0x8ffffffe,0xfffeefe8,0x3ee00fff,0xfd05ffff,0xfb05ffff,0x017fffff,
    0x3ffee000,0xfffffffe,0xeffeffff,0x7edefcc0,0xf302ffff,0x19ffffff,
    0x3fffffe6,0xfb300000,0x407dffff,0x06fffffc,0x3f6007e4,0xf704ffff,
    0x2a0fffff,0x3ffe201f,0xfffd8fff,0x7c40ffff,0x0effffff,0x3bfffff6,
    0x3fff21ef,0x3fea05ff,0xffb05fff,0x2e205fff,0x2dfffffe,0xfffb8000,
    0xdb9aceff,0x80efffff,0x7fffd42e,0xfffff303,0xffffb0bf,0x5c40005f,
    0x1dfffffe,0xfffff880,0x2017e01f,0x07fffffa,0x5ffffffd,0xff880d90,
    0x8afcffff,0xf885fffd,0x40efffff,0xeffffff9,0x7ffffc40,0x3fffea07,
    0xffffb05f,0xffb5005f,0x0017dfff,0x01fffec0,0x203fffd1,0x03fffd00,
    0x3fffffe6,0xfffffc80,0xffc98003,0x000bffff,0x2fffffec,0xfd001fa8,
    0xf885ffff,0x85fffffe,0xffff803f,0x5e4c3fff,0xfffff880,0xffff880f,
    0xffff01ff,0x3fea01ff,0xffb05fff,0x44005fff,0xdffffffc,0x7ffc4001,
    0x09ffb001,0x206ffd80,0x07fffff9,0x07fffff9,0x7ffff540,0x2a0002df,
    0x80ffffff,0x3fee006d,0x57dc5fff,0x20ffffff,0xfff801fa,0x88006fff,
    0x107fffff,0x01ffffff,0x03fffffe,0x2fffffd4,0x2fffffd8,0xfffd5000,
    0x90017dff,0x7c4007ff,0xff1000ff,0x7ffcc07f,0xfff907ff,0xfc8807ff,
    0x01cfffff,0xffffd000,0x002f889f,0x3fffffe2,0x7fffd3a0,0x401b62ff,
    0x04ffffff,0xfffff880,0x3ffffe07,0xfffff00f,0x3ffea01f,0xfffb05ff,
    0x980005ff,0xcffffffc,0x001bfe01,0x54013fea,0x7fcc05ff,0xff907fff,
    0x36a07fff,0x0befffff,0x7fdc0000,0x03e47fff,0x7fffff40,0x3ff23f33,
    0x07f15fff,0x3fffffe0,0xfff88003,0x3ffe07ff,0xfff00fff,0x3ea03fff,
    0xfb05ffff,0x0005ffff,0x3fffae20,0x7fcc2eff,0x5ff88004,0x801dfd00,
    0x07fffff9,0x09fffff9,0x3bfffffd,0x7c400000,0x3e3fffff,0xfffb8004,
    0x7ccd96ff,0xfa8fffff,0xfffff000,0xff10005f,0x7fc0ffff,0xff00ffff,
    0x2a03ffff,0xb05fffff,0x005fffff,0xfffb3000,0x1ffd4fff,0x806ff800,
    0xf9800efc,0xf907ffff,0xf889ffff,0x002effff,0xfffc8000,0x001f56ff,
    0xffffff10,0xfffe87f3,0x2005dbff,0x01ffffff,0xfffff880,0x3ffffe07,
    0xfffff00f,0x3ffea03f,0xfffb05ff,0x000005ff,0xfffffd71,0x80017fd4,
    0x77d407ff,0x7fcc04c0,0xff907fff,0xfb509fff,0x017fffff,0x3fe20000,
    0x05daffff,0x3ffff600,0x7fdc0fef,0x003fefff,0x03fffffe,0x3fffe200,
    0x3fffe07f,0xffff00ff,0x3fea03ff,0xffb05fff,0x00005fff,0x7ffffe4c,
    0x13fe60cf,0x817fe200,0x81f985f9,0x07fffff9,0x09fffff9,0x7ffffe44,
    0x800001df,0xfefffffd,0x3fea0001,0xf885ffff,0x00ffffff,0x1fffffe0,
    0x7fffc400,0x3fffe07f,0xffff00ff,0x3fea03ff,0xffb05fff,0x00005fff,
    0xdfffffd5,0x01bfe205,0x4c13fea0,0xffeeeeff,0xfffff307,0x3ffff20f,
    0xffb5004f,0x0017dfff,0x3fffe600,0xf80006ff,0xb02fffff,0x00bfffff,
    0x07fffff8,0xfffff100,0x7ffffc0f,0xfffff00f,0x3ffea03f,0xfffb05ff,
    0x220005ff,0xcffffffc,0x02ffe801,0x4417ff40,0xffffffff,0xffff306f,
    0x3fff20ff,0x64c004ff,0x1cffffff,0xfffe8000,0xc80003ff,0x500fffff,
    0x005fffff,0x07fffff8,0xfffff100,0x7ffffc0f,0xfffff00f,0x3ffe603f,
    0xfffb06ff,0xd98005ff,0x0befffff,0x03ffea00,0x4437fdc0,0xfffffffe,
    0xfff304ff,0x3ff20fff,0x20004fff,0xefffffea,0x3fee0002,0x80000fff,
    0x405ffff9,0x8007ffff,0x007fffff,0xffffff10,0x7fffffc0,0xffffff00,
    0x3fffe603,0xffffa86f,0xeb8802ff,0x02dfffff,0x07bff600,0x305fff90,
    0x55555555,0x3fe60355,0xff907fff,0x00009fff,0xffffff93,0xfff00019,
    0x7400009f,0x7e402fff,0x7c4005ff,0x000fffff,0xffffff88,0xffffff00,
    0x3ffffe01,0x3fffe01f,0x3ffe60ff,0x2603ffff,0xcffffffc,0x7f440000,
    0x530acfff,0x009ffffd,0x3ffe6000,0xfff907ff,0x400009ff,0xfffffeb8,
    0x3ff2002d,0x2e00000f,0xff9807ff,0x7fc4002f,0x8000ffff,0x0ffffff8,
    0xffffff88,0xffffff00,0x7fffe403,0xfeefcbef,0xea84ffff,0x02efffff,
    0xffff3000,0xffffffff,0x09ffffff,0xfff50000,0xffb01fff,0x0000bfff,
    0x3ffff660,0x17fe2007,0x9ff10000,0x001ffa00,0x3fffffe6,0xfff98001,
    0xff881fff,0xf881ffff,0x402fffff,0xfffffffe,0xfffffd8d,0x3fffe21e,
    0x200001cf,0xfb8efff8,0xdfffffff,0x004fffa9,0x3fffa600,0x3ee0cfff,
    0x02ffffff,0x3ae20000,0x17ec007f,0x0fec0000,0x4004fb80,0xffffffd8,
    0x7fec4005,0x6c0dffff,0x1dffffff,0x3fffff62,0x3f6200df,0x3f64ffff,
    0x14ffffff,0x00017dff,0x2a17f600,0x541bcedc,0x500001ff,0xffffffff,
    0x3ffff2ff,0x005fffff,0x005a8000,0x8000024c,0x07220049,0xfffff980,
    0x805fffff,0xfffffff9,0xfff89fff,0xafffffff,0xfffffff8,0x5c402fff,
    0x3620001b,0x70000001,0x00350000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x66666400,
    0xcccccccc,0x9990cccc,0x99999999,0x99999913,0x00350009,0x5400d435,
    0x73000001,0x000c0001,0x0b980030,0x032e0000,0x00551000,0x15401710,
    0x1000dc40,0x4c400155,0x7ffc01ba,0xfeeeeeff,0x50ffffff,0xfffffffd,
    0x3ffee15d,0x7ec002df,0xfb0fec02,0x002fd805,0x0fffd400,0x001fe400,
    0xfa8017e4,0x980000ff,0xd70004ff,0x801bffff,0xe880ffda,0xff703fff,
    0x7f6401df,0x2203efff,0x4ffecdfc,0x3201dff0,0x82ffffff,0x4ffffffc,
    0x8000efc8,0x2fe406fc,0xf9807fe2,0x3600001f,0x54004fff,0x32003fff,
    0xfe801fff,0xe80002ff,0x54001fff,0x4fffffff,0xfffffc98,0x7ffffc80,
    0x09fffff0,0x3ffffff6,0x47fb05ff,0x6f84fff8,0x3ffffe60,0x3fffa05f,
    0x00fe87ff,0x201ffc80,0xffd81ffb,0x007ff601,0x17ffdc00,0x1fffe400,
    0x01fffe40,0x003fffe8,0x2ffffd40,0xb315f300,0x6c43ffff,0x80ffffdb,
    0x42ffffff,0x47fffffa,0xbbcfffe8,0x7d45fffc,0x437ffc6f,0x3fffa03f,
    0x3e601fff,0x2e3fffff,0xffb8001f,0x417fee05,0xf300fff8,0x200001ff,
    0x320003db,0x3f203fff,0x3ee003ff,0x220000ff,0x02ffffff,0xffff0390,
    0x3fffe603,0xffffff80,0x7ffffd41,0x406ffec6,0x3ee3ffe9,0x1fffe0ff,
    0x7ffdc03e,0xfd804fff,0xf88fffff,0xfffb8004,0x03fff501,0xd8077fe4,
    0x00000eff,0x3ff20000,0x3fffc83f,0xff885710,0xc80164c5,0x06ffddff,
    0x02fff400,0xd01ffff1,0x881fffff,0x7c5fffff,0x3fe600ff,0xff516dc6,
    0xf10281ff,0x01ffffff,0xffffff10,0xf5000db9,0x3fea0bff,0x7ffc405f,
    0xefff980e,0x00000000,0xc8ffff20,0xff103fff,0x717ec5df,0xf8809fff,
    0x3fff88ff,0x0bff5000,0x80ffff88,0xf06ffffd,0x7cc7ffff,0x0ffc803f,
    0xffffbd50,0x3fff2001,0x32002fff,0x1fffffff,0x7fffcc00,0x1ffff981,
    0x05fffc80,0x000bfffb,0xfc800000,0x3fffcaff,0x3ffffea0,0x7ffe4f52,
    0x27fec07f,0x4001fff9,0x01efffb8,0x203fffe2,0xb04ffffb,0x7dc3ffff,
    0x2ffb801f,0xfff9ff4c,0xfff9800f,0x44005fff,0x06ffffff,0x27fffcc0,
    0x02ffffcc,0x85ffff88,0x4c5ffff9,0xaaaaaaaa,0xaaaaaaaa,0x0aaaaaaa,
    0x7ffffe40,0xffff803f,0xfd9e9cff,0x2604ffff,0x3fe20fff,0xffd1004f,
    0x2205ffff,0xf880ffff,0xff702fff,0x01ffc8ff,0x3f23ffa8,0x03fffe3f,
    0x3fffffa0,0xffb8001f,0x1001ffff,0x881fffff,0x000fffff,0x213ffff2,
    0x324ffffd,0xffffffff,0xffffffff,0x3fffffff,0x3ffffc80,0xdddd9300,
    0xdddddfdd,0x3ffe805b,0x000fffa8,0x17ffff66,0x807fffc4,0xf300fffe,
    0x3ffb8bff,0xf51ffc80,0x0ffff8ff,0x7ffffdc0,0xff10004f,0x200dffff,
    0xe85ffffe,0x4005ffff,0x43fffff8,0x93fffff9,0xffffffff,0xffffffff,
    0x7fffffff,0x7ffff900,0x4de88000,0x06ffa800,0x20017ffa,0x880ffffb,
    0xf900ffff,0x3fff80df,0x22037fcc,0xfffb0fff,0x03fffea3,0xffffff88,
    0x3ee0000f,0x802fffff,0x40fffffb,0x007ffffa,0x077fffd4,0x43ffffea,
    0xccccccca,0xcccccccc,0xcccccccc,0x7fffdc01,0xf50003ff,0x20019f1b,
    0x2602fff8,0xf8001fff,0xfff107ff,0x13fea01f,0xfd03ffb0,0x3ff620bf,
    0x3fffff65,0x03bfffed,0x5ffffff9,0xfff88000,0xf7006fff,0xff709fff,
    0x7f4007ff,0xffe80fff,0x000001ff,0x7fff7000,0x4007fff9,0xffb1ffd8,
    0x0bff9005,0x000dffb0,0x3e20dff7,0xff100fff,0x107fb805,0x7337dfff,
    0x7cc1ffff,0xfff53fff,0xffff301b,0x70000bff,0x5fffffff,0x3ffff200,
    0x0ffffc80,0x1ffffa80,0x01ffffa8,0x70000000,0x7fe47fff,0xffe9803f,
    0x813ffee7,0x8801fff8,0x0bb82fff,0xf302ffa8,0x7f401fff,0x502fcc00,
    0xffffffff,0x206a03ff,0x3ffa00a8,0x1a01ffff,0x3ffafe60,0x36006fff,
    0xffb04fff,0xfffd007f,0x0bfffa03,0x40000000,0xfc83fffb,0x7fec03ff,
    0x3fffe25f,0x009ffb02,0x3ee3ffdc,0x0ff60bff,0x01ffffa8,0x01fc01b2,
    0x3fffffa6,0x800000df,0x4ffffffb,0x57a01a60,0x3ffffff9,0x03fff600,
    0x5007ffec,0x3ee05fff,0x440002ff,0x2e0004ec,0x3f203fff,0x3ffa03ff,
    0x17fff42f,0x0007ffcc,0xff98fffa,0x02efdfff,0xbffffd75,0x20011035,
    0x99730008,0x20000037,0xfffffff8,0xf901b600,0x7ffffec1,0x3ffa000f,
    0x80fffa04,0x3fe02ffe,0xfb80003f,0xfb8002ff,0xffc803ff,0x0dff503f,
    0x5301fff5,0x55300035,0xacccb885,0x55555401,0x0001aaaa,0x00000000,
    0xfffff900,0x02fe405f,0xfff985f5,0x22004fff,0xfd100ffe,0x07ff701f,
    0x0001ffdc,0x003fffd8,0x001fffcc,0x2203fff9,0x0000a201,0x00000000,
    0x00000000,0x4c000000,0x05ffffff,0x2a09ff93,0xffffd07f,0x744003ff,
    0x13fa204f,0xff8813fa,0x3ea00004,0xfb8000ff,0x03fc8003,0x00000000,
    0x00000000,0x00000000,0xffd00000,0x9759ffff,0x89ffffd9,0xe81fffb9,
    0x1fffffff,0x803fe600,0x13ee0ff9,0x0000bf70,0x40001510,0x000a0001,
    0x00000000,0x00000000,0x00000000,0x7ffd4000,0xffffffff,0x23ffffff,
    0xeffffffe,0xffffffb8,0x2005ffff,0x174c03e9,0x009b009b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02aaa200,0x77777744,0xeeeeeeee,0xeeeeeeee,0x3fffe26e,0xffffffff,
    0xffffffff,0x97107fff,0x2a000157,0xfb03da83,0x8809ffff,0xc800001b,
    0xcccccccc,0x22224ccc,0x88888888,0x88888888,0x22220888,0x88888888,
    0x88888888,0x00000888,0x00000000,0xffbefd88,0x7fffc40d,0xffffffff,
    0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,0xb87fffff,0xbdffffff,
    0xe897a000,0xfd81ffff,0x3f607fff,0x7ecc1eff,0x177e441d,0xfffffffd,
    0x3eafffff,0xffffffff,0xffffffff,0xf57fffff,0xffffffff,0xffffffff,
    0x00ffffff,0x00000000,0x0fff8800,0xff883ffa,0xffffffff,0xefffffff,
    0x227ffeee,0xffffffff,0xffffffff,0x7fffffff,0x7fffffe4,0x401cffff,
    0x3ffee3f9,0xfffd05ff,0xffff503f,0x5ffff8bf,0xe87fffec,0xffffffff,
    0xfff57fff,0xffffffff,0xffffffff,0x3feaffff,0xffffffff,0xffffffff,
    0x0007ffff,0x00000000,0x3227fec0,0x000005ff,0x00007fe8,0xbfff1000,
    0xffffffd9,0xfea817df,0x3fffffa1,0xfffe880f,0xfffffd84,0xfffff50f,
    0x3ffffe21,0xffffffd2,0x26ffffff,0xdddddddd,0xdddddddd,0x55dddddd,
    0xdddddddd,0xdddddddd,0x0bdddddd,0x00000000,0x7ffcc000,0x017ffdc4,
    0x1ffa0000,0x64000000,0x7f5c40cf,0xceffffff,0x7fec5fff,0xd100ffff,
    0xfffd0fff,0x3fe61fff,0x3ffe0fff,0xffffd1ff,0xdfffffff,0x00000000,
    0x00000000,0x00000000,0xb87fff70,0x00003fff,0x0003ff40,0x00fe8000,
    0x7ffffe4c,0x540fffff,0x404fffff,0x7dc1ffe8,0x7ec5ffff,0x7ffdc4ff,
    0x00000006,0x00000000,0x00000000,0x7e400000,0x7ffd43ff,0x74000005,
    0x0000007f,0xda8009f0,0x00dfffff,0x003dfffb,0xfe889fd1,0x1ca81fff,
    0x00005930,0x00000000,0x00000000,0x00000000,0xb87fffb0,0x00005fff,
    0xdd13ff40,0xdddddddd,0xdddddddd,0x54bddddd,0x55310000,0x00371001,
    0x59305d88,0x00000000,0x00000000,0x00000000,0x00000000,0x70fffee0,
    0x00009fff,0x3e27fe80,0xffffffff,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfa800000,0x7ffdc3ff,
    0x74000002,0x3fffe27f,0xffffffff,0xffffffff,0x00007fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x89ffd000,0x00006ffc,
    0x4cc19880,0x99999999,0x99999999,0x00199999,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff300000,0x001ffe8d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaefd8800,0x00000efd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00d654c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__times_bold_50_latin1_x[224]={ 0,3,3,0,1,3,1,3,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,2,0,0,1,0,0,1,1,0,0,0,1,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,2,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,1,0,0,3,3,2,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,2,0,1,1,0,0,1,1,-1,1,0,0,0,5,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,2,2,
2,2,2,2,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_50_latin1_y[224]={ 40,9,9,9,9,9,9,9,9,9,9,13,33,27,
33,9,9,9,9,9,9,10,9,10,9,9,18,18,14,20,14,9,9,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,10,9,10,9,46,9,18,10,18,10,18,9,18,10,9,
9,10,10,18,18,18,18,18,18,18,11,19,19,19,19,19,19,9,9,9,24,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,40,18,10,9,14,10,
9,9,9,9,9,19,20,27,9,4,9,13,9,9,9,19,10,21,39,9,9,19,9,9,9,18,-1,-1,-1,1,
1,2,10,9,-1,-1,-1,1,-1,-1,-1,1,10,1,-1,-1,-1,1,1,15,8,-1,-1,-1,1,-1,10,9,9,9,
8,9,9,8,18,18,9,9,8,9,9,9,8,9,9,9,9,9,8,9,9,15,18,9,9,8,9,9,9,9,
 };
static unsigned short stb__times_bold_50_latin1_w[224]={ 0,9,19,22,21,40,35,7,14,14,19,25,9,13,
9,13,20,18,20,20,20,20,21,21,20,20,9,9,25,25,25,19,40,33,29,30,31,29,26,34,35,17,23,35,
29,42,32,33,26,33,34,22,28,31,33,45,33,33,30,10,13,10,21,24,11,20,24,19,24,18,18,21,23,13,
14,25,13,36,23,20,24,24,19,15,15,23,23,33,21,23,20,13,4,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,9,19,22,23,23,
4,19,15,32,13,22,26,13,32,24,16,25,13,13,10,25,25,9,8,11,13,22,32,32,33,18,33,33,33,33,
33,33,45,30,29,29,29,29,17,17,17,17,31,32,33,33,33,33,33,20,33,31,31,31,31,33,27,22,20,20,
20,20,20,20,31,19,18,18,18,18,14,14,15,15,20,23,20,20,20,20,20,25,21,23,23,23,23,23,24,23,
 };
static unsigned short stb__times_bold_50_latin1_h[224]={ 0,32,16,32,35,33,32,16,41,41,18,25,15,5,
8,32,32,31,31,32,31,31,32,31,32,32,23,30,22,11,22,32,41,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,39,32,39,17,4,8,23,31,23,31,23,31,32,30,31,
41,30,30,22,22,23,32,32,22,23,30,22,22,22,21,31,21,41,41,41,8,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,32,22,30,
41,41,7,32,14,21,11,5,32,4,16,25,17,17,8,31,40,8,10,17,14,21,33,33,33,32,41,41,41,39,
39,38,30,40,41,41,41,39,41,41,41,39,30,40,42,42,42,40,40,20,34,42,42,42,40,41,30,32,32,32,
33,32,32,33,23,31,32,32,33,32,31,31,32,31,32,31,32,32,33,32,32,20,23,32,32,33,32,41,41,41,
 };
static unsigned short stb__times_bold_50_latin1_s[224]={ 252,236,205,167,110,166,1,248,26,160,137,
53,245,142,94,53,67,57,76,172,97,234,1,188,56,77,243,244,25,42,190,
212,95,1,1,1,181,100,130,1,31,113,177,131,213,157,1,178,115,133,142,
190,200,131,34,201,66,32,1,65,238,242,157,156,104,127,81,148,106,168,68,
156,67,163,97,87,167,129,1,219,32,131,109,240,229,166,51,75,22,164,1,
146,175,180,68,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,252,246,233,
232,216,91,247,41,126,98,242,44,15,142,23,181,225,79,240,179,245,55,204,
116,247,193,1,67,101,134,67,140,112,1,170,199,31,76,177,102,65,35,194,
1,224,79,61,230,223,1,133,1,99,68,34,116,132,67,35,167,167,136,1,
213,36,204,22,183,81,1,187,35,102,121,228,225,118,133,37,148,88,210,130,
151,207,193,109,90,105,57,159,43,214,223,1,199, };
static unsigned short stb__times_bold_50_latin1_t[224]={ 1,209,555,209,169,169,276,86,44,44,555,
501,470,577,577,276,276,342,342,276,342,342,309,342,309,309,407,243,532,577,532,
309,86,375,439,342,407,470,470,243,439,407,375,407,407,470,407,309,439,128,439,
209,470,375,407,375,470,470,470,169,276,44,555,577,577,501,375,501,375,501,407,
309,439,375,44,407,407,532,532,501,342,309,532,501,470,532,532,532,555,342,555,
44,44,44,577,501,501,501,501,501,501,501,501,501,501,501,501,501,501,501,501,
501,501,501,501,501,501,501,501,501,501,501,501,501,501,501,501,501,1,209,128,
309,532,439,1,44,577,309,555,555,577,577,309,577,555,501,532,555,486,375,86,
577,169,555,577,555,209,209,209,243,44,86,86,128,169,169,439,128,86,86,44,
169,44,44,44,86,439,128,1,1,1,128,128,555,169,1,1,1,128,86,501,
209,243,243,209,243,243,209,501,375,243,243,169,243,342,342,276,342,276,342,276,
276,169,276,276,555,501,243,243,209,276,1,44,1, };
static unsigned short stb__times_bold_50_latin1_a[224]={ 181,241,401,361,361,722,602,201,
241,241,361,412,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,241,241,412,412,412,361,672,522,482,522,522,482,441,562,
562,281,361,562,482,682,522,562,441,562,522,402,482,522,522,722,
522,522,482,241,201,241,420,361,241,361,402,321,402,321,241,361,
402,201,241,402,201,602,402,361,402,402,321,281,241,402,361,522,
361,361,321,285,159,285,376,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,181,241,361,361,361,361,159,361,
241,540,217,361,412,241,540,361,289,396,217,217,241,416,390,181,
241,217,238,361,542,542,542,361,522,522,522,522,522,522,722,522,
482,482,482,482,281,281,281,281,522,522,562,562,562,562,562,412,
562,522,522,522,522,522,441,402,361,361,361,361,361,361,522,321,
321,321,321,321,201,201,201,201,361,402,361,361,361,361,361,396,
361,402,402,402,402,361,402,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_50_latin1(stb_fontchar font[STB_FONT_times_bold_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_50_latin1_s[i] + stb__times_bold_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_50_latin1_t[i] + stb__times_bold_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_50_latin1_x[i];
            font[i].y0 = stb__times_bold_50_latin1_y[i];
            font[i].x1 = stb__times_bold_50_latin1_x[i] + stb__times_bold_50_latin1_w[i];
            font[i].y1 = stb__times_bold_50_latin1_y[i] + stb__times_bold_50_latin1_h[i];
            font[i].advance_int = (stb__times_bold_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_50_latin1_s[i] + stb__times_bold_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_50_latin1_t[i] + stb__times_bold_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_50_latin1_x[i] + stb__times_bold_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_50_latin1_y[i] + stb__times_bold_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_50_latin1_LINE_SPACING
#endif

