// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT        226
#define STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_29_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_29_latin_ext_LINE_SPACING          19

static unsigned int stb__arial_29_latin_ext_pixels[]={
    0x2004cc00,0xccccccc9,0x1ccccccc,0x00055500,0x10005980,0x44000133,
    0x19880019,0x01553000,0x551154c0,0x01553001,0x400d5440,0x54c002aa,
    0x4002aaaa,0x26200099,0x20004cc1,0x20000998,0x00662098,0x440dd910,
    0x0001531a,0x88000cc4,0x40026619,0x10000199,0x54400599,0x100acdec,
    0x90000099,0x397059db,0x3d703322,0x2600bbaa,0x0002ceed,0x00000799,
    0x5c000333,0x7fd401ff,0xffffffff,0xb802ffff,0x0b2201ff,0x80037c40,
    0x220006fe,0xfa8005ff,0xdf70003f,0xe9ffc400,0x0bff004f,0x9004fd80,
    0x7ec003ff,0x2005ffff,0x1000fffc,0x03fea9fd,0x00dffb00,0xfd8ffcc0,
    0x3fff4005,0x013ebf20,0x004ff880,0x3feebfd0,0x03ff7001,0x01ff7000,
    0xffffff70,0xff305fff,0xffd80000,0x13fe83ff,0x52fc81ff,0x7dc07fff,
    0x005fffff,0x0007ffd4,0x007ff300,0x4c01ffc0,0xffdccccc,0x01cccccd,
    0x7f403ff8,0x001f5002,0x0001ff50,0x800077dc,0x2a0007fb,0x3fe6002e,
    0xdf7005fc,0x01754001,0x88013f60,0x00099999,0x00df7ff5,0x0ffd7fcc,
    0x3f3bee00,0x3bee0004,0x2a000efb,0xec800aff,0x37e40004,0xd0ffa800,
    0x5fd8007f,0x0ffc4000,0x33bff620,0x5ffeca9a,0x00003fcc,0x01539ff3,
    0x03fe27fd,0x3fe4c5f9,0xb88bff88,0x3f6003ff,0x200004fe,0x2e0005fd,
    0x7cc0005f,0x9f50000f,0x2005fd00,0xfe8007fc,0x07fc0001,0x00ff2000,
    0x004d8b90,0x2001dff7,0x8b9001fe,0x1fd1004d,0x09b17200,0x3f65ff10,
    0x3ffea004,0x4ffd4003,0x20003ff8,0x4000fffd,0x45c805fb,0xff88004d,
    0x23fb0000,0xfd0005fa,0x1f540003,0x2027fe40,0x1fe61ffc,0x07fb8000,
    0x417e4000,0x85fb80ff,0xff1006fd,0x20000ff3,0x5c0006f9,0x7cc0000e,
    0x0310000f,0x6400bfa0,0x0098007f,0x00009800,0x7d800130,0x133002fc,
    0xb0004c00,0x22005f8f,0xf8fb0009,0x22198805,0x15540019,0x3104c400,
    0x55440003,0x03fc8001,0x002fc7d8,0x300004c4,0x80004c41,0x00000098,
    0xb003ff98,0x003fccbf,0x0009fb00,0xfe82fc80,0xc984fc81,0x3abf7004,
    0x9880002f,0x2faa0000,0x3e60000e,0x0020000f,0x0359ff53,0x33201988,
    0x80597001,0x41bdedb9,0x4007325d,0x003992cb,0x49930b2e,0x499302ca,
    0x00e642ca,0x264c2cb8,0x01cc8595,0x07325970,0x1cc965c0,0x44059700,
    0x001beeca,0x37dd9510,0xc83fc800,0x0597001c,0x0df76544,0xb800e640,
    0x3b2a202c,0x2a9801be,0xdf90d4c0,0x9877cc00,0x037b737f,0x37faaa60,
    0x20154c2a,0xd05f91a9,0x03ff503f,0xf93fe800,0xdb98000d,0x6c000bde,
    0x4c000750,0xea8000ff,0x3ffee04e,0x36ea05ff,0x3fe3512c,0x209fd003,
    0xfffffffc,0x3e4fc8cf,0x29fd003f,0x9fd003ff,0x13f67fb8,0x89fb3fdc,
    0x9fd003ff,0x13f67fb8,0x3fa007ff,0x3a007ff4,0x2007ff4f,0xfff704fe,
    0x01bfffff,0x3ffffee0,0xc800dfff,0x003ff83f,0x3fee09fd,0x0dffffff,
    0x3a007ff0,0xffff704f,0x201bffff,0x3fa01ff9,0x1000ffa2,0xfffbff98,
    0x7e400eff,0x4c6fffff,0x4bfa01ff,0x02fe82fc,0x20007ffb,0x3ff30ff9,
    0xfffc8800,0x004fffff,0x000164b2,0xd0001ff3,0x7d4c0361,0xffb01acf,
    0x2bf7bfff,0x9fd003ff,0xabdffe88,0x5ffffda9,0xfe801ffc,0x3a007ff4,
    0xfb3fdc4f,0xfd9fee09,0xe801ffc4,0xfb3fdc4f,0xd003ff89,0x400ffe9f,
    0x007ff4fe,0xffd113fa,0xffd9357d,0xeffe880d,0x6ffec9ab,0xff83fd80,
    0x889fd003,0xc9abeffe,0x7ff06ffe,0xd113fa00,0xd9357dff,0x27f40dff,
    0x3fe27f98,0x7fcc0002,0x6ffb89ef,0x5ffdd4c0,0x304fe81a,0x6c17e4ff,
    0xdfff702f,0x45fc8003,0x3a2004fe,0xfcaacfff,0xff1004ff,0xff98000d,
    0x07268000,0x7ec05fd0,0xfffc99bf,0x3a007ff5,0x01fff44f,0xff81fff5,
    0x3e9fd003,0x09fd003f,0xff800000,0x009fd003,0xe801ffc0,0x2007ff4f,
    0x007ff4fe,0x7ffb13fa,0xb02ffcc0,0x7fcc07ff,0x7c17f405,0x89fd003f,
    0x3e603ffd,0x003ff85f,0x3ffd89fd,0x5c17fe60,0x549f906f,0x4c0000ff,
    0x4fe886ff,0x5c07fa80,0x649f906f,0x442fd82f,0x4fffbbfe,0xf70bfe00,
    0x17ff400f,0x5007ffb0,0x40001fff,0xb8000ff9,0x2fe805de,0xf703ff30,
    0x400ffebf,0x0bfee4fe,0xf89fff30,0x29fd003f,0x9fd003ff,0xf8000000,
    0x09fd003f,0x801ffc00,0x007ff4fe,0x01ffd3fa,0x3fea4fe8,0x84ffa802,
    0xfa802ffa,0x203fe04f,0x9fd003ff,0x54017fd4,0x01ffc4ff,0x3fea4fe8,
    0x84ffa802,0x1ff81ff8,0xaa881fee,0xf31aaaaa,0x01bea05f,0xff1017ee,
    0x7e43ff03,0x7dc4fb82,0x07bffa23,0xff10ff50,0x07ff7005,0xd806ff88,
    0x20004fef,0x10000ff9,0x40bfa003,0xbff106fd,0x7f400ffe,0xf3017fa4,
    0x7fc1ff9d,0x3e9fd003,0x29fd003f,0x46a602a8,0x46a602a8,0x9fd003ff,
    0x1a980aa2,0x3fa007ff,0x3a007ff4,0x2007ff4f,0x017fa4fe,0x7f40ffb8,
    0x03fee005,0x1ffc17f2,0x3fa4fe80,0x83fee005,0x9fd003ff,0xf7002ff4,
    0xa89fb01f,0x807fdc6f,0xfffffff9,0x7c40ff34,0x027ec00f,0x1bea27ec,
    0x3ff105f9,0x7fdc07f4,0x413f600f,0x5fe806fd,0x401bf500,0x007f9ff8,
    0x0003fe60,0x0179b973,0x4ff817f4,0x1ffd7fa0,0x3fe4fe80,0x2a7fa201,
    0x00ffe3ff,0x03ffa7f4,0x1fea9fd0,0x0ff54fd8,0x03ffa7ec,0x1fea9fd0,
    0x07ff4fd8,0x1ffd3fa0,0x7ff4fe80,0x7cd3fa00,0x3fe2001f,0x8007fe61,
    0x3fe61ff8,0x007ff00d,0x0ffcd3fa,0x7c3ff100,0x29fd003f,0x22001ff9,
    0x47fa81ff,0x0ffcc3fd,0xfeeeee98,0xf80df34f,0x017f401f,0x0ff63fd4,
    0x3fa205f9,0x3e607fd6,0x9bff106f,0x3ffb9999,0x0002ff80,0x2feafdc0,
    0x01ff3000,0x3ffff620,0x5fd03fff,0xfc80bfe0,0x3a007ff5,0x440ff34f,
    0x49ff11fe,0x9fd003ff,0x7f400ffe,0x7ec0ff54,0x7ec0ff54,0x3a007ff4,
    0x6c0ff54f,0x2007ff4f,0x007ff4fe,0x01ffd3fa,0x1ff54fe8,0x2a3ff800,
    0x7fc000ff,0xf807fe63,0x29fd003f,0x7c000ffa,0x400ffe3f,0x01ff54fe,
    0xff03ff80,0x3e03fe25,0xa7f4003f,0x17fc06f9,0x7c007fe0,0xc81ff12f,
    0x5dff202f,0x1ff501ef,0xffffff70,0x409fffff,0x00000ff9,0x06fc9ff4,
    0x001ff300,0x2e66fbfa,0x2fe80ffe,0x2e01ff88,0x2007ff5f,0x40df74fe,
    0xf2ff42fd,0x53fa007f,0x9fd003ff,0x4fd81fea,0xa7ec0ff5,0x9fd003ff,
    0x4fd81fea,0x3fa007ff,0x3a007ff4,0x2007ff4f,0x00ff74fe,0x3fdcbfb0,
    0x912fec00,0x0ffe03ff,0x7fba7f40,0x3e5fd800,0x29fd003f,0xfd8007fb,
    0x3eebf905,0x800bfb05,0x40df34fe,0x3e600ff8,0x2bf9000f,0x02fc85fb,
    0x7ff47dfb,0xfd01ff03,0x5555555b,0x3ee01ffb,0x7cc00007,0x003ff30f,
    0x3001ff30,0x7ff103ff,0x3fe05fd0,0x7fd7f202,0x369fd003,0x907fb05f,
    0x801ffcff,0x007ff4fe,0x03fd53fa,0x81fea9fb,0x007ff4fd,0x03fd53fa,
    0x00ffe9fb,0x03ffa7f4,0x0ffe9fd0,0x6fca7f40,0x327fc800,0x7fc8006f,
    0x7ff07f98,0x7e53fa00,0x27fc8006,0x9fd003ff,0x32001bf2,0x36ff307f,
    0x07ff702f,0x7f9a7f40,0xf501fe60,0xdbfcc00d,0x982fc82f,0xeffd886f,
    0x3e617e61,0x1ffc401f,0x00006fc8,0x13fa2fe4,0x003fe600,0x4fe80f26,
    0x7fd02fe8,0x3ffaff40,0x3f69fd00,0xf904fc86,0xe801ffcd,0x2007ff4f,
    0x40ff54fe,0x40ff54fd,0x007ff4fd,0x03fd53fa,0x00ffe9fb,0x03ffa7f4,
    0x0ffe9fd0,0x6fca7f40,0x326fc800,0x6fc8006f,0x7ff03fd0,0x7e53fa00,
    0x26fc8006,0x9fd003ff,0x32001bf2,0x3ebfa06f,0x0fffa00f,0x7cd3fee0,
    0x80bfb03f,0x7f4005fb,0x2fc80ffa,0x3ee03fc8,0x81ffabff,0xdfd006fc,
    0x0001fee0,0x7fb85ff0,0x00ff9800,0x27f54400,0xffa827f4,0xff5ff980,
    0x653fa007,0xd02fdc7f,0x801ffc9f,0x007ff4fe,0x03fd53fa,0x81fea9fb,
    0x007ff4fd,0x03fd53fa,0x00ffe9fb,0x03ffa7f4,0x0ffe9fd0,0x7faa7f40,
    0x2a4fd800,0x4fd8007f,0x7ff05fb0,0x7d53fa00,0x24fd8007,0x9fd003ff,
    0x36001fea,0x3ffee04f,0x6fffcc05,0x3ffae60b,0x47fff32f,0x6c00ffc8,
    0x7fdc004f,0xb05f905f,0xffe8807f,0x07ff00df,0x2a07fea0,0x500000ff,
    0x05ff10ff,0x000ff980,0x3fffb2e2,0xfffc84ff,0x88bffe85,0x9fd5fffc,
    0x7dcffe00,0xf80bf50f,0x4013fa2f,0x009fd3ff,0x03fd4ffe,0x81fea9fb,
    0x009fd4fd,0x03fd4ffe,0x013fa9fb,0x04fe9ffc,0x13fa7ff0,0xff89ffc0,
    0x117f4000,0xfe8001ff,0xfd07fb02,0x44ffe009,0x7f4000ff,0x7c013fa2,
    0x001ff13f,0x3e202fe8,0xfe8801ff,0xffffffff,0x3bfe60cf,0x01fffdff,
    0x44002fe8,0x5f901fff,0x2e005fd0,0xffa80eff,0x09ff1000,0x54003ff1,
    0x3609fb01,0x7fcc006f,0xffff7000,0x109fb79d,0xfd10fffb,0xbfbdffff,
    0x7fc017fa,0xdf37ff12,0xd07fd401,0x4bfe00bf,0x5ff005fe,0x4fe81fea,
    0xa7f40ff5,0x5ff005fe,0x4fe81fea,0x3fe00bfd,0x3e00bfd2,0x200bfd2f,
    0x00ffe2ff,0x7fc0ff98,0x03fe6003,0x2ff41fe4,0x3fe2ff80,0x83fe6003,
    0x5ff005fe,0xf3001ffc,0x07fd801f,0x7ffedcc0,0xff981cef,0x02dfffd8,
    0xb0003ff0,0x417e40ff,0x3a6001fe,0x005fd86f,0x7fc07fe4,0x87ff1003,
    0xccccdff8,0x0001ffdc,0x2b7fee00,0x06027ec0,0x919dfb90,0x201bf29f,
    0x3bf20ff9,0x37f400ef,0x3e601bf2,0x300df90f,0x81fe61ff,0x40ff34ff,
    0x00df94ff,0x1fe61ff3,0x0df94ff8,0x3f21ff30,0x90ff9806,0x1ff300df,
    0xe8007fe4,0x00ffc87f,0x7e40ffd0,0x9806fc83,0x03ff20ff,0x3f23ff40,
    0x20ff9806,0xfd000ffc,0x007f900f,0x4c027c40,0x3000627f,0x3f2000ff,
    0x3a0bf203,0x980a981f,0x900000ff,0x00ffec0f,0x3ee07fdc,0xffffffff,
    0x2a2004ff,0x04fe800a,0x154c13fa,0xf54fd800,0x47fd809f,0x6401fff8,
    0x27fd42ff,0xffa9ff60,0xf33fec04,0x29ff301f,0xff980ff9,0xd809ff54,
    0x203fe67f,0x9ff54ff9,0x3ea7fd80,0x53fec04f,0x7fd809ff,0x6400efe8,
    0x1dfd02ff,0x202ffc80,0x4ffa83fb,0x7f43fec0,0x17fe400e,0xfb013fea,
    0x801dfd0f,0x7c402ffc,0x3ea0000f,0x03fcc03e,0x001bea00,0xfc803fe2,
    0xff81ff82,0x0003ff04,0xff881760,0x17fe600e,0x2aaab7fa,0x00ffdaaa,
    0xf003ff50,0x13fe607f,0x16dc37dc,0x7fe45fd0,0xffd3109c,0xaeffe883,
    0x827ff4c0,0x3109cffc,0xffc83ffd,0xffd3109c,0x7cc5ff83,0x317fe4ff,
    0x7fe49fff,0xffd3109c,0x7cc5ff83,0x33ff24ff,0x3ffd3109,0x109cffc8,
    0xfc83ffd3,0xfd3109cf,0x5ffd103f,0x04ffe981,0x302bffa2,0xfb809ffd,
    0x139ff905,0x207ffa62,0x4c0affe8,0xff904ffe,0x3fa62139,0xaffe881f,
    0x027ff4c0,0x80002fe4,0x1fe602fd,0x009fb000,0xfc80bf90,0x6c07fc42,
    0x03fdc0ff,0xb80fd000,0x36a0beff,0x7fcc0eff,0x01ffc401,0xc801ffa8,
    0x5fff986f,0xff70dd50,0xd81ff901,0xffffffff,0xffcfe82f,0xffffeeff,
    0x7fffec03,0xb02fffff,0xffffffff,0xbfff705f,0x5c9f9dfd,0xcefedfff,
    0x7fffec4f,0xb82fffff,0xcefedfff,0x7fffec4f,0xb02fffff,0xffffffff,
    0x3fff605f,0x02ffffff,0x3bbfffa2,0x8803ffff,0xffeefffe,0xff8803ff,
    0xffffd84d,0x202fffff,0xfeefffe8,0x7ec03fff,0xffffffff,0x3fffa202,
    0x03ffffee,0x007fffae,0x1feb9880,0x2001fe60,0x000ffdcd,0x803fffd7,
    0xdffb32fc,0x337ffe20,0x00004ffe,0x2136fbee,0xffeffffb,0x6fc80fff,
    0x200dfd00,0xf9800fa8,0xdefecdff,0x2212e06f,0xfecbdffe,0xfffb701f,
    0x5fb05bff,0x6fffff5c,0xffb7000b,0xb805bfff,0x2dfffffd,0x37fffee0,
    0x7fdc4fb8,0x84fb8dff,0xdfffffdb,0x3fffee02,0xdb84fb8d,0x02dfffff,
    0x7ffffedc,0x7fedc02d,0x8802dfff,0xbdfffeca,0x3b2a2000,0x000bdfff,
    0x6dc1ffee,0x02dfffff,0xfffeca88,0xfb7000bd,0x005bffff,0xbfffd951,
    0xfffb8017,0x7ff40002,0x03fcc04f,0x13fffe60,0x02fffb80,0xfff52fc8,
    0x7fff4c03,0x400003ff,0x302fffd8,0x7ffffff9,0xa801ffc0,0x0d9001ff,
    0x7ffffd40,0xf301ff14,0x3fff6203,0x31001eff,0x301c4013,0x33100003,
    0x13310001,0x2000c400,0x33100018,0x000c4001,0x80009988,0x88000998,
    0x22000099,0x06200001,0x00551000,0x40001331,0x98800018,0x06200009,
    0x00155100,0x40013100,0x54c40019,0x5544000a,0x22153000,0x553000aa,
    0x88000003,0x02662000,0x2001ff50,0xea804ff8,0x00998001,0x54400cc0,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf90017f6,0x0001001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xdb73000b,
    0x3100017b,0x332a0003,0x10264c02,0x440c4099,0x90000001,0x0b2e0039,
    0x06620998,0x97002cc8,0x33333325,0x1ccccccc,0x30000080,0x70000003,
    0x0e65403d,0x64400000,0x81930004,0x32ea203b,0x04cccccc,0x3bb72e20,
    0x99000ace,0x17440003,0x4cc26620,0x00988000,0x19886620,0x75009930,
    0x22057bdb,0xcccc984c,0x30005d12,0x01cc8013,0x3322cca8,0xaccccccc,
    0x3f300009,0x7fffe440,0x2004ffff,0x4003ffe8,0x201ffff8,0x1fe607fa,
    0x02f43f88,0x803ff900,0x9fd003ff,0x7c47fdc0,0x07ffe03f,0x7ffd3f60,
    0xffffffff,0x37a603ff,0x7fec0005,0xb0fe2004,0x540bf20d,0x2000efff,
    0x40fe20fb,0xf10007f9,0x6c41fcc9,0xffffffff,0xfd9807ff,0xffffffff,
    0x3fe200cf,0x01b60002,0x17fd5bfa,0x07ffe600,0xfd97fcc0,0x440ff705,
    0xfffffffe,0x5c3fcc0e,0x1b23ffff,0x403ff700,0x7dc02ff8,0x7ffffc5f,
    0x5fffffff,0x2207c800,0xcaacfffe,0xfb004fff,0x74005fd9,0x500efacf,
    0x03fcc0ff,0x07f6f7f2,0x01ffc800,0xfe801ffc,0x7e6fec04,0x037ffc04,
    0xceffa7ec,0xcccccccc,0x15c7601c,0xfeefb800,0x2b3f2003,0x05f902fd,
    0x0bf95ff1,0x6ddefc40,0x00ff300f,0x3ffffdc0,0xdfffffe8,0x404dffcc,
    0x109beffc,0x03dffb75,0x4000bfe2,0x7fcc02f9,0x88009fb0,0x000ffcff,
    0x01df7df7,0x7fcc1fee,0xffebaabf,0x261fe61f,0x3e23feaa,0x00ffa003,
    0x7dc05ff1,0xaadff85f,0xffecbaaa,0xd0274006,0x7fec05ff,0x5477dc03,
    0x5eb800ff,0x3fd40fb2,0x7f5c4000,0x75c0003d,0x01ffc00e,0x74404fe8,
    0xfff806ff,0xfa7ec04f,0x3b00003f,0x3e6000ae,0x001ff99f,0x407dff91,
    0x24ec82fc,0x36a002ed,0x3e602dff,0x65c40007,0xfffff701,0x200ffc3f,
    0xd1002ffd,0x5ff103ff,0x201b6000,0x00df32fc,0x1bf2bfb0,0x00fffc80,
    0x7fe41fee,0x00bff100,0x0fc87fb0,0x8805fa80,0xbff702ff,0x3200ffe0,
    0x5f1002ff,0x100ffee0,0x1aa80dff,0x000006aa,0x00003fd4,0x40000000,
    0x9fd003ff,0x00155100,0x403ffdff,0x007ff4fd,0x01b7aa00,0x5530d540,
    0xf9001000,0x10000005,0x00ff3001,0xfffb0000,0x0ffc3fff,0x0001bfb0,
    0xff881ffb,0x03fa8002,0x00262188,0x55415510,0x006aa000,0x0ffa0ff7,
    0xb000ff90,0x804f987f,0x5ff10018,0x7c09ff70,0x4ff8803f,0x03fbae60,
    0xfa802ff4,0x76dcc00d,0x055300bd,0x3fd41a98,0x54405510,0x0001beec,
    0x02f7b6e6,0xfe801ffc,0x6f6dcc04,0x3abfe00b,0x7d3f606f,0x1cc8003f,
    0x0165c0c4,0x2b37b2a2,0x20039900,0x205f92cb,0x3512cdb8,0xcdeca880,
    0x20ff300a,0x36e202aa,0x3fe3512c,0x3e1fffff,0x20df301f,0x42aa1bc9,
    0x17fc44fc,0x4007f400,0x01beeca8,0xbdedba80,0xbdb75002,0x41fee057,
    0x6f4403ff,0xfd805510,0x2a00fe83,0x102bdedb,0x4ffb85ff,0xd801ffc0,
    0xffff886f,0x2ff80eff,0xff910000,0x09ffffff,0x7f403ff3,0xf303fd42,
    0x3fffee0f,0x800dffff,0xffffffc8,0x03ff84ff,0xf9109fd0,0x9fffffff,
    0x3fe6bfe0,0x3fe9fb04,0x03ff8003,0x3ee09fd0,0xffffffff,0xd003ff82,
    0x360bf29f,0xfbdfffff,0xfffff705,0xf305ffff,0x205ff70f,0xbdfffffd,
    0xfffffd5f,0xe80ffc3f,0x7fffd41f,0x3e0ff8cf,0x0017fc46,0x3ee01bea,
    0xdfffffff,0x7fff4400,0x100effff,0xfffffffd,0xb07fb81d,0xf98001df,
    0x5c1fec07,0xfffe884f,0x440effff,0x13fee2ff,0x7c00ffe0,0x56ff445f,
    0x260ffff8,0x880000ff,0xcaacfffe,0x4fe84fff,0xff50ff30,0x3a23fcc0,
    0xec9abeff,0x7f4406ff,0xffcaacff,0x801ffc4f,0x7ff444fe,0xfffcaacf,
    0xff92ff84,0x3fe9fb03,0x03ff8003,0xfd889fd0,0xeca9acef,0x01ffc5ff,
    0x85f94fe8,0xfeb9dffb,0x7fec45ff,0xfeca9ace,0x2e3fcc5f,0xbff702ff,
    0x2bfffd73,0x1ffffffd,0x13ea07fe,0xfd539ff3,0x20fd8ffb,0x64002ff8,
    0x3ffa203f,0xffec9abe,0x2fffe606,0x1fffebaa,0x555fffcc,0x2e1fffeb,
    0x9fff507f,0x01fe6003,0x8df307fb,0xbaabfff9,0x3e21fffe,0x009ff72f,
    0x3f200ffe,0xf537f43f,0x3fdc7ff3,0x2ffe8000,0xf70fff60,0x2a13f20d,
    0xb1fe607f,0x7fcc07ff,0x80bffa05,0x0ffe3ffd,0x3fa27f40,0x0fff602f,
    0x437f45ff,0x99dff4fd,0x79999999,0xfe801ffc,0x2027fe44,0x0ffe1ffc,
    0x2fca7f40,0x3f207fe6,0x027fe45f,0x7f987ff2,0x7cc0bfee,0x35ffc81f,
    0x43ffffff,0x22fc81ff,0xffe83ff8,0xff117dc5,0x02fd8005,0xf980fff6,
    0x01ff905f,0xff917fe2,0xb97fe201,0x3ffea07f,0xf301bdff,0x883fd80f,
    0x807fe47f,0x3fe25ff8,0x003fffba,0x55555bff,0x88bffd97,0x6ddb20ff,
    0x0001bf23,0xf100ffee,0x81ff88df,0x07fa81ff,0x2ffa9fe6,0xb84ffa80,
    0x7fc403ff,0x7400ffe6,0x00ffee4f,0x2ff8dff1,0x9fb13fe6,0x3ffffffe,
    0x3e5fffff,0x49fd003f,0xfb003ff9,0xe801ffcb,0x7e45f94f,0xf997fa04,
    0x4bfb003f,0x03ff77f9,0xbfd027e4,0x0fffffd4,0x41fd03ff,0x7ff705fd,
    0x3fe24f98,0x80ffc002,0xfa802ffa,0x403fe84f,0x01ff47fc,0x07fb9ff2,
    0x7ffffe4c,0x03fcc1ef,0x0ffc0ff6,0x7fc807fd,0x3bff7fe2,0xfff801ff,
    0xffffffff,0x747f984f,0x001fee04,0x54017fa0,0x227ec0df,0x0ff506fa,
    0x0bfd3fcc,0x3a07fdc0,0x1bf5005f,0x7f400ffe,0x54017fa4,0x90bfe0df,
    0xfa7ec3ff,0xaaaaaadf,0x0ffe2aaa,0xdf927f40,0xf877cc00,0x29fd003f,
    0x80bfa098,0x01bf25fc,0xff30ef98,0xfe805ff7,0x9117f202,0x0ffc3ffb,
    0x407fe37c,0x2fcc2ff8,0x44005ff1,0x0bfd00ff,0x3e07fdc0,0x06f4403f,
    0xde8807ff,0x4c00ff70,0x22ffffdb,0x1fec07f9,0x0ffe2fe8,0x3e21bd10,
    0xefe8bfff,0x7777fc00,0x00afffee,0x017c4df7,0x80001ff5,0xa80002ff,
    0xa81fec7f,0x4dfe607f,0x3e2001ff,0x0017fc1f,0x3a007ff0,0x000bfe4f,
    0xdfd05ff0,0x03ffa7ec,0xd003ff80,0x001ff49f,0x2007ff02,0x07fe04fe,
    0x0ffa5fb8,0xfff98100,0x0ffc06ff,0x7f40bf70,0x9f307fe1,0xff3037cc,
    0x3e23fb81,0x1fe6002f,0x1000ffcc,0x0efd83ff,0x00efd800,0x8003fdc0,
    0xf31fffa8,0xb03fd80f,0x0077ec9f,0x98fffe20,0x1ffc05ff,0xc80f7f4c,
    0xf101ee5f,0x30d4003f,0x200001ff,0x01ff12ff,0x7f981fea,0xf8001ff5,
    0x003fe63f,0xf004fe80,0x003fe67f,0xf305ff00,0x7fd3f69f,0x03ff8003,
    0x3fe29fd0,0x1ffc0002,0xf104fe80,0x8afdc03f,0x4c0002ff,0x03ffafff,
    0x7dc03ff1,0xff87fa05,0xbf717dc1,0x7ec37d40,0x800bfe22,0x1ff507fa,
    0x543ff800,0x2001cfff,0x001cfffa,0x00220ff7,0x3fcd3fa2,0x7ec0ff60,
    0x073ffea4,0x5c1ffc40,0x0ffe03ff,0x54077f44,0x3e01766f,0x7ff1003f,
    0x80001fee,0x40bf75fc,0x5fe607fa,0xfd8007fb,0x0001fee5,0x3fe00bfb,
    0x0000ff72,0x3ff205ff,0x07ff4fd9,0x2007ff00,0x01ff54fe,0x003ff800,
    0x17fc09fd,0x3feabf90,0x7fcc0000,0x3e03ff71,0x817f202f,0x707fe1fe,
    0x9027ec5f,0x20ff88bf,0x22002ff8,0x07fb80ff,0xfa85fd80,0x01bdffff,
    0x6fffffd4,0xb0ff701b,0x5bf200bf,0x1fec07f9,0x7fd43fe8,0x101bdfff,
    0x3ffa05ff,0x4c07ff01,0x27f885ff,0xfb17aa3f,0x1ff7003f,0x80001bf2,
    0x405fb7f9,0x5fe607fa,0xfc8006fc,0x0001bf27,0xff300df9,0x0001bf23,
    0xefe80bfe,0x007ff4fd,0x3a007ff0,0x440ff74f,0x1aaaaaaa,0x3fa007ff,
    0x1ff43954,0x1feebfb0,0xaaaaaa88,0xfe8ff31a,0x6c07fd06,0xf87fa05f,
    0xf71fcc1f,0xb0ffe20d,0x02ff887f,0x7e40ffc0,0x07fc8006,0xffffff93,
    0x7fe4c03d,0x5c1effff,0x007fa87f,0x01fe6bf9,0x07fe07fb,0x3fffff26,
    0x17fc41ef,0xff06ff88,0x83ffc807,0x3a0faaff,0x077fc45f,0x7dcbff30,
    0x7f400007,0x3ea00ffa,0x7e5fe607,0x26fc8006,0x4c0007fb,0x37ec04ff,
    0xf0000ff7,0x7ffcc05f,0x0007ff4f,0x3fa007ff,0x2601ff74,0x4fffffff,
    0x3fa007ff,0x7fd45f94,0xf75ff980,0x3ffe601f,0xff34ffff,0xfa83ff98,
    0x05ff980f,0x41ff87fa,0x03fe64f8,0x6fc87ff6,0x4002ff88,0x06fc82fd,
    0x9806fc80,0x02ffffdb,0xffffdb98,0x3e21fee2,0x97f4405f,0x1fec07f9,
    0x26007fc4,0x22ffffdb,0x3ee02ff8,0x803ff84f,0x7fe40ffe,0x207fee6d,
    0x2a0beffb,0x3ea0effd,0x2e00000f,0x7d405fff,0x7d5fe607,0x24fd8007,
    0x40000ffa,0x2621cffd,0x3fea1ffe,0x17fc0000,0x7d3fff20,0x999999cf,
    0x7ff09999,0x7cd3fa00,0xdddd301f,0x0ffe9ffd,0x2fca7f40,0x6445fff4,
    0x3ff35fff,0x3bbbba60,0x90ff34ff,0x7ffd03ff,0x0bfff911,0x03ff0ff4,
    0x11dfe8dd,0xfb35fffd,0x37ff103f,0x13333333,0x3fd41fe4,0x0027ec00,
    0x007ffea2,0x71fffa88,0x3bff20ff,0x3ffea20a,0xfd80ff30,0x4006f983,
    0xf11fffa8,0x2ffd805f,0x7cc01ffc,0xceffc85f,0x3ee03fff,0xffffefff,
    0x00ffc40f,0x7fc40350,0x03fd401f,0x03fe2ff3,0x7c45fd00,0x106a001f,
    0xfffffffd,0x1ff887ff,0x5ff06a00,0x3e9ffd00,0xffffffff,0x9fd6ffff,
    0xff8ffe00,0xea7f4003,0x27ff004f,0x7ff442fc,0x25fdefff,0x7f4003ff,
    0x3fa0ff34,0xffffe886,0x3a05fdef,0x3207fe1f,0x3fffe22f,0xfffffaef,
    0xffff100e,0x7fffffff,0x7fc42fd4,0x217f4000,0x4fe88008,0x3fa20022,
    0x7dc0ff74,0xffffffff,0xb01fe60e,0x889f507f,0x14fe8800,0xff8805ff,
    0x400ffe0f,0xffc83ffc,0xc9802eff,0x03ffffff,0x7c400ffe,0x01ff603f,
    0x7f981fea,0xf9800ffe,0x801ffc0f,0xfeb83ff8,0xf02effff,0x3fe2007f,
    0x2600bfe3,0xfffff4ff,0xffffffff,0x7c017fad,0x0017f62f,0x017fa9fd,
    0x82fc97fc,0xf94efdc8,0x2002fec9,0x20ff34fe,0xdc883ff9,0x409f94ef,
    0x207fe1fe,0x77e4c6f9,0x87bff70c,0x3fffe219,0x3fffffff,0x1ffc1be6,
    0x6c1ff300,0x2df9005f,0xdf9005fd,0xdb301fee,0x309dffff,0x83fd80ff,
    0x017f63fc,0x2ff8b7e4,0x3e6ffa80,0xfff1003f,0x01a9fc81,0x0013fb00,
    0xf7003ffb,0x01fe401f,0x9fe6014c,0xfd000ffc,0x003ffb0f,0x64401ff7,
    0x1ffd801f,0x000ffb80,0xf9800035,0x9806fc81,0x0ffee0ff,0xdf94fe80,
    0x321ff300,0x27ec002f,0x74007ff7,0x002a604f,0x7409fb00,0x6407fe1f,
    0x6c40005f,0x801a805f,0x0ffc82fd,0xfa8ffd00,0x2abf9007,0x2bf9007f,
    0x0fe4007c,0xfb003ea0,0x2a0ff887,0x0bf9007f,0x80001530,0x02f4001a,
    0x0067fc00,0x30077fc4,0x7fc40bff,0x04ffd800,0x0efe8ff5,0x4417fe40,
    0x3e600eff,0x005d805f,0x4c01dff1,0xff1005ff,0x1ee0003d,0x36027fd4,
    0x03ffe87f,0xff54ffb8,0x327fd809,0x440b6e2f,0x1fff42ff,0x9027fdc0,
    0x0b6e0bff,0xfd017fc4,0xfb00ffc3,0xfd10001b,0x5fff001d,0xfe837cc0,
    0x17fe400e,0xd1017fe2,0x017fe25f,0x01765fd1,0x5c05dfb0,0x643fd807,
    0x02ffc43f,0x2e00bfa2,0xf10006ff,0x5f1003df,0x17ea0000,0x05f7fdc0,
    0x401dffb5,0x3a2005fc,0x446fb81f,0x74c0affe,0x3fee04ff,0x3ff6a0be,
    0x007e800e,0xa82fbfee,0x4000effd,0xf90006fa,0x273ff203,0x03ffd310,
    0x417bfff3,0x22fffeb9,0x3109cffc,0x17e43ffd,0xff901ff7,0xbdfff981,
    0x3fffae60,0x40ff4402,0xffc80ffb,0xff87fa00,0x2fffa201,0x7fdc4009,
    0x1be6001e,0xfd103f90,0xffe9815f,0x15dff904,0x907ffd44,0x54415dff,
    0x00dd0fff,0x7e40ff10,0xf11fec00,0x2bbff20d,0x03ffea20,0x0003fd80,
    0x3ea01bea,0x2a620000,0x3ee004fd,0xffffefff,0xfffeb80f,0xffb98801,
    0x213ff2e0,0xfeefffe8,0xfb803fff,0xffffefff,0x5bf7000f,0xfffb8077,
    0x0fffffef,0xbfb53100,0x2fbea000,0x7fffec4b,0x202fffff,0xffffffe8,
    0xd80cffff,0xffffffff,0xd117e42f,0xffd97bff,0x3fffa203,0xcfffffff,
    0x3fee6200,0xbdffe881,0x7401ffec,0x2007fe1f,0xbdffffea,0x3fffdcca,
    0x1bf2a600,0x3a20bf10,0xfffeefff,0x7ffdc03f,0x0effffff,0xffffffb8,
    0x3f20efff,0x75103cad,0x77d40bfb,0xffdd54bb,0xf7017dc7,0xffffffff,
    0xd531001d,0xa988005f,0x06c805fd,0x6fffdc00,0x7fe4c000,0x2e03ffff,
    0xff002fff,0xefff87df,0xffd95100,0x4c0017bf,0x3ffffffc,0x7fff4400,
    0xfffc9803,0x54003fff,0x0000dfff,0x2e17fff6,0x2dfffffd,0xfffb7300,
    0xdb8039df,0x82dfffff,0x7fec42fc,0x9801efff,0xceffffdb,0x3effe801,
    0x3ffff620,0x1fe801ef,0xeb8007fe,0xffffffff,0x3e6000ce,0xfb801eff,
    0xffd95101,0x260017bf,0x4effffed,0x7fff6cc0,0xffe884ef,0xbfff303f,
    0x4fffe803,0x7c7ffff7,0xffed9805,0x36004eff,0xa8004fff,0x1000dfff,
    0x01988000,0x01331000,0x40015510,0x035500a9,0x00001880,0x80001331,
    0x33100019,0x06620001,0x00a88000,0x00009988,0x310000cc,0x8054c013,
    0x40001aa8,0x0a980019,0x006aa200,0x00198310,0x026aa620,0x00a98800,
    0x18800d40,0x00330000,0x19800cc0,0x44000880,0x84cccc41,0x198000a8,
    0x00331000,0x0000cc40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x44c88399,0x262004c8,0xcccc8809,0x00998003,0x00266000,0xd856e4c0,
    0x98826204,0x0cc40001,0x04cc4000,0x02660000,0x33331000,0x26200333,
    0x40199999,0x40662099,0x004cc198,0x00998331,0x19886620,0x20004400,
    0x00262099,0x00002660,0x40000998,0x40000998,0x40000099,0x40008808,
    0x2a880099,0x44000aa6,0xa8800099,0x40006a62,0x003261b9,0x3e602662,
    0x1fe60eff,0x7f400ff3,0xffff985f,0x77fec005,0xff980000,0xfff88003,
    0x2602feff,0x009fd1ff,0x005ffe80,0x0007fec0,0x003ff700,0xfffffc80,
    0xffe801ff,0x5c07ffff,0x03ff88ff,0x07fd53fa,0x3ee7ff10,0x3fe2000e,
    0xc8009fb2,0x47fdc006,0xd8002ff8,0xb80000ff,0x740001ff,0x2e0000ef,
    0x36001fff,0x20fb80ff,0x3f2002f9,0x0ff9801f,0x32000df7,0xfb8000ff,
    0x20013f67,0x7ecffffb,0xf10dfd00,0x7ccbf95f,0xc803fcc7,0x7cc4fddf,
    0x2e002aaf,0x0005fcef,0x50004fd8,0x02fb6a3f,0x0df7df70,0xfddfc800,
    0x3ff10003,0x3ff80000,0xeeeb8000,0xd801eeee,0x06eeeeee,0x04fcdfd8,
    0x17fd7fc4,0x7fd7fcc0,0xbffa8000,0xfd71006f,0x360039ff,0x0004fddf,
    0x200013fa,0x4c0003fe,0x260000ff,0x800efbff,0xdf101ff9,0x4400dd97,
    0xff3002ff,0x2001bee1,0x70002ff8,0x0027ecff,0x7fed4774,0x80ffa803,
    0x00bb64ec,0x88ffa800,0x01fe62ff,0x7f47fe60,0x1be60004,0xb0000000,
    0x40001fff,0x2ff88ffb,0x003fc800,0x0027dc00,0x00000000,0x0dffd100,
    0x00fffea0,0x002fffb8,0x003fff20,0x3fffffe6,0xfe8802ff,0x7c40005f,
    0x3ea0000f,0x2fd80005,0x4ffa2000,0x3fd805fd,0x0e7fecc0,0x8009f700,
    0x00026219,0x88000ff2,0x00026219,0x74001026,0x0000001f,0x13104c40,
    0x44003fcc,0x00066209,0x64000988,0x0597001c,0x00006aa2,0x004c4131,
    0x00000c40,0x100000c4,0x0037dd95,0x0595264c,0x8002aa20,0xaa8002aa,
    0x09980002,0xb9dff880,0x800ffd8e,0x80000aa8,0x22000098,0x01300001,
    0x4c198800,0x0002a801,0xc8018800,0x0597001c,0x88000310,0x001beeca,
    0x37dd9510,0x22002600,0x442a882a,0x1326002a,0x1e543fcc,0x300f3220,
    0x33332199,0x09accccc,0x7400ffe0,0x9999994f,0x40135999,0x2e000ccb,
    0x66664c3c,0xcccccccc,0x33322003,0xcccccccc,0xf700cccc,0xbfffffff,
    0x367fb801,0xcccc984f,0xcccccccc,0x00079503,0x66400799,0x54597002,
    0x3e2d70ff,0x3333263f,0xcccccccc,0x799001cc,0x80166400,0x799002cb,
    0x0f320000,0x6644c980,0xcccccccc,0x99991ccc,0x99999999,0x400ffe39,
    0x019974fe,0xf701e5c0,0xbfffffff,0x3ffee001,0x00dfffff,0xff300f2a,
    0x7f98ff30,0x4c1fee00,0x00ffa87f,0xb803ffee,0x3ffffe6f,0x5fffffff,
    0x3a007ff0,0xffffff4f,0x0bffffff,0x5c017fe6,0x7ffd42ff,0xffffffff,
    0x3ff2006f,0xffffffff,0x440fffff,0xc9abeffe,0x7dc06ffe,0x3ea13f67,
    0xffffffff,0xdf906fff,0x0fffa800,0x003fff00,0x72fe49fb,0xff50e5cd,
    0xffffffff,0x5005ffff,0x3e001fff,0x4fd801ff,0x00fffa80,0x07ffd400,
    0x7fc7fa80,0xffffffff,0xffff3fff,0xffffffff,0x400ffe7f,0x0bff34fe,
    0x220bfee0,0xc9abeffe,0x74406ffe,0xec9abeff,0x1bf206ff,0xff30ff30,
    0x2e007f98,0x10ff307f,0x7fec05ff,0xf93f602f,0xbaaaaadf,0xff86ffec,
    0x3e9fd003,0xbaaaaadf,0xf706ffec,0x4ff8805f,0xcccccc98,0x06ffdccc,
    0xfd9bff10,0x9999999f,0x3ffd8199,0x0017fe60,0xccccc980,0x6ffdcccc,
    0xd800df90,0xff004fef,0x49fb00df,0x301ae6fc,0xffb99999,0x0399999b,
    0x009fdfb0,0x3601bffe,0xfefd804f,0x77ec0004,0x8ff5004f,0xccccceff,
    0xff1ccccc,0x9999999d,0x0ffe3999,0xff727f40,0x04ff8805,0x7cc07ffb,
    0x0fff605f,0xf905ff98,0x987f980d,0x003fcc7f,0x1fe60ff7,0x9ff01ff4,
    0xf17fc09f,0x5ff9007f,0xfd003ff8,0x3200ffe9,0x1ffd02ff,0x00077ec0,
    0x2003ffb0,0x0df90ffb,0x005ff500,0x00009ff5,0x01ffd800,0x7c400df9,
    0xff007f9f,0x4fd809ff,0x035c7fea,0x000ff980,0x0ff3ff10,0x013fffe0,
    0xff8809fb,0x220007f9,0x5007f9ff,0x003ff8ff,0xf8003ff8,0x89fd003f,
    0x3f600ffe,0x02ffa80e,0xfa84ffa8,0x4ffa802f,0x7cc06fc8,0x7cc7f987,
    0x41fee007,0x0bf907f9,0x41fe77e6,0x0ffe0ff9,0xff13fe20,0x7d3fa007,
    0x4ff8803f,0x2a0bff30,0x320001ff,0x3fe002ff,0x2001bf24,0x3ee005fe,
    0x980aa20f,0x7fe4001a,0x801bf202,0x005fd5fb,0x403ffdff,0x3ffa24fd,
    0xf30006cb,0x3ee0001f,0xff005fd5,0x7ec03ffd,0xfeafdc04,0x2bf70002,
    0x7fa802fe,0x7c001ffc,0x3ff8003f,0xf989fd00,0x03ff505f,0xfb8017fa,
    0x002ff40f,0x6fc81ff7,0x7cc3fcc0,0x7003fcc7,0x41fe60ff,0x27f907fa,
    0x46fb81ff,0xdfb003ff,0xfd003ff8,0x6c00ffe9,0x0bfee06f,0x40009ff1,
    0x2e004ffb,0x01bf20ff,0x4003ff30,0x1fea1ff8,0x2e004fd8,0x37e404ff,
    0x3f27fd00,0xfeaff806,0xd113f606,0x0037ffff,0x0000ff98,0x01bf27fd,
    0x81bfabfe,0x9ff404fd,0xfd0006fc,0x2a01bf27,0x001ffc7f,0x7c001ffc,
    0x09fd003f,0xff885ff7,0x003ff304,0xff30ffc4,0x0ffc4003,0xff301bf2,
    0x7f98ff30,0x4c1fee00,0x03ff107f,0x20ff63fd,0x01ffc3fd,0x1ffc5ff8,
    0x7ff4fe80,0xd017fe00,0x037ec1ff,0x00bff300,0x37e44ff8,0x003fea00,
    0x3fd47ff0,0x26009fb0,0x6fc805ff,0x261ff300,0x57fc01ff,0x9fb04ff9,
    0xffffd710,0x3fe6001b,0x0ff98000,0xff803ff3,0xfb04ff9a,0x987fcc09,
    0x7cc001ff,0x803ff30f,0x01ffc7fa,0x4001ffc0,0x9fd003ff,0xfd83ffa0,
    0x003fea06,0x7fd47ff0,0x21ffc000,0x3fcc06fc,0x1fe63fcc,0xf307fb80,
    0x221ff40f,0x3e17ee7f,0x401ffc1f,0x1ffc3ffc,0x7ff4fe80,0x807ff900,
    0x3ff54ff9,0x3bfe2000,0x03fee000,0xfb800df9,0x25fd8007,0x13f607fa,
    0x003bfe20,0x7e401bf2,0x3e027f45,0xb03ff92f,0xfefc809f,0xff9800ff,
    0x45fc8000,0x97fc04fe,0x4fd81ffc,0x9fd17f20,0x745fc800,0x23fd404f,
    0xff8003ff,0x03ff8003,0x3e609fd0,0x403ff54f,0xfd8007fb,0x2001fee5,
    0x037e45fd,0x1fe61fe6,0x7dc00ff3,0x5c0ff307,0xf12fd45f,0xff87f98f,
    0xcbaaaaad,0x3ff85ffe,0x3fe9fd00,0xcbaaaaad,0xf7005ffe,0x0007fd3f,
    0x2000fff4,0xcffc85fe,0x2ccccccc,0x32001bf2,0xd81fea7f,0x1ffe804f,
    0x200df900,0x03fdc2ff,0x86fe8bfe,0xbb5c04fd,0xff9805ff,0x42ff8000,
    0x17fc07fb,0x09fb0dfd,0x1fee17fc,0xfb85ff00,0x3e3fd407,0xccccccef,
    0x3bfe3ccc,0xcccccccc,0x400ffe3c,0x3fee04fe,0x7e403fe9,0x27fc8006,
    0xfc8006fc,0x26037e47,0x4c7f987f,0x1fee007f,0xff303fcc,0x17f42fd8,
    0xffff0bf7,0xffffffff,0x400ffe09,0xfffff4fe,0x9fffffff,0x6fffe800,
    0x0bff6000,0x903ff500,0xffffffff,0x037e47ff,0xff537e40,0x36027ec0,
    0x3f2002ff,0x887fa806,0x8bfe02ff,0x27ec4ff9,0x07fc9ae0,0x4000ff98,
    0x2ff887fa,0xff98bfe0,0xfa827ec4,0x002ff887,0x5ff10ff5,0x3fe3fd40,
    0xffffffff,0x3fffe5ff,0xffffffff,0x7400ffe5,0x7fff404f,0x006fc806,
    0x1bf26fc8,0xf91bf200,0x987f980d,0x003fcc7f,0x1fe60ff7,0x07fc1ff0,
    0x83fd93f2,0xfeeeeeff,0x3fe00aff,0x3e9fd003,0xffeeeeef,0xf98000af,
    0xf70000ff,0xbfd0007f,0x3333ff20,0x2a2ccccc,0x4fd8007f,0x4fd81fea,
    0x000ffee0,0x9fb00df9,0xff81bf60,0xfb0ffe42,0x4d70dcc9,0x7cc00ff9,
    0x27ec000f,0x3fe06fd8,0xfb0ffe42,0x6c13f609,0x09fb006f,0x7fa81bf6,
    0x55556ffc,0x3e2aaaaa,0xaaaaaadf,0x0ffe2aaa,0x26027f40,0xfa800fff,
    0x24fd8007,0xfd8007fa,0x26037e44,0x4c7f987f,0x1fee007f,0x3f603fcc,
    0xdf50df32,0x1ffc07fc,0xd00f7f4c,0x4ffe009f,0xefe983ff,0x0bfb0001,
    0x017fe600,0x3337fea0,0x006feccc,0x20007fc4,0x81fea2fe,0xbff304fd,
    0x80df9000,0xccccdff8,0xff01ffdc,0x7ecdfd05,0x26b93fa4,0x7cc00ffa,
    0x3fe2000f,0xfdcccccd,0xd05ff01f,0x4427ecdf,0xcccccdff,0x7c401ffd,
    0xdcccccdf,0x8ff501ff,0xff8003ff,0x04fe8003,0xfb007ff0,0x03fe200b,
    0x7c45fd00,0x17f4000f,0xff301bf2,0x7f98ff30,0x4c1fee00,0xba7dc07f,
    0xf37f884f,0x440ffe0d,0xbfd00efe,0x7fcbfe00,0x01dfd103,0x000bfb00,
    0x0001dff1,0xfffffffd,0xf000dfff,0x7fcc007f,0xfe81fea0,0x00eff884,
    0x5c06fc80,0xffffffff,0x5ff04fff,0x3f69ff30,0x26b9ff24,0xff9806fd,
    0x3ffee000,0xffffffff,0xf305ff04,0x2e13f69f,0xffffffff,0x7dc04fff,
    0xffffffff,0x8ff504ff,0xff8003ff,0x05fe8003,0xfb005ff0,0x01ffc00b,
    0xff81ff30,0x03fe6003,0x7f980df9,0x3fcc7f98,0x837dc0ea,0xb7cc07f9,
    0x53fd01fe,0x80ffe09f,0xdf905ff9,0x3e1ff300,0x17fe603f,0x0017f600,
    0x20003ffa,0xcccccff9,0x8006fecc,0xfd000ffc,0x3e07f98f,0x00ffe84f,
    0xe80df900,0xaaaaaadf,0xff80ffda,0xfb3ff902,0x5c6ffcc9,0x3007ff56,
    0x7f4001ff,0xaaaaaaad,0x2ff80ffd,0x9fb3ff90,0x5555bfd0,0x01ffb555,
    0x55556ff4,0x80ffdaaa,0x01ffc7fa,0x4001ffc0,0xff9806fc,0x005fd800,
    0x74003ff2,0x00ffc87f,0xdf90ffd0,0x2007f980,0x03fe27f9,0x3fcc17f2,
    0x03fc7fc0,0x205f97f7,0x7fe403ff,0x404ffa83,0x00ffe7fd,0xd8007ff9,
    0x7fe4005f,0x0dfb0002,0xd0006fc8,0xffc801df,0x4c07fcc2,0x17fe44ff,
    0x40df9000,0x7c401ff9,0x202ff83f,0x5c4fdefe,0xffefefff,0x01ff3005,
    0x1007fe60,0x05ff07ff,0x227ef7f4,0x7c401ff9,0x03ff303f,0xfa83ff88,
    0x4001ffc7,0xfa8003ff,0x03fec04f,0x74005fd8,0x7fe400ef,0x801dfd02,
    0x6fc82ffc,0x30037d40,0xe82ff8ff,0x00ff304f,0x4c0bf9fb,0xff00fecf,
    0x01ffd007,0x22139ff9,0x3fe1ffe9,0x00ffe803,0xb8017f60,0xf30003ff,
    0x06fc805f,0x15ffd100,0xf04ffe98,0x4fff98bf,0x0000ffee,0x37e40df9,
    0xff86fe80,0x3fffe602,0xffffea84,0x3fe6003f,0x00df9000,0x0bfe1bfa,
    0x44ffff98,0xdfd006fc,0x7401bf20,0x7c7fa86f,0x3ff8003f,0x39ff9000,
    0x07ffa621,0x2002fec0,0x4c0affe8,0x3a204ffe,0x7f4c0aff,0x80df904f,
    0x3ea006fb,0xb8977ec6,0x0ff302ff,0x807fff70,0x3fe06fff,0x05ff9803,
    0xfffffffb,0x03ff85ff,0x2005ff98,0xff3005fd,0x3333333b,0x6fd83333,
    0x999efc80,0x80999999,0xfeefffe8,0x3ee03fff,0xfcefedff,0x333bff34,
    0x33333333,0xff81bf20,0x83ff5003,0x7fe402ff,0x07b6204f,0x003fe600,
    0xfa801ffc,0x2017fc1f,0x7fc4fffc,0x03ff5003,0x3ea007ff,0x3e3fd41f,
    0x999999cf,0x9ff09999,0x33333333,0xfffd8133,0x02ffffff,0x20017f60,
    0xfeefffe8,0xe8803fff,0xfffeefff,0x41bf203f,0xb804ffcb,0x7fcc4ffc,
    0x204fffff,0x104eeff9,0xfd801fff,0x00ffe03f,0xdb81ffe4,0x82dfffff,
    0xff9003ff,0x017f6007,0x7fffffdc,0xffffffff,0x9005ff31,0xffffffff,
    0x2a207fff,0x0bdfffec,0xdffffb80,0xfff74fb8,0xffffffff,0xdf903fff,
    0x4003fea0,0x17fc4ff8,0x2027ff40,0xff30006b,0x01ff5001,0xff13fe20,
    0x49ffd005,0xf1000ffa,0x00ffa89f,0xfa89ff10,0x7fffffc7,0x6fffffff,
    0xffffffff,0x70dfffff,0x5bfffffb,0x005fd800,0xfffd9510,0x5440017b,
    0x0bdfffec,0xff837e40,0xfff800ef,0xfffe980e,0x7ffcc04e,0x01bfa05f,
    0xff807fee,0x1fff1003,0x20099880,0xff1003ff,0x0bfb001f,0x3ffffee0,
    0xffffffff,0x200dfb1f,0xfffffffc,0x1003ffff,0x00c40003,0x3fffffee,
    0xffffffff,0xfb06fc81,0x0ffc800b,0x3e600bfe,0x001d404f,0xd800ff98,
    0x7fe4005f,0x2600bfe0,0x017f64ff,0x7ec1ff90,0x07fe4005,0xffff8ff5,
    0xffffffff,0xffffff6f,0xdfffffff,0x00099880,0x0000bfb0,0x88000062,
    0x837e4001,0x2aa002aa,0x004c4009,0x00133330,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x02662000,0x31000000,
    0x20009983,0x01330098,0x40006620,0x06620099,0x51000133,0x19880015,
    0x09ff3000,0x2e00cc40,0x3a62644c,0x00173001,0xa8855440,0x8adda802,
    0x0ba803f8,0x7fcc00ee,0x404fffff,0x006aa2a9,0x00ee0ba8,0x8002cc88,
    0x805510aa,0x015510aa,0x33220000,0x77754002,0x2602eeee,0x2ccccccc,
    0x2e000080,0x2e6000cc,0x00001bdd,0x98020000,0x80d4c02a,0xe8000efe,
    0x74007dc5,0x001ff74f,0x360bffe6,0x7fc400ff,0x7fec004f,0x64ffe206,
    0xff50006f,0x2ffa8005,0x04ff9800,0x40bffd10,0x4dfd47fd,0x7d5006ea,
    0x3e60001d,0x980df70f,0x0fffffef,0x677fff40,0xfff3003f,0xc809ffff,
    0x400ffa5f,0x3fcefffe,0x013fe600,0x7fccbfe0,0x7ccffe00,0xffffd80f,
    0xf9800fff,0x7fdc004f,0x203fffff,0xfffffffa,0x013baa04,0x200ffe20,
    0xffffffd8,0xb98005ff,0x2ec1bded,0x2609dd50,0x0bfa01ff,0x40003fe6,
    0x04fbacfa,0x3ff5ff10,0x3effe200,0x404fe81f,0x002fecfe,0x40bf9df7,
    0x00ffaff9,0x005ff500,0x1000df70,0x3f6007dd,0xffb03fdd,0x03dfffb0,
    0x001d4360,0xdf70ff98,0x376a7c80,0x64dfcc02,0x00000eff,0x7f4bf900,
    0xc9bf9803,0x26000efe,0xff8004ff,0x7c01ff32,0x901ff33f,0x1ddddddd,
    0x009ff300,0x4cc40000,0x20099999,0xc8001b0e,0xffe9805f,0xffeca9bd,
    0xffff9005,0xf919ffff,0x00d87409,0x1fe609fd,0x200017ec,0x000cffec,
    0x800bffea,0x81df75fd,0xdf900ff8,0xf3007fe6,0xb80ffa3f,0x20001fff,
    0xb0000aa8,0x8000005f,0x1ff88ffb,0x35101988,0x0592c800,0x1310cc00,
    0x0c400000,0x00e64004,0x09882cb8,0x06200262,0x04cc0002,0x3304cc00,
    0x06609980,0x13300000,0x01e64000,0x6801e540,0x1bb00072,0x405ffd00,
    0x3a204ffa,0xda9abdff,0x3405ffff,0x41bee03b,0x001304fc,0x50000c00,
    0x09980055,0x02620266,0x013104cc,0x06620988,0x20003550,0x0acdeca8,
    0x20009800,0x3512cdb8,0x04c41330,0x3ca81e54,0x037fc400,0x003cc800,
    0xc8003ca8,0x07ff003c,0x66653fa0,0xcccccccc,0x00b321cc,0x9993165c,
    0x99999999,0x00665c79,0x79507970,0x99999990,0x23999999,0xcccccccc,
    0x801ccccc,0x4000fffa,0xbd7006fc,0x6400000b,0xffb801ff,0x407ffd03,
    0x5c00fffa,0x3fe205de,0x6641ff81,0x33200001,0x99999003,0x40055799,
    0x8f2a03ca,0x597002cc,0xcc801322,0xcccccccc,0xff701ccc,0x5fffffff,
    0x99999990,0x03999999,0x7bfffffb,0x333332bf,0xcccccccc,0x3f20df91,
    0x7ffd4006,0x7fd40000,0x37e4000f,0x03ffea00,0x7400ffe0,0xffffff4f,
    0x7fffffff,0x6c00fffc,0x3fffea4f,0xffffffff,0x4017fe66,0x6fc82ffb,
    0xfffffff8,0xf3ffffff,0xffffffff,0xb007ffff,0xc8009fdf,0x0062006f,
    0x2199b730,0x0027fc5d,0x5ff70ff9,0x04fff980,0x4fd80188,0x3fe237d4,
    0xff500002,0xffff001f,0x7dffffff,0x640df900,0x400ffe6f,0x00ff34fe,
    0x7ffffffc,0x43ffffff,0x9aceffd8,0x7c5ffeca,0xffffffff,0x7dc3ffff,
    0xfffeb9df,0xfffffff5,0x27ffffff,0x0df906fc,0x04fefd80,0x27f7ec00,
    0x001bf200,0xf009fdfb,0x53fa007f,0xccccceff,0x3e1ccccc,0x4fd806ff,
    0x33333326,0x46ffdccc,0x7c402ffb,0xf0df904f,0x999999df,0x3fe39999,
    0xccccccce,0x7c401ccc,0x64007f9f,0xdcb9806f,0x3f6200bc,0x2fefffff,
    0x98003fe2,0x02ff40ff,0x83ff3be6,0x06a602a8,0x43fd8ff5,0x00002ff8,
    0xf009fdfb,0xdb9999bf,0xfc80bfff,0xff9bf206,0x269fd003,0x3bfe007f,
    0xcccccccc,0x27fe41cc,0xff87ff20,0xccccccce,0x3fe61ccc,0xff5ffc81,
    0x9999999d,0x1bf23999,0xf10037e4,0x4000ff3f,0x007f9ff8,0xf10037e4,
    0xff00ff3f,0x7d3fa007,0xfff0003f,0x04fd809f,0xe81ffd80,0x3bf600ff,
    0xff0df900,0x07ff0007,0xeafdc000,0x1bf2002f,0xfffffd88,0x7ffd03ff,
    0xa8dffb53,0x7fc4007f,0xd100ffc2,0x547ff53f,0x213f607f,0x81ff12ff,
    0x80002ff8,0x807f9ff8,0x3fa203ff,0x81bf203f,0x00ffe6fc,0x07f9a7f4,
    0x4000ffe0,0xfb003ff9,0x8001ffcb,0x57fa04fc,0xfc8003ff,0x400df906,
    0x005fd5fb,0x17f57ee0,0x400df900,0x805fd5fb,0x9fd003ff,0x7c000ffe,
    0x3601ffef,0x7fe4004f,0x20bff302,0x3f201ffa,0x8003ff86,0x200003ff,
    0x00df93fe,0xdfd037e4,0x1ffd7337,0x7440ffb8,0x01bf22ff,0x7f993fa0,
    0x7c47fa20,0xd81fea4f,0xf75fc84f,0x005ff10b,0x3fabf700,0x401ffc02,
    0xdf900ffd,0x7ff37e40,0x7cd3fa00,0x00ffe007,0x30037e40,0x00ffe1df,
    0xf9017f40,0x2000ffeb,0x0df906fc,0x6fc9ff40,0x327fd000,0x1bf2006f,
    0xdf93fe80,0xd003ff80,0x000ffe9f,0x037f57fc,0x7dc009fb,0x17fdc04f,
    0xf9013fe2,0x0007ff0d,0x200007ff,0x3ff30ff9,0x4c1bf200,0x3ff881ff,
    0x6fec1ffc,0x0017fa6f,0x06fb9bf6,0x4bfd0bf6,0x13f607fa,0x417edfe6,
    0x80002ff8,0x80df93fe,0x9ff003ff,0xfc81bf20,0x7400ffe6,0x2e2ff34f,
    0x1ffc0bcc,0x003fe800,0x000ffe04,0xbf700ffc,0x32000ffe,0x00df906f,
    0x7fcc3fe6,0x87fcc001,0xf9001ff9,0x43fe600d,0x3fe01ff9,0x3e9fd003,
    0x5ff0003f,0x3f609ff3,0x0bff3004,0xfd83ffa0,0xf86fc806,0x3ff8003f,
    0x8bf90000,0xdf9004fe,0xfe80f260,0xf707fe24,0x2fecff35,0xfb2fec00,
    0x320ff60b,0xd81fea7f,0xff5fd04f,0x005ff101,0xf30ff980,0x01ffc03f,
    0xdf906fc8,0x7ff37e40,0x7cd3fa00,0xffffff9f,0x2000ffe1,0x40002ff8,
    0xf88003ff,0x7d7ee01f,0x6fc8003f,0x3200df90,0x0027f45f,0x09fd17f2,
    0x6401bf20,0xf027f45f,0x53fa007f,0xff0003ff,0x3607ff25,0xeff8804f,
    0x29ff3000,0xfc801ffa,0x8003ff86,0xf00003ff,0x007fb85f,0x51000df9,
    0x07fcc9fd,0x43fe29f3,0xff8006fb,0x3f21bf64,0x7d4df904,0x5c13f607,
    0xff105fff,0x5fc80005,0x7ff027f4,0x641fea00,0xf9bf206f,0x29fd003f,
    0xc9befff9,0x07ff0fff,0x001ff500,0x0003ff80,0xafe405ff,0xfc8003ff,
    0x200df906,0x03fdc2ff,0xff70bfe0,0x401bf200,0x03fdc2ff,0x3fa007ff,
    0x9999dff4,0xf8799999,0x361bfa2f,0x1ffe804f,0x74ffdc00,0x0df9003f,
    0x99999dff,0x7fc79999,0xccccccce,0x1fea03cc,0x3200bfe2,0x765c406f,
    0x2a4fffff,0xf897e27f,0x800ff31f,0x1ff22ff8,0x27f40bf7,0x27ec0ff5,
    0x101fff88,0xf80005ff,0xf03fdc2f,0x3fe6007f,0x3206fc80,0x3ffffe6f,
    0xffffffff,0x81dff34f,0x9dff2ff9,0x99999999,0x5103fdc7,0x23555555,
    0xccccceff,0x7f43cccc,0x7fd7f603,0xccccccce,0x41bf23cc,0x7fa806fc,
    0x5002ff88,0x05ff10ff,0xf500df90,0x205ff10f,0x9fd003ff,0x3ffffffe,
    0x7c5fffff,0xb13fe62f,0x2ffd809f,0xdfffd000,0x7c37e400,0xffffffff,
    0x3ffe5fff,0xffffffff,0x413f605f,0x6fc806fd,0x3bfffee0,0x3e64fdbc,
    0x7cc1fd1f,0x50017fc7,0x87fdc3ff,0x17fc05fa,0x27ec0ff5,0x7c40ffb0,
    0x3ea0002f,0xf02ff887,0x3fe6007f,0x3206fc82,0x3ffffe6f,0xffffffff,
    0x205ff34f,0xfffff3fe,0xbfffffff,0xf9807fdc,0xf4ffffff,0xffffffff,
    0xffa8bfff,0xff5ff980,0xffffffff,0x837e4bff,0x4fd806fc,0x3600dfb0,
    0x00dfb04f,0x9fb00df9,0x7fc1bf60,0x3e9fd003,0xaaaaaadf,0x17fc2aaa,
    0x4fd87ff2,0x000ffee0,0x000fff98,0x37fe1bf2,0xaaaaaaaa,0x2ab7fe2a,
    0x2aaaaaaa,0x999bff10,0x803ffb99,0xbff706fc,0x7c4fd815,0x7d41fcbf,
    0x5c07fec6,0x88bff11d,0x00ef9bff,0x7fa83fea,0xfc813fa0,0x00bfe203,
    0xfb04fd80,0x400ffe0d,0x6fc81ff9,0xcff9bf20,0x99999999,0x1ff34fe9,
    0x6ffd3f20,0xaaaaaaaa,0x407fe62a,0xffeeeee9,0x5555bff4,0xd0555555,
    0xff9117ff,0x2ab7febf,0x2aaaaaaa,0x37e41bf2,0x3337fe20,0x01ffdccc,
    0x6666ffc4,0x401ffdcc,0x7fc406fc,0xfdcccccd,0x004fe81f,0x00ffe7ff,
    0x7f417fc0,0x7cc13f66,0xfd80005f,0x437e4005,0xff8003ff,0x7fdc0003,
    0xffffffff,0x837e404f,0x13fa04fe,0xfd07fdfd,0x40dfe889,0x0ffddffd,
    0x00efefc8,0x1fe637f4,0xff104ff8,0x017fc401,0xccdff880,0x81ffdccc,
    0xff5003ff,0x640df901,0x400ffe6f,0x40ff34fe,0x007ff4fc,0xd000ffe0,
    0x000ffe9f,0xfffffe88,0x07ff5fde,0x320df900,0x7ffdc06f,0xffffffff,
    0x7fffdc04,0x4fffffff,0x2e037e40,0xffffffff,0x5fe84fff,0x3fe5ff00,
    0x05ff0003,0x13f69ff3,0x0003bfe2,0x90017f60,0x007ff0df,0x80007ff0,
    0xaaaaadfe,0x200ffdaa,0x07ff06fc,0xff313fe6,0x80ffd81d,0x2a0aeff8,
    0xf102fffe,0xffc803ff,0x4c07fcc2,0x0bf904ff,0x0002ff88,0xfffffff7,
    0xff09ffff,0x41ff2007,0x9bf206fc,0x9fd003ff,0x4fc81fe6,0x360007ff,
    0xa7f4005f,0x440003ff,0x9f94efdc,0x32000ffe,0x80df906f,0xaaaaadfe,
    0x200ffdaa,0xaaaaadfe,0x200ffdaa,0x6ff406fc,0xdaaaaaaa,0x037e40ff,
    0x3ff87fcc,0x205ff000,0x84fd9ffc,0x00000ffe,0xfc800bfb,0x8003ff86,
    0x260003ff,0x7fc401ff,0x641bf203,0x5fff986f,0x6effffc4,0x3e602ffe,
    0xfffeefff,0xfe881dff,0x7f4c0aef,0x98bff04f,0x3fae4fff,0x7fc401ff,
    0x5bfd0002,0xfb555555,0x003ff81f,0x1bf20bfd,0x0ffe6fc8,0x7f9a7f40,
    0x1ffd3f20,0x03ffb800,0x1ffd3fa0,0x9fb00000,0x32000ffe,0x40df906f,
    0x7c401ff9,0x03ff303f,0x3203ff88,0x07fe606f,0xfa87ff10,0xf3fec04f,
    0x3fe0007f,0x3f7bfa02,0x0017fe44,0x800bfb00,0x03ff86fc,0x0003ff80,
    0x7f401bf2,0x4c1bf206,0xefecdfff,0x65fec6fd,0x801dfffe,0xdffffda8,
    0x20cffd9b,0xeffffcfe,0x203ffffe,0xefedfffb,0x3ffee4fc,0x02ff8802,
    0x401ff980,0x1ffc3ff8,0xc817fdc0,0xf9bf206f,0x29fd003f,0x53f207f9,
    0x3a0003ff,0xffb803ff,0x20007ff4,0x5ff102db,0x32000ffe,0x40df906f,
    0xdfd006fc,0x7401bf20,0x81bf206f,0xdfd006fc,0x2139ff90,0x3e1ffe98,
    0x5ff0003f,0x27fffcc0,0x00007ff7,0x64005fd8,0x003ff86f,0x20003ff8,
    0xff5003ff,0xa81bf203,0xf14fffff,0x0621641f,0x26013000,0xeb8bf66e,
    0x00bdffff,0x8dffffb8,0x02aa24fb,0x0017fc40,0xfe8037e4,0x2601ffc6,
    0x1bf206ff,0x0ffe6fc8,0x7f9a7f40,0x1ffd3f20,0xbfff3000,0x7ff5cc17,
    0x0007ff2f,0x3f203fee,0x0007ff0f,0x1bf20df9,0xf5003ff8,0x007ff03f,
    0x7e407fea,0x400ffe06,0xffd81ffa,0x2fffffff,0x4ccce7fc,0x20999999,
    0x7fe402ff,0x33bff34f,0x33333333,0x017f6003,0x9ff0df90,0x33333333,
    0x273fe133,0x99999999,0x003fea09,0xfc827fc4,0x00099806,0x80000000,
    0x01980e21,0x00006200,0x4cdffc40,0x40999999,0xff5003ff,0x4cce7fc3,
    0x1fffdaa9,0xfc81bf20,0x7400ffe6,0x640ff34f,0x3339ff4f,0x13333333,
    0xfffffd10,0x419fffff,0x99999cff,0x22099999,0xfecbdffe,0x2673fe1f,
    0x99999999,0x3f20df90,0x001ff506,0xff513fe2,0x13fe2001,0xffa837e4,
    0x09ff1000,0x3fffff6e,0xfffff82d,0xffffffff,0x3a00bfe6,0xffff74ff,
    0xffffffff,0xbfb003ff,0xf86fc800,0xffffffff,0xfff6ffff,0xffffffff,
    0x02fecdff,0x3203ff20,0x0000006f,0x00000000,0x00000000,0xffff1000,
    0x7fffffff,0x88007fd4,0x3fffe4ff,0xefffffff,0x9037e401,0x801ffcdf,
    0x40ff34fe,0xfffff4fc,0xffffffff,0x7fedcc0d,0xff81ceff,0xffffffff,
    0x7ec46fff,0x7c1effff,0xffffffff,0xdf96ffff,0x7ec1bf20,0x07fe4005,
    0xfc800bfb,0xb06fc80f,0xffc800bf,0x004cc400,0xffffffff,0x7cdfffff,
    0x4ff9802f,0xfffffff7,0x3fffffff,0x800bfb00,0xffff86fc,0xffffffff,
    0xffffff6f,0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffff1,0x7ec7ffff,0x87fe4005,0xffffffff,0xdf9002de,0x7ff37e40,
    0x7cd3fa00,0x7fd3f207,0xffffffff,0x26006fff,0xfffff801,0xffffffff,
    0x40355106,0xffffffff,0x006fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ed46a20,
    0x57b97100,0xa800f2a0,0xdb95103c,0x66665c59,0x403ccccc,0x20000ccb,
    0x993002ca,0x2a0e4403,0x95032204,0x3cb8f2a0,0x016f6440,0x544b2a00,
    0x4006a602,0x664c04cc,0x88019930,0x65cc03cc,0x799002bd,0x36a0332a,
    0x01eb802d,0x02541c88,0x95032600,0x4d654000,0x3b72604c,0xa88000bd,
    0x901cdeec,0x4007327d,0x309932cb,0x20165499,0x5c00d409,0x332200cc,
    0x2b2e2002,0x1bca8800,0x65499300,0x0a883002,0x7ffd6fd4,0xfffffb86,
    0x037e40df,0xfd10bfb0,0x36bfffff,0xffffffff,0x3ffee05f,0x26666006,
    0x74009cfd,0x10de805f,0x30de809d,0x2ffe209f,0x3e600ff9,0x801fffff,
    0x557f22c8,0x013f607f,0xb013fff6,0x200ffabf,0x3f200ffb,0x01efffff,
    0x27f47fea,0x17ff7fd4,0x3a005f88,0x4c09d10e,0x986f400d,0x3f60003f,
    0xfd887fac,0x3effffff,0xfffff700,0xfd81bfff,0x3a007ff4,0xb81ff54f,
    0x4413f67f,0x1fcbdffe,0x401ffc40,0x74c00ffc,0x202fffff,0x1ffffffb,
    0xbf93fd40,0xadffe980,0x7f7d40fd,0x7fdc2ecf,0x46fea9ae,0x3f6006fc,
    0x4e7ffcc5,0xefedfeb9,0x3ccccccc,0x9fb3ff30,0xfffff100,0x7d405fff,
    0xfffa800e,0x7fdc00ff,0x3e600fff,0x7ec02fef,0x805fd98c,0x557ae2fe,
    0x013f607f,0x05fd1ff7,0x027f7f44,0x3ea02ff8,0x6feb99bf,0x37d4ffa0,
    0x0df31fd8,0xfa8007f2,0xf101ffff,0xfffb801f,0x360000ff,0x7447e9cf,
    0xecaacfff,0x3fa204ff,0xfec9abdf,0x7d3f21ff,0x29fd003f,0x3fdc0ffa,
    0x2ff209fb,0xc806fffc,0x13f6005f,0xf955bfd0,0x5bff705f,0x5405ffd5,
    0xb017f27f,0x0bfffb7f,0x7c40dff5,0x23fe883f,0x3f6006fc,0x440fff45,
    0x0003fffd,0x07b627db,0x3fb33320,0x07b201ce,0x00acb880,0x20059710,
    0x7cc03eeb,0x2007fcc7,0xfa9e42fe,0x8813f607,0x01bd32ed,0xa802f74c,
    0x427e403e,0x4e881ff9,0x1be207b2,0x05f883fd,0x00acb880,0x22003fe2,
    0xd80002cb,0xffd8d54f,0x40ffee02,0x3e603ffd,0x7fcb60ff,0x4c9fd003,
    0x87700007,0x01bb002a,0xf902ec40,0xf88ff70b,0x006fc83f,0x1a859000,
    0x6405ff50,0x4ff700ff,0x3f6006fc,0x880ffe65,0x00003fff,0x09fb0000,
    0x00000000,0xfb800000,0x200ffc46,0x547a22fe,0x013f607f,0x00000000,
    0x04c13f60,0x44fa8000,0x00fe42fc,0x3fe20000,0x80000000,0x7cc9b4fd,
    0x0ffc805f,0x54017fd4,0x3e3f15ff,0x49fd003f,0x0000005a,0x20000000,
    0x5ff01ff8,0x7cc07fdc,0x0000000f,0x200ffa80,0x3fe604fd,0x6c00df90,
    0x201bf65f,0x30003ffc,0x10057b97,0x13f637b7,0x02bdcb98,0x02bdcb88,
    0x0d4c0551,0x20166544,0x1bee2ff9,0x9acffa98,0xd81fea3b,0x6654404f,
    0xbdcb9802,0x16654402,0x017dff70,0x15ee5c40,0x17e44fa8,0x73000bf1,
    0x750179b9,0x220157ff,0x1002bdcb,0x33f637b7,0x007f5459,0x37f43fe8,
    0x3d7ff700,0xfe801ffc,0x15445d14,0x0aa23530,0x05511a98,0x02a88d4c,
    0x037dc6a6,0x81544bf9,0x2e201ff8,0x71002bdc,0x3ea057b9,0x7ffff407,
    0x1fffffff,0x7ec00df9,0x26013fe5,0xfc8003ff,0x01efffff,0xb9fffffb,
    0x3fff209f,0xf701efff,0x81bfffff,0x13f607fa,0x9ffffff7,0x7dcffec0,
    0x3fff202f,0x07fa84ff,0xffb813f6,0xf904ffff,0x03dfffff,0x9ffffff7,
    0x3bffff20,0x3fff201c,0x7cc0dfff,0x3f90ff46,0x7ffec400,0x7f43ffff,
    0xfc82ffff,0x00dfffff,0x33fffff6,0x200004fd,0x0bfe65fc,0x41eff880,
    0xbfd003ff,0x07fa87d9,0x03fd53f6,0x81fea9fb,0x40ff54fd,0x40bf94fd,
    0x3ea006fa,0x3ffff207,0x3f200dff,0x40dfffff,0x77fc07fa,0xeeeeeeee,
    0x400df91e,0x07ff15fd,0x8007ff10,0xeb99bffa,0x9dffb86f,0xa84ffffb,
    0xfeb99bff,0x9aeffb86,0x3fd46fea,0x7fd49fb0,0x02ffb99c,0x05fffff1,
    0x1acffa98,0x3f607fa8,0x339ff504,0xffa85ff7,0x46feb99b,0xfb99cffa,
    0xfffb502f,0x9ff909ff,0x81dff733,0x44df30ff,0x77f4005f,0x0ffeb99b,
    0x02affeea,0xf7339ff9,0xbff701df,0x09ffff73,0x53fdc000,0xff8001ff,
    0xd003ff85,0xff5015df,0x7faa7ec0,0x3fd53f60,0x1fea9fb0,0x09fb4fd8,
    0x5c403fd4,0x9ff903ff,0x01dff733,0xf7339ff9,0x03fd41df,0xf9000bfa,
    0x9afec00d,0xdff002ff,0x1ddddddd,0xff984fc8,0x3207fe61,0x84fc84ff,
    0x3fe21ff9,0x2a3fe883,0x4d3f607f,0x06fa82ff,0x8003fff6,0x1fea02fe,
    0xff984fe8,0x7e46fa82,0xf31ff984,0x00df505f,0x4c7ffd73,0x4fe882ff,
    0x17feffd4,0x7cc003fb,0x43ff881f,0xff980ff8,0x4c4fe882,0x4ffc81ff,
    0xccccccb8,0xdccccccc,0x00ff70ff,0x7ff0dfb0,0xa813fa00,0x553f607f,
    0x553f607f,0x553f607f,0x753f607f,0x81fe603f,0x302fffe8,0x9fd105ff,
    0xe882ff98,0xb01fea4f,0x3209809f,0x57f6006f,0xff001ffa,0xffffffff,
    0x1304fd81,0xff105fc8,0x2609fb09,0xb807fe40,0xd81fea7f,0x6c0df74f,
    0x7fff4c1c,0x0bfa004f,0x3fe07f98,0x3606fb84,0x4c13f61c,0xcd81bee0,
    0x6fd80621,0xffa817f6,0x261f5c40,0x1e4c005f,0xff889fd0,0x2a05fd80,
    0x417f20ff,0xffd84ff8,0xffffffff,0x92ffffff,0xff9000df,0x3a007ff0,
    0x81fea04f,0x40ff54fd,0x40ff54fd,0x40ff54fd,0x407fd4fd,0xff500ff8,
    0xbfb019ff,0xfb07fd40,0xa87fd40b,0x07fdc07f,0x1bf26fc8,0xff35fd80,
    0x2b7fe003,0xb82aaaaa,0x6c00beff,0x213f602f,0x400beffb,0x3fe604fd,
    0x7ec0ff50,0xa8009f94,0x2ffd8dff,0x0bfa02f2,0xf980ff88,0x004fc84f,
    0x005f7fdc,0xff8009f9,0x7f4df703,0x007fe202,0x3fee0fd8,0x7544001c,
    0x27fea24f,0xf1017f41,0xb01fec3f,0x99ff909f,0x99999999,0x3f23ffb9,
    0x86fc8006,0x9fd003ff,0xfb03fd40,0xfd81fea9,0x7ec0ff54,0x7ec0ff54,
    0x7cc07fd4,0x3ae2100f,0x017f41ff,0x17f43ff1,0x3ea3ff10,0x42efe807,
    0x1bf21ffa,0xff15fd80,0x07ff1005,0xdffff900,0x405ff039,0xfff904fc,
    0xffd039df,0xffffffff,0xd81fea3f,0x8007fd4f,0x3ffa24ff,0xfe80ffa8,
    0x262ffc02,0x3fe84fff,0xffffc800,0x01ff41ce,0xf103ff60,0x200ffc7f,
    0x9f3002ff,0x1ffdffdc,0xfffecb88,0x3fffa4ff,0x007fe1ff,0x017fc5ff,
    0x0ff709f9,0xf50ffa80,0x09fb000f,0x3fa007ff,0xd81fea04,0x6c0ff54f,
    0x6c0ff54f,0x6c0ff54f,0x4c07fb4f,0x3fe000ff,0x3e00ffc4,0xf007fe2f,
    0x201fea5f,0xfecffff9,0x0037e44f,0x01ffcbfb,0x8001ffcc,0x4fffffda,
    0x9f700ffc,0x7fffed40,0x7777fc4f,0x1eeeeeee,0xa7ec0ff5,0x3ea002ff,
    0xfdeff887,0xa805fd05,0xcefedfff,0x002ff84f,0xfffffb50,0x20017fc9,
    0xfecefff8,0x03ff10ef,0xfb002fe8,0x03fe3f41,0x79dffff7,0x7fdd49fb,
    0x03ff10ab,0x07fe2fe8,0xffa84fb8,0x89fee000,0x7f4000ff,0xf004fe82,
    0x03fd409f,0x81fea9fb,0x40ff54fd,0x40ff54fd,0x409f94fd,0x7e4007fa,
    0xd007fe27,0x007fe25f,0x01fea5fd,0x7ffffe44,0x2a26fc83,0x7f4bfb03,
    0x03ffb804,0xffeb9800,0xfc80bfa3,0xffd73004,0x20017f47,0x53fa07fa,
    0x3f6003fe,0x5ffff505,0x2e00bfa0,0xfb8dfffe,0x0003fe84,0xd3ffeb98,
    0xf910007f,0xff09ffff,0x801ff805,0xb17e24f9,0x56ffdc3f,0x3e227ec0,
    0x402ff80f,0x80bfa1ff,0x3ff884fc,0xff1bfa00,0x07fcc009,0xff8037f4,
    0xe81fea03,0x740ff54f,0x740ff54f,0x740ff54f,0x540bf94f,0xf300446f,
    0x2017fc3f,0x00bfe1ff,0x001a83ff,0xdf9017d4,0x3fe837d4,0xfd003fee,
    0x0188007f,0x03fc9bf6,0x806213f6,0x013f66fd,0xf03fcc13,0xc813f69f,
    0x5c0dfb2e,0x0bfa07ff,0x83e41880,0x8bb204fd,0x6dbf6018,0x80bb204f,
    0x0ffa00ef,0xfd007f98,0x3f227d41,0xfe813fa2,0x7407fc44,0x91fe603f,
    0x827ec07f,0xfa800ffd,0x007fe42f,0xff907fe8,0x403ff300,0x53fe07f9,
    0x53fe07f9,0x53fe07f9,0x53fe07f9,0x93f607fa,0x3fee05fe,0xf980ffa0,
    0xf301ff47,0x007ffd0f,0x4df901ee,0x7fc40ff9,0xb817fe22,0x7c003fff,
    0x5cdf703f,0x09ff307f,0x9bee07ff,0xdf900ffb,0x7cc07fcc,0x101ff74f,
    0x07ff25ff,0xe827ffe4,0x2ec0002f,0xf880ffb8,0x5c0ffe2f,0x101ff76f,
    0x3fa205ff,0x40ff901e,0x4fa806fc,0x8bf227d4,0x9ff303ff,0xfc80ff88,
    0xf71bf207,0x413fe60f,0x74404ff9,0x01dfd06f,0xf502ffc8,0x07fd809f,
    0x7cc07fcc,0x301ff34f,0x03fe69ff,0x7fcd3fe6,0x3a4ff980,0x21ff882f,
    0xdfd00ffb,0x3f207fc8,0xf903fe46,0x003fe20d,0x6fc807f2,0xfd88effc,
    0x42ffdc0f,0x99cfeefb,0x6c199999,0x1ffc40ff,0xfea877fa,0x40ffd84f,
    0x77f43ff8,0x3e0ffd42,0x27ffcc5f,0x7ec43bfd,0x41dff10f,0x4fffffc8,
    0x40004fe8,0x877fa07e,0x3f60ffd8,0xd1ffc40f,0x7fec43bf,0x882fd400,
    0x7fdc0dff,0x4c0fe802,0xf90ff46f,0x0bfff30d,0xbff107ff,0xe82ffb81,
    0x3ffaa1df,0x07bff204,0x203fff51,0x4c0affe8,0x7e404ffe,0x3fa609cf,
    0x45ff801f,0x3fe4fff9,0xf27ffcc5,0x4fff98bf,0xfff317fe,0x36077dc9,
    0x06ffc44f,0xf883ff91,0x17fdc0df,0xf7037fe2,0x7fba985f,0x977df500,
    0x7fdc6fc8,0x502fffff,0xfffbdfff,0xffffffb1,0x7c41ffff,0xeffeceff,
    0x76fffc40,0xf884fdff,0xeffeceff,0x67fffcc0,0xffb84ffe,0x4fcefedf,
    0x3f7bffe6,0x7ffd41ff,0xe8bfffee,0x7ffe43ff,0x5bf90005,0x77ffcc77,
    0x7c41fffd,0xeffeceff,0x37bffe60,0x99501fff,0x7fd405ff,0x02ffecdf,
    0x5fd04fa8,0xfff31bea,0xdfbdfd9b,0xa87fffd0,0xffecdfff,0xdbfff102,
    0xb809fbff,0xffeeffff,0x7f4401ef,0xffffeeff,0xffffb003,0x005fffff,
    0x3fb7ffee,0x3fee4fce,0x4fcefedf,0x3fb7ffee,0x3fee4fce,0x4fcefedf,
    0x3b37ffa2,0xfffa80ef,0x503fffdd,0xffd9bfff,0x37ffea05,0x7c42ffec,
    0x36002eff,0x37e45fff,0x1f7fffd4,0x3ffff6a0,0xfffffb1d,0x881fffff,
    0x04fffffc,0x27bfff26,0xff9104fc,0x64409fff,0x203fffff,0xb8dffffb,
    0x7ffec44f,0xffd101df,0x0ed83bff,0x003ffec4,0x43fffe88,0x1dffffd8,
    0xfffff910,0x3fff6209,0x3ff201df,0xffd8803d,0xfd002dff,0x3fffa601,
    0xffffa81d,0x981ff14f,0xfd884ffe,0x4402dfff,0xfb9efffc,0xffed9804,
    0x1000ceff,0x7bfffd95,0xffdb8001,0x4002dfff,0xb8dffffb,0x7fffdc4f,
    0x7dc4fb8d,0x4fb8dfff,0x46ffffdc,0xfffc84fb,0x3fa600be,0x4401efff,
    0x02dffffd,0x6ffffec4,0x00015302,0x440002a2,0x01880009,0x02660000,
    0x20001300,0x4c400099,0x00062000,0x19800266,0x00060040,0x26600660,
    0x00266000,0x00000998,0x44001980,0x01c9802c,0x88000998,0x00019800,
    0x31000013,0x06200003,0x09988000,0x000c4000,0x03100062,0x98001880,
    0x04cc4001,0x8000cc00,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33260000,0x19950002,0x00199700,0x80bb0bb0,0x530143cb,0x35555555,
    0x64473220,0xa932a01c,0xdcb9803c,0x326000bc,0x4c00b2a4,0x950002cc,
    0x19970019,0x16654400,0x05797300,0x4c983640,0x20c00b2a,0xcc9800a8,
    0x19950002,0x00599300,0x01ef6dc4,0x66544aa2,0x95165c0a,0x220159db,
    0x17b9511a,0x64c33260,0x1e640004,0x02cc9800,0xcc88cca8,0x35995102,
    0x26199300,0x32a2004c,0x8800acde,0x22001bca,0x03531bdb,0x01fffe88,
    0x1004ff80,0xf88009ff,0x6c02fc46,0xd02febef,0xffffffff,0x6c7fdc07,
    0x8cfe805f,0x3f6201ff,0x03ffffff,0x2fe4ff50,0x0ffffc40,0x8027fc00,
    0xf7003ff8,0x409fffff,0xefffffd8,0xf506f800,0x2602fe4f,0x0fdadffe,
    0x0ffffc40,0x0027fc00,0x3e600dfb,0x206fffff,0xffff9ef9,0x233fa2ff,
    0xfffffffd,0xff9df983,0xfb02ffff,0x0005ff1b,0x4000ffdc,0x401ffff8,
    0x01ff74ff,0x9ffffff5,0xfd1bfb00,0xffff7005,0x405fffff,0x2efffffb,
    0x7ffffec0,0x7ec04fbc,0x2000ff9c,0x7cc006fb,0x13e6000f,0xfd1007f5,
    0x77fc03bf,0x02eeeeee,0x8037f7ec,0x403feff8,0xeb99befe,0x7fa800ff,
    0x3f6017f2,0x2000ff9c,0x7cc006fb,0x67fd400f,0x882ffb99,0xffcabefe,
    0x40fe600e,0x017f27fa,0xbfffb7fb,0xff59fb00,0x037dc001,0x26017f40,
    0xfea89cff,0x9ffff303,0x3a1fff95,0xa9bdfedf,0x7cc1ffeb,0xfeb9cffe,
    0xfeff880f,0x17f40004,0xfacfe800,0x7cdf500e,0xbeff982f,0x4404ffda,
    0x4404fefe,0xa9aceffd,0xfb85ffec,0x1ffeacff,0x933bff70,0x75409fff,
    0x4009d90d,0xea8000dd,0x90bee002,0x7fe4405f,0x1fe605fd,0x1bdb1000,
    0x02775400,0x3e207fe6,0x4000003f,0x09d90dea,0x40006ec0,0x3fe602eb,
    0xfb86fa82,0x01ffc40f,0x000003f9,0x400d4459,0x09d90dea,0x40006ec0,
    0x2fe404d8,0xff9837d4,0xfd2ff886,0x3fa205ff,0x21bfe60f,0xdd303ff8,
    0x3e980009,0x64bd5000,0x261d904e,0x70dfd03e,0xee9801ff,0x04ffc805,
    0xff10ffe4,0x40efa819,0xffc81ff9,0x00000004,0xfc800000,0xf3007ec1,
    0x540ff617,0x0000005f,0x07930000,0x000027f4,0x00000000,0x06fb8000,
    0x05ff0736,0x07e817f2,0x00000000,0x00000000,0x4c17ec00,0x05ff307f,
    0x1fff4ffa,0xf993fe20,0x009fd01f,0x00000000,0xf1000000,0x05ff105f,
    0x1ffcc000,0x3f25fd80,0xc89fd00f,0x09ff105f,0x02bdcb88,0x057b9710,
    0x0af72e20,0x5ff5554c,0x02affaaa,0x3fe6aa62,0x0004fc80,0x02f372e6,
    0x0af72e20,0x27f54400,0x2bdcb880,0x57b97100,0x2f72e200,0x7b971002,
    0x0013f205,0x20040bf7,0x65cc05f8,0xb9800bcd,0x9800bcdc,0x800bcdcb,
    0x00bcdcb9,0x0bcdcb98,0x9f903ff0,0x6403fe60,0x200ffd4f,0x03fe67fd,
    0x02a8a7e4,0x65d406a6,0x32e60abd,0x80aa202c,0x405511a9,0x03ff11a9,
    0xcb880bfe,0x1bf202bd,0xfb0ef980,0x3637e40d,0x813f603f,0xdffffffc,
    0x3ffff200,0x3f200dff,0x40dfffff,0xfffffffd,0x80ffffff,0xfffffffa,
    0x0262fd85,0x3ffff620,0x3f203fff,0x00dfffff,0x3fffb2e2,0xffb804ff,
    0x200dffff,0xdffffffb,0x3fffee00,0x3ee00dff,0x40dfffff,0x7e4003fe,
    0x0bea0003,0x7ffffec4,0xffb103ff,0x207fffff,0xffffffd8,0xfffb103f,
    0x2207ffff,0xfffffffd,0x7c41ff83,0x01ff300f,0x02ff57f2,0xff30ffa8,
    0x7faa7e40,0xfb113f60,0x73ffffff,0x09ffffff,0xa7ec0ff5,0x93f607fa,
    0x0ffa85fd,0xffffff70,0x007fd01b,0x501ff408,0x017fc1ff,0x3ff209f9,
    0x0effb99c,0xb99cffc8,0xffc80eff,0x0effb99c,0x2b7f2aa6,0x82adfcaa,
    0xffbadffb,0x65ffc2ff,0x3a03ffff,0xfeb99bef,0x9cffc80f,0xb80effb9,
    0xdbceffff,0x77fdc04f,0x706fea9a,0xfd535dff,0x2bbfee0d,0xf706fea9,
    0xdfd535df,0x6c002ff8,0x3bdfb72f,0xfd00fc80,0xffd7337d,0x337dfd01,
    0xfd01ffd7,0xffd7337d,0x337dfd01,0xfd01ffd7,0xffd7337d,0x7e41ff81,
    0xc81fe604,0x2009fd5f,0x0ff31ff9,0x07faa7e4,0x5dfd13f6,0xffffd733,
    0x85ff935b,0x53f607fa,0x93f607fa,0xeb89cffa,0x5dff704f,0xf88dfd53,
    0x7ec0002f,0xf83ff205,0x213ee01f,0xfe882ff9,0x4417fcc4,0x17fcc4fe,
    0xfb827f44,0xf880fe42,0x24ffa83f,0xfeeffff8,0x1ff985ff,0x7cc3ff88,
    0x44fe882f,0x6c0adffb,0x0ffe204f,0xff10ffa2,0x887fd107,0x3fe883ff,
    0x7441ffc4,0x000ffa3f,0xffffb5fd,0x837c05ff,0xff881ff9,0x440ffcc3,
    0x0ffcc3ff,0x3e61ffc4,0x43ff881f,0xff881ff9,0xff10ffc3,0x903fcc03,
    0x4013fabf,0x0ff32ff9,0x07faa7e4,0x06fa93f6,0xf303fff5,0xb03fd41f,
    0xd81fea9f,0x7fff444f,0x7ff102ff,0x7d47fd10,0x7e40000f,0x43ffd00f,
    0x13f202fe,0xffa817f6,0xfa817f60,0xa817f60f,0x41fd80ff,0x0df900fe,
    0x9ff52fe4,0x21ffecc1,0x13fa03c9,0x7fd40bfb,0xfe813fa0,0x403ff204,
    0x07fe47fb,0x7fe47fb8,0xfc8ff700,0x6cff700f,0xf8bb204f,0xeb89dfef,
    0x04f981ff,0x27f40793,0x4fe80f26,0x9fd01e4c,0x3fa03c98,0xfd01e4c4,
    0x3e21ff89,0x81fe602f,0x009fd5fc,0x3fccbfe2,0x1fea9f90,0x0b2a4fd8,
    0xfd037fc4,0xfb03fd47,0xfd81fea9,0x7ffffd44,0x01ff904f,0x07fb9fee,
    0x2aaaaaa2,0x509ff31a,0x27ec3fff,0x5fd09fb0,0xfd0ffc40,0xd0ffc405,
    0x0ffc405f,0xd037c3f4,0x13fcc07f,0x03ff4055,0xe89fd510,0x87fe202f,
    0x9ff303ff,0xf3027ec0,0x3027ec1f,0x027ec1ff,0x27ec1ff3,0x3ee1ff30,
    0x22ff880f,0xbff03fff,0x10005f70,0x44009fd5,0x22004fea,0x22004fea,
    0x22004fea,0x0ffc4fea,0x7cc0bff6,0x7f57f207,0x23ff3004,0x53f207f9,
    0x13f607fa,0x01ffd4c0,0x03fd4bf7,0x81fea9fb,0x33ff64fd,0x40efeb88,
    0x3fe604fd,0x2601ff70,0x4fffffff,0x3af3fff2,0x3ee1ffdf,0x84ff880f,
    0x17fc01ff,0x2ff803ff,0x5ff007fe,0x2fcc6f88,0x7c405ff0,0x3fee001f,
    0xffecb880,0x0ffc4fff,0x6fc8bfe0,0x205fff98,0xfffffffe,0x3fa1ffff,
    0xffffffff,0x3fffa1ff,0xffffffff,0x3fffffa1,0x21ffffff,0x3f621dfe,
    0x403ffa0f,0x807d87fc,0xffffecb8,0xfd97104f,0x2209ffff,0xfffffecb,
    0xffd97104,0x2e209fff,0x4fffffec,0x3fa20ffc,0x207f984f,0x009fd5fc,
    0x3fcc7fe6,0x1fea9f90,0xca884fd8,0xfffffffd,0x6fffffff,0x4fd81fea,
    0xa7ec0ff5,0x9fd01ff9,0xffffffe8,0xf31fffff,0x3bba603f,0x7e44ffee,
    0xff8cffff,0xd50f7f40,0x1ff889ff,0xff897f40,0xf897f401,0xd97f401f,
    0xffffffff,0x3e0fffff,0x017fc01f,0xfb85ff10,0xfdbcefff,0xd007fe24,
    0x6fffcc5f,0x06fdefec,0x3bbbbbfe,0x3e1eeeee,0xeeeeeeef,0x3bfe1eee,
    0xeeeeeeee,0x3bbbfe1e,0x1eeeeeee,0x3f7bffe6,0x02fec1ff,0x2fc41ff3,
    0x3bfffee0,0xfb84fdbc,0xfdbcefff,0xeffffb84,0xfb84fdbc,0xfdbcefff,
    0xeffffb84,0x7fc4fdbc,0x41dff901,0x57f207f9,0xff5004fe,0xfc81fe61,
    0x7ec0ff54,0x77fffdc4,0xeeeeffad,0x2a6eeeee,0x553f607f,0x653f607f,
    0xf1fee06f,0xdddddddf,0x1ffc3ddd,0x2613fa00,0x1ff31bcb,0xfeefff98,
    0x2ff84fef,0x5ff0ffc0,0x3fe1ff80,0xfd8ffc02,0xffffffff,0x3fe0ffff,
    0x007fe202,0x3ee1ff98,0x27ec0adf,0x3ff00bfe,0x4fffffa8,0x3fa01ff1,
    0x02fe8002,0x8002fe80,0xb10002fe,0x903bffff,0x07fcc0bf,0x7fdc07f5,
    0x227ec0ad,0x6c0adffb,0x56ffdc4f,0x3ee27ec0,0x27ec0adf,0xb02b7fee,
    0x201ff89f,0x1fe63ffa,0x09fd5fc8,0x7f99fee0,0x3fd53f20,0x7fdc9fd0,
    0x017fc0ac,0xfe81fea0,0x7f40ff54,0x7c407fd4,0x000bfa1f,0xfd0017f6,
    0x837d4009,0xd9efffd8,0x203fe84f,0x01ff47f9,0x03fe8ff3,0x03f61fe6,
    0x1ff401fd,0x3f61ff30,0xe83ff205,0xd13fa04f,0x03fcc07f,0x02f88133,
    0x813013f6,0x204c04fd,0x204c04fd,0x004c04fd,0x7dc015f7,0xf91bee07,
    0xd027f403,0x204fe89f,0x027f44fe,0x04fe89fd,0x09fd13fa,0x07fe27f4,
    0xc800df70,0x2009fd5f,0x00d405fe,0x27fc0ff3,0x1ffc0bfd,0x3fcc3530,
    0x1fe69ff0,0x09fb4ff8,0x9fb07fd4,0x7fdc0980,0x4d3fa003,0x013f601a,
    0xc84fd826,0x91bf207f,0x237e40ff,0x1bf207fc,0x701be1fa,0x737ec0ff,
    0x17fa03ff,0x3fe607ff,0xf903fe44,0x03f5000d,0xfc807fdc,0xc807fdc6,
    0x807fdc6f,0x07fdc6fc,0x3b206fc8,0x0bfe204f,0x01fa27f4,0x3fe607ff,
    0xf981ffc4,0x981ffc4f,0x81ffc4ff,0x1ffc4ff9,0x7fc4ff98,0x0ff50711,
    0x9fd4fd80,0x403ff700,0xf981fff8,0x24ff980f,0xbff702ff,0xff327f40,
    0x269ff301,0x4ff980ff,0x3fec0df9,0x7e403fee,0x803ffe86,0x1ff54ffb,
    0x0003ff10,0xbff109fb,0x442ffb81,0x7fdc0dff,0x206ffc42,0x2fc42ffb,
    0xff1013e6,0x0ffecc3b,0x64c1bff1,0x437e41ff,0x7c45fff9,0x17fdc0df,
    0x201fd400,0x7fd42efe,0x542efe81,0x2efe81ff,0x7f40ffd4,0x00ffd42e,
    0xff9007fc,0x10ffe443,0x86fc809f,0x7e45fff9,0x45fff986,0xfff986fc,
    0x7cc37e45,0x437e45ff,0x7fc5fff9,0x5fe89fd1,0xfe9ff400,0xdff50a84,
    0x7c1bea00,0x27ffcc5f,0xfff50bfb,0xf0df90bf,0x4fff98bf,0xfff317fe,
    0x7117fe29,0x5dfd07ff,0xf981ffa8,0x2e60bdff,0xff12fffe,0x003fe889,
    0x3ea09fb0,0x2ffecdff,0xd9bfff50,0x3fea05ff,0x82ffecdf,0x01fd44f9,
    0x7ef7ffcc,0xfffa83ff,0x982fffdd,0xefecdfff,0xfffa86fd,0x002ffecd,
    0x21f7bfe0,0xfecffff9,0xffff304f,0x2609ffd9,0xffecffff,0x9ffff304,
    0x66409ffd,0x7ec406fd,0x42fffcef,0x7fcc02fb,0xfdefecdf,0x66fffcc6,
    0x4c6fdefe,0xefecdfff,0x7ffcc6fd,0x6fdefecd,0x766fffcc,0x7fc6fdef,
    0xff9dff31,0xfb91001f,0xf313fa3f,0x403dffff,0x705fda98,0x9dfdbfff,
    0x67ffcc9f,0xff99effd,0x81fffddf,0xefedfffb,0x3ffee4fc,0x24fcefed,
    0xffddfffa,0xffff305f,0x4409ffd9,0xfffffffe,0x7d40cfff,0x05ffdcff,
    0x8813f600,0x02dffffd,0x6ffffec4,0x7ffec402,0x85f702df,0xfb1001fc,
    0x4c03dfff,0x01effffe,0x53ffffea,0xfd880ff8,0x0002dfff,0x881f7ed4,
    0x03fffffc,0x7ffffe44,0x7ffe4403,0x7e4403ff,0x2203ffff,0x7001ceff,
    0xb05bffff,0xfff5001f,0x03fe29ff,0x29fffff5,0x7fd40ff8,0x1ff14fff,
    0x4fffffa8,0xffa81ff1,0x1ff14fff,0xffb30ffc,0x3e6003df,0x513fa5ff,
    0x801bfffb,0x200dfffa,0xb8dffffb,0x7fffd44f,0x7ffec44e,0x3fee01be,
    0x44fb8dff,0xb8dffffb,0x7ffec44f,0x7e4402ff,0x3003ffff,0x9dffffb7,
    0x7fff5403,0x7ec0003d,0x00033004,0x0cc00066,0x0aa054c0,0x2000c400,
    0x4cc00198,0x00660000,0x31000000,0x01310001,0x00013100,0x00000131,
    0x05500620,0x80009980,0x99800099,0x00998000,0x00009980,0xa8800130,
    0x00c4001a,0x88003310,0x004cc001,0x06200044,0x30003100,0x13100013,
    0x00198000,0x00000988,0x00000131,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4caa2000,0x26001bdb,0x5500cdeb,0x4400d903,0xcdb8804e,0xa8803512,
    0x0000adec,0x1b20b2a0,0xc882ea80,0x95100004,0x990015bd,0x6cb2e003,
    0x37b95005,0x4013a200,0x01beeca8,0x55100aa8,0x00132600,0x2bdedba8,
    0x6f6dcc00,0x1551000b,0xb80264c0,0x0199104c,0x00dff000,0x33333332,
    0x264c02ab,0x88007320,0x3aa5974c,0x91000006,0x99999999,0x81999999,
    0x54c15408,0x80aaaaaa,0x82cc81cc,0x4c06442c,0xf5bf31cc,0x401dffff,
    0xfffffffa,0x3624ff83,0x03fa007f,0xbfffffb0,0x3faa0bf7,0x3efffdff,
    0x24fd8000,0xf1007fd8,0x001fe60d,0xfbfffd50,0x7fc07dff,0x329fd003,
    0x6efe401f,0x0fe801ff,0xfffffb80,0xff00dfff,0x401bea03,0x016447fb,
    0xffffffd1,0x7e4401df,0x4fffffff,0x201ff980,0xff9807fa,0x003ff102,
    0x200dff00,0xffffffff,0xff503eff,0x0017fc40,0x553f6ff3,0x9000007f,
    0xffffffff,0x1fffffff,0x7d5f7fe4,0xfffffc84,0x17fc41ff,0x8fe427fc,
    0x4bfd06d8,0xb89efff9,0xbff306ff,0x83ffb515,0xffff54ff,0x700fee00,
    0xffd73bff,0x37df90bf,0x00dfdb88,0x7d53f600,0x1fd007ff,0x8001fe60,
    0x5c41befc,0x3ff80dfd,0x3ea9fd00,0xfa936203,0x201fdc04,0x9abeffe8,
    0xff06ffec,0x401bea03,0x817f47fb,0xbaabfff9,0xe881fffe,0xfcaacfff,
    0x7fcc04ff,0x201fea01,0x3fe204fc,0x5ed80001,0x999bff00,0x0bfffdb9,
    0x7fc40ff5,0x65fe6002,0x000fd53f,0xd9bff100,0x999999ff,0x37e61999,
    0x981fffeb,0x0aaaaaaa,0x7fc17fc4,0xfffff884,0x260ff982,0x4fe886ff,
    0xbfd07fd8,0xd1790998,0x80bf300f,0xffc81ff9,0x40077e45,0x360006fd,
    0x0fd1794f,0x7cc05f90,0x1df90007,0xff0dfb00,0xf93fa007,0x0bf62005,
    0xfd805f98,0x17fe603f,0x37d407fe,0x7f47fb80,0x201ff902,0xffe85ff8,
    0x00fff602,0x07fa8033,0x3e202ec4,0x0000001f,0x32203ff8,0x03fd43ff,
    0x4c005ff1,0x06a8b67f,0x0ffb8000,0xc9800df9,0x00002a60,0x3d817fc4,
    0x6402f2a0,0x817fcc1e,0x03ff86fa,0x3a001ff5,0x007f4407,0x5fe813f2,
    0xca883bea,0x0027e40b,0x07e84fd8,0x3e602fcc,0x8efa8007,0xc819aaa9,
    0x801ffc4f,0x003f64fe,0xe880bfea,0x17fd400f,0x3e27fd40,0x00df501f,
    0x05fd1fee,0xff900ffa,0x4403ffb8,0xa80006ff,0xf100007f,0x1001443f,
    0xf0057b97,0x1ff9007f,0xff103fd4,0x9bfcc005,0x0001360f,0x6fc93fe0,
    0x71000000,0x3e2057b9,0x0003f02f,0x881fe600,0x0bfe20ff,0xe80ea818,
    0x4017e407,0x97f202fe,0x3bfee0ee,0x203ec5ff,0x9fb1bdb8,0x7f440fd0,
    0xb9bfcc00,0x43ba02cd,0x2ffffffc,0x00ffe3ec,0x05f727f4,0x207fb710,
    0x5fe802fc,0xf83fee00,0x00df501f,0x7fd4dfee,0x01ffc1ac,0x5fe837a2,
    0x201bf500,0x3ea00ee8,0xca88d447,0x1ff880bd,0x3ee007f3,0x00dfffff,
    0x3e200ffe,0x881fea4f,0x3e6002ff,0xa8ad4597,0x037b9512,0xfc83fee0,
    0x0aa60006,0xffffff90,0x82ff881b,0x4154c06d,0x317b51a8,0x41ff80df,
    0x7dc004ff,0x3ea07e80,0x403ff004,0x5c7f15fb,0x98fee1df,0xffffb01f,
    0xfd09fb9f,0x4c00fec0,0xfffffaff,0xf91fc40e,0x3e63f4c4,0x7400ffe1,
    0x0013e64f,0x009f50fd,0x44003ff3,0x407fe1ff,0xff7006fa,0x17ffffee,
    0xf0001dfb,0x4400005f,0x1bfd407f,0xffff3bf3,0x9ff885ff,0xfb801efa,
    0x6fea9aef,0x6400ffe0,0x881fea6f,0x3e6002ff,0xf9ef9807,0x802fffff,
    0x037e44ff,0x640bf700,0xffb99cff,0x20bfe20e,0xa85fb802,0x9efffadf,
    0x217fc06f,0x7dc005fe,0xdf107e81,0x807fe200,0x743f55fb,0x84f85707,
    0xffb9dffb,0x507e84ff,0x3fe6009f,0xfffc9cff,0x87c87ea0,0xff27c1fb,
    0xf13fa007,0xf893a60d,0xa8037c46,0x7fc000ff,0x7d40bfe3,0x26ff7006,
    0x541acffa,0x3001cfff,0x400001ff,0x7fd406fa,0x9ffdf34c,0x441ffd73,
    0x800efdff,0xfe883ff8,0x2007ff03,0x81fea7fb,0x26002ff8,0xfff9807f,
    0x0ffeb9cf,0xf903fee0,0x2fdc000d,0xe882ff98,0x00bfe24f,0x7d42fdc0,
    0xf9aecffe,0x443fe206,0x1999ffc9,0x3f40fe40,0x3e001fd8,0x657f202f,
    0xd8017e27,0x640ffcc6,0x887e84ff,0x3fe6006f,0x91ff440e,0x37447c8f,
    0x007ff36c,0x01f913fa,0x0fff37fa,0x3ee003fb,0x25fd8007,0x0df502ff,
    0x5fd1fee0,0x7ffffd40,0x0ff701bd,0x1ff44000,0x4cbffea0,0x3ff886ff,
    0x8017ffe2,0xff700ffc,0x99cff998,0x0ffa8099,0x89664ff5,0x43cb82ff,
    0xff9807f9,0x203ff886,0xcffc85fe,0x2ccccccc,0x3f60bf70,0x443fea05,
    0xf70002ff,0x30dff50b,0x73fcc0ff,0xffffffff,0x6c82fc80,0x03103fb8,
    0xafec07fd,0x800bea5e,0x417f20fb,0x86c84ff8,0x3e6001fd,0x74ff702f,
    0x7ff77e45,0xff0fb82e,0x513fa007,0x3b6e207f,0x881fdc1c,0x40037e41,
    0x40ffe7fc,0xff7006fb,0x64c02fe8,0x1effffff,0x800037e4,0xfa806fe8,
    0x407fe62f,0x13fe64fe,0x4c09fb00,0x3fffe0ff,0x984fffff,0x7cff52ff,
    0xd05ff14f,0x807f98bf,0x9fb02ff9,0x3207fea0,0xffffffff,0x0bf703ff,
    0xff880bfa,0x0005ff11,0x3fea17ee,0xb03ff982,0x7fe64cbf,0x7ec04ccd,
    0x20bf3002,0x0ffa87f8,0x4db5ff98,0x1f2004f9,0x27ec05fb,0x3223fb80,
    0x3e60cefe,0x6c3fe207,0x37ee7e46,0x01ffcf90,0x2fc44fe8,0x105f9800,
    0x006fc8ff,0x17fe6fc8,0xfb8037f4,0x30017f47,0x45ffffb7,0x880007fb,
    0x7cc00efe,0x807fcc7f,0x3ffd34fc,0xffffe800,0x1fffffff,0x3337ff32,
    0x1ff982cc,0x8a7fcff5,0x45fe82ff,0xff9807f9,0x3a09f900,0x99ff905f,
    0x05999999,0x0ffc17ee,0x7fc4bfe0,0x0bf70002,0xff301ff5,0x07fe447f,
    0x3a004fe8,0x01fd003f,0x3fa0ffd1,0xfffc88bf,0x1be21f75,0xff17a1dc,
    0x4027e405,0x5e7ec5f9,0x01be64fd,0xc83ee3ff,0x2f417e27,0x3fa007ff,
    0xd0007e84,0x8ffd101f,0xfd8007fa,0xc88fffe4,0xff7006ff,0x10002fe8,
    0x3ea3fff5,0x7f40000f,0x7fff800e,0x9f903fcc,0x0007fffe,0xddddddff,
    0xff03dddd,0xa9fea007,0x0bfe207f,0x9807f980,0x217f207f,0xccccdffa,
    0x20006fec,0x1ff885fb,0xff897f40,0x0bf70002,0x3fe60ff5,0x1fffdffe,
    0xe800ffa0,0x02fc804f,0x3a20fffb,0xfdefffff,0x0fec5f35,0x42f897e2,
    0x13ee01ff,0x4d883fa0,0x80df33fc,0x645f31ff,0x3e21fd47,0x7c013fa2,
    0x001fb83f,0xffe817e4,0x0007fc47,0xffff8bfa,0x06feffef,0x2fe8ff70,
    0xfd100110,0x8007fe29,0x003bee1a,0x3e63fd6c,0x5753f207,0x7f4001ff,
    0x0ffe0002,0xff537e40,0x0017fc40,0xff300ff3,0x7f42fe40,0xffffffff,
    0x3ee0006f,0xf805ff05,0x005ff11f,0x3ea17ee0,0xfb1ff307,0x7c405bff,
    0x13fe001f,0x3f209f50,0x372207eb,0x7c9f94ef,0x32f7fe25,0xd03ee0ff,
    0x027e405f,0x3e200bf2,0xf881be65,0x87c97e0f,0xe83ee0fd,0x05ff005f,
    0x7d4009f3,0x0fd7fb04,0x7cc007ff,0x3f6bfe0f,0x2a6f8dff,0xfe8df703,
    0x9005fd82,0x801ffcdf,0x07fb3ff8,0x31fea044,0x8a7e40ff,0x6c001ff8,
    0xf804c04f,0x49fd003f,0x3fe207fa,0x01fe6002,0x5fc81fe6,0x66667fcc,
    0x006feccc,0x7f417ee0,0xf89fe603,0xbf70002f,0x3e60ff50,0x7d400627,
    0x02ffc006,0x53ee0df1,0x9fb0007e,0xff911fe4,0x437d437d,0x13f603fc,
    0xe9804fa8,0x403fe61f,0xc9fe47f9,0xdf55f987,0xf9806fc8,0x200df00f,
    0x29f706f8,0x00ffc87e,0x1ff8ffd0,0x3fe20131,0x7f45fc80,0x9007fa82,
    0x00ffecbf,0x3ff87fdc,0x7fa9bf20,0x9f903fcc,0x2000ffc4,0xdf900ffb,
    0x2e00ffe0,0x81fea2ff,0x26002ff8,0x07f9807f,0x0dfb17f2,0x20006fc8,
    0x0ff905fb,0x5ff137e4,0x217ee000,0x0ff307fa,0x001fd100,0x3f605ff8,
    0x1fa5fa81,0x7fc40b6e,0x4041ff42,0x7fb80ffa,0x2209ff30,0x2ffa806f,
    0xfd817fcc,0x5003fe85,0x4ffa81ff,0xfb03fec0,0x503fb001,0xfe83f4bf,
    0x17fe400e,0xff8007fe,0x7f44fe82,0x405ff882,0x3fe22fe8,0x97fe600e,
    0x9ff106fd,0x1fe63fd4,0x3fe24fc8,0x2efe8001,0xff80ffd4,0x22ffcc03,
    0x3fe207fa,0x01fe6002,0x5fc81fe6,0xf900bfe6,0x2fdc000d,0x5c0dff88,
    0x0bfe22ff,0x542fdc00,0x00ff307f,0xbccdfe88,0xbff0e20a,0x7ec0fee0,
    0x21ffffff,0xffc80ffb,0x8067f440,0x3a01ffb8,0x3ffaa1df,0xb803fb04,
    0xfff980ef,0x203ff221,0x7100cfe8,0x3ff203ff,0xffd3109c,0x2017dc03,
    0xfffb03fb,0xe883ffff,0x7f4c0aff,0x001ff84f,0x7dc4bbf6,0xc827f42f,
    0x2a20aeff,0x7fdc0fff,0x3ff6a0be,0x20ffea0e,0x1fea1ffc,0x27e40ff3,
    0x33337ff1,0xf9813333,0x4ffecfff,0x26673fe0,0x0fffdaa9,0xff103fd4,
    0x33333337,0x201fe613,0x97f207f9,0xefc806fd,0x99999999,0x205fb809,
    0xfecdfffa,0x4dffc42f,0x09999999,0x7fa85fb8,0xb800ff30,0xffffffff,
    0x3fe2ffef,0x2606f885,0x0affaaaa,0x32f7ffa2,0xfb101ffe,0xffd959df,
    0xfff8801d,0x84fdffed,0x77e403fb,0x3be61999,0x3fffdefe,0x33bff620,
    0x00effeca,0x7fffffec,0x7c402fff,0x981be604,0x0affaaaa,0xeefffe88,
    0xff03ffff,0x7ffcc003,0xfc84ffff,0xfffb85ff,0x0effffff,0xfdffff70,
    0xfb01ffff,0x7fff99ff,0x3fcc7fa8,0x7fc49f90,0xffffffff,0xfffc883f,
    0x7ffc03ff,0xffffffff,0x207fa81e,0xfffffff8,0xff33ffff,0x640ff300,
    0x005ff35f,0xfffffff9,0xf707ffff,0xfffd880b,0xfff882df,0xffffffff,
    0xfa85fb83,0x800ff307,0xca99adf8,0x3e2fffff,0x000fe85f,0xffd883f4,
    0x8801efff,0x1bdfffda,0x3fff2600,0x7cc4fc9e,0x7fffd405,0x1df30fff,
    0x003dfffb,0x37fff6a2,0x3f6e001b,0x002dffff,0x007f40fd,0x95101fa0,
    0x017bfffd,0x26000ffc,0x104efffe,0x3660fffb,0x04effffe,0xfffffc98,
    0x7ffdc03f,0x7fa82eff,0x9f903fcc,0x7fffffc4,0x403fffff,0xfff00098,
    0x3bdfffff,0xf103fd40,0xffffffff,0x01fe67ff,0x5fc81fe6,0x3f200dfb,
    0xffffffff,0x05fb83ff,0xff100660,0xffffffff,0x50bf707f,0x000cc0ff,
    0x20662004,0x01754099,0x2a201540,0x0040001a,0xc8009800,0x5554c00d,
    0x2200aaaa,0x00400009,0x00998800,0x2ea814c0,0x4002a800,0x00660018,
    0x20009880,0x00066001,0x40009988,0x00001aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1cc80000,0x202cca80,0x201bcca8,0xbccccccc,0x5930000a,
    0x99999990,0x23999999,0xc8f2a4cb,0x32e003cc,0x9999972c,0x05999999,
    0x4c00f320,0x4009914c,0x597002cc,0x04c89322,0x954caa60,0xcc8004c8,
    0x70597002,0x540e6459,0x02aaaaaa,0x66666664,0xff8002ab,0x1a811005,
    0x33333326,0xcccccccc,0x555554c1,0x0165c0aa,0xc800664c,0xaa98004c,
    0x000aaaaa,0xcb803995,0x3079900c,0x03326199,0x0599165c,0xca8bbb6e,
    0xcc88b2e3,0x8000e642,0x419911cb,0x3e2001cc,0x2ffdc02f,0xffffff70,
    0xffff881b,0x0dffffff,0x7c27f400,0xffffffff,0xffb3ffff,0xffff37e4,
    0xea7ffc00,0xffffffff,0xfa804fff,0x7fa800ff,0x7fc00ff3,0x269fd003,
    0x801fe67f,0x26bf76fd,0x3ff8007f,0xf509fd00,0x360df91f,0x0fffffff,
    0x3fffffe0,0x003effff,0x3f6017fe,0x2a3fabef,0xffffffff,0x42ffffff,
    0xfffffffc,0x2007fd41,0xff9005fe,0xffb8009f,0x002fffff,0xffa80bfd,
    0x00ffb86f,0x80ffabfb,0x06fb9ff9,0x445ffff9,0x40ffaaff,0x0ffe0ffc,
    0xf89ff400,0x005ff11f,0xf7017fc4,0x77fdc0bf,0x20effdab,0xccccdff8,
    0x000effee,0xdff09ff9,0x99999999,0xc9ff6399,0x0bfffe6f,0x753ffea0,
    0xccccccef,0xfd802ccc,0x7fa804fe,0x7fc00ff3,0x269fd003,0x801fe67f,
    0xdbbf76fd,0x07ddddff,0xfd003ff8,0x3ffbf209,0x55555500,0xcdff8055,
    0xfffedccc,0x809dd005,0xfffebcfa,0x33333260,0xccccdffd,0x55554c1c,
    0x4fe80aaa,0x2003fee0,0x02fe8ffa,0x2aaaaa60,0xefa800aa,0x327fe200,
    0x1017f45f,0x7009fdfd,0x3e01ffdf,0x7d409adf,0x7fb01fff,0xe8001ffc,
    0x223ff13f,0x3e2002ff,0x0bff702f,0x7c41ffcc,0x80bfe24f,0xfa803ffa,
    0x03ff84ff,0x3f27fd80,0x013fbfe6,0x7f53fff6,0xff100004,0xff500ff3,
    0xff801fe6,0x409fd003,0x262007f9,0xffdbbf70,0x2e07dddd,0xeeeeeffe,
    0xfffeeeee,0x01eed81e,0x07ff0000,0x001ffe44,0x02989500,0x0003fe60,
    0x81ff9800,0xd8804ff8,0x001bd32e,0x07640000,0x76c53b20,0xd3007d32,
    0x776400bd,0x803ff102,0x36202eeb,0x0000ffe5,0x002ff880,0x3ee0bfe2,
    0x07fdc04f,0x3fe26fd8,0x2037e402,0xf84fdff8,0x7fd8003f,0xfbff9bf2,
    0x7ef7c407,0x00009fd4,0x017f57ee,0x03fcdfea,0x3a007ff0,0x01fe604f,
    0xff35fb80,0x7fffe400,0xffffffff,0x002fffff,0x15ee5c40,0x6401ffc0,
    0x995100ff,0x30000005,0x2a8801ff,0x3f606a60,0x000ffb85,0x65cc0000,
    0x00000bcd,0x00000000,0x01fe6000,0xddff0000,0x059bdddd,0x017fc400,
    0xfb85ff10,0x05ec804f,0x2ff89fea,0x3603fdc0,0xff84fcaf,0x27fd8003,
    0x3a7fe6fc,0x373ea02f,0x0009fd4f,0x37e4ffa0,0x3fcdfea0,0x0ffe2aa8,
    0x2a8a7f40,0x665c5fe6,0x9afdc00b,0x0599717f,0xfe801ffc,0x7b51a884,
    0xfffff701,0x1ffc01bf,0x5c27fc40,0x44ffffff,0x7b9511a8,0x03fe6001,
    0x7ec0ff50,0x222ff884,0x01aa83ff,0x02a60355,0xffffffb1,0x5555507f,
    0x20555555,0x82a982a9,0x7b9511a8,0x55555501,0x7cc55555,0x402a8807,
    0x3fffe2a9,0xffffffff,0xf1055302,0x7fc4005f,0x0013fee2,0x3e26fd80,
    0x027ec02f,0x213f2bf7,0xfc8003ff,0x9ff9bf27,0x27f604fc,0x009fd4fd,
    0x261ff300,0x5fea01ff,0x2ffb87f9,0x7f400ffe,0x7fccff34,0x1ffffff9,
    0x7fcd7ee0,0x2ffffff9,0xfd003ff8,0xff5bf509,0xaeffb8df,0x3e06fea9,
    0x8df9003f,0xfb99cffa,0x3e77e62f,0x802fffff,0x7d400ff9,0x6413f607,
    0x641bf26f,0x20dff05f,0x5f7f41ff,0x40ffeb99,0xffffffff,0x0bf707ff,
    0x3bf30bf7,0x85ffffff,0xffffffff,0x01fe67ff,0xbf701fe6,0x55556ffc,
    0x81fffcba,0x2ff885fb,0x5cbfe200,0x200004ff,0x3fe24ff8,0x407fee02,
    0x09f90ff9,0xf90007ff,0x3ff37e4d,0x5be20ff3,0x009fd4fd,0xfe8bf900,
    0x7cdfea04,0x3e17fdc7,0x29fd003f,0x3ffe67f9,0x0fffc9be,0x3fe6bf70,
    0xfffc9cff,0xe801ffc0,0xffefa84f,0x0ffe22ec,0x7fc0ffa2,0x4cff7003,
    0x26fa82ff,0xb9cffef9,0x7cc00ffe,0x03fd400f,0x3fe209fb,0xf502ff8b,
    0x30fff50f,0x81ff98ff,0x55543ff8,0x4ffcaaaa,0xbf70bf70,0x39ffdf30,
    0x5541ffd7,0xffcaaaaa,0x2601fe64,0xf2fdc07f,0x5ff9807f,0xff885fb8,
    0x2bfe2002,0x0003fffb,0xf883ff20,0xfeeeeeef,0x8bfa01ff,0xceff84fc,
    0xcccccccc,0x6fc9bee3,0x40ff47fe,0x3a9fb3fa,0xccccccef,0x17fc00cc,
    0x7fa81fee,0x17fdcff3,0x7ffffffc,0x4fffffff,0x77fccff3,0xb817fcc0,
    0x10dff35f,0xffff85ff,0xffffffff,0x6ffa84ff,0x5c03ff20,0x67fccc7f,
    0xfa809999,0x6c0df70f,0x10dff31c,0xff9807ff,0xb03fd400,0x6f7dc09f,
    0x20ffc05f,0x7dc1fffc,0xfd01e4c4,0x17fa2009,0x5fb85fb8,0xf886ff98,
    0x5fe8803f,0x7cc03fcc,0xff2fdc07,0x70ffb007,0x05ff10bf,0x7feffc40,
    0x80001ffe,0x7fc42ffb,0xffffffff,0xc89f901e,0xfffff84f,0x5fffffff,
    0x26fc97ea,0xb09f91ff,0x7f53f61f,0xffffffff,0x21fea01f,0xff502ff8,
    0x0ffddfe6,0xfffffff8,0x4fffffff,0x17fccff3,0xbf703fe8,0x7f40bfe6,
    0x7fffffc3,0xffffffff,0x202ffa84,0x3fe604fd,0x3fffffe0,0xff984fff,
    0x4c009f92,0x89fd01ff,0xdffdccc9,0x3fd41ccc,0x66449fb0,0xcdffffcc,
    0x21fec2cc,0x7f44fcfe,0x3faa2001,0x01dfb004,0x2fdc2fdc,0xfe80ffcc,
    0x40efd804,0x7f9807f9,0x7ff2fdc0,0xb81ff700,0x02ff885f,0x2ffffe20,
    0x0000efe8,0x3e20fff2,0xcbaaaacf,0x37cc3ffe,0x6ffc27e4,0xaaaaaaaa,
    0xfc93ea2a,0x3fcc7fe6,0xd4fd9be2,0x999999df,0x27ec0199,0xff506fd8,
    0x0bfeffe6,0x9999cff8,0x4fe99999,0x07fccff3,0xbf704fc8,0x7e403fe6,
    0x4cce7fc4,0xfe999999,0x200ffa84,0xfffffffe,0x3321ffff,0x2ccccdff,
    0x7fd1ff98,0x807fcc00,0x7ffdc4fc,0x2fffffff,0x9fb03fd4,0x7fffffcc,
    0x43ffffff,0x27be25fa,0x881fe26f,0xfffffecb,0x00ffd804,0x2fdc2fdc,
    0xfc807fcc,0x407fec04,0x7f9807f9,0x7ff2fdc0,0xf70ffb00,0x005ff10b,
    0xf31fffc4,0x3f6000bf,0x05ff103f,0xfd11ffc8,0xff09f903,0x49f30007,
    0xe87fe6fc,0xfd8fee1f,0x40009fd4,0xccccdff8,0xfa81ffdc,0xdfffff37,
    0xe801ffc0,0x7ccff34f,0x6553f207,0x1fe6bf73,0x1ffc4fc8,0xfa84fe80,
    0x7777fc07,0x1eeeeeee,0xf5003ff8,0x30017fcf,0x027e40ff,0xf5003fe6,
    0x5127ec0f,0x59ff5555,0xff883555,0x43fe9f50,0xfff705fa,0x09fb79df,
    0xb801ffc8,0x985fb85f,0x813f207f,0xff301ffc,0xb80ff300,0x100ffe5f,
    0x0bf70dff,0x44005ff1,0x3ffb83ff,0x0bff6200,0xf802ff88,0x999df94f,
    0x199dfd99,0x26000ffe,0xff9bf23f,0x0fd93f21,0x027f53f6,0xfffff700,
    0x09ffffff,0x3ffe6ff5,0x7ff03ffa,0x7cd3fa00,0xfc81fe67,0x57eedfb4,
    0x13f207f9,0x3fa007ff,0x7407fa84,0x3fe0002f,0x74df9003,0x1fe6003f,
    0x7cc04fc8,0x03fd400f,0x5ff009fd,0x7e4bfa00,0x0bf65fb1,0xb02b7fee,
    0x17fd409f,0xfb85fb80,0x3207f985,0x05ff504f,0x7cc03fcc,0xff2fdc07,
    0x3ffaa207,0xf885fb82,0x3fe2002f,0x003ffd02,0x8803ffd1,0x6fd802ff,
    0xfffffff9,0x3e1fffff,0x3f88003f,0x21ff9bf2,0xd8df17f9,0x0009fd4f,
    0x55556ff4,0x40ffdaaa,0x23ff37fa,0x3ff81ffb,0x3e69fd00,0xfc81fe67,
    0x57eedfb4,0x13f207f9,0x3fa007ff,0x6c07fa84,0xf804c04f,0x49fd003f,
    0x4bb204fd,0x13f207f9,0x9801ff30,0x893fe07f,0xeffeeeee,0xfb82eeee,
    0xfa7dcff4,0x204fe80f,0x7ff504fe,0x5c2fdc00,0x207f985f,0x3ffa84fc,
    0x4c03fcc0,0xf2fdc07f,0xffffffff,0x3ee09fff,0x002ff885,0x7c40bfe2,
    0x77f4406f,0x02ff8800,0x99955fe8,0x9dfd9999,0x000ffe19,0x7cdf9054,
    0x7dd7f41f,0x4fea7ec3,0x03ff3000,0x7d43ff88,0x6fe8ff37,0xfd003ff8,
    0x7f99fe69,0x05b93f20,0x27e40ff3,0x7f400ffe,0x5c07fa84,0x0df900ff,
    0x3ee00ffe,0x203fee2f,0x0ff32ff8,0x3e6027e4,0x07fcc00f,0xdd127fcc,
    0xdddffddd,0x3df305dd,0x7d77ccbf,0x2607ff05,0x5ff984ff,0x5c2fdc00,
    0x207f985f,0x2ffcc4fc,0x4c03fcc0,0xf2fdc07f,0xffffffff,0x2fdc03bf,
    0x10017fc4,0x7fdc05ff,0x003bf604,0x26017fc4,0x9f9003ff,0x00007ff0,
    0x41ff9bf2,0x6c0fecfb,0x0009fd4f,0x7f401bf2,0x7f9bfd46,0x3fe1ffcc,
    0x269fd003,0xc81fe67f,0xa655364f,0x13f207f9,0x3fa007ff,0xe807fa84,
    0x0ffd42ef,0x7cc03ff8,0x21dfe85f,0xff30ffd8,0x26027e40,0x5ff800ff,
    0x4027ffcc,0x3fa002ff,0x7effc3fc,0xf30df902,0x5fe88bff,0xb85fb800,
    0x207f985f,0x17fa24fc,0x4c03fcc0,0xf2fdc07f,0x0333339f,0x7c42fdc0,
    0x3fe2002f,0x417fec02,0x9999affa,0x3fe21999,0xc999999b,0xf9000eff,
    0x3339ff09,0x13333333,0x26fc932a,0x7ffcc1ff,0x9fd4fd85,0x00ffe000,
    0xff50ffd4,0x3ff21fe6,0x7400ffe1,0x7ccff34f,0x7dd3f207,0x1fe6ff91,
    0x1ffc4fc8,0xfa84fe80,0xffff9807,0x3e04ffec,0xaa9999cf,0xf980fffd,
    0x1fffdeff,0x4fc81fe6,0x4007fcc0,0xefedfffb,0x2ff804fc,0x07fff200,
    0x2601fffb,0xefecdfff,0x3bfa26fd,0x85fb8000,0x07f985fb,0x77f453f2,
    0x00ff3000,0x5fb80ff3,0x70000ffe,0x37ff10bf,0x13333333,0xf100bfe2,
    0xfffe81ff,0x7fffffff,0x3fffffe2,0x01ffffff,0x3fe13f20,0xffffffff,
    0x4ff96fff,0x207fe6fc,0x4fd82ffe,0xf50009fd,0x3fe2001f,0x3fcdfea4,
    0x0ffe6fe8,0x7f9a7f40,0x4fc81fe6,0xf9bfe413,0xff13f207,0x213fa007,
    0xf91007fa,0xf807ffff,0xffffffff,0x36201eff,0x4c1dffff,0x013f207f,
    0x2e001ff3,0xfb8dffff,0x002ff804,0x3ee1ffe6,0x7ffd406f,0x21ff14ff,
    0xfffeeffb,0xfb82ffff,0xf985fb85,0x7dd3f207,0xfffffeef,0x00ff32ff,
    0x5fb80ff3,0x70000ffe,0xffff10bf,0x7fffffff,0x2a00bfe2,0x3ffe26ff,
    0xffffffff,0x3ffffe27,0x003defff,0xfff84fc8,0xffffffff,0x64ff96ff,
    0x2e07fe6f,0xd4fd80ff,0xbfb0009f,0x50ffc800,0x4c1fe6ff,0x007ff3ff,
    0x33fcd3fa,0x027e40ff,0x3f207f98,0xe801ffc4,0x007fa84f,0xff000988,
    0xbdffffff,0x00998003,0x27e40ff3,0x0003fe60,0x7fc00031,0x42ffc002,
    0x33003ff8,0xffff7001,0x5fffffff,0xbf70bf70,0x7e40ff30,0xffffff74,
    0x265fffff,0x07f9807f,0x07ff2fdc,0x885fb800,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc800000,0x2e597002,0x32e000cc,
    0x33333323,0x5500abcc,0x55555555,0x33332155,0x09accccc,0x4bdb7100,
    0xccccccc9,0x1ccccccc,0xc9800797,0x7bdd9504,0x88079501,0x664c03cc,
    0xc98b2200,0xcccccccc,0x265c3ccc,0x321cc880,0xabcccccc,0x06ff8002,
    0x2aaaaaa2,0x3333311a,0x03333333,0x0cc80000,0x06f6e600,0x00af72a2,
    0x05e6e5cc,0x35301544,0x0af72e20,0x55ee5d40,0x80b32e60,0x46a602a8,
    0xb97101aa,0x99510057,0x372e2005,0x4077442b,0x982bdcb9,0x88d4c02a,
    0x155301aa,0x7fc08008,0x34fd801f,0x3ee00bff,0x3ffffe2f,0x1dffffff,
    0x7fffffec,0xff1fffff,0xffffffff,0xfe880bff,0x3ffea6ff,0xffffffff,
    0x1ff72fff,0x222ff400,0xfffffffd,0x7007fd42,0x7dc01fff,0xf527ec06,
    0xffffffff,0xff98dfff,0x7c6fe804,0xffffffff,0x3fe003ef,0x3fffe606,
    0x33374fff,0x33333333,0x336e6035,0xff00bb0c,0xffff5003,0x3fe61dff,
    0x100dffff,0xfffffffb,0x3607fa87,0xffffb84f,0xfb100dff,0x73ffffff,
    0x09ffffff,0xa7ec0ff5,0xfffc84fe,0xf700dfff,0x409fffff,0xdffffffc,
    0xfc83ff30,0x21efffff,0x3fe00ff9,0xd103ff61,0x512fb8bf,0xff97a217,
    0x24fd806f,0x7c402ffb,0x666ffc4f,0xeffedccc,0x3bbbbb20,0xf0fffeee,
    0x755555bf,0x5c0dffd9,0x32619bff,0xdffdcccc,0xf11ccccc,0x3fe2007f,
    0x44e7fec1,0x3e21ffeb,0x3fff602f,0xc813f602,0x333264ff,0xfdcccccc,
    0x02ffc86f,0xbff03ff2,0xffdb9999,0x17b600bf,0xaaaaaa88,0x1880051a,
    0x7ffffec4,0xff802fef,0x56ffcc01,0xffaefea9,0x0ffeb9be,0xb99befe8,
    0x1fea0ffe,0x7fdc4fd8,0x06fea9ae,0xd7335dfd,0x935bffff,0x07fa85ff,
    0x227f53f6,0xfb99cffc,0x67fd40ef,0xc82ffb99,0xffb99bff,0x7d41fd16,
    0x6feb99bf,0x6fa817f4,0x3f62ffc4,0x7effe40e,0x0efeefff,0xd809ffff,
    0x007ff44f,0x3ff81dfb,0x0027fdc0,0x1ffc7ff1,0xc817fe40,0x7fcc005f,
    0x006fd800,0x3ffa8df7,0x7f45ff88,0x13f3fe03,0xfd882ff8,0xfd8004ff,
    0x01ffd01f,0x7ff05ff5,0x01fff440,0x00a00000,0xbffe8310,0x006ffda9,
    0x7fc403ff,0x0bfffd05,0x3ff313fa,0x7d47ff10,0xf893f607,0x43fe883f,
    0xfff506fa,0x541ff303,0x453f607f,0x20bfe63d,0x3fe64fe8,0x7cc6fa82,
    0x12ff882f,0xf984fc8f,0x6c17f21f,0x52ffa84f,0x3ff203ff,0x0efffddf,
    0x807ffbfe,0x2ffcc4fd,0xff81ffa8,0x006fd803,0x07ff17f6,0x3609ff10,
    0x7fcc003f,0x01ff9800,0x7fe43fe8,0xfc8ff900,0xff3bf305,0xf703fe60,
    0x8009fdff,0x3e202ffc,0x827fc45f,0xffd803ff,0x55555540,0x5302aaaa,
    0x18800505,0xfd103fee,0x03ff005f,0xff3037d4,0x83fee05f,0x93fa03c9,
    0x93f607fa,0xff700ffc,0xff102ca8,0xf51ff40d,0x3d27ec0f,0xff502fec,
    0xcd81bee1,0xfb817f61,0x04fd8b76,0x40ff8813,0xdf900ff8,0x7dc07ff3,
    0xf1bf221e,0x6c0dfd5f,0x42ffb84f,0x7ff04ff8,0x001ff700,0x3ff81ff7,
    0xa98dfb00,0x3002adfe,0x3fa001ff,0x207fcc04,0x1fe603ca,0x4ff20ff5,
    0x46fb81ff,0x4fc8eff8,0x013fee00,0x6fe8ffee,0x7c00ffe0,0x7ffffc4f,
    0x707fffff,0x880050bf,0x3f60ffe1,0x666646fd,0xccccdffc,0xff80bf90,
    0x007fe206,0xf527f544,0xfb27ec0f,0x007fcc09,0x203ffa98,0x81fea5fb,
    0x741d74fd,0x47fe202f,0x7f4004fc,0x377fe202,0x05f7fdc0,0x3ee1ff40,
    0x3fffa206,0x4417ec05,0x26bfe0ff,0x09fb04ff,0x6fd83ffa,0x3200ffe0,
    0x2ff8807f,0xff003ff8,0xfffffd8b,0x0ff9800f,0xc80ff700,0xbf70005f,
    0xfe81ff88,0x7fb07fb1,0x13f22e88,0x002ffcc0,0x1ff91ffb,0xc801ffc0,
    0x5555546f,0x704ffcaa,0x880050bf,0xfb83ff11,0x7ffc7f9a,0xffffffff,
    0xe807fb1f,0xffffffff,0xcb882fff,0x24fffffe,0x93f607fa,0xfffffffe,
    0xa881ffff,0xffffffdc,0xffffffff,0xfd81fea6,0x0ffc0fed,0x1ff4bfe0,
    0xf007fe00,0x7ffe40bf,0xdf501cef,0x7cc02fe8,0x1fe200ff,0x4bfe2fd8,
    0x4fd81ffc,0x3ea9ff30,0x00ffe01f,0x3f601bfe,0x9007ff05,0xfea987ff,
    0xff3002ad,0x07fe2001,0xa8002ff8,0x43fe82ff,0x217ee7f8,0x4fc801ff,
    0x00eff880,0x3ffbfe20,0x801ffc02,0xfd1007fa,0x142fdc0b,0x7fcc6200,
    0x7fc53e60,0x3f333320,0xd0ccccdf,0xeffd805f,0xeeeeeeee,0x77fffdc2,
    0x3ea4fdbc,0xff93f607,0xeeeeeeee,0x7ffdc1ee,0xeeffadef,0x6eeeeeee,
    0xefd81fea,0x00ffc40a,0x017fcbfa,0xe803ff10,0x7fed402f,0xff884fff,
    0x9801ff11,0x7fc01fff,0x7fc5fd00,0x3f61bfa2,0x3a7fee04,0x01ffc03f,
    0x9807ff91,0x5bff01ff,0xfd975555,0x01fec0bf,0x8003fe60,0x0ff504fd,
    0x209ff300,0x12fd45fb,0x007f98ff,0xffd009f9,0xfff50003,0x007ff009,
    0x36003fe6,0x17ee00ef,0x2a31000a,0xf897e27f,0x00ffc01f,0x6fe807fd,
    0xadffb800,0xff527ec0,0x5fd27f40,0x59ff7000,0x4002ff81,0x13fa07fa,
    0x7fc02ff8,0xf8007fd1,0x00ffc02f,0x07ffd730,0x017ee9f9,0xb01bfffa,
    0xf8ff309f,0xb13fe62f,0xfffe809f,0xeeeff806,0x6fffeeee,0x3e06fc80,
    0xffffffff,0x7ec04fff,0x07fcc003,0x360ff500,0x7fd4004f,0xfb1fe605,
    0x3ee2fe85,0x809f9005,0x20002ffd,0xff802ffe,0x05ff3003,0x5c00ffd8,
    0x4400285f,0x3fa3ff31,0x3e01fe60,0x817f201f,0x2a00fff8,0xfd027f41,
    0xff03fcc9,0x26027ec9,0xff02ff40,0xf30d4c07,0xd027fc0f,0xb3fcc07f,
    0xd176409f,0x03fcc07f,0x437ec031,0x803fd6f9,0x04fe8efc,0x2e233fea,
    0x217fc5fe,0x13f61ffc,0x001fff30,0xffffffff,0xf1007fff,0x777fc07f,
    0x0afffeee,0x4003fd80,0x7c000ff9,0x007fc42f,0xf00bff10,0x3207fc1f,
    0x400ff64f,0x3fee04fc,0x3ff20003,0x1ffc00ff,0x201ff980,0xfb801ffc,
    0x0c400285,0xa83f97ff,0x01ff806f,0x7e403fea,0x1ff703ff,0xff981ffc,
    0x2603fe64,0x03fee4ff,0x0bfe37e4,0xfd02ffdc,0x4c07fcc9,0x1ff204ff,
    0x3fee6fc8,0x2e2ff880,0x81bf207f,0x0df703ff,0x501beffa,0x07fea3ff,
    0x3fffffa2,0x3fe2ffff,0x3f66fe82,0x005fd804,0x55555bff,0x7fd40033,
    0x260ffe00,0xfd801efe,0x07fcc003,0xf717f200,0x06fc800b,0x1be65fb0,
    0x00ff9bea,0x3e609f90,0x3e60005f,0x7c05ffbf,0x1ff5003f,0x400bfea0,
    0x400285fb,0x0ffbfa18,0x3fe013fa,0x2077f401,0x0bfffffb,0xdf90bfe6,
    0xf8bfff30,0x27ffcc5f,0xff50bbfa,0xfa85fd83,0x6fc85fff,0x7fcc5ff8,
    0x37fe204f,0x3a17fdc0,0x3ff621df,0x2e06ffc0,0x3ff601ff,0xb81ffc40,
    0x3e203fff,0x207fe44f,0xdffdaefe,0x5ff0ffcb,0x3f69ff30,0x005fd804,
    0x200007ff,0x1ffc04fe,0x400efe88,0x7cc003fd,0x7fcc000f,0xd000bfa0,
    0x53ee005f,0x37f884fb,0x27e400df,0x00077fc4,0xff75ff88,0x801ffc07,
    0x7ff507fc,0x142fdc00,0xff986200,0x007fec0e,0x3a60076c,0x3ffecdff,
    0xffd9fffb,0x9bfff30b,0xb8dfbdfd,0xcefedfff,0x7fffcc4f,0xf984ffec,
    0x9effdcff,0xffddfff9,0xdfffb81f,0x404fcefe,0xfecdfffa,0xefff982f,
    0xfa81fffd,0x2ffecdef,0x677ffc40,0xf100effe,0x37ec01ff,0x3622ffc4,
    0xff8f2040,0xfb3ff902,0x00bfb009,0x20000ffe,0x7fc01ff9,0x017fe603,
    0xf98007fb,0x3fe8000f,0xff000ff3,0x75be6003,0xf53fd01f,0x427e4009,
    0x20000ffe,0x3ff60ffd,0x2007ff01,0x5ff985fe,0x142fdc00,0xff886200,
    0x2ffeddff,0x99999998,0xc8819999,0x5c2effff,0x00bdfffe,0x29fffff5,
    0x7fdc0ff8,0x84fb8dff,0x3fffffc8,0x3bfffea0,0x77ffec44,0x3ffee01b,
    0x804fb8df,0x2dffffd8,0x3ffff620,0x3ff6201d,0x91002dff,0x009fffff,
    0x7fd40dfb,0x005ff501,0x7405ff00,0xd804fdef,0x07ff005f,0x00ff7000,
    0xffc807ff,0x000ff603,0x70001ff3,0x0013f2bf,0xff8002aa,0x2fee07f8,
    0x3f2002fc,0x0017fe44,0xf883ff70,0x007ff06f,0xfe885ff7,0x85fb8005,
    0xfb0c4002,0x3bfffd97,0x3fffffe0,0x01ffffff,0x00620062,0x10001330,
    0x02620003,0x88009980,0x000c4000,0x98001980,0x00cc0009,0x00026600,
    0x00000000,0xf980bfe0,0xfd804fff,0x007ff005,0xf00bf900,0x1ffd007f,
    0x3000ff60,0xf10001ff,0x0003ff1f,0x3f3f6000,0x3fb3e605,0xb93f2000,
    0x260003ff,0x9ff504ff,0xf9807ff0,0x077f446f,0x142fdc00,0x42c86200,
    0xffff8018,0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0x27ffe402,0xf802fec0,0xfd80003f,
    0x803ff804,0x7fb05ff9,0x00ff9800,0x0dfbf900,0x00399100,0x201fffdc,
    0x64006fff,0x33bff34f,0x33333333,0x406fe883,0x67fc2ffc,0xfdaa9999,
    0x77fdc1ff,0xfffffffe,0xab85fb82,0xaaaaaaaa,0x00001baa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd005ff,0x00bfb009,0x20000ffe,0x3ff802ff,0xb07ff900,0xff98007f,
    0xfff30000,0x7ff10007,0x07ffc400,0x000fff60,0x3ffee9f9,0xffffffff,
    0x3ff61fff,0x07ff4400,0xffffffff,0xf703dfff,0xffffffff,0x0bf705ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xff9802ff,0x005fd804,0x880007ff,0x3ff801ff,
    0x81fff100,0x7cc003fd,0x3fa0000f,0xff88000f,0x037f4003,0x2000ffdc,
    0xffff74fc,0xffffffff,0x0ffee3ff,0xff2ffcc0,0xbdffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x59b711a8,0x443cdb88,0x17b9511a,0x17b51a88,0x55555554,0x06aa2aaa,
    0x0a980d54,0x4aa63000,0x455502a8,0x15100001,0xa855054c,0x00262002,
    0x33003807,0x00ed8001,0xbdca86c8,0x3bdb7301,0x40f7b260,0x0001bdb9,
    0x2ec00000,0x970b7260,0x9e541885,0x109953cb,0x4332a000,0x439953b9,
    0xbbbbbbb8,0x2bbbbbbb,0x77777771,0x57777777,0x3bbbbba2,0x32a19915,
    0x00000004,0x00000000,0x00000000,0x277e6000,0xf35fffff,0x7ccdffff,
    0xffffff9d,0x3feb7ea2,0x3ffffe6f,0x327fffff,0x20dff05f,0x2e2001ff,
    0x3e6ff95f,0x322ffc87,0x3a0000cf,0x641ff10f,0x4007f62f,0x17f204fb,
    0x3e202fe4,0x3fee002f,0x91ff6204,0xa83ffbbf,0xa87fddff,0x5c5ffeff,
    0x323ffdef,0xffffffff,0xfff95fff,0xffffffff,0xfb817a0b,0x17fa5fcd,
    0xfb6fc8dd,0xffc9ff2b,0x22c40bef,0x9ff23ff8,0x3ffea5fe,0xffffffff,
    0xfff55fff,0xffffffff,0x3fe2bfff,0xff16ffff,0x0001bee1,0x00000000,
    0x00000000,0x98000000,0xfd9befff,0xfc9bffdf,0x9ffdf33f,0x2a1ffd73,
    0x22ecffef,0xcaaaaaaa,0x21fea4ff,0x7f987ffa,0xbfff9300,0x23fcdff2,
    0x7fdc2ffb,0x7e4001df,0xff10bf63,0x2003be21,0x3fea04fb,0x2017fe45,
    0x3a002ff8,0xffa80fff,0xfa93627f,0x5f707ec4,0x5fb12fe8,0x27f89be2,
    0xfffffffc,0xff95ffff,0xffffffff,0x6ec5e4bf,0xf31f44b8,0xff897fa1,
    0x3f6df90c,0x3ffaff95,0xdbdfffff,0x322fdc7f,0x883fe27f,0x88888888,
    0x22088888,0x88888888,0x51088888,0x22555555,0x00df70ff,0x00000000,
    0x00000000,0x00000000,0x7ec37fcc,0xf35fc85f,0x27ff10df,0x88006ffa,
    0x41ff85fe,0x7dc1fffc,0x7fff5404,0x7cc6622d,0x4c07fee7,0x00befffd,
    0x0df537d4,0x04fc97ee,0x7d404fb8,0x005ff95f,0x2a001551,0xbc83fcdf,
    0x3f6207e8,0x93f26082,0x22fd46f9,0x000037c0,0x7fcbf700,0x267fffff,
    0x5fe9f40f,0x6d6e4fb8,0x3baff95f,0xffffdb9a,0x2076c6ff,0x01f4c088,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,0x03ff705f,
    0x07fe6df7,0x2ffaa7f4,0x80efd800,0x7e7f43fd,0x6440ff44,0x800cffff,
    0x03ff77f9,0x9fffd710,0x225ff103,0x4bfa01ff,0x7dc02ff8,0xffffa804,
    0x3333302f,0x03333333,0x01be2bf6,0x0bfea0fd,0x3ffffb22,0xdf10fea4,
    0x0001fec0,0x98bf7000,0x2f81bffc,0x8a7ec7e2,0x5363fda9,0x0edf54fc,
    0x01ef6dc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x81ff9800,0x7fa80ff9,0x3f201ff3,0x8001ff54,0xbf500ffd,0x137cf7c4,
    0xfffd98ff,0x7fcc002d,0xa8002ffb,0x361dfffd,0x5017f65f,0x43fee1ff,
    0xdfc99998,0xfa809999,0x3ffe03ff,0xffffffff,0xfb3fcc1f,0xb883f405,
    0x37fe23fd,0x3ea4fa9b,0x7442fc44,0x0000004f,0x3ba22fdc,0xabfc80ee,
    0x7e4bee6e,0x547ee5ff,0x0009f33f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fcc0000,0xff507f98,0x4fc81fe6,0xfc800ff5,
    0x43fe201f,0x2a1ff4fa,0x0e7fe45f,0xffff9800,0x3220006f,0x27ff15ff,
    0x7c402ff8,0x327ff13f,0xffffffff,0xffc85fff,0x3fffe05f,0xffffffff,
    0xdf51fe41,0x3f403f40,0x24fb89f5,0x227d46f9,0xaa982ff9,0xaaaaaaaa,
    0x2fdc001a,0x217e67f6,0x2a0cfeb8,0x1303311f,0x03f88fcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,0x20ff307f,
    0x40ff37fa,0x00ff54fc,0x74017fd4,0x3f63f92f,0xffc85fb2,0xf98000bf,
    0x003ffaff,0x25ffeb88,0x01bee7fb,0x92fe4df9,0xffffffff,0xffc8bfff,
    0x00005ffc,0x7fc0ff88,0x274cfd01,0x477c4df1,0x7ec5ffa8,0x261fea9c,
    0xfff901ef,0xffffffff,0x45fb800b,0x0000f24a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fe60000,0x7fa83fcc,
    0xa7e40ff3,0xff5007fa,0x7d3ee007,0x07fd3ee7,0x0efffed4,0x2e3ff300,
    0xf93000ff,0x7fb05dff,0xff881ff4,0xb801ff30,0x97fe404f,0xc8805ffa,
    0x42fdc01c,0xe8fd05fb,0x643ffcdf,0x46fadfff,0x23ffffe8,0xeeeeeff8,
    0xdddddd70,0x009ddddd,0x00002c98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf3000000,0x541fe60f,0x640ff37f,
    0x300ff54f,0x7cc00bff,0x3be65f9e,0x7e4c05fa,0x4c00beff,0x2037f47f,
    0x01dfffea,0x7fc43fe2,0x3f63fd80,0x204fb802,0x7fd42ffc,0x017fc405,
    0x3fe20bfe,0x6dc46c80,0x437101ce,0x8379502a,0xeeeeeeeb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x260ff300,0x26ff507f,0x553f207f,0x2ff4407f,0x1fe7f400,
    0x400bf7fe,0x1cfffeb8,0xff98ff30,0x7fffe443,0x4bf5000b,0x52fcc4fb,
    0x13ee00bf,0x5f503f98,0x402ff880,0x00262019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x83fcc000,0x2ff507f9,0x53f207f9,0x3fa207fa,0xffc8000e,
    0x07ffec1f,0xaffed400,0x90ff34ca,0x77fe43ff,0x43f90002,0xe83fa1fd,
    0x09f7000f,0x00004008,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7cc1fe60,0x3e6ff507,0x7d53f207,0x3bbfee07,0x2fffffff,0xfb87ff98,
    0x6440006f,0x1fe6ff95,0x039937f4,0x00000000,0x00027dc0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e600000,0x2a0ff307,0x640ff37f,
    0x5c0ff54f,0xffffffff,0xbff02fff,0x0007ff10,0xff37fc80,0x000ffe60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_29_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,2,0,1,0,1,0,1,1,1,2,2,1,1,1,1,1,-1,1,1,2,2,2,1,2,2,0,1,
1,1,1,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,0,1,1,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,-1,
2,1,0,0,0,1,1,0,0,-1,1,0,0,0,2,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,1,1,1,1,1,1,2,1,2,2,2,2,0,2,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,2,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
-1,0,-1,0,-1,0,1,1,1,1,1,1,1,1,2,0,-1,0,2,0,2,0,2,0,2,0,2,0,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,1,0,-2,1,1,1,1,0,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,1,2,1,1,0,1,0,1,0,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,0,-1,-2,1,
0,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,0,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_29_latin_ext_y[560]={ 23,4,4,4,2,4,4,4,4,4,4,7,20,15,
20,4,4,4,4,4,4,4,4,4,4,4,9,9,7,9,7,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,26,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,9,9,9,9,9,9,4,4,4,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,9,4,4,7,4,
4,4,4,4,4,10,9,15,4,1,4,7,4,4,4,9,4,12,22,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,8,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,8,8,4,4,4,4,4,4,4,
1,5,-1,4,4,9,-1,4,-1,4,-1,5,-1,4,-1,4,4,4,0,5,-1,4,0,5,4,9,-1,4,-1,4,
-1,4,0,5,4,3,-1,-1,4,4,0,4,1,5,0,4,4,4,0,9,4,4,-1,4,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,0,5,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,4,-1,4,4,4,0,4,1,5,-1,4,-1,3,-1,4,4,9,-1,4,-1,4,
0,-1,4,0,5,-1,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,0,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-2,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_29_latin_ext_w[560]={ 0,4,7,15,14,21,16,3,7,7,10,13,3,8,
3,8,13,8,14,13,14,13,14,13,13,13,3,3,13,13,13,13,25,19,15,17,16,14,13,18,15,3,11,17,
13,19,16,19,15,19,17,15,16,15,18,25,18,18,16,6,8,6,12,16,5,14,13,12,13,14,9,13,12,4,
6,12,3,19,12,14,13,13,8,12,8,12,13,19,13,13,13,9,3,8,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,13,14,14,16,
3,13,8,20,10,12,13,8,20,16,8,14,9,9,6,11,15,3,6,6,9,12,21,21,22,12,19,19,19,19,
19,19,25,17,14,14,14,14,6,6,9,8,19,16,19,19,19,19,19,12,19,15,15,15,15,18,15,15,14,14,
14,14,14,14,23,12,14,14,14,14,6,6,9,8,14,12,14,14,14,14,14,14,14,12,12,12,12,13,13,13,
19,14,19,14,21,17,17,12,17,12,17,12,17,12,16,16,19,15,14,14,14,14,14,14,14,14,14,14,18,13,
18,13,18,13,18,13,15,12,19,13,9,9,9,9,9,9,6,6,4,3,16,10,15,9,17,12,12,13,6,13,
7,13,7,13,8,14,6,16,12,16,12,16,12,15,16,12,19,14,19,14,19,14,25,23,17,8,17,8,17,9,
15,12,15,12,15,12,15,12,16,8,16,10,16,7,15,12,15,12,15,12,15,12,15,12,15,15,25,19,18,13,
18,16,13,16,13,16,13,7,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,21,17,14,14,14,14,14,14,14,14,14,14,14,14,14,20,16,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,14,9,10,19,
14,15,12,15,12,15,12,15,12,15,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,14,25,23,19,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_29_latin_ext_h[560]={ 0,19,7,20,24,20,20,7,25,25,9,13,7,3,
3,20,20,19,19,20,19,20,20,19,20,20,14,18,14,9,14,19,25,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,21,19,20,19,20,19,19,19,19,19,25,20,25,11,3,4,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,20,15,14,14,14,20,14,25,25,25,5,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,25,20,14,19,
25,25,3,20,10,13,9,3,20,3,8,16,10,10,4,20,25,4,7,10,10,13,20,20,20,20,24,24,24,23,
23,23,19,25,24,24,24,23,24,24,24,23,19,23,25,25,25,24,24,12,21,25,25,25,24,24,19,20,20,20,
20,20,20,21,15,20,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,11,17,20,20,20,20,25,25,25,
22,19,24,20,25,20,25,20,25,20,25,19,25,20,24,20,19,20,23,19,24,20,23,19,25,20,24,20,25,25,
25,25,24,24,25,26,24,24,19,19,23,19,22,18,23,19,25,25,23,14,20,25,25,25,25,25,14,24,24,25,
25,19,19,19,19,19,19,24,19,25,20,24,19,19,20,20,24,19,25,20,25,20,20,15,24,19,25,20,24,19,
25,20,25,20,25,20,25,20,27,26,24,20,19,20,24,20,23,19,25,20,25,21,25,20,25,20,24,19,24,25,
23,24,19,23,18,24,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,25,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,15,17,17,17,17,17,17,17,17,17,17,17,17,17,20,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,20,24,19,25,
20,25,20,25,24,25,25,25,25,25,25,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,26,24,20,25,21,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_29_latin_ext_s[560]={ 76,390,314,46,282,262,151,299,355,452,279,
148,310,388,508,227,453,171,329,467,360,77,212,53,433,481,91,504,77,251,108,
131,315,433,344,280,216,375,419,462,470,395,243,311,297,399,1,211,37,444,67,
264,95,163,112,145,197,18,180,38,179,445,190,371,348,326,128,425,92,354,85,
57,491,486,73,457,453,1,21,410,1,495,34,456,255,341,469,57,483,497,43,
287,445,449,322,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,76,30,1,
15,497,136,235,458,397,71,220,122,265,388,142,354,290,287,241,210,337,231,299,
344,303,203,231,135,35,106,188,298,314,351,371,241,211,191,428,15,132,413,161,
277,62,503,52,345,361,292,349,313,247,483,463,162,464,112,76,215,428,444,272,
311,296,281,266,251,236,414,369,199,184,169,154,139,265,212,202,288,62,93,31,
16,1,496,481,175,272,440,427,407,401,369,402,431,384,173,15,284,472,121,494,
221,33,195,100,80,134,138,35,322,60,81,354,45,398,110,369,346,169,10,98,
447,200,239,253,285,113,147,383,62,69,85,15,1,231,454,404,247,181,493,415,
438,176,508,25,11,22,1,476,272,95,1,391,341,65,479,404,390,381,331,311,
334,318,152,357,265,219,412,340,327,185,464,80,307,363,247,42,302,71,503,494,
1,105,35,460,97,383,68,422,234,399,208,21,53,297,168,106,299,89,414,261,
123,219,125,184,484,333,420,118,179,45,153,123,51,326,142,188,309,233,218,232,
246,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,339,257,257,416,
257,257,257,257,257,257,257,257,257,257,257,257,257,358,438,257,257,257,257,257,
257,257,257,257,257,257,257,257,380,393,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,245,91,
235,254,267,106,231,370,199,205,170,157,297,144,128,186,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,1,38,159,383,92,429,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,257,
257,257,257,257,257,257,257,257,257, };
static unsigned short stb__arial_29_latin_ext_t[560]={ 27,168,209,127,55,106,106,209,29,29,209,
209,209,209,183,127,106,189,168,106,168,127,127,189,127,127,209,168,209,209,209,
189,29,168,168,148,189,168,168,127,168,168,148,168,169,168,189,148,189,81,189,
148,189,148,189,189,189,189,189,55,148,29,209,209,209,189,148,189,148,189,189,
148,168,168,29,168,168,209,209,189,148,127,209,189,148,189,189,209,189,81,209,
1,1,1,209,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,27,148,29,
148,189,169,29,1,209,148,209,209,209,209,148,209,209,189,209,209,209,148,29,
209,209,209,209,209,148,148,148,148,55,55,55,81,81,81,148,29,81,55,81,
81,81,55,81,81,148,81,1,1,1,55,55,209,81,1,1,1,55,55,169,
127,127,127,127,127,127,81,189,127,127,127,127,127,169,169,169,169,127,169,127,
127,127,106,106,209,189,106,106,127,106,1,1,1,81,169,81,106,1,127,1,
106,29,106,29,169,29,106,81,106,169,106,81,169,55,106,81,148,29,106,81,
127,29,29,29,29,81,81,1,1,81,81,169,169,81,148,81,189,81,148,29,
29,81,168,106,55,55,55,29,29,209,81,55,29,29,148,148,148,148,148,148,
55,148,29,127,55,169,148,127,127,55,148,29,106,29,106,106,189,55,148,29,
106,55,169,29,106,29,106,29,106,29,106,1,1,55,106,169,106,55,106,81,
169,29,106,29,81,1,127,29,106,55,169,55,29,81,55,169,81,189,55,169,
169,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,106,189,189,1,
189,189,189,189,189,189,189,189,189,189,189,189,189,106,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,106,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,55,127,
55,169,1,127,1,127,1,55,1,1,1,1,1,1,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,1,1,55,127,1,81,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,189,
189,189,189,189,189,189,189,189,189, };
static unsigned short stb__arial_29_latin_ext_a[560]={ 115,115,147,231,231,369,277,79,
138,138,162,243,115,138,115,115,231,231,231,231,231,231,231,231,
231,231,115,115,243,243,243,231,422,277,277,300,300,277,254,323,
300,115,208,277,231,346,300,323,277,323,300,277,254,300,277,392,
277,277,254,115,115,115,195,231,138,231,231,208,231,231,115,231,
231,92,92,208,92,346,231,231,231,231,138,208,115,231,208,300,
208,208,208,139,108,139,243,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,115,138,231,231,231,231,108,231,
138,306,154,231,243,138,306,229,166,228,138,138,138,239,223,115,
138,138,152,231,346,346,346,254,277,277,277,277,277,277,415,300,
277,277,277,277,115,115,115,115,300,300,323,323,323,323,323,243,
323,300,300,300,300,277,277,254,231,231,231,231,231,231,369,208,
231,231,231,231,115,115,115,115,231,231,231,231,231,231,231,228,
254,231,231,231,231,208,231,208,277,231,277,231,277,231,300,208,
300,208,300,208,300,208,300,255,300,231,277,231,277,231,277,231,
277,231,277,231,323,231,323,231,323,231,323,231,300,231,300,231,
115,115,115,115,115,115,115,92,115,115,305,184,208,92,277,208,
208,231,92,231,92,231,121,231,139,231,92,300,231,300,231,300,
231,251,300,231,323,231,323,231,323,231,415,392,300,138,300,138,
300,138,277,208,277,208,277,208,277,208,254,115,254,156,254,115,
300,231,300,231,300,231,300,231,300,231,300,231,392,300,277,208,
277,254,208,254,208,254,208,92,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,313,311,311,231,311,311,311,311,311,
311,311,311,311,311,311,311,311,356,272,311,311,311,311,311,311,
311,311,311,311,311,311,311,355,278,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,277,231,115,92,323,231,300,231,300,231,300,
231,300,231,300,231,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,277,231,415,369,323,254,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_29_latin_ext(stb_fontchar font[STB_FONT_arial_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_29_latin_ext_s[i] + stb__arial_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_29_latin_ext_t[i] + stb__arial_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_29_latin_ext_x[i];
            font[i].y0 = stb__arial_29_latin_ext_y[i];
            font[i].x1 = stb__arial_29_latin_ext_x[i] + stb__arial_29_latin_ext_w[i];
            font[i].y1 = stb__arial_29_latin_ext_y[i] + stb__arial_29_latin_ext_h[i];
            font[i].advance_int = (stb__arial_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_29_latin_ext_s[i] + stb__arial_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_29_latin_ext_t[i] + stb__arial_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_29_latin_ext_x[i] + stb__arial_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_29_latin_ext_y[i] + stb__arial_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_29_latin_ext_LINE_SPACING
#endif

