// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT        250
#define STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_31_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_31_latin_ext_LINE_SPACING          20

static unsigned int stb__arial_31_latin_ext_pixels[]={
    0xdddd3010,0xdddddddd,0x01005ddd,0x07ff6000,0x22000000,0x18862009,
    0x0c009880,0x00188000,0x00000880,0x004c0022,0x00066000,0x440004c4,
    0x7fffd400,0xfd0004ff,0x5fdc001d,0xff8805f8,0x200bfd14,0xec805ff9,
    0x2a07baa5,0xfc85eeee,0x7774403f,0x3b6201ee,0xa8017b23,0xeeeeeedc,
    0x12a005ee,0x02774400,0x3007ba20,0x900009dd,0x200001ff,0x98804ee9,
    0x542ec409,0xffffffff,0x2fffffff,0x0001f440,0x0000ffe6,0xb1003ffb,
    0x537409ff,0x3ee01dff,0xefffea84,0x3fae2002,0x002cefff,0x9bffffb7,
    0x76544001,0x3a02dfff,0x3b220006,0x2dffffff,0x4009f700,0x303efffb,
    0x05999999,0x0009f900,0x4003bbf2,0x06fc9ffa,0x2003bf60,0x3ff8cff8,
    0x0dffff70,0xff101ff6,0xfa803fff,0x801ffa9f,0xffffffe8,0x007fffff,
    0x7e4001f2,0x7fc4000f,0x01ffb801,0x006fa800,0x001ff900,0x5fd85ff9,
    0xaaaaaa88,0xaaaaaefe,0x0077400a,0x0017f600,0x2007ff30,0xf704fffd,
    0x83fffd43,0x7ffe44fb,0xb805fffe,0xffffffff,0x3fa204ff,0xefffffff,
    0xffffc801,0x80efffff,0x6cc002fa,0xfeefffff,0x5c03ffff,0xfff5004f,
    0x026205ff,0x22620013,0x2200131a,0x0098aa89,0x01ffff90,0x8007fe60,
    0x205fdffa,0x106fc998,0x7fc407fd,0xdf90019b,0x3fa005fd,0xcaaeffff,
    0x3e002aff,0x2ff88004,0x01ff8800,0x4000bfb0,0x099a8898,0x05ff1000,
    0xfb0bff20,0x06fe800b,0x0002fe00,0x0000de88,0xf88027ec,0x417e00bf,
    0x4fb82ff9,0x64433fe6,0x3ff602ff,0xeb989acf,0x7fc40eff,0xfc9999cf,
    0xffd102ff,0xfd9315bf,0x00dd01df,0x40e7ffd4,0x0dffeca8,0x36009f70,
    0x500989ff,0x8027c47f,0x013e23fa,0x09f11fd4,0x000f76c0,0xf90005d7,
    0x3ee001df,0x8817a606,0xfe8002ff,0xfff7004f,0x3fccbfff,0x000be600,
    0x000013f2,0x0003fd00,0x04f88fea,0x4007f900,0x2fec2ffc,0x001bfa00,
    0x00027fcc,0x40005dd7,0x3ea005e8,0x807ee00f,0x24fb83fd,0x7fc40ffb,
    0x01dff705,0x7dc3ffb8,0x17fe602f,0x36027fec,0x03fa84ff,0x000cffb8,
    0x7dc1bfee,0x009ff004,0x03e88ba6,0x1f445d30,0x3a22e980,0x00000003,
    0xf7000000,0xff88000d,0x00110002,0x7fffffec,0x7001fe65,0x0220001f,
    0x88000030,0x8ba60000,0x220003e8,0x754c0000,0xfd002aef,0x3fe6000d,
    0x11d10004,0x0000001d,0xdf1037d4,0xfb84fc80,0x65c1fee4,0x006ff884,
    0x0dfb1ff6,0xfa81ffb0,0xfff8806f,0x2a00fe80,0xf50002ff,0x009f709f,
    0x3b205ff1,0x653b2004,0x53b2004e,0x3b2004ec,0xf897fc44,0x25ff102f,
    0x27642ff8,0xf709d900,0xf12ff88d,0x02ff885f,0xffffb910,0x7ff4017d,
    0x3e65ffff,0x76654407,0x3b2a2006,0x7ec2efff,0x200aa881,0xeffffdc8,
    0x013b200b,0x32204ec8,0x0beffffd,0x7dc3baa0,0x800fffff,0x260006fe,
    0x49500009,0x1710001d,0x9037d400,0x84fc807f,0x13fe64fb,0x003ff700,
    0xbfd17fcc,0xd83dd300,0xdf5000ff,0x2207f903,0x179302ff,0x1ffa84c4,
    0x955027dc,0xfe8557ff,0x757fa006,0x57fa006f,0x3fa006fe,0xf897fc45,
    0x25ff102f,0x37f42ff8,0xf70bfd00,0xf12ff88d,0x02ff885f,0xffffffb8,
    0xfd02ffff,0x4cbfffff,0x3fff607f,0xfc804fff,0xffffffff,0xf105fc9e,
    0x3ffee03f,0x2fffffff,0x7400dfd0,0xffff705f,0x05ffffff,0x76547fea,
    0xe800ccef,0xca88006f,0x003530ac,0x4001aaba,0x5003ebe9,0x03fe20df,
    0x9f70bf90,0x000dffc8,0x03000dfb,0x20001ff9,0x04004ff8,0xf901ff30,
    0xfffff709,0x3fb8ffe7,0xff9827dc,0x745fffff,0x57fa006f,0x3fa006fe,
    0x7400dfd5,0x88f7445f,0x3dd102ee,0xdfd0bba2,0x5c2ff400,0x88f7446f,
    0x17fc42ee,0x26ffff60,0x3fffdb98,0xffffffd8,0x7e41fe65,0x5fffcadf,
    0x37dffd10,0xffff9511,0x40ffc40b,0x989bfffd,0xe83fffdb,0x17fa006f,
    0x226ffff6,0x83fffdb9,0x2fec1ffa,0x001bfa00,0x5ffffff5,0x3f2009f9,
    0x2590004f,0x0df70068,0x3f201bea,0x7c44fb85,0xfe802fff,0xff500004,
    0xfa80037f,0x7c00003f,0x543fc42f,0xcffcbdff,0x717e61ff,0x3b32609f,
    0x7f42ccef,0x757fa006,0x57fa006f,0x3fa006fe,0x00000005,0x7f400dfd,
    0x0006fb85,0xf7017fc4,0x7fcc01bf,0x7fffcc1f,0x21fe65ff,0x33b62ffb,
    0xdffd81ff,0x0bffe600,0x7dc1ff88,0x3fe600df,0x0037f41f,0xdffb8bfd,
    0x07ffe600,0x5fd83ff5,0x0037f400,0xf957dff7,0x3a009fff,0x790007ff,
    0x2fe401a2,0xfb805fc8,0x3ee4fb85,0x00dfffcf,0x00007ff1,0x67ffffdc,
    0x17fdc00a,0x0ff60000,0x3ff989f5,0x207fff44,0x4027dc7f,0x1bfa04fe,
    0xdfd5fe80,0xfeaff400,0x017fa006,0x7f400000,0x217fa006,0x440006fb,
    0xbff102ff,0x03bfea00,0x4bfffff9,0x44fe87f9,0x543ff8cf,0xffa805ff,
    0x87fe206f,0xf5005ff8,0x037f41df,0x7fc4bfd0,0x1dff5005,0x3f60ffd4,
    0x037f4005,0xf985ff88,0xef9804ff,0xe88002ff,0x9f9002ed,0x2a013f60,
    0xf34fb86f,0x3fffa21d,0x201ffa82,0x99999998,0xffffea80,0xff903eff,
    0xfc800001,0xff10fe44,0x21bfee09,0x013ee1fd,0x6fe80bfe,0x7f57fa00,
    0x757fa006,0x57fa006f,0x2aa00aa8,0x54015510,0x400dfd0a,0x16fb85fe,
    0x85540155,0xffb02ff8,0x17fdc001,0x32ffffd4,0x21ff88ff,0x3f6012f9,
    0x67fcc00f,0x3ff102ff,0x70007fec,0x037f45ff,0x7fecbfd0,0x8bfee000,
    0x2fec1ffa,0x401bfa00,0xff900ffb,0xf99fb009,0x004c000b,0xfd01ff88,
    0x85ff1007,0x707f92c9,0xffb89fff,0x3ffff201,0x2e606fff,0x0dfffffd,
    0x00007fdc,0x8dd1bee0,0xff300ffb,0x7dc7f909,0x00ffcc04,0x7f400dfd,
    0x7400dfd5,0x400dfd5f,0x03ff35fe,0x1ff99ffc,0x37f4ffe0,0xf70bfd00,
    0xf807fe6d,0x105ff13f,0xf88009ff,0x97f2203f,0x07fcc7f9,0x09fd00f9,
    0xff99ff88,0x223ff105,0x7c4004ff,0x801bfa3f,0x09ff15fe,0x2a3ff880,
    0x02fec1ff,0x6c01bfa0,0x13fe604f,0xff33ff10,0x65d44001,0xfd7102bc,
    0x00bfe20b,0xe80e7fcc,0x5ffd303f,0xf901ffcc,0x0dffffff,0x77ffe4c0,
    0x000bfe60,0x5f8ff500,0x3fe027ec,0x3ee1fd83,0x007fd404,0x7f400dfd,
    0x7400dfd5,0x400dfd5f,0x03ff35fe,0x1ff99ffc,0x37f4ffe0,0xf70bfd00,
    0xf807fe6d,0x305ff13f,0xfd0005ff,0x265fb80b,0x3a3fdc7f,0x017fc405,
    0x37fc5fd1,0xff31ff88,0x4bfd0005,0x3fa006fe,0x0005ff35,0x0ffd4bfd,
    0xfd0017f6,0x00ffe00d,0x7fb809ff,0x7d4013fe,0x1effffff,0xf301ffcc,
    0x7fcc003f,0x440df903,0x02ffc6fe,0xfb333331,0xff91000d,0x001ffc47,
    0x4c3fea00,0x301ffc4f,0x41ff03ff,0x37dc04fb,0xe801bfa0,0x400dfd5f,
    0x00dfd5fe,0x1ff9aff4,0x7fccffe0,0x7f4ffe01,0x217fa006,0x03ff36fb,
    0x2ff89ffc,0x8001ffa8,0x2fdc07fc,0x27fa8ff3,0x7fd403f8,0xfd0ffa01,
    0x547fe20f,0xfc8001ff,0xe801bfa7,0x003ff55f,0x7fd4ff90,0x2002fec1,
    0x5ff006fe,0x7404fd80,0x201ff25f,0xecabeffc,0x2ffcc6ff,0x4003ff30,
    0xff303ffc,0x83fea01d,0xfd8006fd,0x74007736,0x0027f45f,0x7fd40b76,
    0x7fcc7f70,0x261fea01,0x2027dc6f,0x37f405fd,0x3fabfd00,0x757fa006,
    0x57fa006f,0x3fe01ff9,0x7c03ff33,0x400dfd3f,0x36fb85fe,0x9ffc03ff,
    0xffb82ff8,0x0ffb8000,0x7f997ee0,0x0fb8ffc4,0x01ff7062,0x3ff213f6,
    0xf71ff881,0xff70001f,0xe801bfa1,0x001ff75f,0x3ea1ff70,0x002fec1f,
    0x7fc01bfa,0x3027f403,0x17fcc5ff,0x320bff10,0x77e442ff,0x003ff880,
    0xfb803bfb,0x46f983ff,0x6c001ffb,0x001ff76f,0x1dfb1ff2,0x413fe600,
    0x993ea7fb,0x1bf601ff,0x09f70ff6,0x7f404fe8,0x757fa006,0x57fa006f,
    0x3fa006fe,0x7c03ff35,0x403ff33f,0x00dfd3ff,0xb7dc2ff4,0x3fe01ff9,
    0xf905ff13,0xff50001f,0xf32fdc03,0x1b65ff0f,0x83fe4dfb,0x3ff705fc,
    0x3f23ff10,0xffa8000f,0x7400dfd1,0x001ff95f,0x3ea3ff50,0x002fec1f,
    0x7f401bfa,0x9027f404,0x40dfd0ff,0xff300fea,0x7c0bfa05,0x1ff8804f,
    0x3fea1f54,0x30ff60ef,0x6c003fff,0x005ff16f,0xbff517f6,0x407ff600,
    0xf17e27fc,0x13fea09f,0x09f70df9,0x7f402ff8,0x757fa006,0x57fa006f,
    0x3fa006fe,0x7c03ff35,0x403ff33f,0x00dfd3ff,0xb7dc2ff4,0x3fe01ff9,
    0xf505ff13,0xff90003f,0x3e65fb80,0x4f8efd87,0xffb8ffe6,0xf902fdc0,
    0x23ff101f,0xc8001ffa,0x801bfa7f,0x03ff55fe,0x7d4ff900,0x04ffe41f,
    0x9006fe80,0x27fcc0df,0xff709ff0,0x3ff80003,0x3fe0bf90,0xb86fa805,
    0xfffd884f,0xfc80dfdc,0x7e4401ff,0x00bffa6f,0xffd05ff5,0x05ffb809,
    0xd8dd1bfa,0x2ffe886f,0x3ee07fee,0x007fe604,0x7f400dfb,0x7400dfb5,
    0x400dfb5f,0x03ff35fe,0x1ff99ffc,0x37ecffe0,0xf70bfd00,0xf807fe6d,
    0x105ff13f,0xfb0005ff,0x265fb80b,0xfdff987f,0x541ffd31,0x03bee1ff,
    0xff107fd8,0x000bfe23,0x06fd97f6,0x7fc57fa0,0x25fd8002,0x7fd41ffa,
    0x6fe801ff,0x207ff300,0xff504ffd,0x009ff103,0x3ff72a62,0x20bf703f,
    0x6fb806fc,0x3ea04fb8,0x7ec03fff,0xa989bdff,0x2a2ffffc,0x531adfff,
    0xf301dff9,0x6cc17bff,0x3fe00eff,0xff50fec4,0xffff513b,0x207ffb5b,
    0x1fea04fb,0xf801bf60,0x400dfb5f,0x00dfb5ff,0x1ff9affc,0x7fccffe0,
    0x7ecffe01,0x217fe006,0x03ff36fb,0x2ff89ffc,0xd0007ff0,0x25fb809f,
    0xfff307f9,0x983fffdb,0x01df53ff,0xff105ff8,0x4001ffc3,0x01bf64fe,
    0x0ffe5ff8,0xfa93fa00,0x2fffc81f,0x2006fe80,0xd98aeffc,0xdfb04fff,
    0xfd333333,0xfffeb80f,0x703ffeff,0x01fea0df,0x13ee17f2,0x01dffb10,
    0xffffffb8,0x80cfffff,0xffffffe9,0x2600dfff,0xfffffffe,0x3e200eff,
    0x2e27dc1f,0xf9dfffff,0x201fffff,0x1bee04fb,0x2003ff20,0x1ff94ff8,
    0x329ff100,0xff8800ff,0x2203ff34,0x03ff33ff,0x7fe4ffe2,0x84ff8800,
    0x03ff36fb,0x7fc4ffe2,0x001ffb02,0x2e017fdc,0x981fe65f,0x00dfffff,
    0x01ff3ffb,0xf102ffb8,0x007fec3f,0x7e45ff70,0x4ff8800f,0xb8003ff6,
    0x07fea2ff,0x00000088,0x7fffffe4,0xff883ffc,0xffffffff,0xfffb02ff,
    0x0ffe159d,0x3ff037d4,0xfb85fc80,0x0bff7004,0xfffd9510,0xc88039df,
    0x3dfffffe,0xfffd7100,0xf5005fff,0xa83ff10f,0x3fae3dfd,0xb86620bd,
    0x017f604f,0x2e00bfea,0x05ff52ff,0x3ea5ff70,0x2ffb802f,0x3e605ff1,
    0x205ff13f,0x5ff53ff9,0x705ff700,0x40bfe2df,0x5ff13ff9,0x4013fea0,
    0x5c00fff8,0x981fe65f,0x4c009abf,0x4401ffff,0xff100fff,0x8027fd43,
    0x3ea0fff8,0x2ffb802f,0x44013fea,0x3fea0fff,0x000aa881,0x95000555,
    0x0ffe5bfd,0x3fffffee,0x86ffffff,0xff103ffb,0xc81bea07,0x427e405f,
    0x406624fb,0xfa8007fc,0x06fc0003,0x277e6000,0x40ffa000,0x80000ffa,
    0x13ee3ff9,0xf8803fe8,0x3fe201ff,0x03fff10e,0xf8877fc4,0x3fe201ff,
    0x209ff10e,0x9ff13ffd,0x7c4fff60,0x3fe201ff,0xf16fb80e,0x4fff609f,
    0x3f602ff8,0x7ff4404f,0x265fb802,0x003ee07f,0x980bffb0,0x3e602ffe,
    0x027fec1f,0xf10bffa2,0x7fc403ff,0x027fec0e,0xf50bffa2,0x03ff303f,
    0x0001bfa0,0xbfd07ff0,0xe83ff900,0x0ffe605f,0xff1037d4,0x5c27ec03,
    0x541bfa4f,0x7ec000ff,0xff50002d,0x7d400019,0x1be6003e,0x0003df90,
    0x3ee2ffdc,0x005ff104,0x22b3ffe6,0x41fffb98,0x88acfff9,0x4c1fffb9,
    0x988acfff,0x7ec1fffb,0x3fff222f,0xc88bff63,0x3fe63fff,0xfb988acf,
    0x4df701ff,0x3f222ffd,0x05ff13ff,0x0577ff44,0x009fff73,0x07f997ee,
    0xfd1001ba,0x5cc15dff,0x7d404fff,0x77ff440f,0x3ffee60a,0x59fff304,
    0x3fff7311,0x15dffd10,0x427ffdcc,0xff981ffa,0x00dfd001,0xff980f2e,
    0x4017fcc1,0x2ffc4ff8,0x2607ffb0,0x13ea00ff,0x4fb83ff8,0x3f607ff2,
    0xff988006,0x17f20001,0x3fd98800,0xb005fb00,0x44003bff,0x7dc0dffc,
    0x001ff504,0x7fffffd4,0xf502ffff,0xffffffff,0x3ffea05f,0x2fffffff,
    0xfeffffa8,0x3ea3fdcf,0xdcffefff,0x7fffd43f,0x42ffffff,0x2a6fecc9,
    0xcffeffff,0x9bff13fd,0x3fff6019,0x3fffffff,0xf997ee00,0x8009f107,
    0xffffdcfd,0x02ffffff,0xd81bfaea,0xffffffff,0x7fd403ff,0xffffffff,
    0x7fffec02,0x03ffffff,0x3ea03ff5,0x00db5000,0x7f407fea,0x2007fc87,
    0x3ff60ffe,0x27ffec41,0x2017bff0,0x3f6a20fe,0x224fb81f,0xfdbacfff,
    0xf988004f,0x54c4002f,0x4c0004fd,0x5f9804fd,0x3fffaa00,0xba999bce,
    0xf702fffe,0x27f5d649,0x7ff64c00,0x4c01dfff,0xdfffffec,0x7ff64c01,
    0x2601dfff,0xfb3efffe,0xefffe987,0xd9307fb3,0x03bfffff,0x98dffff7,
    0xfb3efffe,0x3ffffe27,0x3fff6601,0x4000adff,0x41fe65fb,0x3f2001fa,
    0x3ffff664,0x7fc00ace,0x7ecc03ff,0x00adffff,0xffffd930,0x366003bf,
    0x0adfffff,0x6407fea0,0x80274006,0xb9abefe8,0x4ff81ffe,0x98ffea00,
    0xffecefff,0x3ee05fdc,0x49f304ff,0xf705fffa,0xffffe989,0x7cc003ff,
    0xe8005fff,0x0000efff,0x001fffff,0xf70003fb,0xffffffff,0xfb809fff,
    0x3fffff14,0x03330000,0x000ccc00,0x88003330,0x04c40009,0x80333000,
    0x103cccc9,0x99990013,0x02660019,0x44595000,0x8005104c,0x00262038,
    0x002ded88,0x800004cc,0x4c000199,0x26000009,0x07f6000e,0xfffff980,
    0xffa81fff,0x1bfe2001,0x3dffffd3,0xda803fea,0xe997203e,0x40faa03e,
    0x001bdecb,0x001bcc98,0x00017950,0x1001bcc8,0xa980009b,0x1abcedcb,
    0x3227d500,0x00001ced,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0b800000,0x7bd97000,
    0x003fec03,0x4c40ffe4,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80003993,0x20002eed,0x4001fff9,0x00003eea,
    0x40000988,0x44001eec,0x9d9005ed,0x40276400,0x4c005ee8,0x05dd54ee,
    0x400fbb20,0xfb000ee8,0x7077005f,0x007ba207,0x01eec800,0x6fc9bf60,
    0x03502a00,0x007dd700,0x07dd5000,0x037b6200,0x7443d880,0x40331002,
    0x400003ed,0x6c4004cc,0x0013b63e,0x3b625dd3,0x003dd103,0x77777764,
    0x3eeeeeee,0x530bff90,0x0d55d005,0x7ff7e400,0xefe88000,0xff3000ef,
    0x2e0005ff,0x0fc8adff,0x3ffee000,0x7fd4000e,0x006fe802,0x3ee017fa,
    0x7fe4001f,0x2e00dfd0,0x9801ffff,0xff9801ff,0x545f5003,0x03ff103f,
    0x13fe2000,0x7e4dfb00,0xefffa806,0xe8003fbb,0x800007ff,0x3a0006fe,
    0x64005fff,0x00fd98af,0x3e03ffd0,0x7c00004f,0xffb8007f,0x8000ffb9,
    0x0efc8ffc,0x4003ff10,0xfffffffe,0x84ffffff,0x6c3feffa,0x3925407f,
    0x93ff5000,0xfd8001df,0xd100bfb6,0x003ff59f,0xfffdef98,0x3ea0005f,
    0x8005fd9f,0x6fe806fc,0x2017fa00,0x7c4003ff,0x001ff52f,0x1ff75ff3,
    0x801ff980,0x7f4005fc,0x3e207fff,0xf900001f,0x49d9000b,0xbfe805eb,
    0x000ffffd,0x017ff7cc,0x01ff5000,0x3a3bf200,0x3fe6004f,0x3a003fff,
    0x09ff01ff,0x07ff8000,0x3ffdfb00,0x7f7f4000,0x07fe200f,0xaaaefe80,
    0xaaaaaaaa,0x7cdffcc1,0x101ff61f,0x8001d11d,0xbfd14ff9,0x88f75400,
    0x37ec02ee,0x5c001dfb,0x019b711f,0x453fe200,0xfd8004ff,0x0037f402,
    0x4fb80bfd,0x364fb800,0x5fe8802f,0xff301bfa,0x00de8803,0x00adda80,
    0x00007fe2,0x00003fe2,0xa88b2000,0xcfd8000b,0x200005fc,0xf50002fe,
    0x00bfea5f,0x80015930,0x9ff00eec,0x2aa80000,0x0fffa000,0x5fff1000,
    0x001ff880,0x90001bfa,0x986f5cbd,0x2eea802a,0x00088000,0x08800000,
    0x00220000,0x00031000,0x037f4000,0x0000bfd0,0x00000000,0x000ffcc0,
    0xf1000000,0x4400003f,0x00000000,0x7fc40000,0x0000ff99,0x40000220,
    0x00000008,0x013fe000,0x00022000,0x40000110,0x1ff88008,0x001bfa00,
    0x4ec80000,0x8813b200,0xbeffffdc,0x200aa600,0xffb701aa,0x40019bff,
    0xeffffdc8,0x75c4000b,0x02ceffff,0x764009d9,0x7400dfd4,0x4009d95f,
    0x009d94ec,0x04eca764,0xff313b20,0x540154c3,0x4009d91a,0x23ff14ec,
    0x7000acca,0x19bffffb,0x2a00aa60,0x4009d91a,0x3fdc04ec,0x440009ff,
    0x2dfffeca,0x3fb2a200,0x26002dff,0x03530acb,0xa98565cc,0x00009ff1,
    0xbfffd951,0x3ff6e005,0x2000cdff,0xdfffeca8,0x203ff102,0x01bfa2aa,
    0x40554400,0x01bfa0a8,0xff705fe8,0xffffffff,0x80bfe605,0x7f441ff8,
    0xefffffff,0xffffb801,0x02ffffff,0xffffff70,0xfd09ffff,0xeaff400d,
    0x57fa006f,0x3fa006fe,0x7400dfd5,0x400dfd5f,0x0ffcc5fe,0x7c405ff3,
    0x400dfd1f,0xd5ff15fe,0x409fffff,0xffffffe8,0xff981eff,0x747fe202,
    0x17fa006f,0x3fe4bfd0,0xffffc800,0x00efffff,0x7fffffe4,0x2a00efff,
    0xcaffffff,0xffffa84f,0xff4fcaff,0xffc80009,0xefffffff,0xffffd100,
    0x003dffff,0xfffffff9,0xff881dff,0x3a2ffd81,0xf100006f,0x747f303f,
    0x17fa006f,0x226ffff6,0x03fffdb9,0x37dc0bfd,0x2673ffe2,0x02fffc99,
    0x226ffff6,0x03fffdb9,0x4d67ffec,0x0effeb98,0xfe801bfa,0x7400dfd5,
    0x400dfd5f,0x00dfd5fe,0x06feaff4,0xff317fa0,0x2e05fe83,0x801bfa6f,
    0xffff15fe,0x07ff9559,0x3339fff1,0xd05fff93,0xd37dc0bf,0x2ff400df,
    0x7cc5ff30,0x3fa2002f,0xec98adff,0xfe880eff,0xec98adff,0xff980eff,
    0xffffcabe,0x55f7fcc4,0xff4ffffc,0x3fa20009,0xec98adff,0x7fc40eff,
    0xfc9999cf,0xffd102ff,0xfd9315bf,0x0ffc41df,0xdfd07ff6,0x3fe20000,
    0x3fa3f981,0x717fa006,0x7cc01bff,0x0ffb81ff,0xffb89fd0,0x417fe602,
    0x2600dffb,0xff701fff,0x3ffb801d,0xfe801bfa,0x7400dfd5,0x400dfd5f,
    0x00dfd5fe,0x06feaff4,0xff317fa0,0xd00ffb83,0x0037f49f,0x3ffe2bfd,
    0x5c1ffb83,0x3fe602ff,0xd00ffb85,0x0037f49f,0x3fe40bfd,0xfb0037f4,
    0x4ffd809f,0x6c04ffd8,0x2ff444ff,0xd127ffcc,0x9fff30bf,0x6c0013fe,
    0x7fec04ff,0x3017fdc4,0x3ff60bff,0x127fec04,0x0ffec3ff,0x555577f4,
    0x02aaaaaa,0x3ea07fe2,0xe801bfa4,0x017fe25f,0x22077fd4,0x0ff983ff,
    0x7ec037ec,0x02ffc40f,0x440effa8,0x3f6006ff,0xe801bfa7,0x400dfd5f,
    0x00dfd5fe,0x06feaff4,0x37f57fa0,0xf98bfd00,0x41ffc41f,0x1bfa0ff9,
    0xff15fe80,0x362ff40d,0x0ffd806f,0x7cc1ffc4,0x801bfa0f,0x13fe05fe,
    0x2a007fee,0xff8806ff,0x01bfea0f,0xfb83ffe2,0x49ff500f,0xff500ffb,
    0x20013fe9,0xf8806ffa,0x01bf60ff,0xff503ff6,0x1fff100d,0x7fec7fe2,
    0xfffffd01,0xdfffffff,0x540ffc40,0x801bfa5f,0x03ff65fe,0xd82ffb80,
    0xe86fc86f,0x1ee9805f,0x70007fec,0x1ffb85ff,0x74bfe600,0x57fa006f,
    0x3fa006fe,0x7400dfd5,0x400dfd5f,0x00dfd5fe,0x3fe62ff4,0xfc86fd81,
    0xd0037f46,0x80bfe2bf,0x02ff46fb,0x7ec0f74c,0x7f46fc86,0x417fa006,
    0xff881ffa,0x00ffd804,0x7ec3df50,0x3df5000f,0x3fe027e4,0xff013f24,
    0x20013fe9,0xf5000ffd,0x402ff43d,0x7fec1ee9,0x23df5000,0x1ffd9ff8,
    0x3bbbffa0,0x4eeeeeee,0x2e07fe20,0x801bfa5f,0x09ff15fe,0xa83ff880,
    0x41ffc0ff,0x10000ffc,0xf88009ff,0x0037ec3f,0x801bfa0c,0x00dfd5fe,
    0x06feaff4,0x37f57fa0,0x3fabfd00,0x317fa006,0x1ff503ff,0x37f43ff8,
    0x3e2bfd00,0x83fe601f,0x40000ffc,0x1ffc0ffa,0xfe801bfa,0x333dfb05,
    0x80ffd333,0x04004ff8,0x10013fe2,0xfe807fd0,0xfd00ffa4,0x10013fe9,
    0x808009ff,0x10000ffc,0x408009ff,0x0fffeff8,0x0001bfa0,0x7dc0ffc4,
    0xe801bfa6,0x005ff35f,0x3fe0bfd0,0x2a03fea3,0x4001bfff,0xe8002ff9,
    0x0027f45f,0xd0037f40,0x801bf6bf,0x00dfd5fe,0x06feaff4,0x37f57fa0,
    0xf98bfd00,0x547ff01f,0x037f40ff,0x3fe2bfd0,0xa87fe600,0x0001bfff,
    0x0ffa8ffe,0xfd0037f4,0xfffff10b,0x5fffffff,0x001ffd40,0x000ffea0,
    0xfb00ffe0,0x3601ffc9,0x8009ff4f,0x80003ffa,0x001bfffa,0x0001ffd4,
    0x3fffffe2,0x001bfa05,0x640ffc40,0x801bfa6f,0x03ff55fe,0x320ff900,
    0xb817f66f,0x0acfffff,0x000ffd40,0x7ff13fe4,0x0dfd0000,0x6fcaff40,
    0x7f53fe00,0x757fa006,0x57fa006f,0x3fa006fe,0xc80ffcc5,0x3a17f66f,
    0x57fa006f,0x3e600ff8,0x7fffdc0f,0x32000acf,0x3a17f66f,0x17fa006f,
    0x3fffffee,0x06ffffff,0x0000bfee,0x00005ff7,0x4fe807ff,0x9fd00ffe,
    0xf70013fe,0x2e00005f,0x0acfffff,0x0017fdc0,0x2e7ffe20,0x0dfd02ff,
    0x07fe2000,0x06fe9ff2,0x7fdd7fa0,0x0ffb8000,0x5ff1ff98,0xffffea80,
    0xff703eff,0x1ff70001,0x98807fea,0xd0999999,0xaff400df,0xf8800ffb,
    0x400dfd3f,0x00dfd5fe,0x06feaff4,0xff317fa0,0x7c7fe603,0x006fe82f,
    0x0ffc57fa,0x3aa0ff50,0x3effffff,0xff1ff980,0x400dfd05,0x05fe85fe,
    0xf901ffc8,0xfc80001f,0xfe80000f,0xfd27f404,0xff4fe809,0x0ffc8009,
    0x3faa0000,0x03efffff,0x80001ff9,0x3ff62ff8,0x0006fe80,0xfb03ff10,
    0xd0037f4f,0x003ff2bf,0x7407fea0,0x2007fabf,0xfffffdb9,0x007fe40d,
    0xfb8ffd40,0x3fff201f,0xdfd6ffff,0xfaaff400,0x2ffb802f,0x7f400dfd,
    0x7400dfd5,0x400dfd5f,0x0ffcc5fe,0x0ff57fd0,0xfe801bfa,0x6405ff15,
    0x7edcc05f,0x400dffff,0xd07fabfe,0x2ff400df,0x2200bfe6,0x1ff704ff,
    0x0ffb8000,0x06fc8000,0x6fc93fe6,0x7fd3fe60,0x07fdc004,0x6dcc0000,
    0x40dfffff,0x40000ffb,0x3fe21ff8,0x0006fe85,0xfb03ff10,0x801bfa1f,
    0x03ff55fe,0x5c0ff900,0x0004fcef,0x83bfff26,0xc8001ffa,0x80ffe67f,
    0xfffffffc,0x7400dfd6,0x807ffa5f,0x1bfa6ff8,0xdfd5fe80,0xfeaff400,
    0x317fa006,0x77dc03ff,0x0dfd04fc,0xff8aff40,0x007ff106,0x0efffc98,
    0x13f3bee0,0xfd0037f4,0x2007fc8b,0xff980ffe,0x7fcc0002,0xff880002,
    0x449ffb03,0x9ffb03ff,0xf30013fe,0x0000005f,0x41dfff93,0x40002ff9,
    0x7fdc1ff8,0x00037f42,0xfe81ff88,0x400dfb0f,0x05ff15fe,0x440bfb00,
    0x0001ffff,0x223ffc88,0xfd8002ff,0x3102ffc5,0x2dfb3333,0x3fa006fd,
    0x2afffee5,0x1fffb988,0xfe801bf6,0x7400dfb5,0x400dfb5f,0x0ffcc5fe,
    0x03ffff10,0xfe801bf6,0x41bfff15,0x20005fe8,0x2203ffc8,0xfb01ffff,
    0x22ff400d,0x3ea004ff,0x03ff883f,0x01ffc400,0x9cffc800,0x44ffffc8,
    0xfc89cffc,0x5bff4fff,0x55555555,0x000ffe21,0xffc88000,0x000ffe23,
    0xfd03ff10,0x5577f41f,0xaaaaaaaa,0x03ff102a,0x1bf61ffd,0x3fe5ff80,
    0x04fe8003,0x73037fec,0x22ff4007,0xfe8003ff,0x40037ec4,0x00dfb6fd,
    0x3ff22ffc,0xffffffff,0xf0037ec3,0x801bf6bf,0x00dfb5ff,0x3fe62ffc,
    0x037fec01,0x7fc00dfb,0xbffdff15,0xb981dffd,0x017fa003,0x7ec0dffb,
    0xa97fe006,0x3e2001ff,0x009fd06f,0x13fa2dd8,0xf905bb00,0xff9fffff,
    0xfffff907,0x3fe7ff9f,0xffffffff,0x013fa3ff,0x0ee65bb0,0x7f45fe80,
    0x896ec004,0x5ff981ff,0x3ffffffa,0x7fffffff,0xfd03ff10,0x003ff21f,
    0xffd93fe2,0x0bfee000,0x5c07ff50,0xff9000ff,0x2000ffd8,0x7fdc2ffb,
    0xcb7ec001,0xff8800ff,0xffffd984,0xffc81dff,0x94ff8800,0xff1001ff,
    0x2003ff29,0x7fcc4ff8,0x01ffd401,0xf1001ff9,0x2e7fe29f,0xb80cefff,
    0xff9000ff,0x203ffa80,0xf8800ffc,0x001ff64f,0x3f607ff2,0x9ff3000e,
    0x980077ec,0xfdb504ff,0x540ffe5b,0x7ff2dfed,0x3ffffffe,0x363fffff,
    0xff3000ef,0x4003fee9,0x077ec7fc,0xf14ff980,0x4bff203f,0xfffffffe,
    0x07ffffff,0xffd03ff1,0x200bfea1,0x3fea2ffb,0x1fff1004,0x200ff980,
    0xfb002ff8,0x004ffa8b,0xf981fff1,0x3f6001ff,0x7005ff56,0xdf8805ff,
    0x017fd401,0xffa97fdc,0x52ffb802,0xff7005ff,0xf3002985,0x17fd401f,
    0xf897fdc0,0xf100661f,0x17f6005f,0x5401ff30,0xffb802ff,0x0f900002,
    0xd802ffd4,0x17fea1ff,0x000ffec0,0x7c0017fc,0x002a602f,0x3600bff5,
    0x05ff11ff,0xff517f60,0x07ff600b,0x40000a88,0xff8800fb,0xf10aaa81,
    0x7fc403ff,0x027fec0e,0x200bffa2,0xffe804fc,0x417fd402,0x74404ffd,
    0xfff902ff,0x6ffc8803,0x4403fff1,0x7c400eff,0x1fff8803,0x443bfe20,
    0x3e201fff,0x3fff10ef,0x2077fc40,0x3200dffc,0x7ffc404f,0x43bfe201,
    0xe8001ff8,0x7fd402ff,0x2027e402,0x2201fff8,0x00000eff,0x4ffe80db,
    0x742ffdc0,0x7fdc04ff,0xf301e5c5,0x301e5c3f,0x7fdc03ff,0x13ffa00d,
    0xfe8bff70,0x17fd402f,0x2e027ff4,0x7fcc05ff,0x0db0002e,0x8007fe60,
    0x88acfff9,0x881fffb9,0x260aeffe,0x9804fffb,0xffa801ff,0xf9531adf,
    0xffd101df,0x7fdcc15d,0x7ffec04f,0xfca989bd,0x3fe62fff,0xfb988acf,
    0x4f9801ff,0x59fff300,0x3fff7311,0x8acfff98,0x41fffb98,0x88acfff9,
    0x301fffb9,0x3fe607fb,0xcfff9801,0xfffb988a,0x0007fe21,0x46b7ffea,
    0x00effca9,0x26007fe6,0x988acfff,0x0001fffb,0xff301fa0,0x7ecc17bf,
    0xfff980ef,0x3ff660bd,0x80ffd40e,0x0ffd47fe,0xc8807fe8,0x3ffe604f,
    0x3ff660bd,0x6fffd40e,0xdff9531a,0x7bfff301,0x077fecc1,0x0037d440,
    0xff5007e8,0xf5011101,0xffffffff,0xfffd805f,0x3fffffff,0x17ff32a0,
    0xffffe980,0x00dfffff,0x7fffffec,0x7003ffff,0xffffffff,0xf5019fff,
    0xffffffff,0x3fe2005f,0x3ea02a8a,0xffffffff,0xffff502f,0x05ffffff,
    0x3fffffea,0x2602ffff,0x3f32a4fe,0x3fea005f,0xffffffff,0x000ffc42,
    0xfffffe98,0xa80dffff,0x2005ffcc,0xfffffffa,0x00002fff,0x4254efe4,
    0xffffffe9,0x2600efff,0xfffffffe,0xff880eff,0xffeb9ace,0x5677fc41,
    0x801ffeb9,0x74c05fd8,0xffffffff,0xffd300ef,0xbfffffff,0x7fff4c01,
    0x0effffff,0x01ff7100,0x7319fb00,0x706feba8,0xfd9303ff,0x003bffff,
    0x3fffff66,0x7fd400ad,0x644000ef,0x3dfffffe,0x3fff6600,0x4000adff,
    0xffffeca8,0x764c01ce,0x01dfffff,0x27fffec0,0x3fffb260,0x64c01dff,
    0x1dfffffe,0x7fff64c0,0xfff01dff,0x7ffd41ff,0x764c000e,0x81dfffff,
    0x20001ff8,0xfffffec8,0x3ffea03d,0x764c000e,0x01dfffff,0xfff98000,
    0xffd7107f,0x2005ffff,0xfffffeb8,0x7ffcc02f,0x301fffff,0xffffffff,
    0xffffe803,0xffeb8801,0x8802ffff,0xdfffffec,0xffd71003,0x2005ffff,
    0x003ffffb,0x8fffff50,0xf703ffff,0x0333003f,0x00099800,0x0005eec4,
    0x00004c40,0x000004cc,0x30000662,0xda800033,0x1998001b,0x00666000,
    0xc8019980,0xbdd881bc,0x19980000,0x00066440,0x20013100,0x0000bdd8,
    0x00001998,0x002cb880,0x00013531,0x0004d4c4,0x026f7b2e,0x26f7b2e0,
    0x01bcb800,0x01353100,0x0004c400,0x0026a620,0x00159950,0x20bdc980,
    0x2602ded8,0x000000cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x801f6c00,
    0x37b63eed,0x409d9000,0x0000effa,0x90007bb6,0x3b205905,0xeeeeeeee,
    0xdd100abc,0x642e4003,0x9dd10005,0xe980fba6,0x41ee881e,0x555504ec,
    0x44035555,0x013b62ee,0xcccccca8,0x5dd7003c,0x66644000,0x000ccccc,
    0x00037b60,0x007dd500,0x1f764000,0x3b620000,0x76c4000d,0x54013b64,
    0x05dd11ee,0xd8803900,0x4017b23e,0x10001eec,0xdd500033,0x800bba23,
    0x37ae4ed8,0x649db000,0x009ff05e,0xffe89ffb,0x20bfb005,0x005feff8,
    0x01ffdfb0,0x3f907ec0,0x3fffffa0,0xefffffff,0x001ff880,0x1fd42fea,
    0xb1ffb800,0x7fd401df,0x6c1ff881,0xffffd05f,0xfb807fff,0x000efb8f,
    0x3ffffff2,0x5ff8806f,0x7ffc4000,0x001fffff,0x0005ff70,0x000dfd00,
    0x7fffd400,0x3fa00002,0xfa8006fe,0x000ffbaf,0x02fedbf6,0x0033ee60,
    0x3ff53ff7,0x009ff100,0x000ffec0,0x05fdb7ec,0xf9affa80,0x3fe6002f,
    0xff01ffaa,0x84ffd809,0xd802fffe,0xf1bfd05f,0xffb8007f,0x26006fc8,
    0x205ffeff,0xaaaaaefe,0x0fffebaa,0x2000ffc4,0x006ffffe,0x7fccbfe0,
    0x40ffd401,0x2fec1ff8,0xccccccb8,0xfefd802c,0x554c001f,0x802aaaaa,
    0x40000efb,0xaaaaaaa8,0x9fd0000a,0xff500000,0x22000001,0x01ffabff,
    0xe8ffc800,0xffb8005f,0x744001ff,0x5000efef,0x5bfffffd,0x17ff7ec0,
    0x0006fc80,0x4000ffec,0x00efeff8,0x7fdff700,0xfdff7000,0xb027fc07,
    0x3ffa09ff,0x2fec00ff,0xeea86f5c,0x27ff3001,0x26004ff8,0x7f402deb,
    0x07ff9006,0x1cc98000,0xd97ea000,0x1ffa803f,0x00000000,0x002ffe88,
    0x3ff00000,0x01100000,0x00bf5000,0x007fa000,0x25fe8000,0x20000efd,
    0x7ff32ffa,0x07ffb000,0x07ffe600,0x7efffcc0,0xd102fffe,0x3e2009ff,
    0x7ec0000f,0xff30001f,0xfd80001f,0x3f60005f,0x827fc04f,0x3fa04ffd,
    0x7ec05ffe,0x00000005,0x40062000,0xff1006fe,0x1100000b,0x00880000,
    0x0007fea0,0x64009d90,0x2000004e,0x5ff12ff8,0x88000000,0xbeffffdc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4f7f4400,0x0ffe8af8,
    0x00000000,0x00000000,0x00000000,0x7ec27fc0,0x667f403f,0x17f602ff,
    0x530acb98,0x0276c003,0xffffd710,0x1bfa059d,0x5447fd80,0xfb91000a,
    0x0017dfff,0xffffdc88,0x3fea00be,0x4c0aa881,0x400dfd1a,0xdddd95fe,
    0x579ddddd,0x12ff8801,0xeeec85ff,0xbceeeeee,0xfff7000a,0x5fffffff,
    0x777774c0,0xeeeeeeee,0x7775c005,0xeeeeeeee,0x3aa5eeee,0x2f75c00e,
    0xeeba76c0,0x97b62003,0xd9000ded,0x777774c9,0xeeeeeeee,0xf897fcc5,
    0x2a05ff52,0x0ded80ee,0x74c9d900,0xeeeeeeee,0x3a65eeee,0xeeeeeeee,
    0x02eeeeee,0x2007dd70,0xeeeeeeec,0xf3eeeeee,0x03ffd89f,0xffe8cfe8,
    0xf50bfb00,0xf95fffff,0x02ff4009,0xffffffb8,0xfe84ffff,0x11bfe006,
    0xff7003ff,0xffffffff,0x3ffee005,0x2fffffff,0xf103ff50,0xfd5fd83f,
    0xeaff400d,0xffffffff,0x200effff,0x5dd11ee8,0xffffffe8,0x0effffff,
    0x4dfffec0,0x3fffdb98,0xffffff30,0xffffffff,0x7fffc400,0xffffffff,
    0x3e66ffff,0x7fff402f,0x44ffe200,0xf9000fff,0x02fff45f,0x3fe65fd8,
    0xffffffff,0x3fdc7fff,0x80de45f1,0xffe81ffa,0x4cbfb005,0xffffffff,
    0x2a7fffff,0xffffffff,0x2fffffff,0x00fffd00,0x3ffffffa,0x4fffffff,
    0x1ffec9ff,0xff34fe80,0xf317f60b,0xfff957df,0x2ff4009f,0x567ffec0,
    0xeffeb989,0x5c01bfa0,0x0ffc44ff,0x26ffff60,0x3fffdb98,0x4dfffec0,
    0x3fffdb98,0xf881ffa8,0xfeafec1f,0x757fa006,0xaaaaaaef,0x00fffeba,
    0x55dfd000,0xfd755555,0x3fee01ff,0x3ffe600d,0xaaaaa881,0xffcaaaaa,
    0x2fff2006,0xaaaaffea,0x7c2aaaaa,0x3ffe204f,0x87fea02f,0xfa806ffa,
    0x17fff44f,0x5512fec0,0x55555555,0xffb8dff9,0x54005f10,0xfffe81ff,
    0x225fd802,0xaaaaaaaa,0x226ffcaa,0xfeaaaaaa,0x0aaaaaae,0x2ffef980,
    0xaaaefe80,0xaaaaaaaa,0x3ff69ff1,0x49fd000f,0x5fd82ffc,0x3e617fa2,
    0x3fa004ff,0x077fdc05,0xfe8ffee0,0xff953106,0x01ff881f,0x98037fee,
    0xff701fff,0x7ffcc01b,0x440ffd41,0xeafec1ff,0x57fa006f,0xff9006fe,
    0x3fa00007,0x07ff9006,0x2a00bff1,0x10000eff,0x22001fff,0x01bf65ff,
    0xf5037ec0,0x7e409f9d,0x203ffd87,0x7f40efe8,0x7ec00fff,0xfff88005,
    0xf897fcc0,0x07fea002,0x003ffffa,0xf1000bfb,0x3fa001ff,0x67ec0006,
    0x6fe805fc,0xfbbff000,0x3a00bfff,0x03ffa24f,0x07fdcbfb,0x2004ffa8,
    0x3fe205fe,0xe9ff6006,0xffffffff,0x881effff,0xbff101ff,0x03bfea00,
    0x2a00bff1,0x3fea0eff,0x6c1ff881,0x400dfd5f,0x00dfd5fe,0x55117fe2,
    0xfe855401,0x0bff1006,0x5c001ffb,0xe88002ff,0x3ee001ff,0x001bf61f,
    0x9f903fdc,0x2ff40ff5,0xc807ffc4,0xfefe81ff,0x02fec05f,0x407ffa20,
    0x02f8bfff,0x3a07fea0,0x6c05ffef,0x7f44005f,0x1bfa001f,0x99ff8800,
    0x37f400ff,0xfffff800,0xe803ffda,0x22ffcc4f,0x013f25fd,0x7f4009ff,
    0x007fee05,0xffd2ff98,0xffffffff,0x0ffc407b,0x2000ffd8,0x7fec2ffb,
    0x8bfee000,0xff881ffa,0x6feafec1,0x7f57fa00,0x31ff6006,0x9ffc03ff,
    0x3f6006fe,0x0027fc47,0x2000ffe2,0x7c003ffd,0x0037ec6f,0xfd01ff98,
    0xf103ff15,0x17fea05f,0x7f413fe6,0x3602ffcc,0x7fec005f,0x3fffe203,
    0xff5000cf,0xff99fd03,0x002fec05,0xd000fff6,0x7dc000df,0xfd013fe7,
    0x3ffe000d,0x03ffd12f,0xffc84fe8,0x3fe97f62,0xd0027f40,0x037ec0bf,
    0x27bfa0c0,0x2ffea999,0x440ffc40,0x7c4004ff,0x013fe23f,0x7d47ff10,
    0x41ff881f,0x00dfd5fd,0x06feaff4,0xff31bfe0,0xfe9ffc03,0x31bfe006,
    0xfd0005ff,0x5ffc800b,0x217fdc00,0x3e0006fd,0x3a7f983f,0x00ffa83f,
    0xdfd0bff6,0x7f467f40,0x00bfb00f,0x4402ffe4,0x1efffffd,0x740ffd40,
    0x00ffe8cf,0x7e400bfb,0x6fe8005f,0xc97fa000,0x037f407f,0x4c2fff80,
    0x27f406ff,0xfd87ff44,0xfb00ffe5,0x02ff4009,0xd00009fd,0x1ffec0df,
    0xf303ff10,0xbfd0005f,0x40017fcc,0x07fea5fe,0xbfb07fe2,0xfe801bfa,
    0x2e00dfd5,0x0ffcc4ff,0x1bfa7ff0,0x2a27fdc0,0xfc8001ff,0x1bfea007,
    0x361bfe00,0x3f60006f,0x3f25fb85,0x4406fc85,0x3ff70fff,0xff9a7f40,
    0x200bfb05,0x44006ffa,0x03fffffb,0x3fa07fea,0x360bff34,0xdff5005f,
    0x01bfa000,0xf317fcc0,0x037f405f,0xf904ff80,0x827f409f,0x4bfb5ffa,
    0x27f403ff,0x220bfd00,0xe80003ff,0x17ff406f,0xfa81ff88,0x7fc8001f,
    0x20007fea,0x07fea7fc,0xbfb07fe2,0xfe801bfa,0x2620dfd5,0x4c0fffca,
    0x4ffe01ff,0x953106fe,0xffb81fff,0x0ffb8000,0x00fff980,0x6c17fdc0,
    0xaaaaaaff,0x7fb80aaa,0x3fe63fd8,0x54027f40,0x03ff8cff,0x5ff927f4,
    0xf300bfb0,0xf10001ff,0x203fff95,0x4fe81ffa,0x3f60bff2,0x0fff9805,
    0x00dfd000,0x3fa1ff20,0x2abbfa06,0xaaaaaaaa,0xfe813fe2,0x409fd02f,
    0x25fdaffc,0x27f404fe,0x2a0bfd00,0x266201ff,0xfd099999,0x0fff980d,
    0xfb81ff88,0xffb8000f,0x0001ff70,0x3fea1ff7,0x6c1ff881,0x400dfd5f,
    0xffffd5fe,0xffffffff,0x03ff303d,0xfffe9ffc,0xffffffff,0x0ffc81ef,
    0x01ffa800,0x000fff44,0xffd837f4,0xffffffff,0x40ff980f,0x217fc1ff,
    0xffb002ff,0x9fd00dfd,0x3607ff44,0x7ff4405f,0x25f10001,0xff505ff8,
    0x7449fd03,0x02fec0ff,0x0007ffa2,0xf0006fe8,0x03ff709f,0x3ffffffa,
    0x26ffffff,0x3fe604ff,0x204fe80f,0x25feffe8,0x3fe606fc,0x417fa004,
    0x3f201ffb,0xd6ffffff,0xbff700df,0xf903ff10,0xff50001f,0x0003ff23,
    0x7fd47fea,0x6c1ff881,0x400dfd5f,0xffffd5fe,0x7bffffff,0xf00ffcc0,
    0x3ffffa7f,0x3dffffff,0x0007fea0,0x3f601ff2,0xffa8003f,0xfffffb02,
    0x01ffffff,0x87fa8bfe,0x01fe64fd,0x00ffff88,0x7fcc4fe8,0x3602fec5,
    0x220003ff,0x541ff62f,0x44fe81ff,0x2fec5ff9,0x000fff60,0x5000dfd0,
    0x9ff103ff,0x3bbbffa0,0x4eeeeeee,0xff7013fe,0xa809fd0d,0x3e25ffff,
    0x09ffb03f,0xf982ff40,0x3fff203f,0xdfd6ffff,0x10fffa00,0x3ff503ff,
    0x54ff9000,0xfc8001ff,0x2207fea7,0xdafec1ff,0x57fa006f,0xa9999efe,
    0x7cc02ffe,0x74ffe01f,0xea9999ef,0x7fc402ff,0x05fd8002,0x80027fe4,
    0x1bf606fe,0x649f9000,0x2e6fb84f,0x7fd4005f,0x909fd003,0x02fec5ff,
    0x64009ff9,0xfb8be24e,0x81ffa80f,0x2ffc84fe,0xffc817f6,0x6fe80004,
    0x99efd800,0x07fe9999,0x3e000dfd,0x4ffd804f,0x7e4027f4,0x67fe45ff,
    0x4ffffc89,0xf817fa00,0x2666205f,0xdfd6fd99,0x83ffe600,0xff881ff8,
    0x25fd8002,0xd8002ff8,0x207fea5f,0xafec1ff8,0x3fe006fd,0x7ec0dfd5,
    0x07fe603f,0x0dfd3ff8,0x3e01ffec,0x4fe8003f,0x001bfea0,0x7fffffd4,
    0x006fffff,0x5fd37d40,0x3f61ff30,0x17fcc003,0xe884fe80,0x20bfb0ff,
    0x6c006ffa,0xfd8be27f,0xd03ff507,0x1ffd109f,0x7fd417f6,0xdfd00006,
    0xffff8800,0xffffffff,0x0006fe82,0xff1009ff,0x4027f43f,0xfc85fff8,
    0xffcfffff,0x817fa003,0xfd8006fd,0x6400dfd6,0x07fe25ff,0x74001ffc,
    0x001ffc4f,0x3ff527f4,0xfd83ff10,0x1001ff95,0x01bfa9ff,0x3e605ffd,
    0x27ff101f,0x7ff406fe,0x003ff602,0xf302ffb8,0x3a0001ff,0xffffffff,
    0x40006fff,0x0ff88ff8,0x07fe3ff0,0x005ff300,0x7fd413fa,0xff30bfb5,
    0xffa8001f,0x3fe25f11,0xd03ff505,0x57fea09f,0xfff985fd,0xdfd00000,
    0xffffb800,0xffffffff,0x0006fe86,0x3ea009ff,0x009fd0ff,0x6d417fea,
    0x27ff2dfe,0x9ff01ed8,0x000ffdc0,0x037f5bf6,0x7c4bffa0,0x01ffb01f,
    0x3617fdc0,0x3ee000ff,0x207fea2f,0xafec1ff8,0xfb802ffa,0x980dfd2f,
    0xff880fff,0x3a7ff302,0x7ffcc06f,0x009ff500,0x2203ffe2,0x30001ffe,
    0x333337ff,0x000dfd33,0x0df75fd0,0x03fcdfe4,0x8017fcc0,0x3ff204fe,
    0x7f445fda,0xff88001f,0xfd9af8bf,0x03ff501f,0x7fe409fd,0x7f445fda,
    0x3a00001f,0x2ff4006f,0x3a0ffe40,0xa800006f,0x0a980001,0x4bfe0000,
    0xff882ff8,0x07ffe602,0x9806fd80,0x05f3000a,0x88027fd4,0x7fd40fff,
    0x1fff1004,0x6c000fd4,0x03fff15f,0xfe877fc4,0x85ffb806,0xffb04ff8,
    0x2e01bfa7,0x3ff605ff,0x17ff4404,0x0003ffd8,0x3f601ff6,0xbfc80006,
    0x37ea03fd,0xf98004fb,0x09fd002f,0x2ff7ff44,0x8000fff6,0xfefefff9,
    0x3fea03ff,0x2204fe81,0x6c5feffe,0x400003ff,0x3e6006fe,0x4ff8802f,
    0x000037f4,0x00027ff4,0x5c01bff7,0x87fe603c,0x1ffa85ff,0x00fffe40,
    0x201bff22,0x5400dffb,0x27fec00f,0x40bffa20,0x74404ffd,0x003e42ff,
    0x3fe65fd8,0xfb988acf,0x01bfa1ff,0x7ec1fff4,0x3fff222f,0x3a00dfd3,
    0xffd103ff,0x7fdcc15d,0x09ff704f,0x01ffcc00,0x400037ec,0x201ffdfa,
    0x002fdff8,0xd002ff98,0xfffa809f,0x013fee5f,0x3fff6600,0x7d401eff,
    0x404fe81f,0x2e5ffffa,0x800004ff,0x3f2006fe,0x83ffa007,0x000006fe,
    0x40003ff3,0x3ea04fd9,0xc8ffd01f,0xffa89cff,0xfffd800f,0xfca989bd,
    0xb3002fff,0x01fb809f,0x0577ff44,0x409fff73,0x20aeffe8,0xd84fffb9,
    0x4fe8000f,0x7fffffd4,0x7f42ffff,0x1fff3006,0xfeffffa8,0xdfd3fdcf,
    0x03ffe600,0xffffffd8,0xf303ffff,0x555555ff,0x41555555,0xfd800ffd,
    0xaaaaaaaf,0xff100aaa,0xfffd00ff,0x5ff30001,0x2013fa00,0xff35fffc,
    0x5555555f,0x80155555,0xf5000cfa,0x009fd03f,0x3e6bfff9,0xaaaaaaff,
    0x00aaaaaa,0x3e006fe8,0x3fea004f,0x2aabbfa3,0xaaaaaaaa,0x05ff3002,
    0x02fec400,0x7359dff1,0xff883ffd,0x01ffffff,0x3ffffee0,0x0cffffff,
    0x017f6200,0x03713df5,0x3ffffff6,0xb003ffff,0xffffffff,0x37ee07ff,
    0x95100b99,0xfd9305ff,0xd03bffff,0x7fe400df,0xefffe985,0x1bfa7fb3,
    0x405ffc80,0xdfffffd9,0x3ffee00a,0xffffffff,0xff31ffff,0x3fff6009,
    0xffffffff,0x17ffa01f,0x001bff20,0xe8017fcc,0xfff8804f,0xffffff75,
    0xffffffff,0x02f8803f,0x3a07fea0,0xfff8804f,0xffffff75,0xffffffff,
    0x0dfd003f,0x8007fea0,0x3ffa6ff8,0xffffffff,0x3e607fff,0xd0006fff,
    0x9801ffff,0xffffffff,0xffffb101,0x9510003b,0x39dffffd,0x7ffff400,
    0xfffff800,0x3fff6602,0x4000adff,0xdfffffd9,0x3ffe200a,0xfff700ff,
    0x0066600d,0xfe800dfd,0x8013102f,0x7f4006fe,0x0133002f,0x7ffffdc0,
    0xffffffff,0x01ffb1ff,0x3fffff60,0x1fffffff,0x200bfee0,0x30004ff9,
    0x3fa005ff,0x2bff5004,0xfffffffb,0xffffffff,0x000f4401,0x9fd03ff5,
    0x5d7fea00,0xffffffff,0x1fffffff,0xb006fe80,0xff9000ff,0x3fffffa3,
    0xffffffff,0x06f32207,0x01bcc800,0x4def65c0,0x00198800,0x000cc400,
    0x40037990,0x2000bdb8,0x20000099,0x5c400099,0x376e00ad,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x77540110,0x2003bb62,0x00fb62ee,0x74c1664c,
    0x276c004e,0x6c0009d9,0xd88000de,0x320000de,0x362001ee,0x0000005e,
    0x02602000,0x03ffb000,0x0bdb1000,0x25425400,0x07dd5000,0x82a81a80,
    0xc8002eed,0x4c0003ee,0xed800dee,0x40037ae5,0x4c06542a,0x000f4c2e,
    0x20002662,0x9881eed8,0x21999999,0x00fb63ed,0x55555555,0x47db0001,
    0xeb8004ec,0x74017ae5,0xefd881ff,0x3a04f99b,0x027fc46f,0x09ff1ffc,
    0x3603bfa0,0x7f4000ff,0x40017f65,0xd0003ffa,0x2000dfdf,0xb8003ff9,
    0xb80002ff,0x4c0002ee,0x3f99befd,0x0ffec000,0x0ffdc000,0x447f3000,
    0x7ec0005f,0x107e4007,0xffefc89f,0x3ffee001,0xfd10001f,0xff300bfd,
    0x1005ff37,0xdf7bfffd,0x6e88f740,0x02ffc800,0x0ffefd80,0x7fffffd4,
    0xfe93fe7f,0x3fffe204,0x8002ffff,0x017fa4fe,0x7fc9ff20,0xb02ffa80,
    0x3fffffbf,0x2a03fea0,0x1ffc00ff,0xff5009ff,0x003ff303,0x2fecbfd0,
    0x004fe800,0xbfd1df90,0x00bfb000,0x00037e40,0x003a23a2,0xfffdfd80,
    0x6c0001ff,0xf80001ff,0xfe80003f,0x0001ffef,0x1001ff44,0x41ffbbff,
    0x0efb9ffa,0xfaaff980,0xefd8000f,0xfa804fe8,0xf7003fef,0x07fffd79,
    0x1fffffd4,0x017fe400,0x3f63fee0,0x777774c6,0xe93fe6ee,0x3332204f,
    0x001ccccc,0x17fa4fe8,0xfc9ff200,0x204fe807,0x80b7265f,0x13ee01fe,
    0x74000880,0x007f902f,0x26000000,0xff50006f,0x800ffe65,0x40000ef8,
    0x2a0001fd,0x44000764,0x00b76a4f,0x00006200,0x80002fdc,0x000beda8,
    0x800df300,0x221cffc9,0x017fa4ff,0x37ecbfd1,0x4c7fee00,0xffc802ff,
    0x7112e005,0x17b71001,0x0bff2000,0xf13ff980,0x0000009f,0x00000000,
    0x10000000,0x000000bd,0xfdc88000,0x400befff,0x32000019,0x13b2004e,
    0x00000000,0x00000000,0x1aaba000,0x00000000,0xdffffd71,0x00000059,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xea800000,
    0x03baa00e,0x007dd700,0x00fbae00,0x1001f75c,0xbdb00bdb,0xa93b2001,
    0x0eea80ee,0xffffff70,0x4405ffff,0x00fb60ee,0x7400dfd0,0x007dd75f,
    0xdd92f6c4,0xdddddddd,0x77647ddd,0xeeeeeeee,0x3bb23eee,0xeeeeeeee,
    0x32003eee,0x700004ff,0x2e0007dd,0xffffffff,0xeb8004ff,0xd700003e,
    0x2e00007d,0xea8003ee,0x03baa00e,0x00fbae00,0xd9002f64,0x3bbbbb69,
    0x000bceee,0xdd901dd5,0xdddddddd,0x77647ddd,0xeeeeeeee,0x3ba23eee,
    0x3ff50001,0x000ffd40,0x0001fffa,0x8803fff4,0xf9000fff,0x3a15445f,
    0xbfb005ff,0x7d40ffd4,0xbfffd81f,0xfffdb989,0x7c3ff303,0x37f4004f,
    0x3e2bfd00,0xff9000ff,0x7fffff45,0xffffffff,0x3fffffa4,0xffffffff,
    0x3fffffa4,0xffffffff,0x1fffa004,0x3fff4000,0x67ffec00,0xffeb989a,
    0x3ffa000e,0xffd00007,0x3fa0000f,0xffa8007f,0x007fea01,0x401fffa0,
    0x3fa006fd,0xffffffd5,0x019fffff,0xfe81ffa8,0xffffffff,0x3fa4ffff,
    0xffffffff,0x3e24ffff,0xff50001f,0x00ffd403,0x05ffdf30,0xffef9800,
    0x0dff5002,0xfa89ff50,0x0bfffa0f,0xffa97f60,0x5c1ffa81,0x3e600dff,
    0x1ff981ff,0xfd0013fe,0x52ff400d,0xff500dff,0xaaaefe89,0xaaaaaaaa,
    0x2aabbfa1,0xaaaaaaaa,0x2aabbfa1,0xaaaaaaaa,0xffdf3001,0xef980005,
    0x3ee002ff,0x7fdc00ef,0xffdf3003,0xef980005,0x4c0002ff,0x4002ffef,
    0x3ea01ffa,0x77cc001f,0x6fd802ff,0x7f57fa00,0xeccaaaae,0x7d406fff,
    0xaaefe81f,0xaaaaaaaa,0x2abbfa1a,0xaaaaaaaa,0x007fe21a,0x500ffd40,
    0x7ec003ff,0x40005fcc,0x005fccfd,0xe880fff6,0x07fd40ef,0x801ffffd,
    0x07fea5fd,0xff887fea,0x1dff5005,0x3fe1ff98,0x037f4004,0xffd8bfd0,
    0x03bfa203,0x74000dfd,0x3fa0006f,0xfb000006,0x8000bf99,0x005fccfd,
    0x6c00dff1,0x99fb007f,0xfd8000bf,0x40005fcc,0x005fccfd,0xf500ffd4,
    0xcfd8003f,0x6fd805fc,0x7f57fa00,0x27ff4405,0xfd03ff50,0x37f4000d,
    0x03ff1000,0x807fea00,0xf1001ffa,0x001ff33f,0x3e67fe20,0xfff1000f,
    0x207ff201,0x3bfa0ffa,0x2fec05ff,0xff503ff5,0x0007fec3,0xff985ff7,
    0xd0013fe1,0x2ff400df,0x6403ffe2,0x06fe81ff,0x001bfa00,0x00006fe8,
    0xff99ff88,0x3ff10000,0xf7001ff3,0x7fcc003f,0x4cffc402,0xf10000ff,
    0x001ff33f,0x3e67fe20,0x3fea000f,0x007fea01,0xff99ff88,0x0037ec00,
    0x017fabfd,0x5407ffa2,0x06fe81ff,0x001bfa00,0x0001ff88,0x7d403ff5,
    0x4ff7001f,0xf70004ff,0x50027fcf,0x9ff30bff,0xfe83fea0,0x3602ffcc,
    0x207fea5f,0x9ff11ffa,0x43ff8800,0x13fe1ff9,0x400dfd00,0x5ffa85fe,
    0xfd04ff98,0x37f4000d,0x00dfd000,0x7cff7000,0xff70004f,0x7ec027fc,
    0x70018006,0x0027fcff,0x13fe7fb8,0xff3fdc00,0x0ffd4009,0x4003ff50,
    0x013fe7fb,0x7f400dfb,0x2200bfd5,0x3ff506ff,0x4000dfd0,0x220006fe,
    0x379731ff,0x201ffa80,0xfd001ffa,0x8003fe4b,0x01ff25fe,0xfe85ffb0,
    0xe83fea06,0x00ffe8cf,0x0ffd4bfb,0xff98ffd4,0x45fe8002,0x13fe1ff9,
    0x400dfd00,0x5ffb05fe,0x3fa06fe8,0x1bfa0006,0x006fe800,0x325fe800,
    0xbfd0007f,0x7f403fe4,0x3a000004,0x001ff25f,0x0ff92ff4,0xfc97fa00,
    0x07fea007,0x2001ffa8,0x01ff25fe,0x7f400dfb,0x6400bfd5,0x03ff507f,
    0x74000dfd,0x3e20006f,0xfffffdaf,0x03ff500e,0x4c00ffd4,0x0bfe62ff,
    0x4c5ff300,0x3e2002ff,0x03ff70ff,0x9fd07fd4,0x7ec17fe6,0x2a07fea5,
    0x03ff51ff,0xf98ff900,0x0013fe1f,0x7f400dfd,0x21fff105,0x3fa01ffb,
    0x1bfa0006,0x006fe800,0x317fcc00,0xf98005ff,0x80bfe62f,0x00003ff8,
    0x7cc5ff30,0x7fcc002f,0x000bfe62,0x7fcc5ff3,0x03ff5002,0x9800ffd4,
    0x0bfe62ff,0x3a006fd8,0x400bfd5f,0xffa80ffa,0x0006fe81,0x88001bfa,
    0xebbeffff,0x3ff506ff,0x400ffd40,0x06fe87fc,0x7f43fe40,0x67fd4006,
    0x7d403ff8,0xfc93fa0f,0x2a5fd82f,0x1ffa81ff,0x70001ff7,0x0ffcc1ff,
    0xfe8009ff,0x817fa006,0x3ff8cffa,0x55577f40,0x2aaaaaaa,0x555577f4,
    0x42aaaaaa,0xaaaaaefe,0x802aaaaa,0x06fe87fc,0x7f43fe40,0x807fea06,
    0x99999998,0x3a1ff200,0x3fe4006f,0x320037f4,0x006fe87f,0x7d403ff5,
    0x0ff9001f,0x7fec0dfd,0xeeeeeeee,0xbfd5ffee,0x417fcc00,0xefe81ffa,
    0xaaaaaaaa,0x577f42aa,0xaaaaaaaa,0x1fffc42a,0x7d407fe4,0x07fea01f,
    0x3ee13fe0,0x13fe001f,0xb0007fee,0x500dfdff,0x127f41ff,0x5fd81ffd,
    0x3ea07fea,0x001ff91f,0x7cc3ff50,0x0013fe1f,0x7f400dfd,0x7f7fec05,
    0xffffe806,0xffffffff,0x7fffff46,0x6fffffff,0x7ffffff4,0x06ffffff,
    0xffb84ff8,0x213fe001,0xff701ffb,0x7fffe403,0x3fe06fff,0x001ffb84,
    0x3fee13fe,0x213fe001,0xfa801ffb,0x07fea01f,0x7dc27fc0,0xffffb01f,
    0xffffffff,0x017fabff,0xfa83ff88,0xffffe81f,0xffffffff,0x7fffff46,
    0x6fffffff,0xf982ffc4,0x01ffa82f,0xf5007fea,0x09ff103f,0x2207fea0,
    0x7c4004ff,0xfa800fff,0xf313fa0f,0x2a5fd8bf,0x1ffa81ff,0x90003ff5,
    0x21ff98ff,0x7f4004ff,0x017fa006,0x001ffff1,0xdddddffd,0xe89ddddd,
    0xeeeeeeff,0x7f44eeee,0xeeeeeeef,0x7d404eee,0x04ff881f,0xf103ff50,
    0x0ffe609f,0xffffffc8,0x03ff506f,0x2a009ff1,0x4ff881ff,0x103ff500,
    0xff5009ff,0x00ffd403,0x7c40ffd4,0x99ffb04f,0x99999999,0x017fabff,
    0xfa83ff98,0xeeffe81f,0xeeeeeeee,0x7777ff44,0x4eeeeeee,0xff01ffc4,
    0x403ff507,0x7ec01ffa,0xe999999e,0x3dfb007f,0xffd33333,0x07ff5000,
    0xfe83fea0,0x362ffc84,0x207fea5f,0x5ff11ffa,0x98bfb000,0x013fe1ff,
    0x7400dfb0,0x3ffa805f,0x000dfd00,0xd00037f4,0x6c0000df,0x999999ef,
    0xdfb007fe,0xfd333333,0x102ffc0f,0xdfb33333,0x2667bf60,0x007fe999,
    0x33333dfb,0x3600ffd3,0x999999ef,0xffa807fe,0x007fea01,0x26667bf6,
    0xfb07fe99,0xeaff400d,0x3fea005f,0xe81ffa82,0x3fa0006f,0x3fe20006,
    0x2a0ffa02,0x3fea01ff,0x3fffe201,0xffffffff,0x7fffc402,0xffffffff,
    0x17fcc002,0x3a0ffa80,0x0ffe884f,0x0ffd4bfb,0x7ff0ffd4,0x989fd000,
    0x013fe1ff,0x7c00dfb0,0x2ff9805f,0x000dfd00,0xd00037f4,0x220000df,
    0xffffffff,0x4402ffff,0xffffffff,0xfb02ffff,0x0dfb000d,0xfffffff1,
    0x805fffff,0xfffffff8,0x402fffff,0xfffffff8,0x402fffff,0x3ea01ffa,
    0x7ffc401f,0xffffffff,0x006fd82f,0x02ff57fa,0xf503ff70,0x00dfd03f,
    0x00037f40,0x7f403ff1,0x201ffa83,0x3ee01ffa,0xffffffff,0x7dc06fff,
    0xffffffff,0x4c006fff,0xff5002ff,0xfa827f41,0x7d4bfb5f,0x21ffa81f,
    0x2e000ffd,0x0ffcc2ff,0xfc8009ff,0x4ff8800f,0x002ff980,0x74000dfd,
    0x3fa0006f,0xff700006,0xffffffff,0xffb80dff,0xffffffff,0x3ff706ff,
    0xb86fd800,0xffffffff,0x5c06ffff,0xffffffff,0x5c06ffff,0xffffffff,
    0x5406ffff,0x3fea01ff,0x7fffdc01,0xffffffff,0x2006fd86,0x00bfd5fe,
    0x7d407fe4,0x006fe81f,0x8001bfa0,0x3fa01ff8,0x201ffa83,0x3fa01ffa,
    0x01ffc805,0x3f2017fa,0x3fe6001f,0x41ff5002,0x3ff204fe,0x3fea5fda,
    0x2a1ffa81,0xff1004ff,0x21ff981f,0x7d4004ff,0x2ffb802f,0x002ff980,
    0x74000dfd,0x3fa0006f,0xbfd00006,0x403ff900,0xffc805fe,0x01fff981,
    0x3fa1bf60,0x01ffc805,0x3f2017fa,0x017fa01f,0xfa807ff2,0x07fea01f,
    0xf900bfd0,0x006fd83f,0x02ff57fa,0xf505ff88,0x00dfd03f,0x00037f40,
    0x7f403ff1,0x201ffa83,0xff301ffa,0x09ff1005,0x2200bfe6,0x3e6004ff,
    0x1ff5002f,0xfd1027f4,0x7fd4bfdf,0x6c1ffa81,0x7f4404ff,0x21ff982f,
    0x7c4004ff,0x3fe201ff,0x2ff9800e,0x000dfd00,0xd00037f4,0xf30000df,
    0x9ff1005f,0x200bfe60,0xff904ff8,0xffc8803f,0x4017fcc6,0xff304ff8,
    0x09ff1005,0x2200bfe6,0x3fea04ff,0x807fea01,0xf8802ff9,0x0037ec4f,
    0x017fabfd,0xfa817fec,0x006fe81f,0x8001bfa0,0x3fa01ff8,0x201ffa83,
    0xff901ffa,0x407ff400,0x3fa007fc,0x5ff3000f,0x04fe8000,0x52ffffd4,
    0x3ff503ff,0x0aeffe88,0x413ffee6,0x13fe1ff9,0x33ffe600,0xfffb988a,
    0x05ff3001,0x8001bfa0,0x3a0006fe,0xfc80006f,0x03ffa007,0xfe801ff2,
    0xbfffb00f,0xff953137,0x07fc85ff,0x3203ffa0,0x3ffa007f,0x2007fc80,
    0xff500ffe,0x00ffd403,0x7f400ff9,0x801bf60f,0x00bfd5fe,0x7d40dff7,
    0x006fe81f,0x8001bfa0,0x3fa01ff8,0x201ffa83,0x9ff01ffa,0x41ffd400,
    0x3ea004ff,0x5ff3003f,0xe87baa00,0xfffc804f,0x2a07fea5,0xfffb01ff,
    0x7fffffff,0xff0ffcc0,0x5555555b,0xfffa8155,0x2fffffff,0x00bfe600,
    0x555577f4,0x2aaaaaaa,0x2aaabbfa,0x2aaaaaaa,0x2aaabbfa,0x2aaaaaaa,
    0x2a004ff8,0x04ff83ff,0xb80ffea0,0xffffffff,0xff80cfff,0x0ffea004,
    0xfa8013fe,0x004ff83f,0x7d40ffea,0x07fea01f,0x2a004ff8,0x01bf63ff,
    0x5dfd5fe8,0xfd975555,0x7fd401df,0xaaaefe81,0xaaaaaaaa,0x2aabbfa2,
    0xaaaaaaaa,0xe807fe22,0x01ffa83f,0x3ea07fea,0x3fe2001f,0x000ffd46,
    0x2600dff1,0xff7002ff,0x44027f43,0x3fea5fff,0x201ffa81,0xdfffffd9,
    0x0ffcc00a,0xffffffff,0x9307ffff,0x3bfffffd,0x02ff9800,0xffffffd0,
    0xffffffff,0x7ffffff4,0x7fffffff,0x3ffffffa,0x7fffffff,0x1000ffd4,
    0x1ffa8dff,0x01bfe200,0xffffd951,0x3fea039d,0x1bfe2001,0x44003ff5,
    0x0ffd46ff,0x20dff100,0x3ea01ffa,0x03ff501f,0xfb37fc40,0xeaff400d,
    0xffffffff,0x5400efff,0xfffe81ff,0xffffffff,0x3fffa7ff,0xffffffff,
    0x07fe27ff,0xffa83fe8,0x207fea01,0xfc8007fd,0x001ff61f,0x26007ff2,
    0xff7002ff,0xa8027f43,0x07fea5ff,0x4c007fea,0x7fcc0009,0x3fffffe1,
    0x03ffffff,0x20001998,0xfd002ff9,0xffffffff,0x7f4fffff,0xffffffff,
    0x3fa7ffff,0xffffffff,0x7ec7ffff,0x1ffc8007,0x32001ff6,0x262001ff,
    0x00ffb001,0x7ec3ff90,0x1ffc8007,0x32001ff6,0x1ffa81ff,0x6c07fea0,
    0xffc8007f,0x7400dfb1,0xfffffd5f,0x0039ddff,0x3fa07fea,0xffffffff,
    0x3fa7ffff,0xffffffff,0x3e27ffff,0x00ffa01f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcc980000,0x804ccccc,
    0x3dd11ee9,0x00044000,0x20002200,0x00262000,0x2620004c,0x00004000,
    0x00008800,0x220000c4,0x80009809,0x01300018,0x26001980,0x30022000,
    0x13100000,0x88000198,0x00300000,0x00001000,0xb8800171,0x00880000,
    0x6ff98000,0x00004000,0x44000110,0x03100000,0xfffffa80,0xff9807ff,
    0x4005ff11,0xdfffeca8,0xeca88002,0x5402dfff,0x6400efff,0x03fc802f,
    0x2003be20,0x23dfffdb,0xeeeeeeec,0xf9102eee,0x2003bfff,0xcfffffd9,
    0x21fe4001,0xeb8805f9,0x02ceffff,0x2e003fc8,0x07f7004f,0x7fff6544,
    0x320fec2e,0x1001cefe,0x00fe81df,0x7ffee440,0x22000bef,0x001efffd,
    0x9dffb730,0xbe980015,0xd7d3002e,0xfec88007,0xf702efff,0x1ffb001f,
    0xffdb9800,0x5c000ace,0x0cdffffd,0x7fff64c0,0xa97b200c,0x02effffd,
    0xaaaaaa88,0x1ff9802a,0xb1005ff1,0xffffffff,0x3f2003df,0xffffffff,
    0xedffa80e,0x0df100ff,0x003ffd88,0xfd1007fa,0x1bffffff,0xfffffffd,
    0xff307fff,0x07ffffff,0x7ffffec4,0x2005ffff,0x027dc1fd,0x3fffffee,
    0xb104ffff,0x3e6007ff,0x407f6006,0xfffffffc,0x45fc9eff,0x06fdbdfc,
    0x7f703fd0,0x7fffdc00,0x02ffffff,0xffefff98,0x3fea000f,0xfffecdff,
    0x2259000d,0x1a259006,0xfffffb80,0x5c2effff,0x7fc400ff,0x3ffea001,
    0xdfffecdf,0x7fff4400,0x01efffff,0xfffdfff3,0xfcb7ec0b,0x4fffffff,
    0x00000000,0xbeffe880,0xfffeb989,0x3fffa202,0xffec98ad,0xf90fe40e,
    0xa80bf209,0x9003feff,0xffe8807f,0xdbfd512d,0x555555bf,0xeff88155,
    0x03ffd50a,0x26b7fff6,0x00effeb9,0x02fc87f8,0x26b3fff6,0x0effeb98,
    0x00ffbfea,0xff000ff4,0x37dffd10,0xffff9511,0x7fc4c88b,0x981fe400,
    0xfffb005f,0xffb73137,0x1efe807f,0x32009fd3,0xda881bff,0x13c801ef,
    0x344f200d,0x9beffd80,0x2fffdb98,0xd7003faa,0x5ffe4007,0x1efda881,
    0x339fff10,0x85fff933,0x3ea1dff8,0xfdffb01f,0x3fee637d,0x7777643f,
    0xeeeeeeee,0x3bbbb23e,0xeeeeeeee,0x04ffd83e,0xd807ffd4,0x7fec04ff,
    0x1bea37c4,0x19701be2,0xdf3007f7,0x209ff900,0x004fffe8,0xf881ffc8,
    0x05ffc85f,0x2202ffdc,0x700fe86f,0xfb801dff,0x3ee32e3f,0x003fc803,
    0x3ff613e6,0x3ffe600d,0x037dc402,0x0ff01be6,0x401bff70,0xf101fff9,
    0x807fb85f,0xf9001ffb,0xede8801f,0x5dbd1002,0x019ff700,0xd517ffcc,
    0xfb804000,0x1ff9001f,0x4c05ff70,0x07fdc5ff,0xffd82fec,0x3ffa205f,
    0x3fffffa1,0xffffffff,0x3fffffa4,0xffffffff,0x8027fdc4,0xffa86ffb,
    0x0fff8806,0x87f88bf3,0x3ee001fd,0x007f4403,0xf301bfe2,0xfd0009ff,
    0x223fe40d,0xfc800fff,0x113ea02f,0x1bfe20ff,0xf707fd80,0x005fa807,
    0x3fea17dc,0x6fffa805,0x101bfe20,0x1fd801fd,0x4017fe20,0xf980effa,
    0x007fd41f,0xcb983ff3,0x802fe40a,0x00980009,0x5005ff88,0x1026cdff,
    0x2ec59995,0x2aa27fe6,0x5fc809aa,0xfd806fd8,0x6417f20f,0x0dffb05f,
    0x7f4dff30,0xaaaaaaae,0x3fa1aaaa,0xaaaaaaae,0x7ec1aaaa,0x3ff2000f,
    0x8007fec0,0x0df51efa,0x005f98ff,0x3f601fdc,0x01ffb802,0x8004ffd8,
    0x206204ff,0x3a003fe9,0x36aaa65f,0xefbaaadf,0x00ffdc2a,0xf705ff30,
    0x007fc407,0xffb03fa0,0xfcff9801,0xdfb7102f,0x200bf601,0x3ff603fa,
    0x0bfee000,0x17f62ffc,0x7f443fb0,0x7e44ffef,0xa802aa21,0xccba880a,
    0x07ff602b,0x5dbffb80,0x3ffffea0,0x7ec3fdff,0xffffff31,0x741fc81d,
    0x1ee9805f,0x1ffc13f6,0xd001ffd8,0x01bfa1ff,0x0006fe80,0x26001ffc,
    0x13fe22ff,0x47f98100,0x00fec6f8,0xfa80fee0,0x00ffd005,0x20013fea,
    0x020006fe,0x7ecff900,0xffffffff,0x360fffff,0x2018006f,0x0bf603fb,
    0xfd0df100,0x99ff8809,0x3fb805ff,0xf1005fa8,0x013fe20d,0x3207ff10,
    0x03ffb3ff,0x33fa25f8,0x7c45fb10,0xf807fe63,0x7fffd43f,0x7c41efff,
    0xfff8004f,0x2fbfee03,0xf86fffda,0x26673e65,0x21fc46fb,0xd0000ffc,
    0x40ff707f,0xf7000ffd,0x001bfa5f,0x20006fe8,0xf8001ff9,0x00ffea4f,
    0xfb87fe00,0x20017e64,0x1ff103fb,0x401bfe00,0xd8004ff9,0x000000ff,
    0x32a1ff50,0xccccffcc,0x7f44cdfe,0x7dc00004,0x000bf703,0x2ff889f5,
    0xff8bfa20,0x9f90f666,0x2000ff88,0x2ff980fe,0x205fe800,0x01ffeffe,
    0x09f717cc,0x7ccdd0f6,0xc8ffe01f,0xfecabeff,0x01ffcc6f,0xf103ff40,
    0x1fff30bf,0x09f317cc,0x546e81fb,0x4001bfff,0x03ff83ff,0xf9801ff6,
    0x000dfd3f,0x700037f4,0xfd0001ff,0x0017fdcd,0x7ee7fdc0,0x0007f60f,
    0x0fec0fee,0x200bff00,0xaaaadff8,0xffb81aaa,0x2aaa6001,0xaaaaaaaa,
    0x82ffcaaa,0x80fe86f8,0x00003ff8,0x77c41fdc,0x41fc8000,0x3fa01ffa,
    0x3fa3ff43,0x740ffcac,0x17e4001f,0x4000ffd4,0x3fea07fc,0x0fb800ef,
    0xfc8007f6,0x7c03ff30,0x20bff13f,0x3fea2ffc,0x0ffc8001,0xfd01ffb0,
    0x307dcbff,0xf90dd09f,0xfffffb81,0x1ffc00ac,0xffb01fee,0xe9ffcc00,
    0x3fa0006f,0x1ff20006,0xc87fe400,0x700000ff,0x7cc3dfff,0x07f70005,
    0x7c4009f7,0x3ffe004f,0x5fffffff,0x3fffffea,0x3ff204ff,0xffffffff,
    0x3fffffff,0x3fc44fa8,0x2201ffa8,0x09999999,0x1fe83fb8,0xf70ff000,
    0x213f601f,0x3f661ffc,0x27dc2dff,0x5c27cc00,0xfb8000ff,0xffffa80f,
    0x7c6e800e,0x997d4007,0x4ffe01ff,0xff300fea,0x0007fdc5,0xfe80ffdc,
    0x6fcafc84,0x99df31ba,0x5f507fdb,0xfffffd50,0x0ffe07df,0x6fd80ff9,
    0x753fe200,0x3fa0006f,0x1ff60006,0xb87fe400,0x400000ff,0x221fe809,
    0x98001cdb,0x987ae06f,0x3fe003ff,0xeeeeeeef,0x3ffffea4,0x3f204fff,
    0xffffffff,0xffffffff,0x7cc3fc83,0x403ff705,0xfffffffc,0x30ff2006,
    0x3e6037b7,0xf907fc85,0x407fee0b,0x206f9809,0x90ff01eb,0xf50001ff,
    0xcdffc83f,0x3740c5ff,0x5f5001be,0xff807fe6,0x91ffc003,0xf50001ff,
    0x50bfe03f,0x6e9fea9f,0x67ffffcc,0x4c05f500,0xdfffffdb,0x3ea1ffc0,
    0x01bf604f,0xdfd3ff88,0x55555555,0xaefe8555,0xaaaaaaaa,0x007fdc2a,
    0xff33fec0,0x50000005,0x7fffccbf,0x0ff4004f,0x3e22ffa8,0x9ff1004f,
    0x01bf6000,0x4000ffb8,0x1fd83ff9,0xff981fdc,0x3ffff203,0xf3006fff,
    0xfffffb8d,0xfb83fb86,0x902fdc0f,0x744001ff,0x05ff501f,0x3ff507f6,
    0xd8ff9000,0x4fff64ff,0x83f21ff9,0xf90100fe,0xf807fe61,0xb953103f,
    0x7fd47fff,0x07fc8001,0x37cc3ff1,0x83f21ff3,0x03fd34f9,0xc98003f2,
    0x3fe0efff,0x80effd83,0x3e6006fd,0xfffffd3f,0xdfffffff,0xffffffe8,
    0x46ffffff,0xe8001ff9,0x00ffe25f,0x87fa0000,0x1fea8cfd,0x2607f900,
    0x2ffc2fff,0x004ff980,0x5400ff90,0x7d4002ff,0x7ff5532f,0x559fd555,
    0x2205ff85,0x6fd99999,0x220fe880,0x85fd10ff,0x1ffa80fd,0xfd803bee,
    0x81fe4007,0xf702fff9,0x002ff887,0x3fe25fd8,0x657ff443,0xf917cc7f,
    0x6e8fd107,0xff807fe6,0x7ffff5c3,0x3e23ffef,0x5fd8002f,0x3a25ff10,
    0x4c3fea0f,0xf893e62f,0x2000dd06,0x3fe3ffc8,0x83fff903,0x3ea006fd,
    0xdddffd2f,0x9ddddddd,0xeeeeffe8,0x84eeeeee,0xff8002ff,0x20027f44,
    0xbf5002dd,0x02fe46f8,0xff882fd4,0x037f42fe,0x0004ffa8,0x7cc00bfb,
    0x7fdc003f,0xffffffb1,0xffffffff,0x40037ec1,0x2fd806fd,0x0bf20cc4,
    0x4ffe60df,0x7fc00efa,0x417ea005,0x102feff8,0x007ff0bf,0x7fdc9fd0,
    0xfffff980,0x3be24f84,0xf88bf622,0xf807fe64,0x3bfff63f,0xf87ff0ac,
    0x4fe8004f,0x17ed3fe0,0x4c9f1fee,0x2227d44f,0x800ee64f,0x80ffe5fe,
    0x3f61fffa,0x47fee006,0x3a0006fe,0x7f40006f,0x3ff20606,0x80077ec2,
    0xfd004ff9,0x3ea27cc1,0x407fc406,0x42fcafe8,0xfd800ffc,0x7ff0004f,
    0x006fe800,0xfb9537f4,0x9ffb999d,0x1ffb8999,0x2037ec00,0xff1005fa,
    0xfb027d41,0xb801ff3f,0xff1002ff,0xf95fd101,0x7ec3f405,0x3fee000f,
    0xfa81bf62,0x0fd80fff,0x3ffbffea,0xff30fe45,0x5cffe203,0x7ff103ff,
    0x2000ffd8,0x3fa02ffb,0x5fd83fbe,0x84f987ec,0xb87f21fe,0xff9000ff,
    0x3e601ffc,0x801bf64f,0x0dfd0ffc,0x0037f400,0x740ffee0,0x50bff32e,
    0x3f600bff,0x44fa801f,0x03fcc4fb,0x9fec0bf6,0x27fc42fc,0x013ffe20,
    0x2001be60,0xf7003ffa,0xa85f905f,0x7ffcc05f,0x81bf6001,0xfa800ff8,
    0x3017e42f,0x8803ffff,0xfb000fff,0x7e4ff605,0xf50bf202,0x3fe2009f,
    0x807ff20f,0xff306ffc,0x05eee441,0x5ff11bf2,0x7f4ffe60,0x50ffe605,
    0x3e2009ff,0x3ff200ff,0x43ff985f,0x82c88ff9,0x88df93c9,0xbfb002ff,
    0x7e401ffc,0x4401bf67,0x01bfa5ff,0x0006fe80,0x6c43ffe8,0x00ffeeff,
    0xfb809ffd,0x81fd005f,0x037cc5fa,0x37f209f7,0x6c0bfd99,0x3ff601ff,
    0x7f44004f,0x5ffd0001,0xd06ffa80,0x803fb83f,0x4401fffc,0x3fa06ffc,
    0x82ffb801,0x7fec00fe,0x17ff4c05,0xf904fb80,0x017fb33b,0x3ff613ea,
    0x17ff4404,0x7cc13fea,0xff905fff,0x03ff2001,0x3f609ff1,0x6c0bff3f,
    0x4ffd83ff,0x017ff440,0xf30fffe2,0x03ff20df,0x7407fe40,0x7fd402ff,
    0x25c4ffe2,0x0dfb3fe4,0xfe8bff20,0x1bfa0006,0x3ffa2000,0xfff710ad,
    0x7ffcc07f,0x3ff660bd,0x84fa800e,0x827dc7f9,0x3ffa06f9,0x445fffff,
    0x3a60bffe,0xaaadfedf,0xd12aaaaa,0x379ddbdf,0xff309511,0xffd9839f,
    0xfb0ff01f,0x3fff6005,0xfca989bd,0x9f702fff,0x101df900,0xffe880bf,
    0x3ee60aef,0xdf3004ff,0x7fffff40,0x0df105ff,0x415dffd1,0xd04fffb9,
    0x7fd447ff,0xf905ffef,0x3f26017f,0x45ffb01f,0xfb3fffc8,0xfffd883f,
    0xaeffe884,0x13ffee60,0x6fffff40,0x3200fffe,0xf9300bff,0x3ffea03f,
    0xff9531ad,0xfa9ffc1d,0xd93fe62f,0xc99b986f,0x037f46ff,0x000dfd00,
    0x3ffffa20,0xffffffff,0x3fffa602,0x0effffff,0x3a01fd00,0x01fea8cf,
    0x555403fd,0x881cfdaa,0xfffefffe,0xfffffe8e,0xf76fffff,0xffffffff,
    0xd103ffff,0xffffffff,0x1be601df,0xfb8003fe,0xffffffff,0xdf300cff,
    0x333dfb00,0xb00fee13,0xfffffb9f,0x005fffff,0x55500ff4,0x4039fb55,
    0xfffb00fd,0x7fffffff,0x77fff440,0xfe89efff,0xffff504f,0x1bfffb79,
    0x77fffd40,0xf33fdcff,0x9ffd9dff,0x7fec0bfb,0xffffffff,0xb77f9003,
    0x0019ffff,0xb79ffff5,0x9801bfff,0xfffffffe,0x1ffc0dff,0xfffddff9,
    0x7ec37ec1,0x740effff,0x3fa0006f,0x5cc00006,0x9acefffd,0x7101effc,
    0x5ffffffd,0x3027dc00,0x207fffff,0xfc8003fc,0x3ffb2202,0xfffd0cef,
    0xdfffffff,0x2666fbe2,0x2effffdb,0x3ffff6e0,0x27d403df,0x22001be2,
    0xeffffeca,0x00ff401c,0x3fffffea,0x6403fb4f,0x3fff664f,0x2000acef,
    0xfc8003fc,0x301fdc02,0x5bfffffb,0x3fff2001,0x07ec0cef,0x3fff6e60,
    0xfd3000ac,0x8ff67dff,0x1effffe9,0x6cc01ff5,0x0adfffff,0x13112e00,
    0x3f6e6000,0x2000acff,0xfffffec8,0xb87ff03d,0x6c0dfffe,0x7ff6446f,
    0xaefe80df,0xaaaaaaaa,0x2bbfa2aa,0xaaaaaaaa,0x04c002aa,0x8801fe98,
    0xd80009a9,0x665c400e,0x000bd301,0x4c4002a6,0x00600000,0x310006a6,
    0x20d4c001,0x880002a8,0x0fae0019,0x2aaaaa60,0x880551aa,0x00026203,
    0x98002f4c,0x00d4400a,0x40000998,0x00040098,0x26200004,0x00662000,
    0x0004cc00,0x20000000,0x26200000,0x09880000,0xd0062000,0xffffffff,
    0x74ffffff,0xffffffff,0x007fffff,0x00002800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfd000000,
    0xffffffff,0x7f4fffff,0xffffffff,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40080000,0x0804d84d,
    0x07ba2080,0x00f6226c,0x05799751,0x1ec44d80,0xff12ff88,0x1fff8805,
    0xfd2ffc40,0xcb98aa0b,0x1331001b,0x027fec00,0x75576c00,0x5417500e,
    0x9b09b00c,0x0eff8800,0x805ffa80,0x2e000eea,0x47db305e,0x7764c049,
    0x7c4000bd,0x000000ef,0x2217fe60,0x0af2e62a,0x007ffe20,0x003bfe20,
    0x1000bff5,0x54017997,0xcccccccc,0x24ff881c,0x5ff105fe,0x7100ffe2,
    0x44025415,0x2a201fff,0x22039712,0x45fd405d,0x3a601fc8,0xf8976202,
    0x315f902f,0x7fd401fb,0x01efffff,0xf9315f70,0x44bfe201,0x77f402ff,
    0x7fcc00ef,0xf880efca,0xfffffc8f,0x17fe400e,0x2feffb80,0x55ffc000,
    0xfffe80ff,0x3ee07ece,0x001fc88b,0x9000ffe4,0xffa801ff,0x81ff2001,
    0x0efedfe9,0xffffff70,0x7fe4003f,0x001ffa81,0x4077ec00,0xffffb7f8,
    0x77f401df,0x7e4000ff,0x1ff9000f,0x3fffa200,0xffb02fff,0x5fffffff,
    0x3f2bfea0,0x25ff100e,0x3e603ff8,0x05fcdfff,0x00ffefe8,0xfffd1ff3,
    0xd00bfb07,0xf80bffff,0x897f602f,0xfff102fc,0x7fe409ff,0x6ffecabe,
    0xffffd100,0x88f74409,0x3bf202ee,0xfb805fd8,0xff101fff,0xfff99ffb,
    0x02ffc80b,0xffaaff98,0x2ffe0001,0x67d40fd9,0x403fffda,0x005ffffe,
    0x40017fc4,0x7fd404fd,0x01ff2001,0x5405fff7,0xfeb8adff,0x2ff8801f,
    0x0003ff50,0x880ffcc0,0xdbcffdff,0x1ff906ff,0x7c400dfb,0x27ec002f,
    0x55fff440,0xfe82ffec,0xeeeeeeee,0x3ffff201,0x447ba200,0x2bee02ee,
    0x402fffda,0x06fd8ffc,0xffffbff3,0x200bfb01,0xff800bb9,0xf117f602,
    0x00bb9801,0x7e417fe2,0x2ee6002f,0xd3000000,0x00fb625d,0xf880bbb2,
    0x1ffc83ff,0x2007bae0,0x017b24ed,0x0d53ff80,0x00544153,0x8000bb98,
    0xb10003ea,0x0ffd401b,0x2e0ff900,0x203fedff,0x0bff06ff,0x74c09d50,
    0x2e00001f,0x3ffe202e,0x4c1ffc83,0x07db12ee,0x2000faa0,0x7f400dd8,
    0x446fe80e,0x6c0001ff,0x000002ee,0x801510aa,0x7db12ee9,0x0c7fff30,
    0x00005fd8,0x7ec05ff0,0x00003dc5,0x3e601fd5,0x0000002f,0x00000000,
    0x4c17fe20,0x000002ff,0x3ff80000,0x000000bb,0x00000000,0x001ffa80,
    0x8efc1ff2,0xffa80ff9,0x000ff902,0x00007cc0,0x17fe2000,0x00017fc4,
    0x00000000,0x3ea03ff3,0x003fe60f,0x00000000,0x40000000,0x54c05ff9,
    0x5102aefe,0x2a057997,0x262acffa,0xe8aaefea,0x5665d401,0x1ffc0000,
    0x2a00aa88,0x4015510a,0x015510aa,0xcb980554,0x7ff100ac,0xb881ffc0,
    0xb8800bcc,0x73000bcc,0x2affe159,0x802aa20d,0x997300aa,0x65d40015,
    0x2ea000ac,0xff500acc,0x83fe4003,0x5fb8a988,0x3ea04a88,0x3332a00f,
    0x000d700a,0x55005544,0xf80ffe21,0x5997303f,0x332e6001,0x9973000a,
    0x01bee015,0x000df701,0x00accca8,0x15e65d44,0x5e65d440,0xccba8802,
    0x07ff302b,0xffffffb8,0x7ffffd40,0x7ff41eff,0x3fee6fff,0x5400ffff,
    0x3ffffffe,0xfdca9880,0x3ff303ff,0xff99ffc0,0x7ccffe01,0x10ffe01f,
    0x5ffffffd,0x7405ff10,0x7fff444f,0xfd102fff,0x405fffff,0x9efffffa,
    0x3ff303ff,0x3a21ffc0,0x02ffffff,0x7fffff54,0x7ff5403f,0xfa83ffff,
    0x1ff2001f,0x3bffff62,0xfc8003ff,0xfffff306,0x50ea87ff,0x2b32a215,
    0xf00ffcc0,0x80bfe27f,0x7ff443fe,0x2202ffff,0x2ffffffe,0x3ffffa20,
    0x05fc82ff,0x0045fc80,0xffffff98,0xffff503f,0x2a03dfff,0xefffffff,
    0xfffff501,0xff983dff,0x77f65402,0x3bff20cc,0x46ffecab,0x23cdffcb,
    0x0ccefeca,0x2afffe60,0xd704ffdb,0xffdfffff,0x807fe607,0x03ff33ff,
    0x1ff99ffc,0xff98ffe0,0x4ffdbbdf,0xfd017fc4,0x55fff449,0x7442ffec,
    0xffecabff,0xabeff982,0x303ffffc,0x1ffc03ff,0xb77bfff3,0x3fe609ff,
    0x4ffdbabf,0x757fff30,0xffa89ffb,0x31ff2001,0xffb9bfff,0x2e2001ff,
    0xeff882ff,0x44ffdbac,0x3fee7fa0,0x3e61ffff,0x44ffe01f,0x8ffa01ff,
    0xdbbdfff9,0xfff984ff,0x84ffdbbd,0xdbbdfff9,0x027f44ff,0x7e4dff40,
    0xff100dff,0x9ffb759d,0xcabeffc8,0xffc86ffe,0x6ffecabe,0xcabeffc8,
    0x7fcc6ffe,0x10bfb001,0x3ff20bff,0x3602ff82,0x1dfd005f,0xfd83ff90,
    0xff0aceff,0x807fe607,0x03ff33ff,0x1ff99ffc,0xefe8ffe0,0x220ffb81,
    0x93fa02ff,0x6fe80efe,0x7f4077f4,0x4c2ff446,0xff303fff,0xfd1ffc03,
    0x01ff703d,0xff901dfd,0x901dfd03,0x0ffd43ff,0xfe8ff900,0x17ff441e,
    0x0bfff6e0,0x7fd83fdc,0x37ff7fa0,0xf30fffdb,0x89ffc03f,0x8ffa01ff,
    0xffb81efe,0x5c0f7f40,0x0f7f40ff,0x9fd07fdc,0xfffff000,0x705fffff,
    0x89ff60ff,0x5ff905ff,0xfc82ffc4,0x417fe22f,0x3fe62ffc,0x50bfb001,
    0x3fe601fd,0x3602ff82,0x1ffb805f,0xffb9bfa0,0x207ff103,0x3fe01ff9,
    0x7c03ff33,0x403ff33f,0x07ff53ff,0x5ff12ffc,0xff9a7f40,0x261ff501,
    0x1ff501ff,0xfb807fd4,0x03ff303f,0x3ffa9ffc,0xff717fe0,0x2e37f403,
    0x9bfa01ff,0x32001ffa,0x40bfea7f,0x7f404ff8,0xbf900eff,0x7402b260,
    0x7fd40cff,0x7c03ff33,0x403ff13f,0x07ff53fe,0x7ff52ffc,0xff52ffc0,
    0xfb2ffc07,0x3e20880b,0xff711bff,0x305fc81f,0x03faa159,0xfd517fcc,
    0xa8bfe601,0x5ff300fe,0xd800ffcc,0x3fe0005f,0x3602ff83,0x05fd805f,
    0x5fe87fd4,0x4c0ffe60,0x4ffe01ff,0x3fe01ff9,0x7c03ff33,0x401ff93f,
    0x0bfe27fc,0x0df74fe8,0x2037dc08,0x2205fc80,0x3ff303ff,0xffc9ffc0,
    0xfb1ff200,0x20ffa80b,0x7fd405fd,0x4003ff50,0x01bf27fc,0xcab80df9,
    0xffb83fff,0xffe8000c,0x3e69fd00,0x44ffe01f,0x4ffa01ff,0x3f200ffc,
    0xc803ff27,0x803ff27f,0x81fee7fc,0x5db33ff8,0xf717fe60,0x4000019f,
    0xff8003ff,0x23ff8003,0xfb001ff9,0xb953100b,0x7f647fff,0x5fd84eef,
    0x4c04fe80,0x40bff1ff,0xff303ffd,0xf99ffc03,0x4cffe01f,0x4ffe01ff,
    0xcccccefd,0xf10ffdcc,0xca7f405f,0x2fe4005f,0x2027ec00,0x3ff303ff,
    0xefd9ffc0,0xdccccccc,0x013fa0ff,0x27f43ff3,0x7d47fe60,0x9ff2001f,
    0x3fd404fd,0x85ff9100,0x1cefffe8,0x6c0bfd00,0x403ff35f,0x03ff13ff,
    0xcefd9ff4,0xfdcccccc,0x999dfb0f,0x1ffb9999,0x33333bf6,0x30ffdccc,
    0x3ff207ff,0x23fe4000,0x1cefffe8,0xfb953100,0x54c407ff,0x203fffdc,
    0xfffdca98,0x4007fe63,0x3fae05fd,0x3ffeffff,0x17fffffa,0x3fe017f6,
    0xd97fc403,0x7fec41ff,0x03ff304f,0x1ff99ffc,0x7fccffe0,0x7f4ffe01,
    0xffffffff,0x5ff11fff,0x4fea7f40,0x0027f400,0x3fa01ffc,0x403ff303,
    0xffffd3ff,0xffffffff,0x2201ffc3,0x00ffe2ff,0x3fea5ff1,0xf9ff2001,
    0x0ffcc04f,0x109ff100,0x9ffffffb,0x3204fe80,0x403ff35f,0x03ff13ff,
    0xfffe9ff4,0xffffffff,0xfffffd1f,0x3fffffff,0x3ffffffa,0x21ffffff,
    0x7fd42ffc,0x0ffa8005,0x7ffffec4,0xfffd704f,0x707ffdff,0xfdfffffd,
    0xfffd707f,0x4c7ffdff,0xbfb001ff,0x33bfff60,0xff07ff0a,0x402fec05,
    0x7fcc03ff,0xd9dfff32,0x20bfb9ff,0x3fe01ff9,0x7c03ff33,0x403ff33f,
    0x55bfd3ff,0x55555555,0xe80bfe21,0x8009fd4f,0xfe8004fe,0x981ff403,
    0x4ffe01ff,0xaaaaadfe,0x3e0aaaaa,0x17fcc03f,0xff9807ff,0x4003ff52,
    0x00ffe7fc,0xd8003ff3,0x3f6e207f,0xfd00efff,0xf9afe407,0x44ffe01f,
    0x4ffa01ff,0xaaaaadfe,0xfd0aaaaa,0x5555555b,0x37fa1555,0xaaaaaaaa,
    0x3ffa20aa,0x00efffde,0x101ff980,0x1dffffb7,0x5677ffec,0xffd87ff0,
    0x7ff0acef,0xacefffd8,0x7fcc7ff0,0x70bfb001,0x3fe207ff,0x3602ff83,
    0x04fe805f,0xfd30ffd4,0x3ea3dfff,0x01ff980f,0x3fe67ff1,0x267ff101,
    0x7ff101ff,0x220017f6,0x53fa02ff,0xb04405fd,0x6c0880bf,0x81ffc04f,
    0xff101ff9,0x40017f67,0x7fd404fe,0xf5013fa1,0xc87fea3f,0x74dfb03e,
    0x87fd404f,0x7fdc02a9,0x7ffb3000,0xfc80ffa0,0x2203ff35,0x03ff13ff,
    0x05fd9ff4,0x8005fd80,0x5c0005fd,0x884fffff,0x07fd402a,0x73ffd980,
    0x3fe207ff,0x440ffee3,0x0ffee3ff,0xff31ffc4,0x217f6003,0x3fe605fe,
    0x3602ff83,0x06fd805f,0x4c407fe4,0xf101fa81,0x4ffe605f,0xff302ff8,
    0x4c0bfe27,0x80ff93ff,0xfe8002ca,0x7c40ff74,0x440ff73f,0x81bee3ff,
    0xff103ff8,0x64ffe605,0x2165407f,0x7fe406fd,0xf901bf60,0xe87fea1f,
    0x6cbfd04f,0x93fe406f,0x37f401ff,0x7fc4072a,0x6407fd05,0x205ff15f,
    0x06603ff9,0xca80ff90,0x9501ff22,0x2a03fe45,0x00efc02c,0x7e401ff9,
    0xf880e547,0x4c0bfd5f,0x817fa3ff,0x17fa3ff9,0x2983ff98,0xff0bfb00,
    0x41ffec0b,0x17f603ff,0x440bfea0,0x7c8005ff,0x6c13fe20,0x09ff13ff,
    0x7fc4fff6,0x267ffb04,0xdff103ff,0x267ff000,0x1ff903ff,0x7e40ffe6,
    0x40bfe60f,0xff103ffc,0x4cfff609,0xdff103ff,0xf102ffa8,0x02ffa8bf,
    0x7fd4bff1,0x3e21bf61,0x40bfea3f,0x3fea4ff9,0xe89ff504,0x413fa06f,
    0x57f203fe,0xffb04ff8,0x82ffec07,0xff103ff9,0x881ffccd,0x0ffe66ff,
    0xf3037fc4,0x3fea03bf,0xe87ff304,0x7d3fa06f,0x8fff605f,0x3ff605ff,
    0xfd817fe3,0x0dffc83f,0xd827ff20,0x7fec41ff,0x09dfe84f,0x4009ffc8,
    0x7f442ffd,0x1fc8000e,0xc88bff60,0x3ff63fff,0x8ffff222,0x3f222ffd,
    0x37ff23ff,0x00bff621,0x7e45ff10,0x22ffd42f,0x7fd42ffc,0x262ffc85,
    0x3603fffd,0x3ff222ff,0x877ff23f,0xfd82ffd8,0x077f442f,0x3a217fec,
    0x87fea0ef,0xe98adffa,0x17ff41ff,0x3fa1bfa6,0x3ffae22f,0x105ffdc0,
    0x3fa03ff7,0xfd97f203,0x3fff222f,0x817f4c03,0x3621dffc,0x6ffe42ff,
    0x90bff621,0x7ec43bff,0x05fb802f,0xe982bffa,0x0bffb87f,0x7ec7fee2,
    0x7ffec41f,0xb107ff64,0x7fec9fff,0x27ffec41,0x2a03fd98,0xff31ffff,
    0xb9ffd9df,0xffffb0bf,0x03ffff70,0x76ffff44,0x50000eff,0x541d77ff,
    0xcffeffff,0x3ffea3fd,0x3fdcffef,0x3fbfffea,0x3a23fdcf,0xfffeefff,
    0x3f6a6003,0x3bffa21f,0x440efffd,0xfffdeffe,0xddffb00e,0x407fdbff,
    0xffeffffa,0x3fa23fdc,0x3fffeeff,0xdbfffd10,0x3a201dff,0xeffedfff,
    0x360ffd40,0x3fffffff,0xedeffd88,0xff881fff,0x1ffffdff,0xfddfffb0,
    0x1ff407ff,0x7fd4bf90,0xfdcffeff,0x81ff4c03,0xfeefffe8,0xffe883ff,
    0x83fffeef,0xfeefffe8,0x2e6603ff,0x3fe204fe,0x0effedff,0xfddfffb0,
    0x7ffcc7ff,0xfdcffece,0x33bffe65,0x25fdcffe,0xfecefff9,0xd305fdcf,
    0xfffc809f,0x3ffffa62,0x881ff51e,0xfc80fffd,0xffb802ff,0x0000ceff,
    0x2077ffec,0xb3efffe9,0xfffe987f,0xe987fb3e,0x7fb3efff,0xdfffff70,
    0xfffd8005,0xfffff705,0xffffb809,0x7f5c404f,0x807fd5ff,0xb3efffe9,
    0xffff707f,0xff7005df,0x70019dff,0x019dffff,0xff903ff5,0xec807dff,
    0x200cffff,0xcfffffc8,0x3ffee200,0x7f402eff,0xd317f203,0x3f67dfff,
    0x0dffff03,0xdfffff70,0xffffb805,0x7fdc02ef,0x7402efff,0x4400dfff,
    0x04fffffc,0x7ffffdc4,0xfffe982e,0x41ff51ef,0x1effffe9,0x7f4c1ff5,
    0xff51efff,0x07ffffc1,0x33100880,0x4400c000,0x004c4000,0x006a2000,
    0x98800131,0x004c4000,0x0004cc40,0x8803deb8,0x0cc40019,0x0000c400,
    0x22000262,0x98800099,0x01310000,0x00266000,0x30003310,0x33100035,
    0x901ff400,0x002620bf,0x001bcc88,0x20004cc4,0x44000998,0x55300099,
    0x00266000,0x44006620,0x19880019,0x00198800,0x00006f32,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0xfe8806ff,0x6654000f,0x3fea00ac,
    0x9807ff32,0x0001bdec,0x5cc02ed8,0xfa800acc,0x445ff95f,0x02aa00aa,
    0x3e25ff10,0xeeca803f,0x2662003d,0x8ffec000,0x7dc00fff,0x82ae005f,
    0xfff1004a,0x0fff4003,0x017fe400,0x3fe25ff1,0x09db0003,0xa98565cc,
    0x65d45510,0xf300000a,0xff8800bf,0x55317fa4,0x4c035500,0x03530acb,
    0x7ff30098,0x2aa13fe2,0x000aa601,0x9bf60bb6,0x04400ffc,0xec8013b2,
    0x000aaa04,0x3000ffc8,0x3e6009ff,0x03ffffff,0x13fa3ff2,0xffffff88,
    0x2aa6002f,0x40acffaa,0xffffffe8,0xff37ec02,0x201ff98b,0x7fc403ff,
    0xd807ff12,0x0effffff,0x003ffb80,0x7fd4ffe2,0x7f7fcc01,0x7fffc404,
    0xfd006fcd,0x22001ffd,0x7c4005fe,0x97fc404f,0xd0003ff8,0xffff50bf,
    0x227fb3ff,0xffffe8ff,0xfd80004f,0xffa8000e,0x7cc0efc9,0x07fe202f,
    0x3fffffea,0xfd984fca,0x1ff704ff,0x13fa0bfb,0xf8005fc8,0x9cfe882f,
    0x3ff201ff,0x801bfa7f,0x1ffa05fe,0x017fc400,0x1003fea0,0xfb759dff,
    0x7fff409f,0x4577ec06,0xb001ffd9,0xffffffff,0x5efffcc5,0xf304ffdb,
    0x303bee3f,0x1ffc03ff,0x744bba20,0x2fffa02e,0x806ffd99,0x32003ffb,
    0x1013fa5f,0x05ff19ff,0x7fed5fdc,0x8ffc802f,0x3e6006fc,0x17f2001f,
    0x744bba20,0xbfd0002e,0xb9aeff98,0xff13feff,0xff9559fd,0x7fcc0007,
    0x3ff20001,0x0bfd00ff,0x7fcc37dc,0xffffcabe,0x7ffff444,0x3bfff602,
    0x6409fd00,0x2ff8005f,0x07ffff30,0xd37fffe4,0x2ff400df,0x2000ffd0,
    0xd70003ea,0xb07fb805,0x6f6c40ff,0x203bee00,0x553006fd,0x4159ff55,
    0xffb81efe,0x3b62eb80,0x201ff981,0x000003ff,0xff505ff5,0x02eea805,
    0x2f4c3760,0xbd72f640,0x1510aa01,0x225dd300,0x3aa003ed,0x00376003,
    0xfe800000,0x2617fa25,0xfff13fff,0x003ff707,0x0000bae0,0xfb80bbb6,
    0x889fd00f,0xfff985fe,0x445ffd44,0x07bb6200,0x3f204fe8,0x02ff8005,
    0xfd013bae,0x06fe823d,0xaa817fa0,0x00000002,0x982fe400,0x440000ac,
    0x3ff303ff,0x50bfe000,0x2ffc07ff,0x0ffcc000,0x00007ff0,0xfe813fa0,
    0x00000004,0x00000000,0x00000000,0x00000000,0xff52ff40,0x44ffee01,
    0x17fa06ff,0x00000000,0x983ff880,0x07fdc0ff,0x7dc4ffa8,0xfd000007,
    0x002fe409,0x800017fc,0x0dfd03ff,0x0002ff40,0x5e65d440,0xccba8802,
    0x33fee02b,0xccb88000,0x01ffa80b,0x973013fa,0xf90bfe15,0x13fe401f,
    0x85540155,0x3fe01ff9,0x59975003,0x803fe601,0x665cc008,0x32ea000a,
    0x995000ac,0x2ea00159,0x2a000acc,0x5100accb,0x80554015,0x800bccb8,
    0x000accb9,0x5fc97fa0,0x7c4ffe20,0x81bee02f,0x40abcba8,0x2202cca8,
    0x02aa00aa,0x0df90dfb,0x4ff809f9,0x750037e4,0x3fa01599,0x9817f204,
    0x05ff0acb,0x05799751,0x7f407fe2,0x817fa006,0x3ea002a9,0x1effffff,
    0xffffff50,0xffd103df,0xe88039df,0x42ffffff,0x2fe407fb,0xefffffa8,
    0x77ec2ff9,0xdccccccc,0x03ff30ff,0x1ff99ffc,0xd500ffe0,0x07ffffff,
    0x44000df7,0x2ffffffe,0x7ffff540,0x3fe603ff,0x203fffff,0xffffffea,
    0x7fff5403,0xff983fff,0xd10ffe01,0x05ffffff,0x3fffffa2,0xbfd0002f,
    0x3fe027ec,0x4c03ff13,0xfffb80ff,0xff75ffff,0xf30bffff,0x21ffc03f,
    0x1ffc0ffa,0x3fa01ff4,0x55dfb534,0x3fffaa03,0x4fe83fff,0x3ea17f20,
    0xff9effff,0x7ffffd42,0x7fc41eff,0x400dfd01,0x17f205fe,0x55f7fe40,
    0xfc86ffec,0xffecabef,0xffffb106,0xffd109ff,0x45ffd957,0x37e406fd,
    0x655f7fcc,0x7f42ffff,0xffffffff,0x3ff31fff,0xff99ffc0,0x980ffe01,
    0xfdbabfff,0xb8a7e44f,0x3e602ced,0xffdbbdff,0x57fff304,0xf109ffb7,
    0xffb759df,0x57fff309,0x2609ffb7,0xfdbabfff,0x00ffcc4f,0x7ff447ff,
    0x42ffecab,0xdbbdfff9,0xfe8004ff,0xfd00ffe5,0x9803fe27,0x6ffe41ff,
    0xffffecab,0x4ffebbff,0xff00ffcc,0x7d47ff07,0x403ff80f,0xffffb4fd,
    0xfff309ff,0x89ffb757,0x17f204fe,0xf957dff3,0x7fe45fff,0x6ffecabe,
    0xfe80ffc4,0x817fa006,0xff8804fd,0x445ff905,0x5ff905ff,0x7ffedc40,
    0x03bfa0ef,0x05fd9bfa,0x3fa23fdc,0x42fff985,0xaaaaadfe,0xf30aaaaa,
    0x99ffc03f,0x0ffe01ff,0xfc80efe8,0x3e73f61f,0x80dfffff,0xffb81efe,
    0xc80efe80,0x83fdc1ff,0x0efe87fd,0xfe81ffc8,0x21ffc80e,0x3fe01ff9,
    0x3a03bfa3,0x40f7f46f,0x74000ffb,0xd013fa5f,0x803fe27f,0x3fe20ff9,
    0x07fffd02,0x7fcc5ff1,0x320ffe01,0x7c17f66f,0xba7f403f,0x82ccffec,
    0xffc80efe,0xfc813fa1,0x2617fa25,0xbff12fff,0xf88bff20,0x00dfd01f,
    0xff982ff4,0x00fea802,0x7f545ff3,0x005ff300,0xf99ffecc,0x21ff501f,
    0x3fdc05fe,0x7dc03fee,0x002fec2f,0xff00ffcc,0x4407fe67,0x3ff703ff,
    0xbfd37f40,0xfff95dff,0x203ffa8b,0x0ffdc5ff,0x5fc8dfd0,0x7dc15930,
    0x71bfa01f,0x37f403ff,0x7fc03ff3,0x2a03ff33,0x07ff50ff,0x3a002ffc,
    0xf017f65f,0x807fe27f,0x037d47fa,0x7dc0dff9,0xf807fe67,0xf1ff983f,
    0x013fa05f,0x06fc89fd,0xfe807fee,0xfd817fa6,0x5c03fee5,0x01fd52ff,
    0xff88bfe6,0x400dfd01,0x6fe885fe,0x1ffc0000,0x2a1ffc00,0x2bff101c,
    0x3a0406fb,0x07fd405f,0x7fc40bf9,0x2a03fe42,0x807fe62c,0x05ff13ff,
    0x7ec0ffe6,0xe87fd405,0xffb81fff,0xc803ff22,0x202fec7f,0x3fee0ffa,
    0x0bfb000c,0x3f60ffa8,0x987fd405,0x4ffe01ff,0x320406fb,0x1ff200ff,
    0x7e4bfd00,0x44ffe206,0x17f202ff,0x80ffe600,0x3ff30ff8,0xfe81ffc0,
    0x3f207fab,0x913fe606,0x02fec0df,0x37f43fea,0x2fe4bfd0,0x8005ff10,
    0x07fe23ff,0xfd0037f4,0x01ffe88b,0xfb953100,0x54c407ff,0x743fffdc,
    0x653fa06f,0x2fec005f,0x9fb1fee0,0x7cc2ff80,0x4dff103f,0x3fe01ff9,
    0x7ec0ffe3,0x809fd03f,0x9ffd1ff9,0xdfb37f40,0xb9999999,0x027f41ff,
    0xfe887fe6,0x3a01ceff,0x0ffcc04f,0xff9809fd,0x7c03ff31,0x800bf93f,
    0xcccccefd,0x000ffdcc,0x2ff997fa,0x3e27ff90,0x07ff106f,0xffecb988,
    0xccccccdf,0x3ff32ffc,0xfb81ffc0,0x3e204fce,0x89ffb03f,0x13fa06fc,
    0x3fa3ff30,0x25ffa81f,0x17fc04fd,0xffdca988,0x407fe23f,0x3fa006fe,
    0x007ffa25,0x3ffffae0,0xeb83ffef,0xffefffff,0x105ffdc3,0x13fa3ff7,
    0xc80df900,0x201ffc7f,0xdffc82fe,0x98bff621,0x8ffe01ff,0x3f222ffe,
    0x07ff03ff,0xffb2ff88,0xfd3fdc03,0xffffffff,0x1ffc3fff,0xb10bfe20,
    0x09ffffff,0xff8807ff,0xf100ffe2,0x807fe65f,0x009fd3ff,0xffffffe8,
    0x01ffffff,0xff917fa0,0x9fffecc5,0x220dfff8,0x3fae05fe,0xffffffff,
    0xffffffff,0x403ff33f,0xfff103ff,0xcffc803f,0x4ffffc89,0x7ff037e4,
    0xfd2ff880,0x3fea23ff,0xd00ffe5f,0xfffeb85f,0x223ffeff,0x0dfb01ff,
    0xffb2ff40,0xfffb0003,0x0ffe159d,0x159dfffb,0x3ff60ffe,0x23fffeef,
    0x7dc004fe,0x3a37e406,0x417f403f,0xfeefffe8,0x0ffcc3ff,0x7fc47ff0,
    0xfdcffeff,0x9807ff03,0x80ff92ff,0x5bfd0ffa,0x55555555,0x201ffc15,
    0xb7102ff9,0x7c1dffff,0x17fcc03f,0xff9807ff,0x7c03ff32,0x8009fd3f,
    0xaaaaadfe,0x000aaaaa,0xffb117fa,0x7ffdffbd,0x37ffbfe2,0xfb00effe,
    0xf3159bff,0x5555557f,0x3fe63555,0xd80ffe01,0xff9006ff,0x7ff9ffff,
    0x3fe06fc8,0xe97fcc03,0xffffffef,0x00ffa5fd,0x7ffec5fd,0x47ff0ace,
    0xdfb01ff8,0xfaaffc00,0xffb8001f,0x5c7ff103,0x7ff103ff,0xfffff710,
    0x405fd85d,0xb01fea08,0x404fd8bf,0x3fee02ff,0xf982efff,0x87ff101f,
    0xb3efffd9,0x013fa07f,0x1fee3ff5,0x2fecff70,0x404fe800,0xb3001ffa,
    0x027f47ff,0x4fe87fea,0xf98ffd40,0x27ff101f,0xb04405fd,0xdb1000bf,
    0x5c13fe03,0x7ff4ffff,0x3fee7fe2,0xff900cef,0x03ff3017,0x101ff980,
    0x7fd407ff,0x3fb6a003,0xfc87ff2d,0x5013fa06,0x2b3fa3ff,0x5fabffff,
    0x5ff013f6,0x7c40ffee,0x407fe23f,0xf8800ffc,0x880df94f,0x2605fe80,
    0x817fa3ff,0x7e403ff9,0x881fee02,0x05ff13ff,0xdf70ffe2,0x4017fc40,
    0x3e200ee8,0x07ff302f,0xd817a04c,0x87fe406f,0x3f201ff9,0x9501ff25,
    0x6406fd85,0x4072a0ff,0x1bf65ff8,0x7ec1ff90,0x887fe406,0x7ff302ff,
    0xff881fee,0xca80ff93,0x220bfe22,0x20c402ff,0x43ff13ff,0x06fe8019,
    0xc980ffee,0x205ff10b,0x3e603ff9,0xff00000f,0x3606fc85,0x87fe406f,
    0x700664fe,0x97fc40df,0x3fe605fe,0x5407fe23,0xffb802ff,0xfe80bfb2,
    0xfb02ffc6,0xb02ffc7f,0xffc807ff,0x207ff304,0x17f60ffc,0x3e6077dc,
    0x05ff902f,0xff1013e0,0x00fff609,0x7fd409f0,0xe8bff102,0x47ff105f,
    0xff103ff9,0x102ffa8d,0x06fe8bff,0x2ffa93fa,0xfa8bff10,0x4bff102f,
    0xffb04ff8,0x640ffe67,0x07ff30ff,0xbff1bfe2,0x0003ff50,0x07fe27ff,
    0x4413fa00,0x3f606fff,0x6c13fe26,0x13f203ff,0xf980f2e0,0x5037e41f,
    0x3fe205ff,0x30013fa5,0x3ff205ff,0x7ec0bff2,0x407fe23f,0x2201fff8,
    0x3ff90eff,0xfb0ffea0,0xfffd883f,0xb107ff64,0x3a009fff,0x85ff901f,
    0x7fcc5ffa,0xc817fd44,0x3ff662ff,0x05f8802f,0x3222ffd8,0x22003fff,
    0x17fec05f,0xf503bfa2,0x77f5419f,0x10effe40,0xffb05ffb,0x40efe885,
    0x2e20bffb,0x17fec1ff,0x3603bfa2,0x77f442ff,0x9117fec0,0x7fe47fff,
    0x322ffd42,0x3f621dff,0x4e7fe42f,0x000fffa8,0x3ff13ff8,0x83ff7000,
    0x0dffefe9,0xfb07fee2,0x7ffe445f,0x003ff303,0x3fa03ff5,0x6c06fc87,
    0x77f442ff,0x20013fa0,0x3f662ffc,0x83ffb2ff,0x224fffd8,0x3fe601ff,
    0xfb988acf,0x17fea1ff,0x3e60ffec,0xcffeceff,0x3ffe65fd,0xfdcffece,
    0xff953105,0x3bffa201,0xc80efffd,0x5ffedfff,0x7f77fec0,0xf002fedf,
    0xf505515f,0xb9ffdfff,0xbff8007f,0x7ff442a8,0x00effedf,0xfffbfff7,
    0xfffd101d,0x207fffdd,0xfedfffe8,0xfffb00ef,0x107fffdd,0xffdbfffd,
    0x3ffa201d,0x80effedf,0xffeffffa,0x3fa23fdc,0x0efffdef,0x777fff44,
    0xff883fff,0x01ffffff,0x3e27ff00,0xff88001f,0x34fffcef,0xfffbdfff,
    0xdffff509,0x547fb9ff,0x1005ffcc,0xd7359dff,0x0df903ff,0xedfffe88,
    0x27f40eff,0xeeffd800,0xf32fedff,0x9ffd9dff,0x0ffc4bfb,0x3ffffea0,
    0xd82fffff,0xffc9cfff,0xfffd303f,0x83fea3df,0x1effffe9,0xff501ff5,
    0xff7007ff,0xea809fff,0x8802dfff,0xfd4fffeb,0x3fff2005,0xfffd305f,
    0x000ff67d,0x20bffff9,0x0ceffffb,0x7ffff4c0,0x7ffdc00c,0xfb802eff,
    0x200cefff,0xefffffb8,0x7fffdc02,0xffb800ce,0x2600ceff,0xfb3efffe,
    0xfffff707,0xffffb809,0x3f6202ef,0x0001dfff,0x0ffc4ffe,0xfffe9800,
    0x7fec41df,0x3a603fff,0x7fb3efff,0x0077ffd4,0xffffff30,0x1bf203ff,
    0x77fffdc0,0x004fe80c,0x9fffd710,0xffe98bfa,0x1ff51eff,0x26007fe2,
    0xdfffffec,0x3ffff201,0x98804fff,0x01988001,0x000aa880,0x44001988,
    0x03100009,0x059b3000,0x00001310,0x4400de4c,0x01300009,0x00133100,
    0x10001310,0x13100033,0x00262000,0x10001310,0x99880033,0x00662000,
    0xc88e6400,0x4c40000c,0x00131000,0x6c4004c4,0x970000bd,0x640137bd,
    0x04c4006f,0x0000b2e0,0x19880062,0x003ff100,0x4c003330,0x000bcecb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09d90026,0x7dd27640,
    0x80007ba2,0x01ceedc8,0x02cedc98,0xcccccca8,0x7776c03c,0x0bceeeee,
    0x3bbbba60,0xeeeeeeee,0xd9bfa2ee,0x6664c0ef,0x9104cccc,0x19999999,
    0x05ffb800,0x21361360,0xccccccc9,0x837fc404,0x17fa5ff8,0x882ffd40,
    0x0bd900ee,0xee827640,0x0dcc0003,0x07744391,0x904ffc80,0x37b200bd,
    0xf70ffc80,0x983ed83f,0x0ffd82ee,0x5c001ff9,0xeeeeeeee,0x5eeeeeee,
    0x880013b6,0x01f6c7ff,0x000f7440,0x0dd53dd1,0x101dff10,0x3fae01dd,
    0xfe80cfff,0xf97fa006,0x003ff14f,0x3ffffea0,0x3fee04ff,0x201fffff,
    0xfffffffc,0x7ffff406,0xcfffffff,0xfffffa80,0xffffffff,0x33fe22ff,
    0xffa81ffa,0x307fffff,0xffffffff,0x77fcc001,0x17f7004f,0xff503f91,
    0x80ffffff,0x3e600ffc,0x000efbaf,0x7fcc0dfd,0x400dfb01,0x09ff05fe,
    0x77ffec00,0x3fe61fdc,0xfeffa801,0x402ff983,0x3fa04ff9,0xff82ff8d,
    0x882ffa84,0x02ff9dfe,0x3ffffe20,0xffffffff,0x17fa6fff,0x47ff5000,
    0xf88004ff,0x3fe2001f,0xfc807fa9,0x83ff300f,0xffefffe8,0x037f42ff,
    0x9ffcbfd0,0x98001ff8,0xfea8beff,0xcfffb83f,0x300ffeb9,0x55555555,
    0xaaaefe80,0x6fffdcca,0xaaaaaa88,0xaaaaaefe,0x7fffcc0a,0x55555102,
    0x2aa20555,0x00aaaaaa,0xff19ff10,0x3fffa005,0x5555105f,0x7c405555,
    0xfffb802f,0x1ff3001f,0xd80ffcc0,0x17fa006f,0x880027fc,0x5fffc9df,
    0x2600ffcc,0x81ff9bff,0x3fa00ffd,0x3ffe200f,0x509ff04f,0x3fe605ff,
    0x7e4003ff,0xaaffeabf,0x2aaaaaaa,0x200017fa,0x013fe6fb,0xffffffd0,
    0x3fe203ff,0x7c407d99,0x07fe602f,0x2e239ffb,0x1bfa0fff,0x9745fe80,
    0xd8001ff8,0x47fe80ff,0xfc80eff8,0xfd000006,0x4ffd880b,0x001bfa00,
    0x00007dd7,0xec800000,0x40037ae5,0x00000bb9,0x64007d50,0x3b2002ee,
    0x20ffcc02,0xeeefffeb,0xfeeeeeee,0x27fc3eff,0x4c0a8800,0x401ff981,
    0x217b24ed,0xff503ff8,0x0bdd3007,0x1f8827fc,0x0013baa0,0x37ecbff1,
    0x002ff400,0x9ff1ec80,0xeffed800,0xf101eeee,0xd501aa3f,0x21ff9807,
    0xff305ff9,0xd0037f49,0xff11f8bf,0x09ff0003,0xffb87fea,0x980ffa01,
    0xe800accb,0x3ffb005f,0x001bfa00,0x40155100,0xcba880aa,0x000002bc,
    0x97500000,0x00000159,0xf3000000,0xffffc83f,0xffffffff,0x44ffffff,
    0x0005c4ff,0x00ffcc00,0x07fe4000,0x000037f4,0x07d413fe,0xffb80000,
    0x2001bf61,0xeeeeeffe,0xf8002cde,0xff88004f,0x47fe2001,0xf300004d,
    0x017fdc3f,0x037f4dfd,0x135cbfd0,0x2f32a3ff,0x4c13fe00,0x01bf21ff,
    0xffd10bf9,0xe805ffff,0xdff1005f,0x401bfa00,0x439712a8,0x3fe01ff9,
    0x7ffffd43,0x0d541eff,0x5300aa88,0xa8055103,0x3ffffffe,0x39712a88,
    0x79731544,0x5cc55105,0x3ff302bc,0x99efe988,0x99999999,0x7fc09efe,
    0xa8803f24,0x20af2e62,0x51001ff9,0x8bff1005,0x55501ffa,0x55555555,
    0x7cc27fc5,0x00554405,0xdfb1bfe0,0xffffd000,0xdfffffff,0xff8aa203,
    0x1ff88004,0xf1017973,0xaa81b53f,0xaaaaaaaa,0xa87fe62a,0xd3fdc05c,
    0x77f400df,0x3fe20eda,0x4fffffda,0x3f20ffb0,0x2e02fec7,0x6fffcc7f,
    0x204ffdbb,0x3f2005fe,0x00dfd007,0x3ffa3fe6,0x403ff33f,0x3bff23ff,
    0x46ffecab,0x7ff706fc,0x3ea0ffa0,0x7fff300f,0x989ffb75,0x3fffe8ff,
    0x3fff6ff1,0x5fe20eff,0x0efffffd,0x6c04ffcc,0x17fa006f,0x2fec67fc,
    0x7fedfe20,0x3e60efff,0x1ff5001f,0x743ff700,0x3fffa05f,0x6fffffff,
    0x00e213fe,0xb8007fe2,0x037ec2ff,0x66677f40,0xfffecccc,0xff0ffa80,
    0x5ff10009,0x1dfffffb,0xfd00ffc4,0xffffffff,0x00ffccdf,0xdfd2fec0,
    0x567ff400,0x6ffffc40,0xa85ffdaa,0x3fea0cff,0x32037ec4,0x40f7f47f,
    0xbfd00ffb,0x007fdc00,0xf98037f4,0x30ffffdf,0x9ffc03ff,0xff905ff8,
    0x6c07fd45,0x1ff885ff,0xfd00ffa8,0x43ff901d,0xffffdff9,0x9ffbff10,
    0x7c4dffb7,0xfdbcffdf,0x3dffcc6f,0xfd0037ec,0x3fb7fe0b,0xfdff8804,
    0x26ffdbcf,0xf5001ff9,0x57fa001f,0x32e00ffb,0xfecccccc,0x0013fe4f,
    0x2001ff88,0x06fd86ff,0xb805fe80,0x0ffa85ff,0xf10009ff,0xff99ffff,
    0x00ffc4df,0x99999997,0x7fcc9ffd,0x17fdc001,0x7f400dfd,0x0fffe205,
    0x3a607fee,0x83fffeff,0x3fa01ffc,0x407ff50f,0x0bfd05ff,0x4017fd40,
    0xff3006fe,0x3ff30c7f,0xfea9ffc0,0xf85ff300,0x87fff82f,0x1ff506fa,
    0x7403ff70,0x8fffe66f,0x20fffe21,0xfff11ffc,0x4c3ff907,0xffd87fff,
    0xeeeeeeee,0xff05ffee,0x3e2007ff,0x1ffc83ff,0x2aa63ff3,0x000ffa80,
    0x09ff5ff3,0x22ffcc00,0x220004ff,0xff7001ff,0x555ffb05,0x41555555,
    0xffd005fe,0x3fe1ff50,0x881aa884,0xffc83fff,0x0003ff11,0xff317fe6,
    0x27fd4003,0xfe801bfa,0x817fe205,0xfff905fe,0xff501dff,0x47ffea09,
    0x3f200ffc,0x77fff747,0xf981eeee,0x5555443f,0x0aaaaefe,0x2605ff98,
    0x0ffe01ff,0xfd87ff00,0x0ffefcc4,0x7fd413f6,0x5405fd80,0x0bff30ff,
    0xf882ffc4,0x20bff12f,0x3fe62ff8,0xffffd80e,0xffffffff,0x5fff05ff,
    0x82ffc400,0x3ff32ff8,0x3ea03ff2,0x2666600f,0x999ffffe,0xdfd10009,
    0x0004ff81,0x74007fe2,0xffffb06f,0x1fffffff,0xfc802ff4,0xf87fd41f,
    0x84ff884f,0xff305ff8,0x0007fe25,0xf303bfa2,0x3fea003f,0x2006fe85,
    0x3fe205fe,0xd31fee02,0xfff95bff,0x25bffb05,0xb0ffffd9,0x999999df,
    0x7fc1ffb9,0xffffffff,0x4c3ff981,0xffffffff,0xff981fff,0x807fe603,
    0x953103ff,0xfb87fffb,0x1fedfdc7,0x7fd407fe,0x4c04fe80,0x07ff31ff,
    0xff01ffc4,0xf80ffe27,0x407ff23f,0xcccccffd,0x5ffccccc,0x4004ffb8,
    0x3fe03ff8,0x3f23ff33,0x00ffa80f,0xfffffff1,0x07ffffff,0x3e03ffa0,
    0x3e20004f,0x2ffa801f,0xffffffb0,0x741fffff,0x3ff9005f,0x9ff0ffa8,
    0xf109ff10,0x89ffc07f,0xfe8001ff,0x01ff980f,0xfd05ffa8,0x02ff400d,
    0x7d403ff1,0x1037fe0f,0xfe885ff9,0xfaefffff,0xfffffd0f,0x3fffffff,
    0x5400bfd0,0x555441ff,0xaaaaefea,0x202ff980,0x3fe01ff9,0x7ffff5c3,
    0x7c43ffef,0x3ee7fa1f,0xfa81fe65,0x403ff80f,0x5ff32ff8,0xd017fc40,
    0x80bfe27f,0x3fffb3fe,0xe801bf60,0x27ffe45f,0x80bfe200,0x23ff33fe,
    0xffa80aa9,0xddddd100,0xdddddffd,0x03ffb005,0x880013fe,0x6fe801ff,
    0x2001bf60,0xfff005fe,0x3fe1ff50,0x881aa884,0x4ffa02ff,0x6c001ff8,
    0x3ff301ff,0x6c0bfd00,0x17fa007f,0x2600ff88,0x05ff51ff,0xffc827fc,
    0x74ff54ef,0xaaaaaadf,0xfe80aaaa,0x03fee005,0x4c01bfa0,0x3fe601ff,
    0xfd8ffe01,0xff0aceff,0x3e27fd07,0x27e4ff37,0xff01ff50,0x32ff9807,
    0x7fc403ff,0x7c4ffa01,0x7cffa01f,0xdfb01ffc,0x3e2ff400,0x44004ffd,
    0x4ffa01ff,0xf5001ff9,0x6fb8001f,0x05ff9000,0x100027fc,0xffa803ff,
    0xffffffff,0x5fe8006f,0xa85ffb80,0x009ff0ff,0x7403ff10,0x003ff13f,
    0xf3017fe4,0x0ff9803f,0xf801ff60,0x03fe205f,0xff90ff98,0x4407fc80,
    0xbfb37dc0,0x05fe8000,0x7401ff20,0x3ff3006f,0x880ffcc0,0x07ff73ff,
    0x3ee0ffe2,0x8ffcbf55,0x3fea02fe,0x5404fe80,0x03ff31ff,0xfd00ffc4,
    0xe807fe27,0x03ff333f,0xfe801bf6,0x004ffa45,0xfd00ffc4,0x4007fe67,
    0x26600ffa,0x99efc999,0x3ee00999,0x027fc03f,0x803ff100,0xfffffffe,
    0x8006ffff,0xaaaaaefe,0x80fffeca,0x09ff0ffa,0x403ff100,0x03ff13fe,
    0x300ffee0,0x6fb803ff,0x4007fe40,0x3e204ff8,0xe9fea00f,0x07fd405f,
    0xfc97f600,0xe8165407,0xbff1005f,0x401bfa00,0x3e201ff9,0x27ff302f,
    0x3fe605fe,0x7f97f983,0x03fc67e4,0x3f603fea,0x987fe406,0x3fe201ff,
    0x7c4ffa01,0x98ffa01f,0x0dfb01ff,0xff82ff40,0x0ffc4004,0x3fe67fd0,
    0x01ff5001,0x3fffffe2,0x3fffffff,0xf009ff50,0x7c40009f,0x2ffe601f,
    0xe9999999,0xffe8006f,0xffffffff,0x1ff501ef,0x220013fe,0x4ffa01ff,
    0xfa801ff8,0x1ff9804f,0x2a02fe40,0xffb802ff,0x80bfe202,0x01ff26fc,
    0x02e4cffb,0x7fcc5ff1,0x20dff103,0xffb005fe,0x01bfa005,0xf100ffcc,
    0x4fff609f,0x3ff605ff,0x3fd5fd03,0x02fdf7d4,0x3ea03fea,0x4bff102f,
    0x3e201ff9,0x44ffa01f,0x8ffa01ff,0xdfb01ff9,0xf82ff400,0x7fc4004f,
    0x7ccffa01,0x1ff5001f,0x33333220,0xcccccffe,0x005ff981,0x440009ff,
    0x1ff601ff,0x2001bf60,0xfffffffe,0x7d403cee,0x0009ff0f,0x7f403ff1,
    0x9803ff13,0xff3005ff,0x40098803,0x2201fff8,0x3e200eff,0x47ff106f,
    0xff102ffa,0xc81ffc4b,0x1dffc86f,0x740bff62,0x4ffb805f,0x401bfa00,
    0x7ec01ff9,0x3fff222f,0xd883ffb3,0xbf904fff,0xfeff88ff,0x807fd402,
    0x7f442ffd,0x807fe60e,0x3fa01ff8,0x7403ff13,0x407fe63f,0x3fa006fd,
    0x8009ff05,0x3fa01ff8,0x2003ff33,0x5c000ffa,0xdff1006f,0x013fe001,
    0x301ff880,0xdfb007ff,0x00bfd000,0x3e1ff500,0xff88004f,0x7c4ffa01,
    0x3bfe201f,0x03ff3000,0x7ffcc000,0xffb988ac,0x7ffc401f,0x7437f445,
    0x7ff542ff,0x320f7f41,0xffe880ff,0x03fffeef,0x2aaabbfa,0x06ffecba,
    0x98037f40,0x7fd401ff,0xfdcffeff,0xd9dfff33,0x20bfb9ff,0xfe85fffa,
    0x7fd400ff,0xbfffd100,0xf981dffd,0x07fe201f,0x3ff13fe8,0xff31ff40,
    0x801bf603,0x5bff05fe,0x55555555,0xe807fe21,0x003ff33f,0x70003fea,
    0xdfd100df,0x26666621,0x2aab7fe1,0x80aaaaaa,0xffb01ff8,0x55ffb001,
    0x55555555,0x00017fa1,0x6ffc3fea,0xaaaaaaaa,0x807fe20a,0x03ff13fe,
    0x4c43bfa2,0x3e619999,0x0376401f,0xffffffa8,0x8802ffff,0xfedffcff,
    0xffe881ff,0x83ffffdf,0xffdefff8,0x7ffdc02f,0x7f402eff,0xffffffff,
    0x74000dff,0x3ff3006f,0xdfffd300,0xfe98ff67,0xff51efff,0x20fffe01,
    0xfa805ffc,0x7ffdc00f,0xff980cef,0x807fe201,0x03ff13fe,0x3ff31ff4,
    0xe801bf60,0xfffff05f,0x7fffffff,0xfe807fe2,0x2003ff33,0x5c000ffa,
    0xfffb806f,0xffffffff,0xffffff1f,0x07ffffff,0xff303ff1,0x3fff6009,
    0xffffffff,0x000bfd1f,0x3fe1ff50,0xffffffff,0x07fe23ff,0x3ff13fe8,
    0x3ffffee0,0x1fffffff,0xfd803ff3,0x3fb26007,0x001dffff,0x3ffeeff1,
    0x7fe400df,0x2200dfff,0x01cefffd,0x40026620,0xfffffffe,0xd0000cee,
    0x3fe600df,0x00262001,0xb0001988,0x7ff503ff,0x001ff500,0xff300262,
    0x00ffc403,0x07fe27fd,0x3fe63fe8,0x400dfb01,0xffff05fe,0xffffffff,
    0xe807fe27,0x003ff33f,0x70003fea,0xfff700df,0xffffffff,0x3ffffe3f,
    0x3fffffff,0xfd81ff88,0xfffb000f,0xffffffff,0x0017fa3f,0x7fc3fea0,
    0xffffffff,0x07fe23ff,0x3ff13fe8,0x3ffffee0,0x1fffffff,0xfd803ff3,
    0x06660007,0x00188000,0x44001988,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xdb000998,0x9ddddddd,0x41750017,
    0x749fd1c9,0x9999955f,0x19999999,0x40176c00,0x02ceedc8,0x003eeb80,
    0xdddddddb,0xfc80057b,0xddddddb2,0x640179dd,0xeeeeeeee,0x223eeeee,
    0x3b2001ee,0xeeeeeeee,0x3dd13eee,0xb8007ba2,0x362003ee,0x8017b25e,
    0x21dd54ec,0xddb003ed,0x2001f6c7,0x2000eeed,0x37b66eeb,0x369d9000,
    0xeeeeeeee,0xddd902ce,0x79dddddd,0x3bba6015,0xeeeeeeee,0xdd92eeee,
    0x0eeb8001,0xeb801dd5,0x24ed805e,0xd5002eeb,0xeeee985d,0xeeeeeeee,
    0x44bbae5e,0xcccccccc,0x2a215530,0x02ffc802,0xffffffd0,0x019fffff,
    0x3b3bfffa,0x7f49fd0f,0xffffffb5,0x01ffffff,0x900bfee0,0xdfffffff,
    0x3fff4001,0xffffff80,0x00efffff,0xffd2ffa8,0xffffffff,0xfffd019f,
    0xffffffff,0x0ffc49ff,0xfffffb00,0x9fffffff,0x7fc47fe2,0x3ffe2001,
    0x45ff9000,0x3fa006fd,0x3fe3ff55,0x44ffd804,0x7fc004ff,0x3fe003ff,
    0x017ffa7f,0xfffeafec,0xffffffff,0x7ffff41f,0xffffffff,0xffffa80e,
    0xffffffff,0x7ff52fff,0x265fe800,0x7ff402ff,0x8ffe200f,0x4400fff8,
    0xfff985ff,0xffffffff,0x4bff27ff,0xfffffff9,0x2a3ff70f,0x7fe400ff,
    0x55dfd002,0xfffb9955,0xf939f30d,0x91f6c9ff,0x3bbbb29d,0xfffeeeee,
    0x2fff9800,0x26fbfee0,0x3006ffda,0xf005ffdf,0x997555bf,0x4c01fffd,
    0x5dfd2fff,0xffd99555,0x55dfd0df,0x55555555,0x00ffc435,0x5555ffb0,
    0x23555555,0x3ff11ff8,0x06ffa800,0x7ec4ffa8,0x557fa006,0x809ff1ff,
    0x4ff84ffd,0x37fffc00,0x27fffa80,0xd802fffe,0x555dfd5f,0xfffd9955,
    0x55577f41,0xffebaaaa,0x5555440f,0xaaaefeaa,0x1bfe0aaa,0x7c2ff980,
    0x3ffe204f,0x07fea02f,0xfe80dff3,0xaaaa880f,0xfcaaaaaa,0x44bff26f,
    0x2aaaaaaa,0x7fd47fee,0x01775c00,0x6c405fe8,0x2054c4ff,0x7000000a,
    0x3fa005ff,0xbff102ff,0x200ffea0,0x805fccfd,0x7fd404ff,0x5ffff903,
    0xfd1017fa,0x006fe89f,0x8007fe20,0x100006fd,0xfb0003ff,0x77f4407f,
    0xd0037ec0,0x7c7feabf,0x13ff604f,0x3e0027fc,0xc800ffef,0x3ffa7fff,
    0xafec00ff,0xffb805fe,0x6401bfa5,0x3fa003ff,0x01ff9006,0x3f61ff20,
    0x3f3bea06,0x641ff204,0x3ff903ff,0xfff88000,0x000bff20,0x7fd42aa6,
    0xfe800000,0x03ffb005,0x44000000,0x9f9004ff,0x3fea05ff,0x1017fe02,
    0x01ff33ff,0xfe804ff8,0x7efff4c6,0x100bfd2f,0x37f43ffd,0x03ff1000,
    0x00037ec0,0x8001ff88,0xf900fff8,0x00dfb03f,0x1ffaaff4,0x3ff609ff,
    0x0013fe04,0x007ff9ff,0x7f4ff9ff,0x7ec05ffe,0x3a00bfd5,0x401bfa7f,
    0x3a005ff8,0x7ff3006f,0x2e13fe00,0x2b3f207f,0x817fa07f,0x7fd41ffe,
    0x7f440003,0x417fe41f,0x3ea002a8,0x5555540f,0x02aaaaaa,0x3e200bfd,
    0x8055106f,0xfe8002a8,0xf1df5006,0x01fee05f,0x7fb80df9,0x9ff013fe,
    0xff8ff900,0xfd2ff8bf,0x9bfe200b,0x220006fe,0x455501ff,0xa88006fd,
    0x263ff10a,0x7d401bcb,0x04ff985f,0x7f400dfb,0x3fe3ff55,0x403ffd84,
    0x7fc004ff,0x7d405fcc,0x33fa7fbd,0x3f602ffc,0x2e00bfd5,0x00dfd1ff,
    0xfd003fec,0x037f400d,0x7cc07fd4,0xf15fd01f,0x05ff103f,0xff137fcc,
    0xffb0000b,0x505ff707,0x3ea001ff,0x7ffff40f,0x06ffffff,0x7e400bfd,
    0x401ff507,0x2e000ffa,0xff8801ff,0x80005ff1,0x2ff405ff,0x4ff80ff9,
    0x67c5fe80,0x3fa5ff10,0xe9ff2005,0x3e20006f,0x22ffd81f,0xf88006fd,
    0xfb5ff11f,0x401dffff,0x37f42ffd,0x7400dfb0,0x3e3ff55f,0x01ffec4f,
    0x3e0027fc,0x200ff9cf,0x3a7fbafd,0x00ffe8cf,0x017fabfb,0x6fe8ffe4,
    0x801bfe00,0x3ea006fe,0x037ec01f,0x4ff307ff,0x0ffa83fe,0xfea7fdc0,
    0x7e40000f,0x03ff705f,0x2a001ff5,0x6665c0ff,0x4ffecccc,0x5c00bfd0,
    0x0ffa80ff,0x4003fea0,0xfb003ff8,0x00017fc9,0x7cc07ff5,0x80bfe62f,
    0x7fdc04ff,0x4bfe2042,0x3ea005fe,0x000dfd0f,0x3f60ffc4,0x0037ec1f,
    0xff88ffc4,0xffebbeff,0x43ffe206,0x3f601ffb,0x557fa006,0x6c9ff1ff,
    0x9ff003ff,0xfd4ff800,0x7dc7fc07,0x7fcd3fa7,0x3fabfb05,0x74fff005,
    0x9ff7006f,0x0037f400,0xff8813fe,0x2e17f602,0x3217f25f,0xbffb006f,
    0xa80005ff,0x3fea06ff,0x000ffa81,0x4c001ff5,0x17fa05ff,0xa82ffa80,
    0x3fea00ff,0x01ff9000,0x2ff8df70,0x03ff6000,0x6fe87fc8,0x3333bfe0,
    0x02ffeccc,0xbfd2ff88,0xe97fcc00,0xaaaaaaef,0x7c42aaaa,0x207ff61f,
    0xaaaaaffd,0x3e20aaaa,0x07fff11f,0x7d401ff9,0x403ff8cf,0xeeeeeffd,
    0x5ffeeeee,0x53fe3ff5,0xf000fffd,0x4ff8009f,0x57ea0bf9,0xc93fa7fb,
    0xd5fd82ff,0xbff700bf,0xa98837f4,0x2000fffc,0x7e4006fe,0x701fee07,
    0x4c7fb0ff,0x027f40ff,0x04ffff88,0x07ffcc00,0xf501ff50,0x3fea001f,
    0x1dfd1000,0xddfffdd0,0xff303ddd,0x401ff507,0xf8800ffa,0x1ff8804f,
    0xc80017fc,0x27fc02ff,0xff80ffdc,0xffffffff,0x5ff1004f,0xf88017fa,
    0xfffffd3f,0xdfffffff,0xffb1ff88,0x3ffff603,0x1fffffff,0x7fc47fe2,
    0x805ff305,0x806feffd,0xfffffffd,0x5fffffff,0x37fe3ff5,0x005ffffd,
    0xff8009ff,0xfb01ff34,0x4fe9fee5,0xfb03ffa2,0x2aabbfab,0xfffecbaa,
    0x3fffffa0,0xefffffff,0x037f4001,0x7407fe60,0x07fcc04f,0x85ff07fe,
    0x3ea002ff,0x7440007f,0x7fcc01ff,0x000ffa80,0x3a001ff5,0xffff00ff,
    0x03ffffff,0xff507ff3,0x007fd401,0x7400ffdc,0x002ff83f,0x5404ffc8,
    0x4ff881ff,0xddddfff0,0x01bffffd,0xbfd2ff88,0xe9ffcc00,0xeeeeeeff,
    0x7c44eeee,0x201ffd9f,0xfffffffd,0x3e21ffff,0x407ff11f,0x7fc403ff,
    0xffd800ff,0xcccccccc,0xff55ffcc,0x2bffffe3,0xff803ffd,0xd27fc004,
    0x2e7f887f,0xf313fa7f,0xfd5fd8bf,0xffffffff,0xffe83dff,0xffffffff,
    0xdfd0003d,0x309fd000,0x5ff003ff,0x27ec3fd4,0xfe800ff3,0x360003ff,
    0x7f9803ff,0x2001ff50,0xfd800ffa,0x05fe801f,0x2a07fea0,0x3fea00ff,
    0x806fe800,0x05ff05fc,0x804ffd80,0x99999efd,0x9ff07fe9,0x07ffd440,
    0x3fa5ff10,0x4bfea005,0x220006fe,0x00fffeff,0x22001bf6,0x05ff11ff,
    0x7d401ff4,0x0dfb003f,0xffaaff40,0x225ffff1,0x7fc01ffe,0x927fc004,
    0x2e4fa8bf,0x3213fa7f,0x757f62ff,0xefffffff,0x3dfd02cd,0x5ffd5333,
    0x037f4000,0x7e43fdc0,0x649f9006,0x2e6fb84f,0x3ff2005f,0xc8001ffe,
    0xff1004ff,0x4003fea0,0x7e400ffa,0x0bfd002f,0x5407fdc0,0x3fea00ff,
    0x017fcc00,0x7fc03fe6,0x9ffd1002,0xfffff100,0x5fffffff,0xf3009ff0,
    0x97fc407f,0x3ee005fe,0x000dfd1f,0x7fffffc4,0x001bf605,0x7fc47fe2,
    0x200ffa01,0xfb002ff9,0xaaff400d,0x85fff1ff,0x7fc06ff9,0x327fc004,
    0x717ec1ff,0x4427f4ff,0x2bfb0ffe,0x3a0005fe,0x0fff606f,0x0037f400,
    0x3fe17fc4,0x74df5003,0xb0ff982f,0x3fe6007f,0x000eff9c,0x8801bfea,
    0x01ff506f,0x3fea3dd5,0x00ffee00,0x32005fe8,0x01ff507f,0x32007fd4,
    0xfffc807f,0xffffffff,0xffd100ff,0x3ffee007,0xffffffff,0x004ff86f,
    0x7fc40bfd,0x6400bfd2,0x00dfd0ff,0x5cfffc40,0x0dfb02ff,0x223ff100,
    0x0ffa01ff,0x400bfe60,0x3fa006fd,0x3fe3ff55,0x409ff904,0x7fc004ff,
    0x7f89ff44,0x09fd3fdc,0xafed7fea,0x3a0005fe,0x17ff406f,0x0037f400,
    0x3fea5fd8,0x11ff1000,0x47fe01ff,0xff8801ff,0x009ff70e,0x0003ffe6,
    0x03fea0df,0x7fd47fee,0x009ff500,0xf1005fe8,0x03fea0bf,0x7c00ffa8,
    0xfffc804f,0xffffffff,0xffe880ff,0x017fa002,0x9ff07ff2,0x881ff600,
    0x00bfd2ff,0x6fe97fe2,0x8bfe2000,0x6fd80ffd,0x11ff8800,0x1ff403ff,
    0x8017fcc0,0x3fa006fd,0x3fe3ff55,0x40bffa04,0x7fc004ff,0x4fbb7e44,
    0x09fd3fdc,0xafed7fe4,0x3a0005fe,0x7ffcc06f,0x037f4000,0xfb0ffa80,
    0xbafe8009,0x26ff206f,0x3ffb007f,0x4402ffd8,0xf8001ffe,0x701ff505,
    0x03fea3ff,0x20017fe6,0xffb005fe,0x803fea05,0x3e200ffa,0x9998802f,
    0xbff99999,0x1ffe8819,0x00bfe600,0x9ff13fe2,0x8817fe00,0x00bfd2ff,
    0x6fe8bff6,0x87fe2000,0x6fd85ff8,0x11ff8800,0x1ff403ff,0x8017fcc0,
    0x3fa006fd,0x3fe3ff55,0x03ffe604,0xff0013fe,0xfd8ff989,0x9fd3fdc1,
    0x7f7ff440,0x4000bfd5,0xffb806fe,0x037f4005,0xff15ff00,0xdbfc8003,
    0x2f7ea03f,0x3ffb804f,0x200fff88,0x00003ffd,0xf300ffa8,0x1dff1001,
    0x00bfd000,0x7d409ff7,0x03fea00f,0x0001ffa8,0x7ec05ff0,0x3fe4001f,
    0x7c1ffd00,0x3ffc804f,0x7f4bfe20,0x46ffb805,0x220006fe,0x17fdc1ff,
    0x22001bf6,0x03ff11ff,0x7cc01ff4,0x0dfb002f,0xffaaff40,0xfb809ff1,
    0x004ff86f,0x67f427fc,0x3a7fb86f,0x7ffd404f,0x000bfd5f,0xfe8037f4,
    0x1bfa003f,0xfadfc800,0xfdfa8006,0x37fe201f,0x2ffcc02f,0x2e0bff50,
    0x000004ff,0x1ae01ff5,0x443bfa20,0xd0199999,0x755555df,0xa80dffd9,
    0x3fea00ff,0x001fee00,0xf502ff80,0x555555bf,0x04ff8555,0xff8ffea0,
    0xbaaaaaad,0x7c406ffe,0x555dfd2f,0xdffd9755,0xaaaefe81,0xaaaaaaaa,
    0x3a07fe22,0x01bf60ff,0x7c47fe20,0x00ffa01f,0x6c00bfe6,0x57fa006f,
    0x09ff1ffa,0xff89ffb0,0xaaaaaaad,0x709ff0aa,0xff709fff,0x7e4027f4,
    0x00bfd5ff,0x98037f40,0xfd000fff,0x7fc4000d,0xf88003fd,0xffe807ff,
    0x3ffa200f,0x21ffec00,0xaaaafff9,0xaaaaaaaa,0xf503dd50,0x009f301f,
    0xfffffff7,0xd03fffff,0xffffffff,0xa801bfff,0x3fea00ff,0x001bf200,
    0xfd02ff80,0xffffffff,0x0ffd4fff,0x7cdff100,0xffffffff,0x4400efff,
    0xffffd2ff,0xdfffffff,0xfffffd01,0xffffffff,0x4c0ffc4f,0x01bf65ff,
    0x7c47fe20,0x00ffa01f,0x6c00bfe6,0x57fa006f,0x09ff1ffa,0x7c3fff10,
    0xffffffff,0x09ff3fff,0xf703fff3,0x44027f4f,0x0bfd5fff,0x0037f400,
    0x3a00bff9,0x7ec0006f,0xfd0000ff,0xdff900bf,0x802ffd80,0x3ee1ffe8,
    0xffffffff,0x71ffffff,0x1ff503ff,0x3ee00730,0xffffffff,0xffe81fff,
    0xceefffff,0x01ff5000,0xfd007fd4,0x7fc0000b,0xfffff882,0x7fffffff,
    0x32001ff6,0xfffff1ff,0x05bdffff,0x7f4bfe20,0xeeffffff,0x3fffa01c,
    0xffffffff,0x07fe27ff,0x6fd97fe4,0x11ff8800,0x1ff403ff,0x8017fcc0,
    0x3fa006fd,0x3fe3ff55,0x1fff5004,0x3ffffffe,0xff3fffff,0x5c1bfa09,
    0x4013fa7f,0x0bfd5ffa,0x0037f400,0x3a00bffa,0x7d40006f,0x3ee0005f,
    0x4ff9802f,0x8013fee0,0x3fee6ff9,0xffffffff,0xf71fffff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55530200,0x55555555,
    0x1e540155,0x2f2ea200,0x1665440a,0x2b32ea00,0x59951000,0x2af2e601,
    0x59995000,0x40155101,0xcba880aa,0x155102bc,0x1aa85540,0x01799710,
    0x01599730,0x05665d40,0xaaa87ba6,0xaaaaaaaa,0x65c4aa22,0x2a00aa61,
    0x1015511a,0x31544555,0xca881797,0x262a883c,0xaa982bcb,0x4c035510,
    0x4406aa2a,0x035300aa,0x02600aa8,0x03001800,0x000a9855,0x42a80600,
    0x5002a0a9,0x00009880,0x80000980,0x2a200198,0x39762ccc,0x2e028800,
    0x3fee005f,0xf75fffff,0x80bfffff,0xffffffea,0x3fffa203,0x3fa24fff,
    0x201effff,0xfffffff9,0xf00ffcc3,0xffffa87f,0x7cc1efff,0x74ffe01f,
    0x7fff445f,0xfd102fff,0x805fffff,0xffffffea,0xfe8bfe63,0xffffffff,
    0x3a3fe66f,0x3ff33fff,0xf88ffcc0,0x21ffd81f,0xffffb7f8,0x3fffe65f,
    0x6dfe20ef,0x20efffff,0x3ff61ffb,0x324ff981,0x07ff706f,0x3ff00ffa,
    0x000efdc0,0x22b98fea,0x51fe45f9,0xc88000bf,0x4c9f704f,0x403bea6f,
    0x17f603fd,0x0b3bf6e0,0x3fb21fe4,0x3fec01ce,0xfffffa80,0x00e3fdff,
    0x5fb80a20,0x57bff900,0xffffffd9,0x209ffd77,0xdbabfff9,0xbffd04ff,
    0xf39ffb75,0xfff95bff,0x59dff105,0x7cc9ffb7,0xc8ffe01f,0xfecabeff,
    0x00ffcc6f,0x897fa7ff,0xfecabffe,0x6fffcc2f,0x304ffdbb,0xfb757dff,
    0xb8bfe69f,0xeccccccc,0x37fe64ff,0x3fa0ffff,0xf89bf204,0x20ffec1f,
    0xdbdfdff8,0xbdffbfff,0x3fe25ffd,0xffdbcffd,0xf887fee6,0x237f446f,
    0xffd80ffa,0x401ff885,0x3fee01ff,0xff9002ef,0xfbffffdb,0x0ffc41df,
    0xb50007fb,0xff109fff,0xff317f41,0x02ffd81d,0x6403fff3,0x20ffdcef,
    0x3f23ffd8,0x6c06fdbd,0xeffb807f,0x46fffdab,0x20288003,0xff8805fb,
    0x07fffd02,0xdfd05ff1,0xd83ff901,0xfffb81ff,0x87fc80ef,0x4ffb07fb,
    0x3fe01ff9,0x320bff13,0x07fe62ff,0x49b53ff8,0x6fe80efe,0x7dc0f7f4,
    0x80efe80f,0x01f10ffc,0xf317fe60,0x3f20c7ff,0xf88ffe07,0x207ff61f,
    0x7cc3fff8,0x7fe40dff,0x907fff10,0x02aa63ff,0x7fec7ff5,0xff82ff81,
    0x806fa87f,0x7ed401ff,0x6400cfff,0xfffdffff,0x26fb80ef,0xb8800ff9,
    0xd02efffe,0x4c2fe47f,0x5ffb0eff,0x827ffe40,0x53f20fe8,0x913feffa,
    0x2e00ff89,0x2ffc404c,0x0707ffcc,0x7dc05100,0x206fa805,0x3ee06ffc,
    0xd00ffdc7,0x01ffccdf,0x2607fffb,0x82fe43ff,0x3ff30ac9,0xfea9ffc0,
    0x4c5ff300,0x8ffe01ff,0x203ff33d,0x7ff50ffa,0x3ee2ffc0,0x553fa01f,
    0x1dfd1007,0x4405ff98,0x0ffa81ff,0x7fec7fe2,0x20bff101,0xff981ffe,
    0x220bff11,0xff9002ff,0x3607ff51,0x7fefcc4f,0x7c027ec1,0xff71001f,
    0x3e603bff,0x13fea0cf,0x1bf24fe8,0xcffffc98,0xf99bee01,0xbdff301f,
    0x7fc405ff,0x32000ff9,0x7f71972f,0x001bee20,0x7407fec0,0x000e5fff,
    0x4ccccca2,0x19999efc,0x03ff9800,0x5fd83fe2,0xfa87fd40,0x07ffcc07,
    0xffb8bfb0,0x1ff9800c,0xf000ffe0,0x00ffcc7f,0x5c7e27ff,0x3f20406f,
    0xb1ff200f,0x9ffa80bf,0x1ffd002e,0xd007ff30,0x88bfb09f,0x01ffd9ff,
    0x7e40ffe2,0x225ff107,0x0ffe03ff,0x7ff7f440,0xf71fee05,0x1ff87fb7,
    0x8001ff80,0x0befffda,0x37dc1bf2,0x3e23ff50,0x7fff544f,0x7fcc00be,
    0xf3013fa2,0xfb805fff,0x2a007fb5,0x83fb80ff,0x7ffc6ff8,0xffffffff,
    0x909fd0ff,0x01cdf95f,0xffff9440,0xffffffff,0x32e6200f,0xcccdfffe,
    0x22ffcccc,0x7fcc04fe,0xf880df91,0xccccccef,0x7f446fec,0xf301ceff,
    0x81ffc03f,0xfffdca98,0xf807fe63,0x3f24fbbf,0x677ec005,0xfdcccccc,
    0x3013fa0f,0x36003fff,0x5ff301ff,0xf88ff500,0x7f7fc42f,0x3fe200ff,
    0x220df902,0x05ff12ff,0xf3001ff4,0x7c401dff,0x3ee7fa1f,0xff71fe65,
    0xffffffff,0x326009ff,0x0bfa4fff,0xfb007fc4,0xfb8ffdcd,0x3a001dff,
    0x003ff26f,0xf003fffa,0x201fe63f,0x7f701ffc,0x21dfb710,0xffffffff,
    0xff0fffff,0xff54fa85,0xf944001c,0xffffffff,0xeb80ffff,0xffffffff,
    0xffffffff,0x00ffe3ff,0x17f65ff1,0x3fffffe0,0x87ffffff,0xffffffd8,
    0xf00ffcc4,0xfffeb87f,0x263ffeff,0x3ffe01ff,0x0027f43e,0x3ffffffa,
    0x21ffffff,0x7fc403ff,0x05ff9002,0x4400ffcc,0x21fee2ff,0x5ffffff8,
    0x6407fe20,0x25ff106f,0x3fa01ff8,0x1ffec003,0x7f89ff40,0x227e4ff3,
    0xfffffffb,0x004fffff,0xff93ff66,0xe807fe01,0x5c3ff25f,0x6c001dff,
    0x007fea7f,0x01dffffb,0x05fd1bea,0xf70077ec,0x553fb807,0x55555555,
    0x3ff11555,0x1ff337cc,0x80a2000e,0xffb005fb,0xff3159bf,0x55555557,
    0x01ffc355,0x2ff4bfe6,0x5556ffc0,0x02aaaaaa,0x3ffff6e2,0x403ff30e,
    0x3fff63ff,0x47ff0ace,0x3fe01ff9,0x8009fd03,0xaaaaadfe,0x3e0aaaaa,
    0x0ffcc03f,0x201ffdc0,0xfb001ff9,0x7c427f4b,0x02ffb8ef,0x3f203ff1,
    0x225ff106,0x0ffa01ff,0x0ffff980,0x5faafdc0,0x217f47fe,0xffaaaaa8,
    0x801aaaab,0x22efffea,0x0ff505fc,0xff987fdc,0x3bfff662,0x3ff8800b,
    0xffd817f6,0xe80eff9a,0x4437dc3f,0x3fb804fe,0x04fc87b3,0x897fc400,
    0x43fea0fe,0x20288003,0xffc805fb,0x01ff980b,0x5404fe80,0x80bf91ff,
    0x00005ff8,0xf33ffd98,0x4ffe203f,0xff103ffb,0x880ffcc7,0x0bfb03ff,
    0x017f6088,0x2a027f40,0x4ffa807f,0x001ff980,0x3ff11ff3,0x7f43ff10,
    0x01ff880f,0x3fe20df9,0x7403ff12,0x3bfa003f,0xbfcc05fe,0x233f23fc,
    0x07fe007f,0xffffc880,0x41ffa81c,0xff105fe8,0xc8827ec5,0x401cffff,
    0x5ff10ffa,0x7cc5ffb0,0x03fe60ef,0xffe83ff1,0xfb83cccc,0x3f2b3fa3,
    0x01ff600f,0x70bf69ff,0x44001cff,0x2017ee02,0x3fee06fe,0xd82f2603,
    0x87fe406f,0x3ee00ffb,0x2165406f,0xbff101ca,0x7cc0bfe2,0x4c0bfd3f,
    0x0bfe23ff,0xfb81ffcc,0x64ffe207,0x2165407f,0x37e406fd,0x4017fe60,
    0x3a001ff9,0xf106fbaf,0x42ffcc3f,0xdf901ff8,0x7c4bfe20,0x00ffa01f,
    0x7fcc7fe4,0x7f57f403,0x17efbea1,0x9801ff80,0x00bffffd,0x32f7ffea,
    0x9f904fff,0x5c0077d4,0x202efffe,0x91bea4fc,0xbff305ff,0x5fc82fec,
    0x3fffffea,0x263fb85f,0x402dfffd,0x77f407fd,0x25fd83fb,0x20288003,
    0x4fe805fb,0x40dfff10,0x17fd46fd,0x3e25ff88,0x3fffe04f,0xe89ff303,
    0x453fa06f,0x7ffb04ff,0xffd817fe,0x6c13fe23,0x7ff303ff,0x7cc3ff20,
    0x8dff103f,0xff102ffa,0x077fc409,0x001ff980,0x40ffb7ee,0x7fdc1ff8,
    0xc80ffc42,0x25ff106f,0x3fa01ff8,0x23ffa803,0x3f201ffc,0x77fc47fd,
    0x07fe002f,0x2efffe98,0xfffff980,0x44ffffff,0x07fa0ef9,0xffffb300,
    0xfd87fa05,0x1d3016c3,0x4c980e64,0x04c00000,0x6404cb80,0xff985fff,
    0x0a2000e3,0xfb805fb8,0x7f7f4c1f,0x3fee20df,0x442ffd81,0x7fe40efe,
    0x7f7ff444,0x07ff4c3f,0xb882ffee,0x8bff61ff,0xfb3fffc8,0xfffd883f,
    0x910ffec4,0x7e407fff,0x22ffd42f,0x3621dffc,0x2ffd82ff,0x88077f44,
    0x33310efe,0x0ffcc333,0x1ffff100,0x3a07fe20,0x07fe20ff,0xff8837e4,
    0x7403ff12,0x443dd53f,0x37f446ff,0xd0bfff50,0x7c001fff,0x33fee01f,
    0x23bf2001,0xdf92ceb9,0x9f70fec1,0x7fe44000,0x7c4df304,0x0000000f,
    0x00000000,0x3ffe2000,0x0e37fcc3,0xa980a200,0xefff8802,0xff34fffc,
    0x09fffbdf,0x3b7fffa2,0xffb00eff,0x23fffdbf,0xffedfffd,0xdfffb02f,
    0xfa87fffd,0xdcffefff,0x9dfff33f,0x8bfb9ffd,0xffeffffa,0x3a203fdc,
    0xefffdeff,0x77fff440,0xd103fffe,0xdffdbfff,0x7fffdc01,0xffffffff,
    0x8003ff31,0x3e205ffe,0x25ff981f,0xdf901ff8,0x7c4bfe20,0x5cffa01f,
    0x03ff61ff,0xff813fea,0x05ffc83f,0x7500f740,0x00320001,0x0000002e,
    0x00000ee0,0x00000000,0x00000000,0x76fffff4,0x001c0fff,0x99999944,
    0x19999999,0xdffffe98,0x7fffec41,0xfffb803f,0x75400cef,0x5c0dffff,
    0x01dffffe,0x3ffffee2,0xfffd302e,0xe98ff67d,0xf51effff,0xfffe981f,
    0x7007fb3e,0x809fffff,0x2efffffb,0xeffffc80,0x7ffdc00c,0xffffffff,
    0x003ff31f,0x2202ffa8,0x5ff901ff,0x7e407fe2,0x225ff106,0x4ffa01ff,
    0x7ff51ffb,0xd80ffe40,0x3ffa81ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff6eff2,0x00380cff,0xfffff288,0xffffffff,
    0x40026201,0x98800098,0x00988000,0x88001330,0x02620019,0x00019880,
    0x10000131,0x99880033,0x00988000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44006000,0x2e031000,0xffffffff,0x0104ffff,0x3fffffee,
    0x94ffffff,0x64bba2dd,0x2a05445e,0x3bb261ee,0xff50e02d,0xaaaaaa89,
    0x889ff50a,0x99999999,0x19999999,0x40098897,0xff288003,0xffffffff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6fffedc0,0x2fffea80,
    0x7dc0fe40,0xffffffff,0x7f544fff,0x7fffdc2d,0xffffffff,0x3fe6ffb4,
    0x0fc8ffb3,0xffb8ffdc,0x8acfffff,0x237f47da,0xfffffff8,0xfa83ff22,
    0xffffffff,0x05ffffff,0xaaaab800,0xaaaaaaaa,0x0000002b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbbefa800,0x77fd44fd,0x3ee03ffe,0xaaaaa880,
    0x4fdaaaaa,0x8bf6b7ea,0xaaaaaaa8,0xfb1aaaaa,0x7ecffe6f,0xf70e7f47,
    0x3b7bf63f,0xffffffff,0xf103fea7,0x85ffffff,0x2eee64fd,0xbbbbbbbb,
    0x0002bbbb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7e400000,
    0x8bfa3f40,0x27760ff9,0x002eb8fb,0x913a4fc8,0x3f60000d,0x3f67ff37,
    0x263fd447,0xda885b0f,0x321effff,0x1111101e,0x00176011,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfea98000,0x3fd0ff10,
    0x7ffffff4,0x4fc8004f,0x00fa83f1,0x3e6fb800,0xa88df92f,0x009ae0ff,
    0x0000d544,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffff644,0xf90bf50f,0x9effa887,0x49f90000,0x0003644e,
    0x43fa5fa8,0xffff54fb,0x00027cc9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9dfd0000,0x3e61fd15,0xfd82fd85,
    0x320002fd,0x3273ee4f,0x3fffee3f,0xffffffff,0x33ec7f14,0x02b3267f,
    0x12ff8873,0x3ffea5ff,0xffffffff,0x0004ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6f980000,0x0ff10ff8,0xd4fb83ff,
    0x3f20003f,0x21f7f5c4,0xfffffffb,0x264fffff,0x00130220,0xf897fc40,
    0xddddd52f,0xdddddddd,0x000009dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44df1000,0x33fa1ffd,0x1d70df70,0x440007ea,
    0x2a203009,0xaaaaaaaa,0x00001aaa,0x88f74400,0x000002ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xfdffeffd,
    0x3ffffe63,0x0008101f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,0x859319bb,
    0x000deec8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_31_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,1,1,1,0,1,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,0,-1,0,2,1,2,1,2,1,2,1,2,1,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,1,0,-2,2,1,1,2,0,2,
-1,2,1,2,1,0,0,2,1,2,1,2,1,1,2,1,1,0,1,0,1,0,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,-2,1,
0,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_31_latin_ext_y[560]={ 25,5,5,4,3,4,4,5,4,4,4,8,22,16,
22,4,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,28,5,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,5,4,8,5,
4,4,5,4,4,11,11,16,4,2,4,8,4,4,5,10,5,13,24,4,4,11,4,4,4,10,0,0,0,0,
1,0,5,4,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,9,4,0,0,0,1,0,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,9,5,5,5,5,5,5,5,
1,6,0,5,5,10,0,5,0,5,0,5,0,5,0,5,5,5,1,6,0,5,0,5,5,10,0,5,0,5,
0,5,1,5,4,3,0,0,5,5,0,5,1,6,0,5,5,5,0,10,5,5,0,5,5,5,10,0,0,5,
5,5,5,5,5,5,5,0,5,5,10,0,5,4,4,10,1,6,0,5,0,5,4,10,0,5,5,10,0,5,
0,5,0,5,4,10,0,5,5,5,0,5,5,5,0,5,1,6,0,5,0,4,0,5,5,10,0,5,0,5,
1,0,5,0,5,0,5,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,5,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,0,5,0,5,0,
5,0,5,0,1,0,0,0,0,0,0,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-3,-2,0,5,0,5,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_31_latin_ext_w[560]={ 0,4,8,16,15,22,17,3,8,8,10,14,4,9,
4,8,14,8,14,14,15,14,14,14,14,14,4,4,14,14,14,14,27,20,16,18,17,16,14,19,16,4,12,17,
13,20,16,20,16,20,18,17,17,16,19,26,19,19,17,7,8,6,13,17,6,14,14,13,14,14,9,14,13,4,
7,13,4,21,13,15,14,14,9,13,8,13,14,20,14,14,14,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,14,15,14,17,
3,14,9,21,10,13,14,9,21,17,9,14,9,9,6,12,15,4,7,6,10,13,22,22,23,13,20,20,20,20,
20,20,27,18,16,16,16,16,6,6,10,8,20,16,20,20,20,20,20,12,20,16,16,16,16,19,16,15,14,14,
14,14,14,14,24,13,14,14,14,14,6,6,10,8,15,13,15,15,15,15,15,14,15,13,13,13,13,14,14,14,
20,14,20,14,22,17,18,13,18,13,18,13,18,13,17,18,20,16,16,14,16,14,16,14,16,14,16,14,19,14,
19,14,19,14,19,14,16,13,20,14,10,10,10,10,9,9,7,7,4,4,17,10,16,10,17,13,13,13,6,13,
7,13,8,13,9,15,7,16,13,16,13,16,13,16,17,13,20,15,20,15,20,15,26,25,18,9,18,9,18,10,
17,13,17,13,17,13,17,13,17,8,17,11,17,8,16,13,16,13,16,13,16,13,16,13,16,16,26,20,19,14,
19,17,14,17,14,17,14,8,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,23,18,15,15,15,15,15,15,15,15,15,15,15,15,15,21,17,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,14,10,10,20,
15,16,13,16,13,16,13,16,13,16,13,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,14,27,24,20,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_31_latin_ext_h[560]={ 0,20,8,22,25,22,22,8,27,27,10,14,7,4,
3,22,21,20,20,21,20,21,21,20,21,21,15,19,14,9,14,21,27,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,23,20,22,20,21,20,20,20,20,20,26,22,26,12,3,4,16,21,16,21,16,21,21,20,20,
26,20,20,15,15,16,21,21,15,16,21,16,15,15,15,21,15,27,27,27,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,26,22,14,20,
27,27,3,22,11,14,9,4,22,2,9,17,12,12,4,21,26,4,7,12,11,14,22,22,22,21,25,25,25,25,
24,25,20,27,25,25,25,24,25,25,25,24,20,25,26,26,26,26,25,13,22,26,26,26,25,25,20,22,21,21,
21,21,21,22,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,12,18,21,21,21,21,26,26,26,
24,20,25,21,26,21,26,21,26,21,26,21,26,21,25,21,20,21,24,20,25,21,25,21,26,21,25,21,26,26,
26,26,25,26,27,28,25,25,20,20,25,20,24,19,25,20,26,26,25,15,21,26,26,26,26,26,15,25,25,26,
26,20,20,20,20,20,20,25,20,26,21,25,20,21,22,21,25,20,26,21,26,21,22,16,25,20,26,21,25,20,
26,21,26,21,27,21,26,21,28,28,25,21,20,21,26,21,25,20,26,21,26,22,26,21,26,21,25,20,25,26,
24,25,20,25,20,25,20,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,18,18,27,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,16,18,18,18,18,18,18,18,18,18,18,18,18,18,21,16,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,25,21,25,20,26,
21,26,21,26,25,26,26,26,26,26,26,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,28,28,25,21,26,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_31_latin_ext_s[560]={ 511,484,428,184,394,75,328,437,89,184,377,
355,449,477,505,244,59,141,88,293,72,426,153,57,53,68,314,500,414,413,370,
1,193,103,124,56,150,168,199,201,253,270,288,275,293,307,328,307,345,35,362,
459,381,478,399,419,446,233,466,358,298,337,456,494,487,143,38,176,439,190,400,
385,219,214,439,185,505,278,300,73,316,301,239,115,1,129,249,334,319,370,224,
79,221,98,454,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,511,506,403,
148,385,342,108,112,454,346,355,429,388,477,437,464,403,33,470,487,470,426,387,
506,441,480,366,400,98,221,274,495,266,224,308,183,464,162,400,165,145,128,111,
18,25,18,297,434,16,1,447,485,18,72,32,443,253,113,147,181,74,91,428,
477,16,1,485,470,455,382,48,412,397,382,367,273,445,505,331,48,277,307,243,
227,229,213,137,497,1,245,339,108,94,206,238,271,443,162,245,10,303,62,326,
259,345,165,408,151,445,45,346,179,98,74,1,83,375,212,392,168,478,91,495,
122,93,36,68,364,204,379,127,28,329,409,270,466,364,37,423,489,287,198,157,
107,506,505,259,165,51,495,1,464,264,60,53,394,198,375,481,452,321,291,262,
421,248,19,353,359,234,322,493,137,245,208,115,46,136,183,121,89,226,224,88,
500,193,137,253,308,54,199,147,31,427,441,10,1,456,34,119,25,286,198,176,
148,221,80,1,368,164,106,130,120,312,177,339,39,485,266,490,438,1,376,360,
469,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,164,17,17,225,
17,17,17,17,17,17,17,17,17,17,17,17,17,397,205,17,17,17,17,17,
17,17,17,17,17,17,17,17,16,158,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,474,454,
410,389,366,410,320,356,241,212,258,306,275,292,468,344,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,43,64,284,331,418,421,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17, };
static unsigned short stb__arial_31_latin_ext_t[560]={ 1,201,237,110,57,110,110,237,1,1,237,
222,237,237,105,110,157,201,201,135,201,135,157,201,179,179,222,201,222,237,222,
179,1,201,201,110,201,201,201,110,201,201,157,201,201,201,201,110,201,110,201,
110,201,157,201,201,201,201,201,1,110,1,222,237,237,222,179,222,157,222,157,
157,201,201,1,201,179,222,222,222,157,157,222,222,135,222,222,222,222,157,222,
1,1,1,237,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,1,30,1,
110,222,179,1,1,243,110,237,222,237,237,110,243,237,222,222,222,237,157,1,
52,237,222,237,222,110,110,110,157,84,84,84,84,84,84,179,1,84,84,84,
110,84,84,84,84,201,84,1,1,30,30,84,222,110,30,30,30,84,84,179,
110,157,157,135,135,135,110,222,135,135,135,135,157,179,84,179,201,135,179,135,
135,157,157,157,222,222,157,135,135,135,30,30,30,84,179,84,135,30,135,30,
157,30,135,30,135,30,157,84,135,179,157,110,179,84,135,84,157,30,157,57,
135,30,57,57,30,84,30,1,1,84,84,179,179,84,201,84,201,84,179,57,
57,1,201,135,57,57,30,57,30,222,84,84,30,30,179,179,179,179,179,179,
57,179,57,135,57,179,135,110,135,57,179,57,135,57,157,110,222,57,179,57,
135,57,179,30,135,30,157,1,157,30,135,1,1,57,135,179,135,30,135,57,
179,30,135,30,110,30,157,30,157,57,179,57,30,84,57,179,57,201,57,179,
157,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,110,222,222,1,
222,222,222,222,222,222,222,222,222,222,222,222,222,110,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,179,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,57,157,
57,179,1,157,1,157,1,57,1,1,1,1,1,1,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,1,1,57,157,1,110,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222, };
static unsigned short stb__arial_31_latin_ext_a[560]={ 123,123,158,247,247,395,296,85,
148,148,173,259,123,148,123,123,247,247,247,247,247,247,247,247,
247,247,123,123,259,259,259,247,451,296,296,321,321,296,271,345,
321,123,222,296,247,370,321,345,296,345,321,296,271,321,296,419,
296,296,271,123,123,123,208,247,148,247,247,222,247,247,123,247,
247,99,99,222,99,370,247,247,247,247,148,222,123,247,222,321,
222,222,222,148,115,148,259,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,123,148,247,247,247,247,115,247,
148,327,164,247,259,148,327,245,178,244,148,148,148,256,238,123,
148,148,162,247,370,370,370,271,296,296,296,296,296,296,444,321,
296,296,296,296,123,123,123,123,321,321,345,345,345,345,345,259,
345,321,321,321,321,296,296,271,247,247,247,247,247,247,395,222,
247,247,247,247,123,123,123,123,247,247,247,247,247,247,247,244,
271,247,247,247,247,222,247,222,296,247,296,247,296,247,321,222,
321,222,321,222,321,222,321,273,321,247,296,247,296,247,296,247,
296,247,296,247,345,247,345,247,345,247,345,247,321,247,321,247,
123,123,123,123,123,123,123,99,123,123,326,197,222,99,296,222,
222,247,99,247,99,247,129,247,148,247,99,321,247,321,247,321,
247,268,321,247,345,247,345,247,345,247,444,419,321,148,321,148,
321,148,296,222,296,222,296,222,296,222,271,123,271,166,271,123,
321,247,321,247,321,247,321,247,321,247,321,247,419,321,296,222,
296,271,222,271,222,271,222,99,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,334,333,333,247,333,333,333,333,333,
333,333,333,333,333,333,333,333,381,291,333,333,333,333,333,333,
333,333,333,333,333,333,333,379,297,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,296,247,123,99,345,247,321,247,321,247,321,
247,321,247,321,247,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,296,247,444,395,345,271,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_31_latin_ext(stb_fontchar font[STB_FONT_arial_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_31_latin_ext_s[i] + stb__arial_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_31_latin_ext_t[i] + stb__arial_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_31_latin_ext_x[i];
            font[i].y0 = stb__arial_31_latin_ext_y[i];
            font[i].x1 = stb__arial_31_latin_ext_x[i] + stb__arial_31_latin_ext_w[i];
            font[i].y1 = stb__arial_31_latin_ext_y[i] + stb__arial_31_latin_ext_h[i];
            font[i].advance_int = (stb__arial_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_31_latin_ext_s[i] + stb__arial_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_31_latin_ext_t[i] + stb__arial_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_31_latin_ext_x[i] + stb__arial_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_31_latin_ext_y[i] + stb__arial_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_31_latin_ext_LINE_SPACING
#endif

