// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_33_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_33_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_33_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT        284
#define STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_33_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_33_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_33_latin_ext_LINE_SPACING          21

static unsigned int stb__arial_33_latin_ext_pixels[]={
    0x26666666,0x99999999,0x77440009,0x01c0000d,0x026aa620,0xe8804c88,
    0x1ab980de,0x80331000,0xb98004c8,0x2666620a,0x00099999,0x5300b220,
    0x00066217,0x82660331,0x54c0003c,0x0cc4009a,0x00026200,0x26aeea62,
    0x26600000,0x4c198801,0x33300009,0x26662000,0x99999999,0x13300999,
    0x00980280,0x00198813,0x30001330,0x20013555,0x00998099,0x26004cc4,
    0x09980009,0x22001988,0xfff98199,0xffffffff,0x003fffff,0x0001ffe4,
    0x2e001fd1,0x03ffffff,0xff900ff3,0x13ffea07,0x0bfff300,0xf1003fcc,
    0x3f27ffff,0xffffffff,0x2000dfff,0x3ff601fd,0x001ff90f,0x3ff83ff4,
    0xb98007f2,0xbffffffd,0x007ffb00,0xb88037ec,0xffffffff,0x540002df,
    0xffb805ff,0x0009ff11,0x0005fff1,0xfffffff9,0x9fffffff,0x2207ff10,
    0x40fd807d,0x03ff40fc,0x8027fc40,0xfffffeb8,0x27fc04ef,0xe880bfe2,
    0x3fe00eff,0x84ff8004,0xff3007fe,0xffff309f,0xffffffff,0x4007ffff,
    0x40005ff8,0xff7000fb,0x09fffbdf,0xff880ff3,0x3fffa604,0xfbfd1002,
    0x01fe607f,0x2fffffe8,0xfffffff9,0x3fffffff,0x6409f500,0xff90efff,
    0x83ff4001,0x01be23ff,0x7fffffe4,0xd81fffff,0xfb001fff,0xfffc880d,
    0xfffdcdef,0xd0001eff,0xff7001df,0x0013fe23,0x0017ffee,0x3ffffff2,
    0xffffffff,0x903ff884,0x5bf300ff,0xffd0bf73,0x09ff1000,0xffffff50,
    0x03dfffff,0x5ff113fe,0x2ff77ec0,0xf0009ff0,0x00ffd09f,0x2207fff3,
    0xfcaaaaaa,0xaaaaaadf,0x01bee000,0x200bb600,0x3a20eff8,0x03fcc1ff,
    0xfe801bee,0x51ffb005,0x0ff305ff,0x2097fe60,0x99999ffc,0xfffda999,
    0x803fe201,0x7fe40dfe,0x41ffa000,0x027dc2ee,0x982ffff6,0x6c0fffeb,
    0xfb006fff,0x6fff440d,0x3ff6e602,0x7fd4003f,0x41993001,0xfe8002cc,
    0x64000ffd,0xaaaaabff,0x81aaaaaa,0xff903ff8,0x3ffff200,0x007fe81e,
    0x5c04ff88,0x221adfff,0xe81fffda,0x8177443e,0x4ff99ffb,0xd0009ff0,
    0x80ffd07d,0x0003fff9,0x00007ff5,0x20000bf2,0x7d400ffe,0x44ffa81f,
    0x04c407f9,0x500df700,0x06f645dd,0x7dc01fe6,0x01ff901f,0xc813ff20,
    0x0bfe204f,0xe8003ff2,0x7fc4007f,0x01dff700,0x7ec6ffc8,0xfd804fff,
    0x03dff306,0x03ffd880,0x0000bb20,0x8ff98000,0x7e4004ff,0xf880000f,
    0x00ff903f,0xfd00dd44,0x9ff1000f,0x017ffcc0,0x0002ffdc,0x75c7dd10,
    0x004ff81e,0x303ff400,0x40007fff,0x80003ffa,0x0003ebeb,0x2a007ff4,
    0x879b01ff,0x800007f9,0x000007fa,0x3f600ff3,0x003ff207,0xf8837fc4,
    0x07fe201f,0xe8003ff2,0x4fc8007f,0x001fff98,0x7fec3ffb,0x7ec01ffe,
    0x00dff886,0x007fee00,0x00000000,0x0ff96fd8,0x000ffc80,0x4c3ff880,
    0x01aaffda,0x00ffd000,0x7409ff10,0x3f2001ff,0x0000001f,0x00027fc0,
    0x7cc1ffa0,0x540003ff,0xe80003ff,0x88000d11,0xdff88019,0x81fe6000,
    0x2a001dc9,0x32a2007f,0x7cc2aa1b,0x3faaaa07,0x7fe41aae,0x03ff6000,
    0xff101bee,0x001ff903,0x1aa83ff4,0x7e40ffa8,0x3fea003f,0x3febff63,
    0x6c37ec06,0x82b2605f,0x31bf6198,0x15500155,0x2a002aa6,0xa7fc400a,
    0x32002ff9,0x880000ff,0x7ffdc3ff,0x2a204fff,0x742aa1bc,0xff88007f,
    0x009ff304,0x5544ff88,0xa9855441,0x20aa800a,0x555104ff,0x7fe81aa8,
    0x002fff98,0x003ffa80,0x00d11e80,0x50de5cc0,0x0effb815,0x7c0ff300,
    0xf5001eab,0xfffb100f,0x27ff1bff,0x3ffe07f9,0x644fffff,0x3fa000ff,
    0x404ff80f,0xffc81ff9,0x41ffa000,0x87ff03ff,0x808007ff,0x09ff97fd,
    0x3fea37ec,0xfffffc80,0x7fc4dfb3,0x5013fe61,0x13fe63ff,0xb803ff50,
    0x017fe1ff,0x0000ffc8,0x7543ff88,0x883eefff,0x8dfffffd,0x00ffd3ff,
    0x2e09ff10,0x0a8000ff,0x7fc44ff8,0xa809ff32,0x213fe1ff,0x7fc1fff8,
    0x7cc7fe84,0x500002ff,0x500007ff,0x10007d9d,0x1bfffffd,0xfffd07ff,
    0x20ff3007,0x54012e5a,0x7ff400ff,0xffefeccd,0x3a20ff33,0x2eeeffee,
    0xa8007fe4,0x1ff986ff,0x640ffcc0,0x3fa000ff,0x3607ff07,0x01bfe65f,
    0xf8bfec00,0x8dfb01ff,0xeffc82fe,0x4ffaffec,0x1bfa2ff4,0x6fe8dfb0,
    0x74037ec0,0x007fe46f,0x0000ffc8,0xf903ff88,0xcdffe80f,0xd3ffefec,
    0xff1000ff,0x001ff609,0xf889ff00,0xb01bfa2f,0x444ff8df,0x4ff81fff,
    0x3fe67fe8,0x2a00002f,0x880003ff,0x4c002fff,0xfeccdfff,0x3f623ffe,
    0x201efffe,0x64d107f9,0x01ff3002,0x7ec17fe4,0x00ff33ff,0x7e403ff5,
    0x7fdc400f,0x807fa82f,0xffc80ff9,0x41ffa000,0x4ff703ff,0x00004ffa,
    0x37fd4ffb,0x1fe66fd8,0xff50ffee,0x47fb87ff,0xff101ffb,0x101ffb87,
    0xff9807ff,0x8027fcc3,0x99999ffc,0x00999999,0x3f207ff1,0x20bff207,
    0xffd3fffd,0x09ff1000,0x00001bfe,0x2ff889ff,0x7c407fee,0xd127fc3f,
    0x13fe03ff,0x7ffcdffa,0x7d400004,0xfb80003f,0x7ec005ff,0x3fffd82f,
    0x3fa69ff1,0x0ff304ff,0x300377e4,0x3fe603ff,0x4cfffa03,0x0ffb807f,
    0x3bbbff20,0xffffeeee,0x00df704f,0x3ff20ff5,0x41ffa000,0x1ff503ff,
    0x0000ffee,0x3ff23fec,0x3f26fd84,0xc81ffd44,0x3fcc1fff,0x7dc13fe2,
    0x827fc40f,0x7e400ffb,0x007fe80f,0xfffffff9,0x0dffffff,0x7e40ffe2,
    0x407ff307,0x0ffd3ffe,0x109ff100,0x800009ff,0x17fc44ff,0x3ee09ff1,
    0xe8a7fc0f,0x13fe01ff,0x3ffe7ffa,0x200001ff,0x80003ffa,0x000ffdfe,
    0x7f407ff3,0xf70df53f,0x7f981dff,0x7c000c40,0x80ff704f,0x0bd33ffa,
    0xfc80dfb0,0xffffffff,0x3601dfff,0x05fd805f,0x74001ff9,0x207ff07f,
    0x5ff71ff9,0x1ff60000,0xfd83fff1,0xffd07fa6,0xf83ffcc0,0xe83fec0f,
    0x20ffb05f,0x5ff805fe,0x9005ff70,0xffffffff,0x20dfffff,0xff903ff8,
    0xf501fee0,0x001ffa7f,0x3ea13fe2,0x7776403f,0x3e0eeeee,0x217fc44f,
    0x0bfd07fd,0x1ffd19ff,0xfe84ff80,0x6ffcffff,0x3fea0000,0x7fcc0003,
    0xf9004ff8,0x9ffd401f,0xffd304fd,0x5307f98d,0x20015797,0x6fd82ffa,
    0x001ffc40,0x3f202ff4,0xffcccccf,0x4fe800df,0x40bfee20,0x3a000ffc,
    0x207ff07f,0x7ff33ff8,0x1ff60000,0xdfb1bfea,0x7ff11fe2,0xf886ff80,
    0x217fd40f,0xff502ff9,0x402ff985,0xff102ffa,0x57ff900d,0x55555555,
    0x0ffe2055,0x6fd83fe4,0xfe9ffc40,0x4ff88007,0x7405ffa8,0xffffffff,
    0xff113fe0,0x4c2ffa85,0xecff82ff,0x4ff802ff,0xb1ffffe8,0x200009ff,
    0x40003ffa,0x00ff96fd,0xff101bfa,0xfb01bf27,0x223fcc9f,0xfffffffe,
    0x8fff5004,0x3ff805fe,0x404ff800,0xff900ffc,0x04ff801d,0x6405fff1,
    0x3fa000ff,0x7c07ff06,0x00bff14f,0x6c1ff600,0x4dbf64ff,0x007fd46f,
    0x1bea13fe,0x1ff22ffc,0x7fc8bff0,0xcccffd80,0x1fffcccc,0x0007fe40,
    0xc81ffc40,0x00bfd07f,0x01ffa7ff,0x2613fe20,0x776406ff,0x20fffeee,
    0x17fc44ff,0x1ff22ffc,0x77fffffc,0x7427fc00,0x3fe21fff,0xfa80002f,
    0x3e20003f,0x005ff34f,0x7ff00bff,0xfd013fea,0xff33fccd,0xfffd99df,
    0xf1ff6009,0x07ff009f,0x402ff980,0x3f200ffc,0x0ffe206f,0x2e01ffc4,
    0x3fe001ff,0x7c07ff05,0x001bfa5f,0x20ffb026,0xdfb1fff8,0x0ff91bea,
    0xfc82ff98,0x7c1ff905,0x07fe404f,0xff8809ff,0xffffffff,0x7e404fff,
    0xf880000f,0x20ff903f,0x3ff804ff,0xf1000ffd,0x1fff109f,0x41ff9000,
    0x17fc44ff,0x9ff07fe4,0x3efbffe0,0x427fc04f,0xffa81ffe,0x7d40000f,
    0x3ee0003f,0x2017fe1f,0x3ff804ff,0x5c037ff6,0xfe9fe67f,0x0fff980f,
    0xd17ff620,0x3ff880bf,0x00ffd400,0xfb003ff2,0x13fe209f,0x501ffec4,
    0x3e2003ff,0x207ff04f,0x1ff64ff8,0xfd9bfe00,0x6dbfea07,0xfe8bf56f,
    0x407fd406,0x5ff303fe,0xf3007fe6,0x007fe65f,0x99999ff7,0x0fff9999,
    0x0000ffc8,0xf903ff88,0x1017fa0f,0x01ffa7ff,0x6c13fe20,0xfc8001ff,
    0xf113fe0f,0x25ff305f,0xdff01ff9,0xf807ff61,0x207fe84f,0x40006ffc,
    0x20003ffa,0x07fe46fe,0xf1017fa0,0x7fff447f,0x3e64fc83,0x6409ff37,
    0x3ff201ff,0x4c06fd80,0x700663ff,0x1ff900ff,0x02fff880,0xff880bff,
    0x007ff503,0x7fc0ffe6,0x5c9ff303,0x3ea004ff,0xb01ff64f,0x22dfb9ff,
    0x203fec6f,0x06fc87fe,0x06fcaff4,0x1bf2bfd0,0x6401bfa0,0x3ff202ff,
    0xff880000,0x360ff903,0x9ffcc06f,0xf88007fe,0x0bff504f,0x7c1ff900,
    0x817fc44f,0x40df95fe,0x3bfe24ff,0xfd09ff00,0x04ffe80f,0x00ffea00,
    0x261ffcc0,0x37ec04ff,0x320ffe60,0xff50dfff,0x1533fcc3,0xf017fd40,
    0x0bfee05f,0xff33ffc8,0xc806fd80,0xffb800ff,0x807fe80f,0xdff106fc,
    0x05ffb001,0x7fd40ffe,0x00bffe23,0xfd87ffa2,0x7fffc407,0xff71fe6f,
    0x517fee03,0xffb805ff,0xf7003ff8,0x9807ff1f,0xff1004ff,0x007fe40d,
    0x81ffc400,0xffb80ffb,0x74fff202,0xff88007f,0x017ffa04,0x7fc1ffb0,
    0xb817fc44,0x203ff8ff,0x27fdc4ff,0x7fe84ff8,0x00fffcc0,0x003ffa80,
    0xfd01ff90,0x02ffb80f,0x74c0fff6,0x42ffdfff,0xb53007f9,0x3fe605ff,
    0x203bfa00,0xff33fff9,0xc805fe80,0xffb000ff,0x801ffb0b,0xff900ffa,
    0x06ffa80d,0x7fdc0ffe,0x00fffdc1,0xfd8bffb1,0xffffa807,0xff987f66,
    0x23fffa84,0xf8805ff9,0x1000ffcf,0x801ff9ff,0x3a001ffc,0x1ff901ff,
    0x7ff10000,0x0273fee0,0xff301dfd,0x001ffa7f,0xf9813fe2,0xfe9805ff,
    0x113fe0ff,0x3fe205ff,0x3fe00ffc,0xf81ffe84,0x807fe84f,0x8000fffb,
    0xf0003ffa,0x0bfee0bf,0xf301dfd0,0xffc807ff,0x87f980ff,0xffffedc9,
    0x1ff502ff,0x4df7fd40,0x33ffffc9,0x03ff80ff,0x1000ffc8,0xffb85fff,
    0x807fcc01,0x9acefff8,0x00fffdaa,0x3fec0ffe,0x9bdfffd8,0x0efffb98,
    0xfd803fec,0xb13ee6ff,0xdf933bff,0xbffb7dff,0x3fff6001,0x7ffec005,
    0x006ff805,0xfc827fd4,0xaaaaaabf,0x882aaaaa,0xfff303ff,0xbeffa8bf,
    0x3ffffc99,0x55555ffd,0x22155555,0x7fd404ff,0xca9aceff,0x7c2ffffe,
    0x017fc44f,0xf80bfffb,0x0eff984f,0x3ff427fc,0x005ffd80,0x8003ffa8,
    0xff102ffa,0xbeffa80d,0x3ffffb99,0x85ffe980,0x3ffa67f9,0xffcdffff,
    0x500ff502,0x7dffffff,0x81fe65ff,0xfc802ff9,0x3fee000f,0x00bfe20e,
    0x74c03ff3,0xffffffff,0x1ffc02ff,0x3f205fe8,0xffffffff,0x07fd80ef,
    0x54dfff10,0xffffe87f,0xfffff8df,0x7fd4003f,0x7fd4002f,0x1ffd402f,
    0x03ffe200,0x3ffffff2,0xffffffff,0x01ffc40f,0xf50dffd5,0xf7dfffff,
    0x3ffffa5f,0xffffffff,0x1009ff12,0xfffffffd,0xf019ffff,0x02ff889f,
    0xf00bffea,0x13fee09f,0x0ffd09ff,0x00fffe20,0x0007ff50,0x99999ffb,
    0x803fff99,0xfffffffa,0xb1002ffb,0x17f987ff,0x4137bffd,0xff502ffa,
    0x3bf72600,0xf32ff98c,0x00ffd40f,0x20007fe4,0x27f44ffe,0x1007fe20,
    0xffffffd9,0x07ff0019,0xc9805ff1,0x2effffff,0xa801ff60,0x227f46ff,
    0x2a2dfeb8,0x4c41cefe,0x003ffc00,0xfd807ff8,0xffc8000f,0xfffffc83,
    0xffffffff,0x1ffc40ff,0xb9300440,0x5ff319df,0x3ffffffa,0x12ffffff,
    0x6d4009ff,0xceffffff,0xf113fe00,0x07ff805f,0x3fa04ff8,0x3a13fe2f,
    0x3fea007f,0x0000001f,0xfffffff1,0x09ffffff,0x19dfb930,0x01985ff3,
    0x2ff31bfa,0x3ee03ffc,0x00ff502f,0x263ff300,0x01fee07f,0x4000cc00,
    0x3e200ffa,0x3ee2001f,0x1ffc000b,0x320037dc,0x300001bf,0x1ffc4003,
    0x3ff90000,0x0004fe80,0x000009fd,0x80001f90,0x0028807e,0x26000133,
    0x005401ff,0x98000fe6,0x880001fd,0x27f402ff,0x44019800,0x0150004f,
    0x04cc4000,0x333fee00,0xfccccccc,0x7cc0007f,0x403ff61f,0xebfcc7fc,
    0x17fe407f,0x32a07fb8,0x987fdc02,0x01bf607f,0x027ff400,0xf8813f60,
    0x07dc001f,0x20ffe200,0x7f4002ff,0xfd00001d,0x3fea009f,0x7ec40003,
    0x0ffcc03f,0x00ffcc00,0x03ec0000,0x5c02fc00,0x3fe01dff,0x2e016544,
    0x77fc00ff,0x0003f504,0x0000cff8,0xf3017fcc,0x3f60003f,0x02f980df,
    0x02eff980,0x03ffb800,0xc8037f40,0x02ca82ff,0xff707fdc,0xf317fe09,
    0x5403ffaf,0xdf702fff,0x8817fd40,0x41fe66ff,0x00004ff8,0x4005ff51,
    0x3fe00ff9,0x00fec003,0xf70bfe60,0xff73000b,0xf5100003,0x3ff2005f,
    0xfe98001e,0x05fd804f,0x000bfb00,0x003fa000,0x8805f880,0x3fe06fd9,
    0x8817fd44,0xfb9806ff,0x002fc81f,0x007fdcc0,0x403ff300,0x220005fd,
    0x3fb84fea,0x1ff93000,0x3ffb8000,0x013fe600,0x7d437fc4,0x8dff103f,
    0xb51bfff8,0x97f987ff,0x7d4419ff,0x7d443fff,0x3ffe204f,0x3ffd711b,
    0x91353fcc,0x800005ff,0x7e4004fe,0x02bbfa03,0x1886fe40,0x83ffb110,
    0xf10001fe,0x7400007f,0x3faa004f,0x441aceff,0x02effeb9,0x05ffb553,
    0x3ff6aa60,0xb0000002,0x0035119f,0x4030ffc4,0x9d500ffb,0x11bfff88,
    0x2003ffd7,0xdfb83fe8,0xf1000310,0xb130003f,0x6d54c1ff,0xd80002ff,
    0x10efa86f,0x0ffcc003,0x0ffaa000,0x001ffc80,0xff107ffa,0x3fae217f,
    0xffff981f,0xf984ffff,0xddffff17,0x49ff5fff,0x401ffffa,0xfffffff9,
    0xf3fcc1ff,0x000dffff,0x1fffdd30,0x206f8800,0x800ffffa,0x03fefff9,
    0xfa8dffff,0x7f754004,0x74c0007f,0x8000fffe,0xfffffffa,0x3fffffff,
    0x27fffd40,0x9ffff500,0x54000000,0x002fffff,0x23ff7fe4,0x204ffeed,
    0xfff982f8,0x01ffffff,0x07fff754,0x27f7ffc4,0x6ffeeb80,0xffff8800,
    0x27fffd45,0xffee8800,0xfdfff02f,0xffeec80b,0x3f100005,0x0037fc00,
    0x3e613fea,0xffffffff,0x3fff2201,0x4ff302df,0xcfffffd8,0x7fd4ff90,
    0xff91002f,0xf3037bff,0x37fffe2f,0xffa80001,0xf70002df,0x07ffd405,
    0x1befea80,0x40efff98,0x7e4000fe,0x40001bef,0x002dfffa,0x7ff6e540,
    0x00acdeff,0x004fff98,0x0027ffcc,0x7ed40000,0x644000bd,0x7ffc3eff,
    0x102f404e,0x37bffff9,0x3bfff700,0x0e77ed40,0x0bdffd80,0xdfffa800,
    0x027ffcc0,0x7dfff300,0x0e77ecc0,0x033fff60,0x003ec000,0x88007ff5,
    0xfc880fff,0x001bdfff,0x40cc0062,0x31000a98,0x00c40001,0x00018198,
    0x4c000000,0x00018800,0x00980600,0x00000000,0x0c400000,0x0000c000,
    0x00000006,0x00000000,0x18800a00,0x00000000,0x0c000000,0x000000c0,
    0x00000000,0x8007aa00,0xc8000ffd,0x00c403ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0004cc00,0x00055510,0x0aaa1554,0x003cc980,
    0x2a60aa98,0x9997000a,0x40005999,0xa8000ccc,0x791002cc,0x26000f22,
    0x035531aa,0x59911e64,0x0000a800,0x20005993,0x00011018,0x2aa88000,
    0x06aa2000,0x00000000,0x2aa88000,0x0aaa2000,0x0aaa0000,0x33331000,
    0x26233333,0x26661999,0x85550099,0x440002aa,0x262002aa,0x440000aa,
    0xa8801301,0x7ffec02a,0x5ffb0001,0xa7fcc000,0x74003ff9,0x7c4001ff,
    0x00bff16f,0x7ffffff4,0x1df90003,0x1dff1000,0x7f67dc00,0x0fff8000,
    0x7d401ffd,0x001dfb3f,0x000fb7e6,0x4000ffdc,0x027cc4f9,0xa8001b20,
    0xd10006ff,0x20003fff,0x9f31beda,0x002ec000,0x8000bff6,0x0004fffd,
    0x00ffff20,0xfffffd70,0x2effffff,0xff1fffff,0x3ee0bfff,0x003ff72f,
    0x03fffd80,0x7fffffe4,0xfa8000df,0x2e01fd42,0x3fee04ff,0x4c000efd,
    0xb80004ff,0x005fe9ff,0x8005ff88,0x0efcbff9,0x26666200,0xfa800099,
    0x3fee0005,0x1ffc8001,0x52ffa800,0xff9005ff,0x6c003ff7,0x4c000d12,
    0xfd8000ee,0x800febac,0x01cffcb8,0x006ffa80,0x1df9dfb0,0xffff9800,
    0x0001ffef,0x7c4009f1,0x3ee0004f,0x0002ffbf,0x1ffcffa8,0xffffe980,
    0xffffffff,0x3fffff77,0x817ffffe,0x03ffaffd,0x7dffdc00,0xfffd882f,
    0x1fffffff,0xb9bef800,0x05ff807e,0x2ff4ffe6,0x0017f200,0x0efffd80,
    0x03ff3000,0x3ffff700,0x64c4b800,0x9312e002,0x03ff8005,0x0b2625c0,
    0x3f64fe80,0x3fffa004,0x1f0f4002,0x64c4b800,0x3ff66002,0xffa803ef,
    0x02efffff,0x0013baa0,0x2ff4bfee,0x2a2bf200,0x20004ffd,0x3f2002fa,
    0x3fe60006,0x0003ff94,0xffcaffc4,0x7ffff400,0xffdaabff,0xf1ff982a,
    0x3fa2009f,0x540004ff,0x81ff93ff,0x2609cffe,0x4002fffc,0x02efffea,
    0xdb007fdc,0x001774cb,0x40000199,0x0000eed8,0xc8000d4c,0x7e8002ee,
    0xfd001fd4,0x22003fa8,0x47e8002a,0x991003fa,0x22002644,0xeb8002aa,
    0x7e8004da,0x44001fd4,0xfff3001a,0x3fffbfbb,0x91000000,0x00e64c79,
    0x00110310,0x2000fc80,0x2e0000cc,0x001e644c,0x3621bd90,0x3ffee04e,
    0x3f21ffff,0x7c7fe606,0x3326004f,0x4cb80004,0xff98f322,0x02ffcc04,
    0x7001b980,0x00000039,0x20355531,0x751000d8,0x99800135,0x26206620,
    0x88cc4001,0x3510aa19,0x50cc4662,0x3311a885,0x0cc41330,0x88550cc4,
    0x2623311a,0x40cc4001,0x20662099,0x0bda8198,0x21988cc4,0x988d442a,
    0x88003311,0x647ffa19,0x100fff36,0x05543795,0x01355300,0x44001988,
    0x217e0019,0x4c400198,0x35751001,0x55300001,0xffb00135,0x643fffff,
    0x47fe606f,0x262004ff,0x100000aa,0x3ff20133,0x00ffc800,0x026aaa60,
    0xa8004cc0,0xff93001a,0x419fffff,0x3f6204fd,0x1dffffff,0x7e4bff00,
    0x007fe40f,0x3ff2ffd0,0x65ffa000,0x3fa000ff,0x3f25ff87,0x007fe40f,
    0x3ff2ffd0,0x21ffa000,0x03ff25ff,0x74001ff9,0x001ff97f,0x0ffcbff4,
    0x7cdffa00,0xffd9b24f,0xffffb101,0x407ff1bf,0xfffffdb9,0x1ff900bf,
    0x103ff400,0xf907f997,0x3ff4001f,0xfffffb10,0x88003bff,0xffffffeb,
    0x3fffa04e,0x3f21ffff,0x7c7fe606,0xfffc804f,0x000dffff,0x6c0ffea0,
    0x3df3007f,0xfffeb880,0x2604efff,0x7ff004ff,0xfffff900,0xb7ffffff,
    0x7ffd40bf,0xffffffff,0x325ff804,0x07fe40ff,0x3f2ffd00,0x5ffa000f,
    0x3a000ffc,0x325ff87f,0x07fe40ff,0x3f2ffd00,0x1ffa000f,0x0ffc97fe,
    0xd0007fe4,0x003ff2ff,0x1ff97fe8,0xfabff400,0xbc99b21f,0x99bffd01,
    0x207ffdfd,0xfffffffc,0xfc81ffff,0x1ffa000f,0x3fffffaa,0x007fe41e,
    0x3ea0ffd0,0xffffffff,0xff5004ff,0xffffffff,0xfffd03df,0x7e43ffff,
    0x7c7fe606,0x3ff6204f,0xffffffff,0x7ff50001,0x000bfee0,0xfffffa80,
    0x1effffff,0xf004ff98,0xfffd807f,0x3ff2609c,0xff900eff,0x36e2139f,
    0x66405fff,0xf90332a3,0xbff4001f,0x3a000ffc,0x001ff97f,0x1e643ff4,
    0xffc81995,0x65ffa000,0x3fa000ff,0x32a3cc87,0x007fe40c,0x3ff2ffd0,
    0x65ffa000,0x3fa000ff,0x3643ff57,0xb05ff900,0xffb07fff,0x7f5cc17f,
    0x07fe40ff,0xf98ffd00,0xffffbdff,0x8003ff22,0xfffc87fe,0xffb7109c,
    0xfffb80bf,0x3f6a21ad,0x7ffec1ff,0x3f21ffff,0x7c7fe606,0x33ffa04f,
    0x3fff2609,0x3ffa8002,0x019fff30,0xdfffb800,0x3ff6a21a,0x027fcc1f,
    0x3ee03ff8,0x7fcc01ef,0x3dff503f,0x03fff980,0x03ff2000,0xff97fe80,
    0xcbff4001,0x3fa000ff,0xffc80007,0x65ffa000,0x3fa000ff,0xffc80007,
    0x65ffa000,0x3fa000ff,0x4001ff97,0x49ff17fe,0x7ff3006c,0x2e1fff40,
    0x7e400eff,0x007fe46f,0x7fccffd0,0x9fff7e26,0x3a000ffc,0x0f7fd47f,
    0x40fffe60,0xb802fff9,0x7ffd45ff,0x3f21ffff,0x7c7fe606,0x09ff304f,
    0x8005ff98,0x3ee03ffa,0x00acefff,0x00bffe60,0xff317fee,0x40ffe009,
    0xa800fff9,0xfe80ffff,0xfff5000f,0x3f200003,0x5ffa000f,0x3a000ffc,
    0x001ff97f,0x40003ff4,0x3a000ffc,0x001ff97f,0x40003ff4,0x3a000ffc,
    0x001ff97f,0x0ffcbff4,0xfe9ffa00,0x2e00d94f,0x1ffd407f,0x2003fff3,
    0x3ff21ffd,0xd9ffa000,0x2ebea1ff,0x01ff92ff,0x3fa3ff40,0xfff5000f,
    0x003ffd03,0x3f60ffe4,0x321fffff,0x47fe606f,0x1ff904ff,0x001ff900,
    0x5403ffa8,0xefffffff,0x0fff400b,0x4c3ff900,0x7ff004ff,0x200fff20,
    0x44ffcff9,0x5c003ffc,0x00d544ff,0x3ff21551,0x65ffa000,0x3fa000ff,
    0x4001ff97,0x806aa7fe,0x1ff90aa8,0xfcbff400,0x9ffa000f,0x2aa201aa,
    0x4001ff90,0x01ff97fe,0xffcbff40,0x99ffa000,0x006effff,0xff880dfb,
    0x800fff23,0x3ff23ffa,0xe9ffa000,0x1573e44f,0xe8003ff2,0x00fff27f,
    0xf989ff70,0x7fc4004f,0x7fffec44,0x981bf21f,0x209ff1ff,0xdf3007fd,
    0x3ffa8003,0xfffdb880,0xf302ffff,0xff88009f,0x4013fe64,0x0dff03ff,
    0xff15ff30,0x0007ff8f,0x1ffc4fff,0x3f23ff30,0x5ffa000f,0x3a000ffc,
    0x001ff97f,0x3ff8bff4,0x7e47fe60,0x5ffa000f,0x3a000ffc,0x407ff17f,
    0x1ff91ff9,0xfcbff400,0x5ffa000f,0x3a000ffc,0x7fff4c7f,0x3fa02dff,
    0x3e3ff805,0xc808007f,0x3fa000ff,0x5f87ff17,0x8003ff20,0x01ffe7fe,
    0x3ee3ffc0,0x00a8000f,0xc87ff6e6,0x47fe606f,0x5ff704ff,0xfa800000,
    0x6544003f,0xb84ffffe,0x0a8000ff,0xf8027fcc,0x04ff983f,0xffb1ff44,
    0x0017fe21,0xff897ff4,0x647fe603,0x3fa000ff,0x4001ff97,0x01ff97fe,
    0xff8bff40,0x647fe603,0x3fa000ff,0x4001ff97,0x07ff17fe,0xffc8ffcc,
    0x65ffa000,0x3fa000ff,0x4001ff97,0xff9307fe,0xff01bfff,0x267ff009,
    0x900006ff,0x7f4001ff,0x7cc5ff37,0x003ff203,0xbff17fe8,0x8bffa000,
    0x000007fd,0xdf90ffc4,0xff8ffcc0,0x19fff304,0x3ea00000,0x6440003f,
    0x3fec2fff,0x9ff30000,0x2a0ffe00,0x3fa203ff,0xf997fdc4,0xff90004f,
    0x980ffe27,0x01ff91ff,0xffcbff40,0x65ffa000,0x3fa000ff,0x4c07ff17,
    0x01ff91ff,0xffcbff40,0x45ffa000,0x3fe603ff,0x4001ff91,0x01ff97fe,
    0xffcbff40,0x01ffa000,0x0dfff9f9,0xff880bfd,0x0009ff53,0x8003ff20,
    0x43ff57fe,0x3ff200fb,0x4dffa000,0xf90004ff,0x0037fc7f,0x87fe2000,
    0x3fe606fc,0x7dc09ff1,0x00acefff,0x07ff5000,0x17fe6000,0x40000dff,
    0xff004ff9,0x405ff707,0x3ffa84fd,0x20007ff5,0x7ff13ffa,0xfc8ffcc0,
    0x5ffa000f,0x3a000ffc,0x001ff97f,0x3ff8bff4,0x7e47fe60,0x5ffa000f,
    0x3a000ffc,0x407ff17f,0x1ff91ff9,0xfcbff400,0x5ffa000f,0x3a000ffc,
    0xd8b6407f,0x037ec3ff,0x7fdcffe6,0xff900003,0xabff4001,0x901ba2ff,
    0x7f4001ff,0x0007ff57,0x7fc4ffea,0x44000004,0x81bf21ff,0x09ff1ff9,
    0xffffffa8,0x20000bef,0xfeb83ffa,0x89ff6000,0x200004ff,0xff004ff9,
    0x203ff907,0x9ff505fd,0x4000bfee,0x7ff14ff9,0xfc8ffcc0,0x5ffa000f,
    0x3a000ffc,0x001ff97f,0x3ff8bff4,0x7e47fe60,0x5ffa000f,0x3a000ffc,
    0x407ff17f,0x1ff91ff9,0xfcbff400,0x5ffa000f,0x3a000ffc,0xf136407f,
    0x02ffb8bf,0x7fdcfff2,0xff900002,0x9bff4001,0xb89f13ff,0x001ff92b,
    0x2ffbbff4,0x29ff3000,0x76403ffa,0x0eeeeeee,0xfc87fe20,0x7c7fe606,
    0xfdb8804f,0x02ffffff,0x307ff500,0x7e4007ff,0x900ffea7,0xdddddddd,
    0x4013fe61,0x2ffb83ff,0xf700efc8,0x00bfea7f,0xf89ffd40,0x47fe603f,
    0x3a000ffc,0x001ff97f,0x0ffcbff4,0x7c5ffa00,0x47fe603f,0x3a000ffc,
    0x001ff97f,0x3ff8bff4,0x7e47fe60,0x5ffa000f,0x3a000ffc,0x001ff97f,
    0xc8313ff4,0x7f43ff46,0x3fff980e,0x00007ff3,0xe8003ff2,0x7d57fe7f,
    0x7e53fe21,0x5ffa000f,0x50002ffa,0x17fea7ff,0xffffffd0,0x7fc401ff,
    0xf981bf21,0x8009ff1f,0xffffeca8,0x3ffa8004,0x7c00dff0,0x017fea5f,
    0xfffffffd,0x013fe61f,0x7fd41ffc,0x90077dc3,0x13fe25ff,0x89ffdc00,
    0x3fe603ff,0x4001ff91,0x01ff97fe,0xffcbff40,0x45ffa000,0x3fe603ff,
    0x4001ff91,0x01ff97fe,0xff8bff40,0x647fe603,0x3fa000ff,0x4001ff97,
    0x01ff97fe,0x7febff40,0x21ff6364,0xc99beffa,0xff13ffff,0x3f20000b,
    0x9ffa000f,0x647daffc,0x01ff91ff,0xff8bff40,0x7ff70004,0xd901bfe6,
    0x1fffdddd,0xf90ffc40,0xf8ffcc0d,0x6440004f,0x54002fff,0xdff903ff,
    0x22ffd801,0x76406ff9,0x0fffeeee,0x3e009ff3,0x24ff983f,0x7ec00ffa,
    0x0017fe1f,0xff88ffe4,0x647fe603,0x3fe000ff,0x4001ff96,0x01ff96ff,
    0xff8b7fc0,0x647fe603,0x3fe000ff,0x4001ff96,0x07ff16ff,0xffc8ffcc,
    0x65bfe000,0x3fe000ff,0x4001ff96,0x43ff76ff,0x417fe26c,0xeffffffa,
    0x1bfa2ffb,0xff902600,0x137fc001,0x2e2bfffd,0x03ff25ff,0x3fe6ff80,
    0x3ff90005,0x0003ffe2,0xf8803ff2,0x981bf21f,0x009ff1ff,0x017fe600,
    0x2207ff50,0x99bcfffe,0x445ffeba,0xc8000fff,0x09ff30ff,0x7fc0ffe0,
    0x8803ff37,0x07fec6ff,0x89ffe200,0x3fea03ff,0x2003ff71,0x3ff76ff8,
    0x5dbfe200,0xff1001ff,0xa80ffe2d,0x03ff71ff,0x7ddbfe20,0xdff1001f,
    0xfa80ffe2,0x003ff71f,0x7fddbfe2,0x2dff1001,0xf1001ffb,0xc97fe6df,
    0x980ffee6,0xf98cefdc,0x001ff62f,0x1ffb9bfe,0x88dff100,0xfffeeffe,
    0x007fee0e,0xffb37fc4,0x7ff88001,0x4000ffec,0x3e200ffc,0x981bf21f,
    0x709ff1ff,0x7ec001fd,0xfa804c47,0x7ffec02f,0x4fffffff,0x0003ffb0,
    0x3fe61ff9,0x207ff004,0x02ffcffb,0x7dc3ffc8,0x7fe4004f,0xb80ffe24,
    0x07ff51ff,0x7d53fe60,0x9ff3003f,0x4c00ffea,0x07ff14ff,0xffa8ffdc,
    0x29ff3003,0xf3003ffa,0x80ffe29f,0x7ff51ffb,0x553fe600,0xff3003ff,
    0x400ffea9,0x3ffa4ff9,0xffc8ec9e,0x3fe60006,0x8013fee1,0x3fea4ffa,
    0x09ff3003,0x9fffffd1,0x2007ff50,0x3fee4ff9,0x27fe4004,0x20017fea,
    0x3e200ffc,0x981bf21f,0x309ff1ff,0x7e4007ff,0x5c0ffe27,0xedb801ff,
    0x02dfffff,0x20017fea,0x9ff30ffc,0x407ff100,0x9803fffe,0x7fc40fff,
    0xfff1001f,0x3204ff81,0x1dff11ff,0x225ffb00,0xfd800eff,0x01dff12f,
    0x7fc5ffb0,0x447ff204,0xfd800eff,0x01dff12f,0x7fc5ffb0,0x447ff204,
    0xfd800eff,0x01dff12f,0x3e25ffb0,0xffd800ef,0x3ffffa22,0xa81fffff,
    0x07fdc02c,0x1005fff1,0x7fc43ffd,0x2ffd800e,0x40353df0,0xd800eff8,
    0x3ffe22ff,0x1fff1001,0x800bffd0,0x3e200ffd,0x981bf21f,0x209ff1ff,
    0x3fe006ff,0xfb827fc5,0x5fdc000f,0x17ffa000,0x261ffb00,0xff8804ff,
    0x0bffee03,0x205fff50,0x5402fffa,0xfff83fff,0x21fff980,0x7d405ffd,
    0x17ff60ef,0x6c1dff50,0x7fd405ff,0x203ffe0e,0x3f61fff9,0x77fd405f,
    0x5017ff60,0x7ffc1dff,0x21fff980,0x7d405ffd,0x17ff60ef,0x6c1dff50,
    0x7fd405ff,0x7ffe440e,0xf500dfff,0x1bfe205f,0x8807ffee,0xffd85ffd,
    0x077fd405,0xfb0027cc,0xeffa80bf,0x017ffd40,0x4c0fffea,0xe9805fff,
    0x3e200fff,0x981bf21f,0x209ff1ff,0x6c00effc,0x07ff42ff,0x2001ffa2,
    0x26002efe,0xe9805fff,0x9ff30fff,0x405ff300,0x1adffffe,0x09fffb53,
    0x1adfffb8,0x09fffb53,0x54477ff2,0x3e21ffff,0xa99aceff,0x7c40fffd,
    0xa99aceff,0x7c40fffd,0xa99aceff,0x7e40fffd,0xfff511df,0x77ffc43f,
    0xffda99ac,0x77ffc40f,0xffda99ac,0x8effe40f,0x21ffffa8,0x9acefff8,
    0x40fffda9,0x9acefff8,0x40fffda9,0x9acefff8,0x00fffda9,0x2004fecc,
    0x711bfff8,0x3f603ffd,0xb989bdff,0xf880efff,0xa99aceff,0xf700fffd,
    0x7ffc4003,0xfda99ace,0xfff700ff,0x3f6a635b,0x7fd404ff,0xca9aceff,
    0x402ffffe,0x1bf21ff8,0x9ff1ff98,0x33fffa20,0xffeba99b,0x9bfffa85,
    0x8004ffea,0x2002ff98,0xaceffffa,0xffffeca9,0x8813fe62,0xfb01ffd8,
    0xffffff5b,0x005fffff,0x3fffffea,0x202fffff,0xfffffff8,0x7d41ff9f,
    0xffffffff,0xfff501ff,0xffffffff,0x3fffea03,0x1fffffff,0xffffff88,
    0x541ff9ff,0xffffffff,0xff501fff,0xffffffff,0xffff103f,0x3ff3ffff,
    0xffffffa8,0x501fffff,0xffffffff,0x3ea03fff,0xffffffff,0x0d9001ff,
    0x7ffffcc0,0x6401ffff,0xffffffff,0x3ea00eff,0xffffffff,0x01f601ff,
    0x3ffffea0,0x01ffffff,0x7fffffd4,0x002fffff,0xffffffd1,0x019fffff,
    0x7e43ff10,0x7fdccc46,0x0133bff1,0xfffffffb,0x7f409fff,0x05ffffff,
    0x00ffe600,0xfffffd10,0x19ffffff,0x3e04ff98,0xbf706fff,0xeffffeb8,
    0x5c4000ac,0xaceffffe,0xfffd8800,0x103ff0df,0xfffffff9,0xffc88039,
    0x01cfffff,0x7ffffe44,0x36201cff,0xff0dffff,0xffff9103,0x88039fff,
    0xfffffffc,0x3ff6201c,0x03ff0dff,0xffffff91,0xfc88039f,0x1cffffff,
    0x7fffe440,0x2001cfff,0x7e44006c,0x001bdfff,0xffffff93,0x3f22005d,
    0x1cffffff,0x40017e20,0xffffffc8,0xd71001cf,0x159dffff,0xfffb5000,
    0x0019dfff,0xdf90ffc4,0x1fffffb8,0x20bfffff,0xfffffedb,0xfffc802d,
    0xeb8004ef,0x20007fff,0xffffffda,0x9ff300ce,0x03bffe60,0x02a600c8,
    0x0a988000,0x000cc000,0x00335330,0x0066a660,0x00cd4cc0,0x30000cc0,
    0x20003353,0x80019a99,0x26600019,0x3300019a,0x26000335,0x000019a9,
    0x00031000,0x00035330,0x0019a998,0x300005b1,0x80003353,0x00000a98,
    0x000054cc,0x2f5c1dd1,0x47bbbbaa,0x004eeeed,0x26000153,0x3aa0000a,
    0x00000ade,0x00001533,0x00000130,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00aaa800,0x00998800,
    0x01555000,0x06aa6000,0x15544000,0x00aaa000,0x2a80a880,0x46aa6000,
    0xa8002aa9,0x0015542a,0x98006aaa,0x54000009,0xaa8000aa,0x2aaa000a,
    0x554c0000,0x0d54c001,0x000aaa80,0x551154c0,0x11554003,0x30000355,
    0xaa980001,0x55400002,0x2a00000a,0x100000aa,0x00d54155,0x000aaa80,
    0x00155440,0x3ea00666,0xb80005ff,0xb80005ff,0x200004ff,0x00000fff,
    0x40005ffb,0x0005fffc,0x04f98bf1,0x6c7ffa00,0xfb8001ff,0x003ff92f,
    0x2006ff98,0x400003ff,0xa8005ffa,0xff3005ff,0xff88000b,0xff1001ff,
    0xff5003ff,0xffc8000b,0x4007ff10,0x3ff92ffb,0x473fae00,0x740003fa,
    0x200001ff,0x00004ffb,0x003bffea,0xf87fee00,0xffa8004f,0xffb80005,
    0x13fee004,0x7ff9ff30,0x5ffb8000,0x06fe8000,0x0bfee000,0x1ffcc000,
    0xf7ff5000,0x3f20007f,0x000fecbd,0x3e67ff30,0x3f60003f,0x0002ffaf,
    0x3e005ff7,0xc800003f,0xfc8001ff,0x0ffd801f,0x677ec000,0xefe800ff,
    0xfb800efc,0x3f20001f,0x007ff10f,0x2ffaefd8,0xfffff500,0x40001fff,
    0x00003ff9,0x000037f4,0x0bfd9ff1,0x43ff7000,0xfd8004ff,0xff80000e,
    0x037fc005,0x7fd5bfa2,0x3fee0002,0x7fd40005,0x3fa00000,0x3f600004,
    0x3fe20005,0x0003ff75,0x05dfffb1,0xfb2fec00,0xfe88000b,0x640004ff,
    0x07ff005f,0x17f60000,0x202fec00,0x40001ff9,0x0dfd1ffc,0xbfd1ffc8,
    0x0017f600,0x9910cca8,0xfff88005,0x47f2004f,0x0003efda,0x00002fec,
    0x00003fea,0xff98efe8,0x664c0004,0x3000b320,0x700003ff,0x7dc001df,
    0x0e65400f,0x00000997,0x0072e000,0x003c8800,0x00066400,0x66419970,
    0x004c0003,0x99066400,0x99300001,0x33200009,0x003ff800,0x00991000,
    0x95013220,0xcc880005,0x44073263,0x073262cc,0x00006640,0x0026aea2,
    0x001e64c0,0x40000062,0x800004c8,0x200001cb,0x332a1cc9,0x00662000,
    0xca803310,0x39700002,0x002ed800,0x0002aa62,0x004d54c0,0x00aa9880,
    0x13553000,0xaba88000,0x01988009,0x8800cc40,0x00009aba,0x009aba88,
    0x13553000,0x40019880,0x00ffe198,0x2aea2000,0x04cc0009,0x33333331,
    0x26200133,0x99999999,0x20099999,0x99988099,0x99999999,0x6c400999,
    0xdfffffff,0x26666201,0x00099999,0x40001330,0x99999998,0x99999999,
    0x33333109,0x33333333,0x800cc413,0x33000998,0x8003ff21,0x003317fe,
    0x13310988,0x81331000,0x7fe40099,0x00dfffff,0x3fff6e60,0x9000bfff,
    0xbfffffff,0x7edcc001,0x00bfffff,0x3ffff620,0x3201dfff,0x3fa000ff,
    0x3fff6207,0x001dffff,0x7ffffec4,0x4c001dff,0xffffffdb,0x01ff900b,
    0x7ff3ff40,0x0002f2a2,0xffffffb1,0xff3003bf,0x7ffffe49,0xdfffffff,
    0xfffff900,0xffffffff,0x13fe609f,0x3ffffff2,0xffffffff,0x3fffea04,
    0x4fffffff,0xffffff90,0x1bffffff,0x009ff300,0x3ffffe20,0xffffffff,
    0xff93ffff,0xffffffff,0x7dc9ffff,0x6ffe802f,0xf92ffa80,0xbff4001f,
    0x36003ffd,0x00dff76f,0x220fff98,0xffb103ff,0xffffffff,0xffff9003,
    0x3fffffff,0x7fffec40,0x01ffffff,0xffffffc8,0x801fffff,0xfffffffa,
    0xf904ffff,0x3ff4001f,0xffffffa8,0x004fffff,0xfffffff5,0x2009ffff,
    0xfffffffc,0xfc81ffff,0x9ffa000f,0xffffbbff,0xffa801ef,0xffffffff,
    0x27fcc04f,0xfffffff9,0x3fffffff,0xffffff90,0xffffffff,0x213fe609,
    0xfffffffc,0x4fffffff,0x139fff90,0x17fff6e2,0x3ffffff2,0xffffffff,
    0x027fcc01,0xfffffc80,0xffffffff,0xff93ffff,0xffffffff,0x7cc9ffff,
    0x7ffc404f,0x87fe400f,0x3a000ffc,0x03fffb7f,0xffe9bf60,0x0bffa004,
    0x3fa07ff1,0x3f2609cf,0x3ff602ff,0x3fae60bf,0x9ffd00ff,0x7ffe4c13,
    0x2ffff602,0x3fffae60,0x33fff200,0xfffb7109,0x001ff90b,0x7fe43ff4,
    0xfb7109cf,0xffc80bff,0xfb7109cf,0xffd80bff,0x3fae60bf,0x07fe40ff,
    0x7fcffd00,0xffcacfff,0x3fff200f,0xffb7109c,0x27fcc0bf,0x33333ff9,
    0xfffb5333,0xaabffc83,0xaaaaaaaa,0x09ff301a,0x55557ff9,0x35555555,
    0x803dff50,0x7e43fff9,0x9999999f,0x01fffda9,0x20013fe6,0xffaaeff8,
    0xaaaaaaaf,0x7ff91aaa,0x55555555,0x6ff83555,0x17fffd40,0xffc9bfa0,
    0x6dffa000,0xfb006fff,0x00fffc4d,0x7c427fdc,0x04ff983f,0xfb82ffcc,
    0x7fe400ef,0x404ff986,0xff705ff9,0x6ffc801d,0x803dff50,0x7e43fff9,
    0x1ffa000f,0x9803dff5,0xff503fff,0xfff9803d,0x01dff703,0x7e46ffc8,
    0x9ffa000f,0x7440efff,0x3dff506f,0x03fff980,0x7fe49ff3,0x89ff9000,
    0x00000ffc,0xff909ff3,0xffd00001,0x3ffea001,0x4003ff21,0x3e604ffc,
    0xffc8004f,0x2001bfa3,0x40000ffc,0x3f600ffc,0x3e205fdc,0x003ff23f,
    0xfffb7fe8,0x8dfb009f,0x7cc06ffb,0x3ff880ef,0xc800ffc8,0x7ffcc0ff,
    0x83ffb001,0xfc800ffc,0x0fffcc0f,0xe81ffd80,0xff5000ff,0x007fe43f,
    0xffe8ffd0,0x3fff5000,0x2001ffd0,0x7cc1fffa,0xffb001ff,0x0007fe43,
    0x0fffcffd,0xfe83ff98,0xfff5000f,0x649ff303,0xff1000ff,0x000ffc8d,
    0x909ff300,0xc80001ff,0x7dc003ff,0x003ff24f,0xf3037fc4,0xff88009f,
    0x40037f47,0x40000ffc,0x3fe01ffa,0x3ea07fba,0x003ff21f,0xdffb7fe8,
    0x6fd803ff,0x3a03ffe8,0x7ff101ff,0x2600ffb0,0x1ffe41ef,0xd87ff500,
    0x3df3007f,0x2003ffc8,0x7fe43ffa,0x27fdc003,0x74001ff9,0x00fff27f,
    0xfc89ff70,0x7fdc003f,0x001ffe44,0x7fe47ff5,0xf9ffa000,0x22ff405f,
    0x5c003ffc,0x4ff984ff,0xd8003ff2,0x03ff20ff,0x27fcc000,0x00007fe4,
    0x7c001ffe,0x003ff27f,0xf300ffd8,0xffb8009f,0x40037f43,0x40000ffc,
    0xff303ff8,0x3203ff31,0x007fe47f,0x3ff6ffd0,0x7ec06ffa,0x80fff886,
    0x3e204ffb,0x02ffb83f,0x003ffc00,0x02ffb804,0x003ffc00,0x007ff804,
    0x7fe4fff0,0xf9ffa000,0xfff0007f,0xf0007ff8,0x007ff8ff,0x00ffc808,
    0x3ff9ffa0,0x3fe37e40,0x0fff0007,0x7fe49ff3,0x83ffa000,0x00000ffc,
    0xff909ff3,0x7fc40001,0x5ffd0005,0xe8003ff2,0x9ff300ff,0xe87ff800,
    0xffc8006f,0x5fe80000,0x1ffcdf70,0x7fe45fe8,0x6dffa000,0x409ff97f,
    0xbff706fd,0x4406ff88,0xfff983ff,0xff98000c,0x3e600006,0x98000cff,
    0x100006ff,0x3a000bff,0x01ff92ff,0xff8bff40,0x5ffd0005,0x40017fe2,
    0xdff32ffe,0x3ff20000,0xf9ffa000,0x87fdc02f,0xd0005ff8,0x4ff985ff,
    0x54003ff2,0x07fe46ff,0x4ff98000,0x0000ffc8,0x40013fe6,0x1ff93ffc,
    0x81bfea00,0x2e004ff9,0x06fe83ff,0x000ffc80,0xfd07fc80,0x7c437ec9,
    0x007fe43f,0x5ff6ffd0,0xfb01fff8,0xb17ff40d,0xff8803ff,0xdffff703,
    0xff500159,0xfb800009,0x00acefff,0x0004ffa8,0x0009ff30,0x7fe4fff2,
    0x4dffa000,0xf90004ff,0x013fe67f,0xfa9ffe40,0xf900004f,0x3ff4001f,
    0xffb805ff,0x0009ff30,0xff30fff2,0x2007fe49,0x642fffb8,0x999999ff,
    0x20099999,0xffc84ff9,0x99999999,0x7fd40999,0x7ff50003,0x71003ff2,
    0x7cc05fff,0x3ffa004f,0x999ffe80,0x20999999,0x99999ffc,0x00999999,
    0xff883ff5,0xf503fea1,0x00ffc81f,0x3fedffa0,0x3f60dff5,0x23ffe606,
    0xf8803ffa,0x3ffea03f,0x00beffff,0x00007ff7,0xffffff50,0x3ee017df,
    0xf500003f,0x3ea0007f,0x001ff93f,0x3ffabff4,0x27ff5000,0x50003ffa,
    0x0ffee7ff,0x07fe4000,0x7fcffd00,0xf53fdc02,0x3ea0007f,0x927fcc3f,
    0xddddddff,0x09fffffd,0xfffffff9,0x0dffffff,0x7e427fcc,0xffffffff,
    0x7dc6ffff,0xff30002f,0x3bbbff29,0xffffeeee,0x27fcc04f,0xd03ffa80,
    0xffffffff,0x7fe4bfff,0xffffffff,0xff106fff,0x7c47fa87,0x6437e42f,
    0x3fa000ff,0xffc8ffb7,0x5c06fd84,0x006ffcff,0xb8807ff1,0xfffffffd,
    0x002ffb82,0xffb71000,0x705fffff,0x200005ff,0x30002ffb,0x03ff29ff,
    0xff77fe80,0x3fe60005,0x0005ff74,0x7fdd3fe6,0xff900002,0xf3ff4001,
    0x25fc807f,0x30002ffb,0x4ff989ff,0x3ffffff2,0x1dffffff,0xffffff90,
    0xdfffffff,0x6427fcc0,0xffffffff,0x546fffff,0xf50002ff,0x3ffff27f,
    0xffffffff,0x4ff9801d,0x201ffd00,0xfffffffe,0x3f25ffff,0xffffffff,
    0x3a06ffff,0x742fe44f,0x6427f44f,0x3fa000ff,0xff88ffb7,0x4037ec1f,
    0x000ffffe,0x44007ff1,0x4ffffeca,0x0001ffcc,0x7f654400,0x7fcc4fff,
    0xff500003,0x3fea0005,0x4001ff93,0x05ff57fe,0x54ffea00,0xf50002ff,
    0x00ffe67f,0x007fe400,0x37fcffd0,0x7d49ff10,0xff50002f,0x324ff987,
    0xfcccccff,0x7e400dff,0xaaaaaabf,0x2602aaaa,0xbffc84ff,0xaaaaaaaa,
    0x27fc42aa,0x93ffb800,0xf99999ff,0x4c001bff,0xffa804ff,0x2abffa04,
    0x2aaaaaaa,0x2aaafff2,0x2aaaaaaa,0x7fd1bf20,0x7fc4ff90,0x000ffc82,
    0x43fedffa,0x37ec6ffa,0x01fffcc0,0x0007ff10,0x117ffe44,0x00000bff,
    0x5fff9100,0x0002ffc4,0x0004ff88,0x3ff27ff7,0x45ffa000,0xf70004ff,
    0x013fe27f,0xf89ffdc0,0xf900005f,0x3ff4001f,0x3ee05fff,0x013fe21f,
    0x261ffdc0,0x03ff24ff,0x90077fe4,0x200001ff,0xffc84ff9,0x2ffc0000,
    0x91ffc800,0x3ff201ff,0x9ff3000e,0x99bffd00,0x0dff9999,0x001ff900,
    0x4c3fe600,0x0ffa81ff,0xff901ff5,0xdb7fc001,0x49ffb07f,0xffb006fd,
    0x03ff8800,0x45ff9800,0x098006fe,0x5ff98000,0x4c0037f4,0x0005ff80,
    0x3ff23ff9,0xf9bfe000,0xff90005f,0x8002ffc3,0x1bfa1ffc,0xff902600,
    0xf37fc001,0xffc85fff,0x0005ff83,0xff983ff9,0xc803ff24,0x3ff206ff,
    0xff300000,0x001ff909,0x000ffd80,0xff93ffc4,0x037fe401,0x5404ff98,
    0xffffffff,0x8006ffff,0x00000ffc,0x037dcbfe,0x41bf25ff,0xf1001ffb,
    0x441ff6df,0x0dfb1fff,0x1001ff60,0x0feb87ff,0xfb1ff600,0x4dff000f,
    0x36000feb,0x003fec7f,0x3ff637fc,0x3ffc4000,0x22003ff7,0x03ff66ff,
    0xd8fff100,0x7c4000ff,0x003fec7f,0x3ff737fc,0xf9bfe200,0xffefffef,
    0x01ffb04f,0x987ff880,0x03ff24ff,0x3209ffb0,0x300000ff,0x1ff909ff,
    0x4ffb8000,0x927fe400,0xffd801ff,0x04ff9804,0x77777ff4,0x06ffeeee,
    0x000ffc80,0x7ed3f600,0x7f53f604,0x007ff503,0x3fed3fe6,0x3f6dff50,
    0x00ffb006,0x7cc3ff88,0x1ff2003f,0x54009ff7,0x0ffe64ff,0x7dc7fc80,
    0x3fea004f,0x0027fdc4,0xffa93ff2,0x49ff3003,0x64004ffb,0x27fdc4ff,
    0x713ff200,0x7d4009ff,0x00ffea4f,0x7ff27fcc,0x07bfffd3,0x20027fdc,
    0xff984ffc,0x1003ff24,0xff905fff,0x3e600001,0x00ffc84f,0x0fffc400,
    0x20fff880,0x7c400ffc,0x7fcc02ff,0x013fe604,0x32001bfa,0x200000ff,
    0x405ff6fb,0x203ff5fb,0xd800eff8,0x80ffb2ff,0x06fdcffd,0x8800ffb0,
    0x06ff83ff,0xff117fe0,0xffd1005f,0x2006ff83,0x7ffc45ff,0x1ffe8802,
    0x800fffc4,0x3e20fff8,0xffd800ef,0x007ffe22,0x2207ffc4,0xf1001fff,
    0xfff881ff,0x1ffe8802,0x2003bfe2,0x8ffe2ffd,0xff880098,0xfff1001f,
    0x649ff301,0xffb800ff,0x007fe40f,0x84ff9800,0x80000ffc,0x5402fffa,
    0x7fe43fff,0x0fffb800,0xd813fe60,0x6fe800ff,0x00ffc800,0x2bfe6000,
    0x3fe600ff,0x7fec07f9,0x877fd405,0x7fc407fd,0xfb006fff,0x3ff8800f,
    0x400effc8,0xffb82ffd,0x3ff6201f,0x00effc85,0x7dc17fec,0x3f6201ff,
    0x5fff505f,0x83fffa80,0x7d405ffd,0x7ffd40ef,0x1fffd402,0x402fffa8,
    0xf703fffa,0x7ec403ff,0x05ffd85f,0xff077fd4,0x7fd40007,0x7ffd402f,
    0x649ff303,0xffb000ff,0x000ffc8b,0x909ff300,0x200001ff,0x31adfffb,
    0x909fffb5,0x3f6001ff,0x13fe605f,0xe802ffcc,0xffc8006f,0x7fc00000,
    0xdff806fd,0x7ffc405f,0xfda99ace,0x01ff60ff,0x01bfffea,0x22003fec,
    0xffe883ff,0xeba99bcf,0x3ff605ff,0xfb989bdf,0xfe880eff,0xba99bcff,
    0x3f605ffe,0xb989bdff,0x2e00efff,0x531adfff,0x2209fffb,0x99acefff,
    0x700fffda,0x2635bfff,0x404fffda,0x31adfffb,0x809fffb5,0x89bdfffd,
    0x80efffb9,0x9acefff8,0x40fffda9,0x5c0003ff,0x531adfff,0x4c09fffb,
    0x03ff24ff,0x917ffc40,0x555557ff,0x05555555,0x3f213fe6,0xaaaaaabf,
    0x202aaaaa,0xfffffffa,0xf902ffff,0x3fe2001f,0x09ff302f,0x74007ff6,
    0xaaaaaaff,0xff92aaaa,0x55555557,0xd8055555,0xfd803fff,0xffa803ff,
    0xffffffff,0x803fec1f,0xb006fffd,0xff8800ff,0x3ffff603,0x04ffffff,
    0xffffffc8,0x400effff,0xfffffffd,0xfc804fff,0xffffffff,0xffa800ef,
    0xffffffff,0x7ffd402f,0xffffffff,0x7fffd401,0x2fffffff,0xfffff500,
    0x05ffffff,0x3fffff20,0x00efffff,0x3fffffea,0xf81fffff,0xfa80003f,
    0xffffffff,0x7fcc02ff,0x8003ff24,0xff90effb,0xffffffff,0x301fffff,
    0xfff909ff,0xffffffff,0x4401ffff,0xceffffeb,0x03ff200a,0x80effb80,
    0xff984ff9,0x3fffa005,0xffffffff,0xfffff97f,0xffffffff,0x7fdc01ff,
    0xfffa801f,0xfff91000,0xb039ffff,0x3fe200ff,0x0ffb006f,0x403ff880,
    0xfffffedb,0x3f26002d,0x02efffff,0x3fffb6e0,0x26002dff,0xeffffffc,
    0x7f5c4002,0x00acefff,0xfffff910,0x220039ff,0xceffffeb,0x75c4000a,
    0x0aceffff,0x7ffe4c00,0x1002efff,0xfffffff9,0x00ffe039,0x7ff5c400,
    0x800aceff,0x3ff24ff9,0xa7ff4000,0xfffffffc,0xffffffff,0xc84ff980,
    0xffffffff,0x0fffffff,0x00153100,0x20007fe4,0xff984ffe,0x001ffd84,
    0x3ffffffa,0x97ffffff,0xffffffff,0x1fffffff,0x803ffcc0,0x30006ff8,
    0xfd803353,0x1bfea007,0x2003fec0,0x4c003ff8,0x9980000a,0x5300001a,
    0x53300001,0x26200003,0x9980000a,0x4400019a,0x200000a9,0x00000a98,
    0x00006a66,0xd0033533,0x1000005d,0x00000153,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa886aa2,0x00aaa001,
    0x22026200,0x85550001,0x100002aa,0x51000555,0x00554435,0x001aa980,
    0x00035550,0x00015544,0x75c17930,0x2aa20001,0xa8555002,0x2662002a,
    0x00999999,0x33333310,0x81a80033,0x2aa800a8,0x55001554,0x4002aa85,
    0x98002aa8,0x544001aa,0x006aa21a,0x20099900,0x03f63cc9,0x554403f7,
    0x8000aaa0,0xb8003cc8,0xffffffff,0x0ddc4003,0x155407d3,0x7fec0553,
    0x2001ffb0,0x0004fffc,0x17e227c4,0x9a7fd400,0xb00003ff,0x3a0005ff,
    0x00dfd0ff,0x07fffa20,0x01dff100,0x02ffd800,0xffffb800,0x40007fce,
    0xf3002ffd,0x00ffea9f,0xffffffa8,0xffb004ff,0x03ffffff,0x3fa07ec0,
    0x54ff9800,0x7cc005ff,0x005ff74f,0x017fff44,0x03ffff10,0xfd0ffd80,
    0x7c40001d,0xffb800ff,0x2a273ea5,0x1ffcc06f,0x4c000dfd,0xfb8006ff,
    0x3fffffff,0x3fffe600,0x3e01fece,0x403ff25f,0x1ffadff8,0xff7ff500,
    0xcfc80007,0x0001fdb9,0x17fa7fee,0x27fcc000,0x7bff1000,0x360001ff,
    0x000ffcef,0x00007ff2,0x400037f4,0xfffeb9fe,0x3fe60003,0x57fdc004,
    0x7d4004fe,0x4fffffff,0xfffffb00,0x4c003fff,0x03fdbbef,0x3febfee0,
    0xaffb8004,0x7ec003ff,0xd001ffbf,0x001ff9df,0x7fdeff44,0x7fc40001,
    0x5ffb800f,0x0ffffff4,0xfe8ffe60,0x3fe60006,0x99988006,0x00099999,
    0x3ff6aff2,0x92ffc06f,0x7fcc01ff,0xff3003ff,0x0007fee9,0x4ffffe88,
    0xfffd8000,0x3f600006,0xff980005,0xf70001ff,0x401bfa3f,0x00002ff8,
    0x8000bfe2,0x005442c8,0x0017f200,0x0037ffec,0x00000000,0x7fff5c00,
    0x7fec000c,0x3f60005f,0x7dc005ff,0x801dfd2f,0x0dfd1ffc,0x2ffff980,
    0xeee88000,0x83cc9800,0x91002db9,0x001e5c39,0x10079910,0x19880033,
    0x06a225c0,0xcca8f320,0x02775c00,0x66419970,0x2b880003,0x3b620000,
    0x3200000d,0x9500000c,0x32200059,0x00b3263c,0x00000f26,0x40000f26,
    0x0009aba8,0x80006640,0x0000ccc8,0x00cc4133,0x04d5d440,0x00062000,
    0x000ccc88,0x00333220,0x3223cc88,0x8b32202c,0x54001cc9,0x980003cc,
    0x30009aaa,0x20266013,0x88000998,0x4cccc099,0x99999999,0x03ff2199,
    0x2007fe80,0x33000199,0x00998001,0x00033300,0x00019980,0x0000ccc0,
    0x30006660,0x33333333,0x13333333,0x20002662,0x03310998,0x06660000,
    0xfffb1000,0x003bffff,0x33333333,0x43333333,0x19999998,0xc97fe000,
    0xfd8800ff,0x1dffffff,0x26666620,0x99999999,0x26666209,0x99999999,
    0x00662099,0x04cc1310,0x00066200,0x99998331,0x99999999,0x75c40199,
    0x4effffff,0x2613fe60,0x6ffb84ff,0x07ffcc00,0xfffffff1,0xffffffff,
    0xd0007fe4,0x3fe200ff,0x7fcc002f,0x13fe6004,0x0bffe200,0x7ffc4000,
    0xff100002,0x2200005f,0xf3002fff,0xffffffff,0x7fffffff,0x3001bfee,
    0x1ffa1fff,0x3fe20000,0xff50002f,0xffffffff,0x7ffc409f,0xffffffff,
    0x3ff67fff,0xffffffff,0x4bff001d,0x7d400ffc,0xffffffff,0xfff904ff,
    0xffffffff,0x7fe49fff,0xffffffff,0x3f64ffff,0x9bf6003f,0x7e4003ff,
    0x9ffa000f,0xfffffff8,0x7fffffff,0x3ffffea0,0x1effffff,0xf984ff98,
    0x09ffd04f,0x2217ff40,0xffffffff,0x27ffffff,0x3a000ffc,0xfff7007f,
    0x4ff9800b,0x013fe600,0x017ffee0,0x2fffdc00,0xfffb8000,0xff700005,
    0x3fe600bf,0xffffffff,0x23ffffff,0x3a004ffe,0x01ffa2ff,0x3ffee000,
    0xfffc8005,0xffb7109c,0x3ffe20bf,0xffffffff,0x3ff67fff,0xffffffff,
    0x66401dff,0xc80332a3,0x7109cfff,0xf90bfffb,0xffffffff,0x649fffff,
    0xffffffff,0x24ffffff,0xb001fffd,0x001ffcdf,0xe8003ff2,0x3fffe27f,
    0xffffffff,0xfff707ff,0x7ed4435b,0x27fcc1ff,0xf8827fcc,0xffb801ff,
    0xaaaaa884,0xfeaaaaaa,0x003ff25f,0xfd007fe8,0x4c001ffb,0x3e6004ff,
    0xdfe8004f,0xe80000ff,0x0000ffdf,0x00ffdfe8,0xffdfe800,0xaaaa8800,
    0xaadffcaa,0x3e20aaaa,0xffb801ff,0x0003ff44,0x07feff40,0x03dff500,
    0x883fff98,0xaaaaaaaa,0x25ffeaaa,0xaaaabffd,0x0efffcba,0xffa80000,
    0x7ffcc01e,0x555ffe43,0xaaaaaaaa,0x2afff21a,0xaaaaaaaa,0x3fff61aa,
    0x7cdfb006,0x7fe4003f,0x89ffa000,0xaaaaaaaa,0x85ffeaaa,0xb802fff9,
    0x27fcc5ff,0xf7027fcc,0xeff980df,0x7fd40000,0x003ff20f,0xf9807fe8,
    0x2004ff8f,0x26004ff9,0x7cc004ff,0x0004ff8f,0x27fc7fcc,0x23fe6000,
    0x4c0004ff,0x004ff8ff,0x001ffd40,0xf980dff7,0x03ff40ef,0x23fe6000,
    0x3fa004ff,0xfff5000f,0x7fd40003,0x201ff60f,0x0005ffe8,0x000ffe80,
    0x7e43fff5,0x3f20000f,0x3f60000f,0xfd804fff,0x9000ffe6,0x7f4001ff,
    0xfff50007,0x003ffd01,0xff30ffe4,0x809ff309,0x3fa03ffe,0x7cc0001f,
    0x07fe41ff,0xb00ffd00,0x801ff2df,0x26004ff9,0x7ec004ff,0x8000ff96,
    0x00ff96fd,0xff96fd80,0x96fd8000,0xfa8000ff,0x7ff4003f,0x207ffa03,
    0x400007fe,0x00ff96fd,0x7000fff2,0x260009ff,0x3fec1fff,0x42ffe880,
    0x2aa201aa,0x000fff20,0x7fe49ff7,0x3ff20000,0x3ff60000,0x7ec01ffe,
    0x9000ffe6,0x7f4001ff,0xfff98007,0x004ff981,0xff327fc4,0x809ff309,
    0xfb80fff8,0x7c40004f,0x0ffc82ff,0x101ffa00,0x0bfe69ff,0x0027fcc0,
    0x44009ff3,0x05ff34ff,0x4d3fe200,0xf10002ff,0x00bfe69f,0xf9a7fc40,
    0x3ea0002f,0x7fc4003f,0x04ffb80f,0x40000ffd,0x5ff34ff8,0x000fff00,
    0x22001ffe,0x7fd82fff,0x89ffe200,0x3fe603ff,0x4001ffe1,0x03ff27ff,
    0x00ffc800,0x3ebff600,0xf37ec06f,0x2b2ea27f,0x000ffc80,0xf1001ffa,
    0x3fee05ff,0x4c0a8000,0x4ff984ff,0x445ffb80,0xe80006ff,0x1ff904ff,
    0x203ff400,0x17fe1ffb,0x0027fcc0,0x5c009ff3,0x017fe1ff,0xff0ffdc0,
    0x3fee000b,0x40017fe1,0x17fe1ffb,0x03ffa800,0x445ffb80,0x1ffa06ff,
    0x1ffb8000,0xff1017fe,0x3ffa000b,0x27ff4002,0x6c007fd8,0x07ff10ff,
    0xff88ffcc,0x5ffd0005,0x80003ff2,0x20000ffc,0x09ff97fd,0x37ff37ec,
    0x89ffffff,0x3a000ffc,0x7ff4007f,0x001ff604,0x984ff980,0xffd004ff,
    0x000ffec5,0xc817ff20,0x3fa000ff,0x3237f407,0xff9800ff,0x13fe6004,
    0x7e46fe80,0x6fe8000f,0x40007fe4,0x07fe46fe,0x3237f400,0xf50000ff,
    0x3fa0007f,0x807ff62f,0x200007fe,0x07fe46fe,0x0009ff30,0xc800fff2,
    0x1ff605ff,0x223ff500,0x3fe603ff,0x0009ff31,0x7fe4fff2,0x3ff20000,
    0x5ff60000,0xfb01fff8,0x77ff7fcd,0x323fffec,0x3fa000ff,0x17ff2007,
    0x0000dff0,0x7cc27fcc,0xfff3004f,0x0007ff51,0x200effb8,0x3a000ffc,
    0x0ffe607f,0xf3009ff3,0x7fcc009f,0x87ff3004,0x4c004ff9,0x27fcc3ff,
    0x30ffe600,0xf98009ff,0x027fcc3f,0x003ffa80,0xf51fff30,0x07fe807f,
    0x87ff3000,0x3ea04ff9,0xff50003f,0x3bfee007,0x001ff600,0x3fe27ff3,
    0x547fe603,0xf50003ff,0x267ff27f,0x99999999,0x4cffe409,0x99999999,
    0xf53fec09,0xf9bf60df,0x7fcc1fff,0x2aafff27,0xaaaaaaaa,0xff7007fe,
    0x27fc401d,0x9ff30000,0x4009ff30,0x06ffcffb,0x0fffcc00,0x8003ff20,
    0x3ff207fe,0x9807fe80,0x3e6004ff,0x1ff9004f,0xc800ffd0,0x07fe80ff,
    0x7407fe40,0x7fe4007f,0x0007fe80,0x40007ff5,0x06ffcffb,0x00007fe8,
    0xffd01ff9,0x0017fdc0,0x9804ff98,0x7ec01fff,0xa7fcc007,0x3e603ff8,
    0x005ff71f,0x7e53fe60,0xffffffff,0x7e46ffff,0xffffffff,0x7ec6ffff,
    0x6c27fe47,0x407ffe6f,0xfff90ffd,0xffffffff,0x300fffff,0xfa803fff,
    0x7776403f,0xf30eeeee,0x09ff309f,0x0ffffe80,0x3ffe2000,0x00ffc802,
    0xff81ffa0,0x805ff705,0x26004ff9,0xbff004ff,0x800bfee0,0x5ff705ff,
    0xb82ffc00,0x3fe002ff,0x005ff705,0x0007ff50,0x00ffffe8,0x00007fe8,
    0x3fee0bff,0x005ff502,0x100ffea0,0xfb005fff,0x5ff8800f,0x7cc07ff1,
    0x005ff51f,0x7e4ffea0,0xffffffff,0x7e46ffff,0xffffffff,0x7ec6ffff,
    0x20fffc47,0x81bfe6fd,0xfff91ffa,0xffffffff,0x880fffff,0xfa802fff,
    0x7fff405f,0xf30fffff,0x09ff309f,0x03fff980,0x027ff400,0x2000ffc8,
    0x5ff507fe,0x301bfe20,0x7cc009ff,0x2ffa804f,0x200dff10,0xff102ffa,
    0x0bfea00d,0xa8037fc4,0xdff102ff,0x07ff5000,0x3fff9800,0x000ffd00,
    0x2205ff50,0x9ff106ff,0x0ffee000,0x2009ffd0,0x7cc007fd,0x407ff14f,
    0x9ff11ff9,0x4ffee000,0xaaaabffc,0x42aaaaaa,0xaaaabffc,0x42aaaaaa,
    0x6ffa87fd,0x0bff37ec,0xffc97fc4,0x01ffa000,0x26009ffd,0x776406ff,
    0x30fffeee,0x9ff309ff,0x00ffb000,0x005ffc80,0xf8003ff2,0x99ffb06f,
    0xfff99999,0x027fcc03,0xb009ff30,0x999999ff,0xb003fff9,0x999999ff,
    0xb003fff9,0x999999ff,0xb003fff9,0x999999ff,0x8003fff9,0x80003ffa,
    0x3fa007fd,0xffd80007,0xfccccccc,0x0bff01ff,0x807ff200,0x36005ffc,
    0x7fd4007f,0x4c07ff13,0x017fe1ff,0xfc8ffe40,0x3f20000f,0x3f60000f,
    0x6c9ffb07,0x8813fe6f,0x01ff92ff,0xf903ff40,0x7fc400bf,0xffc8000f,
    0xf309ff30,0xffb0009f,0x77fdc000,0x07fee000,0x4437fc40,0xffffffff,
    0x204fffff,0x26004ff9,0x7fc404ff,0xffffffff,0x7c404fff,0xffffffff,
    0x4404ffff,0xffffffff,0x404fffff,0xfffffff8,0x04ffffff,0x001ffd40,
    0xd003fec0,0xf88000ff,0xffffffff,0xfb04ffff,0xff88001f,0x03bfee07,
    0x4007fd80,0x7ff12ffc,0xfb0ffd40,0xff88001f,0x0003ff27,0x0000ffc8,
    0x7fc41ff6,0x7fcdfb1f,0x64bfe203,0x3fa000ff,0x01dff707,0x001ffd80,
    0xff30ffc8,0x009ff309,0x2000ffb0,0x4001fff9,0xf3003ffa,0x99ff709f,
    0xf9999999,0x27fcc0ff,0x809ff300,0xcccccffb,0x07ffcccc,0x66667fdc,
    0x7ffccccc,0x6667fdc0,0xffcccccc,0x667fdc07,0xfccccccc,0x7fd4007f,
    0x7fd80003,0x001ffa00,0x9999ff70,0xfff99999,0x0013fee0,0x3e609ff9,
    0x7ec001ff,0x87ff4007,0x3ee03ff8,0x013fee1f,0x7e49ff90,0x3f20000f,
    0x3f60000f,0x6dbfea07,0x880ffe6f,0x01ff92ff,0x7cc3ff40,0xfa8001ff,
    0xffc8005f,0xf309ff30,0xffb0009f,0x5fff1000,0x1dff1000,0xd05ffb00,
    0x3ff200df,0x009ff302,0x3a027fcc,0x5ff9006f,0xc8037f40,0x1bfa02ff,
    0xd017fe40,0x3ff200df,0x0ffea002,0x01ff6000,0x40007fe8,0xff9006fe,
    0x03fff105,0x203ffe20,0x8002fff8,0x3ea007fd,0x9027fc5f,0x7ffc43ff,
    0x1fff1001,0x00007fe4,0x40001ff9,0x7fec07fd,0x0ffe6fdc,0xff92ff88,
    0x23ff4001,0x0002fff8,0xb0017ffa,0x13fe61ff,0x20013fe6,0xfe8007fd,
    0x3f60004f,0x77fd405f,0x8027fcc0,0xff306ff8,0x27fcc009,0x2009ff30,
    0xff306ff8,0x1bfe2009,0x88027fcc,0x9ff306ff,0x01bfe200,0x0003ffa8,
    0x3a007fd8,0x3e60007f,0xdff1004f,0x00bffea0,0x3a07fff5,0xfb0004ff,
    0x0fff400f,0x3e603ffe,0x7ffd41ff,0x1fffd402,0x80003ff2,0x20000ffc,
    0x7fc407fd,0x0ffe6fff,0xff92ff88,0x23ff4001,0x40004ffe,0x9805fff9,
    0xff30fffe,0x009ff309,0xc800ffb0,0x440004ff,0x99acefff,0xc80fffda,
    0x3fa001ff,0x04ff981f,0xc813fe60,0x3fa001ff,0x01ffc81f,0x3207ffa0,
    0x3fa001ff,0x01ffc81f,0x4007ffa0,0x80003ffa,0x3fa007fd,0x3ff20007,
    0x07ffa001,0x8d6fffdc,0x04fffda9,0x40009ff9,0xfe9807fd,0x1dffc86f,
    0x03ffff51,0x235bfff7,0x84fffda9,0x20000ffc,0x20000ffc,0xffa807fd,
    0x80ffe6ff,0x1ff92ff8,0xf93ff400,0x2a00009f,0x9aceffff,0x2ffffeca,
    0x3e613fe6,0x7fd8004f,0x2fffea00,0xaaaaaaaa,0x7d40aaaa,0xffffffff,
    0x0dff01ff,0x984ffa80,0x3e6004ff,0x01bfe04f,0xff09ff50,0x4ffa800d,
    0x54006ff8,0x06ff84ff,0x8027fd40,0x80003ffa,0x3fa007fd,0xaaaaaaaf,
    0x37fc0aaa,0x813fea00,0xfffffffa,0xf502ffff,0x555557ff,0x15555555,
    0x2aaafff6,0xefffedcb,0xfffff880,0x01ff9fff,0xfffffff5,0x3205ffff,
    0xaaaaabff,0x22aaaaaa,0xaaaabffc,0x2aaaaaaa,0x7ec01ff6,0x80ffe6ff,
    0x1ff92ff8,0xfabff400,0xaaaaabff,0x0aaaaaaa,0xfffffd10,0x19ffffff,
    0xf984ff98,0x7fd8004f,0x3fffea00,0xffffffff,0xc881ffff,0xcfffffff,
    0x007ff501,0x4c0fff88,0x3e6004ff,0x07ff504f,0x20fff880,0x44003ffa,
    0x3fea0fff,0x7ffc4003,0x000ffea0,0x5001fff1,0xb00007ff,0x7ff400ff,
    0xffffffff,0x0ffea2ff,0x01fff100,0x7ffff5c4,0x3ea00ace,0xffffffff,
    0x1fffffff,0xfffffffb,0x01bfffff,0x6ffffec4,0x5c403ff0,0xaceffffe,
    0x3ffff200,0xffffffff,0xfff90fff,0xffffffff,0x3f61ffff,0xdfff1007,
    0xff101ffc,0x8003ff25,0xffff57fe,0xffffffff,0xa803ffff,0xeffffffd,
    0x09ff300c,0xb0009ff3,0x7fd400ff,0xffffffff,0x01ffffff,0x400cd4cc,
    0xc8000ffd,0x27fcc3ff,0x209ff300,0xc8000ffd,0x03ff63ff,0xd8fff200,
    0xfc8000ff,0x003ff63f,0x200fff20,0x80003ffa,0x3fa007fd,0xffffffff,
    0x3ff62fff,0x3ffc8000,0x00153100,0x7fffffd4,0xffffffff,0xffffb1ff,
    0x17bdffff,0x00019800,0x2000a988,0xfffffffc,0xffffffff,0xffffff90,
    0xffffffff,0x801ff61f,0x0ffe6ffa,0xff92ff88,0xabff4001,0xffffffff,
    0xffffffff,0x02a66001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31198000,0x40011003,0x26620998,0x20199000,0x001acba8,0x03c984c8,
    0x54003330,0x002aa62a,0x00099910,0x3550554c,0x03930000,0x20000000,
    0x13a21cb8,0x33333326,0x776402cc,0x00eeeeee,0x00266200,0x26aea620,
    0x00260000,0x26aea200,0x400d5400,0x001aaa98,0x4c400980,0x10cc4001,
    0x4c062033,0x80013300,0x01880198,0x800d5440,0x300003c8,0x4c099803,
    0x3e600009,0x881ffb9f,0x01defffc,0xdfd0efe8,0x20ff1001,0xdffffffb,
    0x90df3000,0xfff7009f,0xb9bfa007,0x7c4001ff,0x3ee0007f,0x009ff10f,
    0x03ebeb80,0xffffff00,0x3e200fff,0x2fddffff,0xffffffa8,0x7ff404ff,
    0x00ffffff,0x00bff600,0xfffffda8,0xd3001cff,0x0019dfff,0x7ffffec4,
    0xff880cff,0x3fffaa04,0x4002efff,0x0cffffda,0x2000ffc8,0x41ff67fe,
    0x417d41fb,0x64004ff9,0xffd880ff,0x7dc01eff,0x6c00dfff,0xf980002f,
    0x47ff201f,0x20002ffb,0x1ffb9ff9,0x7fffffc4,0x7fc401ff,0x5001ffbc,
    0xbfffd09f,0x003fffb9,0x05fb0bf7,0x1ffdff98,0x3ee6fe80,0x7fc4001f,
    0x3fee0007,0x0009ff10,0x000d11e8,0x3ffffffe,0x39f7007f,0x101dfff9,
    0x55555555,0x99998803,0x20001999,0x32004ff9,0xffffffff,0x7dc03fff,
    0x1fffffff,0xfffffa80,0x44ffffff,0xffb04ff8,0xffffffff,0xfffb001d,
    0xc81dffff,0x3fa000ff,0x7c41ff67,0x306eb9be,0xfc8009ff,0x7fffd40f,
    0xf304ffff,0x40bfd79f,0xa88006f9,0xacffcaaa,0xff3dfd00,0xff980007,
    0x7e40fd99,0x3ffd30af,0x2ffffa80,0xf70bf600,0x6fe9819f,0xff83fc80,
    0x657fe201,0x1e5c00ff,0x88001993,0x2a0004cc,0x059910cc,0x0d11e800,
    0xa8000000,0x3001540c,0x26600013,0xdfb00001,0x5ffff400,0x3fff6e61,
    0x17dff504,0x401ffd71,0x109cfffd,0x449fffb7,0xfffd83fc,0xffd530bd,
    0x67fec03f,0xc8bffb51,0x3fa000ff,0xfb81fb27,0xf302ffff,0xffc8009f,
    0x22fffe20,0xc82ffeb8,0x407fe23f,0xf98002fd,0xffffffff,0xbffff102,
    0x3ff30000,0x03ff51ea,0xd9009ff1,0x0ff8007d,0xfa81bfe2,0x20ff403f,
    0x776407f8,0x9889db10,0x99999999,0x22099999,0x99999999,0x00999999,
    0x0000ccc0,0x007d9d50,0x26666662,0x99999999,0x10006620,0x09ff3013,
    0x05fff100,0x00de8800,0x801dff90,0xfe82fffa,0x03ffa80f,0x9803dff5,
    0x217c4fff,0x5c00fffa,0xbff306ff,0xfc87ff20,0x1ffa000f,0x037500f7,
    0x4004ff98,0x3ff20ffc,0xe86ff882,0x4c1ff40f,0x5510006f,0x159ff955,
    0x006f74c0,0xd8ffcc00,0xf9037f45,0x2000001f,0x1ffdc6f9,0xf8817fe0,
    0x0037d40f,0x3ffff200,0xffffffff,0x3fff24ff,0xffffffff,0x22004fff,
    0x00002fff,0x2005fff1,0xfffffffc,0x4fffffff,0xd800fff6,0x04ff986f,
    0x05fffb80,0x26020000,0x3ee006ff,0x13fe60ff,0xffd06fe8,0x3ffea001,
    0xffe81f30,0x07ff9003,0x3e601dfb,0x003ff23f,0x02e47fe8,0x09ff3000,
    0x3a0ffc80,0x83ff607f,0x84fc87f8,0x200002fd,0x00001ff9,0x985e5440,
    0x260ea9ff,0x3fe603ff,0x0de5cc03,0x7e43fb80,0x9999999f,0x2aa67fd9,
    0xaaaaffba,0x4c02adfd,0xff901bcb,0xffffffff,0x7e49ffff,0xffffffff,
    0x004fffff,0x0017ffee,0x02fffdc0,0xffffffc8,0xffffffff,0x007fff64,
    0x7fcc37ec,0xfdfe8004,0x9510000f,0x32274359,0x7e4002ff,0x8032a22f,
    0x4ffb87fd,0x567fdc00,0x037f441f,0xf88ffd10,0x3204c02f,0x3fa000ff,
    0xa880be67,0x3e601acb,0x7fe4004f,0xfb81bfa0,0x2e1fe60f,0x0037cc5f,
    0xf30bca88,0xcba8803f,0xffd8801a,0x1ff9cfff,0xf803ff50,0xffff904f,
    0xfe801bff,0x7ffffec1,0xffffffff,0xffffffb0,0xffffffff,0x3ffff20f,
    0x7fe40dff,0xaaaaaaab,0x3f21aaaa,0xaaaaaabf,0x001aaaaa,0x003ff7fa,
    0x3ff7fa00,0xabffc800,0xaaaaaaaa,0x3fff61aa,0x30dfb006,0xf98009ff,
    0x4004ff8f,0xffffffd8,0x37f43fdd,0x027fc400,0x7fc27f40,0xfff8000f,
    0x0002200e,0x7fd41ff9,0x0ffc8000,0x2e7ffa00,0x3ffee03f,0xf980dfff,
    0x7fe4004f,0x7407ff20,0x20ffc46f,0x017f44fc,0x3ffff620,0x201ff9cf,
    0xdffffffb,0x337ffa00,0x01ffefec,0xfe801ff9,0xcceffc85,0xf100effe,
    0xfffffd0f,0xffffffff,0x3ffbbb21,0xeffeeeee,0xceffc86e,0x320effec,
    0x320000ff,0x000000ff,0x09ff1ff3,0xf8ff9800,0x0ffc804f,0x3fff6000,
    0x86fd804f,0x6c004ff9,0x400ff96f,0xfccefff8,0x7fc45fff,0x0dff0004,
    0x442ffc80,0xfb0005ff,0x5000005f,0x137dc5ff,0x32015995,0x3fa000ff,
    0x3fa01cef,0xfffdcdff,0x0027fcc1,0xff983ff2,0x427fdc0d,0x517f43fe,
    0xffd000df,0xffdff99b,0x37fffa03,0xc81fffdc,0x7fec42ff,0x00ff901f,
    0x3ffb8dfd,0xf504ffb8,0x000dfb0b,0xff107fa0,0x5c1ffdc0,0x03ff24ff,
    0x00ffc800,0x2dfb0000,0x6c0007fc,0x900ff96f,0x6c0001ff,0x401ffeff,
    0x4ff986fd,0x4d3fe200,0xffb002ff,0x98dff907,0xfb0002ff,0x7ed4401f,
    0x4ff982ff,0x05ff9000,0x33333331,0x33333333,0xb7e47ff5,0x2ffffffc,
    0x2000ffc8,0xffb807fe,0x237f4c0c,0x64004ff9,0x7ffd40ff,0x504fffcd,
    0x8dfb37ff,0x7e4001fe,0x7ffec42f,0x40cffb81,0x7fcc6fe9,0x407ffe04,
    0x6fd807fd,0xfe817fe2,0xf905f907,0xff10000f,0xf105fa81,0x93ff40bf,
    0x640001ff,0x800000ff,0x5ff34ff8,0x53fe2000,0x7e402ff9,0x3f60000f,
    0x6c06ffaf,0x04ff986f,0xff87fee0,0x83ffa805,0x2e3fffe8,0xf90001ff,
    0x7ffdc03f,0x07ff503f,0x20ffea00,0xfffffffc,0xffffffff,0x37f65fff,
    0xffeceffc,0x007fe42f,0xf880ffd0,0x8ffea06f,0x64004ff9,0xfff880ff,
    0x7e403fff,0x3ea0efff,0x1ffcc005,0x441fff88,0x3fea06ff,0xb803fee3,
    0x0ffb01ff,0x7fccff90,0x7c06e601,0x02ffb80f,0x6f98276c,0xff304fc8,
    0xf90dcc03,0x7e40001f,0xb800000f,0x017fe1ff,0xff0ffdc0,0x00ffc80b,
    0x7e5ff600,0x21bf604f,0x3a004ff9,0x007fe46f,0x3f603ff6,0x3ff66fea,
    0x7ff70001,0x7fff7640,0x002ffb84,0xf709ff30,0xffffffff,0xffffffff,
    0x6ffff4df,0x907ffcc2,0x7f4001ff,0x01ffdc07,0x4ff997fe,0x207fe400,
    0xffeefffa,0x165cc03f,0x26a20ff4,0x200ffb80,0x7fdc1ffb,0xf92ffc03,
    0x01ff980d,0xffb00ff9,0x30003fdc,0x1bfe20df,0xf704ffb8,0x2e05fd09,
    0xffc8007f,0x3ff20000,0xfe800000,0x0007fe46,0x3ff237f4,0x003ff200,
    0xff17fd80,0x21bf603f,0xf3004ff9,0x04ff987f,0xa7dc2ff4,0x07ff27fc,
    0x00ffe400,0x20fffc98,0x50002ffa,0x9ff507ff,0x55555555,0xbff75555,
    0xf5037ff4,0x007fe49f,0xfc80ffd0,0x9999999f,0x3fe67fd9,0x07fe4004,
    0x64c3bff9,0xa8000eff,0x7fffe45f,0x26037e42,0x4ffe41ff,0xd9999999,
    0x1017fa7f,0x1ff203ff,0x7fc9bf60,0x813ee000,0x2e21effa,0x7fb00fff,
    0x3f201ff0,0x9ffc8007,0x99999999,0x4ffe4099,0x99999999,0xff980099,
    0x0027fcc3,0xff30ffe6,0x4cffe409,0x99999999,0xf53fec09,0x21bf60df,
    0xf9004ff9,0x80ffd01f,0x737cc4ff,0x0ffee1ff,0x007fec00,0xf88bff20,
    0xff70004f,0x007ff307,0x7ec9ff30,0x937f402f,0x7f4001ff,0x7fffec07,
    0xffffffff,0x009ff30f,0xff10ffc8,0x017fd40d,0xff70ff40,0x7f45ffb9,
    0x20ffcc05,0xfffffffd,0xd0ffffff,0x1ff880bf,0xe801ff70,0x001bfa6f,
    0x7e401fd8,0xffffefff,0x7ffffec1,0xffffffff,0x001bfa7f,0x3ffffff2,
    0x6fffffff,0x7fffffe4,0x6fffffff,0xe80ffc80,0x7fe4007f,0x3207fe80,
    0xffffffff,0x6c6fffff,0x427fe47f,0x4ff986fd,0x2e0bff00,0x9ff102ff,
    0xff707fc4,0x0013fea1,0x44003ff4,0x02ffc5ff,0x881ffc80,0xfa8005ff,
    0x007ff23f,0x0ffe4ffb,0xe80dff00,0xffffffff,0xf30fffff,0xffc8009f,
    0xe805ff50,0x2fd4005f,0x26fb87fa,0x7fc405ff,0x7fffff41,0xffffffff,
    0xf880dfb0,0x01ff501f,0x1ff65ff8,0x3007f800,0x19fffffd,0xffffffb0,
    0xffffffff,0x4003fecf,0xfffffffc,0x46ffffff,0xfffffffc,0x06ffffff,
    0xff705ff8,0x82ffc005,0xff902ffb,0xffffffff,0x7fd8dfff,0x360fffc4,
    0x04ff986f,0xf102ffa8,0xb2ffc0df,0x7c7fc85f,0xff88006f,0x8ffd0006,
    0x44000ffd,0x1bfe07ff,0xb8bff200,0x3fe400ff,0x22003ff7,0x37ec06ff,
    0x44ff9800,0x43ff2018,0x7fc807fc,0xf10ff400,0xfb1ff88d,0x41ff880d,
    0xf70006fd,0x01ff980f,0x7c405ff3,0x101ff23f,0x02fd4159,0x2201fdc0,
    0x9999efb9,0x21999cfd,0x564407fc,0x5557ff90,0x55555555,0xaaabffc8,
    0x2aaaaaaa,0x8817fd40,0xff5006ff,0x41bfe205,0xaaaabffc,0x42aaaaaa,
    0x6ffa87fd,0x7fcc37ec,0xccffd804,0xfffccccc,0x3f2ffd01,0x7ec6fd84,
    0xfb03203f,0x0076d47f,0x9ff71ff6,0x04ffc800,0x8800fff2,0x17fd46ff,
    0xffa97f60,0x09ff3003,0x30007fc8,0x0ffd49ff,0x1ff67fd8,0xb801ff60,
    0x7c2fdc5f,0x980ff92f,0x03fe41ff,0x201ffa80,0x3fa01ffc,0xa87fee05,
    0x3ff202ff,0x2000ff21,0x9f7000fb,0x7d405fd0,0x47ff202f,0x20000ffc,
    0x00000ffc,0x33333ff6,0x01fffccc,0xccccffd8,0x81fffccc,0x20000ffc,
    0x9ffb07fd,0x7fcc37ec,0x7fffc404,0xffffffff,0xf7ff904f,0x98bff10b,
    0xff980fff,0x5c5ffa8c,0x2ffc03ff,0x4007ffe2,0x2200fff8,0xfb000fff,
    0x04ff887f,0xdff11ffc,0x05ffb001,0x6c02ffb8,0x993fe64e,0x4dfd02ff,
    0x3e201ffb,0x07fe006f,0x25fd0bf7,0x3f201ffa,0x017fdc1f,0x6ff893b6,
    0x403fff10,0xfe880ffb,0x3e06fe84,0x000ff47f,0xfd800fec,0x7400ff83,
    0xc9ffe06f,0x320000ff,0x100000ff,0xffffffff,0x809fffff,0xfffffff8,
    0x84ffffff,0x20000ffc,0xfff107fd,0x3e61bf63,0x67fdc04f,0xcccccccc,
    0xfff507ff,0x05ff901f,0xc883fff7,0x40ffffff,0x3f207ff8,0x2fffa82f,
    0x01fffd40,0x200f7fe4,0xff906ffd,0xb07fee05,0xffa80bff,0x37fc400e,
    0x7cc9ff70,0x217fe24f,0x3fe65ff9,0x013fee05,0x3fd42fdc,0x5ff88ffc,
    0x883fff10,0x3fee06ff,0x306ffd44,0xf803fffd,0x3ffa21ff,0x20dffa80,
    0x3e22ffd9,0x19f90006,0x20ff4062,0xffa807f9,0x8bff660d,0x20000ffc,
    0x00000ffc,0x99999ff7,0x0fff9999,0xccccffb8,0x7ffccccc,0x0000ffc8,
    0xffa81ff6,0xff30dfb6,0x006fe809,0x3f605ff9,0x3ff621ef,0x37fff204,
    0xfffb989a,0x5bff903f,0x702fff54,0x2635bfff,0x004fffda,0x137fffb1,
    0x07bffaa6,0x2e17ffc4,0xfff884ff,0xfda99ace,0xff5000ff,0x7ffdc43d,
    0xfb13fe60,0xfff735df,0x21dffc85,0x1006ffd9,0x1ff301ff,0xff507fcc,
    0x7fff4c1b,0x21effa81,0xb80fffb8,0xbfffefff,0x7fcc01ff,0x02fffeff,
    0x3ffbfff2,0x027dc4ff,0xfefff980,0xfa87f883,0xdfff9005,0xfc89ffff,
    0x3f20000f,0xfd00000f,0x0bff200d,0xf9006fe8,0x00ffc85f,0xb01ff600,
    0x30dfb9ff,0x7fcc09ff,0x0dff1004,0x3bfffff2,0xfb806fff,0xffffffff,
    0xd80cffff,0xffffffff,0x7ffd400e,0xffffffff,0xfffb8002,0xdfffffff,
    0x7fff4c00,0x2a05fffe,0xffffffff,0x64001fff,0xfffeffff,0x227fcc1f,
    0xfffffff8,0xffffb03f,0x003dfffd,0xdfd813ee,0xfb84fea9,0xfbfffeff,
    0xffff901f,0x403ffffd,0x8aefffda,0xfd8801ff,0x9802efff,0x82effffe,
    0x2e0002fd,0xfa81cffe,0x2004fc86,0x2effffe9,0x0000ffc8,0x00003ff2,
    0x44013fe6,0x9ff306ff,0x91bfe200,0x6c0001ff,0x7ffc407f,0x4ff986ff,
    0x8007ff20,0x6fd41ffe,0x2ffffeca,0x3fff2200,0xfc8befff,0xfffa83ff,
    0x22003fff,0xceffffeb,0x36a0000a,0x3dfffffe,0x3fff6200,0xfc8803ef,
    0x1cffffff,0xfffd3000,0xff3019ff,0xffffb109,0xfffa807d,0x22004fff,
    0x3fa600ff,0xb500dfff,0xff15dfff,0x7fff4c03,0x26000cff,0x15300000,
    0x80266000,0x080000aa,0x5540d440,0x01330000,0x00007fe4,0x00001ff9,
    0x74003ff9,0x1ffc81ff,0xc87ffa00,0x360000ff,0xfffa807f,0x04ff986f,
    0xf5001bfe,0x4c0ea89f,0x4c400009,0x3fd8809a,0x00026620,0x00015310,
    0x0004cc00,0x80004c40,0x00019a99,0x0000d4c0,0x40009988,0xa8000a98,
    0xcdb8803e,0x00026002,0x00003530,0x00000000,0x00000000,0x00000000,
    0x5557ff90,0x55555555,0x555ffe45,0xaaaaaaaa,0x006ff82a,0x7fc27fd4,
    0x27fd4006,0x55557ff9,0x55555555,0xfd803fec,0x4ff986ff,0x8007ff50,
    0x0000fff8,0x15000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffc8,0xffffffff,0xfffff90f,0xffffffff,0x1ffd41ff,0x83ffe200,
    0x44003ffa,0xfff90fff,0xffffffff,0x3f61ffff,0xdfff1007,0x3609ff30,
    0xfc8000ff,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0xffffffff,0xf90fffff,0xffffffff,0x41ffffff,0xc8000ffd,
    0x03ff63ff,0x64fff200,0xffffffff,0x0fffffff,0x7d400ffb,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99880000,0x19980001,0xaaa98800,
    0x2001b101,0x0009aaa8,0x22033100,0x00001301,0x40000ccc,0xa8800008,
    0x880009aa,0x4c0cc419,0x0aa800aa,0x04cc0998,0x0cc41330,0x00099880,
    0x10013310,0x51000133,0x00554379,0x00135530,0x06620988,0x59730554,
    0x04cc4001,0x02662000,0x000ccc40,0x09aaa980,0x004cc400,0x41331000,
    0x2aa201aa,0x98666000,0x00099819,0x2b2a1550,0x003ffd00,0x0037fd40,
    0xffffff93,0x027ec19f,0xfffffd71,0x428005df,0x83f707fc,0x900002fa,
    0x260009ff,0x00bdfffd,0x3fffae20,0x2002efff,0x9ff34ff9,0xa809ff30,
    0x1ffc81ff,0x7fc03ff7,0x1003ff25,0x0001fffd,0xf3003ffd,0x7ec400df,
    0xff8dffff,0x3ff6e603,0x000bffff,0x0ffdcdfd,0x7ffcd7fc,0xfd004fff,
    0x6c0001ff,0x3fa003ff,0xd710002f,0x9dffffff,0x997fec00,0xff50005d,
    0x980ffe27,0xff7001ff,0x3e17fea9,0xff88003f,0x80ffffc9,0x20005ff8,
    0xf9000ffe,0xffffffff,0x40bfb7ff,0xbbdffff9,0x401efffd,0x83fe47d8,
    0x6eb9bef8,0xbff10000,0x3ffee000,0x800fffff,0xbbdffff9,0x001efffd,
    0x0dfd3ff7,0x3f6037f4,0x3e7bfa06,0x92ffc03f,0xffd801ff,0x7d4006fd,
    0x3fee003f,0x9bffd002,0x07ffdfd9,0x3ffffff2,0x801fffff,0x07fee6fe,
    0x37fff3fe,0x6403ffff,0x0006fdff,0x88009ff3,0xfa8006ff,0xffffffff,
    0xf7001eff,0x0009ffdf,0x7fc4ffea,0x007fe603,0x1dfd37f4,0x10007ff0,
    0xbffff9ff,0x000ffcc0,0xd800ffcc,0x2609cfff,0x00effffc,0x4c037ff7,
    0x3f202ffc,0xf703ed47,0x0005ffff,0x0003fee0,0x4c2bffea,0x3ee00efe,
    0x3f2601bf,0xfffb002f,0x0ffdc01f,0x2203ff88,0xc804ffff,0x80332a3c,
    0x4ff8affb,0x0017fa00,0x3f201bf2,0x3fffd82f,0x20bfffd8,0x00fffeb9,
    0x19931e5c,0xa85dfff0,0xff500fff,0x000bff15,0x26000df9,0x3ee001ff,
    0x2a21adff,0xa801fffd,0x0000effe,0x7fc4ffea,0x007fe603,0x7fd43fea,
    0x0007ff01,0x515dfff1,0x004ea803,0xf7003ec8,0xff9803df,0x05ff503f,
    0xc80ffcc0,0x9806b87f,0x6c00001b,0xfe88001e,0x20bfb00f,0x26002ffa,
    0xed8801ff,0x27fc401e,0x5400ffb8,0x000005ee,0xdd5276c4,0x00bd3003,
    0xf300f6c0,0x1fff407f,0x9003bfee,0x00000dff,0x3f203fff,0x24ed881f,
    0x22002eea,0x2a0000dd,0xfff3004e,0x0bff7005,0x7fe7ff54,0x3fea0001,
    0x4c07ff13,0x2ec801ff,0x3ff80fb2,0x1fff8800,0x00000000,0x001fff30,
    0x981ffff5,0x355552ff,0x203fe603,0x027447fc,0x00000000,0x203ffa80,
    0x7fcc2ff9,0x41665442,0x00000ff9,0xbfd07fd8,0x00000000,0x00000000,
    0x07fb8000,0xff31ffd4,0x3ff6003f,0x7fc00001,0x007fea06,0x00000000,
    0x1ffe8000,0x407ff200,0x01bf22ed,0xf13ffa80,0x0ffcc07f,0x7ff00000,
    0x0dff1000,0x0d65d440,0x06f2e600,0x9803ffc8,0x6c4ffcff,0x3ffffa2f,
    0x27dc0dff,0x355ffb53,0xcba980b9,0x2a6000ab,0xba881acc,0x07fdc01c,
    0x5fb13fe0,0xffffffb8,0x53027dc2,0xa8015797,0x17fcc2ff,0x55100d54,
    0x5100d541,0x100d5415,0x00d54155,0x0d541551,0x7ec15510,0x91ffc406,
    0x7d4007ff,0x6654403f,0x817fe01a,0x2a202ff9,0x44001acc,0x4001acca,
    0x401acca8,0x44004ff9,0x262104ff,0x0003fe89,0x3fe27ff5,0x007fe603,
    0x00d66544,0x5e544ffe,0x0bff1009,0x3ffffee0,0x7fe400df,0xf80dffff,
    0xaff9806f,0x1be27ff8,0xfb5533fd,0x7fdcff0b,0x4404ffff,0xfffffffe,
    0x7fff4c04,0xff72ffff,0xb01bffff,0x4dfd00ff,0x5ffdc6f8,0x7f81fd50,
    0xfffffe88,0x2ffc04ff,0x3fe21ff2,0x447fe603,0x3fe603ff,0x4c07ff11,
    0x07ff11ff,0xff88ffcc,0xe87fe603,0x23ff805f,0x008007ff,0x7ffffe44,
    0x04ff80ef,0x3220ffe2,0x0effffff,0x7fffe440,0x64400eff,0x0effffff,
    0x0001ff70,0x7ff54015,0x000ffeff,0xff13ffa8,0x00ffcc07,0x3fffff22,
    0x57ff00ef,0x03dfffff,0xfd009ff1,0xfffb9bff,0x33bff203,0x260effec,
    0x7f4404ff,0x7dc3ff63,0x0ff83f44,0xffea97ec,0x3e603eef,0xffecceff,
    0xbfff504f,0xfdfffd99,0xdfff9bff,0xfd00ff90,0xff127dcf,0xfd89f301,
    0x33bffe62,0x204fffec,0x13fe0ffc,0xf980ffe2,0x407ff11f,0x7ff11ff9,
    0xf88ffcc0,0x47fe603f,0x3e603ff8,0x2013fe1f,0x0dff33ff,0xffe88000,
    0x2fffdcce,0xff1027fc,0xceffe887,0x102fffdc,0xfb99dffd,0x3fa205ff,
    0xfffdccef,0x0007fd82,0xddfffd80,0x8005ffff,0x7ff13ffa,0x100ffcc0,
    0xfb99dffd,0xfdff05ff,0x5fffb7bf,0x5c03ff88,0x7f4c0cff,0xb83ffb86,
    0x0ffea4ff,0x7dc4fe88,0x7e85fb2f,0x4fb86f88,0xfe803fe4,0x0fff980f,
    0xfa80dfe8,0x7540cfff,0x007fdc4f,0x22fd9ffe,0x7dc003fa,0x2603ffa4,
    0xff300fff,0x2207fe65,0x3fe603ff,0x4c07ff11,0x07ff11ff,0xff88ffcc,
    0x447fe603,0x3fe603ff,0xf1017fa1,0x013fea7f,0x07ff9000,0x7fc1fff3,
    0x90ffe204,0xfff307ff,0x307ff901,0xff901fff,0x81fff307,0x400006ff,
    0xffc85ffb,0x7fd4001f,0x5407ff13,0x3ff201ff,0x40fff983,0x74c1efff,
    0x01ffc47f,0x7d40dff1,0x817fe23f,0x0bfee7fe,0xffa84fd8,0x9fe81fd3,
    0x983fdb99,0x403fe45f,0x3f204ff9,0x00ffd41f,0x7cc0dfff,0x813fea1f,
    0x1fd0fffb,0x260017e4,0x409ff35f,0x3fa01ffc,0x3e20df95,0x47fe603f,
    0x3e603ff8,0x407ff11f,0x7ff11ff9,0xf88ffcc0,0x87fe603f,0x7fcc06fd,
    0x0007ff73,0x5027fcc0,0x027fc9ff,0x7fcc7ff1,0x313fea04,0x7fd409ff,
    0x5027fcc4,0x27fc49ff,0xbff10000,0x0017fe40,0x4ff8ffea,0x4c07fee0,
    0x3fea04ff,0xa80fffc4,0x0ffe23ff,0x7c03ffb8,0x807fe65f,0x07ff21b9,
    0xffa82fec,0xfffd0dd4,0x2fc05dff,0x54c01ff2,0x10bfea00,0x3ffd8053,
    0x3fa27f40,0x7ffcc0cf,0x1fd8dd0f,0x2a65f800,0x80bfea00,0x03ff8ffb,
    0x7cc07ff1,0x407ff11f,0x7ff11ff9,0xf88ffcc0,0x47fe603f,0x3e603ff8,
    0x80bfee1f,0x5ff73ffc,0x7fe40000,0xff3ff400,0x91ffc409,0x7fe801ff,
    0x3a007fe4,0x007fe47f,0x3ffa9ffa,0x77777640,0x3ff70eee,0x0027fc40,
    0x4ff8ffea,0x6407ff20,0x3ff400ff,0xdfd017fe,0xf901ffc4,0x3333333f,
    0x3fdcffb3,0x417fdc00,0xff700efc,0x5fd03fa7,0x7cc05fd7,0x0003fe44,
    0x017fed4c,0x5ffd7310,0xb3333333,0xffff98bf,0x7fcefdbd,0x02fc83fa,
    0x98027cc0,0x2202ffda,0x100ffcff,0x7fcc07ff,0x4c07ff11,0x07ff11ff,
    0xff88ffcc,0x447fe603,0x3fe603ff,0x4c077f41,0x7ff33fff,0x37ec0000,
    0xff87fe40,0xd8ffe204,0x0ffc806f,0x3f201bf6,0x201bf60f,0xbff50ffc,
    0xfffffe80,0x0ff90fff,0xa800dfb0,0x03bfa3ff,0x6c07ffe6,0x0ffc806f,
    0xff900ffe,0xfb01ffc4,0xffffffff,0x3f21ffff,0x3ffa8007,0xf90077dc,
    0xfd0bf65f,0x7f702fd8,0x4c007fc8,0xfffffedc,0x3b72602f,0xffffffff,
    0xffffffff,0xffffe987,0x367fc8ef,0xc80fee2f,0x64c1fdc3,0xffffffed,
    0x2fffec02,0x4c07ff10,0x07ff11ff,0xff88ffcc,0x447fe603,0x3fe603ff,
    0x4c07ff11,0x77fd41ff,0xffffc99b,0x000bff13,0x5c02ff40,0x409ff1ff,
    0x17fa3ff8,0xfe87fee0,0x21ffb805,0xffb805fe,0xc80dff31,0xfffeeeee,
    0xf900dfb0,0x3ffa800f,0x5c477ff2,0xfd01ffff,0x43ff700b,0x7fdc02ff,
    0x7407ff10,0xffffffff,0xfd0fffff,0x9ff3000d,0x36007fd4,0xe89f71ff,
    0x7407fc47,0x803fe41f,0xffffffe9,0xe882ffcd,0xdcefffff,0xffffffff,
    0x7107ffff,0x37ec39d9,0x07fc49f7,0x87fa27dc,0xffffffe9,0x5402ffcd,
    0x3e202fff,0x47fe603f,0x3e603ff8,0x407ff11f,0x7ff11ff9,0xf88ffcc0,
    0x07fe603f,0x3fffffea,0x3fa2ffbe,0xf8098006,0x1ffa805f,0x7fc409ff,
    0x2a017fe3,0x017fe1ff,0x5ff87fea,0xf11ffa80,0xf90001ff,0x2017fa1f,
    0x2a001ffb,0x7fff43ff,0x1ff9ffff,0xf500bff0,0x2017fc3f,0x7ff10ffb,
    0x80037ec0,0xff0007fd,0x1007fe6f,0x23fc4dff,0x446fa87e,0x807fc86f,
    0x09bdffe8,0xfd10bfea,0x7fc837df,0xfe800000,0xff71fe25,0x41ff9339,
    0x3ffa26f8,0x3fea09bd,0x407ff802,0x3ea03ff8,0x407ff11f,0x7ff11ffa,
    0xf88ffd40,0x47fea03f,0x3ea03ff8,0xdfb9301f,0x6c5ff319,0x6ff8007f,
    0x7dc02ff4,0x4409ff1f,0x017fa3ff,0x5fe87fee,0x3a1ffb80,0x1ffb805f,
    0x20007ff6,0x0dfd0ffc,0x4c41ff90,0x885ff500,0xf0dffffd,0x017fa03f,
    0x2ff87fee,0xff13fe40,0x003fe407,0x64407fc8,0x3f3fee0a,0x3ffc802f,
    0x20fd27e4,0x20ff62fe,0xffc807fc,0x90bfee03,0x7fe405ff,0x22000001,
    0x227e43ff,0x1efffffb,0x7ff91fec,0x4017fdc0,0x7fc404fe,0x447fee03,
    0x3fee03ff,0x5c07ff11,0x07ff11ff,0xff88ffdc,0x007fee03,0xfb87fe60,
    0x3fea004f,0x64037ec4,0x3e2000ff,0x201bf63f,0x1bf60ffc,0xfd83ff20,
    0x20ffc806,0xc8005ffa,0x00ffb0ff,0x1ffc4ffb,0x2201ffb8,0xfb027c41,
    0x41ff900d,0x37ec03ff,0xffb80544,0xf5276c02,0x0ffe405f,0x200ffffa,
    0x7440fff9,0x2a20554f,0x3f20dfb2,0x407fe807,0x37f42ffc,0x880bffa0,
    0x0bfe65ef,0x7441ffb8,0x05dd444f,0x1ffa37ec,0x9805ff90,0x4ff801ff,
    0xff87ff20,0xf87ff204,0x87ff204f,0x3ff204ff,0xfc813fe1,0x700b2a1f,
    0x7ffc41ff,0x1ffe8802,0x3e00ffe4,0x7fcc006f,0xf007ff22,0x01ffc8df,
    0x3ff237fc,0x7437fc01,0x7ec005ff,0x403ff70f,0x27fc5ff8,0x4000ffb8,
    0x3ff202f9,0x3e37fc01,0x17fe206f,0xf10bbfea,0x27fdc0df,0x7ff81bfa,
    0x402fffb8,0xf302fffa,0x7fec009f,0xd00ff700,0x3fea01ff,0x903ff42f,
    0x3201dfff,0x837fc3ff,0xff305ff8,0x07fec009,0x7d403ffa,0x2fec02ff,
    0x980fff80,0x3ffe1fff,0x21fff980,0xff980fff,0x203ffe1f,0x3fe1fff9,
    0x1fff980f,0x7c40bfea,0x1fffb86f,0x217ff620,0x3ee05ff8,0x7fd4003f,
    0xb817fe21,0x2ffc43ff,0xf887ff70,0x0ffee05f,0x2017ffe6,0xf10fffe9,
    0x0ffe40bf,0xfd103ffa,0x07f5000f,0xf702ffc4,0x02fff87f,0x93103ff9,
    0x3dff50df,0x207ffdc4,0x3660dffa,0xfffe82ff,0xfb531adf,0xffa809ff,
    0xfeb980bd,0x33fee01e,0x19ff9009,0x1ffffd44,0xc9833ff6,0x21effdff,
    0xfc86ffb8,0x3ffe60cf,0x2f7fea00,0x1efeb980,0x220cffc8,0x4c3ffffa,
    0x002ffdaa,0x2a23bff9,0x3f21ffff,0xfff511df,0x8effe43f,0x21ffffa8,
    0xf511dffc,0x7fe43fff,0xffff511d,0x8dfffc43,0xb01ffeb8,0x3137bfff,
    0x201dfff7,0x3220dffb,0x226005ff,0x7fdc0ffd,0x17ff220d,0x9106ffdc,
    0x3fee0bff,0x17ff220d,0xceffffa8,0xfffeca9a,0x06ffe42f,0xf50bff91,
    0xffd537ff,0x1df30009,0x1bff7062,0x7c2ffe44,0x7fe42fff,0x407fd404,
    0xffeffffc,0xfff901ff,0xb09ffffd,0xfffff5bf,0x05ffffff,0x3ffff620,
    0x0dffffdc,0x2ffffcc0,0xeeffff88,0x44ffafff,0xffeffff8,0xffff51ef,
    0x201dfffd,0xfffefffe,0xffd8801f,0xffffdcff,0xffff100d,0xff5fffdd,
    0x4ffffa89,0x3fffe200,0x1ff9ffff,0x3fffffe2,0x221ff9ff,0xffffffff,
    0x3fe21ff9,0xf9ffffff,0x3fffe21f,0x1ff9ffff,0x7fffffcc,0x7e401fff,
    0xffffffff,0x7fe400ef,0x05fffeff,0x17fffe20,0x7f7fffe4,0x7fe405ff,
    0x05fffeff,0x7f7fffe4,0xfe8805ff,0xffffffff,0xff700cff,0x1bfffddf,
    0x3fffffa0,0x3e0005ff,0xfc86feff,0x5fffefff,0xdfff9ff0,0xd901bfff,
    0x74c0bffd,0x00cfffff,0x77ffff4c,0x75c5fb82,0x0aceffff,0xfffc9800,
    0x2000cfff,0x2206ffea,0x0cfffffd,0xffb10ff9,0xfb309dff,0x8019ffff,
    0x0bdffffc,0x7ffe4c00,0x8800cfff,0x0cfffffd,0xfff98ff9,0xffd88004,
    0x83ff0dff,0x0dffffd8,0xffd883ff,0x83ff0dff,0x0dffffd8,0xffd883ff,
    0x03ff0dff,0x7bffff91,0x3ff26003,0x002effff,0x37ffffaa,0x7ffd4003,
    0x3ffaa00e,0xd5003dff,0x007bffff,0x37ffffaa,0x7fed4003,0x00ceffff,
    0xfffffea8,0xffffc803,0x6cc0004e,0xfd501cef,0x7c07bfff,0xffffe9af,
    0x33fffa03,0x00353000,0x19002660,0x000054c0,0x40000cc0,0x15310008,
    0x02662000,0x4000d440,0x200000a9,0x26200019,0x0018000a,0x20003300,
    0x03300019,0x40006600,0x06200019,0x06a66000,0x00066000,0x06600060,
    0x00033000,0x30000198,0x98000153,0x0a980009,0x40000000,0x26200019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,0x88006620,
    0x22000099,0x54400099,0xa98001aa,0x2200001a,0x00009aba,0x44003b93,
    0x20066209,0x004cc099,0x00004cc4,0x26001331,0x98800099,0x440000aa,
    0x999881aa,0x19999999,0x4c426620,0xaa988009,0x22155000,0xa800acb9,
    0x02ca8002,0xcc8002a8,0x80cc0000,0x950001a8,0x31033105,0x88001555,
    0x026001aa,0x0066404c,0x10260130,0x19880033,0x30077260,0x20099833,
    0x03fee6fe,0x007fff40,0x003ffd80,0xdfffffb3,0xfffb1005,0x220003df,
    0xfffffffd,0x55fc001d,0x4bfd001e,0x7ec00ffb,0x003ff91f,0x0001fffd,
    0x5c00bff6,0x3a6005ff,0x00dfffff,0x7ffffe40,0xffffd0df,0x1fffffff,
    0xf11dff10,0x7fe401ff,0x00dfffff,0x3ffe67fe,0x3f204fff,0x07fcc006,
    0x7001bf20,0xf98000bf,0x3fffa21f,0x3fe6005f,0xd31ffc80,0x19ffffff,
    0x013fea00,0x0fdc0fc8,0xf90017ec,0x7e41fb81,0x1ffa000f,0x200eabf8,
    0x5ff72ffb,0xff737f40,0xfbff9001,0x9ff3000d,0x3fffe600,0x202ffffd,
    0xffeefff8,0x7fd4001f,0xffffffff,0x5cb5004f,0x5cbfd004,0x7f4400ff,
    0xc802ff9e,0x8006fdff,0x64004ff9,0xff9801ff,0x06fffdff,0x3bffff60,
    0xffe8efff,0xffffffff,0x71ffc80f,0x3f6203ff,0xffffffff,0xff9ff01f,
    0x89fffd9f,0x4006ffd9,0x3f6602fe,0x3fe6006f,0x7fcc0000,0x3aa73f61,
    0x05fd002f,0x3fee7ff2,0x6fffffff,0x009ff500,0x7dcd77c4,0x4009f706,
    0x6fb9aef8,0x2000ffc8,0x5cb507fe,0x7cffec04,0x51e5c04f,0xffa80199,
    0x4004ff8a,0xfd1006fd,0x7ff5417f,0x4c3ff901,0x3f2005ff,0xb7109cff,
    0xd100bfff,0x3cb80164,0x2600332a,0xb804ffff,0x04ff8aff,0x80037ec0,
    0x7fc405fe,0x01ffe42e,0x82b7ffa2,0xaefeeffa,0x2aaaaaaa,0x27fc7ff0,
    0x4139ffd0,0xf82fffc9,0x7fcc2eff,0x1bf7fea7,0x2a04fc80,0x1006fdff,
    0x300003fd,0x912e23ff,0x09f900bf,0x5f7f7fe4,0x13ffea21,0x000b3260,
    0x03dffff9,0xf9001fe2,0xf903dfff,0x3ff4001f,0x100b2688,0x000bffff,
    0x24ed8800,0xd1002eea,0x3fee001b,0x209ff504,0x07fd85ff,0x803dff50,
    0xc803fff9,0x000006ef,0x805eea80,0x3baa4ed8,0x01bd1001,0x803b6200,
    0x9ff02ff9,0x00effb80,0x00bfffd1,0x5e993aa0,0x3013fe60,0x3fff0bff,
    0x65c7fee0,0xf3006f98,0xf98cb80d,0x009f9006,0x407fe600,0x5402ffa8,
    0x7ffe406f,0x3ffa200f,0xa8000002,0x01fe801b,0x3201ba80,0x3fa000ff,
    0x01bbf207,0x0006f74c,0x00000000,0x03ff2000,0xbff06fe8,0x3a00dfb0,
    0xff5000ff,0x0031003f,0x00000000,0x00000000,0x07fb8000,0xffd013fe,
    0x5fffa803,0x64000000,0xffc800ff,0xf5037fc0,0x00df305f,0x4c003ff1,
    0x06fa806f,0x07fe6000,0x2200fff4,0x7fe401ff,0x7ff9801f,0x00009980,
    0x003fc800,0x01ff9000,0x2203ff40,0x88000001,0x2001acba,0x001acba8,
    0x006b2ea2,0x03301ffa,0x3fe07fec,0x03ffc804,0x3027fdc0,0x00157975,
    0x02af2ea6,0x0d665cc0,0xabcba980,0x79753000,0x2ea60015,0xdf900abc,
    0xa807fe60,0xffd003ff,0x0355000b,0xffb05544,0xf07be600,0x17fcc0bf,
    0x7ec037cc,0x037cc003,0x20007fe2,0xff30bca8,0x0bfb7203,0xfc803fd8,
    0x3ffa004f,0x00bfe201,0x03599510,0x55405fa8,0x642aa201,0x3fa000ff,
    0xa8806aa7,0xca85540a,0x3ffee00a,0x5c00dfff,0x0dffffff,0x7ffffdc0,
    0x3ff600df,0x3fea0000,0x001ffd16,0x3e000fff,0xfffe887f,0x2204ffff,
    0xfffffffe,0x3fff6204,0xd101efff,0x9fffffff,0x7ffff440,0x3a204fff,
    0x4fffffff,0xdfb06fd8,0x001ffc80,0x8800bff7,0x3fe603ff,0x000bfee1,
    0x7cc09ff0,0x406f982f,0xf98006fa,0x001fec06,0x3fffff62,0x4c01ff9c,
    0x00df707f,0xb800bff2,0x3fe603ff,0xfff91001,0x7c01dfff,0x80ffe207,
    0x1ff91ff9,0xf8bff400,0x87fe603f,0xfffc9ff8,0xdfffe80f,0xd01fffdc,
    0xffb9bfff,0x3fffa03f,0x01fffdcd,0x80005ff9,0x1fffeffc,0x005ff880,
    0x7cc5ffd0,0xffecceff,0xefff984f,0x04fffecc,0xfd99dffd,0xfff983ff,
    0x4fffecce,0xccefff98,0xf984fffe,0xffecceff,0x4c2fec4f,0x3fec02ff,
    0x00bff300,0x2603ff88,0x3ffe61ff,0x7ff0000c,0x4c17fcc0,0x03fe206f,
    0xb81be600,0xffe8005f,0xffeffccd,0xff887711,0x8007fc40,0x26001ffc,
    0x3fee04ff,0xeffe8800,0x02fffdcc,0x3fe205fb,0x647fe603,0x3fa000ff,
    0x4c07ff17,0x33fe21ff,0xfb85ffff,0x37f4c0cf,0x26067fdc,0xcffb86fe,
    0xa837f4c0,0x440003ff,0x000efffe,0x20009ff3,0x3ffa3ffc,0x40fff980,
    0xff980ffe,0x417fd40f,0x7ff44ffa,0x40fff980,0xff980ffe,0x407ff40f,
    0x3f60fff9,0xe806fe85,0x3fe2006f,0x9999999e,0x80ffe209,0x7fdc1ff9,
    0x000aceff,0x7fcc07ff,0x3a06f982,0xdf30002f,0x0003fe60,0xfd885ff9,
    0x17ff11ff,0x5fd0bfb3,0x00ffe400,0x220bff30,0xff9006ff,0x01fff307,
    0x3fe209f7,0x647fe603,0x3fa000ff,0x4c07ff17,0x3ffe21ff,0x7c41a8ae,
    0x8ffea06f,0x3ea06ff8,0x81bfe23f,0x37263ffa,0x0cccceff,0x3fffee00,
    0x0ffea002,0x99ffd400,0x3ff204ff,0xc813fe61,0x03fe41ff,0x27fcc9db,
    0x7cc3ff90,0x87ff204f,0x3f204ff9,0xf117f61f,0x0dff009f,0x7ffffc40,
    0x22ffffff,0x3e603ff8,0xffffa81f,0x200befff,0x3fe603ff,0xf706f982,
    0x37cc000b,0x4c002fe8,0xfff103ff,0x7ffffd43,0x002fe41e,0x88007ff2,
    0xffe885ff,0x04ff9801,0x3e613fea,0x407ff106,0x1ff91ff9,0xf8bff400,
    0x87fe603f,0x5c01fff8,0x2ffc03ff,0xff807ff7,0xf00ffee5,0x7fffd4bf,
    0x801fffff,0xfffeffd8,0x05ff7000,0x993fe600,0x0bfea00a,0x7fd40153,
    0x001ffdc2,0xffa802a6,0xf50054c2,0x200a985f,0x17f62ffa,0xf8803bfe,
    0x7ffc005f,0xffffffff,0x980ffe22,0xfb7101ff,0x05ffffff,0xff980ffe,
    0xf982a882,0x4035100e,0x04fc82a8,0x1ff70153,0x220ffdc0,0xef981bca,
    0xfc835100,0x3fe2001f,0x01fff445,0x7400ffc8,0x101ff07f,0x7fcc07ff,
    0x4001ff91,0x07ff17fe,0xff10ffcc,0x33ff900d,0xfb333333,0x4ccffe4f,
    0x7fd99999,0x26667ff2,0x27fd9999,0xabffdaa8,0x7fcc00aa,0x21dff93f,
    0x7fd41ce9,0x7ff50002,0x3ff6a600,0x3f6a6002,0x77ffc42f,0x54c0001b,
    0x26002ffd,0x2002ffda,0x362ffda9,0x1fffb85f,0x8801bfe0,0x99999eff,
    0x3fe20999,0x007fe603,0x3fffb2a2,0x203ff84f,0x22002ff9,0x17f601fe,
    0xb11bea00,0x641dffff,0x0ffcc06f,0x807fa200,0x0ffe45fd,0xe89ff100,
    0x3f6002ff,0x80ffc806,0x3ff882fc,0x7e47fe60,0x5ffa000f,0x3e603ff8,
    0x017fe21f,0x3ffffff6,0x0fffffff,0xfffffffb,0x21ffffff,0xfffffffd,
    0x80ffffff,0x6c002ffa,0xaffec2ff,0x7fc41ffc,0x7ff70004,0xfffdb930,
    0x32605fff,0xffffffed,0xfffffa82,0x6e4c02df,0x2ffffffe,0xfffdb930,
    0x32605fff,0xffffffed,0x7e417f62,0x0ffd03ff,0x002ffcc0,0xf980ffe2,
    0xfc88001f,0x01ffc2ff,0x6c005ff3,0x17ff204f,0xd83ff100,0x23ffbadf,
    0x7fcc05fe,0x027ec001,0xffc8bff9,0x93fe6001,0x74003ffd,0x1ffb805f,
    0xff885fa8,0x647fe603,0x3fa000ff,0x4c07ff17,0x13fe21ff,0x3fffffa0,
    0xffffffff,0xffffffd0,0x1fffffff,0x3ffffffa,0x0fffffff,0x2001ffa8,
    0xfe884ff8,0xff06ffbf,0x3ff2000b,0x3ffffa61,0x42ffcdff,0xffffffe9,
    0x9302ffcd,0x1dffffff,0xfffffe98,0x4c2ffcdf,0xdffffffe,0x7f4c2ffc,
    0xfcdfffff,0xa817f62f,0x7fd85fff,0x017fe600,0x4c07ff10,0x260001ff,
    0x01ffc5ff,0x2a005ff3,0x3ffee06f,0x21fec005,0xf3fd46e9,0x1ff880bf,
    0xb81bea00,0x7fe45fff,0x4ffea001,0xf8003ff9,0x1ffa805f,0xff887f88,
    0x647fe603,0x3fe000ff,0x4c07ff16,0x0ffe21ff,0x4001bf60,0xfb0006fd,
    0xff90000d,0x01ffb800,0x05fffff3,0x10003ff6,0x7ff44fff,0x3fea09bd,
    0x2f7ffa22,0x00bfea09,0x3ffff6e6,0x37bffd10,0xd117fd41,0x54137bff,
    0x3ffa22ff,0x3fea09bd,0xd1017f62,0x1ffc85ff,0x00bff700,0x2a03ff88,
    0x01fd71ff,0x3fe3fec0,0x00bfe603,0x7d403fe2,0x2e005fbf,0x97ee005f,
    0x7fc406fd,0x01ff1001,0x917effea,0x7dc003ff,0x801ff72f,0xb805fe80,
    0x83fd01ff,0x3ea03ff8,0x003ff71f,0x7fc5bfe2,0x887fea03,0x7fc803ff,
    0x00ff9000,0x0001ff20,0xf90017fa,0x7ffd403f,0x013fee07,0x7e49ff90,
    0x8bfee03f,0x3ee03ffc,0x7ec4002f,0x407ff92f,0x3ff22ffb,0xc8bfee03,
    0x3fee03ff,0x22017f62,0x27fcc5ff,0x005ffe80,0xf701ffc4,0x00ffe63f,
    0x54407fc8,0x0ff60000,0x2fd4ffcc,0x000ff880,0x3fe45ff3,0x4007fe60,
    0x3ff303fd,0x1ffc8bf5,0x643ff600,0x3fe200ff,0x3201bf65,0x87f700ff,
    0x3ee03ff8,0x007ff51f,0x7fc53fe6,0x887fee03,0xffb803ff,0xf7276c02,
    0x24ed805f,0x76c02ffb,0x000ff984,0x3a027fdc,0xff100fff,0x3fe2003f,
    0x901ffa0f,0x03ff45ff,0xbd90bff2,0xfea7fcc0,0xd17fe407,0x2ffc80ff,
    0xff901ffa,0xc802fec5,0x00ffe87f,0x002fffd4,0xff9027fc,0xf0037fc3,
    0xeffa80bf,0x82fdc002,0x0bf52ff8,0x5c00bfa0,0x0ffd43ff,0x7003ff90,
    0x4bfe20bf,0x0ffe45fa,0x2e5ff980,0x3fee03ff,0xf007ff23,0x437cc0df,
    0x3ff204ff,0x001dff11,0x27fc5ffb,0x7c43ff90,0x6ff8803f,0xf893fee0,
    0x93fee06f,0x3ee06ff8,0x017f444f,0x807ffcc0,0x00effffd,0xa805fff5,
    0x7ff43fff,0x45fff500,0xff500ffe,0x01ffd85f,0x3ffa5ff5,0x45fff500,
    0xff500ffe,0x807ff45f,0x3f62fffa,0xfd05f715,0x01dff50f,0x017fffe6,
    0x2603ffe0,0x3ff21fff,0x17fec00e,0x01ff2620,0xfb00ff98,0x15df955b,
    0xc802fe40,0x5ff882ff,0x803fff10,0xbfd00ff9,0x215df955,0xfd001ffc,
    0x037fcc5f,0x7fc43fff,0x00ffee05,0x0fff81ff,0x361fff98,0x7fd405ff,
    0x203ffe0e,0x3e21fff9,0xdff5003f,0x07ffdc43,0xb887bfea,0x7fd40fff,
    0x3ffee21e,0x3fbffe60,0xb99abdef,0x88f7fe45,0xffeeffda,0xbfff700e,
    0x3ff6a635,0x0cffc84f,0x8ffffea2,0x2a20cffc,0x7d43ffff,0xfd510aef,
    0x1067fe4f,0x647ffff5,0x3ea20cff,0x3ff23fff,0x3ffea20c,0xfe97f63f,
    0x09ff711f,0x442bbff2,0xaefecffb,0xaaaaaaaa,0x4477ff21,0x221ffffa,
    0x99bcfffe,0x005ffeba,0x74007fe6,0x3fffa02f,0x301fffff,0xdfb001df,
    0x06ffd401,0x803fffd3,0x3ffa02fe,0x91ffffff,0x539903ff,0xff90dffd,
    0xffd7117f,0x41bff709,0xd805ffc8,0x8effe42f,0x21ffffa8,0x9acefff8,
    0x40fffda9,0xf511dffc,0x7fc43fff,0x3fff2003,0x01ffffef,0xffdffff9,
    0x3ff203ff,0x1ffffeff,0x7fffffd4,0xffffffff,0x7ffffec1,0xffd15fff,
    0x7fffd40b,0x2fffffff,0xddffff10,0x49ff5fff,0xfeeffff8,0xc84ffaff,
    0xfffeffff,0x3fffe21f,0xffafffee,0x3bfffe24,0x4ffafffe,0x3bbfffe2,
    0x24ffafff,0x3ffe25fd,0x5c06fffe,0xffffffff,0xffffffd5,0x449fffff,
    0xffffffff,0xffd81ff9,0xffffffff,0xffeec804,0x809f9005,0xdfb99998,
    0x003fd101,0x33333dfb,0xffdfff70,0x6403ff7f,0x4ccc404f,0x3f21dfb9,
    0x7fffcc1f,0xffb00eff,0x0bffffff,0x7f7fffe4,0x9f5005ff,0xffffff88,
    0x541ff9ff,0xffffffff,0xff881fff,0xf9ffffff,0x00ffe21f,0xfffffd30,
    0xffe98019,0x4c00cfff,0x0cfffffe,0x31137df0,0x3dffffd9,0xdffffd50,
    0x8801fb05,0xceffffeb,0x7fec400a,0xff90cfff,0xfffffd88,0x2a0ff90c,
    0x0dfffffe,0xfffffd88,0xd88ff90c,0x90cfffff,0xfffd88ff,0x4ff90cff,
    0x7fe4c5fd,0xda800cff,0x3a3effff,0xffffffff,0x7ec44fff,0x3ff0dfff,
    0x3fffb6e0,0xfd002dff,0xf50019ff,0x17ea000d,0xfb804fd8,0x0fffffff,
    0xaefffda8,0xdf501ff8,0x917ea000,0xffd983ff,0x6d400dff,0x802dffff,
    0x3dffffea,0x221fe200,0xf0dffffd,0xfff9103f,0x4039ffff,0x0dffffd8,
    0x1ffc43ff,0x00353000,0x40006a60,0x801801a9,0x98800aa8,0x44001801,
    0x310000a9,0x53100015,0x54c40001,0x01531000,0x00153100,0x00015310,
    0x80004cc0,0x00000098,0x4c0000cc,0x0000000a,0x440007b6,0x00bd301a,
    0x2aaaaaa6,0x0009802a,0x88000f6c,0x0330001a,0x80002200,0x0aa00019,
    0x4c000330,0x980019a9,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x99800998,0x10004cc0,0x6e440033,0x9881be0b,0x55100000,
    0x2f722005,0x4000df10,0x99999998,0x99999999,0x0aaa8809,0x0cc41988,
    0x88003310,0x4c199819,0x4cc26609,0x35997300,0x2f2ea600,0x1013000a,
    0x13310013,0x26204cc0,0x4c400001,0x004cc009,0x98805550,0x43331019,
    0x0d5402a9,0x4cccccc4,0x26620001,0x80019999,0x44000099,0x0cc40019,
    0x880cc400,0x204cc019,0x99998099,0x99999999,0x05009999,0x4017fec0,
    0x1ffb0ffd,0x13ffea00,0x77ffffc0,0x1bfa03fe,0x3ffcc000,0xefffff80,
    0xf10003fe,0xffffffff,0xffffffff,0x3ffffd87,0xff15ff98,0x007fe40b,
    0xff90ffd0,0xff8bfee5,0xfd889ff4,0x01efffff,0xffffffd1,0x81fb009f,
    0xfff800fc,0xd87ff101,0x7400007f,0x3ff601ff,0xfff8801f,0x417ff400,
    0x1bf63ffd,0xffb09fd0,0xffffffff,0x3ff6003b,0xffffffff,0x0ffe201d,
    0x5fff9800,0x001ffa00,0x7fec1ffa,0x5c7ff201,0x7ffcc2ff,0xffffffff,
    0x543fffff,0x9ff3005e,0x2b7fe200,0xff1002ff,0xfa805ffb,0x0effeb8c,
    0x0001bfa0,0x5403ffcc,0xeffeb8cf,0xfff90000,0xffffffff,0x47ffffff,
    0x02fffffb,0x1dfb5ff5,0x0007fe40,0x3bf60ffd,0xa7fc4ff9,0x77ff44ff,
    0x41fffecc,0xeccefff9,0x7d404fff,0x804fb9ad,0x3e202ffb,0x003fec3f,
    0x407ff500,0x00ffdffb,0x2007ffc4,0x7fc46ff8,0x3a037ec4,0xffffd84f,
    0xffffffff,0x7ffec01d,0xffffffff,0x3ff881df,0xfbfd1000,0x1ffa009f,
    0x6c1ffa00,0x77ec01ff,0xff984ff9,0xffffffff,0x43ffffff,0xdfb005fe,
    0xffff9800,0x5dbfa003,0x02a601ff,0x0dfd0031,0x17ba6000,0x03102a60,
    0x577fc400,0xaaaafffa,0x21aaaaaa,0xf9001ffd,0xfc801fff,0x1ffa000f,
    0x42ffffc4,0x549f94ff,0x4ffa82ff,0x7cc07ff4,0x7fec00ff,0xfe800eff,
    0x21ffc404,0x200007fd,0x3fe604fe,0xe880dfd4,0xff9800ee,0x3f61bf21,
    0x6c27f406,0xaaaaabff,0x00efffcc,0x2aaafff6,0xefffccaa,0x001ffc40,
    0xffa8ffd8,0x007fe802,0xfd907fe8,0xffff8803,0x55555105,0x555bff95,
    0x5fe81555,0x000de880,0x2004eeb8,0x17b61eeb,0x6fe80000,0x00000000,
    0x7fe40000,0x4001bfa3,0x76c005ff,0x3fff202e,0xffffffff,0xffffffff,
    0x80dee986,0xfc8be4ff,0xf993b607,0x07ff204f,0x4002ea20,0xff8805e9,
    0x0003fec3,0x76c05e98,0x000fba65,0x6c53aa00,0x406fd80d,0x07fd84fe,
    0x205ffd88,0xfd8807fd,0x01ffc45f,0xd9177540,0x07fe801b,0x2a07fe80,
    0xdee9800f,0x3ffa8000,0x0017fa00,0x00000000,0x59951000,0x88dfd003,
    0xbcb98003,0x79753001,0xff100015,0x0006fe8f,0x000009ff,0x3ffffff2,
    0xffffffff,0x006fffff,0x83ea9ff0,0x4c003ffb,0x0bfea00a,0x20000000,
    0x7fec3ff8,0xdeeeeeee,0x0000001c,0x0d65d440,0x6fd80000,0x7ec27f40,
    0x0bff6007,0xfb003fec,0x01ffc45f,0xfe800000,0x07fe8007,0x000001b2,
    0xa803ffa8,0x80aaeffa,0x001accb9,0x006b32a2,0x01accb98,0xfffffc88,
    0x9bfa00ef,0x3f2004e9,0x00dfffff,0xffffffd1,0xffb8009f,0x80037f43,
    0x2aaa04ff,0xaaaaaaaa,0x3ff6621a,0x9999999a,0x09ffe999,0x3fe03550,
    0xfff885f4,0x4c0001be,0x5002ffda,0x442aa015,0xf100acb9,0xffffd87f,
    0xffffffff,0x950aa81e,0x00554015,0x3fffffee,0x5055400d,0x80dfb015,
    0x07fd84fe,0x6c1ffe60,0x3fe6007f,0xa80ffe27,0x80aa602a,0x01ffa2a8,
    0x7dc1ffa0,0x26215503,0x54000acb,0xffe803ff,0x3621ffff,0x1effffff,
    0x3ffff220,0x36200eff,0x1effffff,0x99dffd10,0x3a05fffb,0x007ff36f,
    0x3b33bff2,0x7fcc0eff,0xfffeccef,0x21ffe004,0xff0006fe,0x7ffff409,
    0x4fffffff,0x2000ffc8,0x27fc07fe,0x2a014ff8,0x2dffffff,0x7ff6e4c0,
    0x8802ffff,0x33ff03ff,0x09ffffff,0x7ec27ff1,0xdccccccf,0x220efffe,
    0xffffc9ff,0x203ff880,0xfdcdfffe,0x7ff101ff,0x3f60ffe2,0x6c27f406,
    0x7fec007f,0x4007fd80,0x7ff10ffd,0xfd03fe40,0xe9bf203f,0x7fe8007f,
    0x4ffc0570,0x4ffffff9,0x00ffea00,0x3bbfffb2,0x333bffa1,0xe881fffe,
    0xffdcceff,0x9dffd02f,0x903fffd9,0xfff307ff,0xff7dfd01,0x0ffee005,
    0xffd13fee,0x01fff301,0xfd07ff70,0x13fe000d,0xeeeeeed8,0xc83fffee,
    0x3fa000ff,0xf827fc07,0xffc9804f,0x4c0effff,0xdffffffe,0xf8802ffc,
    0xff9ff03f,0x89fffd9f,0xfb3cbff8,0xbffd100f,0x7ffe7fc4,0x07ff105f,
    0xd3033fee,0x4ffe20df,0x6fd83ff8,0x7ec27f40,0x0ffdc007,0x2e003fec,
    0x07ff11ff,0x7c40ffd4,0x47ff03ff,0xfe8007fe,0xf9ff0007,0x9fffd9ff,
    0x00ffea00,0xffa85fe8,0xc84ffa82,0xfff983ff,0x5417fd40,0x27fcc4ff,
    0xfd09ff50,0x22003fff,0x9ffa05ff,0x3f204ff9,0x0ffe801f,0x9999ffe8,
    0x7c099999,0x3ea0004f,0x57ff905f,0x55555555,0xff80ffd5,0x8009ff04,
    0x0ffffdb9,0x137bffd1,0x44017fd4,0xdfff03ff,0x447ff985,0xffb2ffff,
    0xf13ffc00,0x03515dff,0x3e20ffe2,0x0ffea06f,0x7fc4ffe2,0x7c07fd83,
    0x007fd84f,0x7ec1ffd4,0x9ffd4007,0x42663ff8,0xffa83ff8,0x21ff985f,
    0x133107fe,0xf0007fe8,0xff985dff,0x07ff5007,0x7e42ff40,0xf313b607,
    0x27fd409f,0x4ed81ff2,0x3a007fe4,0x0effe87f,0x807fe600,0x0054c1b9,
    0xfa805ff5,0xffffd03f,0xbfffffff,0x30004ff8,0x7fe40dff,0xffffffff,
    0x407fffff,0x09ff04ff,0x97fec400,0x3ee03ffc,0x3ff8802f,0x2e03fff0,
    0x3ffe21ff,0xd801ff64,0x3fff11ff,0x20ffe200,0x7fc03ffb,0xf13ff885,
    0x80ffb07f,0x3fb324ff,0x03cccccf,0x76649ff3,0x3cccccff,0x3e29ff30,
    0x6cbff33f,0x7fefd86f,0x3ff46fb8,0x7f42ffb8,0x3fff0007,0x2007fee0,
    0x3a003ffa,0x03ffb85f,0x2007fe40,0x1ffdc7fe,0x201bf600,0x3fe20ffc,
    0x3fdc000f,0x6d4c0000,0x7ff402ff,0xfffffd00,0x8bffffff,0xf88004ff,
    0x3ff200ef,0xffffffff,0x407fffff,0x09ff04ff,0xff302f64,0xf901ffa9,
    0x7ff1005f,0xfa81bfe0,0xb13fe62f,0x7fe400ff,0x400dff12,0xffc83ff8,
    0x99999999,0x3ff887fd,0xffb07ff1,0xf93fe603,0xffffffff,0x4bff106f,
    0xffffffff,0xbff106ff,0x7fccffe2,0xff03fee5,0x4fe83ff5,0xffb83ff4,
    0x8003ff42,0x3fea06ff,0x7ffffc42,0x0fffffff,0x5577fd54,0x37dfff10,
    0x900dfb00,0x7ffc41ff,0x5fe801be,0xf31ffb80,0xf9000dff,0xdc98000f,
    0x2ffffffe,0xe813fea0,0xaaaaaaff,0x27fc2aaa,0x07ffa200,0x4001ff90,
    0x27fc07fe,0x3f604ff8,0x25ff501f,0xff500ffe,0x7ff1005f,0xf9817fe0,
    0x87fff52f,0x3fa007fd,0x00bff11f,0x7ec1ffc4,0xffffffff,0x7c40ffff,
    0xb07ff13f,0x3ffa0bff,0x2fffaaa4,0xf302aaaa,0x7ff5547f,0x302aaaab,
    0x4ffe27ff,0x3fe24ee8,0x1ff5fe62,0x7fe83ff1,0xfe85dd50,0x0bff0007,
    0x3e217fcc,0xffffffff,0x7ff40fff,0x3ea0ffff,0x02dfffff,0xff700bfd,
    0xfffffa83,0x0bff02df,0x3fe3ff50,0xfe8006ff,0xffd30006,0xff9bffff,
    0x66fff405,0x6ffccccc,0x009ff000,0xc802ffe8,0x3fa000ff,0xf827fc07,
    0x3bfea04f,0x4ffd510a,0x2a20cffc,0x8803ffff,0x09ff03ff,0xfff97fcc,
    0x803fec3f,0x3fe27ffa,0x0ffe2004,0x3ffffffa,0x0fffffff,0xff89ffc4,
    0x1dfffd83,0xb09fffb5,0xffa800ff,0x4007fd82,0x7ff12ffa,0x7dc9fd00,
    0x3fd4bf95,0x74003ff4,0x9ff0007f,0x4017fcc0,0xcb803ffa,0x4c0cceff,
    0xeffffffc,0x5402ffc0,0xffc981ff,0x740effff,0x1ffb805f,0x000dfd5f,
    0xd1000ffb,0x54137bff,0xfff502ff,0xffffffff,0x3fe000df,0x0fff6004,
    0x0007fe40,0x4ff80ffd,0xfc809ff0,0xffffefff,0x3bfffe21,0x4ffafffe,
    0xf03ff880,0x97fcc07f,0x7ec3ff9e,0x3ffea807,0x8800ffe2,0x06fd83ff,
    0x89ffc400,0xeffd83ff,0xfdefffff,0x4007fd84,0x7fd80ffc,0x887fe400,
    0x6fb803ff,0xb3fd4ff6,0x00ffd09f,0x2000ffd0,0x3fe603ff,0x03ffa802,
    0x4c017fa0,0x20ffffdb,0xffb805fe,0x7fedcc01,0x01bf60ff,0xfe8c3ff2,
    0x07fc8006,0xffc85644,0x40bfee03,0xeeeeeffe,0x006ffeee,0x32009ff0,
    0x3f2004ff,0x1ffa000f,0x3fe09ff0,0xfffea804,0xfd880dff,0xf90cffff,
    0x07ff100f,0xff980ffe,0xfb0ffe22,0xdddddddf,0xf88dffff,0x3fe2003f,
    0x0007fc83,0xff89ffc4,0xfe8efd83,0x84fc9eff,0x7ec007fd,0x800ffb07,
    0x0ffe27fd,0x7fc3fe60,0x3fe3ff11,0x8007fe82,0xff0007fe,0x017fcc07,
    0xd001ffd4,0xfb1000bf,0x4037ec5f,0x22000ffc,0x3ff22ffd,0x7437fc01,
    0xffa8006f,0x747ff202,0x17fe407f,0x74027fcc,0x9ff0006f,0x00bff700,
    0x2000ffc8,0x27fc07fe,0x26004ff8,0x531000df,0x1001f901,0x0ffe07ff,
    0x3e22ff98,0x7fffec3f,0xffffffff,0x003ff883,0x3ee0ffe2,0x4276c02f,
    0x7ff13ff8,0x04c4dfb0,0x2007fd80,0xffb06ffa,0x137fd400,0x3fe007ff,
    0x5ff47f9b,0x0ffd07fa,0x000ffd00,0xff980ffe,0x03ffa802,0x3b217fa0,
    0xc93fe605,0x37fc01ff,0xff9817b2,0xb817fe24,0x06fe83ff,0x7c0dfd00,
    0x403ffa7f,0xfd82fffa,0x06fe800f,0xa809ff00,0x64000eff,0x3fa000ff,
    0xf827fc07,0x3fee004f,0x6e80001d,0x207ff100,0x3fe603ff,0xfb0ffe22,
    0x9bdddddf,0x3fe20157,0x0ffe2003,0xfb81bfe2,0x13ff884f,0x0dfb07ff,
    0x003fec00,0x3f603ffd,0x87ffa007,0xf9003ff8,0xefc8bf7b,0x0ffd05fc,
    0x000ffd00,0xff980ffe,0x03ffa802,0x3f61bfa0,0x45ff501f,0x3ee05ff8,
    0x80ffec3f,0x7fdc2ffa,0x17ff220d,0xa80037f4,0x3f660dff,0x833ff22f,
    0x43ffffa8,0xfd005ff9,0x13fe000d,0x000eff98,0x2000ffc8,0x27fc07fe,
    0xc8004ff8,0xff80006f,0x03ff8800,0x7fcc07ff,0xfb0ffe22,0xff88000f,
    0x0ffe2003,0x710f7fd4,0xff101fff,0x360ffe27,0x3f60006f,0x4ffe9807,
    0x2601ff60,0x7fc44ffe,0xfdff5003,0x2ffffa87,0xd000ffd0,0x3fe000ff,
    0x00bfe603,0xd800ffea,0xff509bff,0x3faa215d,0x20dffb87,0xfa85ffc8,
    0xfd510aef,0x3ffff20f,0x3a05fffe,0xaaaaaaff,0x7e40aaaa,0x4ffffeff,
    0x777fffc4,0x44ffafff,0xfd001ffd,0x5555555f,0x27fc5555,0x99afff88,
    0x81999999,0x3a000ffc,0x827fc07f,0x6cc004ff,0xfd80006f,0xf881ca9d,
    0x407ff03f,0x3fe22ff9,0x0003fec3,0x8800ffe2,0x3ff203ff,0x1ffffeff,
    0x3e27ff10,0x006fd83f,0x2aafff60,0xfffedcba,0x55ffec06,0xffedcbaa,
    0x03ff886f,0x103fffe0,0x3a01ffff,0xaaaaaaff,0xffd0aaaa,0x55555555,
    0x01ffc155,0xf5005ff3,0x7fdc007f,0x3fff22ff,0x01ffffef,0xffdffff9,
    0x7ffe40bf,0x01ffffef,0x37ffffaa,0x7ffff403,0xffffffff,0xffffe982,
    0xfffb102e,0x9ff219ff,0x3a005ff9,0xffffffff,0x3fe7ffff,0xfffff504,
    0xffffffff,0x000ffc81,0x9ff01ffa,0x7c013fe0,0x0001ffff,0x1fffffa8,
    0xff03ff88,0x117fcc07,0x07fd87ff,0x01ffc400,0x9807ff10,0x0cfffffe,
    0x7c4ffe20,0x006fd83f,0x3fffff60,0xcfffffff,0x7fffec00,0xffffffff,
    0x03ff880c,0x741bff60,0x3ffa05ff,0xffffffff,0xffffd2ff,0xffffffff,
    0xf301ffc5,0x7ff5005f,0x4fffc800,0x7fffff54,0x7ff5400d,0xea803dff,
    0x00dfffff,0xfe800660,0xffffffff,0x4cc02fff,0x01531000,0x8007ff60,
    0xfffffffe,0x3e7fffff,0xffff504f,0xffffffff,0x00ffc81f,0xff01ffa0,
    0x2013fe09,0x000acec8,0x0736e200,0xff81ffc4,0x88bfe603,0x03fec3ff,
    0x00ffe200,0x2003ff88,0xff1001a9,0x320ffe27,0x3f60005e,0xefffffff,
    0xffb000be,0xddffffff,0x1ffc4017,0x209ff500,0x3fa03ffb,0xffffffff,
    0xfffd2fff,0xffffffff,0x301ffc5f,0xff5005ff,0x80220007,0x30000a98,
    0x2a620003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54400000,0x7100001a,0x003f437b,0x99801331,0xcb980000,
    0x0026601b,0x13109988,0x13310cc4,0xa9803100,0x9982660a,0x09988000,
    0x3104cc00,0x33100013,0x99999981,0x99999999,0x26aa6201,0x06660000,
    0x99999880,0x33100099,0x80033333,0x99999998,0x09999999,0x26666662,
    0x09999999,0x0cc00050,0x44001988,0x37951019,0x21550554,0x4c00bca8,
    0x00026609,0x4c400331,0x40066219,0x33000998,0x11554c01,0x26600033,
    0x7cc0c400,0xfd00004f,0x09fbdfff,0x2017ff40,0x320003ff,0x0dffffff,
    0x8801ffd8,0xb9bfa6ff,0x0bff71ff,0x3bffff66,0xf13ffb83,0x0027fc7f,
    0x90037fdc,0x37fdc7ff,0x83ffe600,0xfffffff8,0x7fffffff,0xffffff70,
    0xff88001b,0xfffd002f,0x9bdfffff,0x3ffff601,0x1dffffff,0x3fffff20,
    0xffffffff,0x3ffff24f,0xffffffff,0x003ec45f,0xfc80ffa8,0x1ffa000f,
    0x9fffffd1,0xa9ff87fe,0x81efffff,0x0ffe4ff9,0x200ffd00,0x3ee4fff9,
    0x6ffe802f,0x882ffa80,0xfd0fffff,0x13fe000f,0xff987f98,0xdf880004,
    0x01effda8,0x4409ff30,0x9999cff9,0xceffc800,0x440effec,0xffc805ff,
    0xffb9bfa2,0xf90bff71,0xdfffffff,0xf89ffdc1,0x0013fe3f,0x54027fec,
    0x4ffe85ff,0x10bffa00,0xffffffff,0x0fffffff,0xffbdfffd,0x7dc005ff,
    0xffd005ff,0xffffffff,0xfffb03df,0xffffffff,0xfff903bf,0xffffffff,
    0x7fe49fff,0xffffffff,0x3fe45fff,0x07ffc400,0xd0007fe4,0xbdffe8ff,
    0x21ffdfec,0xcacffdff,0x7fcc0fff,0xd000ffe4,0xfff300ff,0x404ff987,
    0x400ffff8,0xffe80ffc,0x01ffa7ff,0xf8827fc0,0x03fc887f,0x441a8800,
    0x02fec001,0x3ffffffa,0x7fdc06ff,0xb84ffb83,0x3fe202ff,0x9931e5c6,
    0xf517fee1,0xfb5117ff,0x88e654bf,0x013fe3ff,0x00fffc40,0xf101dff1,
    0xff7003ff,0x55555109,0xfd555555,0x1dffc8bf,0x003ffee2,0x007feff4,
    0x55557ff4,0x1fffdcba,0x5555ffec,0xefffcbaa,0x555ffe40,0xaaaaaaaa,
    0x2afff21a,0xaaaaaaaa,0x003fe41a,0x6407fff4,0x3fa000ff,0xb10bff67,
    0x7ffc3fff,0x237f440e,0x0ffe4ff9,0x980ffd00,0xdff03fff,0x2ffffa80,
    0x7cc37f40,0x07fe80df,0xd107dd00,0x017c0fff,0x10000000,0xfed801bd,
    0x04eeeeef,0xfe817fe2,0x6c0dff07,0xf70001ff,0x206ff8bf,0x3e202ffd,
    0x0013fe3f,0xd00effa8,0x7fdc03ff,0x077fcc06,0x3ffea000,0x403ffe20,
    0xf9804ffc,0xe804ff8f,0x4ffb807f,0x74403fec,0x07fe45ff,0x03ff9000,
    0x003fe400,0x203fffee,0x3a000ffc,0x409ff37f,0x3ffe1fff,0x4c7ff301,
    0x00ffe4ff,0x7cc0ffd0,0x3ff203ff,0x3f73f600,0x20ffe205,0xffd02ffa,
    0xffa80000,0x01f507ff,0x201aa800,0x00000aa8,0x26001ffc,0x06e601ff,
    0x7cc1ffd4,0x3ee0005f,0x80bfe65f,0x3e204ff9,0x0013fe3f,0xf90bff90,
    0x7ffd007f,0x000fff40,0x507ffe60,0x7fc409ff,0xf96fd805,0x00ffd00f,
    0x0ffb1bfe,0xc8bffa20,0x320000ff,0xa98001ff,0x401aaffd,0x80ffdff9,
    0x3a000ffc,0x401ff77f,0x17fe1ffb,0x7fccbfd0,0xd000ffe4,0x3ffe60ff,
    0x00ffd403,0x40ff75ff,0xffb81ffa,0x000ffd00,0x3bfff620,0x532f987f,
    0x40de5443,0x3e603ff8,0x2aaaaa1f,0x1aaaaaaa,0x77513ff8,0x001fee03,
    0xfb03ffa0,0x80aa801f,0x3fee5ffa,0xdf2ffc00,0x9ff1ffc4,0xd00aaa20,
    0x2ffd45ff,0x80fff880,0x40004ffb,0xda82fff8,0x037f400e,0x7fcd3fe2,
    0x803ff402,0x03fec7fd,0x7e4fff10,0x3f20000f,0xffb8001f,0x7404ffff,
    0xc80ffbbf,0x3fa000ff,0xf980df97,0x900ffe1f,0xf27fccdf,0x2b2ea27f,
    0xf987fe80,0xff8802ff,0xf31ff303,0x31ff203f,0x8557ff95,0x550007fe,
    0x323bff63,0xafe4307f,0x0efffffd,0xf980ffe2,0x3ffffa1f,0x4fffffff,
    0xfff9bff8,0x3fe44fff,0x27fcc000,0xf8809ff5,0x84ffa83f,0xf27fc400,
    0xff1ffc4d,0x03fff109,0xf88fff98,0x3ee000ef,0x037fc45f,0x027ff400,
    0x2027fc00,0x17fe1ffb,0x3a00ffd0,0x003fec5f,0x7fe43ff6,0x3ff20000,
    0xffea8001,0x3f203eef,0xf901ff76,0xbff4001f,0x7fc405fe,0xf700bfe1,
    0xf93fe61f,0xfffff9bf,0x263ff44f,0x3a002fff,0x7cdf705f,0xd8bfd03f,
    0x0fffffff,0x7c001ffa,0x7e47fb4f,0xfdefc807,0x0ffffdef,0x7cc07ff1,
    0x3bbbb61f,0x3fffeeee,0xcfffeff8,0x3fa3fffe,0xffb00006,0x1003ffa1,
    0x9ff307ff,0x47ff9000,0xf8ffe27f,0x0fffc44f,0xfddffb80,0xffe8001f,
    0x0007ff62,0x000bff90,0xe805ff90,0x007fe46f,0xff500ffd,0x4007fd87,
    0x1ff91ffa,0x0ffe4000,0x00ff9000,0x3fee1ff5,0x000ffc80,0x02ff5ffa,
    0x05ff0ffc,0xff30ffb8,0x77ff7fc9,0x3a3fffec,0x0bffe67f,0x3a0ff900,
    0x221bf64f,0x7f7643ff,0x3fa0eeef,0x29ff0007,0xc807fc81,0x7ec0cfff,
    0x407ff13f,0x2a001ff9,0xdfff05ff,0x367ff985,0xf100007f,0x007ff59f,
    0xff307ff1,0x1fff0007,0x3ff89fe2,0xffe893fe,0x7ffec001,0xff30003f,
    0x007ff51f,0x00effb80,0x027fdc00,0xff30ffe6,0x4cfff409,0xffdaa999,
    0x4007fd84,0x3ff93ff9,0x33333333,0xaffc8133,0x99999999,0x880ff901,
    0x03fee3ff,0x2aaafff2,0xeaaaaaaa,0x880dfb7f,0x00bfe1ff,0x27fccff7,
    0xf983ffff,0x7cdffa7f,0xfa8004ff,0x50ffc41f,0x0ffa81ff,0x3a01ff70,
    0x9ff0007f,0x6403fe40,0x57fe05ff,0x3e603ff8,0xdff3001f,0xd80fffc0,
    0x80ff90ff,0x7e400ac8,0xf1006fef,0x07ff107f,0x262ffd80,0x47ff10ff,
    0x3ffd14ff,0xbfff1000,0xcffb8000,0x4c0006ff,0x40001fff,0xfc805ffb,
    0x207fe80f,0xfffffffe,0xfb03ffff,0x4ff9800f,0xfffffff9,0x8dffffff,
    0xfffffffc,0xc80fffff,0x22fec07f,0xffc80ffb,0xffffffff,0xf97fffff,
    0x21ff980f,0x2fe403ff,0x7ffc9ff3,0x3a1ffb01,0xfffff9ff,0x1ffc4001,
    0x5ff11fea,0x3ee06fc8,0x00ffd00f,0xfc813fe0,0x01ffc807,0x1ffc57fa,
    0x1003ff30,0x7fc01dff,0x54bfea06,0x3ff202ff,0x3bbbba21,0xeeeeffff,
    0x03ff882e,0x7e4005ff,0x887fcc5f,0x233fe3ff,0x10000ffe,0x0001dfff,
    0x00ffffe8,0x0bffe200,0x1dff7000,0x2e0bff00,0xfffd02ff,0xffffffff,
    0x00ffb05f,0xff95ff88,0xffffffff,0xffc8dfff,0xffffffff,0x07fc80ff,
    0xff703fee,0xfffff901,0xffffffff,0x0bfeefff,0x3fe1ffc8,0x993fe206,
    0x81bfe4ff,0xfffd1ffa,0x00dff9ff,0x5fc89fd0,0x27f44fe8,0x3a01ff70,
    0x9ff0007f,0x6403fe40,0x5bf600ff,0x3e603ff8,0x7ff4401f,0x102ffc01,
    0x037f45ff,0xfff88fff,0xffffffff,0xff882fff,0x2003ff03,0xffa85ffd,
    0x7fc7ff11,0x0002ffec,0x017ffff6,0x07fff300,0x04ffe800,0x077fcc00,
    0x8817fd40,0x3ffd06ff,0xd9553333,0x07fd8bff,0xfca7fcc0,0xaaaaaabf,
    0x7e42aaaa,0xaaaaaabf,0x0ff902aa,0x3ee0bfe2,0x00ffc80f,0x6fe9ffa0,
    0x7c3fff10,0x3ff702ff,0xbff27fcc,0xfe97fc40,0x9ffb1fff,0x746fc800,
    0x227fc83f,0x3fee02ff,0x000ffd00,0x7fc813fe,0x6c07fc80,0x407ff16f,
    0x7f401ff9,0x04ff802f,0xffa8bfe2,0x0bff660d,0x3e666666,0x099999cf,
    0xfd03ff88,0x5ffe8803,0x3e23ff50,0x3ffffe3f,0xfb8000ef,0x002ffebf,
    0x0003fec0,0x00017ff2,0x6c003ff6,0xccccccff,0xfe81fffc,0x2ffd8807,
    0xf5001ff6,0x003ff27f,0x001ffc80,0x7f41ff20,0x901ff704,0x7f4001ff,
    0x9837fea7,0x3fe1fffe,0x1ffe42ff,0x4ff93fe6,0x7f4bfe20,0x3ffe21ff,
    0x43fe6002,0xffa81ff9,0x5c01ff50,0x0ffd00ff,0xc813fe00,0x07fc807f,
    0x3ff8b7ec,0xd807fea0,0x7ff003ff,0x3217fc40,0xffffefff,0x0ffe2004,
    0xd03ff880,0x7ff4401f,0x44bfee04,0x3bffe3ff,0x4c004ffb,0x1fff36ff,
    0x03fec000,0x01dff700,0x009ff000,0x3fffffe2,0x4fffffff,0xf1007fe8,
    0x003fecbf,0x7fe4bff2,0x3ff20000,0x1ff20001,0x2aaaffee,0x2abffdaa,
    0xe8003ff2,0x77ffdc7f,0x21ffdfff,0xfefffeff,0x4ff984ff,0xff880ffe,
    0xf503ffd2,0x7fc001ff,0x7fc0df72,0xfb80df92,0x00ffd00f,0xfc813fe0,
    0x407fc807,0x07ff16fd,0xfc80ffdc,0x0ffe004f,0xe982ff88,0x202effff,
    0xffcccccc,0x81cccccd,0x1fb03ff8,0x00fffa20,0x3fe25ff7,0x7ec3bfe3,
    0xfff1001f,0x0037fdc3,0x2000ffb0,0x0001fff9,0x7002ff88,0x999999ff,
    0xd0fff999,0x3ff400ff,0xfe800ffb,0x001ff90f,0x000ffe40,0xff90ff90,
    0xffffffff,0x7fe4ffff,0x21ffa000,0x9aefffe9,0x26ffe1ff,0x303dfffe,
    0x01ffc9ff,0x1ffa5ff1,0x2006ffc8,0x409fb4fd,0x807fd4fd,0xffd00ffb,
    0x813fe000,0x7fc807fc,0x9ff37ec0,0x5c0ffe40,0x7fc005ff,0x80bfe203,
    0x7c400afc,0xffffffff,0x882fffff,0x20d903ff,0xc802fff9,0x47ff13ff,
    0x3bfe24ff,0x83ffd800,0xb0003ffe,0xff1000ff,0x2200005f,0xdfd001ee,
    0xd0bff200,0x3ff400ff,0x7d400ffb,0x003ff25f,0x001ffc80,0x3f21ff20,
    0xffffffff,0x3f27ffff,0x1ffa000f,0x3fe60988,0x0988ffe1,0xff27fcc0,
    0xe97fc407,0x27ff407f,0x5ff6fb80,0x1ffafdc0,0xe807fdc0,0x9ff0007f,
    0x6403fe40,0xf37ec07f,0xfff301ff,0x00effa83,0xf101ffc0,0x1f7fc05f,
    0x5d555540,0xaaaaadff,0x003ff880,0x800fffc4,0x7ff13ffc,0x3fee27fc,
    0x82ffdc04,0x8001fff8,0xfe8007fd,0x0000004f,0x4013fe60,0x3ff46ff8,
    0x365ff880,0x3ffa007f,0x0003ff21,0x0001ffc8,0x20003fee,0xffc80ffb,
    0x01ffa000,0x7fc3ff30,0x4ff98003,0xff880ffe,0xf980ffd2,0xff9801ff,
    0x3e600ffa,0xfb807f9f,0x00ffd00f,0xfc813fe0,0x407fc807,0x37ff26fd,
    0x3ffff511,0x00077fcc,0xff101ffc,0x02ff8805,0x003ff880,0xb000ffe2,
    0x7e4003ff,0x7c7ff14f,0x01ffe84f,0x5401fff3,0x6c000eff,0x7fe4007f,
    0x00000004,0xd000ffe4,0x03ff43ff,0xfb1fff44,0xdffd300f,0x0000ffc8,
    0x80007ff2,0x0009cffb,0x3f203fee,0x1ffa000f,0x7c3ff300,0xff98003f,
    0xf880ffe4,0x700ffd2f,0xff001fff,0xbff00dfb,0x1ff700bf,0x4001ffa0,
    0x1ff204ff,0xfb01ff20,0x7ffffc4d,0x11ff9fff,0x33335fff,0xff033333,
    0x017fc407,0x0005ff51,0x44007ff1,0x4ffa83ff,0x2aab7fea,0x92aaaaaa,
    0x8ffe29ff,0xeff984ff,0x00fff440,0x2002ffec,0x3ea007fd,0xaaaaabff,
    0x0aaaaaaa,0x2013fea0,0x7d4006ff,0x2abffa4f,0xffdcbaaa,0x55ffec5f,
    0xffedcbaa,0x5ffe40ef,0xaaaaaaaa,0x3ff22aaa,0x3fe60001,0x3ee005ff,
    0x00ffc80f,0x3001ffa0,0x01ffc3ff,0xff27fcc0,0xe97fc407,0xbffb007f,
    0x07fffb00,0x007fffb0,0x3fa01ff7,0xaaaaaaaf,0x13fe0aaa,0xfc807fc8,
    0x2237ec07,0xf0dffffd,0x3fffea3f,0xffffffff,0x101ffc0f,0xfff705ff,
    0x3e2000df,0x3fe2003f,0x3a4ffa83,0xffffffff,0xff96ffff,0xff8ffe29,
    0xd89ff704,0xff1004ff,0x3fec005f,0xfffff500,0xffffffff,0x7d403fff,
    0x1ffd404f,0x43ffe200,0xfffffffe,0x40efffff,0xfffffffd,0x80dfffff,
    0xfffffffc,0xffffffff,0x0003ff90,0x006ffea8,0x3f203fee,0x1ffa000f,
    0x7c3ff300,0xff98003f,0xf880ffe4,0x200ffd2f,0x5c03fff8,0xfa801fff,
    0xffb800ff,0xfffffd00,0x5fffffff,0xff9027fc,0xd80ff900,0x2006606f,
    0xfffffffa,0x40ffffff,0x3fe203ff,0x01bdda82,0x00ffe200,0xfa83ff88,
    0x3ffffe4f,0xffffffff,0x3e27dd76,0xe813fe3f,0x0dff72ff,0x00fffa80,
    0x5400ffb0,0xffffffff,0xffffffff,0x013fea01,0x90001ffb,0x3fffa7ff,
    0xceefffff,0xfffffb01,0x017bdfff,0x7fffffe4,0xffffffff,0x003ff90f,
    0x70002200,0x1ff901ff,0x003ff400,0x2ee87ba6,0x24ff9800,0x3fe203ff,
    0x5400ffd2,0x3e601fff,0xdff1007f,0x403fee00,0xfffffffe,0x3e2fffff,
    0x01ff204f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x33100019,
    0x10006621,0x26666213,0x00099999,0x80013331,0x74c09998,0xeeeeeeee,
    0x2666621e,0x26001999,0x99999999,0x09999999,0x6f82f6e2,0xfc8736a0,
    0xeeeee881,0xdd304eee,0x07dddddd,0xeeeeee88,0x551004ee,0xeeeeb805,
    0xeeeeeeee,0xd035510e,0xbddddddd,0xdddddd30,0x040007dd,0x2aaaaaa2,
    0xaaaaaaaa,0x007ba200,0x15797530,0x2b32e600,0x332a2001,0x01cc981a,
    0x8006f2e6,0x881acca9,0x88001cba,0x2a200acb,0x51000abc,0xaa803597,
    0x542aa201,0x8806aa2a,0x32a200aa,0x3ff201ac,0x1ffc8002,0x6c007ffb,
    0xfffff96f,0xbfffffff,0x13fffa01,0x85fff900,0xfffffffb,0x3ff61fff,
    0xffffffff,0xfff980bf,0xffffffff,0x3e3fffff,0x3feeffff,0xbfffff90,
    0x3ffe20ff,0x506fffff,0xffffffff,0xffff8809,0x3006ffff,0xffc80fff,
    0xffffffff,0x9ff50fff,0xfffffff0,0xffff50ff,0x4409ffff,0x93a1acca,
    0x40700009,0xd1002ff8,0x9fffffff,0x7fffec40,0x32201eff,0x0effffff,
    0x3f20ffea,0x00dfffff,0x3fffffa6,0xffff72ff,0xfb801bff,0x21ffffff,
    0xffffffe8,0x7fffdc03,0xff880dff,0x747fe603,0x407ff16f,0xfc881ff9,
    0x80efffff,0xf8005ff9,0x07fff66f,0xffcb7ec0,0xffffffff,0xfe81ffff,
    0x7fc007ff,0x677ec2ff,0x0ccccccc,0x3ffffff6,0x3fffffff,0x7fffffcc,
    0xffffffff,0x719f53ff,0x3a01dffd,0x3fffd99f,0x55555510,0x2aa20555,
    0x01aaaaaa,0x55555544,0xff3002aa,0xcccca80f,0xffdccccc,0x2a13fea5,
    0x2aaaaaaa,0xaaaaaa88,0xffd881aa,0x3fddffff,0x01c00026,0xf3005ff1,
    0xffd99dff,0x3bffa09f,0x81fffecc,0xdcceffe8,0x7ff52fff,0xecceffc8,
    0xffa80eff,0xfffeccdf,0xffcdfffe,0x3ffee06f,0x8afffdcd,0xffdcfffe,
    0xbfffd05f,0x883fffb9,0x3fe603ff,0x3fe2dfd1,0x107fe603,0xfb99dffd,
    0x1ffd05ff,0xb1ffd400,0x3600dfff,0x333ff96f,0xfb533333,0xfffe83ff,
    0xfff3001f,0x004fe85f,0x5555ffec,0xfffebaaa,0x2aaaaa21,0xaaadffca,
    0x81530aaa,0x0c0d4018,0x00000000,0xd3000000,0x3a0000bd,0x0b3260ef,
    0x88000000,0xffccefff,0x0004c5ff,0x0bfe2038,0x2603ffa0,0x7fd40fff,
    0xc84ffa82,0xfff983ff,0x3ee1fa88,0x84ffb83f,0xffa80dfe,0x7f540cff,
    0x985ffa84,0x42fffffe,0x7dc2ffc8,0x37f4c0cf,0xf980ffe2,0x3e2dd71f,
    0x07fe603f,0xff307ff9,0x03ffb81f,0xfd83ff60,0xfd804fff,0x2001ff96,
    0x77f44ffc,0xdf9004ff,0x1ffc45ff,0x401ff600,0xf5006ffc,0x0000007f,
    0x40355000,0x75100aa8,0xa8800359,0x00001acc,0x0ffdc000,0x5e5d4c00,
    0x0155000a,0x7e41ffec,0x80004c6f,0x00bfe203,0x7e409ff3,0xb03fe41f,
    0x04ff989d,0x87cd3fea,0x3fa05ff8,0xf00ffd47,0x7fcc0dff,0x88077fc1,
    0x3604ffff,0x81bfe26f,0x3fe23ffa,0xd87fe603,0x4c07ff15,0x13fe61ff,
    0x7c44ffa8,0x9ff1006f,0x1ffeffd8,0xffcb7ec0,0x8dff1000,0x007fcefe,
    0x4c5ff9ff,0x7ec001ff,0x03ffe007,0x000ffea0,0x0aa802aa,0x10159731,
    0x7fcc07ff,0xfffffb81,0x7e4400df,0x00efffff,0x55555555,0x40035555,
    0x44003ff9,0xfffffffe,0x81ffc404,0xfe883ffa,0x000263ff,0x05ff101c,
    0x7d401530,0x01ffdc2f,0xd003ff20,0xff9976ff,0x3106e601,0x03ffd805,
    0x5ff327f4,0x00fffc80,0x7fdcbfe6,0xf12ffc03,0x0ffcc07f,0x80ffe29d,
    0x3ff21ff9,0x6c3ff400,0xffb800ff,0x7fd7fec1,0xfcb7ec06,0x3ff6000f,
    0x3fe7bfa0,0x7d77d401,0x001fee2f,0xfc801ff6,0x3ffa801f,0x01ffc400,
    0xffff33ff,0x3ff889ff,0xfd07fe60,0xfffb9bff,0x3bffa203,0x82fffdcc,
    0xfffffffe,0x2004ffff,0x7cc006fe,0xffecceff,0x0ffe204f,0x7ec07fec,
    0x00266fea,0xffffe9c0,0xffffffff,0xfb53000f,0xefff885f,0x06fd801b,
    0x5c4effc8,0x8800007f,0x99affeb9,0x5fd99999,0xf5003fea,0x333333df,
    0x3f27ff33,0x9999999f,0x3fe27fd9,0x5c7fe603,0x407ff10f,0x1bf61ff9,
    0xf303ff20,0x0dfd007f,0x13ff2ffb,0x1ff96fd8,0xd07ff400,0x9013fadf,
    0x645ff59f,0x5bdf936f,0xb801ff60,0xffa802ff,0x1ffc4003,0x9fff9ff0,
    0x7c49fffd,0x87fe603f,0x74c0cffb,0x07ff906f,0xed81fff3,0xfeeeeeee,
    0xff7003ff,0x0ffe8003,0x100fff98,0x17fa07ff,0x33fe53ee,0x7f4e0001,
    0xffffffff,0xc980ffff,0xffffffed,0xfffffa82,0x0bfd02df,0xf909ff70,
    0xb930000f,0xfffffffd,0xffffffff,0x403fe4ff,0xfffffff9,0xb4ffffff,
    0xffffffff,0x221fffff,0x3fe603ff,0x3fe21fdc,0xe87fe603,0x1ffb805f,
    0x7cc06fe8,0xf17fd83f,0x5bf603ff,0xf5000ffc,0xf96fe8df,0xfa9ff80f,
    0x3ffffa2f,0x40dfffff,0x3f6007fd,0x3ffa800f,0x01ffc400,0xf985dfff,
    0x80ffe27f,0xdff11ff9,0x261ffd40,0x3fea04ff,0x2ffd4004,0x006ff880,
    0xf9027fcc,0x0ffe203f,0x9be627fc,0x00130ffb,0x555554e0,0xaaaacffb,
    0x7ffff4c2,0x02ffcdff,0xffffff93,0x805ff81d,0x6fe81ffa,0x3ffa2000,
    0xffdcefff,0xffffffff,0x01bf67ff,0x3fffffe6,0x5fffffff,0xfffffffd,
    0x21ffffff,0x3e603ff8,0x7fc40adf,0xf87fe603,0x1ffa805f,0x3201ffb8,
    0x27fd80ff,0xdfb06ffa,0x71003ff2,0x6fe85fff,0x3ea03ff3,0x7fc5ff56,
    0xffcaacff,0x803fec5f,0xf5006ffa,0xff88007f,0x407ffe03,0x7ff11ffb,
    0xfb8ffcc0,0x22ffc03f,0x7f400ffc,0x1bfe6007,0x002ffb80,0x3ea00a98,
    0x07ff102f,0x7fc49ff1,0x04c3fee0,0x3e203800,0x7ff4402f,0x3fea09bd,
    0xffdb9802,0x017fa0ff,0x3f603fee,0xffd10007,0x07fc837d,0x500ff900,
    0xfb0007ff,0x3fe2000d,0x407fea03,0x3ea03ff8,0x2017fa1f,0xff881ffb,
    0x6c17fe04,0x427fe47f,0xddff96fd,0xfffddddd,0x4dfd09ff,0x27fb04fe,
    0xdff12ffa,0x45ffd101,0x953107fd,0x2a005fff,0x7c4003ff,0x81bfe03f,
    0x7ff12ffa,0xfc8ffcc0,0x9999999f,0x37ec7fd9,0x4007fe40,0x2000eff8,
    0x800007fe,0x102ffda9,0x97fe07ff,0x33fe42fd,0x880e0001,0x7fe402ff,
    0x00bfee03,0x6c5ffb10,0x06fc807f,0xac880ff9,0xc80bff20,0xfb8001ff,
    0x2ffdc00f,0x003fe400,0x2e03ff88,0x7ff101ff,0xfb0ffdc0,0x01ff900d,
    0x7fd41ff6,0xf88ffb01,0xcb7ec1ff,0xffffffff,0xd01dffff,0xf83fe4df,
    0x445ff50f,0x9bfe6009,0xfffffffd,0x04ffffff,0x000ffea0,0x7fc07ff1,
    0x44bfe605,0x3fe603ff,0xffffffb1,0x1fffffff,0x7dc02ff4,0x7ff4401f,
    0x13fe6001,0xfdb93000,0x205fffff,0xffd03ff8,0x9bf613f2,0x40700009,
    0x7f402ff8,0x217fe407,0x3fe605ec,0xf007fee4,0x0bfea0bf,0x3fa1ffc8,
    0x017ff406,0x7fd4bdf1,0x07fff403,0x3ee3df50,0x2276c02f,0x3ff204ff,
    0xc813fe01,0x07ff21ff,0x7d40dff0,0x206fd81f,0x6ffa87fd,0xcffcb7ec,
    0xdfffcccc,0xf337f400,0x2a6fa83f,0xfd8002ff,0x3fffff67,0x1effffff,
    0x01ffd400,0xf80ffe20,0x4bfe604f,0x3e603ff8,0xfffffd1f,0xffffffff,
    0x5402ffc1,0x7ff401ff,0x07fe4002,0xfffe9800,0x2ffcdfff,0x3207ff10,
    0xf885fbff,0x4000265f,0x00bfe203,0x3ea01ffd,0x0ffec2ff,0x3e22ffa8,
    0x0ffee06f,0x3fe06fe8,0xf903ff47,0x3f201dff,0x8077f43f,0x204ffffa,
    0xdff10ffe,0x3e27fdc0,0xfff980ff,0x203ffe01,0x3e21fff9,0x0ffee05f,
    0xff889ff0,0x6c1ff603,0x65bf64ff,0xdff900ff,0x3a37f401,0xf51fec4f,
    0xff90005f,0x2aafff61,0x00019aaa,0x1000ffea,0x1ffc07ff,0x3e25ff30,
    0x47fea03f,0x3a0006fd,0x1ffb805f,0x000fff60,0xf500bff1,0x37ffa29f,
    0x0bfea09b,0xfa81ffc4,0xffc80fff,0x1c000262,0xc805ff10,0x3ea20cff,
    0x7fd43fff,0xffd510ae,0xc81bff70,0x7fd404ff,0x0bff660d,0x64c19ffb,
    0x21effdff,0xfa86ffb8,0x77fdc1ef,0x3660dffd,0x77fd44ff,0x03ffee21,
    0x2a23bff9,0x3201ffff,0xff511dff,0xdffb83ff,0x017ff220,0x1ff71ff2,
    0xf883fec0,0x32dfb1ff,0x3ff200ff,0xf91bfa06,0xf507fc4f,0xff90005f,
    0x0001ff61,0x003ffa80,0xff01ffc4,0x897fcc07,0x3fee03ff,0x4000ff91,
    0xffc806fd,0x009ff900,0x5005ff70,0x0fff29ff,0xf102ffb8,0x77fec07f,
    0x313ff621,0x300e0001,0xfff88013,0xfafffeef,0xffffc84f,0x901ffffe,
    0xfffdffff,0x3fff200b,0x884ffffe,0xfffeffff,0xdffff51e,0x2e01dfff,
    0xfffeffff,0xfdfffb0e,0x3f20bfff,0xffffefff,0xffffe881,0x01ff9fff,
    0x3fffffe2,0xc81ff9ff,0xfffeffff,0x45ff3005,0x3fec05fe,0x3f6dff50,
    0xd801ff96,0x8dfd04ff,0x8bf51ff9,0x1b952ffa,0x3f67fd80,0x2a000007,
    0x7c4003ff,0x80ffe03f,0x13fe2ff9,0xff71ffc8,0x644ed805,0x37fc01ff,
    0x0005ffb8,0x3ea00ffb,0xc80ffd4f,0x7ff102ff,0x7ffffe40,0x0986fffe,
    0x2aaa7000,0xaaaaaaaa,0x7fec42aa,0xff90cfff,0x3ffffaa0,0x7f5400df,
    0x4003dfff,0x2effffe9,0x3ffff620,0xfffd984e,0x6cc00cff,0xb84effff,
    0x03fffffe,0x7fffff4c,0x3ff6200c,0x03ff0dff,0xdffffd88,0x3aa03ff0,
    0x003dffff,0x2ff8aff4,0x3603fec0,0xf96fdcff,0xfff8801f,0xfe86fe82,
    0xffa87fb4,0x4407ff72,0x01ff65ff,0x3ffa8000,0x01ffc400,0x7fcc07ff,
    0x2603ffe2,0xdff11fff,0x2227fdc0,0x3fee05ff,0x00effa83,0x800bfd00,
    0x201ffd3f,0xf102fffa,0x2b7ea07f,0x02ffffec,0x74e00013,0xffffffff,
    0x880fffff,0x220000a9,0x330000a9,0x02660000,0x00099880,0x26000351,
    0x01330009,0x00035300,0x26000033,0x00cc0001,0xf71ff700,0x80ffb00f,
    0x96fffff8,0xff7001ff,0xc86fe81f,0x540ff8ff,0x0fff32ff,0xffb0ffe4,
    0x7d400000,0x7fc4003f,0x980ffe03,0x37ff22ff,0x3ffff511,0x710f7fd4,
    0xff701fff,0x2ffe441b,0x00077fcc,0x4c009ff0,0x419ff91f,0x03ffffa8,
    0x3aa07ff1,0x26004cc0,0x3fa70000,0xffffffff,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e200000,0xd804feaf,
    0xfffa807f,0x001ff96f,0xdfd17ff6,0x0bf9ff30,0x7fe45ff5,0x17ff622d,
    0x00000ffb,0x2001ffd4,0x3fe03ff8,0x88bfe603,0xffffffff,0x7fe41ff9,
    0x1ffffeff,0x3bffff20,0xff885fff,0x999999af,0x7ff30199,0xf89f6200,
    0xfffeefff,0xff104ffa,0x26000007,0xaaaaaaab,0x03aaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7f7e4000,
    0x07fd800f,0x32dfffb0,0xff1000ff,0xe837f45f,0xffa82fff,0x77ffff42,
    0x7fd84fff,0x3ea00000,0x7fc4003f,0x980ffe03,0x7fec42ff,0x03ff0dff,
    0x9fffffd3,0xfffd5001,0x3fea07bf,0xffffffff,0xffa80fff,0x881d3001,
    0x0cfffffd,0x3fe20ff9,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98000000,0xfb005fff,0x3ffe200f,
    0x4001ff96,0xdfd0effb,0x203ffee0,0xffb82ffa,0xfb03efff,0x5400000f,
    0x7c4003ff,0x80ffe03f,0x06602ff9,0x001a9800,0x3ea00660,0xffffffff,
    0xfb80ffff,0x3100000f,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffa0000,0x00ffb002,
    0xffcb7fd4,0xa7ff4000,0xbff306fe,0x880bfea0,0x07fd8019,0x3fea0000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x37730554,0x202b2e60,
    0x597310aa,0x6542aa01,0x200aa60a,0x06aa0aa8,0x55515544,0x510154c0,
    0xaaaaaa85,0x21aaaaaa,0x55511aa8,0x5542aa80,0x00180060,0x00331880,
    0x80553000,0x40009819,0x200cc098,0x88000998,0x4029804c,0x00351028,
    0x551006a6,0x20550013,0xc9801aa9,0xddddd302,0xdddddddd,0x26206a07,
    0x3bbbba61,0xeeeeeeee,0x0cc43313,0x1a889ff5,0x26213330,0x37b95019,
    0x304cc280,0x4cfba633,0x800004ff,0xbbbbbbb9,0xbbbbbbbb,0xf53ff02b,
    0x261fffff,0x41ffffff,0xffff99ff,0x4ffc44ff,0xf50ffffc,0x0ffb805f,
    0x3fe60ffe,0xe81ff21f,0x8df901ff,0xfffffffe,0x3ea4ffff,0x40bff64f,
    0x3fe23ffb,0x5d44bf33,0x40013ee0,0x5bf54fd9,0x37e40000,0x3fd13f20,
    0xf50ff400,0x04ffa80d,0x202ffc80,0xfd102ff9,0x7ffff445,0xffffd885,
    0xffffb81e,0x91bf201e,0x80bfffff,0xfff504fa,0xffffffff,0xfffb89ff,
    0x547ff62e,0xffffffff,0xf94fffff,0x543ffa3f,0x41fd44ff,0x3fe26ff9,
    0x3fffa20f,0x3221cfff,0xfd93fe27,0x3e69ff37,0xfffff54f,0xffffffff,
    0x3feabfff,0xffffffff,0x05ffffff,0xfbdff9ff,0x9fff3dff,0xcff8fffd,
    0xfffecfff,0x3ff3fe24,0x02ffc5ff,0x87ff17fa,0x7d41fff8,0x3fff881f,
    0xeed87ff0,0xffeeeeee,0x893fea3f,0x7fcc0fff,0xfc9ffc45,0xeffffddf,
    0x54006ffc,0xff54fffe,0x800017ff,0x7fc406fc,0x2003bea2,0x0bfe25fc,
    0x0009ff50,0x7cc0dfff,0x7ff442ff,0x3aa73f62,0x5df7e42f,0x77fd45fe,
    0x6cc0ffeb,0x2fbea6ff,0x3041fea9,0x9993047f,0x99999999,0x4e7d4599,
    0x47ff67ea,0xccccccc9,0x94ffcccc,0x43ffa3ff,0x6fe44ffa,0x2607fec1,
    0x3fff64ff,0xeeffffff,0x93fe27ff,0x29ff37fd,0xddd54ff9,0xdddddddd,
    0x229ddddd,0xaaaaaaaa,0xaaaaaaaa,0x41ffff01,0x42efffd8,0x3ffe2ffc,
    0x13ffcc2e,0x3515dfff,0xf300ffc8,0x223ff85f,0xff881fff,0x85fffa83,
    0x54001ff9,0x1664c5ff,0xfe897fea,0x91ffc40f,0xffffffff,0x91001dff,
    0x417dffff,0x1cffffda,0x00df9000,0x27f41ff5,0xfd83fea0,0x03ee9805,
    0x0fff7dc0,0x225fff30,0x12e22ffe,0x076c4bf9,0x1ff41ff1,0xdffa93f6,
    0xf707ae6f,0xbf9bec89,0x00000fda,0x367f11b6,0xfd0001ff,0x7f47ff29,
    0x2e61fc0f,0x05ff12fe,0x576c3fea,0xffffca88,0x33224fff,0x008932e2,
    0x00000000,0x03fff000,0xf103fff5,0x80fffc9f,0xfff11ffb,0x03ff8803,
    0x27ff0ff9,0x3600ffe8,0x7fefd86f,0x4c006fb8,0xfd8006ff,0x105ff92f,
    0xbeff87ff,0x805ffb50,0x1dffffda,0x7fffe4c0,0x37e4002e,0x3e65fe80,
    0x49ff102f,0x00000ffa,0x2fe5ff40,0x3afffe60,0x7d4402ff,0x26f9802f,
    0x37d40ff8,0x40df3197,0x7f45fda9,0x1fffffff,0x20fe0000,0x003ff95e,
    0x7fe53fa0,0x1f98ffd1,0x0fae9fd0,0x802e5d70,0x001ceeda,0x00000000,
    0xff000000,0x81bfe20d,0x81bfe5ff,0xdff12ffa,0x7c1bfa00,0xe8bff84f,
    0x7fdc00ef,0x0ffd7fc0,0xf88013fa,0xe88000ef,0x104ffaff,0x0ffd47ff,
    0xeb884ff8,0x000befff,0xcffffea8,0x006fc800,0x7fe45ff3,0xf10ffd80,
    0x9999709f,0x99999999,0x263fea09,0x7fcc00ff,0xfe802fff,0x3fe8801f,
    0x1fe21be6,0xfd9137cc,0x510bffff,0x00017ffd,0x2f88db00,0x74000ff7,
    0x321ff74f,0xe99f626f,0x0000fffe,0x00000000,0x00000000,0x17fe0000,
    0x3fa05ff8,0xf9817fe5,0x00bff12f,0xff503fee,0xffd9ff03,0x45ff1005,
    0x447fd7f9,0xfd1001ff,0x7cc0003f,0x3e206fff,0xb81bf23f,0x7fffcc7f,
    0x9300002d,0x3267ffff,0xcffecccc,0xfd82cccc,0xb8bff10f,0x03ff62ff,
    0x3ffffffa,0x0fffffff,0x13fa4fd8,0x013ffea0,0x3017f6e4,0x87f98bff,
    0x4df307f9,0xfb9bdffd,0x0bfbf705,0x55555551,0x43555555,0x27ea9cfa,
    0x3a0006fa,0x7dcff34f,0xffa83a65,0x7fffc1ce,0x00006fff,0x00000000,
    0x00000000,0x3fe04ff8,0xff97fa04,0x44bfe604,0xff1004ff,0xff06fd87,
    0x200dffff,0x657ee4fe,0x801fea5f,0x80002ffe,0x2200fffc,0x80ffa3ff,
    0x3fea0ff9,0x1000001e,0x3fea9ffd,0xffffffff,0xffa84fff,0xfe83ff63,
    0x209ff30f,0xeeeeeeed,0x40eeeeee,0x3fea1ff9,0x3fffa200,0x1fe6002f,
    0x7c41ffdc,0x9837dc1f,0xb81ff36f,0xf96f985f,0xfffffa89,0xffffffff,
    0x177ffdc4,0x74000bf1,0x7ccdf14f,0xfff80003,0x0006ffff,0x00000000,
    0x00000000,0x3e03ff80,0xf97fa04f,0x4bfe603f,0x36003ff8,0x40ffe26f,
    0x4ffbefff,0x3f66fb80,0x27ecff53,0x003ffd80,0x03fff700,0xbf91ffc4,
    0x3ea3fdc0,0x0001cfff,0x7ffff710,0x3fbbbba6,0x3eeeeeff,0x3fe66fe8,
    0xf91ffcc4,0x4000001f,0x03ff86fc,0xfff9ffd1,0x7c43b885,0x00ffe40f,
    0x27f449fd,0x1ff16f98,0x7dc37fc4,0x7d41df12,0xffffffff,0x3504ffff,
    0xd80006a0,0x0a886a3e,0xcccc8000,0x00004ccc,0x00000000,0x00000000,
    0x3fe03ff8,0xff97fa04,0x44bfe603,0x3e6003ff,0x201ff51f,0x3ffb0eff,
    0xff0ff980,0x7fc7fe23,0x04ffc802,0xffff3000,0x8ffe201d,0x9fd01ffa,
    0xbffff910,0x3f660005,0xc801cfff,0x3ff5006f,0xffc837ec,0x200bfd10,
    0xf8802cc9,0x886fc83f,0xfff32ffe,0x4c5ffc45,0x5ffe45fd,0x3e60aaaa,
    0x00fffdff,0x677ecdf3,0x8307fffd,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf01ffc00,0xf2ff409f,0x97fcc07f,0x74003ff8,
    0x7c0bfd4f,0x01bfe23f,0xd1fe6ffe,0x700ff57f,0x40000bff,0x04ffaffe,
    0x7fc47ff1,0x0bff662e,0x7ffffd50,0xffeb8801,0x32000bff,0x49fd006f,
    0x3fa01ffa,0x2007fe64,0xfb804ffa,0x22ff980f,0x7cc2ffe8,0x3ffea2ff,
    0x3fe61eff,0x42ffffff,0x00dfffe9,0xffc89be6,0x0003fd4f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc07ff0,0xff97fa04,
    0x44bfe603,0x7e4003ff,0x3e02ff8e,0x027fdc3f,0x917ef7f2,0xa80bf9df,
    0x00000eff,0x3ff25ff9,0x2e3ff882,0xffefffff,0xfb3005ff,0xc983bfff,
    0x002effff,0xf700df90,0x4c03fe8d,0x01bf21ff,0x3e013fea,0x997f604f,
    0x7ff302ff,0x981bca88,0xaaaaaaaa,0x10013100,0x00002055,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e03ff80,0xf97fa04f,
    0x4bfe603f,0x44003ff8,0x7c07fdff,0x01ffe83f,0x50ffbfea,0x4c05ffff,
    0x00000eff,0xffe8bff3,0xfb9ffc40,0xeffffeef,0x22005ffd,0xf54ffffc,
    0x00039fff,0x7c406fc8,0x4017ee1f,0x017f45fb,0x00006aa2,0x39805300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff80ffe0,0xff97fa04,0x44bfe603,0xfe8003ff,0x1ffc04ff,
    0x3e037fcc,0x7fc40fff,0xfff100ff,0x33333335,0x127fd433,0xff981ffd,
    0xfa9ffc45,0xfb86ee25,0x9fd50004,0x0002ffea,0x36037e40,0x003fe23f,
    0x3fe62fd8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe00000,0xe813fe03,0x980ffe5f,
    0x07ff12ff,0x03fff500,0xff903ff8,0x837fec09,0x3ea05ffe,0xffffffff,
    0xff50ffff,0xc817fec9,0x8ffe23ff,0x0000a002,0x00014ca6,0x0001e540,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e03ff80,0xf97fa04f,0x4bfe603f,
    0x88003ff8,0x3ff806ff,0x5407ffa0,0x7ff704ff,0x7ffffd40,0xffffffff,
    0x3ea9ff50,0x3ffa205f,0x0007ff10,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_33_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,1,1,1,1,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,1,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,0,
1,0,1,0,1,0,2,1,0,0,-1,-1,-1,-1,-1,-1,2,1,2,2,2,1,0,-2,2,1,1,2,0,2,
-1,2,1,2,1,0,0,2,1,2,1,2,1,1,2,2,1,0,1,0,1,0,1,1,2,1,2,1,2,0,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,1,2,1,2,1,2,1,2,1,2,1,0,0,0,0,
0,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,0,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,0,3,3,3,3,3,3,3,3,3,3,3,3,3,2,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,-1,1,-1,-2,1,
0,2,1,2,1,2,1,2,1,2,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-1,1,0,0,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_33_latin_ext_y[560]={ 26,4,4,4,2,4,4,4,4,4,4,8,23,17,
23,4,4,4,4,4,4,5,4,5,4,4,10,10,8,11,8,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,29,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,10,4,4,8,4,
4,4,4,4,4,11,11,17,4,1,4,8,4,4,4,10,4,14,25,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,4,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,4,5,4,4,4,5,4,9,9,4,4,4,4,4,4,4,
1,6,-1,4,4,10,-1,4,-1,4,-1,5,-1,4,-1,4,4,4,0,6,-1,4,0,5,4,10,-1,4,-1,4,
-1,4,0,5,4,3,-1,-1,4,4,-1,5,1,6,0,4,4,4,0,10,4,4,-1,4,4,4,10,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,10,-1,4,4,4,10,0,6,-1,4,-1,4,4,10,-1,4,4,10,-1,4,
-1,4,-1,4,4,10,-1,4,4,5,-1,4,4,5,-1,5,1,6,-1,4,-1,4,-1,4,4,10,-1,4,-1,4,
0,-1,4,0,5,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,0,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-1,4,-1,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_33_latin_ext_w[560]={ 0,4,9,17,15,24,19,4,8,8,11,15,4,9,
4,9,15,9,15,15,16,15,15,15,15,15,4,4,15,15,15,14,28,21,17,20,18,17,15,21,17,4,13,18,
14,21,17,21,17,21,19,18,18,17,20,28,20,20,18,6,9,7,14,18,6,15,15,14,14,15,10,15,14,4,
7,14,4,22,14,16,15,14,10,14,8,14,15,22,15,15,15,10,3,10,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,14,16,15,18,
3,15,9,22,11,14,15,9,22,18,9,15,10,10,6,13,16,4,7,6,11,13,24,24,25,14,21,21,21,21,
21,21,28,20,17,17,17,17,7,6,10,9,21,17,21,21,21,21,21,13,21,17,17,17,17,20,17,16,15,15,
15,15,15,15,26,14,15,15,15,15,6,7,10,9,15,14,16,16,16,16,16,15,16,14,14,14,14,15,15,15,
21,15,21,15,24,18,20,14,20,14,20,14,20,14,18,18,21,16,17,15,17,15,17,15,17,15,17,15,21,15,
21,15,21,15,21,15,17,14,21,15,10,11,10,10,10,10,7,7,4,4,19,11,16,10,18,14,14,14,7,14,
8,14,8,14,9,16,7,17,14,17,14,17,14,17,18,13,21,16,21,16,21,16,28,26,19,10,19,10,19,11,
18,14,18,14,18,14,18,14,18,8,18,12,18,8,17,14,17,14,17,14,17,14,17,14,17,17,28,22,20,15,
20,18,15,18,15,18,15,8,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,24,19,16,16,16,16,16,16,16,16,16,16,16,16,16,23,18,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,21,15,10,10,21,
16,17,14,17,14,17,14,17,14,17,14,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,21,15,28,26,21,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__arial_33_latin_ext_h[560]={ 0,22,9,23,28,23,23,9,29,29,10,15,8,3,
3,23,23,22,22,23,22,22,23,21,23,23,16,21,15,9,15,22,29,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,24,22,23,22,23,22,22,22,22,22,28,23,28,13,3,5,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,22,22,16,17,22,17,16,16,16,23,16,29,29,29,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,28,23,15,22,
29,29,4,23,12,14,9,3,23,3,9,18,12,12,5,22,28,4,8,12,12,14,23,23,23,23,27,27,27,26,
26,26,22,29,27,27,27,26,27,27,27,26,22,26,28,28,28,27,27,13,23,28,28,28,27,27,22,23,23,23,
23,22,23,23,17,22,23,23,23,23,22,22,22,22,23,21,23,23,23,22,23,13,19,23,23,23,23,29,28,29,
25,21,27,23,29,22,28,23,28,23,28,22,28,23,27,23,22,23,26,21,27,23,26,22,29,23,27,23,28,29,
28,29,27,28,29,30,27,27,22,22,27,21,25,20,26,22,29,29,26,16,23,29,28,29,29,29,16,27,27,29,
29,22,22,22,22,22,22,27,22,29,23,27,22,22,23,23,27,21,28,23,28,23,23,17,27,22,29,23,27,22,
28,23,28,23,28,22,28,23,31,29,27,23,22,22,28,22,26,21,28,23,28,23,28,23,29,23,27,22,27,29,
26,27,22,26,21,27,22,22,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,23,19,19,29,19,19,19,
19,19,19,19,19,19,19,19,19,19,23,17,19,19,19,19,19,19,19,19,19,19,19,19,19,23,17,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,27,23,27,22,28,
23,28,23,28,27,28,28,28,28,28,28,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,30,29,27,23,28,24,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__arial_33_latin_ext_s[560]={ 509,110,396,478,245,344,66,375,162,208,337,
194,406,419,465,452,421,499,115,189,334,82,252,226,328,133,120,242,162,349,178,
217,256,232,254,295,272,291,309,398,351,400,436,420,479,60,22,86,98,167,40,
264,116,465,1,439,156,177,198,418,440,410,255,470,426,324,485,375,348,444,468,
279,405,494,200,141,136,1,24,494,384,369,39,340,325,479,50,81,125,188,104,
171,74,94,433,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,509,131,316,
49,146,81,121,58,450,149,325,224,380,419,54,489,365,308,295,284,419,348,393,
460,411,318,306,210,298,323,363,408,155,78,12,476,37,59,113,217,299,399,270,
1,242,502,288,498,384,99,220,81,349,177,317,270,32,186,331,103,446,482,277,
203,187,171,155,97,124,108,390,66,1,33,17,1,333,340,306,100,420,147,381,
364,347,48,316,239,274,264,249,234,219,285,204,301,128,247,34,90,317,224,60,
17,277,496,20,82,165,437,218,402,362,369,81,177,274,292,19,317,342,462,292,
386,371,105,480,378,380,261,417,42,343,328,167,50,359,135,117,263,407,243,409,
482,402,141,308,439,444,1,490,467,66,140,503,394,360,454,200,439,406,65,269,
464,254,238,283,310,469,1,389,333,252,193,121,423,143,468,220,417,250,295,142,
501,339,498,41,1,1,33,461,209,425,140,1,369,100,77,484,503,298,19,458,
162,227,450,191,483,158,249,182,450,417,416,119,451,418,199,34,439,210,361,151,
142,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,230,291,291,125,
291,291,291,291,291,291,291,291,291,291,291,291,291,205,355,291,291,291,291,291,
291,291,291,291,291,291,291,291,268,460,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,56,172,
1,189,34,16,71,204,89,237,107,125,140,176,209,56,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,20,78,370,106,12,150,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291, };
static unsigned short stb__arial_33_latin_ext_t[560]={ 1,219,265,119,33,120,171,265,1,1,265,
265,265,271,265,119,119,219,219,120,219,242,120,242,120,147,265,242,265,265,265,
219,1,219,219,147,219,219,219,147,219,219,147,219,219,242,242,171,242,120,242,
171,242,171,242,219,219,219,219,33,171,33,265,265,265,242,147,242,171,242,219,
147,219,219,1,219,219,265,265,242,219,219,265,242,219,242,265,265,265,147,265,
1,1,1,265,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,1,219,33,
171,265,219,1,1,265,147,265,265,265,271,147,265,265,242,265,265,265,195,33,
265,265,265,265,265,171,171,171,171,92,92,92,92,120,120,195,1,63,63,63,
120,63,33,63,92,195,120,63,63,33,92,63,265,147,63,33,63,63,63,195,
171,171,171,171,195,171,171,242,219,147,171,171,171,195,195,195,219,147,242,147,
147,147,195,147,265,242,147,147,147,147,1,63,1,120,242,92,147,1,195,63,
147,33,119,63,195,63,119,92,119,195,120,120,242,92,120,120,195,1,119,92,
120,33,1,33,1,92,33,1,1,92,92,195,219,63,242,120,242,92,195,1,
1,92,265,120,1,33,33,1,1,265,92,63,1,1,195,195,195,195,195,195,
63,195,1,171,92,195,219,171,147,92,242,63,171,63,147,171,242,63,195,1,
147,63,171,63,195,63,195,33,195,33,171,1,1,92,147,195,195,33,219,92,
242,33,171,33,171,33,171,1,147,63,195,92,1,92,92,219,92,242,92,195,
195,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,120,242,242,1,
242,242,242,242,242,242,242,242,242,242,242,242,242,120,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,120,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,92,147,
92,195,33,195,33,147,33,92,33,33,33,33,33,33,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,1,1,63,147,33,120,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,242,
242,242,242,242,242,242,242,242,242, };
static unsigned short stb__arial_33_latin_ext_a[560]={ 131,131,168,263,263,420,315,90,
157,157,184,276,131,157,131,131,263,263,263,263,263,263,263,263,
263,263,131,131,276,276,276,263,480,315,315,341,341,315,289,368,
341,131,236,315,263,394,341,368,315,368,341,315,289,341,315,446,
315,315,289,131,131,131,222,263,157,263,263,236,263,263,131,263,
263,105,105,236,105,394,263,263,263,263,157,236,131,263,236,341,
236,236,236,158,123,158,276,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,131,157,263,263,263,263,123,263,
157,348,175,263,276,157,348,261,189,259,157,157,157,272,254,131,
157,157,173,263,394,394,394,289,315,315,315,315,315,315,473,341,
315,315,315,315,131,131,131,131,341,341,368,368,368,368,368,276,
368,341,341,341,341,315,315,289,263,263,263,263,263,263,420,236,
263,263,263,263,131,131,131,131,263,263,263,263,263,263,263,259,
289,263,263,263,263,236,263,236,315,263,315,263,315,263,341,236,
341,236,341,236,341,236,341,291,341,263,315,263,315,263,315,263,
315,263,315,263,368,263,368,263,368,263,368,263,341,263,341,263,
131,131,131,131,131,131,131,105,131,131,347,210,236,105,315,236,
236,263,105,263,105,263,138,263,158,263,105,341,263,341,263,341,
263,285,342,263,368,263,368,263,368,263,473,446,341,157,341,157,
341,157,315,236,315,236,315,236,315,236,289,131,289,177,289,131,
341,263,341,263,341,263,341,263,341,263,341,263,446,341,315,236,
315,289,236,289,236,289,236,105,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,356,354,354,263,354,354,354,354,354,
354,354,354,354,354,354,354,354,405,310,354,354,354,354,354,354,
354,354,354,354,354,354,354,404,316,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,315,263,131,105,368,263,341,263,341,263,341,
263,341,263,341,263,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,315,263,473,420,368,289,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_33_latin_ext(stb_fontchar font[STB_FONT_arial_33_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_33_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_33_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_33_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_33_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_33_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_33_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_33_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_33_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_33_latin_ext_s[i] + stb__arial_33_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_33_latin_ext_t[i] + stb__arial_33_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_33_latin_ext_x[i];
            font[i].y0 = stb__arial_33_latin_ext_y[i];
            font[i].x1 = stb__arial_33_latin_ext_x[i] + stb__arial_33_latin_ext_w[i];
            font[i].y1 = stb__arial_33_latin_ext_y[i] + stb__arial_33_latin_ext_h[i];
            font[i].advance_int = (stb__arial_33_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_33_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_33_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_33_latin_ext_s[i] + stb__arial_33_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_33_latin_ext_t[i] + stb__arial_33_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_33_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_33_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_33_latin_ext_x[i] + stb__arial_33_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_33_latin_ext_y[i] + stb__arial_33_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_33_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_33_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_33_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_33_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_33_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_33_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_33_latin_ext_LINE_SPACING
#endif

