// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT        342
#define STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_37_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_37_latin_ext_LINE_SPACING          24

static unsigned int stb__arial_37_latin_ext_pixels[]={
    0xddddddd1,0xdddddddd,0x20007ddd,0x00002aaa,0x80000c00,0x20001998,
    0x13309800,0x00000004,0x00000000,0x40000000,0x01980000,0x00000000,
    0x80133000,0xeeeeeeee,0x0dd88001,0x3aa005db,0x037b624e,0x01f76400,
    0x00bdd900,0x000deea8,0x1bbbbba6,0x3bb26ec8,0xeed83eee,0xb9530005,
    0xdddddddd,0x173000bd,0x2ccc8000,0x207bb200,0xfff98eed,0xffffffff,
    0x4fffffff,0x2fff8800,0x80097000,0x440001fc,0x5c003fff,0x3f201fff,
    0x3fe69ff3,0x7ecc003e,0x8001deff,0xdfffedb8,0x5cc000ac,0x0aceffed,
    0xdb950000,0x15bdffff,0x001fe400,0xdeffda80,0xffec9801,0x7fc03def,
    0x7ffffc04,0x50001fff,0x8009f9df,0x5ffb2ffd,0x0ffea000,0x1fff8800,
    0x05ff9800,0x3ffffea0,0xfd9ffa07,0xf984ffff,0x362001ff,0xffffffff,
    0x006fffff,0x20002fc8,0x2000fffa,0xffe82ffd,0xffffff99,0xffffffff,
    0x8004ffff,0x88004ffc,0x3f2004fe,0xffc80004,0x7ffe4004,0x7cdf301f,
    0xbffff34f,0x3fffee00,0x1004ffff,0xfffffff9,0x2005ffff,0xfffffffc,
    0x10002fff,0xffffffd7,0x1bffffff,0x001ff100,0xfffffa80,0x3ffa602f,
    0xffffffff,0x0009ff03,0x7fdc0000,0xfff88005,0x30004ffb,0xc80003ff,
    0x220003ff,0xdd3003fe,0x7f40fffd,0x3bbbff67,0x00bff503,0x3fffffe6,
    0xffffffff,0x0fe8006f,0x07ffa000,0xd05ffb00,0xff5003ff,0xf880000b,
    0xff30006f,0x003f4009,0x0037fc40,0x02f7ffe2,0x29ff17f4,0x00fffdb8,
    0x5defffd4,0x4c02fffd,0xcdfffffe,0x0dfffffd,0xddfffb10,0x7ffffdbb,
    0xffffa800,0xcaa9abce,0x803ffffe,0x7c0005fb,0x00edceff,0x9bdffff7,
    0x09ffffd9,0x0cc809ff,0x6400065c,0x00065c0c,0x00bffff3,0x0cb81990,
    0x02ffc400,0x65c0cc80,0x81ffa000,0x03ff64cb,0x400ffdc0,0xfffffffe,
    0x0013fe21,0x50002fc4,0xfb0007ff,0x03ffd05f,0x000bff50,0x000ffc80,
    0x4009ff30,0x20000eff,0x5c000ffc,0x37e402ff,0x3fea13fe,0x417ff403,
    0x3e607ffb,0x9100bfff,0x3f60bfff,0xff9102ef,0x3fee007f,0xf91001df,
    0x7ff00bff,0x1ffe6000,0x0efffdc0,0x43fffc88,0x07fc04ff,0x3e0007fa,
    0x000ff40f,0x00037bae,0x03fd03fe,0x0005ea80,0x03fd03fe,0x2003ff40,
    0x32000ffd,0x7ffdc03e,0x221fffff,0xf50004ff,0x27640007,0x82ffd800,
    0xfa801ffe,0x5c00005f,0x3e60004e,0xfff1004f,0x0d540003,0x007fe400,
    0x4ff85ff1,0xff809ff0,0x03fff106,0x4007bffa,0xff81fffa,0x6ffb801f,
    0x01effc80,0x09ffd100,0x70007fb8,0xff3009ff,0x3ff2009f,0xd013fe0f,
    0x001ed81d,0x0f6c0ee8,0x74000000,0x000f6c0e,0x07740000,0xfe8007b6,
    0x07fec007,0x7fec0000,0x21ffffff,0xb0004ff8,0x0000003f,0x05ffb026,
    0xf5003ffd,0x5c0000bf,0x44006dbe,0x099dffa9,0x007ffe20,0x7ec00000,
    0x7c3fe407,0x80bff04f,0x336e07ff,0x00fffc81,0x2a27fdc0,0x3fa005ff,
    0x37fee00f,0xffd80000,0x00bfe202,0x2007ff20,0x74004ffe,0x553fe4ff,
    0xed8004ee,0x009dd51e,0xea83ddb0,0x20fbaa3e,0xd8004eea,0x1f7541ee,
    0xdd507dd5,0x3ddb0009,0x9881ffa0,0xa803ff61,0x0fbaa3ee,0x3ffffffa,
    0x13fe21ff,0x3fde5440,0x7ff64c00,0x7440cdef,0x20bff61f,0xfa801ffe,
    0x3e00005f,0xfa800ba1,0x03ffffff,0x05300000,0x881ff600,0x04ff84ff,
    0xffd80bff,0x5fff0003,0x1fff1000,0x70027fdc,0x3fe207ff,0x800dcc05,
    0x3fa00ffe,0xfd333006,0xf301335f,0xfa8001ff,0x7d53fe7f,0xffe8005f,
    0x000bff51,0xffb83ffd,0x2a13fea4,0xfe8005ff,0x527fdc1f,0xbff509ff,
    0x03ffd000,0x7fe81ffa,0xfb803ff6,0x213fea4f,0xfffffffe,0x013fe21f,
    0xffffffd7,0x3ffa6005,0xffffffff,0xfd8dfd13,0x01ffe82f,0x0005ffa8,
    0x01ec1f10,0xffffff50,0x55d4407f,0x3a006620,0x6c001fee,0x07fee07f,
    0x2ffc13fe,0x013ffe60,0x000dff50,0x3fe605d4,0xb0062007,0xfd9101ff,
    0x3fea5fff,0xb80ffe24,0x7fcc02ff,0x1fffffff,0x0004ffc8,0xf54ff835,
    0xffd000bf,0x0017fea3,0xff707ffa,0x5427fd49,0xfe8005ff,0x527fdc1f,
    0xbff509ff,0x03ffd000,0x7fe81ffa,0xfb803ff6,0x213fea4f,0xfffffffd,
    0x813fe21f,0xffeffffb,0x7fd404ff,0xfeccefff,0x0efeefff,0x7f417fec,
    0x5ffa801f,0x27720000,0xf98000fa,0x7ff4c04f,0xffb8dfff,0x04b96e01,
    0xfd03fec0,0x7c13fe0f,0xfffb806f,0x9ffb000e,0x3fe00000,0xa80000cf,
    0xfff981ff,0xfbafffff,0x1037e42f,0xffb809ff,0x0fffffff,0x0003fff8,
    0x7fd53fe0,0x1ffe8005,0xd000bff5,0x1aa883ff,0x3ea06aa2,0xffe8005f,
    0x510d5441,0x0bff5035,0x203ffd00,0x9ffa07fe,0x2a200ffd,0x206aa21a,
    0xfffffffb,0x413fe21f,0xfd0aeffa,0x3ee07fff,0x3f202fff,0xfd80ffff,
    0x01ffe82f,0x0005ffa8,0x013ffe60,0x5027fcc0,0xfffdffff,0x6c03ff9d,
    0xfb001a63,0xf82ffc0f,0x80dfd04f,0x3fffffd8,0x003fff80,0xffff9000,
    0x3600017b,0xcfff985f,0xffdffb50,0x201ff981,0x3ea006fe,0x7ffc404f,
    0x3fe00001,0x000bff54,0x3fea3ffd,0x1ffe8005,0xbff50000,0x03ffd000,
    0x17fea000,0x407ffa00,0x9ffa07fe,0x00000ffd,0xffffff88,0x13fe21ff,
    0xf887ffe6,0xf986ffad,0xf8800dff,0x5ffb06ff,0x5003ffd0,0x40000bff,
    0x0006fffa,0x3e609ff3,0x3fa60bff,0x3aa01fff,0xfe800990,0x209ff106,
    0x0dfd04ff,0x7f56ffd4,0x3fe01eff,0x2000001f,0xeffffffb,0xff8800ac,
    0x81fff442,0xff07fffc,0x003fec05,0xf8805ff7,0x200000ff,0x0bff54ff,
    0x2a3ffd00,0xfe8005ff,0xf500001f,0xffd000bf,0x3ea00003,0xffe8005f,
    0x740ffd01,0x003ff67f,0x7ffd4000,0x3e21ffff,0x43ffb84f,0x83ffd3fb,
    0x2e005ffe,0xfd83ffff,0x01ffe82f,0x0005ffa8,0x0bffff60,0x413fe600,
    0xfd103ffd,0xffd803ff,0x27fc000e,0xff03ffa8,0xf81ff209,0x7fffe45f,
    0x00fff884,0x7f540000,0xdfffffff,0x321fee02,0x3fe204ff,0x407fd05f,
    0xfb000ffc,0x7ff9803f,0xa7fc0000,0xe8005ffa,0x0bff51ff,0x223ffd00,
    0x21988019,0xe8005ffa,0x003311ff,0x2ffd4331,0x80fff400,0x9ffa07fe,
    0x19880ffd,0xe9819880,0x221fffff,0x0ffd84ff,0x981887ec,0xf5001fff,
    0xfb0fffbf,0x03ffd05f,0x000bff50,0x3ff3fe20,0x4ff98005,0x5406ff98,
    0x18801fff,0x01ffb800,0x3fe05ff7,0x307ff504,0xffd303ff,0x07ff98df,
    0xffffffa8,0x5cc05fff,0xfffffffe,0xff09fb03,0x3ffe801f,0x7dc09fd0,
    0x1ffd002f,0x007ff980,0xfa966400,0xffe8005f,0x000bff51,0x1ffa3ffd,
    0xffa9ffa0,0x1ffe8005,0xffd00ffd,0x4002ffd4,0xffd01ffe,0xffb3ff40,
    0xd00ffd01,0x7edcc0ff,0x213fe21f,0x806f87fe,0xf3004ffc,0xb0fffe7f,
    0x3ffd05ff,0x00bff500,0x367fee00,0x7cc000ff,0x02ffb84f,0x2201ffe8,
    0x4009aca9,0x3206ffa8,0x09ff01ff,0xf905ffec,0x5fffc80f,0x5003ffe2,
    0xffffffff,0x654400bf,0x40dffffe,0x27fcc3fe,0xf80ffec0,0x0ffea03f,
    0xf8037fc0,0x000000ff,0x20017fea,0xbff51ffe,0x23ffd000,0x7fe807fe,
    0x20017fea,0x0ffd1ffe,0x7fd4ffd0,0x1ffe8005,0x7f40ffd0,0x3a03ff67,
    0x07fe807f,0x3e21ffb8,0x237fc44f,0xfff804fa,0x24ff9801,0x7fec5ffc,
    0x801ffe82,0x00005ffa,0x0ffeadfd,0x909ff300,0xffb003ff,0xffffd303,
    0xf101bfff,0x7f401bff,0x809ff00f,0xff70fffc,0x2fffa805,0xd3007ffe,
    0xffdddddd,0x7f4c000b,0x217fc3ff,0xfe802ffb,0x01ff980f,0x26013fe6,
    0xffd005ff,0x54000003,0xfe8005ff,0x00bff51f,0x3fa3ffd0,0x2a7fe807,
    0xfe8005ff,0xd00ffd1f,0x02ffd4ff,0xe80fff40,0xd9ffa07f,0x07fe80ff,
    0xfb807fe8,0x313fe21f,0x02fc8bff,0x2007ffc4,0x7fd45fe8,0x7417fec6,
    0xffa801ff,0xff980005,0x800fff14,0xffe84ff9,0x41ffc800,0xfefffffc,
    0x7c40ffff,0x07ff806f,0x3fa013fe,0x01dff30f,0x3fa4ffb8,0x3ea0003f,
    0xfc80005f,0xb07fe26f,0xdff003ff,0x9803fee0,0xffa805ff,0x07ff9004,
    0x3ea00200,0xffe8005f,0x000bff51,0x1ffa3ffd,0xffa9ffa0,0x1ffe8005,
    0xffd00ffd,0x4002ffd4,0xffd01ffe,0xffb3ff40,0xd00ffd01,0x3ff700ff,
    0x3e227fc4,0x4c03f46f,0x7f4407ff,0x6c7ff986,0x1ffe82ff,0x005ffa80,
    0x362ffd80,0x3e6002ff,0x00ffe84f,0x3ea1ffc8,0x7f541bff,0x2fffc44f,
    0x7c03ffa0,0x3ffa204f,0x0bfff20f,0x3ee6ff88,0x3ea0005f,0x007db35f,
    0x3e21fff0,0x403ffc1f,0xdfb04ff9,0x805ffa80,0xf7002ffb,0x3fa0009f,
    0x0bff502e,0x2a3ffd00,0xfe8005ff,0xd00ffd1f,0x02ffd4ff,0xfe8fff40,
    0x2a7fe807,0xfe8005ff,0x40ffd01f,0x03ff67fe,0x3fa01ffa,0x21ffb807,
    0x7ff84ff8,0xa82617e2,0x77ec06ff,0x20fff880,0xffe82ffd,0x05ffa801,
    0x23ffc400,0x26005ffa,0x1ffd84ff,0x361ffc80,0x3fee03ff,0x01dff307,
    0x7fc07ff6,0x407ffa04,0xf00dfffe,0x0fffc47f,0x15ffa800,0xfb000dff,
    0xd0bfe23f,0x7ff900ff,0xb805ff50,0xffd804ff,0x0dff3001,0x01fff100,
    0x20017fea,0xbff51ffe,0x23ffd000,0x7fe807fe,0x20017fea,0x0ffd1ffe,
    0x7fd4ffd0,0x1ffe8005,0x7f40ffd0,0x3a03ff67,0x07fe807f,0x3e21ffb8,
    0x70ffe84f,0x54ffb87f,0x7fec0dff,0x41fff100,0xffe82ffd,0x05ffa801,
    0x427fdc00,0xf3000fff,0x05ff909f,0x3a23ffb0,0x3ffc406f,0x3605ff50,
    0x09ff03ff,0xd880ffe6,0x7dc2ffff,0x037fec0f,0x3a5ffa80,0x7fc001ff,
    0x3f21ffc7,0x3ffe600f,0x402ffcc1,0xfe803ffc,0x1fffc007,0xd97ff200,
    0x00bff53e,0x3ea3ffd0,0xffe8005f,0xfd00ffd1,0x002ffd4f,0x7fe8fff4,
    0x3ea7fe80,0xffe8005f,0x740ffd01,0x203ff67f,0x7fe807fe,0x221ffb80,
    0x4ffb84ff,0x1fff81fb,0x3f20dff3,0x1ffe601f,0xffd05ffb,0x0bff5003,
    0x81ffe800,0xf3004ffc,0x09ff70bf,0x001fff88,0xff80ffd0,0x209ff905,
    0x0ff904ff,0x37fffea0,0xf884ffb8,0x26000dff,0x3ff25ffe,0xbff5000e,
    0x7fdc4fe8,0x11fffa03,0xfb001ffd,0x0dff005f,0x01fffa80,0x7c5fff50,
    0x00bff54f,0x3ea3fff0,0xfff8005f,0xfd00ffd1,0x002ffd4f,0x7fe8fffc,
    0x3ea7fe80,0xfff8005f,0x740ffd01,0x203ff67f,0x7fe807fe,0x221ffb80,
    0xfff884ff,0x37fdc6fa,0xff70fff1,0x47ffa805,0xffe82ffd,0x05ffa801,
    0x41bfe600,0xf1007ff9,0x7fc599ff,0x3fff200f,0xfb731001,0x37f401ff,
    0xff05ffa8,0x801bfa09,0xefffffd8,0x3bffea02,0x3ff2600b,0x3ffe64ff,
    0x7ffe402f,0x3e637e42,0x7ff442ff,0x0fffa67f,0x2007ffc0,0xe8005ff9,
    0x2e00bfff,0xa7fc5fff,0xf8006ff9,0x0dff30ff,0x3a1fff00,0x27fe807f,
    0xf8006ff9,0x00ffd0ff,0x37fccffd,0x807ffc00,0x9ffa07fe,0x7fe80ffd,
    0xb807fe80,0x13fe21ff,0xaa7fffcc,0x7fc1fffd,0x00bfea0f,0xffb1bfee,
    0x003ffd05,0x4000bff5,0x3fa03ffc,0xfffb002f,0x077fdcbf,0x40ffffdc,
    0xffffecb8,0x3600ffff,0x41bfe06f,0x0dfd04ff,0x9fffd500,0xfffff700,
    0xfffb97bf,0xff305fff,0xb959bfff,0xf507ffff,0xefffb83f,0xfffdffca,
    0x003fffee,0xf500dff1,0xfd10007f,0x9557dfff,0xff0bfffd,0x001bfe69,
    0x3e61fff1,0x7fc4006f,0xf00ffd0f,0x037fccff,0x743ffe20,0x27ff807f,
    0x44006ff9,0xffd00fff,0xffb3ff40,0xf00ffd01,0x3ff700ff,0xf3027fc4,
    0xffffffff,0x267ffd05,0xffb003ff,0xe82ffd87,0xffa801ff,0x3ffe0005,
    0x017fee00,0x237ffec4,0xecbdfffe,0x641fffff,0xefffffff,0x3600ffec,
    0x41ff607f,0x0dff04ff,0x3fff2200,0xfffe9803,0xffffffff,0x7ff4404f,
    0xffffffff,0x217fe02f,0x2ffffffc,0x3fffffff,0x027fcc00,0x80017fdc,
    0xffffffd8,0x80dfffff,0x1fff14ff,0x13ffcc00,0x4c001fff,0x01ffa7ff,
    0x7fc4fff1,0x3fe6000f,0xf101ffa7,0x07ffc4ff,0x40fff300,0x9ffa07fe,
    0x7fe80ffd,0x403ffc40,0x3fe21ffb,0x7fffcc04,0xff500dff,0x2009ff3f,
    0x7ec0fffa,0x01ffe82f,0xff500000,0xdddddddf,0x8001fffd,0xffff9008,
    0x1ffb5fff,0x5ef7ffe4,0x803ffa09,0x3fee07fd,0xff04ff82,0xffb8000b,
    0xff93001f,0x19bfffff,0x7ff6dc00,0x401cefff,0xfca82ffb,0x3ff661ce,
    0x0554c0bd,0x6c00ffdc,0x4c0001ff,0xfffffffc,0xe93fe01d,0x3f2002ff,
    0x017ff45f,0x7f4bff90,0x1ffe600f,0x64005ffd,0x03ffa5ff,0x7f47ff98,
    0x3ff2002f,0xe81ffa05,0x203ff67f,0x3e600ffe,0x1ffb807f,0xf3013fe2,
    0xd001355b,0x400bffff,0x07e85ffe,0x40000000,0xfffffffd,0x4fffffff,
    0x6e540000,0x1ffd0cdf,0xf00bffe6,0x3fec01ff,0x3fe1bfa0,0x300bff04,
    0x01ffe401,0x0077dc40,0x01dfb800,0x001ffd80,0x05ff9800,0x3fa00bff,
    0x7dc00007,0x9ff0009e,0x400fffe4,0x7e43fff8,0xff8801ff,0x807ff63f,
    0x7fe47ffb,0xfff8801f,0xb807ff63,0x7ffe47ff,0x3fff8801,0xfe81ffa0,
    0x3603ff67,0x3fee01ff,0x21ffb807,0x7e404ff8,0xfff98002,0x3fff2006,
    0x2aa06f80,0x5ffb800a,0xefff8800,0xeeeeeeee,0xf9007ffe,0x7f40007f,
    0x1013ff27,0x7ec01fff,0x20ffd407,0x0bff04ff,0xf3027fdc,0x3f2000bf,
    0xfb00001e,0xfd10005d,0x4c00003d,0xffa80eff,0x00dff001,0x01dfc800,
    0xff893fe0,0x3faa01ef,0xefff886f,0x1bffaa01,0x3ea0dff9,0x7ffc47ff,
    0x3ffaa01e,0xa837fe46,0x7fc47fff,0x3faa01ef,0x03ff406f,0x07fecfff,
    0xfa837fe4,0xffb807ff,0xd013fe21,0x3fe0001f,0x3a600cff,0x5f982fff,
    0x2007ffe0,0xb8005ffb,0x3fe004ff,0x3ffc802f,0x3e0026e2,0x00bff66f,
    0x6401fff7,0x2ff400ff,0x3fe213fe,0x03ffe604,0x80027fdc,0x0005ffcb,
    0x005ffba8,0x00cfff98,0x3fff2200,0x2009fd00,0x00004ffa,0x8027fe5c,
    0x7ffdc4ff,0xfecbbdff,0xff702fff,0xd977bfff,0xf885ffff,0xfca9bdff,
    0xffb87fef,0xecbbdfff,0x7c42ffff,0xfca9bdff,0xffb87fef,0xecbbdfff,
    0x7402ffff,0x4dff107f,0xff880ffd,0xffca9bdf,0xffb807fe,0x8813fe21,
    0xffb0006f,0x557bffff,0x07ffffd9,0x7fc03fe6,0x5ffb801f,0x01ffe800,
    0x201bff20,0x3fe23ffc,0x927fdc06,0x7fd40bff,0x3fee00ff,0xf0ffcc03,
    0x07ff509f,0x440cffe8,0x40001fff,0x00001ffb,0x50001ff9,0x0039fffd,
    0x0f7ffe4c,0xb000ffa8,0x000005ff,0x3e003fee,0xffffb84f,0xffffffff,
    0x7fffdc01,0xffffffff,0xfffff701,0x0ff95fff,0x3fffffee,0x01ffffff,
    0xfffffff7,0x2e0ff95f,0xffffffff,0xe981ffff,0x66c7ffee,0x3ff64fff,
    0x3fee3eee,0xcaffffff,0x1ffb807f,0xfb813fe2,0x9ffc8003,0xfffffffa,
    0x401fffff,0xf4dabefe,0xf31003ff,0x6ff9800b,0x0fffc400,0x3fe0fcc0,
    0x3fff502f,0x88e7ffd4,0x1fffffca,0x33bffe20,0x7fc9f900,0x1fffd914,
    0xdffff980,0x005fffec,0x6feb9988,0x36ea6000,0x540005ff,0xccefffff,
    0xfffdccab,0x1ff402ef,0xfffd9db0,0x26200001,0xf006ffba,0x3ff2609f,
    0x0befffff,0xffff9300,0x8017dfff,0x1dffffea,0x7e4c0ff9,0xbeffffff,
    0x7fff5400,0x40ff91df,0xffffffc9,0xff500bef,0x7fccffff,0x3ff60eff,
    0x7f544fff,0xff91dfff,0x443ff700,0x07f604ff,0xb83ff500,0xdffffffe,
    0xffff7002,0x7cc000bf,0x1ffe4003,0x027fec00,0x7ffd43e4,0xffffdbce,
    0xfffffc81,0xffbbffff,0x7fffdc03,0x3e1ff101,0x9ffff34f,0x3fffea00,
    0x0004ffff,0x05fffff9,0x7fffec00,0xf700000f,0xffffffff,0x009fffff,
    0xfff80df3,0x00003fff,0x07fffff2,0x4c027fc0,0x00009aa9,0x004d54cc,
    0x0000cc40,0x004d54cc,0x0000cc40,0x004d54cc,0x2666664c,0xb819dfd3,
    0x102ccccc,0xc9800033,0x80b3220c,0x05900039,0x0009aa98,0x001bdc98,
    0x0003fa20,0x50003fff,0x2fb80fff,0xffffff70,0x7dc03fff,0x10cfffff,
    0xdb300dff,0xfa7dc03f,0x05bdf34f,0x7bfdb700,0x76d40005,0x540001cd,
    0x00002ccc,0xfdb97530,0x40037bdd,0x372202fd,0x00001cfe,0x0066f6d4,
    0x00009ff0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf50007ae,0x7fc000df,0x1006203f,0x037bfdb7,
    0x000554c0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb0001000,0x640007ff,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xcc800000,0x6400002c,0x200002cc,0x33221ccb,
    0x332e0004,0x3b600003,0x32a0004e,0x00b3324c,0x002ccc80,0x544054c0,
    0x33320001,0x09dd5002,0x003ddb00,0x540bbba6,0xec8005ee,0x001dd90e,
    0x00ae2000,0x7745ee80,0x202a6006,0xd80001a8,0x000003ee,0x00399910,
    0x01999300,0x04c40000,0x15551000,0x80ddb000,0x66642cca,0x79970000,
    0xf7000000,0x400001df,0x001ffffc,0x6cdff300,0x260002ff,0x80001fff,
    0x003ffffc,0xf52fff88,0x2e0001ff,0x40000eff,0x02fc85fa,0x3ffff900,
    0x00bff500,0x2003ffd0,0x3ee05ffd,0x7f4003ff,0x001ffd1f,0xfbbf3000,
    0x8fff0001,0x3ea007ff,0x0002fd85,0x0037ffd4,0x5ffd8000,0xffe88000,
    0x75c0006f,0x07f90adf,0x0fffcc00,0x203ff400,0xff90fff8,0x7fcc0007,
    0x4000001f,0x00001ffe,0x3ffb3fee,0xff700000,0x0007ff79,0x0009ff70,
    0xffccffa8,0x27fdc002,0x40003ffd,0x00001fff,0xdf9539fd,0x33fee000,
    0x7d400ffe,0xffe8005f,0x0eff8801,0x07fffee0,0xfd1ffe80,0xb000001f,
    0x7c001e47,0x003ffc7f,0x3f6ab7fa,0xffd80006,0x000002ff,0x00077fc4,
    0x7fe7fec0,0xfff50004,0x01ffdfff,0x0fffcc00,0x403ff400,0x5ff9dffa,
    0x4ffb8000,0x3ea00000,0x2600002f,0x6ff98eff,0x3ff60000,0x200005ff,
    0x30000ffc,0x3ffa1fff,0x99bfa000,0x2a0004ff,0x200002ff,0x2ffffffa,
    0x36ff9800,0xffa80dff,0x1ffe8005,0x400ffc80,0x006ffffb,0x7ff47ffa,
    0x2e800000,0x2aa0016e,0x20015542,0x2ffffffa,0x67fc4000,0x000005ff,
    0x0000ffe4,0xffca7fdc,0x8bfd8003,0x004fffdb,0x00fffcc0,0xc803ff40,
    0x000effff,0x001ff900,0x013b2000,0x43ddb000,0x00003eeb,0x001dffd1,
    0x003ed800,0x64c39970,0x1bd3003c,0x20002f5c,0x000004ed,0x40005bb5,
    0x3bae1eed,0x017fea03,0x2007ffa0,0xffb802cc,0xfd003fff,0x003ffa3f,
    0x2636e000,0x0000002e,0x00732600,0x6cffdc00,0x000000ff,0x20000bb6,
    0x3fa0fff9,0x0664001f,0x400002a2,0xfd000199,0x7ffec00f,0x76c00000,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfa800000,0xffe8005f,0x7dc00001,0x801fffef,0x1ffd1ffe,0xf9100000,
    0x0000009f,0x00000000,0x0ffeadfd,0x00000000,0x00000000,0x00000000,
    0x0003ff40,0x00000000,0x3fb6e600,0x0000ceff,0x7fff6dcc,0x4c0000ce,
    0xcefffedb,0x04eea800,0x311eed80,0x86620013,0xd8004eea,0x09dd51ee,
    0x003ddb00,0xbfffdb71,0x77540159,0x1eed8004,0xd000bff5,0x026623ff,
    0xff70cc40,0xd00dffb7,0x43ffa3ff,0x5400ab98,0x6c0104ee,0x013311ee,
    0xeea86620,0x1eed8004,0xf14ff980,0x980000ff,0x3defffec,0x3fb26000,
    0x5403deff,0xed8004ee,0xfec9801e,0x2003deff,0x13baa7fe,0x007bb600,
    0x3fffb6e6,0x910000ce,0xffffffff,0x88001bff,0xfffffffc,0x4000dfff,
    0xffffffc8,0x200dffff,0xe8005ffa,0x0dff31ff,0xffa9ffa0,0x1ffe8005,
    0xd000bff5,0x7e4403ff,0xffffffff,0xbff502ff,0x23ffd000,0xe8005ffa,
    0x0dff31ff,0xffb9ffa0,0x404fff8b,0x1ffd1ffe,0x7bfffff7,0x0017fea0,
    0x7fcc7ffa,0x54ffd006,0xfe8005ff,0x2ffd801f,0x0000bff6,0x3fffffa6,
    0x003fffff,0x3fffffa6,0x503fffff,0xfd000bff,0x7ff4c03f,0xffffffff,
    0x2a7fe803,0xfe8005ff,0x3ff2201f,0xffffffff,0x3fa6000d,0xffdcefff,
    0x3001ffff,0xb9dffffd,0x03ffffff,0x3ffffa60,0xfffffdce,0x0bff501f,
    0x743ffd00,0x7fcc01ff,0x0017fea4,0x7fd47ffa,0x1ffe8005,0xfffffd30,
    0xfffffb9b,0x05ffa81b,0xf51ffe80,0xffd000bf,0x200fff43,0x3fee4ff9,
    0x403fff53,0xbffd1ffe,0xffffdfff,0x00bff505,0x7f43ffd0,0x27fcc01f,
    0xd000bff5,0xff8803ff,0x002ffd47,0x3bfffee0,0xffffeccd,0xffffb804,
    0xfffeccde,0x05ffa84f,0x701ffe80,0x99bdffff,0x809ffffd,0x17fea7fe,
    0x407ffa00,0xceffffe9,0x1ffffffd,0x2ffffa80,0x3ffff930,0x2ffffa80,
    0x3ffff930,0x2ffffa80,0x3ffff930,0x000bff50,0x7fdc3ffd,0x50ffe404,
    0xfd000bff,0x017fea3f,0x2607ffa0,0x100bffff,0xfa8bfff9,0xffe8005f,
    0x000bff51,0x7fdc3ffd,0x70ffe404,0x37fec7ff,0x3fa3ffd0,0x7fd42fff,
    0x02ffd41f,0xf70fff40,0x1ffc809f,0x20017fea,0x7dc01ffe,0x00fff84f,
    0x3bfff700,0x0ffff220,0x01dfffb8,0xa87fff91,0xfe8005ff,0xdfffb81f,
    0x7fff9101,0xff53ff40,0x3ffd000b,0x05ffff50,0x07ffff26,0x00dfff88,
    0x00efff98,0x001bfff1,0x201dfff3,0x800dfff8,0x540efff9,0xfe8005ff,
    0x01ffe21f,0x5ffa8dff,0x51ffe800,0xfd000bff,0x3dffd03f,0x87ffea00,
    0xe8005ffa,0x0bff51ff,0x443ffd00,0x37fc07ff,0xff88ffee,0x23ffd04f,
    0xf301fffe,0x2ffd41df,0x10fff400,0x6ff80fff,0x4002ffd4,0x7f401ffe,
    0x04ffc81f,0x04fff980,0x301fff90,0x32009fff,0x3fea0fff,0x1ffe8005,
    0x8027ffcc,0xfd00fffc,0x002ffd4f,0x3e20fff4,0xf9800dff,0xff900eff,
    0xfffa800d,0x00dff904,0x904fffa8,0xfa800dff,0x2ffd44ff,0x20fff400,
    0xff502ffd,0x005ffa87,0xff51ffe8,0x3ffd000b,0x000fffc8,0xff527fdc,
    0x3ffd000b,0x20017fea,0x7fec1ffe,0xb87ff502,0x7ffd43ff,0xfd1ffe81,
    0x2ffc80bf,0x20017fea,0x7fec1ffe,0xa87ff502,0xfe8005ff,0x1bfe601f,
    0x4003ffcc,0x74004ffe,0x4ffe84ff,0x527ff400,0xfd000bff,0x04ffe83f,
    0xe827ff40,0x017fea7f,0xf907ffa0,0xffa800df,0x1fff984f,0x0fffb800,
    0x000fffcc,0x2607ffdc,0xb8001fff,0x3fea0fff,0x1ffe8005,0xfd82ffd4,
    0x02ffd40f,0xfa8fff40,0xffe8005f,0x0017ffc1,0xfa87ffc4,0xffe8005f,
    0x000bff51,0xffa83ffd,0xb81ffb05,0x6ffd83ff,0xffd1ffe8,0x24ff9803,
    0xe8005ffa,0x2ffd41ff,0x7d40ffd8,0xffe8005f,0x80fff201,0x26002ffe,
    0x54000fff,0x7ffcc7ff,0x3ffd4000,0xd000bff5,0x7ffcc3ff,0x3ffd4000,
    0x3fea7fe8,0x1ffe8005,0x0007ffe6,0xf903ffee,0x7f4000bf,0x02ffe43f,
    0xc87ffd00,0x3a0005ff,0x17fea3ff,0x207ffa00,0x7fc40fff,0x005ffa85,
    0xff51ffe8,0x3ffd000b,0x00037fd4,0x2ffd4175,0xa8fff400,0xfe8005ff,
    0x40fff81f,0xffb85ff8,0x44fff883,0x0ffd1ffe,0x7d4bff10,0xffe8005f,
    0x440fff81,0x5ffa85ff,0x01ffe800,0xfb803ffe,0x3ff2005f,0x90350004,
    0x2a0009ff,0x002ffd41,0xff90fff4,0x806a0009,0x17fea7fe,0xc87ffa00,
    0x3a0005ff,0x17fec3ff,0x8dff9000,0x20002ffd,0x7fec6ffc,0x3ff20002,
    0x0017fea6,0x3f207ffa,0x417fdc2f,0xe8005ffa,0x0bff51ff,0x6c3ffd00,
    0x400004ff,0xe8005ffa,0x0bff51ff,0x901fff00,0x2ffb85ff,0xf503ffb8,
    0x8fff43ff,0xfff007fe,0x4002ffd4,0xffc81ffe,0x5417fdc2,0xfe8005ff,
    0xdfff501f,0xfddddddd,0x3fe001ff,0x7c00003f,0x200003ff,0xe8005ffa,
    0x0fffe1ff,0x3ff40000,0xd000bff5,0x17fec3ff,0x8dff9000,0x20001fff,
    0x7ffc7ffb,0x3fee0001,0x000fffc7,0x7d4fff70,0xffe8005f,0x745ff981,
    0x5ffa80ff,0x51ffe800,0xfd000bff,0x01fffc3f,0x17fea000,0x4c7ffa00,
    0xff8006ff,0x45ff980f,0xffb80ffe,0xe9bff603,0x00dfd1ff,0x5ffa9ffa,
    0x81ffe800,0x7ff45ff9,0x005ffa80,0xfb01ffe8,0xffffffff,0x009fffff,
    0x0003fff1,0x00fffc40,0x0bff5000,0x223ffd00,0x00001fff,0x7fd4ffd0,
    0x1ffe8005,0x80007ffe,0x3fe27ffb,0x3e60000f,0x1fff10ff,0x7ffcc000,
    0x001fff10,0xa87ffcc0,0xfe8005ff,0x21ffd01f,0xff504ff8,0x3ffd000b,
    0x20017fea,0x3ffe1ffe,0x7d400001,0xffe8005f,0x800dff11,0x3fa07ff8,
    0x209ff10f,0x3e203ffb,0x23ffd4ff,0xdff007fe,0x4002ffd4,0xffd01ffe,
    0x5413fe21,0xfe8005ff,0xefff881f,0xeeeeeeee,0xf8807ffe,0x200000ff,
    0x0000fff8,0x0017fea0,0x7fc47ffa,0xd000000f,0x02ffd4ff,0xf88fff40,
    0x260000ff,0xfff30fff,0xfff88000,0x000fff31,0xf31fff88,0xf88000ff,
    0x0bff51ff,0x203ffd00,0x3ff73ffb,0x0017fea0,0x7fd47ffa,0x1ffe8005,
    0x0001fff1,0x005ffa80,0x3fe1ffe8,0x3fe6000f,0x5cffee06,0x7ff701ff,
    0xe9fffa80,0x00ffd1ff,0x7fd49ff1,0x1ffe8005,0x3ee7ff70,0x0bff501f,
    0x703ffd00,0x7fc009ff,0x3ffcc02f,0x3fe60000,0x7d400007,0xffe8005f,
    0x000fff31,0xf53ff400,0xffd000bf,0x001ffe63,0x2a3fff10,0xf80006ff,
    0x0dff51ff,0x23fff000,0x80006ffa,0xbff51fff,0x03ffd000,0x37f57fe2,
    0x000bff50,0x3fea3ffd,0x1ffe8005,0xf500fff3,0xffffffff,0x0017feab,
    0xffe87ffa,0x17ff2002,0xdfd5ff88,0x401ffdc0,0x1ffeeffd,0xfa803ffd,
    0x017fea3f,0x4407ffa0,0x40dfd5ff,0xe8005ffa,0x1ffe81ff,0x01bff200,
    0x0000fff3,0x0007ff98,0x002ffd40,0xff98fff4,0x3a000007,0x017fea7f,
    0x7d47ffa0,0xff80006f,0x00fff11f,0x10fff880,0x88000fff,0xfff10fff,
    0xfff88000,0x000bff50,0x7ec03ffd,0x2a04ff9f,0xfe8005ff,0x00bff51f,
    0x3e23ffd0,0x7fd400ff,0x5fffffff,0xd000bff5,0x7ffdc3ff,0x3fff8801,
    0x7fcffec0,0x00ffee04,0x3fffffe2,0xe80bffd1,0x17fea1ff,0x807ffa00,
    0x04ff9ffd,0x20017fea,0x7fcc1ffe,0x7ffc4006,0x007ffc01,0x03ffe000,
    0x5ffa8000,0x21ffe800,0x00000fff,0x7fd4ffd0,0x1ffe8005,0x8000fff1,
    0x3fe0fff8,0x3e60000f,0x007ffc7f,0xf8fff300,0x260000ff,0x17fea7ff,
    0x807ffe00,0x01ffeffa,0x20017fea,0xbff51fff,0x43fff000,0x74c01fff,
    0xffeeeeee,0x000bff55,0x7fc43fff,0x3faa01ef,0xeffa807f,0x3fee01ff,
    0xffff5003,0x0bfffa3f,0x3ea2ffdc,0xfff8005f,0x3fbfea01,0x17fea01f,
    0x907ffe00,0xfb0007ff,0x1ffe809f,0x7ff40000,0x3ea00001,0xfff8005f,
    0x0007ffa1,0xf53ff400,0xfff000bf,0x0007ffc3,0xfd8fff30,0x3ea0001f,
    0x00ffec6f,0xd8dff500,0x2a0001ff,0x1bfe66ff,0x003ffe00,0x980dffff,
    0xff8006ff,0x00dff30f,0x7f41fff0,0x3ea0003f,0x00dff35f,0xfb81fff0,
    0xccbdffff,0x001ffffe,0xb80dffff,0x3f6003ff,0xfffd1fff,0x3ff2639f,
    0x006ff986,0x7c00fff8,0x7cc06fff,0xfff8006f,0x000fffc0,0x3203ffd4,
    0x010003ff,0x4000fff2,0x006ff980,0x3f20fff8,0x8010003f,0x1bfe67fe,
    0xd83ffe00,0x2a0001ff,0x1ffdc6ff,0x89ffb000,0x20003ffb,0x7fdc4ffd,
    0x3ff60003,0x001bfe64,0xc801fff1,0x7cc03fff,0x7fc4006f,0x00dff30f,
    0x2e0fff88,0x2a0005ff,0x0dff35ff,0x80fff880,0xfffffffa,0x001fffff,
    0x700ffff2,0x7c4007ff,0x9ffd1fff,0xffffffff,0x00dff301,0x400fff88,
    0x4c03fffc,0x7c4006ff,0x1bfea0ff,0x03fff800,0x40013fee,0x3fee2efe,
    0x5dfd0004,0x1001bfe6,0x7fdc1fff,0x5dfd0004,0x7fccffd0,0x7ffc4006,
    0x000ffee0,0x7cc4ffd8,0xf98000ff,0x7ffcc1ff,0xfff98000,0x007ffcc1,
    0x10fffcc0,0x4c001fff,0xff9807ff,0x7ffc400f,0x9ffe6000,0x2000fff8,
    0x7fc47ff9,0xff50001f,0x003ffe2b,0x2207ff98,0xffffffec,0x7cc000bf,
    0x7fdc00ff,0x7ffd4003,0xff51ffd1,0x22017dff,0x26000fff,0xff9807ff,
    0x7ffc400f,0x1ffe6000,0x40007ffb,0x3e606ffc,0xff88006f,0x01bfe60f,
    0x443ffe20,0x26000fff,0x37fcc7ff,0x07ffc400,0xfff13ff4,0x3ffcc001,
    0x0003ffe6,0x3a07ffe6,0xfe8004ff,0x09ffd06f,0x20dffd00,0xe8004ffe,
    0x2ffe86ff,0x017ff200,0x74013fe2,0x3f2002ff,0x017ff45f,0xfb0bff90,
    0x3ea000df,0x00bffa5f,0x1005ffc8,0x00013bf7,0x00027fc4,0xfd000988,
    0x8005441f,0x32002ffe,0xff8805ff,0x05ffd004,0x002ffe40,0x802fc800,
    0x64003fff,0x3fff85ff,0x22ffe400,0x32002ffe,0x3fff85ff,0x42ffe400,
    0x2ffe8198,0x217ff200,0xe8004ffe,0xfff306ff,0x7ffe4007,0x07fff301,
    0x80fffe40,0x2003fff9,0xfc81fffc,0xff8801ff,0x1ffb803f,0x03fff900,
    0xc87fff10,0xf8801fff,0xfff883ff,0x3fa6000d,0x07fff25f,0x00fffe20,
    0x80003fa8,0x00001ffb,0xe805dffb,0x320000ff,0xf8801fff,0xffb803ff,
    0x3fff9001,0x07fff100,0x03f60000,0x007ffea0,0x5417ffd4,0xf5001fff,
    0xfffc85ff,0x3fff8801,0x001fffa8,0xf505fff5,0x7ffe49ff,0x3fff8801,
    0x003fff98,0xc807fff2,0x2200dfff,0x6403fffe,0x2200dfff,0x6403fffe,
    0x2200dfff,0xf103fffe,0x75403dff,0xdfd006ff,0x77ffc400,0x1bffaa01,
    0x807bffe2,0x2a06ffea,0x200befff,0x24ffffc9,0x201efff8,0x4006ffea,
    0xe80003fb,0x2600006f,0x7f407fec,0x3e20000f,0x3aa01eff,0xdfd006ff,
    0x77ffc400,0x1bffaa01,0x0ff80000,0x17fffd00,0x02fffdc0,0x4017fffd,
    0xf885fffb,0x3aa01eff,0x3ffa06ff,0x3fee00bf,0xffb7105f,0x07bffe25,
    0x206ffea8,0x200dfffc,0x803fffe8,0xacdffffc,0x4ffffdca,0xbffff900,
    0xfffb9559,0x3ff2009f,0xdcaacdff,0x5c04ffff,0xbbdfffff,0x02ffffec,
    0x0017fec4,0x37ffffee,0xffffecbb,0xfffff702,0xfffd977b,0xfffb805f,
    0xfdcbdfff,0xb82fffff,0xbbdfffff,0x02ffffec,0x00037dc0,0x0005ffb1,
    0x407ff300,0x40000ffe,0xbdfffffb,0x2ffffecb,0x017fec40,0x3ffffee0,
    0xfffecbbd,0x2000002f,0xfd1003fe,0x9557dfff,0x880bfffd,0xabeffffe,
    0x05fffeca,0x37ffffee,0xffffecbb,0x3fffa202,0xfecaabef,0xdff005ff,
    0x6fffffdc,0xffffecbb,0x7fffe402,0xffdcaacd,0x3ea004ff,0xffffffff,
    0x54002fff,0xffffffff,0x4002ffff,0xfffffffa,0x002fffff,0xfffffff7,
    0x203fffff,0x06fffef9,0xfffff700,0x3fffffff,0xfffffb80,0x1fffffff,
    0xffffd300,0xffffffff,0xffffb809,0xffffffff,0xdff98001,0x3e603dba,
    0x0006fffe,0x3ffaa660,0x003ffa00,0x3fffee00,0xffffffff,0xfffdf301,
    0x3fee000d,0xffffffff,0x000001ff,0x3edeffdc,0xfffffb10,0x1bffffff,
    0xffffb100,0xbfffffff,0xffffb801,0xffffffff,0xfffd8801,0xffffffff,
    0xf953100d,0xffffb87f,0xffffffff,0xffff5001,0xffffffff,0xfd710005,
    0x05dfffff,0x7ff5c400,0x002effff,0x3fffae20,0x8002efff,0xffffffc9,
    0x3e200bef,0x0000efff,0x3fffff26,0x3000beff,0xfffffff9,0x9300017d,
    0xbfffffff,0x3f260019,0xbeffffff,0x3ffa0000,0x3e203fff,0x0000efff,
    0x9fffff30,0x000ffe80,0xffff9300,0x4017dfff,0x00effff8,0x3fff2600,
    0x00beffff,0xff880000,0xc9807fff,0xdfffffff,0xffc98001,0x01dfffff,
    0x3ffff260,0x000befff,0x7ffffe4c,0x7fc01dff,0xf9307fff,0x7dffffff,
    0xfeb88001,0x02efffff,0x35531000,0x98800001,0x000009aa,0x004d54c4,
    0x9aa99800,0x2fbb6000,0x26600000,0x400009aa,0x0009aa99,0x026a6200,
    0x2aa66000,0x2a000009,0xed800bdd,0x200000be,0x802cded9,0x000004cb,
    0x00135533,0x0005f76c,0x13553300,0x20000000,0x98002cca,0x000009a9,
    0x00026a66,0x026aa660,0x4d4cc000,0x33bb2000,0xaa99800b,0x31000009,
    0x00001355,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x66644000,0x980b32a0,0xeeeeeeee,0xeeeeeeee,0x0b332004,
    0x332e0000,0x99930002,0x4001ccb8,0x5c03eee8,0x320003ee,0x774c00ee,
    0x4164c02e,0x990003c8,0xc9800059,0xc803c882,0x800000ee,0x9970ccca,
    0x40eec807,0xddd54ee8,0x9ddddddd,0x00001599,0x2e0b3322,0x362003ee,
    0x33261dee,0x00166544,0x00019993,0x0e664c00,0x3cc98000,0x0000e65c,
    0xca833322,0x9950003c,0x00666445,0x4ccccc40,0xe8801999,0x7fdc02ee,
    0x401dff15,0xfffffffa,0xffffffff,0xfff9005f,0x5400003f,0x0002ffff,
    0x3fea7ffb,0xfffe8005,0x13ff201f,0x00ffd800,0x07ffffa2,0x2fc81ff0,
    0x0effb800,0x437c4000,0xffd803fc,0xfe800000,0x03fff33f,0x7c40ffd8,
    0xfffff56f,0xffffffff,0xb00009ff,0xfc83ffff,0xffd1004f,0x27ffb05f,
    0x1000eff9,0x000dffff,0x3fffa200,0xfd00000e,0x017fea5f,0x8a7fe400,
    0x10000fff,0x3ff21fff,0xfffd0003,0x03ffffff,0x803fff88,0x1ffdaffd,
    0x7ffffd40,0xffffffff,0xfa805fff,0x000ffedf,0xfdeff880,0xfe88000f,
    0x000efe9f,0x7ff5ffe4,0x009ff900,0xb007fec0,0x01ffd5ff,0x7f66ffdc,
    0x3ffd0006,0x3bf20000,0xb007fdbb,0x800001ff,0x3ff25ffa,0x40ffd803,
    0xfff56ff8,0xffffffff,0x00bfffff,0x7f67fdc0,0x013ff20f,0x40bfffa2,
    0xffe9ffe8,0x2fffa000,0x800004ff,0x05ffbffd,0x3fff1000,0x80000dff,
    0x1ffdaffd,0x77fcc000,0x20004ffa,0xfffffffe,0x7fc401ff,0xffe8803f,
    0xffa802ff,0xf1000005,0x0dff31ff,0x13ffd000,0x30001dff,0x003fffff,
    0xff35ffa8,0x013ff20d,0x2e04cb80,0x0dff35ff,0x6ffffe44,0x2ffa8001,
    0x3f620000,0xb002efff,0x800001ff,0xbff10efd,0x64132e00,0x00bff53c,
    0x013fff66,0x7cdbfe60,0x013ff26f,0x803fffd1,0x02fffff9,0x7e4fff20,
    0x2e00003f,0x09ff74ff,0x3ffe6000,0x400000ff,0x03fffff8,0xffff7000,
    0x9988000d,0x01999999,0x002eee88,0x2009fff3,0x00005ffa,0x7e45ffd0,
    0x3f20004f,0x017fee4f,0x017ffd40,0x95066640,0x09ff9059,0x66440000,
    0x00732e0c,0xc80002a6,0x1000004e,0xfd800377,0x2200000f,0x037aa1ee,
    0x7fd40000,0x3ffec005,0x70f76c00,0x13ff27dd,0x01fffe88,0x007fff50,
    0xdb12f74c,0xd100001b,0x0f76c1bd,0xfffb8000,0xf3000001,0x80000bff,
    0x0000fffd,0x00000000,0xbff50000,0x00000000,0x00000000,0x00000000,
    0x0004ffc8,0x00000000,0x00000000,0xffb00000,0x00000001,0x3ea00000,
    0x7fcc005f,0x2000001f,0xfd104ffc,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fff6dcc,0xddb000ce,0xffec9801,0x7d403def,
    0x3000005f,0x59dffdb7,0x36e20001,0x0acdfffe,0x7f6dcc00,0x8000acef,
    0x86620ab9,0x20004ffc,0x33100198,0x20ab9800,0x6dcc0198,0x00aceffe,
    0xffdb7300,0xfb0019df,0x04ccc01f,0xffedb980,0x98800cef,0x3ea13301,
    0xffe8005f,0xbdd10003,0x2213ff20,0x8001fffe,0xeec80eed,0xddb0000d,
    0x400fbaa7,0x3003eee9,0x3bbaa9dd,0xceeeeeee,0x00000acc,0x20007ddb,
    0xeeeeeeed,0xeeeeeeee,0x7ffe4406,0xdfffffff,0x80fff400,0xffffffe9,
    0xf503ffff,0x900000bf,0xffffffff,0x644005ff,0xffffffff,0xf9002fff,
    0xffffffff,0xffb3005f,0xff71bfff,0x0013ff23,0xe800ffd8,0xffd9807f,
    0xffb8dfff,0xfffff901,0x005fffff,0x7ffffe44,0x00dfffff,0x7e403ff6,
    0x7e4400ef,0xffffffff,0x3ff600df,0xfab7fc40,0xffe8005f,0xfff10002,
    0xd113ff20,0x20003fff,0xff881ffe,0xffc8005f,0x00dff30e,0x401fffee,
    0xfff53ffc,0xffffffff,0x0009ffff,0x006fffa8,0xfffffff0,0xffffffff,
    0x7ff4c0ff,0xfffdceff,0x3fa01fff,0xffffb81f,0xfffeccde,0x05ffa84f,
    0x3ff62000,0xffeddeef,0xfe9803ff,0xfdcdffff,0x100dffff,0xbbddfffb,
    0x407ffffd,0xffeffff9,0xf91ffcef,0x7ec0009f,0x07fe800f,0x7f7fffcc,
    0x41ffceff,0xdeefffd8,0x03ffffed,0xeffffe98,0xffffffdc,0x901ffb01,
    0xe9801dff,0xfdceffff,0xb01fffff,0x6ff881ff,0x8800bff5,0x10001fff,
    0x3ff20fff,0x03bffa24,0x01ffe800,0x4005fff7,0x7fc1fff9,0xfffe800f,
    0x1ffe801f,0xfffffff5,0xffffffff,0x7ec000bf,0xf8002fff,0xffffffff,
    0x7fffffff,0x05ffff50,0x07ffff26,0x3ee0fff4,0xf9101dff,0x5ffa87ff,
    0x3ff60000,0xfff9102e,0x7fffcc07,0xfff9100b,0x0bbff60b,0x41fffe44,
    0x260cffe8,0xf91ffffe,0x7ec0009f,0x07fe800f,0x9833ffa2,0x6c1ffffe,
    0xf9102eff,0x7fd407ff,0xff9302ff,0x1ffb03ff,0x400effc8,0x302ffffa,
    0xb03ffff9,0x6ff881ff,0x4c00bff5,0x20006ffe,0xff907ff8,0x03bffa29,
    0x03ffd000,0x8007ffec,0xffd84ffe,0x7f7fc402,0x27ff803f,0xb3005ffa,
    0x10009fff,0x00bff9ff,0xfff10000,0x1bfff10b,0x1dfff300,0x7cc3ffd0,
    0xff9004ff,0x677fd41f,0xcccccccc,0xfff03ccc,0x0dff7003,0x800f7ff4,
    0xff81fffa,0x6ffb801f,0xd103ffd8,0x3ff23fff,0x3ff60004,0x207fe800,
    0xfd103ffd,0x1fff83ff,0x106ffb80,0x3001bfff,0xfd81dfff,0x03bff20f,
    0x01bfff10,0x81dfff30,0x7fc40ffd,0x333bff56,0xf9753333,0x40003fff,
    0xff907ff8,0x1ffffd19,0x1ffe8000,0x013ffe20,0x7dc1bff2,0x57fd404f,
    0x7fcc05ff,0x0017fea5,0x7000fffb,0x01ffb3ff,0x7f440000,0x0dff906f,
    0x84fffa80,0x3ffa1ffe,0x27ff4004,0xfffffff5,0xffffffff,0x00bff50d,
    0x7e407ff4,0x7dc000ff,0x02ffd44f,0x7c41ffd0,0x7ffd406f,0x0009ff91,
    0x74007fec,0x0dff107f,0x2a1fffa8,0x3fa005ff,0x06ffc80f,0x227ffd40,
    0xdff90ffd,0x0dff9001,0x44fffa80,0x7fc40ffd,0xffffff56,0xffffffff,
    0x880003df,0x9ff907ff,0x0bfffffd,0x01ffe800,0x300fffdc,0x3e603fff,
    0xdbfe406f,0x1ffdc07f,0x9800bff5,0x74001fff,0x007ff56f,0x7ffec000,
    0x01fff980,0x40fffb80,0xfff31ffe,0x7ffa8001,0x3fffffea,0xffffffff,
    0x04ffb86f,0x3e0ffee0,0xf88002ff,0x13fee0ff,0x2a3ffb80,0xffe802ff,
    0x0009ff91,0x74007fec,0x05ff507f,0x7dc3ffd0,0x3fee004f,0x00fffcc3,
    0xb07ffdc0,0x1dff91ff,0x03fff300,0x41fff700,0x7fc40ffd,0xffffff56,
    0xbfffffff,0xf1000017,0x3fff20ff,0x3fff9eff,0x07ffa000,0xe81bff60,
    0x3ffc04ff,0x7fdd7fa0,0xa83ff602,0xfe8005ff,0x3fe6003f,0x000fff14,
    0x07fff200,0x0002ffe4,0xffe87ffd,0x0009ff91,0x3dff506a,0x33333333,
    0xff301333,0xa80c400f,0x2a0006ff,0x03ffcc0b,0x3ff90310,0x323ffb00,
    0x360004ff,0x7fe800ff,0xb003ff90,0x3ffcc3ff,0x3f203100,0x3fa0005f,
    0x3f3ff63f,0xff9003ff,0x7ff4000b,0xf103ff63,0x2bbfeadf,0xfffdcbaa,
    0x7c400003,0xffff907f,0x07ffee1d,0x00fff400,0x5c27ffc4,0xffd806ff,
    0x267ff301,0x1bfe04ff,0xd000bff5,0x7ec005ff,0x00bff62f,0x7fff7000,
    0x0017fec0,0xfe8dff90,0x007fff1f,0x02ffd400,0x19fff000,0x4ffd8000,
    0xfff00000,0x7ec00019,0x1ffc800f,0x40009ff9,0xfe800ffd,0x001ffb07,
    0xfff83ff9,0x7ec0000c,0x3f20002f,0x3ffff66f,0xfd800fff,0x3f20002f,
    0x103ff66f,0x17feadff,0x005fff98,0x41ffe200,0x6c0efffc,0xe8000fff,
    0xff7001ff,0x0fffcc3f,0xb81ffd40,0x41bfe1ff,0x7fd44ff9,0x7ffc4005,
    0x8fff1001,0x00005ffa,0xf013ffe6,0x5c0003ff,0x4fff47ff,0x0001fff8,
    0x0017fea0,0xdffffc80,0xfff8000b,0xf9000003,0x0017bfff,0xb800ffe8,
    0x09ff91ff,0x007fec00,0xffe83ff4,0x41ffb800,0x0bdffffc,0x01fff800,
    0xd9ffee00,0x5ffdefff,0x001fff80,0xfd9ffee0,0xab7fc40f,0x7fcc05ff,
    0xf100005f,0x3bff20ff,0x05fff880,0x001ffe80,0xffd9bff6,0x0bff1003,
    0x1ff91ff6,0xfa85ff70,0x3fa6005f,0x3fee006f,0x000fff84,0x06fff880,
    0x0007ffc4,0x741fff30,0x0fff89ff,0x3fea0000,0x7dc00005,0xacefffff,
    0x01fff800,0x3fee0000,0x0aceffff,0x400ffec0,0x9ff91ffc,0x07fec000,
    0xfd83ff40,0x1ffc801f,0xffffffb8,0x7c400ace,0x260000ff,0xbffb0fff,
    0x880bffe2,0x20000fff,0xffb0fff9,0xf56ff881,0xfff500bf,0xff100007,
    0x813ff20f,0x4003fffa,0x22001ffe,0x5ffaafff,0xf83ff400,0x41ffd44f,
    0x7fd40ffd,0x9999999d,0x1ffffcba,0x207ffa00,0x80004ffc,0x4c00fffe,
    0x440007ff,0x3ffa1fff,0x0007ff99,0x002ffd40,0x7fff5400,0x02dfffff,
    0x0001fff1,0xfffea800,0x02dfffff,0xfb005ff9,0x013ff23f,0x800ffd80,
    0x5ff907fe,0x203ffb00,0xffffffea,0xff302dff,0xff88000f,0x541ffb1f,
    0xff300fff,0xff88000f,0x881ffb1f,0x0bff56ff,0x007fff20,0x20fff100,
    0x7ec04ffc,0x3fa001ff,0x7fdc001f,0x4000ffff,0x7fcc1ffc,0x7c2ffc42,
    0xffffa86f,0xffffffff,0x2001efff,0xff306ff9,0xffc8000f,0x6ffa801f,
    0x1fff8000,0x3fe67ffa,0x7d400007,0x2000005f,0xfffffeb9,0x7ff983ff,
    0xfffffa80,0x4c05ffff,0xffffffeb,0x04ffb83f,0xfc8fffc4,0x3f60004f,
    0x07fe800f,0xf8809ff7,0x75cc01ff,0x3fffffff,0x0006ffa8,0xffb1fff8,
    0x505ffd81,0xf0000dff,0x03ff63ff,0x3feadff1,0xdffd1005,0x7fc40001,
    0x809ff907,0x000effe8,0xb0003ffd,0x0005ffff,0xffc85ff5,0x7cc7fe80,
    0xffffa83f,0xffffffff,0x64000bdf,0x3ffa03ff,0xfff70002,0x1ffe2007,
    0x1fff1000,0xfff8fff4,0x3ea00000,0x0000005f,0xffffd951,0x07ffc41b,
    0x3ffffea0,0x2005ffff,0xffffeca8,0x007ffc0d,0x3f23fff9,0x3f60004f,
    0x07fe800f,0xfc803ffe,0x2a2001ff,0x0dffffec,0x0001ffe2,0x3f61fff1,
    0x17ffc40f,0x0003ffc4,0x7ec3ffe2,0xab7fc40f,0x3e6005ff,0x220004ff,
    0x9ff907ff,0x09fff300,0x0007ffa0,0x0017ffe2,0x3fa27fc4,0x5c3ff906,
    0xeffa81ff,0xffdcbaaa,0x3fe0003f,0x17fee00f,0x13ffe600,0x001fff00,
    0x3a3ffcc0,0x03ffd1ff,0x2ffd4000,0x98000000,0x7fc3fffe,0x7774c01f,
    0x05ffeeee,0x3fffa600,0x4077fdc3,0xf91ffffb,0x7ec0009f,0x07fe800f,
    0x2e03bfee,0x0001ffff,0xf0ffffa6,0x4c0001ff,0x03ff67ff,0x3e03ffea,
    0x260000ff,0x03ff67ff,0x3feadff1,0x7ffec005,0xfff10001,0x4013ff20,
    0xe802fffc,0xfb0001ff,0x7f40005f,0x4c0ffe26,0x41ff63ff,0x3e605ffa,
    0xfa8005ff,0xeeeeeeff,0x000fffee,0x0017ffe2,0x80007ff6,0x7ff46ffa,
    0x0007ff91,0x3bffea02,0xeeeeeeee,0x001eeeee,0x746ffc80,0x2a0003ff,
    0xc80005ff,0xfffe86ff,0xffffecbd,0xdddff91f,0xdddddddd,0x007fec3d,
    0x3fa03ff4,0xffecbdff,0x80001fff,0x7fec6ffc,0x3fea0001,0x6c03ff66,
    0x1ffd85ff,0x9bfea000,0x7fc40ffd,0x800bff56,0x0006fff8,0x3f20fff1,
    0x3ffa004f,0x0fff400f,0x02ffd800,0x543ff200,0x93fe01ff,0xbff505ff,
    0x05fff980,0x7ffffec0,0xffffffff,0x3ffa004f,0xffb8000e,0x3ff60003,
    0xfb8fff44,0xdfd0004f,0x3ffffea5,0xffffffff,0xdb31ffff,0x1fff0007,
    0x0002ffdc,0x3b66bff5,0x0fff8003,0xffffffc8,0xf90ffdaf,0xffffffff,
    0x6c3fffff,0x7fe800ff,0xfffffc80,0x30ffdaff,0xff0007db,0x01ffdc1f,
    0x6c9ffb00,0xfff100ff,0x003ffb85,0xfd93ff60,0xab7fc40f,0xfa8005ff,
    0xf88003ff,0x09ff907f,0x037ffcc0,0x40007ffa,0x20002ffd,0x0ffb2ffa,
    0x7ff36fd8,0x2017fea0,0x1003fffa,0xdddddfff,0xfffddddd,0x07fff200,
    0x07ffcc00,0x0fffcc00,0x7fcc7ffa,0xfff88006,0xffffff50,0xffffffff,
    0x3fe23fff,0x1ffd8006,0x0007ffe2,0xff8affd4,0x1ffd8006,0x19bfd950,
    0x7fe43ff6,0xffffffff,0x3f61ffff,0x07fe800f,0x19bfd950,0x7fc43ff6,
    0x1ffd8006,0x0003ffe6,0xfd87ffe6,0x3ffee00f,0x003ffe60,0xd87ffe60,
    0xb7fc40ff,0xb0005ffa,0x37ec1fff,0x320dff30,0x7dc004ff,0x3ffa04ff,
    0x5ffb0001,0xa7fc4000,0x7fdc05ff,0xf500ffa8,0x3ff200bf,0x4ffb801f,
    0x00bffe00,0x0005fff5,0x8004ffe8,0xffe86ffe,0x000fffe1,0x2000bff9,
    0x7ff404fa,0x43ffc001,0x50006ffd,0x0fff4bff,0x001ffe00,0x33007fe8,
    0x400fd001,0xd00007fe,0x01ffe8ff,0x7f43ffc0,0xffe8004f,0x00131006,
    0x20013ffa,0x22006ffe,0x262006ff,0x07fe8000,0x8001bfea,0x7f400019,
    0xffb0001f,0xdfd80005,0x7cc02ff9,0x2a06fcaf,0xfd1005ff,0xffe801df,
    0x1bff2001,0x004fff98,0x03fff980,0x207fff20,0x3fea1ffe,0xfff5001f,
    0x0bee0005,0x001dff90,0x3e217fea,0x26000dff,0x3ff25ffe,0xbff5000e,
    0x22004dc4,0xfff006ff,0x0037c01b,0x26e20ffd,0x237fc400,0x5000effc,
    0xfff30bff,0x7ffe4007,0x3dffd001,0x03fff980,0x007fff20,0x2005ff88,
    0x2002effd,0xff701ffd,0x3fe2000b,0xfe8000df,0xffb0001f,0xffb80005,
    0xff800ffb,0x3ea04feb,0x3fe6005f,0x1bfe604f,0x03fff100,0x000bffd1,
    0x06fffe40,0x07fffd10,0xffd07ffa,0x7fdc017f,0x3f20005f,0x7fffcc02,
    0x17ffe402,0x0befffa8,0x3ffff260,0x0bfffe64,0x445fff90,0x7fe406ff,
    0x9ff97004,0xf8017e60,0x0dff107f,0x7cc4ffc8,0x7e402fff,0xfff902ff,
    0x7ff4401b,0x3f2a003f,0xfffc806f,0x3ffa200d,0x7fcc003f,0x3fb26005,
    0x37ff2007,0x017ffcc0,0x09ff9700,0x003ffd00,0x000bff60,0x0dfdff30,
    0x0bffbf20,0x4005ffa8,0xf901fffd,0xffb0007f,0x00dffb09,0xffff9000,
    0xffb9559b,0x7ff409ff,0x7ffff441,0xffecaabe,0x7ec0005f,0xffff9804,
    0xffdcacdf,0x7fdc03ff,0xdcbdffff,0x82ffffff,0xcdfffff9,0x3ffffdca,
    0xf502fff8,0xfc8003ff,0x00ff980f,0x3e06ff88,0xfff502ff,0xfffff303,
    0xfffb959b,0xfffc807f,0xfdcaacdf,0x70004fff,0xff9003ff,0xb9559bff,
    0x0009ffff,0x30009ff7,0x3e2007ff,0xffdbdfff,0xfb00006f,0x3ffd000f,
    0x0bff6000,0x3fffe000,0xffff5004,0x02ffd401,0x41bffe20,0xa8001fff,
    0x7ffd47ff,0xeeeeeeee,0x2eeeeeee,0x3ffffea0,0x2fffffff,0x440fff40,
    0xfffffffd,0x000dffff,0x5d6ffd40,0xfffe881e,0xffffffff,0xfffd3002,
    0xffffffff,0xffe8809f,0xffffffff,0xffff502f,0x3ffffb7b,0xff753100,
    0x55f7f40d,0x3fff764d,0x3fffea03,0x1ffffdbd,0x3ffffa20,0x2fffffff,
    0xfffff500,0x5fffffff,0x754cc400,0x3fea007f,0xffffffff,0x366002ff,
    0x3001fffd,0x001ffd53,0x7fffffdc,0x10000eff,0x00bff753,0x0003ffd0,
    0x0000bff6,0x400bfff6,0x5406fff8,0xfa8005ff,0x37fd43ff,0x47fff000,
    0xfffffffa,0xffffffff,0x5c402fff,0xeffffffe,0x03ffd002,0x7ffffe4c,
    0x00001dff,0x07fffffe,0xffffedb8,0x98001cef,0xfffffffc,0x36e000cd,
    0xcefffffe,0x7fffdc01,0x001fffff,0x03fffff9,0xafffffdc,0x00fffff9,
    0x7fffffdc,0xb7001fff,0x9dfffffd,0xfeb88003,0x02efffff,0xfffffb80,
    0x7f5c4003,0x02efffff,0x5ffffb80,0xfffff300,0xffd30009,0x00019dff,
    0x0fffffec,0x00fff400,0x002ffd80,0x007ffb80,0x2a01fff4,0xfb0005ff,
    0x1ffec1ff,0x4dff9000,0xfffffffa,0xffffffff,0x22002fff,0x00009aa9,
    0x09a99800,0xb5100000,0xa980037b,0x4c400001,0x2000009a,0xb88001a9,
    0x009bdfed,0x0337b6e0,0x986f7260,0x1000cefe,0x137bfdb7,0x00d4c000,
    0x35531000,0x76d40001,0x440001cd,0x00009aa9,0x800f7fae,0x002cded9,
    0x00054c40,0x0bdedb80,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x32600000,
    0x320000cc,0xb8000005,0x4c0003cc,0x99999999,0x41999001,0x5c002cca,
    0x133222cc,0x03ccb800,0x83332200,0x40002cca,0x4c003ccb,0x98001ccc,
    0x0076c2cd,0x4c155300,0x32e000aa,0x0554c03c,0x00001553,0x5c00b332,
    0x32a004cc,0x2aa000cc,0x3332202a,0x99900002,0xa8808007,0x880a9801,
    0x9100001a,0x22000399,0x166544cc,0x66440000,0x7910001c,0xb0001320,
    0x220009ff,0x0000afea,0x03fff100,0xfffff800,0x800fffff,0xdff16ffa,
    0xfff88001,0x0005ffb0,0x0007ffe6,0x3e29ff70,0x260000ef,0x22001fff,
    0x000ffffe,0x37fffff2,0x640006fc,0x0bff22ff,0x017ffc40,0xffc8bff2,
    0xffb80002,0xfff1000e,0xffff1005,0x3ffe600b,0x03bfee01,0x3ffea000,
    0x7dff7000,0x2a00ff23,0x002fd84f,0x1ffffd00,0x53ff2000,0x00006ff9,
    0x000bff90,0x27d40fe8,0x0dff3000,0xffffd300,0x00003dff,0x0003ffc8,
    0xfffffff8,0xf9000fff,0x003ffb7f,0x3eb7fea0,0x3f60004f,0xfb00002f,
    0x003ffb5f,0x003ffc80,0x37fdffec,0xfd77ff00,0x80007fff,0x3ff22ffc,
    0x07ff9002,0x7e45ff90,0xfe80002f,0x7fd4001f,0xfbffe806,0x3ffd804f,
    0x000fffc0,0x002ffd80,0xfffffff5,0x3fa001ff,0x006fca9c,0xff7ff900,
    0x3fa0001d,0x000ffe9f,0x0eff8800,0x677d4000,0x0001ffca,0x50003ff6,
    0xffffffff,0x200005ff,0x00005ff8,0x33333333,0xffe80033,0x640002ff,
    0x0005ffff,0x00013fe6,0x2fffff88,0x2ffc4000,0x5d7fee00,0x4e9804ff,
    0x0000e64c,0xdd70f75c,0x0bff1005,0xeb87bae0,0x7d40002e,0xff70003f,
    0xc9ffec03,0x3fe202ff,0x017fdc05,0x04ff9800,0x7ed4ff60,0x3ea004ff,
    0x002fffff,0xf55ffa80,0x3e2000bf,0x0001ffff,0x003ff900,0x3ffff600,
    0x3a20003f,0x7fcc002e,0xfe9fd9ef,0xa80001ff,0x000000de,0x3b620000,
    0xfd00003e,0x5c0001df,0x9800005e,0x80004fff,0x6c4005eb,0x07bb60de,
    0x00000000,0x1bd50000,0x00000000,0x20002764,0xbdd304ec,0xc806f6c4,
    0x1f6c00ef,0x09d90000,0x0980aa80,0x05bb5000,0x3bb62000,0x000bbb20,
    0x001fffd4,0x005db000,0x01ca8800,0x6c000000,0xfd9f63ff,0x0000005f,
    0x47dd5000,0x00003eea,0x00000000,0x00000000,0x00000000,0xdb730000,
    0x0019dfff,0xffedb980,0x80000cef,0xd8004eea,0x000001ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdddb0000,
    0xdddddddd,0xff8ddddd,0xff99f60f,0xddd90007,0xdddddddd,0xbddddddd,
    0x7d49ff70,0x05eea84f,0xd10eec80,0xdddddddd,0xdddddddd,0x3bbbaa7d,
    0xcceeeeee,0x774c00ac,0xeeeeeeee,0x24eeeeee,0xc8005eea,0x1ddb00ee,
    0x3fff2200,0xdfffffff,0x7fe44000,0xffffffff,0x0776c00d,0x20017fea,
    0xbdd91ffe,0x3bb60001,0xd30eed83,0xdddddddd,0x9ddddddd,0xeeb86ed8,
    0xddd30003,0xdddddddd,0x809ddddd,0x20000eed,0x00003eed,0x8007ddb0,
    0xeeeeeeea,0x000abccd,0x00fbb600,0xdddddd30,0xdddddddd,0xffff09dd,
    0xffffffff,0x7ccfffff,0x3363ec5f,0x7fc4000b,0xffffffff,0xffffffff,
    0x24ffb86f,0xffb84ffa,0x7ff4003f,0xffffff31,0xffffffff,0x3ea9ffff,
    0xffffffff,0x04ffffff,0x3fffffea,0xffffffff,0x3ffee5ff,0x0fff4003,
    0x9801ffe8,0xdceffffe,0x01ffffff,0xdffffd30,0xffffffb9,0x20fff403,
    0xe8005ffa,0xbfff11ff,0x1dff9000,0x3ea3ffd0,0xffffffff,0x5fffffff,
    0x7fe43ff4,0xfff50004,0xffffffff,0x80bfffff,0x50001ffe,0x0000dfff,
    0x00dfff50,0xffffffb8,0xcfffffff,0x7fd40000,0x7fd4006f,0xffffffff,
    0x85ffffff,0xffffffff,0xffffffff,0xfb17fe67,0x7fe40000,0xffffffff,
    0xffffffff,0x21aa886f,0xffb81aa8,0x3fa001ff,0xfffff31f,0xffffffff,
    0x2a9fffff,0xffffffff,0xffffffff,0xfffff505,0xffffffff,0x7fdcbfff,
    0x3fa001ff,0x03ffd01f,0x02ffffa8,0x03ffff93,0x02ffffa8,0x03ffff93,
    0xff507ffa,0x3ffd000b,0x0017ffdc,0x3a03fff3,0xffff51ff,0xffffffff,
    0xfe8bffff,0x004ffc87,0xffffff50,0xffffffff,0xffe80bff,0xfffb0001,
    0xd800005f,0x2002ffff,0xfffffffb,0xffffffff,0x3ff60003,0x3ea002ff,
    0xffffffff,0x5fffffff,0xfff88000,0xfb07ffc5,0x3fe20000,0x00fff31f,
    0x7dc00000,0x3a006fff,0xff5001ff,0x17fea00b,0x27ffecc0,0x0002ffd4,
    0x037fffdc,0x3a03ffd0,0x3fe201ff,0xff9800df,0xfff100ef,0xfff3001b,
    0x83ffd01d,0xe8005ffa,0x7ffec1ff,0x09ffd000,0xffa8fff4,0xffd00005,
    0x0009ff90,0x00017fea,0x000fff40,0x2ffe7fc4,0x9ff10000,0x7dc00bff,
    0xf733305f,0x10003fff,0x00bff9ff,0x0002ffd4,0xffe88000,0xb0cffd86,
    0x3f20000f,0x01ffe65f,0xfb800000,0xd003ffff,0x3ea003ff,0xbff5005f,
    0x87ffd800,0x80005ffa,0x03fffffb,0x3a03ffd0,0x3ff201ff,0x7ffd4006,
    0x00dff904,0xe84fffa8,0x2ffd41ff,0x20fff400,0xc804fff8,0x7ff406ff,
    0x000bff51,0x3f21ffa0,0xff50004f,0x3a00000b,0xfb8001ff,0x000ffd9f,
    0xfb3ff700,0x3fee001f,0xdffb1005,0xb3ff7000,0x3ea001ff,0x0000005f,
    0x301fffb0,0x0fb7ffff,0x3fff1000,0x0003ffcc,0x33100331,0x7fff7fdc,
    0x01ffe801,0x200bff50,0x4c005ffa,0x7fd41fff,0xffb80005,0xe801fffe,
    0x3ffd01ff,0x007ffe60,0x303ffee0,0x70003fff,0xffe81fff,0x002ffd41,
    0x7dc0fff4,0x3fe601ff,0x8fff401f,0x00005ffa,0x9ff90ffd,0x17fea000,
    0x7ff40000,0x56fe8001,0x200007ff,0x07ff56fe,0x8017fee0,0x4004ffe8,
    0x07ff56fe,0x0017fea0,0x3ff20000,0x3ffea01f,0x0001bfff,0xff31bff2,
    0x3ff4000f,0xff73ff40,0xd00dffb7,0x3ea003ff,0xbff5005f,0x87ffd000,
    0x80005ffa,0x6ffdbffb,0xd01ffe80,0x3ff203ff,0x3ffa0005,0x002ffe43,
    0xfe87ffd0,0x02ffd41f,0xd80fff40,0x3ffa06ff,0x51ffe804,0x20000bff,
    0x4ffc87fe,0x0bff5000,0x3ffa0000,0xa7fcc001,0x80007ff8,0xfff14ff9,
    0x017fee00,0x001fff30,0x7fc53fe6,0x0bff5007,0xfb800000,0xfd9803ff,
    0x02efffff,0x217ffc40,0x20007ff9,0x7fe807fe,0x3fe2ffee,0x0fff404f,
    0x005ffa80,0xd000bff5,0x5ffa85ff,0xbffb8000,0x7404fff8,0x3ffd01ff,
    0x000bff60,0x7ec6ffc8,0x3f20002f,0x20fff46f,0xe8005ffa,0xfff101ff,
    0x00dff709,0x7fd47ffa,0xffd00005,0x0009ff90,0x00017fea,0x000fff40,
    0xffd8bff6,0x7fec0002,0x200bff62,0xe8005ffb,0xffb002ff,0x4017fec5,
    0x00005ffa,0x13ffe600,0xffff7100,0x2e001bff,0x7ff986ff,0x01ffa000,
    0x3ffb9ffa,0x7403fff5,0xff5001ff,0x17fea00b,0x83fff100,0x80005ffa,
    0xfff53ffb,0x80fff403,0xfff01ffe,0x7fdc0003,0x000fffc7,0xfe8fff70,
    0x02ffd41f,0x700fff40,0x7fcc3fff,0x3ffd001f,0x00017fea,0x7fe43ff4,
    0xbff50004,0x3fa00000,0x3fe2001f,0x002ffd47,0xfa8fff10,0x5ffb805f,
    0x04ffb800,0x7d47ff88,0x5ffa805f,0xf1000000,0x6c000dff,0x04fffeaf,
    0xf305fff0,0x7f4000ff,0x2e7fe807,0x1bff63ff,0x5001ffe8,0x3ea00bff,
    0x3fa6005f,0x05ffa86f,0x23ffb800,0x3fa06ffd,0x03ffd01f,0x0001fff1,
    0xf887ffcc,0x260000ff,0x3ffa0fff,0x002ffd41,0x3600fff4,0x0fff66ff,
    0xf51ffe80,0x3a0000bf,0x04ffc87f,0x00bff500,0x07ffa000,0xf84ffb80,
    0xf70000ff,0x01fff09f,0x8005ffb8,0xfb805ff9,0x00fff84f,0x0002ffd4,
    0x0fffe800,0xfb9f6000,0x7fdc01ff,0x99fff306,0x99999999,0xe807fe89,
    0x88ffee7f,0xffd04fff,0x17fea003,0x4ceffd40,0xcba99999,0xfa81ffff,
    0xccccccef,0x43cccccc,0x3fe23ffb,0x03ffd04f,0x3e607ffa,0x7c40007f,
    0x0fff31ff,0x1fff8800,0xff507ffa,0x3ffd000b,0xaafff880,0x7f4005ff,
    0x99dff51f,0x99999999,0x0ffd0799,0x20009ff9,0xcccceffa,0xcccccccc,
    0x01ffe803,0x3207ffa0,0xfd0004ff,0x09ff903f,0x8005ffb8,0xfe806ff9,
    0x04ffc81f,0x66677fd4,0xcccccccc,0x7fe4003c,0x3ec0001f,0xfd00fff6,
    0x3ffe605f,0xffffffff,0x03ff47ff,0x7ff73ff4,0xe81fffa8,0xff5001ff,
    0x3ffea00b,0xffffffff,0x501effff,0xffffffff,0xdfffffff,0x7d43ffb8,
    0x1ffe81ff,0xf503ffd0,0xff0000df,0x01bfea3f,0xe87ffe00,0x2ffd41ff,
    0x00fff400,0x7fffffdc,0x8fff4000,0xfffffffa,0xffffffff,0xfc87fe86,
    0xff50004f,0xffffffff,0x00dfffff,0x26003ffd,0xfff306ff,0x0dff3000,
    0xf701ffe6,0xff1000bf,0x06ff980f,0xfa80fff3,0xffffffff,0x06ffffff,
    0x00fffee0,0xff51f600,0x037fd40b,0xfffffff3,0x8fffffff,0x7fe807fe,
    0x3f60ffee,0x01ffe86f,0x200bff50,0xfffffffa,0xbdffffff,0x3fffea00,
    0xffffffff,0x7fdc6fff,0xe86ffd83,0x3ffd01ff,0x000fff10,0xf10fff88,
    0xf88000ff,0x07ffa0ff,0xd000bff5,0x3f6003ff,0xe8002fff,0xffff51ff,
    0xffffffff,0xffd0dfff,0x0009ff90,0x3fffffea,0xffffffff,0x1ffe806f,
    0x407ff900,0x64002ffe,0x3ffa03ff,0x017fee02,0x803ffe20,0x3fa03ffc,
    0x3ffea02f,0xffffffff,0x3006ffff,0x5c009fff,0x263ec2fe,0x3ffa06ff,
    0x27ffe602,0x99999999,0x403ff419,0x0ffee7fe,0xfd13ffe2,0x3fea003f,
    0x5dff5005,0xfffb9755,0x3bfea007,0x99999999,0x7dc09999,0x4fff883f,
    0xfe80fff4,0x01fff01f,0x23ffcc00,0x20000fff,0x7ff47ff9,0x002ffd41,
    0x8800fffc,0xd0005fff,0x3bfea3ff,0x99999999,0xfe809999,0x004ffc87,
    0x333dff50,0x33333333,0x3ffd0013,0x803ffe00,0x7c005ffb,0x3fee00ff,
    0x017fee05,0xf01ffe60,0x7fdc01ff,0x27bfea05,0x99999999,0xf8800999,
    0x7dc005ff,0x3ee3ec4f,0x9fff504f,0xfb999999,0x7f4000ff,0x2e7fe807,
    0xfff503ff,0x800fff43,0xf5005ffa,0x7ffcc0bf,0x05ffa805,0x03ffb800,
    0x7f43fff5,0x03ffd01f,0x80007ff6,0x7fec6ffa,0x3fea0001,0x260fff46,
    0xff8006ff,0x3ff6000f,0x3ffd0002,0x00017fea,0x7fe43ff4,0xbff50004,
    0x3fa00000,0xfffa801f,0xeeeeeeee,0xf5000fff,0xddddddff,0x201fffdd,
    0xa8005ffb,0x3fea06ff,0xeeeeeeef,0xf500fffe,0x200000bf,0x4000effe,
    0x23ec7ff9,0xffd03ffe,0xffffffff,0x4000ffff,0x7ff807fe,0xfd80ffee,
    0x007ffa6f,0xa802ffd4,0x7fcc05ff,0x2ffd405f,0x1ffdc000,0x7f4dffb0,
    0x03ffd01f,0x8000ffee,0x7fdc4ffd,0x3ff60003,0x260fff44,0x7c4006ff,
    0x3f6000ff,0xffd0002f,0x0017fea3,0x7e43ff40,0xff50004f,0x3a00000b,
    0xffd801ff,0xffffffff,0xb004ffff,0xffffffff,0x09ffffff,0x20017fee,
    0x3f605ffc,0xffffffff,0x504fffff,0x00000bff,0x0003fff9,0x27d8fffa,
    0xfa80fffa,0xffffffff,0x007fffff,0xf101ffa0,0x01ffdcff,0x3fa9fff1,
    0xbff5001f,0x017fea00,0xa80fffea,0xb80005ff,0x3fe203ff,0x203ffd4f,
    0xff301ffe,0xff30001f,0x0fff983f,0x1fff9800,0x3e20fff4,0x3e6000ff,
    0x7fec007f,0x3ffd0002,0x00017fea,0x7fe43ff4,0xbff50004,0x3fa00000,
    0x7ffc401f,0xeeeeeeee,0x8807ffee,0xeeeeefff,0x7ffeeeee,0x000bff70,
    0x3e209ffb,0xeeeeeeff,0x07ffeeee,0x0000bff5,0x002fffa8,0x273ffea0,
    0x3fffd9fd,0x3337ffd0,0xff533333,0x7ff4000f,0xb9ffe600,0x7fd403ff,
    0x001ffe9f,0x2a00bff5,0xff9005ff,0x17fea03f,0x0ffee000,0xfd3fff50,
    0x07ffa03f,0x8004ffe8,0xffd06ffe,0xdffd0009,0xfd03ffd0,0x7fe4005f,
    0x17fec005,0x51ffe800,0x20000bff,0x4ffc87fe,0x0bff5000,0x3ffa0000,
    0x027fdc01,0xb805fff0,0x3fe004ff,0x05ffb82f,0x80fffcc0,0x3e004ffb,
    0x5ffa82ff,0x3fe60000,0xfa80004f,0xffffffff,0x0fff304f,0x001ffe60,
    0x2e01ffd8,0x0ffee7ff,0x3fbbff60,0xbff5001f,0x017fea00,0x4077ff44,
    0x80005ffa,0xfd803ffb,0xd01ffeef,0x7fcc03ff,0x3ff2003f,0x7fff301f,
    0x0fffe400,0x7e40fff4,0xff8801ff,0x7fec003f,0x3ffd0002,0x00017fea,
    0x7fe43ff4,0xbff50004,0x3fa00000,0x0fff401f,0x80dff900,0x32001ffe,
    0x5ffb86ff,0x02fff400,0x64003ffd,0x5ffa86ff,0xffd10000,0x6d40000b,
    0x2effffff,0x400fff60,0x20007ff9,0xff506ffc,0x01ffdcff,0x7fffffc4,
    0x0bff5001,0x8017fea0,0xfa84fff9,0xfb80005f,0xfff8803f,0xffd01fff,
    0xdfffc803,0x3fffa200,0x6fffe403,0x3fffa200,0x103ffd03,0x5403dfff,
    0xd8006ffe,0xfd0002ff,0x017fea3f,0x643ff400,0xf50004ff,0x200000bf,
    0x3e601ffe,0x7fc4006f,0x0dff301f,0x41fff880,0x2e005ffb,0xff301fff,
    0xfff8800d,0x002ffd41,0x006ffd80,0x2bfa6000,0x07ffcc00,0x007ff980,
    0x2f7ffe20,0x7feffca9,0x5400ffee,0x001fffff,0x2a00bff5,0x7ec005ff,
    0x2ffd41ff,0x1ffdc000,0xfffffa80,0x003ffd01,0x59bffff9,0x9ffffb95,
    0x3ffff200,0xffdcaacd,0x3ffa04ff,0xfffff701,0xfffd977b,0xffb0005f,
    0x3ffa0005,0x000bff51,0x3f21ffa0,0xff50004f,0x3a00000b,0x3ff201ff,
    0x4ffd8003,0x0007ff90,0xffb89ffb,0x7ff54405,0x0fff204f,0x513ff600,
    0x50000bff,0xdddddfff,0xdddddddd,0x0fb005dd,0x8013ff60,0xeeeefff9,
    0xeeeeeeee,0x3ffffee1,0x27fcafff,0x36003ffb,0x5001ffff,0x3ea00bff,
    0x7fc4005f,0x77ffd46f,0xeeeeeeee,0xf71eeeee,0x7fec007f,0x3ffd01ff,
    0x3fffea00,0xffffffff,0x7ffd4002,0xffffffff,0x0fff402f,0xffffff70,
    0x03ffffff,0x00bff600,0xfa8fff40,0xeeeeeeff,0xeeeeeeee,0x3f21ffa1,
    0xeeeeeeef,0xf51eeeee,0xddddddff,0xdddddddd,0x00fff403,0x50003fff,
    0x3ffe0fff,0x7ffa8001,0x7777ffdc,0xfffffeee,0x0fffc04f,0x23ffd400,
    0xeeeefffa,0xeeeeeeee,0xffff51ee,0xffffffff,0x05ffffff,0xff300fb0,
    0x7fcc001f,0xffffffff,0x541fffff,0x91dffffe,0x01ffdcff,0x03ffff10,
    0x4017fea0,0xa8005ffa,0x3fea3fff,0xffffffff,0x1fffffff,0x44007ff7,
    0xfd01ffff,0x75c4003f,0x2effffff,0x3fae2000,0x02efffff,0x9803ffd0,
    0xfffffffc,0x360000be,0xfd0002ff,0x3fffea3f,0xffffffff,0x3a1fffff,
    0xffffc87f,0xffffffff,0xffff51ff,0xffffffff,0x403fffff,0xff501ffe,
    0x7ffc000d,0x0037fd43,0x7dc7fff0,0xffffffff,0x403fffff,0x20006ffa,
    0x3fea3fff,0xffffffff,0x1fffffff,0xfffffff5,0xffffffff,0x53005fff,
    0x009ffb00,0xffffff98,0xffffffff,0x0033101f,0x5000ffee,0x2a003fff,
    0xff5005ff,0x3ff6000b,0xfffff50f,0xffffffff,0x3ee3ffff,0x7fd4003f,
    0x03ffd01f,0x26aa6200,0x4c400000,0x740009aa,0x266001ff,0x000009aa,
    0x20005ffb,0xfff51ffe,0xffffffff,0x43ffffff,0xfffc87fe,0xffffffff,
    0xfff51fff,0xffffffff,0x03ffffff,0xfd80fff4,0x3f20003f,0x01ffec6f,
    0x5cdff900,0xffffffff,0xb002cdef,0x640007ff,0x3ffea6ff,0xffffffff,
    0x01ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000e664c,
    0x00799900,0x01999500,0x07997000,0x07ffc800,0x06664c00,0x13101980,
    0x05550aaa,0x15542aa8,0x05ddd000,0x85b93000,0x710001ec,0x01f5417b,
    0xffffffb0,0x98005fff,0x06aa60aa,0x20aaa800,0x00000aaa,0x00000f66,
    0x3a600000,0x220000ee,0xffffffff,0xccc9806f,0x02cccccc,0x00000080,
    0x00000000,0x00006620,0x0376c000,0x000bffb0,0x007ffd40,0xbffff300,
    0xdffb0000,0x7ffc8000,0x3ffe2000,0x03fb006f,0x83ffe3fb,0xff100ffe,
    0x003ffc4d,0x0007fff0,0xdfffffb8,0xf30007fc,0xff9dffff,0x7ffec003,
    0x02ffffff,0xf71ffe40,0x7f40007f,0x007ffa0f,0x36df5c00,0x3ffe6000,
    0x05ffffff,0x03fff500,0x7fffc400,0x806fffff,0xfffffffb,0xed9804ff,
    0x00beffff,0x7f6dcc00,0x8000ceff,0xfd0005fc,0xfdb50009,0xd003bdff,
    0x7f4400ff,0x2e00000f,0xd10004ff,0x009ff7ff,0x006ffd80,0x003ffe40,
    0xbff7ffd0,0x223df300,0x83ffe5fb,0xff100ffe,0x003ffc4d,0x0007fff0,
    0xffebbfe8,0xf90004ff,0xfffffb5b,0xaaaa9800,0x000aaaaa,0xff71ffe4,
    0x7ff40007,0x0007ffa0,0x005d0fc0,0x7ffffcc0,0x0005ffff,0x0003fff5,
    0x55555544,0xea802aaa,0xeeeeeeee,0x3fffaa03,0x4fffffff,0xfffc8800,
    0xdfffffff,0x0bff9000,0x800df900,0xffffffea,0x3a02efff,0x7fc4007f,
    0x7ec00004,0xffd8000f,0x0005ff93,0x00037fec,0x4001332a,0x7ff94ffc,
    0xfffffb00,0xb0776c3f,0x3ba201dd,0x0017ba25,0x0002eee8,0x3b7117a2,
    0x1076c000,0x000005b5,0x1775c000,0x40005dd5,0x3bb20eed,0x0f880000,
    0xa88000f6,0xaaaaaaaa,0xddd30002,0x00000001,0x3ee00000,0xfdceffff,
    0x000effff,0x9dffffd3,0x3ffffffb,0x2ffff540,0x007fea00,0xeeffffb8,
    0x3fffffec,0x5000ffd0,0x800001bd,0x74c002ed,0x037b625e,0x00000000,
    0x17ba6000,0xb5001ddb,0x000017df,0x00000000,0x00000000,0xdd500000,
    0x3ddb0009,0x00000000,0x64000000,0x0000fa9d,0x00000000,0x7ddb0000,
    0x0eed8000,0x0f7ffe40,0x7fffe544,0x7fffd400,0xffff9302,0xfb9ff303,
    0x1ffc400b,0x3bfff500,0x13fff660,0x00001ffa,0x00000000,0x6dc40000,
    0x0acdfffe,0x20ab9800,0x00000198,0x3bb60000,0xeeeee980,0xeeeeeeee,
    0x3ba64eee,0xeeeeeeee,0x04eeeeee,0x003eed80,0x4002f754,0xbff50eec,
    0x23ffd000,0x0000deec,0xd8007ddb,0x800003ee,0x4004fff9,0xeeeeeee9,
    0xeeeeeeee,0xeeeed84e,0xeeeeeeee,0x54006eee,0x40006fff,0x3e601ffe,
    0xff5004ff,0x7ffc40bf,0xfff9800d,0xfc864c0e,0x017f6005,0x005fff88,
    0xfe83fff7,0x1f76c007,0x3bbba600,0xeeeeeeee,0x3b24eeee,0x9100000e,
    0xffffffff,0xb3005fff,0x71bfffff,0x13ba63ff,0x407bb600,0x7f400eed,
    0xffffa81f,0xffffffff,0x3ea5ffff,0xffffffff,0x5fffffff,0x37ffd400,
    0x0fffee00,0x2a3ffd00,0xfe8005ff,0x0bfff11f,0x01dff900,0x037ffd40,
    0x7ffd4000,0x7ffd4006,0xffffffff,0xf85fffff,0xffffffff,0x7fffffff,
    0x7fffec00,0x3ffa0002,0x013ffa01,0x207fff70,0x54006ffc,0x7e404fff,
    0x01ff7005,0x0037fdc0,0xffd1bff2,0x37ffd400,0x3fffea00,0xffffffff,
    0x3fa5ffff,0xe980000f,0xdcdfffff,0x00dfffff,0xffdffff3,0x2a3ff9df,
    0xfe8005ff,0x03ffd01f,0xfa81ffe8,0xffffffff,0x5fffffff,0x3fffffea,
    0xffffffff,0x7ec005ff,0x2e002fff,0x2001ffff,0xbff51ffe,0x43ffd000,
    0x2002fffb,0x4001fff9,0x002ffffd,0x7fffec00,0x3ffea002,0xffffffff,
    0xf85fffff,0xffffffff,0x7fffffff,0x3f3fe200,0x3fa0005f,0x1fff501f,
    0x0fff9000,0x0003fff3,0x6401fff7,0x2ff9805f,0x01fff400,0xe8bffe20,
    0x3ff6007f,0x3ea002ff,0xffffffff,0x5fffffff,0x00003ffa,0x017ffff3,
    0x217fff22,0x260cffe8,0xf51ffffe,0xffd000bf,0x007ffa03,0xff503ffd,
    0xff50000b,0x1000000b,0x00bff9ff,0x037fffdc,0x3ea3ffd0,0xffe8005f,
    0x007ffec1,0x4004ffe8,0x05ffcff8,0x33fe2000,0x3ea005ff,0x0000005f,
    0x017ffe20,0xffd9ffb8,0x3ffd0000,0x000fff60,0x7e41fff8,0x3fa0005f,
    0x017f203f,0x4c0013fa,0xffb8000b,0x4401ffa5,0x005ffcff,0x00017fea,
    0x00003ffa,0x2003dffd,0x7ec1fffa,0xfffd103f,0x0017fea3,0x7f407ffa,
    0x0fff401f,0x0002ffd4,0x0002ffd4,0x6cffdc00,0xff7000ff,0x3a007fff,
    0x0bff51ff,0x883ffd00,0xfc804fff,0xffb8006f,0x0000ffd9,0xffb3ff70,
    0x17fea001,0x44000000,0x74006ffe,0x007ff56f,0x2207ffa0,0x20000fff,
    0x7fec4ffe,0x3ff20002,0x9017f206,0x000000df,0xfe9ffea0,0xb3ff7007,
    0x3ea001ff,0xfe80005f,0x3f20000f,0x7dc000ff,0x01bfe24f,0x3ea3fff5,
    0xffe8005f,0x803ffd01,0xffa81ffe,0xffa80005,0xe8000005,0x007ff56f,
    0x3fffbfee,0x51ffe801,0xfd000bff,0x3fff703f,0x00fffcc0,0xffab7f40,
    0xdfd00003,0x5400ffea,0x000005ff,0x01fffb00,0xf8a7fcc0,0xffd0007f,
    0x00fff303,0x7c6ffc80,0x2e0001ff,0x17f207ff,0x0001ff98,0xfff10000,
    0x7401ffa1,0x007ff56f,0x00017fea,0x80003ffa,0x88002fff,0x5ff50fff,
    0x2a3ffd00,0xfe8005ff,0x03ffd01f,0xfa81ffe8,0xfa80005f,0x4000005f,
    0xfff14ff9,0x36ffee00,0xffe806ff,0x000bff51,0x3f603ffd,0x13ffa06f,
    0x453fe600,0x980007ff,0x0fff14ff,0x0017fea0,0x3ff20000,0x7fec001f,
    0x000bff62,0x3ea07ffa,0x7dc0006f,0x03ffe27f,0x0fff9800,0x3e20bf90,
    0xcc98003f,0xcccccccc,0xcccccccc,0x0ffd1fff,0x3e29ff30,0xbff5007f,
    0x1ffd0000,0x2a00dd4c,0x2a0006ff,0x007ff20b,0x7fd47ff6,0x1ffe8005,
    0xe803ffd0,0x5ffa81ff,0x5ffa8000,0x7ec00000,0x00bff62f,0x3fe2ffee,
    0x8fff404f,0xe8005ffa,0xfff101ff,0x00dff709,0xfd8bff60,0x7ec0002f,
    0x00bff62f,0x00017fea,0x7fff7000,0x47ff8800,0xe8005ffa,0x5ffb81ff,
    0x3ffcc000,0x8000fff3,0xf901fff8,0x0017f60b,0x7fffffd4,0xffffffff,
    0x2fffffff,0xffb00ffd,0x4017fec5,0x80005ffa,0xfff98ffe,0xffb05fff,
    0xfd800009,0x1ffc800f,0xd000bff5,0x3ffa03ff,0x40fff401,0x80005ffa,
    0x00005ffa,0xf51ffe20,0x7ff700bf,0xe807ffea,0x0bff51ff,0x403ffd00,
    0x3e61fffb,0xf88001ff,0x02ffd47f,0xa8fff100,0xffa805ff,0x20000005,
    0x8004fff9,0xfff84ffb,0x0fff4000,0x0002ffdc,0xffa9ffe6,0xfff80006,
    0xf7013101,0x5797101f,0xffffff50,0xffffffff,0x5fffffff,0xff101ffa,
    0x805ffa8f,0x80005ffa,0xffffcffe,0xff85ffff,0x7400003f,0xffb800ff,
    0x000bff51,0x3fa03ffd,0x0fff401f,0x0002ffd4,0x0002ffd4,0xf09ff700,
    0xffb801ff,0xe81bff63,0x0bff51ff,0x803ffd00,0x3ff66ffd,0x9ff70003,
    0x0001fff0,0x3fe13fee,0x2ffd400f,0xf8800000,0xfd0006ff,0x09ff903f,
    0xb81ffe80,0x540006ff,0x1ffe26ff,0x1fff1000,0x42ff8800,0x6ffffff9,
    0x4ccfffcc,0x99999999,0x1ffe9999,0xffb80ffd,0x400fff84,0x80005ffa,
    0x31cffffe,0xff89fff9,0x6c00001f,0xffc801ff,0x000bff51,0x3fa03ffd,
    0x0fff401f,0x66677fd4,0xcccccccc,0x677fd43c,0xcccccccc,0xfd003ccc,
    0x09ff903f,0x3e23ffb8,0x3ffd04ff,0x20017fea,0x7c401ffe,0x05ffaaff,
    0x207ffa00,0xd0004ffc,0x9ff903ff,0xcceffa80,0xcccccccc,0xfe8003cc,
    0xf98000ff,0x0fff306f,0xa81ffe80,0x5c0007ff,0x07ffc5ff,0x0fff3000,
    0xfd0bfd00,0x85ffb57d,0x20000fff,0x0ffd0fff,0xfc81ffe8,0x77fd404f,
    0xcccccccc,0x7f43cccc,0xbff502ff,0x0007ffc4,0x00bff200,0x7fd47ff6,
    0xffffffff,0xffffffff,0x803ffd01,0xffa81ffe,0xffffffff,0x546fffff,
    0xffffffff,0x6fffffff,0x306ff980,0xffb80fff,0x40fffd43,0xbff51ffe,
    0x03ffd000,0xffffff70,0x3fe60001,0x00fff306,0x260dff30,0x7fd407ff,
    0xffffffff,0x006fffff,0x000fffe4,0x3a03ffc8,0x3fa002ff,0x0fff981f,
    0x0fff2000,0x40003ffb,0x64006ffa,0x07fd40ef,0x3fff1bfa,0x9ffe6000,
    0x3fe607fe,0x80fff306,0xfffffffa,0xffffffff,0x2027ff46,0x1ffe66ff,
    0x3ffffea0,0xff75ffff,0x1fff8809,0xfffffff5,0xffffffff,0x3fa03fff,
    0x0fff401f,0x7fffffd4,0xffffffff,0x7fffd46f,0xffffffff,0xfc806fff,
    0x0bffa03f,0xfd83ffb8,0x51ffe86f,0xfd000bff,0x3ff6003f,0x320002ff,
    0x3ffa03ff,0x1ffe4002,0x5405ffd0,0xffffffff,0x6fffffff,0x0fffee00,
    0x00fff800,0xe8017fee,0x5ffd01ff,0x17ff4000,0x8000ffee,0x26004ffd,
    0x7ec001ff,0x001fff44,0x3fa6ffa8,0x80fff207,0x3ea02ffe,0xffffffff,
    0x46ffffff,0x7f402ffe,0x003ffe27,0xfffffff5,0x07ffcbff,0x2a3fff90,
    0xeeeeefff,0xfeeeeeee,0x3ffd01ff,0xa81ffe80,0x99999eff,0x09999999,
    0x4ccf7fd4,0x99999999,0x0fff8009,0xb817fee0,0xfff883ff,0xfa8fff44,
    0xfff8005f,0xbfff1001,0x0fff8000,0x0017fee0,0x7dc01fff,0x3bfea05f,
    0x99999999,0x30009999,0x40009fff,0xeeeefffa,0x0fffeeee,0x203ffd00,
    0x04c06ffb,0x2607ffdc,0x98000fff,0xd1001fff,0xffa8009f,0x0037fdc1,
    0x3fa3ffe8,0x803ffe07,0x3ea05ffb,0x999999ef,0x40999999,0x7ec01ffe,
    0x007ffe0f,0xddddddd3,0x77fdcbff,0x1ffffb80,0xd000bff5,0x3ffa03ff,
    0x40fff401,0x80005ffa,0x00005ffa,0xeeefffa8,0xfffeeeee,0x207ff700,
    0x3fa1fffa,0x00dff31f,0x4001fff0,0x20002ffd,0xeeeefffa,0x0fffeeee,
    0xddfff500,0xffdddddd,0x17fea01f,0x7fc40000,0x7ec0005f,0xffffffff,
    0x004fffff,0x3e203ffd,0x33f603ff,0x207fff10,0xe8004ffe,0x3f6006ff,
    0x2ffdc006,0x4003ffe8,0x3ff47ffb,0xeeefffa8,0xfffeeeee,0x00bff500,
    0x801ffd00,0x3ffa0ffd,0x3fea0003,0x5effff45,0x1fffffec,0xd000bff5,
    0x3ffa03ff,0x40fff401,0x80005ffa,0x00005ffa,0xffffffd8,0xffffffff,
    0x407ff704,0x3ffa6ffd,0x800dff31,0x2000fff8,0x20002ffd,0xfffffffd,
    0x4fffffff,0xfffffb00,0xffffffff,0x17fea09f,0x7ff40000,0x3e20000e,
    0xeeeeeeff,0x07ffeeee,0x5c03ffd0,0xfff02fff,0x40dffb9f,0x2003fff9,
    0x5001fffc,0x7ec001ff,0x3ffee04f,0x7fff3001,0xffb07fe8,0xffffffff,
    0x2a09ffff,0xe80005ff,0x7fec00ff,0x0017fee0,0xfc85ffa8,0xdaffffff,
    0x0bff50ff,0x203ffd00,0x7f401ffe,0x05ffa81f,0x05ffa800,0x7ffc4000,
    0xeeeeeeee,0xf707ffee,0x7ffc407f,0x3e23ffd4,0x3e6000ff,0x7fec007f,
    0xfff10002,0xdddddddd,0x100fffdd,0xdddddfff,0xfffddddd,0x0017fea0,
    0x07fff200,0x09ff7000,0x4017ffc0,0x7ec01ffe,0xffd704ff,0xfc801fff,
    0x3a200dff,0xf1003fff,0x3fa2007f,0xfffe802f,0x7fffdc03,0x7c43ff40,
    0xeeeeeeff,0x07ffeeee,0x0000bff5,0xfd801ffd,0x07ffe20f,0x82ffd400,
    0xb0cdfeca,0x17fea1ff,0x407ffa00,0x7f401ffe,0x05ffa81f,0x05ffa800,
    0x27fdc000,0x705fff00,0xffa807ff,0x3a1ffe9f,0x3f2002ff,0x7fec005f,
    0x9ff70002,0x017ffc00,0xf8013fee,0x5ffa82ff,0x7fd40000,0xfe80002f,
    0x3ff2001f,0x01ffe806,0x6f7ffec4,0xfffecaab,0xffc800df,0xdcaacdff,
    0x2004ffff,0xfd1005fd,0x3f62003d,0xca9aceff,0xe80efffe,0x04ffb87f,
    0x2a0bffe0,0xe80005ff,0x7fec00ff,0x0037fec0,0x0005ffa8,0x2ffd4ffd,
    0x80fff400,0x7f401ffe,0x05ffa81f,0x05ffa800,0x0fff4000,0x70dff900,
    0xffb007ff,0x7e43ffdd,0xff8801ff,0x7fec003f,0x3ffd0002,0x037fe400,
    0xc8007ffa,0x5ffa86ff,0x3fe60000,0xf980004f,0x7fc4006f,0x0fff401f,
    0xfffffb80,0xffffffff,0xffa803ff,0xffffffff,0x3ee002ff,0xffe8800f,
    0x402aaaab,0xfffffffc,0x3a04ffff,0x01ffe87f,0x2a1bff20,0xe80005ff,
    0x7fec00ff,0x06fffc40,0x2bffd300,0x7c4009b8,0x017fea6f,0x7407ffa0,
    0x7ff401ff,0x005ffa81,0x005ffa80,0x01bfe600,0xb83fff10,0xff8803ff,
    0x3e21ffff,0x3aa01eff,0xfd8006ff,0xff98002f,0x7ffc4006,0x00dff301,
    0x541fff88,0x100005ff,0x0000bffd,0x2000fff2,0x7f404ffd,0x3ee2001f,
    0x2dffffff,0x803dfff7,0xfffffeb8,0x7cc002ef,0xfff9001f,0x00ffffff,
    0xfffffd95,0x2600059d,0x7c4006ff,0x2ffd41ff,0x07ff4000,0x2a03ff60,
    0x200befff,0x14ffffc9,0xffc80dff,0x0017fea4,0x7f407ffa,0x0fff401f,
    0x0002ffd4,0x0002ffd4,0x0007ff90,0xffb89ffb,0xffff5003,0xffffb83f,
    0xffecbbdf,0xfd8002ff,0xffc8002f,0x4ffd8003,0x0007ff90,0xffa89ffb,
    0xffb00005,0x7fc0000d,0xffa8001f,0x00fff407,0x01aa9880,0x4003ff91,
    0x0009aa98,0x64009fd0,0xcccccccc,0x01a98004,0x07ff9000,0xa89ffb00,
    0xe80005ff,0x7fec00ff,0xfffff700,0xfffb97bf,0xfff85fff,0x43fff502,
    0xe8005ffa,0x3ffd01ff,0xa81ffe80,0xeeeeefff,0xeeeeeeee,0xddfff51e,
    0xdddddddd,0xff83dddd,0xffa8001f,0x001ffdc7,0x703ffffb,0xffffffff,
    0x0003ffff,0x2000bff6,0xa8001fff,0x3fff07ff,0x8fff5000,0xeeeefffa,
    0xeeeeeeee,0xdfff51ee,0xdddddddd,0x45dddddd,0x20006ffa,0x3fa03fff,
    0x0000001f,0x00000093,0x00000000,0x20000000,0xa8001fff,0x7ffd47ff,
    0xeeeeeeee,0xd1eeeeee,0xffd801ff,0x3fffa600,0xffffffff,0xffff504f,
    0x3ffffb7b,0x8005ffa8,0xffd01ffe,0x81ffe803,0xfffffffa,0xffffffff,
    0xffff51ff,0xffffffff,0x543fffff,0x3e0006ff,0x0ffee3ff,0x1ffff880,
    0xfffff930,0x00017dff,0x20017fec,0x20006ffa,0x7fd43fff,0x3ffe0006,
    0x3ffffea3,0xffffffff,0xff51ffff,0xffffffff,0xffffffff,0x001ffec5,
    0x740dff90,0x000001ff,0x00000000,0x00000000,0x54000000,0x3e0006ff,
    0x3ffea3ff,0xffffffff,0xd1ffffff,0xffd801ff,0xfffc9800,0x00cdffff,
    0x7fffffdc,0xffa81fff,0x1ffe8005,0xe803ffd0,0xfffa81ff,0xffffffff,
    0x51ffffff,0xffffffff,0xffffffff,0x01ffec3f,0x5cdff900,0x7d4003ff,
    0xa99801ff,0xb000009a,0xfd8005ff,0x3f20003f,0x01ffec6f,0x54dff900,
    0xffffffff,0xffffffff,0xfffff51f,0xffffffff,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00fff600,0x2a6ffc80,0xffffffff,
    0xffffffff,0x801ffd1f,0x44000ffd,0x880009a9,0x09bdfedb,0x000bff50,
    0x3fa03ffd,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00133000,0x4c000000,0x00000001,0x4c000000,0x00000009,0x0eeea800,
    0x99800000,0x00000000,0x00000000,0x04cc0000,0x00000000,0x000014c0,
    0x00000000,0x31019880,0x98000001,0x80000000,0xeea80029,0x0037b625,
    0x012e0791,0x3ffaa000,0x5cc000de,0x8001defd,0x4c000efb,0x3defffec,
    0x80ff3000,0xbdefedb9,0x3bbbbb60,0x3eeeeeee,0x40017f20,0x44000efb,
    0xcdfffedb,0x3fa0000a,0xfeb8003f,0xfd00ceff,0xdb500007,0x0039dfff,
    0x3ffb6a00,0xa8001cef,0x5001dffe,0x260001ff,0xbdeffedb,0x413fee00,
    0x000feee8,0x77ff6dcc,0x3ba600ac,0x7fff65c4,0xfb8000ce,0x2007ff07,
    0xdefffec9,0x40ff440c,0x2effecb8,0x3fbba000,0x9ffec001,0xfb002ffc,
    0x7005fa85,0xfffd8809,0x1002ffff,0x1fffdfff,0x00ffcc00,0xfffffd30,
    0x007fffff,0x3ee05fc8,0xffffffff,0xffffffd1,0x09ffffff,0x20017ff2,
    0x22001ff9,0xfffffffc,0x8002ffff,0x4c005ffa,0xfffffffe,0x005fb83f,
    0xfffff910,0x05dfffff,0xffff9100,0x5dffffff,0x3ffff200,0x3fe803ff,
    0xfffd8800,0xcfffffff,0x704ffb80,0xf900264b,0xffffffff,0x5bfea05f,
    0xffffffea,0x64002fff,0x01ff885f,0x7fffff4c,0xd13fffff,0xffff10df,
    0x001dffff,0x0012e5b8,0x9ff7ffd1,0x66ffcc00,0x74401ffd,0x77fec04f,
    0x00fffebb,0x3fe25fd8,0x09fd1004,0x77fffdc0,0xffffeccd,0x40ffa004,
    0xcbeffffc,0xffe9fffe,0xffffffff,0x7ff544ff,0x7f44005f,0x3ffa6004,
    0xffdcdfff,0x2000dfff,0x22000efe,0xfcadffff,0x7fcc2fff,0x7ff4c000,
    0xfb730ace,0x74c009ff,0x730aceff,0x9809fffb,0xffd88dff,0x001fea00,
    0x3bffffa6,0xefffffdc,0xd827fdc0,0x36201a63,0xeddeefff,0xfa83ffff,
    0xdffffaef,0x1fffffdc,0x2a0ffa00,0x3fea00ff,0xfeccefff,0x0efeefff,
    0x567fff44,0x4005fffd,0x2001a63d,0x006ffff9,0x3efffeb8,0x204ff980,
    0xffd87ff9,0x740a9803,0x0dfb005f,0x0efffdc0,0x03fffc88,0xfc81ff88,
    0xffa80cff,0x30007fff,0x00bfb9ff,0x26006fc8,0x100bffff,0x200bfff9,
    0x74001cc8,0xffb80dff,0x0017fc0f,0x2001bff5,0x5400effa,0xf5000dff,
    0x1bf201df,0x3fe813fa,0x77ffd400,0xffff7302,0xa81fd4c3,0xfb009b0e,
    0x3f2205df,0x7ffd43ff,0xf980adff,0xf8800eff,0x206fc82f,0x202ffffb,
    0x80fffffc,0xff883ffe,0x43aa000f,0x9950004c,0x54c00019,0x13fe6000,
    0xfa84ffb8,0xfc98005f,0x0ffa801f,0x09fff300,0x003fff20,0xfff10df5,
    0xffff980b,0x21930007,0x3ea005fc,0x3ffa000f,0xfff5001e,0x44000003,
    0x3fa01fff,0x8027ec2f,0x88003ff9,0x3fe605fe,0x5fe88003,0xdf909fd0,
    0x1001fea0,0x3001bfff,0x7cc1ffff,0x03bff601,0x2007ffe0,0x7fd46ffb,
    0xfe8806ff,0x0ff9805f,0xff304fd8,0xff1001bf,0x0dff10df,0x20017fe4,
    0x0000effd,0x00000000,0x7dc09ff3,0x04ffa83f,0x007ffcc0,0xd001ffc4,
    0xfe8009ff,0x427ec04f,0xc800effb,0x00007fff,0x3e200bf9,0x3ff2003f,
    0x7fdc000f,0x55dcc404,0x3ea0fe20,0x2ffdc06f,0x3a201bee,0x2666664f,
    0x20ffe201,0xba884fe8,0x3ff880bd,0x7fb83ff8,0xc8007fd0,0x7cc006ff,
    0x003ee4ff,0x3fea0031,0x83ffa005,0x000efffa,0xb803fff5,0x207ff07f,
    0x2e005ffe,0x7d43ffff,0x07ff204f,0x00006200,0x00015753,0x01359531,
    0x4effd4c4,0x437fcc09,0x4c001ffc,0x6c02efec,0x3fe6005f,0x7fd4000f,
    0x7c17fc07,0xff1001ff,0x320000ff,0x0bfb005f,0x002fff80,0x880fff88,
    0xdffffffd,0xffc84fea,0x4409a803,0x37dc00ff,0xfffffff1,0x70ff505f,
    0xffff70df,0x7fa81dff,0x7fb83ff8,0x44006fb8,0xa8002fff,0x22fc8fff,
    0x19880198,0x70027fdc,0x7ffd47ff,0x1fff4002,0xdfb33331,0x7ff53333,
    0x0fffcc33,0xffdffa80,0xd01ffd47,0xa98800ff,0x320009ac,0x1effffff,
    0xffffe980,0xfa80dfff,0x83ffffff,0x3fee4ffe,0x3fdc0006,0x4001ff70,
    0x50004ffc,0x40ff9803,0x64006ffa,0x900007ff,0x1ff700bf,0x037fd400,
    0xf5017500,0xffffffff,0x3fee0bff,0x1ff40004,0xff887fa0,0x2ffdcbaa,
    0x0ff42fe8,0x2a26ffea,0x42fe86fd,0x86fc84fe,0x7e4002ff,0x3fa0005f,
    0x3ff42fff,0x3e63ff40,0x2062007f,0x4000fffa,0x3ff26ffb,0xffffffff,
    0x27ffffff,0xf3004ffc,0xb8fffe7f,0x7ff702ff,0x3fffa600,0x200dffff,
    0xfeffffe9,0x3f203fff,0xfffeffff,0x7ffd40ff,0xf983ffff,0x1effdbff,
    0xff303100,0x005ff305,0x0003fff8,0x2e1bee00,0x7d4005ff,0xf900007f,
    0x02ff980b,0x0027fec0,0x6fffc400,0x0ffff6a1,0x0002ffd4,0x7fa817f2,
    0x5fc83fc4,0x1fea6fb8,0x3f603ff3,0x3f637dc3,0x7dc5fe85,0x2ffd8006,
    0x3fff2000,0xe807fe80,0x0cfff87f,0x1ffea000,0xc9ffea00,0xffffffff,
    0xffffffff,0x2007ffe7,0x3ff24ff9,0x740bfee5,0xfff9007f,0xfffffdff,
    0x877ffa01,0xa81fffb8,0x7541bfff,0x9ff304ff,0xfffff900,0x3fe2001b,
    0x7407fe42,0x7fc4004f,0x2000001f,0x3ffc83fe,0x03ffd400,0x405fc800,
    0xff8004fe,0xd800003f,0xfff304ff,0x0fff101f,0x207fa800,0x83fc45fc,
    0x0ff986fa,0x04fb8bf9,0x1ff302a2,0xff517fd4,0x8002ff83,0x20001fff,
    0xffd07ffb,0xf90ffd00,0x0017bfff,0x8007ffa8,0x26627ff9,0x9999ffb9,
    0x1199dfe9,0xe8801fff,0x737fd45f,0x7ff705ff,0x37fff500,0xb84ffea8,
    0x3fe605ff,0x203ffd86,0xff307ffb,0xffff3009,0xbff90009,0xf909ffd7,
    0xfff1000d,0x22000001,0x3ffd81ff,0x67ffcc00,0xcccccccc,0x902fe403,
    0x3fe000df,0x4c00001f,0xdfd107ff,0x3ffa09ff,0x0ffc0001,0x3fc43fd8,
    0x3ff03fd8,0x03fb0ff6,0xfd07fe00,0xb8bffddf,0xff88006f,0x3e60000f,
    0x07fe80ff,0xff707fe8,0x159dffff,0x006ffa80,0x700fff88,0x20ffe0ff,
    0x74407ff9,0x27ff986f,0x7fe82ffb,0x407ffb00,0x7fc47ffb,0x17fec00f,
    0xf880dfd1,0x09ff307f,0x7ffffec4,0xfec8000e,0x7d40dfff,0xff98001f,
    0x2a000007,0x05ffd07f,0xfffff880,0x5fffffff,0xfa82fe40,0xff88001f,
    0x5c00000f,0x3bfb03ff,0x7ffccbff,0x3fffffff,0x7413f600,0x667fc41f,
    0xb00fffdc,0xff07fa5f,0x0bf60001,0x113ffff6,0xf30005ff,0xf88000ff,
    0x07fe80ff,0x3aa07fe8,0xffffffff,0x0dff502d,0x403ffe00,0x1ff885fd,
    0x6c06ffa8,0xfff880ef,0xff05ff70,0x6fe8801f,0x2a3ffc40,0xffb804ff,
    0x1ffa0004,0xe9827fcc,0x5fffbfff,0x02aa2000,0x9700ffe2,0x007ff983,
    0x417f2000,0x44002ffe,0xffffffff,0x4405ffff,0x03ff8809,0x3fe60e5c,
    0xffffa807,0xf95fffff,0x21df705f,0x3ffe66ff,0x3fffffff,0x741bee00,
    0x7fffc40f,0x7e402eff,0x0ff81fd2,0x205f9000,0x6fb80aa8,0xa80acb98,
    0xf80006ff,0x07fe81ff,0xb9807fe8,0xfffffffe,0x006ffa83,0x3a01fff0,
    0x507fa83f,0x7fec0dff,0x21fff100,0xffd82ffb,0x7f400005,0x4ce7fdc7,
    0xfa999999,0x2e62005f,0xf980fffd,0xdfff884f,0x5c7fff70,0x6c0002df,
    0x1ffdc05f,0x00007ffc,0xfb02fe80,0xff98007f,0x9999999f,0x36000099,
    0x1ffdc05f,0x5003ffe2,0xffffffff,0x307ff6bf,0x13ff43ff,0x55fff755,
    0x7cc00355,0x443fd80f,0x1efca9ff,0x3fd8ffc0,0xf8000ffc,0xff88001f,
    0x7ffffec2,0x003ffc42,0x203ffe20,0x7fe807fe,0x7f654400,0x3ea0dfff,
    0xff88006f,0x905ff107,0x1bfe60df,0xf300ffe4,0x417fdcff,0x000efffa,
    0xfffb7310,0x7ffffe41,0xffffffff,0xfd97106f,0x1fffffff,0xfb09ff30,
    0x3fff90bf,0x80007ffa,0x3ea00ffb,0x1ffe83ff,0xff980000,0x007ff900,
    0x0007ff98,0x007fdc00,0xff07fff5,0xeee9803f,0xd5ffeeee,0x17f441ff,
    0x7fc03ffa,0x7fc0000f,0x7c45fc82,0x98077d47,0xd8bf90ff,0x30fa203f,
    0xf90001ff,0xfbdffc8d,0x07ffc1ff,0x0fff3000,0x3fa01ffa,0x7f4c0007,
    0x1bfea3ff,0x41ffe600,0x4fe80ff9,0xf70fff10,0x7ffa805f,0x7d40bfee,
    0x5c402fff,0xffffffec,0x3fff60ff,0xffffffff,0xffc87fff,0xecefffff,
    0x4ff980ff,0xe807ffcc,0x06ffafff,0x80bfe600,0xc83ffff9,0x010003ff,
    0xff7037dc,0x7ffa8009,0x3e200000,0x3ffe602f,0x03ffe83f,0x6d7fea00,
    0x213f61ff,0x1ffa07ff,0x217f2000,0x43fc47fa,0x4df705fc,0x037d47fa,
    0x06fb89fb,0x222ff880,0x237ec3ff,0x20001ffd,0xffd06ffb,0x000ffd00,
    0xfa9bff20,0xffa8006f,0x3ffbbae6,0xeffeeeee,0x3ffe5eee,0x200bfea0,
    0x3fee6ffb,0x3fffa602,0xfffff904,0x1ffd9dff,0x4ccdffe4,0x99999999,
    0x6f7ffe41,0x03ffa09b,0xff513fe6,0x7fffc40d,0x3a0003ff,0x33fe204f,
    0x4ffb83fe,0x85dfd000,0x3fea04fd,0x3ffdc005,0x9fd00000,0x7f6ff440,
    0x005ffb83,0x7e57fea0,0x3e0df73f,0x0dff106f,0x20ff5000,0x21fe21ff,
    0x3fd83ff8,0x3bf60ffc,0xb03bf260,0xdf90007f,0xffa87fb8,0x000ffee0,
    0xfd04ffd8,0x4cfff00f,0xff8003ed,0x00dff50f,0x7e4bff70,0xffffffff,
    0x7fffffff,0x7fccfffa,0x47ffb003,0xfd802ffb,0x7ffe42ff,0x3fa09bde,
    0x00ffee0f,0x02fff980,0x7cc07ffc,0x027fdc4f,0x03ffffe6,0x2037e400,
    0x307fd5fe,0xf1000dff,0x01ff81ff,0x8007ffe2,0x00007fff,0xfe80df90,
    0xff107fd5,0x3ea0003f,0xf3bff75f,0x0bff301f,0x00013fee,0x3f207fe2,
    0x7d41fe24,0x903fe60f,0xfffe889f,0x7cc2fffe,0x7fc4000f,0x7cc37e41,
    0x03ffe61f,0x07ffe600,0x3e203ff4,0x01bfe27f,0x7d47ff60,0xffc8006f,
    0x37ff32a4,0xcffdcccc,0x3fea4ccc,0x5004ff9f,0x7fdc1fff,0x4bff7002,
    0x7c02fff9,0x17fea0ff,0xfc86ae20,0x7ffc404f,0x544ff980,0xffa807ff,
    0xff30005f,0xe877ec03,0x07fff03f,0x4c5ffc80,0x4ffc807f,0x0ffff500,
    0x3ff30000,0xfe877ec0,0x00dffb03,0x7cd7fea0,0xfd02ffff,0x03bf607f,
    0x41ff4000,0x0dd12ff8,0x09fd1f6c,0xfb705ff1,0x9fd015bf,0xb0bf9000,
    0x85ff10df,0xe8005ffe,0x3ffa06ff,0xd1ffe600,0xff8003ff,0x001bfea7,
    0xf103fff1,0x00df903f,0x00bffffd,0x3ee2fff4,0x9ffe002f,0x7c404ffc,
    0x3ffe20ff,0xb27fec01,0xffb805ff,0x44ff980f,0x6c02fff9,0x4003ffff,
    0x3f203ff8,0x540ffa0f,0xf5001fff,0x05fc85ff,0x401fff98,0x007fffe8,
    0x01ff4400,0x1ff41ff9,0x00dfff88,0xd97ffa60,0xff704fff,0x007fe60d,
    0x506fb800,0xb10005ff,0x17fd40df,0x037ec400,0x640ffc40,0x41ff986f,
    0x2003fff9,0x3601fffc,0x3fee01ff,0x0077fe47,0x3ea5ffa8,0x7fec006f,
    0xd01ff506,0xfff3009f,0x7ffe400d,0x2e17fdc0,0x361ffd00,0x7fdc02ff,
    0x077fdc0f,0x321fffa8,0x3fea05ff,0x5ff980ff,0xb00effd8,0x09ffffff,
    0x3e037ec0,0xeffeeeef,0xbfffe80e,0x17ffee00,0x7ec00ffa,0xffd102ff,
    0x80000fff,0x77fc06fd,0x0eeffeee,0x0befffa8,0x3ffff260,0x2fbffe24,
    0x1fffd989,0xaa9dffa8,0x3e600401,0x09ff900f,0x007ff4c0,0x98013ff2,
    0xd8000ffe,0x50ff705f,0xfff901ff,0x7ff4401b,0x37fe403f,0x4c7fffa8,
    0x6402ffff,0x3fea2fff,0x3ffea006,0x3e0df702,0xffff002f,0x7ff4c019,
    0x32ffb82f,0xdff50bff,0xf502ffe4,0xffd01fff,0x3ff2a15f,0x67ffd44f,
    0xffff9511,0x9fff103f,0x3fffe259,0xffffca9b,0x804fffeb,0x7fc00ffa,
    0xffffffff,0xffffe880,0xffecaabe,0x00ff885f,0x2b3fff60,0xe9fffca9,
    0xeeeeeeff,0x5406eeee,0x7ffc00ff,0x0fffffff,0xffffff70,0xffffb97b,
    0xfffa85ff,0xffffffff,0xfffffa82,0xabceffff,0x2ff806fd,0x2f7ffea0,
    0x3ffb2a21,0xfff5000d,0x7654437b,0x98000dff,0x5ff301ff,0x3f206fc8,
    0xcaacdfff,0x803ffffd,0xa9bdfff8,0x987feffc,0xacdfffff,0x43ffffdc,
    0xbf906ffa,0x40dfffd7,0x1ff985fd,0xfffffd80,0xfecaabdf,0xff703fff,
    0x44effec5,0x3ea3fffb,0xf9511cff,0xb103ffff,0xffffffff,0x3fff20bf,
    0xbbffffff,0xfffb03ff,0x7fff4cbf,0x10efffff,0x4401fffb,0x3a0002ff,
    0x7fec403f,0xffffffff,0x06fa80df,0xfffffc80,0xffd2ffff,0xffffffff,
    0x7fc40fff,0x0ffa0002,0x3ffffa60,0xffffffff,0xfbaff984,0x00cfffff,
    0xfffffff3,0xffffffff,0x04fd801f,0x7fffff4c,0x03fffffe,0xffffe980,
    0x3fffffef,0x017f6000,0xffb39ffb,0xffffa805,0xffffffff,0x3ffee002,
    0xfcafffff,0xffffd107,0x5fffffff,0xf10dff50,0x0bffffff,0x7fa83ff8,
    0xfa9ffc80,0xffffffff,0x3ee01fff,0x3fffa22f,0xfc85ffff,0xffffffff,
    0x2e03ffbb,0x2efffffe,0x7ffffdc0,0x0dff10cf,0x21bfff62,0x4efffffc,
    0xfe803fb0,0x1ff40005,0xffffc980,0x3601dfff,0xfb70004f,0x743bffff,
    0xffffffff,0x3a07ffff,0x7f40005f,0x3ff26003,0x0cdfffff,0xaa987d30,
    0x139fd001,0x7ffff5cc,0x37d401df,0xffffc980,0x80002eff,0xffffffc9,
    0x7cc0002e,0x7ff4401f,0x71004fff,0xdffffffd,0x3faa0005,0xff91dfff,
    0xfffedb80,0xf501ceff,0xffd710df,0xff8809df,0x5406fc81,0x7ff5c1ff,
    0x802dffff,0x75c42ffb,0x2e03ffff,0x0cffffff,0x2600dff1,0x54c0009a,
    0x0880000a,0x4004d440,0x0077dc01,0x00072e00,0x40026a66,0x880000aa,
    0x8000000a,0x40000efb,0x310001cb,0x00400135,0x88009800,0x510009aa,
    0x02660005,0x13300000,0x27640000,0x039db700,0x26aa6200,0x33100000,
    0x0d4c0000,0x05440000,0x980aa880,0x402c801a,0x00009aa9,0x2001a880,
    0x00000aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xba881310,0x23eeb801,0xa9805ee9,0x440009bb,0x0009aca9,0x807bae00,
    0x20005eed,0x64405eec,0x26009903,0x4001bddc,0x000acdca,0x005ddd10,
    0x77545dd9,0xa8818804,0x5ddd5001,0x25eeb800,0x53003eed,0xeb800157,
    0x2000b84e,0x066209b9,0x04c81e44,0xdd51f754,0x3bba6007,0x47dd5002,
    0x64003ee9,0xa80005ee,0xd7000dee,0x880001dd,0x44000aba,0x001bddca,
    0xa8009ddb,0x0fbaa3ee,0x0a981980,0xfff9b7ec,0xd100dfff,0x07ffa3ff,
    0xfffffea8,0x7f4c01ef,0x0dffffff,0x3f225c00,0xffff902f,0xfff10009,
    0xb81fd003,0x7fec404f,0x400effff,0xfffffffa,0x7fe4000e,0x1fff1005,
    0x4401fff1,0xd8adfffc,0xfff8802f,0xff1000ff,0x03bfea3f,0xffffff90,
    0x7fdc003d,0x403ffb9e,0x4fffffd9,0x0fec0ff9,0xff7017ea,0x4027fd49,
    0x00fffff8,0x3ea4ffa8,0x3fee004f,0x7c0004ff,0x7f4003ff,0xec88003f,
    0x01dfffff,0xffffffb8,0x7fcc00df,0x3fea001f,0x2013fea4,0x89ceffd9,
    0x577ec1fe,0xffffffff,0x33bfe605,0x3fea02ff,0xffffffff,0xfffff902,
    0x01fffffd,0xfc89fd10,0xbdffa82f,0x7e4002ff,0xbff5003f,0x4401ffd9,
    0xffddfffe,0xfff700ef,0x1dfffdbf,0x03bfe200,0xfcdff980,0x77fdc01f,
    0x00ffffff,0x6ffaffe8,0x749ff700,0x3fa601ff,0xffffefff,0x3ffe6003,
    0x3e600bff,0xdfffefff,0x3fe607fc,0x401ffdcd,0x3fea4ffb,0xfaffd804,
    0x7fd400ef,0x4013fea4,0x3ffbdff9,0x09ff7000,0x01fff100,0x7ffffcc0,
    0x201fffff,0xffdffffc,0xffa806ff,0x93fea005,0xfd804ffa,0x6fffffef,
    0xadffffd8,0x04fffa88,0x013fffea,0x64c17fff,0xfffa87ff,0x27ff541b,
    0x2227fcc0,0x7ffc42fa,0x2003ffd0,0x64005ff8,0x402efffe,0xffc85ffd,
    0x0bfff986,0x401bff26,0xb8001ffc,0xd803ffff,0x5dfd732f,0x2a9ff900,
    0x5fe805ff,0xfd00ffe6,0x7fdc43bf,0xffc9801f,0x7f4400ff,0x7fffcc3f,
    0x7fff5c07,0x1aa8803e,0xf9006aa2,0x017fea9f,0x55443551,0x0fff8801,
    0xd0003ffd,0x7cc000df,0xfff1003f,0x7ffe4c3b,0x41fffb80,0xc804ffea,
    0x551000ff,0x400d5443,0xbff930ff,0x03fffb03,0x9701bfea,0x4ff98099,
    0xfb0bffa0,0x3ffdc07f,0x5427fcc0,0x3166540f,0x32600799,0x02a60004,
    0xc81bfe60,0x27fec2ff,0x9003fff0,0x65c00059,0x2033003c,0x89991000,
    0x32201ccb,0x700f2a0c,0x7fcc0bff,0x3bff6606,0x7f405ffb,0xffff103f,
    0x0002a600,0x4cc88000,0x0000e65c,0x11665400,0xc8800799,0x6540000c,
    0x09ff9003,0x7fc1fff4,0x0fff301f,0x0000b2e0,0x02013000,0x7c05ffd8,
    0x2a00007f,0x2b2603ff,0x101bfa20,0xff300fff,0x0000db09,0x00000000,
    0x2202ffd8,0x0fffc5ff,0x0007ff90,0x00000000,0x00000000,0x0fff8800,
    0x9817fec0,0x0bfee2df,0x2e037fc4,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x401fff00,0x7fd46ff9,0x00ffec03,0x00000000,0x17fec000,
    0x4c03ffa0,0x26009bba,0x00002fff,0x3103ff40,0x9133bff7,0x400cc43d,
    0x00662198,0x01988662,0x7ffc1988,0x88fff400,0x7fcc04cb,0x0aba8804,
    0x0aba8800,0x22006620,0xaba88019,0x5dcc4000,0x27fd400a,0x3027fdc0,
    0x301dfb04,0xfff007ff,0x01575300,0x98801988,0x26eea601,0xaba98000,
    0x57530000,0x2ea60001,0x7530000a,0x4ff88015,0x6fe80980,0x31099880,
    0x80331003,0x009aca98,0x4d654c40,0x803ffb00,0x7f540ffd,0x01efffff,
    0x159ffffd,0xdb988000,0xff700fff,0x117fffff,0xfe807fe8,0x3a01ffa7,
    0x201ffa7f,0x17fe27fe,0x000bfee0,0x6440bfee,0x1dfffffe,0x7fff6440,
    0x7fe81dff,0x9107fe80,0x3bfffffd,0xffffc880,0xff701eff,0x33333339,
    0x5c0bff53,0xffcefffd,0x802ffb84,0x3ff207fe,0xd01effff,0x0ffd00ff,
    0xffffffd5,0xfff9003d,0x2003dfff,0xeffffffc,0xffff9001,0x32003dff,
    0x1effffff,0x0007ff50,0x40013fe2,0x7fe807fe,0xfffffd30,0xe9801bff,
    0xdfffffff,0x2007fec0,0x3fea1ffd,0xffffffff,0xffffe882,0x4400beff,
    0xfffffecb,0xff700fff,0x207fffff,0x7fe807fe,0x3fa01ffa,0x3a01ffa7,
    0x013fea7f,0x10013fea,0xff301ffd,0xffffffff,0x3fffe603,0x41ffffff,
    0x7fe807fe,0xffffff98,0xf501ffff,0xffffffff,0xffff907f,0xffffffff,
    0xffb10dff,0xffffffff,0x801ffd83,0xffe987fd,0x3ffffeff,0xfe807fe8,
    0x7ffffd47,0x302fffff,0xffdffffd,0x7f4c07ff,0xffffefff,0x3fffa603,
    0x03ffffef,0x3bffffa6,0xfb83ffff,0xff30002f,0xfe803305,0xc87fe807,
    0xffefffff,0xff900fff,0xffffdfff,0x007fec1f,0xfff87ff6,0x1fff260b,
    0xfffffeb8,0xfff902ff,0xfd9dffff,0x4ff9801f,0xe807fe80,0x201ffa7f,
    0x01ffa7fe,0x4ffb9ffa,0x005ffa80,0x107ffd73,0x64c3bfff,0x7fc40fff,
    0x3ff261df,0x201ffa0f,0x7ffc47fe,0x3fff261d,0x0efffc40,0xd85fff71,
    0xffffffff,0x87ffffff,0xa88aeffe,0x7ec6fffe,0x87fc800f,0x2e21dffe,
    0x3ff41fff,0x3fe3ff40,0x3ff260bf,0x43bffd07,0xd01fffb8,0x7dc43bff,
    0xbffd01ff,0x0fffdc43,0x221dffe8,0x7e41fffb,0xff50002f,0x3ffff6a3,
    0x807fe81e,0x7ffd47fe,0x27ff541b,0x20dfffd4,0x3f64ffea,0x8ffec00f,
    0x3fa04ff9,0x7edc402f,0x7e43ffff,0x209bdeff,0x7cc00ffe,0x07fe804f,
    0x1ffa7fe8,0x7fe9ffa0,0x3ee7fe80,0x5ff9803f,0x7ffff5c0,0x409ff902,
    0x7fe43ffe,0xe8fffa04,0x47fe807f,0x3fa04ffc,0x027fec3f,0x7e41fff5,
    0x999999bf,0x5c199999,0xff900dff,0x801ffc8f,0x2ffdc7fd,0xfe8dff30,
    0x267fe807,0x3ffa04ff,0x302ffdc2,0xbff70dff,0x5c37fcc0,0x3fe605ff,
    0x205ffb86,0x7fe46ff9,0x3ff70002,0xfffffff7,0x807fe87f,0x1ffec7fe,
    0xfb0fff70,0x3ffdc07f,0xfd801ffb,0x407ff51f,0x54000ac9,0x3fe66ffe,
    0x07ffc02f,0x2013fe60,0x7fe807fe,0x3fa01ffa,0x3a01ffa7,0x00fff27f,
    0xfb017fe6,0xf017dfff,0x7fcc01ff,0x3007ffc6,0x03ff4dff,0x3ffe3ff4,
    0x99bfe600,0xffd807ff,0x000ffee4,0x400fff88,0x3fee1ffe,0x227fd802,
    0x7ec00fff,0x201ffa2f,0x0ffea7fe,0x3e20ac98,0x7fec00ff,0x003ffe22,
    0x7fc45ffb,0x17fec00f,0xd801fff1,0x0ffea2ff,0xbff90220,0xfd5359ff,
    0x03ff43ff,0xdfd13ff4,0x447ff880,0x7fc406fe,0xb003ff67,0x3ffe63ff,
    0x01d4c002,0x7e43ffe2,0x7ffc404f,0x027fcc00,0x7f403ff4,0x3a01ffa7,
    0x201ffa7f,0x0bff27fe,0x901bfe20,0x1dfffb79,0x4c027fc4,0x4027fc40,
    0x403ff409,0x13fe27fe,0x7ff50260,0x54bff300,0xab8805ff,0x2013fea1,
    0x3fea3ffa,0x2a7ff804,0xffb804ff,0x3a01ffa4,0x0bffe67f,0x009ff500,
    0x7fd49ff7,0x24ffb804,0xfb804ffa,0x013fea4f,0xff993fee,0xb0ffe805,
    0x3203ffff,0x01ffa6ff,0xe8001ffa,0x7f40007f,0xb003ff67,0x7fff43ff,
    0x7ec00acf,0x87ff403f,0x7dc02ffd,0x7fcc00ff,0x807fe804,0x01ffa7fe,
    0x07fe9ffa,0x3fee7fe8,0x05ff9803,0x537fec40,0x2a0007ff,0xfd0003ff,
    0x54ffd00f,0xf90003ff,0x9ffe005f,0x6c01fff8,0x0bfee4ff,0xf893fe60,
    0x3fee00ff,0x2673fee7,0xfa999999,0x201ffa5f,0x7fff47fe,0x7dc00acf,
    0x999999cf,0x2e5ffa99,0x99999cff,0x25ffa999,0x9999cffb,0x5ffa9999,
    0x26673fee,0xffa99999,0x803ffe25,0x3ff66ff8,0x97ff402f,0x7fe807fe,
    0x3f6e6200,0x262000ff,0xfb0fffdb,0x1ffd801f,0x3fffffa2,0xffb80bef,
    0xc9bfea06,0x3fea05ff,0x7fcc00ff,0x807fe804,0x01ffa7fe,0x07fe9ffa,
    0x3fea7fe8,0x05ff9803,0x70ffe880,0x2e0005ff,0xfd0002ff,0x5cffd00f,
    0xfb0002ff,0x3ffa003f,0x403bfee0,0x3f21fffa,0x8dff001f,0xff105ffb,
    0x7fffe4ff,0xffffffff,0x01ffa6ff,0xffd11ffa,0x017dffff,0xfffffff9,
    0xdfffffff,0x7fffffe4,0xffffffff,0x3fffff26,0xffffffff,0x3ffff26f,
    0xffffffff,0x2ffdc6ff,0x7e47ffb0,0x4ffa806f,0xffd00ffd,0x3ffb2e20,
    0x00ffffff,0xffffd971,0x3f61ffff,0x0ffec00f,0x7fffff5c,0x7ff442ff,
    0xffca89be,0x33ffea3f,0xffff9511,0x4ff9803f,0xe807fe80,0x201ffa7f,
    0x01ffa7fe,0x4ff99ffa,0x004ffa80,0x3f27ff70,0xff90002f,0x1ffa0005,
    0xffc9ffa0,0x1ffd0002,0xd03ffa00,0x32a15fff,0x7fec4fff,0xd0fff001,
    0xf5115dff,0x7fecffff,0xffffffff,0x3fa7ffff,0x707fe807,0xfffffffd,
    0xfffffd85,0xffffffff,0x3ffff67f,0xffffffff,0x3fff67ff,0xffffffff,
    0x3ff67fff,0xffffffff,0xfe87ffff,0xfeb88aef,0x02ffdc5f,0x7feaffcc,
    0xfc87fe80,0xceffffff,0xffc80ffe,0xecefffff,0x01ffb0ff,0x2201ffd8,
    0x3fffffdb,0x7fffffcc,0xfc83ffff,0xffffffff,0x4c03ffbb,0x7fe804ff,
    0x3fa7ff80,0x3a7ff807,0x27ff807f,0xfb804ff9,0xff30003f,0x000bff2b,
    0x80017fe4,0x7ff807fe,0x4000bff2,0xff001ffd,0xfffd881f,0x85ffffff,
    0xff001ffd,0xffffb10f,0x4ffdbfff,0x9999bffc,0x19999999,0x3fe01ffa,
    0x7fedc407,0x3ff23fff,0x9999999b,0x3f219999,0x999999bf,0x32199999,
    0x99999bff,0x21999999,0x9999bffc,0x19999999,0xfffffe88,0x7d40efff,
    0x6ff8804f,0xfff00ffd,0xbdefffc8,0x903ffa09,0x137bdfff,0xffd87ff4,
    0x00ffec00,0x10dffd50,0xbffffff9,0x7fffdc03,0xdff10cff,0x804ff980,
    0x7fc407fe,0xf101ffa7,0x203ff4ff,0x3fe27ff8,0x12ffc806,0xff300395,
    0x200ffead,0x01ffd408,0x01ffa044,0x7fd4fff1,0x7e408803,0x0fff002f,
    0x7fffff5c,0x05ff902e,0x5c0bff30,0xfd3fffff,0x001ffdcf,0xf880ffd0,
    0x7f54007f,0x00ffee6f,0x003ffb80,0x000ffee0,0x0003ffb8,0x3ffffee0,
    0x0dff303f,0x3fa9ff30,0x33ffc407,0xff805fff,0x0bffe60f,0x0001fff0,
    0x0ea63ffb,0x401fff10,0x4c000dfc,0x05f880aa,0xe804ff98,0x3fe600ff,
    0x9803ffa7,0x03ffa7ff,0x7f47ff98,0x87ffc00f,0xfa804ffa,0x00bff34f,
    0x3fe61ffd,0xd0ffe805,0x7fcc01ff,0x2017fe67,0x9ff70ffe,0x00dff300,
    0xf70033ee,0x9ff5009f,0xfe815100,0x2017fea7,0x3ffa1ab8,0x99ffe600,
    0x7ffc403a,0x100bff50,0x2ffd4357,0xf50d5c40,0x357100bf,0x4402ffd4,
    0xbfe801ab,0x03ffc400,0xffe97fd4,0xc9ffe600,0x7fc404ff,0x013ff20f,
    0x0001fff1,0x3ff61ffb,0x007ff403,0x00019ffb,0x4c01fd40,0xffd804ff,
    0xd9ffee01,0x3fee01ff,0xb807ff67,0x1ffd47ff,0x7c4bff50,0x7ff400ff,
    0x401fff12,0x3fe26ff8,0x9bfe200f,0x3ee01ffd,0x03ffe27f,0x3e66ff88,
    0x7ff400ff,0x003f9003,0xe801fff1,0x3a0002ff,0x07ffe27f,0x7ec9ffb0,
    0x9ffee01f,0x7f403ffd,0x03fff10f,0x3e24ffd8,0x7fec01ff,0x007ffe24,
    0x7fc49ffb,0x27fec01f,0x00bbfe20,0xfd00ffee,0x807ff61f,0x3ff67ffb,
    0x07ffdc02,0xfb805ffb,0xfe8000ff,0x40dff70f,0x54406ffa,0x200006fe,
    0xff9805fb,0x06ffc805,0x7e4ffff5,0xffff506f,0xfa837fe4,0x1ffe87ff,
    0x6c1ffe88,0x3ff205ff,0xb02ffdc6,0x5ffb87ff,0xfc8fff60,0xffff506f,
    0x3605ffb8,0x2ffe43ff,0x001fff70,0x7e4007f6,0x17ff205f,0xb8ffd000,
    0xff500eff,0x837fe43f,0x3ee7fffa,0x1bfea06f,0x2a01dff7,0x7fdc1fff,
    0x3fff500e,0x500effb8,0xffb83fff,0x3fff500e,0x3ffb9880,0x817ffc40,
    0x3ff26ffb,0x4ffff506,0x3ea05ffc,0x3ff20fff,0x3fffea05,0x3ffc4000,
    0x137dffd1,0x007fff95,0x00003ff2,0x8310ffd4,0x02ccfff8,0x537bfff1,
    0x44ffdff9,0xca9bdfff,0x3e27feff,0xfca9bdff,0xffb87fef,0xffea88af,
    0xbefff885,0x1fffd988,0x88aeffe8,0xfd05ffeb,0xfd7115df,0xdfff88bf,
    0xfeffca9b,0x8aeffe87,0x885ffeb8,0x988aefff,0x2000fffd,0xfd1004fe,
    0x3f6613df,0x740000ff,0xafffe87f,0x89fff950,0xa9bdfff8,0x227feffc,
    0xa89beffe,0xfe83fffc,0xff950aff,0x3fffa09f,0x9fff950a,0x42bfffa0,
    0xd04fffca,0x32a15fff,0x7c004fff,0xfffb805f,0x1dff931b,0x4defffc4,
    0x27feffca,0x511cfffa,0x43fffff9,0x511cfffa,0x03fffff9,0x13fff360,
    0xfffffff3,0x65407fff,0x0005ffec,0x7f77ffc0,0x5ffffe83,0x3ffffee0,
    0x47fcafff,0xfffffffb,0x7dc7fcaf,0xafffffff,0xfff907fc,0x40dfffff,
    0xfffffff9,0xfd102fff,0xdfffffff,0x3fffa201,0x80efffff,0xfffffffb,
    0xe887fcaf,0xffffffff,0xfffd300e,0x03ffffff,0xbacffb80,0xfffb100e,
    0x03dfffff,0x10ffd000,0xfffffffb,0x3fee0bff,0xcaffffff,0x7fffcc7f,
    0x03ffffff,0xffffffb1,0x6c40bfff,0xffffffff,0x3ff6205f,0x5fffffff,
    0x3ffff620,0x805fffff,0x01fffdcc,0xffffff70,0xff701fff,0x95ffffff,
    0xffffc8ff,0xfbbfffff,0x7fffe43f,0xfbbfffff,0xfff8803f,0xffc881ff,
    0x401dffff,0x00effffc,0x7ffdc000,0xffd881ef,0x7ff5406f,0x0ff91dff,
    0x3bffffd5,0x3faa1ff2,0xff91dfff,0x7ffff540,0xffc8803f,0x800cffff,
    0x3ffffffb,0xfffff700,0xffea807f,0x0ff91dff,0x7fffffdc,0xffff7003,
    0x100017bf,0x01ffffff,0xfffffec8,0xfd00000c,0x7fff5c0f,0x75402eff,
    0xf91dffff,0xffff910f,0xd7003bff,0x05dfffff,0x3ffffae0,0xfd7002ef,
    0x005dffff,0x3fffffae,0xffff002e,0xfd98009f,0x201cefff,0x1dffffea,
    0xfff70ff9,0x3e219fff,0xffffb86f,0xdff10cff,0x3bdfd300,0x00153300,
    0x000d554c,0x006a6000,0x33100044,0x00662000,0x0000cc40,0x40006a62,
    0x10000aa9,0x22000153,0x4c4000a9,0x54c40001,0x03310000,0x376e2000,
    0x054c000b,0x265c0000,0x0009a980,0x30000cc4,0x4c000153,0x2600009a,
    0x2600009a,0x2600009a,0x5540009a,0x4c0000aa,0x0cc4000a,0x00aa9800,
    0x002aa600,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x002f7640,
    0x006f75c0,0x003eed88,0x2eddb000,0x881312ee,0xc8800aba,0xd3009903,
    0x81f74c7d,0x19880198,0x2a606200,0x2f75c001,0x017bb200,0x166ee540,
    0x0ddb0000,0x50001ddb,0x3aa007dd,0x413100de,0x775c01b9,0xee98000e,
    0x00bdd71e,0x55555500,0x00555555,0x4c57ba20,0x84cc4009,0x31000998,
    0x2e604c43,0x9000000a,0x2a000bdd,0x37b624ee,0x98fbae00,0x5cc005ee,
    0x0006620a,0xfb800666,0x40004fff,0x54002fff,0x000007ff,0x4bff2ffd,
    0xffff35fe,0xfe801bff,0x5401fdc0,0x13fea4ff,0x7f403ff4,0xfffd8807,
    0x001fe89c,0x8007ffe2,0x005ffffb,0x3fffffa6,0xe80002ff,0x01ffe87f,
    0x004ffb80,0x7f407ffd,0x03ffffb5,0x40027ff4,0xfff14ffd,0x200ec403,
    0xffffffff,0x10007fff,0x0ffeafff,0x3e67ff50,0x4ffd006f,0xffff76fe,
    0x400007bf,0x0001fff8,0x7fecbff6,0x8fff4402,0xd9801ffe,0xb8dfffff,
    0x7fee41ff,0x03fff13f,0xff7bff30,0x3fee0007,0x7ff90004,0xffd00000,
    0x6ff4bff2,0xfffffffa,0x3fee00ef,0x800ffecd,0x3fea4ffa,0xd00ffd04,
    0xdff900ff,0x00dfffff,0x2003ffc8,0x3ffbdff9,0xeffff980,0x003ffffd,
    0xffddddd5,0x3ffa3ddf,0x4ffb8001,0x404ffa80,0xffffbdfe,0x3ffe200f,
    0x9bfe6000,0x3ea03ffb,0x3ffe201f,0xffffffff,0xfff10007,0xf500ffea,
    0x00fff47f,0xefe93fe6,0xfffefffc,0xf900002f,0xe880007f,0x004ffbff,
    0x5ff9dff3,0xdffff300,0x3ff9dfff,0x9fffffec,0x4401fff8,0x3ffd0fff,
    0x00dfd000,0x0007fd80,0xf517fe80,0x37ffffa5,0x07fff712,0x2effffc8,
    0x44355100,0x0ffd01aa,0xff00ffd0,0x077ff261,0x005ff880,0x7ec3ffe2,
    0x6fff401f,0x03ffee21,0x3ffffee0,0xfd2fffff,0xff70003f,0x00dfd009,
    0xb7bffffd,0x07ff300b,0xff07fe40,0x01ffc80b,0x2aab7fea,0x002aaaaa,
    0x3eafff10,0x1ffd403f,0xfc809ff7,0x3ffffa1f,0x00fffd42,0x013fe200,
    0x7fffcc00,0x7ffd4005,0xffe8804f,0x3fffa60c,0x9dfff51f,0x07ffe239,
    0x64c59950,0x664c003c,0x66440000,0x7f400001,0x7ff43ea7,0x0dff701f,
    0x00002a60,0x807fe800,0x019807fe,0x19930001,0x11665400,0x7fd40799,
    0x013ff607,0x3a666662,0xffd099ff,0x9ff70003,0x800cc880,0x0001fffe,
    0x66400795,0x90033261,0x7fdc03ff,0x22000001,0x07ff57ff,0x3e23ffa8,
    0x237fc07f,0xf301fffe,0x540001df,0x5400004c,0xb8000ccc,0xffb004cc,
    0x3fffa207,0x4c09ff71,0x00000019,0x00000000,0xb3ff4000,0x2027ff4f,
    0x000007ff,0x1ffa0000,0x0001ffa0,0x00000000,0x04ffb800,0x8001bfea,
    0x1ffe87fe,0x04ffb800,0x27ff4000,0x00000000,0x807ff200,0x00000ffd,
    0x7d5ffe20,0x1ffd403f,0x7d40bff6,0x02fff43f,0x0000bff2,0x00000000,
    0x7fc40000,0x8fffd406,0x00001ffd,0x04d654c4,0x2b2a6200,0x54c40009,
    0x980009ac,0x5dffa09b,0x00bffa1f,0x4c401ffd,0x88000abb,0x7400abb9,
    0x07fe807f,0x02aee620,0x13775300,0xabb98800,0x02ffc800,0x2601bfe2,
    0x21ffa09b,0xb8001ffe,0x2e6204ff,0x7ff400ab,0xbb988002,0x00cc400a,
    0xfb310cc4,0xdfd0335f,0xf8800000,0x807ff57f,0x7fd43ffa,0xe81ffb05,
    0x7fcc01ff,0x4ddd4404,0x06b2a600,0x31003310,0xabb98803,0x017fd400,
    0xffd8fff4,0x20026200,0xffffffe9,0x7f4c00df,0x0dffffff,0x7ffff4c0,
    0x4c00dfff,0xd4fffffd,0xffd022ff,0x80ffd803,0xffffffc8,0xffc8801e,
    0xd01effff,0x0ffd00ff,0xfffff910,0xfea803df,0x01efffff,0x7ffffe44,
    0x3fea01ef,0x413fee05,0x4fffffd9,0x3ffd0ffd,0x09ff7000,0xffffff91,
    0x07ffa03d,0xffffc880,0xffd01eff,0x7ecffd00,0x20ffffff,0x00005ff8,
    0xfabffc40,0x1ffd403f,0x3e207ffc,0x807fe85f,0xff505ff8,0x49dfffff,
    0xeffffffa,0xd00ffd02,0x3ff220ff,0x901effff,0xffb003ff,0xb803ff63,
    0x7ffe403f,0xfffffeff,0xfffff900,0x01fffffd,0x3bfffff2,0x300fffff,
    0xfffdffff,0x7f40ffdb,0x07fec00f,0x3fffffea,0x2a03ffff,0xffffffff,
    0x07fe83ff,0x7d407fe8,0xffffffff,0xffff503f,0x05ffffff,0x3fffffea,
    0xf103ffff,0x3ffa01ff,0xeffff982,0x87fedfff,0xb8001ffe,0x7ffd44ff,
    0x3fffffff,0x5000ffe8,0xffffffff,0x0ffd07ff,0x7fecffd0,0x260fffff,
    0x599753ff,0xff100001,0x500ffeaf,0x5ff907ff,0xfe82ffb8,0x90fff007,
    0xffdfffff,0xffff99ff,0xd05ffffd,0x0ffd00ff,0xfffffff5,0xffb07fff,
    0x23ff9001,0x3ee00ffd,0x2fffea04,0x427ff541,0x541bfffa,0xffa84ffe,
    0x7ff541bf,0x0cffe884,0x81ffffea,0x7ec00ffe,0x37ffe20f,0x0bffee21,
    0x8877ffe2,0x7f42fffb,0x207fe807,0x221dfff8,0xff82fffb,0x3ff260bf,
    0x1dfff887,0x40bffee2,0xb89cfffb,0xfe885ffe,0x3ffea0bf,0x01ffe87f,
    0x224ffb80,0x2e21dfff,0x3ff42fff,0x1dfff880,0xd0bffee2,0x0ffd00ff,
    0x3ee03ff9,0xfffffecf,0x7c40003f,0x807ff57f,0xff983ffb,0x7407ff45,
    0x8ffd006f,0xfb82effa,0x261effff,0x7f40fffc,0x447fe807,0x2e21dfff,
    0x7ff42fff,0xb1ffb800,0x27e401ff,0x5c07ffb0,0x3ffd87ff,0x361ffee0,
    0x3fee03ff,0x103ffd87,0x7f40ffff,0x07fec00f,0x7d409ffb,0x27fec0ff,
    0x741fff50,0x07ff807f,0xfa813ff6,0x13fe60ff,0x7ec2ffe8,0x3ffea04f,
    0xffffd300,0x3f605fff,0xffff103f,0x0003ffd0,0x7fec9ff7,0x83ffea04,
    0xffb007fe,0x07ffd409,0xffd00ffd,0x3203ff90,0xffffffff,0x0000efff,
    0x3feafff1,0x81ffdc03,0x9ff10ffe,0x7c01ffa0,0x007ff46f,0x440dfff9,
    0x03ff46ff,0x3ff63ff4,0x83ffea04,0xfc801ffd,0x401ffb1f,0xdfd105fc,
    0x447ff880,0x7fc406fe,0x2037f447,0x7fc47ff8,0x03ffdc06,0xfd801ffd,
    0x00fff30f,0x7fcc9ffb,0x24ffd807,0x7fc00ffe,0x00fff307,0x7fd49ffb,
    0x982b2603,0xffd807ff,0xffffb304,0xff101dff,0x87ffb80d,0xb8001ffe,
    0x0fff34ff,0x7f49ffb0,0x07ff9807,0x3fa4ffd8,0xc87fe807,0xfffd01ff,
    0x7ffdc437,0xfff10004,0xf7013fea,0x4ffee07f,0xffd01ffb,0x4c9ff100,
    0x7fd404ff,0x17fdc01f,0xffd00ffd,0x6c03ffcc,0x0bff24ff,0x7ec7ff60,
    0x017f600f,0x003ff400,0x0001ffa0,0x3ff98ffd,0x3a07ff80,0x7fec00ff,
    0x3007ff50,0x1ffd4bff,0xfb2ffcc0,0x3ffc401f,0x9803ffa8,0x3ffe65ff,
    0x1ffd4002,0x642ffcc0,0xfcbbdfff,0x1ffd43ff,0x3a1ffe20,0xfb8001ff,
    0x007ff54f,0x3ff4bff3,0x401ffd40,0x1ffa5ff9,0x3f21ffa0,0x05ffd01f,
    0x000fffcc,0xffabffc4,0x81ffec05,0x0dfd5ff8,0x2a00fff4,0x980103ff,
    0xff8807ff,0x3a01ffa4,0x00ffea7f,0xffb97fe6,0x8fffc404,0x3f600ffd,
    0xb7310006,0x44001fff,0x00fffdb9,0x3ff6e620,0x00bfee0f,0xffe81ffa,
    0xc87fec00,0xfff002ff,0xf8017fe4,0x807ff27f,0xff907ffb,0xd1ffe005,
    0x0159ffff,0xf002ffc8,0x1effb8ff,0x2e5ffd88,0x7fe802ff,0x8001ffe8,
    0x5ff94ffb,0xfe9ffe00,0x02ffc807,0x3ff4fff0,0xb553ff40,0x020557ff,
    0x0013ff20,0x7fd5ffe2,0x7fff100f,0x7fcffec0,0x017ffa04,0x44003ffd,
    0x99effeca,0xf9999999,0x201ffa5f,0x0bff27fe,0x3fe3ffc0,0x3fff200f,
    0x7401ffb1,0xecb8807f,0xffffffff,0xffd97100,0x01ffffff,0x3fffb2e2,
    0x320fffff,0x7fd801ff,0xb003ffa0,0x07ff61ff,0xfd87ff40,0x1ffd001f,
    0x7d41bfee,0x3ffb07ff,0x883ffa00,0xeffffffe,0x01ffd80b,0x7f41ffd0,
    0x87ff401f,0xfd801ffd,0x001ffe87,0xffb4ffb8,0x43ffa003,0xffd807fe,
    0x21ffd001,0x7fe807fe,0x3ffffffa,0x3fe60007,0x7ff88006,0x360bfff5,
    0x3ea03fff,0x3a01ffef,0xff702fff,0x7f65440b,0xffffffff,0xffffffff,
    0x01ffa7ff,0x1ffd9ffa,0x5c1ffd00,0xffb80eff,0x01ffb1ff,0x3f203ff4,
    0xceffffff,0xffc80ffe,0xecefffff,0xfffc80ff,0xfeceffff,0x003ff60f,
    0xffe81ff2,0xe87fec00,0xffd000ff,0x4003ffa1,0xfff30ffe,0xdffb537b,
    0x03ffa0ff,0x5c07ff40,0xfffffffe,0x8007ff42,0x9ff10ffe,0x3a7ff500,
    0x7fc800ff,0x8001ffe8,0x1ffd4ffb,0x743ffa00,0x0ffe807f,0x3a1ffd00,
    0x27fe807f,0x4cdffecb,0x1ffe2000,0x55ffe200,0xbabeffff,0x403ffffe,
    0x7406ffff,0x931cffff,0x7fdc0dff,0xfcdfffff,0xffffffff,0xd0ffffff,
    0x4ffd00ff,0xfd000ffe,0xdfffe81f,0xfffffecb,0x7c01ffb1,0x3fff207f,
    0x3fa09bde,0x77ffe40f,0x3ffa09bd,0x6f7ffe40,0x83ffa09b,0xfd801ffc,
    0x003ffa07,0x3ff61ffb,0x21fff001,0xff001ffd,0x7fffd41f,0x7fcaffff,
    0x2003ffb0,0x2e200fff,0x23fffffd,0xff001ffd,0x00ffee1f,0x7fe57fe2,
    0xe87fd801,0xfb8001ff,0x003ffb4f,0x3ff43ffe,0x800ffec0,0x0ffd0fff,
    0xff90fff0,0x3fe00003,0x7ff88007,0xffffbff5,0x07ff7fff,0x403fffc8,
    0xffffcffe,0xf900ffff,0x4c359fff,0x99999dff,0x21999999,0x7ff807fe,
    0x7c007ff6,0xfffc80ff,0xffdaffff,0x7c01ffb0,0xfff980ff,0x307ffc02,
    0xff805fff,0x0bffe60f,0x7dc1fff0,0x07fe802f,0xfb003ffa,0x00bff21f,
    0x5ff93ffc,0x2a1ffe00,0x91dffffd,0x0bff20ff,0x2003ffc0,0x3f26ffea,
    0x4fff002f,0xff002ffc,0x200bfeed,0x1ffe87fe,0xfc80ffa6,0x005ff94f,
    0x07fe9ffe,0xf002ffc8,0x203ff4ff,0xffc87ff8,0x801aa881,0x37ec6ff8,
    0x3eadff30,0xeffff9bf,0x4c03ff8a,0x7f400fff,0xefffea8f,0x3fff300b,
    0x0037fcc0,0xf880ffd0,0x00bff27f,0xd9503ffc,0x3ff619bf,0x2201ffb0,
    0xffc81fff,0x07ffc404,0xf8809ff9,0x13ff20ff,0x4c1fff10,0x7ff804ff,
    0x4004c400,0xf9804ffb,0x013fee6f,0x3301bfe6,0x3ee03f90,0x6ff9804f,
    0xff100ea6,0x013fee1f,0xffa9bfe6,0x35ff9804,0xfff009ff,0x7cc3ffd0,
    0x4fff604f,0xf9804ffb,0x2009986f,0xf9804ffb,0x803ffa6f,0xffc87ff9,
    0x805ffa81,0x3ff45ffa,0x3eadff50,0x0002a23f,0x74027fc4,0x002a20ff,
    0xf5013ff2,0x559100ff,0xf3007ff4,0x027fdcff,0x00037fcc,0x07fecffd,
    0xd81fff88,0x7fdc02ff,0x00bff60f,0x7ec1fff7,0x7ffdc02f,0x7007ffc0,
    0xfb800fff,0x3fe603ff,0x1fff400f,0xe801fff3,0xfd0003ff,0x03ffe601,
    0x7ec7ffd0,0x87ff403f,0x7400fff9,0x1bfe63ff,0xff8fff20,0x1ffee00f,
    0xff887ffa,0x4cbffa06,0x7f400fff,0x0dfff83f,0x400fff98,0x3ff63ffe,
    0x21ffee01,0xff881ffc,0x17ff400f,0x7dc07ff6,0x007ff55f,0x00ffdc00,
    0x80007ff4,0x7f401ffe,0x7fe402ff,0xb807ff65,0x3ffe67ff,0x11fff400,
    0xff880137,0x4c03ff66,0xffc82fff,0x3fffea05,0xa817ff20,0x3f20ffff,
    0x3ffea05f,0x82ffe40f,0x4007fff8,0x200ffec9,0x3ee05ffc,0x2ffe40ff,
    0x001fff70,0xff901fe0,0x07ffdc0b,0x7d40dff7,0x02ffe46f,0xfd81fff7,
    0x3ffe605f,0x4417ff20,0xffe87fff,0x5c1fff41,0x3ff20fff,0x03ffee05,
    0x6417ff2e,0x3fee05ff,0x41bff20f,0xfb87fffa,0x0bffd03f,0x7e42ffe4,
    0x7ffcc0df,0x0007ff52,0xe8037f40,0xfb0000ff,0x7ffec0bf,0xfff301ff,
    0xa837fe43,0x7fe47fff,0x83ffee05,0x7e406ff8,0x403ff64f,0xfa82fff9,
    0xf9511cff,0x7d43ffff,0xf9511cff,0x7d43ffff,0xf9511cff,0xfb03ffff,
    0xff7115df,0x22000fff,0x3fe204ff,0xfd988aef,0xfff880ff,0xffd988ae,
    0x3fe0000f,0x3bffe202,0xfffd988a,0x5f7ff440,0x3fffca89,0x4577ffc4,
    0x80fffd98,0x30aefff8,0xfb05fff9,0xff7113df,0x3ffd0fff,0xbcffffa8,
    0x7c43fffe,0xd988aeff,0x7e400fff,0xefff880f,0xfffd988a,0x5efffc40,
    0x7feffca9,0x0ccfffb8,0x22fbffe2,0x81fffd98,0xdbdffff8,0x3fea6fff,
    0xfd880003,0x1ffd002f,0x3ffea000,0x9ffb711b,0x5137fff9,0xf889fff9,
    0xfca9bdff,0x7fc47fef,0xfd988aef,0x2fff80ff,0x6c3fff50,0xfff300ff,
    0x3ffff205,0xfbbfffff,0x7fffe43f,0xfbbfffff,0x7fffe43f,0xfbbfffff,
    0xffffd03f,0x0ff99fff,0x7fed4cc0,0x7fff4c02,0x01ffffff,0x3fffffa6,
    0x0001ffff,0x36567fec,0x3fffffa6,0xf301ffff,0xffffffff,0x3ffa607f,
    0x1fffffff,0x3ffffa60,0x203fffff,0xfffffffe,0xffe87fdc,0xfffffd81,
    0xfd304fff,0xffffffff,0xff733103,0x7fff4c0d,0x01ffffff,0xfffffff7,
    0xf10ff95f,0xfa85ffff,0xffffffff,0x3ffee00e,0x20efffff,0x30003ffa,
    0x00dfffdf,0x00007ff4,0xfffffffb,0x7ffd45ff,0x04ffffff,0xfffffff7,
    0xd30ff95f,0xffffffff,0x3ffea03f,0xffffdbdf,0x9807fec1,0x3ee02fff,
    0x10cfffff,0xfff70dff,0x3e219fff,0xffffb86f,0xdff10cff,0x3fff6e20,
    0x200ff94f,0x06fffff8,0x3ffffee0,0xff7000bd,0x0017bfff,0xfffff300,
    0x3fffee0f,0x64400bdf,0x1dffffff,0xfffffb80,0xff9000bd,0x801bffff,
    0x3ffffdb8,0x3ffd0ff9,0x3ffffee0,0xfffb803e,0xf900bdff,0x7005ffff,
    0x17bfffff,0xffffea80,0x260ff91d,0xc883fffe,0x04efffff,0xdffffd30,
    0x03ffa819,0xdffff100,0x07ff4001,0x3ffee000,0xd980ceff,0x02efffff,
    0x6fffff54,0x7dc0ff91,0x00bdffff,0x7fffffdc,0xffd81fff,0x05fff300,
    0x00015530,0x0000554c,0x00001553,0x88000151,0x0002ceec,0x88000331,
    0x10000019,0x310039d7,0x54cc0003,0x03310000,0x01a98800,0x00015100,
    0x0006a200,0xda800cc4,0x44001cde,0x33100019,0x80098000,0x100009a9,
    0x664c0153,0x3bb60001,0x265c000b,0x13530000,0x004d4400,0x00006620,
    0x71000331,0x0137bfdb,0x64403ff6,0x000001cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x5400006e,0xed8004ee,0x000dd91e,0x166e5440,
    0x00998800,0x27754000,0x88f76c00,0xeed885ee,0x800bbb20,0x3002fff9,
    0xdb0009dd,0x4ccc403d,0x10199999,0xdddddddd,0xdddddddd,0x1f7647dd,
    0x3aa09dd3,0xcdeeeeee,0x22000abc,0x99999999,0x3bb62009,0x880bbb21,
    0x26202eee,0x99999999,0x001fff00,0x7ffd4000,0x25ee9800,0x75c0ded8,
    0x09dd503e,0x7dd31dd9,0x33333310,0x80001333,0xeeeeeeec,0xeeeeeeee,
    0x3bae5eee,0x77640003,0xe8000000,0x3fb6607f,0xff503def,0x3ffd000b,
    0x40001ffa,0xffffffe9,0x3fee001d,0x7f64c006,0x0bff51ff,0x223ffd00,
    0xdff507ff,0x30017fea,0x2a005fff,0xfe8005ff,0x3fffa01f,0x80ffffff,
    0xfffffff9,0xffffffff,0x3fa24fff,0x201ffd1f,0xfffffffb,0x0cffffff,
    0xfffffd80,0x5402ffff,0x0bff36ff,0x6c06ffc8,0xffffffff,0x01fff02f,
    0x7fd40000,0x7ff9000f,0x3f20fff2,0x0dff704f,0x9ff51ffb,0xffffff90,
    0x40007fff,0xfffffff8,0xffffffff,0x3f26ffff,0x7f40004f,0x8000000f,
    0xffd887fe,0x1effffff,0x4002ffd4,0x0ffd1ffe,0xffff7000,0x03fffdbb,
    0x801bfee0,0x0ffffff8,0xd000bff5,0x1ffe23ff,0xefebffc8,0x7ffcc000,
    0x0bff5002,0x403ffd00,0xfffffffe,0xfff980ff,0xffffffff,0x4fffffff,
    0x7fe77fcc,0x3fffee02,0xffffffff,0x7ec03fff,0xffffffff,0xebffc802,
    0x3fe200ef,0x7ffec00f,0x02ffffff,0x00001fff,0x007ffd40,0x9ff7ffd0,
    0x5c13ff20,0x8ffd86ff,0xffc84ffa,0x3fffffff,0x3fff2000,0xffffffff,
    0xffffffff,0x0013ff26,0x667ffe5c,0x00004ccc,0x7fec3ff4,0xffebabef,
    0x017fea1f,0x7f47ffa0,0x7fcc0007,0x0fffa84f,0x006ffb80,0x9337fff6,
    0xe8005ffa,0x0dd911ff,0x01ffffe8,0x01ccc880,0x4f7fdcc4,0x99999999,
    0x9affe999,0x99999880,0x50001999,0xf7000bff,0xfb807fff,0xf753305f,
    0x4c403fff,0x99999999,0xffffb000,0x01ffb803,0x99999988,0xfb500999,
    0xc9800000,0x3e2000cc,0x3f206fff,0x0df9304f,0x9f311ffb,0x33333310,
    0x20001333,0xff31fff8,0x7fe4000f,0xfffd0004,0x0fffffff,0x47fe8000,
    0xfb01fffb,0x17fea1df,0x747ffa00,0x7f40007f,0x13fea04f,0x80026620,
    0xff501fff,0x3ffd000b,0x664406d8,0x0000002c,0xfffffff7,0xffffffff,
    0x5fffffff,0xa8000000,0x970005ff,0xbff70079,0x1bff6200,0xc8800000,
    0x2cb802cc,0x36000000,0x00000006,0x06665400,0xf809ff90,0xf10ffd84,
    0x00000005,0x7fccbff9,0x3ff20007,0xff970004,0x0999999f,0x47fe8000,
    0x3e202fff,0x0bff52ff,0x3a3ffd00,0x3e20007f,0x7fec00ff,0xff000000,
    0x02ffd40f,0x3e0fff40,0x30000005,0xfb801575,0xffffffff,0xffffffff,
    0x402fffff,0x0000aba9,0x0002ffd4,0x05ffb800,0x2227ff40,0x01988019,
    0x40000000,0x800abb98,0x000004f8,0x00055d44,0x09ff9000,0x7fec17cc,
    0x4c401f70,0x00009aca,0xf987ffe2,0x3f20007f,0x7f40004f,0x2600000f,
    0x99ffa09b,0xffd806ff,0x000bff54,0x1ffa3ffd,0xfa801573,0x2ffb804f,
    0x1001aa80,0x7fd40bff,0x1ffe8005,0xa98807ea,0x320009ac,0x1effffff,
    0x3dff7310,0x33333333,0x35ffd333,0x3ffff201,0x50001eff,0x98800bff,
    0xfb806e60,0x7fd4005f,0x201ffa0f,0x4ccc47fe,0x99999999,0x4c131099,
    0x3ff2201b,0x101effff,0x102661dd,0x91001375,0x3bfffffd,0xba881310,
    0x09ff900a,0x3f603fa2,0xd302f98f,0xbfffffff,0xdff90001,0x0007ff98,
    0x00013ff2,0x5d4c1ffd,0xfffb3000,0xa9ffa9ff,0xffa804fe,0x000bff55,
    0x5ffa3ffd,0x2ffffffa,0x5007ff70,0xff9809ff,0x7fccc404,0x7fd4199e,
    0x9ffe8005,0xfd302fb8,0x1bffffff,0x7ffff4c0,0x203ffffe,0xe8005ffa,
    0xffd301ff,0x7ffffdff,0x0bff5000,0xffb5fe80,0xbff703ff,0x45ffb000,
    0x7fe807fe,0x7fffffec,0x2fffffff,0x3fff6bfd,0x7fffd41f,0x03ffffff,
    0xff54ff87,0x4c09ffff,0xffffffff,0x9aff41ff,0x0dffffff,0xea827fe4,
    0x061ffb00,0x77ffffe4,0x000fffff,0xf30bffe2,0x7e4000ff,0x7f40004f,
    0xfffff98f,0xfff300ce,0xfdbfffdf,0x7fdc000f,0x000bff53,0x3ffa3ffd,
    0xfffefffc,0x02ffc84f,0x4c05ffa8,0x7fec03ff,0x20ffffff,0xe8005ffa,
    0x902efeff,0xffdfffff,0x3fa01fff,0x3fee21df,0x0bff501f,0x203ffd00,
    0x2e21dffe,0x54001fff,0x7f4005ff,0x0fffffbd,0x8005ffb8,0x1ffa4ffc,
    0xffb1ffa0,0xffffffff,0x37fa3fff,0x20fffffb,0x221dfff8,0xf802fffb,
    0xfffffbcf,0xff886fff,0x3ff261df,0x3eb7fa0f,0xefffffff,0x0813ff20,
    0xa803ff60,0x7541bfff,0x3ee004ff,0x07ff986f,0x013ff200,0xff9ffd00,
    0x0dffffff,0x5417ffd1,0x0007ffff,0x3ea3ffd1,0xffe8005f,0x17ffffd1,
    0x2a17ffdc,0xffb804ff,0x017fdc06,0x3ffffff6,0x17fea0ff,0x02fffa00,
    0x41bfffa8,0xfb84ffea,0x1bfe605f,0x4002ffd4,0xffb81ffe,0x01bfe605,
    0x800bff50,0xdbdffffe,0x00bff705,0x7f4bff50,0x447fe807,0x99999999,
    0x3fa5ffd9,0x45dbdfff,0x3ea04ffd,0x7ffc00ff,0xff932dff,0x04ffc85f,
    0xffe8fffa,0xff712dff,0x027fe47f,0x200ffd80,0x3ee03ffd,0x3ffe007f,
    0x007ff982,0x0013ff20,0x17ffffd0,0xb13fff26,0x3fe207ff,0xffb0007f,
    0x002ffd4b,0xffe8fff4,0x8dff301f,0xfd806ff9,0x3ffe206f,0x0bff1000,
    0x4002ffd4,0x7ec01ffe,0x1ffee03f,0xd801fff1,0xfffa82ff,0xffffffff,
    0x1fffffff,0x2007ffc4,0x2a002ffd,0x7f4005ff,0xff7001ff,0xdff3000b,
    0x7f403ff4,0x6ffc8007,0x300ffff4,0xffb00fff,0x0ffff809,0xff8bff90,
    0x9bfe600f,0xf701fffe,0x027fe4df,0x100ffd80,0xff880dfd,0x0dff7007,
    0x3333ffe6,0x4ccccccc,0xc8827fe4,0x3fffa04c,0x44dff701,0x7fdc06ff,
    0xfffd8007,0x0017fea0,0x7ff47ffa,0x217fec05,0x3e602fff,0xffd107ff,
    0x2ffc4009,0x000bff50,0x74403ffd,0x3ffc406f,0x2e013fea,0xfffa84ff,
    0xffffffff,0x1fffffff,0x5c027fd4,0x555304ff,0x555dff95,0x27ff4055,
    0x7fffffc0,0x01ffffff,0x3ff4fff1,0x2003ff40,0x7f40effb,0x1ffd404f,
    0x202ffcc0,0x3e203fff,0x013fe26f,0x09ffd026,0x3ff27ff8,0x1ffb0004,
    0x1ffa0000,0x9817ff40,0xffffffff,0x647fffff,0xfff304ff,0x302fff40,
    0x1ffd4fff,0x001ffe20,0xfa81fffb,0xffe8005f,0x9803ffd1,0x7ffd44ff,
    0x6ffffa83,0x00effe88,0xa817fe20,0xfe8005ff,0x3a00001f,0x4e7fdc7f,
    0xa9999999,0xfffa85ff,0xeeeeeeee,0x1fffeeee,0x4cce7fdc,0xffa99999,
    0xfffffb05,0xffffffff,0x4017ff40,0xffffffff,0xf101ffff,0x01ffa1ff,
    0xfa801ffa,0x2ffe80ff,0x8017fe40,0x7ffc07ff,0xf53ffc01,0x3fa0007f,
    0x87ff402f,0xb0004ffc,0x220001ff,0x00fffdb9,0xf3037fd4,0xffffffff,
    0xfc8fffff,0x0fff304f,0x3e017ff4,0x05ff70ff,0x6c00ffd0,0xffa80eff,
    0x1ffe8005,0xff100ffd,0xbffffb0d,0xdff5ffdb,0x00effe88,0x502ffc40,
    0xfd000bff,0x4c40003f,0x320fffdb,0xffffffff,0x86ffffff,0xe8005ffa,
    0x7ffe41ff,0xffffffff,0xdd906fff,0xddfffddd,0x7ff40ddd,0xffb99801,
    0x0199999d,0x7fe9ffe6,0x3007fe80,0x3fa03fff,0x0ffec01f,0x200ffe80,
    0x7f400fff,0x000bfee7,0x3600fff4,0x09ff90ff,0x003ff600,0x3fffb2e2,
    0x400fffff,0x3e602ffe,0x999999ff,0x7e419999,0x0999104f,0x3600fff4,
    0x03ffb0ff,0x2a00ffb0,0xff500fff,0x3fff000b,0x7fc01ffa,0xfffff907,
    0xd17fe5ff,0x10001dff,0x7fd40bff,0x1fff8005,0xffd97100,0x41ffffff,
    0xfffffffd,0x7fffffff,0x8005ffa8,0x7fec1ffe,0xffffffff,0x2007ffff,
    0x74005ffa,0x3ee000ff,0xffa8005f,0x3a01ffa7,0xfff8807f,0x003ffa03,
    0x3a001ffd,0x1ffe00ff,0xffc9ffa0,0x1ffd0002,0xf90ffd80,0x3f60009f,
    0x7ffe400f,0xfeceffff,0x3ffea00f,0xdccccccc,0x320007ff,0x740004ff,
    0x7fec00ff,0x9001ffd0,0x3ffa00ff,0x01bfe601,0x7f43ffe0,0x40fff006,
    0x10adedc9,0x77fe4bff,0xbff10000,0x0037fcc0,0x64007ffc,0xefffffff,
    0x3f20ffec,0x999999bf,0xa8199999,0xfe8005ff,0x4dffe41f,0x99999999,
    0x3ea00199,0x3ff4005f,0x017fee00,0xfe9bff20,0x407ff807,0x7404ffe8,
    0x1ffd807f,0x401fff00,0x7fe807ff,0x4000bff2,0x7ec00ffe,0x009ff90f,
    0xc803ff60,0x09bdefff,0xfe803ffa,0xffffffff,0x0007ffff,0x00013ff2,
    0xfd801ffd,0x003ff90f,0xff100ffb,0x06ff980b,0xe87ffc40,0x0dff007f,
    0xf1ffcc00,0x440001ff,0x3fe605ff,0x7ffc4006,0x77ffe400,0x3ffa09bd,
    0x000ffee0,0x0017fea0,0xff707ffa,0x54000007,0x7f4005ff,0x2ffdc007,
    0xd1ffec00,0x7ff880ff,0x402fff40,0xffc807fe,0x80fff002,0x7fe807ff,
    0x2200ffea,0x2007ff40,0x9ff90ffd,0x03ff6000,0x2017ffcc,0xff500fff,
    0xffffffff,0x000fffff,0x00027fe4,0xfb003ffa,0x00bfee1f,0x3e601ffa,
    0x7ffc404f,0x9ffe6000,0xff8807fe,0x3ff20005,0x200bff31,0x40bff101,
    0x2000fff8,0x7cc07ff9,0x7ffc02ff,0x2017fea0,0xffa81ab8,0x1ffe8005,
    0x4402ffd4,0x3ea001ab,0x3ff4005f,0x017fee00,0x743fff30,0x3fe600ff,
    0x01bff607,0x7dc03ff4,0x6ff9804f,0x7403ffc0,0x017fe67f,0x7ff43ffa,
    0xc87fec00,0xfb0004ff,0x13ff201f,0x201fff10,0x9999bffe,0x7ffa9999,
    0x13ff2000,0x01ffd000,0xff30ffd8,0x00fff009,0xfd007ff5,0x7fe4005f,
    0x5007ffa5,0x04cc89ff,0xff50fff8,0x8bff5009,0x7f405ff8,0x3ff2002f,
    0x027fe405,0xf883ffe2,0x7fec01ff,0x005ffa84,0x7c41ffe8,0x7fec01ff,
    0x17fea004,0x800ffd00,0x74005ffb,0x0ffec6ff,0x320fff70,0xfd000fff,
    0x1fff300f,0x403ffe80,0x7fe807ff,0x8803ffe2,0x03ffa6ff,0x3f21ffb0,
    0xffb0004f,0x00bff601,0xf301fff7,0x3fe600ff,0x3ff20007,0x7ff40004,
    0xf07fec00,0x7fdc01ff,0x00998807,0x801fffc8,0x3fa3fff8,0x0fff404f,
    0xfa807ffa,0x03ffe64f,0xf887ff90,0x7ffe405f,0x3fff8801,0x2017fec0,
    0x7dc0fffb,0xfff500ef,0x00bff503,0xf703ffd0,0x3fea01df,0x3fea001f,
    0x03ff4005,0x8017fee0,0x7e42fffb,0xffff506f,0x003fff70,0xfc803ff4,
    0x3ffee05f,0x403ffc00,0x2ffdc7fe,0x7f47ffb0,0x87fec00f,0xb0004ffc,
    0x3ff201ff,0x3fffea05,0x003ffd80,0x4000fff3,0x40004ffc,0x7ec00ffe,
    0x417ff20f,0x0007fff8,0x1efff880,0xd1bffaa0,0x3ee05fff,0x04ffc85f,
    0xff81fff3,0x3ffe203f,0x202ffc40,0x201efff8,0xc806ffe9,0x3fea05ff,
    0xfffe80ff,0x9fff950a,0x0017fea0,0x7f407ffa,0xff950aff,0xffa8009f,
    0x03ff4005,0x1017fee0,0x10bfffd3,0x9537bfff,0xfa8ffdff,0x7f4001ff,
    0xdfff1007,0xfffb3115,0x00fff001,0xdffd0ffd,0xbffd7115,0x6c00ffe8,
    0x09ff90ff,0x403ff600,0x511cfffa,0x83fffff9,0x3000fff9,0x64000fff,
    0x740004ff,0x7fec00ff,0x44f7fec0,0x07ffffb8,0x7002aa98,0x77bfffff,
    0x85ffffd9,0x31bffffe,0xf101fffb,0x3ee65bff,0xfffb83ff,0x84ffea82,
    0xfb805ff8,0xcbbdffff,0x801ffffe,0x511cfffa,0x03fffff9,0xffffffb1,
    0x7d40bfff,0xffe8005f,0xffffb101,0x00bfffff,0x800bff50,0x7dc007fe,
    0xeeeeeeff,0x05ffffff,0x3fffffee,0x267fcaff,0xcbaadfff,0xd3cccccc,
    0x7f4c00ff,0xffffffff,0x00fff001,0xffd10ffd,0x1dffffff,0x6c00ffe8,
    0xddff90ff,0xdddddddd,0x03ff63dd,0xffffffc8,0x3ffbbfff,0x30027fec,
    0xdddddfff,0x3ddddddd,0x3bbbbff2,0xeeeeeeee,0x2007ff41,0xffe80ffd,
    0xfdcfffff,0x05ffb807,0x3ffffee0,0x1fffffff,0xfffaefe8,0x201effff,
    0xfffffffa,0x3ff603ff,0xffffccdf,0x00bff106,0x3fffffee,0x01ffffff,
    0x3fffff20,0xffbbffff,0x3fffae03,0x7d402eff,0xffe8005f,0x7fff5c01,
    0x50002eff,0xfe800bff,0x7ffdc007,0xffffffff,0xea802eff,0xf91dffff,
    0x7ffffd4f,0xffffffff,0x000ffd6f,0x7bfffff7,0x03ffc001,0xff703ff4,
    0x3a07ffff,0x7fec00ff,0xffffff90,0xffffffff,0x7003ff63,0x19ffffff,
    0xff99bfe2,0x3fe6000f,0xffffffff,0xf91fffff,0xffffffff,0xe83fffff,
    0x7fec00ff,0xfffdb880,0x700ff93f,0xc9800bff,0xefffffff,0x2adfd00b,
    0x00dffffe,0xfffffd98,0xfffc801d,0x00dfffff,0x4c00bff1,0xfffffffc,
    0xfb8000be,0x10cfffff,0x2a600dff,0xbff50009,0x03ffd000,0x0004d4c0,
    0x0017fea0,0xfb800ffd,0xffffffff,0x88001dee,0xfff50019,0xffffffff,
    0x1ffadfff,0x00198800,0x3a01ffe0,0x0a98807f,0x2007ff40,0xfff90ffd,
    0xffffffff,0x3ff63fff,0x01553000,0x0027fec0,0x3fffffe6,0xffffffff,
    0xfffff91f,0xffffffff,0x00ffe83f,0x22007fec,0x3ee0000a,0x2660005f,
    0x200009aa,0x310001a8,0xb8800135,0x401cdeed,0x30005ff8,0x00013553,
    0x0002aa60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36000000,0x202a006e,0x00f76c2a,
    0x5c1ddd30,0xeb819704,0x3b60002e,0x80fbae1e,0x2002a80a,0x76c05eec,
    0x0fbb623e,0x00009dd5,0x9000376c,0x80000bdd,0xea805eec,0xcdeeeeee,
    0x44000abc,0xeed83eed,0x75c3bb20,0x3b62003e,0x17baa1de,0x003bb200,
    0x777547b2,0xbccdeeee,0xeee9800a,0xeeeeeeee,0x264eeeee,0xeeeeeeee,
    0x4eeeeeee,0x003dddd5,0x21dddd30,0xd8004ee9,0x01dd91ee,0x3ed80000,
    0xdd90eec8,0xddd70001,0x57bddddd,0x3bbb6003,0xeeeeeeee,0x3fa6eeee,
    0xdfffb807,0x7d45fb8b,0x3ff6006f,0x3e21fdc4,0x003ffc86,0x7cdbfe60,
    0xbfff706f,0x200bf717,0x2a01fff9,0x7fd40eff,0x017fee0f,0x007fe800,
    0x0bffff70,0x3ffe2000,0xffffb801,0xffffffff,0xffb000cf,0x0ffe85ff,
    0x7fe47ffa,0xfffd1004,0x03fffb85,0x200fff40,0xfff72ffc,0xffffffff,
    0x7d4019ff,0xffffffff,0x5fffffff,0x3fffffe6,0xffffffff,0x9ffff75f,
    0xffff7000,0x0017fea1,0x7fec7ffa,0x32000000,0x0ffd84ff,0x90001ffd,
    0xffffffff,0x803fffff,0xffffffff,0xffffffff,0xf101ffa7,0xffffffdf,
    0x005ffb05,0xf881fff5,0x82ffdcef,0x40003ffc,0x0ffecffb,0xfffeff88,
    0xfb002fff,0x1ffe805f,0x7dc9ff70,0x3a00005f,0xff98007f,0x0003ffbe,
    0x7003ffc8,0xffffffff,0x7fffffff,0xfdbffc80,0xe83ffa1f,0x09ff91ff,
    0x05fffd10,0x003ffff7,0xf500fff4,0x3ffee5ff,0xffffffff,0xf503ffff,
    0xffffffff,0xbfffffff,0x7fffffcc,0xffffffff,0xdffff75f,0xffffd000,
    0x0017fea1,0x7fec7ffa,0xf3000000,0x1ffb09ff,0x20003ffa,0xfffffffc,
    0x2fffffff,0x3fffffe0,0xffffffff,0x01ffa7ff,0x3f6a29f7,0x7ff980cf,
    0x503ffe80,0x209dfffd,0x80003ffc,0x701ffffd,0x3ff6e29f,0x4ff8800c,
    0x2017fd40,0xbff70ffd,0x3ff40000,0x43ffe200,0x20001ffd,0x2e004ff8,
    0x753305ff,0x2a03ffff,0x1dff16ff,0xaaa82aaa,0x8809ff90,0xf701fffe,
    0x7400dfff,0xfff501ff,0x417fee5f,0xffffb999,0x005ffa81,0x006ff980,
    0x3ffffee0,0x3ffe6001,0x0bff50ff,0x363ffd00,0x800000ff,0xb84ffff8,
    0x003ffa4c,0x2213ff20,0x1fffea99,0xfff10000,0x2203ff4b,0xfc800809,
    0x1bfea03f,0xf9006a20,0x9100007f,0x04c40599,0x132a0004,0x6400f2e0,
    0x00bff71c,0x003ff400,0xcc88b32a,0x13260003,0x00bff700,0x5c1bff62,
    0x0b32a1cc,0x813ff200,0x201fffe8,0x03fffffb,0xd883ffd0,0xf72fffff,
    0x3f6200bf,0x05ffa86f,0x06ff9800,0x3f7fee00,0x3ff2004f,0xbff50fff,
    0x23ffd000,0x00000ffd,0x04ffffd8,0x0001ffd0,0x36009ff9,0x880004ff,
    0x3ff46ffe,0x3e200000,0x5ffd00ff,0x7fe40000,0x00002443,0x00000000,
    0x7fdc0000,0xeeeeeeef,0x7f400bde,0x00000007,0xff700000,0x4ffe800b,
    0x32000000,0xffd104ff,0xeffb803f,0xfe801fff,0x3fffee1f,0xbff72ffe,
    0x27ff4400,0x00017fea,0x8001bfe6,0x06ffbffb,0x3fff3fa0,0x000bff50,
    0x3ff63ffd,0x7d400000,0xd004ffcf,0xf90001ff,0x3fe6009f,0xffd80006,
    0x003ff40f,0xfb800662,0x06ffb84f,0xfc803310,0x001ba23f,0x04c40662,
    0x4402aea2,0x055d4409,0x98801988,0x3ffffee1,0xffffffff,0x0ffd00df,
    0x99880331,0x3104cc00,0x33333333,0xf7013333,0xffa800bf,0x0066200f,
    0x7fe40662,0x1fffe884,0xfdbffb80,0x1ffe806f,0xf91dfff5,0x017fee5f,
    0x541fff30,0x980005ff,0x2e0006ff,0x01ffcbff,0xfff9ff98,0x000bff50,
    0x3ff63ffd,0x00266600,0x3fe73fe2,0x3fa19884,0x806ea60f,0x3e004ffc,
    0x320000ff,0x7fe81fff,0x007fec00,0x7c43ffd0,0xffb001ff,0x99ffe401,
    0xfd8005ff,0xf35fe80f,0x81bfffff,0xffff35fe,0xffd81bff,0xb87fec00,
    0xffffffff,0x6fffffff,0xffb0ffd0,0x027fec03,0x7fec7ff5,0xffffffff,
    0xffb82fff,0x2ffd8005,0xb003ff60,0x9ff901ff,0x01fffe88,0xff17ff70,
    0x1ffe809f,0x7fe47ff5,0x000bff72,0x7fd45ffd,0xff980005,0x3fee0006,
    0xc804ff9b,0x2a1fff6f,0xfe8005ff,0x201ffb1f,0xe800effc,0xb09ff36f,
    0x23ffa1ff,0x5ffffff9,0x1004ffc8,0x5c000dff,0xffd03fff,0x00ffd800,
    0xfc97fea0,0x3ff6004f,0x2afff200,0xd8000dff,0xadfe80ff,0xffffffff,
    0x3eb7fa0e,0xefffffff,0xb003ff60,0x17fee1ff,0x17fff620,0xfa8ddffa,
    0x1bffe04f,0x3f60ffc8,0xffffffff,0xfb81ffff,0xffc8005f,0x003ff604,
    0xff901ffb,0x077ff449,0x2a7ff700,0x3fa01fff,0xfc81751f,0x00bff72f,
    0x7d49ff70,0xf980005f,0x3ee0006f,0xf00dff3f,0x543ffe7f,0xfe8005ff,
    0x901ffb1f,0xf7001dff,0x213fe63f,0x9ffd0ffd,0xffffffff,0x004ffc8b,
    0x20009ff7,0x3a04fff9,0x7fec007f,0x4fff4000,0x2000fff8,0x3f200ffd,
    0x0004ffef,0x3fa03ff6,0xf712dfff,0x7fff47ff,0xfff712df,0x2007fec7,
    0xbff70ffd,0x07ffdc00,0x447f7ffa,0xfff306ff,0x11bfe01f,0x33333333,
    0x2e0bffb3,0xfa8005ff,0x03ff605f,0xf901ffb0,0x3bffa29f,0x1ffdc000,
    0x7f40dffb,0x97fe401f,0x98005ffb,0x17fea5ff,0x1bfe6000,0x93ffb800,
    0x7fcc03ff,0x3ea1fff1,0xffe8005f,0xfc81ffb1,0xff9800ef,0x3613fe64,
    0xffffd0ff,0x3fff2639,0x2013ff24,0x8000effc,0x7406fff8,0x4133267f,
    0x4c000ffd,0x03ffcdff,0x9007fec0,0x0007ffff,0xfe80ffd8,0xdff701ff,
    0xb80ffff4,0x03ff66ff,0x3ee1ffb0,0x7ffc005f,0x077fff42,0xff701ffb,
    0x7ff305ff,0x0dff9000,0x4002ffdc,0x3f606ff9,0x07fec00f,0x7f467fe4,
    0x5c000fff,0x3ffe23ff,0x803ffd04,0xbff72ffc,0x4dff3000,0xcccceffa,
    0xcccccccc,0x667ffcc3,0xcccccccc,0xf99ffdc4,0xf9bf204f,0xffff50ff,
    0xffffffff,0x23ffffff,0x3ff20ffd,0x8dfd000e,0xffd84ff9,0x205fffd0,
    0x3ff25ffa,0xfeeeeeee,0x0000dfff,0xe801fffd,0x41ffea7f,0x4cc00ffd,
    0xffffe999,0x4019999f,0x3f200ffd,0xd80002ff,0x4ffe80ff,0xffd3ffc0,
    0x367ff809,0x7fec00ff,0x800bff70,0x7ff43ffd,0x417fdc0e,0xb84ffdfd,
    0x7dc001ff,0xffff80ef,0xffffffff,0x40fff101,0x7ec00ffd,0xecffc80f,
    0x005fffff,0x3ea1ffdc,0x1ffe81ff,0xfb97fe40,0xff88005f,0x3ffffea7,
    0xffffffff,0x7ffcc6ff,0xffffffff,0x1ffdc7ff,0x1ffc0dfd,0x3fea1fff,
    0xffffffff,0xffffffff,0x3f21ffb1,0xff9000ef,0xd84ff983,0x09ffd0ff,
    0x3ff26ff8,0xffffffff,0x90001fff,0xfd003fff,0xd83ffd4f,0x7ffc00ff,
    0xffffffff,0x201fffff,0xfd100ffd,0x3600007f,0x2ffe80ff,0xfe87ff40,
    0x87ff402f,0x7ec00ffd,0x00bff70f,0x3e64ffc8,0x4ff880ff,0x86fdaff8,
    0x7d4006fe,0xffff00ff,0xffffffff,0x03ffe203,0x36007fec,0xfffc80ff,
    0x3fff9eff,0x20ffee00,0xffe86ffd,0xb97fe401,0xf88005ff,0xffff50ff,
    0xffffffff,0xff98dfff,0xffffffff,0x7fdc7fff,0x2607ff23,0x43ffe0ff,
    0xeeeefffa,0xeeeeeeee,0x1ffb1fff,0x2001dff9,0xff983ffa,0xfd0ffd84,
    0x27fe805f,0xfffffffc,0x3fffffff,0x1fffdc00,0x3267fe80,0x01ffb04c,
    0xfffffff8,0xffffffff,0x03ff601f,0x00ffffe6,0x407fec00,0x7ec01ffe,
    0x803ffd0f,0x1ffb0ffd,0xf70ffd80,0xffe800bf,0x40ffff72,0x47fd47fe,
    0x3fe20ffb,0x3ffe6004,0x3fee6601,0x0199999d,0xfd81ffe6,0x07fec00f,
    0x877fffe4,0x7001fffb,0xfff107ff,0x401ffe89,0xbff72ffc,0x4fff3000,
    0x9999effa,0x99999999,0x4cf7fcc0,0x99999999,0xf31ffdc1,0xf8df909f,
    0x0bff50ff,0x363ffd00,0x03fffcff,0x260bff10,0x0ffd84ff,0xfd803ffd,
    0x209ff90f,0xefffba98,0x4fff9800,0x001ffa00,0x99801ffb,0xdffa9999,
    0x40199999,0xfff80ffd,0xb00003ff,0x1ffd01ff,0xfd0ffd80,0x0ffd801f,
    0xfd801ffb,0x00bff70f,0xff8fffd4,0x3ff207ff,0x7fcdbf21,0x4007fea2,
    0x7003fff8,0xf5000bff,0x07fec0ff,0x3203ff60,0x7ec0efff,0xffb800ff,
    0x43fff503,0x7e401ffe,0x00bff72f,0x7d4dff50,0xf980005f,0x3ee0006f,
    0x7c37f43f,0xa87ffc3f,0xfe8005ff,0xfffffb1f,0xffb001ff,0x213fe601,
    0x1ffd0ffd,0xf90ffd80,0x3fa6009f,0x7ffc403f,0x03ff4005,0x0003ff60,
    0x80027fcc,0xccf80ffd,0xb00003ff,0x1ffd01ff,0xfd0ffd80,0x0ffd801f,
    0xfd801ffb,0x00bff70f,0x9e97ffea,0x3fe607fe,0x4ff93fa3,0x74401ff6,
    0x3ee004ff,0xffc8005f,0x003ff606,0xff901ffb,0xbfff101d,0x407ff700,
    0x3ffa6ffd,0xb97fe401,0xfc8005ff,0x017fea5f,0x01bfe600,0x643ffb80,
    0x03fea1ff,0x3fea1fff,0x1ffe8005,0xffbdfffb,0xadffa80b,0xffcaaaaa,
    0x1ffb2aad,0xfb003ffa,0x013ff21f,0x7405ffa8,0x74000eff,0x7fec007f,
    0x66666400,0xccceffdc,0x3f600ccc,0x7ff9280f,0x3ff60000,0x400ffe80,
    0x1ffd0ffd,0xfb0ffd80,0x0ffd801f,0x9999dff7,0xffffdb99,0x07fe841f,
    0x2ff8affc,0x04ff9ff6,0x800bffd0,0xd8005ffb,0x3ff603ff,0x407fec00,
    0x3ea04ffc,0x7fdc03ff,0x53ffe203,0x7e401ffe,0x00bff72f,0x7d49ffb0,
    0xf980005f,0x3ee0006f,0xb27fcc3f,0x21fff0bf,0xe8005ffa,0x2bffb1ff,
    0x3202fff8,0xffffffff,0x6fffffff,0x3ffa1ffb,0xc87fec00,0x3e2004ff,
    0xfff900ff,0x0ffd0003,0x400ffd80,0xffffffff,0xffffffff,0x803ff601,
    0x00003ffc,0xffd01ffb,0xd0ffd801,0xffd801ff,0xd801ffb0,0xffff70ff,
    0xffffffff,0x3fa03dff,0xfabfe407,0x2a7fee0f,0xffd802ff,0x5ffb8006,
    0x0fffcc00,0xd801ffb0,0x4ffc80ff,0x00fffec0,0xfa807ff7,0x01ffe9ff,
    0xffb97fe4,0x7ffcc005,0x0017fea1,0x001bfe60,0xfe83ffb8,0xff05ff16,
    0x017fea1f,0x7ec7ffa0,0x03ffea0f,0x7fffffe4,0xffffffff,0x3a1ffb6f,
    0x7fec00ff,0x8009ff90,0xffa81fff,0xffd0002f,0x00ffd800,0x7777776c,
    0xeeeeefff,0x03ff601e,0x0003ffc8,0xfd01ffb0,0x0ffd801f,0xfd801ffd,
    0x801ffb0f,0xfff70ffd,0xffffffff,0x7fe805bd,0x7e57fd40,0x7e5ffcc6,
    0x0fffc807,0x05ffb800,0x2037ff40,0x7ec00ffd,0x04ffc80f,0x8077ff44,
    0xfd803ffb,0x401ffeef,0xbff72ffc,0x45ffe800,0x80005ffa,0x20006ff9,
    0xffc83ffb,0xff80ffa9,0x00bff50f,0x3f63ffd0,0x82ffec0f,0xaaaaaaa9,
    0xaadffcaa,0x3fa1ffb2,0x87fec00f,0x26004ffc,0xfff987ff,0x1ffa0004,
    0x001ffb00,0x0013fe60,0xf9007fec,0x3600007f,0x0ffe80ff,0xfe87fec0,
    0x87fec00f,0x7ec00ffd,0x33bff70f,0x80013333,0x7fc407fe,0xdff84fec,
    0x7fdc05fe,0xff70001f,0x7ffdc00b,0x007fec02,0x3f203ff6,0xfff9804f,
    0x007ff704,0x3ffffff1,0xf72ffc80,0x7fdc00bf,0x02ffd41f,0x037fcc00,
    0x307ff700,0x20bfb9ff,0xbff50fff,0x23ffd000,0x7fc40ffd,0x3e60002f,
    0xd0ffd84f,0xffd801ff,0x4009ff90,0x7f445ffd,0x7f40005f,0x07fec007,
    0x04ff9800,0x401ffb00,0x00003ffc,0xffd01ffb,0xd0ffd801,0xffd801ff,
    0xd801ffb0,0x0bff70ff,0x03ff4000,0x417fffec,0x202ffffc,0x0001fffa,
    0x31017fee,0xb00bfffd,0xffd801ff,0x004ffc80,0xf705fff9,0x3fea007f,
    0x7e401fff,0x80bff72f,0x84fffea8,0x80005ffa,0x20006ff9,0xdfd03ffb,
    0x3ffe05ff,0x000bff50,0x3ff63ffd,0x00fffa80,0xb09ff300,0x03ffa1ff,
    0x3f21ffb0,0xffd9804f,0x037fec2f,0x003ff400,0x40003ff6,0xb0004ff9,
    0x7fe401ff,0xeeeeeeee,0xfb01eeee,0x01ffd01f,0xffd0ffd8,0xb0ffd801,
    0xffd801ff,0x000bff70,0x5c03ff40,0xfa80ffff,0xff300fff,0x999755bf,
    0xf7079999,0xddddddff,0x0bffffff,0xb003ff60,0x9ff901ff,0x07fff400,
    0xd800ffee,0x6401ffff,0xdfff72ff,0xfffddddd,0x3ea09fff,0xeeeeeeff,
    0xeeeeeeee,0x000dff31,0xfc81ffdc,0xfff00fff,0x0017fea1,0x7fec7ffa,
    0x00bffb00,0x3613fe60,0x01ffd0ff,0xff90ffd8,0xdddddddd,0xa89fffff,
    0xeeeeefff,0xeeeeeeee,0x00ffd2ee,0x0000ffd8,0x20009ff3,0x3f200ffd,
    0xffffffff,0xb01fffff,0x1ffd01ff,0xfd0ffd80,0x0ffd801f,0xfd801ffb,
    0x00bff70f,0x403ff400,0xf106fff8,0x7fd40bff,0xffffffff,0xfb86ffff,
    0xffffffff,0x002effff,0xfb003ff6,0x09ff901f,0x237ffcc0,0x22003ffb,
    0x6401ffff,0xffff72ff,0xffffffff,0x7fd407ff,0xffffffff,0x1fffffff,
    0x4000dff3,0xff303ffb,0x87ffc0bf,0xe8005ffa,0x01ffb1ff,0x000bffe2,
    0x3f613fe6,0x801ffd0f,0xfff90ffd,0xffffffff,0xff509fff,0xffffffff,
    0xffffffff,0xb001ffa5,0x260001ff,0xfb0004ff,0x7ffe401f,0xffffffff,
    0xffb01fff,0x801ffd01,0x1ffd0ffd,0xfb0ffd80,0x0ffd801f,0x0000bff7,
    0xfe803ff4,0x0fffa04f,0xffffffa8,0xffffffff,0xfffffb86,0x1deeffff,
    0x00ffd800,0x7e407fec,0x7fdc004f,0x00ffee4f,0x803fff50,0xfff72ffc,
    0xbdffffff,0xfff50059,0xffffffff,0x23ffffff,0x20006ff9,0x3fa03ffb,
    0x43ffe02f,0xe8005ffa,0x01ffb1ff,0x0007ffdc,0x3f613fe6,0x801ffd0f,
    0xfff90ffd,0xddffffff,0x3fea017b,0xffffffff,0xffffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0006f764,0xdd13eed8,0x00fbae5d,
    0x7ddb0000,0xeeeea800,0xcccdeeee,0x3bbbaa02,0xcceeeeee,0xeeb800ac,
    0x7754000e,0x3bbbba25,0xeeeeeeee,0x403eeeee,0x01bcddca,0x26007dd5,
    0xd3003eee,0x2aaaa29d,0xaaaaaaaa,0x07dd92aa,0x02775400,0x3101fff2,
    0x33333333,0x0000ccc1,0x555555c0,0xaaaaaaaa,0x774c02aa,0xbb988002,
    0xba88000a,0x32a6009b,0x7530001a,0x2a200015,0xba88009b,0xa9880009,
    0x880009ac,0x26000aba,0x22009bba,0x21988019,0x10ccc199,0x9000bfff,
    0x3fe21dff,0x009ff93f,0x7ffd4000,0x7ffdc006,0xffffffff,0x7d40cfff,
    0xffffffff,0x04ffffff,0x2005ffe8,0x3e62fff8,0xffffffff,0xffffffff,
    0xffff504f,0x9819ffff,0xff7006ff,0x3ff200ff,0xffffff73,0xffffffff,
    0x001ffead,0x6402ffe8,0x7fd407ff,0x5fffffff,0x98807ffe,0x8fe20abb,
    0x201c0003,0x22003ff9,0xeffffffc,0xffffa801,0x3ea4efff,0x02efffff,
    0xffffff90,0xfd91003d,0x905dffff,0x1dffffff,0xffffd300,0x8801bfff,
    0xdfffffec,0x3fffaa01,0xfe81efff,0x3e7fe807,0x87ffe0ff,0x2002fffb,
    0x3e21fff9,0x09ff93ff,0x7fec0000,0x3ee002ff,0xffffffff,0x45ffffff,
    0xfffffffa,0xffffffff,0x7ffcc05f,0x89ffd003,0xfffffff9,0xffffffff,
    0xffb84fff,0xfffecdef,0x800fff86,0x801ffffe,0xfff71ffe,0xffffffff,
    0x7ffcdfff,0x7ff88002,0x407ffc80,0xfffffffa,0x07ffe5ff,0x3fffff62,
    0x0e4feadf,0xf9807000,0xfff5003f,0x7fffffff,0x7ffffe40,0xfccffffe,
    0xffffefff,0x3fffa602,0x03ffffef,0x3bffffa6,0x3f63ffff,0xffffefff,
    0x3ffff202,0x0fffffef,0xffffff30,0xf503ffff,0xffffffff,0x807fe85f,
    0x83ffe7fe,0x7fec1fff,0x9ffd000f,0xf93fff88,0x2000009f,0x05ffcff8,
    0x9817fee0,0x24fffe99,0xb3005ffa,0xfb809fff,0x7fe401ff,0x5ffa8006,
    0x1fffcc00,0x3627ff4c,0x7fc402ff,0xff803ffe,0x2aaaaa27,0xffbaaaaa,
    0x017ff22f,0x2013ff20,0x4c404cca,0x99999999,0xf507ffe0,0xffffffff,
    0x00038bff,0x0ffe601c,0x877ffe20,0xa82fffb8,0xffb82eff,0x3261efff,
    0xffd00fff,0x7ffdc43b,0x15dffd01,0x3b3ffea2,0x7fdc1eff,0xbfffa81f,
    0x427ff541,0x261dfff8,0x7fc0fffc,0x3ff260bf,0x7403ff47,0xf83ffe7f,
    0x7ffc41ff,0x86ffc804,0xff93fff8,0x2e000009,0x00ffd9ff,0x400bff70,
    0x3fea7ffc,0x3ffec005,0x5037fec0,0x50001fff,0xfe800bff,0x3ffe602f,
    0x5013fee1,0x80bff5ff,0x90005ff9,0xfff989ff,0x07ff4000,0x40000000,
    0x7ffc4199,0x3fff6a1d,0x0e0001c3,0xb007ff30,0x7fd409ff,0x007ff40f,
    0x440dfff9,0x5ffb86ff,0x321bfe60,0xff300fff,0x7cc0bfff,0x03ffd85f,
    0x3f21ffee,0x8fffa04f,0x3fa04ff9,0x201ffa2f,0x83f267fe,0xfff70199,
    0x0fffcc03,0xfc9fffc4,0xd000004f,0x00ffeadf,0x1002ffdc,0x3fea3fff,
    0x7ffcc005,0x27ffc401,0x0017ffc4,0x4005ffa8,0xffe806ff,0x901bfe62,
    0x701ff6ff,0xf30007ff,0x0bffa0bf,0x885ff980,0x99999999,0x10099999,
    0xffb00033,0x3fffe609,0x070000e0,0x4c03ff98,0xffd807ff,0x5013fe64,
    0xfb803fff,0x03ffe22f,0xfe85ffb0,0x7ffdc01f,0x0ffe400f,0xf880dfd1,
    0x00fff87f,0xffa9bfe6,0xe82b2603,0x47fe807f,0xffd8007c,0x413ffa06,
    0xff92fff8,0xf3000009,0x01ffe29f,0x2002ffdc,0xbff53ffe,0x07ffd000,
    0xe85fff50,0x2a0004ff,0x3e6005ff,0x4ffb805f,0x3fa03ffc,0x6c05ff75,
    0xfe8000ff,0x0bff700f,0x6c17fe40,0xffffffff,0xb02fffff,0x7cc001ff,
    0xfdfd107f,0x20001c9f,0x95555533,0x55555bff,0x200ffea5,0x80105ff9,
    0xf8807ff9,0x013fea4f,0xff893fee,0x5fff8806,0x004ffa80,0xff11ffa0,
    0xf9813009,0x7f4002ff,0x747fe807,0xfff88005,0x406ffb84,0x9ff92fff,
    0xffb00000,0x4017fec5,0x64005ffb,0x0bff54ff,0x005ffd00,0x7e43fff2,
    0x7d40006f,0x0ccc005f,0x361ffe40,0x7ff301ff,0xff813fe6,0x3ffc8006,
    0x003ffe20,0x7ec1ffe2,0xffffffff,0xfb01ffff,0x7fdc001f,0xff3bfb03,
    0x4e0001cb,0xfffffffd,0x6fffffff,0x3e005ff9,0x32a2007f,0x9999effe,
    0x5ff99999,0x26673fee,0xffa99999,0x4013fe65,0x9999cffe,0x5ff99999,
    0x3f6e6200,0x0ffea0ff,0xffffe800,0x3ff400ac,0x3f93ff40,0x3ffee000,
    0x007ffe61,0x3ff23fff,0x7c400004,0x02ffd47f,0x2002ffdc,0xbff52ffd,
    0x1fff8800,0x39ffd100,0x80001fff,0x00005ffa,0xa83fff10,0x3ff703ff,
    0xff9837fc,0x37fcc004,0x401ffec0,0x33104ffa,0xb3333333,0x7fec0bff,
    0x0bff2000,0x37fc3bee,0xfb380007,0xffffffff,0x36dfffff,0xffd001ff,
    0xffd95101,0xffffffff,0xffffffff,0x7fffe4ff,0xffffffff,0x0ffee6ff,
    0x7ffffec0,0xffffffff,0xfd97106f,0x1fffffff,0x00017fdc,0xffffffd1,
    0x0ffd017d,0x3fd7ffd0,0x6ffd8000,0x3a00fff6,0x09ff91ff,0x4ffb8000,
    0x5c00fff8,0x3e6005ff,0x0bff51ff,0x037ff4c0,0x3ffffe60,0xfa80002f,
    0x5000005f,0xff881fff,0xfc8ffb05,0x02ffb80f,0x4017ff40,0xfd806ff9,
    0x3f20001f,0x07fec06f,0x983ffb00,0x39ffa1ff,0x9989c000,0x9cffa999,
    0xffd09999,0x03ffa001,0xfffffff7,0xffffff9b,0xffffffff,0x3ffff61f,
    0xffffffff,0x0bff27ff,0x7ffffe40,0xffffffff,0xffffc87f,0xffecefff,
    0x000bff20,0x3ffffae0,0x3ff42fff,0x05efff40,0x7ffc4000,0xd005ffaa,
    0x13ff21ff,0x3ffd0000,0xb809ff90,0xfd3005ff,0x4effd4df,0xba999999,
    0x001ffffc,0x04ffffb8,0x0bff5000,0xffd10000,0x7c1ffa07,0x41ffd44f,
    0x2a000ffd,0x3fa006ff,0x1bfe200f,0x0effb800,0x0007fec0,0x7f441ffd,
    0x0387ff42,0x3e601c00,0x0ffec03f,0x320fff80,0x21acffff,0x9999dff9,
    0x19999999,0x2666fff2,0x99999999,0x400ffee1,0x9999bffd,0x19999999,
    0x5ef7ffe4,0xc83ffa09,0x200002ff,0xfffffdb8,0x3e01ffa3,0xb800007f,
    0x00ffffff,0x3f21ffb0,0x2600004f,0xfff306ff,0xaaeffb80,0xfdcbaaaa,
    0x3fea1fff,0xffffffff,0x01efffff,0x03fffa00,0x2ffd4000,0x7ff40000,
    0x307ff205,0x5ff885ff,0x6c006ff8,0x3ee003ff,0x0ffee03f,0x07ffd400,
    0x0007fec0,0x27ec3ffb,0x00073ffc,0x1ffcc038,0x400bff20,0x3ffe67ff,
    0x01bfe601,0x003ffb80,0x400ffea0,0x20004ffe,0x7c02fff9,0x0ffea0ff,
    0x2a000220,0x1ffa6ffe,0x000fff10,0x3ffff600,0xc9ff6002,0x200004ff,
    0x3fa03ffc,0x3ffee02f,0xffffffff,0x7d42ffff,0xffffffff,0x00bdffff,
    0x3fffea00,0xff500004,0xfd80000b,0x3fea00ff,0x7407fe42,0x01ffcc7f,
    0x001fff10,0xfd037fc4,0xff30001f,0x3ff6003f,0x4fff2000,0x4dff06fb,
    0x201c0003,0x7dc03ff9,0x6ff9804f,0xf5013ff2,0x559100ff,0x4402ffd4,
    0x1bfe61ab,0x017ffe20,0xffc82ae2,0x07ffc404,0xfd00bff3,0x100ea61f,
    0x3ffa1fff,0x01ffe600,0x7ffc4000,0x93fe4005,0x400009ff,0x3ee00fff,
    0x3ffee05f,0xffffffff,0xdff504ef,0xffb97555,0xf100007f,0x005fffff,
    0x00bff500,0x3fffa200,0x227fc400,0x3ff906fe,0x7000ffdc,0xfb0009ff,
    0x09ff303f,0x07fff100,0x0007fec0,0x1ff3bff7,0x01cbff30,0xff300e00,
    0x0fff9807,0xfd1fff40,0xfffe803f,0x12ffe402,0xfd803fff,0x00fffc4f,
    0x007ffff2,0x7fec7ffb,0x07ffdc02,0x4401fff1,0x0fff66ff,0x3f61ffd0,
    0x1ffee01f,0xffd80000,0x937dc002,0x200009ff,0xeeeefffa,0x0fffeeee,
    0x555dff70,0x50013555,0x7fcc0bff,0x7ec0005f,0x00fffccf,0x02ffd400,
    0x77ff4c00,0x44dfd000,0x7ff303ff,0x3a003fec,0xfa8001ff,0x01ffc84f,
    0x027ff440,0x5403ff60,0xffff30aa,0x8fffa05f,0x201c0003,0xfc803ff9,
    0x3ffee05f,0xd817ff60,0x301fffff,0xffb83fff,0x3fff500e,0x500effa8,
    0x01dfffff,0xfc83ffea,0x3ffea05f,0x02ffdc0f,0x7fdc7ffb,0xc9bfea06,
    0xfff506ff,0x0155500f,0x0017fec0,0x4ffc9bee,0xfffb0000,0xffffffff,
    0x3ee09fff,0xfa80005f,0x7ffcc05f,0xfff70005,0x00bffd11,0x005ffa80,
    0x077ffcc0,0x2a1ff900,0x93fe01ff,0x3e6005ff,0x3fe0006f,0x8006ff87,
    0xd8005ffe,0x3fff00ff,0xb827ffec,0x0001c6ff,0x05dd300e,0x15dfff10,
    0x81fffb31,0x711bfffa,0xfff99ffb,0xfff95137,0x2bfffa09,0x09fff950,
    0x4c6ffffa,0xffdbfffc,0xfffb51bf,0x1cfffa87,0xfffff951,0x15dffd03,
    0x88bffd71,0xa89beffe,0x3e23fffc,0xfca9adff,0xff807fef,0x3ff6001f,
    0x92fd4002,0x100009ff,0xdddddfff,0xfffddddd,0x0017fee0,0x2017fea0,
    0x4003fffa,0x3e62fff9,0x2a0003ff,0x260005ff,0xa8005fff,0x80ffb2ff,
    0x07ff36fd,0x0017fec0,0x7d45ff90,0x7fec003f,0x1ffb0006,0xf887ffe0,
    0xd989beff,0x001c1fff,0x200000e0,0xffffffe9,0xffb01fff,0x5fffffff,
    0x7fffffd4,0x36204fff,0xffffffff,0x3ff6205f,0x1fffffff,0x3ffffff2,
    0xff904fff,0x7fffffff,0xfd107ff7,0xdfffffff,0xfffff301,0x707fffff,
    0xffffffff,0xff00ff95,0x7fec003f,0x92fd4002,0x700009ff,0x7fc009ff,
    0x05ffb82f,0x05ffa800,0x003fff90,0x3213ffa2,0x50001fff,0x2a000bff,
    0x10004fff,0x017fe9ff,0x1ff51ff7,0x01ffe200,0x6cbff300,0x3f2000ff,
    0xfb0000ff,0x87ffe01f,0xfffffffa,0x0382ffff,0xeeec9c00,0xeeeeeeee,
    0xff705eee,0x8017bfff,0xcefffffb,0xffffd980,0xfd7002ef,0x005dffff,
    0x3fffffaa,0xfffdb81d,0x7dc01eff,0x10cfffff,0x7fdc0dff,0x4403ffff,
    0xdffffffc,0x3fffaa01,0x00ff91df,0x6c003fff,0x098002ff,0x00013ff2,
    0xc8007ffa,0x5ffb86ff,0x5ffa8000,0x1dffd100,0x40dffb00,0x50006ffe,
    0xf5000bff,0xd80007ff,0x402ff9df,0x06fcaff9,0x001bfe60,0x7fc5ffa0,
    0x3ffee005,0x3ff60001,0x7cc3ee00,0xfffffbaf,0x000700cf,0xfffffb38,
    0xffffffff,0x019880df,0x00135300,0x00004d44,0x40001353,0x2a2000a9,
    0x554c0009,0xa9880000,0x0a998000,0x000cc400,0xffd80000,0xffc80002,
    0x7fcc0004,0x7ffc4006,0x002ffdc1,0x002ffd40,0xb809fff3,0x3e600fff,
    0xfa8004ff,0x7fc4005f,0xfb80003f,0xf800ffbf,0x2004febf,0x80004ffb,
    0x2ffaaffb,0x03fff500,0x00ffd800,0x4c3e99f6,0x003801aa,0xffffd9c0,
    0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4002ffd8,0x9ff90aaa,0x3ffc8000,0x44ffd800,0x80005ffb,
    0x6c005ffa,0xff301fff,0xfff7007f,0x5ffa8005,0x027fec00,0xfeff9800,
    0xffdf9006,0x1ffec005,0x67fc4000,0xff3006fd,0x999755bf,0x36079999,
    0x8bf300ff,0xccd80000,0xcccccccc,0x004ccccc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8005ffb,0xddff92ff,
    0xdddddddd,0x1fff83dd,0x47ffa800,0x80005ffb,0x44005ffa,0xfe886fff,
    0x3ff6005f,0x3fea000f,0x3ffea005,0xeeeeeeee,0x7fc03eee,0xff5004ff,
    0x7f4001ff,0xf900001f,0x2a007fff,0xffffffff,0x06ffffff,0xdf101ffb,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fec0000,0x97ffc002,0xfffffffc,0x1fffffff,0x8001bfea,
    0x3fee3fff,0xffa80005,0xfffa8005,0x007ffec3,0x00bfff10,0xb002ffd4,
    0xffffffff,0x09ffffff,0x002fffd8,0x800dfff1,0x00000fff,0x001ffff3,
    0x3fffffea,0xffffffff,0x201ffb06,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd80000,0x97ffc002,
    0xfffffffc,0x1fffffff,0x8000fff6,0x3fee6ffc,0xffa80005,0xfffb0005,
    0x007ffea1,0x00fffea0,0xd002ffd4,0xffffffff,0x09ffffff,0x4007ffb8,
    0x7c003ffe,0x7400007f,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x300abb98,0x00662599,0x09988662,
    0x4c433100,0x1005dc40,0x13101575,0x100aba88,0x09988033,0x33104cc0,
    0x33333333,0x4ccc1333,0x104cc400,0x220dcc13,0x04ccc019,0x20000331,
    0x88006229,0x00001442,0x200132a0,0x2fec3fe8,0x7fcc1df7,0x17003801,
    0x00033100,0x00002662,0xdefdb980,0xfc800001,0x6f7edc45,0x8804c402,
    0xcccccccc,0x1ccccccc,0x99999991,0x99999999,0x9dd50003,0xeea85554,
    0x301ddd14,0x00098015,0x3fff2200,0x7d41efff,0xd00ffd5f,0x02ffd4ff,
    0xbfd37fc4,0x3fffffea,0x3ffffa62,0xf9aff43f,0x40dfffff,0x3f601ffd,
    0x8ffea04f,0xfffffffd,0x22ffffff,0x3e205ffd,0x6d7fa2ff,0xffd1ffff,
    0xb077fec0,0x5c0001ff,0x43fd13fe,0x3fa20ba8,0x0033fe22,0x01ff6000,
    0xff51bf20,0x7e44fe83,0x202fe406,0x7ec00efb,0xffc8000f,0x3ffaa005,
    0xdfff103e,0xf9101fff,0x6403bfff,0x3ffe25ff,0x3603ffff,0xffff103f,
    0xffffffff,0x3fe27fff,0xffffffff,0x5c3fffff,0xffb84ffe,0x7dc7ffe5,
    0x03fff16f,0xffb103ff,0x34405bff,0xffffff50,0x7d47ffff,0xd00ffd5f,
    0x00fff8ff,0xbfd1ffd4,0xfffffff5,0xfffff31f,0x6ff47fff,0xfffffffa,
    0x13fea0ef,0x3206fff8,0x3fff60ff,0xffffffff,0x3ffe21ff,0xe89ffb03,
    0xfffffbdf,0x3f20ffd0,0x07fec0ef,0x3fff2200,0xb7fff73f,0xfd7dffff,
    0x7fffc4bf,0x3600002d,0x7fd4007f,0x2a13fe22,0x13fe22ff,0xb82fffc4,
    0x3e202fff,0xfc8004ff,0xfffb005f,0xbfb0bfff,0x7ec27fc4,0x41fffeff,
    0x325fffea,0x1ffb10ef,0x7c40bf60,0xffffffff,0x13ffffff,0xffffffff,
    0x7fffffff,0x37feffec,0xfff97fee,0x3e2dff71,0x17fcc1ff,0x3fffffe6,
    0xc98acfff,0xbfff107f,0x9fffdc43,0x0ffd4fea,0xffc8ffd0,0xd07fec03,
    0x7137ffff,0x5bffdffd,0xfe9fff66,0xf712dfff,0x37fc47ff,0x00ffff98,
    0x99988dff,0xfd999999,0x0fffa85f,0x7f437fdc,0x25dbdfff,0xeffc87fe,
    0x000ffd80,0x9fffffb5,0x7ffffdc1,0x5fffffff,0xeffffeb8,0x7ec0000b,
    0x17fe2007,0x3f601ffb,0x40bfee0f,0x7dc5fff8,0x7fe402ff,0x7e4000ff,
    0xdffa805f,0x4c2ffd99,0x2a2ff40a,0x97fa21ff,0x15fdcff9,0x1ff98599,
    0x388fe453,0x1ffcc000,0x37ee0000,0x7dc9f910,0x5c7ffe5f,0x3fff16ff,
    0x90ffec98,0xffffdfff,0xffffffff,0xa813ff60,0x74be0fff,0x47fe807f,
    0x3e206ff9,0x17fff45f,0x817fffc4,0xfffd1ffe,0xb1bfee03,0xfff701ff,
    0x07ff305f,0x40dff900,0x3fe65ffd,0x1fffe81f,0xff91ffa0,0x03ff601d,
    0xffffeb88,0x3fff602e,0x7fffc9ad,0x7fffecc0,0xfb0001cf,0x0ffec00f,
    0x7cc07ff7,0x807ff45f,0xff75fff8,0xfbff005f,0x8000007f,0x07fd84fe,
    0x260ffe4c,0x266fb83c,0x700bf90c,0x667fe4ff,0x002ffcbf,0x000ffe60,
    0xf881fb00,0xf717fee6,0xff97fea1,0x29ff100f,0x7f64c2fc,0x82ffffff,
    0x6c00fff9,0x3a3f33ff,0x87fe807f,0xff700ffe,0x204ffe85,0x3f205fff,
    0x809ffd2f,0x17fdc7ff,0x427fefec,0x5c001ffb,0x3a200eff,0x07ffd2ff,
    0xfd013ffa,0x0077fe4f,0xf9301ffb,0x0039ffff,0xfd101ffd,0xff71001f,
    0x8005bfff,0xff7007fd,0x4037fc49,0x3fea2ffc,0x3bffe205,0xfb802fff,
    0x0007fd9f,0x5c0ffc00,0xfff300ff,0xfb753001,0x202fe40f,0x3ff24ff9,
    0x3fffffff,0x0ffe6000,0x20fd0000,0xb0ffea7e,0xfd27fccf,0xffda998f,
    0xec980172,0xff500cdf,0x1dff3007,0x403ff49d,0x3ffb87fe,0xffd0ffd0,
    0x01ffec05,0x3ffa7ff7,0x107ff402,0xb5ff09ff,0x00dfd0df,0x800fffa8,
    0x5ffcfff9,0xd00bffa0,0x03bff2ff,0x7541ffb0,0x00beffff,0x5409ff10,
    0x6d4003ff,0x00bfffff,0xf8807fd8,0x0bff60ff,0xd83ffe20,0x3fe203ff,
    0xfd002fff,0x360bfe6d,0xffffffff,0x36ffffff,0x3ff101ff,0x0bbfb260,
    0x3fffffaa,0x817f207f,0xf7305ffb,0x000015ff,0x00007ff3,0x37c41fd8,
    0x2fcc5ff1,0x37ec7ff1,0x0bfffff1,0xffc80000,0x7ffff002,0xfe807fe8,
    0x986ff887,0x1ffe84ff,0xb80bff20,0x03ffd3ff,0x7f40ffd8,0x7dc7fd47,
    0x013fe20f,0x001fff98,0x03bffff2,0x7401ffe8,0x02fffcff,0xff10ffd8,
    0x70003bff,0x5ff803ff,0xfff91000,0x3fffe27f,0xffffffff,0x9ff93fff,
    0x90037fcc,0x3ffd49ff,0x01bfff20,0xdfd17fd4,0xffffffb0,0xffffffff,
    0x2207fe6d,0x7fb801ff,0x55efffe4,0x17f207fb,0xd1027fec,0x00009fdf,
    0x5544ffe6,0xaaaaaaaa,0xf51aaaaa,0xf0ff665d,0xd03be23f,0x9127dc3f,
    0xee9859dd,0x3ddd503e,0x7fec5554,0x07ffd001,0xffd00ffd,0xf907ff60,
    0x01ffd03f,0xf700ffe4,0x003ffa7f,0xffc81ffb,0x7fcdbf21,0x4007fea2,
    0x8003fff8,0x7401fffe,0x7ff400ff,0x400fffff,0xfff10ffd,0x3f200019,
    0x006fe807,0x89fffdc0,0xffffffff,0x3fffffff,0x7ec1fff1,0xfff8802f,
    0xb80bff60,0x805fffff,0x0ffdc7fd,0x3333332e,0xcccccccc,0x3e60ffe3,
    0x3e60620f,0x819ff12f,0x17f207fb,0xd805ffb1,0x003ff8df,0xf13ff980,
    0xffffffff,0x47ffffff,0x84fffffc,0x0cb8144b,0x2e000726,0x7ffd06ff,
    0xffe9fff8,0x01ffd000,0xffd00ffd,0xff13fea0,0x803ffa0d,0x3ee01ffc,
    0x801ffd3f,0x7fcc0ffd,0x4ff93fa3,0x74401ff6,0xfb0004ff,0x7fe805ff,
    0xddfffe80,0x7fec05ff,0xbffffd10,0x3ffa8003,0x0013fe60,0x3fffff22,
    0x99999912,0x99999ffd,0x127fd439,0xff900dff,0x702ffd45,0xbfff7fff,
    0x2227fcc0,0x000005ff,0x4df90dfd,0x7fe42ff8,0xf883ff10,0x897f207f,
    0x7d401efe,0x003ff50f,0xf13ff980,0xffffffff,0x87ffffff,0x0002deca,
    0xf9000000,0x85ffa85f,0x1ffd9fff,0x3a0fff00,0x07ff807f,0x3ffa9ffe,
    0x6401ffd0,0x3fee01ff,0xd801ffd3,0x15ff80ff,0xf3fec5ff,0x3ffa009f,
    0xfff70005,0x3ff401ff,0xf8afff40,0x3ff602ff,0x7fffed40,0xdff000be,
    0x0017fe40,0x7dffffb5,0x01ff6001,0x3ea1ffd8,0x17fe603f,0x3ee01dfd,
    0xbfff12ff,0x3207ff20,0xaa9800ff,0xadffa801,0x7e42ffda,0x44ffebdf,
    0xfea89dfd,0xe97f207f,0xeeeeeeff,0x00761dc2,0x3304cc00,0x33333333,
    0x00133333,0x00000000,0x3fa37ec0,0xc9fff80e,0xff8802ff,0x880ffd05,
    0x3ff207ff,0x3a01ffb1,0x3ff200ff,0x74ffee01,0x7fec00ff,0xff57fc80,
    0x7d4ffdc1,0x6ffd802f,0x9fff3000,0x3ff40bff,0xf507ff40,0x3ff601ff,
    0xffff9300,0xffd8039f,0x1ffee21c,0x3fffae20,0xfd8002df,0x17fe2007,
    0x3f601ffb,0x407fee0f,0x7c42fffb,0x37fc45ff,0xc804ff98,0xff9005ff,
    0x3209ffff,0x40dffffe,0xbffffffa,0x2bf900ff,0xfffffffa,0x000003ff,
    0x00000000,0x00000000,0x44332200,0xff7001cc,0x09ff5009,0xf9803ffa,
    0x53fe207f,0x3ffa05ff,0x807ff200,0x1ffd3ffb,0xa80ffd80,0x4c6fcaff,
    0x807fcbff,0x0000fffc,0x3ffa5ffd,0xd00ffd03,0x0bffb0ff,0x71003ff6,
    0x05dffffd,0xbbffffd1,0x203fffff,0xcfffffc9,0x1ff60001,0x445ff500,
    0x2ffa84ff,0x7c413fe2,0xfff102ff,0xd017fdc5,0xffc801ff,0x3ff6a005,
    0x0aa8802d,0x4337ae20,0x213101cb,0x99999998,0x00000099,0x00000000,
    0x00000000,0x88000000,0x7f400fff,0x03ffb02f,0x3a03ffdc,0x202ffaff,
    0x3f200ffe,0x4ffee01f,0x7ec00ffe,0xecff880f,0xfedff84f,0x0fffdc05,
    0x25ffc800,0xfe80fff9,0x887fe807,0xffd82fff,0x3ff6a000,0xffd12fff,
    0xffffffff,0x7f445fff,0x000befff,0x8007fd80,0x0ffd46fc,0x0df913fa,
    0x7c402f98,0x2a02f6c4,0x775c02ee,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff900000,0x077fdc0b,0xf506ffc8,0xffb80fff,
    0x7ff407fe,0x807ff200,0x1ffd3ffb,0xb00ffd80,0xf905ffff,0x7d405fff,
    0xf30001ff,0x6ffc81ff,0xfe807fe8,0x81fff707,0x98000ffd,0xff73fffc,
    0x2b7ff26b,0x3e25ffb8,0x00002dff,0xd8003fec,0xd527642e,0x801ee88b,
    0x00001000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x88aefff8,0x200effd9,0xa9bdfff8,0x407feffc,0x404ffff8,
    0x3f200ffe,0x4ffee01f,0x7ec00ffe,0xffff700f,0x1ffff501,0x2b7ffe60,
    0xccccccba,0x0fffa23c,0x3fa1fff4,0x207fe807,0x7fec5ffe,0x3ae20000,
    0xeb801723,0x00073e20,0x003fec00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0xfffffffe,
    0xffb800ff,0xcaffffff,0xfffd807f,0x007ff401,0x7dc03ff9,0x801ffd3f,
    0xff100ffd,0x3ffe20df,0x3fffea05,0xffffffff,0x17ff26ff,0x3a1fff98,
    0x07fe807f,0xfd8bffe6,0x0100000f,0x00010000,0x00198800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xbdfffffc,0x3ffaa000,0x0ff91dff,0xd00dff30,0x7fe401ff,
    0x74ffee01,0x7fec00ff,0x813ffa00,0x3ea03ffe,0xffffffff,0xf56fffff,
    0xffc801ff,0x3a01ffa6,0x7ffdc07f,0x0001ffb0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x88000198,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44444000,0x3ba08888,0x55337746,0x55555555,0x55555555,
    0x2eeeee65,0xbbbbbbbb,0x002bbbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fc00000,0x27ffffff,
    0x73ffc7ff,0xffffffff,0xffffffff,0x3ffeebff,0xffffffff,0x5fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xffffffff,0xfff1ffe7,0x66666654,0xcccccccc,
    0x9933cccc,0x99999999,0x99999999,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeeeeeee8,
    0x770eee6e,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_37_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,2,2,1,1,2,1,
3,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,0,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,1,-1,
3,1,0,0,0,2,1,1,0,-1,2,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-1,-1,-1,-1,-1,2,1,2,3,3,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,1,2,2,1,1,1,1,1,1,2,1,2,2,2,2,2,0,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_37_latin_ext_y[560]={ 29,5,5,4,3,4,4,5,4,4,4,9,25,18,
25,4,5,5,5,5,5,5,5,5,5,5,11,11,9,12,9,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,33,5,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,11,5,4,9,5,
4,4,5,4,4,13,12,18,4,1,4,9,5,5,5,11,5,15,28,5,4,13,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,10,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,10,10,5,5,5,5,5,5,5,
1,6,-1,5,5,11,-1,5,-1,5,-1,6,-1,5,-1,5,5,5,0,6,-1,5,0,6,5,11,-1,5,-1,5,
-1,5,0,6,4,3,-1,-1,5,5,-1,5,1,6,-1,5,5,5,0,11,5,5,-1,5,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,5,5,11,-1,5,5,4,11,0,6,-1,5,-1,5,4,11,-1,5,5,11,-1,5,
-1,5,-1,5,4,11,-1,5,5,5,-1,5,5,5,-1,5,1,6,-1,5,-1,4,-1,5,5,11,-1,5,-1,5,
0,-1,5,0,6,-1,5,4,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,4,8,8,4,8,8,8,
8,8,8,8,8,8,8,8,8,8,4,11,8,8,8,8,8,8,8,8,8,8,8,8,8,5,11,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,-1,5,-1,5,-1,
5,-1,5,-1,0,-1,-1,-1,-1,-1,-1,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,-5,-3,-1,5,-1,5,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8, };
static unsigned short stb__arial_37_latin_ext_w[560]={ 0,5,10,18,16,27,21,4,8,8,11,17,5,9,
4,10,16,10,17,16,17,17,16,16,16,16,5,5,17,17,17,16,32,24,19,22,21,19,17,23,20,4,14,21,
16,24,20,24,19,24,22,20,20,20,22,31,22,22,20,7,10,8,15,20,7,17,16,16,16,17,11,16,15,4,
8,15,4,24,15,17,16,16,10,15,9,15,17,24,17,17,16,11,3,11,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,16,18,17,20,
3,16,11,25,12,15,17,9,25,20,10,16,11,11,7,15,18,5,8,7,12,15,27,27,28,16,24,24,24,24,
24,24,32,22,19,19,19,19,7,7,11,10,24,20,24,24,24,24,24,15,24,20,20,20,20,22,19,18,17,17,
17,17,17,17,28,16,17,17,17,17,7,7,11,10,17,15,17,17,17,17,17,16,17,15,15,15,15,17,16,17,
24,17,24,17,27,20,22,16,22,16,22,16,22,16,21,20,24,18,19,17,19,17,19,17,19,17,19,17,23,16,
23,16,23,16,23,16,20,15,24,17,12,12,11,11,11,11,8,8,5,4,20,11,18,11,21,15,15,16,7,16,
8,16,8,16,9,18,8,20,15,20,15,20,15,20,21,15,24,17,24,17,24,17,31,30,22,10,22,10,22,12,
20,15,20,15,20,15,20,15,20,9,20,13,20,9,20,15,20,15,20,15,20,15,20,15,20,18,31,24,22,17,
22,20,16,20,16,20,16,8,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,23,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,20,17,17,17,17,17,17,17,17,17,17,17,17,17,25,20,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,17,11,11,24,
17,20,15,20,15,20,15,20,15,20,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,24,17,32,28,24,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_37_latin_ext_h[560]={ 0,24,9,26,30,26,26,9,32,32,11,17,9,4,
4,26,25,24,24,25,24,25,25,24,25,25,18,23,17,11,17,25,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,27,24,26,24,25,24,24,24,24,24,31,26,31,14,3,5,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,25,31,26,17,24,
32,32,4,26,13,15,11,4,26,3,10,20,13,13,5,25,31,4,8,13,14,15,26,26,26,25,30,30,30,29,
29,29,24,32,30,30,30,29,30,30,30,29,24,29,31,31,31,30,30,15,26,31,31,31,30,30,24,26,25,25,
25,25,25,26,19,25,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,14,21,25,25,25,25,31,31,31,
28,24,30,25,31,25,31,25,31,25,31,24,31,25,30,25,24,25,29,24,30,25,29,24,31,25,30,25,31,31,
31,31,30,30,32,33,30,30,24,24,30,24,28,23,30,24,31,31,29,18,25,31,31,31,31,31,18,30,30,31,
31,24,24,24,24,24,24,30,24,31,25,30,24,24,26,25,30,24,31,25,31,25,26,19,30,24,31,25,30,24,
31,25,31,25,32,25,31,25,34,33,30,25,24,25,31,25,29,24,31,25,31,26,31,25,31,25,30,24,30,31,
29,30,24,29,23,30,24,25,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,26,21,21,32,21,21,21,
21,21,21,21,21,21,21,21,21,21,26,19,21,21,21,21,21,21,21,21,21,21,21,21,21,25,19,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,30,25,30,24,31,
25,31,25,31,30,31,31,31,31,31,31,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,33,30,25,31,26,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_37_latin_ext_s[560]={ 507,24,470,385,22,270,1,459,104,224,400,
243,464,38,507,75,132,298,159,149,431,329,443,209,199,73,505,278,189,430,225,
18,191,47,470,52,309,331,351,146,394,507,347,255,30,369,277,430,72,405,92,
342,138,35,226,177,115,1,490,413,207,395,309,81,490,433,56,451,1,384,107,
476,454,449,404,415,507,56,81,337,396,287,157,468,502,22,38,97,139,378,122,
92,113,117,490,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,507,502,456,
188,207,24,275,129,48,244,367,261,412,38,218,60,448,320,388,355,498,362,437,
506,481,380,342,277,118,455,23,90,1,466,419,187,277,302,443,252,26,361,316,
147,308,256,194,136,207,212,22,47,72,206,231,293,404,122,182,227,264,285,136,
429,37,19,1,494,476,448,355,426,408,390,372,354,128,120,232,244,269,88,285,
256,181,147,110,325,284,460,100,84,322,269,308,346,368,425,394,484,385,49,413,
166,436,216,480,366,1,183,444,55,258,216,327,206,491,304,167,163,24,251,153,
466,65,110,203,165,62,86,146,57,103,46,181,493,381,11,393,266,124,45,498,
144,506,184,235,269,304,153,323,228,168,344,336,127,503,399,416,476,1,57,156,
173,104,287,76,88,383,345,363,1,481,327,203,92,244,233,86,402,130,316,281,
274,412,245,182,165,44,338,170,33,89,17,1,47,109,70,224,319,459,200,233,
283,364,116,325,326,161,303,248,128,380,165,357,143,254,1,190,347,249,460,299,
493,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,483,302,302,233,
302,302,302,302,302,302,302,302,302,302,302,302,302,298,1,302,302,302,302,302,
302,302,302,302,302,302,302,302,119,484,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,435,145,
345,76,97,458,1,442,279,72,337,358,300,321,374,421,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,22,74,39,413,473,170,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302, };
static unsigned short stb__arial_37_latin_ext_t[560]={ 31,292,317,162,100,162,162,317,1,1,317,
317,317,336,26,162,189,267,292,189,267,215,189,292,215,241,292,292,317,317,317,
241,1,292,267,162,267,267,267,162,267,1,215,267,292,267,267,131,292,131,292,
162,292,241,292,292,292,292,267,1,162,1,317,336,324,292,241,292,241,292,241,
215,267,267,1,267,131,317,317,292,215,189,317,292,162,317,317,317,317,215,317,
1,1,1,317,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,31,215,1,
162,317,267,1,1,336,162,317,317,317,336,162,336,317,292,317,317,324,215,1,
324,317,317,317,317,162,131,162,241,131,100,100,131,131,131,241,1,131,100,100,
131,100,100,100,131,267,131,36,35,35,100,100,317,162,35,35,35,100,100,267,
162,215,215,215,189,189,162,292,189,189,189,189,189,267,267,267,267,189,267,215,
215,215,215,215,317,292,189,189,189,189,35,35,35,131,241,100,162,35,189,35,
189,35,189,35,241,68,189,100,215,241,215,131,241,100,189,131,241,68,189,100,
162,68,68,35,68,131,131,1,1,131,131,241,241,100,267,131,292,131,267,1,
68,68,317,215,68,68,68,68,68,317,100,100,68,35,241,241,241,267,267,267,
100,267,35,215,100,241,241,162,189,68,241,68,215,68,189,162,292,100,241,68,
215,68,241,68,215,68,189,1,189,68,189,1,1,100,189,241,215,35,189,131,
241,35,189,35,162,35,215,35,215,68,267,68,35,131,100,267,131,292,68,241,
215,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,131,292,292,1,
292,292,292,292,292,292,292,292,292,292,292,292,292,162,317,292,292,292,292,292,
292,292,292,292,292,292,292,292,241,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,68,241,
68,267,35,215,36,215,1,100,1,1,1,1,1,1,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,1,1,100,215,1,162,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,292,
292,292,292,292,292,292,292,292,292, };
static unsigned short stb__arial_37_latin_ext_a[560]={ 147,147,188,295,295,471,353,101,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,147,147,309,309,309,295,538,353,353,383,383,353,324,412,
383,147,265,353,295,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,147,147,147,249,295,176,295,295,265,295,295,147,295,
295,118,118,265,118,441,295,295,295,295,176,265,147,295,265,383,
265,265,265,177,138,177,309,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,147,176,295,295,295,295,138,295,
176,390,196,295,309,176,390,293,212,291,176,176,176,305,285,147,
176,176,194,295,442,442,442,324,353,353,353,353,353,353,530,383,
353,353,353,353,147,147,147,147,383,383,412,412,412,412,412,309,
412,383,383,383,383,353,353,324,295,295,295,295,295,295,471,265,
295,295,295,295,147,147,147,147,295,295,295,295,295,295,295,291,
324,295,295,295,295,265,295,265,353,295,353,295,353,295,383,265,
383,265,383,265,383,265,383,326,383,295,353,295,353,295,353,295,
353,295,353,295,412,295,412,295,412,295,412,295,383,295,383,295,
147,147,147,147,147,147,147,118,147,147,389,235,265,118,353,265,
265,295,118,295,118,295,154,295,177,295,118,383,295,383,295,383,
295,320,383,295,412,295,412,295,412,295,530,500,383,176,383,176,
383,176,353,265,353,265,353,265,353,265,324,147,324,199,324,147,
383,295,383,295,383,295,383,295,383,295,383,295,500,383,353,265,
353,324,265,324,265,324,265,118,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,399,397,397,295,397,397,397,397,397,
397,397,397,397,397,397,397,397,454,347,397,397,397,397,397,397,
397,397,397,397,397,397,397,453,355,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,353,295,147,118,412,295,383,295,383,295,383,
295,383,295,383,295,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,353,295,530,471,412,324,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_37_latin_ext(stb_fontchar font[STB_FONT_arial_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_37_latin_ext_s[i] + stb__arial_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_37_latin_ext_t[i] + stb__arial_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_37_latin_ext_x[i];
            font[i].y0 = stb__arial_37_latin_ext_y[i];
            font[i].x1 = stb__arial_37_latin_ext_x[i] + stb__arial_37_latin_ext_w[i];
            font[i].y1 = stb__arial_37_latin_ext_y[i] + stb__arial_37_latin_ext_h[i];
            font[i].advance_int = (stb__arial_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_37_latin_ext_s[i] + stb__arial_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_37_latin_ext_t[i] + stb__arial_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_37_latin_ext_x[i] + stb__arial_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_37_latin_ext_y[i] + stb__arial_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_37_latin_ext_LINE_SPACING
#endif

