// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT        450
#define STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_43_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_43_latin_ext_LINE_SPACING          28

static unsigned int stb__arial_43_latin_ext_pixels[]={
    0x3bba2000,0x2200000e,0x99999000,0x99999999,0x99999999,0x00000007,
    0x00000000,0x00000000,0x0cccc000,0x00000000,0xb8000000,0x00002ccc,
    0xc801bddb,0x320002cc,0x399912cc,0x00f32600,0x32600000,0x0799304c,
    0xea83bbaa,0xeec800ee,0xdd70001e,0x0000005d,0x8165c000,0x66640cc8,
    0xcccccccc,0xcccccccc,0x00015404,0x80000a88,0x0003fffb,0x2201be60,
    0xffffffff,0xffffffff,0xf15fffff,0xfb801bdf,0x7fecc03f,0x3b260007,
    0x0000bcef,0xfffd9951,0x000179dd,0xb8007ff7,0xff504fff,0x3fea0001,
    0x3ff6e200,0x800003de,0x000efff8,0x6ffffc80,0x0027ffc0,0x3e6bfff0,
    0xff7002ff,0x3b2a200d,0x01abdefe,0xf707ffb8,0x3ffee0df,0x003ffea0,
    0x01dffff7,0xfffffa80,0x6e4c0000,0x00bceffe,0xc80ffc80,0xfffff87f,
    0xffffffff,0x07ffffff,0x00007fb1,0x20001bee,0x00005fff,0x2200bfe6,
    0xffffffff,0xffffffff,0xf15fffff,0x5c05ffff,0x3fee03ff,0xf30007ff,
    0x03ffffff,0xffffc980,0xffffffff,0x3ee002df,0x3fe2003f,0x02ff406f,
    0x5027f440,0xffffffff,0x6400005f,0x80001fff,0x4ffdfffa,0x0013ffe0,
    0xff35fff8,0x3fee005f,0x7ffecc06,0xffffffff,0x1ffee00e,0xfb837fdc,
    0x3ffea0ff,0x37ffe600,0x3e2005ff,0x00effdff,0xffffeb80,0x0cffffff,
    0x477fe600,0xff84ffb9,0xffffffff,0xffffffff,0x07ffd07f,0x00ff6000,
    0x01dff700,0x01fe4000,0x99999990,0x99dfff99,0x27999999,0x06fffff8,
    0x7cc0ffee,0x8007ffff,0xfffffff8,0x3ffaa007,0xedefffff,0xeffffffe,
    0x03ffb800,0x003ffee0,0xc8005ff3,0xfff500ff,0xfffffdff,0xff100005,
    0xf300005f,0x7fff17ff,0x0013ffe0,0xff35fff8,0x3fee005f,0x3fffee06,
    0xffffffff,0xff703fff,0x41bfee0f,0x3ea0fffb,0xfff100ff,0x4013ffa9,
    0xbffb5ffe,0x7ffec400,0xffffffff,0x32001fff,0xefffffff,0xccefff80,
    0xcccccccc,0xd04ccccc,0x200007ff,0x740001ff,0x400001ff,0x00000afd,
    0x20013ffe,0x702fffa8,0x3fee07ff,0x3ee0001e,0x02a99cff,0x7fffff70,
    0xfffc9803,0x7fdc02ff,0x0bffe003,0x8007fec0,0xff103ff9,0x3ae217df,
    0x40000fff,0x80004ffc,0x3ea5ffe8,0x4fff81ff,0x57ffe000,0x3002fff9,
    0xffb10555,0x3357bdff,0xbffffd95,0x26055510,0x333102aa,0x36019988,
    0x3ffe66ff,0x87ffe402,0x9803fff8,0x9adfffff,0xffffba99,0x3fee001f,
    0xff00dfff,0x200000bf,0x80003ffe,0x4c0007f9,0x800002fd,0x00006fff,
    0x80013ffe,0xff704ffd,0x00bff607,0x00dffb00,0x0b7fff20,0x7fff5400,
    0x00ffee04,0x30027fdc,0x3fa00bff,0x07ffea06,0x001fffcc,0x00017b60,
    0x2e066654,0x4fff83cc,0x57ffe000,0x0002fff9,0x09ffffb0,0x0bfffee0,
    0x00000000,0x2e0e664c,0x332204cc,0x0666542c,0x1bffff10,0x1ffff900,
    0x009a9800,0x0002fffc,0x003ffe80,0x0004fc80,0x001fffe4,0x01bffe00,
    0x04fff800,0x417fea00,0xfff03ffb,0xfff80003,0xfffd8003,0xff900003,
    0x0ffee05f,0x4000cc40,0x7d400ffd,0x17ff203f,0x000bffd0,0x00030000,
    0x027ffc00,0x26bfff00,0x80002fff,0x001efffa,0x0037ff4c,0x00000000,
    0x00000000,0x8009fffb,0x0004fffc,0x017ffe00,0x1fff4000,0x017f4000,
    0x3ea5f500,0x3fe00001,0x3e00006f,0x2a0004ff,0x7ff706ff,0x0003ffe0,
    0x001fff88,0x000fffe4,0x03ffea00,0x0000ffee,0x013fea00,0x7dc01ffd,
    0x2675c06f,0x7f6e4c00,0xf501bcef,0x1a98801d,0x009fff00,0xf9afffc0,
    0x440002ff,0x0001ffff,0x0005fff5,0x00000000,0x50000000,0x2000bfff,
    0x8800fffe,0xfff001a9,0x7d40000b,0x7fffffff,0xff555100,0x226c0001,
    0x0000004d,0x4fff8000,0x1bfea000,0xff81ffdc,0x3ea0000f,0x3e6000ff,
    0x0cc400ff,0x21bff200,0x51003ffb,0x3ffe0001,0x80bff500,0x0002fff9,
    0xffffea80,0x0dffffff,0x4c03ffe6,0x2efffffc,0x3ffedff3,0x3ffe0004,
    0x005fff35,0xffb9bfee,0x7f40003f,0x41ffee6f,0xfff36ffb,0x2ffe4005,
    0x2606ffb8,0x32002fff,0x7ffec5ff,0xfff50000,0x7ffe4c09,0xdff32eff,
    0x00017ffe,0xffffffa8,0x36e607ff,0x01ffffff,0x09b17600,0x00d44000,
    0x13ffe000,0x06ffa800,0x3fe07ff7,0x3fe6000f,0xffffffff,0x017ff405,
    0x3bffffd5,0x3f61f764,0x01ffdc2f,0x002fffe4,0xfd81ffec,0xfffe803f,
    0xfb100002,0xffffffff,0xf39fffff,0x3fea03ff,0xbfffffff,0x9fff6ff9,
    0xafffc000,0x7002fff9,0x37ff4dff,0x16754000,0x3ee0fff7,0x017ffa6f,
    0xf702fff8,0x5ffe80df,0x88bffe00,0x40004fff,0xff500abd,0x7fffffff,
    0x3ffedff3,0x32600005,0x4ccefffc,0xffffff70,0x0005ffff,0x03ee2bea,
    0xfffb1000,0x3fe65dff,0x27ffc006,0x0dff3000,0x7fc0ffee,0x3fee000f,
    0xffffffff,0x817fee04,0xfffffffd,0x985fff0f,0x1ffdc5ff,0x17ccbe60,
    0x21ffea00,0x8800fff9,0x0004ffff,0x6fffff4c,0xfeba99ac,0x02ffffff,
    0x77bffff5,0xdffdfffb,0x80013ffe,0xfff35fff,0x5bfee005,0x0005fff9,
    0x41ffee00,0x3fee6ffb,0x7ffa800f,0x701bfee0,0xf5001fff,0x2fffb8ff,
    0x7d400000,0xfdbbdfff,0xff6ffeff,0x200000bf,0x7e403ffe,0xffabdfff,
    0xd0004fff,0x8000bfff,0xfffffff9,0x06ff9bff,0x0027ffc0,0x2e0dff30,
    0xfff883ff,0x3332a000,0x1cccefff,0x101dff10,0xb79dfffd,0x1fff5fff,
    0x7dc1ffd0,0x322e403f,0x7ffc4005,0x002ffdc1,0x05dffff7,0xffffd100,
    0xffff7005,0x3ffe207f,0xfffe881f,0x009fff6f,0xf9afffc0,0xff7002ff,
    0x00fffeed,0x7ffb8000,0x7c4dff70,0xffd803ff,0x01bfee04,0xb007fff1,
    0xfffd89ff,0x22000001,0xe881ffff,0xfff6ffff,0x3a00000b,0x3fea03ff,
    0x3bbea0ef,0xe8000fff,0x20006fff,0xbbdffffa,0x6ffeffed,0x027ffc00,
    0x20fff100,0xff883ffb,0x7ffc0007,0x07ff5002,0x260ffffa,0x707ffffe,
    0x1ffdc5ff,0x00b91ae0,0xfd87ffd0,0xfff9004f,0x001bffff,0x006fffe4,
    0x09ffff10,0xd003fff2,0x3ffedfff,0x3ffe0004,0x005fff35,0x7fe5bfee,
    0x2000002f,0xff707ffb,0x406ffd8d,0x2e01fff8,0xffd806ff,0x0fffc406,
    0x0003fffa,0x0fffc800,0xfb7fff40,0xeeeeefff,0xeeeeeeee,0x0fffa05e,
    0x640fffe8,0x03fff9cf,0x7ffffcc0,0xffff0001,0xffffb103,0x4fff800d,
    0x1ffe2000,0x7cc1ffdc,0x3e60007f,0xffb001ff,0x07fff701,0x82ffffcc,
    0x3fee3ff9,0x5467c403,0xffd8002f,0x201fffc5,0xfd8cffe9,0xa802ffff,
    0xc8006fff,0xe80fffff,0xff9804ff,0x009fff6f,0xf9afffc0,0xff7002ff,
    0x003fff6d,0x7ffb8000,0xfa8dff70,0x3fee01ff,0x037fdc06,0x700fffd4,
    0xfffd0dff,0xfe800000,0xfff9804f,0xfffffff6,0xffffffff,0x7f40ffff,
    0x5fff303f,0x3ff65ff0,0x77fe4006,0xfb8005ff,0x7ff400ff,0x7ffc006f,
    0x7ffc0004,0xa83ffb80,0x2a0005ff,0x3fe007ff,0x04fff886,0x104fffd8,
    0x1ffdc9ff,0x027ff5c0,0x267ffc80,0x7e402fff,0x7fffd42f,0x3ffa00df,
    0x7fdc001f,0x7c44fffd,0xffd000ff,0x0013ffed,0xff35fff8,0x3fee005f,
    0x000fffd6,0x07ffb800,0xfff0dff7,0x01fff409,0x7c01bfee,0x3ffa04ff,
    0x005fff83,0x3ffe2000,0x2dffd000,0xffffffff,0xffffffff,0x3ffa07ff,
    0x30fff703,0x0004c4ff,0x7ffcfffc,0x3ffe2000,0x6fff9804,0x027ffc00,
    0x213ff200,0xffe82eea,0x3fee0002,0x07ff5006,0x9003fff9,0x7fc05fff,
    0x800ffee5,0x7fdc0001,0x03fff50f,0xf9106ff8,0xf103ffff,0xfa800bff,
    0x41fffd5f,0x32007ff9,0x09fff6ff,0x9afffc00,0xf7002fff,0x01bffedf,
    0x7fffffc4,0xf73fffff,0x1bfee0ff,0x7cc1bff2,0x7fdc00ff,0x0dff9006,
    0x3e03ffe6,0x000005ff,0xc801ffe6,0x5dfff6ff,0x55555555,0x40555555,
    0xffb03ffe,0x000bf70d,0x3fadff50,0x3fe6003f,0xdffd000f,0x04fff800,
    0x17ffcc00,0x00fff700,0x005ffd80,0xfff03ff7,0x3ffee00b,0x5c9ff300,
    0x553003ff,0x3fea0003,0x01fff71f,0x2a027fd4,0x5c0efffe,0x2a001fff,
    0xfff70eff,0x0037fdc7,0x3ffedff7,0x3ffe0005,0x005fff35,0x7ff5bfee,
    0xffff1007,0x7fffffff,0x7dc1ffee,0x1fff986f,0xb805ffc8,0xff3006ff,
    0x0bff903f,0x0001bffe,0x006ffb80,0x7ffdbfee,0xfd000005,0x17ffa07f,
    0x20000ff6,0xdff93ffd,0x03ffd400,0x800dff90,0x80004fff,0x203ffffb,
    0x001ffffc,0x801fff40,0x7fcc0ffc,0xfff7001f,0xf717fdc0,0x3fb6207f,
    0x04efffff,0x5c7ffe60,0x7fd407ff,0xfffd8807,0x003fff46,0x7c41dff3,
    0x17ff24ff,0xfd6ffa80,0x7fc000bf,0x05fff34f,0x7edbfee0,0xfff1007f,
    0xffffffff,0x5c1ffee7,0x9ffd06ff,0x7005fff0,0x7f400dff,0x02fff84f,
    0x0001fffd,0x017ff200,0xfff6ffa8,0x3a00000b,0x9fff03ff,0x0000ff88,
    0xf98fffc4,0xff9001ff,0x37fdc00d,0x013ffe00,0x2fff4c00,0x001dfff0,
    0x005fff00,0x3fee1ff6,0xbffb000f,0xf70ffec0,0xffff507f,0xdfffffff,
    0x5fff1003,0xf101bff2,0x3f6005ff,0x1fffa1ff,0x40fffc40,0x3ff25fff,
    0x5bfea006,0x10005ffd,0x3fe69fff,0xdff7002f,0x4003fff2,0x99999999,
    0xfff73fff,0x5c1bfee0,0x3ffcc7ff,0x006ffb80,0xff31ffee,0x0fffec0f,
    0xffc80000,0x5bfea006,0x00005fff,0x3e07ffd0,0x037d44ff,0x23ffdc00,
    0xfb005ffe,0x7fd400bf,0x27ffc006,0xffe88000,0x037ffe05,0x3fff1000,
    0x321ffa00,0x3fa007ff,0x71ffe03f,0xfffc87ff,0xffcbabcf,0xff8806ff,
    0x00dff92f,0x1003fffb,0x7ffc7fff,0x1ffe8805,0x7dcdffd0,0x3fee007f,
    0x000dff96,0x7ccfffe6,0xff7002ff,0x00fffead,0xb9fffc00,0xdff707ff,
    0xc8bffe20,0xff7004ff,0x7ffc400d,0xb813ff22,0x40002fff,0x3ffdc0b9,
    0x3edff700,0x000005ff,0x3fa07ffd,0x0027e45f,0x2e27ff40,0xfd800fff,
    0x3fea006f,0x27ffc006,0x7ffd4000,0x3fff203f,0x3ea0001f,0x1ffa007f,
    0x44017ff6,0xff301fff,0x223ffb8d,0x36205fff,0x7c401fff,0x0dff71ff,
    0x07ffff10,0x3e29ffb0,0xffe804ff,0xa9fff602,0x3f2007ff,0x01fff76f,
    0x25fff500,0x7002fff9,0x3ffe2dff,0xfff00005,0x5c1ffee7,0x3ff606ff,
    0x4007ffe5,0x6c006ffb,0x07ffe5ff,0x004fff98,0xa87ffec0,0x3f2007ff,
    0x00bfff6f,0x0fffa000,0x3fe37fec,0xf3001981,0xfff883ff,0x07ffb803,
    0x001bfee0,0x80009fff,0x1002fff8,0x0001fff9,0xd801bfee,0x06ffc87f,
    0x201fff70,0x7fdc2ffe,0x201bfee3,0x4c04fff8,0xfff70fff,0x3fffea00,
    0x4bff601e,0x6c04fff8,0x7fe403ff,0x05fff30f,0x7d5bffa0,0xfd8002ff,
    0x5fff30ff,0xd9bfee00,0x80001fff,0xfff73fff,0xa81bfee0,0x0dff37ff,
    0x0037fdc0,0x7fcdffea,0x06ffe806,0x97ffe200,0xd002fff9,0x17ffedff,
    0x7ff40000,0x4cfff903,0x1fff887f,0xd837fec0,0xffa806ff,0x1bff2007,
    0x009fff00,0xa85ffb80,0x3ffe82ee,0x0bffb000,0x2a07fec0,0xff8807ff,
    0x0bffb06f,0x7fec7ff7,0x09ffd003,0xf50fff98,0x7fcc00ff,0xff884fff,
    0x813ffe0f,0xfd804ffc,0x037ff47f,0xf8b7ffd4,0x26000fff,0x3fe66fff,
    0xdff7002f,0x0037ffd4,0xfb9fffc0,0x0dff707f,0xffcafff8,0x1bfee003,
    0x32bffe00,0xffc803ff,0xff90003f,0x06ffe85f,0xff6fffa8,0x200000bf,
    0xff304ffd,0x2e17ee5f,0x7fc407ff,0x5fff503f,0x02fff980,0x800dffd0,
    0x40004fff,0xffb81ffe,0x005ffa83,0x4007ffd0,0x7fc41ffc,0x7ffec01f,
    0x80fffc84,0x00883ffb,0xa80bffb0,0x3ffe67ff,0x3ff62000,0xfff32eff,
    0x705fff87,0x3fe00bff,0x1fffcc6f,0x4dfffd10,0x800efffc,0x262fffe8,
    0xf7002fff,0x5fffd8df,0x3ffea000,0x2e0fff73,0x7fe406ff,0x2000ffec,
    0xc8006ffb,0x00ffecff,0x01ffff88,0x43fffd40,0x2203fff9,0xfff6fffe,
    0x3600000b,0xffd00eff,0xf887fd1f,0x7fdc04ff,0x17ffe00f,0x201bffa0,
    0x4006fffb,0x20004fff,0xff707ff8,0x00fff307,0x800bffe0,0xffe83ffa,
    0x3ffff205,0x81fffdc3,0x30003ffb,0xc80bffd7,0x17ffc5ff,0x7fffd400,
    0xe82effdf,0x5ffa86ff,0x0bfff100,0x4419fffb,0x26fffffa,0x9beffff8,
    0x7fffdcc0,0x017ffcc6,0x7446ffb8,0x2001efff,0x73ffffe9,0x3fee0fff,
    0x7fffc406,0x7fdc005f,0xfff88006,0x3ea005ff,0xf3001fff,0x3f605fff,
    0x3ea20cff,0xfff6ffff,0x3333333b,0x33333333,0xffff9013,0xdfffa8ff,
    0x3ff620ff,0x2fff400f,0x003fff20,0x4407fff3,0x4006fffe,0x20004fff,
    0xff707ff9,0x00fff107,0x001fff10,0x7d437fc4,0x7fecc5ff,0xfea8efff,
    0x3fee04ff,0x76e54c03,0x05ffffff,0x3f61fff4,0xf910004f,0x6c0bffff,
    0x3fea0fff,0xfff3000e,0xffffd109,0xfdffffdf,0xffffb8df,0xffffefff,
    0x7cc0efff,0xff7002ff,0xfffff30d,0x5d44159d,0x0dfffffd,0x3ee0fff7,
    0xfffe806f,0x7fdc002f,0xfffd0006,0xffd8005f,0xd881bdff,0x2204ffff,
    0xfefffffe,0xf6ffefff,0xffffffff,0xffffffff,0xff109fff,0xfc81ffff,
    0xfba9ffff,0x7cc02fff,0x7fcc02ff,0xfffd803f,0x3ffea20d,0x7fc006ff,
    0x3e60004f,0x07ff707f,0x5000fff1,0xfb000fff,0xffff703f,0xff3dfffd,
    0x5fffffff,0x983ffb80,0xfffffffc,0x205fffff,0x7dc0fff8,0x74c0006f,
    0xf501ffff,0x3bfe67ff,0x3fff2000,0x3ffff201,0xffc8efff,0xffffe985,
    0xffffffff,0x2fff980d,0x20dff700,0xffffffe8,0xffffffef,0x7fdc2eff,
    0x00dff707,0x001ffff7,0x0006ffb8,0x001ffff7,0xffffff90,0xfffffdbf,
    0x3ff200bf,0xc8efffff,0xfffff5ff,0xffffffff,0x9fffffff,0x3ffff660,
    0xfffffc82,0x803fffff,0xaaabfffc,0xfffaaaaa,0xfffe8807,0xeffffeff,
    0x7fc006ff,0x3e60004f,0x07ff706f,0x70003ffe,0xf7000dff,0x3fff60bf,
    0xffb0efff,0x003dffff,0xffb87ff7,0xbdffffff,0x2605ffd9,0x7ff886ff,
    0xfffb0000,0x3bffe01d,0x2001fff8,0xa806fff8,0x323cefdb,0x3f6e05ff,
    0xdfffffff,0x0bffe601,0x2037fdc0,0xfffffffc,0x3fffffff,0x2e0fff70,
    0xff8806ff,0xffb8005f,0xfff10006,0x7fdc000b,0xffffffff,0x54003fff,
    0x323cefdb,0xfffff5ff,0xffffffff,0x9fffffff,0xfa803300,0x0dffffff,
    0xffffff00,0xffffffff,0x32005fff,0xefffffff,0x0005ffc8,0xdff30000,
    0x7c0ffee0,0x7ec000ff,0xffd0004f,0x33fb2607,0xacefed82,0xf71aaa80,
    0x7fffdc7f,0xffd80abd,0x413ff205,0x00002ffe,0x2e0bfff7,0x01ffffff,
    0x01fffec0,0x04ffd800,0x015dfb10,0x7001bea0,0x36a00dff,0xefffffff,
    0x5c0000bc,0xfff006ff,0xdff70003,0x0fffc000,0x3fae2000,0x3fffffff,
    0x3f600000,0xff10004f,0x54000003,0x009bbaff,0x3ffffea0,0xffffffff,
    0x2005ffff,0x23cefdb9,0x00005ffc,0x0dff3000,0x7fc0ffee,0x7ff4000f,
    0xfff10003,0x70000003,0x3fee1dff,0x007bffe3,0xff817ffa,0x0bff500f,
    0x3ff20020,0x3ffffa07,0x7ffd4002,0xe8001306,0x3f2003ff,0x027dc004,
    0x001bfee0,0x000bfee6,0x01bfee00,0x4001bfea,0x50006ffb,0x80000dff,
    0x009aefd8,0x3a0004c0,0xf30003ff,0x7dd9000f,0x0005fc80,0x6667ffec,
    0xcccccccc,0x0000fffe,0x8013ff60,0x0003eee8,0x7dc1bfea,0x01fff03f,
    0x002fff80,0x007ffea0,0xfffb8000,0x7ccffee1,0xff8802ff,0x09ff505f,
    0xd100ffe8,0xff9803ff,0xffff501f,0x3ff62007,0x5fff01ff,0x03fff500,
    0x2001fec0,0x7e4003fd,0xff70005f,0xf9000003,0x7ffb00bf,0x17fee000,
    0x01ffec00,0x02ffc000,0x005fff00,0x0003fff5,0x3a0017ea,0x17f404ff,
    0x7fff1000,0x4fffa800,0xfe800130,0x3fe2003f,0x3ea0004f,0x07ff705f,
    0x98007ffe,0x40000fff,0x0004fffc,0x17ffec40,0x7fdcffee,0xfff9800f,
    0x801ffb05,0x3fe03ffb,0x7ffcc04f,0xfffffb00,0xfd51013d,0x7ec07fff,
    0x7ffc406f,0x02ff4007,0xb0017fa0,0x3a000bff,0x0001dfff,0x3017ff60,
    0x20001fff,0x98005ffd,0x00000fff,0x027fffcc,0x2037fec0,0x0007fff8,
    0x3a001ff2,0x3fe604ff,0x3fee0000,0xffe8000f,0x005fff07,0x4003fff3,
    0x0004fff8,0x7dc13fee,0x07ffd03f,0x0037fe40,0x2efffe80,0x7fdc4000,
    0x3ffb83ff,0x8805fff7,0xf885ffff,0x0dff005f,0xb00fffe4,0x3ff20dff,
    0xeffffffd,0xffffffdd,0x7ffdc02f,0x7fecc0ad,0x7fec001f,0xffe80440,
    0x7fd40441,0x7dc0003f,0xf500005f,0xb99a87ff,0x50004fff,0x35007fff,
    0x009fff73,0x7fec4000,0x7ffdc002,0x7fecc0ad,0x3ee0001f,0xd900443f,
    0x037dc09f,0x01bffa00,0x417ffe40,0x74406ffd,0x7c4007ff,0xf30004ff,
    0x3fee05ff,0x03dff903,0x27ffcc11,0xfff90000,0x10015bff,0x3bffffb5,
    0x7ccffee0,0x3fa206ff,0xffd86fff,0x07ff5000,0x82fbffe6,0xb84fffc9,
    0xfffb15ff,0xffffffff,0x3f6001df,0xfeeeffff,0xa8002fff,0x1fecdfff,
    0xd9bfff90,0x3fffe63f,0x4c0001ff,0x260007ff,0x40ffffff,0x06fffffe,
    0x7ffffcc0,0xfffe800f,0x000006ff,0x8004ffc8,0xeefffffd,0x002ffffe,
    0x677ffc40,0x17d403fe,0x40007fb0,0x0003fff9,0xf70bfff1,0xda8839ff,
    0x98003fff,0x3a2004fb,0x700fffff,0x3fe207ff,0x3ff25fff,0x001fffff,
    0x7fff4c00,0xddefffff,0xffffffee,0x1ffdc02e,0x559ffffd,0xffdfffd7,
    0x003ff98d,0xfa807fec,0xfffeffff,0x7fc40eff,0xffffd986,0x001cffff,
    0x7ffffec4,0x002fffff,0x3fffffe0,0xffff101f,0x3fee3fff,0xa8004fff,
    0x03fffdba,0x3fffee00,0xffffd84f,0x7fdc000f,0xfb004fff,0x0001ffff,
    0xfecaa880,0xd88000ff,0xffffffff,0xb00002ff,0x07ffffff,0xff100fd8,
    0x7fe40003,0x3f60000f,0xfffd81ff,0xffffeeff,0x3f20005f,0x3ffe2001,
    0x3fee02ff,0x3fffee03,0x3fffffa7,0x2000005f,0xffffffc9,0xffffffff,
    0xff7003ff,0x7ffffc47,0x89efffff,0x1bf61fff,0x80ffe200,0xfffffffb,
    0x03aa05ff,0x03355310,0xffd93000,0x00017bff,0x0159db50,0x4159db50,
    0x002dfffb,0xdfffffd0,0xfffc8000,0x7dfd702d,0xfff70003,0x7f5c007d,
    0x800001be,0x4ffffff9,0x7f64c000,0x000bdfff,0x677e4c00,0x2027ec01,
    0x7fc00039,0x7d40005f,0xffd884ff,0xffffffff,0x1fea0003,0x3bfff100,
    0x403ffb80,0x3b67ffd9,0x0003efff,0x32ea6000,0xdeffffed,0x7fdc001b,
    0x7fffe443,0x7ff43eff,0x0001ff54,0xb8803fea,0x02cdffee,0x00000000,
    0x00000000,0x00000000,0x0f7bbb60,0x00000000,0x00000000,0xdd300000,
    0x000039dd,0x00000000,0x00015c00,0x17ffd400,0x3fffc000,0xffffd930,
    0x4400017b,0x018002ff,0x0004cc40,0x00000006,0x00000000,0x4c402662,
    0x4c4001aa,0x04cc0000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd8000,
    0xfff90000,0x00000005,0x00000064,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bbb2000,0x06662003,0x00006662,
    0x001e6644,0x81998800,0x00001998,0x000cccc8,0x01666440,0x665c0000,
    0x5400001c,0x00003ccc,0x00599970,0x66665c00,0x0004cccc,0x00999930,
    0x01999910,0x02aa2000,0x8000154c,0x000cccc8,0x930cccc8,0x99930799,
    0x2a000000,0x2a000001,0x88001ccc,0x00262009,0x00f33220,0x002664c0,
    0xefecb988,0x800009bc,0x4006fff8,0x3e64fff8,0xb00003ff,0x0007ffff,
    0x49fff300,0x0003fff9,0x02fffdc0,0x7ffff400,0x26000001,0x00006fff,
    0x00fffe88,0xfff98000,0x3f600007,0x7fffffff,0xfffb0000,0x3fee0005,
    0x3e00004f,0x009fd03f,0x0fffee00,0x93ffea00,0xfb81fffe,0x4000007f,
    0x000dfffa,0x17ffcc00,0x80ffa800,0x30001ff9,0x70007ffd,0xf7000fff,
    0xffffffff,0x400019ff,0x8000fffc,0xffd2fffa,0x3ee0000b,0x001fffff,
    0x1fffa800,0x00009ffd,0x000dffd0,0xfffdff90,0x36000001,0x00000fff,
    0x009fff30,0x3ffea000,0x99700003,0x09999999,0x9fff3000,0xfffd8000,
    0xffb00000,0x017fdc45,0x05fff800,0x4cdffd00,0xff703fff,0xf800000f,
    0x0004d88c,0x007bfe20,0x20cff880,0x40007fd8,0x4001ffd8,0x22007ffb,
    0xfffffffe,0x1fffffff,0x2fff8800,0x3fff2000,0x0000effb,0xfaafff98,
    0x800000ff,0x6ffceffc,0xffa80000,0x7d40000f,0x06ffc9ff,0xfff98000,
    0x54000001,0x00000fff,0x000dff70,0x80000000,0x00006ffc,0x00009ffd,
    0x3fbfffe2,0x700005ff,0x30001dff,0x7fec1fff,0x01ffee05,0x20fa8000,
    0x2a00007a,0xf900004c,0x7fffdbff,0x0f2e0000,0x00fff700,0x567ffff4,
    0xfffca99a,0x7e4001ff,0xfd80003f,0x0000ffff,0x365ffe88,0x000006ff,
    0x01fffffd,0x5ffd0000,0xfff98000,0x0017ffa3,0x007ff900,0x3ff20000,
    0x36000004,0xc80002ff,0x005eb84e,0x007ffc40,0x0fff8800,0xffd30000,
    0x00019fff,0x0007ffa0,0xff117fec,0x3ffdc01f,0x1f300000,0x320003d4,
    0x005eb84e,0x3fffff20,0x3b20003f,0x8805eb84,0xff3002aa,0xfc8801bf,
    0x664004ff,0xff100003,0x200005ff,0x3a20deec,0x800003ee,0x001ffff8,
    0x03ee9800,0x45eed800,0x0002eee9,0x0009db10,0x05ec8000,0x2f6c0000,
    0x42fec000,0x5c0007fc,0x400001ee,0x00001cc9,0x00055d4c,0x00599300,
    0xd713ba20,0x7ffb803d,0x6f400000,0x40004e98,0x07fc85fd,0x5665cc00,
    0x2fec0000,0x00003fe4,0x4006ffc8,0x00007ffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,0x00bd709d,
    0x00000000,0x00000000,0x00000000,0x7ffb8000,0x75400000,0x40000dff,
    0x05eb84ec,0x80000000,0x05eb84ec,0x7ffd0000,0x1fff9800,0x33200000,
    0x3320002c,0x32a6002c,0x01cdeffd,0x6e54c000,0x001cdeff,0x8000b332,
    0x59992ccc,0x16664000,0xffb95300,0x000039bd,0xeffdca98,0x332001cd,
    0x3320002c,0x0059992c,0x20166640,0xcefecb98,0x3b20009b,0x0277644e,
    0xffdca980,0x90001cde,0x4eec89dd,0x0002ccc8,0x7fdcb332,0x66640007,
    0xcc802602,0x0059992c,0xcc966640,0x3320002c,0x0059992c,0x00166640,
    0x005fff10,0x7cc9fff0,0x3f2002ff,0x009fff5f,0x402fffc0,0xffffffe9,
    0x002effff,0x7ffff4c0,0x2effffff,0x004fff80,0x7fd7ffe0,0x3fe0004f,
    0xffe9805f,0xffffffff,0x74c0002e,0xffffffff,0xff802eff,0x3fe0004f,
    0x009fff5f,0x702fffc0,0xffffffff,0xb0019fff,0x6ffd8dff,0x7fff4c00,
    0xefffffff,0x37fec002,0x3fe1bff6,0x3fe0004f,0x80fff75f,0x7fc5fffb,
    0x3fe0004f,0x009fff5f,0xffafffc0,0x3fe0004f,0x009fff5f,0xf72fffc0,
    0x3ffe00ff,0x0aa98006,0xf002fff4,0x13ffe5ff,0x05fff800,0x7fffffdc,
    0xffffffff,0xffb8000d,0xffffffff,0x200dffff,0x20004fff,0x9fff5fff,
    0x2fffc000,0x3ffffee0,0xffffffff,0xfb8000df,0xffffffff,0x00dfffff,
    0x80013ffe,0x9fff5fff,0x2fffc000,0x7fffff44,0xffffffff,0x37fec01f,
    0xb801bff6,0xffffffff,0x0dffffff,0xd8dffb00,0x4fff86ff,0x57ffe000,
    0x3ee07ffb,0x4fff85ff,0x57ffe000,0x20004fff,0x9fff5fff,0xafffc000,
    0x20004fff,0x3fee5fff,0x3fffb007,0x7fdc0000,0x7ffa800f,0x80013ffe,
    0xfb105fff,0x3359dfff,0xdffffd73,0x3ff62001,0x999aceff,0x0effffeb,
    0x0009fff0,0xfffafffc,0x3ffe0004,0xffffb105,0xd733359d,0x001dffff,
    0x3bffff62,0xfeb999ac,0xff00efff,0x7fc0009f,0x009fff5f,0x742fffc0,
    0x9aacffff,0xfffffca9,0xb1bff601,0xfb100dff,0x3359dfff,0xdffffd73,
    0x8dffb001,0xfff86ffd,0x3ffe0004,0x2e0fff75,0xfff05fff,0x7ffc0009,
    0x0009fff5,0xfffafffc,0x3ffe0004,0x0009fff5,0xff72fffc,0x3ffea00f,
    0x880001cf,0xfd803fff,0x013ffe4f,0xd05fff80,0x3005ffff,0x001dfffd,
    0x005ffffd,0x01dfffd3,0x40009fff,0x9fff5fff,0x2fffc000,0x02ffffe8,
    0x0efffe98,0x2ffffe80,0xefffe980,0x004fff80,0x7fd7ffe0,0x3fe0004f,
    0x6fffcc5f,0x7ffe4400,0x10266204,0xffd00133,0xfd3005ff,0x98801dff,
    0x404cc409,0x20004fff,0xfff75fff,0x40bfff70,0x20004fff,0x9fff5fff,
    0xafffc000,0x20004fff,0x9fff5fff,0x2fffc000,0x6400fff7,0xacefffff,
    0xdffb0000,0x21fff880,0x20004fff,0xffb85fff,0x362000df,0x7dc04fff,
    0x22000dff,0xff84fffd,0x3fe0004f,0x009fff5f,0x5c2fffc0,0x2000dfff,
    0x404fffd8,0x000dfffb,0x213fff62,0x20004fff,0x9fff5fff,0x2fffc000,
    0xb001bff2,0x00000fff,0x01bfff70,0x27ffec40,0xfff00000,0x7ffc0009,
    0xfb8fff75,0x7ffc05ff,0x3ffe0004,0x0009fff5,0xfffafffc,0x3ffe0004,
    0x0009fff5,0xff72fffc,0xfffb800f,0x2cefffff,0x07ffea00,0x7fc6ffb8,
    0x3fe0004f,0x37ffc45f,0x5fffd000,0x01bffe20,0x42fffe80,0x20004fff,
    0x9fff5fff,0x2fffc000,0x001bffe2,0x102fffe8,0x4000dfff,0x7fc2fffe,
    0x3fe0004f,0x009fff5f,0x3a2fffc0,0x7cc003ff,0x000001ff,0x001bffe2,
    0x002fffe8,0x09fff000,0xbafffc00,0x3ffea7ff,0x04fff805,0x7d7ffe00,
    0x3e0004ff,0x09fff5ff,0xfafffc00,0x3e0004ff,0x1ffee5ff,0x3fffaa00,
    0xdfffffff,0x04fff800,0xfff0fffa,0x7ffc0009,0x017ffe45,0x0dfff300,
    0x000bfff2,0x7c6fff98,0x3e0004ff,0x09fff5ff,0x22fffc00,0x0002fffc,
    0x641bffe6,0x20002fff,0x7fc6fff9,0x3fe0004f,0x009fff5f,0xf12fffc0,
    0xff0005ff,0x4000009f,0x0002fffc,0x001bffe6,0x027ffc00,0x2ebfff00,
    0x9fff57ff,0x013ffe00,0xff5fff80,0x7fc0009f,0x009fff5f,0xffafffc0,
    0x3fe0004f,0x01ffee5f,0xfffec980,0x01ffffff,0xf9837fe4,0x27ffc0ff,
    0x4bfff000,0x0005fff8,0x440fffd8,0x80005fff,0x3fe0fffd,0x3fe0004f,
    0x009fff5f,0xf12fffc0,0xb0000bff,0xff881fff,0xfd80005f,0x13ffe0ff,
    0xf5fff800,0x7c0009ff,0x37ffc5ff,0x70554c00,0x3f600dff,0x17ffe24f,
    0x3fff6000,0x401bfee0,0x9fff4ffd,0xafffc000,0xfffafffb,0x13ffe006,
    0xf5fff800,0x7c0009ff,0x09fff5ff,0xfafffc00,0x3e0004ff,0x1ffee5ff,
    0x7edc4000,0x03ffffff,0x3207ffe6,0x4fff85ff,0x97ffe000,0x0001fffa,
    0x543fffa8,0x80001fff,0x3fe3fffa,0x3fe0004f,0x009fff5f,0xf52fffc0,
    0x500003ff,0xffa87fff,0xfa80001f,0x13ffe3ff,0xf5fff800,0x7c0009ff,
    0x7ffec5ff,0xff700001,0x93ff600d,0x0001fffa,0x2e3fffa8,0xffb006ff,
    0x0013ffe9,0xff75fff8,0x05ffffff,0x0013ffe0,0xfff5fff8,0x7ffc0009,
    0x0009fff5,0xfffafffc,0x3ffe0004,0x001ffee5,0x7ffdcc00,0x3ffa03ff,
    0xf82fff84,0x3e0004ff,0x3ffee5ff,0xfff00000,0x00fffb8b,0x4bfff000,
    0x20004fff,0x9fff5fff,0x2fffc000,0x0001fff7,0xf717ffe0,0x200001ff,
    0x3ffe5fff,0x3ffe0004,0x0009fff5,0x3ea2fffc,0x0001cfff,0xd8037fdc,
    0x3ffee4ff,0xfff00000,0x8037fdcb,0x9fff4ffd,0xafffc000,0xfffffffb,
    0xfff800ff,0x3ffe0004,0x0009fff5,0xfffafffc,0x3ffe0004,0x0009fff5,
    0xff72fffc,0x8800000f,0x2e06fffd,0x3ffcc7ff,0x0004fff8,0xffc97ffe,
    0x3f600007,0x03ffe47f,0x4fffb000,0x20004fff,0x9fff5fff,0x2fffc000,
    0x0000fff9,0x3f23ffec,0x3600007f,0x13ffe7ff,0xf5fff800,0x7c0009ff,
    0xfffc85ff,0x000aceff,0xd8037fdc,0x1fff24ff,0x7ffd8000,0x6c01bfee,
    0x09fff4ff,0xbafffc00,0xff9cffff,0x4fff805f,0x57ffe000,0x20004fff,
    0x9fff5fff,0xafffc000,0x20004fff,0x3fee5fff,0x80002007,0xf100fffc,
    0x27fe45ff,0x0004fff8,0xffe97ffe,0x3f600006,0x037ff47f,0x4fffb000,
    0x20004fff,0x9fff5fff,0x2fffc000,0x0000dffd,0x3fa3ffec,0x3600006f,
    0x13ffe7ff,0xf5fff800,0x7c0009ff,0xfff705ff,0x59dfffff,0x00dff700,
    0xffe93ff6,0x3f600006,0x01bfee7f,0xfffa7fec,0x3ffe0004,0x647fff75,
    0x7fc02fff,0x3fe0004f,0x009fff5f,0xffafffc0,0x3fe0004f,0x009fff5f,
    0xf72fffc0,0xfff880ff,0xfff30002,0xf2ffec07,0x3ffe03ff,0x3ffe0004,
    0x0017ffe5,0x20fffc80,0x00005fff,0x7fc3fff2,0x3fe0004f,0x009fff5f,
    0xff2fffc0,0x640000bf,0x3ffe0fff,0x3f200005,0x09fff0ff,0xfafffc00,
    0x3e0004ff,0x3faa05ff,0xffffffff,0xdff700df,0xf93ff600,0x200005ff,
    0xff70fffc,0x53ff600d,0x20004fff,0xfff75fff,0x401fffd0,0x20004fff,
    0x9fff5fff,0xafffc000,0x20004fff,0x9fff5fff,0x2fffc000,0xff00fff7,
    0x7fc000bf,0x5ffea04f,0x3fe06ff9,0x3fe0004f,0x09fff15f,0x7ffe4000,
    0x009fff10,0x87ffe400,0x20004fff,0x9fff5fff,0xafffc000,0x0004fff8,
    0x443fff20,0x00004fff,0x7fc3fff2,0x3fe0004f,0x009fff5f,0x402fffc0,
    0xfffffec9,0xfb81ffff,0x9ffb006f,0x0013ffe2,0x70fffc80,0x3f600dff,
    0x009fff4f,0xfbafffc0,0x5fff987f,0x0013ffe0,0xfff5fff8,0x7ffc0009,
    0x0009fff5,0xfffafffc,0x3ffe0004,0x201ffee5,0x10007ffe,0xff803fff,
    0x203ffcaf,0x20004fff,0x3ffe5fff,0x3f600005,0x17ffe0ff,0xfffd8000,
    0x0009fff0,0xfffafffc,0x3ffe0004,0x0017ffe5,0x20fffd80,0x00005fff,
    0x7fc3fff6,0x3fe0004f,0x009fff5f,0x002fffc0,0x3ffff6e2,0x7fdc3fff,
    0x49ffb006,0x00005fff,0x7dc3fff6,0x9ffb006f,0x80013ffe,0xfff75fff,
    0x40bfff20,0x20004fff,0x9fff5fff,0xafffc000,0x20004fff,0x9fff5fff,
    0x2fffc000,0xf700fff7,0xf70009ff,0x9ff900ff,0x7fc01ffd,0x3fe0005f,
    0x01bffe5f,0x47ffe800,0x00006fff,0xfff9fffa,0x3ffe0005,0x000bfff5,
    0xfff2fffc,0x7f40000d,0x037ffc7f,0x4fffd000,0x20005fff,0xbfff5fff,
    0x2fffc000,0x3fee6000,0x3fee3fff,0x49ffb006,0x00006fff,0xffb9fffa,
    0x29ffb006,0x20005fff,0xfff75fff,0x03fffe20,0x80017ffe,0xbfff5fff,
    0xafffc000,0x20005fff,0xbfff5fff,0x2fffc000,0xf100fff7,0x2001bfff,
    0x8804fffb,0x405fffff,0x20005ffe,0x3ffa4fff,0x3fe00007,0x03fff46f,
    0x4dfff000,0x20005ffe,0xbffd4fff,0x27ffc000,0x0000fffd,0x3fa37ffc,
    0x3e00007f,0x17ffa6ff,0xd4fff800,0x7c000bff,0x100004ff,0x7dcdfffb,
    0x9ffb006f,0x0003fff4,0x7dcdfff0,0x9ffb006f,0x80017ffa,0xfff74fff,
    0x42fffd40,0x20005ffe,0xbffd4fff,0xa7ffc000,0x20005ffe,0xbffd4fff,
    0x27ffc000,0x2a00fff7,0x0abfffff,0x7fffed44,0xffffd001,0x05ffe805,
    0x49fff100,0x0000fffc,0x645fff88,0x80000fff,0x3fa5fff8,0xff10005f,
    0x017ffa9f,0x927ffc40,0x00001fff,0xfc8bfff1,0x880000ff,0x3ffa5fff,
    0xfff10005,0x0017ffa9,0x0427ffc4,0x1fff9000,0x6c01bfee,0x3fff24ff,
    0xff880000,0x01bfee5f,0xffea7fec,0xfff10005,0xb01ffee9,0xffe85fff,
    0xfff10005,0x0017ffa9,0xfea7ffc4,0xff10005f,0x017ffa9f,0x727ffc40,
    0x7dc00fff,0xefffffff,0x0effffff,0x3fffee00,0x037fec00,0x23fff980,
    0x0003fff9,0x4c2fffb8,0x80003fff,0x3f62fffb,0xff30006f,0x01bff67f,
    0x31fffcc0,0x00007fff,0xf985fff7,0xb80003ff,0x3ff62fff,0xfff30006,
    0x001bff67,0xf89fffcc,0xf30002ff,0x1bfee7ff,0xf327ff40,0x700007ff,
    0x7fdc5fff,0x29ffd006,0x30006ffd,0x3fee7fff,0x7fffc407,0x001bff60,
    0xfd9fffcc,0xff30006f,0x01bff67f,0xd9fffcc0,0xf30006ff,0x3ffdc7ff,
    0x3fffaa00,0xffffffff,0x7c4000df,0xffc805ff,0xffa8000f,0x07fff42f,
    0xffff1000,0x003fffa0,0x47fff880,0x8000fffc,0xff92fffa,0xff50001f,
    0x0fffe85f,0x3ffe2000,0x01fffd07,0x3fffc400,0x0003fff2,0x7e4bffea,
    0xfa8000ff,0x17ffe2ff,0x74fff800,0x3fe00dff,0x07fff44f,0xffff1000,
    0xf006ffb8,0x3fff29ff,0xfffa8000,0x500fff72,0x7fe4bfff,0xffa8000f,
    0x01fff92f,0x25fff500,0x8000fffc,0xff92fffa,0xff50001f,0x03ffdc5f,
    0xffffdb80,0x003cefff,0x2007ffe0,0x8002fffa,0x7dc0fffd,0x320005ff,
    0xff704fff,0x7e4000bf,0x7ffd44ff,0xfffd8002,0x005fff50,0xb81fffb0,
    0x20005fff,0xf704fffc,0x64000bff,0x7fd44fff,0xffd8002f,0x05fff50f,
    0x41fffb00,0x10007ffe,0x3fee3fff,0x4fff8806,0x002fffdc,0xb89fff90,
    0xff8806ff,0x05fff54f,0x01fffb00,0xffa80020,0xffd8002f,0x05fff50f,
    0x21fffb00,0x8002fffa,0xff50fffd,0xffb0005f,0x002fdc1f,0x01dff980,
    0x0dff5000,0x03fffe20,0x06fff980,0x0005fffd,0x401dfff5,0x8002fffe,
    0x440efffa,0x2000ffff,0x3e26fff9,0x26000fff,0xffd06fff,0xff50005f,
    0x7ff401df,0xffa8002f,0x7ffc40ef,0x3fe6000f,0x3fffe26f,0x3ffe6000,
    0x027ffdc6,0xf53ffdc0,0xfff500ff,0x05fffd09,0x1dfff500,0xa807ffa8,
    0xfff14fff,0x7fcc001f,0xfff9006f,0x7ffc4019,0x3fe6000f,0x3fffe26f,
    0x3ffe6000,0x03fffe26,0x26fff980,0x000ffff8,0xfb1bffe6,0x3e600007,
    0xb00000cf,0x7ec007ff,0xe8800eff,0xff303fff,0x7e4009ff,0x7cc01fff,
    0x32004fff,0xfb01ffff,0xd1001dff,0xffd87fff,0xfe8800ef,0xfff303ff,
    0x7fe4009f,0x7fcc01ff,0x3f2004ff,0xffb01fff,0xfd1001df,0xfffd87ff,
    0xffe8800e,0x7fffc43f,0xfff7000d,0x027ffcc9,0x309ffff1,0x4009ffff,
    0x981ffffc,0x3e204fff,0x3ff64fff,0xfe8800ef,0xff7003ff,0xffd80bff,
    0xfe8800ef,0x7ffec3ff,0xffe8800e,0x77ffec3f,0xfffe8800,0x077ffec3,
    0x1ffff440,0x40000bfe,0x004fffea,0x007ffcc0,0x7dffff10,0xfffb9813,
    0x7ffd406f,0xea880aef,0x5004ffff,0x015dffff,0x9ffffd51,0x77fffc40,
    0x7fdcc09b,0xfff886ff,0x5cc09bef,0x5406ffff,0x80aeffff,0x4ffffea8,
    0xdffff500,0xffd51015,0x7fc409ff,0x4c09beff,0x886ffffb,0x09beffff,
    0x37fffdcc,0xbfffffa8,0x7fed440a,0x7fffc1ff,0xffffe881,0xdffff504,
    0xffd51015,0x7ffc09ff,0xfffe881f,0x3fffe24f,0x7dcc09be,0x88006fff,
    0x3e200ffe,0x409befff,0x86ffffb9,0x9beffff8,0x7fffdcc0,0xeffff886,
    0x7fdcc09b,0xfff886ff,0x5cc09bef,0xff86ffff,0xfe800004,0x266a001f,
    0x8004fffb,0xfffffffb,0xfffffffe,0xfff9800e,0xffddffff,0x002fffff,
    0x7fffffcc,0xfffffddf,0xffb802ff,0xffefffff,0x00efffff,0xfffffff7,
    0xfffffffd,0xfff3001d,0xffbbffff,0x005fffff,0xffffff98,0xfffffddf,
    0xffb802ff,0xffefffff,0x00efffff,0xfffffff7,0xfffffffd,0x7ffdc01d,
    0xffefffff,0xb80effff,0xecceffff,0x04ffcfff,0x3fffffe6,0xfffffddf,
    0x7fdc02ff,0xffecceff,0x7dc4ffcf,0xfeffffff,0x0effffff,0x05ffd000,
    0xffffffb8,0xffffffef,0xfff700ef,0xfffdffff,0x201dffff,0xfffffffb,
    0xfffffffe,0xffff700e,0xffffdfff,0xfd01dfff,0x4000181f,0x3a002ffe,
    0x006fffff,0x3ffffe60,0xffffffff,0x3f62000d,0xffffffff,0x0001efff,
    0xffffffb1,0x3dffffff,0x7fffcc00,0xffffffff,0x7fcc00df,0xffffffff,
    0x2000dfff,0xffffffd8,0x1effffff,0xfffb1000,0xffffffff,0x7cc003df,
    0xffffffff,0x400dffff,0xfffffff9,0x0dffffff,0xffffea80,0xffffffff,
    0x3fff600d,0xa8efffff,0x7ec404ff,0xffffffff,0xb001efff,0xffffffff,
    0x309ff51d,0xffffffff,0x01bfffff,0x3fb2ea60,0xfff3006f,0xffffffff,
    0xf9801bff,0xffffffff,0x400dffff,0xfffffff9,0x0dffffff,0x7ffffcc0,
    0xffffffff,0xbfff700d,0x26001ff9,0x05fffecc,0x7ffffec0,0x75c40000,
    0xffffffff,0x3260001d,0xffffffff,0x9300001c,0xffffffff,0x2e200039,
    0xfffffffe,0x2e2001df,0xfffffffe,0x260001df,0xfffffffc,0x300001cf,
    0xfffffff9,0x2200039f,0xffffffeb,0x22001dff,0xffffffeb,0xb8001dff,
    0xfffffffd,0xfd5003ce,0x2a1bffff,0xf93004ff,0x9fffffff,0xffd50003,
    0x3ea1bfff,0xffd7104f,0x3bffffff,0xffffb800,0x2e2002ff,0xfffffffe,
    0x2e2001df,0xfffffffe,0x2e2001df,0xfffffffe,0x2e2001df,0xfffffffe,
    0x7fc401df,0x000fffff,0x3ffffff7,0xbefeb800,0x4c400001,0x0009aaaa,
    0x4d54c400,0x44000001,0x00019aa9,0x55554c40,0x4c400009,0x0009aaaa,
    0x4d54c400,0x44000001,0x00019aa9,0x55554c40,0x4c400009,0x0009aaaa,
    0x03555300,0x00a98800,0xaa988000,0x31000019,0x31000015,0x00135555,
    0x33bbbaa0,0x2a620000,0x00009aaa,0x4d5554c4,0x54c40000,0x00009aaa,
    0x4d5554c4,0x3bb62000,0x6654001c,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00266620,
    0x66664000,0x00999911,0x88555500,0x64401aaa,0x000001cc,0x04ca8f2e,
    0x222665c0,0x98001ccc,0x00026201,0x03ccc880,0x00039991,0x80799991,
    0x54c0aaa9,0x1e64c02a,0x22000000,0x2a000199,0x510003cc,0x64c00355,
    0x804ccccc,0xcccccba9,0x03cccccc,0x02ccca80,0x07999000,0x89665c00,
    0x0ccccccc,0x33322000,0xcccc800c,0xcccccccc,0x0000aaac,0x00aaa980,
    0x03333100,0x27ffe400,0x7fcc0000,0x0bfff25f,0x3ffee000,0x003fff22,
    0x0007fff1,0x567fcc00,0x7cc002ff,0x1bff63ff,0x40bfe200,0x200005fd,
    0x882ffffd,0x44003fff,0x400efffe,0x3e65ffe8,0x7fdc03ff,0x20000006,
    0x004ffff9,0x000dff70,0x003ffffa,0x7fffffd4,0xffffb107,0xffffffff,
    0xd000bfff,0x0000dfff,0x000bfffe,0xff9a7ff4,0x000fffff,0x013ffee0,
    0x7ffffffc,0xffffffff,0x00001eff,0x01dffff1,0x09fff900,0x27ffe400,
    0x7fec0000,0x09fff10f,0x7ffe4000,0x801fff98,0x0003fff8,0x7fffcc00,
    0xfff70002,0x001fff73,0xf503bfa0,0x2e00005f,0x41fffeff,0x2003fff8,
    0x00efffe8,0x3a7fff30,0xffb805ff,0x10000006,0x07fffffd,0x00dff700,
    0xdfffffb0,0x3fffea00,0xfffb87ff,0xffffffff,0x05ffffff,0x7ffffcc0,
    0xfff80001,0xfe8000ff,0xfffff34f,0x7c0001ff,0x3fe006ff,0xffffffff,
    0xffffffff,0xfd80002f,0x4005ffff,0x0006fff8,0x0027ffe4,0x87ffe200,
    0x00006ffb,0xffedffe8,0x7fff1003,0x95000000,0xfd800059,0x001fffef,
    0x337ffe60,0x00006ffe,0xff73fff5,0x1fffc41d,0xefffe880,0x7ffdc000,
    0xf7006ffc,0x000000df,0x3fe7bff6,0x7fdc001f,0x7ffdc006,0xa805ffd8,
    0x41999fff,0xfffffffa,0xffccccef,0x64003ccf,0x005ffeff,0x5fffff80,
    0x24ffe800,0x0fffa999,0x1fff7000,0x577ffc00,0xbaaaaaaa,0x3fffffdc,
    0x3fff2000,0x2004ffe8,0x0000fffb,0x0027ffe4,0xf0fff200,0x000003ff,
    0x09fffff1,0x01fffc40,0x84ec8000,0xfd0005eb,0x00007fff,0xdffffff7,
    0xff100001,0x12fff49f,0xd1007fff,0x0001dfff,0x03fffff6,0x0037fdc0,
    0x7ffdc000,0x001fff71,0x30037fdc,0x3fe27fff,0x3ffd403f,0xfffffd10,
    0xff88bfff,0xfff0000f,0x0001fff3,0x2ffffff8,0x827ff400,0x0000fff8,
    0xf8003ffd,0x644004ff,0x8000ffff,0xff32fffa,0xfff1005f,0x00000003,
    0xa8bdb000,0x000002ee,0x0017bbaa,0x0007fff1,0x3217f600,0x9930007f,
    0x44000079,0x0002cdcb,0x9837bb20,0xfff12eee,0xfffe8807,0x3620000d,
    0x2e001eee,0x000006ff,0x3a1fffcc,0x3ee006ff,0x3bb6006f,0x00777545,
    0x7dc0fff5,0xffffffff,0x007ffc45,0xfeb7fd40,0x7fc0003f,0x000fffff,
    0x7c413ffa,0xe98000ff,0xfff8003e,0xfff90004,0xeed88005,0x006f75c4,
    0x0000ffee,0x00000000,0x00000000,0x1fffc400,0x4ec80000,0x00005eb8,
    0x00000000,0xf1000000,0x7f4407ff,0x000005ff,0x06ffb800,0x00000000,
    0x00dff700,0xff500000,0x7fffe40f,0x445fffff,0xd8000fff,0x0dff93ff,
    0xfefff800,0x3fa005ff,0x1fff104f,0xf0000000,0x7c0009ff,0x000004ff,
    0x20000000,0xceffedc9,0x5300000b,0x39bdffb9,0xdc980000,0x00bceffe,
    0x003fff88,0x00166640,0xd9059990,0x04eec89d,0xfeeca880,0x0001abde,
    0x806664c0,0xd103fff8,0x8000bfff,0xcefecb98,0x7fdc009b,0x0009a986,
    0x7f765440,0x4001abde,0x22006ffb,0xbcefecb9,0x3ffd4009,0xffffffd0,
    0xff88bfff,0x7fc4000f,0x03fff31f,0x6d7ffc00,0xfd002fff,0x3ffe209f,
    0x3b726000,0x800bceff,0x20004fff,0x30006ffd,0x79dffdb9,0x0f32a001,
    0x3fffae00,0xcfffffff,0xffd30000,0xffffffff,0xeb80005d,0xffffffff,
    0x3e200cff,0x7c0003ff,0x3e0004ff,0x6ffd85ff,0x30037fec,0xfffffffb,
    0x001dffff,0x07ffea00,0x441fffc4,0x0005fffe,0x7fffffdc,0x00cfffff,
    0x3f62dff7,0x001dffff,0x7ffffecc,0x0effffff,0x00dff700,0x3fffffee,
    0x00cfffff,0x7fc0fff5,0xffffffff,0x007ffc45,0xfd1ffee0,0x7fc000bf,
    0x0ffff8af,0x104ffe80,0xd7001fff,0xffffffff,0x7fc019ff,0x3fa0004f,
    0x7f5c007f,0xffffffff,0x7fdc00cf,0x3ff62006,0xffffffff,0x4001ffff,
    0xfffffffb,0xdfffffff,0x7fec4000,0xffffffff,0xf101ffff,0xf80007ff,
    0x3e0004ff,0x6ffd85ff,0xb8037fec,0xffffffff,0x3fffffff,0xfffa8000,
    0x87fff101,0x005fffe8,0x3ffffa20,0xffffffff,0xeffb81ff,0xfffffffa,
    0xff7004ff,0xffffffff,0x007fffff,0xe880dff7,0xffffffff,0x81ffffff,
    0x3f607ffa,0xffffffff,0x007ffc45,0xf713ffa0,0x3e0001ff,0xbfff72ff,
    0x209ffd00,0x2200fff8,0xfffffffd,0x1fffffff,0x0009fff0,0x4017ffe2,
    0xffffffd8,0xffffffff,0x01bfee01,0x6fffffcc,0xffba999a,0xd8801fff,
    0x9aceffff,0xffffeb99,0xfff3000e,0x53335bff,0x03fffff7,0x0007fff1,
    0x0004fff8,0x3f617ffe,0x037fec6f,0x3bffff62,0xeca99abd,0x0005ffff,
    0x880fffd4,0x3fa23fff,0x740004ff,0x9aacffff,0xfffffca9,0x7ffffdc1,
    0xfffcaacf,0x3ff6204f,0x99abdeff,0x5ffffeca,0x2037fdc0,0xaacffffe,
    0xffffca99,0x03ffd41f,0xfffffff9,0xfff88bff,0x3ffe6000,0x01fffc41,
    0x3a2fff80,0x7f402fff,0x1fff104f,0x3ffffe60,0xfba999ad,0xff81ffff,
    0xff90004f,0xfff3009f,0x53335bff,0x03fffff7,0x2201bfee,0x800dffff,
    0x400ffffc,0x802ffffe,0x00efffe9,0x06ffffc4,0x07fffe40,0x000fffe2,
    0x0009fff0,0x4c42fffc,0x004cc409,0x013ffff6,0x017fffdc,0x03fff500,
    0x744fffe2,0x40005fff,0x400dfff9,0x5c4fffc8,0x881fffff,0xfb01fffe,
    0x2e009fff,0x2e02ffff,0x3fe606ff,0x7e4400df,0x3ffd44ff,0xffffff50,
    0xff88bfff,0x3ff6000f,0x00dffb06,0xf88bffe0,0x3fa00fff,0x1fff104f,
    0x1bffff10,0x1ffff900,0x4004fff8,0x00ffffd8,0x06ffffc4,0x07fffe40,
    0x6c037fdc,0x64004fff,0x3ee04fff,0x22000dff,0x6c04fffd,0x64004fff,
    0x7fc44fff,0x7fc0003f,0x3fe0004f,0x5000005f,0x8003dfff,0x0006ffe9,
    0x4407ffea,0xffe8bfff,0x20001fff,0x6c006ffc,0x7ffdc7ff,0x2fffc00f,
    0x00f7ffd4,0x81bffa60,0x3f206ffb,0x7fec006f,0x203ffd47,0xfffffffd,
    0x07ffc45f,0x03fff880,0x0005fff5,0xffb85fff,0x13ffa05f,0x6c07ffc4,
    0x64004fff,0x7ffc4fff,0xaaaaaaae,0xffffecba,0xfffd802f,0x7ffe4004,
    0x406ffb84,0x0005fffa,0xf101fffd,0x74000dff,0xff502fff,0x3fa000bf,
    0x3ffe20ff,0x7ffc0003,0x3ffe0004,0xf8800005,0x50001fff,0x20005fff,
    0xf101fffa,0xffffd7ff,0x74000dff,0x7cc003ff,0x3ffee1ff,0x47ffb804,
    0x001ffff8,0x205fff50,0x3fa06ffb,0x7fcc003f,0x01ffea1f,0xfffffff1,
    0x0fff88bf,0x01fff700,0x4002fffc,0xffe82fff,0x09ffd02f,0xf503ffe2,
    0x3a000bff,0x3ffe0fff,0xffffffff,0xffffffff,0x5fffa802,0x1fffd000,
    0x6c06ffb8,0x50000fff,0xff909fff,0x7cc0005f,0xfffb06ff,0x3fea0001,
    0x0fffe24f,0x09fff000,0x02fffc00,0x7ffdc000,0x7ff40003,0xfff50006,
    0x3fffe203,0xfffdbfff,0xfff88004,0x4fff8002,0x4003ffee,0x3fee1fff,
    0x7f40003f,0x0dff706f,0x000bffe2,0xffa93ffe,0xfffd8807,0x7fc45fff,
    0xbffd000f,0x00fffc80,0x4417ffc0,0xfe80ffff,0x1fff104f,0x000fffd8,
    0x7c9fff50,0xffffffff,0xefffffff,0xfffb000c,0x3fea0001,0x037fdc4f,
    0x0009fff1,0x7c40abd8,0xd80005ff,0x7fc40fff,0x5ec0004f,0x0fffe20a,
    0x09fff000,0xbafffc00,0xffb006ff,0x0037ff49,0x00167540,0x101fffa8,
    0x27ffffff,0x002ffff8,0x8006fff8,0x3fee0aa9,0x8bffa007,0x80006ffe,
    0xff702cea,0x037ffc0d,0xf50554c0,0x6e4c00ff,0x7fc45fff,0xfff9800f,
    0x1fffcc02,0x40bffe00,0xfe85fffb,0x1fff104f,0x0027ffc4,0xff82af60,
    0xeeeeeeff,0x000dffff,0x0027ffc4,0xf702af60,0x7ffdc0df,0x2a000002,
    0x80001fff,0x7dc3fffa,0x000002ff,0x0007fff1,0x0004fff8,0x7fdd7ffe,
    0x29ffb006,0x0005fff9,0xff500000,0x3ffe203f,0x7ffcc3ff,0x7fec000f,
    0xf700001f,0x7fec00df,0x00bfff34,0x3fee0000,0x07fff606,0x3ffd4000,
    0x45ffa800,0xc800fff8,0xaaaabfff,0x7fffaaaa,0x017ffc00,0xfe85fffd,
    0x1fff104f,0x0017ffdc,0x04fff800,0x037fff22,0x02fffb80,0x3fee0000,
    0x07fff606,0xffb80000,0xff00000f,0x1fffd8bf,0xff100000,0xff80007f,
    0x3fe0004f,0x00dff75f,0x7fdd3ff6,0x0000003f,0x03fff500,0x40ffffe2,
    0x4006fffc,0x01cffffa,0x02ffdc00,0x3eebff90,0x000003ff,0x540dff70,
    0x001cffff,0x003ffd40,0x7c45ffa8,0xfff800ff,0xffffffff,0x02ffffff,
    0x880bffe0,0x3fa0ffff,0x1fff104f,0x000fffec,0x04fff800,0x00ffffb8,
    0x003fffb0,0x37fdc000,0x001fffd0,0x3ffe4000,0xfffb0000,0x000fffe8,
    0x7fff1000,0x4fff8000,0x57ffe000,0xfb006ffb,0x0bfff29f,0x40000000,
    0xf101fffa,0xffe809ff,0x7fe4004f,0x00acefff,0x0027fdc0,0x3ff2bff9,
    0x0000002f,0xfc80dff7,0x0aceffff,0x03ffd400,0x445ffa80,0x7d400fff,
    0xffffffff,0xffffffff,0x0bffe005,0x74bfff70,0xfff104ff,0x007fff41,
    0x4fff8000,0x0dfff900,0x003fffa0,0x6ffb8000,0x001fffa0,0x0dffd000,
    0x3ffec000,0x0001fffa,0x03fff880,0x027ffc00,0x2ebfff00,0xffb006ff,
    0x003fff69,0x54000000,0xff101fff,0xfff9807f,0x7fdc001f,0xceffffff,
    0x05ffb802,0x7ecfff60,0x000000ff,0x700dff70,0xffffffff,0xff50059d,
    0x3fea000f,0x007ffc45,0x3333fff6,0xcccccccc,0xf000fffe,0xffd005ff,
    0x413ffa5f,0x3fa0fff8,0x2000007f,0x3a004fff,0xfe805fff,0x4000007f,
    0x3fe06ffb,0x4000005f,0x00005fff,0xff83fff2,0x2000005f,0x0003fff8,
    0x00027ffc,0x3feebfff,0x29ffb006,0x00007ffe,0x3fea0000,0x7fff101f,
    0x1ffff700,0xfffea800,0xdfffffff,0x00dff700,0xffe97ff4,0x20000007,
    0xd5006ffb,0xffffffff,0x3ea01bff,0xff50007f,0x00fff88b,0x000fffe2,
    0x2009fff5,0xf9802fff,0x4ffe8fff,0x7c1fff10,0x000005ff,0x88013ffe,
    0x7c03ffff,0x000005ff,0xff037fdc,0x400000bf,0x0004fff8,0xf83fff20,
    0x000005ff,0x000fffe2,0x0009fff0,0xffbafffc,0x29ffb006,0xf1006fff,
    0xffffffff,0xf50007ff,0x3fe203ff,0xfffb003f,0x3b26000b,0xffffffff,
    0x07ffb81f,0x3e1fff10,0xff1006ff,0xffffffff,0x0dff707f,0xfffec980,
    0x81ffffff,0x50007ffa,0xfff88bff,0x03ffee00,0x01fffa00,0xb8017ffc,
    0x4ffedfff,0x7c1fff10,0x000005ff,0x70013ffe,0x7c01ffff,0x000005ff,
    0xff037fdc,0x800000df,0x00005fff,0xff83fff6,0x2000006f,0x0003fff8,
    0x00027ffc,0x3feebfff,0x29ffb006,0xf1007ffe,0xffffffff,0xf50007ff,
    0x3fe203ff,0xfff1003f,0xb880007f,0xfffffffd,0x01fffdc3,0xffd3ffe4,
    0x3ffe200f,0xffffffff,0x006ffb83,0x3fff6e20,0x7d43ffff,0xff50007f,
    0x00fff88b,0x4001bffa,0xf802fffc,0x3fa002ff,0x104fffff,0x7ffc1fff,
    0x3e000006,0xfd8004ff,0x3ffe05ff,0x5c000006,0x3ffa06ff,0x2000000f,
    0x00006fff,0xffd1fffa,0x2000001f,0x0003fff8,0x0002fffc,0x3feebfff,
    0x29ffb006,0xf1007ffd,0xffffffff,0xf50007ff,0x3fe203ff,0x3fea003f,
    0x200001ff,0x3fffffb9,0x803fffee,0x3f64fff8,0xfff1007f,0xffffffff,
    0x00dff707,0x7ffdcc00,0x1ffea3ff,0x22ffd400,0xf300fff8,0x220007ff,
    0xff805fff,0x3fe6002f,0xf104ffff,0x7fff41ff,0xff000000,0xff10009f,
    0x3ffa05ff,0x2000000f,0x3f606ffb,0x000001ff,0x0001fffa,0x7ec6fff8,
    0x000001ff,0x3339fff1,0x33333333,0x02fff433,0x2e9fff00,0xffb006ff,
    0x003fff29,0x4ccccccc,0x8003fff9,0xf101fffa,0xfd8007ff,0x00000eff,
    0x737ffec4,0x301dffff,0x7e41fffd,0x333000ff,0xfff33333,0x00dff707,
    0xfffb1000,0x003ffd4d,0x7c45ffa8,0xfff900ff,0x7fec0001,0x17ffc01f,
    0x3fffee00,0x1fff104f,0x000fffec,0x04fff800,0x1ffff700,0x003fffb0,
    0x37fdc000,0x005fff70,0xfc80b980,0x880000ff,0x7fdc5fff,0x5cc0002f,
    0x7ffffc40,0xffffffff,0x3ffa7fff,0xfff10005,0x401bfee9,0xfff54ffd,
    0x3fe00007,0xffa8003f,0x7fff101f,0xfffe8800,0xc8000205,0xfff70fff,
    0xfb779fff,0xffa85fff,0xff00003f,0x0dff707f,0x3f200008,0x0fff50ff,
    0x117fea00,0x3fe01fff,0x7d40005f,0x7ffc04ff,0xfffe8002,0x1fff104f,
    0x0017ffdc,0xfff02e60,0x7ff40009,0x2fffb85f,0x405cc000,0x3e606ffb,
    0x6c0004ff,0x3fe60fff,0xfb80003f,0x7ffcc2ff,0x7fec0004,0xfffff10f,
    0xffffffff,0x7fecffff,0xfff30006,0x401bfee7,0xfff14ffe,0x3fe0000b,
    0x2a00443f,0xff101fff,0xff30007f,0x7ffc47ff,0xfff30002,0x3ebbfee7,
    0xffffffff,0x05fff882,0x07fff000,0xff10dff7,0x3e60005f,0x0fff53ff,
    0x117fea00,0xff501fff,0xff00005f,0x2fff80ff,0xffff9800,0x41fff104,
    0x0004fff9,0xff87ffec,0x3e60004f,0x7fcc2fff,0x7ec0004f,0x1bfee0ff,
    0x000dffd0,0x742fffc4,0x20000fff,0xfd07fff8,0x7c4000df,0x3ffe25ff,
    0xffffffff,0x327fffff,0xa8000fff,0xdff72fff,0xd93ffe00,0x80001fff,
    0x7ffb3fff,0x00fffb80,0x0007fff1,0xf87ffff2,0x3e0005ff,0x2dff74ff,
    0xbdffffe9,0x07fff600,0x0fffe000,0x7fc1bfee,0x3fe0005f,0x00fff54f,
    0xf117fea0,0xfffb01ff,0x3ff20000,0x0bffe02f,0x27ffdc00,0x740fff88,
    0x220006ff,0x3ffe5fff,0x7fe40004,0x06ffe86f,0x17ffe200,0xfc80dff7,
    0xf90003ff,0xfff705ff,0x7fe4000b,0x7fff904f,0x3fff2000,0x50004002,
    0xb0005fff,0x3fee1fff,0x4fff8806,0x001bffea,0x7ecfffe0,0x7ffe404f,
    0x00080000,0x001fffa0,0xfb8fffc4,0x0054c46f,0x006fffa8,0x883fff80,
    0x03fff400,0x51fff880,0x2a000fff,0x7ffc45ff,0x90000000,0x080000bf,
    0x7ffc4000,0x01fffe40,0x02fffc80,0x90000100,0x20007fff,0x7dc2fffc,
    0x7ffc406f,0x7fd4001f,0x3fffa07f,0xfffa8002,0xffff100e,0xfffa8003,
    0x7ffe4007,0x3ffe200c,0x3fe6000f,0x01ffea6f,0xfb13ffea,0x54000bff,
    0xdff93fff,0x007ffd80,0x0cfffa80,0x13ffee00,0xb9ffee00,0xb00006ff,
    0x4000bfff,0xff83fffa,0xfffb82df,0x7ffb8004,0x4001ffea,0x7fc45ffa,
    0x0000000f,0x400007fb,0x8002effe,0x7c40fff8,0x54001fff,0xd0007fff,
    0x20005dff,0x001ffff8,0x5c3fffd4,0xffa806ff,0xff3001ff,0x7fcc05ff,
    0x3f2004ff,0x7d401fff,0xf3001fff,0xb8005fff,0x6c04ffff,0x8800efff,
    0x3e63fffe,0x3fe204ff,0x7ff444ff,0x3a6001ef,0xff73ffff,0x3ffe603f,
    0xffa80005,0x3e2006ff,0x7000dfff,0x7fdc9fff,0xfd100006,0x4c003dff,
    0xe83ffffe,0x7c41ffff,0x7000dfff,0x7fd49fff,0xbff50007,0x000fff88,
    0x03fd0000,0x7ffec000,0x7fc4002f,0xffffa80f,0xffff3001,0x3ff60005,
    0xf50002ff,0x26003fff,0xfb82ffff,0xfffb006f,0xfb1037bf,0xf5009fff,
    0x1015dfff,0x09ffffd5,0x37ffff60,0xfffd881b,0x3e20004f,0x3fe200ff,
    0x4c09beff,0xf86ffffb,0xfe881fff,0xff984fff,0x20acefff,0xffffdba8,
    0xffff10df,0x2ffffa83,0x3f620000,0x3fea002f,0x440abfff,0x21ffffda,
    0x00006ffb,0x3bffffe6,0x36ea20ac,0x00dfffff,0x3ea17fee,0x40abffff,
    0x1ffffda8,0x4001ffea,0x7fc45ffa,0x8000000f,0x00004ff8,0x4006ffa8,
    0xfb00fff8,0x1037bfff,0x009ffffb,0x00dff500,0x6ffffec0,0xfffd881b,
    0x0dff704f,0x7ffffe40,0xffffedff,0x3e6005ff,0xddffffff,0x2fffffff,
    0x7fffe400,0xfffedfff,0x80005fff,0x7dc02ffe,0xfeffffff,0x0effffff,
    0xceffffb8,0xffcfffec,0xffffd104,0xffffdfff,0x705dffff,0xffdfffff,
    0x00009fff,0x8009ff90,0xfffffffb,0xffffffef,0x037fdc0e,0x3ffa2000,
    0xffefffff,0x2effffff,0x706ffa80,0xffffffff,0xdffffffd,0x99fffa81,
    0xbff50019,0x000fff88,0x3ffd0000,0x22000144,0x4cc00fff,0x200fffa9,
    0xfffffffc,0xffffffed,0xff100005,0x7e40001f,0xedffffff,0x05ffffff,
    0x7001bfee,0xffffffff,0x007fffff,0xfffffb10,0xdfffffff,0x3fee0003,
    0xffffffff,0x98003fff,0x06ffecba,0xffffff30,0xbfffffff,0x7fffec01,
    0xfa8effff,0x7ffe404f,0xffffffff,0x7ec03fff,0xffffffff,0xaa880004,
    0x000fffdc,0xfffffea8,0xdfffffff,0x006ffb80,0xffff9000,0xffffffff,
    0x655407ff,0x2a03fffd,0xfffffffe,0x80dfffff,0x7ffffffa,0x88bff500,
    0x00000fff,0xddfff700,0x554001ff,0x404fffcb,0xfffffff9,0x7fffdc00,
    0xffffffff,0x2aa0003f,0x004fffcb,0xfffffb80,0xffffffff,0x037fdc03,
    0x7fff5c40,0x003fffff,0xffffc980,0x001cffff,0xfffeb880,0x003fffff,
    0x3ffffee0,0x3ae2002f,0xffffffff,0xffd5001d,0x3ea1bfff,0xffb5004f,
    0x79dfffff,0x3ffea001,0x0003dfff,0xffffff30,0xfdb80009,0xceffffff,
    0x01bfee03,0xffb50000,0x79dfffff,0xfffff801,0xffb7006f,0x79dfffff,
    0x7ffffd40,0xbff5007f,0x000fff88,0xffd10000,0xd800dfff,0x00ffffff,
    0x7fffffcc,0xfeb8800f,0x3fffffff,0xfffd8000,0x00000fff,0xfffffd71,
    0x2e007fff,0x440006ff,0x0009aaa9,0x35531000,0x44000003,0x0009aaa9,
    0xcdeeea80,0x2a620000,0x00009aaa,0x00001531,0x00355330,0x00355100,
    0xdddd3000,0x98000039,0x26001aaa,0x000003cc,0x006aa660,0x0b7bbb60,
    0x0d554c00,0x99999300,0x33260099,0x0004cc82,0xcdc98000,0xeeec8001,
    0xcc8800bd,0x000ccccc,0x04d554c4,0xddd90000,0x0000017b,0x026aaa62,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64c00000,0x440003cc,
    0x00266009,0xaa980000,0x0155540a,0x81555300,0x00002aaa,0x00f33200,
    0xcc980000,0x0000004c,0x05510000,0x80000d4c,0x0001ccca,0x00000000,
    0x6440d440,0x3320000c,0x1666443c,0x41aaa880,0x8000aaa9,0xaaa82aaa,
    0x99700001,0x40000019,0x0001cccb,0x01666540,0x88555500,0x00001aaa,
    0x00333322,0x200d554c,0x0005fffa,0xffa837e4,0x37ae2000,0x207fe60a,
    0x3e64fff8,0x220002ff,0x3fe65fff,0x0000003f,0x009ffff9,0x7fec0000,
    0x2e00002f,0x3ffdc7ff,0x40ffe200,0x980004fe,0x000effff,0x0fffcc00,
    0x0003fff3,0x3bfff220,0x001ff91c,0xb17ffd40,0xfd800dff,0xbfff10ef,
    0x3ffea000,0x003fff22,0x3fffea00,0xf3000005,0x80000dff,0x000ffff8,
    0xc87ffee0,0x00000eff,0x8013ffee,0x5403fffc,0x40005fff,0x7f443ffa,
    0x3ffe6006,0xffebdfff,0x25fff500,0x80004ffe,0xffd2fff9,0x20000009,
    0x2ffefffa,0xd1000000,0x40000dff,0x7fdc7ffb,0x1ffe8007,0x0007ff22,
    0xffdffd10,0xf980000b,0x3ffe61ff,0xff700001,0xffffffff,0xff90000d,
    0x01fff51f,0x94fff880,0xc8000dff,0xfff98fff,0xff880002,0x0004ffef,
    0x00fffd80,0x7ffe4000,0xffd80001,0x01fff98e,0x3ffe2000,0x7ffe4005,
    0x2fffd403,0x77ff4000,0x002fffdc,0x3ff73ff2,0x6405ffff,0x05ffceff,
    0x3ffee000,0x00006ffc,0x37fff100,0x00003fff,0x0bffe200,0x3ffdc000,
    0x2001ffee,0xffeffff9,0xfd80004f,0x04ffe8ef,0x3ffe6000,0x007ffe61,
    0x4c6ff400,0x01fffffc,0xfbffd000,0x260003ff,0x0fffcfff,0xdffe8000,
    0x00003ffe,0xfff1bffd,0x7cc00005,0x400001ff,0x0003fff8,0xfd9ffd10,
    0xb800005f,0x64000eff,0x64c03fff,0x880003cc,0x3ffffffe,0x711ff400,
    0xb0017dfd,0x001dffff,0xffffd800,0x0000000f,0x7fe4dffd,0x0000000e,
    0x0000dff3,0xdd51bbaa,0x3faa000d,0x0004ffff,0xf31fffb8,0x200005ff,
    0x3a60eee9,0x880001ee,0x02ca81ee,0x7ffc4000,0x5c0003ff,0x001fffff,
    0xfffff100,0x3f60000b,0x3fff50ff,0x3ff60000,0xfb800003,0x4c00005f,
    0x004fffff,0x01fff800,0x02eeeb80,0x2a000000,0x8000bcdc,0x80010099,
    0x001eeed8,0xeeed8800,0x70000001,0x76c41ddd,0x0000004e,0x00007bae,
    0x98000000,0x80000aba,0x7643eee8,0x000000de,0x00000000,0x75400000,
    0x900004ee,0x00007ddd,0x005eee98,0x85ddd300,0x80005eec,0x00004ee8,
    0x0000bdb0,0x017bbaa0,0x0bbaa000,0x26200000,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ccc8000,0x0b332000,0x00000000,
    0x26000000,0xcdeffdca,0x54c00001,0x1cdeffdc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33326000,0xffffc980,
    0x0dff32ef,0x05999500,0x33326000,0x99999900,0x59999999,0x66400155,
    0xcccccccc,0x30009aac,0xc8001999,0x5c002ccc,0xca8003cc,0xff8002cc,
    0x3fe0004f,0x9999995f,0x99999999,0x00999999,0x00b332a0,0xfffd3000,
    0xdfffffff,0xfe980005,0xffffffff,0x999002ef,0x665c0007,0x99999992,
    0x99999999,0x95099999,0x99999999,0x99999999,0x16665499,0x66664000,
    0x000f3320,0x6542ccb8,0xcccccccc,0xcccccccc,0x6666644c,0xcccccccc,
    0xcccccccc,0x00599953,0x21999900,0x7d41fffa,0xffffffff,0x8006ff9b,
    0x0006fffe,0x203fff50,0xffffffff,0xffffffff,0xfff801ef,0xffffffff,
    0x400cffff,0x2003fff9,0x005ffff9,0x40027ffc,0x8006fffe,0x20004fff,
    0xffff5fff,0xffffffff,0xffffffff,0x3fffa000,0x3ee00006,0xffffffff,
    0x00dfffff,0xfffffb80,0xffffffff,0x7ffc00df,0xffd0002f,0x3fffffe9,
    0xffffffff,0xc87fffff,0xffffffff,0xffffffff,0xfff30fff,0x7e40003f,
    0x7fffc4ff,0x9ffd0002,0xffffffc8,0xffffffff,0xf10fffff,0xffffffff,
    0xffffffff,0x3e6bffff,0x20001fff,0x3ea4fffc,0x3ffea1ff,0xfffdbbdf,
    0x4c006ffe,0x001fffff,0x01fffa80,0xffffffff,0xffffffff,0xff805fff,
    0xffffffff,0xcfffffff,0x017ffe00,0x07ffffb8,0x00bffe60,0x3fffff30,
    0x04fff800,0x7d7ffe00,0xffffffff,0xffffffff,0xf98007ff,0x0001ffff,
    0x77fffec4,0xfeb999ac,0x1000efff,0x59dffffb,0xfffd7333,0x7ffc01df,
    0xfe8000ff,0xffffff4f,0xffffffff,0x90ffffff,0xffffffff,0xffffffff,
    0x7fdc1fff,0xff30006f,0xfffff0df,0x9ffd0001,0xffffffc8,0xffffffff,
    0xf10fffff,0xffffffff,0xffffffff,0x7dcbffff,0xf30006ff,0xfffa8dff,
    0x03ffff11,0x0dffffd1,0xffeffc80,0xffa80005,0x5dfff01f,0x75555555,
    0x7fffffb9,0x6677ffc0,0xfeeedccc,0xb00effff,0x7ec00dff,0x7001ffff,
    0xc8001fff,0x005ffeff,0x00027ffc,0x3ffebfff,0xccccccce,0xcccccccc,
    0xeffc8004,0x740005ff,0x9802ffff,0x800efffe,0x802ffffe,0x00efffe9,
    0x00bfffff,0x3fe9ffd0,0xccccccef,0xcccccccc,0xcccca84c,0xcccccccc,
    0x0ffffdcc,0x001ffff4,0x7c0ffff4,0x8005ffff,0x66544ffe,0xcccccccc,
    0xfffdcccc,0x3333320f,0xefffcccc,0xcccccccc,0x01ffff43,0x20ffff40,
    0xff91fffa,0xfffe801f,0x4fffc006,0x40000fff,0xff01fffa,0xfc88009f,
    0xfff00fff,0x3fee2009,0xffb80eff,0xfff8800f,0xfb004ffc,0xfff000bf,
    0x4001fff3,0x20004fff,0xbfff5fff,0xf0000000,0x01fff3ff,0x37ffee00,
    0x3ff62000,0x7ffdc04f,0x3f62000d,0xffff04ff,0xfe8005ff,0x00bfff4f,
    0x44000000,0xf983fffe,0x2e001fff,0xfff04fff,0xe8005fff,0x100004ff,
    0x0007fffd,0x30009fff,0x4003ffff,0xfa84fffb,0x09ffd1ff,0x00dfff30,
    0xffeb7fd4,0x7fd40003,0x09fff01f,0x0bfff200,0x20027ffc,0x984fffe8,
    0xfa802fff,0x006ffadf,0xa8007fff,0x07ffd6ff,0x0027ffc0,0x3febfff0,
    0x0000005f,0xffeb7fd4,0xfff88003,0x3ffa0006,0xdfff102f,0x7fff4000,
    0xffffff82,0x3ffa000f,0x000bfff4,0x7ec00000,0x3fee04ff,0xfff3006f,
    0x7ffffc0d,0x3fa000ff,0xfb00004f,0x3e0009ff,0xf70004ff,0x3e600dff,
    0xfff506ff,0x001fff13,0xd801bffa,0x0dff93ff,0x1fffa800,0x0009fff0,
    0xff827ffc,0xff98004f,0x4fff80ff,0xf8bffc80,0x7fcc00ff,0x7fec001f,
    0x400dff93,0x20004fff,0xbfff5fff,0xd8000000,0x0dff93ff,0x05fff900,
    0x37ffcc00,0x002fffc8,0x21bffe60,0x5fffefff,0x7d3ffa00,0x000005ff,
    0xdfffb000,0x07fffd00,0x403fffd0,0x5fffefff,0x013ffa00,0x1bfff600,
    0x04fff800,0x0ffffa00,0x407fffa0,0xff99fffa,0x1bff2007,0x98fffc40,
    0x20001fff,0xff01fffa,0x7ec0009f,0x09fff06f,0x13ffea00,0x3a01bff2,
    0x05ffd1ff,0x4007ffb8,0xff31fff8,0x3ffe003f,0x3ffe0004,0x000bfff5,
    0x7ffc4000,0x003fff31,0x002fffc4,0x207ffec0,0x0005fff8,0x7c0fffd8,
    0x2fffdaff,0x3e9ffd00,0x000005ff,0xffffb800,0xffff9800,0x0fffee00,
    0xffb5fff0,0x3ffa005f,0x7fdc0004,0x3e0000ff,0x260004ff,0x2e00ffff,
    0x3ea03fff,0x06ffb9ff,0x401bfee0,0x7ff47ffb,0x3fea0005,0x09fff01f,
    0x83fff400,0x20004fff,0xffa86fff,0x93ffc407,0xffd80bff,0x3ffdc005,
    0x7c017ffa,0x3e0004ff,0x0bfff5ff,0x7dc00000,0x02fff47f,0x003fff50,
    0x87fff500,0x0001fffa,0x7c3fffa8,0xffff8aff,0xf4ffe800,0x00000bff,
    0xffffa800,0x3ffee001,0x0dfff105,0xff15fff0,0xffd001ff,0x7fd40009,
    0x7c0001ff,0x5c0004ff,0xff105fff,0xfffa80df,0x2005ffc9,0xfd006ffa,
    0x0fffb89f,0x3fff5000,0x0013ffe0,0xf82fffc4,0x320004ff,0xfff887ff,
    0x993fee01,0x7ffc07ff,0x27ff4002,0x2003ffee,0x20004fff,0xbfff5fff,
    0x74000000,0x7ffdc4ff,0x1fff7000,0x3ffe0000,0x007ffdc5,0x45fff800,
    0xfff72fff,0x29ffd00b,0x00005fff,0x3ffe2000,0xffe8002f,0x0fffd82f,
    0xf72fff80,0xffd00bff,0x3fe20009,0xf80002ff,0xe80004ff,0xffd82fff,
    0x7ffd400f,0x2006ffc9,0xf9806ffa,0x7ffc41ff,0xfff50003,0x013ffe03,
    0x827ffe40,0x20004fff,0xfe80fffa,0x0bff603f,0x3e603fff,0x3e6000ff,
    0x7ffc41ff,0x04fff803,0x7d7ffe00,0x000005ff,0x883fff30,0xf9003fff,
    0x6c0000ff,0x3ffe47ff,0xfffb0000,0x3fa2fff8,0x7ff402ff,0x000bfff4,
    0x3fa20000,0xf30004ff,0x7fd41fff,0x5fff003f,0x2017fff4,0x88004ffe,
    0x0004fffe,0x0009fff0,0x41ffff30,0xa803fffa,0x7ffb9fff,0x01bfee00,
    0x7ec1bff6,0xff50006f,0x13ffe03f,0xffffb100,0x013ffe01,0x82fff980,
    0x3fe05ffc,0x81ffec0f,0x6c006ffb,0xdffb06ff,0x009fff00,0xffafffc0,
    0x0000005f,0x3f60dffb,0xdffd006f,0x7fec0000,0x0037ff47,0xf8fffb00,
    0x3ffe22ff,0x53ffa00f,0x00005fff,0xbfffb000,0xfffb8000,0x00bfff14,
    0xff117ffc,0x7ff401ff,0xfffd8004,0x3fe00005,0xf700004f,0x3ffe29ff,
    0x3fff5005,0x6400fff5,0x7fc406ff,0x5fff503f,0x3fff5000,0x2abbffe0,
    0xcbaaaaaa,0x02fffffe,0x80013ffe,0xfa83fff8,0x0dff307f,0x3f60dff7,
    0x3fe2004f,0x5fff503f,0x004fff80,0x7fd7ffe0,0xeeeeeeff,0xeeeeeeee,
    0x7fff1005,0x00bffea0,0x00017ffe,0x3e0fffc8,0x200005ff,0x3fe0fffc,
    0x2fffdc2f,0x3fe9ffd0,0xeeeeeeff,0xeeeeeeee,0xfff70005,0xfd00001d,
    0x1fff93ff,0x217ffc00,0x3a05fffb,0x7dc004ff,0x00000eff,0x00013ffe,
    0xfc9fffe8,0xff5000ff,0x05fff33f,0x701bffa0,0x7fc01fff,0xffa8005f,
    0xfffff01f,0xffffffff,0x05ffffff,0x0004fff8,0x7c427ffc,0x3ffc81ff,
    0xf80fff98,0x3ee002ff,0x3ffe00ff,0x027ffc05,0x3ebfff00,0xffffffff,
    0xffffffff,0xfff7007f,0x02fffc01,0x0013ffe2,0x10fffc80,0x00009fff,
    0xff07ffe4,0x5fffd05f,0x7fd3ffa0,0xffffffff,0xffffffff,0xfffa8007,
    0xf300001f,0x05fffdff,0xe82fff80,0xffd02fff,0x7ffd4009,0x7c00001f,
    0x200004ff,0xfffefff9,0x3ffea002,0x500dffd1,0xfe80dfff,0x7ffe405f,
    0x7ffd4000,0xffffff01,0xffffffff,0xf0019dff,0x440009ff,0xffd05fff,
    0x203ffd05,0x7fcc2fff,0x2fff4007,0x803fff20,0x20004fff,0xffff5fff,
    0xffffffff,0x0fffffff,0x9017ffa0,0xff801fff,0x3600005f,0x3ffe0fff,
    0x3f600005,0x0bffe0ff,0x203fffe2,0xffff4ffe,0xffffffff,0x0fffffff,
    0x2ffff880,0x7fdc0000,0xf8005fff,0xfff882ff,0x04ffe80f,0x05ffff10,
    0x9fff0000,0xffb80000,0x54005fff,0xfff31fff,0x7fff4407,0x0bffe606,
    0x007fff30,0xf01fffa8,0xdddddfff,0x01bffffd,0x004fff80,0x413ffe60,
    0x7fc44ffc,0x713ff207,0x7cc00bff,0x7fcc02ff,0x17ffe03f,0xf5fff800,
    0x55555dff,0x55555555,0xfff30055,0x3fff9805,0x0037ffc0,0xf8fffd00,
    0x200006ff,0x7ffc7ffe,0x0bfff702,0x3ffe9ffd,0xaaaaaaae,0x2aaaaaaa,
    0x27fff400,0xffe80000,0xff8000ff,0xbfff702f,0x2009ffd0,0x0004fffe,
    0x009fff00,0xffffd000,0xfffa8001,0x833fff61,0x6fffffa8,0x2affff20,
    0xfaaaaaaa,0x7d4007ff,0x9fff01ff,0x6fffe440,0x13ffe000,0x3fffa800,
    0xfa8dff30,0x1bfea05f,0x64007ffb,0xaaaabfff,0x7fffaaaa,0x0017ffa0,
    0xfff4fff8,0xc800000b,0xaaaabfff,0x7fffaaaa,0x003fff40,0xe8dfff00,
    0x200007ff,0x7ffc6fff,0x0bfffa02,0x3ffe9ffd,0xb0000005,0x0000bfff,
    0x01fffd40,0x202fff80,0x7f42fffe,0xfffd804f,0x3e000005,0x800004ff,
    0x8003fffa,0x3a21fffa,0xffefffff,0x206ffeff,0xffffffff,0xffffffff,
    0x3fea002f,0x09fff01f,0x01ffff70,0x0013ffe0,0x201fffb8,0x3ff60fff,
    0xf1ffe202,0x7fc003ff,0xffffffff,0x2fffffff,0x000bffd0,0x7fd3ffe2,
    0x4000005f,0xffffffff,0xffffffff,0x3fff202f,0xff880000,0x07ffe45f,
    0x7ffc4000,0x1017ffc5,0x7f41ffff,0x00bfff4f,0xfff70000,0x4000001d,
    0x0002fff9,0x7c405fff,0x3ffa0fff,0x77ffdc04,0x3e000000,0x800004ff,
    0x8002fff9,0xfc81fffa,0x8effffff,0xff505ffc,0xffffffff,0xbfffffff,
    0x0fffd400,0x9004fff8,0x3e00dfff,0x320004ff,0x3f600fff,0x003ffe2f,
    0x3fe23ffd,0x3ffea007,0xffffffff,0x05ffffff,0x2000dffb,0xfff3fff9,
    0x5400000b,0xffffffff,0xffffffff,0x3ffe605f,0xffb80003,0x1fffcc2f,
    0x7ffdc000,0x2017ffc2,0x3fa5fffb,0x00bfff4f,0xfff98000,0x4000001f,
    0x0002fff9,0xfb805fff,0x13ffa5ff,0x01ffff98,0x7ffc0000,0xf9800004,
    0xfa8002ff,0xfb7501ff,0x2ffe479d,0xcccfffd8,0xcccccccc,0x5000fffe,
    0x3fe03fff,0x3ffa004f,0x4fff805f,0x1fffa000,0x3e69ff70,0x3ffc806f,
    0x6c00bff5,0xcccccfff,0xfecccccc,0xfffc80ff,0xfffa8000,0x000bfff2,
    0x67ffec00,0xcccccccc,0x00fffecc,0x0003fffa,0xd07fff88,0x40001fff,
    0xff87fff8,0xfffe802f,0x3fe9ffd2,0x2000005f,0x002ffff8,0xfff98000,
    0x5fff0002,0x25fffd00,0xff104ffe,0x000005ff,0x0009fff0,0x05fff300,
    0x03fff500,0x427fec00,0x4003fff8,0x5004fffa,0x3fe03fff,0x3fe2004f,
    0x7ffc03ff,0xfff50004,0x76ff9809,0xff3009ff,0x400bff2b,0x4003fff8,
    0xfa84fffa,0xfd8002ff,0x0bfff0ff,0x3fe20000,0x7fd4003f,0x3ffee04f,
    0x3ff20005,0xbfff704f,0x7ffe4000,0x802fff84,0xfe8ffff9,0x00bfff4f,
    0x7fff4000,0x30000004,0x20005fff,0xf9802fff,0x4ffe8fff,0x009fffd0,
    0x3ffe0000,0xf9800004,0xfa8002ff,0x800131ff,0xffb83ffe,0xffe8000f,
    0x3fff5007,0x0013ffe0,0x401ffff7,0x88004fff,0xf800ffff,0x003ffb7f,
    0x07ff5bfe,0x00fffb80,0x887ffe80,0x2000ffff,0x3fe6fff9,0x7000005f,
    0xd0001fff,0xffe80fff,0xffa8002f,0x3ffa00ef,0xffa8002f,0x2fff80ef,
    0xdbfff700,0x17ffe9ff,0x7fe40000,0x0000005f,0x000bffe6,0xb8017ffc,
    0x4ffedfff,0x005fffc8,0x3ffe0000,0xf9800004,0xfa8002ff,0x05fff1ff,
    0xd03fff50,0x32000dff,0xfa802fff,0x9fff01ff,0xbfffb000,0x0027ffc0,
    0x802fffe4,0x07ff9ffd,0x3fe7ff60,0x1bffa006,0x17ffe400,0x0077ffec,
    0xf1ffff44,0x00000bff,0x4001bffa,0x2602fffc,0x2004ffff,0x401ffffc,
    0x004ffff9,0x407ffff2,0x3a002fff,0xf4ffffff,0x00000bff,0x001dfff7,
    0x7fcc0000,0xfff0002f,0x7fff4005,0x7fdc4fff,0x000000ef,0x0013ffe0,
    0x0bffe600,0x47ffea00,0x7c406ffd,0xfff987ff,0xfff10003,0x3fff500b,
    0x0013ffe0,0x40bfffe2,0x22004fff,0x001ffffd,0x0bffbff7,0x7fe7fdc0,
    0x7fff3004,0x3ffe2000,0xeffff885,0x7fdcc09b,0x2fffc6ff,0x7fcc0000,
    0xff10003f,0xfffa80bf,0xea880aef,0x5004ffff,0x015dffff,0x9ffffd51,
    0x0017ffc0,0x9ffffff3,0x00017ffe,0x01dfff30,0xf9800000,0xff0002ff,
    0x7fcc005f,0x3e64ffff,0x00000eff,0x027ffc00,0x7ffcc000,0xfffa8002,
    0x15bfff71,0x81fffd98,0x0000fffc,0x5007fff6,0x3fe03fff,0xff70004f,
    0xbfff01ff,0x75333333,0x3fffffb9,0x7fffc400,0x3fe6003f,0xf9002fff,
    0x6c0001ff,0xffb81fff,0xffefffff,0x40efffff,0x9999dfff,0x99999999,
    0x7e409999,0x360000ff,0x7cc01fff,0xddffffff,0x2fffffff,0x7fffcc00,
    0xfffddfff,0x7c02ffff,0x7dc002ff,0xfff4ffff,0x3333333b,0x33333333,
    0x3fffe213,0x9999999a,0x99999999,0x7fcc0009,0xfff0002f,0xfffb8005,
    0xffff14ff,0x33333335,0x33333333,0xfff80013,0xf9800004,0xfa8002ff,
    0x3fff61ff,0xfffeeeff,0x0bfff02f,0x4fffa800,0x80fffd40,0x20004fff,
    0xff85fffe,0xffffffff,0xffffffff,0xfffe8001,0x7ff4001f,0x3ffe007f,
    0x7fd40005,0xffff304f,0xffffffff,0xffff01bf,0xffffffff,0xffffffff,
    0x005fff89,0x027ffd40,0x7ffffec4,0xefffffff,0xffb10001,0xffffffff,
    0xff003dff,0xffd0005f,0x3fffe9ff,0xffffffff,0xffffffff,0xffffff34,
    0xffffffff,0x9fffffff,0x2fff9800,0x05fff000,0x9ffffd00,0x3fffffe6,
    0xffffffff,0x4fffffff,0x027ffc00,0x7ffcc000,0xfffa8002,0x3ffff621,
    0x02ffffff,0x0005fff5,0xa80ffff0,0xfff01fff,0x7fcc0009,0x7fffc2ff,
    0xffffffff,0x001cffff,0x00dfff90,0x00bfff90,0x000bffea,0x881fffe0,
    0xffffffeb,0x3fe01dff,0xffffffff,0xffffffff,0x3ffea4ff,0xfff80002,
    0x3ff26007,0x1cffffff,0xff930000,0x39ffffff,0x017ffc00,0xa7fffcc0,
    0xffffffff,0xffffffff,0xff34ffff,0xffffffff,0xffffffff,0x98009fff,
    0xf0002fff,0xf30005ff,0x3fe69fff,0xffffffff,0xffffffff,0x7c004fff,
    0x800004ff,0x8002fff9,0xc981fffa,0x0bdffffe,0x001fff60,0x017ffe40,
    0x3e03fff5,0x640004ff,0x7ffc6fff,0xffffffff,0x0000bcde,0x0027ffd4,
    0x801fffd4,0x00007ffd,0x1005fff9,0x01355553,0xfffffff0,0xffffffff,
    0x6c9fffff,0x900007ff,0x10005fff,0x00033553,0x9aa98800,0x5fff0001,
    0x3ffee000,0xfffffff4,0xffffffff,0x269fffff,0xffffffff,0xffffffff,
    0x004fffff,0x0017ffcc,0x0002fff8,0x3e69fff7,0xffffffff,0xffffffff,
    0x4004ffff,0x00004fff,0x002fff98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x19997000,
    0x00000000,0x02666200,0x3332e000,0x36a00002,0x003ff82d,0x000e665c,
    0x07333200,0x99991000,0x00000001,0x001cccc8,0x02666000,0x00013331,
    0x0f332600,0x82cccb80,0x4c409998,0x3332a019,0x332a0000,0x9900001c,
    0x33320079,0x0000001c,0x3bbbba60,0x02eeeeee,0x01555500,0x66665400,
    0x0ccccccc,0xdddd5000,0x1ddddddd,0x540bb600,0x5000005e,0x000bffff,
    0x00013ea0,0x017fff40,0x37ffcc00,0xfffe8000,0x2ffcbdff,0x1bffe600,
    0xfff50000,0xff70000b,0x0000009f,0x05fffa80,0x7fec0000,0x01bffa0e,
    0xfffe8000,0x3ffe6002,0x37ff440f,0x260bfff1,0x0006ffff,0x01dffff1,
    0xffffc800,0x2fffd404,0x5c7ffb80,0x7d4007ff,0xffffffff,0xff0002ff,
    0x640003ff,0xffffffff,0x70000fff,0xffffffff,0x32003fff,0x25fe80ff,
    0x7ff44fff,0x77ffcc04,0x4c0004ff,0x00001dfc,0x002fffe8,0x05fff700,
    0xeeffa800,0x06ffffff,0x007ffec0,0x3bffa000,0xfff80000,0x00000005,
    0x000effe8,0x7ffc4000,0x001fff74,0x3ffe6000,0xfffa8003,0x93fff983,
    0x3fe20dff,0x8004ffef,0x05ffeffe,0x3bffea00,0x3ffa02ff,0xfff7000e,
    0x4007ffb8,0xfffffffa,0x0002ffff,0x0003ffff,0x7fffffe4,0x000fffff,
    0xffffff70,0x003fffff,0x32b3bfe6,0x3ffe1ffe,0x1027ff44,0xfff19ffd,
    0xffd98005,0x00dfffff,0x5fffd000,0x7fe40000,0x2fe40006,0x03bffd71,
    0x00fffcc0,0x3ffea000,0xffb80000,0x0000000f,0x007ffd40,0xff980000,
    0x001fffbf,0x17ff6000,0x07ffb800,0xfff7fff5,0x237ffa01,0x36003fff,
    0x4ffe8eff,0xbfff8800,0xf981fff9,0x3ee001ff,0x03ffdc7f,0x80000000,
    0x0001ffff,0x26666662,0x00019999,0xf7000000,0x87ffffff,0x7ff44fff,
    0x43fff604,0x7001fffb,0xffffffff,0x00005fff,0x0005fffd,0x002ffd80,
    0x04c06aa0,0x01ffec00,0x17ff4000,0x1ffe8000,0x80000000,0x00002ffe,
    0x7fffdc00,0x2000002f,0x0000eff9,0xfc81ffec,0xf901ffff,0x3ffea1ff,
    0x1fffb801,0x8005fff3,0x3ff26ffe,0x01ffec0e,0xd517baa0,0x000000dd,
    0x3bbb6000,0x00000000,0x00000000,0x1defed98,0x76c3eed8,0x5ddd503e,
    0xa805eed8,0xdfdeffff,0x001ffffe,0x40000000,0x00004ed8,0x77440000,
    0xe9800004,0xd300003e,0x0000007d,0x007dd300,0x3f600000,0x000004ff,
    0x0000f75c,0x3fa05ed8,0xddd303ff,0x405eec85,0x75c3eed8,0xdd7000de,
    0x2776c41d,0x00009dd1,0xeec80000,0x00277644,0x66640000,0x33320002,
    0x372a6002,0x001cdeff,0x00000000,0x7fc40000,0x2a9f52ef,0x44007fff,
    0xbdefeeca,0x0000001a,0x000b3320,0x0002ccc8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3332a000,
    0xccc80002,0x46ffd80c,0x32a06ffd,0xcccccccc,0xcccccccc,0x013ffe4c,
    0x805fff80,0xffffffe9,0x002effff,0x800ccc98,0xcc80ccc9,0xcccccccc,
    0xcccccccc,0x0fffdc4c,0x7ffdc9f5,0xfffd9802,0xffffffff,0x3333200e,
    0xcccccccc,0x4ccccccc,0x80013ffe,0x99915fff,0xccc80003,0xcccccccc,
    0xcccccccc,0x33333324,0xaccccccc,0x000000aa,0x3333332e,0xcccccccc,
    0x3ccccccc,0x59995000,0xca800000,0x260002cc,0x32600ccc,0x993000cc,
    0x0f32e019,0x32ccc800,0x98000799,0x7fcc0ccc,0x320001ff,0xffb04fff,
    0x206ffd8d,0xfffffffc,0xffffffff,0xfff0ffff,0x7ffc0009,0x7fffdc05,
    0xffffffff,0x2a000dff,0xfa801fff,0xffff81ff,0xffffffff,0x7fffffff,
    0x3ea37fec,0x013ffe24,0xfffffff7,0xffffffff,0x3ffffe07,0xffffffff,
    0x27ffffff,0x20004fff,0xfff15fff,0xfff80007,0xffffffff,0xffffffff,
    0x3fffffe7,0xffffffff,0x0001efff,0x7ffffcc0,0xffffffff,0xffffffff,
    0xffd0006f,0x800000df,0x0006fffe,0xa807ffea,0xf5001fff,0x3ffa03ff,
    0x3ffe0005,0x000dff75,0xb81fffa8,0x30006fff,0x7ec0dfff,0x037fec6f,
    0xfffffff9,0xffffffff,0x3fe1ffff,0x3fe0004f,0xfffb105f,0x733359df,
    0x01dffffd,0x007ffea0,0x3e07ffea,0xffffffff,0xffffffff,0x1fff47ff,
    0x579913ea,0x3ffff620,0xca99abde,0xf85ffffe,0xffffffff,0xffffffff,
    0x13ffe7ff,0x15fff800,0x80007fff,0xffffffff,0xffffffff,0x3ffe7fff,
    0xffffffff,0xffffffff,0x3f600002,0xffffffff,0xffffffff,0x006fffff,
    0x1fffff98,0xff300000,0x20003fff,0x2a01fffa,0xf5001fff,0x3ffa03ff,
    0x3ffe0005,0x000dff75,0xd01fffa8,0xd0007fff,0x4c403fff,0x004cc409,
    0x99999995,0xb9999999,0x3fe1ffff,0x3fe0004f,0xffffd05f,0xfffd3005,
    0xfff5001d,0x3fff5003,0x999dfff0,0x99999999,0xff899999,0x0027d43f,
    0x027fffec,0x42ffffb8,0xccccefff,0xcccccccc,0x3ffe4ccc,0x3ffe0004,
    0x007fff15,0xccefff80,0xcccccccc,0x3e4ccccc,0xaaaaaeff,0xffdcbaaa,
    0x80003fff,0xeccefff8,0xcccccfff,0xcccccccc,0xeffc8003,0x000005ff,
    0x0bffdff9,0x07ffea00,0x001fffa8,0x3a03fff5,0x3e0005ff,0x0dff75ff,
    0x1fffa800,0x03ffff30,0x027ffdc0,0x00000000,0x7c7fffd1,0x3e0004ff,
    0xfffb85ff,0x3f62000d,0xffa804ff,0xfffa801f,0x005fff81,0x237fec00,
    0x7d4004fa,0x4c001eff,0x7ffc6ffe,0x3fe00005,0x3fe0004f,0x07fff15f,
    0x05fff800,0x13ffe000,0xffff9100,0xffc80001,0x01fff21f,0xfff80000,
    0x0000fff9,0xff9fff80,0xffa8000f,0x3ffea01f,0x3fff5001,0x0017ffa0,
    0xff75fff8,0xffa8000d,0x3ffee01f,0xdfff3006,0x00000000,0x44fffd80,
    0x20004fff,0x7fc45fff,0x3fa0006f,0x7fd402ff,0xfffa801f,0x005fff81,
    0x07ffdc00,0x7c4009f5,0x50001fff,0x7ffc5fff,0x3fe00005,0x3fe0004f,
    0x07fff15f,0x05fff800,0x13ffe000,0x17ffe400,0xbfff1000,0x0007ffc8,
    0x2dff5000,0x00003ffe,0xffeb7fd4,0xfffa8003,0x07ffea01,0x80fffd40,
    0x20005ffe,0xdff75fff,0xfffa8000,0x1ffff401,0x00ffff40,0x00000000,
    0xff0dfffb,0x7fc0009f,0x17ffe45f,0xdfff3000,0x01fffa80,0xf81fffa8,
    0x400005ff,0xf51efff9,0x7ffdc009,0x7ff40003,0x0017ffe6,0x004fff80,
    0x7c57ffe0,0x7c0003ff,0x200005ff,0x20004fff,0x20004fff,0x7e41fffc,
    0x0000007f,0x3ff27ffb,0x7ec00006,0x00dff93f,0x403fff50,0x5001fffa,
    0x3fa03fff,0x3fe0005f,0x00dff75f,0x01fffa80,0x007fffcc,0x5c07fff7,
    0xffb006ff,0xffb80009,0x4fff80ff,0x97ffe000,0x0005fff8,0x200fffd8,
    0xa801fffa,0xfff81fff,0xfb800005,0x04fcdfff,0x001bffa0,0xff8b3aa0,
    0x3e00005f,0x3e0004ff,0x7fff15ff,0x5fff8000,0x3ffe0000,0x3ff60004,
    0xfff10006,0x00fff90b,0xfff10000,0x007ffe63,0x8fffc400,0x4001fff9,
    0x2a01fffa,0xf5001fff,0x3ffa03ff,0x3ffe0005,0x510dff75,0x3fff5003,
    0x0bfff700,0x701bffe2,0x3f600dff,0x3ea0004f,0xfff01fff,0x7ffc0009,
    0x007ffea5,0x0fffea00,0x801fffa8,0xff81fffa,0x7000005f,0x9fffffff,
    0x5fff9805,0x3fe00000,0x3e00005f,0x3e0004ff,0x7fff15ff,0x5fff8000,
    0x3ffe0000,0x3ffa0004,0xfff90007,0x00fff905,0xfff70000,0x0005ffe8,
    0xfe8fff70,0x7fd4005f,0x3ffea01f,0x3fff5001,0x0017ffa0,0xff75fff8,
    0x7ffff64d,0x3fff503e,0x0bfffa00,0x7003fff6,0x3f600dff,0xff10004f,
    0x7ffc05ff,0x3ffe0004,0x003ffee5,0x02fffc00,0x5003fff5,0xfff03fff,
    0x5400000b,0xfffffffd,0x7fff703f,0x7fc00000,0x3e00005f,0x3e0004ff,
    0x7fff15ff,0x5fff8000,0x3ffe0000,0xfff10004,0xfff1000b,0x01fff20d,
    0x3ffa0000,0x007ffdc4,0x227ff400,0x2000fffb,0x2a01fffa,0xf5001fff,
    0x3ffa03ff,0x3ffe0005,0xfd1dff75,0xbfffffff,0x003fff50,0xa83fffe6,
    0xfb803fff,0x9ffb006f,0xfffd1000,0x04fff809,0xc97ffe00,0x200007ff,
    0x3ea07ffd,0xffa801ff,0x05fff81f,0xfb880000,0x1effffff,0x0017ffe4,
    0x0bfff000,0x27ffc000,0x2bfff000,0x0003fff8,0x0002fffc,0x0009fff0,
    0x0013fff2,0x640bffee,0x000007ff,0x220fffcc,0x40003fff,0x7c41fff9,
    0x3ea003ff,0x3fea01ff,0xfff5001f,0x017ffa03,0xf75fff80,0x9bffffff,
    0xa8bffffb,0x2e001fff,0xfff14fff,0x1bfee00b,0x0027fec0,0x402fffec,
    0x20004fff,0x3ffa5fff,0x3f600006,0x3ffea07f,0x1fffa801,0x0005fff8,
    0x3b7ea000,0x7ec6ffff,0x000000ff,0x00017ffe,0x0004fff8,0x7fc57ffe,
    0x7fc0003f,0x3e00005f,0x6c4004ff,0x4000ffff,0x3206fff8,0x000007ff,
    0xfd837fec,0x7ec0006f,0x0dffb06f,0x00fffd40,0x2003fff5,0xfd01fffa,
    0x333333bf,0x33333333,0x3feebfff,0xfe882fff,0x3ffea1ff,0x7fff4001,
    0x000fffc9,0x3600dff7,0x7dc004ff,0xff800eff,0x3fe0004f,0x017ffe5f,
    0x0fffc800,0x003fff50,0xff03fff5,0xddddddff,0xdddddddd,0x34fa800b,
    0x7f49fffd,0x4000007f,0xeeeeffff,0xeeeeeeee,0x27ffc5ee,0x2bfff000,
    0x0003fff8,0x7777fffc,0xeeeeeeee,0x7ffc5eee,0xaaaaaaae,0xffffecba,
    0xffb8002f,0x3fff202f,0xeeeeeeee,0x1005eeee,0x3ea07fff,0xf10002ff,
    0x3fea07ff,0xfff5002f,0x0fffd403,0x01fffa80,0xfffffffd,0xffffffff,
    0x2ebfffff,0x2601ffff,0x3fea3fff,0x7fcc001f,0x002fffef,0x6c01bfee,
    0x3ea004ff,0xff001fff,0x7fc0009f,0x09fff15f,0x7ffe4000,0x03fff500,
    0xf03fff50,0xffffffff,0xffffffff,0x4fa800ff,0xff87fff4,0xfff1006f,
    0xffffffff,0x3fffffe7,0xffffffff,0x7fc7ffff,0x3fe0004f,0x07fff15f,
    0xfffff800,0xffffffff,0x7c7fffff,0xffffffff,0xffffffff,0xff0002ff,
    0xfffc80df,0xffffffff,0x7006ffff,0x7fc01fff,0xff70005f,0x2fffc01f,
    0x01fffa80,0x4007ffea,0xfd01fffa,0xffffffff,0xffffffff,0x3feebfff,
    0x4ffe803f,0x0007ffea,0x17ffffee,0x00dff700,0x44013ff6,0x2002ffff,
    0x20004fff,0x3ffe5fff,0x3f600005,0xfff500ff,0x3fff5003,0xfffffff0,
    0xffffffff,0xa800ffff,0x8fffdc4f,0xf1007ffe,0xffffffff,0x3fffe7ff,
    0xffffffff,0x47ffffff,0x20004fff,0xfff15fff,0xfff80007,0xffffffff,
    0x7fffffff,0x7ffffffc,0xffffffff,0x70000cef,0xfc805fff,0xffffffff,
    0x06ffffff,0xc80bffd0,0xe8000fff,0x7fe405ff,0xfffa800f,0x07ffea01,
    0x80fffd40,0xfffffffe,0xffffffff,0xf75fffff,0xffb005ff,0x00fffd4b,
    0x0ffffe80,0x037fdc00,0xd004ffd8,0xf8009fff,0x3e0005ff,0x1bffe5ff,
    0x7ffe8000,0x007ffea0,0x3e07ffea,0xaaaaaeff,0xaaaaaaaa,0x3ea0202a,
    0xd9fffc44,0xff1007ff,0xffffffff,0x2bbffe7f,0xaaaaaaaa,0x7c2aaaaa,
    0x3e0005ff,0x7fff15ff,0xefff8000,0xaaaaaaaa,0x42aaaaaa,0xeeeeffff,
    0x0dffffee,0x6ffe8000,0xaafffc80,0xaaaaaaaa,0xff9802aa,0x7ffcc02f,
    0x7ffcc003,0x1fffcc02,0x00fffd40,0x2003fff5,0xfd01fffa,0x7fc000bf,
    0x01fff75f,0x7d4bff90,0xf50001ff,0xf70007ff,0x3ff600df,0x5fffd804,
    0x05ffe800,0xe93ffe00,0x200007ff,0x3ea06fff,0xffa801ff,0x05fff81f,
    0x1ffaa000,0x3ffe13ea,0x001fff93,0x26666666,0xfff3fff9,0x7f40000b,
    0x3fe0005f,0x07fff14f,0x05fff800,0x13ffe000,0x0dfffc88,0x3ffea000,
    0x9999999c,0x0007ffd9,0x57fff900,0xf5555555,0xfc800fff,0xaaaaabff,
    0x07fffaaa,0x201fffa8,0x5001fffa,0x3fa03fff,0x3fe0005f,0x00fff75f,
    0xffa97ff2,0xff30001f,0xff70005f,0x13ff600d,0x01dfff70,0x00bffd00,
    0xc93ffe20,0x80000fff,0x2a05fff8,0xfa801fff,0x5fff81ff,0x3fe60000,
    0x7c27d40f,0x7fff52ff,0x3ffe0000,0x000bfff3,0x002fff40,0xf14fff88,
    0xf80007ff,0x200005ff,0xfb804fff,0xd0000fff,0xffffffff,0xffffffff,
    0x3fe00000,0xffffffff,0x2fffffff,0x3ffffe00,0xffffffff,0x5402ffff,
    0x3ea01fff,0xff5001ff,0x17ffa03f,0x75fff800,0x3f200dff,0x07ffea5f,
    0x17ffcc00,0x037fdc00,0x2604ffe8,0x0001ffff,0x2000dffb,0x3e63fff9,
    0xb80003ff,0x3ea02fff,0xffa801ff,0x05fff81f,0x1fffc000,0xfff313ea,
    0x017ffe23,0xf9fffc00,0x200005ff,0x30006ffd,0x3fe27fff,0x7fc0003f,
    0x3e00005f,0xff9004ff,0xff5000df,0xffffffff,0x0fffffff,0xfff50000,
    0xffffffff,0x0bffffff,0x3ffffea0,0xffffffff,0x5405ffff,0x3ea01fff,
    0xff5001ff,0x17ffa03f,0x75fff800,0x3f200dff,0x07ffea5f,0x17ffcc00,
    0x037fdc00,0xf104fff8,0x40005fff,0x8000fffc,0x7f42fffa,0x220000ff,
    0x7d407fff,0xffa801ff,0x05fff81f,0x7ffec000,0xffd13ea0,0x01fffd8d,
    0xf3fff800,0x40000bff,0x8000fffc,0xff12fffa,0xff80007f,0x3e00005f,
    0x3fa004ff,0x7f4005ff,0xffffffff,0x7fffffff,0xffd80000,0xcccccccf,
    0xfffecccc,0xcfffd800,0xcccccccc,0x00fffecc,0xa807ffea,0xf5001fff,
    0x3ffa03ff,0x3ffe0005,0x200dff75,0x3fea5ffc,0xff30001f,0xff70005f,
    0x9fff100d,0x013fffa0,0x05fff500,0x81fffb00,0x0005fffb,0x5013fff2,
    0xf5003fff,0xbfff03ff,0xffa80000,0x6c9f50ef,0x7fd42fff,0xff80006f,
    0x00bfff3f,0x17ffd400,0x87ffec00,0x0003fff8,0x0002fffc,0x4009fff0,
    0x003ffff8,0x4007fff5,0x00007ffc,0x001fffc4,0x1013ffea,0xa8007fff,
    0x3ea04fff,0x3fea01ff,0xfff5001f,0x017ffa03,0xf75fff80,0x3ff200df,
    0x007ffea5,0x017ffcc0,0x403ffd40,0xfc84fffa,0x880005ff,0x2000ffff,
    0xfd06fff9,0xf50005ff,0xfa801dff,0xffa801ff,0x05fff81f,0xfffc8000,
    0xfebdfccf,0xfffb05ff,0x7fd4000b,0x00bfff3f,0x7fffc400,0x3ffe6000,
    0x00fffe26,0x00bfff00,0x027ffc00,0x03fffee0,0x003fffa0,0x0007ffc8,
    0x007ffdc0,0x203fff40,0x8000fffb,0x3ea07ffe,0x3fea01ff,0xfff5001f,
    0x017ffa03,0xf75fff80,0x3ff200df,0x007ffea5,0x017ffcc0,0x027ffcc0,
    0xb89ffff1,0x0000efff,0x01dfffb0,0x07fffd10,0x013fffe6,0x01ffffc8,
    0x801fffa8,0xff81fffa,0x7000005f,0xffffffff,0x74409fff,0x2001efff,
    0xf3ffffe9,0x80000bff,0x800efffd,0x223fffe8,0x40003fff,0x00005fff,
    0x20013ffe,0x4c05fffd,0x64004fff,0x400007ff,0x90006ffe,0x7f405fff,
    0xff90006f,0x3ffea05f,0x07ffea01,0x80fffd40,0x20005ffe,0xdff75fff,
    0xa97ff200,0x30001fff,0x20005fff,0xe881ffff,0x3e64ffff,0x00000eff,
    0x2fbfffe2,0x7ffdcc09,0x7ffd406f,0xea880aef,0x5004ffff,0xf5003fff,
    0xbfff03ff,0x6d400000,0xefffffff,0xffff9802,0x2a20acef,0xdfffffdb,
    0x000bfff0,0xeffff880,0x7fdcc09b,0x7ffc46ff,0x7ffc0003,0x3fe00005,
    0xff88004f,0x3ff602ff,0x7fe4000f,0x3e600007,0xf10003ff,0x3fe60bff,
    0xff10003f,0x3ffea0bf,0x07ffea01,0x80fffd40,0x20005ffe,0xdff75fff,
    0xa97ff200,0x30001fff,0x20005fff,0xcceffffb,0x4ffcfffe,0x335ffff1,
    0x33333333,0x81333333,0xfffffffb,0xfffffffe,0xfff9800e,0xffddffff,
    0x002fffff,0x2007ffea,0xff81fffa,0x999999df,0x99999999,0xfd980099,
    0x744000ad,0xefffffff,0xffffffff,0x4efffc2e,0x99999999,0x09999999,
    0x7fffffdc,0xffffffef,0x7ffc40ef,0x9999999c,0x3e199999,0x99999dff,
    0x99999999,0x9fff0999,0x3ffee000,0x4fff980f,0x9fffc800,0x99999999,
    0x64099999,0x20000fff,0xfc81fffd,0x360000ff,0xffa81fff,0x3ffea01f,
    0x3fff5001,0x0017ffa0,0xff75fff8,0x97ff200d,0x0001fffa,0x0005fff3,
    0x7fffffec,0x4ffa8eff,0xfffffff3,0xffffffff,0x09ffffff,0xfffffff3,
    0x1bffffff,0x7ffec400,0xffffffff,0x7d4001ef,0xffa801ff,0xfffff81f,
    0xffffffff,0x4fffffff,0x0009f500,0xffffffc8,0xffffffff,0xffffff03,
    0xffffffff,0x09ffffff,0xfffffff3,0x1bffffff,0xffffff10,0xffffffff,
    0x7fffcfff,0xffffffff,0xffffffff,0x0009fff4,0x6c2ffff4,0xc8000fff,
    0xffffffff,0xffffffff,0x02fffc2f,0x13ffea00,0x00017ffe,0xf509fff5,
    0x7fd403ff,0xfff5001f,0x017ffa03,0xf75fff80,0x3ff200df,0x007ffea5,
    0x017ffcc0,0x3fffaa00,0x9ff50dff,0x3fffffe6,0xffffffff,0x4fffffff,
    0xffffd710,0x003bffff,0x7fffe4c0,0x001cffff,0x003fff50,0xff03fff5,
    0xffffffff,0xffffffff,0x3ea009ff,0xfb500004,0x9dffffff,0x7fffc017,
    0xffffffff,0xffffffff,0xfffd7104,0x03bfffff,0x7fffffc4,0xffffffff,
    0x3fffe7ff,0xffffffff,0xffffffff,0x0009fff4,0x317fffcc,0x2000bfff,
    0xfffffffc,0xffffffff,0x3ffea2ff,0xfff80002,0x017ffd47,0x43fffc00,
    0x2a01fffa,0xf5001fff,0x3ffa03ff,0x3ffe0005,0x200dff75,0x3fea5ffc,
    0xff30001f,0x2200005f,0xff3000a9,0xffffffff,0xffffffff,0x31009fff,
    0x00135555,0x9aa98800,0xffa80001,0xfffa801f,0xffffff81,0xffffffff,
    0x04ffffff,0x00009f50,0x00355330,0xfffffff8,0xffffffff,0x804fffff,
    0x09aaaa98,0xfffff880,0xffffffff,0x3ffe7fff,0xffffffff,0xffffffff,
    0x009fff4f,0x26fffc80,0x0001fffc,0xfffffff9,0xffffffff,0x3ffec5ff,
    0xfffc8000,0x001fff62,0x217ffe40,0x2a01fffa,0xf5001fff,0x3ffa03ff,
    0x3ffe0005,0x200dff75,0x3fea5ffc,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x40000028,0x0059702a,0x00000000,0x4c980b88,0xaaa88000,
    0xaa880001,0xaaaaaaaa,0xcc88001a,0xcccccccc,0x3333101c,0x03333333,
    0x00000000,0x00000000,0x00000000,0x000c0000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00000198,0xff800000,0x01fffc3f,0x3fffc800,
    0x7fdc0000,0xff98adff,0x9ffd0003,0x0004ffe8,0x7dfffb10,0x0001ff63,
    0x0017ffee,0x3ffffe60,0x03ffffff,0xfffff980,0x03ffffff,0xfffffff7,
    0x4003ffff,0xdeffedc9,0x3ae0000b,0xffe80005,0x6ff6d400,0x2ffc4003,
    0x76e4c000,0x501bceff,0x17ae01df,0x07ff5000,0x39ddb730,0x0ffe8000,
    0x40006fe8,0xcefecb98,0x665c009b,0x7f6dd443,0x7d401cee,0x3fffb24f,
    0x98000bdf,0xcdeffdca,0x3fe00001,0x01fffc3f,0xfa97d400,0xff100001,
    0xffffffff,0x3fa0003f,0x027ff44f,0xffffc800,0x05ffffff,0x5fffb800,
    0xfff98000,0xffffffff,0xfff98003,0xffffffff,0xfffff703,0x03ffffff,
    0xfffffd70,0x03bfffff,0x007ffc80,0x200ffe40,0xdffffffc,0x01ff9000,
    0x7fff5400,0xdfffffff,0x203ffe60,0x20007ffc,0xfb806ff8,0x02ffffff,
    0x203ff900,0x70000ffc,0xffffffff,0x3a019fff,0x3ffee5ff,0xdfffffff,
    0xb19ff500,0xffffffff,0x7ff4c00b,0xffffffff,0xff80002e,0x01fffc3f,
    0x13626c00,0x4ffdc000,0x3ffffeb8,0x13ffa000,0x00009ffd,0x3f6a33fe,
    0x0000efff,0x005fffb8,0xaaaaa880,0x01aaaaaa,0x33333300,0x20133333,
    0xccccccca,0x2200cccc,0xfffffffe,0x4fffffff,0x7fffd880,0x13fea000,
    0xf79fff70,0xff100bff,0x3f620009,0xffffffff,0xf9cfffff,0x7fec41ff,
    0x3f60007f,0x77fcc00f,0x006ffb9a,0x2604ffa8,0x744002ff,0xffffffff,
    0x81ffffff,0xfffb5ffe,0xffffffff,0xbff503ff,0xfb99dffd,0xf7009fff,
    0xffffffff,0x01bfffff,0x21777400,0x80002eee,0x00026c5d,0xbb983ec8,
    0x776c0000,0x001f76c3,0x220774c0,0x200001ca,0x0004eeea,0x00000000,
    0x00000000,0x7bfffff3,0xffd75335,0x3f201bff,0x0007ffff,0xff00dff1,
    0x0ffec41f,0x0003ff20,0x37ffffa6,0xfeba99ac,0x42ffffff,0x07fffffc,
    0x005ff700,0xffc81ff9,0x1bfe2002,0xd0017fe0,0x3559ffff,0xfffff953,
    0xfdeffe83,0xb98aceff,0x40fffffc,0x82effffa,0x102fffe8,0x59dffffb,
    0xfffd7333,0x000001df,0x5f500000,0x00001f71,0x00000000,0x00000000,
    0x00000000,0x59995000,0x99999000,0x99999999,0x09999999,0x4006664c,
    0x01effff8,0x05ffffa8,0x0ffb1bff,0x007ff600,0xff309ff5,0x027fc409,
    0x7ffff440,0xffffb802,0xd8dff83f,0xff98007f,0xffd80005,0x07ff6000,
    0x9801ff60,0x4400dfff,0x7f44fffc,0x400effff,0x545ffffa,0x2601ffff,
    0xffd03fff,0xfd3005ff,0xcc801dff,0xcccccccc,0xcccccccc,0xffd0004c,
    0x332000bf,0x32e0003c,0xcca8002c,0x4000002c,0x8002ccca,0xcccccccc,
    0xcccccccc,0xd0004ccc,0xf000dfff,0xffffffff,0xffffffff,0x7fd40fff,
    0xfffd801f,0x7ff44004,0x3f61d83f,0x3ffb8007,0x882ffb80,0x3ff205ff,
    0xfffc8000,0x3fe2000d,0x361d84ff,0xffe8007f,0xfb710000,0x7fdc009f,
    0x03ff7003,0x001bff20,0xffe8fffb,0xf3000eff,0x7fd43fff,0x5ffe804f,
    0x00dfffb8,0x13fff620,0xfffffff0,0xffffffff,0x000fffff,0x001bfffa,
    0x0017fffc,0x8004ffe8,0x0006fffe,0x37fff400,0x7ffffc00,0xffffffff,
    0x07ffffff,0xfffff980,0x7fffc001,0xffffffff,0x7fffffff,0x007ffea0,
    0x000bfff7,0x003fffe2,0xf9800ffb,0x3ff9005f,0x7c41bfe0,0xffa8004f,
    0xffc8006f,0x7ec00fff,0x0ffe4007,0x5fff7000,0x02ffcc00,0x2007ff10,
    0x4c003ffe,0x3ffa1fff,0x7dc000ff,0x3ffea5ff,0x45ffd801,0x0006fff8,
    0xf80bfffa,0xffffffff,0xffffffff,0xf98007ff,0x8001ffff,0x000fffff,
    0x4004ffe8,0x01fffff9,0xfff30000,0xff8003ff,0xffffffff,0xffffffff,
    0xffc8007f,0x7c005ffe,0xccccceff,0xcccccccc,0x3fea04cc,0x7fffc01f,
    0x3fee0000,0x03fec04f,0x4003ffa0,0xfff01ffd,0x0003ff60,0x0007fffa,
    0x9fffbff7,0x2007fd80,0x40004ffa,0x003fffec,0xe8001ffd,0xfff8806f,
    0x4fff8002,0x000ffffa,0xfa9fffe2,0xffc800ff,0x017ffe46,0x0dfff300,
    0x66677ffc,0xcccccccc,0x8004cccc,0x05ffeffc,0x5fffff80,0x04ffe800,
    0x7ff7fe40,0xf9000005,0x800bffdf,0xccccefff,0xcccccccc,0xf8004ccc,
    0x00fff9ff,0x0017ffe0,0x1fffa800,0x013ffe60,0x01fffa00,0x7e400ffb,
    0x3ff2002f,0xf30dff01,0xff10009f,0xffa800bf,0x401fffd5,0xff1007fd,
    0x5c40000d,0x7fe403ff,0x0ffc8002,0x006fff80,0x3fa0aa98,0xf90001ff,
    0x3ffea3ff,0x26ffc800,0x0005fff8,0xf00fffd8,0x00000bff,0xff3fff00,
    0xfff8001f,0x74002fff,0x7fc004ff,0x000fff9f,0xf9fff800,0x3fe000ff,
    0x0000005f,0xffeb7fd4,0x17ffe003,0xffa80000,0x3fff201f,0xffb80000,
    0x01ff601f,0x20027fcc,0xff882ffb,0x000ffd85,0x001fffb8,0x7dc3bfea,
    0x1ff603ff,0x000ffec0,0x5037fc00,0x2a0009ff,0xffd802ff,0xfd00001f,
    0x7d4000ff,0x0fff53ff,0xfa9bff20,0xa80001ff,0xfff03fff,0x8000000b,
    0x7ffd6ffa,0xfffff800,0x3fa000ff,0x3fea004f,0x0007ffd6,0xfd6ffa80,
    0x7ffc007f,0x40000005,0xdff93ffd,0x02fffc00,0xfff50000,0x03fffc03,
    0x4fff9800,0x2201ff60,0xf98006fe,0x43ffb85f,0xd0004ff9,0x7cc00fff,
    0x3ffe20ef,0x201ff604,0x88003ffb,0x7ff883cc,0x000dff10,0x54027fc4,
    0x001cffff,0x0037ff40,0x2a9fff30,0xff9007ff,0x007ffdcd,0x05fff800,
    0x0000bfff,0x93ffd800,0xff800dff,0x005fffef,0xd8013ffa,0x0dff93ff,
    0x3ffd8000,0x7c00dff9,0x000005ff,0x4c7ffe20,0xff001fff,0x400000bf,
    0x3e01fffa,0x200005ff,0x3f605fff,0x01ffd807,0x219ffb00,0xffd86ffb,
    0xfffd0000,0x07ffe200,0xfd817ffe,0x02ffcc07,0x443ffd00,0xffb06ffc,
    0x7fd80003,0xfffff900,0xe800159d,0x220006ff,0xfff54fff,0xc9bff200,
    0x200007ff,0xfff07ffd,0x4000000b,0xff31fff8,0x7ffc003f,0x002fffda,
    0x22009ffd,0xfff31fff,0x3e200003,0x3fff31ff,0x017ffe00,0xffb80000,
    0x802fff47,0x00005fff,0x407ffea0,0x0004fff8,0xd81bffa0,0x1ffd407f,
    0xffff3000,0xf985ffff,0x3fe0003f,0xffe8805f,0x40dffd01,0x7ff407fd,
    0x3fe60000,0x1ffffdef,0x0003ffb8,0x7001ffb8,0xffffffff,0xffd0059d,
    0xfff8000d,0x200fff55,0x3ffa6ffc,0x3f600006,0x0bfff07f,0x7dc00000,
    0x02fff47f,0xff15fff0,0xffd001ff,0x1ffee009,0x0000bffd,0xffd1ffee,
    0x17ffe00b,0xfe800000,0x07ffdc4f,0x002fffc0,0x3fff5000,0x00fffe60,
    0x07ffe800,0xff881ff6,0xfe880005,0xfd81efff,0xff10000f,0x5ffd009f,
    0xb03ffec0,0x17fe40ff,0x7ffdc000,0xf882efff,0xf300005f,0x7f54007f,
    0xffffffff,0xbffd00df,0x5fff8000,0x3200fff5,0x17ffe6ff,0xfffc8000,
    0x005fff80,0x3ffa0000,0x007ffdc4,0xff72fff8,0x9ffd00bf,0x713ffa00,
    0x00001fff,0xffb89ffd,0x5fff800f,0xf3000000,0xfff883ff,0x05fff803,
    0x3fea0000,0x7fff501f,0x7ff40000,0xe8066207,0x2cb800ff,0x980ddcc0,
    0xab9883ff,0x09fff101,0x6403ffd8,0x33100fff,0x4c13fe60,0x4400abba,
    0x3a01acaa,0x2cb800ff,0x4002ffc0,0xfffffec9,0xfe81ffff,0x7fc0005f,
    0x00fff55f,0x7fc5bff2,0x3200004f,0xfff80fff,0x30000005,0xff883fff,
    0x5fff003f,0x2017fff4,0xf9804ffe,0x7ffc41ff,0x7fcc0003,0x1fffc41f,
    0x002fffc0,0x6ffd8000,0xf00dffb0,0x00000bff,0x980fffd4,0x00004fff,
    0x80017ffe,0xfc802ffb,0xfe80004f,0xfffff987,0x04fff80e,0x36013ff2,
    0xf10007ff,0xfffb10df,0x00019fff,0x9005ff90,0x7fd809ff,0x7edc4000,
    0x43ffffff,0x40005ffe,0xfff54fff,0xf9bff200,0x200005ff,0xff80fffd,
    0x0000005f,0x3f60dffb,0x5fff006f,0x007fffc4,0xfb009ffd,0x1bff60df,
    0x0dffb000,0x3e01bff6,0x000005ff,0x503fff88,0xff805fff,0xeeeeeeff,
    0xeeeeeeee,0x0fffd405,0x005fff88,0x09fff100,0x017fe600,0x0013ffee,
    0xfa87ff50,0x1fffffff,0xfb82fffc,0xdfff005f,0x07ff6000,0x3fbbfff2,
    0x4c0005ff,0xffb805ff,0x17fd404f,0xff730000,0x7ff47fff,0x7ffc0005,
    0x200fff54,0x3ffe6ffc,0x3fa00006,0xdffff07f,0xdddddddd,0x00bddddd,
    0x540fffe2,0xff802fff,0x2fffdc2f,0x8809ffd0,0xff503fff,0x3e20005f,
    0xfff503ff,0xeffff805,0xeeeeeeee,0x005eeeee,0x7c01fff7,0x7ffc05ff,
    0xffffffff,0x7fffffff,0x00fffd40,0x0000dfff,0x000fffe6,0x3003bfa2,
    0x0009ffff,0xffe87fe8,0x46ffc88b,0xffa86ffe,0xbfff1005,0x07ff5000,
    0xff98bff3,0xfd10000f,0xfff9801d,0x27fc404f,0x7ec40000,0x17ffa6ff,
    0x3fff8800,0x3200fff5,0x1fffa6ff,0x6fff8000,0xfffffff0,0xffffffff,
    0x2e00ffff,0x3fe00fff,0x2fff805f,0xd02fffe8,0xffb809ff,0x17ffe00f,
    0x07ffdc00,0xf80bfff0,0xffffffff,0xffffffff,0xbffd007f,0x00fffc80,
    0x3ffffffe,0xffffffff,0x7d407fff,0x3ffa01ff,0xff500007,0xff90003f,
    0xffff8803,0x3ea0004f,0x427fd43f,0x3ff62ffc,0x03bfea0f,0x027ffcc0,
    0x5c17fe20,0x1ffd80ec,0x03ffb000,0x4fffff98,0x0406fe80,0x1fff9000,
    0x80017ffa,0xff52fff9,0x9bff200f,0x0000fffc,0xf05fff88,0xffffffff,
    0xffffffff,0x3ffa00ff,0x07ffe405,0x220bffe0,0xfe80ffff,0x2fff404f,
    0x003fff20,0x9017ffa0,0x7fc01fff,0xffffffff,0xffffffff,0x2fff9807,
    0x01fffcc0,0x5555dfff,0x55555555,0xffa80555,0x3ffee01f,0xffc80002,
    0x7fd4000f,0x57ff4403,0x3a0004ff,0x81ffc86f,0x3fea3ff9,0x01dff33f,
    0x00fffe40,0x0003ffa0,0xa80037f4,0x7f4403ff,0xc804ffaf,0x7ffc40ff,
    0xfff30002,0x0017ffa7,0xf51fffb8,0x3ff200ff,0x00fffe66,0x0bffee00,
    0x55577ffc,0xaaaaaaaa,0xf9802aaa,0x7fcc02ff,0x17ffc03f,0xe85fffb8,
    0x3fe604ff,0x7ffcc02f,0x7ffcc003,0x1fffcc02,0x555dfff0,0x55555555,
    0xf9005555,0x555557ff,0x0ffff555,0x0002fffc,0x03fff500,0x4037ffc4,
    0xdfff3028,0x06ff8800,0xff8affe8,0x5ff50004,0xf301ffd0,0x8efff8bf,
    0x22001fff,0x5c006fff,0xf70002ff,0xff10007f,0x15ffd00d,0xff3009ff,
    0x00bfff07,0xfea7ffc0,0x3f60005f,0x320000ff,0x7fff46ff,0x3fe20000,
    0x17ffe07f,0xff900000,0x5555557f,0x80ffff55,0x3fa02fff,0x27ff42ff,
    0x557fff90,0xff555555,0xffc800ff,0xaaaaaabf,0x207fffaa,0x00005fff,
    0x7fffffc0,0xffffffff,0xfff02fff,0x5400000b,0x7ec01fff,0x7fdc03ff,
    0x07fffa0c,0x801ffb00,0x9ff13ffd,0x41bfa000,0xdff107fe,0xffffffb8,
    0x7ffec001,0x17fe6003,0x077fe400,0x007fec00,0x7fc4fff6,0xd0bff004,
    0x22000fff,0xbffd1fff,0x3ffe6000,0x7fe40005,0x02fffdc5,0x09fff900,
    0x0002fffc,0x3ffffe00,0xffffffff,0x3e02ffff,0x3fe202ff,0x13ffa0ff,
    0xfffffff8,0xffffffff,0x3fe002ff,0xffffffff,0x2fffffff,0x000bfff0,
    0x7fffd400,0xffffffff,0xf05fffff,0x00000bff,0x200fffd4,0x201ffff8,
    0xfcaefffe,0x7dc003ff,0x27fdc02f,0x70009ff1,0x1ffa05ff,0x7f42ffc4,
    0x54002fff,0x22006fff,0x44000efe,0x8000effe,0x7dc02ffb,0x013fe24f,
    0x7fdc3fec,0xffb8004f,0x0017ffa7,0x000fffec,0x3a17ff20,0xa8002fff,
    0x3e00efff,0x000005ff,0x3fffffea,0xffffffff,0x3fe05fff,0x7ffdc02f,
    0x5413ffa5,0xffffffff,0xffffffff,0xfff5005f,0xffffffff,0x0bffffff,
    0x00017ffe,0xccfffd80,0xcccccccc,0xf80fffec,0x000005ff,0x2007ffea,
    0x303ffffa,0xfffffffb,0x5ff9800d,0x5577fcc0,0x01adffba,0xfd81bfa0,
    0x84ff980f,0x003ffffa,0x03ffffb1,0x000ffec0,0x0013ffea,0x2602ffcc,
    0xfbaaaeff,0x7dc01adf,0x7fffc41f,0xfff7000d,0x002fff49,0x0037ffcc,
    0x4c27fec0,0x2004ffff,0x401ffffc,0x00005fff,0x333fff60,0xcccccccc,
    0xf00fffec,0xffd005ff,0x413ffa5f,0xccccfffd,0xeccccccc,0xfd800fff,
    0xccccccff,0xffeccccc,0x05fff80f,0xfff10000,0xfffa8007,0x005fff84,
    0x3ffea000,0xffff9001,0xfff5013b,0xe8003fff,0x7fd400ff,0xffffffff,
    0x5ff7003f,0x5c17fe40,0xfffd83ff,0xa8809eff,0x003ffffe,0x70013fea,
    0x40007fff,0x7d400ffe,0xffffffff,0x7fc403ff,0xfffffa83,0x7ed440ab,
    0x3ffa1fff,0x6446ea05,0x0003ffff,0xa81fffd4,0x80aeffff,0x4ffffea8,
    0x005fff80,0x7fff1000,0x4fffa800,0x3005fff0,0xffd1ffff,0x07fff109,
    0x04fffa80,0x001fffc4,0x3e13ffea,0x000005ff,0x0001fff7,0xfff0fffd,
    0x5400000b,0x2e001fff,0xdeffffff,0xfffffffd,0xff9000cf,0x99993003,
    0x59dff999,0x101bfe00,0x7f441dff,0x7effe40f,0xddefffff,0x2fffffff,
    0x01bfe200,0x003fff70,0x400ffe40,0xccccccc9,0xe802ceff,0xffff706f,
    0xfffdffff,0xfe81dfff,0x3bffa05f,0x004fffff,0xffffff50,0x7fffcc01,
    0xfffddfff,0xf002ffff,0x00000bff,0x0003ffee,0x7fc1fffa,0xfff7002f,
    0xf709ffdb,0xfd0001ff,0xfffb80ff,0x7ffe8000,0x0005fff8,0x00dffd00,
    0xf0bfff20,0x00000bff,0x000fffd4,0x3fffffa6,0xefffffff,0x5403ffff,
    0x880004ff,0x3ee004ff,0xfffc802f,0x5c3fffcc,0xfffb15ff,0xffffffff,
    0xfd8001df,0x3fea000f,0xccccccdf,0x027fd401,0x027fc400,0x2a01ff90,
    0xfffffffe,0x80dfffff,0xff705ffe,0x09ffffff,0x7fffdc00,0xffd8804f,
    0xffffffff,0x3e001eff,0x000005ff,0x2000dffd,0xff82fffc,0x3ffa002f,
    0xfe84ffff,0xff90006f,0x37ff405f,0x2fffc800,0x0002fffc,0x01fffcc0,
    0x45fff880,0x00005fff,0x007ffea0,0x7fffecc0,0xd50cffff,0xf103dfff,
    0x220000df,0xff1004ff,0x3ff6200d,0x7c44ffff,0xfffd986f,0x01cfffff,
    0x003ffb80,0x7ffffff4,0x2202ffff,0x100006ff,0x7d4009ff,0x7fedc02f,
    0x3cefffff,0x4c17ffa0,0x3effffeb,0x7ffe4000,0x7e4c002e,0xcfffffff,
    0x5fff8001,0xff980000,0xff10003f,0x05fff0bf,0x7ffffcc0,0x1fffcc4f,
    0x5fff8800,0x007fff30,0xf17ffe20,0x00000bff,0x0001fff9,0xff0fffec,
    0x333333bf,0x33333333,0x3fea0133,0xa980001f,0x3ee009aa,0x1ffd80ff,
    0x59910000,0x00bfee00,0x05bdfb70,0x531003aa,0x4c000335,0x644005ff,
    0xcccccccc,0x3ff601cc,0x99100001,0x01aa8005,0x006aaa60,0x01a88000,
    0x00000000,0x0066aa62,0x33bfff00,0x33333333,0x81333333,0x0000fffc,
    0xff07fff6,0xffb8005f,0x7fe44fff,0x3f60000f,0xfffc81ff,0x3ff60000,
    0x277ffe1f,0x99999999,0x09999999,0x0002fffc,0xff93ffea,0xffffffff,
    0xffffffff,0xfff504ff,0x00000003,0x00001722,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,
    0xffffffff,0xffffffff,0x5fff89ff,0x7ffd4000,0x0017ffc4,0x227ffff4,
    0x40005fff,0xff84fffa,0x7d40005f,0x3fffe4ff,0xffffffff,0xffffffff,
    0x00bffea4,0xf9fffe00,0xffffffff,0xffffffff,0xff504fff,0x0000003f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff80000,0xffffffff,0xffffffff,0x0bffea4f,
    0x1fffe000,0x30005fff,0x7d49ffff,0xf80002ff,0x7ffd47ff,0xfff80002,
    0x3fffffe7,0xffffffff,0x24ffffff,0x00007ffd,0x3fe5fff9,0xffffffff,
    0xffffffff,0xfff504ff,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff8000,
    0xffffffff,0xffffffff,0x001fff64,0xf17ffe40,0x2e0005ff,0x3ff64fff,
    0xff900007,0x03ffec5f,0x2fffc800,0xffffffff,0xffffffff,0x0009ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00135300,0x27775c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002a200,0x00000000,
    0x22000000,0x0000000a,0x00000000,0x00035310,0x00000000,0x26000000,
    0x800001aa,0x800deee8,0x0b2e03c9,0x88003300,0x000abcb9,0xfeeca880,
    0x0001abde,0xd501ffc4,0x09dfffff,0xefff8800,0x765c0000,0x002cdefe,
    0x7f6e4c00,0x0000bcef,0xdffb9530,0xdd50039b,0xd953001d,0xcc8157bf,
    0xcccccccc,0x002ccccc,0x000bfff9,0x3ffb2e20,0x00001cde,0x37bfb726,
    0xfff90003,0xfb73000b,0x000039df,0x07bffb91,0xfffc9800,0xdff32eff,
    0x7f65c400,0x0001cdef,0x640ffea0,0x3b6201ff,0x4effffff,0xfff90000,
    0x0bfe6005,0x3ee07fe6,0x9dfff73f,0x7fff4c01,0x0003ffff,0xffffffb3,
    0x01dfffff,0x207fee00,0xffffffd8,0x0001efff,0x0003fff7,0x3ffffee2,
    0x03efffff,0x7fff5c00,0xcfffffff,0xffd30000,0xffffffff,0x7ffdc03b,
    0x3fffa200,0x22ffffff,0xffffffff,0x4fffffff,0x5f32f980,0x7fe4c000,
    0xffffffff,0xb10000be,0xffffffff,0x97cc005d,0xfd1002f9,0x9fffffff,
    0x3fee0001,0x01efffff,0xfffffa80,0xff9bffff,0xfffc9806,0xefffffff,
    0x7e40000b,0x40ffd01f,0xfffffffa,0x001effff,0x013ffe20,0x5115dfd0,
    0x3fee0ffd,0x7fffffbb,0x3ffffea0,0x006fffff,0x7fffffdc,0xffffffff,
    0x7fd8003f,0xcefffe88,0x2ffffdba,0x02fff800,0xffffd100,0xffffffff,
    0xd88001df,0xffffffff,0x01ffffff,0x7ffffdc0,0xffffffff,0x1fff705f,
    0x3ffffe60,0x2fffffff,0xffffffff,0x9fffffff,0x05c8b900,0xbffff900,
    0xffd97559,0xe88003df,0xffeeffff,0xb9002fff,0xfe8805c8,0xffffefff,
    0xffb8005f,0xfffffeff,0x3ffea000,0xfffdbbdf,0x7e406ffe,0xbaacdfff,
    0x01efffec,0xf81ff600,0xffff905f,0xfff97579,0x7e4000df,0xff98006f,
    0x01ffffff,0xffff9ff7,0x3fee09ff,0xfea9acff,0xfd8805ff,0x9abdefff,
    0xffffeca9,0x42ffc005,0xd303fffc,0xfb800dff,0xfd10004f,0x5355bfff,
    0x3fffffb7,0x3fffe600,0xba999adf,0x801fffff,0xcdffffe8,0xffeb999a,
    0x7fdc0dff,0xfffff307,0x3ff6a239,0xccdfffaf,0xcccccccc,0x646b802c,
    0x7ff44005,0x7e4c00be,0x3f6003ff,0xfffa84ff,0x646c801f,0x2fffe805,
    0x017ffed4,0x23bfff10,0x005fffb8,0x103ffff1,0x20dffffd,0x00beffe8,
    0x01fffe4c,0xf306ff80,0xbfff109f,0x0fffec40,0x07ffc400,0xfffe9800,
    0x3fee01ef,0x1ca9beff,0x206fff88,0x6c02fffc,0x7004ffff,0x2005ffff,
    0x7fcc3ff9,0x7ff4403f,0x0132e003,0x6ffff440,0x7ffec400,0x7ffc401f,
    0xffc800df,0x7ff400ff,0xfe9802ff,0x86e80eff,0x403ffff8,0x3ffffffc,
    0xcf880000,0x22002fa8,0x98003fff,0xfb804ffe,0x3fe203ff,0x8bf8806f,
    0x7fdc01fa,0x9fff101f,0x07ffdc00,0x4007ffe4,0x7400fffc,0xff886fff,
    0xfe98003f,0x7fc4004f,0x705ff704,0xff100dff,0x9930009f,0x33100003,
    0xffff7001,0x3ffee003,0x13ffe201,0x01efffa8,0x037ff4c0,0x7ec0ffb8,
    0xfff5005f,0x20000001,0x4006fffb,0x6c06fffa,0x64004fff,0x3ee04fff,
    0x6c000dff,0x27c45fff,0x801fffdc,0x03fffffb,0xffd70000,0x1ffe8009,
    0x17fec000,0x201bff60,0xb800fffa,0xfd804ffe,0x37fdc06f,0x20bffb00,
    0xe801fff9,0xff9804ff,0x01ffe86f,0x017fec00,0x3207ff50,0x3ffd81ff,
    0x009ffd00,0x00000000,0x009fff70,0x6401fffc,0xfff107ff,0x3ea0003f,
    0x6fe802ff,0x1003fff8,0x26003fff,0x01ea809a,0x0001fffd,0x2a07fff9,
    0xd0005fff,0xff101fff,0x3a0001ff,0x0fea1fff,0xd001bffe,0x0007ffff,
    0xc8001800,0x266662ff,0x7f400999,0x0fffe00f,0x0017ffc0,0x1fffc003,
    0x8017ff20,0xff305ffd,0xfff8801f,0x8dffd000,0x95102ffc,0x3fa0179d,
    0x3ff9000f,0x1101ffa0,0x017ff600,0x0006aa60,0x2006aa60,0x7002fffb,
    0x2a200bff,0x7fff701a,0x6ffe8000,0x2627fc40,0x3a001fff,0x3faa03ff,
    0x98cfffff,0xfffa84ff,0xfff10004,0x03fff60f,0x27ffd400,0x0017ffe4,
    0x2ebfff30,0x1fffa85f,0x7fffd400,0x26000003,0xff3001aa,0xffffff89,
    0xff103fff,0x0bffe20b,0x0004d5c0,0x03fff800,0x9001fff4,0xff901fff,
    0x0fff300b,0xf337fe40,0xfffd109f,0xf107ffff,0x1ff600bf,0x80005ff8,
    0x005ffeb9,0xffffffb3,0x3b62007d,0x4effffff,0x001fff70,0x0000fffa,
    0x0006ffe8,0x5402cea8,0x7ffd42ff,0xeeeeeeee,0x84fffeee,0xffffffd8,
    0x06ffffff,0x80003ae6,0x7c41fffb,0x6c0004ff,0x7ffc40ab,0xffc80006,
    0xfe80dfdf,0xffd0007f,0x4400007f,0xffffffed,0x21bf204e,0xffeeeeff,
    0x1ff705ff,0x007fff10,0x006ffb80,0x7ffc9ffb,0x01ffea02,0x98bfff30,
    0xfb802fff,0x3fee006f,0x3a21bf26,0xffcabdff,0x20ffb82f,0xfffffffc,
    0xffffffff,0x4c06ffff,0xffffedca,0xffb805ff,0xffffffff,0x3ffea00e,
    0xffffffff,0x03ffdc1e,0x0003fff0,0x017ffe60,0xff900000,0xffffff70,
    0xffffffff,0xff88bfff,0xffcbceff,0x0000ffff,0x4fff9800,0x0017ffdc,
    0x5fff5000,0xfff30000,0x2fffc07f,0x3fffc800,0xfff50000,0xffffffff,
    0xf07ff03d,0x0bff207f,0x7fc41ffc,0x7dc0004f,0x9ffb006f,0xe807ffe2,
    0xfd8003ff,0xdfff54ff,0x0bff9001,0xff37fd40,0x205ffb07,0x3ff80ffd,
    0x3ffffff2,0xffffffff,0x986fffff,0xfffffffc,0x405fffff,0xbacffffa,
    0x907ffffd,0x7579ffff,0xb8dffff9,0x3fe006ff,0x5ef65447,0x3fffb801,
    0x7c000000,0xefffb85f,0xeeeeeeee,0x644eeeee,0xfd504fff,0x000005ff,
    0xfb1bffe0,0x000003ff,0x0007ffdc,0x205fff80,0x0003fff8,0x0007fff7,
    0x79ffff90,0xdffff975,0xff80ffa8,0x6413fe03,0x0dffd06f,0x06ffb800,
    0x3e29ffb0,0xfff501ff,0xfff10001,0x01bfffdf,0x801bff20,0x1ff56ffa,
    0x2202ffa8,0x26fc83fe,0xffeeeeeb,0xffeeeeee,0x7dc5eeef,0xdfffffff,
    0x405ffd9b,0x3ee06ffd,0x7ffc42ff,0x3fff6205,0x401bfee1,0x3ff67ff8,
    0x404fffff,0x0002fffc,0x0ffe6000,0x0001ffea,0x301fffcc,0x000dffff,
    0x1fffa000,0x0001fffd,0x03ffe400,0x0dffb000,0x0017ffcc,0x003fffa8,
    0x02fffc40,0x643fffb1,0x407ff05f,0x0ff303ff,0x0003fff2,0xb006ffb8,
    0x3ffe29ff,0x007ffd01,0x7ffffd40,0x7fdc003f,0x5bfee007,0x06fc85fc,
    0x01fe6008,0x3fa03ff9,0x3fffee07,0xffd80abd,0x00fffc05,0xff717ffa,
    0x9fff100d,0x98037fdc,0xffffb6ff,0x01dfffff,0x0003fff6,0x1ffb8000,
    0x001fff98,0x206ffe80,0x2fffefe8,0x3bbbbba2,0xeeeeeeee,0xfeeeeeee,
    0x3fff47ff,0x3fa00000,0x3600006f,0x3fea07ff,0xff30001f,0xdddddddf,
    0xf709dddd,0xfff100df,0xff827ec9,0x201ff703,0x2e661ff8,0x9999bfff,
    0x6ffb8009,0x229ffb00,0xff981fff,0x3ea0000f,0x8003ffff,0x32007ffa,
    0xb09fb6ff,0xf880009f,0x41ffa01f,0x3fe05ff8,0xffe801ef,0x07ffe205,
    0xfd835730,0x9ffd003f,0xa8037fdc,0xadffdeff,0x5fffeb99,0x000fffd0,
    0x07fd8000,0x4005fff1,0x1fffc09a,0xffd1ffb0,0x7ffffc49,0xffffffff,
    0xffffffff,0x3fe0ffff,0x4000005f,0x00005fff,0x5c03fff2,0x30001fff,
    0xffffffff,0x0bffffff,0x3a007ffb,0x40ffa4ff,0xeccccdff,0x97fc04ff,
    0xfffffff8,0x802fffff,0xfb006ffb,0x07ffe29f,0x0003ffea,0x3fffffa6,
    0xff98006f,0xdffd002f,0x0ffe0ffa,0x80bfe000,0x9ff306ff,0x00bffe60,
    0xf017ffe2,0x80001dff,0xbffb0008,0xb8037fdc,0x202fffff,0xff82fffd,
    0xfff1006f,0xffffffff,0xe813fe07,0xff5006ff,0x07ffe27f,0xffc8ffdc,
    0x7fffffc5,0xffffffff,0xffffffff,0x3ffe0fff,0x22000005,0x00004fff,
    0x5c03fff2,0x10001fff,0xffffffff,0x0bffffff,0xffd80044,0x7fc0ffa5,
    0x1dffffff,0xff12ff80,0xffffffff,0xff7005ff,0x53ff600d,0xf881fff8,
    0x7d4005ff,0xfffedfff,0x6ffe8004,0xd6fffa80,0x02ff887f,0x302ff800,
    0x3fee09ff,0x01fff702,0x80bfff30,0x0bdffffc,0xd7300000,0x37fdcbff,
    0x3ffffb80,0xe87ffe80,0xff1007ff,0xffffffff,0x05ff507f,0x201fffd4,
    0xf50ffff8,0x7ff301ff,0x3fe37fdc,0xaaaaaaef,0xaaaaaaaa,0x47ffdaaa,
    0x00006fff,0x002fffc0,0x01fffb00,0x0007ffea,0x556fffcc,0xaaaaaaaa,
    0x75cc0001,0x413f65ff,0xeffdcdff,0x11ff8800,0x9fffb999,0x70039999,
    0x3f600dff,0x03fff14f,0x003bfff6,0x44bfffea,0x6ec3ffff,0x3fff981b,
    0x5bfffa20,0x03ff84fd,0x80ffc400,0xffb02ffa,0x0bffee01,0x0bffff10,
    0xfffffe88,0x98001cef,0xffffedca,0x1bfee5ff,0x037ffd40,0x6c1fffa8,
    0xff1007ff,0xffffffff,0x01ff907f,0x104fffd8,0x7dc9fffb,0x45ff887f,
    0x7ff47ffa,0xffb00006,0x00fffe8f,0x3ffe0000,0x3fa00006,0x3ffea07f,
    0xfff50002,0x53000007,0xfffffdb9,0xf82fe4bf,0x007fe43f,0x7d403fe6,
    0xf70001ff,0x3ff600df,0x203fff14,0x02ffffe8,0x507fffe2,0x3e23ffff,
    0xfffb05ff,0x7ffd4419,0xd0bf96ff,0x2053009f,0xff900ff9,0x981ffa03,
    0x3a206fff,0x8806ffff,0xfffffffd,0x7e4c04ff,0xffffffff,0x3fee5fff,
    0x9fff3006,0x0bffe200,0x2001fff9,0x99999999,0x6fe83fff,0xeffff980,
    0xffffebac,0x743ffdc5,0x3ffd40ef,0x0001fff6,0x3f637ff4,0x000001ff,
    0x0001fffa,0x2606fff8,0x70003fff,0x00007fff,0x3fffff26,0x5fffffff,
    0x1ffc1bee,0x3ee037f4,0x07ffe607,0x037fdc00,0xff14ffd8,0x7fec403f,
    0xfff905ff,0x3bffee03,0x102fffa8,0xfdfffffd,0x2dffdfff,0x0ffc86fb,
    0x7dc37f40,0x3faaaa67,0xfbaaaaaf,0x22aaaaef,0xaacffffe,0xffefffeb,
    0x3fb26006,0x0effffff,0xffffffb8,0xffd9bdff,0x401bfee5,0x2003fff8,
    0x7fd43fff,0xff00003f,0x03ff887f,0xfffffb10,0x50bfffff,0x7fe43fff,
    0x646ffb81,0x40000fff,0x7dc5fff8,0x4c0002ff,0x1fffc80b,0xfff88000,
    0x13ffe205,0x1fffe400,0x7ffdc000,0x9bdfffff,0x3fe25ffd,0xf983ff82,
    0x813fa04f,0x0000fff9,0x3600dff7,0x3fff14ff,0xbffff700,0xd80dfff0,
    0xfffddfff,0x7fffe400,0xffc8efff,0xf885ff15,0x0ffee04f,0xfffc93fa,
    0xffffffff,0xffffffff,0x3ffffe26,0x89efffff,0x88001fff,0x7fffffdb,
    0x5effffdc,0x25ffd80a,0xf1006ffb,0x7f4005ff,0x2fffc43f,0x3fff8000,
    0x2000ffdc,0xffffffeb,0x5fff302e,0x7e40ffea,0x17ffd45f,0x3ffe6000,
    0x027ffcc3,0x83fff600,0x0004fff9,0x402fffb8,0xb0005fff,0x80007fff,
    0xabdffffb,0x6c5ffd80,0x903ff85f,0x3ff303ff,0x0037fd40,0x200dff70,
    0xfff14ffe,0x3ffa6003,0x0fffe62f,0xfffffd10,0x36ea009f,0x3ff23cef,
    0x3ee17f65,0x3ff6a1df,0x90ffcc0e,0xffffffff,0xffffffff,0xfc88dfff,
    0x43efffff,0x80004ffe,0x3e1fffea,0xfe801eff,0x01bfee5f,0x2004fff8,
    0xffd81fff,0xff80001f,0x003fec3f,0x002bfe60,0x3fe33ffe,0x213ffa04,
    0x40006fff,0xfe80fffe,0x3e20006f,0xfffe85ff,0x3fe20000,0xfffc807f,
    0x7ffcc001,0x7fc0003f,0xffe801ef,0x3e0ffd45,0x0dff103f,0xffc80dfd,
    0x3fee0004,0x29fff006,0x2001fff8,0x3e65ffe8,0xff8802ff,0x0000ffff,
    0xfa93ff60,0xffffb81f,0xe80fffff,0x7ed54c6f,0xeaaaaacf,0x2aaaabff,
    0x40355310,0x0d4402fe,0x9a7ffcc0,0xf8802fff,0x400105ff,0xf1006ffd,
    0xfff501ff,0xfff0000d,0x0005ff87,0xfd003fc4,0x540dfddf,0xffb82fff,
    0xff50003f,0x3fff209f,0xfff90003,0x0bfff705,0x27ffe400,0x02fffc40,
    0x0fffff20,0x2fff9800,0x85fff880,0x0ffe0ffe,0x3f23ffb8,0x07ffc02f,
    0x0dff7000,0x229fff10,0x5c001fff,0xfff10fff,0x3ffea00b,0x0002604f,
    0xffe87ffd,0xffffd980,0x05ff903f,0xfe807fe4,0x3e000006,0x3fff200f,
    0x74ffe800,0xf3001fff,0xfff30bff,0x7ffcc03b,0x06ffb801,0x0017fff6,
    0x263fffa8,0x540002ff,0x3fee006f,0x3fa00fff,0xffff106f,0xfff88001,
    0xffff100f,0xfffa8003,0x0bfffa07,0x3bffea00,0x1fffb000,0x3fffe200,
    0x3ee0003f,0xff9800ff,0x0eff885f,0x27fd4000,0x000bfee0,0x500fff50,
    0x3fe29fff,0x3e60181f,0x3fffe1ff,0xffffa800,0x05fff01f,0x883fff50,
    0x26200eff,0x013fea00,0x3fe20ffd,0xf3000005,0x7ffd401f,0x97ffcc03,
    0x4402fffb,0xe985ffff,0x7ec07fff,0x3fe200ef,0x3ffa204f,0x3a6001ef,
    0x3f23ffff,0x7dc0000f,0x3ffa000f,0xffe880df,0x3ffee01f,0xffd3002f,
    0xfffa809f,0xfff3001f,0x7ffcc05f,0x3ff2004f,0x3e6001ff,0x74401eff,
    0x003fffff,0x00bffee0,0x20bffff1,0x0001effa,0xfc80dff9,0xf980004f,
    0x3fe204ff,0x3fff14ff,0xfc80ff5c,0x27ffe47f,0x3ffffea0,0x6ffd82ff,
    0x83fffc40,0x0001effa,0xff00dff9,0x00ffea0b,0x1ffd4000,0x807fffe0,
    0x3fe67ffd,0x3ffa206f,0x3f6206ff,0x3ffe603f,0x1dffd306,0xfffff980,
    0x2ea20ace,0x0dfffffd,0x20001bfa,0x80443ffa,0xbdfffffa,0x03ffffdb,
    0x67fffec4,0xffff7100,0xfffb001d,0xfb1037bf,0xf7009fff,0x1015dfff,
    0x07ffffd5,0x5ffff900,0x3f3ffe60,0x99999cff,0x21999999,0x2206fff9,
    0x206ffffe,0x000bfffb,0x401dffd5,0xefedfffc,0x2c981bce,0x440ffffc,
    0xf14ffffe,0x3ffa23ff,0x2fffc40e,0x213fffe2,0xffffffb8,0x7fdc2fff,
    0x7ecc0adf,0x3fee01ff,0xfd5000bf,0xff9801df,0x005ff704,0x5fffc000,
    0x3fea4b98,0xfcaabdff,0x7ff43fff,0xfebaacff,0x406ffeff,0x7e405ffc,
    0xfcbbdfff,0xd1000eff,0xdfffffff,0xffffffff,0x04ff885d,0x9dfff000,
    0xffd109fb,0xffffffff,0x7e4009ff,0xdcefffff,0x04ffffff,0x7ffffe40,
    0xffffedff,0x3e6005ff,0xddffffff,0x2fffffff,0x3ffee000,0xfffdbdff,
    0xffffff4f,0xffffffff,0x7fff43ff,0xffebaacf,0x4c06ffef,0x09adfffe,
    0x9fffd733,0xfffffa80,0xffffffff,0x5c5fffee,0xecceffff,0x14ffcfff,
    0x7fc43fff,0xfffdacff,0xffffa80f,0xffffecdf,0xffffe8af,0x7ffffec2,
    0x2ffffeee,0xdfffe980,0xfd73309a,0x3ee009ff,0x01ffb02f,0x7fe40000,
    0x7dc6ffff,0xffffffff,0xfff882ff,0xefffffff,0x2e1fff89,0x01fffdca,
    0xffffffa8,0x8001ffff,0xfffffffc,0x3fffffff,0x0003ff50,0x3fffff20,
    0xa8ffd84f,0xdffffffe,0xfffa8000,0xffffffff,0xf70002ff,0xffffffff,
    0x0007ffff,0xffffffb1,0x3dffffff,0xfff50000,0xbfffffff,0x7ffffffc,
    0xffffffff,0x3fffe21f,0x9effffff,0x4401fff8,0xfffffffc,0x02efffff,
    0xdffffff0,0xfffffffd,0xfd81ffff,0xefffffff,0xff14ffa8,0xffff983f,
    0x202fffff,0xffffffe9,0x7ec0efff,0x7fec42ff,0xffffffff,0x3ff22002,
    0xffffffff,0x32002eff,0x0dfd00ff,0xfd880000,0xc983efff,0xdfffffff,
    0x3fff2201,0x7f43efff,0xfffff14f,0x7ecc009f,0x01beffff,0x7ffed400,
    0x0bceffff,0x0001ff20,0x03bdf930,0x553107f6,0xb7100003,0xbffffffd,
    0xb8800039,0xfffffffe,0xc980003f,0xffffffff,0x4c00001c,0xdfffffec,
    0x7fffffc3,0xffffffff,0x7fe441ff,0x743effff,0x36a004ff,0xcfffffff,
    0x4efe4001,0xfffec980,0xea80cfff,0x50dfffff,0x3ffe29ff,0xfffec981,
    0xfc8800df,0x03dfffff,0xec980ff6,0x00bdffff,0x3fff6a00,0x001cffff,
    0xff107fe8,0x2000000b,0x53001ab8,0x98800135,0x744001aa,0x0002ceee,
    0x00002aa2,0x00d54cc0,0x0000aaa0,0x00030000,0x2a620000,0x20000009,
    0x009aaa98,0x55310000,0x00000033,0x00000d4c,0x0d54c400,0x26200000,
    0x0c40001a,0x03555100,0x0002a620,0x004d4400,0x001a9880,0x0000000a,
    0x001a9880,0x5102aa80,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x26002ccb,0x4000acca,
    0x774c5eed,0xddb1002e,0xeed8000b,0x3bae000d,0x002f75c5,0x807ddd70,
    0x75c3eee8,0x553000de,0xeee88003,0x007775c3,0x72cca800,0x9dd90599,
    0xa804eec8,0x0073202c,0x20399900,0x99999999,0x80099999,0xb8033100,
    0x2f75c5ee,0x1f775400,0xdddb0000,0x7776c005,0x2a200002,0x75100009,
    0x44000579,0x000abcba,0x3ae2f75c,0x1008005e,0xeea80013,0x3cca803e,
    0x13ff6000,0x3ffff660,0xf3003eff,0x2fff47ff,0x9ffffb00,0x3fff6000,
    0x3ff2005f,0x0037fe46,0x00efff88,0xf31fffb8,0xfd9807ff,0x03efffff,
    0x223fff70,0x00003fff,0x7fed3ff6,0x6c6ffd85,0xffb806ff,0x000ffb80,
    0x2fff8855,0xffffff98,0x4fffffff,0x86fbfaa0,0x7fe407fc,0x0037fe46,
    0x07ffffe6,0x3ffea000,0x7ffcc005,0x76540006,0x003fffff,0xffffffb1,
    0x7e44007f,0x0dffffff,0xc8dff900,0xf71006ff,0x2ff417bf,0xfffff300,
    0x06ffb803,0x55555544,0x80aadffe,0xfffffffb,0xf5004fff,0x1dff73ff,
    0x3bbff200,0x7dc003ff,0x004ffdff,0xffc8dff9,0xfff90006,0xb7fec003,
    0x7dc04ffe,0xffffffff,0xffd800ef,0x000bffb6,0xfb4ffd80,0x8dffb0bf,
    0xf8806ffd,0xbff712df,0x887fb100,0xffb82fff,0xffffffff,0xff704fff,
    0xffbdffff,0x46ffc80d,0x22006ffc,0x0fffdffe,0x77ff4000,0xfffa8000,
    0xffe88002,0xffffffff,0x3fffea00,0x0effffff,0x7ffffcc0,0x02ffffff,
    0x7e46ffc8,0xfffd006f,0x9ffbbfff,0x37ffa200,0x3ee00fff,0x7ffcc06f,
    0xffffffff,0x7fffcc2f,0xfffca99b,0xfdff9005,0x3ea003ff,0x1fff99ff,
    0x15fff300,0xf9005fff,0x06ffc8df,0x02fff880,0x7f7ff440,0x7ffd406f,
    0xfffdbacf,0xffe8807f,0x00006ffe,0xffb4ffd8,0xd8dffb0b,0xff7006ff,
    0x01ffffff,0xf887ffd0,0xfffc82ff,0xffffffff,0x5dfd04ff,0x5ffffffb,
    0x646ffc80,0x3f6006ff,0x00dff96f,0x00fffcc0,0x00dff700,0xceffff98,
    0x0effffca,0xadffffa8,0x0efffba9,0x59fffd10,0x1ffff733,0x646ffc80,
    0xff8806ff,0xfffffdbc,0xdffb000f,0xfb81bff2,0x7ffcc06f,0xffffffff,
    0x3bffe22f,0x07fff500,0x0bffffa0,0x927ffc40,0xe8801fff,0x3ffee5ff,
    0x204cc401,0xb8000998,0xf30004ff,0xd801ffff,0x3fee06ff,0xfff9802f,
    0x800000ff,0x13e24ffd,0x33102662,0x7ff54001,0xfd001dff,0x207ee07f,
    0x40003ffe,0x7ed41ff9,0x0998801c,0xb8004cc4,0x3ffa1fff,0x5ffb0005,
    0x5ffb0000,0x1ffff400,0xe85fffb8,0xfd302fff,0x3fff20bf,0x0dfff302,
    0x4c409988,0x47fb8009,0x000beeb8,0x3a23fff7,0xdff704ff,0x27fec000,
    0x401fffa8,0x91005ffc,0x65c00799,0x02ccc84c,0x32066654,0x000003cc,
    0x00132e00,0x00399950,0xfe803fff,0x9995005f,0x36000003,0x00bea4ff,
    0x35300000,0x3ffe8001,0x3ffe0fb0,0x00000001,0x22000000,0x664c2ccc,
    0x6644001c,0x33200003,0x7fff5003,0x20fffd80,0x4c03fffb,0xfff81fff,
    0x07ffd406,0x00000000,0x2ccc8800,0x5c0e664c,0x360006ff,0xbffb04ff,
    0x00fff500,0x00000000,0x00000000,0x00000000,0x1fff8800,0x000d5cc0,
    0x36000000,0x003f64ff,0x00000000,0xf983ffe8,0x00fff886,0x00000000,
    0x00000000,0x00000000,0x06ffc800,0x3a2fff98,0xff9006ff,0x03fff88b,
    0x0017ffc4,0x00000000,0xff700000,0xfb03500d,0x0ff7209f,0x007ffe60,
    0xaa980000,0x9a880001,0x4d4c0000,0x9a880000,0x35530000,0x03bffe00,
    0x26a20000,0x40d40000,0x07fb4ffd,0x53000000,0xffe80013,0x540f7c43,
    0x000006ff,0x9a980000,0x9a980000,0x9a980000,0x9a980000,0x07ffd000,
    0x3ffe06a0,0x8fff5002,0xf800fff9,0x2a6003ff,0xa980001a,0xa980001a,
    0x6ffb801a,0xffffdb88,0x009ffb1d,0x71ffea00,0x3f600dff,0xfffd984f,
    0x2003efff,0xfffffeca,0x3ffae003,0x4004efff,0xfffffeca,0xfffd9803,
    0x3203efff,0x00bdffff,0x3ffb2a00,0x71003fff,0x23bffffb,0xb8334ffd,
    0xffb006ff,0x7fff5c09,0x3ea04eff,0x6fffffff,0x13ff2017,0x06ffb800,
    0x5409ffb0,0x4efffffe,0x7fff5400,0x54004eff,0x4efffffe,0x7fff5400,
    0x7fc04eff,0x3e60001f,0xff1001ff,0x02fff83f,0x100fffcc,0xffffffdb,
    0x3b62009d,0x4effffff,0xfffdb100,0x2e09dfff,0x7ffd46ff,0xdaffffff,
    0xb00004ff,0x6ffb8bff,0xb89ffb00,0xffffffff,0x3a200eff,0xffffffff,
    0x3fa600ff,0xffffffff,0x7ff4401e,0xffffffff,0xfffff700,0x01dfffff,
    0xffffffd1,0x3a20039d,0xffffffff,0x3fea00ff,0xafffffff,0x3ee04ffd,
    0x9ffb006f,0xfffffd30,0x503dffff,0xffffffff,0x87ffb00d,0xdff70018,
    0x213ff600,0xffffffd8,0x4401efff,0xfffffffd,0x6c401eff,0xffffffff,
    0x7ec401ef,0xffffffff,0x0fff881e,0x3ffea000,0x5fff1000,0x6c05ffd8,
    0x3fea07ff,0xffffffff,0x3fea01ef,0xffffffff,0x3fea01ef,0xffffffff,
    0x37fdc1ef,0x77bffff5,0x9ffffffb,0xfff70000,0x006ffb85,0x7fd49ffb,
    0xffdbacff,0xfff307ff,0xfff959df,0xfff101df,0xffb959df,0x3fe607ff,
    0xffcaceff,0x7fd40eff,0xffdbacff,0xffb107ff,0x9fffffff,0x77fffcc0,
    0xeffffcac,0xdffffa80,0xfffffdbb,0x1bfee04f,0x2227fec0,0xcaceffff,
    0x4c3ffffd,0xccefffcc,0x99fff803,0x0ceffffd,0x200dff70,0x7f444ffd,
    0xfdbaceff,0xfd102fff,0xfb759dff,0x3a205fff,0xdbacefff,0xd102ffff,
    0xb759dfff,0xfa85ffff,0x7cc0007f,0xff1001ff,0x3fffa87f,0x20bfff30,
    0xabcffffc,0x06ffffcb,0x579ffff9,0x0dffff97,0x2f3ffff2,0x6ffffcba,
    0xff8b7fdc,0xffe881ff,0xa88004ff,0xb83ffffc,0xffb006ff,0x7037fec9,
    0xffd05fff,0x3ffee07f,0x03fffd85,0xd01ffff3,0x3ee07fff,0x37fec5ff,
    0x405fff70,0xfffffec9,0xffe80eff,0xbfff703f,0x81ffff88,0x04ffffe8,
    0x6c01bfee,0x7ffec4ff,0x1ffff303,0x800fffa0,0xfffefff8,0x82ffffff,
    0xfb006ffb,0x3fffc89f,0x20dffd30,0xd303fffc,0x3ff20dff,0xdffd303f,
    0x40ffff20,0x7dc6ffe9,0x7c40007f,0xff5002ff,0xbfff709f,0x9fff9535,
    0x817ffe20,0x441fffd8,0x36205fff,0x7fc41fff,0x3ff6205f,0x65bfee1f,
    0x3a201fff,0x54004fff,0x01ffffff,0x3600dff7,0x07ffe4ff,0xfa8bffd0,
    0x7fec03ff,0x0bffee0f,0xa8bfff10,0x7ec03fff,0x07ffe0ff,0x200bffd0,
    0xfffffdb8,0x01fffd47,0xfc83fff6,0x7ff401ff,0x1bfee04f,0xf727fec0,
    0xff8805ff,0x07ffd05f,0x7ffffcc0,0xfffffeff,0x037fdc3f,0x3e64ffd8,
    0x7f4403ff,0x1fffcc3f,0x30fffa20,0xe8807fff,0x7ffcc3ff,0x1fff4403,
    0x0001fff3,0x9005fff8,0x3a209fff,0xffffffff,0x01bfee02,0xf713ffe2,
    0xfff100df,0x806ffb89,0x3ee4fff8,0x00bffd6f,0x8009fff7,0xbefffffb,
    0x006ffb80,0x3fe29ffb,0x0d5cc01f,0x2601bff2,0x3ffe2fff,0x3fff7005,
    0x4c037fe4,0xfff12fff,0x01ab9803,0x3fffd500,0x4c037fe4,0x3ffa2fff,
    0x4fffb805,0x401bfee0,0x3ffe4ffd,0x3fff7005,0x4007ffd0,0x41bffffb,
    0x21ffffc8,0xfb006ffb,0x02ffec9f,0x360fffa8,0xff5005ff,0x02ffec1f,
    0x360fffa8,0xff5005ff,0x07ffe21f,0x7fe40c40,0x7ffcc01f,0xfffd505f,
    0x407fffff,0xfd003ffd,0x03ffd89f,0xfd89ffd0,0x9ffd003f,0xfffb7fdc,
    0x09fff001,0xfedcdc80,0x7fdc2fff,0x49ffb006,0x0000efff,0x2a007ffd,
    0x00fffc41,0x3a3fff88,0x035003ff,0x0001dfff,0x3e6006a2,0x0fffa4ff,
    0x7ffc0d40,0x09fff001,0xd8037fdc,0x3fff14ff,0x0fffe200,0xc800fffa,
    0x7d402fff,0x1bfee6ff,0xff27fec0,0x3fe2007f,0x00fffe1f,0xff0fffc4,
    0x3fe2007f,0x00fffe1f,0xff0fffc4,0x3ff2005f,0x0bfffe25,0x27ffffcc,
    0x37bfffa2,0x1ffffedc,0x7ec00220,0x2001105f,0x01105ffd,0xfb97ff60,
    0x007ff9ef,0x00013ff6,0xb87fffea,0xffb006ff,0x6ffffe49,0x3ffe000b,
    0x3fe60001,0x3ffa000f,0x0007ffe4,0x7bffff90,0x3fff2001,0x24ffe800,
    0x20001fff,0xb000fff8,0x7fdc09ff,0x29ffb006,0x2000fff9,0xffe84ffe,
    0x00cc4003,0xf72fffd8,0x3ff600df,0x003fff34,0xff99fff4,0x3ffa001f,
    0x003fff33,0xff99fff4,0x3ffa001f,0x401bffa3,0x7fdc3ffe,0xfdbabdff,
    0x224ffddf,0xf503fffe,0x40003fff,0x005ffeb9,0x17ffae60,0xffeb9800,
    0x3ebbfee5,0x3ff2007f,0xff300004,0x037fdcdf,0x3a24ffd8,0xceffffff,
    0x03ffe201,0x07ffb800,0xf8affec0,0x440000ff,0xeffffffe,0x3ffea01c,
    0x97ffcc03,0x0000fff8,0xc801ffea,0x3fee04ff,0x29ffb006,0x6c007ffb,
    0x3ffe85ff,0x7c400000,0x0dff73ff,0x7d53ff60,0xeeeeeeff,0xfffeeeee,
    0xdddfff54,0xdddddddd,0x3fea9fff,0xeeeeeeef,0x4fffeeee,0xddddfff5,
    0xfddddddd,0x7ffd49ff,0x07ffdc02,0x7fffffdc,0x7ffb5fff,0x2017ffe4,
    0x9805fff8,0xffffedca,0xca9805ff,0xffffffed,0xedca9805,0x25ffffff,
    0x6ffceffb,0x013ff200,0x1fffb800,0x3600dff7,0x7fec44ff,0x4fffffff,
    0x0007ffa8,0x20037fe4,0xfff57ffc,0x3f620000,0xffffffff,0x03ffff04,
    0xff53ffec,0xffb8000f,0x13fee006,0xb006ffb8,0x1bff29ff,0xd0fff900,
    0x000007ff,0x3ee9fff0,0x9ffb006f,0x3fffffee,0xffffffff,0xfff75fff,
    0xffffffff,0x2bffffff,0xfffffffb,0xffffffff,0xffff75ff,0xffffffff,
    0xd8bfffff,0xfa882fff,0x3fa604ff,0x3a4fffff,0xbfff13ff,0x07ffee00,
    0x3fffff26,0x5fffffff,0xfffff930,0xbfffffff,0x3ffff260,0xffffffff,
    0x3f3bfee5,0x3fee006f,0x3e200004,0x0dff73ff,0x4c13ff60,0xffffffec,
    0x1ffee0ef,0x0dff9000,0xf76ffc80,0x980000ff,0xffffffec,0x7ffd40ef,
    0xffcaabdf,0x1ffee3ff,0x0dff9000,0x7027fdc0,0x3f600dff,0x00dff94f,
    0xfe86ffc8,0x8000003f,0xdff76ffe,0x5d3ff600,0xeeeeefff,0xeeeeeeee,
    0xddfff74e,0xdddddddd,0x3ee9dddd,0xeeeeeeff,0xeeeeeeee,0xdddfff74,
    0xdddddddd,0xff989ddd,0xffdabdff,0x953006ff,0x25fff037,0x2002fff9,
    0x7fdc3fff,0xbdffffff,0xfb85ffd9,0xdfffffff,0xb85ffd9b,0xffffffff,
    0x25ffd9bd,0x7ffaeffb,0x013ff200,0x29fff000,0xfd006ffb,0xfb71009f,
    0x7ccfffff,0x2e0000ff,0x7ec007ff,0x01fff36f,0x36e20000,0xb87fffff,
    0xffffffff,0x7fcc2fff,0x3ea0000f,0x3ff2007f,0x01bfee04,0xffba7ff4,
    0x37fec007,0x0001fff4,0xbafff400,0xffd006ff,0x001ffea9,0x001ffea0,
    0x001ffea0,0x001ffea0,0xffffd100,0x01dfffff,0x3ffe2000,0x001fff50,
    0xff727ff4,0xb0157bff,0xfffb8bff,0xfd80abdf,0x7fffdc5f,0xffd80abd,
    0x3e3bfee5,0xffb000ff,0x01975109,0xfb9fffc0,0x9fff006f,0xfffd5000,
    0x007ffe23,0x1ffea0c4,0x22bffd00,0x31001fff,0x7ff54000,0xfffc981f,
    0x881dffff,0x31001fff,0x000fff88,0x7dc09ffb,0x9fff006f,0xd001ffea,
    0x7ffd0bff,0x02aa6200,0xf74fff80,0x3ffe00df,0x003fff34,0x01fff980,
    0x0fffcc00,0x3ffe6000,0xeb800001,0x03ffffff,0x3ffd4000,0x4001fff5,
    0x3ffe4ffe,0x5ffe801e,0x400f7ffc,0x7ffc5ffe,0x5ffe801e,0x7ffdbfee,
    0x09ffd001,0x2005fff1,0xff72fff9,0x9fff100d,0x7cc00d44,0x0bffe4ff,
    0xf9affe40,0x3fe001ff,0x00bffe4f,0x3512ffe4,0x09fff300,0x800affb8,
    0xf9002fff,0x00fffcbf,0x2e04ffe8,0xff8806ff,0x03fff34f,0x7427ffc0,
    0xff3003ff,0x3fe2007f,0x00dff72f,0x3e29fff1,0x26a002ff,0x00bffe20,
    0x3fe209a8,0x826a002f,0x2002fff8,0xdf90009a,0x39750013,0x897ff600,
    0x3e002fff,0x5fff33ff,0x4bfff100,0x8802fff9,0x3fe65fff,0xfff8802f,
    0x7edbfee5,0xfffa805f,0x00bffd04,0x7d43fff2,0xfffa807f,0x001fff94,
    0x7ff49ffd,0x47ffd006,0xf7005fff,0x37ff43ff,0xf93ffe80,0xffd001ff,
    0x0cffc809,0x006ffe80,0x7fec7ffd,0x4fff9805,0x201ffea0,0x3fe4fffa,
    0xfff7005f,0x007ffd03,0xc802fffc,0xfff50fff,0x49fff500,0xf5006ffe,
    0x37ff47ff,0x23fffa80,0xf5006ffe,0x37ff47ff,0x03fffa80,0x9002eff8,
    0xff100bff,0x04fff85f,0x2e3fff30,0xf9800fff,0x3ffee5ff,0x5fff9800,
    0x2003ffee,0x3ee5fff9,0x03fff76f,0x904fffe8,0xf9803fff,0x3ffe65ff,
    0x3fffe204,0x807fff54,0x3ea2fff9,0x7fdc02ff,0x07ffee0f,0xa8dfff10,
    0x7dc02fff,0x7fff50ff,0x02fff980,0x017ffe5c,0x700bffea,0x7fdc1fff,
    0x7fff401f,0x13ffe604,0x24ffff88,0x4401fffb,0xffd06fff,0x7ffe4009,
    0x27ffcc02,0x4409fff3,0x3ea4ffff,0x7fc403ff,0x3ffea0ff,0x7fffc403,
    0x00fffea0,0x541ffff1,0x7c403fff,0x64400fff,0x5400fffd,0x7ec00fff,
    0x2fffd86f,0x2e7ffe80,0x7c402fff,0x3fee5fff,0x7ffc402f,0x0bffee5f,
    0x4bffff10,0x3ff66ffb,0xfffd882f,0xffff104f,0x3fffea05,0x40ffffc0,
    0x24ffffe8,0x3601ffff,0xfffd87ff,0x4fffa882,0x302fffe8,0xfb03fffd,
    0xff5105ff,0x1ffff89f,0x801fff60,0xfd806ff8,0xffa882ff,0x2fffd84f,
    0x4ffffd88,0x40ffffc0,0x44ffffe8,0xd302fffe,0x3f603fff,0xff1000ef,
    0x3fea03ff,0x7fffc0ff,0xffffe881,0x827ffec4,0xd84fffd8,0xfb104fff,
    0xfffb09ff,0x3fff6209,0x04fffd84,0x009fffb1,0x4404ffb8,0xe880efff,
    0xff881fff,0xffb102ff,0x37ffcc3f,0xdffffd10,0x1037ffcc,0x4cdffffd,
    0x3a206fff,0x3ee6ffff,0x6ffff46f,0xfefffcab,0x3ffe604f,0xffdbacff,
    0xfffb82ff,0xfffeccef,0x3fea4ffc,0xfcaabdff,0xff983fff,0xffdabdff,
    0xfff306ff,0xffb759df,0x3fe609ff,0xffdabdff,0xfffa86ff,0xffcaabdf,
    0xf71003ff,0xfff300df,0xfffb57bf,0x7fff40df,0xeffecabd,0x7fdc04ff,
    0xffecceff,0x7cc4ffcf,0xdbacefff,0x3204ffff,0x807fffff,0xabdffffa,
    0x81ffffdb,0xcceffffb,0x4ffcfffe,0x677fffcc,0x5ffffeba,0x9dffff30,
    0xbffffd75,0x3bfffe60,0xffffebac,0xdffff305,0xffffd759,0xffd8800b,
    0xffffa803,0xffffdbbe,0x3fffea03,0xfffcbace,0xffffe84f,0xfffebaac,
    0x7ff46ffe,0xfebaacff,0x746ffeff,0xbaacffff,0x6ffefffe,0xfd11bfee,
    0x5fffffff,0xfa809ff7,0xffffffff,0x3ff602ef,0x8effffff,0x7fdc4ffa,
    0xffffffff,0x3ffa202f,0xefffffff,0x3fffa600,0x3fffffff,0x7ffff440,
    0x00efffff,0xfffffff7,0xc805ffff,0x01fffffe,0xfffffd10,0x401dffff,
    0xffffffe8,0x04ffbaff,0xffffffd8,0x4ffa8eff,0xfffffe98,0x403fffff,
    0x0ffffff8,0xfffffb80,0x00efffff,0x3ffffff6,0x4ffa8eff,0xfffffd88,
    0x405fffff,0xffffffd8,0x4405ffff,0xfffffffd,0x6c405fff,0xffffffff,
    0xee8805ff,0x2007ffff,0xfffffffb,0xea803fff,0xffffffff,0xfff103ff,
    0xdfffffff,0x443fff13,0xffffffff,0xfff89eff,0x3ffffe21,0x89efffff,
    0xdff71fff,0xffffb710,0x013fee5d,0x3fffff22,0xfd5004ff,0x2a1bffff,
    0xffc984ff,0x01dfffff,0xfffffd70,0x7f5c007f,0x00bdffff,0x3ffffae0,
    0xfc9803ff,0x1dffffff,0xffffff80,0xffeb8004,0x1003ffff,0x5dffffb7,
    0x54013fee,0x0dfffffe,0x75c09ff5,0x0bdfffff,0xffffb300,0x3ff22003,
    0x004effff,0xbfffffd5,0xb813fea1,0xeffffffe,0x3ffae002,0x002effff,
    0x3fffffae,0x3ae002ef,0x2effffff,0xfffff300,0xfd98005d,0x00cfffff,
    0x7ffffe40,0x64400dff,0x3effffff,0x32227ff4,0x3effffff,0x32227ff4,
    0x3effffff,0xffba7ff4,0x000aa806,0x026aa600,0x0054c400,0x026aa600,
    0x09a98800,0x06a62000,0x26a62000,0x35530000,0xabaa8001,0x4c40000a,
    0x5400009a,0x2200000a,0x880000a9,0x980001a9,0x2aa60001,0x2a620001,
    0x55300000,0xa9800013,0x4c00009a,0x400009aa,0x40009aa9,0x001abaa8,
    0x04d54c40,0x2aa62000,0xaa988000,0x54c40001,0x4c40001a,0x000001aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0017776c,0x000bddd3,
    0x004c4020,0x1cc80f2a,0x0fbbaa00,0x97bba600,0x8002eeec,0x9002eeed,
    0x77441bdd,0x64c0003e,0x260000cc,0x75400ccc,0x3bbb64ee,0x17776c01,
    0x13510000,0x00166640,0x64c59990,0x332e00cc,0xa800980c,0x77642eee,
    0x9751000d,0x00000037,0x17775c00,0x3bba2000,0x776c400e,0x00f77544,
    0x00f776c4,0x9701e4c0,0x00599903,0x00166640,0x0deee880,0xffa80000,
    0xffc8005f,0xd710003f,0x2fec17bf,0x2e03fea0,0xff3000ff,0xd8003fff,
    0xfff11fff,0xfff3000d,0x7ffc400b,0x101bff64,0x21ddfdb7,0x0001fffa,
    0xd007ffea,0x3fe61fff,0xfff9805f,0x93fee006,0x3effffec,0x0004fff8,
    0xffa97ffe,0x3ff6201f,0x00bfb31e,0x7d43fff6,0xfb8801ff,0x04ffffff,
    0x77f6e440,0x7cc001cd,0x0001ffff,0x400ffff2,0xff12fffa,0x7fd4009f,
    0xff98005f,0xf81ff981,0x3e0004ff,0x900005ff,0x00007fff,0x001bffa0,
    0x0006ffd8,0xdffffffb,0xf8809ffb,0xffb88aef,0xbffd1006,0x26001fff,
    0x3ff23fff,0xffd8000f,0x7fd4000e,0x00fffa9f,0x3fffffa2,0x007ffea7,
    0x01fffa80,0xfd8bffea,0xff5000ef,0x3fee005f,0xfffffe8c,0x3fe0dfff,
    0x3fe0004f,0x07ffea5f,0x3fbfff20,0xfd1004ff,0x07fff1bf,0xfffffd10,
    0x200bffff,0xfffffffc,0xf8800dff,0x00fffdff,0x05fff880,0x647ffe40,
    0xfc8006ff,0xff8001ff,0x7fea88ae,0x0009fff0,0x0002fffc,0x0027ffc4,
    0x0fffa800,0x3ffa2000,0x67fc4002,0xffffffdb,0xffffb800,0xb000ffff,
    0x1bff2dff,0xf12ffe40,0xf30005ff,0x320003ff,0x01fffeff,0x7fffffec,
    0x007ffea6,0x01fffa80,0xff993ff6,0x7fdc001f,0xdbff7006,0xffd99dff,
    0x27ffcbff,0x4bfff000,0xb001fffa,0x0019ffff,0xffefff98,0xbfffb005,
    0xdfff9535,0x7ffff401,0xfffffeef,0xcb7fec01,0xfb8006ff,0xfe8000ef,
    0x000fffef,0x0009ffb0,0xfffffff3,0x13ffe03f,0x05fff800,0x06ffc800,
    0x3ff60000,0xff980002,0x23fdc006,0x000bedb8,0x37ffffaa,0x3fff7001,
    0x2202fff4,0x3fee0eff,0x5ffb0004,0xfffd8000,0xefff803f,0x3fea098b,
    0x3ea0001f,0xdff301ff,0x0003ffc8,0xf7005ffb,0xf303dfff,0x3ffe1fff,
    0x3ffe0004,0x007f6a25,0x3fffffd7,0x3ffea000,0xfff5006f,0x0fffee07,
    0x20f7ffe4,0x00ffffc8,0x3e23fff9,0x7fc004ff,0xff10001f,0x40003fff,
    0x8000ffe8,0x1effffe9,0x0013ffe0,0x0005fff8,0x0007ffc4,0x03cc8800,
    0x0332a000,0x80000000,0x22000998,0x664c3ccc,0x0732601c,0x64000997,
    0xc880003c,0xff9803cc,0x3ffea02f,0x3fea0001,0x8199501f,0x640003cc,
    0xfffb803c,0x3ffe600f,0x0009fff3,0x7e42fffc,0x7dfff700,0x0001fff9,
    0x4003332e,0x7dc05ffe,0x5fff986f,0x42fffd40,0x64c2ccc8,0x993000cc,
    0xcc980005,0xc880002c,0x2620002c,0x4fff8009,0x17ffe000,0x03993000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00fffa80,
    0x0007ffea,0x001fffa8,0x00000000,0xf007fff7,0x13ffe9ff,0x85fff800,
    0x0bbea07d,0x0000bffb,0x17ffd400,0x90bffe20,0xf9001fff,0x000000ff,
    0x00000000,0x00000000,0x009fff00,0x002fffc0,0x00000000,0x00003553,
    0x00003553,0x00001353,0x4d4c0000,0x00000000,0x00026a60,0x20026a60,
    0x7d407ffa,0x2a0001ff,0x53001fff,0x53000013,0xfff70013,0x2bffd003,
    0x20004fff,0x27cc5fff,0x7ffc40a0,0x1aa98003,0x00fff900,0xffd17ff6,
    0x3ffe600b,0x00000001,0x13530000,0x00000000,0x7c004d4c,0x3e0004ff,
    0xa98805ff,0xaa88009a,0xfed88001,0x04efffff,0xffffdb10,0x5c009dff,
    0x4efffffe,0x401bfee0,0x3ae04ffd,0x04efffff,0x6c01bfee,0x3fae04ff,
    0x004effff,0x7fffff54,0x1ffea04e,0x003fff50,0x00fffd40,0xdfffffd7,
    0xffeb8009,0x2e04efff,0xfc800fff,0x009fff5f,0xf32fffc0,0xddb7300b,
    0x01fff95b,0xffffed88,0x3fa04eff,0xfff5004f,0x8017ffc4,0xff72fff8,
    0x53ff600d,0xfb006ffb,0x7ff5c09f,0x2e04efff,0xffb006ff,0x7fff5409,
    0x3fe04eff,0x3fe0004f,0xffdb305f,0x985bffff,0xcffffffd,0xffffa800,
    0xefffffff,0x3fffea01,0xefffffff,0x3fffa601,0x1effffff,0xb006ffb8,
    0xffd309ff,0xdfffffff,0x00dff703,0x3a613ff6,0xffffffff,0x7ec401ef,
    0xffffffff,0x07ffa81e,0x000fffd4,0x303fff50,0xfffffffd,0xe9803dff,
    0xffffffff,0x7ffb81ef,0x3ebff900,0x3e0004ff,0x06febeff,0xffffffb8,
    0x204fffff,0xfffffffa,0xf81effff,0xff3003ff,0x0009883f,0x3ee3fff3,
    0x9ffb006f,0x6c01bfee,0xffe984ff,0xefffffff,0x006ffb81,0xfb109ffb,
    0xffffffff,0x09fff03d,0x42fffc00,0xfffffffb,0xff74ffff,0xffffffff,
    0x7fffe403,0xfffcbabc,0xffff906f,0xfff97579,0x3ffe20df,0xffdcacef,
    0x37fdc3ff,0x444ffd80,0xcaceffff,0x5c3ffffd,0xffb006ff,0xeffff889,
    0xffffdcac,0xdfffd103,0xffffb759,0x407ffa85,0x0001fffa,0xf107ffea,
    0xb959dfff,0x2207ffff,0xcaceffff,0x5c3ffffd,0xff9006ff,0x0013ffeb,
    0x2ceffff8,0x7fffec40,0xfffffede,0xffffc80f,0xfffcbabc,0x17ffc46f,
    0x02fff980,0x73ffdc00,0x3f600dff,0x00dff74f,0xff113ff6,0xfb959dff,
    0xffb87fff,0x89ffb006,0xacefffe8,0x42ffffdb,0x20004fff,0x7fe45fff,
    0xfcbabcef,0xefffefff,0xffffcbbc,0x05fff881,0x107fff62,0x6c40bfff,
    0xffd81fff,0xffff303f,0x8037fdc1,0x7fec4ffd,0xffff303f,0x8037fdc1,
    0x7fec4ffd,0xffff303f,0x07fff901,0xf51bffa6,0xfffa80ff,0x3fea0001,
    0x1fffec1f,0x80ffff98,0xf303fffd,0x7fdc1fff,0x2bff9006,0x20004fff,
    0x32005fff,0xfd885fff,0x7fc43fff,0x3ff6205f,0x07ffe61f,0x01fffc40,
    0x4bfff300,0xfb006ffb,0x01bfee9f,0x3f627fec,0xfff303ff,0x037fdc1f,
    0x7e44ffd8,0xffd303ff,0x004fff8d,0xf897ffe0,0x3fe204ff,0xb103ffff,
    0xdff70dff,0x89fff100,0xf8806ffb,0x7ffdc4ff,0x2fffc402,0x3600dff7,
    0x3ffee4ff,0x2fffc402,0x3600dff7,0x3ffee4ff,0x2fffc402,0x100fffe6,
    0x7fd47ffd,0x0fffd407,0x3fff5000,0x2017ffdc,0x7dc5fff8,0x7fc402ff,
    0x01bfee5f,0xfffaffe4,0x3ffe0004,0x9fff3005,0x46fffb80,0xf8806ffb,
    0x3ffe64ff,0x0fffe001,0x7fffcc00,0x401bfee0,0xdff74ffd,0xb93ff600,
    0x7c402fff,0x1bfee5ff,0xf327fec0,0xfe8807ff,0x013ffe3f,0x325fff80,
    0xffb805ff,0x7fc403ff,0x01ffec3f,0x7ec4ffe8,0x9ffd003f,0x7005fff8,
    0x3fee3fff,0x49ffb006,0xf7005fff,0x1bfee3ff,0xff27fec0,0x3fee00bf,
    0x017ff61f,0xfa87ffd4,0x7ffd407f,0x3fea0001,0x017ffe1f,0xff0fffdc,
    0x3fee00bf,0x00dff71f,0x7ffd7ff2,0x3ffe0004,0x0dffb005,0xd83fffa0,
    0xffd003ff,0x007ffd49,0x0007fff0,0xb85ffff3,0xffb006ff,0x401bfee9,
    0x3ffe4ffd,0x3fff7005,0x6c01bfee,0x17ff64ff,0xf87ffd40,0x3e0004ff,
    0x0bffa5ff,0x01bffe60,0x08837fdc,0x20bffb00,0xbffb0008,0x800fffc4,
    0xff73fff8,0x53ff600d,0x1001fff8,0x3fee7fff,0x29ffb006,0x1001fff8,
    0x7ffc7fff,0x3fff1003,0xf501ffea,0x540003ff,0xfff11fff,0x3ffe2003,
    0x003fff13,0x7dcfffe2,0xbff9006f,0x80013ffe,0xf8805fff,0xff3003ff,
    0x2001107f,0x3fea5ffd,0x3ffe000f,0x7ffcc003,0x06ffb82f,0x3ee9ffb0,
    0x9ffb006f,0x4007ffe2,0xff73fff8,0x93ff600d,0xf1003fff,0x13ffe3ff,
    0x85fff800,0x7fff1001,0x01ffe200,0x5ffeb980,0x3fae6000,0x03ffe65f,
    0xf74ffe80,0x3ff600df,0x001fff34,0xffba7ff4,0x29ffb006,0x2000fff9,
    0xfff34ffe,0x9fff4003,0x7d407ffa,0x2a0001ff,0xfff31fff,0xa7ff4001,
    0x2000fff9,0xdff74ffe,0x7d7ff200,0x3e0004ff,0xff9805ff,0x3ffe000f,
    0xfd730004,0x07ffccbf,0x007fff00,0x817fffcc,0xfb006ffb,0x01bfee9f,
    0xff9a7fec,0x3ffa000f,0x200dff74,0xfff34ffd,0x9fff4003,0x20004fff,
    0x88005fff,0x002fffca,0x53007ffe,0xfffffdb9,0xb95300bf,0xbffffffd,
    0x2003ffdc,0xdff75ffd,0x5d3ff600,0x7ec007ff,0x00dff75f,0x7fdd3ff6,
    0xaffec007,0xeeeefffa,0xfeeeeeee,0x0fff54ff,0x001fffa8,0x5c7ffea0,
    0x7ec007ff,0x00fff75f,0xff75ffd8,0x57ff200d,0x20005fff,0xfa805fff,
    0x7ff4007f,0x76e54c05,0x25ffffff,0x2001fff9,0x3a003fff,0x3ee02fff,
    0x9ffb006f,0x6c01bfee,0x0fff74ff,0xf75ffd80,0x3ff600df,0xdddfff54,
    0xdddddddd,0x3ffe9fff,0x3ffe0005,0x7ee54c05,0xeeffffff,0xeeeeeeee,
    0xc982fffe,0xffffffff,0x9305ffff,0xffffffff,0x7e4bffff,0x7fe4006f,
    0x200dff77,0xdff94ffd,0x77ffc800,0x3f600dff,0x00dff94f,0xff77ffc8,
    0xffffffff,0xbfffffff,0xf501ffea,0x540003ff,0xdff91fff,0x97ffc800,
    0xfc800dff,0x00dff77f,0x7ff57ff2,0x3ffe0005,0x07ffb804,0x4c2ffec0,
    0xfffffffc,0x225fffff,0xf1001fff,0x3ea005ff,0x7fdc02ff,0x29ffb006,
    0xfb006ffb,0x01bff29f,0x3eefff90,0x9ffb006f,0x3fffffee,0xffffffff,
    0xbffd5fff,0x27ffc000,0x7ffffecc,0xffffffff,0xffffffff,0x5c4fffff,
    0xffffffff,0x85ffd9bd,0xfffffffb,0x5ffd9bdf,0x9001bff2,0x1bfeedff,
    0xfca7fec0,0x7fe4006f,0x200dff76,0xdff94ffd,0x76ffc800,0xdddddfff,
    0xdddddddd,0x01ffea9d,0x0003fff5,0xfc8fffd4,0x7fe4006f,0x800dff96,
    0xdff76ffc,0x757ff200,0xf10005ff,0xff9009ff,0x6ffd800d,0x7fffffdc,
    0xffd9bdff,0x8017ffc5,0xb002fff9,0xff700bff,0x53ff600d,0xfb006ffb,
    0x01bff29f,0x3eedff90,0x9ffb006f,0x3bbbffee,0xeeeeeeee,0xbffd4eee,
    0x3ffe2000,0x7ffffd44,0xff9adeff,0xeeeeeeef,0x3eeeeeee,0x2f7fffee,
    0x45ffd80a,0xabdffffb,0x2e5ffd80,0x7ec007ff,0x00dff76f,0x7fdd3ffa,
    0xb7fec007,0xfd006ffb,0x01ffee9f,0x3eadffb0,0xfa80007f,0x7ffd407f,
    0xfa801101,0x0fff71ff,0xf76ffd80,0xffd800ff,0x200dff76,0xdffb5ffc,
    0x3ffe6000,0x07ffb803,0xf727ff40,0x0157bfff,0xffe8bffb,0x1fff3002,
    0x00bffa00,0x7401bfee,0x0dff74ff,0x7dd3ffa0,0x7fec007f,0x200dff76,
    0xfff54ffe,0xdffb0000,0x3ffe6000,0x3bfffee3,0x1fff881b,0xefff8000,
    0x45ffe801,0xe801efff,0x1ffea5ff,0x2ebffd00,0xfff006ff,0x001ffea9,
    0x3feebffd,0x29fff006,0x74007ffa,0x3fff35ff,0x7ffa8000,0x20fffd40,
    0x7dc03ffc,0x0fff51ff,0xf55ffe80,0xffe800ff,0x200dff75,0xfff95ffc,
    0xfff50001,0x1fff5005,0xf1fffc00,0xfd003dff,0x04ffe8bf,0x400fff70,
    0xfb801fff,0x9fff006f,0x7c01bfee,0x0fff54ff,0xf75ffe80,0x3ffe00df,
    0x003fff34,0x00fffc80,0x22fffa80,0x4400efff,0x40002fff,0x8802fff9,
    0x3fe65fff,0xfff8802f,0x007ffe65,0xff74fff8,0x9fff100d,0x8007ffe6,
    0xdff74fff,0x29fff100,0x2001fff9,0xfff14fff,0x504d4005,0xffa80fff,
    0x02ffec1f,0x7cc3fff2,0x3fe001ff,0x03fff34f,0x4027ffc0,0x3ffea000,
    0xfffd8002,0x1fff9800,0x25fff100,0x8802fff9,0x7fdc5fff,0x0bffd007,
    0x007ffe20,0x2201bfee,0xdff74fff,0x29fff100,0x2001fff9,0xdff74fff,
    0x29fff100,0x2002fff8,0x3ffea09a,0xfffd8002,0x005fff50,0x2007fff3,
    0xff709ab8,0xfff3001f,0x007ffdcb,0x3e2fffcc,0xff7005ff,0x01ffea3f,
    0xff93ffea,0xfff7005f,0x201ffea3,0x3fe4fffa,0xfff7005f,0x8037ff43,
    0xff53fffa,0x1fffa80f,0x32037fe4,0x2fffc7ff,0x21fffb80,0xf7005fff,
    0xff9803ff,0x3fe201df,0x3e6000ff,0x3fe006ff,0xfff9005f,0x003ffee1,
    0xf117ffe6,0xff8803ff,0x0666003f,0x403ffd40,0xff54fffa,0x9fff500f,
    0xb802fffc,0xfff51fff,0x49fff500,0xf5006ffe,0x3ffe27ff,0x3fe6000f,
    0x01fff26f,0x802fffec,0xff71fffc,0xfff8805f,0x0bffee5f,0x8bffff10,
    0x4401fffb,0x3fe66fff,0x3ffe204f,0x07ffee4f,0x4cdfff10,0x3e204fff,
    0x3fee4fff,0x7ffc401f,0x01fffd46,0x543fffe2,0x7fd407ff,0x17ffdc1f,
    0x5c5fff98,0x7c401fff,0x7ffdc6ff,0x37ffc401,0x3ffff4c0,0x03bfff60,
    0x0ffffa20,0x01fffb80,0xf727ffcc,0xff8805ff,0x5ffc85ff,0x003ffe40,
    0x3ffe6000,0x3fffe204,0x409fff34,0x2e4ffff8,0x7c401fff,0x3ffe66ff,
    0x3fffe204,0x00fffea4,0x6c1ffff1,0x8800efff,0x3f23fffe,0x7fdc01ff,
    0x7c403fff,0x3ffe66ff,0x3fffa206,0x1bffe66f,0x6ffffe88,0x302fffe8,
    0xff83fffd,0xffe881ff,0x7fff44ff,0x3fffd302,0x881ffff8,0x744ffffe,
    0xfd302fff,0xfffb03ff,0x3fff6209,0x501ffea4,0xff883fff,0x7ff4c2ff,
    0x2fffe83f,0x03fffd30,0x2605fffd,0x2001fffe,0x2203ffd8,0x09beffff,
    0x37fffdcc,0x3fffe200,0x1ffff502,0x1037ffcc,0x10dffffd,0x3f20bfff,
    0x000003ff,0x881ffff8,0x3e4ffffe,0xfe881fff,0x7ff44fff,0xfffd302f,
    0x81ffff83,0x44ffffe8,0xb104fffd,0xff889fff,0x4c09beff,0x546ffffb,
    0x3ea05fff,0x03fffeff,0xe85fffb3,0xbaacffff,0x6ffefffe,0x567ffff4,
    0xfefffeba,0xffff986f,0xfffdbace,0xffffb84f,0xcfffecce,0x7ffcc4ff,
    0xffdbacef,0xfffb84ff,0xfffeccef,0x7fcc4ffc,0xfdbaceff,0xff304fff,
    0xfd759dff,0xffa8bfff,0x0fffd407,0x77ffffdc,0x304fffff,0x759dffff,
    0x209ffffb,0xaceffff9,0x04ffffdb,0x405ffc80,0xfffffffb,0xfffffffe,
    0xfe98000e,0xfdbabdff,0xffe82fff,0xfebaacff,0x906ffeff,0xd759dfff,
    0x9800bfff,0xf7002eee,0xfd99dfff,0x5c9ff9ff,0xecceffff,0x44ffcfff,
    0xaceffff9,0x84ffffdb,0xcceffffb,0x4ffcfffe,0x677fffcc,0x5ffffeba,
    0xffffff70,0xffffffdf,0xfffd01df,0xfffb739d,0x3ffff65f,0xffffebbd,
    0xfffff883,0x89efffff,0x3fe21fff,0xffffffff,0x81fff89e,0xffffffe9,
    0x3603ffff,0xffffffff,0x984ffa8e,0xfffffffe,0x3f603fff,0xefffffff,
    0xe984ffa8,0xffffffff,0x7ec403ff,0xffffffff,0x07ffa85f,0xd80fffd4,
    0xffffffff,0x7ff4c05f,0xffffffff,0x7fff4c03,0x3fffffff,0xffb95700,
    0xfff3003f,0xffffffff,0x40001bff,0xffffffe8,0xf101efff,0xffffffff,
    0x3fff13df,0x3ffffee0,0x8006ffff,0x2003fffa,0xfffffffd,0x44ffa8ef,
    0xfffffffd,0x84ffa8ef,0xffffffe9,0x3603ffff,0xffffffff,0x884ffa8e,
    0xfffffffd,0x7cc05fff,0xffffffff,0x100dffff,0xffffffff,0xffc81bff,
    0xffffffff,0x3fff2204,0x7f43efff,0x7ffe444f,0x7f43efff,0x3ffae04f,
    0x800bdfff,0xdfffffea,0x5c09ff50,0xbdfffffe,0xfffea800,0x9ff50dff,
    0x7ffff5c0,0x2e000bdf,0xeffffffe,0x80fff502,0x2a01fffa,0x3dffffff,
    0x3fffae00,0x2000bdff,0xdfffffeb,0xfff1000b,0x44009fff,0xffffffeb,
    0x00001dff,0x3fffffae,0xffc8804f,0x743effff,0x3faa04ff,0x003fffff,
    0x007fff50,0xfffffea8,0x509ff50d,0x1bfffffd,0xeb813fea,0x0bdfffff,
    0xffffea80,0x09ff50df,0x7fffff5c,0xd71002ef,0xffffffff,0xff91003b,
    0x407bffff,0xffffffda,0x5531001d,0xa9880003,0x2200001a,0x220001a9,
    0x880000a9,0x220001a9,0x880000a9,0x300001a9,0xfa801355,0x8800007f,
    0x440001a9,0x880001a9,0xd10001a9,0x00059ddd,0x4cd554c4,0x4c000000,
    0x9880009a,0x400001aa,0x40001aa9,0x0003fffa,0x40001531,0x80000a98,
    0x20001a98,0x00000a98,0x00013553,0x4d5554c4,0xaa988000,0x9aa88000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05fff300,0x002ffe40,
    0x0006664c,0x17ffe000,0x00351000,0x0026a600,0x00007993,0x0b32e000,
    0x00666640,0x0003cc98,0x00079970,0x64016664,0xcccccccc,0x0009aacc,
    0xa64c0332,0x2a01ccc8,0x44000ccc,0x00004ccc,0xccccccb8,0xcccccccc,
    0x3ccccccc,0x02660080,0x00073322,0x884c4000,0xb101eeed,0x22003ddd,
    0x6400deee,0x3b620dee,0x02f75c3e,0x53326000,0xd500ccc8,0x362007dd,
    0x7fdc1eee,0x02fff42f,0x0005fff0,0x4403fff5,0x005effdb,0x20017ffe,
    0xdffffdb8,0x3ee9ff51,0xffffb14f,0x3fee03bf,0x00000006,0x3e009ffb,
    0xf7000fff,0x3a0000df,0x3e0005ff,0xfff805ff,0xffffffff,0x800cffff,
    0x2bfd05fe,0x3203fff8,0x44001fff,0x00007fff,0x7fffffcc,0xffffffff,
    0xffffffff,0x33ff2606,0x260bfe62,0x80002fff,0x20adffc8,0x3ffea4ff,
    0x07fff705,0x017ffe40,0xfb27ffc4,0x7ffc81df,0x7fdc0000,0x303fff37,
    0x005fffff,0xf707fff7,0xfffb85ff,0x07ffa800,0x03fff500,0x3fffffe2,
    0x17ffe006,0xfffff500,0xff55ffff,0x3e73fee9,0xffffffff,0x006ffb84,
    0xffb00000,0x3fffe009,0x0dff7000,0x17ffa000,0x05fff800,0xfffffff8,
    0xffffffff,0x3ee00cff,0x5ff931cf,0xc80fffe2,0x44001fff,0x00007fff,
    0x7fffffec,0xffffffff,0xffffffff,0xfffff106,0x01ffdbff,0x0005fff3,
    0xfffffff0,0xfb85ffdb,0x5fff81ff,0x13ffe200,0xaafff980,0xffc80fff,
    0x7dc00007,0x83fff37f,0xfffdffe8,0x82fffc00,0x7c42fffb,0xffd803ff,
    0xfff50004,0xffffd103,0x774009ff,0x3fea004e,0xffcaacff,0xff74ffdf,
    0x9559fffd,0xfb89ffff,0x0000006f,0x2009ffb0,0x7400ffff,0xffffffff,
    0x3a006fff,0x3e0005ff,0xfff805ff,0xedccccce,0xefffffee,0x3ffffa00,
    0x3fe25fff,0x3fff203f,0x7ffc4001,0x3e200007,0xffecceff,0xcccccccf,
    0x03cccccc,0xffd77ff7,0x3e609fff,0x4c0002ff,0xfffebcff,0xbffb06ff,
    0x000effb8,0x2001bff2,0x2ffffffb,0x000fff90,0xf37ffb80,0x6ffd83ff,
    0x7dc0dff9,0xddd500ef,0x80dffb05,0x0001fff8,0xf503fff5,0x01315bff,
    0xff880000,0xffe881ef,0xffff74ff,0xfffd103f,0x0037fdc3,0xffd80000,
    0x19999004,0xfffffe80,0x06ffffff,0x77ffd544,0xaaaaaaaa,0xffaaaaaa,
    0xff00aaef,0x3f22009f,0x9100efff,0x887fffff,0x2a603fff,0x644000fe,
    0x200004cc,0x3f21fffc,0x7400007f,0x16fe4c4f,0x005fff30,0x5c46fc80,
    0x7ff403ee,0x8007ffa1,0x0000fff8,0x007ffffb,0xb80000df,0x707e47ff,
    0x7ff43fff,0x003ffd05,0x01fffa80,0x8001bfee,0xfb81fffa,0x000000ff,
    0x007ffe40,0x7dd3fffa,0x7fc00fff,0x01bfee5f,0x7ec00000,0x5000004f,
    0x555fffb5,0xfa805555,0xffffffff,0xffffffff,0xffffffff,0x09fff00f,
    0x4fffe980,0x880d4c40,0x7f803fff,0x00000000,0xf917ffe2,0x000000ff,
    0x5fff3000,0x00000000,0x664cb322,0x0e64c002,0x79991000,0x000bf300,
    0x747ffb80,0x30f33226,0xcc983999,0xfff00002,0x01fff409,0x03fff500,
    0x8000dff9,0xfd000998,0xfff700bf,0x013ffee9,0xffb9ffee,0x00000006,
    0x26009ffb,0x3ee0009a,0x3ea0006f,0xffffffff,0xffffffff,0xffffffff,
    0x09fff00f,0x1ffff300,0xfff88000,0x002fc403,0x00009a88,0xc83fff90,
    0x000007ff,0xfff98000,0x00003982,0x00000000,0x20000000,0x400003fb,
    0x13ea7ffb,0x00000000,0x260dff90,0x20000fff,0xfc81fffa,0x7ec0005f,
    0x3fff004f,0x5d3ffe00,0xff000fff,0x21bfee3f,0xa80000a9,0x204ffd81,
    0xefffffea,0x86ffb804,0x2a201aa8,0xaaaefffa,0xaaaaaaaa,0xaefffaaa,
    0x09fff00a,0x13fff200,0x7fff1000,0x001ff440,0xfffffd95,0x7fc40007,
    0x07ffc85f,0x9a880000,0x2fff9800,0x000027d4,0x80000000,0x200009a8,
    0x3ee009a8,0x006a6005,0x3be6fff7,0x4c000000,0x4c09fb01,0xffc81fff,
    0x7fd40005,0x05ffc81f,0x01fff400,0x8007ffcc,0xfff74ffd,0xb97ff400,
    0xfffb16ff,0x22001bff,0x1dffffdb,0xfb109ffb,0xffffffff,0x37fdc03d,
    0x7fffffd9,0x02fff401,0x00bfff00,0x40009fff,0x3e606ffe,0xfff880ff,
    0x4013f203,0xffffffe8,0x8000ffff,0xfc82fffc,0xfb80007f,0x3fffb24f,
    0x3fe603ef,0x013fee2f,0x007ffcc0,0xf987ffcc,0x4ffb80ff,0x3bffffb2,
    0x324ffb83,0x83effffe,0xa87ffc4c,0x1dfffffd,0x00e7ffb8,0x5c03ffe6,
    0xdfff73ff,0x2027ec19,0xfff84ffe,0x7fd40002,0xfffff91f,0x8009ffff,
    0xfa801fff,0x3ff2007f,0x400dff74,0xdff74ffd,0xfffffff3,0xffa805ff,
    0xafffffff,0x7f444ffd,0xfdbaceff,0xff702fff,0xfffffd1d,0x3a01dfff,
    0x3e0005ff,0xfff805ff,0x3ff20004,0x03ffe607,0x880fffe2,0xffff3002,
    0xffff959d,0x7fc4001d,0x0fff906f,0x19ff7000,0xfffffffd,0xfff301bf,
    0x003bff25,0x007ffcc0,0xf987ffcc,0xcffb80ff,0xffffffe8,0x3fee0dff,
    0xfffffe8c,0x7c00dfff,0xffffa8ff,0x5c3fffff,0x7cc007ff,0x7ff700ff,
    0x8ffffff7,0x7fdc05fe,0x003ffcc7,0xc8fffd40,0xffffffff,0x3fea004f,
    0x6ffc800f,0x5d3fee00,0x3f2005ff,0xfffff75f,0xfffb77bf,0x3ffea07f,
    0xfffdbbdf,0x7fe44fff,0xdffd303f,0x3ffffee0,0xfffdccef,0x0bffd05f,
    0x02fffc00,0x00027ffc,0x2601fff5,0xff880fff,0xfd00003f,0x3fee07ff,
    0x3fee005f,0x0fff902f,0xdbff7000,0xffd99dff,0xfff30bff,0x001bffb7,
    0x007ffcc0,0xf987ffcc,0xdffb80ff,0xfecceffe,0x3fee5fff,0xecceffed,
    0x7c05ffff,0xcdfffcff,0x21fffffd,0x4c007ffb,0xff700fff,0x9ffffff9,
    0x7c405fe8,0x13ff22ff,0x3ffea000,0xdffd9951,0x74005999,0xff7006ff,
    0xa7fdc00d,0x32004ffb,0xffff75ff,0xfffd303f,0x1ffff881,0x4ffffe88,
    0x100fffe6,0xff707ffd,0xfd103dff,0xbffd03ff,0x33333333,0xff333333,
    0x9fff00bf,0x7ffc4000,0x01fff302,0x0007fff1,0x807fff50,0x8800fffd,
    0x3f206fff,0xfb80007f,0xf981efff,0x7fcc0fff,0x0004ffff,0x800fff98,
    0xff30fff9,0xffff701f,0xffff303d,0x3bfffee1,0x0ffff981,0x33ffffe0,
    0x25fffc80,0x4c007ffb,0xff700fff,0x39537dff,0xfd806ff8,0x007ffe5f,
    0x07ffea00,0x40017ff2,0x5001fffd,0x7dc00fff,0x00bff74f,0xffb9ffec,
    0x3fe200ff,0x0fffe44f,0x49fffd10,0xf5005ffd,0xfffb81ff,0x3ffe600f,
    0xfffffe82,0xffffffff,0x5fffffff,0x004fff80,0x40fffe20,0xf880fff9,
    0xc80003ff,0xff9806ff,0xfffb802f,0x3bfff202,0xeeeeeeee,0x7fdc5eee,
    0x3fe600ff,0x7fffcc3f,0xf300003f,0xff3001ff,0x03ffe61f,0x803fffee,
    0xff73fff9,0x7fcc01ff,0x3fffe03f,0x73ffec04,0xf9800fff,0xfff700ff,
    0x0dff003f,0x3e6fff50,0xf500006f,0xbff903ff,0xfffd8800,0x3ffe6004,
    0x29ff9000,0x3a006ffb,0x9fff72ff,0x41fff900,0xfb805ffe,0x0fffe4ff,
    0x20fffc40,0xe804fffb,0xfffe83ff,0xffffffff,0xffffffff,0xfffff05f,
    0xffffffff,0x4fff803f,0x101fff30,0x00007fff,0x2a007ffd,0x1bffe001,
    0xffffff90,0xffffffff,0x3fffb8df,0x4c4fff80,0x0002ffff,0x003ffe60,
    0x7cc3ffe6,0xfffb80ff,0x74fff803,0xff007fff,0x7fffc09f,0x87ffd400,
    0x4c007ffb,0xff700fff,0xfff1009f,0x32bffe00,0x500003ff,0xff903fff,
    0x7ff4400b,0x7fc4004f,0x9ffd002f,0x4401ffee,0xfff70fff,0x5fff1001,
    0xf800fffc,0x3fff34ff,0x21fff400,0xd801fffb,0xfffe84ff,0xffffffff,
    0xffffffff,0xfffff05f,0xffffffff,0x7ffc403f,0x01fff305,0x0007fff1,
    0x0003fff0,0x05fff700,0xffffffc8,0xffffffff,0x0fffdc6f,0x322fff40,
    0x00002fff,0x4007ffcc,0xff30fff9,0x3fff701f,0x2ebffd00,0xfe801fff,
    0x17ffe05f,0x5c7ffe60,0x7cc007ff,0xfff700ff,0x0fff1005,0x3fb3ff20,
    0xf500000f,0xbff903ff,0x27fff400,0x06ffe800,0xf74fff98,0xff9007ff,
    0x0037fdcf,0x3fe67ffd,0x53ff6007,0xeeeefffa,0xfeeeeeee,0x7ffdc4ff,
    0x85ffc800,0x20005ffe,0x55505fff,0x5555bfff,0x7cc01555,0xfff304ff,
    0x07fff101,0x0fff8800,0xffe80000,0xafffc806,0xaaaaaaaa,0x7fdc2aaa,
    0x5ffc800f,0x00bffff6,0x1fff3000,0x21fff300,0xfb80fff9,0xffc800ff,
    0x001fff75,0x7fc0bff9,0xfff8804f,0x800fff71,0xf700fff9,0xff3001ff,
    0xfff1001f,0x40000bff,0xfc81fffa,0xfff9005f,0x7fcc0009,0x7ffec02f,
    0x01ffff74,0xf727ffc4,0x7ff400bf,0x400fff54,0xfff74ffc,0xffffffff,
    0x8bffffff,0xf9007ffb,0x0bffd0bf,0x02fffc00,0x00027ffc,0x2607fff5,
    0xff880fff,0x7d40003f,0xa800007f,0x9999cfff,0x7ffd9999,0x7ffb8000,
    0x3abff900,0x002fffff,0x07ffcc00,0x987ffcc0,0xffb80fff,0x2bff9007,
    0xf9007ffb,0x1fffc0bf,0xb8fffc40,0x7cc007ff,0xfff700ff,0x03ffe600,
    0x17ffff40,0xfff50000,0x00bff903,0x000bfff3,0x205fffb0,0xf74ffffd,
    0xd301dfff,0x7fdc1fff,0x57ff6004,0x32006ffc,0xdfff74ff,0xdddddddd,
    0xb89ddddd,0xff9006ff,0x00bffd0b,0x402fffc0,0x20004fff,0xf303fffb,
    0xfff101ff,0xffb80007,0xfe800007,0xffffffff,0x07ffffff,0x06ffb800,
    0x3febff90,0x0002fffd,0x007ffcc0,0xf987ffcc,0x6ffb80ff,0x2ebff900,
    0xff9006ff,0x017ffc0b,0xfb8fffc4,0x7fcc007f,0x0dff700f,0x007ffea0,
    0x007fffdc,0x3fff5000,0x700bff90,0x20000dff,0xabdffff8,0x4fffffec,
    0x9ffffff7,0x5ffffb77,0x2004ffb8,0xdff95ffd,0xaa7fdc00,0x200007ff,
    0xf9006ffb,0x0bffd0bf,0x02fffc00,0x00027ffc,0x2603fff9,0xff880fff,
    0x7cc0003f,0x200000ff,0xfffffffa,0xffffffff,0xfb80007f,0xbff9006f,
    0x0bffe6be,0xfff30000,0x1fff3001,0x2e03ffe6,0xff9006ff,0x401bfeeb,
    0x3fe05ffc,0xfff8802f,0x800fff71,0xf700fff9,0x3fea00df,0xfff1001f,
    0x2004400b,0xfc81fffa,0x4ffd805f,0xd8802200,0xffffffff,0xff74ffdb,
    0xffffff5d,0xff705fff,0xa7ff400b,0x32007ffa,0x3fff34ff,0x3fee0000,
    0x0bff9006,0x4000bffd,0xff805fff,0x3fa0004f,0x3ffe607f,0x03fff880,
    0x0fffc400,0x7f401880,0xffffffff,0x7fffffff,0x6ffb8000,0x46bff900,
    0x0002fff9,0x007ffcc0,0xf987ffcc,0x6ffb80ff,0x2ebff900,0xff9006ff,
    0x017ffc0b,0xfb8fffc4,0x7fcc007f,0x0dff700f,0x00bffee0,0xd801fff8,
    0x7fdc03ff,0x05ffc80f,0x2003fff8,0x3b204fff,0xfb2effff,0x4dbfee9f,
    0x0bdffffe,0x400dff70,0xfff13fff,0x53ff6001,0x2002fff8,0x6ffb809a,
    0xd0bff900,0x7c000bff,0xfff805ff,0xfff50004,0x07ffcc09,0x001fffc4,
    0x8017ffc0,0xffa85ffc,0x3ff2003f,0xffb80007,0x8bff9006,0x0002fff9,
    0x007ffcc0,0xf987ffcc,0x6ffb80ff,0x2ebff900,0xff9006ff,0x017ffc0b,
    0xfb8fffc4,0x7fcc007f,0x0dff700f,0x00fffee0,0xd8037fd4,0x7fe404ff,
    0x05ffc80f,0x3005ffe8,0x51005fff,0x74ffd815,0x0a988dff,0x00fffb80,
    0x3e1fff88,0xffd001ff,0x8037ff49,0x7dc3fffa,0xbff9006f,0x000bffd0,
    0x7c02fffc,0xf88004ff,0x3e601fff,0xfff880ff,0xffe80003,0x07ffd006,
    0x4001fffd,0x80007ffc,0xf9006ffb,0x2fff98bf,0x7fcc0000,0xfff9800f,
    0x701fff30,0x3f200dff,0x00dff75f,0xff817ff2,0xfff8802f,0x800fff71,
    0xf700fff9,0x3ff200df,0x7ffb003f,0x01bff200,0x3f20fffb,0xfffc805f,
    0x0fffc800,0xa7fec000,0x40006ffb,0xc802fffb,0x3ff60fff,0x4fffa805,
    0x100fffea,0xfb81ffff,0xbff9006f,0x000bffd0,0x7c02fffc,0xfc8004ff,
    0x7fcc05ff,0x3fff880f,0xfffa8000,0x07ffdc02,0x0013ffe6,0x0000fff9,
    0x3200dff7,0x7ffcc5ff,0x7cc00002,0xff9800ff,0x01fff30f,0x3200dff7,
    0x0dff75ff,0xf817ff20,0xff8802ff,0x00fff71f,0x700fff98,0x3f200dff,
    0xff9804ff,0xfff7000f,0x17ffe603,0x5402ffe4,0x7d405fff,0xd80005ff,
    0x0dff74ff,0xefffb800,0x0fffe200,0xe803fff7,0x7fec4fff,0xfffb104f,
    0x00dff709,0x3fa17ff2,0x3fe0005f,0x4fff805f,0x3fff6200,0x7ffcc01f,
    0x03fff880,0x5fffb000,0x09fff510,0x8001fffb,0x80007ffc,0xf9006ffb,
    0x2fff98bf,0x7fcc0000,0xfff9800f,0x701fff30,0x3f200dff,0x00dff75f,
    0xff817ff2,0xfff8802f,0x800fff71,0xf700fff9,0x3ff200df,0xfb99a84f,
    0x3e2004ff,0x7fd41fff,0xbff902ff,0x3bfff200,0x0ffffb81,0x4ffd8000,
    0x8000dff7,0x80effffb,0xfb06fff9,0xffb105ff,0xfff989ff,0xffebacef,
    0xdff705ff,0x217ff200,0x20005ffe,0xff805fff,0x999999df,0xffffdcba,
    0xfff9802f,0x9cfff880,0x99999999,0xff981999,0xffdabdff,0xfff986ff,
    0xfffc8004,0x99999999,0x70999999,0x3f200dff,0x5fffcc5f,0x99999999,
    0x26019999,0xf9800fff,0x1fff30ff,0x200dff70,0xdff75ffc,0x817ff200,
    0xf8802fff,0x0fff71ff,0x00fff980,0x3200dff7,0xffe84fff,0xb8006fff,
    0xffefffff,0x3f204fff,0x3ffa005f,0xfffeefff,0xb00001ff,0x1bfee9ff,
    0xfdff7000,0xffb77bff,0x7ff405ff,0xfffcabdf,0xfd884ffe,0xffffffff,
    0x1bfee05f,0x742ffe40,0x3e0005ff,0xfff805ff,0xffffffff,0x2fffffff,
    0x01fff300,0xfffffff1,0xffffffff,0x3ffa20ff,0xefffffff,0x00fffd80,
    0xfffffc80,0xffffffff,0xff72ffff,0x17ff200d,0xfffffff3,0xffffffff,
    0x7ffcc0ff,0x0fff9800,0xf701fff3,0x3ff200df,0x200dff75,0x3fe05ffc,
    0xfff8802f,0x800fff71,0xf700fff9,0x3ff200df,0xffffd84f,0xffb0000f,
    0x9fffffff,0x005ffc80,0x7fffffdc,0x0001efff,0x7dd3ff60,0x7dc0006f,
    0xfffff9cf,0x4401efff,0xfffffffe,0x204ffbaf,0xffffffeb,0x37fdc02e,
    0xe85ffc80,0x3e0005ff,0xfff805ff,0xffffffff,0x00bfffff,0x203ffe60,
    0xfffffff8,0xffffffff,0x7ff5c07f,0xf303ffff,0x32000bff,0xffffffff,
    0xffffffff,0x00dff72f,0xff317ff2,0xffffffff,0x0fffffff,0x4007ffcc,
    0xff30fff9,0x0dff701f,0x7dd7ff20,0xbff9006f,0x4017ffc0,0xff71fff8,
    0xfff9800f,0x00dff700,0x2e13fff2,0x0001befe,0x7fffffd4,0x5ffc803d,
    0xfedc8800,0x00002cef,0xff74ffd8,0xffb8000d,0xfffffd34,0x36e2001b,
    0xf72effff,0x2aa6009f,0xdff70009,0x217ff200,0x20005ffe,0xff805fff,
    0xffffffff,0x0002deef,0xf101fff3,0xffffffff,0xffffffff,0x026a6200,
    0x003fff90,0x3fffff20,0xffffffff,0xff72ffff,0x17ff200d,0xfffffff3,
    0xffffffff,0x7ffcc0ff,0x0fff9800,0xf701fff3,0x3ff200df,0x200dff75,
    0x3fe05ffc,0xfff8802f,0x800fff71,0xf700fff9,0x332a00df,0x0000002c,
    0x2000d544,0x00005ffc,0x97000000,0x00f32659,0x01530000,0x00155000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x07332200,0x1ddd7000,0x6644eed8,
    0xcccccccc,0xcccccccc,0x03203ccc,0x2e00f32a,0xffb006ff,0x76c00009,
    0x970000de,0x32e00079,0x1e64c0cc,0xdeee9800,0x3ddd7000,0x9904eed8,
    0x7c000059,0xff8802ff,0x87ddd30f,0x9900deeb,0x99999999,0x20013559,
    0x77644eec,0x39999914,0xcccb8000,0x9999990c,0x59999999,0x66400155,
    0xcccccccc,0xcccccccc,0x33323ccc,0xcccccccc,0x990009aa,0x99999999,
    0x99999999,0x66665c99,0xcccccccc,0x203ccccc,0xca80002a,0xcb8002cc,
    0x3320003c,0x03fff8ac,0x2fff4400,0x7c41fff9,0xffffffff,0xffffffff,
    0xea85ffff,0x06ffb80f,0xb006ffb8,0x200009ff,0x005ffffd,0x003fff70,
    0xb85fff98,0xfb0006ff,0xfe8005ff,0x03ffee6f,0x00027ffc,0x1005fff0,
    0x7fe41fff,0x05fff30f,0x7ffffffc,0xffffffff,0x2fff400c,0x7fc57ffa,
    0x20005fff,0xf0fffff8,0xffffffff,0xffffffff,0xfff8803d,0xffffffff,
    0xffffffff,0x3fffe5ff,0xffffffff,0x7c00cfff,0xffffffff,0xffffffff,
    0x3fffa7ff,0xffffffff,0x85ffffff,0x80003fd8,0x8006fffe,0x20005ffe,
    0xfff8dfff,0xff980003,0x41fff9bf,0xfffffff8,0xffffffff,0x45ffffff,
    0xfb80fff9,0x6ffb806f,0x009ffb00,0xfbfff700,0x3fa0009f,0x7ff4006f,
    0x06ffb80f,0x04fff980,0x8bfff880,0x3fe02fff,0x3e00004f,0xff8802ff,
    0xeb7fec0f,0x7ffc04ff,0xffffffff,0x0cffffff,0xfe8bffd0,0xfffff15f,
    0x7fdc000f,0xffff0fff,0xffffffff,0x5fffffff,0x7ffffc40,0xffffffff,
    0xffffffff,0x3fffffe5,0xffffffff,0xff00cfff,0xffffffff,0xffffffff,
    0x7ffff4ff,0xffffffff,0xe85fffff,0x4c0003ff,0x001fffff,0x0002fff4,
    0xfff1bfff,0x3ea00007,0x903ffeff,0x99999999,0x9999dfff,0xf9879999,
    0x6ffb80ff,0x006ffb80,0x80009ffb,0xff8afff9,0xffa8002f,0xfff5002f,
    0x01bfee09,0x0017ff20,0xffefffa8,0x027ffc03,0x05fff000,0x881fff10,
    0x06ffefff,0xcccefff8,0xffeeedcc,0xfe80efff,0x8afff45f,0x02ffffff,
    0xfffffb00,0x2abbffe1,0xcbaaaaaa,0x03fffffd,0x33333332,0xccefffcc,
    0x23cccccc,0xccccefff,0xfffeeedc,0xfff80eff,0xccccccce,0xcccccccc,
    0x333fffa4,0xcccccccc,0xfe83cccc,0x7e40003f,0x4005ffef,0x20005ffe,
    0xfff8dfff,0x3f200003,0x40004fff,0x98004fff,0xffb80fff,0x06ffb806,
    0x0009ffb0,0xf72fff44,0xfb0003ff,0x3ffa00ff,0x0dff700f,0x00eff880,
    0x7fffe400,0x04fff805,0x0bffe000,0x203ffe20,0x00fffff9,0x1004fff8,
    0x81dffff9,0x4cc40998,0xffffff10,0xfff1000b,0x3ffe1fff,0x7fe44004,
    0x3e0000ff,0x7fc004ff,0xff71004f,0xfff81dff,0x3fa00005,0x7400005f,
    0x7c0003ff,0x00fff9ff,0x0017ffa0,0xff8dfff8,0x6400003f,0xf80004cc,
    0xf98004ff,0x6ffb80ff,0x006ffb80,0x40009ffb,0x65c0ccca,0xff98003c,
    0x7ffdc03f,0x01bfee02,0x00039950,0x003332e0,0x00013ffe,0x8802fff8,
    0x99500fff,0x3ffe0039,0x7ff4c004,0x7c40004f,0x007ffcff,0xfffdffb8,
    0x0009fff0,0x000bfff2,0x4004fff8,0x44004fff,0x7fc4fffe,0x3a00005f,
    0x400005ff,0x20003ffe,0x7ffd6ffa,0x02fff400,0xf1bfff00,0x000007ff,
    0xfff80000,0xfff98004,0x806ffb80,0xfb006ffb,0x0000009f,0xfffc8000,
    0x01bffe00,0x0000dff7,0x20000000,0xffffffff,0x2deeefff,0x200bffe0,
    0x0000fff8,0x0027ffc0,0x007fffcc,0xf5fff100,0xfe8005ff,0xff0fffbf,
    0x7fc0009f,0x3fe0004f,0x7ffc004f,0xfff98004,0x017ffe0f,0x05ffe800,
    0x1fff4000,0x27ffb000,0x3a006ffc,0x3e0005ff,0x3fff8dff,0x0cc00000,
    0x09fff000,0x7ffffec0,0xdff73fff,0x00dff700,0x00013ff6,0xf1000000,
    0x3fee09ff,0x37fdc01f,0x00000000,0xfffff800,0xffffffff,0xff84ffff,
    0xfff8802f,0x7fc00000,0xff90004f,0x7c40009f,0x05ffcaff,0x3eb7fe20,
    0x09fff0ff,0x037fec00,0x009fff00,0x0004fff8,0x7fc9fff5,0x3a00005f,
    0xa80005ff,0xffffffff,0x3ffe2007,0x003fff31,0x80017ffa,0xfff8dfff,
    0xffb80003,0x19dfff73,0x04fff800,0x3fffff60,0xdff73fff,0x00dff700,
    0xfd813ff6,0x5fff805f,0x202fff80,0x7c41fffb,0xffb805ff,0xfffff706,
    0xffffffff,0xfffb8dff,0xffffffff,0x7fc6ffff,0xffffffff,0xffffffff,
    0x4017ffc5,0xf700fff9,0x7ffc00ff,0x3ffa0004,0x01fff306,0xff35fff1,
    0x57fdc00f,0xfff0fffa,0x7ff40009,0x3ffe0007,0x27ffc004,0x4dfff000,
    0x00005fff,0x00017ffa,0x3fffffea,0x3ee007ff,0x02fff47f,0x0005ffe8,
    0x3fe37ffe,0xfb80003f,0xfffffbbf,0x4fff8007,0x3ff72e00,0xff71cccf,
    0x0dff700d,0xb813ff60,0x7fcc07ff,0x3ffcc07f,0x322fff40,0xfb800fff,
    0x7fdc316f,0xffffffff,0x5c6fffff,0xffffffff,0x6fffffff,0x5556fffc,
    0xebaaaaaa,0x3fe3ffff,0xfff9802f,0x00fff700,0x00027ffc,0x3e60fff9,
    0xfff880ff,0x2005fff2,0xfffa8ffe,0x0009fff0,0x0017ffe2,0x4004fff8,
    0x20004fff,0x3ffe7ffc,0x3fa00005,0xc980005f,0x4ccefffc,0x713ffa00,
    0xfd001fff,0x7fc000bf,0x03fff8df,0xfcffb800,0x004fffff,0x8004fff8,
    0xfb80fff9,0x6ffb806f,0x409ffb00,0x2e01fff8,0x2e01ffff,0xffa805ff,
    0x09fff12f,0x3a7bfee0,0x3bbbbaa2,0xfedeeeee,0x777544ff,0xdeeeeeee,
    0x7fc4fffe,0x7fe4004f,0x05fff1ff,0x201fff30,0x3e007ffb,0x2a0004ff,
    0xff980fff,0x2fff880f,0xf100bff9,0x43ffeabf,0x90004fff,0x40009fff,
    0x7c004fff,0x2a0004ff,0xbfff0fff,0x7ff40000,0x7f400005,0xff98003f,
    0x1fffc41f,0x002fff40,0xff1bfff0,0xf700007f,0x9537dfff,0x9fff0003,
    0x1fff3000,0x700dff70,0x3fa00dff,0x1fff404f,0x07ffffb0,0xd8017ff4,
    0x1fff96ff,0x3fffee00,0xff30002f,0xf98000bf,0x4fff85ff,0x3fffc800,
    0xf3007fff,0x3fee01ff,0x13ffe007,0x2fff8800,0x880fff98,0xfff32fff,
    0x2a5ff700,0x9fff0fff,0xfffd8800,0x3fe0000f,0x7ffc004f,0x3fe60004,
    0x00bfff2f,0x02fff400,0x0fffa000,0x41bff600,0xfe806ffd,0x999999df,
    0x99999999,0xfff8dfff,0x0bbba603,0x00ffffdc,0x04fff800,0x80fff980,
    0x3ba26ffb,0x00dff74e,0xf7013ffe,0x7fffc0df,0x1fff105f,0x2fffe600,
    0x2e003fff,0x000effff,0x00efff88,0x3bffe200,0x004fff80,0xff4fff98,
    0xfff5007f,0x01ffee01,0x0004fff8,0x260fffe2,0xff880fff,0x00bffe2f,
    0x7ffd4ffd,0x555dfff0,0xd9755555,0x005fffff,0x004fff80,0x00027ffc,
    0x3fe7fff1,0xeeeeeeff,0xeeeeeeee,0x777fff45,0xeeeeeeee,0x3ffa04ee,
    0x7ffc4003,0x05fff503,0xffffffe8,0xffffffff,0x8dffffff,0x3ea03fff,
    0xfff703ff,0xaaa88009,0xadfffaaa,0x2602aaaa,0xffb80fff,0x557ffe26,
    0xff8807ff,0x7ffcc04f,0xffcff980,0x20bff507,0xfd999998,0x999fffff,
    0xfff70199,0xfd10001b,0x440001ff,0xff00fffe,0x3fe0009f,0x009fff6f,
    0x2e01fff7,0x7ffc07ff,0xffffffff,0x7fc01fff,0x0fff984f,0x322fff88,
    0x3fe604ff,0x7c3ffea4,0xffffffff,0xffffffff,0xf80002ff,0x7fc004ff,
    0x7fc0004f,0xffffff4f,0xffffffff,0xfe8fffff,0xffffffff,0x05ffffff,
    0x7000fffa,0x7fc01fff,0x7fff405f,0xffffffff,0xffffffff,0x03fff8df,
    0x5c0fffea,0x4c002fff,0xffffffff,0x5fffffff,0x9fffa988,0x4dff7099,
    0xff35fff8,0x9fff500f,0x705fff00,0x03ffb3ff,0x3fa07ffb,0xffffffff,
    0xffffffff,0x37fec40f,0x3fffd000,0xfffe8000,0x013ffe01,0xffb7ff40,
    0xfffd806f,0x80fff700,0xffffffff,0x01ffffff,0x2617ffe2,0xff880fff,
    0x81ffe62f,0x3fea2ffc,0xffffff0f,0xffffffff,0x00019dff,0x0013ffe0,
    0x40009fff,0xfff5fff8,0xffffffff,0xffffffff,0xffffffe8,0xffffffff,
    0x0fffa05f,0x80bffd00,0x3a00fffc,0xffffffff,0xffffffff,0xff8dffff,
    0x3ffea03f,0x01fff703,0xfffff980,0xffffffff,0xfffd85ff,0xf72fffff,
    0xafffc4df,0x2203fff8,0xc804ffff,0x97fe84ff,0x1fff07ff,0x3fffffa0,
    0xffffffff,0x220fffff,0x0006fffe,0x0005fffb,0x402fffd8,0xf0004fff,
    0x3fffebff,0x3fffee04,0x80fff700,0xadfffaaa,0x00aaaaaa,0x2613ffe6,
    0xff880fff,0x817ffc2f,0x7ffd47fe,0xdddffff0,0xbffffddd,0xff000001,
    0xfff8009f,0x3fe60004,0x55dfff4f,0x55555555,0xfe855555,0xaaaaaaef,
    0x01aaaaaa,0x9800fffa,0x7cc02fff,0x3ffa03ff,0x3ffe0005,0x003fff8d,
    0x007ffb80,0xf3333330,0x33333bff,0xfffffb01,0x3fee5fff,0x3ffff006,
    0x9ffffd30,0x88dff500,0x8dff55ff,0x32e06ff9,0xffcccccc,0xccccccdf,
    0x37ffff44,0x1fffe400,0x3fff2000,0x04fff803,0xf4fffa80,0x4417ffff,
    0x00fffffb,0x7c00fff7,0x2a0004ff,0xff983fff,0x2fff880f,0x7cc27fe4,
    0x87ffd44f,0x32204fff,0x0000dfff,0x0027ffc0,0x80013ffe,0xfff3fffa,
    0x7f40000b,0x7400005f,0x3f2003ff,0xaaaaabff,0x07fffaaa,0x80017ffa,
    0xfff8dfff,0xffb80003,0x7fc00006,0x32aa004f,0x70aabfff,0x3ea00dff,
    0xfeccefff,0x004ffcff,0x7fd43fff,0xff91ffe3,0x7ffc0007,0x3f7fe002,
    0x7fdc006f,0x7dc0004f,0xfff004ff,0xfff88009,0xffffff1f,0xfffffbbf,
    0x3fee01ff,0x13ffe007,0x3fffb800,0x880fff98,0x7fcc2fff,0x541ffc87,
    0x9fff0fff,0x1ffff700,0x7ffc0000,0x27ffc004,0x3fff7000,0x00017ffe,
    0x0005ffe8,0x001fff40,0xffffffff,0xffffffff,0x17ffa05f,0x8dfff800,
    0x80003fff,0x00006ffb,0x40027ffc,0xfb80fff9,0x3fee006f,0x8effffff,
    0xfb004ffa,0xb0ffe47f,0x0fff43ff,0x05fff000,0x37fdc6c0,0x0dfff500,
    0x6fffa800,0x013ffe00,0x2ffffe4c,0xfffd7fff,0xffd5ffff,0x01ffee01,
    0x0004fff8,0x2607fff2,0xff880fff,0x42ffe82f,0xfffa87fe,0x2009fff0,
    0x0006fffc,0x0013ffe0,0x40009fff,0xfff0fffc,0x7f40000b,0x7400005f,
    0xff5003ff,0xffffffff,0xbfffffff,0x0017ffa0,0xff8dfff8,0xfb80003f,
    0x7c00006f,0xf98004ff,0x6ffb80ff,0x7ffedc00,0x9ff50dff,0xe97fea00,
    0x8a7fdc7f,0x776406ff,0xfffeeeee,0xeeeeeeee,0x006ffb80,0x001dfff3,
    0x077ffcc0,0xddffff00,0xfffddddd,0x7c1fffff,0xfffe8aff,0x01ffd2ef,
    0xf801ffee,0x3a0004ff,0xfff307ff,0x05fff101,0x7fcc9ff9,0xf0fffa84,
    0x7f4009ff,0xf00005ff,0xff8009ff,0x3fa0004f,0x017ffe7f,0x05ffe800,
    0x1fff4000,0xccfffd80,0xcccccccc,0xe80fffec,0x3e0005ff,0x3fff8dff,
    0x6ffb8000,0x7ffc0000,0xfff98004,0x006ffb80,0x3ee02a60,0x5ffe2005,
    0x7fcc5ff8,0xe809ff76,0xffffffff,0xffffffff,0x6ffb80ff,0x0ffff880,
    0x3ffe2000,0x7ffc000f,0xffffffff,0x0dffffff,0x55117ffc,0xfff70001,
    0x027ffc00,0x04fffa80,0xf101fff3,0xfff305ff,0x7d40ffe4,0x09fff0ff,
    0x1ffffc40,0x27ffc000,0x013ffe00,0xf27ffd40,0x40000bff,0x00005ffe,
    0x4401fff4,0x54003fff,0xffe84fff,0x3ffe0005,0x003fff8d,0x006ffb80,
    0x027ffc00,0x407ffcc0,0x00006ffb,0xe8009f90,0x83ffbaff,0x1ffd8fff,
    0x77777640,0xeeefffee,0xb80eeeee,0x7f4406ff,0x220001ff,0x8001fffe,
    0xffffffff,0xdfffffff,0x005fff01,0x03ffdc00,0x0009fff0,0x203ffff1,
    0xf880fff9,0x5ffd02ff,0x7fd41bfe,0x009fff0f,0x00ffffb8,0x027ffc00,
    0x0013ffe0,0xf83fffe2,0x200005ff,0x00005ffe,0x5c01fff4,0xe8000fff,
    0x5ffe87ff,0x37ffe000,0x0003fff8,0x0006ffb8,0x0027ffc0,0x5c0fffcc,
    0x000006ff,0xfb8005fd,0xd81ffdcf,0x007ffbff,0x002fff80,0x6c06ffb8,
    0x40002fff,0x0002fffd,0x5555bfff,0x20033555,0x00002fff,0xf801ffee,
    0xfc8004ff,0x3fe605ff,0x2fff880f,0xff5bff90,0x43ffea07,0xd8004fff,
    0x40005fff,0x7c004fff,0xfc8004ff,0x2fffc5ff,0xbffd0000,0xffd80000,
    0x06ffe804,0x85fff900,0x20005ffe,0xfff8dfff,0xffb80003,0x7fc00006,
    0xff88004f,0x37fdc0cf,0x4ff80000,0x7f7fcc00,0xffff707f,0xff00009f,
    0xff70005f,0x1fffec0d,0x3fff6000,0x3ffe0003,0x3fe00004,0x2e00002f,
    0x3fe007ff,0x3f62004f,0x3e601fff,0xfff880ff,0xfbfff302,0x3ffea03f,
    0x0009fff0,0x005ffff1,0x0027ffc0,0x88013ffe,0x7c1ffffd,0x200005ff,
    0x00005ffe,0x30077fec,0x20007fff,0x7f45fff8,0x3fe0005f,0x9cfff8df,
    0x99999999,0x7fdc1999,0x7fc00006,0xfff0004f,0x3fee9fff,0xfb000006,
    0x3a00881f,0xf305ffff,0x0005ffff,0x0005fff0,0x3f20dff7,0x640004ff,
    0x40004fff,0x00004fff,0x0000bffe,0x2007ffb8,0x9999dfff,0xffdcba99,
    0x7cc02fff,0xfff880ff,0x3ffffa02,0x43ffea06,0x70004fff,0x0001ffff,
    0xf0013ffe,0x33333bff,0xfffb9753,0xbfff03ff,0x33333333,0x33333333,
    0x0017ffa1,0xfffff900,0x01fff90f,0x0fffec00,0x4000bffd,0xfff8dfff,
    0xffffffff,0x5c7fffff,0x400006ff,0x70004fff,0x2ebfffff,0x000006ff,
    0xfd9bfff5,0x7fffe403,0x1ffffe03,0x17ffc000,0x437fdc00,0xeeeffff9,
    0xfffffffe,0xffff32ff,0xffffdddd,0x7c5fffff,0x200004ff,0x00002fff,
    0xf801ffee,0xffffffff,0xffffffff,0xfff9802f,0x02fff880,0x80fffff2,
    0xfff0fffa,0x7ff40009,0xfff0005f,0xffff8009,0xffffffff,0x01ffffff,
    0xffffffff,0xffffffff,0x3fa9ffff,0x4400005f,0x40ffffff,0x40005fff,
    0x3fa4fffa,0x3fe0005f,0xfffff8df,0xffffffff,0x7fdc7fff,0x7fc00006,
    0x3ae0004f,0xdff76fff,0x3e200000,0x00ffffff,0x807fffe6,0x0005fffc,
    0x0005fff0,0xff30dff7,0xffffffff,0x5fffffff,0x3fffffe6,0xffffffff,
    0x3ffe2fff,0x3fe00004,0x2e00002f,0x3fe007ff,0xffffffff,0x0bffffff,
    0x01fff300,0x4c05fff1,0x2a00ffff,0x9fff0fff,0x7ffcc000,0xfff8002f,
    0x7fffc004,0xffffffff,0x201cffff,0xffffffff,0xffffffff,0xffd4ffff,
    0xb300000b,0x7d45ffff,0xf80002ff,0x17ffa7ff,0x8dfff800,0xffffffff,
    0xffffffff,0x0037fdc7,0x013ffe00,0xff704c00,0xa800000d,0xf800aced,
    0x7fd407ff,0xff00002f,0xff70005f,0xfffff30d,0xffffffff,0x3e65ffff,
    0xffffffff,0xffffffff,0x0013ffe2,0x001ccc80,0x01ffee00,0xfffffff8,
    0x2deeffff,0x0fff9800,0x402fff88,0x7d406ffe,0x09fff0ff,0x6fffc800,
    0x04fff800,0x7fffffc0,0xcdefffff,0xffff800b,0xffffffff,0xffffffff,
    0x000bffd4,0xfd819800,0xf900007f,0x17ffa5ff,0x05fff800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332a3991,0x2199931c,0x8001ccc8,
    0x223cccc8,0x40001ccc,0x00004cc9,0x35997510,0x32664c01,0x40009999,
    0x32e1ccc9,0x980000cc,0x10000ccc,0x66640799,0x332e0003,0x00079932,
    0x00166654,0x90666640,0x99999999,0x80355799,0x4000ccc9,0x4002cccc,
    0x66543ccb,0xcccccccc,0xcccccccc,0x33333224,0xaacccccc,0x33333001,
    0x33333333,0xdd013333,0xdddddddd,0xeeee809d,0x4eeeeeee,0xeeeeed80,
    0x005eeeee,0x00166654,0x3bbbbba6,0xc82eeeee,0xddd51fff,0xdddddddd,
    0x003ffe63,0xffb2ffd8,0x47ffea7f,0x4003fff8,0x20efffe8,0x0003fff8,
    0x0003ffdc,0x3ffff620,0xf702ffff,0x3fffe8ff,0x6fff8800,0x001fffd4,
    0x003ffec0,0x7c0dff90,0xd0002fff,0x1bfee9ff,0xffff9800,0x3ff20001,
    0x7ffffc4f,0xffffffff,0xf980bfff,0x3e6003ff,0x7c005fff,0x7ffe44ff,
    0xffffffff,0xffffffff,0xffffff10,0xffffffff,0x7ffc407d,0xffffffff,
    0x84ffffff,0xffffffff,0x7fc05fff,0xffffffff,0xfffe805f,0x6fffffff,
    0x27ffdc00,0x3fffe600,0x3fffffff,0xf71fffc8,0xffffffff,0x3ffe63ff,
    0x5fff9000,0x7d4ffff6,0x7fff11ff,0x7fff4400,0x1fffc40e,0x1ffee000,
    0xfffb8000,0xffffffff,0x23ffdc0d,0x001ffff8,0x2207fff4,0x40006fff,
    0x0004fff8,0x7c0dfff5,0x8000ffff,0xdff74ffe,0xfffb8000,0xfff30006,
    0xffffff0d,0xffffffff,0xff05ffff,0x7fdc00bf,0x3e6007ff,0x7ffe42ff,
    0xffffffff,0xffffffff,0xffffff10,0xffffffff,0x3fe209ff,0xffffffff,
    0x4fffffff,0xfffffff8,0x7c05ffff,0xffffffff,0xffe805ff,0xffffffff,
    0x7ffdc006,0x7ffcc004,0xffffffff,0x71fffc83,0xffffffff,0x3fe63fff,
    0xfffa800f,0x27fffb2f,0xff11fffa,0x3fa2007f,0xff880eff,0x7dc0003f,
    0xf500007f,0x73357fff,0xfb8bfffd,0x6fffa87f,0x0bfff200,0x000fffe4,
    0x001fff70,0x0dffff10,0x02fffffc,0xfba7ff40,0xfe80006f,0xfe8003ff,
    0xefff81ff,0xeccccccc,0x1fffffee,0xb0037fec,0x003fffff,0x9503ffee,
    0x99999999,0xffb99999,0x3ffe21ff,0xeecccccd,0x85fffffe,0xfffffff8,
    0xffffffff,0x000003ff,0x00000000,0x3ffee000,0x80000004,0x0001eeeb,
    0x2007ffcc,0xb2fffffb,0x3fea7fff,0x07fff11f,0x1dfffd10,0x00fffe20,
    0x00fff700,0x1dfff100,0x117ffe40,0x3ff60555,0xfffa804f,0x13ffe604,
    0x05ffe800,0xdffffb00,0x7fffffc0,0xa7ff4002,0x80006ffb,0x001ffff9,
    0x7c13ffee,0x3a6004ff,0x3ee0efff,0xff8800ff,0xb004ffcf,0x40000bff,
    0x223fffe8,0xf5003fff,0x00005fff,0x000bffd1,0x00000000,0xca800000,
    0x000002cc,0x98000000,0xfd300fff,0x365fffff,0xfff53fff,0x00fffe23,
    0x01bfffd1,0x001fffc4,0x001ffee0,0x007ffee0,0x1001bffa,0x4405fffd,
    0xfe806fff,0xff30006f,0xff70005f,0x7fc0dfff,0x000fffff,0x7fdd3ffa,
    0xff700006,0x3fe600df,0x13ffe06f,0x5fffb100,0x4017ffcc,0x6ffadffa,
    0x007fff00,0x27ffec00,0x800fffe2,0x0004fff8,0x000effc8,0x9a980000,
    0xaa980000,0x00000001,0x0009a980,0xff980000,0xffffc80f,0xffb2fffd,
    0x47ffea7f,0x2203fff8,0x8805fffe,0x40003fff,0x80007ffb,0xf5004ffd,
    0xff3000ff,0x3ffa01ff,0xfffb801f,0x7ffc8001,0xcfff9800,0x3ffe06ff,
    0x2005fffe,0xdff74ffe,0x7ff40000,0xfffe803f,0x013ffe01,0xf13ffea0,
    0xff9009ff,0x801fff17,0x0001fff9,0x10dfffb0,0xd8007fff,0x540007ff,
    0x7fdc1fff,0x09ffb006,0x7fffff5c,0x3b62004e,0x4effffff,0x20000000,
    0xefffffea,0xff980004,0x1fff300f,0xf3ffffd8,0x3fff25ff,0x223fff53,
    0xfd103fff,0x3e200bff,0x5c0003ff,0xf80007ff,0xff3003ff,0xff90003f,
    0x7fff90bf,0x13ffe200,0x013ffe00,0x3f2bffa0,0x2bffe06f,0xd002fffd,
    0x1bfee9ff,0xf30006a2,0x7dc01fff,0x7ffc03ff,0xfff88004,0x4037fe45,
    0x5ffd1ffe,0x007ffb80,0x1ffff700,0x007fff10,0x001fffa8,0x707fff10,
    0x3f600dff,0xfffe984f,0x1effffff,0x7ffffd40,0x1effffff,0xffffffb8,
    0xffffffff,0xfffb106f,0x3dffffff,0x7ffcc000,0x81fff300,0x3fe1effe,
    0x25fff92f,0xff11fffa,0xfffd107f,0x7ffc400b,0x7fdc0003,0x2fffdc07,
    0x9800e5d4,0xfff71fff,0x45fffd00,0x4005fffa,0x54007ffd,0x64001fff,
    0x0dff94ff,0x7fc57ffc,0xffe800ff,0x764dff74,0x003effff,0x220bfff7,
    0xff806fff,0xffd0004f,0x407ffa8f,0x3ff27ff8,0x02ffec05,0x7fffd400,
    0x07fff101,0x007ffb80,0x5c1bff20,0xffb006ff,0xeffff889,0xffffdcac,
    0x9ffff903,0xffff9757,0xfffff70d,0xffffffff,0xffd10dff,0xffb759df,
    0x260005ff,0xff300fff,0xf82ee81f,0x3fff72ff,0x7c47ffea,0x7ff443ff,
    0x7fc4005f,0x7dc0003f,0x3ffee07f,0x3ee00005,0x01ffee7f,0x223fffe2,
    0x4000efff,0x2002fffa,0x4c006ffd,0x1bff26ff,0xff72fff8,0x9ffd00bf,
    0x3fa3bfee,0x5fffffff,0x05fffd00,0xf001fffb,0x3e0009ff,0x7ffc46ff,
    0x993fee01,0x7ffc07ff,0x7fc40002,0x3fe202ff,0x7fec003f,0xfff50005,
    0x01bfee03,0x3f627fec,0xfff303ff,0x5fff881f,0x07fff620,0xddddddd5,
    0xfffdbddd,0x07fff909,0x001bffa6,0x9807ffcc,0xf00c0fff,0x3ffea5ff,
    0x223fff51,0x3fa23fff,0xf88004ff,0x5c0003ff,0xfff707ff,0xfe80000b,
    0x01ffee6f,0x7eefffdc,0xff0001ff,0x3fe200bf,0x3fe2003f,0x81bff21f,
    0x3ffa2fff,0xa7ff402f,0xfffffffb,0x5ffffdcd,0x0ffff980,0x400fffea,
    0x88004fff,0xffe84fff,0xf0bff603,0x3fe603ff,0x3a20000f,0x7c404fff,
    0x3ea003ff,0xf88002ff,0x3fee04ff,0x49ffb006,0x4402fffb,0x7fdc5fff,
    0x4fff8806,0x3ffe6000,0x03fff985,0x001fff44,0x9807ffcc,0x3e000fff,
    0x1fff52ff,0x7c47ffea,0xfffd13ff,0x3fe2000b,0x7dc0003f,0x5fffb87f,
    0x7fdc0000,0x01ffee3f,0xffffffd8,0x3ff20003,0xfffb800f,0x0fff6000,
    0x7fc0dff9,0x3fffe22f,0x5d3ffa00,0x882fffff,0xb801fffe,0xfff14fff,
    0x27ffc00b,0x1fffec00,0xff02ffe4,0x03ffd81f,0x8000dff7,0x8805fffd,
    0xd9803fff,0x90003fff,0x7dc01fff,0x9ffb006f,0xb802fffc,0x3ff61fff,
    0x09ffd003,0x3bffe200,0x005ffd80,0x8001fff5,0xf300fff9,0x7fc001ff,
    0x21fff32f,0xff11fffa,0xffffd17f,0xff10003f,0xfb80007f,0x2fffdc7f,
    0x3fe60000,0x03ffdc5f,0xbfffff10,0xfff88000,0x04ffe802,0x321bfea0,
    0x3ffe06ff,0x02fffdc2,0x3fee9ffd,0x3fe601ff,0xfffd003f,0x001fff93,
    0x10027ffc,0x2a0dfff9,0xdff307ff,0x360dff70,0x2e0004ff,0x8800efff,
    0xffffffff,0xffffffff,0x3ffe0002,0x037fdc05,0xff14ffd8,0x3fe2003f,
    0xb000883f,0xd1000bff,0x3fe01fff,0xfff1003f,0xfff98003,0x01fff300,
    0xf997ffc0,0x47ffea7f,0xffebfff8,0x8006ffff,0x0003fff8,0xff53ffdc,
    0x880000bf,0x7dc0ffff,0x7fd4007f,0xd80001ff,0x7fcc05ff,0xfff1001f,
    0x40dff901,0xffe82fff,0x29ffd02f,0xe803fffb,0xff3004ff,0x005fffdf,
    0xaaadfff8,0xfeccaaaa,0xf101ffff,0x7ff903ff,0xf01fff30,0x2a0005ff,
    0x1001ffff,0xffffffff,0xdfffffff,0x3fea0001,0x37fdc02f,0xf34ffd80,
    0x7f4001ff,0xd730004f,0xfd000bff,0x3fe603ff,0x3ffa001f,0x7ffcc003,
    0x01fff300,0xf897ffc0,0x47ffea7f,0xfffffff8,0x004fffdb,0x001fffc4,
    0x7d5ffee0,0x400004ff,0xb83fffe8,0x7ec007ff,0x80005fff,0x3200fffa,
    0x3f6006ff,0x0dff903f,0x7c417ffc,0xffe80fff,0x005fff74,0x5c00bffb,
    0x005fffff,0xfffffff8,0xffffffff,0x7f403fff,0x01ffe82f,0xff985fff,
    0xfff10007,0x7fc4005f,0xffffffff,0x5fffffff,0x06ffe800,0xb006ffb8,
    0x1ffee9ff,0x80bffb00,0xfffedca9,0x6c005fff,0x3ea02fff,0xeeeeeeff,
    0xfffeeeee,0x7ffcc004,0x01fff300,0xf897ffc0,0x47ffea7f,0x3ffffff8,
    0x005ffff1,0x001fffc4,0x3ebffee0,0x400006ff,0x703ffff9,0x7dc00fff,
    0x003fffff,0x203fff80,0xf7003ffe,0x37fe40bf,0x2e05fff0,0xffe85fff,
    0x001fff74,0xe800bff9,0x8000ffff,0xffffffff,0xffffffff,0x4ffc800d,
    0xf903ffc4,0x05ffb89f,0x09fffd00,0x9cfff880,0xcba99999,0x00effffd,
    0x007fff30,0x3600dff7,0x0dff94ff,0x987ffc80,0xfffffffc,0x005fffff,
    0x700ffff2,0xffffffff,0xffffffff,0xff9800bf,0x1fff300f,0xf17ffc00,
    0x8fffd4df,0x43fffff8,0x000ffff9,0x0007fff1,0xffffffb8,0x500002ff,
    0x5c07ffff,0xff3007ff,0x03ffffbf,0x06ffc800,0x3001fff3,0x7e401fff,
    0x0bffe06f,0x742fffe8,0x0fff74ff,0x0017ff20,0x0007fff5,0x3bbbfffe,
    0xaacdeeee,0x1bfe6000,0x7d40bff5,0x01ffec6f,0x02fffec0,0x01fffc40,
    0x09fffd30,0x003fff20,0x6c01bfee,0x0dff94ff,0x5c6ffc80,0xffffffff,
    0x05ffd9bd,0x009fff70,0xddddfff7,0xdddddddd,0x3bbae9dd,0x01fff301,
    0x8003ffe6,0x9bfe2fff,0xff11fffa,0x3ff207ff,0xfff1006f,0xffb80007,
    0x0fffffff,0x7ffd4000,0x3ffdc02f,0x47fffc40,0x0006fffb,0x640fffcc,
    0xffd005ff,0x06ffc805,0xf880bffe,0x3ffa0fff,0x200dff74,0x4c005ffc,
    0xf0002fff,0x000009ff,0x3f60fff8,0x1ffe202f,0xb8003fff,0x8000efff,
    0x8003fff8,0xf800fffe,0xff7005ff,0x53ffa00d,0x6c007ffb,0x3ffee6ff,
    0xfd80abdf,0xfffa805f,0x0fff5006,0x3fff9000,0x403ffe60,0x2000fff9,
    0x97fa2fff,0xff11fffa,0xfffe809f,0x3fff8804,0x7ffdc000,0x05fff9cf,
    0x3ffff200,0x07ffb802,0x362fffd8,0x40004fff,0x7fc43ffe,0xfffb802f,
    0xcccccccc,0x2cccfffe,0xf700bffe,0xa7ff4bff,0xf9006ffb,0xff9800bf,
    0xfff0002f,0xd8000009,0x03ffe2ff,0x3e23ffd0,0x7fcc007f,0xf10001ff,
    0xf90007ff,0xffa805ff,0xdff7001f,0x553ffe00,0x7f4007ff,0x07bffe5f,
    0x3017ffa0,0x2001dfff,0x0001fff9,0x980fffe4,0xff300fff,0x7ffc001f,
    0xffa93fa2,0x07fff11f,0x01ffff98,0x001fffc4,0xc8fffee0,0xd8002fff,
    0x7001ffff,0xffb80fff,0x7fffc44f,0x3fee0002,0x8037fd46,0xfffffffb,
    0xffffffff,0x3ffe3fff,0x2fffe802,0x3fee9ffd,0x0bff9006,0x02fff980,
    0x009fff00,0x4ffb8000,0xf900dff3,0x017fea7f,0x02ffff88,0x0fffe200,
    0x0fffe600,0x400dffb0,0xf8806ffb,0x3fff34ff,0x9a7ffc00,0xf8802fff,
    0x3fe205ff,0x3e2000ff,0x26a002ff,0x407fff20,0xf300fff9,0x7fc001ff,
    0xfa93f62f,0x7fff11ff,0x1ffff700,0x01fffc40,0x21ffee00,0x2000fffe,
    0x000efffd,0xf981ffee,0xffa80eff,0xf10000ff,0x1ffec3ff,0xfffffb80,
    0xffffffff,0x3e3fffff,0xff9802ff,0x74ffe8ff,0x3f200dff,0x7fcc005f,
    0xfff0002f,0x98000009,0x09ff76ff,0x3f2bff30,0x3ffa002f,0x7c40004f,
    0xf98003ff,0x3fe203ff,0x3fea003f,0x4fffa807,0x5c017ffe,0xfff71fff,
    0xbfff3001,0x07fffa20,0x01bffa00,0x361fffd4,0x1fff300f,0xfff00000,
    0xff504c45,0x0fffe23f,0x02fffec0,0x0007fff1,0xf987ffb8,0xffb005ff,
    0xfb8001bf,0xfffd107f,0x2fffe403,0x29ffb000,0x3000fff8,0x55555555,
    0x5dffb555,0x17ffc355,0xedfffb80,0x0dff74ff,0x0017ff20,0x0005fff3,
    0x00013ffe,0x7edffe00,0x2dff001f,0xf9000ffe,0x10000bff,0x70007fff,
    0x7d403fff,0x3e6001ff,0x3fe204ff,0x3ffee4ff,0x37ffc401,0x8805fff7,
    0xfb05ffff,0x2a0005ff,0x7c403fff,0x03fc0fff,0x2601fff3,0x3e000bbb,
    0x7fd402ff,0x07fff11f,0x0ffffe20,0x001fffc4,0x641ffee0,0x7dc02fff,
    0xf70005ff,0x3fff60ff,0x7fff4403,0xdff50003,0x00017fee,0x206ffc80,
    0x3a002fff,0x74ffffff,0x3f200dff,0x7fcc005f,0xfff0002f,0xb0000009,
    0x00fff3ff,0x37fcffec,0x0efffb80,0xfff88000,0x7ffe8003,0x007ffdc0,
    0x207fffe0,0x44ffffe8,0xd302fffe,0x7fcc3fff,0x3ffa206f,0xfffd86ff,
    0x7fec0003,0xfffb104f,0x2605f989,0xff700fff,0x7ffc003f,0x8fffd402,
    0x2003fff8,0x881ffffa,0x40003fff,0xff107ffb,0x3fe201ff,0x3ee0006f,
    0x5fffb87f,0x3ffff300,0x27ffa000,0x00002ffd,0xf81bff20,0x3e6002ff,
    0xf74fffff,0x3ff200df,0x7ffcc005,0x9fff0002,0xf7000000,0x400bffbf,
    0x04ffcffb,0x00efff98,0x7fff1000,0x5fffd800,0x003ffec0,0x677fffdc,
    0xffcfffec,0x77fffcc4,0xffffdbac,0xcffffe84,0xefffebaa,0x7ffe46ff,
    0xff980004,0xfebaceff,0x7fcc5fff,0x03ffe602,0x000fffdc,0x3baa5fff,
    0x23fff51e,0x4003fff8,0x440efffd,0x9999cfff,0x99999999,0xa81ffee1,
    0xffb05fff,0x3333335f,0x21333333,0x7fcc7ffb,0x3f2000ff,0xf90006ff,
    0x000fff9f,0x06ffc800,0x7000bffe,0x2e9fffff,0xff9006ff,0xfff9800b,
    0x9fff0002,0xf1000000,0x4007ffff,0x02fffff9,0x4d7fffc4,0x99999999,
    0x09999999,0x3339fff1,0xf9553333,0xf801ffff,0xfb0005ff,0xdfffffff,
    0xd309ff51,0xffffffff,0x3fe207ff,0xffffffff,0x31fff89e,0xddddffff,
    0xffffffff,0xfffb105f,0xbfffffff,0xf9803f70,0xfff700ff,0x97ffc003,
    0xff52fffb,0x0fffe23f,0xbfffd100,0xffffff88,0xffffffff,0x1ffee7ff,
    0x985fffb0,0xffffffff,0xffffffff,0xe8fff72f,0xe8002fff,0x88004fff,
    0x004fffff,0x37fe4000,0x0005fff0,0x2e9ffffd,0xff9006ff,0xfff9800b,
    0x9fff0002,0x3a000000,0x4001ffff,0x9807fffe,0xffffffff,0xffffffff,
    0xf14fffff,0xffffffff,0xffffffff,0xfff8805f,0x3faa0004,0xf50dffff,
    0x7ff5c09f,0x400bdfff,0xffffffc8,0x9a7ff43e,0xffffffff,0xffffffff,
    0x3ffae02f,0x202effff,0x0fff9800,0x00155530,0xffb97ffc,0x23fff52f,
    0x8003fff8,0x223ffff9,0xffffffff,0xffffffff,0x101ffee7,0x7e41ffff,
    0xffffffff,0xffffffff,0x7e4fff72,0xf10004ff,0xb0003fff,0x0001ffff,
    0x06ffc800,0x2000bffe,0xf74ffff9,0x3ff200df,0x7ffcc005,0x9fff0002,
    0x32000000,0xc8006fff,0xf9805fff,0xffffffff,0xffffffff,0xff14ffff,
    0xffffffff,0x3bffffff,0x05fff100,0x01531000,0x03531000,0x06aa6200,
    0xfffff300,0xffffffff,0x2005ffff,0x00009aa9,0x20000000,0xfff72fff,
    0x447ffea5,0x90003fff,0x3e23ffff,0xffffffff,0x7fffffff,0x2a01ffee,
    0x3ff65fff,0xffffffff,0x2fffffff,0x3feafff7,0x7dc0006f,0x54000fff,
    0x00006fff,0x206ffc80,0x70002fff,0x3fee9fff,0x0bff9006,0x02fff980,
    0x009fff00,0x3fea0000,0xffa8004f,0xfff9803f,0xffffffff,0xffffffff,
    0xffff14ff,0xdfffffff,0x4c00399d,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x880001aa,0x4c00009a,0x554c009a,0x06aa6002,
    0x000cc000,0x00004d44,0x0026aa62,0x00006aa2,0x000026a6,0x2e0026a6,
    0xffb006ff,0x8027ffc9,0x200009a8,0x351000a8,0x01bfee01,0x4c027fec,
    0xfffff701,0xffffffff,0xfffe8dff,0x0fffe802,0x4003fff5,0xbffb4ffe,
    0x00bfff00,0x3fee5fff,0x80dff72f,0x2005fffb,0x64003cc9,0x440c8000,
    0xcccccccd,0xcccccccc,0x3fe006cc,0xa980000f,0x301ea809,0xdffffffb,
    0x7f654007,0x2003ffff,0xefffffeb,0x07ffc80c,0x3ffffb62,0x26004eff,
    0xbeffffeb,0xfffd9301,0x6cc009df,0xdffffffe,0x7fffecc2,0x2a000cff,
    0x4efffffe,0x7fff5c00,0x3ee04eff,0x9ffb006f,0xffba7ffc,0x3ffffb24,
    0x14ffb83e,0x3bffffd9,0xfffffd88,0x037fdc0d,0xff74ffd8,0x33bffee7,
    0x3ffffee0,0xffffffff,0x7ffc46ff,0x3fff200f,0x8027ffc2,0xff71fff9,
    0x7fff980f,0xf73ffcc0,0x1bfee5ff,0x005fffb8,0xb0037fd4,0x5e54c1df,
    0x51077e42,0x800e0000,0x50000fff,0x9ffffffd,0xf709ff31,0xffffffff,
    0x7f4401df,0xffffffff,0x3ffa600f,0xefffffff,0xa83ffe41,0xffffffff,
    0x2201efff,0xfffffffd,0x7fdc2fff,0xefffffff,0x7fffdc01,0x4fffffff,
    0xfffffff7,0xd8803fff,0xffffffff,0x7f4c01ef,0xffffffff,0x06ffb81e,
    0x7fc9ffb0,0xd19ff74f,0xffffffff,0x467fdc1b,0xfffffffe,0xffffd10e,
    0x7dc1ffff,0x9ffb006f,0x3feeffee,0x77547fff,0xeeeeeeee,0xb84fffed,
    0xff504fff,0x0fff909f,0xf89bff20,0x3fee01ff,0x3fee01ff,0x5cbffee5,
    0xfff706ff,0xdff5000b,0x3bffea00,0xffffffea,0x224fffcb,0x00700002,
    0x20007ffc,0xffffffd8,0x86ffffff,0xbacffffa,0x307ffffd,0x959dffff,
    0x101dffff,0x959dffff,0x647ffffb,0xfffc87ff,0xffcbabcf,0xffd106ff,
    0xffb77bff,0x3fff25ff,0xfffcbbcf,0xdfff902f,0xfff97579,0x79dfffdf,
    0x03ffff97,0x33bfffa2,0x2ffffdba,0x9dffff10,0x7ffffb95,0xb006ffb8,
    0xa7ffc9ff,0xeffedffb,0x5ffffecc,0x3ffb7fee,0xdfffecce,0xfdcdfff9,
    0x3fee5fff,0x29ffb006,0xffffcffb,0x260004ff,0x3f605fff,0x7ffc42ff,
    0x03fff306,0xfe87ffd0,0x3fff603f,0x8bffa03f,0xff71eeea,0x0bfff70d,
    0x01bfea00,0xffffffb8,0xffffffff,0x0001445f,0x3ffe0038,0x3ffe2000,
    0xfffcbcef,0xffd80fff,0x0bffee06,0x5c0ffffa,0xffd85fff,0xffff303f,
    0xf11baa63,0x7ec40bff,0xfffc81ff,0xfffe880d,0xb104fffe,0xfff10dff,
    0x7fffc409,0xffb103ff,0x0ffff20d,0xd837ff4c,0xff303fff,0x37fdc1ff,
    0x4c4ffd80,0xdffff73f,0x1ffff303,0x07ffffee,0x37fffff2,0x87fff440,
    0xfb006ffb,0x3fffee9f,0x001ca9be,0x01dfff10,0xb077ffc4,0x7f403fff,
    0x7ffcc04f,0xf037fdc0,0x220bffff,0xfb800fff,0x27ffdc6f,0x0dff5000,
    0xfffffb80,0xffffeccd,0x00002885,0x07ffc007,0x09fff900,0x20bfffaa,
    0x7f401fff,0x1fffd45f,0xb83fff60,0x7c402fff,0x2e2fc6ff,0xff8806ff,
    0x37ffcc4f,0x7fffff40,0x43ffe804,0xfb805ffc,0x7c403fff,0x7ffcc3ff,
    0x1fff4403,0x100bffee,0x7fdcbfff,0x89ffb006,0xffff72fa,0x9fffcc01,
    0x301ffffb,0x4c0dffff,0xdff72fff,0x5d3ff600,0x0001ffff,0x01fffd10,
    0x2e9fff50,0x7dc03fff,0x2ffe407f,0x4c07ffcc,0x507ffcff,0x3ee00bff,
    0x13ffee6f,0x0dff5000,0x0dfff880,0x882fffb8,0x00700002,0x98007ffc,
    0x3e603fff,0x7fc46fff,0x0d5cc01f,0x2601bff2,0x3ffe2fff,0x3fff9006,
    0x7ffb0fe6,0x713ffa00,0xf5001fff,0x5001ffff,0x7ff41fff,0x6fff9802,
    0xd8dff700,0xff5005ff,0x02fffc1f,0xf71fffb8,0x3ff600df,0xffb87e44,
    0x4fff803f,0xf807fff7,0x7fc01fff,0x00dff73f,0x7fdd3ff6,0x3a00004f,
    0x32001fff,0x5fffafff,0x02fff880,0x7fc0bffe,0xd9ffb82f,0x3ffd81ff,
    0x2edff700,0x80004fff,0x5c006ffa,0x7fe405ff,0x00002885,0x07ffc007,
    0x206ffe80,0x2fffefe8,0x00077ffc,0x5003ffe8,0x01fff883,0xd17fff10,
    0x4002201f,0x7fec5ffd,0x3fffa004,0x0bffe004,0x7ffc4006,0x8fff1003,
    0xf1003fff,0x3ffe23ff,0x7fff1001,0x6c01bfee,0xb97ea4ff,0xfe801fff,
    0x05fff75f,0xe807ffd8,0x0dff74ff,0x7dd3ff60,0xb00002ff,0xd0005fff,
    0x01dfffff,0x5417ff60,0x3ff207ff,0xff97fe84,0x001fff07,0x3febbfee,
    0x2662006f,0xeffb9999,0x09999999,0x74007fec,0x0002887f,0x66665470,
    0xccfffccc,0x3e2ccccc,0x3ff603ff,0x7e44ffe8,0x000bdfff,0x80007ffe,
    0x2000fff9,0x01feeffe,0x7ff5cc00,0x001fffc5,0x4007fff9,0x88003ffe,
    0x002fffca,0x7fcc7ffe,0x3ffa001f,0x001fff33,0xffba7ff4,0x19ffb006,
    0xfffb8bf7,0x75ffc800,0xfc803fff,0x4ffd806f,0x3600dff7,0x1fff74ff,
    0xfff90000,0x3fe60007,0x2a001fff,0xffd80fff,0x11bfea04,0x1bfeabff,
    0x5c00dff3,0xffffffff,0xffffd002,0xffffffff,0x445fffff,0xffb006ff,
    0x00002883,0x7ffffdc7,0xffffffff,0xff14ffff,0x47fee03f,0x7f445ffc,
    0x1cefffff,0x003ffe20,0x007ffb80,0x0077ffec,0xffdb9530,0x7c4bffff,
    0x3ee001ff,0xeeeeeeff,0xfffeeeee,0x7ee54c04,0xeeffffff,0xeeeeeeee,
    0xff52fffe,0xdddddddf,0x9fffdddd,0xb001ffee,0x1bfeebff,0x7ffffec0,
    0x007ffb84,0x3feebff9,0x2ffe400f,0xfba7fec0,0x9ffb006f,0x0001ffee,
    0x0013ffee,0x00bfff90,0xf885fff0,0x7ffc01ff,0xff8ffea1,0x001ffe47,
    0xfffffff7,0xffd001ff,0xffffffff,0x5fffffff,0xc802ffcc,0x001443ff,
    0x3ffee380,0xffffffff,0x54ffffff,0xff301fff,0x4437fdc7,0xfffffffd,
    0x7ffa84ff,0x37fe4000,0x01ffee00,0x7ffffe4c,0x5fffffff,0x8003ffe6,
    0xfffffffa,0xffffffff,0xffd985ff,0xffffffff,0xffffffff,0xffffffff,
    0xffffff74,0xffffffff,0x3ff2bfff,0xbffe4006,0xfb006ffb,0x7fdc05df,
    0x2bff9006,0xfc807ffb,0x4ffd805f,0x3600dff7,0x0dff74ff,0x6fffa800,
    0x7ffc4000,0x7e4001ff,0x037fdc5f,0xff91ffec,0xfd0ffec3,0x7fdc003f,
    0x5fff9bff,0xfffffe80,0xffffffff,0x7fc2ffff,0x83ffb007,0x47000028,
    0xccccccca,0xcccccfff,0x0fff72cc,0xffa8bff1,0x3ffb2607,0x20efffff,
    0x40007ffb,0x64006ffc,0xffb806ff,0xbdffffff,0x3ea5ffd9,0x7fd4007f,
    0xffffffff,0x6fffffff,0x7fffffd4,0xfff9adef,0xeeeeeeee,0x73eeeeee,
    0xdddddfff,0xdddddddd,0x01bff29d,0x3eedff90,0x9ffd006f,0x006ffb80,
    0x3feebff9,0x05ffc806,0xff74ffd8,0x53ffa00d,0x20006ffb,0x000efff9,
    0x7ffffec0,0x3fe6000e,0x00fffa0f,0x7fe97fea,0xff8a7fdc,0x7ffdc006,
    0x00bfff23,0x006ffa80,0x2200ffec,0x002887ff,0x7fc00700,0x7ffb800f,
    0x7d40efe8,0xfb71007f,0x7ccfffff,0x2e0000ff,0x7ec007ff,0x7ffdc06f,
    0xfd80abdf,0x03ffe65f,0x01fffb80,0xffffb800,0xfff881be,0x7fd40001,
    0xffb80007,0xb7fec007,0xff006ffb,0x6ffb809f,0x2ebff900,0xffc806ff,
    0x74ffd805,0x3fe00dff,0x00dff74f,0x03fffe20,0x7fff5000,0xe8009fff,
    0x1fff33ff,0x22fff100,0xb7fcc5ff,0x5c004ffb,0xfffe86ff,0xdff50000,
    0x0effa800,0x2213ff60,0x00700002,0x54007ffc,0x3ff21fff,0x006ffb81,
    0x23fffd50,0x1001fff8,0x007ffa83,0x3e02fff4,0xfe801eff,0x07ffe25f,
    0x02fffc80,0x0efff800,0x017ffc40,0x07ffe600,0x0fff5000,0xf75ffe80,
    0xfff100df,0x06ffb809,0x3eebff90,0x5ffc806f,0xf74ffd80,0xfff100df,
    0x001bfee9,0x007fffa2,0x2bfff100,0x2002fffb,0xbff76ffb,0x5d7ff400,
    0x8fff83ff,0x5c001ffd,0xfffa86ff,0xdff50005,0xefff8800,0x17fff441,
    0x38000144,0x003ffe00,0x7d4bffe6,0x8bff903f,0xff9801a8,0x00bffe4f,
    0xff9affe4,0xfff1001f,0x17ffcc07,0x22fffc40,0x3a003fff,0x2a004fff,
    0x0bffea1a,0x00fffe60,0xf884d5c4,0x26a002ff,0x007ffe60,0xff54fff8,
    0x9fff300f,0x006ffb80,0x3feebff9,0x05ffc806,0xff54ffd8,0x9fff500f,
    0x2001bfee,0x0002fffd,0x3a0fffe8,0xf1000fff,0x05ffd1ff,0x7ee7fdc0,
    0xfbffd81f,0xffb8007f,0x05fffb06,0x00dff500,0xffffffd8,0xeffffffe,
    0x80001440,0x03ffe003,0x7c67ffc0,0x93ffa04f,0xe800fffc,0x1bffa4ff,
    0xff1fff40,0x3fee00bf,0x3ffee01f,0x5fff9800,0xa803ffec,0x800fffff,
    0xff92fffa,0x3fff600f,0x3fff9005,0xa8037ff4,0x3ffe3fff,0x3fff7005,
    0x880fffe6,0x5c04fffe,0xff9006ff,0x201bfeeb,0xfd805ffc,0x09fff34f,
    0xba7fffc4,0x7ec006ff,0xb80003ff,0x7fc42fff,0x3ff6005f,0x4c007ffc,
    0x707ffeff,0x009fffff,0x220dff70,0x4000ffff,0x36006ffa,0xffffffff,
    0xefffffff,0x40000a20,0x03ffe003,0x7f77ff40,0x8bffea06,0x4c03fffa,
    0x3fea2fff,0x7ffdc02f,0x007ffee0,0xb80dfff1,0x7c402fff,0x7fcc5fff,
    0xfffe804f,0x7fc405ff,0x07fff27f,0x7fffff70,0x46fff880,0x4403fffa,
    0x3ee0ffff,0x7fc401ff,0x0ffff46f,0x27ffff44,0x401bfee0,0xdff75ffc,
    0x00bff900,0x7ffc9ffb,0xfffe881f,0x00dff74f,0x0027ffe4,0x82fffcc0,
    0x5003fffb,0x009fffff,0x0bffffd0,0x0bffffe6,0xf71eeea8,0x7ffd40df,
    0x37fd4005,0x8cfffa80,0x9dfffffc,0x0a24fffa,0xf001c000,0x3ee001ff,
    0x3a00ffff,0xffff86ff,0x21fff601,0xa882fffd,0xffe84fff,0xfffd302f,
    0x6fff9803,0x3ffffa20,0x04fffc86,0xffdfffd1,0xff9101bf,0x2fffd49f,
    0xffdfff50,0x3ff6607f,0x4fffd82f,0x09fffb10,0x2605fffd,0x7dc1fffe,
    0xfeccefff,0x404ffcff,0xf9006ffb,0x01bfeebf,0x36017ff2,0x3ffee4ff,
    0xfffeccef,0xdff74ffc,0x3fffe600,0xffffeeee,0x742fffff,0x3fa00fff,
    0xfff000ff,0xf90003ff,0x7fc07fff,0x7fdc07ff,0x80dff72f,0x2002fffd,
    0x2e006ffa,0xa819884f,0x0001445f,0x3ffe0038,0x3fffa000,0xfffe880d,
    0xdffffa81,0xffffcaab,0xdffff983,0x6ffffdab,0x9bffff30,0x7ffffb75,
    0x3ffffa00,0xfffebaac,0xff886ffe,0xfdbaceff,0xfffb3fff,0xfffb779f,
    0xdfffd0bf,0xffffb739,0x37ffff65,0x3ffffebb,0x9dffff30,0xbffffd75,
    0x3bfffe60,0xffffdbac,0xfffff904,0xff51dfff,0x06ffb809,0x3eebff90,
    0x5ffc806f,0x6c4ffd80,0xffffffff,0xf74ffa8e,0x3fe600df,0xffffffff,
    0x2fffffff,0x300bfff2,0x3200dfff,0x30006fff,0x6403ffff,0x7dc05fff,
    0x0dff72ff,0x00ffff88,0x80079930,0x51030002,0x800e0000,0x7d400199,
    0xdbbdffff,0x2e03ffff,0xffffffff,0x3a202fff,0xffffffff,0x3fa600ef,
    0xffffffff,0x3fe2002f,0xffffffff,0x81fff89e,0xffffffd8,0x7e42ffff,
    0xffffffff,0xffff105f,0x1bffffff,0xffffffc8,0x4404ffff,0xfffffffd,
    0x74c05fff,0xffffffff,0x7f5403ff,0xf50dffff,0x6ffb809f,0x2ebff900,
    0xffc806ff,0x84ffd805,0xdfffffea,0x3ee9ff50,0xfff3006f,0xffffffff,
    0x25ffffff,0x7005fffa,0xf3009fff,0x7c0007ff,0x7fd407ff,0x7ffdc02f,
    0x700dff72,0x0000bfff,0x88000000,0x44700002,0x99999999,0x99999999,
    0x3fffa209,0xffffffff,0xffc9804f,0x01dfffff,0xfffffd70,0x7f64007f,
    0x00bdffff,0xffffc880,0x7ff43eff,0x3fffaa04,0xb501ceff,0x5dfffffd,
    0xffffc880,0x36a03dff,0x1dffffff,0x3fffae00,0x2002efff,0xdfffffeb,
    0x2a62000b,0x7fdc0000,0x2bff9006,0xfc806ffb,0x4ffd805f,0x4002a620,
    0x00006ffb,0x00000000,0x00000000,0x00000000,0x00000000,0x02880000,
    0x7fdc7000,0xffffffff,0x4fffffff,0x3faa3ff6,0x00dfffff,0x009aa980,
    0x026a6200,0x01a98800,0x2aa62000,0x54c00001,0x5544000a,0x54c40009,
    0xaa88000a,0x54c00009,0x2200009a,0x000001a9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0a200000,
    0xff71c000,0xffffffff,0x9fffffff,0x2a620fec,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00288000,0x7ffdc700,0xffffffff,0x44ffffff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9b100000,0x99999999,0x99999999,0x0000000d,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00059000,0x64400000,
    0x55035511,0x0aa60005,0x03882aa2,0x98800a60,0x00000099,0xd7000000,
    0x9ddb730b,0xeeec9803,0x5400002c,0xaaaaaaaa,0xaaaaaaaa,0x5555550a,
    0x55555555,0x00015555,0xccc88000,0x64599912,0x3ddd73cc,0xa8803550,
    0x86000abb,0xb501dddd,0x1eee49bb,0x7754f772,0x9999971e,0x3ae59999,
    0xeeeeeeee,0xeeeeeeee,0xdd55eeee,0xdddddddd,0xdddddddd,0x00009ddd,
    0x00000000,0x00000000,0x7dfd0000,0x00000001,0xfd8bff66,0x01ffdc0f,
    0x3a17fe60,0x09fd10ff,0x2005ff30,0x0003fffa,0x20013ff2,0x803dffdb,
    0x7fdc7ffc,0x702fffff,0xdfffffff,0x3ffb2201,0xfffe82de,0xffffffff,
    0xd2ffffff,0xffffffff,0xffffffff,0x02ffc05f,0x40cefeb8,0xff33fff9,
    0xcb7ffc9f,0x7fcc1fff,0x3ffff201,0x35c02dff,0x3a0bfff5,0x3ffa1fff,
    0xfba7ff44,0xffffb1ff,0x2e9fffff,0xffffffff,0xffffffff,0xf76fffff,
    0xffffffff,0xffffffff,0x000dffff,0x00000000,0x00000000,0xffd00000,
    0x000039ff,0x3fffae00,0x21bfe62f,0x3a000ffe,0x1ffe40ff,0x4c09fffb,
    0xa800ffff,0x10003fff,0x2001ffff,0xffffffd8,0xfffd880e,0x26bbfe67,
    0xff886ffb,0x5ffecacf,0xffffff98,0x7fff45ff,0xffffffff,0xd2ffffff,
    0xffffffff,0xffffffff,0x027f405f,0x3fffffa2,0x4fffe61f,0x3fe4fff9,
    0x83fff96f,0xfe881ffb,0xffffffff,0xfeb989cf,0x20fffdc6,0x7f42fffa,
    0xba7ff44f,0xfffb1fff,0x29ffffff,0xccccccca,0xcccccccc,0x53cccccc,
    0x99999999,0x99999999,0x00999999,0x00000000,0x00000000,0xf9000000,
    0x05bfffff,0xff910000,0xc83dffff,0x37fd43ff,0x4c4ffc80,0x7ff446ff,
    0xffff984f,0x7fff5002,0x3ffee000,0xfffd003f,0xc8dfffbb,0x327fffff,
    0x17fe40ff,0xff307ff6,0x359ffb0f,0x76c5fff7,0xeeeeeeee,0xfffeeeee,
    0xddddddb2,0xdddddddd,0x7ec03ddd,0x45f7ec03,0xff30efea,0x93ffe67f,
    0xfff96fff,0x1dfffe83,0x3fffffea,0xffffffff,0xfc86ffff,0x427ff45f,
    0x7ff44ffe,0x323fff74,0xdddddddd,0x0000003d,0x00000000,0x00000000,
    0x00000000,0x71000000,0x7ffffffd,0xfda80001,0x01cfffff,0xfd83fff1,
    0x7ffcc03f,0x20bffa20,0x264fffe8,0x2002ffff,0x0001ccc9,0x00dffffd,
    0x6c41bff5,0x237fe2ff,0xffb007fd,0xff02a981,0x983ffa8d,0xd00004ff,
    0x000005ff,0x9fec73e2,0x03fe67c9,0x7ffccffa,0x7c9fff33,0x807ec6ff,
    0x3fea5ffb,0xfffb731b,0x7fffffff,0x7cc3ffa0,0x8111106f,0x00000888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36600000,0x1cffffff,
    0x3ffae200,0x800befff,0x7fcc6ffb,0x7ffd101f,0x2205ffc8,0xff9cfffe,
    0x000002ff,0xfddffa80,0x07fec02f,0x43b2ffc4,0x36e207fd,0x7d4004ff,
    0x3e02883f,0xfd00005f,0x2000005f,0xdfddfffb,0xbf71fffe,0x7fcd7ee0,
    0x47fff13f,0x03fc5ffe,0x0754fff3,0xffffd710,0x5dc403df,0x00017751,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffd71000,
    0x4c05dfff,0xdffffffc,0x4ffe8001,0xfc837fe4,0x07ffd46f,0x3ffffa20,
    0x33102fff,0x33333333,0x13333333,0x3e6bff60,0x02ffc05f,0x3fec0ffb,
    0x005fff70,0x400fff98,0x5ffecba8,0x5ffd0000,0x3ae00000,0xffffffff,
    0x209f72df,0x87ffe5fa,0x3ff62fff,0xbaa97e64,0x0023fffd,0x00157530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffffb50,0x3ff6a19f,0x000befff,0x887ffea0,0x7fd44fff,0x13ffe21f,
    0x7ffff440,0x3ffee02f,0xffffffff,0x84ffffff,0x3ffa6ff9,0xc817fe01,
    0x0ffb00ff,0x01ffff64,0x102fffb8,0xfffffffb,0x3a0000bf,0x000002ff,
    0x1bfffc98,0x9fb07fa8,0xffb07ff4,0xf997fe43,0x3ffffa2f,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff2200,0xffffd2ff,0x6c00005b,0x3fee0eff,0x8bfff12f,0x2000fffd,
    0x405ffffa,0xfffffffb,0xffffffff,0x3ffc84ff,0x7c417fee,0x03ff204f,
    0x5c403fec,0x7fec03ff,0xffff302f,0x0bff59bf,0x0bffa000,0x3e200000,
    0xf880efff,0x87fee0cf,0x23fe47fd,0x83f71ffa,0x003deeed,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x3fa5fffd,0x800003ff,0x3ea0fffc,0x9fff33ff,0x2006ffe8,0x4ffffff9,
    0x3ffffee0,0xffffffff,0x7c44ffff,0x3ffe20ff,0x6c0bff00,0x01ff607f,
    0xfd106ff8,0x7ff401df,0x02ffc41c,0xd2ffe800,0xffffffff,0xffffffff,
    0x8efe885f,0xfff505ff,0xfc89fffb,0x3e637dc5,0x0000020f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,
    0xd2fffffd,0x017fffff,0x5fff3000,0x7dc5ffe8,0x3ffe21ff,0xffff9803,
    0x0004fffe,0x2ffdc000,0xfe827fe4,0x06ff880f,0x1e645ff6,0x7cc3ffc4,
    0x6ff804ff,0x000bff50,0x7f4bffa0,0xffffffff,0xffffffff,0xfb8ffec2,
    0xfffd304f,0x8813107f,0x00019809,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffae2,0x3ff222df,
    0x001dffff,0xf717ff60,0xbffb01ff,0x200fffb8,0xe8affff9,0x00004fff,
    0x20bffe00,0xff707ff9,0x1ffe4419,0x7ff4ffb0,0x11bff221,0x3a007fff,
    0x5fff887f,0x5ffd0000,0x3ffffffa,0xffffffff,0x3f622fff,0x26027f44,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb300,0xea8019ff,0x0befffff,0x83ffea00,
    0xf102fff8,0x4ffd85ff,0x45ffff30,0x004fffe8,0x400bbba6,0x3fa06ffa,
    0x9fffd03f,0xd80dfff9,0x3bffe67f,0x741ffffd,0xffffffff,0x3bfee0ff,
    0x6ffffdab,0x26200000,0x99999999,0x99999999,0x00cc0a80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffd50,0xd980017d,0x1cffffff,0x642ffe80,0x7fd404ff,
    0x20fffc46,0x882ffff9,0x5004fffe,0x3a007fff,0x3fea03ff,0xffffd306,
    0xfd801dff,0x7ffffdc7,0x7ffcc2ef,0xffffffff,0x7fffffc0,0x0007fcbf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe44000,0x002dffff,0xffffb880,
    0xff702dff,0x006ff989,0xffa87ffb,0x017ffec5,0x001fffd1,0x3007fff5,
    0xff801fff,0x3ffae02f,0x0331003e,0x20359551,0x99999998,0xec881999,
    0x39930cdf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,0x0cffffff,
    0xfd500000,0x443fffff,0x1ffd86ff,0x81ffd100,0x17ec2ffd,0x800ff440,
    0xd803fffa,0xffc805ff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x00befffe,0xfb300000,0x7fec5fff,0x001ffd41,
    0xff113fe6,0x0c40050d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000077fa,0xffb88000,0x97059912,
    0x132e0009,0x00007326,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000170,0x001a8000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_43_latin_ext_x[560]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,3,3,2,3,3,1,2,
2,2,2,1,2,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,2,-1,-1,-1,-1,
-1,-1,0,1,3,3,3,3,1,2,-1,0,-1,2,1,1,1,1,1,3,1,3,3,3,3,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
-1,1,-1,1,-1,1,1,1,1,1,1,1,1,1,2,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-1,-1,-1,-1,-1,3,1,3,3,3,2,1,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,2,3,2,1,1,1,1,1,1,2,1,3,2,3,2,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,0,0,
0,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,0,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,-1,1,-1,-2,1,
1,3,2,3,2,3,2,3,2,3,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,-1,1,0,1,1,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_43_latin_ext_y[560]={ 34,6,6,5,3,5,5,6,5,5,5,11,30,22,
30,5,6,6,6,6,6,6,6,6,6,6,14,14,11,14,11,5,5,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,6,5,6,5,39,6,13,6,13,6,13,5,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,14,14,14,14,14,14,5,5,5,17,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,34,14,6,5,11,6,
5,5,6,5,5,15,14,22,5,2,5,10,6,6,6,14,6,18,33,6,5,15,5,5,5,14,-1,-1,-1,0,
0,0,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,6,5,6,6,
6,6,6,5,13,13,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,12,12,6,6,6,6,6,6,6,
1,8,-1,6,6,13,-1,6,-1,6,-1,7,-1,6,-1,6,6,6,1,8,-1,6,0,7,6,13,-1,6,-1,6,
-1,6,0,7,5,4,-1,-1,6,6,-1,6,1,8,0,6,6,6,0,14,6,6,-1,6,6,6,14,-1,-1,6,
6,6,6,6,6,6,6,-1,6,6,13,-1,6,6,5,13,1,8,-1,6,-1,6,5,13,-1,6,6,13,-1,6,
-1,6,-1,6,5,13,-1,6,6,7,-1,6,6,7,0,6,1,8,-1,6,-1,5,-1,6,6,14,-1,6,-1,6,
0,-1,6,0,7,-1,6,5,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,5,9,9,5,9,9,9,
9,9,9,9,9,9,9,9,9,9,5,13,9,9,9,9,9,9,9,9,9,9,9,9,9,6,14,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,-1,6,-1,6,-1,
6,-1,6,-1,1,-1,-1,-1,-1,-1,-1,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,-5,-3,-1,6,-1,6,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9, };
static unsigned short stb__arial_43_latin_ext_w[560]={ 0,5,11,21,19,30,24,5,10,10,13,19,5,11,
5,11,19,11,19,19,20,19,19,19,19,19,5,5,19,19,19,19,36,27,22,26,24,21,19,26,22,5,16,24,
19,28,23,28,22,28,25,23,23,22,26,36,26,26,23,9,11,9,17,23,8,19,18,18,18,19,13,18,17,4,
8,18,4,28,17,19,18,18,12,17,11,17,19,28,19,19,19,11,4,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,18,21,19,23,
4,19,11,29,14,17,19,11,29,23,11,19,13,13,8,17,21,5,9,7,14,17,30,30,32,19,27,27,27,27,
27,27,37,26,21,21,21,21,8,8,13,11,27,23,28,28,28,28,28,17,28,22,22,22,22,26,22,21,19,19,
19,19,19,19,32,18,19,19,19,19,8,8,13,11,19,17,19,19,19,19,19,19,20,17,17,17,17,19,18,19,
27,19,27,19,31,23,26,18,26,18,26,18,26,18,24,23,27,21,21,19,21,19,21,19,21,19,21,19,26,18,
26,18,26,18,26,18,22,17,28,19,14,13,13,13,13,12,9,10,5,5,24,13,20,13,24,18,18,19,8,19,
10,19,10,19,11,21,9,23,17,23,17,23,17,22,23,17,28,19,28,19,28,19,36,34,25,12,25,12,25,13,
23,17,23,17,23,17,23,17,23,11,23,15,23,10,22,17,22,17,22,17,22,17,22,17,22,22,36,28,26,19,
26,23,19,23,19,23,19,10,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,32,24,21,21,21,21,21,21,21,21,21,21,21,21,21,29,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,19,13,13,28,
19,22,17,22,17,22,17,22,17,22,17,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,27,19,37,32,28,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_43_latin_ext_h[560]={ 0,28,11,30,35,31,30,11,38,38,13,19,10,4,
4,30,29,28,28,29,28,29,29,28,29,29,20,26,19,13,19,29,38,28,28,30,28,28,28,30,28,28,29,28,
28,28,28,30,28,32,28,30,28,29,28,28,28,28,28,36,30,36,17,3,6,22,29,22,29,22,29,30,28,28,
37,28,28,21,21,22,29,29,21,22,28,21,20,20,20,29,20,38,38,38,7,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,28,36,30,19,28,
38,38,5,30,15,18,13,4,30,3,12,24,15,15,6,28,36,5,9,15,16,18,31,31,31,29,35,35,35,34,
34,34,28,37,35,35,35,34,35,35,35,34,28,34,36,36,36,35,35,17,31,36,36,36,35,35,28,30,29,29,
29,29,29,30,22,29,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,17,24,29,29,29,29,37,36,37,
33,27,35,29,36,29,36,29,36,29,36,28,36,29,35,29,28,29,33,27,35,29,34,28,37,30,35,29,36,37,
36,37,35,36,37,39,35,35,28,28,35,28,33,26,34,28,37,36,34,20,29,37,36,37,36,36,20,35,35,36,
36,28,28,28,28,28,28,35,28,36,29,35,28,28,30,30,34,27,36,29,36,29,30,22,35,28,36,29,35,28,
36,29,36,29,37,29,36,29,39,37,35,29,28,28,35,29,34,27,36,29,36,30,36,29,37,28,35,28,35,37,
34,35,28,34,27,35,28,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30,25,25,38,25,25,25,
25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,25,25,25,25,25,25,25,25,25,25,29,21,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,35,29,35,28,36,
29,36,29,36,34,36,36,36,36,36,36,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,39,38,35,29,37,30,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__arial_43_latin_ext_s[560]={ 493,13,271,392,23,277,318,265,197,186,239,
470,283,356,350,28,321,1,89,23,168,270,489,365,427,407,445,483,21,219,1,
341,124,461,342,109,382,407,429,1,489,19,21,25,50,303,189,479,258,217,332,
413,358,455,141,281,114,231,318,323,401,411,115,392,320,126,110,82,129,214,38,
343,213,109,309,70,507,296,278,234,91,72,343,64,449,325,396,416,376,1,356,
90,161,72,299,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,493,504,493,
256,490,134,85,208,338,362,184,59,199,356,226,368,253,23,170,156,329,231,333,
503,289,148,133,41,246,337,368,52,151,249,224,103,75,23,297,413,70,135,1,
1,277,355,300,499,263,51,201,172,68,281,252,77,308,230,126,149,179,479,208,
296,21,1,487,467,447,206,181,388,368,348,328,308,389,398,477,291,281,335,213,
117,79,41,98,95,43,417,379,361,216,25,242,359,153,423,20,456,355,414,421,
118,474,79,1,278,57,173,89,192,217,1,181,463,202,435,131,148,459,40,334,
137,261,257,145,440,43,1,318,29,314,337,188,168,48,375,203,489,485,245,299,
499,506,503,168,345,172,379,193,388,451,115,501,84,288,258,466,1,70,353,158,
407,407,387,233,310,425,443,437,461,456,403,318,234,28,193,169,146,157,491,448,
476,63,21,276,438,299,61,1,155,218,137,48,481,455,254,35,59,92,290,433,
385,453,61,407,278,365,99,276,82,114,105,380,393,364,431,168,409,443,356,188,
157,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,81,1,1,102,
1,1,1,1,1,1,1,1,1,1,1,1,1,136,101,1,1,1,1,1,
1,1,1,1,1,1,1,1,251,254,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,221,301,
286,249,97,397,45,43,253,391,430,347,104,127,476,300,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,166,183,478,228,60,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1, };
static unsigned short stb__arial_43_latin_ext_t[560]={ 38,374,429,224,153,189,224,429,1,1,429,
403,429,429,429,224,285,374,374,255,374,255,224,374,255,255,403,374,429,429,429,
285,1,345,374,224,345,345,345,224,345,374,315,374,374,345,374,189,374,189,345,
189,345,285,374,374,374,374,374,79,189,79,429,429,429,403,315,403,315,403,315,
224,374,374,1,374,255,403,403,403,315,315,403,403,345,403,403,403,403,315,403,
1,1,1,429,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,38,315,1,
224,403,345,1,1,429,224,429,429,429,429,224,429,429,403,429,429,429,345,79,
395,429,429,429,429,189,189,189,315,116,153,116,189,189,189,315,1,153,153,153,
189,153,153,153,153,345,189,41,41,41,116,116,429,189,41,41,41,116,116,345,
224,285,285,255,255,255,224,403,255,255,255,255,255,315,315,315,345,285,315,285,
285,285,285,255,429,403,285,285,285,255,41,79,1,189,374,116,224,79,224,79,
255,79,255,79,315,79,255,116,255,315,255,189,374,116,285,189,315,1,224,116,
285,79,1,79,1,153,116,1,1,153,153,315,315,116,315,189,374,153,315,1,
41,116,374,285,1,79,1,79,41,403,153,79,79,79,315,315,345,345,315,345,
116,315,79,285,116,315,315,189,189,153,374,41,255,79,285,224,403,153,315,79,
224,116,345,41,224,79,255,41,255,79,255,1,1,116,255,345,345,153,255,153,
374,41,285,41,224,41,285,1,345,116,345,116,1,153,116,345,153,374,116,345,
285,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,224,403,403,1,
403,403,403,403,403,403,403,403,403,403,403,403,403,224,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,285,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,153,285,
153,345,41,285,41,255,41,153,41,41,79,79,41,41,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,1,1,153,285,1,224,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,403,
403,403,403,403,403,403,403,403,403, };
static unsigned short stb__arial_43_latin_ext_a[560]={ 171,171,219,342,342,548,411,118,
205,205,240,360,171,205,171,171,342,342,342,342,342,342,342,342,
342,342,171,171,360,360,360,342,625,411,411,445,445,411,376,479,
445,171,308,411,342,513,445,479,411,479,445,411,376,445,411,581,
411,411,376,171,171,171,289,342,205,342,342,308,342,342,171,342,
342,137,137,308,137,513,342,342,342,342,205,308,171,342,308,445,
308,308,308,206,160,206,360,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,171,205,342,342,342,342,160,342,
205,454,228,342,360,205,454,340,246,338,205,205,205,355,331,171,
205,205,225,342,514,514,514,376,411,411,411,411,411,411,616,445,
411,411,411,411,171,171,171,171,445,445,479,479,479,479,479,360,
479,445,445,445,445,411,411,376,342,342,342,342,342,342,548,308,
342,342,342,342,171,171,171,171,342,342,342,342,342,342,342,338,
376,342,342,342,342,308,342,308,411,342,411,342,411,342,445,308,
445,308,445,308,445,308,445,379,445,342,411,342,411,342,411,342,
411,342,411,342,479,342,479,342,479,342,479,342,445,342,445,342,
171,171,171,171,171,171,171,137,171,171,453,273,308,137,411,308,
308,342,137,342,137,342,180,342,206,342,137,445,342,445,342,445,
342,372,445,342,479,342,479,342,479,342,616,581,445,205,445,205,
445,205,411,308,411,308,411,308,411,308,376,171,376,231,376,171,
445,342,445,342,445,342,445,342,445,342,445,342,581,445,411,308,
411,376,308,376,308,376,308,137,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,463,462,462,342,462,462,462,462,462,
462,462,462,462,462,462,462,462,528,404,462,462,462,462,462,462,
462,462,462,462,462,462,462,526,412,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,411,342,171,137,479,342,445,342,445,342,445,
342,445,342,445,342,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,411,342,616,548,479,376,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,462,
462,462,462,462,462,462,462,462, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_43_latin_ext(stb_fontchar font[STB_FONT_arial_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_43_latin_ext_s[i] + stb__arial_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_43_latin_ext_t[i] + stb__arial_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_43_latin_ext_x[i];
            font[i].y0 = stb__arial_43_latin_ext_y[i];
            font[i].x1 = stb__arial_43_latin_ext_x[i] + stb__arial_43_latin_ext_w[i];
            font[i].y1 = stb__arial_43_latin_ext_y[i] + stb__arial_43_latin_ext_h[i];
            font[i].advance_int = (stb__arial_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_43_latin_ext_s[i] + stb__arial_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_43_latin_ext_t[i] + stb__arial_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_43_latin_ext_x[i] + stb__arial_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_43_latin_ext_y[i] + stb__arial_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_43_latin_ext_LINE_SPACING
#endif

