// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_25_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_25_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT        372
#define STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_25_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_25_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_25_latin_ext_LINE_SPACING          16

static unsigned int stb__arial_bold_25_latin_ext_pixels[]={
    0x54400000,0x0014002a,0x75c00077,0x7744003e,0x0133100d,0x20009980,
    0x00266098,0x20004c31,0x4c400199,0x4cccc400,0x4cc40099,0x54c00099,
    0x8662000a,0x01100098,0x3ee00cc4,0xffffffff,0xfb801fff,0x0dd5003f,
    0x40013f60,0xb8006ff8,0x3fa202ff,0x3fa6000f,0x71ff5001,0xcfa801ff,
    0x3ee002fc,0x3be6004f,0x7fffec01,0x7ff402ff,0x7dc005ff,0x3fe2003f,
    0x2201ff9a,0x40beffeb,0xf702effb,0xffffffff,0xff003fff,0x1bfe6007,
    0x80013e60,0xf8000efb,0x4fe8803f,0x0026c400,0x005ffdfb,0xf000bbae,
    0x0dd800bf,0xeeeeec80,0x4ccc401e,0x7fdc0009,0x7ffd4003,0x7ffe404f,
    0x7fdc5fff,0xccca80ff,0xcccdffec,0x0275400c,0x500dff30,0x2e000dff,
    0x2c98000c,0x003fe600,0x100d9274,0x3a00bffd,0x7dc01b24,0x6c93a005,
    0x93a00000,0x6654006c,0x6ffd8001,0x4cf7fc40,0x36a61ffd,0xffb002ff,
    0x5ff70007,0x9fffb500,0x037fd409,0x38819880,0x2200edc0,0x00999889,
    0x8807515c,0x70026609,0x26201d45,0x40099899,0x3100ea2b,0x2e004cc1,
    0x22000ea2,0x40000009,0x2f266ffa,0x003ffa81,0x88007ffb,0xfc806a9f,
    0x0007ffff,0xfffed880,0x207fd2ef,0x3a00fbdb,0xa87ff15f,0x3ffa06ff,
    0xff8aff42,0xd037fd43,0x15fe85ff,0x6ffa87ff,0xfd0bffa0,0xf50ffe2b,
    0x17ff40df,0xfffffdc8,0x06ffa80c,0xff88bffa,0x9ff3004f,0x00fff600,
    0x201aebe0,0x05efffeb,0x32a7bd93,0xffffa80c,0xefffffff,0x807a5b00,
    0x87ff15fe,0x3fa06ffa,0xf8aff42f,0x037fd43f,0x5fe85ffd,0xffa87ff1,
    0xd0bffa06,0x50ffe2bf,0x7ff40dff,0xfffffd82,0x7d41ffff,0x0bffa06f,
    0x803dfff7,0xfb004ff9,0xfff0007f,0x1bfe600d,0xdfffffa8,0x7fcc1ffd,
    0xfffdbdff,0x3bea00ff,0x55155406,0x206ffa83,0x15542ffe,0x6ffa8355,
    0x550bffa0,0x3ea0d545,0x0bffa06f,0x20d54555,0x3fa06ffa,0x3fff622f,
    0xffffeccd,0xe81bfea0,0x3ffe62ff,0x3e204fff,0x7ffb005f,0xffffa800,
    0x06ff9801,0xfd9ffff1,0xffe83fff,0x7ffec40e,0x00014402,0xe81bfea0,
    0x2a0002ff,0x3ffa06ff,0x3fea0002,0x00bffa06,0x206ffa80,0x3ff62ffe,
    0x3fffb81e,0xfe81bfea,0x3a7bfe2f,0xff00efff,0x0fff600d,0x9ffffb00,
    0x20dff300,0x3f20dffc,0x3ffee1ff,0x6ffffb80,0x179db730,0xcc82cc98,
    0xe81bfea4,0x059932ff,0x37fd4999,0x3265ffd0,0x2a4cc82c,0x3ffa06ff,
    0x99059932,0xd037fd49,0x3ffe25ff,0xa8b3b601,0x3ffa06ff,0x7e47ff12,
    0x9ff906ff,0x03ffd803,0x3ffffe20,0x37fcc00f,0x7c43ffe8,0x13ff21ff,
    0x3fff3fea,0x7ffffe40,0x13fee1ff,0x7fd43ffe,0x5cbffa06,0x0fff84ff,
    0x7f40dff5,0xf09ff72f,0x1bfea1ff,0xff72ffe8,0x2a1fff09,0x3ffa06ff,
    0x000bff52,0xfe81bfea,0xa8bff32f,0xfe882fff,0x1ffec07f,0xfd9ff700,
    0x6ff9807f,0xfd03fff0,0x21fff43f,0xfff8bff9,0x333ffe61,0x3fee5ffe,
    0xf50fff84,0x97ff40df,0xfff84ffb,0x740dff50,0x09ff72ff,0x3fea1fff,
    0x5cbffa06,0x0fff84ff,0x7f40dff5,0x009ff92f,0xe81bfea0,0x17ffe2ff,
    0x3f209ff5,0x1ffec07f,0xf53ffd00,0x6ff980df,0xff01fff0,0x117ffc3f,
    0x17ffc9ff,0x7fcc3db5,0x3e13fee6,0x0dff50ff,0xffb97ff4,0xf50fff84,
    0x97ff40df,0xfff84ffb,0x740dff50,0x09ff72ff,0x3fea1fff,0x74bffa06,
    0xcccb83ff,0x1bfea4cc,0x3ee2ffe8,0x7ff11eff,0x809fff70,0xf3003ffd,
    0x07ffe2df,0x43afff88,0x7fcc2ffe,0x44bffe1f,0x1fff45fe,0xb9ffee20,
    0x0fff84ff,0x7f40dff5,0xf09ff72f,0x1bfea1ff,0xff72ffe8,0x2a1fff09,
    0x3ffa06ff,0xff09ff72,0x81bfea1f,0x7ffd2ffe,0xffffffd0,0xfd037fd4,
    0xffffc85f,0xff80ffdc,0x3ffd800f,0x6c7ff900,0x7ffc04ff,0x06ffe47f,
    0x7f43fff9,0xff0bfd3f,0xffda883f,0x3fee7fff,0xf50fff84,0x97ff40df,
    0xfff84ffb,0x740dff50,0x09ff72ff,0x3fea1fff,0x5cbffa06,0x0fff84ff,
    0x7f40dff5,0xd09ff92f,0x54ffffff,0x3ffa06ff,0xfffffa82,0x05ff881f,
    0x1007ffb0,0x7fd41fff,0x3ffea00f,0x3fffe20f,0x21ffffec,0x0efddffd,
    0xd107ffcc,0xfff7dfff,0x7fc27fdc,0x40dff30f,0x9ff72fff,0x3e61fff0,
    0x4bffe06f,0xfff84ffb,0x7c0dff30,0x09ff72ff,0x3fe61fff,0x54bffe06,
    0xa99886ff,0x1bfe67ff,0xb102fff8,0xf301dfff,0x3ff6009f,0xafffb803,
    0x03fffaaa,0xfff50098,0x43ffdbff,0x80effffa,0x7ff46ffd,0xfb9ffe0c,
    0x10fff84f,0x3fe01fff,0xf09ff71f,0x3ffe21ff,0x2e3fff00,0x0fff84ff,
    0x3e01fff1,0x09ff71ff,0x3fe21fff,0x23fff00f,0x2602fff8,0x3ffe27ff,
    0x803fff00,0xf984fffa,0xd000004f,0xffffffff,0x2cc80dff,0x74f7f260,
    0x7fff40ff,0x22fffb82,0x7fc47ff8,0xf517fea7,0x3ffe21ff,0x50fffc85,
    0xfffa8bff,0x90bfff10,0x3fea1fff,0x887ffd45,0xffc85fff,0xa8bff50f,
    0xfff10fff,0x41fff90b,0xd881fffd,0x3ffe27ff,0x20fffc85,0x3fe61ba9,
    0x003ff986,0xf9803995,0xffffffff,0x3fe01fff,0x3fa00885,0xdffffc87,
    0x85fffdbb,0xffb32ffe,0x45fffc4f,0x320ffffa,0xfeccffff,0x3ffe24ff,
    0x0ffffa8b,0x333ffff2,0x3e24fffe,0xfffa8bff,0x3ffff20f,0x24fffecc,
    0xfa8bfff8,0x3ff20fff,0xfffeccff,0xcdfffd84,0x47ffffdc,0xeccffffc,
    0x7fd44fff,0x3217fe66,0xff9003ff,0xadffc807,0xffeaaaaa,0x3213fe04,
    0x3fe60eff,0x7ffffd46,0x0dffffff,0xffffffb8,0x3ffa0fff,0x0ffeefff,
    0x3fffffa2,0x7f40efff,0xffeeffff,0x3ffffa20,0x740effff,0xfeefffff,
    0x3fffa20f,0x40efffff,0xeefffffe,0x3ffa20ff,0x0effffff,0xffffffd0,
    0xe881bfff,0xffffffff,0xdfffd80e,0x3fee1fff,0xff9001ff,0x02fff805,
    0x4c03ffea,0xefffa82f,0x223fffed,0xfffc8bff,0x2e202eff,0xffb9effe,
    0x37fff623,0xec80ffd8,0x104fffff,0xfb1bfffb,0xfffd901f,0x3f6209ff,
    0x0ffd8dff,0xfffffec8,0xbfffb104,0xd901ffb1,0x009fffff,0x9dfffd95,
    0xfffec803,0x3fa604ff,0x7dc5ffff,0x326005ff,0x1ffea00f,0x220fffe0,
    0x3fff205f,0x3984ffff,0x88000988,0x0000c000,0x00180033,0x03000660,
    0x2000cc00,0x00660001,0x20001880,0x65c40019,0x02cca81c,0x360374c0,
    0xffc804ff,0x97100306,0x00003599,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0000004b,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00066098,0x13300883,0x00666440,
    0x00006620,0x00000aaa,0x00001310,0x01310000,0x98800000,0x31000019,
    0x26200013,0x20000001,0x13300199,0xf91ff700,0x3bfa600d,0x5ff04eab,
    0x027fff40,0x701fff90,0x7fc409ff,0x7fffe406,0xfffe8806,0xfffff52f,
    0xffffd710,0xb105ffff,0x019fffff,0x3201fff5,0x7ff402ff,0x7fc40001,
    0xff98000e,0x7ffd403f,0xffffffff,0x007ff903,0x3f6005ff,0xf9001ffe,
    0x205fffdb,0x3df702ff,0xff7005ff,0x9ff701ff,0x2037fc40,0x806ffffc,
    0x50fffffd,0xfd0fffff,0xffffffff,0xffffa85f,0x541fffff,0xff905fff,
    0x05fe8805,0x00ffdc00,0x7feff440,0x3fffea01,0x3fffffff,0x3e01ff60,
    0xfff1002f,0x7315c007,0x4417fc03,0x007951cc,0x2a059ffb,0x332203ee,
    0x7fdd4c03,0xacfff806,0x0ab7fea3,0xdffffff7,0x7cc3dffd,0xffeccfff,
    0x7fffd46f,0x802ffc82,0x20000fe8,0xf90001ff,0xfa81bf2b,0xccccccff,
    0x17ec01cc,0x8800bfe0,0x80000009,0x04c402ff,0x000ffd00,0xf0004c40,
    0x6ff980df,0x3a07ff50,0xf77fffff,0x0dffd81f,0xf51fffcc,0xff90dfff,
    0x00131005,0x00009880,0x7d4004c4,0x0000006f,0xdb100bfe,0x205dffff,
    0x3fa06ffa,0x220bfe2f,0x0cfffffd,0x26037f40,0xffd882cc,0x7c00cfff,
    0xffb9506f,0x3ffa879d,0xfffffff0,0xffa83fee,0x47bf900f,0x44fffffa,
    0xdb102ffc,0x005dffff,0x3ffffb62,0xfdb1002e,0x2a05dfff,0x3ea006ff,
    0x8bffa06f,0x3fea02ff,0xdfffffff,0xd037fd40,0x217fc5ff,0xfffffffa,
    0x1bfe01ff,0xfa89ff70,0xffffffff,0x6c1bfe01,0x45ffffff,0xff903ffa,
    0x3feeffff,0x0017fee0,0x3fffffea,0x2a0bff20,0xffffffff,0x3fea00df,
    0xdfffffff,0x3fffea00,0x40dfffff,0x2a006ffa,0x3ffa06ff,0x7cc0bfe2,
    0xfecbdfff,0x37fd45ff,0x7fc5ffd0,0x33fffe62,0x206fffec,0x7fdc05ff,
    0x33fffe64,0x206fffec,0xffdb06ff,0xffa87ddf,0xfffff303,0xfd83feef,
    0xffa8003f,0x3f25ffdc,0x7fffcc2f,0x5fffecbd,0x7bffff30,0x20bfffd9,
    0xcbdffff9,0x7d45fffe,0xeeeeeeff,0x81bfea5e,0x0bfe2ffe,0x203bffa2,
    0x3ea2fffb,0x8bffa06f,0x37ff62ff,0x41fffcc0,0x7dc04ff9,0x037ff64f,
    0x3e07fff3,0x07ff406f,0x3a03ffa8,0xff77ffff,0x001fff41,0x7fc67fd4,
    0x445ff92f,0xfb80effe,0x7ff442ff,0x2fffb80e,0x4077ff44,0x3ea2fffb,
    0xffffffff,0x81bfea6f,0x0bfe2ffe,0xd803ffea,0x1bfea6ff,0x3fe2ffe8,
    0x201fff52,0x3a623dfc,0x7fdc02ff,0x201fff54,0xdff03dfc,0x503ffc40,
    0xfdb807ff,0x741ff77f,0xfa8003ff,0x91fff74f,0x7ffd45ff,0x51bff600,
    0x7ec01fff,0x07ffd46f,0x7d4dffb0,0xffffffff,0x81bfea6f,0x02aa2ffe,
    0xf3017ff2,0x1bfea1ff,0x3fe2ffe8,0x000bff72,0x7009fff5,0x17fee9ff,
    0x40dff000,0x3ea06ff9,0x2ffb003f,0x3ff60ffb,0x4ffa8004,0x3ff33ffa,
    0x3017ff22,0x7fe41fff,0x07ffcc05,0xf980bff9,0x0dff50ff,0xd037fd40,
    0x3f6005ff,0x1fff803f,0x7f40dff5,0x7ecbfe2f,0xffa8003f,0x4ffb801f,
    0x80007ffb,0x3fea06ff,0x00ffea04,0x0ffbbfec,0xd9817ff2,0x993fea0a,
    0x22ffefff,0xff803ffd,0x00fff61f,0xffd87ffe,0x51fff803,0x7d400dff,
    0x0bffa06f,0x4017ff40,0xdff52ffe,0xff17ff40,0x000fffa5,0x003fff66,
    0x3ffa9ff7,0x37fc0003,0x5407ff90,0xffb003ff,0xffa83fee,0x4dffd00f,
    0x7fe44ffa,0x3ffa2fff,0x22ffe802,0xfe802ffe,0x00bffa2f,0x7fd4bffa,
    0x1bfea006,0xf002ffe8,0xffd005ff,0xe81bfea7,0x74bfe2ff,0x2e0003ff,
    0x7fdc03ff,0x0007ffd4,0x3f606ff8,0x0ffea01f,0xffbbfec0,0x206fff40,
    0x3ea2fffb,0x7fffc44f,0x00bffe2f,0xfff8fffa,0x23ffe802,0xfe802fff,
    0x00dff53f,0xfd037fd4,0x7417fc5f,0xfff803ff,0x740dff51,0x6cbfe2ff,
    0x220004ff,0x7fdc05ff,0x0009ffb4,0x3fe06ff8,0x0ffea00f,0xffbbfec0,
    0x67fffcc0,0x546fffec,0xfffb84ff,0x00fffa2f,0xffe87ffe,0x21fff803,
    0xff803ffe,0x99fff51f,0x27999999,0x3fa06ffa,0x320bfe2f,0x7fcc05ff,
    0x40dff30f,0x4bfe2fff,0x36605ffc,0x80dff00a,0xbff94ffb,0xf8056cc0,
    0x0fff106f,0xb003ffa8,0x203feeff,0xfffffffa,0x27fd40ff,0x322fffe8,
    0x7fcc05ff,0x017ff20f,0x7e41fff3,0x7ffcc05f,0xffffff50,0x26dfffff,
    0x3ffe06ff,0x3ee0bfe2,0x3ff601ff,0x403ffe26,0x4bfe1fff,0xfd00fffa,
    0x01bfe0df,0x3fea9ff7,0x0dffd00f,0x7fcc1bfe,0x01ffd405,0x1ff77fd8,
    0x3ffff620,0x4ffa80cf,0x5c5fff30,0x3f601fff,0x0fffdc6f,0xfb8dffb0,
    0x3ff601ff,0x3ffffea6,0x16ffffff,0x3fe01fff,0x740bfe1f,0xffc81eff,
    0x17ffe22f,0xff83fff2,0x7037ffa2,0x3fa05fff,0xd1ffdc06,0xffb81bff,
    0x20dff02f,0x7d404ffb,0x2ffb003f,0x75400ffb,0x75c000cf,0xeffe802c,
    0x82fffc81,0xfc81effe,0xeffe82ff,0x02fffc81,0x3fe21b60,0x0fffc85f,
    0x7fcc0bfe,0xffeccdff,0xffffc85f,0x44fffecc,0x3ffe62ff,0x6fffeccf,
    0x2203ffa0,0x3e63ffe9,0xffeccfff,0x09bfe06f,0xf500bff6,0x5ff6007f,
    0x55400ffb,0x654005fc,0x7fcc02ff,0xffeccdff,0xffff305f,0xbfffd99b,
    0x37fffe60,0x05fffecc,0xffc837c0,0xfffeccff,0xf5017fc4,0xffffffff,
    0xfffd101b,0x81dfffff,0x7ffd42ff,0x00ffffff,0xc83ffff2,0x7d42ffff,
    0xffffffff,0x37fffe40,0x01fffffb,0x07ffffa8,0x0ffbbfec,0x000df300,
    0x3ea00ff2,0xffffffff,0x3ffea00d,0x0dffffff,0x3ffffea0,0x000dffff,
    0x3a2097f4,0xffffffff,0x2017fc0e,0xeffffec8,0xfffec802,0x05ff04ff,
    0x9fffffb1,0xffff8801,0x417fffa0,0xcfffffd8,0x6ffffc80,0x013ffffe,
    0x01ffffea,0x03feeffb,0x02ffeed8,0x0dffdd30,0x7fff6440,0xd91002ef,
    0x005dffff,0x3ffffb22,0xff70002e,0xfffd90df,0x0bfe09ff,0x40001300,
    0x01ee8019,0x220004c4,0x332e0dcb,0x80131002,0x2a3cccca,0x93002ccb,
    0xa9809999,0xba805532,0x65c4001b,0x04c0001a,0x0004c000,0x800004c0,
    0x0cc01bc9,0x0000f740,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x99880009,0x004c4000,
    0x00026620,0x13300000,0x11988000,0x26660033,0x000aa000,0x44191000,
    0x8866201c,0x332e0009,0x00000002,0x33300131,0x1f74c000,0x000fffec,
    0x2600bffa,0x0cfffffe,0x00effd80,0x7f40dff5,0x7f5c402f,0x01bdffff,
    0x3e37fe60,0x5ff9805f,0x817bb600,0xd0004ffb,0xb80f911b,0x00dfb0ff,
    0x007fffe6,0x001bffe0,0xff700ff6,0x49ff5009,0x7fdc4ffa,0x3e6006fd,
    0xfffb802f,0x00ffffff,0x417fbbee,0x3fa06ffa,0x3ffee02f,0xffffeeef,
    0x2edf9003,0x6fd800ef,0x03c47c00,0x20009ff7,0x403ffffa,0x0dfb0ffb,
    0xdf97ff10,0xffffa800,0x03fe6001,0x2a00bff0,0x93fea4ff,0x09fd2ff8,
    0x2200ff60,0xfdbcefff,0x3ff306ff,0xff505ff1,0x417ff40d,0x101cffd8,
    0xf8809ff7,0x3003ff0e,0xdd8001df,0x13fee05d,0x00bb8800,0x0aaa2a98,
    0x1cc8f2a0,0x3ffff600,0x017fa004,0x7d400bf5,0x0000004f,0x85ffa800,
    0x0000fffb,0x3a06ffa8,0x1efd82ff,0x009fb100,0x20000000,0x3ee00bb8,
    0x0000004f,0x13100000,0xffff8800,0xffa800ff,0x00098802,0x7fdc9ff5,
    0xc882ccbd,0x81bfea4c,0x3fee2ffe,0x2a199905,0x3ffa06ff,0x740dff52,
    0x077dc2ff,0x9915bb73,0x7d43ff15,0x4bffa06f,0xcc882ccb,0xe81bfea4,
    0x29ff72ff,0x7d40bddc,0x4bffa06f,0xcc882ccb,0x3fff7204,0xfb800cff,
    0x803ffecf,0x3f6207fd,0x200cffff,0x3fee4ffa,0xfb85ffad,0x81bfea5f,
    0x3fea2ffe,0x7d400aef,0x4bffa06f,0x3fa06ffa,0xb87fe22f,0xffdfffff,
    0x7fd47f53,0x54bffa06,0x5ffb85ff,0xfe81bfea,0xfdbff72f,0x7d43dfff,
    0x4bffa06f,0xffb85ffa,0xfffffb05,0xe803ffff,0x06ffa9ff,0xff504ff8,
    0x3fffffff,0xfb93fea0,0x40fff8df,0x3fea1ffd,0xb0bffa06,0x17dfffff,
    0x740dff50,0x0dff52ff,0x9f717ff4,0x7556ffdc,0x4bf11fff,0x3fa06ffa,
    0x81fff12f,0x3fea1ffd,0x5cbffa06,0xffcdffff,0x81bfea6f,0xfff12ffe,
    0x441ffd81,0xeccdfffd,0xf300ffff,0x07ffe2df,0xf983ff88,0xffeccfff,
    0x49ff506f,0x7ff95ffb,0x3ea3ffc4,0x0bffa06f,0xffffffb1,0x06ffa8bf,
    0x7fd4bffa,0xe8bffa06,0xa8dff12f,0xa9fa0fff,0x3ffa06ff,0xf88fff22,
    0x037fd47f,0x3fee5ffd,0x4bffe22f,0x3fa06ffa,0x88fff22f,0xeffd87ff,
    0x03fffb81,0x7fec7ff9,0x20bfea04,0x7cc0dffd,0x4ffa83ff,0x7fcd7fee,
    0xf513fee5,0x17ff40df,0xfffffca8,0x81bfea5f,0xdff52ffe,0xff17ff40,
    0xf107ff23,0xf50fe8df,0x17ff40df,0x7fdcbff3,0xd037fd44,0x1ffee5ff,
    0x7fd53ff6,0x98bffa06,0x13fee5ff,0x6c03fff1,0xfff882ce,0x403ffea0,
    0x7fd41ffb,0x07bf900f,0x7fdc9ff5,0x7ec3ffa5,0x037fd41f,0x73005ffd,
    0x3ea5fffd,0x4bffa06f,0x3fa06ffa,0x7fcff12f,0x224ff886,0x81bfea7f,
    0x7ff42ffe,0xfa83ffb0,0x4bffa06f,0xffb85ffb,0x740dff55,0x87ff42ff,
    0x7fd41ffd,0x7fdc0005,0xfffaaaaf,0xb83ffb03,0x2a0005ff,0x97fee4ff,
    0x6ff8bffb,0x3a06ffa8,0x80ea62ff,0xdff54ffd,0xfa97ff40,0x47ffe07f,
    0x0bff15f9,0x2fd47ff5,0x7f40dff5,0x45ffdc2f,0x6ffa86ff,0x7dcbffa0,
    0x55ffa85f,0x7ff40dff,0x7c5ffdc2,0x04ffc86f,0x7ffff400,0x06ffffff,
    0xffd81ffb,0x3fea0003,0xf897fee4,0xa83ffadf,0x3ffa06ff,0x5c0fffe2,
    0x0dff55ff,0xff997ff4,0x23fff00f,0x0bff16f8,0x3fa23ffb,0xe81bfea2,
    0x6ffc42ff,0xffa83ffa,0x5cbffa06,0x4ffc86ff,0x7f40dff5,0x56ffc42f,
    0x3ffe83ff,0x4cccccb8,0x7fffffcc,0x81ffffff,0x7ff41ffc,0x3fea0003,
    0xfb17fee4,0xf501ffdf,0x17ff40df,0xff01dffb,0x81bfea7f,0x3ffe2ffe,
    0x747ffc84,0xf88fff0f,0xf51bf67f,0x17ff40df,0x07ff7fec,0xfd037fd4,
    0x07ffee5f,0x3fea7ffd,0x20bffa06,0x80ffeffd,0xffe83ffe,0x7fe47fff,
    0xeaaaaaad,0x1ffb84ff,0x0001fff4,0x7fdc9ff5,0x2ffffd45,0x3a06ffa8,
    0x3ffe62ff,0xffffdbdf,0x740dff51,0x3fff22ff,0x4fffeccf,0xbffd97e4,
    0xdafffe98,0x37fd40ef,0xf505ffd0,0x3ea0bfff,0x4bffa06f,0xdacffffb,
    0xdff50fff,0x5417ff40,0xf905ffff,0xffffd09f,0x02fff8ff,0xf303ffea,
    0x04ffd85f,0xb93fea00,0x7ffc45ff,0x0dff302f,0x3ee17ffc,0xffffffff,
    0xf81bfe62,0x7ffec2ff,0xa86fffff,0xfffff34f,0x1dffffff,0x7c0dff30,
    0xfff882ff,0x0dff302f,0xffb97ffc,0x3ffffffe,0xff81bfe6,0xffff882f,
    0x10dff502,0x54fff533,0xfff807ff,0x3227fc43,0x2b6605ff,0x2e4ffa80,
    0x7ffc85ff,0x403ffe20,0xfe981fff,0x441dffff,0xfff00fff,0xfffdb883,
    0xff880bdf,0x75cb7aa2,0x442622ce,0xfff00fff,0x81fff203,0xff00fff8,
    0x273fee3f,0x7c42ffff,0x3fff00ff,0x881fff20,0x3e602fff,0x013ff67f,
    0x3fa1bff2,0x807ffd46,0xffa86ffe,0x3217fee4,0x3fe204ff,0x0fffc85f,
    0x4077fa20,0xfc85fff8,0x13e600ff,0x001ffe40,0xff88ffdc,0x0fffc85f,
    0x4409ff90,0xffc85fff,0x449ff70f,0x0bfff100,0x3201fff9,0x7fec04ff,
    0x7ffd881f,0x403ee000,0x7ff40ffb,0x17ffdc0d,0xff71675c,0x01fff98b,
    0x667fffe4,0x4404fffe,0xf900ffba,0xffd99fff,0x03fa809f,0x0033ff60,
    0xf90fffa2,0xffd99fff,0x3ffe609f,0x7fffe401,0x24fffecc,0x32004ffb,
    0xfeccffff,0xfff304ff,0xbfffb003,0xfffffb99,0x007e4000,0xfff985ff,
    0x6fffeccf,0x2e5ff950,0xfffdd5ff,0xfffd100b,0x01dfffff,0xe880ff40,
    0xffffffff,0x477cc00e,0xfffc8008,0xedcaacde,0xfe882fff,0xefffffff,
    0x2ffff740,0x7ffff440,0x2e0effff,0x3a2004ff,0xffffffff,0x7fff740e,
    0x3fffa005,0x0dffffff,0x053f2000,0x7fd42fdc,0x0fffffff,0xffb9fe40,
    0x03fffff5,0x7ffff640,0xfeea804f,0xffec805f,0x3a004fff,0xb3003fff,
    0xffffffff,0xec8019ff,0xf04fffff,0x4003ffff,0x4fffffec,0x8004ffb8,
    0x4fffffec,0x03fffff0,0xfffeca80,0x980001ce,0xff80ffff,0xffffd880,
    0xfee880cf,0x332e00ff,0x0660000b,0x01597300,0x20003300,0x8000bcb8,
    0x2accccba,0x70033000,0x40001799,0x0d54c019,0x20066000,0x0000bccb,
    0x800000c4,0x7d702cb9,0x44009880,0x00001acb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00881100,0x19880000,0x98800262,0x44330009,0x00000019,0x01331000,
    0x00199910,0x40004cc4,0x01300998,0x00599500,0x13300000,0x31000666,
    0xe8004c43,0x2e00be24,0x7fd42747,0xdfffffff,0xf17fd001,0x7fe4007f,
    0xd19fd002,0x09ff707f,0x441bfea0,0xfd01fffe,0xffd801ff,0xfff1005f,
    0x5ffb000d,0x98007fe0,0x3ee1ffff,0x527fd45f,0xffc809ff,0xfa83ffaa,
    0x4d7fc44f,0xbf7001ff,0x3e200dd9,0xfa80ffef,0xffffffff,0xff9803ff,
    0x7e4005fe,0xdff1002f,0x13fee0df,0x4437fd40,0xf902fffe,0x7dc0bfbd,
    0xe802ff9e,0x2003ffdf,0x3f202ff9,0x32ffa005,0x8bff70ef,0x3fea4ffa,
    0x74ffe204,0x09ff504f,0x009fdff5,0x00e7f5c4,0x2037d710,0xdcccfffa,
    0x800ffffe,0x4000fffb,0x2a001cca,0xff700fff,0x1bfea009,0x4c0bfffa,
    0x03fe89ff,0x01326399,0x07fe6df7,0x2601fec0,0x4c9801ff,0x2ffdcb2e,
    0xee98fbaa,0x7d53ee03,0x40fbaa05,0x10006ffc,0x20000013,0xff106ffa,
    0x0262007f,0x31000000,0x027fdc01,0x7ec6ffa8,0x000002ff,0x00000131,
    0x74004c40,0xf700005f,0x200000bf,0x00000098,0x7ffee400,0x64c00cff,
    0x219953de,0x3f606ffa,0x3ff6204f,0x4c00cfff,0x19953dec,0xfffffd30,
    0x24ffb819,0x3ea2ccc8,0x0ffff66f,0x301664c0,0x19fffffd,0xa9ef64c0,
    0xffe980cc,0xf700cfff,0x3ff2003f,0x262ffdc4,0x0b3262cc,0x7ffff6c4,
    0x0599302e,0x6c017fee,0xffffffff,0xffff501f,0x2a3ffbbf,0x3ffa06ff,
    0xfffff502,0x2a03ffff,0xfddfffff,0x7fffdc1f,0x2e0fffff,0x3bff64ff,
    0x7e5bfea0,0x3ee003ff,0xffff704f,0x501fffff,0xfbbfffff,0xffffb83f,
    0x980fffff,0xff9003ff,0x545ffb89,0x13fea4ff,0x3fffffea,0x7d40dfff,
    0x0bff704f,0xcdfffd88,0x40ffffec,0xfecffff8,0xdff51fff,0xffb53333,
    0x3fffe60f,0x86fffecc,0xfecffff8,0x3fe21fff,0xfffdbcef,0x7ed3fee6,
    0x77fd40ef,0x4007fffb,0xff884ffb,0xfffdbcef,0x67fffc46,0x221ffffe,
    0xfdbcefff,0x5ff886ff,0xb89ff900,0x27fd45ff,0xff989ff5,0xffecbdff,
    0x827fd45f,0x7ec05ffb,0xfffb81ef,0x322ffe43,0xfff51fff,0xffffffff,
    0x037ff607,0xfc87fff3,0x0fffe45f,0xff70bff5,0x333fee1f,0xffa80eff,
    0x04ffffff,0x2a13fee0,0xfffb85ff,0xf917ff20,0x2ffd43ff,0x7c07ffdc,
    0x9ff9006f,0x7d45ffb8,0x893fea4f,0xfb80effe,0x13fea2ff,0xf102ffdc,
    0x676c03ff,0x261fff42,0xfff51fff,0x07ffffff,0xc807ffd4,0x1fff43df,
    0xfb87ffe6,0x2199905f,0x1fffeffb,0xbfffff50,0x2e003fff,0x5ffb84ff,
    0x7f419990,0x0fffcc3f,0x3320bff7,0x007fe80c,0xffb89ff9,0xf527fd45,
    0x07ffd49f,0x7d4dffb0,0x0bff704f,0x0002ffd4,0xfff03fff,0x2abffea3,
    0x2e01fffd,0xff0005ff,0x43fff03f,0x00aefffa,0x7fffffdc,0x7ffff503,
    0x5c01bffa,0xfffa84ff,0xfff800ae,0x2a1fff81,0x000aefff,0x32007ff6,
    0x2ffdc4ff,0xffa93fea,0x3017ff24,0x3fea1fff,0x40bff704,0x20004ffc,
    0xffe81fff,0xfc8dff51,0x7ffb02ff,0x07ffe000,0xffb07ffa,0x7017dfff,
    0x1fffffff,0x4c9fff50,0xfb803fff,0xffffb04f,0x3fe017df,0x41ffe81f,
    0xbefffffd,0x00ffe400,0x3ee27fe4,0x527fd45f,0x1ffec9ff,0xfa8fffc0,
    0x0bff704f,0x65c1fff4,0x7ec4cccc,0x8fffcc3f,0xffe86ffa,0x03ffe80f,
    0x987ffb00,0x7ec41fff,0x45ffffff,0xffcafffb,0xd87ffa84,0x7dc01fff,
    0xfffb104f,0xfb0bffff,0x1fff987f,0x7ffffec4,0x3ff605ff,0x44ffc800,
    0x7fd45ffb,0xfe93fea4,0x2ffe802f,0x3ee09ff5,0x0fffa05f,0x1ffffffa,
    0xffc8bff5,0x30dff51f,0xffd0bfff,0x3fea0007,0x80fffe45,0xffffffca,
    0x7c53fee5,0x37fd41ff,0x2037ffc4,0x65404ffb,0x45ffffff,0x7fe45ffa,
    0xfff9501f,0x3f60bfff,0x89ff9007,0x7fd45ffb,0xff93fea4,0x3ffe802f,
    0x3ee09ff5,0x13ff205f,0x1ffffffa,0xfd9ffff1,0x3fea3fff,0x87fff706,
    0x10004ffd,0xffd9ffff,0xd73003ff,0x3fee5fff,0xf517fee4,0x3fff20df,
    0x013fee03,0x2fffeb98,0x3b3fffe2,0x9801ffff,0xf82fffeb,0x9ff9005f,
    0x7d45ffb8,0xe93fea4f,0xfff803ff,0x2e09ff51,0x3fea05ff,0xffa99886,
    0xfffffb87,0xff51ffed,0x07fff40d,0x6cc0bff9,0xffffb80a,0x261ffedf,
    0x53ff603a,0x7ff44ffb,0xe81bfea2,0xff700fff,0x6c075309,0x7ffdc4ff,
    0x21ffedff,0x3ff603a9,0x4c27fc44,0x2e27fe40,0x27fd45ff,0x7fe49ff5,
    0x87ffcc05,0xff704ffa,0x17ffc40b,0x2a0fff30,0x1ffd3efd,0xf881bfea,
    0x3ffea5ff,0x20dffd00,0xffd3efda,0xb81fffc1,0x89ff75ff,0x3fea6ffa,
    0x17ffea06,0x7fc27fdc,0x0bff703f,0x3fa7dfb5,0x40fffe0f,0x7fd45ffb,
    0xfb13fee1,0x45ffb87f,0x3fea4ffa,0x807ffee4,0x3fea6ffd,0x80bff704,
    0xd881fffd,0xd00447ff,0x2ceb80ff,0x81bffd00,0x0442fffb,0xffd8ffd0,
    0x83fff80e,0x2001bde8,0x5c002ceb,0xeffd83ff,0x223fff80,0xfb1ffa00,
    0x7fff01df,0x7fd46fc8,0x2e17ffc6,0x3fee000f,0x40f7ff44,0x3ee2fffc,
    0x017fee00,0x3337fff6,0x5c7ffffd,0x3ffcc5ff,0x00bff2a0,0x333fffe6,
    0xfb86fffe,0x23ffcc5f,0xdbdffff9,0xb901ffff,0x7e5400df,0xfe98802f,
    0xffff983f,0x1ffffdbd,0xff317fee,0xdffff98f,0x41ffffdb,0x7ffc42fe,
    0x40fffecf,0xd98800fd,0x7ffcc3ff,0xfffeccdf,0xf7007e45,0x3ffa00bf,
    0xdfffffff,0x6f7ffc40,0x9003fffe,0x3fea007f,0x0fffffff,0xedefff88,
    0xffb83fff,0x2fffffff,0x0007fc40,0x3f200ff2,0xff702fff,0x5fffffff,
    0xedefff88,0xffb83fff,0x2fffffff,0xffc837cc,0xc81fffff,0x7fe4013f,
    0xfffa82ff,0x0dffffff,0xfb80a7e4,0x3b2a005f,0x201cefff,0xfffffffb,
    0x3ffba605,0x7fec4006,0x2e00cfff,0x5fffffff,0x3ffffa60,0xfdd901df,
    0xfdd3007f,0x3ffa00df,0x7ff4c05f,0xf701dfff,0x0bffffff,0x7fffff4c,
    0x203fd81d,0x02dffffb,0x6c0ffff3,0x32206fff,0x02effffe,0xb81ffff3,
    0x310005ff,0xcccb8800,0x565c401b,0x04c40001,0x79997100,0x004cc003,
    0x80055e4c,0x2001acb8,0x2000accb,0x97100099,0x4c003799,0x017a2009,
    0xcc9800c4,0x02b32e02,0x73000980,0x00000059,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,
    0x88002543,0x04c40009,0x91000133,0x44000199,0x10000ccc,0x03555555,
    0x2aaaaaa0,0x4cc4000a,0x26099800,0x000a6001,0x88003331,0x88026609,
    0x80026209,0x00066099,0x4cc01331,0x4cbe6009,0xfb71004e,0x0019ffff,
    0x1ff53ff3,0xdfff9000,0x7ffec000,0xfff70006,0x3a009fff,0x01ffffff,
    0x003bfe20,0x1bf23bee,0x6c007d80,0x7d4002ff,0x200ffb8f,0x0ffa9ff9,
    0x323bee00,0x7fec006f,0x013fee02,0x001ffffb,0xffffffd1,0xf7003fff,
    0x50007ffd,0x007fd3ff,0x7ff3ff50,0x99993000,0x32e00599,0x000ccccc,
    0xd8007fee,0xa800ffef,0x400cfffe,0x90003ff8,0x7005ffdf,0x0007ffdf,
    0x003ffdfb,0x5c01ffcc,0x15cc00ff,0xdfffe880,0x0ffffecc,0x005ffd80,
    0x13265990,0x64cb3200,0x00000004,0xf80004c4,0x7fc4001f,0xfffd803f,
    0x7e406fff,0x7ff40004,0x17ff6004,0x1fffc400,0x800ff200,0x04c404fc,
    0x81effd80,0x0003fffb,0x00000000,0x6ffa8000,0x440bffa0,0x2effffed,
    0x00000000,0xefddff88,0x000003ff,0x00000000,0x00000000,0x7fff6c40,
    0xfff102ef,0x01676c03,0xd8037ffc,0xff100fff,0x20fffa9f,0xf985fffa,
    0x81bfea7f,0xffa82ffe,0xdfffffff,0xfffffe80,0x746fffff,0xffffffff,
    0x47fdc6ff,0x2a3ee8fc,0xffffffff,0xfff501df,0x54bff201,0xffffffff,
    0xfff701df,0xffffffff,0x03ffea3f,0x3ee17fe4,0x7fffd45f,0x40dfffff,
    0x00005ffa,0x007fffea,0x6413ffe2,0xbff90fff,0x70ffff90,0x37fd4bff,
    0xf985ffd0,0xfecbdfff,0xfffe85ff,0x6fffffff,0x7ffffff4,0x7ec6ffff,
    0x3ea07c8f,0xffffffff,0xfffa83ff,0x2a5ff905,0xffffffff,0xffb83fff,
    0xffffffff,0xbfff51ff,0xf70bff20,0x7fffccbf,0x5fffecbd,0x00027fe4,
    0x09ffffb0,0x307ffee0,0x7fd45fff,0x1fffff87,0xff51ffec,0x117ff40d,
    0xf701dffd,0xcccb85ff,0x6fffdccc,0x6666665c,0x7d46fffd,0x3ea07ddf,
    0xfedcccff,0x7fd40fff,0x2ffc82ff,0xb999fff5,0xa81ffffd,0xdffecccc,
    0xff50cccc,0x5ff905ff,0xfd15ffb8,0xfff701df,0x5c1fff45,0x204ccccc,
    0x0ffffff8,0xe8dffd00,0x7ffc45ff,0x3ffffe60,0xf50fff43,0x17ff40df,
    0x6c01fff5,0xfd1006ff,0x3a2001ff,0xfff80fff,0xdff502ff,0x50fffe20,
    0xf90dffff,0x41bfea5f,0xd803fff8,0x3fea03ff,0x2ffc86ff,0xffaaffdc,
    0x9bff600f,0xffe83ffe,0x3ee07fff,0x003ffecf,0x3ea5fff3,0x2ffe80ff,
    0x97ff7fee,0x7fd47ff8,0xc8bffa06,0x7fcc05ff,0xfffd800f,0x3fff6001,
    0xffffd501,0x06ffa87f,0xff513ff6,0xffc89fff,0x6c0dff52,0xffd804ff,
    0x3fffea03,0x217fe44f,0xbff95ffb,0xb0fff980,0xfffd09ff,0x7ff40fff,
    0x2006ffa9,0xfff8fffb,0x6c9ff903,0x2a7ff9ff,0x37fd45ff,0x7ec5ffd0,
    0x1fff803f,0x01fffe40,0x007fff90,0x47fffff9,0x3fa06ffa,0x7fffd42f,
    0x4bff20ff,0x3fa06ffa,0x3ffd802f,0x3ffffea0,0x70bff20f,0x0fff6bff,
    0x7e47ffe0,0xfa99886f,0x2dff307f,0x2001fff8,0x06fffffe,0x7ff97fea,
    0x3ff23ffb,0xd037fd43,0x17ff45ff,0x5017ff40,0x54009fff,0x32004fff,
    0x3ea6ffef,0xda9999ef,0xcffa87ff,0x3ff25ffd,0x333dff52,0x00fffb53,
    0xfa80fff6,0x325ffdcf,0xaffdc2ff,0xfe802ffe,0x05fff32f,0xfc83ffcc,
    0x013ff63f,0x1fffff98,0x7cdffe20,0x367ff74f,0x37fd41ff,0x7fc5ffd0,
    0x3ffe802f,0x00dfff30,0x0037ffcc,0xa8ffe5f2,0xffffffff,0xffa83fff,
    0xf92fff8c,0x3fffea5f,0x3fffffff,0x407ffb00,0xfff8cffa,0xfb85ff92,
    0x005fff5f,0x7fec7ffd,0x7ffd881f,0x2a0fff88,0x32000fff,0xff804fff,
    0xf32ffb9f,0x2a1ffebf,0x3ffa06ff,0x200fffa2,0xfe881fff,0xfd1000ff,
    0x664401ff,0x4bfeaf94,0xfffffffa,0x3fea03ff,0xf91fff74,0x3fffea5f,
    0x003fffff,0xf501ffec,0x23ffee9f,0x7fdc2ffc,0xf007ffd5,0x7ffc43ff,
    0xfffdccdf,0xafffb87f,0x03fffaaa,0x003ffe20,0x3ff6bff6,0x3fe7ffe0,
    0x206ff986,0x3ff22fff,0x07ffcc05,0x000ffff4,0xb003fffd,0x3eef93ff,
    0x2abffea7,0x2a01fffd,0x33ffa4ff,0xfff52ffc,0x03fffb55,0x203ffd80,
    0x3ffa4ffa,0x7dc2ffcc,0x80bff95f,0x7440fff9,0xffffffff,0xfffe80df,
    0x6fffffff,0x01ffe200,0x37feffdc,0x13ff3ff6,0x7c03ffe2,0x3ffee1ff,
    0x21bff601,0x2002fffc,0x5002fffc,0xff7fdfff,0x3237fd49,0xff502fff,
    0x7f7ffcc9,0xc8dff52f,0x36002fff,0x3fea03ff,0x3fbffe64,0xbaffdc2f,
    0x3f601fff,0x3ff6e06f,0xf301ceff,0xffffffff,0x22003fff,0xff3007ff,
    0xffb89fff,0xff882fff,0x0fffc85f,0x640f7ff4,0x7fdc2fff,0x3fee004f,
    0x7ff4004f,0x2a1fffff,0xfffe86ff,0x644ffa80,0xf52fffff,0x1fffd0df,
    0x80fff600,0x7fe44ffa,0x7fdc2fff,0x207bffa5,0x4c02fffc,0xfc802ffe,
    0xaaaaaadf,0xf1004ffe,0x7ffc00ff,0x7ffc42ff,0xfff900ff,0x9fffd99f,
    0x9bffff30,0x98bfffd9,0x26005fff,0x50005fff,0xa81bfffd,0xfff986ff,
    0x444ffa85,0xf52fffff,0xbfff30df,0x80fff600,0x7fc44ffa,0x7fdc2fff,
    0x37fffe65,0x05fffecc,0x00ffba98,0xf5017ffc,0xff1001ff,0x7ffec00f,
    0x6fffe80f,0x3ffffa20,0x500effff,0xffffffff,0xfffd81bf,0xcccccccd,
    0x9bfffb0c,0x19999999,0xff503ec0,0x0fffee0d,0xff709ff5,0x1bfea5ff,
    0x401fffdc,0x3ea03ffd,0xffffb84f,0x2a2ffdc2,0xffffffff,0x7f4000df,
    0x01ffea00,0x2200fffe,0x3ee007ff,0xfff906ff,0xfffd9009,0xd91009ff,
    0x205dffff,0xfffffffd,0xfb1fffff,0xffffffff,0x3e403fff,0x740dff50,
    0x3fea0fff,0x25fffd04,0x3fa06ffa,0x7fec00ff,0x413fea03,0x7dc2fffe,
    0xffec885f,0xd7002eff,0xfd807ffd,0x6ffc804f,0x007ff880,0x5413ffe6,
    0x4c002fff,0x004c0001,0x7fffffec,0xb1ffffff,0xffffffff,0x4403ffff,
    0x81bfea01,0x3ea5fff8,0x5fff304f,0xf881bfea,0x7fec05ff,0x413fea03,
    0x7dc2fff9,0x0009805f,0x000acb98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000dee88,0x003310cc,0x00000b30,0x0000ccc0,0x00009988,0xd3001331,
    0x199800bd,0x1004cc40,0x2200cc13,0x2a07220c,0x440b324c,0x33310199,
    0x01998000,0xcc996640,0x3ee00000,0xdfd8002f,0xc8004fe8,0xf317c406,
    0x3ffc8003,0x2ffd8000,0x5ffe8800,0x007ff980,0xf8817fee,0x3bee00ef,
    0xde806fc8,0xff907c88,0xffc82ffc,0x007ffa03,0x002ffd40,0x3fea7ff1,
    0x3fe00001,0xdff10002,0x0fa000df,0x17f33f60,0x003fe400,0x000ffe60,
    0x01fff7e4,0xe801ffe6,0x07fe405f,0x0fff7ec0,0x1ffffd40,0x17fe7fc8,
    0xd100ffe2,0x3fa000bf,0x9ffc4005,0x00001ffa,0xa8000593,0x98001fff,
    0xffc8801f,0x3f60000c,0x0ff60003,0x4c7fd400,0x3fe601ff,0x80df5007,
    0xf1001ff8,0x5c4007ff,0x3200000b,0x1fd1004f,0x006fa800,0x00004c40,
    0x00000000,0x3fbb6e20,0x00000000,0x00000000,0x3ffcc000,0x00009880,
    0x20000000,0x3fa06ffa,0x0000002f,0x76c40000,0x002effff,0x3fffff60,
    0xffffffff,0x3ffffea7,0x43ffffff,0xffffffe9,0x06fff802,0x01bffe00,
    0x006fff80,0x201bffe0,0xf5007ff9,0x05ee989f,0xffffff50,0xfb801bdf,
    0x037fd45f,0x3fee5ffd,0x7ffffd45,0x23ffffff,0xf100fffd,0xfff509ff,
    0x1bffffff,0xffff8800,0xffffffff,0x3ffea7ff,0xffffffff,0x37fffe23,
    0x2a00ffff,0x8001ffff,0x001ffffa,0x01ffffa8,0x1ffffa80,0x803ffcc0,
    0x7fcc4ffa,0xffff5007,0x07ffffff,0x3ea2ffdc,0x4bffa06f,0x7fd45ffb,
    0xffffffff,0x13ffe23f,0x2607ffe4,0xecbdffff,0x64005fff,0xcfffbdff,
    0x24cccccc,0xccccfffa,0x3f21cccc,0x7ffbf55f,0x27fffec0,0x7fffec00,
    0xfffd8004,0xffd8004f,0x7fcc04ff,0x89ff5007,0xf5007ff9,0xffddb9ff,
    0x3fee05ff,0xd037fd45,0x17fee5ff,0x9999fff5,0xfb839999,0x7ffcc1ff,
    0x077ff442,0x8017ffdc,0xff88fff8,0x1bfea007,0x367ffd00,0x7fc4018d,
    0x2000ffff,0x0ffffff8,0x3fffe200,0x3e2000ff,0x200fffff,0xf5007ff9,
    0x07ff989f,0xb10dff50,0xff701fff,0x206ffa8b,0xbff72ffe,0x0006ffa8,
    0xffe8dffd,0x00fffa85,0x6401bff6,0x0fff15ff,0x0037fd40,0x017c7ffe,
    0xffecffb8,0x33fee003,0x2e003ffe,0x03ffecff,0x3fb3fee0,0x1ffe603f,
    0x2627fd40,0xff5007ff,0x0fffe20d,0xff517fee,0xb97ff40d,0x37fd45ff,
    0x2fff9800,0xf901fff5,0xfff980bf,0x8fffc400,0x2a007ff8,0x7fc006ff,
    0xd000fa8f,0x0dff53ff,0x7d4fff40,0x3ffa006f,0x2006ffa9,0x6ffa9ffe,
    0x401ffe60,0x7fcc4ffa,0x0dff5007,0x7dc27fe4,0x037fd45f,0x3fee5ffd,
    0x0037fd45,0xff1fff70,0x0fff607f,0x7007ffe0,0x7ffc4bff,0x1eeeeeee,
    0x3bbbffea,0x7ec5eeee,0x01516c9f,0x7fc5bfe6,0x6ff9801f,0x3003fff1,
    0x3ffe2dff,0x16ff9801,0x3e603fff,0x9ff5007f,0x5007ff98,0x7fdc0dff,
    0x545ffb86,0x3ffa06ff,0xfa8bff72,0xeeeeeeff,0x7fff405e,0x3ffa06ff,
    0x02ffe802,0xff117ff4,0xffffffff,0x7ffffd45,0x5c6fffff,0xff93ecff,
    0x6c7ff909,0xffc804ff,0x2013ff63,0x3ff63ffc,0x23ffc804,0xff304ffd,
    0x13fea00f,0x2a00fff3,0x3fea06ff,0x545ffb87,0x3ffa06ff,0xfa8bff72,
    0xffffffff,0x7ffcc06f,0x3ffe01ff,0x03ffe802,0xff11bfea,0xffffffff,
    0x7ffffd45,0x4c6fffff,0xffbbffff,0x07ffc40f,0x4401fff5,0x3fea0fff,
    0x3ffe200f,0x803ffea0,0x3ea0fff8,0xfff980ff,0x4ccccccc,0xff989ff5,
    0x0dff5007,0x7dc3ffd4,0x037fd45f,0x3fee5ffd,0x7ffffd45,0x806fffff,
    0x7404fffc,0xfff803ff,0x33bffa01,0x007ffccc,0x2001bfea,0xfffffffa,
    0xaafffb83,0x203fffaa,0xaaaafffb,0x3ee03fff,0xffaaaaff,0x3ffee03f,
    0x3fffaaaa,0xffffff98,0xff57ffff,0x007ff989,0x7dc0dff5,0x45ffb86f,
    0x3fe06ff9,0xa8bff72f,0x880006ff,0x7e400fff,0x7ffcc05f,0xfffff500,
    0x00ffffff,0x80037fd4,0x02dffffa,0xfffffffd,0x7f40dfff,0xffffffff,
    0x3fffa06f,0x6fffffff,0x3fffffa0,0x986fffff,0xffffffff,0x89ff57ff,
    0xf5007ff9,0x2ffe40df,0x3e22ffdc,0x3fff00ff,0xff517fee,0xff10000d,
    0x3fff700f,0xd037fec0,0xffffffff,0x7d400fff,0x5f10006f,0xffff9803,
    0xffffffff,0xfffff981,0x1fffffff,0xffffff98,0x81ffffff,0xfffffff9,
    0x401fffff,0xff501bdd,0x007ff989,0x7f40dff5,0x45ffb83f,0xfc85fff8,
    0x8bff70ff,0x80006ffa,0xfd007ff8,0xfff903df,0x27ffe605,0x7ffa9999,
    0x01bfea00,0xfc803dc0,0xaaaaaadf,0xffc84ffe,0xeaaaaaad,0xdffc84ff,
    0xfeaaaaaa,0xadffc84f,0xffeaaaaa,0x07fedc04,0x3e627fd4,0xdff5007f,
    0x203bff20,0xffc85ffb,0xfffeccff,0xf517fee4,0xf10000df,0x3fe600ff,
    0xffeccdff,0x17ff605f,0x6667ffc4,0xf50ccccc,0x999999ff,0x00bb0799,
    0xfa80bffe,0x17ffc0ff,0xf81fff50,0x3fea02ff,0x017ffc0f,0xd001fff5,
    0x89ff503f,0xccccfff9,0xfff54ccc,0xffffdb99,0x217fee05,0xffffffe8,
    0x3fee0eff,0x667ffd45,0x03cccccc,0x5003ffc4,0xffffffff,0x3fe601bf,
    0xffff101f,0x3fffffff,0x3fffffea,0xf86fffff,0x07ffa802,0x3ea3fff8,
    0x3fff807f,0x3e01ffea,0x1ffea3ff,0x2a0fffe0,0xf505ffee,0xffff989f,
    0x57ffffff,0xffffffff,0x7fdc09ff,0x3fffb205,0x5ffb84ff,0x7fffffd4,
    0x406fffff,0x44007ff8,0x2effffec,0x1037fe40,0xffffffff,0x3fea3fff,
    0xffffffff,0xd800986f,0xffc804ff,0x2013ff66,0x3ff66ffc,0x26ffc804,
    0xfc804ffd,0x0acb986f,0xf313fea0,0xffffffff,0x3fffeaff,0x400ceeff,
    0x33005ffb,0x545ffb80,0xffffffff,0x7c406fff,0x04c0007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30bb8800,0x15540019,0xa8009980,0x4cc003cc,0x09988000,
    0x80ee15c0,0x99880441,0x23991000,0xcc980cc9,0xcc887970,0x40019931,
    0x8b2a0000,0x23cb803b,0x2a6002cc,0x200aaaaa,0x1aaaaaa8,0x2aaaaaa8,
    0x77fff400,0x3ffc007f,0x007ffe40,0x005ffff1,0x8007ffee,0x5c00eff8,
    0xd105f51f,0x109d57df,0x2200bfff,0x01ff73ff,0x1bf61ff7,0x3fee7ff1,
    0x05ff7001,0xeffffa80,0x16fe803f,0x7e4007ff,0x203fffff,0x4ffffffa,
    0x7ffffff8,0x32abe600,0x7fc002ff,0x7effd407,0x3ef3fa06,0x6ffcc00f,
    0xff7000ef,0xffff1001,0x3fb7ee0d,0xfefd82ff,0x3ff8803f,0xff701ff7,
    0xff11bf61,0x2007fee7,0x4006a9f8,0x0dfdb9ec,0xff16fe80,0x66654007,
    0x32601ccc,0xc82ccccc,0x004ccccc,0x20001310,0x3fe204cc,0xc983fe8a,
    0xfd00b2e4,0x7c013fa9,0x0e4c001f,0x40dcc570,0x0ffa8ffb,0x00000000,
    0xd75f0000,0x00000000,0x00000000,0xb1000000,0x05dffffd,0x00000000,
    0x00000000,0x00000000,0x01fffb00,0xf713ffe2,0xffffa8bf,0x3fffffff,
    0x4037ffc0,0xf900fffa,0x6fff805f,0x1bffe000,0x545ffb80,0xffffffff,
    0x3ea03fff,0xffffffff,0x7fffd40d,0x3fffffff,0x3ea2ffdc,0x4fff606f,
    0xfffffffa,0xff53ffff,0xffffffff,0x3fffea7f,0x3fffffff,0x3ea2ffdc,
    0x3fe2004f,0x1fff904f,0x7d45ffb8,0xffffffff,0x3fea03ff,0x7fd401ff,
    0x05ff905f,0x00ffffd4,0x0ffffd40,0x545ffb80,0xffffffff,0xff303fff,
    0xffd97bff,0xffffa8bf,0x3fffffff,0x3ea2ffdc,0x4fff606f,0xfffffffa,
    0xff53ffff,0xffffffff,0x3fffea7f,0x3fffffff,0x3ea2ffdc,0x7fdc004f,
    0x17ffcc1f,0x3ea2ffdc,0xccccccff,0x3ff601cc,0x7fd404ff,0x2ffc82ff,
    0x13ffff60,0x3ffff600,0x8bff7004,0xccccfffa,0xe881cccc,0xffb80eff,
    0x33ffea2f,0x1ccccccc,0x3ea2ffdc,0x4fff606f,0xccccfffa,0xff51cccc,
    0x9999999f,0x33ffea39,0x1ccccccc,0x3ea2ffdc,0xffe8004f,0xb82fff46,
    0x37fd45ff,0xffff1000,0x7fd401ff,0x2ffc86ff,0xffffff10,0x7ffc4001,
    0xfb800fff,0x037fd45f,0x00fffa80,0xffa9bff6,0x5ffb8006,0xfb037fd4,
    0x01bfea7f,0x2006ffa8,0xb8006ffa,0x27fd45ff,0x97ffcc00,0xf700fffa,
    0x06ffa8bf,0x3b3fee00,0x3fea03ff,0x7fe44fff,0xfd9ff702,0x7fdc007f,
    0xb803ffec,0x37fd45ff,0x05ffc800,0xfa87ffcc,0xffb8006f,0xb037fd45,
    0x1bfea7ff,0x006ffa80,0x2001bfea,0x7fd45ffb,0x8039db74,0xfff8fffb,
    0x517fee03,0x74000dff,0x06ffa9ff,0x3fffffea,0x740bff20,0x06ffa9ff,
    0x3ea7ffa0,0x5ffb806f,0x80037fd4,0xff803ffd,0x00dff51f,0xfa8bff70,
    0x4fff606f,0x2a006ffa,0x3ea006ff,0xffb8006f,0x7eeffd45,0x7401ffff,
    0x406fffff,0x7fd45ffb,0xeeeeeeef,0x22dff305,0xff501fff,0x7e4bffb9,
    0x16ff982f,0xf3003fff,0x07ffe2df,0xfa8bff70,0xeeeeeeff,0x05ffd05e,
    0x3ea5ffd0,0xeeeeeeff,0x45ffb85e,0xeeeefffa,0xf53fffee,0xddddddff,
    0x77ffd4bd,0x25eeeeee,0xeeeefffa,0xffb85eee,0x6ffffd45,0x4c06fffc,
    0x401fffff,0x7fd45ffb,0xffffffff,0x6c7ff906,0x9ff504ff,0x3f25fff1,
    0x23ffc82f,0xfc804ffd,0x013ff63f,0xffa8bff7,0xffffffff,0x005fff06,
    0x3fea7ffd,0xffffffff,0x545ffb86,0xffffffff,0xff53ffff,0xffffffff,
    0x7ffffd4d,0x2a6fffff,0xffffffff,0x5ffb86ff,0xf317ffd4,0xfff900ff,
    0x8bff7009,0xfffffffa,0xff886fff,0x03ffea0f,0x7fdd3fea,0x442ffc8f,
    0x3fea0fff,0x3ffe200f,0x803ffea0,0x7fd45ffb,0xffffffff,0x007ffd06,
    0x3fea3fff,0xffffffff,0x545ffb86,0xffffffff,0xff53ffff,0xffffffff,
    0x7ffffd4d,0x2a6fffff,0xffffffff,0x5ffb86ff,0x7fc37fd4,0x7ffc400f,
    0x45ffb800,0xb8006ffa,0xfaaaafff,0x4ffa83ff,0x3ff33ffa,0x557ffdc2,
    0x203fffaa,0xaaaafffb,0x3ee03fff,0x037fd45f,0x405ffc80,0xff50fff9,
    0xbff7000d,0x3606ffa8,0x0dff53ff,0x0037fd40,0x7000dff5,0x5ffa8bff,
    0x4400fff8,0xff7007ff,0x006ffa8b,0xffffffe8,0xfa86ffff,0x3bffe64f,
    0x7fff42ff,0x6fffffff,0x3fffffa0,0x206fffff,0x7fd45ffb,0xfff70006,
    0x537fec03,0xf7000dff,0x06ffa8bf,0x7fd4fff6,0x1bfea006,0x006ffa80,
    0x7d45ffb8,0x00ffe84f,0xb803ffc4,0x37fd45ff,0x3fffe600,0xffffffff,
    0x3227fd41,0x262fffff,0xffffffff,0xf981ffff,0xffffffff,0xff701fff,
    0x006ffa8b,0x207bffa0,0x3ea2fffc,0xffb8006f,0xb037fd45,0x1bfea7ff,
    0x006ffa80,0x2001bfea,0x7fd45ffb,0x400ffe84,0xf7007ff8,0x06ffa8bf,
    0x556ffe40,0x4ffeaaaa,0x3e227fd4,0x3f22ffff,0xaaaaaadf,0xffc84ffe,
    0xeaaaaaad,0xbff704ff,0x0006ffa8,0x337fffe6,0x545fffec,0xfb8006ff,
    0x037fd45f,0x3fea7ffb,0x1bfea006,0x006ffa80,0x7d45ffb8,0x00ffe84f,
    0xb803ffc4,0x7ffd45ff,0xcccccccc,0xa80bffe3,0x3fea0fff,0x2ffffb84,
    0xfa80bffe,0x17ffc0ff,0x701fff50,0xfffa8bff,0xcccccccc,0x3fffea03,
    0x40dfffff,0xccccfffa,0x7dc3cccc,0x037fd45f,0x3fea7ffb,0xcccccccf,
    0x99fff53c,0x27999999,0xccccfffa,0x7dc3cccc,0x427fd45f,0x7c400ffe,
    0xbff7007f,0xffffffa8,0xf56fffff,0x7fff00ff,0xfe827fd4,0x0fff52ff,
    0x7d47fff0,0x3fff807f,0x7d45ffb8,0xffffffff,0x764406ff,0x502effff,
    0xffffffff,0xffb8dfff,0xb037fd45,0x3ffea7ff,0xffffffff,0xffffff56,
    0x2adfffff,0xffffffff,0x7fdc6fff,0x7427fd45,0x7fc400ff,0x8bff7007,
    0xfffffffa,0xffb6ffff,0x4dff9009,0xff304ffa,0x013ff65f,0xffd9bff2,
    0x86ffc804,0x7fd45ffb,0xffffffff,0x004c006f,0x7fffffd4,0x5c6fffff,
    0x37fd45ff,0x3ea7ffb0,0xffffffff,0xffff56ff,0xdfffffff,0x3fffffea,
    0x5c6fffff,0x27fd45ff,0x00007ff4,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x000721cb,0x20007ff7,0x4c400098,
    0x44002621,0x41310099,0x41310099,0x09980099,0x03300300,0x20013030,
    0x00000998,0x00000000,0x0000004c,0x20330000,0x1feffffc,0x01ffdc00,
    0xffffd910,0x7ff1005d,0x3a003ff3,0x3ff301ff,0x3e601df7,0x400ffb9f,
    0x75c05ff9,0x0df503ef,0x007d47f0,0x5c02ffd8,0x4c02effd,0x0002effd,
    0x32203ffd,0xfc8dffff,0xffffffff,0x27ffa002,0xff300ffc,0x3fae73a0,
    0x3ffb8004,0xfffff500,0x801bffff,0x004ffff9,0xfc803ff5,0x7dc01ffe,
    0xf9802fff,0x2ffee05f,0x02fe83ff,0x04feefc8,0xc807ff10,0x04ffffff,
    0x9ffffff5,0xffddd100,0xffe885df,0xffdeffff,0x2fffffff,0x327ffa00,
    0x0df700ff,0x00000000,0x97bffff3,0x900bfffd,0x7f400dff,0x09ffd002,
    0x4017ff60,0x3fa02cc8,0x6fa8df94,0x00b76a00,0x7d403fc8,0x0fffccff,
    0xffcdffe8,0x7ffc400f,0x7ec3ffff,0xfffecfff,0xcccccdff,0x3ffa001c,
    0x3f607eb9,0x037ffc04,0xffffffe8,0xfe86ffff,0xfffb80ef,0x00000002,
    0x00000000,0x3ee7ff00,0x00017f47,0xffb00000,0x2a1ffe45,0x13fee5ff,
    0x3ffa6660,0x0fffe60a,0x001fffd5,0x647ffa00,0xa80bfe06,0xe801ffff,
    0xffffffff,0x7ffdc6ff,0x81bff600,0x201cddc8,0x0bdeedb8,0x6641664c,
    0xdeedb884,0x3772200b,0x2e7ff01c,0x801bea7f,0x801cddc8,0xf98bdeca,
    0xff70ea62,0x222ffd89,0xbd9307ff,0xfb07ffa7,0x3ffea0bf,0x6f64c000,
    0x7f53ffd3,0xd803fe60,0xb804ffff,0xfdcccccc,0x2ffe46ff,0x203ffe60,
    0x4ffffffa,0xfffffff0,0xf84ffb8b,0x7fffc0ff,0xff505fff,0xfd09ffff,
    0x2fe9bf29,0xfffff500,0x3ff6209f,0x00ffffff,0x3617ff44,0x07ffc1ff,
    0x37ffffee,0x7ff41ffe,0x003ffe02,0xdfffffb8,0x203b9ffe,0x3fe206fb,
    0x0000ffff,0xd81fffd1,0xfff803ff,0x677ffcc1,0x7fdc3fff,0x23ffebac,
    0xfff84ffb,0x2eb3fee0,0x7fcc3ffe,0x43fffcef,0x53ffdffa,0x3fe600df,
    0x83fffcef,0xffddfffe,0x7ffec05f,0x741ffe83,0x3ffe20ff,0x1ffffecf,
    0xff00fffc,0x9ddddddf,0xecffff88,0xd801ffff,0x33fee04f,0xb0003ffe,
    0xfff03fff,0x85ffd005,0x3fe23ffd,0x3223ff46,0x213fee1b,0x1ffa0fff,
    0xffd83791,0x2a1bfe23,0x0bfa2dfd,0xf11ffec0,0x0effb8df,0xf807fff6,
    0x1fff05ff,0x3f21ffe8,0x3fff20ef,0x803ffe21,0xfffffffe,0x22ffec5f,
    0xf801fffc,0x27ffa02f,0xc8006ffa,0xfff03fff,0x85ffd005,0x7fec0fff,
    0x2b3fffa1,0xf09ff700,0x7fff41ff,0x3ffe00ac,0x080ffec0,0x5b7137d4,
    0xfd81fff0,0xc8fff61f,0x9104ffef,0xff85fffb,0xd0fff40f,0xfff987ff,
    0x803ffe21,0xffffffff,0x217ff45f,0x4401fff9,0xdff300ff,0x8007ffe2,
    0x3a04fffa,0xfff803ff,0x3bbffe21,0x2a2ffeee,0x2effffff,0x7fc27fdc,
    0x3fffea0f,0x7fc42eff,0xffeeeeef,0x2a5fd002,0xf10effff,0xfdddddff,
    0xb8fffc5f,0x806ff9cf,0x7ffc6ff9,0xff0fff41,0x83fff01f,0xff101fff,
    0x3ffe001f,0x401fff80,0x3ff206fa,0x4013ff63,0x6406fff9,0xf30444ff,
    0x7ffcc1ff,0x3fffffff,0x7fffff54,0x213fee4f,0x7f540fff,0x264fffff,
    0xffffffff,0x6fa803ff,0x4ffe33fa,0xfffffff9,0x5ffe3fff,0x0dff35fa,
    0xfe87ffa0,0xf07ffc1f,0x3ffd01ff,0xf302ffe8,0x3fe001ff,0x01fff80f,
    0xff8827e4,0x03ffea0f,0x01fffd10,0x320fffb8,0x46ffd8cf,0x10007ff8,
    0x5cffffb5,0x0fff84ff,0xffffb510,0x0003ffc4,0x2ff897f4,0x1ffe2bfb,
    0x6fbffe80,0x4aa97fee,0x3f62ffe8,0xd1ffe22f,0xfff885ff,0xb837fec1,
    0xff000fff,0x1fff885f,0xfb817f40,0xffaaaaff,0x7fff403f,0x1dffd001,
    0x3ffffff2,0x5c2fff82,0x099710ab,0x3fea3ffd,0x887ffd45,0x1ffe84cb,
    0x5770bffe,0x226fa801,0x7cdf91ff,0x055dc2ff,0x741dfff9,0x87ffe3ff,
    0x3ee1fff8,0xb17fea5f,0xfffa89ff,0x05fffcc1,0x001ffff3,0xff713ff6,
    0x07fc403f,0xffffffe8,0x3206ffff,0x26002fff,0xfdbcffff,0xff705fff,
    0x8dff715d,0xfa88bffe,0x7fff10ff,0x41ffff51,0xfa88bffe,0x3bfee0ff,
    0x806ffb8a,0x4bfe22fe,0x3bfee5fd,0x446ffb8a,0xfea9dfff,0x5f7fe46f,
    0x7c46ffeb,0x1ffeabff,0x64f7ffcc,0xfd81ffff,0xfffdcfff,0xeeeeeeff,
    0x3bffea4e,0x01ffffc9,0x7fcc1fea,0xffffffff,0xfffb81ff,0xfffa8004,
    0xffffffff,0xffffd883,0x7fcc0fff,0x43ffffff,0xeefffffe,0x3ffe60ff,
    0x443fffff,0xfffffffd,0x7437d400,0x223ff9df,0xfffffffd,0xfffffe80,
    0xffe81fff,0xb80fffff,0x05ffffff,0xbffffffb,0xffd103ff,0xffbdffff,
    0xbfffffff,0xffffffd8,0x3f201ffe,0x55bff905,0x9ffd5555,0x005fff98,
    0x3fffb220,0x06fffddf,0x03bffff9,0x3bfffb26,0xdfffd882,0x64c0ffd8,
    0x202efffe,0x01dffffc,0xfe982fe8,0xfff905ff,0x97f903bf,0x2019fffd,
    0x0dffffc8,0x13fffea0,0x91dfff70,0x3f2203ff,0xffc8dfff,0x5fffffff,
    0xc8efffc8,0x0ffa01ff,0xf5017ffc,0x7ffec1ff,0xcccccccd,0xa813000c,
    0x00c403ff,0x0c002620,0x00098800,0x4c880062,0x44005d40,0x0221c401,
    0x88003300,0x0004c001,0x00000310,0x13300013,0xf00fff50,0x7ffec7ff,
    0xffffffff,0x0280001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x009ffb00,0x7fecdff9,0xffffffff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00133000,0x000cc131,0x4000ccc4,0x00000099,
    0x88001331,0x00000099,0x00031062,0x30260011,0x00066001,0x5544d544,
    0x4000c402,0x0c400998,0x2f260062,0x3304c400,0x1fffd801,0x7ec7fdc0,
    0x3ffc8006,0x02ffcc00,0xd82ffc28,0xf1001fff,0x5ffb81df,0x4c37fd40,
    0x3e61b21f,0xdfff916f,0x3e64e807,0x7fffdc01,0x3ff6001c,0xd501ffc8,
    0x10059fff,0xf980dfff,0x2fe01b21,0x8aff404d,0x3fee03ff,0xefd806fd,
    0x7c4000ff,0xff98004f,0x3e375405,0xfdffb85f,0x01df9006,0xfa80bff7,
    0xfddfd06f,0xd3dff305,0x07ffffff,0x037f7fd4,0x3fffffe6,0x9ff9800f,
    0xff702ff8,0x803fffff,0x404fedfd,0x402feefe,0xfe80d579,0x2207ff15,
    0x809fd2ff,0x8003fff8,0x910004fb,0x37fcc079,0x5ff113fa,0xff1013fa,
    0x017fee01,0x2a20dff5,0xfff301cd,0xffff9fff,0x5ee4c01f,0x997fec00,
    0x2fd803ff,0x3fe207f9,0x05ffc9bf,0x3fe63bee,0x0736a201,0x201ff740,
    0x006aa2aa,0x00000000,0xf3000000,0x0009d0df,0x5ffb8000,0x0037fd40,
    0x0bfffe60,0x0009fff7,0xff0fff40,0xf500000b,0x01ffe89f,0x20000000,
    0x1000001a,0x017bddb7,0x00acedb8,0x4337bb26,0xb802cddb,0x6d40aced,
    0x1f93cfff,0x02b3b6e0,0x8159db70,0x7d405ffb,0x9bb7306f,0x07fff303,
    0x5cc1bff6,0x3200bced,0x07ff95ff,0x07376e60,0x06617fdc,0x07376e60,
    0x3320b326,0x320b3264,0x20b3264c,0xffff84cc,0xfd305fff,0x503fffff,
    0xffffffff,0x20bfffff,0xffffffe9,0x3fffff21,0xffd303b6,0xd303ffff,
    0x43ffffff,0x7d405ffb,0xffffd86f,0x7ffcc4ff,0x90fff700,0x3fffffff,
    0x3fbffe20,0xffd800ef,0xfa84ffff,0xffd8004f,0x7dc4ffff,0x70fff84f,
    0x1fff09ff,0x3fe13fee,0x2b3fee0f,0x7c43ffeb,0x6ffecfff,0x766fffc4,
    0xfecdffff,0x7fffc44f,0x3ae6ffec,0x2205efff,0xffecffff,0x67fffc46,
    0x3fee6ffe,0x237fd405,0xffeefffd,0x81ffe64f,0x7fcc7ffa,0x05ffeccf,
    0x017ffff2,0x7f77ffec,0x3fea24ff,0x6c00999e,0xfffeefff,0x3e13fee4,
    0x09ff70ff,0x3fee1fff,0x3a0fff84,0x20de447f,0x3f60dffc,0x88bb262f,
    0x7fec5fff,0xd837ff21,0x1bfe62ff,0xd837ff20,0x37ff22ff,0x7dcbff60,
    0x37fd405f,0x7d43dff7,0x0dff31ff,0xb507ffd4,0x837fcc3d,0x01fffffa,
    0x2a1effb8,0xfffd1fff,0x5c05ffff,0x3fea1eff,0xf09ff71f,0x13fee1ff,
    0x7fdc3ffe,0x3a0fff84,0x200acfff,0x00c43ffe,0x42fffa88,0x3ffa2ffa,
    0x7fcc0c43,0x43ffe806,0x43ffe818,0x02ffdc18,0xffd9bfea,0xf34ffe84,
    0x7ffcc0df,0x3ffdc400,0x7ff7ffe4,0x6c0ac88e,0x4ffe84ff,0xfffffffd,
    0x427fec05,0x9ff74ffe,0x3ee1fff0,0x70fff84f,0x1fff09ff,0x7fffffd4,
    0x01fff82e,0x7fff6d40,0xfeeeeeff,0x007ffe3f,0x7c037fcc,0xfff001ff,
    0x0bff7003,0x3fe6ffa8,0x35ffb81f,0x7fcc0dff,0x7fed440f,0x7fd47fff,
    0xcdfff89f,0x0fffc3ff,0xc98affdc,0x20099bff,0xffb81fff,0xff09ff75,
    0x213fee1f,0x9ff70fff,0xea81fff0,0x44ffffff,0xd1001fff,0xfff9dfff,
    0xbfffffff,0x9800fffc,0xfff806ff,0x03fff001,0x04cbff70,0xfff97fea,
    0xf36ffa80,0x3ffd40df,0x2fbfffa2,0x1ffe47ff,0x1ffffff3,0xfa80fff8,
    0x00ffec6f,0xfa80fff8,0xf09ff76f,0x13fee1ff,0x7fdc3ffe,0x100fff84,
    0xe8ffffb5,0x205443ff,0x3fe0dffd,0x999999bf,0x510fffa0,0x806ff981,
    0x05443ffe,0x1510fffa,0x7fd6ffdc,0xfb2ffe46,0x29ffb07f,0x3ea06ff9,
    0x067ff47f,0x1fff8fff,0x42ffffdc,0xffd83ffd,0xb0037fc4,0x9ffb07ff,
    0x3fe13fee,0xf09ff70f,0x13fee1ff,0x65c43ffe,0x361ffe84,0x27fe44ff,
    0x7fc41fff,0xb056544f,0x4ffc89ff,0x3601bfe6,0x27fe44ff,0xffc89ffb,
    0xff3bff74,0x927fec1f,0x5fff0bff,0xfd81bfe6,0x11ffe25f,0x3ffc8fff,
    0xc84fffe8,0x2fff85ff,0xc8007ff6,0x2fff85ff,0xffa8bff5,0xa8bff50f,
    0xbff50fff,0x3a0fffa8,0xffa88bff,0x37ffe60f,0x360fffba,0xfffb13ff,
    0x3fff517f,0x5d6fffcc,0x3fe20fff,0x3fe603af,0x0fffbadf,0x2eb7ffe6,
    0xbff70fff,0x3fb3fffa,0x3ffe61ff,0x26fffbae,0x6e6c6ff9,0x7ff43fff,
    0x98fffb32,0xfebacfff,0x260dffff,0xffbaefff,0x3ffff26f,0x40fdcdff,
    0xfbaefff9,0x3ffe26ff,0x0ffffa8b,0xf517fff1,0x3fe21fff,0xffffa8bf,
    0x3ffffe60,0xffc83fff,0x543fffff,0xefffffff,0x3fffffff,0xffffffc8,
    0x7ffff83f,0x7ffffe40,0xfffc83ff,0x3ee3ffff,0xfffff55f,0xfff307ff,
    0x4c3dffff,0x3ffe66ff,0xfffb86ff,0x40ffffff,0xfffffffd,0x4c3fffdf,
    0xefffffff,0x3ffffee1,0x984fffff,0xefffffff,0x7fffff41,0x3fa0ffee,
    0xffeeffff,0x3fffffa0,0x64c0ffee,0x202efffe,0x02dfffea,0x23bfffd7,
    0x03dfffea,0x0b7fffaa,0x007fffd4,0x0b7fffaa,0x2dfffea8,0xff52ffdc,
    0x6cc07bff,0x4c0cffff,0x3ffaa6ff,0xfeb880df,0x83ffb9ef,0x0dfffffb,
    0x3f6609f5,0x7c40cfff,0xfffecabe,0xfffb305f,0xffb1019f,0x41ffb1bf,
    0xd8dfffd8,0x3ff620ff,0x00ffd8df,0x18800262,0x18802200,0x3000c400,
    0x00188001,0x310000c4,0x00011000,0x00220018,0x00402620,0x10040088,
    0x00044003,0x00030003,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04cc4000,0x40333100,
    0x00001998,0x09880000,0x13100266,0x000004cc,0x200ccc00,0x00001998,
    0x2aa00000,0x00005552,0x80009880,0x21988019,0x4cc40098,0xfff88000,
    0x0fff2005,0x4003ffd0,0x200befeb,0x00ceffeb,0x1ffcd7fa,0x7fc4ffe0,
    0xe81bfea2,0x04ffbaff,0x6c01ffdc,0xfd7001ff,0xffb003bf,0x7d403b37,
    0x004ff9bf,0xc880fff4,0x42efffff,0x0bfa0fff,0x3fa1ff70,0x07fff405,
    0x3fa17ffc,0xf8803ffd,0x5fe8804f,0xffffe880,0xfffc80ff,0xfd00efff,
    0x880ffe6b,0x41ff51ff,0x3fa06ffa,0x404ffbaf,0x3fa004ff,0xffffd805,
    0xffb803ff,0x53fa00bf,0xfe8005fd,0xffffa81f,0xf0dfffff,0x027e41ff,
    0x2ff43fee,0x0dfbdf70,0xb7dc5fff,0x7dc01ff9,0x03fa2004,0xfb9fffb0,
    0xcfff889f,0x5504ffeb,0xa802aa23,0xa8ff70ff,0x3ffa06ff,0x2e03ffba,
    0x7f44005f,0x33ffee01,0x2a00fffe,0x2602fffe,0x001df35f,0xf983ffd0,
    0xfecbdfff,0xa8fff5ff,0x5154c06f,0x27fe6055,0x7ffc3fe8,0x00000002,
    0x0eff9800,0xffb83ffa,0x001bfe63,0x7ecdf900,0xd037fd45,0x00be25ff,
    0xff800000,0x413ff61f,0x01ff92e8,0x3fa00000,0x077ff41f,0x7c8fffdc,
    0x00007fc4,0x5fff0000,0x99905993,0x6641664c,0x320b3264,0x21ffe44c,
    0x22ffc808,0x2e605ff8,0xffd81cdd,0xffffffff,0x40dff50f,0x01f72ffe,
    0x007376e6,0x207376e6,0x7fd47ff8,0x3aaee607,0x41664c6f,0xbd9304cc,
    0xfa87ffa7,0x3ff601ff,0x2fe85f8d,0x0e6ee440,0x07377220,0x3fee7ffa,
    0xf70fff84,0x21fff09f,0xfff84ffb,0x262bff60,0x4bff3009,0xffb03ffb,
    0xfd89ffff,0xffffffff,0x0dff50ff,0x1ff6fff4,0xffffffd8,0x3ffff604,
    0x2ffcc4ff,0xb103ffe2,0x7fffffff,0x7fc27fdc,0x7fffdc0f,0x321ffedf,
    0x7fcc05ff,0x4fc80eff,0x3ffffea0,0xffff504f,0x8ffe89ff,0xfff84ffb,
    0xff09ff70,0x213fee1f,0x3ffa0fff,0x703ffffb,0x0bffffff,0x3fbbfff6,
    0x3eeaa4ff,0xabffcabf,0x740dff50,0xfb00beff,0x9fffddff,0xfddfffb0,
    0x3ffc49ff,0xfb07ffe6,0xffffffff,0x7fc27fdc,0x3fffe20f,0x21ffffec,
    0xff803ffd,0x41bea05f,0xffcefff9,0x77ffcc3f,0x3f63fffc,0xff09ff77,
    0x213fee1f,0x9ff70fff,0x7fc1fff0,0x3fffffff,0x1fffffb0,0x543dff70,
    0x3fd41fff,0xdff50ff7,0x7017ff40,0x7fd43dff,0x87bfee1f,0x3fa1fffa,
    0x8bfff62f,0xf912fffb,0x13fee3ff,0xffc83ffe,0x87fff20e,0xfe802fff,
    0x03fe203f,0xff88fff6,0xf11ffec6,0xfbbfe4df,0x70fff84f,0x1fff09ff,
    0x3fe13fee,0x4bfffe0f,0x7ec0fffa,0x41fffeff,0xffe84ffd,0xbfb37e44,
    0x740dff50,0x3ff602ff,0x364ffe84,0x4ffe84ff,0x3ffbffea,0x3ff62fff,
    0xf73fff84,0x41fff09f,0x7fcc3ffe,0x00bffe1f,0xff00fffa,0xd81fff05,
    0x03ffe1ff,0x5bee3ffb,0xfff84ffb,0xff09ff70,0x213fee1f,0x3ffa0fff,
    0xf917fec5,0x237fcc9f,0xffb81fff,0x55dfd555,0x2a155bff,0x3ffa06ff,
    0x207ffe02,0x3ffe5ffb,0x5c5ffb81,0xffedffff,0x320bffe1,0x09ff75ff,
    0x7ffc1fff,0x3a1fff80,0xfff803ff,0x2227ec01,0xeeeeefff,0xdfff12ff,
    0x25ffdddd,0x09ff75fa,0x3fee1fff,0xf70fff84,0x41fff09f,0x7fdc3ffe,
    0xfd03ffa4,0x407ffc3f,0xfffb6ffa,0xffffffff,0xf81bfe61,0x3ffe02ff,
    0x3e6ffa80,0x6ffa80ff,0xfff2ca88,0x5c0fffc1,0x09ff75ff,0x7ffc1fff,
    0x321ffe80,0x7fcc05ff,0x237dc00f,0xfffffff9,0xfff33fff,0x7fffffff,
    0x27fdd7ea,0xffb87ffc,0xf70fff84,0x41fff09f,0x7fdc4ffd,0xfb03ffe3,
    0x41ffec5f,0xfffb4ffd,0xffffffff,0x403ffe21,0x3f601fff,0x24ffd83f,
    0xffd83ffd,0x47ff8804,0xffd83ffe,0xff09ff74,0x217ff41f,0x3ee1fff8,
    0x3ff601ff,0x447f9806,0xff1007ff,0x54fa200f,0x7ffd45ff,0xfa8bff50,
    0x8bff50ff,0x3ea0fffa,0xd17fec7f,0x1fff85ff,0x3fe17ff2,0xfb9fea2f,
    0x0bfff107,0x6401fff9,0x2fff85ff,0x3fe17ff2,0xb87fb22f,0x2ffe44ff,
    0x7d4bffe2,0x07ffd45f,0xffa89ffb,0x0f7ff41f,0x8017ffe4,0x17ffc1ff,
    0xfff82aee,0x88055dc2,0xffa8bfff,0x7fff10ff,0x21ffff51,0xfa8bfff8,
    0x7ff40fff,0x20fffcae,0xfdabfffc,0x77ffcc6f,0x646fffba,0xc817f66f,
    0xfeccefff,0x7fcc04ff,0x6fffbaef,0x5d77ffcc,0x7fd46fff,0x40fffcae,
    0xfbaefff8,0x3ffe26ff,0x0ffffa8b,0x327bffe6,0x7cc1ffff,0xfeccdfff,
    0x3f6005ff,0x4577fdc3,0x7fdc6ffb,0x26ffb8ae,0xfffd1ffe,0x41ffddff,
    0xeefffffe,0x3fffa0ff,0x40ffeeff,0xfffffffa,0xfffffe82,0xfff981ff,
    0x741effff,0x880ffa4f,0xfffffffe,0xff9800ef,0x81efffff,0xfffffff9,
    0xffffe81e,0xfff503ff,0xe83fffff,0xfeefffff,0x7fffec0f,0xa81ffdff,
    0xffffffff,0x3ee000df,0x7fffec45,0x7ec40fff,0x20ffffff,0xffb11ffe,
    0x41ffb1bf,0xd8dfffd8,0x3ff620ff,0x80ffd8df,0x01efffe9,0x3dfffb51,
    0x7fffecc0,0xf13ff80c,0xffd7005f,0x98009fff,0x00cffffd,0x33ffff66,
    0xdfff9300,0xfffe9805,0xffd880cf,0x80ffd8df,0xfc8efffb,0xffd9101f,
    0x30005dff,0x3fff20ff,0x3ff201df,0x7ff41dff,0x01800181,0x26000180,
    0x00262000,0x09980110,0x26600066,0x00880000,0x4c000880,0x00098000,
    0x004c0006,0x00002600,0x00310066,0x00000188,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x06660099,0x98800000,0x01db8000,0x01310cc4,0x09980000,0x004cc400,
    0x44001333,0x03100009,0x00098800,0x00262000,0x00988011,0x04c40044,
    0x06660133,0xb80bff30,0x3fee03ff,0xffd88003,0xb800cfff,0x3ea00fbd,
    0xfa8dfb1f,0x0bffa06f,0x800fffec,0x2a00eff8,0xfeb804ff,0xca802eff,
    0x002efffe,0xdffffdb1,0x9ff90005,0x3e602fd8,0x3017ec03,0x3ff3007f,
    0xff701df7,0x006fd809,0x7fdc0ff9,0x7ffd4003,0x01ffffff,0x2a01e96c,
    0xa8dfb1ff,0x3ffa06ff,0x6fdffa82,0x001df900,0x7dc01ff7,0x00ffffff,
    0xffffffd1,0xffa809ff,0xdfffffff,0x53ff2000,0x3602ffea,0x0bffaa07,
    0x3f2007d8,0x9fd01ffe,0x000ef980,0x7fdc0ff6,0x3ffe6003,0x6fffeccf,
    0x20377d40,0x85530aa8,0x3fa06ffa,0xe97fc42f,0x07fc404f,0x2209f900,
    0xffe9afff,0xbffffb03,0x20bfffd9,0xcbdffff9,0x2005fffe,0xfddf4ffc,
    0xf80bea05,0x5f502fee,0x04ffe800,0x00000bf5,0x01ffdc00,0x981bffb0,
    0x14403fff,0x3fea0000,0x00bffa06,0x00000000,0xffb97fe6,0x84fff984,
    0x7441fffb,0xffb80eff,0x9ff9002f,0x6e817e46,0xd02fc8c0,0x0000000d,
    0x01cddc88,0x40e6ee44,0xddb8bffb,0x07ffd40c,0x7303dfc8,0x4c0179db,
    0x540bcedb,0x3ffa06ff,0xbcedb982,0x33b6e600,0x3b6e600b,0x27fd40bc,
    0xd9303ffb,0x17ffa01f,0x6c01fff5,0xff9006ff,0xfb82fc89,0x705f9001,
    0xdb98003f,0x2cc981cd,0xffffff50,0x3fffea09,0x6ffdc4ff,0x21effffe,
    0x20005ffb,0xfffffffc,0xfffffc81,0x1bfea1ff,0x7e42ffe8,0x81ffffff,
    0xfffffffc,0xfffffc81,0x53fee1ff,0x40006ff9,0x7fe47ffb,0x07ffcc05,
    0x3227fe40,0x002fc42f,0x05f885f9,0x7ffffec0,0x427fd44f,0xffcefff9,
    0x77ffcc3f,0x3ee3fffc,0xfffddfff,0x000fff66,0x7667ffcc,0x7ffcc5ff,
    0x2a5ffecc,0x3ffa06ff,0x333ffe62,0x7fcc5ffe,0x45ffeccf,0xfeccfff9,
    0x5d3fee5f,0x555503ff,0xf7555555,0x1ffec1ff,0x400fffc0,0x17e44ffc,
    0xfc8003f2,0xb0007e42,0xfffddfff,0x6c27fd49,0x1bfe23ff,0x7fc47ffb,
    0x88bffee6,0x7ffd2fff,0x87b6a000,0x76d46ff9,0xfa9bfe61,0x8bffa06f,
    0x3fe61eda,0xf30f6d46,0x21eda8df,0x3fee6ff9,0x3e0bffb4,0xffffffff,
    0x3a1fffff,0xffe802ff,0x44ffc802,0x013e22fc,0x27c45f90,0x43dff700,
    0xff51fffa,0xd81fff09,0x03ffe1ff,0x3fee3ffb,0xfd4ffd87,0x4400007f,
    0xb8807ffb,0x1bfea7ff,0x4402ffe8,0xb8807ffb,0xfb8807ff,0x5d3fee7f,
    0xfff83fff,0xffffffff,0x3ffe1fff,0x03ffe802,0xd804ffc8,0x001ec80f,
    0x166d41fb,0x7f427fec,0x889ff54f,0xeeeeefff,0xdfff12ff,0x25ffdddd,
    0xffb84ffb,0x0009ffb5,0x7fffed44,0xffda887f,0x3fea7fff,0x10bffa06,
    0xffffffb5,0xffffb510,0xffb510ff,0x7fdcffff,0xb0bfff24,0x55555bff,
    0x741fff75,0xfff803ff,0x04ffc801,0x7fdc1fcc,0x363f9801,0x7fc4feef,
    0x55ffb81f,0xfff989ff,0x3fffffff,0xfffffff3,0x3fee7fff,0xf95ffa84,
    0x056cc0bf,0x2fbfffa2,0x7ff447ff,0x267ffbef,0x3ffe06ff,0x3bfffa22,
    0x7f447ffb,0x47ffbeff,0xfbefffe8,0xb13fee7f,0x7fe43fff,0x91bfee06,
    0xff980bff,0x3f204c0f,0x4c37404f,0x6e801fff,0x23fc5ba2,0xffa80fff,
    0xf889ff56,0xfff1007f,0x21bfee00,0xfff54ffc,0xd1bffa01,0x3ffc19ff,
    0xff833ffa,0x403ffe27,0x3ffa1fff,0xfd1ffe0c,0x23ffc19f,0x3fe0cffe,
    0x3613fee7,0x3ffea4ff,0xb89ffd01,0x3f601fff,0xb13fee6f,0x17d407ff,
    0x007f77e2,0x37d405f5,0x3f60fff6,0xf09ff54f,0x0abb85ff,0x5770bffe,
    0xf03ffee1,0x6fff47ff,0x117ffdc0,0x7ff88fff,0xff11ffe2,0x42fffc4f,
    0xff10fffc,0x227ff88f,0x3ffc47ff,0xff88fff1,0x2613fee7,0x6fff46ff,
    0x417ffdc0,0xfc81effe,0x1bfea2ff,0x37405fff,0x07f23ba2,0x7fdc0dd0,
    0x7c2ffe41,0x09ff52ff,0xf715dff7,0xaeffb8df,0x3ee6ffb8,0xffeacfff,
    0x3fffe60f,0x86fffecc,0xffb32ffe,0xb32ffe8f,0xfffc8fff,0x4fffeccf,
    0xfd997ff4,0x997ff47f,0x7ff47ffd,0x5cfffb32,0xf93d54ff,0xffff887f,
    0x03ffffcd,0x99bffff3,0xf88bfffd,0xfffecfff,0xfc83f700,0x702effee,
    0x07ff203f,0x2ebbffe6,0x3fea6fff,0xffffd884,0x7ec40fff,0x20ffffff,
    0xffffdffb,0xfffa82ff,0x80ffffff,0xfffffffb,0x3ffee0ff,0x20ffffff,
    0xffffffe8,0x7fdc0eff,0x0fffffff,0x3fffffee,0x3fee0fff,0x0fffffff,
    0xfff39ff7,0xff501fff,0x09ffffff,0xffffffa8,0xfc80dfff,0x01ffffff,
    0xddd70bf1,0xbf105dff,0x066bff20,0x3fffffe6,0x13fea1ef,0x1dffffc8,
    0x37ffff20,0x7557fdc1,0x36202fff,0x00cfffff,0x73dffd71,0x7f5c47ff,
    0x83ffb9ef,0x4fffffec,0x3dffd710,0x75c47ff7,0x3ffb9eff,0x27bffae2,
    0x9ff73ffb,0x8077ffa6,0x2cefffe9,0xfffd9100,0xffb805df,0x3f202dff,
    0x901fc800,0xffff301f,0xffb301ff,0xffa819ff,0x40018804,0x00880018,
    0x20004c40,0x00440008,0x44001980,0x00044000,0x08800022,0x00004c00,
    0x0c40004c,0x53002c80,0x5440b201,0x8802aaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x31003881,0x01880001,0x1310cc40,0x40026200,0x00031000,
    0x2e600062,0x8800bced,0x83e89ced,0x20331099,0x06c8adeb,0x00662000,
    0x26060000,0xccccca80,0x2213301c,0x80e65c19,0xeffffed8,0x37207fd2,
    0x00cfffff,0xbfffd950,0x39fd0017,0x7f4c05ff,0xa80cffff,0x2f404ffe,
    0xfffd9500,0xffc8017b,0x401fffff,0x1ffffffc,0x5fd8efc8,0xffffff98,
    0x004ffa84,0x200bfff3,0x3e004ffa,0x3f603ea3,0x902fffff,0xd8bfd1df,
    0xfffa82ff,0xffffffff,0xffffd80e,0x401fffff,0xecabdffc,0x7fcc01ff,
    0x3fee04fe,0x0fffffff,0x07fafbe2,0xfc800fdc,0xffecabdf,0x99fff301,
    0x3d80bffd,0x7f407b73,0x15a80ffe,0xff5019b5,0xf9fd1009,0xffec805f,
    0x7dc05eef,0x55305fee,0x74015555,0x7ec0ffef,0x7fffcc2f,0xfffffdbd,
    0x6fffec40,0x0ffffecc,0x74c09f90,0x77fdc01f,0x9dfff100,0x44dfffb7,
    0x882fd899,0x09f9004f,0x6d40ff4c,0x01bfe61e,0x3ffe2000,0xff500002,
    0x2abf9009,0x3ff600ff,0xa806ffff,0x800002dd,0xa981fff8,0x077ff40a,
    0xb0bfff62,0xff703dff,0x539f907f,0x7f443555,0xffa80001,0x40fffb85,
    0x1f906ff8,0x5449f900,0x007fa21c,0x201ffee2,0x001cddb9,0x79db7300,
    0x009ff501,0x7fdc4000,0x0000099d,0x00e6edcc,0x7dc1a800,0xfffb80ff,
    0x07ffe26f,0x7c42ced8,0xdfffff74,0x5cc17e21,0xfb80bced,0x8199905f,
    0x7c44fda8,0x2a4f8803,0xf10effff,0xfffb510b,0xffd80fff,0xca84ffff,
    0x642dda9c,0x1fffffff,0xb84e7fd4,0x0665c0cc,0xffa8332a,0x2037bb74,
    0x3f602cc9,0x444fffff,0xcccccccc,0xfc8bf11c,0xfcffa84f,0x0bff50ff,
    0xfb8fd400,0x3e47f931,0x7fffffe4,0x77ffd41f,0x9954c00a,0xa803ec6f,
    0x2e5df31f,0xfd11f64f,0x0fff7dff,0x7f77ffec,0x5ffdc4ff,0x3fe65fff,
    0x45ffeccf,0xf90feffa,0x43fff85f,0x6ffd47ff,0x81fffffd,0xffb04ffa,
    0x49fffddf,0xfffffff9,0xe8df32ff,0x5ffcc3ff,0xff91fff8,0x73ec0009,
    0xf51fd43f,0x667ffcc3,0xffd85ffe,0x880befff,0x263fdbef,0x5cf9002f,
    0x3f50543f,0xff067ff4,0x87bfee0f,0x3ee1fffa,0x2a2fffff,0x1bfe61ed,
    0x261dfff5,0x3ffe64ff,0xf517fe65,0xfff9bfff,0x709ff50d,0x7fd43dff,
    0xdffff31f,0x3ea3ffff,0xf117ffc7,0xe97ffc9f,0xcccb83ff,0xf72fc4cc,
    0x441ff99b,0x987b6a3f,0xffd886ff,0xa85fffff,0x1ba0cefe,0x07f65f80,
    0x3fe27f10,0xd83ffc47,0x4ffe84ff,0x00cfffee,0x2a3ffdc4,0x27ff86ff,
    0x3ee7fffb,0x0fffd42f,0xff50fff3,0xd09ffb09,0x7fcc09ff,0xff1fee4f,
    0xd17fa25f,0x0fffa7ff,0x1ffffffa,0x7ff7dcbf,0x201fc40d,0x2a07ffb8,
    0x5ffffffc,0x903f5010,0x3f64f83d,0xfd1fc401,0x1fff665f,0x7dc0fffc,
    0x01bfee5f,0xfffffb51,0x427fec4f,0xfffd1ffc,0x503ffa3f,0x1fff0dff,
    0xff84ffa8,0x05ffb81f,0xfc8bfff3,0x74fffa0f,0x91fff85f,0xfffd09ff,
    0x2e7d8fff,0x542fd89f,0x7fed441f,0x73007fff,0x2005fffd,0x41ffb85f,
    0x590ff27d,0xfff70fd4,0x01ffffff,0xff501fff,0x1027fdcd,0xff7dfffd,
    0x427ffecf,0xbff8bff9,0x85ff8bff,0xfff85ffa,0x7c27fd40,0x6ffa80ff,
    0xc86ffe88,0x37ff61ff,0x7fcc0efd,0x10dff50f,0xb8fff533,0x3e23f71f,
    0xfd11f20f,0x8fff7dff,0x3ff603a9,0x540fb804,0x8fdc1fff,0x49f71ef9,
    0x7ff5c47c,0xd83ffb9e,0x4ffd83ff,0xfe813fee,0xe9ffe0cf,0xdff04ffc,
    0x5bfb3ff5,0x9ff507ff,0xfa81ffd0,0x83ffd84f,0x7f444ffd,0x2ffd80ef,
    0x03bfffea,0xff89bff6,0x1ffe602f,0xb87ee9f1,0xfe8bf14f,0xf1ffe0cf,
    0x3fee07ff,0x2227c405,0x7c41fddf,0x3ffffee4,0x0440bf10,0x3ff203f5,
    0x2e2fff85,0xfff104ff,0x2a27ff88,0x9ffb04ff,0x3f7feeff,0x84ffa80f,
    0x7fd40ffe,0xf85ffc84,0x7ffec2ff,0xe85ffd00,0xffb82fff,0x0fffec2f,
    0x6c3ffec4,0x6640c9cf,0x3fe21fe8,0x363ffc47,0xfff80eff,0xd107e403,
    0xfb03f91d,0xd1165cc9,0x0fdc003f,0xbaefff98,0x7fdc6fff,0x4cbffa03,
    0x7fd47ffd,0xbffff504,0x41bfffe6,0xffe84ffa,0x4c27fd40,0xffbaefff,
    0x0fffe46f,0xfc87ffd0,0xfdbbdfff,0xfffb05ff,0xffffb99b,0x8813f60f,
    0x2ffe81fe,0xf98fffb3,0xffdbdfff,0x0fe601ff,0x5dffddf9,0x74409fb0,
    0x67dc001f,0xffff9808,0x7dc1efff,0x3ffee03f,0x20ffffff,0xff104ffa,
    0x7fffc5ff,0xd09ff503,0x4ffa81ff,0xffffff30,0x7ffdc3df,0xd3ccccce,
    0x7ffd47ff,0xffffffff,0x3fffa00d,0x0dffffff,0x26f7ff60,0xf701ffeb,
    0xffffffff,0xfffffb81,0x6c02ffff,0xffeeeb86,0x7bffb02e,0x003ffd95,
    0x03ffff10,0x19ffffb3,0x4407ff70,0xfb9effeb,0x813fea3f,0x3f60fffd,
    0x9ff500ff,0xfa81ffd0,0x3ff6604f,0x7fe40cff,0x5fffffff,0x3fe27ffd,
    0xfffffc8b,0xfd95002e,0x20039dff,0xbeffffca,0x3ffae201,0x983ffb9e,
    0x1dfffffe,0x64017d40,0x7fe5401f,0x0001beff,0x2200b2e2,0x01ffdc00,
    0xffa80088,0x71bfea04,0x7fd40dff,0x540ffe84,0x011004ff,0x7fffffe4,
    0x15555fff,0x004c41cc,0x00006200,0x220002a2,0x01330000,0xa9801dc0,
    0x002a2000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30000000,0x2f76e399,0x22000001,0x93026609,0x073b6e39,
    0x00066620,0x980e65c0,0x04cc82cc,0x5f137db3,0x33333220,0x8800003c,
    0x00000099,0x100ccc00,0x20665c13,0xdb703cc9,0x26620159,0xffffb000,
    0xffffffff,0x6dffdcff,0x2a1fffff,0x4c0005ff,0x40ffb9ff,0xfffdbffa,
    0x7fe402ff,0xf9dffa82,0x05ffb04f,0x3fe13fee,0xffffd80f,0xfff300ff,
    0xffa8bfff,0x3ffd0006,0x2a027fd4,0x3ff606ff,0x543ffb83,0xffb4ffff,
    0x4c5ffa83,0x1ffffffe,0x400fffe8,0xfffffff8,0x7fffffff,0x337fffee,
    0x3fea6fff,0xffc80005,0xfffa81ff,0x06fffcdf,0x7d40ffe2,0xb04ff9df,
    0x3fee05ff,0xd80fff84,0x4405b932,0x41aaaaaa,0x98006ffa,0x27fd42ff,
    0xd81bfea0,0x4ff903ff,0xb2fffff8,0x5ffa83ff,0x3b3fffe2,0x6f7dc6ff,
    0x6ffe406f,0xccccfffb,0x3fee4ccc,0xa9ffe62f,0xd00004ff,0x3fea09ff,
    0x81ffe62f,0x3fea04fc,0x5303fe8d,0x13fee015,0x00003ffe,0x1bfea000,
    0x2a0bf600,0x3fb604ff,0xeeeeeeff,0xf906efff,0x823bfe67,0x7fd41ffd,
    0xd837ff25,0x13ff32ff,0x3fe207fd,0x007ff88f,0x3fe1bfee,0x00027c0f,
    0x0dff5000,0x40001fff,0x05f15ffa,0x7dc02aa6,0x20fff84f,0x4cc82cc9,
    0x179db730,0xffffffa8,0xa8001dff,0x3ffe04ff,0xffffffff,0x7007ffff,
    0x3ffb09ff,0x3fa5ffa8,0x0000c43f,0xff8affe4,0x17fee007,0xafb83ffe,
    0x9db51cc9,0xb71cc983,0x5ffa839d,0x9930fff8,0x5073b6e3,0x40db1bff,
    0xff701ffc,0x5c1fff09,0x0fff84ff,0x7fffffe4,0x3fffea1f,0x23ffffff,
    0x2dda9cca,0x5cc09ff5,0x99999eff,0x981bffe9,0x09ff72cc,0xffa83ffb,
    0x8007ffe5,0x3e202cc9,0x0fff11ff,0x7c27fdc0,0x2a9f50ff,0xffffdcff,
    0x36ffea2f,0x2a2fffff,0x0ffe85ff,0xfffb7ff5,0x6ffd45ff,0x3ffa00d8,
    0xf09ff700,0x27fdc1ff,0xff307ffc,0x4bffd99f,0xeeeefffa,0xff70ffff,
    0x3eabfff7,0x37fd404f,0x2a07ffb0,0x09ff74ff,0xffa83ffb,0x8007ffe5,
    0x3ee04ffa,0x3bffe25f,0x21eeeeee,0xfff84ffb,0x7ffd4510,0x26fffcdf,
    0xfcdffffa,0x13fea6ff,0x7fd43ffa,0x6fffcdff,0x36017fea,0x3fee06ff,
    0x2e0fff84,0x0fff84ff,0xff987b6a,0x221bfea6,0xfff73ffe,0x3fea5fff,
    0xffa85554,0xfeeeeeef,0x9ff503ff,0x3f613fee,0xd2ffdc2f,0x80a887ff,
    0x3fa04ffa,0x3fffe22f,0x22ffffff,0xfff84ffb,0x45fff500,0xff50fff9,
    0x53ffcc5f,0x1ffd09ff,0xf98bffea,0x817fea7f,0x200effd8,0x7fd45ffa,
    0x213fee0f,0x5c400fff,0x1bfea7ff,0xffbaffe4,0xa7fd433f,0x3fea0ffe,
    0xffffffff,0x9ff503ff,0x3f613fee,0xb2ffec5f,0x4ffc89ff,0xfa827fd4,
    0x7fffc46f,0x22ffffff,0xfff84ffb,0xf0dff500,0x1bfea1ff,0x7fd43ffe,
    0xf50ffe84,0x21fff0df,0x3fa05ffa,0x7fcc00ef,0xffffa8bf,0x3e13fee0,
    0x7ed440ff,0x3ea7ffff,0x2bff906f,0xff506ffb,0xfa83ffa9,0xffffffff,
    0xff503fff,0x3613fee9,0xffc9dfff,0x37ffe65f,0x540fffba,0xdffd04ff,
    0x0fff9999,0x7c27fdc0,0xdff500ff,0x3ea3ffd0,0x50fff85f,0x1ffd09ff,
    0x3fe17fea,0x20bff50f,0xd000effb,0xfddfffff,0x427fdc1f,0x3fa20fff,
    0x27ffbeff,0xff986ffa,0x209ff74f,0x1ddb4ffa,0xfb037fd4,0x53fea07f,
    0xffd84ffb,0x5fffffff,0x7fffffe4,0x84ffa83f,0xfffffffa,0x2e007fff,
    0x0fff84ff,0xfd0bff50,0x217fea3f,0x9ff50ffe,0x3ea1ffd0,0x50ffe85f,
    0x3ff60bff,0x2209a881,0xfd8dfffd,0x213fee0f,0x3ffa0fff,0xfa9ffe0c,
    0xffeeeeff,0x09ff71ff,0xf5013fea,0x1ffec0df,0xff74ffa8,0xfd5ffb09,
    0xd50bff5f,0x2a05bfff,0xfffe84ff,0x7fffffff,0x1ffe0000,0xfe85ffa8,
    0xd09ff51f,0x2f7601ff,0xd09ff501,0x17fea1ff,0x7ec0ffec,0x86e8302f,
    0x7fd45ffa,0x88fff10f,0x3ffea7ff,0x2fffffff,0x7d413fee,0x37fd404f,
    0x2a07ffb0,0x09ff74ff,0x80063ffb,0x2a01cfd8,0x7ffcc4ff,0xffa99999,
    0xfb980007,0x17fea07f,0x7fd47ffa,0x700ffe84,0xff501ffb,0x2a1ffd09,
    0xdff705ff,0x007ffd41,0xfff886f8,0x0ffffa8b,0x7eccbffa,0x3fffea7f,
    0x5c1ceeff,0x9ff503ff,0x206ffa80,0xff503ffd,0x3613fee9,0xa88001ff,
    0xff500ffb,0x105ffd89,0x99999fff,0x7c401999,0x3ea06fff,0x51ffe85f,
    0x1ffd09ff,0xfa81fe80,0x50ffe84f,0x7ff40bff,0x03ffffef,0xfd047fa0,
    0xffddffff,0x7ffffdc1,0xff50ffff,0x1ffdc00d,0x5404ffa8,0x3ff606ff,
    0x2e9ff503,0x1ffd84ff,0x80ff4000,0x3fe64ffa,0xffff101f,0x3fffffff,
    0x0ffffd40,0xfd0bff50,0x213fea3f,0x77540ffe,0x9ff505ff,0x3ea1ffd0,
    0x3ff6205f,0x4002ffff,0x3625fffb,0xffd8dfff,0x3bffae20,0xff53ffb9,
    0x1ffdc00d,0x5404ffa8,0x3ff606ff,0x2e9ff503,0x1ffd84ff,0x7ff75400,
    0xc93fea04,0x3fe206ff,0xffffffff,0x2f72201f,0x42ffd401,0x9ff51ffe,
    0xb981ffd0,0x3fea00ac,0xf50ffe84,0x775100bf,0x5e540003,0x11000301,
    0x006ffa80,0x7d40ffee,0x37fd404f,0x2a07ffb0,0x09ff74ff,0x98001555,
    0x7d400acb,0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb5399500,0x2000005b,0x0bdeedb8,
    0x2600ccc0,0x02cccccc,0x22000014,0x98026219,0x50000019,0x03999999,
    0x00000000,0x40e6ee44,0x40262198,0x00000098,0x00000000,0x7ffdffdc,
    0x7ffffd45,0x7c00deff,0x05ffffff,0x3ea03ffc,0x505fffff,0xffff70dd,
    0xffffffff,0x3e6ffe23,0x0bff501f,0x2001ffe6,0x2ffffffd,0xffffff50,
    0x3f601bdf,0x0fff984f,0x7fffffd4,0xfe87fdc4,0x3fffec46,0x209ffff5,
    0x3ea7ffff,0x5ff900ff,0x36027ff4,0x7ffdc5ff,0x7fd42fff,0xffffffff,
    0x759ff703,0x7fc07ffd,0x55554407,0x6ff981aa,0xffffffb8,0x21ffffff,
    0x204ffffa,0x3fe605fe,0xaaa98007,0xff500aaa,0xffffffff,0x81fff307,
    0x7fcc4ffd,0x23fffcef,0x8dfd0ffb,0x2a6ffffd,0xf886ffff,0x3fea7fff,
    0x45ff905f,0x7fc07ffb,0x9fffdc2f,0xdcfffa81,0x83ffffee,0x0de447fe,
    0x00009990,0xca86ff98,0xcdffeccc,0x7fe40ccc,0x301be606,0x00018fff,
    0xb9fff500,0x07ffffdd,0x7fcc7ffb,0x11ffec0f,0x5154cdff,0x8bffe855,
    0x3ffffea0,0x3ffffdc0,0x905ffff5,0x7ffc45ff,0x70fff502,0xffa80dff,
    0x0fffd886,0x0567fff4,0x6e440000,0xffda81cd,0x7fec04cf,0x80000003,
    0x09b17ff9,0x6641664c,0x886ffa84,0x7cc0fffd,0x09ffb0ff,0xffd81fff,
    0x0fff8001,0x2fffffa8,0x53ffffec,0xf90dffff,0x05ffd85f,0xff709ff9,
    0x06ffa809,0xfa87fff1,0x42efffff,0xccccccc8,0x7ffd41cc,0x7fe44fff,
    0x7ec07fff,0x2cc9803f,0x66666644,0x3fe61ccc,0x2e04fe9f,0x0fff84ff,
    0xf8837fd4,0xbffd83ff,0x7c40fff8,0xfeeeeeff,0x21664c2f,0x1ccfffcb,
    0x13ff7fea,0x54fffbff,0x644fffff,0x7ffd42ff,0xb81fff80,0x7fd404ff,
    0x217ff206,0xffffffea,0x3ffffe64,0x3e62ffff,0x3fffceff,0x17bfffae,
    0x5007ffb0,0xfff989ff,0x22ffffff,0x0efffff9,0x3e13fee0,0x37fd40ff,
    0xf30bff90,0x309ff9df,0xffffffff,0x4ffa87ff,0x7fffffec,0x3fb3fea2,
    0x3feffe66,0x3ffffea7,0x10bff20f,0xffa85fff,0x809ff707,0x3ee06ffa,
    0x3f6a206f,0x3ffe67ff,0x21ffffef,0x3fe23ffd,0x8037fcc6,0xfa803ffd,
    0x7fffcc4f,0x261ffffe,0xb805ffff,0x0fff84ff,0xf7037fd4,0x7f4cc4df,
    0x209affff,0x54007ff8,0x7ff644ff,0x3fea1eef,0xff70ffcc,0x7fd4fff3,
    0x3f25ffdc,0x45ffd82f,0xff704ffc,0x7ffffc07,0x3fea1fff,0x3a132e27,
    0x3fe601ff,0x207ffc4f,0x3fe61ffd,0x07ffb006,0x3009ff50,0xff989fff,
    0x9ff7003f,0x7fc1fff0,0x21ffffff,0x3fee7ffa,0xffffffff,0x2e17ffc5,
    0x27fd40ab,0xff507ff8,0x3f65ff59,0x7fd4fff7,0xf92fff8c,0x1fff505f,
    0xfb80fffc,0x3fffe03f,0x3ea1ffff,0x45fff47f,0x300fffa8,0xff88bfff,
    0xffeeeeef,0x79fffb72,0xffffff98,0xff506fff,0x5fff9809,0x2007ffd8,
    0xfff84ffb,0x3fffffe0,0x9ffea1ff,0xfffffffb,0x7fdc5fff,0x86ffb8ae,
    0xfff04ffa,0x3e33fea0,0x3febff4f,0x7dd3fea7,0x02ffc8ff,0x3fea5fff,
    0x00ffee06,0x7d40dff5,0x7fffcc6f,0xd103ffff,0xfff30dff,0x7fffffff,
    0x17fffff6,0xfffffff3,0x3fea0dff,0x1bffa204,0x801ffff6,0xfff84ffb,
    0x5037fd40,0x4ccc4dff,0x0999dffb,0x7ffffec4,0x4ffa80ff,0x3ea0fff0,
    0xff3ffd4f,0xffa9ffe7,0x3f33ffa4,0x2bff902f,0x3ee03ffc,0x37fd403f,
    0x930bff70,0x205dfffd,0x880effe8,0xf51007ff,0xfd8013df,0x4ffa803f,
    0x01dffd10,0x400fffdd,0xfff84ffb,0x7037fd40,0x55544bff,0x2aaaeffc,
    0x3bffff90,0x7c13fea0,0x29ff507f,0xf1ffdffc,0x327fd4ff,0x05ffdfff,
    0x3fe3ffe6,0x0deec00f,0x740dff50,0x3fa203ff,0x3fff601d,0x70bffe00,
    0x37fcc157,0x803ffd80,0xffb04ffa,0x3fe7201f,0x17fea007,0xfa81fff5,
    0x8fffa06f,0xfffffffb,0x3e405fff,0xf827fd40,0x29ff507f,0x3e7ffffa,
    0x913fea7f,0x405fffff,0x05ffdffe,0x500ffdb8,0x3ff60dff,0x3eea200f,
    0x1fffc80f,0x4577fdc0,0x7fc46ffb,0x7fec03af,0x84ffa803,0x4c01fffc,
    0x3e2007ff,0xfffa8bff,0x837fd40f,0x3ee0fffd,0xffffffff,0x403f405f,
    0xfff04ffa,0x7c53fea0,0x9ffe5fff,0x7fc44ffa,0x3ee02fff,0x2003ffff,
    0xfff501fe,0xffffdb99,0x20ff4005,0xcccefffb,0x3ff623cc,0xf80fffff,
    0x7ec07fff,0x4ffa803f,0x6677ffdc,0x3fe63ccc,0xcccccccf,0x7fffff44,
    0x7d40ffee,0xffedccff,0x7fd402ff,0x09fec004,0x3e09ff50,0x49ff507f,
    0x3fe3fffe,0x2e13fea7,0x2602ffff,0x200fffff,0x204ffeea,0xfffffffa,
    0x75404fff,0xffc84ffe,0x5fffffff,0x1dffffc8,0x01ffff50,0x5401ffec,
    0x7ffe44ff,0x25ffffff,0xfffffff9,0x3620ffff,0xffd8dfff,0x7ffffd40,
    0x804fffff,0x54004ffa,0xff507fff,0x541ffe09,0x3fff24ff,0xffa9ffe1,
    0x05fffd04,0x405fffe8,0x5400acc9,0xeeffffff,0xacb9800c,0xfffff900,
    0x440bffff,0x20022001,0xfa803ffd,0x7fffe44f,0x265fffff,0xffffffff,
    0x00300fff,0x7fffffd4,0xf5000cee,0x9930009f,0x413fea05,0x9ff507ff,
    0x3fe3ffd4,0x4c13fea7,0x7dc02fff,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x41665c00,0x00004cc8,0x00000000,0x00a00000,0xdc880000,0x2619953d,
    0xbddb89cc,0x00000000,0x00000000,0x00000000,0xd730b326,0xffb819df,
    0x0bff5004,0xff00bff7,0xfff500df,0x19dfffff,0xffffff50,0x3ea01bdf,
    0xdfffffff,0xf70dd501,0x3fffeabf,0x3fffffff,0x6fffffd4,0x7ff71ffc,
    0x43dffffd,0xfffffffa,0xff501dff,0xffffffff,0xd81bfea9,0x29ff53ff,
    0xffa83ffe,0x27ff985f,0xf5004ffa,0xd93fea9f,0x1fffffff,0x44013fee,
    0x7fec0fff,0x7fffd401,0x7fffd401,0x1fffffff,0x7fffffd4,0xfa83ffff,
    0xffffffff,0x437fcc3f,0xfff55ffb,0xffffffff,0x6ffffc47,0xf71ffffe,
    0xfffbdfff,0x7ffffd4d,0x83ffffff,0xfffffffa,0xdff54fff,0xfa9ffec0,
    0x90bff94f,0xff70ffff,0x8027fd4b,0x9ff54ffa,0x3f37ffee,0x13fee6ff,
    0x223ffc80,0xffd807ff,0x7fd404ff,0xffdccccf,0x67ffd46f,0x2ffffeed,
    0x76e7ffd4,0x260ffffe,0x5ffb86ff,0x9999fff5,0x7e439999,0x3ffee0ef,
    0x4c7fff71,0xfff52fff,0xfffdb999,0xcfffa81f,0x52cccccc,0x7fec0dff,
    0x3ea9ff53,0xfffff87f,0xf51ffec1,0x3baa009f,0x3f69ff53,0x43ffe23f,
    0x26004ffb,0x13fee5ff,0xffffff10,0x837fd401,0x3ea0fff9,0xfffd886f,
    0x261bfea0,0xffb53fff,0xaffdc99f,0x6c006ffa,0x7ffc44ff,0xfb0fff71,
    0x41bfea9f,0x7d43fff8,0xdff5006f,0xfa9ffec0,0x41fff14f,0x43fffff9,
    0x3fea1ffe,0x3fea0004,0xfe81fdb4,0x449ff71f,0xffe82ccc,0xb803ffb0,
    0x03ffecff,0xff81bfea,0x41bfea0f,0x3ea3fff8,0x2bff906f,0x27fffffc,
    0xdff55ffb,0x82fff800,0xbff71ffe,0x3eabff70,0x13ff606f,0x2a00dff5,
    0x3ff606ff,0x7f49ff53,0x3f7fee2f,0x51ffe25f,0x33b6e9ff,0xfa9664c1,
    0x7ffc404f,0x7ec9ff70,0xbffb80ef,0xfe806ff8,0x206ffa9f,0xff506ffa,
    0x206ffa8d,0x3fea4ffc,0x2ebff906,0x2e5efffe,0x0dff55ff,0xe81fff80,
    0x0bff71ff,0x3feabff5,0x50bffa06,0x3ea00dff,0x4fff606f,0x3ff24ffa,
    0x3fe7ff64,0xf517fea7,0xfffffbbf,0xfaa7fd43,0x37fdc04f,0x3ff69ff7,
    0x5bff100e,0xff9807ff,0x203fff16,0xccccfffa,0x7d41fffd,0x9bfee06f,
    0xff986ffa,0x21bfe64f,0xfff55ffb,0xbddddddd,0x7c43ffe8,0x0fff71ff,
    0x3fea9ff9,0xfda9999e,0xcfffa87f,0x2a2ccccc,0xeeeeefff,0xff53fffe,
    0xff2ffd49,0x7e47ff6f,0x7fffd43f,0x2a6fffcd,0x09ff54ff,0xf70fffd4,
    0x01dff99f,0x0ffeffd8,0xfb1ffe40,0x3ffea09f,0x2fffffff,0x2a06ffa8,
    0x3ffea7ff,0xfffffeee,0x2e1bfe61,0xffff55ff,0x8dffffff,0x7fd45ffc,
    0x83fff71f,0xfff53ffe,0xffffffff,0xfffff507,0x7d49ffff,0xffffffff,
    0x9ff53fff,0xff9bffc4,0x3f67ff74,0x17ffd41f,0x7fd4fff3,0x2a09ff54,
    0x7fdc4fff,0xa801fffe,0x4405ffff,0x3fea0fff,0xffffa80f,0x3fffffff,
    0xf5037fd4,0x7fffd4ff,0x42ffffff,0xffb86ff9,0xffffff55,0xf98dffff,
    0xfffc9dff,0x7ffff71f,0x2a1fffb5,0xffffffff,0x3ffea03f,0x24ffffff,
    0xfffffffa,0xf53fffff,0xb9fff89f,0x2bff32ff,0x6ffa87ff,0xff50fff8,
    0x2a13fea9,0xffb85fff,0x8803ffff,0x5c02ffff,0xfaaaafff,0x6ffa83ff,
    0x23fffa88,0x3ee06ffa,0x3fffea6f,0x981ceeff,0x5ffb86ff,0x9000dff5,
    0xffffffff,0x3fbfee3f,0x2a3fffff,0xffdaafff,0x3bfea01f,0x20999999,
    0x3f606ffa,0xd89ff53f,0x20ffdaff,0x86ff9fff,0xfff85ffa,0x3ea9ff50,
    0x2fffd44f,0xffffffb8,0x7ffc800f,0xfffffe80,0xa86fffff,0x3fee06ff,
    0xc81bfea5,0x1bfea5ff,0x70dff300,0x1bfeabff,0x77ffdc00,0xff71ffe9,
    0x85ffff39,0x7fe46ffa,0x0dff502f,0xd81bfea0,0x89ff53ff,0x46ffdffb,
    0x84ffcffd,0xffe84ffa,0x3ea9ff50,0x13ffe64f,0xfcafffb8,0x4ffc804f,
    0x7ffffcc0,0x1fffffff,0xf5037fd4,0x037fd4ff,0x7fd47ffd,0x37fcc006,
    0xffaaffdc,0xd04c0006,0x93fee3ff,0x0dff5008,0xf501fffd,0x3fea00df,
    0x54fff606,0x7ffcc4ff,0x7ffdc4ff,0x4ffa82ff,0xff50ffe8,0x2fffc409,
    0x7c53fee0,0x3fe601ff,0x6ffe401f,0xfeaaaaaa,0x837fd44f,0x3ea5ffd8,
    0x1dff906f,0x20037fd4,0x2e3afff8,0x0dff55ff,0x1ffe8000,0x2a009ff7,
    0xfff986ff,0x006ffa85,0x7ec0dff5,0xf09ff53f,0xf885ffff,0xfa80ffff,
    0x50ffe84f,0xf90449ff,0xddddddff,0xfb93fee3,0xfffee85f,0x02fff805,
    0xfa83ffea,0xfeecccff,0x3fea3fff,0xfffedccf,0x037fd42f,0x73ffffc0,
    0x3ffeabff,0xcccccccc,0x47ffa003,0xf5004ffb,0x3ffee0df,0x8037fd43,
    0x3f606ffa,0xb09ff53f,0xfd01ffff,0x3fea0dff,0xf50ffe84,0x753fea9f,
    0xffffffff,0xe89ff72f,0x7fffc2ff,0x3ffd401f,0xf51fffc0,0xffffffff,
    0xfffa8bff,0x4fffffff,0x8006ffa8,0xf70ffffa,0x3fffeabf,0x6fffffff,
    0x5c7ffa00,0xff5004ff,0x07fff40d,0x2a00dff5,0x3ff606ff,0xf709ff53,
    0x3ff20dff,0x09ff504f,0x3fea1ffd,0xff39ff54,0xffffffff,0xf513fee5,
    0x0bccb8df,0x804ffd80,0x3fea6ffc,0xdfffffff,0xfffffa82,0xf500ceef,
    0x04c000df,0x7fd57fee,0xffffffff,0x2aaa006f,0x20035530,0x3e206ffa,
    0x1bfea5ff,0xb037fd40,0x13fea7ff,0x5413ffe6,0xff502fff,0x2a1ffd09,
    0x09ff54ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xbd930008,0x000332a7,0x00000000,
    0x80000000,0xeeeeeee8,0x00000006,0x3ba60000,0x441eec85,0x83f89ced,
    0x99930ccb,0x3b225999,0xdd35e89c,0x7777400b,0x32eeeeee,0x32a00bdd,
    0x982dda9c,0x00cffffd,0xbbfffff5,0x1bfea3ff,0x00ffff44,0x7ec3ffc4,
    0xfff100ff,0xe9bfe209,0xffffffff,0xfff986ff,0x3ee7ffff,0xffffffff,
    0xfff11fff,0x03fff209,0xf981ffcc,0x41ffe87f,0x1ffffffc,0xff50ffe8,
    0x3ee9ffff,0xf32fffff,0x7ffc00ff,0x3fffffff,0x2e00fff3,0x45fffbff,
    0xfffffffa,0x7fffc42f,0x51ffffec,0xffd10dff,0x3ff6005f,0x04fff887,
    0x3a01fff9,0x3fffa6ff,0x6fffffff,0xffffffb8,0x3fffee7f,0xffffffff,
    0x307ffee1,0x7cc05fff,0x0fff303f,0x33d83ffd,0x3ffa05b7,0x55555510,
    0x1edc5323,0x7c00fff3,0xffffffff,0x00fff32f,0x3fffffee,0x2b7ffe62,
    0x320fffca,0x7ffe45ff,0xfd0dff51,0x3ea005ff,0xfff707ff,0x82fff983,
    0x2e6fffd8,0xfdcccccc,0x0ffc86ff,0x76666540,0x0ccccdff,0x3fa37ff4,
    0x1ffcc05f,0xc887ff98,0x5540000f,0x4c00000a,0xa80007ff,0x1ffe65ff,
    0x19fffdc0,0x7ec2ffe4,0x30fffa3f,0x3fea3fff,0x017ffec6,0x07ffff88,
    0xffd1bffa,0xfffff70b,0xfffd100d,0x000ffd01,0x2600fff6,0xfff73fff,
    0x03ff9801,0x9b60fff3,0x9db71cc9,0x2cc98003,0xf9859930,0xfe80007f,
    0x01ffe60e,0x97037fdc,0x49ff701d,0xfff81fff,0x7ecdff51,0x3f6003ff,
    0x3e607fff,0x1fff52ff,0xffdfff98,0x1fffd806,0x5995dff0,0x00fff600,
    0x7fcfffe4,0xffffb83f,0x35ffffff,0x45fd0fff,0xfffdbffa,0x3ea002ff,
    0x89ff504f,0x40007ff9,0x7fcc1ffa,0x09ff7007,0xf17fec00,0x3ffd03ff,
    0x7fe5bfea,0x3fea003f,0x7dc07ffa,0x83fff8ff,0x6ff98df9,0x81fffe40,
    0xfffffff9,0x1ffec00e,0xfffffd00,0x3fffee0d,0x35ffffff,0xa8370fff,
    0xffcdffff,0x3fea006f,0x989ff504,0x7c0007ff,0x47ff984f,0x3fee1aa9,
    0xffd88004,0x261ffec6,0xdff51fff,0x400ffff7,0x0fff5ff8,0xdfffffd0,
    0x6ff98a20,0x813ffea0,0xffeffffa,0x1ffec05f,0xfffff300,0x3fffee03,
    0x35ffffff,0x3ea00fff,0x1ffe62ff,0x504ffa80,0x7ff989ff,0x07fee000,
    0xff71ffe6,0x0027fdc7,0x2a077ff4,0x7ffe45ff,0xffffff51,0x3f6009ff,
    0x300fff0f,0x003fffff,0x7cc1bfe6,0x76d406ff,0x05fff30c,0x2001ffec,
    0x2004fffd,0xff303ff9,0x1bfea00f,0x54003ffe,0x9ff504ff,0x0007ff98,
    0x3e60dff1,0x71ffdc7f,0xfd8007ff,0xfff880ef,0x1ffffecf,0xfbfffff5,
    0xffb803ff,0x6401ffe2,0x26004fff,0xffe886ff,0x3f60000f,0x0fff604f,
    0x6ffff880,0x40ffe600,0xf5007ff9,0x41fff0bf,0x7fd40ffe,0x989ff504,
    0xf90007ff,0x1ffe607f,0x7fdc5dd5,0x3bfe6003,0x3fffee00,0xf51ffedf,
    0x3ffa7fff,0xf17fe206,0x3fe200ff,0x3fe6000f,0x01fffe86,0x02ffdc00,
    0x6c007ffb,0x004fffff,0x3e607ff3,0xbff5007f,0x7f41ffd0,0x827fd40f,
    0x7fcc4ffa,0x1ffb0007,0x401ffe60,0x2e003ffb,0xfda802ff,0x2a1ffd3e,
    0x3fe64fff,0xffff903f,0x0fffffff,0x4007ff88,0x7fe46ff9,0x0533002f,
    0x7ec07ff9,0xfff5003f,0x3003fffd,0x3fe607ff,0x09ff5007,0x7ff41ffd,
    0xa827fd40,0x3ffcc4ff,0x205ff800,0xf7007ff9,0x775c007f,0xfe802201,
    0x361ffea7,0xffc81fff,0xffffffff,0x03ffc407,0xfb9bfe60,0x3f6004ff,
    0x007ff43f,0xf1007ffb,0x1bffabff,0xf9804cc0,0x9ff5007f,0x7b81ffd0,
    0xf504ffa8,0x07ff989f,0x204ff880,0x00007ff9,0xbff70000,0x3ea7ff98,
    0x6fff886f,0xeeeeeeb8,0x4405efff,0x7cc007ff,0x0bfff36f,0x9bfff880,
    0x7ec06ffd,0xfffd803f,0xa89fff30,0xeeeeeeee,0x9fff34ee,0x29999999,
    0xffe84ffa,0x3ea17a20,0x89ff504f,0xccccfff9,0xffa84ccc,0x33ffe602,
    0x04cccccc,0x01ffe400,0xfdbdfff1,0x37fd47ff,0x003fffc8,0x7c401ffe,
    0x7fcc007f,0x99bfffb6,0x81999999,0xfffffffc,0x01ffec01,0xf90fffea,
    0x7ffdc3ff,0x5fffffff,0xfffffff3,0x3feaffff,0x3e0ffe84,0x04ffa80e,
    0xff989ff5,0xffffffff,0x201ffc87,0xfffffff9,0x40007fff,0x7dc03ffc,
    0x45ffffff,0x3fa06ffa,0xfff000ff,0x01ffe200,0x3f6dff30,0xffffffff,
    0xffb81fff,0xfd800dff,0x3ffe203f,0x26ffe886,0xfffffffb,0xfff35fff,
    0xffffffff,0x3fa13fea,0xffa8060f,0x989ff504,0xffffffff,0x0ffd87ff,
    0x3ffffe60,0x007fffff,0x401ffe40,0x81bcccb8,0x3ea06ffa,0xfff005ff,
    0x01ffe200,0x3f6dff30,0xffffffff,0x06201fff,0x407ffb00,0xf501fffc,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaae600,0x84aaaaaa,0x00bcedb9,0x005676dc,0x807376e6,0x0bdeedb8,
    0x6641664c,0x3376e604,0x0337b261,0x87376e60,0x59933cc8,0x332e9990,
    0x1cddc880,0x16cb5000,0xbdd93000,0x0b376e19,0x36e2332a,0x0b3b263d,
    0x23993000,0x5001cedb,0x5f317bd9,0x32140026,0x1fffffff,0xfffffe98,
    0xffffb01f,0x3ffe09ff,0x7dc5ffff,0x80fff84f,0xbffffffd,0x2ffffffc,
    0x3fffff60,0x2edff14f,0x8fff84ff,0x7fd41ffe,0x1004ffff,0x77fcffd7,
    0x3fea000b,0xffffffff,0x7fe45fff,0xacfffffb,0x5c3fffff,0xf527440e,
    0xfffffb7f,0x7ffec405,0x130fffff,0xfff98a00,0x445ffecc,0xffecffff,
    0xeefffd86,0x7fdc4fff,0x23ffebac,0xfff84ffb,0x7f7ffec0,0xccffffff,
    0xffd80fff,0x8cfffeef,0x09ff76ff,0x3ffd1fff,0x7e77ffcc,0x3f2203ff,
    0x3ffe7fff,0x7c400cff,0xfffecdff,0x24ffecdf,0xfdcefffc,0xffecefff,
    0x21dff70f,0xff53ffe8,0xdfff9bff,0x6effff40,0x00265fff,0x4c3db514,
    0x6ffe46ff,0xfb8bff60,0x3ffea1ef,0x7911ffa1,0x7c27fdc3,0x3ffea0ff,
    0x83fffee1,0x7fdc4ffa,0x2bffea1e,0x09ff76ea,0x1f951fff,0xff11ffec,
    0xffffb50d,0x7fe4c5bf,0x9302dfff,0x2fffc45d,0x7fe47ff6,0x83fffa0f,
    0xfff11ffe,0x21fffd1d,0x3e62fffa,0x1dff707f,0x098fffec,0xfb880500,
    0x21fff47f,0x84ffd818,0x3ffa4ffe,0xff700acf,0x641fff09,0x5fff84ff,
    0x7fec7ff8,0x9f4ffe84,0x3fe13fee,0xfff8f90f,0xeb8ffec0,0x00beffff,
    0x3ffffae2,0xffa8803e,0xc97fd42f,0x27fec4ff,0xff88bff6,0x2a0fffff,
    0x0fff86ff,0x3f23ffd8,0x00134ffe,0xfffb510a,0x1fff8fff,0x703fff00,
    0x7ffd4bff,0x7dc2efff,0x20fff84f,0xffc82ffe,0xfffeeeef,0x2e07ffe0,
    0xf70fdeff,0x93fff09f,0x77ffc47f,0xf2ffeeee,0x00039fff,0x20ffff93,
    0xfffffeda,0x3ffeeeee,0xffc87ff9,0x221ffe44,0x540fffff,0x0fff85ff,
    0x9f71fff8,0x0026dff3,0xdfffd114,0xfff8fff7,0x01fff001,0xfea8dff5,
    0x2e4fffff,0x0fff84ff,0x3f207ffe,0xffffffff,0x203ffe0f,0x2e1efffa,
    0xffff84ff,0x7fffcc2d,0xf3ffffff,0x00017dff,0x88fffd71,0xffcefffe,
    0xffffffff,0xfc87ff95,0x21ffe43f,0x40efffe8,0xffe85ffa,0xbf57ff80,
    0x004dbfe6,0x833ffa28,0x1fff47ff,0x7ffb02a2,0x2209ffb0,0x2e7fffda,
    0x0fff84ff,0x3fa0fffa,0x999999df,0x6c1ffec1,0x4ffb85ff,0xf101fff8,
    0x3ff200ff,0x9802dfff,0x44fffffc,0x3fe0dffd,0x999999bf,0xfc87ff90,
    0x11ffe43f,0x1dfffffd,0x7f427fd4,0xfbffe80f,0x04d7fee6,0x8fff1280,
    0x7fec7ff8,0xf927fe44,0x25fff0bf,0xffe84cb8,0xfa8bff51,0x1bff20ff,
    0x441ffff1,0x2ffe42bc,0x7d407ffc,0x07ffd45f,0xbb85fff0,0x3ffae20a,
    0x2e20beff,0x0bfffffe,0x3e20fff8,0x856544ff,0x7fe43ffc,0xe89ffe43,
    0xefffafff,0xfd09ff50,0xdfff901f,0x099fff41,0x97ff4500,0x7cc7ffd9,
    0xfffbadff,0x2bbffe60,0x7f46fffb,0xfffa88bf,0x517fff10,0x7c41ffff,
    0xfffcbfff,0xffd99dff,0x577ffcc3,0xf104fffb,0xfff517ff,0x77fdc01f,
    0x206ffb8a,0x27ffffda,0x02efffff,0xfd89ffec,0xffa8bfff,0xc87ff91f,
    0x9ffe43ff,0xff30fffb,0x213fea9f,0xff880ffe,0x6ffea9df,0xf7140026,
    0xffffffff,0xfffffc81,0xfff983ff,0x4c1effff,0xffffffff,0x7fffff43,
    0x7d40ffee,0xfeffffff,0x05ffffff,0xfffffff3,0x7fff401d,0x00ffeeff,
    0x3fffff62,0xfc9800ff,0x077ffe7f,0x7ffffd40,0xfffffeff,0x0fff23ff,
    0xffc87ff9,0xbf303f63,0x7f427fd4,0xffffd00f,0x04c3ffff,0x3fae2280,
    0x83ffb9ef,0x02dfffea,0x33ffff66,0xfffd9300,0xfffb105d,0x101ffb1b,
    0x229ffffb,0x00befffc,0x33ffff66,0x7fff4400,0x800ffd8d,0x01dffffc,
    0x19d3dc40,0xfffd7000,0x3fffaa3b,0x21ffe43d,0x7fe43ffc,0x7d408043,
    0x80ffe84f,0xfffecbfc,0x28004c0c,0x31000110,0x80011000,0x00300098,
    0x011004c0,0x10001100,0x06200003,0x00000000,0x00188022,0x00000000,
    0x08871000,0x2aaaae60,0x004aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x28000000,
    0x0ccb8620,0x32a0665c,0x8199930c,0x33222ccb,0x1ccccccc,0x33203997,
    0x990b3264,0x03cb8059,0x5c0fbaa0,0x269d70cc,0xa76400de,0x100105ea,
    0x10010013,0x10031013,0x20008803,0xeeeeeeee,0x20100eee,0xeeeeeeee,
    0xfb000eee,0xff59bb77,0xff0bff23,0x747ff87f,0x3ffee5ff,0x3ffffe60,
    0xff72ffff,0x5cbff50b,0x3bff64ff,0x0037f400,0x3fa09ff5,0x3a5ff11f,
    0x27fea05f,0x7f543ff8,0x1fff00df,0x813ffaa0,0x00fd82fe,0x98bffff5,
    0x3ee1dffd,0x3ffffe4f,0x40ffffff,0x7fc2efeb,0xffffffff,0x983fff0f,
    0xffffffff,0x49ff33ff,0x3e65fff9,0x57ffcc5f,0x7cc2fff8,0xffffefff,
    0xd81fff11,0x53fee2ff,0xe800effc,0x3fea006f,0x643ffd04,0x82ff98ff,
    0x8dfb4ff8,0x84fdbff8,0xf884fffb,0x7541febe,0x5f2512ff,0x2f3fe228,
    0x3bbfa1ff,0x49ff70ff,0xffffffff,0x3bea0fff,0x3ffe1ffc,0xffffffff,
    0xf503fff0,0x9fffffff,0x3fee7ff8,0x20bfee7f,0x4ffefffb,0x89fff300,
    0x3fe23ffc,0x7de7fdc7,0xdfd000ff,0x804cc400,0x3fe20aaa,0xfd81ffb5,
    0x442ffb8f,0xfd0df32b,0x99881fff,0x777c2fd8,0x9fbdf72f,0xff3188ff,
    0x2fe9be65,0x00009ff7,0x013e61fb,0xfff0ffc8,0x21bff503,0x7fe45ffb,
    0x23ffffd1,0xffb00ffe,0xf3001dff,0xdff30bff,0x3ee1ffdc,0x201fffef,
    0xafffaaaa,0x2aaa22aa,0x1aaaaaaa,0xf8bffb80,0x26ffee5f,0x7f4405ff,
    0x7fe7fd43,0x30dff103,0x7f64cbf2,0x7ed44dff,0x49f92fff,0x00fe25fc,
    0x5f89ba00,0x743ff200,0x1ffc81ff,0x3fe63ff4,0xbffbff8b,0x3e205ff8,
    0xe8801fff,0x3ffa06ff,0xfb81ffd1,0x203fffff,0xffffffff,0xfff70fff,
    0xbfffffff,0x3adff100,0x53ffb0ff,0x7fcc09ff,0xffd7fe84,0x413f6a20,
    0x77fdc2fc,0x74dffcc0,0x7e4bf72f,0xeee87f24,0xeeeeeeee,0x3f273ee0,
    0x43ff2002,0x1ff907fc,0xeff87fd8,0xadfd9ffa,0x3fe203ff,0x7f4402ff,
    0x3fee00ef,0xfb85ff9c,0x00ffffff,0xffffffff,0x3fee1fff,0xffffffff,
    0xa9ffd805,0x5bfe23ff,0xff980ffd,0xf74ffa83,0xf9954c5f,0x7d45f906,
    0xb7dc5fad,0x3ff12ff8,0x0fee3fd1,0xffffffff,0x7f441fff,0x7e4006ff,
    0x2a09950f,0xbff50cff,0x2ff9ffb0,0x00ffdffb,0x03fffff6,0x800fffd8,
    0x82ffceff,0xffcafffb,0xff999904,0x2619999f,0xcccccccc,0x7fcc03cc,
    0xff50bff3,0xf889ff15,0x3fa3ccef,0x44dff10f,0x903fdbef,0xdd8fdc5f,
    0x3ffbfe60,0x3ffff63f,0x3ffe0626,0xffffffff,0x8001c980,0xf3000eeb,
    0x9fffdfff,0x2bffff50,0x206ffff9,0x5ffefffa,0x003fff90,0x41fffff2,
    0xfff14ffb,0x00dfd003,0x57fa0000,0xdfb00ffb,0xffb87fea,0xbff36fff,
    0x3aa2ffd8,0x5f900cef,0x6ed40208,0x6ecc2c99,0x00000002,0xf8800000,
    0xffffffff,0x7fffc43f,0x40ffffe2,0xff9afff8,0x77ffdc3f,0x983ccccc,
    0xf704ffff,0x037fdc9f,0xf50037f4,0x47ffa09f,0x2ff88ffa,0x7ecffe20,
    0x06aa6005,0x00103551,0x00000000,0x00000000,0x67ec0000,0x1ffadeeb,
    0x360fffd8,0xffb00fff,0x907ffdcb,0xffffffff,0x3fffa0bf,0xe89ff700,
    0x37f402ff,0x209ff500,0x21311ffe,0x09880198,0x00000066,0x00000000,
    0x00000000,0x40000000,0x7d40a603,0x837fdc6f,0x7f40fffb,0x3ffff26f,
    0x705fffff,0x7fdc0bff,0x2037fd44,0x3ea003cb,0x03ffd04f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x2a21ced8,0x2621aaaa,0x22355119,0x884cc199,0xffff1099,0xffffffff,
    0x2eeeee27,0x1bbbbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x7ffd3ffd,0x056ff644,0xffba986e,0xbfffff30,0xffa8ffec,
    0xff87ff64,0x3e25ff34,0xffffffff,0xfff13fff,0xffffffff,0x0000007f,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfe9ffec0,0xfffff13f,
    0x03fd9bff,0x7ffcc3fa,0x45ff35ff,0x2ff44ffa,0x8bfe69ff,0x88888888,
    0x2aa20888,0xaaaaaaaa,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74fff600,0xfdff33ff,0x3fffffff,0x893ffbae,0xfb3ddddd,
    0x443dd985,0x223550fe,0x000000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf92ffc80,0xc983665f,0x2e62ffff,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c7fea00,0x013000ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc9866440,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_25_latin_ext_x[560]={ 0,2,1,0,0,0,0,1,1,0,0,0,1,0,
1,-1,0,1,0,0,0,0,0,0,0,0,2,1,1,0,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
1,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,2,1,-1,1,0,0,0,1,1,1,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,0,0,0,0,0,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,0,0,0,0,0,0,0,0,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,0,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_25_latin_ext_y[560]={ 20,3,3,3,2,3,3,3,3,3,3,6,16,12,
16,3,3,3,3,3,3,4,3,4,3,3,8,8,6,8,6,3,3,3,3,3,3,3,3,3,3,3,3,3,
4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,22,3,8,3,8,3,8,3,8,3,3,
3,3,3,8,8,8,8,8,8,8,4,8,8,8,8,8,8,3,3,3,9,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,20,8,4,3,6,3,
3,3,3,3,3,9,8,12,3,1,3,4,3,3,3,8,3,10,20,3,3,9,3,3,3,8,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,3,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,3,4,3,3,3,4,3,6,7,3,3,3,3,3,3,3,
0,4,-1,3,3,8,-1,3,-1,3,-1,3,-1,3,-1,3,3,3,0,4,-1,3,-1,3,3,8,-1,3,-1,3,
-1,3,-1,3,3,2,-1,-1,3,3,-1,4,0,4,-1,3,3,3,0,8,3,3,-1,3,3,3,8,-1,-1,4,
3,4,3,4,3,3,3,-1,3,3,8,-1,3,3,3,8,0,4,-1,3,-1,3,3,8,-1,3,3,8,-1,3,
-1,3,-1,3,3,8,-1,3,3,4,-1,3,3,4,-1,4,0,4,-1,3,-1,3,-1,3,3,8,-1,3,-1,3,
0,-1,3,0,3,-1,3,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,3,6,6,3,6,6,6,
6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,6,6,6,6,6,6,6,6,6,6,3,8,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,3,-1,3,-1,
3,-1,3,-1,-1,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-3,-1,-1,3,-1,3,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_bold_25_latin_ext_w[560]={ 0,4,9,13,12,19,16,4,6,7,9,13,4,7,
4,8,12,8,12,12,12,12,12,12,12,12,4,5,12,13,12,12,22,17,15,15,15,13,12,16,14,4,11,16,
12,17,14,17,13,18,16,14,14,14,16,22,15,16,14,7,8,6,11,14,6,12,12,12,13,12,9,13,12,4,
7,12,4,18,12,13,12,13,8,12,8,12,13,18,13,13,11,9,4,8,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,12,13,12,13,
4,12,8,18,8,11,13,7,18,14,8,12,7,8,5,11,14,4,7,6,8,11,18,18,19,12,17,17,17,17,
17,17,23,15,13,13,13,13,6,6,8,8,17,14,17,17,17,17,17,11,17,14,14,14,14,16,13,12,12,12,
12,12,12,12,19,12,12,12,12,12,6,6,8,8,13,12,13,13,13,13,13,12,13,12,12,12,12,13,12,13,
17,12,17,12,18,14,15,12,15,12,15,12,15,12,15,17,17,14,13,12,13,12,13,12,13,12,13,12,16,13,
16,13,16,13,16,13,14,12,17,13,8,8,8,8,8,8,6,6,4,4,15,10,13,9,16,12,12,12,6,12,
7,12,8,12,9,14,7,14,12,14,12,14,12,16,15,12,17,13,17,13,17,13,22,21,16,8,16,9,16,9,
14,12,14,12,14,12,14,12,14,8,14,11,14,8,14,12,14,12,14,12,14,12,14,12,14,13,22,18,16,13,
16,14,11,14,11,14,11,7,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,16,12,12,14,12,12,12,
12,12,12,12,12,12,12,12,12,12,20,16,12,12,12,12,12,12,12,12,12,12,12,12,12,18,16,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,17,12,8,8,17,
13,14,12,14,12,14,12,14,12,14,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,17,12,23,19,17,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12, };
static unsigned short stb__arial_bold_25_latin_ext_h[560]={ 0,17,7,18,21,18,18,7,22,22,9,12,8,4,
4,18,18,17,17,18,17,17,18,16,18,18,12,16,13,8,13,17,22,17,17,18,17,17,17,18,17,17,18,17,
16,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,3,4,13,18,13,18,13,17,17,17,17,
22,17,17,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,22,22,6,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,17,21,18,12,17,
22,22,4,18,9,11,8,4,18,3,8,16,10,10,4,17,22,4,5,10,9,11,18,18,18,17,21,21,21,20,
20,20,17,22,21,21,21,20,21,21,21,20,17,20,22,22,22,21,21,12,18,22,22,22,21,21,17,18,18,18,
18,17,18,18,13,17,18,18,18,18,17,17,17,17,18,16,18,18,18,17,18,12,14,18,18,18,18,22,22,22,
20,17,21,18,22,17,22,18,22,18,22,18,22,18,21,18,17,18,20,17,21,18,21,18,22,17,21,18,22,22,
22,22,22,22,22,23,21,21,17,17,21,16,20,16,21,17,22,22,20,12,18,22,22,22,22,22,12,21,21,21,
22,16,17,16,17,17,17,21,17,22,17,21,17,17,18,17,21,17,22,18,22,18,18,13,21,17,22,17,21,17,
22,18,22,18,22,17,22,18,25,23,21,18,17,17,22,17,21,17,22,18,22,18,22,18,22,17,21,17,21,22,
20,21,17,20,17,21,17,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,18,14,14,22,14,14,14,
14,14,14,14,14,14,14,14,14,14,18,13,14,14,14,14,14,14,14,14,14,14,14,14,14,18,13,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,21,18,21,17,22,
18,22,18,22,22,22,22,22,22,22,22,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,23,22,21,18,22,18,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_bold_25_latin_ext_s[560]={ 254,251,1,80,157,118,157,248,220,178,178,
86,206,33,251,247,178,75,1,165,45,99,40,219,53,141,113,182,163,211,176,
1,75,41,59,40,75,119,177,19,190,114,184,28,206,204,222,166,91,34,160,
68,112,82,237,210,127,58,84,111,216,89,150,83,52,28,27,41,181,150,194,
14,233,246,65,14,205,209,240,54,147,133,245,68,105,81,59,14,33,27,47,
55,34,245,11,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,254,250,39,
188,1,158,248,232,59,103,188,130,234,33,36,68,225,143,142,162,41,222,119,
47,25,171,197,118,196,215,83,103,70,88,106,1,194,161,1,134,204,71,57,
147,249,197,33,138,11,179,165,183,201,1,235,228,1,233,15,45,182,218,156,
136,123,110,97,161,69,56,189,234,14,1,238,225,207,248,247,185,154,169,127,
113,202,137,66,100,1,27,14,1,242,113,142,170,212,143,52,144,201,122,227,
85,39,72,73,47,49,14,157,229,140,191,239,54,85,138,19,105,219,172,25,
53,184,149,1,18,200,65,19,43,42,108,189,201,99,197,230,188,173,215,200,
236,251,251,98,207,186,124,107,94,73,144,137,124,243,156,94,232,179,112,174,
234,81,150,68,187,55,38,128,25,109,224,1,114,218,174,206,94,170,170,32,
1,202,151,163,66,134,1,30,29,79,92,1,34,219,60,76,67,19,130,94,
127,155,216,127,229,98,168,60,116,71,182,54,1,121,127,100,19,42,142,238,
214,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,149,15,15,96,
15,15,15,15,15,15,15,15,15,15,15,15,15,195,116,15,15,15,15,15,
15,15,15,15,15,15,15,15,94,133,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,36,55,
243,91,1,234,217,79,185,172,157,144,129,116,101,88,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,16,75,1,27,57,151,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15, };
static unsigned short stb__arial_bold_25_latin_ext_t[560]={ 1,203,360,203,96,163,184,347,50,73,347,
347,347,360,309,163,163,314,296,163,314,314,203,314,203,203,347,314,332,347,332,
314,50,296,296,222,296,296,296,241,296,296,222,314,314,278,278,222,296,163,296,
241,314,222,278,296,314,314,314,27,203,27,347,360,360,332,222,332,203,332,278,
314,296,296,27,296,296,332,332,332,296,296,314,332,296,332,347,347,347,296,347,
27,27,1,360,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,1,241,119,
184,347,278,27,1,360,241,347,347,347,360,241,360,347,314,347,347,360,260,27,
360,360,347,347,347,222,222,241,260,119,119,119,163,141,141,260,27,119,141,141,
141,96,119,141,141,278,141,27,27,27,141,119,332,241,27,50,50,119,119,260,
222,222,222,222,241,222,222,332,260,222,222,203,203,260,222,260,278,203,314,203,
203,184,241,203,347,332,203,203,203,184,50,50,50,141,260,119,184,50,241,50,
184,27,184,27,184,73,184,119,163,278,163,141,278,141,163,141,163,27,278,119,
163,50,73,73,73,1,73,96,1,141,141,260,241,141,314,141,314,119,241,73,
73,50,296,184,73,73,73,73,73,347,119,119,119,50,314,260,314,260,278,241,
96,260,27,260,96,260,260,184,260,96,241,96,184,73,184,163,332,96,260,73,
278,96,241,73,163,73,184,50,278,73,163,1,1,96,184,278,278,27,260,96,
278,50,184,50,184,50,203,50,260,96,241,96,50,141,96,278,163,278,96,241,
260,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,222,332,332,27,
332,332,332,332,332,332,332,332,332,332,332,332,332,203,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,203,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,96,241,
73,278,27,222,1,163,1,1,1,1,1,1,1,1,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,1,1,119,184,1,163,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,332,
332,332,332,332,332,332,332,332,332, };
static unsigned short stb__arial_bold_25_latin_ext_a[560]={ 99,119,170,199,199,318,259,85,
119,119,139,209,99,119,99,99,199,199,199,199,199,199,199,199,
199,199,119,119,209,209,209,219,349,259,259,259,259,239,219,278,
259,99,199,259,219,298,259,278,239,278,259,239,219,259,239,338,
239,239,219,119,99,119,209,199,119,199,219,199,219,199,119,219,
219,99,99,199,99,318,219,219,219,219,139,199,119,219,199,278,
199,199,179,139,100,139,209,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,99,119,199,199,199,199,100,199,
119,264,133,199,209,119,264,198,143,197,119,119,119,206,199,99,
119,119,131,199,299,299,299,219,259,259,259,259,259,259,358,259,
239,239,239,239,99,99,99,99,259,259,278,278,278,278,278,209,
278,259,259,259,259,239,239,219,199,199,199,199,199,199,318,199,
199,199,199,199,99,99,99,99,219,219,219,219,219,219,219,197,
219,219,219,219,219,199,219,199,259,199,259,199,259,199,259,199,
259,199,259,199,259,199,259,257,259,219,239,199,239,199,239,199,
239,199,239,199,278,219,278,219,278,219,278,219,259,219,259,219,
99,99,99,99,99,99,99,99,99,99,281,199,199,99,259,199,
199,219,99,219,99,219,138,219,172,219,99,259,219,259,219,259,
219,254,259,219,278,219,278,219,278,219,358,338,259,139,259,139,
259,139,239,199,239,199,239,199,239,199,219,119,219,172,219,119,
259,219,259,219,259,219,259,219,259,219,259,219,338,278,239,199,
239,219,179,219,179,219,179,99,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,260,269,269,199,269,269,269,269,269,
269,269,269,269,269,269,269,269,305,255,269,269,269,269,269,269,
269,269,269,269,269,269,269,297,259,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,259,199,99,99,278,219,259,219,259,219,259,
219,259,219,259,219,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,259,199,358,318,278,219,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,269,
269,269,269,269,269,269,269,269, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_25_latin_ext(stb_fontchar font[STB_FONT_arial_bold_25_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_25_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_25_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_25_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_25_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_25_latin_ext_s[i] + stb__arial_bold_25_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_25_latin_ext_t[i] + stb__arial_bold_25_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_25_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_25_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_25_latin_ext_x[i] + stb__arial_bold_25_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_25_latin_ext_y[i] + stb__arial_bold_25_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_25_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_25_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_25_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_25_latin_ext_s[i] + stb__arial_bold_25_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_25_latin_ext_t[i] + stb__arial_bold_25_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_25_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_25_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_25_latin_ext_x[i] + stb__arial_bold_25_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_25_latin_ext_y[i] + stb__arial_bold_25_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_25_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_25_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_25_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_25_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_25_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_25_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_25_latin_ext_LINE_SPACING
#endif

