// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_26_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_26_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT        196
#define STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_26_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_26_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_26_latin_ext_LINE_SPACING          17

static unsigned int stb__arial_bold_26_latin_ext_pixels[]={
    0x99999993,0x80799999,0x2aa00028,0x0002001a,0x00033322,0x0000b32e,
    0x00000000,0x01330000,0x00006200,0x0f322000,0x00000000,0x00000000,
    0x00000000,0x014c0a80,0x00039970,0x00003997,0x00198800,0x32200000,
    0xa828804c,0x00000001,0xbfb00000,0x32000001,0x45ffffff,0xffff73ff,
    0xffffffff,0x007fcc0b,0x0077fc40,0xfc8007b8,0xff98003f,0x7fe4000e,
    0x3ffd8005,0x32bfd000,0x3e6000ff,0xffa8006f,0x2fbf2006,0xfd000fb8,
    0x7f4007ff,0x9001ff75,0x7c400bff,0x400dfb3f,0xa800effa,0x03ff89ff,
    0x01fff880,0x01fc4bb0,0x006fffb8,0x0077ffd4,0xff93ffd0,0x03ffd007,
    0x03bfea00,0x09fffb00,0x03ea3f88,0xd1dff300,0xff3003ff,0x20017fa5,
    0xff7003fb,0x6405ff31,0x45ffffff,0xffff73ff,0xffffffff,0x000ff40b,
    0x8800ffc8,0x7c4007fe,0xdf90004f,0x5ff88001,0x0ffd1000,0x3f3fe600,
    0x7fcc002f,0x5d3d8006,0xfffff300,0x3bf200df,0xf1001ffb,0x4005ff9f,
    0x2a001ffc,0x000ffdff,0xd8003bfa,0x0005feef,0x54005ff9,0x800ffeff,
    0x04ffbff8,0x9fd7ff10,0x22bfea00,0xffd005ff,0x3bfa0003,0x5ffdc000,
    0x77ec01ff,0xfc8005fe,0x002ffa8f,0x03ff7fee,0x07a65c80,0x17fb7fa0,
    0x33333310,0x3313ff81,0x33dff933,0x3be20133,0x7fc4000c,0x0fff1001,
    0x0004ea80,0x90001bb1,0xe88000df,0xff70002f,0xdd30009f,0xf3b9000b,
    0x2a2b7003,0xee8801dd,0x54009d91,0xd8005fff,0x7fe4004f,0x3fea003f,
    0x7ff44000,0xff88000f,0xbec98002,0x269d9000,0x4ec801ee,0xfb003dd3,
    0xd801bee9,0xfa8001ee,0x76c4000f,0xa880bd92,0x44000add,0x007fd1ff,
    0x005fffb0,0x007e66d8,0x003bffe2,0x203ff800,0x26006ffc,0x44000fff,
    0xff1002ec,0x0880000f,0x40005440,0x880000aa,0x2aa0001a,0x00000002,
    0x00009fb1,0x50000000,0x2a000155,0x02aa8002,0x800054c0,0x10001aa9,
    0x00000035,0x00000000,0x002aa2a8,0x0a980000,0x00000000,0x511a8800,
    0x2aa20005,0x04cc9802,0xa9813326,0x27fd801a,0x01ffc6fe,0x4400dff9,
    0x64000aaa,0x7e400fad,0x201fffff,0x1cdeedb9,0x3e601dd1,0x973000fe,
    0x40037bdd,0x1bdeecb9,0x3bb6e600,0xb751003d,0x32607bdf,0x5332604c,
    0x32604cc9,0xfb75104c,0x32a007bd,0x9303defd,0xa664c099,0x32604cc9,
    0x4099934c,0x97304cc9,0x40037bdd,0x03deedb9,0x64c09993,0xddb7304c,
    0x372a007b,0x99303def,0x82664c09,0x03deedb9,0x7bdfb950,0x09991000,
    0x7bdd9730,0x765cc003,0xa8001bde,0x7d400ccc,0x9ffea07f,0xcccccccb,
    0x7ec1cccc,0x7ff1bfa7,0x0037fe40,0x97400066,0x7ffe402e,0xff701fff,
    0xdbffffff,0x653201df,0xffffc804,0xc804ffff,0xffffffff,0xffffb804,
    0x2602efff,0xffffffff,0x03ffd42f,0x3feafff5,0x21ffea07,0xfffffff9,
    0xffb102ff,0x83ffffff,0x3ea07ffa,0x40fff57f,0xfff57ffa,0x643ffd40,
    0xffffffff,0xffffb804,0x7d42efff,0x1ffea07f,0x3fffffee,0xffb102ef,
    0x83ffffff,0x3ea07ffa,0xffffb87f,0xb102efff,0xffffffff,0x3ffcc003,
    0x3fffff20,0xfc804fff,0x4fffffff,0x1ffffc00,0xa81ffea0,0x3fff67ff,
    0xffffffff,0xbd937643,0x3f203ff8,0xfff7006f,0x80bff37f,0x4c00fefc,
    0x80aafffb,0xfffffffe,0x200fffff,0x7402eaeb,0xffffffff,0xffd00eff,
    0xffffffff,0x3fff601d,0x1fffffff,0xffffff98,0x2a1fffff,0x3fea07ff,
    0x540fff57,0x7ffcc7ff,0xffffffff,0xeffffe81,0x2a0fffff,0x3fea07ff,
    0x540fff57,0x0fff57ff,0x3fa3ffd4,0xffffffff,0xfffb00ef,0x3fffffff,
    0xf503ffd4,0xffffd8ff,0x81ffffff,0xffeffffe,0x3fea0fff,0xb1ffea07,
    0xffffffff,0xfffd03ff,0x1fffffdf,0x81ffe600,0xfffffffe,0xfd00efff,
    0xffffffff,0xff5001df,0xffa80dff,0xd9ffea07,0xffffffff,0x20003fff,
    0x3ff203ff,0xffffd806,0x405ffdff,0x8803ffff,0x3fee07ff,0xffb511df,
    0x09d900bf,0x21dfffb8,0xb84fffd9,0x3661dfff,0xffa84fff,0xfff710df,
    0x9efff98b,0x4dfff930,0x3ea07ffa,0x40fff57f,0x3fe67ffa,0xff9309ef,
    0xafff88df,0x47fff710,0x3ea07ffa,0x40fff57f,0xfff57ffa,0xf73ffd40,
    0x7ecc3bff,0xfffa84ff,0xbfff710d,0xf503ffd4,0x6fffd4ff,0x8bfff710,
    0x710afff8,0x7fd47fff,0xa9ffea07,0xf710dfff,0xfff88bff,0x7fff710a,
    0x41ffe600,0x261dfffb,0xfb84fffd,0x3f661dff,0xffd804ff,0x3ea01fff,
    0x9ffea07f,0xb9999998,0x0000efff,0xffc80ffe,0x77ffcc06,0x05fffea9,
    0x01bfffea,0x7c41ffe2,0xfff705ff,0x054c403f,0x40bfff10,0x3e21fffb,
    0x3fee05ff,0x13ffe21f,0xfd17ffdc,0x7ffe40bf,0x540fff51,0x0fff57ff,
    0xffd3ffd4,0x0fffe40b,0x3fa0bff7,0x81ffea5f,0xfff57ffa,0xfabffd40,
    0x5ffea07f,0x2e05fff8,0x3fe21fff,0x5fff704f,0xfa81ffea,0x09fff17f,
    0xfb8bffee,0x4bffd05f,0x3ea07ffa,0x09fff17f,0xfb8bffee,0x0bffd05f,
    0x221ffe60,0x3ee05fff,0x3ffe21ff,0x07ffee05,0xffdfff88,0x81ffea05,
    0xf8807ffa,0x3fea1fff,0xff4ffc85,0x037fe407,0x3fe1bff6,0x3fff605f,
    0x7fc401ff,0x01fff707,0x09fffff7,0xbfffffb1,0x00fffa81,0xff52fff4,
    0x5ffe801f,0xc803ffea,0x07ffe20b,0x7fd41570,0x55ffea07,0x3fea07ff,
    0x803fff17,0x7ffd40ab,0x2a099882,0x3fea07ff,0x540fff57,0x0fff57ff,
    0xffabffd4,0x2fff400f,0x6401fff5,0x81ffea0b,0xfff57ffa,0x2a05e401,
    0x99882fff,0xa81ffea0,0x1fff57ff,0x3ea05e40,0x099882ff,0x50fff300,
    0xfe801fff,0x03ffea5f,0x5c0bffd0,0x0fff9dff,0x540fff50,0xffe807ff,
    0x42ffd42f,0x07ff4ffc,0x3a037fe4,0x5ffd83ff,0xffbfff10,0x07ff880b,
    0xff50bff9,0xfb0dff97,0x8dffffff,0xfc805ffc,0x017ff26f,0xffb9bff2,
    0x6ffa8005,0x0fff5000,0xffabffd4,0x55ffea07,0x220006ff,0x02ceffff,
    0xf503ffd4,0x81ffeaff,0xfff57ffa,0xfcbffd40,0x6ffc805f,0x20017fee,
    0x3ea07ffa,0x00bff77f,0x3bfffe20,0x3ffd402c,0x3eefff50,0xff10005f,
    0x00059dff,0x7e43ffcc,0x6ffc805f,0x32017ff2,0x3ffa06ff,0x2a07ffd2,
    0x3fea07ff,0x1fffec07,0x7e42ffd4,0x6407ff4f,0x7ffc06ff,0x705ffb81,
    0x1fff3bff,0xe83ffc40,0xa7fcc4ff,0x7fdc7ffb,0x0fffb99d,0x2e013ff6,
    0x13ff67ff,0xfd9ffee0,0xffc8005f,0xfff50005,0xfabffd40,0x5ffea07f,
    0x40005ffc,0xfffffffb,0x07ffa81c,0x7fd5ffea,0x55ffea07,0x3fea07ff,
    0x7009ffb7,0x2ffecfff,0x03ffd400,0x3ff6fff5,0x3fee0005,0x81cfffff,
    0x3ea07ffa,0x00bffb7f,0x7ffffdc0,0x4c001cff,0x4ffd87ff,0x367ffb80,
    0xffb804ff,0x21fff307,0xff506ffc,0x03ffd40f,0x2a0bfff7,0x4ffc85ff,
    0x7fe407ff,0x417ffc06,0xffd05ffc,0x880fffa5,0x7fff07ff,0xff52ffc4,
    0x205d441f,0x3ffe2ffd,0x0fffa803,0xf5007fff,0x13ffa1ff,0x213ffa00,
    0x5ffffffc,0x7d40fff5,0x40fff57f,0x9ffd7ffa,0xffffff90,0xffffd50b,
    0xffa89fff,0x55ffea07,0x3fea07ff,0x540fff57,0x07fff7ff,0x3a1fff50,
    0xfa8004ff,0x5ffea07f,0x40004ffe,0xffffffea,0x03ffd44f,0x3ffafff5,
    0x7f540004,0x04ffffff,0x3e1ffe60,0xffa803ff,0x007fff0f,0xf901fff5,
    0x0fffc4bf,0xf503ffd4,0x3ffe60ff,0x0bff500e,0x0ffe9ff9,0x6c06ffc8,
    0x5fff84ff,0xf90fff98,0x7ffc40df,0x53ffa0bc,0x7fd45fe8,0x7fed4407,
    0x013ffa3f,0xffe9ffea,0x27ffa804,0xd8004ffd,0xfffc85ff,0xfff55fff,
    0xfabffd40,0x5ffea07f,0xffc85ffd,0x2605ffff,0x4fffffec,0xfa81ffea,
    0x40fff57f,0xfff57ffa,0xfebffd40,0x7ffa804f,0x20013ff6,0x3ea07ffa,
    0x009ffb7f,0x3ffb2600,0x3fea4fff,0x6dffea07,0x300004ff,0x9fffffd9,
    0x21ffe600,0xfa804ffe,0x013ffa7f,0x3e21ffea,0x2fff42ff,0xf703ffcc,
    0xffff10df,0x42ffd401,0x07ff4ffc,0x32037fe4,0x3fea1fff,0x25ffc85f,
    0x3a01fff8,0x3f62ffff,0xb81dfd5f,0xfec986ff,0x363fffff,0xffb805ff,
    0x2017ff66,0x3ff26ffb,0x6ffb8005,0xfffeeeb8,0x5c0fff35,0x0fff36ff,
    0xffbb7fdc,0xffeeeb86,0xff71005f,0x03ffccff,0x3fe6dff7,0x4dbfee07,
    0x3fee07ff,0x700bffb6,0x2ffe4dff,0x03ffcc00,0x3ff2dff7,0xb8800005,
    0x3fe67fff,0x65bfee07,0x800005ff,0x007fffb8,0xffb0fff3,0x4dff700b,
    0xfb805ffd,0xcfffa86f,0x0fffeccc,0xb807ffcc,0xfffe86ff,0x437fd402,
    0x07ff4ffc,0x22037fe4,0xffedffff,0x7ffc45ff,0x302fff42,0x7e45ffff,
    0xd80efdff,0x7ffcc5ff,0x23ffdadf,0xfe807ffc,0x01fff25f,0xffb97ffa,
    0x985efc07,0x7ec00fff,0x01fff35f,0x7fcdbfee,0x2dff700f,0x6c00fff9,
    0x0732e5ff,0xf98fffcc,0xdff700ff,0x5c03ffe6,0x1fff36ff,0x7e5bfee0,
    0x5ffe807f,0xbf01ffee,0x03ffe617,0xffbb7fdc,0x705efc07,0x3fe60399,
    0x01fff31f,0x7fddbfee,0x705efc07,0x3fe60399,0xa835311f,0x7ffc87ff,
    0x325ffe80,0xffe807ff,0xfffffe85,0x43ffffff,0xf902fff8,0x3fffd8bf,
    0xd86ffa80,0x007ff4ff,0x7fffcc00,0x545ffcef,0xeccccfff,0x04c00fff,
    0x0fffffcc,0x3a1fffcc,0x1ffec4ff,0x5407fff3,0x3fe63fff,0x3ffea03f,
    0x40bffe63,0x3fe2fffb,0xaffec04f,0xf902fff8,0x0bffe2bf,0xfff2ffe4,
    0x25ffd809,0xff105ffe,0x0bffe23f,0xff8affe4,0x2bff902f,0xf902fff8,
    0x0fffe6bf,0x263fffa8,0xff702fff,0x0bffe25f,0xff9affe4,0x5fff702f,
    0xf882fff4,0x5fff11ff,0x7cd7ff20,0xfff702ff,0x882fff45,0xbff71fff,
    0xf986ffa8,0x3fea03ff,0x0fffe63f,0x4c3fffa8,0xffffffff,0xff86ffff,
    0x7ffcc0ff,0x017ffee4,0x3e23ffcc,0x407ff4ff,0x73003cc9,0x9ff719dd,
    0xffffffe8,0x203fffff,0xfffb04cc,0x8dffd309,0x7f40fff8,0x1fffec3f,
    0x6c37ffd4,0xffa83fff,0x2fffc86f,0x2e37ffcc,0xfc884fff,0x3fffe5ff,
    0xf27ffcc0,0xff981fff,0x13ffee4f,0xc97fff22,0xffd82fff,0x207fffc7,
    0x3fe4fff9,0x7ffcc0ff,0x303fffe4,0x7fec9fff,0x6fffa83f,0x4c2fffc8,
    0x7ffc6fff,0x27ffcc0f,0xf985fff9,0x7ffe46ff,0x7c7ffd82,0x7fcc0fff,
    0x0bfff24f,0xfc8dfff3,0x7ffd82ff,0xfd87ffea,0x7fffb05f,0xb0dfff50,
    0xff507fff,0x3dff90df,0xff533333,0xffffb83f,0x0ffffece,0x400dfff5,
    0xea9dfff8,0x07ff4fff,0x02037fd4,0x7cc7ff70,0xffffffff,0x3fe06fff,
    0xfffff907,0x3ffffb79,0xb319ffd0,0xff887fff,0xffecdeff,0xfff881ff,
    0xfffecdef,0xffff881f,0x2ffffece,0xcdffffc8,0x24fffffe,0xeceffffb,
    0x3ee0ffff,0xffecefff,0x7ffe40ff,0xffffecdf,0x3fffe24f,0x5ffffdcf,
    0x677fffdc,0x2e0ffffe,0xfeceffff,0x3fee0fff,0xfffeceff,0x3fffe20f,
    0xffffecde,0xeffff881,0x42ffffec,0xeceffffb,0x3e20ffff,0xffecefff,
    0x7ffc42ff,0xffffdcff,0x77fffdc5,0x20ffffec,0xeceffff8,0x7c42ffff,
    0xffdcffff,0x3ffe25ff,0x02ffffdf,0x9bdffff1,0x103ffffd,0xd9bdffff,
    0xff03ffff,0x5ffe807f,0xffffffd8,0x3ff63fff,0xeeeeeeef,0x3fff64ee,
    0xf4ffcfff,0x2ffd407f,0xb03bff20,0x77fe45ff,0xfa999999,0x0dff01ff,
    0xfffffff5,0x205dffff,0xfffffffa,0xffe984ff,0x2fffffff,0x3ffffa60,
    0x202fffff,0xffffffe9,0x3ff203ff,0xffffffff,0xfffffd82,0xfd83ffff,
    0xffffffff,0xfffff903,0x505fffff,0xffffffff,0x3fff60bf,0x83ffffff,
    0xfffffffd,0xfffd83ff,0x83ffffff,0xffffffe9,0x3a602fff,0xffffffff,
    0xfffffb03,0xd307ffff,0xffffffff,0x3fffea07,0xb05fffff,0xffffffff,
    0xfffd307f,0x207fffff,0xfffffffa,0xfffb85ff,0x4c04ffff,0xfffffffe,
    0x3fa602ff,0xffffffff,0x00fffa82,0x5c07ffdc,0x1dfffffe,0x7fffffec,
    0x45ffffff,0xfa9efffd,0x4c07ff4f,0x7fd403fc,0xfffeccef,0xd00fffe0,
    0x13a60bff,0xff719ff1,0x8019dfff,0xf8afffeb,0x3ffae07f,0x7000ceff,
    0x19dffffd,0x3fffb200,0xdba801df,0x00bdffff,0x3fffffae,0x3ffae01d,
    0x5401dfff,0xbdffffdb,0x3fff6200,0x75c03eff,0x01dfffff,0x3fffffae,
    0x3ffae01d,0x5c01dfff,0x0ceffffe,0xffffd900,0xffeb803b,0x6401dfff,
    0x01dffffe,0x7ffffec4,0x7ff5c03e,0x6401dfff,0x01dffffe,0x7ffffec4,
    0x3ffea03e,0x3ae003df,0x00ceffff,0xdffffd70,0x17ff6019,0x00fffe20,
    0x7fec0131,0xffffffff,0x801305ff,0x0fe402ee,0x7ffffe40,0x3fea1fff,
    0x7ffdc00f,0x4981fe80,0x22000330,0x00cc0000,0x0000cc00,0x260000cc,
    0x01310000,0x00013100,0x9880004c,0x01310000,0x00013100,0x26000131,
    0x01980001,0x00013100,0x4c400066,0x01310000,0x40006600,0x0c400098,
    0x000cc000,0x00000cc0,0x00000000,0x20000000,0x326002fa,0x6c0bceee,
    0xff8805ff,0x0000b83f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000008,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffe400,0x0000001f,0x1fff9800,0x01ccb800,0x6f764c00,0x0b32a003,
    0x0bffa200,0x2604cc98,0x950004cc,0x7c400079,0x6fd401ff,0x3ea00ef9,
    0x404fe89f,0x00002ff9,0x0ffb2200,0x0ccccccc,0x4006775c,0x2a003cc9,
    0x0001ffc0,0x0fbbb660,0x32666654,0x10399999,0x99999997,0x3b2a0079,
    0x8001bdfe,0x03defdca,0x00000000,0x4c000000,0x003deedb,0x30000000,
    0x817fa5ff,0x00aaaaa9,0x8013ff60,0xff8801fb,0x26000eff,0x0000ffff,
    0x0bfffff3,0x07fffe60,0x81bfe200,0x3ea07ffa,0xff88007f,0x3f20000e,
    0xdff7001f,0xfbdfb001,0x03fa200d,0xffbafec0,0x7fffc400,0xfffff983,
    0xffffb87f,0x02ffd400,0x1ffc2f88,0x7fcc7fdc,0x3fffea02,0xfffc86ff,
    0xffff50ff,0xffffb85f,0x06ffffff,0x3fffff22,0x00dfffff,0x7ffffec4,
    0xfb801fff,0xf880005f,0xf50002ff,0x3ee001df,0x2effffff,0x801fff40,
    0x0bfd2ff9,0x1dfbff70,0x03d32e40,0x8017fe20,0x6c02dfea,0x004fe8ef,
    0x0bfd9ff1,0x3bfff200,0xbbfd003f,0x3e6000df,0x0fff501f,0x4003ffd4,
    0x20001ffb,0xb9002ff8,0x3a200f4c,0x5c801fff,0xff1007a6,0xf9007ffb,
    0xdd305dff,0xd50ddddd,0xfa807fff,0xf0f7005f,0x3b7f607f,0x6fff405f,
    0x75c3ffec,0xff50fffe,0x7fcc3ddf,0xffffffff,0xdffd306f,0xf9753357,
    0x7ff405ff,0xfffffeff,0x01ffc800,0x017fdc00,0x001dfd00,0x3ffffff6,
    0x2201ffff,0x3ee006fe,0xb000ffdf,0x6d803fff,0x7e4007e6,0xfffd5005,
    0x55101dff,0x5c00aa21,0x005dd15e,0x8007ffd0,0x2ed88dea,0x20353000,
    0x3ea07ffa,0x1ed8007f,0x00d44000,0x00fccdb0,0xd800d54c,0x2a007e66,
    0xfb005fff,0x5000005f,0x998809ff,0xff0bb000,0x3fffe207,0x99ffe600,
    0x3ffe07ff,0x360bff50,0xbbffffff,0xff982dff,0xffd9801e,0x0afff881,
    0x007fff71,0xf00017f6,0x7cc0007f,0xfff5001f,0x3ffee21b,0x017f4405,
    0x003fffd0,0x64c15544,0x1332604c,0x3fa002a8,0x04ffffef,0x00000000,
    0x000fff88,0xffb00000,0x3fea37f4,0x01ffea07,0x3f600000,0x9931bfa7,
    0x22664c09,0x31bfa7fd,0x664c0999,0x002aaa04,0x32607fec,0x1332604c,
    0x0000bff1,0x3e0fea62,0x06aa603f,0x0c5fff30,0xfa87ffc0,0xffffd05f,
    0x07ff13ff,0x03109fd1,0x7fdc37ec,0x00bffd05,0x51000154,0x1a980005,
    0x09fff100,0x100bffee,0x55440035,0x2664c002,0xf503ffd4,0x66665cff,
    0x1ccccccc,0x2beeffe6,0xbff90fff,0xcb8bffa0,0x332a00cc,0xffff701c,
    0x665c3fff,0x01999902,0x7fd87995,0xfff51bfa,0x403ffd40,0xccccccc9,
    0x3ccccccc,0x1bfa7fd8,0x7d40fff5,0xfd3fec7f,0x207ffa8d,0x99917ffa,
    0x99999999,0x503ffa09,0x7fd40fff,0x202ffc47,0xffa85ffa,0x7fc0dfff,
    0x99999933,0x87999999,0x2003fffd,0xbff50fff,0x3fffffe0,0xd83ff89f,
    0x7fff5c5f,0xfe89ffda,0x417ffd40,0xca800998,0xccb800cc,0x3332a00c,
    0x06665401,0x803ffea0,0x333220bc,0xcccccccc,0x33333224,0x401bcccc,
    0xffa87ffa,0xd9ffea07,0xffffffff,0x3ff23fff,0x21a99fb8,0x7cc0fff9,
    0x27ffcc7f,0x206fff88,0xfffffffd,0x2617ff20,0xfd82ffff,0xd937644f,
    0x207ffa8b,0xfd807ffa,0xffffffff,0xc86fffff,0xf517b26e,0x3ffd40ff,
    0x45ec9bb2,0x3ea07ffa,0xfffff37f,0x0fffffff,0x3fea1ffa,0x11ffea07,
    0xffa80dff,0x7ffffdc5,0x4ffe0fff,0xfffffffb,0x5c5fffff,0x801effff,
    0xbff50fff,0x3fffff60,0x443ff89f,0x3fff20ff,0x70fffffe,0xffff885f,
    0xff0002ce,0xff3007ff,0x3ffe209f,0x3ffff806,0x002ffdc0,0x7fffffcc,
    0x267fffff,0xffffffff,0x3ea03fff,0x07ffa87f,0xffd9ffea,0xffffffff,
    0x2ebfee3f,0x0bffa01f,0xff909ff9,0x3fff903f,0x6ffed540,0x43ffd42a,
    0xe84ffffb,0x2a0002ff,0x3fea07ff,0x77ffcc07,0xffffffff,0x40006fff,
    0x3ea07ffa,0x3ea0007f,0x5ffea07f,0xfffffff9,0xff07ffff,0x40fff50f,
    0x7ff87ffa,0xf12ffd40,0xffff5bff,0xffb9ffc9,0xffffffff,0x3ffee5ff,
    0x7c03ffff,0x0bff50ff,0x3fffffea,0x7e43ff89,0x4c37ff25,0x13e66fff,
    0x3fffffee,0xff5001cf,0x3f200dff,0xfffc81ff,0x7fffd401,0x02ffec06,
    0x7ffffcc0,0x27ffffff,0xfffffff9,0x504fffff,0xfff50fff,0x313ffd40,
    0xff733333,0x7ffc41df,0x3fee01fe,0x440fff45,0x7fc45fff,0x7ffb003f,
    0xb07ffe20,0xf88dffff,0x2a0000ff,0x3fea07ff,0xda7fe407,0x99999dff,
    0x54000099,0x3fea07ff,0x3fea0007,0x4dffea07,0x99999fff,0xff981999,
    0x207ffa86,0xffd87ffa,0xc97fea02,0xdf7f36ff,0x9989ffc9,0x99effc99,
    0x55bfe099,0x3e05ffff,0x0bff50ff,0x4fffffdc,0x9ff43ff8,0x7ec0fff8,
    0x541be24f,0xfffffffe,0xffffd804,0xfff8801f,0x01fffc45,0x0fffffec,
    0x0009ffd0,0x3333fff3,0x7cc33333,0xa99999ff,0xff506ffe,0x40fff50f,
    0xf8807ffa,0xffe81fff,0xf880beff,0x0dff30ff,0xfb17ffd4,0x7ffc00df,
    0xf0bffe01,0x541fffff,0x17fea7ff,0x7fd53ff2,0x81ffea07,0xffb1fff8,
    0x2ffd4009,0xffaa7fe4,0x55ffea07,0x4ffc85ff,0x7d40fff5,0x00fff37f,
    0x82fffc88,0x3ea07ffa,0xcfffa87f,0x3a5ffa80,0x000f93ff,0x2606ffc8,
    0x3ffa24ff,0x21fff03f,0x5cc05ffa,0x3ff89ffe,0x2ffb8ffc,0x3e63ffc8,
    0x7ff64c06,0x3e204fff,0x005ffdff,0x7ec5fff5,0xfff8806f,0x3f605ffd,
    0xff98004f,0x3ffcc007,0x501fff50,0xfff50fff,0x403ffd40,0x3202fffe,
    0x82ffffff,0x7ff92ffd,0xf56ffd80,0x3e2003ff,0x3ff600ff,0x3f77fe64,
    0xa97fee2f,0x4ffc85ff,0x2e01fff3,0x3ff206ff,0x8013ff65,0xffc85ffa,
    0x540fff54,0x0bff57ff,0x3fea9ff9,0x4dffea07,0x7d4007ff,0xfff504ff,
    0xc83ffd40,0xffa81fff,0x2747ffe5,0x1bff2000,0x6c0fff88,0x1fff06ff,
    0x5c017fea,0x23ff89ff,0x03ff67f8,0x5fb87ff6,0x3ffee200,0x277fee07,
    0xfb000fff,0x07ffeadf,0x3e77fee0,0xbff900ff,0x0fff3000,0x207ff980,
    0xfa80fff9,0x07ffa87f,0xfb01ffea,0xfb1007ff,0xfa81ffff,0x801ffd5f,
    0xffecfff8,0x1ffe6004,0x7dcdff70,0x364ffbbf,0x17fea3ff,0x7fcd3ff2,
    0x0dff700f,0xfd8bffe2,0x999999df,0x642ffd41,0x0fff54ff,0xffabffd4,
    0xf54ffc85,0xbffd40ff,0x9999fff9,0x3ea09999,0xfff504ff,0xc83ffd40,
    0xffa81fff,0x3e27ffa5,0x7fe40002,0x0ffff406,0x3fe03ffa,0x00bff50f,
    0x3fe27fee,0x7ff9be63,0x3fd8ffd0,0xf980e65c,0x5ffd01ff,0x4400fffa,
    0x4ffecfff,0x3a5ffd00,0xfff703ff,0xf30bdf80,0x333333ff,0x3ffcc133,
    0x2a0dff90,0x7ffa87ff,0xb81ffea0,0x2e005fff,0xf82fffcf,0x005ff9ff,
    0x1ffffff7,0x02ffdc00,0xffe9ffe6,0x3fe6ff99,0x217fea1f,0xfff14ffc,
    0x417ff205,0x7fec6ffb,0xffffffff,0x3217fea0,0x0fff54ff,0xffabffd4,
    0xf54ffc85,0xbffd40ff,0xfffffff9,0x3222ffff,0xffa82fff,0x21ffea07,
    0xa80bfffb,0x2fff65ff,0x0006ae7b,0xfa80dff9,0x1bfa4fff,0xffa87ffc,
    0x13ff7005,0xf3fc47ff,0x4dff30ff,0x7ff40ffa,0x03fff105,0x3f21fff3,
    0x3fee006f,0x9800ffff,0xdff90fff,0x40bffe60,0xff32fffb,0xffffffff,
    0x67ffcc5f,0xfffecccc,0x50fff503,0x7fd40fff,0x1dfff307,0x7ccfdc00,
    0xfeffc85f,0x3ffa002f,0x7e4002ff,0x9fff804f,0x3ffe7ff8,0x7d47ff98,
    0x24ffc85f,0x7cc0efff,0x7fff04ff,0xffffffd8,0x3ea0ffff,0x54ffc85f,
    0x7fd40fff,0xf90bff57,0x81ffea9f,0xfff37ffa,0xffffffff,0x50bff505,
    0x7fd40fff,0x201ffe87,0x3fee5ffa,0x1fff55de,0xffc80ffe,0xffffa806,
    0xff03ffce,0x017fea1f,0x7fc4ffdc,0xffe8ff43,0xf9a7fec1,0x2fffc83f,
    0xf907ffd8,0x0fffc4bf,0x5ffffd00,0x897ff200,0xff901fff,0x6fff985f,
    0x3fffffe6,0x262fffff,0xffffffff,0x3ea04fff,0x07ff987f,0x3e21bfee,
    0x76c00fff,0x1bfe3f77,0x03ffffe6,0x05fff980,0x802ffd80,0x5ffabffd,
    0x3feabff6,0x642ffd45,0x3ffea4ff,0xffffecef,0xd87ffb80,0xccccceff,
    0x17fea0cc,0x7fcd3ff2,0x55bfee07,0x4ffc85ff,0x7dc0fff3,0x99fff36f,
    0x03999999,0x3fe61ffe,0x21bfee07,0x7fd406ff,0x37fffe25,0x3fe2fffb,
    0x01bff203,0x7fffff44,0x543ffe04,0xff7005ff,0xfc87ff13,0xb33dff73,
    0x9ff9bfff,0x3ffffe20,0x85ffffdc,0x7f42fff8,0x3fe6005f,0xfff1005f,
    0x105ffe85,0xfd9dffff,0x7fcc5fff,0xcccccccf,0x3fffe61c,0x01bfffff,
    0x7cc3ffd4,0xdff700ff,0x005fffd0,0x33f77ffb,0x3ffa09ff,0xfff8005f,
    0x1fff8002,0xfcdffb80,0x333fea3f,0x37fd43ff,0x3f227fe4,0xffffffff,
    0xddfffd01,0x009fffdd,0x7e437fd4,0x01fff34f,0x7fd5bfee,0xf34ffc86,
    0x3fee01ff,0x000fff36,0x7fcc3ff4,0x8dff700f,0x7d406ff8,0x7fffcc5f,
    0x1ffc6fff,0x800dff90,0x202ffffb,0xbff50fff,0x227fee00,0xd37d43ff,
    0xffdfffff,0xfa807fff,0xffffffff,0x99fff505,0x01fffd99,0x8017ffc0,
    0xccccfffa,0xd300fffe,0xffffffff,0x007ff987,0xea8bffcc,0x7d400eff,
    0x2fff887f,0xfd8bff90,0xff3003ff,0x3fff9fdf,0x00bffee0,0x000bffe0,
    0x2600fff1,0x20ffeeff,0x1ffeeff8,0x7ec37fd4,0xfffda84f,0xff501cef,
    0xffffffff,0x7fd4009f,0xf14ffd86,0x3ff205ff,0xfb0dff55,0x0bffe29f,
    0xff9affe4,0x3ffa0007,0x817ffc40,0x7fc45ffc,0x42ffd405,0x0cfffff9,
    0xff901ffc,0xffd3000d,0x43ffe01f,0xf7005ffa,0x887ff13f,0x2ffb22ff,
    0x21bdfd88,0xffd88099,0x3a03efff,0xffffffff,0x3e003fff,0xffd002ff,
    0xffffffff,0xffec807f,0xff981dff,0x3ffcc007,0x803fffe2,0xfff07ffa,
    0x4fff981f,0x0017ffee,0xfffffffb,0x03ffdc07,0x002fff80,0x88037fd4,
    0xe86fffff,0xf987ffff,0x27ffc47f,0x3a003be0,0xffffffff,0x26004fff,
    0x7ffc47ff,0x303fffe4,0x3fe69fff,0xf27ffc47,0xff981fff,0x00fff34f,
    0x7c07fec0,0x7fcc0fff,0x02ffc44f,0x67c17fee,0x80ffe019,0x54406ffc,
    0x817ffc2b,0xbff50fff,0x227fee00,0x1ffb83ff,0x0ffd8800,0x20177ec0,
    0xfffffff9,0x006fffff,0x2600bffe,0xffffffff,0x9806ffff,0x3e601efd,
    0x7fcc007f,0x05fffa87,0x7dc1ffea,0xffecefff,0xdfff50ff,0x3ff6a000,
    0x3fe202ef,0xfff0004f,0x4ffc8005,0x3ffffa00,0x5ffffc84,0xa9dfff88,
    0x7c04fffe,0x1fff9805,0x4009ffb0,0xea9dfff8,0x3fee4fff,0xfffeceff,
    0x3bfff10f,0x5c9fffd5,0xfeceffff,0xfff30fff,0x17fec000,0x677fffdc,
    0x540ffffe,0xfb1104ff,0x003f309f,0x7fe407ff,0x23ffcc06,0xfff00ffe,
    0x4017fea1,0x3ff89ffb,0x0019ffb0,0x100bffa6,0x6407fd77,0x99999eff,
    0x001fffa9,0xf9005fff,0x333333df,0x9803fff5,0xf300ffba,0xff9800ff,
    0x07fffb07,0xfd81ffea,0xffffffff,0x3bbfff63,0x4eeeeeee,0xdd807ee0,
    0x0000ffff,0xfb005fff,0x4005fffd,0xa82ffffc,0xfb03ffff,0xff9fffff,
    0x401ff809,0x3f606ffd,0xeeeeeeff,0x3fff60ee,0x44ffcfff,0xfffffffd,
    0x7ffec3ff,0x44ffcfff,0xfffffffd,0x3ffe63ff,0xeeeeeeee,0xffffc81e,
    0x7ffffec2,0x3ea3ffff,0xff903fff,0x00d907ff,0xffc80ffe,0xcfffd806,
    0x775c5ffe,0xfff50fff,0x7fdc03dd,0x3203ff89,0x9abdefff,0x2fffedba,
    0xf02fdc00,0xffe807ff,0x05fff005,0xe807fff0,0x3fa005ff,0xddfff302,
    0x3ddddddd,0x7c41ffe6,0xffa80fff,0x7fff5c07,0x7fec1dff,0xffffffff,
    0x07ee05ff,0x03fffff8,0x00bffe00,0x03bffffe,0x0ffffa80,0x02ffff88,
    0x2a7bfff6,0x7fe404ff,0x2fff986f,0x3fffff60,0x40ffffff,0xfa9efffd,
    0xfffeb84f,0xffb01dff,0x09ff53df,0xbfffffd7,0xfffff983,0x2fffffff,
    0x83ffff88,0xdfffffeb,0x07fffdc1,0x80efffe8,0x07ff004e,0x4c037fe4,
    0x1fffffff,0x87ffffe4,0x02fffffa,0x3fe27fee,0x7ffecc03,0xffffffff,
    0xecd9800c,0xfff501ff,0x0fffb801,0x402fff80,0x5c00fffa,0x99900fff,
    0x7fcc0dfd,0xffffffff,0x0fff32ff,0x542fffd4,0x262007ff,0x3ffff600,
    0xffffffff,0xc802a205,0x40002dee,0xdc802fff,0x44000cee,0x3fa06fff,
    0x009800ff,0x07bb7100,0xfd80fffb,0xffffffff,0x001300ff,0x98002620,
    0x01310000,0x7fffffcc,0x02ffffff,0x8805dd91,0x33baa009,0x0337b600,
    0x2ee800d4,0x401bff20,0x80ceedb8,0x264cccca,0x201ccccc,0x2cc88cca,
    0xddb95100,0x980059bd,0x3600acdc,0xff8805ff,0x2fff803f,0x402ffec0,
    0x9503fff8,0xff98037b,0xffffffff,0x0fff32ff,0x002fffd8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333220,0x001bcccc,0x00000000,
    0x8002fff4,0x0006a0a9,0x51554000,0xffa80035,0x0aa8801f,0x98801553,
    0x00099999,0x000ff880,0x3260fffa,0x0000003c,0xffb97fd4,0x80666441,
    0x65404cc8,0x990000cc,0x000005b8,0x00544298,0x22009988,0xcccccccc,
    0x7e404ccc,0x0799306f,0x223cc980,0x20000ccc,0x00005ffb,0x0fa83ee0,
    0xdeedb980,0x40999103,0xb80cccc9,0x664c0fff,0x04ffd803,0xfffffff3,
    0x3207ffff,0xffa805ff,0x6ffb800e,0x1ffffdc0,0x37fff200,0xfa8003fc,
    0x6fe800ef,0xf88017fe,0xfb806fff,0x801ff91f,0x5ffffffc,0x22b7f620,
    0x8027e46c,0xff504ffa,0x3fea000b,0x2a04fe89,0x83ff72ff,0xf105fff9,
    0xffff80ff,0x39f50003,0xffb807f7,0x7002ff98,0xb0036c1f,0x7fcc05ff,
    0xffffffff,0x3ffea07f,0x05ffb84f,0xf337fd40,0x5c0001ff,0x3f6005ff,
    0xadf8804f,0x7fd405eb,0x2fffffff,0x4c07ffcc,0xf982ffff,0x7fd45fff,
    0x02ffc406,0xfffffff3,0x209fffff,0x7ec00ffd,0x1dfd000f,0x7dd7fcc0,
    0x2fbe001f,0x8001fffe,0xfd000ffe,0xb002ffcd,0x809fd1bf,0x1ff91ffb,
    0xeeeeeb80,0x3ffee04e,0x7fcc4fff,0x204fe800,0x20005ffa,0x406fdefc,
    0x3dd51ee9,0x82ffff98,0x3ea07ff8,0x20006fff,0x800dfffd,0x005fedfd,
    0x01fff7fc,0x4c05ffb0,0xffffffff,0xff107fff,0xfb85ff37,0x7fd4005f,
    0x003ffe66,0x005ffb80,0x5c009ff3,0x2a01dffe,0xffffffff,0x3fe62fff,
    0x7fffc40f,0xf9cfe882,0x01bfea2f,0xff980bf9,0xea99999f,0x13f606ff,
    0x5001ff98,0x2a9801df,0x0a8006aa,0x260002a2,0x2aa001ff,0x44006aa2,
    0x805510aa,0x15530aa8,0x53200000,0xfe80cdb8,0x5402a805,0x740005ff,
    0x00001fff,0x437fffcc,0x3f607ff8,0x0001ffff,0xf88002a2,0x44000fff,
    0x64002deb,0x3fe601ee,0x9999999f,0x54553019,0x02ffdc2a,0xf99bfea0,
    0x000000ff,0x8002fec0,0x7ffcc009,0xfff9309e,0x107ffccd,0x2205fffd,
    0x988aa62a,0x00554009,0xfa81ffe6,0x80aa00ff,0x2a6001a9,0xeecb9800,
    0x2e6001bd,0x001bdeec,0x26000d4c,0x01bdeecb,0xc9813326,0x4099934c,
    0x97304cc9,0x00037bdd,0x000ffdc0,0x312ffd40,0x0d544001,0x7fcc0000,
    0x7fc43fff,0xfbfff107,0xba8800bf,0x3003defd,0x00000355,0x7fcc0000,
    0x01980007,0x2002ffdc,0x3fe66ffa,0x0660000f,0x20005500,0x5fff8019,
    0x4c7fff20,0xffd10fff,0x4000005f,0xccccccc8,0x3e64cccc,0x3ffe607f,
    0x224cc980,0xcccccccc,0x999301bc,0x7ffffe40,0xfc804fff,0x4fffffff,
    0x20199910,0xffc84cc8,0x04ffffff,0x7d40fff5,0x40fff57f,0xffc87ffa,
    0x04ffffff,0xf302664c,0x82ffe49f,0xbff52ffe,0x81bfffd3,0x9100ccc8,
    0x417ff299,0xfff32ffe,0x7fc41fff,0xf3bff707,0x3e6001ff,0xffffffff,
    0x666664c2,0x9100abcc,0x99999999,0x66644999,0xcccccccc,0x001ffe64,
    0x9bffffb8,0x4bff75ff,0x540effe8,0x3ffe66ff,0xfffb8000,0x915ff9bf,
    0xf7000199,0xbff37fff,0x7007ffe2,0x87ffcc15,0x5003fffd,0xdff50bff,
    0x7fffffcc,0x267fffff,0x3ff207ff,0x4cfff506,0xffffffff,0xffa83fff,
    0xfffffd07,0x01dfffff,0x3ffffffa,0x4c0effff,0xff105fff,0xfffffe8f,
    0x40efffff,0x3ea07ffa,0x40fff57f,0x7ff47ffa,0xffffffff,0x0fff500e,
    0x3fe66ff8,0x53ffcc0f,0xffffffff,0x7ffcc1df,0x26fff105,0x7fcc0fff,
    0x3fbbfe67,0x41ffe25f,0x7ffd2ffe,0xfffff300,0x43ffffff,0xfffffffa,
    0xff982fff,0xffffffff,0x3fffe67f,0x7fffffff,0x2667ffe6,0xd8099999,
    0xfdffffff,0x74bff75f,0xffa80eff,0x003ffe66,0xffffffb0,0x3fe6bffb,
    0x7fec000f,0x5ffdffff,0x2000dff5,0xffd8fff9,0x3fea003f,0x266ffa85,
    0xffffffff,0x3fe67fff,0xfecccccf,0xfff503ff,0x7fffffcc,0x44ffffff,
    0xffb87ffa,0x3ff661df,0xdfffb84f,0x13fff661,0x105ffff3,0x7ffdcfff,
    0x3fff661d,0x503ffd44,0x1ffeafff,0x3ee7ffa8,0x3f661dff,0xfff504ff,
    0x7f47ff80,0x527fe42f,0xf937ffff,0x7ffcc7ff,0x27ff882f,0x7fe42ffe,
    0x3e7bfe64,0x0fff12ff,0x3f21fff3,0x7ffcc06f,0xfff9309e,0x7ffffd4d,
    0x44ffffff,0xfffffff9,0x3e67ffff,0xffffffff,0x3ffe67ff,0xffffffff,
    0x4efffcc2,0xf75fffea,0x03bff6bf,0xff337fd4,0x7fcc001f,0xfffea9df,
    0x001fff35,0x54efffcc,0xff95fffe,0x3fe6000b,0x04ffffdf,0x2a17fea0,
    0x3ffe66ff,0x99999999,0x3ffffe61,0x04ffffff,0xff99ffea,0xea99999f,
    0x3ffd46ff,0xb817ffe2,0x3fe21fff,0x3ffee05f,0x1bfffe61,0x7fc5ffe2,
    0x3ffee05f,0xa81ffea1,0x0fff57ff,0xff8bffd4,0x3ffee05f,0x407ffa81,
    0x3fee0ffe,0xf50fff45,0x7ffb85ff,0x21bfffe6,0x3fee7ff8,0xf30fff45,
    0x23bff6df,0xffc87ff8,0x807ffe25,0x3f205ffe,0x3fff51ff,0xfffd7333,
    0x4cfffcc3,0x21999999,0x9999fff9,0x3e619999,0xffffffff,0x37fec2ff,
    0xffbafffc,0x200fffcd,0x3fe66ffa,0x3ff6000f,0xf35fff86,0x7ec001ff,
    0xd5fff86f,0xfff909ff,0x3fe6bfff,0x1fffffff,0x50bff500,0x3ffccdff,
    0x3fffe600,0x01bfffff,0xff33ffd4,0x07ffd40f,0xffa8fff5,0x2fff400f,
    0xe801fff5,0x3ffe65ff,0xbffc43ff,0x7400fffa,0x1ffea5ff,0xff57ffa8,
    0xabffd40f,0x7f400fff,0x07ffa85f,0xff117fec,0x51bfe61f,0xff981fff,
    0xfffff30f,0x227ff887,0xdff30fff,0xff16ff98,0x88fff19f,0x7ff42fff,
    0x03fff105,0x3fea0ab8,0x99bffa07,0x7cc007ff,0x7fcc007f,0xcccccccf,
    0x427ff41c,0xfff75ffd,0xfa807fff,0x03ffe66f,0xd84ffe80,0x1fff35ff,
    0x427ff400,0xbffb5ffd,0xffffff90,0x3ffffe6b,0x5006fffc,0xdff50bff,
    0x2003ffcc,0xfd517ff9,0xffa801df,0x981ffe67,0x3fea0fff,0x402ffe47,
    0x3ff26ffc,0x26ffc805,0x0ffffff9,0x7fe5ffe2,0x26ffc805,0x3ea07ffa,
    0x40fff57f,0xbff97ffa,0x50dff900,0xffc80fff,0xfc97fec3,0x837fd43f,
    0xfff31fff,0x7fc41fff,0xfc97fec7,0x737fcc3f,0x8fff5fff,0xccccfffa,
    0xfa80fffe,0xff50006f,0x87ffd40f,0x4c007ff9,0x7cc007ff,0xfff8007f,
    0xf75ffb81,0x80dfffff,0x3fe66ffa,0x3ffe000f,0xf35ffb81,0x7fc001ff,
    0x95ffb81f,0xddd70dff,0x3fe6bfff,0x7fff53ff,0x50bff500,0x7ffccdff,
    0x99999999,0xf11ffe60,0x7d401fff,0x81ffe67f,0x7fd46ffc,0x4027fec7,
    0x3ff67ffb,0x27ffb804,0x5ffeeff9,0x7fedffe2,0x27ffb804,0x3ea07ffa,
    0x40fff57f,0x9ffb7ffa,0x50fff700,0xffb80fff,0xfeaffd43,0x837fd40f,
    0xdff31fff,0x7fc4bffd,0xfeaffd47,0x237fcc0f,0x47fffffe,0xfffffffe,
    0xfc83ffff,0xff50005f,0x97ffc40f,0x9999fff9,0x3e609999,0x999999ff,
    0x1ffe6099,0x20bffa00,0xfff75ffc,0x5407ffdf,0x3ffe66ff,0x0bffa000,
    0x7fcd7ff2,0x3ffa000f,0xf75ffc82,0xffd801ff,0xe89fff35,0x7d401fff,
    0x26ffa85f,0xfffffff9,0x3e62ffff,0x5fffa87f,0xf99ffea0,0xecccccff,
    0x7fd43fff,0x401fffc7,0xfff0fffa,0x1fff5007,0x3fe7bfe6,0x3efff12f,
    0xffa803ff,0x40fff50f,0xfff57ffa,0xffbffd40,0xfffa803f,0x203ffd40,
    0xfff81ffc,0xffa85ff9,0x87ffcc0f,0xfff9eff9,0xff0fff12,0xf30bff3f,
    0xffff98df,0x3fffe67f,0xffffffff,0xc84ffe86,0x55ffffff,0xfff80fff,
    0xffffff33,0x4c5fffff,0xffffffff,0x3fe62fff,0x5ffc8007,0xff75ffe8,
    0x01fff35f,0xff99bfea,0x3ff2000f,0xf35ffe85,0x7e4001ff,0x15ffe85f,
    0xfd809fff,0x81fff35f,0x5406fff9,0x6ffa85ff,0x3fffffe6,0x262fffff,
    0xfffb07ff,0x99ffea07,0xffffffff,0xffa84fff,0x4027ff47,0x3ffa7ffa,
    0x27ffa804,0xdffb6ff9,0x3fafff11,0x7ffa804f,0xfa81ffea,0x40fff57f,
    0x9ffd7ffa,0x50fff500,0xffd80fff,0xffeffc80,0x43fffa82,0x3fe67ffc,
    0xf11dffb6,0xfdff90ff,0x0dff305f,0x64fffff9,0x99999eff,0x6c1fffa9,
    0xfffc85ff,0xfff55fff,0xf34ffe80,0xffffffff,0x7ffcc5ff,0xffffffff,
    0x001ffe62,0xfa87ffea,0x4bff75ff,0xff505ffd,0x007ffccd,0x543fff50,
    0xfff35fff,0x7ffd4001,0xb97ffea1,0xfc884fff,0x1fff35ff,0x407fff90,
    0xffa85ffa,0x333ffe66,0x21cccccc,0xff107ff9,0xfff501ff,0x7fffffcc,
    0xf501bfff,0x05ffd8ff,0x3f66ffb8,0x6ffb805f,0x7fc5bfe6,0xfb7ff8cf,
    0xdff700bf,0xf703ffcc,0x81ffe6df,0xbffb6ffb,0x50dff700,0x7fe80fff,
    0x1fffff30,0x5dffff50,0x7cc7fffb,0x19fff16f,0xfff30fff,0xdff301ff,
    0x4fffff10,0x7f403fff,0x437fdc5f,0x5fffeeeb,0xfe80fff5,0x99fff33f,
    0x43999999,0xccccfff9,0x3e61cccc,0xeeeeeeff,0x3fe21eee,0xffffedff,
    0x7c4bff75,0x6ffa81ff,0x3bbbffe6,0x222eeeee,0xffedffff,0x1fff35ff,
    0x7fffc400,0x25ffffed,0xcdffffe8,0x34fffffe,0xff101fff,0x3fea01ff,
    0x266ffa85,0x7cc007ff,0x3ffea07f,0x267ffa85,0xffd517ff,0x1ffea01d,
    0xfd00fff9,0x03ffe4bf,0xff32fff4,0x7d7ffdcd,0x00fff97f,0x7fccbffd,
    0x2dff700f,0xf700fff9,0x01fff2df,0x3ea17ffa,0x037fc07f,0x2a0bfffd,
    0xfffffeff,0x737fcc6f,0x0fff5fff,0x4c17fffa,0xfff506ff,0x003ffeaf,
    0x7cc1fff7,0x7fec00ff,0xf80fff55,0x0fff32ff,0x007ff980,0x7fffffcc,
    0x42ffffff,0xcefffffa,0x8bff75ff,0xffa86ffc,0x3ffffe66,0x43ffffff,
    0xcefffffa,0x1fff35ff,0xffffa800,0xd85ffcef,0xffffffff,0x3ffe62ff,
    0x0bfff700,0x3ea17fea,0x01ffe66f,0xd80fff30,0x7fd42fff,0xf11ffe67,
    0xff501fff,0x03fff98f,0xf98fffea,0x3fea03ff,0xd1bfe63f,0x26ffffff,
    0x3ea03fff,0x3ffe23ff,0x22bff902,0xff902fff,0x80fffe6b,0xfa83fffa,
    0x0ffe607f,0x502fffb8,0xfffd1bff,0xe8dff309,0x707fffff,0x3e605fff,
    0x5fff606f,0xf8805ffd,0x27ffc3ff,0x7d57ff60,0x3ffe207f,0x800fff31,
    0x4c007ff9,0xffffffff,0xc982ffff,0x4ffb8cee,0xff88bff7,0x337fd42f,
    0xffffffff,0xd9307fff,0x29ff719d,0x8000fff9,0xfb8ceec9,0xfffb504f,
    0xf9817bff,0x3ffa00ff,0x85ffa82f,0x3fe66ffa,0xce980007,0xfff5000b,
    0x7d43ffcc,0x7ffa85ff,0xa83fffd8,0xffd86fff,0x6fffa83f,0x3e637fcc,
    0x3f67ffff,0xfffa83ff,0x40ffff86,0x3fe4fff9,0x7ffcc0ff,0x20ffff64,
    0xf506fffa,0x07fdc0ff,0x540fff70,0x980625ff,0x7ffcc6ff,0xfff707ff,
    0x0bce9800,0x417e0000,0xc884fffb,0xfff55fff,0x987ffe40,0x7cc007ff,
    0x5400007f,0xfb80101f,0x037bb03f,0x2e02cea8,0x200402cd,0xfff33ffb,
    0x2e004001,0x7fec03ff,0xbce98004,0x17fee000,0xfff307ea,0xfd930000,
    0x9ffea00b,0xffb07ff9,0x87ffa87f,0xcdeffff8,0x881ffffe,0xecdeffff,
    0x7cc1ffff,0xffffc86f,0x3bfffe27,0x1ffffecd,0xceffffb8,0x2e0ffffe,
    0xfeceffff,0x3fe20fff,0xffecdeff,0xfff501ff,0xf1027ec0,0x7fd409ff,
    0x1bfe6005,0x21fffff2,0x4004fff8,0x0005fec9,0x7e40bf10,0xffecdfff,
    0xfff54fff,0x98fffea0,0x7cc007ff,0x6400007f,0x1dff701f,0xb702ffd8,
    0x7ed401ff,0x5ffb504f,0x2077fdc0,0xfff32ffd,0x77fdc001,0x1017fec0,
    0x8007fd77,0x8805fec9,0xfb84ffd8,0x777ffcc1,0x1eeeeeee,0x5007f980,
    0x3ffccfff,0x20ffff88,0xfd307ffa,0xffffffff,0x7fff4c05,0x82ffffff,
    0xff886ff9,0x7ff4c7ff,0x2fffffff,0x3fffff60,0xfd83ffff,0xffffffff,
    0xffffe983,0x202fffff,0xff107ffa,0xffffbb01,0x02ffd401,0xf10dff30,
    0x7eecffff,0x30000fff,0x220000ff,0x3ff200ff,0xffffffff,0x3bbffea2,
    0x46ffffee,0xeeeefff9,0xf31eeeee,0xddddddff,0x32003ddd,0x3bffe04f,
    0x00fffecc,0x7dc01ff4,0x202fdc06,0xfeccefff,0xdfff30ff,0x5ddddddd,
    0xeccefff8,0xf7000fff,0x1fe60009,0x0fffff20,0xfff313ee,0xffffffff,
    0x3f73a05f,0xfff5003f,0xf503ffcc,0x3ffd4bff,0x3ffffae0,0xfd7000ce,
    0x2019dfff,0xff506ff9,0x3ffae0ff,0xb800ceff,0x1dfffffe,0x3ffffae0,
    0x7f5c01df,0x400cefff,0x9f907ffa,0x0fffffe0,0x400bff50,0xff506ff9,
    0x7ffffcff,0x7ee74003,0x3600003f,0xb7505fff,0x817bffff,0xfffffffa,
    0x7cc0efff,0xffffffff,0xfff32fff,0xffffffff,0x3fe6005f,0x7ffdc2ff,
    0xb82fffff,0xb106fedd,0xd983ffd9,0x5c00ffec,0xffffffff,0x3ffffe62,
    0x43ffffff,0xfffffffb,0x3736602f,0x33a000ff,0xfe803ffd,0xff880fff,
    0xffff9aff,0xffffffff,0x0379d902,0xf33ffd40,0xfffd80ff,0x400fff52,
    0x19800019,0x40dff300,0x19807ffd,0x004c4000,0x80004c40,0x7fd40019,
    0x3203db07,0xc9802dee,0x3fe6003c,0xc9fff606,0xc8002dee,0x00001bce,
    0x8016f5c4,0x7ffd4009,0x02deffff,0xfffffff3,0x265fffff,0xffffffff,
    0x2002ffff,0xc980ceda,0x500cdeee,0x220157bb,0xc980acec,0x93000ace,
    0x9819bddd,0xffffffff,0xec983fff,0x4c00cdee,0x4000acdc,0x9001bcec,
    0x6d4037bd,0x000000ce,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cdf5000,
    0x126643cc,0x2201a815,0x664c04cc,0x01fff984,0xc8817ba6,0xa86aa03c,
    0x3333101a,0x21ec0133,0xfffa804d,0x4cccc401,0x35500099,0x7e400d54,
    0x82a2006f,0x8aa60029,0xfb8002a9,0x544000ff,0xf1002a21,0x554c07ff,
    0x26205530,0x00099999,0x2000bb22,0x1bdeecb9,0x01100000,0x19800000,
    0x00054400,0x00100000,0x4c00fff1,0x41bdeedb,0x26603cc9,0x3bbae000,
    0xc980001d,0x82ff803c,0x9bfea2fe,0x93e0fff8,0x3ff602f9,0x1ffea04f,
    0xf3007ff6,0x37fcc0df,0x3fe2bff0,0xfffff704,0x4dfe40df,0x7fc401fc,
    0x7fd406ff,0xf006ffff,0x013fe2bf,0x009ffff5,0xbd9dfff5,0xd87fe400,
    0x7fcc007f,0x3e2005ff,0x807dceff,0x701ffffe,0x03ff23ff,0x3ffffffa,
    0x3eb72002,0x3ffee000,0x00cfffff,0x9bddb730,0x1003ba23,0x0037bfb7,
    0x3005efc8,0x88001fdf,0x001bdfdb,0x3fe201ee,0xffff7007,0x7d49ffff,
    0xffffb86f,0x7fff401f,0xa8001fff,0x02effdaa,0xff703fe6,0x3e26ffa8,
    0x3bfee0ff,0x2ffee06f,0xfff501ff,0x9802ff88,0x3fe606ff,0x7c57fe06,
    0xdddd504f,0x7ec40bdd,0xdfe804ff,0x3aa04ff8,0x005eeeee,0x13fe2bff,
    0xff9bff88,0x7edfe402,0x3f2002ff,0x400ffb0f,0x3ff9cfe8,0xff97f500,
    0x8ffb80bf,0x3ff706fd,0x3b603ff2,0x002eeeee,0xe80174ba,0xffffffff,
    0x7dc00eff,0xdfffffff,0xfd100efe,0x3ffffdff,0x007c7e00,0x1004ca64,
    0xfffdfffd,0x3ff4403f,0x403ffc40,0xfffffffe,0xffa8efff,0x7ffffec6,
    0xdff503ff,0x000bff77,0xfffffffd,0x7fc37dc0,0x2604cc44,0x0beda819,
    0x3ae5db10,0x98fff505,0x5551001a,0x50155440,0x000d5435,0x800a8800,
    0x05530aa8,0x1aa80000,0x2a9806aa,0x83500aa6,0x154c000a,0x54c00553,
    0x4c00aa62,0x55400cc2,0x53015511,0x000aa615,0x1fdf9000,0x3bfff700,
    0x02fffecc,0xfffffffd,0x201fffff,0x5cc1bfe8,0xbce801fe,0x5d5d7007,
    0x837fd100,0xf101feb9,0xb80000ff,0x3261dfff,0x5fc9cfff,0x326fffea,
    0xffd80fff,0x0003ff22,0x9dffb997,0x3ee27ec0,0x0000001f,0x7ffa8000,
    0x65c1e64c,0xcccccccc,0x499931cc,0x2a00cccb,0x664c1ccc,0x19995004,
    0x01332600,0x400ccca8,0xccccccc8,0x3264cccc,0x6540003c,0x950000cc,
    0x2a000199,0x64400ccc,0x999100cc,0x33333322,0x984ccccc,0xccc884cc,
    0xcccccccc,0x3ffff804,0x02fffc40,0xf703fff9,0x36a23bff,0xfd105fff,
    0x01fe8803,0x900176cc,0x3fd1009d,0x881fe880,0x133007ff,0x02fffc40,
    0x93e1fff7,0x7fe43ffe,0x3a5ffd83,0x866000ff,0x7fc05ffb,0x7d43fec2,
    0x03ffe26f,0xcc889993,0xa9332604,0x37fd47ff,0x7fffffec,0xf53fffff,
    0x27ffccff,0xa86fff88,0xfff007ff,0x3fea007f,0x3fffe007,0x7fffcc03,
    0x7fffffff,0x0001bfea,0x0007ffff,0x000ffffe,0x201ffffc,0xf105fff9,
    0x3fffe6ff,0x7fffffff,0xf987ffa8,0xffffffff,0x7fd407ff,0x7fdc06ff,
    0x2fffc00f,0x5c17ffe2,0xfe81ffff,0x433bfae1,0x00000fe8,0x740054c4,
    0xeeeee99f,0x641fd10c,0x81ffffff,0x81fffffb,0x7400fffb,0x3e1fddff,
    0x2ffcc1ff,0x7ed7ffd4,0xfff7006f,0x40bff77f,0x2ffc0ff9,0xff137fd4,
    0x47ffa81f,0x3ea07ff9,0x51ffea7f,0xfffb0dff,0xffffffff,0xf91ffea7,
    0xfff903ff,0x00fff503,0x00dffff5,0x5401ffea,0x4c06ffff,0xffffffff,
    0x3fea7fff,0x3fea0006,0xfa8006ff,0xa8006fff,0x4c06ffff,0xf882ffff,
    0xfffff37f,0x0fffffff,0xff30fff5,0xffffffff,0xfffd80ff,0x3ff201ff,
    0x46ffc805,0xfb80fffb,0x7cc4ffff,0x3f73fee3,0xffa8fe65,0x444ffc85,
    0x0dfffffd,0x9df53f98,0x1fccbfd9,0x3ffffff9,0xffffffd8,0x02ffe43f,
    0x117fffe4,0xffffffff,0x3ff60dff,0xd800dfff,0xffffffff,0x11fee05f,
    0xdff509ff,0x2a07ffc4,0x3ffcc7ff,0x7d4fff50,0x437fd47f,0xb9999998,
    0xff50efff,0x45fff88f,0xf503fff8,0xfffb00ff,0xff5003ff,0x3fff600f,
    0x3fe601ff,0x9999999f,0x01bfea19,0xfffffd80,0x7ffec001,0x7ec001ff,
    0x2601ffff,0xf886ffff,0x33fff37f,0x03333333,0xff30fff5,0x3333333f,
    0x7ffc4033,0x3fa05ffd,0x7ffb804f,0x7d42ffe4,0x5c6ffcbf,0x6c1ff11f,
    0xffa97e1e,0x6c4ffc85,0x6fffffff,0x87f51fb8,0xb997e0ff,0x2a0aafff,
    0xffc9bfff,0x013ff60f,0xf303ffee,0xddddddff,0x3ffee0bd,0xfff3005f,
    0xbfffd53b,0x3ea2fec0,0x26ffa84f,0x7d40fff8,0x03ffcc7f,0x7fd4fff5,
    0x0037fd47,0x543ffff1,0xfffa87ff,0xa81bff62,0x7fc407ff,0xa805ffdf,
    0xff8807ff,0x2605ffdf,0x7d4007ff,0x2002626f,0x5ffdfff8,0x37ffe200,
    0x3e2005ff,0x205ffdff,0x43fffff9,0xfff37ff8,0x1ffea000,0x0001ffe6,
    0xfff3bff7,0x00fffe01,0xfe83ffea,0xba7fcc4f,0xf53ec7ff,0x7d4fb009,
    0x24ffc85f,0xfb99dffb,0xf53ec0ff,0x1f637c47,0x3fa0fff1,0xf1ffe43f,
    0xff5007ff,0x1fff881f,0x7fffe400,0xdffb006f,0x205fff88,0x1ffdc3ff,
    0xff137fd4,0x47ffa81f,0x3ea07ff9,0x51ffea7f,0x7f400dff,0x3ffd42ff,
    0xff56ffd8,0x3ffd403f,0x3e77fee0,0x7fd400ff,0x9dffb807,0xff300fff,
    0xeffa800f,0x01efffe8,0x3fe77fee,0xbff7000f,0x2001fff3,0xfff9dffb,
    0xfffff300,0x9bffc41f,0xf50007ff,0x0fff30ff,0xd2ffe800,0x3ffa07ff,
    0x47ffa804,0x3fe23fff,0xf83ffea5,0x2e00bf25,0x90bff51f,0x05d449ff,
    0x4bf0bff6,0x2effeefa,0xfff10fdc,0xf307ffe0,0x027ff4bf,0xfe83ffd4,
    0x20dedc4f,0xfffcfffe,0xfe817bd4,0x05ffe84f,0xffd83ff1,0x226ffa82,
    0x7fd40fff,0x503ffcc7,0x3ffd4fff,0x6c01bfea,0xffa83fff,0xd9fff107,
    0xffa809ff,0xe97ff407,0x7fd403ff,0xd2ffe807,0x3fe607ff,0x9999999f,
    0x3fffea09,0x00ffffff,0x3ffa5ffd,0x25ffd003,0xfd003ffe,0x40fffa5f,
    0x5ffeeff9,0x7fcdffe2,0x9999999f,0x87ffa809,0x9999fff9,0xf3009999,
    0x1bff21ff,0x5c02ffec,0xa7ff46ff,0x7fd45fe8,0x07f93747,0x3fea1f90,
    0x204ffc85,0x43fffda8,0x3f7bea6e,0x220fc81f,0xfff887ff,0x6fffffff,
    0x2e017ff6,0xfff506ff,0x43fff539,0xff91fffa,0xff0fff7f,0x0bff903f,
    0x3ff61fea,0x226ffa81,0x7fd40fff,0x4cfffcc7,0x7ffb9999,0xff51ffea,
    0xbfff700d,0xb81ffea0,0x00ffffff,0xf303ffd4,0x1bff21ff,0x980fff50,
    0xdff90fff,0x3ffffe60,0x22ffffff,0xb9affffa,0xff982fff,0x00dff90f,
    0x3f21fff3,0xfff9806f,0x260dff90,0x2fff9eff,0x3fe6fff1,0xffffffff,
    0x87ffa82f,0xfffffff9,0xf902ffff,0x0fffc4bf,0x05c37fe4,0xffd8bffd,
    0xfb81dfd5,0xfa87e46f,0x4dd0ee46,0xffc85ffa,0x7fff64c4,0x87e43fff,
    0x81df33fa,0x43ffc46e,0xeeeefff9,0x3ff25eee,0x2fff400f,0xffffff90,
    0x44ffc87f,0x84fffffd,0xffc82fff,0xf70bf905,0x4dff505f,0x7d40fff8,
    0x7fffcc7f,0xffffffff,0xf51ffea7,0xfff980df,0x0fff500e,0x02ffffe8,
    0x3207ffa8,0x3ffe25ff,0x01ffea01,0x7fc4bff9,0xffff981f,0x2fffffff,
    0xfb07ffea,0x4bff907f,0x6401fff8,0x3ffe25ff,0x12ffe401,0xff303fff,
    0x223bff6d,0xffff37ff,0x5fffffff,0xf30fff50,0xffffffff,0xfff105ff,
    0x985ffe85,0x3fea3fff,0x643fffab,0x80efdfff,0x17d45ffd,0x1df519fd,
    0x6ffa93e2,0x3e64ffc8,0xffdadfff,0x3fa97d43,0x44f893f2,0xff887ff8,
    0xfff3001f,0x1fffd407,0x37fffae0,0x442ffe83,0xe80ffffe,0x5ffe84ff,
    0xff507fd0,0x44dff507,0x7fd40fff,0x7ffffcc7,0x7fffffff,0xff51ffea,
    0x7fffc40d,0x01ffea00,0x200bfff3,0xff107ffa,0x05ffe85f,0xf881ffea,
    0x2fff42ff,0x6667ffcc,0x2a1ccccc,0x4ffc87ff,0x3a17ffc4,0x3fe205ff,
    0x02fff42f,0xfe85fff1,0x16ff985f,0xfff19fff,0x3333ffe6,0xa81ccccc,
    0xfff987ff,0xcccccccc,0xccfffa81,0x80fffecc,0xfd32fffd,0xf30dffff,
    0xf303ffff,0x26f887ff,0x21ffffe9,0x1bfea1fc,0xffe93ff6,0x221ffec4,
    0x7c47f56f,0xf883f91f,0x89ffd07f,0x7fec1bdb,0x6fffa83f,0xc807ea00,
    0xfffc85ff,0x0effc82f,0x2217ffe2,0x4ff981ff,0x3e26ffa8,0x3ffd40ff,
    0x3bbbffe6,0x27ffeeee,0x7fd47ffa,0x0bfffa06,0xf00fff50,0x3ea005ff,
    0x9fff507f,0x1fffd999,0xa81ffea0,0xeccccfff,0x7fcc0fff,0x37fd4007,
    0x3ea27fe4,0xfeccccff,0xfff500ff,0xfffd9999,0x33ffea01,0x0fffeccc,
    0xff737fcc,0x3e6fff5f,0xff50007f,0x00fff30f,0x3fffffa0,0x83ffffff,
    0xcceffff8,0xb02fffff,0xfd309fff,0x517ee0df,0x4c5fc857,0x7ffc47ff,
    0xe81fff14,0x8dfb83ff,0x7e4d4c1a,0xbcfff885,0x273ffea0,0x7c41fffa,
    0xfecdefff,0x32001fff,0x3ffe201f,0xffffebbe,0x3fe20cff,0xffffbbff,
    0x3e07fa85,0x26ffa85f,0x7d40fff8,0x03ffcc7f,0x7fd4fff5,0xd837fd47,
    0xfa803fff,0x2fff807f,0x20fff500,0xfffffffe,0xf503ffff,0x7fff40ff,
    0xffffffff,0x003ffcc3,0x3ee1bfea,0x7ffff44f,0x3fffffff,0xffffffd0,
    0x207fffff,0xfffffffe,0x7cc3ffff,0x7ffff46f,0x00fff37f,0x261ffea0,
    0xf98007ff,0xffffffff,0xfd306fff,0xffffffff,0xfff905df,0xfffb79ff,
    0x06fdc03f,0xf885fc88,0xffea9dff,0x233ffa4f,0x703fffd9,0x3f2201bf,
    0x3ffffa05,0x7ffffe42,0xffd303ff,0x5dffffff,0x404fc800,0xfffffffc,
    0x40efffdf,0xcffffffc,0x05fc85ff,0x3fea1ffa,0x503ffe26,0x7ff98fff,
    0xfa9ffea0,0x437fd47f,0x5005fffb,0xfff00fff,0x1ffea005,0x3fffffe6,
    0x06ffffff,0x3e60fff5,0xffffffff,0x7fcc6fff,0x37fd4007,0xff327fdc,
    0xffffffff,0xfff30dff,0xffffffff,0xffff30df,0xffffffff,0x4c6ff98d,
    0xf37fffff,0x3ea000ff,0x07ff987f,0x99effc80,0xfffa9999,0x3fffae01,
    0x4ffffcef,0x3fffffea,0x02efffff,0xbaceffb8,0x3f605ffe,0xffcfffff,
    0x3ffffea4,0x2e04ffff,0xfdbaceff,0x7ffcc05f,0xfffeb82f,0xffeb803d,
    0x8000ceff,0x502ffff9,0x25dffffd,0xff501fd8,0x0bff35df,0x7fd407fd,
    0x0fff1001,0xff98fff5,0xb9ffea07,0x46ffa81f,0x2006fffa,0xff807ffa,
    0xfff5002f,0x333dff90,0x3fff5333,0x320fff50,0x99999eff,0x261fffa9,
    0x7d4007ff,0x24ffb86f,0x9999effc,0x41fffa99,0x9999effc,0x41fffa99,
    0x9999effc,0x21fffa99,0xffc86ff9,0x0fff37ff,0x21ffea00,0xf8007ff9,
    0x7ff403ff,0xd8831005,0x19ff10ff,0x9dfffff7,0x7f64c001,0xd802ceff,
    0xffa9efff,0x57fff5c4,0x64c07ff8,0x02cefffe,0x06200260,0x00019800,
    0x0019db50,0x4400c033,0x00266000,0xf71009fd,0x8fff50ff,0x3ea07ff9,
    0x2a07f27f,0x7ffec6ff,0xeeeeeeee,0x00fff54e,0x2a005fff,0x3fff87ff,
    0x542fff40,0x7fff07ff,0x265ffe80,0xeeeeefff,0xff51eeee,0x7c9ff70d,
    0x7ff403ff,0x201fffc5,0x7ffc5ffe,0x32fff403,0xfff10dff,0x3bffe6ff,
    0xeeeeeeee,0x4c3ffd41,0xeeeeefff,0xff51eeee,0xfffb801f,0x214c0000,
    0x00033049,0x40002a20,0x00440009,0x00054400,0x00000000,0x00000000,
    0x00000000,0xfa80ff50,0xffa86fff,0x503ffcc7,0x427e4fff,0x7fec6ffa,
    0xffffffff,0x0fff55ff,0x2005fff0,0x7fd47ffa,0x7ffdc00f,0x543ffd40,
    0x7dc00fff,0xffff30ff,0xffffffff,0x2e1bfea5,0x1fff54ff,0x50fffb80,
    0xfb801fff,0x1fff50ff,0x30fffb80,0x3fea0dff,0xfffff37f,0x5fffffff,
    0xf987ffa8,0xffffffff,0xbffb2fff,0x07fff100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x202fe800,0xa82ffffb,
    0x3ffcc7ff,0x7ccfff50,0xdff51fff,0xffffffd8,0x55ffffff,0xfff00fff,
    0x1ffea005,0xf100bffb,0x7ffa87ff,0x8805ffd8,0xfff33fff,0xffffffff,
    0x21bfea5f,0xbffb4ffb,0x27fff100,0xf8805ffd,0x0bffb3ff,0x267fff10,
    0x3ff606ff,0xffffff37,0x85ffffff,0xff987ffa,0xffffffff,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x409d5000,0xf502ceeb,0x07ff98ff,0xbb51ffea,0x00000019,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0x2000dfb2,
    0x3cc8acc9,0x97009993,0x11ff9039,0x4cc987ff,0x65d33260,0x0fff100c,
    0xdfb2fec0,0x00fffcc0,0x7fe4ffe2,0x09ffb000,0xbdeedb88,0x01531001,
    0x09d0fe20,0x3036c4e8,0x3017c43f,0x80333333,0x01999999,0xd8002620,
    0x019804ff,0x37f4ffb0,0x801bff60,0xd101fff8,0x664405ff,0x073b6e24,
    0x37f4ffb0,0x0930e4c0,0x003bff20,0x803fff10,0x0002ffe8,0x25997000,
    0xbcca8029,0x26666201,0x13100099,0x33fee000,0xf70001ff,0x2abff1bf,
    0xffe807ff,0xbfdbfd03,0x540fff50,0x03ffd7ff,0xf801ffe2,0x4417fa4f,
    0x400effff,0x01ffcffa,0xa80bff10,0xffffffff,0x3fff6204,0x7e400dff,
    0x5c01fdab,0x402fcacf,0x207dbbee,0xfffffff8,0xfffff300,0xcffa81ff,
    0x01efffe8,0x2e02ffcc,0xff8bffff,0xdfd3fec5,0x27fffd40,0x402ffc80,
    0x3e606ff8,0xffffa8ff,0x9ff605ff,0x7fd406fe,0xa806fdff,0x4004ffff,
    0xd1002ffb,0x5ffc80df,0x2205ffd0,0x404feffd,0x03fffffd,0xbffffff9,
    0xfe9cffa8,0x7fe40dff,0x07fffb03,0x46ffdc00,0x0fff55ff,0x2207ffd0,
    0xfa80ffff,0x5ffea07f,0xff101ffe,0x4bfe200f,0xdfb03ff8,0xf9009fd1,
    0x7e4009ff,0x7fffd405,0x06ffffff,0xfffffffb,0xfffd880d,0x9fffb003,
    0x5dffd300,0x7ffffc40,0xfff300ff,0xfa81ffff,0xffffffdf,0x017f200f,
    0xbffffff9,0x26ec8bff,0x7ff105ec,0xf8803ff5,0x3ff3002f,0x3f3ffe60,
    0x2fffffff,0x2f6cbd90,0x3fb2bf20,0x5ffc402f,0x3e002ff9,0x7fcc003f,
    0x03ffe602,0xfa80fff3,0x7fe403ff,0xc82fffff,0x45ffffff,0xffffdffa,
    0x3ff20eff,0x00555103,0xd35ffb80,0x201ffea9,0x2a603ffe,0x0fff501a,
    0xfdbbffd4,0x3ea00001,0x103ff31f,0x00aa2155,0x2a001554,0x7fffc00a,
    0x7fffb31b,0xb99dffb8,0x18800fff,0x10003000,0x00000003,0x57fffd40,
    0x203fffb9,0x7ffc402a,0x5fffeaae,0x22a98000,0x0d4402aa,0x4c06a600,
    0x98beffff,0x0006fffd,0x004c1980,0x0553154c,0x4000aa20,0x7ff401a9,
    0x8827fe42,0x01ffdbfe,0x3ee5fff1,0x7d40006f,0xffd9cfff,0x80fff23f,
    0x0cc00099,0x4be6bff7,0xfe807ffa,0x8026203f,0x3ea07ffa,0x8803f27f,
    0x3732e009,0xcffdccff,0x80026202,0x44000a98,0x3ffea009,0x41fffb03,
    0x7fec0ba8,0x00099802,0x00002a62,0x00153100,0x3ea00998,0x27fec1ff,
    0x3200a988,0x5fff87ff,0x00000000,0xff300000,0xfff701ff,0x00098805,
    0x88000988,0x09880009,0x40098800,0x7ff45ffb,0x7f442a01,0xf8bff706,
    0x2a0001ff,0x7fdc2fff,0x2e026627,0x401fffff,0xfbbffffc,0x3ea5f9df,
    0x3ffe807f,0xcefffea8,0x503ffd40,0x413eefff,0x0cefffea,0x7fffffec,
    0xa84fffff,0x00cefffe,0xbfffffb1,0x7fff5401,0x04a880ce,0x880fffe6,
    0x203fffda,0x01fffffb,0x3fffff62,0x42ffd40d,0x7ec44ffc,0x200dffff,
    0x81fffffb,0xffc87ffa,0x7fffec44,0x2ffec0df,0xffaaffec,0xf54ffc85,
    0x29ff90bf,0xffc85ffa,0xf90bff54,0x0fffe69f,0x4c1fffc4,0x02effffd,
    0x77fffecc,0x7ffecc02,0x7ecc02ef,0x4c02efff,0x02effffd,0x3e61fff1,
    0x3ff6206f,0xfd84ffde,0xa9ffec3f,0x4ffc85ff,0xf981fff5,0x361760ff,
    0x3fffffff,0xffffffb0,0xf50abfff,0x7ffd00ff,0xffffffb8,0x03ffd46f,
    0x07fffff5,0x3fffffee,0x7fffec6f,0x4fffffff,0x7fffffdc,0xffffb06f,
    0x3ee0dfff,0x06ffffff,0x313ffa00,0xffffffd9,0x3ffff607,0xffb03fff,
    0xa8dfffff,0x4ffc85ff,0x7fffffec,0xffffb06f,0xffa87fff,0x6c4ffc87,
    0x6fffffff,0x7dc17ff4,0x90bff55f,0x17fea9ff,0x7fd53ff2,0xf54ffc85,
    0x29ff90bf,0x3e01fff9,0x7ffc44ff,0x104fffff,0xffffffff,0x3fffe209,
    0xf104ffff,0x9fffffff,0x3ffffe20,0xffb04fff,0x4c0fff25,0xffffffff,
    0x217fec1f,0xbff54ffc,0x3ea9ff90,0x43fff06f,0x5fffd47f,0x540fffc9,
    0xfea9dfff,0xfff505ff,0x447ffd00,0xfeaadfff,0x81ffea3f,0x2202fffa,
    0xfeaadfff,0x12ff883f,0xfff107ff,0x87ffd55b,0xfb99dffb,0x7ffc40ff,
    0x23ffeaad,0xeeeeeeed,0x25fffeee,0xdadffff9,0xfffa83ff,0x40fffc9b,
    0xfb99dffb,0x17fea0ff,0xffb93ff2,0x0fffb99d,0x64dfffd4,0x3fea0fff,
    0x2e4ffb86,0xffb99dff,0x20bffa0f,0xbff55ffb,0x3ea9ff90,0x54ffc85f,
    0x9ff90bff,0x3f217fea,0x01fff34f,0xfd127ff4,0xfffd59ff,0xcfffe885,
    0x442fffea,0xfeacfffe,0x7ff442ff,0x2fffeacf,0x567fff44,0xfa82fffe,
    0x201ffd5f,0xffcdfffe,0x17ff44ff,0x7fd53ff2,0xf54ffc85,0x47ffe0ff,
    0x1fff47f8,0xffb0fff2,0x05fff88d,0xfd00fff5,0x237fe47f,0x3fea4ef9,
    0x01ffea07,0xef98dff9,0xf30ffa84,0x8dff903f,0x5d444ef9,0x3217fec0,
    0x277cc6ff,0xffffffff,0x4dffffff,0x7fec4ffe,0x643ffe83,0x05d443ff,
    0xffa8bff6,0x224ffc85,0x17fec0ba,0xff90fffa,0x5c37fd47,0x02ea24ff,
    0x7fec5ffb,0xf55ffe85,0x29ff90bf,0xffc85ffa,0xf90bff54,0x217fea9f,
    0xfff34ffc,0x72fff401,0xffd81fff,0x207ffdc6,0x7fdc6ffd,0x237fec0f,
    0x7ec0fffb,0x07ffdc6f,0x7fc1bff6,0xf905ff9f,0x7ff443ff,0x3217ffc6,
    0x0bff55ff,0x3fea9ff9,0x87ffcc1f,0x3ffe0ff9,0x3a2ffcc1,0x5ffe83ff,
    0xd00fff50,0x27ff47ff,0x207ffa80,0x7f407ffa,0x3fe4004f,0xffd01ff7,
    0x6d440009,0x7ff43fff,0xffffd004,0xffffffff,0x03ffe2df,0xfff07ffd,
    0x405ff983,0x23fffda8,0xffc85ffa,0x3ff6a204,0x20fffc3f,0x3fea5ff9,
    0x204ffb86,0x23fffda8,0x7fc47ffc,0x90bff55f,0x17fea9ff,0x7fd53ff2,
    0xf54ffc85,0x29ff90bf,0x3600fff9,0x13ff65ff,0xfd83ffea,0x0fffa84f,
    0x3ea13ff6,0x13ff60ff,0xfd83ffea,0x0fffa84f,0x2ffeffc8,0xf70bffb0,
    0x42fff8ff,0xbff55ffc,0x3ea9ff90,0x3ffe43ff,0x3fe23ff5,0xffffffff,
    0x640fffc6,0xfff505ff,0x7c7ffd00,0xff3002ff,0x037fdc0f,0x5c00bffe,
    0xfeccffec,0x3ffe2ccf,0x7f64c002,0x7c3fffff,0xff9002ff,0x24ffd809,
    0xfd98cffe,0x7ffc43ff,0x6fffffff,0xffffec98,0x17fea3ff,0xd9313ff2,
    0x47ffffff,0xfffffff8,0x3fea6fff,0x4c4ffb86,0xffffffec,0x2fbffe23,
    0xf55ffffc,0x29ff90bf,0xffc85ffa,0xf90bff54,0x217fea9f,0xfff34ffc,
    0xf27ff401,0x3ffe05ff,0x7c0bffe1,0x0bffe1ff,0xfff0fffc,0xf87ffe05,
    0x3fff02ff,0x1fffff30,0x220bffe0,0x3ffa1fff,0xfaa7fe42,0x54ffc85f,
    0xfb5bffff,0x97fdc7ff,0xeeeefff9,0x7ffc5eee,0x505ffc82,0x20aa6fff,
    0x3ffe2ffe,0x1fff3002,0xf01bfee0,0x3f6005ff,0xffffffff,0x0bffe4ff,
    0xdffff980,0x7fc3ffda,0xdff7002f,0x2a2fff80,0xffffffff,0x77ffcc4f,
    0x45eeeeee,0xdadffff9,0x1bfea3ff,0xff993ff2,0x3ffdadff,0x3bbbffe6,
    0x3ea5eeee,0x24ffb86f,0xdadffff9,0x7ffdc3ff,0x55ffefff,0x9ff90dff,
    0x3f21bfea,0x90dff54f,0x1bfea9ff,0x7fcd3ff2,0x93ffa00f,0xff882ffe,
    0x20bffa1f,0x3fa1fff8,0x1fff882f,0x3e20bffa,0x0bffa1ff,0x7407ffe2,
    0x3fe05fff,0x1fff882f,0xff90bff6,0x321bfea7,0xfdff54ff,0xc8dfffff,
    0x3fff13ff,0x41fff400,0xff505ffe,0xf83fff1f,0x0fffa1ff,0xfff886ae,
    0x80bff902,0x1ab83ffe,0x3bbbffb2,0x3a3eeeff,0x41ab83ff,0x7fec4ffe,
    0x5c1fff43,0x0bffe61a,0x2e0fffd4,0xff8afffe,0x00fffc47,0xfd89ffd0,
    0x21bfea3f,0x3ffa4ffd,0xf11ffec4,0x3ea003ff,0x24ffb86f,0x7fec4ffe,
    0xaffffa83,0xdff55ffb,0x3ea9ffb0,0x54ffd86f,0x9ffb0dff,0x3f61bfea,
    0x01fff34f,0xffb1fffc,0x41fff509,0xffa84ffd,0x213ff60f,0x3f60fffa,
    0x0fffa84f,0x3ea13ff6,0xfff700ff,0x42ffec05,0x3f60fffa,0xa97ff44f,
    0x4ffd86ff,0xffd1bff5,0x47ff909f,0x5edc4ffe,0x1077fec1,0x3ea0bfff,
    0x4c9fff7f,0x3ff20fff,0xf07ffcc6,0xff981fff,0x37fe404f,0xfa83ffe6,
    0x203ff30f,0x7fcc6ffc,0x81fff10f,0x7fe43ffe,0xb07ffcc6,0xffa85fff,
    0xbf02206f,0xb713ffa0,0x07ffc437,0xff98fffa,0x8a7ffc47,0x7ff40fff,
    0x2e27ff43,0x336e01bd,0x81fff102,0x82203ffe,0xfff35ffb,0xf34fff88,
    0x4fff88ff,0xff88fff3,0x88fff34f,0xfff34fff,0x8bffea01,0x7ec0fffb,
    0x07ffdc6f,0xff71bff6,0x46ffd81f,0x7ec0fffb,0x07ffdc6f,0xfb81bff6,
    0x7ffe407f,0x2a37fec0,0x3ffe26ff,0xf88fff30,0x4bff54ff,0x93ff6018,
    0xfa9cfffa,0x7ffcc1ff,0x5ffffcbf,0x3f2fff50,0x5fffdeff,0x5dffffc4,
    0x7fdc3ffe,0xfffeceff,0x7ffc400f,0x43ffebbf,0x03fee7fc,0x5dffffc4,
    0x7ff43ffe,0x3fffd98c,0x5dffffc4,0x7f443ffe,0xffffcfff,0x13e2000e,
    0x54e7ffd4,0x7ff41fff,0x3fffd98c,0x2a77ffe2,0x3fa4fffe,0xfffd98cf,
    0x4e7ffd43,0x2a01fffa,0xffd02ffd,0x7fffb319,0x8affdc00,0xfea9dfff,
    0xbfff14ff,0x29fffd53,0xea9dfff8,0xfff14fff,0x9fffd53b,0xdb83ffe6,
    0x220efffd,0xffbcffff,0x7ffc41ff,0x1ffffbcf,0x5e7fffc4,0x7c41ffff,
    0xfffbcfff,0x7fffc41f,0x01ffffbc,0x8809fff1,0xffbcfffe,0xdffe81ff,
    0x3e24ffeb,0xffea9dff,0x00bff54f,0x3f227fec,0x03ffffff,0x9ffffff9,
    0x3fea0bff,0xffffff17,0xfff701ff,0x360dffff,0xffffffff,0xfff7003f,
    0xfb0dffff,0x2e037e4b,0x6fffffff,0xffffffa8,0xffb84fff,0x306fffff,
    0xffffffff,0xff88001f,0xfffff900,0xfff507ff,0x89ffffff,0xcffffffd,
    0x3ffea4ff,0x84ffffff,0xfffffffc,0x20bf7003,0xfffffffa,0x3ee004ff,
    0x3ffff65f,0x364ffcff,0xfcffffff,0x3ffff64f,0x364ffcff,0xfcffffff,
    0x41fff34f,0x82ffffff,0xffffffe8,0xfffd103f,0x2207ffff,0xfffffffe,
    0xffffd103,0x3a207fff,0x3fffffff,0x0ffffdd8,0xfffff980,0xff503fff,
    0xd81fffff,0xfcffffff,0x00bff54f,0x75c27fec,0x5c03dfff,0xff9aefff,
    0x44fff505,0x01cefffd,0x33ffffa6,0x3fffaa00,0x4c001dff,0x80cffffe,
    0x013fa4ff,0x33ffffa6,0x5fffd700,0x3a60fff1,0x200cffff,0xbdffffc8,
    0xfffd0000,0xbfffd70b,0x7fff5c07,0xfd87ff8a,0x4ffa9eff,0x457fff5c,
    0xffd707ff,0x66cc07bf,0x3ae00ffe,0x7ff8afff,0xb17fee00,0xff53dfff,
    0x9efffd89,0x7fec4ffa,0x44ffa9ef,0xfa9efffd,0x21fff34f,0x03efffd8,
    0x3bfffb22,0x7ff64401,0x764401ef,0x4401efff,0x01efffec,0x77fff644,
    0x7fffff01,0x7ffec400,0x7f4c01ef,0xffb00eff,0x29ff53df,0x36005ffa,
    0x006204ff,0x00000220,0x06600026,0x00026200,0x26600cc0,0x30002660,
    0x00044003,0x31000330,0x3ae20000,0x0006202d,0x01300011,0x10000880,
    0x33b26003,0x0011000a,0x20799300,0x004c0009,0x13000260,0x00110000,
    0x31000188,0x00062000,0x188000c4,0x02deec80,0x20006600,0x01300098,
    0x2003cc98,0x00002ccb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x87260000,
    0x23ff703a,0x7d400ffc,0x7f4001ff,0x27fec03f,0x8004c400,0x801bcca8,
    0x5cbfea00,0x2ae202ff,0xf9803910,0xa81001ff,0x5ffc80cc,0xbddb7100,
    0x3bb2e003,0x0262001d,0x33333310,0x88ffa801,0x3fea04fe,0x7004fe88,
    0x55501dff,0x20355555,0x00be21f9,0x3fe37fea,0x3b72600e,0x9999913d,
    0x00199999,0x000bffe2,0x4007ffcc,0x2a01fff9,0x00f5403e,0x3d500faa,
    0xd7100000,0x827e4039,0x20003cc9,0x9301cca8,0x2664c099,0xfb937b72,
    0x704fdeff,0x03ff23ff,0x06ffff88,0x4013fea0,0xd5000ffd,0x2019dfff,
    0x4fffffe9,0xffa81ee0,0x7c05ff72,0x00fedfff,0x03bfffa2,0x0ffd8f70,
    0x8803ffb0,0x1ffffffe,0x3ffffa20,0x67fd43ff,0x00efffe8,0xbffffff9,
    0xdfbdfb00,0xdfbdfb00,0x4077f400,0xfffffff8,0x2efba03f,0x2dfd007d,
    0x3ee00ffc,0xf9efffff,0xffffffff,0x5ff7001f,0x0ffec000,0x77fff440,
    0x204ffb80,0x7fdc05f8,0x5417e204,0x4ffc85ff,0x27ffffcc,0xfb807fc4,
    0xff50005f,0xfa83dfff,0x9ffea07f,0x365ffffd,0x01fffcae,0x3bae3dd5,
    0x3e37f600,0x09fb004f,0x401ff440,0xfffffffb,0xfffff886,0x7f442fff,
    0x54bba607,0x77f301ee,0xfd80bffb,0xd105fe8e,0x00ffd8ff,0xffd013f6,
    0x40bffd9d,0xffedfffe,0x3f7fea1f,0x80efffff,0x5ffffffc,0x1ffff880,
    0x1ffff880,0x201df500,0xfffffff9,0x3ffa603f,0x8efa802e,0x3ea02ff8,
    0xffffffff,0xffffffff,0x7ff001ff,0x0ffcc000,0xfe8efd80,0x027fff45,
    0x7ff403f9,0x407f204f,0xffc85ffa,0xffcb7ec4,0xf7027e40,0xff5000bf,
    0xa8dfffff,0x3fea07ff,0x59bfff17,0x000060d4,0xa9855440,0x00055002,
    0xff880551,0x3ffeaadf,0xfc877fdc,0x03ffc45f,0x22144000,0x88554400,
    0x7ff880aa,0x15403dc4,0x261fff10,0xff880fff,0xa93ff60f,0xfb9aefff,
    0x000002ff,0x4c003553,0x2a6001aa,0x337fee00,0x8801cccc,0x442a6001,
    0x77ff401a,0x3bfffea1,0x01999999,0x80005510,0x551001a9,0xad82aa21,
    0x09f104fb,0x104fbad8,0x2ffd409f,0x3fa27fe4,0x7c43ff54,0x17fee00f,
    0x233ffa00,0x3ea2ffe8,0x5ffea07f,0x00007ffa,0x98001330,0x04cc0009,
    0x90026600,0x4ef98dff,0xff117f5c,0x03ffc41f,0x100054c4,0x4c400153,
    0x3ffc400a,0x1531036c,0xf337fcc0,0x13fee0df,0x7fd479d3,0x01fff41f,
    0x22000262,0x40000009,0xf9009999,0x4c40003f,0x00988000,0x4c07ffdc,
    0x88005fff,0x04c409a9,0x0660cc00,0x20099998,0x01fb04fb,0x7ec13ee0,
    0x217fea00,0x9ffc4ffc,0x17f22ff9,0x4c4bff70,0x51bfea00,0x3ffd4399,
    0x3eafff50,0x42ffd45f,0xffb84ffc,0x7dc01fff,0x5c01ffff,0x401fffff,
    0x01fffffb,0x00009ffd,0x7fe4dff5,0x6c41ffff,0x00dfffff,0xbfffffb1,
    0x3fff6201,0x7fe40dff,0x1fd8ffff,0xfffffd88,0xb37fd40d,0x3fea09ff,
    0x0fff5004,0xfb309ff9,0x9805dfff,0x82effffd,0xffc85ffa,0x7ffff544,
    0x10ffe84f,0x3fff6600,0x7ecc02ef,0xfb02efff,0x2ffec0bf,0x3ffff200,
    0xffffdadf,0x3ff6200c,0xa86fbdff,0x04fffffe,0x07f309f7,0x7cc27dc0,
    0x42ffd403,0xaff44ffc,0x1ff11ffa,0xf9dffb80,0xfc80dfff,0xfff5004f,
    0xfabffd40,0x42ffd45f,0x7fec4ffc,0xb03fffff,0x7fffffff,0x3fffff60,
    0xfffb03ff,0xff07ffff,0x5c40005f,0x3ff23ffe,0x7ec1ffff,0x06ffffff,
    0xfffffffb,0x3ffff60d,0x7fe46fff,0x0098ffff,0xfffffffb,0xf15ffa8d,
    0x3fe601ff,0x0dff5006,0xff889ff9,0x04ffffff,0xfffffff1,0x85ffa89f,
    0x3fe24ffc,0x43ffffff,0x3effdfff,0x3ffffe20,0xff104fff,0x09ffffff,
    0x7dc07ffd,0x999999ef,0x7ffffe40,0xffffffff,0xffff305f,0x883fffff,
    0xffffffff,0x6e84fb83,0x7427dc00,0x85ffa806,0x77e44ffc,0xbf90ffc8,
    0xfffff700,0xd81dffff,0x0cdcabff,0x2a07ffa8,0x8bff57ff,0xffc85ffa,
    0x26fffea4,0x7d40fffc,0xfffc9bff,0x4dfffd40,0x7d40fffc,0xfffc9bff,
    0x0017ffc0,0x987fffb0,0x20aafffb,0xfb99dffb,0x6ffdc0ff,0x40fffb99,
    0xfb99dffb,0x3fee60ff,0x3ee00aaf,0xfffb99df,0x7d57fea0,0xfff9706f,
    0x3ea05999,0x24ffc86f,0xeacfffe8,0x7f442fff,0xfffeacff,0x3217fea2,
    0x2bff24ff,0x261fff50,0xffffffff,0xcfffe885,0x442fffea,0xfeacfffe,
    0x17ffc2ff,0xffffff70,0x7fcc9fff,0xffffa9ae,0x45ffd99d,0xc9aeffe8,
    0x7fe42fff,0x81fff50a,0x017d44fb,0x5f513ee0,0x90dff500,0xfff889ff,
    0x01ff13ff,0x37ffff70,0xfe89fff9,0x2fffffef,0xf503ffd4,0x517feaff,
    0x9ff90bff,0x3f21fff4,0x21fff43f,0x7ff43ffc,0x3a1ffe43,0x1ffe43ff,
    0x2ae0fffa,0x1ffff401,0xa883ffc4,0x217fec0b,0x7fec0ba8,0x3605d442,
    0x3ffc42ff,0x6c0ba880,0x57fea2ff,0xfe82fffb,0x04ffffff,0xff90dff5,
    0x207ffdc9,0x7fdc6ffd,0x537fec0f,0x9ff90bff,0x06617ffc,0xfd7dfff5,
    0xfffb87ff,0x2e37fec0,0x7fec0fff,0x807ffe26,0xfffffffa,0x06e624ff,
    0xffd0fffb,0x3637fdc1,0x7ffc6fff,0x3ea80cc2,0x50188374,0x5006e87d,
    0x9ffb0dff,0xfc82f6a0,0x5fff7005,0x7fc7ffc8,0xfffedfff,0xa81ffea0,
    0x8bff57ff,0xffc85ffa,0xf307ffe4,0x41fff8bf,0x7ffc5ff9,0x3e2ffcc1,
    0x2ffcc1ff,0xff31bff2,0x7ed5401f,0x1ffe20ef,0x7ffed440,0x7fed4403,
    0x7ed4403f,0x3ffc43ff,0xffda8800,0x457fea3f,0x7f41fffe,0x04ffffff,
    0xff90dff5,0x5427fec9,0x3ff60fff,0x50fffa84,0x9ff90bff,0x5effffec,
    0x642ca881,0x27fec6ff,0xfb07ffd4,0x1fff509f,0xf7017ffc,0x999999df,
    0x7f654405,0x22ffc85f,0x33f24ffd,0x3ff60fff,0x4001bdff,0x07fa81fb,
    0xfdb87ee0,0x11ffe63e,0x44009fff,0x7df911ff,0x543ffdc1,0x3ffe0fff,
    0xa97ff20f,0x3fea07ff,0xfa8bff57,0x14ffc85f,0xffffffff,0x7ffc4dff,
    0x6fffffff,0x3fffffe2,0x3e26ffff,0xffffffff,0x7fffc46f,0x003ffebb,
    0x7f64fff6,0xec986eff,0x83ffffff,0xfffffec9,0xffec983f,0x7c43ffff,
    0x3b26007f,0x23ffffff,0x3fe65ffa,0x4ffb80ff,0xc86ffa80,0x0bffe4ff,
    0xfff0fffc,0x547ffe05,0x4ffc85ff,0x3fffffe2,0xff5002ef,0x817ffc1f,
    0x3ffe1fff,0x7c3fff02,0x3fee03ff,0x3fb22005,0xffffffff,0x3e3fffff,
    0x3abf71ff,0x3ffe22ff,0x802effff,0x7ff885f8,0x7d4bf100,0xff12fece,
    0xfffd53bf,0x8afe4009,0x2e6ffeff,0xfff885ff,0xf51bffa1,0x03ffccff,
    0x3feadff7,0x6437fd45,0xdfff34ff,0x4bdddddd,0xeeeefff9,0x3fe65eee,
    0xeeeeeeef,0x3bbffe65,0xb85eeeee,0x6fffffff,0xdaffdc00,0x4c7fffff,
    0xfdadffff,0x7fffcc3f,0x4c3ffdad,0xfdadffff,0x03ffc43f,0xadffff98,
    0x3fea3ffd,0x437ffcc5,0xfa803ffd,0x24ffc86f,0xff882ffe,0x20bffa1f,
    0xff51fff8,0x889ff90d,0xffffffeb,0x0fff8800,0x3e20bffa,0x0bffa1ff,
    0xfe87ffe2,0x17ff604f,0x6ffffc40,0xffffffdb,0x3fa3ffff,0x3fa6fa9f,
    0x7ff5c42f,0x6400ffff,0x3fff440f,0x3aa0fc80,0x7fecbf72,0x4ffcffff,
    0x2e3ff100,0x2e5ff37f,0xfff886ff,0xf113ff61,0x07ffccff,0xff56ffb8,
    0xd86ffa8b,0x3fff14ff,0x07ffe200,0x00fffc40,0x001fff88,0xcffffe98,
    0x5c0dcb80,0x1ffe26ff,0x3f627ff4,0x227ff43f,0x7ff43ffd,0x221ffec4,
    0xffd007ff,0x2a3ffd89,0xfff985ff,0x003ffe20,0x3f21bfea,0x213ff64f,
    0x3f60fffa,0x0fffa84f,0xffb0dff5,0x7fedc409,0xa839553f,0x27fec6ff,
    0xfb07ffd4,0x1fff509f,0x4407ffe4,0xfb005fff,0x2ffec1bf,0xdf9ffb00,
    0x803ffe21,0x03fffdb8,0x27f613e6,0x04f9807f,0xffb0ffa2,0x09ff53df,
    0x6fc97f20,0x7ffdcffe,0x907ffd40,0x7ff98dff,0x640bffe2,0x8bff55ff,
    0x7fc47ff9,0x713ffa4f,0x4ffe837b,0x3fa0dedc,0x20dedc4f,0x5edc4ffe,
    0x0177e401,0xffe87ffd,0x221ffe24,0x7ff40fff,0xd03ffe23,0x7ffc47ff,
    0x221fff40,0xff8807ff,0x51fff40f,0x3ffa0bff,0x026bffa1,0x3ffd8002,
    0xfb03ffee,0x0fffb8df,0xff337fec,0x14fff88f,0xffb81db9,0xfc8bffb5,
    0x07ffdc4f,0xff71bff6,0x46ffd81f,0x741dfff8,0xff005fff,0x0fffe83f,
    0xff705e6c,0x37fdc1ff,0xfb81db91,0x703f605f,0x3601fe5f,0x0bfd100f,
    0x4007ee0c,0x97f61ff8,0x7fff74ff,0x7cc7ffc8,0x1bfee1ff,0xf981ffff,
    0x8bff54ff,0xea9dfff8,0x3fea4fff,0x1fffa9cf,0x54e7ffd4,0x7fd41fff,
    0x1fffa9cf,0x54e7ffd4,0x2a201fff,0xff702feb,0x3fffd7bf,0x20bcfff8,
    0xfd98cffe,0x67ff43ff,0x43fffd98,0xfd98cffe,0x7ffc43ff,0x3ffa00bc,
    0x3fffd98c,0x67557fea,0x3ff26ffb,0xfddeffff,0xffe98805,0x33fffe23,
    0x441ffffb,0xffbcffff,0x3ffe21ff,0x4fffea9d,0x2a277ff6,0xfff53ffe,
    0x83fffb5b,0xfbcffff8,0x7fc41fff,0xffffbcff,0xeffffc81,0xeffffffd,
    0x93eeeeee,0xff911bff,0xffb35dff,0x57dffd0d,0xfd83fffb,0xffea89df,
    0xf887f503,0x00effeef,0x3fe607f5,0x00fe4004,0xbfe45fc8,0xfff73ff8,
    0x7fffb5df,0xf99fffb0,0xfffb85ff,0xffffecef,0xfb0bff50,0xff9fffff,
    0xfffffc89,0xfff903ff,0x3207ffff,0x3fffffff,0xffffff90,0x27dc007f,
    0xffffffb0,0xffffd07f,0x7ffffd45,0x7d44ffff,0xffffffff,0x7ffffd44,
    0xfe84ffff,0x3ea01fff,0xffffffff,0x3a37fea4,0x2a3fffff,0xffffffff,
    0x7f400fff,0x7f442fff,0x03ffffff,0xffffffd1,0xffffb07f,0x449ff9ff,
    0xffffffff,0x7ffffe46,0xffd103ff,0x207fffff,0xffffffe8,0xfffd103f,
    0xfff7ffff,0x9fffffff,0x3fffffe6,0xffffffef,0xfffd80ff,0x883fffff,
    0xffffffff,0x3a21ba06,0x00effeee,0x3bfe60dd,0x9f9002aa,0xa83ff100,
    0x71ffcaff,0xfffffbff,0x3ffe60df,0xfb05ffff,0xffffffff,0xd82ffd47,
    0xffa9efff,0xdfffeb84,0x7fff5c03,0x7ff5c03d,0x7f5c03df,0x6d403dff,
    0x5c00ffec,0x301effff,0xeb85fffd,0x7ff8afff,0x8afffeb8,0xffeb87ff,
    0x987ff8af,0x5c02ffff,0xff8afffe,0x6c57fea7,0xbef83eff,0xeffffdca,
    0x37fffc01,0xefffec88,0x7ff64401,0x3ff601ef,0x44ffa9ef,0xcfffffd9,
    0xeffffb80,0x7ff64402,0x764401ef,0xb801efff,0xf8aeffff,0xffffffff,
    0x3fff6a4f,0xdfff912e,0xd79f9039,0x4c03dfff,0x0cfffffd,0x3e005f70,
    0x6c0bee07,0x006fffff,0x205ffff3,0xfff905fc,0x45ffdc7f,0x4404fffe,
    0x403ffffd,0xdfffffeb,0x202ffd41,0x01880009,0x88001880,0x00188001,
    0x00073726,0x02200131,0x11000110,0x00011000,0x00880013,0x80200800,
    0xed880098,0x018800bd,0x98003100,0x00998000,0x10001310,0x00620003,
    0x00004c40,0x00880310,0x00062244,0x0ee00266,0x0ee02a80,0x2aaaaaa8,
    0x033b6a00,0x77100664,0x00062001,0x26200026,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03100000,0x3defdca8,0x88006600,0x2ffd8fff,
    0x50f32600,0x817fa3ff,0x402cdcb8,0x800bccb8,0x1bdeecb9,0x09991000,
    0x336e2000,0x801f4c02,0x3defdba8,0xbddb7300,0x26666007,0x0005ff00,
    0x00666440,0xbfd1ff98,0x3ff35fd8,0x01bff600,0x300fff40,0x5f125439,
    0x099913f8,0x33332200,0x200abccc,0x32604cc8,0x0ccc884c,0xe8ffd400,
    0x01e64c4f,0x00799300,0xcccccc88,0x32600abc,0x23ffe83c,0x99702ccb,
    0x88fffcc5,0x664c0ccc,0x7dd33263,0x40fffbbf,0xffffffd8,0x3fee01ff,
    0x85ff9bff,0x3ff99ffb,0x42ffdc00,0x00ffdefc,0xdffffff3,0xfffff501,
    0x7ffe405f,0x004fffff,0x2e07ff98,0x77f404ff,0x03f602ff,0x3ffffe60,
    0x2e02ffff,0xefffffff,0xffffd502,0x209fb09f,0xfff83ffd,0x001fff31,
    0x07fe7fe4,0x13ff3fe2,0x27fffd40,0x80fff400,0x5fdffffa,0x87ed5f6c,
    0x30007ff9,0xffffffff,0x3fe605ff,0x21ffea07,0x8001fff8,0x40efdefd,
    0x30006ffa,0x1555dff9,0xfffff980,0x502fffff,0xffd10dff,0x2607ffd4,
    0x3ff21fff,0x703ffe61,0xbffd4bff,0x6fffeffb,0xfeffffe8,0xfd80ffff,
    0xffdfffff,0xbf92fe85,0x0bff7000,0x440bfffa,0xfffeffff,0x7ffffcc5,
    0xffe82fff,0xffffffff,0x3fe6000e,0x813fee07,0x20bf54d8,0xff9803fa,
    0xffffffff,0xffffd81f,0x41ffffff,0xfffffff8,0xd837dc3f,0x1fff83ff,
    0x8001fff3,0xf502fffe,0x3e200dff,0x001ffabf,0xfc80fff4,0x4c2ffeca,
    0x3e63effd,0xff30007f,0xffffffff,0xfffca89f,0xfcaaaaaa,0x3fe21aff,
    0xfe88001f,0x6ffa81ff,0xffffb000,0xf9801fff,0xffffffff,0x6ffa84ff,
    0x7f47fd10,0x12ffec3f,0xfff985ff,0xf52ffdc0,0x3fffeeff,0x7ffc44dc,
    0x7fff710a,0xa9dfff98,0x5445fffe,0x5c000aa2,0x555105ff,0x9877fd40,
    0x3ff60fff,0x46ffd98d,0x261dfffb,0x2004fffd,0x3ee07ff9,0x5ff7004f,
    0x3e601ba0,0xf9309eff,0xfffa8dff,0xbfff710d,0xf50affc8,0x07fcc1ff,
    0x7fc1ffec,0x01fff31f,0x402aa880,0x53000aaa,0x0000d545,0x80260d40,
    0xcfff9818,0x200aaacc,0x9999fff9,0x3e1fffea,0xffffffff,0x4fffffff,
    0x3447ffe2,0x20555300,0x50005fc9,0x1999fffb,0x99fff980,0x1fffea99,
    0x51037fd4,0xf13ffdc3,0x40d443ff,0x64c0fff9,0x5dffea4f,0x3ee02fff,
    0x8bffd05f,0xfff86ffd,0x0cc00005,0x2660bff7,0x7ff90099,0x3fe1ffd8,
    0x47ffe61f,0x2e05fff8,0xf3001fff,0x04cc40ff,0xb82fff80,0x5ffe802f,
    0x447fff20,0xff704fff,0x217ffc5f,0xb05ff019,0x3fff07ff,0x0003ffe6,
    0x000c4000,0x00000000,0x3ffe6000,0x1effffff,0x740fff30,0x3ff726ff,
    0xdccccccf,0x3e22cfff,0x007f99ff,0x9f100988,0xff501980,0xf3004c4d,
    0x37ff40ff,0x2001bfea,0xbff93ffe,0x07ffcc00,0xfff51fc4,0xf501ffee,
    0x133105ff,0xfd84ffe8,0x90bff55f,0xfff709ff,0xa8bff77f,0x84fffffe,
    0x7ff44ffa,0xfd0fff10,0x03ffea7f,0x200bffd0,0x3a607ff9,0x3fe6003e,
    0x22017e20,0x55c01fff,0x803ffea0,0x7ffec0bc,0x3f601bdf,0xf83ffd84,
    0x1fff31ff,0x06ffa800,0xfff77ff7,0xf90bff61,0x26ff98bf,0xfffffff8,
    0x6ffa86ff,0xf31bfea0,0xffffffff,0xfff307ff,0x30fffd40,0x7fd40fff,
    0xfcfff887,0x33fea05f,0x21efffe8,0xdff98fd8,0x42ffffd8,0xffe8effa,
    0x7ff980ef,0xa87ffea0,0x7d42aeff,0x477fdc6f,0x7fd41fff,0x207ffcc6,
    0x3fea0fd8,0x880dff77,0x02ceffff,0xfb81fff8,0x90bff55f,0xfffd89ff,
    0x25ffffff,0xfffffff8,0x5fffc43f,0x3e25ffc9,0x94ffe87f,0xff900bff,
    0x1ffe600d,0x2604ffa8,0x641ff15e,0x6ffa801f,0x0bff7000,0x3fffe200,
    0xfb82efff,0xf83ffd86,0x1fff31ff,0x06ffa800,0xdfffdff7,0x3fa27fd4,
    0x127fdc7f,0xffffffff,0x0dff50df,0x3e637fd4,0xfbaa99ff,0x7ff986ff,
    0xf317ffc0,0x333333ff,0xff10fff7,0xfa80bfff,0xffffffdf,0x3e65d50f,
    0xfffffeef,0x3fffea1f,0x40efffff,0x7fc07ff9,0x3fffea2f,0x7c37fd42,
    0xa85ffdff,0x7ffcc6ff,0x3ea17dc0,0x00bff77f,0xfffffff7,0x0bffa039,
    0x7fd57ff2,0x264ffc85,0xfea9dfff,0x2bff25ff,0x881fff50,0x84fffffe,
    0x3fe21fff,0x009ffb5f,0x2600fff7,0x3ff607ff,0x7ff7f402,0x64013e24,
    0xfb0005ff,0x5c4000bf,0x0ffffffe,0x3f607fcc,0x8fffc43f,0x3a20fff9,
    0x0dff506e,0x373fffee,0xf89ffe24,0x3ff61fff,0x33333221,0xfa83fffe,
    0x1bfea06f,0x3ea0fff3,0x3ff2a0ff,0x7fc1aaaf,0x3fffe63f,0xffffffff,
    0x3ffff887,0xaffffa80,0x303fffb9,0xf537ffff,0x7ffd49ff,0x2fffb9bf,
    0x2abfff2a,0x51fffc1a,0xff50bfff,0x3ff6aa2d,0x50aacfff,0xfff98dff,
    0x7fd40440,0x200bff77,0xffffffea,0x85ffc84f,0xbff55ffe,0x7ec9ff90,
    0x2fffc46f,0x01985fff,0x9fffffb1,0xb13bff90,0x3ffedfff,0x0fffa803,
    0xb07ff980,0xb8801dff,0x407ec2cd,0x427ff418,0x5ffffffc,0x00009ffd,
    0x0ffff6e2,0x9ffb0bfe,0xf31fff88,0x3ffc41ff,0xf706ffa8,0x7fec05ff,
    0x27ffff51,0xfa807ff8,0xdff504ff,0x2637fd40,0xfff107ff,0x7fffffc5,
    0x27ff44ff,0xfffffff3,0x10ffffff,0x2a007fff,0x7fec1fff,0x85fff304,
    0x3fea5ffc,0xf1ffec1f,0x9fffffff,0x3ea4ffe8,0x2dff506f,0xfffffffa,
    0xff51ffff,0x00fff98d,0x3eefff50,0x764c005f,0x544fffff,0x3fea1fff,
    0x90bff55f,0x27ff49ff,0xffb2fff4,0x22037bff,0xffebdffe,0x3fffe20e,
    0xfd5fffff,0xfff5009f,0x11ffe600,0x0001fffb,0x7fa83f98,0x7e42ffec,
    0xfb5fffff,0xb910009f,0x85ffb81d,0x77fec4fd,0x4c7ffee0,0x3fe20fff,
    0x20dff507,0x7dc07ffb,0xbfdff93f,0xf3013fea,0x7fd40bff,0x31bfea06,
    0x3fe60fff,0x3fffba1f,0x7ff43eee,0x3bbffe64,0x7ffeeeee,0x00ffff4c,
    0xfc87ffa8,0x1fff304f,0x3ea5ffb8,0x24ffc87f,0xeeefffee,0xe9a7ff43,
    0xdff506ff,0x3fffffea,0xf51fffff,0x0fff98df,0x2efff500,0x220005ff,
    0x7c47fffb,0xfffedfff,0x90bff55f,0x0fffc9ff,0xff12ffe4,0x85dfffff,
    0x7fec4ffc,0x6ffff442,0xbffb4ffc,0x00dff700,0xffd1ffe6,0xfd00003f,
    0xfb8fff10,0xfeeeb86f,0x0bff95ff,0x277ff600,0xb83ffea8,0x7fffec6f,
    0x31ffffcb,0x55441fff,0x20dff502,0x7c406ffb,0xff9bfd5f,0xf880bff2,
    0x3ea00eff,0x1bfea06f,0xfd30fff3,0x0fff30ff,0x3e62fff8,0x1ffea07f,
    0x003ffffd,0x3f21ffea,0x0fff304f,0x7fd4bff5,0x4c4ffc86,0x7ffc07ff,
    0x20dfffd2,0xff306ffa,0x237fd40f,0x5000fff9,0x17feefff,0x26039970,
    0x7fd41fff,0x5ffcefff,0xff90dff5,0x6417ffc9,0x7f5c45ff,0x3a0fffff,
    0x2ffd41ff,0x9ff90a88,0x3a01fff2,0x06a625ff,0x7fdcfff5,0xfa80001f,
    0x23fff442,0x6c00fff9,0x0fff75ff,0x3e20bdf8,0x6fffffff,0xffd8ff30,
    0xffffffff,0x001fff31,0xf706ffa8,0x3ffd00bf,0xf3ff57ff,0x7ff440ff,
    0x37fd400f,0xf98dff50,0xffffffff,0x7ff984ff,0x987ffe20,0x3fea07ff,
    0x0fffef47,0xb86ffa80,0xfff304ff,0x7d4bff50,0x44ffb86f,0x3e207ff9,
    0xdff7b1ff,0x64dbfea0,0xccfffdcc,0x8dff50cc,0x5000fff9,0x17feefff,
    0x220bffd0,0xec981fff,0x54ffb8ce,0x9ffb0dff,0x7f427ff4,0x3f6e205f,
    0x07ffe3ff,0xd010dff5,0x3ffe65ff,0x8fffea03,0x7fd45ffb,0x540bff66,
    0xb0dd001a,0xfff0ff3f,0x35ffd809,0x3ee05fff,0x7fecc2ff,0x3e00cfff,
    0x3afff61f,0x31ffdbff,0xa8001fff,0xbff706ff,0xffbff700,0xbffbff13,
    0x00ffff40,0xf5037fd4,0xffff98df,0x05ffffff,0x7dc0fff3,0x1ffe60ff,
    0x4547ffa8,0xf5001fff,0x09ff70df,0x3ea1ffe6,0x21bfea5f,0x7fcc4ffb,
    0x83ffee07,0xff506ffa,0x3ffffead,0x51ffffff,0xfff98dff,0x4fff5000,
    0x3f202bdc,0x7ffd82ff,0x4ffee004,0x7fc47ff9,0x83bff24f,0xb915fff8,
    0x25ffb81d,0x7fec4ffe,0xf98fff64,0x1fffec7f,0x2a37ffd4,0x3ff61fff,
    0x2a0fff65,0x1fb806ff,0xb87f97e4,0xfc884fff,0x3fff25ff,0x037ffcc2,
    0xd005dfd1,0x89ffec7f,0x03ffe600,0x20dff500,0xf9805ffb,0x3ffa7fff,
    0xfffb02ff,0x1bfea003,0x7cc6ffa8,0xcdeeeeff,0x41ffe601,0x7cc3fffb,
    0x1ffea07f,0x4007ffe2,0xffb86ffa,0x50fff304,0x37fd4bff,0x3e627fdc,
    0x7fff707f,0xf506ffa8,0x3bbbaadf,0x1eeeefff,0xff98dff5,0xfff5000f,
    0x880ffedc,0xfdcfffff,0x7fdc5fff,0x897fec0e,0xfea9dfff,0x3ffe24ff,
    0x5ffffbbf,0x2a277ff6,0x3fee3ffe,0x1fffdadf,0x3f2fffe6,0x7ffc43ff,
    0xfffecdef,0x7fffc41f,0x2e2ffffd,0x3fa20eff,0x22fc404f,0xeffeeff8,
    0x6ffffe40,0x4fffffec,0x33bfffe2,0x202ffffe,0x402feba8,0x0fff65fc,
    0x777ffcc0,0x42eeeeee,0xff706ffa,0x3fffa00b,0x03fffee5,0x3bbfffee,
    0x7d40eeee,0x1bfea06f,0x2000fff3,0xfeeefff9,0xf986ffff,0x1ffea07f,
    0x3bbbffe2,0xf53eeeee,0x09ff70df,0x3ea1ffe6,0x21bfea5f,0x7fcc4ffb,
    0xffffeeef,0x06ffa86f,0x3e60dff5,0x1bfea07f,0xddddfff3,0x3ea5dddd,
    0x203fd87f,0xfffffffa,0xdfff05ff,0x41fffd99,0xcffffffd,0x7ffe44ff,
    0x25ffcfff,0xfffffff8,0xffffd86f,0xffd84fff,0x980dffff,0xfffffffe,
    0xfff702ff,0xfd09ffff,0xdfffddff,0x440fc801,0x0effeeee,0xffffffc8,
    0xe982ffff,0xffffffff,0x013ee003,0x1ffecff5,0xfffff980,0x43ffffff,
    0xff706ffa,0x3fff200b,0x417ffe63,0xfffffffc,0x7fd40fff,0x31bfea06,
    0x26000fff,0xffffffff,0xff981eff,0x21ffea07,0xfffffff8,0xff54ffff,
    0x209ff70d,0xffa87ff9,0x2e1bfea5,0x7ffcc4ff,0xefffffff,0x506ffa81,
    0x3fe60dff,0x31bfea07,0xffffffff,0x3fea7fff,0x06fecdaf,0xfffffd88,
    0x3ffee03e,0xd82fffff,0xffa9efff,0xaefffa84,0x7ecc5ff9,0x700cffff,
    0x207fffff,0x04fffeb8,0xeffffeb8,0x7ffd400c,0xffb103df,0x801bffff,
    0x0ff004f8,0xffffdba8,0x7f6400bd,0x5401dfff,0x400ffecd,0x7ffb1ff8,
    0x3fffe600,0x3fffffff,0xfb837fd4,0xfff3005f,0x902fff81,0xffffffff,
    0x6ffa81ff,0xf31bfea0,0x3e6000ff,0xdeffffff,0x81ffe602,0xff887ffa,
    0xffffffff,0x70dff54f,0x3fe609ff,0x2a5ffa87,0x4ffb86ff,0x7fffffcc,
    0x3ea02def,0x0dff506f,0xfa81ffe6,0x7fffcc6f,0x3fffffff,0x7bb5fff5,
    0x09880015,0x3bbb2600,0x004c00cd,0x4c000440,0x02620009,0x30000880,
    0x00620003,0x01bddb98,0x2a001950,0x0004c002,0x64c00330,0x266001cd,
    0x00039970,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999300,0x79999999,0x80fffcc0,0x05ff36fd,0x3103ffee,
    0x22133333,0x207993cc,0x4c02fff8,0x98012a1c,0xcccccccc,0x03cccccc,
    0xcc98dff7,0x643fee03,0x099910ff,0x7066664c,0x65401999,0x599911cc,
    0x40f33220,0x003cedc9,0x20066654,0xccccccc8,0x999302cc,0x01579999,
    0x33333322,0x264ccccc,0x079933cc,0x64cb32e0,0x0079933c,0x00b32e20,
    0x5c39ddb5,0xcccccccc,0x99911ccc,0x99999999,0x33333221,0xc980bccc,
    0xcccccccc,0x99913ccc,0x37999999,0x88775c00,0x93000ccc,0x32607999,
    0x332e3ccc,0x0e664403,0x540f75c0,0xaaaaaaaa,0x7fffdc2a,0xffffffff,
    0x807ff605,0x04ffcff8,0xb8bffff3,0x36ffffff,0x41bfedff,0x7d402ffb,
    0x005fdfff,0x3ffffff6,0xffffffff,0xa81dff06,0x3fee06ff,0x3e61ff90,
    0xfff980ff,0x27ffcc2f,0x6c6fff88,0xffc81fff,0x7ffec41f,0xf002ffff,
    0xf9807fff,0xffffffff,0x7ffd42ff,0x2fffffff,0xffffff98,0x2a7fffff,
    0x0bff76ff,0x7d4fffa0,0x00dff56f,0xfffffe98,0xffffa81e,0x3ffff61f,
    0x3fffffff,0xfffffff3,0x3e61ffff,0xffffffff,0x7fffdc3f,0xffffffff,
    0xffffff35,0x007fffff,0x3e61fff5,0xff5000ff,0x3ff20fff,0x1fff25ff,
    0x801fff70,0xff82fff8,0xffffffff,0x7ffffdc6,0x5fffffff,0x5005ff10,
    0x7f40dfff,0x3ee3ff9c,0xf36fffff,0x741bfedf,0xcafc803f,0xf3002ffe,
    0xfffffdff,0x0dffffff,0xff501df5,0xb877540d,0x1fff30ee,0x02ffff88,
    0xf903fff9,0xfff883ff,0x427ffcc5,0xffdefffd,0x7fd401ff,0x7fcc06ff,
    0xffffffff,0x3ffea1ff,0xffffffff,0x7ffffcc4,0x27ffffff,0xbff76ffa,
    0x54fffa00,0x0dff56ff,0x7ffffc40,0x7ec0efff,0x7fec4cef,0xffffffff,
    0xfffff33f,0x21ffffff,0xfffffff9,0x3ee3ffff,0xffffffff,0xfff35fff,
    0xffffffff,0x7ffc409f,0x01fff30f,0x3ffffea0,0x5ffffe81,0xd80bffe6,
    0xffe805ff,0xfffff82f,0x446fffff,0xeffc9999,0x53009999,0x05554003,
    0x0aa62a88,0x26dff300,0x002a885d,0x20009835,0xbffb4ffc,0x13333333,
    0x3ea01530,0xf980006f,0x3ffa20ff,0x3ffe202f,0x81fffc45,0x3fa2fffa,
    0x1fffa86f,0x36037fe4,0x201fffff,0x9999fff9,0x2a4fffb9,0xb9999fff,
    0x3e61fffe,0x999999ff,0x5bfea199,0xfd005ffb,0x5426627f,0x3f2006ff,
    0x7fff51ef,0x3102ffe8,0xff733333,0x3ffe61df,0x19999999,0x2667ffe6,
    0x226fffb9,0xeffc9999,0xff309999,0xd533333f,0x3fee0dff,0xfff30fff,
    0x3ffea001,0x7ffc43ff,0x2fff45ff,0x402fff88,0xc82ffffb,0xffcccccc,
    0x6ffc803f,0x00098800,0x98000000,0x009f16ff,0x00131000,0x7ec7ffe2,
    0x0c40004f,0x0001bfea,0x7443ffe6,0xfa802fff,0x1bff62ff,0xf71fffb0,
    0x9ff905ff,0x440fff10,0x05ffdfff,0xfc81ffe6,0x81ffea5f,0x3fe66ffe,
    0xb7fd4007,0xfd005ffb,0x37fd407f,0x3ffa0131,0x3e2ffe43,0x7c4001ff,
    0x3fe61fff,0xfff3000f,0x803ffea0,0x3e606ffc,0x3ffea07f,0x3ffffa20,
    0x1fff30ff,0x3fbfea00,0x7f7fd45f,0x07ffdc5f,0x2603ffd4,0x002fffff,
    0x64017fe6,0x3fea06ff,0x1efffe8c,0x3fffffe2,0xffa86fff,0x31bfea06,
    0x443bedff,0xffffffff,0x233fea6f,0x401efffe,0x3ff65ffc,0x2ffee004,
    0xff50fffb,0x0dff500d,0x3f61fff3,0x3f6003ff,0x03fff56f,0xffdfff88,
    0x0153104f,0x7dc0fff1,0x00fff9df,0x7e40fff3,0x81ffea4f,0xff30fffa,
    0x6ffa800f,0x7f44bff7,0x25ffb0ef,0xdff56ffa,0x83dfffd1,0x7fe40aa9,
    0xffffffb4,0x3fffa009,0x007ffcc2,0xf107ff98,0x7fe405ff,0x81ffe606,
    0x3e20fff9,0x30fff9ef,0x2a001fff,0x647fedff,0x445ffcff,0xffd82fff,
    0x7f7ff404,0x3ffa002f,0x0dff9000,0x7ffeffd4,0xff10ffff,0xdfffffff,
    0x540dff50,0xb7fcc6ff,0x7ffffc42,0x3ea6ffff,0xffffffdf,0x5fff100f,
    0x4cceffec,0x7fdc1999,0x3ea6fffe,0x6ffa806f,0xfd8fff98,0x7c4003ff,
    0x04ffecff,0xffffff70,0xffb10001,0xe97ff40b,0xfff303ff,0xa87ffee0,
    0x3fe207ff,0x33fff32f,0x41333333,0xbff76ffa,0xfb077ff4,0x55bfea5f,
    0xffffffff,0xffd000ff,0x3fffff67,0xfffd804f,0x00fff983,0x2a0fff30,
    0x3f201fff,0x1ffe606f,0x7c46ffc8,0x7cc3ffe2,0xff5000ff,0x7f43ff9b,
    0xfe85ffaf,0x0fffc45f,0xffb5ff90,0x0bfea005,0x206ffc80,0xb9affffa,
    0x99913fff,0x07fffd99,0x7d40dff5,0x837fcc6f,0xfeccccc8,0x3ffea3ff,
    0x3fffb9af,0xfd8dff70,0xffffffff,0x3fffee0f,0x5bfea4dc,0x7fd42eeb,
    0xfdfff986,0xb8004fff,0x00ffffff,0x0bffffa0,0x3fffa200,0x21fff300,
    0xff306ffc,0xffffffff,0x07ffa83f,0xff99fffc,0xffffffff,0x5dbfea2f,
    0x1dffb5ff,0xff51ffc8,0x2bfffead,0x802fffb9,0xf530fffb,0xb80357ff,
    0xff305fff,0xdddddddf,0x999fff98,0x407fffb9,0x3e606ffc,0xecccccff,
    0x7c083fff,0x1fff30ff,0x2b7fea00,0x5bff14ff,0xfff70bff,0x303ffd41,
    0x0bff69ff,0x54037f40,0xaaeffdaa,0x07ffea0a,0x7d409ffb,0xdff504ff,
    0x2637fd40,0x3ea006ff,0x7ffd44ff,0xf827fec1,0x7ffec3ff,0x0fffffff,
    0x540bffee,0x87ff96ff,0xff986ffa,0x1fffffff,0xffffe800,0x7ffdc002,
    0xfffd0007,0x12ffe403,0xff303fff,0xffffffff,0x07ffa83d,0xff9a7ff4,
    0xffffffff,0x5dbfea2f,0x0fffcdff,0xff50ffb8,0xb07ffead,0xffa807ff,
    0x01fff83f,0x00efff98,0xfffffff3,0xfff98fff,0xffffffff,0x037fe403,
    0xfffffff3,0x2009ffff,0xfff30fff,0x37fea001,0x7ff56ff8,0xff10bff5,
    0x027fec5f,0x3ff61ffd,0x03ffb802,0x7fffffc4,0x3ea2ffff,0x04ffc87f,
    0x540bfff3,0x3fea06ff,0x8037fcc6,0xfa85fff9,0x84ffc87f,0xffd87ffb,
    0xccccccce,0xa81ffee0,0x87ff96ff,0xff986ffa,0x6fffcfff,0x5fff9800,
    0x7fffc400,0x7fec003f,0x3ffe200e,0x4c2fff42,0xeeeeefff,0x3ea3ffff,
    0x9fff407f,0xccccfff9,0x3ea1cccc,0xfffff76f,0xa9fea07f,0x0fff56ff,
    0x7d409ff9,0x3fff05ff,0x0ffff880,0x3ffffe60,0x7cc7ffff,0xffffffff,
    0x6ffc804f,0x3ffffe60,0x001bffff,0x7fcc3ffe,0xbff5000f,0x3ff23ffa,
    0xfb05ffa9,0x07ffe2bf,0xffb17fe4,0x0fff8805,0x7f777440,0x2a1eeeff,
    0x4ffc87ff,0x00efff88,0xfa81bfea,0x037fcc6f,0x4077ffc4,0xffc87ffa,
    0xeefffe84,0x004fffee,0xfa81bfee,0xa835536f,0xfff986ff,0x07fff53f,
    0x005fff00,0xffffffd8,0x1fff1000,0xccfffa80,0x40fffecc,0x3ee07ff9,
    0x0fff50ff,0xff32fff8,0x6ffa800f,0xdffffff7,0xffa9fe60,0xf90dff56,
    0x3ffea09f,0x007ffe05,0x9805fffd,0xf3000fff,0x799bddff,0x1bff2001,
    0xd517ff98,0x7c001dff,0x1fff30ff,0x657fea00,0xf57ffaff,0x3ffea0bf,
    0xf306ffa8,0xffd333bf,0x3fee0137,0x6ffc8004,0x2e1bfea0,0x7ff444ff,
    0x37fd400f,0xf98dff50,0x7ff4406f,0x0dff500f,0xffa89ff7,0xffffffff,
    0x3fee004f,0x01bfea05,0x3e61bfea,0x7fff44ff,0x17ffc001,0xf9fff500,
    0x3e600dff,0xfffe804f,0xffffffff,0x203ffcc3,0xfff52fff,0x98fffc40,
    0x7d4007ff,0xdffff76f,0x4df307ff,0xdff56ffa,0xf509ff70,0xfff80bff,
    0x0ffff601,0x003ffe60,0x0003ffcc,0xf3037fe4,0xffff88ff,0x21fff000,
    0x5000fff9,0x3bfeabff,0x0bff55ff,0x7fedfffc,0xfffff903,0x05ffffff,
    0x20007ff2,0x3ea06ffc,0x44ffb86f,0xa801fffe,0x3fea06ff,0x2037fcc6,
    0x2a01fffe,0x4ffb86ff,0x7ffffff4,0x004fffff,0xfa817fee,0x6ffa806f,
    0x4c0fff98,0x7c006fff,0xff1002ff,0x0fffeedf,0x300fba60,0xffffffff,
    0xf98dffff,0xa7ffc07f,0x3f207ffa,0x0fff30ff,0xf76ffa80,0x1fff35ff,
    0x3fea4e88,0xf70dff56,0x5fff989f,0x701fff80,0x2600bfff,0xf3000fff,
    0xf90000ff,0x3ffcc0df,0x802fffd4,0xfff30fff,0x57fea001,0x53fffff8,
    0x7fe40bff,0xf900fffe,0xffffffff,0x1ffa05ff,0x037fe400,0xff70dff5,
    0x00fffec9,0x2a06ffa8,0x37fcc6ff,0x803fffb0,0xffb86ffa,0x407ffe64,
    0x2e004ffd,0x3fea05ff,0x86ffa806,0xfc80fff9,0x3fe003ff,0xfffb002f,
    0x007fff43,0xf9002662,0x333333df,0x7cc3fff5,0x3ffee07f,0x2a0fff52,
    0x3fe63fff,0xb7fd4007,0x3ff65ffb,0xfa84cc45,0x70dff56f,0x7ffc49ff,
    0x03fff006,0x400dfff5,0x3000fff9,0x90000fff,0x7fcc0dff,0x07fffb07,
    0x3e61fff0,0xff5000ff,0x8fffff4b,0x3ea05ffa,0x2a06ffff,0xfecccccc,
    0xff881cdf,0xdff90006,0x5c37fd40,0xffff74ff,0x81dddddd,0x3ea06ffa,
    0x837fcc6f,0xeeeffffb,0xdff50eee,0x7ec9ff70,0x3fff606f,0xeeeeeeee,
    0x540bff70,0xffa806ff,0x80fff986,0x000ffff8,0xf5005fff,0xfff989ff,
    0x037fd406,0xfd00fffe,0x77ffccbf,0xffffeeee,0xddfff50e,0x8dffffdd,
    0xeeeefff9,0xf51eeeee,0x897feedf,0x3ff61fff,0x3eadff52,0x24ffb86f,
    0xfffffffc,0x0fffc5ff,0x7777ffec,0x34eeeeee,0x26001fff,0xc80007ff,
    0x3fe606ff,0x1ffff107,0xf30fff80,0xddddddff,0x97fea5dd,0x3ea7fffc,
    0x7fffc05f,0xffb0003f,0x027fcc05,0x206ffc80,0xffb86ffa,0xffffff94,
    0xfa81ffff,0x1bfea06f,0x3f20dff3,0xffffffff,0x70dff50f,0x3ffe69ff,
    0x3ffff602,0x0fffffff,0x7d40bff7,0x6ffa806f,0x700fff98,0x3e00bfff,
    0x7fc402ff,0xfffb80ff,0x81bfea03,0x5c00fffa,0xfff30fff,0xffffffff,
    0x7fffd43f,0x0effffff,0x7fffffcc,0x52ffffff,0x17feedff,0x7fecdff9,
    0x3eadff52,0x24ffb86f,0xfffffffe,0x0fffc5ff,0x7fffffec,0x35ffffff,
    0x26001fff,0xc80007ff,0x3fe606ff,0x17ffea07,0x3e61fff0,0xffffffff,
    0x4bff53ff,0x3ea5fffa,0x7ffe405f,0xffb0000f,0x01ffdc05,0x206ffc80,
    0xffb86ffa,0xffffff94,0xfa81ffff,0x1bfea06f,0x3f20dff3,0xffffffff,
    0x70dff50f,0x1fff69ff,0xffffffb0,0x2e1fffff,0x3fea05ff,0x86ffa806,
    0x3a00fff9,0xff802fff,0x7ffe402f,0x03fffa02,0xfb037fd4,0xfff100bf,
    0x3ffffe67,0x40beffff,0xfffffffa,0xfff302de,0xffffffff,0x5dbfea5f,
    0x7ffc45ff,0x3ea5ffb2,0x70dff56f,0x3ffe69ff,0x5fffffff,0x7ec0fffc,
    0xffffffff,0xfff35fff,0x1ffe6001,0x1bff2000,0x6c07ff98,0x3fe02fff,
    0xfffff30f,0x27ffffff,0x3fe25ffa,0x017fea3f,0x000bfff3,0xf9017fec,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1665c000,0xa80cccc8,
    0x664403cc,0x2999100c,0x32604cc8,0x01e6404c,0x2aaaaaae,0x0031aaaa,
    0x0004c400,0x880004c4,0x000000a9,0x40009880,0x88000099,0x409a9881,
    0x4c400098,0x00013100,0x09999800,0x03306600,0x80000000,0x80031018,
    0x00000098,0x10000000,0x18800555,0x00000000,0x304c4000,0x2881c403,
    0x09886620,0xc805ff90,0xfff985ff,0x24ffd82f,0xfff32ffe,0x4dffe20b,
    0x3fea07ff,0x1037fc07,0xbee94003,0xffd98000,0x6c402eff,0x322effff,
    0x7fec43ff,0x7d40dfff,0xacffc85f,0xffea86ff,0x3ee00cef,0x8001ffff,
    0x7fe43fd9,0xffdadfff,0xfb100cff,0x3ee3dfff,0xfa82efff,0x44ffc85f,
    0x4fffffea,0x3ffff620,0x3fea6fbd,0x83bffa25,0x261330e9,0x2abff20e,
    0xfd33ffff,0xcffa89ff,0x21efffe8,0xffd05ffc,0x3ffffe27,0x3e66ffff,
    0x37fec4ff,0x5c0fff30,0x0fffbbff,0x6c07ff20,0x2ffe42ff,0xffa9bfe6,
    0x3ea7ffb6,0xd109fd0f,0x03fe889f,0x07feadfb,0x5017ffe2,0xfff70fff,
    0x45ffd09f,0xfff32ffe,0x2fff105f,0x3ea07ff9,0x037fc07f,0xfe940031,
    0xf1001cff,0x9fffffff,0x3ffffe20,0x7ff94fff,0xffffffd8,0x42ffd46f,
    0x6ffacffc,0x7fffffdc,0xffffb06f,0x2a007fff,0x3f23fffe,0xffffffff,
    0x885fffff,0xfffffffe,0xfffffffe,0x642ffd43,0x3ffe24ff,0x983fffff,
    0xffffffff,0xe97fea1f,0x3fe60eff,0xffefffef,0xffdff90f,0xfff9ffff,
    0x7fd49fff,0xfffffffd,0x981fff30,0xfff10fff,0x8dffffff,0xff71fffc,
    0x3ffcc03f,0xfffdff70,0x01ffc80d,0xffe89ff5,0xf527fdc7,0xe8fff6df,
    0xb83ff56f,0xffd14fff,0x89ffb81f,0xfff905ff,0x7ffc403f,0x37fffec1,
    0xfe83ffe2,0xdffff32f,0x3e6fff10,0x1ffea07f,0x0c40dff0,0x3fff6500,
    0x3a202dff,0xffeacfff,0x7fff442f,0xcafffeac,0x37fee3ff,0x20fffb99,
    0xffc85ffa,0x3e26ffac,0xffeaadff,0x4dfffd43,0x7100fffc,0x25ffffff,
    0xfa9aeff9,0xfd99dfff,0x3fffa25f,0xffffffbc,0x20fffb8b,0xffc85ffa,
    0x542bff24,0x3fa20fff,0xfffc9aef,0x7ed7fea2,0xfffd80ff,0x24ffffff,
    0xe99dfffc,0xfd9affff,0x3fffea7f,0x23fffb9a,0x7fe42ffe,0x33333224,
    0xfe83fffe,0x03fff8ef,0xf702f744,0x809b9fff,0xff101ffc,0x0ffffc4f,
    0x7fd43ffb,0x7cc7ffb6,0xc81dfd3f,0xfffecfff,0xfda7fcc1,0xffff880f,
    0x17ffc04f,0x83fffffe,0x4cc47ffa,0x7fffff30,0xff37ff88,0x13ffd40f,
    0x5dff7555,0x00621555,0x3fff2628,0x7dc0beff,0x37fec0ff,0xfb03ffee,
    0x445f51df,0x17fec0ba,0xff90bff5,0x7e4bf319,0x2277cc6f,0x7fe43ffe,
    0x7fffe4c3,0x2e620bef,0x743ffec1,0x1fff50ff,0x643fffe8,0x17fea3ff,
    0xfff93ff2,0x7fdc0cc2,0x537ffec6,0x3fff9bff,0x2fbffe20,0x7fe47ffe,
    0x8bffea0f,0x3fea7ff9,0x727fec1f,0x1fff8bff,0x827ffd40,0x5ffffff8,
    0x3fee0000,0x3ff2002f,0x547ff601,0xff13ffff,0x316ffa8f,0x99ffd813,
    0xfffc84ff,0xffe81fff,0xf703ffa8,0x401ffd5f,0x3fe64ffd,0x3ee2ffdd,
    0xfff9805f,0x3fe20fff,0x540fff37,0x3ffee7ff,0xffffffff,0x81400311,
    0x2fffffda,0x3ea13ff6,0x13ff60ff,0x3f23ffea,0x3ff6a201,0x217fea3f,
    0x47f34ffc,0x3e004ffe,0x2ffcc1ff,0x39fffffb,0x3fb2a200,0x92ffc85f,
    0xfff70bff,0x2a6ff983,0x4ffc85ff,0x2f7ffff6,0x649ffb01,0xf50fffcf,
    0x407fffff,0x7fec4ffa,0xf517ff21,0x7ffc41ff,0xf90fff50,0x87ffc49f,
    0x7cc06ffa,0x7fdc05ff,0xeea80fff,0xeeeeeeee,0x80fff70e,0xefffeeee,
    0x3fee3eee,0x2bfdff93,0x7fd44ffa,0xb6ff8806,0xfff905ff,0x17ff903f,
    0xbffc0fff,0x3ee04ffb,0x2effee6f,0x0fff64ff,0x3fbbfe60,0x4dffe25f,
    0x99999fff,0x3ee7ffb9,0xffffffff,0x400311ff,0x7ffe4402,0x7c0bffe3,
    0x0bffe1ff,0x427f7ffc,0xfffffec9,0x217fea3f,0x46fcdffc,0xf1002fff,
    0xffffffff,0x17fff4df,0xfffec880,0xffffffff,0x7ffd3fff,0xffffff30,
    0x7d4dffff,0x24ffc85f,0xfffffff8,0xb8fffc2e,0x2a5ffd5f,0x0fffffff,
    0xfa83ff90,0x317ff22f,0x1fff0fff,0x3f21ffea,0xd9ffe44f,0x3fe203ff,
    0xffd800ef,0xffff703f,0x3fffffff,0xff01bfee,0xffffffff,0xeaffc49f,
    0xff97fcdf,0x806ffa85,0xffc8fff8,0x7ffff443,0xf8bffb84,0x4ffb80ff,
    0x7cc03ffe,0x267ffa7f,0x07ffe6ff,0x3e7bfe60,0x2fff12ff,0xfffffff9,
    0x267fffff,0xcfffcccc,0x00310ccc,0xfff93014,0x417ff47f,0x3fa1fff8,
    0xefff882f,0xdffff982,0x3ea3ffda,0xdfffc86f,0x002fff82,0xddddfff3,
    0x7ff4bddd,0x3e200bef,0xffdbdfff,0xffffffff,0xf305ffd3,0xffffffff,
    0x437fd4ff,0x75c44ffc,0x20ffffff,0x26fa9ffe,0xfff52ffe,0x2e09ffdf,
    0x17fe43ff,0xff989ff9,0xf50fff86,0x89ff70df,0xfff8eff9,0x1fffd100,
    0xdffff100,0x3ffffee0,0x71ffffff,0xfff80bff,0xffffffff,0x7fcfff44,
    0x7ff9ffab,0xc806ffa8,0x45ff99ff,0xffffffe8,0xfa8ffe84,0x21ffe84f,
    0x3fe03ffc,0x3e7ff89f,0x07ff98ff,0x3f6dff30,0x37ff88ef,0xffffffff,
    0xf80fffff,0x8006206f,0x7fff5c42,0x3ff60cff,0x20fffa84,0xffa84ffd,
    0x89ffd00f,0x3fea3ffd,0x204ffd86,0x1ab83ffe,0x4007ffe2,0xdfffffd9,
    0x20dffd81,0xfb005ffd,0x3fff70bf,0x21bfea00,0x2e204ffd,0x3f63fffd,
    0xff10efcf,0x2bffea1f,0xf980fff9,0xfffa8aef,0xf313ff20,0x21fff0df,
    0xffb86ffa,0xffcffe84,0x07fffa04,0x7ffffec0,0x99999884,0x2e199999,
    0x4ccc05ff,0x999affd9,0x7feffdc0,0x5ffdff89,0x4c06ffa8,0x41ffb4ff,
    0xfc9fffe8,0xa7fc44ff,0x3fea0ffd,0xb037fcc6,0x4bff57ff,0x5ffaaffd,
    0xff309988,0x233ffe2d,0xdfff37ff,0xffdddddd,0x206ff80f,0x64ca0018,
    0x03efffff,0xfd81fff7,0x07ffdc6f,0x7c413ff6,0x1fff40ff,0xff88fff3,
    0x1bff204f,0x7f41fff3,0x40dedc4f,0xefffffc9,0xe83fff0b,0x5e6c0fff,
    0x443fff70,0x6dc4fffe,0x11ffe62c,0x37229fff,0x72ffdc0e,0x7dc1ffff,
    0xc9bfea6f,0xfff985ff,0x21ffffff,0x7fcc4ffc,0xf50fff86,0x09ff70df,
    0x03fffff7,0x4007fff6,0xfffcfffa,0x20199801,0x64005ffb,0x7fcc01ff,
    0x3fffa7ff,0x16ffa82f,0xab7ec133,0x7ffd42ff,0x703bff21,0x49ff13ff,
    0x19980998,0x3f37fee0,0x333fea3f,0x2ffe83ff,0x7fdcdff3,0xff37ffaf,
    0x03ffd40f,0x01881bfe,0x7ffff4a0,0x7ffc402d,0x1ffffbcf,0x5e7fff44,
    0x3a00ffff,0xffd98cff,0x37ffe23f,0x04fffea9,0x2effffe2,0x7fd43ffe,
    0x1fffa9cf,0x3fffee20,0x11bff93f,0x35dffff9,0xffe8dffb,0xfffffcdf,
    0x1fffb9cf,0x2a77ffe2,0x3f64fffe,0xffea89df,0x55f7ff43,0x3ea1fffd,
    0x87ffe25f,0xfffffff8,0xff90ffff,0xf86ff989,0x0dff50ff,0xff109ff7,
    0x3fee0dff,0xeeeeeeff,0x74fffe20,0x7fcc06ff,0x017fee07,0xd003ff90,
    0x7fdcbfff,0x6ffa80ff,0x3fea7ffb,0x3ee09fd1,0xfb00ec81,0x0007feab,
    0xfeeff980,0x3bbfe20f,0x2ffe81ff,0xffe8dff3,0xfff37fff,0x203ffd40,
    0x006206ff,0x039ffd28,0x7ffff440,0xfd103fff,0x07ffffff,0xffffffa8,
    0x7fec4fff,0x4ffcffff,0x7ffffdc0,0xfff906ff,0x4007ffff,0xff33ffea,
    0xffdfffff,0x81ffffff,0xfffffff9,0xffffffdf,0xffffd83f,0x224ffcff,
    0xffffffff,0xfffffd86,0x7fd43fff,0x3237fdc5,0xd9cdcacf,0x313ff24f,
    0x1fff0dff,0x3ee1bfea,0x7fff904f,0x3fffff20,0x360fffff,0x3ffe66ff,
    0x81ffe604,0x64005ffb,0xffc801ff,0x17ffe63f,0xffdb7fd4,0x00cc1313,
    0x26200802,0x00002661,0x6fffff88,0x07ffffe8,0x3fe65ffd,0x7ffffcc6,
    0x540fff37,0x880007ff,0x05f4a001,0xffec8800,0x764401ef,0x7001efff,
    0xff15fffd,0x3dfffb0f,0xd3009ff5,0x4019ffff,0x03dfffeb,0x6d479300,
    0xf912efff,0x22039dff,0x50dffffc,0x407bfffd,0xfa9efffd,0x7ffecc4f,
    0x67e40cff,0x81efffeb,0xfff85ffa,0xf90a0143,0x86ff989f,0xdff50fff,
    0x2609ff70,0xff900fff,0xffffffff,0x707ffee1,0x3a205fff,0x17fee05e,
    0x00199500,0xff81fff3,0x2dff502f,0x00003ffd,0x00000000,0x4ffffe80,
    0x05ffffc8,0x37fcc7ea,0x9bffffe4,0x3fea07ff,0x3ffffee7,0x11ffffff,
    0x00014003,0x88000c40,0x00220001,0x40000260,0x00c40019,0x00620000,
    0x01880011,0x01300062,0x44013300,0x00000c44,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3f200000,0xffa82fff,
    0x99f603ff,0xfff886ff,0x40fff37f,0x3fee7ffa,0xffffffff,0x5555911f,
    0x05555555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc7d500,0x99999999,0x2b76a209,0x80bec980,0x983dedb8,
    0x99999999,0x336e2099,0x819d7102,0x2fc80998,0x9972ccc8,0x261332a7,
    0xec88201a,0x22ffdc2c,0x29bb3099,0x24ccccc8,0x2e21ffe8,0xbbbbbbbb,
    0x97fa3bbb,0xbbbb14ff,0xbbbbbbbb,0x7d40000b,0xff880fff,0x45fd02ff,
    0xff506ff9,0x81ffe6ff,0x3fee7ffa,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc9ff7,
    0xffffffff,0x13ffbfa4,0x83fffffb,0x43ffeffd,0xffffffff,0x3bfa4fff,
    0x7ffc42ff,0x17fea1ff,0x3ffe07ee,0x3f2bffb3,0x3fffea6f,0x4cd711be,
    0x3fa1ffba,0x4dbfe60e,0xffff36ff,0x25ff98ff,0xfffffff8,0x3e7fffff,
    0x7c53fe5f,0xffffffff,0x00007fff,0xe81bffe2,0x81500fff,0x3f606ff9,
    0x40fff37f,0x00007ffa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f400000,0x3fffe4ff,0x4fffffff,0x43fe2df3,
    0x3fe9aff8,0x27ec36e2,0x3ffffffe,0x9b14ffff,0x27f717ea,0x57fea5fa,
    0xfb9fbbf9,0x3f67fff0,0x26dff95f,0xffffffff,0x7fb06fff,0xff303bea,
    0x7cdbfe6d,0xf987ffff,0x9999910f,0x99999999,0x47dd276c,0xaaaaaaaa,
    0x0002aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a4fbad8,0xeeeeeeee,
    0x4ff503ee,0x21bee6fa,0x745ffdb9,0xeeeeeeee,0x2ffb84ff,0x543f63f4,
    0xffff75ff,0x3ffa5fff,0x3ee9ff93,0xfb9df35f,0x2bffffff,0x2a7fedda,
    0x16ff980b,0x2eee2577,0x037303bb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0x3ea00004,0xfa97f22f,0xddffb10f,0xff9800bf,
    0x6c2fff84,0x93e1be1f,0x20aeffa8,0x7ff71ffd,0x41cd3fea,0x2a3effc9,
    0x00001bdc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c9f7000,0x99999999,0x17fdc099,0x25fb9fe6,0x0bfb0ffa,0x304ff980,
    0x6ffcc1ff,0x217d43ff,0x7dc3fdfd,0x225ff30f,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x7ffffc9f,
    0x24ffffff,0xbff01efc,0x7fd47ff7,0x4005ffa9,0x2bd34ff9,0x7f5c0ff8,
    0x322fdc3f,0x4c45fd5f,0x13304cc1,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x93ee0000,0xffffffff,0xfff34fff,
    0x7f541fff,0x7ffc0dff,0x4c005fdf,0x3fbfa4ff,0x1440604f,0x003a86c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x3bbbba3e,0x73eeeeee,0x01dddddd,0x89540173,0x774c002a,
    0x00b36e23,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_26_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,0,1,0,
1,-1,0,1,0,0,0,1,0,0,0,0,2,1,1,0,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
2,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,0,1,0,1,0,1,0,1,0,-1,0,1,0,1,0,1,0,1,0,1,0,1,0,
1,0,1,0,1,0,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,1,0,1,0,1,0,0,1,1,1,1,0,1,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,2,-1,2,2,2,
2,2,2,2,2,2,2,2,2,2,1,0,2,2,2,2,2,2,2,2,2,2,2,2,2,1,1,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,-1,1,
0,1,1,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,0,0,-1,1,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static signed short stb__arial_bold_26_latin_ext_y[560]={ 21,4,4,4,2,4,4,4,4,4,4,6,17,13,
17,4,4,4,4,4,4,4,4,4,4,4,8,8,6,8,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,23,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,8,8,8,8,8,8,4,4,4,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,21,8,4,4,6,4,
4,4,4,3,4,9,8,13,3,1,4,5,4,4,4,8,4,11,21,4,4,9,4,4,4,8,-1,-1,0,0,
0,1,4,4,-1,-1,0,0,-1,-1,0,0,4,0,-1,-1,0,0,0,7,3,-1,-1,0,0,-1,4,4,4,4,
4,4,4,3,8,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,8,4,4,4,4,4,4,4,
0,4,0,4,4,8,-1,4,-1,4,-1,4,-1,4,-1,4,4,4,0,4,-1,4,-1,4,4,8,-1,4,-1,4,
0,4,-1,4,4,2,-1,0,4,4,-1,4,0,4,-1,4,4,4,0,8,4,4,-1,4,4,4,8,-1,0,4,
4,4,4,4,4,4,4,-1,4,4,8,-1,4,4,4,8,0,4,-1,4,-1,4,4,8,-1,4,4,8,-1,4,
-1,4,-1,4,4,8,-1,4,4,4,-1,4,4,4,-1,4,0,4,-1,4,-1,3,-1,4,4,8,-1,4,-1,4,
0,-1,4,0,4,-1,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,4,8,6,6,6,6,6,6,6,6,6,6,6,6,6,4,8,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,0,0,0,0,0,0,0,0,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-3,-1,-1,4,-1,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_bold_26_latin_ext_w[560]={ 0,4,9,13,12,19,16,4,7,7,9,13,4,8,
4,8,12,9,12,12,13,12,13,12,12,12,4,5,12,13,12,13,23,17,15,15,15,14,13,16,15,4,12,16,
13,17,14,17,14,17,16,15,14,14,17,22,16,17,14,7,8,7,12,15,6,13,13,13,13,13,9,13,12,4,
7,12,4,19,12,14,13,12,9,12,8,12,13,19,13,13,12,9,3,9,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,13,13,13,13,
3,13,8,19,9,11,13,8,19,15,9,13,8,8,6,12,14,4,7,5,9,11,19,18,20,13,17,17,17,17,
17,17,24,15,14,14,14,14,7,6,9,9,17,14,17,17,17,17,17,12,18,14,14,14,14,17,14,13,13,13,
13,13,13,13,19,13,13,13,13,13,6,6,9,9,14,12,14,14,14,14,14,13,14,12,12,12,12,13,13,13,
17,13,17,13,18,14,15,13,15,13,15,13,15,13,15,17,17,15,14,13,14,13,14,13,14,13,14,13,16,13,
16,13,16,13,16,13,15,12,17,13,9,9,8,8,8,8,6,6,4,4,16,11,14,10,16,12,12,13,6,13,
7,13,8,13,9,14,7,14,12,14,12,14,12,16,15,12,17,14,17,14,17,14,23,21,16,9,16,10,16,10,
15,12,15,12,15,12,15,12,14,8,14,12,14,8,14,12,14,12,14,12,14,12,14,12,14,14,22,19,17,13,
17,14,12,14,12,14,12,7,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,15,13,13,14,13,13,13,
13,13,13,13,13,13,13,13,13,13,19,17,13,13,13,13,13,13,13,13,13,13,13,13,13,19,16,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,17,13,9,9,17,
14,14,12,14,12,14,12,14,12,14,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,17,13,24,19,18,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13, };
static unsigned short stb__arial_bold_26_latin_ext_h[560]={ 0,17,7,18,22,18,18,7,22,22,8,13,8,4,
4,18,18,17,17,18,17,18,18,17,18,18,13,17,14,9,14,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,3,4,14,18,14,18,14,17,18,17,17,
22,17,17,13,13,14,18,18,13,14,18,14,13,13,13,18,13,22,22,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,22,18,13,17,
22,22,3,19,9,12,9,4,19,3,8,16,9,9,4,18,22,4,5,9,9,12,18,18,18,18,22,22,21,21,
21,20,17,22,22,22,21,21,22,22,21,21,17,21,23,23,22,22,22,12,19,23,23,22,22,22,17,18,18,18,
18,18,18,19,14,18,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,13,14,18,18,18,18,22,22,22,
21,18,21,18,22,18,23,18,23,18,23,18,23,18,22,18,17,18,21,18,22,18,22,18,22,18,22,18,23,22,
22,22,23,22,22,24,22,21,17,17,22,17,21,17,22,17,22,22,21,13,18,22,23,22,22,22,13,22,21,22,
22,17,17,17,17,17,17,22,17,22,18,22,17,17,18,18,22,18,23,18,23,18,18,14,22,17,22,18,22,17,
23,18,23,18,22,18,23,18,25,24,22,18,17,18,23,18,22,18,23,18,23,19,23,18,22,18,22,17,22,22,
21,22,17,21,17,22,17,17,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,18,15,15,22,15,15,15,
15,15,15,15,15,15,15,15,15,15,18,14,15,15,15,15,15,15,15,15,15,15,15,15,15,18,14,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,22,18,22,17,23,
18,23,18,22,22,22,22,22,22,22,22,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,24,23,22,18,23,18,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_bold_26_latin_ext_s[560]={ 511,300,392,98,41,441,469,387,1,192,377,
415,372,441,431,502,466,422,323,84,482,272,475,496,82,95,454,24,194,296,89,
203,369,217,235,191,251,267,361,174,45,507,126,151,432,446,30,108,375,308,405,
12,390,489,464,1,186,168,346,346,220,338,496,457,450,135,461,166,55,180,336,
28,310,305,283,287,282,317,337,102,492,281,405,262,412,249,350,429,377,437,364,
248,507,273,402,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,511,506,291,
189,303,472,305,324,473,345,329,484,339,441,392,482,362,61,310,353,424,229,354,
436,416,290,319,459,387,407,153,139,409,445,217,181,199,290,96,463,479,1,250,
153,33,58,125,265,439,235,108,90,65,83,116,471,326,222,252,134,149,427,329,
175,161,267,134,120,106,378,207,70,56,42,28,14,465,486,42,141,451,83,422,
407,392,377,362,391,275,333,320,307,294,200,214,243,135,226,107,199,272,170,285,
140,316,112,363,84,126,50,308,15,344,486,275,240,324,185,339,421,354,455,233,
1,189,369,291,446,142,418,460,16,30,168,362,425,182,310,98,52,21,320,46,
505,75,449,33,9,395,494,477,383,290,432,53,404,396,493,61,242,131,380,457,
101,16,257,254,228,395,408,346,203,164,216,410,285,428,300,315,227,41,121,16,
1,494,266,379,259,332,374,393,207,206,69,1,48,309,148,1,97,174,1,258,
479,301,213,159,365,348,42,137,426,101,277,68,54,80,26,70,60,297,479,29,
504,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,154,75,75,86,
75,75,75,75,75,75,75,75,75,75,75,75,75,435,117,75,75,75,75,75,
75,75,75,75,75,75,75,75,64,149,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,446,126,
1,256,267,231,237,246,11,494,464,177,190,205,218,124,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,30,76,152,339,57,359,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,75,
75,75,75,75,75,75,75,75,75, };
static unsigned short stb__arial_bold_26_latin_ext_t[560]={ 1,153,185,96,27,115,73,185,73,50,185,
171,185,185,185,73,96,153,153,115,153,115,115,153,134,134,171,171,171,185,171,
153,27,153,153,134,153,153,153,134,171,134,134,153,153,153,171,134,153,73,153,
134,153,115,153,171,153,153,153,27,134,27,171,185,185,171,115,171,134,171,153,
134,153,153,27,153,153,171,171,171,96,96,171,171,73,171,171,171,171,96,171,
27,1,27,185,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,1,96,27,
115,171,134,27,27,185,73,185,171,185,185,73,185,185,171,185,185,185,134,27,
185,185,185,185,171,115,115,134,134,27,27,73,73,73,73,153,27,27,50,73,
73,50,50,73,73,134,73,1,1,50,50,50,171,73,1,1,50,50,27,134,
115,115,96,115,115,115,73,171,115,115,115,115,115,134,134,153,153,96,153,96,
96,96,96,96,171,171,96,96,96,96,50,50,50,73,96,73,96,50,96,1,
96,1,96,1,96,1,96,50,96,134,73,73,96,50,96,50,73,50,73,27,
96,1,50,50,50,1,50,50,1,73,73,134,134,50,134,73,153,73,134,73,
50,73,171,96,73,1,50,50,50,171,50,73,50,50,134,153,134,153,134,134,
50,153,50,96,50,134,134,96,115,50,115,1,115,1,115,115,171,50,153,50,
134,27,134,1,115,1,115,27,134,1,134,1,1,27,115,153,115,1,115,27,
96,1,96,1,73,1,134,27,115,27,134,27,27,73,27,153,73,134,1,153,
115,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,96,171,171,27,
171,171,171,171,171,171,171,171,171,171,171,171,171,73,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,96,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,1,96,
27,134,1,115,1,115,27,1,1,27,27,27,27,27,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,1,1,27,115,1,115,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,171,
171,171,171,171,171,171,171,171,171, };
static unsigned short stb__arial_bold_26_latin_ext_a[560]={ 103,124,177,207,207,331,269,89,
124,124,145,217,103,124,103,103,207,207,207,207,207,207,207,207,
207,207,124,124,217,217,217,227,363,269,269,269,269,248,227,290,
269,103,207,269,227,310,269,290,248,290,269,248,227,269,248,351,
248,248,227,124,103,124,217,207,124,207,227,207,227,207,124,227,
227,103,103,207,103,331,227,227,227,227,145,207,124,227,207,290,
207,207,186,145,104,145,217,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,103,124,207,207,207,207,104,207,
124,274,138,207,217,124,274,206,149,204,124,124,124,215,207,103,
124,124,136,207,311,311,311,227,269,269,269,269,269,269,372,269,
248,248,248,248,103,103,103,103,269,269,290,290,290,290,290,217,
290,269,269,269,269,248,248,227,207,207,207,207,207,207,331,207,
207,207,207,207,103,103,103,103,227,227,227,227,227,227,227,204,
227,227,227,227,227,207,227,207,269,207,269,207,269,207,269,207,
269,207,269,207,269,207,269,268,269,227,248,207,248,207,248,207,
248,207,248,207,290,227,290,227,290,227,290,227,269,227,269,227,
103,103,103,103,103,103,103,103,103,103,292,207,207,103,269,207,
207,227,103,227,103,227,143,227,178,227,103,269,227,269,227,269,
227,264,269,227,290,227,290,227,290,227,372,351,269,145,269,145,
269,145,248,207,248,207,248,207,248,207,227,124,227,178,227,124,
269,227,269,227,269,227,269,227,269,227,269,227,351,290,248,207,
248,227,186,227,186,227,186,103,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,270,279,279,207,279,279,279,279,279,
279,279,279,279,279,279,279,279,318,265,279,279,279,279,279,279,
279,279,279,279,279,279,279,309,270,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,269,207,103,103,290,227,269,227,269,227,269,
227,269,227,269,227,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,269,207,372,331,290,227,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_26_latin_ext(stb_fontchar font[STB_FONT_arial_bold_26_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_26_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_26_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_26_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_26_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_26_latin_ext_s[i] + stb__arial_bold_26_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_26_latin_ext_t[i] + stb__arial_bold_26_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_26_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_26_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_26_latin_ext_x[i] + stb__arial_bold_26_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_26_latin_ext_y[i] + stb__arial_bold_26_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_26_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_26_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_26_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_26_latin_ext_s[i] + stb__arial_bold_26_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_26_latin_ext_t[i] + stb__arial_bold_26_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_26_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_26_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_26_latin_ext_x[i] + stb__arial_bold_26_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_26_latin_ext_y[i] + stb__arial_bold_26_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_26_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_26_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_26_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_26_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_26_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_26_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_26_latin_ext_LINE_SPACING
#endif

