// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT        242
#define STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_29_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_29_latin_ext_LINE_SPACING          19

static unsigned int stb__arial_bold_29_latin_ext_pixels[]={
    0x99999993,0x39999999,0x00000000,0x00730000,0xd9000000,0x2eec980d,
    0x1000aaa0,0x01554355,0x00000000,0x5400d54c,0x550002aa,0x2a035555,
    0x26001cee,0x006aa22a,0x54039991,0x002aa62a,0x55001300,0x76406aa1,
    0x1aaa8806,0x2deedb80,0x79999950,0xaaaaaa88,0xcccc882a,0x326000cc,
    0x5300bded,0x99999997,0x664c0019,0x002cdeee,0x33bb2e60,0x6dc4000b,
    0xaaa88002,0x66664000,0xcccccccc,0xfffff72c,0xffffffff,0x7fd4005f,
    0x7c40002f,0xfc8004ff,0x00264007,0xfb07fff3,0x7fffdc0f,0x013fa602,
    0xff51ffb0,0x7dc00009,0x880001ff,0xff3004ff,0xfff0005f,0x3ea07fff,
    0xf3003fff,0x01dfd19f,0x202fff98,0x5ff9affb,0x027c4000,0x037df7d4,
    0xff700ffb,0x7ff4401d,0xfb86ffff,0x7c45ffff,0x87ffffff,0x0ffffff8,
    0xfffff500,0xfffe883f,0xffffffff,0xfffeb801,0x4fffffff,0x7fffe400,
    0x2003ffff,0x8001fced,0x22005ffd,0xffffffff,0xf74fffff,0xffffffff,
    0x005fffff,0x0001fff4,0x4002ffdc,0xf5001ef9,0x7fec009f,0x220ffb04,
    0x402fffff,0x22001ec8,0x006ffeff,0x017ff400,0x002ec800,0x40037fd4,
    0x00999999,0x01fffff5,0x3ffbfee0,0x2fff9801,0x7ff7fec0,0x0fd40000,
    0x00deeb80,0x3fe01ff6,0x7ffec01f,0x5c3fffff,0x445fffff,0x7fffffff,
    0xffffff88,0xffffd000,0xfffe88ff,0xffffffff,0x3ffa601f,0xedcaccef,
    0x4c01efff,0xfffffffe,0xf8804fff,0x3a0009b1,0xff1001ff,0xffffffff,
    0x33269fff,0xcffffccc,0x3001cccc,0x200007ff,0xf70005ff,0x3ffe005b,
    0x09ff1004,0xffa83fec,0x9d1009af,0xfa801f44,0x00001fff,0x0000bfea,
    0x01f449d1,0x4003ff50,0x40fa24e8,0x01fffb98,0x013fff60,0x200f7744,
    0x001ffff8,0xe8807c80,0x7ec0fa24,0x00ffdc07,0xff92fffc,0x7eccc41f,
    0xf880005f,0x20019aff,0x4299efff,0xfffffffb,0x01efffee,0x8019fff5,
    0x200fffc8,0xcacefffe,0x801ffffe,0x0002fade,0x2200bfd1,0xccccefff,
    0x402ccccc,0x40006fff,0x500004eb,0x320001dd,0xff800fff,0x09d7004f,
    0xff507fd8,0x44bf100d,0x2aaa004f,0x76400001,0x5f880003,0x530013e2,
    0x12fc4003,0x5fff009f,0x00ccc400,0x26620000,0x0bf00000,0x27c4bf10,
    0x55407fd8,0x4fff8801,0x6402f362,0x880005ff,0x4c001fff,0x3f602fff,
    0xf17fffff,0x77fcc0df,0x77f4c000,0x0dfffb80,0x805fffb8,0x40004fd9,
    0xff1002a8,0x3e00009f,0x000006ff,0x3fee0018,0xfff90005,0x7ffd4c01,
    0x029802ad,0xffb83fec,0x02ccc886,0x3a616664,0x003bb64e,0x91000000,
    0xccc80599,0xdb2774c2,0x2ccc881d,0x74166640,0xccc882ff,0x41666402,
    0x2600aaa8,0x02bceeca,0x3f772a20,0x02ccc883,0x7fd96664,0x3b64ee98,
    0x5fffd00e,0x45ffc800,0x3bb64ee9,0x00fffc40,0xbfffcaa8,0xfffff81a,
    0x0dff17ff,0x7303bfa2,0x22aaa379,0xfff82ff9,0x37ffa00f,0x80599910,
    0x2a602ccc,0x402bceec,0x0004fff8,0x000dfff0,0x337bb2e6,0x7c017e61,
    0x00002f9b,0x7ffffe40,0x7ffe407f,0x2e0ffb00,0xfff885ff,0x227ffc04,
    0x3ffa5ffa,0xccca8000,0xcccccccc,0xf11ccccc,0xfff809ff,0xfd2ffd44,
    0x4fff881f,0x7427ffc0,0xfff883ff,0x427ffc04,0xd882fff9,0xffffffff,
    0x7ffd400d,0x7c43ffff,0x7ffc04ff,0xff50ffb4,0x9807ff4b,0x000dffff,
    0xffa8bff9,0xf103ffa5,0xff3003ff,0x09ffffff,0xfffffffd,0x7e41bfe2,
    0x3fffa20f,0x91fffaff,0x3fff989f,0x7fc40cc0,0x27ffc04f,0x7ffffec4,
    0xf100dfff,0x200009ff,0x44006fff,0xfffffffc,0x00ffeaef,0x003e8fc4,
    0x55166dcc,0x3ffff215,0x4be207ff,0x20ffb03e,0xff885ffb,0x27ffc04f,
    0xffe97fea,0xfffe8000,0xffffffff,0xf12fffff,0xfff809ff,0xfd2ffd44,
    0x4fff881f,0x6c27ffc0,0xfff883ff,0x427ffc04,0x7cc2fff9,0xffffffff,
    0xff502fff,0x7fffffff,0x2027ffc4,0x0ffb4fff,0x7ff4bff5,0xfffff500,
    0xbff9005f,0x3fa5ffa8,0x0fffc40f,0x7ffffd40,0xffd82fff,0xff17ffff,
    0xe88ffe0d,0xfffecfff,0xf51be27f,0x220005ff,0x7fc04fff,0x7fffcc4f,
    0xffffffff,0xadfff882,0x2aaaaaaa,0x006fff80,0x3fffffa6,0xffffffff,
    0x3fdfd001,0x7fffe400,0x30fff9df,0x055bfff5,0xb03e97c4,0x13ff20ff,
    0xf013ffe2,0x099889ff,0x2a000662,0xffffffff,0xffffffff,0x09fff12f,
    0x4c44fff8,0x22066209,0x7fc04fff,0x84ffd84f,0x7c04fff8,0xfff984ff,
    0x3ffffa22,0xfffecabc,0x7fffc41f,0x0fffff9b,0xf809fff1,0x10ffb4ff,
    0x80cc4133,0xfffefffa,0x3ff200df,0x3104cc45,0x03fff103,0x9fff3310,
    0x3ffe6033,0xdff17fff,0x7f41ff50,0x3fff20df,0xff90ffc5,0x3e20003f,
    0x7ffc04ff,0x3ffffa24,0xfffecabc,0x7fffc41f,0xffffffff,0x06fff807,
    0x33ffffa0,0xfffffdba,0xffff1003,0x3fff2009,0xfffeffff,0x8027ffc0,
    0xfb00fffc,0x20fffe0f,0x7c04fff8,0x000004ff,0xfc9effe8,0xccccccff,
    0xfff11ccc,0x04fff809,0x4fff8800,0x5c27ffc0,0x7fc40fff,0x27ffc04f,
    0xf917ffcc,0x3f201dff,0x7ffdc5ff,0x3bdf5f71,0xf013ffe2,0x01ff69ff,
    0x8affe800,0x206ffffd,0x80005ffc,0x2001fff8,0xa802fff8,0xf17fffff,
    0x54dfb0df,0x7fcc0fff,0xfb1fec4f,0x220001ff,0x7fc04fff,0x3bfff24f,
    0x8bfff900,0xfffffff8,0x807fffff,0xf9006fff,0xfd101dff,0x3f200dff,
    0x4400ffff,0xea8cffff,0x7fc0ffff,0x00a2004f,0xffea8ffb,0x4fff880f,
    0xa8a7ffc0,0x2aa980aa,0x25fff500,0x2000fffc,0x7c04fff8,0x155514ff,
    0x7c455530,0x7ffc04ff,0x3efff884,0xf013ffe2,0xfff309ff,0x03fffe25,
    0x645fffd0,0x405b66ff,0x7c04fff8,0x443314ff,0xaa980aaa,0xa83ffe22,
    0xf905ffff,0x02aaa2bf,0xff88aaa6,0x3fea001f,0xfb71001f,0x21bfe2ff,
    0x0fffa4ff,0x3fa17ffc,0x003fff23,0x027ffc40,0x7fc53ffe,0x7ff400ff,
    0x3fffe22f,0xeeeeeeee,0x06fff805,0x00ffff88,0x03fffff9,0x7ffffff0,
    0x82fffc80,0x7fc0ffff,0xddca804f,0x27fd80ac,0x102ffff9,0xff809fff,
    0x05fff34f,0x3600fff7,0x3fff27ff,0x3ffe2000,0x9a7ffc04,0xffb82fff,
    0x013ffe27,0x3ea09fff,0xfff11fff,0x84fff809,0xff32fff9,0xfff3009f,
    0xf8afff49,0x13ffe204,0x4c09fff0,0xffb82fff,0x30bffe27,0xf903fffd,
    0x0bffe6bf,0xff89ffee,0x3fee001f,0x7ff8000f,0x7ff0dff1,0x2203ffe2,
    0x3fe20fff,0x007ffee1,0x027ffc40,0x7fcd3ffe,0xfff9804f,0x013ffe24,
    0x037ffc00,0xb81fffd4,0x05fffdff,0x7fffffd4,0x07ffec06,0x3e07ffec,
    0x3fa204ff,0x43ffffff,0x3ffe67fd,0x13ffe205,0x3e69fff0,0x7ffb82ff,
    0x23fff980,0x2000fffc,0x7c04fff8,0x5fff34ff,0x7c4fff70,0x7ffc04ff,
    0x47fff604,0x7c04fff8,0xfff984ff,0x003fff72,0xffe9bffe,0x7c403f55,
    0x7ffc04ff,0x0bffe604,0xffd1ffee,0x3ffe885f,0xff35ffc8,0x4fff705f,
    0x2001fff8,0xf0006ffc,0x11bfe2ff,0x1ffe63ff,0x3ea3ffcc,0x0bffea0f,
    0xff883950,0xa7ffc04f,0xf001fffb,0x7ffc4dff,0xfff00004,0x3fff700d,
    0xff1bff50,0xeffd80df,0x3a01fffb,0xfff706ff,0x204fff81,0xfffffffd,
    0x99ff62ff,0xf105ffff,0xfff809ff,0x705fff34,0xffb00fff,0x5fffe41f,
    0x1aaaaaaa,0xf013ffe2,0x3ffe69ff,0x227ffb82,0x7fc04fff,0xffffb04f,
    0x013ffe23,0xff309fff,0x03fff25f,0xf93fff40,0x8809f2df,0x7fc04fff,
    0x3ffe604f,0x5c7ffb82,0x7e44ffff,0x35ffc82f,0xff705fff,0x00fffc4f,
    0x000bffd0,0x37fc5ffe,0x7fd43fe2,0xe8bff906,0x37ffcc5f,0x447fffa0,
    0x7fc04fff,0x01fff94f,0xf89fffa0,0xf00004ff,0xffb00dff,0x26ff981f,
    0x3e207fff,0x4fff8bff,0x541bffa0,0x7ffc0fff,0x15fff504,0x6c9fff51,
    0x1fffb87f,0x404fff88,0xfff34fff,0x80fff705,0x7e44fff8,0xffffffff,
    0x3ffe24ff,0x9a7ffc04,0xffb82fff,0x013ffe27,0xff309fff,0x4fff885f,
    0x4c27ffc0,0xfffb2fff,0x87ffec00,0x15f8fffa,0x3fe25bff,0xa7ffc04f,
    0x3ffe64cb,0xc87ffb82,0xf89effff,0x5ffc80ff,0xf705fff3,0x0fffc4ff,
    0x007fff00,0x7fc5ffe0,0xff51ff86,0x3fff881f,0x3f607ff2,0xfff502ff,
    0x027ffc4d,0x7fed3ffe,0x3fff6007,0x009fff10,0x01bffe00,0xff31fffa,
    0x07ffec1d,0xfd0fffb8,0x3ff601ff,0x0fffb80f,0x98827ff4,0x25ffe83b,
    0x7ffd07fd,0x409fff10,0xff34fff8,0x0fff705f,0x641fffc8,0xffffffff,
    0x3fe24fff,0x3ffe204f,0x705fff34,0x7ffc4fff,0x13ffe204,0x3e21bfee,
    0x3fe204ff,0x2fff984f,0x2001fffb,0x3fe67ffe,0xfff72fef,0x813ffe25,
    0xffb4fff8,0x5c17ffcc,0xfff707ff,0x207ffdff,0xfff35ffc,0x44fff705,
    0xf1001fff,0x3e0005ff,0xd0dff17f,0x0bffe25f,0x3ee5fff9,0xffff104f,
    0x3fff2617,0x13ffe23f,0xfb4fff88,0x3fa001ff,0x37ffe27f,0x99999999,
    0x37ffc019,0x887ffec0,0x7ff40fff,0xa9bffa07,0xff703fff,0x1fffd05f,
    0x0edfffe8,0x5fffb980,0x7fe41ff6,0x04fff885,0x7cd3ffe2,0x7ffb82ff,
    0x217ffe20,0xeeeefffc,0x3e23eeee,0x3fe204ff,0x05fff34f,0x7fc4fff7,
    0x3ffe204f,0x884ffd84,0x3e204fff,0xfff984ff,0x003fff92,0xffb1bffe,
    0xdfffdbff,0x1027ffc4,0x9ff69fff,0xfb82fff9,0x3ffa607f,0x3f204fff,
    0x05fff35f,0x7fc4fff7,0xfff5001f,0x5ffe0003,0x6fc86ff8,0x36f3fff6,
    0xffedffff,0x7fffdc04,0x5fffffff,0x1027ffc4,0x3ff29fff,0xdfff001f,
    0x7fffffc4,0x7fffffff,0x4037ffc0,0xfe89fffc,0x06fff81f,0x7c47fff3,
    0xfff306ff,0x3fff667f,0x7fffe40f,0xffeb980f,0x3f65ffff,0x10bff707,
    0x7c409fff,0x5fff34ff,0x640fff90,0xccccdfff,0x2000fffe,0x2204fff8,
    0xfff34fff,0x44fff905,0x3e204fff,0x3ffd84ff,0x204fff88,0xf984fff8,
    0x5fff72ff,0x0bfff100,0xfffffffb,0x27ffc43f,0x369fff10,0x0bffe67f,
    0x3201fff2,0x3205ffff,0x5fff35ff,0x7c4fff90,0xff7001ff,0xbffc000f,
    0xff986ff8,0xfffffd11,0x7ffffffd,0x3fffea00,0x40efffff,0x2204fff8,
    0xfff74fff,0xbfff1005,0x7fffffc4,0x7fffffff,0x4037ffc0,0xffdbfffb,
    0x05fff882,0xfd81fff9,0xfff901ff,0xffffffff,0xffffd881,0x7ffffe41,
    0x3f65ffed,0x20bff707,0x3e605fff,0x5fff33ff,0x220fff90,0xffffffff,
    0x000fffff,0xf302fffc,0x3ffe67ff,0x7c7ffc82,0x3fe605ff,0x03ffe83f,
    0x7cc0bfff,0xfff983ff,0x00dfff32,0x3209fff9,0x80cfffff,0x3e605fff,
    0x4cffb3ff,0xffc82fff,0xfffd3007,0x4d7ff205,0xffc82fff,0x007ffe27,
    0x00037fec,0x1bfe2fff,0xfd9077f4,0x2f7faa7b,0xd8806621,0x02effffe,
    0xf9817ffe,0xdfff33ff,0x49fff900,0xfffffff8,0x07ffffff,0x7ffcc000,
    0xff902fff,0x3bffe09f,0xfffcaaaa,0x3ffff604,0x00fffbdf,0xfff70131,
    0xb2ffec39,0x1bfea0ff,0xc817fff4,0xfff12fff,0x20fffb07,0xfffffffb,
    0x00ffffff,0x817fff40,0xff12fffc,0x8fffb07f,0xf902fffe,0x5ffd05ff,
    0x40bfffa0,0xf982fffc,0x3fffa2ff,0x3fffe604,0x0335f700,0x902fffe8,
    0x9ff65fff,0xfd83fff8,0x21d4c47f,0xf904fff8,0x0fffe2bf,0xff89fff6,
    0x9ffd001f,0x8bffc000,0xbff306ff,0x5ffb8000,0x02dfda80,0x902fffe8,
    0x7ff45fff,0x3ffe604f,0x27cc000f,0x00555300,0x40fffff6,0xa80ffff8,
    0xffffffff,0x200fffff,0xff53dfca,0x0355301f,0xffd0bffd,0xfa83fecb,
    0xdfff707f,0x3ffee215,0x317ffe0f,0x3fa0ffff,0xccccccff,0x4000fffe,
    0x10aefffb,0x7c1ffff7,0x7ffcc5ff,0x577ffdc7,0x1ffff710,0x2e05fff0,
    0x710aefff,0xf701ffff,0x7ffcc3ff,0x3fee21df,0x01ba03ff,0x0aefffb8,
    0x21ffff71,0x2fffc7fd,0xf51fffe6,0x4ffe87ff,0x7fcbff90,0x3fffcc5f,
    0x1003fff1,0x40007fff,0x0dff17ff,0x000f7fdc,0x003fff62,0x007ff72e,
    0x215dfff7,0x20ffffb8,0x21dffff9,0x03ffffb8,0x2003fb80,0xf3006ffd,
    0xfa83bfff,0xffd03fff,0xffffffff,0x70007fff,0x3ff20fff,0x4c5fff84,
    0x1ff66fff,0x0e77ffcc,0xfffffff1,0xe89fffff,0xffdbdfff,0xfffa87ff,
    0x2bfff204,0x99999999,0x3ffffe20,0x4fffffff,0x6deffff4,0x7c47ffff,
    0xffffffff,0x3b264fff,0xff101fff,0xffffffff,0xffec89ff,0x7ffe40ff,
    0xffffffff,0x013e206f,0xffffff88,0x24ffffff,0x7fff47fd,0x7ffffdbd,
    0xcacffff8,0x332a3fff,0x3ffa5ffe,0xffffdbdf,0x337ffe27,0x3ff36e0c,
    0x3e0001ff,0x80dff17f,0x9bcefffb,0x3ff2e620,0xfd8000ef,0x7fffc404,
    0xffffffff,0xfffffc84,0x6fffffff,0x00bf7000,0xb8037fec,0xefffffff,
    0x306fffff,0xdddddfff,0x8dfffddd,0xfc83defa,0x09ff906f,0xf939fff9,
    0x3fecdfff,0x85ffffd0,0xffffffe9,0x7d40dfff,0xfbffffff,0x0fffe87f,
    0x3fffff20,0x5fffffff,0x7fffff4c,0x540dffff,0xbfffffff,0xffe987ff,
    0xdfffffff,0x1bfffea0,0xfffffd30,0xe81bffff,0xf505ffff,0xffffffff,
    0x01fa809f,0x7ffff4c0,0x20dfffff,0x7ffd47fd,0x7ffbffff,0xffffffa8,
    0x7ffdc6ff,0x3ffea5ff,0x7ffbffff,0x3fffffe2,0x3fffffa0,0xbffc0006,
    0xe9806ff8,0xffffffff,0x04ffffff,0x3fee66a0,0xfffe9802,0x0dffffff,
    0xffffff50,0x0009ffff,0x02e6ffcc,0x2a017ff6,0xfffffeff,0x204fffff,
    0x6c01fffc,0x3fe61fff,0xffcaabff,0x05fd704f,0xfffffff1,0x3fecfffd,
    0x05fffd30,0xffffffb1,0x7ff5407d,0x47ff98df,0x6405fffa,0xffffffff,
    0xd885ffff,0x3effffff,0x37fffaa0,0xb107ff98,0x7dffffff,0x03dfff50,
    0xfffffb10,0xfff107df,0x764401df,0x01dfffff,0xb10007b8,0x7dffffff,
    0xfd50ffb0,0xfff31bff,0x3ffffaa0,0x7ffdc0cf,0x7ff545ff,0x27ff98df,
    0x0ffffff8,0x3ffffff1,0x17ff8000,0x64c00dff,0xfffffffe,0x22000bef,
    0x003fffff,0x3fffff62,0xec8803ef,0x01dfffff,0x7fffd800,0xe802f980,
    0xfffc88ef,0x7c01dfff,0xffa806ff,0x7fffec4f,0x205fffff,0xff500fe8,
    0xfff13dff,0x2600aaa5,0x4ccc00aa,0x000c4000,0xc803fffd,0xffffffff,
    0x4c05ffff,0x0c400099,0x02666000,0x00035510,0x26002666,0x998000aa,
    0x00000000,0xaa801333,0x80006202,0x31009aa9,0x22013333,0x26666001,
    0x01aa9819,0x4c333000,0x53300009,0x00013555,0x0000cccc,0x00002666,
    0x00000133,0xff700351,0x101d1001,0x3ea00133,0xfff003ff,0xffffc81f,
    0x3200dfff,0x0099802f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00003720,0x7ffec000,0x7fff9000,
    0x002aaa60,0x0000004c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x3ceedca8,
    0x2aaa6000,0x2aa60000,0x3bb20002,0xffa8000e,0x5544004f,0x7e40001a,
    0x220002ff,0x99101aaa,0x2ccc8059,0x00555440,0x544d5540,0x0176c0aa,
    0x20073322,0x5003eee8,0x880eb83d,0x00001ccc,0x1006aaa2,0x1775cbdd,
    0x0d40a880,0x07332e00,0x15554000,0x2fffcc00,0x7543e880,0x09dd9001,
    0xeeecb880,0xcc8000bc,0x554c001c,0x20035510,0x35510aa9,0x19993000,
    0x00355500,0xfffff300,0x0005ffff,0x4000bffd,0x001ffff9,0x06ffffa8,
    0x7ffffc40,0x37fe4002,0xffff3000,0x3f60001f,0x3ffe206f,0x027ffc04,
    0x0013fffa,0xff71dff5,0x880ff90b,0xfc802fff,0x37e2005f,0xf305fa89,
    0x400005ff,0xf8806ffd,0x00fff27f,0x32f7ffee,0x3fe2002f,0xa80004ff,
    0xe8001fff,0xb003ffff,0x00dd515f,0x9002ffec,0xffffffff,0xfff8009f,
    0xaffc4003,0xf1000ffd,0x007ff6df,0x003ffea0,0x00017ffe,0xfffffff5,
    0x4003ffff,0x20005ff9,0x0effefe8,0x2b7fe200,0x3f6004ff,0x000ffe9f,
    0x40017fec,0x5ff9eff8,0x0eff8800,0x013ffe20,0x7e409fff,0x2002ffdf,
    0x1dff1ffd,0x4407ff10,0x7c402fff,0xffc8005f,0xff301fff,0x2200005f,
    0xf8800eff,0x00fff27f,0x3ffff7fa,0x3ff2000f,0x40000fff,0xc8001ffe,
    0x00ffd9ff,0x2fffff98,0x017ff600,0x7fffffe4,0x005fffff,0x2000fffe,
    0x03ffeffa,0x7ff7fd40,0xfff50003,0x0bfff001,0xdfffe800,0x7fffeb9b,
    0x001bf600,0xff33ffb0,0x86f64009,0xe9800eec,0x009db12e,0x7000dfb0,
    0x0bbaa1dd,0x801df900,0x7c04fff8,0x9ff304ff,0x26003ffa,0x01ff72ff,
    0xf8807fec,0x6f5402ff,0x7b930000,0x17ffcc01,0x0efc8000,0x98866600,
    0x263e8009,0x7fc001cc,0x0003ffff,0x2000bfe6,0x9db13ee9,0x02f6a200,
    0x00355500,0x579ffff7,0x07ffffd9,0x000bbba0,0x002fffe4,0x005fffc8,
    0x003bba60,0x80017ffe,0xfd03fff8,0x2aa003ff,0x2aa20000,0x0000aa61,
    0x00000000,0x00000154,0x40055400,0x7c04fff8,0x455504ff,0xa9801aa8,
    0xf5006aa1,0x3ffe207f,0x00000002,0x017ffcc0,0x000aa800,0x00000000,
    0x3ffffea0,0x2a60006f,0x00000001,0x20000000,0x901efffb,0x0000ffff,
    0x00999800,0x00266600,0xfff00000,0x7fd4000b,0x5ddd502f,0xceeca980,
    0xca98002b,0x4c02bcee,0x2aa602aa,0x3b72a202,0x332203ce,0x1666402c,
    0x9ddb7310,0x33322017,0x89666402,0x7fc04fff,0x0599914f,0x9912ccc8,
    0x2ccc8059,0x4407ffc4,0x2aa62fff,0x88aaa602,0x66402ccc,0x25fff32c,
    0x8801bdca,0x03ceedca,0xa980aaa6,0x0b33222a,0x6c059990,0x1fffbeff,
    0xeecb9800,0x2e6000bc,0x800bceec,0x2aa2cdb9,0x2cdb980a,0xffe82aaa,
    0x6fff401f,0x3bb2e600,0x951000bc,0x80079ddb,0x0bceecb9,0x3b6e6200,
    0x3fe00bce,0x3e20005f,0x0000bfff,0xffffffb1,0xb1001bff,0xffffffff,
    0x3ffee01b,0x209fff01,0xfffffff9,0xfff882ff,0x827ffc04,0xfffffffc,
    0xfff884ff,0x8a7ffc04,0x7fc04fff,0x09fff14f,0xff14fff8,0x4fff809f,
    0xf882ffe8,0x3ffee2ff,0x449fff01,0x7fc04fff,0xb5fff34f,0x407fffff,
    0xfffffff9,0xfffb82ff,0x449fff01,0x7fc04fff,0x7fff104f,0x8009fff1,
    0xfffffffc,0xfffc803f,0x203fffff,0x9dfffffc,0x7fe40fff,0xfff9dfff,
    0x2013ffe0,0xfffc8008,0x403fffff,0xfffffff9,0xffc802ff,0x03ffffff,
    0xffffffc8,0xfff04fff,0xffe8000b,0x001bdfff,0xfffffff3,0x405fffff,
    0xfffffff9,0x882fffff,0xff984fff,0xffffa81f,0x1fffffff,0x2027ffc4,
    0x7f444fff,0xffffffff,0x7ffc45ff,0x8a7ffc04,0x7fc04fff,0x09fff14f,
    0xff14fff8,0x4fff809f,0xf883ffc8,0x3ffe22ff,0x21fff984,0x7c04fff8,
    0xffff34ff,0x7fffffff,0xffffff50,0x883fffff,0xff984fff,0x13ffe21f,
    0x2e09fff0,0xfffd0fff,0xfffd3001,0x9fffffff,0x3ffffa60,0x84ffffff,
    0xfffffffc,0x3f20fffe,0xfeffffff,0x5fff30ff,0xffd30000,0xffffffff,
    0x3fffea09,0x1fffffff,0xfffffd30,0x209fffff,0xffffffe8,0xf85fffff,
    0x440005ff,0xffffffff,0xffd100cf,0xfd9579ff,0xfd103fff,0xd9579fff,
    0xfb03ffff,0x0dff90ff,0x26f7fffa,0x447fffeb,0x7fc04fff,0x7fffec4f,
    0xfffecabc,0x13ffe23f,0x3e29fff0,0x7ffc04ff,0x809fff14,0xfff14fff,
    0x84fff809,0xff885ffc,0x43ffec2f,0x7fc46ffc,0xa7ffc04f,0x8aeffff9,
    0x740ffffc,0xeb9bdfff,0xffd87fff,0x446ffc87,0x7fc04fff,0x4dffd04f,
    0xe803fffa,0xecacefff,0xfe81ffff,0xfecaceff,0x3fe21fff,0xffea8bff,
    0xffff10ff,0xffffd517,0x007ffee1,0x3bfffa00,0xffffecac,0xbdfffe81,
    0x07fffeb9,0x959dfffd,0xb03ffffd,0x9579ffff,0xf87ffffd,0x880005ff,
    0xfffffffd,0xfffc80ef,0xbfff900e,0x01dfff90,0x2a17fff2,0x7ffc1fff,
    0x03fff884,0x7c43fffd,0x7ffc04ff,0x07bffee4,0xf13fffe4,0xfff809ff,
    0x809fff14,0xfff14fff,0x14fff809,0xff809fff,0x86ffb84f,0x7d42fff8,
    0x27ffc1ff,0xf013ffe2,0x3ffe69ff,0x23fffa87,0xfd03fff8,0xfffa83ff,
    0x2227ffc1,0x7fc04fff,0x3fff984f,0x701bffe2,0xf701bfff,0xfffb8bff,
    0x5fffb80d,0x3e0bfff2,0xfff90fff,0x21ffff05,0xfb80fffd,0x24ffffff,
    0xb80dfffb,0x7fc45fff,0x3fffd03f,0x80dfffb8,0x7dc5fffb,0xff901eff,
    0x05fff8ff,0x3fae6000,0x20ffffff,0x400ffff8,0x3e22fffe,0x7f400fff,
    0x4fff82ff,0x2a07ffe6,0xdd502fff,0x27ffc45d,0xfd93ffe0,0x7ff401ff,
    0x09fff10d,0xff14fff8,0x7ffc409f,0x809fff14,0xfff14fff,0x84fff809,
    0xff887ffa,0x24fff82f,0x7c41fff9,0x7ffc04ff,0x20bfff34,0x3fea4fff,
    0x5ddd502f,0x7cc9fff0,0x7ffc41ff,0x427ffc04,0x7ec0fffc,0x3ffe01ff,
    0x37ffa00f,0x803fffe0,0xffb0dffe,0x1fffb01f,0x3603fff6,0xfff90fff,
    0xfffff703,0x7fffc9ff,0x837ffa00,0xd502fffa,0xffff85dd,0x837ffa00,
    0x7401fffd,0x3ffe0dff,0x51000005,0x4c7ffffb,0xf9804fff,0x3ffe64ff,
    0x4fff9804,0x3f27ffc8,0xffff106f,0x7fc40017,0x27ffc04f,0x11009fff,
    0x809fff10,0xfff14fff,0xa7ffc409,0x7c04fff8,0x9fff14ff,0x984fff80,
    0x7fc41fff,0x27ffc82f,0xff886ffc,0xa7ffc04f,0xfd03fff9,0x7fffc4bf,
    0xffc8000b,0x221bff27,0x7fc04fff,0xaefff84f,0x4fffcaaa,0x807fff30,
    0x3fff9819,0x7ff40cc0,0x21fff706,0xff706ffe,0x0bffee1f,0x3fffffee,
    0x07fff34f,0xfff10198,0x7cc0017f,0x80cc03ff,0x08804fff,0x000bfff0,
    0xf300ccc4,0x7ffdcbff,0x4dfff001,0xf001fffb,0xfff30dff,0xe80fffe3,
    0x1bdfffff,0x027ffc40,0x7fcd3ffe,0x3e20002f,0x7ffc04ff,0x8813ffe4,
    0xfff14fff,0x14fff809,0xff809fff,0x1fff884f,0x4c17ffc4,0x7fff1fff,
    0x809fff10,0xfff34fff,0xd1bff605,0x37bfffff,0x47ffe600,0xff883fff,
    0x27ffc04f,0x3fffffea,0x0fffffff,0x002fffa8,0x005fff50,0x5417ffa0,
    0xbffd0fff,0x543ffea0,0x99884fff,0xf54fffa9,0xe80005ff,0x1bdfffff,
    0x017ffd40,0x02fff980,0x02fffc00,0x01fffd00,0xff93fff4,0x3ffa001f,
    0x003fff27,0xfe83fff4,0x00fff9cf,0x3fffffe2,0xf880cfff,0x7ffc04ff,
    0x003fff74,0x027ffc40,0xfff93ffe,0x4fffe605,0x7c04fff8,0x9fff14ff,
    0x884fff80,0x7fc40fff,0x39ffd02f,0xff101fff,0x4fff809f,0x3a09fff3,
    0x7ffc45ff,0x0cffffff,0x7ce7ff40,0xfff880ff,0x227ffc04,0xfffffffe,
    0x83ffffff,0x0001fffc,0x0003fff9,0x7ec1bff6,0x0dffb0ff,0x7c43fff6,
    0x7c400fff,0x3fff94ff,0xfff88000,0x0cffffff,0x001fffc8,0x003fff70,
    0x005fff80,0x40ffff20,0x3f65fff8,0x3ff6007f,0x00fffb0f,0x5c07ffec,
    0x05ffcfff,0xfffffd88,0x7c40efff,0x7ffc04ff,0x701fffb4,0x9fffffff,
    0xf013ffe2,0x7fff49ff,0x25fff901,0x7c04fff8,0x9fff14ff,0x984fff80,
    0xfff887ff,0xf9fff702,0x3ffe20bf,0x9a7ffc04,0xff886fff,0xfffd884f,
    0x00efffff,0x3ff3ffee,0x09fff105,0x3e64fff8,0xeeeeeeff,0xd86fffee,
    0xb0000fff,0x20001fff,0xff81fffc,0x3fff90ff,0x641ffff0,0x7d405fff,
    0x1fffb4ff,0xffb10000,0x1dffffff,0x000fffd8,0x701fffb0,0x9fffffff,
    0x0002fffc,0x237ffff5,0x23fffea8,0xd000fffd,0x7ffecfff,0x0fffd000,
    0x3fffffe2,0x3fae6002,0x20ffffff,0x2204fff8,0xfff94fff,0xfffff703,
    0x3ffe29ff,0x93ffe204,0x10aefffc,0x221ffff7,0x3e204fff,0x9fff14ff,
    0x427ffc40,0xff885ffa,0xffff102f,0x3fe205ff,0x3ffe204f,0x45ffff34,
    0x201fffd8,0xfffffeb9,0xfff100ff,0x3e205fff,0x3fe204ff,0x07fff24f,
    0xc83fffb0,0x90000fff,0x20001fff,0xb32efff9,0x3e61ffff,0xffb32eff,
    0x7ffc41ff,0xfb3109ef,0x3ff29fff,0x2600000f,0xffffffeb,0x03fff20f,
    0x0fffe400,0x7fffffdc,0x277ffe4f,0x19999999,0x3fffff60,0x0ffffffe,
    0x4007fff2,0x3ff26fff,0xdfff001f,0x3ffffec0,0xffb51000,0x7ffc47ff,
    0x53ffe204,0xfb82fffa,0x14ffffff,0x7c409fff,0x7fff44ff,0xffffffff,
    0x813ffe23,0xff14fff8,0x7ffc409f,0x884ffb84,0x3f602fff,0x3e207fff,
    0x3fe204ff,0xfffff34f,0x0bffff9b,0x7ffed440,0x3fff603f,0x3ffe207f,
    0x93ffe204,0xfa806fff,0x7ffdc4ff,0xfff70001,0x7fec0003,0xffffffff,
    0x3ffff60f,0x0fffffff,0x7fffffcc,0xffffffff,0x003fff72,0x3f6a2000,
    0x3fee3fff,0xff50001f,0xffff705f,0x7ffc9fff,0xffffffff,0x3ffa207f,
    0xefffffff,0x017ffdc0,0xf72fffc4,0xff1005ff,0x7ffd40bf,0x0ccc404f,
    0x44bfff30,0x3e204fff,0x7fff14ff,0xff533310,0x13ffe29f,0x444fff88,
    0xffffffff,0x7ffc45ff,0x53ffe204,0x2204fff8,0xffd84fff,0x02fff883,
    0x813fffea,0x2204fff8,0xfff34fff,0xdffffffb,0x20199881,0x2a05fff9,
    0x2204ffff,0x3e204fff,0x7fff54ff,0x83fffe00,0x5402fffa,0x17ffd41c,
    0x7ec072a0,0xffbeffff,0x7fffec0f,0x80fffbef,0xffffffe8,0x2a0dffff,
    0x65402fff,0x20199881,0x3ea5fff9,0x0e5402ff,0x220fffe2,0x4fffa999,
    0x3ffffffe,0x807fffff,0xefffffea,0x6fff980c,0x24fffc80,0xc806fff9,
    0x7fc04fff,0x7ff401ff,0x1fffa00f,0x7cc0bfff,0x3fffa3ff,0x27ffc400,
    0x7cc0bfff,0xfdb883ff,0xf02cefff,0x7fcc0bff,0x817ffe3f,0xfe83fff9,
    0x2fff880f,0x00ffffc0,0xf9817ffe,0x5fff33ff,0x01bffff3,0x7401fffd,
    0x7ffc07ff,0x2fffc01f,0x367fff30,0xf9000fff,0x7ffcc7ff,0x8ffff406,
    0x7406fff9,0xfdb81fff,0x01fff53d,0x3ea7bfb7,0xfb5100ff,0x039bffff,
    0xe80dfff3,0x3ffa1fff,0x9fffa00f,0x7406fff9,0x3ffa1fff,0x7ffc400f,
    0x3fffffe4,0x07ffffff,0x02bbfa60,0x409fffd0,0x740ffff9,0x3e604fff,
    0x7f400fff,0xfffc806f,0x8bfff103,0xf902fffe,0x7ffe45ff,0x27ffd405,
    0x3205fffd,0x7c402fff,0xfffe800e,0x45fff902,0xf902fffe,0x4ff985ff,
    0x80379b30,0xfe806ffe,0xfff902ff,0x88bffe65,0x1fffe401,0x405fff88,
    0xfe806ffe,0xfff902ff,0x3fb80005,0x205fffb0,0x7ec6fffa,0xfff502ff,
    0x7ffb800d,0x03ffdc00,0x006ffec4,0xa817ffec,0x7fe46fff,0xbfff103f,
    0x502fffd8,0xffc8dfff,0x7ffd405f,0x006f7604,0x9ff99500,0xdffff980,
    0x3fffee21,0xdffff983,0x3fffee21,0x1fffd403,0x5ffffd40,0x7fffd511,
    0x0aefffb8,0x41ffff71,0x09effff8,0x9ffffb31,0x8577ffdc,0x00ffffb8,
    0xfb802fcc,0xf710aeff,0x7fdc1fff,0xff710aef,0x1ffb81ff,0x01fffd30,
    0x200fffea,0x10aefffb,0x261ffff7,0x54002fff,0x511bffff,0x5407fffd,
    0xfb803fff,0xf710aeff,0x80001fff,0xfff102fc,0x3ff2617f,0x7ffc43ff,
    0xfff930bf,0x1ef7d47f,0xdf537fe4,0x0dff907b,0x0bff9930,0x17ffff10,
    0x0fffff26,0x237ffff5,0x43fffea8,0x30bffff8,0x887ffff9,0x109effff,
    0x09ffffb3,0x0017fff4,0xc807fb80,0xffffffff,0x3206ffff,0xffffffff,
    0x5706ffff,0x001ffffb,0x3bfffff6,0x40ffffff,0xfffffff8,0xa84fffff,
    0xffffffff,0x22ffffff,0xfffffff8,0x804fffff,0xff1007f9,0xffffffff,
    0xfff889ff,0xffffffff,0x005fe84f,0x7ed5c7ff,0xf8800fff,0xffffffff,
    0x3fe64fff,0xffd8002f,0xffffefff,0x7ed5c0ff,0xf8800fff,0xffffffff,
    0x80004fff,0x3fee04fd,0xffffffff,0xffff705f,0xbfffffff,0xabffff98,
    0x264fffcb,0xcbabffff,0x54004fff,0xfff7007f,0xffffffff,0x3ffff60b,
    0xffffffef,0xfffffb80,0x05ffffff,0xfffffff5,0x5fffffff,0x000dfb00,
    0x13fae6aa,0x7ffffd40,0x804fffff,0xfffffffa,0x3fa04fff,0x2004ffff,
    0xffffffe8,0xd300efff,0xffffffff,0x3fa601bf,0xffffffff,0xffe980df,
    0xdfffffff,0x99dff000,0x7fff4c03,0x0dffffff,0xfffffe98,0x4c0dffff,
    0xa9a881ff,0x3ffa0ffc,0x26004fff,0xfffffffe,0x3fe60dff,0xfe88002f,
    0xffffffff,0xffffe80e,0x3fa6004f,0xffffffff,0xfa80000d,0xffa84cdf,
    0xefffffff,0x3fffea00,0x80efffff,0xfffffffd,0x7fec0fff,0xffffffff,
    0x754d4c00,0x3fea004f,0xefffffff,0xffffd100,0x01dfffff,0x7fffffd4,
    0x2600efff,0xfffffffe,0x5500dfff,0x0007ff75,0x037ffff6,0xfffec880,
    0x22001dff,0xdfffffec,0x7fffec01,0xffd50004,0x8019dfff,0xffffffd8,
    0xfeb8803e,0x01cdffff,0x7ffffec4,0x7dc003ef,0x6c401fff,0x3effffff,
    0x7fffec40,0xdfb03eff,0x3ffffe60,0x27fffec2,0x7ffec400,0xf983efff,
    0x2a0002ff,0xcefffffe,0x9ffffb00,0xfffb1000,0x0007dfff,0x06fffe80,
    0xdffffdb1,0x3fb62005,0x6402efff,0xdfffffff,0xfffff900,0xfb001bff,
    0x1000bdff,0x5dffffdb,0x3fffaa00,0x8800ceff,0x2effffed,0xfffd7100,
    0xe8039bff,0x0004ffff,0x00026662,0x00002660,0x510004cc,0x20000155,
    0x26000199,0x4c000099,0x26600009,0x9a800009,0x04ccc000,0x00999800,
    0x26601aa8,0x15551019,0x13330000,0x00133300,0x40066600,0x0000aaa8,
    0x00009998,0x800d4400,0x44000198,0xaa980019,0x5530009a,0x4c400135,
    0x31000009,0x19980003,0x00cc4000,0x0004cc00,0x00026a62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa98aaa88,0x1999102a,0x3bba6000,
    0x2f76c403,0x7fff7000,0x02602600,0xccccccc8,0x2201abcc,0x33221ccc,
    0x00f3321c,0x33225997,0x02ccc82c,0xb0266664,0x6c2e407d,0x0e664404,
    0x554c5550,0x55510000,0x33320003,0x000ccccc,0x3333332a,0x10aa981c,
    0xfd800355,0x200001ff,0x8005fff9,0x02aa62aa,0x55435510,0x2aaa8002,
    0x00998800,0x06aaa200,0xaa86aa20,0x98aaa002,0x000000aa,0x5510aa98,
    0x21aa8803,0xfc8002aa,0x207ffb5f,0x8001fff9,0x01fffff8,0x013ffff6,
    0x3ffffe60,0x7dc6e800,0xfffff101,0xbfffffff,0x45fff101,0x3fe2fff8,
    0x3ffa01ff,0xf07fff34,0x7fec0bff,0x3ff501ff,0x5c467d40,0x7ffc402f,
    0x26bfee02,0x360005ff,0x3e0005ff,0x0fffffff,0x3ffff600,0xfe883fff,
    0x4003ffb6,0x00effffb,0xffffd000,0xaffb8007,0xfd005ff9,0x005ff91d,
    0x002fff88,0x0006ffc8,0x4003bff2,0x2ffc8ffe,0x22ffea00,0xfb0006ff,
    0xdb7fc400,0xffe801ff,0x4002ffc8,0xff98eff8,0x07ffe604,0x3a7ff600,
    0x97ff506f,0xfe8003ff,0xb806ff9e,0x206fdbdf,0xfffffff8,0x0effffff,
    0xf117ffc4,0x7fffc5ff,0x4d3ffa06,0xfff83fff,0x5ffff905,0x74037f40,
    0x8806ffff,0x7f402fff,0x0000efff,0x0001dff3,0x7777776c,0x3bb2000e,
    0x302eeeee,0x007ffdff,0x7fceffc4,0xffc80004,0x4001ffd9,0x00efeffe,
    0x9ffdff30,0x07ff9000,0x01bff200,0x0077fc40,0x9ffdff10,0xfdff9000,
    0xfca8001f,0xff5001cf,0x22007ffd,0x005ffeff,0xdfb0ffb8,0x01fff980,
    0xe99774c0,0xb276c43e,0x775c00bd,0x8805dd51,0x201dfffc,0xcccefff8,
    0x3ffffdcc,0xd1177744,0x7fffc5dd,0x29ffd03f,0xff83fff9,0xffffc85f,
    0x00bfea02,0x88016ecc,0x7c402eee,0x20001fff,0x00000efc,0x00000000,
    0x800bfff9,0x3dd70dec,0x9f74c000,0x44004ed8,0x4001ffff,0x8006fffb,
    0x20004ff8,0x90006ffc,0xf70001ff,0x10001dff,0x4005fffd,0xffffffd8,
    0xfffc800d,0x7ffd4005,0x0aa8000e,0xff3002aa,0x0000003f,0x00000000,
    0x3e2002a0,0x3fea04ff,0xff00005f,0xfd01ffff,0x0fffe69f,0xff717ffe,
    0xffe805ff,0x00000000,0x0004cc40,0x00002aa0,0x2f3bb2a6,0x16664402,
    0x260b3320,0x00000099,0x00000000,0x80004cc4,0x88000999,0x4c40002a,
    0x15500009,0x04ccc000,0x03331000,0xfffffd80,0x33005fff,0x33300013,
    0x32a60001,0x4c02bcee,0x554c1fff,0x1555101a,0x5166dcc0,0x32600155,
    0xb98801cc,0x100bceed,0xfe809fff,0x20aaa87f,0x3fe0aaa8,0xfe85ffff,
    0x07fff34f,0x7fd4bfff,0x7fd402ff,0xeeca9805,0xaaa802bc,0xcccccc80,
    0x401abccc,0xcccccccc,0xb1001abc,0xffffffff,0x3ffe201b,0x227ffc04,
    0x65c2ccc8,0x3333204c,0x43999302,0x4402cccb,0x3320cccc,0x1665c03c,
    0x99999995,0xa8999999,0xcccccccc,0x6544cccc,0xcccccccc,0x66644ccc,
    0x99665c03,0xcccccccc,0x01cccccc,0x001cccb8,0x9fb7fff3,0xccc83fff,
    0xcccccccc,0x333222cc,0x0aabcccc,0xffffd880,0x300dffff,0x7fd43fff,
    0xfff300ef,0x3ffff205,0x00fff9df,0x805fff50,0xfffffffc,0xfff884ff,
    0x23fffc04,0x3e22fff8,0x3fffe2ff,0x7ff41fff,0xf07fff34,0x3ffeabff,
    0x3ffc803f,0x3ffff620,0x100dffff,0xff885fff,0xffffffff,0xff880dff,
    0xffffffff,0x3e600dff,0xffffffff,0xff882fff,0x27ffc04f,0xf90fffe6,
    0xfff101ff,0x3ffee0df,0x03fffea1,0x7c4fffc8,0x3fa01fff,0x3ffff24f,
    0xffffffff,0x7ffffe47,0x7fffffff,0x7fffffe4,0x47ffffff,0x3a01ffff,
    0xffff74ff,0xffffffff,0xff8805ff,0xff7004ff,0x16f75f6b,0xfffffff1,
    0x49ffffff,0xfffffff8,0x2603ffff,0xffffffff,0xf982ffff,0xdfff31ff,
    0x17ffcc01,0x7fffffe4,0x000fffef,0x2205fff5,0xfffffffe,0x7c45ffff,
    0x3fee04ff,0x17ffc45f,0x7fc5fff1,0x746fffcf,0x7fff34ff,0xff3bfff0,
    0x3f6009ff,0xffff302f,0xffffffff,0x85fff105,0xfffffff8,0x0effffff,
    0x7fffffc4,0xefffffff,0xffffe880,0xfffecabc,0x27ffc41f,0xf313ffe0,
    0xfffa87ff,0xfffffa82,0xd87ffd80,0xff304fff,0xffff81ff,0xc93ffa06,
    0xffffffff,0x7e47ffff,0xffffffff,0x7fe47fff,0xffffffff,0x7fffc7ff,
    0x5d3ffa06,0xffffffff,0x02ffffff,0x07ffffe4,0x7daffdc0,0x7ffffc40,
    0xffffffff,0x3ffffe24,0xefffffff,0x7ffff440,0xfffecabc,0x4fffcc1f,
    0x400ffff8,0x7c42fff9,0xfea8bfff,0xf5000fff,0x3ff605ff,0xfecabcff,
    0x3fe23fff,0xeeeeeeff,0x7c41ffff,0x3ffe22ff,0x3f2bffe2,0x53ffa3ff,
    0xff83fff9,0x6fffffef,0x103fff00,0x579ffffd,0x83ffffd9,0x7c42fff8,
    0xccccceff,0x443ffffd,0xccccefff,0x83ffffdc,0x900efffc,0xff88bfff,
    0x27ffc04f,0xf10fffe6,0xfffb09ff,0xbfff05ff,0x03ffff10,0xff05fffb,
    0x3fa07fff,0x33332a4f,0xffffcccc,0x66666546,0x6ffffccc,0x66666654,
    0x46ffffcc,0xd03fffff,0x333269ff,0xccffffcc,0x7fc01ccc,0x9803ffff,
    0x407d9fff,0xcccefff8,0x22cccccc,0xcccefff8,0x44ffffec,0x900efffc,
    0xff98bfff,0x01fffeaf,0x642fff98,0xfff82fff,0xfff5000f,0x3dfff705,
    0x89ffff20,0xffffffff,0x882fffff,0x3fe22fff,0x22bffe2f,0xffd0fffe,
    0x20fffe69,0xffffffff,0x7fc403ff,0xefffc80f,0x8bfff900,0x7c42fff8,
    0x3fea04ff,0x27ffc45f,0x88bfff50,0x7400ffff,0x3fe22fff,0x27ffc04f,
    0x3e0fffe6,0xffff86ff,0x7ffcc4ff,0x8bfff703,0xff05fffa,0xfd01ffff,
    0x7fec009f,0x7ec000ff,0x6c000fff,0x7fc0ffff,0xfe80ffff,0x37ffc04f,
    0x7fffd400,0xffd006ff,0xff880fff,0xff88004f,0xfffd304f,0x03fffe23,
    0x4c5fffd0,0x3fffffff,0x85fff300,0xfd80fffd,0xff5000ff,0x3fffb05f,
    0x10dffe80,0xffffffff,0x22017bff,0x3fe22fff,0x54bffe2f,0x9ffd5fff,
    0x3e0fffe6,0xffcfffff,0x3fea00ff,0x0ffff887,0x117fff40,0xff885fff,
    0x3fff404f,0xd013ffe2,0xfff98fff,0x4fff9804,0xf013ffe2,0xfff989ff,
    0x4c7ffd83,0x46ffdfff,0x3a01fffa,0x3ffa2fff,0xfffff00f,0x09ffd0bf,
    0x07fffee0,0x3ffff700,0xffffb800,0xffffff81,0x404ffe85,0xd8006fff,
    0x1fffbeff,0xfffffb80,0xfff880be,0xfff88004,0x57ffea04,0x9804fff9,
    0x3fe64fff,0x006fffff,0xfe85fff3,0x1fff706f,0x0bffea00,0x22013ffe,
    0x9dfff880,0x01efffca,0xf88bffe2,0x8bffe2ff,0xffeafffd,0xf07fff34,
    0x3f27ffff,0x3fee06ff,0x04fff986,0x224fff98,0x7fc42fff,0x3fffc04f,
    0xf013ffe2,0xfffb8fff,0x4dfff001,0x7c04fff8,0x7ffcc4ff,0x21fffb83,
    0xfffaeffb,0x301fff20,0x3feedfff,0x3fffe03f,0x7ff41fff,0xffffa804,
    0x7ffd4002,0x7fd4002f,0xffff02ff,0xffe83fff,0x037ffc04,0x22fffe20,
    0xf9004fff,0x87ffffff,0x8004fff8,0x7404fff8,0x3fff77ff,0x99bffe00,
    0xffffffff,0x2fff9802,0xfa82fff4,0xff5000ff,0x2fff985f,0x3ffe2000,
    0x0ffffd44,0x222fff88,0x3ffe2fff,0x3bbffe22,0x7fff34ff,0xe89ffff0,
    0xff903fff,0x03fff70b,0xf89bffe0,0x7ffc42ff,0x17ffee04,0x5c09fff1,
    0x7fe45fff,0xfffd000f,0x2027ffc4,0x7fcc4fff,0x3fff983f,0x3fe33ff6,
    0x017ffa2f,0x3ff3fff2,0x67ffc06f,0x7ff46fff,0x7fffc404,0x7ffc4004,
    0x7fc4004f,0x3ffe04ff,0x7f46fffc,0x37ffc04f,0x43ffee00,0x3000fffe,
    0x5ffffff9,0x556fffc4,0x42aaaaaa,0x6c04fff8,0xfffc8fff,0x4fffd000,
    0xfdbffff9,0x7fcc00ff,0x837fec2f,0x5000fffd,0xffb85fff,0x3e20001f,
    0xfffc84ff,0x2fff880f,0xff8bffe2,0x7fffdc2f,0x7fff34ff,0xf50bfff0,
    0xff701fff,0x01fff90d,0xf89fffa0,0x7ffc42ff,0xfeeeeeef,0x7fc41fff,
    0xeeeeeeff,0x7ec1ffff,0x3ff6007f,0x09fff10f,0x7cc4fff8,0x9fff03ff,
    0xffe97ffc,0x007fff14,0x3ffffffa,0x657ffc01,0x3ffa3fff,0x3fffa204,
    0x7ff44005,0x7f44005f,0x7ffc05ff,0x3a3fffca,0x7ffc04ff,0x37ff4006,
    0x8007fff5,0x24fffdfd,0xfffffff8,0x447fffff,0x7e404fff,0x07ffd9ff,
    0x4c3fff60,0xfff13fff,0x2fff9809,0x7c0fffe4,0xf5000fff,0xfffd85ff,
    0xfffffb80,0x9fff14ff,0x217fffa0,0x3e22fff8,0x0bffe2ff,0x53fffffa,
    0xff83fff9,0xbfffd05f,0xfb0fff30,0x7fec00ff,0x85fff10f,0xfffffff8,
    0x82ffffff,0xfffffff8,0x82ffffff,0xd000fffd,0x7ffc4fff,0x13ffe204,
    0x3607fff3,0x1fff36ff,0x7fcdbff2,0xfff5001f,0xfff009ff,0x21fffd15,
    0x3f604ffe,0x6c000eff,0x4000efff,0x400efffd,0xffe8afff,0x809ffd0f,
    0x26006fff,0x3fe23fff,0xbbec006f,0x3ffe27ff,0xffffffff,0x27ffc47f,
    0x36bffee0,0xfd000fff,0x0fffccff,0x4c01fff9,0x7fcc2fff,0xfffb32ef,
    0x3fea001f,0x0fffe42f,0x7fffffdc,0x09fff14f,0x10bfffe6,0x7fc45fff,
    0x20bffe2f,0x34fffff9,0xfff07fff,0x3fffe60b,0x6c3ffc42,0xfd000fff,
    0x17ffc4ff,0x3fffffe2,0x00bdffff,0xfffffff1,0x2017bfff,0xf001fffc,
    0x7ffc4dff,0x13ffe204,0x2e07fff3,0x6ffb8fff,0x3ee3ffe6,0x3f6000ff,
    0xff800eff,0x2bfff52f,0xff704ffe,0xfb8003ff,0x5c001fff,0xf801ffff,
    0xbfff52ff,0xff013ffa,0x7fe400df,0x0fffec0f,0x4fb0ba98,0xfff11fff,
    0xdddddddf,0x4fff88bd,0x657ffdc0,0xff001fff,0x0fffccdf,0x4c0bfff1,
    0xffd82fff,0xffffffff,0xfff5000f,0x82fffa85,0xfffffffb,0x409fff14,
    0x220ffffc,0x3fe22fff,0x40bffe2f,0xf34ffffc,0xbfff07ff,0x07fffe40,
    0xff903ffe,0x3ffe003f,0x10bffe26,0xf953bfff,0x7c403dff,0xffca9dff,
    0x3fee01ef,0xfff8802f,0x813ffe25,0x7cc4fff8,0xfff503ff,0xff89ffb3,
    0x006ffdaf,0x801fffcc,0x3ff62fff,0xa84ffeaf,0x4002ffff,0x002ffffa,
    0x017fffd4,0x3f62fff8,0x04ffeaff,0xf0037ffc,0x95555dff,0x3fa09fff,
    0x7ffcfb4f,0x009fff10,0x809fff10,0xffb9fffc,0xfff8802f,0x707ffe65,
    0x3e603fff,0xfffb02ff,0x1fff7dff,0x3fff5010,0x883fff88,0x4fffa999,
    0xe809fff1,0x3fe24fff,0x8bffe22f,0xff102fff,0x3ffe69ff,0x205fff83,
    0x745ffff8,0x7ffdc2ff,0x5fff8802,0xf10bffe2,0xfffa89ff,0x9fff101f,
    0x01ffffa8,0x900dfff3,0xfff89fff,0x0fffe605,0x2207fff3,0x2fffcfff,
    0x7ffe7fec,0x7ffcc004,0x45fff003,0xffeefff8,0x1ffffcc4,0x3fffe600,
    0x7ffcc003,0x3ffe003f,0x3bbffe22,0x7ffc04ff,0xffff5006,0xffffffff,
    0x5fff901f,0x89bfeefb,0x88004fff,0x7ec04fff,0x6fff98ff,0x24fffc80,
    0xfe81fff9,0x5fff306f,0xa9efedc0,0xffd50fff,0x80fffb81,0x4400fffe,
    0xfff14fff,0xffff9809,0x445fff11,0x3ffe2fff,0x53ffee02,0xff83fff9,
    0x7ffdc05f,0x313ff22f,0xf900dfff,0x7ffc49ff,0x427ffc42,0x880ffffc,
    0xffc84fff,0xfffd00ff,0x7fffcc09,0x817fff40,0x7cc2fffc,0x3ffa03ff,
    0x7dc0ffff,0x002fffff,0x801fffcc,0x7fdc2fff,0x3a24ffff,0x44005fff,
    0x4005fffe,0x005fffe8,0x3ee17ffc,0x404fffff,0xfd006fff,0xffffffff,
    0xf107ffff,0xffdfffff,0x27ffc45f,0x27ffc400,0x74ffff10,0x3e604fff,
    0x36200fff,0xff3001bc,0xff70003f,0x217ffd4f,0xff907ffc,0xfffa80bf,
    0x0566d404,0x3ffe6000,0x0566d402,0xa8009f30,0xf1000acd,0x9fffd0df,
    0x07fffcc0,0x3fe20bf3,0xbfffd04f,0x209fff10,0xf305fffe,0x5c43bfff,
    0xfb83ffff,0xf710aeff,0xff981fff,0x3fff203f,0xfff986ff,0x4c000fff,
    0xff003fff,0xffffd05f,0x77ffec9f,0x7ffec000,0x7fec000e,0x7fc000ef,
    0xffffe82f,0x37ffc04f,0x777ffcc0,0xffeeeeee,0xffff506f,0xf889ffff,
    0xf88004ff,0x3ff204ff,0x3fffe63f,0x3ffee21d,0x7ff4c03f,0xfffb800f,
    0x41ef7d41,0x3fe66ffc,0xffff52ef,0x3bfffe20,0xfffb3109,0xffeb809f,
    0x7fdc0006,0x7ff5c02f,0x000fee06,0x400dffd7,0x7fcc0ffc,0x3ee21dff,
    0x27d43fff,0x304fff88,0xf885ffff,0xfff304ff,0x3fff205f,0xffffffff,
    0xffff106f,0xffffffff,0x07fff309,0x1fffffd4,0x06fffff8,0x03fff980,
    0xf305fff0,0x3ee9ffff,0x9999afff,0xf7099999,0x33335fff,0x2e133333,
    0x999affff,0x20999999,0xff982fff,0x7fc04fff,0xfffc806f,0x0fffec01,
    0xdffffb88,0x9dfff882,0x99999999,0x277ffe21,0xfffd9999,0xfffffc86,
    0x6fffffff,0x9027fc00,0x981ffffd,0xcbabffff,0x7ff44fff,0x2fffffff,
    0x3ffffea0,0xffffffff,0x3ff3002f,0xfffd9000,0x3fe6001f,0x000bf701,
    0x44007fe6,0xfffc83ff,0xffffffff,0x106fb86f,0x7e409fff,0x3fe20fff,
    0x3fff204f,0xffff500f,0x09ffffff,0xfffffe98,0x980dffff,0x3e203fff,
    0xfb01ffff,0x30009fff,0x3e007fff,0xfff902ff,0x3ffff69f,0xffffffff,
    0xffffb2ff,0xffffffff,0x3fff65ff,0xffffffff,0x3ffe2fff,0x9ffff902,
    0x806fff80,0xfa806fff,0x0fe804ff,0x3ffffe20,0xffffffff,0x3ffffe27,
    0xffffffff,0xfffff501,0x809fffff,0x0ffca9a8,0x17ffffa0,0x7fffffec,
    0x7cc0ffff,0x4fffffff,0xffffe980,0x0dffffff,0x3f6a6a60,0xfffd0006,
    0x54d4c0df,0x3fe606fd,0x26a605cd,0x64006fda,0xffff506f,0x09ffffff,
    0x4373bfe2,0x7404fff8,0x3fe24fff,0x7fff404f,0x3ffb2204,0x1001dfff,
    0xdffffffb,0x1fffcc07,0x81ffffa0,0x002ffffb,0x003fff98,0x3e205fff,
    0xfffb4fff,0xffffffff,0x3ff65fff,0xffffffff,0xffb2ffff,0xffffffff,
    0x7fc5ffff,0xffff102f,0x06fff809,0x801fffd4,0x6c00ffff,0x7fffc407,
    0xffffffff,0x3fffe27f,0xefffffff,0x7ff64402,0x9801dfff,0x203fffff,
    0x00effff8,0x3ffffff2,0xffb100df,0x44007bff,0xdfffffeb,0xfffb801c,
    0xff0001ef,0x7dc01dff,0x6c01efff,0x3ee07fff,0x4001efff,0xd9102ff8,
    0x03bfffff,0x10ffffc8,0xf9809fff,0xfff11fff,0xffff9809,0x00133001,
    0x00099980,0xc807fff3,0x3e205fff,0x98000fff,0xff003fff,0x7ffdc05f,
    0xffffffb4,0xffffffff,0x3fffff65,0xffffffff,0xfffffb2f,0xffffffff,
    0x017ffc5f,0xf809fff7,0x7fec06ff,0xfff9000f,0x4404b807,0xffffffff,
    0x227fffff,0xffffffff,0x330003de,0x33330001,0x002aa600,0x009aaa98,
    0x40000660,0x98800099,0x4c00009a,0xa98800aa,0x06a20009,0x00135310,
    0x9800d540,0x0d440009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55440000,0x2200001a,0x20001aaa,
    0x54002aa9,0xaaa802aa,0x43bb6002,0x50003eea,0x51000555,0xe9800155,
    0x803bb64e,0x80f542e8,0x0000aaa9,0x075c5bb3,0x001aaa80,0x00c40c40,
    0x200d5540,0x26002aaa,0xe8800aaa,0x2a00f4c3,0xffc802aa,0xccc8002f,
    0x541a8801,0x44bbae02,0x040005ee,0x3332e000,0x2000cccc,0x3bb25ee8,
    0x5ee4c001,0x44003d50,0x07d10ceb,0xcccccc98,0x9999303c,0x3bae5999,
    0x2a2bdd12,0x3ff200aa,0x3f200007,0xf10000ef,0x22007fff,0x7cc03fff,
    0x3fe002ff,0x009ff70f,0x003fff50,0x00dfffb0,0x3fa5ffa8,0x4577400f,
    0x3fa206e9,0xff88004f,0x006fefff,0x881ffff7,0x3e602fff,0x2a003743,
    0x2601ffff,0xf8801fff,0x3f6003ff,0x5407e98a,0x7cc01fff,0x4000ffff,
    0x7cc02fff,0x04fbbeff,0x7fc4fff2,0xbff70007,0x7fff4000,0x2001ffff,
    0x3ff66ff8,0x7fff4002,0x64007fef,0x2feeffff,0x7ffffd40,0xfff705ff,
    0x3f29ffff,0x2afff13f,0x7e400fff,0xf880002f,0x360000ef,0x800ffeff,
    0xfd804ffb,0x7ffc002f,0x0009ff70,0x50003ffd,0x007ffbff,0xffd2ffd4,
    0xffffa801,0x7ff4403f,0x5e7d4000,0x9803fffd,0x445ffeff,0x7f402fff,
    0x2003fdbd,0x06ffeff8,0x5c02ffd4,0x7cc004ff,0x6c03ffff,0x7fc402ff,
    0x4005ff9e,0x7e402fff,0x02ffffed,0x7fc4fff2,0xf37f0007,0x3bb60005,
    0x001eeeee,0xffd9bfe2,0x2b7e6002,0x4004fffc,0xeffebaee,0x77775400,
    0xdd504eee,0x327ddddd,0x2fff13ff,0xd800fffa,0xfc80006f,0x3ee0000f,
    0x806ff8af,0xff8804ff,0x22aa8003,0x54001aa9,0xf88002ff,0x003ff95f,
    0xaaa86aa2,0x0bdb8800,0x007ff100,0x00098298,0x7ff71dfd,0x2017ffc4,
    0x00cfffd9,0x3e63ff60,0x0ffd404f,0x40017fa0,0x4c01bdb8,0xeeb802ff,
    0x4005dd50,0x2ec02eee,0xa9805971,0x000aaa1a,0x001f47e2,0xaa800000,
    0x8002aa62,0x0004c0a8,0x000620d4,0x54c00000,0x7d4aaa1a,0x155000ff,
    0x00aa8000,0x53155400,0x01544015,0x91002a98,0xccc80599,0x001a9802,
    0x55415530,0x3b2a6001,0x00002bce,0x8002a880,0x2bceeca9,0x55055440,
    0x000aaa85,0x55100051,0x540154c3,0x00aa201a,0x1a980000,0x00000000,
    0x332e0000,0x6664402c,0xfefe800c,0x665c0001,0x65c0001c,0x5c0001cc,
    0x99001ccc,0x2ccb8079,0x33333332,0x82cccccc,0x9102ccc8,0x19988599,
    0x01cccb80,0x0e665c00,0x3332e000,0x1ccc8801,0x4001aaa8,0x7c04fff8,
    0x3332e4ff,0x66664402,0x33333320,0x2ccccccc,0xfffffb10,0x8801bfff,
    0xccc82ccc,0xcccccccc,0xffb102cc,0x1bffffff,0x82ccc880,0xb802ccc8,
    0xc8801ccc,0xc88001cc,0x333322cc,0xcccccccc,0x6666642c,0xcccccccc,
    0x20b33222,0x66402ccc,0x3333323c,0xcccccccc,0x82ccc882,0x200ffffa,
    0x8804fffc,0x0004ffff,0x013fffe2,0x4ffff880,0x3ffe2000,0xffff004f,
    0x8a7ff403,0xffffffff,0x984fffff,0xff303fff,0x8039507f,0x004ffff8,
    0x13fffe20,0xffff8800,0x2fff8804,0x4005fff8,0x7c04fff8,0x3ffea4ff,
    0x3fff200f,0x3ffffe24,0xffffffff,0xfffff984,0x2fffffff,0x10fffe60,
    0xffffffff,0x309fffff,0xffffffff,0x4c05ffff,0xff983fff,0x7ffc403f,
    0xfff8804f,0xfff98002,0xffffff13,0x9fffffff,0x7fffffc4,0x4fffffff,
    0xf10fffe6,0xfff809ff,0xffffff15,0x9fffffff,0x207fff30,0xf304fffd,
    0xf9001fff,0x0001ffff,0x03fffff2,0x7fffe400,0xff90000f,0xff001fff,
    0x7ff40dff,0xffffff14,0x9fffffff,0x207fff30,0xfd83fff9,0x7fffe403,
    0xff90000f,0x20001fff,0x00fffffc,0x7c17ffc4,0x7c4005ff,0x7ffc04ff,
    0x827ffec4,0x220ffff9,0xffffffff,0x444fffff,0xabcffffe,0x01ffffec,
    0xf887fff3,0xffffffff,0x7444ffff,0xcabcffff,0x301ffffe,0xff307fff,
    0xfffc807f,0x7fc400ff,0xff98002f,0xfffff13f,0xffffffff,0x7ffffc49,
    0xffffffff,0x10fffe64,0xff809fff,0xfffff15f,0xffffffff,0x07fff309,
    0x207fffe2,0xf002fffd,0x007fffff,0x3fffffe0,0xffff0003,0x3e0007ff,
    0x803fffff,0xd03fffff,0x3ffe29ff,0xccccccce,0xfff982cc,0x07fff303,
    0xfff809fd,0xf0003fff,0x007fffff,0x3fffffe0,0x17ffc403,0x2002fffc,
    0x7c04fff8,0x7ffc44ff,0x2fffd81f,0x6677ffc4,0x2ccccccc,0x8077ffe4,
    0xf305fffc,0xfff887ff,0xccccccce,0x7ffe42cc,0xbfff900e,0x20fffe60,
    0x7c03fff9,0x403fffff,0x8002fff8,0xff13fff9,0x999999df,0x7fc45999,
    0xccccccef,0x3fe62ccc,0x27ffc43f,0x7c57ffe0,0xccccceff,0xf982cccc,
    0x3fee03ff,0x2fffd45f,0xfffffa80,0xffa8006f,0x8006ffff,0x6ffffffa,
    0xffffa800,0xfff806ff,0xffe80fff,0x009fff14,0x81fffcc0,0xfe83fff9,
    0x3fffea05,0xfa8006ff,0x006fffff,0xffffffa8,0x17ffc406,0x2002fffc,
    0x7c04fff8,0xfffb84ff,0x42fffd45,0x8004fff8,0x400ffff8,0xf982fffe,
    0x7ffc43ff,0xfff88004,0x7fff400f,0x83fff982,0x2a03fff9,0x06ffffff,
    0x0017ffc4,0xf89fffcc,0xf88004ff,0xf98004ff,0x7ffc43ff,0x8afffc04,
    0x20004fff,0x7403fff9,0x3ffa2fff,0xdffb000f,0x8003fff7,0xfffbeffd,
    0x77fec001,0x4001fffb,0xfffbeffd,0x7ffffc01,0x14ffe85f,0x40009fff,
    0xf303fff9,0x0bff07ff,0x7fdf7fec,0x7fec001f,0x001fffbe,0x7fdf7fec,
    0x3ffe201f,0x005fff82,0x2027ffc4,0xffd04fff,0x07fff45f,0x0027ffc4,
    0x4027ffcc,0xf984fff9,0x7ffc43ff,0xfff98004,0x4fff9804,0x983fff98,
    0x3f603fff,0x01fffbef,0x5ccbffe2,0x3fe602cd,0x09fff13f,0x09fff100,
    0x87fff300,0x7c04fff8,0x9fff15ff,0x7ffcc000,0xb7ffcc03,0x1003fffb,
    0xfff17fff,0x7ffc4009,0x004fff8b,0x3e2fffe2,0x3e2004ff,0x4fff8bff,
    0x7fffffc0,0x8a7ff41f,0x20004fff,0xf303fff9,0x6ff887ff,0xf17fff10,
    0x7c4009ff,0x4fff8bff,0x2fffe200,0x2204fff8,0xfff82fff,0x7ffc4005,
    0x827ffc04,0xff76fff9,0x3ffe207f,0xfffb8004,0x0dfff001,0xf887fff3,
    0xfb8004ff,0xfff001ff,0x07fff30d,0x2207fff3,0xfff8bfff,0x2fffe204,
    0x05fffffc,0x3e27fff3,0xf88004ff,0xf98004ff,0x7ffc43ff,0x8afffc04,
    0x20004fff,0xc803fff9,0x6fffcfff,0x43ffee00,0x7000fffe,0x3ffa1fff,
    0xfff7000f,0x003fffa1,0xfe87ffdc,0x3ffe00ff,0x7f46fffc,0x5bfff14f,
    0x55555555,0x40fffe60,0x7cc3fff9,0x1fff707f,0x4003fffa,0xffd0fffb,
    0x3fee001f,0x01fffd0f,0x3e0bffe2,0x7c4005ff,0x7ffc04ff,0x33fff204,
    0x3e206fff,0xaaaaadff,0x7fe42aaa,0xfffd000f,0x887fff30,0xaaaadfff,
    0x7e42aaaa,0xffd000ff,0x07fff30f,0x2e07fff3,0xfffd0fff,0x3fffe201,
    0x3fffffff,0xf13fff98,0x55555bff,0xff885555,0xaaaaaadf,0x7ffcc2aa,
    0x4efffc43,0xff999999,0x5bfff15f,0x55555555,0x00fffe60,0x7ffffff4,
    0x9bffa001,0xd003fffa,0x7ffd4dff,0x4dffd003,0xd003fffa,0x7ffd4dff,
    0x32bffe03,0x3ffa3fff,0xffffff14,0x0fffffff,0x4c0fffe6,0x7fcc3fff,
    0x26ffe80f,0xd003fffa,0x7ffd4dff,0x4dffd003,0xf103fffa,0xbfff05ff,
    0x4fff8800,0x2027ffc0,0x1ffffffe,0x3ffffe20,0x7fffffff,0xb003ffec,
    0xff981fff,0x7fffc43f,0xffffffff,0x003ffec7,0xf981fffb,0xfff983ff,
    0x54dffd03,0xff103fff,0x3fea1bff,0x3fff986f,0xfffffff1,0x88ffffff,
    0xffffffff,0x7cc7ffff,0x7ffc43ff,0xffffffff,0xfff15fff,0xffffffff,
    0x3ffe60ff,0xffff5003,0x7fcc009f,0x1bffe23f,0x88fffe60,0xf9806fff,
    0x3ffe23ff,0x3fff9806,0xf81bffe2,0xfffe8aff,0x3e29ffd0,0xffffffff,
    0xff307fff,0x3ffe607f,0x207ffd43,0x3e23fff9,0xff9806ff,0x1bffe23f,
    0x88fffe60,0xff106fff,0x0bfff05f,0x04fff880,0x5013ffe2,0x809fffff,
    0xfffffff8,0x6c7fffff,0xfd000fff,0x7fff30ff,0xffffff88,0x47ffffff,
    0xd000fffd,0xfff30fff,0x07fff307,0x7c47fff3,0xfff106ff,0x30fff90d,
    0x3fe27fff,0xffffffff,0x7ffc47ff,0xffffffff,0x1fffcc7f,0x3fffffe2,
    0xffffffff,0xffffff15,0x0fffffff,0x800fffe6,0x000efffd,0xfb03fff2,
    0xffc803ff,0x0fffec0f,0xb03fff20,0xfc803fff,0x7ffec0ff,0x2a5fff01,
    0x9ffd5fff,0x3bbfffe2,0x05eeeeee,0x2607fff3,0x7fdc3fff,0x07ffe41f,
    0x9007fff6,0xffd81fff,0x7ffe401f,0x40fffec0,0xff82fff8,0x7fc4005f,
    0x3ffe204f,0xefffd804,0x7fffc400,0xeeeeeeee,0x00fffe45,0xf986fff8,
    0x7ffc43ff,0xeeeeeeef,0x0fffe45e,0x986fff80,0xff983fff,0x0fffc83f,
    0x440fffec,0xffb84fff,0x13fff987,0xddddffff,0xf88bdddd,0xeeeeefff,
    0x7fcc5eee,0x7fffc43f,0xfeeeeeee,0xffff15ff,0xdddddddd,0x0fffe60b,
    0x03fff980,0x5577ffc0,0x04fffcaa,0x55577ffc,0x404fffca,0xaaaaefff,
    0x7c04fffc,0xcaaaaeff,0xfff04fff,0x757ffec5,0x9fff14ff,0x7ffcc000,
    0x87fff303,0x7fc2fffb,0xfcaaaaef,0x7ffc04ff,0xffcaaaae,0x77ffc04f,
    0xfffcaaaa,0x82fff884,0x44005fff,0x3e204fff,0xff9804ff,0xfff8803f,
    0xfffb8004,0x5fff8802,0x443fff98,0xb8004fff,0xf8802fff,0xfff985ff,
    0x83fff983,0xaaaaefff,0xf884fffc,0xfffb83ff,0x89fffcc0,0x88004fff,
    0x98004fff,0x7fc43fff,0xafffc04f,0x0004fff8,0x800fffe6,0x2003fff9,
    0xfffffffa,0x00ffffff,0xfffffff5,0x01ffffff,0x3fffffea,0x0fffffff,
    0xffffff50,0x1fffffff,0x7c45fff0,0x14ffeeff,0x40009fff,0xf303fff9,
    0xfffb87ff,0x3ffffea2,0xffffffff,0xfffff500,0xffffffff,0x3fffea01,
    0xffffffff,0x17ffc40f,0x4002fffc,0x3e605fff,0xff9803ff,0xfff8803f,
    0xfff98004,0x4fffc806,0x443fff98,0x98004fff,0xfc806fff,0xfff984ff,
    0x43fff983,0xfffffffa,0x40ffffff,0xfb82fff8,0x7ffcc0ff,0x009fff13,
    0x009fff10,0x887fff30,0x7fc04fff,0x09fff15f,0x1fffcc00,0x07fff300,
    0x7fffff40,0xffffffff,0xfffffd03,0xffffffff,0x3ffffa07,0xffffffff,
    0xffffd03f,0xffffffff,0x85fff07f,0x4ffffffb,0x0009fff1,0x981fffcc,
    0x7fdc3fff,0x3ffffa2f,0xffffffff,0xffffd03f,0xffffffff,0x3fffa07f,
    0xffffffff,0x7ffc43ff,0x005fff82,0x902fffe8,0xf3005fff,0xff1007ff,
    0x3fa0009f,0x3fe604ff,0xfff980ff,0x027ffc43,0x04fffe80,0x203fffe6,
    0xf983fff9,0x7fff43ff,0xffffffff,0x7ffc43ff,0x40fffb82,0xff13fff9,
    0xff10009f,0xff30009f,0x4fff887f,0xf8afffc0,0x260004ff,0x26003fff,
    0xf3003fff,0xddddddff,0x30dfffdd,0xdddddfff,0x0dfffddd,0xddddfff3,
    0xdfffdddd,0xdddfff30,0xfffddddd,0xd05fff0d,0x229fffff,0x20004fff,
    0xf303fff9,0xfffb87ff,0xdddfff32,0xfffddddd,0xddfff30d,0xffdddddd,
    0xdfff30df,0xfddddddd,0xfff88dff,0x005fff82,0x0aefffb8,0x01ffff71,
    0x007fff30,0x0009fff1,0x877fffe6,0x03ffffb8,0xf887fff3,0xf30004ff,
    0x5c43bfff,0xf303ffff,0xfff307ff,0x777ffcc7,0xffeeeeee,0x17ffc46f,
    0x2607ffdc,0xfff13fff,0xfff10009,0xfff30009,0x04fff887,0xff8afffc,
    0x3e60004f,0x3e6003ff,0xff9003ff,0xfffd803f,0x00fffe41,0xf907fff6,
    0xffd803ff,0x0fffe41f,0xf07fff60,0xfff305ff,0x3ffe29ff,0x9999999d,
    0xfff98199,0x87fff303,0xff909998,0xfffd803f,0x00fffe41,0xf907fff6,
    0xffd803ff,0x0bffe21f,0x26677ffe,0x44199999,0xffffffff,0x3004ffff,
    0xf1007fff,0x33333bff,0xf9033333,0xffffffff,0x7cc0dfff,0x7ffc43ff,
    0x9999999d,0xfffc8199,0xffffffff,0x3ffe606f,0x23fff983,0x6c01fffc,
    0x3fe21fff,0x0fffb82f,0xf89fffcc,0x99999dff,0x3e219999,0x99999dff,
    0x3e619999,0x7ffc43ff,0x8afffc04,0x9999dfff,0x98199999,0x26003fff,
    0xff003fff,0xfff500df,0x806fff89,0x7fc4fffa,0xfffa806f,0x4037ffc4,
    0x7fc4fffa,0xffff902f,0x3ffffe29,0xffffffff,0x03fff987,0x2007fff3,
    0xfa806fff,0x37ffc4ff,0x227ffd40,0xfa806fff,0x3ffe24ff,0xffffff82,
    0x87ffffff,0xffffffe9,0x3000dfff,0xf1007fff,0xffffffff,0x2a0fffff,
    0xffffffff,0x7fcc04ff,0x7fffc43f,0xffffffff,0xffff507f,0x09ffffff,
    0x983fff98,0x3ffe3fff,0x4fffa806,0x2e0bffe2,0x7fcc0fff,0xfffff13f,
    0xffffffff,0x7ffffc4f,0xffffffff,0x10fffe67,0xff809fff,0xfffff15f,
    0xffffffff,0x07fff30f,0x01fffcc0,0x801fffd4,0xff50ffff,0x3ffe007f,
    0x07fff50f,0x543fffe0,0xff003fff,0x17ffc1ff,0x14ffff88,0xffffffff,
    0x30ffffff,0x3e607fff,0xffa803ff,0xffff003f,0x00fffea1,0xfa87fffc,
    0xfff003ff,0x0bffe21f,0x3ffffffe,0x107fffff,0xdffffffb,0xfff98007,
    0xffff8803,0xffffffff,0x3fb2207f,0x801dffff,0x7c43fff9,0xffffffff,
    0x2207ffff,0xdfffffec,0x3fff9801,0xf53fff98,0x3fe007ff,0x5fff10ff,
    0x981fff70,0xfff13fff,0xffffffff,0x7ffc4fff,0xffffffff,0x3ffe67ff,
    0x027ffc43,0x7fc57ffe,0xffffffff,0xff987fff,0x3fe6003f,0xfffd803f,
    0x7fff9000,0x4003fff6,0xffb3fffc,0x3ff2001f,0x01fffb3f,0xf8ffff20,
    0x3fee02ff,0xfffff14f,0xffffffff,0x07fff30f,0x200fffe6,0x9000fffd,
    0x3ff67fff,0xfff9000f,0x003fff67,0xf89fffe4,0xffff82ff,0xffffffff,
    0x00999807,0x0fffe600,0x3ffffe20,0xffffffff,0x00266007,0x887fff30,
    0xffffffff,0x007fffff,0xf3000266,0xfff307ff,0x003fff67,0xf89fffe4,
    0xfffb82ff,0x89fffcc0,0xffffffff,0x227fffff,0xffffffff,0x267fffff,
    0x7fc43fff,0xafffc04f,0xfffffff8,0x87ffffff,0x0003fff9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75400000,0x001bba2e,0x53001800,0xdd973000,0x2a000579,
    0x32000001,0x2e001eee,0x2e6005ee,0x5c801bcc,0x000004d8,0x0037bb20,
    0x00333260,0x5c59db95,0xcccccccc,0x64c003cc,0x02cca8cc,0xfff1bffd,
    0x932aa885,0xb9710159,0x8b90059b,0xdb8803e8,0x2e001cee,0x36201ced,
    0x32e0002e,0x2776c01c,0x32a00000,0x0000acdd,0x17207540,0xdb98aaa2,
    0x2000001b,0x1bd90dec,0x32a0aa80,0x5c000000,0x01ffe3ff,0x9bdd9730,
    0x3202fcc3,0xc8800fff,0xffffffff,0x3ffa000e,0x20132005,0x006ffffa,
    0x5c01fff2,0x05ffffff,0x7e4ce7d4,0x7ffff402,0xf1001fff,0x4cc003ff,
    0x80afffb9,0xffffffd8,0xfffffd8e,0x005fffff,0x7e47ffd4,0x76ff984f,
    0xfff309ff,0xb83ffff3,0xffffffff,0x2633ee00,0x7fd401fd,0x803fffff,
    0x01fffffe,0x91001ff7,0x203ffd89,0x2200effa,0x7fffffff,0x3ffffa20,
    0x99003fff,0xb89df880,0x8fff983f,0x05fffffc,0x3ffffffa,0x37fe601f,
    0x7f402ffc,0x207ebdff,0xfffffff8,0x47ff7007,0xf91007ff,0xdfffffff,
    0x2201ffd5,0xe9807d2f,0xffffffff,0xfa803fff,0x7d400f98,0x6ffc404f,
    0xf9004ffa,0xfff900ff,0x80dfffff,0x806ffffe,0xfffffffe,0x03ff9001,
    0x7ffffc40,0xffe84fff,0xffffffff,0xffffffff,0x7d4005ff,0x84ffc8ff,
    0x0bff0efd,0x3ffbffe6,0x7fffd46f,0x405ffffe,0x405ffffe,0xfedffff8,
    0x3fea01ff,0xf886ff9c,0x4ffa803f,0xfd01ffec,0xfff8801d,0x3607ffff,
    0xffffffff,0x13fea02f,0x3fffff20,0xfefff980,0x03ffffff,0xfffffffd,
    0xffffb803,0x7ef7cc05,0x3e205fff,0x07ffffff,0x55435530,0xfffe9802,
    0xffffffff,0x4be201ff,0x7fff403e,0xffecabcf,0x47d401ff,0x7ffc00f9,
    0xc86f6404,0xaa9800ee,0x6fffcc02,0x02fffb89,0xa800e64c,0x0aaaaaaa,
    0x8005db00,0xfffffff8,0x7fffdc4f,0xffffdbac,0xccccccdf,0x7fd4003c,
    0x444fca8f,0x01bd50ee,0x2fbfffe6,0x227fec3d,0x4c02fffa,0xffa801cc,
    0x813ff61f,0x1ffb0ffd,0xf800ffb8,0x17edc4ff,0x8800de98,0x2aaaaaaa,
    0x115fff50,0x7c09fff5,0xb73004ff,0x7fffcc05,0x0bfff71d,0x2aaaaaaa,
    0xdeec800a,0x95075400,0xaaaa8805,0x66402aaa,0xcccccccc,0xffd02ccc,
    0xffb759ff,0xf9007fff,0x7fe401ff,0xfff900ef,0x0bffd00d,0x0009fff0,
    0xfd800000,0x37fec0ff,0x00000000,0x99980000,0x220afffb,0xfa81ffff,
    0x00003fff,0xf987ffd4,0xff300003,0x7ff401ff,0x0000d40d,0x21fffa80,
    0x3fa05ffb,0xf887ff27,0x9fff003f,0x00003f70,0x3b988000,0x3e05ffe8,
    0x400004ff,0xfd86fff9,0x0000006f,0x00000000,0xfffff880,0xffffffff,
    0x0efffc84,0x06fffe88,0xff880510,0x7ff400ff,0x4019802f,0x2adfffa9,
    0x59bb9710,0x2f32e600,0x217ffa01,0x7300fffa,0x26003799,0x8801bccb,
    0x802cddcb,0xff52cdb9,0x3fffb83f,0x00ffff60,0xa966dcc0,0x0fe88fff,
    0x05799510,0x2027ffcc,0x2ceffffc,0x2f32a200,0xafffc402,0x3a02fff8,
    0xb87ff27f,0x7d4c00ff,0xdd32adff,0x33372a20,0xbcca8800,0xffb98002,
    0xfffa985f,0x372a02ad,0xff980acd,0x07ffc83f,0x02b3772a,0x06f32e60,
    0x4c055544,0x2aaa22aa,0x882aa980,0xffffffff,0x444fffff,0xf900ffff,
    0x5403ffff,0xa80acddc,0xf9804fff,0x2aaa24ff,0x322aa980,0x87ffffff,
    0xfffffffb,0x3ffee00f,0xfff05fff,0xffdddddd,0xffff703f,0xffb80bff,
    0x2e05ffff,0xffffffff,0xfffff900,0xc83fff7b,0x3ea00fff,0xfc8003ff,
    0xffbdffff,0xe881ec8f,0x0dffffff,0x402fff98,0xfffffff8,0xffd100df,
    0x401bffff,0xfffcfffd,0x43ff600e,0x7ff10ffd,0xfffff900,0x2a03b6ff,
    0x4fffffff,0xfffffd10,0x75cc01bf,0x85ffffff,0x7ffffffc,0xfffffe88,
    0x7ffcc3ff,0x887ffb83,0xfffffffe,0x3fffee03,0xfff985ff,0x267ffb82,
    0xffb82fff,0xcefff887,0xcccccccc,0x81fffd42,0x5fffdffb,0xfffffe88,
    0x7ffdc3ff,0x4bfff001,0xfb82fff9,0x3ffff27f,0x7ffd47ff,0x05ffffef,
    0xfffffff9,0xffff88df,0xffffffff,0x7ffffe41,0xff906fff,0x0dffffff,
    0xffdffff5,0xfff90bff,0xffffffff,0x407ffd83,0xaaadfff9,0xffc82aaa,
    0xffffffff,0xffd1008f,0x1fffffff,0x802fff98,0xffffffd9,0x7ff441ff,
    0x0fffffff,0xffffff10,0xcffa801d,0x3fee6ffa,0xffffc800,0x3ea017ff,
    0xffffffff,0x7ffff441,0xc80fffff,0xfedfffff,0xffffc85f,0xfffd87ff,
    0x22ffffff,0xfb82fff9,0xffffd87f,0xc82fffff,0xffffffff,0x417ffcc6,
    0x3fe67ffb,0x87ffb82f,0x0004fff8,0xf503fff7,0x0dfff1bf,0xfffffffb,
    0x7ffec5ff,0x4fffd000,0xfb82fff9,0x3ffea67f,0x27fec2ad,0xf30bffea,
    0xff713bff,0x9cfff85f,0x09999999,0x2277ffe6,0x7cc2fffb,0xffb89dff,
    0x227fec2f,0x3e22fffa,0xfea8bfff,0x7ff41fff,0x7fffc406,0x0fffffff,
    0x22ffffe2,0x00ffffea,0x2abbfffa,0x7cc5fffe,0x2e2001ff,0x44fffffd,
    0xeaaefffe,0xfd105fff,0x7400bfff,0xf12fffff,0x3ea6007f,0x2202adff,
    0xea8bffff,0x7fff46ff,0x5fffeaae,0xb0e7ffdc,0xff530bff,0xffa855bf,
    0xfffa88af,0x20bffe64,0x7fd47ffb,0xfffa88af,0x4efffcc4,0x262fffb8,
    0xffb82fff,0x20bffe67,0xff887ffb,0xffb0004f,0x26ff981f,0x7fd47fff,
    0xfffa88af,0x801fffa4,0xff30fffd,0x0fff705f,0x3fa09fff,0xd80d40df,
    0x7fec0fff,0x4437ff46,0x81fffb00,0x7fec6ffd,0x237fec0f,0x0d40dffe,
    0x7417ffe4,0x7ffc1fff,0xfffff806,0x20ffffff,0xff82fffc,0xfff300ff,
    0x45fff909,0x8801fff9,0x7fff4c09,0x909fff30,0xffa85fff,0x000effff,
    0xfc877bae,0x7ffc000f,0x1fffb804,0xf98ef7cc,0xfffc84ff,0x3a17ffa2,
    0x3ffe05ff,0xd0773104,0x7ffccbff,0x447ffb82,0x5ffe83b9,0x3607ffec,
    0x3ffe66ff,0x267ffb82,0xffb82fff,0x04fff887,0x98fffd00,0x3ff60eff,
    0x20ee620f,0x3ff65ffe,0xfffd000f,0x5c17ffcc,0x4fff87ff,0x9dffff90,
    0x85ffe805,0x3f20fffa,0x2ffec1ff,0x3ea17ffa,0x17ffa0ff,0xfc83ffea,
    0x202cefff,0xfb80fffd,0x37ffc1ff,0x3bbffe20,0x20eeeeee,0xfc80fffd,
    0xfff900ff,0x49fff303,0x2201fff9,0xffb85fff,0x207fff27,0x3ee4fff9,
    0x5fffefff,0x880037b5,0x3ffaa3ff,0x04fff80d,0x0106ffc8,0xf303fff9,
    0x2fffc9ff,0xf81bffe6,0x5cc004ff,0x3fe65fff,0x07ffb82f,0x8bfff730,
    0xffa85ffe,0x05fff30f,0x7fccfff7,0x87ffb82f,0xaaadfff8,0xd82aaaaa,
    0xfff10fff,0x007ffe81,0x64bfff73,0xff001fff,0x17ffccdf,0x7fc3ffdc,
    0xffff104f,0xf01bffff,0xddddddff,0x7fc43fff,0xfffdbdff,0x7777ffc2,
    0x21fffeee,0xeeeeefff,0x3e21fffe,0xdfffffff,0xa837ff40,0x7ff41fff,
    0x1fffc407,0x20dffd00,0xfd00fffb,0x2fffc0ff,0xb803fff3,0xfcabdfff,
    0x1fffa5ff,0xff15fff8,0xfffd11df,0x800bffb7,0xfff70ffc,0x9fff0dff,
    0x00bffb00,0xff03fff4,0x67ffe4bf,0x86ffffc9,0x3cefffcb,0xffffd730,
    0x7ffccbff,0x307ffb82,0xffffffd7,0xeeefff8b,0x31fffeee,0xff705fff,
    0x417ffccf,0xff887ffb,0xffffffff,0xfffc87ff,0xf81ffe89,0xfd7306ff,
    0x5cbfffff,0x44082fff,0x3fe65fff,0x87ffb82f,0x36604fff,0xffffffff,
    0x3ffffe21,0x1fffffff,0x7fffffcc,0x7ffc44ff,0xffffffff,0xfffff11f,
    0x3fffffff,0xfffffd98,0x3ffa1fff,0x83fff505,0x2a00fffd,0x3e003fff,
    0xfff705ff,0x817ffa01,0x3fe66ffe,0xfffd801f,0x20efffff,0x3fa05ffe,
    0x43fff56f,0xfffffff8,0x93fe2002,0x3ffb8eff,0x74027ffc,0x3fa005ff,
    0x9bffa05f,0xfffffff8,0xffd87ffe,0xfc86ffff,0xffedffff,0x20bffe65,
    0xffc87ffb,0x5ffedfff,0x3fffffe2,0x31ffffff,0xff905fff,0x417ffccf,
    0xff887ffc,0xffffffff,0xfffb87ff,0xf882ffdb,0xfffc85ff,0x25ffedff,
    0x7c46fff9,0x47fff91d,0xfc82fff9,0x04fff87f,0xffffdb88,0x4e7ffc4f,
    0x09999999,0xdffffd88,0x339fff03,0x41333333,0x9999cfff,0x71009999,
    0x49fffffb,0xff907ffd,0x3fffc83f,0x00ffff20,0xfb07ffd8,0x3ff201ff,
    0x5fff880f,0x2007ffe6,0xffffffb8,0x07ffe40c,0xfdafffc4,0xffffa86f,
    0x3f2000ff,0x269ff10f,0x27ffc5ff,0x0837fec0,0x880fffc8,0x7fd45fff,
    0xfff89eff,0x77ffe5c2,0x67ffdc3c,0xf997ff61,0x7ffb82ff,0xb0e7ffdc,
    0xcfff8bff,0x99999999,0x905fff30,0x7ffccfff,0x887ffc82,0xeeeeffff,
    0xf985eeee,0x902fffff,0xffb89fff,0x17ff61cf,0x7dc5fffd,0x0ffffdff,
    0x320bffe6,0x4fff87ff,0xfd302620,0x37ff41ff,0x1fb00044,0x886ffe80,
    0x10dffd00,0x2604c401,0xff90fffe,0x3ffff01f,0x306fff98,0x4007ffff,
    0xff80fffc,0xfff500ff,0x87fff505,0x2000acda,0xf502dfeb,0xfff505ff,
    0x203fff67,0x004ffffb,0xff993fe2,0xfff1bfe3,0x1fff9009,0xf52eff88,
    0xfff505ff,0xff026607,0xd04fff80,0xbffd0bff,0x47ffc800,0xffe85ffe,
    0x4437ff45,0x83fff880,0x3fe27ffd,0x87ffd83f,0x0004fff8,0x40fffff6,
    0x740ffff8,0x5ffe85ff,0x867fffcc,0x3fffffea,0x6c1fffc4,0x4ffe87ff,
    0xb85fff88,0x7ffe47ff,0x402ffec1,0xfffc807f,0x322ffec1,0x7fec1fff,
    0x217ffe25,0x3fea7ffb,0x7fffdc5f,0x1efffd81,0x9fffff51,0x33333333,
    0x2e27ffd4,0xf300ffff,0x7f4c3dff,0x7ff5c0ff,0x3f32e006,0xefff982f,
    0x43fffa61,0x6c44fffb,0x003fffff,0x7fcc1ff9,0xff8bff13,0xfffa804f,
    0x4bffee0d,0x261efff9,0x2000fffe,0x7ffc06f8,0x98bfff04,0x74006fff,
    0x2fffc7ff,0xf91bffe6,0x5ffd83ff,0x3e62fffc,0x2fffc7ff,0x221fffe6,
    0x20004fff,0x41dffff9,0xf83ffffa,0x7ffcc5ff,0xfffffc86,0xffffffee,
    0x4c5fff80,0xffe87fff,0x3fee0edf,0xfffcabdf,0x6ffffc45,0x802fffdb,
    0x7fc401ff,0xfffdbdff,0x6ffffc42,0x5c2fffdb,0xfcabdfff,0x7fff45ff,
    0xfffffece,0xfffff881,0xffffffff,0xffffffff,0x3bfffa0f,0x0fffffec,
    0x3bffff20,0x203ffffe,0xc8001ff9,0xffff905f,0x47ffffdd,0xecfffff8,
    0xffffffff,0x13fe200d,0x3fe6bff1,0x36ffff44,0x37ffff60,0x7e46fffe,
    0xfffeefff,0x7fcc003f,0x37fffa00,0x33fff20e,0x06ffffc9,0x8dfffff0,
    0xfc9cfffc,0x7fc46fff,0xfffdbdff,0x5effff42,0x747ffffd,0xffdbdfff,
    0xfff887ff,0x3fee0004,0xffefffff,0xff906fff,0xffff939f,0x3fffea0d,
    0xffffffff,0x6ffff43f,0x87ffffdb,0x40fffffc,0xfffffffd,0xfff980ef,
    0x004fffff,0x20599ffb,0xfffffff9,0xffff304f,0x3609ffff,0xffffffff,
    0x7fffcc0e,0x1fffbfff,0xffffff50,0xffffb7ff,0x1fffffff,0x7fffffcc,
    0x400fffbf,0xfffffffb,0x6d4d444f,0x7335006f,0x7fdc05ff,0x84ffffff,
    0xfffffffa,0x5fffcdff,0x7407fe40,0x42ffdbff,0x00fffffc,0x3fffffa2,
    0xffb81fff,0x04ffffff,0x399dfd00,0x0fffffc8,0x3fffffe2,0x8807ffef,
    0x443fffff,0xefffffff,0xfff987ff,0xa84fffff,0xbfffffff,0x7ffd47ff,
    0x7ffbffff,0x004fff88,0xfffdff50,0x9fffffff,0x7ffffc40,0x207ffeff,
    0xeffffec8,0x24ffffdd,0xfffffffa,0xfd887ffb,0x7dc41fff,0x00cfffff,
    0x37ffff62,0x3ffe6003,0x3ff6203f,0x6c403dff,0x203dffff,0xffffffb8,
    0xfffb100c,0x03fff13d,0x77fffec4,0xffffffb3,0x881fffff,0xf89efffd,
    0xfda800ff,0xfb81efff,0xf001efff,0x5009ffff,0x03dffffb,0x7ffffec4,
    0x803be62e,0xff304ff8,0xfb10bfff,0xf9003fff,0x401bffff,0x1effffda,
    0x3ffee000,0xffffd82f,0x77fffd41,0x402fff89,0x505ffffa,0xf13dffff,
    0xffb105ff,0x75407bff,0xff98dfff,0xdfffea87,0xf887ff98,0x99999dff,
    0x7f419999,0xffffc88e,0xfa801dff,0xff89efff,0x8133002f,0x7540ffea,
    0xff98dfff,0x20026207,0x88000998,0x054c0001,0x20003100,0x99880018,
    0x0004c000,0x00004c40,0x00001300,0x2a6200c4,0x4ccc0009,0x00310001,
    0x04403310,0x8803baa0,0x4c402cdb,0x01988000,0x00001880,0x02600554,
    0x40001330,0x9800ab98,0x06200009,0x20003100,0x7fc40018,0xffffffff,
    0x07447fff,0x80004cc4,0x00000099,0x006204b8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff100,
    0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff880000,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x301f445c,0x0776c9dd,0x017bb620,0x00bbba60,
    0x8001ddd7,0x2000eeec,0x77540eeb,0x3003bb63,0x400e4c15,0x98005eed,
    0x75402eee,0x664401ee,0xccc9802c,0x10ccc981,0xacba8805,0x4c555100,
    0xaa882cdb,0x006f6e62,0x55459b73,0x92f7440a,0xddb003dd,0xee88001b,
    0x7774c03e,0x372a2001,0xca8800cc,0x333200ac,0x073b2a22,0xeeb9bba0,
    0x320d4c02,0x1eeec802,0x04eed800,0x0017774c,0x019bdb73,0x2017baa0,
    0x9db14ed8,0xe8a77440,0x19f7004e,0x7d403fb3,0x003ffa5f,0x009ffffb,
    0xb004ffd8,0x7d4009ff,0x36006fff,0x24ffa86f,0x3f600fff,0x00febdff,
    0x027fffe4,0x4013ff60,0x7cc04ffc,0xffa803ff,0x9fff702f,0x7ff4c0df,
    0xff882fff,0xfffffc8f,0x23ffe60d,0x03fffffd,0x1dfffff7,0xff883fff,
    0x700bff66,0x800bffff,0xf7005ffc,0x3fea00df,0x204fffff,0x3ffffffb,
    0x3eabfff0,0x01ffffff,0x3ffc9ffe,0x2fbffee0,0x7fd402fd,0x7dc006ff,
    0xffa800ef,0xffff7006,0xf7003fff,0x3fea00ff,0x5c01ffdb,0x00ffeaff,
    0x17ffffa0,0x7f4bff50,0x2ffea00f,0xf3001ffd,0xffd8009f,0xadff8800,
    0x9ff004ff,0x7fc9ff50,0xfbdf100f,0xfa80dfff,0x002ffcbf,0xd800bff1,
    0x3fe600ff,0xfffa803f,0x13ffea02,0xffffff98,0x7ffc42ff,0xfffffffe,
    0x3fbffe63,0x43ffffff,0xfffffffb,0x7c41fffe,0x80bff66f,0x3ffbcff9,
    0x00dff100,0x5401ffc8,0xffffffff,0xffffc81f,0xff82ffff,0xfffffcdf,
    0x3fe06fff,0xe80fff27,0x0fffffdf,0x3eb7fe20,0x3bfa004f,0x0bfee000,
    0xffffff50,0xff700bff,0x7ffec00f,0xfffd003f,0x9930005f,0x41331003,
    0x3b620198,0x200bdb14,0xd88004eb,0x0dec802e,0xf9801dd9,0x2099882f,
    0x87a60199,0x76c00bca,0x5c017b65,0x5db0005e,0x01fffcc0,0x4417ffd4,
    0x00fffefc,0xfd77fff9,0xffff88df,0x4dfff51d,0x9aeffff9,0xf10ffffc,
    0xfd519fff,0x13303fff,0xd9004cc4,0x0037b21b,0x200037aa,0x3fe203ec,
    0xffea8bff,0x577ffc46,0xff86fffb,0xdbceffff,0x3302ffff,0x8804cc43,
    0x0032e63e,0x3bae1bd9,0x00de9800,0x7404eb80,0xfff90eff,0x02aa9803,
    0x017bb620,0x004eee88,0x00000000,0x00000000,0x70000000,0x000001ff,
    0x00000000,0x26000000,0xfa803fff,0x72eb82ff,0xfff10bff,0x117ffd47,
    0xffb0dfff,0x43fffccf,0xff73fffb,0x3ffff07f,0x00000000,0x20000000,
    0x7cc1fffb,0x3ffee1de,0xf07ffea0,0xf905ffff,0x00000fff,0x00000000,
    0x7c000000,0x3ffe63ff,0x00000001,0x55100000,0x45553015,0xa980aaa8,
    0x02aaa22a,0xaa88aaa6,0x22aa980a,0xa980aaa8,0x9b95102a,0x0ffb0019,
    0x02bcca88,0x05799510,0x0af32a20,0x15e65440,0x2bcca880,0x007fff30,
    0x2205fff5,0x43ffd8aa,0x7f40fffb,0x0fffe25f,0x7cc3ffee,0xfff985ff,
    0x320fff94,0x97301fff,0x2e600379,0x73001bcc,0x26003799,0xf901bccb,
    0x544020df,0x17ffcc3c,0xf80ffffe,0xb9500fff,0x9500159b,0x500159bb,
    0x00159bb9,0x0159bb95,0x159bb950,0xfb8bffe0,0x6e54407f,0x65c400cc,
    0xa8802cdd,0x4c00ccdc,0xffb82fff,0x20bffe67,0x3fe67ffb,0x27ffb82f,
    0xfb82fff9,0x0bffe67f,0x3ea1ffee,0x04ffffff,0xfe882ffc,0x00dfffff,
    0xffffffd1,0x3ffa201b,0x100dffff,0xbffffffd,0x3fffa201,0x7cc0dfff,
    0xffa803ff,0x7ffec42f,0x320fffef,0x6ffd87ff,0x2e0fffe2,0xfff30fff,
    0x6d7ffe07,0xfff506ff,0xfffff703,0xfffb80bf,0x7dc05fff,0x405fffff,
    0x5ffffffb,0x0005ffd8,0xf03fff20,0xffd80fff,0x7fff442f,0xd103ffff,
    0x7fffffff,0x3ffffa20,0xfd103fff,0x07ffffff,0x3fffffa2,0x7ffc43ff,
    0xa813ffe2,0x4fffffff,0xffffff70,0x3fea01ff,0x204fffff,0xfb82fff9,
    0x0bffe67f,0xff99ffee,0x27ffb82f,0xfb82fff9,0x0bffe67f,0xff51ffee,
    0x3fffffff,0x220ffe60,0xfffffffe,0x7ff440ff,0x0fffffff,0x7fffff44,
    0x7440ffff,0xffffffff,0x7fff440f,0x20ffffff,0xa803fff9,0x3fe22fff,
    0xffffffff,0x321bff26,0x3ffe26ff,0x30fffb82,0x3f605fff,0x20dffb6f,
    0x7e41fff9,0x6fffffff,0xffffff90,0x3ff20dff,0x06ffffff,0xfffffff9,
    0x05ffe8df,0xfffdb800,0x406fff83,0x7ec2fffb,0xffffffff,0xfffffd82,
    0xfd82ffff,0xffffffff,0xfffffd82,0xfd82ffff,0xffffffff,0x54bffe62,
    0xff500fff,0x3fffffff,0xfeffffa8,0xffa85fff,0x1fffffff,0x705fff30,
    0x7ffccfff,0x267ffb82,0xffb82fff,0x20bffe67,0x3fe67ffb,0x27ffb82f,
    0xa8bffff8,0xff706ffe,0x5dfffd03,0xe8bfffd5,0xfeaaefff,0x7fff45ff,
    0x5fffeaae,0x5577fff4,0x7f45fffe,0xffeaaeff,0x0fffe65f,0xd8bffea0,
    0xffcbffff,0xdffb0fff,0x7c4fff90,0xfffb82ff,0x207fff30,0xdff95ffe,
    0x987ffea0,0xfb89dfff,0x7ffcc2ff,0x2fffb89d,0x44efffcc,0x7cc2fffb,
    0xffb89dff,0x41bff62f,0xffff1000,0x017ffe05,0x7d47fff7,0xffa88aff,
    0x57ffd44f,0x44fffa88,0xa88afffa,0x7fd44fff,0xfffa88af,0x457ffd44,
    0x264fffa8,0xfffb2fff,0x2ffffe20,0x6c6ffea8,0x7ffd44ff,0x2ffffe22,
    0x306ffea8,0xff705fff,0x417ffccf,0x3fe67ffb,0x27ffb82f,0xfb82fff9,
    0x0bffe67f,0xffb9ffee,0x0ef7cc1f,0x7fcc3fec,0x2fffc84f,0xf909fff3,
    0x3ffe65ff,0x32fffc84,0xff909fff,0x13ffe65f,0x7ccbfff2,0xffa803ff,
    0x8bfff52f,0xfd1fffe8,0x1fff90df,0x2e0bffe2,0xfff30fff,0x29fff10b,
    0xfd80fffb,0x3fff61ff,0x3637fec0,0x7fec0fff,0x207ffec6,0x7fec6ffd,
    0x937fec0f,0xff881fff,0x3ffe602e,0x0bfff04f,0x223fffa8,0x5ffe83b9,
    0x7f41dcc4,0x41dcc45f,0x5cc45ffe,0x445ffe83,0x5ffe83b9,0x7ecbffe6,
    0xfffb83ff,0xd0ef7cc1,0x81a81bff,0x7cc1fffb,0xfff981de,0x267ffb82,
    0xffb82fff,0x20bffe67,0x3fe67ffb,0x27ffb82f,0xfb82fff9,0x41bff27f,
    0x642ffc00,0xff981fff,0x03fff94f,0x3f29fff3,0xfff981ff,0x303fff94,
    0x3ff29fff,0x4fff981f,0x5007fff3,0x3ff25fff,0x3fffa82f,0xff90dffd,
    0x0bffe21f,0x7cc3ffee,0x3f623fff,0xbfff31ff,0x0ffffdc1,0xff50bffd,
    0x42fff41f,0x3fa0fffa,0x0fffa85f,0x3ea17ffa,0xbfff50ff,0x017ffdc1,
    0x3dfff773,0x5405fff8,0xb9803fff,0x73005fff,0x2600bfff,0x3005fffb,
    0x200bfff7,0x265fffb9,0xfff32fff,0x06ffc85f,0x3ffff201,0x3ff202ce,
    0xff980106,0x27ffb82f,0xfb82fff9,0x0bffe67f,0xff99ffee,0x27ffb82f,
    0xfb82fff9,0x017ff67f,0x3a0ffe20,0x3ffe07ff,0x7c0fffd5,0x0fffd5ff,
    0xffeafffc,0x757ffe07,0x3ffe07ff,0x007fff35,0x3fa5fff5,0xbfff107f,
    0x3f21bff6,0x0bffe27f,0x7cc3ffee,0xffcfffff,0x7ffec5ff,0xfffffecf,
    0x3bbbffe1,0x21fffeee,0xeeeeefff,0x3fe1fffe,0xfeeeeeef,0x3bffe1ff,
    0xfffeeeee,0x37ffff61,0x4006fffe,0x7ffc4ffe,0x1fffd405,0x7ffff5cc,
    0xfd7305ff,0x20bfffff,0xfffffeb9,0xffd7305f,0x260bffff,0xffffffeb,
    0xb8bffe65,0x3f61ffff,0x7fc4005f,0x0dffffff,0x8002ffec,0xfc82fff9,
    0x0bffe67f,0xff99fff2,0x27ffc82f,0xfc82fff9,0x0bffe67f,0xffe9fff2,
    0x1ffa8005,0x3a05ffe8,0x0bffd6ff,0xffeb7ff4,0x75bffa05,0x3ffa05ff,
    0x740bffd6,0x7fff36ff,0x2fffa808,0x7f40dffd,0x90dff96f,0x7ffc4dff,
    0x30fffb82,0xffffbfff,0xff881dff,0xffdfffff,0xfffff11f,0x3fffffff,
    0x3fffffe2,0x11ffffff,0xffffffff,0x3e23ffff,0xffffffff,0x3fa21fff,
    0x1fffffff,0x23ffe400,0x7dc05fff,0x7ffe43ff,0x85ffedff,0xedfffffc,
    0xfffc85ff,0x85ffedff,0xedfffffc,0xfffc85ff,0x25ffedff,0x7e42fff9,
    0xbffd0fff,0xfffb3000,0x743fffff,0xf30005ff,0xfff905ff,0x6417ffcc,
    0x3ffe67ff,0x267ffc82,0xffc82fff,0x20bffe67,0x3ff67ffc,0x3fe40106,
    0x880fffc8,0xfff95fff,0x2bfff101,0xf880fffc,0x1fff95ff,0x32bfff10,
    0xff880fff,0x57fff35f,0xffa81ffd,0x01fffb1f,0x3f29fff1,0x25ffd87f,
    0xfb82fff8,0x5fff30ff,0x01bffff3,0x2bbfff62,0x3fe1fffa,0x999999cf,
    0x33ffe099,0x99999999,0x2673ffe0,0x20999999,0x9999cfff,0xfc809999,
    0x100dffff,0x3fff5033,0x2e02fffc,0x3fee2fff,0x17ff61cf,0x6c39fff7,
    0x7ffdc5ff,0x717ff61c,0x7ec39fff,0x67ffdc5f,0xf997ff61,0xfffc82ff,
    0x020dffb4,0x3fff6e20,0x1bff64ff,0x3ffe2004,0x227ffd83,0xffd83fff,
    0x20fffe27,0x3fe27ffd,0x27ffd83f,0xfd83fff8,0x03fff27f,0xfe85dff1,
    0x05fff505,0x3ea7fff5,0xfffa82ff,0x505fff53,0x3fea7fff,0x3fffa82f,
    0xf505fff5,0x3ffe67ff,0x642fffab,0xfff90fff,0x27fff705,0x7fc1fffa,
    0x0deec04f,0x445fff30,0xf504c001,0x37ff43ff,0x6ffe8044,0xdffd0088,
    0x3ffa0110,0xd9800886,0x3ffa02ef,0x20fffd85,0x7ec05fff,0x17ffa1ff,
    0xffd17ffa,0xe8bffd0b,0x5ffe85ff,0x7f42fff4,0x42fff45f,0x3fe65ffe,
    0x2dffd02f,0x7c40fffc,0x204c42ef,0xf90fffe9,0xeff881ff,0x98bfff02,
    0x7ffc7fff,0x23fffcc5,0x7fcc5fff,0x22fffc7f,0x7fc7fff9,0x3fffcc5f,
    0x5c1bfff5,0x3fe22fff,0x3dfff303,0x987fff4c,0x3a61efff,0xfff30fff,
    0x7fff4c3d,0x43dfff30,0xf30fffe9,0x7f4c3dff,0x7fff30ff,0x2a5dfff1,
    0x3fe67fff,0x3ffaa1ef,0xb97ffe0f,0x7f401fff,0xfff302ff,0xfa800005,
    0x3fff21ff,0x322ffec1,0x7fec1fff,0x20fffe45,0x7fe45ffd,0x02ffec1f,
    0x205ff997,0x3e62fffc,0x2fffc6ff,0x3fffdc22,0xff317ffe,0x45fff8df,
    0x7fc6fff9,0x37ffcc5f,0xff317ffe,0x45fff8df,0x3e66fff9,0xffd8a2ff,
    0x41bfff56,0xff12fffb,0x4fff70bf,0x2e0dfffa,0xffd02fff,0xffffb7bf,
    0xbdfffe8f,0x747ffffd,0xffdbdfff,0x7fff47ff,0x7ffffdbd,0x6deffff4,
    0x7ec7ffff,0xfffedfff,0x900ffd46,0xffddffff,0xfffc87ff,0x3ffffeef,
    0x777fffe4,0x7e43ffff,0xfffeefff,0x7fffe43f,0x23ffffee,0xffb3fff9,
    0x5fffffff,0xedffffc8,0x7e43ffff,0x5fffdeff,0x4c1bf600,0x00002fff,
    0xf10fffd4,0xffb7bfff,0xffff885f,0x42fffdbd,0xdbdffff8,0x7fc42fff,
    0xfffdbdff,0x20bf9002,0xfeeffff8,0x7ffc1fff,0x7ffffec5,0x67ffe43f,
    0x46ffffc9,0xfc9cfffc,0x7fe46fff,0xffffc9cf,0x4e7ffe46,0x646ffffc,
    0xffc9cfff,0x3ffe66ff,0xffdefd9a,0x3ffff64f,0x5c6fffed,0xfcabdfff,
    0x7ffec5ff,0x06fffedf,0x3fffffea,0x7d47ffbf,0xfbffffff,0x7fffd47f,
    0x47ffbfff,0xfffffffa,0x7fd47ffb,0xffbfffff,0x7ffff447,0x7e41ffff,
    0x7ffdc00f,0x704fffff,0xffffffff,0x3fffee09,0xf704ffff,0x9fffffff,
    0x3ffffee0,0x7fcc4fff,0xfffff33f,0x3f609fff,0x4fffffff,0xfffffe88,
    0x2aaa01ff,0xff303ffb,0xa800005f,0x7fcc1fff,0x04ffffff,0xfffffff3,
    0x3ffe609f,0x304fffff,0xffffffff,0x7dccd409,0x3ffea02f,0xf83fffff,
    0x3ffe25ff,0xff886fff,0xffefffff,0x7ffffc47,0x447ffeff,0xefffffff,
    0x7ffc47ff,0x7ffeffff,0x7fffffc4,0x3e67ffef,0xffff8aff,0x3fa20fff,
    0x1fffffff,0xffffffd8,0x7f440eff,0x1fffffff,0x6ffff540,0xea87ff98,
    0xff98dfff,0xdfffea87,0xea87ff98,0xff98dfff,0xdfffea87,0xf907ff98,
    0xd01bffff,0x3f6a00df,0x5401efff,0x01effffd,0x77fffed4,0x7ffed401,
    0x7ed401ef,0xf981efff,0x3ff623ff,0x75403dff,0x401effff,0x00dffffc,
    0x027ffff4,0x0005fff3,0x81fffa80,0x3dffffd8,0x7fffec40,0x7fec403d,
    0x6c403dff,0x403dffff,0x804fffff,0x1effffe9,0x6ccbfff0,0x500cffff,
    0xf13dffff,0xfffa85ff,0x2fff89ef,0x4f7fffd4,0x7d42fff8,0xff89efff,
    0x7fffd42f,0x32fff89e,0x3f665fff,0xff900eff,0x2201bfff,0xcffffffb,
    0x3ffff200,0x062000df,0x8000c400,0x03100018,0x80006200,0x0d540198,
    0x8000c400,0x03100018,0x40006200,0x33000018,0x00066000,0xa9880062,
    0x09998009,0x4cc40000,0x00018801,0x06200031,0x3000c400,0x26000333,
    0x18800009,0x00026600,0x26000266,0x09980009,0x00099800,0x22001300,
    0x4cc40019,0x00cc4000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x327ffea0,0x2aaa26ff,0x4c2aa980,0x2aa602aa,0x37995302,0xaaaaa980,
    0x2a202aaa,0x754000bc,0xca9801ee,0x5ed8009b,0xb980bdb1,0x02aaa2cd,
    0x2f6c57b6,0x09ddb000,0x9bdb7100,0x664c0003,0x90dec80c,0xee9801bd,
    0xc887bae3,0x100000cc,0x0037bdb5,0xc8059991,0x459992cc,0x5cc004ed,
    0x982bceec,0xa8800ccc,0x8801bded,0x66402ccc,0xdb95102c,0xa980079d,
    0x002bceec,0x00e664c0,0x79ddb731,0x40aaa601,0x2aa01aaa,0xadc9801a,
    0x402eb800,0xe83ceec9,0x0eff89ff,0x2e0bffe6,0x7ffdc7ff,0x909fff01,
    0x1bffffff,0x3fffff60,0xff906fff,0x2003bfff,0xfc802ffe,0x401effff,
    0x1ffdbffa,0x3fffff20,0xa80fff9d,0x01ffdbff,0x01dff300,0xfffffa80,
    0xf50003ff,0xbff103ff,0xf7007ff7,0x307ff45f,0x80003fff,0xffffffeb,
    0x3fe204ff,0xa7ffc04f,0x1bf63fff,0x7fffe440,0x2a0dffff,0x3ae00fff,
    0xffffffff,0x13ffe204,0xf309fff0,0xffffffff,0xfffd8805,0x00dfffff,
    0x05fff500,0x3ffffff2,0xffc84fff,0x409fff07,0x7e404ffe,0x7c407fff,
    0x7fffd406,0xb97fd45f,0x7ffcc1ff,0x447ffb82,0xff984fff,0x7fffe41f,
    0xff05ffff,0xdfffffff,0xffffffb0,0xffa801ff,0xffffd803,0x6402ffff,
    0x3203ffff,0xefffffff,0xff900fff,0x6c0007ff,0x7d4000ff,0xffffffff,
    0xfffa8002,0xdffff501,0xf87ff200,0x0fffcc6f,0xdffd8800,0xdffb711b,
    0x09fff101,0xfff4fff8,0x2007fdc7,0xfffffff9,0xf53fffff,0xffb101ff,
    0x3f6e237b,0xfff880ef,0x227ffc04,0xfffffffa,0xf301ffff,0xffffffff,
    0x50005fff,0xfe885fff,0xffffffff,0x3ffe45ff,0x3a04fff8,0x3fe204ff,
    0x3203ff8a,0x7fff402f,0xb1f643ff,0x5fff305d,0xfb0fff70,0x8dff90ff,
    0xd9aefff8,0x7fc42fff,0x6fffffff,0x6577ffdc,0x76405fff,0xefffa803,
    0x406fffdb,0x2205eed8,0xea8bffff,0xb100ffff,0x44000bdd,0xfe8001ee,
    0xdfff52ef,0x3fff5000,0x00777640,0x3fe67fe8,0x00fffcc5,0x401ffd80,
    0x7c40efe8,0x7ffc04ff,0x7cc7fff4,0x7fff402f,0xffecaacf,0x0fffa8ff,
    0x4401ffd8,0x7fc40efe,0x27ffc04f,0x26f7fffa,0x887fffeb,0xabcffffe,
    0x01ffffec,0x217ffd40,0xabcffffd,0x23ffffec,0xfff07ffc,0x027ff409,
    0x817fd44c,0xfff805f9,0x3e600004,0x7ffb82ff,0x7c1fffa8,0x7ffd44ff,
    0x261fffc1,0x3fa007ff,0x03ffe45f,0x8dffd000,0x0002fffb,0xf05fff90,
    0x00001fff,0xf8800000,0x7ffdc2ff,0x7ffd4000,0xff800001,0xf30ffea5,
    0xf70003ff,0x0565443f,0xff88bfd1,0x27ffc04f,0x04ff85f7,0x403bffee,
    0x1fa5fffc,0x2aaa7fee,0x3fa20aaa,0x027ffc45,0xff893ffe,0x3fffd03f,
    0x00efffc8,0x800bfff9,0x3ee2fffa,0xff901eff,0x83ffe4ff,0x26204fff,
    0xbff90009,0x2200fec0,0x55442fff,0x22aa980a,0xfb82fff9,0x49fff07f,
    0x7d41fff9,0x44ffd87f,0xf5006ffb,0x019883ff,0x985665d4,0x113ffe1e,
    0x5440bfff,0xffb02bcc,0x1fffb01f,0x2602aaa2,0xd99302aa,0x5ee54179,
    0x03ffe601,0x5cc01351,0x3fff52cd,0x2b3772a0,0xfffffd80,0xffffffff,
    0x2a3fff30,0x3fe01bdc,0x3ffffe61,0xf883fa24,0x7ffc04ff,0xdfb03f64,
    0x03fffe20,0xf33fffd0,0x3f63ff0b,0x224fffff,0x3ffe20fe,0x527ffc04,
    0x3aa05fff,0x3ffe22ee,0x7fff400f,0x3ffea002,0x007fff62,0x3f21bffd,
    0x09fff07f,0xb8016654,0x4fa83ffc,0x42fff980,0xfb82fff9,0x0bffe67f,
    0x7e41ffee,0x21bff27f,0x3e21fff8,0x67fe41ff,0xff700aa8,0xffb1000f,
    0x3ffdffff,0x3a0bffe2,0xffe886ff,0x740dffff,0xfff706ff,0x20bffe61,
    0xffd87ffb,0xfedfffff,0x881fffff,0xc8001fff,0xfbdfffff,0x7ff441ff,
    0x6c3fffff,0xffffffff,0xf30fffff,0xffffd5ff,0x4c9f307f,0x2ffb9dff,
    0xfff88bee,0x56fffc04,0x0ffb84fe,0x804fffa8,0x1ffefff9,0x37fb2fcc,
    0x7dc3ff75,0x013ffe22,0x7fc49fff,0x26000bff,0xf9804fff,0x3ea004ff,
    0x13ffe2ff,0x3ff20220,0x409fff07,0x04404ffd,0x01fd0ff7,0x985fff30,
    0xffb82fff,0x20bffe67,0xff307ffb,0x40fffe3f,0xfebcfffc,0xffffe86f,
    0x7e40dfff,0x2dffd8ff,0xffffff10,0xff87ffff,0x47fff83f,0xffffffe8,
    0x3ffa0fff,0x21fff505,0xfb82fff9,0x7fffdc7f,0xffffffff,0xf80fffff,
    0x7e4003ff,0xffffffff,0x7ffec1ff,0x22ffffff,0xeefffeec,0x30eefffe,
    0xffffffff,0x2fb87fff,0x47d513f2,0x3ffe25f9,0x7ffffc04,0x05ff303f,
    0x2003fff7,0xb81effff,0xfb07f62f,0xff12fcc7,0x4fff809f,0x6ffffff4,
    0x7ffdc01b,0x0dfff001,0x997ffd40,0x20002fff,0xfff07ffc,0x0bffa209,
    0xdfb1ff98,0xf3003fb8,0xfff985ff,0x267ffb82,0xffc82fff,0x273ffa07,
    0x3ee00fff,0xf04fffff,0xffffffff,0x7fffec1f,0xd84fffff,0xfb89cfff,
    0x37ff46ff,0xe83fffe6,0xfeaaefff,0x1bff65ff,0xf987ffec,0x7ffb82ff,
    0x2233ffe2,0x31fffffa,0x7e5cdffb,0x02ccceff,0x22ffffe2,0x21ffffea,
    0xa88afffa,0xffd04fff,0x7cc27fcc,0xfc89dfff,0x83f60fff,0x4ff002fe,
    0x7c04fff8,0xff801eff,0x00fffc84,0x201fffd0,0x887f60fd,0xf13fc1ff,
    0xfff809ff,0x7ffffc44,0xc80cffff,0xfd000fff,0x7fd400ff,0x03fff72f,
    0x83ffe400,0xffb04fff,0xfffd801f,0x01be22ff,0x4c2fff98,0xffb82fff,
    0x20fffe27,0x3ee07ffd,0x405ffcff,0xdffffffb,0x6ffffcc0,0x3a5ffffb,
    0xffdfffff,0x3ffea3ff,0x17fffec3,0xb317fff7,0x3e63ffff,0xfffc84ff,
    0xf03fff92,0x3fe61fff,0x47ffb82f,0xfffd84a9,0xe97ffc42,0xffffffff,
    0x0bfff204,0x9887fffa,0x85ffe83b,0x3fea5ff8,0x87fff983,0x9be3fffa,
    0xfb000ff8,0x013ffe23,0x36009fff,0x07ffe86f,0x403fff60,0x7fffec6f,
    0x11fc84ff,0xff809fff,0xfffd884f,0x40efffff,0x36007ffd,0xf5000fff,
    0x3fff65ff,0xfffffb80,0x3fff94ff,0x444fff98,0x8803fffd,0x7e41beda,
    0x3ffe6002,0x417ffcc2,0x7ffc7ffb,0x03fffd45,0x5ffffff1,0x66fffe40,
    0x2e20efff,0x7ffec1dc,0x21dfffd1,0xf90fffd8,0x76fe41ff,0x7fff45ff,
    0x0fffffff,0xf303fff9,0x3ffe69ff,0xffffb32e,0x20bffe61,0xb9807ffb,
    0xfd80fffe,0xfffffd4f,0x7ec09fff,0xfffb80ff,0xfffb9801,0x324ff985,
    0xfff981ff,0x749fff04,0x4007fe27,0x9fff10fe,0x027ffc40,0x7ec0ffb8,
    0xffd000ff,0x3f63f40f,0xfb01ffee,0x813ffe21,0x2604fff8,0xffffffeb,
    0x03fff60f,0x003fff40,0x3f25fff5,0xfffb81ff,0xff94ffff,0x7ffec1bf,
    0x13fffa24,0x837c4000,0x7ffcc7fa,0x417ffcc2,0x7ff47ffb,0xffffdbdf,
    0x7fffec07,0x87ffea07,0x2004ffe8,0xffb2fffa,0x1fffa87f,0x77dcdffb,
    0x7446ffd8,0xffdeffff,0xf81fffa7,0x3fff65ff,0xffffffff,0x705fff30,
    0xfd910fff,0xffffffff,0x2bffffff,0x9bfffa98,0x1bffa009,0x4c0fffd4,
    0xffffffeb,0x33ff2aa5,0x2abffeaa,0x740bffe6,0xe87f25ff,0xf10e4c3f,
    0x027ffc4d,0x2009fff1,0x7fe41ff9,0xdfff001f,0x3fb0fe40,0x9be03fee,
    0x2204fff8,0x51004fff,0x647ffffb,0xff001fff,0x7fd400df,0x05fff52f,
    0xfffffff7,0x3fffff29,0x24ffffec,0x0004fffd,0x3e607f60,0x17ffcc7f,
    0x320bffe6,0x7ffcc7ff,0x7ffbffff,0x27fffd40,0xf90dff90,0x7fc400ff,
    0x81fff94f,0xffd2fff8,0x7e43feab,0x1799507f,0x7ff4fff9,0xb1bffa05,
    0xf7dfffff,0x3ffe61ff,0x647ffc82,0xfedfffff,0xffffffff,0x7ffd45ff,
    0x0bffd000,0xf907ffea,0xffdbffff,0x7ffffecb,0xffffffff,0x205fff30,
    0x8fea6ffe,0x93f60efc,0x3ffe24fa,0x13ffe204,0x2e1ffc40,0xf8802fff,
    0x8fea05ff,0x317f61fd,0x27ffc49f,0x449fff10,0x3fe60199,0x0bffee5f,
    0x417ffe20,0x11fffa80,0x33107fff,0x329fff53,0xffffefff,0xfff54ffe,
    0x7cc00007,0x47ffe885,0x7cc2fff9,0x7ffc82ff,0x8dfffea8,0xff807ff9,
    0x3ffa01ff,0x81fffa84,0x73fff980,0xff885fff,0xf3dffb2f,0x02fff43f,
    0x7e4dffb0,0xfff880ff,0x53dfdb85,0x3fe61fff,0x27ffc82f,0xb0aefffa,
    0x55557fff,0xffc85555,0x1fff6006,0xf70fffe4,0x7fec39ff,0x3fffff65,
    0xffffffff,0x209fff30,0x1be24fff,0x8dffbffd,0x2fffc1fc,0x007fff30,
    0x3fe62ff4,0xfffc806f,0xfd9be204,0xfc8bfe21,0x302fffc1,0x7ff47fff,
    0x9fffa00f,0xc806fff9,0x3faa4fff,0x07ffdc0f,0x8801fffd,0xfff94fff,
    0xff97fff3,0xa81bff29,0x1fd0009a,0x98ff9fd0,0x7fc42fff,0x07ffd83f,
    0x009f5062,0xfb01bffa,0x1fff90ff,0x3ee1fff2,0x9fff52ff,0xf71fffa8,
    0x7cc5ffff,0x0f2aa4ff,0x7d49fff1,0xfffa82ff,0x9ffee003,0xfd83fff8,
    0x21bff67f,0x0182fffd,0x4003fff3,0xff80fffc,0x17ffa1ff,0xfba97ffa,
    0xcffcaaef,0x3ffe62aa,0x43fff885,0x7ffe45fe,0x3a1fee1c,0xff902fff,
    0x3fe4005f,0x301ffff4,0xe801ffff,0xfc83fb5f,0xffd0ff76,0x3fff205f,
    0x40ffff22,0x7f45fff8,0x3fe604ff,0x3ffea0ff,0x323ffe42,0x7d405fff,
    0x4fff94ff,0x1bff2009,0x4017ffcc,0x9bfc84fa,0x17ffcc7f,0x3e62fffc,
    0x7dc007ff,0x3fffa803,0x117ffe40,0x7fdcdffd,0x3fffa23f,0xd87fffa0,
    0xfff10fff,0x7ffec47f,0x443fff21,0x3e60fffd,0x3fa61eff,0x7bdf50ff,
    0xff8dff90,0x3fffcc5f,0xff88dffb,0x77fd45ff,0x97bfff12,0x3ea14c35,
    0x7ffdc5ff,0x317ffe1f,0xff98dfff,0x4c07ff24,0x3622ffff,0x7fc41fff,
    0x2ffb8085,0x0aefffb8,0x01ffff71,0x260ffd40,0x221dffff,0x803ffffb,
    0xf7005ff8,0xdfff705f,0x3ffee215,0x3fffea0f,0xfffd511b,0xdffff987,
    0x3fffee21,0x977ffcc3,0x7c47fffa,0x3109efff,0x329ffffb,0x3ea007ff,
    0xfffd82ff,0x5c0fe800,0x09ffa9ef,0xfd05fff3,0xfffb7bff,0x5fc800ff,
    0xffffb570,0xffff9801,0x23ffffde,0xfceffff8,0x7fd43fff,0x3ffffdff,
    0x667fffdc,0x7cc3ffff,0xffffdfff,0xeffffc84,0x263ffffe,0xcbabffff,
    0x7ff44fff,0xffffdbdf,0x273ffea7,0xefffffeb,0x366fffcb,0xffffffff,
    0x7f40ffff,0xfffeceff,0x3fff21ff,0x6ffffc9c,0xffb17fdc,0x7ffffcc0,
    0x05ffffcd,0x2603bff5,0xff103ffc,0xffffffff,0xf88009ff,0xffffc83f,
    0xffffffff,0x37fea006,0x07ff9301,0x3fffffe2,0x84ffffff,0xfefffffd,
    0xc80fffff,0xffffffff,0xfd06ffff,0xffffffff,0xfffff505,0xffffffff,
    0x01fff25f,0x97dfffd0,0x7009ffff,0xffffb07f,0x3fe65fff,0xffffa82f,
    0x07ffbfff,0x2deffcc0,0x09fffffd,0x3ffffea0,0xff985fff,0x04ffffff,
    0xfffffff9,0xfffff90b,0x3209ffff,0xdfffffff,0xfffff700,0xffb09fff,
    0xffffffff,0xfffffa81,0x7c7ffbff,0xdfffffff,0xfffffffe,0x3fffe60f,
    0xffffffff,0x7ffffcc4,0x21fffbff,0xfffffff8,0x7fe47ffe,0xf981bfe0,
    0xfffffbff,0x3fa600ef,0xfffdbdff,0x7ff4c02f,0xdfffffff,0x05fe8000,
    0xfffffff5,0x30009fff,0xfb7bfffd,0xe9805fff,0xffffffff,0xffe880df,
    0xefffffff,0x3fffea00,0x04ffffff,0x3fffffe6,0x3fa604ff,0xffffffff,
    0x1fff20df,0xffffd100,0x1009ffff,0x3332e0df,0xff31cffd,0x3ffaa05f,
    0x07ff98df,0x27fffd80,0x004ffffd,0x7ffffecc,0x3fff6203,0x7f5402ef,
    0xefb83fff,0x2efffeca,0x77fffdc0,0xfffda803,0x3ff201ef,0x00dfffff,
    0x31bfffd5,0xffe98fff,0x3fee1dff,0xfe81ceff,0xfffdca9c,0xffd884ff,
    0x1fff89ef,0x4f7fffd4,0x3fa2fff8,0x9813fe27,0xfffd57ff,0xd951001b,
    0x017bffff,0x7ffff640,0x320002ef,0x3fb2207f,0x001dffff,0x3ffb2a20,
    0x1000bdff,0xdffffffb,0xfffd5007,0x10019dff,0xbfffffd9,0xfffb1003,
    0xd71007bf,0x39bfffff,0x000fff90,0x3bffffee,0x005f9002,0xfff31fe6,
    0x00018805,0x5441a880,0x220000aa,0x0cc00099,0x1004c400,0x80018819,
    0x31000099,0x9aaa9800,0x00031000,0x09880131,0x06620040,0x4c0004c0,
    0x45550009,0x10001aa8,0x1a880003,0x03330000,0x00aa6000,0x00000998,
    0x00003510,0x40001333,0x98000199,0x06600009,0x00133000,0x80003331,
    0x64400198,0x01322003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36007b60,0x00f6c00d,0xb88006ec,0x001bceed,0x5e7765cc,0x206aaa00,
    0x3220aaa8,0xccb801cc,0xccc88003,0x3ddd5001,0x3b65ed80,0x91399905,
    0x66540099,0xcccccccc,0x41cccccc,0x5dd52eea,0x000ccc98,0x3d50fa20,
    0xb8351000,0x00733223,0x900b3320,0xeed80799,0xeb8f75c4,0x81332e1e,
    0xcc80cccb,0x9abccccc,0x77754000,0xd33ee981,0x9999907d,0x00135799,
    0x4c037754,0x664c3eee,0xcccccccc,0x5501cccc,0x664064c1,0xd800002c,
    0x6c000dee,0x333224ee,0x007ff621,0x7ec409f5,0x027d401f,0xffffffc8,
    0xfc800dff,0x3fffffff,0xf50bfff0,0x7ffc41ff,0x06ffe802,0x02fff880,
    0x5007ffd0,0x03ffb9ff,0xff37fff1,0x7fff400f,0xffffffff,0xe82fffff,
    0xb85ffaff,0x40000fff,0x26ea8afd,0xfffffffb,0x79dfff34,0x3ffea29f,
    0xf880199b,0x7ffc04ff,0x03bfea05,0x9ff5dfd1,0x882fffb8,0xff885fff,
    0xffffffff,0x3ffa003f,0x3ebff603,0xffff886f,0x3fffffff,0x80fff700,
    0x21ffffe8,0xfffffffb,0x2fffffff,0xebdfffd8,0x27ffc40f,0x3fee0000,
    0x3e6005ff,0x3ffe20ef,0x03ffff72,0xff700fe8,0x0fe803ff,0xfffffd80,
    0x01efffff,0xffffffd3,0xff09ffff,0x1fff50bf,0x4017ffc4,0x88006ffe,
    0xfa802fff,0x3ff2004f,0xfff104ff,0x200fff37,0xfffffffa,0xffffffff,
    0xfff882ff,0xfffb80ff,0x7fcc0000,0x3fee2fff,0xf94fffff,0x25ffffdb,
    0xfffffffc,0x7ffc400f,0x02fffc04,0x3e601dfd,0xfff06fff,0x03fff90d,
    0xfffffff1,0x01dfffff,0x4404ffa8,0x881ffffe,0xffffffff,0x400effff,
    0x7ec07ffb,0xf70efe9f,0xffffffff,0x885fffff,0x6ffffdef,0x004fff88,
    0x2f3fe600,0xffb003ff,0xd2fff883,0x5c03ff7d,0x3efba03f,0x00fee01f,
    0x33bfffee,0x06fffeca,0x959dfffd,0xf83ffffd,0xfffa85ff,0x00bffe20,
    0x0071bffa,0x9005fff1,0xddb0009d,0x5fffc40b,0xfd006ec8,0x9fff93df,
    0x99999999,0x0bbbaa03,0x0003ffdc,0x4c0bda88,0x1aaaaaaa,0x90e5c4bb,
    0xffffffff,0x7ffffc01,0xffffffff,0x4c4fffff,0x775c00de,0x5fff701e,
    0x882fffc4,0xccccefff,0x404ffffe,0xdd3004ec,0x3ffe207d,0xffecccce,
    0x554404ff,0x4cfba602,0x999933ee,0x999ffff9,0x21ea8399,0xff880bca,
    0x3200004f,0x0037b25e,0xff103dd1,0x0ffc465f,0x88c06f88,0x0df101ff,
    0x20ffffe0,0x5c3fffd8,0xfb80dfff,0x2fffc5ff,0x3e23f4c4,0xffe802ff,
    0x3e201f26,0x000002ff,0x7fff1000,0x7fd402fc,0x01fff92f,0x3f400000,
    0x00000000,0xfffa8800,0x7fc0199b,0xffffffff,0xffffffff,0xf0000004,
    0x7ffdcdff,0x09fff101,0x007fffa6,0x3e200000,0xffd304ff,0x0000003f,
    0x00dfff00,0x7ffc4000,0xcfffffff,0x00000000,0x10bffe20,0x0bf203ff,
    0xc80ffc40,0xffd8802f,0x3fffe206,0x803fffe0,0x3fe0dffe,0x88df105f,
    0xfe802fff,0x807fd8ef,0x108afff8,0x66dcc555,0x262aa882,0xff882cdb,
    0x802fc8bf,0x3ff27ffd,0x5554000f,0x2aaaaaaa,0x1aaaafcc,0x40179971,
    0x2aa00aaa,0x02aaa00a,0x5ccbffe2,0xff9981bd,0x999999df,0x109dfff9,
    0x2b326555,0x32655510,0x7ffdc0ac,0x205fff89,0x2a04fff8,0x55545fff,
    0x2aaaaaaa,0x22015550,0x3ea04fff,0x555545ff,0x02aaaaaa,0x3e001555,
    0x554406ff,0x20b36e62,0xfffffff8,0x542fffff,0x2aa981aa,0x5542aa88,
    0x17ffc40a,0x3e607fe2,0x07fe2005,0x260017e6,0x97fff400,0x4c03fff9,
    0x30bfff01,0xfff885fd,0xeeffe802,0xff8803ff,0xfff10fcf,0xbfffff91,
    0x647ffc41,0x20dfffff,0x3fabfff8,0x23fff980,0x4000fffc,0xffffffff,
    0x43fea7ff,0xfffabffd,0xff881fff,0x5fff102f,0x20bffe20,0xffcbfff8,
    0xff885fff,0x2fffc04f,0x3fe7ffe6,0x3fff31ff,0xff03ffff,0x03fff7bf,
    0x2027ffc4,0x7ffc7ffe,0x7fffffff,0x102fff88,0xfe809fff,0x7ffffc7f,
    0x887fffff,0xff002fff,0xfff880df,0xdfffffc8,0x3ffffe20,0xffffffff,
    0x3a1bff20,0x7fe40fff,0x10bffe26,0xff885fff,0x2001fd81,0x1fd81ff8,
    0xff500000,0x0bffea7f,0x85fff800,0xfff882fa,0xffffe802,0xfff1002f,
    0x3ffe21ff,0xfffffffe,0x3fbffe23,0x23ffffff,0x0013fff8,0xfc83fff6,
    0xaaaaabff,0x7fffc1aa,0x27ffffff,0x3bff61ea,0x6fffffff,0x102fff88,
    0x3e205fff,0xfff882ff,0xffffffff,0x4efffc43,0xff999999,0x77ffcc5f,
    0x3fe66fff,0x706fffef,0x0bffdfff,0x404fff88,0x3fe0fffc,0xffffffff,
    0x02fff887,0xc809fff1,0x3ffe0fff,0x7fffffff,0x002fff88,0xf880dfff,
    0xfffffeff,0x3ffe23ff,0x7fff4cc4,0x883ffe63,0x7f42ffff,0x0bffe23f,
    0xf885fff1,0x0027d41f,0x9f507fe2,0x77776400,0xeeeeeeee,0xfff94fff,
    0x7ffc0003,0x3fe20105,0xe87ddb2f,0x2001ffff,0x222ffff8,0xf51dffff,
    0x7ffc4dff,0xdfff51df,0x001fffc4,0xfc89fff1,0xffffffff,0x555544ff,
    0x04ffffaa,0x897fffec,0x7c41fffe,0xfff102ff,0x0bffe205,0x4b7fffe2,
    0x7c46fffa,0xffffffff,0x4c5fffff,0x3dbeffff,0x2fbfffe6,0x3f73263d,
    0xccdfffff,0x6fffdd42,0x7fe41aaa,0x2aaaaa1f,0x884ffffa,0xfba82fff,
    0x41aaadff,0x2aa1fffc,0xffffaaaa,0x02fff884,0x880dfff0,0xf51dffff,
    0x7ffc4dff,0x8bfff104,0x3fea2fff,0x3ffe24ff,0x10bffe21,0xee885fff,
    0x20007f41,0x07f41ee8,0xfffffd00,0xffffffff,0x3fff6bff,0x3ffe0000,
    0x7ffc4005,0xff89fff2,0x7c4000ff,0x7ffc43ff,0x227ffd86,0xffd86fff,
    0x00fffe27,0x641fffc8,0xffffffff,0xfc804fff,0xffd805ff,0x17ffcc1f,
    0x440bffe2,0xff102fff,0xdfff105f,0xf88fff90,0xffffffff,0x4c5fffff,
    0xf300ffff,0x3ea01fff,0xffffffff,0x7ffc4fff,0x44ffffff,0x6402fffb,
    0xff105fff,0xfffff05f,0xfb89ffff,0x7fe402ff,0x5fff105f,0x3feaaaa0,
    0x442aaaef,0xffd86fff,0x813ffe27,0x7fe47ffe,0x9bffff25,0x7fc46ffb,
    0x17ffc42f,0x2e23fb80,0x2e002dfd,0xd8ff503f,0xffffffff,0x4fffffff,
    0x0001fff9,0x2002fffc,0xfff2fff8,0x1bfff629,0x5fffb100,0xb83fff88,
    0xfff10fff,0x21fff707,0x1003fff8,0xff90bfff,0xdddddddf,0xfffc807d,
    0x7ffd800e,0x443fff88,0xff102fff,0x3ffe205f,0x84fff882,0x7fc47ffb,
    0xeeeeeeff,0x7cc5fffe,0x3fe604ff,0x3ffea04f,0xffffffff,0x7fff744f,
    0x7dc3eeef,0x3ff202ff,0xfff100ef,0xffffdd05,0xffb87ddd,0x3fff202f,
    0x5fff100e,0x3fffffa0,0x445fffff,0xffb83fff,0x09fff10f,0x3ea3fffc,
    0x3fbffa7f,0x889ffb0f,0x7fc42fff,0x47f8802f,0x02ffeffd,0xff307f88,
    0x9afffc8f,0xfa999999,0x3fff73ff,0x2fffc000,0x4bffe200,0xfffb3eed,
    0xffe800df,0x7ffc42ff,0x10fffb83,0xff707fff,0x0fffe21f,0x66fffe40,
    0x0fffeccc,0x3ffee000,0xdffb000f,0x887fff10,0xff102fff,0x3ffe205f,
    0x83fff882,0x3e20fffb,0x7ffc04ff,0x017ffcc5,0x4405fff3,0xfffd9999,
    0xf8809999,0x7fdc04ff,0xffff701f,0x17ffc401,0x404fff88,0xf701fffb,
    0x7c401fff,0xfffd02ff,0xbfffffff,0xb83fff88,0xfff10fff,0x17fff209,
    0x3fe27ffe,0xfff2ffce,0x42fff883,0xc802fff8,0x647fe62f,0x82fc806f,
    0x7d47ffe8,0x7fdc02ff,0x05fff51f,0xfff81ca8,0x7ffc4005,0x3ffffa02,
    0x7fef4006,0x17ffc42f,0xf887ffdc,0xfffb82ff,0x007fff10,0xfffffff1,
    0x01ffffff,0x3fffea00,0x17ff6001,0x3e21fffc,0xfff102ff,0x0bffe205,
    0x2e0bffe2,0x3fe20fff,0x2fffc04f,0x980bffe6,0x26202fff,0x9fffd999,
    0xff880999,0x3ffe404f,0x01ffffa8,0x8817ffc4,0x7e404fff,0xffff507f,
    0x2fff8803,0x80dfff00,0xfb82fff8,0xdfff10ff,0xfffdb999,0x57ffb05f,
    0x59ff57ff,0xfff10fff,0x02fff885,0xb0c437c4,0x06f880df,0xf88ff9fb,
    0x7fec05ff,0x0dfff30f,0x3e1fffe8,0x7c4005ff,0x3a7a02ff,0x454006ff,
    0x7fc42fff,0x0fffb82f,0xf705fff1,0x3ffe21ff,0xffffb803,0xffffffff,
    0xff98000f,0x7ec002ff,0x87fff05f,0xf102fff8,0x3fe205ff,0x2fff882f,
    0x220fffb8,0x7fc04fff,0x0fffcc5f,0x403fff30,0xfffffffa,0x884fffff,
    0x7fc04fff,0xffff986f,0x2fff8802,0x809fff10,0xff986fff,0xff8802ff,
    0xdfff002f,0x82fff880,0xff10fffb,0xffffffff,0x3fea09ff,0xdff1ffce,
    0xff109ff9,0x2fff885f,0x3200fec0,0x0fec01ff,0x43fce7e4,0xf501fffe,
    0xfffd8dff,0x8dfff502,0x44005fff,0x74202fff,0xf88006ff,0x7ffc42ff,
    0x10fffb82,0xff705fff,0x0fffe21f,0x333fffa0,0xfffecccc,0x7ffc4000,
    0xffd8003f,0x887fff05,0xff102fff,0x3ffe205f,0x82fff882,0x3e20fffb,
    0x7ffc04ff,0x00fffcc5,0x5403fff3,0xffffffff,0xf884ffff,0x3ff204ff,
    0x7fffc43f,0x5fff1003,0x813ffe20,0x7c43fffc,0xf1003fff,0x3fe005ff,
    0x7ffc406f,0x10fffb82,0xffffffff,0x7c407fff,0x3f67ffff,0xf882ffff,
    0x7ffc42ff,0x8817e602,0x7cc03ffd,0xfa9efb85,0x3ffe209f,0xfffb31cf,
    0xffff883f,0xffff930b,0x99dfff87,0x21999999,0xe802fff8,0x99999eff,
    0x7fc41999,0x17ffc42f,0xf887ffdc,0xfffb82ff,0x807fff10,0x3204fffa,
    0x9999afff,0xfd109999,0x333317ff,0x2ffec013,0x7c43fff8,0xfff102ff,
    0x0bffe205,0x2e0bffe2,0x3fe20fff,0x2fffc04f,0x9807ffe6,0x32601fff,
    0xcfffeccc,0xff882ccc,0xda9999df,0x7f446fff,0x99998bff,0x17ffc409,
    0x99dfff88,0x6fffda99,0x45ffff44,0x44099999,0xff002fff,0xfff880df,
    0x10fffb82,0x5599dfff,0x3ff60035,0x3ffee5ff,0x5fff107f,0x202fff88,
    0xffd100fe,0xb01fd003,0x5fffffff,0xffffffa8,0x702fffff,0xffffffff,
    0xfff0bfff,0xffffffff,0x17ffc4ff,0x7fffff40,0x0fffffff,0xf10bffe2,
    0xfff705ff,0x20bffe21,0xff10fffb,0xfffe807f,0x3ffff200,0xffffffff,
    0xffffff75,0x407fffff,0xfff05ffd,0x02fff887,0x2205fff1,0xff882fff,
    0x0fffb82f,0xf013ffe2,0xfff98bff,0x07ffe601,0x00dff900,0x3fffffe2,
    0x1fffffff,0x7fffffdc,0x443fffff,0xff102fff,0xffffffff,0xffb83fff,
    0xffffffff,0x17ffc43f,0x406fff80,0xfb82fff8,0x9fff10ff,0xfffb8000,
    0x3fffe63f,0x85fff105,0xf502fff8,0x567ff409,0x209f502a,0xcffdcccb,
    0xfffffc81,0x5402ffff,0xffffffff,0xffff80ef,0xffffffff,0x00bffe27,
    0x3ffffffa,0x20ffffff,0x7c42fff8,0xfffb82ff,0x705fff10,0x3fe21fff,
    0x3ffea03f,0x7fffe405,0xffffffff,0xffffff95,0x407fffff,0xfff05ffd,
    0x02fff887,0x2205fff1,0xff882fff,0x0fffb82f,0xf013ffe2,0xfff98bff,
    0x07ffe601,0x00dff900,0x3fffffe2,0x82efffff,0xfffffffc,0x7c43ffff,
    0xfff102ff,0xffffffff,0xffff905d,0x7fffffff,0x002fff88,0xf880dfff,
    0xfffb82ff,0x009fff10,0x1ffff880,0x8817fffc,0x7fc42fff,0x201fd02f,
    0x7ffffffa,0x26001fd0,0x7ff4c07f,0x1001bdff,0x5dffffdb,0x7fffffc0,
    0x27ffffff,0xe802fff8,0xffffffff,0x3e20ffff,0x7ffc42ff,0x10fffb82,
    0xff705fff,0x0fffe21f,0x401fffe8,0xfffffffc,0xf95fffff,0xffffffff,
    0x7fec07ff,0x887fff05,0xff102fff,0x3ffe205f,0x82fff882,0x3e20fffb,
    0x7ffc04ff,0x00fffcc5,0x8003fff3,0xf1006ffc,0xdfffffff,0x7ffe407b,
    0xffffffff,0x817ffc43,0xfffffff8,0x3f203def,0xffffffff,0x7ffc43ff,
    0x0dfff002,0xb82fff88,0xfff10fff,0xffd00009,0x01fffb0f,0xf10bffe2,
    0x059305ff,0x66666654,0x2002c984,0x066004c8,0x00662000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1aaa8000,0x45eec800,
    0xbdd12eeb,0x32016664,0x665c4ccc,0x6664402c,0x1999910c,0x016665c0,
    0x0059bb95,0x00399970,0x33333332,0x1000aabc,0x22057995,0xbccccccc,
    0x666400aa,0xcccccccc,0x333222cc,0x3332a000,0x22399910,0x00001ccc,
    0xb880b32a,0x3320cded,0x1e66402c,0x99999999,0x32259999,0x2e02cccc,
    0x3323cccc,0x9665c03c,0x66642aa9,0x1acccccc,0x33333320,0x201abccc,
    0x32e2ccc8,0xccb800cc,0x4332e00c,0xaaaaaaaa,0x32a0aaaa,0xcccccccc,
    0x332e4ccc,0x0b333204,0x550e664c,0xcc980035,0xcccccccc,0x5511cccc,
    0x7c2b3265,0xe88005ff,0x4fff22ff,0x3ffe6ff8,0x3ffff605,0x07fffd41,
    0xd89fff90,0xff304fff,0xffd301ff,0x005dffff,0x013fffe2,0x3fffffe2,
    0x04ffffff,0x7fffffe4,0x7fffc41e,0x3fffffff,0xffffff10,0x9fffffff,
    0x000fffcc,0x3e21fff9,0x5fff12ff,0x3fe60000,0xfffd103f,0x3ffe23ff,
    0x8afffc04,0xffffffff,0xff14ffff,0x3e20bfff,0x3fe5ffff,0x3ffa01ff,
    0x7c4fff94,0xffffffff,0xfff883ff,0xffffffff,0xfff980df,0x00bfff23,
    0x5c0dfff1,0xfffd1fff,0xffffffff,0x7ffffe43,0x7fffffff,0x2203fff2,
    0xf706ffff,0x2fffc3ff,0x3fffee00,0xffffffff,0x3fff32ff,0x3fe3ffff,
    0xff10005f,0xf89ffe4d,0x417ffe6f,0xb02ffffc,0x3e609fff,0x7fc40fff,
    0xfffe81ff,0xfffff982,0x802fffff,0x00fffffc,0x7fffffc4,0x4fffffff,
    0xffffff90,0x7fc41fff,0xffffffff,0x7fc40eff,0xffffffff,0x3fe64fff,
    0x3ff2001f,0x25fff10f,0x0002fff8,0x207fffd0,0x27effffa,0x7c04fff8,
    0xffff15ff,0xffffffff,0x3ffffe29,0xfffff507,0x037fffcb,0x3ff29ffd,
    0x3ffffe27,0x6fffffff,0x7fffffc4,0xefffffff,0x31fffcc0,0xfa80bfff,
    0xfff303ff,0x3ffffa3f,0x1fffffff,0x3ffffff2,0x27ffffff,0xfa82fffa,
    0xfd80ffff,0x02fffc7f,0x3ffffee0,0xffffffff,0xfdfff32f,0x2fffcdff,
    0x21dd3000,0x82660998,0xffc85fff,0x3fe202ff,0xfffd81ff,0x8dfff502,
    0xf885fffb,0xea88bfff,0x7fc00fff,0x4403ffff,0xccccefff,0x40ffffec,
    0xdbbefff9,0x3fe24fff,0xfeccccef,0x7fc44fff,0xccccccef,0x3fe62ccc,
    0x3ff2001f,0x25ddd10f,0x0002fff8,0x03ffffc8,0xf101fff9,0xfff809ff,
    0x99dfff15,0x25999999,0x1ffffff8,0x5fffffc8,0x40fffffe,0xfff94ffe,
    0x6677ffc4,0x2ffffecc,0x333bffe2,0xffffdccc,0x21fffcc3,0x3600fffe,
    0xffa80fff,0xfffd1fff,0xffffffff,0x66666541,0x6ffffccc,0x3613ffe2,
    0xf82fffff,0x2fffc5ff,0x33332600,0xcccffffc,0xffff31cc,0x7ffc7b7d,
    0x00000005,0xff717ffe,0xff7005ff,0x5fffa8bf,0x89fffec0,0xfa80ffff,
    0xfff983ff,0x3fffea02,0x7fc406ff,0x3ffee04f,0x207ffe42,0x3fe27ffe,
    0xfffd304f,0x027ffc43,0x00fffcc0,0x801fff90,0x0002fff8,0x1fffffcc,
    0xf106ffd8,0xfff809ff,0x009fff15,0x7fffffc4,0xfffffe83,0x3fffffe5,
    0x314ffe80,0x27ffc433,0x224fffb8,0x3ea04fff,0x7ffcc5ff,0x01fffe43,
    0xfd98dfff,0x801fffff,0x4002fff8,0x7c0ffffd,0xffff86ff,0x7ffcc4ff,
    0x002fffc3,0x406fff80,0xf00ffff9,0x54000bff,0x0aaa80aa,0x3ea5fff8,
    0x3a002fff,0x3ffa2fff,0x7ffc400f,0x03fffd8f,0x7f40dfd5,0x3bff604f,
    0x2201fffb,0x3e604fff,0x37fec3ff,0xf887ffe4,0x3fea04ff,0x13ffe25f,
    0x07ffe600,0x7e435553,0x42aaa0ff,0xb732fff8,0x3ffa0059,0x754c3fff,
    0x221aaeff,0x7fc04fff,0x09fff15f,0x7efffc40,0x6fffc45f,0x3fffe5ff,
    0x4ffe85ff,0x027ffc40,0x7fc4ffff,0x3fff404f,0xf30fffe6,0x3fea0bff,
    0x77fffc3f,0xfc801fff,0x7fdc004f,0x7ffd81ff,0x7fefffcc,0x20fffd46,
    0x00005fff,0xf980dfff,0x3ffe04ff,0xfff10005,0x82fff885,0xfff55fff,
    0xff98007f,0x07fff76f,0x3fbffee0,0x440006ff,0xff102fff,0x09fff17f,
    0x5027ffc4,0x02201fff,0xff89fff6,0x3fff404f,0x0009fff1,0x7d43fff3,
    0x3fee0eff,0x44bffe27,0xfffcbfff,0x7fe405ff,0x7ec3ffec,0x23ffffff,
    0x7c04fff8,0x9fff15ff,0x5fffc400,0x6ffd47ff,0x3ffe5ffd,0x7f41ffff,
    0x7ffc404f,0x89fffa04,0x7fc04fff,0x1fffcc7f,0x6c07fff4,0x77fc0fff,
    0x401fffa9,0x2000eff9,0x702ffffa,0x7fdc3fff,0x320fffae,0x5fff87ff,
    0xdfff0000,0x02fff980,0x40017ffe,0x7c42fff8,0xdfff82ff,0x004ffff9,
    0xff9fff90,0xffe800df,0x0001ffff,0x403fffa2,0xffd0fffb,0x3ffe201f,
    0xfb99999d,0xff8005ff,0x13ffe25f,0x221fffb0,0xaaaadfff,0x7cc2aaaa,
    0xdfff31ff,0x227ffa81,0xfff12fff,0xffffffff,0x75bfea07,0x7ffec3ff,
    0x3e23ffff,0x99999dff,0xf15fff99,0x7c4009ff,0x22ffeaff,0x5ffdbffc,
    0x3fff3ffe,0x2027ff46,0xf304fff8,0x7ffc4dff,0x17ffee04,0xf707fff3,
    0xbfff07ff,0x7ffd45d0,0x00ffec01,0x09ffff10,0xfb1fffcc,0x45fff19f,
    0xfff85ffe,0xfff00005,0x2fff980d,0xd117ffe0,0x3fe203dd,0x17ffc42f,
    0x7fff7ffc,0x3a0006ff,0x01ffffff,0x7ffffcc0,0x3fa60003,0x3ffa02ff,
    0x40fffea6,0xfffffff8,0x004fffff,0x222fffc8,0x7e404fff,0xffff11ff,
    0xffffffff,0x89fff98f,0xf980ffff,0x4bffe26f,0x50dffff8,0xfd10dfff,
    0x30fffa3f,0x355dffd5,0x7fffffc4,0xffffffff,0xffffff15,0x445fffff,
    0x4ffcafff,0x3ff67ffe,0x3f2bffe5,0x13ffa3ff,0x33bfff10,0x9ffff733,
    0x777fffc4,0xffffeeee,0x41fffcc1,0x7d46fff8,0xffa802ff,0x1bfea01f,
    0x5fffe880,0x3e4fff80,0x29ffd2ff,0xff83fff8,0xff00005f,0xfff980df,
    0x117ffe01,0x3e205fff,0x7ffc42ff,0xffffff82,0x0003ffff,0x09fffff5,
    0x3ffffa00,0xffd10000,0x7ffcc07f,0x41bffe23,0xfffffff8,0x003fffff,
    0x222fffe4,0x7dc04fff,0xffff12ff,0xffffffff,0xeafff98f,0xff301fff,
    0x897ffc4b,0xffc86fff,0x3a4ffc87,0xdffb03ff,0x3ffffe20,0xffffffff,
    0xfffff15f,0x45ffffff,0xffaafff8,0x3f6fff36,0x22bffe5f,0xffd0fffe,
    0xffff8809,0xffffffff,0x3fffe20f,0xffffffff,0x3fff982f,0x641fffb0,
    0xfa800fff,0x3ffa01ff,0x3fff6002,0x6ffd800e,0x3f21fff3,0x03fff36f,
    0x0000bfff,0xf301bffe,0x7ffc03ff,0x817ffc45,0x7c42fff8,0xffff82ff,
    0x0ffffcff,0xdfffb000,0xfff50001,0xd10009ff,0xfc805fff,0x7ffec0ff,
    0xfffff881,0xffffffff,0xfffc801e,0x27ffc40e,0x44bffee0,0xeeeeffff,
    0x7cc5eeee,0x03ffffff,0xff893fe2,0x09fff12f,0xffa8fff7,0xd81fff46,
    0xfff106ff,0xdddddddf,0x3fe2bfff,0xffffffff,0x2bffe22f,0xffb8fff8,
    0x7fcbffb5,0x2bfff52f,0x99954ffe,0x7fffffc4,0x41ffffff,0xfffffff8,
    0x300bdfff,0x3ea07fff,0x17ffe3ff,0x80fffd40,0x2e007ffa,0x7001ffff,
    0xdff71fff,0x7dc7ffcc,0x5fff80ff,0xdfff0000,0x01fff980,0xdd117ffe,
    0x3ffe203d,0x417ffc42,0xf93fffff,0x26000dff,0x88003fff,0x1fffffff,
    0x17ffd400,0x5577ffc0,0x84fffcaa,0x7104fff8,0xfc80bfff,0xff880eff,
    0x7ffe404f,0x009fff11,0xffffff30,0x24ff80df,0xff12fff8,0x1fff707f,
    0xfd07ffe2,0x1bff607f,0x2027ffc4,0xfff15fff,0x3333333b,0xe97ffc41,
    0xb3ffdaff,0x17ffcbff,0xffd5fffb,0xf89fff29,0xeeffffff,0xfff880be,
    0xefffca9d,0x0fffe601,0xfab7ffc4,0xff5002ff,0x13ffa03f,0x17fffd40,
    0xb3fff500,0xafff89ff,0xfff06ffd,0x3fe0000b,0x7ffcc06f,0x017ffe01,
    0x217ffc40,0xff82fff8,0x7fff44ff,0xfff98003,0xfffd8003,0x4006fffe,
    0xfa805ffc,0xffffffff,0x7c40ffff,0x7fe404ff,0xdfff900f,0x13ffe201,
    0x221fffb0,0x98004fff,0xffffffff,0xf88ffa02,0x5fff12ff,0x2e1fff70,
    0xfeeeefff,0x7ec4eeff,0x9fff106f,0xf15fff80,0x7c4009ff,0xf9ff92ff,
    0x97ff63ff,0x3fe22fff,0xf94ffeef,0x27ffc4ff,0x27ffc400,0x407fffea,
    0x3603fff9,0x7ffc8fff,0x07ffea00,0x2007ffe6,0x003ffff9,0x7fe7ffc4,
    0x7e7fec2f,0xbfff04ff,0x3ffe0000,0x0fffcc06,0x000bfff0,0xf10bffe2,
    0xbfff05ff,0x01ffff50,0x03fff980,0x47fffd40,0x2004fffd,0xfe804ffd,
    0xffffffff,0x7c43ffff,0x7fdc04ff,0xefffc82f,0x13ffe200,0x227fff88,
    0x98004fff,0xffdbffff,0x445fd00f,0xfff12fff,0x21fff705,0xfffffffb,
    0x6c6fffff,0xfff106ff,0x15fff809,0x44009fff,0xfff52fff,0x2ffecfff,
    0xffb85fff,0xff94ffff,0x027ffc4f,0x427ffc40,0x980ffffc,0x3ea03fff,
    0x04fffbff,0x207ffea0,0xe8806ffb,0xd0005fff,0x81ffffff,0x2ffffffb,
    0x000bfff0,0x301bffe0,0x7fc03fff,0xff10005f,0x2fff885f,0xfd05fff8,
    0xf9800bff,0x3e2003ff,0xfff12fff,0x2662003f,0x77ffcc00,0xfeeeeeee,
    0x7ffc46ff,0x0fffec04,0x003bffea,0x6409fff1,0x3fe23fff,0xff98004f,
    0x09fff13f,0xfff88262,0x705fff12,0x3fee1fff,0xffffffff,0x37fec6ff,
    0x404fff88,0xfff15fff,0x7ffc4009,0xbfffff12,0xfff2ffec,0xfffffd05,
    0x3fe26f89,0xff88004f,0xbfffd04f,0x807fff30,0x1fffffff,0x07ffea00,
    0x36017ff6,0x0000efff,0x0dfffff9,0x1ffffff3,0x0017ffe0,0x0037ffc0,
    0x33bfff00,0x03333333,0xf885fff1,0x5fff82ff,0x05ffff30,0x01fffcc0,
    0xb8bfffb0,0x95006fff,0xfffc8079,0x0fffec01,0x333bfff1,0xffffb333,
    0xacffff88,0x3e22aaaa,0x99999dff,0x7c46fffd,0x99999dff,0x3e619999,
    0x3fff21ff,0xf1266540,0x3ffe25ff,0x10fffb82,0xf3333333,0xfd8139ff,
    0x9fff106f,0xf15fff80,0x7c4009ff,0x3fffa2ff,0xf97ff63f,0xfff982ff,
    0x893ea4ff,0x88004fff,0xff304fff,0xfff985ff,0x7fffe403,0x7fd4006f,
    0x03fff81f,0x4d7fffdc,0x99999999,0xfffffa80,0xdfffff03,0x4cefffc0,
    0x01999999,0x3006fff8,0xfff017b7,0xffffffff,0x5fff10ff,0xf82fff88,
    0x3ff205ff,0xff3000ff,0x3fea007f,0xfffe80ff,0x06ffd804,0x54037ffc,
    0x3fe24fff,0xffffffff,0x7dc3ffff,0xffffffff,0xffff10ff,0xffffffff,
    0xffff883f,0xffffffff,0x87ffe67f,0x7dc5fff8,0x4bffe27f,0xfb82fff8,
    0xffd000ff,0x41bff607,0x7c04fff8,0x9fff15ff,0x17ffc400,0x6c3ffff9,
    0x0bffe5ff,0xba7fffe4,0x3ffe20ff,0xfff88004,0x3ffff204,0x00fffe60,
    0x07fffff3,0x41fffa80,0x6c02fff8,0xffffffff,0x82ffffff,0x01fffff8,
    0x409ffffb,0xffffffff,0xf807ffff,0xffc806ff,0x7ffc2fff,0xffffffff,
    0x2fff887f,0x7c17ffc4,0x3fe205ff,0xff3005ff,0xfff1007f,0x3ffe607f,
    0x37fec01f,0x007fff50,0x7c43fffe,0xffffffff,0xfe85ffff,0xffffffff,
    0xffff10ff,0xdfffffff,0xfffff105,0xffffffff,0x20fffccf,0x3ee1fffb,
    0x4bffe27f,0xfb82fff8,0xffd000ff,0x41bff607,0x7c04fff8,0x9fff15ff,
    0x17ffc400,0xfd8ffff5,0x40bffe5f,0xb74ffff8,0x04fff881,0x04fff880,
    0xf327fff4,0xffd007ff,0xfa8003ff,0x7ffcc1ff,0x7fffec01,0xffffffff,
    0xfffd02ff,0x7fffdc0f,0x3ffffe02,0x7fffffff,0x406fff80,0x6fc8aff8,
    0x7ffffffc,0x887fffff,0x7fc42fff,0x05fff82f,0x017fffdc,0x401fffcc,
    0x6406fffc,0x7ec06fff,0x3fff606f,0x7fff9000,0x3fffffe2,0x81ceffff,
    0xfffffff8,0xf10fffff,0xdfffffff,0x7ffc407b,0xffffffff,0x3ffe67ff,
    0x2e6ffe81,0x3ffe27ff,0x705fff12,0x3a001fff,0xdffb03ff,0x013ffe20,
    0x3fe2bfff,0x3fe2004f,0x17ffe22f,0x7ffcbffb,0x13ffee02,0x009fff10,
    0x809fff10,0xf31ffff9,0xff9007ff,0xff5000df,0x0fffa83f,0x7ffffec0,
    0xffffffff,0xbfff902f,0x07fffc40,0xfffffff0,0x00ffffff,0xa880dfff,
    0x0001bf22,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03ffa800,0x3101e64c,
    0x33333333,0x00000333,0x006f32e6,0x015e6544,0x05e7664c,0x20037b95,
    0x441bdca8,0x5001bdcb,0x10159bb9,0x55301555,0x220aaaa5,0x800ccdca,
    0xa82bcca8,0x210000aa,0xa980aaa8,0x4400002a,0x102cddcb,0xaa981555,
    0x5c00b81a,0x544aaa20,0x32a20bcc,0x155440ac,0x53059b73,0x1554c055,
    0x2aaaaaaa,0x2aa22aaa,0x1aaa982a,0x0037fe40,0xaa803332,0x82aa981a,
    0x55542aa8,0x01055510,0x98554c08,0x555000aa,0xddb01554,0x323db003,
    0xcccccccc,0xff704ccc,0x0bff700b,0x4cccccdc,0x01a99999,0x26159975,
    0xffffb81e,0x3fa205ff,0x00dfffff,0xfffffffb,0xffffffdb,0x3fffa203,
    0xffb8dfff,0x100dffff,0xfffffffd,0x82fff987,0xbffb7ffb,0xffffffa8,
    0xfffd104f,0x3e21bfff,0x644003ff,0x705fff36,0x00e6cfff,0xfffffb80,
    0x7fcc0fff,0x3bffea2f,0x75cf7e40,0x50efc9ce,0xfffd1dff,0xfffd31df,
    0x7ffc41ff,0xdfffffc8,0x407ffee0,0x7ffc5ffe,0x7fffffff,0x88bfffa2,
    0x6400ffff,0x7fc006ff,0x1bff200f,0xf903fffa,0x97ffc4df,0x3e20fffb,
    0x7c43f504,0x00bff15f,0x3fee7ff7,0x0bfff503,0xff8ffec4,0xffffffff,
    0x4ffc87ff,0x40bff700,0x220c4002,0xeffffffd,0x7ffe41ff,0x886fffff,
    0xfffffffe,0x7ffdc0ff,0xffffffff,0x40ffffff,0xffffffe8,0xffffffff,
    0xffb06fff,0x5fffffff,0x5c17ffcc,0x4bffb7ff,0xfffffffa,0x7ff441ff,
    0x8fffffff,0x5003fff8,0x3fe6fffb,0x27ffb82f,0x2002dffd,0xffeffffa,
    0x7ffcc5ff,0x81ffff32,0xfffffff8,0xf53fffff,0xffffffff,0xffffffdf,
    0x77ffc4df,0x3fffffff,0x2613ffe2,0x7ffc2fff,0x7fffffff,0xfb37ffcc,
    0xff9005ff,0x0fff800d,0x883ffe60,0x7f42ffff,0x4bffe23f,0xff10fffb,
    0x1fffa89f,0x7fe4ffee,0x4dbfe203,0x3ffa06ff,0xfffb80ff,0xffffff1f,
    0x8fffffff,0x0199cffc,0x0502ffdc,0x3fe21880,0xffffffff,0x4efffcc3,
    0x742fffb8,0xfeaaefff,0x3ffe25ff,0xffffa88c,0x8dffb31f,0xebaefffe,
    0x51dfffff,0xffa87fff,0xfffa88af,0x20bffe64,0xbffb7ffb,0x22ffffe2,
    0x7f46ffea,0xffeaaeff,0x02fff8ef,0xbfffff5c,0xfb82fff9,0x3ffff67f,
    0x7fec00be,0x317ffd44,0xfff15fff,0x3ffea03f,0x4fffffff,0x22ffffea,
    0x8cffffe8,0xf10fffe9,0x3ea3bfff,0x3ffe46ff,0x5543ffe4,0xffffaaaa,
    0xacfffb84,0x95004fff,0xfff80079,0x517ffc00,0x7c49ffff,0x3ffe21ff,
    0x261fff72,0xff54ffff,0x7ffc43ff,0xd00fff88,0x07ffa5ff,0x27ffffd4,
    0xc8ffdf74,0xcccccccc,0x3fe64ccc,0x5c07ffff,0x000a05ff,0x67ffec31,
    0x46fffb89,0x7ec0fffd,0x13ffe66f,0xa98bfff2,0x42fffd84,0xff32fff8,
    0xffffb09f,0x446ffb81,0x5ffe83b9,0x2e0bffe6,0x29f517ff,0x7cc1fffb,
    0x9fff31de,0x935fff90,0xfff9103f,0x3e67ffff,0x7ffb82ff,0x3fffffaa,
    0xbffd01cf,0xff981a81,0x01fffeaf,0x6d5f7ff4,0x3fea1fff,0x2fffd44f,
    0x7c47ffea,0x7ffd86ff,0x3e17ffcc,0xff9004ff,0x7fff40bf,0x0000efff,
    0x00fff800,0xff92ffe4,0x37fdcdff,0x4c4bffe2,0x7fffcc19,0xa81ffffd,
    0x0bff76ff,0x3ff2bff7,0x3f3ffa05,0xff88c0ff,0xeea80001,0x3266eeee,
    0xceffeccc,0x80052ccc,0x87fff518,0x3a2ffffd,0xfffa85ff,0x303fff90,
    0xb9809fff,0xfd80fffe,0x01fff74f,0xf30bfff7,0xf73001ff,0x7ffccbff,
    0x2a7ffb82,0x20dff93f,0x81fffc80,0x1fd4fff9,0x7ffffecc,0x7ffcc1df,
    0x987ffb82,0xdffffffc,0x77fffe42,0x3ffe602c,0x4c03ffff,0x7fec0fff,
    0x30bffea4,0xff987fff,0x07fff12f,0xfe81fff7,0x03ffea5f,0x03bfff20,
    0xffffff88,0xddddd301,0x7ddddddd,0x3ffbbbb6,0x546eeeef,0x3bffa7ff,
    0x89ffb0ff,0x3002fff8,0x3fffffff,0xfe9fff40,0x23ffe63f,0xf300fff9,
    0x40fffaff,0x00001ff8,0x3fffea00,0xffffffff,0x91880054,0x6fe41fff,
    0x3ffe5ffe,0xffeeeeee,0x40fffd1f,0x76445fff,0xffffffff,0x5fffffff,
    0x3e20dffb,0xffffffff,0xeb981fff,0x25ffffff,0xfb82fff9,0x366fc8ff,
    0x3fa005ff,0x3bffe07f,0x3fff64fd,0xf300beff,0xfff705ff,0xffffea80,
    0x3fffe26f,0x4c0dffff,0x6fffffff,0x542ffd40,0x3ffea5ff,0x217ffcc1,
    0xff12fff8,0x1fff707f,0xfb0fffb8,0xfff700bf,0xfff5001f,0x7ffd407f,
    0xffffffff,0xffffff4f,0x0fffffff,0xdff13fff,0x3ffe5ff9,0x017ffc41,
    0x3fffff30,0xf77ffb80,0xcb7fe4df,0x3ff606ff,0x220fff54,0xfffff1ff,
    0xffffffff,0xa80dddc4,0xffffffff,0x0054ffff,0x4dffb188,0x6ffd8efb,
    0xfffffff1,0x3a3fffff,0x3ffa05ff,0x3fffff26,0xffffffed,0xfd5fffff,
    0x7fffc0df,0xffffffff,0x7ffffe42,0x3e65ffed,0xfffc82ff,0x3ffa0dff,
    0x17ffa005,0x43ffffe8,0x801dfffd,0xfc82fff9,0xff93007f,0xfffd98ff,
    0x261fffff,0xffffffff,0x21bfea03,0x3fea5ffc,0x17ffcc0f,0x7c4bffe2,
    0xfffb82ff,0x457ffc40,0x7d402fff,0xf3001fff,0x7d409fff,0xffffffff,
    0xffff4fff,0xffffffff,0xf57ffb0f,0xf59ff57f,0x5fff10ff,0x7fffd400,
    0x3ffe204f,0x742fff8a,0x2ffe8aff,0x3e0fff98,0x1ff882ff,0xffffffff,
    0x7c4fffff,0x999302ff,0x999dffd9,0x31000a59,0x7fd57ffa,0x7fcfff90,
    0x999999cf,0x1fff9099,0x2abfff10,0xfb0aefff,0x555557ff,0x3fff6555,
    0xaefffa80,0x0aaaaaaa,0xd873ffee,0x3ffe65ff,0x1bfffc82,0x0106ffd8,
    0xf101fff9,0xffb01dff,0xf98039ff,0x7ffc82ff,0xffffc880,0xfffb7107,
    0x7ffcc9ff,0x00fffdbf,0x7cc7fff1,0x3ffea3ff,0x20fffcc0,0xff12fff8,
    0x1fff705f,0xff7bff90,0xffff980f,0xfffd1002,0x2aa205ff,0xaaaaaaaa,
    0x555551aa,0x55557fff,0xff9dff50,0x3ff3bfe3,0x02fff884,0xffffff50,
    0x53ff209f,0xff984ffc,0xfb0dff37,0x86ffc8bf,0xffff1ff8,0xffffffff,
    0x017ffc4f,0x140bff70,0x7fec6200,0x3fa1ff9e,0x21bffa5f,0x2fffa808,
    0xfb3fffa8,0x5fffb0df,0x5fff7030,0x10ffff90,0x217ffa03,0x3fe25ffe,
    0x07ffd83f,0xf103fff2,0x3ffea5df,0x03fffa82,0xdfffffd5,0x7fff1017,
    0x540fffb0,0x3ffffffd,0x3fa604c4,0x9fff30ff,0xe813ffe2,0xfffeffff,
    0x03ffea1f,0xf883fff3,0x5fff12ff,0x301fff70,0x09ffdfff,0x01ffffc4,
    0xffffffb0,0x0000001f,0xf1001fff,0x7ecfffff,0xf882ffff,0xffa802ff,
    0x4ffffaff,0x7c477fc4,0x4fff206f,0x3fe23ffc,0x17ffcc2f,0x4ccc7ba2,
    0x99999999,0x0bffe219,0x205ffb80,0xfb8c4002,0x3e62ffff,0x3fff24ff,
    0xf32ffec1,0x7f4c3dff,0x8dffb0ff,0x545ffff8,0xfff12eff,0x7fffd41d,
    0x237fec2f,0x7fcc5fff,0x22fffc6f,0x2a07fffa,0x3ee0dfff,0xdfff32ff,
    0x0ffff4c3,0x3ffff6a0,0x7ffc1cff,0x23fffcc5,0xffffffc9,0x2fffc42e,
    0xff33ffdc,0x0fffe45f,0x7fffffe4,0xf50effff,0xfff981ff,0x897ffc41,
    0xffb82fff,0xffffd00f,0x3ffa201f,0x999998bf,0x5e7ffd40,0xf9005fff,
    0xfff800df,0xffffb000,0x3ffffdcb,0x932fff88,0x7fffcc99,0x47ffff31,
    0x3ffb1ffd,0xfd0ffe80,0x4066621f,0x00000999,0x3ee00000,0x1000a05f,
    0x8ffffe23,0x221fffd8,0xfdbdffff,0x7ffe42ff,0x3ffffeef,0x2e73ffea,
    0xbefffffe,0x7dc6fffc,0xfffedfff,0xfdbdffff,0x7ffe42ff,0x6ffffc9c,
    0x6deffff4,0x6c07ffff,0xffedffff,0x7fffe46f,0x03ffffee,0x3ffff260,
    0x3fffa6ff,0x7ffffdbd,0x3ffffff2,0x3ffee01d,0x5fffcabd,0xf88bffe6,
    0x7ff445ff,0xffeffffe,0x81fff53f,0x7c41fff9,0x5fff12ff,0x201fff70,
    0x205ffffb,0xfffffffb,0x3e23ffff,0xfffd0eff,0x0dff9005,0x000fff80,
    0x4c7ffff7,0xf105ffff,0x3ffee5ff,0xf307ff60,0x53fe61df,0xf9803ffa,
    0x009ff34f,0x00000000,0x0bff7000,0xb8620014,0xffccffff,0xfff983ff,
    0x704fffff,0xffffffff,0xffffff09,0xffffdbff,0xf901ffff,0x9fffffff,
    0xfffffffd,0xfffff109,0xa8fffdff,0xbfffffff,0x7f4407ff,0x1fffffff,
    0xffffffb8,0x710004ff,0x7d4fffff,0xfbffffff,0x3ffff67f,0xfffb000c,
    0x41dfffff,0x7dc2fff9,0x8a7442ff,0x547f30a9,0x7fcc0fff,0x97ffc41f,
    0xfb82fff8,0xfff100ff,0x7ffe405f,0xffffffff,0x88bfff63,0x6400ffff,
    0x7fc006ff,0xfff1000f,0x2ffff83f,0x2e5fff10,0x80ec0fff,0x886620d9,
    0x86620019,0x00000198,0x80000000,0x00a01aa9,0x7ffe4310,0x04ffffff,
    0x37ffff62,0x7ffed403,0xffd301ef,0x7fdc3bff,0x2a01ceff,0x20dffffe,
    0x02dffffc,0x27bfffea,0x7542fff8,0xff98dfff,0xffff9007,0x7ed401bf,
    0x0001efff,0xea8ffd50,0xff98dfff,0x002fbf67,0xfffff710,0xfff9819f,
    0x086ffe82,0x7ffd4080,0x20fffcc0,0xff12fff8,0x1fff705f,0x203ffe40,
    0xfffffffc,0xff73ffff,0xbfff709f,0x003cca80,0xd0005554,0xfffb0fff,
    0x4bffe201,0x0000fffb,0x00000000,0x00000000,0xaaaa8800,0xaaaaaaaa,
    0x71880051,0xfffd95df,0x00c4005d,0x22001880,0x004c4009,0x06200cc0,
    0x00013300,0x44000031,0x01880019,0x41260000,0x00590018,0x00266200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffa80,0x4fffffff,0x91188005,0x00001881,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffa80,0x4fffffff,0x55555557,0x00375555,
    0x1ef6cc00,0x439bd950,0xcccccccc,0xc984cccc,0x5b9300ad,0x10399910,
    0x9332e0bd,0x9970ccca,0x017bb909,0x44037951,0x77777710,0x88bbba25,
    0x4ccc4eee,0x99999999,0xddb10999,0x3aa6ed89,0xfffff33e,0xffffffff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0xffffffff,0x0004ffff,0xffb80000,
    0x7dc0efff,0xff1fffff,0xffffffff,0xfffc8fff,0xffffd87f,0x0bffe60e,
    0x7ff41be2,0x747fff27,0x766447ff,0x7fffd46f,0x3f511cef,0x3fffffe2,
    0x5c5fff15,0x7ffcc5ff,0xffffffff,0x3fe63fff,0xfb9ffa0f,0xfffff33f,
    0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb7dff100,
    0x8cfd89ff,0xffff3ffa,0xffffffff,0x7c57fc4f,0x2affe63f,0x3ffe63fe,
    0x4dbe5d12,0xfc9fffa5,0x0fffd1ff,0xff88ffc4,0xffffffff,0xfff11fff,
    0x3fe2bfff,0x303bfa2f,0xffffffff,0x87ffffff,0x9ffa4ff9,0x55513ffb,
    0x55555555,0x00001555,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5ff70000,
    0xf71037fc,0x3333329f,0x7ffdcccc,0x22ffa898,0x99be63fc,0xdff51fff,
    0x3a3ffddf,0x3fff27ff,0x544fffd1,0x3e26fda9,0xfffffdef,0xff11ffff,
    0x362bffff,0x01dd51dd,0x22222222,0x08888888,0x82226ea8,0x00000888,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fec1ff9,0x3ffffb62,
    0x1ffe2004,0x3f62ffe4,0x3f21fe22,0xffffb730,0x9bff239d,0xffb0fffa,
    0x77fffdcd,0xf9307a21,0x8883dfff,0x00000888,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0xff89ff60,0x004fface,
    0x65c1ffe2,0x23bea3ff,0x87f84fc8,0xfb85ffe8,0xb9ffe65f,0x266625ff,
    0x01530000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf17fd400,0x98ffd4df,0x3e2004ff,0xff70447f,0x1fffffe8,
    0x3fa0bfa6,0x7fcc4fec,0xff337fc3,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33ffe200,0x3fe63ffe,
    0x004ffebd,0xff99ffe2,0xfb88dfb1,0x417441cf,0x1ff98ffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf9800000,0xfe84ffff,0x005fedff,0xffb1ffe2,0x00405fff,0x006e2b80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xca880000,0x4c6e601b,0x0ccc002a,0x006fb6a2,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_29_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,0,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,-1,1,1,0,1,0,1,0,1,0,1,0,1,1,
1,1,1,1,1,1,1,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,1,1,1,1,1,1,
-1,1,1,1,1,0,0,1,1,1,1,1,1,-1,1,1,1,1,1,1,1,1,0,1,1,1,1,0,1,1,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,-1,1,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_29_latin_ext_y[560]={ 23,4,4,4,2,4,4,4,4,4,4,7,19,14,
19,4,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,25,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,9,9,9,9,9,9,4,4,4,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,9,4,4,7,4,
4,4,4,4,4,10,9,14,4,1,4,5,4,4,4,9,4,12,23,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,8,4,4,4,4,4,4,4,
0,4,-1,4,4,9,-1,4,-1,4,-1,4,-1,4,-1,4,4,4,0,4,-1,4,-1,4,4,9,-1,4,-1,4,
-1,4,-1,4,4,2,-1,-1,4,4,-1,4,0,4,-1,4,4,4,-1,9,4,4,-1,4,4,4,9,-1,-1,4,
4,4,4,4,4,4,4,-1,4,4,9,-1,4,4,4,9,0,4,-1,4,-1,4,4,9,-1,4,4,9,-1,4,
-1,4,-1,4,4,9,-1,4,4,4,-1,4,4,4,-1,4,0,4,-1,4,-1,3,-1,4,4,9,-1,4,-1,4,
0,-1,4,-1,4,-1,4,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,4,6,6,4,6,6,6,
6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,6,6,6,6,6,6,6,6,6,6,4,9,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,-4,-2,-2,4,-2,4,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6, };
static unsigned short stb__arial_bold_29_latin_ext_w[560]={ 0,5,11,15,14,21,18,5,7,8,10,14,5,8,
5,9,13,9,14,14,14,13,13,13,13,14,5,5,13,14,13,14,26,19,17,17,17,16,14,18,16,5,13,18,
15,19,16,19,16,19,18,17,16,16,19,25,18,19,16,8,9,7,13,16,7,14,14,13,14,14,10,14,14,5,
8,14,5,21,14,14,14,14,10,14,9,14,15,21,15,15,13,10,4,10,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,13,15,14,15,
4,14,9,21,9,12,14,8,21,16,9,14,9,9,7,13,16,5,8,6,10,13,21,20,22,14,19,19,19,19,
19,19,27,17,16,16,16,16,7,7,10,9,19,16,19,19,19,19,19,13,20,16,16,16,16,19,16,14,14,14,
14,14,14,14,21,13,14,14,14,14,7,7,9,9,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,15,
19,14,19,14,20,16,17,13,17,13,17,13,17,13,17,18,19,15,16,14,16,14,16,14,16,14,16,14,18,14,
18,14,18,14,18,14,16,14,19,15,9,9,9,9,9,9,7,7,5,5,18,12,15,10,18,14,14,15,7,15,
8,15,9,15,10,16,8,16,14,16,14,16,14,18,17,14,19,14,19,14,19,14,26,23,18,10,18,11,18,10,
17,14,17,14,17,14,17,14,16,9,16,13,16,9,16,14,16,14,16,14,16,14,16,14,16,15,25,21,19,15,
19,16,13,16,13,16,13,8,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,17,14,14,16,14,14,14,
14,14,14,14,14,14,14,14,14,14,22,18,14,14,14,14,14,14,14,14,14,14,14,14,14,21,18,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,19,14,9,9,19,
14,16,14,16,14,16,14,16,14,16,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,19,14,27,21,20,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__arial_bold_29_latin_ext_h[560]={ 0,19,8,20,24,20,20,8,25,25,9,14,9,5,
4,20,20,19,19,20,19,20,20,19,20,20,14,19,15,10,15,19,25,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,21,19,20,19,20,19,19,19,19,19,25,20,25,11,4,4,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,20,15,14,14,14,20,14,25,25,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,25,20,14,19,
25,25,4,20,10,13,10,5,20,3,9,18,10,10,4,20,25,4,6,10,10,13,20,20,20,20,24,24,24,23,
23,23,19,25,24,24,24,23,24,24,24,23,19,23,25,25,25,24,24,14,22,25,25,25,24,24,19,20,20,20,
20,20,20,21,15,20,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,14,16,20,20,20,20,25,25,25,
23,20,24,20,25,20,25,20,25,20,25,20,25,20,24,20,19,20,23,20,24,20,24,20,25,20,24,20,25,25,
25,25,25,25,25,27,24,24,19,19,24,19,23,19,24,19,25,25,24,14,20,25,25,25,25,25,14,24,24,25,
25,19,19,19,19,19,19,24,19,25,20,24,19,19,20,20,24,20,25,20,25,20,20,15,24,19,25,20,24,19,
25,20,25,20,25,20,25,20,28,27,24,20,19,20,25,20,24,20,25,20,25,21,25,20,25,20,24,19,24,25,
23,24,19,24,19,24,19,19,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,25,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,15,17,17,17,17,17,17,17,17,17,17,17,17,17,20,15,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,24,20,24,19,25,
20,25,20,25,25,25,25,25,25,25,25,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,27,26,25,20,27,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_29_latin_ext_s[560]={ 99,211,125,233,462,327,308,119,173,197,108,
375,102,162,501,90,209,401,146,342,238,62,76,411,48,105,418,333,189,486,218,
93,413,108,128,62,161,179,281,432,264,375,418,35,468,296,316,398,339,54,356,
380,484,363,381,442,74,54,425,370,308,347,465,185,202,122,249,156,203,46,253,
135,223,217,252,196,505,277,299,61,238,253,501,232,89,203,314,390,344,32,330,
104,99,224,146,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,99,506,281,
187,262,322,312,332,210,264,57,452,67,162,341,220,92,1,501,82,177,451,396,
171,137,479,46,438,22,1,480,465,1,21,41,432,412,372,173,440,169,266,122,
1,258,300,206,496,338,452,475,19,39,186,139,424,18,93,129,163,85,102,458,
450,435,420,405,390,375,39,76,328,313,298,283,268,17,497,416,25,194,443,160,
145,130,115,100,360,31,61,46,31,16,215,248,281,392,449,223,419,314,392,335,
363,353,76,420,465,456,494,494,232,382,189,469,159,283,144,325,114,495,129,477,
464,110,47,78,371,474,386,401,59,308,243,280,264,342,254,486,244,159,234,146,
201,217,412,175,116,62,36,154,21,247,69,61,493,206,80,163,1,96,107,124,
408,133,129,223,340,148,215,357,434,247,377,181,293,1,251,205,98,228,300,97,
266,209,311,263,174,75,99,1,278,438,479,1,74,425,349,426,409,297,479,267,
494,231,1,458,74,180,1,146,16,294,475,320,59,352,374,358,391,402,357,201,
503,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,44,16,16,379,
16,16,16,16,16,16,16,16,16,16,16,16,16,318,170,16,16,16,16,16,
16,16,16,16,16,16,16,16,286,137,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,442,218,
284,372,261,120,235,150,207,355,175,317,295,132,115,192,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,39,84,147,165,18,90,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16, };
static unsigned short stb__arial_bold_29_latin_ext_t[560]={ 27,194,230,152,56,107,107,230,56,30,230,
214,230,230,220,131,131,194,194,131,194,152,152,194,152,152,214,194,214,214,214,
194,1,194,194,173,194,194,194,152,194,194,152,194,194,194,194,152,194,107,194,
152,194,152,194,194,194,194,194,1,152,1,214,230,230,214,152,214,152,214,194,
152,194,194,1,194,173,214,214,214,131,131,194,214,107,214,214,214,214,152,214,
1,1,1,230,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,27,82,1,
152,214,173,1,1,230,152,230,214,230,230,152,230,230,214,209,230,230,152,1,
230,230,214,230,214,173,173,152,152,82,82,82,82,82,82,173,1,82,82,82,
107,82,82,82,82,173,82,1,30,30,82,82,214,107,30,30,30,82,82,173,
131,131,131,131,131,131,107,214,131,131,131,131,131,194,173,173,194,131,173,131,
131,131,131,131,214,214,131,131,131,131,30,30,30,82,107,82,107,30,107,30,
107,30,131,30,131,30,131,56,107,173,107,82,107,82,107,82,107,1,107,56,
107,30,56,56,30,30,30,30,1,82,82,173,173,82,173,82,173,82,173,56,
56,82,214,131,56,56,56,56,56,214,82,82,30,30,173,173,194,173,173,173,
56,173,56,131,56,173,173,131,107,56,107,56,107,56,107,107,214,56,173,56,
107,56,173,30,107,30,107,30,107,30,131,1,1,56,107,173,107,30,107,56,
107,30,131,1,107,30,152,30,152,56,173,56,30,82,56,173,56,173,56,173,
152,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,173,214,214,1,
214,214,214,214,214,214,214,214,214,214,214,214,214,152,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,152,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,56,152,
56,173,1,152,1,152,1,1,1,1,1,1,1,1,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,1,1,1,152,1,152,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,214,
214,214,214,214,214,214,214,214,214, };
static unsigned short stb__arial_bold_29_latin_ext_a[560]={ 115,138,197,231,231,369,300,99,
138,138,162,243,115,138,115,115,231,231,231,231,231,231,231,231,
231,231,138,138,243,243,243,254,405,300,300,300,300,277,254,323,
300,115,231,300,254,346,300,323,277,323,300,277,254,300,277,392,
277,277,254,138,115,138,243,231,138,231,254,231,254,231,138,254,
254,115,115,231,115,369,254,254,254,254,162,231,138,254,231,323,
231,231,208,162,116,162,243,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,115,138,231,231,231,231,116,231,
138,306,154,231,243,138,306,229,166,228,138,138,138,239,231,115,
138,138,152,231,346,346,346,254,300,300,300,300,300,300,415,300,
277,277,277,277,115,115,115,115,300,300,323,323,323,323,323,243,
323,300,300,300,300,277,277,254,231,231,231,231,231,231,369,231,
231,231,231,231,115,115,115,115,254,254,254,254,254,254,254,228,
254,254,254,254,254,231,254,231,300,231,300,231,300,231,300,231,
300,231,300,231,300,231,300,299,300,254,277,231,277,231,277,231,
277,231,277,231,323,254,323,254,323,254,323,254,300,254,300,254,
115,115,115,115,115,115,115,115,115,115,326,231,231,115,300,231,
231,254,115,254,115,254,160,254,199,254,115,300,254,300,254,300,
254,294,300,254,323,254,323,254,323,254,415,392,300,162,300,162,
300,162,277,231,277,231,277,231,277,231,254,138,254,199,254,138,
300,254,300,254,300,254,300,254,300,254,300,254,392,323,277,231,
277,254,208,254,208,254,208,115,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,302,311,311,231,311,311,311,311,311,
311,311,311,311,311,311,311,311,354,295,311,311,311,311,311,311,
311,311,311,311,311,311,311,345,301,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,300,231,115,115,323,254,300,254,300,254,300,
254,300,254,300,254,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,300,231,415,369,323,254,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_29_latin_ext(stb_fontchar font[STB_FONT_arial_bold_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_29_latin_ext_s[i] + stb__arial_bold_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_29_latin_ext_t[i] + stb__arial_bold_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_29_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_29_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_29_latin_ext_x[i] + stb__arial_bold_29_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_29_latin_ext_y[i] + stb__arial_bold_29_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_29_latin_ext_s[i] + stb__arial_bold_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_29_latin_ext_t[i] + stb__arial_bold_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_29_latin_ext_x[i] + stb__arial_bold_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_29_latin_ext_y[i] + stb__arial_bold_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_29_latin_ext_LINE_SPACING
#endif

