// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_31_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_31_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT        270
#define STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_31_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_31_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_31_latin_ext_LINE_SPACING          20

static unsigned int stb__arial_bold_31_latin_ext_pixels[]={
    0x01000100,0xddddddd5,0xdddddddd,0xeeeb8003,0xeea80003,0x0180003e,
    0x2eeeb800,0x00000000,0x26660000,0xcccb8000,0x00000000,0x10000440,
    0x00055035,0x00000000,0x00000000,0x00000000,0x01880000,0x4cc43300,
    0x31001310,0x33310013,0x01100001,0x26609988,0x00000001,0x2007332a,
    0x75403ccc,0x21f22003,0xfffffffa,0xffffffff,0x2fffc002,0x5ffe8000,
    0xffd93000,0x88003bdf,0x6c004fff,0x20002fff,0xffb0ffe8,0x7ffdc005,
    0x3fe6000e,0x3a0006ff,0x1dffb6ff,0xfffdc880,0x22000cef,0x001fd46f,
    0x0077ffc0,0xfe9bfe20,0xfff9001f,0x3fea0005,0x001dff15,0x007fff40,
    0xfd87ffc4,0xffc8801f,0xf9003fff,0x54bff21f,0xf900dfff,0xfffb005f,
    0x3f620003,0xfe81efff,0x007ffe2f,0x007fff90,0x1dffff10,0x205fff80,
    0xf5003ffb,0xffff50ff,0xffffffff,0x54005fff,0x300005ff,0x90001dff,
    0xffffffff,0x3ee001bf,0xffb0005f,0xff98000b,0x2005ffbe,0x05fffff9,
    0xffbffd10,0xdff50007,0x801fff31,0xfffffff9,0x32003fff,0x00ffdcef,
    0x07ffdc00,0xdcffb800,0x7ec003ff,0x3f20006f,0x001ffebf,0x007ffea0,
    0xffcdffa8,0xfffe8804,0x200effff,0x3ff24ff8,0x1fffff52,0x9805ff90,
    0x10001fff,0x3ffffffd,0x7fc5ffd0,0x3fe2001f,0xffd0003f,0xff80bff9,
    0x00bfe05f,0xa887ffe8,0xfffdaaaa,0x00aaaaad,0x0003bfa0,0x00077ec0,
    0x3fffffa2,0x06ffffff,0x8000bff0,0x40001ffe,0x00fffffb,0x3f67ffa0,
    0x2ffd802f,0xd8003ffd,0x03ffb1ff,0xffffffa8,0x02ffffff,0x5dfffb10,
    0x3ffd0000,0xfffd8000,0xffb0005f,0x3fa20005,0x40004fff,0xc8001ffe,
    0x9006ffff,0xfffdffff,0x0ffec0bf,0x3fea5ff9,0xffc83fff,0x017fec02,
    0xfffff500,0x8bffa0ff,0x2e001fff,0xf90004ff,0x80bff67f,0xff105fff,
    0x3ffa0079,0x3ffee007,0x55440003,0x3ae00000,0x7fe4000c,0xfec9acff,
    0x54402fff,0x7440000a,0xfe80005f,0x3ae001ff,0x80bdb12e,0x2aa22aa8,
    0x4bfe6001,0xfd803ff8,0xeb99bdff,0x4000ffff,0xf500001a,0xf100003f,
    0x40001fff,0x260005fd,0x40006fff,0x20002ff9,0xf001fffe,0x7ff44fff,
    0x46ff980f,0x3e622ffc,0x2ffc85ff,0x000bba20,0x319fff90,0x20000003,
    0x2a0005fe,0x00aaa22a,0x0bfff300,0xafffea98,0x7ffdc01a,0x01100003,
    0xdf980154,0x3fe6006e,0xfff901ff,0x017b500d,0x00008800,0x000000c0,
    0x00004400,0xff800110,0xffff106f,0x00088003,0x00004400,0x00000000,
    0x00002200,0x01100000,0x20ffff80,0xfd80acca,0x417fe43f,0xffc85ffd,
    0xd0000002,0x00001fff,0x0000c000,0x3ba20030,0x9ddd305e,0xfffffc80,
    0x7fdc04ff,0xd930003f,0x219dffff,0x5d802ff9,0x3fa005f1,0x3fe203ff,
    0x37ea01ef,0x6e54006e,0x00cdefff,0x7fff64c0,0x555301de,0x41555401,
    0xeffffdc8,0x372a000c,0x00cdefff,0xc817ffe6,0x65402eff,0x0cdefffd,
    0x7fee5400,0x7400cdef,0x774406ee,0x01bbba4e,0x5409ddd1,0xcdefffdc,
    0x03777400,0x2213bba2,0xceffffdc,0x2fffec00,0x81fff300,0xffc82ffc,
    0x532ffc86,0x55540155,0x3feaaa02,0x54c1aaef,0x2aaa00aa,0x3ffb2602,
    0x26001def,0x1defffec,0x00dfff10,0x3ffff200,0x7dc04fff,0xfc8003ff,
    0xffffffff,0x801fffcf,0x801fa8ec,0x9807fff8,0xf34d800a,0xfffb1003,
    0x5fffffff,0x3ffff200,0x40dfffff,0xf303fffb,0xfff989ff,0x3fffffff,
    0x7fffec40,0x02ffffff,0x0033fffe,0xffffd880,0x02ffffff,0xfffffd88,
    0x202fffff,0x7c407fff,0x1fffe6ff,0x10dfff10,0xfffffffb,0x7fc05fff,
    0x7ffc407f,0x7ffffcc6,0x203fffff,0x01effff9,0xfc86ffb8,0x87ffc82f,
    0xfff72ffc,0x13ffe607,0xffffffe8,0x7ffdc3ff,0x09fff303,0x3ffffff2,
    0x6400dfff,0xffffffff,0x7ffc40df,0x0acca886,0x32a15551,0x02ccffff,
    0x001fffdc,0xffffffd1,0xffffffff,0x3ffea005,0xfff9800f,0x76400005,
    0x74400fb8,0xffffffff,0x2205ffff,0xfffffffe,0x7c46ffff,0xfff906ff,
    0x7ffffd43,0x2fffffff,0xfffffd10,0xbfffffff,0x3fffff60,0x3a2001bd,
    0xffffffff,0x2205ffff,0xfffffffe,0xf05fffff,0xff880fff,0x01fffe6f,
    0xe88dfff1,0xffffffff,0xff05ffff,0xfff880ff,0x3ffffea6,0x2fffffff,
    0xfffffd10,0x85ffd809,0xffb82ffc,0xf12ffc87,0x3ff20dff,0xffff101f,
    0x883fffff,0xff906fff,0xfffe883f,0xffffffff,0xffffd106,0xdfffffff,
    0x4c6fff88,0xaafffffe,0x7ff40fff,0x3ffee007,0x3fff6003,0xffdb9bdf,
    0x36005fff,0xa803ffff,0x00004fff,0x4027ffcc,0x9bdffffd,0x2ffffeba,
    0x59ffff90,0x5ffffd93,0xe81fffd8,0x7ffec6ff,0xffeb99bd,0xfffd80ff,
    0xfeba9bdf,0xff882fff,0xcfffffff,0x7fffec01,0xffeba9bd,0xfffb02ff,
    0xfd7537bf,0xfff05fff,0x6fff880f,0xf101fffe,0xfffd8dff,0xfeba9bdf,
    0xfff82fff,0x37ffc407,0x337bfffb,0x81ffffd7,0xffffffe8,0xfff881ef,
    0xb82ffc84,0x2ffc87ff,0x3a07fff6,0x2aa206ff,0x0aacfffd,0xe81fffd8,
    0xfffc86ff,0xffec9acf,0xfffc82ff,0xffec9acf,0x3ffe22ff,0x3ffffe66,
    0x0fffdfff,0x7003fff4,0x2a007fff,0xf103ffff,0x1001ffff,0x00dfffff,
    0x0007fff9,0x2e002a00,0x3603ffff,0x7cc0ffff,0xff901fff,0x3fffa8df,
    0x3e27ffcc,0xfff106ff,0xffffb83f,0x3ffff603,0xffffe980,0x704fffff,
    0x6c07ffff,0x7dc0ffff,0x3f603fff,0x7ffc0fff,0x37ffc407,0xf880ffff,
    0x3ffee6ff,0x3fff603f,0x03fffc0f,0xff9bffe2,0xffff106f,0xd8effd83,
    0x4c2fffff,0xffc83fff,0x42fff982,0x3fea2ffc,0x27ffcc3f,0x00fffd80,
    0x261fffd4,0x7fcc4fff,0xfff901ff,0x1ffff98d,0x44dfff90,0x3ffa6fff,
    0xfffb9adf,0x3fff40ff,0x07fff700,0x80ffffe0,0x03fffffd,0xffffffc8,
    0x1fffe402,0x99710000,0x3fe01599,0xffe803ff,0x1ffff44f,0x83dfff10,
    0x7fe46fff,0x17ffe61f,0x7c2effc8,0xfe803fff,0x3f6e04ff,0x5fffffff,
    0x803ffff8,0x7fc4fffe,0xffe803ff,0x03fffc4f,0xff9bffe2,0x7ffc407f,
    0x00ffffe6,0xff13fffa,0xfff880ff,0x40bfff36,0x7fc2effc,0x3fffee2f,
    0x0bffea1f,0x7fc0732a,0x0bff21ef,0xffc8dfff,0xfffd001f,0x91bffe00,
    0xffe83fff,0x3ffe203f,0x0ffffa1e,0x11efff88,0x3feadfff,0xffffb86f,
    0x003fff40,0x3007fff7,0x7e40ffff,0x807fffef,0x5fffffff,0x027ffdc0,
    0xffffd800,0x7c41efff,0xfa800fff,0x3ffe26ff,0x900a9807,0x7ff43fff,
    0x0cffff86,0x7fffc400,0x6fffa800,0xfffda880,0x3fe23fff,0xffa800ff,
    0x3fffe26f,0x6fffa800,0x2203fffc,0x3ffe6fff,0xb7ffc407,0x800ffff8,
    0x7fc6fffa,0x7ffc407f,0x033fffe6,0x87fff100,0x2e7fffe9,0x70001fff,
    0x3f2dffff,0x0fffe42f,0x7c00dffd,0xff9005ff,0x237ff43f,0x9807fff8,
    0x3fffc40a,0x3e2054c0,0x9fff96ff,0x81ffff10,0x2e007ffe,0xfa803fff,
    0xdff704ff,0x401ffff1,0xffecfffa,0x3ffea00f,0x2a008805,0xffffffff,
    0x3ffe60ff,0x3fffe004,0x00bfff30,0x27fff300,0xfd83fff9,0x01bdffff,
    0x004fff98,0x0003fffe,0x4cbfffd5,0x3e004fff,0xfff30fff,0x7fffc009,
    0x101fffe0,0x7ffcdfff,0xb7ffc407,0x2004fff9,0x3fe0ffff,0x7ffc407f,
    0x3fffff66,0xffd001bd,0xfffd883f,0x001fff71,0xcb7ffdc0,0x7ffcc2ff,
    0x007fff33,0x4013ffe6,0xff33fff9,0x5fff987f,0x3ffe6000,0x3fe20005,
    0x05fffb6f,0xfd03fffa,0x7fdc00ff,0xfffc803f,0xf0effa83,0x7ec03fff,
    0x3fffb8ff,0x01bffe20,0xf882f7f6,0xfeb9aeff,0x3ffee3ff,0x3fffa003,
    0x009fff51,0x5dbffa00,0xff880fff,0xcfffffff,0x07fff701,0xb8ffff40,
    0x3e200edc,0x3ffee7ff,0x3fffa003,0x007fff71,0xff0ffff4,0xfff880ff,
    0x101fffe6,0x3feedfff,0x3ffa003f,0x01fffe1f,0x7c4dfff1,0xffffffff,
    0x3fff201c,0x97ffc42f,0x0000fffb,0x32dfffd1,0x6ffe82ff,0x2001fff7,
    0x2003fffa,0xfff76ffe,0x04fffa81,0x13ffea00,0x6fff8800,0x3201fffd,
    0x7ff40fff,0x3ffee007,0x2fffd803,0xfb07ffcc,0x3fe205ff,0x0dfff16f,
    0x202ffff8,0x262ffff9,0x7fd40fdc,0x0bfff24f,0x92fffd80,0x00007fff,
    0x3fa7ffee,0x3ffa605f,0x4fffffff,0x002fffc8,0x7ecbfff6,0x7ffc04ff,
    0x00bfff27,0xf92fffd8,0x7ec005ff,0x1fffe2ff,0x7cdfff10,0x7fc407ff,
    0x05fff96f,0xf17ffec0,0xff880fff,0x7fff4c6f,0x04ffffff,0x89fffff1,
    0xfff30fff,0x3ff60003,0x05ff93df,0xffd3fff7,0x7ffdc00b,0x3ffee001,
    0xfc85ffe9,0x320003ff,0x20003fff,0xffb6fff8,0x3fff603f,0x087ffec0,
    0x01fffdc0,0xf317ffec,0xfffd83ff,0x47fff702,0x2a02fffe,0xfb00efff,
    0xfa800fff,0x3fff64ff,0x3fff6002,0x007fff92,0x37ffe200,0xdb802fff,
    0xffffffff,0x017ffec5,0x2e5fffb0,0xf700ffff,0x7ffecbff,0x3fff6002,
    0x005fffb2,0xff17ffec,0xfff880ff,0x101fffe6,0x3ff6dfff,0x3ff6002f,
    0x01fffe2f,0x2e0dfff1,0xfffffffd,0xffff305f,0x4dff93df,0xeb82fff8,
    0x4fff882e,0x7c417fe4,0x02fffdff,0x003fff60,0xffdfff88,0x3fffc82f,
    0x3fff2000,0x3fe20003,0x07fff76f,0xfb03fffa,0xb809ffff,0xfc803fff,
    0x5ffd14ff,0x203fffd0,0x3ee0fffe,0x7ff405ff,0xfeb99bff,0x5cc03fff,
    0x24fffffd,0x2003fffc,0xff71fffe,0x6c00009f,0x007fffff,0x7fffed44,
    0x3fff23ff,0x3fffa003,0x9dffff11,0xffffb513,0x01fffe47,0x323fffd0,
    0x3a003fff,0x3ffe1fff,0x37ffcc07,0xf980ffff,0x7fff96ff,0x0ffff400,
    0xf980ffff,0x6d4406ff,0x03ffffff,0xffffffd1,0x2fff83ff,0xfa82ffc8,
    0x17fe41ff,0x7fffffd8,0x037ff400,0x7ffffec0,0x09fff707,0x27ffdc00,
    0xdfff1000,0x2a17ffea,0x7d40ffff,0x5c05ffff,0xfb803fff,0x3ffe8dff,
    0x301ffff0,0xff88bfff,0x3fe600ff,0xffffffff,0xff9105ff,0x9fffffff,
    0x0027ffdc,0x3ea1ffff,0x008805ff,0x4fffffa8,0x7ff54000,0x13ffee5f,
    0x20ffff80,0xfffffffa,0x20efffff,0x2004fffb,0xff70ffff,0x7ffc009f,
    0x01fffe0f,0x7fcbfff3,0x7ffcc07f,0x009fff75,0xff07fffc,0xfff980ff,
    0x7ff54005,0x7ffdc05f,0xffd81fff,0xb82ffc83,0x2ffc87ff,0x9fffff50,
    0x05fff800,0xfffffa80,0x0bfff504,0xfff50110,0xf101100b,0x3ffe2dff,
    0xfffd99cf,0xfffc80ff,0x7ffdc05f,0xefffa803,0xff304ffd,0x3fff20ff,
    0x03fffd82,0x7ffffec4,0xd105ffff,0xf37bffff,0x7ffcc9ff,0xffff3007,
    0x4037ffc4,0x3e00bdfd,0x9701ffff,0x7fc401db,0x1fffe67f,0x43fffcc0,
    0xfffffffc,0x7cc0dfff,0xff3007ff,0x3fffccff,0x47fff980,0x2600fffe,
    0x3ffa5fff,0x3ffe600f,0x00ffff35,0xfd1fffe6,0x7fcc01ff,0x01db975f,
    0x403fffc4,0x84ffffe9,0xffc85ffc,0xc87ffb82,0x3ffe02ff,0x3e6001ff,
    0xff0004ff,0x3e203fff,0xdfd806ff,0x0dfff10b,0x2217bfb0,0x3fe66fff,
    0xffffffff,0x033100ff,0xfff80000,0x3f604fff,0xffff05ff,0xffdddddd,
    0x3fae00df,0x202effff,0x7c43fffc,0x3ffe24ff,0xfffe803f,0x017fffc5,
    0x405ffff3,0x3606fffc,0x7fc04fff,0x3fffe27f,0x5fffe803,0xfffffb30,
    0x3fe207df,0xffe803ff,0x3fffe25f,0x5fffe803,0x5017ffec,0x7fec9fff,
    0x3ffea02f,0x07ffff14,0xd8bfffd0,0x3ea02fff,0x9fffb4ff,0x007fff80,
    0x507fffee,0x5ff90fff,0xf90dff90,0x7ffe405f,0x7ffd4006,0xfff90002,
    0x2ffff80d,0x8bfffe60,0x2602ffff,0xff12ffff,0xffffb8df,0x0fffcbff,
    0x1002aa88,0x2e003555,0x2e05ffff,0xfa80ffff,0xffffffff,0x002fffff,
    0x20077fb2,0xff987ffe,0x7fffdc4f,0x3ffff202,0x077ffd40,0x407fffd8,
    0x2e03fffc,0xf700ffff,0xfffb8bff,0x3fff202f,0xdfec800f,0xffffb801,
    0x3ffff202,0x17fffdc0,0x81ffff90,0x3a06fffc,0x3ff23fff,0x3fffa06f,
    0x0bfffee3,0x40ffffc8,0x3a06fffc,0xfff73fff,0x3ffee01f,0x5c1aa985,
    0xffe83fff,0x6417fe41,0x2ffc86ff,0x00ffff20,0x003fff90,0x00ffff20,
    0x201dfff5,0x7d47fffd,0xffb00eff,0x37ffc4ff,0xc8e775c4,0xffa80fff,
    0x7fff3007,0x7ffffc00,0x3fff662d,0xffffd03f,0xffffffff,0x36600bff,
    0x7c00ffec,0x7fec0fff,0xffffe85f,0xffea98ac,0xfffd03ff,0xffd7337f,
    0x7fc407ff,0x3fe200ff,0xda89ceff,0xfe83ffff,0xa98acfff,0x003ffffe,
    0x005ffd9b,0x159ffffd,0x7ffffd53,0x33ffffa0,0xfffea98a,0xffff983f,
    0xffeb99be,0x3ffe60ff,0xfeb99bef,0x7ff40fff,0xea98acff,0xf983ffff,
    0xb99befff,0xf10ffffe,0x5139dfff,0x987ffffb,0x7fcc5fff,0x43ffa84f,
    0xffd82ffc,0x102ffc86,0x8001ffff,0x10007ffe,0xd001ffff,0x7337ffff,
    0xd07ffffd,0x7337ffff,0x447ffffd,0x6c006fff,0xfff507ff,0x0fffe600,
    0x7ffffd40,0xffffffff,0xdfff106f,0x75555555,0x8001ffff,0x7ec03ff8,
    0xffecbeff,0xfff985ff,0xffffffff,0x3fe606ff,0xffffffff,0xeb9985ff,
    0xfa805fff,0xffffffff,0xf980efff,0xffffffff,0x0006ffff,0xff300dfb,
    0xffffffff,0x7cc0dfff,0xffffffff,0x3606ffff,0xffffffff,0xfd84ffff,
    0xffffffff,0xff984fff,0xffffffff,0x3f606fff,0xffffffff,0x7fd44fff,
    0xffffffff,0xfff80eff,0xfffd99cf,0xfc8dfd02,0xfffb712f,0x4c5ff90b,
    0x05fffeb9,0xfffdaca8,0x3ae66005,0xf3005fff,0xffffffff,0x3e60bfff,
    0xffffffff,0x7fc45fff,0x19bdf56f,0x2a0dffd0,0xff3007ff,0xfff5007f,
    0xfffffffd,0x7e407fff,0xffd803ff,0xf710403f,0xfff9803f,0xffeeffff,
    0xffffb107,0x07ffffff,0xfffffb10,0x360bffff,0x01ffffff,0xffffff90,
    0x401bffff,0xffffffd8,0x1003ffff,0x8027fd44,0xffffffd8,0x8803ffff,
    0xfffffffd,0x6c403fff,0xffffffff,0xfd880dff,0xffffffff,0xffb100df,
    0xffffffff,0xfffd8807,0xdfffffff,0xfffffc80,0x00dfffff,0xfffffff5,
    0x7fdc0dff,0x7d4bff21,0xfc82ffff,0x3ffff62f,0xffe801ff,0x2003ffff,
    0x1ffffffd,0x3fff6200,0x05ffffff,0x7ffffec4,0xf885ffff,0xffff16ff,
    0xfffb3139,0x8027cc09,0xe800fda8,0xfffd51ff,0xf803bdff,0xfa800fff,
    0x7fec06ff,0xd3005fff,0x3ea9ffff,0x3f6a01ff,0x01deffff,0x7ffff5c0,
    0x3ff202ef,0x4c003fff,0xeffffffd,0x3ff6a003,0x001defff,0x3bffffee,
    0x7fed4000,0x001defff,0x7ffffed4,0x3ae001de,0x2effffff,0xffffeb80,
    0xb5002eff,0x3bdfffff,0x7fff5c00,0x4c02efff,0xeffffffd,0xffffb803,
    0x7c00efff,0x54bff25f,0xf905ffff,0x7fffe45f,0xffff003f,0x64001bff,
    0x003fffff,0xfffffd70,0x7f5c005d,0x002effff,0xffffffd8,0x500effff,
    0x7d4003ff,0x205d1006,0x3ea00199,0x3fe006ff,0x332a02ff,0x988001bc,
    0x33100000,0x0cc40000,0x1cdeda80,0x04cc4000,0x00cc4000,0x57999100,
    0x03310000,0x00cc4000,0x04ccc400,0x09998800,0x00cc4000,0x04ccc400,
    0x00998800,0xcdecb880,0x21dd5002,0x9bd32eeb,0x51775c03,0x20039bdb,
    0x03cedca8,0x1cdeda80,0x03310000,0x00331000,0xfffffb00,0x4c01dfff,
    0x3bea000e,0x00000001,0x800ffff6,0x0005fffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x9bceecc9,
    0x09000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99800000,0x19988000,0x00000000,0x99880062,0xccb80001,
    0x8800000c,0x31000009,0x98800133,0x2a000099,0x4404c001,0x00620001,
    0x02981a80,0x4cc00000,0x99700009,0x00000019,0x00000000,0x33310000,
    0x00133333,0x77740000,0x27774406,0x000dff30,0x7fffffe4,0x20000002,
    0x0005fffa,0x0fbbaa00,0x2a81a880,0xb8006fe8,0x40001fff,0x2000fffe,
    0x000fffe9,0x8000fffb,0x004ffffb,0xfffec980,0x0002dfff,0x8005fff5,
    0x8005fffd,0x2006ffe8,0x007f40fd,0xffffec88,0x3fa002df,0x90017e20,
    0xfff71fff,0x3fffea03,0x7ffd4000,0xcffb805f,0xb8007f51,0x3e603fff,
    0x01fff15f,0x7fe47ffa,0xffff5003,0x2005ffff,0xfff15ff9,0x07fff801,
    0x2037ffc4,0x50004fd8,0x03999999,0x7e47ffa0,0xfff5003f,0x3a000001,
    0x6f8005ff,0x7fd427cc,0x7ffdc002,0x3fea0001,0x3fea001f,0xfb000fff,
    0x7cc000ff,0x002ffeef,0xfffffd70,0x5fffffff,0x2fffa800,0x3fffee00,
    0x47dc003f,0xbf5001f9,0x2009fb57,0xfffffffc,0xa800efff,0x02ffddff,
    0x7c7ffe20,0xfff102ff,0x7c400dff,0x203ffdef,0xfffffffa,0x7ff4000f,
    0xebffc804,0x3fe602ff,0x2005ffbe,0xfffffffa,0x3ff2002f,0xf802ffeb,
    0x7fc407ff,0x2a2a606f,0x26000a9a,0x4002a20a,0x5ffbeff9,0x027fdc00,
    0x77fd4000,0xcefb8000,0xdff00ffd,0x1fffb800,0x07ffa000,0xfffffd00,
    0x1fff6001,0x89ffe800,0x22000fff,0xabcffffd,0xfffedcaa,0xfff5000d,
    0x3bfe2005,0x2000ffe8,0xe800be6c,0x400effff,0xffffffd8,0x0effffff,
    0x4ffffc80,0xb97fe400,0x3ff603ff,0xb003ffc9,0x1ffd13ff,0x3f2abf20,
    0x7d4005ff,0x3ffa005f,0xffb804ff,0x22000fff,0xaaaaaaaa,0x7fff4000,
    0xffff004f,0x06fff880,0x03fb87f2,0x3fb87f20,0x3fffee00,0xffb8000f,
    0x7f400000,0xf910000e,0x7e407dff,0x2aa6002f,0xff30000a,0xfff88005,
    0x2a60009d,0x5510002a,0x800d54c3,0x002dfff9,0x200bfff5,0x9000aaa8,
    0x13ba63dd,0x07eef880,0x001cb880,0x57dffff9,0xbffffd93,0x4000cc00,
    0x13fa3ff8,0x3b63eea8,0x1554400d,0x0a603551,0x3fa00026,0x7ffcc005,
    0x3fff6006,0x00000002,0x006fff98,0xf101fffe,0x075c0dff,0x75c005d5,
    0xb000baa0,0x4c005fff,0x000ccc19,0x0000aa80,0xff300350,0x0003000d,
    0xf1000110,0x0c0005ff,0x00060000,0x000fffa2,0x000fff62,0x80000000,
    0x00000cc9,0x3ffffa80,0x03ffff20,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd101bbba,0x000009dd,0x4407fff8,0x3bba6fff,0x27774406,
    0xe880dddd,0x000004ee,0x3e61fff1,0x0000007f,0xff800000,0x7f64c02f,
    0x8801deff,0xceffffdc,0x1fff9800,0xffd97100,0x44005bff,0xdffffecb,
    0x82ffd802,0x5550acb9,0x4403ffa3,0x5510acca,0x59951015,0xe82aaa21,
    0x774406ee,0xacca884e,0x64155510,0xfe804fff,0x1bbba2ef,0x749ddd10,
    0x774406ee,0x0355504e,0x03bbb200,0xd101bbba,0x777549dd,0xeeeeeeee,
    0xeee886ee,0xddddd505,0xdddddddd,0x407fff8d,0xa806fff8,0xf000eeee,
    0xff880fff,0x01fffe6f,0x7fcdfff1,0x7ffc407f,0xdddddd56,0xdddddddd,
    0x0fff883d,0x1000fff3,0xdddddddd,0xdddddddd,0xbddd10dd,0x40bff900,
    0xfffffffc,0xff300dff,0xffffffff,0x1fff9807,0xfffffb80,0x00efffff,
    0x7fffffdc,0x500effff,0xfff989ff,0x4fff9fff,0xfd307ff3,0xff55ffff,
    0xfffe981f,0x0fffaaff,0xf101fffe,0xffe98dff,0xfffaafff,0x003fffa0,
    0x3fffc066,0xf9bffe20,0x7fc407ff,0x5fff886f,0x1fffd000,0x880ffff0,
    0x3fee6fff,0xffffffff,0xff887fff,0xffff706f,0xffffffff,0x07fff8ff,
    0x4037ffc4,0x003ffffd,0xf880ffff,0x1fffe6ff,0x7cdfff10,0x7fc407ff,
    0xfffff56f,0xffffffff,0xfff885ff,0x000fff30,0xfffffff7,0xffffffff,
    0xfff10fff,0x0fff700d,0xffffffd1,0x50dfffff,0xffffffff,0x4c05ffff,
    0x7ec01fff,0xffffffff,0xfb00efff,0xffffffff,0xfd01dfff,0xeffff98d,
    0x22ffffff,0x7ffcc6fd,0xffdfffff,0x3fffe60f,0xfffdffff,0x101fffe0,
    0x7fccdfff,0xfdffffff,0xbfff10ff,0xffff0000,0x26fff880,0x7c407fff,
    0xfff886ff,0xfffd0005,0x80ffff01,0x3ee6fff8,0xffffffff,0xf887ffff,
    0xfff706ff,0xffffffff,0x7fff8fff,0x037ffc40,0x1bffffe2,0x203fffc0,
    0x3fe6fff8,0x7ffc407f,0x101fffe6,0x3feadfff,0xffffffff,0x002fffff,
    0xffff0000,0xffffffff,0x0fffffff,0x500dfff1,0xffc81fff,0xfec9acff,
    0x7fec2fff,0xfeb99bdf,0xff500fff,0x7ffe401f,0xfecaabef,0xffc85fff,
    0xecaabeff,0x7cc5ffff,0x37ffe63f,0x1ffffb11,0x3ffa3fdc,0xfffeabff,
    0x3fffa0ff,0xffffeabf,0x01fffe0f,0x7f4dfff1,0xffeabfff,0xfff50fff,
    0xfff00009,0x6fff880f,0xf101fffe,0xfff10dff,0x3ffa000b,0x07fff80f,
    0x5337ffc4,0x95555555,0xf10bffff,0x2aa60dff,0xfcaaaaaa,0x7ffc5fff,
    0x37ffc407,0x3fffff20,0x7fff802f,0xf37ffc40,0xff880fff,0x01fffe6f,
    0x2a2dfff1,0xfffdaaaa,0x00aaaaad,0xffb80000,0xbfffe9cf,0xaaaaaaaa,
    0x06fff882,0x261fff98,0xf901ffff,0x6fff8dff,0x03ffff10,0xfa81fff2,
    0x3f203fff,0x3fea0fff,0x3ff203ff,0x87ff20ff,0xffa86ffd,0xa87fd47f,
    0xffb86fff,0xdfff50ff,0x41ffff70,0x7c407fff,0xdfff56ff,0x21ffff70,
    0x9703fffb,0x47999999,0x7c407fff,0x1fffe6ff,0x10dfff10,0x2000bfff,
    0xff80fffe,0x7ffc407f,0x3ffe2006,0xfff880ef,0xfff10006,0x7fff81df,
    0x037ffc40,0x3ffffffe,0x07fff805,0xff37ffc4,0xfff880ff,0x101fffe6,
    0xfb80dfff,0xaaa803ff,0x00555501,0x7ec3fffa,0xf10001ff,0xff100dff,
    0x1ffff47f,0x23dfff10,0x3205fff9,0xff982eff,0x3fff605f,0x2effe804,
    0x2013fff6,0x3fa2effe,0x40bffe67,0x7fcc5fff,0x205fff90,0xff90fffe,
    0x3fffa05f,0x101fffe0,0x3ff2dfff,0x1fffd02f,0x6c0ffff2,0x6fffffff,
    0xf101fffe,0x3fffcdff,0x21bffe20,0x0005fff8,0xff01fffd,0xfff880ff,
    0x3fffa006,0xdfff101f,0x3fffa000,0x07fff81f,0x5037ffc4,0xfffd9fff,
    0x07fff801,0xff2fffc4,0xfff880ff,0x101fffe6,0xfb80dfff,0x7fc403ff,
    0x0fffd05f,0x6c9fff50,0x10001fff,0x3e00dfff,0xffff14ff,0xff015300,
    0x880019ff,0x101fffff,0x3001ffff,0x1ffff103,0x3fe03300,0xf81bff25,
    0xb3fdc3ff,0x3f601fff,0x1fffb0ff,0xf83fff60,0x7fc407ff,0x01fffb6f,
    0x7dc3fff6,0xfffb04ff,0x7fcdffff,0x7ffc407f,0x101fffe6,0xff10dfff,
    0x3fa000bf,0x7fff80ff,0x037ffc40,0x02ffffd8,0x001bffe2,0x40bffff6,
    0x7c407fff,0x3ff606ff,0x03fffb8f,0x2603fffc,0x3ffe5fff,0x37ffc407,
    0xf880ffff,0x7fdc06ff,0x7ffc403f,0x00fffd05,0x7ec1fffd,0xf10001ff,
    0x3fa00dff,0x0bfff35f,0xffffd800,0xf8801bdf,0x3ea01fff,0x540005ff,
    0x80005fff,0x17ffa4ff,0x360fffcc,0x03fffa6f,0xfe87ffe4,0xfff900ff,
    0x203fffc1,0xffd6fff8,0x3fff201f,0x20bfff50,0xfffccccb,0x101fffe6,
    0x7ffcdfff,0x37ffc407,0x002fffc4,0xf80fffe8,0x7fc407ff,0xfffb806f,
    0x7ffc404f,0x7ffdc006,0x1fffe04f,0x20dfff10,0xff16fff8,0xfffe80df,
    0x97ffe600,0x7c407fff,0x1fffe6ff,0x80dfff10,0x4403fffb,0xffd05fff,
    0x5fffa80f,0x000fffec,0x006fff88,0x3fea9ffd,0x7c40004f,0xffffffff,
    0xffff101c,0x27ffdc09,0x3ffee000,0x7fc40004,0x540fffe2,0x27fc0fff,
    0x3601fffb,0xfffb0fff,0x83fff601,0x7c407fff,0x1fffb6ff,0x443fff60,
    0x8800ffff,0x3ffe6fff,0x37ffc407,0xf880ffff,0xfff886ff,0xfffd0005,
    0x80ffff01,0x4c06fff8,0x8805ffff,0x26006fff,0x7c05ffff,0x7fc407ff,
    0x7fff706f,0xb017fff4,0x7d403fff,0x1fffe4ff,0x7cdfff10,0x7fc407ff,
    0x7ffdc06f,0x2fffc403,0x6c07ffe8,0x7fec1fff,0xffffffff,0xfff881ff,
    0x27fff006,0x0003fffc,0xfffffe98,0xc884ffff,0xf902ffff,0x332e07ff,
    0xf93ccccc,0x332e07ff,0x3e3ccccc,0x40fffe2f,0x7fec6ffd,0x407fff20,
    0xff90fffe,0x3fffa03f,0x101fffe0,0x3ff2dfff,0x1fffd01f,0x4027ffec,
    0x3fe6fff8,0x7ffc407f,0x101fffe6,0xff10dfff,0x3fa000bf,0x7fff80ff,
    0x037ffc40,0x01dffff1,0x00dfff10,0x03bfffe2,0x880ffff0,0xffd06fff,
    0x2fffdc1f,0x40dfff90,0x3fe3fffe,0x7ffc407f,0x101fffe6,0xfb80dfff,
    0x7fc403ff,0x0fffd05f,0x6c37ffcc,0xffffffff,0xf881ffff,0xfff006ff,
    0x00ffff25,0xfffdb800,0x105fffff,0x3f20dfff,0xfffb03ff,0x3f2dffff,
    0xfffb03ff,0x7fcdffff,0x2617ffa3,0x3fee5fff,0x42fffdc4,0xf70ffffa,
    0xfff50bff,0x03fffc1f,0x7ddbffe2,0xfffa85ff,0x3fffe60f,0x3fff2203,
    0x101fffe6,0x7ffcdfff,0x37ffc407,0x002fffc4,0xf80fffe8,0x7fc407ff,
    0x3fffa06f,0xfff1000f,0x3fffa00d,0x7fff800f,0x437ffcc0,0x7c45fff9,
    0xff300fff,0xd7337dff,0x7fc3ffff,0x7ffcc07f,0x301fffe6,0xfb80dfff,
    0x7fc403ff,0x0fffd05f,0x6c17ffec,0xffffffff,0xf881ffff,0xff8806ff,
    0x09fff71f,0xfb510000,0x207fffff,0xff507ffb,0x3fff609f,0xff56ffff,
    0x3fff609f,0x3fa6ffff,0x883fff65,0xff74fffe,0xdffff01d,0xfffffb35,
    0x577fffc1,0x0fffffd9,0xf301fffe,0x7fffcdff,0xffffd9ae,0x7fffec0f,
    0xffba89ad,0x3ffe6fff,0x37ffcc07,0xf980ffff,0xfff886ff,0xfffd0005,
    0x80ffff01,0xfb06fff9,0x44005fff,0xfd806fff,0xff002fff,0xfff980ff,
    0x82fffc85,0x2e03fffd,0xffffffff,0x7fc2ffff,0x7ffcc07f,0x301fffe5,
    0xfb80bfff,0x7fc403ff,0x0fffd05f,0x267fffe2,0xafffe999,0x19999999,
    0x00dfff10,0x3ea1fff5,0x008805ff,0x3fffaa00,0x01fff305,0x2e0bfff1,
    0x6fffcccc,0x2e0bfff1,0x6fffcccc,0x7fcc3fee,0xffffccff,0x00efffff,
    0xfffffff7,0x5c1fffff,0xffffffff,0x3fe0ffff,0x7ffcc07f,0x3ffffee5,
    0x0fffffff,0xffffffd8,0xffffffff,0x301fffe3,0x7ffcbfff,0x2fffcc07,
    0x002fffc4,0xf80fffe8,0x7fcc07ff,0xffffb85f,0x7ffc4003,0x7fffdc06,
    0x3fffa003,0x17ffe600,0x3bbbfffe,0x06fffeee,0x7fffffec,0xfe84ffff,
    0x3fe600ff,0x03fffa5f,0x405fff98,0x4403fffb,0xffd05fff,0x3ffff20f,
    0xffffffff,0xff10001f,0xdff700df,0x4037ffc4,0xb970bdfd,0x7ffc401d,
    0x03fff307,0x2003fffa,0x3fa6fff8,0xff8800ff,0xb93fe26f,0xfdffffff,
    0x805fffff,0xbffffffb,0x7dc0fffc,0xfcbfffff,0x3fffa0ff,0x17ffe600,
    0x7ffffff7,0x3201fff9,0xffffffff,0x7f40dfff,0x3fe600ff,0x03fffa5f,
    0x885fff98,0xa9885fff,0x0fffe80b,0x200fffe8,0x7d45fff9,0x88005fff,
    0x3ea06fff,0x6c005fff,0x3ea02fff,0x7ffd44ff,0xffffffff,0x64c02fff,
    0x2effffff,0x405fffb0,0x3f64fffa,0x3fea02ff,0x7ffdc04f,0x2fffc403,
    0xf887fff8,0xffffffff,0x001fffff,0x00dfff10,0xfff87ffb,0x3ffe602f,
    0x09fffb2f,0xf307fff8,0x3ff603ff,0xfff8804f,0x013fff66,0xfb1bffe2,
    0x6ff6cc3f,0x837bfd52,0xeeca8099,0x20fff91c,0xf91ceeca,0x2fffd8ff,
    0x213ffea0,0xf91ceeca,0xfeb980ff,0x01bdffff,0x5405fffb,0x3ff64fff,
    0x3ffea02f,0x85fff884,0xfe83fffb,0x5fffb07f,0x127ffd40,0x000dffff,
    0x441bffe2,0x8006ffff,0x3a06fffc,0x7ff43fff,0xffffffff,0x2005ffff,
    0xfc801cfc,0x3ffa06ff,0x1bfff23f,0x403fffe8,0xf803fffb,0xfff886ff,
    0xfffffc87,0xffffffff,0xff10001f,0x1fff00df,0x00efffa8,0x7dcffffb,
    0xff700fff,0x3ffe20bf,0x7ffff501,0x37ffe440,0x407ffff5,0x446fffc8,
    0x40001fff,0x4002ffe8,0xd8007ffd,0x7ffe47ff,0x0ffffa06,0x00fffb00,
    0x4013ffaa,0x3a06fffc,0x3ff23fff,0x3fffa06f,0x84fff883,0x7c45fff9,
    0xfff906ff,0x9ffff40d,0x00ffffe8,0x0dfff100,0x01ffffd1,0xdffff300,
    0xfffd7337,0x77ffc41f,0xbaaaaaaa,0x9000ffff,0x3fe6007f,0xeb99beff,
    0x3e60ffff,0xb99befff,0x400ffffe,0xe803fffb,0x7ff41fff,0x7fffc47f,
    0xeaaaaaab,0x10001fff,0xf980dfff,0xffffd04f,0xfffd7337,0x7fffc47f,
    0xffda89ce,0xfff103ff,0x7fffec07,0xffca89ad,0x7fec6fff,0xca89adff,
    0xa86fffff,0x50003fff,0x77d4bfff,0x4dffd04d,0xfd04defa,0xffff98df,
    0xffeb99be,0x9bdf50ff,0x401bffa0,0x804ffecd,0x9beffff9,0x0ffffeb9,
    0x2fbfffe6,0xffffeb99,0x84fffa80,0xa9dffff8,0xf304fffe,0x7337dfff,
    0x321ffffd,0xaaacffff,0x0aaaaaaa,0x6437ffc4,0xaaacffff,0x0aaaaaaa,
    0x7fffffec,0x44ffffff,0xd803fffc,0xfb003fff,0x7ffec009,0xffffffff,
    0xffffd84f,0xffffffff,0x3fffb804,0xdffffc80,0x47fffffd,0x7405fffb,
    0xaaaabfff,0x440aaaaa,0x7e406fff,0xffff300f,0xffffffff,0xfffff50b,
    0xdfffffff,0x67fffc01,0xffffe882,0xffffffff,0x7ff443ff,0xffffffff,
    0xf703ffff,0x20359dff,0xdfffda98,0x33fffe20,0x4fffca89,0x273fffe2,
    0x84fffca8,0xfffffffd,0x224fffff,0xa89cffff,0x8004fffc,0xffb007fd,
    0xffffffff,0xfffb09ff,0xffffffff,0xfffdc89f,0xffff903f,0x01dfffff,
    0x7fffffec,0x24ffffff,0xfffffffd,0xffffffff,0x437ffc43,0xfffffffd,
    0xffffffff,0x7fffec43,0x0dffffff,0x4007fffc,0x7006fffa,0x401759ff,
    0xffffffd8,0x880dffff,0xfffffffd,0xb800dfff,0xe8803fff,0xcdffffff,
    0x7fff47ff,0x7ffff402,0xffffffff,0x37ffc42f,0x8809ff10,0xfffffffd,
    0x3ff205ff,0xffffffff,0x7ffe400d,0xfff900ff,0xffffffff,0x7ffe401b,
    0xffffffff,0x7ff4c00d,0xfddeffff,0x03ffffff,0xfffffffb,0xfd81ffff,
    0xffffffff,0xffd880ff,0xffffffff,0x7fffec0d,0x0fffffff,0x1bfa6080,
    0x7fffec40,0x0dffffff,0xfffffd88,0x40dfffff,0x01fffffe,0xffffffd1,
    0xfd8803ff,0xffffffff,0x3fff60df,0xffffffff,0x7c43ffff,0xfffd86ff,
    0xffffffff,0xd703ffff,0x5dffffff,0x00dfff50,0x4017fffc,0x01fffff8,
    0xfffffeb8,0xfeb802ef,0x02efffff,0x00fffee0,0x9f7ffec4,0x3fea7ffb,
    0xfffe806f,0xffffffff,0x7ffc42ff,0x007fee06,0x7fffff5c,0xffd9802e,
    0x003effff,0x01ffffd1,0x7ffffe4c,0x93001cdf,0x9bffffff,0xffda8003,
    0xffffffff,0x36200bef,0xffffffff,0xfffd881e,0x01efffff,0x7fffff5c,
    0xffb102ef,0x3dffffff,0xfffff300,0xfeb8003f,0x02efffff,0xfffffeb8,
    0xfff882ef,0xffc803ff,0x2002efff,0xffffffeb,0xffffd82e,0xffffffff,
    0x7fc43fff,0xffffd86f,0xffffffff,0x4c403fff,0x7fec0099,0x3ff2003f,
    0x9b71005f,0x99988005,0x33310000,0x3fee0001,0x0098003f,0x007fffd0,
    0xfffffffd,0x85ffffff,0x3606fff8,0x3310004e,0x04cc4000,0x1dd97000,
    0x002a6200,0x002a6200,0x6e654400,0x001bccee,0x66f7664c,0xeecc9802,
    0x4c4002cd,0x32600099,0x002cdeec,0x002f3322,0x01333100,0x02666200,
    0x037bb910,0x0009a880,0x00266620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00019997,0xffffffe8,0x7fc4006f,0xffe8000e,
    0x9ffa801f,0xfd800ffa,0x00bff51f,0x001ccca8,0x00000000,0xb0000000,
    0xdddddddd,0x400179dd,0x00001998,0x3baa0000,0x3a2000ee,0x800004ee,
    0x000000b8,0x88000000,0x36014c0a,0x80000eee,0x99999998,0x04cc4001,
    0x44001331,0x4000ffff,0x06660999,0xddddb500,0x03dddddd,0x00000000,
    0x3ffee000,0x7f40004f,0x06ffffff,0x80027f40,0x2002fff9,0x001ffffb,
    0xfff3fff1,0x7ffcc001,0xf70000ef,0xf70007ff,0x017fe67f,0x0ffff400,
    0x3fffffe0,0xefffffff,0x1fff9001,0xdfff1000,0xffd80001,0x3e2003ff,
    0x800005ff,0xfc8002fb,0xffd002ff,0x000fff23,0x2af7ffea,0x7fff407e,
    0xffc80000,0x00ffffff,0xfd93ff20,0x3ff6003f,0x7fc006ff,0x01fff12f,
    0xffffff30,0x3fffffff,0x3e69ff70,0xffe8806f,0x3000000f,0x05ffbdff,
    0x66665c00,0xa9803ccc,0x000a89a9,0x30017fec,0x01555555,0x3ffffea0,
    0x6fff4002,0x320004ff,0xfd0006ff,0x001fff5f,0x03fff500,0xfffffff0,
    0xffffffff,0x1fff9003,0x1fff7000,0xfff88000,0x3e2006ff,0x800005ff,
    0xff88007d,0x3fe6002f,0x0005ffbe,0xfffffffd,0x0fffe80b,0xfffc8000,
    0x000fffff,0xffd93ff2,0x99ff7003,0x7fc009ff,0x01fff12f,0xfffffe88,
    0xffffffff,0xfd5ffb01,0x3fa2003f,0xd000003f,0x1fff13ff,0x40000000,
    0x00fee1fc,0x4003ff98,0x00fee1fc,0x004fffc8,0xffd9ffe4,0x3ff60002,
    0xfff88002,0xb00002ff,0x3fe005ff,0xccbaaaff,0x804ffffd,0x8000fffc,
    0x80001ffe,0x2ffffffc,0x0bfff100,0x00bf0000,0x0007ff90,0x01fffff7,
    0x2a2bf100,0x7f400cfd,0x980000ff,0x2aaaaaaa,0xb27fe400,0xff3007ff,
    0x800fff4d,0xfff12fff,0xffffb801,0xffdcefff,0xfff100ce,0xf88007ff,
    0x8800007f,0x06aa61aa,0x260ccc00,0x20eb8019,0x199802ea,0x75c00ccc,
    0x2600baa0,0x800ccc19,0x0aaa22aa,0x00dfb000,0x017ffea0,0x017fcc00,
    0xb80ffff0,0xa9807fff,0xffa8002a,0xfff00001,0x200bffff,0x0005fff8,
    0x2001fd40,0x20004ff8,0x0002fffd,0xfe800220,0x800000ff,0x00000008,
    0x40000000,0x7fec0008,0xf74fffff,0xfff500bf,0x3fe6000b,0x00000003,
    0x1fff1000,0x3ba1ffe6,0x7774406e,0x987ffc44,0x6eee87ff,0x22777440,
    0xff30fff8,0x0000000f,0x00000000,0x3e000000,0xfff807ff,0x0000001f,
    0x7fd40000,0x00fffecf,0x515fff88,0x73001599,0x0003fd99,0x00000000,
    0xdfffb950,0x7ff4019b,0xca80000f,0x0cdefffd,0x20377740,0x3ba4eee8,
    0x7774406e,0x3ff72a04,0x7c00cdef,0x4fffffff,0x0000bff7,0x32000000,
    0xdd301eee,0x776c09dd,0x30fff886,0xffff0fff,0x46fff880,0xff30fff8,
    0x80ffff0f,0x7c46fff8,0x0fff30ff,0x300bddd9,0x5003dddd,0xb001dddd,
    0xdddddddd,0x000179dd,0x001dddd5,0xff00ffff,0x7776c1ff,0xeeeeeeee,
    0x3bbb64ee,0xceeeeeee,0x3ff6000b,0x03fffb8f,0xfadfff88,0x101effff,
    0xdffffffb,0x0bddd903,0x23dddd30,0xeeeeeeed,0xb1001ccd,0xffffffff,
    0x3ffa05ff,0x3620000f,0xffffffff,0x3ffe02ff,0x37ffc407,0xf880ffff,
    0xffd886ff,0xffffffff,0x3ffffa02,0xbff74fff,0x401eeed8,0xdddb4eed,
    0xdddddddd,0x7fe409dd,0xffff703f,0x1bffe20f,0x7cc3ffe2,0x07fff87f,
    0x2237ffc4,0xfff30fff,0x880ffff0,0x7fc46fff,0x30fff30f,0xe807ffff,
    0xfb004fff,0xff007fff,0xffffffff,0x8003dfff,0x803ffffd,0x7d407fff,
    0x7fffc7ff,0xffffffff,0x3fffe5ff,0xffffffff,0xff8801ef,0x0dfff16f,
    0xffffff10,0x83ffffff,0xfffffff8,0x7fcc1fff,0x7ff403ff,0x3ffffe4f,
    0xcfffffff,0x3fffa200,0xffffffff,0x0fffe85f,0xfffd1000,0xffffffff,
    0x1fffe0bf,0x7cdfff10,0x7fc407ff,0x7fff446f,0xffffffff,0xffffb05f,
    0x3fee9fff,0x02ffffc5,0x7ffdbffa,0xffffffff,0x3ea05fff,0xfffd05ff,
    0xfff501ff,0x7fc00009,0x7ffc407f,0xfff00006,0x6fff880f,0x3fee0000,
    0xfff700ff,0xfff1001f,0xfff00dff,0xffffffff,0x2003ffff,0x06fffff8,
    0xaaaffff8,0xffffdcba,0x7fffffc3,0xffffffff,0x3fffffe5,0xffffffff,
    0x7ffdc01f,0x00bfffa3,0x5dfffff1,0xd8dffff7,0xffdcffff,0xfffb86ff,
    0xffff700f,0x7fffffc1,0xffffffff,0xbffffb01,0xfffd7537,0x0fffe85f,
    0xffffb000,0xffd7537b,0xffff05ff,0x26fff880,0x7c407fff,0x7ffec6ff,
    0xfeba9bdf,0xffa82fff,0xf74fffff,0xfffff8bf,0x7dbffa02,0xffffffff,
    0x205fffff,0xf887fff8,0xc82fffff,0x00002fff,0xf101fffe,0x20000dff,
    0x7c407fff,0x400006ff,0xf884fffe,0xf9002fff,0x805fffff,0xbaaaffff,
    0x4ffffdcc,0xfffff900,0xffff805f,0xffffffff,0xffff85ff,0xaaaaaaaa,
    0x3fffe1aa,0xfdccbaaa,0x7f404fff,0x3ffee0ff,0x7fffc405,0x32fffd83,
    0x6ff4bfff,0xffe81fff,0xffff884f,0x557fffc2,0xffffeccc,0x3ffffb85,
    0x83ffff60,0x8000fffe,0x203ffffb,0x7c0ffffd,0x7fc407ff,0x01fffe6f,
    0x7dcdfff1,0x3f603fff,0xffc80fff,0xff74ffff,0xffffff8b,0x3edffd00,
    0xaaaaafff,0x401aaaaa,0x7d40fffe,0xe85fffff,0x55540fff,0x7c555501,
    0x7fc407ff,0x406aaa6f,0x3ffe2aaa,0x37ffc407,0x2aa03555,0xffff982a,
    0x02fffe41,0xfffffff0,0x07fff80b,0x803fffdc,0x5fffffff,0x7fffffc0,
    0x2effffff,0x000ffff0,0xf701fffe,0x7fcc0fff,0x7fffc45f,0x1fffe200,
    0xfba7ffcc,0x539f12ff,0x7fffcc03,0x42fffe41,0x3ea07fff,0x7ffc2fff,
    0xfffe803f,0x003fffa4,0x00ffffe0,0xff13fffa,0xfff880ff,0x101fffe6,
    0x7ffcdfff,0xfffe803f,0xffffd504,0xff17fee9,0x3a09ffff,0x0ffff6ff,
    0x7ffe4000,0x7f7ffe42,0x46fff87f,0xfd05fff8,0x03fffcff,0x7c5bffe2,
    0xfffd05ff,0x2203fffc,0xfff16fff,0x41fffa0b,0x3e66fffc,0xf5000fff,
    0x1fffd9ff,0x403fffc0,0x5401ffff,0xfffecfff,0x3bfffe00,0x03ffffee,
    0x8003fffc,0xff807fff,0xfff901ff,0x07fffb05,0x882fffc4,0xfff95fff,
    0xc800bee1,0x3fe66fff,0x7fff80ff,0x137ffdc0,0x5001ffff,0x7ff4dfff,
    0x7fc4000f,0xffa800ff,0x03fffc6f,0xff9bffe2,0x7ffc407f,0x01ffff16,
    0x80dfff50,0xff74ffd8,0xffffff8b,0xf6ffe81f,0x40000fff,0x7f44fffa,
    0x20fffbdf,0x7c44fff9,0xfffd05ff,0x2203fffc,0xfff16fff,0xf9fffa0b,
    0x7fc407ff,0x0bfff16f,0x7c41fffa,0xfffb2fff,0x7ffec007,0x203fffb8,
    0xff807fff,0x7fec00ff,0x03fffb8f,0xff51fffe,0x7ffc09ff,0xffff0007,
    0x01ffff00,0x3bbbfffe,0x06fffeee,0xf817ffe2,0x4fffd6ff,0x7fc4007d,
    0x7fffb2ff,0x201fffe0,0xff30ffff,0x7ffc009f,0x01fffd0f,0x04fff980,
    0xf83fffe0,0x7fc407ff,0x01fffe6f,0x3e6dfff1,0x3fe004ff,0x7fec00ff,
    0xff8bff74,0xe86fffff,0x0ffff6ff,0x7ffc4000,0x26fffe25,0x3fee2fff,
    0x2fffc42f,0x3fe7ffe8,0x7ffc407f,0x20bfff16,0x3ffe7ffe,0xb7ffc407,
    0xfd05fff8,0x7ffd40ff,0x006fffaf,0x7c5bffe2,0x3ffe06ff,0x3fffd407,
    0x45bffe20,0x3fe06fff,0xffffa87f,0x00ffff04,0x501fffe0,0x3ea0ffff,
    0xffffffff,0x102fffff,0x7fc0dfff,0x21fffb6f,0xffa8005f,0x06fffaff,
    0x3601fffe,0xfff71fff,0x7fff4007,0x001fffd1,0x003fffb8,0xff87fffa,
    0x7ffc407f,0x101fffe6,0x3feedfff,0x3ffa003f,0xa7fec01f,0x7ffc5ffb,
    0x743fffee,0x0ffff6ff,0x7fff8000,0x7fc7ffea,0x03fff24f,0x3a0bfff1,
    0x1fffe7ff,0x22dfff10,0xffd05fff,0x203fffcf,0xff16fff8,0x1fffa0bf,
    0xffffffb0,0x7fdc003f,0x0bfffa3f,0x5557fffc,0xffffdcba,0x1fffdc03,
    0x3e05fffd,0xfff907ff,0xfffff05f,0xffffffff,0xaaffff8f,0xfffdcbaa,
    0xffffd03f,0xffffffff,0x3fe20bff,0xfff880ff,0xf53fff74,0x20026a27,
    0xfffffffd,0x01fffe01,0x7e4bfff2,0x3f6002ff,0x1fffd2ff,0x2fffc800,
    0x8bfff600,0x7c407fff,0x1fffe6ff,0x32dfff10,0x36002fff,0x7ec02fff,
    0xf8bff74f,0xffffadff,0x7fdbffa0,0xffffffff,0xfb007fff,0x9fff23ff,
    0x3ffa7ffd,0x05fff887,0x7ffcfffd,0xb7ffc407,0xfd05fff8,0x03fffcff,
    0x7c5bffe2,0xfffd05ff,0xfffff880,0x7ff4004f,0x17ffee0f,0x7ffffffc,
    0x5fffffff,0x20fffe80,0xff05fffb,0x7fff40ff,0x7ffffc0f,0xffffffff,
    0x7fffffc7,0xffffffff,0x5dfff105,0xf7555555,0xff101fff,0xfff703ff,
    0x333ffe67,0x07fff70f,0xffffff88,0x03fffc04,0xfd9fffe4,0x3f6002ff,
    0x1fffd2ff,0x2fffd800,0x8bfff600,0x7c407fff,0x1fffe6ff,0x36dfff10,
    0x36002fff,0x7ec02fff,0xf8bff74f,0x9fffb5ff,0xfffb7ff4,0xffffffff,
    0xff7007ff,0xb97ffa5f,0xfff88fff,0x05fff885,0x7ffcfffd,0xb7ffcc07,
    0xfd05fff8,0x03fffcff,0x7c5bffe6,0xfffd05ff,0xfffff700,0x7ffcc001,
    0x07fffc45,0x7ffffffc,0x02efffff,0x445fff98,0xff80ffff,0x3ffe607f,
    0x7ffffc5f,0xffffffff,0x7fffffc7,0x2effffff,0x00ffff20,0x220ffff6,
    0x2a0effff,0x3fe0ffff,0xfff36fff,0xfff7003f,0xfff801ff,0x4fffb807,
    0x4007fff9,0xffd1fffe,0x5555557f,0x7ffe4555,0x3fffa003,0x301fffe1,
    0x7ffcdfff,0xb7ffcc07,0x2003fffc,0x6c01fffe,0x8bff74ff,0xfff15fff,
    0x7dbffa3f,0xffffffff,0x3007ffff,0xfff19fff,0x557ffcc7,0xff883fff,
    0x4fffd05f,0x7cc07fff,0xbfff15ff,0xff9fffa0,0x7ffcc07f,0x20bfff15,
    0xfd007ffe,0xfc8005ff,0xfffd82ff,0xeeffff83,0x003ffffe,0x360bfff2,
    0xfff83fff,0x7fffe407,0x267fffe2,0x19999999,0x7777fffc,0xf803ffff,
    0xfa800fff,0xfff886ff,0xfffeefff,0x7fffdc4f,0x05ffffef,0x00bfffa0,
    0x3201fffe,0xfff73fff,0x7fffc009,0xffffffd0,0x1fffffff,0x8013ffee,
    0x3fe0ffff,0x7ffcc07f,0x301fffe5,0x3feebfff,0x3ffe004f,0xa7fec00f,
    0x7ffc5ffb,0x75bffee5,0x3ffff6ff,0x33333333,0x77ffc003,0x7fc1fffa,
    0x81fffbcf,0xfd05fff8,0x07fff4ff,0x22bfff30,0xffd05fff,0x007fff4f,
    0x3e2bfff3,0xfffd05ff,0x07fff600,0xddffff00,0xdfffdddd,0xfa8ffff0,
    0xff004fff,0xddddddff,0xfff0dfff,0xdfffd00f,0x8003fffc,0x7fd47fff,
    0x3fea04ff,0x3ffe006f,0x77ffc42f,0xeffffffe,0xfffffa80,0x2000efff,
    0xf801fffd,0xffd807ff,0x0ffff32f,0xe9fffe60,0xffffffff,0xf30fffff,
    0x3e600fff,0x7fff47ff,0x97ffe600,0x2600fffe,0xfff35fff,0x3ffe600f,
    0x74ffd807,0x5fff8bff,0x7f5ffff4,0x00ffff6f,0xbfffb000,0xdff90dff,
    0x3e20fffb,0xffff05ff,0x5017ffec,0x3fe29fff,0x4ffff05f,0x2a02fffd,
    0xfff14fff,0x01fffe0b,0x000fffec,0xfffffff5,0x5fffffff,0xfa87fff8,
    0x7d404fff,0xffffffff,0x7c2fffff,0xff9807ff,0x0ffff4ff,0x21fffe00,
    0xb04ffffa,0x64007fff,0x7fc45fff,0x9ffff95f,0xfffffa80,0xffd8003f,
    0x7fff801f,0x11fffe80,0xd007ffff,0x7ff4bfff,0xffffffff,0xfff10fff,
    0xfffd007f,0x02fffd8b,0xfd93ffea,0x3fea02ff,0x7ffff14f,0x0bfffd00,
    0x3ee9ffb0,0x22fffc5f,0xfffffff9,0x000ffff6,0xfffff700,0xffff509f,
    0x7ffc0bff,0x27fff886,0x3a06fffc,0x3ffe3fff,0x27fff886,0x3a06fffc,
    0x3ffe3fff,0x07fff886,0x003fffb0,0x7ffffff4,0xffffffff,0xc83fffc5,
    0x3a02ffff,0xffffffff,0x05ffffff,0x00137b90,0x2000ffff,0xff907fff,
    0x800005ff,0xfff104fb,0xf100198b,0x40001339,0xf801fffd,0x7fd407ff,
    0x7fffdc7f,0x3ffff202,0x02b36a00,0x0bfffee0,0x40ffffc8,0x3a06fffc,
    0x3ff23fff,0x3fffa06f,0x0bfffee3,0x00ffffc8,0xff74ffd8,0xc85fff8b,
    0xf6ffffff,0x00000fff,0x5ffffff3,0xffffff10,0x0ffff407,0xf99ffffa,
    0xb99befff,0x3a0ffffe,0x7ff41fff,0x3fffe67f,0xffeb99be,0x3fffa0ff,
    0x03ffff41,0x001fffd8,0x555dfff1,0xfff75555,0x03fffc1f,0x101ffffd,
    0x5555dfff,0xffff7555,0x9ffff001,0x00ffff00,0xe81fffe0,0x0000ffff,
    0x7c40ff20,0x2e0005ff,0xfb00001f,0xfff003ff,0x7fff440f,0xcffffe82,
    0xfffea98a,0x7ffe403f,0xfffe800f,0xfea98acf,0xff983fff,0xeb99beff,
    0x3e60ffff,0xb99befff,0x740ffffe,0x98acffff,0x03ffffea,0x3ee9ffb0,
    0x42fffc5f,0x6ffffff8,0x0000ffff,0xffffff10,0x3ffffa01,0x3fff201f,
    0xfffffddf,0x7ffffec7,0x4fffffff,0x6effffe4,0x6c7fffff,0xffffffff,
    0x7e44ffff,0xfffddfff,0xffb007ff,0x3ff2003f,0xfffd803f,0x981fffe3,
    0xfc85ffff,0xffd803ff,0x3ff2003f,0x57fffc00,0xaaaaaaaa,0x81fffe2a,
    0x005ffff9,0x4417f600,0x20005fff,0x3600007d,0xff801fff,0xcaaaaaff,
    0xf306ffff,0xffffffff,0x400dffff,0xf9804ff9,0xffffffff,0x3606ffff,
    0xffffffff,0xfd84ffff,0xffffffff,0xff984fff,0xffffffff,0x36006fff,
    0x8bff74ff,0xff505fff,0x3ffedfff,0xaaaaaaaf,0x3a002aaa,0x3206ffff,
    0x4407ffff,0xdffffffe,0x7ec47ffc,0xffffffff,0x7ff440df,0xffcdffff,
    0x7fffec47,0x0dffffff,0x7fffff44,0x007ffcdf,0x2003fffb,0xa800ffff,
    0x3ffe6fff,0x7fffe407,0x007fffc2,0x1037ffd4,0x7c037f4c,0xffffffff,
    0xf0ffffff,0xffc80fff,0x700002ff,0x221759ff,0x10005fff,0x6c0000bf,
    0xff801fff,0xffffffff,0x2201ffff,0xfffffffd,0x10403fff,0x22003ff7,
    0xfffffffd,0x6c403fff,0xffffffff,0xfd880dff,0xffffffff,0xffb100df,
    0xffffffff,0x4ffd8007,0xfff8bff7,0x3ffff605,0xfffffff6,0xffffffff,
    0x3fff2001,0x3ffea04f,0xffd8805f,0x0fff73ef,0x3fffffae,0x3f6202ef,
    0xfff73eff,0x3ffffae0,0x36202eff,0xff73efff,0x3fff600f,0x6fffa801,
    0x4bfffe00,0xfe807fff,0x3ffea6ff,0x3fffe006,0xfffff882,0xffff801f,
    0xffffffff,0xffff0fff,0x0dfffd00,0x3ffe2000,0xbfff11ff,0x00bea000,
    0x1fffd800,0xffffff80,0x1dffffff,0xffffb500,0xf9003bdf,0x000bffff,
    0xdfffffb5,0x7f5c003b,0x02efffff,0xfffffeb8,0xfb5002ef,0x03bdffff,
    0x2e9ffb00,0x2fffc5ff,0x2dffff10,0xffffffff,0x0fffffff,0x5ffff500,
    0x1ffffc40,0x80002600,0x80009998,0x26200009,0x09800099,0xfffd8000,
    0x3fffd801,0x57fff200,0xf9807fff,0xfffb4fff,0x7ffe4007,0x17999905,
    0x3ffffe00,0xffffffff,0x0ffff0ff,0x09ffff30,0x336e2000,0x000d5542,
    0x40000130,0xf801fffd,0xefffffff,0x220002ce,0xcca80019,0x880001cc,
    0x98800019,0x31000099,0x88000133,0xa9800019,0xf855511a,0x7fdc05ff,
    0xffffff6f,0xffffffff,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1eeed800,0x002776c0,0x00000000,0x0a982a80,0xdddddd50,0x3bbbbb63,
    0xeeeeeeee,0x803bbb64,0x00deeee9,0x9ddd0000,0x02777440,0xa8000000,
    0xd1005fff,0xdd0007dd,0x2009dddd,0xee85eee8,0x44eee84e,0x6401eeeb,
    0xd70004cc,0x8002ea83,0x0006fff9,0x19982662,0x99998800,0xe8001999,
    0x4c401fff,0x01999999,0x04cc4333,0x2a60d400,0x2fffd800,0x007fffc4,
    0x0027ffe4,0x13310ccc,0x26666600,0x7fc00999,0x7ff405ff,0x2fffcc06,
    0x1fffe800,0x237df910,0x41fc81fc,0x3ffee07e,0xffff1fff,0xffffffff,
    0x7fffcbff,0xffffd100,0x21fff103,0xff802ffd,0x3ffe205f,0x00bfff25,
    0x000ffff2,0x0fffffe2,0x013ffe20,0x3fffffe0,0x887fff45,0xfff86fff,
    0x645fff85,0x3ee01fff,0x88004fff,0x01fd31df,0xffffe880,0x7ffd0004,
    0x2000fffc,0xfffffffb,0x3ff2001f,0x3ee00eff,0x1fffffff,0xff53ffcc,
    0x7ffcc00d,0x400feabe,0xfd83fff8,0x7cc06fff,0x2002ffff,0x3fee7ff9,
    0xffff8806,0x7c04ffff,0x3a02ffff,0x7fec06ff,0xfff50005,0x7fffdc03,
    0xff107fff,0x5c09fd9b,0xf1ffffff,0xffffffff,0x7cbfffff,0xfe880fff,
    0x3e602fff,0x004ffbdf,0x7c40bfff,0x37fec5ff,0x001fffc0,0xffeaffe8,
    0x27ffc401,0x7ffffc00,0x87ffea5f,0xff86fff8,0x45fff85f,0xf301fffc,
    0x003ffddf,0x9fffffb0,0xd5ffb000,0xfd0005ff,0x00fffc7f,0x3ffffee0,
    0xf5001fff,0x409ff7bf,0xfffffffb,0x53ffcc1f,0x7ec00dff,0x06ffffff,
    0xfb83ffc8,0x103ffccf,0x1fff3fff,0xb9ffe600,0xff8806ff,0x04ffffff,
    0x07fffffc,0x2206ffe8,0xb0000eff,0x9fe805ff,0x204fffda,0x00cfffeb,
    0x3ffee662,0x555ffff1,0x35555555,0x2207fffc,0x802ffffe,0x006ffffc,
    0x99017ffe,0x03ffb059,0x80027fdc,0xdff33ffb,0x04fff880,0x99dfff80,
    0xf107ffa0,0x79990dff,0xca879990,0x1ffd00cc,0x0001dff1,0x0005bfb5,
    0x3fe29ff5,0x7ff4000f,0x0007ffe3,0x55555553,0xdff10015,0x4c0bff61,
    0xaaaaaaaa,0xf53ffcc0,0x8b7c00df,0x4401dfda,0x6ff984ff,0x3f607ffa,
    0x00bff52f,0xffb9ffe6,0x55555006,0xff803555,0xfd04ffff,0x077e40df,
    0x02ff9800,0x000982a8,0xff500053,0x01fffe3f,0x207fffc0,0x002ffffd,
    0x8007fffa,0x80005fff,0x17fa05fe,0x00088000,0x0013ffe2,0x3ea13ffe,
    0x6fff882f,0x88000000,0x06aa61aa,0x00001800,0x00000000,0x00000000,
    0x00000000,0x22000000,0x00000019,0x00000000,0xffff8000,0xffe81fff,
    0x00000006,0x00000000,0x7c7ffea0,0xff0007ff,0x7ffec1ff,0x0000002f,
    0x55017ffe,0x00000035,0xfffdca80,0x3e200cde,0xaaaa84ff,0x0027ffc1,
    0x5437ffc4,0x2aaa82aa,0x0005554c,0x3b2e2000,0x002dffff,0x00eeeea8,
    0x77775400,0x77540000,0xeed800ee,0xeeeeeeee,0xee884eee,0xeeeed85e,
    0xeeeeeeee,0xddd5004e,0x3bba001d,0x0bddd104,0x20013bba,0x9805eeec,
    0xddb1eeee,0xdddddddd,0xfff09ddd,0xfd0dffff,0x3bbbb6df,0xeeeeeeee,
    0x07bbb64e,0xe889ddb0,0xeeed85ee,0xeeeeeeee,0xfff504ee,0x001fffe3,
    0xfc87fffc,0x76c03fff,0xeeeeeeee,0xff04eeee,0x7ffc40bf,0xb2f77445,
    0x40001ddd,0xffffffd8,0xf102ffff,0xfffc89ff,0x427ffc0e,0x7c45eee8,
    0x5fff86ff,0x7e45fff8,0x0dddb1ff,0x705eee88,0xffffffff,0x6c001dff,
    0x0003ffff,0x01ffffec,0x3ffff600,0xfffff803,0xffffffff,0x6fff885f,
    0xfffffff8,0x5fffffff,0x7ffffb00,0x417ffe00,0xff06fff8,0xff3000bf,
    0xffe807ff,0x3ffffe4f,0xffffffff,0xeefff85f,0x7ff43fff,0xfffffff6,
    0xbfffffff,0x202ffffc,0x7fc46ffe,0xfffff86f,0xffffffff,0x3fff505f,
    0x4001fffe,0xffc8ffff,0xfff803ff,0xffffffff,0xfff05fff,0x2fffc40b,
    0xfe9bffe2,0xd10000ff,0xffffffff,0xf10bffff,0x7ffdc9ff,0x84fff80e,
    0x7c46fff8,0x5fff86ff,0x7e45fff8,0x0ffff1ff,0xd86fff88,0xffffffff,
    0x800effff,0x06fffff8,0x3fffe200,0x3e20006f,0xf806ffff,0xffffffff,
    0x885fffff,0xfff86fff,0xffffffff,0xf8805fff,0xf006ffff,0x3fe20bff,
    0x0bfff06f,0x3fffee00,0x1ffff700,0x7ffffffc,0x5fffffff,0xffadfff8,
    0x5bffa0ff,0xffffffff,0x25ffffff,0x202fffff,0x7fc46ffe,0xfffff86f,
    0xffffffff,0x3fff505f,0x3ffffffe,0x47ffffff,0xfffcffff,0xfff803ff,
    0xffffffff,0xfff05fff,0x2fffc40b,0xfe9bffe2,0xfb0000ff,0x7537bfff,
    0x885ffffd,0xfff54fff,0x13ffe01f,0xf11bffe2,0xbfff0dff,0xfc8bfff0,
    0x0ffff1ff,0x646fff88,0xaabeffff,0x05ffffec,0xffffffc8,0xfff90002,
    0x20005fff,0x2ffffffc,0x557fffc0,0xaaaaaaaa,0x86fff881,0xaaaaffff,
    0x01aaaaaa,0xffffffc8,0x05fff802,0x3e0dfff1,0x3a0005ff,0xff884fff,
    0x7fffc2ff,0xaaaaaaaa,0x5fff81aa,0x7f49fffb,0x55ffff6f,0x55555555,
    0x7fffffc3,0x88dffd00,0xfff86fff,0xaaaaaaaf,0xff501aaa,0x3ffffe3f,
    0xffffffff,0x7fffffc7,0x400fffff,0xaaaaffff,0x01aaaaaa,0x7c40bfff,
    0x7ffc45ff,0x003fffa6,0x0ffffee0,0x20ffffd8,0xffacfff8,0x3ffe01ff,
    0x46fff884,0xff86fff8,0x45fff85f,0xfff1fffc,0x6fff880f,0x80ffffea,
    0x400ffffc,0x5fffffff,0xfffff000,0x3e000bff,0x05ffffff,0x0003fffc,
    0x3e1bffe2,0x400007ff,0x5fffffff,0x105fff80,0x3fe0dfff,0x3e60005f,
    0x7fe41fff,0x07fff85f,0x8afffc00,0xffd1ffff,0x001fffed,0x27fffffc,
    0x7c46ffe8,0x7fff86ff,0xfffa8000,0xfffffff1,0x8fffffff,0xffffffff,
    0x7fc05fff,0xff80007f,0x3ffe205f,0xd37ffc45,0xf0001fff,0xfd007fff,
    0x7ffc49ff,0x401ffffe,0xff884fff,0x37ffc46f,0x7fc2fffc,0x8fffe45f,
    0x7c407fff,0x3fff66ff,0x2effe804,0x3b3ffea0,0x54000fff,0xfffecfff,
    0x7ffd4000,0x200fffec,0x40007fff,0xff86fff8,0x2a00007f,0xfffecfff,
    0x82fffc00,0xff06fff8,0x05e654bf,0x337ffe40,0xff01ffff,0xff8000ff,
    0x5bffee5f,0xffff6ffe,0x3fffe000,0xffe81fff,0x437ffc46,0x80007fff,
    0xfff1fffa,0x3333333f,0xffff8333,0xffff9bff,0x01fffe03,0x817ffe00,
    0x7c45fff8,0x3fffa6ff,0x7ffc4000,0xfffa800f,0x3ffffe26,0x7fc01fff,
    0x6fff884f,0x7c37ffc4,0x5fff85ff,0xff8fffe4,0x7ffc407f,0x01ffff16,
    0x3f600330,0x3fffb8ff,0x47ffec00,0x4003fffb,0xffb8fffd,0x1fffe03f,
    0xdfff1000,0x000ffff0,0x5c7ffec0,0x7fc03fff,0xdfff105f,0x3a37ffe0,
    0x403fffff,0xfb2ffff8,0x3ffe07ff,0x7ffc0007,0x75ffff45,0x0ffff6ff,
    0x3ffffe00,0x6ffe86ff,0x7c37ffc4,0xa80007ff,0xffff1fff,0x3fffe000,
    0x3ffff24f,0x00ffff00,0x40bfff00,0x7c45fff8,0x3fffa6ff,0x7ffcc000,
    0x3fffe004,0xffffff10,0xfff80dff,0x46fff884,0xff86fff8,0x45fff85f,
    0xfff1fffc,0x6fff880f,0x000bfff5,0x16fff880,0x4400dfff,0xfff16fff,
    0x7ffc400d,0x40dfff16,0x40007fff,0xff86fff8,0xf100007f,0x3ffe2dff,
    0x82fffc06,0xff06fff8,0xffffffff,0xffa805ff,0x06fffaff,0x0001fffe,
    0xff98bfff,0xff6fffff,0x3fe000ff,0x43fffeef,0x7fc46ffe,0x07fff86f,
    0x1fffa800,0x2000ffff,0x7c44ffff,0xfff05fff,0xfff0000f,0x2fffc40b,
    0xfe9bffe2,0x7dc000ff,0x3fa003ff,0xffff11ff,0x405fffdf,0xff884fff,
    0x37ffc46f,0x7fc2fffc,0x8fffe45f,0x7c407fff,0x9fff76ff,0xffb80000,
    0x0bfffa3f,0xd1fffdc0,0x2e005fff,0x3ffa3fff,0xfffff02f,0xffffffff,
    0x1bffe20f,0x3ffffffe,0x07ffffff,0xfd1fffdc,0x7ffc05ff,0x0dfff105,
    0x2b3ffffe,0x805fffea,0xfffffffd,0x3ffffe01,0xffffffff,0x90bfff07,
    0x2dffffff,0xffffffff,0x7c7fffff,0xffffadff,0xf11bffa0,0xffff0dff,
    0xffffffff,0x7ffd40ff,0x000ffff1,0x2e03fffe,0xff82ffff,0xffffffff,
    0x3fe07fff,0x3ffe205f,0xd37ffc45,0xc8001fff,0x36002fff,0xfff12fff,
    0x0ffff17f,0x7c427ffc,0x7ffc46ff,0xf85fff86,0x7ffe45ff,0xfffffff1,
    0xffffffff,0x40ffff2d,0xcccccccb,0x41fffd03,0xd005fffb,0x7fdc1fff,
    0xfffd005f,0x82fffdc1,0xffffffff,0x107fffff,0xfff0dfff,0xffffffff,
    0xffe80fff,0x17ffee0f,0xf105fff8,0x3ffe0dff,0x3fffc44f,0x7ffffc40,
    0x7fffc04f,0xffffffff,0x0bfff07f,0xdffffff1,0x3ffffffe,0x47ffffff,
    0xfffb5fff,0x2237ff49,0xfff86fff,0xffffffff,0x3fea07ff,0x00ffff1f,
    0x403fffe0,0x7c0ffffe,0xffffffff,0x3e07ffff,0x3fe205ff,0x37ffc45f,
    0x8001fffd,0x2002fffd,0xff12fffd,0x27ffdcbf,0xf884fff8,0x7ffc46ff,
    0xf85fff86,0x7ffe45ff,0xfffffff1,0xffffffff,0x40ffff2d,0xfffffffd,
    0x45fff986,0x400ffff8,0x7c45fff9,0x7cc00fff,0x7ffc45ff,0xfffff80f,
    0xffffffff,0x0dfff107,0xffffffff,0x40ffffff,0x7c45fff9,0xfff00fff,
    0x1bffe20b,0x7407fffc,0xff7007ff,0xff801fff,0xffffffff,0xfff07fff,
    0x3fffea0b,0xffffff6f,0xffffffff,0xff15fff8,0x1bffa3ff,0xff0dfff1,
    0xffffffff,0x7d40ffff,0x5ffff1ff,0x55555555,0x07fffc55,0x45ffff98,
    0xffffffff,0x207fffff,0x3e205fff,0x7ffc45ff,0x003fffa6,0x007fff90,
    0xf88ffff4,0x7fff44ff,0x884fff80,0x7fc46fff,0x85fff86f,0x7fe45fff,
    0xffffff1f,0xffffffff,0x13ffeadf,0x7fffffec,0x2fffc86f,0x403fffd8,
    0xfd82fffc,0x7fe403ff,0x3fffd82f,0x999ffff8,0x01999999,0xff0dfff1,
    0x333333ff,0x7e403333,0xfffd82ff,0x20bfff03,0xff06fff8,0x1fff60ff,
    0x02fffe80,0x999ffff8,0x01999999,0x7ec0bfff,0xffff6fff,0x33333333,
    0x25fff833,0xffd6fffb,0x86fff88d,0x9999ffff,0x20199999,0xfff1fffa,
    0xffffffff,0x3fe1ffff,0x3ff600ff,0x3fffe2ff,0x99999999,0x17ffe019,
    0x445fff88,0x3ffa6fff,0x7fdc000f,0x3ffe004f,0x89fff10f,0xff85fffa,
    0x6fff884f,0x7c37ffc4,0x5fff85ff,0xff8fffe4,0xaaaaaaff,0xf16fffba,
    0x332e0bff,0xf86fffcc,0xeeeeefff,0x7c06fffe,0xeeeeefff,0x7c06fffe,
    0xeeeeefff,0xff86fffe,0x7c40007f,0x7fff86ff,0xffff8000,0xffeeeeee,
    0x0bfff06f,0x7c1bffe2,0xfffb06ff,0x3fff6001,0x07fff801,0x02fffc00,
    0x3edffff1,0xff0007ff,0xbfffe8bf,0x7fc46ffe,0x07fff86f,0x1fffa800,
    0xffffffff,0x1fffffff,0x8803fffe,0xff0fffff,0xff0000ff,0x7ffc40bf,
    0xd37ffc45,0x98001fff,0xf3007fff,0x7ffc4fff,0x41fffd84,0xff884fff,
    0x37ffc46f,0x7fc2fffc,0x8fffe45f,0x7c407fff,0x3fffa6ff,0x6fff8800,
    0x7fffffd4,0xffffffff,0xfffff502,0xffffffff,0x3ffea05f,0xffffffff,
    0x7ffc2fff,0x7fc40007,0x07fff86f,0x7fffd400,0xffffffff,0x5fff82ff,
    0x20dfff10,0xffb05fff,0x3ff6001f,0x7fff801f,0x2fffc000,0x7dbffee0,
    0xff0007ff,0xffff98bf,0x7fc46fff,0x07fff86f,0x1fffa800,0xffffffff,
    0x1fffffff,0x7003fffe,0x3fe9ffff,0xff80007f,0x3ffe205f,0xd37ffc45,
    0x88001fff,0xe803ffff,0x3fe25fff,0x6fff984f,0x7c427ffc,0x7ffc46ff,
    0xf85fff86,0x7ffe45ff,0x880ffff1,0x3ff66fff,0xfff8804f,0x7fffff46,
    0xffffffff,0xffffd05f,0xffffffff,0x3ffa0bff,0xffffffff,0x7fc5ffff,
    0x7c40007f,0x7fff86ff,0x7fff4000,0xffffffff,0xfff85fff,0x0dfff105,
    0x7ec17ffe,0xffb000ff,0xffff003f,0x37200000,0x3ffe009b,0xbfff0007,
    0xffffff90,0x86fff88d,0x80007fff,0x2001fffa,0x6e4003fb,0xfff8009b,
    0x6e440007,0x3ffe201b,0xd37ffc45,0x70001fff,0x6405ffff,0x5c00ffff,
    0x7fc00abd,0x6fff884f,0x7f8837c4,0x3fff9000,0xf101fffe,0x7ffd4dff,
    0x3ff2203f,0x3bffe26f,0xbaaaaaaa,0x7c40ffff,0xaaaaaeff,0x0ffffbaa,
    0x5577ffc4,0xffbaaaaa,0x1fffe0ff,0xdfff1000,0x000ffff0,0x5577ffc4,
    0xffbaaaaa,0x2fffc0ff,0xf06fff88,0x3ff60bff,0xfffb000f,0x0ffff003,
    0x3ffe0000,0x1fffe04f,0x42fffc00,0x6ffffff8,0x7c37ffc4,0xa80007ff,
    0x36001fff,0x7ffc002f,0x7fff804f,0x7ffcc000,0x9fff503f,0x3a6fff88,
    0xd0000fff,0x3159ffff,0x07ffffd5,0x80dfffd0,0xff884fff,0x982fd46f,
    0xffb0006f,0x01fffe1f,0xfd8dfff1,0xa89adfff,0x26fffffc,0xd803fffc,
    0x7fe43fff,0xfffd803f,0x01fffe43,0xff1fffec,0x555555ff,0xf1055555,
    0xffff0dff,0x55555555,0xfffc8555,0x3fffd803,0xf882fffc,0xbfff06ff,
    0x003fff60,0x400fffec,0xaaaaffff,0x02aaaaaa,0xf00ffc80,0x55555fff,
    0x7c555555,0xfff505ff,0xfff88dff,0xaaffff86,0xaaaaaaaa,0x3ff2aa62,
    0x13fa001f,0x007fe400,0x2aabfffe,0x2aaaaaaa,0xb91ff620,0xf887ffff,
    0x3fffa6ff,0xaaaaaaab,0xffff982a,0xffffffff,0x7fdc006f,0x2b7ffe01,
    0x8dfff11a,0x1ff507fb,0x3ffb6200,0x01fffe7f,0xe88dfff1,0xffffffff,
    0x23ffffff,0xa800ffff,0x7ffc6fff,0xfffa800f,0x007fffc6,0xff37ffd4,
    0xffffffff,0x881fffff,0xfff86fff,0xffffffff,0x3fe0ffff,0xffa800ff,
    0x82fffc6f,0xff06fff8,0x3fff60bf,0x3fffb000,0xffffff00,0xffffffff,
    0x3a60801f,0x3fffe06f,0xffffffff,0xbfff0fff,0x37fffec0,0x3e1bffe2,
    0xffffffff,0x70ffffff,0x03ffffff,0x5d5ffe40,0x37f4c100,0x7fffffc0,
    0xffffffff,0x7f4c420f,0x7fffff44,0xd37ffc41,0xffffffff,0x101fffff,
    0xfffffffb,0x41007fff,0x3e00ffd9,0xf15fffff,0xdff88dff,0x5bff11aa,
    0x7ffd4055,0x1fffe5ff,0x20dfff10,0xfffffffc,0x2a0dffff,0x3e006fff,
    0xfff52fff,0x7fffc00d,0x00dfff52,0xff97fffc,0xffffffff,0x440fffff,
    0xfff86fff,0xffffffff,0xff50ffff,0x7ffc00df,0x417ffe2f,0xff06fff8,
    0x3fff60bf,0x3fffb000,0xffffff00,0xffffffff,0x7ffc401f,0x3fe01fff,
    0xffffffff,0xff0fffff,0x7ffc40bf,0x37ffc46f,0x7ffffffc,0xffffffff,
    0xffffff70,0x7ffcc003,0xfff880ff,0xff801fff,0xffffffff,0xf30fffff,
    0x441fffff,0x883fffff,0x3ffa6fff,0xffffffff,0x36a00fff,0x1defffff,
    0xffffff00,0xfffff805,0x0dfff15f,0x6c7ffffd,0x2e04ffff,0x3e0fffff,
    0x7fc407ff,0x3ff2606f,0x81cdffff,0x2003fffd,0xffb5fffc,0x7fe4007f,
    0x07fffb5f,0xfafffe40,0xffffffff,0x40ffffff,0xff86fff8,0xffffffff,
    0xfb0fffff,0x7e4007ff,0x17ffe5ff,0xf837ffc4,0xfffb05ff,0x3fff6001,
    0xfffff801,0xffffffff,0x666400ff,0x7ffc00bc,0xffffffff,0xfff0ffff,
    0x6fffb80b,0x7c37ffc4,0xffffffff,0x30ffffff,0x01999999,0x02cdb880,
    0x002f3332,0x7ffffffc,0xffffffff,0x05999910,0x2059bd91,0x3fa6fff8,
    0xffffffff,0x1000ffff,0x32e00033,0xcc800bcc,0xff12cccc,0x7bb510df,
    0x01bdda81,0xf02f7b6a,0xff880fff,0x1531006f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4cc40000,0xb0026620,0x2000bb09,0x910001a8,
    0x53000599,0x98001a88,0x200000bd,0x10000008,0x88015401,0x26620000,
    0x80033311,0x4ccc0001,0x00131000,0x06200262,0x4062004c,0x00099809,
    0x31002db8,0x00019983,0x02200002,0x0980c400,0x26604cc0,0x00030000,
    0x80066660,0x4c000999,0x26200099,0x01333099,0x00133310,0x004c4003,
    0x3f235551,0x00fff64f,0x9f7115f9,0x013ea000,0x027ffc40,0x59fffd10,
    0xf98005f9,0x260006ed,0xcdffffec,0xfd930000,0x2619dfff,0xfdc882ff,
    0x000cefff,0xff17fff1,0xfec9809f,0x2001deff,0xd004fff8,0x07fa00bf,
    0x5f70fea0,0x7dc2fb80,0x4007fe82,0xb804fdfc,0x0bff54ff,0x6dc1dddb,
    0x5002efff,0x9bdfffb9,0x70bee001,0x1ffd805f,0x71005ffb,0x5bffffd9,
    0x9fff3000,0x3bffee00,0xdfff7000,0x3fff2001,0x800fffb8,0xb102fffc,
    0x4401bfff,0x3fe604ff,0x6c9ff94f,0x7fcc03ff,0x4000ffff,0x01dfffeb,
    0x027ffc40,0xffffff50,0x5d8001ff,0xf90005f1,0xffffffff,0xffc8005f,
    0xffffffff,0x7cc1fffc,0xffffffff,0x4ffc803f,0xfc80bff7,0xffffffff,
    0xfff8800d,0x2ffecc04,0xf0027dc0,0x00ff757f,0xdf757df1,0x4003ff20,
    0x200f72f8,0x0effbffd,0xe88fffe8,0x2fffffff,0x3ffff620,0x02ffffff,
    0xfbabef88,0xcfff8806,0xffb805ff,0xffffffff,0x3ff6000e,0xffff3005,
    0xfff300bf,0xff100bff,0x007ffe3f,0xe80bffe2,0x00ffffff,0x7cc01ff9,
    0x49ff94ff,0xb9803ffd,0x22000bee,0xfffffffd,0xfff1000e,0x98fe4009,
    0xc8002eec,0x2001fa8e,0xffffffe8,0x05ffffff,0xfffffe88,0xffffffff,
    0x7fffd42f,0xffffffff,0xf97fe202,0xffd100ef,0xffffffff,0xfff100df,
    0x7fffe409,0x007fc405,0x7fffff70,0x3fffee00,0x05ff502f,0x03646740,
    0x1fffff88,0xff5fffd0,0xffffffff,0xffffd101,0xffffffff,0xffff700b,
    0x3fea005f,0x7ec00eff,0xffffffff,0x9800efff,0x3fa005ff,0x402ffd9f,
    0x2ffd9ffe,0xfa97fdc0,0x7ff7003f,0x646ffd40,0x4ff883ff,0x027ffcc0,
    0x20000000,0xfffffffc,0x000004ff,0xf5000000,0x6c001fff,0xa9bdffff,
    0x03ffffeb,0x5effffec,0xfffffdb9,0xbdfffd85,0xffffeb99,0x261bd500,
    0x3ff200de,0xfec9acff,0x54402fff,0x2ff601aa,0x1fe405fe,0x002ca800,
    0x4402ca88,0x3ee004ff,0x3aa002ff,0x3ffa03ee,0xebbdffff,0xfd84ffff,
    0xba9bdfff,0x802ffffe,0xc8002ca8,0x7e401eee,0xcaabefff,0x805ffffe,
    0xd7000deb,0x037b625d,0xed89775c,0xdb1f6c05,0x01f6c009,0x7fd4bff2,
    0x400ffc85,0x7441aaa8,0x754005ee,0xf1000eee,0xf99f5bff,0xeeea81ff,
    0xeeeeeeee,0x3bbb66ee,0x02776c01,0x01ffffec,0x03ffffa8,0x01ffffb1,
    0x40ffffea,0x40fffff8,0xff106fff,0x800003ff,0x901ffff9,0x0000dfff,
    0x4c0bfd0c,0x0000006f,0x0dfd0000,0x0000a880,0x3ffffa00,0xffffc80d,
    0x0ffffee0,0x00ffffd8,0x20000000,0x203ffffa,0x000ffffc,0x00000000,
    0x00000000,0xf88ffec0,0x027fc46f,0xff880988,0x7fec006f,0xff5003ff,
    0x3be9f51f,0x7fffdc1d,0xffffffff,0x17fffe7f,0x880dffd0,0x006fffff,
    0xd007ffff,0x3fe09fff,0x3ff603ff,0x3fe63fff,0x3bff205f,0xa80d5542,
    0x7fff42aa,0x3bffe203,0x2af2ea01,0x205fe800,0x750002fd,0x55401579,
    0x8555501a,0x55500ffc,0x80aaaa03,0xd00abcba,0x2201dfff,0x3fe2ffff,
    0xffe803ff,0x5e5cc04f,0x9953000a,0x7ffec059,0x2effe804,0x37999750,
    0x3332ea00,0x9953001b,0x65cc0059,0x953000ab,0x3ff60599,0xfc8dff11,
    0x0df7000f,0x400dfff1,0x06fffff8,0x3eafff50,0xffffb804,0xffffffff,
    0x3ffffe7f,0x01bffa02,0x5ffffff9,0x0ffff980,0x87fffa80,0x3207fff9,
    0x47fffeff,0x000cffff,0xe82fffc4,0x3ffe27ff,0x200a9807,0xffffffe9,
    0xa82ff402,0xfe98006f,0x882fffff,0xffd05fff,0x882ffb8f,0xffd05fff,
    0xffffd30f,0xfffd05ff,0x3fffe805,0x001ffff1,0x2e0dfff5,0x3fffffff,
    0x3ffff620,0x7fc42fff,0x019800ff,0x3fffffa6,0x3fa605ff,0x05ffffff,
    0x3fffff62,0x3fee02ff,0x203fffff,0xffffffd8,0x997fe42f,0x13fe25ff,
    0xf887fb80,0x3f2006ff,0x802fffff,0x4faafff8,0xaaaaa980,0xffffcaaa,
    0x3fffffe5,0x80dffd00,0x5fffffff,0x027ffd40,0xf50ffff0,0x3fee09ff,
    0x20ffff8e,0xbdfffffd,0x5fff8801,0x7ccfffd0,0xa80005ff,0xffffffff,
    0x417fa03f,0x7d4001fe,0xffffffff,0x82fffc43,0x7fcc7ffe,0x05fff884,
    0xffa8fffd,0x3fffffff,0x200ffff4,0xff34fffc,0x7ffc009f,0x7fffe40f,
    0x886fffff,0xffffffff,0x3ffea2ff,0xff880005,0xffffffff,0xfffff883,
    0x883fffff,0xffffffff,0xfffc82ff,0x86ffffff,0xfffffff8,0x3fea2fff,
    0x7e49ff95,0x1ff2000f,0x801bffe2,0x5fffffff,0xfdfffd00,0xff100009,
    0x7ffc1dff,0xffd04fff,0x67ffd40d,0x2e00fffe,0x3a003fff,0x7fe41fff,
    0x0effa83f,0x7c43ffff,0xffffffff,0xbfff101c,0xfa9fffa0,0xe80004ff,
    0xffbadfff,0x0bfd00ff,0xfd000bf7,0xfff75bff,0x2fffc41f,0xff87ffe8,
    0x05fff886,0xffe8fffd,0xffffbadf,0x003fffa0,0x3ee9fff9,0x3fa003ff,
    0x3ffee1ff,0xffffebef,0x67fffec4,0x2e6fffda,0x80004fff,0xa88afffc,
    0x7e41fffe,0xfea88aff,0x7ffec1ff,0x6fffdacf,0x5f7fffdc,0x6c4ffffe,
    0xfdacffff,0x7fff46ff,0x9ff10fff,0x40ffd800,0x5006fff8,0xfffd9fff,
    0xffff7001,0x400017df,0x7c1ffffe,0x81ffffff,0x3f606ffe,0x3fffb8ff,
    0x00bfff60,0x6c2fffd8,0x7fcc2fff,0x0bfff60f,0xffffffd3,0xff109fff,
    0x9fffa0bf,0x0003fffc,0x221fffdc,0xbfd04fff,0x4000ff88,0x7c43fffb,
    0x3ffe24ff,0xb0fffd05,0xfff881ff,0x5cfffd05,0x7fc43fff,0x03fffa4f,
    0x32bfff70,0x36002fff,0xfff12fff,0xffff985f,0xb0bfff31,0x3ff25fff,
    0x9999703f,0x7fec7999,0x409bc886,0xbc886ffd,0x17ffe609,0x7c4bfff6,
    0x7fcc2fff,0xbfff31ff,0x445fffb0,0x321efffd,0x7f4000ff,0x37ffc41f,
    0xb8fffd80,0xfb003fff,0x09ffffff,0x5ffffb00,0xfffffff0,0x20dffd0d,
    0xff16fff8,0x7ffec0df,0x3fff6002,0x317ffec2,0xffd83fff,0xfffb702f,
    0x88bfffff,0xffd05fff,0x01fffe4f,0x07fff600,0x4c41fffa,0x99027e40,
    0x81fffd83,0x3fe27ffe,0x0fffd05f,0xff885ff7,0x4fffd05f,0xfe81fffd,
    0x03fffa7f,0x36bfff70,0x36002fff,0xfff52fff,0x53ffee07,0xa982fffb,
    0x81fffe41,0xfffffffd,0x33ffff26,0xfffc800a,0x7dc00acf,0x41a982ff,
    0xf703fffa,0x3ffee9ff,0x2201a982,0x227fc409,0xfff02cca,0x06fff885,
    0xf16fff88,0x75c00dff,0x0effffff,0x9ffff700,0x3fbbffe0,0x37ff43ff,
    0x3a3fffb8,0xff902fff,0x7ff4007f,0xa7ffe41f,0xfe82ffe8,0x6d4401ff,
    0x23ffffff,0xfd05fff8,0x27ffdcff,0x3fffa000,0xffdaaaaa,0x03fe2007,
    0x3fa17fe4,0xdaaaaaff,0x3ffe27ff,0x30fffd05,0xfff889ff,0x74fffd05,
    0xaaaaafff,0x3ffa7ffd,0x7ffdc00f,0x007fff95,0xfc8ffff4,0xfff100ff,
    0x003fff2b,0xb04fffa8,0xdfffffff,0x7fffffd4,0xff500bdf,0x17bfffff,
    0x001fff90,0x8807ffe4,0xfff95fff,0xfc800001,0xffffd10f,0x42fff81d,
    0xb806fff8,0x3ffa3fff,0x7fdc002f,0x9804ffff,0x3e05ffff,0xffffadff,
    0x741bffa0,0x3fee0fff,0x9fff705f,0x07fffc00,0x3a37ffee,0xffff03ff,
    0xffea8001,0x17ffe25f,0xff53fff4,0x201100bf,0xffffffff,0x000fffff,
    0x3fee07fb,0x7ffffc2f,0xffffffff,0x20bfff10,0xdff07ffe,0xd05fff88,
    0x7fffcfff,0xffffffff,0x01fffd0f,0xf74fffb8,0x7fc009ff,0x0fffd0ff,
    0xffb6fff8,0x7fc4001f,0x9999705f,0xffb8dfff,0x3fffffff,0xffffff70,
    0xffd87fff,0x3ffa000f,0xdb7ffc07,0x00000fff,0xffd93fe2,0x3e25ffdc,
    0x7ffc43ff,0x0fffe806,0x0017ffee,0xffff79f5,0xeffff880,0x6d7ffe00,
    0x3ffa4fff,0x45fff986,0x980ffff8,0x0b886fff,0x2a1fffea,0x4ffdefff,
    0x5cffff30,0x3e200edc,0x3ffe27ff,0x44fffd05,0xfd806fff,0x3fffe0bd,
    0xffffffff,0x06f9801f,0xf85ffff3,0xffffffff,0xff11ffff,0x1fffa0bf,
    0x3fe23fec,0x4fffd05f,0xffffffff,0xfd1fffff,0xffb801ff,0x0ffff34f,
    0xd9fffe60,0x3fe00fff,0x01fffb6f,0x00fffe80,0x986fff88,0xfffffffc,
    0xfff9303f,0x6c7fffff,0x36000fff,0x3fe00fff,0x01fffb6f,0x87fe4000,
    0x3ffe7ff8,0x889fff30,0x7cc06fff,0x7ffc45ff,0x53ea000f,0x3a00fffb,
    0x7c00ffff,0xffff15ff,0x321bffa3,0xffd82fff,0xffff883f,0xfe9ffe43,
    0xffff05ff,0x7fec09ff,0x13fff65f,0x7c4ffff0,0xffff05ff,0x202ffff8,
    0x3a2ffff9,0x200007ff,0x9ff882fe,0x3fff42ff,0x17ffe200,0xfb83fffc,
    0x17ffe21f,0xffd3fffc,0xfffe800f,0x9fffe400,0x803ffff8,0x3ee5fffe,
    0xfff301ff,0x407fff29,0x7ffec09a,0x6fff8804,0x7ffedcc0,0xfdb9806f,
    0x3ff26fff,0x5c13501f,0xff301fff,0x07fff29f,0xf88004d4,0xe97fe64f,
    0xbfff51ff,0x406fff88,0xfd82fffc,0x9db903ff,0x7ffcd3ea,0x5ffffb00,
    0x5cbfff00,0xdffd6fff,0xdddffff0,0x0dfffddd,0xd87fffee,0xffffffff,
    0xbffff701,0x07fffdc0,0x201ffff7,0x7fc5fffb,0x7fff886f,0x8077ffd4,
    0x7ec7fffd,0x01ab82ff,0x3fa0bf50,0xffd85ff3,0xf81ab82f,0xfff886ff,
    0xf87ff307,0xfff886ff,0x20bfff67,0x7fff41ab,0x17fff400,0x405ffff7,
    0x260ffffc,0xff905fff,0x13ffee7f,0xfa8fffee,0x32203fff,0x95316fff,
    0x4fffd105,0xe882ca98,0x3ffee7ff,0x33fffb84,0x3f20bfff,0x9fff73ff,
    0x007fff70,0x7fd41ff9,0x7d4bff64,0x7ffc45ff,0x77fffc06,0xfffeeeee,
    0x51fffb06,0x41ffee9f,0x003ffffb,0xffe8bfff,0x546ffebf,0xffffffff,
    0x02ffffff,0x237ffffd,0x4ffffffa,0x6fffffc0,0x3ffff662,0x77fffc43,
    0xfffda89c,0x0ffff43f,0x3a1ffffa,0xb99bffff,0x543ffffe,0x3e60dfff,
    0x1fe805ff,0xffaaefc8,0x37ffea2c,0xd17ffe60,0xffe83fff,0xd17fe07f,
    0xffe83fff,0x37ffea7f,0xe97ffe60,0x44d40fff,0x740ffffb,0x98acffff,
    0x83ffffea,0x931dffff,0x7fc4dfff,0xffd30cff,0xffffd83f,0xffca89ad,
    0xfff16fff,0x4dfff01f,0xf80ffff8,0x3ffe26ff,0xfffd30cf,0x8effffc3,
    0x226fffc9,0xd30cffff,0xf8803fff,0xd2ffcc4f,0x3ffea3ff,0x037ffc45,
    0xfffffff5,0x5fffffff,0xf7dfff70,0x50bffd39,0x400bffff,0x7fcc5fff,
    0x746fffff,0xffffffff,0x05ffffff,0xfffffff3,0x5fffffff,0x7ffffd40,
    0xffffffff,0xffff506f,0xffffffff,0xffffc81d,0x7fffffdd,0xffffff98,
    0x05ffffff,0xfbbffffd,0xfb801fff,0xfffffd04,0xfffe8dff,0x0ffffddf,
    0x6effffe4,0x207fffff,0x7ffe47fe,0xfffffddf,0x6fffff47,0x3a0ffffd,
    0x3fe20fff,0x984fffff,0xffffffff,0x306fffff,0xffdfffff,0xffb83fff,
    0xffffefff,0xffffe885,0xffffffff,0x3fff23ff,0xfffecbdf,0x6ffffe43,
    0x43fffecb,0xfefffffb,0x7fcc5fff,0xffffefff,0x7fffdc1f,0x05ffffef,
    0x7c40ffd8,0x543ffe6f,0x7fc45fff,0x3fffa06f,0xffffffff,0xffd05fff,
    0xffffffff,0x6ffff881,0x42fffc00,0x6ffffffc,0x2abbffe2,0xffbaaaaa,
    0xffb100ff,0xffffffff,0xfa83bfff,0xfffffeff,0x403fffff,0xfffffffc,
    0xe880dfff,0xcdffffff,0xffb107ff,0xbfffffff,0x7ffff440,0x4402ffff,
    0x999700ff,0xe887bff9,0xffffffff,0xffffe882,0x07ffcdff,0xfe887ff2,
    0xfcdfffff,0x7fff447f,0x742fffff,0x3fee0fff,0x2206ffff,0xfffffffd,
    0x7cc03fff,0xffffffff,0xfffff902,0x6401dfff,0xffffffff,0xfd80dfff,
    0xffffffff,0xfffffb05,0x320bffff,0xffffffff,0xffff980e,0x902fffff,
    0xffffffff,0x4ff8801d,0xff99ffb0,0x22fffd4b,0xf106fff8,0x55555dff,
    0x1ffff755,0xffffff30,0xfe885fff,0x7c000fff,0xfff885ff,0x3ff26fff,
    0xfffd803f,0x7ffed403,0xfffcceff,0xa8fff47f,0xdefffffe,0xfffb3001,
    0x8807dfff,0xf73efffd,0xffeb80ff,0x9002efff,0x039dfffd,0xf8007f90,
    0x3ffb202f,0x36201cef,0xff73efff,0x21ffd40f,0x73efffd8,0x3fb20fff,
    0xfe81ceff,0x3ff6e0ff,0xda801cef,0x1defffff,0xfffd9300,0xfea801bf,
    0x800bffff,0xffffffc9,0x7f5401cd,0x402effff,0xefffffea,0x7fff5402,
    0x32600bff,0x00dffffe,0x7fffff54,0x0ffd800b,0xdfffff30,0x21e664c1,
    0xf906fff8,0xffb007ff,0x3ff6207f,0xfc80dfff,0xaaaacfff,0xf0aaaaaa,
    0x3fea0bff,0x3ffe6fff,0xfffa800f,0x20662006,0x7443ffe9,0x00033302,
    0x00013310,0x44000026,0x26200019,0x017a2000,0x22007320,0x00980009,
    0x9806aa00,0x02620000,0x000cc000,0x00003310,0x26000131,0x26200009,
    0x3310000a,0x99880013,0x09980009,0x00098800,0x44001330,0x6dc403ee,
    0x7c4000bd,0xffff06ff,0xdfff5001,0xd80bf700,0xffffffff,0x3fffffff,
    0x7ec0bfff,0xfff56fff,0x7fffc00d,0x1ae00002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5437ffc4,0x3e006fff,
    0x7d402fff,0x7fffec04,0xffffffff,0xbfff3fff,0xb7fffc40,0x2003fffd,
    0x0005fffc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdfff1000,0x007fffb0,0x202fffe4,0x7fec03e9,0xffffffff,
    0xff3fffff,0xfffb80bf,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00200000,0x01880000,0x26026200,0x20266000,0x004cc199,
    0x00009998,0x4c400026,0x8000cc41,0x99800008,0x4400ccc1,0x31000199,
    0x4cc40133,0x33300009,0x00110001,0x26621998,0x304cc401,0x4ccc0033,
    0x33310000,0x09998801,0x00220000,0x09998800,0x00004400,0x00033330,
    0x00000880,0x260017b5,0x000ccc19,0x20001333,0x33009998,0xffda8033,
    0xdddb0cef,0xdddddddd,0x3fff2205,0x7cc002ef,0x98027cc4,0x2ffd84ff,
    0xf1007ff9,0x644009ff,0x03deffff,0x7cd7fea0,0xfd93005f,0x8819bdff,
    0x7fc43eee,0x00fff30f,0x000bfffb,0x4401dffd,0xb8006fff,0xa800ffff,
    0x01dfffec,0xfa87ffc4,0x1ffec07f,0xfb003fff,0x3a000bff,0x74400fff,
    0x4c0006ff,0x0adfffeb,0x3fff2000,0xffec9802,0x260001df,0x80005fff,
    0xadfffeb9,0xedfa8000,0x23fff006,0xc800fff8,0xb0006fff,0x3f203fff,
    0xfffb01ff,0xfd3dffff,0xffffffff,0xfff307ff,0x009fffff,0xfebacfd8,
    0x05ff7000,0xbff7fff1,0x13ffe200,0x7ffffe40,0x000effff,0x1fff7ff9,
    0xfffff900,0x445fffff,0x7fc44fff,0x80fff30f,0x02fffffb,0x003ffea0,
    0x8007ffe6,0x05fffff9,0x7fffffd4,0x3fe202ff,0x80fff50f,0x3ffe3ffd,
    0x7fffd401,0x7fcc003f,0xfff1001f,0xfff70005,0xdffffdff,0xfff88001,
    0xffffa802,0x0004ffff,0x8000bff9,0xfefffffb,0x2000efff,0xf003f34d,
    0x3ffe23ff,0x7fffd400,0x7fcc004f,0x2ffec01f,0x7ffffff4,0xffffffff,
    0xffffffff,0xcdfffe83,0x2001fffe,0x04fffff9,0x4c03ff60,0x000fffff,
    0x9009fff1,0xffffffff,0x1005ffff,0x805ffffd,0xffffffe8,0x15ffffff,
    0xff889fff,0x40fff30f,0xfff8eff9,0x03ffd000,0x002ffcc0,0x5ffb3ffd,
    0x3bfffe60,0x2207ffff,0xfff50fff,0x3e3ffd80,0x3fe201ff,0x001ffe8e,
    0x30007ff6,0xfd800dff,0x32a21bdf,0x32002ffe,0xffa803ff,0xffffffff,
    0x77fc4002,0x3ff60000,0x3f2a21bd,0x1d9002ff,0xfff001f7,0x803ffe23,
    0xffe8fff8,0x0bff6001,0xf50ffec0,0xb737bfff,0x55bfffff,0x83555555,
    0x7f44fff8,0xbca8004f,0x037fc000,0x000bbbae,0xfa803555,0xcaadffff,
    0x800fffff,0xd804eee9,0xa9bdffff,0x8affffeb,0x00004fff,0xee98f764,
    0x01ee9804,0x800eea80,0xbdb12eeb,0x45fffb01,0x0001fffe,0x32000000,
    0x09dd31ee,0x000bba20,0xc800774c,0xfe8803ff,0x07db001f,0x44ffff60,
    0x4005fffb,0x20000dea,0xe8803ffc,0xff9801ff,0x0000004f,0x3b623dd7,
    0x05dd1005,0xfd1f6c40,0x3ff209ff,0xf88004ff,0x27ff45ff,0xf3000000,
    0x0000009f,0x77fff400,0x4fffe880,0xffa80000,0x3ff203ff,0x000fee6f,
    0x00000000,0x00000000,0x7e46ffe8,0x000000ff,0x00000000,0x00000000,
    0x55517ff5,0x6fe88355,0xfff00000,0x01fffd0b,0xfa800000,0x2165443f,
    0x2a006fe8,0x00000000,0x00000000,0x2037ffd4,0x0004ffff,0x3ea3ffff,
    0x2e2002ff,0x800acccc,0x2ea02ffb,0x3001bccc,0x22059995,0x2a02fffe,
    0x2200ffff,0x00accccb,0xd009fffd,0x87f67fff,0x55501aaa,0xa80d5545,
    0x06aaa2aa,0x55515554,0x40aaaa03,0x0accccb8,0xfe8bfff0,0x7973006f,
    0x32e20015,0x3000accc,0x40015797,0x000abcb9,0x002af2e6,0x3ffee7ff,
    0x3a22ffff,0x332e203f,0xff300acc,0x0135507f,0x0b3332a2,0xf0037995,
    0xffffd87f,0x80ffa22f,0x0accccb8,0x15797500,0x55e5d400,0x2f2ea000,
    0x2aaa800a,0xb807fff9,0x70004fff,0xfff7dfff,0x3ff6001f,0x01efffff,
    0x74c07fec,0x5fffffff,0x3ffff620,0x0a602fff,0x40ffffe0,0xfffffffd,
    0x7fffcc1e,0xffffa800,0x3ffe25fd,0x22fffd05,0xffd05fff,0x417ffe2f,
    0xfff17ffe,0x21fffa0b,0xfffffffd,0x25fff81e,0x5c03fffa,0x3fffffff,
    0x7ffffec0,0x3ee01eff,0x03ffffff,0x7fffffdc,0x7ffdc03f,0xf503ffff,
    0x5d577dcd,0x1bea0ffe,0x7fffffec,0x9fff01ef,0xffff5000,0xffd7dfff,
    0x2a05ffff,0x56ffe46f,0x1bea0ffd,0x7fffffec,0x3fa601ef,0x402fffff,
    0xffffffe9,0x7fff4c02,0x7fc02fff,0x05fffb5f,0x004fffa8,0x3fffffa0,
    0xff5001ff,0xffffffff,0x4437fc01,0xffffffff,0xfff883ff,0x2fffffff,
    0x7ffe4000,0xfffffa84,0x2a0fffff,0x3e004fff,0x220dffff,0xffd05fff,
    0x417ffe2f,0xfff17ffe,0x45fffa0b,0xffd05fff,0xfffffa8f,0x220fffff,
    0x3ff65fff,0x3fff200f,0x06ffffff,0xfffffff5,0xff901fff,0xdfffffff,
    0x3fffff20,0xf906ffff,0xffffffff,0x7dc9fb0d,0x3e22ff85,0x7fffd41f,
    0x80ffffff,0x44005ffe,0xffffffff,0xffffffff,0x24fd81ff,0x27ec1ff9,
    0xffa83ff1,0xffffffff,0xfffffa80,0xf503ffff,0xffffffff,0x3fffea07,
    0x203fffff,0xfffd5fff,0xffff9803,0x5fffffff,0x3ffffee0,0xfff1000d,
    0xfffd735d,0x213fe607,0xa88afffc,0x7ec1fffe,0xffdacfff,0x33332a6f,
    0xcccccccc,0x7c45fffd,0xfeb9aeff,0x3ffee3ff,0x3fffa003,0x05fff883,
    0x3fe2fffd,0x2fffd05f,0xfd05fff8,0x17ffe2ff,0xff13fff4,0xffd735df,
    0xafffc47f,0x2e05fff8,0xfebeffff,0x7fc44fff,0xffeb9aef,0x7fffdc3f,
    0x4ffffebe,0x5f7fffdc,0x5c4ffffe,0xfebeffff,0x17f44fff,0x1ff88bf7,
    0xfff117f4,0xfffd735d,0x7fff5547,0x3600aaaa,0xfeb9bfff,0xeb9bffff,
    0x17f41fff,0x7f400ff7,0x2bbffe22,0x83fffeb9,0xfbadfffe,0xffe80fff,
    0xffffbadf,0xadfffe80,0xf00ffffb,0x3fffebff,0x7fffc400,0x5fffffff,
    0xffffff70,0x7ee4c007,0x827ffd40,0xffd82ffb,0x209bc886,0xfd85fff9,
    0xffffb2ff,0xffffffff,0xc98fffff,0x7ffd40fd,0x00bfff24,0x883fffd8,
    0xffd05fff,0x417ffe2f,0xfff17ffe,0x45fffa0b,0xffd05fff,0x207ee4cf,
    0x3e24fffa,0xffff35ff,0x5ffff101,0x21ffff98,0x7d40fdc9,0x3ffe24ff,
    0x7fffcc2f,0x85ffff11,0xf11ffff9,0xff985fff,0xb83fe1ff,0x5ffcccff,
    0x37263fb8,0x27ffd40f,0xfffffffd,0x36e205ff,0x7fffcc2e,0x227ff443,
    0x017f20ff,0x37263fc8,0x27ffd40f,0xf10fffee,0xfffb89ff,0x227ffc43,
    0x7c43fffb,0xbfff04ff,0x1003fffe,0xffffffff,0xfd88bfff,0x1fffffff,
    0x2a000153,0xffb04fff,0x9ffff901,0xfffb8015,0x7ec1a982,0xffffffff,
    0x7fffffff,0x27ffd400,0x4005fffb,0xf882fffd,0xfffd05ff,0x7417ffe2,
    0xbfff17ff,0x7c5fffa0,0xfffd05ff,0x27ffd400,0x7fcbfff1,0xfffa85ff,
    0x09fff703,0x527ffd40,0x3ee07fff,0x7fff54ff,0x553ffee0,0xff703fff,
    0x3ee3fc9f,0x702effff,0x7fd4009f,0x3ffffa4f,0x002fffff,0x01ffff30,
    0x47f8fff9,0x3ee004fd,0x3ffea004,0x40fffec4,0x7fec7ffe,0x47ffe81f,
    0xfe81fffd,0x2bfff07f,0x4c01fffe,0x9999dfff,0x7fec0999,0xefffd8ef,
    0x9806ffc8,0x4fffffdb,0x3ea0fff0,0xbdffffff,0x00fffc80,0x3bbffee0,
    0xeeeeeeee,0x5cc05fff,0x24fffffd,0x2003fffc,0xf881fffe,0xfffd05ff,
    0x7417ffe2,0xbfff17ff,0x7c5fffa0,0xfffd05ff,0x7ffedcc0,0x3ffe24ff,
    0x17fffea5,0x2201fff9,0x2e605fff,0x24fffffd,0xf100fffc,0x3fff2bff,
    0x2bfff100,0xf100fffc,0x70fecbff,0x07ff73df,0xdb980ff6,0x2e4fffff,
    0xccefffcc,0xfb73001c,0x555fffff,0x41fff955,0x21bf21fd,0x203fd808,
    0xfffffdb9,0x557fff44,0x47ffdaaa,0xaaaafffe,0x7f47ffda,0xdaaaaaff,
    0xbfff07ff,0x500bfff6,0x44009fff,0x3fa26fff,0x05fffdff,0xffffff91,
    0xff109fff,0x7fffdc0b,0x6c3fffff,0x2a000fff,0xfa804fff,0xffc884ff,
    0x4fffffff,0x8013ffee,0xf880ffff,0xfffd05ff,0x7417ffe2,0xbfff17ff,
    0x7c5fffa0,0xfffd05ff,0xfffffc88,0x3e24ffff,0x7ffdc5ff,0x01fffa4f,
    0xfc88dfff,0xffffffff,0xf01fffa4,0x1fffadff,0x3fadfff0,0x37ffc07f,
    0x72fdc9f7,0x85ff03ff,0xffffffc8,0xfff04fff,0x7fdc400b,0xffffffff,
    0xffffffff,0xfb8fee1f,0x3e27ec0f,0x7ffe442f,0x44ffffff,0xffffffff,
    0x3e0fffff,0xffffffff,0x3fe0ffff,0xffffffff,0xfff80fff,0x809fff95,
    0x2004fffc,0x7cc3fffa,0x82ffffff,0xbdffffe8,0xfa84fff9,0x7fe4c03f,
    0x23ffffff,0x2000fffd,0xc806fff8,0x7f442fff,0xff9bdfff,0x3fffe64f,
    0x7fffa800,0x20bfff10,0xfff17ffe,0x45fffa0b,0xffd05fff,0x417ffe2f,
    0x3fa27ffe,0xff9bdfff,0x17ffe24f,0x6cbfffee,0x3fe00fff,0x3fffa26f,
    0x4fff9bdf,0xf803fff6,0x1fffb6ff,0xfdb7ffc0,0x3ffe00ff,0x5fb9be66,
    0x1fe637ec,0x7bffffd1,0xf309fff3,0x7ec007ff,0xff9bdfff,0xffffffff,
    0x1be62fff,0xff715dfd,0x3a23fcc3,0xf9bdffff,0x7fffc4ff,0xffffffff,
    0x3ffffe1f,0xffffffff,0x3fffffe1,0x1fffffff,0xff55fff8,0xfffe80ff,
    0x3fff6004,0xfffffa81,0x87fff906,0xfc84fff8,0x36e6001f,0x3f26ffff,
    0x813501ff,0x2201ffff,0x7e40ffff,0x7ffc43ff,0x0ffffe24,0x417fffa0,
    0xff05fff8,0x17ffe2ff,0xff8bfffc,0x2ffff05f,0xff05fff8,0x1fffe4ff,
    0xf893ffe2,0xfff705ff,0x407ffeeb,0x3f24fff9,0x7ffc43ff,0x407ffee4,
    0xff74fff9,0x3ffe603f,0x203fff74,0x7fc4fff9,0xff98bf71,0xff913f63,
    0x4fff887f,0x000fffc8,0xf81bfff7,0xff0007ff,0x7ffff4c3,0x3227ec4f,
    0x7fc43fff,0x03fff44f,0x003fff40,0x0003fff4,0x7ff4bfff,0xffff903f,
    0x7ffe4009,0xbffff903,0x261fffa0,0x7fe84fff,0x10595310,0x7fdcfffd,
    0x3fffb84f,0x403bffee,0xfe86fffd,0x4fff987f,0x017fffdc,0x401ffff9,
    0xff886fff,0x21bffe7f,0x3fe7fff8,0x7fff886f,0x3e21bffe,0x1fffa7ff,
    0xf893ffe6,0x3ffe05ff,0x20bfff36,0x3fa3fffc,0x4fff987f,0x6417ffe6,
    0xfff33fff,0x4ffff20b,0xf905fff9,0x9ffc87ff,0xb3cb83c9,0x7ffe81ff,
    0x544fff98,0x32002fff,0x7fc40fff,0x01ab82ff,0x6dc43ff9,0x07fec1ce,
    0x3e61fffa,0x7ffec4ff,0xfd81ab82,0x81ab82ff,0xab82fffd,0xa97ffe01,
    0xa9adffff,0xadfffffd,0x2aaaaaaa,0x445ffff5,0xeffffffc,0x207fffc0,
    0x7c45fffd,0xffff105f,0x44dfff01,0xd30cffff,0xffd83fff,0xffc99dff,
    0xfff80fff,0x2fffec0f,0x567ffff4,0xffffea98,0x0ffff403,0xfe9ffffa,
    0x7fff41ff,0xd07fffa7,0x7ff4ffff,0x3ffff41f,0xfd81ffff,0x3ffe25ff,
    0x7ffc4e65,0x477fffe6,0x7c6fffc9,0x7fec0fff,0x6ffffc5f,0x8dfff931,
    0x931dffff,0xfff8dfff,0xfff931df,0x007ffa0d,0x7fc17fec,0x7ffec0ff,
    0x33fffe65,0x4c99abde,0xf90bfff6,0x7cc1dfff,0x3ffd06ff,0x20bff600,
    0x7ec0ffff,0x7ffd45ff,0x17ffe60d,0x4c1bfff5,0x7fd45fff,0x3ffe60df,
    0xe8bfff05,0xffffffff,0xffffffff,0x26ffffff,0xfefffffe,0xffffffff,
    0x3bfff61f,0x5ffffecb,0xf901ffd4,0xfd97bfff,0xfffb87ff,0x5ffffeff,
    0xffffff88,0x01ffffff,0xd97dfffb,0xf30bffff,0xffffffff,0x900dffff,
    0xffbbffff,0x7fe4ffff,0xffffddff,0x3ffff27f,0x7fffffdd,0x377ffff2,
    0x367fffff,0xfecbefff,0x3fe25fff,0xffdff95f,0x7ffcc9ff,0xfffffeff,
    0x5f7ffec1,0x45ffffec,0xfefffff9,0x7cc1ffff,0xfffeffff,0x7ffcc1ff,
    0xfffffeff,0x37ffd101,0x07ffb510,0x32fbfff6,0x325ffffe,0xffffffff,
    0xf70fffff,0xffd79fff,0xfbbfffff,0x3a201fff,0xda881bff,0xfffb03ff,
    0xffffd97d,0xbffffd0b,0xd01ffffb,0xffbbffff,0xfffd01ff,0x1ffffbbf,
    0xd117ffe0,0xffffffff,0xffffffd3,0x44dfffff,0xfffffffe,0x6fffccff,
    0x7fffffcc,0x647ffeef,0x7fec01ff,0x5fffffff,0xffffff90,0x3e601dff,
    0xffffffff,0x3ffe602f,0xffeeffff,0xffffb107,0x07ffffff,0x3ffffa20,
    0x27ffcdff,0xffffffe8,0x3a27ffcd,0xcdffffff,0x3ffa27ff,0xffcdffff,
    0x3ffffe67,0x27ffeeff,0xff75fff8,0xf30dffff,0xffffffff,0xfffff305,
    0x0fffddff,0xfffffff3,0x3fe605ff,0x2fffffff,0xffffff30,0xfb005fff,
    0xffd9bfff,0x7fcc03ff,0xfeefffff,0x3fffe27f,0xffffffff,0xffffd14f,
    0xffd7ffff,0x05ffffff,0x9bffffb0,0x403ffffd,0xfffffff9,0xe887ffee,
    0xffffffff,0xffffd102,0x2205ffff,0xfffffffe,0x17ffe02f,0x6fffff64,
    0xffffffd1,0x70dfffff,0x3bfffffd,0x74c07f4c,0xff54ffff,0x803ff43f,
    0xefffffea,0x7fff5402,0x64400bff,0x1cffffff,0xffffe980,0x403fff54,
    0xefffffda,0x7ec4001d,0xfff73eff,0x3efffd88,0xfd88fff7,0xfff73eff,
    0x3efffd88,0xfe98fff7,0xfff54fff,0xb97ffe23,0x300dfffe,0x1bffffd9,
    0x7ffff4c0,0x303fff54,0x1bffffd9,0xfffec980,0x764c00df,0x000dffff,
    0x3ffff6e6,0xe9800ace,0xff54ffff,0x4d6fec3f,0xfffffecb,0x3ffff623,
    0x3ffee0ce,0x26002cef,0xceffffdb,0xffe9800a,0x3fff54ff,0x3bfffb20,
    0xffec801c,0xec801cef,0x401cefff,0x4c405fff,0x44000001,0x006200a9,
    0x55400131,0x4ccc4002,0x00998000,0x00333100,0x00002620,0x00000cc4,
    0x02600013,0x80004c00,0x09880009,0x02620000,0x40009880,0x44000098,
    0x13100009,0x00262000,0x00054c00,0x04001310,0x31004cc0,0x00131003,
    0x0002a600,0x40000988,0x31000098,0x02620001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x881f7754,0x4c000999,0x800ccc19,0x00cc4198,
    0x26200131,0x99988000,0x26000000,0x09998800,0x260ccc00,0x6654c019,
    0x1bbba02c,0x329ddd10,0x999886ee,0x7775c000,0x4405eea8,0x99880999,
    0x22026620,0x2e000099,0x36a00eee,0x8803b20b,0x19999999,0x15797500,
    0x04ccc000,0xdeed8800,0x4cc40750,0x2a026620,0x555501aa,0x5439b500,
    0x2666201e,0x4c409999,0x3ba21880,0xddd3005e,0x417b7107,0x1000805d,
    0x801eee88,0xfb809998,0xffd104ff,0x3ffc800f,0x3e009ff7,0x03ffe0ff,
    0xfe802ff4,0x7ffc4001,0x6fedc406,0x007f9003,0x8003fff6,0x9ff73ffc,
    0x3ffff620,0xfff82fff,0xb7ffc407,0xffd87ffd,0x7fe4001f,0x207ffb8f,
    0xf305fff8,0x21bfe6df,0x000ffffa,0xfffb5553,0xffff9037,0xfc80dfbd,
    0x07ffffff,0x7fffff4c,0xffa8002f,0xb10000ff,0x409fddff,0xdff16ff9,
    0x05fff881,0xfa80fffd,0x0ffdefff,0x3fffffa0,0x22fc46ff,0x3ffe25f8,
    0x9fff5006,0xbdffffb0,0x03e440bf,0xfff11f22,0x1dfff005,0x409fff70,
    0x4002ffe8,0x06ffbffe,0x7c4dff10,0x5ffd987f,0x8004fb80,0x6400effb,
    0x404ffeff,0x3a2006f9,0x7f4004ff,0xf106ffbf,0xffffffff,0x07fff85f,
    0xfdb7ffc4,0x0fffcc7f,0x47ffe400,0x3f207ffb,0x67fdc06f,0x7fc41ffe,
    0xfb006fff,0xbfffffff,0xfffb9ff0,0xfffc809f,0x2a07ffff,0xffffffff,
    0x3fe2003f,0x20005fff,0x802fffe8,0x1ffecffb,0xd05fff88,0xcfd80fff,
    0x406ffffd,0xfffffffe,0xebacfc86,0x1bffe21f,0x227ffd40,0xfffdcef8,
    0x0fff502f,0x3e23ffd4,0x7fdc01ff,0x9fff700e,0x006ff880,0x0fffffcc,
    0x2a4ffa80,0x7ffe45ff,0x07fc405f,0x0077fc00,0x3fe4bfe2,0x1000bf60,
    0x4c001ffd,0xb01fffff,0xfb59ffff,0x7fff8dff,0xdb7ffc40,0x17fe47ff,
    0x8fffc800,0xff106fc9,0xfffd001d,0x95ffb07f,0xffb009ff,0x8bffffff,
    0x00e542c8,0x4cccccc4,0x3fffa019,0x0ffffbad,0xf93ffd00,0xfc88007f,
    0x800effef,0x104ffffd,0x3fa0bfff,0x261e407f,0x9998802c,0xe9809999,
    0x7c45ffff,0xff5006ff,0x222c889f,0x3ffa01cb,0x21fffa07,0x7f401fec,
    0x3ffee00f,0x01ee9804,0x01f775c0,0x7dc7ff90,0x7f5fec4f,0x001fe405,
    0x20006f54,0x2a06fe98,0xdb10006f,0xeeeb8005,0x0bfff303,0x7fc5fffb,
    0x7ffc407f,0xed89be26,0x3ff20002,0x2a0bf10f,0xdd1000de,0x47dd50bd,
    0x64000eed,0x00000fff,0x7fdc0000,0x27ffc43f,0xdb1f7540,0x67cc001b,
    0x100dffd0,0x7c40bddb,0xfffd05ff,0x00000000,0x4405e4c0,0xf5006fff,
    0x400009ff,0x3fa07ffe,0x401fb07f,0x7dc01ee9,0x000003ff,0x3ff60000,
    0x430bff61,0x1be605fe,0x2a000000,0x3fa00fff,0x00000001,0x0bffee00,
    0x3ffe06a6,0x37ffc407,0x220009f5,0xff90acca,0x005fb11f,0x00000000,
    0x642f32a2,0x5cc00fff,0x2a000abc,0x3600abcb,0xffe81fff,0x00000007,
    0x3ffe66a6,0x3e200004,0xfffd05ff,0x99997100,0x06aaa015,0x40015554,
    0x5006fff8,0x55549fff,0x26555501,0x1aafffea,0x55fffd53,0x00017ee3,
    0x403fffa8,0x000abcba,0x402af2e6,0xfffffffd,0x0fffffff,0x3f605fe8,
    0xcba88002,0x5403aa0b,0xfb80efec,0xccb88005,0x55500acc,0x64aaaa03,
    0x7c000fff,0x7fc407ff,0x40ffc8ef,0xff302aaa,0xff95ffff,0xaa89f91f,
    0xaaaaaaaa,0x0555502a,0x2602aaa8,0xcaffffff,0xff700fff,0x807fffff,
    0xffffffe9,0x55fffd02,0x4fffb555,0x55502aaa,0x03555103,0xfddffff7,
    0xaaaa81ff,0x2aaaaaaa,0x7417ffe2,0x7fec07ff,0x41efffff,0xfd05fff8,
    0x055550ff,0x200dfff1,0xff14fffa,0x5fffa0bf,0xfffffffc,0xffffff94,
    0xa81df39f,0x797511aa,0x05fff303,0x3fffffa6,0x7ffdc02f,0xfd83ffff,
    0xffffffff,0xe80fffff,0x00df505f,0xffffff70,0x8805ff9d,0x07fc43ff,
    0x3ffff600,0x7c41efff,0xfffd05ff,0x0003fff6,0xf880ffff,0x81efffff,
    0xffa85fff,0xffffffff,0xff8188ff,0xffffffff,0x0bfff06f,0xf305fff8,
    0xffffffff,0xff901fff,0xdfffffff,0x3ffffea0,0xff83ffff,0xffffffff,
    0xfff90fff,0x86fff981,0x7ec1fffb,0xffffffff,0x7ffffc5f,0x26ffffff,
    0xfd05fff8,0x7ffd40ff,0x0fffffff,0x7417ffe2,0x5fff87ff,0x006fff88,
    0x3e29fff5,0xfffd05ff,0x3ffffff2,0xfffff94f,0x7fc0a9ff,0xffffe8bf,
    0x0fffc43f,0x7fffffd4,0xff903fff,0xdfffffff,0xffffffd8,0xffffffff,
    0xfd05fe80,0xfffd8003,0x3fffffff,0xff88ffc4,0x20027e43,0xfffffffa,
    0x3fe20fff,0x2fffd05f,0x4000fffd,0x7c407fff,0x3e02cfff,0xfffe85ff,
    0xffffeabf,0x3fffe00f,0x6fffffff,0xf80bfff0,0xfffd05ff,0xffffd57f,
    0xffffb81f,0x4ffffebe,0xbadfffe8,0x7fc0ffff,0xffffffff,0xfff31fff,
    0x0ffffb85,0x3ee3ffec,0xfffdffff,0x7fffc7ff,0x6fffffff,0x7417ffe2,
    0xfff107ff,0xfffd735d,0x82fffc47,0xfff87ffe,0x06fff885,0x229fff50,
    0xffd05fff,0x3ffff2af,0xfff952cc,0xff80599f,0xffffffdf,0x07ffc2ff,
    0x5d6ffff4,0x7dc0ffff,0xffebefff,0x7ff904ff,0x3a01ffdc,0x005fb85f,
    0x4effffdc,0xd85fffeb,0x446ffdff,0x3e2000ff,0xfeb9aeff,0x3ffe23ff,
    0x32fffd05,0x13501fff,0x4407fff8,0xff806fff,0x2fffd45f,0x007fffdc,
    0xfbdddddd,0x3fe0bfff,0x2fffc05f,0x2077ffd4,0x220ffffb,0x7cc2ffff,
    0x3fee1fff,0x27ffc43f,0x2001fffa,0x7fec4fff,0x27ffc2ff,0x217ffff1,
    0x21ffffc8,0xfdeeeeee,0x3fe25fff,0x0ffff05f,0xf503f726,0x7ffc49ff,
    0xf0fffd05,0xfff10bff,0x3ffea00d,0x20bfff14,0x7ff47ffe,0x01fffa07,
    0xacfffff8,0x7c6fffea,0x7ffdc0ff,0x127ffc43,0xf985ffff,0xffd81fff,
    0xd00bff61,0x00ff88bf,0x03bffe20,0x883ffffb,0x6c1dfffd,0x6e4c003f,
    0x27ffd40f,0x3a0bfff1,0x9fff77ff,0x7c7fff70,0x7fc407ff,0x5fff806f,
    0xf80fffe4,0x44000fff,0x3e06fffe,0x7ffc05ff,0x02fffc85,0x7d41ffff,
    0xfff703ff,0x40fffec9,0x7fec7ffe,0xc81ab82f,0x7fffc6ff,0x8bffe64f,
    0xfd06fffb,0xfe8805ff,0x6fff86ff,0x007fff88,0x449fff50,0xffd05fff,
    0x10bfff0f,0x2a00dfff,0xfff14fff,0xd1fffa0b,0x7ff40fff,0x3fffe007,
    0x23fffc44,0xfffd87fe,0x2a7ffe81,0xff703fff,0x41fff09f,0x4c400fff,
    0x65427e40,0x17ffd40a,0x13fffbf2,0x40df3018,0x7d4001cc,0x3ffe24ff,
    0x22fffd05,0xd30cffff,0x7ffc3fff,0x37ffcc07,0x362fffc0,0xffb00fff,
    0xffd8001f,0x3ffe00ef,0x42fffc05,0xfb00fffd,0x7ffe41ff,0x4bfff100,
    0xaaaafffe,0x7d47ffda,0x3fe60dff,0x8fffd45f,0x26fffff9,0x7fe47ffc,
    0x9fff703f,0x0efffd80,0x222fffe8,0x3007fffd,0x9fffffb7,0xe82fffc4,
    0x5fff87ff,0x006fff88,0x3e29fff5,0xfffd05ff,0x27fffa62,0x03fff409,
    0x3a0ffff0,0x437ec7ff,0xaaaafffe,0x3f27ffda,0xfff100ff,0x226ff88b,
    0xf10007ff,0x7fffdc1f,0x83fff23f,0x6fff8efb,0x902fe800,0xdb9805ff,
    0x224fffff,0xffd05fff,0x7ffffdcf,0x7c5ffffe,0x7fcc07ff,0x5fff805f,
    0xfb03fff4,0x7ec001ff,0x7fc00fff,0x2fffc05f,0xf903fff4,0x3fff41ff,
    0xff9bffe0,0xffffffff,0x7ff40fff,0xffffddff,0xf73fff80,0x3a1fff9f,
    0x7fff45ff,0x0dfff101,0x807fffec,0xfddffffc,0x2207ffff,0xfffffffc,
    0x3ffe24ff,0xf0fffd05,0xfff10bff,0x3ffea00d,0x20bfff14,0xfffb7ffe,
    0xfe85ffff,0x3ffe007f,0x41fffb06,0xffff86fc,0xffffffff,0x80fffd0f,
    0xfffb6fff,0xffffffff,0x36001fff,0x2b7fe23f,0xfffb0ffd,0xffe8ffd4,
    0x82fd4007,0xc882fffb,0xffffffff,0x17ffe24f,0x3f23fff4,0xefffffff,
    0x007fff40,0xf00bfff3,0x7ffe8bff,0x003fff60,0x00ffffe4,0x3e02fffc,
    0xfffd85ff,0x41fffb00,0x3e00fffd,0x3fffe6ff,0xffffffff,0x7fff441f,
    0xb02fffff,0x2bff6bff,0xfff8affd,0x807ffec2,0xf905fff9,0x74403fff,
    0xcdffffff,0xffd107ff,0xfff37bff,0x82fffc49,0xfff87ffe,0x36fff885,
    0xfff50755,0x417ffe29,0xfffb7ffe,0xfe85ffff,0x3ffe007f,0x41fffb06,
    0xffff84eb,0xffffffff,0x01fffb1f,0xffdb7ffc,0xffffffff,0x9800ffff,
    0x98764c6f,0x1fffb2ff,0x7ff45ff3,0x40ff4006,0x442ffff9,0x9bdffffe,
    0x3fe24fff,0x0fffd05f,0x7fffffd5,0x05fffb01,0x4027ffd4,0x7fe45fff,
    0x1fffd00f,0x5ffff700,0x017ffe00,0xff90bfff,0x3fffa03f,0x407ffee0,
    0x3fa4fff9,0x7640007f,0x201cefff,0xfff8fffa,0xffbcffb8,0x17ffe40f,
    0xb84fffb8,0x9802ffff,0xf73efffd,0x3fff20ff,0x127ffc43,0x3fe0bfff,
    0x85fff87f,0xfff6fff8,0x27fff70f,0xff05fff8,0x3ffa62ff,0x7ff4099f,
    0x17ffe007,0x8007ffec,0x5c007ffe,0xff301fff,0x3ffff69f,0xffffffff,
    0x2fe800ff,0xf70ffd80,0xf87ff5ff,0x3ee005ff,0xff9ff884,0x21fffe42,
    0x3e24fff8,0xffff05ff,0x0067fe40,0x740dfff9,0xff803fff,0x1fffdc5f,
    0x007fffcc,0x00ffffea,0x7c05fff8,0xfffb85ff,0x0ffff883,0x6417ffe6,
    0x3ff63fff,0x001ab82f,0x3e200bf5,0xf36ffcff,0x50bffbdf,0x3fa0bfff,
    0x7ffd43ff,0x4098003f,0x3ffa02fc,0x44fff987,0xff886fff,0x85fff87f,
    0xffd6fff8,0x2fffc81f,0x3e21bffe,0x3fff47ff,0x400fffd0,0xffb05fff,
    0x0bbba61f,0x5705fffb,0x05fff983,0xff87fff9,0x0007ffc7,0xfb1017ea,
    0x7fffd47f,0x1fffd44f,0xe80ff880,0xfe85ff3f,0x4fff987f,0x7c437ffc,
    0xd9b307ff,0x3fe601ff,0xdb99bdff,0xf800ffff,0x7ffc45ff,0x3fffaa1f,
    0x3ffe600f,0x7ffc004f,0x42fffc05,0x2a2ffff8,0x7c0ffffe,0xf931dfff,
    0xfffa8dff,0x17ffe60d,0xd8013ee0,0x3e4fffff,0xd02fffff,0x3663bfff,
    0x7fcc6fff,0x200004ff,0x3ffe02fd,0x2fffec0f,0xfd07fffa,0xbfff0fff,
    0x32dfff10,0xfc9bffff,0x3ffa0fff,0x3ffff41f,0x2043fff6,0x8010fffd,
    0xffb05fff,0x0fffea1f,0x4c1bfff5,0x7ffc5fff,0xfff931df,0x226ff98d,
    0xfe8006ff,0x0fffa201,0xb89bfffa,0x9000ffff,0x55dfb07f,0x7ffc59ff,
    0x2fffec0f,0xfd07fffa,0xff100fff,0x7fffec07,0xffffffff,0x0bfff004,
    0xfddffff9,0x201fffff,0xaaeffff8,0xf80aaaaa,0x7ffc05ff,0xdffff905,
    0x1ffffffd,0xefffff98,0xe81fffff,0xffddffff,0x6fc800ff,0x3fffee00,
    0x3ffff22f,0xffff300f,0x3fffffdf,0x577fffc4,0x00aaaaaa,0xfb027f40,
    0xffd97dff,0xfffc8bff,0xfffffddf,0x885fff87,0xfff16fff,0x7fffffff,
    0xddffffc8,0x6c7fffff,0x6c4fffff,0x404fffff,0xffb05fff,0x0fffea1f,
    0x377ffffa,0x7cc0ffff,0xfffeffff,0x27fd41ff,0xb800bff5,0x3ffe604f,
    0xfffff302,0x05fffffb,0x7f41be20,0x26ffffff,0xecbefffd,0x7e45ffff,
    0xfffddfff,0x2e2087ff,0x7fe401ff,0xffffffff,0xbfff000c,0xfffffd10,
    0x01fff7df,0x3fffffee,0x81ffffff,0x7fc05fff,0xfffb105f,0xfff7dfff,
    0xfffff301,0x2205ffff,0xfffffffe,0x9ff5002f,0x7fc40355,0x3fea0fff,
    0x7fdc05ff,0x3fffffff,0x7fffffdc,0x01ffffff,0x1cdffe40,0x3fffffe6,
    0x447ffeef,0xdffffffe,0xfff87ffc,0x26fff885,0xfffffffb,0xfffe885f,
    0x7ffcdfff,0x2fffffd4,0x17ffffea,0x360bfff0,0xfff50fff,0xffffd107,
    0x2605ffff,0xffffffff,0x23ffc82f,0x22003ffb,0x3ffa00ff,0x3f21cccd,
    0xffffffff,0x0bf6003f,0x7fe6665c,0x3fffe63d,0x7ffeefff,0x7fffff44,
    0xd87ffcdf,0x005fffff,0xffffffb5,0xfff8005b,0x3ffff205,0x201fff54,
    0xfffffffb,0xf81fffff,0x7ffc05ff,0x7fffdc05,0x00fffa8d,0xbffffd93,
    0xfffd9001,0xff80039d,0x7f402fff,0x7ffc46ff,0xffd8803f,0xfb80dfff,
    0xffffffff,0x4c001fff,0x4c0fffff,0xf54ffffe,0xffd883ff,0x0fff73ef,
    0xff10bfff,0xfffea8df,0xfb100cff,0x3fee7dff,0x5ffffc87,0x05ffffc8,
    0xfd82fffc,0xec8000ff,0x401cefff,0xdffffec9,0x6c3ffd00,0x3f2002ff,
    0x3fffea03,0x5ff53fff,0x1bffffb7,0x0037cc00,0x3fa60bfe,0xfff54fff,
    0xefffd883,0x950fff73,0x20003799,0x20000998,0x19805fff,0xffff7000,
    0xffffffff,0x80bfff03,0x31005fff,0x01310000,0x00026200,0x00bcdb88,
    0x741fffdc,0x44000fff,0x7ffdc009,0xffffffff,0xec98001f,0x0026202c,
    0x7c000980,0x220005ff,0x04c00199,0x44019800,0xbfff0019,0x003fff60,
    0x00009880,0x55500131,0x1000aaa8,0xccca80bd,0x0721cccc,0x76400026,
    0x00e64001,0x4c000131,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55000000,
    0x2f2ea235,0x99803001,0xaa80ccc1,0x1597510a,0x99999880,0xcba80099,
    0x31001bcc,0x55510133,0x9882f2a1,0x4400cc41,0x31000aaa,0x03333333,
    0x59999710,0x09998001,0x98826620,0xdedb8809,0xedb9801c,0x664c00cd,
    0x2ccccccc,0x33bb6e60,0x03eee880,0x405554c0,0xc981aaa8,0x5002cefe,
    0x0017bdd9,0x76400000,0x1bbba0ee,0x009ddd10,0x500eeeb8,0x2aa21797,
    0x0155530a,0x22015554,0x56654400,0x54155510,0x599510aa,0xdb002001,
    0x9bdddddd,0x1cda8039,0x3ffe07aa,0xfffffe8b,0xdfffd503,0x2e7ff905,
    0x7fff04ff,0x7fffffd3,0x7fffff40,0x3fa606ff,0x05ffffff,0x881fffd8,
    0xfffcafff,0x7d53fea7,0xfffb805f,0xffff9002,0xfd80ffff,0x1effffff,
    0x09fff100,0xffd27fe4,0xffffe987,0x3fee02ff,0x203fffff,0xfffffffc,
    0xfff705ff,0xf885ffff,0x7dc004ff,0xfff981ff,0x7ffffec4,0x3f200dff,
    0x01efffff,0xbefffdb8,0xfffd0000,0x203fffc1,0x4006fff8,0x7440fffc,
    0xf9afffff,0x7fff71ff,0x213ffe60,0x85fffec8,0xafffffe9,0xff10fffa,
    0xfffff37f,0x03e4403d,0x3ffffffe,0x80cfffff,0xfdeffffa,0xfdfff80f,
    0x2fffffff,0x7fffffd4,0xff7ffd01,0x7efffc0d,0x1fffffff,0xffffffd0,
    0x3ffe20df,0x3fffffff,0x40bffe20,0xfffefff8,0x7dffec4f,0xffb800ff,
    0xfff9002f,0x540fffff,0xffffffff,0xff8800ff,0x93ff204f,0x3fe23ffe,
    0x1fffffff,0xffffffc8,0xffb02fff,0xbfffffff,0xffffffb0,0x7fc41fff,
    0x7fdc004f,0x4fff981f,0x3fffffee,0xffb05fff,0x3fffffff,0x3ffffaa0,
    0x8003ffff,0x3fe0fffe,0x7ffc407f,0x7ffe4006,0x3ffffe20,0x1fffdfff,
    0x320dfff1,0xffe81fff,0x7fcc6fff,0xfdffffff,0xbfff10ff,0xffffffff,
    0x80fff503,0xffffffff,0x41ffffff,0xffffdcfd,0x9fffff06,0x8dfffd55,
    0x0eeffffd,0x3fffff10,0x67ffffc0,0x05fffea9,0x33333331,0x2bfff201,
    0x1fffea88,0x4405ff90,0xfeffffff,0x7ffff441,0x5fff7002,0x26666200,
    0xff101999,0xffd735df,0xfff1007f,0xd27fe409,0x7ffdc7ff,0x85fffc9d,
    0xfc9bffff,0xffff07ff,0x8bffffff,0xd9cffff9,0x3fe24fff,0x7fdc004f,
    0x4fff981f,0x2a2ffffe,0x7d41fffe,0xfffabfff,0xffff985f,0x2fffffff,
    0x07fff400,0xf880ffff,0x7e4006ff,0x3fff60ff,0xffffeacf,0x07fff61f,
    0x3e61bffa,0x744eefff,0xfeabffff,0xff10ffff,0xff97ffff,0xfffd0dff,
    0xaaffff80,0xffffeccc,0x0b261dc5,0x444ffff8,0x7ffc7fff,0x3bbaa007,
    0x27fffc03,0x001bffe6,0x10dffb00,0x3b601379,0x7fffc403,0x7774c024,
    0x2aaa2004,0x4c000000,0x7fd40fdc,0x3555004f,0x7ffc0000,0x507ffec6,
    0xffe85fff,0x1fffc41f,0x81fffb00,0x3fe26fff,0x7fdc004f,0x4fff981f,
    0xfa89fff3,0x7ffec2ff,0x207fff41,0x711cfffe,0x4001ffff,0x3fe0fffe,
    0x7ffc407f,0x7ffe4006,0x81ffff30,0x2a1ffffa,0x7fcc3fff,0x3fffa84f,
    0x70dfff50,0x3e21ffff,0x7f444fff,0x3fff42ff,0xa81fffe0,0x0002ffff,
    0xfd07fff8,0x05fff8ff,0x3ffe0000,0x80fffd07,0x200abcb9,0x0acffffc,
    0xff880000,0x000000ff,0x20009998,0x0accccb8,0x9fff5000,0x40000000,
    0x7cc3fffa,0x172e64ff,0xf307fff2,0x3e6003ff,0x419984ff,0x9714fff8,
    0xfff70159,0x29fff303,0x7c42fff9,0x3fff43ff,0xf327ffe4,0x3fee0dff,
    0x3ffa002f,0x01fffe0f,0x510dfff1,0x3ff21799,0x07fff70f,0xff07fffa,
    0x1fffc8df,0x901fffb8,0x3fa05fff,0xffff10ff,0x29fff503,0xaafffea9,
    0x407fff81,0x5506fffb,0x6fff8055,0x221fffb0,0x2aa05fff,0x3797511a,
    0x741bffe0,0xfff707ff,0x2a07ffff,0xdfffffff,0x0aaa880b,0xff881795,
    0x5554406f,0x98017950,0xfb002fff,0x3dffffff,0xfffb7300,0x2aaa09ff,
    0xaaaaaaaa,0x70555502,0xff885fff,0x3ffe005f,0x30fffb87,0x17ffd401,
    0x59fff100,0x83ffffff,0xf981fffb,0x13ffe4ff,0xff81fff5,0x5fff985f,
    0x4407ffaa,0x3a004fff,0x3ffe0fff,0x37ffc407,0x3fffffe6,0xf90fffca,
    0x3ff203ff,0x0fffe41f,0xda98dffd,0x6c2abfff,0xffb00fff,0x1fffe21f,
    0xfcafffc4,0x84ffffff,0xff807fff,0x5fff80ff,0xd837ffc0,0xfff10fff,
    0x45fffc0b,0x83fffffe,0xffb06fff,0xfffff90f,0x2e0dffff,0xffffffff,
    0x57ffc43f,0x7c47fffc,0x7fc405ff,0x07fffcaf,0x400fffd4,0xfffffffa,
    0xfc880fff,0xffffffff,0xffffff04,0x20dfffff,0xffc85fff,0x05fff81f,
    0x1fffed44,0x7fefffe4,0xfffb82ef,0x80bdec99,0xfffffff8,0x2e2fffff,
    0xff981fff,0x2ffff24f,0xf86ffeb9,0xfff986ff,0x7fd40106,0x3ffa003f,
    0x01fffe0f,0x7ccdfff1,0xffffffff,0xfffb0fff,0x07ffee01,0x3e67fff3,
    0x7ffe43ff,0x3a0fffff,0xff900fff,0x17ffe21f,0xff96fff8,0xf09fffff,
    0xffb00fff,0x0bfff03f,0xfb05fff8,0x3ffe21ff,0x3f7ffe05,0x2fffffff,
    0xfd82fffc,0x7fffdc7f,0x4ffffebe,0xfffff930,0x7fc47fff,0x44ffffef,
    0x4405fff8,0xffffefff,0x1fffa204,0x2bbffe20,0x43fffeb9,0xbdffffe8,
    0xff04fff9,0xffffffff,0x17ffe0df,0x3e07fff2,0x7fec06ff,0xfffd03ff,
    0x89ffffff,0xfffcfffc,0x7fc41eff,0xffbaefff,0x3ffee6ff,0x44fff982,
    0xfffffffb,0x81fffd05,0x4007fffb,0x000fffe8,0xff83fffa,0x7ffc407f,
    0x2fffffa6,0x0fffffea,0x3201fff9,0xffe81fff,0xc81fff76,0xffffffff,
    0x403fff60,0xff10fffd,0xb7ffc0bf,0xccffffca,0x3fffe662,0xffc81999,
    0x05fff82f,0xfd82fffc,0xbfff10ff,0x67ffffc0,0x46fffeaa,0xffb05fff,
    0x17fffc4f,0x007fffe6,0xdffffb73,0x7fffffc4,0x7ffc41fe,0x7fffc404,
    0x3601feff,0xc9804fff,0x7ffd40fd,0x21fffe44,0xdd04fff8,0xfffbdddd,
    0x17ffe0bf,0x3e03fff6,0x7ff407ff,0xffff00ef,0x5fffffdf,0x7fffffec,
    0x220fffff,0x7443ffff,0xfff72fff,0x89fff507,0xffffffe8,0x47fff901,
    0x007fffe8,0x013fffe6,0x7c1fffd0,0x7fc407ff,0x1dfff56f,0x70ffffb8,
    0x3f603fff,0xfffb81ff,0xca85ffe9,0x44cdfffe,0xfd01fffc,0x3ffe21ff,
    0x89fff106,0xfff07ffe,0x3fffffff,0xf83fffc8,0x7ffc05ff,0x21fffb05,
    0x3e05fff8,0x7fc44fff,0x82fffc7f,0x3fea7ffd,0x9fff703f,0x220b2a62,
    0x3fe27ffe,0x3e2024ff,0x7fc404ff,0x744024ff,0x00005fff,0xfe89fff5,
    0x4fff987f,0x3fffa200,0x217ffe06,0xff80fffe,0x7ff7c07f,0x7ff443ff,
    0x3fffee24,0x19ffffb0,0x44bfff91,0xff506fff,0x17ffee9f,0xe893fff6,
    0xffffffff,0xeffff882,0x0ffffffc,0x4ffff980,0x0fffe800,0xf101fffe,
    0x3fff2dff,0x21ffff02,0xf884fffa,0xff881fff,0x202fffdf,0xf701fffc,
    0xfff50bff,0x3fffe21f,0x43fffb81,0xfff07ffe,0x3fffffff,0xf84fffb8,
    0x7ffc05ff,0x21fffb05,0x3e05fff8,0xfffd07ff,0xfb05fff8,0x07ffe4ff,
    0xf15fff88,0xfff01fff,0x07fffc4d,0x013ffe20,0x801ffff1,0x006fffe8,
    0x3fff6e60,0x7fffc4ff,0x02fffec0,0x01dfffb0,0x7ec2fffc,0x7fff80ff,
    0x5fffb100,0x7fff4020,0xd0ffffb1,0x3fe21fff,0xbfff105f,0xa8bfffee,
    0xff14ffff,0x3ff667df,0xffffa82f,0x07ffffff,0x04ffff88,0x41fffd00,
    0x7cc07fff,0x1fffb6ff,0xf83fff60,0xfd50bfff,0x3f603fff,0x6407ffff,
    0x3fe01fff,0xffd9aeff,0xfff10fff,0x7ffd45df,0x83fff40f,0xaaffffaa,
    0x7ffe40aa,0x405fff83,0xffb05fff,0x17ffe21f,0xfb06fff8,0x2fffc1ff,
    0x3fa7ffd8,0x37ffc07f,0x97bffff9,0x7c47fffd,0xff8806ff,0x7ffc404f,
    0xdfffd806,0x7fe44000,0x4fffffff,0x65f7ffec,0x005ffffe,0x801ffffb,
    0xffc85fff,0x06fff81f,0x017ffe20,0x327fff90,0xffc85fff,0x09fff11f,
    0xffbb7ffc,0xfffeefff,0x5fff54ff,0x105fff88,0xfd3dfffd,0xfffb00df,
    0x7ff40007,0x01fffe0f,0x3fabfff3,0x3fff207f,0x3ffffee0,0x1ffffffe,
    0x9fffff50,0x01fffc80,0x3fffffee,0x10ffffff,0xfdffffff,0xfd09ffff,
    0x7fff80ff,0x82fffc80,0x7fc05fff,0x1fffb05f,0xf817ffe2,0xfffb06ff,
    0xd82fffc1,0x3fff67ff,0xb1bffe00,0xffffffff,0x5fff88bf,0x04fff880,
    0x202fffc4,0x8005fff9,0xbdffffe8,0x7cc4fff9,0xeeffffff,0xffc807ff,
    0xfff801ff,0x81fffb85,0x6c005fff,0x2a000fff,0xfff73fff,0x25fff507,
    0xf106fff8,0x3ffeebff,0xffeffffd,0x20fff94f,0x09807ffd,0x3e017ffe,
    0x2a6204ff,0x0fffe80b,0x9803fffa,0xfffb5fff,0x03fff601,0xdffffffb,
    0x7c03fffb,0x6401ffff,0x7dc01fff,0xfcbfffff,0xdfff10ff,0xdffffffd,
    0x80fffd01,0xfe807fff,0x5fff80ff,0xd82fffc0,0xfff10fff,0x82fffc0b,
    0x3fe0fffd,0x4fffb05f,0xf301fffb,0xffd509ff,0xf105dfff,0xff100bff,
    0xfff8809f,0x0fffdc05,0x7e413570,0x7ffc43ff,0xffffe984,0x403fff54,
    0x002ffffb,0xff70bfff,0x4fff985f,0x7f4132aa,0x155310ff,0x2a5fff90,
    0xffb85fff,0x0ffff11f,0x7dd3ffe6,0x9effd9ff,0xfffd4fff,0x01fffb01,
    0x027ffcc0,0xb80bffe6,0xffe83fff,0x017ffec7,0x3f29fff5,0xfffd01ff,
    0xbffff701,0x403fff91,0xc806fffc,0xca801fff,0xfff91cee,0xfcafffc4,
    0x3fa04fff,0x3fffc07f,0x41fffe60,0x54005fff,0x3e200acd,0x3ffe05ff,
    0x01fffb05,0x267ffe80,0xff905fff,0x7fec407f,0x9fff100b,0x06f36600,
    0x404fff88,0xf501fffb,0x3fff45ff,0x1027ffcc,0x405f9813,0x003ffffa,
    0x3e217ffe,0x7ffdc5ff,0x307fff62,0x7fe4ffff,0x1fffe83f,0xd81ffff1,
    0xfff10fff,0x7fff903f,0x0c47ffee,0x20bfff20,0x76d47fff,0x0fffe40f,
    0x803bba60,0x7c45fff9,0x7ffe46ff,0x4ffffa06,0xf883fffb,0x06600fff,
    0x6403fff9,0xfc803fff,0x6c0001ff,0x3ffe27ff,0x7f400cc5,0x3fffc07f,
    0x07fffd30,0x90017ffe,0x2201ffff,0x3fe05fff,0x1fffb05f,0x3fffc400,
    0x4c77fffe,0x4c06fffc,0x880ffecd,0xf5004fff,0x3e203fff,0x7fcc04ff,
    0x1fffd05f,0x3607fffc,0xb8005fff,0x3ffe604f,0x7ffc004f,0x25fffb05,
    0x7dc6fff8,0xffb31dff,0x7fffccbf,0x8bfff711,0xf51dfffc,0x7ffc4dff,
    0x3ffee0ef,0x03fff70f,0x8f7ffdc0,0x545fffc8,0x3fee4fff,0x4400006f,
    0xea9dffff,0x7fcc4fff,0xeb99beff,0xff10ffff,0x7ff545ff,0x7e4000ff,
    0xfff101ff,0xfff9001f,0x137bea03,0xff137ff4,0x3f6000bf,0xfff010ff,
    0xf975555f,0x7fc0dfff,0xff30005f,0x17ffe209,0xfb05fff8,0xfd3001ff,
    0xff98dfff,0xffffefff,0x3fe2001f,0x04fff883,0x882ff440,0xfe804fff,
    0xffc9beff,0x7ffec5ff,0xffffecbe,0x06fc8005,0x55dffff1,0xf0155555,
    0x3fea0bff,0x3ffffeff,0xffffffe8,0x7ec0ffff,0xffffefff,0x7fffc41f,
    0x21ffffff,0xeffffff8,0x2e4fffff,0x74001fff,0xfffeffff,0x7ffc41ff,
    0x2fffffff,0x02eee980,0x7fffffe4,0xfd80efff,0xffffffff,0x7fe44fff,
    0xffffeeff,0x7e4000ff,0x3ae661ff,0xf9005fff,0x3fe203ff,0xfca89cff,
    0x3ffe24ff,0xfffb0005,0xffff09ff,0xffffffff,0x7ffc03ff,0x7dc41005,
    0xbfff101f,0xd82fffc0,0xfb800fff,0xf984ffff,0xffffffff,0xff710402,
    0x09fff103,0x7ff31088,0x013ffe20,0x3fffffe2,0xf985ffff,0xeeffffff,
    0xfa8007ff,0xff71aacf,0xffffffff,0xbfff03ff,0x7ffffe40,0xff880dff,
    0x1fffffff,0xfffffe88,0xff501fff,0x87ffffff,0xffebfff8,0x2e0dffff,
    0x44001fff,0xffffffff,0xffff503f,0x2005ffff,0x4403fff9,0xfffffffe,
    0xfffb101f,0xbfffffff,0xffffd881,0x0fffbeff,0x0fffe400,0x3ffffffb,
    0x07fff200,0xffffffd8,0x220fffff,0x50005fff,0xf0bfffff,0xffffffff,
    0xf803dfff,0xff9005ff,0x7c40bfff,0x3ffe05ff,0x01fffb05,0x0dffffb0,
    0x7ffff64c,0xfffd800d,0xfff105ff,0xffffb809,0x3ffe206f,0xfff91004,
    0x4c09ffff,0xf54ffffe,0xfd0003ff,0x3fee5fff,0xffffffff,0x5fff81ff,
    0x7ffff540,0x7ffe4404,0x7dc00cff,0x400dffff,0x1effffd8,0xfb2fff88,
    0xff709fff,0xf910003f,0x803dffff,0x1dffffea,0x0fffe600,0x7ffffe40,
    0xffeb802e,0x402effff,0xa8dffffb,0x64000fff,0x3ff21fff,0x32003fff,
    0x36201fff,0xffffffff,0x2fffc41e,0xffff9000,0xffffff0b,0x0059ddff,
    0x54017ffe,0x4401cccc,0x3fe05fff,0x1fffb05f,0x159db700,0x00026200,
    0x40379995,0x4c04fff8,0x4402cccc,0x44004fff,0x0009bcca,0x00000131,
    0x2e17bb51,0xffffffff,0xff81ffff,0x0131005f,0x00033300,0x26000131,
    0x02600009,0x000ccc98,0x4000d4c0,0xf3000198,0xa88007ff,0x99880009,
    0x01880009,0x5554c000,0x0737b6a0,0x03fff900,0x9bdd9930,0x00d55405,
    0x00066200,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbbbba2,0xeeeeeeee,0x3bb26eee,0xbddb102e,0x0003776c,0x3b20bda8,
    0x777776c0,0xb02ceeee,0xdd701ddd,0x7777541d,0xeeeeeeee,0xeed81eee,
    0xccdeeeee,0x07bbaa01,0x27774000,0x000eeec8,0x306ffb80,0x0079dfd9,
    0x70bffe20,0x99999999,0x2a219999,0x13bba0aa,0xeeeea800,0xeeeed800,
    0x1cdeeeee,0x001dddb0,0xeeeeeed8,0x3601ccde,0xeeeeeeee,0x744eeeee,
    0x7ddd14ee,0x5dddb000,0x87bbb600,0x3bba4eee,0x7776c004,0xeeeeeeee,
    0x329ddb3e,0x0dddb3ee,0xd15eee88,0x6eed8bdd,0x22f77440,0x99999998,
    0xfffb8001,0xffffffff,0x27ffffff,0xf706fffa,0x3fffc9ff,0x7ffe4000,
    0xff86fdef,0xffffffff,0x7ff40dff,0x0fffc80f,0x3fffffea,0xffffffff,
    0xfffff82f,0xcfffffff,0x02fffb80,0x0bfff000,0x0007fff6,0x90dfff30,
    0xdfffffff,0xfffe8003,0x7fffff42,0x1fffffff,0x7fc5fff5,0x3f60005f,
    0xff803fff,0xffffffff,0xffe86fff,0x7ffc000f,0xffffffff,0xffff80cf,
    0xffffffff,0xafffc5ff,0x8004fff8,0x9805fffb,0x7ffc7fff,0x0017ffe5,
    0xffffffff,0x3e9fffff,0x29ffd6ff,0x7c407fff,0xdfff16ff,0x4407fff8,
    0x7fdc6fff,0x01ffffff,0x7fffffc0,0xffffffff,0x7f47ffff,0xffff81ff,
    0x001fffe0,0x3ff73fe0,0xffff84ff,0xffffffff,0x3fffa0ff,0x20fffc80,
    0xfffffffa,0xffffffff,0xffffff82,0xffffffff,0x017ffdc1,0x05fff800,
    0x0003fffb,0x237fff44,0xfffffffc,0xf7000eff,0xffe85fff,0xffffffff,
    0x5fff51ff,0x8002fffc,0x06fffff8,0xfffffff8,0x5fffffff,0x0007fff4,
    0x3ffffffe,0x1fffffff,0x7ffffffc,0x5fffffff,0xff8afffc,0xff88004f,
    0x7fdc00ff,0xf2fffc4f,0xff800bff,0xffffffff,0xdfff4fff,0x7ffd3ffa,
    0xb7ffc407,0xf336fff8,0x33333fff,0x3dfff333,0x3ffffee1,0x2e001fff,
    0xffe9cfff,0xaaaaaabf,0x7ffd42aa,0x227ffdc5,0x0999ffff,0x2a164400,
    0x5ffff01c,0xffff9995,0x07fff49f,0x5107ffe4,0xfffb5555,0x0155555b,
    0x9955ffff,0x8bffffd9,0x0001fffb,0x360bfff0,0x00e21fff,0x37ffff4c,
    0x739ffff3,0x3009fffd,0xe85fffff,0xffffffff,0x3fea6fff,0x017ffe2f,
    0x7ffffe40,0x7fffc02f,0xfebaaaaa,0x3ffa1fff,0x7ffc000f,0xfecccaaf,
    0x7ffc5fff,0xaaaaaaaf,0x7ffc1aaa,0x009fff15,0x00ffffa0,0xcc83fffd,
    0x017ffe3c,0x555ffff0,0x23555555,0x7fb76fff,0xf101fffe,0x3ffe2dff,
    0xfffffff6,0xffffffff,0x262dffff,0x01999999,0xd87fff40,0xd0001fff,
    0x7ffc3fff,0x7ffffc0f,0x04ffffff,0xffff0000,0xd3fffe40,0xf3101fff,
    0x3ffee00f,0x1fffe003,0x82ffffa8,0xf00000fd,0x3ff60bff,0x880bd31f,
    0x6ffffffc,0xf30fffee,0xffd00dff,0xb8005fff,0x2aa21fff,0x017ffe0a,
    0x7fffffc0,0x3fffc05f,0xe8ffff20,0x7c000fff,0x3fea07ff,0x1fffe2ff,
    0x15fff800,0x20009fff,0x2606fffb,0x3e006fff,0x7fc005ff,0x7ffc007f,
    0x7ffcbea6,0xb7ffc407,0xfff6fff8,0xffffffff,0xffffffff,0xf500000d,
    0x7ffec9ff,0xfff50001,0x213ffeeb,0xffffffff,0xa81effff,0x797511aa,
    0x40ffff03,0xfd0ffff8,0x1be201ff,0x01fffdc0,0xb80ffff0,0xbfc46fff,
    0x32a22aa9,0x57ffe02c,0x54fffec0,0x7ff405ff,0x366fffff,0xffe81fff,
    0x7fffe407,0x3e6002ff,0x3fe003ff,0xffa8005f,0x00fffecf,0xf301fffe,
    0x7fff49ff,0x3fffc000,0xf9bffee0,0x3e0007ff,0x9fff15ff,0x10355550,
    0x2e01ffff,0xaaa84fff,0xca97ffe2,0x7fff80bc,0x9b7ffc00,0x0ffff0fe,
    0xf16fff88,0x3feaadff,0xaaaaaaff,0x2affffba,0x8002aaa8,0x3f60fffe,
    0x3a0001ff,0xfffe8fff,0xffffff80,0xffffffff,0x745fffc1,0x7c3fffff,
    0x7ffc07ff,0x01fffd0f,0x2e005fd5,0x3e003fff,0xfff807ff,0x2e5ff50f,
    0xffff77ff,0xdfff03df,0xdfffd899,0x7f402fff,0x86ffe8cf,0x0dfff019,
    0x7fe7ffcc,0x3ffa002f,0x2fffc005,0x47ffec00,0x3e03fffb,0x7fdc07ff,
    0x03fffa1f,0x00ffff00,0x3fe1ffff,0x3fe0007f,0x89fff15f,0xb00efffc,
    0x3fa07fff,0x5fff81ff,0x3fa37ffe,0x7fc3ffff,0x7ffc007f,0x7ffc3fd6,
    0xb7ffc407,0x7fc6fff8,0x7ffc407f,0x017ffe06,0xd8bfff50,0x20001fff,
    0xfffdfffa,0x33ffff04,0xffff7533,0xffdfff8b,0x22ffffff,0x3e607fff,
    0x3fffa7ff,0x2003fd80,0x2003fffb,0xfd807fff,0x5c7f71ff,0xffffdfff,
    0xfff86fff,0x7ffec4ff,0xde801fff,0x801bffa1,0x3a04fffa,0x2fffabff,
    0x01fff700,0x005fff80,0xf8b7ffc4,0x3ffe06ff,0x1fffea07,0x8001fffd,
    0xfd807fff,0x0ffff1ff,0x8afffc00,0x3fee4fff,0x3fea00ef,0x6fff886f,
    0x7fcbfff0,0xffffffff,0x1fffe2ff,0x26dfff00,0x203fffc0,0xff16fff8,
    0x07fff8df,0xf037ffc4,0xfd800bff,0x7ffec1ff,0xffffffff,0x3eaaa21f,
    0xabffffff,0x81fffe1a,0x7fc7fffa,0xfeaacfff,0x1fffe6ff,0xd2ffffd4,
    0x01101fff,0x03fffb80,0x9ffff998,0xfffc8199,0xffff7022,0xffff737d,
    0x0effff85,0x077fffec,0x6ffe8180,0x0bfffa00,0xffab7fe4,0x9fff002f,
    0x2bfff000,0xf701ccc9,0x7fff47ff,0xffffff02,0xdfffffff,0x40fffe81,
    0x7fc0ccc9,0xfffc807f,0xfffffff2,0x0fffffff,0x3fe2bfff,0x1ffff54f,
    0x81ffff00,0xff03fffb,0x7ffffcbf,0x5fffeaac,0x3bbbfffe,0x3e1eeeee,
    0x3ffe06ff,0xffffffff,0xff16ffff,0xfffff8df,0xffffffff,0x3ffe06ff,
    0x3ffe6005,0xfffffd86,0x1fffffff,0x3fffffe6,0x4fffffff,0xff01fffe,
    0x7fffc1ff,0xf3fffc44,0xffdddfff,0x745fffff,0x00000fff,0xf007fff7,
    0xffffffff,0x3fffc83f,0x03fffee0,0xff87fff9,0xfffd80ef,0xffe80005,
    0xbfffb006,0x547ffe60,0xfb802fff,0xff8001ff,0x05fff75f,0xfb83fffa,
    0xffff05ff,0xffffffff,0x1fffd03f,0x7c1fffb8,0xffc807ff,0xffffff3f,
    0xffffffff,0x3e2bfff0,0xffffacff,0x7fff9001,0xf00fffe8,0x7fffcbff,
    0xf3fffc44,0xffffffff,0x7ffc5fff,0x3ffffe06,0xffffffff,0xdfff16ff,
    0xfffffff8,0xffffffff,0x017ffe06,0xd82fffd8,0xffffffff,0x3e61ffff,
    0xffffffff,0x3fe4ffff,0x3ffe207f,0x41fffe0f,0x3ffe7ffe,0xffffffff,
    0x7fff44ff,0xfffb0000,0xffffffff,0xffffff0b,0xfb83ffff,0x3fee04ff,
    0x4fff983f,0x2617ffea,0x0001ffff,0xd806ffe8,0xfd00ffff,0x17ffd47f,
    0x0037ff40,0xff75fff8,0xbfff305f,0x80ffff88,0xffffffff,0x43ffffff,
    0x7dc0fffe,0x3fffc1ff,0xfa7ffdc0,0xffffffff,0xff87ffff,0xfdfff15f,
    0x54003fff,0x3fe26fff,0x97ffe05f,0xfe80ffff,0x3ffffe7f,0x2fffffff,
    0xff81bffe,0xffffffff,0xf16fffff,0xffff8dff,0xffffffff,0x3fe06fff,
    0xfff1005f,0xfd33333f,0x333335ff,0xccc88333,0xccefffdc,0x1fffe2cc,
    0x7c6fffa8,0xfffb06ff,0x3fffffe1,0x83efffff,0x0000fffe,0xfffffffb,
    0x550bffff,0x5555ffff,0x03fffc81,0x260bffee,0xfff74fff,0xffffb8bf,
    0xfe80001f,0x7ffec06f,0x8dff901f,0x5402fffa,0x3a602fff,0x57ffe2ee,
    0xfc82fffb,0xfffd82ff,0xaaffff83,0xfffcaaaa,0x03fffa5f,0xff83fff7,
    0xfffc807f,0x333ffff3,0x03333333,0x3fe2bfff,0x01ffffff,0xb8ffffc0,
    0x3fe02fff,0x41fffe5f,0x3ffe7ffd,0xcccccccf,0x81bffe1c,0xaaaaffff,
    0x6fffbaaa,0xff8dfff1,0xaaaaaaff,0x206fffba,0xf9005fff,0xffffffff,
    0x0003ffff,0x807fff30,0x9999ffff,0x45ffffb9,0xffb06fff,0x33fffe1f,
    0x201aaacc,0x0000fffe,0xfffd9997,0x7c07999d,0xffc807ff,0x3ffee02f,
    0xd4fff882,0xfe8bffff,0x0001ffff,0x3606ffe8,0xf301ffff,0xf95559ff,
    0x360559ff,0x7fd407ff,0x457ffe2f,0xfff80999,0xfeeeeeef,0x7fff86ff,
    0x87fffc40,0x4c40fffe,0x07fff819,0xff2fffd8,0x7fc000ff,0xfffff15f,
    0xc800dfff,0xfffd4fff,0xf2fffc01,0x3ff60dff,0x00ffff0f,0x3e06fff8,
    0x7fc407ff,0x8dfff16f,0x7c407fff,0x3ffe06ff,0xffff8805,0xffffffff,
    0x644001ff,0xefffdccc,0x3fe2cccc,0xffffffff,0x7fc1ffff,0x1fffb05f,
    0x4001fffe,0x0000fffe,0x007fff70,0x7403fffc,0x3ee00fff,0xfff882ff,
    0x8bfff3d4,0x01fffeee,0x06ffe800,0x403ffffb,0xfffffffb,0x05ffffff,
    0xfa809fff,0x17ffe2ff,0x7ffffd40,0xffffffff,0x03fffc2f,0xfe97ffe4,
    0x7fc000ff,0xfffe807f,0x000ffff1,0xff8afffc,0x2fffefff,0x3bffe600,
    0x7c05fff8,0x17ffe5ff,0xff87ffec,0x7ffc007f,0x01fffe06,0x3e2dfff1,
    0x3fffc6ff,0x81bffe20,0xfc805fff,0xffffffff,0x001fffff,0x7fffffcc,
    0x4fffffff,0x3ffffffe,0x82ffffff,0xffb05fff,0x01fffe1f,0x007fff40,
    0x3fffb800,0x01fffe00,0xb80ffff3,0xff882fff,0x17ffe14f,0x03fffb19,
    0x0dffd000,0x803ffffb,0xfffffffb,0x85ffffff,0x5401fff9,0x3ffe2fff,
    0xffffd005,0xffffffff,0x7fff8bff,0xd4fffc80,0xf8001fff,0x7fd407ff,
    0x01fffe7f,0xf15fff80,0xfff17fff,0xfffe800f,0x7c02fffd,0x17ffe5ff,
    0xff87ffec,0x7ffc007f,0x01fffe06,0x3e2dfff1,0x3fffc6ff,0x81bffe20,
    0x7c405fff,0xaaaabfff,0x01fffeaa,0x7ffffcc0,0xffffffff,0x3fffffe4,
    0x01cfffff,0x3f60bfff,0x0ffff0ff,0x03fffa00,0x7ffdc000,0x1fffe003,
    0x03fffe98,0x4417ffdc,0x7ffc4fff,0x03fffb05,0x8dffd000,0x801ffffb,
    0xfffffffb,0x85ffffff,0xb000fffc,0x02fffc3f,0x5577ffc4,0xffbaaaaa,
    0x1fffe0ff,0x25ffff10,0x4000fffe,0x3a207fff,0x3ffe2fff,0x3ffe0007,
    0x5cbfff15,0x2e004fff,0x07ffffff,0x3fe5fff8,0x1fffb05f,0xf001fffe,
    0x7ffc0dff,0xb7ffc407,0x7fc6fff8,0x7ffc407f,0x017ffe06,0xe80bfff7,
    0xaaaabfff,0x510aaaaa,0xbfff9555,0x7fc35555,0x009999ff,0x360bfff0,
    0xffff0fff,0x3fffa000,0xaaaaaaab,0xfffb802a,0x3fffe003,0xffcbaaaa,
    0xffb806ff,0x4fff882f,0xfd82fffc,0xaaaaabff,0x3a00aaaa,0x3ffe26ff,
    0xccccccef,0x3ffea004,0x01fff602,0x3ffe0ff8,0x3fffc805,0x23fffd80,
    0xaaaaffff,0xfffffbaa,0x557fffd0,0x45555555,0xaaaaffff,0x46ffffca,
    0xaaaaffff,0x42aaaaaa,0xfff15fff,0x00fffe89,0xffffff10,0x4bfff009,
    0xffb05fff,0x01fffe1f,0x7c0dfff0,0x7fc407ff,0x8dfff16f,0x7c407fff,
    0x3ffe06ff,0x17fff405,0x3fffffa0,0xffffffff,0x0fffe602,0x000ffff0,
    0xfd82fffc,0x0ffff0ff,0x3ffffa00,0xffffffff,0x7ffdc00f,0x3fffe003,
    0xffffffff,0xffb801ff,0x4fff882f,0xfd82fffc,0xffffffff,0x3a01ffff,
    0x3ffee6ff,0xffffffff,0x3ffea007,0x01bffa02,0xfff0ffa6,0x1ffff00b,
    0x4dfff500,0xffffffff,0x3fffffff,0x3ffffffa,0x0fffffff,0xffffffff,
    0x83ffffff,0xffffffff,0x0fffffff,0x7fc57ffe,0x2fffd44f,0xfffffd00,
    0x4bfff003,0xffb05fff,0x01fffe1f,0x7c0dfff0,0x7fc407ff,0x8dfff16f,
    0x7c407fff,0x3ffe06ff,0x1bffea05,0x3fffffa0,0xffffffff,0x0fffe602,
    0x000ffff0,0xfd82fffc,0x0ffff0ff,0x3ffffa00,0xffffffff,0x7ffdc00f,
    0x3fffe003,0xffffffff,0xfff7001e,0x89fff105,0xffb05fff,0xffffffff,
    0x7f403fff,0x3ffff66f,0x7fffffff,0x0bffea00,0xa805fff8,0x05fff84f,
    0x0037ffd4,0x3fe5ffff,0xffffffff,0x7f44ffff,0xffffffff,0xfff0ffff,
    0xffffffff,0xffff03bf,0xffffffff,0x7ffc1fff,0xb09fff15,0x2e003fff,
    0xf007ffff,0x2fffcbff,0xff0fffd8,0xfff800ff,0x01fffe06,0x3e2dfff1,
    0x3fffc6ff,0x81bffe20,0x3fa05fff,0xffe803ff,0xffffffff,0x3e602fff,
    0x7ffc03ff,0x3ffe0007,0x21fffb05,0xd0007fff,0xffffffff,0x801fffff,
    0x2003fffb,0xffffffff,0x5c002cee,0xff882fff,0x82fffc4f,0xfffffffd,
    0x01ffffff,0x7fc5bffa,0xffffffff,0x3ea007ff,0xfff102ff,0x7fc02009,
    0x7ffec05f,0x3fff2003,0xfffffff5,0x039dffff,0xfffffffd,0x21ffffff,
    0xffffffff,0x3fe02cee,0xffffffff,0x3e0fffff,0x9fff15ff,0x00dfff30,
    0x013fffe2,0xfff2fffc,0x43fff60b,0x7c007fff,0x3ffe06ff,0xb7ffc407,
    0x7fc6fff8,0x7ffc407f,0x017ffe06,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x74c01ddd,0xddb0deee,0xddd0001d,0x76c01ddd,0xddb0eeee,
    0x4eed803d,0xdddddddb,0x80179ddd,0x54004eee,0xeeeeeeee,0x1eeeeeee,
    0x2603ddd9,0x3604eeee,0x777546ee,0xeeeeeeee,0x777646ee,0xeeee9805,
    0x07dddb11,0x01f776c4,0x9807bba2,0xaaaaaaaa,0x000aaaaa,0x54000000,
    0x555501aa,0xb880aaa6,0x000acccc,0x50157973,0x32a60355,0x2e6002cc,
    0x65440abc,0x555402bc,0x40555501,0x800abcb9,0x42cccca8,0x2001bcca,
    0x01bcccba,0x80000001,0x2af2ea00,0x206aaa00,0xfff1aaaa,0x3ffa201f,
    0x3fffa1ff,0xffff8000,0xfff302ff,0x3ffe1fff,0xb7ff405f,0xffffffff,
    0x81efffff,0xaaefffa9,0x7ffd401a,0xffffffff,0xff92ffff,0x3ffee07f,
    0xdfff107f,0xffffffb8,0x7fffffff,0x01ffffcc,0xf713fffa,0x3f201fff,
    0x7c400eff,0x000e02ff,0x65d440a2,0x3003aa0b,0x7c407fff,0xfffd05ff,
    0x3603fff6,0xefffffff,0x3fffee01,0x3fe23fff,0x7ffec45f,0x2e02ffff,
    0x2fffffff,0xdffffff5,0x0bfff103,0x3ee1fffa,0x03ffffff,0x3fffffea,
    0xffffebef,0x3fa602ff,0x85ffffff,0x000002ed,0x7f4c36d4,0x882fffff,
    0x7fe45fff,0x1ffff0ef,0x5ffffd10,0x000fffe8,0x4ffffff8,0xffffff70,
    0x0bffffe1,0xfff6ffe8,0xffffffff,0xfc83ffff,0x5fffffff,0x7ffffd40,
    0xffffffff,0xbfff52ff,0x3fffffa0,0x44fffa80,0xfffffffb,0x87ffffff,
    0x700ffffb,0xfd01ffff,0xfff30bff,0xfff1005f,0x44001c05,0xfffffb82,
    0x402ffcef,0x2203fff9,0xffd05fff,0x503fff6f,0xffffffff,0xfff701ff,
    0x2dffffff,0x3e25fff8,0xffffffff,0xffffb82f,0xffefffff,0x1fffffff,
    0xe82fffc4,0x7ffe47ff,0x86ffffff,0xfffffff8,0xffffffff,0xff881fff,
    0xffffffff,0x05fffec3,0xffd70000,0xfffffa8d,0x7c43ffff,0x3ffee5ff,
    0x03fffe0f,0x05ffffd1,0x0001fffd,0x0dffffff,0x3ffffff6,0x1ffffff0,
    0x7fdbffa0,0xccbaaaff,0x644ffffd,0xffffffff,0x55554405,0xaadfffda,
    0xfff10aaa,0xfffff10f,0x5fff905f,0xaaaaaa98,0x5ffffcaa,0x109fffd0,
    0x2605ffff,0x7f42ffff,0xff1005ff,0x4001c05f,0x7fffec28,0x03ffffff,
    0x203fff98,0xfd05fff8,0x11fff6ff,0xd735dfff,0xffb87fff,0xfffebeff,
    0x25fff8cf,0xdacffffd,0x7fdc6fff,0xfffebeff,0xfb9cffff,0x7ffc46ff,
    0x5cfffd05,0xfebeffff,0x7fec4fff,0xfffeb9bf,0xffeb9bff,0x57ffe41f,
    0x1fffea88,0x33fffff6,0xff910001,0xffe8dfff,0xffffbadf,0x557ffe20,
    0x7fc1ffff,0x7ffec0ff,0x1fffd02f,0xfffff000,0xffff01ff,0x3ffe1fff,
    0xffd04fff,0x701fffed,0x3fe0ffff,0xf700005f,0xffd007ff,0xffffa81f,
    0xfffe85ff,0x7ffc4000,0xfff300ef,0x5fffc83f,0x87fffdc0,0x000ffffb,
    0x1c05fff1,0xff714400,0xffd73bff,0xddd300bf,0x2fffc405,0xf537ffe8,
    0x40fdc98f,0x3e24fffa,0x7fcc2fff,0x34fca9ff,0xffb0bfff,0x17fffc5f,
    0x07ffffea,0x7c45fff5,0xfffd05ff,0x30bfffe2,0x2e23ffff,0x7ffcc2ed,
    0x27ff443f,0x3221bff6,0x3ffee09b,0x002dffff,0xffffffb3,0x1fffdc9f,
    0xf893ffe2,0xffff9dff,0x20ffff81,0x202ffffd,0x8000fffe,0x2fffdfff,
    0x7fefffcc,0xffffff0f,0x2dffd03f,0xff807fff,0x5fff81ff,0x8002b2ea,
    0xc803fffb,0x7fe42fff,0xff87ffef,0xffe8006f,0x7fe401ff,0x3fffe66f,
    0xcfffe800,0x302ffff8,0xfff99999,0x0e59999b,0x7fc4a200,0x7ffec0ef,
    0x2200001f,0xffd05fff,0x20037c4f,0x3ea4fffa,0xfff905ff,0x7fdcfee7,
    0x4c1a982f,0xffd04fff,0x93ffe0ff,0xfd05fff8,0x0fffeaff,0x8027ffdc,
    0xc80ffff9,0x7ffe47ff,0xb5000acf,0x7dffffff,0xffffd501,0xfd815dff,
    0x7ffe81ff,0x3ffbffe2,0xffff02ff,0x0fffff21,0x001fffd0,0xffbbfff0,
    0xfceffb89,0xfffff0ff,0xdffd0dff,0x3e01fffe,0xfff80fff,0xfffffe8d,
    0x7fff7003,0x89fff500,0xfffbdffe,0x013ffe60,0x05ffffb0,0x25ffff10,
    0x3003fffd,0xfffdffff,0x7fffd40b,0xffffffff,0x5100074f,0xf90bffea,
    0x64c9fffd,0xcccccccc,0xff12cccc,0x5fffa0bf,0x5cc03fd8,0x24fffffd,
    0xf502fffc,0x21ff3bff,0x2000fffc,0xf701fffb,0x55555dff,0x7fc4dffd,
    0x2fffd05f,0xf100fffc,0x36e60bff,0xaaffffff,0x0fffcaaa,0x3fffffea,
    0xb8800bdf,0x4ffffffe,0xfffffff7,0x7fff4039,0xffdaaaaa,0x3ffffe27,
    0xfff01fff,0x7ffff91f,0x01fffd00,0xf7bfff00,0xccffd8df,0xdfff0fff,
    0xfe87fffd,0x80ffff6f,0xff07fffa,0xffffffff,0xff7003ff,0xfff1007f,
    0x4dfffc4b,0x3fee2fff,0x3fee002f,0x3ea004ff,0x6fffafff,0x7fffe400,
    0x3ea00fff,0xffffffff,0x0074ffff,0x3fff2510,0x3fe3bee0,0x3fffea6f,
    0xffffffff,0x0bfff14f,0x3ff3fffa,0xffff9105,0x749fffff,0x3fe00fff,
    0x3f62ffff,0x3f6000ff,0xfff300ff,0xffffffff,0x2fffc4ff,0xffd7ffe8,
    0x26fff80f,0xffffffb8,0xffffffff,0x5c1fffff,0xffffffff,0x3f66003f,
    0xfffb6fff,0x3fe005bf,0xffffffff,0xfff10fff,0x20dfffff,0xfffcffff,
    0xffe803ff,0xfff8000f,0x3e0fff9d,0x0fffcaff,0xfff5bfff,0xfb7ff41f,
    0xbaaaafff,0x03ffffdc,0x55dfffff,0x700bfffd,0x3e007fff,0x3ffea7ff,
    0x7e49fff1,0xff3000ff,0xfb000bff,0x03ffffff,0xffffe880,0x7ffd403f,
    0xffffffff,0x100074ff,0xfa9fff65,0x54fffd1f,0xffffffff,0xf14fffff,
    0x3ffa0bff,0xfd102eff,0xff37bfff,0x0fffec9f,0x0dffff88,0x0007ffec,
    0x2603fffb,0xffffffff,0x3e27ffff,0xfffd05ff,0xf803fff6,0x3fff66ff,
    0xffff9bdf,0xffffffff,0xfffc982f,0x003fffff,0x6dbfff6a,0x000befff,
    0xffffffff,0x223fffff,0xffefffff,0xfffff83f,0x00ffffff,0x0007fff4,
    0xfffafffc,0xf91fff32,0x57ffe1ff,0x3fa4fffd,0xffffff6f,0xffffffff,
    0x1ffffc0b,0x201bffe2,0xb003fffb,0x3ff23fff,0xfe9fff67,0xfff1007f,
    0xf10001df,0x009fffff,0x1bfffea0,0x17ffc400,0x25100070,0xff98fffd,
    0xfa9bffa2,0xffffffff,0xff14ffff,0x3fffe0bf,0x1fffe400,0xfb93ffe2,
    0xfff703ff,0x07fff20b,0xfff704d4,0x17ffea09,0x0bfff100,0x7fddfffe,
    0x9fff301f,0xf037ffee,0x20000fff,0x6ffffdb9,0x7fff5c40,0xffff96ff,
    0xfe8039ff,0x7fc4007f,0x1fffd4ff,0xfffffff8,0x7405ffff,0xf8000fff,
    0x2bffb5ff,0xfff96ffb,0x7c57ffe1,0xdffd1fff,0x3ffffffe,0x02efffff,
    0x7407fffc,0xffb807ff,0xfff7003f,0xfb97ffa5,0x5fff88ff,0x1ffffd00,
    0x7ffdc000,0xfb0000ff,0x0001ffff,0x1c05fff1,0xffb94400,0x7fc3ffaf,
    0x7c00005f,0xfff886ff,0x87ffe807,0x3e64fff9,0xfffb06ff,0x13ffee07,
    0x7d4fffee,0xfffd06ff,0x8135901f,0xff886fff,0x0bfff37f,0x7e4ffff2,
    0x7ffc40ff,0x441ab82f,0xfe882ca9,0xfffb507f,0xda87dfff,0xbeffffff,
    0x82fffd80,0x7ffc41ab,0xf13ffea5,0xf37fffff,0x7f407fff,0xff8000ff,
    0x3afff75f,0x1fff94ff,0xffb97ffe,0x3edffd6f,0xffeeefff,0xfff003ff,
    0x03fff60d,0x007fff70,0x3e33ffe6,0x3ffe63ff,0x803fffaa,0x002ffffd,
    0x02fffe80,0xfffff500,0xff1000df,0x4001c05f,0xfffff528,0x03fffa89,
    0x200d5544,0x7f42fffe,0xfff807ff,0x2fffec0f,0x4c77fffe,0x100ffffc,
    0x2619ffff,0x3fa1fffe,0xffb30cff,0x7e419fff,0x7fff43ff,0xf3ffff41,
    0x3263bfff,0x3ff66fff,0x7fffe42f,0x9bffe60e,0xf80ffff8,0x3ff226ff,
    0x01dfffff,0x7ffffe4c,0x3fea1cff,0x3ffe60df,0xd17ffe25,0x7ffc3fff,
    0x3fff24ff,0x1fffd00f,0x2bfff000,0xfff9fff9,0x3e1fff92,0x7fff45ff,
    0xfff6ffeb,0x4ffffa8f,0xb06fff80,0xfb801fff,0x3fe003ff,0x41fffaef,
    0xfffbcfff,0x7fffdc01,0xffb00003,0xff10003f,0x07ffffff,0x02fff880,
    0xe8a2000e,0x3ee26fff,0x7cc00fff,0x7fe403ff,0xffffddff,0xfffd807f,
    0xffffecbe,0x7ffffcc5,0x02fffffe,0x77ffffdc,0x7cc5ffff,0xfffeffff,
    0xecffffff,0xffc85fff,0xffffddff,0x3fffe67f,0x1fffffef,0x2f3fffee,
    0xfffffffe,0x40ffffdd,0xcbdffffc,0x3f63fffe,0x00cfffff,0x7fffdc40,
    0x7fff46ff,0x0ffffddf,0xf317ffe2,0x7fffcbff,0x2ffffc44,0x000fffe8,
    0x3fe5fff8,0xf90fffef,0x17ffe1ff,0xfffffff3,0x2a1fffed,0x7c04ffff,
    0xfffb05ff,0x3fffb801,0x37fff600,0xeffc86ff,0x7d407ffd,0x00005fff,
    0x0007fff6,0x3f3bfff6,0x22000fff,0x00e02fff,0xfff98a20,0xfffffdff,
    0x3fff9802,0x7ffff440,0x07ffcdff,0xffffff98,0x987ffeef,0xffffffff,
    0xfff9002f,0x01dfffff,0xfffffff5,0xffffd7ff,0xd101ffff,0x9bffffff,
    0xfff98fff,0x42ffffff,0xffffffe8,0xffffebff,0xfb02ffff,0xffffffff,
    0xbefffd8b,0xfea80000,0x7ff446ff,0x42ffffff,0xfd85fff8,0x1ffff2ff,
    0x05ffff70,0x0001fffd,0x7fecbfff,0x3ff26fff,0x90bfff0f,0x2dffffff,
    0xff907fff,0x7ffc05ff,0x01fffb05,0x003fffb8,0x3fffffee,0xfffffa84,
    0x3ffe205f,0x6c00006f,0x54001fff,0xffd2ffff,0x999800bf,0x22000e00,
    0x3fffff22,0x003fffff,0x3007fff3,0x2e9dfffd,0xfd3007ff,0x3fea9fff,
    0xffec881f,0x54000dff,0x0bfffffe,0x3ffff620,0x3fff20cf,0x36200bdf,
    0xff73efff,0xfffd930f,0x3f6201bf,0x2e0cefff,0x02ceffff,0x7fffff54,
    0x02dfd82e,0xdfb30000,0x3bfffb20,0x5fff881c,0xff6fff98,0x3ffa01ff,
    0x7fff40ff,0x5fff8000,0x93ffffee,0xfff0fffc,0xfffff10b,0x81fffedf,
    0xf00ffffe,0x3ff60bff,0x7ffdc00f,0x3ffe6003,0xff882fff,0xd103ffff,
    0x0001ffff,0x01fffd80,0x97fffe20,0x983ffff9,0xcccccccc,0x072ccccc,
    0x3fea5100,0xdffffdba,0x2aaa2000,0x0004c001,0x00013100,0x00000988,
    0x31000133,0x00098801,0x22000098,0x06620009,0x20002620,0x2a009998,
    0x10000001,0x00098807,0x3fffe000,0xbffff300,0xaabfffe8,0x42aaaaaa,
    0x3fe65fff,0x3ff22fff,0x20bfff0f,0xf6fffffa,0x7fcc0fff,0xbfff05ff,
    0x003fff60,0x4007fff7,0x0ffffff8,0x3fffffd0,0x33ffff20,0xaaaaaaaa,
    0xffb000aa,0x7fec003f,0x7ffe40ff,0x7fffd40f,0xffffffff,0x5100074f,
    0x0004c0e4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff00000,0x7ffec01f,0x3ffffa2f,0xffffffff,
    0xf17ffe0f,0x7e41ffff,0x0bfff0ff,0xfb7fffec,0x7fe407ff,0x5fff82ff,
    0x801fffb0,0x4003fffb,0x206ffffe,0x207ffffc,0xfffffffd,0xffffffff,
    0x3fffb003,0x3fffea00,0x5fffe882,0x7fffffd4,0x4fffffff,0x55555557,
    0x05755555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x401ffff0,0xd0fffff8,0xffffffff,
    0x7c1fffff,0x7ffec5ff,0xf87ffe46,0x3fe205ff,0x0ffff6ff,0xf0dfffd0,
    0x3ff60bff,0x7ffdc00f,0x7ffe4003,0x3ffea04f,0x3fff605f,0xffffffff,
    0xb003ffff,0xf1003fff,0x7d40bfff,0x3fea3fff,0xffffffff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00ffff80,0xea7fffdc,0xffffffff,0x3e0fffff,
    0x7ffdc5ff,0xf87ffe44,0x7fdc05ff,0x00ffff6f,0xf89ffff3,0xfffb05ff,
    0x3fffb801,0x7fffd400,0x3fffe202,0x3ffff603,0xffffffff,0xfb003fff,
    0xff9003ff,0xffd801ff,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55540000,0x22155512,0xcba81bcb,
    0x11aaa80a,0x51037975,0x0aaaa355,0x5440d554,0x155511aa,0x55502f2a,
    0x55555555,0x48805705,0x50055554,0x5554c555,0x03555502,0x4c04eeb8,
    0x055511aa,0xa88d54c0,0x0200442a,0x09988000,0x00013100,0x01100088,
    0x65c02660,0xcccccccc,0x40204ccc,0xcccccccb,0x224ccccc,0xddd54eee,
    0x653bba67,0x6edc1eee,0x0355101b,0x44444410,0x33066208,0xc8099983,
    0x4ccc43cc,0x7cd3bba0,0xffffffff,0x13ffffff,0x77777777,0x37777777,
    0x00000000,0xbfff0000,0x3ee7ffe6,0xfd15ffff,0xff85ffff,0xffffe8bf,
    0x9fffcc3f,0x7cc0fffc,0xfffb86ff,0xf95fff11,0xffff8fff,0x6fffffff,
    0x76d57fdc,0x2e5fe9be,0xff103fff,0x7fff44bf,0x07fffd44,0x101bff20,
    0x3ff61dff,0x0ffe8801,0x77445ff9,0xa881f900,0x6401befd,0xbfd007ff,
    0x81efedc4,0x80dfffec,0x403ffffb,0xfffd02fe,0xffffffff,0x5bfd50ff,
    0xffffffe8,0x27ffffff,0xff75fff8,0x57ffea9f,0x66c2fffd,0x3f621ffe,
    0x440befff,0xfffff11e,0x87ffa5ff,0x3ff60fff,0x22fffc0f,0x3fe0effe,
    0xfffff35f,0xffffffff,0x3ffe67ff,0xffffffff,0x0003ffff,0x00000000,
    0xff35fff8,0xffffffdf,0xfffffdbf,0x6fffc3ff,0xffffffff,0x4cfffe62,
    0x7fdc2fff,0x3ffec0ff,0xfffdfff1,0xfffff89f,0x26ffffff,0xfffffff8,
    0x13ffffff,0x3ee0dfff,0x7ffcc2ff,0x5ffff11f,0x00dff900,0x3fe69ff7,
    0x9ffec00e,0x3fa26ffa,0x7ffe40ef,0x3ffbff20,0x3fffe206,0x97ff6603,
    0x44ffeffc,0x6ffffffb,0x7fffffe4,0x7407fa04,0xffffffff,0x7ec7ffff,
    0x3fa5ffff,0xffffffff,0x3fe27fff,0x29fff75f,0xffb5fffa,0xd2ff405f,
    0xffffffff,0x223ffd9d,0x2fffffff,0x7ffc3ffd,0x3e27fec0,0x3ffea5ff,
    0xb8afffc0,0xbbbbbbbb,0x31bbbbbb,0xffffffff,0x7fffffff,0x00000000,
    0xbfff0000,0x2fbfffe6,0xdfffffc9,0x24fffeaa,0xaacfffff,0x3e66fffe,
    0x13ffe3ff,0xf85ffffb,0x3ffe24ff,0x741fefff,0xffdeeeee,0x7ffd45ff,
    0xffffffff,0x40fffec4,0xff907ffe,0x13fff6df,0x8037fe40,0x9ff92fff,
    0xf8b7fd40,0x3ffe61ff,0xffff90ef,0x7ccffe23,0xffff902f,0x3ffff20d,
    0x3f25ff15,0xffb2f647,0x7557ffc4,0xb17f11ff,0x7f49931f,0xffffffff,
    0x3fe27fff,0xfd0ffb8b,0xffffffff,0x7fc4ffff,0x29fff74f,0xffb5fffa,
    0x7d44225f,0x3ffffe3f,0xffffffff,0xfffff11f,0x87ffa5ff,0x7f440fff,
    0xe97ffe0f,0x5fff81ff,0x00000000,0x00000000,0xfff80000,0x83ffff35,
    0x220efffe,0x3ffe5fff,0x3fffc44f,0x7e435551,0x7ffffc6f,0x88bffe64,
    0x0024ffff,0x837fff44,0xfdbefffd,0xfff987ff,0x027ffcc4,0xfffbfffd,
    0x3ff2001d,0x1fff5006,0xf105fff1,0x17ff65ff,0x37bfffe6,0x2621ffff,
    0x105ff30a,0x05ffffff,0x10bfd7fb,0x5440dfd3,0x7ff70ffe,0xffa9ffdc,
    0x07ffefef,0xb13f2000,0xffb8007f,0xff33fa87,0x53ffe27f,0xff71fffc,
    0xadf8dfff,0xffffeca8,0xbbb10dff,0x0443bbbb,0x77440222,0x74c66662,
    0x0000002e,0x00000000,0x00000000,0x3e6bfff0,0xfffc85ff,0x3e6fff83,
    0xfffd07ff,0x47ffea00,0x26fffff9,0x7fc47ffc,0xfd8000ff,0xff880eff,
    0x17ffcc4f,0x3f23fff4,0x3fe200ff,0x701fffff,0xfffd9999,0x3a099999,
    0x1fff75ff,0xff75ffd8,0x3ffe601f,0x401fffff,0xfb80ffe8,0x186ffdef,
    0x3fea17fa,0x7ff6440f,0x3ff90fff,0xdb8affcc,0x03dfffff,0x913f2000,
    0xffb8009f,0xff12fd87,0xa9fffc5f,0x332e67ff,0x3260382b,0x00002cee,
    0x00000000,0x00000000,0x00000000,0x7fc00000,0x09fff35f,0xff05fff9,
    0x837ffcdf,0xf000fffd,0x33fee7ff,0xbffd0fff,0x006fff88,0x00ffffd8,
    0xfd03fff3,0x3fff709f,0x5c02fffc,0x203fffff,0xfffffffe,0x307fffff,
    0x3ffe5fff,0x227ffee5,0x7cc04fff,0x401fffff,0xf881fff9,0x1fff9bff,
    0x32a17fa0,0xffd10efe,0x321ff97b,0x13fe62ff,0x2e03fff2,0xcccccccc,
    0x3e64cccc,0x003ff31f,0x3627ffb8,0xb07ff45f,0x1bfe23ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfff35fff,0x03fff909,
    0x7ffcdfff,0x01fffb06,0x7ed7ff60,0xf8affdaf,0x7ffc42ff,0x7ffe4005,
    0x3ffe601f,0x884ffd80,0xfff54fff,0x3fffa005,0x3fffa00f,0xffffffff,
    0x3fff507f,0x7cc9fff1,0x0bffd3ff,0x1dffffb0,0x80f7fd40,0xffd0fffb,
    0x102ff40b,0x8ffea7ff,0x9ff50ffe,0x3f21ffdc,0x7f40efcf,0xffffffff,
    0x7ff47fff,0xb8006ffe,0x037e27ff,0x41988331,0x00000099,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35fff800,0xff907fff,0x4dfff03f,
    0xffb05fff,0x3fea001f,0xfb8fff8f,0x40fffbcf,0x2005fff8,0x402ffffb,
    0x7c43fff8,0xfffb03ff,0x4c01fff6,0x204fffff,0xfffffffe,0xd07fffff,
    0x1bff29ff,0x3e63ffee,0x3ff202ff,0xa80effff,0x3fe00eff,0x03ffee5f,
    0x1ff8aff4,0x3fe67ff1,0x11fffb9d,0xfff99fff,0xfe97fdc1,0x7fffff46,
    0x7fffffff,0x067ffe44,0x23ffdc00,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0x07fff35f,0xff03fff9,0x82fffcdf,
    0x1000fffd,0x2dff9fff,0x5ffdeff9,0x004fff88,0x007ffff5,0x2e73fffa,
    0xf300fffe,0x09fff5ff,0xfffffd10,0x7fe4003f,0x2dff7006,0xfd01fff9,
    0x41bfee9f,0xfffffffc,0x3ffe20ef,0x3ea4ffff,0x3ffe21ff,0x7ecbfd04,
    0x7f46ffdf,0x21ffefff,0x3ffffffa,0xd07aa5c8,0xffffffff,0x220fffff,
    0x3ee0000a,0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xfff35fff,0x03fff907,0x7ffcdfff,0x01fffb05,0x7ffffec0,
    0x3fffffe4,0x04fff882,0x04ffff98,0xfffffd10,0x405fffff,0x0ffffffe,
    0xfefffd80,0xf9000eff,0xfff100df,0x880fff63,0x7ffd0fff,0x99ffffc8,
    0xf50effff,0x49ffffff,0xffd86ffe,0x225fe80f,0x441dfffd,0x83991ceb,
    0x201deed9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x35fff800,0xff907fff,0x4dfff03f,0xffb05fff,
    0x0bbba61f,0x8bffffee,0x80fffffc,0x4404fff8,0xaaaeffff,0xfd10aaaa,
    0xffffffff,0x3ee05fff,0xa805ffff,0xffd8efff,0xdff9005f,0x2a7ff900,
    0xffb806ff,0x261fff15,0x3e61ffff,0x33312fff,0x32213333,0xccc982cc,
    0x03009881,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff35fff8,0x3fff907f,0x7fcdfff0,
    0x1fffb05f,0x220fffe6,0x2a0fffff,0xf105ffff,0xffb809ff,0xffffffff,
    0x33ff21ff,0xffbefffd,0xffff101f,0xfff8805f,0x5ffff11f,0x80dff900,
    0x3ffa5ff9,0x23ffb000,0x3fea3ffb,0x003ff981,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cd7ffe0,0xfffc83ff,0x3e6fff81,0xfffb05ff,0x40fffe61,
    0x7c46fffe,0xff103fff,0xfffb809f,0xffffffff,0x3022641f,0xfffd803f,
    0x4fffd807,0x007fffdc,0x0001bff2,0x1a800000,0x00000e60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf0000000,0x3ffe6bff,0x81fffc83,0x3ffe6fff,0x21fffb05,
    0xf703fff9,0xfffd07ff,0x13ffe201,0xffffff70,0x03ffffff,0x7fcc0000,
    0x7ffdc04f,0x0bfffd06,0x00009988,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_31_latin_ext_x[560]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,1,0,2,
2,1,2,1,2,1,2,1,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,1,1,1,1,-1,2,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,1,-1,1,2,0,2,0,2,0,2,0,2,0,1,1,
1,1,1,1,1,1,2,1,0,0,-1,-1,-1,-1,-1,-1,1,1,1,1,1,1,0,-2,2,1,1,2,1,2,
-1,2,2,2,1,0,0,2,1,2,1,2,1,-1,2,1,1,1,1,1,1,1,0,1,2,1,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,1,1,1,1,0,0,-1,0,
-1,0,0,0,0,0,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,-1,1,
1,1,1,1,1,1,1,1,1,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,0,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_31_latin_ext_y[560]={ 25,5,5,4,3,4,4,5,4,4,4,8,21,15,
21,4,5,5,5,5,5,5,5,5,5,5,10,10,7,10,7,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,28,4,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,5,4,8,5,
4,4,4,4,4,11,10,15,4,1,4,6,4,4,4,10,5,13,25,4,4,11,4,4,4,10,-1,-1,0,0,
0,1,5,4,-1,-1,0,0,-1,-1,0,0,5,0,-1,-1,0,0,0,8,4,-1,-1,0,0,-1,5,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,7,9,4,4,4,4,4,5,4,
0,5,0,4,5,10,-1,4,-1,4,-1,4,-1,4,-1,5,5,5,0,5,-1,4,-1,4,5,10,-1,4,-1,4,
0,4,-1,4,4,2,-1,0,5,5,-1,5,0,5,-1,4,5,5,0,10,5,5,-1,4,5,5,10,-1,0,5,
5,5,5,5,5,5,5,-1,4,5,10,-1,4,5,4,10,0,5,-1,4,-1,4,4,10,-1,4,5,10,-1,4,
-1,4,-1,4,4,10,-1,4,5,5,-1,5,5,5,-1,5,0,5,-1,4,-1,4,-1,4,5,10,-1,4,-1,4,
0,-1,4,0,4,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,5,10,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,0,0,0,0,0,0,0,0,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-3,-1,-1,4,-1,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_31_latin_ext_w[560]={ 0,5,11,16,15,23,19,5,8,8,11,15,5,9,
5,9,14,9,15,14,15,14,14,14,14,15,5,5,14,15,14,15,27,20,17,18,17,16,14,19,16,5,14,18,
15,21,16,20,16,21,18,17,17,17,20,27,19,20,17,8,9,8,14,17,7,15,15,14,15,15,11,15,15,5,
8,15,5,22,15,15,15,15,11,15,9,14,16,22,16,15,14,11,4,10,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,14,15,15,16,
4,15,10,22,10,13,15,9,22,17,9,15,9,9,7,14,17,5,8,6,10,14,22,22,23,15,20,20,20,20,
20,20,29,18,16,16,16,16,8,7,10,10,20,16,20,20,20,20,20,14,21,17,17,17,17,20,16,15,15,15,
15,15,15,15,23,14,15,15,15,15,7,7,10,10,15,15,15,15,15,15,15,15,16,14,14,14,14,15,15,15,
20,15,20,15,22,17,18,14,18,14,18,14,18,14,17,19,20,16,16,15,16,15,16,15,16,15,16,15,19,15,
19,15,19,15,19,15,16,15,20,16,10,10,10,10,10,10,7,7,5,5,19,13,16,11,18,15,15,15,7,15,
9,15,9,15,11,17,8,16,15,16,15,16,15,19,17,15,20,15,20,15,20,15,27,25,18,11,18,12,18,11,
17,15,17,15,17,15,17,15,17,9,17,14,17,9,17,14,17,14,17,14,17,14,17,15,17,17,27,22,20,15,
20,17,14,17,14,17,14,9,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,19,15,15,17,15,15,15,
15,15,15,15,15,15,15,15,15,15,23,19,15,15,15,15,15,15,15,15,15,15,15,15,15,23,20,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,20,15,10,10,20,
15,17,14,17,14,17,14,17,14,17,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,20,15,29,23,21,16,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15, };
static unsigned short stb__arial_bold_31_latin_ext_h[560]={ 0,20,8,22,25,22,22,8,27,27,11,15,9,5,
4,22,21,20,20,21,20,21,21,20,21,21,15,20,16,10,16,21,27,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,23,20,22,20,21,20,20,20,20,20,26,22,26,12,3,5,16,21,16,21,16,21,21,20,20,
26,20,20,15,15,16,21,21,15,16,21,16,15,15,15,21,15,27,27,27,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,26,22,15,20,
27,27,5,22,11,14,10,5,22,3,10,19,12,12,5,21,26,5,6,12,11,14,22,22,22,21,26,26,25,25,
25,24,20,27,26,26,25,25,26,26,25,25,20,25,27,27,26,26,26,14,23,27,27,26,26,26,20,22,22,22,
22,21,22,22,16,21,22,22,22,22,21,21,21,21,21,20,22,22,22,21,22,16,17,22,22,22,22,27,26,27,
25,21,25,22,26,21,27,22,27,22,27,22,27,22,26,21,20,21,25,21,26,22,26,22,26,21,26,22,27,27,
26,27,27,27,27,29,26,25,20,20,26,20,25,20,26,21,26,26,25,15,21,26,27,27,26,26,15,26,25,26,
26,20,20,20,20,20,20,26,21,26,21,26,21,20,22,21,26,21,27,22,27,22,22,16,26,21,26,21,26,21,
27,22,27,22,27,21,27,22,29,29,26,21,20,21,27,21,26,21,27,22,27,22,27,22,26,21,26,21,26,27,
25,26,21,25,21,26,21,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,22,18,18,27,18,18,18,
18,18,18,18,18,18,18,18,18,18,22,16,18,18,18,18,18,18,18,18,18,18,18,18,18,21,16,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,26,22,26,21,27,
22,27,22,26,26,26,26,26,26,26,26,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,28,27,26,22,28,22,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__arial_bold_31_latin_ext_s[560]={ 511,504,336,33,33,481,29,348,387,1,276,
152,330,380,423,65,204,200,210,219,226,234,249,242,295,310,46,257,465,288,450,
326,99,275,296,183,330,348,430,383,455,472,342,1,20,36,58,331,81,105,75,
149,111,357,387,129,196,175,157,223,272,80,222,429,401,302,264,338,375,480,423,
435,414,408,152,371,365,7,30,394,451,391,75,434,467,379,118,52,135,407,87,
47,412,401,363,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,511,505,286,
377,102,31,396,371,390,417,254,183,314,380,338,447,304,216,212,244,415,280,455,
409,354,237,265,168,218,50,90,128,131,171,307,415,328,84,1,88,490,18,370,
398,161,232,444,1,477,67,123,257,186,340,434,197,127,296,335,416,398,301,48,
242,114,361,226,386,274,440,410,145,1,488,472,456,504,184,238,193,337,65,322,
306,290,266,258,265,248,211,196,181,166,417,270,451,349,144,12,49,247,160,467,
466,486,435,10,91,144,368,322,192,132,249,492,282,63,241,211,202,89,298,125,
297,79,143,287,177,59,127,193,1,270,455,478,94,52,498,387,499,499,417,240,
248,505,1,428,256,261,249,106,207,496,170,436,361,142,98,445,314,263,182,173,
35,488,1,1,473,27,153,313,43,377,59,236,352,197,450,1,353,228,91,192,
103,152,116,29,403,179,419,218,75,353,75,27,17,436,473,114,463,278,448,343,
402,213,257,159,282,231,167,382,368,1,314,110,163,471,296,212,49,178,325,353,
17,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,106,232,232,433,
232,232,232,232,232,232,232,232,232,232,232,232,232,142,318,232,232,232,232,232,
232,232,232,232,232,232,232,232,160,281,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,361,126,
314,227,314,17,278,130,418,29,44,62,77,95,400,454,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,67,107,469,393,45,73,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,232,
232,232,232,232,232,232,232,232,232, };
static unsigned short stb__arial_bold_31_latin_ext_t[560]={ 1,161,249,162,113,113,139,249,1,31,249,
249,249,249,249,139,185,207,207,185,207,185,185,207,185,185,249,207,228,249,228,
185,31,207,207,113,207,207,207,113,207,207,185,228,228,228,228,113,207,113,228,
113,228,185,207,228,228,228,228,86,113,86,249,249,249,228,185,228,185,228,185,
185,207,207,86,207,207,249,249,228,185,185,249,228,185,228,249,249,249,185,249,
31,1,1,249,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,1,113,59,
139,249,207,1,1,249,139,249,249,249,249,139,249,249,228,249,249,249,185,59,
249,249,249,249,249,113,162,162,185,59,59,86,86,86,113,207,1,59,86,86,
86,86,86,86,113,185,113,1,1,86,59,59,249,113,1,1,59,59,59,207,
139,162,139,139,162,139,139,228,162,162,139,139,139,139,162,162,185,162,207,139,
139,139,162,139,228,228,139,139,139,139,1,59,1,86,185,113,139,59,185,1,
113,1,113,31,139,1,113,59,162,207,162,86,162,86,113,59,113,86,162,86,
113,31,31,86,31,31,31,31,1,86,86,207,228,86,185,86,207,31,162,86,
86,1,249,162,86,31,31,86,86,228,86,86,59,86,207,207,207,207,207,207,
86,162,86,185,59,185,207,113,185,59,185,1,113,1,113,139,228,59,185,59,
185,59,185,31,113,1,113,1,185,1,139,1,1,31,162,207,162,31,162,31,
162,31,113,31,113,31,113,31,162,59,162,59,1,86,31,162,113,185,31,162,
185,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,139,228,228,1,
228,228,228,228,228,228,228,228,228,228,228,228,228,139,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,162,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,31,139,
31,162,1,162,1,162,31,59,59,59,59,59,31,31,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,1,1,31,139,1,162,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,228,
228,228,228,228,228,228,228,228,228, };
static unsigned short stb__arial_bold_31_latin_ext_a[560]={ 123,148,210,247,247,395,321,106,
148,148,173,259,123,148,123,123,247,247,247,247,247,247,247,247,
247,247,148,148,259,259,259,271,433,321,321,321,321,296,271,345,
321,123,247,321,271,370,321,345,296,345,321,296,271,321,296,419,
296,296,271,148,123,148,259,247,148,247,271,247,271,247,148,271,
271,123,123,247,123,395,271,271,271,271,173,247,148,271,247,345,
247,247,222,173,124,173,259,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,123,148,247,247,247,247,124,247,
148,327,164,247,259,148,327,245,178,244,148,148,148,256,247,123,
148,148,162,247,370,370,370,271,321,321,321,321,321,321,444,321,
296,296,296,296,123,123,123,123,321,321,345,345,345,345,345,259,
345,321,321,321,321,296,296,271,247,247,247,247,247,247,395,247,
247,247,247,247,123,123,123,123,271,271,271,271,271,271,271,244,
271,271,271,271,271,247,271,247,321,247,321,247,321,247,321,247,
321,247,321,247,321,247,321,319,321,271,296,247,296,247,296,247,
296,247,296,247,345,271,345,271,345,271,345,271,321,271,321,271,
123,123,123,123,123,123,123,123,123,123,348,247,247,123,321,247,
247,271,123,271,123,271,171,271,213,271,123,321,271,321,271,321,
271,315,321,271,345,271,345,271,345,271,444,419,321,173,321,173,
321,173,296,247,296,247,296,247,296,247,271,148,271,213,271,148,
321,271,321,271,321,271,321,271,321,271,321,271,419,345,296,247,
296,271,222,271,222,271,222,123,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,322,333,333,247,333,333,333,333,333,
333,333,333,333,333,333,333,333,379,316,333,333,333,333,333,333,
333,333,333,333,333,333,333,368,321,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,321,247,123,123,345,271,321,271,321,271,321,
271,321,271,321,271,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,321,247,444,395,345,271,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_31_latin_ext(stb_fontchar font[STB_FONT_arial_bold_31_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_31_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_31_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_31_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_31_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_31_latin_ext_s[i] + stb__arial_bold_31_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_31_latin_ext_t[i] + stb__arial_bold_31_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_31_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_31_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_31_latin_ext_x[i] + stb__arial_bold_31_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_31_latin_ext_y[i] + stb__arial_bold_31_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_31_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_31_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_31_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_31_latin_ext_s[i] + stb__arial_bold_31_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_31_latin_ext_t[i] + stb__arial_bold_31_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_31_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_31_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_31_latin_ext_x[i] + stb__arial_bold_31_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_31_latin_ext_y[i] + stb__arial_bold_31_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_31_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_31_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_31_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_31_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_31_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_31_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_31_latin_ext_LINE_SPACING
#endif

