// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_34_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_34_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT        312
#define STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_34_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_34_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_34_latin_ext_LINE_SPACING          22

static unsigned int stb__arial_bold_34_latin_ext_pixels[]={
    0xddddddd3,0xdddddddd,0x002200bd,0x66664c00,0x26200000,0x02000199,
    0x01333100,0x22003331,0x20000999,0x31001998,0x01000000,0x000ccc40,
    0x00011000,0x01333100,0x00004000,0x04000010,0x00188000,0x98800008,
    0x88000099,0x33100199,0x10131003,0x03331013,0x00266620,0x99833310,
    0x4cc40009,0x83310001,0x55000099,0x3fea0355,0xffffffff,0x07ffffff,
    0x00017e44,0x003fffd8,0x27ffec00,0x0026c400,0x503ffff1,0xff100fff,
    0x260005ff,0xa804ffff,0x0001dfff,0xefffec88,0x3fffe203,0xeb880005,
    0xbefffffe,0x7ff40000,0xd910006f,0x07bdffff,0x7ffee4c0,0xb3000cef,
    0x005bffff,0x807ffea8,0xdefffdca,0xfffd8002,0x7fc40002,0x7fc404ff,
    0x27dc04ff,0x7fd40ff4,0xbfffd007,0x27ffc800,0x2002fff8,0x003ffff9,
    0x3f637fc4,0x7fcc000f,0xfff500ef,0xffffffff,0x80ffffff,0x80003ffd,
    0x0003fff9,0x02fffc40,0x0027fe40,0x2a05fff9,0xffb807ff,0x3fa0002f,
    0x5401ffff,0x003fffff,0x3ffffa20,0x3ff605ff,0x50002fff,0xfffffffd,
    0x03dfffff,0xfffff900,0x7fec4009,0xffffffff,0x7ffdc03f,0x4fffffff,
    0x7ffffdc0,0xfb006fff,0x6c40ffff,0xffffffff,0x3f6000df,0x6c0002ff,
    0x202fffff,0x02fffffe,0x7dc457fc,0x00fff505,0x07fffff9,0xf13ffe40,
    0x7f4005ff,0x2001ffff,0x7fd43ffc,0x7ffe4005,0x3fffea01,0xffffffff,
    0x2a07ffff,0x900001ff,0x000009ff,0x9000bff9,0x7c009fff,0x3fea02ff,
    0x03fff807,0x2f7ff200,0x7fd406ff,0x0000ffff,0xfffffff9,0x2bbfee07,
    0x22000fff,0xdefffffd,0xfffffecc,0x3fea003f,0x801fffaf,0xffffffe9,
    0x3fffffff,0xffffffb0,0x09ffffff,0x3fffffe6,0x4c05ffff,0x307fffff,
    0xffffffff,0x005fffff,0x000bfff6,0xffbeffb8,0xbeffc80f,0x3f200fff,
    0x502fffff,0xffa80fff,0x001fffaf,0x7fc4fff9,0xbff9002f,0x2200dff7,
    0xffe80fff,0x3fff1001,0x7fff4000,0xaefc8003,0x4ed80001,0xff880000,
    0xffc8000e,0x7ff7004f,0x407ffa80,0x20004ffa,0xffb0fffa,0x7fe5c409,
    0xfd0002ff,0x03b77dff,0x3f23fff3,0xfff3005f,0xfd5005bf,0xff100bff,
    0x03bfee5f,0xffffff88,0xfffffcdf,0x7ffd42ff,0xfffdceff,0xffc82fff,
    0xfffb89ef,0x3fff201f,0xfff882ce,0xfffcdfff,0xc800ffff,0x30001eee,
    0x3ff21fff,0xc87ffcc5,0x7ed405ff,0x3fea01cf,0x47ffe207,0x53006ffb,
    0x05554455,0xd87ffd40,0xffc804ff,0x00bff704,0x0000bff2,0x0007fffd,
    0x0009fff9,0x002efc88,0x004cc400,0x04fffc80,0xf5003310,0x019880ff,
    0x204cc400,0xff700199,0x3fe0005f,0x998802ff,0x4c00ccc0,0x8000dfff,
    0x4403fffb,0x04ccc099,0x3dffffb0,0xdffffb30,0x80dfffc8,0xe85ffffa,
    0x7fec3fff,0x3fff603f,0x3ffff601,0xffffd984,0x20000004,0x0ccc0998,
    0x33302662,0xffa80000,0x30266207,0x00000133,0x4c099880,0x7ffc4019,
    0x03fff101,0x99882662,0xfffe8001,0xfffd8003,0x67e40004,0x800000fd,
    0x3aa1b800,0x2eeeffff,0x500f6e20,0x00000fff,0x40002200,0x8003fffa,
    0x0007fff9,0x3ffa2000,0x7fcc0004,0x2000001f,0x805ffffa,0x3e1ffffe,
    0x3f601fff,0xfffd87ff,0xfe800c46,0x3ffe607f,0x3ffe203f,0x000000ff,
    0x00000000,0x3ffd4000,0x00000200,0x00020000,0xfd01fff6,0x9bff60bf,
    0x4001fffa,0x8003fffe,0x0001aaa9,0x0007f27c,0xffffb950,0x8ffd419d,
    0xfffffffb,0x3fbf602f,0x5dffea05,0x76c04eee,0x764c01ee,0x03deffff,
    0x009fff30,0x3fffbbaa,0x32205eef,0xdd33dffe,0x09ffb07d,0x319dfd93,
    0x3fee7ddd,0x027775c4,0xfd87bbb6,0xf9800fff,0x3ffe0bce,0x3332603f,
    0xdffffa82,0x7ffe8000,0x01bfffa0,0x440f3bee,0xd33dffec,0xed8007dd,
    0xeed802ee,0x7f64401e,0x7ddd33df,0x9501ffea,0x05bdfffb,0x2027775c,
    0x9301eeed,0x19dffffb,0x027ffc40,0x3607ffee,0x3ffea6ff,0x7fff4001,
    0x00000003,0x005f35e8,0x7fffec40,0xacffffff,0xfff72fff,0x205fffff,
    0x201f52f9,0xfff37ffa,0x3ffe601f,0x3fff6207,0xffffffff,0x27ffcc03,
    0xfffffc80,0xf305ffff,0x39ffffff,0xff989fff,0xfffffc86,0x23fffcef,
    0x3fe60ffd,0xfff300ff,0x1ffffc4f,0xfffd8000,0x360001cf,0x003fffff,
    0xff03fff4,0x002005ff,0xfffffff3,0x009fff39,0x803ffff8,0x2601fffe,
    0xcfffffff,0xff54fff9,0x3fff620f,0x0dffffff,0x00ffff98,0x2e0ffff3,
    0xffffffff,0xfff504ff,0x3fff9805,0x3ea6ffd8,0x7f4001ff,0x322003ff,
    0xdd33dffe,0x3ff2007d,0xf50001ff,0xffffffff,0x7fffffff,0x77fff654,
    0x25f301cc,0xfff501fa,0xc817fff4,0xfd304fff,0xffffffff,0x4c07ffff,
    0xfb004fff,0xffffffff,0xfffff107,0xfffdffff,0x641ffd89,0xffedffff,
    0x3ea1ffff,0x17fff42f,0x264fffc8,0x0001ffff,0xffffff70,0x220015bf,
    0xdffffffe,0x0dffd000,0x007fffe2,0x3fffe200,0xffefffff,0x7ffc004f,
    0xfffe803f,0xfffff101,0xfffdffff,0x261ffea9,0xffffffff,0xe82fffff,
    0xff902fff,0xffffb09f,0xffffffff,0x03fff909,0x984fff88,0x2aaa22aa,
    0x7fff4000,0xffff3003,0xfff39fff,0x3fffe009,0xff98004f,0xedceffff,
    0x04ffffff,0x2009fff9,0x2a05fdfe,0x3fff27ff,0x03ffff05,0xffffffd1,
    0xffffffbb,0x3ffe205f,0xff555005,0xb01559ff,0xb33bffff,0x449fffff,
    0x7ffdc5ff,0x3fffea0d,0x90ffe60f,0x3fe0bfff,0x3ffea1ff,0x3600000f,
    0xffffffff,0xfd100bef,0xffffffff,0x0dfff005,0x003fffe6,0x3ffff600,
    0xffffd99d,0x7ffc004f,0xfffe803f,0xbffffb01,0xfffffb33,0xf11ffea9,
    0xf9bfffff,0x81ffffff,0xff05fffc,0xfffa83ff,0xfffdceff,0x7ff42fff,
    0x6fff800f,0x3a000000,0xf8803fff,0xffffffff,0xa804fffe,0x00ffffff,
    0x6fffff40,0xffffd980,0x09fff904,0x8033b220,0x3fe27ffa,0x7ffcc0ff,
    0xdffffb06,0xffffb303,0x07fffc0d,0x1ffff100,0x17fffcc0,0x727fffd4,
    0x7ffc47ff,0x0dfffd07,0xfff889ff,0x37ffcc0f,0xa81fffee,0xcccccccc,
    0x7fffe443,0x0effffff,0xe9afffc8,0x204fffff,0xf504fff9,0x30000fff,
    0xf505ffff,0xf8009fff,0xfe803fff,0xfff981ff,0xffffa82f,0xfd8fff54,
    0xfd984fff,0x7fc44fff,0x7ffcc0ff,0x0dfffc86,0x25ffffa8,0xd007fff8,
    0x00000fff,0x01ffff40,0x45ffffec,0x4fffffb8,0xfffffd80,0x3fee003f,
    0x7ff404ff,0xffc80fff,0x4004004f,0x7ff47ffa,0x1fffe42f,0x02ffffcc,
    0x80fffff4,0x2004fffc,0x5407fff9,0x3fa06fff,0x83ff64ff,0xf702fffc,
    0x0bff09ff,0xfc85fffd,0x7ffdc3ff,0x3ffff207,0xb306ffff,0xffffffff,
    0x5ffe83ff,0x3fffff62,0x2fffe883,0x00ffff70,0x0dfff500,0x0027fff4,
    0x200ffffe,0xfa81fffe,0x3ffa06ff,0x4c99934f,0x2203ffff,0x740fffff,
    0x7fe42fff,0x1ffff83f,0x89ffff60,0xfb006fff,0x3bbb61ff,0x05ddd901,
    0x00ffffa0,0x507ffff3,0x8809ffff,0x6fffffff,0x1bfffe00,0xffffffb0,
    0x09fff909,0xfffffda8,0x47ffa82d,0x7fc5fffa,0xfffd80ff,0xcef9800f,
    0xffff100b,0xfff5009f,0x4fffb80b,0xe93fff20,0x037ffc6f,0xf987fff7,
    0x5fffa84f,0x2a07fffc,0xf900ffff,0xdfffffff,0xfffd9500,0xfff8ffff,
    0xfffffb86,0x1bffff61,0x00ffffa8,0x27ffdc00,0x009fff90,0x803ffff8,
    0xfb81fffe,0x3ff204ff,0x7fff404f,0x3cefb806,0x7c5fffa8,0xfff80fff,
    0x3332603f,0x017ffe62,0xfe97ffe4,0xfffb01ff,0x3fffa007,0x7fffd403,
    0x4ffff880,0x7f7ffe40,0xf8801fff,0x3f202fff,0x87fffdef,0x3604fffc,
    0xffffffff,0x23ffd44f,0xf30ffff8,0xfff10bff,0x2000007f,0x806ffff9,
    0x6404fffc,0x3ee04fff,0x897fe4ff,0x3f205fff,0x17fdc1ff,0x987fffc4,
    0xff985fff,0xfff901ff,0x00dfffff,0xfffffb88,0x20bfffa1,0xf13ffff9,
    0x4c01dfff,0x0001ffff,0x7027ffe4,0xf8009fff,0xfe803fff,0xfffc81ff,
    0x13ffee04,0x005ffff0,0xffff1002,0x417ffe61,0x01cffffd,0x027ffd40,
    0xfd3fffb8,0x3ff603ff,0xfffd003f,0x6fffb807,0x013fffa0,0xffb5ffff,
    0xfff3009f,0x3fff201f,0x40ffffb9,0xf904fffc,0xffffffff,0x3ffd47ff,
    0xfc97ffe4,0xfff982ff,0x1000001f,0xb00dfffd,0xfd805fff,0x3fee04ff,
    0xfa93fe4f,0x3ff603ff,0x901ffd87,0x3ff25fff,0x9ffff02f,0xb7ffe400,
    0x4401aa98,0x3ee3ffff,0xff982fff,0x9ffff15f,0x2ffff880,0xfd839d00,
    0x3fee04ff,0x7ffc004f,0xfffe803f,0x04fffd81,0x8813ffee,0x0001ffff,
    0x64bfff20,0xff702fff,0x15bfffff,0x04fffa80,0x3a7fff70,0xffb01fff,
    0x3ffa007f,0x7ffec03f,0x13ffee04,0xf57fffa8,0xfb801fff,0xfff707ff,
    0x07fffea3,0xf109fff9,0xd5137fff,0x7fd4bfff,0xd5fff987,0x3fea0fff,
    0x800000ff,0x06fffff8,0x401ffff8,0x3205fffc,0x93fe4fff,0xf102fffb,
    0x6ff98dff,0x757ffe60,0x3ff607ff,0xff9000ff,0x1bfff6df,0x997fff60,
    0x40dfffff,0xfff15ffe,0xfff80bff,0xfffa806f,0x0bfff91f,0x0027ffe4,
    0x200ffffe,0xfc81fffe,0x3ff205ff,0x3ffe604f,0x2600000f,0xfffd5fff,
    0xfffffd80,0x80beffff,0x7005fff8,0x3ffa5fff,0x7fffb01f,0x0ffffa00,
    0x40bfff90,0x3604fffb,0xfff14fff,0xfffc807f,0x22fffa87,0x642ffff9,
    0xdb884fff,0x6fffa84e,0x7f41ffea,0x04fffaff,0x540ffff7,0xcccccccc,
    0x3dfff903,0x0ffff100,0x01ffff70,0x749ffff1,0x13ffea5f,0xd127ffe4,
    0xffe805ff,0x204fffaf,0x004ffff9,0x3eedfff9,0x3e202fff,0x7fdc4fff,
    0xff12ffff,0x7ffd445f,0x3ffee01f,0x7fff401f,0x03fffee6,0x013fffe2,
    0x007ffff0,0xf703fffd,0xff101fff,0x4aaa29ff,0x0007fffa,0xfafffe80,
    0x7e4404ff,0xffffffff,0x5fff80ef,0x21fff900,0xfb01fffe,0x3fa007ff,
    0x7fdc03ff,0x3fff207f,0x3ffff104,0x2037ffec,0x7cc6fffc,0x7ffc43ff,
    0x77ffe42f,0x3e600099,0x1ffea7ff,0x7ff7ffdc,0xffff701f,0x7ffffe40,
    0xffd06fff,0x3fe6001f,0xfff8806f,0x3ff620cf,0x99ff64ff,0xff886fff,
    0x17ff62ff,0x3fbffee0,0x7fec01ff,0xfb100dff,0x3fe6dfff,0xff900eff,
    0xfff703ff,0xdffd9fff,0x09fff701,0x82ffffe8,0x23ffffd9,0x20cffff8,
    0x04ffffd8,0x01ffffc0,0x440ffff4,0x220cffff,0xf54ffffd,0x1fffeeff,
    0x3fee0000,0x001fffef,0xffffffb3,0xfe83ffff,0xfff9006f,0xd80ffff4,
    0xfd003fff,0xff9807ff,0xfff880ff,0xdfff704f,0x01ffff98,0x443fffee,
    0xff984fff,0x7ffd41ff,0x2a203fff,0x27ffffec,0xff107ffa,0x4c0fffff,
    0xf900ffff,0xdfffffff,0x8017ffe0,0x9005fffb,0xf99fffff,0x649fffff,
    0x3fffe1ff,0x3ffffa23,0x00effdab,0xffffff88,0xffff9807,0xfecabdff,
    0x366fffff,0xbbefffff,0x07fffffd,0x3fffffa6,0x3fe00fff,0x7ffcc05f,
    0xffebcdff,0x7e40ffff,0xffccffff,0x4004ffff,0xe803ffff,0xff901fff,
    0xfff99fff,0x3fea9fff,0x01ffff57,0xfff88000,0x50007fff,0xffffffd9,
    0x007ffd8f,0x7ff4dffd,0x7fffb01f,0x0ffffa00,0x89ffff10,0x04ffffd8,
    0xff07fffd,0x7fd409ff,0x5ffe89ff,0x81ffff50,0x4ffffff8,0x7ffff64c,
    0x3ea7ffff,0x3fff607f,0x7ffc04ff,0xffff901f,0xf10dffff,0x7e4009ff,
    0xfd1003ff,0xdfffffff,0x7fcc9fff,0x3ffffea4,0xfffffffe,0x2000dfff,
    0x04fffffd,0xfffffd30,0xffffffff,0x7ff443df,0xffffffff,0xfc802fff,
    0x402fffff,0xfc806fff,0xffffffff,0xe881ffff,0xffffffff,0x4004fffe,
    0xe803ffff,0xfd101fff,0xdfffffff,0x3fea9fff,0x03ffff37,0xfffb0000,
    0x100009ff,0x43fffff7,0xf800fffb,0x3fffa5ff,0x07fffb01,0x00ffffa0,
    0x2f7ffff2,0x4ffffffc,0x80ffff98,0x300ffffc,0xffd7ffff,0x3fffe40b,
    0x4fffff98,0x3fffffea,0x2a7fffcd,0x3fea07ff,0x7ec01fff,0x3f2004ff,
    0xfff986ff,0x3fffa004,0x3ffa2002,0xffbaffff,0x907ff44f,0xbdffffff,
    0x0bffffff,0xfffff500,0x7ff44003,0xffffffff,0xffd302ff,0xffffffff,
    0x7f4c003f,0x3a00efff,0xfd3007ff,0xffffffff,0x7ff4403f,0xffbaffff,
    0x3fe0104f,0xffe802ff,0x3ffa201f,0xffbaffff,0x22fff54f,0xd002ffff,
    0xfff50039,0x54c403ff,0x7ffc401a,0x0bffea3f,0x749fff10,0xffd01fff,
    0x8000007f,0xfffffffd,0xc84fffef,0xccccffff,0x03ffffdc,0x3ffffffe,
    0xffff100e,0x4c0a980b,0x222cffff,0x3fea7fff,0x3fffe207,0xffffc806,
    0xdfff9000,0x009fff30,0x0007fffc,0x473bf6e2,0x7dc4fffb,0x6ff6cc6f,
    0x02b3bb23,0x7c401331,0x30006fff,0xdfffffd9,0xfd500159,0x19dfffff,
    0x3fff2000,0x1fffa04f,0xfffec880,0x71003fff,0x3ee39dfb,0xdffd54ff,
    0x007fffe0,0x1007fffa,0x2e39dfb7,0xfff54fff,0x4037fffc,0x201ffffa,
    0x406ffff8,0xd806fffd,0x3fe25fff,0x7ffd404f,0x40bfffa1,0x1003ffff,
    0x22001333,0xafffffff,0xff84fffb,0xffffffff,0x206fffff,0x0efffffb,
    0x0bffff20,0x7e409998,0xfff985ff,0xf01ffea7,0xf5007fff,0x32009fff,
    0xff986fff,0xfff1003f,0xf900000f,0xbffd07ff,0x7fe40000,0x7fffc00f,
    0x7f5c0003,0x220000df,0x1001cffd,0xfff90553,0x03fff40b,0x0e7f6440,
    0x3ff20000,0x0ffff33f,0x001ffff1,0x0003ffff,0xf53fffc8,0x7fffdcff,
    0x37fff401,0x01ffffc0,0x80bfffee,0x644ffff8,0x7fec06ff,0x41fffec6,
    0x003ffffa,0x8007fff9,0xf71cefc9,0xfffa89ff,0xffffffff,0x101fffff,
    0x407fffff,0x405ffffc,0x7ff45fff,0x7fffb82f,0xfb81ffea,0xfd000fff,
    0x2601bfff,0xa86ffffd,0xf7003fff,0x3a600dff,0xffb01bcd,0xbfff105f,
    0x7f4c0003,0x7fdc02ff,0x220000ff,0x006fffef,0x3fffbaa0,0x7fffc403,
    0x037ffcc1,0x8001fffb,0x01fffeeb,0x80de6f4c,0xff12fffd,0xfffb87ff,
    0xffff8807,0x1bcde981,0x2a5fffb0,0x7fff47ff,0xfffd982f,0x7ffdc03f,
    0x7ffcc00f,0xfff900ef,0x0fff883f,0xf70fffe0,0x7fd43fff,0xf9003fff,
    0x400007ff,0x7ec3fffc,0xffffffff,0x4fffffff,0x3fffff60,0xffeba9ad,
    0x7fc00fff,0x37ffec5f,0xa9ffffe6,0xffb887ff,0x3e2005ff,0xbbdfffff,
    0xffffffec,0xfffd5316,0x3aa6a605,0x3e004fff,0x2e20ffff,0xf500ffff,
    0x40039fff,0x03ffffb9,0x17fffee2,0x3ffb0000,0x1ffa0000,0x47bfffa0,
    0x205fffd8,0x01adfffc,0x805ff880,0x220fffff,0x3a0ffffb,0xfebeffff,
    0x2ee05fff,0xf00ffffe,0x5c41ffff,0xff50ffff,0xfffff98f,0xffffebcd,
    0xff7100ff,0x3f600bff,0xdbbeffff,0x907fffff,0x3fe607ff,0x7fffd40f,
    0xffffffff,0xfff9003f,0xbcde8807,0x45fffb01,0x801ffff8,0xa80ffffc,
    0xffffffff,0xffffffff,0x45fff802,0xedfffffb,0x50ffffff,0x7ffecfff,
    0x4001ffff,0xfffffffa,0xffffffff,0xfffff51d,0x3fff601f,0x2001ffff,
    0xeefffffd,0x404fffff,0xdfffffd8,0xfedcaabc,0xb01fffff,0x3fffffff,
    0xffd80000,0xdfd00001,0xfffff500,0x05fffffd,0x3fffffd4,0x02ffc400,
    0x77ffffec,0x44fffffe,0xfffffffa,0x3a00efff,0x206fffff,0xeefffffd,
    0x2a4fffff,0xfffc87ff,0xffffffff,0xfffd81ff,0x1001ffff,0xfffffffd,
    0x05ffffff,0x7ec1bfe2,0xffff903f,0xfff59fff,0x3fff2007,0xfffff801,
    0x07fffdc0,0x200ffff9,0x4c3ffff9,0xffffdfff,0xdfffffff,0x07fb9000,
    0xfffffffd,0x2a5fffbb,0x3fff27ff,0x10004fff,0xfffffffd,0xa85dffff,
    0x204fffff,0x6fffffff,0x7fff4400,0xefffffff,0xffff7000,0xffffffff,
    0x4019ffff,0x4ffffffc,0x6e6dc000,0xb0006ffe,0x07fffb99,0x3ffffee0,
    0xe804ffff,0x4407ffff,0x1fffdcce,0xffffe880,0x0effffff,0xffffffd8,
    0x3e201fff,0x201fffff,0xffffffe8,0x2a0effff,0xffd307ff,0xffffffff,
    0x3ffff203,0x74c004ff,0xffffffff,0x7ec01fff,0x03ffc41f,0x4bbfffb2,
    0x2003fffa,0xffb007f8,0xfffddfff,0xffff89ff,0x3fffa004,0xb8a7fec6,
    0xdfffffff,0x07fd4003,0x7ffffe44,0x2abfff53,0x3ffee7ff,0xa80003ff,
    0xeffffffd,0xffff502c,0x7fffc407,0x88000eff,0xfffffffb,0xd930003f,
    0xffffffff,0x3ee005bf,0x0003ffff,0x3dffffc8,0x3fffa000,0x74c002ef,
    0x02efffff,0x0ffffb10,0xefffff88,0x3fee2002,0x03ffffff,0x7fffffd4,
    0x7ffcc01d,0xfb8803ef,0x3fffffff,0x2207ffa8,0xffffffec,0x7fffdc03,
    0x3aa0003f,0xceffffff,0x45ff9800,0x31002ffc,0x3a600001,0xffd1004f,
    0xffffffff,0x1ffffa89,0x3fffee00,0x35302ec1,0x3fe20001,0x0054c403,
    0x2622aa88,0x000001aa,0x22003533,0x260009aa,0x1000009a,0x00013553,
    0x99aa9980,0xaa988000,0x09800001,0x06620000,0x26a62000,0x55310000,
    0x00026200,0x026aa620,0x01353100,0x00054c40,0x009aa988,0x9800aaa2,
    0x5310009a,0x98000035,0x550000aa,0x0002aa85,0x13f60000,0xffff7100,
    0xfb07dfff,0xf8800dff,0x00004fff,0x00039000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99800033,
    0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x39990000,0x40016654,0x1aaaaaaa,0xaaaa8800,0x665c0000,
    0x000f32a1,0x00355550,0x5555554c,0x550002aa,0x98800035,0x22000019,
    0x00002aaa,0x00266620,0x44555300,0x77640aaa,0xeeec803e,0xaa8aaa03,
    0xaaaa8001,0x402aaa89,0x000aaaa8,0x001dea80,0x01aaaa80,0x3f20fee0,
    0x2aaa8002,0x05555400,0x02eeed80,0x04c82a88,0xb007bbb2,0x3bb23ddd,
    0x6403eeee,0x401fe82f,0xc803eeec,0xd50deeee,0x40bddddd,0xfff36ffb,
    0xffff0001,0x20009fff,0x0004fffc,0x7c47ffd4,0x260001ff,0x2000efff,
    0xfffffffb,0xffa8007f,0x7fc40005,0xd00005ff,0x0003ffff,0xbfffd100,
    0xfff88000,0xfd0bffb1,0xffd009ff,0x57fd409f,0x44000efc,0xfff76fff,
    0x9fff9005,0xedfb8000,0x3e60000f,0x22000eff,0x01be61ff,0x13fffee0,
    0x05fffb80,0x807fffd0,0xbacffffb,0x3fffa05f,0x8ffff402,0x4ffffffe,
    0xf5077cc0,0x9fffb00b,0xfffffc80,0x3ffffee1,0x6ffec07f,0x50003fff,
    0x03555555,0x07ffec00,0x37ff2000,0x40004ffe,0x4000fffc,0xfffffffb,
    0x7fcc007f,0xffd80003,0x40002fff,0x0ffffffb,0x7fec0000,0x40003fff,
    0xeffcfffa,0x04fffe80,0x404fffe8,0x000ffffb,0xff0effc8,0x7fec009f,
    0x97a0000f,0x3f60004f,0xfc8000ff,0x003fffff,0x7fffffcc,0x3fff2001,
    0x3fffe801,0x7fffff40,0x3fa03fff,0x7ff402ff,0xfffffd1f,0xdffb009f,
    0xfb005fff,0x7fdc09ff,0x7fdc1fff,0x4407ffff,0x005fffff,0x03510aa0,
    0x03ffd800,0xffffe800,0x7fc40006,0xaa98001f,0x02aaaaaa,0x51131550,
    0x3fee0003,0x000fffbe,0xfb1fff30,0x540000bf,0x0fffaeff,0x7ffec000,
    0xfffd01ff,0x9fffd009,0x4cccd540,0x3fe2001a,0x00bff51f,0x0007ffb0,
    0x003f8b74,0x003fff10,0x3bffae20,0x7ff44003,0x000effba,0x3a013ff2,
    0x3e203fff,0xdffeb98e,0x0bfffa00,0x3a3fffd0,0x01aabfff,0x2dfffc88,
    0x09fffb00,0x0bffffee,0x3ffeaaa2,0xdeeea807,0x51fe0000,0xfd0000bf,
    0xdd30000f,0xc80003dd,0x000001ff,0x7d47f800,0xfff98005,0x000bff91,
    0x3a25ffd1,0x880002ff,0xdff91fff,0xffe88000,0x3fffa04f,0x4fffe804,
    0x0bf51fe0,0xfd0ffdc0,0x3fa0001d,0x3bea0007,0xf90000ff,0x2600003f,
    0xbffb0001,0x2002ffec,0x7f400ffd,0x404c03ff,0x00000008,0x0003fffa,
    0x7ec00098,0xfffa84ff,0xfff002ff,0x0000400f,0x0274c6e8,0x00000400,
    0x00800000,0x88266200,0x8dd00199,0x988004e9,0x000ccc09,0x00000080,
    0x19981331,0x41331000,0xffe81998,0xfffe804f,0x9d31ba04,0x00000000,
    0xcd980000,0x00000000,0x00000000,0x3104cc40,0x3fffa033,0x00000003,
    0x1fffd000,0x40004000,0x7cc4fffd,0x2002ffff,0x2ea07fff,0x1bdeffed,
    0x01f77640,0x201f7764,0xdeffedba,0x7776401b,0x3eeec803,0x7ff6dd40,
    0xfb001bde,0x0fffd4df,0x200fbbb2,0x0003eeec,0x36ea0000,0x01bdeffe,
    0x00000000,0xff537fec,0x4fffe83f,0x94fffe80,0xd9007ddd,0x3bbb27dd,
    0x3eeec803,0x9007ddd9,0x3bb27ddd,0xeeec803e,0x007ddd93,0x3b27ddd9,
    0xeec803ee,0x07ddd93e,0xd87ddd90,0x3ffea6ff,0x43fffe81,0xc803eeec,
    0x3bb23eee,0x7776c01e,0x001fffd1,0x77ff6dd4,0x7fec01bd,0x3fffe64f,
    0x7ffc002f,0xffffe887,0x03ffffff,0x2013fffa,0xd104fffe,0xffffffff,
    0x7ff407ff,0xfffe804f,0xffffd104,0x07ffffff,0x7d4dffb0,0x7fff41ff,
    0x4fffe804,0x007bbbb2,0x806f776c,0xffffffe8,0x3203ffff,0x3a203eee,
    0x3200eeee,0x7fec3eee,0xd07ffea6,0xfd009fff,0x3fffa9ff,0x4fffe804,
    0xd009fffd,0x3ffa9fff,0xfffe804f,0x009fffd4,0x3fa9fffd,0xffe804ff,
    0x09fffd4f,0x3a9fffd0,0xfe804fff,0x37fec4ff,0xfd03fff5,0xfffe87ff,
    0x4fffe804,0xd00bfffa,0x3ffa3fff,0xffe8800f,0xffffffff,0x53fff603,
    0x03fffff8,0x547fff80,0xffffffff,0x81efffff,0xe804fffe,0xffa84fff,
    0xffffffff,0xfe81efff,0xffe804ff,0xffffa84f,0xffffffff,0x3ff601ef,
    0xd07ffea6,0xfd009fff,0x7ffcc9ff,0xfffb806f,0xffff503f,0xffffffff,
    0xfff903df,0x7fffdc0d,0x3fffe02f,0xf537fec2,0xfffe83ff,0x4fffe804,
    0xd009fffd,0x3ffa9fff,0xfffe804f,0x009fffd4,0x3fa9fffd,0xffe804ff,
    0x09fffd4f,0x3a9fffd0,0xfe804fff,0x9fffd4ff,0x89fffd00,0x3fea6ffd,
    0x3fffe81f,0x4027fff4,0x3fa4fffe,0x7ff402ff,0x01fffd1f,0xffffffa8,
    0xefffffff,0x8cfffd81,0x004ffffe,0x7ccffff0,0xddefffff,0x86fffffe,
    0xe804fffe,0x7fcc4fff,0xeddeffff,0xe86fffff,0xfe804fff,0x7ffcc4ff,
    0xfeddefff,0x2606ffff,0x2aaa22aa,0x027fff40,0x3227fff4,0x2203ffff,
    0xf306ffff,0xbbdfffff,0x0dfffffd,0x201ffff5,0x04fffffd,0x981ffff3,
    0x2aaa22aa,0x027fff40,0xfea7fff4,0xffe804ff,0x09fffd4f,0x3a9fffd0,
    0xfe804fff,0x9fffd4ff,0x29fffd00,0xe804fffe,0xfffd4fff,0x9fffd009,
    0x2013fffa,0x54c4fffe,0x02aaa22a,0xfd0ffffa,0xffd009ff,0x17fff49f,
    0x747fffa0,0x3e600fff,0xddefffff,0x86fffffe,0xffedfffd,0xf0005fff,
    0x7fff4fff,0xffe980df,0x7fff44ff,0x4fffe804,0x06fffff4,0x27ffff4c,
    0x2013fffa,0x7f44fffe,0xe980dfff,0x0004ffff,0x027fff40,0x2227fff4,
    0x900ffffe,0x3a03ffff,0x980dffff,0x444ffffe,0xff01ffff,0x2e0dffff,
    0x00006fff,0x2013fffa,0xffd4fffe,0xfffd009f,0x013fffa9,0x7f53fffa,
    0xffe804ff,0x09fffd4f,0x3a9fffd0,0xfe804fff,0x9fffd4ff,0x29fffd00,
    0xe804fffe,0x00004fff,0xfd0ffffa,0xffd009ff,0x17fff49f,0x747fffa0,
    0x3fa00fff,0xe980dfff,0x7ec4ffff,0xffffffff,0xff8003ff,0x9ffff77f,
    0x1ffffb00,0x4027fff4,0x3ee4fffe,0xfd804fff,0x3ffa0fff,0xfffe804f,
    0x13fffee4,0x03ffff60,0xfffe8000,0x4fffe804,0x84ffffa8,0x704ffff9,
    0xb009ffff,0xfe81ffff,0xfff983ff,0xfc80ffff,0x200004ff,0xe804fffe,
    0xfffd3fff,0x9fffd009,0x2013fffa,0xffd4fffe,0xfffd009f,0x013fffa9,
    0x7f53fffa,0xffe804ff,0x09fffd4f,0x3a9fffd0,0xfe804fff,0x200004ff,
    0x7f43fffe,0xffe804ff,0x0bfffa4f,0x3a3fffd0,0xff700fff,0xffb009ff,
    0x7ffec1ff,0xffffffff,0x7ffc000f,0x00fffff7,0xe97fffe2,0xfe804fff,
    0x3fffe4ff,0xffff1007,0x027fff4b,0xff27fff4,0x3e200fff,0x3bb65fff,
    0x5ddd901e,0x2013fffa,0xfb04fffe,0xffe83fff,0xffff00ff,0x3ffe200f,
    0x2fffe45f,0x7fffffdc,0x2fffe82f,0x6407bbb6,0xfffb2eee,0x7fffd009,
    0x2013fffa,0xffd4fffe,0xfffd009f,0x013fffa9,0x7f53fffa,0xffe804ff,
    0x09fffd4f,0x3a9fffd0,0xfe804fff,0x9fffd4ff,0x29fffd00,0xd901eeed,
    0x7fff45dd,0x027fff43,0xfd27fff4,0xffe805ff,0x01fffd1f,0x401ffffe,
    0x365ffff8,0xabffffff,0x4005ffff,0xfff9ffff,0x3ff2003f,0x13fffa6f,
    0x4d3fffa0,0x2003ffff,0x3fa6fffc,0xffe804ff,0x7ffff34f,0x37ffe400,
    0x3603fffd,0xfffd3fff,0x9fffd009,0x9bfffe20,0x302ffffa,0x4007ffff,
    0x7d46fffc,0xfffd87ff,0x7c44fffc,0x3ffa0fff,0x7fffb01f,0x2013fff6,
    0xffd3fffe,0xfffd009f,0x013fffa9,0x7f53fffa,0xffe804ff,0x09fffd4f,
    0x3a9fffd0,0xfe804fff,0x9fffd4ff,0x29fffd00,0xe804fffe,0xfffd4fff,
    0x8ffff603,0x7f43fffe,0xffe804ff,0x0bfffa4f,0x3a3fffd0,0xff980fff,
    0x3f2003ff,0x3fff66ff,0x3fff64ff,0x3ffe002f,0x00ffffbf,0xe9fffea0,
    0xfe804fff,0xffff74ff,0x7ffd4001,0x013fffa7,0x7dd3fffa,0x2a000fff,
    0x3ffa7fff,0x7fffb01f,0x2013fffa,0x2e04fffe,0xffd2ffff,0x7ffdc0bf,
    0x3fea000f,0x7fffc47f,0x7c7fffc0,0x7ffd46ff,0x80ffff47,0xffb3fffd,
    0xfffd009f,0x013fffa7,0x7f53fffa,0xffe804ff,0x09fffd4f,0x3a9fffd0,
    0xfe804fff,0x9fffd4ff,0x29fffd00,0xe804fffe,0xfffd4fff,0x9fffd009,
    0x6c07fffa,0x3ffa3fff,0x27fff43f,0xd27fff40,0xfe805fff,0x1fffd1ff,
    0x01ffff70,0xb3fffd40,0xf989ffff,0xf000ffff,0xffff7fff,0xffff9800,
    0x009fffd1,0x3ee9fffd,0x7cc007ff,0xfffd1fff,0x9fffd009,0x001fffee,
    0x3a3ffff3,0xffb01fff,0x13fffa7f,0x013fffa0,0xff9ffffd,0x7fdc01ff,
    0x7fcc007f,0x7fffc1ff,0x753ffe62,0x3fee0fff,0x0ffff45f,0xf93fffd8,
    0xfff00bff,0x13fffa5f,0x753fffa0,0xfe804fff,0x9fffd4ff,0x29fffd00,
    0xe804fffe,0xfffd4fff,0x9fffd009,0x2013fffa,0xffd4fffe,0xfffd009f,
    0x407fffa9,0x3fa3fffd,0x7fff43ff,0x4fffe804,0xd00bfffa,0x3ffa3fff,
    0x7fffb80f,0x7fffcc00,0x20bfffb1,0x005ffffc,0xfff9ffff,0xfff8800f,
    0x09fffd2f,0x329fffd0,0x44007fff,0xffd2ffff,0xfffd009f,0x01ffff29,
    0x25ffff10,0xfb01fffe,0x3fffa7ff,0x4fffe804,0x7ffffcc0,0x7e403fff,
    0x7c4007ff,0x7fec2fff,0x4bfff24f,0x3f62fffc,0x7fff43ff,0x27fffb01,
    0x201ffffb,0xfd1ffffa,0xffd009ff,0x13fffa9f,0x753fffa0,0xfe804fff,
    0x9fffd4ff,0x29fffd00,0xe804fffe,0xfffd4fff,0x9fffd009,0x2013fffa,
    0xffd4fffe,0x3fff603f,0xd0ffffa3,0xfd009fff,0x7fff49ff,0x8ffff402,
    0xfc80fffe,0x7c4007ff,0xfffb2fff,0x3fffe209,0xffff802f,0x4006fffc,
    0xfd2ffff8,0xffd009ff,0x1bfff29f,0x5ffff100,0x2013fffa,0xff94fffe,
    0xff8800df,0x3fffd2ff,0x74ffff60,0xfe804fff,0xffc804ff,0xc806ffff,
    0x44006fff,0x7dc2ffff,0x3fffa6ff,0x7c9fff50,0x7ff41fff,0x7fffb01f,
    0x03bfffe6,0x43ffffa2,0xe804fffe,0xfffd4fff,0x9fffd009,0x2013fffa,
    0xffd4fffe,0xfffd009f,0x013fffa9,0x7f53fffa,0xffe804ff,0x09fffd4f,
    0x3a9fffd0,0xffb01fff,0x1ffff47f,0x2013fffa,0x3fa4fffe,0x7ff402ff,
    0x01fffd1f,0x800dfff9,0xfb2ffff8,0x7fdc09ff,0x7fc00eff,0x07fffbff,
    0x8ffffcc0,0xe804fffd,0xfff73fff,0xfff9800f,0x09fffb1f,0x2e7fffd0,
    0x4c007fff,0xffd1ffff,0x3fff603f,0x009fffb3,0x2007fffd,0x01fffffe,
    0x007fffb8,0x20ffffcc,0xff17fff9,0xb7ffc4df,0xfe87fff9,0xfffb01ff,
    0x7ffffec7,0xffffdbbe,0x13fff65f,0x6cffffa0,0xfe804fff,0x9fffb3ff,
    0x27fffd00,0xe804fffd,0xfffb3fff,0x7fffd009,0x2013fff6,0xffb3fffe,
    0xfffd009f,0x407fffa7,0x3fa3fffd,0x7ffec3ff,0x3fffe804,0xd00bfffa,
    0x3ffa3fff,0x7fffb80f,0x7fffcc00,0x809fffb1,0x404ffffe,0xfffaffff,
    0x3fea000f,0x9fffb0ff,0x27fffd00,0x000ffffa,0x6c3fffea,0xfe804fff,
    0xffff53ff,0x7ffd4001,0x03fffd0f,0x7ecffff6,0xffe804ff,0xfff3003f,
    0x3fea009f,0x3ea000ff,0xfff80fff,0x44fffa9f,0xffa8fffe,0x1fffe85f,
    0x447fffb0,0xfffffffe,0x21ffffff,0xe804fffd,0xfffb3fff,0x7fffd009,
    0x2013fff6,0xffb3fffe,0xfffd009f,0x013fff67,0x7ecffffa,0xffe804ff,
    0x09fffb3f,0x3a7fffd0,0xffb01fff,0x1ffff47f,0x2013fff6,0x3fa3fffe,
    0x7ff402ff,0x01fffd1f,0x001ffff5,0xd87fffd4,0x7cc04fff,0x3e01ffff,
    0xffff8fff,0x3fff2002,0x013fff67,0x7c4ffffa,0x32002fff,0x3ff67fff,
    0xfffe804f,0x05ffff13,0xd3fffe40,0x3f603fff,0x9fffb3ff,0x07fffd00,
    0x017fffc0,0x02ffff88,0x41ffff20,0xffcbfffd,0x57ffdc2f,0xfe83fffc,
    0xfffb01ff,0xfffff987,0x1fffffff,0x4027ffec,0xffb3fffe,0xfffd009f,
    0x013fff67,0x7ecffffa,0xffe804ff,0x09fffb3f,0x367fffd0,0xfe804fff,
    0x9fffb3ff,0x27fffd00,0xfb01fffe,0x7fff47ff,0x027ffec3,0xfd1ffff4,
    0xffe805ff,0x01fffd1f,0x005ffff1,0xfb3fffe4,0xffb009ff,0x7ffc0dff,
    0x00dffff7,0xc97fffe2,0xff805fff,0x3fffe2ff,0xffff1006,0x02fffe4b,
    0xff17fffc,0x3e200dff,0x3ffa5fff,0x7fffd01f,0x2017fff2,0x2002ffff,
    0x2002ffff,0x1006ffff,0x2e0bffff,0xfffecfff,0x767ffcc0,0xffe81fff,
    0x7fffd01f,0xffffb510,0xf9017dff,0xfff00bff,0x17fff25f,0x64bfffe0,
    0xff805fff,0xbfff92ff,0x25ffff00,0xf805fffc,0xfff92fff,0x5ffff00b,
    0x2017fff2,0xffd2ffff,0x3fffa03f,0x90ffffa3,0xff00bfff,0x7fff45ff,
    0x8ffff402,0xff00fffe,0x3e200dff,0x3ff65fff,0xfff8804f,0xffff04ff,
    0x00fffff2,0xb8bffff6,0x2a01ffff,0x3f21ffff,0xfd803fff,0x3fee2fff,
    0x3fea01ff,0x3fff21ff,0xfffd803f,0x0bfffa2f,0xfb9ffffc,0x3ea01fff,
    0x3e001fff,0x32002fff,0xd803ffff,0xf302ffff,0x0dffffff,0x3ffffffe,
    0x05fffd07,0x200ffffe,0x5c009dfd,0x2a01ffff,0xff71ffff,0x7fd403ff,
    0xffff71ff,0x7fffd403,0x03ffff71,0xb8ffffd4,0x2a01ffff,0xff71ffff,
    0x7fd403ff,0xffff71ff,0x7fffd403,0x205fffd1,0x3fe3ffff,0x3ffff701,
    0x0ffffd40,0x3fe005fd,0x1fffd1ff,0x0fffff20,0x0bffff60,0x006f3220,
    0xd17fff80,0x2209ffff,0x4c5ffffd,0x880effff,0x220ffffe,0x104ffffe,
    0x98bffffb,0x880effff,0x220ffffe,0x104ffffe,0xd8bffffb,0xffa83fff,
    0xffff33ff,0xfffd101d,0x7ffc001f,0x3fa2002f,0xfb104fff,0x7c40bfff,
    0x03ffffff,0xbffffffb,0x20ffff60,0x803ffffa,0xff3003fe,0xfd101dff,
    0x3fe61fff,0xfe880eff,0xfff30fff,0xffd101df,0x3ffe61ff,0xffe880ef,
    0xffff30ff,0xfffd101d,0x3fffe61f,0xfffe880e,0xdffff30f,0xffffd101,
    0x20ffff61,0xf13ffffa,0x3ffe601f,0xffe880ef,0x007fe0ff,0x747fffe2,
    0xfd100fff,0x36209fff,0x3005ffff,0x000bffff,0xffa9fffe,0xdbbcefff,
    0x80ffffff,0xbefffffe,0x4fffffdb,0xefffffa8,0xffffdbbc,0xfffe80ff,
    0xffdbbeff,0xffa84fff,0xdbbcefff,0x40ffffff,0x2a1ffffb,0x3a3fffff,
    0xbbefffff,0x04fffffd,0x017fffc0,0x3ffffea0,0xfffdbbce,0x7f400fff,
    0x701fffff,0x09ffffff,0xa87fffee,0x803fffff,0x3fa004ff,0xdbbeffff,
    0x744fffff,0xbbefffff,0x44fffffd,0xbefffffe,0x4fffffdb,0x77fffff4,
    0xfffffdbb,0x7fffff44,0xffffdbbe,0x7ffff44f,0xfffdbbef,0x7fff44ff,
    0xffdbbeff,0x3fee4fff,0x3ffea1ff,0x03ff33ff,0x77fffff4,0xfffffdbb,
    0xa80bfe64,0xd0ffffeb,0x81333fff,0xcefffffa,0xfffffdbb,0x3666000f,
    0x998801ff,0x7e47fff9,0xffffffff,0x302fffff,0xffffffff,0x01ffffff,
    0x3ffffff2,0xffffffff,0xfffff302,0xffffffff,0x3fff201f,0xffffffff,
    0xffa82fff,0xffffffff,0x3fe63fff,0xffffffff,0x4000ffff,0x8002ffff,
    0xfffffffc,0x2fffffff,0xfffffc80,0x3fffe607,0xfff502ff,0xffffffff,
    0xffb007ff,0xfff30043,0xffffffff,0xff981fff,0xffffffff,0x7cc0ffff,
    0xffffffff,0x4c0fffff,0xffffffff,0x40ffffff,0xfffffff9,0x0fffffff,
    0x7fffffcc,0xffffffff,0x7ffffcc0,0xffffffff,0x3fffea0f,0xffffffff,
    0x21bff13f,0x7ffffcc0,0xffffffff,0x88effc0f,0x3fffffa0,0x3fffffa6,
    0xffffc84f,0xffffffff,0xf90002ff,0xfff7007f,0xfd30ffff,0xffffffff,
    0xfe9801bf,0xffffffff,0x7f4c01ef,0xffffffff,0x7f4c00df,0xffffffff,
    0x7f4c01ef,0xffffffff,0x3ff200df,0xfacfffff,0x7ff4c3ff,0xffffffff,
    0xfff8001e,0xfd30002f,0xffffffff,0x3ea001bf,0x7c05ffff,0x200fffff,
    0xfffffffc,0x803fffac,0x04fffffa,0x7fffff4c,0x01efffff,0xffffffd3,
    0x203dffff,0xffffffe9,0x301effff,0xfffffffd,0x2603dfff,0xfffffffe,
    0xd301efff,0xffffffff,0x3a603dff,0xffffffff,0xffc81eff,0xfacfffff,
    0x3fff63ff,0x7ff4c1ff,0xffffffff,0xffffc81e,0xfffff12f,0x7ffff43f,
    0xffd304ff,0xffffffff,0x336a001b,0x800effed,0x7ffffffb,0x3ffffae0,
    0x22003dff,0xfffffffc,0x7f5c004e,0x03dfffff,0x3ffff220,0x4004efff,
    0xffffffeb,0xffd9003d,0x3ffea5df,0xffffc883,0x0004efff,0x000bfffe,
    0xfffffd70,0xf88007bf,0x6c03ffff,0xc806ffff,0xf52efffe,0x3f6007ff,
    0xc8803fff,0xefffffff,0xfffc8804,0x804effff,0xffffffc8,0xfc8804ef,
    0x4effffff,0xffffc880,0x8804efff,0xfffffffc,0xffc8804e,0x04efffff,
    0x977fff64,0x3663fffa,0xc881ffff,0xefffffff,0x3fff6604,0xdffff31f,
    0xfffffe87,0x7ff5c04f,0x003dffff,0x67ffffdc,0xffff7000,0x26200fff,
    0x99800009,0x100000aa,0x30000133,0x00001553,0x80002662,0x4c000098,
    0x00000aa9,0x0005ffff,0x0004cc40,0x07ffffa0,0x09ffff70,0x00004c40,
    0x4c0006a0,0x20000aa9,0x0000aa99,0x0002aa66,0x000aa998,0x002aa660,
    0x00aa9980,0x02aa6600,0x00026200,0x4cc002a2,0x544000aa,0x100aa880,
    0x01333333,0x0004cc40,0x00026620,0x26666662,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc0000,0x3bb20009,0x17775c1e,0x3261ccb8,
    0x1dddb03c,0x35550000,0x1e665400,0x0f776c00,0xaaa80000,0xeeec801a,
    0x11665401,0x30001999,0xec806603,0xeeeeeeee,0x0000acce,0x007bbbae,
    0x15555000,0x00055551,0x2015554c,0xa804eeec,0x2e002eee,0x80000ccc,
    0x0001ccca,0x6400cccc,0xeeeeeeee,0x1eeeeeee,0x64c59970,0x2a60003c,
    0x2a0002aa,0x00000aaa,0xaaa98000,0xaaaaa801,0x0002aaaa,0xefffa800,
    0x3fffa000,0x81fffe42,0xff88fffa,0x3ffff02f,0xffd10000,0x3fff2001,
    0xffff8005,0xf9800001,0xfe800eff,0x7fc402ff,0x007ffd1f,0xdf307f60,
    0x7ffffec0,0xffffffff,0xfff0002f,0x400009ff,0xff95fff9,0x7f40003f,
    0x7fec02ff,0x7fdc02ff,0x3ffa003f,0xfc80001f,0x2a0003ff,0x6c02ffff,
    0xffffffff,0x2fffffff,0xf11fff30,0x740005ff,0x50001fff,0x0000bfff,
    0x8013ffee,0x00effff8,0x7fffffec,0x000005ff,0x000fffd8,0x3217fff4,
    0x3f203fff,0x204ffedf,0x0001ffff,0x6401bf60,0xf8005fff,0x00001fff,
    0x000fffc8,0x5005fffd,0x0dffbdff,0x4df7cc00,0x3f602fea,0xffffffff,
    0x04ffffff,0x7ffffd40,0xfb00000f,0x0fffe2df,0x3fff9800,0x6ffffd80,
    0x01fffdc0,0x003fffd0,0x07fff900,0x3fffe200,0x3ff600ff,0xffffffff,
    0x202fffff,0x5ffeeffb,0x3ffea000,0x3ffa0002,0x3ee00006,0x3fa004ff,
    0x6c05ffff,0xffffffff,0x4c000005,0xe8001fff,0x7fe42fff,0x7fff403f,
    0x7fffc06f,0x32a80001,0x7e403533,0xff8005ff,0x400001ff,0x2001fff8,
    0xb002fffe,0x001fffff,0xfffffe80,0x7fffec06,0xffffffff,0x2001ffff,
    0x3ffffffd,0xeff88000,0x0009ff90,0xb004ffd8,0x407fffff,0x2003fffb,
    0x0001fffe,0x003fffc8,0xffb9ffb0,0x7fffec0b,0xffffffff,0x7f402fff,
    0x0000efff,0x8000fffa,0x0000effa,0x013ffee0,0x7fc6ffe4,0x2666202f,
    0x00099999,0x0ffec000,0x80000000,0x401eeee9,0x0001ffff,0x02fd47f8,
    0x000bfff9,0x0003ffff,0x001ffc80,0x8017fff4,0x002eeed8,0x05bfb500,
    0x409fffb0,0x03ffffc8,0xffffff10,0xf90000df,0x017fe23f,0x009ff300,
    0x7fffffec,0x07fff700,0x000ccc40,0x00999880,0xd16ffb80,0x3ff607ff,
    0x4400004f,0x0001eeee,0x0000ffe6,0x00001dfd,0x803eeea8,0xff30fff9,
    0x0000001f,0x004cc000,0x40000000,0x3fffe000,0x46e80001,0x3ff204e9,
    0xfff8005f,0x0800001f,0x5fffd000,0x00001000,0x7ec00110,0xffe804ff,
    0xfff9006f,0x003ffffd,0x00000800,0xffd80020,0xf705ffff,0x088007ff,
    0x00080000,0x98826620,0x9fffb009,0x00000000,0x00000000,0x00000000,
    0x1f776400,0x01f77640,0x40000000,0x75c1eeec,0xfb9302ee,0x2019dfff,
    0x74c1ffff,0x3bb24eee,0xeeec803e,0x00bfff93,0x323ffff0,0x3003dffe,
    0x9dffffb9,0x5fffd001,0xfffb9500,0x930005bd,0x7bdffffd,0x027ffec0,
    0x803fffe4,0xffdaffff,0x5d40004f,0x1bdeffed,0xffb95000,0x7ec05bdf,
    0x82ffffff,0x4c03fffb,0xdeffffec,0xfdca8003,0x0002deff,0x9fffb000,
    0x7774c000,0xeeeeeeee,0x74c3eeee,0xeeeeeeee,0x23eeeeee,0xeeeeeeec,
    0x00acceee,0x7777774c,0xeeeeeeee,0x5dddb03e,0x009fffd0,0x0009fffd,
    0x7777774c,0xeeeeeeee,0xfd3eeeee,0xfffc85ff,0xfffffb83,0xf84fffff,
    0x3fa21fff,0x3ffa0eff,0xfffe804f,0x00bfff94,0xfd5ffff0,0x01bfffff,
    0x7fffffdc,0x7404ffff,0x36202fff,0xffffffff,0xfd8800df,0xffffffff,
    0xfffd83ff,0x6fffd804,0x57fffa80,0x0001ffff,0xffffffd1,0x4007ffff,
    0xffffffd8,0xfd80dfff,0x0effffff,0x881fffdc,0xfffffffd,0x8803ffff,
    0xfffffffd,0xeec80dff,0xeeec803e,0x009fffb3,0x7ffffd40,0xffffffff,
    0x7ffd44ff,0xffffffff,0x3f64ffff,0xffffffff,0x202fffff,0xfffffffa,
    0xffffffff,0x07fffd04,0xd009fffd,0x40009fff,0xfffffffd,0xffffffff,
    0xffd4ffff,0x3fffc85f,0x7fffffec,0x44ffffff,0xfd11ffff,0xffe81fff,
    0xfffe804f,0x00bfff94,0xfffffff0,0x0dffffff,0x3ffffff6,0x04ffffff,
    0x4c0bfffa,0xffffffff,0x202fffff,0xffffffe9,0x3fffffff,0x2027ffec,
    0x804ffffa,0xff14fffd,0xfa8007ff,0xffffffff,0x401effff,0xfffffff9,
    0x42ffffff,0xfffcfffd,0x1fffdc4f,0x7fffff4c,0xffffffff,0x3fffe603,
    0xffffffff,0x27ffec2f,0xda7ffec0,0x9999dfff,0x40999999,0xfffffffa,
    0xffffffff,0x7ffffd44,0xffffffff,0x3fff64ff,0xffffffff,0xf504ffff,
    0xffffffff,0x09ffffff,0x3a0ffffa,0xfe804fff,0xf10004ff,0xffffffff,
    0xffffffff,0x3ffa9fff,0x1fffe42f,0x9dfffff5,0x5ffffffb,0xfd8ffffc,
    0xffe81fff,0xfffe804f,0x00bfff94,0x9ffffff0,0x5ffffd73,0xefffffa8,
    0xffffffdc,0x05fffd02,0xbffffff1,0xfffffff9,0xffffd101,0xffffbbff,
    0x7fec5fff,0xccccccef,0x00fffffe,0xb0ffffc4,0x4c00dfff,0xdeffffff,
    0x6fffffed,0x3ffffe20,0xfffffcdf,0x3fff60ff,0x21ffffca,0x7443fffb,
    0xddffffff,0x2fffffff,0xffffff88,0xffffffcd,0x13fff60f,0x6d3fff60,
    0xffffffff,0x44ffffff,0xfffffffa,0xffffffff,0x7ffffd43,0xffffffff,
    0x3fff63ff,0xffffffff,0xa81fffff,0xffffffff,0x3fffffff,0xd07fffd0,
    0xfd009fff,0x320009ff,0xffecefff,0xffffffff,0xffd4ffff,0x3fffc85f,
    0x2037fff2,0x3e5ffffa,0xfffc9fff,0x9fffd01f,0x29fffd00,0x8005fffc,
    0xd80fffff,0x7fe46fff,0xfffa80df,0x5fffd05f,0x09ffffb0,0x09ffffb3,
    0x03dffffb,0x4dffffb3,0xfffffffd,0xffffffff,0x6fffb802,0x00ffffcc,
    0x0dffffe8,0x4ffffe98,0x09ffffb0,0x49ffffb3,0xff8afffd,0x3ffee6ff,
    0x77fffec3,0xffffd981,0x4ffffd86,0x4ffffd98,0x2013fff6,0xffb4fffd,
    0xffffffff,0x0009ffff,0x01bffff6,0x6ffffd80,0x1027ffec,0x007ffff9,
    0x37fffec0,0xd07fffd0,0xfd009fff,0xf10009ff,0x3ff23fff,0xffe8005f,
    0x1fffe42f,0x6c03ffff,0x3ffe7fff,0x02ffffdf,0x2013fffa,0xff94fffe,
    0xfff000bf,0x3ffe609f,0x07fffe0f,0xd07fffd8,0xff985fff,0x3fe203ff,
    0x3fe60fff,0xffe805ff,0xffffb1ff,0xffffffff,0x3fa003bf,0xffff83ff,
    0xffffb804,0xffffd804,0x1ffffcc0,0x1fffff10,0x7d4bfff6,0xfff72fff,
    0x2ffffcc7,0x0fffff40,0x407ffff3,0xb0fffff8,0xfb009fff,0x3fff69ff,
    0xffffffff,0xb8004fff,0x000fffff,0x1fffff70,0x804fffd8,0x0006fffe,
    0x01fffff7,0x741ffff4,0xfe804fff,0xfc8004ff,0x3fff26ff,0xfffe8005,
    0xf1fffe42,0x64c07fff,0x3fffe2cc,0x200fffff,0xe804fffe,0xfff94fff,
    0xffff000b,0x0ffffc05,0x4c07ffff,0xffd02ccc,0x6fffe85f,0x43cefb80,
    0x800ffffd,0xfb0bcef9,0xffffffff,0xf9800bff,0xffc80fff,0x7ffc00ff,
    0xfff1007f,0x6fffe8bf,0x23cefb80,0x3f62fffd,0xfffb8fff,0x03ffff63,
    0x82f3be60,0xb806fffe,0x3ff63cef,0xfffd804f,0x55bfffb4,0x55555555,
    0xfffa8003,0xf50001ff,0xfb03ffff,0xff9009ff,0xff5000ff,0xfe803fff,
    0xfffe83ff,0x4fffe804,0x7fffc400,0x017fff22,0x90bfffa0,0x7fec7fff,
    0x7c001cff,0xffffffff,0x13fffa05,0x653fffa0,0xf8005fff,0x3fa01fff,
    0x3fff62ff,0x3a0001cf,0x7ffc2fff,0x2201002f,0x0003ffff,0x224fffd8,
    0x005ffffd,0x333ffff2,0xffffdccc,0x3fffe603,0x3fff2003,0x017fffc6,
    0x5fffb008,0x5e7fffc4,0xfff13fff,0x3e00007f,0x01002fff,0x2013fff6,
    0xffb4fffd,0x2000009f,0x02fffff8,0xfffff100,0x13fff605,0x01bfff60,
    0x5fffff10,0x07fffd00,0xd009fffd,0xb8009fff,0x7fe46fff,0xffe8005f,
    0x1fffe42f,0xfffffff7,0xfff8015b,0x1fffffff,0x009fffd0,0x3f29fffd,
    0xff8005ff,0x3ffa01ff,0x3fffee2f,0x000adfff,0xf88bfffa,0x40001fff,
    0x001ffff9,0x84fffd80,0x006ffffc,0xffffffff,0xdfffffff,0x07fffdc0,
    0x4ffff500,0x001ffff8,0x217ffec0,0xffdffffb,0x3ffff33f,0xfff10000,
    0xfd80003f,0xffd804ff,0x09fffb4f,0xffd10000,0x220009ff,0x204ffffe,
    0x5404fffd,0x2004ffff,0x04ffffe8,0xd07fffd0,0xfd009fff,0xff8009ff,
    0x7ffe43ff,0x9999999e,0x3fffa099,0x21fffe42,0xfffffffd,0xff80beff,
    0xfffbcfff,0x09fffd06,0x329fffd0,0xf8005fff,0x3fe02fff,0x7ffec1ff,
    0xbeffffff,0x17fff400,0x001ffff3,0x0ffffa80,0xfffd8000,0x9ffffd04,
    0xfffffa80,0xffffffff,0xff701fff,0xff9800ff,0xffff31ff,0xffd80001,
    0xffffe82f,0xfff53fff,0xf300001f,0x80001fff,0x999dfffd,0xffe99999,
    0x09fffb4f,0xfffb0000,0x7ec000bf,0x7ec05fff,0xccccceff,0x0fffffec,
    0x3ffff600,0x3fffa005,0x04fffe83,0x004fffe8,0x903fffea,0xffffffff,
    0x74bfffff,0x7fe42fff,0x7ffe443f,0xefffffff,0xd27fffc0,0xffd07fff,
    0xfffd009f,0x017fff29,0x413fffe0,0x440ffff8,0xfffffffc,0x3a00efff,
    0x3fea2fff,0xfb80007f,0x332a07ff,0xb3cccccc,0x3e209fff,0x3602ffff,
    0xffffffff,0xffffffff,0x0ffff904,0x2ffff880,0x000ffff5,0x305fffb0,
    0x7fffffff,0xa81fffee,0xcccccccc,0x00ffff53,0xfffffb00,0xffffffff,
    0x3ff69fff,0x5c00004f,0x000effff,0x1dffff70,0xfffffd80,0xffffffff,
    0x3ee002ff,0x2000efff,0xfe83fffe,0xffe804ff,0x3ffa004f,0xffffc84f,
    0xffffffff,0x0bfffa5f,0x2607fff9,0xfffffffd,0x3ffe1fff,0x3fffea1f,
    0x027fff40,0xfca7fff4,0xff8005ff,0xffc80fff,0x3ff6607f,0xffffffff,
    0x45fffd01,0x0007fffb,0x207fffb8,0xfffffffc,0x09fffb6f,0x077fffdc,
    0x00ffffc4,0x407fffe4,0x4006fffc,0xf72ffff8,0xb0000fff,0x3f605fff,
    0xf73fffff,0x7fe40fff,0x76ffffff,0x0000ffff,0xfffffffb,0xffffffff,
    0x13fff69f,0xfffa8000,0xf50001ff,0xb003ffff,0xffffffff,0x03bfffff,
    0x7ffffd40,0x7fff4001,0x04fffd83,0x003fffe8,0x901ffff5,0xffffffff,
    0x74bfffff,0x7fe42fff,0xfeca803f,0x3e7fffff,0x7ff41fff,0x27ffec4f,
    0xc9ffff40,0xccccefff,0xf2cccccc,0x265fffff,0x003ffffd,0xfffffd95,
    0x3fffa0ff,0x03fffea2,0xffff3000,0x3ffff201,0xffb6ffff,0xfffd809f,
    0x7fffc84f,0x7ffff300,0x00ffff70,0x51ffff98,0x0001ffff,0x102fffd8,
    0x27ffffff,0x900ffff9,0xffffffff,0x03fffead,0xffffb000,0xffffffff,
    0x3f69ffff,0xccccceff,0x03cccccc,0x05fffff3,0x3fffe600,0xfffb002f,
    0xffffffff,0xfff3000b,0xfd0005ff,0xfffb07ff,0x7fffd009,0x17fffa00,
    0x5577ffe4,0x1aaaaaaa,0xf90bfffa,0xb88007ff,0xff1fffff,0xfff983ff,
    0x13fff60f,0x64ffffa0,0xffffffff,0xf4ffffff,0xffffffff,0x000dffff,
    0x3ffffee2,0x22fffe81,0x001ffff9,0x01ffff80,0xfffffff9,0x13fff6df,
    0x3fffff10,0x004ffff8,0x2a1bfffa,0x2000ffff,0xf30ffffa,0x80003fff,
    0x2e02fffd,0x3e3fffff,0xff901fff,0x2dffffff,0x001ffff9,0x56fffec0,
    0xeaaaaaaa,0xfffb4fff,0xffffffff,0xd10bffff,0x0009ffff,0x13ffffa2,
    0x24fffd80,0x05ffffd8,0x3ffffa20,0xfffd0004,0x09fffb07,0x007fffd0,
    0xfffffff3,0xbfffffff,0x5fffd000,0x313fffc8,0xff880355,0x3ffff3ff,
    0x6cbfffb0,0xfe804fff,0xffff93ff,0xffffffff,0x3fffe9ff,0xfffffffb,
    0x0d54c41e,0x0ffffe20,0xf88bfffa,0x9d002fff,0x09fffb03,0xdb7ffe40,
    0xfb804fff,0x3fea6fff,0x3ee001ff,0x7fc41fff,0x3f2002ff,0x3ffe27ff,
    0x839d002f,0x7402fffd,0x3f63ffff,0x3f2004ff,0xffff16ff,0xb073a005,
    0xfb009fff,0x3fff69ff,0xffffffff,0xfd85ffff,0x20005fff,0x005ffffd,
    0x6427ffec,0xb006ffff,0x000bffff,0x641ffff4,0xff805fff,0xffd802ff,
    0xffffffff,0x8005ffff,0x7e42fffe,0xdfffb3ff,0x2bfffb00,0xf881ffff,
    0xfff92fff,0x5ffff00b,0x3ffffff2,0xffffffff,0xb13ffff4,0xb019ffff,
    0xfb00dfff,0xfffd0bff,0x06ffff85,0x21ffffa8,0x000ffffc,0x3f6dfff9,
    0xffb004ff,0x3fff67ff,0x7ffc4006,0x6ffff84f,0xbffff100,0x806ffff8,
    0xfb1ffffa,0xff9805ff,0x3fff23ff,0xfff9000f,0x037fffcd,0xd8ffffd4,
    0xfd804fff,0xffffb4ff,0xffffffff,0xffc8bfff,0x90000eff,0x001dffff,
    0xd04fffd8,0xc809ffff,0x000effff,0x20ffffa0,0x201ffffb,0x401ffffa,
    0xfffffff9,0xffffffff,0xfc800005,0xffff73ff,0x7fffc405,0x03799304,
    0x01ffffb8,0x807fffea,0x7c00abcc,0x06621fff,0x05ffff70,0x427fffc4,
    0x7dc09bcc,0x7f401fff,0x7ffd46ff,0xfff9004f,0x1bcc880d,0x7c000000,
    0x3fff201f,0xfffd803f,0x7fffdc2f,0x37fff401,0x00de6440,0x04ffffa8,
    0x5cdfff90,0x7401ffff,0x3ff66fff,0xfffd804f,0x037dc004,0x01fffff5,
    0x3fffea00,0xffd8000f,0xffff104f,0x3ffea05f,0x740000ff,0xff983fff,
    0xfe880eff,0x7e400fff,0xeeeeefff,0x05ffffee,0xfffe8000,0x1dffff33,
    0x07ffff20,0x02ffffd4,0x01dffff3,0x01ffffd1,0x007ffffc,0x0003ffff,
    0x01dffff3,0x207ffff2,0x740fffff,0xd982ffff,0xfe83ffff,0xb300dfff,
    0x980dffff,0x0005ffff,0x01ff1000,0x27ffff44,0x5ffffd88,0x05ffffd0,
    0x07ffffb3,0x0bffff30,0x37ffffa0,0xffffb300,0x2ffffe8d,0x3ffffd98,
    0x2013fff6,0x4004fffd,0xfff305fc,0x260005ff,0x002fffff,0x409fffb0,
    0x40effffb,0x02fffff9,0x3fffe800,0xdfffffd0,0xfffffb77,0xffff8809,
    0x2fffe403,0xfdb98000,0x3ff62fff,0xfdbbefff,0x2207ffff,0x201ffd99,
    0xbefffffe,0x4fffffdb,0x27fe4cc0,0x003ffff0,0x3fffff60,0xffffdbbe,
    0xff93307f,0xfffff987,0xffffebcd,0xfff880ff,0xecbbdfff,0x06ffffff,
    0x01ffd998,0xff980000,0x7fffd402,0xffdbbcef,0xf300ffff,0xd79bffff,
    0x01ffffff,0x07ff6660,0x3ffffe20,0xffecbbdf,0x7cc6ffff,0xebcdffff,
    0x20ffffff,0xd804fffd,0x6c004fff,0xffff906f,0x9999999d,0x7e499999,
    0xccccefff,0x4ccccccc,0xb013fff6,0xfc89ffff,0xccccefff,0x4ccccccc,
    0x207fffd0,0xfffffff9,0x0fffffff,0x07fffe40,0x33bfff20,0xcccccccc,
    0x3fff204c,0x3fa20fff,0xffffffff,0x9002ffff,0x7fcc05ff,0xffffffff,
    0x3000ffff,0x7ffc0bff,0xfd10001f,0xffffffff,0xa805ffff,0xfffc85ff,
    0xffffffff,0x3fea01ff,0xffffffff,0x01dfffff,0x000fff20,0x37fe2000,
    0x3fff2010,0xffffffff,0x7e402fff,0xffffffff,0x8001ffff,0xf5003ffc,
    0xffffffff,0x3bffffff,0xffffff90,0x3fffffff,0x804fffd8,0x4004fffd,
    0x7e422ffc,0xffffffff,0x7fffffff,0x3ffffff2,0xffffffff,0x3fff67ff,
    0x7fffc404,0x3ffff21f,0xffffffff,0xfd07ffff,0x7f4c07ff,0xffffffff,
    0x7fc401ef,0xffc805ff,0xffffffff,0x3a07ffff,0x984fffff,0xfffffffe,
    0xb501ffff,0x01dffdb9,0xfffffe98,0x01efffff,0xfffd99b1,0x0ffffc05,
    0xfffd3000,0xffffffff,0xfeccd983,0xffd301ff,0xffffffff,0xfffd1003,
    0xffffffff,0xdcda805d,0x0000effe,0xffffb000,0x3ffa603f,0xffffffff,
    0xffd3000d,0xffffffff,0xdb9b5003,0x44001dff,0xfffffffe,0x402effff,
    0xffffffe9,0xfd81ffff,0xffd804ff,0x7fcc004f,0xfff95fff,0xffffffff,
    0x64ffffff,0xffffffff,0xffffffff,0x013fff67,0xc9bfffee,0xffffffff,
    0xffffffff,0x07fffd07,0xfffffc88,0xf7004eff,0xf9003fff,0xffffffff,
    0x40ffffff,0x404fffff,0xffffffea,0x3fee00ce,0x1000cfff,0xfffffff9,
    0xfff9809d,0x7fc01dff,0xa80001ff,0xeffffffe,0xffff980c,0x764401df,
    0x03ffffff,0xffffda80,0x7002ceff,0x019fffff,0x6cc00000,0x5c01ffff,
    0xdffffffe,0xfec88003,0x003fffff,0x33ffffee,0xffb50000,0x059dffff,
    0x7fff6440,0x3f603fff,0xffd804ff,0xffc8004f,0xffff94ff,0xffffffff,
    0x7e4fffff,0xffffffff,0x7fffffff,0x4013fff6,0xf93ffffd,0xffffffff,
    0xffffffff,0x00ffffa0,0x000aa998,0x006ffff8,0xfffffff9,0xffffffff,
    0x000d5440,0x2000554c,0x40000998,0x4000aa99,0x00001998,0x2aa60000,
    0x03331000,0x004d4c00,0x01a99800,0x00266200,0x51000000,0x13310001,
    0x9a980000,0x13310000,0xa9980000,0x2a600001,0xfffd8009,0x4fffd804,
    0x00066000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19991000,0x2001665c,0x00988098,0xcc899930,
    0x665c001c,0x000f3262,0x400d5554,0x5542aaa9,0x397001aa,0x0aaaa000,
    0xaaa98000,0x55440002,0x5c4000aa,0x00faa0bd,0x64c59970,0x5554404c,
    0x5554c00a,0x5554c002,0xaaa80000,0x332e001a,0x00133262,0x32a0ccc8,
    0x554c002c,0x9990002a,0xa81e6543,0x333223cc,0x55551000,0xccc98000,
    0x000b3320,0x5000dc40,0x55555555,0x2aa20003,0x7ec000aa,0xffc802ff,
    0x001dff75,0x1fe85fa8,0x64fffa00,0xf98005ff,0x2fff88ff,0xffff8800,
    0x2fffe800,0x803fffcc,0xfb8002fd,0x80004fff,0x001ffff8,0x027ffe40,
    0x6fffffc0,0x4c002fec,0xfff88fff,0x2fffdc02,0x00ffffc0,0x0dffff30,
    0xffff8800,0x3ffe6000,0x002ffe89,0x7cdbfee0,0x744000ff,0xf8001fff,
    0x1bff23ff,0xfe8fffc4,0x3ff6003f,0x2a0002ff,0x3ffe1fff,0x9f500004,
    0x7ffffc00,0x0004ffff,0x0013fff2,0x1005fffb,0x3fff9ffd,0x273fa000,
    0x44005fc9,0x0fffcfff,0xddff7000,0x32000bff,0xf9801fff,0xfff503ff,
    0x3ffb2207,0xff3003df,0x0005ffff,0x001fffb8,0x02fffc40,0x7ff7fcc0,
    0x8000ffff,0x5ffdeffb,0x805fff80,0x2002fffb,0x4fffffe8,0x3fff2000,
    0xeffb8001,0x80005ffd,0x2fffdffd,0x9fff1000,0x47fff000,0x3ea06ffc,
    0x006ffdff,0x3fffffee,0xfff50000,0x0027ffc3,0x2001fc80,0xffffffff,
    0x7e40004f,0x3f6000ff,0xff3002ff,0x40009fff,0x2ffffffb,0xffffb800,
    0x7f40002f,0x8000efff,0xb001fff8,0xffa809ff,0xfffffa86,0x7400efff,
    0x0fffbbff,0x0bffe000,0x17fee000,0x931fe400,0x6c0003bd,0x400fffff,
    0xe800effb,0x7e4002ff,0x01fff9df,0x01fff880,0x3ffff600,0xf880000f,
    0x0005ffff,0x0007ffcc,0xffc8fffe,0x7fffe406,0xfff3000f,0x000bffb3,
    0xff87ffea,0xff00004f,0x99999800,0x00009999,0x2003ffd8,0x2002fffd,
    0x0005eeeb,0x00beeb88,0x13bbb200,0x3bba2000,0xff70001e,0x13fe6005,
    0xf317fdc0,0xffffffff,0x2ffe409f,0x2000bff9,0x00002ffa,0x80000dff,
    0x3a200000,0xfe802eee,0x3ffa800e,0x877fd400,0x4000effa,0x40002ffb,
    0x002eeed8,0x37bbaa00,0xff980000,0x80000004,0x002eeed8,0x7f44fffa,
    0x0100003f,0x17e60000,0x00001000,0x0003fec0,0x00000000,0x00000000,
    0x00000000,0xd0000000,0xf9fdbfff,0x00001fff,0x00000000,0xdba80000,
    0x01bdeffe,0x4cc00000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xc803eeec,0x00003eee,0x2a000000,0xbdeffedb,0x32220001,0x6dd4002f,
    0x01bdeffe,0x36000000,0xeec82eee,0xeeea804e,0xdddd7002,0x3bbb2003,
    0xceeeeeee,0x3bb200ac,0xeeeeeeee,0xd91eeeee,0xdd5009dd,0x17776c5d,
    0x225dddb0,0x35fb5fff,0x77649fff,0xeeeeeeee,0x321eeeee,0xb001eeee,
    0x3b21bddd,0xeeeeeeee,0x01eeeeee,0xffffffd1,0x4c07ffff,0xeeeeeeee,
    0xeeeeeeee,0x507bbb25,0x90007999,0x00003ddd,0x01eeeeb8,0xdddddd90,
    0x003599dd,0x1eeeeb80,0xddddd900,0xdddddddd,0x3fffa3dd,0x4fffe804,
    0x002eeed8,0x01eeeeb8,0xffffd100,0x07ffffff,0x7fff6d40,0xffd1002f,
    0xffffffff,0x775c0007,0xffd001ee,0xffffb07f,0x3fffb805,0x9fffff00,
    0x3ffff600,0xffffffff,0xfffb02ff,0xffffffff,0x3f65ffff,0x7dc02fff,
    0x3fffa3ff,0x4ffffa03,0x5fb3fff9,0xffd866ae,0xffffffff,0x262fffff,
    0xb806ffff,0x3f63ffff,0xffffffff,0x82ffffff,0xfffffffa,0x1effffff,
    0xffffffa8,0xffffffff,0x3fffa7ff,0x02fffe42,0x017fff40,0x3fffe000,
    0xfffb004f,0xffffffff,0x3e0001bf,0xb004ffff,0xffffffff,0x5fffffff,
    0x2013fffa,0xfe84fffe,0xff8003ff,0xa8004fff,0xffffffff,0x01efffff,
    0x3fffff62,0x7d404fff,0xffffffff,0x001effff,0x04fffff8,0xb07fffd0,
    0xb80dffff,0xfa803fff,0x800fffff,0xfffffffd,0xffffffff,0xfffffd84,
    0xffffffff,0xffffb2ff,0x3fffb80d,0xe80ffffa,0xfff33fff,0xfb00bf69,
    0xffffffff,0x85ffffff,0x203ffffc,0x6c6ffff8,0xffffffff,0x2fffffff,
    0x7fffffcc,0xffffedde,0xffffa86f,0xffffffff,0x3fa7ffff,0x7ffe42ff,
    0xfffe8005,0x3ea00002,0x800fffff,0xfffffffd,0x2fffffff,0x7fffd400,
    0xffd800ff,0xffffffff,0xfd2fffff,0xffd009ff,0x7fffd09f,0xffffa800,
    0x3e6000ff,0xddefffff,0x06fffffe,0x3ffffffa,0xf305ffff,0xbbdfffff,
    0x0dfffffd,0xfffffa80,0xfffe800f,0xfffffd83,0x0fffee03,0x3fffff60,
    0xfffd803f,0xffffffff,0x6c1fffff,0xffffffff,0x2fffffff,0x07fffffb,
    0xfd1fffdc,0x7ff407ff,0x3ffff13f,0xffd805fb,0xffffffff,0x442fffff,
    0x900ffffe,0xfd83ffff,0xffffffff,0x42ffffff,0x80dffffe,0x44ffffe9,
    0xfffffffa,0xffffffff,0x0bfffa7f,0x000bfff9,0x0005fffd,0x7ffffec0,
    0xfffd803f,0xffffffff,0x2000ffff,0x3ffffffd,0xfffffd80,0xffffffff,
    0x9fffd2ff,0x09fffd00,0x8007fffd,0x3ffffffd,0x3ffffa00,0xfffe980d,
    0xffffc84f,0xfffffead,0xdffffe81,0xffffe980,0x3fff6004,0xfe803fff,
    0xfffd83ff,0xff700fff,0xfff8807f,0xd806ffff,0x32204fff,0x7ec3ffff,
    0xfb0004ff,0x201fffff,0x3fa3fffb,0x3ffa03ff,0x3ffffa3f,0x7fec02ff,
    0xfa80004f,0xff984fff,0xfffd84ff,0x3fee0004,0xffd804ff,0xffd000ff,
    0xfffd007f,0x05fffc85,0x02fffe80,0xffff1000,0xfb00dfff,0x3f6609ff,
    0xf1005fff,0x0dffffff,0x009fffb0,0x013fffa0,0x3a13fffa,0x22003fff,
    0x6fffffff,0x9ffff700,0x1ffffb00,0x897fffc4,0x45fffdef,0x804ffffb,
    0x800ffffd,0xfffffff8,0x3fffe806,0xffffffd8,0x07fff705,0xffefffc8,
    0x7fec01ff,0xfffe804f,0x027ffec6,0xfffffd80,0x7fff705f,0xd01ffff4,
    0x7fcc7fff,0x01cfffff,0x0009fffb,0x07ffff60,0xb01ffffd,0x40009fff,
    0x1007ffff,0x200bffff,0xe803fffe,0x7fe42fff,0xffe8005f,0xc800082f,
    0xffffefff,0x27ffec01,0x0bffff20,0x3fbfff20,0x7ec01fff,0xfd0004ff,
    0xffd009ff,0x7fffd09f,0x77ffe400,0xf801ffff,0xf1007fff,0x7fd4bfff,
    0x2e73ea6f,0x7ffff80a,0xbffff100,0xfdfff900,0xfe803fff,0xfffd83ff,
    0xfb82ffff,0x7ffc03ff,0x04fffdaf,0x4027ffec,0x7ec7fffc,0xfb0004ff,
    0x05ffffff,0x7f47fff7,0x3ffa03ff,0x7fffdc3f,0x6c0dffff,0x00004fff,
    0x54dffff1,0xfb02ffff,0x260009ff,0x2003ffff,0xd006fffc,0xfd007fff,
    0xfffc85ff,0xfffe8005,0x19dffb72,0x2bfffe00,0x6c04fffd,0xfe804fff,
    0xfff805ff,0x04fffdaf,0x0027ffec,0x804fffe8,0xfe84fffe,0x3fe003ff,
    0x4fffdaff,0x1ffffcc0,0x4dfff900,0x3f24fffb,0x7fffcc01,0x3fff2003,
    0xaffff806,0x7404fffd,0xffd83fff,0x40efffff,0x2a03fffb,0xfff57fff,
    0x7ffec01f,0x6fffd804,0x0027ffec,0xffffffd8,0x7ffdc0ef,0x80ffffa3,
    0xe983fffe,0xffffffff,0x013fff61,0xffffb800,0x40bfffd2,0x0004fffd,
    0x001ffff7,0x803fffd4,0xe803fffe,0x7fe42fff,0xffe8005f,0xfffffdaf,
    0x7fd401ff,0x1ffff57f,0x027ffec0,0x203fffdc,0xff57fffa,0x7fec01ff,
    0xffd0004f,0xfffd009f,0x07fffd09,0x55fffea0,0x2e00ffff,0x2000ffff,
    0x3f27fffa,0x201fe4ff,0x000ffffb,0x501fffea,0x3feaffff,0x3ffa00ff,
    0xcfffd83f,0x7dc4ffff,0x3ff603ff,0x7ffff14f,0x027ffec0,0xb13fffea,
    0x3333bfff,0x41333333,0xfffcfffd,0x1fffdc4f,0x7407fffd,0x3a603fff,
    0x26ffffff,0x999dfffd,0x09999999,0xcffffe80,0x3600ffff,0x9999dfff,
    0x20999999,0x4007fffb,0x801ffff9,0xe803fffe,0x7fe42fff,0xffe8005f,
    0xffffffff,0x7fec06ff,0x7ffff14f,0x027ffec0,0x203fffd4,0xff14fffd,
    0x7fec07ff,0x999999df,0x3fa09999,0xffe804ff,0x3fffe84f,0x29fffb00,
    0x203ffff8,0x4007fffb,0xf91ffff9,0x017e69ff,0x001fffee,0x403ffff3,
    0xff14fffd,0x7ff407ff,0xafffd83f,0x2e1ffffc,0xff103fff,0x7ffec3ff,
    0x3bfff606,0xfecccccc,0x7ec0ffff,0xffffffff,0x364fffff,0xfffcafff,
    0x8fffee1f,0x3a03fffe,0x7ec03fff,0xb1ffffec,0xffffffff,0x09ffffff,
    0xffffff30,0xffd807ff,0xffffffff,0x3f24ffff,0x7c4007ff,0xfe802fff,
    0xffe803ff,0x2fffe42f,0x7ffff400,0xfffd98ae,0xffff101f,0x037ffec3,
    0x3009fffb,0x2203ffff,0x3f61ffff,0x3ff606ff,0xffffffff,0x3fa4ffff,
    0xffe804ff,0x3fffe84f,0x1ffff880,0xc81bfff6,0x44007fff,0xff52ffff,
    0x200bf2bf,0x4007fffc,0x102ffff8,0x7ec3ffff,0x3ffa06ff,0xafffd83f,
    0x2e6ffff8,0xff703fff,0xffff98df,0xfffffb01,0xffffffff,0xfffb05ff,
    0xffffffff,0x7fec9fff,0x6ffff8af,0xfe8fffee,0x3ffa03ff,0xc97ec03f,
    0xfffb2fff,0xffffffff,0x32009fff,0x06ffffff,0xffffffd8,0xffffffff,
    0x01bfff24,0x05ffff10,0x007fffd0,0xfc85fffd,0xfe8005ff,0xffe81fff,
    0xdfff702f,0x01ffff98,0x1009fffb,0x2e05ffff,0x7fcc6fff,0xfffb01ff,
    0xffffffff,0x7ff49fff,0xfffe804f,0x03fffe84,0x4c6fffb8,0xf901ffff,
    0xf8800dff,0xfff32fff,0x77cc3fad,0x1bfff23c,0x5ffff100,0x31bffee0,
    0x3a03ffff,0xffd83fff,0x5ffff52f,0x740fffee,0xfff83fff,0xffffb04f,
    0xffffffff,0x3ff603bf,0xffffffff,0x3f64ffff,0xffff52ff,0xe8fffee5,
    0x3fa03fff,0x475333ff,0x7fff32fd,0x3ffffff6,0xffffffff,0x3fffa004,
    0xffd801ff,0xffffffff,0x3ee4ffff,0x7cc007ff,0xfe801fff,0xffe803ff,
    0x2fffe42f,0x27fff400,0xd03fffd8,0xfff07fff,0x3fff609f,0xffff8804,
    0x07fffd02,0x3609ffff,0xffffffff,0x24ffffff,0xe804fffd,0xffe83fff,
    0xfffe803f,0x04ffff83,0x800ffff7,0x3e1ffff9,0x366fcfff,0x3fee6fff,
    0x7fcc007f,0xfffd01ff,0x09ffff07,0x360ffffa,0x3ff62fff,0x3fffb8ff,
    0x80ffff98,0xd80ffffc,0xffffffff,0xfd805fff,0xaaaaadff,0x361aaaaa,
    0x3ff62fff,0x3fffb8ff,0xe80ffffa,0xfffb3fff,0x7fccbf65,0x5bfffb2f,
    0x55555555,0x7fcc0035,0xffb004ff,0x555555bf,0x7d435555,0x2a000fff,
    0xe800ffff,0xfe803fff,0x7ffe42ff,0xfffe8005,0x07fff903,0x901ffff3,
    0xfb01ffff,0xff3009ff,0xfff303ff,0xffff901f,0x5bfffb01,0x55555555,
    0x27ffec35,0x41ffff40,0x4c03fffe,0xfc80ffff,0xffa80fff,0x3ea000ff,
    0x3ff60fff,0xffc9bfff,0x3ffea3ff,0x3fea000f,0xfff980ff,0xffffc80f,
    0x83fffe80,0x3e22fffd,0xfffbcfff,0xcffffc83,0xfffdcccc,0x4fffd83f,
    0x17ffff62,0x009fffb0,0x88bfff60,0xffbcffff,0x0ffffa3f,0xf73fffe8,
    0x64bf6dff,0xfffb1fff,0x7c000009,0xfb002fff,0x220009ff,0x2002ffff,
    0xd007fffc,0xfd007fff,0xfffc85ff,0xfffe8005,0x07fff902,0x999ffff9,
    0x7ffffb99,0x009fffb0,0x901ffff5,0x9999ffff,0x07ffffb9,0x0009fffb,
    0x2013fff6,0xfe83fffe,0x7fe403ff,0xdcccccff,0xf883ffff,0x32002fff,
    0x7fc47fff,0xffffffff,0x7fffc46f,0x3fff2002,0x9ffff907,0xfffb9999,
    0x7fffd07f,0xb85fffb0,0xfffdffff,0xffffff83,0xffffffff,0x4fffd86f,
    0x06ffffc8,0x0013fff6,0x2e17ffec,0xfffdffff,0x80ffffa3,0xff13fffe,
    0xf97fddff,0x7ffecdff,0x3e000004,0xfb002fff,0x7c0009ff,0xf1006fff,
    0x3a00bfff,0xfe803fff,0x7ffe42ff,0xfffe8005,0x07fff902,0xffffffff,
    0xdfffffff,0x009fffb0,0x3e0ffff7,0xffffffff,0x86ffffff,0x0004fffd,
    0xf00bfff9,0xffd05fff,0xffff807f,0xffffffff,0xfff06fff,0x3fe200df,
    0xfffa85ff,0x0effffff,0x006ffff8,0x20bffff1,0xffffffff,0x6fffffff,
    0xd83fffe8,0xffe82fff,0x543fffff,0xffffffff,0xffffffff,0x827ffec1,
    0xb04ffffe,0x20009fff,0xfe82fffd,0x23ffffff,0x3a03fffe,0x3fee3fff,
    0xffffffff,0x13fff61f,0xfff80000,0xfffb002f,0x7fe40009,0xffd803ff,
    0xffd002ff,0xfffd007f,0x05fffc85,0x02fffe80,0xfa87fff9,0xffffffff,
    0x1fffffff,0x4027ffec,0xfa86fffd,0xffffffff,0x1fffffff,0x0027ffec,
    0x01ffffb8,0x207fffea,0x2a03fffe,0xffffffff,0xffffffff,0x3ffffc81,
    0x2ffffd80,0xfffffd10,0x3ff2017f,0xffd803ff,0xfffa82ff,0xffffffff,
    0x741fffff,0xffd83fff,0xffff982f,0x7fec3fff,0xffffffff,0x44ffffff,
    0xf104fffd,0xfb05ffff,0x360009ff,0xff982fff,0x3a3fffff,0x3fa03fff,
    0x7ffec3ff,0x42ffffff,0x0004fffd,0x0bfffe00,0x027ffec0,0xffffd100,
    0x3fff6209,0x3ffa005f,0xfffe803f,0x02fffe42,0x817fff40,0x7ec3fffc,
    0xffffffff,0x4fffffff,0x2027ffec,0xd83ffff9,0xffffffff,0xffffffff,
    0x027ffec4,0xeffff980,0xffffe880,0x03fffe80,0x3ffffff6,0xffffffff,
    0xffe884ff,0xffb104ff,0xafd80bff,0xfe88009a,0xfb104fff,0x3f60bfff,
    0xffffffff,0x4fffffff,0x6c1ffff4,0xffb02fff,0x7c47ffff,0xfc801fff,
    0x3ff60fff,0x3ffee04f,0x7ffec0ef,0xfffb0004,0x3ffff605,0x3fffa3ff,
    0x0ffffa03,0x3fffffaa,0x4fffd80c,0x3fe00000,0xffb002ff,0xfa80009f,
    0xbbceffff,0x0ffffffd,0x0ffffa00,0x90bfffa0,0xd000bfff,0x3f205fff,
    0x3ffe23ff,0xfffc801f,0x13fff60f,0x86fffea8,0x801ffff8,0x360ffffc,
    0x20004fff,0xbefffffe,0x4fffffdb,0x207fffd0,0x801ffff8,0xa80ffffc,
    0xbcefffff,0xffffffdb,0x8003fc00,0xcefffffa,0xfffffdbb,0xffff880f,
    0xffffc801,0x20ffffa0,0xf102fffd,0x647fffff,0xf3007fff,0x7fec7fff,
    0x7ffec04f,0x77ffec4f,0xcccccccc,0xfffb3ccc,0x3fffe205,0x3fffa3ff,
    0x0ffffa03,0x6c03fe88,0xccccefff,0x3ccccccc,0x0bfffe00,0x677ffec0,
    0xcccccccc,0xfffc83cc,0xffffffff,0x74002fff,0xfe803fff,0x7ffe42ff,
    0xccccccce,0xfffd2ccc,0x8ffff205,0x3007fffc,0x7ec7ffff,0xedccceff,
    0x81fffffe,0x3007fffc,0x7ec7ffff,0xccccceff,0x23cccccc,0xfffffff9,
    0x0fffffff,0x207fffd0,0x3007fffc,0x3207ffff,0xffffffff,0x02ffffff,
    0x900027cc,0xffffffff,0x05ffffff,0x401ffff2,0x3a3ffff9,0xffd83fff,
    0x3ffee02f,0x3fffe3ff,0x3fffa004,0x013fff66,0x43fffff1,0xfffffffd,
    0xffffffff,0x405fffb5,0x23fffffb,0x3a03fffe,0x7ec03fff,0x7fffec02,
    0xffffffff,0x3e005fff,0xfb002fff,0xffffffff,0x0bffffff,0x3fffffa6,
    0x00dfffff,0x03fffe80,0x642fffe8,0xffffffff,0xd4ffffff,0x3f205fff,
    0x3fffe3ff,0x3fffa004,0x3fffff66,0xffffffff,0x9ffff04f,0x37fff400,
    0xfffffffb,0xffffffff,0xffffe98b,0x1effffff,0x40ffffa0,0x2004ffff,
    0x2606fffe,0xfffffffe,0xc800dfff,0x74c0002f,0xffffffff,0x3fe00dff,
    0x3fa004ff,0x3fffa6ff,0x02fffd83,0xa9fffff4,0x2001ffff,0xfb1ffffb,
    0xff7009ff,0x7ffecdff,0xffffffff,0xffb5ffff,0xfffe805f,0x0ffffa3f,
    0x403fffe8,0x7fec02fd,0xffffffff,0x005fffff,0x400bfffe,0xfffffffd,
    0xffffffff,0x7fff5c05,0x0003dfff,0x200ffffa,0x7e42fffe,0xffffffff,
    0xfd4fffff,0x3ff205ff,0x3ffff53f,0x7fffdc00,0xffffffb1,0x5dffffff,
    0x07fffea0,0x1ffffb80,0xfffffffb,0xffffffff,0xffff910b,0xd009dfff,
    0xff507fff,0x7dc003ff,0x75c01fff,0x3dffffff,0x0001fa00,0xfffffeb8,
    0x7fd403df,0x3ee001ff,0xfffd1fff,0x05fffb07,0xb3ffff98,0x8800dfff,
    0xffb4ffff,0x3ff6009f,0xffffb3ff,0xffffffff,0x3ff6bfff,0x7ffcc02f,
    0x0ffffa3f,0x003fffe8,0xfffffb00,0xffffffff,0x7fc00bff,0xffb002ff,
    0xffffffff,0x00bfffff,0x00004cc4,0x803fffe8,0x7e42fffe,0xffffffff,
    0xfd4fffff,0x3ff205ff,0x0dfffb3f,0x4ffff880,0xfffffffb,0xd8079ddf,
    0x44006fff,0xffb4ffff,0xffffffff,0x80bfffff,0x4000aa99,0xfd83fffe,
    0x7c4006ff,0x22004fff,0xd8800099,0x31000005,0x7fec0013,0x7fc4006f,
    0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5f980000,0x5fa84fa8,
    0x71003fb8,0xdddddddb,0xcb809ddd,0x2aa000cc,0x2e0065c0,0x333263cc,
    0x2aaaa600,0x4402aaaa,0x332e0ccc,0x2aaa6002,0x002aaaaa,0xcca80000,
    0x00733223,0x74c17b71,0x55550003,0x00355555,0x5d839b50,0x263ccb80,
    0x20000ccc,0x33000000,0x10000133,0x19983700,0x80008000,0x80009998,
    0x09880998,0x99880130,0x0004ccc0,0x80000088,0x00800000,0xfd000000,
    0xe807f445,0x003fe62f,0x3ffffff2,0x5fffffff,0x00ffff40,0x56ffffcc,
    0xffd807fa,0x803ffea5,0xfffffffc,0x7ffcc07f,0x8013ffa1,0xfffffffc,
    0xf910007f,0x7fe4005d,0x00bffe66,0xd9bfffff,0x3fe0005f,0x4fffffff,
    0x7fffe400,0xd805fdce,0x3ffea6ff,0x3f72a001,0x001cdeff,0x07fffcc0,
    0x7fee5400,0x3ea0ceff,0x803ffa1f,0x3f6e6eed,0xf9000def,0xfd0007ff,
    0x70df105f,0xfff9809f,0x400dff70,0xeffffec9,0xdba8003d,0x01bdeffe,
    0x7ffee4c0,0xddb00cef,0x5f7fedcb,0x3bffea00,0x3fee05ff,0xc804ffef,
    0xffffffff,0x05ffffff,0x400ffff4,0xfffffffc,0x5ffd805f,0xc803ffea,
    0xffffffff,0x0fffcc07,0x64009ffd,0xffffffff,0xb9f90007,0x3ff2001f,
    0x80bffe66,0xffffeff9,0xff0000ff,0x9fffffff,0xfeefe800,0xd803ffff,
    0x3ffea6ff,0xfffd8801,0x4fffffff,0x3fff6000,0x7fec4001,0xffffffff,
    0x322fffac,0x3ffa02ff,0xfffffd8f,0xffc801ff,0xfff8003f,0x5139f900,
    0xff7001fd,0x003fff5d,0xffffffb1,0x007fffff,0xffffffd1,0x2007ffff,
    0xfffffffb,0xffe84fff,0xffffffb7,0x7fedc01d,0x7f5c00ce,0x7d400bef,
    0xffffffff,0x05ffffff,0x400ffff4,0xffda88ff,0x5ffd801e,0x8803ffea,
    0x99999999,0x0fffcc01,0x44009ffd,0x99999999,0x7c9f0001,0x4dff9003,
    0x2e02fff9,0x077b263f,0x99999800,0x20009999,0x3bae26f8,0x4dffb003,
    0x5401fffa,0xffffffff,0x01efffff,0x00fffc40,0x3ffffea0,0xffffffff,
    0x7fd43fff,0x3bfffa04,0xffffffff,0x3fffc806,0x037fcc00,0xbffffff3,
    0x7ffff400,0xffe9803f,0xffffffff,0x3ea03fff,0xffffffff,0x201effff,
    0xfffffffd,0x744fffff,0xffffefff,0x8806ffff,0x00188001,0x3ffffff2,
    0x1fff53ff,0x00333100,0x00022066,0x00000000,0x00000000,0x7cd7a000,
    0x00000002,0x00000000,0x00000000,0x3ffe6000,0xffddefff,0x000fffff,
    0x3000bff2,0x9dffffff,0xffffffdb,0x40dff109,0x8beffffe,0x01ffffd9,
    0x0017775c,0x73013fee,0x88005bfd,0x8805ffff,0xdffffffe,0xfffffffd,
    0xfffff982,0xfffeddef,0xfff506ff,0xfffb9dff,0x7ff45fff,0xfea8beff,
    0x00000fff,0xfffd0000,0x2a7fffff,0x00000fff,0x3bb20000,0xddb001ee,
    0xdddb01bd,0xddd70005,0x3bb2003d,0xeeeeeeee,0x001eeeee,0x003ffff9,
    0x005dddb0,0x03dddd70,0x3bbae000,0xddd9001e,0x5ddd5009,0x3bbbbbb2,
    0xeeeeeeee,0x7ffff41e,0xfffe980d,0x0262004f,0x3ffffa00,0xfffd980d,
    0x01fff04f,0x107ffffa,0x0005ffff,0x02ffd800,0x98800020,0xffd80099,
    0xfd981eff,0xffe86fff,0xfe980dff,0xffc84fff,0xfffa80df,0x3ffffa5f,
    0x0ffffc41,0xc85dddb0,0xeeeeeeee,0x1eeeeeee,0x3ffffffe,0x1fff53ff,
    0x77777764,0xeeeeeeee,0x5dddb01e,0x1bfffe60,0x0ffffee0,0x001ffff4,
    0x027ffffc,0xffffffd8,0xffffffff,0xffff002f,0xffd0009f,0xfff0007f,
    0x200009ff,0x004fffff,0x805ffffb,0xffb3fffb,0xffffffff,0x5c5fffff,
    0xd804ffff,0x4001ffff,0x3fee0500,0x7ff404ff,0xffd80fff,0x09fffd02,
    0x400ffff6,0x1fff0000,0x40000400,0xffff3000,0xffffd00b,0x27fffdc3,
    0x07fffec0,0xd807fffe,0x3ffa7fff,0x5fffd04f,0x21ffff40,0xfffffffd,
    0xffffffff,0x3fffffa2,0xfff53fff,0x7ffffec1,0xffffffff,0xfffd02ff,
    0x7fffe407,0x3fffe203,0x0ffffa06,0xfffff500,0xfffb001f,0xffffffff,
    0x5005ffff,0x01ffffff,0x03fffe80,0x7ffffd40,0x7d40000f,0x800fffff,
    0x406ffffd,0xffb3fffb,0xffffffff,0x7c5fffff,0xf3007fff,0xc880bfff,
    0xa8cefffe,0x7fffc0ef,0x7fffec06,0x4ffb84ff,0x207fffd0,0x9103fffd,
    0x005bdffd,0x9101bfe6,0x005bdffd,0x37bffb22,0x3ffff602,0xbcef9800,
    0x01ffffe0,0x22ffffc4,0x2603ffff,0x3ffa2ccc,0x7fffb03f,0x21ffff40,
    0xfffffffd,0xffffffff,0x3fffff62,0xfff53fff,0x7ffffec1,0xffffffff,
    0xfffd02ff,0x7fff4407,0xffff900f,0x1ffff403,0x3ffff600,0xffd803ff,
    0xffffffff,0x802fffff,0x3ffffffd,0x1ffff400,0x3ffff600,0x6c0003ff,
    0x03ffffff,0x3fffffd8,0x6cfffee0,0xffffffff,0x2fffffff,0x007ffff1,
    0x7037ffec,0xffffffff,0xff889fff,0x3ff202ff,0x987fffde,0xfffd06ff,
    0x0ffff205,0x3fffffa6,0x7dc00dff,0x3ffa604f,0x00dfffff,0x3fffffa6,
    0x7fc40dff,0x980003ff,0x2003ffff,0x7ec6fffc,0x4001cfff,0xfb02fffe,
    0x7ff407ff,0x7fffec3f,0xffffffff,0x3fe62fff,0x53ffffff,0x7fec1fff,
    0xffffffff,0xd02fffff,0xfa807fff,0xff984fff,0x7ff404ff,0x3fe2003f,
    0x806fffff,0x0004fffd,0x7ffffc40,0x7f4006ff,0x3e2003ff,0x06ffffff,
    0x3fffe200,0xfd806fff,0x700fffff,0x3ff67fff,0xff30004f,0x7d4001ff,
    0xfff907ff,0xffffffff,0x1ffff30d,0x2e7fff20,0xff80ffff,0x2fffe80f,
    0x987fff90,0xffffffff,0x7fec06ff,0xfffff302,0x20dfffff,0xfffffff9,
    0x7fcc6fff,0xb80001ff,0x2000ffff,0x7dc7fffa,0xadffffff,0x17fff400,
    0x203fffc8,0x7ec3fffe,0x5c0004ff,0x3fffffff,0x7ec1fff5,0xd00004ff,
    0xfb007fff,0xffe83fff,0x7ff400ff,0x3ff2003f,0x01ffffef,0x0027ffec,
    0x3bfff200,0x2001ffff,0x2003fffe,0xfffefffc,0xff90001f,0x03ffffdf,
    0xffffffd8,0x27fff705,0x0004fffd,0x800ffff5,0x4c0ffff9,0xb8bfffff,
    0x5c0ffffe,0xff707fff,0x3fffea3f,0xe82ffd81,0xff902fff,0xefffd87f,
    0x2ffffb8b,0x6c03ffe0,0xfb8befff,0xffd82fff,0xfffb8bef,0x3fffea2f,
    0xffb80000,0x7fcc007f,0x7ffec1ff,0xbeffffff,0x01fffe80,0x7407fff9,
    0x7fec3fff,0xea80004f,0xf53fffff,0x7ffec1ff,0xffd00004,0xfff1007f,
    0x7fffd4df,0x3fffe802,0x2bfffe00,0x6c04fffd,0x00004fff,0x7ed7fffc,
    0x3fa004ff,0x3fe003ff,0x4fffdaff,0x5ffff000,0xd809fffb,0x2fffffff,
    0xfb3fffb8,0x320009ff,0x44007fff,0x7f42ffff,0xfffe84ff,0x3fffe45f,
    0xf317ffd4,0xff705fff,0x05fffd09,0xfa8ffff2,0x7fcc0fff,0x0fff306f,
    0x303fffea,0xffa8dfff,0x7ffcc0ff,0x81fffee6,0xccccccca,0x0ffff93c,
    0x2ffff880,0x7ffffe44,0x40efffff,0xf901fffe,0x7ff407ff,0x27ffec3f,
    0xff710000,0x83ffea7f,0x0004fffd,0x007fffd0,0x74bfffee,0xfd005fff,
    0x3ea007ff,0xffff57ff,0x27ffec01,0xfff50000,0x03fffeaf,0x01ffff40,
    0xf57fffa8,0xa8001fff,0xfff57fff,0x7ffec01f,0x5c0effff,0xfffb3fff,
    0x3ff20009,0x7fc4006f,0x3ffe62ff,0xfffffd86,0x1bfff20f,0xf887fff3,
    0xff982fff,0x02fffe86,0x7e47fff9,0xfffd05ff,0x20bff703,0xfd05fffc,
    0x7ffe43ff,0x23fffd05,0x3207fffb,0xffffffff,0x00dfff96,0x02ffff88,
    0xffffffb3,0x7f43ffff,0xfff901ff,0x1ffff407,0x0013fff6,0x27fff100,
    0x3f60fffa,0xd00004ff,0x74007fff,0xfffcffff,0xfffd000f,0x3fff6007,
    0x07ffff14,0x4cefffec,0x99999999,0xa7ffec00,0x003ffff8,0x2007fffd,
    0xff14fffd,0xfd8007ff,0xffff14ff,0x67ffec07,0x7dc4ffff,0xbfffb3ff,
    0x33333333,0x7ffdc133,0x7ffcc007,0x13ffea1f,0xfffd3ff9,0x87fffdc3,
    0xf984fff8,0xfff01fff,0x205fffd0,0x3f63fffc,0x99999bff,0xfd82fffc,
    0x7fffb03f,0xff933333,0x5fffec5f,0xffc99999,0x1ffff32f,0x3fffff20,
    0xfff76fff,0xfff9800f,0xfeca801f,0x3a7fffff,0xff901fff,0x7fff407f,
    0x4efffec3,0x99999999,0xfff88009,0x6c1fff53,0x9999dfff,0x00999999,
    0x800ffffa,0xfffffff9,0x3ffa003f,0xfff8803f,0x1bfff61f,0xffffffd8,
    0xffffffff,0x3fffe204,0x01bfff61,0x401ffff4,0x361ffff8,0x22006fff,
    0x3f61ffff,0x3ff606ff,0x1ffffcaf,0x7ecfffee,0xffffffff,0x2a4fffff,
    0x2000ffff,0x7e47fffa,0x4bfee3ff,0x3ea3fffd,0xffe89fff,0x1ffff505,
    0xfd07ff60,0x3ff205ff,0x3ffffe3f,0xffffffff,0x01ffe83f,0xffffffff,
    0x47ffffff,0xffffffff,0x23ffffff,0xf901ffff,0xdfffffff,0x003fffea,
    0x00ffffa8,0x7fffdc40,0x03fffd1f,0xe80ffff2,0x7fec3fff,0xffffffff,
    0x8804ffff,0xfff53fff,0x7ffffec1,0xffffffff,0x3fffa04f,0x7ffe4003,
    0x74006fff,0xfb803fff,0x7ffcc6ff,0xffffb01f,0xffffffff,0x7fdc09ff,
    0x7fffcc6f,0x3fffe801,0x46fffb80,0x001ffff9,0xf98dfff7,0xffb01fff,
    0xdffff15f,0xfd9fffdc,0xffffffff,0x224fffff,0x0302ffff,0xfc8dfff9,
    0x47ff53ff,0x3e63fffc,0x5ffebfff,0x81ffff20,0x7ff43ffb,0x7fff902f,
    0x7ffffffc,0x4fffffff,0xff03ffc4,0xffffffff,0x7fc9ffff,0xffffffff,
    0x3f64ffff,0x3f2004ff,0xffff16ff,0x7ffe4005,0x006aa627,0x3a7ffff1,
    0xff901fff,0x7fff407f,0x7ffffec3,0xffffffff,0xfff8804f,0x6c1fff53,
    0xffffffff,0x04ffffff,0x000ffffa,0x07fffffa,0x07fffd00,0xf07fffd0,
    0x3f609fff,0xffffffff,0x204fffff,0xff83fffe,0xffe804ff,0xfffe803f,
    0x04ffff83,0xf07fffd0,0x3f609fff,0xffff52ff,0x6cfffee5,0xffffffff,
    0x44ffffff,0xfa86ffff,0xbffff10d,0xf9cfffb8,0x17ffec4f,0x3ffffffe,
    0xffff100e,0x22ffcc0b,0xf902fffe,0x7fff47ff,0xaaaaaaac,0x2ffd41aa,
    0x559fffd0,0x35555555,0x5567fff4,0x1aaaaaaa,0x003ffff2,0xff37ffe4,
    0x3e200dff,0x3ff65fff,0xfffd806f,0x203fffd5,0x3a03fffd,0x7fec3fff,
    0xffffffff,0x8804ffff,0xfff53fff,0x7ffffec1,0xffffffff,0x3fffa04f,
    0xfff98003,0xffe8004f,0x7ffcc03f,0xffffc80f,0xadfffd80,0xaaaaaaaa,
    0xffff301a,0x1ffff901,0x03fffe80,0x407fffcc,0x400ffffc,0xc80ffff9,
    0xfd80ffff,0x3fff62ff,0xb3fffb8f,0x5555bfff,0x83555555,0x742ffffc,
    0xfffdcfff,0x77ffcc2f,0xffff85fe,0x7ffffdc0,0x3fff200e,0x03ffc02f,
    0x20055e64,0x0004fffd,0x7ec07ff9,0xfd8004ff,0xfa8004ff,0xf9004fff,
    0x7ffe4dff,0xfffd803f,0x3fffee2f,0x3fffe202,0x7ffec004,0x0ffffa03,
    0x555bfffb,0x35555555,0x27fff100,0x3f60fffa,0xaaaaadff,0x201aaaaa,
    0x0003fffe,0x0005ffff,0xc807fffd,0xccccffff,0x83ffffdc,0x0004fffd,
    0xccffffc8,0xffffdccc,0x1ffff403,0x33ffff20,0xfffdcccc,0x7ffe403f,
    0xfdcccccf,0xffd83fff,0x3fffe22f,0xfb3fffbc,0x440009ff,0x2a3fffff,
    0xfffffffe,0xdfffff05,0x86fffb81,0x03fffff8,0x017ffff2,0xff007ffa,
    0x7dc01fff,0xcef887ff,0x00fff40b,0xf10ffff7,0x7fdc179d,0xbcef887f,
    0x6fffff40,0xffffb300,0x7ffff44d,0xffffb104,0xeffff98b,0x3ffff900,
    0x2ffff800,0xb0ffffa0,0x00009fff,0xf53fff88,0x7ffec1ff,0xffd00004,
    0x3fe0007f,0xfe8002ff,0x7ffc03ff,0xffffffff,0xfd86ffff,0xf80004ff,
    0xffffffff,0x06ffffff,0x201ffff4,0xffffffff,0x6fffffff,0x7fffffc0,
    0xffffffff,0x2fffd86f,0x7effffdc,0x9fffb3ff,0xfffa8000,0xffaabdff,
    0x701fffff,0x2a19ffff,0xb01ffffe,0x35bfffff,0xfffffd75,0x07ff9001,
    0x04ffc998,0x877fffe2,0x220ffffc,0x7fc407ff,0x3ff21dff,0x3ffe20ff,
    0x3fff21df,0x7fffc40f,0xfecbbdff,0x546fffff,0xbcefffff,0xffffffdb,
    0xfffffd80,0xffffdbbe,0xfd95007f,0x7f405fff,0x7ffec3ff,0x7c400004,
    0x1fff53ff,0x0027ffec,0x03fffe80,0x05ffff00,0x07fffd00,0x7fffffd4,
    0xffffffff,0x7ffec1ff,0x7fd40004,0xffffffff,0x01ffffff,0xa80ffffa,
    0xffffffff,0xffffffff,0xfffff501,0xffffffff,0xffd83fff,0xffffe82f,
    0xfffb3fff,0xff900009,0xffffffff,0x405fffff,0xffffffff,0xf504ffff,
    0xffffffff,0x5fffffff,0x017fea00,0x2e02ffcc,0xffefffff,0x7fd43fff,
    0xffffb805,0x3fffffef,0xefffffb8,0x503fffff,0xffffffff,0xbfffffff,
    0xfffff903,0xffffffff,0x3ffa205f,0xffffffff,0xf9002fff,0x401fffff,
    0x7ec3fffe,0x400004ff,0xff53fff8,0x27ffec1f,0xfffe8000,0xffff0003,
    0xfffd0005,0x7fffec07,0xffffffff,0x7ec4ffff,0x6c0004ff,0xffffffff,
    0xffffffff,0x0ffffa04,0xffffffd8,0xffffffff,0xfffb04ff,0xffffffff,
    0xd89fffff,0xff982fff,0xfb3fffff,0x200009ff,0xffffffe9,0xffffffff,
    0x7fffdc2e,0x3fffffff,0xffbfff30,0xffffffff,0x7c4001bf,0xeccd887f,
    0xfb802fff,0xffffffff,0x003ffc84,0xfffffff7,0x7fdc09ff,0x4fffffff,
    0x7ffff440,0xefffffff,0x7fff4c02,0xdfffffff,0x7fff4c00,0xffffffff,
    0x3fffa001,0x7ff403ff,0x27ffec3f,0x3fe20000,0x41fff53f,0x0004fffd,
    0x007fffd0,0x00bfffe0,0x40ffffa0,0x801ffff8,0x360ffffc,0x20004fff,
    0x801ffff8,0xd00ffffc,0x3e207fff,0xfc801fff,0x7fc40fff,0xffc801ff,
    0x3fff60ff,0xfffffb02,0x13fff67f,0xffd70000,0xfd7bdfff,0x3e61ffff,
    0xfffeb9bf,0x3ff601df,0xfffff714,0x20007bff,0x7fcc1ffe,0x2001dfff,
    0xefffffd9,0x003ffd02,0x7ffffecc,0xffd9802e,0x2002efff,0xffffffda,
    0x75c002ce,0x3dffffff,0x7fff5400,0x000cefff,0x17ffffe2,0xb0ffffa0,
    0x00009fff,0xf53fff88,0x7ffec1ff,0xffd00004,0x3fe0007f,0xfe8002ff,
    0xfff903ff,0x3ffe600f,0x3bfff63f,0xcccccccc,0x3ff23ccc,0xfff3007f,
    0x3fffa07f,0x0ffff903,0x0ffffe60,0x200ffff9,0x363ffff9,0xff102fff,
    0x3f67ffff,0xccccceff,0x03cccccc,0x32026620,0x425c3fff,0x17600098,
    0x00009a98,0x9880aa98,0xa8800019,0x01554009,0x00135100,0x00026a20,
    0x00035330,0x0004cc40,0x000aa980,0x000d4c40,0xfd87fffd,0xccccceff,
    0x03cccccc,0xfa9fffc4,0x3fff60ff,0xccccccce,0xfd03cccc,0x3e0007ff,
    0xe8002fff,0xfff03fff,0x7ff4009f,0x3ffff66f,0xffffffff,0x3ffe5fff,
    0x3ffa004f,0x7fffd06f,0x013fffe0,0x7c6fffe8,0x3a004fff,0x3ff66fff,
    0x3ffee02f,0xffffb3ff,0xffffffff,0x0000bfff,0x0000fd98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffa000,
    0x7ffffec3,0xffffffff,0x7fc405ff,0x41fff53f,0xfffffffd,0xffffffff,
    0x07fffd05,0x0bfffe00,0x0ffffa00,0x007fffea,0xb1ffffb8,0xffffffff,
    0xbfffffff,0x007fffea,0x81ffffb8,0xfa83fffe,0x2e001fff,0xff51ffff,
    0x7dc003ff,0xfffb1fff,0xffffe805,0xffffffb3,0xffffffff,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0x7fec3fff,0xffffffff,0x405fffff,0xff53fff8,0x7fffec1f,
    0xffffffff,0xffd05fff,0x3fe0007f,0xfe8002ff,0xfffd83ff,0x7ffc4006,
    0xfffffb4f,0xffffffff,0x3fff6bff,0x7ffc4006,0x3fffe84f,0x006fffd8,
    0xda7fffc4,0x44006fff,0xffb4ffff,0xfff9805f,0xfffffb3f,0xffffffff,
    0x00000bff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x7ec3fffe,0xffffffff,0x05ffffff,0xfa9fffc4,
    0x3fff60ff,0xffffffff,0xfd05ffff,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000080,0x04cc4000,0x13100666,
    0x98800260,0x98800099,0x03333099,0x00133310,0x00000080,0x01999880,
    0x00000200,0x02000001,0x06601300,0x4cc40000,0x0800ccc0,0x0004cc00,
    0x00001880,0x00133330,0x20026662,0x26620998,0x03331001,0x04ccc400,
    0x00266660,0x00000000,0x3104cc40,0x31000033,0x5dddb000,0x7ffee540,
    0x322002de,0x802deffe,0x3ff66ffb,0x5c3fc404,0x3ff2004f,0x7fc4003f,
    0x4fffa8ff,0x06fffe80,0xdfffdc80,0xddddd50b,0xdddddddd,0x7fffd001,
    0x7ffecc00,0xda8002df,0x02dfffff,0x9513bbae,0xd007dffd,0x205f981f,
    0xdfd55eed,0x4dff7017,0x3aa04ffd,0xfb803eff,0xd710003f,0x05bfffff,
    0xdfff7000,0x37fff400,0xf537fec0,0xff8803ff,0xf88005ff,0x7ec01fff,
    0xeed804ff,0x7bffb715,0x37ffb200,0xb07ddd13,0x7ffd4bff,0x7f5c4000,
    0x802dffff,0xd883fffe,0xffffffff,0x7f4c00df,0x0dffffff,0x7de7fec0,
    0xcfc800ef,0x000fea89,0x000ffff2,0x3fa3fff7,0xfffc805f,0xfd3004ff,
    0x3dffffff,0xfffffff7,0x01ffffff,0x004fff98,0x3fffffee,0x3f6005ff,
    0xffffffff,0x2bfff904,0xffffffe8,0x4efdc06f,0x3e02fea8,0xffff9eff,
    0x2f3ff606,0x3fee06ff,0x2205ffff,0xf90007ff,0xffffffff,0x7c0003df,
    0xf9000eff,0xd809ffff,0x3ffea6ff,0x7fffec01,0x7fdc002f,0xfffb002f,
    0x8ffff801,0xdffffffe,0xffffd300,0x9fff3bff,0x7d4bffb0,0x3f2000ff,
    0xffffffff,0x3ffa01ef,0x7fffcc3f,0xffffffff,0xffff302f,0x0dffffff,
    0xffffff88,0xffff3001,0xfc800bff,0x7fc003ff,0x01dff52f,0xffafffa8,
    0x7ffcc01f,0xffffffff,0xfffffffd,0x00ffffff,0x5002ffec,0xffdfffff,
    0xff9007ff,0xffffffff,0xbfff907f,0xfffffff5,0x7c407fff,0x406fffff,
    0xffffffff,0x3ffe204f,0xff101fff,0x05fff57f,0x3000ffee,0x137bfffd,
    0x07fffd95,0x01dff500,0x3ebffe60,0x3ff601ff,0x807ffea6,0xfffaeffb,
    0x0fffe000,0x03ffe880,0x7ff7fffc,0x86ffffff,0xfffffff8,0x84fffeff,
    0x3fea5ffd,0xffe9800f,0xeca89bdf,0xffd03fff,0x7fffc47f,0xffffcdff,
    0xffd80fff,0xfffb8bef,0x7ffd402f,0x75cc004f,0xeb8002df,0x3ea002ee,
    0x003ffa3f,0x3ee5fff1,0x3ffa00ef,0xffecdfff,0xffffffff,0x0fffffff,
    0x0017fe60,0x7cc9fffb,0x7fc406ff,0xfea89bff,0xfffc85ff,0xfeefffff,
    0x200fffff,0x00bdfeb8,0x6ffffffc,0x7fd401fd,0x3fea03ff,0x2213ff26,
    0x7c4007ff,0xfe8803ff,0x7ff4004f,0x5fff1000,0x4c03bfea,0x2aaa22aa,
    0x21fff300,0xf7005ffc,0xfd10007f,0xfffff80f,0xffffb9df,0x7fffe42f,
    0xffffdabe,0x22aaa84f,0x4400aaa8,0xe8803fff,0xfffe84ff,0x13ffff63,
    0x13ffff66,0x981ffff5,0x98806fff,0x00400019,0x98800000,0x44004cc1,
    0x04ccc099,0x0dffffa8,0x7fffff44,0x19880001,0x1fffe800,0x1007ffe4,
    0xff509db7,0xffff90df,0x7f4417df,0x01004fff,0x0fffffc0,0x06666001,
    0x7dc9ff70,0x03ffc85f,0x0017ff40,0x4005ffd1,0x26200099,0x004ccc09,
    0x09988000,0x98800ccc,0x06620001,0x83fffff0,0x226fffd8,0xfa84ffff,
    0x00004fff,0x040bffa0,0x3a17ff44,0xfff33fff,0x7ffc407f,0x3fff20ff,
    0x03fffd05,0x00400000,0x10000000,0xe8000000,0x7fc05fff,0x00001fff,
    0x7ffec000,0x01fffe25,0x1fffe600,0x03fffff2,0x03ffffc4,0x3ffe0008,
    0x0220005f,0xfa93ff20,0x03ffc46f,0x76cbff20,0x20bdeeee,0x1000ffe8,
    0x00880001,0x00000000,0x00000000,0x304ffff8,0x3e61ffff,0xffb00fff,
    0x0002009f,0xeda85ff9,0x3fa21bef,0x4ffffa0f,0xb806fffe,0x7fec3cef,
    0xc99999bf,0xdb502fff,0x2005bfff,0x3dfffdb9,0x3ffb6a00,0xb73002df,
    0x4007bfff,0x2dfffeda,0x05ffff50,0x01ffffb8,0x7ff6d400,0xffb802df,
    0x9fffb1ff,0xfd951000,0xff90ffff,0xffd805ff,0xffda80ff,0x3e02dfff,
    0x22003fff,0xceffffec,0x2e4ffc80,0x1ffe46ff,0x747ff100,0xffffffff,
    0x440ffa20,0xceffffec,0x7ff64400,0xed80ceff,0xddd901ee,0x407bbb65,
    0xddb2eeec,0x3bbb203d,0x203dddb2,0xfff2eeec,0x7fffc05f,0x40dfff71,
    0x7304fffb,0x807bfffb,0x7fd43ff8,0x220fffff,0x3fffa3fe,0x005ffff3,
    0xfffff802,0xffffffff,0x7ffec43f,0x406fffff,0xfffffffb,0x3f6201ef,
    0x6fffffff,0x7ffffdc0,0x2201efff,0xfffffffd,0x7fffb86f,0x1ffff880,
    0xfffb1000,0x00dfffff,0xffdffffd,0x326003ff,0xfffffffe,0x7fffc87f,
    0x2ffffa80,0x7fffffec,0xfff04fff,0x3fe6003f,0xffffffff,0xf92ffdc2,
    0x03ffc4bf,0xfe83fee0,0x89ff7314,0xfff986fc,0x2fffffff,0xffffff30,
    0xfe85ffff,0xfffb01ff,0x407fffa7,0xffd3fffd,0x3fff603f,0x203fffd3,
    0xfff3fffd,0x7fff403f,0x40bfff92,0xfb84fffa,0xefffffff,0x541ff701,
    0xbff52eff,0x3ffa6fc8,0x1ffff8bf,0xffff8000,0xffffffff,0x7fff44ff,
    0x5fffffff,0xffffff50,0x205fffff,0xfffffffe,0xff505fff,0xffffffff,
    0x3fffa05f,0x5fffffff,0x8037ffe4,0x999bffff,0xfd019999,0xffffffff,
    0xfff980bf,0x001fffff,0xbffffff5,0xf90ffff9,0xff300dff,0x7ffe47ff,
    0xffffffff,0x01ffff83,0xffffff88,0x21ffffff,0xff9afff8,0x00fff22f,
    0x4fe8dfb0,0x7fcc6fd8,0x3ffffe21,0x1fffffff,0x7fffffc4,0x21ffffff,
    0xfb01fffe,0x3fffa7ff,0x27fffb01,0xfb01fffe,0x3fffa7ff,0x27fffb01,
    0x3a01ffff,0xfff92fff,0x27ffdc09,0x3fffffea,0xd82fffff,0x5437ec6f,
    0x47fea0de,0xff9bfffe,0xe80000ff,0xaaaacfff,0x2e1aaaaa,0xcaadffff,
    0x7d42ffff,0xfdacffff,0x7dc0ffff,0xfcaadfff,0x7fd42fff,0xffdacfff,
    0x7fdc0fff,0xffcaadff,0x3fff62ff,0xffffd005,0xffffffff,0xdffffb83,
    0x2ffffcaa,0x3ffffa20,0xff3000df,0x7fc459ff,0x5fffc87f,0x3ffff880,
    0x137ffff1,0xf0bfffd5,0xf7003fff,0x7f4c19ff,0x7ffe44ff,0x3fe26fff,
    0x44fe8007,0x1ffc44fe,0xfff717fc,0x7fff4c19,0x067ffdc4,0x749fffd3,
    0xffb01fff,0x07fffa7f,0xfe9fffec,0xfffb01ff,0x407fffa7,0xfff3fffd,
    0x7fffc05f,0x40bfff51,0x3ea4fffb,0xfdacffff,0x7f40ffff,0x2001ffc3,
    0x7fffd2ff,0x000ffff5,0x013fff60,0x05ffff10,0xfe8bfffb,0x7f4c0dff,
    0x3ffe25ff,0x5fffd82f,0x206ffff4,0x225fffe9,0xfd82ffff,0x3fffa5ff,
    0xffffd004,0xffffffff,0x17fffc43,0x982fffec,0x4ffffffe,0x17fff200,
    0x321fffe6,0xf8805fff,0xdb713fff,0x0dfff509,0x9003ffff,0x79305fff,
    0xffff9013,0x01ffe41b,0x3fa17fc0,0x0fffdcce,0x3ff23fd8,0x09bc982f,
    0x4c17ffe4,0x3ffa09bc,0x7fffb01f,0x6c07fffa,0xfffd3fff,0x4ffff603,
    0xfb01fffe,0x3fffe7ff,0x1ffff104,0xe81fffe6,0x3ffa4fff,0x7ff4c0df,
    0xf10ffc5f,0x3fd8005f,0xff77fffd,0x2e0000ff,0xef887fff,0xdfff50bc,
    0xf102ae60,0x3ea01fff,0x3ffea7ff,0x88157306,0xf500ffff,0x7ffd4fff,
    0xe8157306,0xfd004fff,0xffffffff,0x7fd43fff,0x0157306f,0x3fffffee,
    0x402a2fff,0xfb82fffe,0xfffc87ff,0x7ffff005,0x3fffcc00,0x4007fffc,
    0x0adffffb,0x44099800,0x5e5447ff,0x741ff882,0x0cffffff,0x7fdc9fb0,
    0x7000adff,0x015bffff,0x203fffd0,0xffd3fffd,0x3fff603f,0x203fffd3,
    0xffd3fffd,0x3fff603f,0x01fffff3,0x7c4ffff9,0xffa82fff,0xffff14ff,
    0x9fffea01,0x3fe61ff8,0xea7ec002,0xfffabfff,0xf880000f,0x3f21dfff,
    0xfff70fff,0xfff5000b,0x1ffff80b,0x000bfff7,0xf80bfff5,0xfff71fff,
    0xfffb000b,0x3fffa00b,0xaaaaaaac,0x17ffee0a,0x7fffdc00,0x8fffff9e,
    0x7ec4fff9,0x7ffcc6ff,0x5fffc87f,0x07ffff00,0x7fff6544,0x0ffff87f,
    0xfffff980,0x0001ceff,0xff51ffe4,0xff81dfff,0x7ed67f43,0x98ffe03f,
    0xefffffff,0x3ffe601c,0x01ceffff,0x3603fffd,0xfffd3fff,0x4ffff603,
    0xfb01fffe,0x3fffa7ff,0x27fffb01,0x8cffffff,0x43ffffd9,0x99cffffc,
    0x54fffffd,0xff80bfff,0x88ffe1ff,0x7fc002ff,0xf37fffd3,0x00003fff,
    0x3bffffee,0x323fffff,0xd8004fff,0x7f404fff,0x9fff92ff,0x9fffb000,
    0x92fffe80,0x90009fff,0x3e00dfff,0x64001fff,0xd0004fff,0x7fd49fff,
    0x4fffceff,0x6fffffdc,0x0ffffffe,0x802fffe4,0x64c3ffff,0xfffffffe,
    0x0ffff87f,0xfffff700,0x005dffff,0x7c4fff10,0x45fffeff,0x727f45fe,
    0x5ff305ff,0xffffffb8,0xf702efff,0xffffffff,0x1fffe85d,0x3a7fffb0,
    0xffb01fff,0x07fffa7f,0xfe9fffec,0xfffb01ff,0x3fffffe7,0x6fffffff,
    0xffffff88,0x4fffffff,0xe809fffb,0x17fa2fff,0x19f50bff,0xffe97fcc,
    0x2ffff8bf,0x5c039d00,0xffffffff,0x27ffec4f,0x1fffe400,0x6cbfffa0,
    0xc8004fff,0x7f403fff,0x9fffb2ff,0xffff7000,0x3ffff100,0x4fffd800,
    0xffff8800,0x7ffffdc0,0xffe81fff,0xfddfffff,0x7ffe42ff,0xffff8805,
    0x3ffffea3,0x87fffcdf,0x2000ffff,0xffffffea,0x64003fff,0x57ff23ff,
    0x3f21fff8,0x3fa27f47,0x407fdc0f,0xffffffea,0xfd503fff,0xffffffff,
    0x80ffff47,0xffd3fffd,0x3fff603f,0x203fffd3,0xffd3fffd,0x3fff603f,
    0xff7ffff3,0x03dfffff,0x3fffffea,0x94fffcef,0xfe807fff,0x71ff22ff,
    0x37f447ff,0x7ff43fee,0x0dffff3f,0x03ffff50,0x3fffff66,0x5fffb82e,
    0x5fffa800,0xb8ffffc0,0xa8005fff,0x7fc05fff,0xbfff71ff,0xffff5000,
    0xffffb805,0x7ffdc001,0xfffb8005,0xfffffb05,0x3ff220df,0xfff53fff,
    0x05fffc8b,0x32ffff88,0x4459ffff,0xfff87fff,0xdb98000f,0x0fffffff,
    0xd8fff100,0x8bffa2ff,0x13fa1ff8,0x4fd89ff3,0x7ffedcc0,0x2600ffff,
    0xffffffdb,0x03fffd0f,0x7f4ffffa,0xfffd01ff,0x407fffa7,0xffd3fffe,
    0x3fffa03f,0xb13ffff3,0x8019ffff,0x74ffffe9,0x3fea9fff,0x7fffc05f,
    0xfd07fe21,0x83fffbdf,0x3fffa4fd,0x03ffff73,0x006fffe8,0x7d4019fb,
    0x9df306ff,0x037ffcc7,0x2a1ffff3,0xdf306fff,0x37ffcc79,0x21ffff30,
    0xf306fffa,0x7ffc479d,0x7fff406f,0x7fd4001f,0x79df306f,0xd037ffe4,
    0x803fffff,0x3fcc0a98,0x805fffc8,0xf91ffffa,0xfff30bff,0x1379910f,
    0xffc98000,0xff9002ff,0x362ffe87,0x87fec3ff,0x1ffd84fe,0x98003ff9,
    0x002ffffc,0x4bffff26,0xff02fffe,0x3fffa7ff,0x27ffff02,0xff02fffe,
    0x3fffa7ff,0x27ffff02,0x2621ffff,0x41988001,0xff34fffb,0x7ffcc0df,
    0x107fec0f,0x85dffffb,0x3ffa1ffc,0x3ffffa3f,0xffffd982,0x805fd003,
    0xc82ffff9,0x7ffc6fff,0xfffd883f,0x0bfffe65,0xff1bfff2,0xffb107ff,
    0x7fffccbf,0x46fffc82,0xb04ffffb,0x003fffff,0x82ffff98,0x3ea6fffc,
    0xff901fff,0x0001bfff,0x7fe41bea,0xfffd805f,0x20bfffa7,0xf887fffb,
    0x32206fff,0xffd01ffe,0xfff1005f,0x7ec3fff0,0x47ffc44f,0x89988098,
    0x76444ffc,0xfffd01ff,0x07ffb225,0xfd97fff4,0xfffa83ff,0x07fffb3f,
    0x367ffff5,0xffa83fff,0x7fffb3ff,0x27ffff50,0x0001ffff,0x27ffdc00,
    0xb107ffff,0xff10bfff,0x80aa881f,0x7ff44ffc,0x3fffe63f,0xfffebcdf,
    0xff000fff,0xffff9009,0xffff733b,0xeffffc87,0xfffffc8b,0x6ffffe41,
    0x3ffffb99,0x5f7fffe4,0x1fffffc8,0x4effffe4,0x83ffffb9,0xccefffff,
    0xfffffffd,0xeeeeeeee,0x3fff22ee,0xfffb99df,0x3fffe23f,0xffea99be,
    0x01efffff,0xc80ffc80,0xacd85fff,0x365ffffc,0x7fcc6fff,0xfb3307ff,
    0x7fff407f,0x7fffcc0e,0x83ffc800,0x3ff62ffe,0x00fffa83,0x3a0dff90,
    0x7cc0efff,0x3ffa0fff,0x7ffcc0ef,0x3ffff70f,0x9fffffd4,0x2a1ffffb,
    0xf73fffff,0x7fd43fff,0xfff73fff,0x7fffd43f,0x03ffff3f,0xffb80000,
    0x3ffff24f,0xffffc8be,0x1fff501f,0x21bff200,0x7e43fffe,0xffffffff,
    0x2001ffff,0x22021efe,0xffffffff,0xffb06fff,0xffffffff,0xffff107f,
    0xdfffffff,0x3fffff60,0x83ffffff,0xfffffff8,0xf706ffff,0xffffffff,
    0xfffffdff,0xffffffff,0x7ffffc47,0x86ffffff,0xfffffffb,0xffffffff,
    0x54001fff,0x3f210cff,0x7ffcc5ff,0x2e0fffff,0xfedfffff,0x200fffff,
    0x3ea04ffb,0xffdeffff,0xf8804fff,0x49ff907f,0xff701fff,0xeb9817bf,
    0xff500eff,0xfffbdfff,0xfffa89ff,0xffffdeff,0x3fffea4f,0xffffffff,
    0xfffff53f,0xffffffff,0x3ffffea7,0xffffffff,0xffffff53,0x7fffffff,
    0x0007fffe,0x9fff7000,0xffffffd8,0x403fffff,0x40bdfffb,0x80effec9,
    0xe983fffe,0xffffffff,0x7dc001ff,0xd303ffff,0xffffffff,0x7ffe401f,
    0x03ffffff,0x3fffffa6,0x3200ffff,0xffffffff,0x3ffa603f,0x0fffffff,
    0x3ffffea0,0xffbaffff,0xffffffff,0x7f4c3fff,0xffffffff,0xfffff700,
    0xd39fffff,0x20009fff,0xf97fffff,0xfffc8bff,0xfe83ffff,0xddffffff,
    0xb9b32fff,0xa803fffd,0xffffffff,0xff9006ff,0x37ffe607,0x74c06ffe,
    0xffdeffff,0xfa804fff,0xffffffff,0xffff506f,0x0dffffff,0xfffffff9,
    0x647fff59,0xcfffffff,0x3f23fffa,0xacffffff,0x3ff23fff,0xfacfffff,
    0x3ffff3ff,0xfb800000,0xfffc84ff,0x03ffffff,0xdffffd30,0x09fffffd,
    0x881ffff4,0xffffffec,0xffb10003,0x7e4405ff,0x00bfffff,0xffffeda8,
    0xffc8800d,0x800bffff,0xdffffeda,0xfffc8800,0x8800bfff,0x2dfffffd,
    0xfffffff7,0x07ffffff,0xffffff91,0xffd88017,0x5c1dffff,0x3aa0005f,
    0xfff96fff,0xffffdb8b,0xfff9103f,0x3ffea7ff,0xbfffff55,0x3ff26003,
    0x002effff,0xfb80fff1,0x001fffff,0xffffffd5,0x64c0039f,0x2effffff,
    0x7fffe4c0,0x3b202eff,0xff52efff,0xfffec87f,0x87fff52e,0x52efffec,
    0xfec87fff,0xfff52eff,0x007fffe7,0xfff70000,0x3ffb6a09,0xa8000dff,
    0xfffffffe,0x3000001c,0x40000135,0x4cc4001a,0x02a20000,0x00998800,
    0x0002a200,0x00009988,0x000006a2,0x00099880,0x98015310,0x0a980000,
    0x01353000,0x40015310,0x40000998,0x40009a99,0xc9803eeb,0x88000cde,
    0x0001abaa,0x0009a998,0x0009a998,0x44000262,0x13100009,0x00262000,
    0x00000000,0x000a8800,0x35755100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99880000,0x4c400009,0x33300199,0x11000013,0x0b6e2000,
    0x4c000000,0x13331199,0x00000200,0x0004ccc4,0x2660ccc4,0x33310009,
    0x4cc40001,0x99998009,0x00000000,0x10000000,0x262007b7,0x804ccc19,
    0x4cc40998,0x09998800,0x33331000,0x00999980,0x00000200,0x00000000,
    0x02662000,0x99880333,0x3100ccc0,0x40002601,0x7fc40000,0x7c0005ff,
    0xf9002fff,0x91000bff,0x19dffffd,0x0ffbfe00,0x6fff6440,0x207ddd33,
    0xffd4fffb,0x7f65401f,0x00001dff,0x0005ffff,0x7fccfff9,0xfff8802f,
    0xff10005f,0xff9005ff,0xdb5000bf,0x9805bfff,0x2001ceec,0x7ec002ff,
    0xffb805fe,0x07fff10f,0x7d47ffe2,0xffe800ff,0xffd0006f,0xfffb807f,
    0x3b2a2006,0x5000cfff,0x3ea005ff,0x2ffa800f,0x001ff500,0x7dc3ffe6,
    0x7ffcc06f,0x440dff70,0x004fb87f,0x9dfffdb3,0x7fec0017,0x70003fff,
    0xd8007fff,0x26000fff,0xffffffff,0x87d402ff,0xfff9807c,0xff9cffff,
    0x2bfff04f,0x3201fffa,0xffffffff,0x7fdc0004,0xff90003f,0x017ffccf,
    0x1fffffec,0x17ffdc00,0x01fffb00,0x3ffff620,0xf506ffff,0x001fffff,
    0xf9800bf7,0xfb801f52,0x7fff10ff,0x7cf7fd40,0xffc802ff,0x54004fff,
    0xf9004fff,0x3fa003ff,0x2fffffff,0x017ffd40,0xfa803fe8,0x7fd002ff,
    0xaeffc800,0xfc800fff,0x00fffaef,0x7544e7e4,0x7fec400f,0xffffffff,
    0xaeffb801,0xe8000fff,0xfb0003ff,0x3fe2009f,0xffffffff,0x43ee01ff,
    0x7ffc407c,0xfeffffff,0x6ffb84ff,0xfd80bffa,0xffffffff,0x3fa0002f,
    0x3f20003f,0x0bffe67f,0xff5dff70,0xffe8001f,0x4ffd8003,0xfffffd00,
    0xd0bfffff,0x0bff53df,0x4001ff88,0x803f52f9,0xff10fffb,0xfffd807f,
    0xff9804ff,0x001fffaf,0x90013ff6,0xffb00bff,0xffffffff,0xffffd301,
    0x80df7005,0x02ffffe9,0xd0006fb8,0x007fffff,0x1ffffff4,0x7ffffcc0,
    0x7ff4405f,0xffffffff,0x3fe203ff,0x00dff71f,0x0004ffa8,0x2003ffa2,
    0x260cfffb,0x2204fffe,0x6c04fdff,0xd99dffff,0xe84fffff,0x09ff50ef,
    0x4e7fffd4,0x007fffeb,0x0009ff50,0x2a22aa98,0x3fe200aa,0x00dff91f,
    0x80027fd4,0x5c00ffe8,0xcaadffff,0x54c2ffff,0xc80bff11,0xbfd0004f,
    0x555300bf,0x4401aaa8,0x8806fffe,0xdff52fff,0x0bff3001,0x807ff600,
    0xb9bffffa,0xfc82ffff,0x4402ffef,0x7fe402ff,0x7c402ffe,0xff10002f,
    0xf8800bff,0x26005fff,0xe802dfeb,0xddffffff,0x03ffffff,0x19981331,
    0x000cc400,0x4004cc40,0xc982fffc,0x764c009b,0x3ffe600b,0xffffa82f,
    0x26209984,0x1fffe401,0x007fffe2,0x00006620,0x4cc40000,0x1000ccc0,
    0x98800033,0x3ffe2009,0x5fffd82f,0x807fff60,0x10000ff9,0x000019d9,
    0x09998800,0x4c199880,0x19880099,0x004cc000,0xfd89fff9,0xb8bc83ff,
    0x2fe402ff,0x7fdc5e40,0x002fe402,0x00266620,0x00266620,0xffa80040,
    0x7d40aeff,0x1000ffff,0x00020000,0xff700040,0x00015bff,0xdfff5000,
    0x027fff40,0x3fffe000,0x02defd80,0x00000010,0x00400004,0x40000400,
    0x6fffa800,0x44015730,0x3601efff,0x0080003f,0x20000400,0x00040000,
    0x01000020,0xe85fffd0,0x7dc01fff,0x07fe202f,0x405ff700,0x00001ff8,
    0x00000001,0x7fff4000,0x3ffe602f,0xffb7304f,0x5cc007bf,0x003dfffd,
    0x37fff6e6,0x7fffcc03,0xb01cefff,0x3b203ddd,0x9fff72ee,0xda7ffe40,
    0xdd901eee,0x07fff85d,0x3fb26001,0xd912dfff,0x20037bff,0x2deffec8,
    0xdffd9100,0x3b22005b,0x1002deff,0x05bdffd9,0x0017ffee,0x1ffd5310,
    0x2000ff50,0xdfffffda,0x7ffed402,0x6d402dff,0x02dfffff,0x7ffffed4,
    0x7fed402d,0x5402dfff,0x2dfffffd,0x261fffe8,0xfb807fff,0x013f602f,
    0xd80bfee0,0x2e60004f,0x203dfffd,0xd901eeed,0x3bbb65dd,0x45ddd901,
    0xe805feca,0x7dc0ffff,0xefffffff,0x7fffdc01,0x401effff,0xfffffffb,
    0x3fee01ef,0xefffffff,0x80ffff42,0xff93fffd,0x7ffdc09f,0x203fffd4,
    0x7f43fffd,0xf70000ff,0xffffffff,0xfffffffd,0xffe9809f,0x00dfffff,
    0x3fffffa6,0x3a600dff,0xdfffffff,0x3fffa600,0x640dffff,0x30004fff,
    0x417fdc13,0xfd8002fe,0xffffffff,0xfffffb04,0x3609ffff,0xffffffff,
    0xffffb04f,0x209fffff,0xfffffffd,0xfffb04ff,0x89ffffff,0x3f61fffe,
    0xffb804ff,0x001ff302,0x2605ff70,0xf70000ff,0xdfffffff,0x03fffd03,
    0x7f4ffff6,0xfffb01ff,0x2e002207,0x3ea2ffff,0xffffffff,0xfff502ff,
    0xffffffff,0x3fffea05,0x2fffffff,0x3ffffaa0,0x3a3fffff,0xffb01fff,
    0x13fff67f,0xfd4fffb8,0x3ff603ff,0x17ffe43f,0x7fffd400,0xffffffff,
    0xffffffff,0xfffff303,0x20dfffff,0xfffffff9,0xff306fff,0xffffffff,
    0x3fffe60d,0x46ffffff,0x8004fffd,0x3ff65ff8,0x40037dc0,0xfffffffc,
    0x7e43ffff,0xffffffff,0x7ffe43ff,0xffffffff,0x7ffffe43,0x43ffffff,
    0xfffffffc,0x7e43ffff,0xffffffff,0x3fffe3ff,0x01ffff11,0x3a05ff70,
    0xff70003f,0x000ffa05,0x7fffffd4,0x742fffff,0xffb01fff,0x07fffa7f,
    0x001fffec,0x4ffffe20,0xacfffffa,0x40fffffd,0xacfffffa,0x40fffffd,
    0xacfffffa,0x00fffffd,0x7fffedcc,0xfffd0fff,0x4ffff603,0x3205fffc,
    0xfffd4fff,0x4ffff603,0xcefffecb,0x7f401ccc,0xfea89dff,0xa89dffff,
    0xfd82fffe,0xffb8beff,0xfffd82ff,0xffffb8be,0xbefffd82,0x82ffffb8,
    0xb8befffd,0x3ee2ffff,0xf90005ff,0x889fffdf,0x7c4001ff,0xea89bfff,
    0x3fe25fff,0xfea89bff,0x3ffe25ff,0xffea89bf,0x3fffe25f,0xfffea89b,
    0x2ffffe25,0x5fffea89,0x26ffffe2,0x25fffea8,0xff71ffff,0x3fee00df,
    0x0006fa82,0x3ea0bfee,0xfff50006,0xfffb59ff,0x7fff41ff,0x27fffb01,
    0xfb01fffe,0x3332a7ff,0xcccccccc,0x4ffffccc,0x981bfffd,0x7f45fffe,
    0x7f4c0dff,0x7fff45ff,0x7fff4c0d,0x7fe4c005,0x3fffd2ff,0x5cffff60,
    0xf880ffff,0xfffd4fff,0x4ffff603,0xfffffffe,0x2e202fff,0xfff986ec,
    0x6fff986f,0x207fffd4,0x7d46fff9,0x7fcc0fff,0x7fffd46f,0x237ffcc0,
    0x4c0ffffa,0x3fea6fff,0x79df306f,0xbeffec88,0x4002fe40,0xfa84edb8,
    0x3b6e26ff,0x26fffa84,0xfa84edb8,0x3b6e26ff,0x26fffa84,0xfa84edb8,
    0x3b6e26ff,0x26fffa84,0xff91ffff,0xff7001ff,0x0005fd05,0x7f417fdc,
    0xfffd0002,0xfffe981b,0x407fffa5,0xffd3fffd,0x3fff603f,0xffffff93,
    0xffffffff,0xff1bffff,0x3fea01ff,0x3fffe27f,0x4ffff500,0x500ffff8,
    0x7644ffff,0xfffd01ff,0x407fffa5,0xff13fffd,0x7ec419ff,0xfffd4fff,
    0x4ffff603,0xfffffffe,0x40002fff,0xb03ffff8,0x7fe41fff,0x3fffd05f,
    0xe82fffe4,0x3ff21fff,0x3fffd05f,0xe82fffe4,0xfff31fff,0xdfff905f,
    0xff880cc0,0x00399101,0x00ffff30,0x007fff98,0x003fffcc,0x001fffe6,
    0x800ffff3,0x3fe7fff9,0xffff31ff,0x0998801d,0x65d437dc,0x204cc401,
    0x332206fb,0x07fffc41,0x3a7fffa8,0xffb01fff,0x07fffa7f,0xfc9fffec,
    0xffffffff,0xffffffff,0x05fffaef,0xfa8ffffc,0x7ffc05ff,0x0bfff51f,
    0x3a1ffff8,0x7cc0efff,0xfffd0fff,0x8ffff603,0xccfffffc,0xd4ffffff,
    0x3f603fff,0xffdd93ff,0x03ddddff,0xffeca880,0x9999afff,0x362fffc9,
    0x9999bfff,0x362fffc9,0x9999bfff,0x362fffc9,0x9999bfff,0x362fffc9,
    0x9999bfff,0x322fffc9,0xb99dffff,0x0003ffff,0x7fec09fb,0xfeca8803,
    0x54407fff,0x07ffffec,0x7fff6544,0x7654407f,0x4407ffff,0x7ffffeca,
    0x7ff65440,0x3fffe7ff,0x3bffff21,0x1ff88000,0x1ffffff4,0x807fe200,
    0x7fd43ffd,0x7fffc05f,0x203fffd1,0xffd3fffd,0x3fff603f,0xffffff73,
    0xffffffff,0xffbbffff,0xfffe809f,0x809fffb2,0xffb2fffe,0xfffe809f,
    0x3ffffea2,0x4fffffde,0x6c07fffa,0x3fa23fff,0xefffffff,0xfffd4fff,
    0x0ffff603,0x000bfff6,0x3fffff22,0xffffffff,0x3fffffff,0x3ffffffe,
    0x3fffffff,0x3ffffffe,0x3fffffff,0x3ffffffe,0x3fffffff,0x3ffffffe,
    0x3fffffff,0x3fffffe2,0x006fffff,0x3201ff30,0xd9303fff,0xffffffff,
    0xfffd930f,0x30ffffff,0xffffffd9,0xfd930fff,0xffffffff,0xffffd930,
    0x930fffff,0xfffffffd,0x0ffffcff,0x017ffff6,0xff717f20,0x001ffd9b,
    0xff702fe4,0x4fffd87f,0xe97fff40,0xffb01fff,0x07fffa7f,0xf99fffec,
    0xfd000fff,0x7fff99ff,0x92fffe80,0xfe807fff,0x7fff92ff,0x42fffe80,
    0xfffffffa,0x7ff46fff,0x7fffb01f,0xfffffe88,0xd4fffbaf,0x3f603fff,
    0xfffe83ff,0x7ffd4001,0xfffcefff,0xffffffff,0x3ffe3fff,0xffffffff,
    0x3ffe4fff,0xffffffff,0x3ffe4fff,0xffffffff,0x3ffe4fff,0xffffffff,
    0x7f4c4fff,0xffffffff,0x07fd0000,0x20ffffea,0xdffffffa,0x7d47fffc,
    0xfcdfffff,0x7ffd47ff,0xfffcdfff,0x7ffffd47,0x47fffcdf,0xdffffffa,
    0x7d47fffc,0xfcdfffff,0x3fffe7ff,0x3ffffd81,0xd03fe600,0x01ffd4ff,
    0xf500ff98,0xffc87fff,0x7fff403f,0x203fffd2,0xffd3fffd,0x3fff603f,
    0x05ffff13,0x57ffff10,0xff80bfff,0xbfff51ff,0x51ffff80,0xff80bfff,
    0xffc981ff,0xe82effff,0xffd01fff,0xdfb7107f,0x53ffee39,0xfd01fffe,
    0xfff887ff,0x7ffc4007,0x3ffe0aef,0xaaaaaacf,0x3ffa1aaa,0xaaaaaacf,
    0x3ffa1aaa,0xaaaaaacf,0x3ffa1aaa,0xaaaaaacf,0x3ffa1aaa,0xaaaaaacf,
    0xfc881aaa,0x00bfffff,0x260df500,0x4c3ffbff,0x222cffff,0x3fe67fff,
    0x3fe22cff,0x3fffe67f,0x9fffe22c,0x22cffff9,0x3e67fff8,0x3e22cfff,
    0x3ffe67ff,0x3ffe22cf,0x407fffe7,0x000ffffd,0xb82209fb,0x9fb002ff,
    0x3feffe60,0x02fffd43,0x7f47fffe,0xfffd01ff,0x407fffa7,0x3fa3fffe,
    0xffb804ff,0x6fff99ff,0x43fffe60,0x2606fff9,0xff30ffff,0x7ffcc0df,
    0x77f5400f,0x5fffd00b,0x00ffffe0,0x74ffff20,0xfff02fff,0x2fffc87f,
    0x2fffd400,0x027fffc4,0x027ffec0,0x027ffec0,0x027ffec0,0x027ffec0,
    0x5f7ecc00,0x17f40000,0x7fc67f44,0x42fffe43,0x3f27fff9,0xfff985ff,
    0x217fff27,0x3f27fff9,0xfff985ff,0x217fff27,0x3f27fff9,0xfff985ff,
    0x407fffe7,0x802ffff8,0xfa800ffa,0xffa800ef,0xf8cfe880,0x37ffcc3f,
    0x21ffff30,0xff02fffe,0x3fffa7ff,0x47ffff02,0x201ffffc,0x3e6ffff8,
    0xfd883fff,0x7fffc5ff,0x5fffd883,0x441ffffc,0xd805fffd,0xd80fffee,
    0xffa83fff,0x79bd33ff,0x4bfff603,0xfa83fffd,0x3ff23fff,0x9020134f,
    0xff309fff,0x9df10fff,0x3fffdc17,0x705e77c4,0xdf10ffff,0x7ffdc179,
    0x0bcef887,0x221fffee,0x3600bcef,0x000fffee,0x3f60df70,0xfe87ff15,
    0xfffb82ff,0x20bfffa7,0x3fa7fffb,0xfffb82ff,0x20bfffa7,0x3fa7fffb,
    0xfffb82ff,0x20bfffa7,0x3fe7fffb,0x3ff601ff,0x03fe803f,0x001fffc8,
    0x57f607fd,0xfff83ff8,0xfffd883f,0x20ffff65,0xfb3ffffa,0xfff507ff,
    0x7fff447f,0xfffd881e,0x3ffff23f,0xffffc8be,0x7fffe41f,0xffffc8be,
    0x7fffe41f,0xffffc8be,0x7fd4001f,0x1ffffb84,0x8fffffea,0x220fffff,
    0xf70ffffb,0x7fd43fff,0xfff73fff,0x79dfffdf,0x7fdc1fd9,0x3ffa20ff,
    0xfb11cfff,0xfff88fff,0x3fff21df,0x3fffe20f,0x3ffff21d,0x37fffe20,
    0x83ffff21,0x21dffff8,0x000ffffc,0x10009ff5,0xdff703ff,0x21ddffdd,
    0x7cc6fffd,0x3ff67fff,0x7fffcc6f,0x31bfff67,0x7ecfffff,0x7ffcc6ff,
    0x1bfff67f,0x6cfffff3,0x7fcc6fff,0x3fffe7ff,0xff31d911,0x6fb803ff,
    0x01effd80,0x3ee0df70,0xeeffeeef,0x3bffff20,0xfffffc8b,0x87fffee1,
    0x73fffffa,0x7d43ffff,0x7cc3ffff,0xcbbcffff,0xd85fffff,0xffffffff,
    0xffb03fff,0xffffffff,0x3fff607f,0xffffffff,0x3ff98003,0xffffffa8,
    0x3fffffff,0x3bfffff6,0x24fffffe,0xfffffffa,0x73ffffff,0xffffffff,
    0x49ffffff,0xedfffff9,0xffffffff,0x3fffffef,0xefffffb8,0xb83fffff,
    0xffefffff,0xffb83fff,0xffffefff,0xffffb83f,0x3fffffef,0x00ffe600,
    0x7dc17f20,0xffffffff,0xbfffff70,0x1ffffffd,0x37ffffee,0x0ffffffe,
    0xdbfffff7,0x21ffffff,0xedfffffb,0x70ffffff,0xfdbfffff,0x2e1fffff,
    0xfedfffff,0xff0fffff,0xffff33ff,0x880dffff,0x7fec02ff,0x5ff1000d,
    0x3ffffee0,0x7ec0ffff,0xffffffff,0x7ffd43ff,0xffffffff,0xffff53ff,
    0xffffffff,0xffff707f,0xffffffff,0x3fff201d,0x03ffffff,0x7fffffe4,
    0x7e403fff,0xffffffff,0xeccd9803,0xff900fff,0xf59fffff,0x7ff447ff,
    0xffffffff,0x7fffe40e,0xfffacfff,0xffffff13,0xffffffff,0x7fffe41f,
    0xfcaeffff,0xffffffff,0x3fffee04,0x204fffff,0xfffffffb,0x3fee04ff,
    0x4fffffff,0x3ffffee0,0x2604ffff,0x0fffeccd,0x807fcc00,0xffbaaaa9,
    0x7ffff42d,0xfffddfff,0x3fffffa2,0x2fffddff,0x3ffffffa,0x22fffddf,
    0xfffffffe,0x3a2fffdd,0xdfffffff,0x3fa2fffd,0xddffffff,0xffff2fff,
    0x3fffff23,0x2fe401ff,0x3bbfff20,0x17f203ee,0xfbaaaa98,0xfff902df,
    0x07ffffff,0x3ffffff2,0x23fffacf,0xfffffffc,0x903fffac,0xffffffff,
    0xda801bff,0x00dffffe,0xffffdb50,0x3b6a001b,0x000dffff,0x3bfffff3,
    0xefffec80,0x887fff52,0xfffffffb,0x3ffb203f,0x7fff52ef,0x5cc56fe4,
    0xcfffffec,0x7ffffdc0,0x7fff4c3e,0xd9802eff,0x02efffff,0xfffffd98,
    0xffd9802e,0x9802efff,0x2efffffd,0x7ffffcc0,0x4fd8001d,0x41ffc400,
    0x3fffffc8,0x644bfff5,0xf53fffff,0x7fe44bff,0xfff53fff,0x7fffe44b,
    0x4bfff53f,0x3fffffc8,0x644bfff5,0xf53fffff,0x3fffebff,0x3bfffae1,
    0x00ffc401,0x3ffffffe,0x03ff104f,0x403ff880,0xdffffeda,0x7fff6400,
    0x87fff52e,0x52efffec,0x6cc07fff,0x2dffffff,0x000a8800,0x00005440,
    0x980002a2,0x09880009,0x2aa62000,0x02620009,0xa9800880,0x001a9801,
    0x20001353,0x100009a8,0x22000135,0x5100009a,0x09980013,0x037a6000,
    0x40399100,0x88000a98,0x988000a9,0xa988000a,0x0a988000,0x00a98800,
    0x002a2000,0x3220275c,0x2ccccccc,0x10009d70,0x54400399,0x00988000,
    0x00013100,0x0006a620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000020,0x4cc41998,0x33333100,0x2e003333,0x10164c2c,0x2e200333,
    0x200e542c,0x065c1cb8,0x7ddd7000,0x33117bb6,0x00099883,0x00fbbaa0,
    0x99998801,0x20019999,0x41f77440,0x99999998,0x3eeec819,0xb3eeec80,
    0x4c403ddd,0x33300099,0x30266213,0x09999833,0x99813310,0x26620009,
    0x2eeed809,0x0bbbb200,0x00133300,0x04cccc00,0x009804c4,0x000f7764,
    0x3993bbae,0x203dddb0,0x4c42eeec,0x200ccc09,0x31009998,0x33333333,
    0x3ff72a00,0xe881bdef,0x3fee05ee,0xb827ff46,0xffffffff,0xfffff807,
    0xf102febd,0xf880bfff,0xffbcffff,0x3fffe600,0x0007fbce,0xfea7ffe4,
    0x97ffc46f,0x2000fff9,0xfffc9999,0x7ff6441d,0x7ffdc1df,0x807fffff,
    0x7ffc44d8,0xfffffa84,0x7f41ffff,0xffe804ff,0x03ffff4f,0x401fffe4,
    0xf50efffa,0x17ff21ff,0x2609fffb,0xdff70fff,0x7fffcc00,0x03fffe81,
    0x00ffffa0,0x01ffffb8,0x6fffb800,0x7f70df10,0x02fffe80,0xddfffb80,
    0xfffe80ff,0x87fffb01,0xff90fffa,0x7fffc40b,0xfffff501,0x4403ffff,
    0xfffffffd,0x7fcc3fff,0x93ff207f,0xf702fff8,0xffffffff,0xffeff980,
    0xfb00ffff,0x5c05ffff,0xfffffeff,0x7fffe406,0x0005ffff,0xfea7ffe4,
    0x9fff986f,0x7c002fff,0xffffffff,0xffffd11f,0xfffb83ff,0x207fffff,
    0x7c44ffc8,0xfffa84ff,0x41ffffff,0xe804fffe,0xffff4fff,0x1fffe403,
    0x207fff40,0xfffadffc,0x00fffd80,0xfff5dff7,0x7ffe4003,0x07fffd01,
    0x01ffff40,0xefffff98,0x7ffc0000,0x273f600e,0x7400ffa8,0x30002fff,
    0x2019ffff,0xfb01fffe,0xbff907ff,0x6401fff5,0x3ea02fff,0xffffffff,
    0xfffff501,0xffffffff,0x1fffe63d,0x3e63ffe8,0x999300ff,0x80999999,
    0xdfb513fc,0x2bbfee05,0x3fb00fff,0x0077fae2,0x3fae61fd,0x7e40000c,
    0x0dffd4ff,0x17fffff2,0x3ffffe00,0xf71fffff,0x30ffffff,0x99999999,
    0x27ffe409,0x260fffe2,0xcccccccc,0x27fff40c,0xfa7fff40,0x3f201fff,
    0x7fcc03ff,0xffffd01f,0x3ffa205f,0x3ffff604,0x3fe2003f,0x3fffa02f,
    0x3fffa003,0xb7ffd003,0x5c0009ff,0x7cc00eff,0x804fffff,0x8002fffe,
    0x06ffffea,0x6c07fffa,0xffd03fff,0x7c405fff,0x664c02ff,0x0ccccccc,
    0xffffff88,0xffffedde,0x0ffff36f,0xff70fffc,0x0000000f,0x43ffe600,
    0x00005ffc,0x40000000,0x3e64fffc,0x3ffffa05,0xcccc8000,0xb0cefffe,
    0x0313bfff,0xfff90000,0x000bee09,0x04fffe80,0x554fffe8,0x775c01ff,
    0x0ffec02e,0x0bffff30,0x2207fe88,0x4005ffff,0x7f402ffc,0x3fa003ff,
    0xffc803ff,0x005fff15,0x4003ffa0,0x002dfec9,0x80015555,0xfffaaefe,
    0x03fffd05,0x4c0ffff6,0x5c05ffff,0x000003ff,0x06ffffec,0x5fffff44,
    0xf306fca8,0x2ffe41ff,0x20000200,0x40998800,0x00200199,0x01000000,
    0x7dc9fff9,0x02666203,0x7ffdc000,0x017fff44,0x3ff20000,0x003fb04f,
    0x3fffa002,0x4fffe804,0x00001fe6,0x33100133,0x00662003,0x80013331,
    0xffe80098,0x3ffa003f,0x4199803f,0x30000998,0x00200013,0x00133310,
    0x7ffe42b8,0x01fffe83,0x4407fffb,0x19880199,0x2a002000,0xd804ffff,
    0xbf70ffff,0x3ff2aaa6,0xdffeaaaf,0xffb7301a,0x36a007bf,0x02dfffff,
    0xfdb98000,0x3b603dff,0xddd901ee,0xbffd9105,0x653fff25,0x1000006f,
    0x2e7bffd9,0x7ff44fff,0x3dddb01f,0x5cbbbb20,0xeeeffffe,0x2204fe8a,
    0x02deffec,0xd009fffd,0x27e49fff,0x00000000,0x00800000,0xffd00400,
    0x7ff4007f,0x0000003f,0x00000000,0x0017ffdc,0x3e7372e2,0x7ff40fff,
    0x7fffb01f,0x80000000,0xdfffffda,0x07fffe82,0x19ffff10,0x3fff65fd,
    0xffffffff,0xfb84ffff,0xefffffff,0x3ffff601,0x204fffff,0x5c01eeec,
    0xffffffff,0x1fffe81e,0xa87fffb0,0xcfffffff,0x1bd4fffc,0xeeeeeed8,
    0x40eeeeee,0xfffffff9,0x744fffcd,0xffd01fff,0x3fff603f,0xffffff93,
    0x019f15ff,0x3fffffa6,0x7ff40dff,0xfffe804f,0x6c0ffdac,0xeeeeeeee,
    0x3b20eeee,0x3bb201ee,0x7776401e,0x6dcdddb1,0x76c0deff,0x3bff6e6e,
    0x1ffff40d,0x27fffd00,0xe881eeec,0xddd705ee,0x777776c5,0x0eeeeeee,
    0x001eeec8,0x4003fff9,0xfffffffb,0x7ff45fff,0x7fffb01f,0x3aabddb0,
    0xbddb0bef,0xb02fbfaa,0xffffffff,0x7fffc49f,0x3fff2003,0x3ff65fff,
    0xffffffff,0x544fffff,0xffffffff,0xffc82fff,0xffffffff,0x5fffd03f,
    0x7ffffd40,0x42ffffff,0xfb01fffe,0x7ffcc7ff,0xffffffff,0x3fa014ff,
    0xffffffff,0x3fe20fff,0xffffffff,0x7ff44fff,0x3fffd01f,0x64ffff60,
    0xffffffff,0x7ffcc012,0x6fffffff,0x4027fff4,0xdffffffe,0xfffffe80,
    0x0fffffff,0xe80bfffa,0x7f402fff,0x1fffd2ff,0xfffffffb,0x6c7fff43,
    0x1fffffff,0x800ffffa,0xff73fffe,0xffff707f,0x43fffd03,0xfffffffe,
    0xe80fffff,0xe8802fff,0x3f2007ff,0xffffffff,0x3ffa1fff,0x7fffb01f,
    0xff3dfff0,0x77ffcdff,0x646ffff9,0xffffffff,0xfff33fff,0x7fd4001f,
    0x7fec3fff,0xffffffff,0x2a4fffff,0xdacfffff,0x220fffff,0xa89bffff,
    0xfd05fffe,0x3fea05ff,0xffdacfff,0x3ffa0fff,0x7fffb01f,0x4effffec,
    0x4fffffea,0x7fffff40,0x0fffffff,0x277ffff6,0x4fffffd9,0xe80ffff4,
    0xffb01fff,0x3ffb2a7f,0xd801ccef,0xfb8befff,0x3ffa2fff,0xfffe804f,
    0x3ffa00be,0xffffffff,0x3fffa0ff,0x0bfffa02,0x3a5fffd0,0xffffefff,
    0x3fa6ffff,0xfffffeff,0x3ffa6fff,0x3ffa003f,0x0dfff13f,0x887ffffb,
    0x7ff47fff,0xffffffff,0xfffe80ff,0x7fff4402,0xffff3006,0xfffff9df,
    0x0ffff47f,0xf83fffe8,0xffffffff,0x3fffffe4,0x3fe24fff,0xfea89bff,
    0xffff55ff,0xffff9800,0x07ffcc02,0x3fa0bff9,0x7f4c0dff,0x3b6e25ff,
    0x06fffa84,0x3a05fffd,0x74c0dfff,0x3ffa5fff,0x7fffb01f,0x20bfffe6,
    0x404ffffb,0xeccccccb,0x3e66ffff,0xffa82fff,0x7fff44ff,0x03fffd01,
    0xf90ffff6,0x7d4009ff,0x7fcc0fff,0x13fffa6f,0x013fffa0,0x3333332e,
    0x746ffffe,0x3fa02fff,0x7ff402ff,0xdffffd2f,0xffffb317,0x3bffffa3,
    0xffffd98b,0x007fffd1,0xfd1ffff4,0xffff81ff,0x27ffd45f,0x3333332e,
    0xd06ffffe,0x74405fff,0xd001ffff,0x6445dfff,0x3fa4ffff,0xffff02ff,
    0xffffff07,0x7ffc3fbb,0x21fddfff,0xfa84edb8,0xffff76ff,0xffff8800,
    0x237fdc02,0xff883ffe,0xfff500ff,0xfff9800f,0x05fffd07,0x201ffff1,
    0x3fa7fffa,0xfffb01ff,0x81bffee7,0x0004ffff,0x41dffff3,0x3a06fffa,
    0x7ff44fff,0x3fffd01f,0x90ffff60,0x64009fff,0xffd05fff,0x13fffa3f,
    0x013fffa0,0xeffff980,0x017fff40,0xe805fffd,0xfffd2fff,0xffff883f,
    0x83ffffd2,0xfd2ffff8,0x7f4007ff,0x3ffee3ff,0x3ffffe62,0x00fffec7,
    0x0effff98,0x205fffd0,0x01ffffe8,0x03ffff30,0xfd9bfff2,0xfffa84ff,
    0xfffff83f,0xfffff021,0x7cc00043,0xdfff97ff,0xffff8800,0x227fe402,
    0xffa82fff,0x7fffc05f,0x3fb2a201,0xffd07fff,0xbfff505f,0xd1ffff80,
    0x3f603fff,0x9fff93ff,0x027ffec0,0x7ffffcc0,0x027ffdc0,0xfe89fff9,
    0xfffd01ff,0x0ffff603,0x4009fff9,0x999bfffd,0xb2fffc99,0xfd009fff,
    0x260007ff,0xe80fffff,0x3fa02fff,0x7ff402ff,0x09fffd2f,0x7f4ffff6,
    0xfffb04ff,0x00ffffa7,0x263fffe8,0x3fee5fff,0x3fe1ffff,0xfff3007f,
    0x7ff401ff,0xfffe882f,0x3fee002f,0x3ffe206f,0x5ffff90f,0x3ffffea2,
    0x05ffff83,0x002ffffc,0x7fff6544,0x0ffff77f,0x1ffff980,0xf31fff40,
    0xfffb01ff,0x2fffe809,0x7ffff64c,0xfd07ffff,0xfffb05ff,0x2fffe809,
    0x3603fffd,0xfffb3fff,0x27ffe407,0x3fffe200,0x3fffc81f,0xd13fff20,
    0x3fa03fff,0xfffb01ff,0x04fffc87,0x3fffffe0,0xffffffff,0x009fffb3,
    0x0007fffd,0x03fffff1,0xe80bfffa,0x7f402fff,0x7fffd2ff,0x74ffff60,
    0xffb03fff,0x0ffffa7f,0x43fffe80,0x3ff67ffe,0xff33fffd,0xfff1009f,
    0xffe803ff,0xffffd82f,0x7ffe4001,0x97fffc04,0xfffffffa,0x83ffffff,
    0x7c03ffff,0x93003fff,0xfffffffd,0x3fffeaff,0x3ffea000,0xffccb80f,
    0xfffdccdf,0xfff92ccc,0x2fffe807,0x3fffffea,0xd07fffcd,0xff905fff,
    0xfffe807f,0x203fffd2,0xffb3fffd,0x7ffe407f,0x3ffa2004,0xfffb02ff,
    0x27ffdc09,0x7407fffa,0xffb01fff,0x4fffc87f,0x3ffffe00,0xffffffff,
    0x09fffb4f,0x007fffd0,0x2ffffe88,0x80bfffa0,0x7402fffe,0xfffd2fff,
    0x4ffff205,0xf902fffe,0x3fffa7ff,0xfffd0083,0xf1fffc87,0x2bffb5ff,
    0x4402fffc,0x802ffffe,0x7c42fffe,0xd8001fff,0x7fc04fff,0x3fff22ff,
    0xffacffff,0x1ffff83f,0x00ffffc0,0x7fffffd4,0xf17fffcd,0x64005fff,
    0xffb07fff,0xffffffff,0x2a9fffff,0x7fc05fff,0xffff31ff,0x3fffc459,
    0xa82fffe8,0x7fc05fff,0x3fffd1ff,0x64ffffa0,0x3f604fff,0x3f6004ff,
    0x3ee03fff,0x3ff204ff,0x0ffff44f,0xd01fffe8,0xffc87fff,0x3ffa004f,
    0xaaaaaacf,0xfff91aaa,0x5ffff00b,0xffffd800,0x17fff403,0x805fffd0,
    0xffd2fffe,0x3fff205f,0x205fffd3,0xffd3fffc,0x0dffd37f,0xf30bfffa,
    0x1fff37ff,0x3ffafff7,0xffffd807,0x5fffd003,0x405fffa8,0x3fee1abb,
    0x7fffc05f,0x77fff641,0xf07fff52,0xff803fff,0x7fcc01ff,0x3fe22cff,
    0x1bfffe7f,0x2ffffc40,0xffffffd8,0xffffffff,0x0dfff34f,0xc87fffcc,
    0xff985fff,0x5fffd07f,0x40dfff30,0xfd0ffff9,0x3ffe05ff,0x0dfff73f,
    0x8027fff4,0x404ffffc,0x3a06fffa,0x7ff44fff,0x5fffd01f,0x90ffffe0,
    0x6c009fff,0x5c004fff,0x2a01ffff,0x2001ffff,0x804ffffc,0x3a02fffe,
    0x7f402fff,0x5fffd2ff,0x74ffff20,0xff902fff,0x2ffffa7f,0xf80ffff9,
    0xfff81fff,0xff16ffbe,0x80bfff5f,0x004ffffc,0xf50bfffa,0x7fcc0bff,
    0x3fffea7f,0x0ffff500,0x17ee04c4,0x401ffff8,0x6401ffff,0xff985fff,
    0x3ffff27f,0xffffd803,0xdffd9702,0x9bfff999,0x7fffc599,0x5fffd883,
    0x2e0bfffa,0xffd07fff,0x3fffe05f,0x5fffd883,0x2a0ffff6,0xff33ffff,
    0xfff503ff,0xfff7009f,0xfff300bf,0xffff505f,0x01fffe89,0xf507fffb,
    0xffc87fff,0x3fee004f,0xbcef887f,0x0dffff30,0x03ffffa2,0x2ffffdc0,
    0x02fffe80,0xd00bfffa,0x3ffa5fff,0x7fff902f,0x640bfffa,0xfffd3fff,
    0x87ffff17,0xc80ffffa,0x24ffefff,0x2fffeffe,0x17fffee0,0x85fffd00,
    0xd01ffff8,0x7fc49fff,0xffe884ff,0x4fc8005f,0x007fffe0,0xe803ffff,
    0xffb82fff,0x7ffff47f,0xffffb104,0x47ffd00b,0x3200fff9,0xc8beffff,
    0x361fffff,0x7fcc6fff,0xfffd07ff,0x3ffff205,0xffffc8be,0x3fffee1f,
    0x3ffffea1,0x2bffff63,0xfffffd98,0x7fffd404,0x3fff6005,0xfffc88af,
    0x7fff44ff,0x3ffff701,0x1fffffd4,0x267bfff2,0x7fffc400,0x3ffff21d,
    0x3fffffa0,0xffffdbbd,0xfff5004f,0x7ff400bf,0x3fffa02f,0x97fff402,
    0xf902fffe,0x3fffa7ff,0x27fff902,0xffd3fffe,0xfffd7dff,0x3ffea0bf,
    0x3ff22fff,0xf500ffff,0xd000bfff,0xffd05fff,0xfb5117df,0xffb83fff,
    0xffc8aeff,0xd8000fff,0x3fffe06f,0x07fffc00,0x31bfff60,0xfa8fffff,
    0xbbceffff,0x0ffffffd,0x50fffc40,0xffb00dff,0xffffffff,0xffffb87f,
    0xfffffedf,0x2fffe80f,0x3fffff60,0x43ffffff,0xfffffffa,0x23ffffff,
    0xfffffff9,0x04ffffff,0x37ffffe6,0x2ccccccc,0x3fffffe6,0x4fffffff,
    0xa80ffff4,0xffffffff,0x5c3fffff,0x03ffffff,0xefffffb8,0x4c3fffff,
    0xffffffff,0x00ffffff,0xdfffff98,0x2ccccccc,0xe80bfffa,0x7f402fff,
    0x5fffd2ff,0x74ffff20,0xff902fff,0x4ffffa7f,0xfffffff9,0x3e00ffff,
    0x2a0fffff,0x305fffff,0x99bfffff,0xd0599999,0xff105fff,0xffffffff,
    0x3ffa07ff,0xffffffff,0xff90003f,0x1ffff045,0x00ffff80,0x6fffffdc,
    0x0ffffffe,0x7fffffe4,0xffffffff,0x0fff9802,0x64017ff2,0xffffffff,
    0xffffd03f,0xfffbbfff,0x05fffd05,0xffffffc8,0xff903fff,0xf59fffff,
    0xfffb87ff,0xffadffff,0x3ffee04f,0xffffffff,0x7ffd44ff,0xff9dffff,
    0x0ffff44f,0xffffff90,0x87fff59f,0x4ffffff8,0xfffff700,0x2609ffff,
    0xfffffffe,0x7001efff,0xffffffff,0x749fffff,0x3fa02fff,0x7ff402ff,
    0x05fffd2f,0x7f4ffff2,0xfff902ff,0xc8ffffa7,0xffffffff,0x7ffec01f,
    0x7fffc46f,0xffff703f,0xffffffff,0x5fffd09f,0x3ffffa60,0x202fffff,
    0xffffffd8,0x20003fff,0x25fffff9,0x7c00ffff,0xfe800fff,0xddffffff,
    0xfe982fff,0xffffffff,0xff7000df,0x003ffe8d,0x3ffffb6a,0x3ff2200d,
    0xfff53fff,0x05fffd0b,0xffffdb50,0xffec801b,0x7fff52ef,0x9ffffd30,
    0xb813ffe6,0xffffffff,0x984fffff,0xf34ffffe,0xfffe89ff,0x7fff6401,
    0x07fff52e,0x09fffff5,0x7fffecc0,0xfec802ef,0x03efffff,0x7ffffdc0,
    0xffffffff,0x80bfffa4,0x7402fffe,0xfffd2fff,0x4ffff205,0xf902fffe,
    0x3fffa7ff,0x7ffff4c3,0xffa802df,0xfffe84ff,0xffff700f,0xffffffff,
    0x5fffd09f,0xffffea80,0xfd5001ce,0x001bffff,0x9ffff900,0x2007fffc,
    0x8800ffff,0x53fffffc,0x75c0bfff,0x3dffffff,0x227fec00,0x10001fff,
    0xa9880015,0xfffe8000,0x00544002,0x00004c40,0x5c000131,0xffffffff,
    0x204fffff,0x7f400198,0x131001ff,0x0054c000,0x0026a200,0x00054c40,
    0xffffff70,0x9fffffff,0xd017fff4,0xfe805fff,0x5fffd2ff,0x74ffff20,
    0xff902fff,0xa988007f,0x3fe20009,0xfffc82ff,0x3fffee06,0xffffffff,
    0x2fffe84f,0x00006200,0x000002a6,0x3ffe04d4,0x7fffc00f,0x02a62000,
    0x04cc4000,0x83555000,0x00000aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99880800,0x98066620,0x000bcedb,
    0x0179db75,0x4413bba6,0x55506eee,0x55555555,0x7bdb7300,0x37b72a00,
    0x3b2a001c,0x000002bd,0x3bbb6000,0x6c7bbb62,0x00000eee,0x01f77540,
    0x2e020004,0x76c04eee,0x7ddd91ee,0x07ddd900,0xeeeee980,0xeeeeeeee,
    0x83eeeeee,0xeeeeeeec,0x6401bcee,0x76c04eee,0x333313ee,0x76433333,
    0x540003ee,0x00004eee,0x774d7bb2,0x372a01ee,0x76401cde,0x220001ee,
    0x20e542cb,0x5401eeec,0x00003eee,0x400f7764,0x6ffd84d8,0x2e07ffea,
    0x1fffffff,0x3ffffa20,0xffa82fff,0xffff305f,0xffffff10,0x440fffff,
    0xfffffffd,0xffffd301,0x4c019fff,0xdffffffe,0xfedc8800,0x40000bde,
    0x3fe3ffff,0x1ffff1ff,0xfb800000,0xffb504ff,0x26c40bdf,0x807fffcc,
    0x3fa7fff9,0xffe804ff,0x7fec004f,0xffffffff,0xffffffff,0xffffd84f,
    0xffffffff,0xffff500d,0x3fffea03,0xffffff90,0x7ffecfff,0x7fdc0004,
    0xf700006f,0x3ffe6fff,0xfffe981f,0x440dffff,0x99bfffe9,0xfff10009,
    0x81ff79ff,0x5c02fffe,0x00004fff,0x2017fff4,0xffd84ffc,0x907ffea6,
    0xffffffff,0xfffd103f,0x85ffffff,0xf305fffa,0xfff50fff,0xffffffff,
    0x3ffffa60,0x440fffff,0xffffffff,0xfff305ff,0x3dffffff,0x7ffffdc0,
    0x0003ffff,0xff8ffffe,0x1ffff1ff,0xfb800000,0xfffa84ff,0xff906fff,
    0x0bfffa09,0xfd27ffe4,0xffd009ff,0x7fc4009f,0xffffffff,0xffffffff,
    0xfffd84ff,0xffffffff,0xffd02fff,0x3fffa09f,0x3fffff24,0x3ff67fff,
    0x7dc0004f,0x980006ff,0xff37ffff,0xfff883ff,0xefffffff,0x3fffff20,
    0x7005ffff,0xfffffdff,0x05fffd0d,0x004fffb8,0x17fff400,0xb09fff90,
    0x7ffd4dff,0x3bfffe21,0xc85ffffd,0xffddffff,0x3fea0fff,0xffff305f,
    0xffffff90,0x3a0fffff,0xffdeffff,0x7ffec5ff,0xffffebdf,0xdffffe82,
    0x905fffff,0xffffffff,0x20009fff,0x3fe3ffff,0x1ffff1ff,0xfb800000,
    0xffff84ff,0xffc84fff,0xbfff904f,0xe87fffe0,0xfe804fff,0x3f2004ff,
    0xfffeceff,0xffffffff,0xffd84fff,0xffffffff,0xa81fffff,0x7d40ffff,
    0x332a0fff,0x24cccccc,0x0004fffd,0x0c37ffdc,0xffffd100,0x07fffe6f,
    0xfbdffffd,0x7e4bffff,0xffffffff,0x223fb005,0xfe81dfeb,0x7fdc02ff,
    0x7400004f,0x3f202fff,0x2aa984ff,0xfb82aaa2,0x3ffe25ff,0x0ffffc1f,
    0x545ffff1,0xff305fff,0x7fffb0ff,0x05555555,0x4c5dfff3,0x3fe0ffff,
    0x7ffe42ff,0x0f7ffdc4,0xb83ffff7,0xb9beffff,0x002ffffe,0x2a3ffff8,
    0xffff0aaa,0xb8000001,0x7fc44fff,0xc8098bff,0xff104fff,0xfff981ff,
    0x027fff46,0x8027fff4,0xf91ffff8,0xd8000bff,0xfb304fff,0x3fa0bfff,
    0x7fff44ff,0x7fec0004,0xccccccef,0x7ffdc01b,0xfb802e46,0xf37fffff,
    0x7fcc3fff,0x7ffe42ff,0xffff950f,0x0005999b,0x2fffe800,0x01fed4c0,
    0x3fffa000,0x13fff202,0x7fffc000,0x52fffe41,0xffb0bfff,0x2fffd49f,
    0xf87fff98,0xfd8007ff,0xceee83ff,0x30ffff11,0xffd8bfff,0x5fffe84f,
    0xc827fffc,0xf8006fff,0xff803fff,0x000040ff,0x313ffee0,0xf900ffff,
    0x7ff409ff,0x1fffe42f,0x2013fffa,0x9004fffe,0x7fe4dfff,0x7ec0005f,
    0x7fe404ff,0xfffa82ff,0x1ffff50f,0xfffd8000,0xffffffff,0xfff700df,
    0x3017f62d,0xffffffff,0x87fffe6f,0xf886fffb,0x7ff41fff,0x0800002f,
    0x00bfffa0,0x000017ec,0x2a0bfffa,0xeeeffffe,0xfff30002,0x0ffff30f,
    0xfffb0151,0x82fffd45,0x7c47fff9,0x7c4005ff,0x7c000fff,0xfff986ff,
    0x417fff44,0x3e67fffc,0xff100fff,0xfff000ff,0x3e2ff87f,0xfec88fff,
    0xec8803df,0xfff73dff,0x06fffa89,0x3bffffaa,0x7ffd42ee,0x207fffc5,
    0xe804fffe,0xf8804fff,0x3ff22fff,0x7ec0005f,0xfff804ff,0x7fffd06f,
    0x9013fffa,0xffb03ddd,0xffffffff,0xf703dfff,0xbffd1dff,0xcffffc80,
    0xfff17fff,0x2776d41f,0x742fffe8,0xffb72fff,0x6eed817b,0x037bff6e,
    0x5005fffd,0x93bba1ff,0x204effdb,0x229afffe,0xfffffffb,0x1eeec82f,
    0x886fffa8,0x26007fff,0x3ea0ffff,0xfff306ff,0x8cfff98f,0x3e600aba,
    0x6c0046ff,0x7fe41fff,0x07fffc2f,0x887fffcc,0x7fc03dcb,0x7fc000ff,
    0x8ffe23ff,0xffeaffff,0x300dffff,0xbfffffff,0x3ae9fff9,0x5eeffffe,
    0x7fffffdc,0x7ffc42ff,0x0bfff30f,0xd009fffd,0xf7009fff,0xfffc8dff,
    0x7fec0005,0xfffb804f,0x3dfff507,0xe801ffff,0xffd82fff,0xffffffff,
    0xfb87ffff,0x0effffff,0x4c67fe40,0x3ffe7fff,0xfff88007,0x57fff40f,
    0xeffffffd,0x363fffa0,0x1fffffff,0x900bfffa,0x77ffc7ff,0xffffffe8,
    0xdfffe80e,0x3fffee2f,0xfe82ffff,0xfffb82ff,0x01ffff05,0x4ffffca8,
    0x9837ffd4,0x7fdc7fff,0x4fffffff,0xb1bfff50,0x2603bfff,0xfdbcffff,
    0xfffe86ff,0x1ffffa82,0x6fffa800,0x3ffff800,0xfff93fe6,0xffffffff,
    0xfff886ff,0xffffffff,0xffff94ff,0xfb8fffff,0x2fffffff,0xf92fffc8,
    0xfffd05ff,0x9fffd009,0x87ffff00,0x999efffc,0x00999999,0x5009fffb,
    0x3a01ffff,0x4fffefff,0x82fffe80,0x9884fffd,0x5c3ffffe,0x0dffffff,
    0x3e61dc80,0x1fffe7ff,0x1fffee00,0x3ffffffa,0x25ffffff,0xfffefffe,
    0x3a6fffff,0x75402fff,0x7f7fffc2,0x5fffffff,0x2fffffe8,0x3bfffb2a,
    0xfffe81cc,0x05fffb82,0x4403ffff,0xa83fffff,0xff306fff,0xffffc8ff,
    0x0effffff,0x7f77ffdc,0x303fffff,0xfffffffd,0x13fff60b,0x00bffff2,
    0x07ffff30,0x47ffff00,0x3ffe4ffa,0xffb9cfff,0x7fec2fff,0xffd99dff,
    0xfff94fff,0xa8ffffff,0xccefffec,0xd5fff981,0x3ffa0fff,0xfffe804f,
    0x7fffd404,0x7ffffe40,0xffffffff,0x7fff4cc5,0xf981999d,0x55511fff,
    0xfffffffb,0x3fa05557,0xfffd82ff,0x3fffe204,0x7ffffdc5,0x3e602004,
    0x1bffa7ff,0x9ffff100,0x9fffffd0,0x3ffffb33,0x2fbffffa,0x1ffffd98,
    0x32a5fffd,0x7ffc01cc,0xfea8aeff,0x7ff40fff,0xfff904ff,0x2fffe809,
    0xf05fffc8,0x7cc05fff,0xfa80efff,0xffb80fff,0x7ffff47f,0x5fffffef,
    0x7fffffe4,0x02ffffff,0xfffffff7,0x3bffee03,0x3ffffe20,0x3ffea003,
    0xfff0006f,0xf2ffdc7f,0xfb01ffff,0x7ffccdff,0xffffa82f,0xffffb954,
    0x3ff20999,0xfffe804f,0xfd04fffa,0xffd009ff,0xfffe809f,0xfffffc84,
    0xffffffff,0x7fffffc5,0x441fffff,0xff32ffff,0xffffffff,0x3a0fffff,
    0xffd82fff,0x7ffec04f,0x1ffffdc6,0x7ffcc000,0x8017ff67,0xd06fffe8,
    0xf881ffff,0xfffd2fff,0xffff883f,0x365fffd2,0x7fc03fff,0x7fcc0eff,
    0x7fff40ff,0x13fff204,0xb05fffd0,0x3fe09fff,0x3fea02ff,0x7d43ffff,
    0x7f443fff,0x7fffc7ff,0x3ffff262,0x3fffff62,0xffffd98c,0x7ffffe40,
    0xfd03ffff,0xfff99fff,0x2a007fff,0x000effff,0x647ffff0,0x3fffe6ff,
    0x1ffff303,0xe81bffea,0x7fd44fff,0xfffc806f,0xefffb804,0xffd01fff,
    0xfffd009f,0x7fffd409,0xfffffc80,0xffffffff,0x7fffffc5,0x441fffff,
    0xff32ffff,0xffffffff,0x3a0fffff,0xffd82fff,0x7ffec04f,0x1bfffa26,
    0x7ffcc000,0x4013ff27,0x02ffffe8,0x3609fffd,0xfffd3fff,0x4ffff609,
    0xffb2fffe,0xffff807f,0x43ffff02,0x202ffff8,0x7404fffc,0xffc82fff,
    0x3ffff05f,0xfffd5040,0x7ffffd49,0xffffd98a,0xff009887,0x7ffe49ff,
    0x2fffd84f,0x22fbfff6,0x984ffffb,0xffffffff,0x9802ffff,0x000effff,
    0xc8ffffe0,0x3fffe7ff,0x47fffe01,0x3204fffb,0x7fd44fff,0xfffc806f,
    0xffff8804,0x3ff607ff,0xfffe804f,0x17fffa03,0x5577ffe4,0x1aaaaaaa,
    0x6ffff554,0x7c40aaaa,0xddd31fff,0xddffffdd,0x3fa0dddd,0xfffd82ff,
    0x3fffe204,0xdfffff34,0x3fe60000,0x013ff27f,0x0fffffa2,0xb03fffe8,
    0x3ffa7fff,0x7fffb03f,0x7ecbfffa,0x7ffc03ff,0x5fffd01f,0x0bffffe6,
    0x3ffffff6,0xfffe80ff,0x05fffb82,0x4003ffff,0x3ea7fff9,0xffffffff,
    0x8007ffff,0x3ee6fffc,0xffa82fff,0x0ffff14f,0x220ffff3,0xeafffffe,
    0xff801fff,0xf80005ff,0x3ff63fff,0x807fffe7,0xff92ffff,0x7ffe407f,
    0x037ffd44,0x8027ffe4,0x04fffffd,0x2013fff6,0xf303fffe,0xffffffff,
    0x00bfffff,0x04fffd80,0x00ffff98,0x001fffec,0xfb05fffd,0x3fa209ff,
    0xfffd2fff,0x20000dff,0x3ee7fff9,0x7ff4403f,0x7ff404ff,0x9fff902f,
    0x640bfffa,0xfffd3fff,0x002aaa65,0x3a01ffff,0xfffd2fff,0xfffb05ff,
    0xd01fffff,0xff705fff,0x3fffe0bf,0x7fff4000,0xfddfff51,0xfffddfff,
    0xffff5000,0x983fffd4,0xfff55fff,0x07fffa09,0xff0acb98,0xff9801ff,
    0x402000ef,0x3fa2ffff,0x3ffff0ff,0xd97fff40,0x3ee04fff,0x7ffd44ff,
    0x4fffc806,0xfffff500,0x27ffec03,0x81ffff40,0xfffffffd,0x5fffffff,
    0x7ffec000,0x7fffa804,0x3aaaaaa2,0xaaaacfff,0x05fffd02,0xdddffffb,
    0xffffffdd,0x3fffffa1,0xff300006,0x017fd4ff,0x07ffffd1,0x205fffd0,
    0xffd4fffc,0x3fff205f,0x005fffd3,0x403fffe0,0xdbd2fffe,0xd9505fff,
    0x0199dfff,0xf505fffd,0xfff10dff,0xffd8060f,0x1bfff53f,0xffd1dfff,
    0xfff5000f,0x0ffffccd,0xfcafffd4,0xfff903ff,0xfff88007,0x2fffb807,
    0x837ff540,0x3fe1ffff,0x3ffff1ff,0xb8ffffc0,0x3f204fff,0x7ffd44ff,
    0x4fffc806,0xdffff100,0x05fffc80,0x982ffff8,0xffffffff,0x5fffffff,
    0x7ffec000,0x6fffd804,0x3fffffe6,0xffffffff,0x05fffd07,0xfffffffb,
    0x3fffffff,0x37ffddf4,0xfff98000,0x4407fe67,0x003ffffe,0x3205fffd,
    0xfffd4fff,0x4ffff205,0x0002fffe,0x3a01ffff,0x3fa52fff,0x3ff202ff,
    0x7fff404f,0x0ffff982,0xf937ffd4,0xfff107ff,0x97ffea5f,0xfeda8019,
    0x4bfff705,0xc83ffff8,0xfff94fff,0x0bfffa0b,0xff703533,0xfff900df,
    0x7fff9803,0x20ffff88,0xfff2ffff,0x3ffe609f,0x0dfff50f,0x2a27fff4,
    0xfc806fff,0x3fe004ff,0x7fdc03ff,0x3fea01ff,0xfffc81ff,0xeeeeeeef,
    0x0005ffff,0x2027ffec,0x263ffff9,0xffffffff,0x07ffffff,0xfb05fffd,
    0xffffffff,0x7185dfff,0x0000dfff,0xa89fffe6,0xffffb00a,0x7fff4005,
    0x29fff902,0xf902fffe,0x3fffa7ff,0xffff0002,0x0bfffa01,0x6405fffd,
    0x7f404fff,0xfffd02ff,0x23fffe87,0xfa87fffb,0xfff51fff,0xfff5000b,
    0x7fffd03f,0xe86fffc8,0xfff52fff,0x3ffff30f,0x7437ffdc,0xa9802fff,
    0x7fc400aa,0x7ffdc3ff,0x4bfffe27,0xc80fffff,0x3fe66fff,0xfffa82ff,
    0x37ffd44f,0x027ffe40,0x00ffffb8,0x077fffcc,0x07ffff44,0x00ffffe2,
    0x000bfff9,0x204fffd8,0x4c6ffffa,0xffffffff,0x07ffffff,0xfb05fffd,
    0xdddddfff,0xffb8059d,0xf300006f,0x0ccccfff,0x027fffdc,0x40bfffa0,
    0xffd4fffc,0x3fff205f,0x005fffd3,0x403fffe0,0x7f42fffe,0x3fee02ff,
    0xfe8099ef,0xfff502ff,0xffff935f,0x77fffc41,0x6ffffc9a,0x0017ffea,
    0x4577fffc,0x986fffea,0xd9aeffff,0xff10ffff,0xfd515dff,0xfff88dff,
    0xfffea9cf,0x13331006,0xdffffd00,0x4bffffd7,0xff2ffff8,0x3663dfff,
    0x7ec2ffff,0xfc88afff,0x7d44ffff,0xffc806ff,0xb88099ef,0xd005ffff,
    0x77dfffff,0x09fffffb,0x801ffff9,0xcccefffc,0x4ccccccc,0xccefffd8,
    0xfffffedc,0xfffb001f,0x7fff4007,0x04fffd82,0x7fffdc00,0xcccccccc,
    0x3fe603cc,0x1ffff17f,0x77ffffc4,0x2eeeeeee,0xc817fff4,0xfffd4fff,
    0x4ffff205,0x0002fffe,0x3a01ffff,0x7ff42fff,0x3ffea02f,0xffe83fff,
    0x3fffe02f,0x84ffffff,0xfffffffb,0x3ea0ffff,0xf50005ff,0xffffffff,
    0x3ff605ff,0xffffffff,0x7ffffdc2,0x81ffffff,0xfffffffd,0xf9002fff,
    0xff5007ff,0xffffffff,0x7fffc41d,0xfffffff2,0x0dffffff,0xfffffff3,
    0x89ffffff,0xa806fffa,0x23ffffff,0xfffffffd,0xffff3001,0xffffffff,
    0xfff881ff,0xfffc805f,0xffffffff,0xffd87fff,0xffffffff,0x2004ffff,
    0x2003fffd,0xfd82fffe,0x5c0004ff,0xffffffff,0x05ffffff,0x7c5fffe6,
    0x3fea0fff,0xffffffff,0x7ff42fff,0x9fff902f,0x640bfffa,0xfffd3fff,
    0x3ffe0005,0x5fffd00f,0x202fffe8,0x4ffffff8,0x202fffe8,0xffffffe9,
    0xfffb00df,0x83ffffff,0x0005fffa,0x3fffffee,0x7e401fff,0x4fffffff,
    0xffffff90,0x3a207fff,0xffffffff,0x3fff2002,0xffffb003,0x883fffff,
    0xfff2ffff,0xffffff3d,0x3fea01df,0xf9dfffff,0x7ffd44ff,0xffff8806,
    0x3fff24ff,0x4c004fff,0xfffffffe,0xfb81efff,0xfc801fff,0xffffffff,
    0xd87fffff,0xffffffff,0x002effff,0x001fffec,0xfb05fffd,0xb80009ff,
    0xffffffff,0x05ffffff,0x7c5fffe6,0x3ff60fff,0xffffffff,0x7ff42fff,
    0x9fff902f,0x640bfffa,0xfffd3fff,0x3ffe0005,0x5fffd00f,0x402fffe8,
    0x84ffffe9,0x4402fffe,0x03fffffd,0xfffffea8,0x5fffa80c,0x7ff4c000,
    0x7001dfff,0x03dffffd,0xfffffea8,0x7fe4401e,0x4000dfff,0x2003fffc,
    0xdffffffa,0x2ffff881,0x3f62dfff,0xe9804fff,0xff34ffff,0x6fffa89f,
    0xfffff300,0x7ffffdc9,0xff910003,0x09dfffff,0x8037fffc,0xfffffffc,
    0x7fffffff,0xffffffd8,0x003ceeff,0x007fffb0,0x6c17fff4,0x40004fff,
    0xfffffffb,0x5fffffff,0x45fffe60,0xff10ffff,0xffffffff,0xfe85ffff,
    0xfff902ff,0x40bfffa9,0xffd3fffc,0x3fe0005f,0xfffd00ff,0x02fffe85,
    0x7f401310,0x2a6002ff,0x0a988000,0x20000000,0x220000a9,0x4c400099,
    0xa988001a,0x3ff20001,0xa988003f,0x30000009,0x03310003,0x06fffa80,
    0x4c4054c0,0x200001aa,0x0000aa99,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3bbae000,0xddd9001e,0x9bdddddd,0x66654039,
    0xeeec8003,0xacceeeee,0x77774c01,0xeeeeeeee,0xdd95eeee,0xdddddddd,
    0x323ddddd,0xeeeeeeee,0xb0eeeeee,0x809ddddd,0x0eeeeeea,0xdd13ddd9,
    0x0fbbb27d,0x64fbbb20,0xdddb1eee,0x77640001,0xceeeeeee,0x7776401b,
    0x003ddd91,0x00fbbb20,0xd90fbbb2,0xdd5009dd,0x0f332a5d,0x95166654,
    0x36000799,0x2a005eee,0xdd90eeee,0xbddddddd,0x3bbb2059,0xceeeeeee,
    0x3bb200ac,0xeeec803e,0xdddd30de,0xdddddddd,0x2a6bdddd,0xaaaaaaaa,
    0x5c41aaaa,0xec865c1c,0x3ba203ee,0x3b200eee,0x3a6003ee,0xff0002ee,
    0x36009fff,0xffffffff,0x81efffff,0x8005fffc,0xfffffffd,0x00dfffff,
    0xfffffff5,0xffffffff,0x3ffff6ff,0xffffffff,0xfffb2fff,0xffffffff,
    0x3ffa1fff,0x3600ffff,0xb1ffffff,0xfff15fff,0x013fff69,0x7f53fff6,
    0x3ffff2ff,0x7ffec000,0xffffffff,0xfffd00df,0x00bfffa5,0x027ffec0,
    0x3627ffec,0x5c02ffff,0xfff93fff,0x93ffee0b,0x0005fffc,0x001ffff9,
    0xfd9bfffa,0xffffffff,0x7ec0dfff,0xffffffff,0xb02fffff,0xfc809fff,
    0x3ea1ffff,0xffffffff,0x7fffffff,0xfffffffb,0x49ffffff,0xbceffffa,
    0x1bfff27f,0x2fffffb8,0x00bfffe0,0x003fffe8,0xffffffa8,0xffffd800,
    0xffffffff,0x7fe41fff,0xffd8005f,0xffffffff,0xfa82ffff,0xffffffff,
    0x7fffffff,0xfffffffb,0xffffffff,0x3fffff65,0xffffffff,0xfffffd0f,
    0x7fffc05f,0xfffb1fff,0x369fff15,0xfd804fff,0x5fffd4ff,0x0007fffe,
    0xffffffd8,0xffffffff,0xd2fffe82,0x20005fff,0xd804fffd,0x7fec4fff,
    0x7fdc06ff,0x0bfff93f,0xfc93ffee,0xf30005ff,0xf1007fff,0x7fec7fff,
    0xffffffff,0x3f62ffff,0xffffffff,0x84ffffff,0x2e04fffd,0x541fffff,
    0xffffffff,0xffffffff,0xffffffb7,0x9fffffff,0x7fffffec,0x3ffea4ff,
    0xffffb00f,0x3ffe609f,0xfff9000f,0xffb0007f,0xb007ffff,0xddddffff,
    0xdfffffdd,0x005fffc8,0xffffffd8,0xffffffff,0x7fffd40f,0xffffffff,
    0xffb7ffff,0xffffffff,0x365fffff,0xffffffff,0xd0ffffff,0x09ffffff,
    0x3fffffe6,0x15fffb1f,0x3ff69fff,0xfffd804f,0x3e5fffd4,0x20001fff,
    0xfffffffd,0xffffffff,0xe97fff41,0x6c002fff,0xeefffffe,0xffeeeeee,
    0xffb4efff,0x7dc07fff,0xbfff93ff,0xc93ffee0,0x20005fff,0xb806fffe,
    0x3f60ffff,0xffffffff,0xb0ffffff,0xffffffff,0xffffffff,0x04fffd83,
    0x05fffff7,0xfffffff5,0xffffffff,0x3ffff6ff,0xffffffff,0x5cc3fe3f,
    0x3fe20cfe,0xffff01ff,0x3fee0dff,0xfff3006f,0xf88007ff,0x06ffffff,
    0x204fffd8,0x20ffffd9,0x8005fffc,0xb304fffd,0x400bffff,0x6c03fffe,
    0xb0004fff,0xd0009fff,0x0dffffff,0x3fffffee,0x45fffb1f,0x9fffb3fb,
    0x29fffb00,0xfff2fffe,0x7ec0003f,0xffb304ff,0x3fa00bff,0x7fc002ff,
    0xffffffff,0xffffffff,0xfffb5fff,0x3ee01fff,0xbfff93ff,0xc8ffb2a0,
    0x20005fff,0x401ffffb,0x7ec5fffe,0xffd504ff,0x3fff67ff,0x3fff2204,
    0x27ffec3f,0x17ffffd4,0x1ffff400,0x2aaaaa60,0x5fffcaaa,0xfffe8000,
    0xfffff983,0xfffc80ff,0xffffd004,0xffc8007f,0x01ffffef,0x2027ffec,
    0x322ffff8,0xd8005fff,0x7e404fff,0xfd002fff,0xffd807ff,0xffb0004f,
    0xffd0009f,0xb01fffdf,0x3fffdfff,0xfd8bfff6,0x009fffb1,0x3fa9fffb,
    0x3ffff2ff,0x7ffec000,0x7fffe404,0x2fffe802,0x3ffb6008,0xeeeeefff,
    0xfffffeee,0xfffffb4e,0x3ffee0bf,0x80bfff93,0x3fff22fd,0x3fe20005,
    0x3fe204ff,0x7ffec2ff,0x3fffe204,0x009fffb5,0xfd8dfffd,0x7ffcc4ff,
    0xfd0002ff,0xd00007ff,0x00001dff,0xf70bfff9,0x05ffffff,0x9005fffd,
    0x07ffffff,0xdaffff80,0x7ec04fff,0xfff804ff,0x17fff20f,0x13fff600,
    0x017fffa0,0x201ffff4,0x0004fffd,0x0009fffb,0xfff9fffd,0xfdbfff05,
    0x3fff63ff,0x3f65fd8a,0xffd804ff,0x25fffd4f,0x74c1ffff,0xffb04eee,
    0xffff009f,0xe8f7764d,0xffb72fff,0x3ff6019d,0xfffd804f,0x7ffffec4,
    0xfffb82ff,0x40bfff93,0x3ff20ff9,0x7ec0005f,0x3fee06ff,0x4fffd87f,
    0xdb7fff40,0xfc804fff,0x7ffec7ff,0x3ffffe64,0x3ffa0002,0x7e40003f,
    0x776401ff,0xffff501e,0xff9fffb0,0xffff889f,0x77ffcc00,0x2a003fff,
    0xfff57fff,0x7ffec01f,0x37ffd404,0x0017fff2,0x2013fff6,0xd007fffb,
    0xfd807fff,0xfb0004ff,0xfd0009ff,0x89fff5ff,0xffebfff9,0x15fffb1f,
    0x7ffec19f,0x4fffd804,0x3fe5fffd,0x3ffa21ff,0xfffb00ef,0xffff7009,
    0xfe97fff4,0xffffdaff,0xffd81fff,0xfffd804f,0x7ffffec4,0x7fdc0eff,
    0x0bfff93f,0xff90ffee,0xfa8000bf,0xffb01fff,0x9fffb09f,0xb5fffd80,
    0xfb009fff,0xfffd8dff,0x7fffff14,0xfffe8000,0x3fe60003,0xfffe804f,
    0x1ffff102,0xff8ffff8,0x3fffd46f,0x2f7ffa20,0x36003fff,0xfff14fff,
    0x7ffec07f,0xb999999d,0x7e43ffff,0xfd8005ff,0xffa804ff,0xfffd007f,
    0xdfffd807,0x99999999,0x3fff6099,0xfffe8004,0x7dc6ffe9,0x1fffe9ff,
    0x2025fffb,0x999dfffd,0xffe99999,0x25fffd4f,0xfd11ffff,0x7ec01fff,
    0xffa804ff,0x5fffd0ff,0x3ffffffa,0x86ffffff,0x999dfffd,0xffe99999,
    0x67ffec4f,0x7dc4ffff,0xbfff93ff,0x3f20fee0,0x440005ff,0xf884ffff,
    0xffd82fff,0x3ffe204f,0x09fffb4f,0x44ffffa8,0xfe8cfffd,0x80004fff,
    0x0003fffe,0x2003fffa,0x3e02fffe,0x3fe62fff,0x41fffd4f,0x6405fffb,
    0xfffb8fff,0xffff1003,0x037ffec3,0xfffffffb,0x5fffffff,0x30bfff90,
    0xffd85999,0xfff9804f,0xfffe801f,0x7fffec03,0xffffffff,0x3fff64ff,
    0xffffffff,0x4ffff45f,0x3fa0fffc,0x23fffd7f,0x3602fffd,0xffffffff,
    0xffffffff,0x3e5fffd4,0xfffb1fff,0x3fa6603f,0x81999dff,0xfd1ffff9,
    0x3fffa5ff,0xffd98aef,0x7ffec1ff,0xffffffff,0x6c4fffff,0xfffcafff,
    0x4fffee1f,0x1105fffc,0x017fff20,0x1bfff600,0x6c1fffea,0xfa884fff,
    0xffb2ffff,0x999999df,0x81fffffd,0xffedfffd,0x80005fff,0x0003fffe,
    0x2009fff5,0x3602fffe,0x3ff24fff,0x45fff92f,0x2a03fffd,0xfff73fff,
    0x3ffee007,0x0ffffcc6,0xffffffd8,0x5fffffff,0x70bfff90,0xffd8bfff,
    0xfff8804f,0xfffe802f,0x7fffec03,0xffffffff,0x3fff64ff,0xffffffff,
    0x4ffff45f,0xff13fffa,0x47fffabf,0x3602fffd,0xffffffff,0xffffffff,
    0x3e5fffd4,0xfffc9fff,0x3fffe01f,0x1fffffff,0xe97fffc4,0xfffd2fff,
    0x5fffd03f,0xffffffd8,0xffffffff,0x7ffec4ff,0x26ffff8a,0xff93fffb,
    0xff9000bf,0xf50000bf,0xffd83fff,0xffffb04f,0xffffffff,0x3ff61dff,
    0xffffffff,0xd82fffff,0xffffffff,0x40003fff,0x0003fffe,0x2001fffd,
    0x2e02fffe,0x3ffa6fff,0x49fff50f,0xf101ffff,0x7ffdcbff,0x7fffd003,
    0x209ffff0,0xfffffffd,0xefffffff,0x42fffe41,0x7ec5fffb,0xff8804ff,
    0x7ffdc2ff,0xffffffff,0x3fff60ff,0xffffffff,0x3ff64fff,0xffffffff,
    0x7fff45ff,0xf55fff89,0x3fffa7ff,0x405fffb1,0xfffffffd,0xffffffff,
    0x25fffd4f,0xfffdffff,0x7fffc02f,0x1fffffff,0xe97fffc4,0xfffd2fff,
    0x0ffff609,0xfffffffb,0xffffffff,0x2fffd89f,0x2e5ffff5,0xfff93fff,
    0xfff9000b,0x3fe0000b,0x3ffe24ff,0xffffb01f,0xffffffff,0x7ffec1ff,
    0xffffffff,0xffb01dff,0xffffffff,0x740001ff,0x98003fff,0x3a005fff,
    0x3e602fff,0xdfff17ff,0xf9b7ffc4,0x3ff607ff,0x0fffee0f,0x03fffe60,
    0x203ffff2,0xcccefffd,0xffffdccc,0x17fff22f,0xfb17ffee,0xff3009ff,
    0xfffb83ff,0xffffffff,0x3fff60ff,0xaaaaaaad,0x3ff61aaa,0xeeeeeeff,
    0x7fff44ee,0x3f2fffd1,0x3fffd1ff,0xd80bfff6,0xaaaadfff,0xfffeaaaa,
    0x3e5fffd4,0xffffffff,0x7ff55400,0x40aaaadf,0xfd1ffff8,0x3fffa5ff,
    0x87fff903,0xaaadfffd,0xffeaaaaa,0x17ffec4f,0xf71ffffb,0x3fff27ff,
    0xfffc8005,0xff900005,0x37ffd4ff,0xffffffb0,0x3dffffff,0xffffffd8,
    0x805fffff,0xbffffffd,0x005ffffa,0x00ffffa0,0x00bfff60,0x402fffe8,
    0xffa9ffff,0x47fff44f,0xf505fffa,0xfffb87ff,0xffffc803,0xffdccccc,
    0xfffd83ff,0x7fff4404,0x217fff25,0x7ec1aaa9,0xffa804ff,0x777540ff,
    0xeeeffffe,0x3fff60ee,0xfffb0004,0xfffd0009,0x3a7fff23,0x3fffa7ff,
    0x405fffb1,0xd804fffd,0xfffd4fff,0x3fffffe5,0xfb005fff,0xff3009ff,
    0x3fffa1ff,0x205fffd2,0x7ec3fffc,0xffd804ff,0x17ffec4f,0xf79ffff1,
    0x3fff27ff,0xfffc8005,0xff300005,0x3fff63ff,0x3ffff603,0x1cceeeee,
    0x449fffb0,0x405ffffd,0x24fffffd,0x002ffffd,0x007fffd0,0x007fff88,
    0x2017fff4,0xffcbfffd,0x57ffdc2f,0xf883fffc,0xfffb85ff,0xfffff803,
    0xffffffff,0xfffd86ff,0xffffa804,0x00bfff90,0x009fffb0,0x200ffff7,
    0x6c03fffe,0xb0004fff,0xd0009fff,0x3fea3fff,0x3a5fffcf,0xfffb1fff,
    0x27ffec05,0xea7ffec0,0xffff2fff,0x03ffffff,0x009fffb0,0x7f4ffff5,
    0x5fffd2ff,0xb0ffff20,0xfb009fff,0xfffd89ff,0x6ffffdc2,0xfff93fff,
    0xfff9000b,0x7f40000b,0xffff8cff,0x13fff600,0x27ffec00,0x037fffe4,
    0x989ffffb,0x000fffff,0x003fffe8,0x0027ffd4,0x700bfffa,0xfffd9fff,
    0xecfff981,0xffb81fff,0xffffffff,0xa81fffff,0xffffffff,0xffffffff,
    0x027ffec1,0xc97fffc4,0xd8005fff,0xfd804fff,0xffd006ff,0xfffd807f,
    0xfffb0004,0xfffd0009,0x3ffffe23,0x3fffa3ff,0x405fffb1,0xd804fffd,
    0xfffd4fff,0x33ffffe5,0xd806fffb,0xfd804fff,0x3fffa6ff,0x205fffd2,
    0x7ec3fffc,0xffd804ff,0x17ffec4f,0x7ffffff4,0x0bfff93f,0x0bfff900,
    0x7ffe4000,0x406fffaf,0x0004fffd,0x3a09fffb,0xfb04ffff,0x3ff20bff,
    0xfe8005ff,0x7ec003ff,0x7f4001ff,0x7fcc02ff,0xf06fffff,0x0fffffff,
    0x3fffffee,0xffffffff,0xffffd81f,0xffffffff,0x7ec4ffff,0xffa804ff,
    0xbfff91ff,0x9fffb000,0x3ffff980,0x07fffd00,0x004fffd8,0x009fffb0,
    0x743fffd0,0x21ffffff,0xffb1fffe,0x7ffec05f,0x4fffd804,0x3fe5fffd,
    0x3fffa4ff,0x27ffec03,0x8ffffe60,0xffd2fffe,0x3fff205f,0x027ffec3,
    0x3627ffec,0xff982fff,0xf93fffff,0xf9000bff,0x40000bff,0xfffffff9,
    0x7ffec03f,0xfffb0004,0x3fffe209,0x4fffd82f,0x5fffff10,0x3fffe800,
    0x03fffc00,0x017fff40,0x3fffffe2,0xffffb03f,0x3fee0bff,0xffffffff,
    0x441fffff,0xc801ffff,0x3f60ffff,0x7f4c04ff,0x3fff27ff,0xfffd8005,
    0x3fffaa04,0x3fffa006,0x27ffec03,0x4fffd800,0x1fffe800,0x1ffffff2,
    0x3f63fffd,0x3ff602ff,0xfffd804f,0x3e5fffd4,0x3fea1fff,0x3ff600ff,
    0x3ffea04f,0x97fff46f,0xf902fffe,0xfffd87ff,0x4fffd804,0xd817ffec,
    0x93ffffff,0x9000bfff,0x0000bfff,0xffffffe8,0x7ffec00f,0xfffb0004,
    0x7fffdc09,0x27ffec0e,0x1dffff70,0x1ffff400,0x0dfff300,0x05fffd00,
    0xffffffd0,0x3fffee03,0x999304ff,0xffd99999,0xfc8199df,0xff3007ff,
    0x7ffec7ff,0xedccccce,0x325fffff,0xccccefff,0xb2cccccc,0xb999dfff,
    0x3fffffdd,0x1ffff400,0x33bfff60,0xcccccccc,0x9fffb3cc,0x3fffd000,
    0x2fffffd4,0x7ec7fffa,0x3ff602ff,0xfffd804f,0x3e5fffd4,0x7ff41fff,
    0x3fff604f,0xffedccce,0x7f41ffff,0x5fffd2ff,0xb0ffff20,0xfb009fff,
    0xfffd89ff,0xfffff102,0x3bfff27f,0xcccccccc,0xdfff92cc,0x99999999,
    0xff700599,0xb00bffff,0x20009fff,0x6c04fffd,0x7ec4ffff,0x7ff404ff,
    0x3fa004ff,0x3ea003ff,0xfe8005ff,0xffc802ff,0x3e607fff,0x002fffff,
    0x80fffee0,0x2004ffff,0x3f66fffe,0xffffffff,0x0effffff,0x3ffffff2,
    0xffffffff,0xffffffb4,0xffffffff,0xfffe8009,0x7fffec03,0xffffffff,
    0xfffb5fff,0xfffd0009,0x7ffffc43,0xd8ffff43,0x3f602fff,0xffd804ff,
    0x25fffd4f,0x7cc1ffff,0xffb00fff,0xffffffff,0xfd09ffff,0x3fffa5ff,
    0x87fff902,0xd804fffd,0x7fec4fff,0x3ffee02f,0xffff93ff,0xffffffff,
    0x3fff29ff,0xffffffff,0xf8804fff,0x802fffff,0x0004fffd,0x8809fffb,
    0x361fffff,0x7cc04fff,0xd001ffff,0x5c007fff,0xe8004fff,0xfa802fff,
    0x7c05ffff,0x000fffff,0x40fffee0,0x001ffffa,0x6c7fffee,0xffffffff,
    0x1fffffff,0x7fffffe4,0xffffffff,0xffffffb4,0x5dffffff,0x7fffd000,
    0xfffffd80,0xffffffff,0x9fffb5ff,0x3fffd000,0x41ffffe8,0xffb1fffe,
    0x7ffec05f,0x4fffd804,0x3fe5fffd,0xfffd81ff,0xfffffb05,0xdfffffff,
    0x4bfffa05,0xf902fffe,0xfffd87ff,0x4fffd804,0x2017ffec,0xf93ffffe,
    0xffffffff,0x329fffff,0xffffffff,0x04ffffff,0x0fffffb0,0x013fff60,
    0x027ffec0,0xb37fffdc,0xfb009fff,0x3a00dfff,0x32003fff,0xe8003fff,
    0xf8802fff,0x6c03ffff,0x0006ffff,0xd81fffdc,0x44006fff,0xffb4ffff,
    0xffffffff,0x3f2059df,0xffffffff,0xfb4fffff,0xdfffffff,0x7400079d,
    0x7ec03fff,0xffffffff,0xb5ffffff,0xd0009fff,0xffc83fff,0x1fffe87f,
    0x6c05fffb,0xfd804fff,0x5fffd4ff,0x2207fffe,0xfd82ffff,0xefffffff,
    0x7ff403ce,0x05fffd2f,0xfb0ffff2,0xffb009ff,0x2fffd89f,0x9ffffcc0,
    0xfffffffc,0x4fffffff,0xfffffff9,0x9fffffff,0x3fffea00,0x9fffb005,
    0x3fff6000,0xffffb004,0x013fff67,0x13ffffe2,0x00ffffa0,0x002fffd8,
    0x002fffe8,0x803ffffd,0x004ffffb,0x01fffdc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x00deeed8,0x20f77764,0xeeeeeee9,0xeeeeeeee,
    0x0f777643,0x0deeed80,0x500dddd1,0x00001999,0x0a010000,0x00000880,
    0x00008000,0x10000008,0x40010000,0x00080000,0x01000000,0x80000000,
    0xd901eeed,0xdddd15dd,0x00000800,0xd9000100,0x400005dd,0xd901eeed,
    0x3bbb25dd,0x807ddd71,0xdd92eeed,0xbddd103d,0x4cbbbae0,0xdb04eeee,
    0xeeee8bdd,0xffff7000,0x7fffcc09,0xfffffa85,0xffffffff,0x7ffcc4ff,
    0xfffb806f,0x1fffe23f,0x807fff20,0xaaaaaac9,0x5aaaaaaa,0x3fffb220,
    0x80efa8ce,0xeffffec8,0x000bb80c,0xffffb500,0xb73005bf,0xd507bfff,
    0x3b2207dd,0x3002deff,0x87bfffb7,0x1deffec8,0xfffb7300,0x76d4007b,
    0x9802dfff,0x2dffffec,0x37bffd91,0x964c0000,0xfb01fffe,0xffff17ff,
    0xc8a77744,0x6dc1dffe,0xeed83dff,0x37bff6e6,0x7fffb000,0xeaaf76c0,
    0xfffd0bef,0x4ffff603,0xff52fffe,0x7ffcc0ff,0x07fff70f,0xd03ffff7,
    0x7fe43fff,0x7ffe42ff,0x07fffc1f,0xffd17fd4,0x3ffa03ff,0xfffa80ff,
    0xffffffff,0xfc84ffff,0x3e203fff,0x7fc46fff,0xfffc807f,0x40006601,
    0xfffff703,0x09ffffff,0xfffffff3,0xffc85fff,0x3f60001c,0xffffffff,
    0x3fffee04,0x2e1effff,0xfe984fff,0x0dffffff,0x3ffffee0,0xffa9efff,
    0x04ffffff,0x7fffffdc,0x36201eff,0xffffffff,0x3fffee06,0xffefffff,
    0x04ffffff,0x97ff5400,0xfb01fffe,0xffff17ff,0x7cefffc4,0x89ffffff,
    0x4ffffffd,0x7ec7fff4,0x01ffffff,0x203fffd8,0xfff9efff,0x07fffa6f,
    0xfe9fffec,0x3fffa2ff,0x49fff902,0xfd86fff8,0x7fc43fff,0x7fff447f,
    0x7ffff30e,0xa81ffff0,0x3fe62fff,0xfffb86ff,0xffff503f,0xffffffff,
    0xfd107fff,0x3f201fff,0x7fc41fff,0xfffc807f,0x40006601,0xfffffc83,
    0x86ffffff,0xfffffff8,0x321fffff,0x002effff,0x7fffffe4,0xa83fffff,
    0xffffffff,0xfff72fff,0xfffff989,0x506fffff,0xffffffff,0xffffffff,
    0x209fffff,0xfffffffa,0xfd02ffff,0xffffffff,0xffff50bf,0xffffffff,
    0xffffffff,0xffb88007,0xfffd2fff,0x2ffff603,0x3e27fff8,0xffffffff,
    0xfffeffff,0x3a3fffff,0xffffefff,0xd806ffff,0x3fe03fff,0x4fffffff,
    0x6c07fffa,0xfffd3fff,0x82fffdc5,0x7f41ffff,0x7fffc0ff,0x27ffd45f,
    0xea7fffcc,0xfff05fff,0x3fffa61f,0x7fffdc2f,0x1bfffe23,0x3fff6000,
    0x3ffea06f,0xffff984f,0x00555504,0x4c03fff9,0xf9870001,0xeb8bffff,
    0x7dc0ffff,0x3fa60cff,0x3fff24ff,0x400bffff,0x89bffff8,0x545fffea,
    0xbabeffff,0xfb8fffff,0x7ffec4ff,0xffffb8be,0x7ffffd42,0xfffffebd,
    0xfeb8aeff,0x7ffd42ff,0xfffdacff,0x7ffdc0ff,0xfffcaadf,0x6ffff42f,
    0xffffea89,0xffea89df,0xffc9802f,0xfd2fffff,0x3ff603ff,0x44df753f,
    0x89dfffff,0xbffffffb,0x25ffffb8,0x8beffffe,0x01ffffd9,0xf005554c,
    0xfbbfffff,0x80ffff43,0xffd3fffd,0x7fffc45f,0x437ffd40,0x3e62fffb,
    0x7ec7ffff,0xfff701ff,0x01ffffbf,0x7e42aaaa,0xfe82ffef,0xfffb0fff,
    0xfb80003f,0x6c00ffff,0x7f41ffff,0x00000fff,0x4c03fff9,0xfe870001,
    0xfffe84ff,0x17ffe45f,0x9104de4c,0xffffffff,0x3b6e2039,0x46fffa84,
    0xe885fffe,0xfda9dfff,0x03fffea3,0xfe8dfff3,0x7fd40dff,0xffa85fff,
    0x6ffff45f,0x2ffff4c0,0xb05ffff1,0x65c4bfff,0xffff986e,0x06fff986,
    0x3fffff6a,0xffd0beff,0x3fff603f,0xff897ea3,0xfffe85ff,0x37ffd42f,
    0x883ffffd,0x0002ffff,0x87ffffe0,0x80ffff40,0xffd3fffd,0x3fffd85f,
    0x4c1fffec,0x3fee5fff,0x3fe1ffff,0x7fff407f,0x8002ffff,0x82ffb8bc,
    0xfadffff9,0x40004fff,0x01fffffa,0x26ffff88,0x002ffffa,0xeeeeee98,
    0xeeeeefff,0x8e000335,0xfd86fff9,0x2e0fffff,0x00adffff,0x7fffed40,
    0x8002dfff,0x3e27fff9,0xff500fff,0xf917f4ff,0x3ffa0bff,0x1ffff11f,
    0x0fffff20,0xff13fffc,0x3fea01ff,0x1bffea7f,0x400055cc,0xb03ffff8,
    0x75c41fff,0xdfffffff,0x01fffe81,0x7ec7fffb,0x0bfffe23,0x221bfff2,
    0x3ffa7fff,0x7fffb04f,0x3bbbbba6,0xeeeeeeee,0x80bffff5,0xfb01fffe,
    0x3fffa7ff,0x137ffd42,0x3a01ffff,0x37ff67ff,0xfff33fff,0xffff8809,
    0xb80004ff,0xfff902ff,0x00dfffff,0xfffff880,0x3ffee002,0x0bfffd2f,
    0x3fffe600,0xffffffff,0x000337ff,0x44fffa8e,0xfffe9ffc,0x3ffffe61,
    0x2001ceff,0xffffffb8,0x32a201ef,0x2a7ffffe,0x7fc05fff,0x20ffa9ff,
    0x999bfffd,0x32fffc99,0x7cc0dfff,0x9999afff,0xf51fffd9,0xfff80bff,
    0x0bfff71f,0x3b2a2000,0x99afffff,0x2fffc999,0xfffffff5,0x7ff4017d,
    0x7fffb01f,0xff88dfd5,0xfffc81ff,0x0ffff885,0x3607fffd,0xfff33fff,
    0xffffffff,0x3ffeffff,0x7fff403f,0x27fffb01,0xfe82fffe,0x9fff71ff,
    0xf8fffe40,0x95ffdaff,0xf5005fff,0x0001ffff,0x7405ff70,0x1fffffff,
    0x3ffa2000,0xfe8004ff,0xffffcfff,0xfff30000,0xffffffff,0x0066ffff,
    0x7fff91c0,0xffd97fdc,0x7fffdc3f,0x02efffff,0x7fffed40,0x7ff64c2f,
    0x27ffffff,0x7404fffd,0x42ffefff,0xffffffff,0x73ffffff,0x7c40bfff,
    0xffffffff,0xfb2fffff,0xffe809ff,0x09fff92f,0x7ffe4400,0xffffffff,
    0xffffffff,0xfffff93f,0x3ffa0039,0xffffb01f,0xfff109ff,0xbfff901f,
    0x21ffff10,0xf902fffe,0x3ffe67ff,0xffffffff,0xffff7fff,0x1fffe803,
    0x3a7fffb0,0xffb82fff,0x03fffd4f,0x7cdfffcc,0xd7ffb8ff,0x3f200fff,
    0x0002ffff,0x2a02ffb8,0x04ffffff,0x7fffec00,0xfff30005,0x007fffff,
    0x7ffffcc0,0xffffffff,0x2000337f,0x54ffff23,0x3fff23ff,0xffffea83,
    0x003fffff,0x17fffecc,0xbffffff5,0x7e4ffff9,0x7ff403ff,0xfff81eff,
    0xffffffff,0xfff94fff,0x7fffc40b,0xffffffff,0x7fff92ff,0xb2fffe80,
    0x20009fff,0xeffffffa,0xfffffffc,0x3fffffff,0x039ffff9,0x80ffff40,
    0x00adfffe,0x320ffff1,0xff884fff,0x5fffd0ff,0x4cffff20,0xffffffff,
    0xf7ffffff,0xfe803fff,0xfffd01ff,0x20bfffa7,0xff8efff8,0xefff806f,
    0xfff16ffb,0x300bfff5,0x1fffffff,0x2ffb8000,0x7ffffec0,0x3fee0000,
    0x20000eff,0x6ffffffc,0xff900000,0x000cc03f,0x33ffee38,0x7fec4ff9,
    0x3f6e602f,0x00ffffff,0x7ffff5c4,0xffff32ff,0x3fffc459,0xf80bfff5,
    0x3fa03fff,0xaaaaacff,0xff71aaaa,0x7ffcc0ff,0xaaaaaabf,0xfff51aaa,
    0x1ffff80b,0x000bfff7,0x15dffff1,0x5567fffc,0x1aaaaaaa,0xdffffff9,
    0x5fffd005,0x00ffffe0,0x320ffff1,0xff884fff,0x5fffd0ff,0x98ffff20,
    0x99999999,0xff199999,0xffe803ff,0x7ffff02f,0x6c0bfffa,0x3fffdfff,
    0xfefffc80,0x3fbffa4f,0x7f4402ff,0x05ffffff,0x017fdc00,0x3ffffff1,
    0x3ffea000,0xe80001ff,0x001fffff,0xf9003333,0x00cc03ff,0x3ffe6380,
    0xfff85fee,0x3f26000f,0xf9302fff,0x5dffffff,0x4c2fffe4,0x3fe67fff,
    0x3ffe607f,0x3fff600f,0x7ffcc004,0xffff701f,0xfff98007,0x3fffe606,
    0x20dfff50,0x3ea3cef9,0xfff885ff,0x7dc4004f,0xcfffffff,0x09fffb01,
    0x807ffff5,0xf907fff8,0xfff109ff,0x0bfffa1f,0x001fffe4,0x03ffff00,
    0xa83fffd8,0xffd3ffff,0x3ffea05f,0xa800ffff,0x22ffffff,0x0ffffffc,
    0x5ffffe40,0x3303ffff,0x0bfee033,0xffffffd8,0xfff98006,0x300002ff,
    0x2009ffff,0xc807fff8,0x06601fff,0x3ffe1c00,0x7fdc0eff,0x3ffb226f,
    0x45fffd01,0xfffffeb8,0xffe81dff,0x7fffb82f,0xd81ffffc,0x7dc06fff,
    0xcef887ff,0xbffff10b,0xdfffff10,0x417bdf10,0xd883ffff,0x3fe65fff,
    0xfffc82ff,0x213fff26,0x887ffff9,0xea80bcef,0xefffffff,0x0ffffdc2,
    0x07fffff5,0x907fff88,0xff109fff,0x3fffa1ff,0x07fff902,0x203fffd8,
    0x5c00ffff,0x3ea1ffff,0xffd3ffff,0x7fff405f,0x3fe005ff,0x3ea0ffff,
    0x5405ffff,0xffb2ffff,0xffff01ff,0x20133101,0xfffffffa,0x3fa2004f,
    0x00004fff,0x8017fffc,0xc807fff8,0x06601fff,0x3fee1c00,0xffd50cff,
    0xfffe83ff,0x7fffcc0e,0xffffff70,0x7ec019ff,0x7ffcc6ff,0x7fffe47f,
    0xfffe989c,0x7ffc401f,0x3fff21df,0x3fffee0f,0xffffc99d,0xfd11cfff,
    0xfffc8dff,0xfffc8bef,0x7ffe41ff,0xfffb99df,0x3fffee3f,0x3ffffa20,
    0xfffb11cf,0xfffc980f,0xf51fffff,0xffffffff,0x8807ffff,0xff907fff,
    0xffff109f,0x40bfffa1,0x6c03fffc,0x3fe03fff,0x7fd400ff,0xffffffff,
    0xfffd3fff,0x7fffdc05,0x3ff6001f,0x7ffc46ff,0x3fe203ff,0x3ffe25ff,
    0x0ffff86f,0xffff8800,0x01ffffef,0x0bffffb0,0xffff0000,0x3ffe2005,
    0x1fffc807,0x1c000660,0x7ffffffc,0xa84fffff,0xfdefffff,0x3f24ffff,
    0x003effff,0xdbfffff7,0x81ffffff,0xfffffffd,0x7004ffff,0xffdfffff,
    0xffb07fff,0xffffffff,0xfdffffff,0xfb03ffff,0xffffffff,0xfff107ff,
    0xffffffff,0xfffff98d,0xffffffed,0xffffefff,0xff91003f,0x7e45ffff,
    0xacffffff,0x7c403fff,0xfff907ff,0x1ffff109,0x640bfffa,0x7ec03fff,
    0x3ffe03ff,0xfffc800f,0xffacffff,0x05fffd3f,0x037fffc4,0x13fffea0,
    0x803ffffa,0x5c0ffffd,0x7fc4ffff,0xfd8000ff,0xfff9bfff,0xfffc806f,
    0x800000ef,0x1002ffff,0xd700ffff,0x00cc03dd,0x7ffdc380,0xffffffff,
    0x3fffea03,0x46ffffff,0x002dfffc,0xffffffe8,0x82fffddf,0xfffffffc,
    0x7dc003ff,0xffffffff,0xffffb104,0xf95fffff,0xffffffff,0x7fffe405,
    0x203fffff,0xffffffe9,0xffc80fff,0xaeffffff,0xfffffffc,0xd50004ff,
    0xffc85fff,0xfff53eff,0x7fff8807,0x109fff90,0x3fa1ffff,0xfff902ff,
    0x3fffd807,0x003fffe0,0x977fff64,0xffd3fffa,0xfffd805f,0x7ffc4003,
    0x6fffc82f,0x0bfffee0,0xf0fffff4,0xa8001fff,0x3f26ffff,0x3ea04fff,
    0x0000ffff,0x05ffff00,0x0006f980,0x38000cc0,0x3ae6ffe6,0x801dffff,
    0xffffffc9,0x01cfc82e,0x3fff2200,0xbfff53ff,0x3fffb6a0,0xb30000df,
    0x05dfffff,0xfffffd50,0x7ffecc19,0xda801dff,0x00dffffe,0xfffffc88,
    0x3fee00bf,0x74c3efff,0x02efffff,0x02fd9800,0x88000131,0xff907fff,
    0xffff109f,0x40bfffa1,0x4403fffc,0x3fe00999,0x4c4000ff,0x00000000,
    0x00000000,0x80000000,0x41fffff8,0x981ffffe,0x002fffff,0x3fffe000,
    0x32fdc002,0xffffffff,0x2fffffff,0xb8700019,0x00009884,0x98026a66,
    0x26200000,0xa880000a,0x54400000,0x15300009,0x00135300,0x80002a20,
    0x4c000998,0x1353001a,0x01100000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x983ffffd,0xfc86ffff,0xccccefff,
    0x4ccccccc,0x17fffc00,0x4c3ff700,0xffffffff,0x37ffffff,0x000e0003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffa800,0x3ffff206,0x7ffffe44,0xffffffff,0x7c007fff,0xf3002fff,
    0xffff987f,0xffffffff,0x555937ff,0x55555555,0x00000b55,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x07ffffe2,
    0x1fffff88,0x3ffffff2,0xffffffff,0x7fc007ff,0x032002ff,0x3fffffe6,
    0xffffffff,0xed800007,0xeeeeeeee,0x00c40eee,0x1eeed818,0x02f776c4,
    0x88015554,0x0036200d,0x66443332,0xc9933224,0x2000003c,0x44000000,
    0x4c400099,0xfb004001,0xffffffff,0x367fffff,0xffffffff,0x03ffffff,
    0x4c333100,0xdd70eeee,0x17bbaebd,0x2006f2a6,0x0566e4c2,0x11002222,
    0xfffff811,0x99970fff,0x88822223,0x42666208,0xccccccc8,0xcccccccc,
    0x3bbba64c,0xeeeeeeee,0x0006eeee,0x9ffff900,0xdffff500,0x7fffffe4,
    0xffffffff,0x7fc007ff,0x000002ff,0x80000000,0xfffffffe,0x740fffff,
    0x5435311f,0x0ffff44f,0x01ffffd1,0x100bfff0,0xff101dff,0x25ffc80b,
    0x7fec4ffe,0x500fffe4,0x22059ffb,0x301dfffd,0x20039dd9,0x5c006fff,
    0xffda807f,0x7ffec4ef,0xffffffff,0xfffb3fff,0xffffffff,0xfea87fff,
    0xfffe82ef,0x23ffff51,0xff96fffc,0xffffc8df,0x2ec41cff,0xb1bffbb6,
    0x3ee09fff,0x7fffc6ff,0xffb0ffff,0xb93ffa5f,0x3fff67ff,0xffffff32,
    0xffffffff,0x7ffccfff,0xffffffff,0x007fffff,0x00000000,0x00000000,
    0x00000000,0xfd000000,0xffffffff,0x7fec1fff,0xdfffffdf,0x3ffa4fff,
    0x3ffffa1f,0x0bfff001,0x0effff88,0x417fffa2,0xff71fffa,0x1fff981f,
    0x2a01fff5,0x44ffffff,0xfffffff9,0x7ffffd42,0x7ffdc00f,0x1fee002f,
    0xffffff30,0x7fffec9f,0xffffffff,0xffffb3ff,0xffffffff,0x7ffdc7ff,
    0x7ff43fff,0x3ffff51f,0x7e5bfff2,0x3fffa6ff,0xceffffff,0x3ee05ffd,
    0x07ffec2f,0x3e077ff4,0x0fffffff,0x3fa5fffb,0xd9ffee4f,0xfff32fff,
    0xffffffff,0x4cffffff,0xffffffff,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x99999970,0x44dffffd,0xfffffffe,0x24ffffff,
    0xffb1fffe,0x7fc003ff,0xfffc805f,0xfffe88ef,0x4fff882f,0x3607fff3,
    0xbffd0eff,0x3a67bfa0,0x3bffa0ff,0x3a0fffec,0x05ffa9ef,0x037ffff4,
    0x5537d4b6,0xfb9bffd8,0x3bbbb27f,0xfeeeeeee,0xdddd93ff,0xdddddddd,
    0x3ffe65dd,0x3a1ffebb,0xfff51fff,0x5bfff23f,0x3fe6fffc,0xffffffff,
    0x205fffff,0x7f442ffa,0x07ffd43f,0x7ffffffc,0x25fffb0f,0x3fee4ffe,
    0x00bfff67,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeffff980,0x7ffff440,0x4fffffff,0x7e4ffff4,0x7c002fff,0xff9005ff,
    0xffffddff,0x43fff605,0x3e206ffe,0x7fff34ff,0x3ee3dc88,0xf8fff51f,
    0x446a62ff,0x3fea05ff,0xf101ffff,0xff9bf9df,0x7fc4310b,0xfff50007,
    0x7dc00007,0xe8ffe21f,0xfff30fff,0x5bffee1f,0x3fe6fffb,0xfffecaac,
    0xb32fffff,0x20dffd99,0x7ff46fe8,0x33333301,0x85ddd433,0x2aa61aaa,
    0x00bfff62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffffcc0,0x9ffff900,0x85ffff93,0xfffdfffe,0xfff8002f,0x3fff2005,
    0x702fffff,0x3ff27fff,0x7ffdc01f,0x801fffb2,0xff70ffe8,0xb03ffd8b,
    0x7f403fff,0x505fffef,0xffffffff,0xeca881ff,0x50007fff,0x00007fff,
    0x2ff437e4,0x9fffe3fc,0xff54fffa,0xb880749f,0x2a1dfffe,0x00cfffff,
    0x09982662,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fc40000,0x3fe01fff,0x7ffcc0ff,0x7fffff45,0x3b201fff,
    0xffffeeee,0x902eeeee,0x05ffffff,0x7d5bffe2,0xff8805ff,0x6fff88ff,
    0xc8fffa60,0x27fe44ff,0x80f7ffc4,0xffdbfffa,0x3fee600f,0xffa81aef,
    0x007ffeff,0x267fff50,0xaaaaaaaa,0x71aaaaaa,0x27fc41ff,0xbffd1fea,
    0xf89fffc4,0x088003ff,0x00026220,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x202ffffe,0xfd05fff8,
    0xffffe8df,0x3605ffff,0xffffffff,0x03ffffff,0x1dfffff1,0x5d7ffe60,
    0xfb004fff,0x3fffa5ff,0x44fffa80,0x7fec5ffb,0xffea9883,0x98fffe80,
    0x7e404fff,0xff881fff,0x00fff1bf,0x6cfffea0,0xffffffff,0x33ffffff,
    0xffd55dff,0x3217fd43,0x17ffc4ff,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb000,
    0x3fff8807,0xfe8fffb0,0xffffffff,0xfffffb02,0xffffffff,0xffff107f,
    0x3201dfff,0xfffb2fff,0x4fff9801,0xf707fff7,0xfff305ff,0x98bffe21,
    0x30bfee09,0x7ff49fff,0xd5ff900f,0x5ffa81df,0x0003ffea,0x7ecfffea,
    0xffffffff,0x323fffff,0x24ffffff,0x00004ff8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x004ffffc,0xff10ffff,0xffffe8df,0xb06fffbc,0xffffffff,0x87ffffff,
    0xffffffe8,0xffd00eff,0x017ffe2d,0xff11dffd,0x5fff70bf,0x7ff41333,
    0x226fffcf,0x03ff65ff,0x7dc3fffb,0x5ffa83ff,0xff88bff3,0x0fffebbf,
    0x3fffa800,0xfffffffb,0x7fffffff,0x83ffffb8,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb800000,0x36005fff,0xfb31cfff,0xfffe87ff,0x20ffffa5,0xff999998,
    0x099999ef,0x2bffffa2,0x80effffc,0xff53fff9,0x3ffea03f,0xf01fff91,
    0x5fffffff,0x7fffffcc,0x7f7fe41f,0x7ffcc4ff,0x83fffc46,0x6c1320fa,
    0xffefffff,0xaaa88000,0x55555531,0x55555555,0x00006603,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbffff500,0xffffb800,0x2fffffff,0xf50ffff4,0x3e001fff,
    0x7f4405ff,0x3ff22fff,0xfff905ff,0x221bff61,0xfff14fff,0xfffff505,
    0xec885fff,0xec880cef,0x7ec0beff,0xfffd83ff,0xda880003,0x01cc99de,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0xccdfffff,0x2a2ccccc,
    0xffffffff,0x3a1fffff,0x7fec1fff,0xbfff004f,0x05fff900,0x7405fff9,
    0x5fff14ff,0x3f66ffc8,0x3333105f,0x00013333,0x77440660,0xeee980ee,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0xffffffff,
    0x7c9fffff,0xffffffff,0x3a6fffff,0x7fcc1fff,0xfff801ff,0x405f9005,
    0x7fcc02fc,0x44dff50f,0xfff31fff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffb80000,0xffffffff,0x3fe64fff,
    0x8acdcb8c,0x3ffa0efd,0x6fffc81f,0x005fff80,0x00006006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xfffffffb,0x44ffffff,0xe8190049,0xff881fff,0x777402ff,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_34_latin_ext_x[560]={ 0,2,1,0,1,1,1,1,1,0,0,1,1,0,
2,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,0,0,1,2,2,
-2,2,2,1,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,0,0,0,0,-1,1,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,0,2,0,2,0,2,0,2,0,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,1,1,2,2,2,2,0,-2,2,2,2,2,1,2,
-1,2,2,2,2,0,0,2,2,2,2,2,2,-1,2,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,-1,3,3,3,
3,3,3,3,3,3,3,3,3,3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,2,2,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,-1,-1,1,
1,2,2,2,2,2,2,2,2,2,2,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,0,1,-2,1,0,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static signed short stb__arial_bold_34_latin_ext_y[560]={ 27,5,5,4,3,4,4,5,4,4,4,8,22,17,
22,4,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,30,4,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,11,11,11,11,11,11,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,27,11,5,4,8,5,
4,4,4,4,4,12,11,17,4,1,4,6,4,4,4,11,5,14,27,4,4,12,4,4,4,11,-1,-1,-1,0,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,8,10,4,4,4,4,4,5,4,
0,5,-1,4,5,10,-1,4,-2,4,-1,4,-1,4,-1,5,5,5,0,5,-1,4,-1,4,5,10,-1,4,-2,4,
-1,4,-1,4,4,2,-2,-1,5,5,-1,5,0,5,-1,4,5,5,0,11,5,5,-2,4,5,5,11,-1,-1,5,
5,5,5,5,5,5,5,-1,4,5,10,-1,4,5,4,10,0,5,-1,4,-1,4,4,10,-1,4,5,10,-1,4,
-1,4,-2,4,4,10,-1,4,5,5,-1,5,5,5,-1,5,0,5,-1,4,-1,4,-1,4,5,11,-2,4,-2,4,
0,-1,4,-1,4,-1,4,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,4,7,7,4,7,7,7,
7,7,7,7,7,7,7,7,7,7,4,10,7,7,7,7,7,7,7,7,7,7,7,7,7,5,11,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,-1,4,-1,4,-1,
4,-1,4,-1,-1,-1,-1,-1,-1,-1,-1,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,-4,-2,-2,4,-2,4,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7, };
static unsigned short stb__arial_bold_34_latin_ext_w[560]={ 0,6,12,17,15,25,21,5,9,9,12,16,6,10,
5,10,15,10,16,15,17,16,15,15,15,16,6,6,16,16,16,17,30,22,19,20,19,17,16,21,18,5,15,20,
16,22,18,22,17,23,20,18,18,18,22,29,21,22,19,8,10,8,16,19,8,15,16,16,16,16,12,16,15,5,
9,15,5,25,15,17,16,16,11,16,10,15,17,24,17,17,15,12,4,11,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,16,17,17,17,
4,16,11,24,11,15,16,10,24,19,10,16,10,10,8,16,18,5,9,7,11,15,25,24,26,17,22,22,22,22,
22,22,31,20,17,17,17,17,8,8,11,11,22,18,22,22,22,22,22,16,23,18,18,18,18,22,17,16,15,15,
15,15,15,15,25,16,16,16,16,16,8,8,11,11,17,15,17,17,17,17,17,16,17,15,15,15,15,17,16,17,
22,15,22,15,24,17,20,16,20,16,20,16,20,16,19,21,22,18,17,16,17,16,17,16,17,16,17,16,21,16,
21,16,21,16,21,16,18,15,22,17,12,12,11,11,10,10,8,8,5,5,20,13,18,12,20,15,15,16,8,16,
9,16,10,16,11,18,9,18,15,18,15,18,15,21,19,15,22,17,22,17,22,17,29,27,20,11,20,13,20,12,
18,16,18,16,18,16,18,16,18,10,18,15,18,10,18,15,18,15,18,15,18,15,18,15,18,17,29,24,22,17,
22,19,15,19,15,19,15,9,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,20,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,25,21,17,17,17,17,17,17,17,17,17,17,17,17,17,24,21,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,22,15,11,11,22,
17,18,15,18,15,18,15,18,15,18,15,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,22,15,31,25,23,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__arial_bold_34_latin_ext_h[560]={ 0,22,8,24,28,24,24,8,30,30,12,16,10,5,
5,24,23,22,22,23,22,23,23,22,23,23,16,21,18,11,18,23,30,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,26,22,24,22,23,22,22,22,22,22,29,24,29,13,4,6,18,23,18,23,18,23,24,22,22,
29,22,22,17,17,18,24,24,17,18,23,17,16,16,16,23,16,30,30,30,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,28,24,16,22,
30,30,5,24,12,14,11,5,24,3,11,21,13,13,6,23,28,5,7,13,13,14,24,24,24,23,28,28,28,27,
27,27,22,30,28,28,28,27,28,28,28,27,22,27,29,29,29,28,28,15,25,29,29,29,28,28,22,24,24,24,
24,23,24,24,18,24,24,24,24,24,23,23,23,23,23,22,24,24,24,23,24,17,19,24,24,24,24,30,29,30,
27,23,28,24,29,24,29,24,30,24,29,24,29,24,28,23,22,23,27,23,28,24,28,24,29,24,28,24,30,30,
29,30,29,30,30,32,29,28,22,22,28,22,27,22,28,23,29,29,27,16,23,29,30,30,29,29,16,28,28,29,
29,22,22,22,22,22,22,28,23,29,24,28,23,22,24,24,28,23,29,24,29,24,24,18,28,23,29,24,28,23,
29,24,30,24,30,24,29,24,32,31,28,23,22,23,29,23,28,23,29,24,29,24,29,24,29,23,29,23,29,30,
27,28,23,28,23,28,23,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,24,20,20,30,20,20,20,
20,20,20,20,20,20,20,20,20,20,24,18,20,20,20,20,20,20,20,20,20,20,20,20,20,23,17,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,28,24,28,23,29,
24,29,24,29,29,29,29,29,29,29,29,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,31,30,29,24,31,25,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__arial_bold_34_latin_ext_s[560]={ 510,408,352,27,119,280,173,365,474,484,275,
158,345,417,446,384,24,397,415,40,492,73,90,433,106,122,497,66,304,317,143,
139,204,1,24,1,61,100,118,429,169,506,157,393,314,135,278,451,354,274,372,
474,414,256,331,462,1,43,23,450,340,503,258,452,399,160,180,261,197,198,214,
88,239,233,440,194,188,343,369,243,429,446,402,126,227,414,436,454,479,238,108,
311,111,156,371,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,510,173,439,
121,124,330,411,294,434,481,288,192,300,417,306,472,334,73,224,247,408,56,30,
428,389,504,235,208,415,390,250,417,479,278,393,191,115,156,275,324,344,176,135,
256,110,101,477,179,307,237,43,85,166,194,416,175,316,292,330,368,362,153,360,
373,357,341,325,63,293,277,278,233,216,199,182,165,303,282,79,12,435,450,37,
19,1,91,463,385,108,413,397,381,365,116,118,437,214,496,20,233,228,195,276,
156,416,109,338,74,164,39,301,125,210,163,138,224,12,395,49,367,378,22,64,
412,134,187,185,394,316,345,253,20,359,262,255,432,67,449,103,348,1,406,403,
431,502,430,344,33,362,381,482,66,142,245,236,101,154,297,158,44,466,378,500,
82,328,297,351,1,312,478,213,493,456,45,459,56,253,91,126,215,436,484,207,
249,43,471,135,331,455,348,275,55,47,263,1,84,217,208,81,1,412,109,489,
192,349,475,311,72,273,105,235,453,189,365,143,235,80,416,390,457,266,396,147,
182,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,491,90,90,168,
90,90,90,90,90,90,90,90,90,90,90,90,90,1,176,90,90,90,90,90,
90,90,90,90,90,90,90,90,241,321,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,321,309,
381,291,1,441,66,459,24,108,124,494,254,219,82,387,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,37,95,1,139,60,298,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90, };
static unsigned short stb__arial_bold_34_latin_ext_t[560]={ 1,227,294,202,94,152,152,294,1,1,294,
294,294,294,294,123,227,227,227,227,251,227,227,251,227,227,274,274,274,294,274,
227,1,251,251,152,251,251,251,123,251,152,227,251,251,251,251,123,251,123,251,
123,251,227,251,251,274,274,274,34,123,34,294,294,294,274,227,274,227,274,227,
177,251,251,34,251,251,274,274,274,152,152,274,274,227,274,274,274,274,227,294,
1,1,1,294,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,1,227,94,
177,294,227,1,1,294,152,294,294,294,294,152,294,294,274,294,294,294,227,123,
294,294,274,294,294,177,177,177,202,94,94,94,123,123,123,227,1,94,94,94,
123,94,94,64,123,227,123,34,34,34,94,94,294,123,34,34,34,94,94,227,
177,177,177,177,202,177,177,274,177,177,177,177,177,202,202,202,227,202,227,177,
177,177,202,152,274,274,152,152,152,152,1,64,1,123,202,94,152,64,152,64,
152,1,152,64,152,64,152,94,202,251,202,123,202,123,123,123,123,64,152,94,
123,1,1,64,1,64,1,1,1,64,94,251,227,123,251,123,227,123,202,34,
34,94,274,202,64,1,1,34,64,294,94,94,64,64,251,251,251,227,227,227,
94,202,64,123,94,202,227,152,123,94,202,34,152,64,152,152,274,64,202,64,
152,94,202,64,152,1,152,1,177,64,152,1,1,94,202,251,227,34,202,64,
202,34,177,34,177,34,177,34,202,34,202,34,1,123,64,202,64,202,64,202,
202,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,177,274,274,1,
274,274,274,274,274,274,274,274,274,274,274,274,274,202,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,202,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,94,177,
94,202,34,177,34,177,34,34,34,1,34,34,64,34,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,1,1,64,177,1,123,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274, };
static unsigned short stb__arial_bold_34_latin_ext_a[560]={ 135,162,231,271,271,433,352,116,
162,162,189,284,135,162,135,135,271,271,271,271,271,271,271,271,
271,271,162,162,284,284,284,297,475,352,352,352,352,325,297,379,
352,135,271,352,297,406,352,379,325,379,352,325,297,352,325,460,
325,325,297,162,135,162,284,271,162,271,297,271,297,271,162,297,
297,135,135,271,135,433,297,297,297,297,189,271,162,297,271,379,
271,271,243,189,136,189,284,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,135,162,271,271,271,271,136,271,
162,359,180,271,284,162,359,269,195,267,162,162,162,281,271,135,
162,162,178,271,406,406,406,297,352,352,352,352,352,352,487,352,
325,325,325,325,135,135,135,135,352,352,379,379,379,379,379,284,
379,352,352,352,352,325,325,297,271,271,271,271,271,271,433,271,
271,271,271,271,135,135,135,135,297,297,297,297,297,297,297,267,
297,297,297,297,297,271,297,271,352,271,352,271,352,271,352,271,
352,271,352,271,352,271,352,350,352,297,325,271,325,271,325,271,
325,271,325,271,379,297,379,297,379,297,379,297,352,297,352,297,
135,135,135,135,135,135,135,135,135,135,382,271,271,135,352,271,
271,297,135,297,135,297,188,297,233,297,135,352,297,352,297,352,
297,345,352,297,379,297,379,297,379,297,487,460,352,189,352,189,
352,189,325,271,325,271,325,271,325,271,297,162,297,233,297,162,
352,297,352,297,352,297,352,297,352,297,352,297,460,379,325,271,
325,297,243,297,243,297,243,135,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,354,365,365,271,365,365,365,365,365,
365,365,365,365,365,365,365,365,415,346,365,365,365,365,365,365,
365,365,365,365,365,365,365,404,353,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,352,271,135,135,379,297,352,297,352,297,352,
297,352,297,352,297,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,352,271,487,433,379,297,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,365,
365,365,365,365,365,365,365,365, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_34_latin_ext(stb_fontchar font[STB_FONT_arial_bold_34_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_34_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_34_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_34_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_34_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_34_latin_ext_s[i] + stb__arial_bold_34_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_34_latin_ext_t[i] + stb__arial_bold_34_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_34_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_34_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_34_latin_ext_x[i] + stb__arial_bold_34_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_34_latin_ext_y[i] + stb__arial_bold_34_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_34_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_34_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_34_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_34_latin_ext_s[i] + stb__arial_bold_34_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_34_latin_ext_t[i] + stb__arial_bold_34_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_34_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_34_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_34_latin_ext_x[i] + stb__arial_bold_34_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_34_latin_ext_y[i] + stb__arial_bold_34_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_34_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_34_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_34_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_34_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_34_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_34_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_34_latin_ext_LINE_SPACING
#endif

