// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_44_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_44_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT        502
#define STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_44_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_44_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_44_latin_ext_LINE_SPACING          29

static unsigned int stb__arial_bold_44_latin_ext_pixels[]={
    0x26666666,0x99999999,0x01999999,0x00001300,0x44000031,0x003ccccc,
    0xaaaa8000,0x4c00002a,0x500aaaaa,0x26005999,0x9910ccba,0x00000557,
    0x57997531,0x4c000013,0x4002aaaa,0x99999999,0x00099999,0x40131000,
    0x20000198,0x802cccca,0x2662ccca,0x4c000999,0xa9801999,0x8001accc,
    0x30019999,0x20003333,0x009acca9,0x54c40000,0x0aacccca,0xc9800000,
    0x2001cccc,0x6444ccca,0xff101ccc,0x3fe23fff,0xffffffff,0xffffffff,
    0x2001ffff,0x40003fd9,0x200003fb,0x00effffc,0x7fd40000,0x00001fff,
    0x02fffff4,0x9809fff9,0x11fffffd,0x03dfffff,0xfffb3000,0xbfffffff,
    0xfe880003,0x1001ffff,0xffffffff,0xffffffff,0x9000059d,0x3ff601ff,
    0xff900000,0xff900bff,0x7ffffc9f,0x7fffc006,0xfffd301f,0x005dffff,
    0x07ffffe2,0x1fffff30,0x3fffae00,0x03ffffff,0x7fed4000,0xffffffff,
    0x00000bef,0x09ffffd0,0x47fffc80,0x102ffff9,0x223fffff,0xffffffff,
    0xffffffff,0x01ffffff,0x00bfff50,0x00fffa60,0x7fffc400,0x8000000f,
    0x001ffffe,0x7fffcc00,0x27ffe406,0xffffff30,0x3fffe23f,0x30002fff,
    0xfffffffd,0xdfffffff,0x3ff20001,0x800effff,0xfffffff8,0xffffffff,
    0x000effff,0x2213fea0,0x200006ff,0x805ffffc,0x3fe4fffc,0x2003ffff,
    0xb81fffff,0xffffffff,0xf8805fff,0x4c01ffff,0x400fffff,0xffffffe8,
    0x1effffff,0x3ff22000,0xffffffff,0xdfffffff,0x3e600000,0xc8005fff,
    0x7fcc7fff,0xfff102ff,0x3ffe23ff,0xffffffff,0xffffffff,0xf8801fff,
    0xd8001cff,0x0003ffff,0x03ffff70,0xff500000,0x000005ff,0x801dfffb,
    0x3604fffc,0x1fffffff,0xfffffff1,0xfff5000d,0xffffffff,0x1dffffff,
    0xefffa800,0x8805fffe,0xffffffff,0xffffffff,0x000effff,0x2f3bffa0,
    0x0003fffd,0x17ffff20,0xf93fff20,0x00ffffff,0x83fffff0,0xfffffff9,
    0x03ffffff,0x0fffffc4,0x3ffffe60,0x3fffee00,0xffffffff,0x8003ffff,
    0xfffffffb,0xffffefff,0x03ffffff,0xbfffb000,0x3fff2000,0x17fffcc7,
    0x1fffff88,0xfffffff1,0xffffffff,0x3fffffff,0x00bff900,0x1fffffc0,
    0xfffe8000,0xd0000001,0x00005fff,0x01dfff30,0x209fff90,0xfffffff9,
    0xfffff11f,0x5c005fff,0xffffffff,0xffffffff,0x1000efff,0xff13ffff,
    0xff8805ff,0xffffffff,0xffffffff,0x20005fff,0xfffffff9,0x6400005f,
    0xc805ffff,0x3ffe4fff,0xf005ffff,0xfe83ffff,0xfdbeffff,0x201fffff,
    0x01fffff8,0x07ffffcc,0xffffffc8,0xffffffff,0x1001ffff,0x9ffffffb,
    0xba988135,0x05fffffd,0x77ffcc00,0xfff90000,0x2ffff98f,0x3fffff10,
    0x33333322,0xffffffcc,0xcccccccc,0xacffc800,0xffff8002,0xfa80003f,
    0x000002ff,0x007fff30,0x3fff2000,0x9fff9000,0x3ffffea0,0x7fff4c01,
    0xfff3004f,0x379dffff,0xffffff95,0x3f6009ff,0x3ffe64ff,0x3ffe200f,
    0xccccceff,0xffffeccc,0x4c0007ff,0x03fffffe,0xaaa98000,0xfffc801a,
    0x3fffffe4,0xfff802ff,0x7fffc1ff,0x7fffc44f,0x3ffe203f,0x774c01ff,
    0xff980eee,0x9bcfffff,0xfffffeb9,0x7f4c00ff,0x0002dfff,0x09ffffd5,
    0x077fec00,0x00000000,0x80033333,0x006ffffd,0xdffffb00,0xfffff000,
    0xd5100007,0x0000001b,0x00006662,0x00099980,0x5c13fff2,0x5004ffff,
    0x200bffff,0x3ffffffe,0x7ffff4c0,0x999800ff,0x00999881,0x13ffffe2,
    0x7ffff540,0xa880002f,0x0000009a,0x7ffe4000,0x3fffffe4,0xfff806ff,
    0x3ffe61ff,0xfffc82ff,0x3ffe205f,0x200001ff,0x0efffffe,0x3ffffee0,
    0x7fff403f,0xf700002f,0x00005fff,0x00000000,0x01333330,0x37fffec0,
    0xfffe8000,0xf551006f,0x555bffff,0xfffb0001,0x0000009f,0x0004c000,
    0xff900154,0x3fff209f,0xfff3002f,0xfff700bf,0x22003fff,0x03fffffe,
    0x7c400000,0x2004ffff,0x04fffffb,0x00000000,0xffc80000,0x3ffffe4f,
    0x7c03ffff,0x7fc1ffff,0x19885fff,0xfffff100,0x3ea00003,0x7005ffff,
    0x40dfffff,0x001efffc,0x7fffcc00,0x00000000,0x3e600000,0x2002ffff,
    0x006ffffd,0xdffffd00,0x3fffea00,0x0fffffff,0x5df7cc00,0x000000ff,
    0x4d5e5d4c,0x001dd100,0x00ffffee,0x6413fff2,0x3002ffff,0xd00bffff,
    0x005fffff,0x3effff98,0x332e6200,0xff1001aa,0x44009fff,0x006fffff,
    0x4de5d440,0x2ea00000,0x2a60aced,0xfff91aaa,0x7fffffc9,0x3e00ffff,
    0x7f41ffff,0x0004ffff,0x0fffffc4,0x0aaaaa20,0x03fffffe,0xdffffe80,
    0x0efffa80,0x86f76e60,0xf90aaaa9,0x555309ff,0x2aa20055,0x55530aaa,
    0x2aa20055,0xfff30aaa,0x7ec005ff,0x00006fff,0x00133331,0x3fffffea,
    0x000fffff,0x07f717e4,0xffd70000,0xbfffffff,0x0ffff443,0x3f77fe20,
    0x7ffe400f,0x5ffff904,0x3fffe200,0x7fffcc06,0x3790006f,0x7ffec400,
    0x3fffffff,0x7ffffc40,0x7fffc004,0x6e44006f,0xffffffff,0xd30002ef,
    0x5fffffff,0x64ffffee,0x3ffe4fff,0x5fffffff,0x07ffffe0,0xdffffff3,
    0x3fe20003,0x7cc01fff,0x3e60ffff,0x4004ffff,0x3e201bda,0xff900fff,
    0x3a7fffff,0x3fa1ffff,0x7ffd40ff,0xffc802ff,0x3ffea6ff,0xffc802ff,
    0x3ffe66ff,0x3f6002ff,0x00006fff,0xfffa8000,0xffffffff,0x91fe4000,
    0x4c00007f,0xfffffffe,0xaeffffff,0x400efffd,0x00ff23fb,0x3209fff9,
    0x1001ffff,0xc80dffff,0x002fffff,0xfff50000,0xffffffff,0x3e205fff,
    0x2004ffff,0x04fffff9,0x3ffffea0,0xffffffff,0x3ee000df,0xffffffff,
    0x3ffffbaf,0x7fc9fff9,0xffffffff,0xfffff02f,0xfffff903,0xf10009ff,
    0x9803ffff,0x2e0fffff,0x001fffff,0x7fff9000,0x3fffff60,0xfffcffff,
    0x1fffc47f,0x027ffffc,0x227ffffc,0x804fffff,0x264fffff,0x002fffff,
    0x01bffff6,0x33b6ea00,0x2aaaa60a,0xffffdd51,0x001ddddf,0xffcbff98,
    0xff700000,0xffffffff,0xffffffff,0xf9001dff,0x32027dc5,0xffb04fff,
    0x3e2003ff,0x7ec06fff,0x0000ffff,0xffffb800,0xffffffff,0xf882ffff,
    0x1004ffff,0x07fffffd,0x3fffff20,0xffffffff,0x9802ffff,0xffffffff,
    0xfffeffff,0x49fff93f,0xffbfffff,0xff80ffff,0x7f441fff,0xefffffff,
    0x3ffe2001,0x7fcc01ff,0x3ff20fff,0x00000fff,0x360dfff0,0xfdffffff,
    0x6fffffff,0xfc85ffe8,0x7cc07fff,0x7e41ffff,0x7cc07fff,0x3e61ffff,
    0x2002ffff,0x006ffffd,0x3ffffa60,0xfff72fff,0xfffff07f,0xff980007,
    0x0001ffff,0xffffffd8,0xffffffff,0x1fffffff,0xd53df300,0xfffc803f,
    0x1ffffb04,0x3ffffc00,0x1fffffa0,0x3ea00000,0xffffffff,0xffffffff,
    0x7fffc40f,0xa99999cf,0xfffffcaa,0xfffb006f,0xffffffff,0xffffffff,
    0xffffe807,0xffdb9bef,0xf93fffff,0x7fffc9ff,0xfffffc9f,0x1fffff84,
    0x3fffffa2,0x04ffffff,0x3fffff10,0xfffff980,0x1fffff60,0x7fd40000,
    0xffffd81f,0x3fff222d,0xffd84fff,0xfffff986,0x3ffff202,0xfffff986,
    0x3ffff202,0x7ffffcc6,0x3fff6002,0xff70006f,0xffffffff,0x07ffff75,
    0x007fffff,0xfffffc80,0x7d40004f,0xbdffffff,0xfffeba9a,0x4003ffff,
    0x805ffffe,0xff04fffc,0xff800fff,0x3fe00fff,0x99806fff,0x99999999,
    0xffffd819,0xf93119df,0x88bfffff,0xffffffff,0xffffffff,0x802fffff,
    0xfffffffa,0xfeca9acd,0x00ffffff,0x0bfffff5,0x3fffffee,0x7c9fff93,
    0xff89ffff,0x7fc1ffff,0x3ffa1fff,0xffffecff,0x4400efff,0x401fffff,
    0x20fffff9,0x006ffffe,0x0fffb000,0x40dffff7,0x82fffffe,0xffd07ffb,
    0x7ffc09ff,0xfffd03ff,0x7fffc09f,0x7fffcc3f,0x3ff6002f,0xf98006ff,
    0xffffffff,0xffffefff,0x3fffff83,0x3ffe2000,0x000fffff,0xffffff10,
    0xfffa803f,0xa8006fff,0xff9002dd,0xffff509f,0xfffc800d,0x3fffe04f,
    0xffff805f,0xffffffff,0x27ffffc1,0x3ffffea0,0x7ffffc47,0xffffffff,
    0x2fffffff,0xfffff880,0x7fdc02ff,0xfd05ffff,0x6c01ffff,0xf93fffff,
    0x7fffc9ff,0xfffff51f,0x1fffff8d,0x649ffff3,0xefffffff,0x3fffe200,
    0x7ffcc01f,0x3fffe0ff,0x8800005f,0xffe84fff,0x3fea01ff,0xff981fff,
    0xffffb80f,0xfffff307,0x3fffee01,0xfffff307,0xfffff981,0x3fff6002,
    0xffe8006f,0xdbabefff,0x3fffffff,0x03fffff8,0x3fffee00,0x0003ffff,
    0x1dfffff9,0xfffff500,0x000003ff,0x989fff90,0x004fffff,0x17ffffcc,
    0x06fffff8,0xfffffff8,0x2a1fffff,0x800fffff,0x21fffffc,0xfffffff8,
    0xffffffff,0xb000dfff,0x01dfffff,0x3ffffe60,0xfffff81f,0x7fffcc04,
    0x4599953f,0x361fffff,0x3e2fffff,0xff71ffff,0xfffa81ff,0x2206ffff,
    0x401fffff,0x10fffff9,0x00dfffff,0x3fff3000,0x05ffffa8,0x83ffffcc,
    0xf880fffa,0xfc82ffff,0x3e205fff,0xfc82ffff,0xff985fff,0x36002fff,
    0x4006ffff,0x05fffffa,0x7ffffff7,0x07fffff0,0x7ffff400,0x8006ffff,
    0x1ffffff9,0xfffff980,0xc8805fff,0x1bdeeeec,0x5d3fff20,0x0ffffffd,
    0xffffe800,0x7fff44ff,0xffff807f,0xffffffff,0x3ffffee1,0xffffa801,
    0x3fffe22f,0xffffffff,0x4001efff,0x1ffffff8,0x7fffdc00,0x7fffc46f,
    0xffff802f,0xffff803f,0x3fffe21f,0xfffff0ff,0x07ffff63,0x3fffff62,
    0xffff104f,0xfff9803f,0x3fffe0ff,0xa800006f,0xfffe87ff,0x7ffcc00f,
    0x0fff905f,0x427fffec,0x402ffffe,0xe84ffffd,0xf982ffff,0x2002ffff,
    0x006ffffd,0x07fffff4,0x7fffffb0,0x07fffff0,0x3fffe600,0x01ffffff,
    0x7ffffdc0,0xffff8805,0x01ffffff,0xffffffb3,0x320bffff,0xfffd4fff,
    0x20005fff,0x7fffffe9,0x07ffffec,0x3fffffe0,0x21ffffff,0x0dfffff9,
    0xfff88000,0xfcaa9cff,0x004fffff,0x2fffffdc,0xffffe800,0x3fffe61f,
    0xfffe801f,0xffff803f,0x7fffdc1f,0x3fffff4f,0x813ffff6,0x07fffffb,
    0x03fffff1,0x0fffff98,0x01fffff6,0x1ffee000,0x00fffff1,0x209ffff5,
    0x3ea06ffe,0x7fcc7fff,0xffa807ff,0x7ffcc7ff,0xffff307f,0x7fec005f,
    0x7fc006ff,0x7cc04fff,0xff83ffff,0x90003fff,0xfffdffff,0xfc8009ff,
    0x4401ffff,0xffbdfffe,0xff882fff,0xffffffff,0x7e40efff,0xffffd4ff,
    0xe880003f,0x7e47ffff,0x6401ffff,0xffeccccc,0x3fe21fff,0x01cfffff,
    0x3fffe200,0xfffe984f,0xfb000eff,0x0003ffff,0x8bffffee,0x00fffffa,
    0x03ffffd8,0x81fffff8,0xf9fffffe,0xff51ffff,0x7d405fff,0xf881ffff,
    0x4c01ffff,0x320fffff,0x000fffff,0x1bff6008,0x00bffff3,0x205ffff9,
    0x7fc05fff,0x3ff22fff,0xfff004ff,0x7ffe45ff,0xffff304f,0x7fec005f,
    0x3e2006ff,0xf802ffff,0xff83ffff,0xf0003fff,0xff97ffff,0x6c001fff,
    0xe807ffff,0xffa8efff,0xffe84fff,0xffffffff,0x7e45ffff,0xffffd4ff,
    0xfb80009f,0x7dc7ffff,0x0004ffff,0x83fffff7,0xfffffffd,0x2000bdff,
    0x04fffff8,0xdffffff1,0xfffff001,0x7fcc000f,0x3fe63fff,0xfe801fff,
    0xff803fff,0xffa81fff,0xffffefff,0xfffff11f,0x7ffe407f,0xffff883f,
    0x7ffcc01f,0x3ffee0ff,0x7d4002ff,0x2ffec1be,0x013fffea,0x203ffff6,
    0x6403fff9,0x3fa4ffff,0xf9001fff,0x7ff49fff,0xfff301ff,0x7ec005ff,
    0x26006fff,0x801fffff,0xf83ffffe,0x8003ffff,0x98fffffa,0x003fffff,
    0x01bffffe,0x261dfffb,0x545fffff,0x9bdfffff,0xffffffca,0x753fff20,
    0x04ffffff,0xfffff700,0xffff88ff,0xfb8000ff,0x7441ffff,0xffffffff,
    0x401cefff,0x04fffff8,0x3fffffea,0x7fffc405,0x3e20006f,0x3e25ffff,
    0xf802ffff,0xf803ffff,0xfb01ffff,0xffffffff,0x7fffec3f,0xff980dff,
    0xfff882ff,0x7fcc01ff,0x3fea0fff,0x6c005fff,0xfb1effff,0xffffb8bf,
    0x7fffc403,0x01fffb07,0x37ffff98,0x400dffff,0xf37ffff9,0x7cc0dfff,
    0x2002ffff,0x006ffffd,0x03ffffea,0x0fffffa0,0x00fffffa,0x97ffff60,
    0x006ffffe,0x0bfffff1,0x10ffffe4,0xe8dfffff,0xf705ffff,0x7e43ffff,
    0xffd734ff,0x88003fff,0x1aefffff,0x4fffffc8,0xffffb800,0xffff981f,
    0xffffffff,0xff101eff,0xfc809fff,0x203fffff,0x05fffff8,0x7ffffc00,
    0x27ffffc6,0x3ffffe60,0xfffff803,0xfffff101,0x4c3fffff,0xffffffff,
    0x83fffdc3,0x01fffff8,0x07ffffcc,0x3ffffff1,0x3fffe600,0x71bff27f,
    0xb807ffff,0xfc85ffff,0xffd004ff,0xffff93ff,0xfffe8007,0x3ffffc9f,
    0x3ffffe60,0x3fff6002,0x3fe6006f,0xfe801fff,0xffe83fff,0x7c4003ff,
    0x3ee2ffff,0x9801ffff,0x704fffff,0xff03ffff,0x9530ffff,0x3ffe201b,
    0x3fff21ff,0x5ffffe84,0x7fffdc00,0x3ffe200e,0x26004fff,0x01fffffe,
    0xffffffb1,0xffffffff,0xfffff103,0xffffd009,0x3fe601ff,0x40004fff,
    0x747ffffe,0x200fffff,0x93fffffe,0x7ffc9fff,0x3fee01ff,0x1fffffff,
    0x7fffffcc,0xfff88dff,0xffff105f,0xfff9803f,0x7ffd40ff,0xfe800eff,
    0x3ee3ffff,0x7fffd47f,0x3fffe204,0x7fffd43f,0xffff7000,0x01ffffd9,
    0xcffffb80,0x200ffffe,0x02fffff9,0x1bffff60,0x5fffff00,0x7fffff00,
    0x1dffffd0,0xffb80151,0x3fe20fff,0xf9804fff,0xfa84ffff,0xffd02fff,
    0x44000fff,0x322fffff,0xff984fff,0x7ec006ff,0xfc802fff,0x00dfffff,
    0x3fffff22,0x7ed401ff,0xffffffff,0x7c42ffff,0x9804ffff,0x05ffffff,
    0x09fffff3,0xffffe800,0x7ffffd47,0xffffc80d,0x9fff93ff,0x00fffffc,
    0x3ffffffa,0xffe881ff,0xfeffffff,0xff101fff,0xf9803fff,0xfd80ffff,
    0x301effff,0x1ffffffd,0xf307ffd4,0x7e40dfff,0x3e62ffff,0x22003fff,
    0xffffffff,0xff88006f,0x6fffffff,0x7ffffcc0,0x3fff6002,0x7ff4006f,
    0x7fcc04ff,0xffd83fff,0x01ffffff,0x42fffff4,0x00fffffe,0x37ffffc4,
    0x80ffffea,0x006fffff,0x3fffb2a2,0x3ff22fff,0xffffd04f,0xffffe800,
    0xfffe8800,0xbbceffff,0xffffffec,0x2a001fff,0xfffffffd,0x3e21ffff,
    0x9004ffff,0x05ffffff,0x0bfffff1,0xfffff800,0xffffff86,0xfffecacf,
    0xff93ffff,0x7ffffc9f,0x7fffcc01,0x3201ffff,0xffffffff,0x3e201fff,
    0x4c01ffff,0x980fffff,0xefffffff,0xffffdbac,0x7fcc4fff,0x7ffff43f,
    0x7fffe40c,0xfffc8aff,0xffd8004f,0x03ffffff,0xfffffb00,0xf9807fff,
    0x2002ffff,0x006ffffd,0x07ffffec,0x7fffffd0,0xffffff50,0x7fcc05ff,
    0xffb82fff,0xff803fff,0x3fe67fff,0x3fe204ff,0x65404fff,0xfffffffe,
    0x3ff22fff,0xffffb04f,0x7fffc001,0x3ffa2007,0xffffffff,0xffffffff,
    0x220005ff,0xffffffdb,0x3fffe25f,0x3ffa004f,0xff80ffff,0x20006fff,
    0x84fffff8,0xfffffffb,0xffffffff,0x9fff93ff,0x00fffffc,0x7fffffe4,
    0x7ff4c01f,0x01ffffff,0x0fffffc4,0x3ffffe60,0xfffff900,0xffffffff,
    0x3a0bffff,0x7ffcc6ff,0xfffddfff,0xffffffff,0x50003fff,0xffffffff,
    0x3fea0001,0x00ffffff,0x17ffffcc,0xdffffb00,0xffffb800,0xfffc80df,
    0xff883fff,0x03ffffff,0x41fffff6,0x06fffff8,0x8fffffe8,0x405ffff8,
    0x03fffff9,0xfffffff9,0x5fffffff,0xd827ffe4,0x1001ffff,0x000dffff,
    0xfffffffb,0xffffffff,0x00005fff,0x7ffffec4,0xfffff10f,0x7ffcc009,
    0xffd84fff,0x260007ff,0x703fffff,0xffffffff,0xffffd3ff,0xf93fff27,
    0x8801ffff,0x1fffffff,0xffffc880,0x7c404fff,0x4c01ffff,0x200fffff,
    0xfffffffa,0xffffffff,0x0bffee06,0xfffffff9,0xffffffff,0x005fffff,
    0xffffff80,0x7fc0005f,0x805fffff,0x02fffff9,0x1bffff60,0xfffff100,
    0xffd959df,0x207fffff,0xefffffd8,0xfffff102,0x7fffec09,0x7ffec01f,
    0x5fffeaff,0xfffffb80,0xfffffd82,0xfffaceff,0x3fff22ff,0x3ffff904,
    0x3fffe200,0xfff90006,0xffffffff,0x2207ffff,0x4004cba9,0x11fffffe,
    0x009fffff,0xffffffc8,0x7ffffe41,0xfff90002,0x7fd405ff,0xd1ffffff,
    0x3f27ffff,0x3fffe4ff,0xfff5001f,0x4c003fff,0x2ffffffe,0x3ffffe20,
    0x7fffcc01,0x7fec400f,0xffffffff,0x3e200cff,0xfffb86ff,0xfb8effff,
    0x1effffff,0xfffc8000,0x40002fff,0x2ffffffc,0xfffff980,0x3fff6002,
    0xffb8006f,0xffffffff,0x3fffffff,0x400d4c40,0x9bfffffb,0xffb99999,
    0x7dc04fff,0xffffffff,0x7ffc400e,0x7fec1fff,0x7c0adfff,0x3f22ffff,
    0xfff904ff,0x3fe2005f,0x4c0005ff,0xfffffffc,0x7d401bde,0x2002ffff,
    0x11fffffb,0x009fffff,0xdfffffd0,0x6fffffb8,0xffff8800,0x654401ff,
    0x3fa0acee,0xfff93fff,0x0fffffc9,0xfffffb00,0xfff90003,0x7fc40dff,
    0x7cc01fff,0x7000ffff,0xffffffdb,0x3f60019f,0xfdc984ff,0x6fedc3ce,
    0x555500ab,0x3fffe600,0xf980007f,0x3007ffff,0x005fffff,0x3f200000,
    0xffffffff,0x3ffffe9f,0x7ff40000,0xffffffff,0xffffffff,0x7fffc00f,
    0x800effff,0x46fffffc,0x04fffff8,0xc8bffffe,0xff904fff,0x3e6005ff,
    0x00005fff,0x019fffd5,0xfffff880,0x3ffee004,0x32a000ff,0x20000abc,
    0x3ffffff8,0x7fffe400,0x3e00006f,0xff92ffff,0x6654009f,0x220000ab,
    0xffff9009,0x3332601f,0xfffa801a,0x5cc000ff,0x8001dffe,0x003ffff8,
    0xfffd8000,0xffff1004,0xf100009f,0x2009ffff,0x02fffff9,0x2e000000,
    0xffffffff,0x07ffffd1,0x2026665c,0xfffffff9,0xffffffff,0x403fffff,
    0xfffffffb,0xffff9801,0x7ffd41ff,0xfff100ff,0x7ffe45ff,0x7ffff904,
    0x3fffe600,0xffa80005,0x000cffff,0x0ffffff4,0x6ffffe80,0x7fffec00,
    0x3ee0004f,0x002fffff,0x3ffffff7,0x00135750,0x647ffffe,0x36004fff,
    0x004fffff,0x41bfffae,0x01fffff8,0x1dfffff7,0x3ffffd40,0x7ffff400,
    0xf98001ff,0x00004fff,0x03bfff60,0x7ffffe40,0xffc80001,0xf3001fff,
    0x4005ffff,0x003cccc9,0x677f5c40,0x3ffffa0a,0x1ffffa03,0xffffff90,
    0xffffffff,0x0dffffff,0xdffffff0,0xffffb803,0xfffb84ff,0xfff700ff,
    0x7ffe45ff,0xbffff704,0x3fffee00,0xaba80004,0x003fffdb,0x7fffffe4,
    0x3fff6202,0x764004ff,0x003fffff,0x3fffffa0,0x3ff6204f,0xf904ffff,
    0x540bffff,0xf90fffff,0x764009ff,0x003fffff,0x05fffff5,0x01fffff3,
    0x3ffffbaa,0x3ffff605,0x55644007,0x0005fffc,0x05dffff7,0x7ff54000,
    0xff1001ff,0x0000dfff,0x0dfffff1,0x7ffffcc0,0x3ffee002,0x0000006f,
    0x405fffff,0x7c07fffe,0xffffffff,0xffffffff,0x401fffff,0xfffffffc,
    0xfeca99bd,0x80ffffff,0x83fffffa,0x2ffffffa,0x5413fff2,0xaadfffff,
    0x3fff2aa0,0x000003ff,0x8800dffd,0xdfffffff,0xfffcbaab,0x0001ffff,
    0x0017ffe6,0xffffff98,0xfecacdff,0x0fffffff,0xffffff50,0x7ffdcc15,
    0x3fff26ff,0xfff30004,0x3ffe200b,0xfb30beff,0x2200ffff,0x7f6c7fff,
    0x006fffff,0x01fffb80,0xfffff900,0x7100017b,0x05fffffd,0x7ffd4462,
    0x44002fff,0xfffff511,0x7fcc005f,0x2e002fff,0x4006ffff,0xf0009aba,
    0x7403ffff,0x3ea07fff,0xcccdffff,0xdccccccc,0x205fffff,0xfffffffa,
    0xffffffff,0x02ffffff,0xdffffff3,0xffffff97,0x7ffe47ff,0xfffff104,
    0x3fe23fff,0x01ffffff,0xfff88000,0xfff98006,0xffffffff,0x6fffffff,
    0x7ffcc000,0x7fe40005,0xffffffff,0xffffffff,0x3ffe202f,0xffefffff,
    0x21ffffff,0x0004fffc,0x400bfff3,0xfffffffc,0x4fffffff,0x4fffd100,
    0xfffffff8,0xfc80004f,0x2a0001ff,0xeffffffe,0xaa99aacc,0xfffffecb,
    0x3fea00ef,0x6fffffff,0xffffa800,0x006fffff,0x17ffffcc,0xdffff700,
    0xffffc800,0x3ffea05f,0x3ffa00ff,0x3fff606f,0xfff8007f,0xff980fff,
    0xffffffff,0xffffffff,0x7e401eff,0xffffffff,0x5fffffff,0xc813fff2,
    0x1fffffff,0xfffffff1,0xaa98000b,0x3fffecaa,0xffff9000,0xffffffff,
    0x001dffff,0x3f2eaaaa,0x80002fff,0xfffffffa,0xffffffff,0xffa801ef,
    0xffffffff,0x644fffff,0x55404fff,0xffffcbaa,0x7ffec002,0xffffffff,
    0xaaab986f,0x2a4fffec,0xffffffff,0x2aaae000,0x006fffdb,0xffffc880,
    0xffffffff,0xffffffff,0xff9804ff,0x2fffffff,0xffff9800,0x002fffff,
    0x17ffffcc,0xdffff700,0xffffa800,0x3ea20aff,0x4406ffff,0xff103fe9,
    0x90009fff,0x987fffff,0xfd9cffff,0xffffffff,0x1003ffff,0xfffffffd,
    0xffff37ff,0x027ffe4f,0xffffffd1,0x3ffffe23,0x5c0001ef,0xffffffff,
    0x7f540004,0xffffffff,0x000dffff,0x3ffffff2,0x200003ff,0xffffffd8,
    0x3fffffff,0x7fffdc00,0xffffffff,0x4fffc83f,0x7ffffe40,0x88003fff,
    0xfffffffd,0xfa80dfff,0x5fffffff,0x7fffffdc,0x7ffc002f,0x00efffff,
    0x3fae6000,0xffffffff,0xefffffff,0xfff1000b,0x007fffff,0x3ffffe20,
    0x00003fff,0xffdd5000,0xfff88007,0xffefffff,0x02ffffff,0xf701ffb8,
    0x0005ffff,0x8dfffff3,0x6cc5fffa,0xffffffff,0xfb8001ce,0x20dfffff,
    0xf92fffff,0xfd5009ff,0x3fe23fff,0x00003fff,0x9dffffd5,0x75c00001,
    0xffffffff,0xeb8001df,0x00beffff,0xfd950000,0x9bffffff,0x7edc0003,
    0xceffffff,0x09fff900,0xeffffeb8,0x6cc0000b,0x2dffffff,0x3ffffa60,
    0xfffc81ce,0xe8002cef,0x02defffe,0x6dc40000,0xfffffffe,0x0001bdef,
    0x3bffffff,0xffff8000,0x00001dff,0x1ffa8000,0xffffa800,0xffffffff,
    0xfe805fff,0x3fffa04f,0x3fa0007f,0x7d41ffff,0x2aa6200e,0x2600000a,
    0x988001aa,0x4c400099,0x00004cc1,0x00000000,0x35555330,0x00000000,
    0x2aa20000,0x20000009,0x31000999,0x00000133,0x00998000,0x09980000,
    0x00000000,0x99880000,0x98800001,0x44000009,0x00000099,0x1bfea000,
    0xffffb800,0xffffffff,0x05fb004f,0x27ffffd4,0xffff7000,0x000130bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x00003dff,0xffffffd5,0x440039df,0x7fffec00,0x3e20001f,
    0x000fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00009f50,0x000cccc0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33000000,0x00003333,0x55555400,0x4cccc000,
    0x99999999,0x99999999,0xca880000,0x00009acc,0x002aaaaa,0x99995000,
    0x73100007,0x00035599,0x64407326,0x6664001c,0x1004c402,0xccca8033,
    0x99999800,0x01999980,0x3ccccb80,0x2a600000,0x26601aaa,0x33310199,
    0x33322013,0x999880cc,0x00000019,0x99980004,0x26200099,0x4ccc1999,
    0x4cc00099,0x00099999,0x2aaaaa00,0x26600000,0x09999999,0x002aaaaa,
    0xffffff98,0xa8000001,0x006fffff,0x3fffffe2,0xffffffff,0x05ffffff,
    0x7fffdc00,0x8006ffff,0x06fffffa,0x3ffe6000,0x88002fff,0xfffffffd,
    0x44003fff,0x3ff905ff,0x17ffdc00,0x6c03ff20,0x7ffcc07f,0x7fffcc04,
    0x7fffc42f,0x3fea001f,0x0001ffff,0xfffff980,0xffff880f,0xffffc81f,
    0xfffffd06,0xfffff50b,0x91000000,0x440039ff,0x003fffff,0x87ffffea,
    0x004fffff,0x3fffffee,0xf700001f,0x000bffff,0x3ffffe20,0x3fe2ffff,
    0x32002fff,0x04ffffff,0x7fc40000,0x004fffff,0xfffffff1,0xffffffff,
    0x00bfffff,0x7ffffd40,0x4004ffff,0xfffffff8,0xfe880004,0x00ffffff,
    0x3ffffea0,0xffffffff,0x3ffa002f,0x0fff711b,0x807fff80,0xff984ffa,
    0x1fffe805,0x3ffffe60,0x7ffffc42,0xffff1001,0x0001dfff,0x7ffff440,
    0xfff885ff,0xfffc81ff,0xffffb86f,0x7fd43fff,0x000007ff,0x07ffffe8,
    0x3ffffe20,0x3ffea003,0x3fffe1ff,0xfff5004f,0x0003ffff,0x3ffffe60,
    0x880003ff,0xffffffff,0x3ffffe2f,0xffff1002,0x0001ffff,0x6fffec00,
    0x8802ffff,0xffffffff,0xffffffff,0x0005ffff,0x3ffffffe,0x6c002fff,
    0xffffdfff,0x7fe40001,0x05fffddf,0xffffff70,0xffffffff,0x3ea005ff,
    0xffffffff,0x3ffee002,0xefff8803,0x02fffdbc,0x206fffa8,0x42fffff9,
    0x01fffff8,0xfd9fffb0,0x40000bff,0xfffdfffc,0x7fffc42f,0xffffc81f,
    0x5ffffcc6,0x3ea1ffff,0x00007fff,0xfd877cc0,0xffff1002,0x7fd4007f,
    0x3ffe1fff,0xffa804ff,0x001fffff,0x37fffa00,0x0000ffff,0x7fffffc4,
    0x3ffe2fff,0xff7002ff,0x07ffffff,0x3fee0000,0x1ffff76f,0xfffff880,
    0xffffffff,0x5fffffff,0xffff3000,0x01ffffff,0xbb7ffdc0,0x0000efff,
    0xd11dfff5,0xfa807fff,0xffffffff,0xffffffff,0xfff7000f,0x4007ffff,
    0x000ffff8,0xfffffff5,0x7ffc009f,0xffff303f,0xffff885f,0xfffb801f,
    0x05ffff16,0xdfff5000,0x41ffff51,0x81fffff8,0x226ffffc,0xff72fffe,
    0x7fffd4df,0x64000007,0x4017ea3f,0x03fffff8,0x3ffffea0,0x13ffffe1,
    0xffffff30,0x6400003f,0xfff95fff,0xff88000d,0x2fffffff,0x00bffffe,
    0x7ffffff4,0x800006ff,0x321ffff8,0x7c405fff,0xccceffff,0xcccccccc,
    0x70003ccc,0x4c7fffff,0x3ffe6002,0x17fff60f,0x3fffe200,0x07fffe61,
    0xdfffffd8,0xfff93119,0x4400bfff,0x000cdedc,0x002fffe4,0x3fffffa6,
    0x7ffe4003,0xfffff306,0xeeeee885,0x7fffcc00,0x03fffe61,0xffff8800,
    0x897fff21,0xb80eeeee,0x3f24eeee,0x7ffec5ff,0x0fffff54,0x5f980000,
    0x7c400ff2,0x2003ffff,0x21fffffa,0x204fffff,0xfffffff9,0x3ea00001,
    0x3ffa0eff,0x3e20003f,0x7fc07fff,0xf9802fff,0xffffffff,0x4400001f,
    0x99980999,0x7fffc401,0x0000004f,0x06ffffd8,0x04ccc400,0x0000cccc,
    0x7ffc0000,0x7fd404ff,0x00007fff,0x7fffc400,0x35530002,0xfff30001,
    0xffff305f,0x0000005f,0x26200000,0x19998099,0x00000000,0x03ffffd4,
    0x7ff40000,0xf1000ffe,0x4007ffff,0x21fffffa,0x104fffff,0x5fffffff,
    0x99880000,0x0cccc409,0xffff1000,0x3200000f,0xfffeffff,0x000004ff,
    0x7fc40000,0x00004fff,0xffffe800,0x00000003,0x40000000,0x00fffffa,
    0x1fffffc8,0x32000000,0x0000ffff,0x7ffc0000,0xffff985f,0x0000002f,
    0x00000000,0x00000000,0x0fffff50,0xfb300000,0x7c4003bf,0x2003ffff,
    0x21fffffa,0x884fffff,0x2ffffffe,0x00000000,0x7ffc4000,0xf000007f,
    0xff97ffff,0x00001fff,0x4d6654c0,0xffff1000,0x0000009f,0xffff7555,
    0x0015559f,0x3332aa20,0x400009ab,0x20acedba,0x2e1aaaa9,0x801fffff,
    0x02fffffa,0x0acedba8,0x886aaaa6,0x3305ffff,0x44001333,0xf9019999,
    0xff983fff,0x55442fff,0x554c0aaa,0x551002aa,0x40001555,0x10099999,
    0x30155555,0x22055555,0xf502aaaa,0x5540ffff,0x4cc2aaaa,0x80880999,
    0x22199998,0x003fffff,0x87ffffea,0x444fffff,0x2ffffffe,0x33333100,
    0x26666200,0x33310019,0x7fffc433,0x01ffe807,0x8fffffa8,0x03fffff9,
    0x7ff5c000,0x3fffffff,0x7ffffc40,0x44000004,0xffffffff,0x000fffff,
    0x7ffffed4,0x01cfffff,0x7ffff4c0,0xfff72fff,0x7fffcc7f,0x800000df,
    0xffffffe9,0x7ffff72f,0x41ffffd4,0x03fffff8,0x3ffffea0,0x4ffffa81,
    0x17ffffcc,0x07ffffe2,0x05fffff5,0x0dffff90,0xfffff800,0xfffff105,
    0xdffff903,0x3ffffe60,0x7ffffa80,0xffffff70,0x7ffffc43,0x3ffea003,
    0xffff11ff,0x7fd4007f,0x3ffe1fff,0x7fff44ff,0x36002fff,0x800fffff,
    0x1ffffffe,0x7ffffd80,0x01ffffe2,0x3600bffe,0x3fa5ffff,0x00006fff,
    0xffffffd1,0x3dffffff,0x3ffffe20,0x54000004,0xffffffff,0x2007ffff,
    0xffffffe8,0xffffffff,0xfffb800d,0xafffffff,0x223ffffb,0xcfffffff,
    0xff700001,0xffffffff,0x47ffff75,0x881ffffc,0x003fffff,0x07ffffea,
    0x31bfffe2,0x885fffff,0xf81fffff,0xf804ffff,0x0004ffff,0x82fffffc,
    0x81fffff8,0x306ffffc,0x501fffff,0xf50fffff,0x883fffff,0x003fffff,
    0x47ffffea,0x03fffff8,0x3ffffea0,0x93ffffe1,0x3ffffffd,0x7fffdc00,
    0x7ffc402f,0xf803ffff,0x3e25ffff,0x7c407fff,0x7fc403ff,0x3fee2fff,
    0x40001fff,0xfffffffb,0xffffffff,0xffff883f,0x999999cf,0x09999999,
    0xfffff700,0xdfffffff,0x3fffea00,0xffffffff,0x00efffff,0x3fffffe6,
    0xfeffffff,0x7fec3fff,0xdfffffff,0xff98000b,0xffffffff,0x3ffffeff,
    0x441ffffe,0x003fffff,0x07ffffea,0x307ffffc,0x885fffff,0xc81fffff,
    0x4c07ffff,0x001fffff,0x2fffffc0,0x1fffff88,0x06ffffc8,0x01fffff3,
    0x98fffff5,0x81ffffff,0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,
    0x3ffffe1f,0xffffff94,0xfff30007,0xffa807ff,0x406fffff,0x23fffff8,
    0x407ffff8,0x5c03fff8,0x220fffff,0x004fffff,0x3fffff20,0xffffffff,
    0x441fffff,0xffffffff,0xffffffff,0x95005fff,0xdfffff99,0xf5005999,
    0xffffffff,0xffffffff,0x3fa01dff,0xb9beffff,0xfffffffd,0x7ffff443,
    0xefffffff,0xfffd001c,0xfb737dff,0x27ffffff,0x107ffff9,0x007fffff,
    0x0fffffd4,0x22ffffe8,0x42fffff9,0x81fffff8,0x02fffff9,0x01bffff2,
    0x3ffffe00,0xfffff105,0xdffff903,0x3ffffe60,0x7ffffa80,0x3fffffe2,
    0xfffff102,0x7ffd4007,0xffff11ff,0x7fd4007f,0x3ffe1fff,0xffffccff,
    0xf0004fff,0xc80bffff,0x7fffffff,0x7ffffd40,0x1ffffe21,0x809fff30,
    0xe85ffffe,0x000fffff,0xffffff98,0xfeb99bcf,0x20ffffff,0xfffffff8,
    0xffffffff,0x0005ffff,0x007fffff,0xffffff88,0xca99bcef,0x4fffffff,
    0x5fffffa8,0xffffff70,0xfffff307,0xffffffff,0x7fd403df,0xff705fff,
    0x3ee7ffff,0xff106fff,0x54007fff,0xb01fffff,0x7cc9ffff,0x7c42ffff,
    0xfd01ffff,0x7fc09fff,0x80003fff,0x105fffff,0x903fffff,0x260dffff,
    0xa80fffff,0xfd17ffff,0x4405ffff,0x003fffff,0x47ffffea,0x03fffff8,
    0x3ffffea0,0x3fffffe1,0xffffffff,0xffd8001f,0x7ff407ff,0x01ffffff,
    0x11fffff2,0xa80fffff,0x3e605fff,0xfb82ffff,0x8003ffff,0x0efffffe,
    0x3ffffee0,0x3fffe23f,0xffffffff,0x5fffffff,0xffff8800,0x7ff4002f,
    0x4403ffff,0x0ffffffe,0x07fffff4,0x7fffffb0,0x3ffff620,0xffffffff,
    0xfffd01ff,0x7fec01ff,0xfff93fff,0x3ffe20bf,0x3ea003ff,0xf901ffff,
    0x7fccbfff,0x7fc42fff,0xff701fff,0x3fe60fff,0x80000fff,0x105fffff,
    0x903fffff,0x260dffff,0xa80fffff,0xffb7ffff,0xf8807fff,0x2003ffff,
    0x11fffffa,0x007fffff,0x0fffffd4,0xffffffff,0xdfffffff,0xffff7000,
    0x3ffe201f,0x03ffffff,0x117ffffa,0xb80fffff,0x3f606fff,0xff107fff,
    0xa800dfff,0x005fffff,0x4dfffff7,0xfffffff8,0xffffffff,0x8005ffff,
    0x00fffff9,0x3ffffee0,0xfff3001f,0xfff87fff,0x7fcc04ff,0x6d403fff,
    0xffffffff,0xf82fffff,0x4c04ffff,0xf93fffff,0x3e209fff,0x2003ffff,
    0x01fffffa,0x4cdffff7,0x442fffff,0x101fffff,0x905fffff,0x000bffff,
    0x17ffffe0,0x0fffffc4,0x837fffe4,0x80fffff9,0xfdfffffa,0x8804ffff,
    0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x3fffffe1,0xffffffff,
    0x7cc004ff,0xf502ffff,0xffffffff,0x3fffe20b,0x7fffc43f,0x3fffe407,
    0x4fffff88,0x3fffff60,0x3fffe001,0x3fa000ff,0xff10dfff,0x9999dfff,
    0x99999999,0xff700059,0xfe800fff,0x4002ffff,0x23effffc,0x02fffff8,
    0x03fffff8,0x3ffff6a0,0x1fffffff,0x0bffffe2,0x4fffffe0,0x103ffffd,
    0x007fffff,0x0fffffd4,0x26ffffa8,0x42fffff9,0x01fffff8,0x213ffff6,
    0x002ffffe,0xbfffff00,0x3ffffe20,0x6ffffc81,0x1fffff30,0xffffff50,
    0x003fffff,0x07fffff1,0x7ffffd40,0x7fffff11,0x7fffd400,0x3ffffe1f,
    0xffabffff,0x4001ffff,0x904fffff,0xfffbffff,0x3ffe60ff,0x7ffc41ff,
    0x7ffe407f,0xfffff707,0x73333337,0x009fffff,0x13ffffe6,0x1037b500,
    0x009fffff,0x7fe40000,0x3e6005ff,0x0006ffff,0x3fe60379,0xfe801fff,
    0x10003fff,0xffffffb7,0x7fffccbf,0xfffe801f,0x5ffffd3f,0x3ffffe20,
    0x3ffea003,0xfff301ff,0x7fffccff,0x7fffc42f,0x3ffea01f,0x7fffcc7f,
    0x3fe00007,0xff105fff,0xff903fff,0x3fe60dff,0xffa80fff,0xffffffff,
    0xfff8806f,0x3ea003ff,0xff11ffff,0x54007fff,0x3e1fffff,0x4fffffff,
    0x1bfffff6,0xdffffd00,0x27ffffe0,0xb81fffff,0xf887ffff,0x7ec07fff,
    0xffe80fff,0xffffffff,0xffffffff,0xfffb800f,0x400001ff,0x04fffff8,
    0x3fa00000,0x32004fff,0x002fffff,0xffff5000,0xfffb001f,0xb100007f,
    0x21ffffff,0x00fffffa,0xd3ffffd8,0x2203ffff,0x003fffff,0x07ffffea,
    0x33ffffc4,0x885fffff,0x401fffff,0x322fffff,0x0004ffff,0x17ffffe0,
    0x0fffffc4,0x837fffe4,0x80fffff9,0xfffffffa,0x403fffff,0x03fffff8,
    0x3ffffea0,0x13ffffe1,0xfffffa80,0x3fffffe1,0x7fffc44f,0x3f2003ff,
    0xff987fff,0xffffb7ff,0xdffffb07,0x0fffff10,0x41ffffe8,0xfffffff9,
    0xffffffff,0x803fffff,0x00fffffc,0x7ffc4000,0x000004ff,0x0fffffe0,
    0xfffffd80,0xf3000000,0xd003ffff,0x2627ffff,0x74004cba,0xf31fffff,
    0xd003ffff,0x3fa7ffff,0xff101fff,0x54007fff,0x101fffff,0x7ccfffff,
    0x7c42ffff,0x6401ffff,0x3fa4ffff,0x00001fff,0x417ffffe,0x81fffff8,
    0x306ffffc,0x501fffff,0xffffffff,0x401fffff,0x03fffff8,0x3ffffea0,
    0x13ffffe1,0xfffffb80,0x3fffffe0,0xfffff904,0x3fea003f,0x7fdc1fff,
    0xffff55ff,0x9fffff0b,0x0fffff10,0x42fffff8,0xfffffffc,0xffffffff,
    0x806fffff,0x007ffffd,0xffff8800,0x0000004f,0x03fffff1,0x3fffff40,
    0xff100000,0xff005fff,0x3fea7fff,0x2e002fff,0xf11fffff,0xf005ffff,
    0x3f67ffff,0xff102fff,0x54007fff,0x301fffff,0x7ccbffff,0x7c42ffff,
    0x4c01ffff,0xff37ffff,0x80000dff,0x105fffff,0x903fffff,0x260dffff,
    0xa80fffff,0x8effffff,0x204fffff,0x03fffff8,0x3ffffea0,0x17ffffe1,
    0xfffffc80,0x17ffffe0,0xffffff88,0xffff1006,0xffffd87f,0x8fffff12,
    0x82fffff8,0x407ffff8,0x7c2fffff,0xffffffff,0xffffffff,0x401fffff,
    0x006ffffe,0xffff8800,0x0000004f,0x01fffff5,0x37ffffc0,0x4cccccc0,
    0x7c199999,0x4c04ffff,0xf13fffff,0x4009ffff,0x20fffffb,0x404fffff,
    0xb3fffff9,0x2207ffff,0x003fffff,0x07ffffea,0x327fffcc,0x885fffff,
    0x801fffff,0xfc9ffffe,0x00003fff,0x82fffffc,0x81fffff8,0x306ffffc,
    0x501fffff,0x21dfffff,0x01fffffb,0x07fffff1,0x7ffffd40,0x3fffffa1,
    0xffffd000,0x4fffff8f,0x7ffffd40,0xfffd003f,0xfffff8bf,0x87ffffa0,
    0x80fffffa,0x207ffff8,0x23fffff8,0xcdfffffa,0xcccccccc,0x5fffffdc,
    0x2fffffc0,0x7fc40000,0x00004fff,0xdffff700,0xfffff800,0xfffff805,
    0x1fffffff,0x03fffffa,0x3fffffe8,0x07fffffa,0x37ffff40,0x03fffffa,
    0x3fffffe8,0x207ffff9,0x03fffff8,0x3ffffea0,0x7ffff501,0x17ffffcc,
    0x07ffffe2,0x33fffee0,0x000ffffe,0x7ffffc00,0xfffff105,0xdffff903,
    0x3ffffe60,0xfffffa80,0x2fffff40,0x3fffff88,0x3fffea00,0x3ffff21f,
    0xfffa805f,0x7fffc6ff,0xfffe804f,0xfc800fff,0x3fe66fff,0x7ffe46ff,
    0x3ffff23f,0xfffff106,0x7ffffcc0,0x1fffff64,0x3ffffe00,0xffff100f,
    0x100000df,0x009fffff,0x3ff20000,0x7fc005ff,0xff806fff,0xffffffff,
    0x3ffea1ff,0xffc80dff,0x3f23ffff,0x202fffff,0x4fffffd8,0x6fffffd4,
    0xfffffc80,0x9ffff73f,0x3ffffe20,0x3ffea003,0xfff501ff,0x7fffcc5f,
    0x7fffc42f,0xfff8801f,0x06ffffff,0xffff8000,0xffff105f,0xffff903f,
    0x3fffe60d,0xffffa80f,0xfffffa87,0xfffff882,0x3ffea003,0x3ffee1ff,
    0x3e603fff,0x7c4fffff,0x9804ffff,0x05ffffff,0x0fffffa8,0xa89ffff7,
    0x3fa5ffff,0xff104fff,0x7fcc0fff,0xfff14fff,0xf90009ff,0x7c07ffff,
    0x0006ffff,0xfffff880,0xeeeeeeee,0xeeeeeeee,0xffffd001,0xffff8009,
    0xffff807f,0xffffffff,0x7fffffc1,0xfffecacf,0x3e23ffff,0xbdffffff,
    0xffffcbaa,0xfff81fff,0xecacffff,0x3fffffff,0x20bffff3,0x03fffff8,
    0x3ffffea0,0x3ffff901,0x17ffffcc,0x07ffffe2,0x7ffffec0,0x00003fff,
    0x05fffff8,0x03fffff1,0x20dffff9,0x80fffff9,0xd07ffffa,0xf10dffff,
    0x4007ffff,0x21fffffa,0xfffffff8,0xffdcabce,0x7c1fffff,0x9004ffff,
    0x05ffffff,0x2fffff88,0x885ffffb,0x3fe7ffff,0xff102fff,0x7fcc0fff,
    0xfff74fff,0xf30005ff,0x6c0dffff,0x0007ffff,0xfffff880,0xffffffff,
    0xffffffff,0xfffff001,0xfffe8005,0x7ffc00ff,0xffffffff,0x7fffdc1f,
    0xffffffff,0x4c3fffff,0xffffffff,0xffffffff,0xfff706ff,0xffffffff,
    0x47ffffff,0xf106ffff,0x4007ffff,0x01fffffa,0xf98ffffb,0x7c42ffff,
    0x5001ffff,0xffffffff,0xff000001,0x3e20bfff,0xfc81ffff,0xff306fff,
    0xff501fff,0x3fe60fff,0x7fc43fff,0x2a003fff,0x5c1fffff,0xffffffff,
    0xffffffff,0xffff85ff,0xfff1004f,0xf801ffff,0xfff3ffff,0xfffd01ff,
    0xfffff33f,0x3fffe201,0x3fffe607,0xfffffd4f,0x7fff4000,0xfff901ff,
    0x010001ff,0x7fffffc4,0xffffffff,0x1fffffff,0xfffff880,0x7ffec001,
    0x666401ff,0xffffeccc,0xffffb81f,0xe9ffffff,0xfc83ffff,0xffffffff,
    0xefffffff,0x3fffee00,0xe9ffffff,0x3f63ffff,0xff880fff,0x2a003fff,
    0xf01fffff,0xff98dfff,0x7fc42fff,0x3e001fff,0x05ffffff,0xffff0000,
    0x3ffe20bf,0xfffc81ff,0xffff306f,0xffff501f,0x7fffec0f,0x3fffe20f,
    0x3fea003f,0xffc81fff,0xffffffff,0x0effffff,0x04fffff8,0x3ffffee0,
    0x7ffec05f,0x6ffff9df,0x77ffff90,0x440dffff,0x2607ffff,0xfacfffff,
    0x0004ffff,0x17ffffee,0x17ffffdc,0x06fbea00,0xfffffff1,0xffffffff,
    0x03ffffff,0x0fffff50,0xfffff700,0x3fee0009,0xff501fff,0x23ffffff,
    0x503ffffe,0xfffffffd,0x1bffffff,0xfffff500,0x3ffa3fff,0x3ffee3ff,
    0xfffff02f,0x7ffdc009,0xfff881ff,0x7fffcc4f,0x7fffc42f,0x3ff2001f,
    0x8002ffff,0x7fffc019,0xffff104f,0xffff903f,0x3fffe60d,0xffffa80f,
    0x3fffe207,0x7ffffc4f,0x3ffee004,0xfff701ff,0xffffffff,0x7fc0bfff,
    0x74004fff,0x02ffffff,0x33ffffee,0xf304ffff,0xfffbbfff,0x7ffc409f,
    0x3ffe607f,0xffffdcff,0x3e20001f,0xa80fffff,0x005fffff,0x8f7fffec,
    0xfffffff8,0xffffffff,0x01ffffff,0x06ffffb8,0xfffff880,0xffb8000f,
    0x2a201fff,0x3a0aceec,0x5c03ffff,0xfffffffe,0x44001dff,0x20aceeca,
    0x263ffffe,0xff04ffff,0x6400bfff,0xa80fffff,0x7cc1ffff,0x7c42ffff,
    0x2001ffff,0x07fffff9,0x1ffffd30,0x27ffffc0,0x1fffff88,0x06ffffc8,
    0x01fffff3,0x80fffff5,0x21fffffc,0x005fffff,0x03fffff2,0xffffeb88,
    0x01cfffff,0x027ffffc,0x3ffffea0,0xfff300ff,0x5fffffff,0x7fffffc0,
    0x2202ffff,0x2607ffff,0x003eeeee,0x01ffe000,0x3fffffe2,0xffff3001,
    0xfb0000ff,0x3f60001f,0xb0005fff,0x009fffff,0x3fffff70,0xffff0000,
    0x7edc005f,0x00001eff,0x2fffff80,0xe837fff4,0x000fffff,0x20fffffd,
    0xfa86fffd,0x13fe603f,0x7fffc400,0xfff1004f,0x3fe203ff,0x80004fff,
    0x305ffffc,0x001fffff,0x00d66644,0x1fffffd0,0x3ffffa00,0x3fe62007,
    0x000009af,0x002af32a,0xfffff800,0x6c07ffff,0xffffffff,0x3ffe200f,
    0x0000007f,0x01bfe200,0x77ffffd4,0xffffe800,0xfe80003f,0x3ffa0007,
    0xf50003ff,0x007fffff,0x7fffff4c,0x0026aea1,0x00fffffc,0xfffffff0,
    0x26aea003,0xfffff000,0x0ffffa83,0x5fffffd8,0xfffffa80,0x07ffff06,
    0x7d405ff7,0xff90003f,0x7c003fff,0xf503ffff,0x0005ffff,0x0bffffb0,
    0x01ffffea,0xdfffff50,0xffffb001,0xfff500bf,0xf8800dff,0xb000006f,
    0x009fffff,0x3ffff600,0x5c05ffff,0xffffffff,0x7fffc407,0x55555407,
    0xf3000000,0x7fec00df,0xd301efff,0x01ffffff,0x00fff000,0x3ffffe60,
    0x3ff20001,0x200dffff,0xffffffd8,0x3ffff21f,0x3ffea05f,0x591000ff,
    0x00bfff95,0x17fffff2,0x0fffffa8,0xa82ffff8,0x03ffffff,0x3fffffe6,
    0x0ffff983,0x2e02ffd8,0xf88003ff,0x4006ffff,0x81fffffe,0x01fffffd,
    0x7fffc400,0xffffd05f,0xfee9800f,0xfa806fff,0x203fffff,0x3ffffff9,
    0x037fcc00,0xffec8000,0x80003fff,0xfffffffb,0x7ffcc03f,0x405fffff,
    0x207ffff8,0x00fffff8,0xfff50000,0x3ffe6001,0xbaceffff,0xfffffffd,
    0xff980004,0x55e4c02f,0x07fffffb,0x7fff4400,0xbbceffff,0xffffffed,
    0x3fea1fff,0x260affff,0x06fffffb,0x0fffdc00,0x7ffffd40,0x3fee60af,
    0xff906fff,0x3fffa0bf,0xcabcefff,0x7ffffffd,0x20bfff90,0x3f604ffe,
    0xa88c405f,0x02ffffff,0x7ffffe40,0xfffecacf,0xd30006ff,0x7ffffffd,
    0x7fffff6c,0x7f40006f,0xffe800ff,0xabceffff,0xffffffdc,0xfffa8007,
    0x4c000000,0x80005fff,0xfffffff9,0xffff801f,0x4403ffff,0xaaafffff,
    0xfffff10a,0x2a000001,0x9000cfff,0xffffffff,0xffffffff,0x220000bf,
    0x3200dfff,0xffffffff,0xf980005f,0xffffffff,0xffffffff,0x7c45ffff,
    0xefffffff,0xffffffff,0x7fe40001,0xfff8801f,0xffefffff,0x01ffffff,
    0x501ffff1,0xffffffff,0xffffffff,0x3ffe07ff,0x3fffb01f,0x80bfff20,
    0xfffffffa,0xf88006ff,0xffffffff,0x02ffffff,0xfffff700,0x3fe25fff,
    0x04ffffff,0x07fff400,0x7ffffd40,0xffffffff,0x003fffff,0x00cfff98,
    0x3fe60000,0xf880005f,0x07ffffff,0xffffffb0,0xfff8803f,0x12ffffff,
    0x001fffff,0x3ffe2000,0x200fedff,0xfffffffa,0xffffffff,0x7fc00006,
    0x21feefff,0xfffffffe,0x100002ff,0xfffffffd,0xffffffff,0x3ea05fff,
    0xffffffff,0x04ffffff,0x36eaaae0,0x2a006fff,0xffffffff,0x4fffffff,
    0x81fffdc0,0xfffffffb,0xffffffff,0xfffa80df,0x3ffff204,0xfff54fde,
    0x7ccddbff,0xffffffff,0xfff70002,0xffffffff,0x640009ff,0x5fffffff,
    0x3fffffea,0xab8800ff,0x5fffdcaa,0x3fffee00,0xffffffff,0x000dffff,
    0xdfffff88,0xaa8000fe,0xffffcbaa,0xffd00002,0x200bffff,0x7ffffffb,
    0xfffff880,0xff12ffff,0x00001fff,0x7ffffe40,0x7ec400ff,0xffffffff,
    0x0000cfff,0x7ffffd40,0xffff11ff,0x009fffff,0xffff9000,0xffffffff,
    0xf7007fff,0xffffffff,0x4007ffff,0xfffffff8,0x7dc000ef,0xffffffff,
    0xd003ffff,0x7f4c0fff,0xffffffff,0x3a03ffff,0x3e200fff,0x24ffffff,
    0x6ffffffe,0x3fffffe2,0x5c0003ff,0xffffffff,0x40004fff,0xfffffffe,
    0x3ffffee0,0xff3002ff,0x1dffffff,0xfffe9800,0xffffffff,0x5c0003ff,
    0x0fffffff,0xffffc800,0x0003ffff,0x3fffff20,0xfff3003f,0xf100bfff,
    0xffffffff,0x3ffffe25,0x5c000000,0x004effff,0x3ffffb6e,0x0000cfff,
    0x3fffaa00,0xffd910ce,0x0007dfff,0x7ff54400,0xbcefffff,0xffdb8001,
    0x0cefffff,0x7ff74400,0x40002def,0xffffffdb,0x2a000cef,0x32202fff,
    0xfffffffe,0x3ea00dff,0xfd8803ff,0x3622dfff,0x7c3dffff,0x01dfffff,
    0xfffb1000,0x003bffff,0xdffffd00,0xffffc839,0x3a2002ef,0x01deffff,
    0x3ffb2200,0xdfffffff,0xff700000,0x20009dff,0xbeffffeb,0x7d400000,
    0x001fffff,0x0ffffffe,0x3ffffe20,0x0002ffff,0x03100000,0x35531000,
    0x80000001,0x19880098,0x30000000,0x00003553,0x00026660,0x00000000,
    0x80001333,0x31000999,0x00355555,0x10006662,0x80130013,0x00000998,
    0x04d554c0,0x26620000,0x00133000,0x40000000,0x1aaaaa98,0x06200000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0ccccc98,0x00399999,0x15555440,0x66640000,0x16665c1c,
    0x33332000,0x00e665c0,0xaaaaaa80,0x44002aaa,0xaaaaaaaa,0x8000aaaa,
    0x059701ba,0x5554c000,0x55100002,0x50003555,0x1554c355,0x0aaaa200,
    0x2002aaaa,0x00aaaaa9,0x4c000000,0x000aaaaa,0x1aaaa800,0x33260000,
    0x6666444c,0x154c0000,0x00015510,0x0b333326,0x99700000,0x33100999,
    0x00000333,0x0aaaaa20,0xfffd8000,0xbffff53f,0xfffd8000,0x400003ff,
    0xf50efffa,0x80001fff,0x3ee6fffb,0x3e0006ff,0xffffffff,0x7ffc4007,
    0xffffffff,0x3fea001f,0xff51beff,0x3e600009,0x00000eff,0x01fffff7,
    0x35fff300,0xb0005fff,0x7fe49fff,0xfff1006f,0x000007ff,0x7fffc400,
    0x1000003f,0x0003fffd,0xb27ffec0,0x00009fff,0x3f603ff9,0x7fe40007,
    0x000006ff,0x0bffffe6,0x1ffffea0,0x7f400000,0x0003ffff,0x25ffff88,
    0x0006fffe,0x7fffffdc,0x6c00001f,0xfff9dfff,0xfb00002f,0xffff39ff,
    0x7ffc0003,0x07ffffff,0x7ffffc40,0x1fffffff,0x3ffffa00,0x3fffffff,
    0xbffd0000,0xfff80000,0x2a0001ff,0x02ffefff,0x3ffff100,0x001ffff5,
    0x03ffffcc,0xf7000000,0x00009fff,0x01dff900,0x3ffe2000,0x0efffb9f,
    0x5ffa8000,0x0005ff98,0x02ffffd8,0xfffb0000,0x3fea005f,0x000007ff,
    0xffffffc8,0x7e40000f,0x3ffea5ff,0x3e60000f,0x6fffdfff,0x7f440000,
    0x04ffffff,0x3ffe2000,0x004fffff,0x88000000,0xffffffff,0x3001ffff,
    0xffffbdff,0x0001ffff,0x0007ffb0,0x1ffffa80,0xfffb8000,0x7d40003f,
    0x3fffffff,0xffff9800,0x00000002,0x000bffff,0x2ffd4000,0xfff50000,
    0x003fffff,0x6ffff400,0x002fffec,0x0dfffb00,0xfff10000,0x7fd4007f,
    0x000007ff,0x7effffd4,0x220006ff,0x3fa0efff,0x740001ff,0xfffd3fff,
    0xf9800009,0x006fffff,0xffffa800,0xc80006ff,0x004ca82c,0x2e000000,
    0x3ff260ff,0x320001df,0x004ca82c,0x02fffe80,0x54166400,0x3f20004c,
    0x005fffff,0x01bffea0,0x3ee00000,0x000005ff,0x4ca82cc8,0xfffc8000,
    0x00004fff,0x7fffffc4,0x200004ff,0x001fffe8,0x27ffe400,0x3fffea00,
    0x22000007,0xffd2ffff,0x3ee0007f,0x3ffe60ff,0x7fe40002,0x3fffe25f,
    0x7e400001,0x0001ffff,0xfffff900,0x9ff00001,0x0001ff90,0x2a600000,
    0x00002602,0x3ff213fe,0x3fea0000,0xff80002f,0x000ffc84,0xfffffd10,
    0xffa80001,0x0000002f,0x00037ff4,0xc84ff800,0x440000ff,0x006ffffe,
    0xfffb1000,0x000005df,0x000bffd1,0x027ffc40,0x3ffffd40,0xffb00000,
    0x7fffc49f,0x09988001,0x00004cc4,0x4c40cccc,0x00000099,0x00000000,
    0x13fe0000,0x00003ff2,0x00000000,0x213fe000,0x20000ffc,0x00000998,
    0x1ff909ff,0x4ccc4000,0x31000009,0x00000013,0x00009998,0x909ff000,
    0x000001ff,0x4c000000,0x40000009,0x00001998,0x40006662,0x007ffffa,
    0x06666000,0x30026662,0x40013333,0x00199998,0x00000000,0x026f2ea2,
    0x4ccccc00,0x26662000,0x4ccccc19,0x99880998,0x30199998,0x64419999,
    0x33301ccc,0x4c400133,0x4ccc1999,0x88099899,0x19999899,0x41999930,
    0x301cccc8,0x13313333,0x33313310,0x33326033,0x3333220c,0x66664c01,
    0x07333220,0x00000000,0x99999800,0x99880998,0x00199998,0x2ab32e62,
    0x54400001,0x09abccca,0x26666600,0x26662000,0x4ccccc19,0x26662000,
    0x3fffea19,0x33300007,0x4c400133,0x3fe21999,0x2a003fff,0x261fffff,
    0x00099999,0x03333330,0x3fff7220,0x2effffff,0xfffff100,0x7ffd4007,
    0xffff11ff,0x7fd4007f,0xffb81fff,0x3ffe20ff,0xffff883f,0x3fea003f,
    0xfff11fff,0x7d4007ff,0xfb81ffff,0x3fe20fff,0xfff883ff,0x3ea003ff,
    0xfb81ffff,0x3fe20fff,0x7fdc03ff,0x3ffe20ff,0x3100003f,0x33333333,
    0x33333333,0x33333333,0x1fffffc4,0xfffff500,0x7ffec403,0x3fffffff,
    0x7fed4000,0xffffffff,0x7ffc401c,0x3ea003ff,0xff11ffff,0x54007fff,
    0xf51fffff,0xdca8ffff,0x3e200acd,0x2003ffff,0x11fffffa,0x007fffff,
    0x0fffffd4,0x1ffffff9,0xffffc800,0xfffa806f,0xffffffff,0x4400dfff,
    0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x0ffffb81,0x20ffffe2,
    0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,0xffffb81f,0x0ffffe20,
    0x0fffffe2,0xfffffa80,0x0ffffb81,0x00ffffe2,0x441ffff7,0x0003ffff,
    0xffffffd0,0xffffffff,0xffffffff,0x7ffc4fff,0x3ea003ff,0xf501ffff,
    0xffffffff,0x005fffff,0xfffffe88,0xffffffff,0xfff100df,0x7d4007ff,
    0xff11ffff,0x54007fff,0xf51fffff,0x3fa2ffff,0x02ffffff,0x07fffff1,
    0x7ffffd40,0x7fffff11,0x7fffd400,0x3fffe21f,0x3e6004ff,0x401fffff,
    0xfffffffc,0xffffffff,0x3fe202ff,0x2a003fff,0xf11fffff,0x4007ffff,
    0x81fffffa,0x220ffffb,0xf883ffff,0x2003ffff,0x11fffffa,0x007fffff,
    0x0fffffd4,0x107fffdc,0xf107ffff,0x4007ffff,0x81fffffa,0x220ffffb,
    0x5c03ffff,0x3e20ffff,0x80003fff,0xfffffff9,0xffffffff,0xffffffff,
    0x3ffe27ff,0x3ea003ff,0xfb81ffff,0xffffffff,0x2fffffff,0xfffff500,
    0xffffffff,0x101dffff,0x007fffff,0x8fffffd4,0x03fffff8,0x3ffffea0,
    0x5fffff51,0xffffffff,0xfff109ff,0x7d4007ff,0xff11ffff,0x54007fff,
    0x541fffff,0x01ffffff,0x9fffffd0,0xfffffd80,0xffffffff,0x03ffffff,
    0x07fffff1,0x7ffffd40,0x7fffff11,0x7fffd400,0xffffb81f,0x0ffffe20,
    0x0fffffe2,0xfffffa80,0x7fffff11,0x7fffd400,0xffffb81f,0x0ffffe20,
    0x0fffffe2,0xfffffa80,0x0ffffb81,0x00ffffe2,0x441ffff7,0x0003ffff,
    0xffffffd8,0xffffffff,0xffffffff,0x3fe27fff,0x2a003fff,0x541fffff,
    0xffffffff,0xffffffff,0x7fd400ff,0xffffffff,0xffffffff,0x7ffc40ef,
    0x3ea003ff,0xff11ffff,0x54007fff,0xf51fffff,0xffffffff,0xffffffff,
    0xfffff887,0x3ffea003,0xffff11ff,0x7fd4007f,0xffd81fff,0xfa805fff,
    0x200effff,0xfffffffa,0xfeca9acd,0x80ffffff,0x03fffff8,0x3ffffea0,
    0x7fffff11,0x7fffd400,0x2000001f,0x03fffff8,0x3ffffea0,0x7fffff11,
    0x7fffd400,0x2000001f,0x03fffff8,0x3ffffea0,0x00000001,0x26000000,
    0xffffffff,0xffffffff,0xffffffff,0x3ffe27ff,0x3ea003ff,0x7ec1ffff,
    0x119dffff,0xffffff93,0x7fffc40b,0x99bcefff,0xffffffca,0x7fffc44f,
    0x3fea003f,0xfff11fff,0x7d4007ff,0xff51ffff,0x37dfffff,0xffffffb7,
    0x7ffffc41,0x3ffea003,0xffff11ff,0x7fd4007f,0xff881fff,0x7402ffff,
    0x202fffff,0xfffffff8,0x7fffdc02,0xfff885ff,0x3ea003ff,0xff11ffff,
    0x54007fff,0x001fffff,0x3ffe2000,0x3ea003ff,0xff11ffff,0x54007fff,
    0x001fffff,0x3ffe2000,0x3ea003ff,0x0001ffff,0x00000000,0x3ffff600,
    0x3fffff27,0xcccccccc,0x224ccccc,0x003fffff,0x07ffffea,0x809fffff,
    0x07fffffa,0x3ffffffa,0x7fff4403,0x3fe20fff,0x2a003fff,0xf11fffff,
    0x4007ffff,0x51fffffa,0x09ffffff,0x93fffff2,0x03fffff8,0x3ffffea0,
    0x7fffff11,0x7fffd400,0xffff701f,0x7ffe40df,0x7fec05ff,0x3000efff,
    0x83ffffff,0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,0x2000001f,
    0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,0x2000001f,0x03fffff8,
    0x3ffffea0,0x00000001,0xf1000000,0x7e47ffff,0x80007fff,0x03fffff8,
    0x3ffffea0,0x3ffffea1,0xffffc800,0xffffb81f,0xff3001ff,0x7c47ffff,
    0x2003ffff,0x11fffffa,0x007fffff,0x8fffffd4,0x06fffffa,0x13fffff4,
    0x007fffff,0x8fffffd4,0x03fffff8,0x3ffffea0,0x3ffffa01,0xffff884f,
    0x3fe200ff,0x4001ffff,0x46fffffb,0x03fffff8,0x3ffffea0,0x7fffff11,
    0x7fffd400,0x5555511f,0x15555500,0x0fffffe2,0xfffffa80,0x7fffff11,
    0x7fffd400,0x5555511f,0x15555500,0x0fffffe2,0xfffffa80,0x05555511,
    0x21555550,0x802aaaa8,0x000aaaaa,0x07ffffe4,0x00fffff9,0xfffff100,
    0x7ffd4007,0x3ffee1ff,0xffa801ff,0xffe82fff,0x64002fff,0x223effff,
    0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x7fffff51,0xfffffa80,
    0x7fffff10,0x7fffd400,0xfffff11f,0x7ffd4007,0x3fe601ff,0x7ec0ffff,
    0x5c03ffff,0x005fffff,0x3fffffd0,0x1fffffc4,0xfffff500,0x3ffffe23,
    0x3ffea003,0xffff31ff,0x7ffc401f,0xffff11ff,0x7fd4007f,0xfff11fff,
    0x7d4007ff,0xff31ffff,0x7c401fff,0xff11ffff,0x54007fff,0xf31fffff,
    0x4401ffff,0xf31fffff,0x4401ffff,0x001fffff,0x13ffffe2,0x00fffff9,
    0xfffff100,0x7ffd4007,0x3ffe61ff,0x00000dff,0x0dfffff3,0x4406f200,
    0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x3fffff51,0xfffff880,
    0x7fffff11,0x7fffd400,0xfffff11f,0x7ffd4007,0x7fe401ff,0x3fe65fff,
    0xfd806fff,0x0001ffff,0x45fffff7,0x03fffff8,0x3ffffea0,0x7fffff11,
    0x7fffd400,0xfffff31f,0x7fffc401,0xfffff11f,0x7ffd4007,0xffff11ff,
    0x7fd4007f,0xfff31fff,0x7fc401ff,0xfff11fff,0x7d4007ff,0xff31ffff,
    0x7c401fff,0xff31ffff,0x7c401fff,0x2001ffff,0x40fffffb,0x007ffffc,
    0xfffff880,0x3ffea003,0x3ffe21ff,0x001cffff,0x7ffffe40,0xf1000002,
    0x4007ffff,0x11fffffa,0x007fffff,0x8fffffd4,0x00fffffa,0x12fffff8,
    0x007fffff,0x8fffffd4,0x03fffff8,0x3ffffea0,0xffffe801,0xfffffd2f,
    0xfffff003,0x7fcc000f,0x3fe23fff,0x2a003fff,0xf11fffff,0x4007ffff,
    0x31fffffa,0x401fffff,0x11fffff8,0x007fffff,0x8fffffd4,0x03fffff8,
    0x3ffffea0,0x1fffff31,0x7ffffc40,0x7fffff11,0x7fffd400,0xfffff31f,
    0x7fffc401,0xfffff31f,0x7fffc401,0x3ffe001f,0xfffc85ff,0xf880007f,
    0x2003ffff,0x41fffffa,0xfffffffd,0x4000bdff,0x00fffffd,0xfff10000,
    0x7d4007ff,0xff11ffff,0x54007fff,0xf51fffff,0x3e00ffff,0xff13ffff,
    0x54007fff,0xf11fffff,0x4007ffff,0x01fffffa,0xefffffa8,0x04fffffb,
    0x6fffff88,0x3ffe2000,0x3ffe25ff,0x3ea003ff,0xff11ffff,0x54007fff,
    0xf31fffff,0x4401ffff,0xf11fffff,0x4007ffff,0x11fffffa,0x007fffff,
    0x8fffffd4,0x00fffff9,0x47ffffe2,0x03fffff8,0x3ffffea0,0x1fffff31,
    0x7ffffc40,0x1fffff31,0x7ffffc40,0xffff7001,0xffff903f,0x3333333f,
    0x88133333,0x003fffff,0x07ffffea,0xffffffd1,0x39dfffff,0xfffffd00,
    0x7c400000,0x2003ffff,0x11fffffa,0x007fffff,0x8fffffd4,0x00fffffa,
    0x13fffff8,0x007fffff,0x8fffffd4,0x03fffff8,0x3ffffea0,0xffffb001,
    0x0dffffff,0x3ffffe20,0x7ffc0005,0x3ffe26ff,0x3ea003ff,0xff11ffff,
    0x54007fff,0xf31fffff,0x4401ffff,0xf11fffff,0x4007ffff,0x11fffffa,
    0x007fffff,0x8fffffd4,0x00fffff9,0x47ffffe2,0x03fffff8,0x3ffffea0,
    0x1fffff31,0x7ffffc40,0x1fffff31,0x7ffffc40,0xffffd001,0x3ffff20d,
    0xffffffff,0x446fffff,0x003fffff,0x07ffffea,0x3fffffe6,0xffffffff,
    0x3fffe01e,0x9999806f,0x19999999,0x0fffffe2,0xfffffa80,0x7fffff11,
    0x7fffd400,0xfffff51f,0xffff8803,0xfffff12f,0x7ffd4007,0xffff11ff,
    0x7fd4007f,0xf1001fff,0xffffffff,0x3fe6003f,0x40004fff,0x227ffffe,
    0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x1fffff31,0x7ffffc40,
    0x7fffff11,0x7fffd400,0xfffff11f,0x7ffd4007,0xffff31ff,0x7ffc401f,
    0xffff11ff,0x7fd4007f,0xfff31fff,0x7fc401ff,0xfff31fff,0x7fc401ff,
    0xfa801fff,0xf902ffff,0xffffffff,0xffffffff,0xfffff88d,0x3ffea003,
    0xffb101ff,0xffffffff,0x3e03ffff,0xf805ffff,0xffffffff,0xfff11fff,
    0x7d4007ff,0xff11ffff,0x54007fff,0xf51fffff,0x9807ffff,0xf11fffff,
    0x4007ffff,0x11fffffa,0x007fffff,0x0fffffd4,0xfffff500,0x4c00bfff,
    0x004fffff,0x3fffff40,0x07fffff1,0x7ffffd40,0x7fffff11,0x7fffd400,
    0xfffff31f,0x7fffc401,0xfffff11f,0x7ffd4007,0xffff11ff,0x7fd4007f,
    0xfff31fff,0x7fc401ff,0xfff11fff,0x7d4007ff,0xff31ffff,0x7c401fff,
    0xff31ffff,0x7c401fff,0xe801ffff,0x3207ffff,0xffffffff,0xffffffff,
    0x7fffc46f,0x3fea003f,0x6d401fff,0xffffffff,0xf82fffff,0xf806ffff,
    0xffffffff,0xfff11fff,0x7d4007ff,0xff11ffff,0x54007fff,0xf51fffff,
    0xc80dffff,0xf10fffff,0x4007ffff,0x11fffffa,0x007fffff,0x0fffffd4,
    0x3ffff600,0x22000fff,0x005fffff,0x37ffffc0,0x07fffff1,0x7ffffd40,
    0x7fffff11,0x7fffd400,0xfffff31f,0x7fffc401,0xfffff11f,0x7ffd4007,
    0xffff11ff,0x7fd4007f,0xfff31fff,0x7fc401ff,0xfff11fff,0x7d4007ff,
    0xff31ffff,0x7c401fff,0xff31ffff,0x7c401fff,0x5401ffff,0x203fffff,
    0xfffffffc,0xffffffff,0x7ffc46ff,0x3ea003ff,0x2001ffff,0xffffffda,
    0x7c1fffff,0xf807ffff,0xffffffff,0xfff11fff,0x7d4007ff,0xff11ffff,
    0x54007fff,0xf51fffff,0x207fffff,0x26fffff8,0x03fffff8,0x3ffffea0,
    0x7fffff11,0x7fffd400,0x7fc4001f,0x8002ffff,0x006fffff,0x3ffffe20,
    0x3ffffe24,0x3ffea003,0xffff11ff,0x7fd4007f,0xfff31fff,0x7fc401ff,
    0xfff11fff,0x7d4007ff,0xff11ffff,0x54007fff,0xf31fffff,0x4401ffff,
    0xf11fffff,0x4007ffff,0x31fffffa,0x401fffff,0x31fffff8,0x401fffff,
    0x01fffff8,0x07ffffec,0x9fffff90,0x99999999,0xff887999,0x2a003fff,
    0x001fffff,0xffffb710,0xffe8bfff,0x7fc00fff,0xffffffff,0xffff11ff,
    0x7fd4007f,0xfff11fff,0x7d4007ff,0xff51ffff,0x419fffff,0x1ffffffa,
    0x0fffffe2,0xfffffa80,0x7fffff11,0x7fffd400,0xffd8001f,0xfb0007ff,
    0x4000ffff,0x23fffff9,0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,
    0xfffff31f,0x7fffc401,0xfffff11f,0x7ffd4007,0xffff11ff,0x7fd4007f,
    0xfff31fff,0x7fc401ff,0xfff11fff,0x7d4007ff,0xff31ffff,0x7c401fff,
    0xff31ffff,0x7c401fff,0x2601ffff,0xccefffff,0xffeccccc,0x880007ff,
    0x003fffff,0x07ffffea,0x3ff62000,0x3f60ffff,0x6401ffff,0xffeccccc,
    0xfff11fff,0x7d4007ff,0xff11ffff,0x54007fff,0xf51fffff,0xffffffff,
    0xfffffffd,0xfffff88b,0x3ffea003,0x3fffe1ff,0x3fee004f,0xd8001fff,
    0x0007ffff,0x05fffff9,0x3ffff200,0x7ffffc2f,0x3ffee004,0x3fffe1ff,
    0x3fee004f,0xfff31fff,0x7fc401ff,0x3ffe1fff,0x3ee004ff,0x3fe1ffff,
    0x2e004fff,0xf31fffff,0x4401ffff,0x3e1fffff,0x2004ffff,0x31fffffb,
    0x401fffff,0x31fffff8,0x401fffff,0x01fffff8,0x3ffffff6,0xffffffff,
    0x0007ffff,0x09fffff0,0x7ffffdc0,0x09975311,0xfffffe80,0x3ffffee1,
    0xfff70004,0x7fffc3ff,0x3fee004f,0x3ffe1fff,0x3ee004ff,0xff51ffff,
    0xffffdfff,0x1fffffff,0x09fffff0,0x7ffffdc0,0x17ffffe1,0xfffffc80,
    0xfffd8000,0xff70007f,0x1000dfff,0x83ffffff,0x005fffff,0x83fffff2,
    0x005fffff,0x43fffff2,0x00fffff9,0x87ffffe6,0x005fffff,0x83fffff2,
    0x005fffff,0x43fffff2,0x00fffff9,0x87ffffe6,0x005fffff,0x43fffff2,
    0x00fffff9,0x47ffffe6,0x00fffff9,0x07ffffe6,0x7fffffc4,0xffffffff,
    0x007fffff,0xbfffff00,0x7fffe400,0xfffff50f,0x7ffdc005,0x3ffe21ff,
    0xb8000fff,0x3e1fffff,0x2005ffff,0x20fffffc,0x005fffff,0x43fffff2,
    0xc8fffffa,0xffffffff,0xfffff00e,0x7ffe400b,0x3fffa0ff,0xffd000ff,
    0x36000fff,0x0007ffff,0x7ffffff1,0xffffc800,0xffffe86f,0xfffd000f,
    0xffffe8ff,0xfffd000f,0x7fffccff,0x3ffea01f,0x3fffa1ff,0xffd000ff,
    0xfffe8fff,0xffd000ff,0x7ffccfff,0x3fea01ff,0x3ffa1fff,0xfd000fff,
    0x7fccffff,0x3ea01fff,0xff31ffff,0x7d403fff,0xf901ffff,0xffffffff,
    0xffffffff,0x20000fff,0x00fffffe,0x4fffffd0,0x04fffff8,0x3ffffee0,
    0x7ffffec0,0xfffb8004,0x3fffa1ff,0xffd000ff,0xfffe8fff,0xffd000ff,
    0x7ffd4fff,0x3fffaa7f,0x7ff404ff,0xfd000fff,0xffd8ffff,0xfa805fff,
    0x0006ffff,0x00fffffb,0x7ffffdc0,0xfff7002f,0xffb03fff,0xf500bfff,
    0xfd8dffff,0xa805ffff,0x266fffff,0x201fffff,0x21fffffb,0x05fffffd,
    0x6fffffa8,0x2fffffec,0x7ffffd40,0x3ffffe66,0x3fffee01,0x3ffff61f,
    0xfffa805f,0x3ffe66ff,0x3fee01ff,0xfff31fff,0x7fdc03ff,0xff881fff,
    0xffffffff,0xffffffff,0xb00007ff,0x00bfffff,0x8dfffff5,0x01fffffe,
    0x0dffffd0,0x7ffffff5,0x7fff4c00,0x3fff61ff,0xffa805ff,0x7fec6fff,
    0xfa805fff,0x3ea6ffff,0xaa887fff,0xffffb000,0xfff500bf,0xfffa8dff,
    0x3e603fff,0x003fffff,0x0fffffb0,0xffffe800,0x3f6204ff,0x504fffff,
    0x07ffffff,0x7fffffcc,0x7ffffd43,0x3ffe603f,0x3fe23fff,0xff104fff,
    0x7d43ffff,0x203fffff,0x3ffffff9,0x7fffffd4,0x3fffe603,0x3ffe23ff,
    0xfff104ff,0x7fd43fff,0x2603ffff,0x23ffffff,0x04fffff8,0x3ffffff1,
    0x13ffffe2,0x7fffffc4,0xfffffc81,0xaaaaaaac,0x7ffffeaa,0xfff50000,
    0x7cc07fff,0x643fffff,0x02ffffff,0x3fffff62,0xfffff904,0x7ec401bf,
    0x21ffffff,0x3ffffffa,0x3ffffe60,0x7fffd43f,0x3fe603ff,0x3ea3ffff,
    0x00007fff,0x7ffffff5,0x7ffffcc0,0xffffe83f,0xdcabceff,0x07ffffff,
    0x3ffff600,0x7fcc0007,0xcdffffff,0xfffffeca,0x3fa00fff,0xbcefffff,
    0xfffffdca,0xffffd07f,0xb9579dff,0x0fffffff,0x85ffffff,0xffffffe9,
    0x7fffff41,0xfdcabcef,0xd07fffff,0x9dffffff,0xffffb957,0xffff0fff,
    0xffe985ff,0x7f41ffff,0xbcefffff,0xfffffdca,0xfffff87f,0x7fff4c2f,
    0x3ffe1fff,0x7f4c2fff,0x441fffff,0x00ffffff,0x0fffffb0,0x7fff4000,
    0xcabcefff,0x7ffffffd,0xffffff88,0xfcbaabdf,0x01ffffff,0xffffffd1,
    0xfdb779df,0xffffffff,0xfffffe83,0xfdcabcef,0xd07fffff,0x9dffffff,
    0xffffb957,0xfffa8fff,0x3a00007f,0xceffffff,0xffffdcab,0xfff507ff,
    0xffffffff,0x7fffffff,0x7ffec000,0xfc80007f,0xffffffff,0xffffffff,
    0x7fd402ff,0xffffffff,0xffffffff,0xfffff503,0xffffffff,0xb07fffff,
    0xbfffffff,0xffffffff,0xffffa83f,0xffffffff,0x03ffffff,0xfffffff5,
    0xffffffff,0xffb07fff,0xffbfffff,0x3fffffff,0xffffffa8,0xffffffff,
    0xfd83ffff,0xfdffffff,0xffffffff,0x3fffff61,0xfffffdff,0x7dc1ffff,
    0x2004ffff,0xeefffffd,0xeeeeeeee,0x7d42eeee,0xffffffff,0xffffffff,
    0xffff303f,0xffffffff,0x0dffffff,0xffffff98,0xffffffff,0x5fffffff,
    0xffffffa8,0xffffffff,0xf503ffff,0xffffffff,0xffffffff,0xffffa87f,
    0x3ea00007,0xffffffff,0xffffffff,0x3ffee03f,0xffffffff,0x00dfffff,
    0x3ffff600,0xff500007,0xffffffff,0x3dffffff,0x3fffee00,0xffffffff,
    0x200dffff,0xfffffffb,0xffffffff,0xfff880df,0xffffffff,0x81ffffdc,
    0xfffffffb,0xffffffff,0x3fee00df,0xffffffff,0x0dffffff,0xffffff88,
    0xfdcfffff,0xffb81fff,0xffffffff,0x0dffffff,0xffffff88,0xfdcfffff,
    0x3fe21fff,0xffffffff,0x1ffffdcf,0x07fffff4,0xfffffb00,0xffffffff,
    0x07ffffff,0xfffffff7,0xffffffff,0x7fe401bf,0xffffffff,0x0effffff,
    0xffffe880,0xffffffff,0x02ffffff,0x3fffffee,0xffffffff,0x3ee00dff,
    0xffffffff,0xdfffffff,0x3ffffd40,0x3fee0000,0xffffffff,0x0dffffff,
    0x7ffff4c0,0xffffffff,0xfd80003f,0x00007fff,0x3fffff62,0xffffffff,
    0xffe98003,0xffffffff,0xd3003fff,0xffffffff,0x807fffff,0xfffffff9,
    0xffffb3ff,0x3fffa603,0xffffffff,0xfd3003ff,0xffffffff,0x9807ffff,
    0xffffffff,0x3ffffb3f,0x3ffffa60,0xffffffff,0x7ffcc03f,0xb3ffffff,
    0xf983ffff,0xffffffff,0x43ffffb3,0x05fffffa,0x7ffffec0,0xffffffff,
    0x03ffffff,0xffffffd3,0x7fffffff,0x3fffaa00,0xffffffff,0x64000dff,
    0xffffffff,0x3fffffff,0xffffd300,0xffffffff,0x3fa6007f,0xffffffff,
    0xf503ffff,0x0000ffff,0xfffffd30,0xffffffff,0x7f644007,0xffffffff,
    0xfb00000d,0x0000ffff,0xffffd950,0x0039bfff,0x7fff6440,0x0dffffff,
    0x7ff64400,0xdfffffff,0xfffb3000,0x7fec5bff,0x3b2201ff,0xffffffff,
    0x644000df,0xfffffffe,0xb3000dff,0x45bfffff,0x201ffffd,0xfffffec8,
    0x000dffff,0xbfffffb3,0x0ffffec5,0x7ffffecc,0x3ffff62d,0x3fffffa1,
    0x7ffec001,0xffffffff,0xffffffff,0x3ffb2203,0xdfffffff,0xffeb8000,
    0xdfffffff,0x3aa20001,0xefffffff,0xc88001bc,0xfffffffe,0x44000dff,
    0xffffffec,0x2a00dfff,0x0007ffff,0xfffd9100,0x1bffffff,0x554c4000,
    0x00001aaa,0x07ffffd8,0xaa880000,0x10000009,0x03555553,0x2aa62000,
    0x40001aaa,0x800001a9,0x1aaaaa98,0x55310000,0x80003555,0x800001a9,
    0x1aaaaa98,0x00d4c000,0x00353000,0xdfffff50,0xffffb000,0xffffffff,
    0x7fffffff,0x2aaa6200,0x200001aa,0x01aaaa99,0x55330000,0x31000003,
    0x00355555,0x2aaa6200,0xdd3001aa,0x00000ddd,0x55555310,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcb800000,0x20004ccc,0x6542cccb,
    0x400003cc,0x002eeeed,0x4cccc400,0x99999999,0xbfffff09,0x00000000,
    0x99930000,0x80000599,0x002aaaa9,0x332a0000,0x00001ccc,0x1ccccc88,
    0x00399999,0x66666440,0x20000003,0x001eeeed,0x13300662,0x55554400,
    0x4cccc002,0x44019999,0x00662009,0x44ccc880,0x000cccc8,0x0aaaa880,
    0x000d5554,0x88799950,0x80004ccc,0x59901cb8,0xff980000,0x20002fff,
    0xf30ffff9,0x00003fff,0x02ffffe8,0xfffd9800,0xffffffff,0xfff5ffff,
    0x00000bff,0x000b7200,0x17ffff60,0xffd10000,0x00005fff,0x3ffffa00,
    0xf9000004,0x3fea9fff,0xa80005ff,0x001fffff,0xffff0000,0x7fdc005f,
    0x003ff702,0x17fffff4,0xfffff980,0x3601ffff,0x01bfa07f,0x49fffb00,
    0x0005fffd,0x43ffff50,0x003ffff8,0x8bfffa20,0x0003fffe,0x5f7fffe4,
    0x0007ff71,0x2ffffd80,0xfffb8000,0x04fffe8e,0xfffe8000,0x3a60002f,
    0xffffffff,0xffffffff,0xbfffff5f,0x20000000,0x4c0004ff,0x000effff,
    0x7fffec00,0x00000fff,0x2ffffd40,0xff880000,0x3fff65ff,0xf700000e,
    0x00009fff,0x3ffffe00,0x17fe2002,0xf9003ffc,0x01ffffff,0xffffff30,
    0x7dc03fff,0x04ffa83f,0x7fffc400,0x00ffffba,0xffff5000,0x1ffffc43,
    0x3ffe6000,0x06fffd8f,0x7fffc400,0xffffffff,0x3e200001,0x00003fff,
    0x3ffffff6,0xd000006f,0x0005ffff,0x3fffffa2,0xffffffff,0xff5fffff,
    0x0000bfff,0x03ff3000,0xefffc800,0x7d400000,0x5fffdeff,0x7f400000,
    0x000005ff,0x4c3bffee,0x0001ffff,0x07fffdc0,0x7fc00000,0x6c002fff,
    0xffdbcfff,0xfff3004f,0x00bfffbf,0xfffffff3,0x7fc403ff,0xfffdbbef,
    0xff980001,0x02ffffff,0x3ffea000,0x3fffe21f,0xffb80003,0x00ffffff,
    0x6f7fd400,0x6fffffff,0x7fe40000,0x4400004f,0x0fffffff,0xffd00000,
    0x360005ff,0xffffffff,0xffffffff,0xffff5fff,0x000000bf,0x8000ff90,
    0x000ffff8,0x7fffc400,0x03fffe89,0xfff50000,0xf800000d,0x3ff60fff,
    0x9000002f,0x00009fff,0x5fffff00,0xffff8800,0x1006ffff,0xfd15ffff,
    0xff9807ff,0x1fffffff,0x7ffffd40,0x00004fff,0x3ffffff2,0x7d400004,
    0x3fe21fff,0xd00003ff,0x05ffffff,0x98ff9000,0x000cffec,0x13ffe200,
    0x7fd40000,0x00003fff,0x02666620,0x3fffea00,0xefffffff,0xeeffffee,
    0x0bfffff4,0xfd000000,0xffc8000b,0xe800001f,0x3fe63fff,0x800000ff,
    0x0000effd,0x87ffea00,0x0003fff8,0x07ffe400,0x26600000,0x88000999,
    0x0cfffffd,0x49fffb00,0x001ffff9,0x00fffff4,0x7fffff54,0xfe800002,
    0x00006fff,0x98199988,0x00000999,0x0bfffff1,0x80262000,0x88000008,
    0x00000199,0x00000000,0xfff70000,0xffffffff,0x21ffffc3,0x005fffff,
    0x7fc40000,0x4cc40002,0x33000000,0x13331033,0x33300000,0x88000001,
    0x0ccc4099,0x99800000,0x00000001,0x9a988000,0x0cccc000,0x0004ccc4,
    0x007ffffa,0x0001aa98,0x00000000,0x9bcba880,0x00000000,0xba880000,
    0x000009bc,0x55665cc4,0xa9800001,0x00009acc,0x66655440,0x360009ab,
    0xffffffff,0x3ffe1fff,0x7ffffc3f,0x40000005,0x80000ffb,0x009acca9,
    0xcba88000,0x0000009b,0x04de5d44,0x2a200000,0x00009bcb,0x5e5d4400,
    0x40000009,0x009acca9,0x00000000,0xfffd0000,0x0000003f,0x33333000,
    0x91000003,0xfffffffb,0x4c005dff,0x40009999,0x10019999,0xffffffb9,
    0x0005dfff,0x3fffff62,0x003fffff,0x7ffff5c0,0x003fffff,0x7fffed40,
    0x1cffffff,0xffffff80,0x21ffffff,0x7fc3ffff,0x00005fff,0xfddb7510,
    0x75c000df,0xffffffff,0x3220003f,0xfffffffd,0x80002eff,0xfffffdc8,
    0x002effff,0xfffdc880,0x2effffff,0xfdc88000,0xffffffff,0xd700002e,
    0xffffffff,0x9998007f,0x33330099,0x99980013,0x3ffa0099,0x266661ff,
    0x99999999,0x99999999,0xfff98000,0x00001fff,0x3fffffea,0xffffffff,
    0xffff800d,0x7ffc006f,0x7fd401ff,0xffffffff,0x000dffff,0x3fffffea,
    0xffffffff,0x7ff44002,0xffffffff,0x44001eff,0xfffffffe,0xdfffffff,
    0x3ffffe00,0x1fffffff,0xff0ffffe,0x0000bfff,0xffffff90,0x88009fff,
    0xfffffffe,0x01efffff,0x7ffffd40,0xffffffff,0xf50000df,0xffffffff,
    0x01bfffff,0x3fffea00,0xffffffff,0x50000dff,0xffffffff,0x1bffffff,
    0x3ffa2000,0xffffffff,0xf9801eff,0xf882ffff,0x2004ffff,0x02fffff9,
    0x447ffffa,0xffffffff,0xffffffff,0x8005ffff,0x4ffffffc,0xfff90000,
    0xffffffff,0x05ffffff,0x3ffffff8,0x3ffffe00,0x3ffff201,0xffffffff,
    0x802fffff,0xfffffffb,0xffffffff,0xfff7002f,0xffffffff,0x007fffff,
    0x3fffffea,0xffffffff,0xfb00efff,0xffffffff,0x7fffc3ff,0x2fffffc3,
    0xffd30000,0xffffffff,0xff7003df,0xffffffff,0x07ffffff,0x3fffff20,
    0xffffffff,0x4002ffff,0xfffffffc,0xffffffff,0x7e4002ff,0xffffffff,
    0xffffffff,0x7ffe4002,0xffffffff,0x02ffffff,0x7ffffdc0,0xffffffff,
    0x7cc03fff,0xf882ffff,0x2004ffff,0x02fffff9,0x447ffffa,0xffffffff,
    0xffffffff,0x4005ffff,0xfffffff8,0x7ec0000f,0xffffffff,0xffffffff,
    0x3ffe03ff,0xf000ffff,0x3603ffff,0xffffffff,0xffffffff,0x3ea03fff,
    0xffffffff,0xffffffff,0x7ffe400f,0xffffffff,0x1fffffff,0x7ffffd40,
    0xffffffff,0x0effffff,0xffffffc8,0x3e1fffff,0x7ffc3fff,0x100005ff,
    0xffffffff,0x1fffffff,0x7ffffe40,0xffffffff,0x401fffff,0xfffffffd,
    0xffffffff,0xb003ffff,0xffffffff,0xffffffff,0x36007fff,0xffffffff,
    0xffffffff,0xfb003fff,0xffffffff,0xffffffff,0x3f2007ff,0xffffffff,
    0xffffffff,0x3ffe601f,0xfff882ff,0x3e6004ff,0x3a02ffff,0xff11ffff,
    0xffffffff,0xffffffff,0xfb800bff,0x3fffffff,0x3ffea000,0x9acdffff,
    0xfffffeca,0xffff00ff,0x3e00bfff,0xfa81ffff,0xcdffffff,0xfffeca9a,
    0xfb00ffff,0x233bffff,0xfffffc98,0x3ffe605f,0x99bcffff,0xffffffeb,
    0xffff100f,0x3379dfff,0xffffff95,0xffff109f,0x3fffffff,0x3e1ffffc,
    0x0005ffff,0xdfffff90,0xffffff59,0x3ffe607f,0x99bcffff,0xffffffeb,
    0xffff500f,0x5359bfff,0xffffffd9,0xfffa801f,0x9acdffff,0xfffffeca,
    0x7fd400ff,0xacdfffff,0xffffeca9,0x7d400fff,0xcdffffff,0xfffeca9a,
    0x4c00ffff,0xcfffffff,0xfffeb99b,0xf300ffff,0xf105ffff,0x4009ffff,
    0x02fffff9,0x447ffffa,0xffffffff,0xffffffff,0x4005ffff,0xfffffffe,
    0xff10006f,0x805fffff,0x5ffffffb,0xfffffff0,0xffff005f,0xffff883f,
    0x7dc02fff,0xf05fffff,0xa809ffff,0x207fffff,0x0efffffe,0x3ffffee0,
    0xffffd03f,0xfe8807ff,0xb80fffff,0xffffffff,0x3fffe1ff,0x2fffffc3,
    0x7ffcc000,0x3bfe65ff,0xe80fffff,0x00efffff,0x3fffffee,0xfffff883,
    0x7fdc02ff,0x2205ffff,0x2fffffff,0x7ffffdc0,0x3ffe205f,0x5c02ffff,
    0x05ffffff,0x3fffffe2,0x7ffdc02f,0x7f405fff,0x200effff,0x3ffffffb,
    0x5fffff30,0x9fffff10,0x7fffcc00,0x3fffa02f,0xfffff11f,0x9999999d,
    0x79999999,0x7fffcc00,0x01ffffff,0xfffffd80,0xfff3000e,0xfff03fff,
    0x00dfffff,0xd83fffff,0x00efffff,0xffffff30,0xfffffa83,0xffffc800,
    0xffffa81f,0xfff7005f,0xfff70dff,0x26003fff,0x03ffffff,0xfffffff9,
    0x7fffc3ff,0x2fffffc3,0x7ffec000,0x7cffe47f,0x7d41efff,0x7005ffff,
    0xb0dfffff,0x01dfffff,0x3ffffe60,0xffffb01f,0x3e6001df,0xb01fffff,
    0x01dfffff,0x3ffffe60,0xffffb01f,0x3e6001df,0x501fffff,0x00bfffff,
    0x1bffffee,0x17ffffcc,0x27ffffc4,0xfffff300,0x7ffff405,0x9fffff11,
    0x32000000,0xfffeffff,0x7c4004ff,0x001fffff,0x37ffffdc,0x7ffffffc,
    0x7ffc03ff,0x3ffe21ff,0x5c001fff,0x5c6fffff,0x801fffff,0x82fffffa,
    0x00ffffff,0x37ffffa0,0x7fffff40,0x7ffe4002,0x3fea03ef,0x21ffffff,
    0x7fc3ffff,0x80005fff,0x743ffffe,0x7c03574f,0x000fffff,0x837ffffa,
    0x1ffffff8,0x7fffdc00,0xffff886f,0x7dc001ff,0xf886ffff,0x001fffff,
    0x37ffffdc,0x7fffffc4,0x7ffdc001,0xffff06ff,0x7f4001ff,0xf980dfff,
    0xf882ffff,0x2004ffff,0x02fffff9,0x447ffffa,0x004fffff,0xffff0000,
    0xfffff97f,0x7ffdc001,0xfd0005ff,0xff83ffff,0xffffffff,0x3ffffe00,
    0x3ffffee1,0xfffd0005,0x7ffcc3ff,0x00000dff,0x09fffff3,0x301bda80,
    0x00dfffff,0x10006f20,0x43ffffb5,0x7fc3ffff,0x80005fff,0x222fffff,
    0xff3002ff,0xa8009fff,0xfff701bd,0x3a000bff,0x5c1fffff,0x005fffff,
    0x3fffffd0,0x5fffffb8,0xffffd000,0xffffb83f,0xffd0005f,0xff983fff,
    0x54004fff,0x7fcc01bd,0xff882fff,0x26004fff,0x202fffff,0xf11ffffe,
    0x0009ffff,0xffff5000,0xfffff31f,0x7ffec007,0xf70001ff,0xff85ffff,
    0xffffffff,0x3ffffe05,0x3fffff61,0xfff70001,0x7ffc45ff,0x001cffff,
    0x7ffffdc0,0xfc800001,0x0002ffff,0xfff70000,0x1ffffc3f,0x017ffffe,
    0xfffff100,0x8007fdc3,0x01fffffb,0xfffd8000,0xf70001ff,0xfd85ffff,
    0x0001ffff,0x85fffff7,0x01fffffd,0xfffff700,0xfffffd85,0xfff70001,
    0xfffb85ff,0x000001ff,0x0bffffe6,0x13ffffe2,0xfffff980,0x3ffffa02,
    0x9fffff11,0xfb000000,0x7ff4bfff,0x3fe006ff,0x20007fff,0x43fffff9,
    0xffffffff,0xfff02fff,0x7fffc3ff,0x3e60007f,0x7ec3ffff,0xffffffff,
    0x7e4000bd,0x0000ffff,0xfffffd80,0x00000000,0x7c3ffff7,0x7ffc3fff,
    0x540005ff,0x360fffff,0x3ff2005f,0x00000fff,0x07fffff8,0x3fffe600,
    0x7ffffc3f,0x3fe60007,0x7ffc3fff,0x260007ff,0x7c3fffff,0x0007ffff,
    0x0fffffe6,0x01fffff9,0x7fcc0000,0xff882fff,0x26004fff,0x202fffff,
    0xf11ffffe,0x0009ffff,0xffff8800,0x3fffee2f,0xfff8801f,0x220006ff,
    0x7c5fffff,0xfffbffff,0xfff80fff,0xffff11ff,0x7c4000df,0x7445ffff,
    0xffffffff,0x801cefff,0x007ffffd,0xffffd000,0x0000000f,0xf0ffffdc,
    0xfff87fff,0x4c0005ff,0xf11fffff,0x7fec007f,0x800007ff,0x06fffff8,
    0x3fffe200,0x3fffe25f,0x3e20006f,0x3e25ffff,0x0006ffff,0x97ffffe2,
    0x06fffff8,0x3fffe200,0x7fffec5f,0x4c000007,0x882fffff,0x004fffff,
    0x0bffffe6,0x11ffffe8,0x339fffff,0x33333333,0x2e001333,0x220fffff,
    0x804fffff,0x05fffff8,0x7ffffc00,0x4fffffc6,0x84fffffc,0xf11fffff,
    0x000bffff,0x86fffff8,0xfffffff9,0xefffffff,0x3ffffa01,0xff000006,
    0x3300dfff,0x33333333,0x7fdc0033,0x3fffe1ff,0x2fffffc3,0x3ffe6000,
    0x01ff52ff,0x37ffff40,0x7fc40000,0x40005fff,0x226fffff,0x005fffff,
    0x37ffffc0,0x0bfffff1,0xfffff800,0x3ffffe26,0x7ffc0005,0x7fff46ff,
    0x4000006f,0x82fffff9,0xfffffff8,0xffffffff,0x2fffffff,0x47ffffa0,
    0xfffffff8,0xffffffff,0xd005ffff,0xfd0bffff,0x9801ffff,0x004fffff,
    0x3fffff40,0x227ffffe,0x41ffffff,0xf31fffff,0x0009ffff,0x07ffffe8,
    0xffffffb1,0xffffffff,0x3ffffe03,0xff000005,0xff00bfff,0xffffffff,
    0x3ee003ff,0x3ffe1fff,0x7ffffc3f,0x7fc40005,0x8df93fff,0x7fc0abcb,
    0x00005fff,0x4fffff98,0x7fff4000,0x3fffe67f,0x7f40004f,0x3fe67fff,
    0x40004fff,0x267ffffe,0x004fffff,0x3fffff40,0x017ffffe,0xfff30000,
    0xfff105ff,0xffffffff,0xffffffff,0x7f405fff,0xfff11fff,0xffffffff,
    0xffffffff,0xffff300b,0xffff705f,0xfff9807f,0x740004ff,0x7fc7ffff,
    0xfff51fff,0xffff8dff,0xfffff31f,0xffe80009,0x7ed407ff,0xffffffff,
    0x7c42ffff,0x0006ffff,0xdfffff00,0xffffff00,0x03ffffff,0x87fffee0,
    0x7fc3ffff,0x80005fff,0xff6ffffe,0x7ffffc49,0xdfffff15,0xff300000,
    0x80009fff,0x267ffffe,0x004fffff,0x3fffff40,0x09fffff3,0xffffe800,
    0x3ffffe67,0x7ff40004,0x3ffe27ff,0x000006ff,0x17ffffcc,0x7fffffc4,
    0xffffffff,0xffffffff,0x3ffffa02,0xffffff11,0xffffffff,0x00bfffff,
    0x20fffffb,0x06fffff8,0x2fffffc4,0x3fffe000,0x7ffffc6f,0x3fffff61,
    0x47ffffe2,0x05fffff8,0x7ffffc00,0x3ff6a006,0xffffffff,0x7ffffc1f,
    0xff000006,0xff00ffff,0xffffffff,0x3ee003ff,0x3ffe1fff,0x7ffffc3f,
    0xeeeeeeef,0x25eeeeee,0xfdfffffb,0x3fffee1f,0x3ffffe2f,0xf8800006,
    0x0005ffff,0x137ffffc,0x00bfffff,0x6fffff80,0x17ffffe2,0xfffff000,
    0x7ffffc4d,0x7ffc0005,0x7fffc6ff,0x4000006f,0x82fffff9,0xfffffff8,
    0xffffffff,0x2fffffff,0x47ffffa0,0xfffffff8,0xffffffff,0x4405ffff,
    0x204fffff,0x01fffffd,0x037ffffc,0xfffff100,0x1fffff89,0x3fffffe2,
    0x43fffff0,0x006fffff,0x3ffffe20,0xfb710004,0x8bffffff,0x007ffffd,
    0xffffd000,0xffff801f,0xffffffff,0xffff7001,0x21ffffc3,0xffffffff,
    0xffffffff,0x3fe26fff,0x937fffff,0xd8ffffff,0x0007ffff,0xdfffff00,
    0x7ffc4000,0x7fffc4ff,0x3e20006f,0x7fc4ffff,0x20006fff,0x44fffff8,
    0x006fffff,0x3ffffe20,0x3ffffec4,0x3e600000,0xf882ffff,0xccceffff,
    0xdccccccc,0x202fffff,0xf11ffffe,0x999dffff,0x99999999,0xffb80599,
    0x9999bfff,0xfffffb99,0x7fffec04,0x3fe60007,0x7ffc3fff,0x7ffdc1ff,
    0xfffff4ff,0x3ffffec3,0xffff3000,0xb100007f,0x41ffffff,0x00fffffc,
    0x7fec0080,0x66401fff,0xfffecccc,0xff7001ff,0x7fffc3ff,0x7fffffc3,
    0xffffffff,0x5c6fffff,0xffffffff,0x3fffffff,0x07ffffe4,0x3f600400,
    0x20007fff,0x43fffff9,0x007ffffd,0x3ffffe60,0x3ffffec3,0xffff3000,
    0xffffd87f,0x3fe60007,0x7fe43fff,0x08000fff,0xfffff300,0xfffff105,
    0x7ffcc009,0x3ffa02ff,0xffff11ff,0x2000009f,0xfffffffe,0xffffffff,
    0x3200ffff,0x002fffff,0x5fffff90,0x81fffff8,0xf9fffffe,0x3f21ffff,
    0x0002ffff,0x25fffff9,0x004cba98,0x0ffffff4,0x05fffff7,0x81befa80,
    0x04fffffb,0xfffff700,0x3ffee003,0x0ffffe1f,0xffffffff,0xffffffff,
    0xffb0dfff,0xffffffff,0xff709fff,0xa8005fff,0xffc81bef,0x90002fff,
    0xc85fffff,0x002fffff,0x5fffff90,0x2fffffc8,0xffff9000,0xffffc85f,
    0xff90002f,0xffb85fff,0x54002fff,0x3e601bef,0xf882ffff,0x2004ffff,
    0x02fffff9,0x447ffffa,0x004fffff,0xffff9800,0xffffffff,0xffffffff,
    0x3fffee03,0xff88006f,0x7fc1ffff,0xffa81fff,0xffffefff,0x3fffee1f,
    0xff88006f,0xff51ffff,0x5c005fff,0x2a1fffff,0x005fffff,0x0f7fffec,
    0x1ffffff1,0xffff7000,0x3fee003f,0x3fffe1ff,0x7fffffc3,0xffffffff,
    0x906fffff,0xffffffff,0x3ea09fff,0x4005ffff,0x21effffd,0x06fffffb,
    0xfffff880,0x7fffdc1f,0xff88006f,0x7dc1ffff,0x8006ffff,0x1ffffff8,
    0x37ffffdc,0x7fffc400,0x7ffd41ff,0x7ec005ff,0xf981efff,0xf882ffff,
    0x2004ffff,0x02fffff9,0x447ffffa,0x004fffff,0xffffc800,0xffffffff,
    0xffffffff,0x3fffe206,0x7e4003ff,0xff86ffff,0xffb01fff,0xffffffff,
    0x7ffffc43,0x7fe4003f,0x3fe26fff,0x2e004fff,0x220fffff,0x01ffffff,
    0xffffff30,0x9fffffb0,0xffff7000,0x3fee003f,0x3fffe1ff,0x57997003,
    0x7fcc0001,0x1dffffff,0x3ffffe20,0xfff3001f,0xfff88fff,0x64003fff,
    0x886fffff,0x03ffffff,0x7ffffe40,0xfffff886,0x7fe4003f,0xff886fff,
    0x4003ffff,0x86fffffc,0x1ffffff8,0xfffff300,0x3fffe60f,0xffff882f,
    0x3fe6004f,0x3fa02fff,0xfff11fff,0x000009ff,0xffffffff,0xffffffff,
    0x03ffffff,0x7fffffdc,0xffff7002,0xffff03ff,0x3ffe203f,0x1fffffff,
    0x7fffffdc,0xffff7002,0xfffe83ff,0xffd001ff,0xfff50dff,0xfd001dff,
    0xf507ffff,0x007fffff,0x7fffff4c,0xffff7001,0x01ffffc3,0x3ffffff8,
    0x59ff1000,0x7d400355,0x800effff,0x83fffffe,0x2ffffffb,0xfffff700,
    0x3ffee03f,0xf7002fff,0x203fffff,0x2ffffffb,0xfffff700,0x3ffee03f,
    0xf7002fff,0x203fffff,0x0efffffa,0xfffffe80,0xfffff303,0xfffff105,
    0x7ffcc009,0x3ffa02ff,0xffff11ff,0xa800009f,0xccdfffff,0xcccccccc,
    0x05fffffd,0x7ffffff4,0x3fff6204,0xfff04fff,0x7fdc03ff,0x1fffffff,
    0xffffffe8,0x3fff6204,0xffc84fff,0x2202ffff,0x04fffffd,0x3dfffffb,
    0x3ffffa60,0xfff900ff,0x4401bfff,0xfffffffd,0xffff7001,0x01ffffc3,
    0xfffffed8,0x0ffa8002,0x7ffec000,0xfd301eff,0x201fffff,0x4ffffffe,
    0x3ffff620,0x7ff404ff,0x2204ffff,0x4ffffffd,0x7fffff40,0x3ff6204f,
    0x7404ffff,0x04ffffff,0x3fffff62,0x7ffec04f,0xfd301eff,0x201fffff,
    0x82fffff9,0x04fffff8,0x3ffffe60,0x3ffffa02,0x9fffff11,0xffd80000,
    0xff8007ff,0x2600ffff,0xffffffff,0xfffecacd,0xf00fffff,0xe803ffff,
    0xffffffff,0xfffff981,0xecacdfff,0xffffffff,0xfffff880,0xcbaabdff,
    0x1fffffff,0xffffff30,0xffb759df,0x409fffff,0xffffffe8,0xfedbbcef,
    0xffffffff,0xffff7001,0x01ffffc3,0x027ffdc0,0x00037ec0,0x7fffffcc,
    0xffdbacef,0x204fffff,0xfffffff9,0xffecacdf,0x00ffffff,0x7fffffcc,
    0xfecacdff,0x0fffffff,0x7ffffcc0,0xecacdfff,0xffffffff,0x7fffcc00,
    0xcacdffff,0xfffffffe,0x7ffcc00f,0xbaceffff,0xfffffffd,0x3fffe604,
    0xffff882f,0x3fe6004f,0x3fa02fff,0xfff11fff,0x400009ff,0x04fffff8,
    0xfffffc80,0x7fffe403,0xffffffff,0x2fffffff,0x07ffffe0,0xffffff30,
    0x3ff203ff,0xffffffff,0xffffffff,0x3ffe602f,0xffffffff,0x6fffffff,
    0x7ffffe40,0xffffffff,0x9805ffff,0xffffffff,0xffffffff,0x005fffff,
    0xf87fffee,0xa8003fff,0xf8003fff,0xf900003f,0xffffffff,0xffffffff,
    0xffff900b,0xffffffff,0x5fffffff,0x3ffff200,0xffffffff,0x2fffffff,
    0xfffff900,0xffffffff,0x05ffffff,0x3fffff20,0xffffffff,0x02ffffff,
    0xffffff90,0xffffffff,0xf980bfff,0xf882ffff,0x2004ffff,0x12fffff9,
    0xfffd5555,0x3fffe23f,0xeeeeeeef,0xeeeeeeee,0x3fffee1e,0xff98002f,
    0xfa806fff,0xffffffff,0xefffffff,0x7ffffc01,0xffffc801,0x3ea01fff,
    0xffffffff,0xefffffff,0xffffc801,0xffffffff,0x800effff,0xfffffffa,
    0xffffffff,0x3ffa2006,0xffffffff,0xffffffff,0x7ffdc002,0x0ffffe1f,
    0xfcbaaab8,0x4c001fff,0x200001ff,0xfffffffa,0xffffffff,0x3ffea006,
    0xffffffff,0x01efffff,0x7ffffd40,0xffffffff,0x4001efff,0xfffffffa,
    0xffffffff,0x7d4001ef,0xffffffff,0xefffffff,0x7ffd4001,0xffffffff,
    0x9806ffff,0x882fffff,0x004fffff,0x4bffffe6,0xfffffff9,0xffff11ff,
    0xffffffff,0xffffffff,0x7ffff43f,0x3ffa0007,0xd8801fff,0xffffffff,
    0x003fffff,0x003fffff,0xfffffff1,0xfffd8803,0xffffffff,0x754003ff,
    0xffffffff,0x00dfffff,0x3ffff620,0xffffffff,0xffc8000c,0xffffffff,
    0x003fffff,0x43ffff70,0x3a03ffff,0xffffffff,0x07fc8002,0xffd88000,
    0xffffffff,0x44000cff,0xfffffffd,0x03ffffff,0x3fff6200,0xffffffff,
    0x220003ff,0xfffffffd,0x03ffffff,0x3fff6200,0xffffffff,0x220003ff,
    0xfffffffd,0x00cfffff,0x2fffff98,0x4fffff88,0x3fffe600,0xfffff32f,
    0x3e23ffff,0xffffffff,0xffffffff,0xff51ffff,0x40009fff,0x05fffffb,
    0x3fffb2a0,0x01cdffff,0x07ffffe0,0x7ffffd40,0xfd95001f,0x9bffffff,
    0x7f5c0003,0xffffffff,0x36e0001d,0xfffffffe,0x5440000c,0xfffffffe,
    0x40001bce,0x3e1ffffb,0x3f203fff,0x00bdffff,0x0009fd00,0x7ff6dc00,
    0x00cfffff,0x7ff65400,0x1cdfffff,0xfd950000,0x9bffffff,0x32a00003,
    0xfffffffe,0x500001cd,0xffffffd9,0x000039bf,0x3ffffb6e,0x2000cfff,
    0x82fffff9,0x04fffff8,0x3ffffe60,0xffffff32,0x3fe23fff,0xffffffff,
    0xffffffff,0xfffb1fff,0x440003ff,0x00ffffff,0x01355100,0x7ffffc00,
    0x3fff6001,0x510001ff,0x00000135,0x06aaaa66,0x2a620000,0x0000009a,
    0x0006aa66,0x3bbbaa00,0x00bbbba0,0x2e600000,0x10000001,0x00013553,
    0x04d54400,0xa8800000,0x0000009a,0x00135510,0x2aa20000,0x80000009,
    0x0009aa98,0x5fffff30,0x9fffff10,0x7fffcc00,0xfffff32f,0x3e23ffff,
    0xffffffff,0xffffffff,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x33326000,0x800001cc,
    0x0aa602aa,0x665c0000,0x40000ccc,0x99999998,0x00009999,0x59999930,
    0x70000000,0x00199999,0x43ccca80,0x0004ccc8,0x06aaaa60,0xcc800000,
    0x20004ccc,0xcc84ccc8,0x332000cc,0x6665c0cc,0x2aaa0002,0x991002aa,
    0x10007999,0xaa815555,0x998001aa,0x99999999,0x99500099,0x4ccc8879,
    0x16665c00,0x260f332a,0x0099502c,0x013bbbaa,0x0aaaaa80,0x133332e0,
    0x1ccccc98,0xffffd000,0x3200000b,0x0ffd00ff,0xfff10000,0xd00005ff,
    0xffffffff,0x00007fff,0x03ffffe4,0x3e200000,0x0002ffff,0x12fffe88,
    0x0007fffd,0x3ffffe60,0x8000000f,0x01fffff9,0x27ffec00,0x800bfff9,
    0x3ee6fffb,0x50000eff,0x003fffff,0x03bffff2,0x3fffea00,0x027fffc1,
    0x7fffffc0,0x02ffffff,0x45fffd10,0x4003fffe,0xf30ffff9,0x7f4c3fff,
    0xff12cfff,0x3ffee00d,0xff70006f,0x7cc0dfff,0xfb02ffff,0x2000bfff,
    0x005ffff9,0x13fea000,0x00017fea,0x0fffff20,0x7fff4000,0xffffffff,
    0x7e400003,0x00002fff,0x3ffff200,0x3e600003,0xfffd8fff,0x3fa00005,
    0x006fffff,0xfffd8000,0xf880002f,0xfffbafff,0xffd8000f,0x1ffff9cf,
    0x3fffa000,0xfff1002f,0x2a0001ff,0x7fc1ffff,0xff8004ff,0xffffffff,
    0x3e6002ff,0xfffd8fff,0xfff70006,0x87fffd1d,0xfffffffc,0x7005ffff,
    0x000dffff,0xfffffff3,0x7fffcc09,0x6ffff986,0x3fff6000,0x4000000e,
    0xffcdfffe,0x400001ff,0x004ffff8,0x3ffffa00,0x3fffffff,0xffd80000,
    0x0000006f,0x009ffff1,0xffff7000,0x0001ffff,0x3b7fff20,0x00003fff,
    0x0bfffe60,0xfff98000,0x002fffff,0xffffff10,0x540009ff,0x2002ffff,
    0x001ffffb,0x07fffea0,0x0009ffff,0xffffffff,0x8005ffff,0xfffffffb,
    0x3fa0000f,0x85ffffff,0xfffedfff,0x7001ffff,0x000dffff,0xfff9fffd,
    0x7ffd403f,0x77ffec1f,0xfff30000,0x0000001d,0xfffffff3,0x7000007f,
    0x00009fff,0x99999988,0x00099999,0x5fffb000,0xf7000000,0x000009ff,
    0x7ffffff4,0xff500002,0xffff31ff,0x36000003,0x00003fff,0xffffffc8,
    0x7fd40004,0x0006ffff,0x001ffff4,0x0007fffa,0x83ffff50,0x8004ffff,
    0x99999999,0x80009999,0x2ffffffe,0x7ffc4000,0x7cc0ffff,0x3ffae22f,
    0x3fee002d,0x7e4006ff,0xffff75ff,0x2fffdc01,0x001dfff1,0x007ffe40,
    0xfb100000,0x0003dfff,0x017ffe00,0x00000000,0xffe88000,0xf8000006,
    0x000005ff,0x2fffffc4,0xfff88000,0x1bffee1f,0x3fe20000,0x2000004f,
    0x00effffe,0xffffc800,0x3e60001f,0x7d4003ff,0x880002ff,0x99981999,
    0x00000009,0xffff1000,0x2a0000bf,0x882fffff,0x0002202a,0x00266662,
    0x20ffff98,0x5c05fffc,0xfff90fff,0x99980001,0x00000000,0x00000266,
    0x00003330,0x37975100,0x20000001,0x00001998,0x00019980,0x00000000,
    0x98099988,0x00000999,0x0000ccc4,0x00000000,0x2a600000,0x9988002a,
    0x33330000,0x4cc40013,0x4cccc199,0x26620009,0x00000199,0x00000000,
    0x20000000,0x99809998,0x09998019,0x4c001331,0x99999999,0x00009999,
    0x99999800,0x26660001,0x4cc00099,0xb9100199,0xffffffff,0x000005df,
    0x00333333,0x33330000,0x4cc00033,0x99999999,0x99999999,0x30001999,
    0x00033333,0x04cccccc,0x99999800,0x4cccccc1,0x99999999,0x40999999,
    0x99999999,0x00099999,0x00666660,0xff880000,0x2a003fff,0xf11fffff,
    0x4007ffff,0x21fffffa,0x99999999,0x00009999,0x01333330,0x02666660,
    0x4ccccccc,0x99999999,0x20099999,0x00099999,0x4c133333,0x22009999,
    0xffffffff,0xffffffff,0x200002ce,0x1ffffff9,0xfffff000,0xffff800d,
    0x7ffd401f,0xffffffff,0x0000dfff,0xffffff30,0x4c000003,0x01ffffff,
    0xfffff880,0xffffffff,0xffffffff,0x7fcc001f,0x0001ffff,0x1ffffff9,
    0xffffc800,0x3fffe26f,0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,
    0x802cefff,0x81fffff8,0x005fffff,0x7ffffc40,0x3ffea003,0xffff11ff,
    0x7fd4007f,0xfff11fff,0xffffffff,0x0019dfff,0x5fffff30,0xfffff300,
    0xfffff105,0xffffffff,0xbfffffff,0x3ffffe60,0xffff9802,0xfffff32f,
    0x7fffc405,0xffffffff,0xefffffff,0xffc80000,0x0004ffff,0x07ffffff,
    0x0fffffc0,0xffffff90,0xffffffff,0x00005fff,0x9ffffff9,0x7e400000,
    0x004fffff,0xffffff88,0xffffffff,0xffffffff,0x7ffe4001,0x10004fff,
    0x09ffffff,0x7ffffcc0,0x3fffe21f,0xffffffff,0xffffffff,0x3ffffe25,
    0xffffffff,0x0effffff,0x3ffffe20,0x5fffff81,0x7ffc4000,0x3ea003ff,
    0xff11ffff,0x54007fff,0xf11fffff,0xffffffff,0xffffffff,0xfff98007,
    0xff9802ff,0xff882fff,0xffffffff,0xffffffff,0xfff305ff,0xff3005ff,
    0x3fe65fff,0x3e202fff,0xffffffff,0xffffffff,0x0000efff,0x3fffffe2,
    0xff8000ff,0x000fffff,0x203fffff,0xfffffffd,0xffffffff,0x0003ffff,
    0x3fffffe2,0x800000ff,0xfffffff8,0x7fc4000f,0xffffffff,0xffffffff,
    0x2001ffff,0xfffffff8,0xff50000f,0x2003ffff,0x44fffffe,0xfffffff8,
    0xffffffff,0x225fffff,0xffffffff,0xffffffff,0x100effff,0xf03fffff,
    0x000bffff,0x3fffff88,0x3fffea00,0xfffff11f,0x7ffd4007,0xffff11ff,
    0xffffffff,0x3dffffff,0x3fffe600,0xfff9802f,0xfff882ff,0xffffffff,
    0xffffffff,0xffff305f,0xfff3005f,0x3ffe65ff,0x3fe202ff,0xffffffff,
    0xffffffff,0x20005fff,0xfffffffb,0xfff8003f,0xf005ffff,0xf503ffff,
    0x9bffffff,0xfffd9535,0x0001ffff,0x3fffffee,0x800003ff,0xfffffffb,
    0x7fc4003f,0xffffffff,0xffffffff,0x2001ffff,0xfffffffb,0x3f60003f,
    0xa805ffff,0x40efffff,0xfffffff8,0xffffffff,0x225fffff,0xffffffff,
    0xffffffff,0x105fffff,0xf03fffff,0x000bffff,0x3fffff88,0x3fffea00,
    0xfffff11f,0x7ffd4007,0xffff11ff,0xffffffff,0xffffffff,0xffff3003,
    0xfff3005f,0xfff105ff,0xffffffff,0xffffffff,0x3ffe60bf,0xff9802ff,
    0xfff32fff,0x7fc405ff,0xccccefff,0xfffecccc,0x20007fff,0xfffffffe,
    0xfff8006f,0x802fffff,0x441fffff,0x2fffffff,0x7ffffdc0,0xffd0005f,
    0x0dffffff,0xfffd0000,0x00dfffff,0xcccccc88,0xffffffcc,0xcccccccc,
    0x3fffa000,0x006fffff,0x3ffffe20,0x7fff402f,0xfff882ff,0xccccceff,
    0xcccccccc,0x3fffe23c,0xccccccef,0xfffffecc,0xffff107f,0xfffff03f,
    0xff88000b,0x2a003fff,0xf11fffff,0x4007ffff,0x11fffffa,0x99dfffff,
    0xfffdb999,0x300bffff,0x005fffff,0x05fffff3,0x9dfffff1,0x99999999,
    0x20799999,0x02fffff9,0x2fffff98,0x05fffff3,0x27ffffc4,0xffffea80,
    0xff98002f,0xffffffff,0x7fffc001,0xf806ffff,0x7ec1ffff,0x000effff,
    0x3ffffff3,0xffff9800,0x01ffffff,0x3ffe6000,0x1fffffff,0x7fec0000,
    0x200006ff,0xfffffff9,0x20001fff,0x06fffffb,0x17fffff2,0x27ffffc4,
    0xfff88000,0xfd5004ff,0xf105ffff,0xff03ffff,0x8000bfff,0x03fffff8,
    0x3ffffea0,0x7fffff11,0x7fffd400,0xfffff11f,0xfffd9807,0x7cc02fff,
    0x9802ffff,0x882fffff,0x004fffff,0xffff9800,0xfff9802f,0xffff32ff,
    0x7ffc405f,0x3ee004ff,0x8004ffff,0xffeffffc,0x7c004fff,0xffffffff,
    0x7ffffc03,0x3ffffe21,0x7fdc001f,0x64006fff,0xfffeffff,0x200004ff,
    0xffeffffc,0x00004fff,0x037fffec,0xffff9000,0x09fffffd,0xffffe800,
    0xffff884f,0xfff100ff,0x200009ff,0x04fffff8,0x3ffffee0,0xfffff884,
    0x5fffff81,0x7ffc4000,0x3ea003ff,0xff11ffff,0x54007fff,0xf11fffff,
    0x2007ffff,0x06fffffa,0x17ffffcc,0x7ffffcc0,0xfffff882,0xf9800004,
    0x9802ffff,0xf32fffff,0x4405ffff,0x004fffff,0x1bffffe2,0x3ffffe00,
    0x0fffffcb,0x3ffffe00,0x200fffff,0x2e1fffff,0x005fffff,0x3fffffd0,
    0x7ffffc00,0x0fffffcb,0xffff0000,0xfffff97f,0x7ec00001,0x00006fff,
    0x32fffffe,0x000fffff,0x3ffffe60,0x7fffec0f,0x3ffe203f,0x100004ff,
    0x009fffff,0x37ffffc4,0x0fffffc4,0x02fffffc,0x3fffe200,0x3fea003f,
    0xfff11fff,0x7d4007ff,0xff11ffff,0x74007fff,0x203fffff,0x02fffff9,
    0x2fffff98,0x4fffff88,0xff980000,0xf9802fff,0xff32ffff,0x7c405fff,
    0x4004ffff,0x006fffff,0x47ffffd4,0x03fffff9,0x3fffffe0,0x3e05ffff,
    0x3f61ffff,0x0001ffff,0x05fffff7,0x3ffffea0,0x3fffff98,0xfffa8000,
    0xffff98ff,0x3600003f,0x0006ffff,0x1fffff50,0x07fffff3,0xffffc800,
    0x3fffe65f,0x7ffc406f,0x100004ff,0x009fffff,0x86fffff8,0x81fffff8,
    0x005fffff,0x7ffffc40,0x3ffea003,0xffff11ff,0x7fd4007f,0xfff11fff,
    0x7cc007ff,0x2605ffff,0x802fffff,0x82fffff9,0x04fffff8,0xfff98000,
    0xff9802ff,0xfff32fff,0x7fc405ff,0x26004fff,0x004fffff,0xd2ffffec,
    0x400dffff,0xffffffff,0xfff02fff,0x7fffc3ff,0x3e60007f,0xb003ffff,
    0x7f4bffff,0x80006fff,0x3a5ffffd,0x0006ffff,0x1bffff60,0x7ffec000,
    0x3ffffa5f,0xffe80006,0xfffd2fff,0xff8803ff,0x00004fff,0x09fffff1,
    0x7ffffcc0,0xfffff884,0x5fffff81,0x7ffc4000,0x3ea003ff,0xff11ffff,
    0x54007fff,0xf11fffff,0x8007ffff,0x207ffffe,0x02fffff9,0x2fffff98,
    0x4fffff88,0xff980000,0xf9802fff,0xff32ffff,0x7c405fff,0x1004ffff,
    0x07fffffd,0x7ffffc40,0x3ffffee2,0xfffff001,0x1ffffff7,0x23fffff0,
    0x06fffff8,0x3fffe200,0xfff8805f,0x3ffee2ff,0x220001ff,0x2e2fffff,
    0x001fffff,0xdffffb00,0xfff10000,0x7ffdc5ff,0x540001ff,0xfbefffff,
    0x8804ffff,0x99cfffff,0x99999999,0x7fc40999,0xd1004fff,0x107fffff,
    0xf03fffff,0x000bffff,0x3fffff88,0x3fffea00,0xfffff11f,0x7ffd4007,
    0xffff11ff,0xffc8007f,0xff301fff,0xf3005fff,0xf105ffff,0x3339ffff,
    0x33333333,0x7fcc0133,0xf9802fff,0xff32ffff,0x7c405fff,0x999cffff,
    0xffcaaa99,0x4006ffff,0x20fffffb,0x04fffff8,0x93fffff0,0xf09fffff,
    0x3e23ffff,0x0005ffff,0x037ffffc,0x07ffffdc,0x09fffff1,0x7fffdc00,
    0x3fffe20f,0xfb00004f,0x0000dfff,0x41fffff7,0x04fffff8,0xffffd800,
    0x06ffffff,0xffffff10,0xffffffff,0x88bfffff,0x99cfffff,0xfcaaa999,
    0x106fffff,0xf03fffff,0x000bffff,0x3fffff88,0x3fffea00,0xfffff11f,
    0x7ffd4007,0xffff11ff,0xffb8007f,0xff301fff,0xf3005fff,0xf105ffff,
    0xffffffff,0xffffffff,0x7fcc0bff,0xf9802fff,0xff32ffff,0x7c405fff,
    0xffffffff,0xffffffff,0x4002ffff,0xe85ffffe,0x800fffff,0xf89fffff,
    0x7c1fffff,0xff31ffff,0x80009fff,0x807ffffe,0xe85ffffe,0x000fffff,
    0x0bffffd0,0x01fffffd,0xffffb000,0xffd0000d,0xfffd0bff,0x880001ff,
    0xffffffff,0xff1001ff,0xffffffff,0xffffffff,0xffff88bf,0xffffffff,
    0xffffffff,0xffff102f,0xfffff03f,0xff88000b,0x2a003fff,0xf11fffff,
    0x4007ffff,0x11fffffa,0x007fffff,0x2fffffb8,0x5fffff30,0xfffff300,
    0xfffff105,0xffffffff,0x0bffffff,0x17ffffcc,0x7ffffcc0,0x5fffff32,
    0x7ffffc40,0xffffffff,0x2fffffff,0x7fffcc00,0xffffb82f,0xffff803f,
    0xfffff51f,0x1fffff8d,0x09fffff3,0xffffe800,0x7fffcc07,0xffffb82f,
    0xff98003f,0xffb82fff,0x80003fff,0x006ffffd,0x7ffffcc0,0xfffffb82,
    0xffa80003,0x05ffffff,0x3ffffe20,0xffffffff,0x45ffffff,0xfffffff8,
    0xffffffff,0x202fffff,0x81fffff8,0x005fffff,0x7ffffc40,0x3ffea003,
    0xffff11ff,0x7fd4007f,0xfff11fff,0xfa8007ff,0xf302ffff,0x3005ffff,
    0x105fffff,0xffffffff,0xffffffff,0x7cc0bfff,0x9802ffff,0xf32fffff,
    0x4405ffff,0xffffffff,0xffffffff,0xd8000dff,0xf107ffff,0xf00dffff,
    0x7ec3ffff,0x3fe2ffff,0xfff11fff,0xf8000bff,0x6c06ffff,0xf107ffff,
    0x000dffff,0x20fffffb,0x06fffff8,0xffffd800,0x7fec0006,0xfff107ff,
    0x20000dff,0xfffffffd,0x3ffe2000,0xffffffff,0xffffffff,0x7ffffc45,
    0xffffffff,0x00dfffff,0x0fffffc4,0x02fffffc,0x3fffe200,0x3fea003f,
    0xfff11fff,0x7d4007ff,0xff11ffff,0xb8007fff,0x302fffff,0x005fffff,
    0x05fffff3,0xfffffff1,0xffffffff,0x4c0bffff,0x802fffff,0x32fffff9,
    0x405fffff,0xfffffff8,0xffffffff,0x3e20001e,0x3604ffff,0x401fffff,
    0x221fffff,0xf0ffffff,0x7fc3ffff,0x20006fff,0x04fffff8,0x13ffffe2,
    0x1fffffd8,0x3fffe200,0x3fff604f,0x6c0001ff,0x0006ffff,0x13ffffe2,
    0x1fffffd8,0xfff88000,0x44002fff,0xccefffff,0xcccccccc,0x7fc42ccc,
    0xffffffff,0x01efffff,0x3ffffe20,0x5fffff81,0x7ffc4000,0x3ea003ff,
    0xff11ffff,0x54007fff,0xf11fffff,0x8007ffff,0x01fffffb,0x05fffff3,
    0x5fffff30,0xdfffff10,0x99999999,0x40599999,0x02fffff9,0x2fffff98,
    0x05fffff3,0x67ffffc4,0xffffcaa9,0x2e0004ff,0x99bfffff,0xfffb9999,
    0x7ffc04ff,0x7ffdc1ff,0xfffff4ff,0x3ffffec3,0xffff3000,0x7ffdc07f,
    0x99999bff,0x4fffffb9,0x3fffee00,0x999999bf,0x04fffffb,0x7fffec00,
    0x3fee0006,0x9999bfff,0xfffffb99,0xffb00004,0xf1000fff,0x0009ffff,
    0x3ffffe20,0xfffcaa9c,0x22004fff,0xf81fffff,0x0005ffff,0x1fffffc4,
    0xfffff500,0x3ffffe23,0x3ffea003,0xffff11ff,0xffb8007f,0xff300fff,
    0xf3005fff,0xf105ffff,0x0009ffff,0xfffff300,0xffff3005,0x3fffe65f,
    0x3ffe202f,0xffe984ff,0x8000efff,0xfffffffe,0xffffffff,0x3e00ffff,
    0xfe81ffff,0xfff9ffff,0x3fff21ff,0xf90002ff,0x7405ffff,0xffffffff,
    0xffffffff,0xfd000fff,0xffffffff,0xffffffff,0x6c0001ff,0x0006ffff,
    0x3ffffffa,0xffffffff,0x000fffff,0x7ffffd80,0xffff8800,0xf100004f,
    0xd309ffff,0x01dfffff,0x3fffff10,0x0bfffff0,0xfffff000,0x7ffdc009,
    0x3fffe1ff,0x3fee004f,0xfff11fff,0xfc8007ff,0x3e607fff,0x9802ffff,
    0x882fffff,0x004fffff,0xffff9800,0xfff9802f,0xffff32ff,0x7ffc405f,
    0xfff104ff,0x4001dfff,0xfffffff9,0xffffffff,0x203fffff,0xa81fffff,
    0xffefffff,0x3fee1fff,0x88006fff,0x01ffffff,0xfffffff3,0xffffffff,
    0x007fffff,0xfffffff3,0xffffffff,0x007fffff,0x37fffec0,0xffff9800,
    0xffffffff,0xffffffff,0xffd80003,0xf88007ff,0x0004ffff,0x9fffff10,
    0x3ffffe20,0x7fc400ef,0xfff81fff,0xf80005ff,0x2005ffff,0x20fffffc,
    0x005fffff,0x43fffff2,0x03fffff8,0x37ffff40,0x5fffff30,0xfffff300,
    0xfffff105,0xf3000009,0x3005ffff,0x265fffff,0x202fffff,0x04fffff8,
    0x3fffffea,0x3fff2005,0xffffffff,0xffffffff,0x3fffe06f,0xffffb01f,
    0x43ffffff,0x3ffffff8,0x7fffe400,0x3fff206f,0xffffffff,0xffffffff,
    0xfffc806f,0xffffffff,0xffffffff,0x3f60006f,0x90006fff,0xffffffff,
    0xffffffff,0x000dffff,0x0fffffb0,0xfffff100,0x3e200009,0x2a04ffff,
    0x05ffffff,0x0fffffc4,0x02fffffc,0x7ffff400,0xfffd000f,0xffffe8ff,
    0xfffd000f,0x7fffc4ff,0x3fe6003f,0x3e605fff,0x9802ffff,0x882fffff,
    0x004fffff,0xffff9800,0xfff9802f,0xffff32ff,0x7ffc405f,0x7fe404ff,
    0xf003ffff,0xffffffff,0xffffffff,0x203fffff,0x101fffff,0xffffffff,
    0xfffb83ff,0xf7002fff,0x403fffff,0xffffffff,0xffffffff,0x01ffffff,
    0x7ffffffc,0xffffffff,0x1fffffff,0xffffb000,0x3ffe000d,0xffffffff,
    0xffffffff,0x40001fff,0x007ffffd,0x4fffff88,0xfff10000,0xffc809ff,
    0x2203ffff,0xf81fffff,0x0005ffff,0x5fffffd8,0xfffffa80,0x7ffffec6,
    0xffffa805,0x3fffe26f,0x3ff6003f,0x3e603fff,0x9802ffff,0x882fffff,
    0x004fffff,0xffff9800,0xfff9802f,0xffff32ff,0x7ffc405f,0xffe804ff,
    0x5400ffff,0xccdfffff,0xcccccccc,0x05fffffd,0x403fffff,0xfffffffb,
    0xfffe81ff,0x36204fff,0x04ffffff,0x37ffffea,0xcccccccc,0xfffffdcc,
    0x3fffea05,0xccccccdf,0xfffdcccc,0xfb0005ff,0x5000dfff,0x99bfffff,
    0x99999999,0x0bfffffb,0xffffd800,0xfff88007,0x100004ff,0x009fffff,
    0x1ffffffd,0x3ffffe20,0x5fffff81,0xfffa8000,0x3e603fff,0x543fffff,
    0x03ffffff,0x3fffffe6,0x3ffffe23,0xffff5003,0xfff980ff,0xff9802ff,
    0xff882fff,0x00004fff,0x2fffff98,0xfffff980,0x5fffff32,0x7ffffc40,
    0xffff9804,0x7fec05ff,0xff8007ff,0xff80ffff,0x7f401fff,0x1fffffff,
    0xffffff98,0xfecacdff,0x0fffffff,0x1fffff60,0x3ffffe00,0xffffb00f,
    0xffff000f,0xfb0001ff,0xb000dfff,0x000fffff,0x01ffffff,0x7fffec00,
    0xfff88007,0x100004ff,0x009fffff,0xbffffff3,0x3ffffe20,0x5fffff81,
    0xfffd0000,0x9579dfff,0xfffffffb,0x3fffffa0,0xfdcabcef,0x447fffff,
    0x403fffff,0xffffffc8,0x7fffcc03,0xfff9802f,0xfff882ff,0x800004ff,
    0x02fffff9,0x2fffff98,0x05fffff3,0x27ffffc4,0xfffffc80,0xffff102f,
    0xff90009f,0xfff07fff,0xff9803ff,0x01ffffff,0xfffffff9,0xffffffff,
    0x4405ffff,0x004fffff,0x3fffffc8,0x4fffff88,0xffffc800,0xffd8003f,
    0x7c4006ff,0x8004ffff,0x03fffffc,0x3ffff600,0xfff88007,0xeeeeeeff,
    0xeeeeeeee,0xffff11ee,0x3ff2009f,0xf882ffff,0xff81ffff,0xeeeeffff,
    0xeeeeeeee,0x7fffd45e,0xffffffff,0x03ffffff,0xfffffff5,0xffffffff,
    0xff887fff,0xeeeeefff,0xffffffee,0xff9806ff,0xf9802fff,0xf882ffff,
    0xeeeeffff,0xeeeeeeee,0xf981eeee,0x9802ffff,0xf32fffff,0x4405ffff,
    0x004fffff,0x3ffffffa,0xfffffb80,0xfff98002,0xffff86ff,0xfffc801f,
    0x2a01ffff,0xffffffff,0xffffffff,0x7ffdc01e,0xf98002ff,0xfb86ffff,
    0x8002ffff,0x06fffff9,0x6ffffd80,0x7fffdc00,0xff98002f,0x20006fff,
    0x007ffffd,0xffffff88,0xffffffff,0x1fffffff,0x09fffff1,0x7fffff40,
    0x7fffc40f,0xfffff81f,0xffffffff,0x86ffffff,0xfffffffb,0xffffffff,
    0x3fee00df,0xffffffff,0x0dffffff,0x7fffffc4,0xffffffff,0x00ffffff,
    0x2fffff98,0xfffff980,0xfffff882,0xffffffff,0xffffffff,0xfffff981,
    0xffff9802,0xfffff32f,0x7fffc405,0x3fe6004f,0xfe84ffff,0x20007fff,
    0x41fffffe,0x801fffff,0xfffffff8,0x7ffec401,0xffffffff,0xffd003ff,
    0x74000fff,0x741fffff,0x0007ffff,0x07fffffa,0xdffffb00,0xffffe800,
    0x3ffa0007,0xb0001fff,0x000fffff,0xfffffff1,0xffffffff,0x23ffffff,
    0x04fffff8,0x3ffffe60,0x7fffc44f,0xfffff81f,0xffffffff,0x06ffffff,
    0xffffffd3,0x7fffffff,0x3fffa600,0xffffffff,0xfff103ff,0xffffffff,
    0xbfffffff,0x3ffe6003,0xff9802ff,0xff882fff,0xffffffff,0xffffffff,
    0xff981fff,0xf9802fff,0xff32ffff,0x7c405fff,0x4004ffff,0x1ffffffc,
    0x13ffffea,0xffffb800,0x7ffffc5f,0xffff5001,0x32a003ff,0xfffffffe,
    0xff5001cd,0x40009fff,0x25fffffb,0x04fffffa,0x3fffee00,0x7fec005f,
    0x3ea006ff,0x0004ffff,0x17ffffee,0x7fffec00,0xfff88007,0xffffffff,
    0xffffffff,0xffff11ff,0xffc8009f,0x3e21ffff,0xff81ffff,0xffffffff,
    0xffffffff,0x3fb2206f,0xffffffff,0x7644000d,0xffffffff,0x3fe200df,
    0xffffffff,0x2effffff,0x7fffcc00,0xfff9802f,0xfff882ff,0xffffffff,
    0xffffffff,0xfff981ff,0xff9802ff,0xfff32fff,0x7fc405ff,0xe8004fff,
    0x366fffff,0x001fffff,0x3ffffe20,0x3ffffe0f,0x3fff6001,0x510001ff,
    0x36000135,0x001fffff,0x3ffffe20,0xfffffb0f,0x7fc40003,0x2000ffff,
    0x006ffffd,0x07fffff6,0xffff8800,0xfd8000ff,0x88007fff,0xffffffff,
    0xffffffff,0xf11fffff,0x0009ffff,0x4dfffffd,0x81fffff8,0xffffffff,
    0xffffffff,0x31006fff,0x00355555,0x2aaa6200,0xff1001aa,0xffffffff,
    0x0059ddff,0x3ffffe60,0xffff9802,0xffff882f,0xffffffff,0xffffffff,
    0xffff981f,0xfff9802f,0xffff32ff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x332a0000,0x26664c3c,0x00000000,0x33333200,0x554c0003,
    0x2e0001aa,0x0004cccc,0x33332600,0x54c0002c,0x00001aaa,0x1e5c0b2a,
    0x26666600,0x09999999,0x55551000,0x01aaaa81,0x15554c00,0x002aaaa2,
    0x4ccccc00,0x01999999,0x02aa6000,0x55554400,0x00d55540,0x33333331,
    0x40013333,0xcc881bc8,0x55555000,0x002aaa98,0x00033260,0x65d4c000,
    0x000000ab,0x10260000,0x80133333,0xd12ffff8,0x00007fff,0x00fffff3,
    0xffff7000,0x7c40001f,0x001fffff,0x5fffff30,0x3f600000,0x40005fff,
    0x1ffffff9,0x7ffd4000,0xff98acff,0x7fffc005,0xffffffff,0xfff30002,
    0x4ffff85f,0x7ffe4000,0x0ffffd47,0x7ffcc000,0xffffffff,0xf900000f,
    0x3e20001f,0x7ffc3fff,0x3fff605f,0xffffffff,0xffffb004,0x3ffb137d,
    0x17fffa00,0x000ffff9,0x013ffff6,0x7ff5c000,0xefffffff,0x53000002,
    0x20135797,0x3fee0ee8,0xf9802fff,0xfffd8fff,0xff300005,0x00000fff,
    0x003ffffd,0xfffffe80,0xf30000ef,0x0000dfff,0x1dffff30,0xfffe8000,
    0x40006fff,0xfffffffe,0x4003ffff,0xffffffff,0x0002ffff,0xf85ffff3,
    0x40004fff,0x7d47fffc,0x80001fff,0xfffffff9,0x000fffff,0x67ff5440,
    0xfff88001,0x2ffffc3f,0xffffffb0,0x009fffff,0xfffffff3,0x001fffff,
    0xf917fffa,0xf3000fff,0x001ff77d,0x7fff4c00,0xffffffff,0x80000dff,
    0xffffffeb,0x3a21dfff,0xfff71fff,0x3f2005ff,0x0fffffff,0xfff30000,
    0xa80000ff,0x0001ffff,0x7f77ffdc,0x2a0004ff,0x0002ffff,0x077ffe40,
    0x3fff2000,0x004fffed,0xfd9dff10,0x01ffffff,0xffffff80,0x02ffffff,
    0x5ffff300,0x004ffff8,0x23fffe40,0x001ffffa,0xfffff980,0x0fffffff,
    0xfffb1000,0x007fffff,0x21ffffc4,0x3605ffff,0xffffffff,0xfc804fff,
    0xfffffddf,0x3fa004ff,0x7ffe45ff,0x22fc8007,0x700003fb,0xffffffff,
    0xffffffff,0x3a60005f,0xffffffff,0xdaefffff,0xff70efff,0x74005fff,
    0x02ffffff,0x3ffe6000,0x7400007f,0x40002fff,0xf88ffff9,0x20002fff,
    0x0005fffa,0x03fffe20,0xffff3000,0x03ffff31,0x443ff500,0x001cffeb,
    0x99999998,0x00099999,0x85ffff30,0x0004ffff,0x2a3fffe4,0x0001ffff,
    0x33333330,0x00033333,0x3fffffea,0x00efffff,0x43ffff88,0x2205ffff,
    0x99999999,0xfe800999,0x1f7fe4c5,0x17fffa00,0x000ffff9,0x01fe47f9,
    0x7fffec00,0xffffffff,0x3fffffff,0x7fffdc00,0xffffffff,0xffffffff,
    0x3fffee0e,0x3fe6002f,0x00004fff,0x03ffffcc,0x5fff3000,0xfffd0000,
    0x07fffd45,0x3fff7000,0x3ff20000,0x7c40001f,0x3fea2fff,0x4c4000ef,
    0x00000401,0x99800000,0x4cccc099,0x4cc40000,0x0cccc419,0x00000000,
    0xfffff300,0xffffffff,0x2666600b,0x004cccc0,0x26600000,0x44000200,
    0x4cc40999,0xff980019,0x0000ffcb,0x7fffffd4,0xeca9acdf,0x0fffffff,
    0xfffffb00,0xffffffff,0xffffffff,0xfffffb83,0x00000002,0x80000000,
    0x80000998,0x98819998,0x44000099,0x10000099,0x10000133,0x33301333,
    0x99998013,0x4ccc0009,0x4ccccc19,0x99999999,0x09999999,0x04cccccc,
    0x99999800,0x33330001,0x00000033,0x00333333,0xfffffe80,0xfffffffe,
    0x9999983f,0x99999999,0x09999999,0x02666660,0x33333000,0x26600003,
    0x40000999,0x1ffffff9,0x3ffe2000,0x5c02ffff,0x05ffffff,0xffffffa8,
    0xeba9abdf,0x3fffffff,0x2fffffb8,0x99999988,0x99999999,0x88099999,
    0x99999999,0x99999999,0x99880999,0x99999999,0x99999999,0x0ccccc09,
    0x4cccc000,0x99999999,0x99999999,0x4cccccc0,0x99999999,0x40999999,
    0x99999999,0x99999999,0x7fc09999,0x7c006fff,0xff11ffff,0xffffffff,
    0xffffffff,0xfffc8bff,0x64000fff,0x006fffff,0xffffff98,0x26000001,
    0x01ffffff,0xfffff500,0xffb3ff93,0xfff88dff,0xffffffff,0xffffffff,
    0xffff305f,0x7cc0005f,0x001fffff,0x7ffffcc0,0x7fe40002,0x0004ffff,
    0x3bfffff2,0xffff3000,0x7fc405ff,0x401fffff,0x6ffffffa,0x2fffffb8,
    0xffffffe8,0xffffffff,0xe85fffff,0xffffffff,0xffffffff,0xffe85fff,
    0xffffffff,0xffffffff,0x3fffe25f,0x3e20001f,0xffffffff,0xffffffff,
    0x3fe25fff,0xffffffff,0xffffffff,0x3ffe25ff,0xffffffff,0xffffffff,
    0x7ffffc5f,0x3ffe003f,0xffff11ff,0xffffffff,0xffffffff,0xfffff88b,
    0x3fe6004f,0x8001ffff,0x4ffffffc,0x3f200000,0x004fffff,0x25ffff90,
    0xfff88ffc,0x3ffe20ff,0xffffffff,0xffffffff,0xffff305f,0x7e40005f,
    0x004fffff,0x7ffffcc0,0x3fe20002,0x00ffffff,0xfffff980,0x7fdc001f,
    0x3f206fff,0x800effff,0xfffffffa,0x7ffffd41,0xfffffe81,0xffffffff,
    0x85ffffff,0xfffffffe,0xffffffff,0xfe85ffff,0xffffffff,0xffffffff,
    0x3ffe25ff,0x220001ff,0xffffffff,0xffffffff,0x3e25ffff,0xffffffff,
    0xffffffff,0x3fe25fff,0xffffffff,0xffffffff,0x7fffc5ff,0xff000fff,
    0x3fe23fff,0xffffffff,0xffffffff,0xfffa85ff,0xfd001fff,0x0009ffff,
    0xfffffff1,0x1000001f,0xffffffff,0xfffb0001,0x5c3ff21f,0x3e209abc,
    0xffffffff,0xffffffff,0xff305fff,0x20005fff,0xfffffff8,0x3e60000f,
    0x0002ffff,0x3fffffee,0xfb8003ff,0x0005ffff,0x03ffffff,0x3ffffff3,
    0xfffff300,0xff98bfff,0xffe80fff,0xffffffff,0xffffffff,0xffffe85f,
    0xffffffff,0x5fffffff,0xffffffe8,0xffffffff,0x225fffff,0x001fffff,
    0x3ffffe20,0xffffffff,0x5fffffff,0x3fffffe2,0xffffffff,0x25ffffff,
    0xfffffff8,0xffffffff,0x7c5fffff,0x05ffffff,0x23fffff0,0xfffffff8,
    0xffffffff,0xb05fffff,0x00bfffff,0x1dfffff5,0xffff7000,0x0007ffff,
    0xfffff700,0xd0007fff,0x3f21ffff,0xfff1000f,0xffffffff,0xffffffff,
    0x3ffe60bf,0xf70002ff,0x7fffffff,0x7ffcc000,0x3a0002ff,0xffffffff,
    0xfffc8006,0xf70001ff,0xf705ffff,0x100bffff,0xffffffff,0x7ffc43ff,
    0xfffe80ff,0xffffffff,0xffffffff,0xfffffe85,0xffffffff,0x85ffffff,
    0xfffffffe,0xffffffff,0x3e25ffff,0x0001ffff,0x3fffffe2,0xffffffff,
    0x25ffffff,0xfffffff8,0xffffffff,0x225fffff,0xffffffff,0xffffffff,
    0x7fc5ffff,0x02ffffff,0x11fffff8,0x99dfffff,0x99999999,0x22079999,
    0x02ffffff,0x17fffff4,0xffffe800,0x0006ffff,0xfffffe80,0xd8006fff,
    0xff92ffff,0x3ffe2001,0xccccceff,0xcccccccc,0xffff303c,0x3fa0005f,
    0x6fffffff,0x3ffe6000,0xf30002ff,0xffffffff,0xffd8003f,0x260007ff,
    0xc83fffff,0x401fffff,0xfbdfffe8,0x7fc2ffff,0x999707ff,0x99999999,
    0xfffffff9,0x99999707,0xf9999999,0x07ffffff,0x99999997,0xfff99999,
    0x7c47ffff,0x0001ffff,0x3bffffe2,0xcccccccc,0x23cccccc,0xcefffff8,
    0xcccccccc,0x223ccccc,0xccefffff,0xcccccccc,0x7fc3cccc,0x06ffffff,
    0x11fffff8,0x009fffff,0x3ffee000,0x3ff206ff,0x30005fff,0xffffffff,
    0x400003ff,0xfffffff9,0x5c001fff,0xfcafffff,0xfff1000f,0x000009ff,
    0x05fffff3,0xfffff300,0x003fffff,0x3ffffe60,0xfff90002,0x9fffffdf,
    0xffffe800,0x3fe20006,0xffd84fff,0xffe807ff,0xffffa8ef,0x37fffc4f,
    0xfffb8000,0x00005fff,0xbffffff7,0x3fee0000,0x7c45ffff,0x0001ffff,
    0x13ffffe2,0x7ffc4000,0x100004ff,0x009fffff,0x7ffffc00,0x7c03ffff,
    0xff11ffff,0x00009fff,0x7fffff40,0xfffff884,0xff90000f,0xfffffdff,
    0x7e400009,0xffffefff,0x7fcc004f,0x0fffffff,0xfffff100,0xf3000009,
    0x0005ffff,0xffdffff9,0x20009fff,0x02fffff9,0x7fffff00,0x01fffff9,
    0x2fffffc0,0x3fffe000,0xfffff86f,0x77ffec06,0xbfffff30,0x006fffe8,
    0xfffffa80,0xf500006f,0x00dfffff,0x3fffea00,0xfff886ff,0x220001ff,
    0x004fffff,0xfffff100,0x3e200009,0x0004ffff,0x3fffffe0,0x3e00ffff,
    0xff11ffff,0x00009fff,0x7ffffcc0,0x7fffec0f,0x3fe0003f,0xfffcbfff,
    0xf00000ff,0xff97ffff,0xd8001fff,0xffffffff,0xfff8801d,0x800004ff,
    0x02fffff9,0xbfffff80,0x00fffffc,0xfffff980,0xfffa8002,0xffff98ff,
    0xfff3003f,0xe80009ff,0x7c47ffff,0x3205ffff,0x3e21ffff,0x7ec6ffff,
    0x440005ff,0x0fffffff,0xfff88000,0x0000ffff,0xffffff88,0xffff880f,
    0x37b6e61f,0xffff101b,0x2200009f,0x004fffff,0xfffff100,0x7fc00009,
    0xffffffff,0x3ffffe05,0x9fffff11,0xfc800000,0x3e65ffff,0x0006ffff,
    0x23ffffea,0x03fffff9,0xffffa800,0xfffff98f,0x7ffc4003,0xffffffff,
    0xffff100c,0x3000009f,0x005fffff,0x8fffffa8,0x03fffff9,0xfffff980,
    0xfffd8002,0x3ffffa5f,0xffff3006,0xfe80009f,0x7fcc7fff,0xff704fff,
    0xffff03ff,0x4fffc8ff,0x3ffa2000,0x0001ffff,0xfffffe88,0xe880001f,
    0x01ffffff,0x23fffff1,0xfffffffc,0xfffff884,0xff100004,0x00009fff,
    0x13ffffe2,0xffff8000,0x2fffffff,0x23fffff0,0x04fffff8,0xffe80000,
    0xfffd2fff,0x6c0003ff,0x3fa5ffff,0x80006fff,0x3a5ffffd,0x8006ffff,
    0xffffffe8,0x881fffff,0x004fffff,0xffff9800,0x7fec002f,0x3fffa5ff,
    0xff98006f,0x44002fff,0x2e2fffff,0x001fffff,0x00bfffff,0x5fffff80,
    0x27ffffcc,0x817fffd4,0x647ffffe,0x20003fff,0x3ffffffd,0xfffb0000,
    0x00007fff,0x3ffffff6,0x3fffe203,0xfffffeaf,0x220effff,0x004fffff,
    0xfffff100,0x3e200009,0x0004ffff,0x2fffffe0,0x80ffffff,0xf11fffff,
    0x3339ffff,0x33333333,0x7d400133,0xffbeffff,0x20004fff,0x22fffff8,
    0x01fffffb,0x3fffe200,0x3fffee2f,0xff90001f,0xffffffff,0xffff885f,
    0x999999cf,0x09999999,0x3ffffe60,0x3ffe2002,0x3ffee2ff,0x7cc001ff,
    0x4002ffff,0x20fffffb,0x04fffff8,0x0dffffd0,0x7fffc400,0x7fffc44f,
    0x7fffd46f,0x3ffffe03,0x01fffdc6,0xfffffb80,0xf700004f,0x009fffff,
    0x3fffee00,0x7fc404ff,0xffffffff,0x3fffffff,0x33ffffe2,0x99999999,
    0x44099999,0x99cfffff,0x99999999,0x7fc40999,0x9999cfff,0x99999999,
    0xfffff809,0x4fffffc9,0x11fffff8,0xffffffff,0xffffffff,0xd800bfff,
    0xffffffff,0x5c0006ff,0x220fffff,0x004fffff,0x3ffffee0,0x3ffffe20,
    0x7f540004,0xffffffff,0x3ffffe20,0xffffffff,0x05ffffff,0x0bffffe6,
    0xfffffb80,0x3ffffe20,0x7ffcc004,0x7f4002ff,0xffe85fff,0xfd800fff,
    0x20007fff,0x83fffff9,0x267fffff,0x2204ffff,0x544fffff,0xa8002fff,
    0x06ffffff,0xffff5000,0x20000dff,0x6ffffffa,0xfffff880,0xfdbabeff,
    0x3e26ffff,0xffffffff,0xffffffff,0x7ffc45ff,0xffffffff,0xffffffff,
    0x7ffffc45,0xffffffff,0x85ffffff,0xf89fffff,0x7c1fffff,0xff11ffff,
    0xffffffff,0xffffffff,0xff8800bf,0xffffffff,0x7ff40001,0xfffe85ff,
    0xfd0000ff,0xffd0bfff,0x80001fff,0xffffeffc,0x3ffe24ff,0xffffffff,
    0xffffffff,0x3fffe605,0x3ffa002f,0xfffe85ff,0x3e6000ff,0x2002ffff,
    0x82fffff9,0x03fffffb,0x1fffffc8,0x7fe406a0,0xffe82fff,0xfff88fff,
    0x7ffcc05f,0x7ffcc3ff,0x7ffcc001,0x0000efff,0xffffff98,0xf980000e,
    0x00efffff,0xffffff88,0xfffffb05,0x3ffffe21,0xffffffff,0x45ffffff,
    0xfffffff8,0xffffffff,0x7c45ffff,0xffffffff,0xffffffff,0xffff85ff,
    0xfffff51f,0x1fffff8d,0xfffffff1,0xffffffff,0x000bffff,0xfffffff5,
    0xf98000bf,0xfb82ffff,0x8003ffff,0x82fffff9,0x03fffffb,0x547fe400,
    0x226ffffe,0xffffffff,0xffffffff,0x3e605fff,0x3002ffff,0x705fffff,
    0x007fffff,0x17ffffcc,0xfffffb00,0x3ffffe20,0xffffb806,0x833fa05f,
    0x0ffffff8,0xafffffd8,0xb805fffe,0x442fffff,0x22000fff,0x1ffffffe,
    0xffe88000,0x0001ffff,0xfffffe88,0xfff1001f,0x3e601dff,0xff11ffff,
    0xffffffff,0xffffffff,0xffff88bf,0xffffffff,0x5fffffff,0x7fffffc4,
    0xffffffff,0xf85fffff,0x3f61ffff,0x3fe2ffff,0xfff11fff,0xffffffff,
    0xffffffff,0x3ff6000b,0x000fffff,0x3ffffec0,0x6fffff88,0xffffd800,
    0xfffff107,0xffc8000d,0x4fffff10,0xfffffff8,0xffffffff,0x2605ffff,
    0x002fffff,0x20fffffb,0x06fffff8,0x3ffffe60,0xffff1002,0x7ffec09f,
    0x7fc401ff,0xfb81ffff,0xffc8cfff,0xff706fff,0xdfffffff,0xffff8801,
    0x377441ff,0x3ffff600,0xb00002ff,0x05ffffff,0x3fff6000,0x22002fff,
    0x204fffff,0x12fffff8,0xffffffff,0xffffffff,0xff88bfff,0xffffffff,
    0xffffffff,0x7fffc45f,0xffffffff,0x5fffffff,0x21fffff8,0x0ffffff8,
    0x223fffff,0xccefffff,0xcccccccc,0x10002ccc,0x05ffffff,0xffff8800,
    0x3fff604f,0x3e2001ff,0x3604ffff,0x801fffff,0x3ff21a98,0x43ffffa0,
    0xcefffff8,0xcccccccc,0x2602cccc,0x802fffff,0x04fffff8,0x07fffff6,
    0x7ffffcc0,0xffff7002,0x3333337f,0x09fffff7,0xdfffff70,0xfffffd81,
    0x2fffffff,0x3fffffe0,0xfc800eff,0x0006ffff,0x3fffff20,0xf900004f,
    0x009fffff,0x3ffff200,0x7c4004ff,0x7c03ffff,0xff12ffff,0x9999dfff,
    0x99999999,0xffff8859,0xccccccef,0x2ccccccc,0x77ffffc4,0xcccccccc,
    0xf82ccccc,0x7dc1ffff,0xfff4ffff,0x3ffe23ff,0x000004ff,0x7ffffd80,
    0xfffb8000,0x99999bff,0x4fffffb9,0x3fffee00,0x999999bf,0x04fffffb,
    0xc97fffee,0x3fff20ff,0x3ffffe27,0xf9800004,0xb802ffff,0x99bfffff,
    0xfffb9999,0xff3004ff,0x3a005fff,0xffffffff,0xffffffff,0xfe800fff,
    0x542fffff,0xfffffffe,0x7fdc05ff,0x801fffff,0x1ffffff9,0x05555544,
    0x3ffffea0,0xf500005f,0x00bfffff,0x3fffea00,0xf88005ff,0x7c02ffff,
    0xff12ffff,0x00009fff,0x13ffffe2,0x7ffc4000,0x200004ff,0xe81fffff,
    0xff9fffff,0xfff11fff,0x000009ff,0xfffffb00,0xfffd0000,0xffffffff,
    0xffffffff,0x3fffa001,0xffffffff,0xffffffff,0xfffff300,0xff83ff23,
    0x3ffe26ff,0x800004ff,0x02fffff9,0xffffffe8,0xffffffff,0x800fffff,
    0x02fffff9,0xffffff98,0xffffffff,0x03ffffff,0xffffffa8,0xfeb9acef,
    0x0fffffff,0xffffff80,0x7ffdc01e,0xff984fff,0x3e600fff,0x00efffff,
    0xffff9800,0x80000eff,0xeffffff9,0xfff88000,0x7ffc01ff,0xffff12ff,
    0x2200009f,0x004fffff,0xfffff100,0x7fc00009,0xffa81fff,0xffffefff,
    0xfffff11f,0x00000009,0x00fffffb,0xfffff980,0xffffffff,0x3fffffff,
    0xfffff980,0xffffffff,0x3fffffff,0x37ffffe0,0xff50ffc8,0x7ffc49ff,
    0x800004ff,0x02fffff9,0x7fffffcc,0xffffffff,0x03ffffff,0x2fffff98,
    0xfffffc80,0xffffffff,0x6fffffff,0xfffff900,0xffffffff,0x1dffffff,
    0xfffff900,0x95337bff,0xfffffffd,0xfffff301,0x3fffa201,0x80001fff,
    0xffffffe8,0xfe880001,0x001fffff,0x3fffff10,0x2fffff80,0x09fffff1,
    0x3ffe2000,0x100004ff,0x009fffff,0x7ffffc00,0xfffffb01,0x223fffff,
    0x004fffff,0xffd80000,0x640007ff,0xffffffff,0xffffffff,0xc806ffff,
    0xffffffff,0xffffffff,0x3206ffff,0xfdefffff,0xfffffc9f,0x3ffffe21,
    0xf9800004,0x6402ffff,0xffffffff,0xffffffff,0x9806ffff,0x802fffff,
    0xffffffff,0xffffffff,0x01ffffff,0xffffff50,0xffffffff,0x19ffffff,
    0x3ffffea0,0xffffffff,0xffffffff,0xfffff302,0x3ffff601,0xb00002ff,
    0x05ffffff,0x3fff6000,0x20002fff,0x01fffff8,0x897ffffc,0x004fffff,
    0xfffff100,0x3e200009,0x0004ffff,0x07ffffe0,0x7fffffc4,0xff11ffff,
    0x00009fff,0xffffb000,0xfff8000f,0xffffffff,0xffffffff,0x7fc01fff,
    0xffffffff,0xffffffff,0xd101ffff,0xffffffff,0x89ffffff,0x04fffff8,
    0xfff98000,0x7ffc02ff,0xffffffff,0xffffffff,0x7cc01fff,0x5402ffff,
    0xccdfffff,0xcccccccc,0x05fffffd,0x3ffff620,0xffffffff,0xffffffff,
    0x7ffffcc3,0xffffffff,0xefffffff,0x3fffe601,0xffffc80f,0x900003ff,
    0x07ffffff,0x3fff2000,0x40003fff,0x01fffff8,0x897ffffc,0x004fffff,
    0xfffff100,0x3e200009,0x0004ffff,0x07ffffe0,0xffffffb8,0xfff11fff,
    0x000009ff,0xfffffb00,0x7ffd4000,0xcccccdff,0xffdccccc,0x3ea05fff,
    0xcccdffff,0xdccccccc,0x205fffff,0xfffffffa,0x0effffff,0x27ffffc4,
    0x7fcc0000,0x3ea02fff,0xcccdffff,0xdccccccc,0x405fffff,0x02fffff9,
    0x03ffffec,0x7fffffc0,0x7f654000,0xbdefffff,0xffffffda,0x33fffe65,
    0xffffffd9,0x3fffffff,0xfffff980,0x7ffffd40,0xf500005f,0x00bfffff,
    0x3fffea00,0x880005ff,0x401fffff,0xf12fffff,0x0009ffff,0x3ffffe20,
    0xff100004,0x00009fff,0x00fffffc,0x3ffffffa,0xffff11ff,0x0000009f,
    0x0fffffb0,0x7fffec00,0xffff8007,0xfffb00ff,0xfff000ff,0x7cc01fff,
    0xffffffff,0xfff104ff,0x000009ff,0x05fffff3,0x03ffffec,0x7fffffc0,
    0x3fffe600,0x3ffe202f,0xfc8004ff,0x0003ffff,0xb804d4c4,0x2a1fffff,
    0x7ecc5fff,0xefffffff,0x2600001c,0x0effffff,0xfff98000,0x0000efff,
    0xffffff98,0xf880000e,0x7c01ffff,0xff12ffff,0x00009fff,0x13ffffe2,
    0x7ffc4000,0x200004ff,0x401fffff,0xfffffff9,0xfffff11f,0xdddddddd,
    0xdddddddd,0xfffb0003,0x3e2000ff,0x8004ffff,0x83fffffc,0x04fffff8,
    0xfffffc80,0x7ffe4403,0x201cffff,0xeefffff8,0xeeeeeeee,0x81eeeeee,
    0x02fffff9,0x09fffff1,0xfffff900,0x7fffcc07,0x3ffee02f,0xf98002ff,
    0x0006ffff,0x3ff62000,0x200efa85,0x000aaa98,0x3fff2000,0xeeeeefff,
    0xeeeeeeee,0xfff91eee,0xdddddfff,0xdddddddd,0x3ff23ddd,0xeeeeffff,
    0xeeeeeeee,0xff11eeee,0xff803fff,0xfff12fff,0xddddddff,0xdddddddd,
    0x3ffe23dd,0xeeeeeeff,0xeeeeeeee,0xffff11ee,0xdddddddf,0xdddddddd,
    0x7ffffc3d,0xffffc801,0xfff11fff,0xffffffff,0xffffffff,0xfb0003ff,
    0x2000ffff,0x02fffffb,0xfffff980,0xfffffb86,0xfff98002,0x366006ff,
    0xff1002ff,0xffffffff,0xffffffff,0xff303fff,0x3ee05fff,0x8002ffff,
    0x06fffff9,0x0bffffe6,0x07ffffe8,0x3ffffa00,0x0000001f,0x00980e4c,
    0x40000000,0xfffffffc,0xffffffff,0x2fffffff,0xfffffff9,0xffffffff,
    0x5fffffff,0x3ffffff2,0xffffffff,0xffffffff,0x3fffff12,0x2fffff80,
    0xfffffff1,0xffffffff,0x23ffffff,0xfffffff8,0xffffffff,0x11ffffff,
    0xffffffff,0xffffffff,0x7c3fffff,0x8801ffff,0x1fffffff,0xfffffff1,
    0xffffffff,0x03ffffff,0xfffffb00,0x3fffa000,0x3fa0007f,0x7f41ffff,
    0x20007fff,0x01fffffe,0x4003ff20,0xfffffff8,0xffffffff,0x81ffffff,
    0x02fffff9,0x00fffffd,0x7fffff40,0xfffff301,0x3fffea05,0x3ee0004f,
    0x0005ffff,0x00000000,0xc8000000,0xffffffff,0xffffffff,0x92ffffff,
    0xffffffff,0xffffffff,0x25ffffff,0xfffffffc,0xffffffff,0x2fffffff,
    0x03fffff1,0x12fffff8,0xffffffff,0xffffffff,0x223fffff,0xffffffff,
    0xffffffff,0xf11fffff,0xffffffff,0xffffffff,0x7fc3ffff,0xf5001fff,
    0x223fffff,0xffffffff,0xffffffff,0x001fffff,0x07ffffd8,0xfffffa80,
    0x3fee0004,0x3fea5fff,0x20004fff,0x05fffffb,0x4003ff20,0xfffffff8,
    0xffffffff,0x81ffffff,0x82fffff9,0x04fffffa,0x3fffee00,0xffff305f,
    0x3fff605f,0x220001ff,0x00ffffff,0x00000000,0x00000000,0x7fffffe4,
    0xffffffff,0xffffffff,0xffffff92,0xffffffff,0xffffffff,0x3fffff25,
    0xffffffff,0xffffffff,0xfffff12f,0xfffff803,0xffffff12,0xffffffff,
    0x3fffffff,0x3fffffe2,0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,
    0x43ffffff,0x001fffff,0x47fffff6,0xfffffff8,0xffffffff,0x01ffffff,
    0x7ffffd80,0xffffd800,0x3e20001f,0xfb0fffff,0x0003ffff,0x7fffffc4,
    0x01ff9000,0x3ffffe20,0xffffffff,0xffffffff,0xfffff981,0xfffffd82,
    0x3fe20001,0xf980ffff,0x0002ffff,0x00000000,0x00000000,0x90000000,
    0xffffffff,0xffffffff,0x25ffffff,0xfffffffc,0xffffffff,0x2fffffff,
    0xfffffff9,0xffffffff,0x5fffffff,0x07ffffe2,0x25fffff0,0xfffffff8,
    0xffffffff,0x11ffffff,0xffffffff,0xffffffff,0x223fffff,0xffffffff,
    0xffffffff,0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0aa00000,0x00550000,
    0x002cca80,0x00019970,0x20005995,0x26000ccb,0x4000acca,0x8002ccc8,
    0x0000aba9,0x0000b326,0x0e66664c,0x3ccc8800,0x00266666,0x84cccc40,
    0x802aaaa8,0x000aaaaa,0x4cccc400,0x26200000,0x33310999,0x00098003,
    0x9101cc88,0x0f320059,0x4c003cb8,0xd88deeee,0x0001eeee,0x99970000,
    0x51000079,0x00157997,0x33322000,0xcb8002cc,0x40002ccc,0x003ffffb,
    0x1ffffdc0,0x1fffcc00,0x02ffd400,0x01fffcc0,0x002ffd40,0x7ffffff9,
    0x17ffe400,0xffffd300,0xfd0001bf,0x3a00001f,0x0005ffff,0x7cd7ffea,
    0x0002ffff,0x26dffffb,0x200fffff,0x01fffff8,0x7fff4000,0x3a00004f,
    0xff93ffff,0x764403ff,0x003dffff,0x3ee0dff1,0x1ffb002f,0x800bff30,
    0xf72ffffd,0x5c407fff,0x7fcc1dff,0x3ffea003,0x20001fff,0xfffffffb,
    0x400000cf,0x00effffc,0x4ffffd80,0x37fe2000,0x10000ffd,0x01ffbbff,
    0x1ffff540,0x007ff400,0x0ffffaa0,0x003ffa00,0x7ffffff4,0xff8804ff,
    0x7ffc006f,0x006fffff,0x00027fd4,0x05ffff98,0x9fffe400,0x02fffff9,
    0xdffffb00,0x03ffffe6,0x1fffff88,0x33331000,0x39ffffd3,0xffd00001,
    0x3fff27ff,0xffff301f,0x01bfffff,0x2239ffb0,0x7000fffb,0x36a25bff,
    0x3e6002ff,0x3ffe3fff,0x7fffc05f,0xffebdfff,0xffff1002,0x8001dfff,
    0xffffffe8,0x000fffff,0xdffff100,0x3ff60001,0x2e0004ff,0x000ff24f,
    0x07f91fdc,0xfffffd50,0x4ffb8007,0x3fffaa00,0x7dc003ff,0xfff5004f,
    0x3ffff99f,0x02fffc80,0x26fffee0,0x1002fffd,0x00001fff,0x001bfff6,
    0x4c7fffa0,0x002fffff,0x2dffffb0,0x00fffff9,0x07ffffe2,0x7fffe400,
    0xffffffff,0xffe80005,0xffff93ff,0xfffff503,0x1dffffff,0xfffff980,
    0x4003ffff,0xfffffffe,0x7fec005f,0x1bffee4f,0xffffff30,0x01ffffff,
    0x3b3fff60,0x6c005fff,0xffffffff,0x0006ffff,0x01ffff70,0x7fffec00,
    0x8bf20004,0xf90004fa,0x26027dc5,0x3fffffff,0x03ffe200,0x7ffffcc0,
    0x3e2003ff,0xffd000ff,0x2fffe45f,0x00dfff10,0x3e24fec8,0xff7003ff,
    0x3e600007,0x40000eff,0x3e67fff8,0x0002ffff,0x26dffffb,0x200fffff,
    0x01fffff8,0xfffff900,0xbfffffff,0xfffd0000,0x3ffff27f,0xffffff81,
    0x4fffffff,0xfffffa80,0xe88004ff,0x0effffff,0x17ffe200,0xc801fffd,
    0xffeb9aff,0xf7003fff,0x3ffe2dff,0xfff3002f,0xff735bff,0x00007fff,
    0x0003ffff,0x04ffffd8,0x267be600,0xf30001fe,0x803fd53d,0xfffadff9,
    0x0fff2003,0xfadff980,0x3f2003ff,0x3ffe003f,0x1bffea0f,0x002fffc8,
    0x1fffd880,0x006ff880,0x03bff200,0x3ffea000,0x3ffffe65,0xfffb0002,
    0x3fffe6df,0x3ffe200f,0xf90001ff,0xffffffff,0x0000bfff,0x2a7ffffd,
    0x7dc0ffdc,0xeb9cffff,0x800fffff,0x01ceedc8,0x6f76dc00,0xeffc8002,
    0x007ffea0,0x36e213b2,0xfff3000c,0x7fffcc3f,0xffffb800,0x4ffffa86,
    0x7ffd4000,0xaa980001,0x740001aa,0x0005ffff,0x02fffff4,0xfff88ecc,
    0x0dff1003,0xff11d980,0x3fe2007f,0x3ffe2006,0x83fffcc7,0x0006fff8,
    0x02ffffd8,0x0005ffb0,0xb8000000,0x3fe63fff,0xb0002fff,0x3e6dffff,
    0x2200ffff,0x001fffff,0xd5555530,0x035bffff,0xffffd000,0xfe87fb87,
    0x7fc45fff,0x00003fff,0x00000000,0x00000000,0x40000000,0xf05ffffc,
    0x0000dfff,0x00000000,0x016ed400,0x02dda800,0x07fff100,0x000bff60,
    0x007fff10,0x9800bff6,0x7fc47fff,0xfffc80ff,0xfff80002,0xff9801ff,
    0x00000005,0x7ffec006,0x3ffffe61,0xfffb0002,0x3fffe6df,0x3ffe200f,
    0x400001ff,0x004ffffe,0x3ffffa00,0x3ea37ec3,0xfc80ffff,0x00006fff,
    0x00000000,0x00000000,0x40000000,0x40fffffb,0x005ffff8,0x00000000,
    0x00000000,0xf8800000,0xff9803ff,0xff880005,0x5ff9803f,0x3fffcc00,
    0x221fffe6,0x80006fff,0x3fffecd8,0x000ffec0,0xbdb95300,0x803fd859,
    0x7fcc7fff,0xb0002fff,0x3e6dffff,0x2200ffff,0x001fffff,0x159db751,
    0x027ffff4,0x5676e544,0x8fffffa0,0x7fe42ffc,0xfff105ff,0xcb9803ff,
    0x4400abde,0xa802aaaa,0x5510aaaa,0x55500555,0x2aaa2155,0xaaaa802a,
    0x6dd4400a,0x2001bcee,0x45fffff9,0x002ffffd,0x3bb6ea20,0xb98001bc,
    0x400abdec,0x802aaaa8,0x200aaaaa,0xdeeeecc8,0x3fe2001b,0x1ffe803f,
    0xfff88000,0x01ffe803,0x23fffc40,0xfc87fff9,0x800002ff,0x3ea07ffe,
    0xd100004f,0xffffffff,0x01fff97f,0x262fffcc,0x002fffff,0x2dffffb0,
    0x00fffff9,0x07ffffe2,0x3ffffa60,0xfffd2fff,0xfff9809f,0xfd1fffff,
    0x3ff67fff,0x4ffffd85,0x0bffffe0,0x7fffff44,0x3e603fff,0x2200ffff,
    0xf31fffff,0x4401ffff,0xf31fffff,0x4401ffff,0x201fffff,0xfffffffb,
    0xfd001dff,0xfd17ffff,0x0001ffff,0x3fffffee,0x8801dfff,0xfffffffe,
    0x3ffe603f,0x3fe200ff,0xfd981fff,0xffffffff,0xfff1005f,0x04ffa807,
    0x7fff1000,0x004ffa80,0x5c3ffff0,0x7fc46fff,0x2a60006f,0x0fffdc1b,
    0x0000ffe8,0xffffffb8,0xffffffff,0x7ffdc01f,0x7ffffcc3,0xfffb0002,
    0x3fffe6df,0x3ffe200f,0x7fdc01ff,0xffffffff,0x04ffffeb,0x3fffffee,
    0xffebffff,0x207f53ff,0x203ffffe,0xa83ffffe,0xffffffff,0xf980dfff,
    0x2200ffff,0xf31fffff,0x4401ffff,0xf31fffff,0x4401ffff,0x981fffff,
    0xfffffffe,0x801fffff,0xfffffff9,0x003fffff,0xfffffe98,0x1fffffff,
    0x3ffffea0,0x0dffffff,0x0fffff98,0x3ffffe20,0x7ffffc41,0xffffffff,
    0x7ffc400e,0x007ff403,0x3fff8800,0x0007ff40,0x98dfffc8,0x7e43fffe,
    0x3e0002ff,0x7fff45ff,0x003ffb80,0xfffffc80,0xffffffff,0xffd803ff,
    0x7fffcc1f,0xffb0002f,0x3ffe6dff,0x3fe200ff,0x3ea01fff,0xffffffff,
    0xffffffff,0xfffff504,0xffffffff,0x0047ffff,0x405fffff,0x544ffffe,
    0xffffffff,0x987fffff,0x200fffff,0x31fffff8,0x401fffff,0x31fffff8,
    0x401fffff,0x41fffff8,0xfffffff8,0xffffffff,0xffffc800,0x03ffffff,
    0xfffff880,0xffffffff,0xfffa80ff,0xffffffff,0xfff987ff,0x3fe200ff,
    0x7ff41fff,0xffffffff,0x4405ffff,0x3ee03fff,0x2200003f,0x3ee03fff,
    0x3e20003f,0xffffffff,0x037ffc46,0x3bfff200,0x885fffec,0x980007ff,
    0xacffffff,0xffffffda,0x0ffff805,0x17ffffcc,0xffffd800,0x1fffff36,
    0x7ffffcc0,0x3ffffa01,0xffdb9bef,0xd04fffff,0x37dfffff,0xffffffb7,
    0x3ffe007f,0x3ff602ff,0x7fff45ff,0xfffbacff,0x7fcc3fff,0x3e200fff,
    0xff31ffff,0x7c401fff,0xff31ffff,0x7c401fff,0x7e41ffff,0xcaceffff,
    0x05ffffff,0xffffff88,0x90001eff,0x59dfffff,0xbffffff9,0x9fffffd0,
    0xffffff75,0xfffff987,0x3fffe200,0x3fffea1f,0xffca9bdf,0x2200ffff,
    0xff103fff,0xf880000f,0xfff103ff,0xfff70000,0xc83fffff,0x40002fff,
    0xffffffe8,0x2ffc80ef,0xfffe8000,0xfff981ef,0x3e601fff,0xfff986ff,
    0xfb0002ff,0x3fe6dfff,0x3ea01fff,0xf501ffff,0x701bffff,0x09ffffff,
    0x0bfffff7,0x3fffffee,0xffff8803,0x3fff602f,0x3fffee5f,0xffffa81f,
    0x7ffffcc7,0x3fffe200,0xfffff31f,0x7fffc401,0xfffff31f,0x7fffc401,
    0x3fffe61f,0xffffb05f,0x7ff5401f,0x00ffffff,0xfffff300,0x3ffff60b,
    0x3fffee0f,0xffffa81f,0x7ffffcc7,0x3fffe200,0x3ffffa1f,0xfffff705,
    0x1fffc403,0x0002ffc8,0x81fffc40,0x00002ffc,0x1bffffb3,0x006fff88,
    0xffff9100,0x1bfe207f,0x3ffee000,0xfffd01ff,0x7dc0dfff,0xfff984ff,
    0xfb0002ff,0x3fe2dfff,0x3f201fff,0xfd01ffff,0x6c01ffff,0xe84fffff,
    0x7407ffff,0x803fffff,0x02fffff9,0x45bffff6,0x203fffff,0x263ffffc,
    0x200fffff,0x31fffff8,0x401fffff,0x31fffff8,0x401fffff,0x21fffff8,
    0x00fffffd,0x05dffff3,0x3ffffff6,0x0004ffff,0x01fffffb,0x4bbfffe6,
    0x03fffff8,0x98fffff2,0x200fffff,0x41fffff8,0xf100dca9,0x0003ffff,
    0xb006ff98,0x300005dd,0x32e60dff,0x11000bcd,0x417ffe40,0x001bcdba,
    0xffb00262,0x03ddb003,0x209ffffb,0xfffffffd,0x5fffb00f,0x5fffff30,
    0x3fff6000,0x3ffffe6f,0xfffff305,0x3fffe03f,0x7ffd404f,0xffff84ff,
    0x7ffd403f,0xff9803ff,0x3f602fff,0xfff37fff,0x7fcc01ff,0x3ffe66ff,
    0x3fe200ff,0xfff31fff,0x7fc401ff,0xfff31fff,0x7fc401ff,0x3ffa1fff,
    0x0d5c04ff,0x3fffff60,0x2fffffff,0xffd006e2,0x1ab809ff,0x0fffff98,
    0x9bfffe60,0x00fffff9,0x07ffffe2,0x7fffc400,0x7ec0002f,0xfffc801f,
    0xffd80002,0xfffffc81,0x440002ff,0x7ec46fff,0x004fffff,0x017fe600,
    0x3e0bfff2,0xfc82ffff,0xfffff8ff,0x01ffff02,0x05fffff3,0x3ffff600,
    0x3fffffa6,0x7ffff542,0xfff881ff,0x7fc402ff,0x7fc44fff,0x7c401fff,
    0x9803ffff,0x202fffff,0xf56ffffd,0xf880ffff,0x3fe66fff,0x3e200fff,
    0xff31ffff,0x7c401fff,0xff31ffff,0x7c401fff,0x3fe1ffff,0x80002fff,
    0xbffffffc,0x0ffffffd,0xf05bfff7,0x0005ffff,0x03ffffd4,0x99bfffe2,
    0x200fffff,0x01fffff8,0xfffd9510,0x40005fff,0xfa805ffa,0x40002fff,
    0xffc85ffa,0x1fffffff,0x3fff2000,0x7fffff42,0x00005fff,0xfb801ffd,
    0x7fc42fff,0x7fdc1fff,0x7ffffd1f,0x20dfff10,0x02fffff9,0xdffffb00,
    0x7fffffec,0xffffffdf,0xff981fff,0xff801fff,0x7fcc4fff,0xff800fff,
    0xf8803fff,0x3602ffff,0xff75ffff,0xffffffff,0xffffffff,0x07ffffcc,
    0x3fffff10,0x03ffffe6,0x1fffff88,0x01fffff3,0x8fffffc4,0x01fffff8,
    0x7fffcc00,0x3fffa1ff,0xffffd6ff,0xfffff887,0x3fee0001,0xffffffff,
    0x7fffffff,0x03ffffe6,0x1fffff88,0x3fffb2a0,0x2fffffff,0x03ffa000,
    0x5fffff30,0x0ffe8000,0x44f7ffc4,0x0004fffb,0xfa8dfff1,0xfffcbfff,
    0x7d40001f,0x7ffcc04f,0x7ffcc2ff,0x3ffea0ff,0x17ffff62,0x4c13ffea,
    0x002fffff,0x4dffffb0,0xfffffff8,0xffdcffff,0xfffa81ff,0xffe800ff,
    0x7ffd44ff,0xfff800ff,0xfff003ff,0x7fec05ff,0xffffb4ff,0xffffffff,
    0x21ffffff,0x00fffff9,0x47ffffe2,0x00fffff9,0x47ffffe2,0x00fffff9,
    0x47ffffe2,0x01fffff9,0x7fffec00,0x7fffc41f,0xfffffdff,0x7ffffcc0,
    0x3ff60001,0xffffffff,0xffffffff,0x1fffff30,0x7ffffc40,0xfffffc81,
    0xffffffff,0xff70002f,0xffff8809,0x2e0002ff,0xfffa84ff,0x002fff43,
    0x742fffc8,0x3ff22fff,0x7fc0005f,0x3ffe200f,0x7fcc2fff,0xfff30fff,
    0x4ffffd87,0x302fffc8,0x105fffff,0x7fff4013,0x7fffcc6f,0xfb3fffff,
    0xff303fff,0xfd003fff,0xffa89fff,0xff800fff,0xff003fff,0x7f407fff,
    0xfffb3fff,0xffffffff,0x3fffffff,0x03ffffe6,0x1fffff88,0x01fffff3,
    0x8fffffc4,0x00fffff9,0x47ffffe2,0x01fffff9,0x7ffffc00,0xfffff306,
    0x30dfffff,0x003fffff,0x7ffffec0,0xffffffff,0xf31fffff,0x4401ffff,
    0x6c1fffff,0xefffffff,0x2fffffac,0x0fff8800,0x7fdfff40,0xff10002f,
    0x7c41801f,0xf88004ff,0xffff86ff,0x01bffe60,0x403ffb80,0x2fffbffe,
    0x8afffff8,0xffe84fff,0xfffe83ff,0xfffff300,0x3fffdd15,0x2fffff40,
    0x7ffffecc,0x3ffff62d,0xfffff881,0xfffff801,0x7ffffcc4,0x7fffc401,
    0xfffd003f,0x7fffc09f,0xdffff73f,0x55555555,0x26155555,0x200fffff,
    0x31fffff9,0x401fffff,0x31fffff9,0x401fffff,0x11fffff9,0x005fffff,
    0x7ffffc40,0x3fffee03,0x882fffff,0x002fffff,0x3bfffee0,0xaaaaaaaa,
    0xf30aaaaa,0x4c01ffff,0x361fffff,0x0adfffff,0x017ffffc,0x201ffe40,
    0x5fff4ffc,0x0fff2000,0x3fffd100,0x5fff9000,0x4c7fff88,0x10007fff,
    0xffd80dff,0xfd05fff4,0xbffd9fff,0x07ffffe0,0x4c0dfff1,0xff2fffff,
    0x7fc05fff,0x54c05fff,0x801ffd01,0x403fffff,0x84fffff8,0x402fffff,
    0x03fffff9,0x0bffffb0,0x4bffffe2,0x007ffffa,0x7ffffcc0,0x3fffea01,
    0xfffff31f,0x7fffd403,0xfffff31f,0x7fffd403,0x3ffffe1f,0x055e5c03,
    0x07fffff3,0xffffffc8,0x3fffe06f,0x55e5c03f,0x1ffffea0,0xffff3000,
    0x7ffd403f,0xffff11ff,0x7fffc09f,0x7fc4002f,0xf37fdc06,0xf10005ff,
    0xfe8800df,0xf88004ff,0xfff986ff,0x07fffc47,0x017fe400,0x7ffcdff7,
    0xfffffd82,0xfff706ff,0xfffa81ff,0x3fffe604,0xbffffd2f,0x3ffffe60,
    0x3ffc0004,0x37ffff40,0x3fffff20,0x5fffff84,0x7ffffe40,0xffff7003,
    0xffff701f,0x3fffe61f,0x406a601f,0x01fffff9,0x47ffffee,0x01fffff9,
    0x47ffffee,0x01fffff9,0x87ffffee,0x406ffffe,0x3e5fffff,0xe806ffff,
    0x04ffffff,0x01bffffa,0x26bfffff,0x201fffff,0xfff301a9,0x7fdc03ff,
    0xfff51fff,0x3fe201ff,0x6c002fff,0x3fe602ff,0x00bffe0f,0x800bff60,
    0x005ffff9,0x105fff90,0xff98ffff,0x7cc000ff,0x3ffe606f,0x260bffe0,
    0x0effffff,0x4fffff88,0x203fffc8,0xb2fffff9,0x905fffff,0x005fffff,
    0x403ffc40,0x03fffffc,0x9ffffff1,0x5fffff90,0x3ffffe60,0xfff1003f,
    0xffff09ff,0xffffe89f,0x3bfffa05,0x3ffffe24,0xfffff104,0x3fffe23f,
    0xffff104f,0x3ffe23ff,0xfff104ff,0x7fdc3fff,0xff703fff,0x7ff45fff,
    0x3ee01fff,0x5fffffff,0x7fffff70,0x3ffffee0,0x17ffffa2,0x24efffe8,
    0x04fffff8,0x3ffffff1,0x03ffffee,0x17ffffdc,0x80dff300,0xfeeeeffe,
    0x3002eeff,0x7d400dff,0x10004fff,0x7fc0dfff,0x3fffcc7f,0x00ffec00,
    0xfddddfff,0xfc85ddff,0x541dffff,0x80ffffff,0x2601fffe,0xf52fffff,
    0x77bfffff,0x1ffffffb,0x7ffcc000,0x7fffc401,0x3fea0bff,0x884fffff,
    0x0bffffff,0x3fffffea,0x3ff2003f,0xfd98bfff,0x7dc0ffff,0xfc84ffff,
    0x7fc3ffff,0x74c2ffff,0x21ffffff,0x42ffffff,0xffffffe9,0x3fffffe1,
    0x7ffff4c2,0x7fff41ff,0xff930cff,0xffb8ffff,0x511dffff,0xfffffffd,
    0xfd03dfff,0x2619ffff,0x47fffffc,0x84fffffb,0x43fffffc,0x42ffffff,
    0xffffffe9,0x7fffff51,0xffffff50,0x0fff4005,0x3fffffe0,0x03ffffff,
    0x2003ffd0,0x002ffffb,0x80bfff20,0x3ee1ffff,0x7d4006ff,0x7fffc05f,
    0xffffffff,0x7ffffc43,0xffffefff,0xff882fff,0x7ffcc07f,0x3fffa2ff,
    0xffffffff,0x40003fff,0x400cfff8,0xfffffffb,0xfffffffe,0xfff904ff,
    0xfffdffff,0x07ffffff,0x7ffffcc0,0xffffffff,0xffffff05,0xfffffbbd,
    0xffffb0df,0xffffbfff,0x6c3fffff,0xdfffffff,0xffffffff,0x3ffff61f,
    0xffffdfff,0x541fffff,0xffffffff,0x3fffffff,0xffffffe8,0xffffffff,
    0xffffffff,0x7fffd43f,0xffffffff,0xfff83fff,0xffddefff,0xfd86ffff,
    0xfdffffff,0xffffffff,0xffffff31,0xfffff97d,0x2a007fff,0xfff805ff,
    0xffffffff,0x5ffa803f,0x7ffff500,0x20013333,0x6406fff8,0xfe98dfff,
    0x7f4003ff,0x7fffc00f,0xffffffff,0x7ffffcc3,0xffffffff,0xfff503ff,
    0xffff980b,0x3fffe62f,0xffffffff,0xff00005f,0x03fdbfff,0xfffffffd,
    0xfff9dfff,0x3ffa209f,0xffffffff,0x03ffffce,0x7ffffe40,0x1fffffff,
    0xfffffd30,0xffffffff,0xfffff103,0xb9ffffff,0x7c43ffff,0xffffffff,
    0xffffdcff,0x3ffffe21,0xdcffffff,0xfd81ffff,0xffffffff,0xf304ffff,
    0xffffffff,0xdbffffff,0x01ffffff,0xfffffffb,0x09ffffff,0x3fffffa6,
    0xffffffff,0xfffff881,0xdcffffff,0x3f21ffff,0xffffffff,0x5fffffff,
    0x001ffd00,0x002fff80,0x7c003ffa,0xffffffff,0xfff9006f,0xffff8805,
    0x006fffff,0x00027fdc,0x3e60bffe,0xffffffff,0x01efffff,0x300ffff2,
    0xa85fffff,0xffffffff,0x00005fff,0x3fffffea,0xffffb01f,0xf71bffff,
    0x6c409fff,0xffffffff,0x07ffff75,0xfffff500,0x801dffff,0xffffffd8,
    0x201fffff,0xfffffff9,0xffffb3ff,0xfffff983,0xffb3ffff,0xfff983ff,
    0xb3ffffff,0x2e03ffff,0xffffffff,0x6c405fff,0xffffffff,0x3f22ffff,
    0x3ee01fff,0xffffffff,0x7ec405ff,0xffffffff,0x3fe601ff,0x3fffffff,
    0x443ffffb,0xfffffffe,0xffff9bff,0x04ffb807,0x02fff800,0x2009ff70,
    0xfffffffa,0xf8806fff,0xff5006ff,0x03ffffff,0x007ffc40,0x20bffe00,
    0xffd55ffe,0x009dffff,0x9803fffd,0x882fffff,0xfffffffd,0xa800002d,
    0x00cefffd,0x3bffffae,0x13fffee4,0x3ffffae0,0x3fffee3e,0xffb30003,
    0x8009ffff,0xffffffdb,0xfd9800bf,0x362dffff,0xd981ffff,0x22dfffff,
    0x981ffffd,0x2dfffffd,0x807ffff6,0xffffffd8,0x3aa001df,0xefffffff,
    0x03ff980c,0xfffffd88,0x2e001dff,0xfffffffd,0xffd9800b,0x3f62dfff,
    0xffb81fff,0x3e0dffff,0x2202ffff,0x80000fff,0xf8802eee,0xdd7000ff,
    0xdddddddd,0x5fff900b,0x7ff6c400,0x7e4000ce,0xee80003f,0x885e881e,
    0x54001aa9,0x000002aa,0x0026aaa2,0x004c0000,0x0002aa20,0x002aa200,
    0xaa980000,0xaa880000,0x2a600019,0x2a600001,0x2a600001,0x98800001,
    0x880001aa,0x71001aaa,0x35531000,0x35510000,0x0d4c0003,0x1aa98000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00440000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xddd99100,0x4c0037bd,0x20009999,0x22199998,0x80009999,
    0x009bcba9,0x01333310,0xabdecb98,0x6665c000,0x01666542,0x4c3ccc98,
    0x2a004ccc,0x2cceeecc,0x04ccccc0,0x03599510,0x41aaaa88,0x00acecb8,
    0x20cccc98,0x001cccc8,0x01666654,0x66665c00,0xccca8003,0x200000cc,
    0x80000098,0xca800099,0x666444cc,0x0000001c,0xcccca800,0x64400003,
    0x4003cccc,0x01ccccca,0x203cc800,0x4c4003cb,0x40001999,0xffffffd9,
    0x8805ffff,0x003fffff,0x47ffffea,0x004ffffd,0xffffffd7,0x7405dfff,
    0xd104ffff,0xffffffff,0x7ffcc007,0x1ffff30f,0x9ffff400,0x803fffe8,
    0xfffffffb,0xff03efff,0xed989fff,0x0dffffff,0x2bffff30,0xffffffd8,
    0x7ffdc05f,0x3fffe20f,0x7ffe4003,0x7d40004f,0x002fffff,0x27ffff44,
    0x3fb2a000,0x0002efff,0xfffffd93,0x7ffe4007,0x17fffcc7,0x0b7faa00,
    0x260017fe,0x03ffffff,0x3ffee000,0xfd8000ef,0x80005fff,0xff980ffd,
    0xfffd8005,0x00d910df,0xfffffff1,0x1dffffff,0x7ffffc40,0x3ffea003,
    0xffffb1ff,0xfffe9809,0xffffffff,0xffe80dff,0xfffa84ff,0xffffffff,
    0xfff7000d,0x07ffff1d,0x9ffff980,0xc805fffd,0xffffffff,0xf83fffff,
    0x3ea4ffff,0xffffffff,0xfff981ff,0xffffe8df,0x204fffff,0x220ffffb,
    0x4003ffff,0x004ffffc,0x3ffffe20,0x44000fff,0x000ffffe,0xffffffb0,
    0x4001bfff,0xfffffffa,0xfc801eff,0x7ffcc7ff,0x3ff6002f,0xfdbdffff,
    0xffe8004f,0x000fffff,0x1fffff00,0x7fff4000,0x7dc0000f,0xffb512df,
    0x3fee0005,0x1fffdeff,0x7fffff40,0xffffffff,0x3ffe205f,0x3ea003ff,
    0xffb1ffff,0x7fe409ff,0xffffffff,0x2fffffff,0x227ffff4,0xfffffffa,
    0x07ffffff,0x3fffff60,0xf70005ff,0x1fffffff,0xfffffb80,0xffffffff,
    0x7fffc2ff,0xfffff94f,0xffffffff,0xeffff981,0xffffffff,0xf703ffff,
    0x7fc41fff,0x7e4003ff,0x20004fff,0xffdcfffd,0xfe88005f,0x744003ff,
    0xffffffff,0xc800ffff,0xffffffff,0x6400ffff,0x7fcc7fff,0x3fe002ff,
    0xffffffff,0x7e4002ff,0x6fffddff,0xfffa8000,0x7440001f,0x80004fff,
    0xfffffffe,0x7d40005f,0x00cfffff,0x6fffffd4,0xffffca9b,0xfff100ff,
    0x7d4007ff,0xffb1ffff,0x3ff609ff,0xffffffff,0xffffffff,0x3ffffa3f,
    0x7fffff44,0xfffffbac,0xfff1003f,0x0001ffff,0x7fffffec,0xffffe802,
    0xfff730ac,0xffff8dff,0xfffffedf,0xffffffff,0x7fffcc5f,0xebacefff,
    0x706fffff,0x7c41ffff,0x64003fff,0x0004ffff,0x3e2dfff7,0x98002fff,
    0x6c007fff,0xffffffff,0x405fffff,0xfffffffc,0x06ffffff,0x263fffe4,
    0x5002ffff,0xffb739ff,0xa800bfff,0xffd0ffff,0xfe80007f,0x100001ff,
    0x0001fffd,0xfffffe88,0x4c0000ef,0x00fffffe,0x05ffffe8,0x03fffff7,
    0x0fffffe2,0xfffffa80,0x09ffffb1,0xfffffff3,0xfd95359b,0x23ffffff,
    0x2e3ffffe,0xa81fffff,0x2007ffff,0x02fffffa,0x7fffc400,0xfff8804f,
    0x3ffee06f,0x3fffe0ce,0xceffffff,0xfffffeca,0x3ffe60ff,0xff885fff,
    0x0000ffff,0x55530000,0xff100035,0x7ffcc3ff,0xff98000f,0xfff1003f,
    0xfd737dff,0x2205ffff,0x9aefffff,0x1fffffeb,0x50000000,0x399710dd,
    0xffff8800,0x07fffe22,0x17ffd400,0x3fe20000,0xb700003f,0x80005bdd,
    0xffffffea,0xca9800ef,0xffff100d,0x3ffe203f,0x3ea003ff,0x5311ffff,
    0xfffd07ff,0xfb803fff,0x88efffff,0xff12ffb9,0x7e407fff,0x00003fff,
    0x20000000,0x01fffff9,0xffff806a,0x901cffff,0x49ffffff,0x0ffffff9,
    0x3fffff70,0x00000000,0x00000000,0xfb800000,0xff886fff,0xff904fff,
    0xfff01dff,0x000009ff,0x00000000,0x00000000,0x00000000,0x20000000,
    0xff53effa,0x40000dff,0x02fffff8,0x07fffff1,0x7ffffd40,0x2e17fdc1,
    0x00efffff,0xffffff30,0xf98ffdc7,0x2600ffff,0x0006ffff,0x00000000,
    0x3fffffe2,0x7fc001be,0x804fffff,0x26fffffd,0x03fffff9,0x07ffffe6,
    0x00000000,0x00000000,0xffd00000,0x3ff607ff,0xfff886ff,0xfff902ff,
    0x000000bd,0x00000000,0x00000000,0x00000000,0x22000000,0xffffc82e,
    0xd9510004,0x05ffffff,0x0fffffe2,0xfffffa80,0xf107fec1,0x003fffff,
    0x6fffffb8,0x7fd43ffa,0x7fc407ff,0xcca806ff,0x002cceee,0x9ddb7510,
    0xfffd0037,0x7bffffff,0xfffff801,0xfff5006f,0x7ffccfff,0x3fe201ff,
    0x55512fff,0x55550055,0xdba88015,0x8001bcee,0xcceeecca,0x55554402,
    0xaaaaa802,0x03b2ea20,0x42ffffe4,0x207ffffb,0xc9800098,0x009bceed,
    0x3bb72600,0x200009bc,0x9bceedc9,0x37260000,0x0009bcee,0x33bb7260,
    0x2600009b,0x09bceedc,0x44d4c000,0x01fffff8,0xffffd950,0x05ffffff,
    0x0fffffe2,0xfffffa80,0xf513ff21,0x000bffff,0x2bfffffa,0x3fee3ffe,
    0xffffffff,0x7fffffff,0x3ffffee0,0x03efffff,0x3ffffee0,0x201dffff,
    0xfffffff9,0x02efffff,0x03ffffff,0x7fffffc0,0x3fffff31,0x7ffffc40,
    0x1fffff32,0x7ffffc40,0x3fffee01,0x01dfffff,0xffffffb8,0x303effff,
    0x401fffff,0x01fffff8,0x7fffff00,0x0bffffb0,0xffea8000,0x2fffffff,
    0x7fff5400,0x02ffffff,0x7ffff540,0x002fffff,0x7fffff54,0x4002ffff,
    0xffffffea,0x54002fff,0xfffffffe,0x6c4002ff,0xfcdfffff,0x7e406fff,
    0xffffffff,0x102fffff,0x007fffff,0x5fffffd4,0xfc86ffeb,0x0001ffff,
    0xfffffff7,0xffffd8df,0xffffffff,0x80ffffff,0xfffffffc,0x03ffffff,
    0x7fffff4c,0x1fffffff,0x3ffffea0,0xffffffff,0x7ffffc1e,0x7ffec007,
    0xffff32ff,0xffff801f,0xfffff32f,0x7fffc401,0xfffe981f,0xffffffff,
    0x3fff201f,0xffffffff,0xfff983ff,0x3fe200ff,0xa8001fff,0xe80fffff,
    0x0c44ffff,0xffffd800,0xffffffff,0xfffd800c,0xffffffff,0xffd800cf,
    0xffffffff,0xfd800cff,0xffffffff,0xd800cfff,0xffffffff,0x800cffff,
    0xfffffffd,0x00cfffff,0xffffffb8,0xffffffff,0xfffffb03,0xfff59dff,
    0x3fe205ff,0x2a003fff,0xffffffff,0xffffb04f,0x7fcc000f,0xd83fffff,
    0xffffffff,0xffffffff,0x7ffdc1ff,0xffffffff,0xf102ffff,0xffffffff,
    0x01ffffff,0x7ffffe44,0xefffffff,0x1bffffe0,0xfffff900,0x3ffffe67,
    0x7ffffc00,0x1fffff32,0x7ffffc40,0x7ffffc41,0xffffffff,0xfffb80ff,
    0xffffffff,0x7cc2ffff,0x2200ffff,0x001fffff,0xfffff933,0x3ffffa09,
    0x9dffff93,0x3ffff600,0xffffffff,0x7fec06ff,0xffffffff,0x6c06ffff,
    0xffffffff,0x06ffffff,0x7fffffec,0xffffffff,0x7fffec06,0xffffffff,
    0x7fec06ff,0xffffffff,0x6406ffff,0xffffffff,0x7fffffff,0xdfffffd8,
    0x7ffffc0a,0xfffff102,0x7ffd4007,0x200bdfff,0x006ffffe,0x3ffffe20,
    0xffff700f,0x5555555d,0x81555555,0x0acffffe,0xdfffff73,0x3fffff20,
    0xffffcace,0xd95005ff,0xffffffff,0x7ffffc9f,0x7ffdc005,0xffff33ff,
    0xffff801f,0xfffff32f,0x7fffc401,0x7fffe41f,0xfffcacef,0xffe85fff,
    0xf730acff,0xf98dffff,0x2200ffff,0x001fffff,0x7fffffff,0x5fffffc0,
    0xfffffffe,0x3ffee00e,0xfeccefff,0x704fffff,0x9dffffff,0xffffffd9,
    0x3fffee09,0xffecceff,0xf704ffff,0x99dfffff,0x9ffffffd,0x3ffffee0,
    0xfffeccef,0xff704fff,0xd99dffff,0x09ffffff,0x3fffffe6,0xffffffff,
    0x3fe22fff,0x3fe04fff,0xff102fff,0x54007fff,0x001fffff,0x00bfffff,
    0x7fffff80,0x1ffffea0,0x3ffe2000,0x3ffee06f,0x7ffcc0ce,0xfffb05ff,
    0xa88001ff,0x5ffffffd,0x017ffffe,0x7fffff70,0x03ffffe6,0x25fffff0,
    0x00fffff9,0x87ffffe2,0x05fffff9,0x41fffffb,0x206ffff8,0x20cefffb,
    0x00fffff9,0x07ffffe2,0x3ffffe60,0x3ffe202f,0xffffffff,0x881fffff,
    0x82ffffff,0x1ffffff9,0x7fffffc4,0xfffff982,0x7fffc41f,0xfff982ff,
    0x7fc41fff,0xf982ffff,0x441fffff,0x82ffffff,0x1ffffff9,0x7fffffc4,
    0xfffff982,0xffffe81f,0x3ff620df,0x3ea4ffff,0xf100ffff,0x2205ffff,
    0x003fffff,0x07ffffea,0x3ffffe20,0x7ff40004,0x3fe607ff,0x2a601fff,
    0x3fffe601,0xb006a01f,0x201fffff,0x82effff9,0x36202ba9,0x3fe7ffff,
    0x54004fff,0xf34fffff,0xf801ffff,0xff32ffff,0x7c401fff,0x3f61ffff,
    0xf300ffff,0x7cc5dfff,0x2a01ffff,0x3fffe601,0x3ffe200f,0xffa801ff,
    0x80beffff,0xfffffff9,0xfffffdff,0xffffa86f,0x3ffe202f,0x7ffd46ff,
    0x3fe202ff,0x7fd46fff,0x3e202fff,0x7d46ffff,0x2202ffff,0x546fffff,
    0x202fffff,0x46fffff8,0x02fffffa,0x1bffffe2,0x09fffff9,0x3fffffe4,
    0x01fffff7,0x0bffffee,0x1fffffc4,0xfffff500,0xffff3003,0xfe80009f,
    0x7f407fff,0x3fa05fff,0x7fc44eff,0x01beffff,0x4ffffe80,0xfe80d5c0,
    0x2e00ffff,0x3fe6ffff,0x54004fff,0xf34fffff,0xf801ffff,0xff32ffff,
    0x7c401fff,0x3fa1ffff,0x55c04fff,0xfffff101,0x980037df,0x200fffff,
    0x01fffff8,0xffffffb8,0x7fcc0eff,0x10cfffff,0x87fffff9,0x806ffffc,
    0x20fffffc,0x806ffffc,0x20fffffc,0x806ffffc,0x20fffffc,0x806ffffc,
    0x20fffffc,0x806ffffc,0x20fffffc,0x806ffffc,0x20fffffc,0x00fffffe,
    0x8ffffff4,0x83fffffa,0x2ffffffa,0x7fffff10,0x7fffd400,0xfff8801f,
    0x7c0005ff,0x5c06ffff,0xc84fffff,0xe83fffff,0xffffffff,0xff800bdf,
    0x40002fff,0x04fffffb,0x49fffff1,0x004fffff,0xa7ffffd4,0x00fffff9,
    0x997ffffc,0x200fffff,0x21fffff8,0x002fffff,0xfffffe80,0x00bdffff,
    0x07ffffcc,0x3fffff10,0x3f221100,0x7cc6ffff,0x903fffff,0xfe8fffff,
    0xf9802fff,0x3fa1ffff,0xf9802fff,0x3fa1ffff,0xf9802fff,0x3fa1ffff,
    0xf9802fff,0x3fa1ffff,0xf9802fff,0x3fa1ffff,0xf9802fff,0x3fe1ffff,
    0xfa804fff,0xff32ffff,0xf97dffff,0x7fffffff,0x3ffffe20,0x3ffea003,
    0xfff001ff,0x44000dff,0x804fffff,0xdeffffff,0x6ffffffd,0xffffff30,
    0x5dffffff,0x3ffffe20,0x7fc40001,0xcbdfffff,0x1ffffffe,0x013ffffe,
    0x7fffff50,0x03ffffe6,0x25fffff0,0x00fffff9,0x47ffffe2,0x01fffff8,
    0xffff9800,0xffffffff,0xffff302e,0x7ffc401f,0xf30001ff,0x7c47ffff,
    0x2207ffff,0xf10fffff,0x1003ffff,0x225fffff,0x801fffff,0x12fffff8,
    0x003fffff,0x25fffff1,0x01fffff8,0x2fffff88,0x03fffff1,0x5fffff10,
    0x07ffffe2,0x3ffffe20,0x5fffff12,0xfffff300,0x7ffffe47,0xffffffff,
    0xff105fff,0x54007fff,0x001fffff,0x00fffffb,0x7ffffcc0,0xfffe9803,
    0xffffffff,0x3fea01ff,0xffffffff,0x7cc1efff,0x0001ffff,0xffffff98,
    0xffffffff,0x7ffffc2f,0x7ffd4004,0xffff33ff,0xffff801f,0xfffff32f,
    0x7fffc401,0xfffff31f,0x3ea00003,0xffffffff,0x4c1effff,0x200fffff,
    0x01fffff8,0x3ffffe00,0x37ffffc6,0x47ffffe0,0x00fffffa,0x29fffff0,
    0x00fffffa,0x29fffff0,0x00fffffa,0x29fffff0,0x00fffffa,0x29fffff0,
    0x00fffffa,0x29fffff0,0x00fffffa,0x29fffff0,0x01fffffa,0x4fffff88,
    0x3fffffa2,0xff9bffff,0x3ffe07ff,0x3ee004ff,0x9001ffff,0x005fffff,
    0x3fffff20,0xfffb1002,0xffffffff,0xfff91003,0xffffffff,0x7ffcc1df,
    0x300001ff,0xffffffff,0xf07fffff,0x8009ffff,0x33fffffb,0x801fffff,
    0xf32fffff,0x4401ffff,0xf31fffff,0x0003ffff,0x7fffe440,0xffffffff,
    0x3fffe60e,0x3ffe200f,0x320001ff,0x7f47ffff,0x7f405fff,0xfff52fff,
    0x3fe003ff,0xfff53fff,0x3fe003ff,0xfff53fff,0x3fe003ff,0xfff53fff,
    0x3fe003ff,0xfff53fff,0x3fe003ff,0xfff53fff,0x3fe003ff,0xfff33fff,
    0xff1005ff,0xff705fff,0x7c1bffff,0xff02ffff,0x6400bfff,0x000fffff,
    0x0dfffff7,0xfffff100,0xfdb8003f,0x0bffffff,0xffeca800,0x4fffffff,
    0x0bffffe2,0xffd50000,0x19ffffff,0x13ffffe0,0xfffff700,0x3ffffe65,
    0x7ffffc00,0x1fffff32,0x7ffffcc0,0x5fffff11,0x32a00000,0xfffffffe,
    0x3ffe64ff,0x3fe600ff,0x20001fff,0x20fffffa,0x406ffffd,0xf32ffffe,
    0x1005ffff,0x265fffff,0x802fffff,0x32fffff8,0x005fffff,0x25fffff1,
    0x02fffff9,0x2fffff88,0x05fffff3,0x5fffff10,0x0bffffe6,0x3ffffe20,
    0x7fffff12,0xfffff300,0x80d54c03,0x7f400ffd,0xd000ffff,0x400fffff,
    0x2ffffff8,0x7fffe400,0x7e40006f,0x200001bf,0xfffffda8,0x7ffffc5f,
    0x055e5c03,0xeffda880,0x7fffc00d,0x7fec004f,0x20001fff,0x31fffff8,
    0x403fffff,0x21fffffa,0x403fffff,0x8000abcb,0xfffffda8,0x3fffe65f,
    0x3ffea01f,0xfdb931ff,0xffffb80f,0x3ffffec7,0x47ffffe0,0x03fffff8,
    0x0fffffa8,0x07fffff1,0x1fffff50,0x0fffffe2,0x3ffffea0,0x7fffff10,
    0xfffff500,0x3ffffe21,0xffffa803,0xfffff10f,0xffff5007,0x7ffffc1f,
    0xffffa804,0x7f40000f,0xffffd807,0xfffb805f,0x7dc006ff,0x001fffff,
    0x3ffffff7,0x1ffd8000,0x02ba9800,0x1fffff62,0x80dffffd,0x005fffff,
    0x5ffffffb,0x27ffffc0,0x3ffffa00,0x3ea0000f,0xff31ffff,0x7dc03fff,
    0x3fa1ffff,0x7fc06fff,0xba985fff,0x3fff6202,0x3fffe67f,0x3ffee01f,
    0xffff31ff,0x7ffec05f,0x7fffcc6f,0xffff102f,0x7ffff41f,0x7fff400f,
    0x7ffff47f,0x7fff400f,0x7ffff47f,0x7fff400f,0x7ffff47f,0x7fff400f,
    0x7ffff47f,0x7fff400f,0x7ffff47f,0x7fff400f,0x7fffec7f,0x7fff400f,
    0x7c40007f,0xfffa807f,0xf300bfff,0x007fffff,0xffffffd0,0x7ffec407,
    0x80004fff,0x3a001ffe,0x200fffff,0x5c6ffffb,0x703fffff,0x005fffff,
    0x3ffaeab2,0x3ffffe06,0x3ffea004,0x640006ff,0xf11fffff,0x2209ffff,
    0x21ffffff,0x03fffffb,0x45fffff7,0x00fffffe,0x89bfffee,0x104fffff,
    0x43ffffff,0x506fffff,0xd09fffff,0x901dffff,0xfb8dffff,0x2e04ffff,
    0x5c4fffff,0x204fffff,0x44fffffb,0x04fffffb,0x13ffffee,0x09fffff7,
    0x27ffffdc,0x13ffffee,0x4fffffb8,0x27ffffdc,0x9fffff70,0x5fffffa8,
    0x3fffff20,0x7fcc0003,0xfffe801f,0xdbceffff,0xffffffff,0xfff98000,
    0xacdfffff,0xffffffec,0xf80000ff,0x3ee003ff,0xf104ffff,0xfd09ffff,
    0x2619ffff,0x07fffffc,0x0bffea00,0x827ffffc,0xfffbacec,0xd8004fff,
    0xfffffffe,0x3fffffe0,0x7ffff4c2,0x7fff41ff,0xff930cff,0xffb8ffff,
    0xff104fff,0xfff89fff,0x7f4c2fff,0x321fffff,0x8befffff,0xffffffea,
    0xfffffa80,0xfffea8ae,0x7ffc43ff,0xb309efff,0x10dfffff,0x3dffffff,
    0x3ffff661,0xffff886f,0xfb309eff,0xf10dffff,0x13dfffff,0x3fffff66,
    0xfffff886,0xffb309ef,0xff10dfff,0x213dffff,0x6fffffd9,0xdfffffb0,
    0x7fffecc3,0xf880006f,0x7d400dff,0xffffffff,0xffffffff,0x3f20004f,
    0xffffffff,0xffffffff,0xf00002ff,0x22003dff,0xdfffffff,0xfffffecb,
    0xffffa81f,0xffffffff,0x20003fff,0xff02fffb,0x3fe09fff,0xffffffff,
    0xffe8000f,0x6c7fffff,0xdfffffff,0xffffffff,0x7fffd41f,0xffffffff,
    0x7fc43fff,0xcbdfffff,0x1ffffffe,0x7fffffec,0xffffffdf,0x3fa21fff,
    0xffffffff,0x203fffff,0xfffffffe,0x06ffffff,0xfffffff5,0xffffffff,
    0x3ffea03f,0xffffffff,0x501fffff,0xffffffff,0xffffffff,0x3fffea03,
    0xffffffff,0xf501ffff,0xffffffff,0x3fffffff,0x3ffffea0,0xffffffff,
    0xff101fff,0xffffffff,0x03ffffff,0x3fffe000,0xfb81feef,0xffffffff,
    0xdfffffff,0x7fd40000,0xffffffff,0x1effffff,0x3ff60000,0x203feeff,
    0xfffffff9,0xffffffff,0x3ffff602,0xffffffff,0x5557004f,0x01ffffb7,
    0x213ffffe,0xfffffffa,0x88004fff,0xffffffff,0x7ffffc42,0xdcffffff,
    0xfd81ffff,0xffffffff,0xf304ffff,0xffffffff,0x05ffffff,0xfffffff1,
    0xffb9ffff,0xfff983ff,0xffffffff,0x7f4c05ff,0xffffffff,0x3ee01fff,
    0xffffffff,0x403fffff,0xfffffffb,0x3fffffff,0x7ffffdc0,0xffffffff,
    0x7ffdc03f,0xffffffff,0x7dc03fff,0xffffffff,0x403fffff,0xfffffffb,
    0x3fffffff,0x7ffffd40,0xffffffff,0x2a00003f,0x1fffffff,0xfffffd10,
    0xffffffff,0x6c400007,0xffffffff,0x003fffff,0xffff9800,0x7cc03fff,
    0xffffffff,0xb803ffff,0xffffffff,0x3e005fff,0xefffffff,0x3ffffe01,
    0xfffffe84,0x0005ffff,0xfffffff5,0x3fffe609,0xfb3fffff,0x3ee03fff,
    0xffffffff,0x7fcc05ff,0xffffffff,0x3e603fff,0xffffffff,0x03ffffb3,
    0xffffffd5,0x2007ffff,0xffffffd8,0x9801efff,0xffffffff,0x3001efff,
    0xffffffff,0x2003dfff,0xfffffff9,0x001effff,0xfffffff3,0x003dffff,
    0x3fffffe6,0x01efffff,0xffffff30,0x03dfffff,0x3ffffa20,0x1effffff,
    0xffa80000,0x5c00ceff,0xffffffed,0x00000def,0xffffd950,0x0039bfff,
    0x7ff4c000,0xd5001def,0xffffffff,0x7ec40019,0x1dffffff,0x7fff6c00,
    0xfff802de,0xffda84ff,0x003fffff,0x3ffffea0,0x7fecc04f,0x3f62dfff,
    0x36201fff,0xdfffffff,0x3ffaa001,0x0cffffff,0xffffd980,0x3fff62df,
    0x3ffee01f,0x000dffff,0xfffffeb8,0x6544003f,0x4efffffe,0xfeca8800,
    0x004effff,0xfffeca88,0x88004eff,0xfffffeca,0xca88004e,0x4efffffe,
    0xfeca8800,0x004effff,0xfffffd70,0x000009df,0x40001310,0x0000aaa9,
    0x35510000,0x00000001,0x44000131,0x0009aaa9,0x01aa9880,0x00000000,
    0x06aaa620,0x1a988000,0x001a9800,0x1aa98800,0x554c4000,0x2600009a,
    0x4400001a,0x00000aa9,0x00013531,0x0006aa20,0x00355100,0x01aa8800,
    0x0d544000,0x2aa20000,0x54400001,0x4c00001a,0x000001aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0xdb000019,0x3bb25ddd,0x4c4003ee,
    0x33301bcb,0x33333333,0x01333333,0x79701e64,0x89999500,0x000cccc9,
    0x0166665c,0xcccc9800,0x9997001c,0x22000099,0x1bceedba,0x00062000,
    0x88555551,0x801bdeca,0x220cccc9,0x0001cccc,0xccb80000,0x100003cc,
    0x00599999,0x0333332a,0x99751000,0x00000357,0x44099998,0x36a1aaaa,
    0x997001bd,0x80000799,0x00cccccb,0x99999100,0x5d4c0005,0x00001acc,
    0xfffffea8,0xfa8000cf,0xfff15fff,0x7f5400df,0x0dffffff,0x3ffffffe,
    0xffffffff,0x3ff604ff,0x804ff980,0x7d47fffc,0x2e001fff,0x00ffffff,
    0xffffe800,0x3ffe2005,0x5c0002ff,0xffffffff,0xfd7001df,0x8039dfff,
    0x366ffff9,0xdfffffff,0x3fffee00,0x0ffffe20,0x0b7fae20,0x4c009ff1,
    0x02ffffff,0xffffc800,0x3ffa2006,0x910004ff,0xffffffff,0x0c40003b,
    0x546ffff8,0xfd8cffff,0x4c04ffff,0x02ffffff,0xffff1000,0x7e40005f,
    0x4000efff,0xffffffb8,0x0003efff,0x7fffff4c,0x003fffff,0xf937fff4,
    0x32001fff,0xffffffff,0xffff1fff,0xffffffff,0x409fffff,0xd512dffb,
    0xff9005ff,0xffffa8ff,0xffff3001,0x8000dfff,0x005ffff9,0x06ffff98,
    0xffffd300,0xffffffff,0x7fff4403,0x03ffffff,0x23bfffe6,0xfffffffe,
    0xff700eff,0x7ffc41ff,0xfffe803f,0xffdbdfff,0xffff1003,0x0001ffff,
    0x077fffc4,0x3fffa200,0x7f44000f,0xffffffff,0xfb8002ff,0x8dffff03,
    0xfdcffffa,0x202fffff,0xffffffe8,0xfc80000f,0x20003fff,0x00effff8,
    0x7ffffdc0,0xffffffff,0xff88000e,0xffffffff,0xf5003fff,0x3fe21dff,
    0xfe8801ff,0xffffffff,0xfffbffff,0xffffffff,0x04ffffff,0x7ffffff4,
    0xff9005ff,0xffffa8ff,0x7fffd001,0x0007fffd,0x0037ffec,0x05ffff30,
    0xfffff880,0xffffffff,0xfff980ff,0xffffffff,0xffff304f,0xffffffdd,
    0x207fffff,0x220ffffb,0x4403ffff,0xffffffff,0xb001ffff,0xfffb9fff,
    0x7fdc000b,0xf10000ef,0xe8007fff,0xffffffff,0x000fffff,0x3e07ffd5,
    0x7fd46fff,0xfffffeff,0x7ffec07f,0x005fffdd,0x1ffffc40,0x3ffee000,
    0x7fe4000f,0xffffffff,0x02ffffff,0x7ffffec0,0xffffffff,0xfffe801f,
    0x00bfff21,0x7fffffe4,0xffffffff,0xffffffff,0xffffffff,0x7f4c04ff,
    0x00dfffff,0xa8ffff90,0xc801ffff,0xfff35fff,0xff30003f,0xa80001df,
    0x64005fff,0xacefffff,0x5ffffffc,0xffffffe8,0x3fffffff,0xffffff98,
    0xffebacef,0xff707fff,0x7ffc41ff,0x5ffdc03f,0xfffffdb9,0xdfff7004,
    0x00bfffa2,0x007fffc0,0x1fffe600,0xfffffb80,0xfffffddf,0xfffd803f,
    0xdffff03f,0xffffffa8,0x204fffff,0xe88efffa,0x20003fff,0x0004fffb,
    0x001ffff8,0x7fffffe4,0xffffffff,0x3003ffff,0x17dfffff,0xbfffff93,
    0x21fff980,0x3004fff8,0x9fffffff,0xffff9535,0x999fffff,0x99999999,
    0x3b6e0059,0x000002ce,0xffffa800,0x01bffea0,0x003bff20,0x0fffd400,
    0xfffff980,0xfffffb05,0x7ffffe41,0xffffc9ae,0x7ffcc0ff,0xfe885fff,
    0x0000ffff,0x10bd7000,0x22001997,0x3e61ffff,0x5c000fff,0x00001fff,
    0x2005fff3,0x20fffffd,0x05fffff8,0x03fffff8,0xfa8bfd99,0x32efffff,
    0x3ffe2039,0x3fffe61f,0xbfff0000,0xfff70000,0xfff98003,0xaabdffff,
    0xffffffdb,0xfffa801f,0xfffb80ff,0x0000007f,0xefffffd8,0xffffd100,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x3fffff60,0xdffff300,
    0x3ffffe25,0xfffffa84,0x7ffffcc3,0xffff500f,0x0000003f,0x00000000,
    0x00000000,0xfff80000,0xfffd82ff,0xffff805f,0x227f403f,0x1ffffffa,
    0x00000000,0x00000000,0xfffffb00,0x7ffcc05f,0xfc805fff,0xff105fff,
    0x00001fff,0x7fffcc00,0xfffd006f,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x13ffffa0,0xff303570,0x7fec0fff,0x7ffcc7ff,0x3fe203ff,
    0x00002fff,0x00000000,0x00000000,0x22000000,0xd81fffff,0xf803ffff,
    0x2203ffff,0x7ffd43ff,0x000004ff,0x00000000,0xff100000,0x1005ffff,
    0x03fffffd,0x03ffffb8,0x003ffffe,0x5e776e4c,0xfffd8009,0xff7002ff,
    0x0000ffff,0xdddd9910,0x7300037b,0x00157bd9,0x2f7b2e60,0x9730000a,
    0x000157bd,0x2af7b2e6,0xfffff800,0x3fee0002,0x3fe605ff,0x3fe62fff,
    0x7fc02fff,0x32202fff,0x1bdeeeec,0x77664400,0x4001bdee,0xdeeeecc8,
    0x6644001b,0x01bdeeee,0x77766440,0x3e601bde,0x7c40ffff,0x5101ffff,
    0x5bfffff5,0x3bfa6155,0x7ffffd40,0xaaaa8802,0xaaaaa802,0x77665400,
    0x54402cce,0xaa802aaa,0x3fa60aaa,0x2a005fff,0x406fffff,0x306ffff9,
    0x500bffff,0xfffffffd,0xffe805ff,0x7fc007ff,0x00007fff,0x3fffff66,
    0x005fffff,0xffffffd1,0x744007ff,0xffffffff,0x3ffa2003,0x03ffffff,
    0x3ffffa20,0x2203ffff,0x001fffff,0x13ffff20,0x3fffff88,0x07ffffe6,
    0x05fffff0,0xffffffb3,0x300bffff,0xfffffffb,0xb300bfff,0xffffffff,
    0xfb300bff,0xffffffff,0xffb300bf,0xffffffff,0x3fffe60b,0x7fffe40f,
    0x3fffea06,0x8fffffff,0xfa82fff8,0x9801ffff,0x200fffff,0x01fffff8,
    0xfffffff7,0x2607dfff,0x200fffff,0x81fffff8,0x4001db98,0x01fffffd,
    0x40fffffc,0x403ffffc,0xfffffffd,0x00cfffff,0x009fffff,0x07ffffd8,
    0xffff1000,0xffffffff,0x7fd401df,0xffffffff,0x7fd400df,0xffffffff,
    0x7fd400df,0xffffffff,0x7fd400df,0xffffffff,0xfff980df,0x360001ff,
    0x7c04ffff,0x3e64ffff,0x7c01ffff,0x7c42ffff,0xffffffff,0x100effff,
    0xffffffff,0x01dfffff,0x3fffffe2,0xefffffff,0xfffff100,0xffffffff,
    0x3ffe201d,0xffffffff,0x7fd40eff,0x3fe20fff,0x3ea03fff,0xffffffff,
    0x203dd0ff,0x00fffffa,0x0fffff98,0x3ffffe20,0xfffffc81,0xffffffff,
    0xfffff983,0x3fffe200,0xb800001f,0x402fffff,0xadfffffb,0x0fffffeb,
    0x3fffff60,0xffffffff,0xffff886f,0x7fe4003f,0x99999fff,0x00999999,
    0xfffffffd,0xbfffffff,0x3ffffea0,0xffffffff,0x3fffea07,0xffffffff,
    0x3ffea07f,0xffffffff,0x3fea07ff,0xffffffff,0xff987fff,0x20001fff,
    0x205ffffb,0x25fffff8,0x01fffff9,0x217ffffc,0xfffffffe,0x5fffffff,
    0xffffffd0,0xffffffff,0x3ffffa0b,0xffffffff,0xfffd05ff,0xffffffff,
    0x3fa0bfff,0xffffffff,0x545fffff,0x7dc7ffff,0x7d406fff,0xffffffff,
    0xfa8010ff,0x9800ffff,0x200fffff,0x41fffff8,0xfffffffb,0xffffffff,
    0x7ffffcc2,0x3fffe200,0x9800001f,0x803fffff,0xfffffffa,0x200effff,
    0xeffffffb,0xfffffecc,0x7fffcc4f,0x7fdc003f,0xffffffff,0x84ffffff,
    0xbdfffffa,0xfffffca9,0xffffe80f,0xffffbacf,0xfffd03ff,0xfff759ff,
    0x3fa07fff,0xfbacffff,0xd03fffff,0x759fffff,0x87ffffff,0x02fffff8,
    0x3fffea00,0x3fffe606,0x3fffe66f,0x7fffc00f,0x3fffea2f,0xffca9bdf,
    0x7d40ffff,0xa9bdffff,0x0ffffffc,0x6fffffd4,0xffffca9b,0x7ffd40ff,
    0xfca9bdff,0x540fffff,0x9bdfffff,0xffffffca,0x1ffffea0,0x809ffffd,
    0xfffffeea,0x5000eeee,0x200fffff,0x00fffff9,0x07ffffe2,0x159ffffd,
    0x3ffffee6,0x7ffffcc6,0x3fffe200,0x2aaaaa1f,0xaaaaaaaa,0xffbaaaaa,
    0xf1004fff,0xffffffff,0xffff880b,0xfff982ff,0x3fea1fff,0x54002fff,
    0xffffffff,0xffffffff,0x5ffffe84,0x3fffff70,0x1fffffb8,0x87ffffa8,
    0x81fffffb,0xb87ffffa,0xa81fffff,0xfb87ffff,0xfa81ffff,0xfff87fff,
    0x5e5c03ff,0x3fffe60a,0xffff901f,0x7fffccdf,0x7fffc00f,0x3ffffa2f,
    0xfffff705,0x5ffffe83,0x3fffff70,0x05ffffe8,0x83fffff7,0x705ffffe,
    0xe83fffff,0xf705ffff,0x7d43ffff,0x3fe27fff,0x3e005fff,0x0003ffff,
    0x00fffff5,0x03ffffe6,0x1fffff88,0x81bfffe2,0x20cefffb,0x00fffff9,
    0x47ffffe2,0xfffffff8,0xffffffff,0xffffffff,0xffd8805f,0xffffffff,
    0xffff500c,0x7ffc405f,0x3ffee6ff,0x7d4001ff,0xffffffff,0x4fffffff,
    0x201b9530,0x21fffff8,0x03fffff8,0x88fffff2,0x203fffff,0x223ffffc,
    0x203fffff,0x223ffffc,0x203fffff,0x743ffffc,0x7c06ffff,0x3fa5ffff,
    0x2e22efff,0x27ffffff,0x00fffff9,0x217ffffc,0xf100dca9,0x5303ffff,
    0x3fe201b9,0xca981fff,0xffff100d,0x1b95303f,0x3ffffe20,0x00dca981,
    0x43fffff1,0x7c7ffffa,0x001fffff,0x007fffff,0x1ffffea0,0x7ffffcc0,
    0x3fffe200,0x3fffe61f,0x9806a01f,0x200fffff,0x31fffff8,0xffffffff,
    0xffffffff,0xffffffff,0xffff980f,0xffffffff,0xfffc80ef,0xfffc806f,
    0xffff70ff,0xffa8005f,0xffffffff,0x04ffffff,0x7fffc400,0x3fffe62f,
    0x3ffe600f,0x3fffe66f,0x3ffe600f,0x3fffe66f,0x3ffe600f,0x3fffe66f,
    0x3ffe600f,0x7fffdc6f,0xffff703f,0x7fffcc5f,0xffffceff,0x3e67ffff,
    0x7c00ffff,0x0002ffff,0x05fffff1,0x7fffc400,0x3e20002f,0x0002ffff,
    0x0bffffe2,0xffff8800,0x3fffea2f,0x7ffffe47,0xffff801f,0xff50003f,
    0x3e600fff,0x2200ffff,0x221fffff,0xbeffffff,0x7ffcc001,0x3fe200ff,
    0xfff31fff,0xffffffff,0xffffffff,0x40ffffff,0xaefffff8,0xfffffea9,
    0x2ffffe85,0xfffff980,0x7fffff51,0xffffb800,0xcccccccf,0x4002cccc,
    0xffffeca8,0x3ffea2ff,0x7ffc407f,0x3fffea6f,0x7fffc407,0x1ffffea6,
    0x4dffff10,0x407ffffa,0xe86ffff8,0x30cfffff,0x0ffffff9,0xfffffff9,
    0xffffffff,0x7ffffccd,0x7ffffc00,0xfd951002,0x005fffff,0x7fff6544,
    0x22002fff,0xfffffeca,0x32a2002f,0x2ffffffe,0x3fb2a200,0x2a2fffff,
    0x7447ffff,0x01ffffff,0x01fffffc,0x7ffffa80,0xfffff300,0x7fffc401,
    0x7ffff41f,0x0bdfffff,0x7ffffcc0,0x3fffe200,0xfffff11f,0xffffffff,
    0xffffffff,0x7dc0dfff,0xfa80efff,0x3e20ffff,0x8801ffff,0xf32fffff,
    0x8007ffff,0x007ffffb,0xffeca800,0xffffffff,0x3ffffee2,0xffffffff,
    0x3ee7ffff,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0xfffffa87,0xffffffff,0xfff703ff,0xfbdfffff,
    0x7fccbfff,0x7fc00fff,0x32a02fff,0xfffffffe,0x65402fff,0xfffffffe,
    0x65402fff,0xfffffffe,0x65402fff,0xfffffffe,0x65402fff,0xfffffffe,
    0x3fea2fff,0xfff987ff,0x3e00ffff,0x0003ffff,0x00fffff5,0x03ffffe6,
    0x1fffff88,0x7fffffcc,0x2effffff,0x1fffff30,0x7ffffc40,0x3bffffe1,
    0xaaaaaaaa,0xfffbaaaa,0x3ff606ff,0x3ffa03ff,0x3ffea3ff,0xfff000ff,
    0x3ffe29ff,0x7e4004ff,0x00007fff,0x3ffffff2,0xffffffff,0x3fffff62,
    0xffffffff,0xfb0fffff,0xffffffff,0xffffffff,0x3ffff61f,0xffffffff,
    0xb0ffffff,0xffffffff,0xffffffff,0xfffb01ff,0xffffffff,0xfe9809ff,
    0xffb4ffff,0x7ffccbff,0x7ffc00ff,0xfffc82ff,0xffffffff,0xff902fff,
    0xffffffff,0x3205ffff,0xffffffff,0x02ffffff,0xfffffff9,0x5fffffff,
    0x3fffff20,0xffffffff,0x3fffea2f,0xfffff507,0x3ffe01df,0xf50003ff,
    0x2600ffff,0x200fffff,0x81fffff8,0xfffffffa,0x1effffff,0x07ffffcc,
    0x3fffff10,0x03fffffc,0x7ffffcc0,0x3ffffe05,0x3ffff201,0x3ffffea5,
    0xfffff001,0x37ffffc7,0x3ffffa00,0xffb00007,0x59dfffff,0x6c5fffff,
    0xffffffff,0xffffffff,0xffffb1ff,0xffffffff,0x23ffffff,0xfffffffd,
    0xffffffff,0xfffb1fff,0xffffffff,0x3fffffff,0x3ffffee0,0x05ffffff,
    0xfd06a620,0x7fcc9fff,0x7fc00fff,0x7fec2fff,0xacefffff,0xd82fffff,
    0xefffffff,0x2fffffac,0xffffffd8,0xffffacef,0xffffd82f,0xffacefff,
    0xffd82fff,0xacefffff,0x2a2fffff,0x2a07ffff,0x04ffffff,0x007fffff,
    0x1ffffea0,0x7ffffcc0,0x3fffe200,0xfff9101f,0xffffffff,0x7ffcc1df,
    0x3fe200ff,0x3ff61fff,0x5c001fff,0x303fffff,0x980fffff,0x3e67ffff,
    0x8802ffff,0x3a2fffff,0x001fffff,0x0ffffff3,0xffffb000,0xfff815bf,
    0x3ffee2ff,0xaaaaaaef,0x0aaaaaaa,0x55dffff7,0x55555555,0x3fee1555,
    0xaaaaaeff,0xaaaaaaaa,0x5dffff70,0x55555555,0x44015555,0xfffffffd,
    0x3e00001d,0x3e63ffff,0x7c00ffff,0x3f62ffff,0x40adffff,0x6c2fffff,
    0x0adfffff,0x217ffffc,0xadfffffd,0x17ffffc0,0x37fffff6,0x7ffffc0a,
    0x7ffffec2,0x7fffc0ad,0x3fffea2f,0x7fffd407,0xffff80ff,0xff50003f,
    0x3e600fff,0x2600ffff,0x801fffff,0xfffffeca,0x3e64ffff,0x2600ffff,
    0x2a1fffff,0x003fffff,0x0ffffff4,0x0fffff98,0x9ffffea0,0x03fffff8,
    0x0fffffa8,0x13fffff2,0x7ffffe40,0x7fc40007,0x3fe04fff,0x3fea2fff,
    0x540007ff,0x0007ffff,0x03ffffd4,0x3fffea00,0x22000007,0x000dffeb,
    0x7fffc400,0x7997002f,0xfff10015,0x7ffc09ff,0x3ffe22ff,0x3ffe04ff,
    0x3ffe22ff,0x3ffe04ff,0x3ffe22ff,0x3ffe04ff,0x3ffe22ff,0x3ffe04ff,
    0x3ffea2ff,0xfffa807f,0xffff82ff,0x3220003f,0xf9801acc,0x2a01ffff,
    0x001fffff,0x7fffed44,0x3ffe65ff,0x3fea01ff,0x3fe21fff,0x5000ffff,
    0x40dfffff,0x01fffff8,0xd1bfffee,0x801fffff,0x447ffffe,0x00ffffff,
    0x7fffffd4,0x7fd40007,0xff100fff,0x7fcc5fff,0x2a601fff,0xfffff301,
    0x980d4c03,0x201fffff,0xfff301a9,0x0d4c03ff,0x7fffec00,0x372202ff,
    0xff901ffe,0x7fc00dff,0x5403ffff,0x100fffff,0x545fffff,0x100fffff,
    0x545fffff,0x100fffff,0x545fffff,0x100fffff,0x545fffff,0x100fffff,
    0x545fffff,0xf007ffff,0xff09ffff,0x40007fff,0x1efffffa,0x3ffffe60,
    0x3fffee01,0x02ba981f,0x9fffff62,0x01fffff9,0x07ffffee,0x0bfffff9,
    0xffffff10,0xffffe807,0xfffff106,0xfffffb89,0x3fffee04,0xffffc84f,
    0xfff502ff,0x000fffff,0x0fffffb8,0x5fffff70,0x05ffffe8,0xd13bfffa,
    0x740bffff,0x7f44efff,0x3fa05fff,0x7ff44eff,0x3ffa05ff,0x559004ef,
    0xe80dffd7,0xf885ffff,0x2003ffff,0x2fffffed,0x3ffffee0,0xfffff700,
    0x7ffffdc5,0xfffff700,0x7ffffdc5,0xfffff700,0x7ffffdc5,0xfffff700,
    0x7ffffdc5,0xfffff700,0x3ffffd45,0x7ffff408,0x3ffffe84,0x3fba6000,
    0x3e206fff,0xf104ffff,0x743fffff,0x200fffff,0x226ffffb,0x104fffff,
    0x83ffffff,0xdffffff8,0xffffd300,0xfff900df,0xf7117dff,0x885fffff,
    0x9effffff,0xfffffb30,0x3fffe20d,0xfdcdefff,0xffffffff,0xeeeeeeef,
    0x50eeeeee,0x507fffff,0x85ffffff,0x84fffffb,0x43fffffc,0x84fffffb,
    0x43fffffc,0x84fffffb,0x43fffffc,0x84fffffb,0x03fffffc,0x05fff500,
    0x67ffffe4,0xfffffd51,0x7ffdc000,0x3fffea04,0xffffa83f,0x3ffea2ff,
    0xfffa83ff,0x3fea2fff,0xffa83fff,0x3ea2ffff,0xfa83ffff,0x2a2fffff,
    0xa83fffff,0x22ffffff,0x4c7ffffa,0xffff51fe,0xffffd05f,0x0001511d,
    0xf00ffff4,0x985fffff,0x1ffffffe,0x13ffffee,0x27ffffc4,0x0bfffffe,
    0xffffffd3,0xfffff703,0xfb957bff,0x03ffffff,0xfffffd10,0xffffffff,
    0x3ffea0bf,0xffffffff,0x201fffff,0xfffffffc,0xffffffff,0xffffffff,
    0xffffffff,0xffff30ff,0xfff97dff,0xf07fffff,0xbbdfffff,0x0dffffff,
    0x3bfffffe,0xffffffdd,0xffffff06,0xfffffbbd,0x3fffe0df,0xfffddeff,
    0x20006fff,0x2602fffb,0xffffffff,0x03ffffff,0x0fffea00,0xffffff98,
    0xfffffcbe,0x3fe63fff,0xfcbeffff,0x3fffffff,0x3fffffe6,0xfffffcbe,
    0x3fe63fff,0xfcbeffff,0x3fffffff,0x3fffffe6,0xfffffcbe,0x3fea3fff,
    0xfffb17ff,0xffffffff,0xfffffb01,0x40003fff,0x3600fffd,0xdfffffff,
    0xffffffff,0x3fffe21f,0xfecbdfff,0x6c1fffff,0xdfffffff,0xffffffff,
    0xffff901f,0xffffffff,0x009fffff,0x7fffffcc,0xffffffff,0x3fffee00,
    0xffffffff,0xffd803ff,0xffffffff,0xffff9fff,0xffffffff,0x20ffffff,
    0xfffffffc,0xffffffff,0xfffe985f,0xffffffff,0xffd301ff,0xffffffff,
    0x3a603fff,0xffffffff,0x301fffff,0xfffffffd,0x03ffffff,0xfb755570,
    0xfb801fff,0xffffffff,0x57004fff,0xffff9755,0xffffc803,0xffffffff,
    0x7e45ffff,0xffffffff,0x5fffffff,0x7fffffe4,0xffffffff,0x7ffe45ff,
    0xffffffff,0x645fffff,0xffffffff,0xffffffff,0x9ffffea5,0xfffffffd,
    0xff703fff,0x05ffffff,0xdcaaab88,0x7c406fff,0xffffffff,0xffffdcff,
    0x7ffffcc1,0xffffffff,0xfff882ff,0xffffffff,0x01ffffdc,0x3ffffff6,
    0xffffffff,0xfea8003f,0xffffffff,0xff9800df,0xffffffff,0x3ee001ef,
    0xffffffff,0xfffff1ff,0xffffffff,0x441fffff,0xfffffffe,0xffff9bff,
    0xffffb107,0x3fffffff,0xffffd880,0x1fffffff,0x7fffec40,0x1fffffff,
    0x7fffec40,0x1fffffff,0xffffff00,0x36003dff,0xffffffff,0x3fa002ff,
    0x2fffffff,0xffffe880,0xf9bfffff,0x7f447fff,0xffffffff,0x47ffff9b,
    0xffffffe8,0xfff9bfff,0x7fff447f,0x9bffffff,0x7447ffff,0xffffffff,
    0x7ffff9bf,0xb1ffffea,0xffffffff,0x7fffc40b,0x4403ffff,0xffffffff,
    0xfff9800e,0xb3ffffff,0xf303ffff,0xffffffff,0x4c07ffff,0xffffffff,
    0x3ffffb3f,0xfffffb80,0xefffffff,0x7fdc0001,0x02ffffff,0x7ff65440,
    0x0004efff,0xfffffdb3,0x7fffc39d,0xffffffff,0x80ffffff,0xdffffffb,
    0x0bffffe0,0xfffffdb8,0x2e000bff,0xfffffffd,0x3f6e000b,0x0bffffff,
    0x3fff6e00,0x000bffff,0x37bfffb6,0xffea8002,0x001dffff,0x6fffffe4,
    0x7fdc000b,0x3e0dffff,0xfb82ffff,0x20dfffff,0xb82fffff,0x0dffffff,
    0x20bffffe,0xdffffffb,0x0bffffe0,0x3fffffee,0x3ffffe0d,0x0fffff52,
    0x5fffffd7,0xffffd100,0xfe8805df,0x002defff,0x7ffffecc,0x3ffff62d,
    0x3fffaa01,0x00cfffff,0xfffffd98,0x3ffff62d,0xffff7001,0x005bffff,
    0x9aa98800,0x55100000,0x98800003,0x0000009a,0x006aa600,0x26aa2000,
    0xaa880001,0xa8800019,0x8800019a,0x000019aa,0x554c0000,0x0000000a,
    0x01aa9800,0x03553000,0x06aa6000,0x0d54c000,0x1aa98000,0xa8800000,
    0xaa88001a,0x00000001,0x00003530,0x09aaa988,0x006a6000,0xaa988000,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x664c3ccc,
    0xccc8804c,0x06666444,0x0b332e00,0x00199991,0x26b32a60,0x54400000,
    0x09abccca,0x32e60000,0x000001ab,0x03ccccc8,0xcccc8800,0x03333220,
    0x0155554c,0x0aaaaa88,0x20cccc88,0x000cccc8,0x4cccc400,0xcba88000,
    0x0001abce,0x2b3b6ea0,0x06aaaa60,0x0d5554c0,0x13333300,0x4cccc400,
    0x40266641,0x00199998,0xcb988000,0x00001aac,0xbcecba88,0x4000001a,
    0x009bcba8,0x33300000,0xfffd0133,0x0ffffa27,0xb27ffec0,0xd0009fff,
    0xffa85fff,0x3ae000ff,0xffffffff,0x6d40003f,0xffffffff,0x50001cff,
    0xfffffffd,0x2000003d,0x01fffffa,0xbfff9000,0x502fffec,0x005fffff,
    0x40dffff9,0x3f65fffc,0x800005ff,0x004ffffe,0x3fffff6a,0x002effff,
    0x3ffffa60,0xfff72fff,0x3ff6007f,0xff1004ff,0x54007fff,0x361fffff,
    0x7d401fff,0x00007fff,0xfffffb10,0x007fffff,0xffffb500,0x05dfffff,
    0x3f722000,0xffffffff,0x2000002e,0x985fffff,0xffd9ffff,0x3fe2005f,
    0x6fffcaff,0xffff8800,0x037ffe41,0xfffffe88,0xefffffff,0x7ff44001,
    0xffffffff,0x000dffff,0x3fffffee,0x004fffff,0xffffe800,0x7f400001,
    0xffffbbff,0x7ffffc00,0xfffff804,0x5ffff404,0x000ffffb,0xffffe800,
    0xfffe9804,0xffffffff,0x5c002fff,0xffffffff,0xffffbaff,0xffffb003,
    0x3ffe2009,0x3ea003ff,0x3ee1ffff,0x7fd403ff,0x800007ff,0xfffffffa,
    0x2fffffff,0xfffe9800,0xffffffff,0x20002fff,0xfffffffa,0xdfffffff,
    0xff800000,0xff705fff,0x01ffffff,0xfffff980,0x98001fff,0xffd87fff,
    0xfffb804f,0xffffffff,0x003fffff,0xfffffff5,0xffffffff,0xf9001dff,
    0xffffffff,0x0007ffff,0x17fffcc0,0x7fcc0000,0x02ffffff,0x07ffffc8,
    0x0fffffcc,0x3ffffe60,0x00002fff,0x09ffffd0,0xbfffffb8,0xfeba999a,
    0xf3004fff,0xffffffff,0xffffdfff,0x3fff6007,0xfff1004f,0x7d4007ff,
    0x3e61ffff,0x7fd405ff,0x400007ff,0xfffffffb,0xffffffff,0x3fee002f,
    0x999acfff,0x4ffffeba,0xffffc800,0xffffffff,0x002fffff,0x7ffffc00,
    0x3ffff605,0xf90002ff,0x007fffff,0x21bffee0,0x6403ffff,0xffffffff,
    0xffffffff,0x7fd401ff,0xffffffff,0xffffffff,0x3fee00ef,0xffdfffff,
    0x001fffff,0x05fffb00,0x7fdc0000,0x3004ffff,0x405fffff,0x006ffffc,
    0x9ffffff7,0x7f400000,0x3f604fff,0xb3002eff,0xe801dfff,0x9befffff,
    0xffffffdb,0xfffb003f,0x3fe2009f,0x2a003fff,0x7c1fffff,0x7fd407ff,
    0x200007ff,0xfffffffa,0xffffffff,0xfd800fff,0xb3002eff,0x2001dfff,
    0xfffffffd,0xffffffff,0x0003ffff,0x17ffffe0,0x4fffff88,0x7fff4000,
    0x3f60006f,0x7ffc44ff,0x3ffe601f,0x99bcffff,0xffffffeb,0xffff100f,
    0x3379dfff,0xffffff95,0x7ffec09f,0x3fee22ef,0x80004fff,0x0003fff8,
    0xffffd800,0x7fff4006,0x3fffe04f,0x3ff6003f,0x000006ff,0x827ffff4,
    0x0004fffc,0x540bfff7,0x705fffff,0x07ffffff,0x13ffff60,0x7ffffc40,
    0x3ffea003,0x7fff41ff,0x3fffea00,0x3f600007,0x119dffff,0xffffff93,
    0x3fffc80b,0xbfff7000,0xfffff500,0x95359bff,0xfffffffd,0x3fe00001,
    0x00005fff,0x80000000,0x7d42fffe,0x7ff407ff,0x2e00efff,0x03ffffff,
    0x7ffffffd,0xffffe880,0xffff00ff,0x3fffa05f,0x0000006f,0x00000000,
    0x1ffffee0,0x07ffffcc,0x00000000,0x13ffffa0,0x000bffea,0x207fff30,
    0x00fffffe,0x0ffffff6,0x3e200000,0x2003ffff,0x41fffffa,0x2a02fffc,
    0x0007ffff,0x13ffffe0,0xffffff50,0x017ffd40,0x7fff3002,0x7ffffc40,
    0x7fdc02ff,0x0005ffff,0x0bfffff0,0x00000000,0x4ccccc40,0x999affff,
    0x099efffc,0x2fffffd4,0xfffffb80,0xfffffb86,0xfff3001f,0xff507fff,
    0x7fdc0fff,0x00000eff,0x00000000,0xffff1000,0xffff905f,0x0000000b,
    0xffffd000,0x13fff889,0xdddddddd,0xfff50159,0x9fffff03,0xfffff980,
    0x26666003,0xffff1000,0x7fd4007f,0x7fd41fff,0x3ffea04f,0xf500007f,
    0x9001ffff,0x103fffff,0x32a07fff,0xa80adffe,0xffb01fff,0x2001dfff,
    0x1ffffff9,0xffff8000,0x3b2e605f,0x88000abd,0xbdeeeecc,0x3ffff201,
    0xffffffff,0xffffffff,0x7fffffc3,0x3fffa000,0x7fff40df,0x7e4002ff,
    0xfb83efff,0x4d405fff,0x76654000,0xca81bcee,0x000bceed,0x33bb7260,
    0x3f60009b,0xffe84fff,0xaaa882ff,0xaaaa802a,0x36ea200a,0x3ffa0ace,
    0x2ffe44ff,0xfffffff1,0xf901ffff,0xffff889f,0xffff802f,0xfff3003f,
    0x3fe200bf,0x2a003fff,0x441fffff,0x3ea06fff,0x32a27fff,0x5c00acdd,
    0x801fffff,0x82fffffa,0xffb05ffc,0x05ffffff,0xff109ff9,0x8003ffff,
    0x06fffffb,0xfffff800,0xffffe885,0x3003ffff,0xfffffffb,0x3f20bfff,
    0xffffffff,0xffffffff,0x3fe63fff,0x54004fff,0xfff301bd,0x32000dff,
    0x7ffcc01b,0x5c00006f,0xffffffff,0xffea8dff,0x04ffffff,0x7ffff540,
    0x002fffff,0x98fffff5,0xf307ffff,0x4401ffff,0x301fffff,0xfffffffd,
    0x13ffffa5,0x7fc41fff,0xffeeeccf,0x41fff07f,0x01fffff9,0x03ffffe8,
    0x09ffff30,0x3ffffe20,0x3ffea003,0xfffe81ff,0xfffff500,0x3fffffa6,
    0x3fe602ff,0x0000dfff,0x3203ffe0,0xffdcefff,0x0fff81ff,0x2fffffdc,
    0xffffe800,0x7fc0001f,0x7fd45fff,0xffffffff,0x3fe200df,0xffffffff,
    0x7e40efff,0xffffffff,0xffffffff,0x3fee3fff,0x00001fff,0x2fffffc8,
    0x7c400000,0x00007fff,0x3ffffff2,0xffffffff,0xffffffff,0xfd800dff,
    0xffffffff,0xf800cfff,0x3f22ffff,0xff304fff,0x7c401fff,0xfb81ffff,
    0xffffffff,0x4ffffebf,0xff117fea,0x07ffee0f,0xffa8fff2,0xfd800fff,
    0xf7003fff,0x22007fff,0x003fffff,0x07ffffea,0x540bfff2,0xffafffff,
    0xffffffff,0xfffff104,0x800039ff,0xffb85ffa,0x2fffc42f,0x3f61ffe4,
    0x0001ffff,0x05fffff7,0xfffff800,0x3ffffea5,0xffffffff,0x3ffffa07,
    0xffffffff,0x7ffe45ff,0xffffffff,0xffffffff,0x3ffff23f,0xd800000f,
    0x000fffff,0xffff8000,0xfc80001f,0xffffffff,0xffffffff,0xffffffff,
    0x7ffec05f,0xffffffff,0xfc806fff,0x3ffa4fff,0xfff301ff,0x7fc401ff,
    0x7fd41fff,0xffffffff,0x4fffffff,0xff10bff6,0x41fff40f,0x3fe66ff8,
    0xfe801fff,0xf8803fff,0x1001ffff,0x007fffff,0x0fffffd4,0xa827ffd4,
    0xffffffff,0xffffffff,0xffffb03f,0x17bfffff,0x81ffd800,0xdf503ffe,
    0xf8dff309,0x0007ffff,0x0fffffe6,0xfffff000,0x7fffff4b,0xfffffbac,
    0xffffa83f,0xffca9bdf,0x2200ffff,0x7dc1ffff,0x3ff606ff,0x000007ff,
    0x00fffffd,0x74cc4000,0x999cffff,0xff100099,0xb759dfff,0xffffffff,
    0xfffb757d,0x3fee07ff,0xecceffff,0x04ffffff,0x9bffffcc,0x2606ffff,
    0x200fffff,0x41fffff8,0xbefffffe,0xfffffdb9,0x03ffa4ff,0x7fc0fff1,
    0x44ffd01f,0x802fffff,0x403fffff,0x07ffffe8,0x3ffffe20,0x3ffea003,
    0xfff881ff,0xfffff506,0xfd737dff,0x101fffff,0xfffffffd,0x039dffff,
    0xff10ffd0,0x3e00401f,0x3fffe27f,0x3e20006f,0x0005ffff,0xbafffffc,
    0xa81fffff,0xfe87ffff,0xff705fff,0x7d403fff,0xfffd87ff,0x3ffffa04,
    0xff000006,0x3300dfff,0x33333333,0x7fffec33,0xffffffff,0xfff7004f,
    0xfff501ff,0xf701dfff,0xff10ffff,0xf305ffff,0x803fffff,0xfc9ffffe,
    0x3e603fff,0x2200ffff,0x2a1fffff,0x80dfffff,0x4ffffffb,0x3fe21ffe,
    0x37fecc47,0x7fc1ffb0,0x7cc04fff,0x2203ffff,0x04fffffe,0x3ffffe20,
    0x3ffea003,0xfffd01ff,0xfffff501,0x3fff209f,0xfff304ff,0xffffffff,
    0x7c03dfff,0x06ffa87f,0x887ff400,0x005fffff,0x37ffffc0,0x3fffe000,
    0xfffff8df,0x3ffff203,0x00dca983,0x03fffff1,0x7c37ffdc,0x3fe03fff,
    0x00005fff,0x0bfffff0,0xfffffff0,0x363fffff,0xffffffff,0x004fffff,
    0xf80b6e62,0x201fffff,0x542ffffd,0x202fffff,0x06fffff8,0x767fffdc,
    0x2600ffff,0x200fffff,0x21fffff8,0x00fffffe,0x53fffff6,0xff886ff8,
    0xffffffff,0x87ff202f,0x00fffffe,0x0ffffffa,0x7fffffcc,0x7ffc4006,
    0x3ea003ff,0xf901ffff,0xfff505ff,0xffe80dff,0x3f6207ff,0xffffffff,
    0x881fffff,0x5ffb86ff,0x8ffec000,0x04fffff9,0x7ffff400,0x7ffc0007,
    0xffff9dff,0x3ffe600f,0x3e20006f,0x3602ffff,0x7fc44fff,0xfff101ff,
    0x00000dff,0x01bffffe,0x3ffffffe,0xfb1fffff,0xffffffff,0x0009ffff,
    0xffffb100,0xffffb80f,0x37fffe44,0x7ffffe40,0x3fffe200,0x406fffff,
    0x00fffff9,0x87ffffe2,0x404fffff,0x14fffffa,0xfff10dff,0x07dfffff,
    0x7d43ff90,0xc80dffff,0x83ffffff,0xdffffff9,0x7ffc4000,0x3ea003ff,
    0xf501ffff,0xfff507ff,0xffb805ff,0x6d400fff,0xffffffff,0x442fffff,
    0x5ffc86ff,0x8ffec000,0x04fffff9,0x7ffff400,0x7ffc0007,0xffffadff,
    0x7fffc407,0x3b2a2006,0x02ffffff,0xf50bfffe,0xfff80fff,0x000006ff,
    0x00ffffff,0xffffffff,0x3f63ffff,0xffffffff,0x0004ffff,0xfffeba88,
    0x7cc06fff,0x7ff46fff,0xff9802ff,0x7ec01fff,0x3fffffff,0x7ffffcc0,
    0x3fffe200,0xfffff11f,0xffff8805,0x221ffe4f,0xffecbfff,0x0ffd802e,
    0x7ffffffc,0xffffecac,0x7fcc3fff,0x0005ffff,0x07fffff1,0x7ffffd40,
    0x0bfff101,0x01fffff5,0x1fffff98,0x3fff6a00,0xffffffff,0x7dc3ffc1,
    0x7f40006f,0xfffff10f,0xfff8000b,0x7c0006ff,0xffbdffff,0xffffffff,
    0x7fffffff,0x7fff6540,0x2fffffff,0x3ffe6662,0xffc999af,0x209999ef,
    0x007ffffd,0xffffd000,0xffff801f,0xffffffff,0x9ffffb01,0x76540000,
    0xffffffff,0xffffffff,0x7fffffff,0x07ffffe2,0x3ffffe20,0x7fffd402,
    0x4c00ffff,0x200fffff,0x31fffff8,0x003fffff,0x749fffff,0x3ffc40ff,
    0xd007ffee,0xffff70ff,0xffffffff,0xe87fffff,0x004fffff,0x3ffffe20,
    0x3ffea003,0x3ffe01ff,0x7ffffa87,0xfffff880,0xfb710002,0x8bffffff,
    0xfff987fe,0x2015b100,0x7fffc7ff,0x3e20006f,0x0004ffff,0x6efffffc,
    0xffffffff,0xffffffff,0xfffc80ff,0xffffffff,0x3ff22fff,0xffffffff,
    0xffffffff,0x3fff23ff,0x008000ff,0x0fffffec,0x33333320,0x01fffffe,
    0x007ffffb,0xfffff700,0xffffffff,0xffffffff,0x4fffffff,0x00fffffa,
    0x09fffff0,0xfffffff0,0xffff300b,0x7ffc401f,0xffff51ff,0xfffd001f,
    0x217fec9f,0xffd87ff8,0x41bfe206,0xfffffffb,0xfffe9fff,0x3fffee3f,
    0x7c40003f,0x2003ffff,0x01fffffa,0xf507fff6,0x3e00ffff,0x0003ffff,
    0xfffffd88,0x10bff60f,0x3f207fff,0x46ff987f,0x007ffffd,0x3ffffe60,
    0x7ffc0003,0xffffddff,0xffffffff,0x41ffffff,0xfffffffd,0xffffface,
    0x3fffff22,0xffffffff,0x3fffffff,0x0bffffee,0x037df500,0x09fffff7,
    0x3fffee00,0xfffff01f,0xffd80003,0xbdffffff,0xfffffffe,0xffffffff,
    0xfff50fff,0x3fe003ff,0xfc803fff,0x802fffff,0x00fffff9,0x47ffffe2,
    0x01fffff9,0x24ffffe8,0x7fc45ffa,0x04fff987,0x7d407ff9,0x1fffffff,
    0x6c7ffffd,0x0005ffff,0x09fffff0,0x7ffffdc0,0x0fffee01,0x00fffff5,
    0x44bffffe,0x4004cba9,0x21fffffe,0xffb85ffa,0x3ffea0bf,0x643ffc84,
    0x002fffff,0x5fffff90,0x3fe00cc0,0xfffbcfff,0xaaaaaaef,0x0aaaaaaa,
    0x37fffff6,0x7ffffc0a,0x3fffff22,0xffffffff,0x3fffffff,0x17ffffea,
    0xdffffb00,0x7ffffc43,0xffb8000f,0xffa81fff,0x20000fff,0xbffffffb,
    0x6fffff41,0xaaaaaaaa,0x3e62aaaa,0x8802ffff,0x802fffff,0x07fffff9,
    0x1fffff30,0x7ffffcc0,0x3fffff11,0x9fffff00,0x3e20fff8,0x1fff907f,
    0x8801fff0,0x20aceeca,0x3e3ffffe,0xb002ffff,0xfff83579,0x3f2005ff,
    0x2600ffff,0x7fd45fff,0x7c400fff,0xff51ffff,0x5c005fff,0x7c1fffff,
    0xfffe80ff,0x0ffffecf,0x2e07ffc4,0x006fffff,0xffffff88,0x3ffffa61,
    0x3ffffe00,0x07ffffac,0x7fffc400,0x3fffe04f,0x3ffff22f,0xffffffff,
    0xffffffff,0x3ffffe23,0xfff3001f,0xfffb0fff,0xf70009ff,0xfb03ffff,
    0x80009fff,0x00dffffe,0x00dffffd,0xfffff880,0xffffa803,0xfff8800f,
    0xff3004ff,0x7d403fff,0x3fe1ffff,0x7c403fff,0x7e44ffff,0x41ffe25f,
    0x7e45fff8,0x3e00004f,0x3fe2ffff,0xf9802fff,0x7ff47fff,0xfd000fff,
    0xff00ffff,0xffffa8ff,0x7ffcc02f,0xffff10ff,0x7fdc009f,0x7fe40fff,
    0xffffd885,0xfd81ffff,0xffff884f,0x7e4003ff,0x7c46ffff,0xf101ffff,
    0xff39ffff,0x54c03fff,0xfffff501,0x3fffe201,0xffff882f,0x02fffdc1,
    0xefffffa8,0xffffe800,0xffffa83f,0x3a6003ff,0x5c1fffff,0x0006ffff,
    0x0fffffc4,0x1ffffff0,0xfd00d4c0,0xe801ffff,0x9007ffff,0x003fffff,
    0x07ffffe6,0x1fffffb8,0x01bffffa,0x89fffff9,0xdd13fff8,0x8f775c0d,
    0xba81fffa,0xfff0009a,0x7ffec3ff,0xfffd806f,0x7fffec4f,0xfffa805f,
    0xffd806ff,0x3fffea1f,0x7ffec05f,0x7ffff47f,0xfffd001f,0x7fff10df,
    0x3ffffae0,0x1fffa80c,0xffffff70,0x3ffee005,0xfff81fff,0xfff503ff,
    0x3fffa5ff,0x3fffa05f,0x3fffee4e,0xffff700f,0xffff505f,0x009fffb0,
    0x77ffffec,0xffffd301,0x3ff201ff,0x200dffff,0xffffffd8,0x3fffee1f,
    0x200aa99f,0x7fffcc09,0xffff502f,0x3fe209ff,0x7fdc3eff,0x3ee04fff,
    0x8804ffff,0x006fffff,0x13ffffe2,0x7fffffc4,0x3fffff21,0xfffff103,
    0x5fff509f,0xfff98000,0xfffff902,0x7fffd40b,0x3fffee0f,0x3ffee02f,
    0x7ffd41ff,0x3e603fff,0x803fffff,0x3ea3fffb,0x302fffff,0xc8bfffff,
    0x02ffffff,0x3fffff62,0x05fff504,0x3fea0088,0x7fff402f,0x36204fff,
    0x04ffffff,0x03fffffd,0x23fffffb,0x84fffffb,0x23fffffc,0x83fffffa,
    0x2ffffffa,0xe85fffb8,0x26002fff,0xefffffff,0xffffdbac,0x3a204fff,
    0xefffffff,0xfffedbbc,0x51ffffff,0xffffffff,0x957bdfff,0xfff889fd,
    0xfff885ff,0x21cfffff,0x2fffffd8,0x7fffffc4,0xfffb309e,0x22310dff,
    0x2ffffffa,0x7ffffc00,0x7fff4c2f,0x3fe21fff,0x2a0bffff,0x4fffffff,
    0x009fff90,0x817ffee0,0xaffffffa,0x3fffee60,0x7fff446f,0xfc989cff,
    0xd07fffff,0x9dffffff,0xffffb957,0x3e600fff,0x3ffea5ff,0x2a0bffff,
    0x41ffffff,0xfffffff8,0xffcbaabd,0x201fffff,0x0004fffc,0x300bfff9,
    0xffffffff,0xfffd959b,0x201fffff,0xcffffffc,0xfffffeca,0x7fffffc6,
    0xfffffdde,0x7fffcc6f,0xfffcbeff,0xd83fffff,0x7fc44fff,0x7e4001ff,
    0xffffffff,0xffffffff,0xffff9805,0xffffffff,0xffffffff,0x3fffee5f,
    0xffffffff,0x0fffffff,0x7ffffff4,0xfffffebc,0xedffffff,0x06ffffff,
    0xfffffff5,0xffffffff,0xffff503f,0x00dfffff,0xffffffb0,0xffffffbf,
    0xffb83fff,0xffefffff,0x4fffffff,0x0bbfff60,0x6ffff540,0x3fffe200,
    0xfffeffff,0x981fffff,0xffffffff,0xffffffff,0xfffff501,0xffffffff,
    0x007fffff,0xff53fffc,0xdfffffff,0x9fffffff,0x3ffffe60,0xffffffff,
    0x806fffff,0x00befffd,0x0dfffea8,0xfffff900,0xffffffff,0x05ffffff,
    0x7fffffc4,0xffffffff,0x7fff4c2f,0xffffffff,0xfffc81ff,0xffffffff,
    0xf85fffff,0x7fcc2fff,0xff50007f,0xffffffff,0x00dfffff,0x7fffff44,
    0xffffffff,0xf82fffff,0xffffffff,0xffffffff,0x7ffd43ff,0xffffffff,
    0xfffffeff,0xffffffff,0x3ffee00e,0xffffffff,0xff303fff,0x5fffffff,
    0xffff1000,0x9fffffff,0xd03ffffb,0xffffffff,0xffff9dff,0xffffb809,
    0xca99aacf,0x003fffff,0xfffffff5,0xffffffff,0x7fffd409,0xffffffff,
    0x7fdc02ff,0xffffffff,0x0dffffff,0x43fff600,0xfdcffffa,0xffffffff,
    0x3ff200ff,0xffffffff,0x0effffff,0xfffff700,0xf9753579,0x0007ffff,
    0xfffffff5,0xffffffff,0xff7003df,0xffffffff,0x36209fff,0xffffffff,
    0xfd101fff,0xffffffff,0x8fffff37,0x5c1ffff8,0x20005fff,0xffffffd8,
    0x0cffffff,0xffffc800,0xffffffff,0x3f203fff,0xfffeffff,0xffffffff,
    0xffffc87f,0x1effffff,0xffffffd3,0x001dffff,0xfffffff3,0x403dffff,
    0xfffffff8,0x3e60003f,0xffffffff,0x03ffffb3,0x3ffffff6,0xfffb8dff,
    0xffe9804f,0xffffffff,0x4001efff,0xfffffffb,0x03ffffff,0xfffffc88,
    0x00dfffff,0xfffffd30,0xffffffff,0xfff70007,0x53fffea5,0xfffffffc,
    0xfea800df,0xffffffff,0x000dffff,0x7fffff4c,0xffffffff,0x3620001e,
    0xffffffff,0x003fffff,0x7fffffdc,0x804fffff,0xffffffdb,0xffb800bf,
    0x3e0dffff,0x3ea2ffff,0xfffd87ff,0xedb80004,0xcfffffff,0x75440000,
    0xefffffff,0xef8801bc,0x7f6dc40a,0x02dfffff,0xffffffd5,0x3ffae05b,
    0x003effff,0x7fff6544,0xff004eff,0x003bffff,0xffffb300,0x7ffec5bf,
    0x3ffae01f,0x3fee4eff,0x366004ff,0xffffffff,0x5c0002df,0xfffffffd,
    0x64c000ce,0x0acdffed,0xffec8800,0xdfffffff,0xfff50000,0x93fffea9,
    0x4fffffeb,0xfffeb800,0x1dffffff,0x7fecc000,0xdfffffff,0x32a00002,
    0xfffffffe,0xb10001cd,0xbfffffff,0x35510003,0x2aa60003,0x55530001,
    0x01555505,0xaa988000,0x20000009,0x0001aa99,0xaa988006,0x35310009,
    0x9aa98001,0x55100001,0x26620003,0x26000000,0x4400001a,0x000000aa,
    0x2b332a62,0x3000000a,0x00000133,0x53100000,0x00035555,0x000aaaa0,
    0x00001551,0x06aaaa66,0x2a620000,0x000aaccc,0x9aa88000,0xa9800000,
    0x000009aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33333331,
    0x33333333,0x33333333,0x26666033,0x00000001,0x33326000,0x930000cc,
    0x07326019,0x03333320,0xaaaaa880,0x0aaaaaaa,0x44333330,0x00001999,
    0x33333200,0x00ccccc3,0x09999880,0x66440000,0x666640cc,0x13333101,
    0x55400000,0x54c01aaa,0x99981aaa,0x4cc00099,0x98000999,0x001ccccc,
    0x55555551,0x00155555,0x55555551,0x4c055555,0x99999999,0x99999999,
    0x93019999,0xccc98799,0xacca8804,0x33333009,0xaaaaa880,0x02aaaaaa,
    0x7fff4000,0xffffffff,0xffffffff,0x887fffff,0x001fffff,0x0befda80,
    0x440037ec,0x05fffffe,0x209ff300,0xff800ffd,0x22001fff,0xffffffff,
    0xf881ffff,0xffb1ffff,0xdfea80ff,0x2e05ff82,0x220effff,0x001fffff,
    0x06ffffe8,0xfffc8000,0x817fff25,0x005ffffc,0x3fffa000,0x7ffec03f,
    0x7fffc45f,0x3fe6004f,0xd8002fff,0x2005ffff,0xfffffff8,0x801fffff,
    0xfffffff9,0x880fffff,0xffffffff,0xffffffff,0x01ffffff,0x3a27fffd,
    0x3a203fff,0x2fffffff,0x0fffffc4,0xffffff30,0x01ffffff,0x3ffe6000,
    0xffffffff,0xffffffff,0x27ffffff,0xfffffa98,0x0009999a,0x3fffffee,
    0x006ffcbe,0xffffffc8,0xfff0002f,0x1bfee617,0x0fffffc0,0xfffff100,
    0x3fffffff,0x3fffff10,0xd81ffff6,0xbdffffff,0x3fa04ffd,0x7fc41fff,
    0xe8001fff,0x0006ffff,0x77fffd00,0x6401ffff,0x0005ffff,0x3ffffa00,
    0x7fffec03,0x7ffffc45,0x3ffe6004,0x7cc002ff,0x44005fff,0xffffffff,
    0x9801ffff,0xffffffff,0xf880ffff,0xffffffff,0xffffffff,0x301fffff,
    0xffb3ffff,0x7ff440bf,0x41ffffff,0x01fffff8,0x3fffffe6,0x00ffffff,
    0xffffb000,0xffffffff,0xffffffff,0x5cffffff,0xffffffff,0x2006ffff,
    0xfffffffe,0x4003ffff,0xffbefffa,0xfa8000ff,0xffffffff,0xfffff001,
    0x7ffc4003,0xffffffff,0xffff881f,0x0ffffb1f,0x7ffffffc,0x502fffff,
    0xf103ffff,0x0003ffff,0x00dffffd,0x3ffe6000,0x402fffff,0x005ffffc,
    0x3fffa000,0x7ffec03f,0x7fffc45f,0x3fe6004f,0x6c002fff,0x4000efff,
    0xfffffff8,0x801fffff,0xfffffff9,0x880fffff,0xffffffff,0xffffffff,
    0x01ffffff,0x3fffffee,0x3ff600ff,0x87ffffff,0x01fffff8,0x3fffffe6,
    0x00ffffff,0xffff9800,0xffffffff,0xffffffff,0x27ffffff,0xfffffffb,
    0x006fffff,0xfb53bff1,0x001dffff,0xc8ffffc4,0x90005fff,0x5fffffff,
    0x7ffffc00,0x4cccc001,0x19999999,0x3fffff10,0x541ffff6,0xffdb9bff,
    0x3fa05fff,0xfff102ff,0xfd0003ff,0x0000dfff,0x7ffffdc0,0xfffc805f,
    0x2000005f,0x403ffffe,0x555ffffd,0x5bfffff7,0x55555555,0x9fffff95,
    0xff880155,0x330000ef,0x33333333,0x4ccc0033,0x99999999,0xfffff101,
    0xffffffff,0xffffffff,0xfffd803f,0x7f402fff,0x5ccdffff,0x1fffff88,
    0x4cccccc0,0x00199999,0xfffffb00,0x67ffffe4,0xcccccccc,0x3ee4cccc,
    0xffffffff,0xd3006fff,0x05b9503d,0x89fffb00,0x0003fffe,0x019bdd93,
    0x0aaaaa80,0x88000000,0x971fffff,0x17ae0ffb,0x980732e2,0x3e202fff,
    0x8001ffff,0x906ffffe,0xffb00001,0xf9001dff,0x00009fff,0x1fffff40,
    0x57ffff60,0xfffffffe,0xffffffff,0xffffffff,0x6400ffff,0x00000fff,
    0x00000000,0x99999910,0xffffff99,0x99999999,0xffff8801,0xffff804f,
    0xfff8803f,0x000001ff,0x7ffc4000,0x3fff23ff,0xa980007f,0xabfffffb,
    0x00002aaa,0x00000000,0x00000000,0x40000000,0x41fffff8,0x000006fc,
    0x3ffe2000,0xfe8001ff,0x7ec46fff,0x00000000,0x027fd4c4,0xfffd0000,
    0xfffd807f,0xfffffd5f,0xffffffff,0xffffffff,0x01ffffff,0x00000000,
    0x00000000,0x37fffec0,0x30000000,0x003fffff,0x03fffff1,0x80000000,
    0x20fffffc,0x007ffffc,0x3fffe200,0x0000001f,0x00000000,0x00000000,
    0x15555440,0x85555540,0x41fffff8,0x000005ff,0x3ffe2000,0xfe8001ff,
    0x3fa26fff,0x0000000f,0x007ff500,0x7fff4000,0x7ffec03f,0xfffffd5f,
    0xffffffff,0xffffffff,0x01ffffff,0x93000000,0x01379ddb,0x37b2e600,
    0xd80000ab,0x0006ffff,0x3fe60000,0xf8800fff,0x8801ffff,0xbdeeeecc,
    0xff880001,0x7fe44fff,0x200007ff,0x21fffff8,0x00acecb9,0x15555510,
    0x03555530,0x01555544,0x206aaaaa,0x00aaaaa8,0x55555553,0x55555555,
    0x3fffe615,0x3ffe200f,0xffff11ff,0x83ff623f,0x442aaaa8,0x101bdeca,
    0x10155555,0x003fffff,0x2dffffd0,0x000ffff9,0x88555551,0x801bdeca,
    0x55531ffd,0xcedb9815,0xffffd00a,0xffffd807,0xffff3315,0x3333339f,
    0xfff53333,0xa98337ff,0xaaaaaaaa,0x0aaaaaaa,0x3ffffaa0,0x002fffff,
    0x3fffffa2,0x40003fff,0x006ffffd,0x5555554c,0xaaaaaaaa,0xffff30aa,
    0xfff1001f,0x366063ff,0xffffffff,0x5c0005ff,0x640fffff,0x0007ffff,
    0x3ffffe20,0xffffff91,0xfff100bf,0xfff703ff,0x7ffdc0bf,0x3ffe01ff,
    0xfff882ff,0xfff901ff,0xffffffff,0x263fffff,0x200fffff,0x11fffff8,
    0x3e3fffff,0x7ffcc3ff,0x3ffff66f,0x7c40dfff,0xf881ffff,0x8001ffff,
    0xfaeffffe,0x3000ffff,0x7ecdffff,0x0dffffff,0x324ffd88,0xff32ffff,
    0x07ffffff,0x807ffffd,0x445ffffd,0x004fffff,0x0bffffe6,0x7fffffe4,
    0xffffffff,0xfffb01ff,0xffffffff,0xffa8019f,0xffffffff,0xfb0000df,
    0xc800dfff,0xffffffff,0xffffffff,0x1fffff31,0xfffff100,0xfff88d73,
    0xffffffff,0xf0000eff,0xf90bffff,0x0000ffff,0x57ffffc4,0xfffffffe,
    0x7fc404ff,0xff981fff,0x3ff607ff,0xff303fff,0x3fe20fff,0xff901fff,
    0xffffffff,0x23ffffff,0x00fffff9,0x47ffffe2,0x91fffff8,0xffff305d,
    0xfffffd1d,0x441dffff,0x881fffff,0x001fffff,0xffffffe8,0x2000efff,
    0xe8effff9,0xffffffff,0x77ff40ef,0x2bffff20,0xfffffffa,0x7ff44fff,
    0x7fec03ff,0x7ffc45ff,0x3e6004ff,0xf902ffff,0xffffffff,0x3fffffff,
    0xffffffb0,0xffffffff,0x7fffd40d,0xffffffff,0xffb0007f,0xfc800dff,
    0xffffffff,0x1fffffff,0x01fffff3,0xdfffff10,0xffffe8df,0xffffffff,
    0xfb8005ff,0xfc81ffff,0x9999ffff,0x99999999,0xfffff100,0xffffffff,
    0x4407ffff,0xd01fffff,0x3e03ffff,0x905fffff,0x220bffff,0x901fffff,
    0xffffffff,0xffffffff,0x3ffffe63,0x3fffe200,0xfffff11f,0xfff98023,
    0xfffffeef,0x23ffffff,0x81fffff8,0x01fffff8,0xfffffe80,0x98005fff,
    0xffeeffff,0xffffffff,0x2067dc3f,0xffeffffc,0xffffffff,0x3fffa0ff,
    0x7fff404f,0x7fffc45f,0x3fe6004f,0xff902fff,0xffffffff,0x83ffffff,
    0xeffffffb,0xfffffecc,0xffffd04f,0xffff759f,0xfb0007ff,0xc800dfff,
    0xffffffff,0xffffffff,0x1fffff31,0xfffff100,0x7ffd4dff,0xfca9bdff,
    0x000fffff,0x837ffff4,0xfffffffc,0xffffffff,0xfff106ff,0x757bffff,
    0x0ffffffd,0x0fffffc4,0x83ffffc8,0x7ffffff9,0x05ffffd0,0x07ffffe2,
    0x7fffffe4,0xffffffff,0xffff30ff,0x7ffc401f,0xffff11ff,0xfff3003f,
    0x759dffff,0x4ffffffd,0x81fffff8,0x11fffff8,0x3a055555,0x3fffffff,
    0xffff3000,0xd759dfff,0x88ffffff,0xfffff901,0xff957bff,0x7f49ffff,
    0x7f404fff,0x7fc45fff,0xffffffff,0xffffffff,0xf902ffff,0xffffffff,
    0x1fffffff,0x7fffffc4,0xfffff982,0x7fffdc1f,0xffffa81f,0xfffd8007,
    0x7fe4006f,0xffffffff,0x30ffffff,0x001fffff,0xfffffff1,0x2fffff43,
    0x1fffffb8,0x3fffea00,0xffff902f,0xffffffff,0x20dfffff,0x4ffffff8,
    0x1fffffd0,0x3ffffe20,0xdffff301,0xffffff70,0xffff883f,0xffff100f,
    0x7d40003f,0x262fffff,0x200fffff,0x11fffff8,0x003fffff,0xbffffff3,
    0xfffffd10,0x3ffffe21,0xfffff881,0x1fffff31,0xffffffd0,0x7fcc0005,
    0xe885ffff,0x000fffff,0x5ffffff9,0xbfffff50,0x02fffff4,0x117ffffe,
    0xffffffff,0xffffffff,0x05ffffff,0x7fffd400,0x7ffd42ff,0x3fe202ff,
    0x3fe26fff,0x3f203fff,0x6c003fff,0x0006ffff,0xfffffa80,0x3fffe62f,
    0xfff8800f,0xca980eff,0xffff100d,0x7ff4003f,0x3ff207ff,0xffffffff,
    0x6fffffff,0xffffff10,0x7ffffcc0,0xfffff101,0x7ffffc03,0x7ffffec0,
    0x7ffd43ff,0x3ffe205f,0xf50001ff,0x987fffff,0x200fffff,0x11fffff8,
    0x003fffff,0x1ffffff3,0x3ffffea0,0x3fffff11,0x3fffff10,0x03ffffe6,
    0x07fffffa,0xffff3000,0x3fea01ff,0xf9001fff,0x6c09ffff,0x3fa6ffff,
    0xf300ffff,0xf88bffff,0xffffffff,0xffffffff,0x002fffff,0xffffff50,
    0xdffff907,0xfffff900,0x3ffffe61,0x3fffe600,0x33333106,0x33fffffd,
    0x20003333,0x3ffffffa,0x07ffffcc,0x7ffffc40,0x7fc40001,0xf5002fff,
    0x6407ffff,0xffffffff,0xffffffff,0xffff106f,0x7ffc409f,0xfff102ff,
    0x7fe403ff,0x7fffc2ff,0x7ec5ffff,0x3e202fff,0x8001ffff,0x4ffffff9,
    0x0fffff98,0x3ffffe20,0x3fffff11,0xfffff300,0x7fffc407,0xfffff12f,
    0xfffff103,0x3ffffe63,0x7ffffdc0,0xff980006,0x3e203fff,0x9002ffff,
    0x401fffff,0x3a7ffffb,0xd03fffff,0x88bfffff,0xffffffff,0xffffffff,
    0x02ffffff,0xfffff980,0xffffd04f,0xffff3005,0x3fffea3f,0x7fffc407,
    0xfffffd06,0xffffffff,0x3000ffff,0x09ffffff,0x01fffff3,0x3fffff90,
    0xfeca8800,0x002fffff,0x01fffffb,0x67ffffe4,0xcccccccc,0xff103ccc,
    0xff805fff,0xff102fff,0x7d403fff,0x3fe64fff,0x47fffcff,0x200fffff,
    0x01fffff8,0x7ffffc40,0xffff305f,0x7ffc401f,0xffff11ff,0xfff3003f,
    0xfff805ff,0xffff12ff,0xffff103f,0x3fffe63f,0x3ffff20f,0x980006ff,
    0x402fffff,0x002fffff,0x80fffff9,0x3a7ffffb,0x0bffffff,0xffffffb3,
    0xfffff88b,0xccccccce,0xffffdccc,0x7fc4002f,0xf105ffff,0x1003ffff,
    0x2e5fffff,0xffffffff,0xffffffff,0xffffd07f,0xffffffff,0x800fffff,
    0x5ffffff8,0x1fffff30,0xfffffd80,0xfeca801f,0xffffffff,0xfff9802f,
    0xccccceff,0x7ffffecc,0x3fe20000,0x7fc02fff,0xff102fff,0xff803fff,
    0x3ffee7ff,0x31ffff9e,0x880bffff,0x001fffff,0x3fffffa2,0x3fffe606,
    0x3ffe200f,0xffff11ff,0xfff3003f,0xfff803ff,0xffff12ff,0xffff103f,
    0x3fffe63f,0xfffffb0f,0x30000dff,0x803fffff,0x002fffff,0x80dffff9,
    0x3a7ffffa,0xffffffff,0xffffffff,0x7fffc45f,0x3fe6004f,0x22002fff,
    0x06fffffe,0x03ffffea,0xa7ffffc0,0xfffffffd,0xffffffff,0xffe80fff,
    0xffffffff,0x07ffffff,0x3ffffa20,0x3ffe606f,0x3ff600ff,0x201fffff,
    0xfffffffc,0x2fffffff,0xfffffd80,0xffffffff,0x007fffff,0x3fffe200,
    0x7fffc01f,0xffff102f,0xfffd803f,0x29fffd1f,0xff93ffff,0xff8807ff,
    0x3a001fff,0x00efffff,0x03ffffe6,0x1fffff88,0x03fffff1,0x3fffff30,
    0x2fffff80,0x03fffff1,0x03fffff1,0x3fffffa0,0x980006ff,0x401fffff,
    0x002fffff,0x80dffff9,0x3a7ffffa,0xffffffff,0xffffffff,0x7fffc45f,
    0x3fe6004f,0x3a002fff,0x00efffff,0x07ffffea,0x9fffffc0,0xfffffffd,
    0xffffffff,0xaaa81fff,0xffffeaaa,0x02aaaaaf,0x3fffffa0,0x3ffe600e,
    0x3ffa00ff,0xb01fffff,0xdfffffff,0x5fffff59,0xfffff880,0xffffffff,
    0x07ffffff,0x3ffe2000,0x7ffc01ff,0xfff102ff,0xffa803ff,0x5ffff3ff,
    0x7f57fff6,0x7c400fff,0xb001ffff,0x03ffffff,0x0fffff98,0x3ffffe60,
    0x3fffff11,0xfffff300,0xfffff803,0x3fffff12,0x3fffff10,0x3ffffa00,
    0x80006fff,0x01fffff9,0x017ffffc,0x06ffffc8,0xd3ffffd4,0xffb7ffff,
    0xfff5ffff,0xffff88bf,0x3fe6004f,0xfb002fff,0x803fffff,0x02fffff9,
    0x2fffff88,0x55dffff7,0x55555555,0x6c001555,0x0006ffff,0x7fffffec,
    0x7fffcc01,0x3e7ba00f,0xfd81ffff,0x40adffff,0x402fffff,0xfffffffc,
    0xffffffff,0x0007ffff,0x3ffffe20,0x7ffffc01,0xfffff102,0xffff8803,
    0x50ffffad,0xfff1ffff,0xfff100df,0xff9003ff,0x3003ffff,0x403fffff,
    0x11fffffa,0x003fffff,0x01fffff3,0x12fffff8,0x103fffff,0x003fffff,
    0x3fffa3ba,0xf980006f,0x7c00ffff,0x9002ffff,0xa80dffff,0x3fa7ffff,
    0xffe8bfff,0xffffa9ef,0x7ffffc45,0x3ffe6004,0xffc802ff,0x8801ffff,
    0x803fffff,0x50fffffa,0x000fffff,0xffffb000,0x7fe4000d,0x9801ffff,
    0x200fffff,0xfffff88c,0x7ffffc41,0x3ffffe04,0x3fffe202,0xffffffff,
    0xffffffff,0x3e200007,0x7c01ffff,0xf102ffff,0xb003ffff,0xfff9ffff,
    0x6ffffc4d,0x8803ffff,0x401fffff,0x2ffffffb,0xfffff300,0x7fffdc03,
    0xfffff11f,0xffff3003,0xffff801f,0xfffff12f,0xfffff103,0xffe8e003,
    0x980006ff,0x400fffff,0x002fffff,0x80dffff9,0x3a7ffffa,0x2a23ffff,
    0x7ffc4001,0x3e6004ff,0x5c02ffff,0x02ffffff,0x3fffffa0,0x7ffff400,
    0x3ffffe67,0x0006a601,0x06ffffd8,0xfffff700,0x3fe6005f,0xf8800fff,
    0x7d41ffff,0xf100ffff,0x6405ffff,0xaacfffff,0xeaaaaaaa,0x0007ffff,
    0x3ffffe20,0x7ffffc01,0xfffff102,0xffff7003,0xfe89ffff,0x1fffffff,
    0xfffff880,0x3fffea01,0x3e2003ff,0xf104ffff,0x223fffff,0x801fffff,
    0x00fffff9,0x897ffffc,0x881fffff,0x001fffff,0x06ffffe8,0xffff9800,
    0x7fffc00f,0xfff9002f,0xfffa80df,0x3ffffa7f,0xff880003,0x26004fff,
    0x202fffff,0x3ffffffa,0x7fffdc00,0x3ffee04f,0x7fff44ff,0x3fffa05f,
    0x7fec004e,0xfa8006ff,0x003fffff,0x03ffffe6,0x3ffffe20,0x7ffffdc1,
    0xfffff700,0x3fffe205,0xffb000ff,0x40000fff,0x01fffff8,0x817ffffc,
    0x01fffff8,0xffffff88,0x7ffe42ff,0x1006ffff,0x203fffff,0x3ffffff9,
    0xfffff800,0x7fff4c2f,0xfff11fff,0xff3003ff,0xff801fff,0xfff12fff,
    0xfff103ff,0xfd0003ff,0x0000dfff,0x01fffff3,0x02fffff8,0x0dffff90,
    0x27ffffa8,0x003ffffe,0xfffff880,0x3ffe6004,0xfff302ff,0x10007fff,
    0x3dffffff,0x3ffff661,0xffffb86f,0xffffc84f,0x7fec003f,0x7cc006ff,
    0x003fffff,0x07ffffcc,0x7ffffc40,0x7ffffd41,0xfffffa83,0xffff702f,
    0x7fec009f,0xeeeeefff,0xeeeeeeee,0x7fffc42e,0x7fffc01f,0xffff102f,
    0x3ffa003f,0x540fffff,0x4fffffff,0xfffff100,0xfffff103,0xddddb9ff,
    0x7ecbdddd,0xfdffffff,0xffffffff,0x3fffff11,0xfffff300,0xfffff801,
    0x3fffff12,0x3fffff10,0xffffd000,0xdddddddf,0x4ddddddd,0x00fffff9,
    0x017ffffc,0x06ffffc8,0xd3ffffd4,0x0007ffff,0x9fffff10,0x7fffcc00,
    0xffff882f,0xeeedcfff,0x545eeeee,0xffffffff,0xffffffff,0xffffff01,
    0xfffffbbd,0xffb000df,0x7c400dff,0xdcffffff,0xeeeeeeee,0x1fffff35,
    0xfffff100,0xfffff983,0xffffcbef,0xfd03ffff,0x4001ffff,0xfffffffd,
    0xffffffff,0x7c43ffff,0x7c01ffff,0xf102ffff,0x2003ffff,0x6ffffffb,
    0xffffff88,0xfff1001f,0xfff503ff,0xffffffff,0x4dffffff,0xfffffff8,
    0xffdcffff,0xffff11ff,0xfff3003f,0xfff801ff,0xffff12ff,0xffff103f,
    0xffd0003f,0xffffffff,0xffffffff,0x7ffffccf,0x7ffffc00,0xffff9002,
    0xffffa80d,0x0fffffa7,0x3ffe2000,0x3e6004ff,0xfa82ffff,0xffffffff,
    0xffffffff,0xfffffb86,0xffffffff,0x3ffa603f,0xffffffff,0xd8001fff,
    0x2006ffff,0xfffffffa,0xffffffff,0xffff36ff,0xfff1001f,0xfff903ff,
    0xffffffff,0x50bfffff,0x00bfffff,0xffffffd8,0xffffffff,0x443fffff,
    0x401fffff,0x102fffff,0x003fffff,0x3fffffe6,0xfffffd04,0x7ffc400d,
    0xfffa81ff,0xffffffff,0x46ffffff,0xfffffff9,0xffffb3ff,0x3ffffe23,
    0xffff9801,0x7fffc00f,0xfffff12f,0xfffff103,0xfffd0003,0xffffffff,
    0xffffffff,0x07ffffcc,0x0bffffe0,0x37fffe40,0x9ffffea0,0x003ffffe,
    0xfffff880,0x3ffe6004,0xfffa82ff,0xffffffff,0x06ffffff,0xfffffff3,
    0x003dffff,0xffffffb1,0x003fffff,0x1bffff60,0xfffffa80,0xffffffff,
    0xff36ffff,0xf1001fff,0xd103ffff,0xffffffff,0xfffff37f,0x3fffffd0,
    0xffffd800,0xffffffff,0x3fffffff,0x0fffffc4,0x0bffffe0,0x0fffffc4,
    0xfffffd00,0x3ffff205,0x3fe2004f,0xffa81fff,0xffffffff,0x6fffffff,
    0xfffffd98,0x3ffff62d,0x3fffff11,0xfffff300,0xfffff801,0x3fffff12,
    0x3fffff10,0xffffd000,0xffffffff,0x4fffffff,0x00fffff9,0x017ffffc,
    0x06ffffc8,0xd3ffffd4,0x0007ffff,0x9fffff10,0x7fffcc00,0xffffa82f,
    0xffffffff,0x206fffff,0xffffeca8,0xdb8004ef,0xbfffffff,0x3ff60000,
    0x3ea006ff,0xffffffff,0xffffffff,0x1fffff36,0xfffff100,0x7fffdc03,
    0x3ffe0dff,0x3ffea2ff,0xfd8006ff,0xffffffff,0xffffffff,0x7ffc43ff,
    0x7ffc01ff,0xfff102ff,0x7e4003ff,0xf500ffff,0x4003ffff,0x81fffff8,
    0xfffffffa,0xffffffff,0x0d4c06ff,0x7fffc400,0xfff9801f,0x7ffc00ff,
    0xffff12ff,0xffff103f,0xffd0003f,0xffffffff,0xffffffff,0x7ffffccf,
    0x7ffffc00,0xffff9002,0xffffa80d,0x0bbbbb67,0x3ffe2000,0x3e6004ff,
    0xfa82ffff,0xffffffff,0xffffffff,0x06aa2006,0x9aa88000,0xffb00001,
    0x7d400dff,0xffffffff,0xffffffff,0x1fffff36,0xfffff100,0x03553003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x85999700,0x3302ccca,
    0x33333333,0x30000133,0x33333333,0x00001333,0x33333260,0xcccc8801,
    0x3333301c,0x4cccc003,0x26666609,0x88000000,0x33322001,0x666442cc,
    0x0666640c,0x07999991,0xca859999,0x4cccc4cc,0x4ccc0009,0x55310019,
    0x4ccc0013,0x4cc00099,0x4c099999,0x2a001999,0x22001aaa,0x33300099,
    0x03100133,0x4ccccccc,0x00099999,0x4ccccccc,0x00999999,0x76dcc000,
    0x2aaa20ac,0x3555511a,0x0acddb98,0x04ccccc0,0x26666600,0x2aaa0000,
    0xffff301a,0x03fffe63,0x3fffffe2,0xffffffff,0x7c4000ce,0xffffffff,
    0x0cefffff,0xfffb0000,0x3ff600bf,0xff906fff,0xf7003fff,0x3e25ffff,
    0x0004ffff,0x001fdc00,0x01dffff9,0x7ecbfff9,0xfffa85ff,0x7fffc0ff,
    0x23fffe45,0x006fffff,0x00fffffc,0xfffffff7,0xfff803bf,0x3ee004ff,
    0x21ffffff,0x01fffff8,0x03ffffa8,0x7ffffed4,0xfff301df,0x3fb805ff,
    0xffffff10,0xffffffff,0x7fc407bf,0xffffffff,0xceffffff,0xffd88002,
    0xf53fffff,0x3fea9fff,0xfffd15ff,0x2205ffff,0x004fffff,0x0bffffe6,
    0x7fffe400,0x3bffee03,0x103ffff8,0xffffffff,0xffffffff,0x7fc4007f,
    0xffffffff,0x3fffffff,0x7ffcc000,0xfff7006f,0xf109ffff,0x880bffff,
    0x226fffff,0x004fffff,0x7ffd3000,0x3fffe200,0x3fffa00e,0x00ffffbb,
    0xf89ffff7,0x7fe45fff,0x7ffffc7f,0x3ffe003f,0xffea81ff,0xffffffff,
    0xffff00cf,0x3fea009f,0x441fffff,0x801fffff,0x303ffffe,0xfffffffd,
    0xf981bfff,0xd302ffff,0x3fe207ff,0xffffffff,0xffffffff,0xfffff881,
    0xffffffff,0x0effffff,0xfffff300,0xf57fffff,0x3fea9fff,0xffff9dff,
    0x84ffffff,0x04fffff8,0x3ffffe60,0xfff98002,0x7fec03ff,0x205fffff,
    0xfffffff8,0xffffffff,0x8801efff,0xffffffff,0xffffffff,0x90001eff,
    0x3001dfff,0xfff7ffff,0xffff903f,0x7ffdc03f,0x3ffe22ff,0x800004ff,
    0x003ffffc,0x801ffff7,0xfffffff9,0x7ffdc02f,0x17fffe0f,0xff8ffff9,
    0x000fffff,0xb83fffff,0xffffffff,0x0effffff,0x04fffff8,0xffffffa8,
    0xffff881f,0x7ffe401f,0xfff883ff,0xffffffff,0x7ffcc6ff,0xfffd82ff,
    0xffff103f,0xffffffff,0x5fffffff,0xffffff88,0xffffffff,0x0effffff,
    0x7ffffc40,0xefffffff,0xff54ffff,0xfffffdff,0x7fffffff,0x4fffff88,
    0x3fffe600,0xffe8002f,0x7c403fff,0x00ffffff,0x3fffffe2,0xffffffff,
    0x01ffffff,0x7fffffc4,0xffffffff,0x01ffffff,0x077ffc40,0x73fffe80,
    0xf881dfff,0x3e04ffff,0x7c46ffff,0x0004ffff,0x3ffffe80,0x03ffff00,
    0x3ffffee0,0xfff9004f,0x22ffffc7,0x7fc7fffc,0x005fffff,0x4c3fffff,
    0xefffffff,0xffffffec,0x4fffff85,0x7ffffcc0,0xfff101ff,0x7fe403ff,
    0xfe83ffff,0xffffffff,0x264fffff,0xf82fffff,0xf103ffff,0xffffffff,
    0xffffffff,0x7fc41fff,0xffffffff,0xffffffff,0x7e405fff,0xbbcfffff,
    0xfffffffd,0xffffff54,0xffd959ff,0x7c41ffff,0x2004ffff,0x02fffff9,
    0x7ffffe40,0xfffa803f,0x7fc402ff,0xccccefff,0xfffffedc,0x7fc405ff,
    0xccccefff,0xfffffedc,0x7e4005ff,0xff9000ff,0x4fffd8bf,0x0fffffd8,
    0x2fffffb8,0x27ffffc4,0x7ff40000,0xffa803ff,0x7fec001f,0x7e4006ff,
    0x3e00007f,0x2fffffff,0x1fffff80,0x9ffffff1,0xffffc883,0x7ffffc3f,
    0x3fffe604,0x3a201fff,0xd880eeee,0x3fffffff,0x7fffffdc,0xffffda9d,
    0xffff31ff,0xfffff05f,0x3fffe207,0xccccccef,0xfffffffe,0x3ffffe24,
    0xccccccce,0xffffffec,0x3fffe607,0xfffb81ef,0xfff54fff,0xfb01bfff,
    0x7c49ffff,0x2004ffff,0x02fffff9,0x3ffffe60,0x000003ff,0x0fffffe2,
    0xfffffb10,0x7ffc405f,0x7ec403ff,0x002fffff,0x00000000,0x09fffff3,
    0x10dffffd,0xdddfffff,0x79bddddd,0x3fffa001,0x0000003f,0x00000000,
    0x7fffffc0,0xfff806ff,0xffff51ff,0xfffe805f,0x7ffffc5f,0xfffff104,
    0x200005ff,0xfffffffb,0x7ffec3ff,0xfffa80ef,0xffff33ff,0xfffff05f,
    0x3fffe207,0x7ff5404f,0x3fe27fff,0xd5004fff,0x205fffff,0x01fffffc,
    0x53fffff2,0x0ffffffa,0x9fffffa0,0x04fffff8,0x3ffffe60,0xfffd1002,
    0x0007ffff,0x7fffc400,0xfff5003f,0x7fc40dff,0xf5003fff,0x000dffff,
    0x40000000,0x20fffffd,0x82fffffa,0xfffffff8,0xffffffff,0xaa880cff,
    0xaadfffff,0x0000000a,0x00000000,0x7ffffffc,0x7ffc03ff,0xffff91ff,
    0xffff700b,0x4fffff8f,0xfffffe88,0xea80002f,0xffffffff,0x7fffc3ff,
    0x3fffe02f,0xfffff35f,0x3ffeaa25,0x10aaadff,0x009fffff,0x3ffffff1,
    0x13ffffe2,0xfffffb80,0xdffffd04,0xfffff880,0x7fffff54,0xfffffa80,
    0x9fffff10,0x7fffcc00,0xfff9002f,0x007fffff,0x01555551,0x3fffff88,
    0x3ffff600,0xffff103f,0x7fec007f,0x2aa23fff,0x765442aa,0xaa8801bd,
    0xf9800aaa,0x3fa3ffff,0xff106fff,0xffffffff,0xffffffff,0xffffa81d,
    0x0fffffff,0x54355551,0x55441bdd,0x2f76a1aa,0x55555101,0x55555101,
    0x7ffffc01,0x200fffff,0xfb1fffff,0xf1005fff,0x7fc3ffff,0x7f444fff,
    0x002fffff,0x21555551,0xfffffffe,0x3e63ffff,0x3201ffff,0xff36ffff,
    0x3fea5fff,0xffffffff,0xfffff10f,0x3fff6009,0xffff12ff,0x7fc4009f,
    0xfff06fff,0xffd007ff,0x3ffea9ff,0x7fc401ff,0xfff11fff,0x7cc009ff,
    0xa802ffff,0xffffffff,0xfff8803f,0x7fc401ff,0x26003fff,0x106fffff,
    0x007fffff,0x37ffffcc,0x6cdffff3,0xdfffffff,0x3fffe200,0xfffb001f,
    0x3fffeaff,0xffff102f,0xffffffff,0xdfffffff,0xffffffa8,0xf50fffff,
    0xffb19fff,0x7fd49fff,0xfffd8cff,0xfff884ff,0xfff881ff,0x3ffe01ff,
    0x5fffffff,0x07ffffe0,0x7fd400a6,0x7fffc7ff,0x7ffff44f,0x3e2002ff,
    0xffd1ffff,0xfffd1dff,0x4aa9887f,0xaffffec0,0x52fffff9,0xffffffff,
    0x3fe21fff,0xf7004fff,0x3e25ffff,0x4004ffff,0x886fffff,0x802fffff,
    0xf54ffffd,0xf001ffff,0x3e25ffff,0x2004ffff,0x02fffff9,0x6f7fffc4,
    0x8803ffff,0x401fffff,0x03fffff8,0x3fffff40,0x3fffff88,0x7ffff400,
    0x3bfffe67,0xffffffe8,0xf100efff,0x2003ffff,0xdafffff9,0x2206ffff,
    0xeeefffff,0xfffffffe,0x3ea2ffff,0xffffffff,0xffff50ff,0xffffffb9,
    0x67fffd45,0x2ffffffd,0x1fffff88,0x1fffff88,0x3fffffe0,0xf02fffff,
    0x0003ffff,0x45ffffd8,0x364fffff,0x03ffffff,0x7ffffc40,0x749fffd1,
    0x0003ffff,0x99fffffc,0xf52fffff,0xffffffff,0x3ffe21ff,0xff9004ff,
    0x3fe23fff,0x26004fff,0x984fffff,0x802fffff,0xf54ffffd,0x3e00ffff,
    0xff13ffff,0x4c009fff,0x402fffff,0xfd9ffffd,0xf8803fff,0x4401ffff,
    0x003fffff,0x0fffffe4,0x1fffffc4,0x3ffff200,0xdffff31f,0xfffffffd,
    0x2207ffff,0x001fffff,0x3fbffff6,0x2202ffff,0x204fffff,0xffffffa8,
    0x3fffbaa6,0x50eeeeff,0xfffdffff,0xffa8ffff,0xfffffeff,0xffff107f,
    0xffff103f,0x7fffc03f,0xffffffbf,0x1fffff80,0x3fff6000,0x7fffc2ff,
    0xfffff94f,0xff10007f,0x33fa3fff,0x1fffff41,0xffff5000,0x3fffe65f,
    0xfffdd52f,0x21ddddff,0x04fffff8,0x4ffffff0,0x04fffff8,0xfffffd10,
    0xfffff107,0xffffb005,0x3ffffea9,0xfffff800,0x9fffff13,0x7fffcc00,
    0x3ffea02f,0x7ffffb4f,0xfffff100,0xffff8803,0x7fdc003f,0xff882fff,
    0x5c003fff,0xf32fffff,0x9dffffff,0xfffffd75,0x3fffe20f,0x3fe6001f,
    0x6fffffff,0x7ffffc40,0xffff9804,0xfffe80ff,0xffff503f,0x9fffffff,
    0xffffffa8,0x104fffff,0x103fffff,0x403fffff,0xfc9fffff,0xff84ffff,
    0x88001fff,0x85fffffd,0xfccfffff,0x04ffffff,0xfffff880,0x3ffa0171,
    0x3a0003ff,0xf30fffff,0xff05ffff,0x3e207fff,0x4404ffff,0x26fffffe,
    0x9cfffff8,0xcaaa9999,0x06ffffff,0x00fffffe,0x553ffffa,0x401fffff,
    0x12fffff8,0xffffffff,0xffffffff,0x05ffffff,0xd9bfffe2,0x8803ffff,
    0xd01fffff,0xdfffffdd,0x207ddddd,0x22fffffb,0xfffffeee,0x03eeeeee,
    0x25fffff7,0x5ffffff9,0xfffffe88,0xfffff880,0x3ffffe01,0xffffffff,
    0x25ffffff,0x04fffff8,0x3fffffb0,0x07ffffd0,0x3fffffea,0xfa83932e,
    0x32efffff,0x3ffe2039,0xfff881ff,0x3ffe01ff,0xffff89ff,0x7fffc1ff,
    0x7f44001f,0xf80effff,0xffffffff,0x01ffffff,0x7ffffc40,0xffffe801,
    0xfffb0003,0x7ffcc7ff,0xffff82ff,0xffff103f,0x975555bf,0xfffffffb,
    0x7ffffc49,0xffffffff,0xffffffff,0x3ffffa02,0x7fffc404,0xfffff54f,
    0xffff9805,0xfffff11f,0xffffffff,0xffffffff,0x3fff605f,0x3ffff61f,
    0xffff8803,0xfffff01f,0xffffffff,0x3ffea09f,0x3fffe3ff,0xffffffff,
    0xfff504ff,0x3ffe67ff,0xff500fff,0xff103fff,0x7fc03fff,0xffffffff,
    0xffffffff,0x3fffe25f,0xfff7004f,0xfffd05ff,0x3ffea07f,0xfa801fff,
    0x001fffff,0x07ffffe2,0x07ffffe2,0x51fffff8,0xf8dfffff,0x2001ffff,
    0xefffffe8,0xffffff00,0xffffffff,0xff8800df,0xfe801fff,0xc8003fff,
    0x4c6fffff,0xf82fffff,0xf103ffff,0xffffffff,0xffffffff,0x7fc41dff,
    0xffffffff,0xffffffff,0x7fec02ff,0x7fdc06ff,0xfff54fff,0xffc80dff,
    0xfff10fff,0xffffffff,0xffffffff,0xff505fff,0xfffd87ff,0xfff8803f,
    0xffff01ff,0xffffffff,0x3fea09ff,0x3ffe3fff,0xffffffff,0xff504fff,
    0x3fe67fff,0x3e203fff,0xf882ffff,0x3e01ffff,0xffffffff,0xffffffff,
    0x3ffe25ff,0xff9004ff,0xffd03fff,0x3fea07ff,0xf5004fff,0x8009ffff,
    0x81fffff8,0x01fffff8,0xd87ffffe,0x3e2fffff,0x1001ffff,0x1bfffffd,
    0x7fffffc0,0xffffffff,0x3e2004ff,0xe801ffff,0x4003ffff,0x1ffffffd,
    0x17ffffcc,0x81fffffc,0xfffffff8,0xffffffff,0x7c40ffff,0xffffffff,
    0xffffffff,0xffb800df,0xff103fff,0x3ea9ffff,0x103fffff,0x44dfffff,
    0xffffffff,0xffffffff,0x42ffffff,0xd86ffff8,0x8803ffff,0x901fffff,
    0xdfffff99,0x20599999,0x21fffffb,0xfffffccc,0x02ccccce,0x23fffff7,
    0x02fffff9,0x417ffffc,0x01fffff8,0x3ffffffe,0xffffffff,0x3e25ffff,
    0xf004ffff,0x2a1fffff,0xefffffcc,0x3ffea3cc,0xff5002ff,0x88005fff,
    0x881fffff,0x201fffff,0x221fffff,0xf0ffffff,0x2003ffff,0x05fffffc,
    0xfffffff8,0xffffabff,0xff1001ff,0xfd003fff,0x6c007fff,0x82ffffff,
    0x82fffff9,0x103fffff,0xffffffff,0xffffffff,0xfff103df,0xffffffff,
    0x003dffff,0x7fffffd0,0x7ffffd41,0xffff54ff,0x7d417fff,0x221fffff,
    0xccefffff,0xcccccccc,0x42fffffd,0xd81ffffd,0x8803ffff,0x401fffff,
    0x03fffff8,0x7ffffe40,0xfffff880,0x7ffe4003,0xffff30ff,0xffff803f,
    0xffff882f,0x2666601f,0xffffe999,0x0999999c,0x13ffffe2,0x3ffffee0,
    0x3fffff26,0x2a6fffff,0x001fffff,0x03fffff5,0xfffff880,0xfffff881,
    0x3ffffe01,0x7ffffdc1,0x03fffff4,0x17ffffa0,0x7fffffc0,0x3fff64ff,
    0xff1006ff,0xfd003fff,0x36007fff,0x03ffffff,0x05fffff3,0x207fffff,
    0xfffffff8,0xffffffff,0x3ffe202e,0xfcaa9cff,0x004fffff,0xffffffa8,
    0xffffffef,0xfff54fff,0xfdffffff,0x8bffffff,0x04fffff8,0x3ffffe60,
    0x0ffffee2,0x01ffffec,0x0fffffc4,0x3ffffe20,0x7ffe4003,0xffff107f,
    0xffc8007f,0x3ffe67ff,0x7ffc01ff,0xfff882ff,0xfd0001ff,0x22007fff,
    0x4c4fffff,0xffffd999,0x3fff24ff,0x6fffffff,0x03ffffea,0x7ffffd40,
    0x7ffc4000,0xfff881ff,0x3ffe01ff,0xfffe81ff,0xfffff9ff,0xffff8801,
    0x3fffe006,0x7fc44fff,0x8803ffff,0x801fffff,0x803ffffe,0x3ffffffd,
    0x3ffffe60,0x3fffff82,0xbfffff10,0x33355555,0x3fffe200,0xfffe984f,
    0x6c000eff,0xffffffff,0xffffffff,0xdfffff54,0xffffffff,0xff881fff,
    0x26004fff,0xf12fffff,0x5557ffff,0xbffffd55,0x3fe20555,0x7c401fff,
    0x4003ffff,0x106ffffe,0x007fffff,0x26ffffe8,0x01fffff9,0x417ffffc,
    0x01fffff8,0x33333332,0xccefffff,0x3e23cccc,0xffffffff,0xffffffff,
    0x332a1fff,0xccefffff,0x3ffffea3,0xffff5000,0xff88001f,0xff881fff,
    0x3fe01fff,0xffa81fff,0xffffefff,0xfff9801f,0x3ffe004f,0xff904fff,
    0x8803ffff,0x801fffff,0x403ffffe,0x2ffffffd,0x7ffffcc0,0x3fffff82,
    0x9fffff10,0x3fe20000,0xff104fff,0x001dffff,0xffffffd8,0xfffe8eff,
    0xfffff54f,0xffffff91,0xff101dff,0x4c009fff,0xf32fffff,0xffffffff,
    0xffffffff,0x3fe20fff,0x7c401fff,0x2003ffff,0x05fffff9,0x07fffff1,
    0x7ffffcc0,0x3ffffe65,0x7ffffc00,0xfffff882,0x3ffffe01,0xffffffff,
    0x25ffffff,0xfffffff8,0xffffffff,0x3a02ffff,0xf503ffff,0x5400ffff,
    0x8007ffff,0x81fffff8,0x01fffff8,0x407ffffe,0xfffffffd,0xfb801fff,
    0x3e003fff,0x2205ffff,0x06ffffff,0x0fffffc4,0x1fffff40,0xffffffb0,
    0xffff3005,0xfffff05f,0x3fffe207,0xf100004f,0x5409ffff,0x05ffffff,
    0xfffffb80,0x3ffffa4e,0x4fffff54,0x4fffffea,0x3ffffe20,0x3ffe6004,
    0xffff32ff,0xffffffff,0xffffffff,0x3ffffe20,0x7fffc401,0x3ff2003f,
    0xff103fff,0x64007fff,0x263fffff,0x400fffff,0x882fffff,0x201fffff,
    0xffffffff,0xffffffff,0x3fe25fff,0xffffffff,0xffffffff,0x7ffff403,
    0xfffff503,0x7fffd400,0xfff88007,0xfff881ff,0x3ffe01ff,0xfff101ff,
    0x3fffffff,0x5dddd500,0x7ffffc00,0x7fffd404,0x3fe203ff,0xfe801fff,
    0xff703fff,0x2003ffff,0x82fffff9,0x103ffffe,0x009fffff,0x3fffe200,
    0x7ffe404f,0x10003fff,0xfffd0155,0x3fffea9f,0x800aa887,0x04fffff8,
    0x3ffffe60,0xffffff32,0xffffffff,0x20ffffff,0x01fffff8,0x1fffffc4,
    0xfffffc80,0x3fffe206,0xfff9003f,0xfff98dff,0x7ffc00ff,0xfff882ff,
    0x3ffe01ff,0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,0xe801cfff,
    0xf503ffff,0x5400ffff,0x8007ffff,0x81fffff8,0x01fffff8,0x807ffffe,
    0xfffffffb,0x000001ff,0x04fffff8,0xffffffe8,0xfffff100,0xffffd003,
    0xfffff307,0x7fcc003f,0xffe82fff,0xfff103ff,0x200009ff,0x04fffff8,
    0xffffffe8,0xfe800000,0xfff54fff,0xf10000ff,0x4009ffff,0x32fffff9,
    0xffffffff,0xffffffff,0x3e20ffff,0x4401ffff,0x403fffff,0xffffffd8,
    0x3fffe201,0x7fec403f,0x7cc1ffff,0x7c00ffff,0xf882ffff,0x3a01ffff,
    0xffeeeeee,0xeeeeefff,0x3ffe24ee,0xccccceff,0x2000abcc,0x89effffe,
    0xfffff50a,0x7fffd400,0xfff88007,0xfff881ff,0x3ffe01ff,0x7ff401ff,
    0x01ffffff,0x02aaaa88,0x13ffffe0,0x3ffffe60,0xffff105f,0xfffd003f,
    0xffff887f,0x7cc003ff,0xfe82ffff,0x0a88efff,0x09fffff1,0x3ffe2000,
    0xff9804ff,0x0005ffff,0x4ffffe80,0x00fffff5,0xfffff100,0x7ffcc009,
    0x555512ff,0xd5555555,0x555bffff,0x3ffffe20,0x7fffc401,0xeeeeeeef,
    0xffffffff,0x7fffc404,0xeeeeeeef,0xffffffff,0xfffff984,0x7ffffc00,
    0xfffff882,0xfffd0001,0x3fe2007f,0x00004fff,0xffffffd8,0xffff51ff,
    0x7ffd400f,0xff88007f,0xff881fff,0x3fe01fff,0x7cc01fff,0x1fffffff,
    0x7ffffb80,0x3ffffe00,0xffff9004,0xfff105ff,0xffd003ff,0xfffb87ff,
    0xffffffff,0xf37fffff,0xfb05ffff,0x3fffffff,0x13ffffe2,0x7ffc4000,
    0xff9004ff,0x0005ffff,0x4ffffe80,0x00fffff5,0xfffff100,0x7ffcc009,
    0xfb0002ff,0xf1007fff,0x8803ffff,0xffffffff,0xffffffff,0x4400ffff,
    0xffffffff,0xffffffff,0xf980ffff,0x7c00ffff,0xf882ffff,0x0001ffff,
    0x007ffffd,0x13ffffe2,0x3fee0000,0x52ffffff,0x400fffff,0x007ffffa,
    0x1fffff88,0x1fffff88,0x07ffffe0,0x3fffff20,0xffb801ff,0x3fe007ff,
    0xf1004fff,0x81ffffff,0x01fffff8,0x43ffffe8,0xfffffffe,0xffffffff,
    0xfffff37f,0xfffff505,0x3fe25fff,0x00004fff,0x09fffff1,0x7fffff40,
    0x3a00000f,0xff54ffff,0x10000fff,0x009fffff,0x17ffffcc,0xffffd800,
    0xffff8803,0x7ffc401f,0xffffffff,0xefffffff,0xffff8801,0xffffffff,
    0x1effffff,0x1fffff30,0x2fffff80,0x1fffff88,0xffffd000,0x3ffe2007,
    0x000004ff,0xfffffffb,0x1ffffea7,0x7ffffa80,0xffff8800,0xffff881f,
    0x3fffe01f,0xfff8801f,0xb801ffff,0x2007ffff,0x004fffff,0x3fffffee,
    0x7ffffc45,0xffffe801,0x3ffffe23,0xffffffff,0xff37ffff,0xff105fff,
    0x27ffffff,0x04fffff8,0xffff1000,0x7fcc009f,0x0004ffff,0x53ffffa0,
    0x007ffffa,0xfffff880,0x3ffe6004,0xfb0002ff,0xf1007fff,0x8803ffff,
    0xffffffff,0xffffffff,0x3fe2002e,0xffffffff,0x2effffff,0x7ffffcc0,
    0x7ffffc00,0xfffff882,0xfffd0001,0x3fe2007f,0x00004fff,0xfffffb10,
    0x3fffea5d,0x3ffea007,0xff88007f,0xff881fff,0x3fe01fff,0xf5001fff,
    0x003fffff,0x00fffff7,0x027ffffc,0x3fffffa0,0x3fffe22f,0xfffe801f,
    0x3fffee3f,0xffffffff,0xf37fffff,0x2205ffff,0x2efffffd,0x09fffff1,
    0x3ffe2000,0x7e4004ff,0x001fffff,0x9ffffd00,0x01ffffea,0x3fffe200,
    0x3fe6004f,0xb0002fff,0x1007ffff,0x803fffff,0xfffffff8,0xceefffff,
    0xfff88002,0xffffffff,0x3002ceef,0x801fffff,0x882fffff,0x001fffff,
    0x07ffffd0,0x3ffffe20,0x98000004,0xffffa81a,0x3ffea007,0xff88007f,
    0xff881fff,0x3fe01fff,0x36001fff,0x801fffff,0x007ffffb,0x013ffffe,
    0xffffff50,0x3fffe21f,0xfffe801f,0x3ffffa3f,0xffffffff,0xf37fffff,
    0x8805ffff,0xfff881a9,0x100004ff,0x009fffff,0xdfffffd0,0x3bb20000,
    0xdddd33ee,0xff10000d,0x4c009fff,0x002fffff,0x07ffffb0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7777776c,0x2eeeeeee,0x310ccccc,
    0x00003333,0x00033333,0x13333330,0x26666000,0x4ccccc19,0x99999999,
    0x4c199999,0x00019999,0x00666662,0x04d66544,0x26666666,0x99999999,
    0x41999999,0x99999999,0x99999999,0x4cc09999,0x99999999,0x33000099,
    0x01333333,0x26666620,0x33000199,0x40003333,0x00999999,0x0cccccc0,
    0x99999988,0x99999999,0x22099999,0x10019999,0x00333333,0x30666662,
    0x33333333,0x80033333,0x005fffff,0x777774c0,0xeeeeeeee,0x510eeeee,
    0x554c5555,0xaaaaaaaa,0xbfffff1a,0x3ffffe80,0x3fffe200,0xffffffff,
    0x3ffe23ff,0xffff51ff,0xff88000f,0x40001fff,0x0ffffffc,0x7fffe400,
    0x3fffe26f,0xffffffff,0x1fffffff,0x0bfffff6,0x7ffffc00,0x7fffd407,
    0xff10ffff,0xffffffff,0xffffffff,0x3e23ffff,0xffffffff,0xffffffff,
    0x3fe25fff,0xffffffff,0x00ceffff,0xffffff98,0xffb003ff,0x00ffffff,
    0xffffff30,0x3ff20003,0x9000ffff,0x20dfffff,0xfffffffe,0xffffffff,
    0x3f65ffff,0xe800ffff,0x01ffffff,0x27ffffd8,0xfffffff8,0xffffffff,
    0x7ffc02df,0x540005ff,0xffffffff,0xffffffff,0xffff30ff,0x3ffff61f,
    0x4fffffff,0x80bfffff,0x003ffffe,0x3fffffe6,0xffffffff,0x3ffffe23,
    0x0fffff51,0xffff8800,0x7c40001f,0x004fffff,0x3fffffe6,0x3ffffe21,
    0xffffffff,0x21ffffff,0x05fffffa,0xfffffa80,0x3fffea04,0x3e27ffff,
    0xffffffff,0xffffffff,0xf11fffff,0xffffffff,0xffffffff,0x7fc4bfff,
    0xffffffff,0x3fffffff,0x7ffffcc0,0xff005fff,0x0fffffff,0xfffff900,
    0x3e20009f,0x804fffff,0x1ffffff9,0xffffffd0,0xffffffff,0x5cbfffff,
    0x402fffff,0xfffffff8,0xfffff803,0x3ffffe25,0xffffffff,0x02ffffff,
    0x00bfffff,0xfffffa80,0xffffffff,0xf30fffff,0x3f61ffff,0xffffffff,
    0xfffff4ff,0xffffe80b,0x3ffee003,0xffffffff,0x3fe23fff,0xfff51fff,
    0xf88000ff,0x0001ffff,0xffffffa8,0xffffd001,0xffff889f,0xffffffff,
    0x1fffffff,0x3fffffe2,0x7ffec000,0xfff101ff,0x4bffffff,0xfffffff8,
    0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,0x44bfffff,0xffffffff,
    0xffffffff,0xff301eff,0x0fffffff,0xffffff30,0xf8800fff,0x0fffffff,
    0xffff5000,0xffe803ff,0x3fa04fff,0xffffffff,0xffffffff,0x3ffe65ff,
    0x7fd403ff,0x406fffff,0x23fffff8,0xfffffff8,0xffffffff,0xf81fffff,
    0x0005ffff,0x7fffffd4,0xffffffff,0xff30ffff,0x3ff61fff,0xffffffff,
    0xbfffff4f,0x3ffffe80,0x3ffff200,0xffffffff,0x3ffe23ff,0xffff51ff,
    0xff88000f,0x00001fff,0x0bfffffb,0xdfffff50,0xfffff881,0xffffffff,
    0x41ffffff,0x02fffffd,0x37ffffc0,0xffffff50,0x7fc4799b,0xffffffff,
    0xffffffff,0xff11ffff,0xffffffff,0xffffffff,0x7ffc4bff,0xffffffff,
    0xffffffff,0xffff981f,0x401fffff,0xfffffffb,0x7fdc007f,0x03ffffff,
    0x3ffff600,0x3ffee06f,0x3fa00eff,0xffffffff,0xffffffff,0x7fffc5ff,
    0x7ffe405f,0x5407ffff,0x221fffff,0xffffffff,0xffffffff,0x7c0fffff,
    0x0005ffff,0x7fffffd4,0xffffffff,0x3fe65fff,0x33310fff,0x33333333,
    0x17ffffe1,0x07ffffd0,0x57ffff40,0x99999999,0x3fffe209,0xfffff51f,
    0xfff88000,0x100001ff,0x05ffffff,0x2fffffe8,0xefffff88,0xcccccccc,
    0x540ccccc,0x005fffff,0x13ffffea,0x1fffffb8,0x33333220,0xfffffccc,
    0xcccccccf,0xfffff10c,0x9999999d,0x79999999,0x77ffffc4,0xfedccccc,
    0x85ffffff,0xfffffff9,0x7fec03ff,0x07ffffff,0x7fffff40,0x20006fff,
    0x3ffffff8,0xffffff88,0x66665c02,0xcccccccc,0x3fffffff,0x03ffffec,
    0x3ffffffa,0x3ff201ff,0x7ffc47ff,0xccbaadff,0xfffffccc,0x7fffc3ff,
    0x4c40005f,0x99999999,0xeffffb99,0x3ffffe60,0x7ffc0000,0x655405ff,
    0x3fe002ff,0xf10007ff,0x3ea3ffff,0x40007fff,0x01fffff8,0x3ffee000,
    0x3ff206ff,0xff105fff,0x00009fff,0x07fffffc,0xfffffc80,0x3fffee01,
    0xffd80007,0x3e2006ff,0x0004ffff,0x7fffff10,0xffffd980,0x7ffcc2ff,
    0x06ffffff,0x7ffffffc,0x3e6007ff,0xffffffff,0x3ea0001f,0x6c0fffff,
    0x005fffff,0xffffb800,0xfffb85ff,0xfff100ff,0x07ffffff,0x22fffff4,
    0x04fffff8,0xbfffff70,0x05fffff8,0x7f400000,0x00001fff,0xbfffff00,
    0x007ff200,0x037fffc4,0xfffff880,0x0fffff51,0xffff8800,0x7400001f,
    0x884fffff,0x00ffffff,0x09fffff1,0x7ffe4000,0xfff003ff,0xffb80dff,
    0xd80006ff,0x2006ffff,0x04fffff8,0xffff1000,0x3fea007f,0x7fcc6fff,
    0xffffefff,0xdffff300,0x400fffff,0xffeffffc,0x40004fff,0x25fffffd,
    0x0ffffffa,0x7fd40000,0xf306ffff,0x2a05ffff,0xffffffff,0xffff105f,
    0xffff887f,0x3ffa004f,0x7fffc7ff,0x0000005f,0x00fffff2,0x55555100,
    0xbfffff01,0x003ffa00,0x02ffffd4,0xfffff880,0x0fffff51,0x15555554,
    0x43fffff1,0x01bdedb9,0x3ffffe60,0x7fffec0f,0x3ffe203f,0x200004ff,
    0x05fffff9,0x3fffffa8,0xfffdaa98,0x002aaaff,0x06ffffd8,0x3ffffe20,
    0xff100004,0x74007fff,0x263fffff,0xffcfffff,0xfff702ff,0x0fffff9f,
    0x5fffffc0,0x00fffffc,0x3fffe200,0xffffd2ff,0x8800005f,0x0fffffff,
    0x13ffffe0,0x7effffe4,0xff307fff,0xff883fff,0x2e004fff,0x7fc7ffff,
    0x00005fff,0xbffff300,0xfff10000,0xffff03ff,0xffc880bf,0x3fff2004,
    0xacddb9bf,0x3fffe200,0xfffff51f,0x3ffffee0,0x3fffe21f,0xfffff91f,
    0x7e4009ff,0x3e65ffff,0x4406ffff,0x004fffff,0x7ffff400,0x7ffe400f,
    0xfffb80ff,0xffffffff,0xfffd8006,0x3fe2006f,0x00004fff,0x07fffff1,
    0x7ffffcc0,0x3ffffe65,0xb04ffff9,0xfff5ffff,0x3fea00ff,0xfff98fff,
    0x5c0003ff,0xfcefffff,0x0005ffff,0x7ffff440,0x7ff401ff,0xffff06ff,
    0x3fffff3f,0x0fffff70,0x09fffff1,0x27fffec0,0x017ffffe,0x7ff40000,
    0x880001ff,0xf81fffff,0x2205ffff,0x6c006fff,0xffffffff,0xf103ffff,
    0x3ea3ffff,0xffa87fff,0x7c41ffff,0xffeaffff,0xefffffff,0xffffd000,
    0x3ffffa5f,0x7ffc401f,0x400004ff,0x03fffffc,0x82fffffc,0xfffffffb,
    0x8006ffff,0x006ffffd,0x13ffffe2,0x7ffc4000,0x7f4003ff,0x3fe67fff,
    0xffff8fff,0x3dffff06,0x200fffff,0x3a5ffffd,0x0006ffff,0xffffffe8,
    0x000fffff,0x7fffec00,0xffc803ff,0xfff987ff,0x7ffffb7f,0x0dffffb0,
    0x09fffff1,0x3ffffe20,0x2fffffc2,0x7dc00000,0x00004fff,0x03fffff1,
    0x80bfffff,0x7c000dfe,0xffffffff,0x40dfffff,0x51fffff8,0xf98fffff,
    0x881fffff,0xffffffff,0xffffffff,0xfff5003f,0xffff7dff,0xfff1009f,
    0x800009ff,0x06fffff9,0x0bffffe6,0x7fffffdc,0x006fffff,0x06ffffd8,
    0x3ffffe20,0x9999999c,0x40999999,0x03fffff8,0x7ffffe40,0x2fffff31,
    0x4c0ffffd,0xff9cffff,0xff8807ff,0x3fee2fff,0x40001fff,0xfffffff9,
    0x00003fff,0x7fffffdc,0xffff5004,0xffffb83f,0x0bffff55,0x109fffff,
    0x809fffff,0xefffffb8,0x2fffffc0,0x7fc00000,0x00000fff,0x03fffff1,
    0x80bfffff,0xff880019,0xffffffff,0x444fffff,0xf51fffff,0x7fc4ffff,
    0xf102ffff,0x7dffffff,0xfffffb75,0x7ffec00d,0x6fffffff,0xfffff100,
    0xdddddddf,0xd003dddd,0x201fffff,0x00fffffc,0xffffddd5,0x000bdddf,
    0x00dffffb,0x7fffffc4,0xffffffff,0x445fffff,0x003fffff,0x8fffffdc,
    0xf77ffff9,0xffb85fff,0xffff99ff,0xffffb807,0x3fffe20f,0xfc80004f,
    0x6fffffff,0x7fd40000,0x2006ffff,0x43fffff8,0xf12ffffd,0xff88ffff,
    0xff882fff,0xffffffff,0xffffffff,0xffff80ef,0x4000005f,0x005ffffb,
    0x3fffe200,0xfffff81f,0xf3000005,0x77bfffff,0x3ffffffb,0x8fffffc4,
    0xd17ffffa,0x405fffff,0x5ffffff8,0x1fffffb0,0x3fffe200,0x01ffffff,
    0xffffff10,0xffffffff,0xf7005fff,0x3e07ffff,0x7005ffff,0x000dffff,
    0x0dffffb0,0x7ffffc40,0xffffffff,0x45ffffff,0x03fffff8,0x7ffffdc0,
    0x2fffff32,0x744ffff9,0xff98ffff,0xffe807ff,0xfffe85ff,0xe80000ff,
    0x1fffffff,0x3fe60000,0x000effff,0x22fffff4,0x3a0fffff,0x3ea1ffff,
    0xf880ffff,0xffffffff,0xffffffff,0x3fffe05f,0x4000005f,0x002ffffe,
    0x3fffe200,0xfffff81f,0xf7000005,0xf503dfff,0x7c4dffff,0xff51ffff,
    0x3fff6fff,0x7fc403ff,0xf300efff,0x4003ffff,0xfffffffa,0x3fe2005f,
    0xffffffff,0x2fffffff,0xfffff880,0xfffff986,0xffff7002,0xffb0000d,
    0x7c400dff,0xffffffff,0xffffffff,0x7ffc45ff,0x7d4003ff,0xff32ffff,
    0x7fffcfff,0x5bfffe26,0x407ffff9,0x82fffff9,0x03fffffb,0xffffc800,
    0x200005ff,0xffffffe8,0xfffc8001,0x3fffe66f,0x1ffffe46,0x20dffff9,
    0xfffffff8,0xffffffff,0xff02efff,0x0000bfff,0x37fffd40,0x3fe20000,
    0xfff81fff,0x000005ff,0xf900554c,0x3e23ffff,0xff51ffff,0xffffbfff,
    0xfff1009f,0x7fc409ff,0x6c002fff,0x0fffffff,0x3fffe200,0xffffffff,
    0x002fffff,0x81fffffb,0x007ffffc,0x01bfffee,0x3ffff600,0x3ffe2006,
    0xffffffff,0xffffffff,0x7ffffc45,0x7ffdc003,0xffff32ff,0x87fffecf,
    0xf34ffffa,0xfd80ffff,0xff107fff,0x8000dfff,0xfffffff8,0xfb00001f,
    0x005fffff,0x3ffffea0,0x89ffff70,0x3a5ffffa,0xf104ffff,0xffffffff,
    0xffffffff,0xff81dfff,0x00005fff,0x0fffffa0,0x0aaaaa20,0x0fffffc4,
    0x02fffffc,0x88000000,0xf12fffff,0x3ea3ffff,0xffffffff,0xff8801ff,
    0x7fc03fff,0x44002fff,0x02ffffff,0x7ffffc40,0xffffffff,0x5002ffff,
    0xf87fffff,0x2004ffff,0x006ffffb,0x6ffffd80,0x3fffe200,0xccccccef,
    0x2ccccccc,0x1fffffc4,0x3fffee00,0xfffff31f,0xc9ffffdc,0xff32ffff,
    0x7fc40fff,0x3f604fff,0x0001ffff,0x3ffffffa,0xc80006ff,0x04ffffff,
    0x3fffe200,0x5ffffb2f,0x27ffff88,0x102fffff,0xddffffff,0xffdddddd,
    0x41dfffff,0x005fffff,0xffff3000,0xfff3001f,0xfff101ff,0xffff03ff,
    0x000000bf,0x7ffffc00,0x3fffff13,0x3fffffea,0x806fffff,0x02fffff8,
    0x017ffffc,0x3ffffec0,0x7fffc400,0x1000004f,0x4cdfffff,0x001fffff,
    0x01bfffee,0x3ffff600,0x3ffe2006,0x100004ff,0x007fffff,0x0fffffb8,
    0x4cfffff3,0xffd5ffff,0x3ffe61ff,0x3ffee07f,0x99999bff,0x4fffffb9,
    0xffff7000,0x09ffffff,0x7fffd400,0xf80005ff,0xfff3ffff,0xfffd01ff,
    0xfffff33f,0x3fffe201,0xfff5004f,0x7ffc9fff,0x000005ff,0x00bffff7,
    0x03ffffe6,0x07ffffe2,0x017ffffe,0xe8000000,0xff14ffff,0x3fea3fff,
    0xffffffff,0x7fc403ff,0x7fc01fff,0xd8002fff,0x8007ffff,0x04fffff8,
    0x3ff60000,0xfff91fff,0xffb800df,0xd80006ff,0x2006ffff,0x04fffff8,
    0xffff1000,0xffc8007f,0x3ffe67ff,0x7ffffc7f,0x266ffff8,0x3a07ffff,
    0xffffffff,0xffffffff,0x44000fff,0xffffffff,0x8001ffff,0xeffffff9,
    0xffd80000,0xffff9dff,0x7ffff906,0x40dffff7,0x04fffff8,0x3ffffe20,
    0xbfffff0f,0x3fa00000,0xf3002fff,0xf101ffff,0xff03ffff,0x0000bfff,
    0x7ffc0000,0xffff14ff,0x3fffea3f,0xffffffff,0x3ffe200f,0x7ffc01ff,
    0xfd8002ff,0x88007fff,0x004fffff,0x3ffea000,0xffffd3ff,0xfffb8009,
    0xfd80006f,0x22006fff,0x004fffff,0xfffff100,0xfffe8007,0x3fffe66f,
    0x67fffec7,0x3e64ffff,0xff307fff,0xffffffff,0xffffffff,0xfd8007ff,
    0xffdeffff,0x44006fff,0x1ffffffe,0xfff70000,0x9ffff9ff,0x37fffe60,
    0x204ffffd,0x04fffff8,0x7ffffec0,0x0bfffff1,0xfff10000,0x7fcc00ff,
    0xff880fff,0xfff81fff,0x000005ff,0x803b9955,0xf12fffff,0x3ea3ffff,
    0xf8efffff,0x2204ffff,0x401fffff,0x002fffff,0x07ffffd8,0xfffff880,
    0x7c000004,0xff9effff,0x5c001fff,0x0006ffff,0x06ffffd8,0x3ffffe20,
    0xff100004,0x4c007fff,0x265fffff,0x7dc7ffff,0xffffffff,0x1ffffe62,
    0x7fffffe4,0xffffffff,0x06ffffff,0x3ffffea0,0xfffff89f,0x3ff6004f,
    0x0002ffff,0x3ffffe60,0x202fffff,0xffffffff,0x3fe202ff,0x5c004fff,
    0xff3fffff,0x0000bfff,0x0bffff50,0x3ffffcc0,0x1fffff88,0x05fffff8,
    0xffff0000,0x7ffd40bf,0xffff11ff,0x3fffea3f,0xffff70ef,0x3ffe203f,
    0x7ffc01ff,0xfd8002ff,0x88007fff,0x004fffff,0x7ffe4000,0x6ffffeff,
    0xffffb800,0xffd80006,0x3e2006ff,0x0004ffff,0x7fffff10,0x7fffec00,
    0x3fffe63f,0x7ffffcc7,0x3e60ffff,0xfff07fff,0xffffffff,0xffffffff,
    0xf1003fff,0x5c9fffff,0x01ffffff,0xffffffc8,0xff800003,0x7fffffff,
    0x7ffffec0,0x2200ffff,0x004fffff,0x97ffffec,0x005fffff,0xffffd800,
    0x0dfd0003,0x07ffffe2,0x017ffffe,0x7ffec000,0xfffd01ff,0x7fffc4df,
    0xfffff51f,0x5ffffe81,0x3fffff10,0x2fffff80,0xffffd800,0xfff88007,
    0x000004ff,0x7fffffcc,0x8003ffff,0x006ffffb,0x6ffffd80,0x3fffe200,
    0xf100004f,0x2007ffff,0x47fffffa,0xf87ffff9,0x6fffffff,0x43ffffcc,
    0xcdfffffa,0xcccccccc,0x5fffffdc,0xfffffd80,0x7ffff40f,0x7ffd406f,
    0x00005fff,0xffffffb0,0xffb80bff,0x07ffffff,0x27ffffc4,0x3ffffe00,
    0xbfffff0f,0xffd00000,0xf10003ff,0x3ffe20bf,0xffff81ff,0x5000005f,
    0x17dfffff,0x3fffffa2,0x3ffffe22,0x0fffff51,0x05fffff5,0x03fffff1,
    0x02fffff8,0x7ffffd80,0xffff8800,0x8000004f,0xfffffffe,0xfb8000ff,
    0x80006fff,0x006ffffd,0x13ffffe2,0x7ffc4000,0x7e4403ff,0x4c3fffff,
    0xfd87ffff,0x44ffffff,0xd87ffff9,0x8007ffff,0x00ffffff,0x3fffffea,
    0xfffff982,0xffff303f,0x00001dff,0x3ffffee0,0x7cc03fff,0x5fffffff,
    0x7ffffc40,0xfffd5004,0x7fffcdff,0xeeeeeeff,0x5eeeeeee,0x03ffffe0,
    0x40ffee00,0x81fffff8,0xeeffffff,0xeeeeeeee,0xfd805eee,0xffffffff,
    0x446fffff,0xf51fffff,0x3fa0ffff,0xff886fff,0x7fc01fff,0xd8002fff,
    0x8007ffff,0x04fffff8,0xffc80000,0x05ffffff,0xdffff700,0xfffb0000,
    0x7fc400df,0xeeeeefff,0xeeeeeeee,0xfff11eee,0xddddddff,0xfffffffd,
    0xffff30df,0xfffff70f,0xfff985ff,0x7fffc47f,0xffc8004f,0xff103fff,
    0x5c0bffff,0x81ffffff,0xeffffffc,0xeeeeeeee,0x1eeeeeee,0x3ffffe60,
    0xff801fff,0x03ffffff,0x7fffffc4,0xeeeeeeee,0xfffffffe,0x3fffffe4,
    0xffffffff,0x106fffff,0x800fffff,0x2206ffd8,0xf81fffff,0xffffffff,
    0xffffffff,0xfe8806ff,0xffffffff,0x7c40dfff,0xff51ffff,0x3fe60fff,
    0x7fc43fff,0x7fc01fff,0xd8002fff,0x8007ffff,0x04fffff8,0xff980000,
    0x02ffffff,0xdffff700,0xfffb0000,0x7fc400df,0xffffffff,0xffffffff,
    0xfff11fff,0xffffffff,0xffffffff,0xffff301f,0xfffff30f,0xfff981ff,
    0x7fffdc7f,0xff98002f,0xffb06fff,0xe801ffff,0xc86fffff,0xffffffff,
    0xffffffff,0x02ffffff,0x3fffffe2,0xfffb007f,0x8803ffff,0xffffffff,
    0xffffffff,0x7c5fffff,0xffffffff,0xffffffff,0xfff306ff,0xffb800df,
    0x3ffe201f,0xffff81ff,0xffffffff,0x6fffffff,0xffffd300,0x09ffffff,
    0x47ffffe2,0x207ffffa,0x20fffffd,0x01fffff8,0x017ffffc,0x3ffffec0,
    0x7fffc400,0x0000004f,0xfffffffd,0x3fee0001,0xd80006ff,0x2006ffff,
    0xfffffff8,0xffffffff,0x11ffffff,0xffffffff,0xffffffff,0x3e603bff,
    0xfff07fff,0xff30dfff,0xfffe8fff,0x3fa0007f,0x7d41ffff,0x803fffff,
    0x3ffffff9,0x7fffffe4,0xffffffff,0xffffffff,0x7ffff402,0xff7005ff,
    0x100fffff,0xffffffff,0xffffffff,0xf81dffff,0xffffffff,0xffffffff,
    0xfff506ff,0xcf8800bf,0x7fffc400,0xfffff81f,0xffffffff,0x06ffffff,
    0x7ffff540,0x3e202dff,0xff51ffff,0x7fc40fff,0x3fe24fff,0x7fc01fff,
    0xd8002fff,0x8007ffff,0x04fffff8,0xff700000,0x000bffff,0x037fffdc,
    0x7fffec00,0x3ffe2006,0xffffffff,0xffffffff,0xffff11ff,0xffffffff,
    0x805dffff,0xb07ffff9,0x309fffff,0x7d4fffff,0x0004ffff,0x97ffffee,
    0x6ffffff8,0x3ffff200,0x3fff21ff,0xffffffff,0xffffffff,0x7e402fff,
    0x003fffff,0xbffffff3,0xfffff100,0xffffffff,0x1bffffff,0xfffffff0,
    0xffffffff,0x2e0dffff,0x8005ffff,0xffff1000,0xfffff03f,0xffffffff,
    0x0dffffff,0x02aa6200,0x7ffffc40,0x0fffff51,0x1fffffc8,0x03fffff1,
    0x02fffff8,0x7ffffd80,0xffff8800,0x0000004f,0x5ffffff1,0x7ffdc000,
    0xfd80006f,0x22006fff,0xffffffff,0xffffffff,0xf11fffff,0xffffffff,
    0x059ddfff,0x1ffffe60,0x17ffffdc,0xb3ffffcc,0x003fffff,0x7ffffc40,
    0xfffff90f,0x7f44003f,0x3f26ffff,0xffffffff,0xffffffff,0x402fffff,
    0x1ffffffa,0x3ffffe00,0xfff8803f,0xffffffff,0x0adeefff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x005fffff,0x66654000,0x9999000c,0x99999999,0x59999999,0x00300000,
    0x2af7b2e6,0x37260000,0x0009bcee,0xeeeecc88,0x2aa201bd,0xaaa802aa,
    0x555550aa,0xeecca803,0x54402cce,0xaa802aaa,0xc9800aaa,0x009bceed,
    0x00555551,0x54400000,0x01bceedb,0x9ddb9300,0x6e544037,0x0c401bce,
    0x44000000,0x00009999,0x33bbb32a,0xeedca81b,0x000000bc,0xaaaa82a0,
    0x3555510a,0x510deed4,0xca885555,0x55301bde,0x76544155,0xd95101bd,
    0xfff8037b,0x000005ff,0x00ffffe4,0x12000038,0x37b72a60,0x101fec2c,
    0xfffffffd,0xfea8007f,0xffffffff,0xfffb3002,0xbfffffff,0x3ffffe60,
    0x3fffe200,0x7ffffd1f,0x3ffffee0,0x03efffff,0x01fffff3,0x0fffffc4,
    0xfffffd50,0xf505ffff,0x12e0ffff,0x2e007600,0xffffffff,0xfd5001df,
    0xdfffffff,0xfffffc83,0xf100dfff,0x0000007d,0x01fffff4,0x7ffffdc0,
    0xa8dfffff,0xfffffffe,0x2000004f,0xff10feb8,0x3fea3fff,0xfffd8cff,
    0xffff34ff,0x7ffffecd,0x7fe40dff,0xffff52ff,0xff98bfff,0x00efffff,
    0x00bfffff,0xfffc8000,0x0007001f,0xffd10240,0x7fffffff,0xf501fff9,
    0xffffffff,0xfb001bff,0xffffffff,0x44019fff,0xffffffff,0x40efffff,
    0x00fffff9,0x47ffffe2,0xc83ffffe,0xffffffff,0x983fffff,0x200fffff,
    0x01fffff8,0xfffffffb,0x41bfffff,0xa87ffffa,0x2aea24ff,0x407ff60a,
    0xffffffe9,0x01ffffff,0x7fffffec,0x9bffffff,0xfffffffe,0xf882ffff,
    0x0000cfff,0x7ffff400,0x7ffe4003,0xffffffff,0xffffffff,0x00dfffff,
    0x3ff26000,0xffff10ff,0x3fffea3f,0xffffffdc,0x1dffff32,0xfffffffd,
    0x7fe41dff,0xffffbaff,0xf75fffff,0xffffffff,0x3ffffe0d,0x64000005,
    0x7001ffff,0xb8240000,0xffffffff,0x1fffffff,0xffffffa8,0x7fffffff,
    0x7ffffec0,0xffffffff,0x3fffa06f,0xffffffff,0x7fcc5fff,0x3e200fff,
    0xffd1ffff,0xfffb87ff,0xffffffff,0x7cc2ffff,0x2200ffff,0xd81fffff,
    0xffffffff,0x26ffffff,0x547ffffa,0xffdcffff,0xffdcffff,0x7ffc41ff,
    0xffffffff,0xfb00ffff,0xffffffff,0xffffffff,0xffffffff,0xff881fff,
    0x001dffff,0xffffd000,0x7ffe4007,0xffffffff,0xffffffff,0x5fffffff,
    0xffda8000,0xff10ffff,0x3fea3fff,0xfffffeff,0x3fffe67f,0xffffffee,
    0x323fffff,0xffffffff,0xffffffff,0xfffffffe,0xff85ffff,0x00005fff,
    0x0ffffe40,0x20000380,0xfffffc84,0xffffffff,0xfffd03ff,0xfff759ff,
    0x3ee07fff,0xccefffff,0x4ffffffe,0xdfffffa8,0xffffca9b,0x3ffe60ff,
    0x3fe200ff,0xfffd1fff,0xffffe87f,0xfff730ac,0xfff98dff,0x3fe200ff,
    0x7fdc1fff,0xecceffff,0x54ffffff,0xfe8fffff,0xffffffff,0xffffffff,
    0x7fffe44f,0xfffcacef,0xffb85fff,0xeddfffff,0xffffffff,0xffc99bff,
    0x7fc46fff,0x2effffff,0x7ff40000,0xff1003ff,0xb759dfff,0xffffffff,
    0xfffb757d,0x710007ff,0xfffffffd,0x3fffe21f,0xfffff51f,0x49ffffff,
    0xfffffff9,0xfffebace,0x3fff27ff,0xdaadffff,0xffffffff,0xffffcabe,
    0x7fffc0ff,0x4000005f,0x001ffffc,0x22400007,0xcffffff9,0xfffffdaa,
    0xffffb85f,0xffffa81f,0xfffff887,0xffff982f,0x7fff41ff,0xffff705f,
    0x7fffcc3f,0x3ffe200f,0xffffd1ff,0x37fffc45,0x19dfff70,0x07ffffcc,
    0x3fffff10,0x7fffffc4,0xffffe982,0x6ffffa9f,0x7fffff44,0xffffffff,
    0x7fcc4fff,0xffb05fff,0x7fc41fff,0xfb83ffff,0x2fffffff,0x2ffffe88,
    0x3fffffe2,0x00bfffff,0xffffe800,0xffff7003,0xffff501f,0xff701dff,
    0x64400fff,0xffffffff,0xfff10fff,0x3ffea3ff,0x3932efff,0x7fffffcc,
    0xffffe885,0xfffff90f,0xffffd03f,0xfff709ff,0xffff83ff,0x4000005f,
    0x001ffffc,0x22400007,0x81effffe,0x1ffffff9,0x0fffffe2,0x43ffffc8,
    0x02fffffa,0x1bffffe2,0x440372a6,0x261fffff,0x200fffff,0x41fffff8,
    0x3fe61ffa,0x06a01fff,0x0fffff98,0x3ffffe20,0x3ffffea1,0x3fffe202,
    0x442ffc6f,0xfffffffe,0x4fffffff,0x0fffffd8,0x5dffff30,0x1fffffcc,
    0xffffff50,0x7fffcc0d,0x7fff5c45,0xcfffffff,0x26620001,0x26200099,
    0x3ffe02db,0x3f601fff,0x6cc02fff,0xffffffff,0x2000beff,0x1ffffffa,
    0x7ffffcc0,0xffff500f,0x3ffff23f,0xffff703f,0xfff101df,0xffff85ff,
    0x9980005f,0xffd99999,0x99999aff,0x80000e09,0x3ffffee4,0xfffffd01,
    0x7fffccdf,0x3ffe600f,0x7fffe46f,0xffffc806,0xff10000f,0x7fcc5fff,
    0x3e200fff,0x7e41ffff,0x3fffe20f,0x4001beff,0x00fffff9,0x87ffffe2,
    0x806ffffc,0x30fffffc,0x3ffa09ff,0xfda9dfff,0xfe84ffff,0x55c04fff,
    0xdffff701,0xfffffd00,0x7fffe809,0x3ffff260,0x2effffff,0x00000000,
    0x3ffff620,0x7fffdc07,0xffffd504,0x39ffffff,0x3ffea000,0xff9804ff,
    0x3e203fff,0xff92ffff,0x3e601fff,0x3e03ffff,0x7fc3ffff,0x80005fff,
    0xffffffff,0xffffffff,0x000e4fff,0x3fff6480,0xffffb04f,0x3ea1ffff,
    0x7c407fff,0x7ff46fff,0xff9802ff,0x51001fff,0xffffffd9,0x7ffffcc5,
    0x3fffe200,0x21bfe21f,0xfffffffe,0x4c00bdff,0x200fffff,0x21fffff8,
    0x803ffffe,0x91fffff9,0xfff305ff,0xfff501ff,0xfffff0ff,0xffd80005,
    0xffb804ff,0x7ec02fff,0xea801fff,0xffffffff,0x555543ff,0xaaaaaaaa,
    0x1aaaaaaa,0xffd75100,0x980dffff,0x7e46ffff,0xffffffff,0xa80002df,
    0x802fffff,0x02fffff9,0xc97ffffc,0x2607ffff,0x202fffff,0x7c3fffff,
    0x0005ffff,0xfffffff8,0xffffffff,0x00e4ffff,0x3ffe4800,0xfffc82ff,
    0x72fffff8,0xffffffff,0xffffffff,0x7fffc4ff,0xfff8801f,0x3b2a02ff,
    0xffffffff,0x3ffe62ff,0x3fe200ff,0xffd11fff,0xfffff303,0xdfffffff,
    0x3fffe605,0x3ffe200f,0xffff11ff,0xfff1003f,0x0bffb9ff,0x813fffee,
    0x221ffffe,0x001fffff,0x1fffffc0,0x7ffffd40,0xffffffff,0x002fffff,
    0x3fffff22,0x3fe0ffff,0xffffffff,0xffffffff,0x3fb2a04f,0xffffffff,
    0xffffffff,0x27ffffff,0xfffffff8,0x00000bef,0x07ffffea,0x3ffffe60,
    0x7ffffc01,0x0dffff92,0x0fffffcc,0x87fffff0,0x005fffff,0xffffff80,
    0xffffffff,0x0e4fffff,0xff148000,0xffb83fff,0x7ffffd1f,0x3ffffff6,
    0xffffffff,0xff50ffff,0x3e001fff,0xfc84ffff,0xffffffff,0x262fffff,
    0x200fffff,0xdcfffff8,0x3ea03fff,0xffffffff,0x4c1effff,0x200fffff,
    0x51fffff8,0x001fffff,0x3ffffffe,0xfff900ef,0x7ffdc03f,0x3fffe62f,
    0x3e60001f,0x9802ffff,0xffffffff,0xffffffff,0xb50002ff,0x41ffffff,
    0xffffffff,0xffffffff,0xffb84fff,0xffffffff,0xffffffff,0xffffffff,
    0x3fffe27f,0x00001dff,0x1fffff50,0xfffff300,0xfffff803,0x0dffff92,
    0x0fffffcc,0x87fffff0,0x205fffff,0xf80aaaaa,0xffffffff,0xffffffff,
    0x0000e4ff,0xfffff348,0xb17ffd41,0x3f6bffff,0xffffffff,0xffffffff,
    0xfffff51f,0x3fffe003,0x7fffec3f,0xffacefff,0x3fe62fff,0x3e200fff,
    0xefffffff,0xfffc8801,0xffffffff,0x3ffe60ef,0x3fe200ff,0xfff51fff,
    0x3fe003ff,0x403fffff,0x201ffffc,0x262ffffb,0x001fffff,0x3ffffe60,
    0xffffa802,0xffffffff,0x03ffffff,0xffff9300,0x7fffc1ff,0xffffffff,
    0x4fffffff,0x7fffffec,0xfffebdff,0xffffffff,0x0fffffff,0x9ffffff1,
    0x2a000003,0x800fffff,0x01fffff9,0xc97ffffc,0x2606ffff,0x200fffff,
    0x7c3fffff,0xf105ffff,0xdd03ffff,0xfffddddd,0xddddddff,0x00001c7d,
    0x3ffffe69,0xd87fff30,0xff74ffff,0x55555dff,0x55555555,0x3ffffe61,
    0xffff8802,0x3ffff62f,0x7ffc0adf,0x3ffe62ff,0x3fe600ff,0x001befff,
    0xffffd950,0x4c9fffff,0x200fffff,0x31fffff9,0x005fffff,0x1bfffff1,
    0x9ffff700,0x0fffff40,0x05fffff1,0xfffff800,0xffffb804,0xaaaaaabf,
    0x01aaaaaa,0x3fffae20,0x3e0fffff,0xffffffff,0xffffffff,0x3ffee4ff,
    0x7f41bfff,0xaaaadfff,0xaaaaaaaa,0x3ffffe22,0x000befff,0x3fffea00,
    0xffff3007,0xffff801f,0xdffff92f,0x7ffffcc0,0x3ffffe00,0x2fffffc3,
    0x1fffff88,0x7fffe400,0x00007001,0x5fffff24,0xfd09fff1,0x3fea7fff,
    0x440007ff,0x803fffff,0x10fffffa,0x409fffff,0x262fffff,0x201fffff,
    0x01fffffa,0x3f6a2000,0x265fffff,0x201fffff,0x11fffffa,0x007fffff,
    0x03fffff5,0x3ffffe60,0x7ffffa80,0x03fffff8,0x3a055e5c,0xc807ffff,
    0x002fffff,0xfff93000,0x9fffffff,0x66666641,0xcccccccc,0x3a2ccccc,
    0xd00dffff,0x000dffff,0xfffffc88,0x01dfffff,0xffffa800,0xffff3007,
    0xffff801f,0xdffff92f,0x7ffffcc0,0x3ffffe00,0x2fffffc3,0x1fffff88,
    0x7fffe400,0x00007001,0x9ffffd24,0x3fe0bffd,0xfff31fff,0x0d4c03ff,
    0x1fffffd0,0x7ffffe80,0x03ffffea,0x17ffffc4,0x05fffff3,0x0fffffdc,
    0x80aea600,0x27ffffd8,0x01fffff9,0x87ffffee,0x00fffffe,0x03fffff4,
    0x3fffffa0,0xffffda9d,0xffffe84f,0x7ffffc06,0x3fffff65,0x3fffe201,
    0x2ae204ff,0xffeb8800,0xffffffff,0x0000000c,0x03fffff1,0x07fffffc,
    0xc8803530,0xffffffff,0x0000beff,0x00fffff5,0x03ffffe6,0x25fffff0,
    0x206ffffc,0x00fffff9,0xf0fffffe,0x220bffff,0x001fffff,0x00ffffe4,
    0x92000038,0xfffffffd,0xfffff706,0x2fffff41,0x89dfffd0,0x04fffffb,
    0x93ffffee,0x00fffffb,0x45fffff7,0x04fffff8,0x3ffffff3,0x3ffffa00,
    0x3ffee00f,0x3fffe26f,0xffff104f,0x7ffdc3ff,0x3fee04ff,0x74004fff,
    0xffffffff,0x84ffffff,0x03fffffb,0x45fffff7,0x0efffff9,0xffffffb0,
    0x3fff201f,0x7fecc0ef,0xffffffff,0x0000002e,0x2fffff98,0xffffff50,
    0x3fffe209,0x7ff5403e,0xffffffff,0xaaaaa81d,0x0fffff50,0x3ffffe60,
    0x7ffffc00,0x0dffff92,0x07ffffcc,0x87fffff0,0x105fffff,0x003fffff,
    0x01ffffc8,0x24000070,0xdffffff3,0xfffff101,0xfffffb89,0xfffffc84,
    0x7ffffc43,0xffb309ef,0xffa8dfff,0xffa83fff,0x7fc2ffff,0x74c2ffff,
    0x01ffffff,0x9fffff70,0x3ffffe20,0x7fffffc4,0x7ffff4c2,0x3ffe21ff,
    0x9309efff,0x01ffffff,0x7ffffec0,0xffffffff,0xffe84fff,0xf930cfff,
    0xf90fffff,0x115dffff,0xffffffd5,0x7d417dff,0x3a25ffff,0xffffffff,
    0x80001dff,0x803ffffe,0x85fffff8,0xfffffff8,0x3ff621cf,0xb3002fff,
    0xffffffff,0x3fe21dff,0xfff51fff,0x3fe600ff,0x7fc00fff,0xfff92fff,
    0x7ffcc0df,0x3ffe00ff,0x7fffc3ff,0x4000005f,0x001ffffc,0x22400007,
    0x1dfffffc,0x7fffffd4,0xffffff80,0xfffffdde,0xffff506f,0xffffffff,
    0xf983ffff,0xcbefffff,0xffffffff,0x7ffffec3,0xfffffdff,0x1001ffff,
    0xbfffffff,0xfffffd97,0xffffd83f,0xffffdfff,0x4c1fffff,0xffffffff,
    0xffffffff,0x3fff6002,0xffffffff,0x4fffffff,0x7fffffd4,0xffffffff,
    0xffff883f,0xffffffff,0xffffffff,0xfffffdff,0x3ffe21ff,0x0cffffff,
    0x3ffa0000,0xffd003ff,0xfd79ffff,0xffffffff,0xffffdbff,0x91000dff,
    0xffffffff,0x3fffe21f,0xfffff51f,0x3fffe600,0x7fffc00f,0xdffff92f,
    0x7ffffcc0,0x3ffffe00,0x2fffffc3,0x3f200000,0x07001fff,0x3e224000,
    0xefffffff,0x2fffffff,0xfffffd30,0xffffffff,0x7fffdc03,0xffffffff,
    0xfff903ff,0xffffffff,0x88bfffff,0xffffffff,0xfffdcfff,0x3fe6001f,
    0xffffffff,0x882fffff,0xffffffff,0xfffdcfff,0xffffb81f,0xffffffff,
    0x7cc003ff,0xfffddfff,0xfffdcfff,0xffffd81f,0xffffffff,0x3ffea04f,
    0xffffffff,0xffffefff,0xffffffff,0x7fffc42f,0x0000beff,0x3ffffe80,
    0xfffff500,0xffffffff,0xfffffffd,0x1dffffff,0x7f5c4000,0xf10fffff,
    0x3ea3ffff,0xf3007fff,0xf801ffff,0xff92ffff,0x7fcc0dff,0x3fe00fff,
    0x7ffc3fff,0x000005ff,0x00ffffe4,0x12000038,0xfffffff3,0xffffffff,
    0xfffd8807,0xffffffff,0xffff9801,0xefffffff,0x3fffa201,0x9bffffff,
    0xf987ffff,0xffffffff,0x03ffffb4,0xfffff980,0xffffffff,0x3fffe603,
    0xfb3fffff,0x3a603fff,0xffffffff,0x30001eff,0x55d449ff,0x807ff60a,
    0xfffffffb,0x8805ffff,0xfffffffd,0xff70dfff,0xffffffff,0xffff105f,
    0x8000005b,0x003ffffe,0x3ffffff2,0xd31effff,0xffffffff,0x00001dff,
    0x87fffed4,0x51fffff8,0x200fffff,0x00fffff9,0xc97ffffc,0x2606ffff,
    0x200fffff,0x7c3fffff,0x0005ffff,0x0cccc400,0x40000700,0x3ffffe64,
    0xffffffff,0x36e001ef,0xbfffffff,0x3b2a2000,0x04efffff,0x3ffffee0,
    0x3fffe0df,0xfffda82f,0x3ff62dff,0xd50001ff,0xffffffff,0xffb30019,
    0x7ec5bfff,0x2a201fff,0xefffffec,0x04980003,0xd8801d80,0xdfffffff,
    0x7ff54001,0x882effff,0xfffffffd,0x39ff100c,0x3a000000,0x4003ffff,
    0xffffffea,0xfffd702d,0x0007dfff,0x87fe4c00,0x51fffff8,0x200fffff,
    0x00fffff9,0xc97ffffc,0x2606ffff,0x200fffff,0x7c3fffff,0x0005ffff,
    0x0e000000,0x3fa48000,0xffffd55f,0x80009dff,0x00019aa8,0x00035510,
    0x0001aa98,0x00006a60,0xaaa98800,0x2a600009,0x51000001,0x00000035,
    0x4c400000,0x300001aa,0x4c400355,0x0b8801aa,0x54000000,0x0001aaaa,
    0x80013531,0x00019aa9,0x002e2000,0x00000000,0x00000000,0xbfffff00,
    0xffff0000,0xffffffff,0x9fffffff,0x4900001c,0xaa9885e8,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff80000,0xeeeeefff,0xeeeeeeee,0x3fffffe5,0xffffffff,0x0e4fffff,
    0x04448000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0xffffffff,0xffffffff,0x3ffffe6f,
    0xffffffff,0x24ffffff,0xccccccce,0xcccccccc,0x00004ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffe000,0xffffffff,0x6fffffff,0x3ffffffe,0xffffffff,0x0004ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff80,0xffffffff,0x3e6fffff,0xffffffff,
    0xffffffff,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xffffffff,0xffffffff,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5554c000,0x5551002a,
    0x2aaa6155,0x2aaa201a,0x5555402a,0x2aaaa61a,0xaaaaaaaa,0x5510aaaa,
    0x4c015555,0x221aaaaa,0x080aaaaa,0x6c000400,0xfb005eee,0x7ffcc9ff,
    0xffa8000f,0x1ffff46f,0x26059950,0x53001aba,0x97000157,0x51000799,
    0x2a003799,0x980bcccb,0xcccccccc,0xcccccccc,0x99931ccc,0x99999999,
    0x99999999,0x02664403,0x02af2a60,0x30aaaaa2,0x26213333,0x4ccc1999,
    0xdcba8099,0x65cc403c,0x9914001a,0xcc809999,0x55544ccc,0xffff90aa,
    0x22bfffff,0xaaaaaaaa,0xaaaaaaaa,0x802aaaaa,0x202aaaa8,0x22aaaaa9,
    0x01fffffa,0x0fffffb8,0x40bffff7,0x01fffffb,0xc8bffffe,0xffffffff,
    0xffffffff,0x3fffff61,0xfffff105,0x7fffc43f,0x801fc41f,0x7fc000fb,
    0xff1007ff,0x7ffe43ff,0x7ffc4005,0x1bffee2f,0x4c3fff98,0x2ffffffe,
    0xfffffd30,0x3fe2001b,0x32001fff,0x0dffffff,0xfffffd10,0xfffa8bff,
    0xffffffff,0xffffffff,0xffffff52,0xffffffff,0x405fffff,0x32007ff8,
    0x41efffff,0x30fffff9,0x3a9fffff,0x3e27ffff,0x7c45ffff,0x80efffff,
    0xfffffffc,0x897a201c,0x302fffff,0x443fffff,0xfb0fffff,0xffffffff,
    0x3ffffead,0xffffffff,0xffffffff,0xffff9807,0xffffa80f,0x7fffc1ff,
    0xfffe804f,0x3fffe64f,0x3ffff607,0xffff303f,0xfffffc8f,0xffffffff,
    0x3fe21fff,0xfd82ffff,0x7c43ffff,0x3e21ffff,0x7fdc03ff,0x3ffe000e,
    0x3ff2007f,0x3fffe26f,0x3fff6003,0x0bfffe65,0x11ffffd4,0xffffffff,
    0xfffff05f,0x3200dfff,0x005fffff,0xfffffffd,0xfffb01ff,0x47ffffff,
    0xfffffffa,0xffffffff,0xff52ffff,0xffffffff,0xffffffff,0x3ffc405f,
    0xfffffd80,0x3fe62fff,0xfff30fff,0x3fffa9ff,0x3fffe27f,0x6555cc5f,
    0x3fa23fff,0xffffffff,0xff731bef,0x6ffff98b,0x85ffffb0,0xb0fffff8,
    0xffffffff,0x3fffeadf,0xffffffff,0xffffffff,0xfff9807f,0x7ffcc0ff,
    0xffc82fff,0x7fcc07ff,0x7ff41fff,0xffff01ff,0x3ff20bff,0x7ffe45ff,
    0xffffffff,0x541fffff,0x20ffffff,0x86fffffa,0x11fffff8,0x207fffff,
    0x00effffa,0x00fffff0,0x727fffc4,0x7001ffff,0x7f43ffff,0xffea85ff,
    0x3ff63fff,0x6fffb9cf,0x6cdfffdc,0x7c402fff,0x00ffffff,0x77ffffdc,
    0x7d45ffff,0xffdbbeff,0x3fffea6f,0xffffffff,0x2fffffff,0xfffffff5,
    0xffffffff,0x1545ffff,0xb8331bfe,0xffedffff,0xffff30ff,0x3fffe61f,
    0xfffffd4f,0x2fffffc4,0xd87ffe40,0xffffffff,0xffffffff,0xff985fff,
    0x7ffc41ff,0xffff882f,0xfffffb0f,0x3eadffff,0xffffffff,0xffffffff,
    0x9807ffff,0x220fffff,0x02ffffff,0x05fffff3,0x437fffe4,0x983ffffc,
    0x07ffffff,0xc85ffffd,0xffffffff,0xffffffff,0xfffffd80,0xffffff14,
    0xfffff101,0x3fffff23,0x7fffd43f,0xfff003ff,0xffb800ff,0x3fffa1ff,
    0x7fffc406,0x07ffff24,0xfffffff3,0x3237ffc7,0x3fb20fff,0x00fffe24,
    0xfffffff7,0x3ffff809,0x88bfffea,0x7ffc0ecb,0x3ffffea7,0xffffffff,
    0x52ffffff,0xffffffff,0xffffffff,0x77ec5fff,0x3f6abff2,0x306fffc5,
    0x3fe67fff,0xfff30fff,0x3fffa9ff,0x3fffe27f,0xfffd805f,0xffffffb0,
    0xffffffff,0x20bfffff,0x7e45fffa,0xfff103ff,0x3fff61ff,0x26ffffff,
    0x88888888,0x88888888,0x80088888,0x10fffff9,0x07fffffd,0x05ffffe8,
    0x20fffffe,0xb86ffff9,0x1fffffff,0x07ffffc4,0x7fffd400,0xffd102ff,
    0xfffb3fff,0x3fe205ff,0x3ff21fff,0xff53ffff,0x4007ffff,0x8007ffff,
    0xf50efffe,0x7f407fff,0xfff30fff,0x5bff309f,0x54cc7fff,0x403ffec1,
    0x401fffd8,0xffffffff,0xdfff100f,0x007fff90,0x44ffff71,0x99999999,
    0xfd999999,0x55512fff,0x55555555,0x55555555,0x3bfffe21,0xffffeeff,
    0x903fff10,0x3ffe6bff,0x3fffe67f,0xfffffd4f,0xafffffc4,0xfecaaaa8,
    0x3bff65ff,0xffffdbac,0xffffffff,0x47ffea03,0x2204fff8,0x750fffff,
    0x77777777,0x00000005,0x1fffff30,0x0ffffffa,0x3ffffea0,0xfffffa80,
    0x1fffff00,0xffffffd8,0x7fffd43f,0xfffa8005,0x7cc03fff,0xffffffff,
    0x3fe205ff,0x7fe41fff,0xfffdffff,0x7c003fff,0xa8007fff,0x3fa4ffff,
    0xffb81fff,0xffff13ff,0x223b301f,0xfa803fff,0x7fec05ff,0x7fdc02ff,
    0x3ffffeff,0x509fff50,0xb730bfff,0x0fffffff,0x3fff2000,0x4000002f,
    0xffffffe9,0x32ffffff,0x3fea0fff,0x7fc6fe86,0xfff93fff,0xfffff8df,
    0xffffff34,0x0fec1bff,0xfffffb50,0x22003dff,0x00004440,0x00000000,
    0xffff3000,0xfffffb1f,0x7fffc009,0xffffd82f,0x3ffff204,0x7fffffc2,
    0x7ffec5ff,0x7fcc002f,0x9004ffff,0xffffffff,0x7fc401df,0xffc81fff,
    0xffffffff,0xaaaa883f,0xfffffaaa,0x0aaaaaaa,0x25ffffd0,0x4c6ffff9,
    0x3f66ffff,0xf1003fff,0xffb807ff,0x7ffc00ff,0x7ff401ff,0x7ffff8ff,
    0x509fff70,0xffc8dfff,0x7fffffff,0xfff90000,0x0000005f,0x3ffff2a2,
    0x7fc41bcf,0x45ffd81f,0x7ff45ff8,0xffff72ff,0x2ffffe8b,0xbdfffdd3,
    0x22001703,0x002ceeeb,0x00000000,0x00000000,0xbfffff30,0x009fffff,
    0x45ffffc8,0x01fffff8,0x993fffea,0xfffcffff,0x07ffffc7,0xfffff100,
    0xffe800bf,0x01ffffff,0x0fffffc4,0xffffffc8,0xff503fff,0xffffffff,
    0xffffffff,0x3ffe605f,0xffffb0ff,0x97ffff49,0x006ffffa,0xc80fffe2,
    0x4401ffff,0x03fffecd,0x329ffff5,0xfa83ffff,0xfffa84ff,0x37ffff25,
    0x007ffe8b,0x5ffff900,0x26666662,0x99999999,0x30099999,0x403fffff,
    0x3ea0dfff,0x1ffdc3ff,0x4c3ffff2,0x7e43ffff,0x00001fff,0xccc80000,
    0x2666543c,0xbbbbbbb3,0xbbbbbbbb,0x0bbbbbbb,0x80000000,0xfffffff9,
    0x4002ffff,0x20fffff9,0x806ffffb,0x3ee7ffff,0xffff9eff,0x0bffff31,
    0x7ffff440,0xff88006f,0x803fffff,0x01fffff8,0x3ffffff2,0x3ffea04f,
    0xffffffff,0xffffffff,0xdffff302,0x8fffff61,0xf14ffffc,0x2001ffff,
    0xd883fff8,0x8001efff,0xffd07ffe,0x3ffe63ff,0x6fff986f,0x3e4fffc8,
    0x3fe20fff,0xf900007f,0x3fea5fff,0xffffffff,0xffffffff,0xdfff982f,
    0xff700eff,0xffffdbff,0x21bff621,0x3e27fffb,0x7fd42fff,0x0000007f,
    0xbfffd000,0x2a7fffc8,0xffffffff,0xffffffff,0x007fffff,0x4c000000,
    0xffffffff,0xe8006fff,0x3fa3ffff,0xfd803fff,0xfffd1fff,0x64ffffe9,
    0x2003ffff,0x0efffffe,0xffff9000,0xff1003ff,0x7dc03fff,0x03ffffff,
    0x3fffffea,0xffffffff,0xd02fffff,0x3e63ffff,0x7f446fff,0xfff70fff,
    0x3fe200bf,0x7fff443f,0x06ea600e,0xfa83fff7,0x7ff46fff,0xffff82ff,
    0x4bfffe22,0x7dc6fff9,0x900007ff,0x3ea5ffff,0xffffffff,0xffffffff,
    0x7ffcc2ff,0x201dffd5,0xfffffffd,0x07ffee2f,0xdb17bba6,0xeee981dd,
    0x00000005,0x8bfffd00,0x3ea7fffc,0xffffffff,0xffffffff,0x0007ffff,
    0x7cc00000,0xffffffff,0x54003fff,0xff16ffff,0xf5001fff,0x3ffe7fff,
    0x2bfffb2f,0x000ffffe,0x3ffffffb,0x3ffe2000,0x8806ffff,0x701fffff,
    0xffffffff,0x3ffea07f,0xffffffff,0xffffffff,0x4ffffa82,0x203ffffa,
    0x365ffff9,0x8801ffff,0x3fa23fff,0xfff804ff,0x207fff45,0x542ffffd,
    0xfb86ffff,0xfffdefff,0x67fff46f,0x0fffffc9,0xfffc8000,0xfffff52f,
    0xffffffff,0x85ffffff,0xff30fffe,0x7ffdc09f,0x27c41eff,0x00000000,
    0x40000000,0x7e45fffe,0x3bba67ff,0xeeeeeeee,0xeeeeeeee,0x000006ee,
    0x7ffcc000,0xffffffff,0x7fc000ff,0xfffb9fff,0xfff1005f,0x1ffff5bf,
    0x3e3fffea,0xf9006fff,0x003fffff,0x7ffffec0,0x7c403fff,0xfb81ffff,
    0xffffffff,0xccc983ff,0xffffcccc,0xcccccccf,0x26ffff81,0x202ffffb,
    0xf11ffffc,0xf100dfff,0x7ffe47ff,0x0fffffff,0x3b3bfff2,0x7fcc5fff,
    0xffff07ff,0xffffd03f,0xb83fffff,0xffffffff,0x80000fff,0xf52ffffc,
    0xffffffff,0xffffffff,0x3fe885ff,0x220067ec,0x00201bba,0x00000000,
    0x74000000,0x7fe44fff,0x0000007f,0x00000000,0xffffff98,0x5fffff8e,
    0x7fffe400,0x01ffffeb,0x33ffff60,0x3fe26fff,0x3ffffdff,0xfffffb80,
    0x3ee0002f,0xffffffff,0x3ffe201f,0x7ffd41ff,0xffffefff,0x7fc003ff,
    0x7dc007ff,0xfff11fff,0xfffd00bf,0x17fffd4d,0xf8fffe20,0xffffffff,
    0x3ffa20ff,0x40efffff,0x904ffffd,0xb10bffff,0x3dffffff,0xfffffd10,
    0x003fff5b,0x3dddd700,0x3bbbbba6,0xeeeeeeee,0x701eeeee,0x00000310,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffff9800,0xffff50ef,
    0x7fcc003f,0x6fffffff,0x7fffdc00,0x7f44ffff,0x1fffffff,0x7ffffd40,
    0x3e60003f,0xffffffff,0x3fe206ff,0x3fea1fff,0xffb3ffff,0x4007ffff,
    0x2007ffff,0x323ffff8,0x9800ffff,0x3f62ffff,0x7fc406ff,0xfffff53f,
    0x81ffffff,0x3fffffc8,0x1fffff98,0x1fffff30,0x0af72e60,0xa86f32a0,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fffffcc,0x01bffffa,0xffffffd0,0xf88007ff,0x2fffffff,
    0x7fffffe4,0x7ffcc06f,0x40003fff,0xd9fffffe,0x104fffff,0x2a3fffff,
    0x43ffffff,0x3ffffffd,0x0fffff00,0x12fffec0,0x4005ffff,0x3e26fffc,
    0x00003fff,0x004c4000,0x80799995,0x002ccccb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffff3000,
    0xffffa81f,0x3fea002f,0x00ffffff,0xfffffe80,0x7ffd40ff,0x2204ffff,
    0xcfffffff,0xeeeeeeed,0xffffc85e,0xfffff13f,0xffff105f,0x3fffea3f,
    0xffffb03f,0x3ffe003f,0xfff3007f,0x27ffec1f,0x1ffff400,0x001ffff5,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffff980,0xfffffd80,0x3fffe000,
    0x70005fff,0x0dffffff,0xfffffff1,0x7fffd403,0xffffffff,0x4c6fffff,
    0x546fffff,0x40ffffff,0x21fffff8,0x6c03fffa,0x3e001fff,0x97007fff,
    0x66644599,0x99930004,0x01cccb89,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fffcc00,0xffff980f,0x3ff2004f,0x0002ffff,0x9ffffff3,0x3fffffa0,
    0x7fffd406,0xffffffff,0x226fffff,0x81ffffff,0x45fffffd,0x41fffff8,
    0x3fb004fa,0x7ffff800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00fffff9,0x01fffff9,0x3ffffe60,0x7ff40006,0xff902fff,
    0xfa809fff,0xffffffff,0xffffffff,0x3fffff66,0xfffff104,0x7fffc47f,
    0x0c00181f,0x3ffffc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x201fffff,0x05fffff8,0x0fffffa0,0xffff9000,0x3ffea01f,
    0x7fd401ff,0xffffffff,0x6fffffff,0x0dfffff5,0xffffffa8,0x3fffff10,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01fffff3,0x0fffffdc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_44_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,2,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,2,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,2,2,2,0,-2,2,2,2,3,2,3,
-1,3,2,3,2,0,0,2,2,2,2,2,2,-2,3,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,4,4,-1,4,4,4,
4,4,4,4,4,4,4,4,4,4,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,2,2,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,1,-2,-2,1,
1,2,2,2,2,2,2,2,2,2,2,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,0,1,-2,1,1,1,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4, };
static signed short stb__arial_bold_44_latin_ext_y[560]={ 35,6,6,6,4,6,6,6,6,6,6,11,29,22,
29,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,39,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,14,6,6,10,6,
6,6,6,6,6,16,14,22,6,1,6,8,6,6,6,14,6,18,35,6,6,16,6,6,6,14,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,6,6,6,
6,6,6,5,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,13,6,6,6,6,6,6,6,
0,7,-1,6,6,14,-1,6,-2,6,-1,6,-1,6,-1,6,6,6,0,7,-2,6,-1,6,6,14,-1,6,-2,6,
-1,6,-1,6,6,3,-2,-1,6,6,-1,6,0,7,-2,6,6,6,0,14,6,6,-2,6,6,6,14,-1,-1,7,
6,7,6,7,6,6,6,-1,6,6,14,-1,6,6,6,14,0,7,-2,6,-1,6,6,14,-1,6,6,14,-1,6,
-1,6,-2,6,6,14,-1,6,6,7,-1,6,6,7,-1,6,0,7,-2,6,-2,5,-1,6,6,14,-2,6,-2,6,
0,-1,6,-1,6,-1,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,6,-1,6,-1,
6,-1,6,-1,-1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-5,-2,-2,6,-2,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_44_latin_ext_w[560]={ 0,7,15,22,20,33,27,7,10,11,15,21,7,11,
7,12,19,13,20,20,22,20,20,20,20,20,7,7,21,21,21,21,38,29,25,26,25,23,21,28,24,7,19,27,
20,29,24,29,23,30,27,24,24,24,28,38,27,28,24,11,12,11,19,24,10,20,21,20,21,20,15,21,20,7,
11,20,7,31,20,22,21,21,14,21,13,20,22,31,22,22,19,14,5,15,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,20,22,21,22,
5,20,14,31,14,19,21,11,31,24,13,21,13,13,10,19,23,7,12,9,14,18,32,31,33,22,29,29,29,29,
29,29,40,26,23,23,23,23,10,9,14,14,28,24,29,29,29,29,29,19,29,24,24,24,24,28,23,21,20,20,
20,20,20,20,33,20,20,20,20,20,10,10,14,14,22,20,22,22,22,22,22,21,22,20,20,20,20,22,21,22,
29,20,29,20,31,23,26,20,26,20,26,20,26,20,25,28,28,23,23,20,23,20,23,20,23,20,23,20,28,21,
28,21,28,21,28,21,24,20,29,22,14,14,13,13,13,13,9,9,7,7,26,17,23,14,27,20,20,20,10,20,
12,20,14,20,15,24,11,24,20,24,20,24,20,28,24,20,29,22,29,22,29,22,38,35,27,14,27,16,27,15,
24,21,24,21,24,21,24,21,24,13,24,19,24,13,24,20,24,20,24,20,24,20,24,20,24,23,38,31,28,22,
28,24,19,24,19,24,19,12,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,23,21,21,21,
21,21,21,21,21,21,21,21,21,21,33,28,21,21,21,21,21,21,21,21,21,21,21,21,21,31,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,20,14,14,29,
22,24,20,24,20,24,20,24,20,24,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,20,40,33,29,22,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_44_latin_ext_h[560]={ 0,29,11,30,35,31,30,11,38,38,14,20,13,6,
6,30,30,29,29,30,29,29,30,28,30,30,21,28,22,14,22,29,38,29,29,30,29,29,29,30,29,29,30,29,
28,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,4,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,29,37,30,22,29,
38,38,5,30,15,18,14,6,30,5,13,27,16,16,7,29,37,6,9,16,15,18,31,31,31,30,36,36,36,35,
35,34,29,38,36,36,36,35,36,36,36,35,29,35,37,37,37,36,36,20,32,37,37,37,36,36,29,30,30,30,
30,30,30,31,22,30,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,24,30,30,30,30,38,37,38,
35,29,36,30,38,30,37,30,38,30,37,30,37,30,36,30,29,30,35,29,37,30,36,30,38,30,36,30,38,38,
37,38,37,38,38,41,37,36,29,29,36,29,35,28,37,29,38,38,35,21,30,38,38,38,38,38,21,36,36,37,
38,28,29,28,29,29,29,36,29,38,30,36,29,29,30,30,36,29,38,30,37,30,30,22,36,29,38,30,36,29,
37,30,38,30,38,30,37,30,42,40,36,30,29,29,37,30,36,29,38,30,38,31,37,30,38,30,37,29,37,38,
35,36,29,36,29,36,29,29,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,30,25,25,38,25,25,25,
25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,25,25,25,25,25,25,25,25,25,25,30,22,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,36,30,36,29,37,
30,37,30,37,37,37,37,37,37,37,37,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,40,38,37,30,39,31,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25, };
static unsigned short stb__arial_bold_44_latin_ext_s[560]={ 511,502,387,43,307,108,441,379,206,242,341,
148,371,468,504,199,316,311,325,308,489,1,329,442,1,210,433,463,411,319,333,
253,418,273,395,66,217,193,101,93,464,346,492,275,421,243,228,462,368,441,392,
405,168,345,123,356,303,72,331,492,370,361,247,453,438,133,383,276,246,89,152,
300,51,303,379,30,22,477,456,110,442,420,441,182,354,204,22,45,97,202,77,
149,143,164,416,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,511,504,127,
122,254,110,314,345,438,430,282,189,297,468,268,480,357,22,219,233,449,305,82,
460,403,209,267,170,43,76,142,322,114,144,199,366,247,411,1,391,97,121,145,
328,487,498,472,396,45,169,265,205,175,482,427,128,472,414,439,486,342,229,133,
357,336,315,294,273,252,22,377,189,168,147,126,105,202,203,95,213,488,182,442,
419,396,373,350,355,66,287,459,416,223,457,464,480,277,489,29,84,1,1,148,
469,33,420,295,244,26,134,392,287,16,263,194,398,373,336,448,490,60,91,258,
1,108,137,385,184,53,292,180,26,336,76,325,42,433,65,352,471,322,112,254,
264,503,120,212,321,297,339,425,354,1,321,310,106,366,485,167,1,214,230,477,
59,74,320,231,457,255,276,177,202,84,375,262,465,235,22,45,297,1,171,234,
399,282,186,1,437,209,265,159,155,360,112,1,48,174,379,419,157,156,399,367,
146,217,357,375,1,1,378,400,239,453,80,26,274,218,51,355,26,126,1,444,
464,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,480,44,44,84,
44,44,44,44,44,44,44,44,44,44,44,44,44,57,225,44,44,44,44,44,
44,44,44,44,44,44,44,44,25,154,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,397,22,
418,1,55,179,85,225,110,135,181,206,227,252,335,273,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,62,122,294,145,92,176,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,44,
44,44,44,44,44,44,44,44,44, };
static unsigned short stb__arial_bold_44_latin_ext_t[560]={ 1,196,476,327,196,233,233,476,44,44,476,
476,476,476,74,233,233,388,388,265,388,418,265,418,296,296,448,418,448,476,448,
388,1,418,418,327,418,418,418,327,388,388,327,388,418,418,388,327,388,196,388,
327,418,327,418,418,418,418,418,44,327,121,476,484,476,448,327,448,327,448,418,
327,418,388,1,418,418,448,448,448,388,388,448,448,388,448,476,476,476,327,476,
1,1,1,476,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,1,44,121,
327,448,388,1,1,484,327,476,476,476,476,327,476,476,448,476,476,476,358,121,
476,476,476,476,476,233,233,233,327,159,159,159,196,196,196,358,1,196,196,196,
196,159,159,159,196,388,196,121,121,121,121,121,476,196,83,83,83,159,159,388,
296,296,296,296,296,296,233,448,296,296,296,296,296,388,358,388,388,265,358,265,
265,265,265,265,448,448,265,296,296,265,1,83,1,196,358,159,296,44,265,121,
233,44,233,121,265,121,265,159,233,388,233,196,358,121,233,159,233,44,265,159,
327,44,44,83,44,121,1,1,1,121,196,358,358,159,358,196,418,121,358,44,
44,1,476,233,44,44,44,44,44,477,159,159,121,1,418,358,448,358,358,358,
159,388,1,296,121,358,358,265,265,159,358,1,265,121,296,296,448,159,388,1,
296,159,388,121,296,1,265,44,265,83,265,1,1,159,296,358,388,83,233,159,
358,44,233,44,233,83,233,44,233,44,358,83,44,196,196,358,196,358,196,358,
358,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,296,448,448,44,
448,448,448,448,448,448,448,448,448,448,448,448,448,265,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,265,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,121,327,
159,388,83,327,83,327,83,83,83,83,83,83,83,83,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,1,1,83,327,1,233,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,448,
448,448,448,448,448,448,448,448,448, };
static unsigned short stb__arial_bold_44_latin_ext_a[560]={ 175,210,299,350,350,560,455,150,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,210,210,368,368,368,385,614,455,455,455,455,420,385,490,
455,175,350,455,385,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,210,175,210,368,350,210,350,385,350,385,350,210,385,
385,175,175,350,175,560,385,385,385,385,245,350,210,385,350,490,
350,350,315,245,176,245,368,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,175,210,350,350,350,350,176,350,
210,464,233,350,368,210,464,348,252,346,210,210,210,363,350,175,
210,210,230,350,526,526,526,385,455,455,455,455,455,455,630,455,
420,420,420,420,175,175,175,175,455,455,490,490,490,490,490,368,
490,455,455,455,455,420,420,385,350,350,350,350,350,350,560,350,
350,350,350,350,175,175,175,175,385,385,385,385,385,385,385,346,
385,385,385,385,385,350,385,350,455,350,455,350,455,350,455,350,
455,350,455,350,455,350,455,453,455,385,420,350,420,350,420,350,
420,350,420,350,490,385,490,385,490,385,490,385,455,385,455,385,
175,175,175,175,175,175,175,175,175,175,494,350,350,175,455,350,
350,385,175,385,175,385,243,385,302,385,175,455,385,455,385,455,
385,446,456,385,490,385,490,385,490,385,630,595,455,245,455,245,
455,245,420,350,420,350,420,350,420,350,385,210,385,302,385,210,
455,385,455,385,455,385,455,385,455,385,455,385,595,490,420,350,
420,385,315,385,315,385,315,175,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,458,473,473,350,473,473,473,473,473,
473,473,473,473,473,473,473,473,538,448,473,473,473,473,473,473,
473,473,473,473,473,473,473,523,456,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,455,350,175,175,490,385,455,385,455,385,455,
385,455,385,455,385,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,455,350,630,560,490,385,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_44_latin_ext(stb_fontchar font[STB_FONT_arial_bold_44_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_44_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_44_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_44_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_44_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_44_latin_ext_s[i] + stb__arial_bold_44_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_44_latin_ext_t[i] + stb__arial_bold_44_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_44_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_44_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_44_latin_ext_x[i] + stb__arial_bold_44_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_44_latin_ext_y[i] + stb__arial_bold_44_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_44_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_44_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_44_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_44_latin_ext_s[i] + stb__arial_bold_44_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_44_latin_ext_t[i] + stb__arial_bold_44_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_44_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_44_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_44_latin_ext_x[i] + stb__arial_bold_44_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_44_latin_ext_y[i] + stb__arial_bold_44_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_44_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_44_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_44_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_44_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_44_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_44_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_44_latin_ext_LINE_SPACING
#endif

