// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_45_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_45_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT        520
#define STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_45_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_45_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_45_latin_ext_LINE_SPACING          29

static unsigned int stb__arial_bold_45_latin_ext_pixels[]={
    0x44001000,0xeeeeeeee,0xeeeeeeee,0x04eeeeee,0x55555400,0x0000000a,
    0x55553000,0x80000015,0x80000098,0x00000998,0x15555544,0x33310000,
    0x00000013,0x00009998,0x00066620,0xa802aa20,0x2a20002a,0x00002aaa,
    0x4c000998,0x51002aaa,0x00005555,0x05555550,0x33333000,0x5554c000,
    0x0d55540a,0x4ccc4000,0x19a80009,0x2aaa9800,0x00005553,0xf88017aa,
    0xffffffff,0xffffffff,0x005fffff,0x3ffffe60,0x0b900003,0xffff8000,
    0x4400005f,0xfffffeca,0xd50002ce,0x19ffffff,0xfff70000,0x400005ff,
    0x01fffffe,0xffc80000,0x01ceffff,0x3fffb260,0x00beffff,0x882ffc40,
    0x2a0005ff,0x0007ffff,0x7fff6dd4,0x5c02deff,0xfd006fff,0x0005ffff,
    0x7ffffdc0,0x7fe40002,0x70003fff,0xff83ffff,0xe80005ff,0x001fffff,
    0x33ffffe2,0x6fffb800,0x0009fff5,0x2007ffe8,0xfffffff8,0xffffffff,
    0x5fffffff,0x3fff2000,0xfa80004f,0x2e00005f,0x000effff,0x3fffea00,
    0xffffffff,0xffd1000d,0xffffffff,0xfff80009,0x200002ff,0x6ffffffc,
    0x7ec00000,0xffffffff,0xfffea801,0xffffffff,0x3a000cff,0x3ffc81ff,
    0x3ffea000,0xfd30007f,0xffffffff,0x2e03dfff,0xfc806fff,0x00ffffff,
    0xffffd000,0xff980007,0x001fffff,0x41ffffb8,0x0005ffff,0x7fffffe4,
    0x3ffe2006,0x5c01ffff,0x3ffa6fff,0xff90000f,0x3e2001bf,0xffffffff,
    0xffffffff,0x005fffff,0x0bffff10,0xfffe9800,0x3fa00005,0x00000eff,
    0x3ffffff2,0xffffffff,0xfffe803f,0xffffffff,0xff50004f,0x400007ff,
    0xfffffffa,0x7000004f,0xffffffff,0xfff900ff,0xffffffff,0x03ffffff,
    0x33bffee0,0x000ffffd,0x1ffffea0,0x3fffe600,0xffffffff,0xfb83ffff,
    0x7fd406ff,0x05fffeff,0xffffa800,0x7fc40003,0x06fffeff,0x1ffffb80,
    0x002ffffc,0xffffff50,0x3e2009ff,0x06ffffff,0xf737ffdc,0xf3000bff,
    0xf88003ff,0xffffffff,0xffffffff,0x005fffff,0x00bfff90,0xbffffd00,
    0x3fea0000,0x300000ef,0xfffffffd,0xffffffff,0x7fe407ff,0xffffffff,
    0x8002ffff,0x0004fffe,0x2bfffe20,0x001ffff9,0xfffff800,0x205fffff,
    0xffffffd8,0xffffffff,0x001fffff,0xfffffffb,0xfa80003f,0x44007fff,
    0xffffffff,0xffffffff,0x7ffdc1ff,0x3fffe206,0x03ffff8b,0x27fff400,
    0x7ffec000,0x04fffe8d,0x0ffffdc0,0x0017fffe,0x4d7fffc4,0x8801ffff,
    0xffffffff,0x9bffee03,0x002ffff8,0x0002ffdc,0xfffffc80,0xf8800001,
    0xd00006ff,0x000bffff,0x007fffa0,0xffffe800,0xfeddffff,0x1fffffff,
    0x5fffffd0,0x3ffffee2,0x7ffd4006,0x7ec00004,0x3ffee5ff,0x2200000e,
    0xacffffff,0x3ff603dc,0xefffffff,0xfffffffd,0xf7000fff,0x003dffff,
    0xfffff500,0xffffb800,0xecccceff,0x0fffffff,0xd81bffee,0x3fea5fff,
    0xf30000ff,0x50000bff,0x3e61ffff,0x26002fff,0x5540aaaa,0xfb0001aa,
    0x7ffdcbff,0xfcaa800f,0x2e05ffff,0x7fec6fff,0x7fdc006f,0x00000fff,
    0x07fffff2,0x32a20000,0xfd00000e,0x0000bfff,0x00039991,0x7ffffdc0,
    0xffc881df,0xf886ffff,0xfc83ffff,0x2000ffff,0x00003cca,0x2066664c,
    0x0002cccb,0x3ffffea0,0x3ffee003,0x980bffff,0xffffffec,0x04d4c003,
    0x00000000,0x07fffffa,0xffffffb8,0x41bffee2,0x540aaaa8,0x50001aaa,
    0x20000799,0x6541cccc,0x000003cc,0xccc98000,0x16665c0c,0x3fffee00,
    0x1bffee06,0x005ffff5,0x07ffffe4,0xfff90000,0x000003ff,0x009fffd3,
    0xbffffd00,0x00000000,0x7ffffc40,0xfffb803f,0x7fc41fff,0xde885fff,
    0x10000abc,0x00000000,0xffc80000,0xf1000fff,0x01dfffff,0xfffffd10,
    0x0000000d,0x3e200000,0xc803ffff,0x2e4fffff,0x00006fff,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0x3ffee07f,0x05ffff86,0x3fffff60,
    0x3f200000,0x0001ffff,0xffcefe80,0xfee98002,0xeeefffff,0x26620002,
    0x902f9800,0x009fffff,0x2fffffe4,0x0ffffff4,0x7dc40000,0x000001df,
    0x00006666,0xbffffb00,0x7fffe400,0x7fc4006f,0x1001ffff,0x10000015,
    0x3ea00015,0x8801ffff,0x2e6fffff,0x00006fff,0x00000000,0x00026600,
    0x00000000,0x00001310,0x40fffff1,0xfd86fffb,0x95000fff,0x00019999,
    0x7ffffe40,0x7cc00001,0x20017e66,0xfffffffa,0x1003ffff,0xfffffb95,
    0xfe8819df,0x7fffc42f,0x3e6000ff,0xfb81bdff,0x003fffff,0x7fffec00,
    0x9300001f,0xffffffff,0x6c00017d,0xfffffeee,0x3e03eeef,0x002fffff,
    0x0abdefc8,0x3ffff660,0xdddd10ce,0xfffd980d,0xddd10cef,0xffffa8dd,
    0x9997004f,0xb7ffdc55,0x01eeeeea,0x3eeeee88,0x03ddddd5,0x7ddddd10,
    0xffedba80,0x402defff,0x01eeeeea,0x3eeeee88,0xffd95100,0x0059dfff,
    0x81ffffe0,0xfa86fffb,0x00004fff,0x3ff20000,0x00001fff,0x0ff127dc,
    0xfffff500,0x07ffffff,0xffffff50,0x9fffffff,0x8dfffd11,0x04fffff9,
    0xfd000a80,0x01dfffff,0x21df1000,0x4c0004fc,0xfffffffe,0x0cffffff,
    0x7fffc400,0xffffffff,0xffff303f,0x022000df,0xfffffb80,0xff89ffff,
    0x3fee07ff,0x9fffffff,0x447ffff8,0x0cffffff,0x7ffdc000,0x9fffff36,
    0xfffff500,0x3ffffe63,0xffffa804,0xfffd301f,0xffffffff,0x3fe603df,
    0xfa804fff,0xa801ffff,0xffffffff,0x000dffff,0x703ffffc,0xff10dfff,
    0x54400dff,0xf9000000,0x0003ffff,0xc89ff880,0xffa8004f,0xffffffff,
    0x3ff6203f,0xffffffff,0xfeffffff,0x7fdc0eff,0x00002fff,0x7ffffdc0,
    0x40003fff,0x01fe24fb,0xfffffc80,0xffffffff,0x2001ffff,0xfffffff9,
    0x02ffffff,0x05fffff9,0xffb00000,0xffffffff,0x0fffff5f,0x3ffffff6,
    0xffafffff,0xffff87ff,0x01bdffff,0x26fffb80,0x807ffffe,0x746ffffd,
    0xd807ffff,0xf306ffff,0xffffffff,0x7fffffff,0x1fffffa0,0x1bffff60,
    0x3fffff20,0xffffffff,0x3fe003ff,0xff700fff,0x3fffa0df,0x3ff6600f,
    0xdd10ceff,0xfc800ddd,0x0001ffff,0xfffffe80,0xfcc98003,0xccceffff,
    0xfffff301,0xffffffff,0xffffffff,0xffff903f,0x4000003f,0xfffffffa,
    0x0001efff,0x02fd4df3,0x7ffff440,0xffffffff,0x0fffffff,0xfffff500,
    0xffffffff,0x3ffff601,0x4000001f,0xfffffffa,0xffffffff,0xfffa87ff,
    0xffffffff,0x87ffffff,0xfffffffa,0x00acffff,0x2e6fffb8,0x201fffff,
    0x43fffff8,0x01fffffb,0x0fffffe2,0x3fffffe2,0xffffffff,0xfb81ffff,
    0x2201ffff,0x203fffff,0xffffffe9,0xffffffff,0xff003fff,0x3ee01fff,
    0xfffb06ff,0x3ffee05f,0x89ffffff,0x4007ffff,0x01fffffc,0x7ffcc000,
    0x40006fff,0x805ffffe,0xfffffff8,0xffeddeff,0x1fffffff,0x1fffffb0,
    0x3ea00000,0xffffffff,0x0003ffff,0x03ffbffd,0xfffffb00,0xfdbdffff,
    0xdfffffff,0xb3331001,0x333fffff,0x7ffff403,0x4000000f,0x0dffffff,
    0x3fffffa6,0xfffff87f,0x3ffa60df,0xf907ffff,0xffffffff,0x405bffff,
    0x3e26fffb,0x2a04ffff,0x440fffff,0x204fffff,0x80fffffa,0xeffffffb,
    0xfffecccc,0x7c40ffff,0x2a04ffff,0x200fffff,0xfffffffe,0xffffeddf,
    0xe801ffff,0xf701ffff,0x3ff60dff,0xfffd84ff,0xffffffff,0x007ffffa,
    0x0fffffe4,0x3ff20000,0x002fffff,0x17ffffa0,0x3fffff20,0xff9102ef,
    0x203fffff,0x007ffffe,0x3fffe000,0xfffffaaf,0x98005fff,0x8003fffd,
    0xfffffffb,0xfffd500b,0xd0007fff,0x400bffff,0x807fffff,0xaaaaaaa9,
    0x3ee2aaaa,0x3604ffff,0x5c7fffff,0x204fffff,0x07fffffd,0x3ffffff6,
    0xffffffff,0x6fffb80e,0x03ffffec,0x20bffffb,0x207ffffd,0xd05ffffd,
    0x403fffff,0x2ffffffb,0x07ffffd8,0x817ffff6,0xdffffffb,0xffffc881,
    0xffd806ff,0xfff703ff,0x3ffff20d,0x7ffffd46,0xffffffff,0x4007ffff,
    0x01fffffc,0x3ffe2000,0x005fffff,0x17ffffa0,0xffffff30,0xfff7001b,
    0x3fe09fff,0x00007fff,0x47ffff30,0xffffffe8,0x0510004f,0x3fffe200,
    0xe8800eff,0x006fffff,0x04fffff8,0x1fffffe0,0x3fffff20,0x26ffffff,
    0x00fffffe,0x1fffffe6,0x01fffffd,0x3fffffcc,0x3ffffaa0,0xffffffff,
    0x7ffdc0ef,0x7ffffd46,0xfffff881,0xfffff502,0xfffff103,0xfffff105,
    0xffff9007,0xffff509f,0xffff103f,0x3ffe205f,0xfb803fff,0x401fffff,
    0x80fffffa,0xf706fffb,0xfff8ffff,0x3660cfff,0x07ffffff,0x7ffffe40,
    0x3ee00001,0xffffffff,0xfffd0000,0xfffe80bf,0xff5005ff,0x01ffffff,
    0x00ffffff,0x3ffee000,0xffffc81f,0x22003fff,0x00099a99,0x1bfffff2,
    0xfffff100,0x7fc4003f,0x3e002fff,0x400fffff,0xfffffffc,0x3fe6ffff,
    0xfd804fff,0x7ffc7fff,0xffd804ff,0xf95007ff,0xffffffff,0x4c43ffff,
    0xffff8099,0xffffa84f,0x3fffe00f,0xffffa84f,0xffffa80f,0xfff8801f,
    0xffff06ff,0xffff509f,0x3fff201f,0x3f2004ff,0xf805ffff,0x5c1dffff,
    0xff506fff,0x3fee1fff,0x3f604fff,0x4007ffff,0x01fffffc,0x3fffa000,
    0x03ffffff,0xbffffd00,0x7ffffd40,0xfff9801f,0x84ffffff,0x00fffffe,
    0xfffd8000,0xffff503f,0x64403fff,0xffffffff,0xffff803d,0xfc8002ff,
    0x2000abde,0x01fffffa,0x3fffff60,0x7fffe401,0x6fffffff,0x07fffff1,
    0x4fffff90,0x03fffff8,0x07ffffc8,0xfffec980,0x06ffffff,0x3ffffe40,
    0x02ffffec,0x21fffff2,0x505ffffd,0x009fffff,0x40ab332e,0xd87ffffc,
    0xf105ffff,0x001fffff,0x0defffcc,0x7ffffe40,0xdfff71ff,0x3ffffe60,
    0x1fffffd0,0x7ffffcc0,0x7ffe4007,0x300001ff,0xffffffff,0x3a000dff,
    0x2e05ffff,0x804fffff,0xffeffff8,0xffd87fff,0x00001fff,0x06ffffd8,
    0x3fffffa2,0xfffff703,0x9fffffff,0x7ffffd40,0x00110006,0x7ffffb80,
    0x7fffe400,0x7ffe402f,0xffffffff,0x5fffff36,0xfffff700,0x17ffffcc,
    0x3ffffdc0,0x3f6a2000,0x02ffffff,0x3ffffe60,0x17ffffc1,0x3ffffe60,
    0x17ffffc1,0xffffff88,0x2600000c,0x7c1fffff,0xf302ffff,0x0009ffff,
    0x3f200015,0xf72fffff,0x3fe20dff,0xffff1fff,0xfffb00bf,0xffc800ff,
    0x00001fff,0xf9fffff9,0x0005ffff,0x40bffffd,0x01fffffc,0x477fff44,
    0x40ffffff,0x02fffffb,0x3f201a80,0x200dffff,0xa85ffffd,0xffffffff,
    0x05ffffff,0x05fffff9,0x64000000,0x4006ffff,0x03fffffb,0x5555554c,
    0xf36fffff,0x7005ffff,0x7ccfffff,0xb802ffff,0x0007ffff,0x3ffffa60,
    0x7ff4004f,0x3ffea4ff,0xfffd007f,0x7fffd49f,0x7ffffc07,0x001bdfff,
    0x4ffffe80,0x81ffffea,0x02fffffb,0xfd800000,0xff72ffff,0x7fffc0df,
    0xfffff89f,0xffffc803,0x7ffe4007,0xf00001ff,0xff19ffff,0xd000bfff,
    0x740bffff,0x400fffff,0xfb0efffe,0xfa83ffff,0x8004ffff,0x7cc1cfff,
    0x00efffff,0x88fffff1,0xefffffff,0xffffffff,0xfffffd82,0x00000001,
    0x017ffffa,0xdfffff50,0x7fffc000,0xfffff36f,0xffff9007,0x7ffffccf,
    0xffffc803,0x3bb32e67,0x3ffea001,0x7dc005ff,0x3ff67fff,0xff7004ff,
    0x7ffecfff,0x7ffd404f,0xffffffff,0xfb8000ac,0x3ff67fff,0x3ff204ff,
    0x00001fff,0x7fffdc00,0xdfff72ff,0x4fffffc0,0x02fffff9,0x07ffffb8,
    0x7ffffe40,0xffa80001,0xfffb1fff,0xfe8001ff,0x3fe05fff,0x7ec07fff,
    0x3ff21fff,0x7fcc2fff,0x2000ffff,0x46fffffa,0xfffffffd,0x8bfffd03,
    0x0bfffffb,0x3fffff22,0xfffffe84,0x00000000,0x00fffffe,0x3fffffe0,
    0xffff0003,0x3fffe2df,0xfffd804f,0x3fffe27f,0xfffd804f,0x3fffe67f,
    0x7ffc004f,0x7c4006ff,0xfff1ffff,0x3e2003ff,0xfff1ffff,0xff9003ff,
    0xffffffff,0x4005bfff,0xf1fffff8,0x6c03ffff,0x000fffff,0x3fee0000,
    0xf72fffff,0x3fe20dff,0xfff98fff,0xffb802ff,0x7e4007ff,0x0001ffff,
    0x27ffffd8,0x03fffffa,0x2fffff40,0x6fffff88,0x07ffff20,0x07fffff7,
    0x07fffffd,0x7fffff40,0x7ffff443,0x3e60dfff,0x7f643fff,0xfff104ff,
    0xffff0bff,0x555300ff,0x55555555,0x3ffe2005,0xfb8002ff,0x0006ffff,
    0x7cdfffff,0x4406ffff,0x7c7fffff,0x4406ffff,0x7c7fffff,0x2006ffff,
    0x05fffff8,0xcffffd80,0x006ffffa,0x567fffec,0x2006ffff,0xfffffffd,
    0xefffffff,0xffffb000,0x0dffff59,0x07ffffe8,0x3e200000,0x20aeffff,
    0xf106fffb,0xff11ffff,0xf9007fff,0xc800ffff,0x001fffff,0x7ffffc40,
    0x3ffffe24,0x7fff4006,0xffff305f,0x3ffee0bf,0xffffa82f,0xffff984f,
    0xffc802ff,0xe880ffff,0xffffffff,0x1ffffe8a,0xfd802a60,0xfff85fff,
    0xffc807ff,0xffffffff,0xfff5006f,0x3e0001ff,0x00efffff,0xfffff910,
    0x7ffffecd,0x3fffee02,0x7fffec7f,0x3ffee02f,0x7ffec7ff,0xff9004ff,
    0x3fee9fff,0x3ffea06f,0x3ffffdff,0x7fffd400,0x03ffffdf,0x7ffff540,
    0xffffffff,0xffa800ef,0xffffdfff,0x7ffffc03,0x20000007,0x80fffffb,
    0xf306fffb,0x7ffcffff,0xffd804ff,0x7e4007ff,0x0001ffff,0x0fffffdc,
    0x0bfffff6,0xfffffd80,0xfff11a9a,0xfff50dff,0x3ffea07f,0xfff904ff,
    0x32207fff,0x04ffffff,0x3fffff62,0xffffffff,0x7f540003,0xfff86fff,
    0x7e400fff,0xffffffff,0xff7006ff,0x5c000fff,0x2fffffff,0x7ffffdc0,
    0x3ffea6ff,0xffb81fff,0x7d47ffff,0xb81fffff,0x47ffffff,0xcffffffb,
    0xffff9100,0x3ffee5ff,0x7ffffc06,0x000fffff,0xfffffff8,0x50000fff,
    0xfffffff9,0x03ffffff,0xfffffff0,0xff801fff,0x00007fff,0x3ffff200,
    0x0dfff704,0xd97fffea,0x4406ffff,0x007fffff,0x0fffffe4,0x3fffa000,
    0xffff986f,0x3ff2005f,0x24ffffff,0x547fffff,0x2e04ffff,0x102fffff,
    0xffffffff,0xffffb99b,0x5001ffff,0xffffffff,0x88007fff,0xfffffeca,
    0xfffe86ff,0x7fe401ff,0xffffffff,0xfffb006f,0xfd8000df,0xefffffff,
    0xffffedcc,0x746fffff,0xbdffffff,0xffffffec,0xffffe87f,0xffecbdff,
    0xe87fffff,0xcfffffff,0xffffccab,0x3fee6fff,0x7ffe406f,0x005fffff,
    0xffffff90,0x20000bff,0xfffffec9,0xc806ffff,0xffffffff,0xffffe805,
    0x0000000f,0x203ffffb,0xf706fffb,0x7fe49fff,0x3f202fff,0x4007ffff,
    0x01fffffc,0x3fffe600,0xfffff03f,0x3fea001f,0x24ffffff,0x31fffffe,
    0xd80bffff,0x201fffff,0xfffffffa,0xffffffff,0x22001fff,0xfffffffd,
    0xfd73004f,0xffffffff,0xfffb0dff,0xffc805ff,0xffffffff,0xfffd006f,
    0xfb00009f,0xffffffff,0xffffffff,0xfa85ffff,0xffffffff,0xffffefff,
    0xfffffa87,0xefffffff,0xf987ffff,0xffffffff,0xffffffff,0x3ffee1ff,
    0x7fffc406,0x0002ffff,0xfffffff1,0x1000005f,0xffffffb5,0xfff8805f,
    0x802fffff,0x01fffffd,0xffd00000,0x3fee01ff,0xffff906f,0x7ffffd45,
    0xffffb81f,0x7e4007ff,0x0001ffff,0x03fffff6,0x1fffffe4,0xfffffd00,
    0x7ffecbff,0xffff8aff,0xffffe805,0x7ff4c00f,0xffffffff,0x002fffff,
    0xffffff70,0x7f4401ff,0xffffffff,0xc86fffff,0x403fffff,0xfaaaaaa9,
    0xf006ffff,0x0007ffff,0x3fffff20,0xffffffff,0x00dfffff,0xfffffff3,
    0xfff77fff,0x3ffe60ff,0xbfffffff,0x507ffffb,0xffffffff,0xffffffff,
    0x6fffb85f,0xfffffe80,0x7f40007f,0x007fffff,0xffe98000,0xfe804fff,
    0x007fffff,0x05fffff7,0xf8003500,0xf700ffff,0x3ffa0dff,0x7fff40ff,
    0xfecbdfff,0x07ffffff,0x7ffffe40,0xfff10001,0x7fcc0bff,0x22006fff,
    0x4ffffffd,0x33fffff2,0x400efffe,0x07fffff8,0x3fffff20,0xefffffff,
    0x7ec40001,0x106fffff,0xfffffffd,0xffff937b,0xfffff30d,0x7ffc000d,
    0xff9806ff,0x00001fff,0x3fffffaa,0xffffffff,0xff9801df,0x72ffffff,
    0x4c0fffff,0xffffffff,0x0fffff72,0x7fffff4c,0xffffffff,0x6fffb82e,
    0xfffffb80,0x7dc0004f,0x804fffff,0x01eeccb9,0x3ffffea0,0xffffb805,
    0xff5004ff,0xf0009fff,0xff0039ff,0x7fdc0fff,0xdffff06f,0xffffff50,
    0xfdffffff,0x0000ffff,0xfffb8000,0xaaaaadff,0xffffffaa,0x4d4c4002,
    0xfffff980,0x800effff,0x06fffffc,0x7fff64c0,0x002effff,0x7fffdc00,
    0xfffe82ff,0xffc81cff,0xffff06ff,0x3e0005ff,0xa806ffff,0x000fffff,
    0xffeb9800,0xabdfffff,0x76544000,0x3fee0bdf,0x654407ff,0x3ee0bdfe,
    0xea807fff,0xffffffff,0x3fee03df,0xfff8806f,0x40001fff,0x1ffffff8,
    0xfffff980,0x7fffc004,0xfff8806f,0xf3001fff,0x001fffff,0x37ffffd4,
    0x81ffffe0,0xf986fffb,0xff703fff,0xffffffff,0x0fffff77,0xe8000000,
    0xffffffff,0xffffffff,0x00005fff,0xffffffd0,0xff1003ff,0x0005ffff,
    0x0bbff6a2,0x54026000,0x443fffff,0x204fffff,0x906ffffd,0x00dfffff,
    0x1bffffe0,0x1fffff20,0xfb300000,0x00003dff,0x7fffe400,0xff900006,
    0xc9800dff,0x800bffff,0xf006fffb,0x000dffff,0x1bffffe0,0x6fffff80,
    0x3fffe200,0xffff005f,0xffe800df,0x3a003fff,0x203fffff,0x207ffff8,
    0xfc86fffb,0x3ea00fff,0x2fffffff,0x00fffff7,0x0ccccc88,0xffff9800,
    0xffffffff,0xffffffff,0x9995000f,0x3ffea019,0x8801ffff,0x05fffffe,
    0x3ffff200,0x75c004ff,0xfd00ffff,0xffa8bfff,0x3f600fff,0xff106fff,
    0x001dffff,0x3fffff22,0xffffd806,0x22000005,0x1effffff,0x04d5d400,
    0x5ffffc80,0x8004d5d4,0x005ffffc,0x7fffffec,0x6fffb803,0xfffffb80,
    0xffb80003,0x36003fff,0x004fffff,0x09fffff9,0x7fffff70,0xffff9800,
    0xffc802ff,0x2200ffff,0x2e07ffff,0xffe86fff,0xfdb7005f,0x7ffdc17b,
    0x7fcc007f,0xc8001fff,0xffffffff,0xffffffff,0x003fffff,0x403ffffb,
    0x4ffffffe,0x7ffffd40,0x2e0000ff,0x0fffebab,0x3fffea00,0xffffd04f,
    0xfffffb89,0xfffff501,0x7fffdc0d,0x32202fff,0x6fffffff,0x7ffffc40,
    0x26000004,0x6fffdbac,0x7fffdc00,0x3ffa205f,0x7ffdc4ff,0x3fa205ff,
    0x64004fff,0x0fffecab,0x037ffdc0,0x07fffffc,0x7fffc000,0x3ee000ff,
    0x00cfffff,0xffffff91,0xfffff005,0xff90001f,0x2207ffff,0x4ffffffc,
    0x37fffd40,0x88dfff70,0x0002ffff,0x1bffff20,0xfffff300,0xffff0003,
    0xffffffff,0xffffffff,0x3f600dff,0x3f201fff,0xcfffffff,0xfffeca9a,
    0x0003ffff,0x027ffc40,0xffffff10,0x3ffee217,0x7ffd42ff,0xfff985ff,
    0x7ec06fff,0xefffffff,0xfffffdcc,0x266fffff,0xfffea9ac,0x000001ff,
    0x00fffe40,0xffffff50,0x7fecc417,0x7fd42fff,0x220bffff,0x2fffffd9,
    0x7ffcc000,0x37ffdc04,0x7fff4c11,0x044005ff,0xbfffffd3,0xffffd000,
    0x99579fff,0xdfffffff,0x3ffa6088,0x10005fff,0xffffffff,0xffffb99b,
    0x5301ffff,0x0bfffff7,0x2e37ffdc,0x57506fff,0x3ff60013,0x7cc005ff,
    0x4001ffff,0xadfffffa,0xaaaaaaaa,0xfffffeaa,0xffffd802,0xfffff501,
    0xffffffff,0xffffffff,0xf100000d,0xfc800bff,0xfeffffff,0x40ffffff,
    0xfffffff8,0xffffffcc,0x7f4407ff,0xffffffff,0xffffffff,0x3f22ffff,
    0xffffffff,0x80000007,0x2001fffc,0xfffffff8,0xfffffeef,0xfff885ff,
    0xfeefffff,0x05ffffff,0x5fff9800,0x337ffdc0,0xffffffff,0xf98003ff,
    0xffffffff,0xff98001f,0xffffffff,0xffffffff,0x7fffcc1f,0x01ffffff,
    0x3fffea00,0xffffffff,0x81ffffff,0xfffffff8,0x3ffee03f,0x817fff46,
    0x06fffffb,0x0fffffa2,0xfffff300,0xfffd8003,0x7dc000ff,0xd805ffff,
    0xf980ffff,0xffffffff,0xffffffff,0x0003ffff,0x7654cd54,0xd8003fff,
    0xffffffff,0x902fffff,0xffffffff,0xffffffff,0xfffb001f,0xffffffff,
    0xbfffffff,0xfffffe81,0x0005ffff,0x53335100,0x000ffff9,0xfffffff5,
    0xffffffff,0x3ffea01f,0xffffffff,0x000fffff,0x3b2a66aa,0x7dc02fff,
    0x3ffe66ff,0x05ffffff,0xfffff980,0x0005ffff,0x3fffffea,0xffffffff,
    0xff982fff,0x5fffffff,0xffe98000,0xffffffff,0x102fffff,0xffffffff,
    0x37ffdc01,0x540dfff3,0x0bffffff,0x7fffff4c,0x7ffcc001,0x3e2000ff,
    0x8006ffff,0x0ffffff8,0x42fed4c0,0xc9dffff9,0xffffffff,0x00efffff,
    0xffffe800,0x0004ffff,0xffffffb1,0x807fffff,0xfffffffe,0xffffd4ff,
    0x3ffae007,0xffffffff,0x881dffff,0xffffffff,0x000000ef,0xfffffff3,
    0x2e0003ff,0xffffffff,0x02efffff,0x7fffffdc,0xefffffff,0x7fff4002,
    0x804fffff,0x3e26fffb,0x5fffffff,0xffff1000,0x000bffff,0xfffffd30,
    0xffffffff,0x3ffe205d,0x005fffff,0x7fffe400,0xffffffff,0x3ffe201e,
    0x5c03ffff,0x3ff66fff,0x3ffe201f,0xfeefffff,0x06ffffff,0x01bfe200,
    0x7fffff70,0x3fff6000,0xff8803ff,0x0efffa83,0x3fffff22,0x003defff,
    0x3ffffa00,0x80001dff,0xffffffe9,0xff7000df,0x645dffff,0x4006ffff,
    0xffffffda,0x200acdff,0xffffffe9,0x000000df,0x3fffffe6,0x440000be,
    0xfffffffb,0x22003fff,0xfffffffb,0xd0003fff,0x39ffffff,0x1bffee00,
    0x7fffffff,0xffff8000,0x00003fff,0x7fffff54,0x803dffff,0x3fffffff,
    0xd9300000,0xdfffffff,0xffff1005,0xff7001bf,0x17ffe6df,0x3ffffea0,
    0xffffffff,0x10001fff,0xe8007ffb,0x000fffff,0xdfffff50,0x00effc80,
    0xa9801df3,0x000001aa,0x00001988,0x06aaa620,0x01aa9800,0x53300000,
    0x44000155,0x00001aa9,0x00199800,0x2aa62000,0x8800019a,0x0019aaa9,
    0x00066200,0x2215554c,0x0001aaa9,0x03555310,0x53100000,0x40013557,
    0x001aaa98,0x554c0000,0xaaa80019,0x2aa6000a,0x0155532a,0x3ffffee0,
    0xffffffff,0xff50002f,0xffa800bf,0x40005fff,0x02ffffff,0x330037f6,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffffdc4,0x00beffff,0x017fe600,0x3fffff60,0x7fe40002,
    0x0a605fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aa62000,0x000009aa,0x00000072,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x800002aa,0x00009a98,0x2aaaaa00,
    0x26200000,0x20000999,0x5001a998,0xaa883555,0x440000aa,0x00001999,
    0x0ccccc40,0x88199980,0x2a000999,0x55441aaa,0x3310002a,0x13333333,
    0x99999800,0x09999999,0x99998000,0x30000001,0x00001333,0x09999880,
    0x33100000,0x44001333,0x004eeeee,0x02f7776c,0x55510000,0x00000555,
    0x00000000,0x00aaaaa2,0x05fff880,0x7ff64c00,0xdfffffff,0xff700002,
    0x0000bfff,0x0ffffff4,0x3fffa600,0xfff5004f,0x27fff41f,0x7ff44000,
    0x1000002f,0x009fffff,0xf893fff6,0x2e002fff,0xfd10ffff,0x360009ff,
    0xffffffff,0x7ffc003f,0xffffffff,0x7d40004f,0x0005ffff,0x2fffec00,
    0x3e200000,0x000fffff,0xffff9800,0x3fe2005f,0x7c005fff,0x0006ffff,
    0x3fffee00,0x0000001f,0x0033f260,0xffffd800,0xff90003f,0xd710005f,
    0xffffffff,0x9fffffff,0x3fe60003,0x003fffff,0xfffffb80,0xffb000ff,
    0x4009ffff,0xff96fffc,0x400001df,0x0001fffc,0x5ffffc80,0x3fffe200,
    0x00bfffd2,0x36bfffb0,0x20006fff,0xfffffffd,0x7fc003ff,0xffffffff,
    0x220004ff,0x2fffffff,0xff700000,0x0000007f,0xbffffffb,0x3e600000,
    0x1000ffff,0x00bfffff,0x06fffff8,0x3ffe0000,0x000002ff,0x3fffee00,
    0xfb80001f,0x01ffffff,0x03fffc40,0x7ffffe40,0xffffffff,0x3fffffff,
    0xefffe800,0x0000ffff,0x3fbfffe6,0xffa805ff,0x004fffff,0x7ff7fff4,
    0x800001ff,0x00006ffb,0x037fffc4,0x6ffffd40,0x8000ffff,0xffeffff8,
    0x220000ff,0x99999999,0x7ffc0009,0xffffffff,0x3fa0004f,0x0ffffeff,
    0x7fcc0000,0x8000001e,0xfffffffb,0x3000003f,0x2009ffff,0x05fffff8,
    0x37ffffc0,0xffb80000,0x000003ff,0x645ff400,0x7cc0005f,0x6fffefff,
    0x1fffe400,0xffffd100,0x5579bdff,0xffffdb97,0x32001bff,0xfffb6fff,
    0x3fa2000d,0xffff9bff,0x7ffff402,0x4c004fff,0x4fffffff,0x4aaa0000,
    0x01aa8998,0x77ffdc00,0xfffb0000,0x0005ffff,0x7fffffd4,0x5540003f,
    0x001aa882,0x55555554,0x001aaaaa,0xb1dfff70,0x0000bfff,0x11331555,
    0x00000355,0xf55ffff1,0x00003fff,0x03fffea0,0x3ffffe20,0x7fffc005,
    0xd000006f,0x00007fff,0x45f98000,0x3a0000ff,0xffe8cfff,0xfff3004f,
    0x3fea001f,0x000cffff,0x7fffffdc,0x7fffd400,0x07fffd10,0x4bfff900,
    0x300ffffa,0x57dfffff,0xfff70003,0x80000dff,0x3ff987fe,0x77ffc000,
    0x3fa20000,0x0004ffff,0x5fffffc8,0x87fe8000,0x00003ff9,0xff980000,
    0xfffd11ff,0x7fe80007,0x0003ff98,0x24fffe80,0x0006fffc,0x0fffee00,
    0x3ffffe20,0x7fffc005,0xa800006f,0x00004fff,0x26f88000,0x320007f8,
    0x3fe66fff,0xffd801ff,0xfff5005f,0x880005ff,0x405ffffc,0x5441aaaa,
    0x644002aa,0x665c0ccc,0xffff502c,0x2aa0000d,0x00000aaa,0x7fcc3ff4,
    0x33260003,0xc980000c,0x00004ccc,0x002aaaaa,0x261ffa00,0x000003ff,
    0xcccb8000,0x026664c2,0x261ffa00,0x400003ff,0xcc84ccc9,0x000001cc,
    0x2200f32a,0x005fffff,0x037ffffc,0x1e65c000,0x00000000,0x07fd7dfb,
    0x05555400,0x3006aaa6,0x3007ffff,0x001dffff,0x7fff4c00,0x00000004,
    0xff700000,0x20000bff,0x00001998,0x99109970,0x55544005,0x1555540a,
    0x02aaaa20,0x00055555,0x97000000,0x00599109,0x20555544,0x0002aaaa,
    0xb8000000,0x02cc884c,0x00000000,0x55551000,0x82aaaa81,0x05fffff8,
    0x37ffffc0,0x00000000,0xd3000000,0x0001dfff,0x7ec00000,0xfe800fff,
    0x018804ff,0x0ffffcc0,0x00000000,0x7ffdc000,0xb710004f,0x9dffffff,
    0x3ba20037,0x6c004eee,0xfa85eeee,0x7ff42fff,0x7ffd406f,0x37fff42f,
    0x27777744,0x3bbbb600,0x9ddddd15,0xeeeed800,0x2ffffa85,0x0037fff4,
    0xe8800000,0x4004eeee,0x005eeeed,0x00000000,0x217fffd4,0xf886fffe,
    0x4005ffff,0x006fffff,0x00000000,0x1ca80000,0x05440000,0xffff8800,
    0x5fffc806,0x3fffb2a0,0xbdddd12e,0x4027ffdc,0x01eeeee8,0x3bbae000,
    0xffb800ee,0xfb8004ff,0xffffffff,0x8804ffff,0x005fffff,0x437ffffc,
    0x742ffffa,0x7d406fff,0x7ff42fff,0xffff886f,0x7ffc005f,0xffff16ff,
    0xfff800bf,0xfffa86ff,0x37fff42f,0x5eeeeec8,0xeeed8800,0xffff13ee,
    0xfff800bf,0xdddd96ff,0xddd5001d,0x36009ddd,0xfa85eeee,0x7ff42fff,
    0xffff886f,0x7ffc005f,0x2a0006ff,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,
    0xeee8804e,0x76c004ee,0x36605eee,0x10ceffff,0xfa8ddddd,0x7cc03fff,
    0xfe880fff,0xbfffffff,0x746ffffa,0x7cc00fff,0x0001ffff,0x3fffff20,
    0xffffb800,0x3ff62003,0xffffffff,0x01efffff,0x17ffffe2,0xdfffff00,
    0x85ffff50,0x5406fffe,0x7f42ffff,0xfff886ff,0x7fc005ff,0xfff16fff,
    0xff800bff,0xffa86fff,0x7fff42ff,0xfffff306,0xffc8009f,0xff10ffff,
    0xf800bfff,0xff76ffff,0xf9005fff,0x00ffffff,0x09fffff1,0xe85ffff5,
    0xff886fff,0x7c005fff,0x0006ffff,0x3ffffffa,0xffffffff,0xffffffff,
    0xf8805fff,0x4005ffff,0x706fffff,0xffffffff,0xfffff13f,0x02ffffd8,
    0x4417ffec,0xfffffffe,0xffffefff,0x01fffcc4,0x07ffffe6,0xfffc8000,
    0xffb800ff,0xff3003ff,0xffffffff,0xffffffff,0x3ffe209f,0x7fc005ff,
    0xffa86fff,0x7fff42ff,0x7fffd406,0x437fff42,0x05fffff8,0xb7ffffc0,
    0x05fffff8,0x37ffffc0,0x217fffd4,0x3206fffe,0x00ffffff,0xffffff10,
    0x7ffffc47,0x7fffc005,0xfffff56f,0xffffd009,0xfa803fff,0xfa82ffff,
    0x7ff42fff,0xffff886f,0x7ffc005f,0xf50006ff,0xffffffff,0xffffffff,
    0xffffffff,0xfff100bf,0xff800bff,0xffd86fff,0xffffffff,0x47ffffaf,
    0x201fffff,0xe885fff8,0xcadfffff,0xffffffff,0x027ffc42,0x07ffffe6,
    0xfffc8000,0xffc800ff,0xfe8803ff,0xefffffff,0xffffffed,0xff882fff,
    0x7c005fff,0xa886ffff,0x55540aaa,0x5554402a,0x1555540a,0x2fffffc4,
    0x3ffffe00,0xbfffff16,0xfffff800,0x0aaaa886,0x20155554,0x05fffffe,
    0xbfffffb0,0x5fffff88,0x7ffffc00,0xdfffff16,0xfffff880,0x7e403fff,
    0xa880ffff,0x55540aaa,0xffff882a,0x7ffc005f,0xfb0006ff,0xffffffff,
    0xffffffff,0xffffffff,0xfff100bf,0xff800bff,0x7fd46fff,0xffffffff,
    0x7fffffff,0x03ffffe6,0xe82fffb8,0x440dffff,0x1ffffffd,0x4c05ffe8,
    0x001fffff,0x3ffff200,0xfffd800f,0xfffc802f,0x880aefff,0xfffffffc,
    0x7ffffc40,0x7fffc005,0x0000006f,0x7fc40000,0x7c005fff,0xff16ffff,
    0xf800bfff,0x0006ffff,0xffff5000,0xffa805ff,0x7c40ffff,0x4005ffff,
    0x3a6fffff,0x5407ffff,0xffffffff,0x7ffff405,0x44000007,0x005fffff,
    0x037ffffc,0x7ffffcc0,0xfffffdcd,0xffffffff,0x05ffffff,0x5fffff88,
    0x7ffffc00,0x7fffffc6,0x3fffa60d,0x3fee7fff,0x7ff407ff,0xfffffa87,
    0xfffff100,0x01bff20f,0x03fffff3,0x7ffe4000,0xfff800ff,0x7fd400ff,
    0x800dffff,0x4ffffffa,0x2fffffc4,0x3ffffe00,0x00000006,0x7ffc4000,
    0x7fc005ff,0xfff16fff,0xff800bff,0x00006fff,0x3ffff600,0x7fff406f,
    0xfff883ff,0x7fc005ff,0x3ff26fff,0x3f601fff,0x7fffffff,0x2fffffc0,
    0x3e200000,0x4005ffff,0x006fffff,0x0fffffd8,0x07fffff3,0x7fc40000,
    0x7c005fff,0x3ee6ffff,0x3604ffff,0x2e7fffff,0x2206ffff,0xffe84fff,
    0x7ff403ff,0xfff705ff,0xfffff980,0x3f200001,0x5400ffff,0xe807ffff,
    0x005fffff,0x7fffffcc,0x3ffffe21,0x7fffc005,0x0000006f,0x7fc40000,
    0x7c005fff,0xff16ffff,0xf800bfff,0x0006ffff,0x3ffe2000,0xff703fff,
    0x3e20dfff,0x4005ffff,0x2a6fffff,0x203fffff,0xffffffff,0xfff301ff,
    0x000007ff,0x5fffff88,0x7ffffc00,0x7ffc4006,0x3ffe64ff,0x000003ff,
    0x17ffffe2,0xdfffff00,0x07fffff4,0xffffff30,0x02ffffe4,0xfa83fff3,
    0xfd806fff,0xff904fff,0xffff980f,0x3200001f,0x200fffff,0x04fffffa,
    0x7fffffcc,0xfffd8001,0x3ffe25ff,0x7fc005ff,0xddd16fff,0xeec803dd,
    0xdddd14ee,0xeeec803d,0xfffff14e,0xffff800b,0xfffff16f,0xffff800b,
    0xddddd16f,0xeeeec803,0x3fffee04,0x7ffc40ff,0xff101fff,0xf800bfff,
    0x3e26ffff,0xf304ffff,0xffffffff,0x3ffee07f,0x3bba21ff,0x776401ee,
    0xffff14ee,0xfff800bf,0x7e4006ff,0x3e60ffff,0x0003ffff,0x3fffe200,
    0x7ffc005f,0x3fffe6ff,0xfffd804f,0x3ffff67f,0x03ffea04,0x005ffffb,
    0x205ffffb,0x7cc06ffe,0x0001ffff,0x3fffff20,0xfffffd80,0x7fe400ff,
    0x30005fff,0x44ffffff,0x005fffff,0x9b7ffffc,0x401fffff,0xf35ffffd,
    0xd803ffff,0xff15ffff,0xf800bfff,0xff16ffff,0xf800bfff,0xff36ffff,
    0xfd803fff,0x7ec05fff,0x7e45ffff,0x2204ffff,0x005fffff,0x237ffffc,
    0x706ffffe,0xff9bffff,0x3ff20bff,0x7ffcc7ff,0x7fec01ff,0x3fffe5ff,
    0x7ffc005f,0x3e2006ff,0x7cc5ffff,0x0003ffff,0x3fffe200,0x7ffc005f,
    0xffff16ff,0xfff9007f,0x7ffff4ff,0x21ffee03,0x801fffff,0x880fffff,
    0x7cc04fff,0x0001ffff,0x3fffff20,0xfffffe80,0xfffe801f,0x3a0001ff,
    0xf10fffff,0x800bffff,0xf36fffff,0xd803ffff,0xff35ffff,0xfd803fff,
    0xfff15fff,0xff800bff,0xfff16fff,0xff800bff,0xfff36fff,0xffd803ff,
    0x7fcc05ff,0xff31ffff,0x4401ffff,0x005fffff,0x237ffffc,0x80fffffc,
    0xfabffffd,0xffd07fff,0xfff98bff,0x7fec01ff,0x3fffe5ff,0x7ffc005f,
    0x3f2005ff,0x7cc1ffff,0x0003ffff,0x3fffe200,0x7ffc005f,0xffff36ff,
    0xfff7005f,0x7ffff4ff,0x11fff202,0x100fffff,0x2a0fffff,0x7cc03fff,
    0x0001ffff,0x3fffff20,0xfffffe80,0xfffff001,0x7ec0001f,0xff11ffff,
    0xf800bfff,0xff36ffff,0xfd803fff,0xfff35fff,0xffd803ff,0xffff15ff,
    0xfff800bf,0xffff16ff,0xfff800bf,0xffff36ff,0xfffd803f,0xfffb805f,
    0xffffd6ff,0xfff8805f,0x7fc005ff,0x7fdc6fff,0xfff82fff,0xffff89ff,
    0x7fffc41f,0x7fffcc3f,0x7ffec01f,0x3ffffe5f,0x7fffc006,0xfff1005f,
    0xfff30dff,0x000007ff,0x2fffffc4,0x3ffffe00,0x5fffff36,0xfffff700,
    0x01fffff4,0xff98dffb,0xff9806ff,0xfff905ff,0xffff9803,0x3200001f,
    0xe80fffff,0x00efffff,0x07fffff8,0x7fffe400,0xfffff12f,0xffff800b,
    0xfffff36f,0xffffd803,0x3fffff35,0x5ffffd80,0x0bfffff1,0x6fffff80,
    0x0bfffff1,0x6fffff80,0x03fffff3,0x05ffffd8,0xbfffffd0,0x00bfffff,
    0x0bfffff1,0x6fffff80,0x1fffffcc,0xe9ffffe6,0x7d43ffff,0x7cc1ffff,
    0x6c01ffff,0x3fa5ffff,0x22007fff,0x004fffff,0x05fffff7,0x9dfffff3,
    0x99999999,0x22005999,0x005fffff,0x9b7ffffc,0x803fffff,0x367ffffc,
    0x3604ffff,0x7ffd46ff,0xfffc805f,0x6fff983f,0xfffff980,0x3f200001,
    0xfe80ffff,0x407fffff,0x06fffff8,0x7fffdc00,0xfffff13f,0xffff800b,
    0xfffff36f,0xffffd803,0x3fffff35,0x5ffffd80,0x0bfffff1,0x6fffff80,
    0x0bfffff1,0x6fffff80,0x03fffff3,0x05ffffd8,0xffffff30,0x001fffff,
    0x0bfffff1,0x6fffff80,0x45fffff8,0x325ffffb,0x7dc5ffff,0xff987fff,
    0x7ec01fff,0x3ff65fff,0xf7002fff,0x2007ffff,0x307fffff,0xffffffff,
    0xffffffff,0x3e2009ff,0x4005ffff,0xf16fffff,0xb009ffff,0x7e4fffff,
    0x3f204fff,0x7fffcc7f,0x7fffc405,0x7fff441f,0xffff9801,0x3200001f,
    0x500fffff,0x07fffff9,0x2fffffcc,0x3ffea000,0xffff14ff,0xfff800bf,
    0xffff36ff,0xfffd803f,0xfffff35f,0xffffd803,0xbfffff15,0xfffff800,
    0xbfffff16,0xfffff800,0x3fffff36,0x5ffffd80,0x3ffff200,0x003fffff,
    0x0bfffff1,0x6fffff80,0x47ffffd8,0x2a3ffffe,0x7ec7ffff,0xff985fff,
    0x7ec01fff,0x3fee5fff,0x4400ffff,0x02ffffff,0x3fffffa8,0xffffff30,
    0xffffffff,0x2009ffff,0x05fffff8,0x37ffffc0,0x80dfffff,0x27fffff8,
    0x205ffffc,0x3e20fffb,0x7e407fff,0x7f40ffff,0xff3005ff,0x00003fff,
    0x07ffffe4,0x1fffff60,0x6fffff88,0x7ffd4000,0xffff14ff,0xfff800bf,
    0xffff36ff,0xfffd803f,0xfffff35f,0xffffd803,0xbfffff15,0xfffff800,
    0xbfffff16,0xfffff800,0x3fffff36,0x5ffffd80,0x3fffe200,0x2006ffff,
    0x05fffff8,0x37ffffc0,0x87ffffdc,0x21fffff8,0x21fffff8,0x983fffff,
    0x401fffff,0x2a5ffffd,0x0dffffff,0xfffffb10,0xfffd001f,0x3fe601ff,
    0xffffffff,0xffffffff,0xffff1004,0xfff800bf,0x3fff66ff,0x3fee02ff,
    0x3fea7fff,0x3fea06ff,0x7ffffc1f,0xfffff302,0x1ffffc8f,0xfffff300,
    0x7e400003,0x4400ffff,0x200fffff,0x007fffff,0x7ffffdc0,0xbfffff13,
    0xfffff800,0x3fffff36,0x5ffffd80,0x03fffff3,0x15ffffd8,0x00bfffff,
    0x16fffff8,0x00bfffff,0x36fffff8,0x803fffff,0x005ffffd,0x7fffffd4,
    0x3fe2001f,0x7c005fff,0xf986ffff,0xff52ffff,0xfffd0fff,0x3fffe27f,
    0xffff981f,0x7ffec01f,0x7ffff45f,0xdcbcdfff,0x5fffffff,0xfffffa80,
    0x3fffe604,0xffffffff,0x04ffffff,0xbfffff10,0xfffff800,0x3ffffea6,
    0xffffb81f,0x3ffe27ff,0x3ffe206f,0x77fffe44,0x7ffffd42,0xfffea8ff,
    0x3fe6002f,0x00001fff,0x03fffff2,0x07ffff60,0x0fffffe8,0x3fff6000,
    0x3fffe1ff,0x7ffc005f,0xffff36ff,0xfffd803f,0xfffff35f,0xffffd803,
    0x17ffffe5,0xdfffff00,0x02fffffc,0x5bffffe0,0x01fffff9,0x02ffffec,
    0x7ffffec0,0xffff8004,0x7ffc005f,0xffff06ff,0x3ffff29f,0x5ffffb84,
    0x01fffff5,0x03fffff3,0x45ffffd8,0xfffffffa,0xffffffff,0xe801ffff,
    0x200fffff,0xadfffff9,0xaaaaaaaa,0xf1001aaa,0x800bffff,0x746fffff,
    0xbdffffff,0xffffffec,0x3ffffc7f,0x883fff60,0xdeffffff,0xffffffff,
    0x1fffffff,0x7fffcc00,0x3200001f,0x800fffff,0x202ffffc,0x01fffffd,
    0x3ffffa00,0x3ffffe0f,0x7fffc005,0xfffff36f,0xffffd805,0x5fffff35,
    0x5ffffd80,0x017ffffe,0x4dfffff0,0x005fffff,0x9b7ffffc,0x402fffff,
    0x005ffffd,0x1fffffb8,0xfffff800,0x7fffc005,0xffffd06f,0x0bffffad,
    0x65ffffe6,0xf306ffff,0xd805ffff,0xfa85ffff,0xffffffff,0xffffffff,
    0xffff9802,0xeeeeeeff,0x3fffffee,0x7fc00000,0x7c005fff,0x7d46ffff,
    0xffffffff,0xffffefff,0x0ffffec7,0xa87fff50,0xffffffff,0xffffffff,
    0x000effff,0x1fffff98,0x3ff20000,0xfc800fff,0x3ee03fff,0x0004ffff,
    0x8ffffff3,0x006fffff,0x9afffffc,0x402fffff,0xf35ffffe,0xe805ffff,
    0x3fe5ffff,0x7c006fff,0x3fe5ffff,0x7c006fff,0xff35ffff,0xfe805fff,
    0xb8005fff,0x001fffff,0x06fffff8,0x2fffffc0,0x8fffffc8,0xf00fffff,
    0xffd3ffff,0x3fe609ff,0x7f402fff,0xff505fff,0xffffffff,0x003fffff,
    0x3ffffff6,0xffffffff,0x003fffff,0x7fffc000,0x7ffc005f,0xfff986ff,
    0xbfffffff,0x5c7ffffb,0x7c03ffff,0x7f4c0fff,0x8bffffff,0xffffffff,
    0xff30000d,0x98803fff,0x3ff600ba,0xfb800fff,0x3ea03fff,0x001fffff,
    0x6fffffd8,0x03fffff4,0x9fffff10,0x0bffffe6,0x2bffffd0,0x02fffff9,
    0xd2fffff4,0x400fffff,0x24fffff8,0x007ffffe,0x53ffffe2,0x02fffff9,
    0x02fffff4,0x7ffffdc0,0xfffe8001,0x3fe2007f,0xff504fff,0xffff9fff,
    0x7fffec0d,0x02fffffb,0x05fffff3,0x05ffffe8,0x7fffff54,0x002dffff,
    0x3fffffe6,0xffffffff,0x03ffffff,0x7ffc0000,0x7fc006ff,0xff305fff,
    0x25ffffff,0x447ffffb,0x6406ffff,0xdb886fff,0x3260bdfe,0x5101bdee,
    0x7fcc0555,0xff301fff,0x7ec03fff,0xf7007fff,0xfe809fff,0x4005ffff,
    0x2ffffff9,0x1fffffec,0xfffffb80,0x5fffff34,0x5fffff80,0x05fffff3,
    0x25fffff8,0x03fffffd,0x9fffff70,0x1fffffec,0xfffffb80,0x5fffff34,
    0x5fffff80,0xffffb800,0xffd8001f,0xf7003fff,0x2209ffff,0xffffffff,
    0x3fee04ff,0xffffffff,0xfffff300,0xfffff805,0x3ffa6005,0xf90001ab,
    0xffffffff,0xffffffff,0x00007fff,0x7ffffe80,0x3fffe200,0x3b2a204f,
    0x3fee0bdf,0xfffd87ff,0x7fff4407,0x88000005,0x2603fffe,0x101fffff,
    0x405fffff,0x007ffffe,0x809ffff7,0x4ffffffa,0xfffff300,0xffff90bf,
    0xff8801ff,0xff12ffff,0x7cc07fff,0xff15ffff,0x7cc07fff,0x3f25ffff,
    0x400fffff,0x2ffffff8,0x3ffffff2,0x7fffc400,0xffff12ff,0x7ffcc07f,
    0xfb8005ff,0x8001ffff,0x0ffffffc,0x7ffffc40,0x3fffa02f,0x02ffffff,
    0x3fffffe6,0x3e206fff,0x2603ffff,0x005fffff,0x00007ff4,0xfffffff1,
    0xffffffff,0x07ffffff,0xffd80000,0xf7003fff,0x0009ffff,0x0dffff90,
    0x803ffff5,0x00dffff9,0xffd10000,0xfffa80df,0x3ffe01ff,0xfff105ff,
    0x3ee00bff,0xfd805fff,0x01efffff,0x3fffffee,0xffff980f,0xfb100dff,
    0x7c4fffff,0x3a06ffff,0xf15fffff,0x740dffff,0x265fffff,0x0dffffff,
    0xfffffb10,0xfffff98f,0xffb100df,0x7fc4ffff,0x3fa06fff,0x8005ffff,
    0x01fffffb,0xfffff980,0xffb100df,0xfc80ffff,0xffffffff,0x7ffffc00,
    0x2204ffff,0x206fffff,0x05fffffe,0x0007ffc0,0x9fffff90,0x33333333,
    0x7fffff73,0xfc800000,0x400fffff,0x2ffffff8,0x40026aea,0xd05ffffc,
    0xf7009fff,0x0007ffff,0xfffffb80,0x7fffec00,0x3fffa00f,0xfffc83ff,
    0xff5004ff,0xff100dff,0xbfffffff,0xfffffd99,0x7ec09fff,0xcdffffff,
    0xfffffdcb,0x7fff43ff,0x3f660cff,0x3a5fffff,0x20cfffff,0xffffffd9,
    0x7ffffec5,0xfdcbcdff,0x83ffffff,0xfffffffd,0xfffdcbcd,0x7f43ffff,
    0x260cffff,0x5ffffffd,0xffffb800,0xffb0001f,0x79bfffff,0xffffffb9,
    0xfffa807f,0x806fffff,0xfffffffd,0x7fff402f,0x3f660cff,0x005fffff,
    0x000fffe2,0x7fffffc4,0xffff3000,0x8000007f,0xdffffff9,0xffffb100,
    0xffffb8ff,0x3ffa205f,0xfff704ff,0x3fff200f,0x0001beff,0xffffff71,
    0x3fff7603,0x7dc07fff,0xccdfffff,0x1ffffffe,0xfffff300,0x3ee0135b,
    0xffffffff,0xffffffff,0x7fcc06ff,0xffffffff,0xffffffff,0x7fffe40f,
    0xffffefff,0x325fffff,0xefffffff,0xffffffff,0x7fffcc5f,0xffffffff,
    0x0fffffff,0xffffff98,0xffffffff,0x640fffff,0xefffffff,0xffffffff,
    0xffb8005f,0x30001fff,0xffffffff,0xffffffff,0xf8801fff,0x4fffffff,
    0xfffffb80,0x7e400fff,0xfeffffff,0xffffffff,0x77ffc005,0xfffb8000,
    0x3e6005ff,0xeeeeffff,0xeeeeeeee,0xfb001eee,0x9bffffff,0xfffffb97,
    0xfffa87ff,0x2620bfff,0x02fffffd,0x005ffff1,0x3fffffa6,0x99aabcef,
    0xffecaa99,0x100dffff,0xffffffff,0xffffd00d,0xffffffff,0x7c400bff,
    0x4fffffff,0x3ffffa60,0xffffffff,0x5003ffff,0xffffffff,0xffffffff,
    0xfffd105f,0xdfffffff,0x44bffff7,0xfffffffe,0xfffbefff,0xffffa85f,
    0xffffffff,0x202fffff,0xfffffffa,0xffffffff,0xffe882ff,0xffffffff,
    0x05ffffbe,0xfffffb80,0x3fea0001,0xffffffff,0x2fffffff,0xffffff00,
    0xff1003ff,0x00dfffff,0xffffffd1,0xff7dffff,0xfe800bff,0x04ecdfff,
    0x1ffffff8,0x3fffe600,0xffffffff,0xffffffff,0xffff3002,0xffffffff,
    0x1fffffff,0xffffff88,0xffffeeff,0x7dc05fff,0x7e4005ff,0xffffffff,
    0xffffffff,0x04ffffff,0x7fffffd4,0xffa802ff,0xffffffff,0x4000efff,
    0xfffffffb,0xffffb804,0xffffffff,0x744000ef,0xffffffff,0x00dfffff,
    0x3fffffa2,0xfff55fff,0xfffe88bf,0xf55fffff,0x3a20bfff,0xffffffff,
    0x00dfffff,0xfffffe88,0xffffffff,0x3ffa200d,0x55ffffff,0x000bffff,
    0x03fffff7,0xfffe8800,0xffffffff,0x36000dff,0x07ffffff,0x3fffffa0,
    0xffd1004f,0x2bffffff,0x005ffffa,0x7fffffd4,0x7ffdc04f,0x7cc006ff,
    0xffffffff,0xffffffff,0x2a002fff,0xffffffff,0xffffffff,0xffff502f,
    0xffffffff,0xd001ffff,0x98001fff,0xffffffec,0xffffffff,0x800befff,
    0xfffffffc,0x3ffea004,0xffffffff,0xffd0000e,0x2009ffff,0xfffffdc9,
    0x0003deff,0x7fffff5c,0x003effff,0xbfffffb1,0x2ffffd47,0x7ffffec4,
    0x3fffea3d,0x7fff5c05,0x3effffff,0xfffeb800,0x3effffff,0xffffb100,
    0x7ffd47bf,0xffb8005f,0x00001fff,0xffffffd7,0x0007dfff,0xbffffff7,
    0x7fffe400,0x362003ff,0x23dfffff,0x005ffffa,0xefffffb8,0x7ffff402,
    0x7fcc002f,0xffffffff,0xffffffff,0x744002ff,0xffffffff,0x00dfffff,
    0x7fffffdc,0xefffffff,0x9fff3002,0x7f5cc000,0xffffffff,0x4001ceff,
    0x4ffffffd,0xfffd8800,0x002effff,0xfffffb80,0x55310004,0x22000003,
    0x09aaaaa9,0x006a2000,0x001a8800,0xaaa98800,0x800009aa,0x9aaaaa98,
    0x06a20000,0xff700000,0x00003fff,0xaaaaa988,0x3e600009,0x003fffff,
    0x3fffffea,0x03510001,0x53100000,0xfff50013,0xf3000fff,0xffffffff,
    0xffffffff,0x20005fff,0xffffffeb,0x2003efff,0xffffffb8,0x8003ffff,
    0x00002aaa,0x26aaa662,0x98800009,0x800009aa,0x0009aaa8,0x1aa99800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaa98800,
    0x400009aa,0x019aaa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2a000000,0x5531aaaa,0x4c400555,0x004ccc19,
    0x0fbbbba6,0x0ccccc00,0x1ffb8000,0x0007ff30,0x00333330,0x2aaaa000,
    0x5555512a,0x17fd4000,0x0004ff88,0x2a201510,0x2a00000a,0x1002aaaa,
    0x005ddddd,0xaaaaa980,0x77776c01,0x77764004,0x3a60deee,0x0000eeee,
    0x77777440,0x07999971,0x2aa20000,0x5554c0aa,0xaaa88001,0xe88002aa,
    0xeeeeeeee,0xeeeee883,0x01988002,0x000004cc,0x00066666,0x02eeeee8,
    0x0fffffa8,0x005ffffd,0xfc9fffcc,0x7fcc00ef,0xb8004fff,0x004fffff,
    0xb05ff980,0xb80003ff,0x005fffff,0x7fffcc00,0x7ffffb1f,0x37fc4000,
    0x0002ffc8,0x5f7ffe44,0x0003ff60,0x7ffffd40,0xffff1003,0xfe80005f,
    0x7c00efff,0x2006ffff,0xfffffffc,0x7ffffcc1,0x7cc00001,0xffd1ffff,
    0x00000dff,0xf32fffec,0x20003fff,0x00fffffc,0x7ffffc40,0xf884ffff,
    0x8002ffff,0xff302ffa,0x7e400009,0x0004ffff,0x005fffff,0x2a3ffffd,
    0x8004ffff,0xeffcfffa,0xffff9800,0x7fcc004f,0x002fffff,0x9bdffe80,
    0x0006ffdb,0x7fffffcc,0x3600002f,0xff32ffff,0xd0000bff,0xfb537bff,
    0xc80001ff,0xefffffff,0x00007ffe,0x00fffff6,0x2fffff88,0x3ffea000,
    0xfff800ef,0xff7006ff,0x303fffff,0x003fffff,0xffff9800,0xdffffd1f,
    0x7c400000,0xfff8afff,0x7ec0003f,0x44004fff,0xffffffff,0xffff884f,
    0xff88002f,0x005ffb06,0x3fffe600,0xf8002fff,0x4c02ffff,0x3fa2ffff,
    0x2e0005ff,0x000fffff,0x09fffff3,0xfefffe80,0x40000fff,0xfffffff9,
    0x740001ff,0xffffefff,0xff880000,0x3fff63ff,0xff300006,0x5fffffff,
    0xffff0000,0xffffffff,0x3e600009,0x44004fff,0x002fffff,0x03ffff60,
    0x37ffffc0,0x7ffffdc0,0xfff301ff,0x800003ff,0xd1fffff9,0x000dffff,
    0xffffa800,0x0006fffe,0x01ffffb0,0x7ffffc40,0xf884ffff,0x0002ffff,
    0xd759dffb,0x00001dff,0xffdfffd1,0xff8001ff,0x7ec02fff,0x3ffea3ff,
    0xaaa8000e,0x1aa99999,0x7ffffcc0,0x3fff2004,0x00bfffd6,0xfffff500,
    0xc80005ff,0xfffb6fff,0xff90000b,0x7fffcc9f,0x3aa00000,0x02ffffff,
    0x13ff9800,0x1bffffb7,0x3ff60000,0xff88005f,0x30002fff,0x4003ffff,
    0x406fffff,0xfffffffa,0x3fffe601,0x4c00001f,0xfd1fffff,0x0000dfff,
    0xfffff900,0x200001ff,0x003fffe8,0x33ffffe2,0xff882ccc,0x10002fff,
    0xffffffff,0x3600003f,0xfffd5fff,0xffff800b,0x3ffe602f,0x007fff44,
    0xf987fe80,0x7ffcc03f,0xff5004ff,0x3ffe21ff,0xa880003f,0x80002cdc,
    0xd10ffffa,0x40007fff,0x7e45fff8,0x000001ff,0x00179b95,0x20332600,
    0x00000ba8,0x0017ffe2,0x00999998,0x03fffb00,0x6fffff80,0x3ffffea0,
    0x7fcc01ff,0x00001fff,0x3a199998,0x0006ffff,0xfffe8800,0x400003ff,
    0x2007ffe8,0x00fffff8,0x2fffff88,0x3ffa6000,0x0002efff,0x21ffff50,
    0x003ffff8,0x80733332,0x66444cca,0x3fa0001c,0x403ff987,0x04fffff9,
    0x98599970,0x00004ccc,0x32e00000,0x6664c2cc,0x33260004,0x0166640c,
    0x00000000,0x00000000,0x001332a0,0xcc800000,0xfff8002c,0xfff306ff,
    0x3005ffff,0x003fffff,0xffe80000,0x000006ff,0x05555510,0x33220000,
    0xfff1001c,0xff1001ff,0x00005fff,0x00057953,0x41cccc80,0x0004ccc9,
    0x00000000,0xcc884cb8,0x7fffcc02,0x0000004f,0x00000000,0x00000000,
    0x0000ccc4,0x03331000,0x00000000,0x01310000,0x00000000,0xfffff000,
    0xfffff30d,0x3e6005ff,0x0001ffff,0x7fff4000,0x0000006f,0x000004cc,
    0x7fc40000,0xf8800fff,0x0002ffff,0x00019998,0x01998800,0x3bbba600,
    0xeeeee8be,0x7776c004,0xddddd15e,0xeeed8009,0xfffff35e,0x00000009,
    0x13bbbba2,0xbddddb00,0x13bbbba2,0xbddddb00,0x3ff6e200,0x1bceffff,
    0xfb710000,0x79dfffff,0x3bba2003,0x76c004ee,0x51005eee,0xdfffffd9,
    0xddd10059,0xddd105dd,0xed8009dd,0xffff5eee,0xfffe88df,0x26002fff,
    0x901fffff,0x01bddddd,0x8f777744,0x006ffffe,0x3b6ea000,0x2defffff,
    0x77777440,0x7776c004,0xfffff15e,0xffff1001,0xf930005f,0xdfffffff,
    0xb8800017,0xeffffffd,0xff3001bc,0xfff19fff,0xff800bff,0xfff16fff,
    0xff800bff,0xfff36fff,0xdddd09ff,0xeec8009d,0x3ffe26ee,0x7fc005ff,
    0xfff16fff,0xff800bff,0xfb806fff,0xffffffff,0x0004ffff,0x7fffffdc,
    0x4fffffff,0xfffff880,0x7fffc005,0xfffa806f,0xffffffff,0x3fe200df,
    0xff882fff,0x7c005fff,0xfff6ffff,0x7ff44dff,0x4003ffff,0x81fffff9,
    0x1ffffffb,0x7ffffcc0,0x0dffffd1,0xffd30000,0xffffffff,0x3e203dff,
    0x4005ffff,0xf16fffff,0x1001ffff,0x005fffff,0x7fffff4c,0xffffffff,
    0xffb8000c,0xffffffff,0xf9804fff,0xff8cffff,0x7c005fff,0xff16ffff,
    0xf800bfff,0xff36ffff,0xfff09fff,0xfe800bff,0x3fe27fff,0x7c005fff,
    0xff16ffff,0xf800bfff,0x2206ffff,0xfffffffd,0xffffffff,0x7ec4001e,
    0xffffffff,0x1effffff,0x3ffffe20,0x7fffc005,0x7ffe406f,0xffffffff,
    0xf103ffff,0xf105ffff,0x800bffff,0xff6fffff,0x3fa2dfff,0x003fffff,
    0x1fffff98,0x7fffffd4,0xffff9801,0xdffffd1f,0xff980000,0xffffffff,
    0x83ffffff,0x05fffff8,0xb7ffffc0,0x00fffff8,0x2fffff88,0xfffff900,
    0xffffffff,0x2003ffff,0xffffffd8,0xffffffff,0x3fe601ef,0xfff8cfff,
    0x7fc005ff,0xfff16fff,0xff800bff,0xfff36fff,0xffff09ff,0xffe800bf,
    0x3ffe27ff,0x7fc005ff,0xfff16fff,0xff800bff,0xff306fff,0xffffffff,
    0xffffffff,0x3fe6009f,0xffffffff,0xffffffff,0xffff104f,0xfff800bf,
    0xffd306ff,0xffffffff,0x7fffffff,0x5fffff10,0xbfffff10,0xfffff800,
    0x2dfffff6,0x5ffffffd,0xffff3000,0x7fffcc3f,0xff3002ff,0x3ffa3fff,
    0x200006ff,0xfffffff8,0xffffffff,0x7fc41fff,0x7c005fff,0xff16ffff,
    0xf1001fff,0x8805ffff,0xfffffffe,0xffffffff,0x4c00ffff,0xffffffff,
    0xffffffff,0xff304fff,0xfff19fff,0xff800bff,0xfff16fff,0xff800bff,
    0xfff36fff,0xffff09ff,0xffe800bf,0x3ffe27ff,0x7fc005ff,0xfff16fff,
    0xff800bff,0xfe886fff,0xefffffff,0xffffffed,0x74402fff,0xffffffff,
    0xfffffede,0xf882ffff,0x4005ffff,0xd06fffff,0xffffffff,0xfffffdbb,
    0xff883fff,0xff882fff,0x7c005fff,0xfff6ffff,0xffffbdff,0x0003ffff,
    0x23fffff3,0x2ffffff9,0x3fffe600,0xdffffd1f,0x7fdc0000,0xccceffff,
    0xffffffec,0x3fffe20f,0x7ffc005f,0xffff16ff,0xfff1001f,0xffd805ff,
    0xefffffff,0xffffffed,0xfd100eff,0xdfffffff,0xffffffdb,0xff305fff,
    0xfff19fff,0xff800bff,0xfff16fff,0xff800bff,0xfff36fff,0xffff09ff,
    0xffe800bf,0x3ffe27ff,0x7fc005ff,0xfff16fff,0xff800bff,0xffc86fff,
    0x80aeffff,0xffffffc8,0x3fff200f,0x880aefff,0xfffffffc,0x7ffffc40,
    0x7fffc005,0xffffb86f,0xfc881dff,0x446fffff,0x882fffff,0x005fffff,
    0xfb7ffffc,0xffffffff,0x06ffffff,0xfffff980,0xfffffe89,0x7ffcc003,
    0xffffd1ff,0x7f40000d,0x2e01ffff,0x22ffffff,0x05fffff8,0xb7ffffc0,
    0x00fffff8,0x2fffff88,0x3ffffee0,0xfd500bff,0x207fffff,0xeffffffc,
    0xfffc880a,0x7cc0ffff,0xff8cffff,0x7c005fff,0xff16ffff,0xf800bfff,
    0xff36ffff,0xfff09fff,0xfe800bff,0x3fe27fff,0x7c005fff,0xff16ffff,
    0xf800bfff,0x7d46ffff,0x00dfffff,0xffffffa8,0xfffff504,0xff5001bf,
    0xf889ffff,0x4005ffff,0x446fffff,0x03ffffff,0xffffffb8,0x3ffffe21,
    0xfffff882,0x7fffc005,0xffffff6f,0xffffffff,0xf98009ff,0xffe9ffff,
    0x98003fff,0xfd1fffff,0x0000dfff,0x0fffffe2,0x3fffff20,0x3ffffe24,
    0x7fffc005,0xfffff16f,0xffff1001,0x3ffe205f,0x8800efff,0x86fffffe,
    0xdffffffa,0xffffa800,0x7ffcc4ff,0xffff8cff,0x7ffc005f,0xffff16ff,
    0xfff800bf,0xffff36ff,0xfffff09f,0xfffe800b,0x3fffe27f,0x7ffc005f,
    0xffff16ff,0xfff800bf,0x7fff46ff,0x7cc005ff,0xe81fffff,0x005fffff,
    0x7fffffcc,0x3ffffe21,0x7fffc005,0x7fffe46f,0x3ff2004f,0x3fe25fff,
    0xff882fff,0x7c005fff,0xfff6ffff,0xbfffffff,0x03ffffff,0x7ffffcc0,
    0x04fffffe,0xfffff300,0x1bffffa3,0x7ffd4000,0xff8801ff,0x3fe26fff,
    0x7c005fff,0xff16ffff,0xf1001fff,0x3205ffff,0x006fffff,0x7fffffc4,
    0x7fffff41,0x7ffcc005,0x3fe61fff,0xfff8cfff,0x7fc005ff,0xfff16fff,
    0xff800bff,0xfff36fff,0xffff09ff,0xffe800bf,0x3ffe27ff,0x7fc005ff,
    0xfff16fff,0xff800bff,0x3fe66fff,0x8001ffff,0x45fffffd,0x1ffffff9,
    0xffffd800,0x3fffe25f,0x7ffc005f,0x3ffe26ff,0x26000fff,0x221bdfff,
    0x882fffff,0x005fffff,0xfb7ffffc,0xffffffff,0xdfffffd3,0x7fffcc00,
    0x5fffffff,0xffff3000,0x3ffffa3f,0xff500006,0x2e009fff,0x3e22accc,
    0x4005ffff,0xf16fffff,0x1001ffff,0x205fffff,0x02ffffff,0xabdefc80,
    0x3ffffe60,0xffd8001f,0x3fe65fff,0xfff8cfff,0x7fc005ff,0xfff16fff,
    0xff800bff,0xfff36fff,0xffff09ff,0xffe800bf,0x3ffe27ff,0x7fc005ff,
    0xfff16fff,0xff800bff,0x3ff26fff,0x30005fff,0xc8ffffff,0x005fffff,
    0xffffff30,0x2fffffc4,0x3ffffe00,0x3ffffe66,0x200a8004,0x82fffff8,
    0x05fffff8,0xb7ffffc0,0xffffffff,0x3ffffe64,0xfff3003f,0xffffffff,
    0xff30005f,0x3ffa3fff,0x100006ff,0x19ffffff,0xfff88000,0x7fc005ff,
    0xfff16fff,0xff1001ff,0xff505fff,0x2000dfff,0x7ffe4008,0xf30005ff,
    0x7ccfffff,0xff8cffff,0x7c005fff,0xff16ffff,0xf800bfff,0xff36ffff,
    0xfff09fff,0xfe800bff,0x3fe27fff,0x7c005fff,0xff16ffff,0xf800bfff,
    0x3fa6ffff,0x0001ffff,0x83fffffa,0x01fffffe,0x3ffffa00,0xfffff10f,
    0xffff800b,0x3fffee6f,0x8800002f,0x882fffff,0x005fffff,0xfb7ffffc,
    0x84ffffff,0x1ffffffd,0xfffff980,0x6fffffff,0xffff9800,0xdffffd1f,
    0x7ffc0000,0x1bdfffff,0xffff8800,0x7ffc005f,0xffff16ff,0xfff1001f,
    0xfff905ff,0x000005ff,0x0ffffff4,0xffffd000,0x3fffe61f,0xfffff8cf,
    0x7fffc005,0xfffff16f,0xffff800b,0xfffff36f,0xbfffff09,0xffffe800,
    0x3ffffe27,0x7fffc005,0xfffff16f,0xffff800b,0x3ffffe6f,0x3f60000f,
    0x3fe1ffff,0x0000ffff,0x47fffff6,0x05fffff8,0x37ffffc0,0x03fffff9,
    0xfff10000,0xfff105ff,0xff800bff,0xffff6fff,0x3fe209ff,0x9806ffff,
    0xefffffff,0x003fffff,0x8fffffcc,0x006ffffe,0x3fffea00,0xcfffffff,
    0xfff8800a,0x7fc005ff,0xfff16fff,0xff1001ff,0xffb05fff,0x00003fff,
    0x7fffffc0,0x3ff60000,0xfff31fff,0xffff19ff,0xfff800bf,0xffff16ff,
    0xfff800bf,0xffff36ff,0xfffff09f,0x5555555d,0xfffd5555,0x7fffc4ff,
    0x7ffc005f,0xffff16ff,0xfff800bf,0x3fffe6ff,0x7e40007f,0x3fe2ffff,
    0x40007fff,0x12fffffc,0x00bfffff,0x26fffff8,0x00fffffd,0xfff88000,
    0xfff882ff,0x7fc005ff,0xffff6fff,0xfffb80df,0x7cc03fff,0xd8efffff,
    0x000fffff,0x47ffffe6,0x006ffffe,0x7fffe400,0xffffffff,0x3fe202df,
    0x7c005fff,0xff16ffff,0xf1001fff,0xfd05ffff,0x0001ffff,0x7ffffc00,
    0x7fe40007,0xfff32fff,0xffff19ff,0xfff800bf,0xffff16ff,0xfff800bf,
    0xffff36ff,0xfffff09f,0xffffffff,0xffffffff,0x7fffc4ff,0x7ffc005f,
    0xffff16ff,0xfff800bf,0xffff16ff,0xfb8000df,0xff13ffff,0x8000dfff,
    0x13fffffb,0x00bfffff,0x26fffff8,0x007ffffe,0xffff1000,0xffff105f,
    0xfff800bf,0xfffff6ff,0xffffd00d,0x7fcc01ff,0xff10efff,0x4c009fff,
    0xfd1fffff,0x0000dfff,0xffffffb0,0xffffffff,0xffff101d,0xfff800bf,
    0xffff16ff,0xfff1001f,0xffff05ff,0x555300ff,0x55555555,0x3ffffe25,
    0x7fdc0006,0xfff33fff,0xffff19ff,0xfff800bf,0xffff16ff,0xfff800bf,
    0xffff36ff,0xfffff09f,0xffffffff,0xffffffff,0x7fffc4ff,0x7ffc005f,
    0xffff16ff,0xfff800bf,0xffff36ff,0xfa8000bf,0xff34ffff,0x8000bfff,
    0x14fffffa,0x00bfffff,0x26fffff8,0x007fffff,0xffff1000,0xffff105f,
    0xfff800bf,0xfffff6ff,0xffff500d,0x7fcc0bff,0x7fe41fff,0xf3001fff,
    0x3fa3ffff,0x00006fff,0xfffffd50,0xffffffff,0xffff881d,0x7ffc005f,
    0xffff16ff,0xfff1001f,0xffff05ff,0xfff900ff,0xffffffff,0x3ffffe6d,
    0x7fd40005,0xfff34fff,0xffff19ff,0xfff800bf,0xffff16ff,0xfff800bf,
    0xffff36ff,0xfffff09f,0xffffffff,0xffffffff,0x7fffc4ff,0x7ffc005f,
    0xffff16ff,0xfff800bf,0xffff16ff,0xfa8000df,0xff14ffff,0x8000dfff,
    0x14fffffa,0x00bfffff,0x26fffff8,0x007fffff,0xffff1000,0xffff105f,
    0xfff800bf,0xfffff6ff,0x3fff600d,0xff302fff,0xff883fff,0xf3006fff,
    0x3fa3ffff,0x00006fff,0x7fffe540,0xffffffff,0x3fffe21f,0x7ffc005f,
    0xffff16ff,0xfff1001f,0xffff05ff,0xffc801ff,0xffffffff,0xfffff16f,
    0xffa8000d,0xfff34fff,0xffff19ff,0xfff800bf,0xffff16ff,0xfff800bf,
    0xffff36ff,0xfffff09f,0xffffffff,0xffffffff,0x7fffc4ff,0x7ffc005f,
    0xffff16ff,0xfff800bf,0x3fffe6ff,0x7dc0007f,0x3fe3ffff,0x40007fff,
    0x13fffffb,0x00bfffff,0x26fffff8,0x00fffffe,0xfff88000,0xfff882ff,
    0x7fc005ff,0xffff6fff,0x3fe600df,0x980fffff,0xb81fffff,0x802fffff,
    0xd1fffff9,0xdddfffff,0xdddddddd,0x98003ddd,0xffffffec,0x3fe26fff,
    0x7c005fff,0xff16ffff,0xf1001fff,0xfd05ffff,0xc803ffff,0xffffffff,
    0x3ffe6fff,0x5c0007ff,0xf33fffff,0x3fe9ffff,0x7c005fff,0x3fe6ffff,
    0x7c005fff,0xff36ffff,0xfff09fff,0x55555dff,0xfd555555,0xfff8ffff,
    0x7fc005ff,0x3ffe6fff,0x7fc005ff,0x3ffa6fff,0x20000fff,0x21fffffd,
    0x00fffffe,0x3ffff600,0x3ffffe1f,0x7fffc005,0x3ffff66f,0x8800001f,
    0xf02fffff,0x800bffff,0xff6fffff,0x6400dfff,0x85ffffff,0x01fffff9,
    0x00fffffd,0x23fffff3,0xfffffffe,0xffffffff,0x0002ffff,0x3ffff6a2,
    0x3ffe2fff,0x7fc005ff,0xfff16fff,0xff1001ff,0xffb05fff,0xfc805fff,
    0xffffffff,0x3fffa6ff,0x360000ff,0xf31fffff,0x3fe9ffff,0x7c005fff,
    0x3fe6ffff,0x7c005fff,0xff36ffff,0xfff09fff,0xfe800bff,0x7ffc7fff,
    0x7fc005ff,0x3ffe6fff,0x7fc005ff,0x3ff66fff,0x20001fff,0x20fffffe,
    0x01fffffd,0x3ffffa00,0x3ffffe0f,0x7fffc005,0x3fffee6f,0x01a8002f,
    0x0bffffe2,0x02fffffc,0x5bffffe0,0x006fffff,0x3fffffe2,0x7fffcc2f,
    0xffff501f,0xfff9809f,0xffffd1ff,0xffffffff,0x5fffffff,0x3fa60000,
    0x3fe4ffff,0x7c005fff,0xff16ffff,0xf1001fff,0xf905ffff,0x9807ffff,
    0xffaaaaaa,0x3ff66fff,0x20001fff,0x30fffffe,0x3e9fffff,0x4006ffff,
    0x3e5fffff,0x4006ffff,0xf35fffff,0xff09ffff,0xe800bfff,0x7fc7ffff,
    0x7c006fff,0x3fe5ffff,0x7c006fff,0x3ee5ffff,0x0004ffff,0x8ffffff3,
    0x04fffffb,0xfffff300,0x6fffff8f,0x7ffffc00,0x3ffffea5,0xcfff8004,
    0x7ffffc41,0xdfffff02,0xfffff800,0x0dfffff5,0xfffffb80,0x3ffe60ff,
    0x3ffa01ff,0x3e600fff,0xffd1ffff,0xffffffff,0xffffffff,0x3b32e65f,
    0x3fea001e,0x3ffe5fff,0x7fc006ff,0xfff15fff,0xff1001ff,0xff305fff,
    0x4000dfff,0x2e6fffff,0x004fffff,0xffffff30,0xa7ffffcc,0x007ffffe,
    0x93ffffe2,0x007ffffe,0x53ffffe2,0x84fffff9,0x005fffff,0x23fffff4,
    0x007ffffe,0x93ffffe2,0x007ffffe,0x93ffffe2,0x1ffffffa,0xffffd800,
    0x7fffd46f,0xfd8001ff,0x7f46ffff,0x22007fff,0x264fffff,0x00ffffff,
    0x3ffffea0,0x3ffffe26,0xfffffd02,0x7fffc400,0xdfffff4f,0xffffd000,
    0x7ffcc9ff,0x3fe601ff,0x3e605fff,0xffd1ffff,0xffffffff,0xffffffff,
    0x3fffe65f,0x7ffc004f,0x3fffa6ff,0x3fe2007f,0xfff14fff,0xff1001ff,
    0x3fe05fff,0x0002ffff,0x54dfffff,0x01ffffff,0xfffffd80,0x3ffffe66,
    0x7fffffb4,0x3fffee00,0x3ffff64f,0xfff7003f,0x13fea9ff,0x0bfffff0,
    0x7ffffe80,0x1fffffec,0xfffffb80,0x3fffff64,0xffff7003,0xffffe89f,
    0x7fcc005f,0xfe82ffff,0x4005ffff,0x2ffffff9,0x1fffffec,0xfffffb80,
    0x7fffff44,0x3fffa003,0x17fe23ff,0x3fffff60,0xffff7003,0x3326009f,
    0x800001ac,0x002bccb8,0x3ffffe60,0x55e65401,0x7fffc000,0x3fe2006f,
    0x3ff65fff,0xf7003fff,0x3e29ffff,0x8800ffff,0x3201accc,0x006fffff,
    0x8dfffff0,0x05fffffe,0x7ffffcc0,0x3fffe62f,0xfffff94f,0xfff8801f,
    0x3ff22fff,0x4400ffff,0x72ffffff,0xfff807ff,0x7f4005ff,0x7fe47fff,
    0x4400ffff,0x22ffffff,0x0ffffffc,0x7ffffc40,0x7fffd42f,0xff3004ff,
    0x2a0bffff,0x04ffffff,0xffffff30,0xfffff90b,0xfff8801f,0x7fcc2fff,
    0xc802ffff,0x20ffffff,0xfc804ffa,0x400fffff,0x2ffffff8,0xfffff700,
    0x4400001d,0x02ffffff,0xfffffa80,0x7fffec01,0x3ff6005f,0xf9004fff,
    0x7e49ffff,0x400fffff,0x2ffffff8,0x01fffff1,0xdfffff70,0xfffff103,
    0x322001df,0x546fffff,0x04ffffff,0xffffff30,0xfffff98b,0xffffff34,
    0x3ff6201b,0x7fcc7fff,0x100dffff,0x4ffffffb,0x7fc03ffc,0x74005fff,
    0x7cc7ffff,0x00dfffff,0xffffffb1,0xffffff98,0xfffb100d,0x3ff60fff,
    0x201effff,0xfffffffb,0x3ffff600,0x3ee01eff,0x80ffffff,0xdffffff9,
    0xffffb100,0x3fff20ff,0xf9103fff,0xb89fffff,0xff9804ff,0x100dffff,
    0x0ffffffb,0x7ffff540,0x2200006f,0x1fffffee,0x7fffec00,0x7ff6400f,
    0xf7004fff,0x019fffff,0x3fffff22,0x3fffe62f,0xfb100dff,0x7c4fffff,
    0xa800ffff,0x07fffffe,0xfffffff7,0x7ffe4405,0xfd86ffff,0x01efffff,
    0x3fffffee,0x7fffcc0f,0x3ffff64f,0xdcbcdfff,0x3fffffff,0xffffffd8,
    0xffdcbcdf,0x363fffff,0x7ffc05ff,0x7f4005ff,0xffd87fff,0xbcdfffff,
    0xffffffdc,0xffffd83f,0xdcbcdfff,0x3fffffff,0xffffff10,0xfd99bfff,
    0x9fffffff,0xfffff880,0xeccdffff,0xffffffff,0x3ffff604,0xdcbcdfff,
    0x3fffffff,0xffffff10,0xffb99bff,0x81ffffff,0xfb006ffc,0x9bffffff,
    0xfffffb97,0x220007ff,0x0000fffe,0x07fffb00,0xffffd9b0,0xff9800ff,
    0x3ffa007f,0xabcfffff,0xffffffcc,0xffffd86f,0xdcbcdfff,0x3fffffff,
    0x27ffffe2,0x74400999,0xffb01fff,0x9dffffff,0xffffffb9,0xf10dffff,
    0xffffffff,0xffffd99b,0xf309ffff,0x7cc9ffff,0xffffffff,0xffffffff,
    0xfff980ff,0xffffffff,0xffffffff,0x807fff60,0x005fffff,0x43fffff4,
    0xfffffff9,0xffffffff,0xf980ffff,0xffffffff,0xffffffff,0x3fee00ff,
    0xffffffff,0xffffffff,0xfff7006f,0xffffffff,0xffffffff,0xffff980d,
    0xffffffff,0x0fffffff,0x3ffffea0,0xffffffff,0xc81fffff,0xf9802fff,
    0xffffffff,0xffffffff,0x3a0000ff,0x00000fff,0x807fff70,0xfffffff8,
    0x7fc4006f,0x3fe6006f,0xffffffff,0xffffffff,0xffff981f,0xffffffff,
    0x0fffffff,0x3fffffe2,0xfd804fff,0xffd101ff,0xffffffff,0xffffffff,
    0x3ee05fff,0xffffffff,0xffffffff,0xfff306ff,0xfffa89ff,0xffffffff,
    0x02ffffff,0x3fffffea,0xffffffff,0x7fdc2fff,0x3e6dceff,0x4005ffff,
    0x507ffffe,0xffffffff,0xffffffff,0x7ffd405f,0xffffffff,0x02ffffff,
    0xfffffe98,0xffffffff,0x4c003fff,0xfffffffe,0xffffffff,0xfff5003f,
    0xffffffff,0x05ffffff,0xfffffd30,0xffffffff,0x3fea05ff,0x507dceff,
    0xffffffff,0xffffffff,0x3351005f,0x0dfffb75,0x53355000,0x803ffff9,
    0xfffffffa,0x5335302f,0x009fffd7,0xffffffa8,0xffffffff,0x3ea02fff,
    0xffffffff,0xffffffff,0x7ffffc42,0x3514ffff,0xdfffb733,0xfffffb00,
    0xffffffff,0x01bfffff,0xfffffe98,0xffffffff,0x3e603fff,0xe884ffff,
    0xffffffff,0x00dfffff,0xfffffe88,0xffffffff,0xffff880d,0x3ffe6fff,
    0x7f4005ff,0x3a207fff,0xffffffff,0x00dfffff,0xfffffe88,0xffffffff,
    0x7fdc000d,0xffffffff,0x0000efff,0x3fffffee,0xefffffff,0x7ff44000,
    0xffffffff,0x4000dfff,0xfffffffc,0x01efffff,0x7ffffff4,0x3fffa207,
    0xffffffff,0xf5000dff,0xdfffffff,0xff880001,0x2fffffff,0xfffffc80,
    0x3ff204ff,0x05ffffff,0xffffd300,0xffffffff,0xfd1005df,0xffffffff,
    0x101bffff,0xffffffff,0x3fffea9f,0x000fffff,0xffffffd7,0xffffffff,
    0xffb8003b,0xffffffff,0x4c00efff,0x204fffff,0xffffffeb,0x8003efff,
    0xffffffeb,0x4c03efff,0x24fffffe,0x005fffff,0x03fffff4,0x7fffff5c,
    0x003effff,0xfffffeb8,0x003effff,0x3fff7260,0x03deffff,0xffb93000,
    0x7bdfffff,0xffeb8000,0xefffffff,0x3b260003,0xefffffff,0xfffb1002,
    0xfd700bff,0xffffffff,0xffa8007d,0x00beffff,0xffff8800,0xb001cfff,
    0x09dfffff,0xffffffc8,0xea80002d,0xffffffff,0xeb8003df,0xffffffff,
    0x3fe203ef,0x4fffffff,0xdffffff5,0xfb500017,0xbfffffff,0x4c000159,
    0xffffffdc,0x00003def,0xaaaa9880,0x8800009a,0x09aaaaa9,0x40554c00,
    0x005fffff,0x03fffff4,0x55555310,0x31000013,0x01355555,0x55310000,
    0x20000003,0x0001aa98,0x55553100,0x00000135,0x00033553,0x4000554c,
    0x9aaaaa98,0x4ccc0000,0x22000000,0x22000199,0x4c000aaa,0x00000099,
    0x26aaea62,0xa9880000,0x0009aaaa,0x33333333,0x01999813,0x554cc000,
    0x4000000a,0x0001aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa60000,0x77401aaa,0xeeeeeeee,0xeeeeeeee,0x2a001eee,0x0002aaaa,
    0xaaa88000,0x774002aa,0xeeeeeeee,0xaccdeeee,0xeeee9800,0x802eeeee,
    0xaa82aaa9,0x200000aa,0x003cccca,0x66654000,0xeee8003c,0x754005ee,
    0xd8005eee,0x003eeeee,0x3bbbba20,0xeeeee982,0x80331000,0x80000099,
    0x00aaaaaa,0x55555000,0x33000005,0x99988133,0x44000001,0x2600000b,
    0x001aaaaa,0xaaaaa800,0x26666002,0x7f400019,0x7c00efff,0xffffffff,
    0xffffffff,0x2001ffff,0x03fffffa,0x7dc00000,0x4001ffff,0xffffffff,
    0xffffffff,0x2600dfff,0xffffffff,0xfff9803f,0x1bfff21f,0xfff90000,
    0x800000bf,0x006ffffc,0x3ffffff8,0x3fffee00,0x7ffcc006,0x20006fff,
    0x82fffff8,0x01fffff9,0x2a03ff70,0x400003ff,0x04fffff8,0xffff7000,
    0x9800005f,0x7ec3ffff,0x000007ff,0x00007fdc,0x06ffffe8,0xfffa8000,
    0xff3003ff,0x40009fff,0x00effff9,0xfffffff8,0xffffffff,0x01ffffff,
    0x37fffd40,0x3e000000,0x8002ffff,0xffffffff,0xffffffff,0x301fffff,
    0xffffffff,0x3fee007f,0xffffa8ff,0x7e400000,0x00005fff,0x37fffe40,
    0x7ffffc00,0xff7000ff,0xfc800dff,0x02ffffff,0xfffff100,0xfffff305,
    0x17fe6003,0x0000fff4,0x17ffff20,0xfffe8000,0x9800002f,0x7ec3ffff,
    0x000007ff,0x800037f4,0x00effffa,0xfffe8000,0x3ff6003f,0x6c0005ff,
    0xf000ffff,0xffffffff,0xffffffff,0x0003ffff,0x005ffff7,0x3fee0000,
    0xff0002ff,0xffffffff,0xffffffff,0xf301ffff,0xffffffff,0x7ffec007,
    0x003ffffe,0xffffc800,0x64000005,0x8006ffff,0x5fffffff,0xdffff700,
    0x7fffc400,0x0005ffff,0x05fffff1,0x03fffff3,0x55f7ff40,0x0006ffec,
    0x2ffffc40,0xfff50000,0x2000007f,0x6c3ffff9,0x00007fff,0x000ffe20,
    0x077fff40,0x7fcc0000,0x3e2004ff,0x40005fff,0x001ffff9,0x3ffffffe,
    0xffffffff,0x01ffffff,0x0dfff900,0x3fa00000,0x3e0003ff,0xffffffff,
    0xffffffff,0x883fffff,0xfffeaaaa,0x3fe2003f,0x005fffff,0xffff9000,
    0xc800000b,0x8006ffff,0xffffffff,0xffffb801,0x3ffee006,0x00ffffff,
    0xfffff880,0xfffff982,0x3ffe6001,0x00ffffff,0x7ffdc000,0x3a00000e,
    0x00004fff,0x0ffffe60,0x000ffffb,0x00ffd400,0x7fffd400,0xfb000000,
    0xfc8009ff,0x40000eff,0x4001fffd,0x005fffff,0x3f200000,0x000001ff,
    0x0027ffd4,0x17ffffe0,0x3ffff260,0xffb005ff,0xfa8007ff,0x000fffff,
    0x99995000,0xa8000007,0x8003cccc,0xffffffff,0xffffb806,0x3fffa006,
    0x03ffffff,0x13333300,0x00666660,0x3ffffa60,0x800001ef,0x0000efff,
    0x013ffe60,0x99910000,0x4cccb859,0x3f600000,0xffb00007,0x2000003f,
    0x4005fff9,0x000efff8,0x002ccc80,0x05fffff8,0x5c000000,0x000002cc,
    0x0001e65c,0x02fffffc,0xffffff30,0x3ffff600,0xaaaa8003,0x0000001a,
    0x00000000,0xfffff000,0xb807ffff,0x3006ffff,0xffffffff,0x00000dff,
    0xb9800000,0x000001bc,0x00019993,0x003cca80,0x33100000,0x80000003,
    0x880004ff,0x00001ccc,0x001332a0,0x00033326,0x80009980,0x005fffff,
    0x33100000,0x40000003,0x40001998,0x005fffff,0x0ffffff4,0x1ffffec0,
    0x00131000,0x02620000,0x4cc00000,0xfff00019,0x1fffffff,0x37fffdc0,
    0xfffffc80,0x02fffffc,0x00000000,0x00000000,0x00000000,0xb7100000,
    0x9dffffff,0x44000037,0x002ffaaa,0x00000000,0x00000000,0xfffdb750,
    0xf005bdff,0x000bffff,0x3f6e2000,0xbcefffff,0xb7100001,0x9dffffff,
    0x7ffc0037,0x7dc005ff,0xd803ffff,0x1003ffff,0xfffffd95,0x1000059d,
    0xfffffd95,0x2000059d,0xffffffc9,0xf800beff,0xffffffff,0x3ffee05f,
    0xffff006f,0xfffff19f,0xeee8800b,0xeee982ee,0xed8000ee,0x0003eeee,
    0x3bbbbbb6,0xeeeeeeee,0x21eeeeee,0xeeeeeeee,0xcdeeeeee,0x5c0000ac,
    0xffffffff,0x004fffff,0x3ffffae0,0x76402fff,0x8005eeee,0x3eeeeed8,
    0x3bbbbbba,0xeeeeeeee,0x11eeeeee,0x005ddddd,0x3fffffa6,0xefffffff,
    0x3ffffe01,0xb8000005,0xffffffff,0x004fffff,0x7ffffdc0,0xffffffff,
    0xfffff004,0xfffd800b,0xffd802ff,0xffa803ff,0xffffffff,0x50000dff,
    0xffffffff,0x001bffff,0x3ffffa60,0xffffffff,0x3ffe00cf,0xffffffff,
    0xdffff702,0xfffff500,0x3fffff63,0x3ffe2000,0xfff982ff,0x7cc001ff,
    0x006fffff,0x3fffffa0,0xffffffff,0x1fffffff,0x3ffffffe,0xffffffff,
    0x000dffff,0x7ffffec4,0xffffffff,0x26001eff,0xfffffffe,0x3e604fff,
    0x004fffff,0x7fffffe4,0x3fffffe0,0xffffffff,0x1fffffff,0x05fffff1,
    0xffffff30,0xffffffff,0x3ffe07ff,0x000005ff,0x3fffff62,0xffffffff,
    0x44001eff,0xfffffffd,0xffffffff,0x7fffc01e,0x7ffc005f,0xfd800fff,
    0x7e403fff,0xffffffff,0x03ffffff,0x7ffffe40,0xffffffff,0x7e4003ff,
    0xffffffff,0xffffffff,0xbfffff01,0x20dfffff,0x806ffffb,0x2a7ffffd,
    0x003fffff,0x0bffffe2,0x07ffffe6,0xfffff900,0x3a0005ff,0xffffffff,
    0xffffffff,0x3fe1ffff,0xffffffff,0xffffffff,0xf3001fff,0xffffffff,
    0xffffffff,0xff7009ff,0xffffffff,0x3201dfff,0x00ffffff,0xffffff10,
    0xffffff87,0xffffffff,0x1fffffff,0x05fffff1,0xffffff88,0xffffffff,
    0xff81ffff,0xccccefff,0xcccccccc,0x3fe600cc,0xffffffff,0xffffffff,
    0xfff3004f,0xffffffff,0xffffffff,0x7ffffc09,0xfffd1005,0x3f600dff,
    0xfd303fff,0xffffffff,0xffffffff,0xfffd3007,0xffffffff,0x07ffffff,
    0xfffffd10,0xffffffff,0x01ffffff,0xfb5fffff,0xf709ffff,0xf880dfff,
    0x3e24ffff,0x2006ffff,0x82fffff8,0x01fffff9,0x3ffffe20,0xd0005fff,
    0xffffffff,0xffffffff,0x7fc3ffff,0xffffffff,0xffffffff,0x4400ffff,
    0xfffffffe,0xffffedef,0x202fffff,0xfffffff9,0xffffffff,0x3ffffa04,
    0xfffb005f,0xffff0bff,0xffffffff,0xffffffff,0x3fffe23f,0x7ffdc02f,
    0xccccefff,0xfffffffe,0x7fffffc0,0xffffffff,0x01ffffff,0xffffffd1,
    0xfffdbdff,0x05ffffff,0xfffffe88,0xffedefff,0x2fffffff,0x9dfffff0,
    0xddb99999,0x3fffffff,0x3ffff600,0xfffffd03,0xffdbbfff,0x03ffffff,
    0xffffffe8,0xfffeddff,0x401fffff,0xfffffffd,0xfffedeff,0x40efffff,
    0xf9afffff,0x5c1fffff,0x5c06ffff,0x6c1fffff,0x002fffff,0x05fffff1,
    0x03fffff3,0x7ffffdc0,0x8000ffff,0xfffffffe,0xffffffff,0x3e1fffff,
    0xffffffff,0xffffffff,0x403fffff,0xeffffffc,0xfffc880a,0xfb00ffff,
    0x3a3bffff,0x0fffffff,0xffffff50,0xffffa805,0xffff80ff,0xffffffff,
    0xffffffff,0xfffff11f,0xffffe805,0x3ffee01f,0x7ffc2fff,0xffffffff,
    0xffffffff,0xffff901f,0x91015dff,0x1fffffff,0x7ffffe40,0xfc880aef,
    0x80ffffff,0xffffffff,0xffffffff,0x004fffff,0x20fffff6,0xdffffffb,
    0xffffc881,0x3fee06ff,0x881dffff,0x6ffffffc,0x3ffffee0,0xfd500bff,
    0xf87fffff,0xff92ffff,0xffb8bfff,0x7ff406ff,0xfff986ff,0xff1005ff,
    0xff305fff,0x74003fff,0xffffffff,0x0000003f,0x9ffffffb,0x05fffff8,
    0xfffffc98,0x3ffea05f,0xa800dfff,0x84ffffff,0x24fffffa,0xffffcff8,
    0x3fff604f,0x7ff406ff,0xfff03fff,0x20000bff,0x02fffff8,0x0fffffe2,
    0x3fffff20,0x7fffffc4,0xffffffff,0x81ffffff,0xdffffffa,0xffffa800,
    0xfff504ff,0x5001bfff,0x09ffffff,0xffffffff,0xffffffff,0x8005ffff,
    0x443ffffd,0x03ffffff,0xffffffb8,0xfffff881,0xfffb803f,0xff881fff,
    0x800effff,0x6fffffe8,0xd17ffffc,0x5c5fffff,0x2606ffff,0xf03fffff,
    0x001fffff,0x05fffff1,0x03fffff3,0x3ffffe60,0x006fffff,0xfffc8000,
    0xfff85fff,0x3e6005ff,0x3a07ffff,0x005fffff,0x7fffffcc,0x7ffffec1,
    0x3f67fea0,0x3e202cdf,0x703fffff,0x40dfffff,0x005fffff,0xfffff100,
    0x7fffd405,0xfff8801f,0x7fffc6ff,0xffffffff,0xffffffff,0xfffffe81,
    0x7ffcc005,0xffe81fff,0x4c005fff,0x41ffffff,0xffffffff,0xffffffff,
    0xd8000bef,0x7e43ffff,0x2004ffff,0x85fffffc,0x04fffffc,0x3fffff20,
    0xfffffc85,0x7ffc4006,0x3ffe1fff,0x3ffea2ff,0xfff70fff,0x7ffec0df,
    0xfff900ff,0xff1007ff,0xff305fff,0x32003fff,0xffcfffff,0x00002fff,
    0x3ffffea0,0xffff80ef,0x7ff4005f,0xff981fff,0x8001ffff,0x45fffffd,
    0x6c4ffffe,0xb800116f,0x40ffffff,0x1ffffff8,0x17ffffe0,0x7ffc4000,
    0x3fea02ff,0x97004fff,0xfff85599,0x99999eff,0x99999999,0xfffff981,
    0xffd8001f,0x7fcc5fff,0x8001ffff,0x45fffffd,0xffffffff,0xffffffff,
    0x7fec0002,0x3ffe23ff,0x26000fff,0x441bdfff,0x00ffffff,0x2f7ffe60,
    0xffffff81,0xdefc8002,0x3fffe0ab,0x7fffec2f,0xdffff74f,0x3ffffe20,
    0x3fffe605,0xfff8806f,0xfff982ff,0xfff001ff,0xffff19ff,0x200000bf,
    0xfffffff9,0xbfffff01,0xffffb800,0xffffc83f,0xff30005f,0xfff8ffff,
    0x027fc3ff,0x3ffff600,0x7fffe45f,0x7fffc04f,0xf100005f,0x4405ffff,
    0x0cffffff,0xffff8000,0x3200005f,0x005fffff,0xffffff30,0x5fffffc8,
    0xffff3000,0xfffff8ff,0x3fff6625,0x20003fff,0x263ffffd,0x004fffff,
    0x7fcc00a8,0xa8004fff,0x7fffd400,0x0110006f,0x42fffff8,0x9ffffff8,
    0x706ffffb,0x55bfffff,0xfff55555,0xf8805fff,0xf982ffff,0xa801ffff,
    0xfb1fffff,0x0001ffff,0xffffe880,0x3ffe02ff,0x7ec005ff,0xfe82ffff,
    0x0001ffff,0x43fffffa,0x22fffff8,0x40001ff9,0x1ffffff9,0x1ffffff3,
    0x5fffff80,0xfff10000,0xfff805ff,0x1bdfffff,0xfffff000,0x7f40000b,
    0x0001ffff,0x83fffffa,0x01fffffe,0x3ffffa00,0x3ffffe0f,0xfffff705,
    0x3f6000bf,0x3fee3fff,0x00002fff,0x5fffff70,0x3f200000,0x0002ffff,
    0x3ffffe00,0xfffffb82,0x06ffffbe,0xfffffffd,0xffffffff,0x880bffff,
    0x982fffff,0x801fffff,0x2a7ffffd,0x003fffff,0x7fffec00,0x7ffc03ff,
    0x7fc005ff,0xff80ffff,0x0000ffff,0x47fffff6,0x22fffff9,0x700007fc,
    0x3adfffff,0x802fffff,0x005fffff,0xfffff100,0xffffa805,0xcfffffff,
    0xffff000a,0x7c0000bf,0x000fffff,0x3fffff60,0x3fffffe1,0x3ff60000,
    0x3ffe1fff,0x3ff205ff,0x8004ffff,0x323ffffd,0x001fffff,0xffff9000,
    0x2000003f,0x01fffffd,0x3ffe0000,0xfffd02ff,0xdfffffff,0xffffff30,
    0xffffffff,0x1fffffff,0x7ffffc40,0xfffff982,0x7fffc401,0x3fffe24f,
    0x3200006f,0x05ffffff,0x05fffff8,0xfffffd10,0x3ffffe0d,0x7fe40007,
    0xfff32fff,0x02ff47ff,0xffffd000,0xbfffffbf,0x3ffffe00,0xccccccce,
    0x0ccccccc,0x0bffffe2,0x3fffff20,0xffffffff,0x7fffc02d,0x3e00005f,
    0x0007ffff,0x17ffffe4,0x00ffffff,0xfffffc80,0x17ffffe2,0xffffffd0,
    0xfffd8007,0x3ffff63f,0xb000000f,0x001fffff,0x3fffa000,0x000000ff,
    0x40bffffe,0xfffffff9,0xffc86fff,0xffffffff,0xffffffff,0x3e203fff,
    0xf982ffff,0x5c01ffff,0x6c1fffff,0x002fffff,0xfffffa80,0xfff800ef,
    0xccccceff,0xffffeedc,0xff881fff,0x40006fff,0x13fffffb,0x269fffff,
    0x200002ff,0xfffffff9,0xf000ffff,0xffffffff,0xffffffff,0x7fc43fff,
    0xfb002fff,0xffffffff,0x01dfffff,0x017ffffe,0x7fffc400,0x7dc0006f,
    0xff13ffff,0x8000dfff,0x23fffffb,0x405fffff,0xfffffff8,0x3fff6000,
    0x3ffffa3f,0x3a000007,0x0007ffff,0x3ffffe00,0xaaaa9807,0x2aaaaaaa,
    0x80bffffe,0xfffffffc,0xffff86ff,0xffffffff,0xffffffff,0x3fe206ff,
    0xff982fff,0x7f401fff,0xff986fff,0x40005fff,0xfffffff9,0xfffff000,
    0xffffffff,0xffffffff,0x3fffe609,0x7d40005f,0x3fe4ffff,0x1ff75fff,
    0x00d66f4c,0x3fffff20,0x2003ffff,0xffffffff,0xffffffff,0x3e21ffff,
    0x2002ffff,0xffffffea,0xefffffff,0x5fffff80,0xfff30000,0xa8000bff,
    0xf34fffff,0x000bffff,0x4fffffa8,0x017ffffe,0x3fffffee,0x3fff6005,
    0x3ffffe3f,0x3e000007,0x0007ffff,0x3ffffe00,0xffffc807,0x6fffffff,
    0x80bffffe,0xfffffff8,0x7ffd46ff,0xaaaaadff,0xfeaaaaaa,0xf102ffff,
    0xf305ffff,0x4c03ffff,0xf03fffff,0x001fffff,0x3ffffe20,0x3fe001ff,
    0xffffffff,0xffffffff,0x3fe202ff,0x40006fff,0x24fffffa,0xd9fffffd,
    0x7fffdc6f,0x3fe2000f,0x06ffffff,0x7fffffc0,0xffffffff,0x21ffffff,
    0x02fffff8,0xffffca80,0xffffffff,0x7ffffc1f,0xff100005,0x8000dfff,
    0x14fffffa,0x00dfffff,0xfffffa80,0x17ffffe4,0x7ffffec0,0xfffb002f,
    0x7ffffc7f,0x3e000007,0x0007ffff,0x3ffffe00,0x7ffe400f,0xffffffff,
    0x0bffffe6,0xffffff50,0xfffd8dff,0x7dc000ff,0xf105ffff,0xf305ffff,
    0x6c03ffff,0x900fffff,0x007fffff,0x3fffffa0,0x7ffc003f,0xffffffff,
    0xbeffffff,0xfffff800,0x7fdc0007,0x3fea3fff,0x23ffdfff,0x05fffff8,
    0xfffffa80,0x7fc001ff,0xffffffff,0xffffffff,0x3ffe21ff,0x4c0002ff,
    0xffffffec,0x7ffc6fff,0xeeeeefff,0xeeeeeeee,0x3fffe5ee,0x7dc0007f,
    0x3fe3ffff,0x40007fff,0x23fffffb,0x005fffff,0xfffffff1,0xffffb001,
    0x7fffff47,0xfd000000,0x0001ffff,0x3ffffa00,0x7ffe401f,0xffffffff,
    0x0bffffe6,0x3fffff60,0x3ffe26ff,0xf88006ff,0x880fffff,0x982fffff,
    0x101fffff,0x40bfffff,0x06fffff9,0xfffffc80,0xfff8004f,0xffffffff,
    0x002fffff,0x07fffff4,0xffffb000,0xfffff83f,0xfec99fff,0x0002ffff,
    0x09fffffb,0xdfffff00,0x33333333,0x88333333,0x002fffff,0x3ff6a200,
    0x3e2fffff,0xffffffff,0xffffffff,0x3fa6ffff,0x0000ffff,0x87fffff6,
    0x00fffffe,0x3ffff600,0x3ffffe1f,0x3ffee005,0xfd805fff,0x3ff63fff,
    0x00001fff,0x3fffffb0,0x3f600000,0x6402ffff,0xffffffff,0x3ffe6fff,
    0xff9802ff,0x2e6fffff,0x003fffff,0x7fffffb0,0x5fffff10,0x3fffff30,
    0x3ffffee0,0xaaaaaaad,0x02ffffff,0x3ffffee0,0xfff0006f,0x7ecc4bff,
    0x003fffff,0x07fffff6,0xffffe800,0x7fffd40f,0xffffffff,0x20006fff,
    0x01fffffb,0x5fffff80,0xfff10000,0x000005ff,0x3fffffa6,0x3fffffe4,
    0xffffffff,0x6fffffff,0x07fffff6,0xffffe800,0x3ffff60f,0x3fa0001f,
    0x3fe0ffff,0x6c005fff,0x01ffffff,0x71ffffec,0x005fffff,0xffb80350,
    0xa8002fff,0x7fffe401,0x5554c03f,0xfffffaaa,0x0bffffe6,0x7ffffe40,
    0x3ffffa6f,0xff50000f,0xff10dfff,0xff305fff,0x3fa03fff,0xffffffff,
    0xffffffff,0xff3005ff,0x001fffff,0x17ffffe0,0x7fffffdc,0xffff7005,
    0x3e60009f,0xf907ffff,0xffffffff,0x001dffff,0x7ffffdc0,0xffff8001,
    0xf100005f,0x2605ffff,0x001eeccb,0x97ffffea,0xffffffff,0xffffffff,
    0x2e6fffff,0x004fffff,0xffffff30,0x4fffffb8,0xffff3000,0xfffff8ff,
    0x7ffc4005,0x7ec06fff,0x3fea3fff,0xf8004fff,0xffa81cff,0xf8004fff,
    0xff981cff,0x20006fff,0x3e6fffff,0x2002ffff,0x56fffffe,0x00bfffff,
    0xffffff80,0x7ffffc42,0xfffff982,0xfffff981,0xffffffff,0xffffffff,
    0x7fffc400,0x20001fff,0x205fffff,0x4ffffffc,0xfffffa80,0xffd8001f,
    0x3ee06fff,0xffffffff,0x40001eff,0x01fffffb,0x5fffff80,0xfff10000,
    0x3fe605ff,0x7c004fff,0x3fe6ffff,0xffffffff,0xffffffff,0x3fea6fff,
    0x8001ffff,0x46fffffd,0x1ffffffa,0xffffd800,0x7ffffc6f,0xfffb8005,
    0x3f603fff,0x3fe63fff,0x2000ffff,0x46fffffa,0x0ffffff9,0x3fffea00,
    0xfffff86f,0xfff0002f,0x7fffcdff,0x3fea002f,0xfffb6fff,0xc80005ff,
    0x445fffff,0x982fffff,0xc81fffff,0xffffffff,0xffffffff,0x403fffff,
    0x2ffffffe,0x7fffc000,0x7fff405f,0xfe803fff,0x4005ffff,0x2ffffff9,
    0x7ffff440,0x0002efff,0x3fffff70,0xfffff000,0x3e20000b,0x3e02ffff,
    0x2006ffff,0x05fffff8,0x027fd400,0x2ffffff4,0x3fffe600,0xfffe82ff,
    0x7cc005ff,0x002fffff,0x00d6664c,0xffffb000,0xfffffe87,0x3fffa003,
    0xfffe83ff,0x3fa003ff,0xfc83ffff,0x0006ffff,0x00dfffff,0x00d6664c,
    0x54000000,0x500003ff,0xf03fffff,0xffffffff,0xffffffff,0x40dfffff,
    0x4ffffffd,0xffff8000,0x7ffc405f,0x5400ffff,0x04ffffff,0xffffff30,
    0x2b7fe00b,0x000009aa,0x0fffffdc,0x7ffffc00,0xff100005,0x7ec05fff,
    0x9004ffff,0x009fffff,0x803ffb80,0x4ffffffa,0xfffff300,0x3ffea0bf,
    0xf3004fff,0x00bfffff,0xdfffff70,0xffb00001,0xfff987ff,0xfc802fff,
    0x980fffff,0x02ffffff,0xffffffc8,0xfffff880,0xf91000ef,0x400dffff,
    0x0efffffb,0x20000000,0x00002ffc,0x81fffff5,0xadfffffa,0xaaaaaaaa,
    0xfffffeaa,0xfffffb82,0xff00005f,0xf700bfff,0x00bfffff,0xdffffffb,
    0x7fffdc03,0xf9800fff,0x8000002f,0x01fffffb,0x5fffff80,0xfff10000,
    0x7fdc05ff,0x100cffff,0x5ffffff9,0x3ffc8000,0xfffffb00,0x7fdc03df,
    0x200fffff,0xeffffffd,0x3fffee01,0xa8000fff,0x06fffffe,0xffffd800,
    0xfffffc83,0xfff9103f,0x7e409fff,0x103fffff,0x9ffffff9,0x7ffffdc0,
    0x3f2202ff,0x06ffffff,0x3ffffaa0,0x0000006f,0x000bff60,0x7ffffec0,
    0x7ffffec0,0x7ffdc000,0x7ffcc5ff,0x0000efff,0x0bfffff0,0x3fffff60,
    0x7ffc402f,0xcdffffff,0xffffffec,0xff7004ff,0x70000001,0x003fffff,
    0x0bfffff0,0x3ffe2000,0x7ff402ff,0xabcfffff,0xffffffcc,0xfe80006f,
    0xfff1005f,0x9bffffff,0xffffffd9,0xff8809ff,0xdfffffff,0xfffffecc,
    0x80004fff,0x000fffe8,0x7feccccc,0xfff883ff,0xccdfffff,0xfffffffd,
    0x3ffe200f,0xccdfffff,0xfffffffd,0x7ffec00f,0xccefffff,0xfffffffd,
    0x10006fff,0x0001fffd,0x3ffa0000,0x3f760004,0x447fffff,0x006fffff,
    0xffffff88,0x3fffff20,0xeeeeeeef,0xeeeeeeee,0x3ffffe5e,0xffff1005,
    0xfb801fff,0xffffffff,0xffffffff,0x3fa006ff,0x70000005,0x003fffff,
    0xdffffff0,0xdddddddd,0x2bdddddd,0x02fffff8,0x7fffffcc,0xffffffff,
    0x001fffff,0x01fffd80,0xffffff70,0xffffffff,0x00dfffff,0x3fffffee,
    0xffffffff,0x006fffff,0x03fffa00,0xfffff980,0xf503ffff,0xffffffff,
    0xffffffff,0xfff5003f,0xffffffff,0x3fffffff,0xffffd100,0xffffffff,
    0xffffffff,0x7f40005f,0x000000ff,0x01fffd00,0xfffff300,0xffb8bfff,
    0xb0003fff,0x647fffff,0xffffffff,0xffffffff,0x26ffffff,0x005fffff,
    0x3fffffee,0xfffe9805,0xffffffff,0x003fffff,0x0000ffe2,0x7fffdc00,
    0xfff8001f,0xffffffff,0xffffffff,0xffff16ff,0xfff5005f,0xffffffff,
    0x05ffffff,0x3fff2000,0x2606ecef,0xfffffffe,0xffffffff,0x7f4c003f,
    0xffffffff,0x3fffffff,0xa99a8800,0x006fffdb,0x7fffffcc,0x3a603fff,
    0xffffffff,0x2fffffff,0x3fffa600,0xffffffff,0x4002ffff,0xfffffffd,
    0xffffffff,0x8800dfff,0xffdba99a,0x0000006f,0x37ffff60,0xffa805ec,
    0x41ffffff,0x00fffffe,0xfffff500,0x7ffffe4d,0xffffffff,0xffffffff,
    0x3ffffe6f,0x7ffec005,0xf7001fff,0xffffffff,0x001dffff,0x0000ffb8,
    0xffff7000,0xfff0003f,0xffffffff,0xffffffff,0x3ffe2dff,0xfd3002ff,
    0xffffffff,0x005dffff,0x7fffc400,0xfb806fff,0xffffffff,0x000effff,
    0x3ffffee0,0xffffffff,0xff50000e,0x1dffffff,0xffff9800,0x803fffff,
    0xfffffffc,0x01efffff,0xfffff900,0xdfffffff,0x3fae0003,0xffffffff,
    0x01dfffff,0x3ffffea0,0x0000efff,0x3fe20000,0x805fffff,0xfffffffc,
    0x7ffffd43,0x7ffc0005,0xfff92fff,0xffffffff,0xffffffff,0x7ffcdfff,
    0x7c4005ff,0x006fffff,0x3ffff726,0x003defff,0x0000dfb0,0x7fffdc00,
    0xfff8001f,0xffffffff,0xffffffff,0xffff16ff,0xfea8005f,0xffffffff,
    0x3000003d,0x09fffffd,0x3fff7260,0x03deffff,0xffb93000,0x7bdfffff,
    0xfffa8000,0x000befff,0xffffff98,0x93003fff,0xfffffffd,0x9300005d,
    0xfffffffd,0x2a00005d,0xfffffffd,0x8000acdf,0xeffffffa,0x0000000b,
    0xffffea80,0xfffe804e,0xffd83eff,0x40002fff,0x95fffffc,0xffffffff,
    0xffffffff,0x4dffffff,0x005fffff,0xffffffb8,0x55310003,0x36a00003,
    0x20000003,0x01fffffb,0xffffff80,0xffffffff,0x6fffffff,0x05fffff1,
    0x55d4c400,0x0000009a,0x00015530,0x001aa988,0x55310000,0x26000003,
    0x30000099,0x33333333,0x2aa60001,0x40000019,0x00019aa9,0x5554cc00,
    0x4cc00000,0x00000009,0x02aa6000,0x01555300,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x76e54000,0xeeeeeeee,0x980eeeee,0xaaa82aaa,
    0x2aa0001a,0x555441aa,0x4c400002,0x00001999,0x35555510,0xeeeee980,
    0x20000001,0x055300a9,0x55551000,0x02aaa981,0x403ff200,0x20002ffa,
    0x00ccccc8,0x106aaaa0,0xa9805555,0xaaaa82aa,0x00000001,0xaaaa8000,
    0x330000aa,0x99988133,0xaaaa8001,0x000000aa,0x00666662,0xaa980000,
    0x40001aaa,0xaa82aaa9,0x555401aa,0x2aa202aa,0x75c02aaa,0xffffffff,
    0xffffffff,0xfffe881f,0x03fffee3,0xefffb800,0x07fffd10,0xfffd8000,
    0x800002ff,0x00effffd,0x0fffffcc,0x6cc00000,0x3a0aefff,0xfb00007f,
    0x7ffccbff,0x3ea0002f,0x01ffd04f,0x7fffcc00,0x3fea000f,0x3fffa0ff,
    0x7fff4404,0x03fffee3,0xffffc800,0x7fffffff,0xfff98000,0xf10004ff,
    0xffd89fff,0xff98007f,0x00004fff,0x3fffffa0,0xb0000002,0x001dffff,
    0x3ffff880,0x003fffee,0x05fffff5,0x07fffff2,0xffffffc8,0xffffffff,
    0x301fffff,0xff33ffff,0xb00005ff,0x3ff6bfff,0x5c00006f,0x0fffffff,
    0x3fe60000,0xf9800fff,0x0001ffff,0xffffd800,0x6fffefff,0xffd10000,
    0x9fffd17f,0xfff88000,0x6ffdb9ad,0x7ffcc000,0x7ec000ff,0xdfffb5ff,
    0x3fffe600,0x02ffff99,0x7fffe400,0x7fffffff,0xfffd8000,0x3e20004f,
    0x7fec4fff,0xff30007f,0x00001fff,0xffffff70,0x8000001f,0x00fffff9,
    0xffff5000,0x05ffff33,0x1bfffee0,0x07ffffe2,0xffffffa8,0xffffffff,
    0x01ffffff,0x3fbbffee,0x100004ff,0xfffbffff,0x4c00001f,0xfffeffff,
    0x3f600005,0xf3001fff,0x0003ffff,0xffff8800,0xffffffff,0x3e600003,
    0x6fffefff,0xfff50000,0x01ffffff,0xffff9800,0x7f44000f,0x1ffffeff,
    0x3bfff200,0x0004fffe,0xffffffc8,0x007fffff,0x2ffffc40,0x3ffe2000,
    0x3fffec4f,0xffff5000,0xf9800007,0x5fffefff,0x7ec00000,0x00001fff,
    0x7ff7ffe4,0x7dc004ff,0x7fdc1fff,0x3fe202ff,0xffffffff,0xffffffff,
    0x7f401fff,0x00efffff,0x3ffea000,0x0003ffff,0x45ffff40,0x0003ffff,
    0x01ffff88,0x3ffffe60,0x54000001,0xffb712ff,0x000009ff,0xfffffff9,
    0x7dc00003,0x01efffff,0xffff9800,0xff98000f,0x003fffff,0xffffffe8,
    0xca80000e,0xcccccccc,0x640004cc,0x80005fff,0x6c4ffff8,0x40007fff,
    0x0007fffa,0x2ffffa20,0x003ffff8,0xffff1000,0x3a000003,0x06ffffff,
    0x8bfff900,0x5c03ffff,0xffffffff,0xfeaadfff,0x400aafff,0x1ffffff8,
    0xffc80000,0x00005fff,0xf337ffe4,0x80003fff,0x4002fffc,0x01fffff9,
    0x26540000,0x0000aa88,0x3ffffa00,0x8800003f,0x0002cdcb,0x33333220,
    0xfff90000,0x22000bff,0x01ffffff,0x00000000,0x0efff880,0xccc88000,
    0x2666542c,0x7ffdc000,0xff900003,0x7fffd4bf,0xfc800001,0x000002ff,
    0x3fffffe6,0x3ff60001,0x07fff51f,0xffffff90,0x647fffff,0x4c007fff,
    0x0002aaaa,0x55555100,0x64400001,0x66540ccc,0x6640003c,0xff98002c,
    0x00001fff,0x01998800,0x55100000,0x00000555,0x00000000,0x55554000,
    0x2a60000a,0x00001aaa,0x00066620,0x01999300,0x00000000,0x07997000,
    0x99991000,0x03ccca81,0x2ccc8000,0xa9800000,0x80001aaa,0x79972ccb,
    0x3ffffa00,0x3fffffff,0x001ffff2,0x00000000,0x00000000,0x00000000,
    0x07ffffe6,0x400002a2,0xfffffdb8,0x0001bcef,0x00000000,0x00000000,
    0x00000000,0x88000000,0xffffffdb,0x00001bce,0x77744000,0x76c004ee,
    0x00005eee,0x00000000,0x00000000,0x00000000,0x3fe00000,0xffffffff,
    0x3fff23ff,0xeeeee887,0xeeeeeeee,0x3a000acd,0xeeeeeeee,0xccdeeeee,
    0xdddd000a,0xdddddddd,0xdddddddd,0x7777743d,0x77754005,0xfffff35e,
    0x3ffff623,0xf70000de,0xffffffff,0x0009ffff,0xeeeeed80,0xdddd0003,
    0xdddddddd,0xdddddddd,0x7777743d,0xeeeeeeee,0xeeeeeeee,0xddddd301,
    0x3bbba207,0xeeeeeeee,0xeeeeeeee,0xffb804ee,0xffffffff,0xcb804fff,
    0x80003ccc,0x05fffff8,0x37ffffc0,0xdddddddd,0xdddddddd,0x003ddddd,
    0x7dddddb0,0xed800000,0x0003eeee,0x3bbbbbb6,0xeeeeeeee,0x81eeeeee,
    0x33eeeee9,0x407ddddd,0xfffffffe,0x3f23ffff,0xfff887ff,0xffffffff,
    0x02ffffff,0xfffffff0,0xffffffff,0x801bffff,0xffffffff,0xffffffff,
    0x3e1fffff,0x003fffff,0x4dbfffee,0xfa9fffff,0xffffffff,0x3ff62002,
    0xffffffff,0x01efffff,0xffff9800,0xff0006ff,0xffffffff,0xffffffff,
    0x7ffc3fff,0xffffffff,0xffffffff,0xfff301ff,0x3fe209ff,0xffffffff,
    0xffffffff,0x2205ffff,0xfffffffd,0xffffffff,0x3fffa01e,0xf880006f,
    0x4005ffff,0x3e6fffff,0xffffffff,0xffffffff,0x4001ffff,0x6ffffff9,
    0x3e600000,0x006fffff,0x3fffffa0,0xffffffff,0x1fffffff,0x4fffff98,
    0x09fffff3,0x7fffffec,0x323fffff,0xff887fff,0xffffffff,0xffffffff,
    0x7fffc00d,0xffffffff,0xffffffff,0x3fffe01f,0xffffffff,0xffffffff,
    0x3ffffe1f,0xff7000ff,0x3ffe6dff,0xfffffdff,0x03ffffff,0xffffff98,
    0xffffffff,0x004fffff,0x7ffffe40,0xff8002ff,0xffffffff,0xffffffff,
    0x3ffe1fff,0xffffffff,0xffffffff,0xfff301ff,0x3fe209ff,0xffffffff,
    0xffffffff,0xf305ffff,0xffffffff,0xffffffff,0x3ffa09ff,0x880006ff,
    0x005fffff,0xf37ffffc,0xffffffff,0xffffffff,0x8003ffff,0xfffffffc,
    0xf9000002,0x05ffffff,0x3ffffa00,0xffffffff,0xffffffff,0xfffff981,
    0x9fffff34,0x7ffffdc0,0x23ffffff,0xf887fffc,0xffffffff,0xffffffff,
    0x3fe02fff,0xffffffff,0xffffffff,0xff00ffff,0xffffffff,0xffffffff,
    0x7ffc3fff,0x7005ffff,0x3e6dffff,0xffffffff,0xffffffff,0x3ffa200f,
    0xdeffffff,0xfffffffe,0xf10002ff,0xbfffffff,0xfffff000,0xffffffff,
    0xffffffff,0x7fffffc3,0xffffffff,0x1fffffff,0x9fffff30,0x3ffffe20,
    0xffffffff,0xffffffff,0xfffe885f,0xedefffff,0xffffffff,0xffffe82f,
    0xff880006,0x7c005fff,0x3fe6ffff,0xffffffff,0xffffffff,0x22001fff,
    0xffffffff,0xf8800005,0x5fffffff,0xffffd000,0xffffffff,0xffffffff,
    0xfffff303,0x3ffffe69,0x7ffff404,0x23ffffff,0xf887fffc,0xffffffff,
    0xffffffff,0xff00ffff,0xffffffff,0xffffffff,0x3e07ffff,0xffffffff,
    0xffffffff,0x3fe1ffff,0x01ffffff,0x36ffffb8,0x9fffffff,0x7ffff4c1,
    0x3fff205f,0x880aefff,0xfffffffc,0xfffb8000,0x00ffffff,0x7fffffc0,
    0xffffffff,0x1fffffff,0x3ffffffe,0xffffffff,0x01ffffff,0x09fffff3,
    0x3fffffe2,0xffffffff,0xffffffff,0xfffffc85,0xfc880aef,0x40ffffff,
    0x006ffffe,0xfffff880,0x7fffc005,0x3ffffe6f,0xffffffff,0xffffffff,
    0x3ffee001,0x00ffffff,0x7ffdc000,0x00ffffff,0xfffffe80,0xffffffff,
    0x1fffffff,0x4fffff98,0x09fffff3,0xffffff98,0x3f23ffff,0xfff887ff,
    0xf73305ff,0x09ffffff,0x017ffffe,0x3fffff26,0xfffff05f,0x7fc0000b,
    0x06ffffff,0x36ffffb8,0x09ffffff,0x0ffffff4,0x7fffffd4,0xfffa800d,
    0xe8004fff,0xffffffff,0x7ffc003f,0x200005ff,0x005fffff,0xffff3000,
    0x7e40009f,0x4001ffff,0xdffffffa,0xffffa800,0x7fff44ff,0xf880006f,
    0x4005ffff,0x3e6fffff,0x0005ffff,0x3fffa000,0x03ffffff,0x7fff4000,
    0x03ffffff,0xffb00000,0x2609ffff,0xf34fffff,0x3009ffff,0xfffffffd,
    0x3fffe47f,0x2fffffc4,0x7fffdc40,0xffff81ff,0x3fe6005f,0xfff07fff,
    0x40000bff,0xffffffff,0x7ffdc03f,0xfffff36f,0xffffa80f,0xffffe83f,
    0x7fcc005f,0x2001ffff,0xfffffff9,0x7c006fff,0x0005ffff,0x17ffffe0,
    0x7fcc0000,0x20004fff,0x01fffffc,0x7fffff40,0x7ffcc005,0x3ffa1fff,
    0x880006ff,0x005fffff,0xf37ffffc,0x000bffff,0x3ffe6000,0x6fffffff,
    0x3fe60000,0xffffffff,0xc8000006,0x05ffffff,0x53ffffe6,0x04fffff9,
    0xffffd910,0x7ffe47ff,0xfffff887,0x3fff6005,0xffff85ff,0x7ff4005f,
    0xfff81fff,0x200005ff,0xffffffff,0x3fee00ff,0xffff36ff,0xfffd009f,
    0xffff98bf,0xfd8001ff,0x2005ffff,0xfcfffffc,0x2002ffff,0x005fffff,
    0x3ffffe00,0xf3000005,0x0009ffff,0x0fffffe4,0xfffff300,0xffb0003f,
    0x7ff4bfff,0x880006ff,0x005fffff,0xf37ffffc,0x000bffff,0x3fff2000,
    0xfffffcff,0xff900002,0xffff9fff,0x4000005f,0xeffffffa,0x3fffe600,
    0xfffff34f,0xff710009,0x7ffe47ff,0xfffff887,0x3ffe2005,0x7ffc1fff,
    0x7dc005ff,0xff83ffff,0x00005fff,0x3ffffffe,0x3ee05fff,0xfff36fff,
    0xffb005ff,0xfffc8dff,0xf30005ff,0x400fffff,0xf8cfffff,0x2005ffff,
    0x005fffff,0x3ffffe00,0xf3000005,0x0009ffff,0x0fffffe4,0xfffff900,
    0x3fe6000b,0x3ffa7fff,0x880006ff,0x005fffff,0xf37ffffc,0x000bffff,
    0x3fffe000,0xfffff8cf,0xfff00005,0xffff19ff,0x200000bf,0xfffffff9,
    0x7fffcc01,0xfffff34f,0x3fe60009,0x3fff23ff,0xfffff887,0x7ffe4005,
    0x7fffc3ff,0x7fec005f,0xfff82fff,0x200005ff,0xffffffff,0xff702fff,
    0x3ffe6dff,0xffc801ff,0x7fff47ff,0x3a0001ff,0x800fffff,0xb1fffffa,
    0x001fffff,0x017ffffe,0xfffff800,0xf3000005,0x0009ffff,0x0fffffe4,
    0xfffffd00,0x7ff40003,0xfffd0fff,0xf10000df,0x800bffff,0x3e6fffff,
    0x0005ffff,0xffffa800,0xfffffb1f,0xffa80001,0xfffb1fff,0x800001ff,
    0xffffffe8,0xffff9802,0xfffff34f,0x3fe60009,0x3fff23ff,0xfffff887,
    0x7ffd4005,0x7fffc5ff,0x7ffc005f,0xfff80fff,0x200005ff,0xffdfffff,
    0xff706fff,0x3ffe6dff,0xffc801ff,0x7fffc7ff,0x360000ff,0x801fffff,
    0x2a7ffffd,0x003fffff,0x00bfffff,0x7ffffc00,0xf3000005,0x0009ffff,
    0x0fffffe4,0xffffff00,0x7fec0001,0xfffd1fff,0xf10000df,0x800bffff,
    0x3e6fffff,0x0005ffff,0xffffd800,0x3ffffea7,0x7fec0003,0x3ffea7ff,
    0x400003ff,0x3ffffffd,0xfffff300,0x3ffffe69,0xfff30004,0x3fffe47f,
    0x2fffffc4,0x3fffe200,0x7ffffc6f,0xfffd1005,0x3ffe0dff,0xccccceff,
    0xcccccccc,0x7ffffc0c,0x4fffffda,0x36ffffb8,0x005fffff,0xf8fffff9,
    0x0007ffff,0x17ffffe4,0x3ffffe20,0x3ffffe24,0xfffff006,0x9999999d,
    0x19999999,0xcefffff8,0xcccccccc,0x200ccccc,0x04fffff9,0x3ffff200,
    0x3ffe001f,0x640007ff,0xfd2fffff,0x0000dfff,0x0bfffff1,0x6fffff80,
    0x33bffffe,0xcccccccc,0x800ccccc,0x24fffff8,0x06fffff8,0x3fffe200,
    0x3fffe24f,0x3200006f,0x05ffffff,0x3ffffe60,0x9fffff34,0x3ffe6000,
    0x1ffff23f,0x17ffffe2,0x3ffffe00,0x77ffffc7,0xedcccccc,0xfffffffe,
    0xffffff01,0xffffffff,0x83ffffff,0xf9afffff,0x5c1fffff,0xff36ffff,
    0xfb005fff,0x7fc4dfff,0x40006fff,0x03fffffb,0x0fffffdc,0x0bfffff6,
    0x3fffffe0,0xffffffff,0x41ffffff,0xffffffff,0xffffffff,0x2601ffff,
    0x004fffff,0x3fffff20,0xffff1001,0xfb8000df,0xffd3ffff,0x10000dff,
    0x00bfffff,0x26fffff8,0xffffffff,0xffffffff,0xb801ffff,0x6c1fffff,
    0x002fffff,0x3fffff70,0x2fffffd8,0xfffa8000,0x2000efff,0x34fffff9,
    0x009fffff,0x8ffffe60,0xf887fffc,0x8005ffff,0x7c7fffff,0xffffffff,
    0xffffffff,0x3e04ffff,0xffffffff,0xffffffff,0x7ffc1fff,0xffff92ff,
    0xffffb8bf,0xbfffff36,0xbffffd00,0x2fffffcc,0x3ffea000,0x7ff404ff,
    0xfff986ff,0xfff805ff,0xffffffff,0xffffffff,0x7ffffc1f,0xffffffff,
    0x1fffffff,0x3ffffe60,0x3ff20004,0xf3001fff,0x000bffff,0x4fffffa8,
    0x00dffffd,0xfffff100,0xffff800b,0x3ffffe6f,0xffffffff,0x1fffffff,
    0x6ffffe80,0x5fffff98,0xffffd000,0xfffff30d,0xff98000b,0x000fffff,
    0xa7ffffcc,0x04fffff9,0x7ffff300,0x443fffe4,0x005fffff,0x47fffff8,
    0xffffffff,0xffffffff,0x7c02ffff,0xffffffff,0xffffffff,0x7ffc1fff,
    0x3fffa2ff,0x3ffee2ff,0xfffff36f,0x7ffd401f,0x3ffe23ff,0x540006ff,
    0x204fffff,0x03fffff9,0x01ffffff,0xfffffff8,0xffffffff,0x7c1fffff,
    0xffffffff,0xffffffff,0x3e601fff,0x0004ffff,0x07fffff2,0x7ffffc40,
    0x7fd40006,0xfffd4fff,0xf10000df,0x800bffff,0x3e6fffff,0xffffffff,
    0xffffffff,0x7cc01fff,0xff03ffff,0x8001ffff,0x03fffff9,0x01ffffff,
    0x3fffe200,0x98001fff,0xf34fffff,0x0009ffff,0xc8ffffe6,0xff887fff,
    0xf8005fff,0x7fc7ffff,0xffffffff,0xefffffff,0xffff800b,0xffffffff,
    0xffffffff,0x17ffffc1,0x1ffffff5,0x4dbfffee,0x05ffffff,0x07fffffa,
    0x00ffffff,0xfffffb80,0x3ffff603,0xffff900f,0xffff807f,0xffffffff,
    0xffffffff,0x7fffffc1,0xffffffff,0x01ffffff,0x13ffffe6,0xffffc800,
    0x3ffe001f,0x5c0007ff,0xfd3fffff,0x0000dfff,0x0bfffff1,0x6fffff80,
    0x3ffffffe,0xffffffff,0x401fffff,0x00fffffd,0x07fffff9,0xfffffd80,
    0xfffff900,0x3ffa0007,0x0003ffff,0x29fffff3,0x04fffff9,0x7ffff300,
    0x443fffe4,0x005fffff,0x46fffff8,0xffffffff,0xffffffff,0x7fffc002,
    0x999999ef,0x19999999,0x42fffff8,0x74fffffd,0x3e6dffff,0x1dffffff,
    0x3fffffa6,0xfffffe85,0x3ff60000,0xff101fff,0x7cc0bfff,0x7c06ffff,
    0x999effff,0x99999999,0xffff8199,0x999999ef,0x19999999,0x7ffffcc0,
    0x3ff20004,0x3a001fff,0x000fffff,0x3fffff60,0x0dffffd1,0x3fffe000,
    0x7ffc005f,0x3fffe6ff,0x999999ef,0x19999999,0x7ffffc40,0x3fffe605,
    0x3fe2006f,0x3e605fff,0x8006ffff,0x4ffffffc,0x3ffe6000,0xffff34ff,
    0x3e60009f,0x3ff23fff,0xffff887f,0x7fc4005f,0x7ffc5fff,0x3f6625ff,
    0x003fffff,0x017ffffe,0xfffff800,0x7ffffc42,0x6ffffb9f,0xfffffff3,
    0xffffffff,0xffb01fff,0x40003fff,0x00fffffe,0x5bfffff7,0xff555555,
    0x7c05ffff,0x0005ffff,0x17ffffe0,0x7fcc0000,0x20004fff,0x01fffffc,
    0x3fffff60,0x3ffa0001,0xfffd0fff,0x3e0000df,0x4005ffff,0x3e6fffff,
    0x0005ffff,0xfffff700,0x5555555b,0x05ffffff,0x3ffffee0,0xaaaaaaad,
    0x02ffffff,0x3ffffee0,0x7cc0006f,0xff34ffff,0x20009fff,0x323ffff9,
    0xff887fff,0x4c005fff,0x7c4fffff,0xf705ffff,0x00bfffff,0x017ffffe,
    0xfffff800,0xfffffb82,0x36ffffbe,0xffbfffff,0xffffffff,0x3ffee07f,
    0xf30004ff,0x740fffff,0xffffffff,0xffffffff,0x3fe05fff,0x00005fff,
    0x017ffffe,0x7ffcc000,0x320004ff,0x001fffff,0x13ffffee,0x7fffcc00,
    0x3ffffa7f,0xfff00006,0xff800dff,0x3ffe5fff,0x000005ff,0xfffffffd,
    0xffffffff,0x200bffff,0xfffffffe,0xffffffff,0x3005ffff,0x1fffffff,
    0xfff98000,0xffff34ff,0x3e60009f,0x3ff23fff,0xffff887f,0x7fdc005f,
    0x7ffc2fff,0x3ff205ff,0xf804ffff,0x0005ffff,0x0bffffe0,0x7ffffff4,
    0xff36ffff,0xfff53fff,0x05ffffff,0x7fffffd4,0xfffd8001,0xfff306ff,
    0xffffffff,0xffffffff,0x3ffe01ff,0x200005ff,0x005fffff,0xffff3000,
    0x7e40009f,0x2001ffff,0x1ffffffa,0xffffd800,0x3ffffa6f,0xffd00006,
    0x7c400fff,0x3fe4ffff,0x00005fff,0xffffff98,0xffffffff,0x0fffffff,
    0x7ffffcc0,0xffffffff,0xffffffff,0x7fffc400,0x80001fff,0x34fffff9,
    0x009fffff,0x8ffffe60,0xf887fffc,0x4005ffff,0x41fffffe,0x405fffff,
    0x3ffffffe,0x2fffffc0,0xffff0000,0x3ffe605f,0x6fffffff,0x23fffff3,
    0xdfffffe9,0xffffe800,0x7fcc005f,0xf902ffff,0xffffffff,0xffffffff,
    0x3e07ffff,0x0005ffff,0x17ffffe0,0x7fcc0000,0x20004fff,0x01fffffc,
    0x7fffff40,0x7ffcc005,0x3ffa2fff,0xb00006ff,0x007fffff,0x93ffffee,
    0x005fffff,0xffffc800,0xffffffff,0xffffffff,0x7ffe403f,0xffffffff,
    0xffffffff,0x7ff403ff,0x0002ffff,0x9fffff30,0x13ffffe6,0x7fffcc00,
    0x21ffff23,0x05fffff8,0x3ffffea0,0x5fffff87,0x7ffffc40,0x3ffe00ff,
    0x200005ff,0x202fffff,0xfffffffc,0xffff36ff,0x01a9883f,0x7ffffd40,
    0xfff3004f,0x7fc0bfff,0xffffffff,0xffffffff,0xff06ffff,0x0000bfff,
    0x02fffffc,0xfff98000,0x320004ff,0x001fffff,0x7fffffd4,0xffff3004,
    0xfffe8bff,0xf900006f,0x801fffff,0x2ffffff8,0x017ffffe,0x3fffe000,
    0xffffffff,0xffffffff,0x7ffc06ff,0xffffffff,0xffffffff,0x3f606fff,
    0x004fffff,0x3fffe600,0xfffff34f,0x3fe60009,0x3fff23ff,0xfffff887,
    0xfffd1005,0xffff07ff,0xfff700bf,0x7fc0bfff,0x00005fff,0x80bffffe,
    0xfffffff8,0xffff36ff,0xd800003f,0x1effffff,0x3ffffee0,0xfff500ff,
    0x55555bff,0xfd555555,0xff05ffff,0x0000bfff,0x02fffffc,0xfff98000,
    0x320004ff,0x001fffff,0xffffffd8,0x3ffee01e,0x7f40ffff,0x00006fff,
    0xbffffff3,0x3fff6201,0x7fffc7ff,0x5400005f,0xaadfffff,0xaaaaaaaa,
    0x2fffffea,0xbfffff50,0x55555555,0xffffd555,0xffff705f,0x80000bff,
    0x34fffff9,0x009fffff,0x8ffffe60,0xf887fffc,0x4405ffff,0xfffffffc,
    0x5fffff80,0xfffffb00,0x3fffe05f,0x3e00005f,0x5402ffff,0xffffffff,
    0x3fffff36,0xff880000,0xdfffffff,0xfffffecc,0x3f604fff,0x4000ffff,
    0x85fffffb,0x005fffff,0x3ffffe00,0xf3000005,0x0009ffff,0x0fffffe4,
    0x7fffc400,0xccdfffff,0xfffffffe,0xffffe84f,0x3f600006,0xcdffffff,
    0xfffffdcb,0x7fffc3ff,0x6c00005f,0x000fffff,0x2fffffdc,0x0fffffd8,
    0x7fffdc00,0x7fffcc5f,0x00000eff,0xa7ffffcc,0x04fffff9,0x7ffff300,
    0x443fffe4,0xeeffffff,0xfffffeee,0xf02fffff,0x200bffff,0xfffffff8,
    0xffffff80,0xeeeeeeee,0x5eeeeeee,0x00bffffe,0x3ffffff6,0xfffff36f,
    0xf7000003,0xffffffff,0xffffffff,0x7fc40dff,0x88006fff,0x40ffffff,
    0xeeffffff,0xeeeeeeee,0x3e5eeeee,0xeeefffff,0xeeeeeeee,0xf305eeee,
    0x0009ffff,0x0fffffe4,0xffffb800,0xffffffff,0x6fffffff,0xdfffffd0,
    0xdddddddd,0x983ddddd,0xffffffff,0xffffffff,0x7ffc0fff,0xeeeeefff,
    0xeeeeeeee,0x3ffe25ee,0xf88006ff,0x440fffff,0x006fffff,0xffffff88,
    0x3fffff20,0xeeeeeeef,0xeeeeeeee,0xffff985e,0xfffff34f,0x3fe60009,
    0x3fff23ff,0xfffff887,0xffffffff,0x4fffffff,0x17ffffe0,0xfffffb80,
    0xfffff85f,0xffffffff,0xffffffff,0x0bffffe6,0x3ffffe60,0xffff36ff,
    0x2000003f,0xffffffe9,0xffffffff,0x7fdc03ff,0xb0003fff,0xf87fffff,
    0xffffffff,0xffffffff,0x3fe6ffff,0xffffffff,0xffffffff,0xff306fff,
    0x40009fff,0x01fffffc,0x3fffa600,0xffffffff,0x203fffff,0xfffffffe,
    0xffffffff,0xfa82ffff,0xffffffff,0xffffffff,0xffffff82,0xffffffff,
    0x6fffffff,0x0fffffee,0x7fffec00,0x7fffdc3f,0xffb0003f,0x7fe47fff,
    0xffffffff,0xffffffff,0xf986ffff,0xff34ffff,0x20009fff,0x323ffff9,
    0xff887fff,0xffffffff,0xffffffff,0x7fffc02f,0x7fec005f,0x7fc1ffff,
    0xffffffff,0xffffffff,0x3ffe6fff,0xff9002ff,0x3e6dffff,0x0001ffff,
    0x7fffdc00,0xffffffff,0xffe800ef,0x50000fff,0xf8dfffff,0xffffffff,
    0xffffffff,0x3fe6ffff,0xffffffff,0xffffffff,0xff306fff,0x40009fff,
    0x01fffffc,0xffffb800,0xffffffff,0x7ff400ef,0xffffffff,0xffffffff,
    0xfffd102f,0xffffffff,0x3fe01bff,0xffffffff,0xffffffff,0x3ffa6fff,
    0x50000fff,0xe8dfffff,0x000fffff,0xdfffff50,0x7fffffe4,0xffffffff,
    0xffffffff,0xfffff986,0x9fffff34,0x3ffe6000,0x1ffff23f,0x3fffffe2,
    0xffffffff,0xff004fff,0x8800bfff,0x46ffffff,0xffffffff,0xffffffff,
    0x3e6fffff,0x2002ffff,0x36fffffe,0x003fffff,0xfb930000,0xbdffffff,
    0x3ffea007,0x7c0005ff,0x3e2fffff,0xffffffff,0xffffffff,0x3fe6ffff,
    0xffffffff,0xffffffff,0xff306fff,0x40009fff,0x01fffffc,0xffb93000,
    0x7bdfffff,0x3ffffa00,0xffffffff,0x2fffffff,0x7ffff5c0,0x03efffff,
    0x7ffffffc,0xffffffff,0x56ffffff,0x00bfffff,0xffffff80,0xbfffff52,
    0xffff8000,0xffff92ff,0xffffffff,0xffffffff,0xfff30dff,0x3ffe69ff,
    0xf30004ff,0x7fe47fff,0xffff887f,0xffffffff,0x2000bdef,0x005fffff,
    0xffffffb8,0x3fffffe3,0xffffffff,0x6fffffff,0x00bffffe,0x6fffffa8,
    0x03fffff3,0x31000000,0x36000355,0x002fffff,0x7ffffe40,0x3fffffe5,
    0xffffffff,0x6fffffff,0x3ffffffe,0xffffffff,0x06ffffff,0x09fffff3,
    0x7fffe400,0x1000001f,0x20003553,0xfffffffe,0xffffffff,0x1002ffff,
    0x13555553,0x3ffffe00,0xffffffff,0xffffffff,0x5fffffb6,0xfffc8000,
    0xffffb5ff,0xfc80005f,0xff95ffff,0xffffffff,0xffffffff,0xf30dffff,
    0x3e69ffff,0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaa880000,0x5554c0aa,0x55544002,0x01aaaa82,0x2a201510,0x1331000a,
    0x2aa20000,0x40002aaa,0xff301ffb,0x26666207,0x99988000,0x33300019,
    0x19998813,0x33331000,0x00133330,0xeeeee800,0x00000001,0x2aa01530,
    0x33300002,0x19998813,0x40999880,0x00099998,0x51000000,0x002aa203,
    0x00000000,0x0002e600,0x03310000,0xaaaa8800,0x7fec002a,0xffffffff,
    0x7fec006f,0x3fffe65f,0xfffe8002,0x03fffea3,0x7dfff910,0x8007fec1,
    0x00003ffa,0x07fffff2,0x05ff9800,0xff303ffb,0x8001dfff,0x03fffffd,
    0x45ffff80,0x000ffffc,0x41ffffb8,0x0005ffff,0x17ffffc0,0xfffffd80,
    0x06ffffff,0x5bfffd50,0x0017fe21,0x13fffe20,0x801ffff9,0x7d46fffe,
    0x3fa02fff,0xffffffff,0xc88005ff,0x321befff,0xff0001ff,0xffffffff,
    0x000009ff,0x009fffd3,0x372a2000,0xbdefffff,0x7ffec001,0x3f6000ff,
    0xffffffff,0x744006ff,0xffe8bfff,0xff30004f,0xffff33ff,0xffff9005,
    0xfffddfff,0x01ffdc00,0x3fff2000,0x7f40004f,0xffdb9bdf,0xffffe887,
    0x3ee004ff,0x00ffffff,0x22ffffc0,0x000ffffc,0x41ffffb8,0x0005ffff,
    0x17ffffc0,0xfffffd80,0x06ffffff,0xfffffff0,0x009fffdf,0x9ffff100,
    0x00ffffc8,0x2a37fff4,0x3a02ffff,0xffffffff,0xc8005fff,0xefffffff,
    0x0000fffe,0xffffffff,0x0009ffff,0xff9dfd00,0xfa800005,0xffffffff,
    0x000dffff,0x013ffff6,0xffffffd8,0x006fffff,0xfeffff98,0x5c0006ff,
    0xfffeefff,0xffffd005,0x9fffffff,0xfffec980,0x00002dff,0x001ffffb,
    0x7ffffcc0,0xfc81ffff,0x2ffffeff,0xeffff980,0x7c006fff,0x7fe45fff,
    0xfb8000ff,0x7ffc1fff,0x7c00005f,0xb002ffff,0xffffffff,0xf500dfff,
    0xffffffff,0x00003fff,0xc89ffff1,0x7400ffff,0x7fd46fff,0x3ffa02ff,
    0xffffffff,0xffe8005f,0xffffffff,0x3fe0005f,0xffffffff,0x400004ff,
    0x017e66f9,0x7ffec400,0xffffffff,0x002fffff,0x003ffffa,0x6666665c,
    0x003ccccc,0xffffff90,0xfb00003f,0x01ffffff,0x2a29ff30,0x00dffffd,
    0x3ffffff2,0x000dffff,0x04fffd80,0x7fffd400,0xffa82fff,0xffffb8ff,
    0x67fff400,0x003ffff8,0xf917fffe,0x70001fff,0xff83ffff,0x400005ff,
    0x002fffff,0x99999997,0x90079999,0x3fae61ff,0x00003fff,0xc89ffff1,
    0x7400ffff,0x7fd46fff,0x332e02ff,0xcccccccc,0x7fc4003c,0xffff9514,
    0x6640001b,0xcccccccc,0x400002cc,0x01fe24fb,0x3fffe600,0xffffffff,
    0x5fffffff,0x7fffd100,0x00000000,0x7fffffd0,0x3fe20000,0x3002ffff,
    0x17510199,0xfffffe80,0x6fffffff,0xffe88000,0xca80000f,0xff880acd,
    0x3fff62ff,0x9bfff205,0x001ffff9,0xca859999,0x98000ccc,0x6640cccc,
    0x400003cc,0x000aaaaa,0x32e00000,0x00055303,0x85999900,0xb804ccca,
    0x664c3ccc,0x000001cc,0x40332200,0x000000aa,0x88000000,0x04fc89ff,
    0x7fffc400,0xedefffff,0xffffffff,0xffd1003f,0x0000000f,0x55555100,
    0xaa980000,0x000002aa,0xfffffb80,0xffffffff,0xc880004f,0x000001cc,
    0x10f332a0,0x91039999,0xcca81999,0x0000003c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffd000,
    0xfc80007f,0x0aefffff,0xfffffd98,0x991000ff,0x77774439,0x776c004e,
    0x000005ee,0x00000000,0x7ffc4000,0xecffceff,0x000fffff,0x00000000,
    0x00000000,0x77777400,0xeeeeeeee,0xeeeeeeee,0xeeed8001,0x360003ee,
    0xeeeeeeee,0xeeeeeeee,0xe981eeee,0x0003eeee,0x1f77776c,0xeeeec800,
    0xed88005e,0xe983eeee,0x3a03eeee,0xeeeeeeee,0xeeeeeeee,0x3ba1eeee,
    0x54005eee,0x8005eeee,0x03eeeeed,0x3fe60000,0x0006ffff,0x3fffffe6,
    0xfffa800d,0x80004fff,0x05fffff8,0x37ffffc0,0xdddddddd,0xdddddddd,
    0x743ddddd,0x4005eeee,0x305eeeea,0x407ddddd,0xf55ffffb,0xffffd17f,
    0x3bb60007,0x40003eee,0x03eeeee9,0x1f77774c,0x2eeeee88,0x7fffc000,
    0xffffffff,0xffffffff,0x7fcc001f,0x0006ffff,0x3ffffffa,0xffffffff,
    0x81ffffff,0x04fffff9,0x3fffe600,0xf30006ff,0x009fffff,0xffffffc8,
    0xfffff980,0x3ffffe04,0xffffffff,0xffffffff,0x3fffffe1,0x3ffee003,
    0x7fcc006f,0x0006ffff,0x3ffff200,0xd0002fff,0x00bfffff,0xffffff98,
    0x7fc40001,0x7c005fff,0x3fe6ffff,0xffffffff,0xffffffff,0x3ffe1fff,
    0x2e003fff,0xf306ffff,0x6409ffff,0xff52ffff,0x0fbffee7,0x3fffe600,
    0x4c0006ff,0x404fffff,0x04fffff9,0x05fffff1,0xfffff800,0xffffffff,
    0xffffffff,0x7ffe4001,0x0002ffff,0xfffffffd,0xffffffff,0x303fffff,
    0x009fffff,0x7ffffe40,0xf90002ff,0x001fffff,0x3fffffe2,0xfffff303,
    0x7ffffc09,0xffffffff,0xffffffff,0x3fffffe1,0xfff7000f,0xffc800df,
    0x002fffff,0xffff8800,0x8005ffff,0x1ffffff9,0xffffd800,0x3bba205f,
    0x3ffe22ee,0x7fc005ff,0x3ffe6fff,0xffffffff,0xffffffff,0x3fffe1ff,
    0xf7000fff,0x3e60dfff,0x3604ffff,0xff50ffff,0x640000c7,0x2fffffff,
    0x3ffe6000,0x7fcc04ff,0xff104fff,0x80005fff,0xffffffff,0xffffffff,
    0x001fffff,0x3fffffe2,0xfd0005ff,0xffffffff,0xffffffff,0xff303fff,
    0x20009fff,0xfffffff8,0x3fa0005f,0xb005ffff,0x40bfffff,0x04fffff9,
    0x3ffffffe,0xffffffff,0x21ffffff,0x5fffffff,0xdffff700,0x7fffc400,
    0x0005ffff,0xfffffb80,0x4000ffff,0x05fffffb,0xfffff300,0x7fffc40f,
    0x3fffe22f,0x7ffc005f,0x3fffe6ff,0xffffffff,0xffffffff,0x3ffffe1f,
    0xff7005ff,0x3fe60dff,0x3f604fff,0x7ff52fff,0x7fc40000,0x05ffffff,
    0x3fffe600,0x7ffcc04f,0xfff104ff,0xf80005ff,0xffffffff,0xffffffff,
    0x2001ffff,0xfffffffb,0xfe8000ff,0xffffffff,0xffffffff,0xff981fff,
    0x70004fff,0xffffffff,0x3ea0001f,0x402fffff,0x0ffffffa,0x3ffffe60,
    0x3ffffe04,0xffffffff,0xffffffff,0x3fffffe1,0xffb801ff,0x3ee006ff,
    0xffffffff,0x7f400000,0xffffffff,0x7ffe4003,0x3a0001ff,0x100fffff,
    0x445fffff,0x005fffff,0xf37ffffc,0xffffffff,0xffffffff,0x7fc3ffff,
    0x01ffffff,0x06ffffb8,0x09fffff3,0x477fffe4,0x00003ffa,0x3fffffee,
    0x30000fff,0x809fffff,0x04fffff9,0x05fffff1,0xfffff800,0x20000005,
    0xfffffffe,0x000003ff,0xffffffb0,0x3fffe609,0xffd0004f,0x7fffffff,
    0x7ffec000,0x7ff406ff,0x7cc03fff,0x3e04ffff,0x0005ffff,0x3fffffe0,
    0xffb806ff,0x3fa006ff,0xffffffff,0x3e600003,0xffffffff,0x7fec006f,
    0x20000fff,0x01fffffd,0x45fffff1,0x05fffff8,0x37ffffc0,0x00bfffff,
    0x7ffffc00,0xfb806fff,0xff306fff,0x7d409fff,0xffceffff,0x3fa00003,
    0xffffffff,0xfff30003,0xff9809ff,0xff104fff,0x80005fff,0x005fffff,
    0xfff30000,0xdfffffff,0xf9000000,0x40bfffff,0x04fffff9,0xfffff980,
    0x006fffff,0x3ffffe20,0xffff703f,0xfff300df,0x7ffc09ff,0x200005ff,
    0xffffffff,0x7ffdc03f,0xfff3006f,0xdfffffff,0x7fe40000,0xffffcfff,
    0x3ffa002f,0x640007ff,0x102fffff,0x445fffff,0x005fffff,0xf37ffffc,
    0x000bffff,0x7fffffc0,0x7dc03fff,0xff306fff,0xfe809fff,0x3fffffff,
    0xfff30000,0xdfffffff,0x3ffe6000,0x7fcc04ff,0xff104fff,0x80005fff,
    0x005fffff,0xfff90000,0xfffff9ff,0x54000005,0x0effffff,0x3ffffe60,
    0xfffc8004,0xfffffcff,0x3fee0002,0x7c40ffff,0x801fffff,0x04fffff9,
    0x017ffffe,0xfffff800,0x200fffff,0x006ffffb,0xf9fffff9,0x0005ffff,
    0x33ffffe0,0x05fffff8,0x1bffffe0,0xffff7000,0x3ffe207f,0x3ffe22ff,
    0x7fc005ff,0x3ffe6fff,0x200005ff,0xffffffff,0x3fee00ff,0xfff306ff,
    0xffa809ff,0xdfffffff,0x3f20000a,0xfffcffff,0xf98002ff,0x4c04ffff,
    0x104fffff,0x105fffff,0xffff0033,0x000000bf,0x233ffffe,0x005fffff,
    0xffff3000,0xf9803fff,0x8004ffff,0xf8cfffff,0x0005ffff,0x2fffffec,
    0x13fffff2,0x7ffffcc0,0x3ffffe04,0x3fe00005,0xffffffff,0x3fffee05,
    0xfffff006,0xbfffff19,0xfff50000,0x3fff63ff,0xff9800ff,0x40005fff,
    0x04fffffa,0x45fffff1,0x05fffff8,0x37ffffc0,0x00bfffff,0x7ffffc00,
    0x205fffff,0x306ffffb,0x009fffff,0xfffffff9,0x0009ffff,0x233ffffe,
    0x005fffff,0x4fffff98,0x7ffffcc0,0xfffff104,0x7ffff645,0xfffff02e,
    0x5000000b,0x363fffff,0x000fffff,0x7fff4400,0xf9802fff,0x4004ffff,
    0xb1fffffa,0x001fffff,0x7ffffcc0,0xfffff31f,0x3fe6001f,0x3fe04fff,
    0x00005fff,0x3ffffffe,0xf702ffff,0xf500dfff,0x3f63ffff,0x0000ffff,
    0x53ffffec,0x007fffff,0x0dfffff1,0xffffa800,0xffff103f,0x7fffc45f,
    0x7ffc005f,0x3fffe6ff,0x3e00005f,0xffffffff,0xfff702ff,0x3ffe60df,
    0xff7004ff,0xffffffff,0x7d4001df,0xffb1ffff,0x98001fff,0x404fffff,
    0x04fffff9,0x15fffff1,0xfffffffd,0xfffff09f,0xb000000b,0x7d4fffff,
    0x0003ffff,0x7ffffec0,0xfff3003f,0xfd8009ff,0x3fea7fff,0x40003fff,
    0xd6fffffb,0x005fffff,0x27ffffcc,0x0bfffff0,0x7fffc000,0x6fffffdf,
    0x0dffff70,0x4fffffb0,0x03fffffa,0x3fffe200,0x3fffe24f,0xffff006f,
    0xfb8000ff,0xf102ffff,0x7c45ffff,0x4005ffff,0x3e6fffff,0x0005ffff,
    0x37ffffe0,0x706fffff,0x260dffff,0x004fffff,0x3fffff26,0x00ffffff,
    0x4fffffb0,0x03fffffa,0x7ffffcc0,0x7fffcc04,0xffff104f,0xffffff9f,
    0xf89fffff,0xccceffff,0xcccccccc,0xf8800ccc,0x3e24ffff,0x0006ffff,
    0x3fffff20,0x3fe6005f,0x22004fff,0x224fffff,0x006fffff,0xfffffe80,
    0x05fffffd,0x7ffffcc0,0x3ffffe04,0xccccccce,0x0ccccccc,0x6d7ffffc,
    0xb84fffff,0x4406ffff,0x224fffff,0x006fffff,0x3ffffee0,0x7ffffec1,
    0xffffe802,0x3f60000f,0xf101ffff,0x7c45ffff,0x4005ffff,0x3e6fffff,
    0xccceffff,0xcccccccc,0x7ffc0ccc,0xffffdaff,0xffffb84f,0xfffff306,
    0xff910009,0x9fffffff,0xfffff100,0x7ffffc49,0x7ffcc006,0x7fcc04ff,
    0xff104fff,0xffffffff,0xffffffff,0x7fffffc1,0xffffffff,0x01ffffff,
    0x1fffffb8,0x17ffffec,0x7ffd4000,0x2000efff,0x04fffff9,0x3ffffee0,
    0x7ffffec1,0x7fcc0002,0xffffffff,0x7fcc000f,0x3fe04fff,0xffffffff,
    0xffffffff,0x7fffc1ff,0xfffff9af,0x7fffdc1f,0x7fffdc06,0x7fffec1f,
    0xffd0002f,0xfff30dff,0xff900bff,0x40003fff,0x00fffffe,0x45fffff1,
    0x05fffff8,0x37ffffc0,0xffffffff,0xffffffff,0xff83ffff,0xfff9afff,
    0x7fdc1fff,0xfff306ff,0x2a0009ff,0xffffedff,0x7fdc00ff,0x7fec1fff,
    0x26002fff,0x404fffff,0x04fffff9,0xfffffff1,0x7fff4c39,0x3fffe3ff,
    0xffffffff,0xffffffff,0xffffe801,0xfffff986,0x7fcc0005,0x000fffff,
    0x27ffffcc,0xdffffd00,0xbfffff30,0xfff90000,0x07ffffff,0xfffff300,
    0x7ffffc09,0xffffffff,0x1fffffff,0xc97ffffc,0x5c5fffff,0x7406ffff,
    0xf986ffff,0x8005ffff,0x03fffff9,0x01ffffff,0x4fffffb8,0x3e603260,
    0x2207ffff,0x222fffff,0x005fffff,0xf37ffffc,0xffffffff,0xffffffff,
    0xfff83fff,0xffff92ff,0xffffb8bf,0xfffff306,0x3fea0009,0x5fffff73,
    0x6ffffe80,0x5fffff98,0x3fffe600,0x7ffcc04f,0xfff104ff,0x3e60bfff,
    0x3fe5ffff,0xffffffff,0xffffffff,0x7fcc01ff,0xfff03fff,0x20001fff,
    0xfffffff8,0xfff98001,0xff3004ff,0x3fe07fff,0x0000ffff,0x7fffffc4,
    0xf30006ff,0x7c09ffff,0xffffffff,0xffffffff,0x7ffc1fff,0x3fffa2ff,
    0x3ffee2ff,0x3ffe606f,0xffff03ff,0xfd8001ff,0xf900ffff,0xa807ffff,
    0x00ffffff,0xffd87ffb,0x3e205fff,0x3e22ffff,0x4005ffff,0x3e6fffff,
    0xffffffff,0xffffffff,0x7ffc1fff,0x3fffa2ff,0x3ffee2ff,0xffff306f,
    0x3ea0009f,0x3ffff63f,0x3fffe603,0xfffff03f,0x3fe6001f,0x7cc04fff,
    0xf104ffff,0x401fffff,0x3e6ffffe,0xffffffff,0xffffffff,0x7ec01fff,
    0xf900ffff,0x0007ffff,0x3ffffffa,0xfff30003,0x3f6009ff,0xf900ffff,
    0x0007ffff,0xffffff50,0x3e60003f,0x3e04ffff,0xffffffff,0xffffffff,
    0x7ffc1fff,0x3ffea2ff,0xfff70fff,0x7ffec0df,0xfff900ff,0x7c4007ff,
    0x2605ffff,0x806fffff,0x84fffffe,0x9bfffff9,0x03ffffff,0x8bffffe2,
    0x05fffff8,0x37ffffc0,0xffffffff,0xffffffff,0xff83ffff,0x3fea2fff,
    0xff70ffff,0x3fe60dff,0x53104fff,0x1ffd4575,0x409ffff5,0x00fffffd,
    0x07fffff9,0x3ffffe60,0x7fffcc04,0xffff104f,0xfffd80bf,0x3ffffe6f,
    0x9999999e,0x01999999,0x2fffffc4,0xdfffff30,0xffff9000,0x4c0009ff,
    0x804fffff,0x05fffff8,0x1bffffe6,0x7ffec000,0x260004ff,0x204fffff,
    0x99efffff,0x99999999,0xfff81999,0x7ffec2ff,0xffff74ff,0x3fffe20d,
    0x3ffe605f,0x3ee006ff,0xaaadffff,0xffffaaaa,0x7fd402ff,0x7d43ffff,
    0xffffffff,0x7c406fff,0x7fc2ffff,0x7c005fff,0x3fe6ffff,0x9999efff,
    0x99999999,0xfffff819,0x7ffffec2,0x0dffff74,0x13ffffe6,0x53ffffdc,
    0x7ffd47ff,0xffff102f,0x7ffcc0bf,0xff3006ff,0xf9809fff,0xf104ffff,
    0xd809ffff,0x3fe6ffff,0x00005fff,0xbfffff70,0xf5555555,0x005fffff,
    0x7fffffdc,0x7fcc0006,0xfb804fff,0xaaadffff,0xffffaaaa,0xb80002ff,
    0x001fffff,0x3ffffe60,0x3ffffe04,0x3fe00005,0x7fc42fff,0xffb9ffff,
    0xfff706ff,0x55555bff,0xffffff55,0x3fffa005,0xffffffff,0xffffffff,
    0xffffd805,0x7fdc45ff,0xffffffff,0x7fffc401,0x7ffffc2f,0x7fffc005,
    0x3ffffe6f,0x3fe00005,0x7fc42fff,0xffb9ffff,0xfff306ff,0x3fe209ff,
    0x7ff53fff,0x80ffffec,0xadfffffb,0xffaaaaaa,0x9802ffff,0x404fffff,
    0x04fffff9,0x07fffff1,0x26ffffc8,0x005fffff,0xffffd000,0xffffffff,
    0xbfffffff,0x3fffe600,0x40000fff,0x04fffff9,0xffffffe8,0xffffffff,
    0x005fffff,0xfffffb80,0x3fe60001,0x3fe04fff,0x00005fff,0x20bffffe,
    0xbefffffb,0xfd06ffff,0xffffffff,0xffffffff,0xff300bff,0xffffffff,
    0xffffffff,0xf8801fff,0xdfffffff,0xffffdbac,0x8804ffff,0x7c2fffff,
    0x4006ffff,0x3e5fffff,0x0005ffff,0x0bffffe0,0x3bffffee,0x306ffffb,
    0x409fffff,0xa9fffffe,0xffff13ff,0x3fffa01f,0xffffffff,0xffffffff,
    0xffff9805,0x7ffcc04f,0xfff104ff,0xffc805ff,0x3fffe6ff,0x9800005f,
    0xffffffff,0xffffffff,0x400fffff,0xfffffff8,0xff980001,0x7cc04fff,
    0xffffffff,0xffffffff,0x0000ffff,0x0fffffdc,0xffff3000,0x7fffc09f,
    0x3e00005f,0xfd02ffff,0xffffffff,0xffff30df,0xffffffff,0xffffffff,
    0xfffc801f,0xffffffff,0xffffffff,0xffb803ff,0xffffffff,0xffffffff,
    0xff8803ff,0x7ff42fff,0x3e2007ff,0x3fe4ffff,0x00005fff,0x40bffffe,
    0xfffffffe,0xff306fff,0x7dc09fff,0xffdfffff,0x4fffffcb,0xffffff30,
    0xffffffff,0x1fffffff,0xfffff980,0x7fffcc04,0xffff104f,0xfffc805f,
    0x3ffffe6f,0xfc800005,0xffffffff,0xffffffff,0x7403ffff,0x02ffffff,
    0xffff3000,0xfffc809f,0xffffffff,0xffffffff,0x5c0003ff,0x001fffff,
    0x3ffffe60,0x3ffffe04,0x3fe00005,0xff302fff,0xffffffff,0xfffff90d,
    0xffffffff,0xffffffff,0xfffff807,0xffffffff,0xffffffff,0xffd3006f,
    0xffffffff,0xffffffff,0x7fc405df,0x7fec2fff,0xf7003fff,0x7fc9ffff,
    0x00005fff,0x40bffffe,0xfffffff9,0xff306fff,0xfe809fff,0xffffffff,
    0x206fffff,0xfffffffc,0xffffffff,0x03ffffff,0x27ffffcc,0x3ffffe60,
    0xfffff104,0xffffc805,0x17ffffe6,0x3ffe0000,0xffffffff,0xffffffff,
    0x3f606fff,0x004fffff,0x3fffe600,0x7fffc04f,0xffffffff,0xffffffff,
    0x5c0006ff,0x001fffff,0x3ffffe60,0x3ffffe04,0x3fe00005,0x3f202fff,
    0xffffffff,0xffffff86,0xffffffff,0xffffffff,0x3fffea06,0xaaaaaadf,
    0xffeaaaaa,0x2e002fff,0xffffffff,0xffffffff,0x882effff,0x642fffff,
    0x00ffffff,0x7fffffc4,0x17ffffe2,0xffff8000,0x3fff202f,0x06ffffff,
    0x09fffff3,0xffffff98,0xffffffff,0x3ffffe01,0xffffffff,0xffffffff,
    0x7ffcc06f,0x7fcc04ff,0xff104fff,0xfc805fff,0x3ffe6fff,0x400005ff,
    0xadfffffa,0xaaaaaaaa,0xfffffeaa,0xfffffb82,0x4c00005f,0x204fffff,
    0xadfffffa,0xaaaaaaaa,0xfffffeaa,0x3fee0002,0x20001fff,0x04fffff9,
    0x017ffffe,0xfffff800,0x3fffe202,0x546fffff,0xaadfffff,0xaaaaaaaa,
    0x2fffffea,0x1fffffb0,0xffffb800,0x6e4c005f,0xdfffffff,0xfffffbac,
    0xfff882ff,0x7ffcc2ff,0xb100dfff,0xf8ffffff,0x0005ffff,0x0bffffe0,
    0xffffff88,0xff306fff,0xd3009fff,0xffffffff,0x7d401dff,0xaaadffff,
    0xaaaaaaaa,0x02fffffe,0x13ffffe6,0x9fffff30,0x3ffffe20,0x7fffe402,
    0x17ffffe6,0xfffb0000,0xfb8001ff,0x7cc5ffff,0x00efffff,0x7ffcc000,
    0x3ff604ff,0x5c000fff,0x005fffff,0x3ffffee0,0x3fe60001,0x3fe04fff,
    0x00005fff,0x00bffffe,0xfffffff5,0xffffd8df,0x7fdc000f,0xff885fff,
    0x88006fff,0x00ffffff,0x02aa6200,0x37fffec4,0x7ffec000,0xcbcdffff,
    0xfffffffd,0x2fffffc3,0xffff0000,0xfffa805f,0x306fffff,0x009fffff,
    0x7fffff5c,0xffd803df,0x5c000fff,0x205fffff,0x04fffff9,0x27ffffcc,
    0x2fffff88,0x37fffe40,0xddffffff,0xdddddddd,0x44bddddd,0x006fffff,
    0xffffff88,0x3fffff20,0xeeeeeeef,0xeeeeeeee,0xffff985e,0xffff104f,
    0xff1000df,0x0001ffff,0x07ffffee,0xffff9800,0x3fffe04f,0xeeeeeeff,
    0xeeeeeeee,0x3ffffe5e,0xffffd802,0x3fe26fff,0x88006fff,0x40ffffff,
    0x03fffffb,0xfffffb00,0x40000007,0x0002fffb,0xffffff98,0xffffffff,
    0x7c0fffff,0xeeefffff,0xeeeeeeee,0x3fe5eeee,0xfd802fff,0x06ffffff,
    0x09fffff3,0x19ff9100,0x3fffe200,0xff88006f,0xf300ffff,0x9809ffff,
    0x104fffff,0x805fffff,0x3e6ffffc,0xffffffff,0xffffffff,0x3ee6ffff,
    0x0003ffff,0x47fffffb,0xfffffffc,0xffffffff,0x6fffffff,0x4fffff98,
    0x7fffff70,0x3fff6000,0xf70003ff,0x0003ffff,0x27ffffcc,0xfffffff0,
    0xffffffff,0x4dffffff,0x802fffff,0xfffffff9,0x3ffffee6,0xfffb0003,
    0xfffe87ff,0xf50000ff,0x000dffff,0x00b50000,0x7fffd400,0xffffffff,
    0xf82fffff,0xffffffff,0xffffffff,0x3fe6ffff,0xf9802fff,0x06ffffff,
    0x09fffff3,0x00ffea00,0x3fffffb8,0xffffb000,0x3ffe607f,0x7fcc04ff,
    0xff104fff,0xfc805fff,0x3ffe6fff,0xffffffff,0xffffffff,0x3fffa6ff,
    0xf50000ff,0x7e4dffff,0xffffffff,0xffffffff,0x986fffff,0xd04fffff,
    0x001fffff,0x3ffffea0,0xfff70006,0x4c0003ff,0x204fffff,0xffffffff,
    0xffffffff,0x3e6fffff,0x9002ffff,0x4dffffff,0x00fffffe,0xfffff500,
    0x7ffffd4d,0x7ffc0005,0x00002fff,0x80000000,0xffffffe8,0xdfffffff,
    0xffffff00,0xffffffff,0xdfffffff,0x017ffffc,0xffffffc8,0xfffff306,
    0x3fea0009,0x3fffa003,0xf50000ff,0x260dffff,0x404fffff,0x04fffff9,
    0x05fffff1,0x26ffffc8,0xffffffff,0xffffffff,0xf56fffff,0x000bffff,
    0x2ffffff8,0xfffffff9,0xffffffff,0xdfffffff,0x9fffff30,0xbfffff50,
    0xffff8000,0xfb8002ff,0x0001ffff,0x13ffffe6,0xfffffff8,0xffffffff,
    0x26ffffff,0x002fffff,0x5bfffffa,0x05fffffa,0x7ffffc00,0xfffffb2f,
    0xffc80005,0x00005fff,0x00000000,0x3fffffae,0x403effff,0xffffffff,
    0xffffffff,0x3e6fffff,0x2002ffff,0x06fffffe,0x09fffff3,0x00ffea00,
    0x2fffffd4,0x3fffe000,0xfff982ff,0x7fcc04ff,0xff104fff,0xfc805fff,
    0x3ffe6fff,0xffffffff,0xffffffff,0xffffb6ff,0xfc80005f,0xff95ffff,
    0xffffffff,0xffffffff,0xf30dffff,0xfb09ffff,0x0005ffff,0x5fffffc8,
    0xffffb800,0x3e60001f,0x3e04ffff,0xffffffff,0xffffffff,0x3fe6ffff,
    0x2a002fff,0xfb6fffff,0x0005ffff,0x5fffffc8,0x00000000,0x00000000,
    0x2a620000,0x0009aaaa,0xffffffff,0xffffffff,0x7cdfffff,0x2002ffff,
    0x06fffffa,0x09fffff3,0x7ec00000,0x0002ffff,0x2fffffe4,0x27ffffcc,
    0x3ffffe60,0xfffff104,0xffffc805,0x00000006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00026620,0x30000998,0x06620000,0x00099800,0x00155530,0x00000200,
    0x26200002,0x26600009,0x55400000,0x22002aaa,0x0aa601aa,0x19998000,
    0x4cc00000,0x44000000,0x10000199,0x55305555,0x44000035,0x55500009,
    0x55300005,0x35555055,0x20aaaa60,0x0001aaaa,0x00002620,0x00aaaaa2,
    0x05555400,0x02662000,0x3600be60,0xf90005ff,0x7f5c007f,0x10003fff,
    0xe9800dff,0x002effff,0x0007fff4,0x05bfd710,0xdffb8800,0x3ff60001,
    0x7ff90005,0x7fd40000,0x7c002fff,0x0dff106f,0x7ffe4c00,0x0befffff,
    0xfdb75000,0x05bdffff,0xffdb8800,0x1bceffff,0x9fffd000,0x00ffffcc,
    0xffeca880,0x002cefff,0x0003fffd,0xf85fffc8,0xff104fff,0x7ffd45ff,
    0xeeeed80f,0xfffdb985,0xd0000cff,0x005fffff,0x07fff880,0x7fee5440,
    0x40ceffff,0x3202ffe8,0x88005fff,0x3f6006ff,0x05ffffff,0x002ffd80,
    0x3fffffea,0xff5004ff,0xfd80009f,0x0001ffff,0x07fffff6,0x17fff200,
    0x01bfe200,0xffffd000,0x5ffb0007,0x0009ff90,0xffffffd3,0x9fffffff,
    0x3ffa6001,0xffffffff,0xb8001eff,0xffffffff,0x004fffff,0x8affff88,
    0x0004fffe,0xfffffff5,0x01bfffff,0x003fffc8,0x227fff40,0x202ffff8,
    0xf98ffffa,0xfff02fff,0xfffc8dff,0x2fffffff,0x7fffe400,0x20000fff,
    0x2005fffa,0xfffffffa,0x8cffffff,0xa86fffe8,0x005ffffe,0x3002ffd8,
    0xfffbffff,0x7fcc007f,0x3ffe2006,0x1fffffff,0x00fffe80,0x5c3fe200,
    0xdf10004f,0xa8013f21,0x005ffffe,0x0002ffd8,0x13fffea0,0x77ffd400,
    0x00ffffdc,0x7ffffe40,0xffffffff,0x4c01ffff,0xffffffff,0xffffffff,
    0xfffb1003,0xffffffff,0x003dffff,0xfdffffb8,0xf90006ff,0xffffffff,
    0x07ffffff,0x002fffd4,0x50bfffe0,0xc803ffff,0xfffeefff,0x3ffffe05,
    0xfffffb16,0x3fffffff,0x3fffea00,0x0005fffe,0x200ffff2,0xffffffd8,
    0xffffffff,0x0efffeff,0x3fffffa2,0x7fcc005f,0x9fff6006,0x2005fff8,
    0x32001ffe,0xffb0dfff,0xfffa80df,0x27dc0004,0x2e000ff1,0x201fe24f,
    0xffffffe8,0x37fcc005,0x3ff60000,0x7e40004f,0x2fffffff,0x3fffa200,
    0xffffffff,0xffffffff,0xfffff100,0xffffffff,0x803fffff,0xfffffff9,
    0xffffffff,0x4004ffff,0xfffffffd,0x7ff4c001,0xffffffff,0x3fffffff,
    0x00ffff10,0x07fffcc0,0x401fffee,0xfffffffe,0x3ffffe00,0xfffffe9e,
    0xffffffff,0x7ffc400f,0x3ffff8bf,0x5fffd000,0xfffff980,0xffffffff,
    0xffffffff,0x77ffc41f,0x74005fff,0x262001ff,0x13ffe22a,0x002ffd40,
    0xf98bfffa,0x3fa00fff,0x4c0000ff,0x0017ea6f,0x0bf537cc,0xffdfff10,
    0xffe800bf,0x3e600001,0x500005ff,0x03dfffff,0xfffffd80,0xfedeffff,
    0xefffffff,0xfffffb80,0xfeccccef,0x00ffffff,0xffffffd1,0xfffdbdff,
    0x05ffffff,0x7ffffc40,0xffe8003f,0xddffffff,0xfffffffe,0x1fffd01f,
    0x3ffee000,0x05fffd87,0xffffff30,0xfffff803,0xefffffff,0xffffffff,
    0x7ffec03f,0x03fffea5,0x1ffff100,0x7ffffc40,0xeddeffff,0xffffffff,
    0xf2df881f,0x7d400bff,0x6540005f,0xd000ffff,0xff8001ff,0x7fffc0ff,
    0x09fff501,0x37ffa000,0x3a0002ff,0x801ffdff,0xbfff2df8,0x02ffd400,
    0x1332a000,0x26a60000,0xfffb8000,0x500bffff,0x7ffffffd,0x3fffffd0,
    0x7ffffdc0,0xffff902f,0x91015dff,0x1fffffff,0x55554c00,0xfffb8002,
    0xc881dfff,0x06ffffff,0x0005fff9,0x3a17fff2,0x26004fff,0xf802aaaa,
    0xffffffff,0x3ff660be,0x2207ffff,0x5540aaaa,0x7cc001aa,0x7fe406ff,
    0x102effff,0xfffffff9,0xfff83103,0x03ffe005,0xffffb000,0x13fee003,
    0x1ffff100,0xd02ffff8,0x00001fff,0x00ffff66,0x7fffb300,0xfff06200,
    0x07ffc00b,0x00000000,0xf1000000,0x01dfffff,0xfffffd10,0xfffff88d,
    0xffffc803,0xffffa84f,0xfa800dff,0x004fffff,0x7fc40000,0xb803ffff,
    0x81ffffff,0x0004fffa,0xf889fffd,0x00002fff,0xffffff80,0x7fe402ff,
    0x0002ffff,0x3fee0000,0x3ffe604f,0xb800dfff,0x04ffffff,0x200bfff0,
    0x80004ffb,0x01effffe,0x0007ffc4,0xf03fffe6,0xff507fff,0x1000009f,
    0x28800005,0x5fff8000,0x009ff700,0x04d4c000,0x4c4002d8,0xfffc8001,
    0x7c4006ff,0x2a1fffff,0x801fffff,0x86fffff8,0x05fffffe,0x7ffffcc0,
    0x5331001f,0x7e400133,0x2004ffff,0x85fffffc,0x5406fff8,0xfffccccc,
    0xffdcccdf,0x1004cdff,0x7ffc0033,0x8803ffff,0x03ffffff,0x000cd440,
    0x80bfff60,0x05fffffe,0xffffff50,0xfff001ff,0x1fff100b,0xd5130000,
    0x7e401fff,0xff88003f,0x7fffc0ff,0x00fffe82,0x00000000,0x04cd4cc4,
    0x05fff800,0x000fff88,0x3ffb2200,0xf90cffff,0xfed9807f,0x801defff,
    0x02ffffff,0xabdefc80,0x3ffffea0,0x59997004,0xfffff985,0xffd8001f,
    0x32205fff,0xffffffff,0x7ffc403d,0x26000fff,0xf01bdfff,0x7e401fff,
    0xffffffff,0xffffffff,0x36607fff,0x1deffffe,0x3fffffe0,0x3fff6005,
    0xfeb805ff,0x02efffff,0x00ffff80,0x3ffffff5,0xfffff300,0xf009ffff,
    0xff900bff,0xf7000007,0x3fe605ff,0x3ffe0006,0x3fffe21f,0x027ffd41,
    0x77777440,0x77776401,0xffff9104,0x007bffff,0xc805fff8,0x200003ff,
    0xfffffffb,0xfffeffff,0x3fffee01,0x03ffffff,0x1bffffea,0x22004400,
    0x0cffffff,0xfffc8000,0xf30005ff,0x2e0fffff,0xffffffff,0x2604ffff,
    0x004fffff,0xffb000a8,0x7ffe405f,0xffffffff,0xffffffff,0xffff707f,
    0x07ffffff,0x07fffffe,0xfffffa80,0x3fffa606,0xefffffff,0xdfff3000,
    0x7ffffdc0,0xffff8804,0x07fffffe,0x4c05fff8,0x910006ff,0xfffa89dd,
    0x005ffb03,0x51ffff40,0xfe81ffff,0xf98000ff,0x6c01ffff,0xfb85ffff,
    0xffffffff,0x3e004fff,0x7fcc05ff,0xfd100006,0xffffffff,0x05ffffff,
    0x7fffffec,0x0dffffff,0x2fffffc8,0x7fc00000,0xbdffffff,0xfffd0001,
    0x740003ff,0x540fffff,0xffffffff,0x05ffffff,0x05fffff7,0xffb80000,
    0x3fff204f,0xffffffff,0xffffffff,0xffffd87f,0xffffffff,0x7ffffc0d,
    0x7ffc4007,0xfff707ff,0xffffffff,0xf7001dff,0x7fe409ff,0x74401fff,
    0xfff8efff,0x7fc00fff,0x17fec05f,0x3fffd000,0x207fffa6,0x40005ff9,
    0xfbcffffa,0x7fd44fff,0xff30004f,0xfd803fff,0x7fd45fff,0xffffffff,
    0xf005ffff,0xffd80bff,0xffb00002,0xffffffff,0x40dfffff,0xfffffffb,
    0x4fffffff,0x1fffffd8,0x7d400000,0xffffffff,0xf000acff,0x001fffff,
    0x7ffffec0,0x3ffffe21,0xfffffeff,0xffc82fff,0x00001fff,0x037ffcc0,
    0xfff99995,0xff9999bf,0xb8999bff,0xffffffff,0x44ffffff,0x007fffff,
    0x3fffffc4,0x7fffffc4,0xffffffff,0xfffd806f,0x3ffffa02,0x7fff400f,
    0xfffffb0e,0x05fff803,0x00017fea,0xfffffff5,0x3ffa0bff,0xffe80001,
    0x0fffffff,0x0007fff4,0x1fffff98,0x2ffffec0,0xfffffff1,0xfffffffd,
    0xbfff005f,0x002ffd40,0xfffffb80,0xfff930ae,0xff105fff,0x75c3dfff,
    0x740fffff,0x000fffff,0xfffc8000,0xffffffff,0x7fc02dff,0x40007fff,
    0x22fffffc,0x0bfffffb,0x3fffff22,0xfffffd84,0xf8000000,0xf1000fff,
    0xff985fff,0xfff100ff,0x7f5c3dff,0x3fe0ffff,0xf8006fff,0x6c0fffff,
    0x31dfffff,0x3fffffd7,0x00ffff80,0x01fffffe,0x643ffffb,0x402fffff,
    0x3fa05fff,0xfb80001f,0x0dffffff,0x0004ffa8,0xfffffb10,0xfffa83df,
    0x3fe60004,0x7ec01fff,0x3fee5fff,0x3220bfff,0x804fffff,0x3fa05fff,
    0xf880001f,0x880effff,0x87fffffe,0x00fffffd,0xf89ffffb,0x9807ffff,
    0xaaaaaaaa,0xffb02aaa,0xffffffff,0x101dffff,0x00dfffff,0xfffffb80,
    0x13fffb23,0x2fffffc4,0x03fffff4,0xffd80000,0xfff3002f,0x7fffb81f,
    0x3fffff60,0x9ffffb00,0x037ffffc,0x7fffffc0,0x3ffffea0,0xfffff304,
    0x3fffcc0b,0xdfffff10,0x0ffffe40,0x0fffffee,0x2e09ddb0,0x200004ff,
    0x02ceeec9,0x0001fff1,0x3ceeca80,0x001fffd0,0x7ffffcc0,0x7fffec01,
    0x13fffb25,0x2fffffc4,0xb82776c0,0x900004ff,0x203fffff,0xfffffffe,
    0x3ffffe23,0x3fffe203,0x3ffffe0f,0xffffc807,0x6fffffff,0x3ffffaa0,
    0xffffffff,0x7ffcc0ef,0x540005ff,0x304fffff,0x7ffec015,0xfffff85f,
    0x70000007,0x2e009fff,0xffd87fff,0xffff105f,0x7ffc407f,0xfffff0ff,
    0xffff000d,0x7ffec3ff,0x3ff600ff,0x3fee02cd,0x3ffe605f,0xfff705ff,
    0xffff505f,0xf880009f,0xfed980ff,0x00000cef,0x2e00fff2,0x200007ff,
    0xda84fffa,0xf982dffe,0x6c01ffff,0x5305ffff,0x7fffec01,0xff880005,
    0xfffa800f,0x5ffffd80,0xffddffb0,0x7ffccbff,0x7ff401ff,0x3fffe1ff,
    0x7fe400ff,0xffffffff,0xffca806f,0xffffffff,0x3fe21fff,0x40006fff,
    0x04fffffa,0xffffd500,0xffffff0d,0x26000000,0xfb005fff,0xfffd0bff,
    0x3fffe609,0x7fff401f,0xdfffff1f,0xffffd000,0x7ffff43f,0xb0004404,
    0x7c407fff,0xfa86ffff,0xff503fff,0x80009fff,0xffb83ffc,0x02ffffff,
    0x07ff8800,0x007fff98,0x03fffa00,0xfffffff9,0x7fffcc1b,0x7ffec01f,
    0xfd50005f,0x0000dfff,0xf3007ff9,0xfff01fff,0xfff907ff,0x4dffff93,
    0x99fffffa,0xfe999999,0x3ffa2fff,0x7e401fff,0xffffffff,0x64c006ff,
    0xfffffffe,0x7fffc6ff,0x7dc0007f,0x8803ffff,0xfffffeca,0xfffe86ff,
    0x000000ff,0x200ffff0,0x7c44fffe,0xff502fff,0x33333fff,0xffffd333,
    0x1bffffe5,0x3ffffa00,0x3ffffe0f,0x7fc00003,0x7ffc01ff,0x7ffd47ff,
    0x3ffee04f,0x220002ff,0xfff986ff,0x0fffffef,0x17fec000,0x1ffffe20,
    0x7ffd4000,0x7ffffdc4,0x3e64ffff,0x6c01ffff,0x8805ffff,0xfffffeca,
    0x440006ff,0xff8806ff,0x7fc40fff,0x7fdc2fff,0xfffff72f,0x3ffffee1,
    0xffffffff,0x363fffff,0x402fffff,0xfffffffc,0x0006ffff,0x3ffff6a2,
    0x3ffa2fff,0x20000fff,0x01fffffd,0xfffffd73,0x0dffffff,0x03fffffb,
    0x3f600000,0xccca81ff,0xcccdffff,0xccdffffd,0xfffff74c,0xffffffff,
    0x3e7fffff,0x8006ffff,0x10fffffe,0x007fffff,0x3fffc400,0x7fffff40,
    0x0bffff31,0x1fffffd8,0x0bff6000,0xfc8bfff2,0x260002ff,0xffe806ff,
    0xd00007ff,0x7fc41fff,0xfffb8cff,0xfffff30f,0xffffd803,0xfffd7305,
    0xffffffff,0xffd8000d,0xffffe802,0x7fffcc0f,0x8fffea1f,0xb1fffff9,
    0xffffffff,0xffffffff,0x7ffe49ff,0x554c03ff,0xffffaaaa,0xd300006f,
    0x6c9fffff,0x001fffff,0x3fffffa0,0x7ffff440,0xffffffff,0xfffb86ff,
    0x1a8002ff,0x1fffdc00,0x7fffffe4,0xffffffff,0xb7ffffff,0xffffffff,
    0xffffffff,0x3fffe9ff,0xfff8006f,0xfff30fff,0x400005ff,0xd805fffa,
    0xf8afffff,0xfe805fff,0x0000ffff,0x3b60dff3,0x1fffcc7e,0x03ffd000,
    0x7fffffd8,0xfffa8000,0x237ffd44,0xff33fffe,0xfd805fff,0x7f445fff,
    0xffffffff,0x006fffff,0x201bfe60,0x0ffffffc,0x97ffffc4,0x7d44fff9,
    0xff90ffff,0xffffffff,0xffffffff,0x7ffffccb,0x3ffe0006,0xd99736ff,
    0x7fd4003d,0x3fee5fff,0x30004fff,0x88ffffff,0xfffffffe,0xffffc9bd,
    0xfffffa86,0xcfff8004,0x5fffa801,0xffffffc8,0xffffffff,0x97ffffff,
    0xffffffff,0xffffffff,0x3fffebff,0xfff8006f,0x3ffe27ff,0x200003ff,
    0xc803fffc,0xfecfffff,0x7c400eff,0x0007ffff,0x20007ffa,0x0001fffc,
    0xfb80bff5,0x007ffbef,0x40fffe80,0x7e44fffb,0xffff34ff,0xfffe805f,
    0x3fffa25f,0xc9bdffff,0x0006ffff,0xf7007ffa,0x01fff7df,0xd17fffff,
    0xfff70bff,0x7fffdcff,0x9999999f,0x40999999,0x02ffffff,0xdfffff00,
    0x13ffffe6,0xdfffff00,0x7fffffd4,0xfffd8001,0x7fff46ff,0xffc81cff,
    0xfff986ff,0x2a000fff,0x406fffff,0xfc87fff8,0xffffffff,0xffffffff,
    0xfff77fff,0x333333ff,0x13333333,0x01bffffe,0xffffff10,0x04fffff8,
    0x3fffa000,0xffff9801,0x00efffff,0x6fffffc8,0x0bff5000,0x0dfff700,
    0x007ff400,0xff51fff5,0xffb8000f,0x4fffc84f,0xf9afffdc,0x7402ffff,
    0x3fa5ffff,0xc81cffff,0x0006ffff,0xf980bff5,0x0fffa8ff,0xedffffd8,
    0xfff906ff,0x7fffd4bf,0xfc80000f,0x0006ffff,0x7cdfffff,0x2006ffff,
    0x45fffff8,0x05fffffe,0x7ffffcc0,0x3fffe22f,0x3fff604f,0xffffd06f,
    0x7ff4007f,0xfe803fff,0x7f75c1ff,0xeeeeefff,0xeeeeffff,0xfffff55e,
    0x7ffc0001,0x7cc006ff,0x7f46ffff,0x74c05fff,0xff881acd,0x3ffa007f,
    0x01ffffff,0xffffff88,0x1ffd0002,0xffffc800,0x9ff70000,0xa8fffc40,
    0x740007ff,0xffd80fff,0xb7ffdc3f,0x02fffff9,0x8afffffc,0x204fffff,
    0x006ffffd,0x4401ffd0,0xfff51fff,0xfffff901,0xff301dff,0x7fcc9fff,
    0x32202fff,0x3ffe201a,0x1000efff,0x4dfffff9,0x04fffffd,0x9fffff90,
    0xffffffa8,0xffff3004,0xfffa8bff,0x3ff600ff,0xfff306ff,0xf9005fff,
    0x001fffff,0x2207fff9,0x7cc2ffff,0x3e600fff,0x2202ffff,0xffff81ac,
    0x7fdc006f,0x7fec4fff,0x3ee00fff,0x7d40ffff,0x3ea005ff,0x01ffffff,
    0xfffffe88,0x9ff70005,0x7ffec400,0xff10002f,0x3ffa201f,0x001ffea3,
    0xb04fffb8,0xffb89fff,0xfffff16f,0x7fffcc07,0xfffff55f,0x7fffec01,
    0x4ffb8006,0xf51fff40,0xfff101ff,0xb101ffff,0xe81fffff,0xb00fffff,
    0x703dffff,0x5fffffff,0x7fffe440,0x3fee6fff,0x100cffff,0x5ffffff9,
    0xffffffb0,0x7ffdc03d,0x7dc0ffff,0xf501ffff,0x640dffff,0x03ffffff,
    0xffffff91,0x3ffea009,0x1ffff305,0x807fffb8,0x00fffffe,0x23dffffb,
    0x006fffff,0x3fffffe2,0x7ffffdc3,0xfffff105,0x07fff90b,0xfffffe80,
    0x7ffd404f,0x8000ffff,0x1000fff8,0x003dfffd,0x701ffe40,0xfddddfff,
    0x8001ddff,0xf700fffe,0xfffc89ff,0xdfffff15,0x7fffff40,0x3fffff75,
    0x3ffffea0,0x7ffc4006,0x3bffee00,0xeefffeee,0x7ffffdc0,0x3ffa60be,
    0xffa82fff,0x7d40efff,0x3606ffff,0xffffffff,0xffffdcce,0x46ffffff,
    0xfffffffe,0xfffccabc,0xf106ffff,0xffffffff,0xffffd99b,0xf509ffff,
    0xf30bffff,0x40dfffff,0xfffffff8,0xfffdccdf,0x000fffff,0x2e0ffff1,
    0xffc87fff,0xfffa805f,0x7fd40eff,0x3ffe6fff,0x7bf506ff,0xffffffd7,
    0xfffffd01,0xffd9315d,0xffd05fff,0xffc8003f,0xacffffff,0xffffeca9,
    0x90003fff,0x3e2007ff,0x0000dfff,0xf701bfe2,0xffffffff,0x5c003fff,
    0x3ea04fff,0x7fff46ff,0x3fffffa4,0x3fff660c,0xfff55fff,0xfff30bff,
    0xc800dfff,0x7fdc03ff,0xffffffff,0x7ffc41ff,0xffefffff,0x205fffff,
    0xeffffffe,0xfffffffd,0x3fffa202,0xffffffff,0xffffffff,0x7ffcc2ff,
    0xffffffff,0xffffffff,0x3fffee01,0xffffffff,0x6fffffff,0xffffff10,
    0xfffff99f,0xfa80ffff,0xffffffff,0xffffffff,0x7ff4001f,0x5fffd80f,
    0x003fffe8,0xdffffffd,0xfffffffb,0x37ffffc5,0xffffffd8,0xf305ffff,
    0xffffffff,0x0dffffff,0x800ffff1,0xfffffffa,0xffffffff,0x06ffffff,
    0x00dff300,0x27bfffa2,0x20009999,0x7dc02ffd,0xffffffff,0x3a001fff,
    0x3e200fff,0xffb8cfff,0x3fff20ff,0xfffeffff,0x15ffffff,0x9fffffff,
    0xfffffff9,0x7fcc00ff,0xffffb806,0xffffffff,0x7ffffcc1,0xffffffff,
    0x3a200eff,0xffffffff,0x004fffff,0xfffffffb,0xffffffff,0x2a01bfff,
    0xffffffff,0xffffffff,0xffe9802f,0xffffffff,0x03ffffff,0x7fffffe4,
    0xffffffff,0x74c00fff,0xffffffff,0x2fffffff,0x2fffc800,0x443fffe8,
    0x1002ffff,0xfffffffd,0x89ffffff,0x886fffff,0xffffffff,0x3f200fff,
    0xffffffff,0xa80effff,0x26006fff,0xffffffff,0xffffffff,0x003fffff,
    0x400bff60,0xfffffffb,0xf3004fff,0xfa8000df,0xffb8007f,0xfffb804f,
    0x44ffffff,0xffffffe8,0xffbeffff,0x3fff25ff,0xffffffff,0x00ffffff,
    0x0005ffb0,0x880fffa8,0xffffffff,0x3fffffff,0x3ffff200,0x3fffffff,
    0x7fff5c00,0xffffffff,0x9801dfff,0xfffffffe,0x2effffff,0x7fffdc00,
    0xffffffff,0xffd000ef,0x9fffffff,0x00fffffa,0x7fffffe4,0x1effffff,
    0x9fff5000,0x42ffff88,0x000ffff9,0x7fffffe4,0xf83fffff,0xfb86ffff,
    0xffffffff,0xfffa801f,0xffffffff,0x9fff901e,0x3fffe600,0xfffffc9d,
    0xffffffff,0x3ea0000e,0x3ffa005f,0xffffffff,0x03ffd004,0x07ffa800,
    0x00fffe80,0xffffffb0,0xffd101bf,0x2bffffff,0x745ffffa,0xffffffff,
    0x7ffffd4f,0x00bff500,0x01fff500,0x3f66bffb,0x0dffffff,0xfffda800,
    0x001cffff,0x3ffff6a0,0x0acdffff,0xfffea800,0x3dffffff,0x3f726000,
    0xdeffffff,0xfffb8003,0x3f22efff,0x26006fff,0xffffffec,0x440002ef,
    0x7fcc6fff,0x7ffdc0ff,0xffb50007,0x039fffff,0x21bffffe,0xffffffc9,
    0x322001df,0xeffffffe,0x17fff402,0x0efffa80,0x3fffff22,0x003defff,
    0x001ffe80,0xddddddd1,0x5007dddd,0x50000bff,0xfb800ddd,0x754004ff,
    0x4403efff,0x3dfffffd,0x217fffea,0xeffffffb,0x1bffff22,0x0007ffa0,
    0x203bbaa0,0x54c40ee8,0x2000009a,0x0009aa98,0x5554cc00,0x98800000,
    0x0009aaba,0x1aa98800,0x2aa60000,0x30000001,0x00003355,0x5442aaa8,
    0xaaa982aa,0xa9880002,0x4000009a,0x009aba98,0x4d54c400,0x15555000,
    0x0077cc00,0x0006aaa6,0x00000000,0x00000000,0x4ccc4000,0x00020000,
    0x80000d44,0x00001aa9,0x00000000,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00198000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x55500000,0x54001555,0x02aa202a,
    0x4d4cc400,0x53000009,0x2aa25555,0x40000aaa,0x31000019,0x00000001,
    0xa82aaa98,0x88001aaa,0x4c00000a,0x0002aaaa,0x00066200,0xaaaa8800,
    0x01555540,0x0aaaaa20,0x00662000,0xaaaaa980,0x98800000,0x55510001,
    0x2aaa9815,0x0aaaa880,0x00155554,0xaaaaa880,0xaaa88001,0x3000002a,
    0x00155555,0x22aaaaaa,0x225eeee8,0x2dffffec,0xffff1000,0xffd8009f,
    0x001ffb00,0x7ffffe44,0x0003dfff,0x4bffffe2,0x884ffffc,0x3225eeee,
    0x03effffe,0x7fff6dc0,0x3baa0bdf,0xeeeeeeee,0x2eeeeeee,0x8ffffe20,
    0x000ffffa,0x9dffffb3,0x1bbbba21,0x3ffffdc0,0xecb88000,0xbcefffff,
    0x3bbba201,0xffffa81e,0x037fff42,0x3fffffa0,0xfed98003,0x001defff,
    0x17ffffe2,0x7f654000,0x000cffff,0xf897fff6,0xfb802fff,0x7ffc1fff,
    0xfb00005f,0x0001ffff,0x07fffffb,0xfff88000,0xff1005ff,0x3fe69fff,
    0xfffd37ff,0x009fffff,0x0bffff90,0x30bff700,0x7dc00fff,0xffffffff,
    0x70004fff,0x3e27ffff,0xff105fff,0x3ffa2fff,0x0dffffff,0x7ffff440,
    0x71ffffff,0xffffffff,0xffffffff,0xfffa807f,0x2ffff89f,0xfffff700,
    0xff13ffff,0x3ee00fff,0x80007fff,0xfffffffa,0x04ffffff,0x05fffff1,
    0xe85ffff5,0x2e006fff,0x0fffffff,0x3fffee00,0x03ffffff,0x3ffffe60,
    0x3f620000,0xffffffff,0xfff1004f,0x17fffa5f,0x0ffffdc0,0x0017fffe,
    0x3ffffe60,0xfffb8001,0x0001ffff,0x17fffee0,0x5ffffc80,0x27ffffe6,
    0xffffffff,0x22003fff,0x0005ffff,0xd9bfffd1,0x2a007fff,0xffffffff,
    0x05ffffff,0x24ffff80,0x100efffc,0xff3fffff,0xffffffff,0x7ffd40bf,
    0xffffffff,0xffffbbff,0xffffffff,0x803fffff,0xffeefffc,0xfffb005f,
    0xffffffff,0x00fffff5,0x01ffffee,0xffffd880,0xffffffff,0x7c41efff,
    0xfa82ffff,0x7ff42fff,0xfff3006f,0x00dfffdf,0x3ffffff6,0x0dffffff,
    0x9ffff300,0x3ffa2000,0xffffffff,0xff5003ff,0x1dfffbff,0x3fffee00,
    0x02ffffc1,0x7fffe400,0xfff88001,0x006fffef,0x3bfffe00,0xffff1000,
    0xfffff98b,0xffffffff,0x001fffff,0x001dfff7,0x7ffffcc0,0xf1005fff,
    0xfdffffff,0x5fffffff,0x2fffdc00,0x403ffff1,0xfffffff8,0xffffffff,
    0xffa81fff,0xffffffff,0xffefffff,0xffffffff,0x3fffffff,0xfffffd00,
    0xff5001ff,0xffffffff,0xffffffff,0x3fffee00,0xfff30007,0xffffffff,
    0xffffffff,0x7ffffc49,0x2ffffa82,0x4037fff4,0xf8bfffe8,0x7dc03fff,
    0xffffffff,0x004fffff,0x003fffea,0xfffffd10,0xffffffff,0x3ff2005f,
    0x001fffff,0xf07fffee,0x8000bfff,0x002ffff8,0xd19fffd0,0x00009fff,
    0x001dfff7,0x4c37ffe4,0xcfffffff,0xfffff511,0x3ffe007f,0xd980000e,
    0x003fffff,0x2fffffee,0x3ffff220,0x3ffa004f,0x0bffee0e,0xffffff10,
    0x7ffd45bf,0xffe84fff,0xedffffff,0xffffffff,0xffffffff,0x3fffffff,
    0xfffff300,0x3ffe005f,0x3a60dfff,0x07ffffff,0x0fffff70,0x3ffffa00,
    0xfedeffff,0xffffffff,0x5fffff13,0x81555510,0xc802aaaa,0x3fe65fff,
    0xfff101ff,0x7f5c3dff,0x2000ffff,0x4004fffa,0xbefffffb,0xfffffeb8,
    0x3fffa006,0x544004ff,0x55540aaa,0x7e40002a,0xf90002ff,0x7ffccdff,
    0x7f40002f,0x3e2000ff,0xff980eff,0xf705ffff,0x3009ffff,0x00001999,
    0x8001a988,0x104fffec,0x00bfffff,0x5502aaa2,0xfff10055,0x3ea0bfff,
    0x7d44ffff,0x80dfffff,0xfffffffa,0x4000003f,0x002aaaa9,0x09fffff7,
    0x3fffffec,0x2e000000,0xaeffffff,0xffffc880,0xecc89fff,0x000001ff,
    0x302aaaa0,0x3f603555,0xfb00ffff,0xa8009fff,0x7f4004cc,0xffb06fff,
    0x22001fff,0x0002aaaa,0x90000000,0x54000599,0x554c0aaa,0x3220002a,
    0x64c001cc,0xfff300cc,0x7fc01fff,0x00005fff,0x00000000,0xffb0054c,
    0x00000bff,0x3fffe200,0x3ffa00ef,0x7fff45ff,0x7f4403ff,0x003fffff,
    0x20000000,0x00fffffe,0x1fffffe6,0xf8800000,0x00dfffff,0xffffffa8,
    0x0007fec6,0x00000000,0x0fffffe2,0x0fffff88,0xf8800000,0xf502ffff,
    0x0007ffff,0x00000000,0x00000000,0x00000000,0xff980000,0x7f404fff,
    0x22005fff,0x2000019a,0x00000a98,0x7ffff540,0x2a620006,0x7ffc4000,
    0x7fec04ff,0x3ffee6ff,0xff3006ff,0x0007ffff,0x03351000,0x27ffffc0,
    0x3ffffec0,0x0066a200,0xbfffffb0,0xffff9800,0x01ffe2ff,0x00000000,
    0x3ffffe60,0x7ffff401,0xa8000001,0x7407ffff,0x0001acde,0xa9880000,
    0x4c400000,0x2000019a,0x00000a98,0x0000a988,0xfffff300,0xffffd807,
    0x7fff5c06,0x8002efff,0xffffffc9,0x220000ce,0xfffffeca,0x64c006ff,
    0xceffffff,0x7fffc400,0x7ffec03f,0x3ffff66f,0x3ffa002f,0x00003fff,
    0xfffffd70,0x7fc405df,0xfc803fff,0xeb807fff,0x2effffff,0x7ffffcc0,
    0xffd8001f,0x9ff95fff,0x0f777744,0x53bbbb20,0x01eeeee8,0xaa777764,
    0x999fffff,0xffe99999,0xdddd12ff,0xeeec803d,0x7fffd44e,0x77440007,
    0x76401eee,0x64c04eee,0xceffffff,0xffea8000,0x0befffff,0x7ffe4c00,
    0x000cefff,0xfffff930,0xe88019df,0x7cc2eeee,0x6c02ffff,0xd306ffff,
    0xffffffff,0xb1001dff,0xffffffff,0x4c005fff,0xffffffeb,0x006fffff,
    0xffffffb1,0x405fffff,0x03fffff8,0xd37fffe4,0x800fffff,0x03fffffa,
    0x7ff4c000,0xffffffff,0xffff980e,0xfffb802f,0x3ffa607f,0xffffffff,
    0xffff500e,0x3e6000bf,0xffdfffff,0x7ffffcc6,0x7fffec01,0x3fffff35,
    0x5ffffd80,0xfffffff7,0xffffffff,0x3fe67fff,0x7ec01fff,0x7fc45fff,
    0x20000fff,0x01fffff9,0x82ffffec,0xffffffd8,0x002fffff,0xffffffd1,
    0x05ffffff,0xfffffb10,0x05ffffff,0x7fffec40,0x2fffffff,0x3ffffe20,
    0x7ffffcc2,0x7fffec02,0xfffffb86,0xffffffff,0x3ffa600e,0xffffffff,
    0x2200dfff,0xfffffffe,0x6fffffff,0xffffe980,0xffffffff,0xfff880df,
    0x7fe402ff,0x3fffe6ff,0x7fcc005f,0x00003fff,0x3fffffee,0xefffffff,
    0x7ffffcc0,0xffffb802,0xfffff707,0xffffffff,0xffff901d,0x7f40003f,
    0x1effffff,0x0fffffcc,0x57ffff60,0x01fffff9,0xdaffffec,0xffffffff,
    0xffffffff,0xffff34ff,0xfffd803f,0xfffff85f,0x3fe60002,0x7ec01fff,
    0xfe985fff,0xffffffff,0x200dffff,0xffffffe8,0xffffffff,0x3fffa602,
    0xffffffff,0x74c00dff,0xffffffff,0x80dfffff,0x42fffff8,0x02fffff9,
    0x237fffec,0xfffffff8,0xffffffff,0xffffd106,0xffffffff,0x3a209fff,
    0xdfffffff,0x6ffffc9b,0x7ffff440,0xffffffff,0xff884fff,0x7e402fff,
    0xfff16fff,0xf88009ff,0xccceffff,0xcccccccc,0xfffff101,0xffffffff,
    0xfff98dff,0xffc803ff,0xfff887ff,0xffffffff,0xfd86ffff,0x0000ffff,
    0x3ffffff6,0xfffff303,0xffffd803,0x3fffff35,0x5ffffd80,0xfffffff9,
    0xffffffff,0x3fe6bfff,0x7ec01fff,0xffe85fff,0x260004ff,0x401fffff,
    0x445ffffd,0xfffffffe,0xffffffff,0x3ffff204,0xfffeceff,0xfd107fff,
    0xffffffff,0x09ffffff,0x7fffff44,0xffffffff,0xfff884ff,0x7ffcc2ff,
    0x7fec02ff,0x7ffec6ff,0xfd731dff,0xfb03ffff,0x359fffff,0xffffffb5,
    0xfffffd03,0xffff9039,0xffffd80d,0xfda9acff,0x441fffff,0x402fffff,
    0xf36ffffc,0x0009ffff,0xffffffff,0xffffffff,0x3fff605f,0xfd731dff,
    0x7c43ffff,0xd804ffff,0xfd87ffff,0x731dffff,0x83fffffd,0x007ffffe,
    0x7ffffe40,0x3fffe604,0x7ffec01f,0xfffff35f,0xffffd803,0x3fffff75,
    0x33333333,0x3e613333,0x6c01ffff,0x9975ffff,0x99fffffd,0xf3009999,
    0xd803ffff,0x7ec5ffff,0x9acfffff,0xffffffda,0x5fffff01,0xfffff910,
    0xfffffb05,0xffb5359f,0x3603ffff,0xacffffff,0xfffffda9,0x7fffc41f,
    0x7fffcc2f,0x7ffec02f,0x3fffea6f,0xffff304f,0xffff88bf,0xfff501ef,
    0xfff88dff,0x3ff604ff,0x3fe206ff,0xf501efff,0xf88dffff,0x6402ffff,
    0xff56ffff,0xf0007fff,0xffffffff,0xffffffff,0xfffff505,0x3fffe609,
    0x7ffffc5f,0x7fffc406,0x7fffd47f,0xffff304f,0xfffff8bf,0x7fdc0006,
    0x3e604fff,0x6c01ffff,0xff35ffff,0xfd803fff,0xfff55fff,0x4c0001ff,
    0x401fffff,0xfb5ffffd,0xffffffff,0x300fffff,0x803fffff,0x225ffffd,
    0x01efffff,0x0dfffff5,0x80fffff1,0x440acdfe,0x01efffff,0x0dfffff5,
    0x3dfffff1,0x3ffffea0,0x7ffffc46,0x7ffffcc2,0x7fffec02,0x3fffff66,
    0x337ff600,0x7ffffd42,0x7fffe402,0x3fffea3f,0x3fff600f,0x3ffea06f,
    0x7fe402ff,0x3fe23fff,0x7e402fff,0xfff76fff,0xfd0007ff,0xffffffff,
    0x5fffffff,0x1fffffb0,0x166ffec0,0x0bfffff6,0x7fffffb8,0x07ffffec,
    0x459bffb0,0x05fffff8,0x7fffd400,0x3ffe605f,0x7fec01ff,0xffff35ff,
    0xfffd803f,0xfffff35f,0x40d64405,0x01fffff9,0xdaffffec,0xffffffff,
    0x807fffff,0x01fffff9,0x52ffffec,0x805fffff,0x43fffffc,0x1dfffff8,
    0x3ffea000,0x7fe402ff,0x7fd43fff,0x7e402fff,0x3e23ffff,0x7cc2ffff,
    0x6c02ffff,0x3fa6ffff,0x04404fff,0x1bffff60,0x3ffffe20,0x3ffffee4,
    0xfffff501,0x7fffec0d,0xffff8806,0x3fffe24f,0x7ffe402f,0xfffff76f,
    0xffff0007,0xffffffff,0xd05fffff,0x8809ffff,0x7fffd400,0xfffb81ff,
    0x7ff47fff,0x004404ff,0x0dfffff1,0xffffa800,0x3ffe604f,0x7fec01ff,
    0xffff35ff,0xfffd803f,0x3ffffa5f,0xffffb00f,0x3fffe63d,0x7ffec01f,
    0xfffffb5f,0xffffffff,0xffff300f,0xfffd803f,0x3ffff65f,0xffff8806,
    0xfffff84f,0x000aceff,0x01bffff6,0x13ffffe2,0x00dffffb,0x49fffff1,
    0x42fffff8,0x02fffff9,0xf37fffec,0x0007ffff,0x07fffff0,0x9bffff60,
    0x85fffffa,0x6ffffff9,0x0fffffe0,0x37fffec0,0x05fffff1,0x56ffffc8,
    0x009fffff,0x5bfffff0,0x55555555,0xffff0155,0x3a00007f,0xbdffffff,
    0xffffffec,0x7ffffc7f,0xfff80003,0x5c0007ff,0x203fffff,0x01fffff9,
    0x9affffec,0x401fffff,0x2a5ffffd,0x40efffff,0x26fffffa,0x01fffff9,
    0xcaffffec,0xfffffeee,0x806eeeef,0x01fffff9,0xf2ffffec,0x2007ffff,
    0xd86ffffd,0xffffffff,0x7c01beff,0xb003ffff,0xff8dffff,0xfb003fff,
    0x7fc4dfff,0x7fcc2fff,0x7ec02fff,0xfff16fff,0x880007ff,0x002fffff,
    0x44fffff9,0xcfffffff,0xfffffffc,0xffff107f,0x3ff2005f,0x3ffe27ff,
    0x7fe402ff,0xffff36ff,0xff8800bf,0x40003fff,0x03fffff8,0xffff5000,
    0xffffffff,0x44fffffd,0x003fffff,0xfffffe80,0x3ff60000,0x3e601fff,
    0x6c01ffff,0xff35ffff,0xfd803fff,0x7ff45fff,0xffdeffff,0x262fffff,
    0x401fffff,0x905ffffd,0x000dffff,0x07ffffe6,0x2bffffb0,0x02fffff8,
    0x0fffff90,0xffffffd1,0x5dffffff,0x5fffff10,0x3ffff200,0x3ffffe27,
    0xffff9002,0x7ffffc4f,0x7ffffcc2,0x7fffec02,0x5fffff36,0xfffa8000,
    0xff7002ff,0x7fe41fff,0xffffffff,0x0fffffff,0x2fffffa8,0xfffff700,
    0x3ffffe21,0x7fffe402,0x1bffffe6,0xfffff300,0xff980007,0x00002fff,
    0x3fffffe6,0xffbbffff,0x3ffe67ff,0xd80002ff,0x001fffff,0x3fffffa0,
    0x3fffe600,0x7ffec02f,0xfffff35f,0xffffd805,0x7ffff445,0xffffffff,
    0x7fffcc4f,0x7ffec02f,0xffffb05f,0x3fe60009,0x7ec02fff,0xfff55fff,
    0x3ee005ff,0xe880ffff,0xffffffff,0x545fffff,0x002fffff,0x21fffff7,
    0x02fffffa,0x1fffff70,0x0bffffe2,0x05fffff3,0x16ffffd8,0x007fffff,
    0xfffff980,0xffff9002,0xfffffd0f,0x3fa9ffff,0xff983fff,0xf9002fff,
    0x7fc4ffff,0x7e402fff,0x3ffe6fff,0x2e000fff,0x003fffff,0x7ffffc40,
    0x7cc00003,0x2fffffff,0x44fffff7,0x003fffff,0xfffffb80,0xfff30005,
    0xff980fff,0x7f402fff,0xfff35fff,0xffe805ff,0xfff905ff,0xffffffff,
    0xfffff307,0xffffe805,0x7fffff05,0x3ffe6000,0x7ff402ff,0xffff35ff,
    0x3ff2005f,0x7ed407ff,0xffffffff,0x3fe64fff,0xf9002fff,0x7fccffff,
    0xf9002fff,0x7fc4ffff,0x7fcc2fff,0x7ec02fff,0x3ffe6fff,0x440004ff,
    0x003fffff,0x20dffffb,0xeffffffb,0x1bffff22,0x0fffffe2,0x37fffec0,
    0x05fffff1,0x26ffffc8,0x03fffffe,0x3fffffa0,0xfff80003,0x800004ff,
    0x0bdfeca8,0xf1ffffee,0x0009ffff,0xffffff50,0xfffb0003,0xff980dff,
    0x7f402fff,0xfff35fff,0xffe805ff,0x3f6a05ff,0x1cffffff,0x5fffff30,
    0x5ffffe80,0x1fffff98,0xffff3000,0xfffe805f,0xfffff15f,0x3fff6007,
    0xd951006f,0xffffffff,0x3fffe21f,0xfffb003f,0x7fffc4df,0xfffb003f,
    0x7fffc4df,0xfd00002f,0x7ff4bfff,0x6f4c05ff,0x7fffc1ac,0xffff005f,
    0x1aa9809f,0xf809ff50,0xf005ffff,0x2009ffff,0x000abcca,0x0dfffff7,
    0x3ffffe60,0xfe80003f,0x74c05fff,0x00001acd,0xe8dffff9,0x4c05ffff,
    0xfe81acde,0x4005ffff,0x2ffffff9,0x7ffffcc0,0x7ffffc02,0x5fffff35,
    0x5fffff80,0x13bff500,0xfffff980,0x7ffffc02,0x4ffffd85,0x3ffe6000,
    0x7ffc02ff,0x3fffe5ff,0xffff005f,0x2a20009f,0x1ffffffd,0x017ffffe,
    0x227ffffc,0x005fffff,0x449fffff,0x002fffff,0xbfffff00,0x07ffffec,
    0x1fffff70,0x0fffffec,0x3ffffee0,0xffc80003,0x7fffec02,0x7ffdc01f,
    0xffb003ff,0xf100bfff,0x807fffff,0xffffffe8,0xffd80003,0x3ee00fff,
    0x2ea0ffff,0xff90009a,0xfffd8bff,0x3fee00ff,0x7fd40fff,0x3004ffff,
    0x0bfffffd,0x7fffff10,0x7ffffcc0,0x7fffff15,0x7ffffcc0,0x07ff7005,
    0x3ffffe20,0x3fffe603,0x7fffe45f,0x3e20000e,0x2603ffff,0x365fffff,
    0x401fffff,0x83fffffb,0x5404cba9,0x362fffff,0x401fffff,0x43fffffb,
    0x01fffffd,0x1fffffdc,0x05fffff1,0xffff3000,0x7fffdcbf,0xffff105f,
    0xffffa8bf,0xfff300ef,0x00001dff,0xfa805ffb,0x300effff,0x01dfffff,
    0x3ffffb20,0xfffb804f,0xfd304fff,0x07ffffff,0xffff7000,0x3ffe20bf,
    0x7ffdc5ff,0x3fa205ff,0x7fdc4fff,0xff105fff,0x3f60bfff,0x00efffff,
    0x3fffffee,0xfff8800f,0x3ffa06ff,0xfff15fff,0x7ff40dff,0xf9005fff,
    0x3fe2007f,0x3fa06fff,0x3f25ffff,0xbcaaffff,0xf885100a,0x3a06ffff,
    0x2a5fffff,0x00efffff,0x1dfffff3,0x1fffffe8,0x3ffffe60,0x3ffffea1,
    0xffff300e,0xfffa81df,0xff300eff,0x7c41dfff,0x0002ffff,0xfffffbd5,
    0xffffe89f,0xfec98aef,0xfe82ffff,0x89bfffff,0xffffffc9,0xffd00002,
    0xffffd009,0xf93137ff,0x005fffff,0x01fffe60,0x7ffffff4,0xffffddef,
    0xeeffffff,0xeeeeeeee,0xffe86eee,0xc98aefff,0x42fffffe,0xbffffffa,
    0x3fff6620,0xfffe82ff,0xec98aeff,0x102fffff,0xffffffff,0xfffd99bf,
    0x009fffff,0x67fffff4,0x3ffff660,0x3fffa5ff,0x3f660cff,0x005fffff,
    0x7400bffb,0x20cfffff,0xffffffd9,0xffffff75,0x9dffffff,0xe81ffd99,
    0x20cfffff,0xffffffd9,0x7fffff45,0xffc989bf,0xfa82ffff,0x880effff,
    0xe87ffffd,0x9bffffff,0xfffffc98,0xffffd02f,0xf93137ff,0x885fffff,
    0x002fffff,0xffffff90,0xfff987ff,0xffffffff,0xf306ffff,0xffffffff,
    0x9fffffff,0x7ff40000,0x7ffcc00f,0xffffffff,0x004fffff,0x01bffe20,
    0x7fffffd4,0xffffffff,0xffffffef,0xffffffff,0xff987fff,0xffffffff,
    0x886fffff,0xffffffff,0xffffffee,0xffff305f,0xffffffff,0xfa80dfff,
    0xffffffff,0xffffffff,0x7e4006ff,0xfeffffff,0xffffffff,0x3fffff25,
    0xfffffeff,0xb005ffff,0x32003fff,0xefffffff,0xffffffff,0xfffff55f,
    0xffffffff,0x89ffffff,0xfffffffc,0xfffffffe,0x7ffcc5ff,0xffffffff,
    0x204fffff,0xeffffffe,0xfffffecc,0xffff984f,0xffffffff,0x2604ffff,
    0xffffffff,0xffffffff,0xfffff884,0xfffd0002,0x320dffff,0xffffffff,
    0x00efffff,0x3fffffea,0xffffffff,0x3200000d,0x5eceffff,0xffffffa8,
    0xffffffff,0x99a9800d,0x04fffeba,0x3ffffee0,0xffffffff,0xffffffbc,
    0xffffffff,0xff907fff,0xffffffff,0x2a01dfff,0xffffffff,0xffffffff,
    0x3ffff200,0xffffffff,0xfe9800ef,0xffffffff,0x3fffffff,0xfffe8800,
    0xefffffff,0x225ffffb,0xfffffffe,0xfffbefff,0xfff9005f,0x220dd9df,
    0xfffffffe,0xfffbefff,0x3ffffe5f,0xffffffff,0x0fffffff,0x3fffffa2,
    0xfbefffff,0xffa85fff,0xffffffff,0x200dffff,0xffffffe8,0xffffffff,
    0x3fffea05,0xffffffff,0x7d400dff,0xffffffff,0x80dfffff,0x02fffff8,
    0xffffff00,0x7fd403ff,0xffffffff,0xfe9801ef,0xffffffff,0x800003ff,
    0xfffffff8,0xffffd305,0x7fffffff,0x7fffe400,0x8005ffff,0xfffffff9,
    0xff73ffff,0xffffffff,0xffffffff,0x7ffffd40,0x1effffff,0x7ffffdc0,
    0xffffffff,0xfffa802e,0xffffffff,0x7fdc001e,0xffffffff,0x0000efff,
    0x3fffffa2,0xfff55fff,0xfffe88bf,0xf55fffff,0x2200bfff,0x6fffffff,
    0x3ffffa20,0xff55ffff,0x7ffdcbff,0xfffffeff,0xffffffff,0x7ffff443,
    0xff55ffff,0x3fa60bff,0xffffffff,0xfd1003ff,0xffffffff,0x9801bfff,
    0xfffffffe,0x2003ffff,0xffffffe9,0x203fffff,0x02fffff8,0xfffff980,
    0xec8802ef,0x2effffff,0xffdba800,0x000defff,0x3ffa6000,0x5d404fff,
    0xdefffffd,0x7ffe4000,0x0002dfff,0x3ffffb22,0x3fee2dff,0xffffffff,
    0x7fffffff,0x7fff6440,0x2002efff,0xffffffb8,0x4003ffff,0xfffffec8,
    0x260002ef,0xffffffdc,0x00003cef,0xbfffffb1,0x2ffffd47,0x7ffffec4,
    0x3fffea3d,0x3ffa6005,0x6c404fff,0x23dfffff,0x225ffffa,0x65440aef,
    0xfffffffe,0xfffd880c,0x3fea3dff,0x6dd405ff,0x0defffff,0xfffda800,
    0x01dfffff,0x7ffedd40,0x0000deff,0xfffffb75,0xff8801bd,0x20002fff,
    0x0002aca9,0x00135531,0x004d4c00,0x2a600000,0x3530000a,0x33300001,
    0x26000001,0x000000aa,0x2aa62000,0x4c400009,0x00019aaa,0x01355310,
    0x55310000,0x10000003,0x44000035,0x4000001a,0x88000aa9,0x0060001a,
    0x019aa988,0x00006a20,0x0009a980,0x35553100,0x54c00003,0x98000009,
    0x0000009a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0d55554c,
    0x4c000000,0x001aaaaa,0x55554400,0x31000002,0x00001355,0xaa880aaa,
    0x202aa800,0x80000aa8,0x80000998,0x540aaaa9,0x4c001aaa,0x0001aaaa,
    0x0aaaaaa0,0x55555540,0x54400000,0x20000019,0x0009aa98,0x00988000,
    0x20555544,0x0002aaaa,0x00033531,0x05555510,0xaaaa8000,0x555000aa,
    0x00001555,0x0000ccc4,0x220d5554,0x5000aaaa,0x40015555,0x06ffffe8,
    0xfd800000,0x0000efff,0x7fffff40,0xfb300002,0x9fffffff,0x7fec0003,
    0x001ffb00,0x3f601ffb,0xeb88000f,0xbdefffff,0xfffc8002,0x3fffe20f,
    0x3ffe2004,0x80001fff,0x02fffffa,0x7fffff50,0xffd70000,0x005dffff,
    0xffffb300,0x0039ffff,0x29dddd30,0x03efffd8,0xe85ffff5,0x2a006fff,
    0xfffffffe,0xfe8000be,0x0002ffff,0x9fffff30,0x7fffc400,0x6440005f,
    0xcfffffff,0xfffa8000,0x17fff60f,0x7ffffdc0,0x7ff44005,0x000001ff,
    0x3ffffe60,0x7e400000,0x00ffffff,0x3fffae00,0xffffffff,0xfb8002ef,
    0x07ff985f,0xf309ff70,0xfc8800df,0xffffffff,0x2000efff,0x220ffffc,
    0x2004ffff,0x6ffffffd,0xfffe8000,0x7fd4003f,0x260006ff,0xfffffffe,
    0x8000efff,0xffffffeb,0x2effffff,0x3fffea00,0xffffff8d,0x5ffff506,
    0x806fffe8,0xffffffe8,0x02ffffff,0x3fffff20,0xd80000ff,0x8004ffff,
    0x00fffff9,0xfffff700,0x05ffffff,0x2bfff900,0x800ffffb,0xfffffff8,
    0x7ffcc003,0x0000005f,0x007ffff6,0xffff3000,0x000bfffd,0xdfffffb1,
    0xfffdb99b,0xe88009ff,0xffecdfff,0xfff1003f,0x5fffd9bf,0x7fff4400,
    0xffffffff,0x9002ffff,0x7c41ffff,0xf7004fff,0x9fffffff,0x7ffd4000,
    0xff70004f,0xf70005ff,0xffffffff,0x001dffff,0x3fffff62,0xffedccde,
    0xf5004fff,0xfffbdfff,0x3ea07fff,0x7ff42fff,0x7ff4406f,0xffffffff,
    0x9802ffff,0xfffeffff,0x7fc40005,0x260005ff,0x8004ffff,0xfffffffb,
    0x01ffffff,0x6ffff440,0xd002ffff,0xffffdfff,0xfff98003,0x8000001f,
    0x001ffff8,0x7fffc400,0x03ffff8b,0x3bfffe60,0x3ff2200b,0x26000eff,
    0xffffffff,0x7ffd4005,0x005fffff,0x3fffffa2,0xffffffff,0xc803ffff,
    0x3e20ffff,0xf9804fff,0xfff99fff,0xffd0001f,0xfb80009f,0x7c4006ff,
    0xffffffff,0x06ffffff,0xbeffff98,0x3ffee200,0x7fd400ef,0xffffffff,
    0xfff501ff,0x6fffe85f,0x7ffffe40,0xffffecef,0x7f4407ff,0xffff8bff,
    0x3ff20003,0xfa80005f,0x22000fff,0xffffffff,0x06ffffff,0xfffff980,
    0xff9004ff,0x1bfff2df,0x13ffe600,0x3f200000,0x800002ff,0x3ea5fffd,
    0xf9801fff,0xc8002fff,0x2000efff,0x3fffffd9,0xfffd3000,0xfe8007ff,
    0xefffffff,0xfffffffe,0x554c03ff,0x555540aa,0x4fffe801,0x003bffee,
    0x00bfff30,0x0bfff200,0xfffffd80,0xfffd731d,0x7fcc03ff,0xfb8002ff,
    0x3ea00eff,0xdfffffff,0x2aa206fe,0x555540aa,0x7ffffc02,0xffffc882,
    0x3fff602f,0x07fffe65,0x3bffe200,0xff500000,0x7fe4007f,0xfb89cfff,
    0x000fffff,0xefffffb8,0xffff9800,0x013fffa1,0x001332a0,0x0b332000,
    0x2aa20000,0x555540aa,0x77ff4401,0x3fea0000,0xa988005f,0x53100001,
    0xfff50003,0x7105dfff,0x1fffffff,0x88000000,0xaaa82aaa,0x6654001a,
    0x65c00004,0xfff5002c,0x3fe609ff,0xfd105fff,0x4c0001df,0x3ea05fff,
    0x20dfffff,0x00000018,0x01ffffe2,0x20159bfd,0x540aaaa8,0x98001aaa,
    0x00000ccc,0xd001e654,0xf90dffff,0x0003ffff,0x006aaaaa,0x220d5554,
    0x00002aaa,0x00000000,0x00000000,0x401dffb0,0xf302bcb9,0x000007ff,
    0xd0000000,0x01dfffff,0xfffffe98,0x00000004,0x00000000,0xd8000000,
    0x200fffff,0xb02cdffd,0x26621dff,0x20199999,0xf503fff9,0x003fffff,
    0xf8800000,0x001dffff,0x00000000,0x00000000,0x3fffff80,0x0fffffa8,
    0x00000000,0xa9880000,0x4c400000,0x9988009a,0x53100001,0xffa80033,
    0xfffd881f,0xfb81efff,0x000000ff,0x26a66200,0xfff30009,0x26001fff,
    0x00ffffff,0x00006620,0x00001988,0x80000662,0x7f400198,0x04404fff,
    0xd0fffd40,0xffffffff,0xfff501bf,0xfffff501,0x3310000b,0x7c001335,
    0xceffffff,0x9880000a,0x000099a9,0x04cd4cc4,0x2a662000,0xff880099,
    0xffc82fff,0x220005ff,0x000019a9,0x7fe4c000,0x00ceffff,0xffffda80,
    0x3222efff,0x2dffffff,0x7fff5400,0x00beffff,0x7441ffec,0xffffffff,
    0x23ffd81f,0x01eeeee8,0x82777764,0xffffffc8,0x54403dff,0x4005ffec,
    0x04fffffc,0x7ffff6cc,0x6cc001de,0x1deffffe,0x7ff6cc00,0x4001deff,
    0xeffffed9,0x7fffc01d,0xfb00003f,0xffffe87f,0x0effffff,0xfa83ffd8,
    0x0003ffff,0xffffff91,0xfb007bff,0xffffffff,0x440037df,0xfffffffc,
    0x322003df,0xffffffff,0x3f22003d,0xdfffffff,0x3fffe203,0x7fffc42f,
    0x7f54003f,0xbeffffff,0xdddd1000,0x3f62005d,0xffffffff,0xfd1002ff,
    0xffffffff,0xffff9dff,0x1bffffff,0xffffe880,0xffffffff,0x01fff102,
    0x7337fffd,0xff30dfff,0x7ffffccd,0x7fffec01,0xfffffb85,0x4fffffff,
    0x20004c00,0x06fffff8,0x3fffffee,0x7003ffff,0xffffffff,0x3ee007ff,
    0xffffffff,0xfff7003f,0x7fffffff,0x3ffffe20,0xff880003,0x4dfff40f,
    0x4fffdaa9,0xfa86ff98,0x8002ffff,0xfffffffb,0x404fffff,0xffffffe8,
    0x2effffff,0x7ffffdc0,0x4fffffff,0xfffffb80,0x4fffffff,0xfffffb80,
    0x4fffffff,0x3fffff30,0x0fffffb8,0xffffd100,0xffffffff,0xffff1005,
    0xffd3005f,0xffffffff,0x4401bfff,0xfffffffe,0xffffffff,0xffffffff,
    0xfd100eff,0xffffffff,0x705fffff,0xfff909ff,0x05fff501,0x3fe65ffd,
    0x7ec01fff,0x7fd45fff,0xffffffff,0x0005ffff,0xfffff800,0xfffffb07,
    0xbfffffff,0x7fffec01,0xffffffff,0x3fff600d,0xffffffff,0x3ff600df,
    0xffffffff,0x7fcc0dff,0x80002fff,0xffe84ffb,0x20dffb02,0x7fd41ffe,
    0x54001fff,0xffffffff,0x05ffffff,0x7fffff44,0xffffffff,0xfffff505,
    0xffffffff,0x7ffd40bf,0xffffffff,0x3ea05fff,0xffffffff,0x985fffff,
    0x7c1fffff,0x1004ffff,0xfffffffd,0x5fffffff,0xfffff880,0x7fff4402,
    0xffffffff,0x3604ffff,0xffffffff,0xffffffff,0xffffffff,0xff905fff,
    0xfd9dffff,0xb0ffffff,0x9ffd03ff,0x5c056640,0xffff33ff,0xfffd803f,
    0x3fffe25f,0xffffefff,0x0002ffff,0x7fffec00,0x7fffdc0f,0xffffffff,
    0xfff704ff,0xffffffff,0x3ee09fff,0xffffffff,0x704fffff,0xffffffff,
    0x89ffffff,0x03fffff8,0x81ffd800,0xff702ffe,0x50ffea0d,0x003fffff,
    0x7fffffc4,0xffffffef,0xfda802ff,0xffffffff,0x7fc44fff,0xffefffff,
    0x82ffffff,0xfffffff8,0xfffffffe,0xffff882f,0xffffefff,0x7cc2ffff,
    0x3ea1ffff,0x9000ffff,0x9dffffff,0xfffffffd,0xfffff880,0x7fffec02,
    0xfda9acff,0x881fffff,0x21dfffff,0xffffffc9,0xff930aff,0xfff05fff,
    0xff9105ff,0xffe85fff,0x001fff80,0x7cd3fe60,0x6c01ffff,0x3ee5ffff,
    0x220bffff,0x84fffffc,0xeeeeeeee,0xeeeeeeee,0xffffeeee,0x3fffe21f,
    0x3ffae1ef,0x7fc40fff,0x3ae1efff,0x440fffff,0x21efffff,0x0fffffeb,
    0x77ffffc4,0x3ffffae1,0x7ffffc0f,0xffe80004,0xb02ffe80,0x3fe609ff,
    0x7ffffd44,0x3ffee001,0x3f220bff,0x2004ffff,0xffffeca8,0x2e0fffff,
    0x20bfffff,0x4fffffc8,0xbfffffb8,0x3ffff220,0xffffb84f,0x3ff220bf,
    0x7fcc4fff,0x3ff61fff,0x3fe007ff,0xfc882fff,0x2202ffff,0x202fffff,
    0x1efffff8,0xdfffff50,0x1dfffb50,0x3fffffa0,0xffff901f,0x7ffff88d,
    0x0566ff40,0x3fe61ffe,0x3e20000f,0xfffff36f,0xffffd803,0x13fffb25,
    0x2fffffc4,0x3fffffe2,0xffffffff,0xffffffff,0x3ff63fff,0xffb00fff,
    0xfffd89ff,0xfffb00ff,0xffffd89f,0xffffb00f,0xfffffd89,0x9ffffb00,
    0x05ffffe8,0x20d66f4c,0x9ffd07ff,0xfffd7555,0x51bfe201,0x003fffff,
    0x827fff64,0x05fffff8,0x3ff6a200,0x3b21ffff,0xff104fff,0xfd90bfff,
    0x3fe209ff,0xfec85fff,0xfff104ff,0xfff98bff,0x3fffa1ff,0xff8801ff,
    0x6ff407ff,0x3fe200ac,0x3ea02fff,0x6402ffff,0x203fffff,0x3fee01a8,
    0x7fc04fff,0x3fe20fff,0x0001dfff,0xff50dff1,0xdff0000f,0x07ffffe6,
    0x0bffffb0,0xffd802a6,0x7ffcc5ff,0xffffffff,0xffffffff,0x14ffffff,
    0x407fffff,0x10fffff8,0x407fffff,0x10fffff8,0x407fffff,0x10fffff8,
    0x407fffff,0x20fffff8,0x00fffffd,0x43ffffee,0xffd06ff8,0xdfffffff,
    0x546ff805,0x000fffff,0x7ec01530,0x75305fff,0xfffa8099,0x015302ff,
    0x02ffffec,0xffd802a6,0x054c05ff,0x8bffffb0,0x21fffff9,0x0efffffc,
    0x7ffffc40,0xf100001d,0x6c05ffff,0x8806ffff,0x004fffff,0x3ffff660,
    0x7ffec02f,0x7ffffc3f,0x000aceff,0x3fea1bfe,0x7fc40007,0x3fffff36,
    0x5ffffd80,0xfffd5000,0xffff88df,0xffffffff,0xffffffff,0xf34fffff,
    0xe803ffff,0xff31ffff,0xfe803fff,0xfff31fff,0xffe803ff,0xffff31ff,
    0xfffe803f,0x3fffee1f,0xffff105f,0xd06ff8bf,0xffffffff,0x8dff1005,
    0x00fffffa,0xffd50000,0xfffd0dff,0x7fcc03ff,0x50001fff,0x00dffffd,
    0xffffea80,0x7f540006,0x7fcc6fff,0x3fe61fff,0x400effff,0xefffffff,
    0xf10000ac,0x7c05ffff,0xb003ffff,0x200dffff,0xffffdba8,0x999affff,
    0xfffd9999,0x7fffec4f,0xbeffffff,0x4c3ffc01,0x20000fff,0xfff35ff9,
    0xffd803ff,0xca8805ff,0xfffffffe,0x7ffffc46,0xffffffff,0xffffffff,
    0xff53ffff,0x33333fff,0xffffd333,0x3ffffea5,0x99999999,0xf52ffffe,
    0x3333ffff,0xfffd3333,0x3fffea5f,0x9999999f,0x42ffffe9,0xaefffffe,
    0xffffec98,0xe83ffc2f,0xffeb9bff,0x2ffcc00e,0x03ffffea,0x3b2a2000,
    0x6fffffff,0xefffffa8,0xffffd880,0xfd951007,0x0dffffff,0x7ff65440,
    0x006fffff,0x3fffb2a2,0x7cc6ffff,0x7dc1ffff,0x406fffff,0xfffffffd,
    0x001befff,0x0bffffe2,0x17ffffc4,0x7ffffc80,0x3fffb220,0xffffffff,
    0xffffffff,0x45ffffff,0xffffffe8,0x2effffff,0xf881ffd0,0x2f7a02ff,
    0xf34ffa80,0xd803ffff,0x7305ffff,0xfffffffd,0xff0dffff,0x2000ffff,
    0x72fffffc,0xffffffff,0xffffffff,0x3ffee7ff,0xffffffff,0x3fffffff,
    0xfffffff7,0xffffffff,0x3fee7fff,0xffffffff,0xffffffff,0x7ffffcc3,
    0xffffffff,0x0ffe86ff,0x3a22ffe8,0x7fd406ff,0x7ffffd44,0xfd730000,
    0xffffffff,0x3ffa0dff,0xecceffff,0x04ffffff,0x3ffffae6,0x6fffffff,
    0x7fff5cc0,0xffffffff,0x7ff5cc06,0xffffffff,0x7fffcc6f,0xffffc81f,
    0x3fa205ff,0xffffffff,0x8802efff,0x502fffff,0x005fffff,0x03ffffee,
    0xffffff91,0xffffffff,0xffffffff,0x0bffffff,0xffffffd1,0xbfffffff,
    0xfd07ff90,0x3ffea0df,0xf32ffd83,0xd805ffff,0x7445ffff,0xffffffff,
    0x86ffffff,0x01fffffe,0xfffffe80,0xffffffb1,0xffffffff,0x3f69ffff,
    0xffffffff,0xffffffff,0xfffffb4f,0xffffffff,0x369fffff,0xffffffff,
    0xffffffff,0xfffc84ff,0xffffffff,0xffc80eff,0x4c2ffe83,0x3f603fff,
    0x7fffd42f,0x7f44000f,0xffffffff,0x106fffff,0xfffffffd,0xbfffffff,
    0x3ffffa20,0xffffffff,0xffd106ff,0xffffffff,0x220dffff,0xfffffffe,
    0x6fffffff,0x0fffffcc,0xffffffd8,0x3fffa204,0xffffffff,0x7fc405ff,
    0xff302fff,0x32005fff,0xfd87ffff,0xbeffffff,0xffffffb9,0xffffffff,
    0x2a06ffff,0xfffffffd,0x4c4fffff,0xfff986ff,0x1fffaa0d,0x7cc3ffe2,
    0x7402ffff,0x3a25ffff,0xdfffffff,0x6ffffc9b,0x3fffffc8,0x7fffc400,
    0xffff90ff,0xffffffff,0x2bffffff,0xfffffffc,0xffffffff,0xfff95fff,
    0xffffffff,0xbfffffff,0x3ffffff2,0xffffffff,0xf505ffff,0xffffffff,
    0x3e603dff,0x82ffe86f,0xf880fffd,0x7ffd40ff,0x3a2000ff,0xdfffffff,
    0x6ffffc9b,0x3ffffa20,0xffffffff,0xfffe880d,0xc9bdffff,0xe886ffff,
    0xdfffffff,0x6ffffc9b,0xfffffe88,0xffc9bdff,0x7ffcc6ff,0x3ff601ff,
    0x5401ffff,0xfffffffd,0x204fffff,0x02fffff8,0x07fffff1,0x1bffff60,
    0x5ffffff7,0xfffffb81,0x99999999,0x80099999,0xffffeca8,0x740fffff,
    0xfffc82ff,0x2fffffef,0x3e64ffc8,0x7402ffff,0x3fa5ffff,0xc81cffff,
    0xf986ffff,0x4006ffff,0x25fffffb,0x99fffffb,0x99999999,0xfff70999,
    0x333333ff,0x13333333,0x27ffffee,0x99999999,0xff709999,0x33333fff,
    0x33333333,0x7ff64401,0x802effff,0x7ff42ffe,0x85fff882,0xffa84ffb,
    0x3a000fff,0x81cfffff,0x806ffffc,0xffffffda,0x3fa01dff,0xc81cffff,
    0xfe86ffff,0xc81cffff,0xfe86ffff,0xc81cffff,0x7cc6ffff,0x6c01ffff,
    0x004fffff,0xffffd951,0x201fffff,0x02fffff8,0x017ffffe,0x227ffffc,
    0x205ffffe,0x02fffffb,0xb5100000,0x83ffffff,0xfb80fffb,0x3fffffff,
    0x261fff98,0x402fffff,0xf15fffff,0x6c09ffff,0xff06ffff,0x2007ffff,
    0x2ffffff8,0x03ffffea,0xffffa800,0x3ea0000f,0x0000ffff,0x03ffffea,
    0x75c40000,0x2e002eff,0x3ffa0fff,0x43fff902,0x9101fff9,0x22005599,
    0x204fffff,0x006ffffd,0x37bff662,0x7fffc401,0x3fff604f,0x7fffc46f,
    0x3fff604f,0x7fffc46f,0x3fff604f,0x7fffcc6f,0xfffe801f,0xb510006f,
    0x03ffffff,0x0bffffe2,0x1fffffd8,0x7ffffdc0,0x3ffffe23,0x3ffff202,
    0x04de404f,0x404cba98,0x82fffffa,0xb9105ffe,0xd1019dff,0xfff88bff,
    0x3fe603ff,0xfff55fff,0x7fec01ff,0xfff706ff,0xfb001fff,0x4c1fffff,
    0x202fffff,0xff981ac8,0x32202fff,0xffff981a,0x06b2202f,0x0bffffe6,
    0x4001ac88,0x4ffffffc,0xd97ffa00,0xddd101ee,0x817ffa29,0x2ffffff9,
    0x7ffffd40,0x3ffff600,0x7ffe4006,0x3ea04fff,0x3600ffff,0x7d46ffff,
    0x3600ffff,0x7d46ffff,0x3600ffff,0x7cc6ffff,0xb801ffff,0x4c0fffff,
    0x7d404cba,0xf102ffff,0x5405ffff,0x00efffff,0x1dfffff3,0x1fffffcc,
    0xffffff88,0xffff700f,0x7ffff45d,0x3ffe601f,0xfff981ff,0x7f440004,
    0x7ffc40ef,0x3ffa06ff,0xfff75fff,0x3fea03ff,0x3fa06fff,0x102fffff,
    0x7ffffffb,0x1fffffd0,0x3bffff60,0x3fffffa1,0xdffffb00,0x7fffff43,
    0xdffffb00,0x7fffff43,0xdffffb00,0xd7577003,0x26003fff,0x40004fff,
    0x200effd8,0xffffffe9,0x3fffee00,0xffff501f,0xabb800df,0x701fffeb,
    0x203fffff,0x46fffffa,0x01fffffb,0x8dfffff5,0x01fffffb,0x8dfffff5,
    0x81fffff9,0x3ffffdc1,0x07fffffa,0x1fffff98,0x5fffff10,0xfffffe80,
    0xffc989bf,0xff82ffff,0x7440ffff,0xffffffff,0xffff510b,0x7ffd41ff,
    0xfd880eff,0x3ea07fff,0x98000eff,0xfd01ffff,0x4c19ffff,0x5ffffffd,
    0x0bfffff5,0xdffffff3,0x7ffffd40,0xfecbceff,0x05ffffff,0x1dfffff5,
    0x6fffffa8,0x77ffffd4,0x7ffffd40,0x7ffffd46,0x7fffd40e,0x7fffd46f,
    0x7ffd40ef,0xf10006ff,0x7d400bff,0x98000eff,0x4001ffff,0x2a02fffd,
    0x985fffff,0x06ffffff,0x2fffc400,0x5fffffa8,0xffffff98,0x7ffffd46,
    0xfffff985,0x7fffd46f,0xffff985f,0x7ffcc6ff,0x2ffa61ff,0x6ffffe98,
    0x77ffffd4,0xffffd880,0x3fffe207,0x7ffcc02f,0xffffffff,0xd04fffff,
    0x7bffffff,0xfffffffd,0xffdfffff,0xd07fffff,0x9dffffff,0xffffffd9,
    0xffffb809,0xffd9801c,0x3ff202ff,0xffefffff,0x5fffffff,0xfffffff1,
    0xffffff99,0xffb80fff,0xffffffff,0xefffffff,0x3ffffa00,0xffffdeff,
    0xffe82fff,0xffdeffff,0xe82fffff,0xdeffffff,0x2fffffff,0xffffffe8,
    0xffffffde,0xff10002f,0xffb800df,0xc9800cff,0x8002ffff,0x2202fffc,
    0xcfffffff,0xfffffffc,0x7c40007f,0xfff106ff,0xff99ffff,0x8fffffff,
    0xfffffff8,0xffffffcc,0x7ffc47ff,0xffccffff,0x47ffffff,0x91fffff9,
    0xffffffff,0xffd09fff,0xd99dffff,0x09ffffff,0x17ffffc4,0x7ffffd40,
    0xffffffff,0xfff300df,0xffffffff,0xffffddff,0xffffffff,0x3ffa20bf,
    0xffffffff,0x3005ffff,0x59bfffff,0xfffd9755,0xfe8801df,0xffffffff,
    0x5ffffbef,0x3ffffff2,0xffffffff,0x7dc00fff,0xffffffff,0x0dffffff,
    0x7ffff440,0xffffffff,0xfffd104f,0xffffffff,0x3fa209ff,0xffffffff,
    0xd104ffff,0xffffffff,0x009fffff,0xfd753355,0xf30007ff,0x359bffff,
    0xffffd953,0x4cd4401d,0x0ffffca9,0x7ffffe40,0xffffffff,0xa800ffff,
    0xffeba99a,0x3fff203f,0xffffffff,0x40ffffff,0xfffffffc,0xffffffff,
    0x7ffe40ff,0xffffffff,0x20ffffff,0x71fffff9,0xffffffff,0x3fa20dff,
    0xffffffff,0x405fffff,0x02fffff8,0xfffffd30,0x07ffffff,0xffffff70,
    0x645fffff,0xffffffff,0x74405fff,0xffffffff,0x000dffff,0x3fffff62,
    0xffffffff,0x3fa2004f,0x5fffffff,0xe8bffff5,0xffffffff,0x7ffffd4f,
    0xffffd500,0xffffffff,0xfffc8009,0xffffffff,0xffffc803,0x3fffffff,
    0xfffffc80,0x03ffffff,0xffffffc8,0x003fffff,0xfffffffb,0x6c4000bf,
    0xffffffff,0x04ffffff,0xffffff88,0xfd002fff,0xffffffff,0x0fffffa9,
    0x3fffff60,0xfe805fff,0xffffffff,0x07ffffd4,0xfffffffd,0x3fffa9ff,
    0xffffe83f,0xfd4fffff,0x7fcc7fff,0x3fee1fff,0x1fffffff,0x3ffffa20,
    0xffffffff,0x7ffc400d,0x5d4002ff,0xdefffffd,0x3ffa6000,0x80beffff,
    0xffffffd9,0x36a001df,0xffffffff,0x3220001d,0xffffffff,0x88000bef,
    0x3dfffffd,0x217fffea,0xeffffffb,0x1bffff22,0xffffea80,0x000bffff,
    0xfffffb50,0x540039ff,0xfffffffd,0x3f6a001c,0x1cffffff,0x3fff6a00,
    0x001cffff,0x3ffffff6,0x9100001d,0xffffffff,0x220017df,0xcfffffff,
    0x7ffdc000,0x3f22efff,0xfd806fff,0x01dfffff,0x3ffffee0,0x3fff22ef,
    0xffff706f,0x7fe45dff,0xfff706ff,0x7e45dfff,0x3fe66fff,0x7ed41fff,
    0x000cffff,0xffffffb5,0x22003bff,0x002fffff,0x0004d4c0,0x002aa620,
    0x01355510,0x5554c400,0x98000019,0x01abccba,0x006a2000,0x00d54c00,
    0x554c0000,0x4000009a,0x0009aa98,0x04d54c40,0x2aa62000,0x4c400009,
    0x200009aa,0x00000198,0xabccba98,0x26620001,0x55300001,0x22000003,
    0xa9800019,0x2600001a,0x200001aa,0x00001aa9,0x0026a600,0x4d554c40,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26355555,
    0x0002aaaa,0x00000333,0x2aaaaaa0,0xaaaa8800,0x015554c0,0x2aaaa980,
    0xdddb1000,0x000c889d,0xd5017950,0x5555401d,0x05555441,0x77754000,
    0x17bbba5e,0x3bbaa000,0xeeee886e,0x776c004e,0xdddd15ee,0x0098805d,
    0x5415554c,0x2a981aaa,0x7100d540,0x0dd70179,0x35555500,0x55540000,
    0xaa8802aa,0x5554c0aa,0x55550002,0x55500055,0xaa881555,0x2aaa982a,
    0xaaaa8000,0x0000000a,0x01eeeeb8,0x0effffa8,0x005fffff,0x3fffff22,
    0x000003ef,0x09fffff1,0x12fffec0,0x0005ffff,0x01bfffee,0xffffd880,
    0x004ffc9e,0x6fffffd4,0x407fe88b,0x3a0efffb,0x00004fff,0x7cfffff7,
    0x80007fff,0x887ffffb,0x005fffff,0x8b7ffffc,0xb82fffff,0x3efffffd,
    0x22ffff88,0xa80ffffa,0x7ff503ff,0x3ffffee0,0x06ff98ad,0x3ffffe80,
    0xfff50000,0x3f6007ff,0x3ffe25ff,0xffa8003f,0x4c002fff,0xd04fffff,
    0x7fcc9fff,0x540001ff,0x006fffff,0x904c8800,0xd005ffff,0x3ee3ffff,
    0xf7003fff,0xffffffff,0x800003df,0x005ffffc,0xe97fffc4,0x20005fff,
    0x006ffffb,0xfffffc80,0x6c001dff,0xffffffff,0xfd806fff,0xdfff95ff,
    0x3ee00001,0x3ffe7fff,0x3baa007f,0xffffeeee,0xfff10eef,0xff800bff,
    0xfff16fff,0xfffc85ff,0x504fffff,0xff31ffff,0x3fe205ff,0x0fff440e,
    0xffffffe8,0x005fffff,0x03ffffe8,0xffffb000,0x7ffc4009,0x0bfffd3f,
    0x3ffffa00,0xfffd8003,0x3ffe204f,0x4fffe8af,0x7ffc4000,0x0003ffff,
    0x6413fea0,0x5402ffff,0x3fa1ffff,0xff3004ff,0xffffffff,0x00001dff,
    0x017fffe2,0x6ffffd40,0x0000efff,0x01bfffee,0x7fffe400,0xff88002f,
    0xfffffecf,0xff8803ff,0x1ffffdff,0x3fee0000,0x3fffe7ff,0x3ffee007,
    0xffffffff,0xffff11ff,0xfff800bf,0xffff16ff,0x7fffdc5f,0x202fffff,
    0xffeefffc,0x7ffec05f,0x05fffdcd,0xffd9dff3,0x005fffff,0x07ffffd0,
    0xffff3000,0xfff30009,0x01ffffbf,0x9ffff500,0xffff1000,0xffff500b,
    0x000dfffb,0xffdfffd0,0x980003ff,0xf904fffe,0xfe805fff,0x3ffea2ff,
    0xffff1006,0xfffd9fff,0x20000bff,0x0006fffc,0x7fffffe4,0x7dc0001f,
    0x40006fff,0xffffffd9,0x7fd4000e,0x3bff6a22,0x3ffea002,0x0004ffff,
    0x3ffffdc0,0x400dffff,0xfffffffb,0x11ffffff,0x00bfffff,0x16fffff8,
    0x745fffff,0xffffffff,0x7fff401f,0x4400efff,0xfffffffe,0x43ff700f,
    0x02dffeb8,0x7ffffd00,0xfffb0000,0x7fe4000b,0x002fffff,0x009fffb0,
    0x017fff20,0xffffffd8,0x7dc0001f,0xdfff96ff,0xfffe8000,0xffff904f,
    0x27ffcc03,0x4003bffa,0x43fffff9,0x007ffff9,0x0efff880,0xfffe8000,
    0xb80004ff,0x0006ffff,0xf79fffd3,0x8800bfff,0x0006202a,0x37ffffe4,
    0x7fdc0000,0x3fa667ff,0x3bbaa005,0xfffffeee,0xffff10ee,0xfff800bf,
    0x3f7326ff,0xfffff11f,0x7cc00c3d,0x001fffff,0x9fffff91,0x10154c01,
    0xffe80001,0x440003ff,0x80005fff,0x04fffffe,0x0bfff300,0x3bffe200,
    0x3ffe2000,0x40003fff,0x3a1ffff9,0x20004fff,0x104ffffe,0x4c01ff73,
    0x555442aa,0x3ffee000,0xffffb06f,0xcc980003,0x5100000c,0x00005555,
    0xff100000,0x7fffec17,0x00000004,0x05555540,0x7fdc0000,0x04ff87ff,
    0xffffb800,0xfffff887,0x7fffc005,0x10ffc86f,0x009fffff,0x0aaaaa60,
    0x026a6200,0x00000000,0x99500000,0x51000019,0x40005555,0x20004cca,
    0x8000ccc9,0x002aaaa9,0x41aaa980,0x0002aaa8,0x013ffffa,0x00000ff9,
    0x3fffee00,0xffffc80f,0x00000001,0x00000000,0x10280000,0x007fffff,
    0x00054c40,0x22000000,0xffffb80a,0x8017fdc7,0xfffb80a8,0xffff887f,
    0x7ffc005f,0x27fe86ff,0x02fffff9,0x00000000,0x9a998800,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x9ffffd00,0x002ff440,
    0xff980000,0x7f444fff,0x000007ff,0x54c40000,0x4c400000,0xca880001,
    0xfffaacee,0x326000ff,0xceffffff,0x80000000,0xceffffda,0x2fffff70,
    0x5405ffd8,0x0ceffffd,0x10fffff7,0x00bfffff,0x46fffff8,0x3fe64ffa,
    0x00001fff,0x10000000,0xfffffff9,0x000007bf,0x01980000,0x000cc000,
    0x88000000,0x26200009,0x00000000,0xfffdd500,0x25dddfff,0x7440fffb,
    0x6401eeee,0x7c04eeee,0xd11fffff,0x200bffff,0x01eeeee8,0x02777764,
    0x3fffff26,0x98000cef,0xdeffffed,0x7ffdc001,0xfffeffff,0xfd8804ff,
    0xffffffff,0x3a2002ff,0x9002eeee,0xffffffff,0xfffff73d,0xc8037fe2,
    0xffffffff,0x7ffffb9e,0x5fffff88,0x7ffffc00,0x41fff716,0x01fffff9,
    0x7777775c,0xeeeeeeee,0xddd104ee,0xffb805dd,0xffffffff,0x3bae04ff,
    0xeeeeeeee,0x24eeeeee,0x225eeee8,0x3effffec,0x25eeee88,0xeffffec8,
    0xddddd703,0xdddddddd,0x774c9ddd,0xfffb14ee,0xeeee987d,0x7dfffb14,
    0x01f7775c,0x80bbbbba,0x50eeeee9,0xffffffff,0x3ff67fff,0xfffff982,
    0x7fffec01,0x7fffdc05,0xfffffaff,0xfff3002f,0xffd803ff,0xffb105ff,
    0xffffffff,0x7fdc005f,0xffffffff,0xfffd8803,0xffffffff,0x2600ffff,
    0xfffffffe,0x0dffffff,0xfffff880,0xffffe802,0xefffffff,0x0b27ffff,
    0xffffffd0,0xffdfffff,0xfff10fff,0xff800bff,0xfffdffff,0x7fffcc1f,
    0x7ffe401f,0xffffffff,0x105fffff,0x405fffff,0xfffffffa,0x5fffffff,
    0xffffff90,0xffffffff,0x7ffc4bff,0xffffd17f,0x441bffff,0xfd17ffff,
    0xbfffffff,0xfffffc81,0xffffffff,0x3fea5fff,0xffff8dff,0x7ffd46ff,
    0xfffff8df,0x3fffea6f,0x3fffe607,0x3ffee05f,0x3fffea6f,0x3fffffff,
    0x3fe60193,0x7ec01fff,0xfe805fff,0xffffffff,0x3e6003ff,0x6c01ffff,
    0xe985ffff,0xffffffff,0x00dfffff,0x7fffffec,0x0dffffff,0x3fffff60,
    0xffffffff,0xfd104fff,0xffffffff,0x09ffffff,0x5fffff10,0xfffffb80,
    0xffffffff,0x2007ffff,0xfffffffb,0xffffffff,0xfff887ff,0x7fc005ff,
    0xcfffffff,0xfffff980,0x7fffe401,0xffffffff,0xf105ffff,0x2205ffff,
    0xefffffff,0xffffffff,0xfffffc82,0xffffffff,0x3fe25fff,0xffff9fff,
    0x5fffffff,0x27ffffe2,0xffffffff,0x7fe45fff,0xffffffff,0x25ffffff,
    0xfdeffffa,0x543fffff,0xffdeffff,0x3e23ffff,0xf901ffff,0x740fffff,
    0x3ea3ffff,0xffffffff,0xff3003ff,0xfd803fff,0xf8805fff,0xffffffff,
    0x7fcc003f,0x7ec01fff,0x7f445fff,0xffffffff,0x04ffffff,0x3fffffee,
    0xffffffff,0xfffff504,0xfffb79df,0x360fffff,0xacffffff,0xfffffda9,
    0x7ffc401f,0x3fe202ff,0x260dffff,0x7ffffffe,0xfffff100,0x7ff4c1bf,
    0xf887ffff,0x4005ffff,0x1bffffff,0x7ffffcc0,0x7fffe401,0xffffffff,
    0xf105ffff,0x2e05ffff,0x20bfffff,0x4fffffc8,0xffffffc8,0xffffffff,
    0x3ffe25ff,0xffffffff,0x1fffffff,0xfffffff1,0xffffffff,0x7fe43fff,
    0xffffffff,0x25ffffff,0xfffffffa,0x541fffff,0xffffffff,0x7ec1ffff,
    0xffd03fff,0xf103ffff,0x64c3ffff,0xcefffffc,0xff3001cc,0xfd803fff,
    0xe9805fff,0xefffffff,0xfff98000,0x7fec01ff,0x7ffec5ff,0xda9acfff,
    0x81ffffff,0x1efffff8,0x3fffffae,0x7ffffc40,0xfffe883f,0x7fc41fff,
    0xf501efff,0x880dffff,0x202fffff,0x04fffffc,0x1ffffffa,0x7ffffdc0,
    0x3ffff604,0xffff887f,0x7ffc005f,0xff3006ff,0xca803fff,0xcccccccc,
    0x1fffffff,0x5fffff10,0x13fffb20,0x2fffffc4,0x66666654,0xfffffccc,
    0x3ffe21ff,0x2a2dffff,0x14ffffff,0xbfffffff,0x7ffffd45,0x33332a4f,
    0xfffccccc,0x3ea1ffff,0xdfffffff,0xfffa86fe,0xfedfffff,0x5ffffb86,
    0xffffff88,0xffffa83f,0x3ffffa06,0xfff30004,0xffd803ff,0x7fe405ff,
    0x3fffffff,0xffff3000,0xfffd803f,0x3fffe25f,0xfff501ef,0xfffb0dff,
    0x3ff601ff,0x7ffe44ff,0x7ff404ff,0x7fd44fff,0x7e402fff,0x2203ffff,
    0x202fffff,0x00fffffe,0x1fffffea,0x7fffff40,0x3fffe600,0xffff887f,
    0x7ffc005f,0xff3006ff,0x00003fff,0x5ffffff7,0x7ffffc40,0x200a9802,
    0x005ffffd,0xffffff70,0xfffff885,0xffff505f,0x3fffe29f,0xfff505ff,
    0xfb8009ff,0x542fffff,0x0dffffff,0x3ffea062,0x0620dfff,0x03ffffe2,
    0xfffffff5,0x9ffffb0b,0x27ffff40,0xffff9800,0x7ffec01f,0xfffd105f,
    0xffffffff,0xfff30003,0xffd803ff,0x3ffea5ff,0x7fe402ff,0x3fe23fff,
    0x3e203fff,0x3fa0ffff,0x5400ffff,0x6c5fffff,0x8806ffff,0x204fffff,
    0x02fffff8,0x013ffffe,0x01fffffa,0x027ffffc,0x43fffff4,0x05fffff8,
    0x37ffffc0,0xfffff980,0x7fd40001,0x4404ffff,0x002fffff,0xffffea80,
    0xfffa8006,0xff884fff,0x3a00efff,0xff15ffff,0x7401dfff,0x2005ffff,
    0x4ffffffa,0xffffffa8,0xffff5001,0x7f4003ff,0x7fe42fff,0xf87fffff,
    0x3a01ffff,0x0004ffff,0x03fffff3,0x85ffffd8,0xffffffe8,0x0effffff,
    0x7cc02b32,0x6c01ffff,0x3f65ffff,0xf8806fff,0x3e64ffff,0x7401ffff,
    0x3fe1ffff,0xff005fff,0xfff8dfff,0xffb003ff,0x7fc40dff,0xff102fff,
    0xfb007fff,0xf100ffff,0xb007ffff,0xf10fffff,0x800bffff,0x006fffff,
    0x03fffff3,0x7fffd400,0xff8805ff,0x44002fff,0xfffffeca,0x7d4006ff,
    0x105fffff,0x809fffff,0xf16ffffd,0xd809ffff,0x5006ffff,0x0bffffff,
    0x17ffffea,0xfffffa80,0x7ffdc005,0x7ffff44f,0x3e61ffff,0x7f407fff,
    0x30004fff,0x803fffff,0xd85ffffd,0x9affffff,0x15ffffff,0x983fffff,
    0x401fffff,0x3e5ffffd,0xb003ffff,0x7d4dffff,0x9999ffff,0xfffe9999,
    0xfffff12f,0x3fffa007,0x3fffe27f,0xfff9002f,0x7ffc40ff,0xfff302ff,
    0xff9005ff,0xff300fff,0xf9005fff,0x3fe0ffff,0x7c005fff,0x3006ffff,
    0x003fffff,0x3ffffe60,0xfff1006f,0xd73005ff,0xffffffff,0x4c00dfff,
    0x06ffffff,0x0fffffe2,0x2dffffb0,0x03fffff8,0x037fffec,0x7fffffcc,
    0x3fffea06,0x3fea003f,0x4c003fff,0x3e26ffff,0xffffbfff,0x13ffff23,
    0x09ffffd0,0x3fffe600,0x7ffec01f,0x7fffcc5f,0x3ffea1ef,0xfffbbfff,
    0xffff987f,0x7ffec01f,0xfffff15f,0x3fff2005,0x3fffee7f,0xffffffff,
    0x53ffffff,0x005fffff,0xa9fffff6,0x002fffff,0x01fffff7,0x0bffffe2,
    0x0fffffd4,0x3ffffdc0,0x7ffffcc0,0xffffb802,0xbfffff07,0xfffff800,
    0xffff3006,0xff10003f,0x001dffff,0x0bffffe2,0xfffffe88,0xffffffff,
    0xfff1006f,0x4401dfff,0x403fffff,0xf16ffffc,0xc807ffff,0x4406ffff,
    0x0effffff,0x3ffffea0,0x3ffea002,0xfe8002ff,0xfff51fff,0x4bfffb3f,
    0x402ffffe,0x004ffffe,0x5fffff30,0x5ffffd80,0x0fffffec,0x7fffffe4,
    0x985ffffe,0x402fffff,0xf55ffffd,0x2005ffff,0xb0fffffb,0xffffffff,
    0xffffffff,0x3ffe69ff,0xffb003ff,0x7ffccdff,0xff9002ff,0x7fc40fff,
    0xff302fff,0xf9005fff,0xf300ffff,0x9005ffff,0x3e0fffff,0x4006ffff,
    0x005fffff,0x03fffff3,0xffffe880,0x3e2000ff,0xd102ffff,0xbfffffff,
    0xdffff937,0xffffd100,0xff8801ff,0x7e402fff,0xfff16fff,0xffc805ff,
    0x3fa206ff,0x400fffff,0x01fffffa,0x3ffffea0,0xfffc8001,0x2ffff93f,
    0xff17fffb,0xffd00fff,0x260009ff,0x402fffff,0x7c5ffffe,0x3606ffff,
    0xffffffff,0xfff982ff,0x7ff402ff,0xffff35ff,0x3ff2005f,0x3fff27ff,
    0xffffffff,0x5fffffff,0x013ffffe,0x12fffff4,0x007fffff,0x81bffff6,
    0x02fffff8,0x05fffff1,0x0fffffb0,0x7fffff10,0xfffffb00,0x1fffffa0,
    0xfffff880,0xffff3004,0xffd8003f,0x4001ffff,0x02fffff8,0x39fffffd,
    0x0dffff90,0xffffffb0,0xffff1003,0xfffc805f,0xfffff16f,0xffffc805,
    0x3ffff606,0xffa801ff,0x2a001fff,0x001fffff,0xd5ffff98,0x3fe69fff,
    0xffffa9ff,0xffffe805,0xfff30004,0xffe805ff,0x3ffe25ff,0x3fa204ff,
    0x6fffffff,0x5fffff30,0x5ffffe80,0x07fffff1,0x9bffff60,0x99fffffb,
    0x99999999,0x3ffa0999,0xff8806ff,0x7ffc4fff,0xfff005ff,0x7fc409ff,
    0x3fe02fff,0xfe804fff,0xff007fff,0xfd00bfff,0x3f60ffff,0x7001ffff,
    0x007fffff,0x07ffffe6,0xfffffc80,0xff88002f,0xff882fff,0x3f604fff,
    0x7e406fff,0x002fffff,0x05fffff1,0x16ffffc8,0x805fffff,0x906ffffc,
    0x05ffffff,0x3ffffea0,0x3ffea001,0xff0001ff,0xffff3fff,0x6dffffc5,
    0xe802ffff,0x0004ffff,0x05fffff3,0x25fffff8,0x04fffff8,0x7fffffcc,
    0xfff301ff,0xfff805ff,0x3fffe5ff,0xffff005f,0x7fffd49f,0x7ec0000f,
    0x6402ffff,0x6c2fffff,0x401fffff,0x03fffffb,0x0bffffe2,0x07ffffe8,
    0x3fffffd4,0xfffffd80,0x3fffe600,0xffff907f,0xfff100bf,0x26005fff,
    0x001fffff,0x7ffffff7,0x3ffe2000,0xfffa82ff,0x3ff600ff,0x3fee06ff,
    0x2003ffff,0x02fffff8,0x8b7fffe4,0x402fffff,0xb86ffffc,0x03ffffff,
    0x3ffffea0,0x3ffea001,0xf90001ff,0xffffbfff,0x7f7ffec1,0xe800ffff,
    0x0005ffff,0x07fffff1,0x2fffffcc,0x03fffffe,0xffffff70,0x3ffe203f,
    0x3fe603ff,0x3ff65fff,0x7dc01fff,0x3e63ffff,0x2202ffff,0xfff301ac,
    0x3ea01dff,0xfa86ffff,0x300effff,0x01dfffff,0x17ffffc4,0xbfffff70,
    0x3ffffa20,0xfff7007f,0x3fa20bff,0xf307ffff,0x01bfffff,0x3fffff66,
    0x3ffe6007,0xffa801ff,0x0003ffff,0x0bffffe2,0x07ffffee,0x37ffffd4,
    0xffffffa8,0x7ffc4003,0x7fe402ff,0xffff16ff,0xfffc805f,0x7fffd46f,
    0x7d4003ff,0x2000ffff,0x00fffffa,0xfffff500,0xffb8dfff,0x05ffffff,
    0x0bffffd0,0x3fffe200,0x3fffa06f,0x7ffec5ff,0x3fea03ff,0x3fffffff,
    0x6fffff88,0x3fffffa0,0x3ffffea5,0xffff300e,0xfffe81df,0xfffb00ff,
    0xfffc83df,0xf930bfff,0x203fffff,0xbffffffe,0xffffc989,0x7fc402ff,
    0x3e202fff,0x21dfffff,0xffffffe9,0x3fffa007,0x3fa61dff,0x207fffff,
    0xfffffffd,0xffffdccd,0x2003ffff,0x01fffff9,0x7fffffcc,0x7fc40004,
    0xffa82fff,0xff985fff,0xf986ffff,0x004fffff,0x2fffff88,0xb7fffe40,
    0x02fffff8,0x337fffe4,0x09ffffff,0xfffff500,0x7ffd4001,0x3e0000ff,
    0x4fffffff,0x7fffffcc,0xffb002ff,0x03735fff,0x7fffff40,0x3fff660c,
    0x7fd45fff,0x98beffff,0xffffffda,0x40dfffff,0x0cfffffe,0x3fffff66,
    0x7ffff45f,0xfc989bff,0xa82fffff,0x40efffff,0x86fffffa,0xffffffe8,
    0xffffffff,0x3ffe604f,0xffffffff,0x804fffff,0x02fffff8,0x7fffffdc,
    0xffffffff,0x2a007fff,0xffffffff,0xffffffff,0x3ffe607f,0xffffffff,
    0xffffffff,0x3ffe6000,0x3fe201ff,0xeeefffff,0xeeeeeeee,0xfffff881,
    0xfffff882,0xffffccff,0x7c47ffff,0xeeffffff,0xeeeeeeee,0xfffff11e,
    0xffffc805,0x5fffff16,0x6ffffc80,0xfffffff1,0xdddddddd,0x3fea3ddd,
    0x2a000fff,0x000fffff,0x3fffff60,0xffff82ff,0x9000ffff,0xffffffff,
    0x7ffe4007,0xfffeffff,0x85ffffff,0xfffffffd,0xffffffff,0xffffffff,
    0x3ffff20f,0xffffefff,0x4c5fffff,0xffffffff,0xffffffff,0x3ffffa04,
    0xffffdeff,0xff302fff,0xffffffff,0x801dffff,0xfffffffa,0xdfffffff,
    0xffff8800,0xfffe802f,0xffffffff,0x007ffffa,0x7fffffec,0xffafffff,
    0x7fd407ff,0xffffffff,0x2fffffff,0x7fffcc00,0x3ffea01f,0xffffffff,
    0x1fffffff,0x2fffff88,0xffffff90,0xffffffff,0x7fd41fff,0xffffffff,
    0xffffffff,0x5fffff11,0x6ffffc80,0x05fffff1,0x56ffffc8,0xffffffff,
    0xffffffff,0x3ffea3ff,0x3ea000ff,0x0000ffff,0x3fffffea,0xffffd80f,
    0x3ea005ff,0x4fffffff,0x3fffa200,0xefffffff,0x885ffffb,0xfffffffe,
    0xffffffff,0x4ffffffc,0x7fffff44,0xfbefffff,0xffa85fff,0xffffffff,
    0x200dffff,0xffffffe8,0x4fffffff,0x7fffec40,0x3fffffff,0x3fffa600,
    0xffffffff,0x3ffe2003,0xff9002ff,0x1dffffff,0x00fffff1,0xffffff90,
    0xfff13fff,0xffb100ff,0xffffffff,0x0001bfff,0x03fffff3,0x7fffffd4,
    0xffffffff,0xf881ffff,0x3a02ffff,0xffffffff,0x7ffffd4f,0x7fffffd4,
    0xffffffff,0xff11ffff,0xfc805fff,0xfff16fff,0xffc805ff,0xffff56ff,
    0xffffffff,0x23ffffff,0x00fffffa,0x3ffffea0,0x3fe20000,0xf506ffff,
    0x007fffff,0xffffffe8,0x7f44005f,0x5fffffff,0x40bffff5,0xfffffffc,
    0x30cfffff,0x220dfffd,0xfffffffe,0xbffff55f,0x3ffffa60,0x3fffffff,
    0x3ffff200,0x3fffffff,0x3fffaa00,0x000dffff,0xffffb750,0x88001bdf,
    0x002fffff,0x3fffffaa,0xfffff10d,0x3ffaa000,0xff10dfff,0x6d400fff,
    0xfffffffe,0x260002df,0x201fffff,0xfffffffa,0xffffffff,0xff881fff,
    0x7dc02fff,0x22efffff,0x2a6ffffc,0xffffffff,0xffffffff,0xffff11ff,
    0xfffc805f,0xfffff16f,0xffffc805,0xffffff56,0xffffffff,0x3ea3ffff,
    0x2000ffff,0x00fffffa,0x7fffec00,0xffff104f,0xd88001ff,0x04efffff,
    0xffffd880,0x3ffea3df,0x7fecc05f,0x1dffffff,0x4401ff90,0x3dfffffd,
    0x017fffea,0xfffffb75,0xb50001bd,0x9fffffff,0x55440003,0x98000009,
    0x2200009a,0x002fffff,0x0000a988,0x03531000,0x55300000,0x20000135,
    0x01fffff9,0x3fffffea,0xffffffff,0xf881ffff,0x3002ffff,0x2a000355,
    0xffffffff,0xffffffff,0xffff11ff,0xfffc805f,0xfffff16f,0xffffc805,
    0xffffff56,0xffffffff,0x3ea3ffff,0x2000ffff,0x00fffffa,0x7fffdc00,
    0x3fffa02f,0x2620006f,0x1000009a,0x20000035,0x0009aa98,0x0d440035,
    0x35300000,0x4c400001,0x000009aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x01eeeee8,0x02777764,0x32e20000,0x985ec80a,0x003eeeee,
    0x5ddddd30,0x3bbbaa00,0x55555006,0x00aaaa98,0x5e7765cc,0xdca88001,
    0x0000abde,0x30000010,0x2e000013,0xd10eeeee,0x8009dddd,0xd55eeeed,
    0x1003dddd,0x007ddddd,0x3eeeec80,0x77777540,0x00151000,0xfeca8800,
    0x776c02cd,0x988003ee,0x55530000,0x55555555,0xeee98555,0x000000ee,
    0x337bb72a,0x2a000002,0x9806eeee,0x01bceedb,0x9f77774c,0x33eeeee9,
    0x803fffff,0x005ffffd,0xffb802e4,0xf98acfff,0xffff986f,0xff30004f,
    0x2e007fff,0xf007ffff,0xffb8bfff,0x3ff201ff,0x04ffffff,0x3ffffea0,
    0x4002ffff,0xefffedb8,0xdc8000bc,0x02efffff,0x3ffff200,0xfffff10f,
    0xffff800b,0xfffff36f,0xffff5009,0x20b9003f,0x404ffffe,0x00fffffa,
    0x3bffff62,0x1bbbba1c,0x3fffff60,0xff01dfff,0x3ba69fff,0x3fb265ee,
    0x2000deff,0xfffffffe,0x46ffffff,0x00fffffa,0xffea8000,0x2effffff,
    0xffb80000,0x3fe607ff,0x4fffffff,0x3ffffea0,0x9fffff34,0x07ffffe6,
    0x0bffffb0,0x4017fea0,0xffffffff,0xf984ffff,0x0004ffff,0x07fffff3,
    0x1ffffee0,0x22ffffc0,0x881ffffb,0xfffffffd,0x6c00efff,0xffffffff,
    0xf7003fff,0xffffffff,0x7ec007ff,0x2fffffff,0x3fff2000,0xffff10ff,
    0xfff800bf,0x3fffa6ff,0xfffd807f,0x2ffd406f,0x04ffffe8,0x07ffffd4,
    0xffffffa8,0xffff1fff,0x7fff440f,0xffffffff,0x4fffff80,0x2adffff3,
    0xffffffff,0xfff8802f,0xffffffff,0x7fd46fff,0x00000fff,0x7fffffe4,
    0x04ffffff,0x7ffdc000,0xffff507f,0xdfffffff,0xfffff503,0x3ffffe69,
    0x3fffff34,0x5ffffd80,0x2ffff4c0,0x7677fcc0,0x1fffffff,0x4fffff98,
    0xffff3000,0x3fee007f,0xfff007ff,0xffffb8bf,0xfffffd81,0x6fffffff,
    0x3fffff20,0xffffffff,0x3fffa204,0xffffffff,0x7ec00eff,0xffffffff,
    0x3ff20000,0xfff10fff,0xff800bff,0x3fee6fff,0x3e201fff,0xd303ffff,
    0x3fa0bfff,0x7d404fff,0xfc80ffff,0xffffffff,0x7ffff9ff,0xffffff30,
    0xdfffffff,0x4fffff81,0xf5dffff3,0xffffffff,0xff9807ff,0xffffffff,
    0x7d46ffff,0x0000ffff,0x3ffffea0,0xffffffff,0x2e00002f,0xfb87ffff,
    0xffffffff,0xfa86ffff,0xff34ffff,0x3fe69fff,0x7ec01fff,0x7f405fff,
    0xfc805fff,0x3ffae20f,0xffff301d,0x3e60009f,0x7003ffff,0x200fffff,
    0x7dc5ffff,0x7fc41fff,0xffeeffff,0xf981ffff,0xfdffffff,0x01ffffff,
    0xfffffffd,0xffffffff,0x7fffc40d,0x007fffff,0x7ffffe40,0xbfffff10,
    0xfffff800,0x3ffffe26,0x3fffea04,0xffffd00f,0x3ffffa0b,0x7fffd404,
    0x7fffcc0f,0xffffffff,0xd07fffff,0xdbffffff,0x89ffffff,0xf34fffff,
    0xffffffff,0xffffffff,0x7ffdc01f,0xffffffff,0x7fd46fff,0x00000fff,
    0x3ffffffe,0xffffffcc,0xf700000f,0xffd0ffff,0xffdbffff,0xfa89ffff,
    0xff34ffff,0x3fe69fff,0x7ec01fff,0x7f405fff,0xa9805fff,0xf3002202,
    0x0009ffff,0x0fffffe6,0x26666540,0x42aaaa80,0x640aaaa9,0x221fffff,
    0xe85fffff,0x643fffff,0xc85fffff,0xbeffffff,0xffffea98,0xffff504f,
    0x000043bf,0x43fffff2,0x05fffff8,0x37ffffc0,0x81fffff6,0x205ffffd,
    0xd05ffffe,0xa809ffff,0x740fffff,0x0aefffff,0xffffffb3,0xfffff30f,
    0xffffe889,0x96666646,0xfffffff9,0xfffa889d,0x3f205fff,0xeeeeefff,
    0x545eeeee,0x000fffff,0xfffff300,0xfffff709,0x3ee00003,0x7fcc7fff,
    0x3e60bfff,0x7d47ffff,0xff34ffff,0x3fe69fff,0x7ec01fff,0x7f405fff,
    0x00005fff,0x3fffe600,0xff30004f,0x00007fff,0xf1000000,0xf909ffff,
    0x7c41ffff,0xfb02ffff,0x7c41ffff,0x200effff,0x80fffffd,0x02fffffa,
    0x7ffe4000,0xffff10ff,0xfff800bf,0x7ffd46ff,0xfff881ff,0x3ffa02ff,
    0xfffd05ff,0xfffa809f,0x3ffea0ff,0xffb00eff,0xffb0ffff,0x3fee0dff,
    0xf3001fff,0x20bfffff,0x1fffffe8,0x05ffffd0,0x3fffea00,0xf700000f,
    0xf101ffff,0x0007ffff,0x1ffffee0,0x20dffff9,0x20fffffc,0x34fffffa,
    0x269fffff,0x401fffff,0x405ffffd,0x005ffffe,0x3fe60000,0x30004fff,
    0x007fffff,0x00155554,0xfffb8000,0xfff880ff,0x3ffea4ff,0x3ffe207f,
    0x3ffea4ff,0x7fd400ff,0xffb82fff,0x00000fff,0x87ffffe4,0x05fffff8,
    0x37ffffc0,0x427ffffc,0x00fffffa,0x417ffffa,0x404ffffe,0x20fffffa,
    0x02fffffc,0x1fffffe2,0x05fffff3,0x02ab33a2,0x7fcc1553,0x2a00ffff,
    0xf03fffff,0x0001ffff,0x03ffffea,0xfc8002a6,0x3f205fff,0x22004fff,
    0xffffb80a,0x17fff647,0x1fffff98,0x4fffffea,0x34fffff9,0x803fffff,
    0x985ffffd,0xffffffee,0xddd12eee,0xeec803dd,0xffff34ee,0x3e60009f,
    0x2003ffff,0x0007ffff,0xffff9000,0x7fffec0d,0x1bfffee5,0x4dffffd0,
    0x004ffffd,0x709ffffd,0x000fffff,0xfffff900,0x3ffffe21,0x7fffc005,
    0xffffc86f,0x5ffffd87,0xffffee98,0xfd2eeeff,0xfa809fff,0x3fa0ffff,
    0xfc806fff,0x7fe47fff,0xe80007ff,0x3ffe63ff,0xffe804ff,0xfff885ff,
    0x3ea0007f,0xfb30ffff,0x801bdfff,0x206ffffa,0x402ffffd,0xceffffda,
    0x0fffff70,0xfff7014c,0xffff98ff,0xfffff33f,0x3ffffe69,0x7fffec01,
    0xfffffa85,0x33ffffff,0x803fffff,0xf35ffffd,0x0009ffff,0x0fffffe6,
    0x3ffffc40,0x77774400,0x3fff602e,0x3fff205f,0x3ffff26f,0x7fffec05,
    0x0bb72ea7,0xa7fffec0,0xffffeeea,0x000eeeef,0x7ffffe40,0xbfffff10,
    0xfffff800,0xfffff986,0x17ffffc1,0x7fffffd4,0xfd3fffff,0xfa80bfff,
    0x3fe0ffff,0xfb804fff,0x7fec7fff,0xe80006ff,0x3ffe64ff,0xffd802ff,
    0xfffa86ff,0x4002626f,0xb8fffffa,0xffffffff,0x3ffe202f,0xfff880ff,
    0x3ff200ff,0x9effffff,0x007ffffb,0x17ffffa0,0x25fffff1,0x34fffff9,
    0x803fffff,0xa85ffffd,0xffffffff,0xfff33fff,0xffd803ff,0xffff35ff,
    0x3e60009f,0x5003ffff,0x000bffff,0x05fffff1,0x027ffff4,0x64fffff7,
    0x6c05ffff,0x000fffff,0x7ffffc40,0xffffff72,0x03ffffff,0xffffc800,
    0xfffff10f,0xffff800b,0xffffd06f,0x3ffffd49,0xffffffa8,0xfd3fffff,
    0xfb80bfff,0xff10ffff,0xf5009fff,0xffe8ffff,0x2f2e65ff,0x4fff800a,
    0x07ffffe6,0x1fffff20,0x33bffff2,0x00defffe,0x37ffffea,0xffffffff,
    0x3fa03fff,0x3220dfff,0x3a05ffff,0xffffffff,0xffffefff,0xfff70007,
    0xffff05ff,0x3fffe63f,0xfffff34f,0xffffe805,0xfffffa85,0x33ffffff,
    0x803fffff,0xf35ffffd,0x0009ffff,0x0fffffe6,0x3ffffe20,0xfff88003,
    0x3ffe02ff,0x3fee04ff,0xfff70fff,0xfffe80df,0x6c0001ff,0xf70fffff,
    0xffffffff,0x80003fff,0x10fffffc,0x00bfffff,0x06fffff8,0x6cfffff7,
    0xf504ffff,0xffffffff,0x3fffa7ff,0x7ffdc05f,0xffff10ff,0xfff5007f,
    0xffffe8ff,0xfffffe8c,0x3ffe203f,0x3ffffe65,0xffffb801,0xfffffd87,
    0xffffffff,0xfffff502,0xffffffff,0x201fffff,0xefffffe8,0x1efffffe,
    0xffffff70,0xffffffff,0x5c00ffff,0x4fffffec,0x21fffff0,0x34fffff9,
    0x805fffff,0x985ffffe,0xefffffcc,0xfff31ccc,0xffd803ff,0xffff35ff,
    0x3e60009f,0x4403ffff,0x01fffffe,0xfffff880,0x3ffffe02,0x3fffea03,
    0xfffff30f,0x7ffffc01,0xfb10001f,0x7dcbffff,0xffffffff,0x40001fff,
    0x10fffffc,0x00bfffff,0x06fffff8,0x23fffff1,0x301fffff,0xdfffff99,
    0x3ffa3999,0x7fdc06ff,0x3ffe0fff,0xffa803ff,0x7fffc7ff,0xffffffdf,
    0xf980dfff,0x3ffe66ff,0xffc802ff,0xffff87ff,0xffffffff,0xffa84fff,
    0x20cfffff,0x5fffffe9,0x7ffffec0,0x00dfffff,0xbffffff1,0x7ffff4c1,
    0x3fa007ff,0x202fffff,0xf30ffffe,0x3e69ffff,0x7c02ffff,0x7405ffff,
    0xf305ffff,0xd803ffff,0xff35ffff,0x20009fff,0x03fffff9,0x3fffffa2,
    0xfff10005,0x3fe205ff,0x3ea03fff,0xff11ffff,0x3ee09fff,0x002fffff,
    0xfffffe88,0x3f6aa60e,0xaaabffff,0x7fe40000,0xfff10fff,0xff800bff,
    0x3f606fff,0xfffacfff,0xfffd006f,0x3fffa0bf,0x7ffec07f,0x3fffa0ff,
    0xfffb804f,0x3fffe27f,0xffffffff,0xf986ffff,0x3ffe67ff,0xffd803ff,
    0x7ffc46ff,0xffffffff,0x542fffff,0x03ffffff,0x3fffffd1,0x7ffff440,
    0x200fffff,0x04fffffb,0x1ffffff6,0xffffff80,0x3fffec04,0x49fffff3,
    0x203fffff,0x05fffff9,0x82fffff4,0x01fffff9,0x9affffec,0x004fffff,
    0x7fffff30,0x3ffffe60,0xf10000ef,0x2605ffff,0x203fffff,0x22fffffa,
    0x23fffffc,0xffffffd9,0x7f44003f,0x201fffff,0x007ffffb,0xffffc800,
    0xfffff10f,0xffff800b,0x3ffea06f,0x3ffffdff,0xbffffd00,0x3fffffa0,
    0xfffff101,0x7fffec1f,0xffffd805,0x3ffffe67,0xfebbefff,0x7d43ffff,
    0x3ffe67ff,0xffe804ff,0x7ffcc5ff,0xea99beff,0x546fffff,0x406fffff,
    0x03fffffa,0xfffffff5,0x207fffff,0x00fffffe,0x1fffffe6,0x7ffffc40,
    0xff903fff,0x7fffccdf,0x3ffffa4f,0x3ffffa06,0x7fff405f,0xffff305f,
    0xfffd803f,0xfffff35f,0x3fe60009,0xff983fff,0x000effff,0x3ffffe20,
    0xfffff302,0x7fffd407,0x7ffff42f,0xfffffeff,0x2003ffff,0xeffffff9,
    0x7fffdc00,0xfc800007,0xff10ffff,0xf800bfff,0x7c06ffff,0xffffffff,
    0xfffd000f,0x3fffa0bf,0xfffb05ff,0x7fe41fff,0x3e601fff,0x3e67ffff,
    0x82ffffff,0x20fffffd,0xf30ffffb,0x401fffff,0x43fffff9,0x00dffed9,
    0x47fffffb,0x03fffffa,0x84fffff8,0xfffffffa,0x4fffffff,0x04fffff8,
    0x07ffffe8,0xfffbbd30,0xff70bfff,0x7fffccbf,0x3ffff64f,0x3ff6a0cf,
    0x7405ffff,0xf305ffff,0xd803ffff,0xff35ffff,0x20009fff,0x43fffff9,
    0xeffffff8,0x7fc40000,0xff302fff,0x7d407fff,0x7d41ffff,0xffffffff,
    0x2fffffff,0x3ffffa00,0xffb800ef,0x800007ff,0x10fffffc,0x00bfffff,
    0x06fffff8,0x7fffffe4,0x3fa005ff,0xffd05fff,0x263bffff,0xfffffffc,
    0x3ffffea0,0xffffd105,0x7fffc4ff,0xfff103ff,0x7ffe47ff,0xfffff31f,
    0x7fff40bf,0x200401ff,0x25fffff8,0x02fffffa,0x45ffffe8,0x0efffff8,
    0x3fffffaa,0x3ffffe22,0xffffd803,0xff930007,0xffb87fff,0x3fffe65f,
    0x3ffff24f,0xffffefff,0xc85fffff,0xffffffff,0xfff30fff,0xffd803ff,
    0xffff35ff,0x3e60009f,0x7f43ffff,0x0005ffff,0x5fffff10,0x3ffffe60,
    0x3fffee03,0xfffe980f,0xffaeffff,0xf7001fff,0x001bffff,0x01ffffee,
    0x3fff2000,0x3fffe0ff,0x7ffc005f,0x7fc406ff,0x02ffffff,0x17ffffa0,
    0x7ffffff4,0xffffffff,0x7ec0ffff,0x261dffff,0x7ffffffe,0x07fffffc,
    0x49ffffb0,0xf32ffffd,0x3dffffff,0x7fffff4c,0xffb00005,0x7ffd4dff,
    0xffd801ff,0x7ffdc6ff,0x3fffa07f,0x3fffe65f,0xfffc802f,0x7ec0007f,
    0x3ea0ffff,0x3ffe64ff,0x3ffa24ff,0xffffffff,0x85ffffbe,0xfffffffc,
    0xff30ffff,0xfd805fff,0xfff35fff,0x260009ff,0x2a3fffff,0x004fffff,
    0x3fffe200,0xffff102f,0x7ffdc09f,0x7ff6407f,0xffff54ef,0x3ff6001f,
    0x7dc005ff,0x00007fff,0x0fffffc8,0x017ffffe,0x0dfffff0,0xffffffd0,
    0xfffe800f,0xffffd05f,0xfffffffd,0x81ffffff,0xfffffff9,0xffffffff,
    0x7fffc7ff,0x7ffe407f,0x3ffff65f,0xffffff33,0xffffffff,0x0001ffff,
    0x9fffff20,0x00fffffa,0x47ffffc8,0x204ffffd,0x267ffffb,0x802fffff,
    0x007ffffb,0x7ffffcc0,0x98fffe62,0x444fffff,0xffffffff,0xbffff55f,
    0xffffff90,0x261fffff,0x402fffff,0xf35ffffe,0x9989ffff,0x3ffea01a,
    0x3fff63ff,0x4400006f,0x202fffff,0x204fffff,0x007ffffc,0xffff7026,
    0x7fff400f,0x7fdc000f,0x531007ff,0x7ffec017,0x3fffe0ff,0x7ffc006f,
    0xffb805ff,0x4004ffff,0xd05ffffe,0xff99ffff,0xfff5ffff,0xfff901ff,
    0xffffffff,0xe8fffffd,0x5c07ffff,0x3fa6ffff,0xfff33fff,0xfffffbff,
    0x07ffffff,0x7ffdc000,0xffff50ff,0xfffb003f,0xfffff8df,0x3fffe202,
    0xfffff31f,0xffff9005,0xff88000f,0x3fe23fff,0x3fffe62f,0xffec984f,
    0x3fea3dff,0xfcca85ff,0xccceffff,0x5fffff30,0x5ffffe80,0x29fffff3,
    0x204ffffe,0x22fffffa,0x004ffffe,0x101579b5,0x405fffff,0x206ffffe,
    0x006ffffd,0x37fffe40,0x6ffff880,0xffffb800,0x7fffcc07,0x3fff601f,
    0x7ffff47f,0x3ffe2007,0xff8804ff,0x4001ffff,0xd05ffffe,0x3f69ffff,
    0xffff2fff,0x3fff201f,0xb9ffffff,0x7ec7ffff,0x7dc07fff,0x3ffe6fff,
    0xffff34ff,0xfffff53f,0x0005ffff,0x7ffffc80,0x0bffffea,0x97ffffa0,
    0x00fffff9,0x89fffffc,0x803fffff,0x207ffffd,0xffff8018,0x317ffc4f,
    0x809fffff,0x7ff701a8,0x3ffffa00,0xfffff305,0xfffff805,0x9fffff35,
    0x81bffff6,0x22fffffb,0x003ffffe,0x107ffffd,0x405fffff,0x207ffffd,
    0x405ffffe,0x7ffff401,0xffff3005,0xfff7000d,0xfff880ff,0x3ffa02ff,
    0x7ffec7ff,0xff7003ff,0x3e009fff,0x8006ffff,0xd05ffffe,0x5449ffff,
    0x3aa0000a,0x70dfffff,0xfc8fffff,0x3201ffff,0xff14ffff,0x3fe6bfff,
    0xffd31fff,0xb801bfff,0x6c03eedc,0x3ea6ffff,0xf804ffff,0x3e64ffff,
    0x7c01ffff,0x3fe2ffff,0xfe805fff,0x3ba67fff,0x3e601fff,0x6643ffff,
    0x3fffe60c,0x7e40004f,0xfffd002f,0x3ffe20bf,0x3fe603ff,0xfff35fff,
    0x3fff29ff,0xfffb00ff,0x7ffec1ff,0xfff9807f,0xfff880ff,0x3fea02ff,
    0xff982fff,0x7f6c2fff,0xfff503ff,0x322003ff,0xb8003ccc,0xf807ffff,
    0xf105ffff,0xfc8bffff,0x400fffff,0x2ffffff8,0xfffffb80,0xfffe8003,
    0xffffd05f,0x44000009,0xfffb81a9,0x7fffc47f,0x3fffa04f,0xfffff13f,
    0x3ffffe6d,0x000d4c41,0x40ffffff,0x25fffff8,0x07fffffa,0x1fffffd4,
    0x80fffffe,0x21fffff9,0x00fffffd,0x9fffffe6,0x04fffff8,0x07ffffee,
    0x7ffffcc0,0x7fec0004,0xffffb002,0x3fffe20b,0x3fffa06f,0xffff35ff,
    0x3fffee9f,0xffff985f,0x7fffdc7f,0x3ffe203f,0xfff105ff,0x7fc405ff,
    0xffd86fff,0xfffe87ff,0xfffe886f,0x0000006f,0x07ffffb8,0x3fffffe8,
    0x4fffffc8,0x7fffffcc,0xfffb100d,0x3fe00fff,0x8000ffff,0xd05ffffe,
    0x0009ffff,0x7fdc0000,0xfffd87ff,0xfffa81ff,0xffff12ff,0x3fffe6df,
    0xf900001f,0x3207ffff,0x2a1fffff,0x05ffffff,0x1fffffd1,0x0fffffe8,
    0x1fffffb0,0x2fffffdc,0xfffffe88,0x7fffff47,0xfffff980,0x33333227,
    0x9fffff31,0x4ffe8000,0xfffffb00,0x7ff43535,0x3660cfff,0x35ffffff,
    0x229fffff,0xceffffff,0xffffffdc,0x7ffff444,0xffb511cf,0x2207ffff,
    0x402fffff,0x9dfffffd,0x3fffffc9,0xdfffffb8,0xffffea8a,0x3322002f,
    0x5c000ccc,0xb807ffff,0xcdffffff,0xffffffec,0xfffffd81,0xfdcbcdff,
    0x43ffffff,0x3fffa608,0xfb0005ff,0x3535ffff,0x013ffffa,0xfb800000,
    0xff987fff,0xea9bffff,0x226fffff,0xf36fffff,0x0003ffff,0x3ffffea0,
    0xfffb11df,0xfffa8bff,0x261dffff,0x84fffffe,0xcffffffb,0xfffffb89,
    0xffffe85f,0x3ffa61df,0x7dc7ffff,0x99cfffff,0x3ffffffb,0x4bffffe2,
    0x04fffff9,0x07fff400,0x7ffffe40,0x3ff24fff,0xffefffff,0x5fffffff,
    0x49fffff3,0xfffffffc,0xffffffff,0xfffff980,0xffffffff,0x3e205fff,
    0x4c02ffff,0xffffffff,0x80ffffff,0xfffffff8,0x6fffffff,0x7fffcc00,
    0x7fdc001f,0xffd007ff,0xffffffff,0x260bffff,0xffffffff,0xffffffff,
    0x7fcc0fff,0xffffffff,0xfff90001,0x3a9fffff,0x0004ffff,0x3fee0000,
    0xfffb07ff,0xffffffff,0x7fc43fff,0xfff36fff,0x400003ff,0xfffffffd,
    0xffffffff,0x7ffffd41,0xffffffff,0xd00fffff,0xffffffff,0x1fffffff,
    0xffffff50,0xffffffff,0xffd0ffff,0xffffffff,0xf88dffff,0xff32ffff,
    0x80009fff,0xdcdffffc,0xfffffa85,0x3fa24fff,0xffffffff,0x5ffffbef,
    0x89fffff3,0xfffffffe,0x02ffffff,0x3fffffea,0xffffffff,0x3ffe200e,
    0xffb802ff,0xffffffff,0x3fea03ff,0xffffffff,0x4c000eff,0x001fffff,
    0x03ffffdc,0xffffffa8,0xefffffff,0x3fffea00,0xffffffff,0x982fffff,
    0xffffffff,0x3ea0005f,0x4fffffff,0x009ffffd,0x7dc00000,0xfd107fff,
    0xffffffff,0xff887fff,0xfff36fff,0x800003ff,0xfffffffe,0x81ffffff,
    0xfcdffffa,0xffffffff,0x3fe203ff,0xffffffff,0x3602ffff,0xffffffff,
    0xffffafff,0xfffff887,0xffffffff,0x7fffc40f,0xfffff32f,0xff880009,
    0xb06fffff,0xbfffffff,0xfffffe88,0xfff55fff,0x3fffe6bf,0x7fff4c4f,
    0xffffffff,0xfffd8802,0xffffffff,0xffff8804,0xfff3002f,0x5fffffff,
    0xfffff900,0x009fffff,0x3ffffe60,0x7ffdc001,0x3fea007f,0xffffffff,
    0xfe8800ef,0xffffffff,0x100dffff,0xffffffff,0xffd0000b,0x3abfffff,
    0x0004ffff,0x3fee0000,0x7fec07ff,0xffffffff,0xfffff882,0x3fffff36,
    0xfd880000,0xffffffff,0xfff500ef,0x3fffeebf,0x802fffff,0xffffffe9,
    0x802fffff,0xfffffffc,0xffff89ff,0xffffd307,0x1bffffff,0x5fffff10,
    0x13ffffe6,0x3ff66000,0xfb104fff,0x109fffff,0x7bfffffb,0x9affffd4,
    0x704fffff,0xffffffff,0xed980019,0x0aceffff,0xfffff100,0x7fec4005,
    0x001dffff,0x3fffffa6,0x260002df,0x001fffff,0x03ffffdc,0x3ffff620,
    0x8002efff,0xffffffeb,0xf803efff,0x03ffffff,0xfffb1000,0x3ffa9fff,
    0x000004ff,0x3fffee00,0xfffeb807,0xf100dfff,0x3e6dffff,0x0001ffff,
    0xffffd300,0x54019dff,0x36a5ffff,0x00dfffff,0x7ffff540,0x2000cfff,
    0xdfffffea,0x0fffff10,0xffffffa8,0x3fe202ef,0xfff32fff,0x400009ff,
    0x26000aa8,0x3510009a,0x44000000,0x0001aaa9,0x88000620,0x002fffff,
    0x00035510,0x001aa988,0xfffff300,0xfffb8003,0x2a20007f,0x800009aa,
    0x9aaaaa98,0x2aa62000,0x1000001a,0x00001353,0xfb800000,0x4c007fff,
    0x980000aa,0x001fffff,0x554c4000,0x53000001,0x53100003,0x88000157,
    0x400001a9,0x0001aa98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeeeeb800,0x80000005,0xbcdeedca,0x77777400,0xa8000004,0x0eea80bc,
    0x77777744,0xeeeeeeee,0xeeeeeeee,0x3ddddd94,0x3bbbb600,0x7ffffc05,
    0x4fffffff,0xfffff100,0x7fffffff,0x3ffffe00,0x4fffffff,0xeeeeee80,
    0xdeeeeeee,0x000000ac,0x00dffff1,0x3bbbbbba,0xcdeeeeee,0xff88000a,
    0xffffffff,0x777403ff,0x764004ee,0xe8005eee,0x77446fff,0x40002eee,
    0x05eeeeec,0x3bbbb620,0xeeeed83e,0xeeeeeeee,0xeeeeeeee,0x55555511,
    0x55555555,0x76435555,0x8005eeee,0x3eeeeed8,0x3bbbbbba,0xeeeeeeee,
    0xfc84eeee,0x00006fff,0x3fffaa00,0x03ffffff,0x017ffffe,0xfffa8000,
    0xfe88bdff,0xfffff887,0xffffffff,0xffffffff,0xfffff55f,0xffff700b,
    0xffff807f,0xffffffff,0xffff1004,0xffffffff,0x3fffe007,0xffffffff,
    0xfffff804,0xffffffff,0x0002ffff,0x6ffffd80,0xffffff00,0xffffffff,
    0x88005fff,0xffffffff,0x7c03ffff,0x4005ffff,0x007ffffe,0x237fffd4,
    0x02fffff8,0x7fffcc00,0xff9004ff,0xfd01ffff,0xffffffff,0xffffffff,
    0x3fe63fff,0xffffffff,0xffffffff,0x3ffffe64,0x7fe4004f,0x3fe0ffff,
    0xffffffff,0xffffffff,0xffffc85f,0x90000006,0xffffffff,0xf01dffff,
    0x000bffff,0x7fffec00,0x6fffffff,0xffffff88,0xffffffff,0xffffffff,
    0x3fffffa5,0x7ffffc00,0x7fffc00f,0xffffffff,0xffff1004,0xffffffff,
    0x3fffe007,0xffffffff,0xfffff804,0xffffffff,0x00dfffff,0xffff5000,
    0x3ffe00df,0xffffffff,0xdfffffff,0xffff1000,0xffffffff,0xfffff807,
    0x7fff4005,0x3fa2007f,0xfdd56fff,0xddddffff,0x7e4001dd,0x401fffff,
    0x2ffffff9,0xffffffd0,0xffffffff,0x23ffffff,0xfffffff9,0xffffffff,
    0x7fe44fff,0x1000ffff,0x87ffffff,0xffffffff,0xffffffff,0xffc85fff,
    0x000006ff,0xffffffa8,0xffffffff,0x5fffff85,0xff100000,0xfffffd9f,
    0xfff107ff,0xffffffff,0xffffffff,0x7fd4bfff,0x3ee04fff,0xc803ffff,
    0xcccccccc,0x91002ccc,0x99999999,0x32005999,0xcccccccc,0xff802ccc,
    0xffffffff,0xffffffff,0x440002ff,0x06ffffff,0xfffffff0,0xffffffff,
    0x005fffff,0x99999991,0x80399999,0x005fffff,0x03fffff4,0xfffffe88,
    0xffffff76,0x1fffffff,0xffffe800,0x7fff405f,0x3ffa05ff,0xffffffff,
    0xffffffff,0xffff31ff,0xffffffff,0x09ffffff,0x0bfffffd,0x3fffff60,
    0xffffff85,0xffffffff,0xc85fffff,0x0006ffff,0x7fffcc00,0xfffdefff,
    0x7fc3ffff,0x00005fff,0x5c45ff50,0xf102effe,0xffffffff,0xffffffff,
    0xe8bfffff,0xd00fffff,0x001fffff,0x00000000,0x00000000,0x7ffffffc,
    0xffffffff,0x00ffffff,0x3ffff600,0xfff006ff,0xffffffff,0xffffffff,
    0x000001ff,0x3fffffa0,0xffffffff,0xffffffff,0x06ffffff,0xffffffd1,
    0x3ffffeed,0xffffffff,0x7ffcc000,0xff702fff,0x7401ffff,0xffffffff,
    0xffffffff,0xff31ffff,0xffffffff,0xffffffff,0xfffff507,0xfffa805f,
    0xfff80fff,0xffffffff,0xffffffff,0x5ffcca85,0x7dc00000,0x221cffff,
    0x46fffffc,0xaaefffff,0x019aaaaa,0x2202a880,0xffc80001,0x54001fff,
    0xa84fffff,0x003fffff,0x00000000,0x00000000,0x42fffffc,0xffffb998,
    0x70004fff,0xdfffffff,0x3ffffe00,0xffb99885,0x004fffff,0xfffd0000,
    0xffffffff,0xffffffff,0xffffffff,0xfffff70d,0x3baadfff,0xeeefffff,
    0xc8000eee,0x40ffffff,0x3ffffff8,0xffd80000,0x3224ffff,0xcccccccc,
    0xfffffccc,0x3ffff606,0x7fff406f,0xffff03ff,0x300000bf,0x000009ff,
    0x06ffffe8,0x83fffffa,0xffffffff,0xffffffff,0x0000002e,0xffffc800,
    0xffe8001f,0x7ff40fff,0x10000fff,0x40000153,0x0099a998,0xf0000000,
    0x100bffff,0x3ffffff9,0xffff8800,0xf006ffff,0x100bffff,0x3ffffff9,
    0x00198800,0x3ffffffa,0xffffffff,0xffffffff,0x2a6fffff,0xffffffff,
    0x7ffc46ff,0x200002ff,0x4ffffff8,0x37ffffec,0x7fe40000,0x0005ffff,
    0x077fffcc,0xffffff10,0x3fffee07,0x3fffe06f,0xb800005f,0xa88003ff,
    0x7fffc400,0x3ffee03f,0x3fffe1ff,0xffffffff,0x0effffff,0x00198000,
    0xfffffc80,0xfffa8001,0x3ffea3ff,0x64c003ff,0xceffffff,0x7fe44000,
    0x3dffffff,0x3bbbba20,0x77776401,0xbfffff04,0x7fffe400,0x7fec005f,
    0x06ffffff,0x0bfffff0,0x7ffffe40,0xffed9805,0x2e01deff,0xefffffcc,
    0xcccccccc,0xfffffccc,0xfffb3ccf,0xffffffff,0xfffff88d,0x50001302,
    0x23ffffff,0x1ffffff9,0x7fd40000,0x000effff,0x0fffff40,0x7ffffdc0,
    0x7fffc40f,0x3ffe01ff,0x400005ff,0xdd50ffe9,0x7f64c7dd,0xc881dfff,
    0x2601ffee,0x3e1fffff,0xffffffff,0xffffffff,0x77440eff,0x3fb225ee,
    0x0003efff,0x03fffff9,0x3ffffa00,0x3fffffa7,0xfffb1000,0xffffffff,
    0x3ffee005,0xffffffff,0xffff304f,0xfffd803f,0xfffff05f,0x7ffc400b,
    0xf7001fff,0xffffdfff,0x3fffe00d,0x3fe2005f,0x2e01ffff,0xffffffff,
    0xfff803ff,0x7f4005ff,0xffe87fff,0xfffddfff,0x7fffc46f,0x3fffb22f,
    0x3f6002ce,0xfe8effff,0x0004ffff,0x7ffffcc0,0x640001ff,0x2003ffff,
    0x45fffffd,0x04fffffc,0x02fffffc,0x7fff7000,0xaa7fffdc,0xffffffff,
    0xfb80003f,0x3fe0ffff,0xffffffff,0xffffffff,0x7ffc44ff,0xffffd17f,
    0x001bffff,0x1fffffc8,0xffff5000,0xfffff35f,0x3ffa6009,0xffffffff,
    0x2a00dfff,0xffffffff,0x85ffffff,0x01fffff9,0x82ffffec,0x005fffff,
    0x1fffffe4,0x77fffc40,0x006ffffb,0x00bfffff,0x3fffffc8,0xffffffb0,
    0x1bffffff,0x2fffffc0,0x3ffffa00,0x3ffffe87,0x88dffff9,0xe8afffff,
    0xffffffff,0xffff1004,0xfffffdff,0xe880000d,0x02ffffff,0x7fffcc00,
    0x7ffcc006,0xfff31fff,0xff801fff,0x00005fff,0xff713ffa,0xffff79ff,
    0x5fffffff,0xfffe8000,0x7ffffc6f,0xcccbaaae,0xfffffffe,0x3ffffe20,
    0xfffffff9,0x4005ffff,0x01fffffc,0x3ffffa00,0x0fffffcd,0xffffe880,
    0xffffffff,0xff104fff,0xffdfffff,0x85ffffff,0x01fffff9,0x82ffffec,
    0x005fffff,0x2fffffcc,0x4fffff40,0x006ffffb,0x00bfffff,0x5fffff98,
    0xffffffb8,0xffffffff,0x3ffffe04,0x7fff4005,0x1effe87f,0x11bffff2,
    0xff9fffff,0xffffffff,0x3fea005f,0xffffffff,0x6c00001f,0x03ffffff,
    0xffffe800,0xfffb8001,0xffffd6ff,0xffff005f,0x540000bf,0xffffb81e,
    0xffffffff,0x006fffff,0x3ffffe60,0x2fffffc5,0x7ffffdc0,0x3fffe24f,
    0xffffffff,0x01ffffff,0x3fffff20,0x3fee0001,0xffffffff,0xffffb004,
    0xfb5359ff,0x703fffff,0x417fffff,0x4fffffc8,0x0fffffcc,0x17ffff60,
    0x02fffffc,0x3ffffe20,0x7fffdc06,0x0dffff73,0x17ffffe0,0xfffff100,
    0xfffff88d,0x3fffae1e,0xffff00ff,0x555555df,0xffd55555,0x05bd0fff,
    0x88dffff9,0xffffffff,0xffffffff,0xffb001ff,0x9fffffff,0xffc80000,
    0x0005ffff,0x05ffffb8,0x3ffffa00,0x5fffffdf,0xdfffff00,0x33333333,
    0x20001333,0xfffffffb,0xffff711b,0x3a0003ff,0x7c1fffff,0x9005ffff,
    0x44bfffff,0xdfffffff,0x3ffffea2,0x3ff2004f,0x2a001fff,0xffffbaaa,
    0xabffffff,0x7fc40aaa,0xf501efff,0xd90dffff,0x3e209fff,0x7cc5ffff,
    0x6c01ffff,0x2665ffff,0x9dfffff9,0x3e009999,0x2607ffff,0x3ee6ffff,
    0x26606fff,0x9dfffff9,0x3e009999,0x7ec7ffff,0xfb00ffff,0x3fe09fff,
    0xffffffff,0xffffffff,0x0087ffff,0x11bffff2,0x9fffffff,0x7ffff541,
    0xfff1003f,0x01ffffff,0x7ffd4000,0x0000efff,0x02ffffe8,0x3fffe600,
    0x0fffffff,0xffffff00,0xffffffff,0x2000dfff,0x2ffffffb,0x5fffff90,
    0xffffb000,0xfffff09f,0x3ffe600b,0x3ffe26ff,0xff505fff,0x64009fff,
    0x001fffff,0x3ffffffe,0xffffffff,0x541fffff,0x402fffff,0x03fffffc,
    0xffd802a6,0x7ffcc5ff,0x7fec01ff,0x3fffe5ff,0xffffffff,0x3ffe06ff,
    0x3ffa07ff,0x3ffee1ff,0x3fffe06f,0xffffffff,0x3ffe06ff,0x3ffe27ff,
    0x3fe203ff,0xfff80fff,0xffffffff,0xffffffff,0x64007fff,0x7c46ffff,
    0x303fffff,0x00bfffff,0x7fffffdc,0x2600002f,0x0fffffff,0xfffa8000,
    0xfc80006f,0xffffffff,0x3fffe003,0xffffffff,0x006fffff,0xbfffff70,
    0x7ffffcc0,0x7ffec003,0xfff80fff,0x3fe005ff,0x3fe27fff,0x3a00efff,
    0xcb85ffff,0xfffecccc,0xcccccdff,0xffffff81,0xffffffff,0x41ffffff,
    0x806ffffd,0x04fffff8,0x3fffaa00,0x7fffcc6f,0x7ffec01f,0x3ffffe5f,
    0xffffffff,0x3fffe06f,0xffff907f,0x6ffffb87,0x3fffffe0,0xffffffff,
    0x3ffffe06,0x3ffffe67,0x7ffff401,0xffffff81,0xffffffff,0xffffffff,
    0x7ffe4007,0x7fffc46f,0x3ffa00ff,0x3ee005ff,0x00ffffff,0xffff1000,
    0x00003fff,0x00fffffa,0x3fffe200,0x4006ffff,0xffffffff,0xffffffff,
    0xff70006f,0xff805fff,0x36003fff,0x02ffffff,0x00bfffff,0x97ffffe6,
    0x04fffff8,0x437fffec,0xfffffffd,0xffffffff,0xffff82ff,0xffffffff,
    0xffffffff,0x1fffffc1,0x6ffffd80,0xffd95100,0x98dfffff,0x401fffff,
    0x3e5ffffd,0xffffffff,0x206fffff,0x987fffff,0xfb86ffff,0x3fe06fff,
    0xffffffff,0x3e06ffff,0x3ea7ffff,0x9999ffff,0xfffe9999,0xfffff82f,
    0xffffffff,0xffffffff,0x7fe4007f,0x7ffc46ff,0x7fec05ff,0xff1006ff,
    0x0dffffff,0x3fffa000,0x00003fff,0x01fffff5,0x3ffea000,0x4001ffff,
    0xffffffff,0xffffffff,0xff70006f,0xff803fff,0xfb004fff,0x407fffff,
    0x005fffff,0x49fffff9,0x03fffff8,0x437fffec,0xfffffffd,0xffffffff,
    0xffff82ff,0xffffffff,0xffffffff,0x3ffffe21,0xffff9002,0x7ff5cc0f,
    0xffffffff,0x7fffcc6f,0x7ffec01f,0x3feeaa5f,0xaaaaefff,0x3fffe02a,
    0xffffe86f,0x6ffffb81,0x3ffeeaa0,0xaaaaaeff,0x3ffffe02,0x3ffffee6,
    0xffffffff,0xf83fffff,0xaaaeffff,0xaaaaaaaa,0x007ffffe,0x237fffe4,
    0x04fffff8,0x037fffe4,0xffffffe8,0x40003fff,0x4ffffffc,0x3ff60000,
    0x400005ff,0x04fffffd,0xffffff80,0xeeeeeeee,0x70004eee,0x801fffff,
    0x804fffff,0x4ffffffd,0x2fffffc0,0x7ffffd40,0x3fffe22f,0x7ffe403f,
    0xffffd86f,0xffffffff,0x002fffff,0x037fffec,0x5fffff50,0x3fffee00,
    0x7fff440f,0xffffffff,0x7fcc6fff,0x7ec02fff,0xfff05fff,0xf8800bff,
    0x7e45ffff,0xff703fff,0x3fe00dff,0x44005fff,0x365fffff,0xffffffff,
    0xffffffff,0xffff84ff,0x7ff4005f,0x7e4007ff,0x7fc46fff,0x7e403fff,
    0xfb806fff,0xffffffff,0xf70000ff,0x00dfffff,0x7fffc400,0x5c00002f,
    0x001fffff,0x05fffff8,0xff700000,0xff801fff,0x7ec04fff,0x803fffff,
    0xaaefffff,0xffebaaaa,0x220fffff,0x402fffff,0x886ffffc,0xffc99999,
    0x9999afff,0x7fec0009,0x3e6006ff,0x9002ffff,0xe88fffff,0xdfffffff,
    0x6ffffc9b,0x17ffffcc,0x17ffffa0,0x02fffffc,0x3ffffe60,0x3ffffe23,
    0xfdcccccc,0x1cccffff,0x0bfffff0,0xfffff980,0x3fffff23,0xffffffff,
    0xf85fffff,0x4005ffff,0x007ffffe,0x237fffe4,0x02fffff8,0x037fffe4,
    0x3fffffe2,0x06ffffff,0xfffff980,0x200000ff,0x006ffffb,0xffffb800,
    0xfff8001f,0x000005ff,0x1fffff70,0x4fffff80,0x3fffff60,0xffff003f,
    0xffffffff,0xffffffff,0xfffff889,0x7fffe402,0x3fff2006,0x3b6001ff,
    0xfffeeeee,0xeeeeefff,0x3ffe20ee,0xffb003ff,0xfffe8dff,0xffc81cff,
    0x7ffcc6ff,0x7ff402ff,0xffff05ff,0xffb800bf,0x3fe62fff,0xffffffff,
    0xffffffff,0xffff03ff,0xffb800bf,0x3fee2fff,0x99999fff,0x99999999,
    0x5fffff80,0x7ffff400,0x7ffe4007,0x7fffc46f,0x7ffe402f,0x7ffec06f,
    0xffffafff,0x3e2003ff,0x01ffffff,0x7ffec000,0xb800003f,0x001fffff,
    0x05fffff8,0xff700000,0xfff00fff,0x3ff609ff,0x2002ffff,0xffffffff,
    0xffffffff,0xff885fff,0x7e402fff,0x32006fff,0x001fffff,0x3ffffffe,
    0xffffffff,0x7c1fffff,0xf005ffff,0x7c49ffff,0x3604ffff,0x7cc6ffff,
    0x7c02ffff,0xff05ffff,0xe800bfff,0x261fffff,0xffffffff,0xffffffff,
    0xff03ffff,0xe800bfff,0x2a1fffff,0x000fffff,0xbfffff00,0xffffe800,
    0x7ffe4007,0x7fffc46f,0x7ffe402f,0x3ffea06f,0xfff93fff,0x3a001fff,
    0x02ffffff,0xffff8000,0xb800000f,0x001fffff,0x05fffff8,0xff700000,
    0xfff00fff,0xfff909ff,0xf8005fff,0xffffffff,0xffffffff,0xffff105f,
    0xfffc805f,0x3ff2006f,0x3e001fff,0xffffffff,0xffffffff,0x7fec1fff,
    0x7dc01fff,0x3ea3ffff,0x3600ffff,0x7c46ffff,0x2603ffff,0xf05fffff,
    0x400bffff,0x47fffff9,0xfffffff9,0xffffffff,0xf03fffff,0x400bffff,
    0x47fffff9,0x02fffff9,0xff006b22,0xe800bfff,0x4007ffff,0x446ffffc,
    0x402fffff,0x106ffffc,0x4bffffff,0x6ffffff8,0xfffffd80,0x9800004f,
    0x0007ffff,0xfffff700,0xffff0003,0x000000bf,0x01ffffee,0x513ffffe,
    0x05ffffff,0xffffff00,0xffffffff,0x7c403bff,0x6402ffff,0x2006ffff,
    0x01fffffc,0x3fffffe0,0xffffffff,0x41ffffff,0x0efffffa,0xdfffff30,
    0x7ffffdc1,0xfffff501,0xfffff88d,0x3ffffa06,0xfffff05f,0x3ffea00b,
    0x7fcc2fff,0xffffffff,0xffffffff,0xffff03ff,0x3fea00bf,0xfe82ffff,
    0xfb00ffff,0xff03dfff,0xe800bfff,0x4007ffff,0x446ffffc,0x402fffff,
    0xb06ffffc,0x81ffffff,0x3ffffffa,0x3ffffee0,0x9000005f,0x000bffff,
    0x3fffee00,0xfff8001f,0x000005ff,0x0fffff70,0x49fffff0,0xdffffff8,
    0x99999999,0x3fffe099,0xccccccef,0xf88009aa,0x6402ffff,0x2006ffff,
    0x01fffffc,0x33333320,0xcfffffec,0x80cccccc,0xbffffffe,0xffffc989,
    0x7ffd42ff,0xfff985ff,0xffe86fff,0x3660cfff,0x05ffffff,0x80bfffff,
    0xffffffb8,0x33333305,0xff933333,0x01333dff,0x017ffffe,0xffffff71,
    0x3fffea0b,0x7ffd40ef,0xffff06ff,0xffe800bf,0x7e4007ff,0x7fc46fff,
    0x7e402fff,0xffa86fff,0xfb03ffff,0x301fffff,0x1dffffff,0x3f600000,
    0x00003fff,0x3fffff70,0xfffff000,0x2000000b,0x807ffffb,0x2e4fffff,
    0xffffffff,0xffffffff,0x3ffffe2f,0x3e200005,0x6402ffff,0x2006ffff,
    0x01fffffc,0xffffb000,0xfff3000d,0xffffffff,0x109fffff,0x9fffffff,
    0xfffffff9,0xffff90ff,0xffffdfff,0x20bfffff,0xeeffffff,0xfffffeee,
    0x000fffff,0x6ffffb80,0xffffff00,0xfffddddd,0x1fffffff,0x7fffff40,
    0xfffffdef,0xffff02ff,0xffe800bf,0x7e4007ff,0x7fc46fff,0x7e402fff,
    0x7fc46fff,0x2206ffff,0x85ffffff,0xeffffffc,0xeeeeeeee,0x5eeeeeee,
    0x0bffffa0,0x7fdc0000,0xf8001fff,0x0005ffff,0xffff7000,0xfffff00f,
    0x7ffffec9,0xffffffff,0x3fe2ffff,0x00005fff,0x0bffffe2,0x0dffff90,
    0x7ffffe40,0xffb00001,0x2a000dff,0xffffffff,0x0dffffff,0xffffff90,
    0xffffffff,0xfe881fff,0xffffffff,0x5ffffbef,0xfffffff0,0xffffffff,
    0x007fffff,0x3fffee00,0xfffff006,0xffffffff,0x7fffffff,0xffffe880,
    0xffffffff,0x3fffe04f,0x7ff4005f,0x7e4007ff,0x7fc46fff,0x7e402fff,
    0x7fec6fff,0x5c01ffff,0x43ffffff,0xfffffffc,0xffffffff,0x6fffffff,
    0x03ffffe0,0x7fdc0000,0xf8001fff,0x0005ffff,0xffff7000,0xfffff00f,
    0x3ffffe29,0xffffffff,0x3e2fffff,0x0005ffff,0x3ffffe20,0x7fffe402,
    0x3fff2006,0xb00001ff,0x000dffff,0x7fffff4c,0x03ffffff,0xffffffe8,
    0xfffd4fff,0xfffd107f,0x2abfffff,0xff05ffff,0xffffffff,0xffffffff,
    0x5c00007f,0xf006ffff,0xffffffff,0xffffffff,0x7e4007ff,0xffffffff,
    0x7ffc03ff,0x7f4005ff,0x64007fff,0x7c46ffff,0x6402ffff,0x3ea6ffff,
    0x004fffff,0x1ffffffd,0x7fffffe4,0xffffffff,0xffffffff,0xfffff106,
    0x2e000001,0x001fffff,0x05fffff8,0xff700000,0xfff00fff,0x3ffee9ff,
    0xffffffff,0x2fffffff,0x017ffffe,0xffff8800,0x7ffe402f,0x3ff2006f,
    0x00001fff,0x00dffffb,0xfffb7500,0x4001bdff,0xeffffffb,0x1bffff22,
    0x7ffffec4,0x3fffea3d,0xffffff05,0xffffffff,0x00019fff,0x6ffffb80,
    0xffffff00,0xffffffff,0x00019fff,0xffffffb5,0xfff0039f,0xfe800bff,
    0x64007fff,0x7c46ffff,0x6402ffff,0xff16ffff,0x001dffff,0x3fffffe6,
    0x3fffff25,0xffffffff,0xffffffff,0xffff306f,0x5c00000f,0x001fffff,
    0x05fffff8,0xff700000,0xfff00fff,0x3fffa9ff,0xffffffff,0x2fffffff,
    0x017ffffe,0xffff8800,0x7ffe402f,0x3ff2006f,0x00001fff,0x00dffffb,
    0x01353000,0x01aa9800,0x00d44000,0x7ffffc00,0xffffffff,0x00000bde,
    0x0dffff70,0x3fffffe0,0xefffffff,0x100000bd,0x40013553,0x005fffff,
    0x03fffff4,0x1bffff20,0x05fffff1,0x96ffffc8,0x05ffffff,0xfffffb80,
    0xfffff93f,0xffffffff,0xffffffff,0x3ffea0df,0x2000007f,0x01fffffb,
    0x5fffff80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77744000,
    0x3ba002ee,0x64004eee,0x3b66eeee,0x64004eee,0x0deeeeee,0x00f3332e,
    0x3bbba200,0x1003eeee,0xdddddddd,0x2f777749,0x3bbbaa00,0x5ddddd15,
    0x03bbbba6,0x99997000,0xdd100007,0x3ba25ddd,0x00002eee,0xdd501795,
    0x3bbbba21,0xeeeeeeee,0x3a000acd,0xeeeeeeee,0x1bcdeeee,0x2eeeee80,
    0x745dddd7,0xeeeeeeee,0xccdeeeee,0x3ba2000a,0xccb82eee,0x664c03cc,
    0x777644cc,0xeea800ee,0xb004eeee,0x76cbdddd,0x0002eeee,0x27ddddd5,
    0xeeeeeee8,0xeeeeeeee,0x4eeeeeee,0x3bbaa000,0xeeeeeeee,0xeeeeeeee,
    0x44eeeeee,0x02fffff8,0x17ffffe0,0xfffffd00,0x037ffffc,0xffffff90,
    0xffffe83f,0xff880006,0x06ffffff,0xffffff50,0x7fffcbff,0x3ee003ff,
    0xfff16fff,0x3ffe65ff,0x740001ff,0x0006ffff,0x2fffff88,0x05fffff1,
    0xffff9800,0xffe88bdf,0xffffff10,0xffffffff,0x3e005fff,0xffffffff,
    0xffffffff,0x3fffe01e,0x5ffff93f,0x7ffffffc,0xffffffff,0x800dffff,
    0x82fffff8,0x406ffffe,0x5c7ffffb,0x802fffff,0x7ffffffc,0xfffff880,
    0x3ffffee4,0xfffb0005,0x3ffe25ff,0xffffffff,0xffffffff,0x20005fff,
    0xfffffffe,0xffffffff,0xffffffff,0x7ffc45ff,0x3fe002ff,0x74005fff,
    0x3fe7ffff,0xf7006fff,0x03ffffff,0x00dffffd,0xfffff100,0x9001ffff,
    0xffffffff,0x7fffffcb,0xfff7000f,0x3fffe2df,0xfffff32f,0xffe80003,
    0x880006ff,0xf12fffff,0x0005ffff,0xffffffd8,0x227fffff,0xffffffff,
    0xffffffff,0x7fc00dff,0xffffffff,0xffffffff,0xfffff02f,0x8bffff27,
    0xffffffff,0xffffffff,0x401fffff,0x82fffff8,0x406ffffe,0x547ffffb,
    0x804fffff,0xfffffffe,0x7fffd401,0x3fffe22f,0x7c4000ff,0x3e27ffff,
    0xffffffff,0xffffffff,0x005fffff,0xffffff50,0xffffffff,0xffffffff,
    0xf88bffff,0x2002ffff,0x005fffff,0xf3fffff4,0x700dffff,0x3fffffff,
    0x1bffffa0,0x3ffe2000,0x03ffffff,0xffffffe8,0x3fffe5ff,0xf7005fff,
    0x3fe2dfff,0xfff32fff,0xe80003ff,0x0006ffff,0x2fffff88,0x05fffff1,
    0xecfff800,0x3fffffff,0x3fffffe2,0xffffffff,0x02ffffff,0x3ffffffe,
    0xffffffff,0xf82fffff,0xff93ffff,0x7fffc5ff,0xffffffff,0xffffffff,
    0x3fe200ff,0xffe82fff,0x7fdc06ff,0x7ffc47ff,0x7fc406ff,0x03ffffff,
    0x07ffffe4,0x0ffffffa,0xfffff700,0x7ffffc49,0xffffffff,0xffffffff,
    0xffb0005f,0xffffffff,0xffffffff,0xffffffff,0xfffff88b,0x3fffe002,
    0x7ff4005f,0x3fffe7ff,0x7ffd406f,0x3a01ffff,0x0006ffff,0xffffff88,
    0x7c405fff,0xffffffff,0x3fffffe5,0xffb801ff,0xffff16ff,0x3fffe65f,
    0x7f40001f,0x80006fff,0x12fffff8,0x005fffff,0x5117fcc0,0xf885dffb,
    0xffffffff,0xffffffff,0xff00ffff,0xffffffff,0xffffffff,0xffff0dff,
    0x3ffff27f,0x3fffffe2,0xffffffff,0xffffffff,0x3fffe203,0xffffe82f,
    0x7fffdc06,0x7ffffe87,0x7ffffd40,0x7f405fff,0xffb87fff,0x6c005fff,
    0x221fffff,0xffffffff,0xffffffff,0x05ffffff,0xfffff980,0xfffffdcd,
    0xffffffff,0x45ffffff,0x02fffff8,0x17ffffe0,0xfffffd00,0x037ffffc,
    0xfffffff5,0xffffe803,0xff880006,0x7fffffff,0x7ffffd40,0x3fe5ffff,
    0x06ffffff,0x16ffffb8,0x265fffff,0x001fffff,0x37ffff40,0x99998000,
    0xfffff109,0x55440005,0x3e203100,0x3305ffff,0xfffffff7,0x3ffffe09,
    0xfff93105,0xff85ffff,0xf5313fff,0x7ffffc3f,0xfffc9805,0x3e205fff,
    0xfe82ffff,0x7dc06fff,0xffc86fff,0x3f601fff,0x7fffffff,0x2fffffc0,
    0x7fffffc4,0xffff1000,0xff9000df,0x00003fff,0x1fffffb0,0x0fffffe6,
    0x7ffc4000,0x3fe002ff,0x74005fff,0x3fe7ffff,0xff306fff,0x005fffff,
    0x00dffffd,0xfffff100,0x403fffff,0xfffffffc,0x3fffe5ff,0x403fffff,
    0xf16ffffb,0x3e65ffff,0x0001ffff,0x037ffff4,0x7fc40000,0x00002fff,
    0x3ffe2000,0xfb8805ff,0xf81fffff,0x9805ffff,0x44fffffe,0x5c3fffff,
    0x3fffe0ff,0x3fe6005f,0x3e207fff,0xfe82ffff,0x3e006fff,0xffffa85f,
    0x3fffe03f,0x01ffffff,0x07fffff3,0x0ffffff6,0x7ffffd40,0xfffc8004,
    0x400001ff,0x24fffff8,0x03fffff9,0xffff1000,0x7ffc005f,0x7f4005ff,
    0x3ffe7fff,0xfff986ff,0xd002ffff,0x000dffff,0xbfffff10,0x7c07ffff,
    0xfffdffff,0x3ffffe5f,0x200fffff,0xf16ffffb,0x3e65ffff,0x0001ffff,
    0x037ffff4,0x7fc40000,0x19882fff,0x7c400000,0x2005ffff,0x85fffffd,
    0x005fffff,0x8dfffff9,0x223fffff,0x7fffc6fe,0x7ff4005f,0xff101fff,
    0xffd05fff,0x3e600dff,0xffff885f,0xffff304f,0x07ffffff,0x07ffffee,
    0x2fffffd4,0xfffffd80,0xfffc8001,0x400001ff,0x20fffffc,0x03fffff9,
    0xffff1000,0x7ffc005f,0x7f4005ff,0x3ffe7fff,0x7ff446ff,0x2002ffff,
    0x006ffffe,0xfffff880,0x105ffffb,0xffbbffff,0x7fffcbff,0x05ffffff,
    0x45bfffee,0xf32fffff,0x3203ffff,0x20deeeee,0x006ffffe,0xeeeee880,
    0x5fffff12,0x77ffff64,0xeeee8802,0xffff102e,0x7fc400bf,0x7fc1ffff,
    0xf3005fff,0xff8fffff,0xfff53fff,0x5fffff83,0x7fffdc00,0xffff103f,
    0x7ff4325f,0xff9006ff,0x3ffffa05,0xbffff706,0x20bffff9,0x207ffffc,
    0x0ffffff8,0x7ffffc40,0xfff90006,0x400003ff,0x45fffff8,0x03fffff9,
    0xffff1000,0x7ffc005f,0x7f4005ff,0x3ffe7fff,0x3ffa26ff,0x4003ffff,
    0x006ffffe,0xfffff880,0x707ffff9,0xffb7ffff,0x7fffcbff,0x2fffffff,
    0x2dffff70,0x32fffff8,0x703fffff,0x83ffffff,0x006ffffe,0xfffff880,
    0x5fffff12,0xffffffd1,0xff8809ff,0xff102fff,0xc800bfff,0x7c3fffff,
    0x1005ffff,0xf8dfffff,0xff93ffff,0xbfffff05,0xffffd800,0xffff102f,
    0x3fa1fb7f,0x74c06fff,0x3ff205ff,0xffd80fff,0xffffabff,0xbffffd07,
    0xfffffd80,0x7fffd403,0xff90003f,0x00003fff,0x0fffffe4,0x0fffffe6,
    0x7ffc4000,0x3fe002ff,0x74005fff,0x3fe7ffff,0xffd16fff,0x0007ffff,
    0x00dffffd,0xfffff100,0x03ffffb3,0xfb3ffffb,0x7ffcbfff,0xfffffdff,
    0xdffff706,0x4bffffe2,0x41fffff9,0x1ffffffa,0x06ffffe8,0xffff8800,
    0xfffff12f,0xfffffff9,0x4409ffff,0x102fffff,0x00bfffff,0x5fffffa8,
    0x02fffffc,0x5fffffa8,0x99fffffc,0xfffff00c,0xffff800b,0xfff100ff,
    0x3a1fffff,0x6c06ffff,0x3ee00eff,0xff82ffff,0xfff89fff,0x7ffc41ff,
    0x7fd403ff,0x7ec06fff,0x0000ffff,0x03fffff9,0x3ffe2000,0xfff986ff,
    0x100003ff,0x005fffff,0x577ffffc,0xaaaaaaaa,0x7ffffeaa,0x6dbffffe,
    0x05ffffff,0xdffffd00,0xfff10000,0xffff73ff,0x2fffff07,0x3e5ffffd,
    0xffdaffff,0xffb84fff,0xffff16ff,0x3fffe65f,0x3fffe61f,0xfffd02ff,
    0xf10000df,0x3e25ffff,0xffffffff,0xffffffff,0xffff100f,0x3ffe205f,
    0x7c4005ff,0x7fc6ffff,0xe8805fff,0x7c3fffff,0xf003ffff,0x200bffff,
    0x6fffffe8,0x3ffffe20,0x3fffa7ff,0x027cc06f,0x1fffffcc,0xe9ffffe6,
    0x7d43ffff,0xf801ffff,0x100fffff,0x00bfffff,0x7ffffe40,0xff700001,
    0xff305fff,0x9999dfff,0x99999999,0xfffff105,0x17777745,0xffffffff,
    0xffffffff,0x4fffffff,0xfdefffff,0x1fffffff,0xffffe800,0xff880006,
    0xfff99fff,0x7fffcc6f,0x4bffffb5,0xf9afffff,0x5c1fffff,0xff16ffff,
    0x3fe65fff,0xfff31fff,0x7f405fff,0x3b206fff,0xff884eee,0xfff12fff,
    0x4c39ffff,0x03fffffe,0x05fffff1,0x17ffffe2,0x3ffffe00,0x2fffffc7,
    0x3ffffa60,0x7fffc1ff,0xffff003f,0x999999df,0xfffffddb,0x7fc403ff,
    0x3a0effff,0x0806ffff,0x3ffffe00,0x2ffffdc5,0xb8bffff9,0x9007ffff,
    0x207fffff,0x02fffffa,0x3ffff200,0xff00001f,0x3e60ffff,0xffffffff,
    0xffffffff,0xffff884f,0x3ffffe2f,0x3fffffe3,0xffffffff,0xffffffff,
    0x3fffffe7,0xffffffff,0xffe8006f,0x880006ff,0xff1fffff,0x7fdc1fff,
    0xffffb3ff,0x97ffffcb,0x45fffffc,0xf16ffffb,0x3e65ffff,0xfe89ffff,
    0x7403ffff,0x3606ffff,0xf885ffff,0xff12ffff,0x260bffff,0x105fffff,
    0x205fffff,0x05fffff8,0x7fffff80,0x77fffffc,0xfffeeeee,0xf87fffff,
    0xf003ffff,0xffffffff,0xffffffff,0x8809ffff,0x40dfffff,0x006ffffe,
    0x7fffec00,0x1fffff47,0xd8fffff5,0x3005ffff,0x20dfffff,0x00fffffd,
    0x3ffff200,0xfa80001f,0xf303ffff,0xffffffff,0xffffffff,0xffff109f,
    0x7ffffc5f,0x3fffffe3,0xffffffff,0xffffffff,0x3fffffe7,0xffffffff,
    0x7f4004ff,0x80006fff,0xb1fffff8,0x7ec5ffff,0xfffb1fff,0x7ffffcbf,
    0x3fffffa2,0x5bfffee2,0x32fffff8,0xfd3fffff,0xd007ffff,0x6c0dffff,
    0xf885ffff,0xff12ffff,0x7401ffff,0xf106ffff,0x2205ffff,0x005fffff,
    0x47fffff8,0xffffffff,0xffffffff,0xff81ffff,0xff003fff,0xffffffff,
    0xffffffff,0xff1005ff,0xffd05fff,0x80000dff,0x10fffffb,0x443fffff,
    0x3e1fffff,0x2003ffff,0x80fffffe,0x005fffff,0x7ffffe40,0xffe80001,
    0xff300fff,0xffffffff,0xffffffff,0xfffff109,0x1fffffc5,0xffffffff,
    0xffffffff,0x4fffffff,0xffffffff,0xfffffdff,0x3ffa001f,0x880006ff,
    0xf71fffff,0x7ffc9fff,0x3ffff67f,0x8bffffe5,0x0ffffffa,0x22dffff7,
    0xf32fffff,0xfffdffff,0x3fa009ff,0x3f606fff,0xff885fff,0xfff12fff,
    0xffd80bff,0xfff106ff,0x3fe205ff,0xf8005fff,0x7fc7ffff,0xffffffff,
    0xffffffff,0xfffff02f,0x3fffe007,0xffffffff,0x0befffff,0xffffd880,
    0xffffe82f,0x7cc00006,0xff52ffff,0xfffd0fff,0x3fffe27f,0x3fee001f,
    0x7fd43fff,0x40002fff,0x01fffffc,0x7fffd400,0x3ffe604f,0xffffffff,
    0x4fffffff,0x2fffff88,0xf8fffffe,0xaaaeffff,0xaaaaaaaa,0x3e7ffffe,
    0xffffffff,0xdfffffd3,0x7ffff400,0xff880006,0xfff31fff,0x3fffe6df,
    0x97ffff65,0x6c2fffff,0xf74fffff,0x3fe2dfff,0xfff32fff,0xffffffff,
    0x3fffa00b,0x3fff606f,0xffff885f,0xfffff12f,0xffffd809,0xfffff106,
    0x3fffe205,0xfff8005f,0x7fffc6ff,0xffffffff,0x02efffff,0x00fffffe,
    0x7ffffffc,0xffffffff,0x3fa2002f,0xe82fffff,0x0006ffff,0x4fffff80,
    0x709ffff9,0x3eabffff,0x2000ffff,0x46fffff9,0x007ffffd,0xfffffc80,
    0x7ff40001,0x3e600fff,0xaaadffff,0xaaaaaaaa,0xffff881a,0x3bbbba2f,
    0x17ffffe2,0xfffffd00,0x7ffffffc,0x3fffe64f,0xffd003ff,0x10000dff,
    0x7c3fffff,0xffb8ffff,0x3fff63ff,0x3ffffe5f,0x7ffffc42,0x6ffffb9f,
    0x25fffff1,0xfffffff9,0x802fffff,0x206ffffe,0x884eeeec,0xf12fffff,
    0xc807ffff,0xf106ffff,0x2205ffff,0x005fffff,0x2fffffc4,0x3ffffffe,
    0xefffffff,0xffff801d,0xffff003f,0x7fecc4bf,0xb003ffff,0x5fffffff,
    0x0dffffd0,0xfffd0000,0x3ffffadf,0x7ffff982,0x00dffff9,0x3fffffd0,
    0x027ffffc,0x7fffe400,0x3e60001f,0xeeefffff,0xfffeeeee,0x100003ff,
    0x005fffff,0x02fffffc,0x9fffffa0,0x4fffffff,0xffffffd8,0xffffe801,
    0xff880006,0x3ff61fff,0xffffdaff,0x97ffff61,0xb82fffff,0xfbefffff,
    0xfff16fff,0x3ffe65ff,0xffffffff,0xfffe806f,0xf880006f,0xff12ffff,
    0xfc805fff,0xff106fff,0x3e205fff,0x4005ffff,0x44fffff9,0x99efffff,
    0x3e000099,0xf003ffff,0x2e0bffff,0x05ffffff,0xffffefd8,0xffffe82f,
    0xfc800006,0xfff8ffff,0xffff00ff,0x9ffffd3f,0xffff7000,0x3fffea9f,
    0xfc80001f,0x0001ffff,0x3ffffff6,0xffffffff,0x003fffff,0xfffff100,
    0x7fffc005,0x7ff4005f,0x3fffe7ff,0xfff104ff,0xfd00dfff,0x0000dfff,
    0x43fffff1,0xffdffffb,0x7ffec7ff,0x3ffffe5f,0xfffffd02,0x22dfffff,
    0xf32fffff,0xfdffffff,0xe807ffff,0x0006ffff,0x2fffff88,0x05fffff1,
    0x06ffffc8,0x05fffff1,0x17ffffe2,0xfffff700,0x5fffff85,0x7ffc0000,
    0xfff003ff,0x7fe40bff,0x6c04ffff,0x2fffff8d,0x06ffffe8,0xfffa8000,
    0x6ffffcff,0x2fffff60,0x002fffff,0x6fffff88,0x00fffff9,0x3ffff200,
    0xff30001f,0xffffffff,0xffffffff,0x200007ff,0x02fffff8,0x17ffffe0,
    0xfffffd00,0x037ffffc,0x3fffffee,0x7ffff403,0xff880006,0x3fe61fff,
    0x5fffffff,0xf2ffffec,0x2605ffff,0xffffffff,0xffff16ff,0x3fffe65f,
    0xfffd8eff,0x3ffa00ff,0x880006ff,0xf12fffff,0xc805ffff,0xf106ffff,
    0x2205ffff,0x005fffff,0x0ffffff4,0x017ffffe,0xfffff000,0x3fffe007,
    0x7fff405f,0x44a03fff,0xe82fffff,0x0006ffff,0xfffff880,0x204fffff,
    0xfffffffb,0xb0000fff,0xff3fffff,0x00009fff,0x07fffff2,0x7fffe400,
    0xffffffff,0xffffffff,0xff100003,0x7c005fff,0x4005ffff,0x3e7ffffe,
    0xe806ffff,0x00ffffff,0x01bffffa,0x3fffe200,0x7ffffc1f,0x7ec3ffff,
    0x3ffe5fff,0x3ff202ff,0x6fffffff,0x25fffff1,0x0efffff9,0x09fffff1,
    0x037ffff4,0x7fffc400,0xfffff12f,0xffffc805,0xfffff106,0x3fffe205,
    0x3fea005f,0xfff87fff,0x400005ff,0x003fffff,0x80bfffff,0xfffffff8,
    0x7fffc400,0xffffe82f,0xfd000006,0xffffffff,0x7fffcc05,0x006fffff,
    0x3ffffea0,0x01fffffe,0xffff9000,0xff10003f,0xffffffff,0xffffffff,
    0x00007fff,0x0bffffe2,0x5fffff80,0x7ffff400,0x1bffffe7,0x3ffffea0,
    0x3fffa05f,0xf880006f,0x7ec1ffff,0x1fffffff,0xf2ffffec,0x4405ffff,
    0xffffffff,0xfffff16f,0x3ffffe65,0x7ffffe41,0xdffffd01,0xfff10000,
    0x3ffe25ff,0x7fe402ff,0xfff106ff,0x3fe205ff,0xd1005fff,0xf07fffff,
    0x000bffff,0x3fffff80,0xbfffff00,0xfffff700,0xfff880bf,0xfffe82ff,
    0x9000006f,0xffffffff,0xffff801f,0x004fffff,0x3ffffe20,0x006fffff,
    0x3ffff200,0xffc8001f,0x9999cfff,0xffb99999,0x00003fff,0x05fffff1,
    0x2fffffc0,0x3ffffa00,0x1bffffe7,0x7ffffec0,0xffffd02f,0xff10000d,
    0xffb83fff,0xd87fffff,0x3fe5ffff,0x7d402fff,0x6fffffff,0x25fffff1,
    0x41fffff9,0x06fffff8,0x00dffffd,0xfffff100,0x3ffffe25,0x7fffe402,
    0xfffff106,0x3fffe205,0x7fe4405f,0xf80fffff,0x0005ffff,0x1fffffc0,
    0x5fffff80,0xfffffb00,0x7ffc405f,0xfffe82ff,0x5000006f,0xffffffff,
    0xffffb00d,0x0005ffff,0xffffffd8,0x00003fff,0x07fffff2,0xfffff100,
    0x3fe6001f,0x00003fff,0x05fffff1,0x2fffffc0,0x3ffffa00,0x1bffffe7,
    0x7ffffcc0,0xfffe80ff,0xeeeeeeff,0xeeeeeeee,0x3fffff11,0xffffff98,
    0xffffd85f,0x0bffffe5,0x3fffff60,0xffff16ff,0x3fffe65f,0xffffb81f,
    0xffffe82f,0xeeeeeeef,0x1eeeeeee,0x25fffff1,0x02fffff8,0x837fffe4,
    0x02fffff8,0xdffffff1,0xffffdddd,0x05ffffff,0x017ffffe,0xfffff000,
    0x3fffe007,0xfff1005f,0x2201ffff,0xe82fffff,0xeeefffff,0xeeeeeeee,
    0x3e201eee,0x4fffffff,0xfffffb80,0x40000fff,0xfffffffa,0x200000ff,
    0x01fffffc,0x7ffffdc0,0x3ffe6005,0xeeeeeeff,0xeeeeeeee,0x3fffe21e,
    0x3ffe002f,0x7f4005ff,0x3ffe7fff,0x3f2006ff,0xe85fffff,0xffffffff,
    0xffffffff,0xfff12fff,0xffff03ff,0xffb07fff,0x7fffcbff,0xfff9802f,
    0xff16ffff,0x3fe65fff,0xffd01fff,0xfffd0fff,0xffffffff,0xffffffff,
    0x3ffffe25,0x5fffff12,0x6ffffc80,0x5fffff10,0x3ffffe20,0xffffffff,
    0x4fffffff,0x17ffffe0,0xffff0000,0x3ffe007f,0x3ee005ff,0x105fffff,
    0xd05fffff,0xffffffff,0xffffffff,0xff805fff,0x01ffffff,0xffffff88,
    0xff00006f,0x0bffffff,0xfffc8000,0x7fc001ff,0x2001ffff,0xfffffff9,
    0xffffffff,0x222fffff,0x002fffff,0x017ffffe,0x4fffffd0,0x006fffff,
    0x3fffffe2,0x7ffff42f,0xffffffff,0x2fffffff,0x03fffff1,0x3ffffffb,
    0x4bffffb0,0x002fffff,0xdffffff9,0x4bffffe2,0x01fffff9,0x89fffff5,
    0xfffffffe,0xffffffff,0xff12ffff,0x3fe25fff,0x7e402fff,0xff106fff,
    0x3e205fff,0xffffffff,0xffffffff,0x7ffc02ff,0x400005ff,0x003fffff,
    0x00bfffff,0xffffffd8,0xfffff881,0xfffffe82,0xffffffff,0x02ffffff,
    0x7fffffec,0x3fffa007,0x00004fff,0xfffffff9,0xfc800007,0x2001ffff,
    0x06fffffb,0x7ffffcc0,0xffffffff,0x2fffffff,0x0bffffe2,0x5fffff80,
    0x7ffff400,0x1bffffe7,0xfffff700,0x7fff41ff,0xffffffff,0xffffffff,
    0x3fffff12,0xffffff70,0x97ffff60,0x002fffff,0x5bfffffa,0x32fffff8,
    0x403fffff,0x20fffffe,0xfffffffe,0xffffffff,0xff12ffff,0x3fe25fff,
    0x7e402fff,0xff106fff,0x3e205fff,0xffffffff,0xffffffff,0xfffff004,
    0xff80000b,0xff003fff,0x8800bfff,0x86ffffff,0x82fffff8,0xfffffffe,
    0xffffffff,0x5c02ffff,0x05ffffff,0x3fffff20,0xf300003f,0x01ffffff,
    0xfffc8000,0x3fa001ff,0x4002ffff,0xfffffff9,0xffffffff,0x222fffff,
    0x002fffff,0x017ffffe,0x4fffffd0,0x006fffff,0xffffffe8,0x3fffffa4,
    0xffffffff,0x12ffffff,0x303fffff,0x20bfffff,0x3e5ffffd,0x2002ffff,
    0x16fffffa,0x265fffff,0x201fffff,0x25fffff9,0xfffffffe,0xffffffff,
    0xff12ffff,0x3fe25fff,0x7e402fff,0xff106fff,0x3e205fff,0xffffffff,
    0x0bdeffff,0x3ffffe00,0x7fc00005,0xff003fff,0x7000bfff,0x87ffffff,
    0x82fffff8,0xfffffffe,0xffffffff,0x4c02ffff,0x03ffffff,0x3ffffea0,
    0x3a00001f,0x005fffff,0xffffc800,0xfff5001f,0xf3000fff,0xffffffff,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bba0000,
    0xeeeeeeee,0xeeeeeeee,0xed8001ee,0x0003eeee,0xdddddddd,0x9ddddddd,
    0xeec80017,0x000006ee,0x00999988,0x3ddddd10,0x3ffffff6,0x336fffff,
    0x33333333,0x33333333,0x00000033,0x00a98800,0x0000d440,0x099a9988,
    0x33510000,0x2a620000,0x19988009,0x03310000,0x0a988000,0x00000000,
    0x054c4000,0x00000000,0x019a9880,0x3ddddd10,0x4eeeec80,0x01ddddd3,
    0x13bbbb20,0x3fffe000,0xffffffff,0xffffffff,0x7fcc001f,0x0006ffff,
    0xffffffff,0xffffffff,0x36005bff,0x0007ffff,0xffffb800,0xffff3004,
    0x3ffff65f,0x6fffffff,0x5555555b,0x55555555,0x8001b555,0x05b009a9,
    0x3ffff260,0xfb503eff,0x009dffff,0xfffffc88,0x8003dfff,0xffffffeb,
    0x7ed4002e,0x2effffff,0x3fffff22,0x6cc002df,0x1deffffe,0xfffc9800,
    0xb00cefff,0x3a27dddd,0x30000003,0xdffffff9,0x00000019,0xfea81366,
    0xbeffffff,0xfffff300,0xffffd803,0x1fffff55,0x3ffff600,0xfff80006,
    0xffffffff,0xffffffff,0x7e4001ff,0x02ffffff,0xffffff80,0xffffffff,
    0x02ffffff,0x07ffffd8,0xffb80000,0xff3004ff,0x3ff65fff,0xffffffff,
    0x4000096f,0x7f64400b,0x90cfffff,0x7ec407ff,0xffffffff,0xfffb11ef,
    0x5dffffff,0xfffff700,0x9fffffff,0x3fffa600,0xefffffff,0x7fff4400,
    0xffffffff,0xffffffce,0x800dffff,0xfffffffb,0xb1003fff,0xffffffff,
    0xffd05fff,0x3ffe29ff,0x8800000c,0xfffffffd,0x0002ffff,0x13ffaa00,
    0x3fffffa2,0x2fffffff,0x1fffff98,0xaffffec0,0x00fffffa,0x0dffffb0,
    0xfffff000,0xffffffff,0xffffffff,0x7ffc4003,0x005fffff,0xfffffff8,
    0xffffffff,0x01ffffff,0x03ffffec,0x7fdc0000,0xff3004ff,0x332e5fff,
    0xcccccccc,0x4000093c,0x3ffee00b,0xffffffff,0xd301fffe,0xffffffff,
    0xff9fffff,0xffffffff,0x7d407fff,0xffffffff,0x405fffff,0xfffffffb,
    0x0effffff,0xfffffd10,0xffffffff,0xffffffff,0x401dffff,0xfffffffd,
    0x00dfffff,0x3fffffa6,0xffffffff,0x3ffffa0d,0xbfffff14,0x3a600003,
    0xffffffff,0x00dfffff,0xfff71000,0xffe889ff,0xffffffff,0x7cc2ffff,
    0x6c01ffff,0xff55ffff,0x36001fff,0x0006ffff,0xfffffff8,0xffffffff,
    0x01ffffff,0x3ffffee0,0x4000ffff,0xffffffff,0xffffffff,0x406fffff,
    0x207ffffd,0xff700001,0x3e6009ff,0x0002ffff,0x17000024,0xfffffd10,
    0xffffffff,0x7ff405ff,0xffffffff,0xffffffff,0xffffefff,0xff881fff,
    0xffefffff,0x02ffffff,0xfffffff1,0xffffffff,0x3ffff60d,0xffffffff,
    0xffffffff,0x5fffffff,0xffffff70,0xffffffff,0x3fffa209,0xffffffff,
    0x3fa4ffff,0xfff14fff,0x005dffff,0x7ffff440,0xffffffff,0x40004fff,
    0xffffffc9,0x7fffe44f,0xfffeceff,0x7fcc7fff,0x7ec01fff,0xfff55fff,
    0x3f6001ff,0x80006fff,0x005fffff,0x3ffa0000,0x3fffffff,0x7ffffc00,
    0xfffd9805,0x3f600fff,0x3e887fff,0xfff70000,0x3322009f,0x40001ccc,
    0x02e00004,0x3ffffff6,0xffffffff,0x3fff206f,0xeb9acfff,0xffffffff,
    0x7fff5c4f,0xffffb86f,0x3ff220bf,0xffb04fff,0x2e63bfff,0x41fffffe,
    0x1dfffff8,0x3fffff26,0xf930afff,0xf885ffff,0x2e1effff,0x80fffffe,
    0xcffffffd,0xffffda9a,0xffffd2ff,0x3ffffe29,0x00cfffff,0x7ffffec0,
    0xffda9acf,0x8001ffff,0xffffffea,0x7ffc4fff,0xffc882ff,0x3fe62fff,
    0x7ec01fff,0xd9935fff,0x776400ff,0xf80004ee,0x0005ffff,0xffff3000,
    0x0dffffff,0x5fffff80,0x3ffff200,0x3fff602f,0x01ff4c7f,0xffffb800,
    0x00000004,0x17000024,0xefffffb8,0xffff930a,0xfff105ff,0x3f203fff,
    0x04ffffff,0x907ffffa,0x2209fffd,0xa85fffff,0x304fffff,0xa8bfffff,
    0xd00efffd,0x03ffffff,0xb1bffff2,0x201fffff,0x444ffffd,0x01efffff,
    0x1ffffff5,0x647ffb97,0xffffffff,0x8801dfff,0x01efffff,0x0dfffff5,
    0x3fffee20,0xefffffff,0x1ffffe22,0x4159bfd0,0x01fffff9,0x42ffffec,
    0x000006fe,0xfffff800,0x90000005,0xff9fffff,0x7c005fff,0x2005ffff,
    0x04fffff9,0xa9fffff6,0x00003fff,0x009ffff7,0xdddd1000,0x0000905d,
    0xffff105c,0xffd101df,0xff50ffff,0xfe807fff,0x202fffff,0x204ffffa,
    0x3ff600a9,0xfffd85ff,0x3ff600ff,0x06a202cd,0x4fffffb8,0x87ffffc0,
    0x03fffff8,0x83ffffe2,0x02fffffa,0x17ffffe4,0xfb505ff7,0xffffffff,
    0x7fd405df,0x7e402fff,0x2603ffff,0xfffffffc,0x881cffff,0x01dfffff,
    0xfffff300,0xffffd803,0x002ffc45,0x7fc00000,0x00005fff,0x9fffff00,
    0x0bfffff1,0x2fffffc0,0xfffff100,0x7fffec05,0x07ffff77,0x66666640,
    0xceffffdc,0x00cccccc,0xfffff880,0x20000482,0x3ffff20b,0xffffd01f,
    0xffb87fff,0xffa807ff,0x7c407fff,0x20006fff,0x86ffffea,0x404ffffe,
    0x26000008,0x02fffffd,0x99ffffec,0x401fffff,0x361ffffe,0x8806ffff,
    0x364fffff,0x3f2201ff,0xffffffff,0x7fec0bff,0xff8806ff,0xfda84fff,
    0xffffffff,0xfff802df,0x0aceffff,0xfffff300,0xffffd803,0x3a17fe45,
    0xeeeeeeee,0xeeeeeeee,0xff800eee,0x00005fff,0xfffffa80,0x1fffffb1,
    0x3ffffe00,0x3ffee005,0x3ff600ff,0xffffdfff,0x3ffe000e,0xffffffff,
    0xffffffff,0xff88000f,0x00482fff,0xffd82e00,0xdffb05ff,0xd8bffffd,
    0x8805ffff,0x99efffff,0xff999999,0xa8800fff,0xffffffec,0xfffff86f,
    0x22000003,0xfffffdba,0x9999afff,0xffffd999,0x3fffff54,0xd3333333,
    0x7fc5ffff,0xfb004fff,0x3feedfff,0x3ff6a006,0xffffffff,0x0fffffe3,
    0x37fffec0,0xffffffd1,0x0017dfff,0x7fffffec,0x01beffff,0x07ffffe6,
    0x2bffffb0,0xff85ffd9,0xffffffff,0xffffffff,0xfff800ff,0x000005ff,
    0x27ffffd8,0x03fffffa,0x0bfffff0,0x3ffffa60,0x7fffec05,0x005fffff,
    0xfffffff8,0xffffffff,0x000fffff,0x2fffff88,0x2e000048,0x0fffffe0,
    0x3f27fff2,0x7ffc6fff,0xfff004ff,0xffffffff,0xffffffff,0x3ffae601,
    0xffffffff,0x7fffc46f,0x4400003f,0xffffffec,0xffffffff,0xffffffff,
    0xfff75fff,0xffffffff,0x7fffffff,0x0bffffe2,0x7ffffe40,0x8001fffd,
    0xfffffeb8,0xffff14ff,0x3ff2005f,0x3ffe27ff,0x01dfffff,0xffffd100,
    0xffffffff,0xffff305d,0xfffd805f,0x0dfffeef,0xfffffff8,0xffffffff,
    0x800fffff,0xccefffff,0xcccccccc,0x8800cccc,0x224fffff,0x006fffff,
    0x55dfffff,0xfb555555,0x803fffff,0xfffffffd,0xfff0004f,0xffffffff,
    0xffffffff,0xff10001f,0x00905fff,0xff885c00,0x7fdc2fff,0xfffff72f,
    0x3ffffe61,0xffffd003,0xffffffff,0x83ffffff,0xffffffe8,0xffffffff,
    0x7ffffcc6,0xf9100002,0xffffffff,0xffffffff,0xffffffff,0x3ff6bfff,
    0xffffffff,0xffffffff,0x3fffff54,0x3fffee00,0x0002ffff,0xfffffe98,
    0x5fffff54,0x3fffee00,0xfffff10f,0x1000017f,0xfffffffd,0x8bffffff,
    0x02fffff9,0x7ffffff4,0x3ffe02ef,0xffffffff,0xffffffff,0xffff800f,
    0xffffffff,0xffffffff,0xffffb801,0x7fffec1f,0xffff802f,0xffffffff,
    0xefffffff,0xffffd800,0x20002fff,0xffffffff,0xffffffff,0x8000ffff,
    0x82fffff8,0x42e00004,0x21fffff9,0x3e63fffa,0xff11ffff,0x3e009fff,
    0xffffffff,0xffffffff,0x3ffa21ff,0x9bdfffff,0x446ffffc,0x003fffff,
    0xfffffb00,0xff737dff,0xffffffff,0xffffffff,0x3fffff2d,0xffffffff,
    0xf35fffff,0x2005ffff,0x3ffffffc,0xffd50000,0x3e69ffff,0x9002ffff,
    0x7c4fffff,0x1cffffff,0xffb50000,0xffffffff,0x7ffcc9ff,0x7ff402ff,
    0xf800beff,0xffffffff,0xffffffff,0xff800fff,0xffffffff,0xffffffff,
    0xffe801ff,0xfff986ff,0xfff805ff,0xffffffff,0xefffffff,0xffffb000,
    0xc80003ff,0xfdcccccc,0xccccefff,0x88000ccc,0x482fffff,0x442e0000,
    0xf32fffff,0xfffa89ff,0x3fffe0ff,0xfff8806f,0x99999dff,0x99999999,
    0x3fffffa0,0xffffc81c,0x4fffff86,0xfffb8000,0x7dc0afff,0x9999ffff,
    0x99999999,0xfffff709,0x33333333,0x22133333,0x003fffff,0x01fffffb,
    0xfffc9800,0x14ffffff,0x007fffff,0x89bffff6,0xffffffff,0x80000bef,
    0xffffeca8,0xf30fffff,0xf805ffff,0x2005ffff,0xaaaaaaaa,0xaaaaaaaa,
    0xff002aaa,0xffffffff,0xffffffff,0xff9803ff,0xfff03fff,0xff801fff,
    0xffffffff,0xffffffff,0xffe803ff,0x00000fff,0x27fffdc0,0x7fc40000,
    0x00482fff,0xfff82e00,0x5ffe8bff,0x47ffffb8,0x01fffffd,0x37ffffd4,
    0x3ffe2000,0x3ff604ff,0xfffe86ff,0x66f4c05f,0x7ffff41a,0x3fffee05,
    0x3ea0002f,0x0000ffff,0x02fffffc,0x2fffffc4,0xffeb8800,0xffffffff,
    0x3ffffe0c,0xfffff005,0xffffea89,0x1dffffff,0x36a20000,0x11ffffff,
    0x407fffff,0x05fffff9,0x00000000,0x7ffffffc,0xffffffff,0x401fffff,
    0x00fffffd,0x07fffff9,0xfffffff8,0xffffffff,0x05ffffff,0xffffffb1,
    0xf7000000,0x22009fff,0x881ccccc,0x482fffff,0xd82e0000,0xffedffff,
    0xbffff906,0x3fffffc8,0x7fffff40,0x26b2a00f,0x7ffffd40,0x3ffff600,
    0xfffffd86,0x3fffee00,0xfffff10f,0x7fffe405,0x04de404f,0x0bffffe6,
    0xfb01ac88,0xb803ffff,0x002fffff,0x7ffffe4c,0x0bffffff,0x1fffffd8,
    0x7ffffdc0,0xffffb303,0x7dffffff,0x265d4c01,0x3ffffea0,0xdfffff12,
    0x3ffffa20,0x3100005f,0x00001333,0x33dfffff,0x33333333,0xf8803333,
    0x2605ffff,0x406fffff,0xaaefffff,0xeccbaaaa,0x45ffffff,0xffffffe8,
    0xb8000007,0x3004ffff,0x105fffff,0x905fffff,0x905c0000,0xdfffffff,
    0xfffff301,0xfffff889,0xffff701f,0x3e20bfff,0x3ee6ffff,0xf501ffff,
    0xf70dffff,0x220bffff,0x265fffff,0x103fffff,0x1fffffff,0x3bfffee0,
    0x3fffffa2,0xdffffb00,0x7ffffd43,0xffff300e,0xd71001ff,0xffffffff,
    0xfa805dff,0x300effff,0x01dfffff,0xfffffc88,0x1dffffff,0x0ffffff4,
    0x3fffff30,0x67fffff4,0x3ffff660,0xb00005ff,0x000dffff,0x0bfffff0,
    0x3fee0000,0xaaaadfff,0xfffffaaa,0x3fffe02f,0x3fee005f,0x3f62ffff,
    0x07ffffff,0xffb80000,0xff3004ff,0xff105fff,0x00905fff,0xff105c00,
    0x101fffff,0x01fffffb,0x7ffffff7,0xffffb533,0x45bfffff,0x3fffffd9,
    0x17ffffea,0x3fffffe6,0xfffffd06,0xffd9315d,0xfff85fff,0x7f440fff,
    0xbfffffff,0xfffff510,0x7fffd41f,0x7ffd40ef,0xfffe86ff,0xc989bfff,
    0x03ffffff,0xffffff88,0x01cfffff,0x3fffffa0,0xffc989bf,0x4002ffff,
    0xffffffeb,0x3ea4ffff,0x880effff,0x647ffffd,0xefffffff,0xffffffff,
    0xfb00005f,0x0000dfff,0x00bfffff,0x3fffa000,0xffffffff,0xffffffff,
    0x3ffffe05,0x7ffdc005,0x3fff65ff,0x0007ffff,0xffffb800,0xffff3004,
    0xffff105f,0x0000905f,0x3ffee05c,0x3a60beff,0x202fffff,0xfffffffe,
    0xffffffff,0xefffffff,0x46ffffff,0xfffffff8,0xffffffcc,0xfff307ff,
    0xffffffff,0xfd0dffff,0xd7bfffff,0xffffffff,0xfffdffff,0xfd07ffff,
    0xfbdfffff,0x05ffffff,0xfffffff3,0xffffffff,0x3fe200bf,0xbfffffff,
    0xfff98000,0xffffffff,0x004fffff,0x3ffff6a0,0x7f44ffff,0xccefffff,
    0x4ffffffe,0x7fffff44,0xfbefffff,0x00005fff,0x00dffffb,0xbfffff00,
    0xff300000,0xffffffff,0xffffffff,0x3fe01fff,0x44005fff,0x367fffff,
    0x7ffffeef,0xfb800000,0xf3004fff,0xf103ffff,0x0905ffff,0x2205c000,
    0xffffffff,0xfffffffe,0x7fff4c05,0xffffffff,0xfffffdff,0xffffffff,
    0xffffc80e,0xffffffff,0x900fffff,0xffffffff,0x01dfffff,0xfffffff3,
    0xddffffff,0xffffffff,0x20bfffff,0xffffffe8,0x4fffffff,0x3ffffea0,
    0xffffffff,0xff1000df,0x005dffff,0xfffff500,0xffffffff,0x300001bf,
    0x9ffffff9,0xfffffe88,0xffffffff,0xffff105f,0x51bfffff,0x000bffff,
    0x1bffff60,0x3fffe000,0xc800005f,0xffffffff,0xffffffff,0xf03fffff,
    0x000bffff,0x6cffffff,0x0fffffb5,0xff700000,0x3e6009ff,0xf881ffff,
    0x0482ffff,0xf302e000,0xffffffff,0x1dffffff,0x3ffff200,0x1effffff,
    0xffffffb1,0x401dffff,0xfffffffe,0xffffd4ff,0x7fffd407,0xefffffff,
    0x3fffee01,0x2fffffff,0x3ffffff2,0x805fffff,0xfffffffc,0x8803ffff,
    0xfffffffe,0x4003ffff,0x01dffff8,0x7ff4c000,0xffffffff,0x8800003f,
    0x884ffffb,0xfffffffe,0x00dfffff,0x3fffff66,0x3fffea4e,0xffb00005,
    0xf0000dff,0x000bffff,0xffffff00,0xffffffff,0xffffffff,0x3ffffe0d,
    0x7ffcc005,0xffd8a6ff,0x000007ff,0x3f200000,0xffff880f,0x0000482f,
    0xffff882e,0xffffffff,0x98003fff,0xeffffffd,0xffffd504,0x2e005dff,
    0x2effffff,0x01bffff2,0xfffffd91,0x3a6005df,0xbeffffff,0xffffd980,
    0x2001dfff,0xffffffda,0x5cc001cf,0xdefffffd,0xcff88000,0x54000000,
    0xefffffdb,0x8000000d,0x36a04fea,0xffffffff,0x4d4c001d,0x40000000,
    0x002aaaa9,0x5fffff80,0x7fd40000,0xaaaadfff,0xeaaaaaaa,0xf82fffff,
    0x4005ffff,0x04fffffc,0x00fffffb,0x26666600,0x99999999,0x01999999,
    0x3fe20fff,0x00482fff,0xffd82e00,0xfffffb35,0x00001bff,0x40013551,
    0x00009aa9,0x00003553,0x026aa620,0x0554c400,0x26aaa200,0x54c40000,
    0x3000009a,0x88000135,0x0000000b,0x00013530,0x00a60000,0x066aaa62,
    0x00000000,0x00000000,0x00bfffff,0xffffd800,0x7fdc000f,0xfff85fff,
    0xfb3005ff,0x205fffff,0x007ffffd,0xffffff00,0xffffffff,0x81ffffff,
    0xff105ffa,0x00905fff,0xdd105c00,0x09aa9881,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeffffff8,0xeeeeeeee,0x25eeeeee,0x06fffff8,
    0xfffff880,0x7ffffc0f,0xeeeeeeef,0xfffffffe,0xfffb00ff,0xddddddff,
    0xdddddddd,0x7fffffc5,0xffffffff,0x20ffffff,0xf100fffc,0x0905ffff,
    0x0405c000,0x664c0000,0xcccccccc,0xcccccccc,0x0002cccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe00000,0xffffffff,0xffffffff,0x3fee6fff,0xb0003fff,
    0xf87fffff,0xffffffff,0xffffffff,0x202fffff,0xfffffffd,0xffffffff,
    0x3fe3ffff,0xffffffff,0xffffffff,0x5fff70ff,0x7ffffc40,0xccccce82,
    0xcccccccc,0x00dccccc,0xff500000,0xffffffff,0xffffffff,0x0009ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0xffffffff,0xffffffff,0x3ffa6fff,
    0x50000fff,0xf8dfffff,0xffffffff,0xffffffff,0x6c03ffff,0xffffffff,
    0xffffffff,0x3ffe3fff,0xffffffff,0xffffffff,0x10077e0f,0x005fffff,
    0x00000000,0x7fffd400,0xffffffff,0xffffffff,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffe000,0xffffffff,0xffffffff,0xfffff56f,0xfff8000b,
    0x3ffe2fff,0xffffffff,0xffffffff,0xfffd803e,0xffffffff,0xffffffff,
    0x3fffffe3,0xffffffff,0x20ffffff,0xffff1001,0x0000005f,0x54000000,
    0xffffffff,0xffffffff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xffffffff,0xffffffff,0xfb6fffff,0x0005ffff,0x5fffffc8,0x3ffffffe,
    0xffffffff,0x36001bee,0xffffffff,0xffffffff,0x00003fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00098800,0x31000cc0,0x19800001,
    0x77777440,0x77776401,0xdddddb14,0x77775407,0x3bbae0de,0x7777403e,
    0x3bba602e,0xdddd10ee,0x3bbae03d,0x3ba20dee,0x55002eee,0x88001555,
    0xb8088001,0x000eeeee,0x5c9ddddb,0xeeeeeeee,0xeeeeeeee,0x17777744,
    0x017000dc,0xaa835555,0x2a0000aa,0x2aa20aaa,0x5551002a,0x54cc0005,
    0x04cc0009,0x004cc400,0x00440006,0x33333331,0x33333333,0xa8013333,
    0x266200aa,0x99999999,0x99999999,0x200cc009,0x30ccccc8,0x3629dddd,
    0x3aa3efff,0x3f6a3eee,0xd983dfff,0x80cefffe,0x225eeee8,0x3effffec,
    0x1fffff98,0x2ffffec0,0x3ffffff7,0xffffff10,0x7ffffa85,0x3ffffe60,
    0x3fffee05,0x3ffffe66,0xfffffb81,0x7fffc41f,0xfffb002f,0x1fe8003f,
    0x303fa200,0x007fffff,0x45fffff3,0xfffffffc,0xffffffff,0x7ffffc5f,
    0x400ffdc3,0x7fdc0efc,0x3fff60ff,0xfff70005,0x05fffd8d,0x05ffffb0,
    0xfffffb80,0x3f6203ef,0x2004ffff,0xfeb85ffe,0x75403fff,0x541dffff,
    0xffffffff,0xffffffff,0x3e206fff,0x3fea01ff,0xffffffff,0xffffffff,
    0xfffd886f,0xfff980df,0xffff51ff,0xffffff1b,0xa7fffdcd,0xfffffffc,
    0x3fffea4f,0x440effff,0xfd17ffff,0xbfffffff,0x7ffffcc1,0x7fffec01,
    0x7ffffec5,0xfffffd86,0xfffff884,0xfffff901,0x7ffff40f,0x3ffffe63,
    0x7ffffd41,0xffff882f,0xfffb002f,0x7fec003f,0xeffec89f,0x0effe89d,
    0x037ffff4,0x23ffffe4,0xfffffffc,0xffffffff,0x7ffffc5f,0x07fffee3,
    0x40efffc8,0x3e24fffe,0x4c002fff,0x3ee2ffff,0xf9800fff,0x2006ffff,
    0xfffffffa,0xfffa83ff,0x00efffff,0x362fffe4,0x5fffffff,0xffffffb0,
    0x7ffd45ff,0xffffffff,0xffffffff,0x00fffc06,0xfffffff5,0xffffffff,
    0xfa8dffff,0x2fffffff,0x8fffffcc,0xfdeffffa,0x2e3fffff,0xffdcffff,
    0xffffffff,0xffffffbb,0x220effff,0xff9fffff,0xffffffff,0x3fffe65f,
    0x7ffec01f,0x7fffc45f,0x3ffea3ff,0xffb00eff,0x3ffa07ff,0xf881ffff,
    0x3e61ffff,0x3e61ffff,0x102fffff,0x005fffff,0x007ffff6,0x7fffffec,
    0xffffffff,0x2a0effff,0x401fffff,0x644fffff,0xffffffff,0xffffffff,
    0x9fffffc5,0x1ffffffb,0xefffffc8,0x8bfffea0,0x000ffffc,0xf89bfffa,
    0xf9003fff,0x005fffff,0xfdfffff1,0x7c41ffff,0xffffffff,0xfffd506f,
    0x7fffccbf,0x5c3ffffd,0xffedffff,0xffff50ff,0xffffffff,0xdfffffff,
    0x007ff404,0xfffffff5,0xffffffff,0x7c4dffff,0xffffffff,0x3fffe60f,
    0xfffff51f,0x3fffffff,0x7fffffdc,0xffffffff,0xffffffff,0x4fffffff,
    0x3fffffe2,0xffffffff,0xff31ffff,0xfd803fff,0xffa85fff,0xff88ffff,
    0x2e01ffff,0xf885ffff,0x83ffffff,0x4c6ffffa,0xf11fffff,0x407fffff,
    0x02fffff8,0x03ffffb0,0x3ffffee0,0xffffffff,0xf84fffff,0x2a04ffff,
    0x540fffff,0xcccccccc,0xfffffffc,0x9fffffc1,0xfffffff9,0x3fffff21,
    0xffffd84f,0x0bffff10,0x87ffff20,0x1006fffe,0xbfffffff,0x47ffd500,
    0x361ffff8,0xfd9bffff,0x3fa22fff,0x365fffff,0x3ffe27ff,0x907fff45,
    0x3fea3fff,0xffffffff,0xffffffff,0xfe8ff26f,0xffa9f267,0xffffffff,
    0xffffffff,0x33fff66f,0x25fffc88,0x51fffff9,0xffffffff,0xffb8dfdb,
    0x30aeffff,0xfffffffd,0x7fffdc3b,0x3fffe26f,0x3ea2dfff,0xf34fffff,
    0xd803ffff,0xf905ffff,0xffbbffff,0xf8807fff,0x7d40ffff,0x85ffffff,
    0x4c4ffffd,0xe89fffff,0x403fffff,0x02fffff8,0x03ffffb0,0x7ffffdc0,
    0xffffffff,0xff904fff,0x7fec0fff,0xf70005ff,0x905fffff,0x7cc39999,
    0xc9ffffff,0x04ffffff,0x5cbffff3,0x4c03ffff,0x3f24ffff,0xf9002fff,
    0x3fffffff,0x3f606200,0xffff11ff,0x25fffc81,0xfffefff9,0xf88aa625,
    0x276e44ff,0x7d4bffee,0xffffffff,0xffffffff,0x3fffa6ff,0xffeaefdb,
    0xfffff51f,0xffffffff,0x4dffffff,0xffc84fff,0x3ffffe67,0xffffff50,
    0x3ee0c41b,0xa81fffff,0x06ffffff,0x21fffffb,0x5ffffff8,0x9fffff50,
    0x07ffffe6,0x0bffffb0,0x7ffffff4,0xd006ffff,0xfc85ffff,0x87ffffff,
    0x4c1fffff,0xfeafffff,0x8804ffff,0x002fffff,0x003ffffb,0xffffffd8,
    0xffffffef,0x3fffe606,0xffff882f,0xffa8002f,0x0004ffff,0x3fffffe6,
    0x4fffffff,0x17fffe40,0x201ffffd,0x30ffffe8,0x200dffff,0xfffffff8,
    0x5cc005ff,0x32fffffd,0xff30dfff,0xf8efccdf,0x3f2a05ff,0x3a000fff,
    0x00000fff,0x7ffffcc0,0xffffffff,0xff980003,0x1fff36ff,0xb01fff30,
    0x7fffd4ff,0xffb801ff,0x3fe03fff,0xf701ffff,0x3e21ffff,0x200effff,
    0xf35ffffe,0xd803ffff,0x2605ffff,0xffffffff,0xff7000ff,0xfffe89ff,
    0x261fffff,0xf987ffff,0xfffeffff,0xff1005ff,0x36005fff,0x4001ffff,
    0x22effffe,0x0fffffd9,0x17ffffa0,0x01ffffee,0x3ffffea0,0xf980005f,
    0xffffffff,0xff8804ff,0xfff50fff,0x3fff20bf,0xffffd13f,0x3ffee003,
    0x0fffffbf,0x7fffec40,0xf52fffff,0xfff10bff,0x3ffe0c4f,0x3ffff605,
    0x3fff6001,0x88000004,0xfffffeca,0x002cefff,0x6ffff980,0xf301fff3,
    0x4fff01ff,0x05fffffa,0x3fffff70,0x3fffffc0,0x1fffff50,0x13ffffe2,
    0x2dffffb0,0x01fffff9,0x02ffffec,0x3fffffee,0x3e6002ff,0x3fe26fff,
    0x3ffffbff,0x213ffff2,0xfffffff9,0x1006ffff,0x265fffff,0xfeeeeeee,
    0xeeeeffff,0x7fcc4eee,0xffb00fff,0x7fd407ff,0x7ff40fff,0x7cc004ff,
    0x006fffff,0x3fffe600,0x004fffff,0xe97fffee,0x7d43ffff,0x3ff26fff,
    0x3fe005ff,0xfffb8fff,0x3ffe604f,0xfffedfff,0x10bfff52,0x7c01ffff,
    0x3ffa05ff,0x74401eff,0x00006fff,0xfffd1000,0x3000003f,0x7fcdffff,
    0x87ffc84f,0x3fea5ffa,0xf7003fff,0x7c01ffff,0x2a05ffff,0xf11fffff,
    0xd807ffff,0xff36ffff,0xfd803fff,0xfd805fff,0x005fffff,0x51ffffe8,
    0xffb3ffff,0x7ffff4bf,0xfffff982,0x3fffffff,0xfffff880,0xffffff52,
    0xffffffff,0xb8dfffff,0x2a04ffff,0x7c05ffff,0x3e63ffff,0x2001ffff,
    0xeffffff8,0x7cc00000,0x04ffffff,0x2fffff80,0x41fffff3,0xf33fffff,
    0x2003ffff,0xf14ffffb,0x3a01ffff,0x3f61dfff,0xbfff32ff,0x80ffff30,
    0x22605fff,0x300fffea,0x881dfffd,0xaaaaaaaa,0xaaaaaaaa,0xff902aaa,
    0x0000bfff,0x4dffff30,0xd99cfffd,0x7fe44fff,0x3fffea0f,0xfff7002f,
    0xfffe80ff,0x3ffea05f,0xffff11ff,0xfffc807f,0xfffff36f,0xffffd805,
    0xffffb805,0xfc8004ff,0xfff93fff,0x45fffeef,0xf307ffff,0xffffffff,
    0x8801ffff,0xf52fffff,0xffffffff,0xffffffff,0xfffb8dff,0x7fffc01f,
    0x7fffe406,0x17ffff26,0xffffe880,0x800000ff,0xfffffffc,0x3fe6001f,
    0xfff70fff,0xffffb8bf,0x13ffff66,0x0fffff40,0x107ffffb,0x7c41ffff,
    0xfff12fff,0x6fffb81f,0x802fffc0,0xfa82fffb,0xfa80dfff,0xffffffff,
    0xffffffff,0xfffc86ff,0x0005fffa,0x37fffcc0,0xfffffff1,0x7fdc1fff,
    0x7fffd42f,0xfff7001f,0xfffe80ff,0x3ffea04f,0xffff11ff,0xfffc805f,
    0xfffff36f,0xffffe805,0x7fffc405,0x4002ffff,0xfd5ffff9,0x3ffe69ff,
    0x5ffffa9f,0xffffff30,0x9fffffdf,0xfffff880,0xffffff52,0xffffffff,
    0xb8dfffff,0x2603ffff,0x4c05ffff,0xff0fffff,0x6c005fff,0x01ffffff,
    0xfffc8000,0x0fffffff,0x5ffffd00,0x03ffffe2,0x44fffff6,0x400fffff,
    0x546ffffa,0xf987ffff,0x3fee0fff,0x3fffa2ff,0x7ffff71d,0x915fff80,
    0xfffa89dd,0x27fffd43,0xffffff50,0xffffffff,0xb8dfffff,0xfff74fff,
    0x7cc00009,0x7fd46fff,0x41efffff,0xffa80df8,0xf7001fff,0xfe80ffff,
    0x3ea04fff,0xff11ffff,0xfc805fff,0xfff36fff,0xffe805ff,0x7fec05ff,
    0x0fffffff,0x7ffffc00,0x3e2ffff9,0xfffdbfff,0xffff302f,0xfff91dff,
    0x7fc401ff,0xfff52fff,0xffffffff,0xffffffff,0x6ffffa8d,0x13ffff20,
    0x2fffffa0,0x007ffffa,0x3ffffff2,0xfc800002,0xffffffff,0x7d400fff,
    0x3ff25fff,0xfff102ff,0x3ffea1ff,0x7fff405f,0xfffff83f,0xcfffff82,
    0x22fffffe,0xfffffff9,0xff806fff,0x47fffa5f,0x261fffe9,0xaaadffff,
    0xffff50aa,0xffffffff,0xdfffffff,0x3a0fffc8,0x200005ff,0x886ffff9,
    0x00cffffd,0x7fffd403,0xfff7001f,0xfffe80ff,0x3ffea04f,0xffff11ff,
    0xfffc805f,0xfffff36f,0xfffff805,0x3fffee05,0x05ffffff,0x6ffffe40,
    0x3f60ffff,0xfffffeff,0xfffff300,0x3fffe21f,0x3ffe205f,0x555512ff,
    0xffffd555,0x55555559,0x3fffff88,0x2fffffa8,0xeffffa80,0x004ffffc,
    0x7ffffff7,0xff900000,0xfff9ffff,0x7401ffff,0xff30ffff,0xffa80bff,
    0x3fff64ff,0xffff501f,0xffff701f,0xfffff70d,0x87fffdff,0xfffffffb,
    0xfff801ff,0x3ffffea5,0x7ec5ffff,0xffffffff,0xfffff52f,0xffffffff,
    0x0dffffff,0x03f985f5,0x7ffcc000,0x0004406f,0x3ffffea0,0xffff7001,
    0xffffe80f,0x3fffea04,0xfffff11f,0xffffc805,0x7fffff16,0x7ffffcc0,
    0xfffff305,0x7fffffff,0x7fffd400,0x7dc6ffff,0x5fffffff,0x3ffffe60,
    0x7ffffdc2,0xfffff102,0x3fff6005,0x7fe4001f,0xfebcffff,0x2006ffff,
    0xffffffff,0xffa801ff,0x0003ffff,0xfffffc80,0xfffff34f,0xfff701ff,
    0x7ffff45f,0xffffd800,0x0dffff10,0x413ffffa,0x82fffff8,0xf3fffffb,
    0xffd30bff,0x2001bfff,0x7fdc5fff,0x20dfffff,0xfffffff8,0x9932ffff,
    0x99999999,0x99999999,0x00402079,0x66644000,0x8000003c,0x00fffffa,
    0x0fffff70,0x04ffffe8,0x47ffffea,0x02fffff8,0x8b7fffe4,0x206fffff,
    0x05fffffe,0x55fffffd,0x01ffffff,0x7fffffc0,0x7ffcc4ff,0x202fffff,
    0x81fffff9,0x106ffffe,0x005fffff,0x007ffff6,0xfffffe88,0xffffffff,
    0xff9001ff,0x0dffffff,0xffffff30,0x33320009,0xffff71cc,0xfff989ff,
    0x3e20ffff,0x3fea4fff,0xff1002ff,0x7ffd4bff,0x7fffcc2f,0x3fff601f,
    0x0353105f,0x026a6200,0x309ddd00,0x5059ddd9,0xdddddddd,0x00005ddd,
    0x00000000,0x00000000,0x1fffff50,0x3fffee00,0x7ffff407,0x3fffea04,
    0xfffff11f,0xffffc805,0x3fffffa6,0x3fff660c,0xffc85fff,0x3ff65fff,
    0x36006fff,0x2fffffff,0xfffffff8,0x3ffe600f,0xfffa81ff,0xfff883ff,
    0xffb002ff,0x3a2003ff,0xffffffff,0xffffffff,0xfff9801f,0x402fffff,
    0xfffffff8,0xeeeeeeee,0x3ffe1eee,0xfffd13ff,0x3ffe609f,0x7ffe44ff,
    0x027fff46,0x87fffea0,0x54c6fffc,0x54402aaa,0x00002aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffea00,0xfff7000f,0xfffe80ff,
    0x3ffea04f,0xffff11ff,0xfffc805f,0x3ffff26f,0xffffefff,0x4c5fffff,
    0x20ffffff,0x3ffffff8,0xfffff500,0xfffb01ff,0xf980bfff,0xfd01ffff,
    0xf881ffff,0xb002ffff,0x2003ffff,0xfffffffd,0xffffffff,0xe800ffff,
    0x07ffffff,0xffffffa8,0xffffffff,0x3fe1ffff,0x3fa23fff,0x7ffcc04f,
    0x0ffffcc4,0x000dfff7,0xfd1bfff2,0x000007ff,0x4eeeee88,0x41ddddd9,
    0x00eeeeed,0x5cc00000,0x2600bcdc,0x2a0aaaaa,0x9882aaaa,0x99999999,
    0x106aaa61,0x77415555,0x2eee2eee,0x222221bb,0x88888888,0x88888888,
    0xffff5088,0x3fee001f,0x7ff407ff,0x3fea04ff,0xfff11fff,0xffc805ff,
    0x3ffa26ff,0xffffffff,0x25ffffbe,0x2fffffe8,0xffffffa8,0xffff8801,
    0xfff506ff,0xf9807fff,0xf301ffff,0xf889ffff,0xb002ffff,0x2003ffff,
    0xfbdfffe8,0xfbcfffff,0xf5003fff,0x009fffff,0xfffffff5,0xffffffff,
    0x7ffc3fff,0x027443ff,0xcca84f98,0x0e66642c,0xcccc8800,0x01333260,
    0xfff10000,0x3fff6dff,0x3fffe1ff,0xfecb80ff,0x39000bde,0xfffffff0,
    0x3ffffe03,0x7ffffd45,0x7ffffec2,0xfd0fffff,0xfffa8dff,0x3ffffe1f,
    0x4bffffe2,0xfffffffa,0xffffffff,0x4fffffff,0x01fffff5,0x1ffffee0,
    0x09ffffd0,0x8fffffd4,0x02fffff8,0x237fffe4,0xffffffe8,0xffff55ff,
    0x7ffffecb,0x3ffff605,0xfffb006f,0x3fe209ff,0x4c00ffff,0x201fffff,
    0x21fffffd,0x02fffff8,0x03ffffb0,0x2627f440,0x3fea09aa,0x7fffc003,
    0xffa801ff,0xffffffff,0xffffffff,0x0fffffe1,0x00010002,0x00000000,
    0xf8800000,0xffb6ffff,0x7ffc3fff,0x3fa60fff,0xdfffffff,0x883fd101,
    0x5fffcaac,0x0effffa8,0x46ffffb8,0xfffffffd,0xfffd0fff,0x1ffffa8d,
    0xf8bffffe,0xff52ffff,0xffffffff,0xffffffff,0x3ea9ffff,0x7000ffff,
    0xe80fffff,0x2a04ffff,0xf11fffff,0xc805ffff,0xd886ffff,0x23dfffff,
    0xf55ffffa,0x401fffff,0x4ffffff8,0xfffffb80,0x3ffffa02,0xffff9806,
    0x3ffe201f,0x3ffe25ff,0xdd9002ff,0x488003dd,0x8003a800,0x006ffffc,
    0xfffffff5,0xffffffff,0x7ffc3fff,0x000003ff,0x00000000,0x80000000,
    0xb6fffff8,0x7c3fffff,0xf50fffff,0xffffffff,0xb759ffff,0xf7003fff,
    0xfffe83ff,0x3ffee00e,0x3ffff61f,0xd0ffffff,0xffa8dfff,0x3fffe1ff,
    0x3ffffe2f,0xffffff52,0xffffffff,0xffffffff,0x3ffffea9,0xffff7000,
    0xffffe80f,0x3fffea04,0xfffff11f,0xffffc805,0x000d4406,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe2000,0xffffb6ff,0x7ffffc3f,0xfffff90f,0xffffffff,
    0x3fffffff,0x45fff900,0x800ffffa,0x3f65fffc,0xffffffff,0x8dfffd0f,
    0x3e1ffffa,0x3fe2ffff,0x77712fff,0x77777777,0x77777777,0x00003777,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf8800000,0xffb5ffff,
    0x7ff41fff,0x3fff27ff,0xffffffff,0xffffffff,0x7333511f,0x6c1ffffb,
    0x36001fff,0xfffb1fff,0x1fffffff,0x510aaaaa,0x6eec1555,0x3fffe1dd,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9ffffd00,0x91ffffee,0x7e4dffff,0xfca98acf,0xffffffff,0x3ffe64ff,
    0x21ffffff,0x8001bbb8,0x55531bbb,0x05555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xf52ffffd,
    0xffb8dfff,0x003b25ff,0xffffffb5,0xffff985f,0x0000beff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf7000000,0x3fe23fff,0x7ffcc4ff,0x71000a3f,0x330037b9,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffea000,0x0ffffe0f,0x005ffff1,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa855551,0xaaaa80aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_45_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,3,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,2,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,2,1,-1,1,2,1,2,1,2,1,2,1,2,1,1,1,
1,1,1,1,1,1,2,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,2,2,2,0,-2,3,2,2,3,2,3,
-1,3,2,3,2,0,0,2,2,2,2,2,2,-2,3,2,1,1,1,1,1,1,1,1,2,2,2,0,2,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,2,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,2,2,2,2,2,2,2,2,2,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_45_latin_ext_y[560]={ 36,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,7,7,7,7,7,7,7,7,7,7,15,15,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,40,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,15,7,6,11,7,
6,6,6,6,6,16,14,22,6,1,6,8,6,6,6,15,7,19,36,6,6,16,6,6,6,15,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,7,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,11,13,6,6,6,6,6,7,6,
0,8,-1,6,7,14,-1,6,-2,6,-1,6,-1,6,-1,7,7,7,0,8,-1,6,-1,6,7,14,-1,6,-2,6,
-1,6,-1,6,6,3,-2,-1,7,7,-1,7,0,8,-1,6,7,7,0,15,7,7,-2,6,7,7,15,-1,-1,7,
7,7,7,7,7,7,7,-1,6,7,14,-1,6,7,6,14,0,8,-1,6,-1,6,6,14,-1,6,7,14,-1,6,
-1,6,-2,6,6,14,-1,6,7,7,-1,7,7,7,-1,7,0,8,-1,6,-2,5,-1,6,7,15,-2,6,-2,6,
0,-1,6,0,6,-1,6,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,6,10,10,6,10,10,10,
10,10,10,10,10,10,10,10,10,10,6,14,10,10,10,10,10,10,10,10,10,10,10,10,10,7,15,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,-1,6,-1,6,-1,
6,-1,6,-1,-1,-1,-1,-1,-1,-1,-1,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,-5,-2,-2,6,-2,6,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10, };
static unsigned short stb__arial_bold_45_latin_ext_w[560]={ 0,7,16,22,20,33,28,7,11,11,15,21,7,12,
7,13,20,13,20,20,22,21,20,20,20,20,7,7,21,21,21,21,39,29,26,27,26,23,21,28,25,7,20,27,
21,29,24,29,24,30,27,24,24,24,28,38,27,28,24,11,13,11,20,24,10,21,22,21,22,20,15,22,20,7,
11,21,7,32,20,23,22,22,15,21,13,20,22,32,23,22,20,14,5,15,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,21,22,22,23,
5,21,14,31,14,20,21,12,31,24,14,22,13,13,10,20,24,7,12,9,15,19,33,32,34,22,29,29,29,29,
29,29,41,27,23,23,23,23,10,9,14,14,29,24,29,29,29,29,29,20,30,24,24,24,24,28,24,22,21,21,
21,21,21,21,33,21,20,20,20,20,10,10,15,14,23,20,23,23,23,23,23,22,23,20,20,20,20,22,22,22,
29,21,29,21,31,23,27,21,27,21,27,21,27,21,26,28,29,24,23,20,23,20,23,20,23,20,23,20,28,22,
28,22,28,22,28,22,25,20,29,22,15,15,13,13,13,13,9,10,7,7,27,18,23,15,27,21,21,21,10,21,
12,21,14,21,15,24,12,24,20,24,20,24,20,28,25,20,29,23,29,23,29,23,39,36,27,15,27,17,27,16,
24,21,24,21,24,21,24,21,24,13,24,20,24,13,24,20,24,20,24,20,24,20,24,21,24,23,38,32,28,22,
28,24,20,24,20,24,20,12,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,24,21,21,21,
21,21,21,21,21,21,21,21,21,21,34,28,21,21,21,21,21,21,21,21,21,21,21,21,21,32,28,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,29,21,15,15,29,
23,24,20,24,20,24,20,24,20,24,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,29,21,41,33,30,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__arial_bold_45_latin_ext_h[560]={ 0,29,11,31,37,32,31,11,39,39,15,21,13,7,
6,31,30,29,29,30,29,30,30,29,30,30,21,28,23,15,23,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,7,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,30,30,22,23,30,22,21,21,21,30,21,39,39,39,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,30,37,31,21,29,
39,39,6,31,16,19,15,7,31,5,14,28,16,16,7,30,37,6,9,16,16,19,32,32,32,30,37,37,37,36,
36,35,29,39,37,37,37,36,37,37,37,36,29,36,38,38,38,37,37,20,33,38,38,38,37,37,29,31,31,31,
31,30,31,32,23,31,31,31,31,31,30,30,30,30,30,29,31,31,31,30,31,22,25,31,31,31,31,39,37,39,
36,29,37,31,38,31,38,31,39,31,38,31,38,31,37,30,29,30,36,29,37,31,37,31,38,31,37,31,39,39,
38,39,38,39,39,42,38,37,29,29,37,29,36,28,37,30,38,38,36,21,30,38,39,39,38,38,21,37,37,38,
38,29,29,29,29,29,29,37,30,38,31,37,30,29,31,31,37,29,38,31,38,31,31,23,37,30,38,31,37,30,
38,31,39,31,39,31,38,31,42,41,37,30,29,30,38,30,37,29,38,31,39,32,38,31,38,30,38,30,38,39,
36,37,30,36,30,37,30,30,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,31,26,26,39,26,26,26,
26,26,26,26,26,26,26,26,26,26,31,23,26,26,26,26,26,26,26,26,26,26,26,26,26,30,22,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,37,31,37,30,38,
31,38,31,38,38,38,38,38,38,38,38,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,41,39,38,31,40,32,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__arial_bold_45_latin_ext_s[560]={ 124,495,367,404,91,100,23,359,49,500,450,
179,503,442,478,496,126,347,30,474,243,385,333,437,430,147,268,130,409,428,363,
168,61,25,55,362,245,1,487,256,17,503,206,43,71,93,123,310,272,468,312,
285,443,227,414,375,384,458,412,420,390,138,338,198,431,235,407,257,451,313,190,
199,208,200,336,156,148,17,50,385,362,310,1,431,275,71,224,116,92,252,247,
141,494,478,384,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,124,354,424,
363,201,122,350,152,455,81,359,317,466,442,290,486,488,107,414,400,420,289,1,
470,407,390,374,297,177,32,65,88,112,433,403,285,216,438,468,124,379,475,81,
192,488,499,156,344,213,383,50,80,474,153,394,276,1,395,261,112,354,446,51,
450,428,406,384,317,340,155,279,268,247,226,205,184,499,501,495,111,118,76,1,
477,453,142,407,482,174,342,52,300,279,379,130,427,408,170,311,134,260,68,222,
22,450,474,178,222,150,177,26,182,266,211,359,296,213,235,237,97,26,321,26,
427,196,26,445,279,206,302,250,1,61,171,317,361,75,229,271,138,142,303,51,
250,504,171,60,292,117,101,286,314,149,332,499,348,432,353,297,178,1,82,340,
105,360,235,116,50,381,1,448,1,302,146,167,44,137,92,137,198,366,423,110,
322,53,439,1,431,402,59,325,362,370,473,24,79,277,489,97,25,197,39,1,
192,87,113,1,134,1,1,438,1,378,456,324,356,315,341,402,246,339,463,282,
269,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,156,152,152,225,
152,152,152,152,152,152,152,152,152,152,152,152,152,244,334,152,152,152,152,152,
152,152,152,152,152,152,152,152,236,453,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,183,340,
261,166,156,73,253,386,278,303,353,211,26,232,186,417,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,49,174,463,25,93,211,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,152,
152,152,152,152,152,152,152,152,152, };
static unsigned short stb__arial_bold_45_latin_ext_t[560]={ 41,368,506,238,200,238,336,506,43,1,489,
489,489,506,506,238,368,399,399,368,399,368,368,399,368,368,489,459,459,489,459,
368,43,459,459,238,429,459,399,238,429,368,368,429,429,429,429,238,429,200,429,
238,429,368,429,429,399,399,399,84,238,123,489,483,506,459,368,459,368,459,368,
272,429,429,84,429,429,489,489,459,368,368,489,459,368,489,489,489,489,368,489,
43,1,1,506,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,41,368,123,
272,489,399,1,1,506,304,489,489,489,506,304,506,489,459,489,489,506,368,162,
506,506,489,489,489,238,238,238,368,200,162,162,200,200,200,429,1,162,123,162,
200,162,162,200,200,399,200,123,123,84,162,123,489,238,84,84,84,162,123,399,
304,304,304,304,336,304,238,459,304,304,304,304,304,200,272,304,368,336,399,304,
272,272,336,272,459,459,272,336,272,272,1,162,1,200,399,123,304,123,272,84,
272,1,238,123,272,123,272,162,336,399,336,200,399,162,238,162,336,123,272,200,
238,1,44,84,1,123,1,1,1,84,200,399,399,200,429,200,459,200,336,84,
84,84,489,368,123,43,43,84,84,489,162,123,84,84,429,429,429,429,459,429,
162,336,123,272,200,336,399,238,272,162,399,84,272,84,272,272,459,123,336,123,
304,162,336,123,272,1,304,1,304,84,304,1,1,162,336,399,368,84,368,200,
399,84,304,44,238,84,336,43,368,43,336,43,1,200,123,336,200,336,162,336,
336,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,304,459,459,1,
459,459,459,459,459,459,459,459,459,459,459,459,459,272,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,336,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,162,238,
162,336,43,336,43,272,43,43,43,43,84,43,43,43,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,1,1,43,304,1,238,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,459,
459,459,459,459,459,459,459,459,459, };
static unsigned short stb__arial_bold_45_latin_ext_a[560]={ 179,215,306,358,358,573,465,153,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,215,215,376,376,376,394,628,465,465,465,465,430,394,501,
465,179,358,465,394,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,215,179,215,376,358,215,358,394,358,394,358,215,394,
394,179,179,358,179,573,394,394,394,394,251,358,215,394,358,501,
358,358,322,251,180,251,376,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,179,215,358,358,358,358,180,358,
215,475,239,358,376,215,475,356,258,354,215,215,215,371,358,179,
215,215,235,358,537,537,537,394,465,465,465,465,465,465,644,465,
430,430,430,430,179,179,179,179,465,465,501,501,501,501,501,376,
501,465,465,465,465,430,430,394,358,358,358,358,358,358,573,358,
358,358,358,358,179,179,179,179,394,394,394,394,394,394,394,354,
394,394,394,394,394,358,394,358,465,358,465,358,465,358,465,358,
465,358,465,358,465,358,465,463,465,394,430,358,430,358,430,358,
430,358,430,358,501,394,501,394,501,394,501,394,465,394,465,394,
179,179,179,179,179,179,179,179,179,179,506,358,358,179,465,358,
358,394,179,394,179,394,248,394,309,394,179,465,394,465,394,465,
394,457,466,394,501,394,501,394,501,394,644,608,465,251,465,251,
465,251,430,358,430,358,430,358,430,358,394,215,394,309,394,215,
465,394,465,394,465,394,465,394,465,394,465,394,608,501,430,358,
430,394,322,394,322,394,322,179,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,468,483,483,358,483,483,483,483,483,
483,483,483,483,483,483,483,483,550,458,483,483,483,483,483,483,
483,483,483,483,483,483,483,535,467,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,465,358,179,179,501,394,465,394,465,394,465,
394,465,394,465,394,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,465,358,644,573,501,394,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_45_latin_ext(stb_fontchar font[STB_FONT_arial_bold_45_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_45_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_45_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_45_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_45_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_45_latin_ext_s[i] + stb__arial_bold_45_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_45_latin_ext_t[i] + stb__arial_bold_45_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_45_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_45_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_45_latin_ext_x[i] + stb__arial_bold_45_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_45_latin_ext_y[i] + stb__arial_bold_45_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_45_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_45_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_45_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_45_latin_ext_s[i] + stb__arial_bold_45_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_45_latin_ext_t[i] + stb__arial_bold_45_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_45_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_45_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_45_latin_ext_x[i] + stb__arial_bold_45_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_45_latin_ext_y[i] + stb__arial_bold_45_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_45_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_45_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_45_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_45_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_45_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_45_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_45_latin_ext_LINE_SPACING
#endif

