// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_47_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_47_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT        569
#define STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_47_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_47_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_47_latin_ext_LINE_SPACING          31

static unsigned int stb__arial_bold_47_latin_ext_pixels[]={
    0x26666666,0x99999999,0x99999999,0x00170000,0x00000c00,0x01999998,
    0xff100000,0x0001ffff,0xfffffd00,0x33332605,0x01999930,0x33333220,
    0x33200002,0x33003ccc,0x30003333,0x30033333,0x26625999,0x99999999,
    0x98800019,0x88001999,0x88019999,0x00abcba9,0x00000000,0x06665cc0,
    0x00000000,0x01333330,0xddddb100,0x26660009,0x01999999,0x20266666,
    0x99999999,0x33100019,0x33333333,0xffff8833,0xffffffff,0xffffffff,
    0x5c006fff,0x880002ff,0x400000fc,0x04fffffb,0xff900000,0x00003fff,
    0x7fffff50,0x87fffd40,0x000ffffa,0x3ffffffb,0xfff90000,0xff005fff,
    0x8001ffff,0x807fffff,0xffd0fffe,0xffffffff,0x9dffffff,0x3fffa005,
    0x7e4002ff,0x7dc07fff,0xdfffffff,0x7ffd4001,0x2ffff41f,0xfffd5000,
    0x3e6003ff,0x7fec3fff,0x3e20006f,0x8004ffff,0x3ffffffd,0x7fffcc00,
    0x207fffff,0xf85fffff,0xffffffff,0x3fae201f,0xffffffff,0x0fffffff,
    0x3fffffe2,0xffffffff,0xffffffff,0x3ff6006f,0x7dc0005f,0x400000ff,
    0x005ffffe,0xfff10000,0x000003ff,0x013ffff6,0x2a1ffff5,0xb800ffff,
    0x6fffffff,0x7ffcc000,0x400fffff,0x00ffffff,0x3fffffc0,0xe97ffea0,
    0xffffffff,0xffffffff,0x7402efff,0x00ffffff,0x1fffff20,0x7fffff44,
    0x04ffffff,0x87fffe40,0x000ffffd,0xffffff90,0x7fdc003f,0xffff71ff,
    0x7fc40003,0x5c004fff,0xffffffff,0x3ffe6001,0x07ffffff,0x217ffffe,
    0xffffffff,0xfff901ff,0xffffffff,0xffffffff,0x7ffffc41,0xffffffff,
    0xffffffff,0xff7006ff,0x2600039f,0x000ffffe,0x3fffea00,0x20000005,
    0x002ffffb,0xffff3000,0xffff5009,0x03fffea1,0xfbffff10,0x20009fff,
    0xffdfffe8,0x7ffc05ff,0x7c000fff,0x7407ffff,0x3ffa2fff,0xffffffff,
    0xffffffff,0x3fa03fff,0x004fffff,0x41fffff2,0xfffffffd,0x03ffffff,
    0x37fffa20,0x002ffffb,0xffffff30,0xfd8003ff,0xffffaeff,0x7fc40003,
    0x26004fff,0xffebffff,0x3fe6006f,0x7fffffff,0x17ffffe0,0x3ffffffe,
    0xffc81fff,0xffffffff,0xffffffff,0x3ffe20ff,0xffffffff,0xffffffff,
    0xf006ffff,0xd80009ff,0x000fffff,0x3bfffa00,0x20000000,0x0002ffff,
    0x17fff600,0x87fffd40,0x400ffffa,0xff75fffe,0xfb0003ff,0xfff51dff,
    0x7fffc07f,0x7fc000ff,0x3ee07fff,0x7fff47ff,0xffffffff,0xffffffff,
    0xffd01fff,0x003fffff,0x21fffff2,0xfffffffb,0xfffffffe,0x3ffe6001,
    0x004fffff,0x3fffff60,0x44001fff,0xffffffff,0xff880006,0x3a004fff,
    0xfff35fff,0x3fe6009f,0x7fffffff,0x17ffffe0,0x3ffffffe,0x7fdc1fff,
    0xffffffff,0xffffffff,0x3fe20fff,0xffffffff,0xffffffff,0x806fffff,
    0x009afff8,0xfffffb00,0x3e600001,0x00000eff,0x0fffee00,0xff880000,
    0x3fea005f,0xffff50ff,0x7fffe401,0x03bfff60,0x1ffffa80,0x403fffee,
    0x00ffffff,0x3fffffc0,0xe87ffff0,0xffffffff,0xffffffff,0x05ffffff,
    0xfffffffd,0x3fff200d,0xffffd87f,0xfff910bf,0xfb800bff,0x00efffff,
    0x3ffffe00,0x50002acf,0x1fffffff,0xfff10000,0x3f2009ff,0x3fea0fff,
    0xaa8801ff,0x7ffffdaa,0x17ffffe0,0x2b7ffffe,0x3fe20aaa,0xffffffff,
    0xffffffff,0x4000ffff,0x06fffff8,0xffff1000,0x3f6000bf,0x0000ffff,
    0x001bdd90,0x99880000,0x44000001,0x7d400199,0xfff50fff,0x5555401f,
    0x0d555441,0x03555500,0x3e035555,0x000fffff,0x83fffffc,0x740ffffb,
    0x800fffff,0xffffffd8,0xffffe81f,0xc803ffff,0xff87ffff,0xffd06fff,
    0xfd000fff,0x0003ffff,0x17ffffc4,0xfffc8000,0x200003ff,0x00099999,
    0x33013333,0x2e000133,0x3e07ffff,0xff85ffff,0x7d403fff,0xffffffff,
    0xff999fff,0x80019eff,0x06fffff8,0xffff3000,0x3f6000bf,0x0000ffff,
    0x017df710,0x00000000,0x5c400060,0x3ffea001,0x1ffff50f,0x00000000,
    0x3ffe0000,0x7c000fff,0xf887ffff,0xffe86fff,0x2a000fff,0x83ffffff,
    0xfffffffe,0x7fe400ff,0xffff87ff,0xcdeb80ff,0x000000ab,0xffff8800,
    0x0000001f,0x00000000,0xb8000000,0x3e07ffff,0xff85ffff,0x7e403fff,
    0xffffffff,0x7fffc7ff,0x3fe20006,0x00006fff,0x0bfffff5,0x7fff74c0,
    0x06eeefff,0xfffff100,0x4000000d,0x01abcba8,0x880077cc,0x802efffc,
    0xf50ffffa,0x00001fff,0x004c0000,0xffffff80,0x7fffc000,0xffffc87f,
    0xfffffe83,0x7fffc000,0xfffe84ff,0x05ffffff,0x43ffffe4,0x04fffffd,
    0x33333300,0x33333000,0x7fffcc03,0xa980000f,0x0009acca,0x44000000,
    0x9aaccba9,0x7fdc0000,0x3ffe07ff,0xffff85ff,0x7fff403f,0xffffffff,
    0x037fffc7,0xfffff100,0x3260000d,0x2003cccc,0xfffffffa,0x0007ffff,
    0x5fd53bf7,0x2e200000,0xfffffffe,0x7fc42eff,0xffb800ef,0xfa807fed,
    0xfff50fff,0x3bbbae1f,0xddd5003e,0x764407dd,0x2a2dffff,0x3fe6eeee,
    0x4000ffff,0xf87fffff,0xfe81ffff,0x4000ffff,0x84fffffc,0xfffffffe,
    0x3f201fff,0xffa87fff,0x000dffff,0x07fffffc,0x3ffffe00,0x3fffe607,
    0x3b220007,0xffffffff,0x220003df,0x003eeeee,0xffffffb5,0x005bffff,
    0x1ffffee0,0x85fffff8,0x403fffff,0xffffffff,0x7fc7ffff,0x220006ff,
    0x006fffff,0x2a000000,0xffffffff,0xf0007fff,0x002fdc3f,0x7fff5400,
    0xffffffff,0xffe8aeff,0x1fe800ff,0xff500bfa,0x3ffea1ff,0xfffff30f,
    0x3fff600d,0xffd301ff,0x29ffffff,0x3e7ffffa,0x000fffff,0x23fffffc,
    0xd07ffff9,0x001fffff,0x3fffffd8,0xffffffe8,0x3206ffff,0xfb07ffff,
    0x05ffffff,0x7fffffc0,0x7fffc000,0x3ffe607f,0xff70007f,0xffffffff,
    0x003dffff,0x9fffff10,0xffffe980,0xffffffff,0x5c002eff,0x3e07ffff,
    0xff85ffff,0x7f403fff,0xffffffff,0x7fffc7ff,0x3fe20006,0x00006fff,
    0xfa80004c,0xffffffff,0xfd0007ff,0x00027dc3,0xfffff910,0xffffffff,
    0xffffffff,0x8ff1003f,0x7fd404fb,0xffff50ff,0x7fffff41,0xfffff801,
    0xfffff706,0x7bffffff,0x7fcfffff,0x4000ffff,0x5c7fffff,0xfd05ffff,
    0x8001ffff,0x82ffffff,0xffeffffe,0xf903ffff,0x3e60ffff,0xdfffffff,
    0xfffff800,0x7ffc000f,0x3fe607ff,0x6c4007ff,0xffffffff,0xffffffff,
    0x7fc4003f,0x3ee04fff,0xffffffff,0xffffffff,0x3fee002f,0x3ffe07ff,
    0xffff85ff,0x7ffec03f,0xffffffff,0x037fffc7,0xfffff100,0xec88000d,
    0x2a2dffff,0x3a66eeee,0xeffffffe,0xf70006ee,0x003ff75d,0x3fffa600,
    0xffffffff,0xffffffff,0x3a002fff,0x803fd12f,0xf50ffffa,0x7fdc1fff,
    0x7d403fff,0xf883ffff,0xffffffff,0xffffffff,0x3ffffe7f,0x7ffc000f,
    0x7ffec7ff,0xffffd04f,0x3f62001f,0xe80fffff,0xffbdffff,0xfc80ffff,
    0xfe887fff,0xffffffff,0x7fffc02f,0x7fc000ff,0x3ea07fff,0x22007fff,
    0xffffffff,0xffffffff,0x000effff,0x09fffff1,0x3ffffff6,0xffffffff,
    0x02ffffff,0x0fffff70,0x42fffffc,0x403fffff,0xfffffffb,0x7fc7ffff,
    0x220006ff,0x006fffff,0x3ffffa60,0xff54ffff,0x3ff60fff,0x80000fff,
    0x2ffffffb,0xfffd0000,0x9bffffff,0xffffffdb,0xb8007fff,0x806ffeff,
    0xf50ffffa,0x7fc41fff,0x7e406fff,0xfd80ffff,0x99cfffff,0xffffffca,
    0x3ffffe7f,0x7ffc000f,0x3ffe27ff,0xfffd03ff,0x555557ff,0xffff9755,
    0x3fa09fff,0xfffd5fff,0xfff90bff,0xfffe88ff,0xffffffff,0xffff00df,
    0xff8001ff,0x3ea07fff,0x3a006fff,0xffffffff,0xffffdcdf,0x004fffff,
    0x09fffff1,0xfffffff7,0xffd99dff,0x3fffffff,0xfffff700,0x2fffffc0,
    0x01fffffc,0x3fffffe2,0x7c7fffff,0x20006fff,0x06fffff8,0xfffff700,
    0x7bffffff,0x360fffff,0x000fffff,0xfffffe80,0xfb80006f,0x0cffffff,
    0xfffff910,0xf70007ff,0xf5003bff,0x3fea1fff,0x7ffec0ff,0x3ffe01ff,
    0xfff985ff,0xff502fff,0x7fcfffff,0x4000ffff,0x267fffff,0xd02fffff,
    0xffffffff,0xffffffff,0x01ffffff,0x4d7ffffa,0x42ffffff,0x747ffffc,
    0xffbeffff,0x1fffffff,0x0ffffff8,0x7ffffc00,0x3ffff607,0xffff7004,
    0x22019fff,0xfffffffd,0xffff8801,0x7fffcc4f,0x2e01dfff,0x5fffffff,
    0x7ffffb80,0x17ffffe0,0x00fffffe,0x3fffffea,0x7fc7ffff,0x220006ff,
    0x006fffff,0xffffff88,0xffffffff,0xfb07ffff,0x0001ffff,0xffffff98,
    0x220001ff,0x2fffffff,0xfffff900,0x054000df,0x1ffff500,0x503fffea,
    0x207fffff,0x82fffffa,0x04fffffc,0x3fffffec,0x01ffffff,0x7fffff80,
    0x07ffffea,0x7ffffff4,0xffffffff,0x0dffffff,0x97ffffa0,0x46fffffd,
    0x227ffffc,0xd30fffff,0xffffffff,0xffffff83,0x7fffc000,0x3fffe07f,
    0xfff9803f,0x5002ffff,0x0dffffff,0x9fffff10,0xfffffff8,0xfffd1003,
    0xfb801fff,0x3fe07fff,0xfff85fff,0xff9003ff,0xffffffff,0x006ffff8,
    0x3ffffe20,0xfffd8006,0xca99cfff,0x7fffffff,0x1fffffb0,0xfffc8000,
    0x004fffff,0x3fffff20,0xfff5001f,0x005fffff,0x00999988,0x30ffffa8,
    0xff019999,0x3f20dfff,0xfe80ffff,0x4400ffff,0x3e7fffff,0x000fffff,
    0x73fffffc,0x201fffff,0xfffffffe,0xffffffff,0xe803ffff,0x3e25ffff,
    0x324fffff,0x3ea7ffff,0xffc84fff,0x20ffffff,0x00ffffff,0x3fffffc0,
    0x1fffffd8,0xfffffd80,0x7fd4001f,0x4403ffff,0x2a4fffff,0x02ffffff,
    0x7ffffc40,0x7ffdc03f,0x3fffe07f,0xfffff85f,0x3ffa6003,0x7c7fffff,
    0x20006fff,0x06fffff8,0x7ffffcc0,0xffff702f,0x3ff60fff,0x20000fff,
    0xfffffff8,0xf10007ff,0x009fffff,0x3fffffe6,0xda806fff,0xefffffff,
    0xffff501c,0xfffc8001,0xffff80ff,0xfffff04f,0x3fffe00d,0x3ffffe7f,
    0x7ffc000f,0x3fff27ff,0x3fffa07f,0xffffffff,0x01bfffff,0x17ffffa0,
    0x3ffffff7,0xc9fffff2,0xf504ffff,0x4dffffff,0x00ffffff,0x3fffffc0,
    0xfffffd95,0xffff100b,0x36000bff,0x407fffff,0x24fffff8,0x06fffffd,
    0x79dff900,0xffffb803,0x3ffffe07,0x3fffff85,0xffcb9800,0x7fffc7ff,
    0x3fe20006,0x64006fff,0x404fffff,0x07fffffc,0x01fffffb,0x7fffdc00,
    0x02ffffff,0xfffffa80,0xfff9800f,0xffffffef,0xffffd301,0xffffffff,
    0x1ffff505,0xffff9800,0x7fffcc3f,0xfffff01f,0x3fffa00b,0x3ffffa7f,
    0x7ffc000f,0x3fff27ff,0x3fffa07f,0xfeccabff,0x005fffff,0x42fffff4,
    0x95fffffe,0x7ecfffff,0x3a207fff,0xf2ffffff,0x001fffff,0x27fffff8,
    0xfffffffd,0xffffa800,0xf30000ff,0x403fffff,0x14fffff8,0x03ffffff,
    0x20006200,0x207ffffb,0xf85fffff,0x0003ffff,0x3e3ffffc,0x20006fff,
    0x06fffff8,0x7fffff40,0x7fffcc00,0xffffb07f,0x7f40001f,0xffffffff,
    0xffb8006f,0xe8804fff,0xffe8efff,0xff882fff,0xffffffff,0x543fffff,
    0x8000ffff,0x646ffffe,0xf307ffff,0x200bffff,0x3a7ffffd,0x000fffff,
    0x9fffffe2,0x206ffffd,0x80fffffe,0xeffffffb,0xffffd001,0xfffff30b,
    0xfffff95f,0x27ffffe4,0x3fffff20,0x1ffffff4,0xfffff800,0x3fffff67,
    0xfffb000e,0xe8000bff,0x202fffff,0x74fffff8,0x00dfffff,0xff700000,
    0x7ffc0fff,0xffff85ff,0x7fc0003f,0x7fffc7ff,0x3fe20006,0x7c006fff,
    0xf006ffff,0x360fffff,0x000fffff,0x9fffff30,0x03fffffd,0xfffffc80,
    0x7fff4403,0xfffff91f,0xfffffd07,0xffffffff,0x7fd41fff,0xfb8000ff,
    0x3fe0ffff,0xff304fff,0x3600bfff,0x3fa7ffff,0x2000ffff,0x26fffff8,
    0x205ffffd,0x00fffffe,0xfffffff5,0xffffd003,0x3ffff20b,0x7ffffdff,
    0x3fffffea,0x7fffec04,0x1ffffff6,0xfffff800,0x3fffff67,0x3fffa004,
    0x640003ff,0x203fffff,0x94fffff8,0x00bfffff,0xff700000,0x7ffc0fff,
    0xffff85ff,0x7fc0003f,0x7fffc7ff,0x3fe20006,0x22006fff,0x005fffff,
    0x20fffffd,0x00fffffd,0xfffff900,0x9fffff73,0xffffe800,0x7ffec02f,
    0x3fffee1f,0x7fffcc4f,0xfb999bef,0x2a2fffff,0x8000ffff,0x33fffff8,
    0x203fffff,0x06fffff8,0x4fffffd0,0x01fffffe,0x3ffffe60,0x1bffff66,
    0x0fffffe8,0x3fffff20,0x7ff400ef,0xfff105ff,0xffffffff,0xfffffe8f,
    0xfff300ef,0x3ffffedf,0x7ffc000f,0x3fff67ff,0xf800dfff,0x002fffff,
    0x7ffffdc0,0x3fffe204,0xfffffb4f,0x00000009,0x40fffff7,0xf85fffff,
    0x0003ffff,0x3e3ffffc,0x20006fff,0x06fffff8,0x3ffffe60,0xffffb005,
    0x3ffff60f,0xfff0000f,0x3ffe2fff,0x7fc007ff,0x3601ffff,0x7d42ffff,
    0x7ec6ffff,0xf701ffff,0x7d49ffff,0xb0000fff,0x3f2dffff,0x7fc06fff,
    0xff007fff,0x7fecffff,0x2a003fff,0x325fffff,0x3a07ffff,0x400fffff,
    0x5ffffffe,0x2fffff40,0xffffff50,0xfa8fffff,0x3fffffff,0xf3ffff98,
    0x001fffff,0x27fffff8,0xfffffffb,0xfffff804,0x7d40001f,0x2206ffff,
    0xfd4fffff,0x3005ffff,0x33333333,0xfb803333,0x3fe07fff,0xfff85fff,
    0x7c0003ff,0x7ffc7fff,0x3e20006f,0x2006ffff,0x05fffff8,0x0fffffb0,
    0x03fffff6,0x3fffea00,0x3ffff64f,0xfff1002f,0x3f201fff,0xff983fff,
    0xba887fff,0x3ffe203d,0x3ffea4ff,0x1555510f,0x7ffffd40,0x03fffff9,
    0x17fffff4,0x3ffffee0,0x3ffffee7,0xfffd000f,0x7ffdc9ff,0x3fffa07f,
    0x7fc400ff,0x202fffff,0x405ffffe,0xfffffffd,0xfffb87ff,0x20dfffff,
    0xff1ffffd,0x8001ffff,0x987fffff,0x00fffffe,0x3fffffe2,0x7fcc0000,
    0x3e207fff,0xfff4ffff,0xff005fff,0xffffffff,0x7dc01fff,0x3fe07fff,
    0xfff85fff,0x7c0003ff,0x7ffc7fff,0x3e20006f,0x4006ffff,0x006fffff,
    0x20fffffd,0x00fffffc,0xfffffd80,0x3ffffea1,0xffff1006,0xfff701ff,
    0x3ffea09f,0x440007ff,0x2a5fffff,0xff50ffff,0xfff801ff,0xfffffdff,
    0x7fffdc00,0x3ffe206f,0x3fe67fff,0xb805ffff,0x22ffffff,0x00fffffb,
    0x01fffffd,0xffffff70,0x3fffa01f,0x7ffc405f,0x07ffffff,0xfffffff7,
    0xffff75ff,0x7fffffcd,0x7fffc000,0xffff507f,0x7ffc407f,0x40000fff,
    0x07fffffa,0x53ffffe2,0x02fffffe,0xfffffff8,0x00ffffff,0x81ffffee,
    0xf85fffff,0x0003ffff,0x3e3ffffc,0x20006fff,0x06fffff8,0x3fffff40,
    0x7fffff80,0xdfffff90,0xff100b75,0xff88dfff,0xf001ffff,0xa85fffff,
    0x2e05ffff,0x006fffff,0xffffdb98,0x3ffea5ff,0x1ffff50f,0xfffffc80,
    0x8805ffff,0x0effffff,0x7fffff4c,0x3fffe27f,0xf700cfff,0x43ffffff,
    0x00fffff9,0x01fffffd,0x3fffff60,0xffffd05f,0xffff700b,0x4c0fffff,
    0xfffffffe,0x20ffffff,0x00ffffff,0x3fffffc0,0x09ffffb0,0x1ffffff8,
    0x7ffdc000,0x3fe206ff,0xfffd4fff,0xfff007ff,0xffffffff,0x7fdc01ff,
    0x3ffe07ff,0xffff85ff,0x7fc0003f,0x7fffc7ff,0x3fe20006,0x64006fff,
    0x402fffff,0x07fffffb,0xfffffff7,0xffb801ff,0xffd83fff,0xfd004fff,
    0x7cc7ffff,0x7e405fff,0x4404ffff,0xfffffeca,0x2a5fffff,0xff50ffff,
    0xff9801ff,0x2fffffff,0xfffff900,0xffffbdff,0xc8ffffff,0xffffffff,
    0xffffedee,0xff85ffff,0xffd01fff,0x22001fff,0x2fffffff,0x05ffffe8,
    0xffffffd0,0xffd880ff,0xffffffff,0x7ffffc1f,0x7ffc000f,0x3fee07ff,
    0x7ff405ff,0x40002fff,0x04fffffc,0x53ffffe2,0x04fffffd,0xfffffff8,
    0x00ffffff,0x81ffffee,0xf85fffff,0x0003ffff,0x3e3ffffc,0x20006fff,
    0x06fffff8,0x7ffffdc0,0x3fffe206,0xfff107ff,0x03ffffff,0x0fffffe8,
    0x7fffff98,0xfffffb00,0x3bfffe69,0x7fffec00,0xfffb103f,0xffffffff,
    0x7fd4bfff,0xffff50ff,0xffffd001,0x4400ffff,0xfffffffe,0xffefffff,
    0x7ffc47ff,0xffffffff,0xffffffff,0xffffd81f,0xfffffd02,0x7ffdc001,
    0xffe86fff,0xff3005ff,0x00ffffff,0x3fffffea,0xffe82fff,0x22000fff,
    0x207fffff,0x406ffffa,0x03fffffc,0x7fffec00,0x3ffe203f,0xffff94ff,
    0xffff00bf,0xffffffff,0x7ffdc01f,0x3fffe07f,0xfffff85f,0x7ffc0003,
    0x37fffc7f,0xffff1000,0xff8800df,0x4c0effff,0x7fffffff,0x3fffff60,
    0x3e602fff,0x3e05ffff,0x802fffff,0x8efffffc,0x800efffe,0x82fffffe,
    0xfffffff9,0xffffdeff,0x3fffea5f,0x01ffff50,0xffffff70,0xfe88009f,
    0xffffffff,0x7ffffd9e,0xfffffe88,0xffffffff,0xf702ffff,0x3fa0bfff,
    0x4000ffff,0x4ffffffd,0x02fffff4,0xffffffb0,0x7fec400f,0x40efffff,
    0x00fffffe,0x3ffffe20,0x3fffea07,0x7fffdc07,0x7f40005f,0x2202ffff,
    0xf54fffff,0x000fffff,0x0ffffff8,0x1ffffee0,0x85fffff8,0x003fffff,
    0x23ffffc0,0x0006ffff,0x1bffffe2,0x3ffff200,0xffedefff,0x07ffffff,
    0x7fffffdc,0x3fff201e,0x3ff202ff,0xfa806fff,0xffefffff,0xffa801ff,
    0x7d41ffff,0xbdffffff,0x97ffffe0,0xf50ffffa,0xf1001fff,0x03ffffff,
    0xffffb100,0x3f61dfff,0xfb107fff,0xffffffff,0x03dfffff,0x83ffffcc,
    0x00fffffe,0x7ffffc40,0x3fffa1ff,0x3fe2005f,0x8007ffff,0xfffffffa,
    0x7fffff45,0x3ffe6001,0x3fe606ff,0x7fd407ff,0x0001ffff,0x3ffffff5,
    0x7ffffc40,0x3fffffe4,0x3ffe0003,0x3ee00fff,0x3fe07fff,0xfff85fff,
    0x7c0003ff,0x7ffc7fff,0x3e20006f,0x8006ffff,0xfffffff8,0xfeffffff,
    0x53007fff,0xfff10035,0x7cc01fff,0x801fffff,0xffffffff,0xffd001ff,
    0xffd0ffff,0x7fc07fff,0x3fea5fff,0xffff50ff,0x3fff6001,0x4c0006ff,
    0x20abefdb,0x407ffffd,0xffffffd9,0x001dffff,0xd03fffff,0x001fffff,
    0xffffff70,0x2fffff4d,0x3fffee00,0xfb10007f,0x6c1fffff,0x003fffff,
    0x17ffffea,0x07ffff98,0x7fffffc4,0xfffd0006,0xff880fff,0x3ff64fff,
    0x0000ffff,0x01ffffff,0x03ffffdc,0xf0bfffff,0x0007ffff,0x7c7ffff8,
    0x00006fff,0x3fe60000,0xffffffff,0x7ffffd8e,0xff700000,0xffffffff,
    0xffffffff,0xff7009ff,0x05ffffff,0x3ffffea0,0x7fffc42f,0x3ffe205f,
    0x3ffea5ff,0x1ffff50f,0x3ffff200,0x0000003f,0x00dffffd,0x4d7ffd44,
    0xfffc8000,0x9950003f,0x00000157,0x00abcca8,0x36018800,0x2e2fffff,
    0x00ffffff,0x9fffffd0,0x3ffffcc0,0x7ffffe40,0x7fdc002f,0x4403ffff,
    0x2a4fffff,0x04ffffff,0xffffff00,0x7fffdc01,0x55997107,0x0fffffe0,
    0xfffff000,0x006ffff8,0x44000000,0xfffffffd,0xfffffb0e,0x2cccc980,
    0xfffffe80,0xffffffff,0x7fffffff,0xfffff880,0xff5004ff,0xf50dffff,
    0x4c05ffff,0x2a5fffff,0xff50ffff,0xff1001ff,0x4001ffff,0x7c001aaa,
    0x4005ffff,0x40006ff9,0x005ffff8,0xbffffff0,0x7fc00000,0x4005ffff,
    0x02fffeda,0x49fffff3,0x5ffffffa,0xfffffa80,0x3ffe603f,0x7fc400ff,
    0x003fffff,0xdffffff9,0xfffff300,0xfffffd89,0xfd5000df,0x401fffff,
    0x507ffffb,0x87ffffff,0x003fffff,0x23ffffc0,0x0006ffff,0x01e6665c,
    0x6ff64c00,0x3fff60ab,0x7ffdc06f,0x7ffcc05f,0xffffffff,0xffffffff,
    0xfb802fff,0x03ffffff,0x7fffffec,0xffffa81f,0x3fffa05f,0x3ffea5ff,
    0x1ffff50f,0xfffff900,0xfffb800d,0x3e601eff,0x4004ffff,0x80006ffa,
    0x0007fffd,0xbfffffff,0x3fe00000,0x005fffff,0x1bffffe6,0x1fffffcc,
    0x3ffffffa,0xffff700c,0xff880fff,0xfa802fff,0x9dffffff,0x7fff4c40,
    0xb801ffff,0x443fffff,0xffffffff,0xffea980a,0x00ffffff,0x41ffffee,
    0xfffffffa,0x0fffffe2,0xfffff000,0x006ffff8,0x37ffff40,0xfd000000,
    0xfb80dfff,0x7e405fff,0xffffffff,0xffffffff,0x806fffff,0xfffffffb,
    0xfecbcdff,0x4fffffff,0xffffff30,0xffffd985,0x3ffea5ff,0x1ffff50f,
    0xfffffb80,0x7fcc002f,0xd305ffff,0x005fffff,0x000fffb8,0x17fffd40,
    0xfff71000,0x8800000f,0x4007fffb,0x0bffffff,0x3fffff62,0x7ffffd42,
    0xfedeefff,0x3fffffff,0xffffff80,0x3ff6009a,0xefffffff,0xffffffed,
    0x33204fff,0x2ffffffd,0xffffffb8,0xffedffff,0xffffffff,0x3fee00ff,
    0xfd9807ff,0x3fffe4ff,0x7fc0003f,0x7fffc7ff,0x7ff40006,0x554006ff,
    0x7ffc001a,0x7fdc05ff,0x7ffc05ff,0xffffffff,0xffffffff,0x201fffff,
    0xfffffffa,0xffffffff,0xdfffffff,0x3ffffe00,0xffffcfff,0x2a6fffff,
    0xff50ffff,0x777cc1ff,0x6fffffff,0xfffff000,0xffb9bfff,0x00bfffff,
    0x005fff70,0x0bfffd00,0x7fff8800,0xf8800000,0x7e4007ff,0xddffffff,
    0x0fffffff,0xffffffe8,0xffffffff,0x800fffff,0xfffffffe,0xfffd101f,
    0xffffffff,0xffffffff,0x3ffe201b,0x01ffffff,0xfffffff7,0xffffffff,
    0x5fffffff,0x7fffffcc,0xf5007fff,0x7fffcbff,0x01ffffff,0xf1ffffe0,
    0x8000dfff,0x006ffffe,0x77ffffdc,0x3fffe601,0x7ffdc03f,0x3ffea04f,
    0x99999eff,0xe9999999,0x304fffff,0xffffffff,0xffffffff,0x07ffffff,
    0xffffff50,0xfdffffff,0x3ea1ffff,0xfff50fff,0x7fffc41f,0x02ffffff,
    0xfffff500,0xffffffff,0x0003ffff,0x77bffff5,0xff980059,0x441800ff,
    0x006fffd9,0xfb310600,0xfb000dff,0xffffffff,0x205fffff,0xffffffd8,
    0xffffffff,0xf5001eff,0x3fffffff,0xfffffb80,0xffffffff,0x5403ffff,
    0xffffffff,0x7fffd406,0xffffffff,0xdfffffff,0x7ffffcc0,0x0227ffff,
    0x47ffff53,0xffffffff,0x3fe001ff,0x7fffc7ff,0x7ff40006,0x7cc006ff,
    0x105fffff,0x03fffffd,0x02ffcc98,0x0ffffff6,0x3fffee00,0xffff887f,
    0xffffea8e,0xffffffff,0x3f2000df,0xffffffff,0xfffff99e,0x21ffff52,
    0x7c0ffffa,0xffffffff,0x7fe40004,0xffffffff,0x003fffff,0x3fffffa0,
    0xfd8003ff,0xfff803ff,0x1fffffff,0x3ffe0000,0x1fffffff,0xfffe8800,
    0xffffffff,0xfffb804f,0xffffffff,0x4000dfff,0xfffffffe,0xfffe9801,
    0xffffffff,0xfc800dff,0x0fffffff,0xffffd880,0xffffffff,0xf301dfff,
    0xffffffff,0x7ffffd4f,0x7fc5ffff,0xffffffff,0x3fffe001,0x037fffc7,
    0x3ffffa00,0xffff8005,0xedcdffff,0x06ffffff,0xf881fee0,0x000fffff,
    0xffffff88,0x0ffffcc2,0x3fffffaa,0x002cefff,0xfffffd30,0x7fff419f,
    0x1ffff55f,0xd03fffea,0x7fffffff,0x3f660000,0xffffffff,0x40000dff,
    0xfffffff9,0xfff88003,0xfffff807,0x0000dfff,0x7fffffc0,0x40000dff,
    0xfffffffb,0x26001eff,0xfffffffd,0x0002dfff,0x3ffffff2,0x3fb2e001,
    0xceffffff,0x3fff6002,0x4002ffff,0xfffffeb8,0x00bdffff,0x7fffffcc,
    0x3fea7fff,0x84ffffff,0xffffffff,0x3fe001ff,0x7fffc7ff,0x5cc40006,
    0xfb8004ff,0xffffffff,0xffffffff,0x5ffc8802,0x3ffffee0,0x3ff60005,
    0xff986fff,0x55d4c401,0x4c400001,0xe98000aa,0xddd30eee,0xdeecb81d,
    0x800000bc,0xcdedcca9,0x200000ab,0x00acedb8,0x07bbae00,0x55999550,
    0x2a000001,0x00aaccca,0x765d4000,0x40002bce,0x9aabaaa9,0x97100000,
    0x40003dd9,0x0000aba9,0x06f7b6ea,0x2aa62000,0x44001aab,0xaaaaaaaa,
    0x332ea22a,0x2aaa02ab,0x0aaaaaaa,0x06666600,0x00013333,0x0007ffa0,
    0x7fffffe4,0xffffffff,0xbff9003f,0x7ffff401,0x3ea0002f,0x881fffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02fff540,0x3fff6a00,0xffffffff,0x0be6001e,0xffffff30,
    0xffff0000,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff100000,0x200001df,0xdeedcca8,0x010000bc,
    0x9fffffb0,0xfff90000,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f200000,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000022,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x26b2ea20,0x20000000,
    0xacccaa98,0x0000009a,0x2b32ea00,0x32e00009,0x4c02cccc,0x00009999,
    0x59999100,0x02cccc98,0x0026af32,0x4cccc000,0x00000019,0x27777744,
    0x26600000,0x00000999,0x99800000,0x99999999,0x99999999,0x20009999,
    0x332203cc,0x66440002,0x00732602,0x77776c00,0x4ccc000d,0x4c000099,
    0x00001ccc,0x55997531,0x00000013,0x33333000,0xffd91001,0x9dffffff,
    0x32600000,0xffffffff,0x002dffff,0x3fee0000,0x1fffffff,0x7fffc400,
    0x7ffc406f,0x000004ff,0xb89ffff3,0x3e03ffff,0x003fffff,0x7fffdc00,
    0x000002ff,0x3fffffa0,0x1000003f,0x009fffff,0x7fffc400,0x07fffe44,
    0x3fffffe0,0xffffffff,0xffffffff,0x07ffa002,0x00017fe4,0xfd807ffc,
    0xfc80001f,0x005fffff,0x13ffffe2,0xdfff1000,0xffd98000,0xffffffff,
    0x2e20002d,0xffd81cee,0x3ffffe00,0x7fff4c05,0xffffffff,0x880002ef,
    0xffffffeb,0xffffffff,0x00004fff,0x7ffffd40,0x000fffff,0x077fffe4,
    0x3ffffe20,0xf3000004,0xffb89fff,0x3ffe03ff,0x0006ffff,0x3fffffa0,
    0x0000006f,0xfffffff7,0x1000001f,0x009fffff,0xffffa800,0x05ffff51,
    0xfffffff0,0xffffffff,0x5fffffff,0x06ffe400,0x0003ffea,0x8833ff60,
    0x80007ffa,0xfffffff9,0xfff1002f,0xb00009ff,0x50009fff,0xfffffffd,
    0xdfffffff,0xfff98005,0xfbacefff,0x7fffc07f,0x3fff205f,0xffffffff,
    0x00dfffff,0xfffff700,0xffffffff,0xffffffff,0x1000003d,0xffffffff,
    0xff000fff,0xf1001dff,0x0009ffff,0x3fffe600,0x1ffffdc4,0xfffffff0,
    0xf300005f,0x3fffffff,0xf9800000,0xfffebfff,0xf8800006,0x0004ffff,
    0x9ffffc80,0xf005ffff,0xffffffff,0xffffffff,0x005fffff,0x6f7fffc4,
    0x0004ffff,0xbdffff30,0x0007ffff,0xddfffe88,0x8800ffff,0x004fffff,
    0x1ffffa80,0x3fffee00,0xffffffff,0x03ffffff,0x3fffff60,0x5fffffff,
    0x2fffffc0,0x7fffff44,0xffffffff,0x005fffff,0x7ffffec4,0x99aaccff,
    0xfffedcba,0x00004fff,0x7fffffdc,0x4005ffff,0x000ffffb,0x09fffff1,
    0x3fe60000,0x7ffdc4ff,0x3fffe03f,0x0006ffff,0xffffffc8,0x000004ff,
    0x4d7fffa2,0x0003ffff,0x7ffffc40,0xe8800004,0xefffffff,0xfffff000,
    0xffffffff,0xffffffff,0xffa8005f,0x06ffffff,0x7ffdc000,0x005fffff,
    0x8efffd80,0x805fffe8,0x04fffff8,0xbfffd000,0x3ffff600,0xffffffff,
    0xffffffff,0x79fff002,0xfffffffd,0xfffff803,0xfffffc85,0xfedcefff,
    0x3fffffff,0xffffd300,0xd30005bf,0x009fffff,0x7fffec00,0x02dbabef,
    0x00ffff40,0x9fffff10,0x2a200000,0x55441aaa,0x2eaa01aa,0x01ffffff,
    0x3fffe200,0x007fffff,0x3fff2000,0x3fffea0e,0x3e200001,0x0004ffff,
    0xfffff300,0x7fc003ff,0xffffffff,0xffffffff,0x8002ffff,0x3fffffd9,
    0xfd300000,0x0005ffff,0x43ffff50,0x403ffff9,0x04fffff8,0xffff7000,
    0xffffc803,0xdcefffff,0xffffffff,0x5ff801ff,0x0e7fed44,0x2fffffc0,
    0x3fffffe6,0xfffb102f,0x9801ffff,0x00cfffff,0xffffa800,0xff00002f,
    0x0001ffff,0x001ccc88,0x27ffffc4,0x00000000,0xffff9800,0x3ee0002f,
    0xffffffff,0x3000002f,0x33301333,0x98000013,0x00009999,0x3fffee00,
    0x7ffc004f,0x00000fff,0x02a62000,0x4c400000,0x22000009,0x99880999,
    0x7ffc4019,0x100004ff,0x4c0bffff,0xdfffffff,0xffff9301,0x3300bfff,
    0x3e000801,0x7f45ffff,0x800effff,0x3ffffffc,0x1fffff40,0x3f220000,
    0x40001fff,0x05fffff8,0x88000000,0x004fffff,0x00000000,0x0bffffe0,
    0xffffe800,0x06ffffff,0x00000000,0x00000000,0x80000000,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x13ffffe2,0xfffe8000,0xfffe880f,
    0xd1003fff,0x01ffffff,0xff000000,0x7fd4bfff,0x2000ffff,0x06fffffd,
    0x007ffff2,0x3fa00022,0x540006ff,0x003fffff,0xf8800000,0x3304ffff,
    0x00000000,0x2ffffe80,0xffff3000,0xfffffd9f,0x10000003,0x00135975,
    0x65d44000,0x0000009a,0x026b2ea2,0xffffff80,0x80000000,0x09accaa9,
    0x33333000,0x33330003,0x55440033,0x0009abcc,0x13ffffe2,0xfffb8000,
    0xffffb84f,0x7c4002ff,0x263fffff,0x80019999,0x3e199999,0x3fe5ffff,
    0x4004ffff,0x02cefffa,0x201ffff5,0xdfffeca8,0x47bbbba2,0x001ffff8,
    0x3ffbbbae,0x3eeeefff,0x3eeeeeb8,0xddddd500,0x3ffffe27,0x3ffff6a4,
    0x7775c03d,0xdd5003ee,0x7f407ddd,0x90003fff,0xf73fffff,0x0009ffff,
    0xfffd9100,0x09dfffff,0xffd91000,0x9dffffff,0xfd910000,0xdfffffff,
    0xfffff009,0x0000001f,0x3ffffb22,0x03dfffff,0x3fffffe0,0x7fffc000,
    0xffeb807f,0xffffffff,0xffff8803,0xdddb104f,0xff301bdd,0xfffb0fff,
    0x32000dff,0x3e1bceff,0x000fffff,0xf3fffffc,0x3e2bffff,0x000fffff,
    0xff8801b8,0xfff303ff,0x35ffffff,0x5c1fffff,0x3a004fff,0xffffffff,
    0x982fffff,0x006fffff,0x23fffffb,0xb4fffff8,0xffffffff,0x3ffe601d,
    0xffb006ff,0x7f403fff,0xf0003fff,0x3e2fffff,0x0007ffff,0x7ffff4c0,
    0xffffffff,0xfd30002e,0xffffffff,0x0005dfff,0x3fffffa6,0xefffffff,
    0x3ffffe02,0x8000000f,0xfffffffb,0xefffffff,0xfffff801,0x7ffc000f,
    0x3fa607ff,0xffffffff,0x203fffff,0x04fffff8,0x3ffffffb,0x0fffff40,
    0x3ffffff1,0xf0062000,0x001fffff,0x27fffff8,0xf55fffff,0x000bffff,
    0x6fffb800,0xffffff30,0xffdfffff,0xfffd0fff,0x3fffe001,0xffffffff,
    0xfffd01ff,0xfff003ff,0x7ffc4dff,0xffffedff,0x1fffffff,0x3fffffd0,
    0xdfffff00,0x3ffffd80,0xffffa800,0x3ffff64f,0xf900002f,0xffffffff,
    0xbfffffff,0x7ffe4001,0xffffffff,0x00dfffff,0x3fffff20,0xffffffff,
    0xff80dfff,0x0000ffff,0x3fff6200,0xffffffff,0x03ffffff,0x07fffffc,
    0x3ffffe00,0xfffff307,0xffffffff,0x2209ffff,0xd84fffff,0x01ffffff,
    0x727fffec,0x00dfffff,0xffff8000,0x7fc000ff,0x3ffe7fff,0xffff75ff,
    0x8000009f,0xf980fffe,0xebcfffff,0xffffffff,0x02fffc85,0xffffff88,
    0x7fffffff,0x3ffffee0,0x7fffd403,0x3fffe23f,0xffffffff,0x06ffffff,
    0x07fffff7,0x3fffffa8,0x1ffffec0,0x7fffec00,0x3fffea1f,0x7440006f,
    0xffffffff,0xffffffff,0xfe8805ff,0xffffffff,0xffffffff,0xffe8805f,
    0xffffffff,0xffffffff,0xffffff85,0xaaaaaaab,0x0aaaaaaa,0x3ffffe20,
    0xffffffff,0xefffffff,0xffffff00,0xffff8001,0xffff887f,0xffffffff,
    0x2fffffff,0x4fffff88,0x7fffffe4,0xffffc802,0x3fffff26,0x7c000005,
    0x000fffff,0xf3fffffc,0x3f2bffff,0x0003ffff,0x17ffe600,0x37ffffe6,
    0x7ffff540,0xfffa84ff,0xdccc8803,0xccefffff,0x3ffe203c,0x7fe406ff,
    0x3fe20fff,0x9cffffff,0xfffffda9,0xffff883f,0x7ffe406f,0x7fe400ff,
    0x7c4004ff,0x7c46ffff,0x001fffff,0x3fffff20,0xfedcefff,0x3fffffff,
    0x7ffffe40,0xfedcefff,0x3fffffff,0x7ffffe40,0xfedcefff,0x3fffffff,
    0x7ffffffc,0xffffffff,0x01ffffff,0x3ffffffa,0xffdcdfff,0x4fffffff,
    0x1ffffff0,0xfffff800,0xfffffa87,0xfcbabcff,0x0fffffff,0x27ffffc4,
    0x5ffffff7,0x3fffee00,0xfffffb0f,0xf8000009,0x000fffff,0xf3fffffc,
    0x3f6bffff,0x0002ffff,0x0bfff200,0x81bffff6,0x2ffffff9,0x004fff98,
    0x3fffffa8,0x7fffec00,0x3fffe01f,0x7fffc45f,0xff702fff,0xfb01ffff,
    0x7c03ffff,0xc805ffff,0x4006ffff,0x83fffffb,0x04fffffd,0xfffff300,
    0x3f6205ff,0x00ffffff,0xfffffff3,0x3fff6205,0xf300ffff,0x05ffffff,
    0x3fffff62,0x3fffe0ff,0xffffffff,0xffffffff,0xffff701f,0x22019fff,
    0xfffffffd,0xffffff81,0x7fffc000,0xffffd87f,0x7ffe403f,0x7fc43fff,
    0xfff54fff,0x54007fff,0xfd2fffff,0x3005ffff,0x33333333,0x7ffc3333,
    0x7c000fff,0x3fe7ffff,0xfffd5fff,0x000003ff,0x7cc3fffc,0x7402ffff,
    0xf00fffff,0xf7000bff,0x8003ffff,0x03fffffa,0x85fffff5,0x4ffffff8,
    0x7ffffec0,0xfffffa83,0xfffff503,0xffff3005,0x7ff4005f,0xff980fff,
    0xd0007fff,0x01dfffff,0xffffff90,0x3ffffa07,0xffc800ef,0xfd03ffff,
    0x001dffff,0x7ffffff9,0x7ffffffc,0xffffffff,0x81ffffff,0xfffffff9,
    0xffff5002,0xffff0dff,0xff8001ff,0xfff87fff,0xffb006ff,0xff88bfff,
    0xfff9cfff,0x4c004fff,0xff3fffff,0xf005ffff,0xffffffff,0x3fe1ffff,
    0x4000ffff,0x3e7fffff,0xfff5ffff,0x00005fff,0x213ffe20,0x805ffffd,
    0x207ffffd,0xd8005fff,0x000fffff,0x06fffff8,0x81fffff9,0x0ffffff8,
    0x7ffffcc0,0xdfffff04,0x3fffff20,0xffffd000,0xfff3001d,0x7ffc0bff,
    0x54002fff,0x00ffffff,0x3fffff60,0xfffffa86,0x3ff6000f,0xffa86fff,
    0x2000ffff,0x26fffffd,0xffffffff,0xffffffff,0xd81fffff,0x01ffffff,
    0x7ffffd40,0x7ffffc3f,0x7ffc000f,0x7ffcc7ff,0xff5003ff,0xff88dfff,
    0xffffdfff,0xf88004ff,0xffd3ffff,0xff005fff,0xffffffff,0x3ffe1fff,
    0x7c000fff,0x3fe7ffff,0xfffd5fff,0x000007ff,0xf30bffe6,0x9001ffff,
    0x260bffff,0xe8004fff,0x0007ffff,0x01fffff9,0x109fffff,0x00dfffff,
    0x417ffffe,0x80fffffc,0x004fffff,0x3fffffee,0x3fff203d,0x3ff202ff,
    0x7c006fff,0x004fffff,0x1677ffd4,0x27fffffc,0x3bffea00,0xfffff82c,
    0x7fd4004f,0x3ffe2cef,0xeeeeefff,0xeeeeeeee,0x7ffc41ee,0xb0005fff,
    0xf8ffffff,0x000fffff,0x23fffffc,0x07fffff9,0x13333760,0xfffffff1,
    0x003fffff,0x53ffffe0,0x03fffffd,0xfffffff8,0xf0ffffff,0x001fffff,
    0x27fffff8,0xf95fffff,0x0007ffff,0x0bffea00,0x00fffff7,0x40fffffa,
    0x8002fffb,0x005fffff,0x7fffff30,0x1fffff98,0x5fffff88,0xdfffff00,
    0x3ffffe60,0x7ffffcc3,0x3ff62001,0xf107ffff,0x401fffff,0x1ffffff9,
    0xfffff100,0x0370001f,0xffffff88,0x401b8000,0x0ffffff8,0x3e01b800,
    0x000fffff,0x3fffea00,0xf30000ff,0x7c3fffff,0x000fffff,0x43fffffc,
    0x1dffffff,0xfff10000,0xffffffff,0x3fa000bf,0xfff95fff,0xfff009ff,
    0xffffffff,0x3fffe1ff,0x7fc000ff,0x3ffe7fff,0xffff75ff,0x2000009f,
    0x7e41fffb,0xff005fff,0x3f603fff,0x7cc001ff,0x0004ffff,0x91bffffa,
    0x220fffff,0x004fffff,0x40fffffd,0x646ffffe,0x0007ffff,0x0ffffffb,
    0x3fffffee,0xffffffff,0x04ffffff,0xbfffff50,0x7d400000,0x0005ffff,
    0x3fffea00,0xf000005f,0x001fffff,0x7fffec00,0x7f40005f,0x3fe2ffff,
    0x4000ffff,0xe87fffff,0xdfffffff,0x3e20001b,0xffffffff,0x8002ffff,
    0xf75ffffe,0xf00bffff,0xffffffff,0x3fe1ffff,0x4000ffff,0x3e7fffff,
    0xff55ffff,0x2000bfff,0xffc80ade,0x7fffec0f,0xffff8804,0x1ffff00f,
    0xffffa800,0x3ee0002f,0x3fe0ffff,0xff104fff,0x36009fff,0x2e07ffff,
    0x3e0fffff,0x0004ffff,0x0ffffff7,0x3ffffffa,0xffffffff,0x07ffffff,
    0x9fffff70,0x7dc00000,0x0004ffff,0x3fffee00,0xf000004f,0x001fffff,
    0x7ffff400,0x7e40003f,0x3fe3ffff,0x4000ffff,0xa87fffff,0xffffffff,
    0x000aceff,0x3fffffe2,0x6fffffff,0xffffd800,0xffffff55,0x7ffc0001,
    0xffff0fff,0xff8001ff,0x3ffe7fff,0xffff35ff,0xf98001ff,0x3f63dfff,
    0xffffe87f,0xffffa802,0x0dfff306,0xfffff700,0x7fc40003,0xfff33fff,
    0x3fe203ff,0xfd005fff,0x7c40ffff,0xff33ffff,0x90003fff,0x0fffffff,
    0xfffffff3,0xffffffff,0x5fffffff,0xfffff900,0x64000007,0x003fffff,
    0x3fff2000,0x000003ff,0x01ffffff,0x7fffc000,0x5c0002ff,0x3e4fffff,
    0x000fffff,0x83fffffc,0xfffffffc,0x2effffff,0xfffff880,0xffffceff,
    0x7fec003f,0xffff15ff,0x7c0009ff,0xff0fffff,0x8001ffff,0x3e7fffff,
    0x3fe5ffff,0x4004ffff,0x26fffffc,0x7fc0fffc,0xfe802fff,0xff884fff,
    0xfd8001ff,0x0000ffff,0xcb7fffec,0x2206ffff,0x006fffff,0x80bfffff,
    0xf96ffffd,0x5000dfff,0x9dffffff,0xffffff90,0xffffffff,0xffffffff,
    0xffffb00d,0x4000005f,0x02fffffd,0x3ff60000,0x00002fff,0x1ffffff0,
    0x7ffc0000,0x40001fff,0x26fffffa,0x00ffffff,0x3fffffc0,0xffffffd0,
    0xffffffff,0x7ffc407f,0xff88efff,0x2000ffff,0x324ffffe,0x00ffffff,
    0xffffff00,0x3fffffe1,0x7fffc000,0x3ffffe7f,0x3ffffee5,0xfff3000f,
    0x7fdc7fff,0x7ffff41f,0x7fffd403,0x5fffe83f,0xffffd000,0xff50000d,
    0xffff3fff,0x7ffc407f,0x7cc01fff,0x5404ffff,0xff9fffff,0xe8003fff,
    0x201fffff,0xffffffff,0xffffffff,0xffffffff,0x7ffff401,0x2000001f,
    0x01fffffe,0x3ffa0000,0x00001fff,0x1ffffff0,0x3fe20000,0x0000ffff,
    0x3fffffcc,0x01ffffff,0x7fffff80,0x7ffffdc0,0xffffffff,0xfff104ff,
    0x7fdc1fff,0x3a004fff,0x3e24ffff,0x004fffff,0x1ffffff0,0x03fffffe,
    0xffffff00,0x22fffffc,0x1efffffe,0x7ffff440,0x3ffea0ff,0x27fffec2,
    0x3fffffa0,0x0ffffec1,0xfffff800,0xfff00005,0xfffffbff,0x7fffc401,
    0x7fec04ff,0xff803fff,0xffffdfff,0x7fcc000f,0x3ea02fff,0x999effff,
    0x99999999,0x4fffffe9,0x7fffffc0,0x3e000002,0x002fffff,0x3fffe000,
    0x000002ff,0x01ffffff,0x3ffe2000,0x40000fff,0x27fffffa,0x00ffffff,
    0x3fffffc0,0x7fff6440,0xffffffff,0xfff885ff,0xfffe84ff,0xfff001ff,
    0xfffc87ff,0x5000dfff,0x1ffffffd,0x03fffffe,0xffffff00,0x22fffffc,
    0xfffffff9,0xffffa80b,0x7fcc4fff,0x7fffdc4f,0xffff700f,0x7ffdc1ff,
    0xff30004f,0x00007fff,0x3ffffff2,0x7c405fff,0x03ffffff,0x1ffffff5,
    0xfffff900,0x000bffff,0x80fffff5,0x03fffffd,0xfffffb80,0x7ffff407,
    0x2000003f,0x03fffffe,0x3ffa0000,0x00003fff,0x1ffffff0,0x7ffc0000,
    0x40001fff,0x26fffffb,0x00ffffff,0x3fffffc0,0x3ffb2600,0xffffffff,
    0x7fffc45f,0xffffa84f,0xfff8805f,0x7ffc41ff,0x80aeffff,0xfffffea8,
    0xffff0fff,0xff8001ff,0x3ffe7fff,0xfffd85ff,0xedffffff,0xffffffff,
    0x47fff80e,0x3efffff8,0x3fffff22,0xffffbbff,0x3ea0005f,0x0002ffff,
    0xffffff30,0xf8805fff,0xdfffffff,0xffffc98a,0xff3003ff,0x5fffffff,
    0xffff9000,0x7fffc409,0xf88000ff,0x202fffff,0x03fffffc,0x3ff20000,
    0x00003fff,0x3fffff20,0xff000003,0xffffffff,0xffffffff,0x7f4fffff,
    0x0002ffff,0x27ffffe4,0x01ffffff,0x7fffff80,0x3f2a2000,0xffffffff,
    0x3ffffe21,0xfffffb04,0xffff9805,0xfffff507,0xfdbfffff,0xffffffff,
    0x3ffe1fff,0x7c000fff,0x3fe7ffff,0xfe885fff,0xffffffff,0xffffffff,
    0x5fff901f,0xffffffb8,0xffffffef,0xffffffff,0x7e40006f,0x0001ffff,
    0x3fffffa0,0xff8807ff,0xffffffff,0xffffffff,0x3ffa000f,0x007fffff,
    0x07ffffb0,0x2fffffdc,0xffffb000,0x7ffdc0df,0x000004ff,0x13ffffee,
    0xffb80000,0x00004fff,0xfffffff0,0xffffffff,0xffffffff,0x1fffffe4,
    0x3fff6000,0x3fffa3ff,0x3e2000ff,0x0007ffff,0x3ffffaa0,0x3ffe24ff,
    0xfff304ff,0xffb80dff,0x3fe606ff,0xffffffff,0xffffffff,0x3fa2ffff,
    0x2000ffff,0x27fffff8,0x205fffff,0xfffffffc,0xffffffff,0x3ffe601f,
    0xfffffe86,0xffefffff,0xffffffff,0xffd80004,0x400007ff,0xfffffffb,
    0xffff8804,0xfffffedf,0x02ffffff,0x7ffffdc0,0xfb0004ff,0x7f407fff,
    0x0002ffff,0x3fffffea,0xfffff501,0x2b7a000b,0xfffff500,0x2b7a000b,
    0xfffff500,0x2b7a000b,0xffffff80,0xffffffff,0xffffffff,0x3ffffee7,
    0x7ff40005,0x3ffa2fff,0x22000fff,0x107fffff,0xfd800333,0x3e26ffff,
    0x3204ffff,0x203fffff,0x404ffffc,0xffffffe9,0xffffffff,0x740dffff,
    0x000fffff,0x9fffffe2,0x405fffff,0xffffffe9,0x1dffffff,0x82fffe80,
    0xfffffffb,0xffffe8ae,0x0001efff,0x0dffffd0,0xfff88000,0x8801ffff,
    0xd8cfffff,0xffffffff,0xff88001e,0x001fffff,0x07ffffb0,0x1fffffe6,
    0x3fffe000,0xfff304ff,0x98001fff,0x4c3dffff,0x00ffffff,0x6ffffcc0,
    0x7ffffcc3,0x7fcc000f,0x3ffe3dff,0xffffffff,0xffffffff,0x3fea7fff,
    0x0001ffff,0x3ffffff5,0x0ffffff4,0xfffff300,0x7ffff4cd,0x7ffd4005,
    0x3ffe26ff,0x3fe204ff,0xfd00ffff,0xb1003fff,0xffffffff,0xbfffffff,
    0x3ffffa03,0x3fe6001f,0x3ffe6fff,0xdb8805ff,0xfffffffe,0x3fee001d,
    0xfdc981ff,0x3b260bde,0x5301bdef,0xff100355,0x00009fff,0xdfffffb0,
    0x3fffe200,0x3ffff24f,0x20000dff,0x06fffffd,0x3ffffa00,0xfffffb03,
    0xff900009,0x7fc0ffff,0x4004ffff,0x86fffffc,0x04ffffff,0x7ffffe40,
    0xffffff86,0x7ffe4004,0x3fffe6ff,0xffffffff,0xffffffff,0x3ffe27ff,
    0xd0006fff,0xd8ffffff,0x003fffff,0x97ffffea,0x07fffff8,0x7ffffc40,
    0x3ffffe27,0x7fffdc04,0xffff885f,0xffda8006,0xbdffffff,0x7ffec009,
    0x3ea003ff,0x3fe5ffff,0x4c005fff,0x001dffeb,0x03ffff60,0x7d400000,
    0xf9801fff,0x0003ffff,0xfffffc80,0xffff1003,0x0155109f,0x3fff2000,
    0x3a0003ff,0x0002ffff,0x5ffa8000,0xfffff700,0x3fe6001f,0xfb83ffff,
    0x000fffff,0x7ffffff3,0xffffff70,0x3ffe6001,0x80003fff,0xfc803ffc,
    0x002fffff,0x7fffffdc,0x7ffffdc3,0xfffd000f,0xfffe89ff,0x3ea003ff,
    0x5006ffff,0x00035799,0x007ffff5,0x3fffaa20,0xffb8000d,0xd000ffff,
    0x009fffff,0x7fffc400,0x10003fff,0x003dffff,0xfffb8000,0xfff7004f,
    0x800005ff,0x0ffffff8,0xfffff100,0x10000009,0x01ffffff,0x7ffffc00,
    0x80000002,0x3a003ffc,0x01efffff,0x7fffff44,0xffffd00f,0xfe8803df,
    0xd00fffff,0x03dfffff,0xfffffe88,0xfd80000f,0xfff8802f,0x9003ffff,
    0x0dffffff,0xbffffff5,0xfffff500,0xffffc87f,0xfe8801ff,0xb004ffff,
    0x01dfffff,0x07fffe40,0xffffb800,0x54000dff,0x05ffffff,0xffffffa8,
    0x0aeeeee3,0xfdbbd980,0x30001fff,0x019fffff,0xffd98000,0x3f6006ff,
    0x0000ffff,0x7ffffe40,0x3ffe2006,0x000004ff,0x6fffffc8,0x3ffe2000,
    0x000002ff,0x003ffd80,0x3fffffe6,0xfffa80bf,0x2604ffff,0xbfffffff,
    0xfffffa80,0x3fe604ff,0x80bfffff,0xfffffffa,0xfff00004,0x3ffea003,
    0x409dffff,0xfffffe98,0xfffd01ff,0x2e019fff,0x87ffffff,0xfffffff9,
    0x3fffaa03,0xfb001fff,0x00dfffff,0x0037fffc,0xffd97990,0xffd000bf,
    0x2019ffff,0x7ffffffb,0x02fffffc,0x13ffee00,0xffffb800,0x40001bff,
    0xefffffc9,0xc889a880,0x006fffff,0x7fffdc00,0x3e2002ff,0x0004ffff,
    0x7fffdc00,0x4c4002ff,0x1fffffe9,0xe8000000,0x7ec005ff,0xffffffff,
    0xffffffed,0x7ec00eff,0xffffffff,0xffffffed,0x7ec00eff,0xffffffff,
    0xffffffed,0x80000eff,0x2004fff8,0xfffffffd,0xfffedeff,0x04ffffff,
    0x3fffffea,0xffedeeff,0x03ffffff,0xfffffff9,0xffdd99df,0x00dfffff,
    0x3ffff510,0x5ffff300,0xffe80000,0x7fd4000f,0xeeffffff,0xffffffed,
    0x7fffc3ff,0x7d40005f,0x4c0004ff,0xfffffffe,0x533019ac,0xfffffffb,
    0x7fffdc0b,0x03ffffff,0x3fbbe600,0x06ffffff,0x7ffffc40,0x3e600004,
    0xffffffee,0xfff8006f,0x00ffffff,0xfe800000,0x3a2000ff,0xffffffff,
    0xffffffff,0xfe8801ff,0xffffffff,0xffffffff,0xffe8801f,0xffffffff,
    0xffffffff,0xff100001,0x7f4400df,0xffffffff,0xffffffff,0x7f400dff,
    0xffffffff,0xffffffff,0x3ffa00ff,0xffffffff,0xffffffff,0x3fa0001f,
    0xffc801ff,0xe800006f,0xe8001fff,0xffffffff,0xffffffff,0x7ffc0fff,
    0x408805ff,0x02fffeb8,0xffff9000,0xffffffff,0xffffffff,0x807fffff,
    0xfffffffd,0x20001fff,0xfffffff8,0x44002fff,0x004fffff,0x3fffe200,
    0x02ffffff,0xffffff80,0x000004ff,0x9ffffb00,0xfc801b75,0xffffffff,
    0x1fffffff,0x7fffe400,0xffffffff,0x4001ffff,0xfffffffc,0xffffffff,
    0x7c00001f,0x5cacffff,0x7ffffdc0,0xffffffff,0x1003ffff,0xfffffffb,
    0xffffffff,0xff8803df,0xffffffff,0xffffffff,0x64c40802,0xf8807fff,
    0x10001fff,0x0ffff930,0x3fff6200,0xffffffff,0x81efffff,0x805fffff,
    0xfffffffb,0x400005ff,0xffffffd9,0xffffffff,0xbeffffff,0xfffff800,
    0x005fffff,0xffffff80,0x88004fff,0x004fffff,0x7ffffc00,0x0004ffff,
    0xffffffff,0x00000001,0x3fffffea,0xfe9800ff,0xffffffff,0x0001dfff,
    0xffffffd3,0x3bffffff,0x3ffa6000,0xffffffff,0x00001dff,0xffffffb8,
    0xffe9807f,0xffffffff,0x8000dfff,0xfffffffb,0xdfffffff,0xfff91000,
    0xffffffff,0x2003dfff,0xfffffffe,0xffb802ff,0x3fa0005f,0xffffffff,
    0x7fdc0002,0xffffffff,0xf00dffff,0x700bffff,0xdfffffff,0x44000005,
    0xffffffda,0xffffffff,0x3e6001df,0xffffffff,0xffd00005,0x007fffff,
    0x3ffffe20,0x7f400004,0x03ffffff,0x3ffffe00,0x000000cf,0x7fffe400,
    0x71000fff,0xffffffdb,0x100003bf,0xfffffdb7,0x00003bff,0xffffdb71,
    0x0003bfff,0xffffd800,0x32e007ff,0xfffffffe,0x4c0002ce,0xfffffffd,
    0x0002dfff,0xffffff91,0x005bffff,0xffffffe8,0xfff001df,0x7f40001f,
    0x1dffffff,0xffb30000,0xffffffff,0x9999805b,0xcaa88009,0x00001abc,
    0xccba9800,0x9aacceee,0x95530000,0x000379db,0x66f765c0,0x4cc0000b,
    0x00000999,0x5e6f765c,0x77740000,0x000001cd,0x37726000,0x220000ac,
    0x00009ab9,0x4d5cc400,0x44000000,0x00009ab9,0x6f654000,0x2600009b,
    0x00000aba,0x2aeaaa60,0x2000009a,0x1aabba98,0x332aa000,0x26000abc,
    0x40003eee,0x0abcccba,0x2a600000,0x009aabaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666600,0x40799001,0x80002cc8,0x00000bb8,
    0x09999980,0x00000000,0xcccc8000,0x5100002c,0x01357995,0x0ccccc40,
    0x4cccc400,0x40000999,0x05eeeed8,0x0f333320,0x80999998,0x10099999,
    0x00033333,0x00000000,0x776c4000,0x00000eee,0xfffb8000,0x000005ff,
    0x7fec0000,0xfffd1fff,0x000000bf,0xd9000000,0x0003dddd,0x7fc40000,
    0xfd007fff,0x0fff203f,0xffff9000,0xf8000009,0x0004ffff,0x31bfff60,
    0x0005ffff,0x0bfffff0,0xfffeb800,0x3fffffff,0xfffffe80,0x3ffa2001,
    0x000fffff,0x7ffffec0,0xfffc804f,0xfff02fff,0xffff0bff,0x3fff20bf,
    0x3fe200ff,0x7ffe44ff,0x7fc4000f,0x7ffdc4ff,0x7fd4000f,0x00003fff,
    0xffff8000,0xfb00005f,0x7fcc1dff,0xff8802ff,0xfff52fff,0xf90001df,
    0x7fcc1fff,0x000003ff,0xdffffff5,0x77e4c000,0x22ffc40b,0x07fffff8,
    0xa81bff90,0x20000fff,0x1ffddff9,0x3fe00000,0x00004fff,0x453fffe2,
    0x0005ffff,0x0bfffff0,0x3fffa600,0xffffffff,0x3fa03fff,0x1001ffff,
    0xfffffffd,0xffa80003,0x01ffffff,0x3fffffe6,0xffff80ff,0xfffff85f,
    0xfffff905,0xffffa801,0x05ffff52,0x3fffe600,0x07ffff32,0x3fffea00,
    0x00000007,0x077fffd4,0xfff88000,0xbffff14f,0x3ffff200,0x03ffffa3,
    0x5fffe800,0x00bfffd1,0x3ffe2000,0x004fffff,0xffffffb8,0x44ffdabd,
    0x07fffff8,0xbdffff10,0x0009ffff,0x17ee4fc8,0xfff80000,0x400004ff,
    0xfeaffffa,0x00000fff,0x00bfffff,0xffffff30,0xffffffff,0x3fa09fff,
    0x8801ffff,0xfffffffe,0x7fc40001,0xffffecff,0xdffff880,0xff85ffff,
    0xfff85fff,0xfff905ff,0xff9001ff,0xbffff3ff,0xfffc8000,0x05ffff9f,
    0x7fffdc00,0x00000003,0x003bfffa,0xffff3000,0x01ffffb5,0x49ffff10,
    0x002ffffa,0x5ffffcc0,0x000ffffd,0xdfffb000,0x003ffff9,0x7fffffc4,
    0x2fffffff,0x3fffffc4,0xfffff500,0x0000dfff,0x03fcc5fd,0xffff0000,
    0x9000009f,0xffffffff,0x7fc00003,0x44005fff,0xffffffff,0xffffffff,
    0xffe82fff,0xfd801fff,0x01ffffff,0x6fffd800,0xb0bffff1,0xff51dfff,
    0xffff85ff,0xfffff85f,0xfffff905,0x3fffa001,0x000fffff,0xfffffe80,
    0x80000fff,0x0006fffb,0xfff50000,0x2000001f,0xfffffffc,0xfff7002f,
    0x03fffe8b,0xffff7000,0x0005ffff,0x3fffee00,0x01dfffb0,0x32fbfe60,
    0x6ffffffe,0x7fffff88,0x7ffec400,0x700003ff,0x013f61bf,0xffff8000,
    0xd000004f,0x09ffffff,0xeeed8000,0x7fd4004e,0xabcfffff,0xffffffcb,
    0x7fff40ff,0x7fec01ff,0x001fffff,0x0ffffb80,0xa8bfffe6,0x3f21ffff,
    0x3ffe0fff,0xffff85ff,0xffff905f,0x3fe6001f,0x002fffff,0xfffff300,
    0x400005ff,0x0002fffc,0xfffe8000,0x74000001,0x04ffffff,0xf31bffe0,
    0x800009ff,0x5ffffffd,0xff300000,0x7ff445ff,0x5ff5005f,0x0bffec98,
    0x7fffff88,0x002a6000,0xffff1000,0x000001ff,0x004ccccc,0xfff98000,
    0x000006ff,0xfffb0000,0xffc807ff,0x7f43ffff,0x3201ffff,0x1fffffff,
    0x33330000,0x41333101,0xaa81aaaa,0x266661aa,0x99999809,0x33333100,
    0xffffb800,0x5c00004f,0x004fffff,0x00999800,0x99800000,0x80000009,
    0x06fffff9,0x2204ccc0,0x80000199,0x0ffffff8,0x33100000,0x33331033,
    0x00066200,0xffffff10,0x00000000,0x0b7ff660,0x00000000,0x00000000,
    0xf8000000,0xb006ffff,0xe8bfffff,0x901fffff,0x5fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x43cccc80,0x002cccc8,0x00000000,
    0x99800000,0x98001999,0x00019999,0x00000000,0x00000000,0x7ffffc40,
    0x00130007,0x06666660,0x99998044,0xa9880019,0x009aaccb,0x32aa2000,
    0x00009abc,0x300004c0,0x007fffff,0x1bffffea,0x03fffffd,0xfffffff7,
    0x98000005,0x00019999,0x00000000,0x33333100,0x33333333,0x33333333,
    0x99999998,0x99999999,0x99999999,0x6ffff880,0x02ffffcc,0x33331000,
    0x33333333,0x33333333,0x01333333,0x01999998,0x01ffffff,0x7fffff80,
    0x26666000,0x4cc00019,0x00019999,0x06666662,0x03333330,0x7fffff88,
    0xfffd9100,0x777545bf,0x3ffffe6e,0x7ffc000f,0x36a007ff,0xffffffff,
    0x20002dff,0xffffffeb,0x0003ffff,0xbffffd91,0x37777545,0x1fffffe6,
    0x4cccdd80,0x0ffffff4,0x3fffffea,0x8000002f,0x007fffff,0x07ddddd1,
    0x4277776c,0x704eeeed,0xd81ddddd,0xffffffff,0xffffffff,0xf11fffff,
    0xffffffff,0xffffffff,0x0dffffff,0x98dffff1,0x0005ffff,0x3fffffe0,
    0xffffffff,0xffffffff,0x203fffff,0x07fffff8,0x01ffffff,0x7fffff80,
    0xffff7000,0x640005ff,0x02ffffff,0xfffff980,0x3ffe205f,0x7fc407ff,
    0xe9807fff,0xffffffff,0x4fffff54,0x00ffffff,0x3fffffc0,0x7ffff4c0,
    0xffffffff,0x26002eff,0xfffffffe,0x3fffffff,0x3fffa600,0xf54fffff,
    0xfff0ffff,0x0003bfff,0x3fffffa0,0x3ffffea1,0x000002ff,0x0ffffff0,
    0x3ffffe20,0x3ffffe04,0x5fffff85,0x1fffff90,0xffffffd8,0xffffffff,
    0x1fffffff,0xfffffff1,0xffffffff,0xffffffff,0xdffff10d,0x05ffff98,
    0xffff7000,0xffffffff,0xffffffff,0x7fffffff,0x7ffffc40,0xffffff07,
    0xffff8001,0xffd0007f,0x000dffff,0x7fffffc4,0x7ff4000f,0x2200ffff,
    0x407fffff,0x07fffff8,0x7fffffdc,0xfbdfffff,0x3ffe7fff,0x7c000fff,
    0x5c07ffff,0xffffffff,0xffffffff,0xff9802ff,0xffffffff,0x4fffffff,
    0xfffffb80,0xbdffffff,0xfe87ffff,0xbdffffff,0x3ffa0001,0xfff31fff,
    0x0007ffff,0x7fffc000,0xfff1007f,0x7ffc09ff,0xffff85ff,0xffff905f,
    0xffffd81f,0xffffffff,0xffffffff,0xfffff11f,0xffffffff,0xffffffff,
    0xfff10dff,0xffff98df,0xffd00005,0xffffffff,0xffffffff,0xffffffff,
    0x7ffc407f,0xffff07ff,0xff8001ff,0x98007fff,0xffffffff,0x3fea0001,
    0x2004ffff,0x3ffffffa,0x7ffffc40,0x7fffc407,0x3ffe207f,0xffffffff,
    0x7fffffff,0x03fffffe,0xffffff00,0x7ffffec0,0xffffffff,0x2fffffff,
    0x3ffffe20,0xffffffff,0x02ffffff,0x3fffffe2,0xffffffff,0xfa87ffff,
    0xffffffff,0x2000acef,0x99fffffe,0x4fffffff,0x7c000000,0x1007ffff,
    0x409fffff,0xf85fffff,0xf905ffff,0xfd81ffff,0xffffffff,0xffffffff,
    0xff11ffff,0xffffffff,0xffffffff,0x20dfffff,0x5442aaaa,0x80001aaa,
    0xfffffffa,0xffffffff,0xffffffff,0x203fffff,0x07fffff8,0x01ffffff,
    0x7fffff80,0xffffc800,0x0004ffff,0x7fffffec,0xffff8801,0xff8806ff,
    0x7c407fff,0x3607ffff,0x9cffffff,0xfffffca9,0x3fffe7ff,0x7fc000ff,
    0xff707fff,0xdfffffff,0xfffffd99,0x2a03ffff,0xcfffffff,0xffffcbab,
    0xfb00ffff,0x339fffff,0xffffff95,0x3fff20ff,0xffffffff,0xfe802eff,
    0xfffaffff,0x006fffff,0x7ffc0000,0xff1007ff,0x7fc09fff,0xfff85fff,
    0xfff905ff,0xfffd81ff,0xffffffff,0xffffffff,0xffff11ff,0xffffffff,
    0xffffffff,0x0000dfff,0xffe80000,0xffdabfff,0xffffffff,0xffffffff,
    0x3fe203ff,0xfff07fff,0xf8001fff,0x4007ffff,0xfffffff8,0x440007ff,
    0x05ffffff,0xffffffc8,0xffff8801,0x7ffc407f,0xfff307ff,0x3ea05fff,
    0x3e7fffff,0x000fffff,0x43fffffc,0xfffffff9,0x3ffee01d,0xfb05ffff,
    0xc807ffff,0x83ffffff,0x2ffffff9,0xffffff50,0x7ffff40f,0xffffffff,
    0x3fa03fff,0xffffffff,0x04ffffff,0x3fe00000,0xf1007fff,0x7c09ffff,
    0xff85ffff,0xff905fff,0x00001fff,0xfffffff1,0xfff88009,0x000006ff,
    0x7d400000,0x3ee5ffff,0x0004ffff,0xfffff100,0x3ffffe0f,0x7ffc000f,
    0x7dc007ff,0xffffffff,0x7dc0002f,0x202fffff,0x4ffffff8,0xfffff100,
    0xffff880f,0xffff907f,0xfffd809f,0x3fffe7ff,0x7fc000ff,0xfff87fff,
    0x1003ffff,0x1ffffffd,0x0dfffff0,0x3fffff60,0xfffffc85,0x7fffec04,
    0x7ffdc07f,0xffffffff,0xfd04ffff,0xffffffff,0x3fffffff,0x3e000000,
    0x1007ffff,0x409fffff,0xf85fffff,0xf905ffff,0x0001ffff,0xfffffe88,
    0xff88005f,0x00006fff,0x6c000000,0x2e1fffff,0x004fffff,0xffff1000,
    0x3fffe0ff,0x7fc000ff,0x74007fff,0xffffffff,0xe80006ff,0x206fffff,
    0x06fffffd,0x3ffffe20,0x7fffc407,0xffffd07f,0xfff8801f,0x3fffe7ff,
    0x7fc000ff,0x7fd47fff,0x4002ffff,0x3ffffff8,0x1fffffcc,0xfffffa80,
    0xfffffe86,0x7fffc400,0xfec8807f,0xffffffff,0xfe85ffff,0xffffffff,
    0x6fffffff,0xff000000,0x2200ffff,0x204fffff,0xf85fffff,0xf905ffff,
    0x0001ffff,0xffffffd8,0xff88000e,0x22006fff,0x803eeeee,0x004eeeee,
    0x37ffffcc,0x13ffffee,0x7fc40000,0xfff07fff,0xf8001fff,0x2007ffff,
    0xecfffff9,0x001fffff,0x7ffffcc0,0xffffa84f,0x3e2001ff,0x4407ffff,
    0xf07fffff,0x200dffff,0x3e7fffff,0x000fffff,0x23fffffc,0x06fffffd,
    0x79dff900,0xfffff983,0x33376007,0xfffff84c,0xfffff006,0xfec9800f,
    0xffffffff,0x7fff45ff,0xbbffffff,0x03ffffff,0xfff80000,0xff1007ff,
    0x7fc09fff,0xfff85fff,0xfff905ff,0x640001ff,0x0fffffff,0xffff1000,
    0x7fc400df,0xff804fff,0x6c005fff,0x5c2fffff,0x004fffff,0xffff1000,
    0x3fffe0ff,0x7fc000ff,0x32007fff,0xfb9fffff,0x0004ffff,0xffffffc8,
    0x7fffff40,0x7ffc4004,0x7fc407ff,0xfff07fff,0x3fa00bff,0x3ffe7fff,
    0x7c000fff,0x3e27ffff,0x001fffff,0x3fe00310,0x001dffff,0x3ffffe00,
    0xffffd005,0x6544000f,0xffffffff,0x3ffffa1f,0x3fa4ffff,0x000fffff,
    0x7fffc000,0xfff1007f,0x7ffc09ff,0xffff85ff,0xffff905f,0x3ea0001f,
    0x02ffffff,0x3fffe200,0x3fe2006f,0xff804fff,0x22005fff,0xb86fffff,
    0x004fffff,0xffff1000,0x3fffe0ff,0x7fc000ff,0x3e007fff,0xff17ffff,
    0x0000ffff,0xbffffff1,0x7fffffdc,0x7ffc4000,0x7fc407ff,0xff987fff,
    0xfb005fff,0x7ffcffff,0x7c000fff,0x3ee7ffff,0x0006ffff,0xffffd000,
    0x0037bfff,0x7ffffcc0,0xffffb005,0x7540000f,0x24ffffff,0xfffffffe,
    0x7ffffd44,0x4000006f,0x007fffff,0x09fffff1,0x42fffffc,0x905fffff,
    0x001fffff,0xffffff30,0xf880007f,0x2006ffff,0x04fffff8,0x05fffff8,
    0x3fffff20,0xfffffb83,0xf1000004,0x3e0fffff,0x000fffff,0x03fffffc,
    0x4fffffa8,0x0bfffff6,0x3ffea000,0xfff8afff,0x88002fff,0x407fffff,
    0x87fffff8,0x05fffff9,0x4fffffb0,0x00ffffff,0x3fffffc0,0x0bfffff9,
    0x3ea00000,0xffffffff,0x2000acef,0x05fffff9,0x0fffffb0,0xb0006662,
    0x74dfffff,0x04ffffff,0x7ffffffb,0x7fc00000,0xf1007fff,0x7c09ffff,
    0xff85ffff,0xff905fff,0x88001fff,0x5ffffffe,0xfff88000,0x3e2006ff,
    0xf804ffff,0x1005ffff,0x01ffffff,0x5bfffff7,0x55555555,0x88015555,
    0xf07fffff,0x001fffff,0x07fffff8,0x3fffffb0,0x37ffffd4,0xfffd8000,
    0xffffdeff,0xff10005f,0xf880ffff,0xf887ffff,0xd006ffff,0x7fcfffff,
    0x4000ffff,0x367fffff,0x004fffff,0x3ff20000,0xffffffff,0x8802efff,
    0x006fffff,0x4cfffffd,0x005ffffe,0x37ffffd4,0x09fffffd,0x7fffffc4,
    0xf000000f,0x200fffff,0x04fffff8,0x217ffffe,0x905fffff,0x001fffff,
    0xffffffd8,0xff100006,0x4400dfff,0x804fffff,0x005fffff,0x09fffff9,
    0x3fffffee,0xffffffff,0x401fffff,0x07fffff8,0x01ffffff,0x7fffff80,
    0xfffff880,0x7ffffc46,0xf880001f,0xffffffff,0x10000fff,0x80ffffff,
    0x07fffff8,0x00ffffff,0xf9fffffe,0x000fffff,0xd3fffffc,0x005fffff,
    0x33333333,0x74033333,0xffffffff,0x3fffffff,0x3fffffc0,0x7fffff80,
    0x1fffffe2,0xfffff100,0x7fffff4f,0x7fffe401,0x000005ff,0x00ffffff,
    0x13ffffe2,0x85fffff8,0x905fffff,0x001fffff,0x7fffffe4,0xf100000f,
    0x400dffff,0x04fffff8,0x05fffff8,0xffffff88,0xfffff700,0xffffffff,
    0x03ffffff,0x7fffff88,0x1ffffff0,0xfffff800,0xffffb807,0xffffd83f,
    0xf700004f,0xffffffff,0x7c40007f,0x4407ffff,0xd07fffff,0x805fffff,
    0x27fffffb,0x00ffffff,0x3fffffc0,0x05ffffff,0xfffffff0,0x01ffffff,
    0x7fffffdc,0xffffffff,0x3fffa04f,0x7fdc02ff,0x7ff47fff,0x2a003fff,
    0x3a6fffff,0x401fffff,0xfffffff8,0xff800002,0xf1007fff,0x7c09ffff,
    0xff85ffff,0xff905fff,0x2a001fff,0x1fffffff,0x3fe20000,0x22006fff,
    0x804fffff,0x805fffff,0x05fffffb,0x3fffffee,0xffffffff,0x401fffff,
    0x07fffff8,0x01ffffff,0x7fffff80,0xfffffe80,0xfffff980,0x3fa00007,
    0x6fffffff,0x7ffc4000,0x7fc407ff,0xff707fff,0x7c40dfff,0x3e7fffff,
    0x000fffff,0xd3fffffc,0x005fffff,0xffffffff,0x801fffff,0xfffffec8,
    0xffffffff,0xfffff705,0x7fffc40d,0x7ffe47ff,0xe8801fff,0x3a4fffff,
    0x801fffff,0xfffffffa,0x7fc00000,0xf1007fff,0x7c09ffff,0xff85ffff,
    0xff905fff,0xf3001fff,0x07ffffff,0xfff88000,0x3e2006ff,0xf804ffff,
    0xf805ffff,0x201fffff,0xfffffffb,0xffffffff,0x4401ffff,0xf07fffff,
    0x001fffff,0x07fffff8,0x2fffffcc,0x5ffffff0,0x3fe60000,0x01ffffff,
    0x7fffc400,0x7ffc407f,0xfff107ff,0xe981dfff,0x27ffffff,0x00ffffff,
    0x3fffffc0,0x07fffffd,0xfffffff0,0x01ffffff,0x7fff64c0,0xffffffff,
    0xfffff885,0x7ff4c0ef,0x7cc7ffff,0x03ffffff,0x3fffffaa,0x3ffffa1f,
    0xfffd001f,0x0000bfff,0x07fffff8,0x9fffff10,0x2fffffc0,0x82fffffc,
    0x00fffffc,0x7fffff44,0x8800004f,0x006fffff,0x13ffffe2,0x17ffffe0,
    0xdfffff50,0xfffffb80,0xeeeeeeee,0x01eeeeee,0x3fffffc4,0x0ffffff8,
    0x7ffffc00,0x7fffe407,0x3fff202f,0x200006ff,0x4ffffffc,0xfff88000,
    0x7fc407ff,0x3f207fff,0xdeffffff,0xffffffff,0x3ffffe7f,0x7ffc000f,
    0x3fff67ff,0xfff804ff,0xffffffff,0x510000ff,0xfffffff9,0xfff903ff,
    0xffbdffff,0xffffffff,0xffffff90,0xfdd99dff,0x8dffffff,0x01fffffe,
    0xffffff30,0x7c00005f,0x1007ffff,0x409fffff,0xf85fffff,0xf905ffff,
    0xd801ffff,0x06ffffff,0xfff10000,0x7c400dff,0xf804ffff,0x7405ffff,
    0xaadfffff,0xffdaaaaa,0x00004fff,0xffffff10,0x3fffffa0,0x3ffe2000,
    0x3fe207ff,0x2600ffff,0x01ffffff,0xffff1000,0x100001ff,0x80ffffff,
    0x07fffff8,0x3fffffa2,0xefffffff,0x3fa7ffff,0x2000ffff,0x27fffff8,
    0x05fffffc,0xfffffff8,0x00ffffff,0xfffd5000,0xfd109fff,0xffffffff,
    0xffffdfff,0x3ffffa0f,0xffffffff,0x1fffffff,0x0ffffff4,0xfffff900,
    0x200001ff,0x007fffff,0x09fffff1,0x42fffffc,0x905fffff,0x401fffff,
    0xeffffffc,0xf1000000,0x400dffff,0x05fffff8,0x2fffffc4,0xffffff50,
    0xffffffff,0x09ffffff,0x3fe20000,0xffd07fff,0x44001fff,0x207fffff,
    0xfffffffb,0xffffffff,0x004fffff,0x3ffffe00,0xff100007,0xf880ffff,
    0x4407ffff,0xfffffffe,0xfffd9eff,0x3ffffa7f,0x3fe2000f,0x3fea7fff,
    0x40007fff,0x80ffffff,0x6c001998,0x106fffff,0xfffffffd,0xfffb3dff,
    0x3ffe20ff,0xffffffff,0x2fffffff,0x1fffffe8,0x3fffe200,0x80004fff,
    0x07fffff8,0x9fffff10,0x2fffffc0,0x82fffffc,0x00fffffc,0xfffffff5,
    0x44000003,0x006fffff,0x17ffffe2,0xbfffff10,0x7fffff40,0xffffffff,
    0x4fffffff,0xff100000,0x3fa0ffff,0x2001ffff,0x06fffff9,0x3ffffffa,
    0xffffffff,0x07ffffff,0x3fffe000,0xf100007f,0x880fffff,0x807fffff,
    0xffffffd8,0xffffb0ef,0x7fffff4f,0x3ffe6001,0x7fffc6ff,0x3e0003ff,
    0xd30fffff,0x800bffff,0x06fffffa,0x3fffff62,0xfffb0eff,0x7fe440ff,
    0xffffffff,0xd01effff,0x003fffff,0xffffffb8,0x372ea21f,0x3ffe203e,
    0xff1006ff,0x7fc09fff,0xfff85fff,0xfff905ff,0xfff301ff,0x0005ffff,
    0xffff8800,0x3fe2006f,0x7c405fff,0xf305ffff,0xffffffff,0xffffffff,
    0x0009ffff,0x3fffe200,0xffffb07f,0x7fd4007f,0xff305fff,0xffffffff,
    0xffffffff,0x0005ffff,0x1fffffe0,0x7ffc4000,0x7fc407ff,0x26007fff,
    0x20abefdb,0x367ffffd,0x003fffff,0x17ffffea,0x1ffffffb,0x3fffe000,
    0xffff10ff,0xff8800ff,0xb9807fff,0x360abefd,0x8807ffff,0xfffffffc,
    0x7402dfff,0x001fffff,0xffffffe8,0x3ffffe26,0x3fffe604,0xfff1006f,
    0x7ffc09ff,0xffff85ff,0xffffb05f,0xffff881f,0x00004fff,0xfffff880,
    0x7fffc006,0x7ffd406f,0xfffb05ff,0xffffffff,0xffffffff,0x000009ff,
    0x1fffffe2,0x7fffffdc,0xffffd000,0x3fff209f,0xffffffff,0xffffffff,
    0x00006fff,0x00ffffff,0x3fffe200,0x37fcc07f,0x3fa00000,0x3fee6fff,
    0xd000ffff,0xa89fffff,0x04ffffff,0xffffff00,0x7fffff41,0x3ffea003,
    0x200006ff,0x006ffffe,0x77fff5c4,0x65400001,0x40000abc,0x205fffff,
    0x05fffffa,0x9fffff10,0x0003ffc0,0x0fffffb0,0xbffffffd,0x22000000,
    0x006fffff,0x03fffffc,0x17fffff2,0x3fffffe6,0xffffffff,0xffffffff,
    0xf1000004,0x2a0fffff,0x05ffffff,0xffffffa8,0xffffff03,0xffffffff,
    0xffffffff,0xf00003ff,0x000fffff,0x3ffffe20,0x02ffd407,0x2000d554,
    0x2a5fffff,0x05ffffff,0xffffffa8,0xfffffd83,0xfd5000df,0x641fffff,
    0x01ffffff,0xfffffe88,0x000d5544,0x017ffffe,0xffffff30,0x7c00005f,
    0x005fffff,0x3fffffa0,0xfffffb00,0x3ffe2009,0xdff304ff,0x7fec0000,
    0x7ffe47ff,0x0000efff,0xffff1000,0xfff800df,0xff502fff,0xf90bffff,
    0x400bffff,0x04fffffb,0xfff10000,0x7ff40fff,0x700cffff,0x0fffffff,
    0x3bffffea,0x99999999,0xfffe9999,0xf80004ff,0x0007ffff,0xffffff10,
    0x805ffb80,0x1efffffb,0x3ffffe60,0x7fffff44,0xfff700cf,0x3e20ffff,
    0xafffffff,0xfffea980,0x260fffff,0x3fffffff,0x3ffffaa0,0x7ffdc1ff,
    0x3e601eff,0x4004ffff,0xfffdbbca,0xff00000f,0x00bfffff,0x3fffff60,
    0x7fffd40e,0xff9002ff,0x3ea07fff,0xf100006f,0x7d4fffff,0x01ffffff,
    0x3e200000,0x4006ffff,0xaffffffd,0xfffff930,0xfff88bff,0x2e002fff,
    0x004fffff,0xffff1000,0x7ffd40ff,0xdeefffff,0xfffffffe,0xffffb03f,
    0xff70007f,0x0000ffff,0x00ffffff,0x3fffe200,0x3ffe407f,0x7ffffcc0,
    0xfffd305f,0xfffa85ff,0xdeefffff,0xfffffffe,0x3ffee03f,0xdfffffff,
    0xfffffffe,0x640fffff,0xffffffff,0xfffeecce,0xf986ffff,0x305fffff,
    0x05fffffd,0x7fff9000,0xfb880000,0xf50007ff,0xbdffffff,0xdffffffd,
    0xfffdcc80,0xff702fff,0x32a0001f,0x6ffffffc,0x3fffffee,0xffffffff,
    0xffffffff,0x3fe2006f,0x54006fff,0xffffffff,0xffffffff,0x7ffe45ff,
    0x7dc006ff,0xffffffff,0xffffffff,0x3e207fff,0x7407ffff,0xffffffff,
    0xffffffff,0xff880fff,0x8000ffff,0x2ffffff8,0x7fffc000,0xf100007f,
    0xc80fffff,0xff801fff,0xcdffffff,0xfffffffd,0xfffffd05,0xffffffff,
    0x01ffffff,0xffffffb8,0xffffffff,0xffffffff,0xfffffd02,0xffffffff,
    0x03ffffff,0x3ffffffe,0xffffdcdf,0x00005fff,0x0007fff7,0x0ffff100,
    0x7fffec00,0xffffffff,0x3e202fff,0xffffffff,0x07fff701,0x3ffff600,
    0x3ee4ffff,0xffffffff,0xffffffff,0x06ffffff,0x3ffffe20,0xfffd8006,
    0xffffffff,0x25ffffcb,0x3ffffff8,0x7fffdc00,0xffffffff,0xffffffff,
    0x3fffe207,0x7fec407f,0xffffffff,0x1effffff,0xbfffff70,0x7ffec000,
    0x7c0006ff,0x0007ffff,0xffffff10,0xdffffb80,0x7fd42cba,0xffffffff,
    0x1fffffff,0xfffffb10,0xffffffff,0x2003dfff,0xfffffffa,0xffffffff,
    0x200dffff,0xfffffff8,0xffffffff,0x3ea02fff,0xffffffff,0xffffffff,
    0x2e602001,0x0001ffff,0xfffb3106,0x7fc4000d,0xffffffff,0x5404ffff,
    0xffffffff,0x3fffea05,0xf802cbbd,0xffffffff,0x3ffffee1,0xffffffff,
    0xffffffff,0x3e2006ff,0x0006ffff,0xfffffffb,0x3fff25ff,0x3fffee5f,
    0x7dc000ff,0xffffffff,0xffffffff,0x3e207fff,0x7007ffff,0xffffffff,
    0x1bffffff,0x7fffff40,0x3fea0002,0x0001ffff,0x01fffffe,0x7fffc400,
    0x7ffc407f,0xc82fffff,0xffffffff,0x3fffffff,0xfffffb80,0xffffffff,
    0x6c4000df,0xffffffff,0xdfffffff,0xfff91001,0xffffffff,0x9003dfff,
    0xffffffff,0x7fffffff,0xffffc800,0x004fffff,0x7fffffc0,0x0001ffff,
    0x7fffff4c,0x04ffffff,0xffffffc8,0x7ff400ff,0x403fffff,0xfffffff8,
    0x7fffdc3f,0xffffffff,0xffffffff,0x22006fff,0x006fffff,0x3ffffb20,
    0x3fff21de,0x3ffffe5f,0xffb8004f,0xffffffff,0xffffffff,0x3fe207ff,
    0x26007fff,0xfffffffd,0x4c02dfff,0x007fffff,0xffffff80,0x3ffe0004,
    0x100007ff,0x00ffffff,0xfffffff5,0x3fff6605,0xffffffff,0x3f66000d,
    0xffffffff,0x440002df,0xffffffeb,0x000bdfff,0xfffff910,0x05bfffff,
    0xffffd980,0xdfffffff,0xfffc8000,0x002effff,0xffffff80,0x00000dff,
    0x3fffffee,0xfb001cff,0x05ffffff,0xffffff30,0xfffa807f,0xfb85ffff,
    0xffffffff,0xffffffff,0x06ffffff,0x3ffffe20,0xaa880006,0xfffb8000,
    0xb8000fff,0xffffffff,0xffffffff,0x2207ffff,0x007fffff,0x55755530,
    0x3ff60013,0x80004fff,0x07fffffc,0x3ffffe00,0xff100007,0x2200ffff,
    0x800acedc,0xcdedcca9,0x4c0000ab,0x09aabaaa,0xa9880000,0x0001aaba,
    0xabba9880,0xa980001a,0xabcdedcc,0x2aa20000,0x0001abcc,0x2b332aa0,
    0x2000000a,0x009aaa98,0x6f6e5cc0,0x36e2000b,0xb8801ace,0x000aceed,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3b620000,
    0x000004ee,0x3bbb6200,0x0000005e,0x3ffffe20,0x6400001f,0x0000deee,
    0x40000000,0xeeeeeee9,0xc8001eee,0xeeeeeeee,0xc802eeee,0x77445eee,
    0x2a0002ee,0x004eeeee,0xd92776c4,0x200001bd,0x3ba205ed,0xdd900003,
    0x00003ddd,0x3ffffee0,0x1dffffb2,0xfff10000,0x40003fff,0x04fffffc,
    0xcb800000,0x3bb20002,0x00000eee,0x2a000000,0x132e01cc,0x80555555,
    0x003fffd8,0xffb00000,0x0007ffff,0x3fee0000,0x00001fff,0x006fffdc,
    0x07fffdc0,0x009ffff1,0x7fffcc00,0x01ffffff,0xfffffd80,0x3fffffff,
    0x3ffff880,0x001bfffa,0x1dffffd0,0x7fff5000,0x0003fff7,0xc80ffec0,
    0xa80003ff,0x06ffffff,0xffff0000,0x3fffe67f,0xf700000f,0x0003ffff,
    0x1fffffb0,0xe8000000,0xff50006f,0x000dffff,0x1cefb880,0x2a007fe8,
    0xdff105ff,0x05ffffe8,0x003fff70,0xffb80000,0x01ffffff,0xff800000,
    0x00002fff,0x001fffcc,0xd9bfff60,0x0000efff,0x33333220,0x000ccccc,
    0xffffffd8,0x03ffffff,0xb3ffff50,0x0001ffff,0x077fffd4,0xffff5000,
    0x800005ff,0x2a21effb,0x40000fff,0xfffffff8,0x5400004f,0x3f24ffff,
    0x00002fff,0x00bffffe,0xffffd800,0x20000003,0x88004ff8,0xffffffff,
    0xff300004,0x959dffff,0x7c400dff,0x7fec42ff,0x2fffff44,0x00bdd300,
    0x7fcc0000,0x6fffebff,0x5c000000,0x0002ffff,0x001eed80,0xcffff880,
    0x001ffffc,0x00000000,0x7fffffec,0x03ffffff,0x3fffff60,0x40003fff,
    0x000ffffe,0x2eeeeb80,0xfe880000,0xffffefff,0xffe80004,0x1ffffcef,
    0x3ffa0000,0x3fffe25f,0x3ee00003,0x00002fff,0x007fffe8,0x3fee0000,
    0xfffe8001,0x01ffffce,0xffffe800,0xffffffff,0x7ffe4005,0x0ffffedf,
    0x02fffff4,0xdd505dd5,0x74000005,0xfff15fff,0x0000009f,0x001ffff4,
    0xa82eea80,0xf50002ee,0x9fffffff,0xdd500000,0x005dd505,0x10000000,
    0xbffffffd,0xfff98000,0x3aa0001f,0x02eea82e,0x3ffe6000,0x006fffff,
    0x0ffffb80,0x001dfffb,0x1dfff500,0x0027ffe4,0x0ffffa00,0x7f440000,
    0x000003ff,0x7000ffb0,0x3f61ffff,0xf80006ff,0xfffeccff,0x8001ffff,
    0xfffffffe,0xffffe82f,0x20ffea05,0x00002ffb,0x41ffff90,0x002ffffa,
    0xfffa8000,0x3ea00004,0x02ffb83f,0x3ffff200,0x000006ff,0xff707ff5,
    0x00000005,0x3fffe600,0x6c0000ff,0x40001fff,0xffb83ffa,0x64400002,
    0x003fffff,0x2ffff980,0x017fffa2,0x83fffa00,0x0006fff8,0x027ffd40,
    0x3fa20000,0x8000006f,0x4c004ff8,0x3e22ffff,0x20004fff,0x75c45ff8,
    0x20000cff,0x1efffffb,0x0bffffd0,0x7dc1ffd4,0x3000002f,0x33101333,
    0x00000013,0x00003331,0xfb83ffa8,0x3a20002f,0x000fffff,0x07ff5000,
    0x00005ff7,0x4c400000,0x80000999,0x80000999,0xffb83ffa,0x22000002,
    0x22000009,0x99881999,0x99800019,0x04ccc409,0x26620000,0x10000001,
    0x00000333,0x8005ff50,0x98819998,0x4c000199,0x00004009,0x88013510,
    0x99989999,0x80998999,0x99998998,0x00000019,0x44000000,0x09abccaa,
    0x26666600,0x98809989,0x19999989,0x40000000,0x98999999,0x98998809,
    0x32019999,0x66443ccc,0xccc802cc,0x6666443c,0x3cccc802,0x41666644,
    0x98999999,0x98998809,0x80019999,0xaaccba98,0x26660009,0x99800199,
    0x30001999,0x01359955,0x26666600,0x99998001,0x26666619,0x99998001,
    0x99980019,0x00000ffd,0x4c000000,0x009accaa,0x33000000,0xffff3333,
    0xff8001ff,0x26627fff,0x31000999,0x00133333,0x02666662,0xfffffd70,
    0x007fffff,0x01ffffff,0x7fffff80,0x26666662,0x00199999,0xffffff80,
    0x7fffc000,0xffff107f,0x5ffff98d,0x37fffc40,0x017fffe6,0x98dffff1,
    0xff85ffff,0x4000ffff,0x007fffff,0x3fffff6a,0x02dfffff,0x0ffffff8,
    0x7ffffc00,0x3fb22007,0xffffffff,0x3ffe003d,0x7c000fff,0x3fe7ffff,
    0x4000ffff,0x807fffff,0xfffffec9,0x266200ef,0x99800199,0x22001999,
    0xffffffec,0x0003dfff,0x40666666,0xfffffff8,0x000fffff,0xb3fffffc,
    0x007fffff,0x3ffffff6,0xffff9005,0x3ffa607f,0xffffffff,0x3e03ffff,
    0x000fffff,0xd3fffffc,0xffffffff,0xffffffff,0x3fe0059d,0x4000ffff,
    0x107fffff,0xf98dffff,0x7c405fff,0x7fcc6fff,0x7fc405ff,0x7ffcc6ff,
    0xfffff85f,0x7ffc000f,0xfe9807ff,0xffffffff,0x02efffff,0x03fffffe,
    0xffffff00,0x3fffee00,0xffffffff,0xff801eff,0x4000ffff,0x3e7fffff,
    0x000fffff,0x03fffffc,0x3ffffff2,0xd02fffff,0x001fffff,0x0ffffff8,
    0xfffffb80,0xffffffff,0x7c4001ef,0xf107ffff,0xffffffff,0xf8001fff,
    0x3ee7ffff,0xf005ffff,0x0fffffff,0x3fffffa0,0xfffff981,0xffffffff,
    0xff04ffff,0x8001ffff,0x3a7fffff,0xffffffff,0xffffffff,0x7c02efff,
    0x000fffff,0x83fffffc,0x4c6ffff8,0x4405ffff,0x7cc6ffff,0x7c405fff,
    0x7fcc6fff,0xffff85ff,0x7fc000ff,0x7dc07fff,0xffffffff,0xffffffff,
    0xfffff02f,0xfff8001f,0x7ec407ff,0xffffffff,0xffffffff,0x7ffffc03,
    0x7ffc000f,0x3fffe7ff,0x7fc000ff,0xfd307fff,0xffffffff,0xfd09ffff,
    0x8001ffff,0x00ffffff,0x3fffff62,0xffffffff,0x2003ffff,0x07fffff8,
    0xfffffff1,0x001fffff,0x27fffff8,0x07fffff9,0xffffff98,0xfff801ff,
    0xfff887ff,0xffffffff,0xffffffff,0xffffff82,0x7fffc000,0x3ffffa7f,
    0xffffffff,0xffffffff,0x3fffe03f,0x7fc000ff,0xff107fff,0xfff98dff,
    0x7ffc405f,0x7fffcc6f,0x7fffc405,0x2ffffcc6,0x07fffffc,0x3ffffe00,
    0x3ffff607,0xffffffff,0xffffffff,0xffffff82,0x7fffc000,0x3ffe207f,
    0xffffffff,0xffffffff,0xffff00ef,0xff8001ff,0x3ffe7fff,0x7c000fff,
    0xfd07ffff,0xffffffff,0x85ffffff,0x00fffffe,0x7fffffc0,0xfffff100,
    0xffffffff,0xdfffffff,0xffff1001,0x3ffe20ff,0xffffffff,0x7ffc000f,
    0x7fffc7ff,0x7fdc00ff,0x03ffffff,0x2fffffcc,0x7fffffd4,0xffcbabcf,
    0x40ffffff,0x00ffffff,0x3fffffc0,0xfffffffd,0xffffffff,0x3fffffff,
    0x3fffffe0,0x7fffc000,0x2aaaa07f,0x0d555442,0x21555540,0x801aaaa8,
    0x5442aaaa,0xfff81aaa,0x7c000fff,0xf707ffff,0xffffffff,0xffffd99d,
    0xf83fffff,0x000fffff,0x03fffffc,0xfffffffd,0xfffb9bff,0x09ffffff,
    0x03fffffe,0xffffff00,0x07fffffc,0x3ffffe00,0xfffffb87,0xffffaacf,
    0x7ff46fff,0x7c000fff,0xd00fffff,0xffffffff,0xffffb9bf,0x009fffff,
    0x0ffffff1,0x3fffffe2,0x00ffffff,0x3fffffc0,0x0bfffff6,0xffffffd0,
    0xffb80bff,0xffd84fff,0x7e403fff,0x7c3fffff,0x000fffff,0xd3fffffc,
    0xffffffff,0xffffffff,0x0bffffff,0x03fffffe,0xffffff00,0x00000000,
    0x00000000,0x1ffffff0,0xfffff800,0xfffff987,0x3ee01dff,0x45ffffff,
    0x00ffffff,0x3fffffc0,0xffffffb8,0xffb100cf,0xf03fffff,0x001fffff,
    0x27fffff8,0x00ffffff,0x3fffffc0,0x3fffffe2,0x3ffbfee1,0x3ffa2fff,
    0x7c000fff,0xb80fffff,0xcfffffff,0xffffb100,0xf8803fff,0xf107ffff,
    0xffffffff,0xf8001fff,0x7dc7ffff,0x2204ffff,0xffffffff,0x7ffec07f,
    0xffff82ff,0xfffb006f,0xffff8bff,0x7fc000ff,0x3ffa7fff,0xd8800fff,
    0x1fffffff,0x0ffffff8,0x7ffffc00,0x00000007,0x00000000,0xffffff80,
    0x7fffc000,0xfffff87f,0xfd1003ff,0x7c1fffff,0x000fffff,0x43fffffc,
    0xfffffff9,0xffff5002,0xffff0dff,0xff8001ff,0x3ffe7fff,0x7c000fff,
    0x7e47ffff,0x7ec3ffff,0x4effff9f,0x03fffffa,0xffffff00,0xfffff981,
    0xff5002ff,0x880dffff,0x107fffff,0xffffffff,0x8001ffff,0x4c7fffff,
    0x205fffff,0xfffffffa,0x3fa01fff,0x7cc0ffff,0x5003ffff,0xf8dfffff,
    0x000fffff,0xd3fffffc,0x001fffff,0x7fffffd4,0xffffff83,0x7fffc000,
    0x0000007f,0x00000000,0xfffff800,0x7ffc000f,0x7ffd47ff,0x44002fff,
    0x23ffffff,0x00ffffff,0x3fffffc0,0x7fffffec,0x7ffd4001,0x7ffc3fff,
    0x7c000fff,0x3fe7ffff,0x4000ffff,0x6c7fffff,0x220fffff,0x013774ff,
    0x01fffffd,0xffffff80,0x7ffffec0,0x7fd4001f,0x2203ffff,0x107fffff,
    0xffffffff,0x8001ffff,0x447fffff,0x207fffff,0xfffffffc,0xff103fff,
    0xff30dfff,0x6c00ffff,0x7fc4cccd,0x4000ffff,0x3a7fffff,0x000fffff,
    0x27fffffc,0x07fffffc,0x3ffffe00,0x3bbbba27,0xeeeee803,0x7ddddd14,
    0x9ddddd00,0x0fbbbba2,0x53bbbba0,0x00ffffff,0x3fffffc0,0x1bfffff6,
    0x677fe400,0x3ffffe1b,0x7ffc000f,0x7ffc47ff,0xb0005fff,0xf8ffffff,
    0x000fffff,0xf3fffffc,0x001fffff,0x47fffff8,0x546ffffe,0xffd002ff,
    0xf8001fff,0x220fffff,0x05ffffff,0xfffffb00,0x7fffc40f,0xffff107f,
    0xffffffff,0xffff8001,0xffffe87f,0xffffd01f,0x0bffffd9,0x13ffffea,
    0x6ffffffc,0xfff00001,0xf8001fff,0x3fa7ffff,0x4000ffff,0x84fffffc,
    0x00ffffff,0x3fffffc0,0x09fffff1,0x2bfffff0,0x04fffff8,0x15fffff8,
    0x009fffff,0x3ebfffff,0x000fffff,0x13fffffc,0x03ffffff,0xff006200,
    0x8001ffff,0x547fffff,0x00ffffff,0xfffff300,0x7ffffc3f,0x7ffc000f,
    0x3fffe7ff,0x7fc000ff,0x7ffc7fff,0x03fe45ff,0x1fffffd0,0xfffff800,
    0x3fffea0f,0xf30000ff,0x203fffff,0x07fffff8,0xfffffff1,0x001fffff,
    0x87fffff8,0x82fffffc,0xcafffff8,0xf907ffff,0x3a05ffff,0xdfffffff,
    0x3fe0001b,0x4000ffff,0x3a7fffff,0x000fffff,0x1fffffec,0x07fffffc,
    0x3ffffe00,0x3ffffe27,0xfffff804,0x9fffff15,0xbfffff00,0x13ffffe2,
    0x57ffffe0,0x00ffffff,0x3fffffc0,0x0dfffff7,0xfff80000,0x7c000fff,
    0x7ec7ffff,0x0005ffff,0x17fffff4,0x01ffffff,0x7fffff80,0x03fffffe,
    0xffffff00,0x2fffffc4,0xfe8017fe,0x4000ffff,0x20ffffff,0x05fffffd,
    0x7ffff400,0xffff102f,0x3ffe20ff,0xffffffff,0x7ffc000f,0xfffa87ff,
    0xfffa84ff,0xffff98ff,0xffffd81f,0xffff500f,0x9dffffff,0x7ffc0015,
    0x7c000fff,0x3fa7ffff,0x4000ffff,0x82ffffff,0x00ffffff,0x3fffffc0,
    0x09fffff1,0x2bfffff0,0x04fffff8,0x15fffff8,0x009fffff,0x3ebfffff,
    0x000fffff,0x93fffffc,0x00bfffff,0xffff8000,0x7fc000ff,0x7ff47fff,
    0x40003fff,0x23fffffc,0x00ffffff,0x3fffffc0,0x01ffffff,0x7fffff80,
    0x97ffffe6,0x3a003ff9,0x000fffff,0x07fffffc,0x07fffffd,0xffffc800,
    0xffff103f,0x3ffe20ff,0xffffffff,0x7ffc000f,0xfff887ff,0xfffc86ff,
    0x3ffffe6f,0x6fffff83,0x7ffffe40,0xffffffff,0xffff802e,0x7fc000ff,
    0x3ffa7fff,0xb1000fff,0x01ffffff,0x01ffffff,0x7fffff80,0x13ffffe2,
    0x57ffffe0,0x04fffff8,0x15fffff8,0x009fffff,0x3ebfffff,0x000fffff,
    0xb3fffffc,0x009fffff,0xffff8000,0x7fc000ff,0x7ffc7fff,0x40002fff,
    0x24fffffb,0x00ffffff,0x3fffffc0,0x01ffffff,0x7fffff80,0x9bffffe2,
    0x3a000ffc,0x99afffff,0x99999999,0x0ffffff9,0x0bfffffe,0xffff7000,
    0x3ffe209f,0xfff107ff,0xffffffff,0xfff8001f,0xfffd07ff,0xfffe81ff,
    0x3ffff64f,0x7ffffcc5,0xffffe804,0xffffffff,0x3fe03fff,0x4000ffff,
    0x3a7fffff,0xaabfffff,0xfcbaaaaa,0x04ffffff,0x01ffffff,0x7fffff80,
    0x13ffffe2,0x57ffffe0,0x04fffff8,0x15fffff8,0x009fffff,0x3ebfffff,
    0x000fffff,0xd3fffffc,0x005fffff,0x33333333,0x7fc33333,0x4000ffff,
    0x7c7fffff,0x001fffff,0x7ffffd40,0x3fffffe6,0x7fffc000,0x3ffffe7f,
    0x7ffc000f,0x7fffc7ff,0x311bfa7f,0x7fffff40,0xffffffff,0xffffffff,
    0x3fffe0ff,0x540001ff,0x106fffff,0x20ffffff,0xfffffff8,0x000fffff,
    0x83fffffc,0x21fffffc,0x22fffff8,0x5c7ffffb,0x002fffff,0xfffffff7,
    0xffffffff,0x3ffffe09,0x7ffc000f,0x3fffa7ff,0xffffffff,0xffffffff,
    0xfff00fff,0xf8001fff,0x3e27ffff,0xf804ffff,0xff15ffff,0xff009fff,
    0x3fe2bfff,0xff804fff,0xffff5fff,0xff8001ff,0x3ffe7fff,0xff802fff,
    0xffffffff,0xffff0fff,0xff8001ff,0x3fe27fff,0x0000ffff,0x3fffffcc,
    0x01ffffff,0x7fffff80,0x03fffffe,0xffffff00,0x9fffffe8,0x7fe44ff8,
    0xfffd0bde,0xffffffff,0xffffffff,0x3e21ffff,0x000fffff,0x7ffffcc0,
    0xfffff107,0x3fffe20f,0xffffffff,0x7fffc000,0xffff507f,0x7fffdc7f,
    0x7ffffcc7,0x3fffff21,0x3fb22000,0xffffffff,0xff85ffff,0x4000ffff,
    0x3a7fffff,0xffffffff,0xffffffff,0x200dffff,0x00ffffff,0x3fffffc0,
    0x09fffff1,0x2bfffff0,0x04fffff8,0x15fffff8,0x009fffff,0x3ebfffff,
    0x000fffff,0xd3fffffc,0x005fffff,0xffffffff,0x3e1fffff,0x000fffff,
    0x13fffffc,0x01ffffff,0xffffa800,0x3ffffe7f,0x7ffc000f,0x3fffe7ff,
    0x7fc000ff,0x7fdc7fff,0x1ffbdfff,0xd3fffffc,0xffffffff,0xffffffff,
    0x1fffffff,0x3fffffe2,0x7fd40000,0xff107fff,0x3e20ffff,0xffffffff,
    0x7c000fff,0xf307ffff,0x7ecbffff,0xfff85fff,0x3fffa3ff,0x3260007f,
    0xfffffffe,0x7fc5ffff,0x4000ffff,0x3a7fffff,0xffffffff,0xffffffff,
    0xff803fff,0x4000ffff,0x227fffff,0x804fffff,0xf15fffff,0xf009ffff,
    0x3e2bffff,0xf804ffff,0xfff5ffff,0xf8001fff,0x3fa7ffff,0xf803ffff,
    0xffffffff,0xfff0ffff,0xf8001fff,0x7fc7ffff,0x0001ffff,0x37ffffdc,
    0x01ffffff,0x7fffff80,0x03fffffe,0xffffff00,0xffffff88,0x7ffe47fe,
    0x3fffa4ff,0xffffffff,0xffffffff,0x3fe0ffff,0x0001ffff,0x37ffffdc,
    0x7fffff88,0xffffff10,0x01ffffff,0x7fffff80,0x9fffffe0,0xd83fffff,
    0xff15ffff,0x0000bfff,0x3ffff2a2,0x3e1fffff,0x000fffff,0xd3fffffc,
    0xffffffff,0xffffffff,0x7ffc0037,0x7c000fff,0x3e27ffff,0xf804ffff,
    0xff15ffff,0xff009fff,0x3fe2bfff,0xff804fff,0xffff5fff,0xff8001ff,
    0x3ff67fff,0xff804fff,0xffffffff,0xffff0fff,0xff8001ff,0x7ff47fff,
    0x40002fff,0x24fffffc,0x00ffffff,0x3fffffc0,0x01ffffff,0x7fffff80,
    0xffffffd8,0xfffec9df,0x3ffa1fff,0xeeeeefff,0xfeeeeeee,0x3a0fffff,
    0x002fffff,0x7ffffe40,0xfffff104,0x3fffe20f,0xfffffeff,0x3ffe2000,
    0x3ff607ff,0xfff98fff,0xfffb81ff,0xfffff57f,0x2a000007,0x4ffffffe,
    0x03fffffa,0xfffff880,0x3fffffa7,0xfffeccab,0x74005fff,0x000fffff,
    0x9fffffe2,0x04fffff8,0x15fffff8,0x009fffff,0x22bfffff,0x804fffff,
    0xfd5fffff,0x4001ffff,0x27fffff8,0x05fffffc,0xfffffff8,0xd0ffffff,
    0x001fffff,0x3fffffc4,0x0ffffff2,0xffffb000,0x7ffff47f,0x3fe2000f,
    0x3ffa7fff,0x22000fff,0x887fffff,0xffffffff,0xffffffff,0x7fffff44,
    0x7fffc000,0x3fff20ff,0x6c0003ff,0x103fffff,0x20ffffff,0xeffffff8,
    0x000fffff,0x1fffffe2,0xafffffb8,0x307ffffb,0xf73fffff,0x1003ffff,
    0xfd800333,0x3fa6ffff,0x2000ffff,0x27fffff8,0x80fffffe,0xeffffffb,
    0xffffd001,0x7fc4001f,0x3fe27fff,0x7c405fff,0xff15ffff,0xf880bfff,
    0xff15ffff,0xf880bfff,0xffd5ffff,0x44001fff,0x2a7fffff,0x007fffff,
    0x7fffffc0,0x1fffffd0,0x7fffc400,0x7fffdc7f,0x7f40005f,0x3fa2ffff,
    0x2000ffff,0x27fffff8,0x00fffffe,0x3ffffe20,0xfffff507,0xffffffff,
    0xffffd0bf,0xfff8001f,0x3fee0fff,0x40005fff,0x02fffffe,0x0ffffff1,
    0x3fffffe2,0x01fffffe,0x3ffffe60,0x3fffe606,0x5ffffdcf,0x2fffffe0,
    0x207ffffd,0x05ffffe9,0x7ffffd40,0x3fffffa6,0x3ffe6001,0x3fffa6ff,
    0xfff500ff,0xd003ffff,0x003fffff,0x37ffffcc,0x0bfffff1,0x5fffff88,
    0x0bfffff1,0x5fffff88,0x0bfffff1,0x5fffff88,0x03fffffd,0x7ffffcc0,
    0x7fffffc6,0x3ffe0003,0xfffd0fff,0x7cc003ff,0x7d46ffff,0x001fffff,
    0xffffff50,0x7fffff43,0x3ffe6001,0x3fffa6ff,0x3e6001ff,0x2606ffff,
    0xfffffffe,0xe80dffff,0x000fffff,0x07fffffc,0x3ffffff5,0x3ffea000,
    0xff101fff,0x3e20ffff,0xffdfffff,0x2a003fff,0x405fffff,0xffefffff,
    0x3f203fff,0xffffdfff,0x3ffe205f,0x7c4007ff,0x3f67ffff,0x2003ffff,
    0x25fffffa,0x00fffffe,0x3ffffff2,0x7ffec00e,0x3ea003ff,0x3e25ffff,
    0x4405ffff,0xf15fffff,0x880bffff,0xf15fffff,0x880bffff,0xfb5fffff,
    0x4007ffff,0x45fffffa,0x0ffffffd,0xfffff000,0x3ffff61f,0x3fea003f,
    0x7fc45fff,0x0006ffff,0x8ffffffd,0x03fffffd,0x3ffffea0,0x3fffff65,
    0x3ffea003,0xffd805ff,0x1dffffff,0x3fffffa0,0x7fffc000,0x3ffe20ff,
    0xd0006fff,0x40ffffff,0x07fffff8,0x7ffffff1,0x01ffffff,0x3fffffa0,
    0x7fffec04,0x01ffffff,0x3fffffea,0x7403ffff,0x003fffff,0x9bffffea,
    0x0ffffffb,0xfffffd00,0x7fffff49,0x7ffff400,0x7fdc05ff,0xd000ffff,
    0xf89fffff,0x5406ffff,0x3e5fffff,0x5406ffff,0x3e5fffff,0x5406ffff,
    0xf75fffff,0x001fffff,0x13fffffa,0x9ffffff5,0x3fffe000,0xffff70ff,
    0x3fa001ff,0xfc84ffff,0x002fffff,0x7fffffdc,0x7ffffdc3,0xfffd000f,
    0x7ffdc9ff,0xfd000fff,0x9009ffff,0x035557ff,0x3fffffa0,0x7fffc000,
    0x7ffe40ff,0x5c002fff,0x03ffffff,0x1fffffe2,0x7fffffc4,0x5ffffffa,
    0xfffffa80,0x7ffdc03f,0x07ffffff,0x7fffffc4,0x6401ffff,0x01ffffff,
    0xfffffe88,0x3ffffea4,0xfffa805f,0x3ffa3fff,0x7c400fff,0x02ffffff,
    0x3fffffea,0xffffa805,0x7fffc3ff,0x7ffe407f,0x3fffe5ff,0x7ffe407f,
    0x3fffe5ff,0x7ffe407f,0xffff55ff,0xff500bff,0xfb07ffff,0x01bfffff,
    0x3ffffaa0,0xffff50ff,0xff500bff,0xf107ffff,0x07ffffff,0x3fffff20,
    0xffffa86f,0xffa805ff,0x3ea3ffff,0x805fffff,0x3ffffffa,0x0005ff80,
    0x03fffffa,0xffffff00,0xfffff881,0xff9003ff,0x880dffff,0x107fffff,
    0x3affffff,0x0cffffff,0xffffff70,0xffff500f,0x00bfffff,0xfffffffd,
    0xfff300ff,0x5407ffff,0x1ffffffe,0x7ffffff4,0xffff700c,0xfffe8fff,
    0xffb800ff,0x200fffff,0xcffffffe,0xfffff700,0xfffff0ff,0x3ffea05f,
    0x3ffe5fff,0xff502fff,0x7fcbffff,0xf502ffff,0x74bfffff,0x0cffffff,
    0xffffff70,0x3fffe20f,0x980affff,0xffffffea,0x3fffa0ff,0xf700cfff,
    0x40ffffff,0xfffffffa,0x7f4c409d,0x01ffffff,0x9ffffffd,0x3fffee01,
    0xfffe87ff,0xf700cfff,0x00ffffff,0x40007ff3,0x00fffffe,0x7fffffc0,
    0xfffffa80,0x4c409dff,0xfffffffe,0x7fffc401,0xffff107f,0x3fffeaff,
    0xedeeffff,0xffffffff,0xffff8803,0x802fffff,0xfffffffc,0xfff9005f,
    0x99dfffff,0xffffffdd,0xffff50df,0xdbddffff,0xffffffff,0xfffffe87,
    0xffffb000,0x7fd40bff,0xeeffffff,0xffffffed,0xfffd83ff,0xf930afff,
    0x4bffffff,0xaffffffd,0xfffff930,0x7ffecbff,0xf930afff,0x4bffffff,
    0xfffffffa,0xfffedeef,0x203fffff,0xfffffffb,0xfffedfff,0xffffffff,
    0x3fffea0f,0xedeeffff,0xffffffff,0x7fffec03,0xedefffff,0xffffffff,
    0x3ffea04f,0xdeefffff,0xfffffffe,0xffffa83f,0xedeeffff,0xffffffff,
    0x00ffb803,0x3ffffa00,0x7ffc000f,0xffb00fff,0xdfffffff,0xffffffdb,
    0xf1009fff,0x220fffff,0x3a7fffff,0xffffffff,0xffffffff,0xfd000fff,
    0x1fffffff,0xfffff500,0x74007fff,0xffffffff,0xffffffff,0xffd01fff,
    0xffffffff,0xffffffff,0xffffe81f,0xfff1000f,0x7405ffff,0xffffffff,
    0xffffffff,0xffa80fff,0xffffffff,0xffffffff,0x3ffffea5,0xffffffff,
    0x2a5fffff,0xffffffff,0xffffffff,0x7fff45ff,0xffffffff,0xffffffff,
    0x7fffdc00,0xffffffff,0xffffffff,0xfffe82ff,0xffffffff,0xffffffff,
    0x7fff4400,0xffffffff,0xffffffff,0x7fff400d,0xffffffff,0xffffffff,
    0xfffffd00,0xffffffff,0x01ffffff,0x8000dfd0,0x00fffffe,0x7fffffc0,
    0xffffd100,0xffffffff,0xbfffffff,0xffff1001,0x3ffe20ff,0x3ff627ff,
    0xffffffff,0x1effffff,0x3ffff200,0xf1006fff,0x3fffffff,0x7fffc400,
    0xffffffff,0x02ffffff,0x3fffff62,0xffffffff,0xfe81efff,0x2000ffff,
    0x6ffffffb,0x3ffff620,0xffffffff,0x201effff,0xfffffffd,0xffcbffff,
    0x7ffec5ff,0xffffffff,0x45ffffcb,0xfffffffd,0xffcbffff,0x7fec45ff,
    0xffffffff,0x1effffff,0xfffff500,0xffffffff,0x1bffffff,0x3ffff620,
    0xffffffff,0x001effff,0x3fffffee,0xffffffff,0xb1003fff,0xffffffff,
    0xffffffff,0x7fec403d,0xffffffff,0x1effffff,0x004ff880,0x7fffff40,
    0x7fffc000,0x7fdc00ff,0xffffffff,0x3fffffff,0x3fffe200,0xffff107f,
    0xffff70ff,0xffffffff,0xa8001bff,0x4fffffff,0x3ffffa00,0xc88007ff,
    0xffffffff,0x1effffff,0xfffff700,0xffffffff,0x3ffa01bf,0x6c000fff,
    0x04ffffff,0x7fffffdc,0xffffffff,0xfffd800d,0x92ffffff,0xfb0bffff,
    0xffffffff,0x17ffff25,0x3ffffff6,0xfff92fff,0x3ffee0bf,0xffffffff,
    0x4000dfff,0xffffffd8,0xffffffff,0xff7001df,0xffffffff,0x001bffff,
    0xfffffd30,0xffffffff,0xff70001b,0xffffffff,0x001bffff,0x3fffffee,
    0xffffffff,0x3ff5000d,0xfffe8000,0x7fc000ff,0x9800ffff,0xfffffffe,
    0x0dffffff,0x7fffc400,0xffff107f,0x3ff660ff,0xffffffff,0xff10002d,
    0x005fffff,0x7fffffdc,0x3f220006,0xffffffff,0xd98002df,0xffffffff,
    0x7f402dff,0x4000ffff,0xfffffff8,0x7ffecc01,0xdfffffff,0x7ff64002,
    0x3f21deff,0xfd905fff,0x643bdfff,0xd905ffff,0x43bdffff,0x205ffffc,
    0xffffffd9,0x002dffff,0x7fff5c40,0xbdffffff,0xffd98000,0xffffffff,
    0xcb80002d,0xfffffffe,0x4c0002ce,0xfffffffd,0x8002dfff,0xffffffd9,
    0x002dffff,0x40003fdc,0x00fffffe,0x7fffffc0,0x3fb2e000,0xceffffff,
    0xfff10002,0x3fe20fff,0xa9807fff,0x009aabaa,0xffffe800,0x3e6000ff,
    0x004fffff,0x57753100,0x4c000035,0x09aabaaa,0xfffffd00,0xfff70001,
    0x4c00dfff,0x09aabaaa,0x05544000,0x15510000,0x55440000,0xa9800000,
    0x009aabaa,0xaa988000,0x00001aab,0x555d554c,0x20000009,0x0000aba9,
    0x2eaaa600,0x000009aa,0x35575553,0x00080001,0xfffffe80,0x7fffc000,
    0x260000ff,0x00000aba,0x0ffffff1,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77640000,0x00001eee,0x7fffec00,0x0000004f,0x00000000,
    0x3ffe6000,0x000007ff,0x00000000,0x5fffffb8,0x05993000,0xd9006654,
    0x0003dddd,0x33331000,0x76400001,0x776c0eee,0x6c00005e,0x003fffff,
    0xffff8000,0x200001ff,0x002aaaa9,0x666664c0,0x3ccccccc,0x7ffdc000,
    0x000005ff,0x40000000,0x05fffffb,0xdeeeed80,0xff500000,0x000dffff,
    0x7ffc4000,0xd00004ff,0xffa8bfff,0x7ec001ff,0x3fe60eff,0xa80003ff,
    0x003fffff,0x9fffd100,0x00ffffb8,0x7ffc0000,0x220005ff,0x3ffa06ff,
    0x3ffff600,0x8000001f,0x006ffffd,0x3ffffa00,0x03ffffc0,0xffff3000,
    0x0000009f,0x05fffff7,0xfffc8000,0x7dc0007f,0xffffffff,0x40005fff,
    0x005fffff,0x2f7f2600,0x0027fc40,0xffffe800,0xfffb8006,0x80005fff,
    0xfffffff8,0x0000004f,0x00bffff9,0x7fffc400,0x09ffff13,0xbfffd100,
    0x017fffa2,0xffffa800,0x3e600006,0xfff32fff,0x8000007f,0x006ffffb,
    0x20bffe80,0x6c06ffb8,0x001fffff,0xfffd8000,0x3a00006f,0x7fc0ffff,
    0x200007ff,0x004ffffc,0xfffd0000,0x9000005f,0x000fffff,0xffffffb8,
    0x05ffffff,0x3fffee00,0x3f200006,0xabdfffff,0x00004ffd,0x0effffa8,
    0x7fffcc00,0x0003ffff,0x7e77fff4,0x00001fff,0x2ffffc40,0x7fdc0000,
    0x6fffeaff,0x3ffe6000,0x0ffffdbf,0x7fdc0000,0x200002ff,0xff9ffffc,
    0x000005ff,0x00efffe8,0xffffa800,0x02ffffee,0x0fffffec,0x7ec00000,
    0x00006fff,0xf03ffffa,0x0000ffff,0x017fffe2,0x7fd40000,0x000003ff,
    0x00fffff9,0xfffffb80,0x5fffffff,0x3fffa000,0xf100000e,0xffffffff,
    0x0005ffff,0x1dfffd00,0xfffe8800,0x00ffffcd,0x1ffff900,0x003bfff6,
    0xfffb8000,0x36000006,0xffffffff,0x7fe40001,0x02ffffff,0xfff70000,
    0xfe80000d,0x0fffffff,0x7d400000,0x00000eff,0x3ffffff2,0xffd804ff,
    0x00001fff,0x6ffffd80,0x3ffa0000,0x7fffc0ff,0xff900007,0x000000bf,
    0x0027fff4,0xffff9000,0x9988000f,0x99999999,0xf5000099,0x00001dff,
    0x7edf7fd4,0x06ffffff,0xfff98000,0xffc8000f,0xdfffd0ef,0xffff3000,
    0x27fff445,0xfff00000,0x4000001d,0xfffffff8,0xffd00003,0x000bffff,
    0x1fffc800,0x3fe60000,0x002fffff,0xfffe8000,0xea800000,0x002effff,
    0x03fffffb,0xffb00000,0x40000dff,0x99819998,0x88000199,0x0000efff,
    0x9fff3000,0xfc800000,0x00007fff,0x3a000000,0x00000fff,0x32617fdc,
    0x0000bfff,0x01fffd80,0x1ffffa80,0x013fffe2,0x10333310,0x00003333,
    0x0004ccc0,0x7ffd4000,0x200005ff,0x0efffff8,0x99800000,0x5c000009,
    0x004fffff,0x13330000,0x98800000,0x7fec0009,0x00001fff,0x09999880,
    0x55300000,0x00013599,0x00999880,0x26200000,0x00000019,0x99998000,
    0x99980019,0x99980199,0x98800000,0x00000001,0x80004ccc,0x98809998,
    0x26000199,0x009accaa,0xaa980000,0x00009acc,0x00000000,0x20000000,
    0x09accaa9,0x00000000,0xba880000,0x000009ac,0x3ff60000,0x00001fff,
    0x80000000,0xfffffec8,0x003dffff,0x26666662,0x00199999,0x19999880,
    0x99998800,0x99999881,0x99999999,0x19999999,0x03fffffe,0xffffff00,
    0x00000000,0x06666660,0x26662000,0x99999999,0x99999999,0x26666019,
    0x64400019,0xfffffffe,0x00003dff,0x3ffffb22,0x03dfffff,0x06666620,
    0x26666200,0x26666661,0x99999999,0x99999999,0xffd91000,0xbfffffff,
    0x4cccc007,0x09999999,0x64400000,0xfffffffe,0x999804ef,0x99999999,
    0x99999999,0xfffb0999,0x300003ff,0x33333333,0x33333333,0x00133333,
    0xfffffff7,0xdfffffff,0xffffd003,0xffffffff,0x059dffff,0x3fffffa0,
    0x7ffe4002,0xffffd87f,0xffffffff,0xffffffff,0xffffff1f,0xffff8001,
    0x3bbbb27f,0x0000001e,0x7fffffdc,0x7fec0002,0xffffffff,0xffffffff,
    0xff881fff,0x20007fff,0xfffffffb,0xefffffff,0x7fdc0001,0xffffffff,
    0x801effff,0x02fffffe,0x3ffffe40,0xffffffff,0xffffffff,0x05ffffff,
    0xffffff70,0xffffffff,0xffff003d,0xffffffff,0x0039dfff,0xffffd300,
    0xffffffff,0x7fffc05d,0xffffffff,0xffffffff,0xffffb2ff,0xff00003f,
    0xffffffff,0xffffffff,0x4405ffff,0xfffffffd,0xffffffff,0x7ff403ff,
    0xffffffff,0xffffffff,0x7ff402ef,0x2000ffff,0xd87ffffc,0xffffffff,
    0xffffffff,0xff1fffff,0x8001ffff,0x367fffff,0x001fffff,0x7ff40000,
    0x0006ffff,0x7fffffec,0xffffffff,0x1fffffff,0x7fffff88,0xfffd8800,
    0xffffffff,0x03ffffff,0xffffd880,0xffffffff,0x403fffff,0x0ffffffe,
    0x3ffff200,0x3fffffe7,0xffffffff,0xffffffff,0x3fff6202,0xffffffff,
    0x03ffffff,0x7ffffffc,0xffffffff,0x0002efff,0xfffffff9,0xffffffff,
    0xffff01bf,0xffffffff,0xffffffff,0x3fff65ff,0xf80001ff,0xffffffff,
    0xffffffff,0x102fffff,0xffffffff,0xffffffff,0x201dffff,0xfffffffe,
    0xffffffff,0x03ffffff,0x3ffffffa,0x3fff2004,0xffffd87f,0xffffffff,
    0xffffffff,0xffffff1f,0xffff8001,0x3ffff67f,0x0000001f,0x3fffffe6,
    0x360001ff,0xffffffff,0xffffffff,0x881fffff,0x007fffff,0x7fffffc4,
    0xffffffff,0x0effffff,0xfffff100,0xffffffff,0xdfffffff,0x3ffffa01,
    0x3f2004ff,0x3ffe7fff,0xffffffff,0xffffffff,0xff102fff,0xffffffff,
    0xffffffff,0x3fe01dff,0xffffffff,0xffffffff,0x3a2003ff,0xffffffff,
    0xffffffff,0xffff85ff,0xffffffff,0xffffffff,0xffffb2ff,0xff00003f,
    0xffffffff,0xffffffff,0x3a05ffff,0xffffffff,0xffffdcdf,0xd04fffff,
    0xffffffff,0xffffffff,0x03ffffff,0x3ffffffa,0xfff9001f,0xffffb0ff,
    0xffffffff,0xffffffff,0x3ffffe3f,0x7ffc000f,0x3fff67ff,0x000001ff,
    0x3fffff20,0x20004fff,0xfffffffd,0xffffffff,0x81ffffff,0x07fffff8,
    0x7fffff40,0xfdcdffff,0xffffffff,0xffffd004,0xb9bfffff,0xffffffff,
    0x3fffa09f,0x9001ffff,0x7fcfffff,0xffffffff,0xffffffff,0xfd02ffff,
    0xffffffff,0xfffffb9b,0x3e09ffff,0xffffffff,0xffffffff,0x9004ffff,
    0xffffffff,0xffffdb9d,0xff87ffff,0xffffffff,0xffffffff,0xffb2ffff,
    0x00003fff,0xffffffff,0xffffffff,0x05ffffff,0xfffffff7,0x3ff62019,
    0xe81fffff,0xffffffff,0xffffffff,0x05ffffff,0xfffffffd,0x3fff200d,
    0xffffd87f,0xffffffff,0xffffffff,0xffffff1f,0xffff8001,0x3ffff67f,
    0x0000001f,0xfffffff1,0x6c000fff,0xffffffff,0xffffffff,0x881fffff,
    0x007fffff,0x3fffffee,0xffb100cf,0x803fffff,0xfffffffb,0xfffb100c,
    0xfd03ffff,0x0dffffff,0x9fffff20,0xffffffff,0xffffffff,0x82ffffff,
    0xfffffffb,0xfffb100c,0xff03ffff,0xffffffff,0xffffffff,0x9801ffff,
    0x2fffffff,0xfffffb10,0x7fffc1ff,0xffffffff,0xffffffff,0xffffb2ff,
    0xff00003f,0xffffffff,0xffffffff,0xf985ffff,0x02ffffff,0xffffff50,
    0xfffffd0d,0xfffb1001,0xfd03ffff,0x7fffffff,0xfffff900,0x3fe20000,
    0x3e4fffff,0x000fffff,0xb3fffffc,0x003fffff,0x3fee0000,0xffffffff,
    0x20000002,0xfffffff8,0xfffff104,0x3ffe600f,0x5002ffff,0x0dffffff,
    0x7fffffcc,0xfff5002f,0xffd0dfff,0x07ffffff,0x4fffff90,0x00ffffff,
    0x7ffcc000,0x5002ffff,0x0dffffff,0x01ffffff,0x3ffff262,0x7f405fff,
    0x800effff,0x3ffffffc,0x03fffffe,0x7ffec000,0xf80001ff,0x000fffff,
    0x7fffec00,0x7d4001ff,0x743fffff,0x000fffff,0x3fffffea,0xfffffe83,
    0x6400ffff,0x0007ffff,0xfffffe88,0x7ffffc5f,0x7ffc000f,0x3fff67ff,
    0x000001ff,0xffffffd0,0x000dffff,0x3ffa2000,0x2205ffff,0x007fffff,
    0x3ffffffb,0xffffa800,0xfffb03ff,0xa8003fff,0x43ffffff,0xfffffffe,
    0x7fe400ff,0x3fffe7ff,0x400000ff,0x1ffffffd,0x7fffd400,0x7fffc3ff,
    0xfc8800ff,0x502fffff,0x01ffffff,0x7ffffec0,0x3fffffe6,0xffb00000,
    0x00003fff,0x01ffffff,0x7ffc4000,0xb0005fff,0xe8ffffff,0x000fffff,
    0x27fffffc,0x7ffffff4,0x7e405fff,0x80007fff,0xeffffffd,0x7fffffc0,
    0x7fffc000,0x3ffff67f,0x8000001f,0xecfffff9,0x001fffff,0xfffd8000,
    0x2200efff,0x807fffff,0x5ffffff8,0xffffb000,0xffff10ff,0x36000bff,
    0x747fffff,0xffffffff,0x7ffe405f,0x3ffffe7f,0x2200000f,0x05ffffff,
    0xfffffb00,0xffffff8f,0x3fffa000,0xffff06ff,0xfa8009ff,0x3fe2ceff,
    0x0000ffff,0x3fffffb0,0xffff0000,0x400001ff,0x0ffffffa,0xffff3000,
    0x7fff43ff,0x7e4000ff,0xfe84ffff,0xffffffff,0x3fff201f,0x7e40007f,
    0x80ffffff,0x00ffffff,0x3fffffc0,0x03fffffb,0xff900000,0xfff73fff,
    0x000009ff,0xffffffc8,0x7ffc400f,0xffa807ff,0x0000ffff,0x3ffffff3,
    0xffffffa8,0xfff30000,0x7ff43fff,0xffffffff,0x3ffff201,0x3fffffe7,
    0x3ea00000,0x000fffff,0xffffff30,0x7fffffc3,0x3ffe6000,0x7fc42fff,
    0x8000ffff,0x3fffe01b,0xb00000ff,0x003fffff,0xffffff00,0x7ec00001,
    0x0005ffff,0x17fffff4,0x01fffffd,0xfffffd80,0xfffffe83,0x206fffff,
    0x007ffffc,0x3ffffea0,0xffff02ff,0xff8001ff,0x3ff67fff,0x00001fff,
    0x7fffff80,0x0ffffff1,0x7fd40000,0x802fffff,0x07fffff8,0x5fffffd8,
    0x7fff4000,0x7ffec2ff,0x740005ff,0x3a2fffff,0xffffffff,0x3ff206ff,
    0x3fffe7ff,0x200000ff,0x05fffffd,0x7ffff400,0x3ffffe2f,0x7fec000f,
    0x7fd44fff,0x00005fff,0x1ffffff0,0x3ff60000,0x80001fff,0x00ffffff,
    0x3fffa000,0x640003ff,0x3a3fffff,0x000fffff,0x17fffffc,0x7f7ffff4,
    0x903fffff,0x000fffff,0x3fffffe6,0x3fffe03f,0x7fc000ff,0x3ff67fff,
    0x00001fff,0x7ffffd40,0x3fffff64,0xf9800002,0x03ffffff,0xffffff10,
    0xfffffd00,0xffc80007,0x7ff43fff,0x40003fff,0x23fffffc,0xffeffffe,
    0xf903ffff,0x7ffcffff,0x00000fff,0x0ffffffa,0xffff9000,0x7ffffc7f,
    0x7fdc000f,0x7fdc6fff,0x00004fff,0x1ffffff0,0x3ff60000,0x80001fff,
    0x00ffffff,0x3fffe000,0x5c0002ff,0x3a4fffff,0x000fffff,0xffffffb1,
    0xbffffd01,0x1ffffff7,0x0fffff90,0xffffd100,0xfff80bff,0x7c000fff,
    0x3f67ffff,0x0001ffff,0x7fffec00,0x3fffea1f,0x4400006f,0x5ffffffe,
    0x3fffe200,0xffff807f,0x5c0002ff,0x7c4fffff,0x002fffff,0x7ffffdc0,
    0x37ffffa4,0x0ffffffb,0x27ffffc8,0xabffffff,0xaaaaaaaa,0x7c0aaaaa,
    0x002fffff,0x7ffffdc0,0x3fffffe4,0x7ffcc000,0x7ffe47ff,0x000003ff,
    0x57ffffff,0x55555555,0x6c155555,0x001fffff,0xffffff80,0xaaaaaaab,
    0x0aaaaaaa,0x0ffffffc,0x3ffea000,0x3fffa6ff,0xaaaaabff,0xffffcbaa,
    0xffd04fff,0x3fffabff,0xfffc85ff,0xffd8007f,0xf806ffff,0x000fffff,
    0xb3fffffc,0x003fffff,0x7ffc4000,0x7ffc46ff,0x00001fff,0x3ffffff6,
    0x7ffc4006,0xfff807ff,0x40001fff,0x46fffffa,0x01ffffff,0x7fffd400,
    0x3ffffa6f,0xbfffffd5,0x4fffff90,0xffffffff,0xffffffff,0x7c1fffff,
    0x001fffff,0x7ffffd40,0x3fffffe6,0x7ffc4000,0x3ff60fff,0x00002fff,
    0xfffffff0,0xffffffff,0x43ffffff,0x01fffffd,0xfffff800,0xffffffff,
    0xffffffff,0x3ffffe21,0x7cc0000f,0x3fa7ffff,0xffffffff,0xffffffff,
    0xd00fffff,0x3e6bffff,0x642fffff,0x4007ffff,0xfffffffc,0xfffff800,
    0x7ffc000f,0x3fff67ff,0x000001ff,0x0fffffee,0x13fffff6,0x7ffe4000,
    0x4000ffff,0x07fffff8,0x7fffffc4,0x7fcc0000,0x3fe27fff,0x0000ffff,
    0x3fffffcc,0x26bffffd,0x42ffffff,0x3e7ffffc,0xffffffff,0xffffffff,
    0x3e21ffff,0x000fffff,0x7ffffcc0,0x3fffffe7,0x7ffc4000,0x3ffa0fff,
    0x00001fff,0xfffffff0,0xffffffff,0x43ffffff,0x01fffffd,0xfffff800,
    0xffffffff,0xffffffff,0x3ffffe21,0x7d40000f,0x3fa7ffff,0xffffffff,
    0xffffffff,0x3a00dfff,0x3f65ffff,0x7e46ffff,0x2a007fff,0x1fffffff,
    0xffffff00,0xffff8001,0x3ffff67f,0x2000001f,0x80fffffe,0x07fffff9,
    0xffffa800,0x88001fff,0x407fffff,0x0ffffff8,0x7ffd4000,0x3ffe27ff,
    0x40000fff,0x27fffffa,0x365ffffe,0x646fffff,0x3fe7ffff,0xffffffff,
    0xffffffff,0x3fe21fff,0x0000ffff,0x3fffffd4,0x01ffffff,0xffffff00,
    0x7fffffc3,0xff000002,0xffffffff,0xffffffff,0x7fec3fff,0x80001fff,
    0xffffffff,0xffffffff,0x7c1fffff,0x001fffff,0x7ffffdc0,0x3fffffa6,
    0xffffffff,0x03ffffff,0x25ffffe8,0x4ffffff8,0x01fffff2,0x7fffffcc,
    0x3ffe003f,0x7c000fff,0x3f67ffff,0x0001ffff,0xfffff300,0x7ffffc0b,
    0x3e60002f,0x03ffffff,0xfffff100,0xfffff00f,0xfb80003f,0x7fc6ffff,
    0x0001ffff,0x37ffffdc,0x44bffffd,0x24ffffff,0x3e7ffffc,0xffffffff,
    0xffffffff,0x7fc1ffff,0x0001ffff,0x37ffffdc,0x01ffffff,0xffffff00,
    0x7fffff43,0xff000003,0xffffffff,0xffffffff,0x7fec3fff,0x80001fff,
    0xffffffff,0xffffffff,0x741fffff,0x002fffff,0x7ffffe40,0x3fffffa4,
    0xffffffff,0x2001bfff,0x5c5ffffe,0x91ffffff,0x100fffff,0x9ffffffd,
    0xfffff800,0x7ffc000f,0x3fff67ff,0x000001ff,0x05fffff9,0x37ffffe4,
    0xfffe8800,0x20004fff,0x07fffff8,0x2fffffe8,0x7ffe4000,0x7fff44ff,
    0x640002ff,0x3a4fffff,0x7dc5ffff,0xf91fffff,0x7ffcffff,0xeeeeefff,
    0xeeeeeeee,0x7fff41ee,0x640002ff,0x3e4fffff,0x000fffff,0x7fffffc4,
    0x3fffff20,0xff000003,0xddddffff,0xdddddddd,0x7fec3ddd,0xffffffff,
    0xffffffff,0xfffff2ff,0xdddddddf,0xdddddddd,0xfffffc83,0x7fec0003,
    0x3ffa3fff,0xeccabfff,0x05ffffff,0x2fffff40,0xaffffff4,0x807ffffc,
    0x6ffffffd,0xffffe800,0x3fe2000f,0x3ff67fff,0x00001fff,0xffffff88,
    0x3fffe600,0xfd8001ff,0x006fffff,0x7ffffc40,0xffffc807,0x7ec0003f,
    0x7e43ffff,0x0003ffff,0x1fffffec,0xd0bffffd,0x32bfffff,0x3fe7ffff,
    0x0000ffff,0x3fffff20,0x7fec0003,0x3ffe3fff,0x44000fff,0x5c7fffff,
    0x004fffff,0xfffff000,0x3600001f,0xffffffff,0xffffffff,0xfff2ffff,
    0x00001fff,0x2fffffdc,0x3fffa000,0x3fffa2ff,0xfffb80ff,0xd001efff,
    0xf30bffff,0xf95fffff,0xfc80ffff,0x00efffff,0xfffffe80,0x3ffe2000,
    0x3fff67ff,0x800001ff,0xfffffffb,0xffffffff,0x004fffff,0x7fffffe4,
    0x7c40000e,0xb807ffff,0x005fffff,0x7fffff40,0x7ffffdc2,0x7ff40005,
    0x3ffa2fff,0xfff985ff,0xfffcafff,0x3ffffe7f,0x2e00000f,0x005fffff,
    0x7fffff40,0x3fffffe2,0x7ffcc000,0x7ffd46ff,0xbd0005ff,0xfffff015,
    0x3600001f,0xffffffff,0xffffffff,0xfff2ffff,0x00001fff,0x7fffffd4,
    0xfff50001,0x7ff43fff,0xff500fff,0x003fffff,0x20bffffd,0xdffffffc,
    0x2a07ffff,0x1fffffff,0xffffd000,0x7fcc003f,0x3ff66fff,0x00001fff,
    0xffffffe8,0xffffffff,0x07ffffff,0x3ffffea0,0x880001ff,0x807fffff,
    0x1ffffffa,0xffff5000,0xfffa83ff,0x50001fff,0x43ffffff,0x905ffffe,
    0xfbffffff,0x7ffcffff,0x00000fff,0x3fffffea,0xfff50001,0x7ffc3fff,
    0x54000fff,0x4c5fffff,0x00ffffff,0x6ffffcc0,0x3fffffe3,0xffb00000,
    0xffffffff,0xffffffff,0x3fffe5ff,0x200000ff,0x6ffffff8,0xffffd000,
    0xffffe8ff,0x3fff200f,0x7400efff,0xf105ffff,0xffffffff,0x3fe60fff,
    0x002fffff,0x3fffff60,0x3ffea003,0x3fff65ff,0x400001ff,0xfffffff9,
    0xffffffff,0x2fffffff,0xfffff980,0x100002ff,0x00ffffff,0xdffffff1,
    0x3fffa000,0xfff887ff,0xd0006fff,0xe8ffffff,0xf105ffff,0xffffffff,
    0x7fffcfff,0x200000ff,0x6ffffff8,0xffffd000,0xfffff8ff,0x7fe4000f,
    0xfff83fff,0x64004fff,0x3e6fffff,0x000fffff,0xfffffb00,0xffffffff,
    0x5fffffff,0x03fffffe,0xfff90000,0xb8005fff,0x43ffffff,0x00fffffe,
    0x7ffffff4,0x7ffff405,0x3fffea05,0x87ffffff,0xfffffff8,0x7fdc0004,
    0xd000ffff,0x6c9fffff,0x001fffff,0x7fffe400,0xffffffff,0xffffffff,
    0x7fc406ff,0x004fffff,0x3fffe200,0xfff9007f,0xb8005fff,0x03ffffff,
    0x5ffffff9,0xffffb800,0x7fff43ff,0x3ffea05f,0x7fffffff,0x03fffffe,
    0xfff90000,0xb8005fff,0x43ffffff,0x00ffffff,0x3ffffe20,0xffffb82f,
    0xff3000ff,0x7fc7ffff,0x0000ffff,0x5665c400,0x7fffc002,0x400000ff,
    0xfffffff8,0xffff9003,0xfffd0dff,0xff8801ff,0x202fffff,0x405ffffe,
    0xfffffffd,0xfffe87ff,0x80005fff,0x5ffffffa,0xfffffa80,0x3ffff63f,
    0x7c00001f,0xffffffff,0xffffffff,0x1fffffff,0x3fffffa0,0x4400005f,
    0x007fffff,0xfffffff1,0x3fff2007,0x3e206fff,0x03ffffff,0xffffff90,
    0xbffffd0d,0xfffffd80,0x3fe7ffff,0x0000ffff,0x7ffffc40,0xff9003ff,
    0xff0dffff,0x4001ffff,0x07fffffd,0x3bfffffa,0x7fff4401,0x3ffe0fff,
    0x00000fff,0x7ffffd40,0xffff003f,0x000001ff,0xfffffff5,0xfe98813b,
    0x81ffffff,0x00fffffe,0xffffffb8,0xffffd00f,0xffff880b,0x647fffff,
    0x0effffff,0xfffd0000,0x2e019fff,0x47ffffff,0x01fffffd,0x3ffea000,
    0x99999eff,0xe9999999,0x904fffff,0x1dffffff,0xff880000,0x2a007fff,
    0xdfffffff,0x7ff4c409,0x401fffff,0xfffffffa,0x7f4c409d,0x81ffffff,
    0x405ffffe,0xfffffff8,0x3fffe7ff,0x800000ff,0xfffffffa,0x7f4c409d,
    0x81ffffff,0x00ffffff,0xffffff70,0x7fffcc07,0xfa80bfff,0x44ffffff,
    0x00ffffff,0x7fd40000,0x802fffff,0x00ffffff,0xfffb0000,0xbdffffff,
    0xfffffffd,0x3ffa09ff,0xfb000fff,0x20bfffff,0x805ffffe,0xfffffffb,
    0x3fffea7f,0x00001fff,0x3fffffea,0xffedeeff,0x43ffffff,0x01fffffd,
    0x3fff6000,0xfb8003ff,0xfa87ffff,0x01ffffff,0xfff88000,0x7ec007ff,
    0xffffffff,0xfffffede,0xb004ffff,0xffffffff,0xffffdbdf,0x209fffff,
    0x805ffffe,0xfffffffb,0x3ffffe7f,0xb000000f,0xffffffff,0xffffdbdf,
    0x209fffff,0x80ffffff,0xffffb998,0x6c00ffff,0xffffffff,0xfffffedf,
    0x7fc0efff,0x0000ffff,0x3ff66000,0xffff804f,0x000000ff,0xffffffd1,
    0xffffffff,0x01bfffff,0x03fffffa,0x7ffffc40,0xfffe82ff,0xfffd005f,
    0x7dcfffff,0xffffffff,0xffffffff,0x46ffffff,0xfffffffe,0xffffffff,
    0x7ec0ffff,0xffffffff,0xffffffff,0x3fe22fff,0x8000ffff,0x2ffffff8,
    0x7fffffdc,0xffffffff,0xffffffff,0xffff886f,0x7f44007f,0xffffffff,
    0xffffffff,0xd1000dff,0xffffffff,0xffffffff,0x3a01bfff,0xd005ffff,
    0xffffffff,0x7ffffffc,0xffffffff,0x7fffffff,0xfffffd10,0xffffffff,
    0x1bffffff,0x3fffffe0,0xffffffff,0xffffffff,0xfffe8801,0xffffffff,
    0x1fffffff,0xfffffff8,0xffffffff,0x7fffffff,0x2fffd400,0x7fffffc0,
    0xffffffff,0xffffffff,0x7fffdc07,0xffffffff,0x403fffff,0x00fffffe,
    0x3ffffee0,0xffffe86f,0xffff3005,0x7fdcffff,0xffffffff,0xffffffff,
    0x446fffff,0xfffffffd,0xffffffff,0xfffd81ef,0xffffffff,0xffffffff,
    0x3fffee2f,0x3f60005f,0x7dc6ffff,0xffffffff,0xffffffff,0x86ffffff,
    0x07fffff8,0xfffff700,0xffffffff,0x0007ffff,0x3fffffee,0xffffffff,
    0x7f403fff,0xf3005fff,0x4fffffff,0xffffffff,0xffffffff,0x07ffffff,
    0x7fffffdc,0xffffffff,0x7fc03fff,0xffffffff,0xffffffff,0x64003fff,
    0xffffffff,0xffffffff,0xffffff01,0xffffffff,0xffffffff,0xfa98110f,
    0xff803fff,0xffffffff,0xffffffff,0x9807ffff,0xfffffffe,0x0dffffff,
    0xfffffe80,0x7ffec000,0x7ff44fff,0x3f6005ff,0x2e7fffff,0xffffffff,
    0xffffffff,0x6fffffff,0xffffff70,0xffffffff,0x3fff601b,0xffffffff,
    0xffffffff,0x3ffffa2f,0x3ea0002f,0x2e1fffff,0xffffffff,0xffffffff,
    0x6fffffff,0x7fffff88,0x3ffa6000,0xffffffff,0x0000dfff,0x7fffff4c,
    0xffffffff,0xfffe800d,0x3ff6005f,0x3fe7ffff,0xffffffff,0xffffffff,
    0x9807ffff,0xfffffffe,0x0dffffff,0xffffff80,0xffffffff,0x02efffff,
    0xffffd300,0xffffffff,0x7fffc03b,0xffffffff,0xffffffff,0xfffa87ff,
    0x05ffffff,0xfffffff0,0xffffffff,0xffffffff,0x7ff65c00,0x2cefffff,
    0x3ffffa00,0x7fc4000f,0x3a1fffff,0x2005ffff,0x7ffffff8,0x3fffffee,
    0xffffffff,0xffffffff,0x3ff6606f,0xffffffff,0x7ffec02d,0xffffffff,
    0xffffffff,0xfffff32f,0xfff0000f,0x7fdc9fff,0xffffffff,0xffffffff,
    0x886fffff,0x007fffff,0xfffecb80,0x02ceffff,0x7f65c000,0xceffffff,
    0x3fffa002,0x3fe2005f,0x3fe7ffff,0xffffffff,0xffffffff,0x2007ffff,
    0xfffffecb,0x2002ceff,0xffffffff,0xffffffff,0x880003ff,0xfffffedb,
    0xff801dff,0xffffffff,0xffffffff,0xfa87ffff,0x4fffffff,0x3ffffe00,
    0xffffffff,0xffffffff,0x2a60007f,0x3a0000ab,0x000fffff,0xffffffb8,
    0x17ffffa6,0xfffff700,0x7ffffdcf,0xffffffff,0xffffffff,0x553006ff,
    0x00135575,0x3ffffff6,0xffffffff,0xb2ffffff,0x009fffff,0xfffff900,
    0x7ffffdcf,0xffffffff,0xffffffff,0xfff886ff,0x800007ff,0x0000aba9,
    0x55d4c000,0x3ffa0000,0x7dc005ff,0x3fe7ffff,0xffffffff,0xffffffff,
    0x0007ffff,0x0002aea6,0xfffffff8,0xeeffffff,0x000000bc,0x00135731,
    0xfffffff8,0xffffffff,0x7fffffff,0xabccba88,0xffff8002,0xffffffff,
    0xffffffff,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x3aa03ee8,0x2200002e,0xcccccccc,0x0004cccc,0x7fffcc00,
    0x640000ef,0x76c0eeee,0x000006ee,0x03ffffff,0x76c40000,0x00005eee,
    0x7ffffe40,0x90000005,0x00000099,0x7ffcc000,0xeed80eff,0xd8802eee,
    0x4005eeee,0x03fffffd,0x77776c40,0xfff30005,0x00001fff,0x3fffff20,
    0x66665c04,0xcccccccc,0xeeee8801,0x1f7774c4,0x00000000,0xdddd9000,
    0x06eeed81,0xd11bbbb6,0x3e00bddd,0x3ffd00ff,0x7fcc0000,0xffffffff,
    0x000007ff,0x07ffffe4,0x7fff4000,0x3ffffc0f,0x7fdc0000,0x00002fff,
    0x7ffffec0,0x4000004f,0x00fffffc,0x7ff80000,0xbdd70000,0x001ff903,
    0x01fffff9,0x09fffff3,0x3fffff60,0x7fec004f,0x7ec006ff,0x003fffff,
    0x7fffff30,0xff100000,0xfb00bfff,0xffffffff,0xf1007fff,0xff98dfff,
    0x000004ff,0x002fbee2,0xffffd800,0x03ffff41,0xf88fffff,0xfb006fff,
    0x7fdc439f,0x7cc00007,0xffffffff,0x00007fff,0x3ffffe20,0xffd00001,
    0xffff81ff,0xfe800007,0x00002fff,0x7ffffdc0,0x00001fff,0x27fffec0,
    0xf5100000,0x200015ff,0xeffffff8,0x00fffbac,0x0fffffc4,0x04ffffd8,
    0xffffff70,0x744003ff,0x7002ffff,0xffffffff,0x3fea0003,0x800007ff,
    0x005ffffb,0xfffffffb,0x007fffff,0x98dffff1,0x0004ffff,0xfffff100,
    0x7ec0000d,0x7ff41fff,0x3fffe07f,0x37fffc47,0xfffff980,0x002ffffe,
    0x7fffcc00,0xffffffff,0x32000007,0x0001ffff,0x03ffffa0,0x000fffff,
    0x3ffffa80,0x7c400000,0xfffecfff,0x4000000e,0x000ffffd,0x7fff5400,
    0x002effff,0x7fffffe4,0x06ffffff,0x01ffffc8,0x00bffff3,0x3affffe6,
    0x44006fff,0x9806fffe,0xffebffff,0x3ea0006f,0x00003fff,0x0077fffc,
    0xffffffd8,0x03ffffff,0x46ffff88,0x004ffff9,0x53bf7000,0x200005fd,
    0x741ffffd,0x3fe07fff,0x7ffc47ff,0x3fea006f,0x04ffffff,0x33330000,
    0x33333333,0x22000003,0x0002ffff,0x07ffff40,0x001ffffe,0x09fffd00,
    0xffd00000,0x3fffe2bf,0xe8000004,0x00003fff,0x3ffffff6,0x00dfffff,
    0xfd7bffd0,0x05ffffff,0x02ffff88,0x801bfff2,0xff15fffe,0xf88009ff,
    0x7f402fff,0xffff15ff,0x7fdc0009,0x2e00006f,0x2000efff,0x99999998,
    0x80099999,0x4c6ffff8,0x0004ffff,0x7dc3ff00,0xffb00005,0xfffe83ff,
    0x1ffffe07,0x00dffff1,0xeffffd98,0x00000002,0xb8000000,0x00003fff,
    0x98199988,0x00001999,0x0013ffe6,0x3fff2000,0x3fffea0f,0x44000002,
    0x00007ffe,0xfffffffd,0x0bffffff,0xb511bfe0,0xf7003bff,0x7fc407ff,
    0xff9000ef,0x7ffd41ff,0x7fcc002f,0x3fff205f,0x3fffea0f,0x3fee0002,
    0xfd00002f,0x000001df,0x4cccc000,0x00999980,0x43fd0000,0x100004fb,
    0x33103333,0x4cccc033,0x00999981,0x00006200,0x99553000,0x00000135,
    0x00013310,0x03333330,0x33333300,0x06662000,0x4cc00000,0x99988099,
    0x88000000,0xb8000199,0xffffffff,0x3fffffff,0x04009980,0x80133100,
    0x2000aaa8,0x98809999,0x98800099,0x26666019,0x00999880,0x004ccc00,
    0x00999800,0x99999800,0x33300001,0x00000333,0x3eebbee0,0x3330001f,
    0x33333333,0x33333333,0x26601333,0x80001999,0x00199999,0x3fb22000,
    0xffffffff,0x4ccc003d,0x20001999,0x21999998,0x00ffffff,0x3fffffc0,
    0x33333000,0x40000003,0x00199999,0x26660000,0x44000199,0xfaffffff,
    0xfffffaff,0x0ccccc47,0x4cccc400,0x0cccccc1,0x80999998,0x99999999,
    0x99999999,0x00999999,0x98333333,0x00009999,0x4ccccccc,0x99999999,
    0x09999999,0x33333333,0x33333333,0x01333333,0x0ffffff1,0xffff7000,
    0x000005ff,0xffffff70,0x3ffe0005,0xffffffff,0xffffffff,0xff882fff,
    0x40007fff,0x2ffffffb,0xffb80000,0xffffffff,0x001effff,0x5ffffff9,
    0xffff3000,0x7fffcbff,0x7fc000ff,0x70007fff,0x05ffffff,0xff700000,
    0x0005ffff,0xffff7000,0x540005ff,0xff0fffff,0x3ffffe6f,0x3fffffa2,
    0x7ffe4002,0x3fffe27f,0xfffff07f,0xffffff0b,0xffffffff,0xffffffff,
    0xfffff105,0x5fffff8f,0x7fffc000,0xffffffff,0xffffffff,0xfffff2ff,
    0xffffffff,0xffffffff,0xffff105f,0xfd0000ff,0x00dfffff,0xfffd0000,
    0x2000dfff,0xffffffff,0xffffffff,0x82ffffff,0x07fffff8,0x7ffff400,
    0x200006ff,0xffffffd8,0xffffffff,0xf8803fff,0x00ffffff,0x7fffff40,
    0x3ffffe0f,0x7ffc000f,0xfd0007ff,0x00dfffff,0xfffd0000,0x0000dfff,
    0xfffffd00,0x7dc000df,0x9ffe5fff,0x3a2efffe,0x00ffffff,0x9fffff20,
    0x07fffff8,0xf0bfffff,0xffffffff,0xffffffff,0x105fffff,0xf8ffffff,
    0x0005ffff,0x7ffffffc,0xffffffff,0x2fffffff,0xffffffff,0xffffffff,
    0x05ffffff,0x0ffffff1,0xffff9800,0x0001ffff,0x3fffe600,0x8001ffff,
    0xffffffff,0xffffffff,0x82ffffff,0x07fffff8,0x3fffe600,0x0001ffff,
    0xffffff88,0xffffffff,0x0effffff,0x7ffffd40,0x3fea004f,0x7fc3ffff,
    0x4000ffff,0x007fffff,0xffffff98,0x000001ff,0x3fffffe6,0x000001ff,
    0x3fffffe6,0xf90001ff,0x3ffc7fff,0x7fff4031,0x32004fff,0x3e27ffff,
    0xff07ffff,0xfff0bfff,0xffffffff,0xffffffff,0xff105fff,0xfff8ffff,
    0x7c0005ff,0xffffffff,0xffffffff,0xff2fffff,0xffffffff,0xffffffff,
    0xf105ffff,0x000fffff,0xffffffc8,0x000004ff,0x3ffffff2,0xff8004ff,
    0xffffffff,0xffffffff,0xf882ffff,0x0007ffff,0x3ffffff2,0xe80004ff,
    0xffffffff,0xffffdcdf,0x804fffff,0x1ffffffd,0xfffff880,0xfffff86f,
    0x7ffc000f,0xfc8007ff,0x4fffffff,0x3f200000,0x4fffffff,0x3f200000,
    0x4fffffff,0xffff9000,0xd003ffcb,0x3fffffff,0x3ffff200,0x3ffffe27,
    0xbfffff07,0xfffffff0,0xffffffff,0x5fffffff,0xffffff10,0x05fffff8,
    0x7ffffc00,0xffffffff,0xffffffff,0xffffff2f,0xffffffff,0xffffffff,
    0xfffff105,0x7fc4000f,0x7fffffff,0xff100000,0xffffffff,0xfffff000,
    0xffffffff,0xffffffff,0xffff105f,0x3e2000ff,0xffffffff,0x7fdc0007,
    0x00cfffff,0xffffffb1,0xfff8803f,0xfc805fff,0xf81fffff,0x000fffff,
    0x03fffffc,0x3ffffe20,0x0007ffff,0xfffff100,0x000fffff,0x3fffe200,
    0x007fffff,0x1fffff70,0xfe801ffe,0x06ffffff,0x4fffff90,0x07fffff8,
    0xf0bfffff,0xffffffff,0xffffffff,0x105fffff,0xf8ffffff,0x0005ffff,
    0x7ffffffc,0xffffffff,0x2fffffff,0xffffffff,0xffffffff,0x05ffffff,
    0x0ffffff1,0x7fffdc00,0x02ffffff,0xfffb8000,0x2fffffff,0x7ffffc00,
    0x8800000f,0x007fffff,0xffffff70,0x0005ffff,0x3fffffe6,0xfff5002f,
    0xf700dfff,0x405fffff,0x4ffffff8,0x1ffffff0,0xfffff800,0x7ffdc007,
    0x2fffffff,0xffb80000,0xffffffff,0xfb800002,0xffffffff,0xffa8002f,
    0x7ffaffff,0x3ffffa00,0xc803ffff,0x3e27ffff,0xff07ffff,0xfff0bfff,
    0x00001fff,0xffffff10,0x05fffff8,0x7ffffc00,0xff00000f,0x0001ffff,
    0xfffff100,0x7ff4000f,0xffffffff,0xfe800006,0xffffffff,0x7ffc006f,
    0x00000fff,0x7fffff88,0xffffd000,0x0dffffff,0x3ffff600,0x7d4001ff,
    0x803fffff,0x06fffffe,0x1bfffff6,0x0ffffff8,0x7ffffc00,0x7fff4007,
    0x6fffffff,0xffe80000,0xffffffff,0xfe800006,0xffffffff,0xffd0006f,
    0x0fffffff,0x7fffff40,0x6400ffff,0x3e27ffff,0xff07ffff,0xfff0bfff,
    0x00001fff,0xffffff10,0x05fffff8,0x7ffffc00,0xff00000f,0x0001ffff,
    0xfffff100,0x3fe6000f,0xfffecfff,0x200001ff,0xecfffff9,0x001fffff,
    0x03fffffe,0x3fe20000,0x98007fff,0xfecfffff,0x4001ffff,0x5ffffff8,
    0xffffb000,0xfff300ff,0xff509fff,0x7c03ffff,0x000fffff,0x03fffffc,
    0x9fffff30,0x03fffffd,0x7ffcc000,0xffffecff,0x2600001f,0xfecfffff,
    0x8001ffff,0xfffffffa,0xfe802dff,0xffffffff,0x7fffe405,0x3ffffe27,
    0xbfffff07,0x1ffffff0,0xff100000,0xfff8ffff,0x013105ff,0x0ffffff8,
    0xffff0000,0x000001ff,0x0ffffff1,0x3ffff200,0xfffffb9f,0x3f200004,
    0xffb9ffff,0x3e004fff,0x000fffff,0xffff8800,0xffc8007f,0xfffb9fff,
    0x7d4004ff,0x000fffff,0xffffff30,0xffff9003,0xfffe81ff,0x7ffc04ff,
    0x7c000fff,0x2007ffff,0xb9fffffc,0x004fffff,0x3ffff200,0xfffffb9f,
    0x3f200004,0xffb9ffff,0xb0004fff,0xffffffff,0x3a019fff,0xffffffff,
    0x3ff201ff,0x3ffe27ff,0xffff07ff,0xfffff0bf,0x1000001f,0xf8ffffff,
    0x3265ffff,0x81defffe,0x00ffffff,0xfffff000,0x1000001f,0x00ffffff,
    0x5fffffe0,0x07fffff8,0x3fffe000,0xfffff17f,0x7fffc00f,0x800000ff,
    0x07fffff8,0x7fffff80,0x0ffffff1,0xfffffd80,0x7ff40005,0xf8802fff,
    0x2e5fffff,0x00ffffff,0x07fffffc,0x3ffffe00,0x3fffe007,0xfffff17f,
    0x7fc0000f,0xfff17fff,0x40000fff,0xf17fffff,0x000fffff,0x7fffffe4,
    0x82ffffff,0xfffffffe,0x3f206fff,0x3fe27fff,0xfff07fff,0xffff0bff,
    0x000001ff,0x8ffffff1,0xf55fffff,0xffffffff,0xffffff85,0xfff00000,
    0x00001fff,0xffffff10,0xffff5000,0x7fffec9f,0xfa80002f,0x3f64ffff,
    0xf002ffff,0x001fffff,0xffff1000,0xffa800ff,0x3ff64fff,0x3a002fff,
    0x003fffff,0x7ffffe40,0xffff5003,0xffff15ff,0xfff005ff,0xf8001fff,
    0x5007ffff,0x6c9fffff,0x002fffff,0xfffffa80,0x3fffff64,0xffa80002,
    0x3ff64fff,0x20002fff,0xffffffea,0x744fffff,0xfffeffff,0xff903fff,
    0x7ffc4fff,0xffff07ff,0xfffff0bf,0x1000001f,0xf8ffffff,0xffceffff,
    0xffffffff,0x3ffffe3f,0xff00000f,0x0001ffff,0xfffff100,0xfffb000f,
    0x7ffd43ff,0xd80006ff,0x2a1fffff,0x006fffff,0x57ffffff,0x55555555,
    0x20155555,0x07fffff8,0x7ffffec0,0x3ffffea1,0x3fffe006,0x5c0002ff,
    0x004fffff,0x3bfffff6,0x05fffffd,0x1ffffff0,0xfffff800,0xffffb007,
    0x7fffd43f,0xfd80006f,0x3ea1ffff,0x0006ffff,0x1fffffd8,0x1bffffea,
    0x3ff66000,0xffffffff,0x37ffffa1,0x0ffffffb,0x27ffffc8,0x07fffff8,
    0xf0bfffff,0x557fffff,0x55555555,0x22015555,0x7c7fffff,0xffffffff,
    0xffffffff,0x3ffffe7f,0xaaaaaabf,0xaaaaaaaa,0x3fffffe0,0xaaaaaaab,
    0x0aaaaaaa,0xffffff10,0xffff8800,0x7fffc46f,0x220001ff,0x446fffff,
    0x01ffffff,0xfffffff8,0xffffffff,0x01ffffff,0x0ffffff1,0x7ffffc40,
    0x7ffffc46,0xffff001f,0xa80003ff,0x006fffff,0x3fffffe2,0x00ffffff,
    0x1ffffff0,0xfffff800,0xffff8807,0x7fffc46f,0x220001ff,0x446fffff,
    0x01ffffff,0x3fffe200,0x7fffc46f,0xf00001ff,0xffffffff,0x7ffff4df,
    0xbfffffd5,0x4fffff90,0x07fffff8,0xf0bfffff,0xffffffff,0xffffffff,
    0x2203ffff,0x7c7fffff,0xcfffffff,0xffffda9a,0xfffff2ff,0xffffffff,
    0xffffffff,0x7fffffc3,0xffffffff,0x1fffffff,0xffffff10,0xffffb800,
    0xffffd83f,0x3ee0004f,0xfd83ffff,0xf804ffff,0xffffffff,0xffffffff,
    0xf101ffff,0x400fffff,0x83fffffb,0x04fffffd,0xffffff88,0x7fcc0000,
    0x5c007fff,0xffffffff,0x3fe003ff,0x4000ffff,0x807fffff,0x83fffffb,
    0x04fffffd,0x3fffee00,0xffffd83f,0x3ee0004f,0xfd83ffff,0x0004ffff,
    0xffb1fff0,0x3fa1ffff,0xfff35fff,0xffc85fff,0x3ffe27ff,0xffff07ff,
    0xfffff0bf,0xffffffff,0xffffffff,0x3fffe203,0x7ffffc7f,0xfffb02ff,
    0x3fffe9ff,0xffffffff,0xffffffff,0x3ffffe1f,0xffffffff,0xffffffff,
    0xfffff101,0xfffe800f,0xfff980ff,0x3a0007ff,0x980fffff,0x807fffff,
    0xffffffff,0xffffffff,0x101fffff,0x00ffffff,0x07fffff4,0x3fffffcc,
    0x7ffffc40,0x7d40000f,0x8007ffff,0xfffffffe,0x7ffc006f,0x7c000fff,
    0xe807ffff,0x980fffff,0x007fffff,0x3fffffa0,0xfffff980,0x3ffa0007,
    0xff980fff,0x00007fff,0x7ffd4fff,0xffffd1ff,0x7ffffecb,0x3ffffe46,
    0x0ffffff1,0x217ffffe,0xffffffff,0xffffffff,0x101fffff,0xf8ffffff,
    0x204fffff,0xf5fffff8,0xffffffff,0xffffffff,0x7fc3ffff,0xffffffff,
    0xffffffff,0xff101fff,0x4c00ffff,0x205fffff,0x02ffffff,0xfffff980,
    0x3ffffe05,0x7fffc02f,0xffffffff,0xffffffff,0xffff101f,0x3fe600ff,
    0x3fe05fff,0xf802ffff,0x001fffff,0x7ffffdc0,0xfff98006,0x001fffff,
    0x07fffffc,0x3ffffe00,0x7fffcc07,0x3fffe05f,0xf98002ff,0x3e05ffff,
    0x002fffff,0x5fffff98,0x3fffffe0,0x7ff80002,0xe9fffff4,0x3e25ffff,
    0x324fffff,0x3e27ffff,0xff07ffff,0xfff0bfff,0xffffffff,0xffffffff,
    0x3fe203ff,0x7ffc7fff,0x7fc00fff,0xffff6fff,0xffffffff,0xffffffff,
    0x7ffffc3f,0xffffffff,0xffffffff,0xfffff101,0x7ffe400f,0x3ff202ff,
    0xc8006fff,0x202fffff,0x06fffffc,0x77fffffc,0xeeeeeeee,0x01eeeeee,
    0x0ffffff1,0x3fffff20,0x3ffff202,0xfffe806f,0x640002ff,0x004fffff,
    0xffffff90,0xffff0009,0xff8001ff,0x7e407fff,0x3202ffff,0x006fffff,
    0x2fffffc8,0x3fffff20,0xfffc8006,0x3ff202ff,0x64c06fff,0x3fe0feec,
    0x9ffffe47,0x5c5ffffe,0x91ffffff,0x7c4fffff,0xff07ffff,0xfff0bfff,
    0xdddddfff,0xdddddddd,0x3fe203dd,0x7ffc7fff,0xfff807ff,0xfffff6ff,
    0xdddddddf,0xdddddddd,0x7fffffc3,0xeeeeeeee,0x1eeeeeee,0xffffff10,
    0x3fffe200,0x3fe600ff,0x2001ffff,0x0ffffff8,0x3ffffe60,0x3fffe01f,
    0x800000ff,0x07fffff8,0xffffff88,0x3fffe600,0x7fe401ff,0x40003fff,
    0x03fffffd,0xfffff100,0xffd0001f,0x44001fff,0x207fffff,0x0ffffff8,
    0x3ffffe60,0x3fe2001f,0x2600ffff,0x01ffffff,0x3ffffe20,0x3ffe600f,
    0x3e601fff,0x3fe3ffff,0x8ffffec7,0xe85ffffe,0xf95fffff,0x7fc4ffff,
    0xfff07fff,0xffff0bff,0x000001ff,0x8ffffff1,0x806fffff,0xff6fffff,
    0x0001ffff,0x3fffffe0,0xf8800000,0x7007ffff,0xffffffff,0xffffffff,
    0x4009ffff,0xfffffffb,0xffffffff,0x204fffff,0x00ffffff,0xfff88000,
    0xffb807ff,0xffffffff,0xffffffff,0x7fdc04ff,0x40005fff,0x02fffffe,
    0x3ffffe00,0xfffd0007,0x7c4001ff,0x2e07ffff,0xffffffff,0xffffffff,
    0x2004ffff,0xfffffffb,0xffffffff,0x004fffff,0x3fffffee,0xffffffff,
    0x04ffffff,0xf37ffffc,0x7fffc4ff,0xbffffd0f,0xffffff30,0x4fffff95,
    0x07fffff8,0xf0bfffff,0x001fffff,0xffff1000,0xfffff8ff,0xffffe806,
    0x1ffffff6,0x3ffe0000,0x00000fff,0x7fffff88,0xfffffd00,0xffffffff,
    0xffffffff,0x7ffff400,0xffffffff,0xffffffff,0x3ffffe07,0x8800000f,
    0x807fffff,0xfffffffe,0xffffffff,0x407fffff,0x1ffffffa,0xffff5000,
    0x7c0003ff,0x0007ffff,0x03fffffd,0x7ffffcc0,0x3ffffa06,0xffffffff,
    0xffffffff,0x3fffa007,0xffffffff,0xffffffff,0x3ffa007f,0xffffffff,
    0xffffffff,0x7fec07ff,0x7ff8dfff,0x4dffff91,0x905ffffe,0xfbffffff,
    0x7fc4ffff,0xfff07fff,0xffff0bff,0x000001ff,0x8ffffff1,0x805fffff,
    0xff6ffffe,0x0001ffff,0x3fffffe0,0xf8800000,0x9807ffff,0xffffffff,
    0xffffffff,0x02ffffff,0xffffff98,0xffffffff,0xffffffff,0xffffff02,
    0xf1000001,0x980fffff,0xffffffff,0xffffffff,0x02ffffff,0x3fffffe2,
    0xfffd0006,0xf8000fff,0x0007ffff,0x07fffffb,0x7ffffd40,0xfffff305,
    0xffffffff,0xffffffff,0xfff3005f,0xffffffff,0xffffffff,0xf3005fff,
    0xffffffff,0xffffffff,0x405fffff,0xeffffff9,0xffffbfff,0x3fffa1ff,
    0xffff105f,0xffffffff,0x3fffffc4,0x85fffff8,0x00ffffff,0xfff88000,
    0x7fffc7ff,0xfffe805f,0xffffff6f,0x3fe00001,0x0000ffff,0xfffff880,
    0xffffc807,0xffffffff,0xffffffff,0xffc806ff,0xffffffff,0xffffffff,
    0xff06ffff,0x0001ffff,0xfffff100,0xffffc80f,0xffffffff,0xffffffff,
    0x7fe406ff,0x4002ffff,0x3ffffffb,0x7fffc000,0xff70007f,0x2001ffff,
    0x04fffffe,0xfffffff9,0xffffffff,0xdfffffff,0xfffff900,0xffffffff,
    0xffffffff,0xfff900df,0xffffffff,0xffffffff,0xfc80dfff,0xffffffff,
    0x45ffffff,0x205ffffe,0xfffffffa,0x3fe27fff,0xfff07fff,0xffff0bff,
    0x000001ff,0x8ffffff1,0x805fffff,0xff6ffffe,0x0001ffff,0x3fffffe0,
    0xf8800000,0xf807ffff,0xffffffff,0xffffffff,0x1fffffff,0x7fffffc0,
    0xffffffff,0xffffffff,0xffff81ff,0x800000ff,0x07fffff8,0x7ffffffc,
    0xffffffff,0xffffffff,0x3ffe201f,0x9003ffff,0x0dffffff,0xfffff000,
    0x3fea000f,0xa805ffff,0x03ffffff,0xffffffff,0xffffffff,0xffffffff,
    0xfffff803,0xffffffff,0xffffffff,0x7fc01fff,0xffffffff,0xffffffff,
    0x01ffffff,0x7ffffff4,0xefffffff,0x2fffff40,0x3fffff60,0x3e27ffff,
    0xff07ffff,0xfff0bfff,0x00001fff,0xffffff10,0x05fffff8,0xf6ffffe8,
    0x001fffff,0x3ffffe00,0x8800000f,0x407fffff,0x9efffffa,0x99999999,
    0xffffe999,0x3ffea04f,0x99999eff,0xe9999999,0xf84fffff,0x000fffff,
    0xffff8800,0x3ffea07f,0x99999eff,0xe9999999,0x404fffff,0xfffffffa,
    0x7f4c409d,0x01ffffff,0xfffff800,0x3ffa0007,0x700cffff,0x0fffffff,
    0x3bffffea,0x99999999,0xfffe9999,0x3fea04ff,0x9999efff,0x99999999,
    0x04fffffe,0x3bffffea,0x99999999,0xfffe9999,0x7ec404ff,0xffffffff,
    0xfffd04ff,0xfff880bf,0x27ffffff,0x07fffff8,0xf0bfffff,0x001fffff,
    0xffff1000,0xfffff8ff,0xffffe805,0x1ffffff6,0x3ffe0000,0x00000fff,
    0x7fffff88,0x7ffffec0,0xfffb8003,0x3ff607ff,0xb8003fff,0xf87fffff,
    0x000fffff,0xffff8800,0x3fff607f,0xfb8003ff,0xd807ffff,0xffffffff,
    0xffffedef,0x004fffff,0xffffff00,0x7ffd4000,0xdeefffff,0xfffffffe,
    0xffffb03f,0xff70007f,0x7ec0ffff,0x8003ffff,0x07fffffb,0x0ffffff6,
    0x3fffee00,0xffb5007f,0x039fffff,0x02fffff4,0x7fffffdc,0x3ffe27ff,
    0xffff07ff,0xfffff0bf,0x1000001f,0xf8ffffff,0xe805ffff,0xfff6ffff,
    0x00001fff,0x03fffffe,0x3fe20000,0x3e207fff,0x000fffff,0xffffff88,
    0xfffff882,0xff88000f,0x7fc2ffff,0xffffffff,0xffffffff,0xf887ffff,
    0xf107ffff,0x001fffff,0xffffff10,0xfffe8805,0xffffffff,0xffffffff,
    0xff00000d,0x8000ffff,0xfffffffe,0xffffffff,0xf880ffff,0x000fffff,
    0xffffff88,0xfffff882,0xff88000f,0xf882ffff,0x000fffff,0xffffff88,
    0x3fea2002,0xfffd001f,0x3ffa00bf,0x227fffff,0xf07fffff,0xff0bffff,
    0xffffffff,0xffffffff,0xf10fffff,0xff8fffff,0xfe805fff,0xffff6fff,
    0xffffffff,0xffffffff,0x3fffefff,0xffffffff,0xffffffff,0xfff887ff,
    0x3fee07ff,0x20005fff,0x86fffffd,0x05fffffb,0x3ffff600,0x7ffffc6f,
    0xffffffff,0xffffffff,0xffff887f,0xffff707f,0x7ec000bf,0x7006ffff,
    0xffffffff,0xffffffff,0xf800007f,0x0007ffff,0x7ffffec4,0xffffffff,
    0xf701efff,0x000bffff,0x37ffffec,0x2fffffdc,0xffffb000,0xffff70df,
    0x7ec000bf,0x8006ffff,0x3fa007ff,0xf3005fff,0x4fffffff,0x07fffff8,
    0xf0bfffff,0xffffffff,0xffffffff,0x10ffffff,0xf8ffffff,0xe805ffff,
    0xfff6ffff,0xffffffff,0xffffffff,0x3ffeffff,0xffffffff,0xffffffff,
    0xff887fff,0x3fa07fff,0x0002ffff,0x3fffffea,0x7fffff41,0x3fea0002,
    0x3fe1ffff,0xffffffff,0xffffffff,0xf887ffff,0xfd07ffff,0x0005ffff,
    0x7fffffd4,0xfffd3001,0xffffffff,0x00001bff,0x0ffffff0,0x3ffee000,
    0xffffffff,0x3a00dfff,0x002fffff,0x3ffffea0,0x7ffff41f,0x3ea0002f,
    0x741fffff,0x002fffff,0x3ffffea0,0x3ffc001f,0xbffffd00,0x7fffec00,
    0x3ffe27ff,0xffff07ff,0xfffff0bf,0xffffffff,0xffffffff,0xffff10ff,
    0xfffff8ff,0xffffe805,0xfffffff6,0xffffffff,0xffffffff,0x3ffffffe,
    0xffffffff,0x7fffffff,0x7fffff88,0xffffff30,0xffff0000,0x7ffcc9ff,
    0xf80007ff,0x3e4fffff,0xffffffff,0xffffffff,0x887fffff,0x987fffff,
    0x007fffff,0xffffff80,0x7f65c004,0xceffffff,0x3e000002,0x0007ffff,
    0x3ffff660,0x2dffffff,0x7ffffcc0,0xfff80007,0x3fe64fff,0x80007fff,
    0x24ffffff,0x07fffff9,0xfffff800,0x3ffc004f,0xbffffd00,0x7fffc400,
    0x3ffe27ff,0xffff07ff,0xfffff0bf,0xffffffff,0xffffffff,0xffff10ff,
    0xfffff8ff,0xffffe805,0xfffffff6,0xffffffff,0xffffffff,0x3ffffffe,
    0xffffffff,0x7fffffff,0x7fffff88,0x9fffffb0,0xfff90000,0x7ffecfff,
    0xc80004ff,0x3e7fffff,0xffffffff,0xffffffff,0x887fffff,0xd87fffff,
    0x004fffff,0xfffffc80,0x5d4c0007,0x0000000a,0x01fffffe,0x5554c000,
    0xb0009aab,0x009fffff,0xfffff900,0x7ffffecf,0xffc80004,0x3ff67fff,
    0x80004fff,0x07fffffc,0xd000ccc0,0x800bffff,0x27fffffb,0x07fffff8,
    0xf0bfffff,0xffffffff,0xffffffff,0x10ffffff,0xf8ffffff,0xe805ffff,
    0xfff6ffff,0xffffffff,0xffffffff,0x3ffeffff,0xffffffff,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeeec800,0x02f776c0,0xccccca80,0x2ccccccc,
    0x3332a000,0xcccccccc,0x2000002c,0x009bcb98,0x00000000,0x2e200030,
    0x95000002,0x80059999,0x001bcb98,0x00599950,0x002aaa20,0x00155440,
    0x000d54c4,0x00055540,0x0000dc40,0x0002aaa2,0x40015544,0x5c0cccca,
    0x10003ccc,0x00599999,0x00666200,0x2204cc80,0xcc8802cc,0x6664c1cc,
    0xcca8000c,0x0110002c,0x7ffff400,0x03ffffc0,0xfffffc80,0x4fffffff,
    0x3fff2000,0xffffffff,0x2200003f,0xffffffeb,0x0003dfff,0x5e5d4400,
    0x077cc01a,0x5dfff900,0xfff80000,0x26000eff,0x1effffff,0x07fffc00,
    0x0fffd800,0x07ffb000,0x7fffe440,0xf30002ef,0x440001ff,0x002efffc,
    0x001fffb0,0x000fff60,0xa97fffa2,0x0002ffff,0x3ffffffb,0xffd91000,
    0x03bfffff,0xb80ffec0,0xff9003ff,0x3ffe21ff,0xffd0004f,0xeeee887f,
    0x9dffd70e,0xfffe8003,0x3ffffc0f,0xffffc800,0xffffffff,0x3ff20004,
    0xffffffff,0x500003ff,0xfffffffd,0x3dffffff,0x3ae20000,0xffffffff,
    0x7ffc42ef,0xdffa800e,0x00000ffe,0x01dffff7,0x7ffffdc0,0x7002ffff,
    0x20009fff,0x000ffffc,0x4007ff98,0xfffffffd,0xffd8003f,0x7fdc0003,
    0xc8007fed,0x8000ffff,0x20007ff9,0xf9affff9,0x50004fff,0xdfffffff,
    0xffffc800,0xffffffff,0xeffb800e,0x00fffcc1,0x3abfffd0,0x8000efff,
    0x4c1ffff8,0xfb8fffff,0x004fffff,0x207ffff4,0x0007ffff,0xfffffff9,
    0x009fffff,0x7ffffe40,0x3fffffff,0x7fe44000,0xffffffff,0x4fffffff,
    0x7ff54000,0xffffffff,0xfe8aefff,0xfe800fff,0x0000ff62,0x007ffff4,
    0xbfffff10,0x200dffff,0x4000ffff,0x0ffffffb,0x02ffe800,0x2fbffe60,
    0x000ffffd,0x0001bfea,0x02fe87fa,0xffffff70,0x5ffd0001,0xfffc8000,
    0x006fffef,0xfbffff10,0x32009fff,0xffffffff,0x0effffff,0x7ffff440,
    0x005ffffd,0x7f7fffcc,0x50001fff,0xff30ffff,0xffff5fff,0xe8003fff,
    0x7fc0ffff,0x310007ff,0x33333333,0x40001333,0x99999998,0x00099999,
    0x3ffffe60,0xffffffff,0xefffffff,0x7fe44000,0xffffffff,0xffffffff,
    0x8801ffff,0x017ee0ff,0x3fffea00,0x7ffdc001,0x7ffff30f,0x04fffb80,
    0x7fffffc0,0x7d4000ff,0x7fec006f,0x07fff60f,0x002ffe80,0x3ee3fc40,
    0xfffff804,0x54000fff,0xd00006ff,0x3fffffff,0x3fffa000,0x03ffff76,
    0xffffffa8,0xffffffef,0xff9805ff,0x0effffff,0xffffb800,0x20004fff,
    0xf985fffc,0xffffffff,0x88007fff,0x99981999,0x00000019,0x00000000,
    0xffffd000,0xb9bfffff,0xffffffff,0x7f4c00bf,0xffffffff,0xffffffff,
    0x002fffff,0x02fe8ff6,0x1fffe800,0x4fffe800,0x202fffec,0x2000ffff,
    0xffeefff8,0x7ff4000f,0x42988001,0x7000fffe,0x20000bff,0x03fd12fe,
    0xfeefff88,0x7f4000ff,0xf100001f,0x007fffff,0x83fffee0,0x200efffd,
    0x41effffe,0xffffffb8,0xfffd8800,0x6c0004ff,0x006fffff,0x41ffff40,
    0xfffffff9,0x304fffff,0x00333333,0x4ccccc40,0x26666661,0x99999999,
    0x99999999,0x33330000,0x2e000033,0xcfffffff,0xffffb100,0x3a003fff,
    0xffffffff,0xfffedcdf,0x03ffffff,0x7ff7fd40,0xcc880007,0xfff0002c,
    0x6fffc87f,0x017ffee0,0x3f65df10,0x3ee000ff,0xc980005f,0x1004fffe,
    0x00003fff,0x1bffbfee,0x7ecbbe20,0x3ee000ff,0x4c00005f,0x0002aaaa,
    0x2a06aaaa,0x3fe01aaa,0x3ee01fff,0x4001ceff,0x100001a9,0x00155555,
    0x0ffffc40,0x7fffffcc,0x203930cf,0x2ffffffc,0xffff9800,0x3fffe5ff,
    0xffffffff,0xffffffff,0xfb8002ff,0x002fffff,0x7ffffc40,0xff7002ff,
    0x700dffff,0x9fffffff,0x3fff2201,0x8003ffff,0x001dffeb,0x3e000000,
    0x7fdc2fff,0x3fffe07f,0x7ec18000,0xff1000ff,0xf700001f,0x64009fff,
    0x400004ff,0x001dfffb,0x00fffd83,0x001fff10,0x00000000,0x7fc40000,
    0x0d404fff,0x00000000,0x7cc00000,0xfff307ff,0x8800dfff,0x0fffffff,
    0x7ffff400,0x3fffe0ff,0xffffffff,0xffffffff,0xfe8002ff,0x006fffff,
    0x7ffffe40,0x7fd4001f,0x2203ffff,0x2fffffff,0xfffff900,0x054000df,
    0x09980000,0xfff10760,0xffffb85f,0x05fffb80,0x1fffb000,0x013ff200,
    0x7fffe400,0xfff8803f,0x15000000,0xfffd8000,0x09ff9000,0x26620000,
    0x4c400001,0xfff80019,0x00acffff,0x00988000,0x004c4000,0x2fffdc00,
    0xffffff98,0xfffa8001,0x2a004fff,0x43ffffff,0xffffffff,0xffffffff,
    0x02ffffff,0x7ffffcc0,0x10001fff,0x0bffffff,0x3ffffa00,0x3fff207f,
    0xf5001fff,0x5fffffff,0x00000000,0xfffffdb7,0x217fec5d,0x7e42ffff,
    0xffff07ff,0x3f600001,0xff9800ff,0x3500000f,0x809fffb3,0x00003ffd,
    0x00999988,0x01fffb00,0x001fff30,0x3ffb2200,0x01dfffff,0x7fff6440,
    0x801dffff,0xfffffffd,0x0001beff,0x3bffff6e,0xfb70003d,0x007bdfff,
    0x40ffff60,0x07fffff9,0x3ffff600,0xff8801ff,0xff86ffff,0xffffffff,
    0xffffffff,0x4002ffff,0xfffffffc,0xff50004f,0x0001ffff,0x3fffffe6,
    0xfffff881,0xfff3004f,0x8dffffff,0x03eeeee8,0x04eeeee8,0x3fffffa2,
    0xfdffffff,0x7fff42ff,0x437ffe43,0x0005fffb,0x003fff60,0x0000fff6,
    0x037ffc40,0x0000dff3,0x7ffffed4,0x2001ceff,0xd800fffd,0x900003ff,
    0xffffffff,0x001dffff,0xfffffff9,0x01dfffff,0x7fffffcc,0xdfffffff,
    0xfffd3001,0x3dffffff,0x3fffa600,0x1effffff,0x0ffffc00,0x6fffff98,
    0x3ffe2000,0xfc805fff,0xf81fffff,0xffffffff,0xffffffff,0x002fffff,
    0x3fffffe2,0x70007fff,0x00bfffff,0xfffffe80,0xfffffa82,0xfff9800f,
    0xffffffef,0x3ffffe21,0xfffff804,0xfffff705,0xffffffff,0xffb07fff,
    0x5fffe8bf,0x001ffff8,0x03fff600,0x000dff50,0xff84dcb8,0x5ffd00ff,
    0xffd30000,0xffffffff,0x3f6005ff,0x7fd400ff,0xff900006,0xffffffff,
    0x401dffff,0xfffffffc,0xefffffff,0x3fffea00,0xffffffff,0x3ee00dff,
    0xffffffff,0x5c03ffff,0xffffffff,0x003fffff,0x201ffff3,0x05fffff9,
    0x7fffdc00,0x3fe202ff,0xff04ffff,0x0001ffff,0x7ffdc000,0x2fffffff,
    0xffffc800,0x7ec0003f,0xfb83ffff,0x8804ffff,0xfe8efffe,0x3e22ffff,
    0xf804ffff,0xfb85ffff,0xffffffff,0x6fffffff,0x17ffff50,0xb85ffff9,
    0x00005fff,0x2007ffec,0x40002ffe,0x3ea1fffe,0xdff506ff,0xfff10000,
    0xffffffff,0xb007ffff,0xfe801fff,0xfa80002f,0xfeffffff,0x5fffffff,
    0xffffff50,0xffffffdf,0xfda80bff,0xffffffff,0x980effff,0xffffffff,
    0x2fffffff,0xffffff30,0xffffffff,0xfff7005f,0x7fffcc0d,0xfe80004f,
    0x3606ffff,0x206fffff,0x00ffffff,0x3fa00000,0xffffffff,0xffd8006f,
    0x40002fff,0x84fffffc,0x03fffffc,0x8fffff44,0x23fffffc,0x04fffff8,
    0x45fffff8,0xeffffff8,0xffffc99b,0xffd01fff,0xbfffffff,0x01ffff88,
    0x7ffec000,0x01bfee00,0x3fffee00,0x03ffffed,0x00003ffd,0xfffffffd,
    0xffffffff,0xfffd801f,0x01bfee00,0x7ffff400,0x7ffdc41e,0xffe80fff,
    0x7dc41eff,0x800fffff,0xfffffec9,0x85ffffff,0xadfffffe,0xfffffc99,
    0xfffffd06,0xfff9335b,0xffb00dff,0x7ffcc09f,0x980004ff,0x84ffffff,
    0x1ffffffa,0x3fffffe0,0x30000000,0xfd9fffff,0x8003ffff,0x01ffffff,
    0x7fffdc00,0xffffe85f,0x7ffec02f,0x3fffee1f,0x3fffe24f,0xffff804f,
    0x7fffec5f,0xffff104f,0x3fa60bff,0x0effffff,0x002fffdc,0x07ffec00,
    0x001fff88,0xfffffb00,0x3ee09fff,0xf980005f,0x99beffff,0xffffffb9,
    0x07ffec02,0x001fff88,0x3fffff00,0x677ffdc0,0x1fffff81,0x33bffee0,
    0x7ed44001,0x7fffffff,0x27ffffd4,0x2fffffa8,0x27ffffd4,0x2fffffa8,
    0x017fffc0,0x09fffff3,0x3fff2000,0x7ff40fff,0x7fc04fff,0x0000ffff,
    0xffff9000,0xfffff73f,0x7ffc4009,0x40000fff,0x87fffffa,0x01ffffff,
    0x50bffff6,0x44dfffff,0x804fffff,0x2a5fffff,0x105fffff,0xfffffffd,
    0x7fffe405,0xffff884f,0xfd800001,0xbff900ff,0xffb80000,0xf102efff,
    0xb00001ff,0x203fffff,0x04fffffb,0xc807ffec,0x100005ff,0x809fffff,
    0x7ffc401a,0x00d404ff,0x3ff26000,0x3fa1ffff,0x3200ffff,0x7f46ffff,
    0x3200ffff,0x2606ffff,0x2600ffff,0x004fffff,0xfffff100,0x7fffdcbf,
    0x7ffc00ff,0x00000fff,0xffffff00,0x1fffffe2,0xfffff880,0x7d40000f,
    0x7c47ffff,0x900fffff,0xf307ffff,0x7c4fffff,0xf804ffff,0x3f25ffff,
    0xfb01ffff,0xbfffffff,0x5c013100,0x97305fff,0x80000159,0x9000fff8,
    0x33100399,0x04ffc801,0x22039990,0x3e203dba,0x0004ffff,0x300fff88,
    0xf8057997,0xacffffff,0xffff0000,0x00159fff,0x1ffb9730,0xfffffc80,
    0x9fffff11,0xfffff980,0x9fffff10,0xfffff980,0x0dfff700,0x3fffff98,
    0x3fea0000,0xff8affff,0xf802ffff,0x000fffff,0xfffa8000,0x3fff64ff,
    0x3fe002ff,0x0001ffff,0x37ffffdc,0x3fffffe2,0x4ffffb80,0xffffff50,
    0x27ffffc4,0x2fffffc0,0x20dffffb,0xffe9fffc,0x880006ff,0x7441ffff,
    0x03ffffff,0x13ff6000,0x01fffec0,0x1fff3000,0x07fffb00,0xffff1000,
    0xfb0000bf,0xfffb109f,0x3603dfff,0xffffffff,0x36001bef,0xffffffff,
    0xfb001bef,0xd80bffff,0xf30fffff,0x8807ffff,0xf31fffff,0x8807ffff,
    0xb01fffff,0xf9809fff,0x0003ffff,0x7ffffec0,0x5fffffde,0xffffff00,
    0x55555557,0x15555555,0x3ffff600,0x3fffea1f,0x3ff6006f,0x40002fff,
    0x86fffffc,0x42ffffff,0x205ffffa,0x26fffffb,0x04fffff8,0x25fffff8,
    0xb85fffff,0xfffb2fff,0xf70000ff,0xfff98bff,0x05ffffff,0x0fff9800,
    0x3ffffb80,0x3ff60000,0xffffb803,0xfb730003,0x00bfffff,0x40fff980,
    0xffffffe8,0xff981fff,0xffffffff,0x4c01dfff,0xffffffff,0x01dfffff,
    0x3fffffe6,0x7ffdc41b,0x3ffea6ff,0xeeeeeeff,0xfffffeee,0xdfffff52,
    0xdddddddd,0x205fffff,0x4c02ffff,0x003fffff,0x7fffc400,0xffffffff,
    0xfffff000,0xffffffff,0xffffffff,0xffff1003,0xffff88df,0xff9001ff,
    0x80007fff,0x85fffffd,0x23fffffe,0x405ffff9,0x24fffffc,0x04fffff8,
    0x15fffff8,0xa89fffff,0x3ff23fff,0x20001fff,0x6c1ffff8,0xffedffff,
    0x740002ff,0xffa803ff,0x00003fff,0xf500dff5,0x1007ffff,0xfffffd95,
    0x00bfffff,0xc83ffe80,0xfdabefff,0xfff505ff,0xffffffff,0x5401bfff,
    0xffffffff,0x0dffffff,0xffffffb0,0xfffffbff,0x7fdc5fff,0xffffffff,
    0xffffffff,0xfffff73f,0xffffffff,0x07ffffff,0x801ffff1,0x03fffff9,
    0xfffb8000,0x3fffffff,0x3ffffe00,0xffffffff,0xffffffff,0xffffb801,
    0xffffd83f,0xfff7004f,0x40080bff,0x83fffffe,0x34fffffd,0x801dffff,
    0x23fffffd,0x04fffff8,0x15fffff8,0x4c9fffff,0x7fdc5fff,0x20001fff,
    0x7cc5fffb,0x3ff61fff,0x3ea0006f,0xfff8806f,0x00003fff,0xf8805ffd,
    0x203fffff,0xffffffd8,0xffffffff,0x3fea0005,0x43fffd06,0x2a07fff8,
    0xfffffffd,0x0effffff,0x3ffff6a0,0xffffffff,0xfffb00ef,0xffffffff,
    0xfc87ffff,0xffffffff,0xffffffff,0xffff94ff,0xffffffff,0x9fffffff,
    0x00dfff50,0x07fffff3,0x3ffa0000,0x06ffffff,0x7fffffc0,0xffffffff,
    0x1fffffff,0xfffffe80,0xfffff980,0xffff5007,0x176c01ff,0x7fffffd4,
    0xfffffc81,0x0efffe8e,0xfffffe80,0x3ffffe22,0x7fffc405,0x3ffffe5f,
    0x90bfff15,0x000fffff,0x20ffffc4,0x7d46fffb,0xd0000fff,0xfe8805ff,
    0x003fffdf,0x405ffb80,0xfffdffe8,0xfffff303,0xffbdffff,0x4000bfff,
    0x75502ffe,0x06fff889,0xffffec98,0x5fffffff,0xfffec980,0xffffffff,
    0x3ffff605,0xffffffff,0xffffb83f,0xeeeeeeef,0x3eeeeeee,0xddfffff7,
    0xdddddddd,0xf907dddd,0xff3009ff,0x00007fff,0x3ffffe60,0x7c001fff,
    0xffffffff,0xffffffff,0x4c01ffff,0x205fffff,0x02ffffff,0xffffff88,
    0x3dfff305,0x3ffffff4,0xffffffa8,0x801ffffe,0x1ffffffa,0x17ffffe2,
    0xbfffff10,0x47fffff4,0xfd80effe,0x20006fff,0xfc85fffb,0x7ffcc5ff,
    0xffb8001f,0x9dffd805,0x40003fff,0x6c01fff8,0x3fff9dff,0xffffffa8,
    0x3ffe0bdf,0xf70005ff,0x3f2000bf,0x544004ff,0xfffffffd,0x6d44007f,
    0xffffffff,0x7ffe4c07,0x0cffffff,0x5fffff50,0xfffa8000,0x200002ff,
    0x9803fffe,0x003fffff,0x3fff2000,0xf8004fff,0xeeefffff,0xeeeeeeee,
    0x6401eeee,0x202fffff,0x06fffffc,0xffffff90,0xfffffb03,0xffffff9b,
    0x7ffffc07,0x001fffff,0x8ffffffd,0x05fffff8,0x2fffffc4,0xfdfffff9,
    0xfff101ff,0x22000bff,0xfd81ffff,0x7ffcc5ff,0x7fc4002f,0x77fdc01f,
    0x003fff88,0x2027fe40,0xff98effc,0xffffe83f,0x3fffe03f,0xff88005f,
    0xffc8001f,0x4c0000ff,0x1ffffffc,0x3ff26000,0x3001ffff,0x019dffd7,
    0x3fffff98,0x7ffcc000,0x100003ff,0x4003ffff,0x000abccb,0xffff1000,
    0xff0001ff,0x0001ffff,0x3fffe200,0x3fe600ff,0x8801ffff,0x2fffffff,
    0x7fffff54,0x06ffffff,0x7fffffdc,0xff5002ff,0xff05ffff,0xfa80dfff,
    0x3ea5ffff,0x1fffffff,0x7fffff90,0x3ffee000,0x89fffd05,0x002ffff8,
    0x2a027fe4,0xfff11fff,0x7fc40007,0x3ffea00f,0x887fff31,0x205fffff,
    0x05fffff8,0x004ffc80,0x17fffec4,0x07fee5cc,0x3fffff20,0x3ff72e61,
    0x7fffe400,0xfff1001f,0x4405ffff,0x406fffff,0x2209bcec,0x406fffff,
    0xa809bcec,0x7c007fff,0x004fffff,0xfffff000,0x3ffe000f,0x00000fff,
    0xffffff70,0xffffffff,0x09ffffff,0x3ffffea0,0x7f540cff,0xffffffff,
    0x7fffc401,0xf5004fff,0x20dfffff,0x407fffff,0x45fffffc,0x2ffffffe,
    0xdfffff50,0x3ffe2000,0xbfffb01f,0x01ffff98,0x803ffe60,0xa99cfff9,
    0x0009cfff,0x2603ffd8,0xfa99cfff,0xff509cff,0x7cc05fff,0x4005ffff,
    0x2000fff9,0x02ffffe8,0x0bfffffb,0x0fffffd8,0x17fffff6,0x1fffffb0,
    0x36ef2a00,0x3201ffff,0x303fffff,0x41ffffff,0x03fffffc,0x1ffffff3,
    0x005fffc8,0x7ffffffc,0xff800004,0xf0007fff,0x001fffff,0x3fffa000,
    0xffffffff,0xffffffff,0x3ffa007f,0xdeffffff,0xffffffdc,0xf7005fff,
    0x07ffffff,0xffffffd8,0xfffff01f,0x3ffea05f,0x7fcc5fff,0x88bdffff,
    0xffffffd9,0xfff70001,0x37ffe40b,0x003fffea,0x6403ffd8,0xffffffff,
    0x4004ffff,0x7e407ff9,0xffffffff,0xfff54fff,0x7ff40bff,0x6c005fff,
    0x3e6003ff,0x2601efff,0x1bffffff,0x7ffffdc4,0x7ffffcc6,0x7fdc41bf,
    0x40006fff,0x2203fffc,0x0cffffff,0x3fffffaa,0x7ffffc44,0x3ffaa0cf,
    0xffe84fff,0xf910003f,0x00000dff,0x00ffffff,0x3fffffe0,0xf9800000,
    0xffffffff,0xffffffff,0x002fffff,0xffffffd1,0xffffffff,0x3bffffff,
    0xfffff700,0x979bffff,0xfffffffd,0x7ffec09f,0xf930afff,0x0bffffff,
    0xfffffffb,0xffffffff,0x3e20009f,0x3ee01fff,0x3ff20fff,0x3fea007f,
    0xffffc806,0xffffffff,0x17ff4004,0x3fffff20,0x4fffffff,0x5ffffff3,
    0xfffffd98,0x3fea005f,0x3ffe6006,0xffd800ef,0xfdffffff,0x2fffffff,
    0xffffffd8,0xfffffdff,0x40002fff,0x6404fffb,0xefffffff,0xffffffff,
    0xfffffc80,0xfffffeff,0x7fc40fff,0x220001ff,0x00007fff,0x07fffff8,
    0xffffff00,0xf9000001,0xffffffff,0xffffffff,0x00dfffff,0xffffffc8,
    0xffffffff,0xcfffffff,0xfffff500,0xffffffff,0xffffffff,0x7fd401bf,
    0xffffffff,0xffffffff,0x7ffffcc5,0xffffffff,0x20004fff,0x4405fffc,
    0xfb9dffff,0x3a004fff,0xeeb802ff,0xfffeeeee,0x3ea003ee,0xeeeb806f,
    0xefffeeee,0x3ffffe3e,0xffffcfff,0x006fffff,0x4400bffa,0xaabfffff,
    0xfffb02aa,0xffffffff,0x6c07ffff,0xffffffff,0x3fffffff,0xff710100,
    0xff9005ff,0xffffffff,0x6403ffff,0xffffffff,0x81ffffff,0x1007fffa,
    0x5fffe988,0xfff80000,0xff0007ff,0x0001ffff,0xffffff00,0xffffffff,
    0xffffffff,0xe98003ff,0xffffffff,0xffffffff,0x4c4fffff,0xffffffff,
    0xffffffff,0x03ffffff,0xffffffb0,0xf97fffff,0x7f44bfff,0xffffffff,
    0x01efffff,0x3fffe200,0xffffb801,0x00ffffff,0x000dff70,0x007fff10,
    0x0003ffd0,0xa83fff98,0xffffffff,0xfffeffff,0xffb800ff,0x3fff2006,
    0x7fffffff,0x3fffff60,0xffffffff,0xffffd803,0xffffffff,0x3fee003f,
    0x5fffffff,0x3fffea00,0xffffffff,0xffffa801,0xffffffff,0x0bfff901,
    0xffffff10,0x0001dfff,0xffffff00,0x3fffe000,0x400000ff,0x9efffffa,
    0x99999999,0xffffe999,0xd970004f,0xffffffff,0xfffff77b,0x7ffc4bff,
    0xfffea8ef,0xffffffff,0x6c000dff,0xffffffff,0xbffff92f,0x64477fec,
    0xefffffff,0x7e40000c,0x3f2005ff,0x2fffffff,0x03fff100,0x7fff1000,
    0x05ffb800,0x3fff9800,0xffffff90,0xff33dfff,0xf8805fff,0x3fe001ff,
    0xffffffff,0x7fe4c07f,0xcfffffff,0x3ff26000,0xcfffffff,0x7ffdc000,
    0x002effff,0xffffec98,0x2000bfff,0xfffffec9,0x3fa00bff,0xff8803ff,
    0x0cffffff,0xfff00000,0x3e000fff,0x000fffff,0x7fffec00,0xffb8003f,
    0x00007fff,0x81355751,0x1fffffd8,0x507fffe6,0xfffffffd,0x400059df,
    0xdeffffec,0x97ffff21,0xa9981fd8,0x2200001a,0x4001ffff,0x0dffffea,
    0x017ff200,0x17774400,0x01fff100,0x5ddd1000,0x7ffff4c0,0x3ffa0cff,
    0x7fe405ff,0x3bba6005,0xeeeeeeee,0x2aa66006,0x9800009a,0x0009aaa9,
    0x2f32aa20,0x2600001a,0x000019aa,0x20033553,0x5001cccc,0x01559997,
    0xfff80000,0xff0007ff,0xffffffff,0xffffffff,0x7c4fffff,0x000fffff,
    0xffffff88,0x80000002,0xf985fffa,0x5d4c401f,0x8800001a,0x0c0000aa,
    0x44000000,0x40001999,0x33100008,0x00000001,0x00013310,0x54c40000,
    0x2200000a,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fffff8,0xffffff00,0xffffffff,0xffffffff,0x7ffffdcf,
    0x3ff60005,0x00006fff,0x407aa000,0x00000028,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe00000,0xf0007fff,0xffffffff,
    0xffffffff,0x74ffffff,0x002fffff,0x3ffffea0,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf0000000,
    0x000fffff,0x3ffffffe,0xffffffff,0x7fffffff,0x0ffffff3,0xfffff000,
    0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x007fffff,0xfffffff0,0xffffffff,0xffffffff,
    0x13fffff6,0x3fff2000,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00066666,0x19999880,0xccccc800,0x26200002,
    0x0009acca,0xcccc8800,0x0000002c,0x4c333331,0x98001999,0x403ccccc,
    0x00199999,0x04ccccc0,0x09999880,0x66644000,0x66664c2c,0xccc80000,
    0x80001ccc,0x30000098,0x03100000,0x19999880,0x01acb980,0x32aa6000,
    0xc80000ab,0x66443ccc,0x310002cc,0x93000001,0x00079999,0x80565cc4,
    0x99999998,0x99999999,0x03000199,0x007ffffc,0xffffd800,0x7ffc4007,
    0x880004ff,0xfffffffc,0x200000cf,0x1ffffffd,0xfe800000,0x3ffe7fff,
    0x7f4001ff,0x2201ffff,0x007fffff,0x3ffffe60,0x3fff6a05,0x01ceffff,
    0x1ffff900,0x017fffa2,0x3fffea00,0x3bbba04f,0x3ffb261e,0x2a001dff,
    0x2cefffec,0xfecb8800,0x6c01ceff,0x4c1fffff,0xffffffec,0xf910001e,
    0xffffffff,0xf880019b,0x7fcc6fff,0x36e005ff,0x03deffff,0xffffb000,
    0xfd90003f,0x1bdfffff,0x7fffffe4,0xffffffff,0x2001ffff,0x3ffe07c8,
    0xb00000ff,0x800fffff,0x04fffff8,0x7fffd400,0xffffffff,0xffb80001,
    0x006fffff,0xfffe8000,0x3ffffe7f,0x3ffe6001,0x7fc401ff,0x20007fff,
    0x85fffff9,0xffffffe9,0x02ffffff,0x2dfffd00,0x000ffffd,0x4ffffe80,
    0x97ffffc0,0xfffffffb,0xffc803ff,0x4fffffff,0x3fffe600,0x04ffffff,
    0x87fffff6,0xfffffffa,0x2004ffff,0xffffffc8,0xefffffff,0x3ffe2001,
    0x7fffcc6f,0xfffe9805,0x1effffff,0x3ffe6000,0x744001ff,0xffffffff,
    0xfff92fff,0xffffffff,0x3fffffff,0x81ffee00,0x000fffff,0x7ffffffc,
    0x1fffffff,0xfffff880,0x3fe20004,0xffffffff,0x0000efff,0x3f7fffe2,
    0x00004fff,0x3fffff40,0x003fffff,0x017fffec,0x3fffffc4,0xffff3000,
    0xffff88bf,0xffffffff,0x88003fff,0xfffeffff,0xf980002f,0xff805fff,
    0xfffcafff,0xffffffff,0xffffb104,0xbfffffff,0xffffa801,0xffffffff,
    0xffffd80e,0xfffff91f,0xffffffff,0xfffd1007,0xffffffff,0x007fffff,
    0x31bfffe2,0xb80bffff,0xffffffff,0x003fffff,0x05ffffb0,0xfffffa80,
    0xffffffff,0xfffffcbf,0xffffffff,0x401fffff,0x207fffe9,0x000fffff,
    0x7ffffffc,0x1fffffff,0xfffff880,0x3ffa0004,0xfebdffff,0x0005ffff,
    0x7dd7fffa,0x00001fff,0x9fffffa0,0x001fffff,0x005ffff1,0x1fffffe2,
    0xffff9800,0x7ffff45f,0xffffffff,0x8000ffff,0xfffffffb,0xffb00004,
    0x3ffe00bf,0xfffffeff,0xffffffff,0xfffffc80,0xffffffff,0x3fffea05,
    0xffffffff,0xfffd85ff,0xffffdaff,0xffffffff,0x3a201fff,0xffffffff,
    0xffffffff,0x7c400dff,0x7fcc6fff,0x3fe605ff,0xffffffff,0x002fffff,
    0x017fffc4,0x3ffffe60,0xffffffff,0xffffffff,0xffffffff,0x01ffffff,
    0x03ffffec,0x001fffff,0xfffffff8,0x1fffffff,0xeeeee880,0xfff10003,
    0xfff70dff,0x3f2000ff,0x3ff60fff,0x000000ef,0x7cfffffd,0x9000ffff,
    0x44007fff,0x007fffff,0x3ffffe60,0x3ffffe65,0xffb999be,0x0002ffff,
    0x0dfffffb,0x3ffe6000,0xffff000e,0x535bffff,0x7ffffffb,0xffffff98,
    0xfffffecf,0xffffb02f,0xffffbbff,0xffd87fff,0xffffffff,0xfffffeef,
    0x3a05ffff,0xffffffff,0xfffffdde,0xa804ffff,0x55442aaa,0x3ffa01aa,
    0xc99adfff,0x006fffff,0x001fffe4,0x7fffffec,0xfffdcdff,0xffffffff,
    0xffffffff,0x401fffff,0x807ffffd,0xed8007fc,0xffffeeee,0x0001eeff,
    0xfff98000,0xffff02ff,0x5550003f,0xaaaa8835,0xfd000001,0xff90ffff,
    0x01e66400,0x3ffffe20,0x3fe60007,0x3ff65fff,0xff701fff,0x20009fff,
    0x01aaaaa8,0x19995000,0x7ffffc00,0xfffd02ff,0xfffd89ff,0x7ffdc4ff,
    0xfff886ff,0x7fe40dff,0x7fec6fff,0x2effffff,0xfffffe98,0xfff980ff,
    0x880cffff,0xfffffffc,0x20000001,0x04fffffa,0x05fffff5,0x001e6640,
    0x7fffffcc,0xffff701f,0x0009ffff,0x3ffff600,0x006fe807,0x3ffff600,
    0x00000007,0x27ffffcc,0x01ffffe8,0x00000000,0x7ffff400,0x0006fe87,
    0xffff1000,0x7cc000ff,0x5445ffff,0x3fe203db,0x00004fff,0x00000000,
    0x4ffffff8,0x3ffffe60,0x3ffffe25,0xfffffd07,0xfffffb81,0xfffff881,
    0x7ffffec7,0xffd805ff,0xfc83ffff,0x802fffff,0x5ffffffa,0x3a000000,
    0x200fffff,0x006ffffc,0x3ff60000,0x4c00efff,0x4fffffff,0xffb00000,
    0xffa80fff,0xd804c004,0x0007ffff,0xf0000662,0x981fffff,0x0007ffff,
    0x0000cc40,0x7ff40260,0x27fcc7ff,0x000cc400,0x0ffffff1,0x7fffcc00,
    0x3e20005f,0x0005ffff,0x00000cc4,0xf0006662,0x401fffff,0x25fffff8,
    0x03fffffa,0x87fffff7,0x205fffec,0x20fffffd,0xeffffffd,0xffff8800,
    0x7ffc45ff,0x2a004fff,0x01ffffff,0xff880000,0x7cc04fff,0x0000ffff,
    0xffffa800,0xff7001ff,0x0009ffff,0x7fff74c0,0x26eeefff,0xc8806ffc,
    0x22dffffe,0x007ffffd,0x3ffffb26,0x6c000cff,0x265fffff,0x004fffff,
    0x7fff64c0,0x4000cfff,0xdffffec8,0x9fffffa2,0x9800fffc,0xffffffec,
    0x3ffe200c,0x260007ff,0x005fffff,0x7fffedcc,0x64c005ff,0xcffffffe,
    0x7f644000,0x1dffffff,0x3fffffc0,0x37ffffc0,0x03fffff9,0x17ffffe2,
    0x3f601a98,0x7fec7fff,0x2001ffff,0x46fffffd,0x0fffeca8,0x7fffec00,
    0x3bbba25f,0xeeee803e,0xfffff34e,0xffff8807,0xddddd11f,0xddddd007,
    0x7ffffec9,0x7fffc005,0x200004ff,0xfffffffa,0xff17ffff,0xffe9803f,
    0xb4ffffff,0x200fffff,0xfffffffc,0x2004ffff,0xcffffff9,0x1ffffffb,
    0x3fff2000,0xffffffff,0xffff5004,0x3a9fffff,0xff17ffff,0xfff9003f,
    0xffffffff,0x3fffe209,0x3e60007f,0x2205ffff,0xfffffeca,0x005fffff,
    0x3ffffff2,0x004fffff,0xfffffff9,0x01dfffff,0x01bffffe,0xd9bffffe,
    0x200fffff,0x006fffff,0x27ffff40,0x17fffff6,0xfffff700,0x0154401f,
    0x7ffffcc0,0xfffff10f,0xfffff009,0x3ffffeab,0xeeeeeeee,0x12fffffe,
    0x009fffff,0x74bfffff,0x002fffff,0x27ffffe4,0xfff50000,0xffffffff,
    0x2e0066cf,0xffffffff,0xfffeefff,0x7ff4c07f,0xffffffff,0x32004fff,
    0xffffffff,0x0003ffff,0xffffffd3,0x9fffffff,0xfffffb80,0xedffffff,
    0x3327ffff,0x7fff4c00,0xffffffff,0xfff884ff,0x260007ff,0x885fffff,
    0xfffffffd,0x5fffffff,0xffffe980,0xffffffff,0x7ffe404f,0xffffffff,
    0xff80efff,0xff806fff,0x3ffe6fff,0x7ff407ff,0x320007ff,0x6c2fffff,
    0x003fffff,0x7fffffcc,0x3e000001,0xf11fffff,0xf009ffff,0x3eebffff,
    0xffffffff,0xffffffff,0xffff13ff,0xffff009f,0x7ffffcbf,0x7fd4000f,
    0x00004fff,0x3fffffea,0x007fffff,0x7fffffc4,0xffffffff,0x7407ffff,
    0xffffffff,0x4fffffff,0x3ffffa00,0x03ffffff,0x3ffffa00,0xffffffff,
    0xff304fff,0xffffffff,0xffffffff,0xfffd000f,0xffffffff,0xf889ffff,
    0x0007ffff,0x17ffffe6,0xfffffff3,0xffffbdff,0xfffd00bf,0xffffffff,
    0x2a09ffff,0xefffffff,0xffffffff,0x5fffff85,0x6ffffe80,0x01fffffe,
    0x01fffffd,0x3ffaea20,0xffd84fff,0x44002fff,0x01ffffff,0x3ff60000,
    0xfff12fff,0xfff009ff,0x3fff2bff,0xffffffff,0xffffffff,0x9fffff14,
    0xbfffff00,0x03fffffc,0x7ffffcc0,0xaaaaaaae,0x2602aaaa,0xffffffee,
    0x6c006eee,0xacffffff,0xfffffca9,0x3fee07ff,0xc9adffff,0x0ffffffe,
    0xfffff700,0x0003dfff,0x7fffffdc,0xfffec9ad,0xffd80fff,0xa99cffff,
    0xfffffffd,0x7ffdc007,0xec9adfff,0x20ffffff,0x07fffff8,0x3fffe600,
    0x3fffea5f,0x3e0bdfff,0x5c05ffff,0xadffffff,0xfffffec9,0xffffe80f,
    0x7ffdc41e,0x7ffc0fff,0xffe805ff,0xffff16ff,0xfffd80df,0xff7001ff,
    0x207fffff,0x01fffffd,0xffffff80,0x33333321,0xcccccccc,0xfecccccc,
    0xff13ffff,0xff009fff,0x3feebfff,0xeeeeefff,0xeeeeeeee,0xfffff13e,
    0xfffff009,0x3ffffe2b,0xfff88007,0xffffffff,0x07ffffff,0x0fffffb0,
    0x7fffcc00,0xfff702ff,0x3e20ffff,0xb02fffff,0x807fffff,0xffffffd8,
    0x20000fff,0x2ffffff8,0x7fffffb0,0xffffffa8,0xfffff701,0x7fc400ff,
    0xfb02ffff,0x7c47ffff,0x0007ffff,0x97ffffe6,0x03fffffe,0x817ffffe,
    0x2ffffff8,0x7fffffb0,0x03fffff0,0x0e77ffdc,0x017ffffe,0x45bffffa,
    0x406fffff,0x01fffffd,0xffffff90,0x7fffec05,0xfff8001f,0x3ffe2fff,
    0xffffffff,0xffffffff,0x4fffffff,0x09fffff1,0x2bfffff0,0x02fffffa,
    0x7fffc400,0xffff804f,0xfffff55f,0x3ffe000d,0xffffffff,0x07ffffff,
    0x0fffffb0,0x7fffe400,0x7ffec04f,0xfff707ff,0x7fcc09ff,0x3ea04fff,
    0xffffffff,0x2e0005ff,0x204fffff,0x44fffff9,0x03fffffd,0x3ffffff4,
    0xfffff700,0x7fffcc09,0x3fffe24f,0x3e60007f,0xff15ffff,0x7c40bfff,
    0x2e05ffff,0x204fffff,0x44fffff9,0x04fffff8,0x3ffe00d4,0xffe805ff,
    0xffff36ff,0xfffd80df,0xffb001ff,0x019fffff,0x03fffffb,0xffffff00,
    0x3ffffe25,0xffffffff,0xffffffff,0xf15fffff,0xf009ffff,0x3e6bffff,
    0x0003ffff,0x27ffffc4,0xafffffc0,0x05fffffb,0xffffff00,0xffffffff,
    0x3600ffff,0x0007ffff,0x03fffffa,0xffffff30,0x3fffff60,0x004ddc00,
    0x3fffffea,0x2fffffff,0x7fec00d4,0x5dc00fff,0xffffd009,0xfffa801f,
    0x3f6007ff,0x5c00ffff,0xfff8809b,0x260007ff,0xf55fffff,0x4c05ffff,
    0x205fffff,0x00fffffd,0xff004ddc,0x159fffff,0xfffff000,0xffffd00b,
    0x3ffffe6d,0x7fffec06,0xfffd001f,0x83dfffff,0x01fffffd,0xffffff80,
    0xffffff12,0xffffffff,0xffffffff,0x3e2dffff,0xf804ffff,0xff15ffff,
    0xec80dfff,0x3fe209bc,0xff804fff,0xfff75fff,0x3e000dff,0xffffffff,
    0xffffffff,0xffffb007,0x7ffc000f,0xfff006ff,0x3ffa0fff,0x200006ff,
    0xfffffffa,0xfffffffb,0x06f7ffe1,0x01bffffa,0x7ffffc00,0xfffff006,
    0x7fff400f,0xf880006f,0x0007ffff,0x57ffffe6,0x05fffffa,0x17fffffa,
    0x06ffffe8,0x3fff6000,0xbeffffff,0xfffff001,0xffffd00b,0x3ffffe2d,
    0x7fffec06,0x2a35001f,0x0ffffffe,0x07fffff6,0x3ffffa00,0x3ffffe2f,
    0xffffffff,0xffffffff,0xf15fffff,0xf009ffff,0x7e4bffff,0xf303ffff,
    0x221fffff,0x804fffff,0xf35fffff,0x000fffff,0xdffffff1,0xdddddddd,
    0x3f600ddd,0x20007fff,0x005fffff,0x20fffffd,0x006fffff,0x3ffffa00,
    0xffff31ef,0xfff51dff,0xffff03ff,0xf10000df,0x200bffff,0x007fffff,
    0x01bffffe,0x3fffe200,0x3e60007f,0xff35ffff,0xd985ffff,0x05ffffff,
    0x01bffffe,0xffff9800,0xffffffff,0x3ffe01df,0xffe805ff,0xffff16ff,
    0xfffd80df,0x2a0001ff,0x365fffff,0x001fffff,0x2ffffff8,0x37fffffe,
    0xcccccccc,0xffeccccc,0xfff14fff,0xfff009ff,0x7ffc4bff,0x3aa0cfff,
    0x224fffff,0x804fffff,0xf15fffff,0x000fffff,0x09fffff1,0x3ff60000,
    0xf30007ff,0x2009ffff,0x887ffffd,0x005fffff,0xfffff700,0xffffa81d,
    0xffffddff,0xfffff887,0xff980005,0xfd004fff,0x2200ffff,0x005fffff,
    0xfffff880,0x3fe60007,0x3ffe5fff,0xffcfffff,0x6fffffff,0xbfffff10,
    0xffa80000,0xffffffff,0xf80dffff,0xe805ffff,0xff16ffff,0xfe80dfff,
    0x0000ffff,0x87ffffec,0x01fffffd,0xffffff80,0x3fffffa2,0xfffd0003,
    0x3ffe29ff,0xfff804ff,0x7ffe45ff,0xfffeffff,0x220fffff,0x804fffff,
    0x3e5fffff,0x000fffff,0x27ffffcc,0xffd80000,0xf30007ff,0x200bffff,
    0x987ffffd,0x005fffff,0xfffffb00,0x3ffff207,0x4fffffff,0x5fffff98,
    0xfff98000,0xffd004ff,0x3e600fff,0x0005ffff,0x7fffff88,0x3ffe6000,
    0x3ffea5ff,0xffffffff,0x0fffffef,0x5fffff98,0xfda80000,0xffffffff,
    0x7c0effff,0xe805ffff,0x3fe6ffff,0x7f407fff,0x0000ffff,0x97ffffdc,
    0x01fffffd,0xffffff80,0x3fffff61,0xfff88005,0xfff13fff,0xff880bff,
    0xffc85fff,0xffffffff,0x7c41ffff,0x4405ffff,0x3a5fffff,0x001fffff,
    0x27ffffdc,0xffd80000,0xf10007ff,0x200bffff,0xf07ffffe,0x000dffff,
    0x3fffffe0,0x3ffff600,0x01ffffff,0x00dfffff,0xfffff100,0x3fffe00b,
    0x3ffe007f,0x880006ff,0x537fffff,0x5403dd99,0x645fffff,0xffffffff,
    0xffff99ef,0xfffff02f,0x4c00000d,0xffffffec,0x7c5fffff,0xe805ffff,
    0x3fa6ffff,0x7fc07fff,0x80006fff,0xb3fffffa,0x003fffff,0x3ffffff0,
    0x3fffffd4,0x7fffcc00,0xffff10ff,0xfff880bf,0xfff505ff,0xffffffff,
    0xffff103f,0xfff880bf,0x3fff65ff,0x7f4004ff,0x0004ffff,0xfffffb00,
    0x7fffc000,0xffff006f,0x3fffa0ff,0x2018807f,0x06fffff8,0x7fffff44,
    0x3fa05fff,0x18807fff,0x37ffffc0,0x7fffff80,0x3ffffa00,0x22018807,
    0xf57fffff,0x5405ffff,0x984fffff,0xcffffffe,0x17ffffa0,0x03fffff4,
    0x220000c4,0xffffffda,0x7fffc7ff,0xfffe805f,0x3ffff66f,0xffff101f,
    0xcba988bf,0x7fffdc01,0xfffffb3f,0xfff98003,0x3fe20fff,0x4003ffff,
    0x26fffffd,0x05fffff8,0x2fffffc4,0xffffd930,0x22017fff,0x405fffff,
    0x25fffff8,0x0ffffffc,0xfffff100,0x2000009f,0x007ffffd,0x3fffff60,
    0x7fffcc00,0xffffb07f,0xeffc803f,0x3fffe0bd,0x7fcc00ff,0x01ffffff,
    0x07fffff6,0x17bdff90,0x07fffff4,0x3ffffea0,0x3fff6007,0x7fe401ff,
    0xfff10bde,0x3ffe6fff,0x3fee04ff,0x26204fff,0x5ffb00aa,0xfffffd80,
    0x6f7fe401,0x3260000b,0x01ffffff,0x02accb88,0x3ffffee0,0xfffff302,
    0x7ffffcc9,0x7fffe405,0xfffffb1f,0xfffa8003,0xfffd87ff,0xf5000fff,
    0xf87fffff,0x5406ffff,0x005fffff,0x4006bffa,0x406fffff,0x25fffffa,
    0x3ffffff9,0xfffff900,0x2000009f,0x00fffffd,0xfffff900,0xffffd807,
    0xffff907f,0xfffe809f,0x7ffff47f,0xfffd803f,0x3204ffff,0x404fffff,
    0x6c7ffffe,0x403fffff,0x07fffffe,0x3fffff20,0x7ffff404,0x3ffffe27,
    0xffffff17,0x7fffff40,0xffe80002,0x7fffe401,0x7fff404f,0x7ee5cc7f,
    0x7ffe400f,0xffa801ff,0x9803ffff,0xb06fffff,0xf83fffff,0x100fffff,
    0x21ffffff,0x01fffffd,0x7ffffec0,0xfffff985,0x7fc400df,0x7c0fffff,
    0x6407ffff,0x005fffff,0xf8003ffe,0x6407ffff,0x6c5fffff,0x01ffffff,
    0x7fffffdc,0xb000004f,0x001fffff,0x3ffffe60,0xffff702f,0x3fe60fff,
    0xf902ffff,0xfc89ffff,0x100effff,0xfffffffd,0xff301dff,0x3205ffff,
    0x4c4fffff,0x02ffffff,0xfffffff7,0x7fffcc00,0xfff902ff,0x7ffc49ff,
    0x3fffe7ff,0xfffb85ff,0x80000fff,0x7cc00fff,0x902fffff,0xd89fffff,
    0x405fffff,0x00fffffd,0xffffffa8,0xfffe802f,0x7ffcc2ff,0xfffd86ff,
    0xffd80cff,0x3ff66fff,0x81101fff,0x4ffffff9,0xffffff90,0x3ffee05d,
    0xff82ffff,0xf502ffff,0x00bfffff,0xf001ffe6,0x205fffff,0x5ffffffa,
    0x7fffffcc,0x3f2621bf,0xdfffffff,0x99999999,0x40099999,0xaefffffc,
    0x7fec005b,0x98acffff,0xfffffffc,0x3ffff207,0xfec9adff,0x441fffff,
    0xbfffffff,0xffffdb9a,0xffffffff,0xffffc83f,0xfec9adff,0xd81fffff,
    0x9cffffff,0xfffffda8,0x7e4007ff,0x9adfffff,0xffffffec,0x3ffffe21,
    0x3ffffee7,0xffffdeff,0x80005fff,0xc803fff9,0xadffffff,0xfffffec9,
    0x7fffcc1f,0x7dc41bff,0x8006ffff,0x804fffd9,0xcffffffb,0xffffffca,
    0xfffffa83,0xffebacff,0x3f61ffff,0xfb01ffff,0xfffffbbf,0x3fa203ff,
    0xdfffffff,0xffffffed,0xfffb05ff,0x32615fff,0x5fffffff,0x03fff500,
    0x7ffffec0,0xfff930af,0xf90bffff,0xffffffff,0xfffffffd,0xffffffff,
    0xffffffff,0xffb80bff,0x0fffffff,0x3fffe200,0xffffffff,0x07ffffff,
    0x3fffffe2,0xffffffff,0xfff704ff,0xffffffff,0xffffffff,0x87ffffff,
    0xfffffff8,0xffffffff,0xffff304f,0xffffffff,0x0fffffff,0xfffff880,
    0xffffffff,0x7fc44fff,0x7ff47fff,0xffffffff,0x001fffff,0x05fff980,
    0xffffff88,0xffffffff,0xfffb04ff,0xffbfffff,0x05ffffff,0x17ffea00,
    0x7fffff40,0xffffffff,0x3ffff206,0xffffffff,0x7fec3fff,0xff881fff,
    0xffffffff,0x7ff4405f,0xffffffff,0xefffffff,0xfffff500,0xffffffff,
    0x00bfffff,0x8013ffea,0xfffffffa,0xffffffff,0xff885fff,0xffffffff,
    0xfeffffff,0xffffffff,0xffffffff,0x7ffc405f,0x01ffffff,0x7ffffdc0,
    0xadffffff,0x5407ffff,0xffffffff,0x05ffffff,0x7fffffec,0xffffffff,
    0xfffffbef,0xffff505f,0xffffffff,0xffb80bff,0xffffffff,0x7ffffbdf,
    0xffffa800,0xffffffff,0xfff885ff,0x7ffd47ff,0xffffffff,0x00002fff,
    0x2afbfffe,0xffffa84c,0xffffffff,0x7fec05ff,0xffffffff,0x403fffff,
    0x7ffd4c08,0xffd3003f,0xffffffff,0xffe803ff,0xffffffff,0xffd85fff,
    0xffc81fff,0xffffffff,0xfff8801f,0xffffffff,0x805fffff,0xfffffffd,
    0xffcbffff,0xff3005ff,0x07957dff,0x7fffffec,0xfcbfffff,0xfd305fff,
    0xffffffff,0xff95ffff,0xffffffff,0xffffffff,0xffffb00b,0x0005ffff,
    0xfffffff5,0x3ffeabff,0xffd8807f,0xffffffff,0xffa800df,0xffffffff,
    0x3fa63fff,0x36200eff,0xffffffff,0xa800dfff,0xffffffff,0xfffff54f,
    0x3ff62000,0xffffffff,0xfff880df,0xfffa87ff,0xffffffff,0x6400002f,
    0x6fffffff,0xfffffb10,0x1bffffff,0xfffffb00,0xffffffff,0xffff5007,
    0x00bfffff,0xfffffd88,0x800effff,0xffffffc8,0xb03fffff,0xf03fffff,
    0xffffffff,0x644003ff,0xffffffff,0x003fffff,0x3ffffff6,0xfff92fff,
    0x7fec00bf,0x405fffff,0xfffffffd,0xffff92ff,0x7ffec40b,0xffffffff,
    0xffffff92,0xffffffff,0x200bffff,0xeffffffb,0xffb10001,0x7d47dfff,
    0x2e007fff,0xfffffffe,0x7644001d,0xefffffff,0x03ff900c,0x3ffffae0,
    0x4001dfff,0xefffffd8,0x1ffffea3,0xfffd7000,0x403bffff,0x07fffff8,
    0xffffff91,0x000019ff,0xfffffd10,0xffeb80df,0x01dfffff,0x7fffe4c0,
    0x00cfffff,0xffffff50,0x640009ff,0x4ffffffe,0xfffd9800,0x200dffff,
    0x81fffffd,0xffffffda,0xb10001df,0xffffffff,0xd900017d,0x43bdffff,
    0x005ffffc,0x3fffffa2,0xffec805f,0x3f21deff,0xdb805fff,0xceffffff,
    0x3fffff21,0xffffffff,0x005fffff,0x0000d54c,0x0002aa60,0x35553000,
    0x5d4c0000,0x00a6001a,0x00d554c0,0x00aa9800,0xa9800000,0x000001aa,
    0x01aaba88,0xd9500000,0xa980037b,0x300001aa,0x00135553,0x57997510,
    0x4c400005,0x300000aa,0x00001575,0x555d4c40,0x26200000,0x00009aba,
    0x00015510,0xbdecb800,0x05544001,0x75100000,0x00000013,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00044000,0x00013100,0x21e66644,
    0x002cccc9,0x00006200,0x01e6665c,0xccc88000,0xc88004cc,0x000ccccc,
    0x00011000,0x02666660,0x54400000,0x20009acb,0x80099998,0xb0deeeec,
    0x5409dddd,0x132e00cc,0x201cca80,0x93000ccb,0xcca85999,0x64c001cc,
    0x0001cccc,0x333332a0,0x99995002,0x20000079,0x00000198,0x026b2ea2,
    0x01cca800,0x9100332e,0xcc987999,0xeeec82cc,0xfdca806e,0x4002efff,
    0xfffffec8,0x3e2000ce,0x7fd45fff,0x3ba204ff,0x3b261eee,0x001bdfff,
    0xffffffb8,0xfc800002,0x0001ffff,0x07fffff5,0x3f722000,0x000bdfff,
    0x9fffff70,0x20000eb8,0xfffffec8,0x403dffff,0x406ffffe,0x52fffff8,
    0x401fffff,0xff304ffb,0x2ffd400b,0x2007ff88,0x5c4ffffa,0x4002ffff,
    0x0ffffffe,0xfff88000,0x7ec006ff,0x0000ffff,0xffffec98,0x20000cff,
    0xfffffec8,0x8004efff,0xff105ffa,0xffff100f,0x4ffffa8b,0x07ffffd8,
    0x7fffffe4,0xb801efff,0xffffffff,0xf1002fff,0xffa8bfff,0x3fe204ff,
    0xfff71fff,0x05ffffff,0x7ffffcc0,0x00000fff,0x0bffffe2,0xffff7000,
    0xff50000f,0xffffffff,0x3fe60003,0xfffbdfff,0xfff50003,0xffffffff,
    0x3a03dfff,0x6406ffff,0x3fa3ffff,0x7cc01fff,0x7fecc1ff,0x3ffe2003,
    0x02ffec42,0x89ffff50,0x002ffffb,0x3ffffff2,0xfb80005f,0x4000efff,
    0x04ffffe8,0x7fffe400,0x4fffffff,0xfffe9800,0xffffffff,0x3e2002ef,
    0x7fec42ff,0xffff8805,0x27fffd45,0x83ffffec,0xffffffe8,0x00ffffff,
    0x3ffffff2,0x3fffffff,0x5ffff880,0x027fffd4,0x93fffff1,0xffffffff,
    0x3a003fff,0xffffdfff,0x3f200005,0x00003fff,0x007ffff9,0x7ffffec0,
    0x3fffffff,0xfffd1000,0x0007dfff,0xffffffb1,0xffffffff,0xffd07fff,
    0x7fc40dff,0x3ffea5ff,0xfffb002f,0x1ffffdbf,0xffffc800,0x00ffffed,
    0x13fffea0,0x005ffff7,0x3f7fffea,0x40002fff,0x000effff,0x1ffffd10,
    0xfffd3000,0xffffffff,0x7e4009ff,0xffffffff,0xdfffffff,0xffff9000,
    0x01ffffdb,0x8bffff10,0xd84ffffa,0xf887ffff,0xffffffff,0x306fffff,
    0xffffffff,0x3fffffff,0x5ffff880,0x027fffd4,0xfdfffff1,0xffffffff,
    0xc801ffff,0xff98ffff,0x880003ff,0x0003ffff,0x037ffe40,0xfffffb80,
    0xffffffff,0xff10003f,0x0001ffff,0xfffffff1,0xffffffff,0x41dfffff,
    0x206ffffe,0x7f45fffb,0x3a2004ff,0xffffffff,0xfffd0001,0x005fffff,
    0x44ffffa8,0x802ffffb,0xf94ffff8,0x20001fff,0x000ffffb,0x1ffff440,
    0x7ffff400,0xffffffff,0x74404fff,0xffffffff,0xffffffff,0x3fa005ff,
    0x2fffffff,0xbffff100,0x84ffffa8,0xc87ffffd,0xcdffffff,0x3ffffffe,
    0xffffffe8,0xfffffdbd,0x5554406f,0x5555441a,0x3fffe201,0xb9adffff,
    0x2ffffffe,0x8bfffea0,0x001ffffb,0x027ffdc0,0xfffd8000,0x7ffc4002,
    0xffddffff,0x000fffff,0x3fffff22,0xfd8005ff,0xffffffff,0xfffffdcd,
    0x3fa5ffff,0x3fe06fff,0x3ffe60ef,0xfff70005,0x80001bff,0x1efffffb,
    0xaaaa8800,0x055554c1,0x237ffec0,0x0005fffe,0x0003fffd,0x01fffe60,
    0xffffff70,0xfffd935b,0x7e401fff,0xefffffff,0xfffffedc,0x2e003fff,
    0x01efffff,0x21555540,0xd81aaaa8,0x7c47ffff,0x541effff,0x445fffff,
    0x40efffff,0x0fffffe8,0x44000000,0x2fffffff,0x9fffffd0,0x41555540,
    0x0001aaaa,0x0001e65c,0x00f33200,0x9fffffb0,0x7ffff441,0xfffb003f,
    0x9ffffd5b,0x7fffd400,0x9100cfff,0x7fffffff,0x417ff32e,0x54c0aaa8,
    0x440000aa,0x8800001a,0x00000099,0xaaa88000,0x5555440a,0x66644000,
    0x64c00001,0xff1001cc,0x3605ffff,0x303fffff,0x5fffffff,0x3ffff620,
    0x44000fff,0x00000099,0xffc80000,0xffd01fff,0x7fd41fff,0xff503fff,
    0x00005fff,0xffff8800,0x3fea04ff,0x00005fff,0x00000000,0x88000000,
    0x105fffff,0x00ffffff,0xff8877f6,0xfd003fff,0x005fffff,0x3fffffea,
    0x013fea0f,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0x204fffff,0x04fffff9,0x1dfffffd,0xfffff900,0x0000007f,0x40000000,
    0x06fffff8,0x70af37aa,0x201fffff,0x03fffff8,0x80019880,0x0ffffff8,
    0x3ffffe20,0x00cc4005,0x03310000,0x0cc40000,0x7fffcc00,0x3fff201f,
    0x019803ff,0x03fffff5,0xffffffc8,0x7ffd4001,0x3ff24fff,0x00000003,
    0x00999988,0x00662000,0x004c4000,0x00262000,0x00131000,0x00098800,
    0x07ffffec,0xa8026ee0,0x00ffffff,0x3fffff60,0x00000006,0x00999988,
    0xfb8bff70,0x0002ffff,0x07ffffcc,0x1fffff88,0xfffea880,0x8803ceff,
    0x806fffff,0x405fffff,0xfffffea8,0x220003ce,0xefffffea,0x2a20003c,
    0xcefffffe,0xffffa803,0x3ffe600f,0x973005ff,0xfffd179d,0x7ffc40df,
    0xb0005fff,0x26ffffff,0xddd10fff,0xddd007dd,0xfda809dd,0xceffffff,
    0x7f544001,0x03ceffff,0x3fff6e00,0x70003def,0x7bdffffb,0x3ff6e000,
    0x0003deff,0xbdffffb7,0xffffd007,0x7fc0000d,0x4004ffff,0x22cefffa,
    0x03eeeee8,0x04eeeee8,0x3fffff6a,0x3201ceff,0x7ffe46ff,0xf80001ff,
    0xf703ffff,0xf500ffff,0xffffffff,0x7c401bff,0xf805ffff,0x2a05ffff,
    0xffffffff,0x4000dfff,0xfffffffa,0x000dffff,0x7fffffd4,0x00dfffff,
    0x01fffff2,0x0dfffff1,0xfffffe88,0xfffffdff,0xfffff302,0x3e60001f,
    0xffcfffff,0x3fffe23f,0xffff804f,0xfffd305f,0xffffffff,0x3fea005f,
    0xffffffff,0x3a6000df,0xffffffff,0xfd3001ef,0xffffffff,0x3fa6003d,
    0xffffffff,0xffd3001e,0xdfffffff,0x7ffffc03,0xff100006,0x0001ffff,
    0x7ffc4037,0xfff804ff,0xffe985ff,0xffffffff,0xfffb02ff,0x0fffffd8,
    0x40026ea6,0x40effffd,0x05ffffe8,0x7fffffec,0xffffffff,0xfffff103,
    0xfffff00b,0x3ffff60b,0xffffffff,0xffb003ff,0xffffffff,0x2007ffff,
    0xfffffffd,0x3fffffff,0x0fffff90,0x0ffffff0,0x7fffffdc,0xffffffff,
    0xffff707f,0xfe8000bf,0x5fffffff,0x27ffffc4,0x2fffffc0,0x7fffffc4,
    0xffffffff,0x7ffec03f,0xffffffff,0xfb803fff,0xffffffff,0x5c03ffff,
    0xffffffff,0x403fffff,0xfffffffb,0x03ffffff,0x7fffffdc,0x3fffffff,
    0x5fffff88,0xfff50000,0x00000bff,0x13ffffe2,0x17ffffe0,0xfffffff1,
    0xffffffff,0x41fffd07,0xf57ffffd,0x01dfffff,0xfffffe98,0xfffffdbd,
    0x3fff201f,0xffffffff,0x882fffff,0x805fffff,0xc85fffff,0xffffffff,
    0xffffffff,0x7fffe402,0xffffffff,0x6402ffff,0xffffffff,0xffffffff,
    0xfffffa82,0x3fffe200,0xffff507f,0xffffffff,0x907fffff,0x007fffff,
    0xfffffc80,0xfff882ef,0xfff804ff,0xfffe85ff,0xffffffff,0x900fffff,
    0xffffffff,0xffffffff,0x7fffcc05,0xffffffff,0xff302fff,0xffffffff,
    0x205fffff,0xfffffff9,0xffffffff,0xfffff302,0xffffffff,0xfff985ff,
    0x700005ff,0x009fffff,0x3ffe2000,0xfff804ff,0x7fff45ff,0xffffffff,
    0x7c0fffff,0x3ffa0fff,0xffffceff,0x402fffff,0xffffffd8,0x00efffff,
    0x3fffffea,0xfffdbbdf,0x7c40ffff,0xf805ffff,0x7d45ffff,0xbdffffff,
    0xffffffdb,0xffff500f,0xfb77bfff,0x01ffffff,0x3fffffea,0xfffdbbdf,
    0x7cc0ffff,0x2602ffff,0x40ffffff,0xfffffff8,0xfffffeef,0xffd86fff,
    0x40002fff,0x07fffffb,0x13ffffe2,0x17ffffe0,0x7dfffff3,0xffff7333,
    0xfff505ff,0xb77bffff,0x1fffffff,0x3fffffa0,0xfffc99ad,0xfffd06ff,
    0xf9335bff,0x3a0dffff,0x9adfffff,0x6fffffc9,0xbfffffd0,0xffff9335,
    0xfffff0df,0x3f20000d,0x0003ffff,0xfffff100,0xfffff009,0x7ffffccb,
    0xffb999be,0x7fc2ffff,0x3fffe1ff,0xffffffff,0x803fffff,0xfffffffc,
    0xfff805ff,0xe980efff,0x445fffff,0x805fffff,0x7c5fffff,0x80efffff,
    0x5fffffe9,0xdffffff0,0xffffd301,0x3fffe0bf,0xfe980eff,0x7c45ffff,
    0x3605ffff,0x41ffffff,0x3ffffffd,0x7ffffec4,0x7fff40ff,0x540001ff,
    0x207fffff,0x04fffff8,0x45fffff8,0x01fffffd,0x09fffff7,0x1dffffff,
    0xfffffd30,0xfffff50b,0x3fffea09,0x7fffd42f,0xffff504f,0xffffa85f,
    0xffff504f,0xffffa85f,0xffff504f,0xffffe85f,0x6c018807,0x002fffff,
    0xffff1000,0xffff009f,0x7fffecbf,0xffff701f,0x7fffc49f,0xffffff12,
    0xfffbdfff,0x5c01ffff,0xffffffff,0xf500cfff,0x880dffff,0x22ffffff,
    0x05fffff8,0x25fffff8,0x06fffffa,0x7fffffc4,0x7ffffd42,0x7fffc406,
    0x7ffd42ff,0x7fc406ff,0x7ec2ffff,0xfb83ffff,0x22ffffff,0x1ffffffa,
    0x3ffffee0,0x7ffffc3f,0x7cc0000f,0x2207ffff,0x804fffff,0x885fffff,
    0x3e203dba,0x7d44ffff,0x4406ffff,0x42ffffff,0x00fffffe,0xd1bffff2,
    0x401fffff,0x746ffffc,0x200fffff,0x746ffffc,0x200fffff,0x6c6ffffc,
    0x401fffff,0x20bdeffc,0x01fffffe,0xfff10000,0xfff009ff,0xdba88bff,
    0x3fffe203,0x3fffe64f,0xffffff13,0xfffc83df,0xfffd05ff,0xffffffff,
    0xffb01fff,0xf7005fff,0x7c49ffff,0xf805ffff,0x3f65ffff,0xb802ffff,
    0x6c4fffff,0x802fffff,0x44fffffb,0x02fffffd,0x4fffffb8,0x7fffffc4,
    0xffffdbbd,0x3f22ffff,0xe804ffff,0x225fffff,0x00ffffff,0x7fffd400,
    0x3ffe207f,0xfff804ff,0x440005ff,0x6c5fffff,0x802fffff,0x24fffffb,
    0x04fffff8,0x87ffffcc,0x04fffff8,0x87ffffcc,0x04fffff8,0x87ffffcc,
    0x04fffff8,0x07ffffcc,0x09fffff9,0x47ffffe8,0x02ffffff,0xfff10000,
    0xfff009ff,0x44000bff,0x2a5fffff,0xff14ffff,0x201fffff,0x41fffffd,
    0xbdfffffd,0xfffffda9,0x7ffffc0e,0xffff1007,0x7fffc4bf,0xffff805f,
    0x3ffffe5f,0xffff1007,0xfffff8bf,0xffff1007,0xfffff8bf,0xffff1007,
    0xffff70bf,0xffffffff,0x743fffff,0x800fffff,0x46fffffa,0x01ffffff,
    0x7fffdc00,0x3ffe206f,0xfff804ff,0xb98005ff,0x5ffffffd,0x03fffffc,
    0x5fffff88,0x0fffffe6,0x3fffff10,0x0fffffe6,0x3fffff10,0x0fffffe6,
    0x3fffff10,0x0fffffe6,0x3fffff10,0x7fffffcc,0xfffff902,0xfffffe89,
    0xf1000003,0xf009ffff,0x800bffff,0xfffffdb9,0x3fffea5f,0x3fffffe4,
    0x3fffe604,0x3fffe62f,0xffff704f,0x7fffc49f,0x3ffe006f,0x3ffe27ff,
    0xfff805ff,0xffff15ff,0x7ffc00df,0x3ffe27ff,0x3fe006ff,0x3fe27fff,
    0x3e006fff,0xf707ffff,0xffffffff,0x1fffffbf,0x03fffffc,0x7fffff88,
    0x17fffff4,0x3fff2000,0x3fe204ff,0xff804fff,0x54405fff,0xffffffec,
    0x3e25ffff,0x2006ffff,0x2a7fffff,0xeeefffff,0xffeeeeee,0xfff52fff,
    0xddddddff,0xfffffddd,0x3ffffea5,0xeeeeeeee,0x52fffffe,0xdddfffff,
    0xffdddddd,0xffc85fff,0xc9adffff,0x1ffffffe,0x1fffffe4,0xff880000,
    0xff804fff,0x2a205fff,0xffffffec,0x3ee5ffff,0x3ffa5fff,0x7fc02fff,
    0x3fee4fff,0x3f600fff,0xff30ffff,0x7400bfff,0xf10fffff,0xf00bffff,
    0x3e6bffff,0x2005ffff,0x30fffffe,0x00bfffff,0x87fffff4,0x05fffff9,
    0x3fffffa0,0xffffd300,0xfff91dff,0x7fffc4ff,0x3ffe006f,0x3ff20fff,
    0x40004fff,0x03fffffd,0x13ffffe2,0x17ffffe0,0x7ffffec4,0xffffffff,
    0x3fffe65f,0x3ffa005f,0xfff70fff,0xffffffff,0xffffffff,0x3ffffee7,
    0xffffffff,0x73ffffff,0xffffffff,0xffffffff,0x3fee7fff,0xffffffff,
    0xffffffff,0x7fffc43f,0xffffffff,0xfb84ffff,0x0004ffff,0xfffff100,
    0xfffff009,0xffffb10b,0xffffffff,0x7ffe4bff,0x3ffff66f,0x7fff401f,
    0x3ffff65f,0x7fffd406,0xfffff31f,0x7fff4009,0xffff10ff,0xffff00bf,
    0x3fffe6bf,0x3ffa004f,0xfff30fff,0x7f4009ff,0xff30ffff,0x74009fff,
    0x200fffff,0x22bddba8,0x267ffffe,0x005fffff,0x71fffffa,0x00bfffff,
    0xfffffe80,0x3fffe202,0x7ffc405f,0xfff985ff,0xdeffffff,0x265fffff,
    0x004fffff,0x43fffffa,0xfffffffc,0xffffffff,0xff94ffff,0xffffffff,
    0xffffffff,0x3ffff29f,0xffffffff,0x4fffffff,0xfffffff9,0xffffffff,
    0xf509ffff,0xffffffff,0x20bfffff,0x05fffffa,0x1015bd00,0x80bfffff,
    0x45fffff8,0xfffffff9,0xffffdeff,0x3ffff65f,0x3fffff67,0x7fffec02,
    0x0fffffe6,0x5fffff30,0x17ffffe2,0x7fffff80,0x17ffffe2,0x57ffffe0,
    0x05fffff8,0x9fffffe0,0x05fffff8,0x9fffffe0,0x05fffff8,0x1fffffe0,
    0x3fffe000,0x7ffffc6f,0x3fffe006,0x7fffd46f,0xf50001ff,0x403fffff,
    0x05fffff8,0x2fffffc4,0x3fffffea,0x3ffe0bdf,0x3ffe25ff,0x3fe005ff,
    0x3fee7fff,0xeeeeefff,0xeeeeeeee,0xfffff73e,0xdddddddd,0x27dddddd,
    0xeefffffb,0xeeeeeeee,0xff73eeee,0xdddddfff,0xdddddddd,0x3ff6207d,
    0xffffffff,0xfff300df,0x98001fff,0x223dffff,0x405fffff,0x25fffff8,
    0xfffffffa,0x3fffe0bd,0x3ffffa5f,0x3fffff27,0x7ffff403,0x7fffff35,
    0xfffff980,0x1bffffe3,0x5fffff80,0x17ffffe2,0x97ffffe0,0x006fffff,
    0xf17ffffe,0x400dffff,0x7c5fffff,0x2006ffff,0x005fffff,0x7ffffc40,
    0x3fffff45,0xfffff880,0x7ffffc45,0xffd0006f,0xf880ffff,0x4405ffff,
    0x745fffff,0x203fffff,0x7c5fffff,0x2006ffff,0x2a5fffff,0x002fffff,
    0x7ffffd40,0x7fd40002,0x40002fff,0x02fffffa,0xffd70000,0x03bfffff,
    0x9ffffff0,0xffffc800,0x3fffe26f,0x7ffc405f,0x3fffa5ff,0x3ffe03ff,
    0x3fffa5ff,0xffff50ff,0xffff809f,0xfffff13f,0xffffa809,0x3ffffa1f,
    0xfffa801f,0x880004ff,0x3a5fffff,0x801fffff,0x44fffffa,0x01fffffe,
    0x4fffffa8,0x0ffffff4,0x7ffffd40,0x02ba9884,0x0fffffee,0x05fffffb,
    0x7fffff70,0xffffff90,0xfffb8005,0xff802fff,0x7d406fff,0x3e25ffff,
    0x2205ffff,0x745fffff,0x801fffff,0x24fffffa,0x03fffff9,0x7fffcc00,
    0x7cc0003f,0x0003ffff,0x1fffffcc,0x32600000,0x2000dfff,0x0ffffffb,
    0xfffff300,0xfffff87f,0x7fffd406,0xfffff15f,0x7fffc40b,0x3ffffe5f,
    0x3ffffa1f,0xffff500f,0x7ffff45f,0x3fff600f,0x3ffee0ff,0xffe806ff,
    0x80002fff,0x25fffff9,0x06fffffb,0x2fffffe8,0x37ffffdc,0x7fffff40,
    0x7ffffdc2,0xffffe806,0x7ffffc2f,0x3ffffa07,0xfffffb87,0x7fffc406,
    0xfff882ff,0x9003ffff,0x0dffffff,0x1fffffe0,0xbfffff90,0x17ffffd4,
    0xbfffff30,0x6fffffb8,0xfffffe80,0x3ffffe22,0x4de76406,0x3ffffe20,
    0x4de76406,0x3ffffe20,0x4de76406,0x3ffffe20,0x4de76406,0xffff1000,
    0x74005fff,0x01efffff,0x7fffff44,0x7ffffc0f,0x7fffe407,0xfffff55f,
    0x7fffcc05,0x3ffffe5f,0x3fffee1f,0x7ff4c0ef,0x3ff20fff,0xff504fff,
    0xff88dfff,0xb104ffff,0x00bfffff,0x3fffee00,0x3fffe25f,0xffb104ff,
    0xff10bfff,0x2209ffff,0x85fffffd,0x4ffffff8,0xfffffb10,0xfffff90b,
    0xfffff705,0xffffd107,0x3ffa209f,0x3ea05fff,0x1dffffff,0xffffe988,
    0xff001fff,0x2a05ffff,0x25ffffff,0x05fffffa,0x17fffffa,0x9ffffff1,
    0x3ffff620,0xffffc85f,0xffff303f,0x7ffe41ff,0xfff303ff,0x7fe41fff,
    0xff303fff,0x7e41ffff,0xf303ffff,0x001fffff,0xfffb7795,0x3fe6003f,
    0x80bfffff,0xfffffffa,0xffffff84,0xfffff502,0x3fffeabf,0x3fffa05f,
    0x3fffe5ff,0x7fffc1ff,0xffdabeff,0x7d44ffff,0x9adfffff,0xffffffc9,
    0xfffffc83,0xfeba9bef,0x000fffff,0x3fff7320,0x7fe44fff,0xa9beffff,
    0xffffffeb,0xfffff900,0xfd7537df,0x201fffff,0xeffffffc,0xfffeba9b,
    0xffa80fff,0xdaadffff,0x00ffffff,0xdffffff5,0xffff7537,0xfd801fff,
    0xffffffff,0xfffffede,0x2004ffff,0xaffffffd,0xfffff930,0x7ffccbff,
    0x7ecc2fff,0xc85fffff,0xbeffffff,0xffffeba9,0xfff880ff,0x3aa0cfff,
    0x444fffff,0x0cffffff,0x3fffffaa,0x7ffffc44,0x3ffaa0cf,0x7fc44fff,
    0x2a0cffff,0x04fffffe,0x0ffff200,0xfffffd80,0xffedffff,0x0effffff,
    0xffffffd8,0xffff930a,0x3fe6bfff,0x6cc2ffff,0x25ffffff,0x41ffffff,
    0xfffffffb,0x6fffffff,0xffffff90,0xffffffff,0x7fff40bf,0xffffffff,
    0x003fffff,0x7fffffc0,0xffe83fff,0xffffffff,0x03ffffff,0x7ffffff4,
    0xffffffff,0x7ff403ff,0xffffffff,0x03ffffff,0x3ffffffa,0xffffffff,
    0x7fffec04,0xffffffff,0x8803ffff,0xfffffffe,0xffffffff,0x000dffff,
    0x3fffffea,0xffffffff,0x7fc5ffff,0xfcffffff,0xffffffff,0xfffffd06,
    0xffffffff,0x7e407fff,0xfeffffff,0x0fffffff,0xffffffc8,0xffffffef,
    0xfffc80ff,0xfffeffff,0xc80fffff,0xefffffff,0xffffffff,0x3fee0000,
    0x3fa2004f,0xffffffff,0xffffffff,0xffff501f,0xffffffff,0x4bffffff,
    0xffffffff,0xfffffffc,0x3fffe6ff,0xfffc81ff,0xffffffff,0x3ff601ff,
    0xffffffff,0x2200ffff,0xfffffffe,0x4fffffff,0x7ffcc000,0x80ffffff,
    0xffffffe8,0xffffffff,0xfffe8804,0xffffffff,0xe8804fff,0xffffffff,
    0x04ffffff,0x7fffffcc,0x4fffffff,0xffffd880,0xffffffff,0x7dc004ff,
    0xffffffff,0xffffffff,0xfffb0003,0xffffffff,0x8bffff97,0xfffffffa,
    0xffefffff,0xfe880fff,0xffffffff,0x804fffff,0xfffffffc,0x1fffffff,
    0x3fffff20,0xffffffff,0x3fff201f,0xffffffff,0x3f201fff,0xffffffff,
    0x801fffff,0xffffb880,0xfffc8002,0xffffffff,0x401fffff,0xfffffffd,
    0xffcbffff,0x3ffea5ff,0xffffffff,0x0fffffef,0x03ffffff,0x3fffffea,
    0x401effff,0xffffffc8,0x00dfffff,0xffffff90,0x03dfffff,0xffff7000,
    0xc809ffff,0xffffffff,0x4001efff,0xfffffffc,0x001effff,0x7fffffe4,
    0x01efffff,0xffffff50,0x005fffff,0xffffffb8,0x01efffff,0xffffd300,
    0xffffffff,0xd80001bf,0xffffffff,0xbffff92f,0xffffff90,0xff33dfff,
    0x7e405fff,0xffffffff,0x2a001eff,0xffffffff,0xa801ffff,0xffffffff,
    0xa801ffff,0xffffffff,0xa801ffff,0xffffffff,0x7001ffff,0xffffffff,
    0x74c000bf,0xffffffff,0x001dffff,0xfffffffb,0x3fff25ff,0x7fffe45f,
    0x99efffff,0xff2fffff,0x4c03ffff,0xfffffffd,0x7fecc003,0x02ffffff,
    0xffedb880,0x0004efff,0x3fffff20,0xb71004ff,0x9dfffffd,0x76dc4000,
    0x04efffff,0x3fb6e200,0x004effff,0xfffffc88,0x10000def,0xfffffffb,
    0x2e00009d,0xffffffec,0x00002cef,0x3bffffb2,0x3ffff21d,0xffffd305,
    0x7ff419ff,0x6dc405ff,0x4efffffe,0xffd93000,0x017fffff,0x7fff64c0,
    0x000bffff,0x3ffffb26,0x2000bfff,0xfffffec9,0x2e000bff,0xefffffff,
    0xdb880002,0xfffffffe,0xfec8001d,0x321defff,0xe985ffff,0x0cffffff,
    0x557ffffa,0x000aaaaa,0x00013751,0x01357530,0x0d544000,0xdb980000,
    0x0001ceee,0x00006aa2,0x000d5440,0x01aa8800,0x57531000,0x98800001,
    0x000001ab,0x000aba98,0x0aa88000,0x2a620000,0x2000000a,0x00001aa8,
    0x0019aa98,0x03355300,0x26aa6000,0x55300001,0x2a200033,0x001abcca,
    0x2ae62000,0x51000009,0x22000015,0x00000aa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeeeea80,0x1bdddd72,0x66664400,0x2600002c,
    0x003ccccc,0x09999993,0x32ea2000,0x00000aac,0x00f33332,0x99999100,
    0x99910003,0xb8000999,0x66443ccc,0x997002cc,0xcccc8879,0x5c000002,
    0x002ccccc,0x00031000,0xcba98800,0x00009aac,0x00006200,0xcdcba880,
    0x000000ab,0x005565cc,0x65d44000,0x0000abcd,0x00002600,0x4ccc4000,
    0x4ccccc19,0x80000000,0xf15ffffe,0x8005ffff,0x1ffffffd,0xfffd0000,
    0x7e4001ff,0x0002ffff,0x3fffff66,0x0000cfff,0x7fffffe4,0x3fe20002,
    0x70003fff,0x005fffff,0x17fffcc0,0x001ffffb,0xd8bfffe6,0x0000ffff,
    0x3fffe200,0x5c00005f,0x23dffffd,0x006eeee9,0x3fffff6a,0x02dfffff,
    0x1eeeee88,0x37fffb2a,0xfb500003,0xffffffff,0x2200005d,0xffffffec,
    0xa80001df,0xfffffffd,0x80002eff,0xdffffec8,0x1bbbbaa2,0xfffd8000,
    0x3fffe67f,0x0000003f,0x937fffd4,0x8007ffff,0xfffffffa,0xffa80006,
    0xd8001fff,0x0005ffff,0xfffffff7,0x005fffff,0x3ffffea0,0x10000fff,
    0x007fffff,0x37fffe40,0x3fff2000,0x2ffffb8f,0x7fffe400,0x02ffffb8,
    0x7fe40000,0x200006ff,0xffffffd8,0xffff35ff,0xfffd300f,0xffffffff,
    0x4405dfff,0xfb1fffff,0xdfffffff,0x3fee0001,0xffffffff,0x003fffff,
    0x3ffffea0,0x4fffffff,0xffff7000,0xffffffff,0x20007fff,0xffffffe9,
    0xffff54ff,0x7ec0000f,0x3fe67fff,0x00003fff,0x77ffec00,0x0bffff10,
    0xdffff880,0x0004ffff,0x00ffffec,0x3ffffb00,0xffffb800,0xffffffff,
    0x7c4000ff,0xffffdfff,0xfff10005,0xc80007ff,0x0002ffff,0x7ff7fff4,
    0xfd0004ff,0x9ffffdff,0xf8800000,0x0000efff,0xffffff30,0xf3bfffff,
    0xfb80ffff,0xffffffff,0xffffffff,0xffff102f,0xfffffb3f,0x03ffffff,
    0x7fffec40,0xdcbabcef,0x00dfffff,0x7ffffcc0,0xffffffff,0x3f62003f,
    0xabcdffff,0xfffffdcb,0x3fee000d,0xffffffff,0x7ffffbdf,0x3ff60000,
    0x3ffe67ff,0x000003ff,0x83fffe60,0x8006fffb,0xff76fffe,0x260005ff,
    0x0002ffff,0x005fffe8,0x3fffffe2,0xffffffff,0x7fec005f,0x5ffff56f,
    0xffff1000,0xfb00007f,0x98000bff,0x6fffffff,0x3ffe6000,0x0006ffff,
    0xefffb800,0x3fa00000,0xffffffff,0xffffefff,0x3ffff607,0xffffffff,
    0xffffffff,0xfffff882,0xffffffff,0x006fffff,0x17dfffd3,0xfffeb880,
    0xfff1001f,0xffffffff,0x003fffff,0x17dfffd3,0xfffeb880,0xfff8802f,
    0xffffffff,0x7fffffff,0x3ff60000,0x3ffe67ff,0x000003ff,0xf07fff60,
    0xb8001fff,0x3f20ffff,0xd8000fff,0x00002fff,0x001fffd1,0x3bffffee,
    0xfffff911,0x7ffdc00f,0x3ffff21f,0x77744000,0xb00002ee,0x80003fff,
    0x1ffffffb,0x7ffdc000,0x00001fff,0x00ffff80,0x3ffee000,0xda9befff,
    0x7fffffff,0xffffff70,0xfd99dfff,0xffffffff,0xfffff883,0xebabdfff,
    0x03ffffff,0x027fffc4,0x1ffffb80,0xfffffa80,0xffeb89cf,0x7c405fff,
    0x70004fff,0xd803ffff,0x9cffffff,0xfffffca9,0x200007ff,0x267ffffd,
    0x003fffff,0x2aaa0000,0x00d55441,0x40d55540,0x8001aaaa,0x00002ccc,
    0x80166644,0x81fffffd,0x00ffffff,0x50355550,0x00003555,0xcc880000,
    0xaa80002c,0x00001aaa,0x00355555,0x99930000,0x7c400003,0x504fffff,
    0x0fffffff,0xfffffff3,0x7ffdc03b,0x7c45ffff,0x03ffffff,0x1ffffff9,
    0x017fff40,0x1bffa600,0x3fffff60,0xfffff880,0x3fffa00f,0x7f4c0002,
    0xfff300ef,0x3ea05fff,0x007fffff,0x3ffff600,0x3ffffe67,0x00000003,
    0x00000000,0x00000000,0xffd00000,0x3ff60dff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffb80,0x7fffe406,0xfffff87f,
    0xfd1003ff,0x441fffff,0x04ffffff,0x1ffffff4,0x201fffc8,0x101bcca8,
    0xff80bfff,0x3f605fff,0xf902ffff,0x266623ff,0x20099999,0xf905fff8,
    0xd809ffff,0x007fffff,0x3ffff600,0x3ffffe67,0x00000003,0x00000cc4,
    0x004cccc4,0x4cccc400,0x99880000,0xfff00099,0x3ffe0bff,0x000004ff,
    0x01310000,0x00000000,0x10000000,0x20000033,0x26001998,0x7fe40009,
    0x7c402fff,0x7d47ffff,0x002fffff,0x7fffffc4,0x3ffffe23,0x7ffd400f,
    0xfff984ff,0xffffd703,0xff501bff,0x3ffe603f,0x3be602ff,0xff981acd,
    0x3ffff23f,0x04efffff,0xfd05fff5,0x8801ffff,0x007fffff,0xfffd804c,
    0x3fffe67f,0x0001303f,0xfffd5100,0x00079dff,0x3fffff6a,0x2001ceff,
    0xffffffda,0x2a001cef,0xfffffffd,0x3ffe01ce,0xfffb85ff,0x3ba202ff,
    0xee803eee,0x6dc04eee,0x03deffff,0x1f777744,0xa7777740,0x03eeeee8,
    0x04eeeee8,0x7ffff544,0x10003cef,0xfffffff9,0x7f64419d,0x802dffff,
    0x007ffffd,0xd8fffffd,0x006fffff,0x379dff90,0x37ffffc4,0x5fffff80,
    0xf505ffc8,0xffffffff,0x0bff901d,0x0bffffe6,0x2ffe4000,0x3ffffff2,
    0x905fffff,0xffff0bff,0x3ffe00df,0x764407ff,0x362dffff,0x3e67ffff,
    0x36e3ffff,0x003dffff,0xfffffa80,0x0dffffff,0xffffd300,0xffffffff,
    0xfffe9805,0xffffffff,0x7ff4c02f,0xffffffff,0xfff882ff,0xfffe84ff,
    0x7ffc407f,0xfff804ff,0xffd305ff,0xdfffffff,0x3fffe203,0xffff804f,
    0xfffff15f,0xfffff009,0x7fffd40b,0xdfffffff,0x3fff2000,0xffffffff,
    0xfffffbcf,0x00efffff,0x01fffffe,0x13ffffec,0x03ffffff,0xf1006200,
    0x200bffff,0x446ffffe,0xffa81fff,0xffdb9bef,0x0fff885f,0x07fffff0,
    0x3fff1000,0xaaaeffc8,0x83ffffca,0x7fc0fff8,0xfd005fff,0x74c0ffff,
    0xffffffff,0x4fffffb4,0x8bfffff9,0xfffffffd,0xfb0000ef,0xffffffff,
    0x807fffff,0xfffffff8,0xffffffff,0xfffff103,0xffffffff,0x3fe207ff,
    0xffffffff,0x443fffff,0x544fffff,0x403fffff,0x04fffff8,0x85fffff8,
    0xfffffffb,0x83ffffff,0x04fffff8,0x15fffff8,0x009fffff,0x20bfffff,
    0xfffffffd,0x3fffffff,0xfffffc80,0xffffffff,0xffffffff,0x81ffffff,
    0x06fffff8,0x4fffff90,0x06fffffb,0x7fc40000,0xfd004fff,0xffb8ffff,
    0x0dfff886,0xd81fffd8,0xfffd03ff,0xf700009f,0x0dff90df,0x6c17ffe2,
    0x3ffe63ff,0xffb005ff,0x3fee0fff,0xffffffff,0x7ffffeef,0x37ffffe6,
    0xfffffffe,0x4002ffff,0xfffffffc,0xffffffff,0x3fffa02f,0xffffffff,
    0xe80fffff,0xffffffff,0xffffffff,0xfffffe80,0xffffffff,0x3fe20fff,
    0x7fec4fff,0xff8807ff,0xff804fff,0x7fcc5fff,0xffffffff,0x442fffff,
    0x804fffff,0xf15fffff,0xf009ffff,0xf90bffff,0xffffffff,0x5fffffff,
    0x7ffffdc0,0xffffffff,0xffffffff,0xffffffff,0x6fffff80,0xfffff900,
    0x2fffffe4,0x3e200000,0xb004ffff,0xfd8fffff,0x1fffa83f,0x5039df10,
    0x3ff60dff,0xd80006ff,0x6ffc83ff,0x541bff60,0x3ffe66ff,0xffb005ff,
    0xfff10fff,0xffffffff,0xffffffff,0x7fffffcc,0xffffffff,0x2006ffff,
    0xfffffffa,0xffffdbbd,0xff980fff,0x999befff,0x2ffffffb,0x77ffffcc,
    0xfffb999b,0x7fcc2fff,0x999befff,0x2ffffffb,0x93ffffe2,0x05fffff8,
    0x4fffff88,0x5fffff80,0x6ffffff4,0xffffc99a,0x7fffc46f,0xffff804f,
    0xfffff15f,0xfffff009,0xfffffa8b,0xffdbbdff,0xd00fffff,0x35bfffff,
    0xffffff95,0xb7359fff,0xd09fffff,0x200dffff,0x367ffffd,0x004fffff,
    0x7ffc4000,0xffd005ff,0x1ffe8fff,0x0005ffc8,0x3313ffc4,0x35fffff9,
    0x20013333,0xffc81ffe,0x413ffa06,0x3fe27ff8,0xfd006fff,0xffb0ffff,
    0x5359ffff,0xfffffff9,0x7ffffccf,0xda99bfff,0x03ffffff,0xdffffff0,
    0xffffd301,0xffffb0bf,0x3ffee03f,0x7ffec4ff,0xfff701ff,0xfffd89ff,
    0xfff701ff,0x7ffc49ff,0x3ffea4ff,0xff8806ff,0xff804fff,0x3fea5fff,
    0xff504fff,0x7fc45fff,0xff804fff,0xfff15fff,0xfff009ff,0xffff8bff,
    0xfe980eff,0xfa85ffff,0xf504ffff,0x05ffffff,0x07fffff6,0x00fffffb,
    0xe9fffffa,0x802fffff,0x99999999,0x3e219999,0xf006ffff,0xff8bffff,
    0x04ffe80f,0xb0fff800,0xffffffff,0x09ffffff,0x3203ffe0,0x7eccc6ff,
    0x3ffe00ff,0x1fffffe0,0x3fffffc0,0x3fffffe6,0xfffff702,0x7fffccff,
    0xff701fff,0xa801ffff,0x406fffff,0x2ffffff8,0x203dba88,0x84fffff8,
    0x2203dba8,0x884fffff,0x3e203dba,0x3e24ffff,0x3e64ffff,0x403fffff,
    0x04fffff8,0x25fffff8,0x00fffffe,0x89bffff2,0x804fffff,0xf15fffff,
    0xf009ffff,0x7d4bffff,0x4406ffff,0x02ffffff,0xff80b953,0x7405ffff,
    0x7e43ffff,0x4c01ffff,0x3e7fffff,0x802fffff,0xffffffff,0xf10fffff,
    0x803fffff,0x24fffff9,0xfff07ff8,0xffd00007,0x3fffff63,0xffffffff,
    0x7ff8804f,0xffffff90,0x809fffff,0x3ffa1ffe,0x7dc02fff,0x7e47ffff,
    0x6c04ffff,0x267fffff,0x03ffffff,0x1ffffff4,0x3fffff60,0xffffb802,
    0x7c40004f,0x0005ffff,0x2fffffc4,0x3ffe2000,0x3ffe25ff,0x7fff44ff,
    0x3e202fff,0xf804ffff,0xff15ffff,0xf9809fff,0xff10ffff,0xff009fff,
    0x3fe2bfff,0xff804fff,0x3ff65fff,0xfb802fff,0x0004ffff,0x2fffffe8,
    0x37fffe40,0x17ffffee,0xffffffb0,0x17fffff4,0x7fffffc0,0x0fffffff,
    0xbffffff1,0xfffffd80,0x221ffe23,0x80003fff,0xfffb1ffe,0xffffffff,
    0xf1009fff,0x3fff20ff,0x0cffffff,0x2e1ffe80,0x206fffff,0x7ffffff8,
    0x07fffff4,0x3ffffe60,0x3ffffe67,0xffffa807,0x7fffc04f,0xfff1007f,
    0x73000bff,0xbffffffb,0xffb73000,0x000bffff,0xfffffb73,0x7fffc4bf,
    0x7fffd44f,0xff102fff,0xff009fff,0x3fe6bfff,0x7c403fff,0xff11ffff,
    0xff009fff,0x3fe2bfff,0xff804fff,0x3ffe5fff,0xff1007ff,0x3000bfff,
    0xffffffb7,0xfffa801f,0x3ffe20ff,0xff702fff,0x7f4fffff,0xf803ffff,
    0xffffffff,0xff10ffff,0x207fffff,0x0ffffffa,0x7fc07ffc,0xff80004f,
    0xfffffb0f,0xffffffff,0x3ffe009f,0xecfffc80,0xf001efff,0x7ffc41ff,
    0x74c0efff,0x47ffffff,0x006fffff,0x4cffffff,0x805fffff,0x05fffff8,
    0x1bffffe2,0x7fffff80,0x7ff65440,0xffffffff,0x7f654405,0xffffffff,
    0x7654405f,0xffffffff,0x3ffe25ff,0xfffb84ff,0xf881ffff,0xf804ffff,
    0xff55ffff,0xdddddfff,0xffffdddd,0x3fffe25f,0xffff804f,0xfffff15f,
    0xfffff009,0x3ffffe2b,0x3fffe006,0xfdca807f,0xffffffff,0xeeeeeeff,
    0xfffffeee,0x7ffffdc0,0xffca89cf,0x367fffff,0x804fffff,0xffffffff,
    0xf10fffff,0x9fffffff,0xffff9315,0x3ffd07ff,0xb80bffd0,0x89ffe201,
    0xffffb999,0x009999af,0xf903ffd0,0x7ffec4df,0x43ffc402,0xfffffffc,
    0xffffffde,0x7ffc7fff,0xffd005ff,0x7ffccfff,0xfff004ff,0x7fcc0dff,
    0x3a005fff,0x880fffff,0xfffffffd,0x5fffffff,0xfffffb10,0xffffffff,
    0x3ff620bf,0xffffffff,0x3e25ffff,0xf904ffff,0x83ffffff,0x04fffff8,
    0x75fffff8,0xffffffff,0xffffffff,0x3fe27fff,0xff804fff,0xfff15fff,
    0xfff009ff,0x3ffe6bff,0x3fa005ff,0xb880ffff,0xffffffff,0xffffffff,
    0xffffffff,0xe81fffff,0xffffffff,0xffffffff,0x3ffff27f,0xffff805f,
    0xffffffff,0xfffff10f,0xffffffff,0x01ffffff,0xff907ffb,0x3ffe601f,
    0x206ffa82,0x01fffffa,0x20fff600,0xffe86ffc,0x1bfe600f,0x3fffffa2,
    0xefffffff,0x3e67ffff,0xb004ffff,0x7ccfffff,0xd003ffff,0x4c0fffff,
    0x004fffff,0x03fffffa,0xfffffff3,0xffffbdff,0xffff30bf,0xfbdfffff,
    0xf30bffff,0xffffffff,0xbfffffbd,0x27ffffc4,0xffffff90,0xfffff88d,
    0x7fffc405,0xfffff95f,0xffffffff,0x29ffffff,0x05fffff8,0xafffffc4,
    0x05fffff8,0xafffffc4,0x04fffff9,0x3fffffa0,0x7ffffcc0,0xffdfffff,
    0xffffffff,0xffffffff,0xfffa81ff,0xffffffff,0x27ffffee,0x07fffffa,
    0x7ffffc00,0xfffff10f,0xffffffdb,0x205fffff,0xff886ffb,0x3fffd05f,
    0x6c09ffb0,0x0007ffff,0x7e437fdc,0x4fff986f,0x4413ff60,0xfffffffe,
    0xfffd9eff,0x3fffe67f,0xfffb005f,0x7fffccff,0xfffd004f,0x7ffc40ff,
    0x3fe005ff,0x7fd47fff,0x0bdfffff,0x517ffffe,0xbfffffff,0x7ffffc17,
    0x7ffffd45,0x3fe0bdff,0x3fe25fff,0x7e404fff,0x223fffff,0x405fffff,
    0x75fffff8,0xdddfffff,0xdddddddd,0x3fe27ddd,0x7c405fff,0xff15ffff,
    0xf880bfff,0xff15ffff,0x7c00bfff,0x7447ffff,0xbeffffff,0x3fffffa1,
    0xeeeeeeee,0x01eeeeee,0xfffffff3,0xfffb1bff,0xfffff8ff,0x3fe0003f,
    0xff10ffff,0xffb19fff,0x3dffffff,0x40fffc40,0xb9adfffc,0xf885fffe,
    0x3ffe00ff,0x440005ff,0x7fe41fff,0x03fffb06,0x4401fff1,0xfffffffd,
    0xfffffb0e,0x2fffffc4,0x7ffffe80,0x13ffffe6,0x37ffffc0,0x1bffffe0,
    0x5fffff80,0x1ffffff4,0x8bfffff0,0x03fffffe,0xd17ffffe,0x407fffff,
    0x225fffff,0x804fffff,0x25fffffc,0x05fffff8,0xafffffc4,0x02fffffa,
    0x7fffc400,0x7ffc405f,0xffff15ff,0xfff880bf,0x3fffe5ff,0x3ffe006f,
    0x7ffe45ff,0xffd01eff,0x00001fff,0xfffffb10,0x7fffec9d,0x7ffffec7,
    0xfff0000f,0x3fe21fff,0x3ff24fff,0x800dffff,0xffb05ffc,0xdfffffff,
    0x40bff901,0x03fffff9,0x45ffc800,0xff306ffc,0x0bff90df,0x2fbf6e60,
    0x3ffff60a,0x37ffffc7,0x7fffff80,0x17ffffe6,0x3ffffe20,0x7ffff405,
    0xfffa801f,0x3ffe24ff,0x3fe205ff,0x3fe25fff,0x3e205fff,0x3e25ffff,
    0x2205ffff,0x225fffff,0x004fffff,0xf8ffffff,0x5406ffff,0xf35fffff,
    0x0007ffff,0x0dfffff0,0x5fffffa8,0x01bffffe,0x4bfffff5,0x01fffffe,
    0x4fffffa8,0x03fffff4,0x07fffffe,0x55300000,0xfffffb01,0xffffffa8,
    0xffff0004,0x3ffe21ff,0x0aa884ff,0x1fffcc00,0xffffffb8,0xfffa80df,
    0x3ffffa02,0xff300006,0x037fe47f,0x7d47fffb,0x400002ff,0x6c6ffffe,
    0x400fffff,0x27fffff9,0x0ffffff9,0x7ffffd40,0x7fffdc04,0xfffe806f,
    0x3ffea2ff,0x3fe602ff,0x3fea5fff,0x3e602fff,0x3ea5ffff,0x2602ffff,
    0x225fffff,0x004fffff,0x41fffff9,0x407fffff,0x15fffffc,0x80dfffff,
    0x7c09bcec,0x6407ffff,0x3e5fffff,0x6407ffff,0x2e5fffff,0x806fffff,
    0x42fffffe,0x204fffff,0x4ffffff8,0x04d676c0,0xfffb0000,0xffffb0ff,
    0x2a001bff,0x0ffffffe,0x09fffff1,0xfff90000,0x3772a203,0xbfff101c,
    0x7ffffec0,0x3f200000,0x055531ff,0xf8955544,0x355505ff,0xfffff800,
    0x7ffffe45,0x7fffec03,0x3fffe67f,0x7ff404ff,0x7c403fff,0x104fffff,
    0x8bfffffb,0x05fffffa,0x97fffffa,0x05fffffa,0x97fffffa,0x05fffffa,
    0x97fffffa,0x84fffff8,0x7ffff429,0x7fffffc7,0xfffff502,0x7fffe4bf,
    0xffff303f,0x7fffc1ff,0xfff502ff,0x7ffcbfff,0xff502fff,0x7c4bffff,
    0x104fffff,0x8bfffffb,0x07fffff8,0x3ffffff2,0xffff701f,0x6c0000df,
    0xf887ffff,0xafffffff,0xfffea980,0xf10fffff,0x0009ffff,0x0bfffa00,
    0xdfff3000,0x3ffff601,0x1bdedbcf,0x7f404b88,0x4c0002ff,0xf700effe,
    0x403dffff,0x44fffff9,0x2ffffff9,0xffffff70,0x7ffffccf,0xfff703ff,
    0xf9001fff,0x37dfffff,0xfffffd75,0xffff981f,0x7fecc2ff,0x3e65ffff,
    0x4c2fffff,0x5ffffffd,0x3fffffe6,0x7fffecc2,0x3ffe25ff,0x3ff624ff,
    0xfffffc9b,0x7ffffec6,0xfff930af,0x7c4bffff,0x20cfffff,0x4fffffea,
    0x7fffffec,0xffff930a,0x7fecbfff,0x930affff,0xbfffffff,0xffffffc8,
    0xffeba9be,0xff80ffff,0x220cffff,0xfffffffc,0xff731dff,0x0005ffff,
    0x3ffffec0,0xffffffb8,0xffedffff,0xffffffff,0xffff10ff,0x2000009f,
    0x004ffff8,0x03ffff70,0x3fffffee,0xffffffff,0x00fffeee,0x013fffe2,
    0x0ffffdc0,0xffffff30,0x3fffa60b,0xfffd82ff,0xc98acfff,0x7fffffff,
    0x3fffffe6,0xfc98acff,0x003fffff,0x3ffffffa,0xffffffff,0xffff03ff,
    0xfff9ffff,0x8dffffff,0xffffffff,0xfffffffc,0x7fffc6ff,0xfffcffff,
    0x26ffffff,0x54fffff8,0xffffffff,0xfa87ffff,0xffffffff,0xffffffff,
    0x7fffe45f,0xffffefff,0x7d40ffff,0xffffffff,0xffffffff,0x3fffea5f,
    0xffffffff,0x85ffffff,0xfffffffe,0xffffffff,0xffffb03f,0xfffdbfff,
    0xffffffff,0xffffffff,0x80000dff,0x207ffffd,0xfffffffb,0xffffffff,
    0x2fffffff,0x13ffffe2,0xfe980000,0x4400bfff,0x01ffffeb,0x3fffffe6,
    0xffffffff,0x04ffffff,0x5f7fff4c,0x7ff5c400,0xfff801ff,0xdcdfffff,
    0x5fffffff,0xffffff10,0xffffffff,0x7ccfffff,0xffffffff,0xffffffff,
    0x7f44006f,0xffffffff,0x204fffff,0xfffffffa,0xffefffff,0x3fea0fff,
    0xffffffff,0xfffffeff,0x3ffffea0,0xefffffff,0xf10fffff,0x3a29ffff,
    0xffffffff,0xfffb06ff,0xffffffff,0x0bffff97,0xfffffff9,0x3fffffff,
    0x3fffff60,0xcbffffff,0x7ec5ffff,0xffffffff,0xffffcbff,0xffffe885,
    0xffffffff,0x3fe204ff,0xffffffff,0xfffcffff,0xffffffff,0x0000efff,
    0x3ffffec0,0x3ffffea0,0xffffffff,0x0dffffff,0x27ffffc4,0x36200000,
    0xbcdfffff,0xffffdcba,0xffe800ef,0xffffffff,0xffffffff,0x7ec400ff,
    0xabcdffff,0xfffffdca,0xfff5000e,0xffffffff,0x03ffffff,0x7fffffdc,
    0xfadfffff,0x3fe67fff,0xfffe9fff,0xffffffff,0xfff90002,0xffffffff,
    0xfff9003d,0x3dffffff,0x85fffff3,0xfffffffc,0xfff99eff,0x7ffe42ff,
    0x9effffff,0x12fffff9,0x449fffff,0xfffffffe,0x3ff600ef,0x2fffffff,
    0x20bffff9,0xfffffffa,0x401fffff,0xfffffffd,0xffff92ff,0xfffffb0b,
    0x3f25ffff,0x3f205fff,0xffffffff,0xfa801eff,0xffffffff,0xff911dff,
    0xffffffff,0x000001df,0x00fffffb,0xffffffb1,0xffffffff,0x3fe203bf,
    0x00004fff,0xfffff700,0xffffffff,0x7dc007ff,0xffeeffff,0xffffffff,
    0xf7003fff,0xffffffff,0x07ffffff,0xfffff900,0xffffffff,0xff5007ff,
    0xbfffffff,0x99ffffea,0xe88fffff,0xffffffff,0x5c40001e,0xefffffed,
    0x7ff4c004,0x3a0cffff,0xe985ffff,0x0cffffff,0x217ffffa,0xffffffe9,
    0x3ffffa0c,0x9fffff15,0xffffeb88,0xffd9003f,0x7e43bdff,0x32605fff,
    0xfffffffe,0xffd9000b,0x7e43bdff,0xfd905fff,0x643bdfff,0x4405ffff,
    0xfffffedb,0x7ec4004e,0x2defffff,0xfffffb30,0x00005dff,0x3ffffec0,
    0xfffd7100,0x7bffffff,0xffff8801,0x0000004f,0x7fffff54,0x002effff,
    0x73017ff0,0xfffffffb,0xea80017d,0xffffffff,0x4c0002ef,0xfffffffd,
    0x000dffff,0x3fffff62,0x3fffea3e,0x3ffffe67,0xffffd910,0x0000019f,
    0x00003551,0x00015531,0x002aa620,0x0554c400,0xa8800000,0x5510001a,
    0x26000001,0x200019aa,0x00000aa8,0x00002aa2,0x001aa880,0x09aa9880,
    0x4d554400,0x88000000,0x00019999,0x35575531,0x33333000,0x00000001,
    0x2f372ea2,0x00c0000a,0x026aaa20,0x32ea2000,0x0000abcd,0x76e654c0,
    0x0000abcd,0x0000554c,0x002aa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x85999900,0x901cccc8,0x33001999,0x30003333,0x4c433333,
    0x33330999,0x33300033,0x32200333,0x66441ccc,0x2a2002cc,0x009abcca,
    0x99980000,0xa9800199,0x0009acca,0x2f7f2200,0x542ffc40,0x332e01cc,
    0x09999980,0x00c00000,0x26666666,0x99999999,0x99999999,0x19999880,
    0x99999800,0x4c400001,0x99999999,0x99999999,0x99999999,0x26666009,
    0x99999999,0xeee88001,0x333003ee,0x00000333,0x004ccccc,0x99999500,
    0x33332207,0x0e6664c2,0x2cccccb8,0x43ffff70,0x3606fffe,0xff803fff,
    0x4000ffff,0x3a7fffff,0xfff6ffff,0xf8001fff,0x5007ffff,0xf983ffff,
    0xeb803fff,0xffffffff,0x000003ff,0x01fffffe,0x7ffff644,0x03dfffff,
    0x3fffee00,0xffd9bdff,0x105ffa84,0x3ffe0fff,0x000005ff,0x3e201f91,
    0xffffffff,0xffffffff,0x86ffffff,0x00fffffe,0x7fffffc0,0x3fe00000,
    0xffffffff,0xffffffff,0xffffffff,0x3fffe03f,0xffffffff,0x7fc4001f,
    0xff004fff,0x0001ffff,0x3ffffe00,0x3ffa0005,0x3ee00eff,0xffd10fff,
    0x3ffe20bf,0x7fec06ff,0xffffc8ef,0x17ffee00,0x3fffffe0,0x7fffc000,
    0x3ffffa7f,0x1ffffff6,0xfffff800,0xffff9007,0x03ffff70,0x7fffff4c,
    0xffffffff,0xf800003f,0xb807ffff,0xffffffff,0x1effffff,0x7fffc400,
    0xffffffff,0x2fff883f,0xf827fec4,0x0005ffff,0x00fffa80,0xfffffff1,
    0xffffffff,0xffffffff,0xfffffd0d,0xffff8001,0x700000ff,0xffffffff,
    0xffffffff,0xffffffff,0x7fc07fff,0xffffffff,0x44001fff,0x004fffff,
    0x01ffffff,0x3ffe0000,0xf50005ff,0xd001ffff,0x3ff6dfff,0xfff700ff,
    0xff8801df,0x3ffffeff,0x03fffcc0,0x07fffffc,0x3ffffe00,0x5bffffa7,
    0x00ffffff,0x3fffffc0,0x86fffd80,0x300ffffc,0xffffffff,0xffffffff,
    0xf800009f,0x2207ffff,0xfffffffd,0xffffffff,0x3e6003ff,0xffffdcff,
    0x3f207fff,0xfffedfff,0x3fffee0f,0xffffffff,0xfe98005f,0xff100fff,
    0xffffffff,0xffffffff,0xd0dfffff,0x001fffff,0x0ffffff8,0xfffd0000,
    0xffffffff,0xffffffff,0xffffffff,0x7ffffc07,0xffffffff,0x7ffc4001,
    0xfff004ff,0x00001fff,0x17ffffe0,0x7ffff400,0xffff1001,0x405ffffd,
    0x000effff,0xfffffff5,0xffff100b,0xfffff801,0x7ffc000f,0x3fffa7ff,
    0xffffff6f,0xffff8001,0xffff007f,0x0dfffd09,0x3fffffe2,0xffffffff,
    0x002fffff,0x3ffffe00,0xfffff107,0xffffffff,0xdfffffff,0x87ff5001,
    0x00cfffc9,0x7ffffff4,0x7ffdc2ff,0xffffffff,0xfd8005ff,0xf100ffff,
    0xffffffff,0xffffffff,0x0dffffff,0x01fffffd,0xffffff80,0xffa80000,
    0xffffffff,0xffffffff,0xffffffff,0x333203ff,0xcccccccc,0x7c4000cc,
    0xf004ffff,0x001fffff,0x3fffe000,0xff98005f,0x7d4001ff,0x04ffffff,
    0x003fffee,0xffffff90,0x3fffa001,0x7ffffc02,0x7ffc000f,0x3fffa7ff,
    0xffffff6f,0xffff8001,0xfff8807f,0x4ffff82f,0xffffff50,0xff97579f,
    0x01ffffff,0x3fffe000,0xffffd07f,0xb9bfffff,0xffffffff,0x0331009f,
    0x7fdc0008,0xfb81efff,0xffffffff,0x8005ffff,0x00fffffd,0xfffffff1,
    0xffffffff,0xffffffff,0x3fffffad,0xffffffff,0xffffffff,0xffffffff,
    0xfffd0000,0xfffb57ff,0xffffffff,0xffffffff,0x0000007f,0xfffff880,
    0xfffff004,0x2000001f,0x005fffff,0x002fffd8,0xdfffffb0,0x0ffff401,
    0xaaaaa800,0x3fff2001,0x7ffffc04,0x7ffc000f,0x3f32e7ff,0xffffff5f,
    0xffff8001,0xfffa807f,0x7fffcc1f,0xfffffb03,0xffffc807,0xf00003ff,
    0xf70fffff,0x19ffffff,0x3ffff620,0x00001fff,0x04cc4000,0xffffdd50,
    0x9dddddff,0xffffb000,0x7c40001f,0x2006ffff,0xfffffffe,0xffffffff,
    0xffffffff,0x00ffffff,0xfffffa80,0x3ffffee5,0x00000004,0x00000000,
    0x2ffffffe,0xaaaaaaaa,0xffff8001,0x6644005f,0x2a20002c,0x2201aaaa,
    0x00001ccc,0x3ffea000,0x7ffffc06,0x7ffc000f,0x4ff987ff,0x01ffffff,
    0x7fffff80,0x87fffc80,0xf01ffffb,0x200dffff,0x05fffffd,0xfffff000,
    0xfffff98f,0xff5002ff,0x000dffff,0x00000000,0x00bfffff,0x7fffec00,
    0x3e20000f,0x2006ffff,0xfffffffe,0xffffffff,0xffffffff,0x00ffffff,
    0xfffffd80,0x3ffffee1,0x20000004,0x00000098,0xfffff000,0xffffffff,
    0x005bffff,0x017ffffe,0x00000000,0x98800000,0x22000999,0x3e00ffff,
    0x000fffff,0x43fffffc,0xffff3ffb,0xff8001ff,0x332a7fff,0xffffeccc,
    0xfffecccc,0x3fe63ccf,0xf5003fff,0x000dffff,0x1fffffe0,0x3ffffffb,
    0xffffa800,0x777443ff,0xeee803ee,0x400004ee,0x105fffff,0xfee98033,
    0xeeefffff,0x7ffc4006,0x3b6006ff,0xeffffffe,0xeeeeeeee,0xfffffeee,
    0x4000eeef,0x46fffff9,0x04fffffb,0x7edc0000,0x003defff,0x2ffffe40,
    0xffffff80,0xffffffff,0x805fffff,0x005fffff,0x00009880,0x00000220,
    0x3fffff6a,0xe801ceff,0x3fe02fff,0x4000ffff,0x447fffff,0xffff0ffe,
    0xff8001ff,0x3ff27fff,0xffffffff,0xffffffff,0x3fe66fff,0x36007fff,
    0x0004cccd,0x4ffffff0,0x5ffffff8,0xffffb000,0xffff88ff,0xffff804f,
    0xddddb05f,0xfffff009,0x7fff64cb,0xfffa81df,0xffffffff,0x7ffc4007,
    0xfd0006ff,0x8001ffff,0x00ffffff,0x3ffff600,0x7fffdc2f,0x3000004f,
    0xfffffffd,0x20003dff,0x005ffffc,0xffffffff,0xffffffff,0x401dffff,
    0x735fffff,0x30f77774,0x3bffffd9,0x3bbbba20,0x39dffd70,0x0277776c,
    0x3fffffa6,0x2fffffff,0x027ffe40,0x01ffffff,0x7fffff80,0xff8fffa6,
    0x4000ffff,0x327fffff,0xffffffff,0xffffffff,0x7c6fffff,0x01dfffff,
    0x7c000000,0x3ea7ffff,0x000fffff,0xffffff30,0x7ffffc43,0xfffff804,
    0xbfffff05,0xbfffff00,0x3fffffea,0x7fd42fff,0xffffffff,0x7fc4007f,
    0xd0006fff,0x001fffff,0x0ffffff8,0xffff1000,0xffff70df,0x7000009f,
    0xffffffff,0x007fffff,0x07ffffb0,0x3fffffe0,0xffffffff,0x4fffffff,
    0x37ffffe0,0x3fffe4f9,0xfffff72f,0xf307ffff,0xff71ffff,0x7fc9ffff,
    0x3e205fff,0xffffffff,0x03ffffff,0xf81bffea,0x000fffff,0x5ffffffc,
    0x7fc5fffe,0x4000ffff,0x327fffff,0xffffffff,0xffffffff,0x746fffff,
    0xdfffffff,0x0000001b,0x27fffff8,0x05fffffd,0x7ffff400,0x3fffe22f,
    0xffff804f,0xfffff05f,0xfffff00b,0xffffff9d,0x543fffff,0xffffffff,
    0x44007fff,0x006fffff,0x1fffffd0,0xfffff800,0xff90000f,0xff707fff,
    0x00009fff,0xffffff98,0xffffffff,0x3fe2002f,0xff001fff,0x9999ffff,
    0xffffddd9,0x3e01ffff,0x4fffffff,0x32bffffe,0xffffffff,0x7fcc4fff,
    0xffffafff,0x3ffe1fff,0x3ffa05ff,0xffffffff,0x00ffffff,0x201ffff1,
    0x00ffffff,0x7fffffc0,0xff82ffff,0x4000ffff,0x327fffff,0xffffffff,
    0xffffffff,0x546fffff,0xffffffff,0x000aceff,0xffff8000,0x3ffffa7f,
    0x7e40003f,0x3e23ffff,0xf804ffff,0xff05ffff,0xff00bfff,0xffffffff,
    0xffffffff,0x3ffba61d,0x6eeeffff,0x7fffc400,0xffd0006f,0x33335fff,
    0xf3333333,0x001fffff,0xffffff10,0xfffff701,0x5555555b,0x01555555,
    0x37fffffa,0xffffc99a,0xffd1006f,0x7fc00fff,0x4400ffff,0x4ffffffe,
    0xfffffff0,0x7ffffc9f,0xfffffffe,0x20ffffff,0xfffffff9,0x7c7fffff,
    0xf305ffff,0x337dffff,0xffffff73,0x17fff405,0x0ffffff8,0x7ffffc00,
    0xff00acef,0x8001ffff,0x407fffff,0xfc86fffe,0xffc807ff,0xffffffff,
    0x0002efff,0x3ffffe00,0x3fffffe7,0x7fdc0002,0x3fe24fff,0xff804fff,
    0xfff05fff,0xfff00bff,0x337fffff,0xffffffb5,0xfffffb05,0x7fc40001,
    0xd0006fff,0xffffffff,0xffffffff,0x1fffffff,0xffff9000,0x3ffee09f,
    0xffffffff,0xffffffff,0xfffffa81,0xfffff504,0xfffe8805,0x3fe005ff,
    0xd000ffff,0x20dfffff,0xdfffffff,0x3fffffe0,0xfda9adff,0x263fffff,
    0xffffffff,0x7fc4ffff,0xffb05fff,0x3ee03fff,0x3604ffff,0xfff04fff,
    0xf8001fff,0xf007ffff,0x001fffff,0x07fffff8,0x7427fffc,0xfd006fff,
    0xffffffff,0x07ffffff,0xffff0000,0x7ffffcff,0x7d40001f,0x3e26ffff,
    0xf804ffff,0xff05ffff,0xff00bfff,0x203fffff,0x84fffffd,0x00fffffd,
    0x3fffe200,0xffd0006f,0xffffffff,0xffffffff,0x001fffff,0xffffff88,
    0xfffff700,0xffffffff,0x03ffffff,0x01fffffd,0x037fffe4,0xffffffd3,
    0x7fffc001,0xff7000ff,0x3fe0ffff,0xff84ffff,0xd02fffff,0x4c9fffff,
    0xcfffffff,0xfff83930,0x2ea205ff,0x3ffe203d,0x3fee04ff,0xfffff06f,
    0xfff8001f,0xfff007ff,0xf8001fff,0x2607ffff,0xff82ffff,0x3ee004ff,
    0xffffffff,0x04ffffff,0x7fffc000,0xfffff17f,0xf980001f,0x3e27ffff,
    0xf804ffff,0xff05ffff,0xff00bfff,0x4c09ffff,0xd85fffff,0x800fffff,
    0xfa999998,0x999fffff,0x3fa00999,0xffffffff,0xffffffff,0x00ffffff,
    0x7ffffdc0,0x3fffee05,0xffffffff,0x1fffffff,0x27ffffc4,0x3ffffe60,
    0xfffff980,0x7fc002ff,0x3000ffff,0x01ffffff,0x20dfffff,0x04ffffff,
    0x97ffffe6,0x6ffffff9,0xbfffff00,0x3fe20000,0x3e605fff,0xffff07ff,
    0xff8001ff,0xff007fff,0x8001ffff,0x207fffff,0x4c1ffffa,0x4002ffff,
    0xfffffec8,0xffffffff,0x3fe00005,0xfff17fff,0x80001fff,0x27fffffa,
    0x04fffff8,0x05fffff8,0x00bfffff,0x03ffffff,0x85fffff8,0x00fffffd,
    0xffffffc8,0xffffffff,0x3a02ffff,0xffffffff,0xffffffff,0x0fffffff,
    0x7ffffc00,0x3ffee01f,0xffffffff,0xffffffff,0x7ffffcc1,0x7fffc403,
    0x7fffd41f,0xf8001fff,0x000fffff,0x0ffffff5,0x0bfffff5,0x03fffffe,
    0x5fffff88,0x3fffffe6,0xfffff001,0x6dcc000b,0x05ffffff,0x7c0ffffc,
    0x000fffff,0x03fffffc,0x0ffffff8,0x7ffffc00,0x1ffff207,0x007fffee,
    0xfffec980,0xffffffff,0xfff00005,0x7fffcfff,0x5c0001ff,0x226fffff,
    0x804fffff,0xf05fffff,0xf00bffff,0xf00fffff,0x2a6dffff,0xbfffffea,
    0xfff901aa,0xffffffff,0x5fffffff,0x7fffff40,0xeeeeeeee,0xffffeeee,
    0x3ea000ff,0x5c06ffff,0xeeefffff,0xeeeeeeee,0x7fd41eee,0xeeeeefff,
    0xffffeeee,0x3fffe22f,0xf0001fff,0x001fffff,0x17fffff2,0xbffffff7,
    0x1fffffe0,0x9bffffe0,0x07fffff9,0x17ffffe0,0x7ff65440,0xffffffff,
    0x1fffec05,0x07fffffc,0x3ffffe00,0xfffff007,0xfff8001f,0x3ffa07ff,
    0x7fffc86f,0x32a20000,0xffffffff,0xff80001f,0x3ffa7fff,0x40002fff,
    0x24fffffc,0x04fffff8,0x05fffff8,0x00bfffff,0x00dfffff,0x32dfffff,
    0xffffffff,0xff905fff,0xffffffff,0xffffffff,0x7ffff405,0x7ffc000f,
    0x3a000fff,0xaadfffff,0xffdaaaaa,0x00004fff,0xfffffff7,0xffffffff,
    0x7ec7ffff,0x000effff,0x3fffffe0,0xffff8800,0x3fff24ff,0xff05ffff,
    0xff00dfff,0x7fccdfff,0x3e006fff,0x4405ffff,0xfffffffd,0x5fffffff,
    0x42fffdc0,0x00fffffe,0x3ffffe20,0xffffd007,0x7fc4001f,0x3ff27fff,
    0xffffffff,0xffffffff,0x00006fff,0xffffffd5,0xfff00009,0x7ffe4fff,
    0x6c0003ff,0x223fffff,0x405fffff,0x05fffff8,0x00bfffff,0x00dfffff,
    0x32dffffd,0xffffffff,0x99505fff,0xffff9999,0x999999ff,0x7ffff403,
    0x7ffc000f,0xf5000fff,0xffffffff,0xffffffff,0x00009fff,0x3ffffff2,
    0xffffffff,0xf54fffff,0x001dffff,0xffffff80,0x7fffdc00,0x3ff62fff,
    0xf05fffff,0xf00dffff,0x7ccdffff,0x2005ffff,0x205fffff,0xfffffff9,
    0xffffdeff,0x7ffcc05f,0xfffffe87,0x3ffe2000,0xffd007ff,0x44001fff,
    0x327fffff,0xffffffff,0xffffffff,0x886fffff,0x7ec00199,0x0006ffff,
    0x3fffffc4,0x0bfffff7,0xffffe800,0x3fffe22f,0x7ffc405f,0xffff05ff,
    0xffff00bf,0xfffd00bf,0x3ffff2df,0x5fffffff,0x7fffc400,0xffd0006f,
    0xf8001fff,0x000fffff,0xfffffffd,0xffffffff,0x009fffff,0x3fffee00,
    0xeeeeeeef,0x3eeeeeee,0x03fffff9,0xfffff000,0xdddddddf,0xffffffff,
    0x7fdfec1f,0xfff05fff,0xffd00bff,0x7ffccdff,0x3fe004ff,0xff505fff,
    0x17bfffff,0x02fffffc,0x3a0ffffc,0x001fffff,0x1bffffe6,0x7fffff40,
    0x3ffe6001,0x3fff26ff,0xffffffff,0xffffffff,0xfffd36ff,0xffa800bf,
    0x2ea26fff,0x3e203edc,0x3ea6ffff,0x001fffff,0xffffff50,0x7ffffc43,
    0x7fffc405,0xfffff05f,0xfffff00b,0xffffd00b,0x3ff6662d,0x00999fff,
    0x7ffffc40,0xfffd0006,0xff8001ff,0x9800ffff,0xffffffff,0xffffffff,
    0x004fffff,0xfffff500,0xffe80005,0x372006ff,0xffff0abc,0xffffffff,
    0xffffffff,0xfff2d83f,0x3ffe0bff,0xffe805ff,0x3ffe66ff,0x3fe004ff,
    0xffd05fff,0x7fc07fff,0xfd805fff,0x7ffec3ff,0x3ea002ff,0xb005ffff,
    0x007fffff,0x2fffffd4,0xfffffff9,0xffffffff,0x2dffffff,0x07fffff8,
    0x7ffffc40,0x3ffffe27,0x3fffe604,0x3fffe26f,0xfd0006ff,0xff0fffff,
    0xfa80dfff,0xff05ffff,0xff00bfff,0xfd00bfff,0xffb0dfff,0x40001fff,
    0x06fffff8,0xfffffd00,0xffff8001,0xffd800ff,0xffffffff,0xffffffff,
    0x00004fff,0x07fffff3,0xffffe800,0xffff1005,0x3ffffe7f,0xffffffff,
    0x2fffffff,0x3ffffe08,0xbfffff05,0xdffffd00,0x27ffffcc,0xbfffff00,
    0xbfffff10,0x7ffffc40,0x5fffb805,0x37ffffdc,0xfffffd00,0x3ffee009,
    0xfd000fff,0x6549ffff,0xcceffffc,0xcffffecc,0x3fa3cccc,0x2003ffff,
    0x46fffffa,0x205fffff,0x45fffffa,0x2ffffffc,0x7fffdc00,0xffff83ff,
    0x7ffe407f,0xffff05ff,0xffff00bf,0xfffd00bf,0xffff90df,0x7c40001f,
    0x0006ffff,0x01fffffd,0xffffff80,0x7fffcc00,0xffffffff,0xffffffff,
    0x100004ff,0x80dfffff,0x3209bcec,0x7007ffff,0x3e1fffff,0xffffffff,
    0xffffffff,0xfff802ff,0xffff05ff,0xfffd00bf,0x7fffccdf,0x3ffe004f,
    0xfffa85ff,0x3fe602ff,0xf9805fff,0x7ffd47ff,0xfb803fff,0x003fffff,
    0xbffffff5,0xfffff500,0x3fffe07f,0x05fffe84,0xffffffc8,0xfffe8801,
    0x7fff44ff,0xfffb00ff,0xfff889ff,0x9003ffff,0x0dffffff,0x0bfffffe,
    0x7fffffd4,0xbfffff05,0xbfffff00,0xdffffd00,0x3fffff90,0x7ffc4000,
    0xfd0006ff,0x8001ffff,0x00ffffff,0x2fffffe4,0xfffff700,0x7e400009,
    0xf303ffff,0x2a1fffff,0x404fffff,0x25fffff9,0xffffffff,0xffffffff,
    0x3ffe002e,0xffff05ff,0xfffd00bf,0x7fffccdf,0x3ffe003f,0xfffa85ff,
    0x3ffa05ff,0xff005fff,0xfffe83ff,0xb980cfff,0x07ffffff,0x7fffff40,
    0xfff700cf,0x3e60ffff,0xfff82fff,0xfff9804f,0x2a03ffff,0x1ffffffe,
    0x77ffffec,0x7ffffd40,0xffffa82f,0x4409dfff,0xffffffe9,0xffffb01f,
    0x3f2615ff,0x05ffffff,0x00bfffff,0x00bfffff,0x90dffffd,0x75dfffff,
    0xfff8800b,0xfd0006ff,0x8001ffff,0x00ffffff,0x3fffffe2,0x3ffee002,
    0x200004ff,0xcffffff8,0x3ffffaa0,0x3fffa24f,0xffb80dff,0x3fe3ffff,
    0xaaabffff,0x0000999a,0x20bfffff,0x805fffff,0x266ffffe,0x003fffff,
    0x217ffffe,0x2ffffff9,0x7ffffecc,0xfffd005f,0xfffffa87,0xffdeefff,
    0x3fffffff,0x7fffd400,0xedeeffff,0xffffffff,0x3ffff703,0x02ffff98,
    0xffffff90,0xfdd99dff,0x0dffffff,0xfffffff5,0xfffffdbd,0x7ffec0df,
    0xdeffffff,0xfffffffe,0x3fea04ff,0xffffffff,0xffffffff,0xbfffff05,
    0xbfffff00,0xdffffd00,0xffffff70,0x44001fff,0x006fffff,0x1fffffd0,
    0xfffff800,0x3fff200f,0x7dc006ff,0xffffffff,0xffffffff,0xffc87fff,
    0xffefffff,0x40ffffff,0xfffffff9,0xfffffeef,0x7fffc6ff,0x000000ff,
    0x20bfffff,0x805fffff,0x266ffffe,0x003fffff,0x417ffffe,0xffffffff,
    0xfffffffc,0xff9006ff,0xffffd0bf,0xffffffff,0x1fffffff,0xffffd000,
    0xffffffff,0x1fffffff,0x21ffff20,0x000ffffa,0x3ffffffa,0xffffffff,
    0xb01fffff,0xffffffff,0x5fffffff,0x7ffff440,0xffffffff,0xdfffffff,
    0x7fffec00,0xbfffffff,0xf05ffffc,0xf00bffff,0xd00bffff,0xf10dffff,
    0xffffffff,0x7ffc4003,0xfd0006ff,0x8001ffff,0x00ffffff,0x7ffffff1,
    0xffffb800,0xffffffff,0xffffffff,0xfffff907,0xffffffff,0x3ffea03f,
    0xffffffff,0x7c0effff,0x000fffff,0xfffff000,0x3ffffe0b,0xffffe805,
    0x3ffffe66,0x3fffe003,0xffff505f,0xffffffff,0x01fffffd,0x10dfff50,
    0xfffffffb,0xffffffff,0x220003df,0xfffffffd,0xffffffff,0x3ffa01ef,
    0x7fffc86f,0x7fffc400,0xffffffff,0x02ffffff,0x3fffffe2,0xffffffff,
    0xffff7004,0xffffffff,0x007fffff,0x7fffffec,0xfff92fff,0x3fffe0bf,
    0xffff805f,0xfffe805f,0xffff706f,0x4005ffff,0x06fffff8,0xfffffd00,
    0xffff8001,0xfff700ff,0xb8001fff,0xffffffff,0xffffffff,0x2a07ffff,
    0xffffffff,0x5401ffff,0xfffffffe,0x80dfffff,0x00ffffff,0xffff0000,
    0x3fffe0bf,0xfffe805f,0x3fffe66f,0x3ffe003f,0x3ff205ff,0xefffffff,
    0x2fffff99,0x0ffff880,0xffffff50,0xffffffff,0x3ee00009,0xffffffff,
    0x00dfffff,0x7427fffc,0x88005fff,0xfffffffc,0xefffffff,0xfffe9801,
    0xffffffff,0x7ff4c004,0xffffffff,0x8000dfff,0xdeffffec,0x17ffff21,
    0x02fffffc,0x02fffffc,0x037ffff4,0xdfffffd9,0x7ffc4003,0xfd0006ff,
    0x8001ffff,0x00ffffff,0x09ffffff,0xfffff700,0xffffffff,0xffffffff,
    0xfffec980,0x000bffff,0x3fffffee,0x3e02deff,0x000fffff,0xfffff000,
    0x3ffffe0b,0xffffe805,0x3ffffe66,0x3fffe003,0x7ff4c05f,0x3a0cffff,
    0xd005ffff,0x64405fff,0xfffffffe,0x00001def,0x7ffffecc,0x02dfffff,
    0x82ffff98,0x0004ffff,0x3fffff22,0x02dfffff,0xfffffb80,0x0001cfff,
    0x3ffffb2e,0x002cefff,0x000aa880,0x5fffff80,0x5fffff80,0x6ffffe80,
    0x001aa880,0xdfffff10,0x3fffa000,0x7fc000ff,0xfb80ffff,0x000fffff,
    0xffffffb8,0xffffffff,0x07ffffff,0x00cd54c0,0x2f2a6200,0xffff0009,
    0x000001ff,0x417ffffe,0x805fffff,0x266ffffe,0x003fffff,0x017ffffe,
    0x000554c4,0x16665400,0x35753100,0x4c000000,0x09aabaaa,0x33332600,
    0x0e666440,0xba988000,0x00001aab,0x01355531,0x57530000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99300000,0x00001999,0x641e665c,0x98802ccc,0x99999999,
    0xee880999,0xee803eee,0x99004eee,0x3b207999,0xec806eee,0x3300eeee,
    0x33333333,0x98000013,0x99999999,0x00000099,0x2cccccb8,0x99995000,
    0x26660009,0x99999999,0xccc88019,0x66664c1c,0x3bee2000,0x407fe80c,
    0x6443cccb,0x2a602ccc,0xc8801abc,0x6ff80bef,0xcccccc88,0x99995000,
    0x99999859,0x98666660,0x00099999,0x10666666,0x00033333,0x99999800,
    0x4cc40000,0x99999999,0x00000099,0x3fffffe2,0x3e600006,0x3ff22fff,
    0xffd800ff,0xffffffff,0xfff883ff,0xfff804ff,0xffb805ff,0xfd82ffff,
    0xfd807fff,0xff00ffff,0xffffffff,0x39bfffff,0x3fffe000,0xffffffff,
    0x001cdfff,0xfffff100,0x7fe4000b,0xff0007ff,0xffffffff,0xfb003fff,
    0x3fe21dff,0x3e6004ff,0x9befffff,0x7cc06ffb,0x3ff62fff,0xfffb80ff,
    0x702fffff,0x7bffffff,0x2a0bff93,0x003fffff,0x81dfffff,0xf16fffff,
    0x3f21ffff,0x5004ffff,0xd8dfffff,0x0007ffff,0x7ffffc00,0x7fec0005,
    0xffffffff,0x000003ff,0x3ffffff6,0x2e00004f,0xffa8ffff,0xffb002ff,
    0xffffffff,0xfff107ff,0xfff009ff,0xff980bff,0x40ffffff,0x807ffffd,
    0x00fffffd,0xffffffff,0xffffffff,0xf8005dff,0xffffffff,0xffffffff,
    0x640002ef,0x0006ffff,0x03ffffe4,0xffffff80,0x1fffffff,0x5fffe880,
    0x800dfffd,0xfffffffe,0x805fffff,0xfb8ffffc,0xffc81fff,0x0fffffff,
    0xfffffff0,0x07ffffff,0x03ffffdc,0x077fffdc,0x8b7ffffc,0xf10fffff,
    0x001fffff,0x85fffffd,0x007ffffd,0x7fffc000,0x7ec0005f,0xffffffff,
    0x00003fff,0xfbffff70,0x00003fff,0x7ff7fff4,0x3f6004ff,0xffffffff,
    0xff883fff,0xff804fff,0x7f405fff,0x5ffffdff,0x03ffffec,0x07ffffec,
    0xfffffff8,0xffffffff,0x003fffff,0x3ffffffe,0xffffffff,0x003fffff,
    0x1dffff10,0xfffc8000,0xfff0007f,0xffffffff,0x3e6003ff,0xffffefff,
    0x67ffc001,0xffffffec,0xfffd001f,0x709ffffd,0xffffffff,0x3ffe60ff,
    0xffffffdc,0x7fe400ff,0x7ff402ff,0xffff00ff,0x3fffe2df,0x3ffff60f,
    0x7ffd404f,0xfffd86ff,0x4000007f,0x005fffff,0x7ffffec0,0x3fffffff,
    0xff980000,0xdfffb3ff,0x3e200001,0x0effffff,0x33332e00,0xcccccccc,
    0xfffff881,0xfffff804,0x3ffff205,0x23ffff98,0x807ffffd,0x00fffffd,
    0xffffffff,0xffffffff,0x009fffff,0x3ffffffe,0xffffffff,0x04ffffff,
    0x0efffb80,0xfffc8000,0x9990007f,0x99999999,0x7e400199,0x03ffffff,
    0x222ffc40,0x001cffeb,0x3fffffe6,0xffffb06f,0x20bfdfff,0x764c3ffa,
    0xf9000cff,0x7fd40dff,0x3ffe01ff,0xffff16ff,0x7fffcc1f,0x3ffa00ff,
    0xffd82fff,0x000007ff,0x02fffffc,0x33332e00,0xcccccccc,0xfe800001,
    0x3ffe25ff,0x2a00004f,0x01ffffff,0xf1000000,0xf009ffff,0x2a0bffff,
    0x3ee1ffff,0xfffb1fff,0xfffb00ff,0x3ffe01ff,0xffffffff,0xffffffff,
    0xff801fff,0xffffffff,0xffffffff,0x4001ffff,0x0000ffff,0x0ddddd70,
    0x00000000,0x2ffffff4,0x40099800,0xfff70000,0x3fe03fff,0x8042ffff,
    0x02200998,0x0bfff600,0x200ffff4,0xf16fffff,0xffb0ffff,0x3ea07fff,
    0xfb06ffff,0x0000ffff,0x5fffff80,0x00000000,0xaaa88000,0x15554c0a,
    0x2aaa0000,0x000002aa,0x3fffe200,0xffff804f,0x5555505f,0x36355550,
    0xd807ffff,0xf00fffff,0x201fffff,0xfffffb98,0xfff805ff,0x73100fff,
    0xbfffffff,0x0e664c00,0x00000000,0x10000000,0x00155555,0x40000000,
    0x201aaaaa,0x007fffff,0x64000000,0xccc882cc,0xfffff802,0xf986fd86,
    0xfd07ffff,0x2a05ffff,0x0006ffcc,0x7ffffc00,0x00000005,0x00000000,
    0x00000000,0xf1000000,0xf009ffff,0x000bffff,0xfffffb00,0xfffffb00,
    0x3ffffe01,0xffd8800f,0x7c02ffff,0x800fffff,0xffffffd8,0x00000002,
    0x44000000,0x00009999,0x88000000,0x00000019,0x5fffff88,0x4ccc4000,
    0x00000009,0x7ffffc00,0xfb05ff86,0xf987ffff,0x8806ffff,0x000006ff,
    0x02fffffc,0x00cc4000,0x00000000,0x31000000,0xeeee8801,0xeeee803e,
    0xfffff14e,0xfffff009,0xfb00000b,0xfb00ffff,0x3e01ffff,0x000fffff,
    0x1bfffffa,0x1ffffff0,0x7ffff400,0x0000006f,0xa8000000,0xfffffffd,
    0x000001ce,0xffd51000,0x0079dfff,0xfff10000,0xb50009ff,0xdfffffff,
    0x00000039,0x7fffc044,0x81ffd46f,0x46fffff9,0x02fffffd,0x0005ffa8,
    0xfff80131,0x880005ff,0xefffffea,0xeeb8003c,0x775405ee,0x3a201eee,
    0x3ba3eeee,0x3b261eee,0x881dffff,0x804fffff,0xf15fffff,0xf009ffff,
    0x200bffff,0xb04eeeed,0xb00fffff,0x201fffff,0x00ffffff,0x3ffffe60,
    0x3fffe02f,0x3e6000ff,0x542fffff,0xeeeeeeee,0xeeeeeeee,0x7777542e,
    0xeeeeeeee,0x302eeeee,0xfffffffd,0x205fffff,0xeeeeeeea,0xeeeeeeee,
    0x7fd402ee,0xffffffff,0x76c000df,0xff104eee,0x4c009fff,0xfffffffe,
    0x802fffff,0xd14eeeed,0x3ae1dddd,0xfff1ceff,0x3ff22dff,0x7fffec06,
    0xfffff32f,0x3ffd100d,0x83bbbba2,0xdefffeca,0x5fffff80,0x7ffd4000,
    0xffffffff,0x3fea000d,0x3f600fff,0x2a03ffff,0x3e1fffff,0xff72ffff,
    0x7fffffff,0x4fffff88,0x5fffff80,0x09fffff1,0x0bfffff0,0x17ffffe0,
    0x03ffffec,0x07ffffec,0x0ffffff8,0x7fffec00,0x3fffe04f,0x7ec000ff,
    0x7dc4ffff,0xffffffff,0xffffffff,0x7ffffdc3,0xffffffff,0xf883ffff,
    0xffffffff,0x83ffffff,0xfffffffb,0xffffffff,0x3ff603ff,0xffffffff,
    0x2003ffff,0x105fffff,0x009fffff,0x3fffffe2,0xffffffff,0x7fffc03f,
    0xfffff35f,0xffffff71,0x5bffffe9,0x4c01eff9,0xf95fffff,0xb805ffff,
    0x3fe24fff,0xfff91fff,0x85ffffff,0x005fffff,0x3fffff60,0xffffffff,
    0xfff1003f,0x7ffc07ff,0x3f205fff,0x7ffc7fff,0xffffcaff,0x4fffffff,
    0x13ffffe2,0x57ffffe0,0x04fffff8,0x2fffffc4,0x5fffff80,0x1fffffb0,
    0xfffffd80,0xffffff00,0xfffa8001,0x3ffe06ff,0x54000fff,0x5c6fffff,
    0xffffffff,0xffffffff,0x7fffdc3f,0xffffffff,0xe83fffff,0xffffffff,
    0xffffffff,0x7ffffdc0,0xffffffff,0xf903ffff,0xffffffff,0x5fffffff,
    0x3ffffe00,0xfffff105,0x3fffa009,0xffffffff,0x200fffff,0xf35fffff,
    0xfff5ffff,0x3fe3ffff,0x01366fff,0x9fffffd8,0x806fffff,0x3e20effe,
    0xffd9ffff,0xffffffff,0x3ffffe2f,0xfff90005,0xffffffff,0x005fffff,
    0x417ffff6,0x7ffffff9,0x13ffffe0,0xffdfffff,0xffffffff,0x3fe21fff,
    0xff804fff,0xfff15fff,0xff880bff,0xff005fff,0x3f60bfff,0x7400ffff,
    0xf00fffff,0x001fffff,0x7fffff98,0x3fffffe0,0x7ffcc000,0x7ffdc7ff,
    0xffffffff,0x43ffffff,0xfffffffb,0xffffffff,0x7ffcc3ff,0xb999beff,
    0x42ffffff,0xfffffffb,0xffffffff,0xfffa83ff,0xdbbdffff,0x0fffffff,
    0x5fffff80,0x9fffff10,0xfffff300,0xff73337d,0x7c05ffff,0xff35ffff,
    0xffffffff,0x7fffcfff,0x3e60006f,0xfffeffff,0x3fb802ff,0xefffff88,
    0xffffffff,0x3fe6ffff,0xa8005fff,0xdfffffff,0xfffffdbb,0xffb800ff,
    0xfff707ff,0xf303ffff,0xff85ffff,0xadffffff,0xfffffda9,0xfffff13f,
    0xfffff009,0x3ffffe2b,0x7fffc405,0xffff005f,0x3fff60bf,0x7ff401ff,
    0xfff00fff,0x88001fff,0x00ffffff,0x01ffffff,0xfffff880,0x3fffee0f,
    0xffeeffff,0x5c2fffff,0xffffffff,0xffffffee,0x7fffec2f,0xffff701f,
    0xffffb89f,0xffeeffff,0xf82fffff,0x80efffff,0x5fffffe9,0x5fffff80,
    0x9fffff10,0xfffffb00,0x3fffee03,0x3fffe04f,0xfffff35f,0x9fffffff,
    0x037ffffc,0xfd333330,0xffffffff,0x2033333f,0xfffff100,0xd735bfff,
    0x25ffffff,0x2a5fffff,0x7c0ccccc,0x80efffff,0x5fffffe9,0xfffff880,
    0xfffffd81,0xfffb83ff,0xfffff87f,0xfffd02ff,0x3ffe29ff,0xfff804ff,
    0x3fffe5ff,0x7ffd405f,0xfff005ff,0x3ff60bff,0x3e203fff,0x3e0fffff,
    0xffffffff,0x04ffffff,0x83fffffe,0xffffffff,0x4fffffff,0x3fffffe0,
    0xfffd8000,0x20003fff,0x3ffffffd,0x407b7510,0x04fffff8,0xfffffb00,
    0xffff507f,0xfff880df,0x7fc02fff,0xff105fff,0x22009fff,0x3e203dba,
    0x3e04ffff,0xff35ffff,0x219fffff,0x3fffe1c9,0x3ffe006f,0xffffffff,
    0xffffffff,0x3e2000ff,0x81ffffff,0x3ffffff8,0x64bfffff,0x2a1fffff,
    0x406fffff,0x2ffffff8,0x4ffffe80,0xfffffff8,0xffffe86f,0xffffff85,
    0x3fffe604,0xfffff15f,0xfffff009,0x3fffffcb,0x3fffff60,0xfffff005,
    0x3ffff60b,0x3ffee05f,0x3ffe0fff,0xffffffff,0x3e04ffff,0x3e1fffff,
    0xffffffff,0x04ffffff,0x07fffffe,0xfffffb00,0x7ec0009f,0x004fffff,
    0xfffff100,0xfffb000b,0x3f609fff,0xb802ffff,0x404fffff,0x105fffff,
    0x009fffff,0xffff1000,0x7fffc0bf,0xfffff35f,0xffff00df,0x7ffc00df,
    0xffffffff,0xffffffff,0x3e2000ff,0x203fffff,0xf4fffffa,0x7e4bffff,
    0x3f61ffff,0xb802ffff,0x804fffff,0x4c6ffffb,0xffffffff,0x3fffe20f,
    0xfffff82f,0x3ffe200f,0xffff15ff,0xffff009f,0x7ffffcbf,0xffff503f,
    0x3fe00bff,0xffb05fff,0xf305ffff,0x41ffffff,0xffffffff,0x4fffffff,
    0x3fffffe0,0x3fffffe1,0xffffffff,0x3fffe04f,0x3f2001ff,0x005fffff,
    0x3fffff20,0x5cc0005f,0x5ffffffd,0x7fffe400,0x3ffe05ff,0xff1007ff,
    0xff80bfff,0xff105fff,0x00009fff,0x3ffff6e6,0x3ffe05ff,0xffff35ff,
    0xfff003ff,0x7fc00dff,0xffffffff,0xffffffff,0x22000fff,0x407fffff,
    0xf4fffff9,0x7e4bffff,0x3fe1ffff,0xf1007fff,0x300bffff,0x5c1fffff,
    0xfffdffff,0x3fffea2f,0xfffff80f,0xfffff807,0x9fffff16,0xbfffff00,
    0x7fffffec,0xffff950b,0x3e00bfff,0xfb05ffff,0x39ffffff,0xffffff93,
    0x7f7741ff,0xeeefffff,0xff103eee,0x7741ffff,0xeffffffe,0x103eeeee,
    0x01ffffff,0x3ffffee0,0x3ee0006f,0x006fffff,0x7fff6544,0x5fffffff,
    0x3fffee00,0x3fe206ff,0x3e006fff,0x7c07ffff,0xf105ffff,0x0009ffff,
    0xffffd951,0x0bffffff,0x9afffffc,0x007fffff,0x00dfffff,0x7ffffffc,
    0xffffffff,0x00ffffff,0x3ffffe20,0x7fffc406,0xbfffff5f,0x8fffffe4,
    0x06fffff8,0x1fffffe0,0x17ffff40,0xff3ffffb,0x7ffe49ff,0xfffff05f,
    0xfffff00d,0x3ffffe2d,0xfffff804,0x3ffffea5,0xffffffff,0x005fffff,
    0x20bfffff,0xfffffffd,0xffffffff,0xff00ffff,0x8001ffff,0x07fffff8,
    0x03fffffe,0xfffff100,0x3ffea00f,0x0000efff,0xdffffff5,0x3ff62001,
    0xffffffff,0x5005ffff,0x1dffffff,0x7ffffcc0,0x3fffa005,0x3ffe00ff,
    0xfff105ff,0x6c4009ff,0xffffffff,0x05ffffff,0x4d7ffffe,0x006fffff,
    0x00dfffff,0x55555554,0xacfffffc,0x00aaaaaa,0x3ffffe20,0x7fffc405,
    0xbfffff5f,0x8fffffe4,0x05fffff9,0x3fffffa0,0xffffc800,0x7d7fffe5,
    0x3ffe6fff,0xffff02ff,0xffff00df,0x3fffe2df,0x7ffc405f,0x7ffe45ff,
    0xffffffff,0x05ffffcb,0x0bfffff0,0x3bfffff6,0xefffffff,0xf00fffff,
    0x001fffff,0x6fffff98,0x3fffffe0,0x7ffcc000,0xff9806ff,0x001fffff,
    0xffffff30,0x3fe6003f,0xefffffff,0x05fffffd,0xffffff98,0x7ffcc01f,
    0x3fa004ff,0x3e00ffff,0xf105ffff,0x2009ffff,0xfffffff9,0xffffdeff,
    0x3fffe05f,0xfffff35f,0x3fffe00b,0xf500006f,0x0007ffff,0x7ffffc40,
    0xfffff804,0x4bfffff5,0x26199998,0x004fffff,0x03fffffa,0x5ffffe60,
    0xf93ffff9,0xfff31fff,0x3ffe01ff,0xffe805ff,0xffff16ff,0xfff880bf,
    0xfffd85ff,0x92ffffff,0x200bffff,0xb05fffff,0xff1fffff,0xff5dffff,
    0x3fe01fff,0x4000ffff,0x04fffffa,0x03fffffe,0xfffff500,0xffff8809,
    0x10001fff,0x3fffffff,0x3fffea00,0x3e0bdfff,0x4405ffff,0x1fffffff,
    0xfffff880,0x3fffe005,0x7fffc07f,0xffff105f,0xfff5009f,0x417bffff,
    0x205fffff,0xf35fffff,0x2009ffff,0x006fffff,0x26666666,0x9bfffffb,
    0x00199999,0x27ffffc4,0xafffffc0,0x005fffff,0x17ffffe2,0x7fffff80,
    0x3ffffe00,0x51ffffb9,0xff75ffff,0x7ffc0bff,0xffe805ff,0xffff16ff,
    0xfff880bf,0xfeb885ff,0x321cefff,0xf005ffff,0x360bffff,0xff57ffff,
    0xfff31dff,0x3ffe01ff,0x6c000fff,0x203fffff,0x00ffffff,0x7ffffec0,
    0x3fffa203,0x10002fff,0x5ffffffd,0x7ffff400,0x3fffe03f,0x3ffa205f,
    0x2002ffff,0x006fffff,0x017ffffe,0x20bfffff,0x04fffff8,0x3fffffe8,
    0x17ffffe0,0x35fffff8,0x009fffff,0x01bffffe,0xfffffff8,0xffffffff,
    0x00ffffff,0x3ffffe20,0xfffff804,0x0bfffff5,0x6fffff80,0x3ffffe00,
    0x3fff2005,0x27fffecf,0xfecffff8,0x3fe03fff,0xfe805fff,0x3ffe6fff,
    0x7fd406ff,0x54405fff,0x05ffb00a,0x5fffff80,0x8fffffb0,0x3e0001b9,
    0x000fffff,0x17fffffc,0x1ffffff0,0xfffff800,0x3fff602f,0x20003fff,
    0x3ffffffd,0x3fffe200,0x3ffe205f,0x3ff605ff,0x4003ffff,0x01fffffe,
    0x4fffffa8,0x2fffffc0,0x4fffff88,0x7ffffc40,0x3fffe205,0x3fffe05f,
    0xfffff35f,0x3fffe009,0x3ffe006f,0xffffffff,0xffffffff,0x3e2000ff,
    0xf804ffff,0xfff5ffff,0xfe800bff,0xa801ffff,0x004fffff,0x3fbfffea,
    0x7ff45fff,0x0fffffef,0x17ffffe0,0x9bffffa0,0x407fffff,0x05fffffc,
    0x01ffe800,0x2fffffc0,0x07ffffd8,0xffff8000,0x3f2000ff,0x7c07ffff,
    0x000fffff,0x1ffffff2,0xffffffc8,0x3ff20004,0x4004ffff,0x02fffffa,
    0x17ffffe6,0x7fffffe4,0xfffb8004,0xffe806ff,0x7fc02fff,0xff105fff,
    0xfa809fff,0x2602ffff,0x205fffff,0xf35fffff,0x2009ffff,0x006fffff,
    0x3ffffffe,0xffffffff,0x00ffffff,0x3ffffe20,0xfffff804,0x0bfffff5,
    0xfffffb80,0xffffe806,0x7ffc002f,0x43ffffff,0xfffffffc,0x7fffc06f,
    0xfffe805f,0x3ffffe6f,0xffff502f,0xf0000bff,0xff8003ff,0xffb05fff,
    0x00000fff,0x01ffffff,0xfffffb10,0xffff807f,0xfd8800ff,0x703fffff,
    0x0bffffff,0x7fffdc00,0xfa8005ff,0x3a05ffff,0xb85fffff,0x05ffffff,
    0xfffff100,0x3ff6209f,0xff805fff,0xff105fff,0xfa809fff,0x3a05ffff,
    0x205fffff,0xf35fffff,0x2007ffff,0x006fffff,0x3ffffffe,0xffffffff,
    0x00ffffff,0x3ffffe20,0xfffff804,0x0bfffff5,0xfffff880,0xfffb104f,
    0xfb000bff,0x1fffffff,0xffffffa8,0x7ffc03ff,0xffe805ff,0x3fff66ff,
    0xf930afff,0x0bffffff,0x3fff8800,0x7ffffc00,0xfffffb05,0xfff00000,
    0x33101fff,0xffffffd7,0xffff801f,0xb99880ff,0xfffffffe,0xfffffa80,
    0x3ea0005f,0x005fffff,0xffffff30,0xffffd985,0x7ffd45ff,0x40005fff,
    0xeffffffc,0xfffeba9b,0xff800fff,0xff105fff,0xf9809fff,0x4c2fffff,
    0x5ffffffd,0x57ffffe0,0x03fffff9,0x0dfffff0,0x55555540,0xcfffffca,
    0x0aaaaaaa,0x3fffe200,0xffff804f,0xbfffff5f,0xffff9000,0xd7537dff,
    0x01ffffff,0xfffff500,0xfff10dff,0x803fffff,0x805fffff,0x2a6ffffe,
    0xffffffff,0xffffffff,0x440005ff,0x7c005fff,0xfb05ffff,0x0000ffff,
    0xfffffff0,0xffffffff,0x5fffffff,0xffffff00,0xffffffff,0xffffffff,
    0xfffff305,0xffffffff,0x21ffffff,0xfffffff9,0xffffffff,0x3fe0ffff,
    0xfcffffff,0xffffffff,0x3ffffe66,0xffffffff,0x80ffffff,0xfffffffe,
    0xffffffff,0xffff003f,0x3ffe20bf,0xfff804ff,0xffcfffff,0x6fffffff,
    0x57ffffe0,0x03fffff9,0x0dfffff0,0x3ffea000,0x200003ff,0x04fffff8,
    0xf5fffff8,0x000bffff,0x3ffffffa,0xffffffff,0xf10003ff,0x09ffffff,
    0x3ffffffa,0xfffff806,0xffffe805,0x7ffffec6,0xcbffffff,0x0005ffff,
    0xabeffff8,0x3fffe04b,0xffffb05f,0xff00000f,0xffffffff,0xffffffff,
    0x3e007fff,0xffffffff,0xffffffff,0xf303ffff,0xffffffff,0xffffffff,
    0x3ffe61ff,0xffffffff,0xffffffff,0x3ffffea0,0xefffffff,0xf30fffff,
    0xffffffff,0xffffffff,0xffd101ff,0xffffffff,0x4009ffff,0x105fffff,
    0x009fffff,0xfffffff5,0xffdfffff,0x3fe01fff,0xfff35fff,0x3fe007ff,
    0x00006fff,0x07fffff5,0x7ffc4000,0xfff804ff,0xfffff5ff,0x3fa2000b,
    0xffffffff,0x004fffff,0x7ffffec0,0xffff902f,0xfff009ff,0xffd00bff,
    0xfffb0dff,0x25ffffff,0x005ffffc,0xfffffc80,0x3ffe07ff,0xfffb05ff,
    0xf00000ff,0xffffffff,0xffffffff,0x7c005dff,0xffffffff,0xffffffff,
    0x3e602eff,0xffffffff,0xffffffff,0xffff30ff,0xffffffff,0x1fffffff,
    0xffffffc8,0xff99efff,0xfff32fff,0xffffffff,0xffffffff,0x7fffe401,
    0xefffffff,0x7fffc001,0xffff105f,0x3ff2009f,0xefffffff,0x2fffff99,
    0x2bfffff0,0x03fffff9,0x0dfffff0,0x3ffea000,0x200003ff,0x04fffff8,
    0xf5fffff8,0x000bffff,0xffffffc8,0x01efffff,0xffffb800,0xfff300ff,
    0xff003fff,0xfd00bfff,0x3b20dfff,0x21deffff,0x005ffffc,0xfffffb00,
    0x7fffc0ff,0xffffb05f,0xff00000f,0xffffffff,0xffffffff,0xffff0007,
    0xffffffff,0x07ffffff,0xffffff30,0xffffffff,0x261fffff,0xffffffff,
    0xffffffff,0xfe980fff,0x20cfffff,0xf35ffffe,0xffffffff,0xffffffff,
    0xdb8801ff,0x4efffffe,0xfffff000,0x3fffe20b,0x3fa6004f,0x20cfffff,
    0xf05ffffe,0x3e6bffff,0xf003ffff,0x000dffff,0x3ffffea0,0x3e200003,
    0xf804ffff,0xfff5ffff,0x10000bff,0xfffffdb7,0x4400009d,0x406fffff,
    0x007fffff,0x00bfffff,0x80dffffd,0x00000aa8,0x7bdb5000,0x7fffc015,
    0x5555305f,0xff000005,0xffffffff,0x179ddfff,0x3fffe000,0xffffffff,
    0x000bceef,0xfffffff3,0xffffffff,0x3e61ffff,0xffffffff,0xffffffff,
    0x2a6200ff,0xff98000a,0xffffffff,0xffffffff,0x5544000f,0xfff80001,
    0xfff105ff,0x310009ff,0xf0000155,0x3e6bffff,0xf003ffff,0x000dffff,
    0x3ffffea0,0x3e200003,0xf804ffff,0xfff5ffff,0x00000bff,0x00003551,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01333331,0x99999000,
    0x13cccc88,0x00133333,0x26666662,0x33331000,0x4ccc0013,0x26666609,
    0x4cccccc1,0x26620000,0x3bae1999,0xd5003eee,0x4007dddd,0x00001aa9,
    0x06666660,0x99998800,0x09999999,0x26666000,0x09999999,0x00c00000,
    0x33333333,0x33333333,0x21333333,0x99999998,0x99999999,0x40009999,
    0x4ccc0009,0x44000099,0x80019999,0x4c199999,0x33119999,0x31000333,
    0x01333333,0x33333331,0x33333333,0x00333333,0x01333300,0x10266666,
    0xf8817bf9,0x7fffe45f,0xff80003f,0x7ffc47ff,0xfffffb6f,0x3fff6007,
    0xf9005fff,0x2007ffff,0xf34ffffb,0xfe8fffff,0x0005ffff,0x9bfffff2,
    0x06fffff9,0x3fffffb0,0x7fff6440,0x000defff,0xfffff700,0x3fa0005f,
    0xffffffff,0xdeffffff,0xfffff802,0xffffffff,0x0001ceff,0xff807e44,
    0xffffffff,0xffffffff,0xffd2ffff,0xffffffff,0xffffffff,0xffeb80bf,
    0x200cefff,0x04fffff8,0x7ffff400,0x7ffc000f,0xfff10fff,0x3fffafff,
    0x3a2001ff,0x0fffffff,0xffffffd8,0xffffffff,0x1fffffff,0x3fff2000,
    0xfffff05f,0x7ffffdcb,0x4ffd9bdf,0x1fffffe4,0x7fffc000,0xb7fffc47,
    0x05fffffb,0xfffffff0,0x3fffa00f,0xff8801ff,0xfff34fff,0xfffb8fff,
    0xf0000fff,0xe87fffff,0x801fffff,0x206fffff,0xfffffffb,0x00cfffff,
    0x7ffff400,0xfd0006ff,0xffffffff,0xffffffff,0x7ffc07ff,0xffffffff,
    0xefffffff,0xfffb8002,0xffffff00,0xffffffff,0xffffffff,0x3fffffa5,
    0xffffffff,0x05ffffff,0xfffffff7,0x2209ffff,0x004fffff,0x7fffff40,
    0x7fffc000,0xffff10ff,0x3ffffaff,0xffd1001f,0x203fffff,0xfffffffd,
    0xffffffff,0x01ffffff,0xfffff500,0x3ffffe0b,0xffffff15,0x7fffffff,
    0x3fffffc8,0xffff8000,0xb7fffc47,0x07fffff9,0xffffff98,0xfff801ff,
    0xffb007ff,0x3fe69fff,0x7fc47fff,0x8003ffff,0x0ffffff9,0x1fffffdc,
    0x3ffffea0,0xffffe883,0xffffffff,0x30000fff,0xffffffff,0xfffd0003,
    0xffffffff,0xffffffff,0x3fffe09f,0xffffffff,0xffffffff,0xfffd3003,
    0x3fffe01f,0xffffffff,0xffffffff,0xffffd2ff,0xffffffff,0xbfffffff,
    0xffffff90,0xdfffffff,0xfffff881,0x7ff40004,0x7c000fff,0xf10fffff,
    0x3fafffff,0x8801ffff,0xfffffffe,0x3ffff601,0xffffffff,0xffffffff,
    0xff88001f,0xff05ffff,0x3fe6bfff,0xfffffdcf,0xfffc87ff,0xf80003ff,
    0x7fc47fff,0x3fffe6ff,0x7fdc00ff,0x03ffffff,0x2fffffcc,0x7ffffe40,
    0xfffff34f,0xfffffb0f,0xfff9000d,0xfff10bff,0xffc80dff,0xffd80fff,
    0xffffffff,0x06ffffff,0xfffff900,0xd0009fff,0xffffffff,0xffffffff,
    0xf07fffff,0xffffffff,0xffffffff,0xb009ffff,0x201fffff,0xffffffff,
    0xffffffff,0xd2ffffff,0xffffffff,0xffffffff,0xffa8bfff,0xffffffff,
    0x445fffff,0x004fffff,0x7fffff40,0x7fffc000,0xffff10ff,0x3ffffaff,
    0xfffd801f,0x6c01ffff,0xffffffff,0xffffffff,0x001fffff,0xffffffd8,
    0xbfffff05,0xf930ffea,0xff9019ff,0x02607fff,0x41555540,0x3f62aaaa,
    0x7402ffff,0xffffffff,0x7fffdc05,0x7ffe404f,0xff34ffff,0xff50ffff,
    0x8001ffff,0x02ffffff,0x03fffffb,0x42fffffc,0xcffffffb,0xffff5309,
    0xf88009ff,0xffffffff,0xfffe8007,0xffeeeeff,0xffffffff,0xffff87ff,
    0xffffffff,0xffffffff,0x7fec00ff,0xfff00fff,0xffffffff,0xffffffff,
    0x3ffa5fff,0xffffffff,0xffffffff,0x3fffe25f,0xffecffff,0x222fffff,
    0x004fffff,0x7fffff40,0x7fffc000,0xffff10ff,0x3ffffaff,0x7ffec01f,
    0xd801ffff,0xffffffff,0xffffffff,0x001fffff,0x7fffffd4,0xfffff05f,
    0x0100662b,0x3fffffc8,0x00001fa8,0xfffff700,0x7fffc409,0x407fffff,
    0x02fffffd,0xfffffff5,0x3ffe69ff,0xffff07ff,0x7cc007ff,0x2a07ffff,
    0x503fffff,0x885fffff,0x02ffffff,0x3fffffa2,0x3ffee000,0x2fffffff,
    0x7ffff400,0xffd9800f,0x7fc1ffff,0x3100ffff,0xfffffff9,0xffffd80b,
    0xfffff00f,0x3a00001f,0x000fffff,0xfffffb80,0x7ffecc2e,0x3ffe25ff,
    0x740004ff,0x000fffff,0x87fffffc,0xd7fffff8,0x403fffff,0xfffffffc,
    0x22000001,0x4fffffff,0x7fffc400,0x3305ffff,0x00001333,0x3fffffc8,
    0x0000ffdc,0xffff9800,0x3ffea05f,0x1fffffff,0x3fffffa0,0x7ffff4c0,
    0x34ffffff,0x20ffffff,0x06fffffc,0x3fffff20,0x7ffffc04,0xfffff906,
    0xfffffa81,0xffff9803,0x3ffa002f,0xffffffff,0x7fff4006,0x3f6000ff,
    0x7fc4ffff,0x8800ffff,0x2ffffffc,0x3fffff60,0xffffff00,0x3fa00001,
    0x0000ffff,0x1fffffd8,0xffffff30,0x27ffffc4,0x3fffa000,0x7fc000ff,
    0xff10ffff,0x3ffaffff,0xff901fff,0x005fffff,0x7ff44000,0x8005ffff,
    0xfffffffd,0x0000005f,0x3fffff20,0x007fff63,0x7fc40000,0x3f207fff,
    0xffffffff,0xffff103f,0xffffb8df,0xffffffff,0xffffff14,0x3ffffe60,
    0xfffd000f,0xffc803ff,0xfff80fff,0xfffc84ff,0x3ffe007f,0xff3004ff,
    0xfffd9fff,0x7f4003ff,0x2000ffff,0x45fffffa,0x00ffffff,0x3fffffa0,
    0x7fff74c6,0x26eeefff,0x00ffffff,0xffffd000,0xff00001f,0xfe80bfff,
    0xff10ffff,0x80009fff,0x00fffffe,0x7fffffc0,0xffffff10,0x07fffffa,
    0x3fffffee,0x4000002f,0xeffffffd,0x7ffd4000,0x05ffffff,0xddddb000,
    0xffffc809,0xffffe8bf,0xdddb0001,0xfffe809d,0xfffd01ff,0xbffffd9f,
    0x3ffffea0,0x7ffffe44,0x4fffffcf,0x81bffffe,0x03ffffff,0x7fffff98,
    0xfffff980,0x7ffffcc3,0x4fecc981,0x3ffffe00,0xffff9005,0xfffff73f,
    0x7fff4009,0x3e2000ff,0x7fc3ffff,0x2000ffff,0x2ffffff9,0x3fffffea,
    0x3e7fffff,0x000fffff,0xfffffd00,0xee880001,0x7e404fff,0xff11ffff,
    0x36209fff,0xd0deeeee,0x001fffff,0x0ffffff8,0x2ffffff1,0x41fffffe,
    0xfffffffa,0x64000002,0x0fffffff,0x7fffc400,0x05ffffff,0x409ddddb,
    0x405fffff,0xecfffffc,0x0005ffff,0x017ffffe,0x05fffff9,0x95fffff1,
    0x320fffff,0x642fffff,0xf99effff,0x3fe4ffff,0x3f205fff,0xc806ffff,
    0x004fffff,0xc8dffffd,0x0007ffff,0xfffffa80,0xfffff002,0x3ffffe2f,
    0x3fffa007,0x3ee000ff,0x7fc1ffff,0x4000ffff,0x24fffffd,0xfffffffa,
    0x3fe7ffff,0x0000ffff,0x1fffffd0,0x01300000,0x27ffffe8,0x04fffff8,
    0x3ffffffb,0x07fffff4,0x3ffffe00,0xfffff10f,0x3fffffaf,0x3ffffea1,
    0x000002ff,0x7fffffd4,0xffd8002f,0xffffebff,0xbfffff05,0x2fffffc0,
    0x3fffff20,0x004fffff,0x2fffffc0,0x3ffffea0,0xfffffa84,0x1fffff98,
    0x0fffffd8,0x986fffe4,0x3a4fffff,0x2605ffff,0x01ffffff,0x0ffffff4,
    0xfffffb80,0x13ffffe0,0x3ff60000,0xfa800fff,0x3f64ffff,0xd002ffff,
    0x001fffff,0x1fffffa2,0x03fffffe,0xfffff700,0x7ffffd4d,0x27ffffff,
    0x00ffffff,0xffffd000,0x0000001f,0xdfffff10,0x27ffffc4,0x7fffffec,
    0x7fffff41,0x7fffc000,0xffff10ff,0x3ffffaff,0xfffff31f,0x000007ff,
    0xffffff98,0xffb8003f,0xffffd6ff,0x3ffffe0b,0x3ffffe05,0x7fffe405,
    0x002fffff,0x5fffff80,0x7ffffc40,0x6ffffc86,0x20fffffe,0xc86fffff,
    0x7ffcc1cf,0x3fff64ff,0x7fff404f,0x3fe603ff,0x22006fff,0xf33fffff,
    0x0003ffff,0x7fffec40,0xfffb006f,0x7ffd43ff,0xffd006ff,0x33335fff,
    0xfff93333,0xfff07fff,0x98001fff,0x267fffff,0xffffffee,0x3ffe6eee,
    0xaaaabfff,0xaaaaaaaa,0x3fffa0aa,0x000000ff,0xfffffb80,0x3ffffe24,
    0x7ffffe44,0xffffe82f,0x999999af,0xfff99999,0xfff10fff,0x3fffafff,
    0xffff99ff,0x00004fff,0x7ffff440,0xf88005ff,0xffd0ffff,0x3ffe0bff,
    0x3ffe05ff,0x7fe405ff,0x01ffffff,0xfffff000,0xffffd00b,0xffffe81f,
    0x17ffff64,0x09fffff3,0x3ffe6015,0x3fff24ff,0x7ffdc03f,0x3ff206ff,
    0x6c003fff,0xff96ffff,0x40000dff,0xffffffe8,0xffff8801,0x7fffc46f,
    0xffe801ff,0xffffffff,0xffffffff,0xffff02ff,0xf88001ff,0xd80fffff,
    0xf00fffff,0xffffffff,0xffffffff,0x7f43ffff,0xeeeeffff,0xeeeeeeee,
    0x7fc40004,0x3e21ffff,0x3ee4ffff,0xd02fffff,0xffffffff,0xffffffff,
    0x1fffffff,0x5fffffe2,0xfafffffe,0x6fffffff,0x7ec00000,0x006fffff,
    0x47ffffb0,0xf05ffffe,0x7c0bffff,0x6405ffff,0x0effffff,0x3ffe0000,
    0xffc805ff,0x3fe21fff,0x3fee2fff,0x7ffdc7ff,0x7cc002ff,0x3f24ffff,
    0x7c402fff,0xd01fffff,0x001fffff,0x9fffffa8,0x003fffff,0xfffff300,
    0x3ee005ff,0xfd83ffff,0xe804ffff,0xffffffff,0xffffffff,0x3fe01fff,
    0x4000ffff,0x0ffffff8,0x0fffffd8,0xfffffff0,0xffffffff,0x43ffffff,
    0xfffffffe,0xffffffff,0x220005ff,0x44fffffe,0x54fffff8,0x07ffffff,
    0x7ffffff4,0xffffffff,0xffffffff,0xfffff10f,0x3fffffaf,0xffffffff,
    0x000004ff,0xfffffff9,0xfff70001,0xffffe8bf,0xbfffff05,0x2fffffc0,
    0x3fffff20,0x7c00000d,0xa805ffff,0x2e3fffff,0x7cc7ffff,0x3f21ffff,
    0x4000ffff,0x24fffff9,0x802ffffb,0x84fffffe,0x06fffff9,0xbfffff00,
    0x001fffff,0xfffff300,0x7f4005ff,0xf980ffff,0xe807ffff,0xffffffff,
    0xffffffff,0xff00cfff,0x0001ffff,0x03ffffff,0x01fffffb,0x3ffffffe,
    0xffffffff,0x21ffffff,0xfffffffe,0xffffffff,0xd10005ff,0x81ffffff,
    0x9cfffff8,0x04ffffff,0x7ffffff4,0xffffffff,0xffffffff,0xfffff10f,
    0x3fffffaf,0xffffffff,0x00001fff,0x7fffffd4,0xff88001f,0x7ff40fff,
    0xffff05ff,0x7fffc0bf,0x3ffe605f,0x00003fff,0x05fffff8,0x5fffff98,
    0x217ffff6,0x3a3fffff,0x8007ffff,0x24fffff9,0x801ffffa,0x86fffffb,
    0x03fffffb,0xfffff900,0x000bffff,0xffffff10,0x7fcc003f,0x3fe05fff,
    0x7402ffff,0xffffffff,0xffffffff,0xf83fffff,0x000fffff,0x1ffffff8,
    0x0fffffd8,0xfffffff0,0xffffffff,0x43ffffff,0xfffffffe,0xffffffff,
    0xe88005ff,0x83ffffff,0xfdfffff8,0x804fffff,0xfffffffe,0xffffffff,
    0xffffffff,0xffffff10,0x3ffffffa,0xffffffff,0x200006ff,0xfffffff9,
    0xfffd0003,0xffffd07f,0x3ffffe0b,0x3ffffe05,0xfffff705,0x000007ff,
    0x00bfffff,0xf9fffffe,0xfd83ffff,0xfff15fff,0xf3000bff,0x7cc9ffff,
    0xf8800fff,0x741fffff,0x000fffff,0xffffff30,0x00005fff,0x1dfffffd,
    0xffffc800,0x3fff202f,0x7ff406ff,0xeeeeefff,0xfffffffe,0x7fc4ffff,
    0x4000ffff,0x0ffffff8,0x0fffffd8,0xdffffff0,0xdddddddd,0x43dddddd,
    0xfffffffe,0xffffffff,0x744005ff,0x04ffffff,0xfffffff1,0x003fffff,
    0xddfffffd,0xdddddddd,0xffffffdd,0x3ffffe21,0xffffffd7,0xfff77fff,
    0x00007fff,0xffffffd1,0x3fee0009,0xfffd05ff,0x3fffe0bf,0x3fffe05f,
    0xffffc85f,0x0003ffff,0x5fffff80,0xfffffb00,0x3fffff31,0x2fffff70,
    0x03fffffa,0xfffff980,0x01fffe24,0x4fffffd8,0x17ffffe6,0xffffd000,
    0x0000ffff,0x1dfffff1,0xffff8800,0x3fe600ff,0x3a01ffff,0x800fffff,
    0xffffffa8,0x3ffffe1f,0x7fc4000f,0xffb07fff,0x3fe01fff,0x0000ffff,
    0x5fffffd0,0x33333333,0x44001333,0x5ffffffe,0x3ffffe20,0x5fffffff,
    0xfffffe80,0x7fffc000,0xffff10ff,0x3ffffaff,0x3fa4ffff,0x000fffff,
    0x7ffffec0,0xff30006f,0x3fa01fff,0xfff05fff,0x7ffc0bff,0xfffd85ff,
    0x003fffff,0xfffff800,0xffff7005,0xfffff75f,0x3ffffe60,0x1fffffb9,
    0xffff9800,0x1fffe24f,0xfffffa80,0x3ffffee7,0x7fdc0002,0x004fffff,
    0xfffffa80,0xfffb8000,0xffffffff,0xffffffff,0x3fffa04f,0x3a2000ff,
    0x3e5fffff,0x000fffff,0x37ffffcc,0x0fffffd8,0x1ffffff0,0x3ffa0000,
    0x00000fff,0xfffffd10,0xfff880bf,0xffffffff,0x7ff402ff,0x7c000fff,
    0xf10fffff,0x3fafffff,0x44ffffff,0x6ffffffa,0x3fff2000,0x0000efff,
    0x339ffffd,0xfffd3333,0x3e1333bf,0x3e05ffff,0xfd85ffff,0x3fffffff,
    0xfff80000,0xff3005ff,0xfffb9fff,0x7fffc0bf,0x7ffffdbf,0xffff3000,
    0x06fff89f,0x7fffffc0,0x0fffffd1,0xffff1000,0x00003fff,0x00bffff9,
    0x3fffffa0,0xffffffff,0x7fffffff,0x3fffffa0,0x7ffd4000,0x3fffe7ff,
    0x7d4000ff,0xfb05ffff,0x3e01ffff,0x000fffff,0xfffffd00,0xd1000001,
    0x09ffffff,0xffffff10,0xdfffffff,0xfffffe80,0x7fffc000,0xffff10ff,
    0x3ffffaff,0xfffb04ff,0x50007fff,0x3fffffff,0x3ffe6000,0xffffffff,
    0xffffffff,0xfffff3ff,0x7ffffc0b,0xffccfd85,0x00003fff,0x05fffff8,
    0x3bffffe0,0x203fffff,0xffdffffc,0x30005fff,0xe89fffff,0x7e4005ff,
    0xff8cffff,0x00004fff,0x0dfffffb,0x3fff6000,0xff98003f,0xffffffff,
    0xffffffff,0xfd02ffff,0x8001ffff,0x0ffffff8,0x01ffffff,0xfffffc80,
    0xfffffb03,0x3ffffe01,0xfd00000f,0x0001ffff,0xffffe880,0xff1004ff,
    0xf9dfffff,0x7407ffff,0x000fffff,0x87fffffc,0xd7fffff8,0x409fffff,
    0xfffffff8,0x3ffe6000,0x0002ffff,0x3fffffe6,0xffffffff,0x3fffffff,
    0x40bfffff,0xd85fffff,0x7fffff92,0xfff00000,0x7ec00bff,0xffffffff,
    0x3ffea01f,0x3fffffff,0xffff3000,0x04ffd89f,0x7ffffd40,0x2fffffbf,
    0xfff90000,0x200007ff,0x003ffffe,0xffffffc8,0xffffffff,0xffffffff,
    0xfffffd06,0xfff88001,0xffff1fff,0x7c4001ff,0xb02fffff,0x201fffff,
    0x00ffffff,0xffffd000,0xe800001f,0x03ffffff,0x3ffffe20,0xffff88ef,
    0xfffd00ff,0xff8001ff,0xff10ffff,0x3ffaffff,0x7e401fff,0x005fffff,
    0xfffffff1,0xff980009,0xffffffff,0xffffffff,0xffff3fff,0x7fffc0bf,
    0x3ff2085f,0x00003fff,0x05fffff8,0x3ffffee0,0x4407ffff,0xffffffff,
    0xf30001ff,0x9889ffff,0xfff80009,0xffffffff,0xff100007,0x0001ffff,
    0x02666620,0x3ffffe00,0xffffffff,0xffffffff,0xffe81fff,0x5c000fff,
    0x3e7fffff,0x000fffff,0x1ffffff6,0x0fffffd8,0x1ffffff0,0x3ffa0000,
    0x00000fff,0x3ffffff2,0x7ffc4003,0x3fee0fff,0xffd04fff,0xf8001fff,
    0xf10fffff,0x3fafffff,0x4401ffff,0x2fffffff,0xfffffe80,0xf980005f,
    0xffffffff,0xffffffff,0xfff3ffff,0x7ffc0bff,0x7fe405ff,0x00003fff,
    0x05fffff8,0x3ffffea0,0xe805ffff,0xffffffff,0x3fe60007,0x00004fff,
    0x7fffffe4,0x0004ffff,0xdfffff90,0x00000000,0xefffffa8,0x99999999,
    0xfffe9999,0xfffe84ff,0x3a2000ff,0x3e5fffff,0x000fffff,0x7ffffff7,
    0x7ffffe40,0xffffff00,0x3fa00001,0x0000ffff,0xffffff50,0xfff10009,
    0xfffd09ff,0xfffd03ff,0xff8001ff,0xff10ffff,0x3ffaffff,0xfa801fff,
    0x00ffffff,0x3ffffff2,0xf980000e,0xffffffff,0xffffffff,0xfff3ffff,
    0x7ffc0bff,0x7fe405ff,0x00003fff,0x05fffff8,0x3ffffe20,0xc802ffff,
    0xffffffff,0x3fe60005,0x3bb64fff,0x7cc004ee,0xffffffff,0xfb80001f,
    0x002fffff,0x3bbbb200,0x7ffec005,0xfb8003ff,0xfe87ffff,0x2200ffff,
    0xfffffc99,0x3fffe3ff,0xb99880ff,0xffffffff,0x3ffff200,0x3fe5baef,
    0x0000ffff,0x1fffffd0,0xfff10000,0x5557ffff,0x15555555,0x13ffffe2,
    0x17ffffea,0x03fffffa,0xffffff00,0x3ffffe21,0x3fffffd7,0x3ffffa00,
    0xfff505ff,0x0003ffff,0x7ff40000,0xffff05ff,0x7fffc0bf,0x7ffe405f,
    0xffffffff,0xffffffff,0xfffff04f,0xfffe800b,0x800fffff,0xfffffffa,
    0x3e60003f,0x3fe4ffff,0xe8005fff,0xffffffff,0xeef98006,0x6fffffff,
    0x7ff40000,0x3e2007ff,0x000fffff,0xffffff88,0x7fffff42,0xffffffff,
    0xffffffff,0x3fffe0ff,0xffffffff,0xffffffff,0x7fdc01ff,0x0fffffff,
    0xffffffff,0xffffffff,0x2fffffff,0x00fffffe,0xffffa800,0xffffffff,
    0x11ffffff,0x209fffff,0x42fffffd,0x00fffffe,0x7fffffc0,0xffffff10,
    0x07fffffa,0x7ffffcc0,0xfffb82ff,0xffffffff,0xffffffff,0x0006ffff,
    0x417ffffa,0x205fffff,0x405fffff,0xfffffffc,0xffffffff,0xf04fffff,
    0x800bffff,0xfffffffc,0xffff1006,0x0003ffff,0x27ffffcc,0x00bfffff,
    0xffffff70,0xf10007ff,0xffffffff,0xe800005f,0x2007ffff,0x05fffffb,
    0x3ffff600,0x7ffff46f,0xffffffff,0xffffffff,0x7fffc2ff,0xffffffff,
    0xffffffff,0xfff8803f,0xf1ffffff,0xffffffff,0xffffffff,0x3affffff,
    0x000fffff,0xfffffd80,0xffffffff,0xf11fffff,0x2609ffff,0x746fffff,
    0x000fffff,0x87fffffc,0xd7fffff8,0x003fffff,0x7fffffe4,0x7fffdc0f,
    0xffffffff,0xffffffff,0x20006fff,0xf05ffffe,0x7c0bffff,0x6405ffff,
    0xffffffff,0xffffffff,0xff04ffff,0xa800bfff,0x4fffffff,0x3ffffa00,
    0x4c0007ff,0x3e4fffff,0x8005ffff,0xfffffff8,0xfff0000f,0x09ffffff,
    0xfffd0000,0x7ff400ff,0x20002fff,0x1ffffffa,0x3ffffffa,0xffffffff,
    0x3fffffff,0xfffffff8,0xffffffff,0x002effff,0x3ffffff6,0xfffff2ff,
    0xffffffff,0xffffffff,0x3ffffaff,0x7c40000f,0xffffffff,0xffffffff,
    0xffff11ff,0x7ffe409f,0x3fffa3ff,0x7fc000ff,0xff10ffff,0x3ffaffff,
    0x22001fff,0x4fffffff,0x7fffffdc,0xffffffff,0xffffffff,0x3fa0006f,
    0xfff05fff,0x7ffc0bff,0x7fe405ff,0xffffffff,0xffffffff,0xffff04ff,
    0xff8800bf,0x002fffff,0x3fffffee,0x7fcc0006,0x3ffe4fff,0xfd0005ff,
    0x00dfffff,0x7fffff40,0x000003ff,0x00fffffd,0x1fffffe6,0x3fffe000,
    0x3fffa4ff,0xffffffff,0xffffffff,0xfffff02e,0xffffffff,0x007fffff,
    0x3ffffee0,0xfffff1ef,0xffffffff,0xffffffff,0x3ffffaff,0x7dc0000f,
    0xffffffff,0xffffffff,0xffff11ff,0x7ffc409f,0xfffd0fff,0xff8001ff,
    0xff10ffff,0x3ffaffff,0x5c001fff,0x1fffffff,0x3fffffee,0xffffffff,
    0xffffffff,0x3fa0006f,0xfff05fff,0x7ffc0bff,0x7fe405ff,0xffffffff,
    0xffffffff,0xffff04ff,0xffd000bf,0x4001ffff,0x4ffffff9,0x7ffcc000,
    0x3fffe4ff,0xff70005f,0x0007ffff,0x5e6f765c,0x3a000000,0xb007ffff,
    0x009fffff,0xfffff900,0x7fffff4f,0xffffffff,0x400bdeff,0xffffffff,
    0xceefffff,0xa980000b,0xfffff81a,0xffffffff,0xffffffff,0xfffffd7f,
    0xffd80001,0xffffffff,0xffffffff,0xfffff11f,0xffffb809,0xfffffd5f,
    0xffff8001,0xffff10ff,0x3ffffaff,0xffe8001f,0x3ee6ffff,0xffffffff,
    0xffffffff,0x06ffffff,0x3ffffa00,0xbfffff05,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99998000,0x99800009,0x01999999,0x4cccccc0,
    0x2e600199,0x4cc40abc,0x98800199,0x26661999,0x09999999,0x26662000,
    0x99999999,0x33300001,0x33333333,0x33333333,0x4cc13333,0x80019999,
    0x01999999,0x3bbbbbaa,0xeeeeeeee,0x99999984,0x26620001,0x3bb21999,
    0x80001eee,0xeeeeeee8,0xeeeeeeee,0xdd92eeee,0xec803ddd,0x77646eee,
    0x80001eee,0x99999998,0x20099999,0xe80cefb8,0xaaa8007f,0x3ba000aa,
    0x33314eee,0x33333333,0x33333333,0x02660003,0x000081d8,0x00440000,
    0x05fffff8,0xfffff800,0x3001ffff,0xffffffff,0xffffb00f,0x3fa1ffff,
    0x4002ffff,0x3e7ffffc,0xffffffff,0xdeffffff,0x7ffff403,0xffffffff,
    0x02ceffff,0xffffff10,0xffffffff,0xffffffff,0x7fffe4df,0x3ea003ff,
    0x205fffff,0xfffffffd,0x5fffffff,0xffffffc8,0xfff98002,0x3ff65fff,
    0x80001fff,0xfffffff9,0xffffffff,0xffb3ffff,0xfd803fff,0x7fec7fff,
    0x80001fff,0xfffffffd,0x303fffff,0x7dffffff,0x800dff93,0x00fffff8,
    0x57ffffe0,0xaaaaaaad,0xaaaaaaaa,0x801caaaa,0xfffffedb,0xf0bff62e,
    0x88000019,0xd70eeeee,0x7c039dff,0x0005ffff,0xfffffff8,0xff7003ff,
    0x0fffffff,0xffffffd8,0x3fffa7ff,0x32000fff,0x3fe7ffff,0xffffffff,
    0xffffffff,0xffffd03f,0xffffffff,0xdfffffff,0xffff8805,0xffffffff,
    0xffffffff,0x3fe26fff,0x000fffff,0x1ffffffd,0x7fffff40,0xffffffff,
    0xffff885f,0x74000fff,0x20ffffff,0x01fffffd,0xffff9800,0xffffffff,
    0x3fffffff,0x03fffffb,0x47ffffd8,0x01fffffd,0xffffd800,0xffffffff,
    0xfffffd03,0x9fffffff,0xffff8800,0x3ffe000f,0x000095ff,0x3fa201a8,
    0xffffffff,0x42fffdff,0x0001dfff,0x1fffff30,0x9ffffff7,0x2fffffc0,
    0x7fffc000,0x005fffff,0xfffffffb,0x7ffe40ff,0x25ffffff,0x4ffffffe,
    0x3ffff200,0x3fffffe7,0xffffffff,0x83ffffff,0xfffffffe,0xffffffff,
    0x03ffffff,0x3fffffe2,0xffffffff,0xffffffff,0x7fffd46f,0xffc805ff,
    0x2202ffff,0xffffffff,0x5fffffff,0xffffff50,0x7ffd4009,0x7fec3fff,
    0x80001fff,0xfffffff9,0xffffffff,0xffb3ffff,0xfd803fff,0x7fec7fff,
    0x80001fff,0xfffffffd,0xf03fffff,0xfffd99ff,0x8003ffff,0x00fffff8,
    0x57ffffe0,0x0d400004,0xffffffb8,0xffffffff,0xffff83ff,0x4c0003ef,
    0xffafffff,0x201fffff,0x005fffff,0xffffff80,0xff007fff,0xffffffff,
    0x7fffffc0,0x3fa4feef,0x01ffffff,0x4fffff90,0xffffffff,0xffffffff,
    0x743fffff,0xffffffff,0xffffffff,0x01ffffff,0xfffffff1,0xffffffff,
    0xffffffff,0xfffffb0d,0x7ffcc05f,0x7cc05fff,0xffffffff,0x05ffffff,
    0x3ffffff6,0xffff8801,0xfffd86ff,0x980001ff,0xffffffff,0xffffffff,
    0xfffb2fff,0xffd803ff,0x7ffec7ff,0xb80001ff,0xcccccccc,0xf881cccc,
    0x7ff5c44f,0xff88001c,0x3e000fff,0x0095ffff,0xfb81a800,0xffffffff,
    0x6fffffff,0xfffffff0,0xf300019f,0xffffffff,0xff80ffff,0x80005fff,
    0xffffffff,0x7fcc01ff,0x7fffffff,0xffffff10,0x3fffa083,0x9006ffff,
    0x7fcfffff,0xffffffff,0xffffffff,0x7ff47fff,0xffffffff,0xffffffff,
    0xf105ffff,0xffffffff,0xffffffff,0x0dffffff,0xdffffff1,0x7ffffec0,
    0x7ffdc00f,0xccccccff,0x2203cccc,0x05ffffff,0xffffffc8,0xfffffd81,
    0xcc880001,0xcccccccc,0xfffffccc,0x3fffff64,0x7fffec01,0x7ffffec6,
    0x00000001,0x02004cc0,0xffff8800,0x3ffe000f,0x000095ff,0x7ffc41a8,
    0xc99befff,0x1fffffff,0xfffffff8,0x2001dfff,0xfffffff9,0x404fffff,
    0x005fffff,0xffffff80,0x5c04ffff,0xffffffff,0xffff307f,0xfffe80bf,
    0x803fffff,0x3e7ffffc,0x100fffff,0xffffffb3,0x7ffff47f,0xffd8800f,
    0x001fffff,0xdfffff10,0x7ffd4000,0xffa83fff,0xc803ffff,0x0005ffff,
    0x3ffffee0,0x3ffe202f,0xffb04fff,0x00003fff,0x3fff2000,0x7fffec6f,
    0xbff1001f,0x1fffffd8,0x00000000,0x88000000,0x000fffff,0x80000900,
    0x7fffec1a,0xffff104f,0xfffb0bff,0xffffffff,0xfff3005d,0x2619ffff,
    0x7fffc01c,0xff80005f,0xffffffff,0x7fffec06,0x307fffff,0x807fffff,
    0xfffffffe,0x7fe400ff,0x3fffe7ff,0xff9800ff,0x3fa5ffff,0x2000ffff,
    0x3ffffffa,0xffff1000,0xfd8000df,0x220fffff,0x06ffffff,0x09ffffd0,
    0xfffe8000,0x3ff606ff,0x3f606fff,0x0001ffff,0xfffa8000,0x7ffec0ff,
    0xff7001ff,0xfffffd89,0x00000001,0x004c4000,0xfffff100,0x01200001,
    0x7d435000,0xd105ffff,0x5fffffff,0xffffd710,0x7fffffff,0x3fffe601,
    0xff0006ff,0x2620bfff,0xfffff800,0x00fffffd,0x3f7ffffe,0xff307fff,
    0xfe807fff,0xffffffff,0x7fffe405,0x3fffffe7,0xffffb000,0x7ffff4df,
    0x7ffc000f,0x10004fff,0x00dfffff,0xfffff880,0x3ffff25f,0xfff001ff,
    0x800005ff,0x4ffffff9,0xffffffa8,0x3ffff601,0x0000001f,0x17ffff44,
    0x0fffffec,0x6c2ffd80,0x001fffff,0xeeeed800,0x3bbbba04,0x3fffb261,
    0xcccc81df,0xffffcccc,0xcccccccf,0x00012004,0x7ffe4350,0xfffb01ff,
    0x80bfffff,0xffffffc9,0x41cfffff,0x1ffffff9,0xfffff000,0x7fff64cb,
    0xffff01de,0x5ffffd9f,0x3bfffe60,0x2a7ffffc,0xfffffeee,0x7f44eeee,
    0xffffffff,0x3fff201f,0x3ffffe7f,0xfff5000f,0x7fff4fff,0x7e4000ff,
    0x0004ffff,0x0dfffff1,0xffff7000,0xffff35ff,0x3e2009ff,0x0001ffff,
    0xfffffc80,0x7ffff40f,0x7ffec04f,0x000001ff,0x2ffffe40,0x1fffffd8,
    0x42fff4c0,0x01fffffd,0xffff8000,0x3fffe05f,0xfffff72f,0xff87ffff,
    0xffffffff,0xffffffff,0x09000fff,0x361a8000,0xf906ffff,0xffffd3ff,
    0x3fae200d,0xffffffff,0xffff31ef,0x7fc000ff,0xfff55fff,0x05ffffff,
    0xf99fffff,0x3ee09fff,0xfffccfff,0x3fffee7f,0xffffffff,0x7fffff45,
    0x206fffff,0x3e7ffffc,0x000fffff,0x4ffffff3,0x00fffffe,0x7ffffec0,
    0xfff10003,0x20000dff,0xeffffffe,0x006fffff,0x2bffffea,0x02ceffeb,
    0xfffff100,0x7fffdcbf,0x7fec00ff,0x00001fff,0x3fffea00,0xffffb00f,
    0x7ffc403f,0xffffd80f,0xf800001f,0x3e05ffff,0xffcaffff,0xffffffff,
    0x3ffffe4f,0xffffffff,0xffffffff,0x00009000,0x3fffe1a8,0x2fffb85f,
    0x00fffffb,0xfffff930,0x3e69ffff,0x0006ffff,0x33bffffe,0xffffffff,
    0x7ffc3fff,0xffffacff,0x5ffffd06,0x5cfffff9,0xffffffff,0x7f45ffff,
    0xffffefff,0xfff903ff,0x7ffffcff,0xfff7000f,0x7fff4dff,0x7fc000ff,
    0x0002ffff,0x0dfffff1,0x3ffe6000,0xffffffff,0x3ff2001f,0xffffffff,
    0x8000dfff,0xaffffffa,0x2ffffff8,0xfffffd80,0x20000001,0x203ffffe,
    0x01fffffd,0xfd806fe4,0x0001ffff,0x5fffff80,0x3bffffe0,0xffffffff,
    0xff0fffff,0xffffffff,0xffffffff,0x12001fff,0x22350000,0x544fffff,
    0x3ff23fff,0x20001fff,0xffffffda,0xbfffff34,0x7fffc000,0xffffffff,
    0x47ffffff,0xf8cfffff,0x7c40ffff,0xffc8ffff,0x3ffee7ff,0xffffffff,
    0x7ffff45f,0xffffffbd,0x7ffffc80,0x03fffffe,0x7fffff40,0x3fffffa4,
    0xfffb1000,0x20001fff,0x06fffff8,0x3ffee000,0x4fffffff,0x7fffec00,
    0xffffffff,0xd8001fff,0xfdefffff,0xb005ffff,0x403fffff,0x002ccccc,
    0x1fffff50,0x7ffffec0,0x3600c401,0x001fffff,0xfffff800,0x3ffffe05,
    0xda9adfff,0xf3ffffff,0xffffffff,0xffffffff,0x2001ffff,0x8d400004,
    0x24fffff8,0x7dc5fff9,0x0001ffff,0x3ffffee2,0xfffff34f,0x7ffc0009,
    0x9acfffff,0xffffffda,0x53ffffe2,0x542ffffe,0xff96ffff,0x77754fff,
    0xeeefffff,0x7ffff44e,0xbfffffd5,0x4fffff90,0x00ffffff,0x7fffff44,
    0x3ffffa2f,0xaaaaaabf,0xfffffcba,0x220004ff,0x006fffff,0x7ffff400,
    0x000fffff,0x7ffffffc,0xffffffff,0x7c4000ef,0xffffffff,0xfb000fff,
    0x2203ffff,0x005fffff,0x0bffffd0,0x1fffffd8,0xfffd8000,0x800001ff,
    0x205fffff,0x2fffffff,0x9fffffd0,0x3bbbbbb6,0xeefffffe,0x00eeeeee,
    0xa8000090,0x57ffffe1,0xfc85fff8,0x50007fff,0xfffffffb,0x3fffe69f,
    0x3fe0004f,0xb02fffff,0x7c9fffff,0xff94ffff,0xfffc89ff,0xfffff94f,
    0x3ffffe60,0x7ffff403,0xffffff35,0x7ffffc85,0x2ffffffe,0xfecccaaa,
    0x0fffffff,0x3ffffffa,0xffffffff,0xffffffff,0x3fe20000,0x00006fff,
    0x7fffffcc,0x7c4002ff,0xbdffffff,0xffffffec,0xfffb8004,0x3fffffff,
    0x3ffff600,0xffff101f,0xff3000bf,0xfd803fff,0x0001ffff,0x1fffffd8,
    0xfff80000,0x3ffe05ff,0x3e604fff,0x8805ffff,0x000fffff,0x80000900,
    0x3ffffa1a,0x80effe8f,0x006ffffd,0x3fffff22,0x33ffffff,0x009fffff,
    0x7fffffc0,0x3fffe204,0x3ffffe5f,0x8fffff54,0xf92ffffe,0x3e60ffff,
    0x7403ffff,0x3f65ffff,0x7e46ffff,0x3ffe7fff,0xffffffff,0xffffffff,
    0x7fff43ff,0xffffffff,0xffffffff,0x440000df,0x006fffff,0xffffe800,
    0xf98006ff,0xf704ffff,0x003fffff,0xffffffd0,0xfd800dff,0xf101ffff,
    0x000bffff,0x00dffffb,0x03fffffb,0xffffb000,0xf000003f,0x7c0bffff,
    0x200fffff,0x05fffff8,0x0fffff88,0x00090000,0x3ff21a80,0x0fffefff,
    0x5fffff88,0xffffda80,0xbfffffff,0x3ffffe60,0x3ffe0004,0x7fc00fff,
    0x3ffe6fff,0xffff14ff,0x3fffe23f,0xfffff90f,0x3ffffe60,0x7ffff403,
    0x3ffffe25,0x3ffff24f,0x3fffffe7,0xffffffff,0x84ffffff,0xfffffffe,
    0xffffffff,0x0003ffff,0xdfffff10,0xffb80000,0x02ffffff,0x02ca9880,
    0x27ffffec,0x7fffcc00,0x4001ffff,0x01fffffd,0x0bfffff1,0xfffff980,
    0xffffd803,0xfd80001f,0x0001ffff,0x5fffff80,0x1fffffe0,0x1bffffe0,
    0x3ffffe20,0x3bbba000,0x8000094e,0x3fffea1a,0xf901ffff,0x2607ffff,
    0xfffffffc,0x302effff,0x007fffff,0x3fffffc0,0x37ffffc0,0x749fffff,
    0xff53ffff,0x7ffe4dff,0xffff307f,0xfffe807f,0x7fffdc5f,0xffff91ff,
    0x7fffffcf,0xffffffff,0xd05fffff,0xffffffff,0xffffffff,0x88000037,
    0x006fffff,0x3fffe200,0x00ffffff,0x7fcc0000,0x90005fff,0x09ffffff,
    0xfffffb00,0x3fffe203,0x7fe4005f,0xfd800fff,0x0001ffff,0x1fffffd8,
    0xfff80000,0x3ffe05ff,0xfff806ff,0xff8806ff,0x3e000fff,0x0095ffff,
    0x7f41a800,0x502fffff,0x70dfffff,0xfffffffd,0x803bffff,0x03fffff9,
    0x3ffffe00,0xfffff806,0x93ffffe6,0xf95ffffc,0x7fe49fff,0xfff307ff,
    0xffe807ff,0xfffe85ff,0xffff95ff,0x7fffffcf,0xffffffff,0x3a01dfff,
    0xcabfffff,0xffffffec,0xf8800005,0x0006ffff,0x3fffffa0,0x005fffff,
    0xffff8000,0xff10006f,0x0001ffff,0x03fffffb,0x004ccccc,0x17ffffe0,
    0x7ffffec0,0xffd80001,0x00001fff,0x05fffff8,0x01bffffe,0x01bffffe,
    0x03ffffe2,0x5fffff80,0x1a800009,0x7fffffcc,0xffd988bd,0xff81ffff,
    0xffffffff,0xff3000cf,0x40007fff,0x806fffff,0x3e6ffffe,0x3ea4ffff,
    0xfffd7fff,0x7fffe45f,0xfffff307,0xffffe807,0xfffff985,0x7ffffcaf,
    0x33fffffe,0xaccccccc,0xfffe800a,0xfffb80ff,0x0001efff,0x3ffffe20,
    0xff700006,0xffffffff,0x000005ff,0x07ffffe8,0x3ffffe00,0xfffb0007,
    0x000003ff,0x0fffffcc,0xfffffd80,0xffd80001,0x00001fff,0x05fffff8,
    0x017ffffe,0x01bffffa,0x03ffffe2,0x5fffff80,0x1a800009,0xffffffd8,
    0xffffffff,0xffff04ff,0x007dffff,0x7fffff30,0x7fffc000,0xfffe805f,
    0x3ffffe6f,0x3ffffe24,0x20fffffa,0x307ffffc,0x807fffff,0x905ffffe,
    0xfbffffff,0x7ffcffff,0x00000fff,0x03fffffa,0x7fffffd4,0xf100001f,
    0x000dffff,0xffffff10,0xffffffff,0x74000001,0x0007ffff,0x01fffffe,
    0x7ffffec0,0x2e000001,0x2006ffff,0x01fffffd,0xffffd800,0xf800001f,
    0x3e05ffff,0xe805ffff,0x8806ffff,0x000fffff,0x257ffffe,0x306a0000,
    0xffffffff,0xffffffff,0x7ffffc09,0x260002df,0x003fffff,0x17ffffe0,
    0x9bffffa0,0x744fffff,0xfffeffff,0x7fffe46f,0xfffff307,0xffffe807,
    0xfffff105,0x4fffffff,0x00ffffff,0x3fffa000,0x3ff200ff,0x000effff,
    0xfffff880,0xffd80006,0xffaaffff,0x4005ffff,0xfff80198,0x3e0006ff,
    0x0007ffff,0x03fffffb,0x7ff40000,0x3f6004ff,0x0001ffff,0x1fffffd8,
    0xfff80000,0x3ffe05ff,0xffe805ff,0x999006ff,0x7fc00199,0x00094fff,
    0x3fa21a80,0xffffffff,0x01efffff,0x0067fffc,0x7fffcc00,0x3fe0003f,
    0xfe805fff,0x3ffe6fff,0x7ffe44ff,0x44ffffff,0x307ffffc,0x807fffff,
    0x205ffffe,0xfffffffa,0x3ffe7fff,0x00000fff,0x03fffffa,0xffffffd0,
    0xff10000b,0x8000dfff,0x5ffffffa,0x3ffffff6,0x7fffec02,0x7fffc407,
    0x3fe0005f,0xb0007fff,0x003fffff,0x3ffe2000,0x3f6002ff,0x0001ffff,
    0x1fffffd8,0xfff80000,0x3ffe05ff,0xffe805ff,0x000006ff,0x049ffd40,
    0xfb0d4000,0xfff911df,0x019dffff,0x00017df0,0x7ffffcc0,0x3ffe0003,
    0xffe805ff,0x3fffe6ff,0x7fffd44f,0x642fffff,0xf307ffff,0xe807ffff,
    0x6c05ffff,0xffffffff,0x3ffffe7f,0x3a00000f,0x400fffff,0xfffffff8,
    0x7fc40002,0x20006fff,0xfffffff8,0x3ffffe20,0x3ff600ff,0x3f203fff,
    0x0003ffff,0x01fffffe,0x7ffffec0,0xf5000001,0x4001ffff,0x01fffffd,
    0xffffd800,0xf800001f,0x3e05ffff,0xe805ffff,0x5556ffff,0x55555555,
    0x55555555,0x4bff2055,0x0d400004,0x53303fb1,0x00500035,0x00000000,
    0x02fffffc,0xf37ffff4,0xf889ffff,0xffffffff,0x3ffffe40,0x3fffff98,
    0x2fffff40,0x3ffffe20,0x3fe7ffff,0x0000ffff,0x3fffffa0,0xffffb800,
    0x20000fff,0x06fffff8,0x3ffff600,0xfffb83ff,0x3ee04fff,0x980effff,
    0x00ffffff,0x3ffffe00,0xfffb0007,0x000003ff,0x01ffffee,0x3fffffb0,
    0xfffb0000,0x000003ff,0x40bfffff,0x805fffff,0xff6ffffe,0xffffffff,
    0xffffffff,0xfff01fff,0x50000121,0x00000303,0x00000000,0x3fffe000,
    0xfffe805f,0x3ffffe6f,0xfffffe84,0xfffc86ff,0xffff307f,0xfffe807f,
    0xfffb805f,0x3e7fffff,0x000fffff,0x3ffffa00,0xfffb000f,0x4000bfff,
    0x06fffff8,0xfffff500,0x7fff40df,0xff102fff,0x339fffff,0x7ffffff7,
    0xffff8000,0xffb0007f,0xffffffff,0xffffffff,0x7fe405ff,0x7ec005ff,
    0xffffffff,0xffffffff,0xfffb2fff,0xffffffff,0xffffffff,0x3fffe05f,
    0x3fffe05f,0xfffe805f,0xffffff6f,0xffffffff,0x1fffffff,0x091fff54,
    0x001a8000,0x00000000,0x20000000,0x805fffff,0x3e6ffffe,0xfc84ffff,
    0x84ffffff,0x307ffffc,0x807fffff,0x005ffffe,0xfffffffd,0x7fffffcf,
    0x3fa00000,0x1000ffff,0x5fffffff,0x3ffe2000,0xf88006ff,0x01ffffff,
    0x3fffffe6,0xffff500f,0xffffffff,0x0000dfff,0x00ffffff,0x3fffff60,
    0xffffffff,0x2fffffff,0x13ffff60,0xfffffb00,0xffffffff,0x5fffffff,
    0x3ffffff6,0xffffffff,0x02ffffff,0x40bfffff,0x805fffff,0xff6ffffe,
    0xffffffff,0xffffffff,0x3fea1fff,0x66666c6f,0xcccccccc,0xdccccccc,
    0x00000001,0x00000000,0x3ffffe00,0xffffe805,0x13ffffe6,0x3fffffea,
    0xffffc82f,0xfffff307,0xffffe807,0xffff3005,0x7ffcffff,0x00000fff,
    0x03fffffa,0xfffffb80,0xff10006f,0xb000dfff,0x09ffffff,0xffffff90,
    0x7fffe409,0xffffffff,0xf80000df,0x0007ffff,0xfffffffb,0xffffffff,
    0x405fffff,0x004ffffe,0x7fffffec,0xffffffff,0xb2ffffff,0xffffffff,
    0xffffffff,0x3e05ffff,0x3e05ffff,0xe805ffff,0xfff6ffff,0xffffffff,
    0xffffffff,0x067f41ff,0x00000000,0x00000000,0x20000000,0x805fffff,
    0x3e6ffffe,0xf884ffff,0x80ffffff,0x307ffffc,0x807fffff,0x005ffffe,
    0x3ffffff6,0x3fffffe7,0x3fa00000,0x4000ffff,0x4ffffffd,0xffff8800,
    0x7fd4006f,0x2006ffff,0x2ffffffe,0x3ffffee0,0x04ffffff,0x3fffe000,
    0xffb0007f,0xffffffff,0xffffffff,0x7ffc05ff,0x7ec003ff,0xffffffff,
    0xffffffff,0xfffb2fff,0xffffffff,0xffffffff,0x3fffe05f,0x3fffe05f,
    0xfffe805f,0xffffff6f,0xffffffff,0x1fffffff,0x000000d4,0x00000000,
    0x00000000,0xfffff800,0xffffe805,0x13ffffe6,0x37fffff4,0x07ffffc8,
    0x07fffff3,0x05ffffe8,0x3ffffe20,0x3ffffe7f,0x3a00000f,0x000fffff,
    0x7fffffc4,0x7fc4001f,0x22006fff,0x1fffffff,0x3fffe600,0x32200fff,
    0xdfffffff,0x7fc00002,0xb0007fff,0xffffffff,0xffffffff,0x2205ffff,
    0x003fffff,0x7fffffec,0xffffffff,0xb2ffffff,0xffffffff,0xffffffff,
    0x3e05ffff,0x3e05ffff,0xe805ffff,0x0006ffff,0x00000000,0x00000000,
    0x00000000,0xffff8000,0xfffe805f,0x3ffffe6f,0xfffff904,0x3ffff209,
    0xfffff307,0xffffe807,0x7ffdc005,0x3fffe7ff,0x200000ff,0x00fffffe,
    0xfffffb80,0x7fc4006f,0x32006fff,0x04ffffff,0xfffffc80,0x5753004f,
    0x7c000001,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000cc4,0x31000001,0x4c400003,0x00000999,
    0x00003331,0x00000988,0x3000ccc4,0x00000013,0x4c400080,0x40000001,
    0xe8800198,0xe803eeee,0xdd34eeee,0x20005ddd,0x2a000098,0x002fffff,
    0x40013000,0x77440098,0xee803eee,0xdddb4eee,0x2aa2009d,0xdd7002aa,
    0x22005ddd,0xd74eeeee,0xea80bddd,0x2201eeee,0x2a3eeeee,0xeeeeeeee,
    0xeeeeeeee,0x3bbb622e,0x776405ee,0x1000deee,0xdfffffd5,0x3fb6a039,
    0x000cefff,0xffffd930,0xa80019ff,0xfffffffd,0x322001ce,0xfffffffe,
    0xfdb8001d,0x003defff,0xfffffc88,0x3220ceff,0x2dfffffe,0x2a000000,
    0x7f5c404e,0x03ceffff,0x017bbbb6,0xfffffd51,0xff10079d,0xff009fff,
    0x3fe6bfff,0x3bba3fff,0x3fb261ee,0x4001dfff,0x02fffffa,0x4bdddd50,
    0xcefffdb8,0xfffec881,0xfff881ce,0xfff804ff,0xfffff5ff,0x3ffea00b,
    0xfff3006f,0x3ee00bff,0xff52ffff,0x7ec01fff,0x2a03ffff,0x2e1fffff,
    0xffffffff,0xffffffff,0x7fffdc3f,0xfff503ff,0x2a005fff,0xffffffff,
    0x3f20cfff,0xffffffff,0x7fe4003f,0xffffffff,0xffe9804f,0xffffffff,
    0xffc802ff,0xffffffff,0xe9800eff,0xffffffff,0xff9001ef,0xffffffff,
    0xffff79ff,0x1dffffff,0x2e200000,0x3ea04fff,0xffffffff,0xffe80dff,
    0x3fea06ff,0xffffffff,0x3fe200df,0xff804fff,0xfff35fff,0x7fffc7ff,
    0xfffff72f,0x4007ffff,0x02fffffa,0x2dffff50,0xffffffe9,0x3ffe61ff,
    0x42ffffff,0x04fffff8,0xf5fffff8,0x200bffff,0x006ffffa,0x03fffffa,
    0x9fffffa0,0x03fffff8,0x17fffffe,0x47ffffc8,0xfffffffb,0xffffffff,
    0xfffd83ff,0x7fc40fff,0x9005ffff,0xffffffff,0xd7dfffff,0xffffffff,
    0x300bffff,0xfffffffd,0x09ffffff,0x7fffffc4,0xffffffff,0x3fff203f,
    0xffffffff,0x2e00efff,0xffffffff,0x403fffff,0xfffffffc,0xffffffff,
    0xffffffff,0x0001ffff,0x3ffff260,0xffff904f,0xffffffff,0xfffe87ff,
    0xffffb06f,0xffffffff,0x3fe207ff,0xff804fff,0xfff35fff,0x7fffc7ff,
    0xfffffcaf,0x04ffffff,0x5fffff50,0x3fffea00,0xffffffae,0xfa9fffff,
    0xffffffff,0x3ffe21ff,0xfff804ff,0xfffff5ff,0x3ffea00b,0x3fee006f,
    0x7cc03fff,0x7ec4ffff,0xff305fff,0x7c0fffff,0x7dc4ffff,0xffffffff,
    0xffffffff,0xfffff883,0x7fffec5f,0xffc800ef,0xffffffff,0xffffffff,
    0xffffffff,0x7403ffff,0xffffffff,0x4fffffff,0xffffffd0,0xffffffff,
    0xfff501ff,0xfffdffff,0x20bfffff,0xfffffff9,0xffffffff,0xfffff702,
    0xffffffff,0xffffffff,0xffffffff,0xfea80001,0x84ffffff,0xfffffffc,
    0xffffffff,0x3ffffa3f,0xfffffc86,0xffffffff,0xff882fff,0xff804fff,
    0xfff35fff,0x7fffc7ff,0xffffffef,0x0fffffff,0xfffffa80,0xffff5002,
    0xffffffff,0xffffffff,0xffffffff,0x3fe21dff,0xff804fff,0xffff5fff,
    0x3fea00bf,0x3e2006ff,0x6406ffff,0x5c0fffff,0xf707ffff,0x03ffffff,
    0x85fffff3,0xfffffffb,0xfffffeef,0xfff502ff,0x3fea5fff,0x9801ffff,
    0xdfffffff,0xfffffecc,0x21efffff,0x1fffffe9,0xffffff70,0xfffd935b,
    0xff981fff,0x999befff,0x2ffffffb,0x1effffe8,0x7ffffdc4,0xffffe80f,
    0xffc99adf,0xffd06fff,0x9535bfff,0xffffffff,0xffb7359f,0x10009fff,
    0xfffffff7,0xffa89fff,0xbbdfffff,0xfffffffd,0x8dffffd0,0xfffffffa,
    0xffffdbbd,0x7fc40fff,0xff804fff,0xfff35fff,0x7fffc5ff,0xa9adffff,
    0x3ffffffd,0xeeeee980,0xffff5002,0xb337dfff,0xffffffff,0xfff9337d,
    0x3fe25fff,0xff804fff,0xffff5fff,0x3fea00bf,0x7e4006ff,0x3e01ffff,
    0xf885ffff,0xfd81ffff,0x83ffffff,0x007ffffb,0x3fffff60,0x7ffe403f,
    0xffff8fff,0xffd003ff,0xf503dfff,0xdfffffff,0x3ffffa01,0xfffff885,
    0xffffb02f,0xffffd87f,0xffff701f,0xfffff09f,0x77ffdc03,0x7fffd41c,
    0xffff504f,0xffffa85f,0xffff504f,0x3f605fff,0x3001ffff,0xfffffff9,
    0xf85fffff,0x80efffff,0x5fffffe9,0xf8bffffd,0x80efffff,0x5fffffe9,
    0x27ffffc4,0x2fffffc0,0xfff0ffe4,0x3a05ffff,0x004fffff,0xfffa8000,
    0xffd06fff,0xb01fffff,0x227fffff,0x804fffff,0xff5fffff,0x2a00bfff,
    0x4006ffff,0x04fffff9,0x05fffff5,0x213ffffa,0xffffffff,0x5ffffe86,
    0xffffb000,0xfd1009ff,0xffffffff,0x3e200dff,0x200fffff,0xfffffffa,
    0x3fffe601,0x7fffdc0f,0x3ffe604f,0xdba884ff,0x3fffe203,0x7fffc44f,
    0x200d404f,0x00fffffe,0x41bffff2,0x7fc05ca9,0x7405ffff,0x5403ffff,
    0xfffffffd,0xa82dffff,0x406fffff,0x2ffffff8,0xffa93fe6,0x7c406fff,
    0x222fffff,0x804fffff,0xe85fffff,0x3fffe0ff,0x3fe604ff,0x00005fff,
    0xfffffa80,0xffff700f,0x3fea05ff,0xfff14fff,0xfff009ff,0x3fffebff,
    0xfff5005f,0xffd000df,0x3ff60fff,0x3fee07ff,0x7ffcc6ff,0x20ffffff,
    0x02fffff8,0xfffffc80,0x3fe6005f,0xffffffff,0xfff5000f,0xffb007ff,
    0xfd00ffff,0xffd85fff,0x5dc00fff,0xf1000009,0xff0bffff,0x159fffff,
    0xffff8800,0x7ffcc04f,0x740000ff,0x402fffff,0x886ffffc,0xffffffeb,
    0x00beffff,0x0bfffff6,0x3ffffee0,0xfd8ffee4,0xb802ffff,0x224fffff,
    0x804fffff,0x4c5fffff,0x7fffc6ff,0x3fe200ff,0x99995fff,0x99999999,
    0x99999999,0x7ffffd49,0x3fffe605,0x3ffe607f,0xffff14ff,0xffff009f,
    0x3ffffebf,0x99999915,0x9fffffb9,0x07999999,0x85fffff7,0x04fffff8,
    0x83ffffe6,0xffdffffb,0x3ffea2ff,0x7dc000ff,0x006fffff,0xffffffb8,
    0x32002fff,0x800fffff,0x06fffffa,0x44ffffd8,0x006ffffe,0x36e60000,
    0x85ffffff,0xfffffffd,0x9801beff,0x403fffff,0x01fffff8,0x7ffedcc0,
    0x5400ffff,0x320fffff,0xffffffff,0xf001cfff,0x200fffff,0x25fffff8,
    0x3ffe1ffe,0xff1007ff,0x7fc4bfff,0xff804fff,0x3fa65fff,0x7ffffc1f,
    0xfffff807,0xfffffff6,0xffffffff,0x54ffffff,0x203fffff,0x05fffff9,
    0x53ffffe2,0x04fffff8,0xf5fffff8,0x3e6bffff,0xffffffff,0xffffffff,
    0xff885fff,0x7fdc5fff,0x7f401fff,0x3ff62fff,0x4ffff9ff,0x017ffff2,
    0xffffff50,0x3fa0001d,0x05ffffff,0x3fffff40,0xfffff980,0xeeeeeeef,
    0x45fffffe,0x006fffff,0xfd951000,0xffffffff,0xffff30bf,0xffffffff,
    0x3fea03bf,0xeeeeefff,0xffffeeee,0x7ee5402f,0xffffffff,0xeeeeeeff,
    0xfffffeee,0x3fffffe0,0x4002dfff,0x06fffff8,0x3fffffe0,0x3e25ffe9,
    0x2006ffff,0x227fffff,0x804fffff,0xdadfffff,0xfff84fff,0xfff806ff,
    0xfffff6ff,0xffffffff,0xffffffff,0x1fffffd4,0x9fffff30,0x7ffffc40,
    0x9fffff14,0xbfffff00,0x4d7ffffe,0xffffffff,0xffffffff,0xf905ffff,
    0x7f41ffff,0xfc805fff,0x3ffe5fff,0x4dffff5f,0x002fffff,0x3fffffe6,
    0x3e20001f,0x00ffffff,0x37ffffc0,0xfffff880,0xffffffff,0x26ffffff,
    0x05fffff8,0x7fec4000,0xffffffff,0xf505ffff,0xffffffff,0x81bfffff,
    0xfffffffb,0xffffffff,0xb883ffff,0xffffffff,0xffffffff,0xffffffff,
    0x3e1fffff,0x0bffffff,0xffff3000,0x7ff400bf,0x0fffffff,0x17ffffe6,
    0xfffffe80,0xbfffff10,0xfffff880,0xf03fffff,0xf00dffff,0x3fedffff,
    0xffffffff,0xffffffff,0x3ffea7ff,0x3fe602ff,0x3e204fff,0xff14ffff,
    0xf880bfff,0xfff5ffff,0x3ffe6bff,0xffffffff,0xffffffff,0xffff305f,
    0x3fffe67f,0xfff9802f,0x7ffff37f,0x263ffff2,0x000fffff,0xfffffff1,
    0xffa80003,0x004fffff,0x1bffffe2,0x7ffffc40,0xffffffff,0x26ffffff,
    0x05fffff9,0x3ffe6000,0xdeffffff,0x205fffff,0xffffffda,0xefffffff,
    0x3fffff20,0xffffffff,0x44ffffff,0xfffffff9,0xffffdfff,0xffffffff,
    0xffffffff,0x3fffffe1,0xf30000be,0x4009ffff,0xfffffffe,0x7fffcc0c,
    0x3ffa004f,0xfff10fff,0xff880bff,0x0bdfffff,0x17ffffe0,0x5bffffa0,
    0xffffffff,0xffffffff,0x3ea7ffff,0x2602ffff,0x203fffff,0x14fffff8,
    0x80bfffff,0xf5fffff8,0x3e6bffff,0xffffffff,0xffffffff,0x3fa05fff,
    0xfff95fff,0x7ffc00ff,0xffffb9ff,0x75ffff51,0x200bffff,0xffffffe8,
    0x7fc40002,0x2fffffff,0x3ffffe00,0xfff9800f,0xeeeeefff,0xeeeeeeee,
    0x37ffffc5,0xfffa8000,0x20bdffff,0x805fffff,0xfffffec9,0x25ffffff,
    0xeefffffb,0xeeeeeeee,0x3a23eeee,0xbeffffff,0x3fffffa1,0xeeeeeeee,
    0x21eeeeee,0xffffffff,0x7c4001cf,0x2005ffff,0x0dffffff,0xbfffff10,
    0x7ffffc00,0x3ffffe27,0x7fffc405,0x3ffe005f,0xffe805ff,0xddddb6ff,
    0xdddddddd,0xdddddddd,0x17ffffd4,0x7fffff30,0x7ffffc40,0xbfffff14,
    0xfffff880,0x2bfffff5,0xeeeeeee9,0xeefffffe,0x204eeeee,0xe8fffffb,
    0x2004ffff,0xfecffffc,0x3ffe27ff,0x3ffffecf,0xfffffb00,0xfb00007f,
    0xffffffff,0x3ff6001f,0xfa802fff,0x0005ffff,0x0fffffd0,0xffe80310,
    0x3fe03fff,0x44005fff,0xffffffda,0x3ffea7ff,0xc80002ff,0x01efffff,
    0x01fffffd,0xffffd000,0x7dffffff,0x3fffe001,0x3ffe007f,0xfff806ff,
    0x3fe006ff,0x7ffc5fff,0x7fd406ff,0x3e005fff,0xe805ffff,0x0006ffff,
    0xffffa800,0x3ffe602f,0x3fe203ff,0x3ffe4fff,0x7fd406ff,0xffff5fff,
    0x3fea00bf,0x220006ff,0xffcfffff,0x2a001fff,0xfffeffff,0x77fff45f,
    0x800fffff,0x4ffffffc,0xfffb8000,0xffffffff,0xffff9005,0xfffb009f,
    0x20000fff,0x01fffffd,0x85ef7fe4,0x05fffff8,0x17ffffe2,0xfff93000,
    0x3fe63fff,0x80003fff,0x407ffffe,0x01ffffff,0xfffb3000,0xffffffff,
    0xfffe8039,0xffb801ff,0xfe804fff,0xa801ffff,0x7c4fffff,0x6407ffff,
    0x005fffff,0x017ffffe,0x01bffffa,0x3fea0000,0x3e602fff,0x2203ffff,
    0x3e4fffff,0x6407ffff,0xff5fffff,0x2a00bfff,0x0006ffff,0x7fffffe4,
    0xf8006fff,0xffffffff,0x7ffffe43,0xfb806fff,0x005fffff,0xfffff980,
    0xffffffcf,0xffffa802,0x3fe600ff,0x202fffff,0x409bcef9,0x04fffffc,
    0x53fffff4,0x405fffff,0x45fffff9,0x00ffdcb9,0x8fffffe4,0x06fffff8,
    0x204de764,0x204fffff,0x4ffffff8,0x04d676c0,0xfffff910,0x7dffffff,
    0xfffff701,0xfffff00d,0xfff7005f,0xffd00dff,0xfff85fff,0xff703fff,
    0x400bffff,0x805fffff,0x806ffffe,0x01ccccc9,0x5fffff50,0x7ffffcc0,
    0x3fffe203,0x3ffffe4f,0xffff502f,0x3fffebff,0xfff5005f,0xf98000df,
    0xffffffff,0xfffd8002,0x540fffff,0xffffffff,0x7fffd403,0xd00005ff,
    0x369fffff,0x00ffffff,0xefffffe8,0xffffe980,0x3fa06fff,0x7cc2ffff,
    0x902fffff,0x549fffff,0x205fffff,0x45fffffe,0x05fffffd,0x07ffffec,
    0x07fffff9,0x3fffffe6,0xffffff10,0x7ffffe40,0xfff701ff,0x3ae00dff,
    0xffffffff,0x3e21dfff,0x104fffff,0x0dfffffb,0x3ffffe20,0xfffb104f,
    0xfffb0bff,0x32615fff,0x5fffffff,0x3ffffe00,0xffffe805,0xffffa806,
    0xfff5002f,0x7fcc05ff,0x3e203fff,0x3f64ffff,0x30afffff,0xfffffff9,
    0x17ffffeb,0x37fffd40,0x7fff4000,0x0007ffff,0xfffffff5,0xfffff10d,
    0x7cc03fff,0xffffffff,0xffffffff,0xfffc80ff,0xfff10eff,0xf300bfff,
    0x59dfffff,0xffffff95,0x4c3dffff,0x06fffffd,0xbffffff9,0xffffd935,
    0x7ffcc3ff,0x7ecc2fff,0x4c5fffff,0x1bffffff,0x7ffffdc4,0x7ffffc46,
    0x3ffaa0cf,0x7ffc4fff,0x3220cfff,0xffffffff,0xfff731df,0xa8005fff,
    0xfffffffd,0x7fe44fff,0xa9beffff,0xffffffeb,0x3fff2001,0xba9befff,
    0x0ffffffe,0xffffffa8,0xffffffff,0x2005ffff,0x805fffff,0x806ffffe,
    0x02fffffa,0x5fffff50,0x7ffffcc0,0x3fffe203,0x3fffea4f,0xffffffff,
    0xf5ffffff,0x200bffff,0x006ffffa,0xfffffb80,0xf10004ff,0x09ffffff,
    0x3ffffffa,0x7fffcc06,0xffffffff,0x0fffffff,0x7fffffcc,0x7ffffd42,
    0xfffc803f,0xffffffff,0xffffffff,0xffffffff,0xf102ffff,0xffffffff,
    0x9fffffff,0xfffffff0,0xffffff9f,0xffb0dfff,0xfbffffff,0x5fffffff,
    0xffffff90,0xffffffdf,0xfffd81ff,0xffedffff,0xffffffff,0xffffffff,
    0x20006fff,0xffffffc9,0xfffe84ff,0xffffffff,0x003fffff,0xffffffe8,
    0xffffffff,0x3ff603ff,0xffffffff,0x5ffffcbf,0x3ffffe00,0xffffe805,
    0xffffa806,0xfff5002f,0x7fcc05ff,0x3e203fff,0x7ec4ffff,0xffffffff,
    0xffffcbff,0x0bfffff5,0x1bfffea0,0x3ffe2000,0x0001ffff,0x3ffffff6,
    0xfffff902,0xfff9809f,0xffffffff,0xffffffff,0x3ffffa20,0xffffb04f,
    0xffb003ff,0xffffffff,0xfff9ffff,0xffffffff,0xfa807fff,0xffffffff,
    0x505fffff,0xffffffff,0xfffdffff,0xfffb01ff,0xffffffff,0x6407ffff,
    0xffffffff,0x81ffffff,0xfffffff8,0xcfffffff,0xffffffff,0x0effffff,
    0xffb88000,0xe884ffff,0xffffffff,0x04ffffff,0xffffd100,0xffffffff,
    0xffb009ff,0x7fffffff,0x017ffff2,0x05fffff8,0x06ffffe8,0x2fffffa8,
    0xfffff500,0x7fffcc05,0x3ffe203f,0xfffd84ff,0x92ffffff,0x3febffff,
    0xf5005fff,0x0000dfff,0x1bfffff2,0xffff7000,0x3fe601ff,0x4c01ffff,
    0xffffffff,0xffffffff,0x3ff60fff,0xf100ffff,0x00dfffff,0x3fffffea,
    0x10dfffff,0xfffffffb,0x2007ffff,0xffffffd8,0x00dfffff,0x3ffffff2,
    0xff99efff,0xffb02fff,0xffffffff,0xf5007fff,0xffffffff,0x7d403fff,
    0xffffffff,0xff911dff,0xffffffff,0x000001df,0x409fffd5,0xfffffffc,
    0x001effff,0xfffffc80,0x1effffff,0xfffd9100,0x7fe45bff,0x3fe005ff,
    0xfe805fff,0xfa806fff,0x5002ffff,0x405fffff,0x03fffff9,0x13ffffe2,
    0x77ffff64,0x3ffff21d,0x0bfffff5,0x0f333260,0x7ffcc000,0x440003ff,
    0x406fffff,0x807fffff,0xfffffff9,0xffffffff,0xff50ffff,0xa805ffff,
    0x04ffffff,0xffffd910,0x3aa05dff,0xcfffffff,0xffeb8000,0x01dfffff,
    0xfffffd30,0x7fff419f,0x3ff2605f,0xcfffffff,0x3fb26000,0x0bffffff,
    0xffffd880,0xb302deff,0xdfffffff,0x30000005,0xfc9809f9,0x4effffff,
    0x6dc40000,0x4efffffe,0x02aa2000,0x7ffc0000,0xffe805ff,0x998806ff,
    0xf5000999,0x4c05ffff,0x203fffff,0x04fffff8,0x00005544,0x00000000,
    0x00000000,0x00000000,0x00000000,0x35530000,0x1aaa9800,0x2aa60000,
    0x2620001a,0x800000aa,0x009aaa99,0x33553000,0x2aa62000,0x55440009,
    0x0000009a,0x26001880,0x00001aaa,0x006aa200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999700,0x09999703,0x3b679999,0xddd74eee,
    0x7ddddddd,0x2aaaaaa2,0xaaaaaaaa,0xaaaaaaaa,0x9999931a,0x99999999,
    0x99999999,0x00000599,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4de54c00,0x1e65c000,
    0x0565cc00,0x3eeeee88,0x88666666,0x22099999,0x88099999,0x201ccdca,
    0x02cdeca8,0x664c05c0,0x7fc43ccc,0xffe86fff,0x6ffff87f,0x32bfffff,
    0xffffffff,0xffff54ff,0xffffffff,0xffffffff,0x3fea9fff,0xffffffff,
    0xffffffff,0x004fffff,0x00000000,0x404c000a,0x03eeeee8,0x37bbbbb6,
    0x17bbbb60,0x019000aa,0x41999880,0x26219998,0x4ccc4099,0x55510000,
    0x06aa6201,0x3cccc800,0x35531000,0x00000001,0x44000000,0x802bccba,
    0xffffffe9,0x17ff6003,0xffffe980,0x7ffc40df,0xffff14ff,0x3fff61ff,
    0x3ffee4ff,0xfffe86ff,0xffc84fff,0x1cffffff,0x7f407ec0,0xf980ffff,
    0x7f41ffff,0xffff87ff,0x2bfffff6,0xfffffffc,0xfff54fff,0xffffffff,
    0xffffffff,0x3ea9ffff,0xffffffff,0xffffffff,0x04ffffff,0x00000000,
    0x98007fb0,0x7ffc40ef,0xfffb04ff,0xffe85fff,0x1ffd46ff,0x2005fd80,
    0x224ffff8,0x3ea4fffe,0x3fea1fff,0xfd8001ff,0x7fe440ff,0x4002efff,
    0x00fffffb,0x3ffff220,0x3fe60dff,0xffffffff,0xffffffff,0xffff35ff,
    0xffffffff,0xffffffff,0xfffff90b,0x3ee05fff,0xffffffff,0x09ffb005,
    0x3ffffee0,0x3e20efff,0xff14ffff,0x3f61ffff,0x3ee4ffff,0x6c46ffff,
    0x3ffffdbc,0xffffffd1,0x37dfffff,0x303ffae6,0x403fffff,0x745ffff9,
    0xfff87fff,0xbfffff6f,0x3ffffff2,0xff54ffff,0xffffffff,0xffffffff,
    0x2a9fffff,0xffffffff,0xffffffff,0x4fffffff,0x00000000,0x8bfffd80,
    0x8befffdb,0x220efff9,0xc84fffff,0x82ffffff,0x2a6ffffe,0x6c03ffff,
    0xfb005fff,0x7fe41fff,0x7fff40ff,0x037fff46,0x03ffff20,0xfffffffb,
    0x7ff4007f,0x3a004fff,0xffffffff,0xfffff30e,0xffffffff,0xbfffffff,
    0x3fffffe6,0xffffffff,0x45ffffff,0xfffffffa,0x7fcc1fff,0xffffffff,
    0x3f20c43f,0x7fc4083f,0xffffefff,0x3ffffe25,0xffffff14,0x3fffff61,
    0x3ffffee4,0x6fff9806,0xfffffff9,0xffffffff,0x81ffffff,0x802ffffd,
    0x3a1ffffa,0xfff87fff,0xbfffff6f,0x3ffffff2,0x5514ffff,0x55555555,
    0x55555555,0x44355555,0x88888888,0x88888888,0x00888888,0x00000000,
    0x7fffffe4,0xffffffff,0x10efffff,0xb89fffff,0x03ffffff,0x2adffffd,
    0x03ffffff,0x0bfffffb,0x23ffffa8,0x983ffffa,0x3e64ffff,0xfb804fff,
    0x260fffff,0xffdbefff,0xffa800ff,0x800fffff,0xeccffffb,0xfff34fff,
    0xffffffff,0xffffffff,0x3fffe6bf,0xffffffff,0xffffffff,0x3bfffe25,
    0x45ffffec,0xa8bffffd,0x320ffffe,0x25ff71df,0x7fec4fc8,0xfffb30bf,
    0x3ffffe25,0xffffff14,0x3fffff61,0x3ffffee4,0x6fff8806,0xfffffff9,
    0xffffffff,0x41ffffff,0x002ffff8,0xa993ffea,0xaaaa82aa,0x2bfffff1,
    0xfffffffc,0x00004fff,0x00000000,0x00000000,0x7fffdc00,0xffffffff,
    0x4fffffff,0x93ffffe2,0x3ffffffa,0x5bffffa0,0xfffffff9,0x7ffffec3,
    0x3ffe204f,0x3fffe26f,0x3ffff606,0x07ffff61,0x7fffffc4,0x3fff60ff,
    0x007fff60,0x3ffffffa,0xfffe803f,0x4dbffe21,0xffffffff,0xffffffff,
    0xff35ffff,0xffffffff,0xffffffff,0x7fed4bff,0x137ffdc5,0xf885ffff,
    0x3ffa2fff,0xfdbffcdf,0x2fffc6ff,0xf8a7ffc4,0xff13ffff,0x3f61ffff,
    0x3ee4ffff,0x1026ffff,0x329fffb5,0xfdccefff,0xffffffff,0x320fffff,
    0xa8003fff,0x000003bb,0x00000000,0x00000000,0x00000000,0xffffb800,
    0xffffffff,0x444fffff,0xf34fffff,0x809fffff,0x266ffffe,0x3fffffff,
    0x9ffffffb,0x1ffffd80,0x80bffff6,0x226ffff9,0x880effff,0xfffeefff,
    0x3fa14c40,0x7fd400ff,0x07ffffff,0x7c45dcc8,0xffff36ff,0xffffffff,
    0xffffffff,0x3ffffe6b,0xffffffff,0x5fffffff,0xfffa8110,0x41fffe66,
    0xff33fffe,0xffffffff,0x3e23ffff,0xbffb02ff,0x7fc5ff70,0xff90ffff,
    0x7fd47fff,0xfff35fff,0x1dffffff,0x6d4037f2,0xffffffff,0x15ddc0df,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfff90000,0xffffffff,
    0xf10bffff,0xff19ffff,0x0009ffff,0x3ffffe60,0xfffffeff,0x7ffdc04f,
    0x3fffee5f,0xffffc805,0x13ffff24,0x7fecbbe2,0x3fb2600f,0xffd804ff,
    0x3fffffff,0x3ffee000,0x26666664,0x99999999,0x25ffffc9,0x99999999,
    0x99999999,0x22009999,0x7ffffeca,0x6c1fffea,0x3b265fff,0xffffffff,
    0xfff10bdf,0x217ff605,0x3ffa1ffd,0x3ffea7ff,0x3ffe22ff,0xffff34ff,
    0x6417ffff,0xffd71003,0x00005bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffd800,0xfff932df,0xfff10fff,0xffffdbff,0x980000bf,
    0xffffffff,0x4c04ffff,0xf10fffff,0x1003ffff,0x223fffff,0x442fffff,
    0x007ffec1,0x009ffff7,0xf7fffff3,0x2000dfff,0x001ffffa,0xbffff700,
    0x44000000,0xfffffffc,0x3ffea7ff,0x0bfffb06,0x33ffff22,0x21bffe00,
    0x7c44fff9,0x3fff20ff,0x3fffe65f,0x7ffffc0f,0x2af2eaa2,0x10000809,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe20,
    0xfffff303,0xfffff885,0x1fffffff,0xff980000,0xffffffff,0xffffe804,
    0x13ffffa4,0xeffffb80,0x1fffff70,0x00fffd80,0x0ffffff2,0x29ffffb0,
    0x002fffff,0x01ffffe4,0xffff7000,0x2000000b,0xffffffe8,0x3e67fffd,
    0xfffb07ff,0x3fffea09,0x3ff201ff,0xfffd51df,0x21fffd43,0x7c4ffffb,
    0xffd87fff,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffff980,0x3ffffa00,0x7ffffc43,0x6fffffff,0xff300000,
    0x09ffffff,0x1fffff90,0x03fffff2,0x9ffffd00,0x02fffff4,0xa803fff6,
    0x04fffd99,0x21fffff3,0x006ffffc,0x07ffffb1,0xfffb8000,0x0000005f,
    0x217dfffb,0x3e27fffa,0x7fc41fff,0xfffa83ff,0x100fffdc,0xffffffff,
    0x7ffd49ff,0x2ffff986,0x6437fff4,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffa8000,0x7ffdc05f,0x7fffc44f,
    0xffffffff,0xd000002f,0x7fffffff,0xdffffb00,0x037fffe4,0x3ffffe40,
    0x01fffff9,0x8007ffec,0xf906fff8,0x7fccbfff,0x74401fff,0x0002ffff,
    0x5ffffb80,0xfffffff3,0xffffffff,0x7cbfffff,0x7fe42fff,0x77fff47f,
    0x3ffffb11,0x98ffff98,0xf500efff,0xdfffffff,0x901ffc41,0xcca81999,
    0x4ccc982c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0xa809ffff,0x7c44ffff,0xffffffff,0x000fffff,0x7fffec00,
    0x402fffff,0x13fffff8,0x007fffff,0x97ffffcc,0x02fffff8,0x9707ffec,
    0x1ffff09b,0x2fffff88,0x02fffff4,0x03dffff1,0x3fee0000,0xffff35ff,
    0xffffffff,0xffffffff,0x07fffe2b,0xf98fffff,0xfffeffff,0xfffd84ff,
    0x80ffff22,0x3fffffd8,0x00000150,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffffcc0,0x3ffffa00,0x7ffffc43,
    0xffffcfff,0x3600004f,0xffffffff,0x7d402fff,0xff50ffff,0x36001fff,
    0x3f64ffff,0xfd805fff,0x3fffa0ff,0x21bffea1,0xa87ffffc,0x880fffff,
    0x99affffe,0x70000199,0x3e6bffff,0xffffffff,0xffffffff,0x3ffe5fff,
    0xffffcbef,0xffffd87f,0x00efffff,0x2ff88bf7,0x00355100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x303fffff,0x885fffff,0x0fffffff,0x01fffffd,0xffffb000,0xffffffff,
    0xfffc805f,0x3ffff24f,0xffffa804,0xfffff30e,0x1fffb001,0x76ffffdc,
    0x7c43ffff,0xff04ffff,0xff909fff,0xffffffff,0x3ee0000f,0xfff35fff,
    0xffffffff,0xffffffff,0x7fffe4bf,0x7fffffff,0xffffff70,0x81a801bf,
    0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36000000,0x11dfffff,0x0ffffff9,0x3ffffff1,0x2fffffd4,
    0x3fff6000,0xfff9cfff,0x2202ffff,0x3a0fffff,0x7401ffff,0x3fa1ffff,
    0xfb001fff,0xfffd81ff,0xb84fffff,0x900fffff,0xe81fffff,0xffffffff,
    0x700007ff,0x3e6bffff,0xffffffff,0xffffffff,0x7fec5fff,0xffcaffff,
    0x9b95101f,0x00000037,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb800,0xffffefff,0xff885fff,
    0xffe84fff,0xb0001fff,0x49ffffff,0xfffffff9,0x3fffea02,0x17fffe65,
    0x24ffffb8,0x004ffffa,0x2e03fff6,0x02efffff,0x40bfffff,0x23fffff9,
    0xfffffff9,0x0007ffff,0x21333310,0xaaaaaaa8,0xaaaaaaaa,0x982aaaaa,
    0x5510acdc,0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0xffffffff,0xffffffff,
    0x7ffffc44,0xfffff984,0xbddddb06,0x3fffffee,0xfffff984,0x3ff200ff,
    0x3fff21ff,0xffff881f,0x037fffc6,0x13310000,0x77777540,0x77776c02,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xfffffff9,
    0xffffffff,0x3e24ffff,0xfb04ffff,0xfd07ffff,0x7fe4dfff,0x3fe604ff,
    0xfe801fff,0x7fff46ff,0x0ffffc86,0x007fffee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffc80,0xffffffff,
    0x0fffffff,0x09fffff1,0x3fffffe2,0x37ffff40,0x26013ff2,0xf3001fff,
    0x7fcc5fff,0x3ffe22ff,0x3fffe23f,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffc80000,0xfffeb8cf,0xffffa9cf,
    0x3ffffe20,0x3ffff204,0x7ffff44f,0x26004c86,0x6654001e,0x1e66543c,
    0xca879995,0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x2a0105fc,0x7ffc41ff,0x3fe204ff,0x3fa1ffff,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70000000,0x2206a000,0x404fffff,0x25fffffb,
    0x006ffffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_47_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,1,3,3,3,2,3,2,0,3,
3,2,3,1,3,1,3,1,0,3,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,3,
-2,2,3,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,1,0,0,3,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,1,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
0,1,0,1,0,1,1,1,1,1,1,1,1,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,2,0,0,-2,-2,-1,-1,-1,-1,2,2,2,3,2,3,0,-2,3,2,2,3,2,3,
-1,3,3,3,3,0,0,3,2,3,2,3,2,-2,3,2,1,1,1,1,1,1,1,1,3,2,3,0,3,1,
1,0,1,0,1,0,1,0,0,0,0,0,0,0,3,2,3,2,3,2,3,2,3,2,3,2,0,0,-1,0,
-1,0,0,0,0,0,0,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,2,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,3,2,3,2,3,2,3,2,3,2,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_47_latin_ext_y[560]={ 38,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,42,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,16,8,7,12,7,
7,7,7,7,7,17,15,24,7,2,7,9,7,7,7,16,7,20,38,7,7,17,7,7,7,16,0,0,0,0,
1,1,7,7,0,0,0,1,0,0,0,1,7,0,0,0,0,0,1,13,6,0,0,0,1,0,7,7,7,7,
7,8,7,6,15,15,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,12,15,7,7,7,7,7,7,7,
1,8,0,7,7,15,0,7,-1,7,-1,7,-1,7,-1,7,7,7,1,8,-1,7,-1,7,7,15,-1,7,-1,7,
0,7,-1,7,7,4,-1,0,7,7,-1,8,1,8,-1,7,7,7,0,16,7,7,-1,7,7,7,16,0,0,8,
7,8,7,8,7,7,7,0,7,7,15,-1,7,7,7,15,1,8,-1,7,0,7,7,15,0,7,7,15,-1,7,
0,7,-1,7,7,15,-1,7,7,8,-1,7,7,8,-1,8,1,8,-1,7,-1,6,0,7,7,16,-1,7,-1,7,
1,0,7,0,7,-1,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,7,-1,7,-1,
7,-1,7,0,0,0,0,0,0,0,0,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-5,-1,-1,7,-1,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_47_latin_ext_w[560]={ 0,8,16,23,21,35,29,8,11,11,16,22,7,12,
6,13,21,14,21,21,23,22,21,21,21,21,6,7,22,22,22,22,40,31,26,28,26,23,21,29,25,7,20,28,
22,31,25,31,24,32,28,26,25,25,30,40,28,30,25,12,13,12,21,25,11,21,23,22,23,21,16,23,21,6,
11,21,6,33,21,24,23,23,15,22,14,21,23,33,24,23,21,15,6,15,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,22,23,23,24,
6,21,14,33,15,21,22,12,33,25,14,22,13,14,11,21,25,6,12,10,15,20,34,34,35,22,31,31,31,31,
31,31,43,28,23,23,23,23,11,10,15,14,30,25,31,31,31,31,31,21,31,25,25,25,25,30,24,23,21,21,
21,21,21,21,35,22,21,21,21,21,10,10,15,14,24,21,24,24,24,24,24,22,24,21,21,21,21,23,23,23,
31,21,31,21,33,24,28,22,28,22,28,22,28,22,26,30,30,25,23,21,23,21,23,21,23,21,23,21,29,23,
29,23,29,23,29,23,25,21,31,23,15,15,14,14,14,14,10,10,7,6,28,18,24,15,28,21,22,22,10,22,
12,22,14,22,15,25,12,25,21,25,21,25,21,29,26,21,31,24,31,24,31,24,40,38,28,15,28,17,28,16,
26,22,26,22,26,22,26,22,25,14,25,21,25,14,25,21,25,21,25,21,25,21,25,22,25,24,40,33,30,23,
30,25,21,25,21,25,21,13,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,28,22,22,25,22,22,22,
22,22,22,22,22,22,22,22,22,22,35,29,22,22,22,22,22,22,22,22,22,22,22,22,22,32,29,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,31,21,15,15,31,
24,25,21,25,21,25,21,25,21,25,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,31,21,43,35,31,24,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22, };
static unsigned short stb__arial_bold_47_latin_ext_h[560]={ 0,31,12,32,38,33,32,12,40,40,15,22,13,6,
6,32,32,31,31,32,31,31,32,30,32,32,22,29,24,16,24,31,40,31,31,32,31,31,31,32,31,31,32,31,
30,31,31,32,31,35,31,32,31,32,31,31,31,31,31,40,32,40,17,5,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,9,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,39,32,22,31,
40,40,6,32,16,20,16,6,32,5,14,29,17,17,7,31,40,7,9,17,16,20,33,33,33,31,38,38,38,38,
37,37,31,40,38,38,38,37,38,38,38,37,31,38,39,39,39,39,38,21,34,39,39,39,38,38,31,32,32,32,
32,31,32,33,24,32,32,32,32,32,31,31,31,31,32,30,32,32,32,31,32,23,25,32,32,32,32,40,40,40,
37,31,38,32,40,32,39,32,40,32,40,32,40,32,39,32,31,32,37,31,39,32,39,32,40,32,39,32,40,40,
39,40,40,40,40,43,39,38,31,31,39,30,37,30,39,31,40,40,38,22,32,40,40,40,40,40,22,38,38,39,
40,30,31,30,31,31,31,38,31,40,32,39,31,31,32,32,38,31,40,32,39,32,32,24,38,31,40,32,39,31,
39,32,40,32,40,32,40,32,45,43,39,32,31,31,40,31,38,31,40,32,40,33,39,32,40,31,39,31,39,40,
37,38,31,38,31,39,31,31,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,32,27,27,40,27,27,27,
27,27,27,27,27,27,27,27,27,27,32,24,27,27,27,27,27,27,27,27,27,27,27,27,27,32,23,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,39,32,39,31,40,
32,40,32,39,39,39,39,39,39,39,39,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,43,40,39,32,41,33,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27, };
static unsigned short stb__arial_bold_47_latin_ext_s[560]={ 510,98,309,96,218,200,72,300,240,437,260,
382,292,409,402,477,301,83,332,323,465,207,1,284,23,167,48,412,166,205,468,
162,30,185,217,431,244,286,310,289,376,402,147,410,329,23,72,168,98,88,123,
120,152,70,107,42,178,230,439,471,23,445,146,422,375,63,483,40,459,108,55,
435,1,489,403,354,505,319,274,219,319,265,491,85,271,353,405,429,485,138,463,
355,152,169,339,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,510,504,408,
377,1,411,159,307,387,343,228,77,182,409,401,448,277,389,168,131,363,120,484,
505,326,120,244,99,236,329,271,400,186,122,154,436,409,441,334,1,346,370,288,
473,312,266,494,497,173,240,115,33,1,457,274,55,121,382,356,298,96,65,423,
92,70,48,26,347,482,307,130,408,386,364,342,320,369,500,104,27,189,367,142,
117,92,292,45,296,443,160,445,116,401,97,121,145,56,248,1,273,185,208,174,
156,219,102,248,49,277,233,147,125,142,23,32,378,203,433,250,138,306,423,91,
455,415,190,268,12,62,119,449,27,431,324,302,237,493,496,394,352,489,222,1,
240,504,375,179,251,199,224,170,415,25,413,277,227,458,306,396,261,466,1,448,
335,461,281,279,65,35,436,345,70,33,482,330,295,324,1,467,1,306,380,252,
491,121,483,68,256,388,387,143,410,92,364,1,51,296,1,276,261,479,200,387,
57,362,460,36,153,404,250,214,79,27,1,462,166,1,468,204,361,226,270,270,
333,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,372,420,420,71,
420,420,420,420,420,420,420,420,420,420,420,420,420,214,189,420,420,420,420,420,
420,420,420,420,420,420,420,420,37,244,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,430,1,
388,317,371,204,329,182,150,176,95,220,242,198,1,322,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,66,130,344,229,98,175,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,420,
420,420,420,420,420,420,420,420,420, };
static unsigned short stb__arial_bold_47_latin_ext_t[560]={ 1,450,538,385,209,248,286,538,1,47,538,
514,538,537,537,248,286,450,450,286,450,482,319,482,319,319,539,482,514,539,482,
450,47,450,450,319,450,450,450,352,450,450,385,450,482,482,482,385,482,248,482,
385,482,385,450,450,482,482,450,1,385,1,539,537,537,514,352,514,352,514,482,
352,482,450,1,450,47,514,514,514,352,352,482,514,450,514,514,514,514,450,514,
1,1,47,538,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,1,319,129,
352,539,418,1,1,537,352,539,539,539,537,352,537,538,482,539,539,538,418,1,
79,538,539,538,539,248,248,248,385,209,209,209,169,209,209,385,47,209,209,209,
209,209,209,169,209,418,209,169,169,169,129,169,539,248,129,129,129,209,209,385,
352,352,352,352,418,319,248,514,319,319,319,319,319,418,385,418,450,319,482,319,
319,319,418,319,514,482,352,286,352,286,47,47,47,248,418,209,319,47,286,169,
286,47,286,47,286,47,286,169,286,418,286,248,385,169,248,169,352,47,286,169,
248,1,1,129,88,88,88,47,1,129,209,385,385,88,450,209,482,129,385,88,
88,129,514,286,88,88,88,88,47,539,169,209,169,1,482,418,482,418,450,385,
169,385,1,286,169,418,418,286,319,209,418,47,319,129,352,286,514,169,418,1,
248,129,385,129,286,47,248,88,248,88,248,1,1,88,286,385,385,47,385,169,
418,47,319,88,248,88,319,1,418,129,418,88,1,248,169,418,169,418,88,418,
418,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,286,482,482,47,
482,482,482,482,482,482,482,482,482,482,482,482,482,319,514,482,482,482,482,482,
482,482,482,482,482,482,482,482,385,514,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,88,385,
88,418,1,352,1,352,129,129,129,129,129,129,129,88,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,1,1,88,352,1,248,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482, };
static unsigned short stb__arial_bold_47_latin_ext_a[560]={ 187,224,319,374,374,599,486,160,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,224,224,393,393,393,411,656,486,486,486,486,449,411,524,
486,187,374,486,411,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,224,187,224,393,374,224,374,411,374,411,374,224,411,
411,187,187,374,187,599,411,411,411,411,262,374,224,411,374,524,
374,374,337,262,188,262,393,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,187,224,374,374,374,374,188,374,
224,496,249,374,393,224,496,372,269,369,224,224,224,388,374,187,
224,224,246,374,561,561,561,411,486,486,486,486,486,486,673,486,
449,449,449,449,187,187,187,187,486,486,524,524,524,524,524,393,
524,486,486,486,486,449,449,411,374,374,374,374,374,374,599,374,
374,374,374,374,187,187,187,187,411,411,411,411,411,411,411,369,
411,411,411,411,411,374,411,374,486,374,486,374,486,374,486,374,
486,374,486,374,486,374,486,484,486,411,449,374,449,374,449,374,
449,374,449,374,524,411,524,411,524,411,524,411,486,411,486,411,
187,187,187,187,187,187,187,187,187,187,528,374,374,187,486,374,
374,411,187,411,187,411,259,411,322,411,187,486,411,486,411,486,
411,477,487,411,524,411,524,411,524,411,673,635,486,262,486,262,
486,262,449,374,449,374,449,374,449,374,411,224,411,322,411,224,
486,411,486,411,486,411,486,411,486,411,486,411,635,524,449,374,
449,411,337,411,337,411,337,187,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,489,505,505,374,505,505,505,505,505,
505,505,505,505,505,505,505,505,574,479,505,505,505,505,505,505,
505,505,505,505,505,505,505,558,487,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,486,374,187,187,524,411,486,411,486,411,486,
411,486,411,486,411,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,486,374,673,599,524,411,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_47_latin_ext(stb_fontchar font[STB_FONT_arial_bold_47_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_47_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_47_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_47_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_47_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_47_latin_ext_s[i] + stb__arial_bold_47_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_47_latin_ext_t[i] + stb__arial_bold_47_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_47_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_47_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_47_latin_ext_x[i] + stb__arial_bold_47_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_47_latin_ext_y[i] + stb__arial_bold_47_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_47_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_47_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_47_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_47_latin_ext_s[i] + stb__arial_bold_47_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_47_latin_ext_t[i] + stb__arial_bold_47_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_47_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_47_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_47_latin_ext_x[i] + stb__arial_bold_47_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_47_latin_ext_y[i] + stb__arial_bold_47_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_47_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_47_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_47_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_47_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_47_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_47_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_47_latin_ext_LINE_SPACING
#endif

