// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_49_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_49_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT        617
#define STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_49_latin_ext_FIRST_CHAR            32
#define STB_FONT_arial_bold_49_latin_ext_NUM_CHARS            560

#define STB_FONT_arial_bold_49_latin_ext_LINE_SPACING          32

static unsigned int stb__arial_bold_49_latin_ext_pixels[]={
    0x2aaaaaaa,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,0x00000000,0x00006600,
    0x666664c0,0x8800000c,0x00cccccc,0x99993000,0x55500059,0x55555555,
    0x55555555,0x80015555,0x02fffffb,0x005fffa8,0x33332200,0x8800002c,
    0x04cc4019,0x55555500,0x55555555,0x00003335,0x01555555,0xffddb700,
    0x44019880,0x7fcc0099,0x555533ff,0x55300035,0x77fc1555,0xa80003ce,
    0x3e62aaaa,0x5c403fff,0x02cdeeec,0x15555550,0x7ffffc00,0xffffffff,
    0xffffffff,0x88006fff,0x0000006c,0x0bfffffb,0x0ff22000,0x7fec0000,
    0x00003fff,0x7fffff90,0x3fa20000,0x000fffff,0x7ffffff4,0xffffffff,
    0xffffffff,0x7ffdc003,0xfff002ff,0x3a00005f,0x01ffffff,0x27fdc000,
    0x4007ff90,0xfffffffd,0xffffffff,0x000cefff,0x0fffffe8,0x3fffaa00,
    0x7fec07ff,0x007ffa02,0x367ffff3,0x006fffff,0x0fffffd8,0x3bfffffe,
    0x3ffe0002,0x3ffe67ff,0xfff9103f,0x5dffffff,0xffffff80,0x3fffe002,
    0xffffffff,0xffffffff,0x4006ffff,0x0000fffc,0x7fffcc00,0xf700005f,
    0x000007ff,0x07fffff3,0x3fe20000,0x00004fff,0x3ffffff2,0x7ff4005f,
    0xffffffff,0xffffffff,0x4003ffff,0x02fffffb,0x01ffff90,0xffffc800,
    0x00006fff,0x4407ffcc,0x36001fff,0xffffffff,0xffffffff,0x004fffff,
    0x07fffff4,0xfffffb80,0x7fdc07ff,0x00fff306,0x367ffff3,0x04ffffff,
    0x7ffffec0,0x3fffffe0,0xff0002ff,0x7fccffff,0xffe883ff,0xffffffff,
    0x3ffe04ff,0x3e002fff,0xffffffff,0xffffffff,0x6fffffff,0x3fffee00,
    0x64000002,0x000effff,0x7ffff4c0,0xfd800003,0x00004fff,0x17ffff20,
    0xfffa8000,0x03ffffef,0x3fffffa0,0xffffffff,0xffffffff,0x7fdc003f,
    0xf1002fff,0x40009fff,0xffeffff9,0x400004ff,0xcaaceffe,0x6c006ffe,
    0xffffffff,0xffffffff,0x04ffffff,0x3fffffa0,0xffff8800,0x4407ffff,
    0xda9befff,0xf9805fff,0xfffb3fff,0x4003ffff,0x20fffffd,0xffffffff,
    0xffff0006,0x7fffccff,0xfffffd83,0xffffffff,0xfffff03f,0x7ffc005f,
    0xffffffff,0xffffffff,0x006fffff,0x001bfff3,0xfff88000,0xc80000ef,
    0x003fffff,0x7fffc400,0x22000004,0x0005ffff,0x57fffe20,0x000ffffe,
    0xfffffffd,0xffffffff,0x7fffffff,0xffffb800,0x3ff6002f,0xe88001ff,
    0xfffb6fff,0x4c00003f,0xffffffff,0x7ec001ff,0xffffffff,0xffffffff,
    0x03ffffff,0x1fffffd0,0xfffff700,0xf700ffff,0xffffffff,0xfff3001d,
    0x3ffff67f,0x36005fff,0x3e0fffff,0xffffffff,0xffff8002,0x3fffe67f,
    0x7ffffd43,0xffffedff,0xfff81fff,0x3e002fff,0xffffffff,0xffffffff,
    0x6fffffff,0x00fff900,0x3ff20000,0x900000ff,0x007fffff,0x5fffc800,
    0x7dc00000,0x400006ff,0xf10ffffd,0x3a00dfff,0xffffffff,0xffffffff,
    0x03ffffff,0x77777540,0x3ffea001,0xffd8005f,0xfffd11ff,0x5400001d,
    0xffffffff,0xfffd8002,0xffffffff,0xffffffff,0xd007ffff,0x001fffff,
    0x5bfffffb,0x3fee0033,0x01efffff,0x27ffff30,0xfffffffd,0xfffb002f,
    0x754cc1ff,0x004fffff,0x27fffff8,0x643ffff9,0x20dfffff,0x3fffffd9,
    0x2ffffff8,0x7fec0000,0x00004fff,0x02abbff6,0x7fc40000,0x200001ff,
    0x03fffffc,0x2f76c000,0x76c00000,0x200000de,0x4c2eeeea,0xe802eeee,
    0x003fffff,0x00000000,0x03ffffe0,0x2eeee980,0x01f7774c,0x3b6e2000,
    0xb0000bde,0x009fffff,0x3fffff66,0xffe802ff,0xfe800fff,0x20006fff,
    0x03defdc8,0x9ffffcc0,0xfffffffd,0xffd800ff,0x3fe00fff,0x98005fff,
    0x3e619999,0x7ff43fff,0xffa81fff,0xfff86fff,0x00002fff,0x27ffffec,
    0xfffd0000,0x000005ff,0x000ff2a2,0xfffff900,0x00000007,0x00000000,
    0x00000000,0x0ffffffa,0x00000000,0xffffc800,0x00000003,0x00000000,
    0x9fffffb0,0xffffb800,0xffe804ff,0xff800fff,0x00005fff,0xfff98000,
    0xfffffb3f,0xb009ffff,0x401fffff,0x006ffffe,0xffff9800,0x7fffff43,
    0x5599db03,0x5ffffff0,0xffd80000,0x00004fff,0x0bfffffe,0x7f4c0000,
    0x20001eff,0xfffffee9,0x003eeeef,0x0aa00000,0x00bb2600,0x00000000,
    0x1ffffff4,0x44000000,0xffa80001,0x000007ff,0x00000000,0xffffb000,
    0xff88009f,0xe805ffff,0x800fffff,0x004fffff,0xf9800000,0xfffb3fff,
    0x3fffffff,0xfffffd80,0x3ffff200,0xf9800006,0x7fe43fff,0x0000ffff,
    0x0bfffffe,0xfffb0000,0x400009ff,0x02ffffff,0xbffd0000,0x54000dff,
    0xffffffff,0x0004ffff,0x9bdd9751,0x3fea0157,0x3fff6003,0x200001ff,
    0xdefedcb8,0xfd000abc,0x0007ffff,0x3fb6a000,0x3ae0bdff,0xfff05eee,
    0xb98005ff,0xabceeeed,0xca800000,0x0abdeeed,0xffffd800,0xffd8004f,
    0xfe806fff,0xf800ffff,0x5503ffff,0x00035555,0x21555555,0xfb3ffff9,
    0xffffffff,0xfffd80df,0x3ff200ff,0xed8006ff,0x3fe66eee,0x7ffcc3ff,
    0x0001ffff,0x05ffffff,0xfffd8000,0x200004ff,0x01cccccc,0x0ff98000,
    0x20003ff1,0xfffffffa,0x004fffff,0x7fffffe4,0x0cffffff,0x013fffe6,
    0x3faf3fe6,0xfeb80005,0xffffffff,0x7400cfff,0x003fffff,0xfffd8000,
    0x91ffffff,0x360fffff,0x7005ffff,0xffffffff,0x001bffff,0xffffd880,
    0xffffffff,0xfffb000d,0xfd0009ff,0xd00bffff,0x001fffff,0x207fffff,
    0x03fffffe,0x7ffffc40,0x7ffff30f,0x3ffffff6,0x203fffff,0x00fffffd,
    0x01fffff2,0x9fffffe0,0xc83ffff9,0x4fffffff,0xfffff800,0x6c00002f,
    0x004fffff,0x00000000,0x4fc8bf90,0xffff5000,0xffffffff,0x3ffa6009,
    0xffffffff,0xf9cfffff,0xc801ffff,0x003fe24f,0x7ffff4c0,0xffffffff,
    0x3a04ffff,0x003fffff,0x3ffa6000,0xffffffff,0x7ffffcaf,0x0fffff70,
    0xfffffe98,0xffffffff,0xa8000cff,0xffffffff,0xffffffff,0xffffd802,
    0x7fc4004f,0xe804ffff,0x800fffff,0xd03fffff,0x007fffff,0xffffff88,
    0x27ffff30,0xfffffffd,0xb00fffff,0x401fffff,0x007ffffc,0x27fffff8,
    0x883ffff9,0xffffffff,0x3ffe001e,0x00002fff,0x27ffffec,0x00620000,
    0x1fe60000,0x2a0005ff,0xffffffff,0xc804ffff,0xffffffff,0xffffffff,
    0x2fffffff,0xff87fd00,0xfffb8001,0xffffffff,0xffffffff,0xfffffd05,
    0x33333339,0x33333333,0xfffffe80,0xffffffff,0x507ffffe,0x203fffff,
    0xfffffff9,0xffffffff,0x22005fff,0xfffffffd,0xffffffff,0x3600dfff,
    0x004fffff,0x7fffffec,0xffffe802,0xffff800f,0xffffd02f,0xff88007f,
    0xff30ffff,0x3fff67ff,0xfffffaff,0xffffb05f,0x7ffdc01f,0xfff8007f,
    0x3ffe67ff,0xffffb83f,0x04ffffff,0x5ffffff0,0xffd80000,0x80004fff,
    0xbdfffeda,0x17bbbae0,0x7e7ff400,0xf900007f,0x4007ffff,0xffffffe8,
    0xffffffff,0xffffffff,0x3bee003f,0x9000df70,0xffffffff,0xffffffff,
    0xd09fffff,0xffffffff,0xffffffff,0x203fffff,0xfffffffa,0xffffdbbc,
    0xf307ffff,0x3a07ffff,0xffffffff,0xffffffff,0xe8803fff,0xffffffff,
    0xffffffff,0xb01fffff,0x339fffff,0x53333333,0xdffffffd,0x3ffffa00,
    0x7ffc400f,0xfffd02ff,0xf88007ff,0xf30fffff,0x3ff67fff,0xfffc8fff,
    0xffd81fff,0x3ee00fff,0x4000ffff,0x267fffff,0x7dc3ffff,0xffffffff,
    0x7c01efff,0x002fffff,0x7fffec00,0x7e40004f,0xffffffff,0x0fffff91,
    0xfffff100,0x900003ff,0x007fffff,0x7fffffe4,0xecbcdfff,0xffffffff,
    0x7fc4004f,0x4003ffff,0xfffffffa,0xfdccdeff,0xffffffff,0x7fffff43,
    0xffffffff,0xffffffff,0xfffffd01,0xfffd301d,0x3e20ffff,0xf985ffff,
    0xbdffffff,0xffffcbaa,0x6401ffff,0xffffffff,0xfffdccef,0x06ffffff,
    0xfffffffb,0xffffffff,0xffffffff,0x3fffa003,0x7fd400ff,0xffd00fff,
    0x88007fff,0x30ffffff,0x3f67ffff,0xff88ffff,0xfd86ffff,0x2a00ffff,
    0x001fffff,0x33fffffc,0x7dc7ffff,0xfffdffff,0x03ffffff,0x0bfffffe,
    0xfffb0000,0x220009ff,0xfffffffe,0xffcaffff,0xfb8007ff,0x05ffffff,
    0xffffc800,0xfff3003f,0x403dffff,0xffffffd8,0xfd98004f,0x7c4003ff,
    0x3fffffff,0x7ffffdc0,0x7fff46ff,0xffffffff,0xffffffff,0xfffb81ff,
    0x3e200fff,0x207fffff,0xc87fffff,0x00dfffff,0x3fffff62,0x3ffea03f,
    0x201effff,0xffffffd8,0xffffd83f,0xffffffff,0xffffffff,0x3fa003ff,
    0x6c00ffff,0x3a07ffff,0x003fffff,0x7fffffc4,0x27ffff30,0x50fffffd,
    0x87ffffff,0x00fffffd,0x13ffffe2,0xffffff00,0xf1ffffcc,0x3a69ffff,
    0xffffffff,0xffffff05,0xfd800005,0x0004ffff,0xfffffffd,0xfdffffff,
    0xd000ffff,0xffffffff,0xffc80001,0xfd003fff,0x00bfffff,0x7fffffec,
    0x0510000f,0x3ffffa00,0xf1000eff,0x45ffffff,0xfffffffe,0xffffffff,
    0x81ffffff,0x04fffffc,0x7fffffc8,0x1fffffe0,0x07fffffa,0x3ffffa20,
    0xffff105f,0x2001bfff,0xfffffffb,0x7ffffec0,0xffffffff,0xefffffff,
    0x7fff4001,0x3fe600ff,0x3fa06fff,0x4003ffff,0x0ffffff8,0x367ffff3,
    0x360fffff,0x20ffffff,0x00fffffd,0x0fffffec,0xffffff00,0x99ffffcc,
    0xfc87ffff,0x4fffffff,0x2ffffff8,0x7fec0000,0xa8004fff,0xcfffffff,
    0xfffffdbb,0x4c007fff,0xffffffff,0x7e40003f,0xb803ffff,0x04ffffff,
    0x3ffffee0,0x88004fff,0x26000999,0x06ffffff,0xfffff980,0x3ffffa5f,
    0xffffffff,0xffffffff,0xffffd81f,0xfff9801f,0x3ffa07ff,0x3fe20fff,
    0x2e006fff,0x907fffff,0x0bffffff,0xfffff500,0xffffd8bf,0xffffffff,
    0x2cefffff,0xffffd000,0xfff5101f,0x7f405fff,0x4003ffff,0x0ffffff8,
    0x367ffff3,0x260fffff,0x25ffffff,0x00fffffd,0x77ffffd4,0xffff801b,
    0xfff7007f,0x3ffea0df,0x7c2fffff,0x002fffff,0x7fffec00,0xffe8004f,
    0xe980efff,0x07ffffff,0x7ffffe40,0x0006ffff,0x1fffffe4,0x3ffffe20,
    0xff5000ff,0xffffffff,0xffec8801,0x03dfffff,0x7fffffe4,0xfffb0001,
    0x7fff459b,0x99999cff,0x99999999,0xffffd019,0xfff1001f,0x7fec0fff,
    0x3fe20fff,0x3002ffff,0x0199bddd,0x1fffffff,0x3fffa000,0x3ff61fff,
    0xfffeefff,0x1effffff,0x7fff4000,0x7ffec0ff,0x7406ffff,0x003fffff,
    0x7fffffc4,0x27ffff30,0x40fffffd,0x2ffffffc,0x01fffffb,0xffffffd0,
    0xffff809f,0xfff9007f,0x3fa201ff,0x20ffffff,0x02ffffff,0x7ffec000,
    0x7dc004ff,0x200fffff,0x7ffffff8,0x3fffe200,0x1fffffff,0x3fff2000,
    0x7fcc03ff,0x3004ffff,0xffffffff,0x7ec07fff,0xffffffff,0xff00efff,
    0x000bffff,0xffd00544,0x00007fff,0x0ffffff0,0x3fffffc0,0x3fffff90,
    0xeffffff8,0x7cc00001,0x004fffff,0x3ffffea0,0x3ffff63f,0x3ff2624f,
    0x002fffff,0x3fffffa0,0x7ffffec0,0x7ff400ef,0x44003fff,0x30ffffff,
    0x3f67ffff,0xfe80ffff,0xffb6ffff,0xd1001fff,0x09ffffff,0x07fffff8,
    0x7fffff90,0xfffffc80,0x3ffffe2f,0x6c00002f,0x004fffff,0x2fffffe4,
    0x7ffffec0,0x3ffea007,0xffffffff,0x3ff20005,0x7d403fff,0x800fffff,
    0xe9fffff8,0xb04fffff,0xffffffff,0x1dffffff,0xffffffa8,0x74000001,
    0x003fffff,0x7fffc400,0x3ffe007f,0x3fee07ff,0x7fec1fff,0x0befffff,
    0xfffc8000,0x40000fff,0x24fffffe,0x04fffffd,0xfffffff3,0x3ffa0009,
    0x7fec0fff,0xfd006fff,0x8007ffff,0x0ffffff8,0x367ffff3,0xa80fffff,
    0xdcffffff,0x000fffff,0x9fffffd1,0x7fffff80,0xfffff700,0xfffb807f,
    0x3fffe4ff,0x400002ff,0x04fffffd,0x7ffffec0,0xffff9802,0x3ffa007f,
    0xffffcfff,0xf90000ff,0xb807ffff,0x806fffff,0x92ffffe8,0x90dfffff,
    0xffffffff,0xffffffff,0xfffffb8d,0x4000000f,0x03fffffe,0x7ffc4000,
    0xf8800fff,0x2e07ffff,0x541fffff,0xffffffff,0x000aceff,0x6fffffd8,
    0xfffc8000,0x3fff65ff,0x3fea04ff,0x004fffff,0x0fffffe8,0x7fffffec,
    0xffffe803,0x7fc4003f,0xff30ffff,0x3fff67ff,0xfffb00ff,0xffffdfff,
    0x3ff2001f,0x7c04ffff,0x1007ffff,0x9fffffff,0x6ffffd80,0x0bfffffe,
    0xfffb0000,0xff8009ff,0x8800ffff,0x007fffff,0x2ffffff3,0x03fffffe,
    0xfffff900,0xffffd807,0x7ff4405f,0x3ffea2ff,0x7ffc47ff,0xcaacefff,
    0x1fffffff,0x1ffffff2,0x3fa00000,0x0003ffff,0xffffff80,0xffff9801,
    0x3ffee07f,0xfffc80ff,0xffffffff,0xd000bdff,0x00bfffff,0xfffff700,
    0x7ffffecd,0x7fffe404,0x74002fff,0x6c0fffff,0x4fffffff,0x7fffff40,
    0x7ffc4003,0xfff30fff,0x3ffff67f,0xffff100f,0xffffffff,0xffffb001,
    0xff809fff,0x32007fff,0xefffffff,0x9ffff700,0x17fffffc,0x3ff60000,
    0x7c004fff,0x2007ffff,0x007fffff,0x29fffff9,0x06fffffb,0xfffff900,
    0xffffe807,0x7ffec04f,0x7fffd43f,0x3ffee0ff,0x3ffe05ff,0x3ff62fff,
    0x00006fff,0xfffffe80,0xfe800003,0xb802ffff,0x207fffff,0x00fffffc,
    0xfffffffd,0xffffffff,0xffff803b,0xa80004ff,0x367fffff,0x804fffff,
    0xfffffffe,0x3fffa000,0x7f64c0ff,0x201fffff,0x03fffffe,0x7ffffc40,
    0x7ffff30f,0x03fffff6,0xffffffb8,0x400fffff,0xcffffff9,0x7fffc00b,
    0x3fa2007f,0x3fffffff,0x22ffffc8,0x02ffffff,0x7ffec000,0x3e2004ff,
    0x2007ffff,0x007fffff,0x23ffffff,0x1ffffff8,0xffffb800,0x7fffc03f,
    0x3ff603ff,0xfff984ff,0x32e61fff,0x3f200ffe,0x3fa3ffff,0x8805ffff,
    0xeeeeeeee,0xfd2eeeee,0x0007ffff,0xfffffb00,0xffffd00d,0x7ffe40ff,
    0x3ff6207f,0xffffffff,0x01ffffff,0x0ffffffe,0x3ffe6000,0xfffb1fff,
    0xff3009ff,0x00bfffff,0x07fffff4,0xbfffff90,0x7fffff40,0x7ffc4003,
    0xfff30fff,0x3ffff67f,0x7fff400f,0x0fffffff,0x7fffff40,0x3fffe002,
    0x3bbba27f,0x7ffff442,0xf30dffff,0x7fc1ffff,0x0002ffff,0x7ffffec0,
    0x7fffc004,0xff8800ff,0xfa807fff,0x7ec6ffff,0x8005ffff,0x04fffffb,
    0x1ffffffc,0x05ffffc8,0x3ffffff3,0x7fd40080,0x3ffa3fff,0xf9805fff,
    0xffffffff,0xffd3ffff,0x00007fff,0xffffff30,0x7fffe407,0x3ff607ff,
    0xfe9806ff,0xffffffff,0x02ffffff,0x07ffffff,0xffff3000,0x3fff65ff,
    0xff7004ff,0x005fffff,0x03fffffa,0x0fffffd0,0x1ffffff4,0x3fffe200,
    0xffff30ff,0x3fffff67,0x7fffcc00,0x00ffffff,0x02fffffc,0x9fffffe0,
    0x883ffff9,0xfffffffe,0xfffffbff,0x7fffffc4,0x7ec00002,0x4004ffff,
    0x01fffffe,0x7fffff98,0xfffffd80,0x7ffffd43,0x7fdc000f,0x4ecdffff,
    0x27fffffc,0x037fffdc,0x1ffffff5,0x3fae2000,0x3f64ffff,0x9806ffff,
    0xffffffff,0xfd3fffff,0x3339ffff,0x33333333,0xd0333333,0x19ffffff,
    0x7ffffecc,0x3ffa07ff,0x2e6004ff,0xfffffffe,0x83ffffff,0x04ffffff,
    0xffffa800,0xffffb0ff,0x7ff4009f,0x800fffff,0x00fffffe,0x07ffffd4,
    0x3fffffe8,0x7fffc400,0xffff30ff,0x3fffff67,0xffffc800,0x200fffff,
    0x02fffff9,0x3fffffc0,0x407ffff3,0xfffffffc,0x85ffffff,0x02ffffff,
    0x7ffec000,0x7e4004ff,0xb803ffff,0x407fffff,0x0ffffff8,0x7fffffc4,
    0x7ffcc003,0x45ffffff,0x45fffffe,0x00effffa,0x1fffffee,0xfffdb980,
    0x24ffffff,0x07fffffc,0xffffff98,0x3fffffff,0xfffffffd,0xffffffff,
    0xffffffff,0xffffff50,0xffffffff,0x20ffffff,0x03fffff8,0xfffb7100,
    0xffffffff,0xfffffd81,0xffb80005,0x3ff67fff,0x22004fff,0x4fffffff,
    0xfffffe80,0x7fffcc00,0xffffd01f,0xff88007f,0xff30ffff,0x3fff67ff,
    0xff8800ff,0x0fffffff,0x3ffffea0,0x7fffc000,0x3fffe67f,0x7fff4c03,
    0x5fffffff,0x5ffffff0,0xffd80000,0x5c004fff,0x806fffff,0x07ffffff,
    0x2fffffdc,0x6fffffd8,0xffffe800,0x7ec6ffff,0x3e67ffff,0x6400ffff,
    0x206fffff,0xfffffeb8,0xffffffff,0x3fffff24,0xffff9807,0xffffffff,
    0xfffffd3f,0xffffffff,0xffffffff,0x3fff20ff,0xffffffff,0x7fffffdf,
    0x3fffff30,0x3ee60000,0x3fffffff,0x37ffffe4,0x7ffe4000,0x3fff66ff,
    0x7dc004ff,0x01ffffff,0x07fffff4,0x3ffffe20,0xfffffb02,0xfff88007,
    0xfff30fff,0x3ffff67f,0xfff5000f,0x401fffff,0x007ffffb,0x27fffff8,
    0x803ffff9,0xffffffc8,0xfff00fff,0x00005fff,0x4fffffd8,0x7fffcc00,
    0x3ff203ff,0x7407ffff,0x502fffff,0x03ffffff,0xfffffb80,0x7fe47fff,
    0xff88ffff,0xfd801fff,0xf705ffff,0xffffffff,0x9fffffff,0x7fffffd4,
    0x55554401,0xfffffaaa,0xfffffd3f,0xffffffff,0xffffffff,0x7ffe40ff,
    0x4fffffff,0x20ffffff,0x007ffffb,0xfffc8800,0x7fdc6fff,0x80007fff,
    0x25fffffd,0x04fffffd,0xfffffe80,0x7fff406f,0x7fc400ff,0xffb02fff,
    0x98007fff,0x30ffffff,0x3f67ffff,0x2000ffff,0xfffffffd,0x3fffee00,
    0xffff8007,0x3fffe67f,0x3ffaa003,0xf06fffff,0x005fffff,0xffffd800,
    0xffe8004f,0x260cffff,0xfffffffd,0x3fffe607,0x3ffe00ff,0xa8005fff,
    0x5effffff,0x7fffffd4,0x02ffffea,0x9ffffff0,0xffffff70,0xff559dff,
    0x7fc49fff,0x0004ffff,0x9ffffffc,0xfffffffe,0xffffffff,0x7fffffff,
    0x7ffffdc0,0x3ffe3fff,0xfff907ff,0xcbaa88bf,0xffd8005d,0x7fd47fff,
    0x0002ffff,0x3fffffe2,0x3fffff64,0xfff88004,0x3a03ffff,0x800fffff,
    0xb03fffff,0x009fffff,0xffffff98,0x27ffff30,0x00fffffd,0x3ffffe60,
    0x3ff200ff,0xff8007ff,0x3fe67fff,0xfc8003ff,0x84ffffff,0x02ffffff,
    0x7ffec000,0xfa8004ff,0xffffffff,0xffffffff,0x3ff207ff,0x7e405fff,
    0x000fffff,0x20137530,0xfffffff8,0x7002ffff,0x85ffffff,0xdffffffb,
    0x7fffcc0a,0x7fffec4f,0x3e0000ff,0xfd3fffff,0xffffffff,0xffffffff,
    0x00ffffff,0x17bdd951,0x06fffff8,0x985ffffd,0x00ffffff,0x7ffffd40,
    0x7ffffc47,0x3f20006f,0x362fffff,0x004fffff,0xffffff70,0x3fffa01f,
    0xfff800ff,0xfff903ff,0xfa800bff,0x3e67ffff,0xfffb3fff,0xfc8001ff,
    0x200fffff,0x006ffffc,0x27fffff8,0x003ffff9,0xffffff50,0xffffff0f,
    0x00000005,0xffffd800,0xffffffff,0x07fffffd,0x9ffffff1,0x95555555,
    0x07ffffff,0xffb00000,0x7fffffff,0x3fffe200,0x7ff40fff,0x3ea03fff,
    0x7d44ffff,0x004fffff,0x3fffffe0,0xffe80003,0x44000002,0x886fffff,
    0xff07ffff,0x8007ffff,0x87fffffa,0x2ffffffe,0xffff8800,0x4c000fff,
    0x0002abcb,0x2ab32a20,0xfffff000,0x3fffee07,0x3f2000ff,0x3e66ffff,
    0x26003fff,0x0002abcb,0x0dffff90,0xffffff00,0x01ffffcc,0x7ffc4022,
    0x3fe21fff,0x0000000f,0x7fec0000,0xffffffff,0x0ffffff4,0x3fffffee,
    0xffffffff,0x6fffffff,0x55554400,0x3ffe600a,0x004fffff,0x3ffffff2,
    0x7ffffc43,0x7fffd406,0x7fffc44f,0x98002fff,0x03ffffff,0x0fffc400,
    0x0004d440,0x17ffffe6,0x413fffee,0x0ffffffd,0x3ffff600,0xffff986f,
    0x22001fff,0x3ffffffd,0xffffb800,0x980003ff,0x04ffffff,0x04fffff8,
    0xbffffff5,0x3fffe200,0x3ffe65ff,0x3fee003f,0x0003ffff,0x037fffec,
    0x3ffffe20,0x8ffffe67,0x05fffec9,0x8ffffff2,0x00007ff9,0x55555440,
    0x7fe40001,0x23ffffff,0xd07fffff,0xffffffff,0xffffffff,0x03ffffff,
    0x7ffffcc0,0x7fffec00,0xd8800fff,0x86ffffff,0x05fffffa,0x27ffffec,
    0x7fffffd4,0xffb1004f,0x007fffff,0x00fff980,0xeeffffa8,0x7fffd402,
    0xffffd84f,0xfffff501,0x3fee00bf,0xf905ffff,0x07ffffff,0xfffffd30,
    0x3ee000df,0x03ffffff,0x7fffcc00,0x7fc05fff,0xff106fff,0x005fffff,
    0x7ffffffb,0x01ffffcc,0xffffff70,0x7f40007f,0x54006fff,0x267fffff,
    0x3e63ffff,0x901fffff,0x545fffff,0x000007ff,0x27ffffd4,0x76dc4000,
    0x7ffc0bce,0xfff986ff,0xffffffff,0xffffffff,0x2005ffff,0x00fffff9,
    0x7fffffcc,0xfd5103ff,0x03ffffff,0x1ffffff3,0x3ffffee0,0xffffb04f,
    0x4137dfff,0xfffffcb9,0x0003ffff,0x4017ffd4,0xfffffff8,0xfffff300,
    0xffff885f,0x3fffe206,0x980affff,0xfffffffd,0xfffff101,0x4435bfff,
    0xffffffca,0x210001ff,0x06fffea9,0xffb31000,0x7ff401ff,0xfc80bfff,
    0x1cffffff,0xfffffda8,0x7fffcc7f,0x754c2003,0x88006fff,0x05fffffc,
    0xffffcab8,0x3ffe66ff,0x7ffff43f,0x7ffc40df,0x3fee1fff,0x2000000f,
    0x04fffffa,0x3e200000,0xfc86ffff,0xffffffff,0xffffffff,0x0fffffff,
    0xfffff300,0xffffb801,0xdeffffff,0xffffffed,0xff104fff,0x4c3bffff,
    0xfffffffc,0xfffff104,0xffffffff,0xffffffff,0x0005ffff,0x005fffa8,
    0xffffffff,0xfffdb77b,0xff70dfff,0xffa803ff,0xffffffff,0xffffffee,
    0x7dc06fff,0xffffffff,0xffffffff,0x005fffff,0x1fffea00,0xfff10000,
    0x7ffe401f,0x227fffff,0xffffffff,0xffffffff,0x4c3fffff,0x0003ffff,
    0x801fffea,0xffffffff,0x7ffc403f,0x24ffffff,0x5c3ffff9,0xdfffffff,
    0xffffffdb,0x01fffe47,0xfff50000,0xa88009ff,0x7fcc0009,0xfff85fff,
    0xeeeeefff,0xeeeeeeee,0x03ffffff,0x1fffff30,0x7ffffd40,0xffffffff,
    0xffffffff,0x3fa00dff,0xfeffffff,0xffffffff,0x3ffa605f,0xffffffff,
    0xffffffff,0x0002ffff,0xadffff98,0xfffa83a8,0xffffffff,0x1fffffff,
    0x005fffe8,0xfffffff9,0xffffffff,0x001fffff,0xfffffff9,0xffffffff,
    0x01bfffff,0x3ffa2000,0x6400005f,0x7c407fff,0x7fffffff,0x7fffffe4,
    0xffffffff,0x987fffff,0x0003ffff,0x00bfffd1,0x7ffffffc,0x7fd400ff,
    0x2fffffff,0x20ffffe6,0xfffffffd,0xffffffff,0x67fffd42,0x00003a89,
    0x09fffff5,0xeffffa80,0x7ffd403e,0x7ffd43ff,0xe8000fff,0x006fffff,
    0x40dffff3,0xfffffff9,0xffffffff,0xffffffff,0xffff9802,0xffffffff,
    0x07ffffee,0x7ffffec4,0xffffffff,0x0dffffff,0x3ffa0000,0x907fffff,
    0xffffffff,0xffffffff,0x1ffff309,0x7fffec00,0xffffffff,0x01ffffff,
    0x3ffffa60,0xffffffff,0x002fffff,0xffdbdd90,0x0003ffff,0xffdbbdd5,
    0xf9007fff,0x0fffffff,0xfffffff7,0xffffffff,0xff303dff,0xeec807ff,
    0xffffffed,0x3fffe001,0xc804ffff,0xffffffff,0x1ffffcc4,0x7fffff44,
    0xffffffff,0xfffff884,0x00006fff,0x07fffff5,0xfffff880,0xfff300ff,
    0xffd83fff,0x70005fff,0x03ffffff,0x8827f440,0xc89fffff,0xffffffff,
    0x0dffffff,0x3fffee00,0x74ffffff,0x005fffff,0xffffffd7,0xffffffff,
    0x000003bf,0xfffffff3,0x7fffdc0f,0xffffffff,0xfffb02ef,0xffd50009,
    0xffffffff,0x001bffff,0x3fffff20,0xffffffff,0x320000df,0xffffffff,
    0xff50001e,0x7fffffff,0x3fff6200,0xfd307fff,0xffffffff,0x409fffff,
    0x403ffff9,0xfffffffc,0x7fc001ef,0x00cfffff,0xffffffd8,0xffff986f,
    0xffff9103,0x7fffffff,0x7ffffdc0,0x300006ff,0x005ffd99,0xfffffff0,
    0xffd977bf,0xf88fffff,0x002fffff,0xffffff10,0x3ff6200b,0x5ffff301,
    0xfffffc88,0x02ceffff,0xffffb100,0x7fcc5dff,0x26005fff,0xfffffffc,
    0x000adfff,0x7ff4c000,0xda803cef,0xeffffffe,0x3ffe203d,0x3ae0000f,
    0xffffffff,0x80002dff,0xfffffdc9,0x002cefff,0xeffeeb80,0x4c0001de,
    0x2deeffee,0xfffb3000,0x7f6440ff,0xffffffff,0x7fcc01df,0x775c03ff,
    0x001deeff,0x19fffff0,0x7fffe400,0xff980ace,0x76c403ff,0x0cefffff,
    0xefffea80,0x4400002c,0xb8000fff,0xffffffff,0xffffffff,0x7ffdc2ff,
    0x6c0007ff,0x00ffffff,0x202fffd4,0xa9803fe8,0x00000aba,0x000dd4c4,
    0xba988000,0x000019ab,0x00026000,0x31000660,0x40000133,0x1aabca99,
    0x4c400000,0x00000aba,0x00000000,0x33100000,0x2aaa2003,0x4001aabb,
    0x00009999,0x13330000,0x00988000,0x00133330,0x40000988,0x26000001,
    0x20004ffe,0xfffffffc,0xffffffff,0xffffe84f,0x7d40004f,0x403fffff,
    0x71005ff9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001dfff9,0xfffffb80,0xffffffff,0xffff982f,
    0xf80001ff,0x806fffff,0x0000002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffa80000,0x2a00000e,0xffffffed,
    0xffb00adf,0x0000dfff,0x3ffffff2,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,0x30000002,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeccaa800,0x02bcdefe,0x3e600000,0x001fffff,0x207ffffc,
    0x002ffffe,0x55555500,0x00000005,0xceeedb88,0x930001ab,0x00039999,
    0xfffff900,0x3ff60007,0x00bff201,0x99991000,0x26662059,0x20000099,
    0x00aaaaaa,0xa9fffe20,0x500aaaaa,0x40055555,0x01fffffe,0x00030000,
    0x0d55554c,0x55554c00,0x55541aaa,0xa80002aa,0x001aaaaa,0x0aaaaaa8,
    0x3ffffa20,0x3200001f,0x0003cccc,0xffc98000,0xffffffff,0x002dffff,
    0x7ffec000,0xff8002ff,0x7ff40fff,0x880002ff,0x1fffffff,0x30000000,
    0xffffffff,0xf88005ff,0x00efffff,0x3ffea000,0x8001ffff,0xff105ffb,
    0xe800001f,0x81ffffff,0x05fffffc,0x3fffa000,0x3f2000ff,0x3fffa4ff,
    0xffff00ff,0x3ff200ff,0x000fffff,0x33ffaa00,0x7ffec000,0x7d4004ff,
    0x0fffffff,0x03fffffc,0x7ffff400,0x7fc4003f,0x3200ffff,0x06ffffff,
    0xffff9000,0x000005ff,0xffffd710,0xffffffff,0x5fffffff,0xff300000,
    0x20005fff,0x740fffff,0x0002ffff,0xffffffb8,0x0000005f,0xfffffe88,
    0x000fffff,0x7fffffec,0xf100005f,0xdfffffff,0x7fff3000,0x037fed43,
    0x3ffee000,0xfc86ffff,0x0005ffff,0x3fffffa0,0xffff3000,0x7fffff43,
    0xffffff00,0xfffff300,0x0000bfff,0x1bffffee,0xfffffb00,0x7ffd4009,
    0xf80fffff,0x0007ffff,0x3fffffe8,0x7fffc400,0xfff500ff,0x009fffff,
    0xfffffa80,0x00000fff,0x3ffffe60,0xffffffff,0xffffffff,0x00000dff,
    0x00fffff2,0x0fffff80,0x017ffff4,0x7ffff400,0x0000ffff,0x7ffec000,
    0x6fffffff,0x7fffdc00,0x002ffffe,0xbffffd80,0x8004ffff,0xfffffffc,
    0x00001fff,0x3fbfffe6,0x7fe44fff,0x00005fff,0x03fffffa,0x22fffec0,
    0x00fffffe,0x80ffffff,0xfcefffe8,0x80002fff,0x1ff98bff,0x3ffff600,
    0xfff3004f,0x203fffff,0x007fffff,0xfffffe80,0x7ffc4003,0xff880fff,
    0xffffddff,0xfff10001,0x0bffffdf,0x3fee0000,0xabdfffff,0x372ea619,
    0x1fffffff,0xfff88000,0x7fc0004f,0x7ff40fff,0x4c0002ff,0xffffffff,
    0x0000003f,0x7ffffffc,0x2004ffff,0xfd5ffff8,0x40001fff,0xf92ffffb,
    0xd0005fff,0xffffffff,0x74400007,0xfffb6fff,0x7fffe43f,0x3a00005f,
    0x800fffff,0x742ffff9,0xf00fffff,0xd80fffff,0xffd1ffff,0x540001ff,
    0x002fe46f,0x09fffffb,0xffffff30,0x7ffc03ff,0xe80007ff,0x003fffff,
    0x7fffffc4,0x8ffffd80,0x00ffffe8,0x8ffffd80,0x003ffffb,0x3fff6200,
    0x8000beff,0xffffffc8,0x7fe40001,0x9980004f,0x99988199,0x7e400009,
    0xffffffff,0x20000006,0xcffffff9,0x2002cb9a,0xf10efffe,0x2000bfff,
    0x744ffff9,0x8000ffff,0x1efffffb,0x7fe40000,0xfffd11ff,0x3ffff21d,
    0x3a00005f,0x800fffff,0xfe87fffd,0xff00ffff,0x7d40ffff,0x3fe23fff,
    0x260005ff,0x0027e47f,0x09fffffb,0xffffff88,0x7ffc01ff,0xe80007ff,
    0x003fffff,0x7fffffc4,0x17fffdc0,0x00bffff3,0x22ffffb8,0x000ffffd,
    0xdffffd00,0x36600005,0x000effff,0x000aaaa0,0x00000000,0xffffff88,
    0x001fffff,0xfff70000,0xa8000dff,0x7541eeee,0x98002eee,0x5440aaaa,
    0x20001aaa,0x00000198,0x887dddd3,0xff93eeee,0x0000bfff,0x00ccccc4,
    0x427fffcc,0x20199998,0x20199999,0xa982aaaa,0x20000aaa,0x1ffcadfe,
    0x3ffff600,0x3ffa204f,0x801fffff,0x007fffff,0xfffffe80,0x7ffc4003,
    0x55540fff,0xaaaa982a,0xdddb1000,0x4eeed889,0xfffc8000,0x800000ef,
    0x005ffffa,0x00000000,0xfa800000,0xffffffff,0x000005ff,0x7fffff90,
    0x00000000,0x00000000,0x00000000,0xfffc8000,0x000005ff,0xffffe800,
    0x00000001,0x50000000,0x00bfffff,0x4fffffd8,0xfffffd10,0x3fe005ff,
    0x80007fff,0x03fffffe,0x7ffffc40,0x0000000f,0x00000000,0x009ffff5,
    0x3ee00022,0x00002fff,0x00000000,0x7fff4000,0xfffffcff,0x8000000f,
    0x00fffffe,0x00000000,0x00006200,0x00001880,0x7e400000,0x0005ffff,
    0x7fd40000,0x000007ff,0x00000000,0x016fe440,0x7ffffec0,0xfffffb04,
    0x7fc005ff,0x80007fff,0x03fffffe,0x7ffffc40,0x0000000f,0x80000000,
    0x204ffff8,0xceffeca8,0x8b333321,0xeb86fffd,0x2004eeee,0x73eeeeeb,
    0x009ddddd,0x1f77775c,0xfffff980,0x7fffffd7,0xee980000,0xffffffee,
    0x0002eeee,0x33bb6ea2,0x540000ab,0x0bdfffed,0x017bbbae,0x7bfffdb5,
    0x2f7775c1,0x2aaa6000,0xfff902aa,0x40000bff,0x00eeeeed,0x413ffff6,
    0x00eeeeed,0x2ebddddd,0x004eeeee,0x4fbbbbae,0x01aaaaaa,0xaaaaaa80,
    0x9fffffb0,0xffffffb0,0xfff8005f,0x3ba607ff,0xfd0deeee,0x8007ffff,
    0x0ffffff8,0x377776c0,0x2aaaaaa0,0x2aa0001a,0x200aaaaa,0x2a06fffe,
    0xffffffff,0xfffff8af,0x07fffe23,0x1ffffff3,0x3ffffe00,0xfffff31f,
    0x3ffe001f,0xf9001fff,0x3ee9ffff,0x0006ffff,0x7ffffdc0,0xffffffff,
    0xffc8001f,0xffffffff,0xfd8000df,0xffffffff,0x0fffff91,0x7fffffec,
    0xfff91fff,0xfb8000ff,0xf906ffff,0x000bffff,0x7fffff40,0x3ffffe00,
    0xfffffd02,0x3ffffe01,0xffffff37,0x3fffe001,0xffffd1ff,0xff88007f,
    0xffb0ffff,0xffc89fff,0x002fffff,0x07fffff8,0xfffffff1,0x7fffff43,
    0x7ffc4003,0x7fc00fff,0x7dc07fff,0x006fffff,0xffffff70,0x7fffcc0b,
    0xfffff501,0xfbffffff,0xfa85ffff,0xfffe84ff,0xff9803ff,0x7ff46fff,
    0xf9803fff,0x2006ffff,0x11ffffff,0x03ffffff,0x7ffec000,0xffffffff,
    0x26000fff,0xfffffffe,0x3fffffff,0xffffd300,0x5fffffff,0x30fffff9,
    0xfffffffd,0xff95ffff,0xb8000fff,0x906fffff,0x00bfffff,0x7ffff400,
    0xffff300f,0x3fffa01f,0xffff00ff,0x7ffff4ff,0xfff9803f,0x3fffa6ff,
    0x7c4003ff,0xfb0fffff,0x7e49ffff,0x03ffffff,0xffffff00,0xfffffd10,
    0xffffe85f,0x7fc4003f,0x7c00ffff,0xe807ffff,0x03ffffff,0x7ffffc40,
    0x3ff200ff,0xffff504f,0xfffdbdff,0x81ffffff,0xfb87fff8,0xc805ffff,
    0x5c3fffff,0x805fffff,0x03fffffc,0xdfffff50,0x5fffffd8,0x3ffa0000,
    0xffffffff,0x2e007fff,0xffffffff,0xffffffff,0x7ff400ef,0xffffffff,
    0xffffefff,0xfffffe87,0xffffffff,0x007ffffe,0x7ffffdc0,0xfffff906,
    0x7f40000b,0xf900ffff,0x7f40ffff,0xff00ffff,0x7fdcffff,0xfc805fff,
    0x3fa3ffff,0x4003ffff,0x0ffffff8,0x29fffffb,0xfffffffb,0x3ffe0003,
    0xfffe87ff,0xffe82fff,0x44003fff,0x00ffffff,0x03fffffc,0x7fffffcc,
    0x3ff6000f,0x2203ffff,0xfb80ffff,0x540dffff,0x6fffffff,0x881ffff0,
    0x00ffffff,0x07fffffc,0x3fffffe2,0x7ffffc00,0xfffb000f,0xfffa87ff,
    0x00000fff,0xffffdddb,0x09ddddff,0x3fffffa0,0xffffffff,0x06ffffff,
    0x3fffffea,0xfffdbbcf,0x547fffff,0xcfffffff,0xfffffdbb,0x40007fff,
    0x06fffffb,0x0bfffff9,0x7fff4000,0xfffd00ff,0x7fff40df,0xffff00ff,
    0x7fffc4ff,0x7ffc00ff,0x3ffa0fff,0x44003fff,0xb0ffffff,0xf59fffff,
    0x9fffffff,0x7fffc000,0x7fffec7f,0xfffd03ff,0xf88007ff,0x400fffff,
    0x007fffff,0x9ffffff9,0x3fffe600,0x7fdc06ff,0xffff885f,0x3ffea05f,
    0xffb05fff,0xffffb03f,0x7ffcc07f,0xfffb05ff,0x7fcc07ff,0xf1005fff,
    0x881fffff,0x03ffffff,0xfffd0000,0xf70001ff,0xdfffffff,0xffffd99b,
    0x3a09ffff,0x80efffff,0xffffffe9,0x7fffff47,0xfffe980e,0x40007fff,
    0x06fffffb,0x0bfffff9,0x7fff4000,0xfff880ff,0x3ffa05ff,0xfff00fff,
    0xfffd8fff,0x3fe603ff,0x7ff45fff,0x44003fff,0xb0ffffff,0xffdfffff,
    0xffffffff,0x3ffe0003,0x3fff27ff,0x3fa03fff,0x4003ffff,0x0ffffff8,
    0x3fffffc0,0xffffe880,0xffe801ff,0x7401ffff,0xffc82fff,0xffe806ff,
    0xff703fff,0xffff505f,0x7ffe40bf,0xfff502ff,0x7fe40bff,0xf7002fff,
    0x360bffff,0x006fffff,0xfffff000,0xfff1000f,0x201bffff,0xffffffd9,
    0x7fffdc1f,0x3fe200ff,0x3ee7ffff,0x200fffff,0x7ffffff8,0x7ffdc000,
    0xfff906ff,0x40000bff,0x80fffffe,0x04fffff9,0x03fffffa,0x23fffffc,
    0x05fffffa,0x0bfffff2,0x07fffffd,0xfffff880,0xfffffb0f,0xffffffff,
    0x2000dfff,0xf77fffff,0x809fffff,0x03fffffe,0x7ffffc40,0x7fffc00f,
    0x3fea007f,0x5406ffff,0x04ffffff,0xf887fff8,0xd802ffff,0x501fffff,
    0x3fe07fff,0xfd00ffff,0xff80ffff,0xfd00ffff,0x7400ffff,0x502fffff,
    0x03ffffff,0xfff98000,0xfc8006ff,0x003fffff,0x9ffffffb,0x4fffffc8,
    0xfffffc80,0x3fffff27,0xffffc804,0x7dc0007f,0xf906ffff,0x000bffff,
    0x7fffff40,0xfffffa80,0x3ffffa03,0xfffff00f,0xffffff0f,0x3ffffa01,
    0xfffffe87,0x7ffc4003,0xfffb0fff,0xffffffff,0x07ffffff,0xffffff00,
    0x9ffffff5,0xfffffd00,0xfff88007,0x7fc00fff,0x6c007fff,0x03ffffff,
    0xdffffff1,0x0bfff100,0x00fffff9,0x03fffff2,0xc817ffe4,0x983fffff,
    0x404fffff,0x83fffffc,0x04fffff9,0xffffff30,0x7ffffc01,0x5400005f,
    0x004fffff,0x7fffffcc,0x7fff4003,0x7ffec7ff,0xff9801ff,0x3ff67fff,
    0xf9801fff,0x0007ffff,0x37ffffdc,0x5fffffc8,0x3ffa0000,0xffb80fff,
    0x3fa02fff,0xff00ffff,0xff90ffff,0xff307fff,0xffd09fff,0x88007fff,
    0xb0ffffff,0xffffffff,0xfffff9ff,0xff8001ff,0xffffffff,0xffd006ff,
    0x88007fff,0x00ffffff,0x03fffffc,0x3ffffe20,0xfffc80ff,0xf9802fff,
    0xffff84ff,0xfffb004f,0x7fff40df,0xfffff300,0xfffff90b,0xffff9803,
    0xffffc85f,0xfff9001f,0xffc80bff,0x0000ffff,0x3fffff20,0x7fff4003,
    0x5c000fff,0x20bdffff,0x00fffffe,0x7fffff88,0x03fffffa,0x3ffffe20,
    0x7fdc0007,0xff906fff,0x0000bfff,0x07fffff4,0x17ffffdc,0x1fffffd0,
    0x1fffffe0,0x17ffffe6,0x07fffff2,0x0ffffffa,0xfffff100,0x3ffff61f,
    0xf73fffff,0x00bfffff,0xfffffff8,0x00ffffff,0x3fffffe8,0x7fffc400,
    0x7ffc00ff,0xfb8007ff,0x444fffff,0x05ffffff,0x887fff50,0x003fffff,
    0x209ffffd,0x7407fff8,0x740fffff,0xd006ffff,0xe81fffff,0x1006ffff,
    0x59ffffff,0xf9555555,0x007fffff,0x7fffec00,0x7ffc001f,0x88003fff,
    0x3ffe00ac,0x3fe007ff,0x3ffe7fff,0x3fe007ff,0x40007fff,0x06fffffb,
    0x0bfffff9,0x7fff4000,0xfffc80ff,0x3ffa01ff,0xfff00fff,0x3ffa0fff,
    0x7ff40fff,0xfffd06ff,0xf88007ff,0xfb0fffff,0x9fffffff,0xffffffe8,
    0x3fffe003,0xffffffff,0xfffd805f,0x7c4003ff,0x400fffff,0x007fffff,
    0xffffffd0,0x7ffffec3,0xfff7000f,0xfffff985,0xffff8801,0xdfff503f,
    0xfffffb80,0x3ffffe63,0xffff7004,0x7fffcc7f,0xfff7004f,0xffffffff,
    0xffffffff,0x40000dff,0x00fffffe,0x3ffffe20,0x1000000f,0x00ffffff,
    0x8bfffffc,0x007fffff,0x01fffffe,0xfffff700,0x3ffff20d,0x3a00005f,
    0xd80fffff,0x200fffff,0x00fffffe,0x20ffffff,0x23fffffb,0x04fffff9,
    0x07fffffd,0xfffff880,0xfffffb0f,0xfff509ff,0x2001ffff,0xffffffff,
    0x02ffffff,0x1fffffec,0x3fffe600,0xffff807f,0xff30007f,0x3eadffff,
    0x002fffff,0xf507fff2,0x3001ffff,0x203fffff,0x4404fffc,0x2e5fffff,
    0x001fffff,0x4bfffff1,0x01fffffb,0xffffffd0,0xffffffff,0xffffffff,
    0xff100003,0xa800ffff,0x007fffff,0x3ffe2000,0xf8800fff,0xff17ffff,
    0x1001ffff,0x00ffffff,0xfffffb80,0xfffff906,0x7f40000b,0xfc80ffff,
    0x3a00ffff,0xf00fffff,0x220fffff,0x2e5fffff,0xd01fffff,0x007fffff,
    0xffffff88,0xffffffb0,0x7fffec09,0xfff005ff,0xffffffff,0xfd80dfff,
    0x4004ffff,0x07fffff9,0x07fffff8,0x3ffff200,0xffffeaff,0x7fe4005f,
    0x7fffe41f,0xffff7007,0x3fffe20f,0xffffd801,0xdffffd0f,0xffffd800,
    0xdffffd0f,0x3fffe600,0xffffffff,0xffffffff,0x80005fff,0x05fffff9,
    0x7ffffdc0,0x7c000006,0x801fffff,0x27fffff9,0x01ffffff,0x7fffff98,
    0x7ffdc000,0xfff906ff,0x40000bff,0x80fffffe,0x01fffffb,0x03fffffa,
    0x03fffffc,0x21fffffb,0x206ffffe,0x03fffffe,0x7ffffc40,0xfffffb0f,
    0xffff980b,0xff802fff,0xe8ffffff,0x203fffff,0x05fffffc,0x7ffffd40,
    0xfffff807,0x7ff40007,0xffffffff,0x7dc000ff,0x7ffe42ff,0xfff8807f,
    0xfffd06ff,0x3ffea00b,0xffff9aff,0x7fd4003f,0xfff9afff,0xff9003ff,
    0xffffffff,0xffffffff,0x01ffffff,0xffffa800,0x7fe4004f,0x00006fff,
    0x7fffff40,0xffffb802,0x3ffffa7f,0xfffb802f,0x5c0007ff,0x906fffff,
    0x00bfffff,0x7ffff400,0xffffb80f,0x3fffa01f,0xffff00ff,0x7ffd40ff,
    0xffff9aff,0x3fffa03f,0x7c4003ff,0xfb0fffff,0x9009ffff,0x1fffffff,
    0xffffff80,0xfffff30f,0x3ffee01f,0x32000fff,0x806fffff,0x007fffff,
    0x7ffffcc0,0x03ffffff,0x43fffa80,0x00fffffa,0x27ffffdc,0x007fffec,
    0x7bfffff0,0x001fffff,0x7bfffff0,0x001fffff,0x3bfffffe,0xeeeeeeee,
    0xffffeeee,0x640003ff,0x002fffff,0x2fffffec,0x3f600000,0xe806ffff,
    0x367fffff,0x806fffff,0x07fffffe,0x7fffdc00,0xffff906f,0x740000bf,
    0xa80fffff,0x202fffff,0x00fffffe,0x80ffffff,0xfbdfffff,0x3a00ffff,
    0x003fffff,0x7fffffc4,0x9fffffb0,0xfffff100,0xfff80bff,0x7fec1fff,
    0xff304fff,0x200bffff,0x4ffffff8,0x7fffff80,0xfffd8000,0x06ffffff,
    0x89fff300,0x02fffff9,0x3fffffe2,0x27fffdc2,0x3ffff200,0x05ffffef,
    0xfffff900,0x00bffffd,0x3fffffea,0xfffe8000,0x6c0006ff,0x001fffff,
    0x27fffff4,0x3e600000,0x203fffff,0x7ffffffc,0x3fffffe6,0x3ffff203,
    0x5c0007ff,0x906fffff,0x00bfffff,0x7ffff400,0xffff980f,0x3fffa03f,
    0xffff00ff,0xfffc80ff,0x5ffffeff,0x7fffff40,0x7ffc4003,0xfffb0fff,
    0x3ee009ff,0x02ffffff,0x21fffffe,0x1ffffff8,0xffffff88,0xfffd802f,
    0xff803fff,0x80007fff,0xfffffff8,0xf10001ff,0xfff88dff,0x3ff606ff,
    0xf711ffff,0x8001dfff,0xfffffff9,0x30002fff,0xffffffff,0x3f6005ff,
    0x0005ffff,0x3ffffff7,0x7fffc000,0x7ec000ff,0x0005ffff,0xffffe800,
    0x3f660cff,0x47ffffff,0xcffffffe,0x3ffff660,0x40007fff,0x06fffffb,
    0x3bfffff9,0x33333333,0x41333333,0x80fffffe,0x04fffff8,0x03fffffa,
    0x03fffffc,0x3fffffe6,0x7402ffff,0x003fffff,0x7fffffc4,0x9fffffb0,
    0x7ffff400,0xfff00fff,0x3ff20fff,0xffd05fff,0x039fffff,0xffffffb5,
    0xffff003f,0x2a0000ff,0x4fffffff,0x7fff4000,0x7ffffe41,0xffea88bf,
    0xfcdfffff,0x001fffff,0xffffffd0,0xe8000fff,0xffffffff,0xffff1007,
    0x220005ff,0x05ffffff,0xfffff100,0xfff9000d,0x00000dff,0xffffff50,
    0xffffffff,0xa8ffffff,0xffffffff,0xffffffff,0x40007fff,0x06fffffb,
    0xfffffff9,0xffffffff,0x47ffffff,0x00fffffe,0x409ffffd,0x00fffffe,
    0x00ffffff,0xfffffffd,0xfffd00ff,0xf88007ff,0xfb0fffff,0x4009ffff,
    0xfffffff9,0xffffff04,0x3ffffe20,0xffff982f,0xffffffff,0xffffffff,
    0xffff005f,0x6c0000ff,0x00ffffff,0x2fffdc00,0x7ffffff4,0xffffffff,
    0xffffffff,0x2e0001ff,0xffffffff,0x7fdc0004,0x04ffffff,0xffffff70,
    0xfffd8000,0x98000fff,0x005fffff,0x7fffffb8,0xf9000000,0xffffffff,
    0xffffbfff,0xffff90ff,0xffffffff,0x0ffffffb,0xffffb800,0xffff906f,
    0xffffffff,0xffffffff,0x7ffff47f,0xffff900f,0x7ffff40d,0xfffff00f,
    0xffff700f,0xb009ffff,0x007fffff,0xffffff88,0x9fffffb0,0xffffd800,
    0xfff81fff,0x3fee07ff,0xffb06fff,0xffffffff,0xffffffff,0x3fe003ff,
    0x00007fff,0x17fffff2,0x3ffe2000,0x7fffcc0f,0xefffffff,0xffffffff,
    0x40000dff,0xfffffff8,0x7c40001f,0x1fffffff,0xfffffd00,0xffa80009,
    0x8003ffff,0x03fffffb,0xfffffa80,0x002a0007,0xffffffc8,0xfff4ffff,
    0x3ff20fff,0xffffffff,0x0ffffff4,0xffffb800,0xffff906f,0xffffffff,
    0xffffffff,0x7ffff47f,0xffff500f,0x3fffa01f,0xffff00ff,0xfff100ff,
    0x003fffff,0x07fffffb,0xfffff980,0xfffffb0f,0xfff88009,0xff86ffff,
    0x7f407fff,0xf903ffff,0xffffffff,0xffffffff,0x7ffc003f,0x200007ff,
    0x05fffffc,0xbfffb000,0xfffffb10,0x3ffa3dff,0x03efffff,0x3fff6000,
    0x00006fff,0xdffffffb,0x3fffe600,0xf80001ff,0x006fffff,0x2fffffc8,
    0xffff8800,0xf88001ff,0xfb801bef,0x3fffffff,0x81fffffe,0xfffffffb,
    0x3ffffe3f,0xb8033107,0x905fffff,0xffffffff,0xffffffff,0x747fffff,
    0x100fffff,0x205fffff,0x00fffffe,0x00ffffff,0x3ffffff6,0xffffb006,
    0xff98009f,0xffb0ffff,0x90009fff,0x9fffffff,0x07fffff8,0x7fffffd4,
    0xfffff700,0xffffffff,0xf8001dff,0x0007ffff,0x3fffff20,0xff300005,
    0x3b2a09ff,0x764c2cef,0x2a01ceef,0xf5001aaa,0x007fffff,0x3fffea00,
    0xffb003ff,0x0000dfff,0x3ffffff2,0x7ffec001,0xff0001ff,0x000bffff,
    0x3dfffff5,0xdeeca880,0x7ffffc0b,0x77654406,0x7fffc0bd,0xfffdd16f,
    0xffffc80d,0xffff905f,0xffffffff,0xffffffff,0x7ffff47f,0x3fff600f,
    0xffffd04f,0xffff101f,0x3fea00ff,0x9003ffff,0x00bfffff,0x7fffffa8,
    0x13fffff6,0x7ffff400,0x3ffe1fff,0xffe807ff,0x75c04fff,0xffffffff,
    0xf0001cff,0x000fffff,0x7ffffe40,0x3f200005,0x00003fff,0x3fffa200,
    0xfff3000e,0x00001fff,0x3fffffe6,0x00000000,0x000dff70,0x07fffff8,
    0x3ffff600,0x7f4001ff,0x0007ffff,0x3ffffe20,0xff100006,0x3fe2dfff,
    0x7e407fff,0x8005ffff,0x001abcba,0x5001fff8,0x000dffff,0xdfffff10,
    0x3fffe600,0xff7000ff,0x4001ffff,0x06fffffc,0x155e5cc0,0x97100000,
    0x80000559,0x09aeffd9,0xffff8000,0x3200007f,0x005fffff,0x7ffff400,
    0x88000003,0x001ffffe,0x1bfffff6,0xfffd8000,0x000006ff,0x17ff2000,
    0xffff8800,0x3e20006f,0x005fffff,0x3ffffff2,0x0004d443,0x97ffffe6,
    0x4c0009a8,0x3e5fffff,0x200fffff,0x04fffffe,0xfffffe80,0xfff1001e,
    0x7fffc001,0x7c40000f,0xb006ffff,0x00dfffff,0x7fffffd4,0xffff1005,
    0xfb800bff,0x003fffff,0xffffa800,0x200004ff,0x00003ffd,0x03fffffc,
    0xffff9000,0x880000bf,0x01efffff,0xffd50000,0x7cc009ff,0x003fffff,
    0xfffff300,0x0000007f,0x027ff400,0xfffff700,0xffb80009,0x400effff,
    0xfffffffa,0x77fffd40,0x7ffd402e,0x3ffea4ff,0x7d402eef,0x3f64ffff,
    0xf304ffff,0x005fffff,0xffffffd0,0xfff3001f,0x7ffe4001,0x7dc0002f,
    0x9806ffff,0x03ffffff,0x3ffffe20,0xffd802ff,0x4003ffff,0xfffffffb,
    0x7d400003,0x03ffffff,0x07ffd000,0x7ffd4000,0x200007ff,0x05fffffc,
    0xfffa8000,0x0001cfff,0xfffffd50,0x7ff4400b,0x0000ffff,0xfffffe88,
    0x0000000f,0x01bffe00,0xffea8262,0x80002fff,0xfffffffe,0x3ff6621b,
    0x885fffff,0x0fffffff,0xffffff30,0x7ffffc45,0xfff300ff,0x7fe45fff,
    0x260cffff,0x0ffffffe,0xfb988800,0xfa802fff,0x3e2002ff,0xb8005fff,
    0xffffffca,0x7fff4405,0x64000fff,0xcfffffff,0xffffda81,0x308007ff,
    0x00dfffd5,0xfd530800,0x20000dff,0x40005fff,0xfffffcab,0x3200006f,
    0x005fffff,0xfffd3000,0x0159ffff,0x3fff6e20,0x2203ffff,0xffffdcce,
    0x88003fff,0xffffdcce,0x00003fff,0x7ffc0000,0x7ffd400f,0xffffffff,
    0xffa80000,0xffffffff,0xffffffff,0xfff00eff,0x77bfffff,0xffffffdb,
    0xffffff0d,0xfdb77bff,0x88dfffff,0xffffffff,0xffffffff,0xfb00004f,
    0xff7007ff,0xffd8009f,0x3e6000ff,0xffffffff,0x3f733a23,0x03ffffff,
    0xfffff880,0xffffffff,0xffffffff,0xffa80003,0x4000007f,0x0007fff9,
    0x000ffff0,0x7fffffc4,0x00004fff,0x17fffff2,0xff900000,0xffffffff,
    0xffdddddf,0xffffffff,0xfff8803f,0xffffffff,0xfff88000,0xffffffff,
    0x00000000,0x5f7fff40,0x3ff61a98,0xffffffff,0x3ee00005,0xffffffff,
    0xffffffff,0x3fea00ff,0xffffffff,0xffffffff,0xfffffa81,0xffffffff,
    0xc81fffff,0xffffffff,0xffffffff,0xffa80000,0xff9801ff,0x03a89dff,
    0x00ffffe2,0xffffffb8,0x3fe21fff,0xffffffff,0xff90000f,0xffffffff,
    0xffffffff,0xd10000ff,0x0000bfff,0x2fffec40,0xfffe8000,0x801a98be,
    0xfffffffa,0x200001ff,0x05fffffc,0xfe980000,0xffffffff,0xffffffff,
    0x0cffffff,0xffffff00,0x0005ffff,0x7ffffffc,0x00002fff,0xffb80000,
    0x23ffffff,0xffffffff,0x00002fff,0x7fffff4c,0xffffffff,0xfc801fff,
    0xffffffff,0x4fffffff,0x3fffff20,0xffffffff,0xff104fff,0xffffffff,
    0x003fffff,0x7f6f7744,0x2005ffff,0xffffffff,0x37ffe407,0xfffff900,
    0xfff07fff,0x5fffffff,0xfffb8000,0xffffffff,0x1effffff,0x3b7bb200,
    0x01ffffff,0xedeeb800,0x02ffffff,0xffff9000,0x9007ffff,0xffffffff,
    0xfc800009,0x0005ffff,0x3fae2000,0xffffffff,0xffffffff,0xffe8002d,
    0x02ffffff,0x7ffff400,0x0002ffff,0x3a000000,0x3fffffff,0xfffffff1,
    0x00007fff,0x7ffffe40,0xffffffff,0x3fee000c,0xffffffff,0xb802efff,
    0xffffffff,0x02efffff,0x7ffffec4,0x1fffffff,0x7fffc400,0x005fffff,
    0x7fffffd4,0x7ffc407f,0xfffd002f,0x3a0bffff,0xffffffff,0xfd300002,
    0xffffffff,0x009fffff,0xffffff90,0x00003dff,0x3ffffff2,0x00002fff,
    0x7ffffff4,0xfffd803f,0x0006ffff,0xfffffc80,0x00000005,0xfffdd971,
    0x79bdffff,0x7fec0001,0x000befff,0xfffffd80,0x000000be,0xffb80000,
    0x9711bdff,0x5bdffffd,0x95000000,0xfffffffd,0x5400019f,0xffffffed,
    0xda8003de,0xeffffffe,0x7f54003d,0xbeffffff,0xffdb0000,0x00017ddf,
    0x33bfffa6,0x5fffa803,0xdffffb00,0x7ffec059,0x0000beff,0x7fff6440,
    0xdfffffff,0xfdd70001,0x0003bddf,0xeffeea80,0x000002de,0x7bffff91,
    0xfffd9001,0x000019ff,0xbfffff90,0x00000000,0x00001310,0x00009880,
    0x00026200,0x00000000,0x06200188,0x20000000,0x0009aba9,0x00066000,
    0x00019800,0x26aea620,0x00000001,0x00013000,0x88003333,0x04c40009,
    0x51000000,0x03557755,0x00000000,0x00000000,0x00002200,0x00000031,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0xcb83cccb,
    0x200004cc,0x24ccccc8,0x004ccccc,0x90599991,0x40007999,0xaaaaaaaa,
    0x00000aaa,0x99999100,0x00000005,0x06aaaaaa,0x2aaaaa60,0xaaaaaaaa,
    0x55500000,0x2a000055,0x099700ac,0x05555400,0x30005555,0xa8815555,
    0xaa800aaa,0x0001aaaa,0xccccc800,0x00000003,0x99999500,0x00000009,
    0x00998800,0x32a004cc,0x664c0ccc,0x980001cc,0x2aa200aa,0xdddd9001,
    0x3fea001d,0x3ffee3ff,0x2e00003f,0xf52fffff,0x4005ffff,0x321ffffc,
    0x0001ffff,0x3ffffffa,0x0000ffff,0xffffb000,0x000003ff,0xfffff880,
    0xfffb800f,0xffffffff,0xb80001ff,0x0001ffff,0x6fffff54,0x00fff30a,
    0xaafffcc0,0x88003fff,0x3a25ffff,0xf5006fff,0x000dffff,0xffffc800,
    0x000002ff,0xfffe8000,0x000001ff,0xb81f7c00,0x3ff204ff,0x7fffc403,
    0x1bfffe26,0x2ffd4000,0x2007ff70,0x00fffffd,0x27ffff20,0x005ffff9,
    0x7ffff400,0x0fffffa3,0x3ffffa00,0x04ffffb8,0x7ffff400,0x00ffffff,
    0xffb80000,0x006fffff,0x7fe40000,0xf7001fff,0xffffffff,0x0003ffff,
    0x00dfff98,0x7fffc400,0xffefffff,0x7d40006f,0x03fffdff,0x3fffee00,
    0x03ffffb3,0x7ffffdc0,0xf3000002,0x1fffffff,0x00000000,0x17ffffd4,
    0x20000000,0xff304ff9,0x3fff101f,0x9ffff500,0x003ffffa,0x07ffc400,
    0xb001fff8,0x001fffff,0x777fff44,0x0000ffff,0x93fffea0,0x005ffffa,
    0xfdffff30,0x0000dfff,0x33333331,0x00000333,0xfdffff30,0x00009fff,
    0x3fffe200,0x3fee001f,0xffffffff,0x20001fff,0x0004fff8,0xffffff70,
    0x7fffffff,0xfff70000,0xb00009ff,0xfff9ffff,0xff70009f,0x00000dff,
    0xffdfffd1,0x00000bff,0x7fff4000,0x0000003f,0x201ffc80,0xcaaceffe,
    0x32006ffe,0xfffdffff,0x6c00003f,0xfcaadfff,0x3f6006ff,0x4000ffff,
    0xfffffff9,0x7400002f,0x7ff45fff,0x7dc0006f,0x1fffffff,0x01998000,
    0x00000331,0x91dfffd0,0x0005ffff,0xffff7000,0xaaa98005,0xaaaaaaaa,
    0x4cc000aa,0x3311aa99,0x9ffe4000,0xfffffdb9,0x4ccc0005,0x19899999,
    0x3ffe2000,0x006fffff,0x07ffff20,0xfffb0000,0x7ffff73f,0x00000000,
    0x007ffff3,0x3a000000,0x7ffcc07f,0x1fffffff,0x7ffff400,0x00005fff,
    0xffffff88,0x2001ffff,0x00fffffd,0xfffffb80,0x5400005f,0x3e60efff,
    0x80000fff,0x3ffffffd,0x0fff0000,0x00007ff6,0x1ffffc80,0x003ffffa,
    0xffff0000,0x00000007,0xd83ffc00,0xd90001ff,0x1997101d,0x0fff0000,
    0x80007ff6,0xfffffffa,0x7fec0000,0x2a00005f,0x3f63ffff,0x00001fff,
    0x7ffec000,0x00000004,0x500bff10,0xffffffff,0xfff30005,0x0001ffff,
    0x3fffa600,0x4002ffff,0x00eeeeec,0x99999900,0xec800001,0x7775c0de,
    0x99100001,0x00007999,0xffd83ffc,0xd3000001,0xed887ddd,0x000003ee,
    0x000fffee,0xf0000000,0x07ff60ff,0x00000000,0xfb07ff80,0xeb80003f,
    0x0002eeee,0x003fffb0,0x9dddb100,0x04eeed88,0x22000000,0x00004eee,
    0x3fee0000,0xddb71002,0x5400017b,0x001ccccc,0xeecb8000,0x000000bd,
    0x00000000,0x00000000,0xf0000000,0x07ff60ff,0x00000000,0x00000000,
    0x00000000,0xffb07ff8,0x00000003,0x83ffc000,0x00001ffd,0x00000000,
    0x00000000,0x00000000,0x80000000,0x00000ffd,0x00000000,0x00000000,
    0x01555555,0xeeedca80,0xa8000abd,0x001aaaaa,0x0aaaaaa8,0x03555555,
    0x55555500,0x2aaaaaa1,0xaaaa8001,0x000000aa,0x74000000,0x7e42ffff,
    0x7f404fff,0x7fe42fff,0xaaaa84ff,0xaa8001aa,0x5550aaaa,0x50003555,
    0x2a155555,0x001aaaaa,0x0aaaaaa8,0x42ffffe8,0x404ffffc,0x642ffffe,
    0x0004ffff,0x6f776e54,0x000000ab,0x00000000,0xf9998000,0x0000006f,
    0x3bbb6e60,0x0000abce,0x7f6e5c40,0x000abcde,0x0bfffffe,0x3ffff620,
    0xffffffff,0xfffd000d,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,
    0x07fffffd,0xfffff880,0x5555550f,0x55554003,0x2a001aaa,0xe80aaaaa,
    0x7e42ffff,0x7f404fff,0x7fe42fff,0xfffe84ff,0x7c4003ff,0xfd0fffff,
    0x8007ffff,0x0ffffff8,0x07fffffd,0xfffff880,0xffffe80f,0x27fffe42,
    0x0bffffa0,0x009ffff9,0xfffffb10,0xbfffffff,0x88000001,0xaaaaaaaa,
    0xaaaaaaaa,0xaaaaaaaa,0xb800aaaa,0xffffffed,0x55554005,0x3ee000aa,
    0xffffffff,0x0000dfff,0x7fffff5c,0xcfffffff,0xfffff800,0x7ffd402f,
    0xffffffff,0x802fffff,0x03fffffe,0x7ffffc40,0xfffffd0f,0xfff88007,
    0xfffd0fff,0xf88007ff,0xf90fffff,0x200dffff,0xfffffff8,0xffff3006,
    0xfffd01ff,0xffffc85f,0x7ffff404,0x27fffe42,0x1ffffff4,0x3fffe200,
    0xffffd0ff,0xff88007f,0xffd0ffff,0x88007fff,0x80ffffff,0x642ffffe,
    0x7404ffff,0x7e42ffff,0x54004fff,0xffffffff,0xffffffff,0x32000002,
    0xffffffff,0xffffffff,0xffffffff,0x2600ffff,0xfffffffe,0xf000dfff,
    0x005fffff,0xffffffd3,0xffffffff,0xe980019f,0xffffffff,0xffffffff,
    0x7ffffc04,0xfffb102f,0xffffffff,0xbfffffff,0x7ffff401,0x7fc4003f,
    0xffd0ffff,0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,0xffffff50,
    0x3fffea00,0xb800ffff,0xd06fffff,0xfc85ffff,0x7f404fff,0x7fe42fff,
    0xfffe84ff,0x7c4003ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0xffffe80f,0x27fffe42,0x0bffffa0,0x009ffff9,0x3fffff62,
    0xffffffff,0x00dfffff,0x7ffc4000,0xffffffff,0xffffffff,0xffffffff,
    0xfff900ff,0xffffffff,0xff005fff,0x9805ffff,0xffffffff,0xffffffff,
    0x3ee005ff,0xffffffff,0xffffffff,0x3ffe05ff,0xfe882fff,0xffffffff,
    0xffffffff,0xfd01ffff,0x8007ffff,0x0ffffff8,0x07fffffd,0xfffff880,
    0xfffffd0f,0xfff88007,0xfff10fff,0xf9003fff,0x5fffffff,0xfffff900,
    0x3ffffa09,0x27fffe42,0x0bffffa0,0xd09ffff9,0x007fffff,0xffffff88,
    0x7fffffd0,0xffff8800,0xffffd0ff,0xff88007f,0xfe80ffff,0x7fe42fff,
    0x7ff404ff,0x7ffe42ff,0xffe8804f,0xffffffff,0xffffffff,0x00001fff,
    0x3fffffee,0xffffffff,0xffffffff,0x0fffffff,0xffffffc8,0xffffffff,
    0x7ffc00ff,0x7f402fff,0xffffffff,0xffffffff,0xffc803ff,0xffffffff,
    0xffffffff,0xfff04fff,0xff905fff,0xdfffffff,0xfffffb99,0x3a0dffff,
    0x003fffff,0x7fffffc4,0x7fffffd0,0xffff8800,0xffffd0ff,0xff88007f,
    0x3fe0ffff,0xe803ffff,0xffffffff,0xffffe804,0x3333102f,0x09999881,
    0x04cccc40,0x20266662,0x03fffffe,0x7ffffc40,0xfffffd0f,0xfff88007,
    0xfffd0fff,0xf88007ff,0x880fffff,0x4c409999,0x4c400999,0x4cc40999,
    0xffc80099,0xefffffff,0xfffffdcc,0x0006ffff,0x3fffffe0,0xffffffff,
    0xffffffff,0xffffffff,0x7ffffcc0,0xfffdcdff,0x7c05ffff,0x202fffff,
    0xfffffff9,0xffcbaabd,0x01ffffff,0x3fffffea,0xdccdefff,0xffffffff,
    0xfffff83f,0x7fffd42f,0x2201efff,0xfffffffd,0xfffffe83,0x7ffc4003,
    0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x17fffff6,
    0xffffff10,0xf880dfff,0x000fffff,0x00000000,0x3fffffa0,0x7ffc4003,
    0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x00000000,
    0xfffa8000,0x201effff,0xffffffd8,0xfb80003f,0xdaaeffff,0xffffffff,
    0xffffffff,0x6c0fffff,0x20efffff,0xfffffffe,0x3fffe01f,0x3ff202ff,
    0x2200dfff,0x3ffffffd,0xffffff10,0xffb807ff,0xf86fffff,0x222fffff,
    0xdfffffff,0xffff7000,0xffe81fff,0x44003fff,0xd0ffffff,0x007fffff,
    0xffffff88,0x7fffffd0,0xffff8800,0x3ffee0ff,0x7fdc06ff,0xffffffff,
    0x3fffe600,0x0000007f,0x7f400000,0x4003ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0xfffffd0f,0xfff88007,0x00000fff,0x40000000,0xfffffff8,
    0xfff7000d,0x0001ffff,0x2fffffe8,0x13fffff2,0xfffa8000,0x3fe20fff,
    0x5fffffcc,0x3fffffe0,0x3ffffa02,0xffe8801f,0xffd05fff,0x001dffff,
    0x3fffffe2,0x7ffffc2f,0x3ffff22f,0xfa8005ff,0x745fffff,0x003fffff,
    0x7fffffc4,0x7fffffd0,0xffff8800,0xffffd0ff,0xff88007f,0x3e60ffff,
    0x200fffff,0xfffffffd,0x3ee02fff,0x0005ffff,0x00000000,0x1ffffff4,
    0x3fffe200,0xffffd0ff,0xff88007f,0xffd0ffff,0x88007fff,0x00ffffff,
    0x00000000,0x7fffe400,0xfa8005ff,0x005fffff,0x3ffffea0,0x7ffffe46,
    0x3f200004,0x7dc4ffff,0x1acef9af,0x7fffffc0,0xfffff102,0x7ffdc00d,
    0xfff987ff,0x98006fff,0x45ffffff,0x22ffffff,0x0fffffff,0xffffd000,
    0x7fff43ff,0x7c4003ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0x7ffffc0f,0x3fffe02f,0x4fffffff,0x3fffff60,0x377776c3,
    0x777774c0,0x0dddddb4,0x9ddddd30,0x0ffffffa,0xfffff100,0x3ffffa1f,
    0x7fc4003f,0xffd0ffff,0x88007fff,0xb0ffffff,0x300ddddd,0x369ddddd,
    0x9806eeee,0x7c4eeeee,0x00ffffff,0xfffffd00,0x3fa0003f,0x7e43ffff,
    0x0004ffff,0x3fffff60,0x0007fec1,0x2ffffff8,0xffffff10,0x3bba6005,
    0x7fe40ccd,0x0001ffff,0x859bfffb,0x32ffffff,0x09ffffff,0x7fffd400,
    0x3fffa3ff,0x7c4003ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0x7fffec0f,0xffff303f,0xdfffff7f,0x7fffffc0,0x3fffffc1,
    0x7ffffcc0,0x0ffffff5,0xbfffff30,0x0ffffffa,0xfffff100,0x3ffffa1f,
    0x7fc4003f,0xffd0ffff,0x88007fff,0xf0ffffff,0x300fffff,0x3ebfffff,
    0x9807ffff,0x265fffff,0x04ffffff,0x3fffea00,0xfa8003ff,0x640fffff,
    0x004fffff,0x3ffffa00,0x017fe20f,0xffffff80,0x3ffffe02,0x400001ef,
    0x05ffffff,0xf002a200,0x325fffff,0x00ffffff,0x7ffff400,0x3ffffa4f,
    0x7fc4003f,0xffd0ffff,0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,
    0x7ffffdc0,0xfffff705,0x1fffffb3,0xffffff10,0x0ffffff0,0xbfffff30,
    0x01fffffe,0x57ffffe6,0x03fffffe,0x7ffffc40,0xfffffd0f,0xfff88007,
    0xfffd0fff,0xf88007ff,0xff0fffff,0xf300ffff,0x3febffff,0xf9807fff,
    0x3f25ffff,0x000fffff,0x7fffff40,0xfffd8004,0xfffc84ff,0x200004ff,
    0x547fffff,0x3e0003ff,0x202fffff,0xfffffffd,0x540000be,0x01ffffff,
    0xfff80000,0xfffb2fff,0x90000dff,0x74bfffff,0x003fffff,0x7fffffc4,
    0x7fffffd0,0xffff8800,0xffffd0ff,0xff88007f,0x7cc0ffff,0xfb07ffff,
    0x3feeffff,0xffa82fff,0xfff85fff,0xff9807ff,0xffff5fff,0xfff300ff,
    0x3fffabff,0x7c4003ff,0xfd0fffff,0x8007ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0xffffff0f,0xfffff300,0x1fffffeb,0x3ffffe60,0x3fffff65,
    0xffc80006,0x4c005fff,0x80ffffff,0x04fffffc,0xffff1000,0x00ffc8ff,
    0x3ffffe00,0x3ffea02f,0xefffffff,0x7dc000ac,0x000fffff,0xffff8000,
    0xffffd2ff,0xf70000bf,0x7f4dffff,0x4003ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0xfffffd0f,0xfff88007,0xfff80fff,0xfff81fff,0xffff35ff,
    0xffff909f,0xfffff07f,0xffff300f,0x3ffffebf,0xffff9807,0xfffffd5f,
    0xfff88007,0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,
    0x00ffffff,0x2bfffff3,0x807fffff,0x25fffff9,0x05fffffe,0xffffb800,
    0x7fec006f,0xff905fff,0x3333bfff,0x33333333,0xffff8833,0x01bfe0ff,
    0xffffff00,0xffffc805,0xffffffff,0xfc800bdf,0x0007ffff,0xfffff000,
    0x3ffffe5f,0xfa80004f,0x3fa7ffff,0x4003ffff,0x0ffffff8,0x07fffffd,
    0xfffff880,0xfffffd0f,0xfff88007,0xffe80fff,0x7fcc2fff,0x3ffe3fff,
    0xfffd86ff,0xffff81ff,0xfff9807f,0xfffff5ff,0xffff300f,0x3ffffabf,
    0x7fc4003f,0xffd0ffff,0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,
    0x0ffffff0,0xbfffff30,0x01fffffe,0x97ffffe6,0x04ffffff,0xffffa800,
    0x3fe2007f,0xf901ffff,0xffffffff,0xffffffff,0xffff0fff,0x13fe63ff,
    0xfffff000,0xfffd005f,0xffffffff,0x403bffff,0x06fffffd,0xfff00000,
    0x3ffe5fff,0x80003fff,0x1ffffff9,0x07fffffd,0xfffff880,0xfffffd0f,
    0xfff88007,0xfffd0fff,0xf88007ff,0xc80fffff,0x5c4fffff,0x320fffff,
    0x7c0fffff,0xff07ffff,0xf300ffff,0x3febffff,0xf9807fff,0xffd5ffff,
    0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,0x7fffffd0,0xffff8800,
    0xfffff0ff,0xffff300f,0x3ffffebf,0xffff9807,0x3ffffe5f,0xf980003f,
    0x001fffff,0x0dfffff9,0x7fffffe4,0xffffffff,0xe87fffff,0xf92fffff,
    0x01abb83f,0x2ffffff8,0xffffd880,0xffffffff,0xfd01ffff,0x100bffff,
    0xdddddddd,0x7c5ddddd,0xff2fffff,0x0007ffff,0xffffff30,0x3fffffa5,
    0x7ffc4003,0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,
    0x6fffffa8,0x237ffff4,0x22fffffa,0x05fffff9,0x00ffffff,0x2bfffff3,
    0x807fffff,0xd5fffff9,0x007fffff,0xffffff88,0x7fffffd0,0xffff8800,
    0xffffd0ff,0xff88007f,0xfff0ffff,0xff300fff,0x3ffebfff,0xff9807ff,
    0x3ffe5fff,0x80003fff,0x2ffffff9,0xfffff880,0x3fff202f,0xffffffff,
    0xffffffff,0xfffffd87,0xfff0ffd5,0x3fe01dff,0x2002ffff,0xffffffe9,
    0xffffffff,0xffffe82f,0xfff9805f,0xffffffff,0x3fffe3ff,0xfffff2ff,
    0xf500009f,0x3a1fffff,0x003fffff,0x7fffffc4,0x7fffffd0,0xffff8800,
    0xffffd0ff,0xff88007f,0xf880ffff,0x3e27ffff,0x7c44ffff,0x3ee4ffff,
    0xff03ffff,0xf300ffff,0x3febffff,0xf9807fff,0xffd5ffff,0x88007fff,
    0xd0ffffff,0x007fffff,0xffffff88,0x7fffffd0,0xffff8800,0xfffff0ff,
    0xffff300f,0x3ffffebf,0xffff9807,0x3ffffe5f,0xfa80004f,0x800fffff,
    0x06fffffc,0x7fffffe4,0xffffffff,0xa87fffff,0xfaffffff,0x7fffd45f,
    0x3fffe06f,0xb98002ff,0xfffffffe,0x43ffffff,0x06fffffd,0xffffff98,
    0x3fffffff,0x4bfffffe,0x05fffffd,0xffffb800,0x3ffffa7f,0x7fc4003f,
    0xffd0ffff,0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,0xfffffd00,
    0x3ffffea3,0x6ffffe82,0x07fffff2,0x03fffffc,0xafffffcc,0x807fffff,
    0xd5fffff9,0x007fffff,0xffffff88,0x7fffffd0,0xffff8800,0xffffd0ff,
    0xff88007f,0xfff0ffff,0xff300fff,0x3ffebfff,0xff9807ff,0x3ff65fff,
    0x80005fff,0x07fffffb,0xffffff88,0x7fffe403,0xffffffff,0x7fffffff,
    0xfffffff0,0x7ffcc5ff,0x3fe02fff,0x0002ffff,0x7fffedc4,0x0fffffff,
    0x1ffffff2,0x3ffffe60,0xffffffff,0x3fffffe3,0xdfffff92,0xfff90000,
    0x7ffecdff,0x7c4003ff,0xfb0fffff,0x8007ffff,0x0ffffff8,0x07fffffb,
    0xfffff880,0xffff900f,0x3ffff27f,0xffffc80f,0xfffffd0f,0x3ffffe01,
    0xffffa807,0xffffff5f,0xfffff500,0x3fffff6b,0x7ffc4003,0xfffb0fff,
    0xf88007ff,0xfb0fffff,0x8007ffff,0x0ffffff8,0x00ffffff,0x2bfffff5,
    0x807fffff,0x25fffffa,0x06fffffc,0xffffc800,0xfffb806f,0x7e400fff,
    0x999dffff,0x99999999,0xfff70199,0xd97fffff,0x1fffffff,0x7fffffc0,
    0x5cc00002,0xffffffff,0x3fffff23,0xffff9807,0xffffffff,0x3ffffe3f,
    0xfffff72f,0xffb0000f,0x7fecbfff,0x4c003fff,0xb0ffffff,0x007fffff,
    0xffffff98,0x7fffffb0,0xffff9800,0xfff500ff,0x3fffabff,0xffff506f,
    0xfffff15f,0x7ffffc0d,0xffffa807,0xffffff5f,0xfffff500,0x3fffff6b,
    0x7ffcc003,0xfffb0fff,0xf98007ff,0xfb0fffff,0x8007ffff,0x0ffffff9,
    0x00ffffff,0x2bfffff5,0x807fffff,0x25fffffa,0x07fffffb,0xffffd800,
    0xffff805f,0xeeeeefff,0xfffffeee,0xd800004f,0xffffffff,0xffffffff,
    0x7ffffc02,0x1000002f,0xdffffff9,0x7fffffd4,0x55554401,0xfffffaaa,
    0x3ffffe3f,0xfffff52f,0x7c40005f,0x364fffff,0x004fffff,0x7fffffcc,
    0x9fffffb0,0xffff9800,0xffffb0ff,0xff98009f,0xf100ffff,0xff1dffff,
    0x3e209fff,0xff9cffff,0x3fe04fff,0x5400ffff,0xff5fffff,0xa801ffff,
    0xfb5fffff,0x8009ffff,0x0ffffff9,0x09fffffb,0xfffff980,0xfffffb0f,
    0xfff98009,0xffff0fff,0xffa801ff,0xffff5fff,0xffa801ff,0x3fea5fff,
    0x0002ffff,0x3fffffe2,0x7fffd404,0xffffffff,0xffffffff,0x8800004f,
    0xffffffff,0x3fffffff,0xffffff80,0xdcbaa882,0xfffd8005,0x3ffe27ff,
    0x40004fff,0x23ffffff,0x12ffffff,0x0dffffff,0x7fffe400,0x3fff22ff,
    0x7d4005ff,0x3f27ffff,0x4005ffff,0x27fffffa,0x05fffffc,0x7ffffd40,
    0x7ffffc07,0x2fffffbf,0x3bffffa0,0x02fffffb,0x03fffffe,0xbfffff50,
    0x03fffffe,0xbfffff50,0x17fffff2,0xfffff500,0x7ffffe4f,0x7ffd4005,
    0x3fff27ff,0x7d4005ff,0x3fe7ffff,0x5400ffff,0xff5fffff,0xa801ffff,
    0x225fffff,0x06ffffff,0x3ffff200,0x7ff402ff,0xffffffff,0xffffffff,
    0x00004fff,0xfffffb10,0x7fffffff,0x3ffffe00,0xffff982f,0x7d4000ff,
    0x7ec7ffff,0x000fffff,0x3fffffe0,0x3fffffe3,0x3fffffa2,0xff88002f,
    0x2e0fffff,0x00ffffff,0x3fffff20,0x3ffffee6,0x3ff2000f,0x3fee6fff,
    0x2000ffff,0x06fffffc,0x7fffffec,0x200fffff,0xfefffffc,0x3e00ffff,
    0x400fffff,0xf5fffffb,0x801fffff,0x75fffffb,0x01ffffff,0x7ffffe40,
    0x3ffffee6,0x3ff2000f,0x3fee6fff,0x2000ffff,0x26fffffc,0x00ffffff,
    0xafffffdc,0x00ffffff,0x2fffffdc,0x3ffffffa,0xfff88002,0x2a00ffff,
    0xffffffff,0xffffffff,0x04ffffff,0x7fd40000,0xcfffffff,0x3fffe000,
    0xffff02ff,0xfa8007ff,0x7d47ffff,0x004fffff,0x3fffffe0,0x3fffffe3,
    0x3ffffe62,0x362001ff,0x43ffffff,0x5ffffffa,0xfffff100,0x7fffd4bf,
    0xff1005ff,0x7d4bffff,0x005fffff,0xbffffff1,0xfffffb80,0x406fffff,
    0xfffffff9,0x7fc06fff,0x6401ffff,0xff5fffff,0xc803ffff,0xf55fffff,
    0x00bfffff,0x3fffffe2,0x3ffffea5,0xfff1005f,0x7fd4bfff,0x1005ffff,
    0x4bffffff,0x01ffffff,0xafffffe4,0x01ffffff,0x2fffffe4,0x3fffffe6,
    0x3f62001f,0x403fffff,0xfffffffe,0xffffffff,0x4fffffff,0x7cc00000,
    0x009abadf,0xffffff00,0x3ffff605,0x3f6000ff,0x7c46ffff,0x02ffffff,
    0xfffff980,0x3ffffe3f,0x7fffe42f,0xe9803fff,0x86ffffff,0xfffffff8,
    0xffffd802,0x3ffe23ff,0xd802ffff,0x23ffffff,0xfffffff8,0xffffd802,
    0x7fcc03ff,0xffffffff,0xfffff803,0x404fffff,0x02fffffe,0x3fffffe6,
    0x5fffffd5,0x7ffffcc0,0xfffff15f,0xffb005ff,0x7c47ffff,0x02ffffff,
    0xffffffd8,0x3ffffe23,0xffd802ff,0x3fa3ffff,0x2602ffff,0xd5ffffff,
    0x405fffff,0x5ffffff9,0xffffffc8,0xffe9803f,0x4c06ffff,0xcdffffff,
    0xcccccccc,0x4fffffec,0x7e400000,0x3e00001f,0x502fffff,0x0bffffff,
    0x3ffffee0,0xffffa85f,0xb1004fff,0x7fffffff,0x17fffffc,0x3fffffe2,
    0x2a21adff,0xfffffffc,0xffff901f,0xb5039fff,0x0fffffff,0xfffffff9,
    0xfffb5039,0xff90ffff,0x039fffff,0xffffffb5,0x3fffe00f,0x01ffffff,
    0xffffffd8,0x7ec02fff,0x880effff,0x5ffffffe,0x1dfffffb,0xfffffd10,
    0x7fffe4bf,0xda81cfff,0x87ffffff,0xfffffffc,0xfffda81c,0xffc87fff,
    0x81cfffff,0xffffffda,0x7ffffec7,0xfffe880e,0xfffb5fff,0xfd101dff,
    0x10bfffff,0xffffffff,0x7e54435b,0x1fffffff,0x7ffffec0,0x7ffec007,
    0x000004ff,0x00003ff4,0x0bfffffe,0x7fffffc4,0xfd980aff,0x01ffffff,
    0xfffffffb,0x65cc137d,0xffffffff,0x3ffffe3f,0xffffb82f,0xffffffff,
    0xffffffff,0x3fe205ff,0xffffffff,0xffffffff,0xff883fff,0xffffffff,
    0xffffffff,0xff883fff,0xffffffff,0xffffffff,0xfb003fff,0xffffffff,
    0x3fffee00,0x400fffff,0xeffffffb,0xfffec98b,0xff75ffff,0x317dffff,
    0xffffffd9,0x7fffc4bf,0xffffffff,0xffffffff,0xffff883f,0xffffffff,
    0xffffffff,0xffff883f,0xffffffff,0xffffffff,0x7fffdc3f,0xec98beff,
    0x5fffffff,0xdffffff7,0xfffd9317,0x2e0bffff,0xffffffff,0xffffffff,
    0x05ffffff,0x7fffffcc,0x7ffec004,0x99999dff,0x99999999,0x3fe60099,
    0x7fc00004,0x2a02ffff,0xffffffff,0xffffeeff,0x206fffff,0xfffffff8,
    0xffffffff,0xffffffff,0x3fffe2ff,0xfff902ff,0xffffffff,0xffffffff,
    0xffc801bf,0xffffffff,0xffffffff,0x3fff207f,0xffffffff,0xffffffff,
    0x3ffff207,0xffffffff,0x7fffffff,0x3fffee00,0x3005ffff,0xffffffff,
    0xffff300d,0xffffffff,0xbfffffff,0x3fffffe6,0xffffffff,0x645fffff,
    0xffffffff,0xffffffff,0x3f207fff,0xffffffff,0xffffffff,0x3ff207ff,
    0xffffffff,0xffffffff,0xffff987f,0xffffffff,0x5fffffff,0xfffffff3,
    0xffffffff,0x640bffff,0xffffffff,0xffffffff,0x400dffff,0x0ffffffc,
    0x7fffec00,0xffffffff,0xffffffff,0x0bfee05f,0xffff0000,0xffc805ff,
    0xffffffff,0xffffffff,0x7f4c00ff,0xffffffff,0xffffffff,0x7c2fffff,
    0x202fffff,0xffffffe9,0xffffffff,0x2e002fff,0xffffffff,0xffffffff,
    0x7fdc01ef,0xffffffff,0xefffffff,0x7fffdc01,0xffffffff,0x01efffff,
    0x3ffffe60,0x3e003fff,0x5fffffff,0xfffff500,0x3dffffff,0x54bffffd,
    0xffffffff,0xffe9efff,0xfffb85ff,0xffffffff,0x1effffff,0x7ffffdc0,
    0xffffffff,0x401effff,0xfffffffb,0xffffffff,0xff501eff,0xffffffff,
    0xffffd3df,0x7ffffd4b,0x9effffff,0x405ffffe,0xffffffe9,0xffffffff,
    0xf8802fff,0x005fffff,0xffffffd8,0xffffffff,0x5fffffff,0x0001ff60,
    0x3fffffe0,0xffffd802,0xffffffff,0x01ffffff,0xfffffb10,0xffffffff,
    0x1bffffff,0x5ffffff0,0xfffff900,0xffffffff,0xd30001bf,0xffffffff,
    0x09ffffff,0x7ffff4c0,0xffffffff,0x3a6004ff,0xffffffff,0x04ffffff,
    0xfffff880,0x36001fff,0x3fffffff,0x3fffee00,0xd0efffff,0xfb8bffff,
    0xffffffff,0xbffffd0e,0x3ffffa60,0xffffffff,0x3a6004ff,0xffffffff,
    0x04ffffff,0x3ffffa60,0xffffffff,0xffb804ff,0xefffffff,0x8bffffd0,
    0xfffffffb,0xfffd0eff,0x3ff200bf,0xffffffff,0x000dffff,0x3ffffff9,
    0xffffb000,0xffffffff,0xffffffff,0x17fe20bf,0x3ffe0000,0xd5002fff,
    0xffffffff,0x1bffffff,0xfffd7000,0xffffffff,0x403bffff,0x02ffffff,
    0xffffb930,0x059dffff,0xffec8800,0xffffffff,0xec88001d,0xffffffff,
    0x88001dff,0xffffffec,0x001dffff,0x3fffffa0,0x7fdc007f,0x001fffff,
    0x7ffffedc,0x7ffff43d,0xffffdb85,0x7fff43df,0x3fb2205f,0xffffffff,
    0xc88001df,0xfffffffe,0x8001dfff,0xfffffec8,0x01dfffff,0x3ffff6e0,
    0x7fff43df,0xfffdb85f,0x7ff43dff,0x326005ff,0xfffffffd,0x22002cef,
    0x06ffffff,0xfffffb00,0xffffffff,0xffffffff,0x00bfea0b,0x3fffe000,
    0x75c002ff,0xffffffff,0x80002dff,0xffffffc9,0x00adffff,0x98800000,
    0x00000aba,0x2eeaaa20,0x200001aa,0xaabbaaa8,0x2a200001,0x01aabbaa,
    0xffff9000,0xf9800bff,0x007fffff,0x0000d4c0,0x00006a60,0x5dd55440,
    0x200001aa,0xaabbaaa8,0x2a200001,0x01aabbaa,0x001a9800,0x000d4c00,
    0x75310000,0x7dc00015,0x002fffff,0xffffffb0,0xffffffff,0xbfffffff,
    0x00005cc0,0x7fffffc0,0x2a660002,0x0001aabc,0x2eea6200,0x0000019a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xddddb730,0x22001579,
    0xaaaaaaaa,0x555551aa,0x00555555,0x55555531,0x55555555,0x4c000155,
    0x00cccccc,0x7ffd4000,0x000003ff,0x3bbb72e2,0x0000abcd,0xa84cccb8,
    0x8000cccc,0x0cc40099,0xb7510000,0x001579dd,0xccccc800,0x32000003,
    0x002fffff,0x33320000,0x00002ccc,0xcccccb80,0x97000003,0x32e39999,
    0x0000cccc,0x03ccccc8,0x33260000,0x0000cccc,0x00555554,0x2aaaaa00,
    0x5c000002,0xffffffff,0x400dffff,0xfffffff8,0xfffd3fff,0x0bffffff,
    0x7ffffe4c,0xffffffff,0x000fffff,0x3fffff60,0xfa800003,0x0003ffff,
    0xffffda80,0xffffffff,0x3e60000c,0x3fea4fff,0xff0004ff,0x1ffe201f,
    0x3fff2000,0xffffffff,0xfc80000d,0x002fffff,0xffff9000,0x0000005f,
    0x3bffffea,0x4c000000,0x00efffff,0xfff98000,0xffff14ff,0xf900009f,
    0x005fffff,0x3fff6000,0x880003ff,0x0005fffe,0x03fffffc,0xffe98000,
    0xffffffff,0x00cfffff,0xfffffff1,0x3ffa7fff,0x5fffffff,0xffffffb0,
    0xffffffff,0x01ffffff,0x3fffe600,0x5000004f,0x007fffff,0x7fffcc00,
    0xffffffff,0x004fffff,0x2bffff20,0x006ffff8,0x5c13ff60,0x260006ff,
    0xfffffffe,0x3fffffff,0x3ffea000,0x000fffff,0xffffc800,0x0000002f,
    0x01dffffb,0xff900000,0x00003fff,0x97ffff60,0x005ffffc,0xfffffa80,
    0x00000fff,0x1fffffcc,0x3ff20000,0x3fe0004f,0x00007fff,0xffffff98,
    0xffffffff,0xf105ffff,0xffffffff,0x3ffffa7f,0xd85fffff,0xffffffff,
    0xffffffff,0x000fffff,0x09ffff90,0x7fd40000,0x00003fff,0xfffffff7,
    0xffffffff,0x000bffff,0x7f7ffff4,0x20001fff,0xb9bdfffa,0x0003fffd,
    0xfffffff7,0xffffffff,0x88001dff,0xfffeffff,0xc800005f,0x002fffff,
    0xfff98000,0x000000ff,0x1fffff88,0xff100000,0x3fe21dff,0x40000eff,
    0xffeffff8,0x400005ff,0x004ffffd,0x5fff5000,0x3fffe000,0xe800007f,
    0xffffffff,0xffffffff,0xff883fff,0xffffffff,0xffffffd3,0xffb8bfff,
    0xffffffff,0xffffffff,0x8000ffff,0x005ffff8,0x7ffd4000,0xc80003ff,
    0xffffffff,0xffffffff,0x005fffff,0xffffff10,0x900007ff,0xffffffff,
    0x3fa000bf,0xffffffff,0xffffffff,0x7ec006ff,0xfffb8fff,0x6400003f,
    0x002fffff,0xfffd8000,0x0000001f,0x003ffff9,0x7ffe4000,0x3ffff20e,
    0xffd80000,0xffffb8ff,0xff100003,0x80000bff,0x15551199,0x7ffc0033,
    0x400007ff,0xfffffff9,0xffcbaabd,0x81ffffff,0xfffa9999,0xffffd3ff,
    0x4455555d,0xffffffff,0xffffffff,0x0fffffff,0x5fffc800,0xea800000,
    0x0002eeee,0x7fffffd4,0xdccdefff,0xffffffff,0xff70003f,0x000bffff,
    0x3ffff620,0x8000dfff,0xfffffffb,0xffeccdef,0x04ffffff,0x45ffff70,
    0x001ffffd,0x3bbbae00,0x4000001e,0x001ffff8,0xfff10000,0x4000005f,
    0x221ffff8,0x0001ffff,0x22ffffb8,0x001ffffd,0x05fffc80,0x07ff8000,
    0x3e003ffb,0x0007ffff,0x7ffffe40,0x3ff6200d,0x9803ffff,0xfd3fffff,
    0xfa80dfff,0xffffffff,0xfb99dfff,0x0019efff,0x001bddb0,0x00000000,
    0x3ffffe20,0x7dc03fff,0x06ffffff,0x33332e00,0x4c00000c,0x002cefec,
    0xffffff10,0x3f6601bf,0x01ffffff,0x227776c4,0x004eeed8,0x00000000,
    0x02eeeb80,0x3aa00000,0x000003ee,0x2a177754,0x80003eee,0x444eeed8,
    0x0004eeed,0x0005eed8,0x360fff00,0xfff001ff,0x80000fff,0x01fffffe,
    0xfffffe88,0xffff9805,0xdffffd3f,0xfffffc80,0x4fffffff,0x017fffea,
    0x00000000,0x6c000000,0x0effffff,0xffffd100,0x000005ff,0x00000000,
    0xfffffc80,0xfffb003f,0x00009fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd83ffc0,0xffff001f,0x440000ff,
    0x006fffff,0x1fffffee,0x3ffffe60,0x0dffffd3,0xffffffe8,0x24ffffff,
    0x005ffffa,0xeeeedb98,0x00000abc,0x77f6e5c4,0x2000abcd,0x6ffffff9,
    0xffff8800,0xa88005ff,0x0abceedb,0x00000000,0xffffff98,0x7fff4003,
    0x000007ff,0x5d440000,0x00abceed,0xedca8000,0x000abdee,0x36ea2000,
    0x000abcee,0xeedca800,0x8000abde,0x01aaaaaa,0xaaaaaa80,0x35555550,
    0x55555000,0x2aaaaa15,0xaaa8001a,0x3ffe0aaa,0x002607ff,0xffffff88,
    0xbddd3002,0xff980199,0xfffd3fff,0xffff80df,0xffffffff,0x3fffea4f,
    0x3ffee005,0xffffffff,0x5c0000df,0xfffffffe,0x00cfffff,0xffffffc8,
    0xfffb0001,0x7e40059b,0xffffffff,0x55400dff,0xaaaaaaaa,0xaaaaaaaa,
    0x740aaaaa,0x00ffffff,0x6ffffdc0,0x5555550b,0x55550003,0x3f200155,
    0xffffffff,0x40000dff,0xffffffd8,0x0dffffff,0xfff90000,0xffffffff,
    0xd880001b,0xffffffff,0x000dffff,0x07fffffd,0xfffff880,0xfffffd0f,
    0xfff88007,0xfffd0fff,0xf88007ff,0x3e0fffff,0x3227ffff,0x02cefffe,
    0xeffffff8,0x4c000001,0xfd3fffff,0xfe80dfff,0xffffffff,0x3fea4fff,
    0xfe9805ff,0xffffffff,0x0cffffff,0x7fff4c00,0xffffffff,0x404fffff,
    0x05ffffff,0x0002a200,0x3fffffa6,0xffffffff,0x3fffa03f,0xffffffff,
    0xffffffff,0x7ffc3fff,0x88003fff,0xfffb00ac,0xff0009ff,0x9803ffff,
    0xfffffffe,0x3fffffff,0xffff5000,0xffffffff,0x0005ffff,0x7fffff4c,
    0xffffffff,0xff50003f,0xffffffff,0x05ffffff,0x7fffffd0,0xffff8800,
    0xffffd0ff,0xff88007f,0xffd0ffff,0x88007fff,0x20ffffff,0xd37fffff,
    0xffffffff,0xffffd809,0x000befff,0xffff9800,0xdffffd3f,0xfffffd80,
    0x4fffffff,0x017fffea,0xfffffff3,0xffffffff,0x5c00bfff,0xffffffff,
    0xffffffff,0xff505fff,0x0003ffff,0xfff70000,0xffffffff,0x1dffffff,
    0xffffffd0,0xffffffff,0xffffffff,0x7ffffc47,0xb000000f,0x009fffff,
    0x3ffffff0,0x7ffffdc0,0xffffffff,0x000effff,0xffffffb1,0xffffffff,
    0x001bffff,0xffffffb8,0xffffffff,0x1000efff,0xfffffffb,0xffffffff,
    0x7401bfff,0x003fffff,0x7fffffc4,0x7fffffd0,0xffff8800,0xffffd0ff,
    0xff88007f,0x3fe0ffff,0xfffbffff,0xffffffff,0xffff500e,0x9dffffff,
    0xf3000015,0x3fa7ffff,0x7e406fff,0xffffffff,0x3fea4fff,0x7ff405ff,
    0xffffffff,0xffffffff,0xfffc803f,0xffffffff,0xffffffff,0xfffb84ff,
    0x00000fff,0x7ffff400,0xffffffff,0x6fffffff,0xffffffe8,0xffffffff,
    0xffffffff,0x3ffffea3,0x36000007,0x004fffff,0x1ffffff8,0xffffffd0,
    0xffffffff,0x00dfffff,0xffffffd1,0xffffffff,0x3fffffff,0x3ffffa00,
    0xffffffff,0x6fffffff,0xffffe880,0xffffffff,0xffffffff,0xffffd01f,
    0xff88007f,0xffd0ffff,0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,
    0x3fffffe0,0xffffffff,0x205fffff,0xfffffffc,0xbdffffff,0xfff30000,
    0x3fffa7ff,0x7ffc406f,0xffffffff,0x3fffea4f,0x3fffe605,0xbaabdfff,
    0xfffffffc,0x3ffea01f,0xdeffffff,0xfffffdcc,0x7e43ffff,0x0007ffff,
    0x7ffdc000,0xcdefffff,0xffffffec,0x7fff44ff,0xffffffff,0xffffffff,
    0x3fee3fff,0x00006fff,0x3fffff60,0xffff8004,0xfffb81ff,0xcdefffff,
    0xffffffec,0x7fe404ff,0xefffffff,0xfffffdcc,0xb806ffff,0xffffffff,
    0xfffeccde,0x404fffff,0xfffffffc,0xffdcceff,0x6fffffff,0x7fffffd0,
    0xffff8800,0xffffd0ff,0xff88007f,0xffd0ffff,0x88007fff,0x20ffffff,
    0xffffffff,0xfffdbbcf,0x3a02ffff,0xffffffff,0xdfffffff,0x7ffcc001,
    0xffffd3ff,0xffff700d,0x9fffffff,0x02ffffd4,0x1bfffff9,0x7fffec40,
    0xfff103ff,0x807fffff,0xfffffffb,0x7ffffec6,0x20000006,0xfffffff8,
    0xfffb300d,0x7f43ffff,0xffffffff,0xffffffff,0x323fffff,0x006fffff,
    0x3fff6000,0xff8004ff,0x7c41ffff,0x0dffffff,0xfffffb30,0x3fea03ff,
    0x01efffff,0x3fffff62,0x3fe203ff,0x00dfffff,0xffffffb3,0x3ffea03f,
    0x201effff,0xffffffd8,0xffffe83f,0x7fc4003f,0xffd0ffff,0x88007fff,
    0xd0ffffff,0x007fffff,0xffffff88,0x3fffffe0,0xffe981ef,0x36206fff,
    0xffffffff,0xffffffff,0x3ffe6001,0xffffd3ff,0x3fffa00d,0x4fffffff,
    0x817fffea,0x01fffffe,0xfffffe88,0xfffffd05,0x3e2001df,0x22ffffff,
    0x05fffffe,0xeeeeee88,0x2eeeeeee,0x7fffffe4,0xffffb003,0x7fff49ff,
    0x400003ff,0x05fffffd,0x3ff60000,0xf8004fff,0x641fffff,0x03ffffff,
    0xffffffb0,0xfffff109,0x2e001bff,0x0fffffff,0xffffff90,0x3fff6007,
    0xff884fff,0x00dfffff,0xffffff70,0xffffe81f,0x7fc4003f,0xffd0ffff,
    0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,0x3fffffe0,0x3ffe600f,
    0x74c02fff,0xffffffff,0x2fffffff,0xfffff300,0x1bffffa7,0xfffffb80,
    0x3ea4ffff,0xff105fff,0x5c00dfff,0x987fffff,0x06ffffff,0xfffff980,
    0x3ffffa5f,0xfff9805f,0xffffffff,0x3ffe63ff,0x74003fff,0x3a7fffff,
    0x003fffff,0x7ffff400,0x2000004f,0x04fffffd,0xffffff80,0x3ffffe61,
    0x7ff4003f,0xffc87fff,0x8005ffff,0x5ffffffa,0xffffff98,0x7fff4003,
    0xfffc87ff,0xa8005fff,0x45ffffff,0x03fffffe,0x7ffffc40,0xfffffd0f,
    0xfff88007,0xfffd0fff,0xf88007ff,0x3e0fffff,0x804fffff,0x04fffffd,
    0xffffd730,0xffffffff,0xfff3007f,0x3fffa7ff,0x6e4c006f,0x24ffffff,
    0x105ffffa,0x05ffffff,0x337bba60,0x7fffe40c,0xfb0001ff,0x7ec59bff,
    0x9806ffff,0xffffffff,0x3a3fffff,0x00ffffff,0x6ffffdc0,0xfffffd0b,
    0xfd800007,0x0005ffff,0x3ffff600,0xfff8004f,0x3ffa1fff,0x4000ffff,
    0x0bdffffb,0x7ffffffc,0xfffd0000,0xffe83fff,0x4000ffff,0x0bdffffb,
    0x7ffffffc,0xfffd0000,0x7ff43fff,0x44003fff,0xd0ffffff,0x007fffff,
    0xffffff88,0x7fffffd0,0xffff8800,0x3fffe0ff,0xffa801ff,0x88005fff,
    0xffffffdb,0x400fffff,0xd3fffff9,0x000dffff,0x24ffffd8,0x205ffffa,
    0x1effffff,0x7ffc0000,0x20005fff,0x3ff200a8,0xf9807fff,0xffffffff,
    0x3fe3ffff,0x8003ffff,0xffd00ac8,0x00007fff,0x6fffffc8,0x3f600000,
    0x8004ffff,0x21ffffff,0x03ffffff,0x200ac880,0x4ffffff9,0x3ffea000,
    0x7ffc3fff,0x88003fff,0x3fe600ac,0x0004ffff,0x3fffffea,0x3fffffa3,
    0x7ffc4003,0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,0x0ffffff8,
    0x03fffffe,0x3ffffe60,0xfb980006,0x3fffffff,0x7ffffcc0,0x0dffffd3,
    0xffffc800,0x17fffea4,0xffffffd8,0x40000bef,0x1ffffffa,0x7dc00000,
    0x9807ffff,0xffffffff,0xf13fffff,0x001fffff,0x3fffa000,0x400003ff,
    0x07fffffb,0x3ff60000,0xf8004fff,0xf11fffff,0x001fffff,0x7ffe4000,
    0x40000fff,0x24fffffe,0x0ffffff8,0x3f200000,0x000fffff,0x7fffff40,
    0x3fffffa4,0x7ffc4003,0xfffd0fff,0xf88007ff,0xfd0fffff,0x8007ffff,
    0x0ffffff8,0x01fffffe,0x3fffffc4,0xff910000,0x980dffff,0xfd3fffff,
    0x8000dfff,0x2a4ffffc,0x2a05ffff,0xffffffff,0x000aceff,0x7fffffdc,
    0x4c000000,0x01ffffff,0x55555544,0x3ffffffa,0x0ffffff5,0x7ff40000,
    0x00003fff,0x3fffffd4,0x6c015000,0x004fffff,0x1ffffff8,0x0ffffff5,
    0xffd80000,0x80006fff,0x25fffffc,0x07fffffa,0x7fec0000,0x80006fff,
    0x25fffffc,0x03fffffe,0x7ffffc40,0xfffffd0f,0xfff88007,0xfffd0fff,
    0xf88007ff,0x3e0fffff,0x2007ffff,0x88ffffff,0x005dcbaa,0x7fffffd8,
    0x7ffffcc0,0x0dffffd3,0xffffc800,0x17fffea4,0xffffff90,0xbfffffff,
    0xfff90017,0x00000fff,0xffffff10,0xfff80009,0xfff73fff,0x00000dff,
    0x67fffff4,0x99999999,0x81999999,0x1ffffff8,0xbeff8800,0x7ffffec1,
    0xffff8004,0xffff71ff,0x800000df,0x05fffffe,0xffffb800,0x3fffee6f,
    0x4000006f,0x05fffffe,0xffffb800,0x3ffffa6f,0x7fc4003f,0xffd0ffff,
    0x88007fff,0xd0ffffff,0x007fffff,0xffffff88,0x1fffffe0,0x7fffff80,
    0x1ffffff3,0xffffa800,0x7ffcc07f,0xffffd3ff,0xffc8000d,0x3ffea4ff,
    0xfffe805f,0xffffffff,0x201dffff,0x06fffffd,0xffd00000,0x0001ffff,
    0x9ffffffc,0x06fffffc,0x3ffa0000,0xffffffff,0xffffffff,0xfff81fff,
    0xa8005fff,0xb1efffff,0xffffffff,0xffffffff,0xffffffff,0x3fffff23,
    0x7c000006,0x004fffff,0xfffffa80,0x3fffff27,0x7c000006,0x004fffff,
    0xfffffa80,0x3fffffa7,0x7ffc4003,0xfffd0fff,0xf88007ff,0xfd0fffff,
    0x8007ffff,0x0ffffff8,0x03fffffe,0x3ffffe20,0x3fffffe6,0x7ffd4003,
    0x7fcc07ff,0xfffd3fff,0xfc8000df,0x3fea4fff,0xfd8805ff,0xffffffff,
    0x1fffffff,0xbfffffd0,0xddddd100,0xdddddddd,0x7ffffd45,0x3fe0004f,
    0xffb3ffff,0x0000bfff,0x7fffff40,0xffffffff,0xffffffff,0xfffffd81,
    0x7ff4001f,0x3ff67fff,0xffffffff,0xffffffff,0xb1ffffff,0x00bfffff,
    0xffff8000,0x980003ff,0xb1ffffff,0x00bfffff,0xffff8000,0x980003ff,
    0xd1ffffff,0x007fffff,0xffffff88,0x7fffffd0,0xffff8800,0xffffd0ff,
    0xff88007f,0x3fe0ffff,0x9802ffff,0x365fffff,0x00ffffff,0x3fffff60,
    0x7fffcc06,0xdffffd3f,0xfffc8000,0x3fffea4f,0x3ffa6005,0xffffffff,
    0xe82fffff,0x805fffff,0xfffffff9,0x43ffffff,0x3ffffffe,0xffff9800,
    0xffffd3ff,0x4000009f,0xfffffffe,0xffffffff,0x81ffffff,0x5ffffff8,
    0x3ffff200,0x3fff63ff,0xffffffff,0xffffffff,0xfd1fffff,0x0009ffff,
    0xfffff800,0xf980003f,0xfd2fffff,0x0009ffff,0xfffff800,0xf980003f,
    0xfd2fffff,0x8007ffff,0x0ffffff8,0x07fffffd,0xfffff880,0xfffffd0f,
    0xfff88007,0x3ffe0fff,0xfc805fff,0x3ea4ffff,0x005fffff,0xbffffff7,
    0xfffff980,0x0dffffd3,0xffffc800,0x17fffea4,0x3ffae600,0xffffffff,
    0x7fec3fff,0xf9806fff,0xffffffff,0x7d43ffff,0x04ffffff,0xfffffb10,
    0x3fff67ff,0x000005ff,0x3ffffffa,0xffffffff,0x1fffffff,0xffffff70,
    0xfffa801d,0x3f60ffff,0xffffffff,0xffffffff,0x1fffffff,0x0bfffffb,
    0xfff80000,0x80004fff,0x0ffffffa,0x0bfffffb,0xfff80000,0x80004fff,
    0x0ffffffa,0x07fffffd,0xfffff880,0xfffffd0f,0xfff88007,0xfffd0fff,
    0xf88007ff,0x3e0fffff,0x01ffffff,0x3fffffe2,0x3ffffe23,0xd980afff,
    0x1fffffff,0x7ffffcc0,0x0dffffd3,0xffffc800,0x17fffea4,0xffb71000,
    0xffffffff,0x7fffe41f,0xfff9807f,0xffffffff,0xfffe83ff,0x09beffff,
    0x3ffff2a6,0xf93fffff,0x000dffff,0x7ffff400,0xffffffff,0xffffffff,
    0x3fffa01f,0x221bffff,0xffffffd9,0x7fffec5f,0xffffffff,0xffffffff,
    0xff91ffff,0x0000dfff,0xfffffd80,0xffb80005,0x3ff27fff,0x00006fff,
    0x7ffffec0,0xffb80005,0x3ffa7fff,0x44003fff,0xd0ffffff,0x007fffff,
    0xffffff88,0x7fffffd0,0xffff8800,0x3fffe0ff,0xe881ffff,0xa86fffff,
    0xffffffff,0xffffeeff,0x806fffff,0xd3fffff9,0x000dffff,0x24ffffc8,
    0x005ffffa,0x7ffdcc00,0x323fffff,0x807fffff,0xfffffff9,0x83ffffff,
    0xffffffe8,0xffffffff,0xffffffff,0xffff72ff,0x400000ff,0x9cfffffe,
    0x99999999,0x40199999,0xfffffffa,0xffffffff,0x40efffff,0x9cfffffd,
    0x99999999,0xfffff999,0xfffff71f,0xc800000f,0x006fffff,0xfffffc80,
    0x3ffffee6,0x64000007,0x006fffff,0xfffffc80,0x3fffff66,0x7ffc4003,
    0xfffb0fff,0xf88007ff,0xfb0fffff,0x8007ffff,0x0ffffff8,0x3ffffffe,
    0xfeb9bdff,0x902fffff,0xffffffff,0xffffffff,0x3001ffff,0x3a7fffff,
    0x0006ffff,0x527fffe4,0x000bffff,0x3fff2200,0x3fea6fff,0x4401ffff,
    0xfaaaaaaa,0x203fffff,0xfffffffd,0xffffffff,0x2fffffff,0x1fffffea,
    0x3a00a800,0x003fffff,0x7ffdc000,0xffffffff,0xffffffff,0xfffffd80,
    0xffff8004,0xffff51ff,0x054000ff,0x3ffffee0,0xffd80007,0x3fea5fff,
    0x20007fff,0x7ffdc00a,0xd80007ff,0x365fffff,0x003fffff,0x7fffffcc,
    0x7fffffb0,0xffff9800,0xffffb0ff,0xff98007f,0x3fe0ffff,0xffffffff,
    0xffffffff,0x7ffec06f,0xffffffff,0x1fffffff,0xfffff300,0x1bffffa7,
    0xffff9000,0x2ffffd49,0x2ee5d544,0x7fffec00,0x3fffe27f,0x7c0004ff,
    0x403fffff,0xfffffffc,0xffffffff,0x440dffff,0x01ffffff,0x1beff880,
    0x1ffffff4,0x74c00000,0xffffffff,0xffffffff,0xfffffb01,0xffff0009,
    0x3ffe23ff,0x88001fff,0xfa81beff,0x002fffff,0x3ffffe20,0x3fffe24f,
    0xf88001ff,0xffa81bef,0x0002ffff,0x3fffffe2,0x3fffff64,0x7ffcc004,
    0xfffb0fff,0xf98009ff,0xfb0fffff,0x8009ffff,0x0ffffff9,0x33fffffe,
    0xffffffff,0xa801ffff,0xfffffffe,0xdfffffff,0x3ffe6000,0xffffd3ff,
    0xffc8000d,0x3ffea4ff,0xffff985f,0x7d4000ff,0x7ec7ffff,0x000fffff,
    0x3fffffe0,0xfffea803,0xffffffff,0x201dffff,0x05ffffff,0xfffffa80,
    0xfffffd1e,0x40000007,0xfffffffc,0x0cffffff,0x3fffff60,0xffff8004,
    0x3fffe1ff,0xfa8005ff,0x221effff,0x06ffffff,0x3ffff200,0x7fffc2ff,
    0xfa8005ff,0x221effff,0x06ffffff,0x3ffff200,0x3fff22ff,0x7d4005ff,
    0x3f27ffff,0x4005ffff,0x27fffffa,0x05fffffc,0x7ffffd40,0xbfffffc7,
    0xfffffffa,0x5c000dff,0xfffffffe,0x8002dfff,0xd3fffff9,0x000dffff,
    0x24ffffc8,0xf05ffffa,0x007fffff,0x7fffffa8,0x7fffffd4,0x3ffe0004,
    0x22003fff,0xffffffdb,0xb001bdff,0x03ffffff,0xfffffe80,0x3fffffa7,
    0x40000003,0xfffffeca,0xd800cfff,0x004fffff,0x1ffffff8,0x3ffffff6,
    0x7fff4001,0xfffe87ff,0x88002fff,0x0fffffff,0x7fffffec,0x7fff4001,
    0xfffe87ff,0x88002fff,0x0fffffff,0x3fffffee,0x3fff2000,0x3ffee6ff,
    0x32000fff,0x2e6fffff,0x00ffffff,0x3fffff20,0x3fffffc6,0xdfffffd3,
    0xd9500009,0x0003bfff,0x3fffff98,0x00dffffd,0x4ffffc80,0x417fffea,
    0x0ffffffd,0x3ffff600,0x7fffc46f,0x98002fff,0x03ffffff,0xffffc980,
    0xff10000b,0x400bffff,0x3ffffffc,0x0ffffffa,0x44000000,0x00cfffca,
    0x7ffffec0,0xffff8004,0x3ffe21ff,0x32005fff,0x83ffffff,0xfffffff9,
    0x3ff62001,0xf883ffff,0x005fffff,0x3ffffff2,0xfffff983,0x362001ff,
    0x43ffffff,0x5ffffffa,0xfffff100,0x7fffd4bf,0xff1005ff,0x7d4bffff,
    0x005fffff,0xbffffff1,0x07fffff8,0x00001553,0x7fffffec,0x3e60000e,
    0xffd3ffff,0xc8000dff,0x3ea4ffff,0xff505fff,0x200bffff,0x5ffffffb,
    0xffffffa8,0xffb1004f,0x007fffff,0xfffffff0,0x3ee00019,0x00efffff,
    0x7fffffd4,0x3ffffa0f,0x0000003f,0xffffff90,0x7fec003d,0xf8004fff,
    0x5c1fffff,0x0effffff,0x7ffffd40,0xfff900ff,0x3007ffff,0xdffffffd,
    0x7ffffdc0,0x7fd400ef,0x900fffff,0x7fffffff,0xffffd300,0xfff10dff,
    0xb005ffff,0x47ffffff,0xfffffff8,0xffffd802,0x3ffe23ff,0xd802ffff,
    0x43ffffff,0x007fffff,0x66f40000,0x006ffffd,0x3ffffe60,0x0dffffd3,
    0xffffc800,0x17fffea4,0x7fffffc4,0xfd980aff,0x01ffffff,0xfffffffb,
    0x65cc137d,0xffffffff,0x674c003f,0x04ffffec,0x3ffffa00,0x2621bfff,
    0xfffffffd,0x7fffff45,0x00000003,0xffffb9bb,0x3ff6001f,0xf8004fff,
    0xe81fffff,0xbfffffff,0x3fff6621,0x2205ffff,0xffffffff,0x3f2a21ad,
    0x1fffffff,0x7fffff40,0x36621bff,0x5fffffff,0x3ffffe20,0x221adfff,
    0xffffffca,0xfff901ff,0x5039ffff,0xfffffffb,0xffffff90,0xffb5039f,
    0xf90fffff,0x39ffffff,0xfffffb50,0xfffff0ff,0x0000000f,0x01ffff88,
    0xfffff300,0x1bffffa7,0xffff9000,0x2ffffd49,0xffffff50,0xffddffff,
    0xdfffffff,0x7ffffc40,0xffffffff,0xffffffff,0x0002ffff,0x007fff98,
    0x3ffffea0,0xffffffff,0xefffffff,0x7fffff40,0x9999999c,0x99999999,
    0xfd000019,0x3f6007ff,0x8004ffff,0x81ffffff,0xfffffffa,0xffffffff,
    0x00efffff,0x7fffffdc,0xffffffff,0xffffffff,0xffffa805,0xffffffff,
    0xffffffff,0x7ffdc00e,0xffffffff,0xffffffff,0x3e205fff,0xffffffff,
    0xffffffff,0xf883ffff,0xffffffff,0xffffffff,0xf883ffff,0xffffffff,
    0xffffffff,0xff83ffff,0x00007fff,0xfffd8000,0xeeee8802,0xd3fffffe,
    0xdddfffff,0x7fe4009d,0x3ffea4ff,0x7ffe405f,0xffffffff,0xffffffff,
    0x7ff4c00f,0xffffffff,0xffffffff,0x0002ffff,0x003fffe0,0xfffffb80,
    0xffffffff,0x80ffffff,0xfffffffe,0xffffffff,0x7fffffff,0xfff90000,
    0x3fff6009,0xff8004ff,0xf701ffff,0xffffffff,0xffffffff,0x3f2001ff,
    0xffffffff,0xffffffff,0x7000dfff,0xffffffff,0xffffffff,0x32001fff,
    0xffffffff,0xffffffff,0x400dffff,0xfffffffc,0xffffffff,0x3207ffff,
    0xffffffff,0xffffffff,0x3f207fff,0xffffffff,0xffffffff,0xffff07ff,
    0x000000ff,0x7fffd440,0xffff8801,0xd3ffffff,0xffffffff,0x7fe400bf,
    0x3ffea4ff,0xfffd805f,0xffffffff,0x1fffffff,0xffffb100,0xffffffff,
    0xbfffffff,0x7e400001,0x980006ff,0xfffffffe,0xffffffff,0xffffd01f,
    0xffffffff,0xffffffff,0x30000fff,0x2005ffff,0x04fffffd,0xffffff80,
    0x3fffa601,0xffffffff,0x001fffff,0x7fffff4c,0xffffffff,0x8002ffff,
    0xffffffe9,0xffffffff,0x74c001ff,0xffffffff,0xffffffff,0x3fee002f,
    0xffffffff,0xefffffff,0x7fffdc01,0xffffffff,0x01efffff,0x7fffffdc,
    0xffffffff,0xff01efff,0x0000ffff,0xd9ddd100,0x009fffff,0x3fffffe2,
    0xffd3ffff,0xbfffffff,0x7fffe400,0x17fffea4,0x7ffff540,0xffffffff,
    0xb8000dff,0xfffffffe,0xffffffff,0xdd50001d,0xfffffd9b,0x7e400007,
    0xffffffff,0x200cffff,0xfffffffe,0xffffffff,0x7fffffff,0x373bba00,
    0x006fffff,0x13fffff6,0x3ffffe00,0xfffc801f,0xffffffff,0x20000cff,
    0xfffffffc,0xdfffffff,0x7fe40000,0xffffffff,0x0000cfff,0x3ffffff2,
    0xffffffff,0xfe98000d,0xffffffff,0x004fffff,0x3fffffa6,0xffffffff,
    0x3fa6004f,0xffffffff,0x404fffff,0x007fffff,0xfff98000,0x04ffffff,
    0x3ffffe20,0xfd3fffff,0xffffffff,0x7ffe400b,0x3fffea4f,0x7ff5c005,
    0xffffffff,0xc980002d,0xffffffff,0x0000adff,0x7fffffd4,0x00002fff,
    0xffffeca8,0x800cffff,0xfffffffe,0xffffffff,0x7fffffff,0x3ffffe00,
    0x000cffff,0x13fffff6,0x3ffffe00,0xfd95001f,0x9fffffff,0x32600001,
    0xfffffffd,0x00002cef,0x3ffffb2a,0x000cffff,0xfffb9300,0x59dfffff,
    0xfec88000,0xffffffff,0xc88001df,0xfffffffe,0x8001dfff,0xfffffec8,
    0x01dfffff,0x07fffff8,0xed880000,0x00bceffe,0x77777440,0xdb2eeeee,
    0xdddddddd,0x66654009,0x3333262c,0x2a660003,0x0001aabc,0x2eea6200,
    0x4000019a,0xdeeffed9,0x20000002,0x0009aba9,0x7ffffff4,0xffffffff,
    0xffffffff,0x3fbb2007,0x8000bdef,0x04fffffd,0xffffff80,0x57530001,
    0x00000013,0x00157531,0x5d4c0000,0x0000009a,0x00aba988,0x2aa20000,
    0x001aabba,0x2eaaa200,0x00001aab,0x2aeeaaa2,0x6664001a,0x000004cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x19999993,0xcc800000,
    0x0002cccc,0xccccca80,0xccccb801,0x2662002c,0x99999999,0xb8000199,
    0x002ccccc,0xcccc9800,0x9997001c,0x88000599,0x00cccccc,0xcccc9800,
    0x2000001c,0x02cccccc,0x35555100,0x02aaaa88,0x99950000,0x00000999,
    0x39999991,0x55400000,0x00554c02,0x99930000,0x20000399,0x441cccc9,
    0x0002cccc,0x1555554c,0x33333200,0x665c002c,0xccccb84c,0x7ec00000,
    0x0003ffff,0x7fffcc00,0x4400007f,0x06ffffff,0x77ffffcc,0x3fffa000,
    0xffffffff,0xf980007f,0x0007ffff,0x7ffffc40,0xfff3006f,0x40001fff,
    0x04fffffc,0xfffe8800,0x00000eff,0xefffff98,0xfff70000,0xffff98bf,
    0xfd000007,0x0003ffff,0xfffff700,0xd800000b,0x3ffa02ff,0xd1000001,
    0x01ffffff,0x3fff6000,0x3ffffa0f,0x7ff40000,0x2a003fff,0x00efffff,
    0x1ffffd40,0x009ffff5,0x3fff6000,0x8000007f,0x03fffffa,0x3fffa000,
    0x3604ffff,0x000effff,0x7ffffff4,0x07ffffff,0xffff5000,0x6c00007f,
    0x4fffffff,0xfffff300,0x3fe20007,0x00004fff,0xfffffffb,0xfb00000b,
    0x0001dfff,0x22ffffdc,0x007ffff9,0xffffa800,0xf000002f,0x000bffff,
    0x0dff7000,0x0001ffea,0xfffffc80,0x100005ff,0x3f2bffff,0x40002fff,
    0x03fffffa,0x77ffff40,0xfff90000,0xdffff13f,0xfe800000,0x00003fff,
    0x6ffffa80,0xfff70000,0x03ffffdf,0x01fffff3,0xfffffd00,0xffffffff,
    0x7fd40000,0x700006ff,0xfffdffff,0x3fea005f,0xf90006ff,0x0000bfff,
    0x3fbfffea,0x00002fff,0x03ffffe6,0xffff7000,0x7ffff98b,0xffe80000,
    0x000003ff,0x01dffff5,0xff100000,0xffb759df,0x2000009f,0xffeffffa,
    0x500003ff,0xfffbffff,0xfb0000bf,0x98009fff,0x000effff,0x777fff40,
    0x0001ffff,0x7fff4400,0x70000006,0x0005ffff,0x8cffff98,0x640effff,
    0x0001ffff,0xdddddddb,0x00bddddd,0xffffb800,0x7fcc0002,0xfffe8dff,
    0xfff5000f,0xff88005f,0x100005ff,0xfd1bffff,0x00001fff,0x007ffff6,
    0x3fffee00,0x3ffffcc5,0x3fea0000,0x000003ff,0x003bfffa,0xffa80000,
    0x6fffffff,0xff100000,0x3fffabff,0xfb00000f,0x1dffffff,0xfff98000,
    0xffd8005f,0x980001ff,0xffffffff,0x10000003,0x0005fffd,0x3ffee000,
    0x7ff40006,0x3fffe66f,0x07fffe24,0x00000000,0x3ffee000,0x7ff40006,
    0xffff30ef,0x7ffdc00b,0x7ffdc006,0xfd00000e,0x3fe21fff,0x880005ff,
    0x0001ffff,0x89dddd50,0x005eeee9,0x27ffec00,0xff500000,0x000001df,
    0xfffff700,0x00001dff,0x43ffff60,0x006ffff8,0xffffd100,0xb00003ff,
    0x1000bfff,0x0003ffff,0x7ffffdc0,0x0000005f,0x002776c4,0xddd90000,
    0x3bae0003,0x7775c1ee,0x05ddd51e,0x00000000,0x77764000,0xddd50001,
    0xeeeea83d,0x3bbae001,0x37bb6001,0xdd500000,0xeeea83dd,0x75c0002e,
    0x000002ee,0x40000000,0x0004eee8,0x0f776400,0x10000000,0x0059ddb9,
    0x77754000,0x7777542e,0x99300002,0x00007999,0x000dfff1,0x000bbbae,
    0x33332e00,0x0000000c,0x00000000,0x00000000,0x2a000000,0xabdeeedc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54000000,0x001aaaaa,
    0x0aaaaaa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03555555,0x55555500,0xdb950001,0x00157bdd,
    0x55555500,0x55555401,0x7ec4000a,0xffffffff,0x5000dfff,0x55555555,
    0x55555555,0x41555555,0x002aaaaa,0xaaaaa800,0x5555530a,0x55530003,
    0x2aaaa155,0xaaaaaaaa,0xaaaaaaaa,0x2aaa0aaa,0xaaaaaaaa,0xaaaaaaaa,
    0x3fa0aaaa,0x4003ffff,0x0ffffff8,0x2aaaaaaa,0x2aaa0001,0x5550aaaa,
    0x55555555,0x03335555,0x55500000,0x00005555,0x55555400,0x2aa0002a,
    0xaaaaaaaa,0x199aaaaa,0x55555000,0x33331015,0x2a000013,0xaaaaaaaa,
    0x019aaaaa,0x3ffffa00,0x7fc4003f,0x1000ffff,0xfffffffb,0x01bfffff,
    0x3ffffe00,0x3fffe02f,0x3ea002ff,0xffffffff,0x2fffffff,0xfffffe80,
    0xffffffff,0xffffffff,0x3ffffa3f,0x7c00000f,0xfb2fffff,0x000dffff,
    0x21fffffb,0xfffffffe,0xffffffff,0x3fffffff,0x3ffffffa,0xffffffff,
    0xffffffff,0x3fffffa3,0x7ffc4003,0x3fee0fff,0x0006ffff,0xbffffff7,
    0x7fffffec,0xffffffff,0x00ceffff,0x7ffc4000,0x0001ffff,0xffff8800,
    0xb0001fff,0xffffffff,0xffffffff,0x20019dff,0x80fffffe,0x05fffffc,
    0xffffd000,0xffffffff,0x007dffff,0x3fffffe8,0x7fffc400,0xffa800ff,
    0xffffffff,0x02ffffff,0xffffff80,0x3ffffe02,0xffd8802f,0xffffffff,
    0xffffffff,0x3fffa00d,0xffffffff,0xffffffff,0x3ffa3fff,0x00000fff,
    0x97fffffc,0x4ffffffd,0x7fffec00,0xfffffd0f,0xffffffff,0xffffffff,
    0x7ffff47f,0xffffffff,0xffffffff,0x3fffa3ff,0x7c4003ff,0x740fffff,
    0x03ffffff,0x7ffffc40,0x3fff60ff,0xffffffff,0xffffffff,0x200004ff,
    0xfffffffb,0xb8000005,0x5fffffff,0xffffb000,0xffffffff,0xffffffff,
    0xfffd009f,0xfff901ff,0x20000bff,0xfffffffe,0xffffffff,0xd003ffff,
    0x007fffff,0xffffff88,0x3fff6200,0xffffffff,0xdfffffff,0x3fffe000,
    0x3ffe02ff,0x74402fff,0xffffffff,0xffffffff,0xd01fffff,0xffffffff,
    0xffffffff,0x47ffffff,0x00fffffe,0x7fffc000,0xffffb2ff,0x6c003fff,
    0xfd0fffff,0xffffffff,0xffffffff,0x747fffff,0xffffffff,0xffffffff,
    0x23ffffff,0x03fffffe,0x7ffffc40,0x7fffcc0f,0x36000fff,0x43ffffff,
    0xfffffffd,0xffffffff,0x4fffffff,0xfffd0000,0x001fffff,0xfffe8000,
    0x000fffff,0xffffffd8,0xffffffff,0xffffffff,0x7ffff404,0xffffc80f,
    0xfd00005f,0xffffffff,0xffffffff,0xfd00bfff,0x8007ffff,0x0ffffff8,
    0xfffffd10,0xffffffff,0xffffffff,0x3fffe003,0x3ffe02ff,0x7e402fff,
    0xffffffff,0xffffdcce,0xd06fffff,0xffffffff,0xffffffff,0x47ffffff,
    0x00fffffe,0x7fffc000,0xffffb2ff,0x6c00bfff,0xfd0fffff,0xffffffff,
    0xffffffff,0x747fffff,0xffffffff,0xffffffff,0x23ffffff,0x03fffffe,
    0x7ffffc40,0xffffc80f,0xff3004ff,0xfb0dffff,0xffffffff,0xffffffff,
    0x07ffffff,0xffff9800,0x003fffff,0x3ffe6000,0x03ffffff,0xfffffd80,
    0xffffffff,0xffffffff,0x3ffa03ff,0xffc80fff,0x00005fff,0xfffffffd,
    0xffffffff,0x0bffffff,0x3fffffe8,0x7fffc400,0xfff900ff,0x9dffffff,
    0xffffffb9,0x3e00dfff,0x202fffff,0x02ffffff,0x3fffffea,0x3f6201ef,
    0x83ffffff,0xfffffffe,0xffffffff,0x3fffffff,0x03fffffa,0xffff0000,
    0x3fff65ff,0x002fffff,0x21fffffb,0xfffffffe,0xffffffff,0x3fffffff,
    0x3ffffffa,0xffffffff,0xffffffff,0x3fffffa3,0x7ffc4003,0xfe880fff,
    0x801fffff,0x1ffffffe,0xffffffd8,0xffffffff,0xffffffff,0x7e40007f,
    0xffffffff,0x32000006,0xffffffff,0xffd8006f,0xffffffff,0xffffffff,
    0x207fffff,0x80fffffe,0x05fffffc,0xffffd000,0xffffffff,0xffffffff,
    0x7ff403ff,0x44003fff,0x80ffffff,0xfffffffa,0x3ff6201e,0x803fffff,
    0x02ffffff,0x0bfffffe,0x7fffffc4,0xff7000df,0xe81fffff,0x003fffff,
    0x7ffff400,0x7c00000f,0xfb2fffff,0xffffffff,0xffffb001,0x3ffffa1f,
    0x7400003f,0x003fffff,0x7ffff400,0x7fc4003f,0xf500ffff,0x80dfffff,
    0x4ffffffa,0x9fffffb0,0x3fff6600,0x0002ffff,0xfffffff1,0x0003ffff,
    0xfffff100,0x03ffffff,0xfffffd80,0xfffb3004,0x3a05ffff,0xc80fffff,
    0x005fffff,0xfffffd00,0x7fecc407,0x206fffff,0x03fffffe,0x7ffffc40,
    0x7fffc40f,0x7000dfff,0x1fffffff,0xffffff80,0x3ffffe02,0xffff902f,
    0xf5000bff,0xe8bfffff,0x003fffff,0x7ffff400,0x7c00000f,0xfb2fffff,
    0xffffffff,0xffffb009,0x3ffffa1f,0x7400003f,0x003fffff,0x7ffff400,
    0x7fc4003f,0x3600ffff,0x03ffffff,0xdffffff1,0x7ffffec0,0x7ffdc004,
    0x50004fff,0xffffffff,0x0000bfff,0xffffff50,0x00bfffff,0x4fffffd8,
    0x7fffdc00,0xfffd04ff,0xfff901ff,0x20000bff,0x03fffffe,0xfffffb30,
    0x3fffa07f,0x7c4003ff,0x640fffff,0x05ffffff,0xfffffa80,0x7fffc05f,
    0x3ffe02ff,0xfff02fff,0x0001ffff,0x3ffffffa,0x3fffffa1,0x7f400003,
    0x1100ffff,0xfffff000,0x3ffff65f,0x01ffffff,0x87ffffec,0x03fffffe,
    0x7fff4000,0x400003ff,0x03fffffe,0x7ffffc40,0x3ffe200f,0xfc80ffff,
    0x202fffff,0x04fffffd,0x7ffffc40,0xffd0005f,0xffff9fff,0x800001ff,
    0xfcfffffe,0x000fffff,0x13fffff6,0xfffff100,0x3fffa0bf,0xfffc80ff,
    0xd00005ff,0x007fffff,0x7fffffc4,0xffffe80f,0x7fc4003f,0x7fc0ffff,
    0x000fffff,0xffffffd0,0x7ffffc03,0x3fffe02f,0xfff982ff,0x20004fff,
    0x3ffffffa,0x0ffffffa,0xfffd0000,0x7f6d41ff,0xf800cdff,0xfb2fffff,
    0xffffffff,0xfffd80df,0xffffd0ff,0xe800007f,0x003fffff,0x7ffff400,
    0x7fc4003f,0x5c00ffff,0x44ffffff,0x5ffffff8,0x7ffffec0,0xfffd8004,
    0xf98006ff,0xffd7ffff,0x00007fff,0xbfffffcc,0x03fffffe,0x3fffff60,
    0xfffd8004,0xfffd06ff,0xfff901ff,0x20000bff,0x03fffffe,0x7ffffdc0,
    0xffffe83f,0x7fc4003f,0x3e60ffff,0x004fffff,0x3ffffea0,0x3fffe03f,
    0x3ffe02ff,0xffc82fff,0x0000ffff,0x27fffff4,0x07fffffd,0xfffe8000,
    0xfffd88ff,0x01efffff,0x97fffffc,0xfffffffd,0x3603ffff,0xfd0fffff,
    0x0007ffff,0xfffffe80,0x7f400003,0x4003ffff,0x0ffffff8,0xfffffe80,
    0x3ffff61f,0x7fec00ff,0xe8004fff,0x005fffff,0x4fffffc8,0x0dfffff7,
    0x7ffe4000,0xffff74ff,0x7fec00df,0xe8004fff,0xd05fffff,0x901fffff,
    0x00bfffff,0x3ffffa00,0xffe8003f,0xffe85fff,0x44003fff,0x20ffffff,
    0x0ffffffc,0x7fff4000,0x3ffe04ff,0x3fe02fff,0xfd82ffff,0x0006ffff,
    0x5fffffc8,0x0ffffffa,0xfffd0000,0xffffd5ff,0x3fffffff,0x7fffffc0,
    0xffffffb2,0x01ffffff,0x43fffff6,0x03fffffe,0x7fff4000,0x400003ff,
    0x03fffffe,0x7ffffc40,0xfff9800f,0xfff56fff,0xfb005fff,0x8009ffff,
    0x4ffffff8,0xfffff800,0xfffff11f,0x3e00003f,0xf11fffff,0x003fffff,
    0x13fffff6,0xfffff100,0x3fffa09f,0xfffc80ff,0xd00005ff,0x007fffff,
    0xffffff90,0x7fffffd0,0xffff8800,0x3fff60ff,0xc80006ff,0x205fffff,
    0x02ffffff,0x0bfffffe,0x17fffffa,0x3ffee000,0x3fffa6ff,0x99999cff,
    0x99999999,0xffffe819,0xffffffff,0x05ffffff,0x4bfffffe,0xfafffffd,
    0xb05fffff,0x3a1fffff,0x99cfffff,0x99999999,0xfe819999,0x999cffff,
    0x99999999,0xffe81999,0x44003fff,0x00ffffff,0xffffff90,0xbfffffd5,
    0x3ffff600,0x7fec004f,0x4002ffff,0x46fffffa,0x05fffffd,0xffffa800,
    0x7fffec6f,0xfffb005f,0xfd8009ff,0xd02fffff,0x901fffff,0x00bfffff,
    0x3ffffa00,0xffa8003f,0x7f41ffff,0x4003ffff,0x0ffffff8,0x17fffffa,
    0x3ffee000,0x3ffe06ff,0x3fe02fff,0xff82ffff,0x0004ffff,0x7fffffa8,
    0x3ffffffa,0xffffffff,0x1fffffff,0x7ffffff4,0xffdbbdff,0xf01fffff,
    0x365fffff,0xfc8fffff,0xd81fffff,0xfd0fffff,0xffffffff,0xffffffff,
    0xfe83ffff,0xffffffff,0xffffffff,0x7f41ffff,0x4003ffff,0x0ffffff8,
    0x3ffffa00,0xffffffff,0xffffb000,0x3333339f,0xfffd5333,0xb000dfff,
    0xa87fffff,0x00ffffff,0x7fffec00,0x7fffd43f,0xffd800ff,0x9999cfff,
    0xfea99999,0x206fffff,0x80fffffe,0x05fffffc,0xffffd000,0xff30007f,
    0xfe83ffff,0x4003ffff,0x0ffffff8,0x13fffffe,0x3ffea000,0x3ffe07ff,
    0x3fe02fff,0xff82ffff,0x0003ffff,0xffffff98,0xffffffd1,0xffffffff,
    0x3fffffff,0xffffffe8,0xffff980f,0xffff04ff,0x3fff65ff,0xffff88ff,
    0xfffd86ff,0xffffd0ff,0xffffffff,0xffffffff,0xffffe83f,0xffffffff,
    0xffffffff,0x7ffff41f,0x7fc4003f,0x2000ffff,0xfffffff9,0x2003ffff,
    0xfffffffd,0xffffffff,0xffffffff,0x7ffc4001,0x7fc40fff,0x0003ffff,
    0x3fffffe2,0x7ffffc40,0xfffd803f,0xffffffff,0xffffffff,0x3a01ffff,
    0xc80fffff,0x005fffff,0xfffffd00,0xfff10007,0xffe85fff,0x44003fff,
    0x20ffffff,0x03ffffff,0xffff9800,0xffff01ff,0x7ffc05ff,0xfff82fff,
    0x80003fff,0x2ffffff9,0xfffffffd,0xffffffff,0x83ffffff,0x1ffffffe,
    0x3fffff20,0xffffff05,0x3fffff65,0xffffff50,0xfffffd87,0xffffffd0,
    0xffffffff,0x3fffffff,0xffffffe8,0xffffffff,0x1fffffff,0x1ffffff4,
    0x3fffe200,0x7ec000ff,0xffffffff,0x7ffec006,0xffffffff,0xffffffff,
    0xb8003fff,0xb05fffff,0x00dfffff,0x7ffffdc0,0xfffffb05,0xffffb00d,
    0xffffffff,0xffffffff,0xffe807ff,0xffc80fff,0x00005fff,0x07fffffd,
    0xfffff100,0xffffe85f,0x7fc4003f,0x3fe0ffff,0x0003ffff,0xffffff98,
    0xffffff02,0x7ffffc05,0xfffff82f,0xfa80004f,0xfd0fffff,0xffffffff,
    0xffffffff,0xfe83ffff,0x5404ffff,0xf05fffff,0x365fffff,0x360fffff,
    0x20ffffff,0xd0fffffd,0xffffffff,0xffffffff,0xe83fffff,0xffffffff,
    0xffffffff,0x741fffff,0x003fffff,0x7fffffc4,0x7ffc4000,0x01ffffff,
    0x7ffffec0,0xffffffff,0xefffffff,0xfffd0001,0x3fea05ff,0x0001ffff,
    0x05fffffd,0x3fffffea,0x7fffec01,0xffffffff,0xffffffff,0xfffe801e,
    0xfffc80ff,0xd00005ff,0x007fffff,0xffffff10,0xfffffe87,0x7ffc4003,
    0x3ffe0fff,0x80004fff,0x0ffffffa,0x5ffffff0,0x7fffffc0,0xfffffd82,
    0xffb80005,0x3ffa7fff,0xffffffff,0xffffffff,0x7ff41fff,0x7cc02fff,
    0xff06ffff,0x3f65ffff,0x3e60ffff,0x365fffff,0xfd0fffff,0xffffffff,
    0xffffffff,0xfe83ffff,0xffffffff,0xffffffff,0x7f41ffff,0x4003ffff,
    0x0ffffff8,0xffffa800,0xd8004fff,0xffffffff,0xffffffff,0x20002cef,
    0x0ffffff9,0x3fffffe0,0xfff98005,0x3fe00fff,0x6c05ffff,0xffffffff,
    0xffffffff,0x3a002cef,0xc80fffff,0x005fffff,0xfffffd00,0xfff10007,
    0xffe85fff,0x44003fff,0x20ffffff,0x05fffffd,0xffffb800,0x3fffe07f,
    0x3ffe02ff,0xffc82fff,0x80006fff,0x26fffffc,0x9cfffffe,0x99999999,
    0xe8199999,0x401fffff,0x06fffff9,0x25ffffff,0x40fffffd,0x2ffffffc,
    0x21fffffb,0x9cfffffe,0x99999999,0xe8199999,0x99cfffff,0x99999999,
    0xfd819999,0x4003ffff,0x0ffffff8,0xffffb000,0xfb0001ff,0xffddffff,
    0xdfffffff,0xff900003,0xfc80bfff,0x000fffff,0x2fffffe4,0x3fffff20,
    0x3fff600f,0xffffeeff,0x01efffff,0xfffffe80,0xfffffc80,0xffd00005,
    0x10007fff,0x85ffffff,0x03fffffd,0x7ffffc40,0x3ffff20f,0xfc80006f,
    0x3e06ffff,0x202fffff,0x82ffffff,0x07fffffb,0xffffd800,0x3ffffa5f,
    0x7400003f,0x401fffff,0x06fffff9,0x25ffffff,0x80fffffd,0xb6fffffe,
    0x3a1fffff,0x003fffff,0x7ffff400,0x6c00003f,0x003fffff,0x7fffffcc,
    0xfff90000,0x36000bff,0x224fffff,0xffffffc9,0x3e20002f,0xaacfffff,
    0xffcaaaaa,0x2003ffff,0xcffffff8,0xcaaaaaaa,0x03ffffff,0x93fffff6,
    0xfffffc98,0x7f4002ff,0xfc80ffff,0x0005ffff,0x7fffffd0,0xffff3000,
    0xfffd83ff,0x7cc003ff,0x2e0fffff,0x007fffff,0xfffffd80,0x3ffffe05,
    0x3fffe02f,0xfffa82ff,0x20002fff,0x4ffffff8,0x0ffffffa,0xfffd0000,
    0xff8801ff,0xfff06fff,0x3ff65fff,0xffa80fff,0xffdcffff,0xfffd0fff,
    0x800007ff,0x03fffffe,0x7ffec000,0x7cc004ff,0x000fffff,0xbfffff90,
    0x3fff6000,0xfff304ff,0x0009ffff,0x3fffffee,0xffffffff,0x6fffffff,
    0x3fffee00,0xffffffff,0xffffffff,0x3fff606f,0xfff304ff,0x4009ffff,
    0x80fffffe,0x05fffffc,0xffffd000,0xff50007f,0xfd81ffff,0x4004ffff,
    0x0ffffff9,0x3fffffea,0x3fe20002,0x3e04ffff,0x202fffff,0x82ffffff,
    0x6ffffff8,0x3fff2000,0x3ffa2fff,0x00003fff,0x07fffff4,0x3ffffe20,
    0xffffff06,0x3fffff65,0xfffffb00,0x1fffffdf,0x0ffffffa,0xfffd0000,
    0x800007ff,0x05fffffc,0x7ffffd40,0x3ff20007,0xb0005fff,0x409fffff,
    0xfffffffa,0xfffe8004,0xffffffff,0xffffffff,0xfd001fff,0xffffffff,
    0xffffffff,0x203fffff,0x04fffffd,0x3fffffea,0xfffd004f,0xfff901ff,
    0x20000bff,0x03fffffe,0xfffffc80,0xfffffc87,0x7ffd4005,0x7ffc47ff,
    0x20006fff,0x2ffffffc,0x3fffffe0,0x3ffffe02,0xffffd02f,0xf10005ff,
    0x41ffffff,0x03fffffe,0x7fff4000,0x7fc400ff,0xfff06fff,0x3ff65fff,
    0xff100fff,0xffffffff,0x3fffa1ff,0x400003ff,0x03fffffe,0x7ffdc000,
    0x32000fff,0x006fffff,0x3fffff20,0xfffb0005,0xffc809ff,0x002fffff,
    0x3fffffe6,0xffffffff,0xffffffff,0xfff9805f,0xffffffff,0xffffffff,
    0xfb05ffff,0xc809ffff,0x2fffffff,0xfffffe80,0xfffffc80,0xffd00005,
    0xd0007fff,0x70bfffff,0x01ffffff,0x7ffffe40,0xfffffe86,0xff88002f,
    0x200fffff,0x02ffffff,0x0bfffffe,0x7fffffcc,0x3f62001f,0x743fffff,
    0x003fffff,0x7ffff400,0x7ffc400f,0xffff06ff,0x3fff65ff,0x3fee00ff,
    0xffffffff,0xfffffd0f,0xfe800007,0x0003ffff,0x7ffffd40,0xfff1005f,
    0x4000bfff,0x05fffffc,0xfffffb00,0xffffd009,0x32001fff,0xffffffff,
    0xffffffff,0xffffffff,0x7fffe400,0xffffffff,0xffffffff,0xfd80ffff,
    0xe804ffff,0x0fffffff,0x7fffff40,0xfffffc80,0xffd00005,0xb8007fff,
    0x82ffffff,0x5ffffffa,0xfffff100,0xffff30bf,0x44003fff,0x3ffffffd,
    0x7fffffc0,0x3ffffe02,0x3fff202f,0x9803ffff,0x6ffffffe,0x3fffffe8,
    0x7ff40000,0x7c400fff,0xff06ffff,0x3f65ffff,0x7400ffff,0xffffffff,
    0xffffd0ff,0xe800007f,0x003fffff,0x7fffc400,0xfd802fff,0x003fffff,
    0x3fffff20,0xfffb0005,0xff3009ff,0x00bfffff,0x3bfffffe,0xeeeeeeee,
    0xffffeeee,0x7ffc03ff,0xeeeeefff,0xeeeeeeee,0x83ffffff,0x04fffffd,
    0xffffff98,0x7fff405f,0xfffc80ff,0xd00005ff,0x007fffff,0x7fffffc4,
    0xfffff107,0xffb005ff,0x3207ffff,0x3fffffff,0xffffe980,0xfff806ff,
    0x3fe02fff,0x2202ffff,0xffffffff,0x3f2a21ad,0x1fffffff,0x3fffffe8,
    0x7ff40000,0x7c400fff,0xff06ffff,0x3f65ffff,0x4c00ffff,0xffffffff,
    0xffffd0ff,0xe800007f,0x003fffff,0xffffc800,0xda81cfff,0x07ffffff,
    0x7fffe400,0xffb0005f,0x2e009fff,0x2fffffff,0x7ffffd40,0xffe8000f,
    0x3ea06fff,0x000fffff,0x6fffffe8,0x4fffffd8,0xfffff700,0x7ff405ff,
    0xffc80fff,0x00005fff,0x07fffffd,0x3ffffaa0,0x3ff203ff,0x81cfffff,
    0xffffffda,0x3fffe207,0x21adffff,0xfffffca8,0xff801fff,0x3e02ffff,
    0x402fffff,0xfffffffb,0xffffffff,0x5fffffff,0x9fffffd0,0x33333333,
    0x33333333,0x7fffff43,0x7fffc400,0xfffff06f,0x3ffff65f,0xfffc800f,
    0xd0ffffff,0x339fffff,0x33333333,0x43333333,0x9cfffffe,0x99999999,
    0x19999999,0x7fffffc4,0xffffffff,0x3fffffff,0x7ffe4000,0xfb0005ff,
    0x4009ffff,0xfffffffe,0x3ffff600,0xff70005f,0x3603ffff,0x005fffff,
    0xffffff70,0xfffffd83,0x3fffa004,0xfd00ffff,0xf901ffff,0x333bffff,
    0x33333333,0x3fa13333,0x999cffff,0xffebaa99,0x00efffff,0x3fffffe2,
    0xffffffff,0x3fffffff,0x7ffffdc0,0xffffffff,0xffffffff,0xffff005f,
    0x7ffc05ff,0xfc802fff,0xffffffff,0xffffffff,0xfd00dfff,0xffffffff,
    0xffffffff,0x74ffffff,0x400fffff,0x06fffff8,0x25ffffff,0x00fffffd,
    0xffffff88,0xfffd0fff,0xffffffff,0xffffffff,0x7ff4ffff,0xffffffff,
    0xffffffff,0xfc87ffff,0xffffffff,0xffffffff,0xc80007ff,0x005fffff,
    0x9fffffb0,0x7fffc400,0xff104fff,0x0005ffff,0x3fffffe2,0xfffff885,
    0xff10002f,0xfd8bffff,0x2004ffff,0xfffffff8,0xfffffd04,0xfffff901,
    0xffffffff,0xffffffff,0x3fffffa7,0xffffffff,0xffffffff,0xfffc801f,
    0xffffffff,0xffffffff,0xffff9007,0xffffffff,0xffffffff,0x3ffe001b,
    0x3fe02fff,0x3002ffff,0xfffffffd,0xffffffff,0xffe805ff,0xffffffff,
    0xffffffff,0x3fa7ffff,0x4400ffff,0xf06fffff,0x365fffff,0x000fffff,
    0xfffffff5,0x3ffffa1f,0xffffffff,0xffffffff,0x3fffa7ff,0xffffffff,
    0xffffffff,0xff707fff,0xffffffff,0xdfffffff,0xff900003,0x2000bfff,
    0x04fffffd,0x7ffffdc0,0xfffb81ff,0x6c0007ff,0x40ffffff,0x07fffffb,
    0x7fffec00,0x3fff60ff,0x7dc004ff,0x81ffffff,0x80fffffe,0xfffffffc,
    0xffffffff,0xd3ffffff,0xffffffff,0xffffffff,0x005fffff,0x7fffffdc,
    0xffffffff,0x2001efff,0xffffffe9,0xffffffff,0x7c002fff,0x202fffff,
    0x02ffffff,0x7ffffe40,0xffffffff,0xffe800df,0xffffffff,0xffffffff,
    0x3fa7ffff,0x4400ffff,0xf06fffff,0x365fffff,0x000fffff,0x3ffffff6,
    0xfffffd0f,0xffffffff,0xffffffff,0x7ffff4ff,0xffffffff,0xffffffff,
    0x3fa607ff,0xffffffff,0x004fffff,0x3ffff200,0xffb0005f,0xd0009fff,
    0x0dffffff,0x09fffffd,0xffffa800,0x7fff43ff,0x540004ff,0x23ffffff,
    0x04fffffd,0xfffffe80,0xffffe86f,0xffffc80f,0xffffffff,0xffffffff,
    0xfffffd3f,0xffffffff,0x3bffffff,0xfffd3000,0xffffffff,0x40009fff,
    0xfffffffc,0xdfffffff,0xffff8000,0x3ffe02ff,0x98002fff,0xffffffdc,
    0x2002ceff,0xfffffffe,0xffffffff,0x7fffffff,0x03fffffa,0xdfffff10,
    0x3fffffe0,0x1fffffb2,0x7fffcc00,0xfffd0fff,0xffffffff,0xffffffff,
    0x7ff4ffff,0xffffffff,0xffffffff,0x4407ffff,0xffffffec,0x001dffff,
    0x7fffe400,0xffb0005f,0x10009fff,0x7fffffff,0x7fffffcc,0xfff80001,
    0x3fe66fff,0x0001ffff,0x6ffffff8,0x13fffff6,0x3fffe200,0x7ff43fff,
    0xffc80fff,0xffffffff,0xffffffff,0xfffd3fff,0xffffffff,0x5dffffff,
    0xfec88000,0xffffffff,0x980001df,0xffffffdc,0x0002ceff,0x0bfffffe,
    0x2ffffff8,0xba988000,0x3fa0000a,0xffffffff,0xffffffff,0x3a7fffff,
    0x400fffff,0x06fffff8,0x25ffffff,0x00fffffd,0x7ffffe40,0xfffffd0f,
    0xffffffff,0xffffffff,0x7ffff4ff,0xffffffff,0xffffffff,0x2a2007ff,
    0x01aabbaa,0x3ff20000,0xb0005fff,0x009fffff,0x3ffffee0,0xffffb0ff,
    0x320000df,0xb1ffffff,0x00dfffff,0x3ffff200,0xffffb1ff,0x3ee0009f,
    0x20ffffff,0x80fffffe,0xfffffffc,0xffffffff,0xd3ffffff,0xffffffff,
    0x9bdfffff,0x51000005,0x03557755,0xa9880000,0x000000ab,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccccc980,
    0x4c00000c,0x6441cccc,0x00002ccc,0x13ffffe6,0x33260000,0x0000cccc,
    0xaaaa8800,0x15555441,0x99995000,0x1cccc983,0x665c0000,0x97003ccc,
    0x99970999,0x99997009,0x01999970,0x00000000,0x20666654,0x001cccca,
    0xb80ae600,0xcc80004c,0xcccb83cc,0x33330004,0x33333333,0x5e4c0013,
    0x22199500,0x99999999,0x30019999,0xa8835555,0x00002aaa,0x33333331,
    0x01333333,0x05555540,0x002aaaa6,0x3ffff600,0xd000004f,0x7f41ffff,
    0x00000fff,0x13ffffe6,0x7fe40000,0x00004fff,0x5ffffa80,0x03ffffcc,
    0xdfffd100,0x037fff44,0x3ffe6000,0xf5000eff,0x7fd47fff,0xffa803ff,
    0x3ffea3ff,0xf100003f,0x000bffff,0x25ffff88,0x005ffff8,0xffffd500,
    0x037fcc39,0x7fffd400,0x0ffffea3,0x7ffffc00,0xffffffff,0xfffd9805,
    0xffd10bdf,0x3fffffa1,0x7fffffff,0x9ffff700,0x06ffff98,0xffff5000,
    0xffffffff,0x7ffc007f,0x7ffec1ff,0x7c40002f,0x0004ffff,0x3fffe200,
    0x05ffffb5,0xfff98000,0x000004ff,0x03fffff2,0xff500000,0xfff98bff,
    0x7cc0007f,0xfffb4fff,0xd800003f,0x000fffff,0x4cffffe4,0x2006ffff,
    0xf89ffffc,0x00006fff,0x17ffffe2,0x3ffea000,0x1ffffd3f,0xfff10000,
    0xfdffffff,0x20000bff,0xf99ffffd,0x20005fff,0xffffffff,0x805fffff,
    0xfffffffe,0xd0ffffef,0xffffffff,0x200fffff,0x4c4ffffb,0x0006ffff,
    0xffffff50,0x7fffffff,0x7ffffc00,0x17fffec1,0x3fff2000,0x8000005f,
    0xffdffffa,0x800004ff,0x04fffff9,0x7fec0000,0x000003ff,0x22ffffd4,
    0x007ffff9,0xdffffb80,0x0003ffff,0x7ffffc40,0xfffd0001,0x01ffffdd,
    0xeefffe80,0x0000ffff,0x3ffffe20,0xffb00005,0x5ffffbff,0x3ff20000,
    0xffffffff,0x00003fff,0xfddfffd1,0x40001fff,0xffffffff,0x405fffff,
    0xfffffff9,0x25ffffff,0xfffffffe,0x007fffff,0x989ffff7,0x0006ffff,
    0xffffff50,0x7fffffff,0x7ffffc00,0x17fffec1,0xffff1000,0x4000000b,
    0xfffffffd,0xf3000006,0x0009ffff,0xffffb000,0xfa800000,0x7fcc5fff,
    0xd00007ff,0xdfffffff,0xff900000,0x4c0003ff,0xffffffff,0xfff98003,
    0x003fffff,0x7fffc400,0xd100005f,0xbfffffff,0x7fec0000,0xfffeb98b,
    0x400005ff,0xfffffff9,0x7740002f,0xeeeeeeee,0x7d404eee,0xffda88df,
    0x3b21efff,0xeeeeeeee,0xf7005eee,0xff989fff,0x300006ff,0xdddddddd,
    0x005ddddd,0x20fffffc,0x002ffffd,0x01bffee0,0xff100000,0x003fffff,
    0x3bba6000,0x000003ee,0x03fffe88,0x3baa0000,0x777444ee,0xf100005e,
    0x01ffffff,0xfff88000,0xfb80002f,0x005fffff,0x3ffffee0,0x8800005f,
    0x005fffff,0x3fffe600,0x00000fff,0x2e603bb2,0x000001cd,0xbffffff7,
    0x00000000,0x2207baa0,0x00001dca,0x77775400,0x2f7774c3,0x00000000,
    0x1ddddb00,0x02eeeec8,0x037bb600,0x26000000,0x002ccccc,0x00000000,
    0x3bb62000,0x00000005,0x54000000,0x002ccccc,0x2eeea800,0x332e0000,
    0x40000ccc,0x00cccccc,0xccc88000,0x400003cc,0x01ccccca,0x00000000,
    0x33320000,0x00000ccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x76e54000,0x000abdee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3bbb72a0,
    0x00000abd,0x55400000,0x8001aaaa,0x00aaaaaa,0x2aaa0000,0x55500aaa,
    0x00035555,0x55555554,0x55550000,0x40000555,0x00aaaaaa,0x2aaaa000,
    0x000002aa,0x2aaaaaa0,0x2aaa0002,0xaaaaaaaa,0xaaaaaaaa,0x0000aaaa,
    0x0aaaaaaa,0xfd880000,0xffffffff,0x5000dfff,0x55555555,0x55555555,
    0x01555555,0x55555553,0x55555555,0x15555555,0x55555540,0x2aaaaa00,
    0xaaaaaaaa,0xaaaaaaaa,0x554c2aaa,0xaaaaaaaa,0xaaaaaaaa,0x5530aaaa,
    0x30003555,0x00155555,0x3fffff62,0xdfffffff,0x5554c000,0xaaaaaaaa,
    0xaaaaaaaa,0xfffd0aaa,0xf88007ff,0x200fffff,0x00aaaaaa,0x5ffffff0,
    0x3ffffee0,0xff70006f,0x000bffff,0x3fffffe2,0xff00001f,0x0005ffff,
    0x3ffffe20,0x000001ff,0xffffff88,0xffd0001f,0xffffffff,0xffffffff,
    0x0007ffff,0x3fffffe2,0xa800001f,0xffffffff,0xffffffff,0xffffe802,
    0xffffffff,0xffffffff,0xfffc83ff,0xffffffff,0xffffffff,0x3fe01fff,
    0x3e02ffff,0xffffffff,0xffffffff,0x6fffffff,0x7fffffe4,0xffffffff,
    0xffffffff,0xdfffffb1,0xffffb000,0xfff5001f,0xffffffff,0x005fffff,
    0x7fffffe4,0xffffffff,0xffffffff,0x7fffffd1,0xffff8800,0x3ffe00ff,
    0xff002fff,0x7405ffff,0x03ffffff,0x7ffffc40,0xf70000ff,0x0bffffff,
    0x3fffe000,0x700002ff,0xbfffffff,0xf7000000,0x0bffffff,0x3ffffa00,
    0xffffffff,0xffffffff,0xf70003ff,0x0bffffff,0x7fec4000,0xffffffff,
    0xffffffff,0x3fffa00d,0xffffffff,0xffffffff,0xffc83fff,0xffffffff,
    0xffffffff,0x3e01ffff,0x202fffff,0xffffffff,0xffffffff,0xffffffff,
    0x7ffffe46,0xffffffff,0xffffffff,0xfffffb1f,0xffd8009f,0x36200fff,
    0xffffffff,0xffffffff,0xfc800dff,0xffffffff,0xffffffff,0xfd1fffff,
    0x8007ffff,0x0ffffff8,0x3fffffe0,0xfffff002,0x7ffcc05f,0x2000ffff,
    0x3ffffffd,0x3fffa000,0x000fffff,0xffffff80,0xffd00002,0x01ffffff,
    0xffe80000,0x00ffffff,0xfffffe80,0xffffffff,0xffffffff,0xffd0003f,
    0x01ffffff,0xfffd1000,0xffffffff,0xffffffff,0x3ffa03ff,0xffffffff,
    0xffffffff,0xfc83ffff,0xffffffff,0xffffffff,0x201fffff,0x02ffffff,
    0x3ffffffe,0xffffffff,0xffffffff,0x7fffe46f,0xffffffff,0xffffffff,
    0xffffb1ff,0x6c003fff,0x100fffff,0xfffffffd,0xffffffff,0x03ffffff,
    0xffffffc8,0xffffffff,0xffffffff,0x7fffffd1,0xffff8800,0x3ffe00ff,
    0xff002fff,0xc805ffff,0x04ffffff,0xffffff30,0x7fcc000d,0x3fffffff,
    0xffff8000,0x980002ff,0xffffffff,0x2000003f,0xfffffff9,0xfe8003ff,
    0xffffffff,0xffffffff,0x003fffff,0xffffff98,0x80003fff,0xfffffffc,
    0xffdcceff,0x6fffffff,0xffffffd0,0xffffffff,0xffffffff,0xfffff907,
    0xffffffff,0xffffffff,0x7fffc03f,0x3ffe02ff,0xffffffff,0xffffffff,
    0x646fffff,0xffffffff,0xffffffff,0xb1ffffff,0xbfffffff,0x7fffec00,
    0xffff900f,0x99dfffff,0xfffffffb,0xffc80dff,0xffffffff,0xffffffff,
    0xffd1ffff,0x88007fff,0x00ffffff,0x0bfffffe,0x7fffffc0,0x7fff4402,
    0xfe801fff,0x001fffff,0x3fffff20,0x0006ffff,0x2ffffff8,0xfffc8000,
    0x06ffffff,0x3ff20000,0x6fffffff,0xffffe800,0xffffffff,0xffffffff,
    0xfc8003ff,0xffffffff,0x7fd40006,0x01efffff,0x3fffff62,0xfffe83ff,
    0xffffffff,0xffffffff,0xffc83fff,0xffffffff,0xffffffff,0x3e01ffff,
    0x202fffff,0xffffffff,0xffffffff,0xffffffff,0x7ffffe46,0xffffffff,
    0xffffffff,0xfffffb1f,0x36005fff,0xa80fffff,0xefffffff,0x3fff6201,
    0x3203ffff,0xffffffff,0xffffffff,0xd1ffffff,0x007fffff,0xffffff88,
    0x3ffffe00,0xffff002f,0xff5005ff,0xa80dffff,0x04ffffff,0x3fffe200,
    0x1fffffff,0x7fffc000,0x440002ff,0xffffffff,0x00001fff,0xffffff88,
    0x001fffff,0x1ffffff4,0x44000000,0xffffffff,0x10001fff,0xbfffffff,
    0x3ffee001,0x7f40ffff,0x0003ffff,0x7dc00000,0x03ffffff,0x17fffffc,
    0x3fff6000,0x000004ff,0x3ffffee0,0x3fff63ff,0x00ffffff,0x0fffffd8,
    0x7fffffc4,0xff7000df,0x001fffff,0xffffb800,0x3ffa3fff,0x44003fff,
    0x00ffffff,0x0bfffffe,0x7fffffc0,0xffffb002,0x3fe207ff,0x0006ffff,
    0x7fffffd4,0x005fffff,0x7fffffc0,0x7fd40002,0xffffffff,0xa800005f,
    0xffffffff,0x74005fff,0x003fffff,0xffa80000,0xffffffff,0xff90005f,
    0x000bffff,0xbffffff5,0x3fffffe8,0x00000000,0x3fffffea,0xffff805f,
    0x6c0002ff,0x004fffff,0xfff50000,0xfd8bffff,0xffffffff,0xffffd804,
    0x7fffe40f,0xfa8005ff,0x005fffff,0x3fffea00,0x7ff45fff,0x44003fff,
    0x00ffffff,0x0bfffffe,0x7fffffc0,0xffff1002,0xff901fff,0x0005ffff,
    0xcfffffe8,0x00ffffff,0x3ffffe00,0x7f40002f,0xfffcffff,0x00000fff,
    0x67fffff4,0x00ffffff,0x3fffffa0,0x80000003,0xfcfffffe,0x000fffff,
    0xfffffff8,0xfffd0000,0x7ff43fff,0x00003fff,0xfff10000,0x200dffff,
    0x02ffffff,0x7fffec00,0x8000004f,0xfffffff8,0xfffffd86,0x401fffff,
    0x40fffffd,0x0fffffff,0xffffd000,0x100003ff,0xdfffffff,0x7fffffd0,
    0xffff8800,0x3ffe00ff,0xff002fff,0x4005ffff,0x4ffffffb,0x7fffffc4,
    0x7fcc0005,0xfffd7fff,0x7c0007ff,0x002fffff,0x3ffffe60,0x7fffffd7,
    0x7fcc0000,0xfffd7fff,0x7f4007ff,0x0003ffff,0x7ffcc000,0xffffd7ff,
    0xff98007f,0x0004ffff,0x3fffffea,0x3fffffa3,0x00000003,0xfffffe88,
    0xfff000ff,0x80005fff,0x04fffffd,0x7f440000,0x80ffffff,0xfffffffd,
    0x7ec06fff,0x3e60ffff,0x004fffff,0x3ffffea0,0x7440003f,0x0fffffff,
    0x3fffffe8,0x7fffc400,0x3ffe00ff,0xff002fff,0x8005ffff,0x1ffffffe,
    0x3ffffff6,0x7fe40000,0xfff74fff,0x7c000dff,0x002fffff,0x3fffff20,
    0xdfffff74,0x7fe40000,0xfff74fff,0x7f400dff,0x0003ffff,0x7ffe4000,
    0xffff74ff,0xffc800df,0x0000ffff,0x27fffff4,0x07fffffd,0xb0000000,
    0x3fffffff,0x7ffffc00,0x7ec0002f,0x0004ffff,0x7fffec00,0xffb01fff,
    0xffffffff,0x7ffec07f,0x3fff20ff,0x40000fff,0x04fffffe,0x7fffec00,
    0xffd01fff,0x88007fff,0x00ffffff,0x0bfffffe,0x7fffffc0,0x7ffcc002,
    0xfff56fff,0x00005fff,0x23ffffff,0x1ffffff8,0xfffff000,0x7fc0005f,
    0xff11ffff,0x0003ffff,0x3fffffe0,0xffffff11,0x3fffa003,0x000003ff,
    0x7fffffc0,0xffffff11,0x7ffec003,0xc80006ff,0x3a5fffff,0x003fffff,
    0x7dc00000,0x03ffffff,0x7fffffc0,0x7fec0002,0x00004fff,0x3ffffee0,
    0x3ff603ff,0xffffffff,0xfffb00ff,0x7ffec1ff,0xc80006ff,0x005fffff,
    0x3ffffee0,0x3ffa03ff,0x44003fff,0x00ffffff,0x0bfffffe,0x7fffffc0,
    0xfffc8002,0xfffeafff,0xa80005ff,0x6c6fffff,0x005fffff,0x5ffffff0,
    0x3ffea000,0x7ffec6ff,0xa80005ff,0x6c6fffff,0x005fffff,0x39fffffd,
    0x33333333,0x00333333,0x6fffffa8,0x2fffffec,0xfffffd00,0xff70000b,
    0x7ff4dfff,0x9999cfff,0x99999999,0x54000199,0x4fffffff,0xfffff800,
    0x7ec0002f,0x0004ffff,0xfffff500,0xffd809ff,0xffffafff,0xfffb05ff,
    0x7fff41ff,0xb80005ff,0x006fffff,0xffffff50,0xfffe809f,0x7c4003ff,
    0x200fffff,0x02ffffff,0x5ffffff0,0x3fffa000,0xffffffff,0xfd80000f,
    0x7d43ffff,0x000fffff,0x2ffffff8,0xffffb000,0xffffa87f,0x6c0000ff,
    0x543fffff,0x00ffffff,0xffffffe8,0xffffffff,0x1fffffff,0x3ffff600,
    0x7fffd43f,0xfff000ff,0x00009fff,0x4ffffff5,0xfffffffe,0xffffffff,
    0x01ffffff,0xfffff100,0x3e000dff,0x002fffff,0x7ffffec0,0xf8800004,
    0x06ffffff,0x8fffffd8,0x1ffffffc,0x0fffffd8,0x13fffffe,0x3ffea000,
    0xf88007ff,0x06ffffff,0x3fffffe8,0x7fffc400,0x3ffe00ff,0xff002fff,
    0x0005ffff,0x3fffffe6,0x003fffff,0xfffff880,0x7fffc40f,0xff8003ff,
    0x8002ffff,0x0ffffff8,0x7fffffc4,0x3fe20003,0x7c40ffff,0x803fffff,
    0xfffffffe,0xffffffff,0x01ffffff,0xffffff10,0xfffff881,0xffff003f,
    0x300007ff,0x23ffffff,0xfffffffe,0xffffffff,0x01ffffff,0xffffe880,
    0xf0000fff,0x005fffff,0xfffffd80,0x74400004,0x0fffffff,0xfffffd80,
    0xffffff88,0xfffffd86,0x3fffffe0,0xff980003,0x2001ffff,0xffffffe8,
    0xfffe800f,0x7c4003ff,0x200fffff,0x02ffffff,0x5ffffff0,0x7ffec000,
    0x06ffffff,0xffff7000,0x3fff60bf,0xff8006ff,0x8002ffff,0x05fffffb,
    0x0dfffffb,0x7fffdc00,0xffffb05f,0xfffd00df,0xffffffff,0xffffffff,
    0x3ee003ff,0xfb05ffff,0x200dffff,0x03ffffff,0xffff9800,0xffffd2ff,
    0xffffffff,0xffffffff,0xffb0003f,0x003fffff,0x7fffffc0,0x7fec0002,
    0x00004fff,0x7fffffec,0xfffb001f,0x3ffea1ff,0x7fec3fff,0x3ffe0fff,
    0x80003fff,0x2ffffff9,0x3ffff600,0xfd001fff,0x8007ffff,0x0ffffff8,
    0x3fffffe0,0xfffff002,0x7c40005f,0xffffffff,0xffd00001,0x3ea05fff,
    0x001fffff,0x17fffffc,0x7ffff400,0xffff502f,0x3a0003ff,0x502fffff,
    0x03ffffff,0xffffffe8,0xffffffff,0x1fffffff,0xfffffd00,0x3fffea05,
    0xfff801ff,0x80004fff,0x0ffffffa,0xfffffffd,0xffffffff,0x03ffffff,
    0xfffffc80,0x7c0002ff,0x002fffff,0x7ffffec0,0x3f200004,0x02ffffff,
    0x3fffff60,0x3fffff60,0x3ffff60f,0x3ffffe0f,0xfa80004f,0x000fffff,
    0xfffffff9,0x7fff4005,0x7c4003ff,0x200fffff,0x02ffffff,0x5ffffff0,
    0xfffa8000,0x0004ffff,0xffffff30,0x7ffffc01,0x7ffc005f,0x4c002fff,
    0x00ffffff,0x17fffffe,0x3fffe600,0x3ffe00ff,0x7f405fff,0xffffffff,
    0xffffffff,0x9801ffff,0x00ffffff,0x17fffffe,0x3fffff60,0xffb80005,
    0x3ffa7fff,0xffffffff,0xffffffff,0x2a001fff,0x4fffffff,0xffff8000,
    0x6c0002ff,0x004fffff,0xfffff500,0xfd8009ff,0x3e60ffff,0x365fffff,
    0x360fffff,0x005fffff,0xfffffb80,0xffff5007,0xe8009fff,0x003fffff,
    0x7fffffc4,0x3ffffe00,0xffff002f,0xb00005ff,0x01ffffff,0x3fff2000,
    0x7fe405ff,0x2000ffff,0x02ffffff,0x7ffffe40,0x7fffe405,0x7e4000ff,
    0x6405ffff,0x00ffffff,0x33fffffa,0x99999999,0x01999999,0xbfffff90,
    0xfffffc80,0x7ffe400f,0xc80006ff,0x3a6fffff,0x99cfffff,0x99999999,
    0x20019999,0xfffffff9,0xfff00005,0x80005fff,0x04fffffd,0xffff9800,
    0xd8005fff,0x640fffff,0xb2ffffff,0x641fffff,0x006fffff,0xfffffc80,
    0xffff9806,0xd8005fff,0x003fffff,0x7fffffc4,0x3ffffe00,0xffff002f,
    0x900005ff,0x00bfffff,0x3fffe200,0xaaaaacff,0xfffffcaa,0x3ffe003f,
    0x22002fff,0xacffffff,0xfcaaaaaa,0x003fffff,0x3fffffe2,0xaaaaaaac,
    0x3ffffffc,0x3fffffa0,0x44000003,0xacffffff,0xfcaaaaaa,0x403fffff,
    0x07fffffb,0xffffd800,0x3ffffa5f,0x8000003f,0xffffffe8,0xff00000e,
    0x0005ffff,0x4fffffd8,0x7ff44000,0x000effff,0x0fffffd8,0x6fffffe8,
    0x41fffffb,0x07fffffb,0xffffd800,0x7ff4405f,0x000effff,0x3fffffd8,
    0x7fffcc00,0x3ffe00ff,0xff002fff,0x0005ffff,0xbfffff90,0x3fee0000,
    0xffffffff,0xffffffff,0x3e006fff,0x002fffff,0x3fffffee,0xffffffff,
    0x6fffffff,0x3fffee00,0xffffffff,0xffffffff,0x3fffa06f,0x000003ff,
    0x7fffffdc,0xffffffff,0x6fffffff,0x7ffffd40,0x3e20002f,0x3a4fffff,
    0x003fffff,0xfffd8000,0x0001ffff,0x3fffffe0,0x7fec0002,0x40004fff,
    0xfffffffd,0xfffb0001,0xfff501ff,0xfffb9fff,0x7ffd41ff,0x20002fff,
    0x4ffffff8,0x7ffffec0,0xfb0001ff,0x8009ffff,0x0ffffff9,0x3fffffe0,
    0xfffff002,0xf900005f,0x000bffff,0x3fffffa0,0xffffffff,0xffffffff,
    0xffff001f,0x7f4005ff,0xffffffff,0xffffffff,0x001fffff,0xfffffffd,
    0xffffffff,0x3fffffff,0x3fffffa0,0x74000003,0xffffffff,0xffffffff,
    0x01ffffff,0x3fffffe2,0x3ff20006,0x3fa2ffff,0x0003ffff,0x7fffe400,
    0x00002fff,0x17fffffc,0x3fff6000,0x320004ff,0x2fffffff,0x3fff6000,
    0xfffb00ff,0xffffdfff,0x7fffc41f,0x320006ff,0x02ffffff,0x3ffffff2,
    0x3f20002f,0x4005ffff,0x07fffffa,0x17fffffc,0xffffff80,0xffc80002,
    0x80005fff,0xfffffff9,0xffffffff,0xffffffff,0xfffff005,0x3fe6005f,
    0xffffffff,0xffffffff,0x805fffff,0xfffffff9,0xffffffff,0xffffffff,
    0xfffffd05,0x4c000007,0xffffffff,0xffffffff,0x5fffffff,0x7fffff40,
    0xff88002f,0x3a0fffff,0x003fffff,0x3ffea000,0x0003ffff,0xffffff80,
    0x7fec0002,0x50004fff,0x7fffffff,0xfffd8000,0xfff100ff,0xffffffff,
    0xffffe81f,0xf88002ff,0x00ffffff,0xfffffff5,0xffb80007,0x2000ffff,
    0x06fffffc,0x17fffffc,0xffffff80,0xffc80002,0x80005fff,0xfffffffc,
    0xffffffff,0xffffffff,0xffff800f,0xff9002ff,0xffffffff,0xffffffff,
    0x01ffffff,0xffffffc8,0xffffffff,0xffffffff,0xfffe80ff,0x000003ff,
    0x3ffffff2,0xffffffff,0xffffffff,0x3fe600ff,0x001fffff,0x3fffff62,
    0x7ffff43f,0x3000003f,0xbfffffff,0x3fe00000,0x0002ffff,0x27ffffec,
    0x7fffcc00,0x80005fff,0x00fffffd,0x3fffffee,0x4c0fffff,0x1fffffff,
    0x3fff6200,0xff303fff,0x00bfffff,0xfffff500,0x3fe200bf,0x7c05ffff,
    0x002fffff,0x05ffffff,0xffff9000,0xff0000bf,0xddddffff,0xdddddddd,
    0x7ffffffd,0xffffff00,0x3fffe005,0xeeeeeeff,0xfeeeeeee,0x403fffff,
    0xeeffffff,0xeeeeeeee,0xfffffeee,0xffffe83f,0x2000003f,0xeeffffff,
    0xeeeeeeee,0xfffffeee,0x7ffe403f,0x9803ffff,0x6ffffffe,0x3fffffe8,
    0xfe880000,0x00efffff,0xffff0000,0xd80005ff,0x004fffff,0x7fffff44,
    0xd80000ef,0x400fffff,0xfffffffe,0xffc80fff,0x803fffff,0xffffffe9,
    0xffffd106,0x00001dff,0xfffffff1,0xffffb005,0xfff807ff,0xff002fff,
    0x0005ffff,0xbfffff90,0xfffa8000,0xe8000fff,0x806fffff,0x02ffffff,
    0xffffffa8,0xfffe8000,0x3fea06ff,0x8000ffff,0x86fffffe,0x03fffffe,
    0xfff50000,0xd0001fff,0x80dfffff,0xfffffff8,0x32a21adf,0xffffffff,
    0xfffffe81,0xfd800003,0x00ffffff,0x3ffe0000,0x40002fff,0x04fffffd,
    0x7ffffec0,0xb00000ff,0x801fffff,0xfffffff9,0xff880fff,0xadffffff,
    0x3fff2a21,0xb01fffff,0x1fffffff,0x7fe40000,0x81cfffff,0xffffffda,
    0xfffff807,0xffff002f,0x900005ff,0x00bfffff,0xfffffd80,0xfff70005,
    0xff803fff,0xd802ffff,0x005fffff,0xffffff70,0x3ffff603,0xff70005f,
    0xfe83ffff,0x999cffff,0x99999999,0xd8199999,0x005fffff,0xffffff70,
    0xffffb803,0xffffffff,0xffffffff,0xfffd05ff,0x333339ff,0x33333333,
    0x7fdc3333,0x99bfffff,0x99999999,0x01999999,0x0bfffffe,0xffffb000,
    0x7fdc009f,0x99bfffff,0x99999999,0xb1999999,0x001fffff,0xfffffff9,
    0x3fee01ff,0xffffffff,0xffffffff,0xf705ffff,0x37ffffff,0x33333333,
    0x33333333,0x7fffffc4,0xffffffff,0x3fffffff,0xffffff80,0xfffff002,
    0xf900005f,0x000bffff,0x7fffffc4,0xfff10002,0xff80bfff,0x4402ffff,
    0x02ffffff,0xfffff100,0xffff10bf,0x220005ff,0x45ffffff,0xfffffffe,
    0xffffffff,0x7fffffff,0x7fffffc4,0xfff10002,0xf900bfff,0xffffffff,
    0xffffffff,0x3a01bfff,0xffffffff,0xffffffff,0x27ffffff,0xfffffffb,
    0xffffffff,0xffffffff,0x3fffe07f,0x6c0002ff,0x004fffff,0x3fffffee,
    0xffffffff,0xffffffff,0xffffb7ff,0xfff1001f,0x01ffffff,0x7fffffe4,
    0xffffffff,0x0dffffff,0xffffff70,0xffffffff,0xffffffff,0xfffc8fff,
    0xffffffff,0xffffffff,0xfffff007,0x3ffe005f,0x80002fff,0x05fffffc,
    0x3fffee00,0x7ec0007f,0x200fffff,0x02ffffff,0x3fffffdc,0x3fff6000,
    0x7fdc0fff,0x40007fff,0x0ffffffd,0x3ffffffa,0xffffffff,0xffffffff,
    0x7ffffdc7,0x7fec0007,0x9800ffff,0xfffffffe,0xffffffff,0x7ff402ff,
    0xffffffff,0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,0x7fffffff,
    0x3fffffe0,0x7fec0002,0x2e004fff,0xffffffff,0xffffffff,0xffffffff,
    0x1fffffb7,0x3fffea00,0x4c00ffff,0xfffffffe,0xffffffff,0x7fdc02ff,
    0xffffffff,0xffffffff,0x87ffffff,0xfffffffb,0xffffffff,0xff001eff,
    0x2005ffff,0x02ffffff,0xffffc800,0x3fa0005f,0x0004ffff,0x7fffffd4,
    0x3ffffe03,0x7fff402f,0x540004ff,0x43ffffff,0x04fffffe,0x7fffd400,
    0x3fffa3ff,0xffffffff,0xffffffff,0x7ff47fff,0x40004fff,0x3ffffffa,
    0x3ffff200,0xffffffff,0xfe800dff,0xffffffff,0xffffffff,0x2e7fffff,
    0xffffffff,0xffffffff,0xffffffff,0x3ffffe07,0x7ec0002f,0x2004ffff,
    0xfffffffb,0xffffffff,0xffffffff,0xfffffb7f,0x7ffec001,0x9000ffff,
    0xffffffff,0x1bffffff,0xfffff700,0xffffffff,0xffffffff,0x3a60ffff,
    0xffffffff,0x04ffffff,0x7fffffc0,0xfffff002,0xf900005f,0x000bffff,
    0x3fffffe6,0xfff80001,0x3fe06fff,0x2602ffff,0x01ffffff,0xfffff800,
    0x3fffe66f,0xf80001ff,0x3a6fffff,0xffffffff,0xffffffff,0x27ffffff,
    0x1ffffff9,0xffff8000,0x64c006ff,0xfffffffd,0x3a002cef,0xffffffff,
    0xffffffff,0x27ffffff,0xfffffffb,0xffffffff,0xffffffff,0x3fffe07f,
    0x6c0002ff,0x004fffff,0x3fffffee,0xffffffff,0xffffffff,0xffffb7ff,
    0x7fcc001f,0x000fffff,0x3ffff726,0x02ceffff,0x3ffffee0,0xffffffff,
    0xffffffff,0x32207fff,0xfffffffe,0x8001dfff,0x02ffffff,0x5ffffff0,
    0xfff90000,0x36000bff,0x006fffff,0xfffff900,0x3fffe03f,0x3ff602ff,
    0x00006fff,0x3ffffff9,0x1bfffff6,0x7ffe4000,0xfffd1fff,0xffffffff,
    0xffffffff,0x7fecffff,0x00006fff,0x3ffffff9,0x5d4c4000,0x3fa0000a,
    0xffffffff,0xffffffff,0x2e7fffff,0xffffffff,0xffffffff,0xffffffff,
    0x3ffffe07,0x7ec0002f,0x2004ffff,0xfffffffb,0xffffffff,0xffffffff,
    0xfffffb7f,0xfffc8001,0x20000fff,0x000aba98,0x3ffffee0,0xffffffff,
    0xffffffff,0x51007fff,0x03557755,0xfffff800,0x0000002f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaaa88000,
    0x5555441a,0x55540002,0x5554c0aa,0x4cc0001a,0x99999999,0x00000999,
    0x32203771,0x2600002c,0x199500ab,0x4ffb8000,0xb9800000,0x40000001,
    0xbdeecba8,0x0000001a,0x80550000,0x002cddca,0x003eec80,0x000fbb60,
    0x000dee98,0x00001300,0xed800100,0x3a60003e,0x000000de,0x00000000,
    0xf1000000,0x005fffff,0xbffff500,0x07ffff98,0x7fffec00,0x27fffe42,
    0xffff3000,0xffffffff,0xf900007f,0x6417dfff,0x980003ff,0x0adffffe,
    0x0000fff1,0x00009ff7,0x77fff4c0,0x64000001,0xffffffff,0x000dffff,
    0xd9751000,0x201579bd,0xfd883ffa,0x01efffff,0x01fff500,0x13fff200,
    0x04ffe800,0x3ffb2600,0x1001cdff,0x225ddddd,0x00bdfffc,0x0013fff2,
    0x0004ffe8,0xffdb9300,0x000179bd,0x7ffffd40,0x9fffff54,0x3fff2000,
    0x500003ff,0xf98bffff,0x40007fff,0x642ffffd,0x0004ffff,0x3fffffe6,
    0x3fffffff,0x7ffdc000,0xfeefffff,0x440002ff,0xffffffff,0x007fffef,
    0x3bffae60,0xe800001c,0x006ffdff,0xfffd3000,0xffffffff,0x0007ffff,
    0x7ffffe40,0xcfffffff,0x13fffe60,0xfffffffb,0xfd0001ff,0xf910007f,
    0x20009fff,0x0000fffa,0xfffffff9,0xf1009fff,0xfd17ffff,0x105fffff,
    0x009ffff9,0x003ffea0,0xffeb8800,0xffffffff,0xe80001cf,0x3fa5ffff,
    0x10005fff,0x007fffff,0x7fffd400,0x3ffffcc5,0x3fff6000,0x7fffe42f,
    0x3fe60004,0xffffffff,0x40003fff,0xffffffff,0x00ffffff,0x7fffd400,
    0xffffffff,0xffb8004f,0xffffffff,0xff300003,0x0007fe21,0xfffff900,
    0xffffffff,0x01dfffff,0x7fff4c00,0xffffffff,0xff9cffff,0x3fe61fff,
    0xfffebbef,0x37fdc004,0x3fff2200,0xd0004fff,0xd10007ff,0xffffffff,
    0x401dffff,0xdbfffff8,0x0fffffff,0x3fffff22,0xffd0004f,0x7dc00007,
    0xffffffff,0xdfffffff,0xfff50000,0x3ffe61df,0xf70000ef,0x00009fff,
    0x45ffffa8,0x007ffff9,0x17fffec0,0x013ffff2,0xeeeee980,0xeeeeeeee,
    0x3fe20002,0xfffca89f,0x80003fff,0xdb98cffb,0x00efffff,0x3ffff620,
    0xffffffff,0x7e40000d,0x00027e45,0xfffffe88,0xffffffff,0xffffffff,
    0xfffc8001,0xffffffff,0xffffffff,0x7e42ffff,0x3ffea1ff,0x3ffe2006,
    0x7fffc002,0x8004ffff,0xd0006ffb,0xffffffff,0x1fffffff,0x3ffffe20,
    0xfffffffe,0x7fffffc5,0xfb8004ff,0xb100006f,0x57bfffff,0xfff97533,
    0xd0003fff,0x7ec1ffff,0x20000fff,0x0005ffff,0x4eeeea80,0x02f77744,
    0x3bbbb200,0x1f7775c1,0x00000000,0x413ba200,0x0000bdca,0x7103dd70,
    0xfb0003bb,0xffffffff,0x00bfffff,0x7fc7f980,0xff900002,0xdfffffff,
    0xfffffb99,0x400dffff,0xffffffe8,0xffffffff,0xffffffff,0xf90a603f,
    0x7e4009ff,0xfff8006f,0x004fffde,0x0017ffc4,0x7fffffdc,0xffffcabd,
    0xfff103ff,0xffffffff,0xefff85ff,0x4004fffd,0x0002fff8,0xcffffe98,
    0xfffb5000,0x7fcc007f,0x3ffe61ff,0x3ee0001f,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffa8000,0xffffffff,0x003fffff,
    0x7fe7ff40,0xff300007,0x03dfffff,0x7ffffec4,0xff9003ff,0xbfffffff,
    0xffffd979,0x009fffff,0x3bfffb62,0x3fff1000,0x2e5df000,0x64004fff,
    0xf88005ff,0x882fffff,0x80fffffe,0xfffffff8,0xf87da9cf,0x09fff72e,
    0x005ffc80,0xdfffe880,0xfff70000,0x3ff6005f,0x1fffec2f,0x0aaaa000,
    0xaaaa8000,0xaaaaaaaa,0xaaaaaaaa,0x20000aaa,0x02aaaaaa,0x2aaaaa00,
    0xaaaaaaaa,0xaaaaaaaa,0x2a0000aa,0x002aaaaa,0x2aaaaa60,0xaaa98001,
    0x7fffc0aa,0xccffbcff,0x006fffff,0x3ffffe20,0xe80001ff,0x0dffffff,
    0xfffff700,0xff9801ff,0x01efffff,0x3fffff62,0xff3004ff,0x6c001fff,
    0x830005ff,0x2004fffb,0x8001fff9,0x03fffffd,0x0fffffe6,0x3fffffe2,
    0xfb83002f,0x3e6004ff,0xd80001ff,0x80003fff,0x800fffe9,0xaaa81aaa,
    0x00000002,0x3ffffa00,0xffffffff,0xffffffff,0xf10003ff,0x03ffffff,
    0x3ffffa00,0xffffffff,0xffffffff,0xf10003ff,0x03ffffff,0x3ffff600,
    0xffd8006f,0x3fe60fff,0x9ff73fff,0x07fffff2,0x7fffdc00,0x40005fff,
    0x5ffffffb,0xffffb800,0x7ff405ff,0x2005ffff,0xfffffffd,0xffffb800,
    0xff9800ef,0xf700000f,0x7ec009ff,0xfff0004f,0xffb00fff,0xfff10fff,
    0x4000dfff,0x2004fffb,0x80004ffd,0x2663fffb,0x09999999,0x01bffe20,
    0x00000000,0x006c4013,0x7ffffff4,0xffffffff,0xffffffff,0xfff70003,
    0x000bffff,0x3ffffffa,0xffffffff,0xffffffff,0xfff70003,0x000bffff,
    0x3ffffff6,0x7ffec004,0x3ffea0ff,0x29ff70ff,0x01effff9,0xfffffd00,
    0x40001fff,0x0fffffff,0xffffd000,0x3fee03ff,0x2004ffff,0xfffffffb,
    0xc9a9804f,0x7400ffff,0x200004ff,0x5004fffb,0x10001fff,0x00dfffff,
    0x81fffff7,0x2ffffff8,0x3ffee000,0x1fff5004,0xfff88000,0x3ffffe65,
    0x03efffff,0x0007fff3,0x2e200000,0xceffffed,0xd00bff61,0xffffffff,
    0xffffffff,0x07ffffff,0x3ffffa00,0x8000ffff,0xfffffffe,0xffffffff,
    0x3fffffff,0xffffd000,0x0001ffff,0xfffffffb,0x7ffec003,0x3fff20ff,
    0x993fee5f,0xff980001,0x3fffffff,0xffff3000,0x540009ff,0x83ffffff,
    0xfffffff8,0xffff5000,0x01ffffff,0x02fffd80,0x0003ffea,0x04fffb80,
    0x0007ffd0,0x3bffffe6,0xaaaaaaaa,0x41fffffc,0x1ffffff8,0x3ffee000,
    0x07ffd004,0x1fff7000,0x7fffffcc,0x04ffffff,0xeed8fff9,0xee9806ee,
    0xfb804eee,0xffffffff,0x3fffddff,0x7fffff40,0xffffffff,0xffffffff,
    0xff98003f,0x3fffffff,0xffffe800,0xffffffff,0xffffffff,0xf98003ff,
    0xffffffff,0xfffd8003,0x2005ffff,0x20fffffd,0x2e7ffffb,0x800004ff,
    0xfffffffc,0xf50006ff,0x001fffff,0xfffffe80,0xfffff984,0xfff3004f,
    0xffffffff,0xc84caa87,0x3fa04fff,0x5c00003f,0xfb804fff,0x3ea0006f,
    0xffffffff,0xffffffff,0x7fc42fff,0x0000ffff,0x2013ffee,0x00006ffb,
    0xff987fff,0xfecccbcf,0xff882fff,0x3ffffe2f,0xffff9807,0x3ffa205f,
    0xffffffff,0x04ffffff,0xffffffe8,0xffffffff,0xffffffff,0xfffc8003,
    0x06ffffff,0xfffffe80,0xffffffff,0xffffffff,0xffc8003f,0x6fffffff,
    0xffffd800,0xb002ffff,0x541fffff,0xf72fffff,0x8800009f,0xffffffff,
    0xb8001fff,0x007fffff,0xfffffd80,0xfffffa85,0xfff8800f,0xffffe9ff,
    0x17fff44f,0x5c0ffffa,0x800006ff,0x4404fffb,0x20002fff,0xfffffffc,
    0xffffffff,0x442fffff,0x007fffff,0x027ffdc0,0x000bffe2,0x303ffea0,
    0x3ee05fff,0xbff904ff,0x03fffffc,0x2fffffcc,0xffffff88,0xffffffff,
    0xfd005fff,0x0007ffff,0xfff10000,0xffffffff,0xfffe8003,0x000003ff,
    0xfffff880,0x01ffffff,0x7ffffec0,0xd800ffff,0x260fffff,0xbbffffff,
    0x400004ff,0xfffffffa,0x8005ffff,0x06fffffc,0xffffb800,0xffffb86f,
    0xffe8806f,0xffff92ff,0xffffc8df,0x1ffffebc,0x002fff88,0x4fffb800,
    0x0037fe40,0x3ffffee0,0xffffffff,0x3fffffff,0x3fffffc4,0x3ffee000,
    0x037fe404,0x85ffd800,0x3e02fff9,0xfff306ff,0x1fffffe1,0x3ffffe60,
    0xfffffb05,0xfff959df,0x001fffff,0x07fffffd,0xf5000000,0xffffffff,
    0xfe800bff,0x0003ffff,0xfffa8000,0xffffffff,0x7ffec005,0x04ffffff,
    0x0fffffd8,0x7ffffff4,0x00004fff,0x67fffff4,0x00ffffff,0x7fffff40,
    0xffa80005,0xffd87fff,0x74405fff,0x3ea2ffff,0xfe87ffff,0xffffffff,
    0x00bff902,0x3ffee000,0x07ffe204,0xffff5000,0x555555bf,0x55555555,
    0xfffff883,0x7fdc0007,0x3ffe204f,0xffd00001,0x05fff307,0xff027ffc,
    0x3ffffe3f,0xffff9807,0xffffb85f,0xfff703ff,0xfd009fff,0x0007ffff,
    0xfffd0000,0xfffff9ff,0x7ff4001f,0x00003fff,0xffffe800,0xffffffcf,
    0x3fff6000,0x1fffffff,0x7ffffec0,0x7ffffd40,0x002effff,0xfffff300,
    0x3fffffaf,0x7fffc003,0x980003ff,0x41ffffff,0x04fffffe,0x21ffffec,
    0x0ffffffa,0x7ffffec4,0xfff102ef,0x2e000003,0x3f604fff,0xf980005f,
    0x0005ffff,0x3ffffe20,0x7fdc0007,0x17ff604f,0x1fff8000,0x902fff98,
    0x7f403fff,0xffffff2f,0xfffff300,0xfffff88b,0xfffd102f,0xe801ffff,
    0x003fffff,0x7fcc0000,0xfffd7fff,0x7f4007ff,0x0003ffff,0x7ffcc000,
    0xffffd7ff,0x7fec007f,0xffffffff,0x7fffec06,0xffffe80f,0xcfffffff,
    0x3ff20001,0xfff74fff,0xff800dff,0x0003ffff,0xffffff98,0x7fffffc1,
    0x3ffff603,0xfffff984,0x7997301f,0x04ffd805,0x20055530,0xf301aaa8,
    0x199801ff,0x3ffffe20,0xf1000806,0x000fffff,0x301aaa88,0x26001fff,
    0x1fff02aa,0xdddfff30,0x0dffffdd,0xfff3ffd8,0xff300fff,0xffa8bfff,
    0x3fa05fff,0x4fffffff,0x7fffff40,0x40000003,0x74fffffc,0x00dfffff,
    0x1ffffff4,0x32000000,0xf74fffff,0x400dffff,0xfffffffd,0x3603ffff,
    0x880fffff,0xfffffffd,0x004fffff,0x3ffffff0,0x3fffffe2,0x3fffa001,
    0xa80004ff,0x41ffffff,0x03ffffff,0x20bffff9,0x1ffffff9,0xfff30000,
    0xdfff3001,0xffe80000,0xffffd504,0xfffd01bf,0x7fc405ff,0xff882bde,
    0x00006fff,0x009ffd00,0x221bffe2,0xff980fff,0xffffffff,0x7fe400df,
    0x0ffffff4,0xbfffff30,0x1fffffc8,0xff9fffb0,0xfe80bfff,0x0003ffff,
    0x7fffc000,0xffff11ff,0x3fa003ff,0x0003ffff,0x7fffc000,0xffff11ff,
    0x3f6003ff,0xffffffff,0xffb00fff,0x7e401fff,0xffffffff,0x2000efff,
    0x46fffffa,0x05fffffd,0x3fffff60,0xffb80005,0x7fc0ffff,0xfb84ffff,
    0x3ea06fff,0x000fffff,0x007ffd00,0x00dfffd1,0x07ffd400,0x7fffffe4,
    0x7fd41fff,0xfb00ffff,0xf10dffff,0x000dffff,0x1fff5000,0xdfffd100,
    0x2607ffe0,0xffffffff,0xffb000df,0x1fffffe7,0x3ffffe60,0x7ffffec5,
    0xf3fffc80,0xe80fffff,0x99cfffff,0x99999999,0x40019999,0x46fffffa,
    0x05fffffd,0x9fffffd0,0x33333333,0x03333333,0xfffffa80,0x7ffffec6,
    0xffffb005,0xffffff5f,0x3ffff60b,0x7fe4400f,0xffffffff,0x3ff6006f,
    0x7fd43fff,0x9000ffff,0x00dfffff,0xfffff900,0xffffe81f,0x7fffd45f,
    0x3ffee00e,0x500007ff,0x3f600dff,0x00006fff,0x3ea0fffa,0xfffeffff,
    0xffffe86f,0xff950bff,0xf105ffff,0x000dffff,0x07ffd000,0x1bffff60,
    0x7cc17ffc,0xffda8aff,0x5ffd005f,0x01fffffe,0x17ffffe6,0x70ffffff,
    0x7ff49fff,0x3fa00fff,0xffffffff,0xffffffff,0x2001ffff,0x43fffffd,
    0x0ffffffa,0xfffffe80,0xffffffff,0xffffffff,0x3fff6001,0x7ffd43ff,
    0xfd800fff,0xffc8ffff,0xfd81ffff,0x2000ffff,0xfffffffc,0xf8803fff,
    0x440fffff,0x03ffffff,0xffffff70,0xfffb0000,0xfffb0fff,0x7ffccfff,
    0x7fe400ff,0x00006fff,0xf9005fff,0x000dffff,0x6c1bfee0,0x3fe24fff,
    0x7ffd41ff,0xffffffff,0x106fffff,0x00dfffff,0x6ffb8000,0xfffff900,
    0x20fff60d,0x7e42fff9,0xfff804ff,0x0ffffff1,0xbfffff50,0x37ffffc4,
    0xfb17ffea,0x7403ffff,0xffffffff,0xffffffff,0x001fffff,0x1ffffff1,
    0xffffff88,0xffffe803,0xffffffff,0xffffffff,0xfff1001f,0xff881fff,
    0xd803ffff,0xf88fffff,0xd86fffff,0x000fffff,0x3ffb7fee,0xb807ffff,
    0xb05fffff,0x00dfffff,0x3fffffea,0xf8805c01,0xc85fffff,0x88ffffff,
    0x801fffff,0x05fffffd,0x06ffb800,0xffffffa8,0xff880006,0x3ffff02f,
    0xa82fffd8,0xffffffff,0x0effffff,0xdfffff10,0x7c400000,0xffa802ff,
    0xf906ffff,0x5fff30df,0x403fffd0,0xfff0fffa,0xff500fff,0xfff8bfff,
    0x3ffe67ff,0x7fffec0e,0x3fffa00f,0xffffffff,0xffffffff,0xff7001ff,
    0x3f60bfff,0xe806ffff,0xffffffff,0xffffffff,0x001fffff,0x0bfffff7,
    0x1bfffff6,0x3fffff60,0xffffff50,0xfffffd87,0x53fee000,0x0ffffffa,
    0x7fffff40,0xfffff502,0xfff1003f,0x7cc0bfff,0x7ffe40cf,0xffa83fff,
    0xffeaffff,0xfff002ff,0x80009fff,0x4c01fff8,0x6fffbfff,0x5ffc8000,
    0xfff81880,0xfffd101f,0xffffffff,0x7ffc401d,0x000006ff,0x26017ff2,
    0x6fffbfff,0x983fff30,0xffa82fff,0x97ff606f,0x00ffffff,0x2fffffd4,
    0x23fffffa,0xe80fffe8,0x7407ffff,0xffffffff,0xffffffff,0x001fffff,
    0x05fffffd,0x3fffffea,0x7ffff401,0xffffffff,0xffffffff,0xfffd001f,
    0x3fea05ff,0x6c01ffff,0x360fffff,0x20ffffff,0x00fffffd,0xfb93fee0,
    0x2601ffff,0x00ffffff,0x17fffffe,0x7fffff40,0xffffb01f,0xfffff119,
    0xfff101ff,0xffffffff,0x3ffee005,0x40002fff,0x74405ffc,0x0dfff5ff,
    0x1fff8800,0xdfff9000,0xfffdc880,0x802dffff,0x06fffff8,0xfff10000,
    0x5ffe8803,0x7f40dfff,0x17ffcc4f,0x882fffd8,0x3ffe1fff,0x7d400fff,
    0x7e45ffff,0xffeaffff,0xfffff01f,0xffffe80d,0xffffffff,0xffffffff,
    0xfff9801f,0x3fe00fff,0x7405ffff,0xffffffff,0xffffffff,0x801fffff,
    0x0ffffff9,0x3fffffe0,0x7fffec05,0x3fffe60f,0x3fff65ff,0x0a9880ff,
    0xff893fee,0x3f202fff,0x6405ffff,0x00ffffff,0xffffff98,0x7fffc40e,
    0xffffefff,0x3ff604ff,0x3fffffff,0xfffff100,0x4c0001ff,0x7f400fff,
    0x01bffe6f,0x009ffb00,0x07ffff60,0x13dff900,0x57975000,0xfb000003,
    0xdffb009f,0xf7037ffc,0x7ffcc3ff,0x1ffff302,0x7fc6ffd8,0x5c00ffff,
    0x5c5fffff,0xffffffff,0xffff702f,0xfffe809f,0x99999cff,0x99999999,
    0xfff90019,0xffc80bff,0x3a00ffff,0x99cfffff,0x99999999,0x90019999,
    0x80bfffff,0x0ffffffc,0x3fffff60,0x7ffffe40,0xfffffb2f,0x3ffffea1,
    0xfd13fee3,0x3e203fff,0xaacfffff,0xffcaaaaa,0x9003ffff,0x3dffffff,
    0xfffffe98,0x06ffffff,0x7fffffcc,0x3f2004ff,0x003fffff,0x2027fec0,
    0x3fe0fffc,0x3e60006f,0x744000ff,0x8003ffff,0x20004ffd,0x1efffffe,
    0xfff30000,0x0fffc801,0xf881bffe,0xfff30eff,0x27ffec05,0xff85fff7,
    0x6401ffff,0x445fffff,0xffffffff,0xfffff103,0xfffe805f,0x000003ff,
    0x7fffffc4,0xaaaaaaac,0x3ffffffc,0x3fffffa0,0x44000003,0xacffffff,
    0xfcaaaaaa,0x203fffff,0x80fffffd,0xb6fffffe,0x221fffff,0x2e6fffff,
    0x3ffe64ff,0xfff700ff,0xffffffff,0xffffffff,0x3e200dff,0xbfffffff,
    0x7ffffcc1,0x802fffff,0xfffffffd,0xfffd8800,0x40006fff,0x2e00fffa,
    0xfaaacfff,0x8002aeff,0x4c003ffe,0x002fffff,0x0009ffd0,0x7ffffff4,
    0xfe80000f,0x7ffd403f,0xefffaaac,0xbfff302a,0x31004ccc,0x3ffe6333,
    0xfffffe85,0x3fffe602,0xfffc85ff,0xfd104fff,0xd00bffff,0x007fffff,
    0xfffb8000,0xffffffff,0xffffffff,0x3ffa06ff,0x00003fff,0x7ffffdc0,
    0xffffffff,0xffffffff,0x3ffff606,0xffffa80f,0xffffdcff,0x3ffffa0f,
    0x649ff72f,0x3a07ffff,0xffffffff,0xffffffff,0x01ffffff,0xffffff70,
    0xffddffff,0xffffffff,0x3ffe600b,0x103fffff,0xffffffd5,0xfe80003f,
    0x7ffe403f,0xffffffff,0x3ea000ff,0x7fd4007f,0x20001fff,0x20006fff,
    0xffffb988,0x7fd40002,0xffffc807,0xffffffff,0xdfff900f,0xffb80001,
    0xfffd80ef,0xfe880eff,0x885fffff,0xefffffff,0xffffca9b,0xfe800fff,
    0x0003ffff,0x7ffff400,0xffffffff,0xffffffff,0xfffd01ff,0x000007ff,
    0xffffffe8,0xffffffff,0xffffffff,0xfffffb01,0x3ffff601,0xfffffeff,
    0x3fffff20,0xf54ffbbf,0x2609ffff,0xffffffff,0xffffffff,0x5fffffff,
    0x3ffff200,0xffffffff,0xffffffff,0xffb803ff,0xffffffff,0xffffedde,
    0x004fffff,0x4037fdc0,0xfffffffc,0x00ffffff,0x800bffe0,0x00effffa,
    0x07fffc00,0xfffd8000,0x7ffc0003,0xffffc802,0xffffffff,0x3fff600f,
    0xfd88002f,0xff701fff,0x317dffff,0xffffffd9,0x3ffee0bf,0xffffffff,
    0x02ffffff,0x7fffffd0,0x7cc00000,0xffffffff,0xffffffff,0x05ffffff,
    0x07fffffd,0x7fcc0000,0xffffffff,0xffffffff,0xb05fffff,0x201fffff,
    0xfffffff8,0x220fffff,0xffffffff,0xffffedff,0xfff900ff,0xffffffff,
    0xffffffff,0x001fffff,0x7fffff4c,0xffffffff,0xffffffff,0xffff502e,
    0xffffffff,0xffffffff,0x0001bfff,0x4017ffc4,0xeeeeeeeb,0x00eeffff,
    0x400dff70,0xabfffff9,0x2000aaaa,0x98befffe,0x7fd4001a,0x2e0001ff,
    0xdd7006ff,0xfffddddd,0xfd801ddf,0x9802efff,0x01effffc,0x3fffffe6,
    0xffffffff,0x885fffff,0xffffffff,0xffffffff,0x3ffa003f,0x00003fff,
    0x3fffff20,0xffffffff,0xffffffff,0xffe80fff,0x00003fff,0x3fffff20,
    0xffffffff,0xffffffff,0xffd80fff,0x3ee00fff,0xffffffff,0x7ffd40ff,
    0xffffffff,0x203fffff,0xeeffffff,0xeeeeeeee,0xfffffeee,0xffc8003f,
    0xffffffff,0xffffffff,0x261effff,0xffffffff,0xffffffff,0x2fffffff,
    0x5ffc8000,0xdfff0000,0x1fff8800,0x3ffff200,0x3fffffff,0x3fffee00,
    0xe883ffff,0xffffedee,0x3e20005f,0xf00001ff,0xfb800dff,0xbcefffff,
    0xffffedcb,0xffa800df,0xffffffff,0xffffe9ef,0x7ffff445,0xffffffff,
    0x4000dfff,0x03fffffe,0x3ffe0000,0xeeeeefff,0xeeeeeeee,0x83ffffff,
    0x03fffffe,0x3ffe0000,0xeeeeefff,0xeeeeeeee,0x83ffffff,0x00fffffd,
    0x7ffffff4,0xfc80ffff,0xffffffff,0x204fffff,0x0ffffffa,0xffffe800,
    0xb930006f,0xfffffffd,0xffff55bf,0x3e21ffff,0xfc89ffff,0xffffffff,
    0x00dfffff,0x1fff8800,0xdfff0000,0x05ffc800,0x7fffffc0,0x03ffffff,
    0x7fffff40,0xfff883ff,0x05ffffff,0x02ffe400,0x0dfff000,0xffffd300,
    0xffffffff,0xb8007fff,0xffffffff,0xffffd0ef,0x51fffc8b,0xfffffffd,
    0x3fa0007d,0x0003ffff,0xfffff500,0xffd0001f,0xffd0dfff,0x00007fff,
    0x3ffffea0,0xffe8000f,0xffd86fff,0x7cc00fff,0xffffffff,0xffff700f,
    0xffffffff,0xffffd805,0xff70005f,0x0003ffff,0x06aaea60,0x3fffff62,
    0x0bfffe64,0xffffff91,0x0059dfff,0x027fec00,0x09ddb000,0x007ffcc0,
    0xdddddd30,0x05dddddd,0xbffff900,0x3ffb6037,0x0000beef,0x0007ffcc,
    0x00bddb00,0x7fffe4c0,0x2dffffff,0x3ff6e000,0x7f43dfff,0x2fd85fff,
    0x00aba988,0xffffe800,0x999999cf,0x99999999,0xfffd8199,0xf70005ff,
    0xe83fffff,0x99cfffff,0x99999999,0x81999999,0x05fffffd,0xfffff700,
    0xffffd83f,0xfffc800f,0x00ffffff,0x3fffff62,0x4400beff,0x02ffffff,
    0xfffff100,0x000000bf,0x03fffea0,0x53007fd1,0x00001575,0x0004ccc0,
    0x4c400000,0x00000009,0x000c4000,0x98800000,0x00000009,0xcca98000,
    0x0000abcd,0x0000d4c0,0x00000028,0x7ffffff4,0xffffffff,0xffffffff,
    0x7ffffc47,0xff10002f,0xfe8bffff,0xffffffff,0xffffffff,0x447fffff,
    0x02ffffff,0xfffff100,0xffffd8bf,0xfff8800f,0x00ffffff,0x01bffb30,
    0x7ffffdc0,0x7fec0007,0x0000ffff,0x0fae0000,0x000001c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3a000000,0xffffffff,0xffffffff,0x47ffffff,0x07fffffb,0x7fffec00,
    0x3fffa0ff,0xffffffff,0xffffffff,0x7fdc7fff,0x40007fff,0x0ffffffd,
    0x03fffff6,0x7ffffd40,0x2e000fff,0x7f4004ff,0x0004ffff,0x7fffffd4,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74000000,0xffffffff,0xffffffff,
    0x47ffffff,0x04fffffe,0x7fffd400,0x3fffa3ff,0xffffffff,0xffffffff,
    0x7ff47fff,0x40004fff,0x3ffffffa,0x03fffff6,0xfffffd80,0x3ee000ff,
    0x3fe6004f,0x0001ffff,0x6ffffff8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7f400000,0xffffffff,0xffffffff,0x267fffff,0x01ffffff,0xfffff800,
    0x3ffffa6f,0xffffffff,0xffffffff,0x3ffe67ff,0x80001fff,0x26ffffff,
    0x00fffffd,0x3ffffe60,0x3ee000ff,0x3ff6004f,0x00006fff,0x3ffffff9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f400000,0xffffffff,0xffffffff,
    0x367fffff,0x006fffff,0xfffff900,0x3ffffa3f,0xffffffff,0xffffffff,
    0x3fff67ff,0x900006ff,0x23ffffff,0x00fffffd,0x7ffffe40,0x2aa6000f,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00062000,0x6776dc40,
    0xfff90002,0x3100000b,0x7d910000,0x22000001,0x98800009,0x00000099,
    0x4c000000,0x400002ec,0xbceeecb9,0xfd000001,0x0003ffff,0x7c40bff3,
    0xffb0006f,0x20001fff,0x3f202ffd,0xa980003f,0x0abdeecb,0x55555300,
    0x66544001,0x00bceefe,0x377776c0,0x777774c0,0xfff80004,0x00004fff,
    0x45555510,0x02eeeeeb,0xffedc980,0x0000bcde,0x3fffb6a0,0x3bbae0bd,
    0xffffa85e,0x2001efff,0x801ffff8,0x544eeeed,0x0cefffec,0x7fffe400,
    0xeeed802f,0x7ff6543e,0x91000cff,0xfffffffd,0xf100007b,0xf11dffff,
    0x000dffff,0x03fffffb,0xfffc8800,0x0dffffff,0x3ff20000,0x000fffff,
    0xf901fff8,0x3f60009f,0x0000ffff,0x3e20bff7,0x320001ff,0xffffffff,
    0x200dffff,0x02fffffc,0xfffffc98,0x2effffff,0xffffff00,0xfffff300,
    0xffb8000b,0x40004fff,0xffff5019,0x7ffffe4f,0xffd71003,0xffffffff,
    0xd800039f,0xffffffff,0xfffff91f,0xffffffb8,0x9000ffff,0x3a00bfff,
    0xfb15ffff,0xffffffff,0x37fe2003,0xff806feb,0xffd14fff,0x1fffffff,
    0xfffffd80,0xefffffff,0x3ff20000,0xfff70fff,0xf98001ff,0x005febcf,
    0x3ffffe60,0xffffffff,0xff980001,0x05ffffff,0x0aeffd80,0x005fff71,
    0x3fffff60,0xfff30000,0x37fed439,0xfffea800,0xffffffff,0xf902ffff,
    0xd805ffff,0xffffffff,0xdfffffff,0x7ffffc00,0xffff9807,0x7f40005f,
    0x20005fff,0xff503fc8,0x7ffe4fff,0xffb803ff,0xffffffff,0x0dffffff,
    0x7fff4c00,0xffffffff,0x47ffffca,0xfecfffff,0xf8804fff,0xfd001fff,
    0xffd1bfff,0xffffffff,0x4bf7005f,0x7fc01ff8,0xffe9cfff,0xffffffff,
    0xffffb00e,0xffffffff,0x10001dff,0x7c3fffff,0x8001ffff,0x03fe24fc,
    0x3fffa200,0xffffffff,0x20000fff,0xfcefffe8,0x44002fff,0xffffffff,
    0x360005ff,0x000fffff,0x3fffff20,0x001fffff,0x7ffffe44,0xffffffff,
    0x40dfffff,0x02fffffc,0x3ffffff6,0xffffffff,0x3e00efff,0x9807ffff,
    0x005fffff,0x17fffea0,0x3fffb800,0x4fffff50,0x03fffffc,0x3fffff62,
    0xcba99acd,0x01ffffff,0x3fffffa0,0xffffffff,0x2e7ffffe,0x3f21ffff,
    0x7e400fff,0x3fa005ff,0xffffefff,0xffffffff,0x44fd806f,0x7ffc02fe,
    0xfffffeff,0xffffffff,0xfffffc85,0xffffffff,0xb8006fff,0x3ee2ffff,
    0xd0002fff,0x001ff87f,0xffffffc8,0xffffebbd,0x3f60004f,0xfffd1fff,
    0xffa8001f,0x0effffff,0x3fff6000,0x6c0000ff,0xffffffff,0xfffe8003,
    0xffffffff,0xffffffff,0x3fff21ff,0xfffb02ff,0xffffffff,0xffffffff,
    0x3fffe01f,0xfff9807f,0x3a0005ff,0x30006fff,0x207ffffd,0x327ffffa,
    0x303fffff,0x019ffffd,0x3ffffaa0,0xffffa803,0xfdbbcfff,0x7fffffff,
    0xf31bfff6,0x7c405fff,0x3a001fff,0xffffffff,0xffffdbbe,0x7d402fff,
    0x801ff51f,0xffffffff,0xfffebbef,0x3e21ffff,0xacefffff,0xffffffca,
    0x7ffc001f,0x27fff43f,0x21df7000,0xfd0006fb,0xfb05ffff,0x2000ffff,
    0x223ffffa,0x8005ffff,0x3fffffd8,0xeeec8000,0xa80000ee,0x01efffff,
    0xfffffb80,0xdcceffff,0xffffffff,0xffff90ff,0xffffb05f,0xb9bdffff,
    0xfffffffd,0x3fffe0df,0xfff9807f,0xf30005ff,0x20001dff,0x03fffffc,
    0x64fffff5,0x883fffff,0x000dfffe,0x05ffff70,0xefffffe8,0xffffe980,
    0x3fffa7ff,0x1ffffc45,0x00bfff90,0xffffffe8,0xffffa80f,0xffe803ff,
    0xff804fff,0x80efffff,0x3ffffffb,0x17ffffee,0x2ffffff8,0x13ffee00,
    0x000bfff5,0xffffff88,0xffff0003,0x3ffe60df,0xaa8000ff,0xaaa982aa,
    0x2620000a,0x00000000,0x00cc4000,0xfffff100,0x6c403dff,0x5fffffff,
    0x83ffd995,0xfffffff8,0xfffb102e,0xff05ffff,0xf300ffff,0x000bffff,
    0x0002aaa6,0x3fffffc8,0x2626fe80,0xfd809999,0x980003ff,0xf700fffe,
    0x401fffff,0x7ffffff8,0xf113fffe,0x3e209fff,0x74001fff,0x01ffffff,
    0x13fffff6,0x33fff660,0xfffff800,0x3ffa01ff,0x32e64fff,0x3f200ffe,
    0x2003ffff,0xaa982aaa,0xd980000a,0x20003fff,0x107fffff,0x003fffff,
    0x00000000,0x00000000,0x00000000,0xbffffffb,0x3ffee001,0x7f42ffff,
    0x7fffdc0f,0xff7006ff,0xff0dffff,0xf300ffff,0x000bffff,0xff900000,
    0xf8807fff,0xffb8005f,0x665cc03f,0xdfff100a,0x3fffff20,0xffffc804,
    0x13fffe7f,0x6417fffe,0xe8005fff,0x404fffff,0x05fffffa,0xff000a20,
    0xb809ffff,0x405fffff,0x7fffd400,0x0000003f,0x00510000,0xfffffb00,
    0xdffff707,0x03300000,0x00000000,0x00003300,0x54000260,0x05ffffff,
    0xfffffa80,0x21ffe26f,0x0ffffffe,0x3fffee00,0x7fffc2ff,0xfff9807f,
    0x980005ff,0x3ff20001,0x7e403fff,0x0666443f,0x4417ffe2,0xfffffffd,
    0x07fff504,0x03fffffb,0xffffff30,0x2227fffc,0xf884ffff,0xe8001fff,
    0x402fffff,0x05fffff9,0x7ffc0000,0x7d402fff,0x0005ffff,0xfffffd71,
    0x13100009,0x26200000,0x2e000099,0x21ffffff,0x04fffffb,0xffedb800,
    0x6c02dfff,0x9806eeee,0x804eeeee,0xfffffedb,0xd930002d,0x039bffff,
    0x3fffffe0,0xffd0000f,0x3f63ffff,0x7f6dc44f,0xfe8003ff,0x7fc6ffff,
    0xf9807fff,0x8005ffff,0xfffffedb,0x7f74c02d,0xeeefffff,0x0dffb13e,
    0xfb83fff5,0xfffa80ff,0x5fffffff,0xfd0fff90,0x1001ffff,0x74ffffff,
    0x7fc45fff,0xfffc83ff,0xfffd0005,0xff9803ff,0xdddb6fff,0xddd300dd,
    0x3fffe9dd,0x7fcc01ff,0x73005fff,0xfffffffb,0x930009ff,0x7bdfffff,
    0x3b220003,0xdfffffff,0x7ffc4003,0xffc8ffff,0x0001ffff,0x3fffffa6,
    0x02efffff,0x00ffffff,0x0bfffff3,0x7fffff4c,0x02efffff,0x3fffff20,
    0x404fffff,0x4ffffff8,0x3ffea000,0xfffecfff,0x00654400,0x7ffffd40,
    0x3ffffe1f,0xffffa807,0x3fa6005f,0xffffffff,0xfff502ef,0xffffffff,
    0x03fff29f,0xff0bffee,0xffff107f,0xffffb57b,0x85fff109,0x007fffff,
    0xd9fffffe,0x7fd47fff,0x7ffc42ff,0xffd0001f,0xf9803fff,0xfff6ffff,
    0xff300fff,0x3ffebfff,0x7cc00fff,0x7105ffff,0xfffffffd,0x09ffffff,
    0x7fffec40,0x3fffffff,0x7fffec00,0xffffffff,0x3fea000e,0xffffffff,
    0x20003fff,0xfffffffc,0x2fffffff,0x07fffff8,0x5fffff98,0xffffff90,
    0xffffffff,0xfffe8805,0xffffffff,0xfff300ef,0x80001fff,0xfffffffe,
    0x000002ff,0xffffff88,0x1fffffe2,0x3ffffea0,0xffff9005,0xffffffff,
    0xfff505ff,0xffffffff,0x4033e29f,0x3ea2fffc,0xfffd80ff,0x0ffff884,
    0x3e25ffc8,0x2007ffff,0x2a7fffff,0xfd13ffff,0xffc81fff,0x3fa0005f,
    0x4400ffff,0xff6fffff,0xf300ffff,0x3febffff,0x4c00ffff,0xb85fffff,
    0xffffffff,0xffffffff,0xffff5004,0xffffffff,0xfb003dff,0xffffffff,
    0x01dfffff,0x7ffffec0,0x04ffffff,0x3ffff200,0xffffffff,0x7fc1ffff,
    0xf9807fff,0xfc85ffff,0xffffffff,0x1fffffff,0x3fffffa0,0xffffffff,
    0xfffb80ff,0xc80007ff,0xefffffff,0x20000001,0x23fffffe,0x807fffff,
    0x05fffffa,0xffffffc8,0xffffffff,0x7ffd41ff,0xffffffff,0xff90024f,
    0x82ffec7f,0x3ea06fff,0xfff982df,0xffffff10,0xffff1001,0xffffe8ff,
    0x43ffffff,0x001ffff8,0x3fffffa0,0x7fffc400,0xffffff6f,0xfffff300,
    0x1fffffeb,0x3ffffe60,0x7ffffdc5,0xfaacefff,0xa804ffff,0xffffffff,
    0xffffffff,0x3fff201f,0xffffffff,0x006fffff,0x3fffffe2,0x0002ffff,
    0x3fffffe2,0xffffdcdf,0x7ffc6fff,0xff9807ff,0x7fc45fff,0xdcdfffff,
    0x6fffffff,0xffffff70,0xffff957b,0xfff907ff,0x70000bff,0x07ffffff,
    0x99999988,0x99999999,0xfd999999,0x3fe4ffff,0xfa807fff,0x4405ffff,
    0xdfffffff,0xffffffdc,0x7fffd46f,0xffffffff,0x3fff6004,0x260bffa4,
    0x00c02fff,0xfff0fffc,0xf3003fff,0xf98fffff,0xffffffff,0x05fffc86,
    0x7ffff400,0x7ffc400f,0xfffff6ff,0xffff300f,0x3ffffebf,0xffff9807,
    0x3fffee5f,0x7cc0adff,0x4404ffff,0xffffffff,0xfffffede,0xfff106ff,
    0x9559dfff,0x3fffffff,0xffffd300,0x001dffff,0xfffffd80,0xffffa81e,
    0x3fffe2ff,0xfff9807f,0x7ffec5ff,0xffa81eff,0x7c42ffff,0x882fffff,
    0x40fffffe,0x04fffffd,0xffffa800,0x7ffc01ff,0xffffffff,0xffffffff,
    0xffffffff,0x3fffffe6,0x7fffdc00,0x7ffec05f,0xffa81eff,0xf902ffff,
    0x0007ffff,0xff2ffff4,0x1fff503f,0x5ffd0000,0x17fffff4,0x7ffffdc0,
    0xffffe887,0xfff884ff,0x7f40001f,0x4400ffff,0xff6fffff,0xf300ffff,
    0x3febffff,0xf9807fff,0x3fa5ffff,0x2a03ffff,0x404fffff,0xdffffffd,
    0x7fffec40,0xfffb83ff,0x3ffe05ff,0x7e402fff,0xffffffff,0x2a0001ff,
    0x00ffffff,0x97fffff6,0x807fffff,0x25fffff9,0x0ffffffa,0x3fffff60,
    0x7ffffec5,0x3fffe603,0x7ffff43f,0xf980003f,0x401fffff,0xffffffff,
    0xffffffff,0xffffffff,0x3ffe7fff,0x7ec00fff,0x2a05ffff,0x00ffffff,
    0x17fffff6,0x1fffffe4,0xdffff000,0x7e407ffc,0xfb00007f,0x7fffec7f,
    0xfffe806f,0x32a607ff,0xfff900ab,0x004cc40b,0x01fffffd,0x6fffff88,
    0x00ffffff,0x2bfffff3,0x807fffff,0x15fffff9,0x80dfffff,0x04fffffa,
    0x3fffffe2,0x7fffe404,0x765cc0ff,0x3ff200ff,0x3f603fff,0xffffffff,
    0x20006fff,0x04fffffc,0x04d677cc,0x00ffffff,0x4bfffff3,0x04fffffc,
    0x04d677cc,0x01fffffe,0xf1fffff6,0x007fffff,0xfffff300,0xffff805f,
    0xffffffff,0xffffffff,0x7fffffff,0x0ffffffa,0xffffff98,0x3ffff205,
    0x677cc04f,0xfff9009a,0x7c0007ff,0xfff16fff,0x00fffb01,0x993ff200,
    0x03ffffff,0x3ffffff2,0xff880007,0xffea81ff,0xffe82eff,0x7c400fff,
    0xfff6ffff,0xff300fff,0x3ffebfff,0xff9807ff,0xfff55fff,0xffd80bff,
    0x3ee04fff,0xf006ffff,0x007fffff,0xffffa801,0xffffb03f,0xffffdfff,
    0xacef8bff,0xfffffb00,0xfff00003,0xff300fff,0x7fecbfff,0x80001fff,
    0x06fffff8,0x0fffffb8,0x13fffffe,0x3ffea000,0x7fc00fff,0xffffffff,
    0xffffffff,0xffffffff,0x3ffff67f,0x3fffa07f,0x3f605fff,0x0001ffff,
    0x7ffffe40,0xfff10003,0x407ffcff,0x00007ffd,0xffe87ffb,0x260cffff,
    0xfffffffd,0xffc80007,0xffffd85f,0x7f45ffff,0x4400ffff,0xff6fffff,
    0xf300ffff,0x3febffff,0xf9807fff,0xff35ffff,0x2e01ffff,0x04ffffff,
    0x0bfffffa,0x7ffffdc0,0x3ae20005,0xb84fffff,0x9fffffff,0xfffffff8,
    0x9fffff53,0x3fffffd0,0xffff0000,0xfff300ff,0x7fff4bff,0x980001ff,
    0xaaefffff,0xfcaaaaaa,0x3f61ffff,0x0005ffff,0x7fffffb8,0xfffffe80,
    0xffffffff,0xffffffff,0x2e6fffff,0xbeffffff,0xfffffca9,0x3fa05fff,
    0x0001ffff,0x7ffffe40,0xfff30003,0x07ffe1ff,0x1003ffee,0xa85ffd00,
    0xffffffff,0xffffffff,0x40007fff,0x5c1ffff8,0xffffffff,0x3fffa3ff,
    0x7fc400ff,0xffff6fff,0xfff300ff,0x3fffebff,0xfff9807f,0xffff15ff,
    0x7e4c3bff,0x04ffffff,0x07fffffe,0x7ffffcc0,0x3f6e6006,0xffffffff,
    0x7ffffc44,0x3ffe60ef,0xffd9ffff,0xfff81fff,0x80000fff,0x807fffff,
    0x25fffffa,0x00ffffff,0xffffa800,0xffffffff,0xffffffff,0x3fffff22,
    0xffc80006,0xfe806fff,0x0005ffff,0x9bfffff6,0xfffffff9,0xffffffff,
    0x3e05ffff,0x000fffff,0x7fffe400,0xff50003f,0x3ff63fff,0x02fffa83,
    0x7c02b7e6,0xfffc81ff,0xffffffff,0x7fffffdf,0x7ffe4000,0x77fffc45,
    0x0ffffea9,0x01fffffd,0x6fffff88,0x00ffffff,0x2bfffff5,0x807fffff,
    0x25fffff9,0xfffffffe,0xfffffffe,0xff105fff,0x2001ffff,0x07fffff8,
    0x3ffffae2,0xffffffff,0x7fffe44f,0xffff707f,0xfffffdff,0xfffff10f,
    0x3fe0000f,0xfa807fff,0xff15ffff,0x0000ffff,0x3ffffff2,0xffffffff,
    0x22ffffff,0x07fffffb,0xffffd800,0xfffd805f,0x3e0007ff,0x545fffff,
    0xffffffff,0xffe9efff,0xfff105ff,0x00000fff,0x07fffff9,0x3fffee00,
    0x10bff91f,0x7ec0dfff,0xfffa82ff,0xfffff900,0x3e9fffff,0x0007ffff,
    0x707fffe2,0x7d43ffff,0xfffd3fff,0xff8801ff,0xffff6fff,0xfff500ff,
    0x3fffebff,0xfff9807f,0x3ffe65ff,0xffffffff,0x7ffffeef,0xffffff30,
    0xfffff800,0xffffb80f,0xffffffff,0x7ec4ffff,0x3204ffff,0xffffffff,
    0xfff04fff,0x00001fff,0x01ffffff,0x5fffffa8,0x03fffffe,0x3ffee000,
    0xffffffff,0xffffffff,0x3fffea3f,0x220002ff,0x04ffffff,0xffffffb8,
    0xfff98001,0xffb83fff,0xefffffff,0x0bffffd0,0x07fffffc,0x3ff20000,
    0x70003fff,0x265fffff,0xffb81fff,0x6fffb85f,0xb80bffb0,0xffffffff,
    0x1fffffe3,0x5fffc800,0xf87fffc8,0xfffd4fff,0xff8801ff,0xffff6fff,
    0xffa801ff,0xffff5fff,0xfff300ff,0xfffb8bff,0x4fffffff,0x05fffff7,
    0x0ffffff1,0x7ffffc40,0xfffffb87,0xfaacefff,0x7fc4ffff,0x7402ffff,
    0xffffffff,0xfffd01ff,0xf00003ff,0x801fffff,0x25fffffa,0x01fffffe,
    0xffffa800,0xaaaaaadf,0xaaaaaaaa,0x3ffffe21,0x3f20006f,0x802fffff,
    0x3ffffff8,0xffffb800,0xffb701ff,0x7417bfff,0x3a05ffff,0x001fffff,
    0x7fffe400,0xff90003f,0x7ff47fff,0x9dfffd04,0x05fffffb,0x1003fff3,
    0x817bdd95,0x006fffff,0x03ffff10,0xff0dfffb,0x3fffabff,0x7fc400ff,
    0xffff6fff,0xffa801ff,0xffff5fff,0xfff300ff,0xffb10bff,0x4c5dffff,
    0xf05fffff,0x001fffff,0x1bffffe6,0xbffffff7,0xffff9815,0x7ffffc4f,
    0x7ffc400f,0x04ffffff,0x0bfffff6,0x3e06aee0,0x400fffff,0x25fffffb,
    0x02fffffd,0xf981abb8,0x0005ffff,0x3fffffa0,0xff88002f,0x000fffff,
    0x1ffffffd,0x7fffc400,0x353006ff,0x400fffc0,0x02fffffd,0x6401abb8,
    0x003fffff,0x9fffffb0,0x440fffdc,0xfffffffe,0xdffb03ff,0xff880000,
    0x90006fff,0x3fa0bfff,0xfffe86ff,0xabcba806,0xfffff001,0xfffb801f,
    0x540005ff,0x205fffff,0xf101ba98,0xfff803ff,0xf5002fff,0xfe8bffff,
    0x2a03ffff,0x744fffff,0x802fffff,0xfffffff9,0x3fff201f,0xfff805ff,
    0xffff0eff,0xffc803ff,0x3ff25fff,0xff805fff,0xff10efff,0x0100dfff,
    0x3ffffe60,0x362001ff,0x03ffffff,0x3ffffee0,0x3ff6005f,0x0004ffff,
    0x001fff10,0x0bfffff9,0x1dfffff0,0x7fffff90,0x3fffa000,0x3ffe25ff,
    0xffff700e,0x3ee05dff,0x09a882ff,0x7fffcc00,0xff88005f,0xfffd01ff,
    0x0dfffd0d,0xdfffffd0,0xfffff803,0x7ffe401f,0x5c0005ff,0x005fffff,
    0x00fff980,0x37ffffe4,0xfffffe80,0x3ffffe23,0x7fffd406,0x7fffec4f,
    0xffe9805f,0x01efffff,0x1ffffff5,0x7ffffd40,0x3fffffa6,0x3fffe602,
    0x3ffea5ff,0x3ea00fff,0x7f46ffff,0x2202ffff,0x902bdeff,0x5fffffff,
    0xffffd300,0xfd000dff,0x009fffff,0xfffffff9,0x3e600001,0xffa800ff,
    0x2a00ffff,0x906fffff,0x007fffff,0x3fffffa0,0x02fffcc5,0xa806aea6,
    0xff505fff,0xa805ddff,0x004fffff,0x205fffc8,0xff86fffd,0xffe805ff,
    0x200fffff,0x02fffffe,0x3fffffe6,0x7fec0005,0x80004fff,0xf9807ffb,
    0x402fffff,0x1ffffffa,0x17ffffea,0x9fffffb0,0xffffffb8,0x3ffff204,
    0x2fffffff,0xdfffffd0,0xfffff303,0x7fffec7f,0xffe880ef,0x7f45ffff,
    0x981effff,0x43ffffff,0x0ffffffa,0xdfffffb0,0x3ffffe20,0x221adfff,
    0xffffffca,0xf98001ff,0xaeffffff,0x3fffaa20,0x0002ffff,0x007ffea0,
    0x77fffff4,0xfffff981,0xffff703f,0x3fa0009f,0xfc85ffff,0x40000eff,
    0x100efffb,0x1fffffff,0x3ffffe60,0x7fc4002f,0x3ff201ff,0x4ffff87f,
    0xffb98880,0x3ff602ff,0xe880efff,0x05ffffff,0x7ff56440,0x0003ffff,
    0x801fffb8,0x3fffffff,0xffffff70,0xfffff989,0xffff700f,0xfffd09ff,
    0xb979dfff,0xffffffff,0x1bffffff,0xffffffa8,0xfffebbdf,0x3ee0ffff,
    0x8befffff,0xfffffec9,0x7ffd45ff,0xebbdffff,0x0fffffff,0xffffffe8,
    0xffff950b,0x7fdc05ff,0xffffffff,0xffffffff,0x0004ffff,0x3ffffff2,
    0xffffefff,0x05ffffff,0x7ffdc000,0xffff5004,0xfd77bfff,0x01ffffff,
    0x3fffffee,0xfd004ecc,0x360bffff,0x8002ffff,0x01ffffd8,0x7ffffffc,
    0xffedbbdf,0x8006ffff,0x5c05fffc,0x3ea1ffff,0xd8003fff,0x3ee03fff,
    0x8befffff,0xfffffec9,0x7dc005ff,0xffffffff,0xffc80002,0xfffa803f,
    0xcaceffff,0x6ffffffe,0xffffff88,0x3fff261d,0xf984ffff,0xffffffff,
    0xffffffff,0xffffffff,0xffffd84f,0xffffffff,0x7cc2ffff,0xffffffff,
    0xffffffff,0xfffd85ff,0xffffffff,0x502fffff,0xffffffff,0xffffffff,
    0xffff900d,0xffffffff,0xffffffff,0xfc80001b,0xffffffff,0xffffffff,
    0x400000df,0x89cffff9,0xffffb039,0xffffffff,0x4c05ffff,0xffffffff,
    0xfffd005f,0x7fec0bff,0x4c00beff,0x01effffd,0xffffffa8,0xffffffff,
    0x4001ffff,0x801ffff8,0xfbafffff,0x4000ffff,0x201ffffa,0xfffffff9,
    0xffffffff,0x4005ffff,0xfffffffc,0xa80000ff,0xa99cffff,0xfffffc83,
    0xffffffff,0xfd01ffff,0xfdffffff,0xffffffff,0x3ffea0bf,0xffffffff,
    0xfbcfffff,0x80efffff,0xffffffe8,0xffffffff,0xfffff503,0x3dffffff,
    0x10bffffd,0xfffffffd,0x7fffffff,0xfffffa80,0xffffffff,0xfd3000ef,
    0xffffffff,0xffffffff,0x7ec00005,0xffffffff,0x4fffffff,0xff100000,
    0x0fffffff,0x3fffffa2,0xffffffff,0xffff803f,0x006fffff,0x0bfffffd,
    0xffffffb8,0xfedcbcde,0x000dffff,0x3ffffff2,0xffffffff,0xfc8004ff,
    0xff7006ff,0xffffffff,0x37bba207,0x05fffffe,0xffffffa8,0xe9efffff,
    0x4005ffff,0xfffffffe,0xf100005f,0xdfffffff,0x3fffff60,0xffffffff,
    0x3fe602ff,0xffffffff,0xffffeeff,0x3fff6207,0xffffffff,0x3ffa21ef,
    0x7fdc00ff,0xffffffff,0x7fdc03ff,0xefffffff,0x0bffffd0,0x7fffffdc,
    0x03ffffff,0xfffffd10,0x1dffffff,0xffff9000,0xffffffff,0x00001bff,
    0xfffffd50,0xffffffff,0xa8000007,0x7fffffff,0x7ffffdc0,0x3fffffff,
    0xfffff700,0x3a00dfff,0x805fffff,0xffffffe9,0xffffffff,0xff70003f,
    0xffffffff,0x0005dfff,0x003ffff1,0x7fffffe4,0x3fe204ff,0x5fffffff,
    0x3fffee00,0xd0efffff,0x800bffff,0xffffffff,0x2e00000e,0x6fffffff,
    0x3ffffea0,0xdfffffff,0xffffb800,0x74ffffff,0x805fffff,0xffffffeb,
    0x3ee03eff,0xffb3002f,0x19ffffff,0x3fff6e00,0x7ff43dff,0x7ecc05ff,
    0xcfffffff,0x7ee44000,0x2dffffff,0x76e4c000,0xefffffff,0x8000002c,
    0xfffffffa,0x00002eff,0x3fffa600,0xfd9803de,0xcfffffff,0x7ffd4000,
    0x9005efff,0x009ddddd,0x7ffffe4c,0x02dfffff,0xffdb5000,0x07bdffff,
    0x37ffe400,0x7ffed400,0xfed802ef,0x000beeff,0xfffffdb8,0x7ffff43d,
    0x3ff62005,0x0003efff,0xdfffd300,0xfeb88059,0x2dffffff,0x7ffec400,
    0x3e62efff,0x2005ffff,0x000abba8,0x4c4000e6,0x400009ab,0x000001a9,
    0x0026ae62,0x9aba8800,0x31000000,0x00001575,0xbba98000,0x0000009a,
    0x00026200,0x009ab988,0x09ba9800,0x40000000,0xabcdcca9,0x98000000,
    0x4cc00001,0x44000099,0x00000001,0x0000d4c0,0x00998800,0x02600000,
    0x55d4c400,0xa9880000,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffd800,0x0000000f,0x54555555,
    0x3a01aaaa,0x7ec0ffff,0x7f400fff,0x7fe42fff,0x7ec004ff,0x8003ffff,
    0x3e604ffa,0xffe8805f,0x00004fff,0xaaaaa800,0x37530002,0xffff8000,
    0x7fffec1f,0x00620003,0xc8000133,0x004fffff,0x3fff6000,0xfb0005ff,
    0x000bffff,0x21bfffa0,0x4006fffe,0x01aaaaa9,0x57300003,0x7775c003,
    0x3ae004ee,0x5553eeee,0x50003555,0x26155555,0x2a0aaaaa,0x000aaaaa,
    0x2aaaaa20,0xffffb002,0x0000001f,0xe9fffffe,0x2203ffff,0x3f25ffff,
    0xfe802fff,0x7fe42fff,0x3ea004ff,0x01ffffff,0x807ffc40,0xd1003ffd,
    0x001fffff,0xfff80000,0x3aa007ff,0x2effffff,0xfffff800,0x1ffffec1,
    0x7ffe4400,0x037fcc1c,0xfffff300,0x000003ff,0x0bfffff3,0xffffe800,
    0xf980001f,0x3ff64fff,0xfd8001ff,0x3aa3ffff,0xfec88007,0x02efffff,
    0x7fffffcc,0xfffff000,0x3ffffa3f,0x7fc4003f,0xff90ffff,0x7ffc5fff,
    0x20002fff,0x07fffff9,0x1fffffb0,0x3e000000,0x3fa7ffff,0x7d403fff,
    0xfffabfff,0xfffd004f,0xffffc85f,0xffff1004,0x000dffff,0x5cc5bffd,
    0x22001fff,0x004ffffe,0x99998800,0xffffff99,0x3fee0099,0xffffffff,
    0x7fffc004,0x7fffec1f,0x7ffc4003,0xebcfffff,0xd10005ff,0xdfffffff,
    0xfd800001,0x0000efff,0x27ffff44,0xfffb8000,0x4ffffbaf,0x3ffee000,
    0x2fffedff,0x3fffe600,0x4fffffff,0x7fffff40,0xffff9803,0x3ffffa6f,
    0x7fc4003f,0xff90ffff,0x7ffc5fff,0x20002fff,0x07fffff9,0x1fffffb0,
    0x3e000000,0x3fa7ffff,0xfd803fff,0xefffffff,0xffffd000,0x4ffffc85,
    0x9ffffb00,0x8009ffff,0xfffffff9,0x98004fff,0x000fffff,0x7fffdc00,
    0xffffffff,0xfffb02ff,0xffffffff,0x3fe001bf,0x7fec1fff,0x7e4003ff,
    0xffffffff,0x0003ffff,0xff7ffffb,0x40000bff,0x00effff8,0xfffd1000,
    0x3600001f,0xffffffff,0xffa80006,0x01cfffff,0x3ffffea0,0xffffffff,
    0xffff700e,0xfff900bf,0x7fff47ff,0x7c4003ff,0xf90fffff,0x7fc5ffff,
    0x0002ffff,0x1fffffe6,0x7ffffec0,0xf0000000,0x7f4fffff,0xe8803fff,
    0x1fffffff,0x3ffffa00,0x27fffe42,0x97fffdc0,0x001ffffd,0x7fffffdc,
    0x260006ff,0x0003ffff,0x7ffffdc0,0xffffffff,0xffffc82f,0xffffffff,
    0xfff004ff,0xfffd83ff,0x7fec003f,0xffffecad,0xf50007ff,0x3ff27fff,
    0x900002ff,0x0001ffff,0x4ffff880,0xfff10000,0x001fffff,0xffff9100,
    0xff9800bf,0xffffffff,0x105fffff,0x01ffffff,0x0ffffff8,0x0ffffffa,
    0xfffff100,0x3ffff21f,0x3ffffe2f,0x3e60002f,0x9007ffff,0x001ddddd,
    0x3ffe0000,0x3fffa7ff,0xfff3002f,0x88009fff,0x4c409999,0x7cc00999,
    0x7ff44fff,0x74c000ef,0x003fffff,0x06fff980,0x7ffdc000,0xffffffff,
    0x7fc42fff,0xfccfffff,0x01ffffff,0x88199998,0x40009999,0xfec987fe,
    0xff10003e,0xfffd8bff,0x7c40000f,0x00001fff,0x01ffff30,0x3ffea000,
    0x40003fff,0xffffffc8,0x3f6004ff,0xdbefffff,0x2fffffff,0x7fffffb0,
    0x7ffffcc0,0x7fffff45,0x7ffc4003,0xfff90fff,0x7fffc5ff,0x260002ff,
    0x007fffff,0x00000000,0x50ffffff,0x554003ff,0x00002aaa,0x2aa60000,
    0xaaaa882a,0x02660001,0x55530000,0x75400001,0xfffeeeee,0x641eefff,
    0xd86fffff,0x005fffff,0x22000000,0x40000009,0x440aaaa9,0x0001aaaa,
    0x000d5544,0x2aaa6000,0x2aa00000,0x40002aaa,0xfabffffb,0x8803ffff,
    0x41ffffff,0x5fffffe8,0xbfffff50,0x7ffffe40,0x7fffff42,0x7ffc4003,
    0xd9950fff,0x7fffc3ff,0x260002ff,0x007fffff,0x00000000,0xb0ffffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0xffff8000,0x3fffe07f,
    0xfff882ff,0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0fbee000,0x05fffff9,0x3fffffb8,0xdfffff70,0x7fffffc0,0xfffffd00,
    0x7fffffd0,0xffff8800,0x0fff80ff,0x0bfffffe,0xffff9800,0x004c007f,
    0xf00c4000,0xf88fffff,0x0330006f,0x00000000,0x10000000,0x00001333,
    0x31000000,0x3fffffc0,0x6fffff98,0x3fffff60,0x01310002,0x09880000,
    0x4c400000,0x44000000,0x40000009,0x00000098,0x44000026,0x3ffffa02,
    0x3fff200f,0xfff100ff,0x7fe40fff,0xff983fff,0xffe84fff,0x44003fff,
    0x40ffffff,0x7ffc7ff9,0x20002fff,0x07fffff9,0x7ffff64c,0xb70001cd,
    0x417bfffd,0x2e7fffff,0xb7001fff,0x5bfffffd,0x6eeeed80,0xeeeee980,
    0x0dddddb4,0x9ddddd30,0x7fff6440,0x203dffff,0x806eeeed,0x04eeeee9,
    0x6ffff6d4,0x3ffffe0c,0xfffff707,0x7fffdc09,0xff93004f,0x037bdfff,
    0xfffc9800,0x001bdeff,0x7fffe4c0,0x0001bdef,0x7ffffe4c,0x40001bde,
    0xefffffc9,0x260001bd,0xcdffffec,0x2e620001,0xfff99bcd,0xa98805ff,
    0x7ffffc03,0x3fffe605,0xffffc85f,0xffffe81f,0x7fc4003f,0x7e40ffff,
    0x7ffffc4f,0x3e60002f,0x3207ffff,0xffffffff,0x362004ff,0xffffffff,
    0xffffff1e,0x2013ffe2,0xffffffe9,0xf02effff,0x300fffff,0x3ebfffff,
    0x9807ffff,0xb05fffff,0xffffffff,0xf01dffff,0x300fffff,0x20bfffff,
    0xffffffd8,0xffff1fff,0x3fff20ff,0x3fea03ff,0x6c405fff,0xffffffff,
    0x88003fff,0xfffffffd,0x8003ffff,0xffffffd8,0x003fffff,0xfffffd88,
    0x03ffffff,0xffffd880,0x3fffffff,0xffffc800,0x04ffffff,0xfffffb80,
    0xffffedff,0xf300001f,0xe807ffff,0x740fffff,0xfd06ffff,0x8007ffff,
    0x0ffffff8,0xff03fff2,0x0005ffff,0x3fffffcc,0x7fffff44,0xefffffff,
    0x7fff4c00,0xffffffff,0x27fffffb,0xffc801ec,0xffffffff,0xff82ffff,
    0xf9807fff,0xfff5ffff,0xff300fff,0xffb0bfff,0xffffffff,0xf81dffff,
    0x9807ffff,0x985fffff,0xfffffffe,0xfffbffff,0xfffd07ff,0x7fcc05ff,
    0x3ea06fff,0xffffffff,0x01efffff,0xffffff50,0xffffffff,0x3fea003d,
    0xffffffff,0x001effff,0xfffffff5,0xdfffffff,0x3ffea003,0xffffffff,
    0x8801efff,0xfffffffe,0x00efffff,0xfffffd88,0xffffffff,0x880006ff,
    0x00fffffe,0x1fffffdc,0x09fffff3,0x0ffffffa,0xfffff100,0x5ffff97f,
    0x5ffffff0,0x7ffcc000,0xfffe87ff,0xffffffff,0x3a00ffff,0xffffffff,
    0xffffffff,0x640027ff,0xffffffff,0xffffffff,0x3fffffc1,0x7ffffcc0,
    0x0ffffff5,0xbfffff30,0xffffffc8,0xffffffff,0x7fffc6ff,0xfff9807f,
    0xfffe85ff,0xffffffff,0x7fffffff,0x3ffffff0,0x7ffffc40,0xfffff507,
    0xffffffff,0xa803ffff,0xffffffff,0xffffffff,0x7ffd401f,0xffffffff,
    0x01ffffff,0x7fffffd4,0xffffffff,0x7d401fff,0xffffffff,0xffffffff,
    0x7ffff401,0xffffffff,0x3e200fff,0xffffffff,0xffffffff,0xb988002f,
    0x04ffffff,0x5fffff88,0x07ffffee,0x1ffffff4,0x3fffe200,0x1effffff,
    0x5ffffff0,0x7ffcc000,0x7ffdc7ff,0xfcabdfff,0x703fffff,0x9fffffff,
    0xfffffb77,0x8800ffff,0xdfffffff,0xffffffdc,0x7ffffc6f,0xffff9807,
    0xffffff5f,0xfffff300,0x7ffffc4b,0xffcaacef,0x3e1fffff,0x9807ffff,
    0x5c5fffff,0xcfffffff,0xfffffdbb,0xfff07fff,0x7c403fff,0x440fffff,
    0xffffffff,0xfffffede,0x3fe206ff,0xdeffffff,0xfffffffe,0x3fffe206,
    0xfedeffff,0x06ffffff,0x3fffffe2,0xfffedeff,0x2206ffff,0xffffffff,
    0xfffffede,0x3fee06ff,0xcabdffff,0x03ffffff,0x3ffffff6,0xffffffff,
    0x8005ffff,0xffffffff,0x3fff6003,0xffffd0ff,0x7ffff40d,0x7fc4003f,
    0x2cefffff,0x7fffffc0,0x3fe60002,0x3fe27fff,0xe882ffff,0x440fffff,
    0x0effffff,0xffffff98,0x7fec007f,0xfa81efff,0x3e2fffff,0x9807ffff,
    0xff5fffff,0xf300ffff,0x7dcbffff,0x3e05ffff,0x3e2fffff,0x9807ffff,
    0x7c5fffff,0x81efffff,0xffffffe9,0xffffff07,0x7fffc403,0x7ffec0ff,
    0x6c40dfff,0x03ffffff,0xbffffffb,0xffffd881,0xfffb03ff,0xd881bfff,
    0x03ffffff,0xbffffffb,0xffffd881,0xfffb03ff,0xd881bfff,0x83ffffff,
    0x2ffffff8,0xfffffe88,0xfffffa80,0xff730aff,0x01ffffff,0x7ffffc40,
    0x7d4002ff,0xff9affff,0x3fa03fff,0x4003ffff,0x1ffffff8,0x3ffffe00,
    0x3e60002f,0x3f67ffff,0x2603ffff,0x5c3fffff,0x00ffffff,0x3fffffe6,
    0x3ffea007,0x3f600fff,0x3fe5ffff,0xf9807fff,0xfff5ffff,0xff300fff,
    0x65ccbfff,0x3f200ffe,0x3fe3ffff,0xf9807fff,0x3ee5ffff,0x200fffff,
    0x7ffffff9,0xffffff88,0x3fffe200,0x3ffe20ff,0x7e404fff,0x440fffff,
    0x04ffffff,0x7fffffe4,0x7ffffc40,0x7ffe404f,0x7fc40fff,0x6404ffff,
    0x40ffffff,0x4ffffff8,0x7ffffe40,0x7fffec0f,0x3ffe603f,0x7ffc43ff,
    0xf300efff,0x05ffffff,0x7ffffcc0,0x7c000bff,0xffbdffff,0x3fa00fff,
    0x4003ffff,0x0ffffff8,0x3ffffe00,0x3e60002f,0x3fe7ffff,0xfd807fff,
    0x7fec7fff,0xfe804fff,0x2007ffff,0x04fffffc,0x04d677cc,0x00ffffff,
    0x2bfffff3,0x807fffff,0x05fffff9,0x3ffea004,0x3fffe3ff,0xfff9807f,
    0x3fff25ff,0xffd804ff,0xff887fff,0x2200ffff,0x21ffffff,0x06fffffb,
    0x7ffffff0,0x6fffffb8,0xffffff00,0xfffffb87,0xfffff006,0xffffb87f,
    0xffff006f,0xfffb87ff,0xfff006ff,0xfff87fff,0xffd807ff,0x7ffdc7ff,
    0x7d400fff,0x005fffff,0x3fffffea,0x32003fff,0xffefffff,0x7ff405ff,
    0x44003fff,0x00ffffff,0x3fffffe0,0x3fe60002,0xfff17fff,0xff700dff,
    0x7ff41fff,0xfa801fff,0x2007ffff,0x01fffffd,0xfffff800,0xffff9807,
    0xffffff5f,0xfffff300,0x3ae2000b,0x3e4fffff,0x9807ffff,0x365fffff,
    0x801fffff,0x87fffffa,0x0ffffff8,0x3ffffe20,0x3ffffa0f,0xfff7002f,
    0xfffe8bff,0xff7002ff,0xffe8bfff,0xf7002fff,0xfe8bffff,0x7002ffff,
    0xe8bfffff,0x002fffff,0x4bfffff7,0x06fffff8,0x0fffffb8,0x13fffff2,
    0x7ffffec0,0x2ef2e006,0x4ffffffd,0xfffff300,0x805fffff,0x03fffffe,
    0x7ffffc40,0x3ffe000f,0x20002fff,0x37fffff9,0x55dfffff,0xf9555555,
    0x7fc3ffff,0x9800ffff,0x007fffff,0x07fffffa,0x3fffe000,0xfff9807f,
    0xfffff5ff,0xffff300f,0x36e600bf,0xffffffff,0x3ffffe4f,0xffff9807,
    0x3ffffe5f,0xfff9800f,0xfff887ff,0x3e201fff,0x3e0fffff,0x001fffff,
    0x8dfffff3,0x01ffffff,0xdfffff30,0x1ffffff8,0xfffff300,0xffffff8d,
    0xffff3001,0xfffff8df,0xfff3001f,0x7ffccdff,0xaaaaaeff,0xffffcaaa,
    0x3ffffa1f,0xfff5002f,0x98000fff,0x01ffffff,0xffffffd0,0xffd00fff,
    0x88007fff,0x00ffffff,0x3fffffe0,0x3fe60002,0xfff57fff,0xffffffff,
    0xffffffff,0x3fffe25f,0xfff1007f,0x7fc00fff,0x0000ffff,0x07fffff8,
    0x5fffffa8,0x00ffffff,0x0bfffff5,0x3ffffae2,0xffffffff,0x3ffffe4f,
    0xffffa807,0x3ffffe5f,0xffff1007,0x3fffe0ff,0x3fe201ff,0xff10ffff,
    0x2001ffff,0x27fffff8,0x0ffffff8,0xfffff100,0x7ffffc4f,0xfff1000f,
    0x7ffc4fff,0xf1000fff,0x7c4fffff,0x000fffff,0x4ffffff1,0xfffffffa,
    0xffffffff,0x3e2fffff,0x001fffff,0x0ffffff3,0xffff5000,0x3fee00df,
    0x04ffffff,0x3fffffd8,0x7fffc400,0x3fe000ff,0x0002ffff,0x5fffffe6,
    0xfffffffc,0xffffffff,0xf32fffff,0x200dffff,0x07fffff8,0xffffff10,
    0x3ffe0000,0xffa807ff,0xffff5fff,0xfff500ff,0xfff70bff,0xffffffff,
    0x7c9fffff,0xa807ffff,0xf15fffff,0x400fffff,0xf07fffff,0x403fffff,
    0x27fffff8,0x07fffff9,0x7fffffc0,0xffffff30,0xfffff800,0xfffff30f,
    0xffff800f,0xffff30ff,0xfff800ff,0xfff30fff,0xff800fff,0xff90ffff,
    0xffffffff,0xffffffff,0x3ffe25ff,0xf1000fff,0x001fffff,0xffffff00,
    0xffff1001,0xb003ffff,0x007fffff,0xffffff98,0x3fffe000,0x260002ff,
    0xf77fffff,0xffffffff,0xffffffff,0x3fe27fff,0xf1007fff,0x400fffff,
    0x00ffffff,0xfffff800,0x7ffd400f,0xfffff5ff,0xfffa801f,0x7ffdc5ff,
    0xacefffff,0x24fffffa,0x00ffffff,0x2fffffd4,0x00ffffff,0x1fffffe2,
    0x17fffff4,0xdfffff30,0x3fffffc4,0xfffff100,0x7ffffc4f,0x3ffe2007,
    0x3ffe27ff,0x3e2007ff,0x3e27ffff,0x2007ffff,0x27fffff8,0x07fffff8,
    0x3ffffe20,0x3ffffee7,0xffffffff,0x3fffffff,0x03fffffe,0x7ffffc40,
    0xffb00007,0x36005fff,0x06ffffff,0x9fffffb0,0xffff9800,0x3fe000ff,
    0x9882ffff,0x7fffcc02,0xfffff57f,0x5555555b,0x35555555,0x03fffffc,
    0x7fffff98,0x3ffffa00,0xff80001f,0x5400ffff,0xff5fffff,0xa801ffff,
    0x2e5fffff,0xadffffff,0x7ffffcc0,0x3fffffe4,0x7fffd400,0x3ffffe5f,
    0xfff9800f,0xfffb07ff,0x7fd407ff,0x7ffc5fff,0xf3000fff,0xff8dffff,
    0x3000ffff,0xf8dfffff,0x000fffff,0x8dfffff3,0x00ffffff,0xdfffff30,
    0x0ffffff8,0xfffff300,0x7ffffd4d,0xaaaaaaad,0x1aaaaaaa,0x07fffffa,
    0x7ffffd40,0xffb00006,0x2a007fff,0x03ffffff,0xbfffff90,0xffffa800,
    0x7ffc007f,0xffdb2fff,0xfffa80ff,0xffff37ff,0x3a0000bf,0x801fffff,
    0x07fffffa,0x3fffff60,0x81abb802,0x00ffffff,0xafffffdc,0x00ffffff,
    0x2fffffdc,0x07fffffd,0x27ffffd4,0x01ffffff,0x5fffffb8,0x07fffff6,
    0x3ffffea0,0xfffff907,0x7fffdc09,0x7ffffc4f,0xfff5002f,0xffff8bff,
    0xff5002ff,0xfff8bfff,0xf5002fff,0xff8bffff,0x5002ffff,0xf8bfffff,
    0x002fffff,0x4bfffff5,0x05fffff9,0xffffb000,0x3fee007f,0x32a24fff,
    0xfe804fec,0x3002ffff,0x01ffffff,0x3ffffee0,0x7ffdc007,0x7fc006ff,
    0xffd2ffff,0x7dc01fff,0xff16ffff,0x0100dfff,0x9fffffb0,0xfffffb00,
    0x7ffe400f,0xfff805ff,0xffff0eff,0xffc803ff,0xffff5fff,0xffc803ff,
    0xfff15fff,0xffa80dff,0x3ffe4fff,0x7e401fff,0x3f25ffff,0xd804ffff,
    0x507fffff,0x40dfffff,0x42fffffd,0x06fffffc,0x7fffffd0,0x6fffffc8,
    0xfffffd00,0xfffffc87,0xffffd006,0xffffc87f,0xfffd006f,0xfffc87ff,
    0xffd006ff,0x7fc47fff,0x00806fff,0x6fffffc8,0xfffffd00,0x7ffffc47,
    0x7fffc406,0xffb000ff,0x5400dfff,0x02ffffff,0x3fffffa0,0x7fffc005,
    0xffffb2ff,0x7ffe405f,0x3fffa5ff,0x3fe202ff,0x7fdc2bde,0x2600ffff,
    0x07ffffff,0x3ffffea0,0x3ffea00f,0x3fffa6ff,0x3fe602ff,0xffd5ffff,
    0x7cc05fff,0xf55fffff,0xd80bffff,0x3a4fffff,0x202fffff,0x5ffffff9,
    0x3fffffee,0x3fffe600,0x3ffe07ff,0xff982fff,0xff987fff,0x5402ffff,
    0x41ffffff,0x2ffffff9,0x7ffffd40,0x7fffcc1f,0x7fd402ff,0x7cc1ffff,
    0x402fffff,0x1ffffffa,0x7fffffcc,0x7fffd402,0x7fff41ff,0x3fe202ff,
    0x7fcc2bde,0x5c02ffff,0x41ffffff,0x02fffffe,0x1ffffff2,0x7ffffcc0,
    0x3fe2003f,0x801fffff,0x3ffffffb,0x7ffffc00,0xfffff92f,0x7ffffc0d,
    0x3fffea4f,0xfffb00ff,0xfff88dff,0xe980efff,0x07ffffff,0x7fffff40,
    0xffff981e,0x3fff63ff,0xfe880eff,0xfb5fffff,0x101dffff,0xbffffffd,
    0x3fffffe6,0xfffff700,0x7fffec9f,0xffe880ef,0x3e25ffff,0x80efffff,
    0xffffffe8,0x3ffff607,0xffffe86f,0xfffff05f,0x3fee07ff,0xff04ffff,
    0x207fffff,0x4ffffffb,0xfffffff0,0x3fffee07,0xffff04ff,0x3ee07fff,
    0xf04fffff,0x07ffffff,0x3fffffee,0xfffffa84,0xffffb00f,0xffffb0df,
    0x3fee07ff,0xfb84ffff,0xb82fffff,0x04ffffff,0xfffffe88,0x7fe4000f,
    0x81cfffff,0xffffffd9,0xffff8007,0xffff52ff,0x7ecc3bff,0x742fffff,
    0x0bffffff,0xffffff95,0xfffff705,0xff9559df,0x0fffffff,0xfffffa80,
    0xffebbdff,0x2e0fffff,0xbeffffff,0xffffec98,0xfff75fff,0x9317dfff,
    0xfffffffd,0x3ffffe2b,0x3ff261df,0x2e4fffff,0xbeffffff,0xffffec98,
    0x7fdc5fff,0xaacfffff,0xfffffffc,0x3ffe607f,0xffccffff,0x501fffff,
    0xdfffffff,0xffffd959,0x7fd40dff,0xacefffff,0xffffffec,0x3fffea06,
    0xecacefff,0x06ffffff,0x3fffffea,0xffecacef,0x2a06ffff,0xefffffff,
    0xffffecac,0x3ffa06ff,0x950bffff,0x05ffffff,0xfffffff1,0xfffd959d,
    0x3e20dfff,0xcfffffff,0xffffffec,0x6e67440e,0x3fffffff,0xffff8800,
    0xffffffff,0xffffffff,0xfff8003f,0x3ffa2fff,0xffffffff,0x86ffffff,
    0xfffffffa,0xffffffff,0x3fffa06f,0xffffffff,0x7fffffff,0xffffd800,
    0xffffffff,0x7cc2ffff,0xffffffff,0xffffffff,0xffff35ff,0xffffffff,
    0xbfffffff,0x7ffffff4,0xffffffef,0x3e65ffff,0xffffffff,0xffffffff,
    0xfffe85ff,0xffffffff,0x7fffffff,0x7ffffe40,0xffffffff,0x7ffe404f,
    0xffffffff,0x01ffffff,0x7fffffe4,0xffffffff,0x7e401fff,0xffffffff,
    0xffffffff,0x7fffe401,0xffffffff,0x401fffff,0xfffffffc,0xffffffff,
    0x3fea01ff,0xffffffff,0x06ffffff,0x3fffffee,0xffffffff,0x3ea02fff,
    0xffffffff,0x1fffffff,0xffffff88,0x000fffff,0xffffff90,0xffffffff,
    0x01ffffff,0xffffff00,0x7ffffd45,0xffffffff,0xff501fff,0xffffffff,
    0x401dffff,0xfffffff9,0xfcafffff,0x88007fff,0xfffffffe,0x3fffffff,
    0xffffff50,0xd3dfffff,0x7d4bffff,0xffffffff,0xfffe9eff,0x3fffe65f,
    0xffffffff,0x47ffffee,0xfffffffa,0xfe9effff,0xff985fff,0xffffffff,
    0xffffcbff,0xffffd807,0xffffffff,0xfffd800e,0xffffffff,0xb002ffff,
    0xffffffff,0x5fffffff,0x3ffff600,0xffffffff,0xfb002fff,0xffffffff,
    0x05ffffff,0x3fffff60,0xffffffff,0xffa802ff,0xffffffff,0x400effff,
    0xfffffffb,0xffffffff,0xffffc802,0xffffffff,0x3ffe03ff,0x2fffffff,
    0x7ffe4000,0xffffffff,0x1effffff,0xfffff000,0xffffd85f,0xffffffff,
    0x7f4403ff,0xffffffff,0xe8800eff,0xffffffff,0xfffff92f,0x7ffdc000,
    0xffffffff,0x7ffdc03f,0x0effffff,0xb8bffffd,0xffffffff,0xffffd0ef,
    0xfffffb8b,0xf74fffff,0xfb85ffff,0xffffffff,0xbffffd0e,0x3ffffa20,
    0xf92fffff,0x2e00ffff,0xffffffff,0x7d4004ff,0xffffffff,0x4000dfff,
    0xfffffffa,0x00dfffff,0x7ffffd40,0xdfffffff,0x7ffd4000,0xffffffff,
    0x7d4000df,0xffffffff,0x2000dfff,0xffffffe8,0x00efffff,0xfffffd30,
    0x1bffffff,0x7fffdc00,0xefffffff,0x7ffff401,0x0002ffff,0xffffff70,
    0xffffffff,0xff80007f,0xfc82ffff,0xffffffff,0x91002fff,0xfffffffb,
    0xff90005b,0x643bffff,0x0007ffff,0x7ffffecc,0x7000cfff,0x7bfffffb,
    0x85ffffe8,0xdfffffdb,0x2fffff43,0x7ffffec4,0x3ffe62ef,0xffdb85ff,
    0x7f43dfff,0x76405fff,0x21dfffff,0x007ffffc,0x3fffff6a,0x710002ef,
    0xfffffffd,0x5c40005b,0xfffffffe,0x2e20002d,0xfffffffe,0x2e20002d,
    0xfffffffe,0x2e20002d,0xfffffffe,0xb910002d,0xbfffffff,0x3fae0005,
    0x3effffff,0xfff91000,0x007fffff,0x3bfffff6,0xb800000b,0xfffffffd,
    0x0001deff,0x2ffffff8,0xfffffd30,0x00019fff,0x004d5d44,0x00d54400,
    0x98800000,0x400009ab,0x400001a9,0x200001a9,0x0001ba98,0x0000d4c0,
    0x001aa880,0x1ba98000,0x54c40000,0x800000ab,0x000aba98,0xaba98800,
    0x98800000,0x00000aba,0x00aba988,0xaba88000,0x26000009,0x00000aba,
    0x004ddd44,0x00009880,0x5d54c000,0x000000ab,0x55d4c000,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff10000,0xfffff0ff,0xfff88003,
    0x00000fff,0x3fffffe6,0xffff3001,0x000003ff,0x800000cc,0x0001aba8,
    0x3fffffa0,0xfffff004,0x3ffffd83,0x2600c400,0xffd80009,0x00002fff,
    0x3fffffe2,0xfff50003,0xedc9801f,0x0001ccee,0x3fffffa2,0x03000003,
    0x09800000,0x7ffdc000,0x7fffdc2f,0x44000002,0x03ffffff,0xd9730000,
    0xb00059bd,0xfd81ffff,0x98000fff,0x2001abba,0x00aaaaaa,0xf0fffff1,
    0x8003ffff,0x6ffffffd,0x3ff60000,0x54002fff,0x005fffff,0x3ffb6e00,
    0x0002dfff,0x3fffff6a,0x540003ff,0x005fffff,0xb07ffffe,0x2007ffff,
    0x40bfffd9,0x5c004ffb,0x0fffffff,0xfff70000,0x640009ff,0x3aa06fff,
    0xffffffff,0xf10001df,0x000fffff,0x3fffb260,0x3bbaa1bd,0x7777746e,
    0x3fff6e23,0xfd0002ce,0x3fe61fff,0x000004ff,0x4fffffb8,0x7ec40000,
    0xffffffff,0x3fe2002e,0x3ffee6ff,0x3f22003f,0xcfffffff,0x7ffffc00,
    0xffff103f,0x3fffff0f,0x7fffdc00,0x0003ffff,0x3fffff88,0xffff5000,
    0xe980003f,0xffffffff,0x64002eff,0xffffffff,0xd0001eff,0x800bffff,
    0x6c1fffff,0xa803ffff,0xefffffff,0x003fffbc,0x3fffffe6,0xf00005ff,
    0x0009ffff,0x704fffe8,0xffffffff,0x005fffff,0x3ffffe60,0x7fdc0002,
    0x2fffffff,0xf8fffff7,0xff34ffff,0x9fffffff,0xffff1000,0x0dffff1b,
    0x3fe00000,0x00004fff,0x7fffffd4,0x4fffffff,0x3fffea00,0x05ffff9c,
    0x3ffffee0,0x3fffffff,0x3fffffe0,0xfffff103,0x03fffff0,0x37fffe20,
    0x001ffffd,0x1ffffe40,0x3ffee000,0x3f20004f,0xffffffff,0x802fffff,
    0xffffffe8,0x0fffffff,0x7fffcc00,0xffff8006,0x7fffec1f,0xffffe803,
    0xffffffff,0x3ffa001f,0x3ffffcef,0x7ffd4000,0x7c40005f,0xffa82fff,
    0xffffffff,0x000fffff,0x0dffff30,0x3fff6200,0xffffffff,0x47ffffba,
    0xf9cfffff,0xffffffff,0x54000eff,0xffffffff,0x8000001f,0x005ffffa,
    0x7fffcc00,0xffffffff,0x32003fff,0xffffffff,0xfff7000f,0xffffffff,
    0x3fe07fff,0xf103ffff,0xfff0ffff,0x3fa003ff,0xfff88eff,0x3e20006f,
    0x00004fff,0x001ffff7,0xffffff90,0xffffffff,0x7fc403ff,0xffffffff,
    0x006fffff,0x0077ffec,0x0fffffc0,0x00fffff6,0x3f6f3ffe,0x05ffffff,
    0x47ffff20,0x000ffffd,0x017fffa0,0x3fffea00,0xfffffe80,0xfffffeff,
    0x2a0004ff,0x8002ffff,0xfffffffc,0xfeffffff,0x7ffc7fff,0xfffffeff,
    0xffffffff,0xfffd8005,0x0003ffff,0xbfffd000,0xfff00000,0xffffffff,
    0x03ffffff,0x7fffff40,0xff3002ff,0xffffffff,0x03ffffff,0x07ffffff,
    0x4c0ccccc,0xf9001999,0x7fcc3fff,0xf90004ff,0x80000bff,0x4004fffc,
    0xfffffff8,0xfffffdcd,0x3ff606ff,0xfcbeffff,0x02ffffff,0x01dfff30,
    0x06666600,0x00266662,0xf930bff1,0x7d4005df,0x3fe23fff,0xf50006ff,
    0x00001dff,0xf50ffff9,0x4c5fffff,0x06fffffe,0x37ffd400,0x3fffe600,
    0xfdbcefff,0x7fffffff,0x7ffffffc,0xffecceff,0x002fffff,0x7fffffc4,
    0x50000006,0x0001dfff,0xfffff980,0xfff931df,0x4c00bfff,0x04ffffff,
    0x3fffffa0,0xfffeabef,0xfff85fff,0x00003fff,0x55555000,0x00555530,
    0x000aaaa0,0x01555400,0x3fffff60,0xffffa81e,0xfff982ff,0xffc83fff,
    0x53004fff,0x00000155,0x02660000,0x2aaa0000,0xaaaa982a,0xaaa98000,
    0xffd00000,0xffff90bf,0xffff509f,0x550000ff,0xffd80055,0xe883ffff,
    0x47ffffff,0xffffffff,0xfffffa82,0xaa98006f,0x00000aaa,0x01555300,
    0xfff90000,0x3fea07ff,0x4c007fff,0x4002aaaa,0x81ffffff,0x87fffff9,
    0x03ffffff,0x00000000,0x00000000,0x54000000,0x00ffffff,0x17fffff6,
    0x13fffff6,0x3fffffc4,0x00000000,0x00000000,0x00000000,0xf1000000,
    0xffb07fff,0xff103fff,0x0000bfff,0x7ffcc000,0x3e202fff,0x7c7fffff,
    0x01ffffff,0x3fffffe6,0x00000002,0x00000000,0xfffffe80,0x3ffff600,
    0x0000001f,0x1bffffe6,0x1fffffe8,0x1ffffffc,0x00004c00,0x00000980,
    0x00000130,0x3f200026,0x4c04ffff,0x4409acef,0x01ffffff,0x02af37b6,
    0x20000000,0x00009998,0x00266620,0x09998800,0x26620000,0x7cc00009,
    0xffe81fff,0xffa80fff,0x40003fff,0x20009998,0x06fffffb,0x7fffffc8,
    0x2ffffffc,0x7ffffec0,0x01310004,0x0cc40000,0x00026600,0x17ffffe2,
    0x379bdf70,0x09998800,0x3fffea00,0x3ffea03f,0x7fffc2ff,0xec9802ff,
    0x01cdffff,0xfffd9300,0x200039bf,0xdffffec9,0xd930001c,0x039bffff,
    0x3fffffb0,0x3fea0000,0x40005fff,0x806eeeed,0x04eeeee9,0x3ffffb22,
    0x4003dfff,0xfffffec8,0x44003dff,0xffffffec,0x644003df,0xfffffffe,
    0xffb8003d,0xffffd07f,0x3ffffa0f,0x7644000f,0xdfffffff,0x7fffe403,
    0xfff8803f,0x7fffc7ff,0xffa801ff,0x93005fff,0x7bdfffff,0x7ed40003,
    0x2defffff,0x7ffff644,0xff1002df,0x00009fff,0x3fffb220,0x403dffff,
    0x03fffff8,0x03ffffea,0x03fffffd,0xffffffc8,0x4004ffff,0xfffffffc,
    0x64004fff,0xffffffff,0x7e4004ff,0xffffffff,0x7fff404f,0x700001ff,
    0x009fffff,0x7fffff80,0xfffff980,0xfffffb05,0xdfffffff,0xffffb001,
    0xffffffff,0xfffb001d,0xffffffff,0xffb001df,0xffffffff,0x6c001dff,
    0xfff05fff,0xfff30fff,0xfd800dff,0xffffffff,0xfb00efff,0x2005ffff,
    0x7c7fffff,0x800fffff,0x06fffff9,0x7ffffec4,0x03ffffff,0x7ffffd40,
    0xefffffff,0xffffffba,0x801effff,0x005fffff,0xffffd800,0xffffffff,
    0x3fffa00e,0x3fff606f,0xffffe86f,0xfffd101f,0xffffffff,0xfe8801df,
    0xffffffff,0x4400efff,0xfffffffe,0x00efffff,0x7fffff44,0xefffffff,
    0xffffff00,0x3f600001,0x5443ffff,0xfffff001,0xffff300f,0xffffb0bf,
    0xffffffff,0x7ec01dff,0xffffffff,0x00efffff,0x3ffffff6,0xffffffff,
    0x3fff600e,0xffffffff,0xf000efff,0x3fe07fff,0xffd87fff,0x36002fff,
    0xffffffff,0x0effffff,0x1ffffff8,0xfffffd00,0x07fffff8,0xffffff10,
    0x7ffffd40,0xffffffff,0xffa801ef,0xffffffff,0xffffffff,0xffffffff,
    0x7fec02ff,0x400007ff,0xfffffffd,0xefffffff,0xfffff900,0xfffff303,
    0xfffffb09,0x3ffffa01,0xffffffff,0x3fa00fff,0xffffffff,0x00ffffff,
    0x3ffffffa,0xffffffff,0x3fffa00f,0xffffffff,0x7c40ffff,0x0007ffff,
    0x3fffffa0,0xdfffff92,0x7ffffc05,0xffff9807,0x7fffe45f,0xffffffff,
    0xf906ffff,0xffffffff,0xdfffffff,0x3fffff20,0xffffffff,0xff906fff,
    0xffffffff,0x0dffffff,0x03ffff30,0x11fffffe,0x00dfffff,0x7fffffe4,
    0xffffffff,0xffff86ff,0xffd000ff,0xffff8fff,0x3ffe007f,0xffa80fff,
    0xffffffff,0x1fffffff,0x3ffffe60,0xffffffff,0xffffffff,0xffffffff,
    0x3fff201f,0x900001ff,0xffffffff,0xffffffff,0x3fffe60d,0xffdaadff,
    0xfc81ffff,0xff707fff,0x957bffff,0x07ffffff,0x3fffffee,0xffffcabd,
    0xfff703ff,0xf957bfff,0x207fffff,0xdffffffb,0xfffffcab,0xfffff83f,
    0xff00000f,0xffd5ffff,0x1bffffff,0x0ffffff0,0xbfffff30,0x7fffffc4,
    0xfffcaace,0x7c41ffff,0xacefffff,0xffffffca,0x7fffc41f,0xfcaaceff,
    0x41ffffff,0xeffffff8,0xffffcaac,0x7dc01fff,0x3ffe07ff,0x7ffe47ff,
    0xff1003ff,0x559dffff,0xfffffff9,0xfffffe83,0xfffff000,0x7fffff8f,
    0x3ffffe00,0xfffff887,0xffedefff,0x206fffff,0xdffffffc,0xfffffdbb,
    0xacefffff,0x6ffffffd,0x3ffffee0,0xff880003,0xaaceffff,0xfffffffc,
    0xfffff501,0xffffffff,0x3ffee01d,0xffff887f,0xffe882ff,0x7fc40fff,
    0xe882ffff,0x440fffff,0x82ffffff,0x0fffffe8,0x7fffffc4,0xffffe882,
    0x7ffff40f,0xff00001f,0xffffffff,0xdfffffff,0x7fffff81,0xfffff980,
    0x3ffffee5,0x3ffffe05,0x7fffdc2f,0x3fffe05f,0x7ffdc2ff,0x3ffe05ff,
    0x7fdc2fff,0x3fe05fff,0x6c02ffff,0x3fe05fff,0x7ff47fff,0xf7004fff,
    0x7c0bffff,0x6c2fffff,0x001fffff,0xf8ffffff,0x800fffff,0x86fffff8,
    0xdffffffd,0x7fffec40,0xfff883ff,0xffd00fff,0x209fffff,0x23fffffd,
    0xfffffffd,0xffffffff,0xffff7002,0x7fffc0bf,0x3f6202ff,0xffffffff,
    0x7ffd405f,0xffffd86f,0x3ffe603f,0x7ffec3ff,0x3fe603ff,0x7fec3fff,
    0x3e603fff,0x7ec3ffff,0x2603ffff,0x6c3fffff,0x802fffff,0xff881abb,
    0xffffffff,0xffffffff,0x3fffffc5,0x7ffffcc0,0x3ffb2e65,0x3ffff200,
    0x7f65cc3f,0x3fff200f,0x765cc3ff,0x3ff200ff,0x65cc3fff,0x3f200ffe,
    0x7c03ffff,0x3fe03fff,0x7ff47fff,0x9800efff,0x200ffecb,0x43fffffc,
    0x02fffffc,0x7fffff98,0x17fffffc,0x7ffffcc0,0x7ffffc45,0x7ffe404f,
    0x5d440fff,0x3ee03fed,0x405fffff,0x366ffffe,0xffffffff,0x2fffffff,
    0xffd97300,0x7fffe401,0x3ff2203f,0xffffffff,0x3ffea00d,0xfffff85f,
    0xffffd807,0x3fffffc7,0x3ffffec0,0x01fffffe,0xf1fffff6,0xb00fffff,
    0xfc8fffff,0xf805ffff,0xf10effff,0xdfffffff,0xffff7315,0x7fffc5ff,
    0xfff9807f,0x200405ff,0x03fffffa,0x7ffd4008,0x400803ff,0x03fffffa,
    0x7ffd4008,0x3fe603ff,0x3ffe01ff,0x7ffdc7ff,0x10005fff,0xfffffa80,
    0x7ffffdc3,0xffffc805,0x7ffffc7f,0xfffc805f,0x7ffdc4ff,0xfff006ff,
    0x01007fff,0xffffff88,0x7fffd402,0xfffffb0f,0xffffffff,0x040005ff,
    0x3ffffea0,0xfffff503,0xffffffff,0x3ffe607f,0x7fffc44f,0xfffb806f,
    0xffff10ff,0xfff700df,0x3ffe21ff,0xffb806ff,0xfff10fff,0xff700dff,
    0x7fd41fff,0x2a00ffff,0x226fffff,0x5fffffff,0xffffff50,0x03fffffc,
    0x2fffffcc,0xffeb8800,0x20004fff,0xfffffeb8,0x3ae20004,0x004fffff,
    0x3fffae20,0x3fee04ff,0x7fffc07f,0x7fffc47f,0x00005fff,0x3ffffae2,
    0x7fffcc4f,0x3fe201ff,0x7fc7ffff,0x201fffff,0x3ffffff8,0x17fffff4,
    0xfffffb80,0x36a20005,0x00ffffff,0x9fffffcc,0xfffffffd,0xffffffff,
    0xb8800002,0x84fffffe,0xfffffff9,0xfffffedd,0xffff883f,0x7ffffcc4,
    0xaaaaaaae,0x1fffffca,0x5dfffff3,0x95555555,0x263fffff,0xaaefffff,
    0xfcaaaaaa,0xff31ffff,0x5555dfff,0xfff95555,0xfffe83ff,0xff981eff,
    0x7fc3ffff,0x201fffff,0xf1fffffd,0x300fffff,0x00bfffff,0x3ffff6e6,
    0x004fffff,0x3ffff6e6,0x004fffff,0x3ffff6e6,0x004fffff,0x3ffff6e6,
    0x204fffff,0x7c06fffd,0xfa87ffff,0x05ffffff,0xfffb7300,0x09ffffff,
    0x1dfffffd,0xfffffd30,0xfffff8ff,0xfd881fff,0xff86ffff,0x3001ffff,
    0x00dfffff,0x7fff6dcc,0xaaffffff,0xfbaaaaaa,0xdd94ffff,0xffffffdd,
    0x003ddddd,0xfffb7300,0x09ffffff,0x07ffffff,0x3ffffff7,0xa87ffff0,
    0xffffffff,0xffffffff,0xff52ffff,0xffffffff,0xffffffff,0x3ffea5ff,
    0xffffffff,0xffffffff,0xfffff52f,0xffffffff,0x5fffffff,0xffffffa8,
    0xfffebbdf,0x7fc0ffff,0x5406ffff,0xff2fffff,0xf500ffff,0x220bffff,
    0xffffffeb,0x4fffffff,0x3fffae20,0xffffffff,0x3ae204ff,0xffffffff,
    0x204fffff,0xfffffeb8,0xffffffff,0x13fffe04,0x0ffffff0,0x3fffffee,
    0xfeb8804f,0xffffffff,0xf984ffff,0xacffffff,0xffffffca,0x7fffc7ff,
    0xaacfffff,0xffffffec,0x7ffffc42,0xfff1000f,0xfda80fff,0xffffffff,
    0xffffffff,0xffffffff,0xff305fff,0x0000bfff,0x7ffff5c4,0xffffffff,
    0x7fffcc4f,0x3ffee04f,0xffff85ff,0x7ffffe42,0xffffffff,0x2fffffff,
    0xfffffff9,0xffffffff,0x325fffff,0xffffffff,0xffffffff,0xff92ffff,
    0xffffffff,0xffffffff,0xfffb05ff,0xffffffff,0xf05fffff,0x80bfffff,
    0xf4fffff9,0x500fffff,0x70bfffff,0xffffffff,0xffffffff,0x3fffee09,
    0xffffffff,0xf704ffff,0xffffffff,0x9fffffff,0x3ffffee0,0xffffffff,
    0xff104fff,0xfff805ff,0x3ff207ff,0x203fffff,0xfffffffb,0xffffffff,
    0xffffb04f,0xffffffff,0x8fffffff,0xffffffff,0xffffffff,0xff986fff,
    0x7c007fff,0xa80fffff,0xfffffffe,0xffffffff,0xffffffff,0x5fffffff,
    0x7fffff50,0x3fee0000,0xffffffff,0x44ffffff,0x02fffffb,0x07fffff4,
    0xf707fffa,0xffffffff,0xffffffff,0x3fee7fff,0xffffffff,0xffffffff,
    0xffff73ff,0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x3fffffff,
    0xfffffe88,0xffffffff,0xffffd03f,0xfff8809f,0xfffff5ff,0xfffa801f,
    0x7ffdc5ff,0xacefffff,0x84fffffa,0xfffffffb,0xfffaacef,0xfffb84ff,
    0xacefffff,0x84fffffa,0xfffffffb,0xfffaacef,0xfff504ff,0xffff801f,
    0x7ffe407f,0xfb80ffff,0xefffffff,0xfffffaac,0xfffff104,0x9fffffff,
    0xf8ffffff,0xffcfffff,0xffffffff,0xfff881ff,0x3e2007ff,0xfa87ffff,
    0xffffffff,0xfffffabd,0xffffffff,0x6fffffff,0x5fffff90,0xfff70000,
    0x59dfffff,0x89fffff5,0x807ffffe,0x41fffffd,0x7d41fffd,0xaaadffff,
    0xaaaaaaaa,0xfff51aaa,0x55555bff,0x55555555,0x3fffea35,0xaaaaaadf,
    0xaaaaaaaa,0xbfffff51,0x55555555,0x03555555,0x7fffffdc,0x03ffffff,
    0x17fffff2,0xbfffff10,0x03fffffe,0xbfffff50,0x7fffffdc,0x7ffcc0ad,
    0x7ffdc4ff,0x4c0adfff,0x5c4fffff,0xadffffff,0x7ffffcc0,0x7ffffdc4,
    0x7fcc0adf,0xff904fff,0xffff00df,0xfff700ff,0xffb89fff,0x40adffff,
    0x04fffff9,0x3fffffa2,0xfff3ffff,0xffff8fff,0xfffff57f,0x401bffff,
    0x00ffffff,0xdfffff30,0xffffff98,0x7ffc41cf,0xaaaaafff,0xaaaaaaaa,
    0xffffd02a,0xfb80001f,0x0adfffff,0x27ffffcc,0x0bfffff1,0x5fffff90,
    0x4c0fffc8,0x005fffff,0xfffff980,0xff980005,0x80005fff,0x05fffff9,
    0x3f660000,0xcfffffff,0x7fffdc00,0x7ffcc06f,0xfffff4ff,0xfffb801f,
    0x3fffa5ff,0x3fea03ff,0x7ff44fff,0x3ea03fff,0x7f44ffff,0x2a03ffff,
    0x744fffff,0x203fffff,0x04fffffa,0xf009fffd,0x200fffff,0x46fffffc,
    0x03fffffe,0x13ffffea,0x3fffff20,0x3fffe1df,0x7ffffc7f,0x3ffffa67,
    0xfff804ef,0xf5002fff,0xfc8bffff,0x300dffff,0x00ffffff,0xffff9800,
    0xfe80004f,0x2a03ffff,0x224fffff,0x806fffff,0x41fffffc,0xff887ffb,
    0x00806fff,0x37ffffc4,0x3fe20040,0x00806fff,0x37ffffc4,0x22000040,
    0x003effeb,0x3fffffe2,0x3fffea01,0xffffff2f,0xffffc803,0xfffff15f,
    0xffffa80d,0x3fffe24f,0x7ffd406f,0x3ffe24ff,0x7fd406ff,0x3fe24fff,
    0x7d406fff,0xf884ffff,0xff802fff,0xf1007fff,0x221fffff,0x406fffff,
    0x04fffffa,0x7c06aa20,0x7fc7ffff,0x55307fff,0x7ffe4001,0xffd006ff,
    0xffe87fff,0x3ea00fff,0x401fffff,0xffe88008,0x40000fff,0x06fffff8,
    0x27ffffd4,0x01fffffe,0x03fffffa,0x3ffffa00,0x3bfe202f,0x7fff42bd,
    0x3fe202ff,0x7ff42bde,0x3e202fff,0x7f42bdef,0x2202ffff,0x002bdeff,
    0x3ffffff6,0xfffd000e,0x7ff40bff,0xfffd1fff,0x7fcc05ff,0xff55ffff,
    0xfd80bfff,0x3ea4ffff,0x6c05ffff,0x2a4fffff,0x405fffff,0x24fffffd,
    0x05fffffa,0x27ffffec,0x007fffd4,0x03fffffc,0x1fffffd0,0x17ffffea,
    0x9fffffb0,0xfff80000,0x7fffc7ff,0x4c00007f,0x02ffffff,0x7fffffd4,
    0x3fffffc1,0x3fffff20,0x6ffec05f,0x3ffa20ac,0x80001fff,0x05fffffa,
    0x27ffffec,0x0ffffff6,0x7fffff98,0xffff5000,0x3ff601ff,0x7fd46fff,
    0xfb00ffff,0xfa8dffff,0xb00fffff,0xa8dfffff,0x00ffffff,0x0dfffffb,
    0x7fee6f40,0xff7006ff,0xf709ffff,0x7ecdffff,0x880effff,0x5ffffffe,
    0x1ffffff3,0x3ffffee0,0x3fffe64f,0xfff700ff,0x7fcc9fff,0xf700ffff,
    0x4c9fffff,0x00ffffff,0x9ffffff7,0x00dfff90,0x21fffffe,0x3ffe21d8,
    0x3ffe67ff,0xff700fff,0x0009ffff,0x7fffff80,0x03fffffc,0x7fffc000,
    0xff703fff,0xff09ffff,0x2605ffff,0xffffffff,0xfffff502,0x3fffa23f,
    0xeffedeff,0x136a20ac,0x1ffffff3,0x3ffffee0,0x7fffdc4f,0xffe881ff,
    0x7fec5fff,0xffe81fff,0x950bffff,0x05ffffff,0x7ffffffd,0x3ffff2a1,
    0xfffe82ff,0xf950bfff,0xd05fffff,0x17ffffff,0x3fffff2a,0x3e20002f,
    0xfd001fff,0x99dfffff,0x5ffffffd,0x7fffffdc,0xffec98be,0xf15fffff,
    0x43bfffff,0xffffffc9,0x3fffe24f,0x3f261dff,0x24ffffff,0xdffffff8,
    0x3ffff261,0x3fe24fff,0x261dffff,0xfffffffc,0x04fffe84,0x4ffffff0,
    0xebbfffc8,0x226fffff,0x1dffffff,0x3fffff26,0x400004ff,0x7c7fffff,
    0x0007ffff,0xfffffa80,0xfecaceff,0xb06fffff,0x45dfffff,0xfffffeb8,
    0xa89cffff,0x5ffffffc,0x3ffffff2,0xffffffff,0x0fffffff,0x3fffffe2,
    0x3fff261d,0x7c44ffff,0xadffffff,0xffffffba,0x7fffec1f,0xffffa81f,
    0xffffffff,0xf506ffff,0xffffffff,0xdfffffff,0x3ffffea0,0xffffffff,
    0xff506fff,0xffffffff,0x0dffffff,0x5fffb000,0x3fffe600,0xffffffff,
    0x7fcc5fff,0xffffffff,0xffffffff,0x3ffffa5f,0xffffefff,0x45ffffff,
    0xfffffffe,0xfffffffe,0x7ff45fff,0xffefffff,0xffffffff,0x7fffff45,
    0xfffffeff,0x445fffff,0xf002ffff,0x3a2fffff,0xffffffff,0x7f42ffff,
    0xfeffffff,0xffffffff,0x7c00005f,0x7fc7ffff,0x00007fff,0xffffff90,
    0xffffffff,0x3ee03fff,0xefffffff,0xffffffff,0xffffffff,0x1fffffff,
    0x3fffffe6,0xffffffff,0x4fffffff,0x7ffffff4,0xffffffef,0xf985ffff,
    0xffffffff,0x3fffffff,0x1fffffd8,0xffffff50,0xffffffff,0x7ffd401d,
    0xffffffff,0x2a00efff,0xffffffff,0x0effffff,0x3ffffea0,0xffffffff,
    0x220000ef,0x000ffffa,0x3fffffe6,0xefffffff,0xfffffa80,0x9effffff,
    0x265ffffe,0xffffffff,0xffeeffff,0x7ffcc7ff,0xffffffff,0x7ffffeef,
    0x7fffffcc,0xeeffffff,0x7cc7ffff,0xffffffff,0xfffeefff,0x7fffd47f,
    0xfffff000,0x7ffffccf,0x85ffffff,0xfffffff9,0xfeefffff,0x00007fff,
    0x23fffffc,0x007fffff,0x3fff6000,0xffffffff,0x7402ffff,0xffffffff,
    0xfbefffff,0xffffffff,0x82ffffff,0xfffffffd,0xffffffff,0x4c7fffff,
    0xffffffff,0xffeeffff,0xfff707ff,0xffffffff,0x3f60dfff,0x2201ffff,
    0xfffffffe,0x800effff,0xffffffe8,0x00efffff,0xfffffe88,0x0effffff,
    0xffffe880,0xefffffff,0x9ddd1000,0x09fffffd,0xffffd100,0x09ffffff,
    0xffffffb8,0xffd0efff,0xfffb8bff,0x4fffffff,0x85fffff7,0xfffffffb,
    0xfff74fff,0xfffb85ff,0x4fffffff,0x85fffff7,0xfffffffb,0xfff74fff,
    0x7ffe45ff,0x3fffe007,0x7fffd47f,0x00efffff,0xfffffff7,0x3fee9fff,
    0x00002fff,0xf1fffffe,0x000fffff,0xffffa800,0xffffffff,0xffe9800d,
    0xffffffff,0x3fff623f,0xffffffff,0xffff502f,0xffffdbbf,0xffffffff,
    0xffffb87f,0x74ffffff,0x205fffff,0xfffffffb,0x204fffff,0x01fffffd,
    0x7fffee44,0x4002dfff,0xfffffdc8,0x44002dff,0xffffffdc,0x644002df,
    0xfffffffd,0x7fcc002d,0x4fffffff,0x7ff64000,0x002effff,0xbfffffb7,
    0x5ffffe87,0xfffffd88,0x3ffe62ef,0xffd885ff,0x262effff,0x885fffff,
    0xeffffffd,0x3ffffe62,0xffffd885,0x3fe62eff,0x3ffa5fff,0x3ffe005f,
    0xfec987ff,0x8803ffff,0xeffffffd,0x3ffffe62,0x3fe00005,0x7ffc7fff,
    0x000007ff,0xffffeb88,0x8002dfff,0xfffffffb,0xffb500ce,0x17dfffff,
    0x880bfe80,0xfffffdba,0xd880beff,0x2effffff,0x17ffffe6,0xfffffc88,
    0x6c01dfff,0x001fffff,0x004d5d44,0x9aba8800,0x75100000,0x20000135,
    0x0009aba8,0xdffddb10,0x80000179,0x40001ab9,0x200001a9,0x0001ba98,
    0x006ea620,0x1ba98800,0x2a620000,0x3320001b,0x000001cc,0x4000d54c,
    0x0001ba98,0x33320000,0x666644cc,0x0000004c,0x0055d4c4,0x0aba9800,
    0x9aba8800,0x00026001,0x00135553,0x0006ea62,0x55d4c400,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x26000198,0x7cc4ffff,
    0x00004fff,0x8aaaaaa0,0x01aaaaa9,0x2f3bb2a2,0xaaaaa800,0x00000002,
    0x1dfffff7,0x554c0000,0xa8002aaa,0xabdeeedc,0x22000000,0xabceedba,
    0x00440000,0x7cc00266,0x1bfe205f,0xdfffd000,0x07ffff50,0x7776dcc0,
    0x0000abce,0x7bdb7310,0x55553015,0x55555555,0x05555555,0xfdb97100,
    0x001579bd,0x026ea200,0xfffe8000,0xfff002ff,0x2aaa007f,0xa8001aaa,
    0x400aaaaa,0x1ffffffa,0x7fffed40,0x000befff,0x447ffff2,0x0006ffff,
    0x7ffffc00,0x3fffff27,0x7fffe444,0x203fffff,0x06fffff8,0xff000000,
    0x0001ffff,0xfffffb80,0xfffb1006,0xffffffff,0x200001bf,0xfffffffc,
    0x000dffff,0x05f7fecc,0xf8013fee,0x9ff901ff,0x7ffc4000,0xffffc85f,
    0xffffb802,0xffffffff,0x3f20000d,0xffffffff,0x3ffff21e,0xffffffff,
    0x06ffffff,0x3ffffae0,0xffffffff,0xfd88000c,0x0cefffff,0x3ffee000,
    0xd800ffff,0xfd005fff,0x8007ffff,0x0ffffff8,0x7ffffec0,0x3fffaa01,
    0xffffffff,0x3ffa004f,0xffffe8ff,0x7c000001,0x3f27ffff,0x3a64ffff,
    0xffffffff,0xff106fff,0x0000dfff,0xffff7000,0x7000003f,0x00dfffff,
    0xfffffff5,0xffffffff,0x74c0005f,0xffffffff,0x03ffffff,0xffffff50,
    0x7fff79df,0x577fec00,0x05fff710,0x7fffcc00,0x0ffffe83,0x3ffffa60,
    0xffffffff,0x2000cfff,0xffffffe8,0x92ffffff,0xffffffff,0xffffffff,
    0xfd300dff,0xffffffff,0x9fffffff,0x7fffdc00,0x1fffffff,0xffff9800,
    0xb805ffff,0xfd007fff,0x8007ffff,0x0ffffff8,0x3ffffe60,0x3fffea02,
    0xffffffff,0xf3004fff,0xffffffff,0xf0000007,0x7e4fffff,0xff54ffff,
    0xffffffff,0xf10bffff,0x000dffff,0xfffd0000,0x2000003f,0x06fffffb,
    0x3fffff62,0xffffffff,0x00dfffff,0x7ffffdc0,0xffffffff,0x400effff,
    0xfffffffe,0x01ffffff,0x3ffffe20,0x005fffff,0x0ffffdc0,0x303ffffc,
    0xffffffff,0xffffffff,0x3ea00bff,0xffffffff,0xdcffffff,0xffffffff,
    0xffffffff,0x7fdc06ff,0xffffffff,0xffffffff,0xfffd805f,0xffffffff,
    0x3a2003ff,0xfffcefff,0x7ffcc02f,0xfffe800f,0x7c4003ff,0x200fffff,
    0x203ffffd,0xfffffff8,0xffffffff,0xff7003ff,0x00bfffff,0x3ffe0000,
    0x3fff27ff,0xffffccff,0xffffffff,0x7c43ffff,0x0006ffff,0x7ffd4000,
    0x2000002f,0x06fffffb,0xffffffd1,0xffffffff,0x3fffffff,0x3ffffa00,
    0xffffffff,0x6fffffff,0x6de7ffc0,0x5fffffff,0xffffa800,0x000effff,
    0x07fffec0,0x817fffe6,0xfffffffe,0xffffffff,0x4403ffff,0xffffffff,
    0xffffffff,0xffffffff,0xffffffff,0x3206ffff,0xffffffff,0xffffffff,
    0x204fffff,0xfffffffb,0xffffffff,0xffff9003,0x03ffffa3,0x005ffff0,
    0x07fffffd,0xfffff880,0xffff100f,0xffffc807,0xeb9899cf,0x006fffff,
    0x3ffffff6,0xf0000000,0x7e4fffff,0xffffffff,0xfffddeff,0x46ffffff,
    0x06fffff8,0x7f400000,0x000003ff,0x37ffffdc,0xffffffc8,0xfdccefff,
    0xffffffff,0xffffb806,0xccdeffff,0xfffffffe,0x0bff104f,0x005dff93,
    0x7fffec40,0xfd00003f,0xfff50dff,0x3ffe607f,0xaabdffff,0xffffffcb,
    0x3ff201ff,0xceffffff,0xffffffdc,0xffffffff,0xffffffff,0xfff506ff,
    0xbdffffff,0xfffffb99,0xf107ffff,0x79dfffff,0xfffffffd,0xffffa801,
    0x1bfffe23,0x009fffb0,0x07fffffd,0xfffff880,0x9fff900f,0xbffffd00,
    0x7ffffc40,0x5551001f,0x00000355,0x3fffffc0,0xfffffff9,0xfd3019ff,
    0x45ffffff,0x06fffff8,0x55400000,0x8000002a,0x86fffffb,0xfffffffa,
    0x3ff6201e,0x203fffff,0xfffffff8,0xfffb300d,0x2603ffff,0x00000009,
    0x000004c4,0x90bffff1,0x3205ffff,0x00dfffff,0x3fffff62,0xffff103f,
    0x7e409fff,0x6fffffff,0x3fe20000,0x03ffffff,0x7fffffdc,0xffffd86f,
    0xffffa85f,0x555405ff,0xaaaa982a,0x1bffee00,0x3fffffa0,0x7ffc4003,
    0x55500fff,0x3fffe005,0x55ed405f,0x00000000,0xffff8000,0x3ffff27f,
    0x4402ffff,0x5ffffffe,0x1bffffe2,0x00000000,0xff700000,0xff88dfff,
    0x00dfffff,0xffffff70,0x3fff201f,0xfb003fff,0x009fffff,0x00000000,
    0xfff30000,0xffffb07f,0x3ffffa01,0xffe8801f,0xff905fff,0x5005ffff,
    0xdfffffff,0x7ff40000,0x000effff,0xfffffff1,0xffffff85,0xfffff700,
    0x0000001f,0x00ffff98,0x1ffffff4,0x3fffe200,0x200000ff,0xadffffff,
    0x22000000,0x88000019,0x3ffffe01,0x3fffff27,0xff3003ff,0x7c4dffff,
    0x0606ffff,0x06620000,0x7dc00000,0x7e46ffff,0x005fffff,0xffffffa8,
    0xfffff985,0x7ff4003f,0x00007fff,0x04c40000,0x66665400,0xcdffffdc,
    0xfffffccc,0x3ffe23cc,0x3ee006ff,0xf887ffff,0x004fffff,0x3ffffff2,
    0xff300006,0x000dffff,0xbffffff3,0x27ffffc4,0x3fffffe0,0x00cc4002,
    0x05ffff00,0x3fffffe8,0x7fffc400,0x008000ff,0xfffffffb,0x800037df,
    0xffffffda,0xa8000bef,0x0cdfffed,0xc9fffffe,0x05ffffff,0x7ffffec0,
    0xfffff10f,0x7fff644d,0xda8002ce,0xefffffff,0xb800000b,0x7c6fffff,
    0x00ffffff,0xfffffd00,0xffffe83f,0x7dc000ff,0xdb0bdfff,0xd300dddd,
    0x3009dddd,0xbdfffff9,0xfff90037,0xffffffff,0xffffffff,0x7fc4dfff,
    0x3002ffff,0x8199bddd,0x1ffffffc,0x3fffe200,0x900006ff,0x03ffffff,
    0x37fff600,0x3fffea2c,0x7ffe403f,0x7ed404ff,0xbeffffff,0x9fffd000,
    0xfffffe80,0x7ffc4003,0xddd10fff,0x3ff225dd,0xfff70bdf,0xffffffff,
    0x2a0015bf,0xfffffffe,0x004fffff,0xffffffb1,0x3ffe3fff,0x3fff27ff,
    0x64000fff,0x11ffffff,0x2adfffff,0xffffffff,0xffd5004f,0xffffffff,
    0x800009ff,0x26fffffb,0x4ffffff9,0x3ffea000,0x7ffc3fff,0x88003fff,
    0xffff00ac,0xfff300ff,0x7ec40bff,0xffffffff,0x7fe403ff,0xffffffff,
    0xffffffff,0x7fc6ffff,0x001effff,0x7fffec00,0xffd8005f,0x00006fff,
    0x0bffffff,0x70054400,0x805fffff,0x06fffffb,0xffffffd5,0x09ffffff,
    0x80dfff90,0x03fffffe,0x7ffffc40,0xfffff10f,0xfffffd17,0x7fffe45f,
    0xffffffff,0x3ea00cff,0xffffffff,0x04ffffff,0x7fffff4c,0xfbffffff,
    0x3f27ffff,0x8006ffff,0x2ffffffa,0x7ffffff1,0xffffffff,0x5401dfff,
    0xffffffff,0x4fffffff,0x3fee0000,0x3ff26fff,0x0000ffff,0x27fffff4,
    0x1ffffff1,0x3fe00000,0xf9807fff,0xf505ffff,0xffffffff,0x03dfffff,
    0x3ffffff2,0xffffffff,0xffffffff,0x7ffffec6,0x0000beff,0x3fffffe8,
    0xffffb800,0xfa80006f,0x001fffff,0x7ffdc000,0x7fd402ff,0xffa87fff,
    0xffffffff,0x404fffff,0x200ffffa,0x03fffffe,0x7ffffc40,0xfffff10f,
    0xffffffb7,0xffffd81f,0xffffffff,0xff882fff,0xffffffff,0x3fffffff,
    0x3fffffa0,0xffffffff,0x327fffff,0x005fffff,0xffffff98,0xffffff13,
    0xffffffff,0x20bfffff,0xfffffff8,0xffffffff,0x700003ff,0x6cdfffff,
    0x006fffff,0xfffffc80,0x3ffffea5,0x3e000007,0x9807ffff,0xa85fffff,
    0xffffffff,0xffffffff,0xffffc81f,0xffffffff,0xffffffff,0x7ffd46ff,
    0xefffffff,0xff8000ac,0x8002ffff,0x9efffffa,0x99999999,0x7fdc0999,
    0x0000ffff,0x7fffd400,0x7ffdc03f,0x3fe20fff,0xffffffff,0x3fffffff,
    0x0bfffe20,0x3fffffe8,0x7fffc400,0xffff10ff,0xffffffdf,0x3ff260bf,
    0xffffffff,0x7e41ffff,0x899cffff,0xfffffeb9,0xfffff706,0xffb779ff,
    0x4fffffff,0x05fffffc,0xfffff880,0xfffff13f,0xb779ffff,0x5fffffff,
    0x9fffff90,0xffd73133,0x0000dfff,0x9bffffee,0x05fffffe,0xffffb800,
    0x3fffee6f,0x2000006f,0x807fffff,0x45fffff9,0xfffffff8,0xffffedef,
    0x99886fff,0xaffffc99,0xffff9999,0xfc80999e,0xffffffff,0x00bdffff,
    0xffffff88,0xfff98001,0xffffffff,0x5fffffff,0x3fffffe4,0x7cc00000,
    0x6404ffff,0x21ffffff,0x9cfffffc,0xfffeb989,0x7ff406ff,0x3fffa04f,
    0x7c4003ff,0xf10fffff,0xffffffff,0x8805ffff,0xffffffda,0x746fffff,
    0x2205ffff,0x81ffffff,0x1effffff,0xfffffe98,0x3ffff27f,0xfff0004f,
    0x3fe27fff,0x80efffff,0x6ffffff9,0x05ffffe8,0x3fffffe2,0xffb80001,
    0x3ffe6fff,0x80004fff,0x27fffffa,0x06fffffc,0x3ffe0000,0xff9807ff,
    0x7fec5fff,0x440dffff,0x3ffffffd,0x0ffffd80,0x02ffffc4,0xffffffe8,
    0xffffffff,0x3fe601df,0x8001ffff,0xfffffff9,0xffffffff,0x7fec5fff,
    0x00006fff,0xfffff880,0x7ffffc07,0x3fffa1ff,0x3ffe205f,0x3f201fff,
    0x3ffa06ff,0x44003fff,0x10ffffff,0xffffffff,0x000fb539,0xfffffb71,
    0xffff8fff,0x55ed405f,0xfffff700,0x7ffcc01f,0x3ff27fff,0xf0004fff,
    0x229fffff,0x0fffffff,0x3ffffe60,0x7ffffc2f,0x055ed405,0xfff70000,
    0x7fffcdff,0x980003ff,0xb1ffffff,0x00bfffff,0x7fffc000,0xfff9807f,
    0x3ffe25ff,0x7e404fff,0x400fffff,0xfa86ffff,0xb1003fff,0xffffffff,
    0xffffffff,0x3fffea03,0xf88000ff,0xffffffff,0xffffffff,0x7ffff45f,
    0xeee8805f,0xeeeeeeee,0x3fff62ee,0xfff903ff,0x7fc3ffff,0x6d405fff,
    0xffa800ab,0x3fffa07f,0x7c4003ff,0xf10fffff,0x05ffffff,0x2200a980,
    0x0ffffffb,0x37fffffe,0x3f20000a,0xd804ffff,0x327fffff,0x004fffff,
    0x9ffffff0,0x3fffffe2,0xffffe804,0x7ffffc4f,0x00000adf,0x7fffdc00,
    0x3ffffe6f,0xf980003f,0xfd2fffff,0x0009ffff,0x7ffffc00,0xffff9807,
    0x3fffee5f,0xffff006f,0x7fc407ff,0xfffc85ff,0x7f4c001f,0xffffffff,
    0x82ffffff,0x0ffffffa,0xffff8800,0xffffffff,0x45ffffff,0x05fffffe,
    0xffffff98,0x3fffffff,0x3fffffe6,0xffffb31c,0x7fc5ffff,0x00adffff,
    0xffff1000,0x3ffffa03,0x7fc4003f,0xff10ffff,0x700dffff,0x009fffdb,
    0x41fffffd,0xfffffffd,0x6c001bef,0x801fffff,0x27fffffa,0x04fffffc,
    0xffffff00,0x3ffffe29,0xfffa800f,0x7ffec5ff,0x1befffff,0xfb800000,
    0x3fe6ffff,0x0004ffff,0xffffffa8,0xbfffffb0,0x7fc00000,0xf9807fff,
    0x3fa5ffff,0x7002ffff,0x40bfffff,0xd83ffffa,0x0000ffff,0xfffffd73,
    0xffffffff,0xfffff987,0xff88001f,0xffffffff,0xffffffff,0x7ffffec5,
    0xffff9806,0xffffffff,0x7fffe43f,0xffffffff,0x21ffffff,0xfffffffd,
    0x40001bef,0xfd03fffe,0x8007ffff,0x0ffffff8,0x5ffffff1,0xfffff700,
    0x7ffc401f,0x7ffdc6ff,0xffffffff,0x7fc00adf,0x9800ffff,0x327fffff,
    0x004fffff,0x9ffffff0,0x1fffffe2,0x7ffffcc0,0x7ffffdc6,0xdfffffff,
    0xb800000a,0x366fffff,0x005fffff,0xfffffb80,0x3fffff27,0x3e000006,
    0x9807ffff,0x3e5fffff,0x001fffff,0x0dfffff3,0x40ffffdc,0x0006ffff,
    0xffffb710,0x1fffffff,0x7fffffc4,0xfff98002,0x99999eff,0x09999999,
    0x3fffffe4,0x7ffffcc0,0xffffffff,0xfffffe83,0xffffffff,0x3ee1ffff,
    0xffffffff,0x000adfff,0xe82fffe4,0x003fffff,0x7fffffc4,0xffffff10,
    0xffff1003,0xe9837dff,0xc84fffff,0xffffffff,0x0cffffff,0x0ffffff0,
    0x3ffffe20,0x3fffff27,0xffff0004,0x3ffe27ff,0xff3007ff,0xff90ffff,
    0xffffffff,0x0019ffff,0x7fffdc00,0x3ffff26f,0xfc80006f,0x3ee6ffff,
    0x0007ffff,0x3ffffe00,0xffffa807,0xfffff15f,0x3fe2001f,0x332a7fff,
    0xccffffec,0xeffffccc,0x0003cccc,0xfffffb98,0x7ffc3fff,0xa8002fff,
    0x006fffff,0xfffffc80,0xffff9807,0xffffffff,0xffff903f,0xff3fffff,
    0xfc83ffff,0xffffffff,0x00cfffff,0x20ffff50,0x03fffffd,0x7ffffc40,
    0xfffff10f,0x3fee001f,0xefffffff,0xffffffff,0xfffffb00,0xffffffff,
    0xfff885ff,0x3fe007ff,0x3ff27fff,0xf0004fff,0x227fffff,0x006fffff,
    0x0ffffff1,0x3ffffff6,0xffffffff,0xf700002f,0x7dcdffff,0x0007ffff,
    0x5fffffd8,0x1fffffea,0x3e00a800,0xa807ffff,0xf35fffff,0x800fffff,
    0x90ffffff,0xffffffff,0xffffffff,0x0dffffff,0x7fe44000,0x7f46ffff,
    0x8003ffff,0x06fffffb,0xffffa800,0x554401ff,0xfffaaaaa,0x36a03fff,
    0x88dfffff,0x80ffffff,0xfffffffd,0xffffffff,0xffff8802,0xfffffd81,
    0x7ffcc003,0xfff10fff,0xfc800fff,0xffffffff,0x1fffffff,0x7fffe4c0,
    0xffffffff,0x7fffc1ff,0xfff1007f,0x7ffe4fff,0xf88004ff,0xf13fffff,
    0x200fffff,0x07fffff8,0x3fffff26,0xffffffff,0x0066201f,0x4bfffff7,
    0x2ffffffa,0x3ffe2000,0x3fe24fff,0x8001ffff,0x7c1beff8,0x400fffff,
    0x15fffffa,0x00ffffff,0x3fffffc4,0xfffffff9,0xffffffff,0xdfffffff,
    0x1772eaa2,0x3ffff600,0x7fffec7f,0xffd8005f,0x80006fff,0x4ffffff8,
    0x7fffc000,0x153003ff,0x7fffff98,0x3ffff260,0xffffffff,0xfff801ff,
    0xffffd83f,0x7fcc004f,0xff10ffff,0x7000ffff,0xffffffff,0x05dfffff,
    0x7ffed440,0xffffffff,0x7fffffc6,0xffff9800,0x3ffff27f,0xff88004f,
    0xff12ffff,0x2600ffff,0x806fffff,0xfffffda8,0x26ffffff,0x06fffee8,
    0x2fffffe4,0xdffffff1,0x7ffe4000,0x7ffc2fff,0xa8005fff,0xf1efffff,
    0x801fffff,0x25fffffa,0x00ffffff,0xdfffff30,0x7fffffe4,0xffffffff,
    0xffffffff,0xffffff36,0xfffa8001,0x7ffe47ff,0x22000fff,0x06ffffff,
    0xffffb000,0x7c0001ff,0x003fffff,0x7ffffd40,0xffda8805,0xffffffff,
    0xfffd806f,0xfffffc85,0x7ffd4005,0x3ffe27ff,0x710007ff,0xfffffffd,
    0x100005df,0xffffffb7,0xffffd8ff,0xfffa801f,0x3fff27ff,0xfa8004ff,
    0xf11fffff,0x003fffff,0x0bfffff5,0xfffb7100,0x7c4fffff,0x6407ffff,
    0x745fffff,0x02ffffff,0xfffff880,0x7ffec0ff,0x74001fff,0x3e7fffff,
    0x400fffff,0x25fffffb,0x02ffffff,0xbfffff50,0x7fffffe4,0xffffffff,
    0xffffffff,0x3fffffe6,0x7ffd4003,0x7ffdc7ff,0x2a004fff,0x06ffffff,
    0xffff5000,0x7c0009ff,0x003fffff,0x7ffffe40,0xfdb88004,0x07ffffff,
    0xb87fffb8,0x00ffffff,0x3fffff20,0x3ffffe26,0xda880007,0x8002dffe,
    0x3ee200a9,0x320fffff,0x804fffff,0x27fffffd,0x04fffffc,0xfffffc80,
    0xfffff10f,0xfffb009f,0x054c09ff,0xfffff710,0x7ffffc1f,0x3fffa00f,
    0x7ffcc4ff,0x2001ffff,0xffffffd8,0xfffff883,0x3ff2005f,0x3fe3ffff,
    0x6401ffff,0x325fffff,0x006fffff,0x47fffffd,0xffffe998,0xfffa9999,
    0x099999df,0x3ffffff6,0x3fff6000,0xffff86ff,0xfd1007ff,0x00dfffff,
    0x3fffe200,0x98002fff,0x23ffffff,0x405eccaa,0x01ffffff,0xfb8802a6,
    0x400fffff,0x541ffff9,0x05ffffff,0xffffff10,0x7ffffc4b,0xffb00007,
    0x401dffff,0x04fffedb,0x0fffffe8,0x3fffffee,0x3fffe600,0x3fff27ff,
    0xfe8004ff,0x3e26ffff,0x01ffffff,0x3fffffe6,0x3fffb6e2,0xffffe804,
    0x3ffff60f,0xffff304f,0xfff905ff,0x3007ffff,0xdffffffd,0x7ffffdc0,
    0x7fd400ef,0x3a0fffff,0x202fffff,0x5ffffff9,0x3fffffe6,0x7fffd402,
    0xffff01ff,0x7ffff50d,0xfffff500,0x3fee00bf,0xfb85ffff,0x00efffff,
    0x3fffffa2,0x200006ff,0xfffffffa,0xfffb1004,0x7ec7ffff,0xf502ffff,
    0xdb8fffff,0xe804fffe,0x800fffff,0x7c43ffff,0x02ffffff,0xffffffd8,
    0x3ffffe23,0x9bd00006,0x40dffffb,0x0ffffffb,0x3ffffe20,0x7ffffc46,
    0xffe880ef,0x3f27ffff,0x2e04ffff,0x3ffff20a,0x3ffe25ff,0x881fffff,
    0x46fffffe,0x0ffffffb,0x3ffffe20,0x7ffffe46,0x3ffa60cf,0xf880ffff,
    0xdfffffff,0x3ff2a21a,0x01ffffff,0x7ffffff4,0x3f6621bf,0x45ffffff,
    0x0efffffd,0xfffffe88,0x7ffffc5f,0xfff703ff,0x3e209fff,0xffc84fff,
    0xff8801ff,0x0affffff,0xfffffd98,0xfffd01ff,0x1157ffff,0xfffffd95,
    0x5555dfff,0x55555555,0xfffb0355,0x137dffff,0x7fffe5cc,0x2e3fffff,
    0x40efffff,0x3ffffff9,0x7fffffdc,0x3fffe200,0xfffb006f,0xfffff90b,
    0xfb5039ff,0x88ffffff,0x006fffff,0xffff1000,0x3fffe203,0x74c1beff,
    0xb84fffff,0xcfffffff,0xfffffcaa,0x3ff27fff,0xff104fff,0xffffffdf,
    0x7ffc43ff,0xacffffff,0xffffffba,0x7fffc42f,0x74c1beff,0x444fffff,
    0xffffffff,0xffffffff,0x3ffee04f,0xffffffff,0xffffffff,0xfa805fff,
    0xffffffff,0xffffffff,0x7dc0efff,0x8befffff,0xfffffec9,0x7ffd45ff,
    0xcaceffff,0x6ffffffe,0x0ffffea0,0x801ffff6,0xfffffffa,0xfffeefff,
    0x06ffffff,0x3fffffea,0xffffffff,0xffffffff,0xffffffff,0x3fffffff,
    0xffffff88,0xffffffff,0xffffffff,0x3fe22fff,0xdbdfffff,0x86ffffff,
    0xeffffff8,0x7fff4c1b,0xff7004ff,0xffff10ff,0xffffffff,0xffffffff,
    0xffff887f,0x2000006f,0x2e02fffd,0xffffffff,0xffffffef,0xfffd00ff,
    0xffffffff,0xffffffff,0x27ffffe4,0xffffffc8,0x446fffff,0xffffffff,
    0xffffffff,0xff705fff,0xdfffffff,0xffffffff,0xfffff901,0xffffffff,
    0xfc801fff,0xffffffff,0xffffffff,0x7000dfff,0xffffffff,0xffffffff,
    0xff301fff,0xffffffff,0xffffffff,0xffff90bf,0xffffffff,0x403fffff,
    0xf81ffffc,0x64006fff,0xffffffff,0xffffffff,0x7400ffff,0xffffffff,
    0xffffffff,0xfffffffe,0xffffffff,0xd303ffff,0xffffffff,0xffffffff,
    0x05ffffff,0xfffffffb,0xffffffff,0x3fffee05,0xffefffff,0x00ffffff,
    0x01ffff30,0xfffffff9,0xffffffff,0xf10fffff,0x000dffff,0xffff5100,
    0xffffc801,0xffffffff,0x2601ffff,0xffffffff,0xffcbffff,0x3fff27ff,
    0xffff04ff,0xffffffff,0xfffff883,0xffffffcb,0x01efffff,0x3ffffff2,
    0xffffffff,0xfff101ff,0xffffffff,0x2003ffff,0xffffffe9,0xffffffff,
    0x98002fff,0xfffffffe,0xffffffff,0x3ffea01f,0xffffffff,0x5ffffe9e,
    0xffffffb0,0xffffffff,0xfffd805f,0x7fffc40f,0xfffd8004,0xffffffff,
    0x1fffffff,0xffffd880,0xffffffff,0xffffc8ef,0xffffffff,0x3fffffff,
    0x3ffff620,0xffffffff,0xdfffffff,0xffffd100,0xffffffff,0xfffc803f,
    0xffffffff,0x001fffff,0xb817fffc,0xffffffff,0xffffffff,0xfff881ef,
    0x220006ff,0xfffeceee,0xff7004ff,0xffffffff,0x1005dfff,0xfffffffd,
    0x3fff25ff,0x3ffff27f,0xffffa84f,0x2fffffff,0x3fffff88,0xfffffff7,
    0xf7001bff,0xffffffff,0x805dffff,0xffffffd8,0x01ffffff,0xfffffc80,
    0xffffffff,0x640000df,0xffffffff,0x00cfffff,0xffffffb8,0xffd0efff,
    0x7fd40bff,0xffffffff,0xff800dff,0xfffa86ff,0xfd50003f,0xffffffff,
    0x01bfffff,0xfffffb80,0x0effffff,0xfffffff9,0xffffffff,0x7007ffff,
    0xfffffffd,0xffffffff,0xffd3003b,0xffffffff,0x3fee001b,0xffffffff,
    0x8002efff,0x2604fffd,0xfffffffe,0x4fffffff,0x3ffffe20,0x3fe60006,
    0x4fffffff,0x7ff5c400,0x2effffff,0xfffec800,0x3ff21dff,0x3fff27ff,
    0xfeb884ff,0x0dffffff,0x7fffff10,0x7ffffed4,0x75c4003e,0xffffffff,
    0x7f54002e,0xbeffffff,0x37260000,0xffffffff,0x200002ce,0xfffffeca,
    0x4000cfff,0xdfffffdb,0x2fffff43,0x3fffae20,0x002dffff,0x709ffff1,
    0x0003ffff,0xfffffeb8,0x02dfffff,0x3ffb6600,0x20ceffff,0xfffffffc,
    0xffffffff,0x2003ffff,0xffffffc9,0x00adffff,0xfffffb80,0x88003eff,
    0xffffffeb,0x20002eff,0x4406fffb,0xffffffec,0x401dffff,0x06fffff8,
    0x3fbb6200,0x0000bcef,0x0d55d4c4,0x1aa88000,0x4c000000,0x000aacaa,
    0x00554c00,0x55d4c400,0x9880001a,0x00019aba,0x15753100,0x4c000000,
    0x00009aba,0x00003530,0x055d4c40,0x66664c00,0x04ccca82,0x654cc000,
    0x00001aab,0x00037530,0x10000000,0x03357753,0x55d4c000,0x26200001,
    0x0001aaba,0x00999930,0x55dd5544,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x217fffdc,0x002ffffb,0x2aaaa200,0xaaaaaaaa,
    0xaaaaaaaa,0xaaaaaaaa,0x2aaaa600,0xaaaaaaaa,0x5553000a,0x55555555,
    0xffb80155,0x7ffdc2ff,0x9999882f,0x99998009,0x3ffe2019,0x7fffc45f,
    0x55553006,0x55555555,0x2aaaaa05,0x5555530a,0x7fffff40,0x200c4001,
    0xaaa80099,0xaaaaaaaa,0x00019aaa,0xaaaaaaa8,0x9aaaaaaa,0xeeeb8001,
    0xeee801ee,0x2aa606ee,0xaaaaaaaa,0x7ff702aa,0x8027fd40,0x44000019,
    0x01fffffe,0xaaaaa800,0xaaaaaaaa,0xaaaaaaaa,0x2aa62aaa,0x00000aaa,
    0x3fffee00,0x7ff400ef,0xffff30ff,0xfc800009,0xffffffff,0xffffffff,
    0xffffffff,0x3ee00fff,0xffffffff,0x7001ffff,0xffffffff,0x003fffff,
    0x261ffffb,0xf905ffff,0xf00bffff,0xa80fffff,0x3f63ffff,0xfb000fff,
    0xffffffff,0xfd01ffff,0x3f23ffff,0xff905fff,0x001dffff,0x839fff91,
    0xfe805ff9,0xffffffff,0xefffffff,0xfffd0003,0xffffffff,0x07dfffff,
    0x3fffff20,0xfffff802,0x3ffff607,0xffffffff,0x40dff307,0x64402ffe,
    0x6c00003f,0x06ffffff,0xfffff800,0xffffffff,0xffffffff,0x3ff66fff,
    0x00001fff,0x3ffffe00,0xfff8800f,0x6ffff8df,0x7fc40000,0xffffffff,
    0xffffffff,0xffffffff,0x3ee00fff,0xffffffff,0x7001ffff,0xffffffff,
    0x003fffff,0xf1dffff1,0x3201ffff,0x805fffff,0x807fffff,0xfc9ffffc,
    0x36003fff,0xffffffff,0xe80fffff,0xf91fffff,0xff50bfff,0x09ffffff,
    0xffffff88,0x5ffebcff,0xfffffe80,0xffffffff,0x03ffffff,0x7fffff40,
    0xffffffff,0x03ffffff,0x17ffffe4,0x3fffffc0,0xffffffb0,0x0fffffff,
    0x930e7ffc,0x7dc01fff,0x200003ff,0xfffffffa,0x7fc0004f,0xffffffff,
    0xffffffff,0x26ffffff,0x01fffffd,0xff700000,0x54003fff,0xffffffff,
    0x5c00001f,0xffffffff,0xffffffff,0xffffffff,0x200fffff,0xfffffffb,
    0x01ffffff,0xffffff70,0x3fffffff,0x3fffea00,0x201fffff,0x05fffffc,
    0x07fffff8,0xffffffd0,0xfd800bff,0xffffffff,0xfe80ffff,0xff91ffff,
    0xfff88bff,0x2ffffdef,0x3fffff20,0xffffffff,0xffffe803,0xffffffff,
    0xffffffff,0x3fffa005,0xffffffff,0xffffffff,0x3fff205f,0xfff802ff,
    0x3ff607ff,0xffffffff,0x3fea07ff,0xffffffff,0xffffd303,0x3e200007,
    0xfffddfff,0x3fe0001f,0xffffffff,0xffffffff,0x26ffffff,0x01fffffd,
    0xffd00000,0xfb0003ff,0x07ffffff,0xffff0000,0xffffffff,0xffffffff,
    0xffffffff,0x665401ff,0xcccccccc,0x95000ccc,0x99999999,0x40019999,
    0xfffffffc,0x7fffe404,0xffff805f,0xfff3007f,0x001fffff,0xcccccca8,
    0x04cccccc,0x23fffffd,0x6c5ffffc,0xffd0ffff,0x3ffa01ff,0xffffecad,
    0xffd006ff,0xffffffff,0xffffffff,0x3a00bfff,0xffffffff,0xffffffff,
    0x905fffff,0x005fffff,0x40ffffff,0xcccccccb,0x404ccccc,0xfffffffc,
    0x3fff205f,0xb00003ff,0xfd11ffff,0x20001dff,0xffffffff,0xffffffff,
    0xffffffff,0x3fffff66,0xa8000001,0x0002ffff,0xdffffff1,0xff700000,
    0xfb55dfff,0xffffffff,0xffffffff,0x0001ffff,0x00000000,0xffffd000,
    0xfff900df,0xfff00bff,0x7dc00fff,0x002fffff,0x7f400000,0xff91ffff,
    0x7ffdc9ff,0x3fffe22f,0x930fff05,0x74007dfd,0xffffffff,0xffffffff,
    0x01ffffff,0xffffffe8,0xffffffff,0xffffffff,0xfffffc81,0xfffff802,
    0x80000007,0x2effffea,0x7ffffe40,0xffb80003,0x3ffe62ff,0xfff0005f,
    0xffffffff,0xffffffff,0x6cdfffff,0x001fffff,0xfffe8000,0x554c0002,
    0x00000aaa,0x2fffffe8,0x13fffff2,0x00000000,0x00000000,0x2aaaaa20,
    0xffffc800,0xfeee805f,0x5554006f,0x000002aa,0xffffe800,0x527fc41f,
    0x55305555,0x01330155,0xfffd0000,0x64c407ff,0x6fffffff,0xfffffe80,
    0x3ff26203,0xc86fffff,0x802fffff,0x007fffff,0x0cc00000,0xfffff900,
    0x55500007,0x55553055,0x36000001,0x004fffff,0x07ffe65c,0x55400000,
    0x0000001a,0x3fea0000,0x7fe46fff,0x00004fff,0x00098800,0x00000000,
    0xfffc8000,0x3e6005ff,0x0000005f,0x04ccc400,0xfffffe80,0x001ffdc1,
    0x00000000,0x1ffffff4,0xffffd980,0x7ff403ff,0xb3003fff,0x87ffffff,
    0x02fffffc,0x07fffff8,0x00000980,0xffff9000,0x0000007f,0xb0000000,
    0x009fffff,0x001ffe20,0x00000000,0xd0000000,0xc87fffff,0x004fffff,
    0xffc98000,0x01bdefff,0x06eeeed8,0x4eeeee98,0x90031000,0x00bfffff,
    0x00027fe4,0x3b220000,0xdfffffff,0x3ffffa03,0x00ffec1f,0x31000000,
    0xffffd000,0xfff8007f,0x3a00ffff,0x003fffff,0x7ffffffc,0x3fffff20,
    0xfffff802,0xffec9807,0x0001cdff,0x3fbba600,0xeeeeffff,0x00000003,
    0xffd80000,0x50004fff,0x44000dff,0x36000001,0x9806eeee,0x004eeeee,
    0x7fffffd4,0x7ffffe40,0x22000004,0xfffffffd,0x7c03ffff,0x9807ffff,
    0xdb5fffff,0xeca89ddd,0xc80cefff,0x005fffff,0x3aa0bffa,0xeeeeeeee,
    0xeeeeeeee,0x3fff601e,0xffffffff,0xfffe80ef,0x7ffd31ff,0xeeeeed80,
    0x9ddddb00,0xefffeca8,0xfffe800c,0x7dc003ff,0x203fffff,0x03fffffe,
    0x7ffffdc0,0x3ffff23f,0xffff802f,0x7ffe407f,0x4fffffff,0x3bbbb600,
    0xffffa80e,0xffffffff,0x3bbbbb24,0x77776c00,0x7776c00e,0xffd8005e,
    0xb0004fff,0x7776c7ff,0x7ff6544e,0xddb00cef,0x7fc01ddd,0xf9807fff,
    0x4005ffff,0x84fffffd,0x04fffffc,0xfff50000,0xffffffff,0x3e03dfff,
    0x9807ffff,0xfd5fffff,0x3f62bfff,0xffffffff,0x7ffffe41,0x5ffe9805,
    0xffffff70,0xffffffff,0x3605ffff,0xffffffff,0x0effffff,0x8ffffff4,
    0xfe806ffe,0xfd00ffff,0x3f62bfff,0xffffffff,0x7ffff401,0xffe8003f,
    0x3fa05fff,0x8003ffff,0x25fffffe,0x02fffffc,0x07fffff8,0xffffffd1,
    0x1dffffff,0xfffffd00,0xfffff501,0x9fffffff,0x17ffffd4,0xffffff10,
    0x7fffcc05,0xffd8005f,0x54004fff,0x7ff46ffe,0xfffb15ff,0x05ffffff,
    0x01fffffd,0x03fffffc,0x2fffffcc,0xfffff300,0xffff901f,0x5000009f,
    0xffffffff,0xffffffff,0xfffff03f,0xffff300f,0x3ffffabf,0xfffffe8d,
    0x22ffffff,0x05fffffc,0x807fffd4,0xfffffffb,0xffffffff,0xffc82fff,
    0xffffffff,0x46ffffff,0x51fffffe,0x3ffa007f,0xffd00fff,0xfffd1bff,
    0xffffffff,0x7ffff405,0xffb8003f,0x3fa07fff,0x8003ffff,0x27fffffb,
    0x02fffffc,0x07fffff8,0xfffffffd,0xffffffff,0xffffe801,0xffffa80f,
    0xffffffff,0x3ffffe24,0x3fffea04,0x3fee04ff,0xd8002fff,0x004fffff,
    0xd07fffe2,0xfd1bffff,0xffffffff,0xfffe85ff,0x3ffe00ff,0xff9807ff,
    0x36005fff,0x905fffff,0x33bfffff,0x33333333,0x3e203333,0xefffffff,
    0xffffffed,0xfffff86f,0xffff9807,0xdffffd5f,0xffffffff,0x64dfffff,
    0x805fffff,0x3ee01eff,0xffffffff,0xffffffff,0x7fffc42f,0xfcaaceff,
    0x21ffffff,0x21fffffe,0x3fffa000,0xfffd00ff,0xffffffdf,0xdfffffff,
    0x7fffff40,0xfffa8003,0xffd01fff,0x50007fff,0x23ffffff,0x03fffffc,
    0x3fffffc4,0x7fffffdc,0xffffcabd,0x7ff403ff,0xffa80fff,0xffffffff,
    0x7ffec4ff,0x3fff207f,0x3f606fff,0x8000ffff,0x04fffffd,0x7406fe40,
    0xfffeffff,0xffffffff,0x7fff46ff,0x3ffe00ff,0xff9807ff,0xf1005fff,
    0x203fffff,0xfffffffc,0xffffffff,0xfb07ffff,0x81bfffff,0xffffffd8,
    0x3fffffc3,0x7ffffcc0,0xffffffd5,0xffb77dff,0x325fffff,0x805fffff,
    0xfffb802b,0xffffffff,0x1fffffff,0x2fffffdc,0x5ffffff0,0x0ffffff4,
    0xffffe800,0xffffd00f,0xb77dffff,0x5fffffff,0x3fffffa0,0xfff88003,
    0xffd01fff,0x10007fff,0x23ffffff,0x03fffffc,0x3fffffc4,0x3fffffe2,
    0xffffe882,0x3fffa00f,0x7fe400ff,0x7dc03fff,0xfd01ffff,0x01ffffff,
    0x0bfffff1,0x3ffff600,0x00c4004f,0xfffffffd,0xfffb77df,0x7f45ffff,
    0x3e00ffff,0x9807ffff,0x005fffff,0x0dfffff9,0x7fffffe4,0xffffffff,
    0x887fffff,0x04ffffff,0x7fffffe4,0x1fffffe0,0x3ffffe60,0xffffffd5,
    0xffff501f,0x3fff27ff,0x200005ff,0x99999998,0xfffffa99,0xecb983ff,
    0x3ff200ff,0x3ffa3fff,0xd0001fff,0x201fffff,0xfffffffe,0xfffffa80,
    0x3ff3323f,0xccceffff,0xff100ccc,0x6645ffff,0xeffffffc,0x00cccccc,
    0x5ffffff1,0x13fffff2,0xffffff30,0x3fffffd8,0x3ffffe60,0x3ffffa03,
    0x7ffe400f,0x7fc403ff,0xff883fff,0x82ffffff,0x02fffffa,0xfffffb00,
    0xfe800009,0x81ffffff,0x4ffffffa,0x03fffffa,0x07fffff8,0x5fffff98,
    0xfffff880,0x3fff202f,0xffffffff,0xffffffff,0xfffffb87,0xfffff006,
    0x7ffffc7f,0xffff9807,0xfffffd5f,0x7ffec03f,0xffff94ff,0x000000bf,
    0xfffffe88,0x5002004f,0x747fffff,0x001fffff,0x1fffffd0,0x3fffffa0,
    0x3fff601f,0x3fffe4ff,0xffffffff,0xf101ffff,0x7c5fffff,0xffffffff,
    0x1fffffff,0xffffff10,0x3fffff25,0x7fffdc07,0x7ffffc7f,0xffffd807,
    0x3ffffa07,0x7ffe400f,0xffe803ff,0xfffa86ff,0xc84fffff,0x000fffff,
    0x9fffffb0,0xffe80000,0x3602ffff,0x3a4fffff,0x200fffff,0x807fffff,
    0x05fffff9,0x6fffffc8,0x7ffffe40,0xffffffff,0x87ffffff,0x02fffffe,
    0xbfffff70,0x03fffffc,0xafffffcc,0x04fffffe,0xafffffd4,0x05fffffc,
    0x7ec00000,0x005fffff,0xfffd7100,0x7fff49ff,0xfd0001ff,0x3a01ffff,
    0x404fffff,0x25fffffa,0xffffffff,0xffffffff,0x3ffffe01,0x3ffffe3f,
    0xffffffff,0x3fe01fff,0xff93ffff,0x2203ffff,0x27ffffff,0x06fffff8,
    0x0fffffb8,0x1fffffd0,0xfffffc80,0xffffb803,0x7fffe40f,0xff86ffff,
    0x75405fff,0xfffeeeee,0xeeeeffff,0xfe8001ee,0x5404ffff,0x3a5fffff,
    0x200fffff,0x807fffff,0x05fffff9,0x7fffffc4,0x7fffe403,0xffffffff,
    0x7fffffff,0x1ffffff8,0xfffff300,0x3fffffcd,0x7ffffcc0,0x5fffffd5,
    0xfffff980,0xbfffff95,0x6c000000,0x0effffff,0xffb73000,0x9fffffff,
    0x0ffffff4,0xffffe800,0xffffd00f,0xfff9805f,0x3fffe5ff,0xffffffff,
    0xf101ffff,0x7c5fffff,0xffffffff,0x1fffffff,0xffffff10,0x3fffff25,
    0xfffd80ef,0x3fe67fff,0xaaaaefff,0xfffcaaaa,0xfffd01ff,0xffc801ff,
    0xf9803fff,0x7f42ffff,0xffffefff,0x3ffffe60,0x7fffdc03,0xffffffff,
    0x2fffffff,0xffffe800,0x7ffcc02f,0x3fffa6ff,0x3ffe00ff,0xff9807ff,
    0x7dc05fff,0x400fffff,0x9dfffffc,0x99999999,0x7c419999,0x000fffff,
    0x4ffffff1,0x807fffff,0xd5fffffa,0x803fffff,0x96fffff9,0x00bfffff,
    0x3ff20000,0x000fffff,0x3ffffae2,0xffffffff,0x3ffffa4f,0xffd0001f,
    0x3fa01fff,0x4c01ffff,0x266fffff,0xfffffe99,0x0199999c,0x3fffffe6,
    0x3ffa6661,0x9999cfff,0x3ffe6019,0xfff91fff,0x959fffff,0xffffffff,
    0x7ffffd4f,0xffffffff,0x2fffffff,0x1fffffd0,0xffffff90,0x03ffffff,
    0x893ffffa,0xffcdffff,0x3ffee2ff,0x7fdc00ff,0xffffffff,0xffffffff,
    0xffe8002f,0x7cc01fff,0x3fa6ffff,0x3e00ffff,0xa807ffff,0x405fffff,
    0xefffffff,0xfeeeeeee,0x004fffff,0xfffff300,0xffff800f,0xfffff0ff,
    0xffff500f,0x3ffffabf,0x7ffcc01f,0xffff96ff,0x000000bf,0xfffffff7,
    0x7ffdc003,0xffffffff,0x3a4fffff,0x001fffff,0x1fffffd0,0x3fffffa0,
    0x7fffcc01,0xffffd06f,0xff30007f,0x3a01ffff,0x003fffff,0xffffff98,
    0xffffff90,0xffffffff,0x64ffffff,0xffffffff,0xffffffff,0xfd02ffff,
    0xf901ffff,0xffffffff,0x3f203fff,0x3fea7fff,0xffffabff,0x1bffff64,
    0x3ffffee0,0xffffffff,0x02ffffff,0xfffffe80,0x7fffc401,0x3ffffa6f,
    0x3fffe00f,0xfffa807f,0x3fea05ff,0xffffffff,0xffffffff,0x00004fff,
    0x0ffffff1,0x7ffffc40,0x3fffffe7,0x7fffd400,0xfffffd5f,0xffff8801,
    0xfffff96f,0xa800000b,0x2fffffff,0x3fffee00,0xaaceffff,0x3a4fffff,
    0x001fffff,0x1fffffd0,0x3fffffa0,0x7fffc400,0xffffd06f,0xff50007f,
    0x7f40dfff,0x8003ffff,0x26fffffa,0xfdfffffc,0xefffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0xffd03fff,0xff901fff,0xffffffff,0x3fe603ff,
    0xfffb1fff,0xdffff13f,0x0fffffe2,0x26666620,0xdfffffd9,0x00999999,
    0xfffffe80,0x7fffc401,0x3ffffa6f,0x3fffe00f,0x7fd400ff,0x3fa05fff,
    0xffffffff,0xffffffff,0x0004ffff,0x3fffffe0,0xffff3000,0x7ffffcdf,
    0x7ffd400f,0xffffd5ff,0xfff8801f,0xffff96ff,0x400000bf,0xfffffff9,
    0x3ffee003,0x4c0adfff,0x3a4fffff,0x001fffff,0x1fffffd0,0x3fffffa0,
    0x7fffc400,0xffffd06f,0xff90007f,0x7f40bfff,0x8003ffff,0x25fffffc,
    0xdafffffc,0xbcffffff,0x3ea7ffff,0xaaadffff,0xaaaaaaaa,0xffd01aaa,
    0xdd701fff,0xddfffffd,0x7ffc01dd,0xfffff3ff,0x547ffff4,0x001fffff,
    0x7ffffec0,0x7f400004,0x4400ffff,0x3a6fffff,0x200fffff,0x00ffffff,
    0x2fffffd4,0xffffffa8,0xffffffff,0xffffffff,0x3fe00004,0x5002ffff,
    0x7cbfffff,0x400fffff,0xd5fffffb,0x801fffff,0x96fffff8,0x00bfffff,
    0x3ffe2000,0x4004ffff,0x03fffffe,0x93ffffea,0x01fffffe,0xfffffd00,
    0x3ffffa01,0x7ffc400f,0xfffd06ff,0xff0007ff,0x7409ffff,0x003fffff,
    0x4ffffff8,0x2bfffff2,0x73ffffe8,0x7ccfffff,0x0005ffff,0xfffffe80,
    0x7fffe400,0x3ff2003f,0xffff9dff,0x2bffff25,0x006ffffc,0xfffffd80,
    0x7f400004,0x4400ffff,0x3a6fffff,0x200fffff,0x00ffffff,0x2fffffdc,
    0xffffffe8,0xffffffff,0xffffffff,0x3f200004,0xd006ffff,0x7c7fffff,
    0x401fffff,0xd5fffffc,0x801fffff,0x96fffff8,0x00bfffff,0xfffd1000,
    0x8800bfff,0x406fffff,0x24fffffa,0x01fffffe,0xfffffd00,0x3ffffa01,
    0x7ffc400f,0xfffd06ff,0xf98007ff,0x202fffff,0x03fffffe,0x7ffffcc0,
    0x3ffff22f,0x002ae22f,0x6fffff88,0x7f400080,0x5c00ffff,0x003fffff,
    0x2fffffea,0x3e63ffff,0xffffcfff,0xfd80004f,0x0004ffff,0x7fffff40,
    0x7fffc400,0x3ffffa6f,0x3fffe00f,0x7fe401ff,0xff985fff,0xcccdffff,
    0xeccccccc,0x004fffff,0x3fffe600,0x7fd402ff,0x3fa1ffff,0x2602ffff,
    0xd5ffffff,0x801fffff,0x96fffff8,0x00bfffff,0xffffb000,0xf5000bff,
    0xd80bffff,0x3a4fffff,0x001fffff,0x1fffffd0,0x3fffffa0,0x7fffc400,
    0xffffd06f,0x7fcc007f,0x7407ffff,0x003fffff,0x3fffffe6,0x7ffffe47,
    0xffd00002,0x7c405fff,0x3a02bdef,0x400fffff,0x03fffffb,0x7fffffc0,
    0x7fc1ffff,0xffffffff,0xffd80001,0x00004fff,0x07fffff4,0x3ffffe20,
    0x3fffffa6,0x3ffffa00,0x3ffe602f,0xffd85fff,0x6c007fff,0x004fffff,
    0x7ffffc00,0xfff703ff,0xffd89fff,0xe880efff,0xd5ffffff,0x801fffff,
    0x96fffff8,0x00bfffff,0xffffc800,0xf30006ff,0x201fffff,0x4ffffffb,
    0x07fffffa,0x7ffff400,0xffffd00f,0xfff8801f,0xfffd06ff,0x3ea007ff,
    0x03ffffff,0x1ffffff4,0xfffffa80,0x7ffe43ff,0x500002ff,0x01ffffff,
    0x1bfffff6,0x0fffffe8,0x7ffffdc0,0x7ffec005,0xd87fffff,0xffffffff,
    0xffb00007,0x00009fff,0x0fffffe8,0x7ffffc40,0x3fffffa6,0x3ffff600,
    0xffe880ef,0x7cc5ffff,0x004fffff,0x6fffffec,0x99999999,0x09999999,
    0x7fffffd4,0xffecacef,0xfb86ffff,0x8befffff,0xfffffec9,0xffffd5ff,
    0xfff8801f,0xffff96ff,0x333333bf,0x33333333,0x7fffdc13,0x99999fff,
    0x21999999,0xdffffff8,0x3ffff261,0x3ffa4fff,0xd0001fff,0x201fffff,
    0x00fffffe,0x37ffffc4,0xcfffffe8,0xbaa99999,0xfffffffd,0x7fff400f,
    0x99999cff,0xffffdbaa,0x7e40ffff,0x0002ffff,0x3fffffa0,0xfff950bf,
    0x7f405fff,0x5400ffff,0xcdffffff,0x7ffd404e,0xb85fffff,0xffffffff,
    0xffb00004,0x00009fff,0x0fffffe8,0x7ffffc40,0x3fffffa6,0x3fffee00,
    0xec98beff,0x5fffffff,0x7fffffe4,0x7ffec000,0xffffffff,0xffffffff,
    0xfffc85ff,0xffffffff,0x81ffffff,0xfffffff9,0xffffffff,0xffd5ffff,
    0xf8801fff,0xff96ffff,0xffffffff,0xffffffff,0x3fe67fff,0xffffffff,
    0xffffffff,0x7ffff47f,0xffffefff,0x25ffffff,0x01fffffe,0xfffffd00,
    0x3ffffa01,0x7ffc400f,0xfffd06ff,0xffffffff,0xffffffff,0xfd003fff,
    0xffffffff,0xffffffff,0x903fffff,0x005fffff,0x7fffd400,0xffffffff,
    0x7406ffff,0x400fffff,0xfffffff9,0x7fc405ff,0x83ffffff,0xfffffff9,
    0xfb00001f,0x0009ffff,0xfffffe80,0x7fffc400,0x3ffffa6f,0x3ffe600f,
    0xffffffff,0xffffffff,0x3ffffe25,0xffd8005f,0xffffffff,0xffffffff,
    0xffb05fff,0xffffffff,0x405fffff,0xfffffffa,0xfe9effff,0xfffd5fff,
    0xff8801ff,0xfff96fff,0xffffffff,0xffffffff,0x3ffe67ff,0xffffffff,
    0xffffffff,0x7ffffcc7,0xefffffff,0x3a7ffffe,0x001fffff,0x1fffffd0,
    0x3fffffa0,0x7fffc400,0xffffd06f,0xffffffff,0xffffffff,0x3ffa007f,
    0xffffffff,0xffffffff,0xff903fff,0x00005fff,0xffffffa8,0xffffffff,
    0x7fff400e,0xffe800ff,0x06ffffff,0xffffffd8,0xfffff01f,0x40000fff,
    0x04fffffd,0x7fff4000,0x7fc400ff,0x3ffa6fff,0x7d400fff,0xffffffff,
    0xfffe9eff,0x3ffff25f,0xfd8001ff,0xffffffff,0xffffffff,0x2a05ffff,
    0xffffffff,0x800dffff,0xfffffffb,0xfffd0eff,0x3ffffabf,0x7ffc400f,
    0xffff96ff,0xffffffff,0xffffffff,0x3fffe67f,0xffffffff,0x7fffffff,
    0xffffffb8,0xff74ffff,0x3ffa5fff,0xd0001fff,0x201fffff,0x00fffffe,
    0x37ffffc4,0xffffffe8,0xffffffff,0x01efffff,0x3fffffa0,0xffffffff,
    0x1effffff,0x3fffff20,0xe8800002,0xffffffff,0xe800efff,0x800fffff,
    0xfffffff9,0xfffb807f,0x3f607fff,0x004fffff,0x3ffff600,0x7400004f,
    0x400fffff,0x26fffff8,0x00fffffe,0xffffffb8,0xffd0efff,0x3ffe2bff,
    0xb0006fff,0xffffffff,0xffffffff,0x80bfffff,0xfffffeb8,0x5c002dff,
    0x3dfffffd,0xeafffff4,0x400fffff,0x96fffff8,0xffffffff,0xffffffff,
    0x267fffff,0xffffffff,0xffffffff,0xfb107fff,0x45dfffff,0xd5fffff9,
    0x003fffff,0x3fffffa0,0xfffffd00,0xffff8801,0xffffd06f,0xffffffff,
    0x05dfffff,0xfffffd00,0xffffffff,0x005dffff,0x05fffff9,0x37220000,
    0xdfffffff,0x3fffa002,0xfd5000ff,0x00bdffff,0xbffffff1,0x7ffffdc0,
    0x3600002f,0x004fffff,0x7ffff400,0x7ffc400f,0x3fffa6ff,0xfb7000ff,
    0xe87bffff,0xff75ffff,0x0005ffff,0x3ffffff6,0xffffffff,0x5fffffff,
    0x2aea6200,0x35300000,0x3fffa000,0x7fc400ff,0xfff96fff,0xffffffff,
    0xffffffff,0x3ffe67ff,0xffffffff,0xffffffff,0x0dd4c407,0xffffe800,
    0xffd0001f,0x3fa01fff,0x4400ffff,0xd06fffff,0xffffffff,0x9bdfffff,
    0x7ff40005,0xffffffff,0x02cdefff,0x3bbbbae0,0x10000001,0x00013575,
    0x01fffffd,0x009aa880,0x7fffff40,0x3fffe202,0x6c00007f,0x004fffff,
    0x7ffff400,0x7ffc400f,0x3fffa6ff,0xa98000ff,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x04fffff9,0xffffff10,0xaaaaa807,0xaaa8001a,0x08800aaa,0x2a026620,
    0x0002aaaa,0xffff1000,0x3fa207ff,0x7ff446ff,0x5555546f,0x2aa6001a,
    0x55502aaa,0xa8801555,0x0002aaaa,0x13333310,0x2aaa0000,0x00000aaa,
    0x03ddddd7,0x07ffff40,0x203ffffa,0xacdeeca9,0x2aaaaaa1,0x80000001,
    0x0ffffffa,0x07ffffc0,0x44bffffa,0x00099999,0x75310000,0x80000035,
    0x001cccca,0xaccca988,0x19800009,0x2aaaaaa0,0x15555550,0xffff3000,
    0x7fcc009f,0x7ec06fff,0x8003ffff,0x01ffffff,0x02bbffaa,0xffd03ffb,
    0x00001fff,0xfffff700,0xffff9809,0x07ffff64,0x1ffffff7,0x3ffffa00,
    0xffffd05f,0xfffb801f,0x900006ff,0x00bfffff,0x3ffffa00,0xf900000f,
    0x4005ffff,0x325ffff8,0xfc82ffff,0x7fffffff,0x0ffffffa,0x3a000000,
    0x801fffff,0x740fffff,0xff92ffff,0x0000bfff,0x7fffe440,0x001effff,
    0x7fffcc00,0x3f62003f,0xffffffff,0xfc88001e,0x3ffffa03,0xfffffd0f,
    0xfff30001,0xf98009ff,0x3602ffff,0x003fffff,0x1ffffff8,0xffffff90,
    0x1fff97bf,0x3fffa662,0x99999aff,0x3fe00000,0xf9004fff,0xfff75fff,
    0xffff107f,0xff5007ff,0x3a03ffff,0x400fffff,0x06fffffb,0xffff9000,
    0x3a0000bf,0x000fffff,0xfffff900,0xfffa8005,0x4ffffabf,0xffffffc8,
    0x3ffa5fff,0x00003fff,0x7fffd400,0xffff001f,0xffffe81f,0xbfffff92,
    0x3ee00000,0xffffffff,0x0000cfff,0x7fffffd0,0xffff9100,0xffffffff,
    0x3ee001bf,0x3ffa03ff,0xfffd0fff,0xf30001ff,0x0009ffff,0x40dffff5,
    0x03fffffd,0xffffff80,0xfffff881,0xffffffff,0x3ffffee6,0xffffffff,
    0xf700002f,0xe800bfff,0xffffffff,0x3ffff205,0xfffe807f,0x3ffa05ff,
    0x7dc00fff,0x0006ffff,0xbfffff90,0x3ffa0000,0x00000fff,0x05fffff9,
    0xfffffb00,0xff50dfff,0xffffffff,0x7fffff47,0x40000003,0x002ffffe,
    0xd03ffffe,0x3f25ffff,0x0005ffff,0xfffffb80,0xffffffff,0xfc80006f,
    0x803fffff,0xfffffffe,0xffffffff,0x3ffa600f,0x3ffa03ff,0xfffd0fff,
    0xf30001ff,0x0009ffff,0x887fffea,0xfffffe99,0x9999999c,0xfff99999,
    0x5099afff,0xffb77dff,0x5c5fffff,0xffffffff,0x02ffffff,0xbfffd000,
    0xffff1000,0x4401ffff,0x03ffffff,0x3fffffe6,0x3ffffa01,0x7ffdc00f,
    0x900006ff,0x00bfffff,0x3ffffa00,0xf900000f,0x0005ffff,0xfffffff1,
    0xffffb03f,0x45fdbfff,0x03fffffe,0x3e600000,0x7c003fff,0x7f40ffff,
    0xfff92fff,0x80000bff,0xfffffff9,0xffffffff,0x3e60004f,0x03ffffff,
    0x7fffffe4,0xfffffeff,0x3f206fff,0x3a03ffff,0xfd0fffff,0x0001ffff,
    0x07ddddd3,0x2fffdc00,0xfffffffd,0xffffffff,0xffffffff,0x5fffffff,
    0xb510ffee,0xffb839ff,0xffffffff,0x0002ffff,0x006fffa8,0x3ffffee0,
    0xfffc802f,0x3ff606ff,0x7f405fff,0x5c00ffff,0x206fffff,0x3fff2003,
    0xd00005ff,0x001fffff,0x3ffff200,0xff30002f,0x3a07ffff,0x404fffff,
    0x03fffffe,0x3f600000,0x998003ff,0x99988199,0xfffff909,0x7c40000b,
    0xdfffffff,0xfffffffc,0xfe88001f,0x03ffffff,0x3fffffee,0x7ffdc42e,
    0xff905fff,0x7f407fff,0xffd0ffff,0x00001fff,0x55540000,0x3fffffa2,
    0xffffffff,0xffffffff,0xffffffff,0x0003312f,0x7ffff754,0xeeeeeeff,
    0xaa980002,0x5540000a,0xf1002aaa,0x305fffff,0x03ffffff,0x0fffffe8,
    0x7ffffdc0,0x6400db06,0x005fffff,0xfffffd00,0x26200001,0x00009999,
    0x80aaaaaa,0x01fffffe,0x6ffffff4,0xaaaaaaaa,0xaa80001a,0x0000002a,
    0xbfffff90,0x7fd40000,0x540bffff,0x04ffffff,0xfffffc80,0x3fe03fff,
    0x4c04ffff,0x80ffffff,0x03fffffc,0x43fffffa,0x00199998,0x00000000,
    0xfffffffd,0xffffffff,0xffffffff,0x5fffffff,0x3fa00000,0x0000ffff,
    0x00000000,0x3fff2000,0xfffd86ff,0xffe805ff,0x7dc00fff,0x7446ffff,
    0x3ff2006f,0x00005fff,0x01fffffd,0x00000000,0x7fffc000,0x7ff400ff,
    0xffffffff,0xdfffffff,0x00000001,0x3ff20000,0x00005fff,0x13fffff2,
    0x6fffffa8,0x7fffd400,0x303fffff,0x00dfffff,0x0bffffee,0x0ffffff2,
    0x0fffffe8,0x00000000,0xfeed8000,0xeeefffff,0xeeeeeeee,0xffffffee,
    0x00002eee,0x1fffffd0,0x00002620,0x00000310,0xffff1001,0x7ffcc5ff,
    0xfe801fff,0x5c00ffff,0x266fffff,0x32006fff,0x005fffff,0xfffffd00,
    0x32200001,0x0001cccc,0x3fffe000,0xfffe807f,0xffffffff,0xffffffff,
    0x00000005,0xfff90000,0x40000bff,0x00fffffe,0x03fffffc,0xffffff10,
    0x2e07ffff,0x002fffff,0x29fffff3,0xfffffee9,0x3a3eeeef,0x000fffff,
    0x3bbbbaa0,0xeeeeeeee,0x201eeeee,0x80eeeeed,0x03fffffd,0xffffff80,
    0xddddb001,0xfffd001d,0x7f6541ff,0xed80cfff,0x76544eee,0x100cefff,
    0x225ddddd,0x00bdfffc,0x4bfffff9,0x05fffffc,0x1fffffd0,0x3ffee02e,
    0xffff56ff,0x7ffe400d,0xd00005ff,0x001fffff,0x3fffe200,0x3b60002f,
    0xff00eeee,0xfd00ffff,0xffffffff,0xffffffff,0x3aa0bfff,0xeeeeeeee,
    0xeeeeeeee,0x7776c01e,0xfff900ee,0x20000bff,0x07ffffe8,0x0fffffe8,
    0xfffffb00,0x207fffff,0x007fedca,0x57ffffe6,0xfffffffa,0x3a4fffff,
    0xdb0fffff,0x5c01dddd,0xffffffff,0xffffffff,0x3ffa02ff,0xffd80fff,
    0xf8003fff,0x001fffff,0x01fffffd,0x1fffffd0,0x3ffffff6,0x7ff40fff,
    0xfffb15ff,0x03ffffff,0x17fffff1,0x5ffffffd,0x3ffffe20,0xfffff89f,
    0xfffd001f,0x701f93ff,0xf7dfffff,0x4009ffff,0x05fffffc,0xffffd000,
    0x2600001f,0x001fffff,0x3fffffa0,0xffffff00,0xfffffd00,0xffffffff,
    0xffffffff,0xfffff709,0xffffffff,0x805fffff,0x00fffffe,0x0bfffff9,
    0x0a620000,0xffffff10,0x3fffea00,0x3fffffbf,0xfb800200,0xff53ffff,
    0xffffffff,0x7fff49ff,0xffffd0ff,0x7ffdc01f,0xffffffff,0x2fffffff,
    0x3fffffa0,0xfffffd80,0xffff8003,0xffd001ff,0xfd001fff,0xffd5ffff,
    0xffffffff,0x7ffff41d,0xfffffe8d,0x42ffffff,0xdbfffff8,0x0fffffff,
    0x3fffff20,0x5fffffbc,0x3ffffa00,0xfb80ffef,0xffffffff,0x7e4002ff,
    0x0005ffff,0x1fffffd0,0x3fee0000,0x740007ff,0xf00fffff,0xd00fffff,
    0xdddfffff,0xfffffddd,0x81ffffff,0xfffffffb,0xffffffff,0x7f402fff,
    0xf900ffff,0x000bffff,0xffb80000,0xf8805fff,0xffaaffff,0x00003fff,
    0xfffffe88,0xffffff50,0x49ffffff,0xd0fffffe,0x401fffff,0xfffffffb,
    0xffffffff,0x3fa02fff,0xfd80ffff,0x8003ffff,0x01ffffff,0x1fffffd0,
    0xfffffd00,0xffffffff,0x74bfffff,0xfffeffff,0xffffffff,0x7ffc46ff,
    0xfffffeff,0x7fc405ff,0xfffeffff,0x3fa001ff,0x0fffffff,0xffffffb8,
    0x8001ffff,0x05fffffc,0xffffd000,0xd100001f,0x000dffff,0x0fffffe8,
    0x0ffffff0,0x7fffffd0,0xffffb880,0x7fdc4fff,0xffffffff,0xffffffff,
    0x7ffff402,0xffff900f,0x000000bf,0xfffffe80,0xffffd804,0x7fffff55,
    0xfe880000,0x3ea6ffff,0xffffffff,0x3ffa4fff,0xfffd0fff,0x7fdc01ff,
    0xffffffff,0xffffffff,0x3ffffa01,0xffffd80f,0xffffffff,0xffffffff,
    0xd001ffff,0x001fffff,0xfffffffd,0xfffb779f,0x3fa3ffff,0xefffffff,
    0xfffffdbb,0x3ffe22ff,0xffffffff,0xffc802ff,0xffffffff,0x7fff4005,
    0xf703ffff,0xdfffffff,0x3ff20001,0x26205fff,0xfe809999,0x2660ffff,
    0x74401999,0x004fffff,0x7fffff40,0xffffff00,0xfffffd00,0x3ffea007,
    0x7fdc6fff,0xffffffff,0xffffffff,0x7ffff401,0xffff900f,0x000000bf,
    0x7ffffcc0,0x7ffd401f,0xffff50ff,0x4c00007f,0x1ffffffe,0x7fffff90,
    0x7fffff40,0x1fffffd0,0x4ccccc40,0xfffa9999,0x7403ffff,0xd80fffff,
    0xffffffff,0xffffffff,0xffffffff,0xffffd001,0xfffd001f,0xf301dfff,
    0x3a7fffff,0x0fffffff,0xffffffa8,0x3ffffe23,0x7da9cfff,0xfeeeeed8,
    0xffffffff,0x0eeeeeef,0xffffffd0,0x7fffdc05,0x0000dfff,0x17fffff2,
    0x4fffffa8,0x0fffffe8,0x81fffffe,0xffffffe8,0x7ff40001,0xfff00fff,
    0xffd00fff,0x6c007fff,0x447fffff,0x99999999,0xffffffa9,0xfffe803f,
    0xfff900ff,0x00000bff,0x3fffe200,0x7fc404ff,0x3fea2fff,0x00003fff,
    0xfffffff5,0x7fffe407,0x3fffa03f,0xffffd0ff,0xe880001f,0x04ffffff,
    0x0fffffe8,0xffffffd8,0xffffffff,0xffffffff,0xffd001ff,0xfd001fff,
    0x401fffff,0xd5fffffc,0x03ffffff,0x27ffffec,0xfffffff1,0x3fffa005,
    0xffffffff,0xffffffff,0xfffd00ff,0xffb805ff,0x0004ffff,0x5fffffc8,
    0x3ffffea0,0xfffffe84,0x1fffffe0,0x7fffffcc,0xfe80003f,0xff00ffff,
    0xfd00ffff,0x4007ffff,0x0ffffffb,0x7fff4400,0xfd004fff,0x3201ffff,
    0x005fffff,0xfe880000,0x400fffff,0x545ffffd,0x003fffff,0xfffffa80,
    0x7fe403ff,0x3fa03fff,0xffd0ffff,0x80001fff,0x5ffffffd,0xfffffd00,
    0xfffffb01,0xffffffff,0xffffffff,0x3a003fff,0x800fffff,0x05fffffe,
    0xafffffd4,0x04fffffe,0x2fffffd4,0xdffffff1,0x7ffff400,0xffffffff,
    0xffffffff,0xffffd00f,0xfffd801f,0x900006ff,0x40bfffff,0x84fffffa,
    0x20fffffe,0xa87fffff,0x4fffffff,0xfffd0000,0x3ffe01ff,0xffe807ff,
    0x2a003fff,0x00ffffff,0x7ffffec0,0x3ffa005f,0xff900fff,0x0000bfff,
    0xfffe8800,0x7dc03fff,0x7d40ffff,0x0003ffff,0x7fffffd4,0xfffc802f,
    0x3ffa03ff,0xfffd0fff,0x6c0001ff,0x0effffff,0xfffffd00,0xfffffb01,
    0xffffffff,0xffffffff,0x3a003fff,0x800fffff,0x02fffffe,0xafffffcc,
    0x02fffffe,0x2fffffcc,0x5ffffff1,0x7ffff400,0xffffffff,0xffffffff,
    0x7fff440f,0xfb100fff,0x00dfffff,0x3ffff200,0x3ffea05f,0xfffe84ff,
    0x3fffe0ff,0x7fffd47f,0x00003fff,0x03fffffa,0x03fffffc,0x1ffffff4,
    0xfffffb00,0xfffd800f,0x2000efff,0x00fffffe,0x0bfffff9,0x74400000,
    0x05ffffff,0x17ffffc4,0x1fffffd4,0xffff1000,0x32005fff,0x203fffff,
    0xd0fffffe,0x001fffff,0x3fffff20,0x3fa000ff,0xfd80ffff,0x999cffff,
    0x99999999,0x1ffffff9,0xfffffd00,0xffffd001,0xfff9805f,0xffffd6ff,
    0xfff9803f,0x3ffe26ff,0x36001fff,0xfeeeeeee,0xeeefffff,0x260eeeee,
    0xfffffffe,0xffffe880,0x00006fff,0x0bfffff9,0x27ffffd4,0x07fffff4,
    0x44ffffff,0x2fffffff,0x7ff40000,0xfff00fff,0xffd00fff,0x7c007fff,
    0x005fffff,0x3ffffff2,0x7ff4000f,0xff900fff,0x0000bfff,0x3fffe600,
    0x6c00efff,0xf505ffff,0x0007ffff,0x7fffffe4,0x3fff2001,0x3ffa03ff,
    0xfffd0fff,0xf70001ff,0x03ffffff,0xfffffe80,0xfffffd80,0xffff8003,
    0xffd001ff,0xfd001fff,0x9803ffff,0xfd6fffff,0x9803ffff,0x226fffff,
    0x00ffffff,0x3fffe000,0x7fec007f,0x80ffffff,0xfffffffd,0xf900006f,
    0x540bffff,0xe83eeeee,0x3a0fffff,0x3f65eeee,0x001fffff,0xffffe800,
    0xfffff00f,0xffffd00f,0xffb1007f,0x2007ffff,0xfffffffb,0xfffe8001,
    0xfff900ff,0x00000bff,0xffffff30,0xffb801df,0xff500fff,0x40007fff,
    0x01fffffd,0x7ffffe40,0x3ffffa03,0xfffffd0f,0xfffa8001,0x8002ffff,
    0x80fffffe,0x03fffffd,0xffffff80,0xffffd001,0xfffd001f,0xff8801ff,
    0xfffd6fff,0xff8801ff,0x3fe26fff,0x00007fff,0x03fffffc,0x3fffff60,
    0xffd80fff,0x06ffffff,0xffff9000,0x3a0000bf,0x000fffff,0x3ffffff3,
    0x3fa00000,0xff00ffff,0xfd00ffff,0x3339ffff,0xfff75333,0x005fffff,
    0xfffffff5,0x3ffa0005,0xff900fff,0x0000bfff,0xfffff880,0x7c400eff,
    0xccceffff,0xffffdccc,0x001cccdf,0x00fffffe,0x3fffff20,0x3ffffa03,
    0xfffffd0f,0x7ffcc001,0x0003ffff,0x01fffffd,0x07fffffb,0xffffff00,
    0x3fffa003,0xffe800ff,0x7c400fff,0xffd6ffff,0xf8801fff,0x3e26ffff,
    0x4007ffff,0xcccccccb,0xccffffff,0x6c4ccccc,0xfffffe9f,0xffeffd80,
    0x00006fff,0x0bfffff9,0x3fffa000,0xff7000ff,0x00007fff,0x7fffff40,
    0xffffff00,0xfffffd00,0xffffffff,0xffffffff,0xffff300b,0x40007fff,
    0x00fffffe,0x0bfffff9,0x7fc40000,0x005fffff,0xfffffff1,0xffffffff,
    0x5fffffff,0x3fffe600,0xffc8001f,0x3fa03fff,0xffd0ffff,0x22001fff,
    0x4fffffff,0x3fffa000,0xfffd80ff,0xff8003ff,0xd001ffff,0x001fffff,
    0x01fffffd,0x6fffff88,0x01fffffd,0x6fffff88,0x1fffffe2,0xfffffd00,
    0xffffffff,0xffffffff,0xfffe8641,0xb9fd80ff,0x006fffff,0xfffff900,
    0x3fa0000b,0xb000ffff,0x003fffff,0x0055e6ec,0x01fffffd,0x01fffffe,
    0x3ffffffa,0xffffffff,0x0effffff,0x7ffffc40,0x740004ff,0x900fffff,
    0x00bfffff,0x3ffe2000,0x2005ffff,0xfffffff8,0xffffffff,0x2fffffff,
    0xfffff500,0xfff90001,0x7ff407ff,0xfffd0fff,0xfd1001ff,0x00bfffff,
    0xfffffe80,0xfffffd80,0xffff8003,0xffd001ff,0xfd001fff,0x8801ffff,
    0xfd6fffff,0x8801ffff,0x226fffff,0x007fffff,0x7ffffff4,0xffffffff,
    0x0fffffff,0x1fffffd0,0x3ffee190,0x900006ff,0x00bfffff,0x3ffffa00,
    0xfffb000f,0x3e6001ff,0x3a03ffff,0xf00fffff,0xd00fffff,0xffffffff,
    0xffffffff,0x8801ffff,0x5ffffffe,0xfffe8000,0xfff900ff,0x00000bff,
    0x3ffffffa,0x7ffc4005,0xffffffff,0xffffffff,0xf5002fff,0x0001ffff,
    0x07fffff9,0x87fffff4,0x00fffffe,0xffffffd8,0xffe80005,0xffd80fff,
    0xf8003fff,0x001fffff,0x01fffffd,0x1fffffd0,0xfffff880,0x1fffffd6,
    0xfffff880,0x3ffffe26,0x7fff4007,0xffffffff,0xffffffff,0xfffd00ff,
    0xffb801ff,0x00006fff,0x0bfffff9,0x3fffa000,0xff7000ff,0x36005fff,
    0x200fffff,0x00fffffe,0x00ffffff,0xfffffffd,0xffffffff,0xb0019fff,
    0x0bffffff,0x3fffa000,0xfff900ff,0x00000bff,0xbffffffb,0xffff1000,
    0xffffffff,0xffffffff,0x000005ff,0xfffff700,0x7ffff407,0xfffffd0f,
    0xffffc801,0xd00006ff,0xb01fffff,0x007fffff,0x3ffffff0,0x3ffffa00,
    0xfffe800f,0x7fc400ff,0xfffd6fff,0xff8801ff,0x3fe26fff,0x74006fff,
    0xffffffff,0xffffffff,0xd00fffff,0x801fffff,0x06fffffb,0xffff9000,
    0x3a0000bf,0x000fffff,0x1dfffff3,0xfffffb80,0x7ffff406,0xfffff00f,
    0xffffd00f,0xffffffff,0x0017bdff,0x3ffffff2,0x3fa00006,0xf900ffff,
    0x000bffff,0xfffffb80,0x9910006f,0x99999999,0xfffffb99,0x0003999b,
    0xfff70000,0x7ff409ff,0xfffd0fff,0x7fdc01ff,0x999fffff,0x99999999,
    0x3ffffa01,0xffffd80f,0xfff8003f,0xfd001fff,0xd001ffff,0x801fffff,
    0xd6fffff8,0x801fffff,0x26fffff8,0x06fffff8,0x4ccccc40,0xffffff99,
    0x19999999,0x3fffffa0,0x7fffdc00,0x999999ef,0x99999999,0xfffff909,
    0x3333333b,0x33333333,0x3fffffa1,0x3fffa000,0xfc881eff,0x403fffff,
    0x00fffffe,0x00ffffff,0x07fffffd,0xfff70000,0x3333ffff,0x33333333,
    0xfffffe80,0xfffff900,0x3333333b,0x33333333,0x7ffffc41,0xcccccdff,
    0x00cccccc,0x3fffea00,0xff50003f,0x70009fff,0x9bffffff,0x7ffff49d,
    0xfffffd0f,0x3fffe601,0xffffffff,0x7fffffff,0x3fffffa0,0xfffffd80,
    0xffff8003,0xffd001ff,0xfd001fff,0x8801ffff,0xfd6fffff,0x8801ffff,
    0x226fffff,0x006fffff,0x7ffffc00,0x3ffa0007,0x7dc00fff,0xffffffff,
    0xffffffff,0xff94ffff,0xffffffff,0xffffffff,0x3ffa7fff,0x26000fff,
    0xefffffff,0xfffffecd,0x7f400eff,0xff00ffff,0xfd00ffff,0x0007ffff,
    0xfffff980,0xffffffff,0x07ffffff,0x07fffff4,0xffffffc8,0xffffffff,
    0x3fffffff,0x3fffffee,0xffffffff,0x000fffff,0x3ffffea0,0xfff50003,
    0xf30009ff,0xffffffff,0x7fffff4b,0x1fffffd0,0x3ffffe60,0xffffffff,
    0x07ffffff,0x03fffffa,0x0ffffff6,0x3ffffe00,0xfffd001f,0xffd001ff,
    0xf8801fff,0xffd6ffff,0xf8801fff,0x3e26ffff,0x0006ffff,0x3fffffc0,
    0xffffd000,0xfffb801f,0xffffffff,0xffffffff,0xffff94ff,0xffffffff,
    0xffffffff,0x3ffffa7f,0x7fd4000f,0xffffffff,0x0fffffff,0xfffffe80,
    0xffffff00,0xfffffd00,0xf9800007,0xffffffff,0xffffffff,0x7ff407ff,
    0xff900fff,0xffffffff,0xffffffff,0x3fe27fff,0xffffffff,0xffffffff,
    0x2a0000ff,0x003fffff,0x9fffff50,0x3fffa000,0x3a6fffff,0xfd0fffff,
    0x2601ffff,0xffffffff,0xffffffff,0x3fa07fff,0xfd80ffff,0x8003ffff,
    0x01ffffff,0x1fffffd0,0xfffffd00,0xffff8801,0xfffffd6f,0xffff8801,
    0x3fffe26f,0x7c00006f,0x0007ffff,0x03fffffa,0xffffff70,0xffffffff,
    0x9fffffff,0x3ffffff2,0xffffffff,0x3fffffff,0x01fffffd,0xfffff700,
    0xffffffff,0x3fa003df,0xff00ffff,0xfd00ffff,0x0007ffff,0xfffff980,
    0xffffffff,0x07ffffff,0x07fffff4,0xffffffc8,0xffffffff,0x3fffffff,
    0xfffffff5,0xffffffff,0x001fffff,0x7ffffd40,0xfff50003,0x2e0009ff,
    0xffffffff,0x3fffffa7,0x1fffffd0,0x3ffffe60,0xffffffff,0x07ffffff,
    0x03fffffa,0x0ffffff6,0x3ffffe00,0xfffd001f,0xffd001ff,0xf8801fff,
    0xffd6ffff,0xf8801fff,0x3e26ffff,0x0006ffff,0x3fffffc0,0xffffd000,
    0xfffb801f,0xffffffff,0xffffffff,0xffff94ff,0xffffffff,0xffffffff,
    0x3ffffa7f,0xf910000f,0xffffffff,0xfe8009ff,0xff00ffff,0xfd00ffff,
    0x0007ffff,0xfffff980,0xffffffff,0x07ffffff,0x07fffff4,0xffffffc8,
    0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,0x001fffff,0x7ffffd40,
    0xfff50003,0x540009ff,0x5effffff,0x43fffffa,0x00fffffe,0xfffffff3,
    0xffffffff,0x740fffff,0xd80fffff,0x003fffff,0x1ffffff8,0xfffffd00,
    0xffffd001,0xfff8801f,0xffffd6ff,0xfff8801f,0x3ffe26ff,0x400006ff,
    0x007fffff,0x3fffffa0,0x7fffdc00,0xffffffff,0xffffffff,0xfffff94f,
    0xffffffff,0xffffffff,0x3fffffa7,0x65440000,0x00acdfed,0xfffffd00,
    0x3ffffe01,0xffffe807,0x4c00003f,0xffffffff,0xffffffff,0x7f407fff,
    0xf900ffff,0xffffffff,0xffffffff,0x3f67ffff,0xffffffff,0xffffffff,
    0x20000fff,0x03fffffa,0xfffff500,0x75300009,0xffffd013,0x3ffffa1f,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55400000,0x0002aaaa,
    0xaaaaaa98,0xaaaaaaaa,0xaaaaaaaa,0x55555550,0x35555555,0x2aaa0013,
    0x01aaaaaa,0x55555540,0x55550aaa,0x55555555,0x50003355,0x55555555,
    0x55555555,0x81555555,0x002aaaaa,0xaaaaaa80,0xaaaaaaaa,0x1aaaaaaa,
    0x00555555,0x55555500,0x55550003,0x95300155,0x26157bdd,0x001aaaaa,
    0x0aaaaa98,0x55555555,0x35555555,0x55500033,0x55555555,0x03355555,
    0xaaaaaa80,0x554c0002,0x3ea02aaa,0xffffffff,0x04ffffff,0x0ccccb80,
    0x2aaaaaaa,0x2aaa0001,0x5530aaaa,0x30003555,0x35555555,0x0f777764,
    0x3fffe200,0x40001fff,0xfffffffc,0xffffffff,0x1fffffff,0xfffffffd,
    0xffffffff,0x7f4039ff,0x6fffffff,0x3fffe600,0xfd2fffff,0xffffffff,
    0xdfffffff,0x3fffa007,0xffffffff,0xffffffff,0x7ffc3fff,0xd80007ff,
    0xffffffff,0xffffffff,0xffd5ffff,0x80001fff,0x04fffffd,0xffffff80,
    0x7fffec01,0xffb5ffff,0xb000dfff,0x361fffff,0xffffffff,0xffffffff,
    0xd800ceff,0xffffffff,0xffffffff,0xfd801cff,0x000fffff,0x3fffffa0,
    0x3fffee06,0xffffffff,0x44004fff,0x2e1fffff,0x06ffffff,0xfffff700,
    0x7fffecbf,0x7fd4004f,0x20ffffff,0x02fffffd,0x7ffffdc0,0x640005ff,
    0xffffffff,0xffffffff,0xd1ffffff,0xffffffff,0xffffffff,0x3fa09fff,
    0xffffffff,0xffff9000,0x3a5fffff,0xffffffff,0xffffffff,0x7f403fff,
    0xffffffff,0xffffffff,0x7c3fffff,0x0007ffff,0xffffffd8,0xffffffff,
    0xd5ffffff,0x001fffff,0xfffffd80,0xffff8004,0x3ff601ff,0x4fffffff,
    0x9ffffffb,0xffffd800,0xfffffb0f,0xffffffff,0xffffffff,0xffffd809,
    0xffffffff,0xffffffff,0x7fffd405,0xf10003ff,0x407fffff,0xfffffffd,
    0xffffffff,0x7ffec004,0x7fff41ff,0x44003fff,0x0fffffff,0x13fffff6,
    0xfffffa80,0x7fec0fff,0x74002fff,0xffffffff,0x3ff20000,0xffffffff,
    0xffffffff,0xffd1ffff,0xffffffff,0xffffffff,0xfffd0bff,0x05ffffff,
    0x3fffffa0,0xffd2ffff,0xffffffff,0xffffffff,0x7ff40bff,0xffffffff,
    0xffffffff,0x7fc3ffff,0x80007fff,0xfffffffd,0xffffffff,0xfd5fffff,
    0x0001ffff,0x4fffffd8,0xfffff800,0xffff901f,0x25ffffff,0xfffffffd,
    0x3fff6001,0xffffb0ff,0xffffffff,0xffffffff,0x7fec09ff,0xffffffff,
    0xffffffff,0x7fc05fff,0x0006ffff,0x1ffffff7,0x7fffff40,0xffffffff,
    0x3ea004ff,0x4c1fffff,0x0fffffff,0x3ffff600,0x7ffec3ff,0xff3004ff,
    0x03ffffff,0x05fffffb,0x7ffffcc0,0x0003ffff,0x3ffffff2,0xffffffff,
    0xffffffff,0xffffffd1,0xffffffff,0x9fffffff,0xffffffe8,0xf8804fff,
    0xffffffff,0xfffffd2f,0xffffffff,0xffffffff,0x3ffffa0b,0xffffffff,
    0xffffffff,0x7fffc3ff,0xfd80007f,0xffffffff,0xffffffff,0xfffd5fff,
    0xd80001ff,0x004fffff,0x1ffffff8,0xffffffd0,0x3f61fdbf,0x05ffffff,
    0x3fffff60,0xffffffb0,0xffffffff,0xffffffff,0x3fff607f,0xffffffff,
    0xffffffff,0x3f205fff,0x000fffff,0x6fffffd8,0x3ffffe20,0xffffffff,
    0xf5004fff,0x03ffffff,0x9ffffff9,0x3fffe600,0xfffd86ff,0xff9804ff,
    0x01ffffff,0x05fffffb,0x7ffffe40,0x0006ffff,0x3ffffff2,0xffffffff,
    0xffffffff,0xffffffd1,0xffffffff,0xffffffff,0x7fffff41,0xa806ffff,
    0xffffffff,0xffffd2ff,0xffffffff,0xffffffff,0xfffd03ff,0xffffffff,
    0xffffffff,0xfff87fff,0xd80007ff,0xffffffff,0xffffffff,0xffd5ffff,
    0x80001fff,0x04fffffd,0xffffff80,0xffffff01,0x7fffec07,0xb002ffff,
    0x361fffff,0xffffffff,0xffffffff,0x7fffffff,0xdfffffb0,0xdddddddd,
    0xffffffff,0x3ffe601f,0x44003fff,0x03ffffff,0x37ffffe6,0xcccccccc,
    0xffb802cc,0x81ffffff,0xffffffe8,0xffffe801,0xfffd81ff,0x7fc404ff,
    0x01ffffff,0x0bfffff6,0x7ffffc40,0x01ffffff,0x7dc00000,0x23ffffff,
    0x03fffffe,0x7fffff54,0x3fffa4ff,0x0fffffff,0x7ffffe40,0xfd2fffff,
    0x4407ffff,0xffffffd9,0xffffe86f,0xf800003f,0x0007ffff,0x4fffffd8,
    0xfffe8000,0x6c0000ff,0x004fffff,0x1ffffff8,0xffffff88,0x3ffff600,
    0x800fffff,0xb0fffffd,0x009fffff,0x3fffff66,0xfffd82ff,0xfd5004ff,
    0x405fffff,0x06fffffe,0x7ffffdc0,0x3ffee00f,0x100000ff,0xfffffffb,
    0x3fea03ff,0x5406ffff,0x04ffffff,0x09fffffb,0x7fffff44,0x4cc401ff,
    0xf5000999,0xffffffff,0x00000bff,0x7ffffd40,0x7fff45ff,0xff7003ff,
    0x7f4dffff,0xffffffff,0x7fff402f,0x2fffffff,0x07fffffd,0x3ffff660,
    0x7fff43ff,0x800003ff,0x007fffff,0xfffffd80,0xffe80004,0x40000fff,
    0x04fffffd,0xffffff80,0xfffff881,0x7fffec07,0x804fffff,0xb0fffffd,
    0x009fffff,0xffffffb8,0xfffffd84,0x7fff4004,0x3ff205ff,0x2001ffff,
    0x05fffffd,0x03ffffe4,0x7ffdc400,0xffffffff,0x3ffff601,0xfff103ff,
    0x7ec0dfff,0xd104ffff,0x5fffffff,0xfd000000,0xfff9ffff,0x00001fff,
    0xfffff100,0xfffd0dff,0x7fc007ff,0x3fa7ffff,0xfffdffff,0x3ffe204f,
    0xfffffdff,0x7fffffd2,0x7fffc400,0x3ffa0fff,0x00003fff,0x07fffff8,
    0xffffd800,0xfe80004f,0x1100ffff,0xfffffb00,0xffff0009,0xfff103ff,
    0xffd80dff,0xffffffff,0x7fffec01,0xfffffb0f,0xfff88009,0xffd85fff,
    0x5c004fff,0x206fffff,0x3ffffff9,0xfffff100,0xfffe805f,0x7d40006f,
    0xffffffff,0x2201ffff,0x0fffffff,0xffffffc8,0x3ffff602,0xffffb04f,
    0x00005fff,0xfffff300,0x3fffffaf,0x44000003,0xfffffffe,0xfffffe80,
    0x3fff2003,0xfffd0fff,0xfffff7ff,0x7ffffd40,0xd2fffffb,0x007fffff,
    0xffffffb8,0x3fffffa3,0xff800003,0x3a607fff,0xb0deeeee,0x009fffff,
    0xfffffd00,0x7fff6d41,0xfffd80cd,0xff8004ff,0xdd51ffff,0xdffffffd,
    0x7fec3ddd,0xffffffff,0x7fffec06,0xfffffb0f,0xfffb0009,0xfffb0dff,
    0xf98009ff,0x7404ffff,0x006fffff,0x1ffffff5,0x4fffff80,0x7ffdc000,
    0xfffeefff,0x7fdc01ff,0x7c44ffff,0x405fffff,0x84fffffd,0xfffffffd,
    0x90000002,0x2e9fffff,0x006fffff,0x7ffec000,0xfd01ffff,0x4007ffff,
    0x0ffffffa,0xf3fffffd,0x3203ffff,0xffbdffff,0xfffd2fff,0xfd0007ff,
    0x7f4bffff,0x0003ffff,0x7fffff80,0xffffff10,0x7fffec3f,0xfe80004f,
    0xfd88ffff,0xefffffff,0x7ffffec1,0xffff8004,0xffff71ff,0xffffffff,
    0x7fffec5f,0x3fffffff,0x3fffff60,0x9fffffb0,0xffffd000,0xffffb0bf,
    0xffc8009f,0x7dc02fff,0x801fffff,0x05fffffd,0x5fffffc4,0x0acefdb9,
    0x7ffffdc0,0x3fffffb4,0xfffffd00,0x7fffec3f,0x7fec00ff,0x7fe44fff,
    0x002fffff,0x3ffe0000,0xfff11fff,0x00003fff,0x3ffffee0,0x3ffa03ff,
    0x32003fff,0x3a7fffff,0xfff7ffff,0x3ffa07ff,0xffffbbff,0xfffffd2f,
    0xfff90007,0x7fff4fff,0x800003ff,0x887fffff,0x2ffffffe,0x27ffffec,
    0x7fff4000,0xffffeaff,0x1fffffff,0x13fffff6,0x3ffffe00,0xfffff71f,
    0xffffffff,0x7ffffec5,0x0fffffff,0x1fffffb0,0x13fffff6,0xfffff100,
    0xffffb09f,0xfff8009f,0x7c400fff,0x404fffff,0x2ffffff8,0x7ffffd40,
    0xffffffff,0x3ffee02f,0x3ffff62f,0xfff9801f,0xfff56fff,0xfb005fff,
    0x7e49ffff,0x03ffffff,0x3ea00000,0x7ec6ffff,0x0005ffff,0xfffffa80,
    0x7ff404ff,0x3e003fff,0x3a5fffff,0xffb7ffff,0xfff10bff,0xffff73ff,
    0x3ffffa5f,0xffa8003f,0xffd1ffff,0x33339fff,0x33333333,0x3ffe0333,
    0xfffe87ff,0xffd82fff,0x80004fff,0xfffffffe,0xffffffff,0x3ff65fff,
    0xf8004fff,0xf71fffff,0xffffffff,0x7ec5ffff,0xfffaffff,0xffb05fff,
    0x3ff61fff,0x6c004fff,0x82ffffff,0x04fffffd,0xfffffb88,0xfffb005f,
    0xffa80dff,0xfb807fff,0xffffffff,0x04ffffff,0xfd817ff7,0x9001ffff,
    0xd5ffffff,0x00bfffff,0x53fffff6,0xfffffffb,0x40000003,0x43fffffd,
    0x0ffffffa,0x3fe20000,0x806fffff,0x03fffffe,0xfffffe88,0x3ffffa3f,
    0x0fffff77,0x2efffff5,0xfd2fffff,0x0007ffff,0x3ffffff3,0x3ffffffa,
    0xffffffff,0x1fffffff,0x47fffff8,0x3ffffffd,0xdfffffb0,0x99999999,
    0xfe859999,0xdfffffff,0xfffffdbb,0xffffb1ff,0xffffffff,0xffffffff,
    0x3ee3ffff,0xffffffff,0x3f62ffff,0xffc8ffff,0xfd81ffff,0xffb0ffff,
    0x33339fff,0xfd533333,0x20dfffff,0xfffffffd,0xffffffff,0x04ffffff,
    0x3ffffea0,0x3fff601f,0xffd804ff,0xffffffff,0x84ffffff,0x3fff602a,
    0x3fa001ff,0xffffffff,0xfb000fff,0xff59ffff,0x09ffffff,0x7c400000,
    0x440fffff,0x03ffffff,0xfffd1000,0xd001ffff,0x339fffff,0xff953333,
    0x45ffffff,0xf37ffffe,0xfc83ffff,0xfff75fff,0x3fffa5ff,0xf88003ff,
    0xfd2fffff,0xffffffff,0xffffffff,0xff03ffff,0x7fe4ffff,0x3603ffff,
    0xffffffff,0xffffffff,0x7fff44ff,0xf980ffff,0xfb4fffff,0xffffffff,
    0xffffffff,0x3fffffff,0xdfffff10,0xfffffd80,0xffffff88,0xfffffd86,
    0xffffffb0,0xffffffff,0xffffffff,0x3fff603f,0xffffffff,0xffffffff,
    0x7fc4003f,0xf104ffff,0x003fffff,0xffffffff,0xffffffdf,0xfd8003ff,
    0x2001ffff,0xfffffff9,0x2003ffff,0xfefffffd,0xffffffff,0x0000001f,
    0x0bfffff7,0x1bfffff6,0x7ffec000,0xd001ffff,0xffffffff,0xffffffff,
    0xe8dfffff,0x3fe7ffff,0x7ffc3fff,0xffff73ff,0x3ffffa5f,0xff88003f,
    0xffd2ffff,0xffffffff,0xffffffff,0xfff03fff,0x3ffeefff,0x7ec04fff,
    0xffffffff,0xffffffff,0x7ffff44f,0x3ff201ff,0xfffb5fff,0xffffffff,
    0xffffffff,0x103fffff,0x80dfffff,0x50fffffd,0x87ffffff,0xb0fffffd,
    0xffffffff,0xffffffff,0x07ffffff,0x7fffffec,0xffffffff,0x01efffff,
    0xfffffd80,0xfffff507,0xffff100d,0xffb819ff,0x4006ffff,0x01fffffd,
    0x7ffffec0,0x4006ffff,0xfffffffd,0xffffffff,0x0000006f,0x05fffffd,
    0x3fffffea,0x7fe40001,0x002fffff,0x3ffffffa,0xffffffff,0x0effffff,
    0xb3fffff4,0x7ccbffff,0xff71ffff,0x3ffa5fff,0x88003fff,0xd3ffffff,
    0xffffffff,0xffffffff,0xf03fffff,0xff5fffff,0xb009ffff,0xffffffff,
    0xffffffff,0xfffe89ff,0x7fd404ff,0xfffb5fff,0xffffffff,0xffffffff,
    0x103fffff,0x80dfffff,0x20fffffd,0x0ffffffd,0x43fffff6,0xfffffffd,
    0xffffffff,0x01efffff,0x7fffffec,0xffffffff,0xefffffff,0x3ffea001,
    0xffd81fff,0xb8803fff,0x2602ffec,0x02ffffff,0x3fffff60,0x7ffc4001,
    0x01ffffff,0x7ffffec0,0xffffffff,0x0003ffff,0x7fffcc00,0x3ffe00ff,
    0x20005fff,0xfffffffa,0x7fff4004,0xffffffff,0xffffffff,0xffffe81f,
    0x9ffffee7,0x2e7ffffb,0xfd2fffff,0x0007ffff,0x5ffffff1,0x3ffffffa,
    0xffffffff,0x1fffffff,0xfffffff8,0x006fffff,0xfffffffb,0xffffffff,
    0xffe89fff,0x7cc02fff,0xffb6ffff,0xffffffff,0xffffffff,0x03ffffff,
    0x0dfffff1,0x0fffffd8,0x3fffffe6,0x3fffff65,0xffffffb0,0xffffffff,
    0x0059dfff,0x3ffffff6,0xffffffff,0xffffffff,0x3ffe001f,0xfff84fff,
    0x00000fff,0x3fffff60,0x3fff6004,0xfa8001ff,0x04ffffff,0xfffffd80,
    0xffcfffff,0x000fffff,0x0bfffff6,0x2fffffe4,0x3fffff20,0xff98000f,
    0x005fffff,0xffffffe8,0xffffffff,0xd01dffff,0x7ccfffff,0xffb1ffff,
    0x7ffdcbff,0xffffd2ff,0xff10007f,0x3fa5ffff,0x999cffff,0x99999999,
    0xfff01999,0xffffffff,0xffb001ff,0x9999dfff,0x99999999,0xfffffe85,
    0x7fffcc01,0xfffffb6f,0x33333339,0xfff33333,0xff103fff,0xfd80dfff,
    0x7e40ffff,0xfb2fffff,0x3f61ffff,0xffeeffff,0xefffffff,0x7ffec001,
    0xaaaaadff,0xffecbaaa,0x000fffff,0x8ffffff9,0x06fffffa,0x7fd40000,
    0x36005fff,0x001fffff,0xffffffb0,0xfffb0001,0x27ffffff,0x5ffffffb,
    0x3ffff600,0xffff882f,0xaaaaacff,0xfffffcaa,0x7f44003f,0x00efffff,
    0xfffffe80,0xffffffff,0x7400ceff,0x7fc7ffff,0xffff4fff,0x7fffdc7f,
    0xfffffd2f,0xfff30007,0x3ffa3fff,0x00003fff,0xfffffff8,0x05ffffff,
    0x4fffffd8,0xfffe8000,0x7fcc01ff,0xfffb6fff,0xff0009ff,0xf103ffff,
    0xd80dffff,0xe80fffff,0xfb6fffff,0x3f61ffff,0x2624ffff,0xfffffffc,
    0x3fff6002,0x7e4004ff,0x004fffff,0x3ffffff3,0x1fffffec,0x3e600000,
    0x2006ffff,0x01fffffd,0xfffff900,0x3ff6000b,0x44ffffff,0x3ffffffe,
    0xfffffb00,0xfffff705,0xffffffff,0xffffffff,0xfffd800d,0x0001ffff,
    0x39fffffd,0x00013333,0xb1fffffa,0xff3dffff,0x7fdc3fff,0xfffd2fff,
    0xf50007ff,0x3a1fffff,0x003fffff,0xfffff800,0xffffffff,0x7ffec02f,
    0xe80004ff,0x400fffff,0xb6fffff8,0x009fffff,0x3ffffff0,0xdfffff10,
    0xfffffd80,0xfffffa80,0xfffffdcf,0x9fffffb0,0x3ffffe60,0xffb004ff,
    0x90009fff,0x01ffffff,0x3fffffa0,0x3fffffe4,0x44000000,0x007fffff,
    0x07fffff6,0x7fffe400,0xffb0005f,0x509fffff,0x1fffffff,0xfffffb00,
    0xfffffd05,0xffffffff,0xffffffff,0x3ff2003f,0x002fffff,0x3fffffa0,
    0x7f400003,0x7fdc7fff,0xffffcfff,0x7ffffdc7,0x7fffffd2,0xffff9000,
    0x7ffff4ff,0xf800003f,0xffffffff,0x406fffff,0x04fffffd,0xffffe800,
    0x7ffc400f,0xffffb6ff,0xfff0009f,0xff103fff,0xfd80dfff,0xfb00ffff,
    0xffdfffff,0x3ff61fff,0x3ea04fff,0x04ffffff,0x4fffffd8,0xffffa800,
    0xff9001ff,0x3feaffff,0x00005fff,0xfffff980,0x3fff6006,0xf90001ff,
    0x000bffff,0x3ffffff6,0x3ffff604,0xffd805ff,0x7fcc2fff,0xffffffff,
    0xffffffff,0x805fffff,0xfffffffa,0x7ff40003,0x00003fff,0x23fffff4,
    0xfffffff9,0x7fdc5fff,0xfffd2fff,0xfd0007ff,0x7f4bffff,0x0003ffff,
    0xffffff80,0xffffe8ff,0x3fff603f,0xe80004ff,0x400fffff,0xb6fffff8,
    0x009fffff,0x3ffffff0,0xdfffff10,0xfffffd80,0xfffff100,0x1fffffff,
    0x13fffff6,0xffffff90,0xfffd805f,0xf88004ff,0x003fffff,0x5ffffff3,
    0x05fffff9,0x66554c40,0x7fffd400,0x3ff6005f,0x90001fff,0x00bfffff,
    0x3fffff60,0x7fffcc05,0x7ec02fff,0x7e42ffff,0xffffffff,0xffffffff,
    0x0fffffff,0x3ffffe60,0xe80005ff,0x003fffff,0x7ffff400,0xffffff87,
    0x7dc3ffff,0xffd2ffff,0xb8007fff,0x22ffffff,0x03fffffe,0xffff8000,
    0xfff30fff,0x3f601fff,0x0004ffff,0x0fffffe8,0x7ffffc40,0x9fffffb6,
    0xfffff000,0xffff103f,0xfffd80df,0x3fee00ff,0xffffffff,0xfffffb0f,
    0xffffd009,0x7ec01fff,0x8004ffff,0x2ffffffa,0x3ffffa00,0xffffffdf,
    0x3fffa000,0x7fe403ff,0x36004fff,0x001fffff,0xbfffff90,0x3fff6000,
    0xffc804ff,0x000fffff,0xffffff80,0xeeeeeeee,0xfffeeeee,0xfd103fff,
    0x01dfffff,0xffffd000,0xe800007f,0xfd87ffff,0xffffffff,0x7ffffdc1,
    0x7fffffd2,0x7fffc400,0x7fff47ff,0x800003ff,0x41ffffff,0x04fffffd,
    0x09fffffb,0xffffd000,0xfff8801f,0xffffb6ff,0xfff0009f,0xff103fff,
    0xfd80dfff,0x7400ffff,0xffffffff,0xffffb0ff,0xfff3009f,0x6c0bffff,
    0x004fffff,0xffffffc8,0x3ffee000,0xffffffff,0x7ffe4005,0x3fe207ff,
    0x2001ffff,0x01fffffd,0xfffff900,0x3ff6000b,0xf8804fff,0x05ffffff,
    0x50666666,0x01ffffff,0xfffffd00,0x3ffff60d,0x00000fff,0x07fffffd,
    0xfffe8000,0xffffb87f,0xfb87ffff,0xffd2ffff,0x2a007fff,0x3ffffffe,
    0x1ffffff4,0x7ffc0000,0xfff887ff,0xffd81fff,0x80004fff,0x00fffffe,
    0xb7ffffc4,0x04fffffd,0xffffff80,0xfffff881,0x7fffec06,0x7ffcc00f,
    0x0fffffff,0x09fffffb,0x3ffffee0,0xfffb02ff,0xfa8009ff,0x006fffff,
    0x7fffffc4,0x002fffff,0x7fffffcc,0x7ffec40c,0x7ec005ff,0x0001ffff,
    0x0bfffff9,0x3ffff600,0xfff7004f,0x3a05ffff,0x360fffff,0x005fffff,
    0xffffff70,0xfffffb83,0x99999bff,0x99999999,0xfffd1999,0x800007ff,
    0x987ffffe,0xffffffff,0xfffffb85,0x9fffffd2,0x75533333,0xfffffffd,
    0xffffe81d,0x999999cf,0x99999999,0x7fffc199,0xffff907f,0xffffb0bf,
    0xfd00009f,0x8801ffff,0xfb6fffff,0x0009ffff,0x03ffffff,0x0dfffff1,
    0x0fffffd8,0xfffffc80,0xffb0ffff,0x74009fff,0x0fffffff,0xcfffffd8,
    0xaa999999,0xfffffeba,0xfd8004ff,0xffffffff,0xfffd0007,0xd759ffff,
    0x03ffffff,0xfffffd80,0xfff90001,0x36000bff,0x004fffff,0x3ffffffa,
    0xffffe80f,0xfffff10f,0x3e20005f,0x5c5fffff,0xffffffff,0xffffffff,
    0xffffffff,0x7fffffd7,0xffe80000,0xffff07ff,0xf707ffff,0x3fa5ffff,
    0xffffffff,0xffffffff,0xe81fffff,0xffffffff,0xffffffff,0x47ffffff,
    0x107fffff,0x85ffffff,0x04fffffd,0xffffe800,0x7ffc400f,0xffffb6ff,
    0xfff0009f,0xff103fff,0xfd80dfff,0x8800ffff,0xffffffff,0xfffffb0f,
    0x7ffc4009,0xfd84ffff,0xffffffff,0xffffffff,0x1fffffff,0xffffa800,
    0x004fffff,0xffffff10,0xffffffff,0xfb0009ff,0x0003ffff,0x17fffff2,
    0x7fffec00,0x3fe6004f,0xe84fffff,0xf70fffff,0x000fffff,0xffffffd8,
    0x3ffffee0,0xffffffff,0xffffffff,0xfffd7fff,0x800007ff,0xb07ffffe,
    0x3fffffff,0x5fffff70,0x3ffffffa,0xffffffff,0x2fffffff,0xffffffd0,
    0xffffffff,0xffffffff,0x7fffff8f,0x3ffffee0,0x7ffffec6,0xffe80004,
    0x7c400fff,0xffb6ffff,0xf0009fff,0x103fffff,0x80dfffff,0x00fffffd,
    0xffffff50,0x3fff61ff,0x7dc004ff,0x41ffffff,0xfffffffd,0xffffffff,
    0xffffffff,0xfff10002,0x03ffffff,0x7fffd400,0xffffffff,0xfb0003ff,
    0x0003ffff,0x17fffff2,0x7fffec00,0x7fec004f,0x741fffff,0xfd0fffff,
    0x0009ffff,0xffffffa8,0x3ffffee3,0xffffffff,0xffffffff,0xfffd7fff,
    0x800007ff,0x707ffffe,0x0fffffff,0x4bffffee,0xfffffffe,0xffffffff,
    0x201dffff,0xfffffffe,0xffffffff,0x7fffffff,0x03fffffc,0x8ffffffa,
    0x04fffffd,0xffffe800,0x7ffc400f,0xffffb6ff,0xfff0009f,0xff103fff,
    0xfd80dfff,0x2000ffff,0xfffffffd,0x9fffffb0,0xffffd000,0xfffd8dff,
    0xffffffff,0xffffffff,0x40003fff,0xfffffffd,0xfea80006,0xffffffff,
    0x360002ff,0x001fffff,0xbfffff90,0x3fff6000,0x7c4004ff,0x46ffffff,
    0x98fffffe,0x01ffffff,0xfffff800,0x3fffee6f,0xffffffff,0xffffffff,
    0xffd7ffff,0x00007fff,0x07ffffe8,0xbffffff3,0x3ffffee0,0xffffffd2,
    0xffffffff,0xd005dfff,0xffffffff,0xffffffff,0x8fffffff,0x407fffff,
    0x0ffffffa,0x09fffffb,0xffffd000,0xfff8801f,0xffffb6ff,0xfff0009f,
    0xff103fff,0xfd80dfff,0x2000ffff,0xfffffff9,0x9fffffb0,0xffff1000,
    0x7fec7fff,0xffffffff,0xffffffff,0x80002dff,0xfffffffa,0x3ee00003,
    0xceffffff,0x7fec0001,0x90001fff,0x00bfffff,0x3fffff60,0xfffc8004,
    0x3724ffff,0xffd8dddd,0x00006fff,0x3ffffff9,0x3fffffee,0xffffffff,
    0xffffffff,0xffffd7ff,0xe800007f,0x3e07ffff,0x703fffff,0x3a5fffff,
    0xffffffff,0xcdefffff,0x3fffa002,0xffffffff,0xffffffff,0x7ffc7fff,
    0xffe807ff,0xfffb4fff,0xd00009ff,0x801fffff,0xb6fffff8,0x009fffff,
    0x3ffffff0,0xdfffff10,0xfffffd80,0x7ffe4000,0xfffb0fff,0x2e0009ff,
    0x0fffffff,0xfffffffb,0xffffffff,0x00017bdd,0xffffff80,0x8800001f,
    0x00009ba9,0x3fffff60,0xfff90001,0x36000bff,0x004fffff,0xffffffd0,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa8000,0xaaaaaaaa,
    0xaaaaaaaa,0x2aa2aaaa,0x001aaaaa,0x55555544,0x55555542,0x2aaaa001,
    0x2a001aaa,0x2a0aaaaa,0x550aaaaa,0x55555555,0x776c5555,0xfff10eee,
    0xffffffff,0xffffffff,0x332a007f,0x2a6003cc,0xaaaaaaaa,0xaaaaaaaa,
    0x0000aaaa,0x006c4013,0x40000000,0x00009998,0x00009880,0x20000011,
    0x4cc00198,0x33000000,0x4c400000,0x80000000,0x20000009,0x00000098,
    0x00800331,0x7fc00000,0xffffffff,0xffffffff,0x26ffffff,0x6ffffffa,
    0x7fffe400,0x7ffe44ff,0xff1006ff,0x00dfffff,0x3fffffe6,0x3fffffe0,
    0xffffffd2,0x4fffffff,0x10fffffe,0xffffffff,0xffffffff,0x2007ffff,
    0x005ffffd,0x266666ae,0x99999999,0x2a999999,0xffedb880,0x3f61ceff,
    0x3ffe002f,0x440007ff,0xffffffec,0x930003df,0x7bdfffff,0x3ff72601,
    0x0001ceff,0xffffffb5,0xfec885bd,0x002dffff,0x3fffb6e0,0x20002dff,
    0xefffffc9,0x3bb201bd,0x64c00eee,0x1cdffffe,0x3ff26000,0x01bdefff,
    0xffffb500,0x4017dfff,0x000002df,0xfffffff0,0xffffffff,0xffffffff,
    0xffffd8df,0xff3004ff,0xa81fffff,0x007fffff,0xfffffff5,0xfff7001f,
    0xffff8dff,0xffffd2ff,0xffffffff,0x7fffff4f,0xffffff10,0xffffffff,
    0x07ffffff,0x17ffff60,0x00000b80,0x3fee014c,0xffffffff,0x03fffddf,
    0x1fffffe0,0xffffd800,0xffffffff,0xffb1000e,0xffffffff,0xffffb85f,
    0x0cffffff,0xfffff500,0xdfffffff,0xffffff75,0x003dffff,0x7fffff4c,
    0x02efffff,0x3ffff620,0x3fffffff,0x1fffffd0,0x7ffffe40,0x004fffff,
    0x7ffffec4,0x03ffffff,0x3ffffaa0,0xffffffff,0x17dfff04,0x7fc00000,
    0xffffffff,0xffffffff,0x46ffffff,0xfffffff8,0xffffe801,0xfff882ff,
    0xfc801fff,0x2fffffff,0xfffffc80,0x7fffffc4,0xffffffd2,0x4fffffff,
    0x10fffffe,0xffffffff,0xffffffff,0x2007ffff,0x005ffffd,0x3000002e,
    0x3fffa205,0xffffffff,0x004fffff,0x03fffffc,0xfffffd80,0xffffffff,
    0x7fd400ef,0xffffffff,0xfe9dffff,0xffffffff,0x5401ffff,0xffffffff,
    0xffffffff,0xffffffff,0xc802ffff,0xffffffff,0x02ffffff,0xffffffa8,
    0xffffffff,0x7ffff41e,0xfffe880f,0xffffffff,0xffa800ef,0xffffffff,
    0x401effff,0xfffffffa,0xffffffff,0xffffff84,0xf800000c,0xffffffff,
    0xffffffff,0x6fffffff,0xffffffb8,0x7fffdc06,0x3ffe05ff,0xfe803fff,
    0x4fffffff,0xfffffe80,0x7fffffc2,0x99999972,0x49999999,0x10fffffe,
    0xffffffff,0xffffffff,0x2003ffff,0x005ffffd,0x3000002e,0xfffff105,
    0xffffffff,0x000bffff,0x00ffffff,0xffffff90,0xffffffff,0x7fcc0dff,
    0xffffffff,0xffffffff,0xffffffff,0x206fffff,0xfffffff9,0xffffffff,
    0xffffffff,0x1fffffff,0x3fffff20,0xffffffff,0x3e601fff,0xffffffff,
    0xffffffff,0x3fffffa1,0xfffffe80,0xffffffff,0x3fea00ff,0xffffffff,
    0x1fffffff,0xffffff10,0xffffffff,0xfff87fff,0x01dfffff,0x3fffe000,
    0xffffffff,0xffffffff,0xfd06ffff,0x207fffff,0xfffffff8,0x3ffff600,
    0x7ffc405f,0x06ffffff,0x7fffffc4,0x7fffffc0,0xffd00002,0x33221fff,
    0xcccccccc,0xffffeccc,0x3ff6003f,0x02e005ff,0xb0530000,0x9dffffff,
    0xffffff95,0xff8001ff,0x44007fff,0xceffffff,0xfffffcaa,0xffe881ff,
    0xfeffffff,0xffffffff,0xb9acffff,0x04fffffe,0xbffffff9,0xfffffb77,
    0x59dfffff,0xdffffffb,0x3ffffe20,0xfffdcdff,0xf106ffff,0xdfffffff,
    0xffffffdb,0x7ffff4df,0x7fffdc0f,0xffcabdff,0xf103ffff,0xdfffffff,
    0xffffffdb,0x3fff20df,0xb9899cff,0x46fffffe,0xffffffff,0x00002eff,
    0xfffffb00,0x7fcc0009,0xd80fffff,0x03ffffff,0x37ffffdc,0x3ffffee0,
    0x200fffff,0x87fffff9,0x02ffffff,0x33331000,0xff880003,0x6c005fff,
    0x2005ffff,0x4c00000b,0x7ffffdc2,0xffff703f,0xff8009ff,0x5c007fff,
    0x205fffff,0x82ffffff,0xdffffffc,0x7ffff4c0,0xb01fffff,0x883fffff,
    0x00ffffff,0xfffffffd,0x3ffff609,0xffffd83f,0xfffa81ef,0xffd82fff,
    0xd885ffff,0xd4ffffff,0x441fffff,0x82ffffff,0x0fffffe8,0xffffffd8,
    0x7ffec40d,0xffe83fff,0x3fe205ff,0x3f61ffff,0xffffffff,0x0000cfff,
    0x3ffff600,0x7dc0004f,0x545fffff,0x06ffffff,0xffffff98,0x3ffff600,
    0x02ffffff,0x17ffffee,0x0bfffffe,0x00000000,0x06ffffd8,0x5ffffd80,
    0x00002e00,0x7ffc4530,0xfd102fff,0x01ffffff,0xb9800000,0x3200ffec,
    0x443fffff,0x04ffffff,0x3fffffa2,0x3fe203ff,0x5d443fff,0x3ee03fed,
    0x405fffff,0x546ffffe,0x00ffffff,0x17fffff6,0x9ffffff1,0xfffffc80,
    0x7ff9989f,0x1fffffec,0x7fffff30,0xffffff88,0x7fffe404,0x7fffc0ff,
    0x55ed405f,0xffff9300,0xffffffff,0xb000003b,0x009fffff,0xfffffd00,
    0x7ffff43f,0xfff000ff,0x7fc05fff,0xffffffff,0x3fff604f,0xffff83ff,
    0xdddb02ff,0x000001dd,0x3ffffea0,0xaaaaaa81,0xeffffeaa,0x2aaaaaaa,
    0x3000002e,0x7ffffd45,0x3ffffa05,0x0004ffff,0x40080000,0x43fffffa,
    0x0ffffffa,0x7ffffcc0,0x7fe400ff,0x400806ff,0x2ffffff8,0x7ffffd40,
    0x3fffff20,0x5677cc04,0x7fffdc09,0xfff8806f,0x3fe63fff,0x3fffffc6,
    0x3ffffec0,0x1bffffee,0x7fffffc0,0x7fffffc3,0x500000ad,0xfffffffb,
    0x005dffff,0x7fffec00,0xf980004f,0xf76fffff,0x007fffff,0x1fffffec,
    0xbfffff98,0x206fffff,0x81ffffff,0x02ffffff,0x01fffffd,0xff100000,
    0x3fe09fff,0xffffffff,0xffffffff,0x002e7fff,0x7e453000,0xfb01ffff,
    0xfffff9ff,0x5555554b,0xaaaaaaaa,0x2aaaaaaa,0x3fae2000,0x7ec4ffff,
    0xb004ffff,0x00dfffff,0x01fffff5,0x3ff6a200,0x4c00ffff,0x363fffff,
    0x001fffff,0xfffffd00,0x3ffee007,0x97ff25ff,0x06fffff8,0x0fffffb8,
    0x0bfffffa,0x7ffffdc0,0x7ffffec5,0x001befff,0xfffeb880,0xffffffff,
    0x7ec0000b,0x0004ffff,0xffffff90,0xdffffffb,0xffffb800,0xffff705f,
    0xfffffb3f,0xfffff101,0x3ffffe0f,0xffffd02f,0x0000001f,0x40dffffb,
    0xffffffff,0xffffffff,0x2e7fffff,0x14c00000,0x01fffffb,0x3fe7fff9,
    0x3ffe7fff,0xffffffff,0xffffffff,0x2e6007ff,0xfffffffd,0x7fff44ff,
    0xff9002ff,0x5555dfff,0xfff75555,0x2e6003ff,0xffffffed,0xaaaaafff,
    0xffffbaaa,0x3ffffa4f,0xff00001f,0x2003ffff,0x57fffff9,0x7fcc3fff,
    0xaaaaefff,0xfffcaaaa,0x3fffe1ff,0xff3001ff,0xffb8dfff,0xffffffff,
    0x0000adff,0x7ffffed4,0x004fffff,0x7ffffec0,0xfd100004,0xffffffff,
    0x98003fff,0xb07fffff,0x3eefffff,0xfa82ffff,0xff05ffff,0x3a05ffff,
    0x000fffff,0x7ffd4000,0x3ffe02ff,0xffffffff,0xffffffff,0x0002e7ff,
    0x7ffc5300,0xfffb87ff,0x3fffffa4,0xfffffff0,0xffffffff,0x0fffffff,
    0x7ffff5c4,0xffffffff,0x7ffffc4f,0xfff5001f,0xffffffff,0xffffffff,
    0x7fed405f,0xffffffff,0xffffffff,0xffffffff,0x3fffe5ff,0x880000ff,
    0x00ffffff,0xffffff10,0xfa89fffb,0xffffffff,0xffffffff,0xfff12fff,
    0x22001fff,0xc87fffff,0xffffffff,0x0cffffff,0x7f5c4000,0x04ffffff,
    0x7fffec00,0x2a00004f,0xffffffff,0xf0004fff,0xf03fffff,0x3e6bffff,
    0xfc84ffff,0xff03ffff,0x3a05ffff,0x000fffff,0x7fff4000,0x7fffc06f,
    0xffffffff,0xffffffff,0x00002e7f,0x3ffe2530,0x7ffd46ff,0x7ffffec5,
    0xfffffff1,0xffffffff,0x0fffffff,0x3fffffee,0xffffffff,0x3ffe24ff,
    0xf5000fff,0xffffffff,0xffffffff,0xfd507fff,0xffffffff,0xffffffff,
    0xffffffff,0x22bfffff,0x007fffff,0xfffff300,0xffff800f,0xc85fffff,
    0xffffffff,0xffffffff,0xff32ffff,0xf800ffff,0xd80fffff,0xffffffff,
    0x2fffffff,0xfff90000,0x80009fff,0x04fffffd,0x7ffec000,0x0effffff,
    0xffffd000,0xffff985f,0x3ffffe3f,0xfffffd86,0xffffff01,0x3ffffa05,
    0x2000000f,0x03fffff9,0x7ffffffc,0xffffffff,0x27ffffff,0x4c00000b,
    0x9fffffe2,0x6c0efff9,0xff0fffff,0xffffffff,0xffffffff,0xff70ffff,
    0x9dffffff,0x9fffff55,0x1ffffff8,0xfffff500,0xffffffff,0x7fffffff,
    0xffffffa8,0xffabdfff,0xffffffff,0xffffffff,0x3fffe6ff,0x880000ff,
    0x007fffff,0x3fffffe2,0xfff701ef,0xffffffff,0xffffffff,0x3fffe27f,
    0x3fe2007f,0x32607fff,0xffffffff,0x01ffffff,0xfffd7100,0x0009ffff,
    0x4fffffd8,0x7fc40000,0x2fffffff,0x3fff2000,0x7ffdc4ff,0x3fff20ff,
    0x7fffc0ff,0x3fffe07f,0xfffd02ff,0x000001ff,0x07ffffec,0x26666660,
    0xeffffd99,0x19999999,0x3000002e,0x7fffff45,0x80fffe88,0x3e7ffffe,
    0xffffffff,0xffffffff,0x7dc7ffff,0x0adfffff,0x27ffffcc,0x0ffffffa,
    0x7ffffdc0,0xaaaaaaae,0x1aaaaaaa,0x3fffffe6,0x7ffc41cf,0xaaaaafff,
    0xaaaaaaaa,0x3ffffa2a,0xff00001f,0x2001ffff,0x2ffffff9,0x7ffffd40,
    0xaaaaaaad,0x1aaaaaaa,0x03fffffe,0x7ffffcc0,0xffda8806,0xffffffff,
    0x7ed4006f,0xffffffff,0x7ec0004f,0x0004ffff,0xfffffb80,0x540005ff,
    0x746fffff,0x7d46ffff,0x3e62ffff,0x3e05ffff,0xd02fffff,0x001fffff,
    0x3ffe6000,0xd80005ff,0x2005ffff,0x4c00000b,0x3fffff22,0xf01fffea,
    0x554dffff,0xaaaaaaaa,0xaaaaaaaa,0x7ff42aaa,0x3ea03fff,0x7e44ffff,
    0xb006ffff,0x00dfffff,0x3ffff200,0xfff300df,0x20000fff,0x02fffffd,
    0xff01abb8,0x2005ffff,0x06fffffa,0x5fffff98,0xffff0000,0x3ea005ff,
    0x8005ffff,0xfffffdb8,0xfb8807ff,0xffffffff,0x0000bfff,0x27ffffec,
    0x7ff40000,0x006fffff,0x7ffffc40,0x3ffffe27,0x7ffffc44,0x3ffffee4,
    0x3ffffe03,0xffffd02f,0x2000001f,0x01fffffc,0xffffd800,0x0002e005,
    0x7fdc5300,0x2fffffff,0x9fffff70,0x44000000,0x406fffff,0x44fffffa,
    0x0ffffffb,0x7ffffc40,0x4008807f,0x00fffffe,0x3fffffea,0x32004401,
    0x805fffff,0x20efffff,0x06fffffc,0x7fffffd0,0xfffff100,0xf900100d,
    0x200dffff,0x03fffffe,0xfb8802a6,0x500fffff,0xfffffffb,0x005dffff,
    0x7fffec00,0x5c00004f,0xffffffff,0x7f40003f,0xff51ffff,0xffd05fff,
    0x7ffe4dff,0x3ffe01ff,0xffd02fff,0x3fa01fff,0x8800ffff,0x006fffff,
    0xbffffb00,0x00005c00,0xfff88a60,0x103fffff,0x05ffffff,0x7d400000,
    0x6c05ffff,0x4c4fffff,0x04ffffff,0x7fffffec,0x3ffe203f,0x3ffe0bce,
    0x7fe407ff,0x6c05ffff,0x2a0acdff,0x00ffffff,0x1bffffea,0x5ffffff3,
    0xfffffa80,0xfffd001f,0x7fc405ff,0x7fcc2bde,0x5402ffff,0x21ffffff,
    0x04fffedb,0x0fffffe8,0x3fffff22,0xdfffffff,0xfd800001,0x0004ffff,
    0x3ffffe20,0x01ffffff,0x3ffff200,0xfffff93f,0xfffff901,0x3fffffa1,
    0x3ffffe00,0xffffd02f,0x3fffa01f,0xffb800ff,0x00003fff,0x00bffffb,
    0x2000005c,0x7fffe429,0xffd104ff,0xf800bfff,0x2007ffff,0x0ffffff9,
    0xffffff70,0xfffff909,0x3fff609f,0x01ffffff,0x8dfffffb,0x02ffffff,
    0xfffffff3,0x3ffea05f,0x7ff41fff,0xf981efff,0xf83fffff,0x03ffffff,
    0xbffffff7,0x7fffd400,0xfffb00ff,0xffff0dff,0x3ee07fff,0x5c4fffff,
    0x00ffffff,0x9bffffe2,0xfffffffd,0x00cfffff,0x3ff60000,0x00004fff,
    0x3ffffffa,0x006fffff,0x3ffffea0,0x0dffffd5,0x2bffffea,0x06fffff8,
    0x17fffffc,0x0fffffe8,0x1fffffd0,0xfffffb00,0x3f600001,0x2e005fff,
    0x14c00000,0x3fffffe2,0xffca9bef,0x000fffff,0x03fffffc,0xffffff10,
    0x7ffe4c3b,0xfd04ffff,0x9bffffff,0xfffffffb,0x137fffff,0xffffffb5,
    0xfffffd85,0x3ffae22e,0xcfffffff,0xffffca89,0xfffa85ff,0xebbdffff,
    0x0fffffff,0xffffffa8,0xffecacef,0x000fffff,0x7ffffff4,0xffff950b,
    0xfff505ff,0x959dffff,0xdffffffd,0xffffff10,0xffe9837d,0x3ffe4fff,
    0xefffffff,0x8000000b,0x04fffffd,0xffff7000,0xffffffff,0x3e20007f,
    0xff8effff,0xff104fff,0xfff39fff,0xfff809ff,0xffd02fff,0x3fa01fff,
    0xf800ffff,0x0005ffff,0x17ffff60,0x00000b80,0x7ffdc14c,0xffffffff,
    0x02ffffff,0x7fffff80,0x7ffff400,0xffffefff,0x05ffffff,0xfffffff5,
    0xffffffff,0xffffffff,0xffffffff,0xffff70df,0xfffdffff,0xffffffff,
    0xffffffff,0x3603ffff,0xffffffff,0xffffffff,0x3ffff202,0xffffffff,
    0x002fffff,0xffffffa8,0xffffffff,0x3ff206ff,0xffffffff,0x1fffffff,
    0xffffff70,0xffffdfff,0x7fc1ffff,0x2dffffff,0x6c000000,0x004fffff,
    0xfffff880,0xfffffbff,0xff0001ff,0xfff7ffff,0x7ff405ff,0xffffbeff,
    0x7fffc02f,0xfffd02ff,0x3ffa01ff,0x7d400fff,0x0001ffff,0x17ffff60,
    0x00000b80,0x3ffe214c,0xffffffff,0x03ffffff,0xffffff00,0xffff9800,
    0xffffffff,0x07ffffee,0x3fffffea,0xffffffff,0xffffffbe,0xffffffff,
    0xffffd00e,0xffffffff,0xfffff7df,0xffffffff,0x7f4405ff,0xffffffff,
    0x803fffff,0xfffffffc,0xffffffff,0x3fea0002,0xffffffff,0x400effff,
    0xfffffffd,0xffffffff,0x7fffe402,0xffffffff,0x7fc1ffff,0x001cffff,
    0xffb00000,0x00009fff,0xbffffffb,0x3fffffee,0xfffb0006,0xffffffff,
    0x7fffe401,0x0fffffef,0x7fffffc0,0xfffffd02,0x3ffffa01,0xffffc807,
    0x54c00007,0x2e002aaa,0x14c00000,0xffffffd1,0xffffffff,0x7c0001bf,
    0x8007ffff,0xfffffffb,0xfff74fff,0x7ec405ff,0xffffffff,0x3ff624ff,
    0xffffffff,0x3fa600df,0xffffffff,0x3ff623ff,0xffffffff,0xff7002ff,
    0xffffffff,0x7d4007ff,0xffffffff,0x0000dfff,0xfffffe88,0x0effffff,
    0xfffff500,0xbfffffff,0x3ffee001,0xffffffff,0xfff82eff,0x000000bf,
    0x7fffec00,0x7d40004f,0x20ffffff,0x3ffffffe,0xffffb800,0x06ffffff,
    0x7fffffcc,0xf806ffff,0xd02fffff,0x801fffff,0xfe806ff8,0x00006fff,
    0x005c0000,0xfc8a6000,0xfffd51ff,0x007dffff,0xffffff00,0x3ff62000,
    0x262effff,0x805fffff,0xffffffeb,0xffb501df,0x03bfffff,0x7ffffdc0,
    0xb500ceff,0xdfffffff,0xfd980017,0xcfffffff,0xfeb88000,0x2dffffff,
    0x6e440000,0xdfffffff,0xfeb88002,0x2dffffff,0xffeb8800,0x2effffff,
    0x0000bbe0,0xffd80000,0x20004fff,0xfffffff8,0x7ffffcc3,0x7cc001ff,
    0xffffffff,0xffff803f,0x04ffffff,0x2ffffff8,0x1fffffd0,0x406ffa80,
    0x04fffff8,0x66666640,0xcccccccc,0x4ccccccc,0x3000002e,0x9882fd85,
    0x00000aba,0x98800000,0x000001ba,0x00055d44,0x0026aea2,0x00aba980,
    0x19aba880,0x57310000,0x44000013,0x0000aba9,0x2aea2000,0x31000009,
    0x00001575,0x0d55d4c4,0x00000180,0xfffd8000,0x360004ff,0x05ffffff,
    0xdffffff9,0xfffff000,0x003fffff,0xfffffffb,0xfff005ff,0x3fa05fff,
    0x6400ffff,0x7fcc04ff,0x7c003fff,0xffffffff,0xffffffff,0x02e7ffff,
    0x50530000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd800000,0x0004ffff,
    0xfffffff5,0x3fffa201,0x6c003fff,0xffffffff,0xffff7007,0x001fffff,
    0x05ffffff,0x03fffffa,0x007ffec4,0x07ffffea,0xffffff00,0xffffffff,
    0xffffffff,0x2000005c,0x00000029,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4fffffd8,0xffff8800,0x7d403fff,0x01ffffff,0x3ffffee0,0xf3005fff,
    0xdfffffff,0x3ffffe00,0xffffd02f,0xffff101f,0xffff7005,0xfff8001f,
    0xffffffff,0xffffffff,0x3332e7ff,0xcccccccc,0xcccccccc,0x000002dc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffd80,0xfffd8004,0xfb006fff,
    0x00dfffff,0x7fffffcc,0x3fe003ff,0x05ffffff,0x5ffffff0,0x3fffffa0,
    0x005ffd00,0x03fffff2,0xffffff00,0xffffffff,0xffffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3f600000,0x4004ffff,0xfffffffa,
    0xffff1001,0x22007fff,0xffffffff,0x3fff6001,0xf003ffff,0x205fffff,
    0x00fffffe,0x7ec00195,0xf8007fff,0xffffffff,0xffffffff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb00,0x7ffc4009,
    0x4004ffff,0xfffffffa,0xffffd001,0xfb800fff,0x01ffffff,0x5ffffff0,
    0x3fffffa0,0x3fa00000,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffec0,0x3fff2004,0xb0006fff,0x0dffffff,
    0x3fffff20,0x7fcc005f,0x2007ffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xdb008000,0xd300dddd,0x3a69dddd,
    0xddb4eeee,0xdd300ddd,0x20009ddd,0x88000018,0x80098001,0xeeeeeed8,
    0x77776c00,0x000700de,0x7775c05c,0x3aa003ee,0xdd94eeee,0xed801ddd,
    0x6c00eeee,0x7545eeee,0xeeeeeeee,0xeeeeeeee,0x5554001e,0xddb001aa,
    0x76c40ddd,0x360deeee,0x980eeeee,0x0024c004,0x00000000,0x7ffec000,
    0x9710003f,0x200179dd,0x002cddca,0x0379d973,0xbddddb50,0x776c0017,
    0x20000003,0xddd14fb8,0x3ff225dd,0xffff0bdf,0xfff300ff,0x3ffe6bff,
    0xfffff5ff,0xffff300f,0x3bbbb6bf,0x7fff6544,0xeee980ce,0x3fb261ee,
    0xb880bdff,0x02cefffd,0x3fffffee,0x3ffff205,0x0bf902ff,0x981df900,
    0x007fffff,0x4bfffff6,0x02fffffa,0x3fffffe2,0x3fffe602,0x7fffdc5f,
    0xffffffff,0x02ffffff,0x1fffffc0,0x7fffff80,0xfffffd10,0xffffe85f,
    0x02ffc40f,0x2005ff88,0x221ffffc,0xff54ffff,0x7ffc45ff,0x7c40005f,
    0x8006ffff,0xfffffffb,0x3ff6202f,0x101effff,0xfffffffb,0x3fffa209,
    0x00ffffff,0xfd4fffd8,0x0001ffff,0x29fff930,0x8bfffff8,0x2ffffffe,
    0x00ffffff,0x2bfffff3,0xf5fffff9,0x300fffff,0x3abfffff,0xfb15ffff,
    0xffffffff,0xfffff983,0xffffff71,0x7f441dff,0x4fffffff,0x3fffff60,
    0xffff982f,0xfff905ff,0x3bffb66b,0x0bfff92d,0x05fffffd,0xffffff10,
    0x27ffffc4,0xffffff50,0x7fffdc09,0x7fffdc2f,0xffffffff,0x02ffffff,
    0x1fffffc0,0x7fffff80,0xffffffd0,0xfffffd05,0x2ffffc41,0x13fffe20,
    0x13fffe60,0x741ffffd,0x3ee0ffff,0x20003fff,0x2ffffffc,0x3ffff200,
    0x03ffffff,0xfffffffb,0xffe881ff,0x4fffffff,0xffffffd8,0x100effff,
    0x3a9ffff9,0x000fffff,0x3ffffaa0,0xfffff14f,0xffffffb7,0x3ffffe1f,
    0xffff9807,0xfffff35f,0x1fffffeb,0x3ffffe60,0x1bffffd5,0xfffffffd,
    0x7cc5ffff,0xffd9ffff,0xffffffff,0xfffff98e,0x03ffffff,0xfffffff1,
    0x7ffff441,0xfffb80ef,0xffffffff,0xffffffff,0x7fffdc5f,0xfffb805f,
    0x7ffec4ff,0x3fff207f,0x3f606fff,0x7dc0ffff,0xffffffff,0xffffffff,
    0x7ffc002f,0xfff003ff,0xfffb0fff,0x3fa07fff,0xff10ffff,0x220bffff,
    0x04ffffff,0x83ffffa2,0x4c3ffffc,0x7f45ffff,0x88000fff,0x6fffffff,
    0xfffff300,0x1fffffff,0xbbefff98,0x7dc4fffe,0xffcabfff,0x3ffe61ff,
    0xfffecbdf,0x7ffe442f,0xfffd4fff,0xb88001ff,0xffffffff,0xdfffff14,
    0xbfffffff,0x03fffffc,0xafffffcc,0xf5fffff9,0x300fffff,0x3abfffff,
    0xfffeffff,0xffffffff,0x3ffe66ff,0xffffffff,0xefffffff,0xffffffff,
    0x501fffff,0x49ffffff,0x1ffffffc,0xffffff90,0xffffffff,0x89ffffff,
    0x0ffffff8,0x7fffff40,0x7ffffdc0,0xfffffd01,0xfff101ff,0xfff70bff,
    0xffffffff,0x3fffffff,0xfffff800,0xfffff003,0xfffffc8f,0x3fffa03f,
    0xffff30ff,0xff88bfff,0x204fffff,0x263ffffc,0xfb06ffff,0x7fd45fff,
    0xfc8006ff,0x1fffffff,0xbffffd80,0x5ffffc88,0xf50fffe4,0xfffe8dff,
    0x31fffec3,0xff88dfd9,0x7fffc3ff,0xffd4ffff,0x26001fff,0xfffffffc,
    0xfff14fff,0xffffffff,0x7fffc5ff,0xfff9807f,0xffff35ff,0x3ffffe9f,
    0xffff9807,0xfffffd5f,0xfb77dfff,0x25ffffff,0xfffffff9,0xfffcacef,
    0xefffffff,0xfffffdbb,0x3fff605f,0xfffa9fff,0x7e403fff,0xffffffff,
    0xffffffff,0xffff904f,0x7ffcc07f,0xfff885ff,0xfff883ff,0xa82fffff,
    0x882fffff,0x99999999,0xffffffa9,0xfff8003f,0xfff003ff,0x7ffdcfff,
    0x7f404fff,0x3e60ffff,0x15ffffff,0x9fffffff,0x37fffd40,0x05ffffd1,
    0x83ffffe2,0x003ffffd,0x3fffffe2,0xff805fff,0xfffd83ff,0xffc85307,
    0x06e6544f,0x080bfff6,0x21ffff44,0xfffdefff,0x1fffffd4,0xffffda80,
    0xffffffff,0xffffff12,0x8fb539ff,0x807fffff,0x25fffff9,0xff3ffb99,
    0xf300ffff,0x3fabffff,0x80ffffff,0x3ffffffa,0xfffffff3,0xfffff507,
    0xff903fff,0x7440ffff,0xfeefffff,0x9006ffff,0xffffffff,0xffffffff,
    0x7fffcc0b,0x3fff206f,0xfffd02ff,0xffff50df,0xf909ffff,0x0001ffff,
    0x3fffffa2,0xfff0004f,0x3fe007ff,0xfff57fff,0xfd009fff,0xf981ffff,
    0xfdffffff,0x04ffffff,0x8bffffe2,0x405ffffc,0x265ffffc,0x001fffff,
    0xfffffff7,0x7cc03fff,0xffa81fff,0x3b6200ff,0x2000efff,0x200ffff8,
    0xffffeca8,0xfb977c3f,0xffffd4ff,0xffd7101f,0xffffffff,0x7fc417df,
    0x802fffff,0x807fffff,0x85fffff9,0xffff2ffc,0xfff300ff,0x3fffabff,
    0x3f601fff,0xff34ffff,0x740bffff,0x04ffffff,0x0ffffff3,0xffffff98,
    0x00ffffff,0xffffff70,0xffff935b,0xffe80bff,0xfff01fff,0x7fdc0fff,
    0x7fe40fff,0x86ffffff,0x005fffff,0x3fffff60,0x3fe0005f,0xff003fff,
    0xfff5ffff,0x3a00bfff,0x980fffff,0xffffffff,0x404fffff,0x2a5ffffd,
    0x401fffff,0x23fffff8,0x006ffffc,0xfd7fffff,0x7d409fff,0xff980fff,
    0x3fe602ff,0x22000fff,0xd705fffe,0xffffffff,0x7fdc187f,0x3f22004f,
    0xffffffff,0xf101cfff,0x00dfffff,0x01fffffe,0x17ffffe6,0x7ffc7ffa,
    0xff9807ff,0xfffd5fff,0xffa809ff,0xfff35fff,0x7ec01fff,0x7c07ffff,
    0x400fffff,0xfffffffc,0x3a002fff,0x880fffff,0x00fffffd,0x13ffffee,
    0x13ffffea,0x2fffff98,0x7f7ffff4,0x3fe60fff,0xb0003fff,0x1dffffff,
    0x2aaaaa20,0xfffffaaa,0xaaaaaaad,0xfffffff2,0x00dfffff,0x07fffff4,
    0xffffff98,0x404fffff,0x11fffffb,0x009fffff,0x43ffffee,0x04fffff8,
    0x47ffffdc,0x00fffffb,0x301ffff5,0x5c05ffff,0x00efffff,0x0effffa8,
    0x7fffff44,0x03ffffdf,0x4027ffdc,0xffffffda,0x02dfffff,0xffffff88,
    0xfffff002,0xffff300f,0x25ffb8bf,0x807fffff,0xd5fffff9,0x805fffff,
    0x35fffff9,0x80ffffff,0x05fffffc,0x07fffffc,0x7fffff40,0x22005fff,
    0x204fffff,0x02fffffa,0x1fffffe2,0x07fffff6,0x49ffffd0,0xfcdffff8,
    0x3fee2fff,0xc8000fff,0x0fffffff,0x3ffffe20,0xffffffff,0xffffffff,
    0xfffffff5,0x03ffffff,0x3fffffa0,0x3fffe600,0x404fffff,0x24fffff8,
    0x00fffffd,0x9bffffa0,0x01fffffb,0x457ffffa,0x304fffff,0xf503ffff,
    0x54c03fff,0x00ffffc9,0x07bfffee,0x2b3ffff6,0x807fffd0,0xf804fffb,
    0xffffffff,0x22000bef,0x01ffffff,0x0ffffff0,0xbfffff50,0xf83fff22,
    0xa807ffff,0xfd5fffff,0x9803ffff,0xf36fffff,0xc80dffff,0x404fffff,
    0x00fffffe,0xffffff88,0x3e6000ef,0x7400ffff,0x6403ffff,0x221fffff,
    0x806fffff,0x2a7ffffc,0xffabffff,0x3fff64ff,0xffb8006f,0x401fffff,
    0xfffffff8,0xffffffff,0xf5ffffff,0xffffffff,0x200dffff,0x00fffffe,
    0x7fffffd4,0xfffd806f,0xffff50ff,0xffa8009f,0x3ffe3fff,0xfff506ff,
    0x7ffe43ff,0xfff880ff,0xffffc82f,0x3fff6000,0xdffff902,0x13fffe01,
    0x807ffff1,0xf804fffb,0xcfffffff,0xfff10001,0x3e001fff,0xa807ffff,
    0xfeefffff,0x7ffc2fff,0xffa807ff,0xfffd5fff,0xff9803ff,0xfff36fff,
    0xffc80bff,0x7f403fff,0xb000ffff,0x0dffffff,0x6ffffa80,0x4ffffc80,
    0x7ffffcc0,0x3ffffee4,0xffff9802,0x3ffffb1f,0x22dffff1,0x003fffff,
    0x7fffffd4,0xfff8802f,0xffffffff,0xffffffff,0xfffff5ff,0xffffffff,
    0xfffd005f,0x7fcc01ff,0x5fffffff,0x7ffffd40,0x1bffffa3,0xfffff700,
    0x3ffffe23,0xdffffd05,0x3fffff98,0x41dfffd0,0x546ffff9,0xfffc84ca,
    0x4ffffd84,0x0bfffe20,0x807ffff7,0xf804fffb,0x01ffffff,0x7fffc400,
    0x3ffe007f,0x7d400fff,0xffffffff,0xfffff80d,0x7ffd400f,0xffffd5ff,
    0xfff8801f,0xffff36ff,0xfffc80bf,0x7ff403ff,0xfa800fff,0x4fffffff,
    0x3fffe600,0x7fffc01f,0xfffe803f,0x3ffffa7f,0x3fffe007,0x4fffff3f,
    0xfa8ffffe,0x2001ffff,0xfffffff9,0xffff1003,0xffffffff,0xffffffff,
    0x3ffffebf,0xffffffff,0x7ff400ff,0xff100fff,0xffffffff,0xfffc80bf,
    0xffff30ff,0x3fe2007f,0x3ff64fff,0xff980eff,0xffe83fff,0xfff506ff,
    0xffffbbff,0x2fffe83f,0x361ffff4,0xf803ffff,0xfc9aefff,0x5c03ffff,
    0xff804fff,0x2effffff,0xffff1000,0x7ffc00ff,0x7d400fff,0x0adfffff,
    0x3fffffe0,0x7fffd400,0xfffffd5f,0xffff8801,0xfffff36f,0xffffc80b,
    0x7fff403f,0x7fc400ff,0xffffffff,0xffff1001,0x7ffd409f,0xffb802ff,
    0xfff9afff,0x3f2004ff,0xfff9dfff,0x3ffff25f,0x06ffffca,0x3ffffe20,
    0x3e2004ff,0xffffffff,0xffffffff,0xfff5ffff,0xfb3fffff,0xe809ffff,
    0x880fffff,0xffffffff,0x205fffff,0x24ffffe8,0x00fffffc,0x26ffffd8,
    0x01fffff9,0x01fffffb,0x05fffff7,0x3ffffff6,0xfc85ffff,0xffebcfff,
    0x3ffea1ff,0xffffffff,0x3fffff63,0x4fffffff,0x027ffdc0,0x7ffffffc,
    0x001cffff,0x1fffffe2,0xffffff80,0x7fffdc00,0xffff005f,0xffb801ff,
    0xfffd5fff,0xff8801ff,0xfff36fff,0xffc80bff,0x7f403fff,0x6c00ffff,
    0xffffffff,0xfb000eff,0xd305ffff,0x200fffff,0xbcfffff8,0x001fffff,
    0x2fffffea,0x3e63ffff,0xffffcfff,0xffd1004f,0x800bffff,0xaaaaaaa8,
    0xadfffffa,0xf2aaaaaa,0x23ffffff,0x0ffffff9,0x3fffffa0,0x7ffffc40,
    0xfffffdff,0x3fe605ff,0x3ffa0fff,0x7fcc04ff,0x3ffa1fff,0xfff304ff,
    0x3fe20bff,0xfb106fff,0x9fffffff,0x7fffff40,0x7ec2ffff,0xffffffff,
    0x3ffe23ff,0xffbeffff,0x7ffdc05f,0xfffd9804,0xffffffff,0x7fc400be,
    0x3e007fff,0x401fffff,0x05fffffc,0x3ffffff0,0xfffffc80,0x1fffffd5,
    0xfffff880,0xbfffff36,0xfffffc80,0x7ffff403,0x3ffee00f,0xffffffff,
    0xfff5005f,0xfd57ffff,0x009fffff,0x77ffffe4,0x8006ffff,0xffffffff,
    0x7fffc1ff,0x01ffffff,0xffffffb0,0x3e00000b,0xf003ffff,0xc83fffff,
    0x205fffff,0x20fffffe,0xfffffff8,0xffffff34,0x7ffe40bf,0x3fffe65f,
    0x3fffa00f,0x3fffee3f,0x3ffff606,0x3fff201f,0x3b6a01ff,0x4401deff,
    0xeffffffd,0x7ffffc42,0x3fffffff,0x1f7ff644,0xfb80bddb,0x322004ff,
    0xffffffff,0x101cffff,0x00ffffff,0x17fffff4,0xffffff30,0x3fffa00b,
    0x3fe602ff,0xffd5ffff,0xf8801fff,0xff36ffff,0xfc80bfff,0x7403ffff,
    0x300fffff,0x99ffffff,0x05ffffff,0xffffff90,0xffffffff,0x7cc00bff,
    0xffffffff,0xffd8003f,0x87ffffff,0xfffffffd,0xfff9007f,0x0000dfff,
    0x1fffffc0,0x7fffff80,0xffffff88,0xfffffd01,0x3ffffe21,0x7ffcc4ff,
    0x3a05ffff,0x3ee1ffff,0xff505fff,0x7ffc4bff,0xfff101ff,0xff980dff,
    0x01005fff,0x2f32e600,0x55555102,0x35555555,0xa8800000,0xd70001aa,
    0xffffffff,0x4417dfff,0x006fffff,0x3ffffff6,0xffffe880,0xffb005ff,
    0xd101dfff,0x2bffffff,0x00fffffe,0xb7ffffc4,0x05fffff9,0x1fffffe4,
    0x3fffffa0,0xfffffd00,0x3ffffe2d,0x3fee00ff,0xffffffff,0xffffffff,
    0x3fffa005,0x007fffff,0xffffff50,0xfff70bff,0x009fffff,0xfffffff7,
    0x33333333,0xf8003333,0xf003ffff,0x2e0fffff,0xd06fffff,0x261fffff,
    0x04ffffff,0xbffffff3,0x37fffcc0,0x207ffffa,0x320fffff,0x2203ffff,
    0x80099999,0x00199999,0x00000000,0x00000000,0x7ed40000,0xffffffff,
    0xfff12fff,0x7dc00dff,0x8befffff,0xfffffec9,0xff7005ff,0x317dffff,
    0xffffffd9,0x3ffffabf,0x7ffc400f,0xffff36ff,0xfffc80bf,0x7ff403ff,
    0xffc80fff,0x3ea1ffff,0x705fffff,0xffffffff,0xffffffff,0x200bffff,
    0xfffffffb,0xff10004f,0x07ffffff,0xfffffff3,0xfff9803f,0xffffffff,
    0xffffffff,0x7fffc007,0xffff003f,0x7fffc0ff,0xfffe83ff,0x3ffe60ff,
    0x7ffcc04f,0xfffb805f,0x3fffe22f,0x17fffdc5,0x00bffff1,0x00000000,
    0x00000000,0x00000000,0x3f260000,0xffffffff,0xfffff14f,0x7ffcc00d,
    0xffffffff,0xffffffff,0xffff3005,0xffffffff,0xbfffffff,0x03fffffa,
    0xdfffff10,0x17ffffe6,0x7fffff90,0xfffffe80,0x7ffffcc0,0xffffd84f,
    0xfffa83ff,0xfffffeff,0xffffefff,0xfff1005f,0x003fffff,0x7ffffec0,
    0xffff01ff,0xf300ffff,0xffffffff,0xffffffff,0xff800fff,0xff003fff,
    0x7d40ffff,0x740fffff,0x4c0fffff,0xff3004ff,0x7fff400b,0x97fffdc7,
    0x6c5ffff8,0x0000ffff,0x00000000,0x00000000,0x00000000,0x7fdc4000,
    0x14ffffff,0x00dfffff,0xffffffb8,0xe9ffffff,0x2005ffff,0xfffffffa,
    0xfe9effff,0xfffd5fff,0xff8801ff,0xfff36fff,0xffc80bff,0x7f403fff,
    0x3a20ffff,0x80efffff,0xfffffff8,0x15fffa81,0x239bddb7,0x4005fffa,
    0x6ffffffc,0x7ffdc000,0x3f607fff,0x804fffff,0xfffffff9,0xffffffff,
    0x4007ffff,0x003fffff,0x80ffffff,0x44fffffe,0x80fffffe,0x024c0049,
    0x07333260,0x32a79997,0x33220ccc,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x7fff5400,0xffff14ff,0xff9000df,0xdfffffff,0x17ffffa1,
    0xfffff700,0x3a1dffff,0xffd5ffff,0xf8801fff,0xff36ffff,0xfc80bfff,
    0x7403ffff,0x320fffff,0x02ffffff,0x3fffffea,0x000bf506,0xf3000bf5,
    0x007fffff,0xfffff880,0x3ffee05f,0xf9802fff,0xffffffff,0xffffffff,
    0x7fc007ff,0xff003fff,0xf980ffff,0x3a0fffff,0x000fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfc980000,0xffff14ff,
    0x3ae000df,0x0cefffff,0x017ffffa,0x3ffff6e0,0x7fff43df,0xfffffd5f,
    0xffff8801,0xfffff36f,0xffffc80b,0x7fff403f,0xffff50ff,0xffb009ff,
    0x0609ffff,0x20002800,0x00fffffe,0xffffe800,0x3ffe202f,0xff3007ff,
    0xffffffff,0xffffffff,0xaaa800ff,0xfff001aa,0xffb00fff,0x7ff4bfff,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53ee2000,0x06fffff8,0x009a9800,0x2a600000,0xfffd0001,0xff8801ff,
    0xfff36fff,0xffc80bff,0x7f403fff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00020000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ff20000,0x8800000f,0x301cdedb,0xa8555555,0x2a1aaaaa,0x881aaaaa,
    0x802cdcba,0x001acca8,0x7ffcc098,0x55531fff,0x55555555,0x7ffffe41,
    0x1ffffe85,0x11ffffe4,0x11111111,0x11111111,0x11111111,0x26666662,
    0x99999999,0x99999999,0x00000099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc4,0xffffffff,
    0x5fffffff,0xfffffff1,0xffffffff,0x0bffffff,0x800fffb8,0x507fffff,
    0x9fffffff,0xffffff90,0x4ffffff8,0x0ffffffe,0x3ffffff6,0xfffe980e,
    0x801cffff,0x7ffe40fb,0x3fff22ff,0xffffffff,0x7ffffec0,0x0fffff41,
    0x54fffff2,0xffffffff,0xffffffff,0xffffffff,0xffffff54,0xffffffff,
    0xffffffff,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff88,0xffffffff,0x5fffffff,
    0xfffffff1,0xffffffff,0x0bffffff,0xf007ffa8,0xf70fffff,0xffffffff,
    0xfffffc8b,0x7fffffc7,0x3fffffe4,0xffdcde83,0x7ffdc6ff,0xffffffff,
    0x7fecc0be,0x3ffffe20,0x7ffffe43,0x80ffffff,0x745ffffd,0x7e41ffff,
    0xfff53fff,0xffffffff,0xffffffff,0x2a9fffff,0xffffffff,0xffffffff,
    0xffffffff,0x00000004,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x44000000,0xffffffff,0xffffffff,0xf15fffff,
    0xffffffff,0xffffffff,0x144bffff,0x20a1bfea,0x447fffff,0xffdfffff,
    0x3ff23fff,0x7ffc7fff,0x3ffe4fff,0xf8803fff,0xfff71fff,0xffffffff,
    0xffddffff,0x7fe41fff,0xfffc84ff,0xffffffff,0xffffe880,0x07ffffa0,
    0x2a7ffff9,0xffffffff,0xffffffff,0xffffffff,0xffffff54,0xffffffff,
    0xffffffff,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffff88,0xffffffff,0x5fffffff,
    0xfffffff1,0xffffffff,0x4bffffff,0xbff32efb,0xff07fae2,0xffd8ffff,
    0x3ffea0cf,0x3fffff27,0x7fffffc7,0x3fffffe4,0x5fffb003,0x3ffffff2,
    0xffffffff,0xffffffff,0x09ffff10,0x3ffffff2,0x100fffff,0x7f49fffd,
    0x7fe41fff,0xbbbb33ff,0xbbbbbbbb,0xbbbbbbbb,0x3267bbbb,0xcccccccc,
    0xcccccccc,0x2ccccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c400000,0xffffffff,0xffffffff,
    0xff15ffff,0xffffffff,0xffffffff,0x7ff4bfff,0xfcdffbef,0x7ffc4fff,
    0x3fff47ff,0xf91fffc8,0xff8fffff,0x3fe4ffff,0x4403ffff,0xf91ffffa,
    0xffffffff,0xffffffff,0x2e1fffff,0x3f205fff,0xffffffff,0x3fe200ff,
    0x333310ff,0x01333310,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33332200,
    0xcccccccc,0xcccccccc,0x9999913c,0x99999999,0xffffd999,0x3ffffe6b,
    0xffffffff,0x7ffffc6f,0x413ffe26,0xff72fff9,0xffe8dfff,0x3ffa3fff,
    0xddd12fff,0xbfffffd9,0x88567fe4,0xffffffc9,0x23ffffff,0x65403bba,
    0xcccccccc,0x5dc400cc,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fff6000,0x3ffae65f,0xefffffff,0x8bff303c,0xff304fff,
    0x3fffe65f,0x7fffe45f,0x3ffff62f,0xfffff11f,0xfc89ffff,0xfffda801,
    0x000effff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bffffb0,0x0fffffd4,0x744ffb80,0xffd80fff,0xfffff11f,
    0xfffffb87,0x3ffffee0,0xdffdd910,0x00150179,0x0acecb88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffec000,
    0xfffd105f,0x3fa009ff,0x6fffe43f,0x8ffff912,0x4c2ffffe,0x7d47ffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0xcccccccc,0xcccccccc,0x003ccccc,0x3ffff600,0xcfffe885,
    0x36203fff,0xfff886ff,0xffffffff,0x07fffec2,0x11bfffe2,0x000bffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xfffffff8,0xffffffff,0x05ffffff,0x3fff6000,0x7fff445f,0x305fffd2,
    0x2a03ffff,0xffffffff,0x6eeeb84f,0xb09dddb0,0x00007ddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xffffffff,
    0xffffffff,0x005fffff,0x3ffff600,0x52fffec5,0xf881ffff,0x7f4c02ef,
    0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0xfffffff8,0xffffffff,0x05ffffff,0x3fff6000,
    0x41ffd85f,0x07702efd,0x0accba80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffff880,0xffffffff,
    0xffffffff,0x3f600005,0x09705fff,0x00000191,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0xffffffff,0xffffffff,0x200005ff,0x005ffffd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_49_latin_ext_x[560]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,2,1,2,1,0,3,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,4,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,3,3,3,3,0,2,0,
0,1,0,1,0,1,2,1,2,1,2,1,2,1,3,1,-1,1,3,1,3,1,3,1,3,1,3,1,2,1,
2,1,2,1,2,1,3,3,0,0,-2,-2,-1,-1,-1,-1,2,2,2,3,2,3,0,-3,3,2,3,3,2,3,
-1,3,3,3,3,0,0,3,3,3,3,3,3,-2,3,3,1,1,1,1,1,1,1,1,3,2,3,0,3,1,
1,1,1,1,1,1,1,1,0,0,0,0,0,0,3,3,3,3,3,3,3,3,3,3,3,3,0,0,-1,0,
-1,0,0,0,0,0,0,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,1,5,5,-1,5,5,5,
5,5,5,5,5,5,5,5,5,5,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,3,3,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,1,-2,-2,1,
1,3,3,3,3,3,3,3,3,3,3,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,0,1,-2,1,1,1,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5, };
static signed short stb__arial_bold_49_latin_ext_y[560]={ 39,7,7,7,5,7,7,7,7,7,7,12,32,24,
32,7,7,7,7,7,7,8,7,8,7,7,16,16,11,15,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,16,7,7,12,7,
7,7,7,6,7,17,15,24,6,1,7,9,7,7,7,16,7,20,39,7,7,17,7,7,7,16,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,13,6,-1,-1,-1,0,-1,7,7,7,7,
7,7,7,6,15,15,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,11,15,7,7,7,7,7,7,7,
0,8,-1,7,7,15,-1,7,-2,7,-1,7,-1,7,-1,7,7,7,0,8,-2,7,-1,7,7,15,-1,7,-2,7,
-1,7,-1,7,7,3,-2,-1,7,7,-1,7,0,8,-2,7,7,7,0,16,7,7,-2,7,7,7,16,-1,-1,7,
7,7,7,7,7,7,7,-1,7,7,15,-1,7,7,7,15,0,8,-2,7,-1,6,7,15,-1,7,7,15,-1,7,
-1,7,-2,7,7,15,-1,7,7,8,-1,7,7,8,-1,7,0,8,-2,7,-2,6,-1,6,7,16,-2,7,-2,7,
0,-1,7,-1,7,-1,7,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,7,11,11,7,11,11,11,
11,11,11,11,11,11,11,11,11,11,7,15,11,11,11,11,11,11,11,11,11,11,11,11,11,7,16,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,-1,7,-1,7,-1,
7,-1,7,-1,-1,-1,-1,-1,-1,-1,-1,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,-6,-2,-2,7,-2,7,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11, };
static unsigned short stb__arial_bold_49_latin_ext_w[560]={ 0,8,17,24,22,36,30,8,12,12,17,23,8,13,
7,14,22,15,22,22,24,23,22,22,22,22,7,8,22,23,22,23,42,32,27,28,27,25,22,30,26,8,21,29,
23,31,26,32,25,33,29,27,26,26,31,42,30,31,26,11,14,12,22,26,11,22,24,23,24,22,16,23,21,7,
13,22,7,35,21,25,24,24,16,22,15,21,24,35,24,24,22,15,6,16,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,23,24,24,25,
6,22,15,34,16,20,23,13,34,26,15,23,14,14,10,22,26,7,13,10,16,21,36,35,37,23,32,32,32,32,
32,32,44,28,25,25,25,25,11,10,15,15,31,26,32,32,32,32,32,22,32,26,26,26,26,31,25,24,22,22,
22,22,22,22,36,23,22,22,22,22,11,11,16,16,25,21,25,25,25,25,25,23,25,21,21,21,21,24,24,24,
32,22,32,22,34,25,28,23,28,23,28,23,28,23,27,31,31,26,25,22,25,22,25,22,25,22,25,22,30,23,
30,23,30,23,30,23,26,21,32,24,16,16,14,14,14,14,10,11,8,7,30,18,25,17,29,22,22,23,11,23,
13,23,14,23,15,26,13,26,21,26,21,26,21,30,27,21,32,25,32,25,32,25,42,39,29,16,29,18,29,17,
27,22,27,22,27,22,27,22,26,15,26,22,26,15,26,21,26,21,26,21,26,21,26,22,26,25,42,35,31,24,
31,26,22,26,22,26,22,13,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,30,23,23,26,23,23,23,
23,23,23,23,23,23,23,23,23,23,37,31,23,23,23,23,23,23,23,23,23,23,23,23,23,34,29,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,32,22,16,16,32,
25,26,21,26,21,26,21,26,21,26,21,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,32,22,44,36,32,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__arial_bold_49_latin_ext_h[560]={ 0,32,12,33,39,34,33,12,42,42,16,23,15,7,
7,33,33,32,32,33,32,32,33,31,33,33,23,31,25,17,25,32,42,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,36,32,33,32,33,32,32,32,32,32,41,33,41,18,5,7,25,33,25,33,25,32,34,32,32,
42,32,32,24,24,25,33,33,24,25,32,24,23,23,23,33,23,42,42,42,9,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,41,33,23,32,
42,42,6,34,17,21,16,7,34,5,14,30,17,17,7,32,41,7,9,17,17,21,34,34,34,32,40,40,40,39,
39,38,32,41,40,40,40,39,40,40,40,39,32,39,41,41,41,40,40,21,35,41,41,41,40,40,32,33,33,33,
33,33,33,34,25,33,33,33,33,33,32,32,32,32,33,32,33,33,33,33,33,25,26,33,33,33,33,42,41,42,
39,32,40,33,42,34,41,33,42,33,41,33,41,33,40,33,32,33,39,32,41,33,40,33,42,34,40,33,42,42,
41,42,41,42,41,46,41,40,32,32,40,32,39,31,41,32,42,42,39,23,33,42,42,42,42,42,23,40,40,42,
42,32,32,32,32,32,32,40,32,42,34,40,32,32,33,34,40,32,42,33,41,34,33,25,40,32,42,34,40,32,
41,33,42,33,41,33,41,33,46,44,40,33,32,32,41,33,40,32,42,33,42,34,41,34,42,33,41,32,41,42,
39,40,32,40,32,40,32,32,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,33,28,28,42,28,28,28,
28,28,28,28,28,28,28,28,28,28,33,25,28,28,28,28,28,28,28,28,28,28,28,28,28,33,24,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,40,33,40,32,41,
33,41,33,41,41,41,41,41,41,41,41,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,45,42,41,33,43,34,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__arial_bold_49_latin_ext_s[560]={ 505,501,92,280,146,60,238,110,295,238,49,
285,67,169,504,254,196,426,403,398,426,402,117,135,478,407,504,126,1,1,484,
451,1,1,342,203,119,147,196,376,241,102,148,474,379,87,285,170,61,202,312,
305,1,468,370,59,28,442,34,42,453,29,406,238,183,256,100,356,47,412,268,
36,219,499,450,173,491,115,93,435,342,317,24,461,475,71,201,226,151,421,262,
356,399,433,133,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,505,504,405,
430,176,151,464,471,195,1,476,363,25,169,422,211,76,158,461,446,158,326,54,
504,119,493,429,384,385,307,269,258,93,1,382,86,27,169,23,226,121,234,208,
1,169,77,61,494,262,119,28,311,327,310,126,340,236,1,433,406,260,287,313,
269,294,231,208,185,162,215,319,93,70,47,24,1,24,497,223,362,372,240,323,
297,271,245,219,232,206,147,140,102,80,44,487,69,461,185,349,124,94,163,344,
457,156,269,282,315,171,56,481,24,294,169,60,349,200,339,67,1,188,343,159,
349,157,185,472,209,109,214,140,28,255,147,36,86,397,69,414,111,429,372,494,
283,503,332,481,308,233,459,379,409,309,457,445,259,342,138,208,218,242,191,177,
181,111,406,97,283,116,466,72,141,88,68,279,254,373,189,333,279,319,495,312,
366,415,133,81,125,251,430,1,1,444,24,1,85,229,481,439,387,229,232,370,
94,372,293,352,119,34,457,432,431,115,403,477,327,429,185,339,256,1,343,162,
299,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,400,182,182,129,
182,182,182,182,182,182,182,182,182,182,182,182,182,362,380,182,182,182,182,182,
182,182,182,182,182,182,182,182,446,41,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,34,455,
212,282,1,367,61,1,88,180,202,158,256,283,460,305,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,52,134,360,393,101,480,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182, };
static unsigned short stb__arial_bold_49_latin_ext_t[560]={ 1,367,594,401,258,298,298,594,48,1,594,
568,594,594,568,367,333,502,469,333,469,502,367,535,367,401,502,535,568,594,535,
469,48,502,502,401,502,502,502,401,502,535,401,502,469,502,502,401,502,258,502,
401,535,401,502,535,535,502,502,133,401,133,568,594,594,535,401,535,401,535,502,
298,502,469,1,502,469,568,568,535,367,367,568,535,469,568,568,568,568,333,568,
1,1,1,594,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,1,298,91,
367,568,469,1,1,594,298,568,568,594,594,258,594,594,535,568,568,594,435,133,
526,594,568,568,568,258,258,258,469,217,217,175,258,258,258,435,133,175,175,175,
258,175,175,175,217,435,258,175,133,91,217,217,568,258,175,133,133,175,175,469,
367,367,367,367,367,367,298,535,367,367,367,367,367,469,435,435,469,333,435,333,
333,333,333,333,535,535,333,367,333,333,48,133,48,217,435,175,333,48,298,133,
298,48,298,133,298,133,333,175,333,435,333,258,435,133,298,217,333,1,258,217,
333,1,48,91,48,133,1,133,1,133,175,469,469,217,469,217,535,91,435,1,
48,91,568,333,48,48,48,48,48,568,175,175,48,1,435,435,469,469,469,469,
175,469,1,298,217,435,435,401,298,175,435,1,401,133,298,401,535,175,401,1,
258,175,469,133,401,1,401,133,401,91,401,1,1,217,298,435,435,91,401,217,
435,1,298,48,298,91,258,48,298,91,435,48,48,217,217,469,217,469,217,435,
469,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,298,535,535,48,
535,535,535,535,535,535,535,535,535,535,535,535,535,298,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,333,568,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,217,367,
217,469,91,367,91,435,91,91,91,91,91,91,133,91,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,1,1,91,367,1,258,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535, };
static unsigned short stb__arial_bold_49_latin_ext_a[560]={ 195,234,333,390,390,624,507,167,
234,234,273,410,195,234,195,195,390,390,390,390,390,390,390,390,
390,390,234,234,410,410,410,429,684,507,507,507,507,468,429,546,
507,195,390,507,429,585,507,546,468,546,507,468,429,507,468,662,
468,468,429,234,195,234,410,390,234,390,429,390,429,390,234,429,
429,195,195,390,195,624,429,429,429,429,273,390,234,429,390,546,
390,390,351,273,196,273,410,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,195,234,390,390,390,390,196,390,
234,517,260,390,410,234,517,388,281,385,234,234,234,404,390,195,
234,234,256,390,585,585,585,429,507,507,507,507,507,507,702,507,
468,468,468,468,195,195,195,195,507,507,546,546,546,546,546,410,
546,507,507,507,507,468,468,429,390,390,390,390,390,390,624,390,
390,390,390,390,195,195,195,195,429,429,429,429,429,429,429,385,
429,429,429,429,429,390,429,390,507,390,507,390,507,390,507,390,
507,390,507,390,507,390,507,504,507,429,468,390,468,390,468,390,
468,390,468,390,546,429,546,429,546,429,546,429,507,429,507,429,
195,195,195,195,195,195,195,195,195,195,551,390,390,195,507,390,
390,429,195,429,195,429,270,429,336,429,195,507,429,507,429,507,
429,497,507,429,546,429,546,429,546,429,702,662,507,273,507,273,
507,273,468,390,468,390,468,390,468,390,429,234,429,336,429,234,
507,429,507,429,507,429,507,429,507,429,507,429,662,546,468,390,
468,429,351,429,351,429,351,195,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,510,526,526,390,526,526,526,526,526,
526,526,526,526,526,526,526,526,599,499,526,526,526,526,526,526,
526,526,526,526,526,526,526,582,508,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,507,390,195,195,546,429,507,429,507,429,507,
429,507,429,507,429,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,507,390,702,624,546,429,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT or STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_49_latin_ext(stb_fontchar font[STB_FONT_arial_bold_49_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT][STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_49_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_49_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_49_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_49_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_49_latin_ext_s[i] + stb__arial_bold_49_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_49_latin_ext_t[i] + stb__arial_bold_49_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_49_latin_ext_x[i];
            font[i].y0 = stb__arial_bold_49_latin_ext_y[i];
            font[i].x1 = stb__arial_bold_49_latin_ext_x[i] + stb__arial_bold_49_latin_ext_w[i];
            font[i].y1 = stb__arial_bold_49_latin_ext_y[i] + stb__arial_bold_49_latin_ext_h[i];
            font[i].advance_int = (stb__arial_bold_49_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_49_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_49_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_49_latin_ext_s[i] + stb__arial_bold_49_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_49_latin_ext_t[i] + stb__arial_bold_49_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_49_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_49_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_49_latin_ext_x[i] + stb__arial_bold_49_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_49_latin_ext_y[i] + stb__arial_bold_49_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_49_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_49_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_49_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_49_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_49_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_49_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_49_latin_ext_LINE_SPACING
#endif

