// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_29_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_29_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT        230
#define STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_29_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_29_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_29_latin_ext_LINE_SPACING          19

static unsigned int stb__consolas_29_latin_ext_pixels[]={
    0x80033066,0x0000ccc8,0x02aaa200,0x99999000,0x00080099,0x02000000,
    0x00000020,0x40000008,0x00000abb,0x00000000,0xc80db000,0x003ccccc,
    0x00022000,0x0002ba98,0x13ff6000,0x800b2600,0xb1001cc9,0x006ec41b,
    0x20001310,0x3065c018,0x00993059,0x32e60399,0x4c01bcdd,0x400442cb,
    0x001bdcb9,0x3fe20000,0x2001ff10,0xb500efe8,0xffe88000,0x3e2d8002,
    0x007fffff,0x3fd4bfd1,0x7ff70000,0x220dfd10,0x017f65fe,0x77ff5c00,
    0x3fee000c,0x37fff603,0x3fffe200,0x7d4004ff,0xffb8002f,0x0df50003,
    0x7fffffc4,0x37ff2006,0x00bfea00,0x0bfffb10,0x02fc93ee,0x002ffd80,
    0x2a005f90,0xc801ffff,0x13fee3ff,0x0002fd80,0x6fe403fd,0xfb83fd99,
    0x217fc407,0xffffffd9,0x3ffea07f,0x406e99ef,0xeffffffc,0x4006fb80,
    0x3fe22ffb,0x1001ff10,0x7fc407fd,0xdfd10004,0x32005931,0x955550ff,
    0x3fee00ff,0x000ff51f,0x0ffffee0,0xf705fff7,0x017f65ff,0xbbffd100,
    0xf7003fff,0x32607fff,0x3e205fff,0x004fffff,0x2002fff4,0x003ffffb,
    0x3e203fd8,0x002aaabf,0xfd007ff9,0xffe800df,0x9ff301ce,0xd8001ff9,
    0x3e0000ef,0x7cdb000f,0x21ffa805,0x3a002ff9,0x1ff0001f,0x7ffff440,
    0x407fb80e,0x3fe22ff8,0x6dcbbdef,0x3faabba0,0x3fa02fff,0xeffeccef,
    0x000ffc41,0x7fc45ff7,0x1001ff10,0x0ffea001,0xfc8f2a00,0x01ffb802,
    0x7d401fea,0x00ff50ff,0xd31df700,0x17ffd47f,0xfd8fffd4,0x3fa20005,
    0x200ffb84,0x3fe98efb,0x0017fdc0,0xfd8009fd,0x3bee004f,0x2003fe98,
    0x3e201ff8,0xffc8001f,0x0bffb001,0x8017fd40,0x002ffffb,0x26001544,
    0x005fddcb,0x1005e9b6,0x26001101,0x4001bffa,0x997007f8,0x203fdc07,
    0x3ff62ff8,0xa8110001,0x3fee01bc,0xd85ffb83,0x3fee004f,0x7c43fe22,
    0x3ffa600f,0x2ffb801e,0x00ff8000,0x2a017fd4,0x8b2e007f,0x440007fa,
    0x82aa20aa,0x8fb203eb,0x360005fd,0x40ff204f,0x2aa20aa8,0x00ffe200,
    0x44004fe8,0x2aa2003c,0x4002aa20,0x7fc402a8,0x05544001,0x00199100,
    0x22003fe4,0x744000aa,0xfc800eff,0x00efffff,0x05fddf50,0xff700000,
    0x00ffffff,0x000037cc,0xff101fee,0x0002ffc5,0x27fc4000,0xf983ff90,
    0x5ff7000f,0xff887fc4,0x3e67ba00,0x00dfb005,0x5fddcb98,0xa804fe80,
    0x7d40007f,0x00000007,0x00bfb000,0xf101bee0,0x6c00000d,0x13fa004f,
    0x00000000,0x7fc40000,0x00000001,0x0027ec00,0x55fb0000,0xeffe80bf,
    0x00ffffbc,0x9805bb50,0x20988009,0xefefffe8,0xf93007fe,0x804c983d,
    0x80ff71cc,0x9ff12ff8,0x00993000,0x07fdc399,0xfd09ff10,0x8bfee007,
    0x1ff10ff8,0x00dd2fc0,0x64013fe2,0x0effffff,0x2003fee0,0x4ccc47fa,
    0x2a099999,0x0266207f,0x26666662,0x004c4099,0x22fec131,0x0ff401a9,
    0x3100ff40,0x13333355,0xe8013f20,0x2a62004f,0x2099999a,0x09880099,
    0x266aa620,0x3ff10999,0x44004cc0,0x26666609,0x13f60009,0x99aa9880,
    0x93e00999,0x8ffee07c,0x985ffff8,0x21cc804c,0x7fc407fd,0x2a2bff64,
    0xfc88025f,0x2e5fffff,0x97fc407f,0x7fc407fb,0x0003bfe2,0xff880ff7,
    0x3a01bf62,0x006fa86f,0x7fc43ff5,0x6401ff10,0x2004fddf,0x7f400ffc,
    0xffffbcef,0x003ff880,0xfffc8ff5,0x2a6fffff,0x1dff307f,0xffffff90,
    0x05fd8dff,0x75fd97f6,0x503fffff,0x0bee00bf,0x7fffffdc,0x9f905fff,
    0x8027f400,0xfffffffb,0x01ff65ff,0x3ee09ff1,0xffffffff,0x6c03ff15,
    0xa7fc407f,0x4ffffff8,0x4013f600,0xfffffffb,0x23ba05ff,0x9ff106e8,
    0x1ffdcfb8,0x3e203fdc,0x80bfea2f,0x9ff11ffa,0x74c027dc,0x6fefeeff,
    0xff101fee,0xf101fee5,0x17ffdc5f,0x880ff700,0x013fa2ff,0x17fc1ff2,
    0xf10ffd40,0x003fe21f,0x88005bb7,0x3fee03ff,0x17fffe23,0xfa801fee,
    0x777775c7,0x1fea6ffe,0x5c03bfe6,0xffeeeeee,0xfb02fec6,0x7fe67ecb,
    0x6c0fffed,0x3bffa62f,0xfd83fb8f,0xeffebbdf,0x009f904e,0x7ec027f4,
    0xeffebbdf,0x80bfea4e,0xffd81ffa,0xeeffebbd,0x5403ff14,0x3fea02ff,
    0xffdddd11,0x027ec009,0x75deffec,0x2a04eeff,0xf701ffff,0xf99fd83f,
    0x203fdc3f,0x2ffc2ff8,0x7fccdfb0,0x3a00bf23,0x863fb2ff,0x7fc407fb,
    0xf880ff72,0x77ffec2f,0x03fdc00b,0x3ff8bfe2,0xf907fc80,0x43ff500b,
    0x1ff10ff8,0x003ccb80,0xff106fd8,0xffdcfb89,0x50027f41,0x37e400ff,
    0xeff98ff5,0x8df90000,0x97f605fd,0x2a0dfffd,0xf33fc4ff,0x3eafffdf,
    0x7417fd44,0x02fdc06f,0xfa809fd0,0xf06fe82f,0x437ec0bf,0x6fe82ffa,
    0x3e00ffc4,0x01bf605f,0x7ec009fd,0x417fd402,0x773006fe,0x2237ec01,
    0xf713fa7f,0x42ff880f,0xff880ffc,0x3fb37fc3,0x3a1ffb80,0x407fb80f,
    0x0ff72ff8,0xea82ff88,0x700cffff,0x2ff880ff,0xf7007ff1,0x01ff101f,
    0x3e21ffa8,0x401ff10f,0x000ffff8,0x7dc07fdc,0x7ccfec1f,0x00bfe23f,
    0x32007fa8,0xf99fea6f,0x320000ef,0xb02fec6f,0x82ffecbf,0xe9be67fc,
    0x3e6bf73f,0xfa837e45,0x03fe601f,0x32027f40,0x03ff506f,0xff101ff9,
    0x2a0df907,0x07fe21ff,0xf101ff90,0x04fe807f,0xc801ff10,0x03ff506f,
    0x009aaa98,0x25fa89fd,0x03fdc5fd,0xff30bfe2,0xc81ff707,0x00feaeff,
    0x41fe2ff4,0x7fc407fb,0xf880ff72,0x3ff6a02f,0x07fb82ff,0xff897fc4,
    0x207fb803,0x7fd404fd,0x7c43fe21,0x3ffea00f,0x7fc4002f,0x7c46fd82,
    0xffb93fa7,0x01fea000,0x5fea6fc8,0x0000eff9,0x17f637e4,0x1bf65fd8,
    0x9f70ffa8,0x34fc9be6,0x305fd8bf,0xefe803ff,0x13fa009a,0x3e60bfb0,
    0x83ff981f,0x5fd80ffb,0x7c43ff30,0x1ffcc01f,0x3a007fdc,0x3666204f,
    0x05fd806f,0x3f203ff3,0x0cffffff,0x8bf21ffc,0x03fdc7fc,0x3fa0bfe2,
    0xfb05fe86,0xf801ffff,0x5c1be23f,0x97fc407f,0x7fc407fb,0xfffc9802,
    0x2203fdc1,0x013fe2ff,0xffa81ff2,0x883fe600,0xb00660ff,0x000bfdbf,
    0x89fd07ff,0xb97f65fa,0x3fd4007f,0x7d4df900,0x000eff9f,0x7ec6fc80,
    0xfd97f605,0x647fe605,0x7ec9f92f,0x6fd89f53,0x5001ff50,0x7f409fff,
    0xa837ec04,0x0dfd00ff,0x1bf60bfd,0xff107fd4,0xd0dfd003,0x09fd00bf,
    0x80177fec,0x1ff506fd,0x3b3bbfe0,0x3fe25fff,0xff707fc3,0x2203fdc1,
    0x1ffa82ff,0xea80bfe2,0x880cffff,0x417ea2ff,0x7fc407fb,0x4401ff72,
    0x3ea002ff,0x203fdc5f,0x17fe2ff8,0xfd01bf60,0x107fcc07,0x7c4001ff,
    0x000ffcaf,0x1ffc27fc,0x27fc8bf2,0x7d4006fc,0xa9bf2007,0x001ffdff,
    0xfd8df900,0xfd97f605,0x64bfe205,0x7f45fb2f,0xffa87f52,0x4037f443,
    0x203effd8,0x7fd404fe,0x5037f443,0x17fc43ff,0x7443ffa8,0x00ffc46f,
    0xff10ffd4,0x409fd005,0x801dffec,0x7f443ffa,0x36206e06,0x47ff11ff,
    0x23fdc5f9,0x7fc407fb,0x7dc9ff02,0xffff7007,0x24ff885f,0x0ff704fb,
    0xff52ff88,0x00ffd401,0xff71ff60,0x3a2ff880,0x04ff807f,0xff3037dc,
    0x0007fc41,0x5ff31ff5,0x444fe800,0x707fc3ff,0x017f61ff,0x6400ff50,
    0x3a3fea6f,0xc80000ff,0xb02fec6f,0x302fecbf,0x7c7f63ff,0x7dc3fe1f,
    0xcceffe83,0xff800fff,0x009fd003,0xff99dffd,0x24ff801f,0x7ff407fb,
    0x40fffcce,0xff001ff8,0xe803fdc9,0x7fc8804f,0x99dffd00,0x20001fff,
    0x93fe3ff9,0x237e43fb,0x7fc407fb,0x3a1ff902,0x9bf7004f,0x5ff85fff,
    0x3fdc0ff2,0x7ccbfe20,0x03ff201f,0xfb8ff900,0x717fc407,0x7fd403ff,
    0x80ffc401,0x3fe20ff9,0xf97f6000,0x27fc005f,0x5f98ffe2,0x0df93fdc,
    0x2007fa80,0x45fea6fc,0x40000eff,0x02fec6fc,0x02fecbfb,0x47fa1ff5,
    0x64ff11ff,0x7f7fd41f,0x9800dfff,0x13fa006f,0xfffdff50,0xff9001bf,
    0xfa813fa1,0x0dffffef,0x9001ff88,0x013fa1ff,0xff0027f4,0xfeffa803,
    0x0000dfff,0x4bfb27f4,0x22fec1fe,0x7fc407fb,0xf35ff302,0x4ff2003f,
    0x7fec6ff8,0x3ee05fb0,0x897fc407,0x1bfe04ff,0xf717fa00,0x22ff880f,
    0xf880eff8,0x0bf9005f,0x1ff11322,0xf91ffc00,0x1ffcc00f,0x87f727fc,
    0x01fee6fc,0x6400ff50,0xf99fea6f,0x320000ef,0xb02fec6f,0x902fecbf,
    0xfe87f4ff,0x43f4ff51,0x003332fe,0x3a005fb8,0x997f404f,0x7fcc0019,
    0x3a01ff9a,0x8803332f,0xff3001ff,0x2003ff35,0x3f6004fe,0x9997f403,
    0x55330001,0xb7e49ff5,0x27fc46f8,0xff101fee,0x7e6ff405,0xb8bf6006,
    0x3ffea0ff,0xfb821fe9,0x917fc407,0x7ec419ff,0x106b2a2f,0xfb85ffd5,
    0x217fc407,0xa88aeffc,0xf3001ffe,0x7fc4001f,0x41ff5000,0xf7002ff9,
    0x74bfb05f,0xf52fec1f,0x3fd4001f,0x7d4df900,0x002ffd47,0x5fd8df90,
    0x5fd97f60,0x7ec7ff10,0x5ffa5fb1,0x02ff85fa,0x0027e400,0x2ff809fd,
    0xcdfe8000,0x017fc06f,0x8007fe20,0x006fcdfe,0xfd8013fa,0x0017fc04,
    0xfffff910,0x7fdc9fff,0x7fd44fba,0x2203fdc1,0x3fea02ff,0x3fa003ff,
    0xf903ff21,0xdd99ffff,0xf1007fdc,0x7fff445f,0x543fffff,0xffffffff,
    0x0ffb83ff,0x320bfe20,0xffffffff,0x81ff4001,0x887fc42a,0x86fd80ff,
    0xffb005ff,0x3e2df901,0xf327fc46,0x3fd4005f,0x7d4df900,0x005ffb87,
    0x5fd8df90,0xefd97f60,0x3237f4c1,0x9ddff72f,0xff01ffdf,0x135557bf,
    0x4009f900,0x7ffc04fe,0x009aaabd,0x07ffff50,0xaabdfff8,0x1ff8809a,
    0x3fffea00,0x013fa003,0x7fc04fd8,0x09aaabdf,0x337ffe20,0x224ffccc,
    0x221fdeff,0x0ffb85ff,0xf00bfe20,0x7c001fff,0x20dff10f,0xfffffffb,
    0xa803fea6,0xffeb81ff,0xfe982dff,0x1cffffff,0x5401ff50,0xffb501ff,
    0x500039ff,0x47ff90ff,0x1ff10ff8,0xffb07ff0,0x5c17fa00,0x544fbaff,
    0x02ff41ff,0x6400ff50,0x641fea6f,0xfc8004ff,0xfb02fec6,0x77fffecb,
    0x7dc1efff,0xb13df713,0x3fea03df,0xefffffff,0x6413f201,0xffffffff,
    0x7ffd46ff,0x1effffff,0x00ffff80,0x7fffffd4,0x3e21efff,0x7ffc001f,
    0xffff900f,0x0dffffff,0x3ea027ec,0xffffffff,0x01ffd81e,0xfffc89fd,
    0x03ffd517,0x7d401ff5,0x27fe401f,0xff357b50,0x803fffb5,0x4c09bffb,
    0x3ff201ff,0x801ff400,0xf3001998,0x07fe403f,0x0003fea0,0xffe85ff0,
    0x7c43fe25,0x40ffd40f,0x7c402ffa,0xbdff103f,0x42ffc43f,0xf5000ffb,
    0x537e400f,0x27fec0ff,0xfb1bf200,0xfb2fec0b,0x07dfffff,0x200013ee,
    0xeeccdff9,0xf900ffff,0x3ffff209,0x46ffffff,0xeeccdff9,0x6400ffff,
    0xff9804ff,0xfffeeccd,0x003ff10f,0x3204ffc8,0xffffffff,0x13f606ff,
    0xd99bff30,0xf81ffffd,0x213fa04f,0xfffffffd,0x03ff301f,0x32007fe4,
    0x3fea00ff,0xffffffff,0x205fa802,0x3fe04ff8,0x002fdc06,0x7c400aa8,
    0x01bfe04f,0x00013fe2,0x2ffb8df7,0x7fc43fe2,0x4ccffec0,0x404ff999,
    0x7fe407fc,0x3ffd517f,0x200bff10,0x3f6007fa,0x20000005,0xff8005fd,
    0x00457f64,0x20003fc4,0x3ee03ff8,0x009f903f,0x03ff8800,0xf900ffee,
    0x3ff8801f,0x7c4ffee0,0x7fe4001f,0x17ec0000,0x7c409fb0,0x0ffee03f,
    0x3fee07ff,0xfffffd04,0x27fc401b,0xf980dff0,0x76e4404f,0x003cefff,
    0xff9013ee,0x0ffec419,0x2000bfa0,0xfc801ff8,0x3ff620cf,0x39ffb001,
    0x22003d51,0x220441ff,0x81ff10ff,0xffffffff,0x3e607fff,0xfffd802f,
    0x201fffff,0xfa803ffb,0x09ff1007,0x40000aa8,0x4c004ff8,0x017f63ff,
    0x8000bf60,0x4ff807fb,0x54009ff0,0x01fee00a,0xff9813fe,0x807fb804,
    0x03ff14ff,0x0027fcc0,0xf9013f20,0x403fdc0d,0x077f44ff,0x209fffb3,
    0x200099ff,0x3620cffc,0x3fa201ff,0x27dc000f,0x402fc800,0xffffffe8,
    0xdfd803ff,0x1bea0009,0x7ffff440,0x2003ffff,0xffffffe8,0x013f6005,
    0x7fc43fe2,0x3ffffea0,0x2fffffff,0x7400dfb0,0x00dfffff,0x5400ffe8,
    0x5ff7007f,0x000ffc40,0x000bfee0,0x2fec3ff7,0x007fd400,0x201ffc80,
    0xff983ff9,0x03ff1003,0xf300ffe4,0x3ffa207f,0x01ffc800,0x7fc4ffe6,
    0x1ffd1001,0x01ff8000,0xfc80ffdc,0x0ffe601f,0xfffdfff5,0xbf309fbb,
    0x3ffa2000,0x43ffffff,0x1fffbaa8,0x002fc800,0x2e003fb0,0x01dffffe,
    0x00bfff30,0x2e0027e4,0x01dffffe,0xeffec880,0x07fcc003,0x7c43fe20,
    0x101bf60f,0x3ff909ff,0x04cffc00,0x31bfe600,0x44ff7333,0xffda99be,
    0x8037d405,0xfda99be8,0x26b2205f,0x7ec4ffea,0x5ffb0005,0xf5035441,
    0x731135df,0x32621dff,0xf5000fff,0xaeffa80d,0xeffb9889,0xfff75510,
    0x3bfea003,0xffb9889a,0x335ff10e,0x3eeaa213,0xe80001ff,0xff1009df,
    0x7fd4139f,0xfb9889ae,0xfffa80ef,0x909f92ef,0xeb80007f,0x881dffff,
    0x001effff,0x20003fb0,0x098000fe,0x006a6000,0x20001ec8,0x00000009,
    0xff880000,0x7fc1ff10,0x5c7fd804,0x3e6002ff,0x7fdc0005,0x3fffffe4,
    0x3ffffe27,0x7e400dff,0xffff1004,0x4401bfff,0x0dffffff,0x90002fec,
    0xffffdfff,0xfffffc80,0x360effff,0x2002ffff,0xffc804fc,0xefffffff,
    0x3bfffe20,0x7ffe4001,0x0effffff,0x3fffffe2,0x3dffff16,0x3fea0000,
    0x3ffea04f,0x7fffe45f,0x00efffff,0x000000c4,0x22004c00,0x40003cee,
    0x990000aa,0x00000000,0x00000000,0x00000000,0x443fe200,0x03ff50ff,
    0x3e23ff50,0x1fe4002f,0x87fe4000,0x46eeeeed,0x02cefeda,0x54003d90,
    0x802cefed,0x02deeec8,0x980009d9,0x002ceedb,0x9bdfdd71,0x0179d903,
    0x1001ec80,0x39bdfdd7,0x0079dd10,0x77f75c40,0xeee881cd,0x9dd15eee,
    0x26000007,0x765c401a,0xefeeb884,0x000001cd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x87fc4000,0x0dfb0ff8,0x3a93fe20,
    0x80000000,0x0000001c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c43fe20,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0x03ba21dd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55100000,0x4c0154c1,
    0x6665c01b,0xcccccccc,0x2003003c,0x0aa61aa8,0x00000000,0x54c00000,
    0x0600001a,0x006aaa00,0x5530554c,0xc9832e03,0x54079702,0x999951cc,
    0x97000357,0x03500079,0xcc980053,0x2aa60001,0x55540000,0x30554c00,
    0x9b300355,0x35550000,0x3260cb80,0x0001e542,0x2b376ea2,0x900f3260,
    0x09b30019,0x014c0d40,0x20003310,0x99300aa9,0x2a0cc809,0x75ff7002,
    0xff8803ff,0x7fffec02,0xffffffff,0xffffb305,0xaffa805f,0xca802ffa,
    0x0ffffffe,0x001ff400,0x54013ff6,0x0001ffff,0x00ffffae,0xa8027fdc,
    0x17fea3ff,0xfd99dfc8,0x260bfb03,0x3fff24ff,0x003fffff,0x001ffff1,
    0xff30ffdc,0x3ffea007,0xffa8001f,0xfb0001ef,0x3ffa807f,0x74017fea,
    0x320003ff,0xcfd804ff,0x7ec2fe99,0xff910006,0x23ffffff,0x3e02fffa,
    0x3ffe801f,0x261ffb80,0xfe8803ff,0x3ea000ef,0xffa81eff,0x647fe02f,
    0xff7004ff,0xff1003ff,0xccccb805,0xccccdffd,0xeffffb83,0xffa803ff,
    0x7f4c02ff,0xffffffff,0x03fe6000,0x002ffd80,0x5ff75ff5,0xffff9000,
    0x5ff7007f,0x98ffe600,0x7f4403ff,0xfb00efff,0xc8dff10b,0xfffdccff,
    0xfffa803f,0x3fee002f,0x400ffe61,0x70017e6d,0x03ff95ff,0x401efd80,
    0x3fe63ff9,0x0fffa003,0x017fe400,0x5fffff88,0x98006fd8,0xdccdfffe,
    0xdfff51ff,0x7400ffc0,0xffb803ff,0x100ffe61,0x01dfbbfd,0xff95ff70,
    0x06fffa83,0x37ff47fe,0x00199500,0x2000bfe2,0xf8801ff9,0x800440df,
    0x7cc01cc9,0xf51fffff,0x27ec001f,0x313dfb00,0x30e64401,0x7d400199,
    0x910021df,0x165c0039,0x5c005991,0x2fec03cc,0x3f2077f4,0x00fff987,
    0x02ff6fec,0x00a606a0,0x8017a6d8,0x332a0cc9,0x01995000,0x66445970,
    0x066cc002,0x00664c00,0x40b32e20,0x7c4006fd,0x542a03ff,0xff02ffff,
    0x019b3003,0x00a606a0,0x6f5c7db1,0xa8332600,0x3ffea0cc,0x2a3ff02f,
    0x800003ff,0x9bff9999,0x26009999,0x7fb801ff,0x74000000,0x51ffffff,
    0x3e2001ff,0x4551001f,0x000000fe,0x0001ff60,0x00000000,0xf917f600,
    0x20ff903f,0x3e202ffc,0x000ffcaf,0xefa80000,0x000002fe,0x00000000,
    0x00000000,0x1bf60000,0x003ff900,0x837e7fd4,0x000001ff,0x00000000,
    0xfcffa800,0x0443ff06,0x99b75100,0xfffff885,0x5fffffff,0x2007fe60,
    0x20001ffb,0x1bcddcb9,0x7fffffc4,0x001ff51f,0x98001bee,0xb973006f,
    0x7c00379b,0x65cc004f,0xc981bcdd,0x401cc804,0x201bdcb9,0x0bfea5fd,
    0xff983fe4,0x263fea02,0x5cc002ff,0xa8001bdc,0x510002dd,0x10159bb7,
    0x09ffffff,0x0dee5cc0,0x6edd4400,0xba8800ac,0x51002ccd,0x6c159bb7,
    0x3fe6006f,0x47fd4004,0x01ff82ff,0x1666dd44,0x6640264c,0x0002fec1,
    0x1666dd44,0x07fe7fea,0x640007fe,0xffffffff,0xffdddd10,0x09dddddd,
    0x4c00ffcc,0x4c001eff,0xfffffffd,0x7ffffd47,0x01ff51ff,0x3000bfe0,
    0x9807fb55,0xfffffffd,0x05ff1007,0x3ffff660,0x7fb87fff,0x9017fc40,
    0x1dffffff,0x3fe6bfb0,0x541ff203,0x97f601ff,0x3f2005ff,0x00efffff,
    0x000f32e0,0xffffff91,0xfff883ff,0xf9004fff,0x01dfffff,0xfffff910,
    0x7e403fff,0x0fffffff,0xfffff910,0x1bf63fff,0x000ffb80,0x86fcbfd4,
    0x3ff201ff,0x20ffffff,0x7fc407fb,0x0002fec2,0x3ffffff2,0x3aff50ff,
    0xd11ff85f,0x7ff4401d,0x0ffdccdf,0x0005ff10,0x36003ff3,0xf1003fff,
    0xb977bdff,0xfffffa8d,0x01ff51ff,0x5c00ff50,0x04ffffff,0x2f7bffe2,
    0xf5006dcb,0xfff1003f,0x0db977bd,0xff880ff7,0x99dffd02,0xfd83dffd,
    0x6405fe8d,0x80dfd07f,0x01ff23ff,0x76677ff4,0xf8801eff,0xd3000fff,
    0xfb99bfff,0x09fd003f,0xd99dffd0,0x74c03dff,0xfdccdfff,0xfffe881f,
    0x80ffdccd,0xccdfffe9,0x0dfb1ffd,0x40037ec0,0x87ff17fa,0xffe881ff,
    0x0ffdccdf,0xff101fee,0x0005fd85,0x99bfffd1,0x5fea1ffb,0x8ffc1ffa,
    0x3f600ff8,0xf880a04f,0xff98002f,0xfeffd801,0x7fec02ef,0x3ffe6001,
    0xff51ffff,0x007fd001,0x3f77bff6,0x3ffb04ff,0x1ff70000,0x003ffb00,
    0x7c407fb8,0x83ffb82f,0x6fec5ffb,0xffc806fd,0x2ffeba99,0xf983fea0,
    0x1ffdc02f,0x5402ffdc,0x8802ffff,0x02a03fff,0xf7013fa0,0x0bff707f,
    0xa80fffe2,0x204ffd80,0x03fff882,0x0037ec2a,0x55550bfd,0xc9fea155,
    0x207fe0ff,0x70a04ffd,0x2ff880ff,0xd8002fec,0xfa8a04ff,0x3ff17fa7,
    0x7d403fe2,0x3e20003f,0xff98002f,0xb8ffdc01,0x3fe04fff,0xfffe8005,
    0x1ff51fff,0x800ff980,0x3bf23ffb,0x05ff84ff,0x00ff9000,0x2e0017fe,
    0x17fc407f,0xfc813fe2,0x3ffff60f,0xffffc802,0x6c01dfff,0x205ff86f,
    0x3f204ff8,0x76fec00f,0x1ffc805f,0x09fd0000,0xf9027fc4,0x03ff901f,
    0x007ff500,0x4003ff90,0x3fe006fd,0xffffff84,0x7fc4ff52,0xff507fe3,
    0x07fb8007,0x3f617fc4,0x3ffa8005,0xfb9fea00,0x7c47fe0f,0x00ffd00f,
    0x002ff880,0x7401ff98,0x2ffec44f,0x40027fc4,0x1ffffff9,0xfc801ff5,
    0x44ff8805,0x447fd8fe,0xff0004ff,0xffffffff,0x04ff889f,0x4407fb80,
    0x0ffdc2ff,0x7ec9ff10,0x6400ffed,0x0effeeff,0xfd83ff80,0x807fee07,
    0x3e204ff8,0x200ffcaf,0x00004ff9,0xffb813fa,0x313fe201,0x3a0009ff,
    0xff98007f,0x037ec004,0xddb09ff0,0x1fea5ffd,0x07fe1ff9,0xf7000ffd,
    0x42ff880f,0x06aa25fd,0x54007fe8,0xff27fc7f,0x2607fe63,0x440003ff,
    0xf98002ff,0x81ffc01f,0xeff82ffc,0xffe98000,0x01ff51ff,0x5400ffc4,
    0x4dbe60ff,0x077fc0ff,0x7ffffc00,0x84ffffff,0x5c000eff,0x17fc407f,
    0x3fa01bf6,0x3fe37f66,0x89ff200e,0x3ea00ffd,0x02ffa81f,0xdfd00dfb,
    0x7cc7fd40,0x03fee02f,0x04fe8000,0x3fa01bf6,0x0007fdc6,0x4001ffcc,
    0x6c000ffb,0x17fa006f,0x3ea5ff10,0xffa7fc47,0x000ffe61,0xff101fee,
    0xff95fd85,0xff983dff,0x23fd4003,0x23ff0ffb,0xffa81ff9,0x7fc40001,
    0x1ff98002,0xfd037ec0,0x05fff70d,0x47b72a00,0x3ee00ffa,0xc8ff7006,
    0xf70bfe3f,0xf80005ff,0xfff7004f,0x03fdc005,0x9fd0bfe2,0x7ecdf900,
    0x640bff35,0x02ffc47f,0x33333ffb,0x3fa09ff3,0x206fc804,0x817fe5fd,
    0x400006fd,0x13fa04fe,0xdfb1bf20,0x07fea000,0x001bf600,0xfd801bf6,
    0xa97fc406,0xf8ffb87f,0x007fea1f,0xf101fee0,0xfddfd85f,0x546fffdf,
    0x7d4001ff,0xff9ffc47,0xf703ff31,0xf880001f,0xff98002f,0x827fd401,
    0xfffb07fb,0x5000017d,0x1ff401ff,0x7f46fc80,0x3f60ffa0,0x4000beff,
    0x36003ff8,0x400befff,0x7fc407fb,0x6401ffc2,0xfb97f67f,0x70ff903f,
    0x3ffe03ff,0xffffffff,0x9007ff07,0x91ffc0ff,0x42ff40ff,0x00aaaaaa,
    0x3fe04fe8,0x747fc803,0xaaaaa85f,0x003fee0a,0x2aa17fa0,0xdfb0aaaa,
    0x00ffe400,0x1fea5ff1,0x87ff3fe2,0xb8000ffb,0x17fc407f,0xc837fff6,
    0x03fee2ff,0xf90ff500,0x3e63ff1f,0x007fc81f,0x003ff880,0xd801ff98,
    0x37dc0dff,0x9ffffd50,0x7fd40001,0x400ff500,0xd1be66fc,0x3ffaa07f,
    0xf3000cff,0xfea8005f,0xf700cfff,0x22ff880f,0xfb803ff8,0xfd8bfb0f,
    0x887fc81f,0xfffa85ff,0xffffffff,0x01ffc42f,0x7d407fdc,0x40bfe60f,
    0xffff84ff,0x4fe802ff,0x7007ff10,0x427fc1ff,0x22ffffff,0xff0007fc,
    0xffffff09,0x9801bf65,0x3fe205ff,0x3ee0ff52,0x1ff21fff,0x203fdc00,
    0x7fec2ff8,0x323ff885,0x7fa8007f,0x1ffbff88,0xff905ff3,0x1bfe0000,
    0x007fe600,0xf89fffe4,0xffda803f,0xf50002ff,0x013f601f,0x0ff27fa8,
    0xfda805ff,0xfa802fff,0xfb50001f,0xff705fff,0x222ff880,0x7fb803ff,
    0xfff117f6,0xf907fc81,0x406fd81f,0x7fc44ff8,0xb07fb803,0x20bff0df,
    0xeeed84ff,0x4fe802ff,0x7007ff10,0xd84ff8ff,0x322ffeee,0x9ff0007f,
    0x5ffdddb0,0xf9001bf6,0x4bfe207f,0x3ffe07fa,0x001ff21f,0x3e203fdc,
    0xd037ec2f,0x003fe49f,0xefd83fd4,0x05ff51ff,0x00001ff7,0x04437ffb,
    0x4003ff30,0x6ffeffe9,0x7ffe4c00,0x0ffa8001,0x2000ff88,0x41fd1ff8,
    0x93001ff9,0xfb803fff,0x64c0000f,0x3fdc1fff,0xff0bfe20,0x6cdf9009,
    0x46ff985f,0x9ff107fc,0xfd804ff8,0xc804ff87,0xb07ff06f,0x017fa0ff,
    0xfd005ff1,0x4027fc09,0x02ff46fc,0xffb8bfe2,0x05fe8000,0xefd97fc4,
    0x19999999,0x056fffc4,0x1fea5ff5,0x2e1fffb8,0xfb8000ff,0x217fc407,
    0x97f605fd,0x54000ffb,0xffff307f,0x2a0bfea3,0x880001ff,0x5fffffff,
    0x0007fe60,0x001bffee,0x8005ffa8,0x5fc80ffa,0xf9dff800,0x40037ec6,
    0x7e405ffa,0x3ea00007,0x007fdc5f,0x4fe85ff1,0x3f65fd80,0x649ff705,
    0x43ff207f,0xfa801ffa,0x4027f41f,0x1ffa85fd,0xfd82ffa8,0x017fc406,
    0x9fd027f4,0xfd8bfb00,0x517fc406,0xfb0003ff,0xb2ff880d,0xffffffff,
    0xfffd10ff,0x25ffffff,0x7ff407fa,0x0007fea1,0xf8803fee,0xb02fec2f,
    0x00ffd4bf,0xfd81fea0,0x05ff51ff,0x00009ff3,0x3fffff62,0x007fe604,
    0x00fff440,0x000ffb00,0x0bfe0ff7,0x3fbfee00,0x003ffb13,0xfb01ff60,
    0xfd80000b,0x5007fd47,0x07fd83ff,0x17f64ff8,0xff92ffd8,0xfda7fcc0,
    0x89ff1006,0x4ff807fd,0x9999ffd8,0xfc84ff99,0x0bfe201f,0xfd813fa0,
    0x644ff807,0x3fe201ff,0x0013fe62,0xf8807ff2,0xfffffb2f,0x5c0fffff,
    0xbdfffffe,0xfa80ff50,0x013fe61f,0xa803fea0,0x02fec1ff,0x27fccbfb,
    0x981fea00,0x5ff51fff,0x0003ffa0,0x00033100,0x1ffc4000,0x00ff9000,
    0xdf50dfb0,0x7ffd4000,0x003fffee,0xff01ff20,0xfc800009,0x900ffcc7,
    0x1ffb81ff,0x0007fea0,0x80000000,0x1ffb85fa,0x3e07fea0,0xffffffff,
    0x5ff987ff,0x200bfe20,0x3fee04fe,0x307fea01,0x7fc40bff,0x0007ff42,
    0xf8817fe6,0x1000002f,0xfa800033,0x007ff40f,0xc807fe60,0x02fec0ff,
    0x0ffe8bfb,0xf5000000,0x37fea07f,0x0aa80000,0x00055400,0x0007ff10,
    0x10082ff4,0x07fd0bff,0xffffb800,0x740001df,0x0bfea05f,0x8bfd0000,
    0x3fe04ff8,0x80eff886,0xaa805ff8,0x00554000,0x80ff8800,0xf880eff8,
    0xffffa85f,0xffffffff,0x103ffc82,0x9fd005ff,0x4077fc40,0xff905ff8,
    0x50bfe207,0xc8001bff,0x5ff103ff,0x20002aa0,0xc80000aa,0x0dffa87f,
    0x813fe200,0x05fd86ff,0xbff517f6,0x0aa80001,0xe80bbaa0,0x7311bfff,
    0x1ff8801d,0x007fe200,0x1ffb3013,0xa8835950,0xcf882ffe,0x307ff6a0,
    0xc80001ff,0xca8009bf,0x7ff5441a,0x01ffd302,0x5106b2a0,0xff905ffd,
    0x0ffec419,0x88aeffc8,0x4401ffea,0x3e2001ff,0xf900001f,0x577fe40b,
    0x81ffea88,0x7fc406fd,0xadfff884,0x200bfea0,0x7fe404fe,0xffea88ae,
    0x5bfff101,0x7417fd41,0x7311bfff,0xdfff881d,0x20bfea0a,0x44001ff8,
    0xf80001ff,0x7fffd05f,0x903ae623,0x7ec419ff,0x205fd81f,0xfffe85fd,
    0x01d7311b,0x0000ffc4,0xffffffc8,0x7d400fff,0x037d4006,0x7ff77fdc,
    0xfff503ff,0x7fffffff,0x3ffffee0,0x4fd84fff,0x00fe8000,0x3ffffea0,
    0x543fffff,0x003fffee,0x3fffffea,0xd103ffff,0xffffffff,0xffffc807,
    0xa801ffff,0x37d4006f,0x5ff70000,0x3ffff203,0xff01ffff,0x20ffb009,
    0xffffffe8,0xfe802fff,0xffffc804,0x4401ffff,0xfffffffe,0xfff902ff,
    0x01ffffff,0xffffffd1,0xdf505fff,0x00df5000,0x0fffe440,0xffffff90,
    0xfe881fff,0x3fffffff,0x7ec0bfb0,0xfffff905,0x5401ffff,0x5400006f,
    0x2cefffed,0x4004fc80,0xffb804fc,0x201dffff,0xffffffe9,0x7f5401cf,
    0xf882efff,0x7cc0001f,0x7ff4c006,0x81cfffff,0x003ffffa,0x7fffff4c,
    0xeb801cff,0x001dffff,0x1bffffb5,0x0013f200,0x400009f9,0x2a07ffe8,
    0x00dffffd,0xf5003ff5,0x7ff5c03f,0x640bdfff,0xffffffff,0xffb506ff,
    0x5c001bff,0xbdfffffe,0x3ffb6a00,0x75c02cef,0x0bdfffff,0xc8004fc8,
    0x3ea0004f,0xeda803ff,0x202cefff,0x1dffffeb,0xfd817f60,0x3ffb6a05,
    0x7e402cef,0x22000004,0x01ec8001,0x3000f640,0x31000333,0x0cc00033,
    0x00000000,0x00666200,0x400004cc,0x40001998,0x04c00009,0x000f6400,
    0x000007b2,0x04c00aa2,0x88037ec0,0x331004ff,0xfffffc80,0x806fffff,
    0x98800009,0x00310001,0x6400cc40,0x1ec8001e,0x033aa000,0x40006200,
    0x0bfb0009,0x18802fec,0x000f6400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x41aaa800,0xccccccca,0x55301ccc,0xaa980003,0x03553001,
    0x1aaa8000,0x006aa600,0x08859730,0x206aa600,0xccccccc8,0xa9801ccc,
    0x65cc001a,0x06a00442,0x2aa000a6,0x1aa9801a,0x05303500,0x00d55400,
    0x2f3772e6,0x986aa201,0x2aa6002a,0x06644001,0xeeeeee80,0x5550005e,
    0x986aa203,0x20cb802a,0x2aa602c9,0x42a98001,0xeee801aa,0x3005eeee,
    0x00088597,0x3000d554,0x54c00355,0x7000001a,0xfff909ff,0x7fffffff,
    0x00fff620,0x0ffffd40,0x01ffec40,0x04ffb800,0x07fffea0,0x77fffd40,
    0xf5006e99,0xff883fff,0xffffffff,0x7fffd402,0xffff5001,0x5c0dd33d,
    0x0ffe61ff,0x804ffb80,0x401ffffa,0x3fe61ffb,0x4ffb8003,0x3ffff660,
    0x7d407fff,0x002ffaaf,0x003ffff5,0xf8027fec,0x07ffffff,0x404ffb80,
    0x2ffaaffa,0xd99dfc80,0x3ff6203f,0x6ff44003,0xff005fe9,0x00ffffff,
    0x33dffff5,0x7fdc00dd,0x3ffea004,0xffb1001f,0x04ffc807,0x9502ffb8,
    0x99bffb99,0x3ffb8039,0x5d7fd400,0xff7002ff,0xffb80007,0x2bfea002,
    0xee802ffb,0x2ffffeaa,0xfbaffa80,0x337fe22f,0x01cccccc,0x3feebfea,
    0xeaaee802,0x2e02ffff,0x0ffe61ff,0x4017fdc0,0x2ffbaffa,0xf987fee0,
    0x7fdc003f,0x3bffe202,0x806dcbbd,0x002ffffa,0x5ff75ff5,0x013ff600,
    0x3ee00000,0xfff5002f,0x3fa2005f,0xb800efff,0x6c4003ff,0x00005fff,
    0x3aabba00,0x7002ffff,0x7d4005ff,0x002ffbaf,0xfb80ffee,0x0e64403f,
    0x003ff300,0x20019930,0x33261cc8,0x01993000,0x00732200,0x3261cc88,
    0x2a04400c,0xcc8801bc,0x7c433261,0x9910002f,0x200664c3,0x00de5408,
    0x8014c0d4,0xc8801cc8,0x8033261c,0x4002981a,0x7ec01cc8,0xc980001f,
    0x3991001c,0x4400664c,0x000000dd,0x000e6440,0x20007326,0x4c003ccb,
    0xcc8000cc,0x40000003,0x00de5408,0x2001cc88,0x33261cc8,0x03326000,
    0x0001ffdc,0x001ff980,0x00000000,0x00000000,0x00000000,0x2ff88000,
    0x00000000,0x00000000,0x00000000,0x3e000000,0x0000005f,0x00000000,
    0x33201326,0x00000001,0x00000000,0xb9800000,0x00001bdc,0x00000000,
    0x3ee00000,0x2013262f,0x3ff301cc,0xc804c980,0x2013261c,0x32e601cc,
    0x5cc001bd,0x4c001bdc,0x4001bdcb,0x801bdcb9,0xccccccc8,0x05ff11cc,
    0x07997000,0xc8099930,0x6666540c,0x41cccccc,0xccccccc8,0x66441ccc,
    0xcccccccc,0x01e65c01,0x3202664c,0x009ff10c,0x99999970,0x87999999,
    0xccccccca,0x66541ccc,0xcccccccc,0xf101fee1,0xcccca85f,0x21cccccc,
    0x66404cc9,0x66666540,0x541ccccc,0xcccccccc,0x6664c1cc,0x64001abc,
    0x0effffff,0x333332a0,0x971ccccc,0x4f320019,0x332004c9,0x66666440,
    0xf51ccccc,0x203fdc5f,0xff302ff8,0x407fb803,0x1fee2ff8,0x3205ff10,
    0x0effffff,0xfffffc80,0xffc800ef,0x800effff,0xeffffffc,0x3fffe200,
    0xf12fffff,0xf880005f,0x7d400fff,0x07fe02ff,0xfffffff9,0xff887fff,
    0xffffffff,0x7ffffc42,0x202fffff,0x400ffff8,0x3e02fffa,0x003bfe1f,
    0xffffffb0,0x8bffffff,0xfffffffc,0x7fe43fff,0xffffffff,0xf101fee3,
    0xffffc85f,0x23ffffff,0x3e02fffa,0x7fffe41f,0x43ffffff,0xfffffffc,
    0x7fdc3fff,0x0dffffff,0x6677ff40,0xf901effe,0xffffffff,0x013fea7f,
    0x3fccbfee,0xf883ff00,0xffffffff,0x5c3ff52f,0x17fc407f,0x5c01ff98,
    0x17fc407f,0xff880ff7,0xcceffe82,0x3a01effe,0xffecceff,0x3bffa01e,
    0x01effecc,0x3b33bffa,0x99101eff,0x5ff99999,0x0000bfe2,0x805ffff5,
    0x3e06fffa,0x6e66541f,0x41cccdff,0xccccdff8,0x7fc41ccc,0xcccccccd,
    0x3fffea01,0x37ffd402,0x7fdc3ff0,0x332e002f,0xccdffdcc,0x666543cc,
    0x1cccdffd,0x7fee6654,0x3ee1cccd,0x217fc407,0xdffdccca,0x3fea1ccc,
    0x507fe06f,0x9bffb999,0xccca8399,0x1cccdffd,0x76667fdc,0xf702ffff,
    0x0bff707f,0x3ff7332a,0x3fa1cccd,0x337fc00f,0x3fe001ff,0x666ffc40,
    0x911ccccc,0x203fdc19,0xff302ff8,0x407fb803,0x1fee2ff8,0xfb85ff10,
    0x05ffb83f,0xff707ff7,0x20ffee0b,0xff705ffb,0x00bff707,0x3e25ff10,
    0xccccccdf,0xfedfd804,0x7fffd405,0x9803ff02,0x7fc401ff,0x17fc4002,
    0xfdbfb000,0xffffa80b,0xfd83ff02,0x8000beff,0x98001ff9,0x7cc001ff,
    0x01fee01f,0xf9805ff1,0x3ffea01f,0x803ff02f,0x4c001ff9,0x3fdc01ff,
    0x441fffa8,0x3ff204ff,0x01ff9800,0xfb813fe6,0x003fe21f,0xff103fe2,
    0x7fb80005,0x9817fc40,0x3fdc01ff,0xfb8bfe20,0x117fc407,0x7fe409ff,
    0x9027fc40,0x4ff881ff,0xf103ff20,0x07fe409f,0x44bfe200,0xffffffff,
    0x57fc407f,0x3ea00ffc,0x3ff06fcf,0x401ff980,0x44002ff8,0xf10002ff,
    0x401ff95f,0xf06fcffa,0xfffd503f,0x7cc0019f,0xff98001f,0x0ffcc001,
    0xf880ff70,0x0ffcc02f,0x0df9ff50,0xff3007fe,0x1ff98003,0xf103fdc0,
    0x01ffb8bf,0x26013fe2,0x7fec01ff,0x445ff881,0x7f8801ff,0x2002ff88,
    0x01fee2ff,0x3e605ff1,0x03fdc01f,0x7fb8bfe2,0xf717fc40,0x27fc403f,
    0xf8807fee,0x00ffdc4f,0xffb89ff1,0x013fe201,0x3e25ff10,0xaaaaaacf,
    0x4c7fd402,0x3fea02ff,0x1ff81ff9,0x200ffcc0,0x44002ff8,0xf50002ff,
    0x405ff31f,0x81ff9ffa,0x3f6a01ff,0xf3002fff,0xff30003f,0x1ff98003,
    0xf101fee0,0x1ff9805f,0x3fe7fea0,0x4c01ff81,0x7cc001ff,0x03fdc01f,
    0x6fd87ff2,0x9806fe80,0x7fcc01ff,0xf80ffc85,0x87f9801f,0xf3002ff8,
    0x203fdc1f,0xff302ff8,0x407fb803,0x1fee2ff8,0x7ec5ff10,0x6c6fe806,
    0x46fe806f,0x6fe806fd,0x7f4037ec,0x97fc4006,0x20002ff8,0x817fe5fd,
    0xf0bfd7fa,0x1ff9803f,0x0017fc40,0x4000bfe2,0x817fe5fd,0xf0bfd7fa,
    0xff93003f,0x3ff3003f,0x03ff3000,0x201ff980,0x7fc407fb,0x00ffcc02,
    0x217faff5,0x7fcc01ff,0x0ffcc001,0xf101fee0,0x4027f47f,0xff9806fc,
    0x21ffc801,0x5ff04ff8,0x43fcc098,0xf5002ff8,0x4407fb8d,0x3ff302ff,
    0x4407fb80,0x01fee2ff,0x27f45ff1,0x3fa37e40,0x746fc804,0x46fc804f,
    0x6fc804fe,0x897fc400,0x3e0002ff,0xa81ff23f,0xf83ff57f,0x0ffcc01f,
    0x000bfe20,0x20005ff1,0x81ff23ff,0x83ff57fa,0x3ea001ff,0x1ff9805f,
    0x01ff9800,0x700ffcc0,0x2ff880ff,0x500ffcc0,0xf07feaff,0x1ff9803f,
    0x00ffcc00,0x3fe01fee,0x3200ffe4,0x1ff9807f,0x326ff880,0x45fd00ff,
    0x1bea0ff8,0x6400bfe2,0x203fdc3f,0xff302ff8,0x407fb803,0x1fee2ff8,
    0x7fc5ff10,0x7c7fc803,0x47fc803f,0x7fc803ff,0x7e401ffc,0x97fc4007,
    0x50002ff8,0x17fcc1ff,0x17fa7fa8,0xff9803ff,0x66ffc401,0x884ccccc,
    0xcccccdff,0x41ff504c,0xff502ff9,0x07fe2ff4,0x300ffb00,0xf30003ff,
    0xff98003f,0x101fee01,0xff9805ff,0xfe9fea01,0x2600ffc5,0x7cc001ff,
    0x03fdc01f,0x3ff8aff4,0x400ffb80,0xf7001ff9,0x407ff15f,0x8bfee3fe,
    0xdff885fa,0x24cccccc,0x03fdc098,0x7cc0bfe2,0x03fdc01f,0x7fb8bfe2,
    0xf897fc40,0x0ffb803f,0xf7007ff1,0x00ffe21f,0x7fc43fee,0x00ffb803,
    0x7c4bfe20,0xdfb0002f,0x3ea0bff0,0xff83fee7,0x00ffcc01,0x3fffffe2,
    0xff887fff,0x7fffffff,0xbff0dfb0,0xffb9fea0,0x90007fe0,0x3ff300ff,
    0x03ff3000,0x201ff980,0x7fc407fb,0x00ffcc02,0x07fdcff5,0xff9803ff,
    0x0ffcc001,0x3601fee0,0x007ff16f,0xff300ff7,0x677f4003,0xd1fec06f,
    0x42fd4bff,0xfffffff8,0x7fb807ff,0x9817fc40,0x3fdc01ff,0xfb8bfe20,
    0x897fc407,0x7fb803ff,0x2e00ffe2,0x00ffe27f,0x3ff89fee,0x4007fb80,
    0x5ff12ff8,0x20ffe000,0x8ff507fd,0x007fe4ff,0xf8803ff3,0xaaaaaacf,
    0xaacff882,0xff02aaaa,0x2a0ffb07,0xff27fc7f,0x05fe8003,0x8001ff98,
    0x4c001ff9,0x1fee01ff,0x9805ff10,0x1fea01ff,0x00ffc9ff,0x30007fe6,
    0x7fb803ff,0x3fe6fe80,0x806fc804,0x2a001ff9,0x6c02ffff,0x1ffdf13f,
    0x3fe213ee,0x2aaaaaac,0x4407fb80,0x733312ff,0x813335ff,0x7fc407fb,
    0xf101fee2,0x4027fc5f,0x027fc6fc,0x13fe37e4,0x9ff1bf20,0x800df900,
    0x7ff12ff8,0x13333333,0xf503ff50,0xb8ff505f,0x803ff0ff,0x7c401ff9,
    0x7fc4002f,0x0ffd4002,0x7d417fd4,0xff87fdc7,0xa8835951,0xf9802ffe,
    0xff98001f,0x0ffcc001,0x4401ff70,0x7fcc02ff,0xf71fea01,0x3007fe1f,
    0xf98003ff,0x03fdc01f,0x09fd2ffc,0xf300bfb0,0xffe8003f,0xf74fc805,
    0x13ee7fb7,0x0000bfe2,0x7c401ff7,0xfffff92f,0xb87fffff,0x3fe200ff,
    0x8803fee2,0x013fa2ff,0x09fd17f6,0x4fe8bfb0,0x7f45fd80,0x005fd804,
    0xff897fc4,0xffffffff,0x999ffd82,0xa84ff999,0xf9ffc47f,0x0ffcc01f,
    0x000bfe20,0xd8005ff1,0x999999ff,0x47fa84ff,0x23ff3ff8,0xfffffffa,
    0xf3003fff,0xff30003f,0x1ff98003,0xa803fea0,0x7fcc01ff,0xf11fea01,
    0x3007fe7f,0xf98003ff,0x03fdc01f,0x7fd93fe2,0x9804ff80,0x7d4001ff,
    0xb4fb801f,0x3f2df73f,0x002ff883,0x5007fd40,0x3fff23ff,0x3fffffff,
    0xf5007fd4,0x007fd43f,0x3fec3ff5,0x3f627fc0,0x6c4ff807,0x44ff807f,
    0x4ff807fd,0x897fcc00,0xffffffff,0xffff82ff,0x7fffffff,0xffc87fa8,
    0x7cc01ff8,0x17fc401f,0x00bfe200,0xfffffff0,0xf50fffff,0xff1ff90f,
    0x3ffffa63,0x2001beff,0x98001ff9,0x7cc001ff,0x07fe601f,0x4c00ffc8,
    0x1fea01ff,0x07fe3ff2,0x8003ff30,0x7dc01ff9,0x70ffdc07,0x7fd403ff,
    0x01ff9801,0x400ffcc0,0xf16f8dfb,0xf107f91f,0xf980005f,0x03ff201f,
    0x2607fcc0,0x3ff201ff,0xc807fe60,0x07fee0ff,0x7dc1ffa8,0x07fea01f,
    0x7d403ff7,0x00ffdc1f,0xb8003ff5,0xdf3001ff,0xfffffa81,0x2fffffff,
    0x7fc43fd4,0x7cc01ffb,0x17fc401f,0x00bfe200,0xffffffa8,0x42ffffff,
    0xbff887fa,0xfd9881ff,0x3ff30006,0x03ff3000,0x201ff980,0x3fe04ff8,
    0x01ff9806,0x3fe21fea,0x7cc01ffb,0x7fcc001f,0x103fdc01,0xeff88dff,
    0x005ff880,0x98003ff3,0xefa801ff,0x36ff64fa,0x02ff882f,0x027fc400,
    0x7f400dff,0x204ff881,0x27fc46ff,0xff88dff0,0x85ff880e,0xf880eff8,
    0x0eff885f,0xf885ff88,0x5ff880ef,0x07fec010,0x6c07fc40,0x27fc406f,
    0x77ec1fea,0x7fcc01ff,0x017fc401,0x800bfe20,0x7fc406fd,0xfd83fd44,
    0x3fa01ffe,0x3ff30003,0x03ff3000,0x401ff980,0x3620cffc,0xff9801ff,
    0x6c1fea01,0x4c01ffef,0x7cc001ff,0x83fdc01f,0xfc82ffe8,0xfea88aef,
    0x3ff3001f,0x01ff9800,0x21fdefa8,0x882fdefb,0xc80002ff,0x3f620cff,
    0x0ff5001f,0xb1067fe4,0x9ff903ff,0x40ffec41,0xa88aeffc,0xff901ffe,
    0xffd5115d,0x2bbff203,0x01ffea88,0x5115dff9,0x3aa03ffd,0x07ffb51a,
    0x7fc1bee0,0x547fd804,0xffff307f,0xfb999883,0x440999af,0x99999bff,
    0x5ffc4099,0x09999999,0x3f6013fe,0xf983fd47,0x3fe01fff,0x3ff30001,
    0xf7333100,0x8813335f,0x9affb999,0x7ff44099,0x03ffffff,0x5ff73331,
    0x3fd41333,0x41ffff98,0xaffb9998,0x4cc40999,0x999affb9,0x4ccffdc0,
    0x204fffca,0xfffffffc,0x2666201f,0x0999affb,0x400ffcc0,0x7c46fff9,
    0xff881fff,0x9999999b,0xfffe8800,0x003fffff,0x2206ffe6,0xfffffffe,
    0xfffd103f,0x407fffff,0xfffffffc,0x7ffe401f,0x401fffff,0xfffffffc,
    0x7ffe401f,0x201fffff,0xfffffffa,0x2bfea005,0x2007fea1,0x1fea1ffa,
    0x641fffd8,0xffffffff,0x7ffc43ff,0x2fffffff,0x7fffffc4,0xff52ffff,
    0x43ff5003,0x3ff607fa,0x00ff301f,0x400ffcc0,0xfffffffc,0x7fe43fff,
    0xffffffff,0xffffd703,0x7ffe403b,0x3fffffff,0xffd81fea,0x7fffe41f,
    0x43ffffff,0xfffffffc,0x7fdc3fff,0x2fffffff,0xffffda80,0x7ffe400d,
    0x3fffffff,0x400ffcc0,0xfd84fff9,0xfff881ff,0x2fffffff,0x3fffae00,
    0xfd8001df,0xffd701ff,0xd7003bff,0x003bffff,0x1bffffb5,0x3fff6a00,
    0xfb5000df,0x2001bfff,0x0dffffda,0x7fffe440,0xffe8003e,0x200dfb0f,
    0x1fea4ff8,0x641fff98,0xffffffff,0x7ffc43ff,0x2fffffff,0x7fffffc4,
    0xdfb2ffff,0xa93fe200,0x3ffe607f,0x00013101,0x6400ffcc,0xffffffff,
    0x7ffe43ff,0x3fffffff,0xf9000980,0xffffffff,0x303fd47f,0xffc83fff,
    0xffffffff,0x7ffffe43,0x5c3fffff,0x2deeffff,0x40013000,0xfffffffc,
    0x7cc03fff,0xfff8801f,0x80fffa81,0xfffffff8,0x30002fff,0x55100001,
    0x00013001,0x1300004c,0x00098000,0x200004c0,0x03100009,0x00551000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x98001aa9,0xa88001aa,0x5402ccdb,
    0x20002981,0x54001aaa,0xa88001aa,0x3322002a,0x55540000,0x30d54401,
    0x1aa88055,0xa8000aa6,0x65cc01aa,0x65c00442,0x1000b260,0x2a600199,
    0x5c00d542,0x980b260c,0x2a0001aa,0x77402981,0x405eeeee,0x5eeeeeee,
    0x11000000,0x80022000,0x5eeeeeee,0xee880000,0x00000000,0x00000000,
    0x13ae0000,0x7fd40154,0x3ea001ff,0x32001fff,0xffffffff,0x261ffb80,
    0xfb8003ff,0x7fdc004f,0xefe88004,0x13ff6001,0x04ffb800,0xff55ff50,
    0x55ff5005,0x320005ff,0x7fd404ff,0x06e99eff,0xfd99dfc8,0x27fec003,
    0xe9dfe880,0x3bf9005f,0x6c407fb3,0xfb8003ff,0x80ffe61f,0x7fffffff,
    0x7fffffc0,0x005fc87f,0x0effe880,0x1dffd100,0xffffff00,0xf90000ff,
    0x6c01beed,0x7f44006f,0xff10000e,0xffd10003,0x3fa00005,0x205ffd83,
    0x2ffbaffa,0xfbaffa80,0x7ff4402f,0x0ffdccdf,0x3e61ffb8,0x7fdc003f,
    0x17fdc002,0x06ff4400,0x013ff600,0x0017fdc0,0x00bfffea,0x02ffffa8,
    0x005ff900,0xfffd55dd,0xffd1005f,0xd8001dff,0x362004ff,0x22005fff,
    0x00effffe,0x4003ffb8,0x3fe61ffb,0x00000003,0x0005ffd0,0x05faafd8,
    0x0bf55fb0,0x90000000,0x200ff6df,0x1002fff9,0x001ffdfd,0x2ffea666,
    0xdfd10019,0x41b98003,0x7fc40ff8,0x1cc880ff,0xc8803326,0x8033261c,
    0x80a04ffd,0x4002981a,0x44001cc8,0x970001cc,0x37620007,0x1cc88000,
    0x03993000,0x00399300,0x40033260,0x00de5408,0x000f32e0,0x40006ec4,
    0x970003cc,0xcc980079,0x4c0d4000,0x00000002,0x000ffee0,0x803e49f0,
    0x0001f24f,0x5bf20000,0xff8800ff,0x4fe8801f,0xf9801ff7,0x7fffffff,
    0x005fe880,0x7d42ff88,0x00ffff05,0x50000000,0x000007ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x99999999,0xccca8399,0x1ccccccc,0x20000ffc,0x006e88ee,
    0x00dd11dd,0x0001e65c,0x0551df90,0x980164c0,0x20154c2a,0xeffeeee9,
    0x02a9805e,0x985ff100,0x83bb300a,0x664404c9,0x20019971,0x01ffa3cc,
    0x20019970,0x03ca83cc,0x33333220,0x0ccccccc,0xabcccca8,0x66664401,
    0xcccccccc,0x01e65c00,0x66666644,0x40cccccc,0xccccccc8,0xc8801ccc,
    0x0ccccccc,0x001e65c0,0x1003ccb8,0x99999999,0x99950399,0x91003579,
    0x99999999,0x3ccb8039,0x99999100,0x88399999,0xffffffff,0x7ffe42ff,
    0x3fffffff,0x00003fe2,0x003ffff5,0x007fffea,0x007fffc4,0x006fc800,
    0x00000000,0x0003ff10,0x17fc4000,0x1ff50000,0xfa97fc40,0x2ffb804f,
    0xa8007ff3,0xffb804ff,0x2006fd82,0xfffffff8,0xc80fffff,0xffffffff,
    0xfffff103,0x1fffffff,0x07fffc40,0x3ffffe20,0x0fffffff,0x7fffffc4,
    0xb802ffff,0xffffffff,0x3fffe200,0x7ffc4000,0xfff8800f,0x2fffffff,
    0xffffffc8,0x3fe203ff,0xffffffff,0x3fffe202,0xffff8800,0x42ffffff,
    0xccccdff8,0x66541ccc,0xcccdffdc,0x0005ffb1,0x0002ee60,0x54001773,
    0x0002ffff,0x0df93551,0x00d54c00,0x2006aa60,0x1ff99a98,0x00d54c00,
    0x5ffccccc,0x00099999,0x2200ffa8,0x03ffa2ff,0x7fd4dff0,0x0ffe8001,
    0xfd837fc0,0x3bba2006,0xffeeeeee,0xccffc80f,0x883ffffd,0xeeeeeeee,
    0x2a00fffe,0x4402ffff,0xeeeeeeee,0x7c40fffe,0xccccccdf,0xfffe801c,
    0x200cccce,0x002ffffa,0x017fffd4,0x6666ffc4,0xfc81cccc,0xffffdccf,
    0x99bff103,0x40399999,0x802ffffa,0xccccdff8,0x7fc41ccc,0x7fcc0002,
    0x0001bd01,0x131004c4,0x04d554c0,0x5fedfd80,0x7fffe400,0x4c006fff,
    0x1ffffffe,0x3ffffa60,0xffe981ff,0x801fffff,0xffffffe9,0xfffff101,
    0xbfffffff,0x01ff5000,0xff317fc4,0x70ffdc09,0xf30001ff,0x0ffdc09f,
    0x00006fd8,0xfc81ffd4,0x00fff987,0x403ffa80,0x005fedfd,0x883ffa80,
    0x4c0002ff,0x4004fdef,0x005fedfd,0x02ff6fec,0x40017fc4,0xfff987fc,
    0x002ff880,0x17fb7f60,0x000bfe20,0x80005ff1,0x4c401ff9,0x402aaa20,
    0x17f605fd,0x3ffffff2,0x3fe200cf,0x8800ffca,0xffddeffe,0x3fee006f,
    0x01ffedef,0xfdbdfff7,0xdfffb83f,0x401fffed,0xfedefffb,0xdddd101f,
    0xddddddff,0x1ff50009,0x3617fc40,0x5ff881ff,0xb0003fe4,0xbff103ff,
    0x00037ec0,0x640dff10,0x05ff907f,0x406ff880,0x0ffcaff8,0x1bfe2000,
    0x00017fc4,0x013f6ff6,0xffcaff88,0x95ff1000,0xff8801ff,0x07fc8002,
    0xff105ff9,0x3fe20005,0x4400ffca,0x7c4002ff,0x7cc0002f,0xbafdc01f,
    0xd82fffff,0x217f605f,0xffeceeff,0x23fea05f,0xfd802ff9,0x006fc81e,
    0x1301dff5,0x301dff50,0x4c27fcc1,0x3fea01ff,0x1000980e,0x400005ff,
    0x3e200ffa,0x42ffcc2f,0x3fe40ffc,0x0bff3000,0x7ec01ff9,0x3f600006,
    0x41ff200f,0x6c002ff9,0x7fd400ff,0x0002ff98,0x7c403ff6,0x3e20002f,
    0x2004fd8f,0x2ff98ffa,0xf31ff500,0x2ff8805f,0x307fc800,0x5ff105ff,
    0x23fea000,0x7c402ff9,0x7fc4002f,0x7fcc0002,0x7e77dc01,0x41fffedf,
    0x17f605fd,0x3ff6206e,0x7fcbfb01,0x80ffd405,0xdfd006fc,0x00dfd000,
    0xff882ff4,0x001bfa01,0x0017fc40,0x3fea0ae2,0x20bfe200,0x3fe21ffc,
    0x000ffb84,0xf887ff20,0x037ec04f,0x03ffa800,0xffa83fe4,0x0ffea001,
    0x5ff97f60,0x07ff5000,0x00017fc4,0x013f6bf7,0x17fe5fd8,0xbff2fec0,
    0x002ff880,0xff507fc8,0x005ff103,0x5ff97f60,0x0017fc40,0x0000bfe2,
    0xfb803ff3,0x3fea0eff,0xfb02fec4,0x3ff9800b,0x3fe47ff0,0xfc817f60,
    0x02ffa806,0x8017fd40,0xff101ff9,0x00bfea03,0x017fc400,0xf517ffa0,
    0x17fc401f,0xff937fc4,0x003ff501,0xf937fc40,0x06fd801f,0x06ff8800,
    0xdfd07fc8,0x037fc400,0x1ff23ff8,0x01bfe200,0x40005ff1,0x009fb2fe,
    0x0ff91ffc,0x7fc8ffe0,0x0017fc40,0x6fe83fe4,0x0005ff10,0x07fc8ffe,
    0x20017fc4,0xccccdff8,0xff9804cc,0x077fdc01,0x17f637f4,0xe8005fd8,
    0x20ffa84f,0x3fa02ff9,0x201bf203,0xfb8007fb,0x03fea007,0xfb80ffc4,
    0x3e200007,0x7ffc002f,0x333fea0f,0xffcccccc,0xf15ff702,0x13fe607f,
    0x15ff7000,0xdfb007ff,0x3ffb0000,0x533ff900,0x4005ffd7,0xfa801ffd,
    0x00bfe60f,0x8803ffb0,0xcccccdff,0xd9fea04c,0x504cccef,0x17fcc1ff,
    0xf983fea0,0x37fe202f,0x04cccccc,0xd7533ff9,0x3fe205ff,0x4ccccccd,
    0x7cc1ff50,0x37fe202f,0x84cccccc,0xfffffff8,0xff9807ff,0x807fdc01,
    0x02fec7fc,0xa9980bfb,0xfd84ffaa,0x3e05ff86,0x01bf203f,0x32001bf2,
    0x1fee006f,0xf901ff88,0x7c40000d,0x7fe4002f,0x3fffea2f,0xffffffff,
    0x3f3bfa02,0x007ff406,0x3f3bfa00,0x00dfb006,0x003ffa80,0xfffffff9,
    0x7fd4003b,0xf0dfb003,0x7fd400bf,0xffff8803,0x207fffff,0x3fff64fd,
    0x0dfb07ff,0x6fd80bff,0x3e205ff8,0xffffffff,0xfffff907,0x7c403bff,
    0xffffffff,0xff0dfb07,0x7fffc40b,0x887fffff,0xaaaaacff,0x1ff9802a,
    0xf703fdc0,0x3605fd8f,0xfffc885f,0xf84fffff,0x107fd83f,0x37e405ff,
    0x40037ec0,0x3f2006fd,0x407fe207,0x200006fd,0x44002ff8,0x3fea1fff,
    0xcccccccc,0x3fea02ff,0x7fdc02ff,0x3ea0000e,0xfb002fff,0x7fc4000d,
    0x3bff2006,0x2000effe,0x3e006ff8,0x007fd83f,0x2200dff1,0xaaaaacff,
    0x41ff102a,0x02aaadfd,0x0ffb07ff,0x7fd83ff8,0x2ab3fe20,0xf902aaaa,
    0x01dffddf,0xaaacff88,0x7ff02aaa,0x7c40ffb0,0xaaaaaacf,0x002ff882,
    0x200ffcc0,0x1fee07fb,0x2fec0bfb,0x3337ffe2,0x7d44ffcc,0x02ffa81f,
    0x37e407ff,0x4003fdc0,0x3ee007fb,0x407fe207,0x200007fb,0xd8002ff8,
    0x03fea0ff,0x7402ff88,0xffb005ff,0x3ae6237f,0x02fff400,0x4000dfb0,
    0x32001ffc,0x03ff627f,0x800ffe40,0xffa81ffa,0x01ffc802,0x0005ff10,
    0x04fd8bf7,0xfa81ffa8,0x03ff502f,0x3e205ff5,0x7fc8002f,0x8803ff62,
    0x7d4002ff,0x02ffa81f,0x88005ff1,0x4c0002ff,0x3fdc01ff,0x5fd8ff70,
    0xffb17f60,0xfb13fa03,0xf333333f,0x413fa09f,0xfa806ff9,0x7fd4001f,
    0x01ff5001,0x7d407ff6,0xf100001f,0xff88007f,0x1007fd44,0xffa805ff,
    0x3fff6001,0x00ffffff,0xb000ffd4,0x3ea000df,0x3fe4003f,0x2a017fe2,
    0x3f6003ff,0xf999999f,0x1ffd404f,0x005ff100,0x4fd85fd0,0x999ffd80,
    0xb04ff999,0x333333ff,0x3fe209ff,0x47fc8002,0x3e205ff8,0x7fec002f,
    0xff999999,0x005ff104,0x0002ff88,0x2e00ffcc,0xb1fee07f,0x17fe20df,
    0x27f409ff,0x3ffffffe,0xf907ffff,0x0dffd10f,0x800dff10,0xf1006ff8,
    0x3fff907f,0x001bfe20,0x8806ff80,0x540ffeb9,0x3fe200ff,0x00ffcc02,
    0x3ffff6a0,0xff9803ce,0x01bf6001,0x001bfa20,0x3fee1ff2,0x01bfa201,
    0xfffffff0,0x440fffff,0x7c4006fe,0x7fd4002f,0x04ffffff,0xfffffff8,
    0xff07ffff,0xffffffff,0x0bfe20ff,0x2e1ff200,0x5ff101ff,0xfffff800,
    0x07ffffff,0x88005ff1,0x4c0002ff,0x3fdc01ff,0xffc8ff70,0x22fff440,
    0x9ff703ff,0x7fffffd4,0x82ffffff,0xfd50dff9,0x3ee00dfb,0x06e60aef,
    0x982bbfee,0x4c7ff61b,0x201ffdfc,0x260aeffb,0x3ff6001b,0xffb8221b,
    0x0ffa80df,0x300bfe20,0x3a0003ff,0xff98004f,0x01bf6001,0x0007ff20,
    0x3fe21ff2,0x007ff205,0xffffffa8,0x02ffffff,0x88003ff9,0x7ec002ff,
    0x4fffffff,0x7ffffd40,0x2fffffff,0x7fffffd4,0x82ffffff,0xc8002ff8,
    0x05ff887f,0x54005ff1,0xffffffff,0xf882ffff,0x7fc4002f,0x7fcc0002,
    0x703fdc01,0x0cffa8ff,0xe8bfffd3,0x3ff660ef,0x101bf64f,0x3ff609ff,
    0x6faaffff,0x3ffff200,0xf901ffff,0x3fffffff,0x7fffffcc,0xfc803ff5,
    0x1fffffff,0x3fffe200,0x2f6a5fff,0x803fea01,0x7cc02ff8,0xff88001f,
    0x1ff98001,0x001bf600,0x20007ff3,0x1ff907fc,0x8007ff30,0x7fc406fd,
    0x003ff984,0x2002ff88,0x4fd81ff8,0x22037ec0,0x037ec4ff,0x3e213fe2,
    0x7fc8002f,0xf101ff90,0x37ec005f,0x2213fe20,0x7c4002ff,0x999999bf,
    0x5cccc409,0x40999aff,0x1fee07fb,0x3ffffffa,0x7fd45fcc,0xfddfffef,
    0x36013fe4,0x3fff207f,0x800df52d,0xdfffffd9,0x3fff6600,0x7f4c0dff,
    0x007fa4ef,0x3fffff66,0x7ec4000d,0x8004ffff,0x3e200ffa,0x0ffcc02f,
    0x0037d400,0x2001ff98,0x99999efd,0x3ffa2199,0xaaaaaaaa,0x107fc80a,
    0xffe889ff,0xaaaaaaaa,0x2013fe0a,0x7ff447fd,0xaaaaaaaa,0x4dffc40a,
    0x20999999,0x09fb06fc,0xfd804ff8,0x6c027fc7,0x9bff887f,0x80999999,
    0x9ff107fc,0x3337ff10,0x7fc13333,0x887fd804,0x99999bff,0x7ffc4099,
    0x2fffffff,0x7fffffe4,0x7dc3ffff,0x221fee07,0xf72efffd,0xdffff50b,
    0x7fd53f25,0x01ffa801,0x40000044,0x98800098,0x00008800,0x00002620,
    0x50000cc4,0x7fc401ff,0x00ffcc02,0x80027e40,0x36001ff9,0xffffffff,
    0x3fffea7f,0xffffffff,0x3207fc82,0x3ffea0ff,0xffffffff,0x003ff52f,
    0x7fd43ff5,0xffffffff,0x7ffc42ff,0x2fffffff,0x7fec0ffe,0xff52ffff,
    0x23ff5003,0xfa801ffa,0x7fffc41f,0x82ffffff,0x3ff207fc,0x7ffffc40,
    0xf52fffff,0x3ff5003f,0xffffff88,0x7c42ffff,0xffffffff,0x7fffe42f,
    0x43ffffff,0x1fee07fb,0x31000330,0x200dfb00,0x00004ff8,0x00000000,
    0x00000000,0x80000000,0x3e200ffa,0x0ffcc02f,0x0004c400,0x2001ff98,
    0xfffffffd,0x3ffea7ff,0xffffffff,0x207fc82f,0x3fea4ff9,0xffffffff,
    0x00dfb2ff,0xffa93fe2,0xffffffff,0x7ffc42ff,0x2fffffff,0x3f601ff5,
    0xfb2fffff,0x53fe200d,0xff1006fd,0xfffff889,0xc82fffff,0x13fe607f,
    0xfffffff1,0x1bf65fff,0x2227fc40,0xffffffff,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00c00000,
    0x00000000,0x00000000,0x00000000,0x0004c400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00440000,0x41bfd700,0xc93ee01a,0x24fb802f,0xff5002fc,0x4ff98005,
    0x5c03bfe6,0x640bf24f,0xff103fff,0x649fd105,0xfd0000ef,0xfc93ee09,
    0x0ffee002,0x0dffc800,0x001ffec4,0x8000fe80,0xd700dffc,0x800d41bf,
    0x40003ffb,0xd880dffc,0x5c0003ff,0xff9803ff,0x17f60c46,0x3ff20000,
    0x93fa200d,0x3e600efc,0x3017f63f,0x77fcc9ff,0x01ffdc00,0x037ff200,
    0x400fff62,0x0002cefd,0x2206ffe4,0x22003ffd,0x01dffffd,0x3fffff20,
    0x3e606fcc,0x800ffccf,0x0ffccff9,0x00bffd00,0xfd127fc4,0x67fcc01b,
    0xefd80ffc,0x5fc83ffd,0x3f77fa20,0x3fa0000e,0xf99ff304,0x3fee001f,
    0xfc8003ff,0x1ffdc03f,0x01be6000,0xc80fff20,0xfccfffff,0xffffb806,
    0x7ff90003,0x007ff700,0x0ffffee0,0x3b77fea0,0x002fec6f,0x00fff200,
    0x77eeff44,0xdcff8800,0x27fc405f,0xb801bfd1,0x0003ffff,0xf7007ff9,
    0xfffb007f,0xf90003df,0x3ffb807f,0xfefffa80,0xbb001fff,0x03ffff21,
    0x05ffff70,0x17fffdc0,0x009ffb00,0xfe893fa2,0xffff7005,0x7d4ff105,
    0x2007fd46,0x000effe8,0xf7027f40,0x2e005fff,0x03fe98ef,0x4007ff20,
    0x4c003ff9,0x4003fdaa,0x6ec01ffc,0x01ffff90,0xfe98efb8,0x0ffe4003,
    0x007ff300,0xfe98efb8,0xfffd9303,0x5fd89fff,0x3ff20000,0x7ff44001,
    0x3fe2000e,0x27f4405f,0xf700bfd1,0x007fd31d,0x2001ffc8,0x54403ff9,
    0x002fffda,0x4c007ff2,0x3fe203ff,0x01bfe60d,0x2001a880,0x88000aa8,
    0x644000aa,0x30aa6003,0xaa880055,0x7c49f500,0x400bfa27,0x80000aa8,
    0x554404fe,0x41551000,0xa8800aa8,0x5544000a,0xffffb800,0x2a2004ff,
    0x3510000a,0x44155100,0x551000aa,0x15510001,0x882aa200,0xfffc80aa,
    0xbfb01ffe,0x2aa20000,0x15510000,0x00551000,0x02a98553,0x2a20aa88,
    0x1551000a,0x01551000,0x007ffcc0,0x20005544,0xff700aa8,0x001ff701,
    0x00000000,0x00000000,0xa8000000,0xbf93fc5f,0x40000000,0x000004fe,
    0x00000000,0xdeffd800,0x0004fffd,0x00000000,0x00000000,0x5d400000,
    0x360dff11,0x0000005f,0x00000000,0x00000000,0x00000000,0x004ff980,
    0xfd800000,0x100ff705,0x004c4013,0x30006aa2,0x40013555,0x88001aa8,
    0x131001aa,0x7f984c40,0x07fcdbea,0x00355100,0x9fd15530,0x801aa880,
    0x02620098,0x04c40131,0x09880262,0xefc8ffee,0xaa9804ff,0xa88009aa,
    0xaa88001a,0x1aa88001,0x01aa8800,0x9aaaa980,0x3ffd9800,0x0d4c5fd8,
    0x302aaa20,0x554c0015,0x260009aa,0x013101aa,0xa88004c4,0xaa88001a,
    0x1aa88001,0x407fe800,0x0009aaa9,0xd0135553,0x0bff109f,0x7ec0bfb0,
    0xffffd305,0xfffc807f,0x200cffff,0x3fffffe9,0xfffffa80,0x02fec03f,
    0x677f4bfb,0x005fd2ff,0x3fffffa6,0x7ffec403,0xf504ffff,0x407fffff,
    0x17f605fd,0x2fec0bfb,0x5fd817f6,0x8fe89ff1,0x3faa07fd,0x204fffff,
    0x3ffffffa,0xfffffa80,0xfffa803f,0xfa803fff,0x803fffff,0xffffffea,
    0xffffb304,0x75fd81ff,0x903fffff,0xd17fffff,0xea80bfff,0x04ffffff,
    0x7fffff4c,0xb02fec1f,0xffe980bf,0xe9803fff,0x803fffff,0x3fffffe9,
    0x641ff200,0xcfffffff,0xfffff900,0x27f419ff,0x2003bfe6,0x17f605fd,
    0x3b33bfea,0x3bfe05ff,0x05fffece,0xfd99dff5,0x7ffe40bf,0x206fffdd,
    0x97f605fd,0xf93fffe8,0x3bfea00b,0x505ffecc,0xffd9dfff,0xbfff909f,
    0x360dfffb,0xb17f605f,0x22fec0bf,0x57f605fd,0x5be60ffa,0xffa80ff9,
    0x04fdccce,0xffbbfff9,0x7ffe40df,0x206fffdd,0xffddfffc,0x3fff206f,
    0x206fffdd,0xdccceffa,0xefffa84f,0x7ec4ffee,0xffedffcc,0x766fec0f,
    0xffcdffff,0x99dff503,0x7dc09fb9,0x1ffedeff,0xbfb02fec,0x6677fd40,
    0x3ea05ffe,0x5ffeccef,0x333bfea0,0xfb005ffe,0x33bbfe0d,0xff05fffe,
    0xbfffd9dd,0xbff327f4,0x817f6001,0x27fc45fd,0x1b817fdc,0x441ffd88,
    0x2ffb84ff,0xfc84ffa8,0x40bfb03f,0x261885fd,0xff8800ff,0x442ffb84,
    0x4fe80dff,0x7e427fd4,0x205fd83f,0x02fec5fd,0x05fd8bfb,0x23fdd7f6,
    0x20bfe3fc,0x7d4004ff,0x83ffc84f,0xffc84ffa,0xc84ffa83,0x4ffa83ff,
    0xff03ffc8,0x6ffc4009,0xfb07fe40,0x7fd41bff,0x2ffe4144,0x13fe0df7,
    0x03bfea00,0x40bfb026,0x9ff105fd,0xf105ff70,0x05ff709f,0xff709ff1,
    0x04ffb805,0x3ffb1037,0xffb10370,0x5fe93fa3,0xb02fec00,0x206fc8bf,
    0xf98006fd,0xb037e43f,0x409fd0df,0x5fd80ffd,0x3a017f60,0x0df9003f,
    0x1bf237ec,0x27f44fe8,0xfd81ffb0,0xfb17f605,0x362fec0b,0x657f605f,
    0xfd07f46f,0x002ff887,0xffb027f4,0x3604fe81,0x027f40ff,0x4fe81ffb,
    0xf103ff60,0x37ec005f,0x3f63ff88,0x00ff905f,0x7fc45ff5,0x0017fc40,
    0x360037f4,0x417f605f,0x1bf606fc,0x6fd81bf2,0x3f606fc8,0x7fff74c6,
    0x7ff30006,0xd3ff9800,0x001ffc9f,0x5fd817f6,0xff501ffc,0xf13fa000,
    0x23fd407f,0x3e601ff9,0x205fd81f,0x37dc05fd,0x5407ff00,0xd01ffc7f,
    0x00ffcc9f,0x5fd83ff3,0xbfb17f60,0x3f62fec0,0x7e57f605,0x7fd1be66,
    0x2001bff0,0x3e601ff9,0x807fe61f,0x3fe61ff9,0x987fe601,0x3fe601ff,
    0x800dff81,0x3f602ff8,0xfa81bf66,0x07fc400f,0x37fe07fe,0x0bfea000,
    0x6c0bfb00,0x407ff05f,0x03ff87fa,0x0ffe1fea,0x7fcc7fa8,0x740003ef,
    0x4fe8004f,0x077f49fd,0x6c0bfb00,0x26ffe25f,0xffb99999,0x5554cc00,
    0x2ffe24ff,0xfb999999,0x201fee0f,0x05fd83ff,0xff8817f6,0x7fc40261,
    0xb999999b,0x03ff10ff,0x0ff727f4,0x5fd87ff0,0xbfb17f60,0x3f62fec0,
    0x7d57f605,0x5ff0ff27,0x039fff90,0xff807fb8,0x3e01fee3,0x201fee3f,
    0x01fee3ff,0x3ff20ffe,0x3fea01cf,0xfd9fee00,0x407fe605,0x999ff999,
    0xffc82ff9,0x7fb801cf,0x205fd800,0xbff885fd,0xfb999999,0x26ffe20f,
    0xffb99999,0x266ffe20,0x0ffb9999,0x20003fe6,0x4ffaaa99,0x7d554cc0,
    0x7d49fd4f,0xbfb001ef,0xff32fec0,0xffffffff,0xff9103ff,0x49ffffff,
    0xfffffff9,0x321fffff,0x84ff806f,0x17f605fd,0xfff73fe8,0xffff981d,
    0xffffffff,0x7401ff51,0x201bf24f,0x02fec4ff,0x05fd8bfb,0x0bfb17f6,
    0x1ff8afec,0x0ffcc1fd,0xbeffffc8,0xf806fc80,0x201bf24f,0x01bf24ff,
    0x06fc93fe,0xff904ff8,0xfb817dff,0xd87fd407,0x8bfe205f,0xffffffc8,
    0x02ffffff,0x17dffff9,0x2001bf20,0x17f605fd,0x3fffffe6,0x21ffffff,
    0xfffffff9,0x261fffff,0xffffffff,0x3e61ffff,0x3ff22007,0x84ffffff,
    0xffffffc8,0xb89fd4ff,0xfd802fff,0xf997f605,0xccccccdf,0x7fc40ccc,
    0xffccccdf,0x3337fe64,0x0ccccccc,0x3fe01bf2,0x3605fd83,0x2adf705f,
    0x4c6ffcff,0xcccccdff,0xff50cccc,0xf927f401,0xd87ff00d,0xb17f605f,
    0x22fec0bf,0x97f605fd,0x6c6f9dff,0x7f5c406f,0x37e42fff,0xdf91ffc0,
    0x7e47ff00,0x323ff806,0x03ff806f,0x3ffffae2,0xf501fee2,0x9817f63f,
    0x37ffa1ff,0xccccffcc,0x3ae201cc,0xfd82ffff,0x05fd8006,0x3fe617f6,
    0xcccccccd,0x37fe60cc,0xcccccccc,0x337fe60c,0xcccccccc,0x4401fe60,
    0xccccdfff,0x7ffc44ff,0x4ffccccd,0xfff509fd,0x205fd805,0x0bfe25fd,
    0x80ffec00,0x0bfe24fe,0x201fee00,0x05fd82ff,0x3fe217f6,0x0ffc3fd1,
    0xa8005ff1,0x93fa00ff,0x2ff807fb,0xbfb02fec,0x3f605fd8,0xfb02fec5,
    0x9ff7fdcb,0x2001ffd8,0x2e0fffc9,0x22ff807f,0x2ff807fb,0x3fe01fee,
    0x3e01fee2,0xff93002f,0x803fea1f,0x0bfb0ffb,0xff987fd4,0x0007fe21,
    0x81fff930,0xfd8007fb,0x2217f605,0xf88002ff,0xff88002f,0x04c88002,
    0x3a03ffb0,0x80ffec4f,0x209fd4fe,0x3600ffe8,0x8bff106f,0xff0003ff,
    0x3e27f409,0xffa8003f,0x207fea01,0xbff106fd,0x1fe29fb0,0x03ff85fb,
    0xb817fcc0,0x07fea4ff,0x7ec1ffa8,0xd8bff106,0x8bff106f,0xbff106fd,
    0xfeefffa8,0xf50003ff,0x00ffd45f,0x7fd43ff5,0xa87fea01,0x3fea01ff,
    0xa807fea1,0x7d4001ff,0x405ff32f,0x817f66fd,0x11fee7fc,0x200005ff,
    0x7fd42ffa,0x837ec001,0x7ff05ff8,0x00ffe000,0x0001ffc0,0xd027fc00,
    0x204ff89f,0x409fd4fe,0x3f202ffa,0x2fff440f,0x20003ff6,0x9ff703ff,
    0x4000ffd8,0x3fa05ff8,0x881ff905,0x37d45ffe,0x42fd8ff1,0x7c000ffd,
    0x4fffa85f,0xfe817fe2,0x440ffc85,0x7fe45ffe,0x22fff440,0x7f440ffc,
    0xffffb85f,0x220001df,0x17fe23ff,0x7fc45fe8,0xf117fa05,0x22ff40bf,
    0x3fa05ff8,0x3ff88005,0x7fc41bfa,0x7c417f63,0xf71bee3f,0x2200009f,
    0x37fc43ff,0x103ff200,0x3f60bffd,0xffd8000f,0x0ffd8000,0xf002a800,
    0x13fee07f,0x3fee07ff,0x7c409fd4,0x33fea02f,0x8bfffd30,0x3102eff8,
    0x6cc1dfd0,0x7fc44fff,0xf703102e,0x7fec41bf,0x219ff501,0x225fffe9,
    0x897fc1ff,0x77fc40ff,0xffc83102,0x9fdff713,0x220dffb8,0xffa81ffd,
    0xbfffd30c,0xd30cffa8,0xffa8bfff,0xbfffd30c,0x00137f90,0x3f6602a6,
    0x06ffdc1f,0xf703ffb1,0x7fec41bf,0x20dffb81,0xfb81ffd8,0x3ff620df,
    0xd980a981,0x37fee1ff,0xd83ffa60,0x37f4c1ef,0x7fd43fe2,0x54c0c1ff,
    0x81ffd980,0x260aeffb,0x867fd41b,0x105fffe9,0x06205dff,0x440bbfe2,
    0x02eff881,0x03ffc831,0x3660efe8,0x77f44fff,0x53fff660,0xffb104fe,
    0xffffe801,0xa85fccff,0xfeeeffff,0xefffa83f,0x84fddfff,0xeeeffffa,
    0xfffb03ff,0x805fffff,0xcffffffe,0x213f65fc,0x04fedffb,0xdddffff5,
    0xffe887ff,0x4fc9ffff,0xffffffd8,0x3ffa02ff,0x5fccffff,0xffffffe8,
    0xffe85fcc,0x5fccffff,0x54000fe8,0xfffeefff,0xffffb03f,0x6c05ffff,
    0xffffffff,0x3ffff602,0x3602ffff,0xffffffff,0xddfff502,0xfb07ffff,
    0x3ffffdff,0xfeffffd8,0xffe81eff,0xeffe8efe,0xfffa86fe,0x03ffffee,
    0x3ffffff2,0xfffe81ff,0x05fccfff,0x3bbfffea,0xff503ffe,0x7ffdddff,
    0x3bfffea0,0x7f43ffee,0xfffa805f,0x4fddfffe,0x7ff7ffd4,0x9fd4fddf,
    0x1fffff7c,0x77ffec40,0x3620bf72,0x2effffff,0x5dffff50,0x7ec413f2,
    0x02efffff,0x37ffffaa,0xfffd8800,0x3eabf72e,0x9fff900e,0xffffd880,
    0xfd882eff,0x09f90dff,0x37ffffaa,0x7ffec400,0xb10bf72e,0x3ee5dfff,
    0xefffd885,0x6f98bf72,0xfffea800,0x5401dfff,0x00dffffe,0xdffffea8,
    0xfffea800,0xfea800df,0x2a00dfff,0xdffffffe,0x3fffaa01,0xfeb980cf,
    0x2603efff,0xfb10dffd,0xfd509fff,0x03bfffff,0xfffffb30,0xfffb101b,
    0x1017ee5d,0xdffffffb,0x7ffec405,0x2202efff,0xeffffffd,0x8017fdc2,
    0x92effffa,0xffff509f,0x7f53f25d,0x077fffe4,0x80006600,0x22001998,
    0x4cc40001,0x00098001,0x80000660,0x19988001,0x30000600,0x00660001,
    0x98000cc0,0x40000001,0x30001999,0x004c0001,0x40001300,0x99980009,
    0x00098001,0x00440008,0x26660033,0x02620001,0x80001980,0x88001998,
    0x98800199,0x00044019,0x188000c4,0x00026000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x41bb1000,0x00000dd8,0x26666620,
    0x00000009,0x00000000,0x0acb9800,0xb1000000,0x006ec41b,0x00000998,
    0x400017aa,0x2aa201ed,0x40000001,0x37620dd8,0x26aaa600,0x00000000,
    0x55441310,0x00000001,0x99999880,0x06ec4009,0x54c01bb1,0x26209aaa,
    0x0006aa20,0x00000000,0x35303300,0xb8015400,0xfd7003ff,0x2000d41b,
    0xfc80dffc,0x413fee3f,0x8003ffd8,0x4ffffffd,0x4000bfb0,0x06a0dfeb,
    0x400ffee0,0x80bf24fb,0x4fffffd8,0x837fae00,0x47ff901a,0x3ae04ffb,
    0x003fffff,0x2204fd80,0x24ffffff,0xffd307f9,0x3fe07fff,0x0005ffff,
    0x7fdc7ff9,0xfffffc84,0x7fc40cff,0x0004ffff,0x7ec37ff2,0x3dffff93,
    0xfc93fa20,0x3fffe20e,0xffb004ff,0xc809ffff,0x13fee3ff,0x3fffffaa,
    0x7e4ff64f,0x3ea1efff,0x7f440007,0x0003bf24,0x7c41bff9,0xbffff90f,
    0x04ffc801,0x01ffffdc,0x33fffff2,0x3f2006fc,0x87fea03f,0x7dc02ff9,
    0x665c003f,0x4cc2cccc,0x01999dfd,0x9fffff90,0xffb80df9,0xff9803ff,
    0x3600ffcc,0x2fffccff,0xfffffc80,0xff506fcc,0x4417fcc3,0xffeefffe,
    0xf03ca804,0x7ffc403f,0x13f24fff,0x3b33bfea,0xffff85ff,0xf50005ff,
    0x417fcc3f,0xffeceeff,0x7fffc45f,0xf90004ff,0xfecfd87f,0x206fffdf,
    0x0efddfe8,0x7fffffc4,0x99997004,0xffa80599,0xf50bfe61,0x9fb999df,
    0x6fff67ec,0x1fea6fff,0x37fa2000,0x64000efd,0x9ff883ff,0x5fffdffd,
    0x7037fec0,0x07fd31df,0xfffc86ec,0x3ff9000f,0x01101100,0x000ffe60,
    0x7ffffc00,0xd800ffff,0x1ffff90d,0x74c77dc0,0xfffb803f,0x0bfe602f,
    0x1bb00bff,0x803ffff2,0xfb008808,0x3600205f,0x006f986f,0x07fa4fe8,
    0xff709ff1,0x005fd805,0x40220220,0x1ffd881b,0x40027f40,0xffd81ffc,
    0x017fdc4f,0x001dffd1,0x000013fa,0x40440440,0xffb004ff,0x52ffb89f,
    0x220000ff,0x4000effe,0xff101ffc,0x7fe449fd,0x40ffea00,0x2aa20aa8,
    0x006a2000,0x0000aa88,0x05544000,0x7f740000,0x00eeeeff,0x88035100,
    0x02aa20aa,0x7002aa20,0x00ff90ff,0x00006a20,0x0007fea0,0x3530dfb0,
    0x549fd000,0x3606fc82,0x02fec06f,0x30000000,0x4fe807ff,0x80554400,
    0xff884ffd,0x00554403,0x00009fd0,0xff100000,0x13ff6005,0x3fd4ffe2,
    0x15510000,0x00aa8800,0x2a0fffe2,0x004402ff,0x00000000,0x35510000,
    0x4c000000,0x36009aaa,0x0000005f,0x00000000,0x5fc81ff7,0x22000000,
    0x1bf201aa,0x01bf6000,0x009fd000,0x3fd407ff,0x20017f60,0x02620098,
    0xe809fd00,0xd800004f,0x013fa06f,0x027f4000,0x0006aa20,0x20135553,
    0xfd800dff,0x7d53fa06,0x00000007,0x27fc4000,0x0003ff88,0x01355530,
    0x026aaa60,0x13333330,0x3fffa600,0x4ccc03ff,0xfc800999,0x0cffffff,
    0x30005fd8,0x00133333,0x01333333,0x13333330,0x262ffa80,0x04c403ff,
    0xf5003551,0xb07fffff,0xfb0000bf,0xfe80000d,0x4dffc404,0xffb99999,
    0x0017f600,0x5fd817f6,0x3eaaa660,0x527f404f,0x2a209887,0x205fd81a,
    0x104c45fd,0x3fa00355,0xffff5004,0xffc807ff,0x40cfffff,0x201cfffc,
    0x57f605fd,0x266207fa,0x99999880,0x33019999,0xff103530,0x2004cc05,
    0x3fff206e,0x900cffff,0x9fffffff,0xfffff101,0xdff5009f,0x20bffd99,
    0x4ffffff8,0xeceeff80,0x5fd85fff,0x4407376e,0x04ffffff,0x7fffffc4,
    0x7fffc404,0xefe804ff,0xd806ffa8,0xdffff93f,0x37fff203,0x7f46fffd,
    0x6fd80004,0x27f40000,0x3ffffe60,0x1fffffff,0x20017f60,0x17f605fd,
    0xffffff91,0xcfe809ff,0x9fec4fe9,0x21effffc,0x17f605fd,0x3fff27fb,
    0x27f401ef,0x6efffe40,0x3fe06fff,0x5fffecee,0xbeffffc8,0xfb02fec0,
    0x7cc1feab,0xfffb80ef,0x1fffffff,0xffc87fc4,0x3fe20dff,0x7fc40002,
    0xd9ddff00,0x3fe0bfff,0x5fffecee,0xffeeee88,0x427fc404,0xee882ffb,
    0xb804ffee,0x41ffd881,0xfffe9dfd,0xeee882ff,0x74404ffe,0x404ffeee,
    0x4ffeeee8,0xfffffa80,0xfd9fb005,0x50dfffbf,0x7ff909ff,0x400027f4,
    0x400006fd,0x7fcc04fe,0xcccccccd,0x17f600cc,0xd817f600,0x37ffe25f,
    0x04ffcccc,0x177ffff4,0x37ffb3f6,0x17f66fff,0x67ec5fd8,0x6fffdffe,
    0x2a027f40,0x3ffc84ff,0xffb10370,0xfffd7103,0xb02fec5f,0x261feabf,
    0xdd500eff,0xfffddddd,0xfd9ff883,0x225fffdf,0x440002ff,0x103700ff,
    0x03703ffb,0xd003ffb1,0x06fc809f,0x7f401bf6,0x7fcc0004,0x6fff7ec3,
    0x800fffca,0xfe8004fe,0x04fe8004,0x005fffd0,0x2e27ffec,0x027f42ff,
    0x13fa1ffb,0x01bf6000,0x809fd000,0x80002ff8,0xfd8005fd,0xfd97f605,
    0x409fd01f,0xb02efff9,0xffb89fff,0x7ec0bfb2,0x227ffec5,0x3fa02ffb,
    0xb027f404,0xf98001ff,0x7fe4c03f,0x6c0bfb0f,0xf98ff55f,0xf10000ef,
    0xfdff10bf,0x887fe449,0x540002ff,0xf98000ff,0x7fcc003f,0x404fe803,
    0x1fea03ff,0x00027f40,0x3ff627f4,0x01ffd42f,0x740027f4,0x4fe8004f,
    0x7ffff440,0x7ec0e642,0x23ff884f,0x3e601ff9,0x0009fd1f,0x0000dfb0,
    0xff804fe8,0x5fd80003,0xfd81bd90,0xff97f605,0x2613fa04,0x6c05fffd,
    0x3ff884ff,0x2fec0bfb,0x3e213ff6,0x813fa03f,0x3e601ff9,0x4fe8001f,
    0x365ff500,0x557f605f,0x03bfe67f,0x80efe800,0xfa83fff8,0x005ff12f,
    0x3ffffb10,0x013fa000,0x3a013fa0,0x2ffe204f,0xfb999999,0x04fe800f,
    0x7d554cc0,0x817fec4f,0x4fe804ff,0x004fe800,0x3a204fe8,0x10fffaef,
    0x0dfb05ff,0x0ff727f4,0x13fa7ff0,0x01bf6000,0x009fd000,0x80001ffb,
    0xfffb85fd,0xfb02fec5,0xfb81ffcb,0x7f7fec4f,0x037ec04f,0x817f69fd,
    0x037ec5fd,0x27f409fd,0xff00ff70,0xaaa99807,0xff1004ff,0xfd817f67,
    0x3fe6ff55,0x3f60000e,0x09ff100f,0x7fc4ffe2,0x7ffc4002,0x99800cce,
    0x404ffaaa,0x4ffaaa99,0x2604fe80,0xffffffff,0xe801ffff,0xffc8804f,
    0x44ffffff,0x17fa05fd,0x20013fa0,0xfe8004fe,0x543ff204,0x1ff98eff,
    0x3f605fd8,0x3e01bf25,0x0009fd4f,0x0000dfb0,0xf8804fe8,0x803102ef,
    0xfffd85fd,0xfb02fec6,0xb3077f4b,0x3ff89fff,0x5fd809fd,0x2fed7f60,
    0x5fd8bfb0,0xfe817f60,0x201bf204,0xffc884ff,0x34ffffff,0x3ffb3015,
    0x5fd817f6,0x1dff3ff5,0x17fdc000,0x4c05ff10,0x005ff109,0x1001ffd8,
    0xfffffff9,0xfff9109f,0x009fffff,0x7fcc09fd,0xcccccccd,0x4fe800cc,
    0x66fffc40,0x6c4ffccc,0x017f605f,0x3a0013fa,0x4fe8004f,0xff713fe0,
    0xfb01ff7b,0xf92fec0b,0x3a7ff00d,0xfd80004f,0x7f400006,0xffff5004,
    0x807ffddd,0xfffa85fd,0xfb02fec4,0x7f7ffd4b,0x144fddff,0xbfb013fa,
    0x5fdafec0,0xbfb17f60,0xfd02fec0,0x4037e409,0x7ffc43ff,0x4ffccccd,
    0xffddfff5,0x02fec7ff,0x37feabfb,0x260001ff,0x7fc404ff,0x0bfe2002,
    0x2009ff00,0xcccdfff8,0x7fc44ffc,0xffccccdf,0x204fe804,0x00002ff8,
    0xffb013fa,0xfb13fa03,0x402fec0b,0xfe8004fe,0x04fe8004,0xffb05ff1,
    0x17f60dff,0x1fee5fd8,0x27f4bfe0,0x037ec000,0x013fa000,0xfffffd88,
    0x2fec02ef,0x5fd83db8,0xff517f60,0x13f25dff,0xfd809fd0,0x7ed7f605,
    0xfb17f605,0xd02fec0b,0x03fdc09f,0x3ff617fc,0x3aa9fd01,0x1dffffff,
    0xbfb02fec,0x3ffa3fea,0x6fe88000,0x002ff880,0x8800bfe2,0xffb004ff,
    0xfb13fa03,0x013fa03f,0x7ff013fa,0x27f40000,0xfe813fe0,0xfb02fec4,
    0x009fd00b,0xd0009fd0,0x0ffe209f,0x40ffffa2,0x97f605fd,0x3ea01ffa,
    0x0009fd1f,0x0000dfb0,0x10004fe8,0x36003ff3,0x6fd8005f,0x220bff10,
    0x200ff441,0x2fec04fe,0x0000bfb0,0x2fec0bfb,0x7d409fd0,0x07fea01f,
    0x27f409ff,0x0000cccc,0x8bfd53fe,0x6c000eff,0xff8800ff,0xf0000002,
    0x13fe00df,0x27fc4fe8,0xfd009fd0,0x00ffd809,0x809fd000,0x9ff703ff,
    0x3f605fd8,0x004fe805,0xe8004fe8,0x41bfe04f,0xfb01fff9,0xf12fec0b,
    0xd2ff40bf,0xfb00009f,0xfe80000d,0x0ff20004,0x8005fd80,0x7f440ffc,
    0x0bfa005f,0xfb013fa0,0x502fec0b,0x05fd8015,0x4fe817f6,0xe817fe20,
    0x703ff85f,0x055409ff,0x53ff9800,0x077fccff,0x001ffb80,0x80005ff1,
    0x7fe400aa,0x703ff802,0x03ff89ff,0xfd009ff7,0x2eff8809,0x3fa00310,
    0x3077f404,0xfd89fffb,0x2017f605,0xfe8004fe,0x04fe8004,0xe9837ff2,
    0xfd80efff,0xf717f605,0x7fec41bf,0x00013fa1,0x00001bf6,0x220009fd,
    0x3f6001ff,0xcffa8005,0x0bfffd30,0x7401fe60,0x02fec04f,0x3fe20bfb,
    0xb02fec01,0x027f40bf,0xd8837fee,0x0efe81ff,0x413fff66,0x90001ff8,
    0x51fea3ff,0xff500bff,0x17fc4007,0x03ff1000,0x402fff88,0x3f660efe,
    0x077f44ff,0x009fffb3,0xff5009fd,0x7ffdddff,0x5013fa00,0xbfffdfff,
    0x05fd89fb,0x3fa017f6,0x04fe8004,0x7404fe80,0xffffffff,0x5fd85ffd,
    0x3f617f60,0x2fffffff,0x400027f4,0x99999efd,0x7f400199,0x33fe0004,
    0x05fd8009,0xfffffd00,0x200bf99f,0x2009bff8,0x2fec04fe,0x3ea0bfb0,
    0x205fd806,0x13fa05fd,0x3fffff60,0xff502fff,0xfbbfffdf,0x001bea09,
    0xfa93ffaa,0x205ffb87,0x44005ff8,0x2a0002ff,0xfff3006f,0xffa8379d,
    0xfddfffef,0x7f7ffd44,0x644fddff,0xffffffff,0xffb106ff,0x905dffff,
    0xffffffff,0xfff50dff,0xb13f25df,0x22fec0bf,0xfffffffc,0x7fe46fff,
    0xffffffff,0x7ffffe46,0xb86fffff,0xb0cefffe,0x05fd87ff,0x7f5417f6,
    0xfe80dfff,0xffd80004,0x7fffffff,0x3fffff20,0x006fffff,0xf50fffee,
    0xffffffff,0x3f6200ff,0x0bf72eff,0xc97ffe40,0xffffffff,0x02fec6ff,
    0x13f20bfb,0xfd817f60,0xffffff95,0x2a0dffff,0x00dffffe,0x977fffd4,
    0x09f904fc,0x41bfff00,0x9ff907fa,0x3fffff20,0x445fffff,0x320002ff,
    0x3f62004f,0xffa84fff,0x09f92eff,0x25dffff5,0x7ffe44fc,0x6fffffff,
    0x40199880,0xfffffffc,0x06206fff,0x3605fd80,0x7fffe45f,0x46ffffff,
    0xfffffffc,0x7fe46fff,0xffffffff,0x6c000c06,0x017f605f,0x09fd0026,
    0xffffb000,0x40ffffff,0xfffffffc,0x44006fff,0x7ffd41aa,0x7fffffff,
    0x00019800,0x3f215510,0xffffffff,0xb02fec6f,0x007b20bf,0x5fd817f6,
    0xfffffff9,0x1300dfff,0x00031000,0xbd0003d9,0x6c0ff505,0xfffc84ff,
    0x5fffffff,0x00017fc4,0x710003d9,0x00c407b9,0x00001880,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98000000,0x188310aa,0x00988000,0x00026200,
    0x80000000,0x09880099,0x44009800,0x99999aa9,0x4cc01310,0x4cccc400,
    0x00988099,0x01100262,0x4ccccc40,0x00000009,0x36ea2000,0x666442cc,
    0x01cccccc,0x566edd44,0x332ea200,0x01cccccc,0x002b32a2,0x037b9730,
    0x3220264c,0x3333101c,0xaa980133,0x2ea009aa,0x98002cdd,0x66444ca9,
    0x3ccccccc,0x566f65cc,0xbdca8800,0x006e6001,0x000d54c0,0xa9813100,
    0xfffd8801,0x3f24ffff,0x3fe204ff,0x102ffdc2,0x5ffb85ff,0x500bfe20,
    0x640005ff,0x1ff60dff,0x2009ff10,0x85ffffeb,0xfffffffb,0x40bfb5ff,
    0x7fec03ff,0xfd84ffff,0xa817f605,0xffb002ff,0xfd89ffff,0xffb80005,
    0x7ffe4003,0xf10fffff,0xffffffff,0x3fff2205,0x981fffff,0xffffffff,
    0xfd883fff,0x00dfffff,0xffffffc8,0x00ffa80e,0x7ec0bfe2,0x504fffff,
    0x9ffffffd,0xfffffd30,0xeb8805ff,0x7c47ffff,0xffffffff,0x3ffffe26,
    0x3ee03fff,0x804fffff,0x26002ff8,0x1ffffffe,0xdf927f44,0xff73fd81,
    0x3ea03fff,0xfffecdff,0x07ff2ea4,0xfff32fe4,0x32fe40bf,0x640bffff,
    0x5ffe805f,0x07ff9000,0x7d405ff5,0x7ff4401f,0x7ec6ffff,0xeffebbdf,
    0x7c0bfb4e,0x6665c03f,0x5fd82ccc,0xfe817f60,0x9997006f,0x5fd85999,
    0x7ffdc000,0xffe8803f,0x0ffdccdf,0x99999991,0xffd305ff,0x3ffb99bf,
    0xdaceffa8,0x41ccccff,0xb99bdfe9,0x3fa01efe,0xeffeccef,0x1007fd41,
    0x332e05ff,0xfa82cccc,0x4fdcccef,0x5d677fc4,0xf301fffd,0x899bdfff,
    0xcccccff8,0x2f7e23cc,0x82fffdba,0xfdbbdffc,0x17fc405f,0xdefffb80,
    0xfe881ffe,0xfd80efdd,0xffedffcc,0x06ffc40f,0x7fc427f4,0x260ffa81,
    0xf505fccf,0x7e67cc1f,0x001ff505,0x90009ffb,0x2ffc03ff,0xf900dfb0,
    0xf504439f,0xd8dfd05f,0x00ffe05f,0x40bfb000,0x3ff605fd,0xfd800005,
    0x3bee0005,0x6c03fe98,0x400a04ff,0x7fc42ff8,0xff02a03f,0xf806fc8b,
    0x41bf604f,0xffb83ffb,0x1007fd45,0x200005ff,0x3f2004ff,0x84ff981f,
    0x8802fff9,0x980000ff,0x27fcc5ff,0xf1017fdc,0xdff5005f,0x3a201301,
    0xffb00eff,0x27fd41bf,0x4fe81bf2,0x2217ffa6,0xbf7082fe,0x2105fd10,
    0x2fe885fb,0x00079100,0xfc801551,0x03ff880f,0xfc806ff8,0x6c3ff506,
    0x00ffe05f,0x40bfb000,0x332205fd,0xfd800000,0x15510005,0xfa805544,
    0xf100003f,0x01ffc85f,0x3207fdc0,0x02fdc06f,0x3fe21fec,0xa83ff204,
    0x3fe200ff,0xff880002,0x817fa002,0x06fd85fe,0x0003fe20,0x3f63ff40,
    0x3317fa05,0x3337ff33,0x037f4133,0x40155100,0xff905ffd,0xfd01ffc4,
    0x1fff74c9,0xbf7017f2,0xfb80bf90,0x0005fc85,0xf9800000,0x00ffb83f,
    0x6c01ffc4,0x43ff305f,0x0ffe05fd,0xb00d5440,0x02fec0bf,0x20098800,
    0x00bfb098,0xffd00000,0x7fc40000,0x0013fe62,0x1bf213fe,0x36a1ff88,
    0xb8df33ef,0x3fe201ff,0x8803fea4,0x999982ff,0x37fe0099,0x40bfb000,
    0x0ffcc4ff,0x001ff100,0xf89bf200,0x43fee02f,0xfffffff8,0xf55fffff,
    0x0000005f,0x7fd40dfb,0x7403ff30,0x4cdf904f,0x2fdc00ff,0xf7003fe6,
    0x200ff98b,0x99999998,0x99988199,0x01999999,0x0bfd0dfd,0xb003ff30,
    0x83fea0df,0x0ffe05fd,0xfffffd30,0x6c0bfb07,0x4ccccc5f,0x02fec009,
    0x897f6bfb,0x019881aa,0x7fcc2660,0x3e200003,0x003fee2f,0xf905ff10,
    0xf92fd40d,0x0ff4ddff,0xdfd00dfb,0xf1007fd4,0xffff885f,0x3ff204ff,
    0x7fd401cf,0x641ffa82,0x7fc4005f,0x7fd00000,0xfc807fd4,0xdddd12ff,
    0xddddddff,0x2001fee9,0xd81a9819,0x47fe605f,0x3fa00ffa,0x93ff2ae4,
    0x5fb802fe,0x7dc017f4,0x2e017f45,0xffffffff,0x7ffdc1ff,0x1fffffff,
    0x3e21ffa8,0x1ff9802f,0x443ffa80,0x02fec6fe,0x7fd407ff,0x45ffecce,
    0x97f605fd,0x4ffffff8,0xfb02fec0,0x7fe57f6b,0x1fea1eff,0xfa97fc40,
    0x2200001f,0x01bf62ff,0x3203fe60,0x4d3ee06f,0x3fc822ff,0x3f2013fa,
    0x8803fea6,0x777442ff,0x7e404ffe,0x880befff,0xff90cffe,0x2627fd0b,
    0x5ff1009a,0x7e400013,0x221fee0f,0x103ffffd,0x6fc805ff,0xc87fc400,
    0x360dffff,0x4bfe205f,0x3fa00ffa,0xc93fff64,0x4bf7005f,0xbf7005fc,
    0x75402fe4,0xffeeeeee,0x7777541f,0x01fffeee,0x83fdc9ff,0xaffa9998,
    0x74099999,0xfffcceff,0xff02fec0,0x213fe207,0x17f62ffb,0x3ba25fd8,
    0x6c04ffee,0x6d7f605f,0xffdffddf,0x003fe66f,0x7fdc3fe6,0x3e200000,
    0x2a17fa2f,0xf50aaaaa,0x333ff20f,0x327f90cc,0xf93ee05f,0x27fc803f,
    0x3e200ffa,0x04fe802f,0xffffeb88,0xfffffb02,0xb9ff107f,0x83dfffff,
    0xeffffff8,0xd999300b,0x46fc81bf,0x4feafffa,0xd805ff10,0x7fc4006f,
    0xfffdffd9,0xf9817f65,0x401ff51f,0x826624fe,0x30000ff9,0x260001ff,
    0x440000ff,0x7c4005ff,0x43ff205f,0xfffd04fe,0xffffffff,0x7f7fd47f,
    0xfd80dfff,0x640ffe05,0xd9bf606f,0x017f605f,0x5fd809fd,0x7fed7f60,
    0x4bff20df,0xf9801ff8,0x0001ff27,0x7fc5ff10,0xffffff84,0x3f20ff72,
    0xfb0fffff,0xfa80ff65,0x7007ff15,0x03fea1ff,0xe802ff88,0x7e4c004f,
    0xfffb00ff,0xfff101bf,0xfffd99df,0x7ffffc43,0xfa81ffff,0x6c1cffff,
    0x43bff25f,0x5ff104fe,0x4007fc80,0x224feff8,0x0bfb0ffc,0xff987fcc,
    0x009ff702,0x740007fd,0x3fa0003f,0xefe80003,0x077f4000,0xff35ff30,
    0x3ffffa03,0xffffffff,0x0cccbfa3,0x7cc1bf60,0x407ff03f,0x41bf67fa,
    0x7f405ff8,0xb02fec04,0x217ff6bf,0x0bfe3ff8,0x326fa899,0x4400007f,
    0x213fe2ff,0x72ffeeed,0x2bbf20ff,0x25fb0aaa,0x53ea04fd,0xfb803ff8,
    0x8803fea7,0x4fe802ff,0x05ff5000,0xffffbffb,0x81dff983,0x5cc06ff9,
    0x5440fffc,0x23fffdca,0x4ffe8dfc,0x755327f4,0x555559ff,0x1000ffdc,
    0xff507fff,0xfc817f65,0x7d42ffc7,0x37dc04ff,0x00df7000,0x00037dc0,
    0x20007fec,0xfe800ffd,0x26006fcd,0x2ff801ff,0x207fec00,0xf884ffe8,
    0x999999bf,0x1ff90ffb,0x405ffe88,0x2fec04fe,0x1bf6bfb0,0x8ffa4fe8,
    0x97ee1ffa,0x00000ffb,0x5fe8bfe2,0xfa97fc40,0x206fc80f,0x40df73fc,
    0x013fe3fb,0x0ffa9bf2,0x200bfe20,0xf10004fe,0x17ff445f,0x7cc3fff7,
    0x07fee02f,0x4017fd40,0xff92ffc8,0x7ff05fff,0x7fffffdc,0x3e26ffff,
    0x3fe2006f,0x367ff104,0x87ff105f,0xff713ffc,0x7fc409fd,0x3ff10001,
    0xff8800cc,0x7fdc0001,0x17fdc002,0x3ffffa80,0x007fe600,0x2aaf7ffe,
    0xdffd809a,0x0dfdfd31,0xfffffff3,0x2a3fffff,0xffd30cff,0x04fe80bf,
    0xbfb02fec,0x5fd817f6,0x4ffc93f2,0x1ffa93f2,0x3fe20000,0xf101bf62,
    0x203fe65f,0x53ee06fc,0x24bbeff8,0x013fa2fc,0x0ffa97f6,0x200bfe20,
    0x015304fe,0x7e41ffb3,0x26ff980f,0x3e202ff8,0x13fe002f,0xff75fe80,
    0x8bfe01df,0xcdffccca,0x7fe43ccc,0x886e60ae,0x426602ff,0x7f4c1efd,
    0xffffe886,0x204fd9ff,0x1fff63fe,0x7fdcffa0,0x1ff401ef,0x2600fffb,
    0x7cc004ff,0x7ffc004f,0x3fe6000f,0xffffa801,0x21efffff,0xfffffffd,
    0x261fffab,0xcccccdff,0x3fa0cccc,0xfccfffff,0x2027f405,0x57f605fd,
    0x97f605fd,0x9fffe5fb,0x13fe63fd,0x2ff98000,0xf8807ff2,0x907ff32f,
    0x53fcc0df,0x3e2dffff,0x201ff60f,0x03fea4ff,0xe802ff88,0xdfff504f,
    0xe87ffffd,0x83ff203f,0x3fe203ff,0x017fa002,0x9ff56fd8,0x880ffcc0,
    0xff9002ff,0x43ffffff,0x36002ff8,0xfffeffff,0xfffb101e,0x5c13fa1b,
    0x1fffea6f,0x5f64df70,0x9bee06fd,0x8807fffa,0x744006fe,0xffc8006f,
    0x0ffcc004,0x666ffcc0,0xb0ffffee,0x45dffdbf,0x3fe21ffc,0xffd88002,
    0x80bf72ef,0x2fec04fe,0x17f6bfb0,0x5bea5fd8,0xfd1fecf9,0x000ffe85,
    0x4c3ff700,0x3fe205ff,0x3f217fa2,0x511fec06,0x717ee135,0x7fd403ff,
    0xa803fea1,0x4fe801ff,0xfffffd50,0x2ff983bf,0xfe87fee0,0x007fe605,
    0xd001ffc4,0x80ffe29f,0x3fe206fc,0x3ff6a003,0x3e20dfff,0x3ff6002f,
    0x003effff,0x2213fa06,0xf5fd11ff,0x80ffc40f,0x3ff107f9,0x01febfa2,
    0xb0003ff6,0xf90001ff,0xff98001f,0x01ffc401,0x53f67ff7,0x3fe02018,
    0x10cc0003,0x4fe803fd,0xf8837ec0,0x6c0bfb5f,0x7e5fe65f,0x83ff4fba,
    0x1000dffa,0x3207fec0,0x5ff103ff,0x3f217fdc,0x00ffcc06,0xff883ff3,
    0x45ff880e,0x3f200ffa,0x04fe800f,0x100ffa98,0x3fe409ff,0x7ec03fee,
    0x07ff6007,0xf917fd40,0x07ff301f,0xe8006ff8,0x5ff100cf,0x08afec00,
    0x13fa0000,0x8bfc93f6,0x813f607f,0x49fb05fc,0x407f8bfc,0x5c001ffb,
    0xf98001ff,0xff98004f,0x403fdc01,0x00bfb4ff,0x0007fec0,0xd007fb00,
    0x0ffc809f,0xfdafff44,0xf897f605,0x1ff17f8f,0x3fffa0ff,0x21d7311b,
    0xffb51aea,0x5bfff107,0xf117fd41,0x1bf215ff,0x2a0bff60,0xdff904ff,
    0x3ffd5115,0x2310ffa8,0xd006ffb8,0x1bee009f,0x4417ffd0,0xeff85ffb,
    0x1117fe40,0x047ffb30,0x445ffc88,0x3fe61eff,0x5ffec00f,0x7fc40221,
    0x00bfe201,0x00005fd8,0x6fa89fd0,0x3fea7fe6,0x3606fa81,0x26fa80ef,
    0x1ffa9ff9,0x8007ff50,0x88003ffa,0x98000ffe,0x7fe401ff,0x6cffe601,
    0x3e20005f,0x003102ef,0x3a003fe2,0x67fd404f,0x2bfffd30,0x17f605fd,
    0x7f49f7ff,0x3ff206fb,0x0fffffff,0xfffffff5,0x7fff440b,0x42ffffff,
    0xffffffe9,0xb83fffff,0xfffddfff,0x7fffe403,0xfa81ffff,0xfffff30f,
    0x13fa003f,0x22027e40,0xffffffff,0xdfff506f,0xfb89fffd,0x3fffffff,
    0x7fffffe4,0xffa80dff,0x00efffff,0xffffff88,0x80ff505f,0x36002ff8,
    0xd000005f,0x50ffc49f,0x3fffffff,0x7440ffc4,0x43ff105f,0xfffffffa,
    0x002ffc41,0x44017fe2,0x01fffbaa,0x803ff300,0x889aeffa,0xfb0effb9,
    0xffa8000b,0x3ffeeeff,0x139ff100,0x74027f40,0xccffffff,0x6c0bfb5f,
    0x17f7f45f,0xa80bfff7,0x2cefffed,0x3bffff22,0xfffd7003,0x91017bff,
    0xfffffffd,0x3b6a07ff,0x5001deff,0x01bffffb,0x7f4c3fea,0xff900dff,
    0xffffffff,0x2007fa0d,0xefffffc8,0x7ffec402,0xfffb81df,0xfc80ceff,
    0x01dfffff,0x677ffecc,0x3ff62000,0x9f904fff,0x002ff880,0x000017f6,
    0x89fb27f4,0xaffbaaa8,0x7f413f60,0x3f61eeef,0x7dd55444,0x7ffe40af,
    0x5fffffff,0x7fffffe4,0xff15ffff,0x40003dff,0xfc801ff9,0xffffffff,
    0x0017f60e,0x3ffff620,0x2e002eff,0xfff93fff,0xdfffffff,0x5dfffb10,
    0x02fed7ee,0x7ffc8bfb,0x0027ffc4,0x00620031,0x80033100,0x44000098,
    0x004c0000,0x7e400400,0xffffffff,0x0003306f,0x22000331,0x01998800,
    0x00033310,0x4400004c,0x004c4019,0xd800bfe2,0xb000005f,0x003bea7d,
    0x0efa8ff1,0x3ffffff0,0xf1003bea,0x3ffff20f,0x45ffffff,0xfffffffc,
    0x9dd15fff,0xff300007,0x3bae2003,0xec81cdef,0x4c400004,0x2a200019,
    0xfffff90a,0x80dfffff,0x02fec019,0x4ffb8bfb,0x0003ffe8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2002ff88,0x000004ec,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99300000,
    0x4c039900,0x0599001b,0x332e2654,0xcccccccc,0x999972cc,0x99999999,
    0x200f3227,0x07970cca,0x2f333200,0x3326001a,0x33332000,0x220001ab,
    0xcccccccc,0x00019910,0x159b9510,0x99999990,0x132e3999,0x4c43cb80,
    0x9100bcdb,0x49970079,0x664404c9,0x01e65c01,0x2af3332e,0x99995009,
    0x03999999,0x406f36ea,0x332a03cb,0x57999931,0x003ca803,0xcb80b326,
    0x2626401c,0x04cc983c,0xccc98664,0xcccccccc,0x9999910c,0x19999999,
    0xa804ca80,0x6ee5cc02,0x376201bc,0xfb837620,0x817fc407,0xff002ff8,
    0x363fe407,0xeeeeeeee,0xffb5feee,0xffffffff,0x0ffe4bff,0x7ec9ff10,
    0xffff0005,0x801bffff,0x3e000ffa,0xdfffffff,0x7ffdc000,0xf30fffff,
    0xfa80003f,0x22ffffff,0xfffffff8,0x3ff92fff,0x547ff100,0x3fffffff,
    0x5405ff90,0x03fea3ff,0x2202ff88,0x3600ffff,0xffffffff,0x7fffe40c,
    0x43ffffff,0xffffffe8,0xf305fd83,0x7fffdc9f,0xd80dffff,0x3fee006f,
    0x05fff107,0x13ea3fc4,0xf80bffea,0xfffff51f,0x1fffffff,0x3fffffe2,
    0x00ffffff,0xd80fffd5,0xffd985ff,0x207fffff,0x3fee3ffc,0xf101fee4,
    0x0bfe205f,0xf901ffc0,0x32003d8f,0xfb999975,0x479999bf,0x3f206ff8,
    0x0017f60f,0x7f666ffc,0x3ea03fff,0x37fe000f,0x3ffffecc,0x3bfffa00,
    0xff30cccc,0x7fcc0003,0x26fdbabe,0xccccdff8,0x7ff31ccc,0x2e3ff700,
    0xffcbceff,0x06ff881f,0xffa8dff1,0x80bfe200,0x202ffffa,0xfdcccefd,
    0x666546ff,0x1cccdffd,0x2aafffe2,0x2fec3ffd,0x3ee37fc4,0xfffecccf,
    0x0037ec2f,0xf703fff7,0x37cc07ff,0x3fea13ee,0x4c7fe06f,0xeeeeeeee,
    0xdd10ffee,0xfddddddd,0xffea81ff,0x3fe207ff,0x3ffe20ff,0x06dcbbde,
    0xff987fea,0xf101fee2,0x0bfe205f,0x55bff530,0x5ffb5555,0x2cde8f63,
    0x3fe605c8,0x82ffb801,0x7fec3ff9,0x401bcdee,0xffea83ff,0x001ff501,
    0x7f541ffc,0xdef9801f,0x07fe604f,0x506fe800,0x001ffc41,0xdfb00dff,
    0x7fcc1fcc,0x909ff506,0x0ffa83ff,0xd80bfe20,0x3605fedf,0x05ff905f,
    0xfb00ffcc,0x41ff901d,0x0efe85fd,0xffa83fdc,0x801bf61f,0xfe84fefb,
    0x17ea03fe,0xfff507f9,0x007fe05f,0xa800dfb0,0x7ffec3ff,0x7fc07fec,
    0x00ffec7f,0x81101100,0x7fc407fb,0x3fe66662,0x9099999b,0xffffffff,
    0x27ffffff,0x37fb323d,0xff981720,0xb0dfd001,0xffffb0df,0x203bffff,
    0xdff103ff,0x1303fea0,0x7c40ffe0,0xdbfd806f,0x07fe604f,0x017fc400,
    0x2003ff88,0x3e200ffc,0xff90043f,0x983ff601,0x0ffa84ff,0x440bfe20,
    0x00ffcaff,0x27fc0bfb,0x2603ff30,0x7ff102ff,0x3ff22fec,0x2207fb81,
    0x01bf65ff,0x4c7fbfc8,0x2a03fddf,0x5417ec4f,0xff06fcff,0x17fc4003,
    0x90dff100,0x01ff61bf,0x5ff83bb3,0x2e000000,0x97fc407f,0xfffffff8,
    0x955fffff,0x99999dff,0x3659ffd9,0x2e4bf503,0x2003ff30,0x3fea3ff9,
    0xaaaefd81,0xf80effdb,0x0bfee03f,0x7ecc3fea,0x5c07ff01,0x3fe202ff,
    0x3e604fd8,0xff30001f,0x0ffe2001,0x203ff980,0x2a001ffa,0xbff101ff,
    0xffa837f4,0x40bfe200,0x2ff98ffa,0x7fc0bfb0,0x407fe604,0x3f600ffa,
    0xffa97f65,0xc80ff702,0x00dfb1ff,0x917f57e4,0xeb89f95f,0xfeeeffee,
    0xff51eeef,0x3ff03ff3,0x0037ec00,0x06603ff6,0x22000ffb,0x260004ff,
    0x70099999,0x2ff880ff,0xdffdddd1,0xf89ddddd,0xb1ff203f,0x5c87e407,
    0x8007fe60,0x09fd0ffc,0x7fd417f6,0x2203ff85,0xaffa83ff,0xff00fffd,
    0x01ffc407,0x813f6bf7,0x50001ff9,0x3e2001ff,0x37fc003f,0xb800dfb0,
    0x3fee00ff,0xf502ffaa,0x17fc401f,0x17fe5fd8,0xff882fec,0x407fe601,
    0x37e407fb,0x0ffe6bfb,0x7c407fb8,0x400dfb3f,0x3e5fbafd,0x7e44fc8f,
    0xffffffff,0xff52ffff,0x07fe17fa,0x0017fc40,0x6c007ff5,0x3fe0007f,
    0xff88000e,0xf704ffff,0x02ff880f,0x3e005ff1,0xb1ff203f,0x5c8fdc07,
    0x8007fe60,0x0ffbcff8,0x7e40bfb0,0x7c03ff87,0xffffa84f,0x01ffc03f,
    0x2fe813fe,0x7fcc09fb,0x1ff70001,0x00ffe200,0x3e01ff90,0x3fe4003f,
    0x2fffff40,0x4401ff50,0x47ff02ff,0x0bfb07fc,0xf980dfd1,0x01ff501f,
    0x1bfb3fdc,0x7fb80bfd,0xdfb4ff80,0x7c57ec00,0x9f95fa8f,0x1fe17ec0,
    0x1ffabfd4,0xfc800ffc,0x1bfe2006,0x000ffb00,0x0017ffdc,0x3ffbbba2,
    0x880ff704,0x5ff102ff,0x2673fe00,0x47fc9999,0x64fd103d,0x7fe55545,
    0xfb802aab,0x3f603fff,0x647fea05,0x82ccdffc,0x7fecc5fe,0x3f3200bf,
    0xfe82ccdf,0x7ecff505,0x3e64ccce,0x49db101f,0x999ffb98,0xdff88199,
    0x82aaaaaa,0xffa83ff9,0x13fe2000,0x03fffe60,0xccccffa8,0x82ffcccc,
    0x3fe60ffa,0xcccefd82,0xf9804ffd,0x09ff301f,0xdfd87fdc,0x7fb806fd,
    0xdfb5fe80,0xfd97ec00,0x0bf72fcb,0x0ff10ff4,0x45fe9fea,0xff8801ff,
    0x07ff6003,0x000ffb00,0x0befffd8,0x209fd000,0x7fc407fb,0x005ff102,
    0x3ffffffe,0x1ec7ffff,0x643ffdd1,0x7fffffc5,0xfd007fff,0x05fd80df,
    0x7ffc7fe6,0xfd85ffff,0x1ffffb16,0xffffff00,0x20dfb0bf,0x3fff64fd,
    0x07fe67ff,0xfda7ffe4,0xffffffff,0x7fffc41f,0xf07fffff,0x00df90bf,
    0xb000ffe8,0xffa809ff,0xffffffff,0x86fd82ff,0xfffd85ff,0x00bfffff,
    0xfb00ffcc,0xfb53339f,0x7fffecff,0x807fb802,0x00dfb6fd,0xfefa97f4,
    0xff817ee7,0x7d41be60,0xff83fee7,0x007fc801,0x2000ffea,0xa80007fd,
    0x00cffffe,0xfb827f40,0x817fc407,0xff002ff8,0xffffffff,0x3e23d8ff,
    0x3a2e40ac,0xeeeffeee,0xf7333106,0xd813337f,0x43fee05f,0x1aadffaa,
    0xbff56fe8,0xf55001ff,0xfd0355bf,0x6c1ff10d,0x262aaadf,0xfffd01ff,
    0x3bffbb2b,0x441eeeee,0xeeeeeeff,0x81ff905e,0x3f2003ff,0xfff3001f,
    0x67fd401f,0xfccccccc,0xd83ff82f,0xccefd87f,0x01fffecc,0xd8807fe6,
    0xffffffff,0x3fb7f67f,0x03fdc00f,0x06fdb7f4,0xfff8bfa0,0x7f817ee4,
    0x7fa82fd4,0x03ff27fc,0x1003ff88,0x36000dff,0x2a00007f,0x002ffffd,
    0x3fdc13fa,0x440bfe20,0x7ff002ff,0x0f63fe40,0x9817205f,0xffc801ff,
    0xffffffff,0xfd02fec4,0xf807ff0d,0xff51755f,0x01ffc001,0x17ee17fe,
    0x7fcc09fb,0x87fff701,0xf1000ffb,0xff30007f,0x8007fcc5,0x3a003ffc,
    0x2a05ffef,0x3fe200ff,0x540ffd42,0x82fec2ff,0x3e606ffa,0xeeca801f,
    0x365fb9cd,0x00eff8df,0x3fe01fee,0x7c00dfb5,0xb87ff21f,0xa8ff106f,
    0xb8ff504f,0x803ff0ff,0x3f2007fc,0xffb0001f,0x002ffa80,0x003fff93,
    0x7fdc13fa,0x40bfe200,0xff002ff8,0x363fe407,0x05c81743,0x2e007fe6,
    0xeeffeeee,0x42fec3ee,0xff81ffe9,0x213fe203,0x3e000ffa,0x13fe203f,
    0x09fb0bfa,0xb700ffcc,0x001ff707,0x4000ffe2,0x01bf25ff,0x7001ffe4,
    0x05ff75ff,0xf8803fea,0x4cffec2f,0x44ff9999,0x3ff205fd,0x003ff301,
    0x3f64fd80,0x5c0bff35,0xa7fc407f,0x3fe006fd,0xdf51be61,0x7fffffd4,
    0x4fffffff,0x7ff11fea,0xff8807fe,0x07ff5003,0x103fec00,0xa800ffff,
    0x9fd005ff,0xa803fea0,0x5ff101ff,0xc80ffe00,0x9001ec7f,0x00ffcc0b,
    0x200ffcc0,0xffeeeffd,0x07ff02ff,0x7d417fdc,0x0ffe000f,0x7d42ffb8,
    0x4fffffff,0x0007fe60,0x88007fdc,0xf90003ff,0x200ffe1f,0x22003ffc,
    0x03ffa5ff,0xf8803fea,0x7ffffc2f,0x47ffffff,0x3fea05fd,0x003ff302,
    0x3f62ff80,0x5c0ffee5,0x8ffdc07f,0x3fe006fd,0x267fa801,0xeeeffeee,
    0x2a3eeeff,0xf8ffc87f,0x03ff201f,0x001bfa20,0x7c40ffb0,0x6c000fff,
    0x09fd007f,0xfc807fe6,0x07ff100f,0xfc80ffe0,0x07f31ec7,0x1ff98172,
    0x01ff9800,0x7fffffec,0x0ffe00df,0xff507ff8,0x01ffc001,0xfffb0fff,
    0x409fffff,0x70001ff9,0x3e2001ff,0xff30003f,0xc801ff35,0x7ec003ff,
    0x217fe60f,0x3e200ffa,0x3fffea2f,0xffffffff,0xfd817f62,0x03ff300f,
    0x3637e400,0x40ffec5f,0x3fe207fb,0x4401bf66,0x7fa801ff,0x2fd89f70,
    0xff10ff50,0x3e203ff7,0x3ff9004f,0x07fd8000,0x4001ffe4,0x9fd007fc,
    0xf813fe20,0x037fc06f,0x3f203ff8,0x0bf71ec7,0x1ff98172,0xfffffc80,
    0x6c4fffff,0x000aaaef,0xffb107ff,0x003fea05,0xfd883ff8,0x40ffc42f,
    0x3fe604fd,0x1ff70001,0x00ffe200,0x6fccff80,0x001ffe40,0x3f60ffee,
    0x007fd42f,0x37ec5ff1,0xfd93fe20,0x40fff105,0x88001ff9,0x2fec1ffc,
    0xf703ffe2,0x8bffa20f,0xff1006fd,0x20ff5003,0x80ff44fb,0xfdfb07fa,
    0x03ff203f,0x000ffe60,0x2201ff60,0x0bfd0000,0xfc813fa0,0x3ff620cf,
    0x0dffec01,0x203ff811,0x2a1ec7fc,0x7cc0b900,0xfffc801f,0x4fffffff,
    0xf8002fec,0xffca99cf,0x2bfea04f,0x41999999,0xfca99cff,0x06fc84ff,
    0x7fcc09fb,0x9999999b,0x001ff700,0x8000ffe2,0x203ffffc,0xaaaadffc,
    0x3e20aaaa,0x1dff106f,0xf1007fd4,0x4027fc5f,0x27bf67fd,0x1ffeca99,
    0x3fee6662,0x2620999a,0x3fffca99,0xff985fd8,0x4ccffdc6,0x6c4fffca,
    0x999999ef,0x001ff119,0x0ff20ff5,0x1fea01ff,0x40ffffcc,0xe8804ff8,
    0xaaaaaaff,0x26620aaa,0x999ffe99,0x83595001,0x002ffea8,0x7f4409fd,
    0x3fffffff,0xfffff880,0x01ffc5ff,0xaadd8ff9,0xaaaaaaaa,0x07fe605d,
    0x007fe600,0x3e000bfb,0xffffffff,0x7fffd403,0x7c7fffff,0xffffffff,
    0x3607ff03,0x32ffffff,0xffffffff,0xfffd85ff,0xffffffff,0x007ff10f,
    0x07fffcc0,0xffffffd0,0x6c3fffff,0x3fee02ff,0x8803fea4,0x03ff52ff,
    0x3f63ff50,0xffffffff,0x7ffffe42,0x2e3fffff,0x1dffffff,0x3ee0bfb0,
    0x3fffee4f,0xd82fffff,0xffffffff,0x001ff37f,0x5fb01ff3,0x1fea07f8,
    0xc81fffd8,0xffa800ff,0xffffffff,0x3ffee2ff,0xffffffff,0xffffa800,
    0x03ffffff,0x2e013fa0,0x01dffffe,0x3ffff620,0x901ffc4f,0xffffd8ff,
    0xffffffff,0x007fe605,0xb007fe60,0x3fe000bf,0x002defff,0xfffffff5,
    0xffff8fff,0x3ea02def,0xffffb00f,0x3ffe65ff,0x2fffffff,0x7fffffec,
    0x10ffffff,0xf80007ff,0x7ff406ff,0xffffffff,0x00bff51f,0x3fea3ffd,
    0x6cbfe200,0x9ff1006f,0x3bfffff6,0xffff903d,0x47ffffff,0x02cceffb,
    0xffb02fec,0x3bfffee5,0x3ff602de,0x7fffffff,0xf3001ff3,0x443fd01f,
    0x81fea07f,0x7c41fff9,0xfff5004f,0xffffffff,0x7fffdc5f,0x0fffffff,
    0xffffe980,0x3201cfff,0xffffffff,0x004c06ff,0x000cc400,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x32001998,0xffffffff,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00264c00,0x32a00199,
    0x0199704c,0x665cf320,0x2a01abcc,0x01abcccc,0x3333332e,0x13cccccc,
    0x99999999,0x01980399,0x82b803a8,0x05000002,0x06aa0aa2,0x4c0aaa88,
    0x4000000a,0x8009aaa9,0x009aaaa9,0x3100d544,0x2004c401,0xa8801aa9,
    0x8826201a,0x303301aa,0x33331035,0x88333333,0x04cc0099,0x4cc00331,
    0x22002660,0x414c3109,0x9999981a,0x40331009,0x64400998,0x0088000c,
    0x0bcccb88,0x01799510,0x10080098,0x400ff300,0xff8801ff,0x09ff507f,
    0x3f65ff70,0xcfffffff,0x7ffffe40,0xffd83fff,0xffffffff,0xffff15ff,
    0x05ffffff,0xf7007fcc,0x1ffcc03f,0x00001bf9,0xff513fa2,0x3fff63ff,
    0xfffffc84,0x05fffe8b,0xc801ffa8,0xcfffffff,0xffffea80,0xffd304ff,
    0xbfb07fff,0x74c2fec0,0x81ffffff,0x3ffffffa,0xfff93fd8,0x87fc43df,
    0x20dffffc,0xfffffffb,0x3fe61fff,0xa8bff206,0x5ff1007f,0x3e203fec,
    0xff71fb4f,0x4bffd11f,0x4ffffff8,0x3e60ff50,0x7fcc00ef,0xffd91000,
    0x3ff6019d,0x74c0ffff,0x4c2fffff,0x202efffe,0x017ec1fe,0x3e001ff3,
    0xfffd800f,0x003ffa07,0x677ecdff,0x0effffcc,0x3f733ff2,0x665c3fff,
    0xccdffdcc,0x9bff13cc,0x03999999,0xd1007fcc,0xdfd04cdf,0x000effa8,
    0x317ff4c0,0xf7dfbbff,0xfd87ffbf,0xdffffecd,0x7f403ffc,0xeeff805f,
    0x545fffec,0xfdccceff,0xcceffa84,0x2fec5ffe,0xffb8bfb0,0x41ffedef,
    0xffddfffc,0x7f67ec6f,0x226fffdf,0xfdffd9ff,0x3bbaa5ff,0x1fffeeee,
    0x7d427fdc,0x007fcc4f,0xff507fcc,0xd8ffd405,0xdbfedfaf,0xdd11ffcf,
    0x2a09ffdd,0x0eff987f,0x800ff980,0xfcaacffa,0xd31ab81e,0x56ffc4bf,
    0xff10ffeb,0x703fffff,0x07fd41ff,0x1001ff10,0xffa801ff,0x3fe607fc,
    0xd87fee04,0x5ffc985f,0x3fe61ff2,0x0ffcc00f,0x0005ff10,0x26007fcc,
    0xeffffeff,0xffe980ff,0xdff50001,0x3fa4fc81,0x28df71ff,0x3ee5ffc8,
    0x027fec06,0x7fec40dc,0x88013fe1,0x2ffb84ff,0x5fd817f6,0x2603bfea,
    0x3213fea0,0x3fff63ff,0xf897fdc4,0x3f224fef,0x5ff8800f,0x7c43ffb0,
    0x01ff886f,0x5ff87f98,0xffd9bf60,0x365fdf35,0x413fa02f,0x77fcc7fa,
    0x01ff3000,0x1aa9df88,0xf5001fd1,0x7fc37dcd,0x5ff98ae3,0xff117fc4,
    0x01ff8807,0x7c407f88,0x6c07fbbf,0x5ff881ff,0xffb02fec,0xffc83fe4,
    0x00ffcc02,0x40005ff1,0xfb800ff9,0x3fffffff,0x00fffa20,0xf01bff70,
    0x12ffdc3f,0xffa801ff,0x8803fe22,0xf980003b,0x005ff13f,0xdfb037e4,
    0xbfb02fec,0xfd0037f4,0xd87fec09,0x3ff884ff,0xf507fff1,0x1dfd005f,
    0xfc9bfe20,0xc85ff00f,0x7e437d44,0x23ff880f,0xbff11ffd,0x9fd027e4,
    0xff99fea0,0x3fe6000e,0x7d47ec00,0x85f88ffe,0x26fdccb9,0x05fd83fd,
    0x17fa2ff4,0x3fe00bfb,0x407f9801,0x80ff75fd,0xffc85ff9,0xf502fec0,
    0x4c1ff23f,0x7fcc02ff,0x00bfe201,0x800ff980,0xff913ffb,0x09ffb009,
    0x4c13ff60,0x227fcc7f,0x7fc401ff,0x0000ffc0,0x7c9fd000,0x7ff000df,
    0xbfb3fd40,0xffaafec0,0x03ff3002,0x6fd8ffcc,0x7fc53fa0,0x807ff104,
    0x7cc00ffd,0x202ffacf,0x87fea3fe,0x3ff985fb,0x3f60ffb8,0xfc87fe25,
    0x5413fa04,0x01dff37f,0x200ff980,0x3e2f53f8,0x7fdc1f92,0x3fa6feef,
    0x2205fb83,0x83fee4ff,0xff000ffb,0x3fcc0985,0x3ee1ff50,0x21ffc807,
    0x5fd84ff8,0x7e4bfe60,0x803ff507,0x3e201ff9,0xddd5002f,0xddddffdd,
    0xe84ff85d,0xbff7007f,0x0bffa201,0x7fc47f98,0x02ffaaad,0x333ff333,
    0x00005ff3,0x3eaaa660,0x33fff24f,0x26ffe201,0xffb99999,0x7ec0bfb0,
    0x5c00ff75,0xb3ff807f,0x8afec0bf,0x026602ff,0x7002ffb8,0xc809ffff,
    0xc93ff24f,0xd0dfd04f,0x223fd89f,0x813f20ff,0x3ff504fe,0xec801dff,
    0xeeffeeee,0x23f54eee,0xf51fb9fa,0xfa87fe23,0x3f61bf66,0x41ffd104,
    0x027f45fd,0x7fc45fd0,0x7441bea0,0x201fee3f,0x3ff26ff8,0x2e05fd80,
    0x20ff90ff,0xff9806fe,0x00bfe201,0x7fffffdc,0x23ffffff,0xffb82ff8,
    0x1dff5000,0x401ffe98,0x7ffc46fa,0x222fffff,0xfffffffc,0xd92fffff,
    0xdddddddd,0xfc889ddd,0x4fffffff,0x5f7fffe4,0x7ffffcc0,0x1fffffff,
    0xafec0bfb,0x3f2006fc,0xfb4ff806,0xf8afec0b,0x3e60002f,0x7fec004f,
    0x3e5fb806,0x40ff67ff,0x3fe61ffb,0xff11fec1,0xfd027e41,0x3f7fea09,
    0xfffe801f,0xffffffff,0x3ea1f75f,0x54be62ff,0xf737e46f,0x40ffcc3f,
    0x7cc1fff9,0x007fe61f,0x5ff71ff4,0x6fc82fd4,0xfb803fdc,0xb03ff8af,
    0x937f40bf,0xfd7533ff,0x3ff3005f,0x666ffc40,0x2a64cccc,0xabffbaaa,
    0x3fea1aaa,0x001ff981,0xffb13ff2,0x88df5009,0xcccccdff,0x3337ffa1,
    0xccccccff,0xffffffd1,0x4bffffff,0xcccdfff8,0xeb884ffc,0x3e62ffff,
    0xccccccdf,0x0bfb0ccc,0x06fdafec,0x3e01bf20,0x6c0bfb3f,0x005ff15f,
    0x001bfa20,0x801dffd1,0xfd9f36fa,0x7c40bfa3,0x361bf24f,0xc83fe23f,
    0x413fa04f,0x0ffe8ffa,0x5d555540,0x1aaaabff,0x36dea5f3,0x37fe23f5,
    0x7f46ffeb,0xb85ffdef,0xdf900eff,0xd800efb8,0xa97ffa3f,0x41ff985f,
    0x3fa007fb,0x3f606fce,0x21ffd985,0xfffffffc,0x3ff3001d,0x7ffffc40,
    0x4c07ffff,0x7fcc00ff,0x000ffa82,0x3f207ffb,0x23fd405f,0x7cc04ff8,
    0x007fe21f,0x55555555,0x6c355555,0x09fd01ff,0x10fffc98,0xfd8005ff,
    0x7dd7f605,0x01fee007,0x02fecbfe,0x0bfe2bfb,0x007fec00,0x17ffff60,
    0x2bf2ff30,0x403ff4fb,0x20ffe6fc,0x83fe23fd,0x13fa04fc,0xeff8bfd4,
    0x07fcc000,0xf9bd53e0,0xfffb8fb2,0x7ec46f8d,0x7ec43fff,0x409999df,
    0x02ff44fe,0xfef89fec,0xfd09f70f,0x400ff709,0x202ffffa,0xffeeeffd,
    0x77fe42ff,0x2000effe,0x3e201ff9,0xaaaaaacf,0x007fcc02,0x3f217fe2,
    0x2ffe8807,0x8077fd40,0x2ffcc7f9,0xff11fee0,0xf8000005,0x013fa04f,
    0x7ff17fd4,0x106fd800,0x07feabff,0x500ffd40,0x817f63ff,0x05ff15fd,
    0x003ff700,0xffaaffb8,0x3e3fe203,0x0ff1ff17,0xffaaff98,0x3e23fd80,
    0xe813f20f,0x4cff504f,0x26000eff,0x57dc00ff,0x0febb67a,0x0130004c,
    0x3fffffee,0x0ffd43ff,0xfc805ff1,0x27fb7f74,0x837dc4fb,0x7f4007fb,
    0x7ffec05f,0xc80dffff,0x03ff627f,0x100ffcc0,0x4c0005ff,0xffe800ff,
    0x3013fe62,0x26003fff,0xff881fff,0x701ffee1,0x04ffb8df,0x1ffc0000,
    0x1004ffb8,0x07fec7ff,0x881ff900,0xdff15ffe,0x817fe200,0x817f65fe,
    0x05ff15fd,0x003ffa80,0xff927fcc,0x27dffc03,0xd00df7fd,0x360bfb9f,
    0xc83fe23f,0x413fa04f,0x2ffd47fa,0x001ff300,0x0bf707fd,0x3ee00000,
    0x3fffffff,0x065c0cd8,0x4fed3ee0,0x447f96fb,0x99999bff,0x80199ffc,
    0x7ec01ffa,0x64009aae,0x02ffc47f,0x2201ff98,0x260002ff,0xffb800ff,
    0x02fffdef,0x0003bfea,0xfb05ffd1,0x37fffa2b,0x50ff8860,0x0183ffff,
    0x3a00ffd4,0x3ff660ef,0xb301534f,0x77fc43ff,0x7fd43102,0xbfffd30c,
    0x30577fdc,0x06ffdc37,0x7ec3ffb1,0x7c57f605,0x3fe2002f,0x37fc4005,
    0x7403ffa2,0x3fee2fef,0xfffb805f,0x447fb02f,0x813f20ff,0x0ff504fe,
    0x2600bff7,0xff9000ff,0xfd07ffdb,0xbfffffff,0x3ffffffa,0x000005ff,
    0x7c6fdc00,0x7f91ff16,0x7fffffd4,0xffffffff,0x00ffcc00,0xf90017f6,
    0x003ff70f,0x7c403ff3,0x3a20002f,0x7ff4400e,0x0effffff,0x0005ffc8,
    0xf513ff62,0xff59ffff,0xffe8ffdf,0xeffe8efe,0x7ff406fe,0x77ffd405,
    0x54fddfff,0xfffddfff,0xffff507f,0xe87ffddd,0xccffffff,0x7fffe45f,
    0x7ec1ffff,0x2fffffff,0xbfb02fec,0xc800bfe2,0xffffffff,0x0fff45ff,
    0xfc837fcc,0x27ffc47f,0x03fffc40,0x07fc47fb,0x3fff29f9,0x6fffffff,
    0x3ff20ff5,0x00ff9804,0x02f32e60,0x7ffffff4,0xffffd5ff,0x000bffff,
    0xefa80000,0x36ff64fa,0x3fffea2f,0xffffffff,0x7fcc00ff,0x002fec01,
    0x3fe21ff2,0x01ff9805,0x0000bfe2,0x4c7fec00,0x45ff89ab,0x00004ffd,
    0xffa89ff9,0x3fffae4f,0x86ffecc5,0x04ffffd8,0x54027fec,0xf92effff,
    0x3ffffaa9,0x36201dff,0x2effffff,0x977ffec4,0xffd985fb,0xea80dfff,
    0xd80dffff,0x457f605f,0x3f2002ff,0xffffffff,0x80fff25f,0xffb84ffc,
    0x003ffe84,0x7ec09ffb,0xfc83fe23,0xffffff94,0x3eadffff,0x013ff607,
    0x00000066,0x00000000,0xefa80000,0x37bee1fd,0x3fdc002f,0x007fe600,
    0xfc800bfb,0x801ff907,0x3e201ff9,0x8000002f,0x3ee02ffb,0x000be63f,
    0x2203f700,0x44013100,0x44006600,0x00c4003c,0x00066660,0x4c006662,
    0x01310001,0x000004c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdfff3000,0x01ffff88,0x2003fdc0,0x7ec01ff9,
    0x83fe4005,0x7cc04ff8,0x2ffe201f,0x09999999,0xfffffff1,0x644fffff,
    0x0004e805,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4fff9800,0x001fffd8,0x26003fdc,0x2fec01ff,0xc81ff200,0x3fe600ff,
    0x3fffe201,0x12ffffff,0xffffffff,0x0000ffff,0x20000000,0x22008808,
    0x02620019,0x18028000,0xc8800220,0x20ae2004,0x99999999,0x00001999,
    0xeeee9800,0x4eeeeeee,0x0001cca8,0x880aa200,0x037620dd,0x99988033,
    0x33330999,0x33333333,0x3ba63333,0x00eeeeee,0x00000000,0x00000000,
    0x80000000,0xfa81fff8,0x7dc000ff,0x0ffcc007,0x90017f60,0x27fcc0ff,
    0x4403ff30,0xffffffff,0x000002ff,0x00000000,0xdf513ea0,0x37ffff60,
    0x09ff9102,0x5fa81fe0,0xfd70bf60,0xffb009ff,0x8fffe007,0xfffffff8,
    0x3ea7ffff,0x007ffa5f,0xf30dffc8,0xffffffff,0xfffd8bff,0x886e985f,
    0xffd03ffd,0xb8fff209,0x13ff63ff,0xffffffd8,0xfffffff4,0xffffffff,
    0x3ffffe6f,0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cc00000,0x20ffe22f,0x0fffeeee,
    0x13ffff22,0xff7037c0,0x6c3ffb0b,0x06ffeeff,0x003ffbe6,0x744ffff1,
    0xeeeeeeee,0x97fe66ee,0xf7001ffd,0xaaaa887f,0x5fdaaaaa,0x3ff77fea,
    0xf7037dc5,0xffffa87f,0x261ffa80,0xffff32ff,0x33332e03,0xddddd3cc,
    0xdddddddd,0x2eee2bdd,0x000bbbbb,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x3fea0ffb,
    0x8ffe2040,0x04ffdffc,0x89137419,0x3ff65ffb,0xf987fea1,0xf93fd03f,
    0x1fffd00b,0x9ff30000,0x5c007fec,0x320001ff,0xfa93fa5f,0x04fea9ef,
    0xff51ffcc,0x202201ff,0x3fffe608,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x2202fec5,0x747622ff,0xb2ffb84f,0xf70bfeab,0xd83ffbbf,
    0xa85fb83f,0x803ff15f,0x0000fff8,0x3f24ff88,0x0554400f,0xf97f2000,
    0x7fffd42f,0xaa8800ff,0x000fff60,0x0027fec0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88bfe200,0x7e64c2ff,0x827f404f,0xfddedfea,0xffff702e,
    0xf505ff03,0x7dc1fd0d,0x546ff806,0xaaaaaaaa,0x8ffe22aa,0x000007fc,
    0x1552fe40,0x03dffb30,0x00011000,0x00001980,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5fd8bfb0,0x067fffdc,0xea809fd0,0xfe802eff,0x907fd06f,
    0xe84fb8bf,0x8ffe603f,0xfffffff8,0x7fc7ffff,0x0001fee3,0x00575000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff507fd4,
    0xffba9881,0x5013fa06,0xd805dffd,0xfc85ffff,0x88ffe60e,0x0ff980ff,
    0x11bfee62,0xdddddddd,0x1cc8dddd,0x00000f26,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff100000,0x401ffc47,0x9fd00ffb,
    0x37b3fae0,0xffd82efd,0x7c45ffb9,0x45ffecff,0x97f603fc,0x000cfffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0x8037e45f,0x13fa07fe,0xaaf47bee,0x87ff62ff,0x7ec45ffb,
    0x26444fff,0x65c33220,0x0000001b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x307fdc00,0xdee883ff,0x3e63fffe,
    0x3fffffff,0x91c4dd0e,0x9ff703ff,0x00003310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x442c8800,
    0xffff884c,0x7ffcc2ef,0x203fffff,0x807a206f,0x000000eb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x98000000,0x00000999,0x00000ff0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_29_latin_ext_x[560]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,1,2,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
6,1,0,0,3,2,1,3,1,0,3,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,2,1,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-2,2,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,2,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_29_latin_ext_y[560]={ 21,0,0,2,-1,0,1,0,-1,-1,0,6,16,12,
16,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,24,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-3,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,21,6,-1,2,3,2,
-3,0,1,2,2,7,12,12,0,1,0,3,0,0,0,6,0,10,21,0,2,7,0,0,0,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,1,-1,6,6,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,5,3,0,0,0,1,0,0,1,
-2,1,-3,0,2,6,-3,0,-3,0,-3,0,-3,0,-3,0,2,0,-2,1,-3,0,-3,0,2,6,-3,0,-3,0,
-3,0,-3,0,2,0,-3,-4,2,0,-3,0,-2,1,-3,0,2,0,-3,6,2,0,-3,0,2,0,6,-3,-4,2,
0,0,0,2,0,2,0,-3,0,2,6,-3,0,-2,2,6,-2,1,-3,0,-3,0,2,6,-3,0,2,6,-3,0,
-3,0,-3,0,2,6,-3,0,2,2,-3,0,2,2,-3,0,-2,1,-3,0,-4,-1,-3,0,2,6,-3,0,-3,0,
-3,-3,0,-3,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-7,-4,-3,0,-3,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,6,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_29_latin_ext_w[560]={ 0,4,10,16,14,16,16,4,9,9,12,14,8,10,
6,13,14,14,13,12,16,12,14,14,14,14,6,8,12,14,13,10,16,16,13,14,14,12,12,15,14,12,11,13,
11,16,14,16,13,16,13,14,14,14,16,16,16,16,14,8,13,8,14,16,10,13,13,12,13,14,15,14,12,12,
12,14,12,14,12,14,13,13,13,12,14,12,15,16,16,15,12,11,4,11,16,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,4,12,14,14,16,
4,14,13,16,10,12,13,10,14,12,10,14,10,10,14,14,14,6,4,10,10,12,16,16,16,10,16,16,16,16,
16,16,17,14,14,14,14,14,14,14,14,14,15,15,16,16,16,16,16,12,16,15,15,15,15,16,13,13,14,14,
14,14,14,14,16,12,15,15,15,15,14,14,14,14,14,14,15,15,15,15,15,14,14,14,14,14,14,15,13,15,
16,14,16,14,17,14,15,15,15,14,15,14,15,14,16,19,15,15,14,15,14,15,14,15,13,14,14,15,15,15,
15,15,15,15,15,15,15,14,16,14,14,14,14,14,14,14,13,13,14,12,14,14,13,13,13,14,14,14,14,11,
12,19,18,14,17,14,12,15,14,14,12,15,14,14,14,12,16,15,16,15,16,16,16,16,16,15,13,13,16,15,
15,14,15,14,14,12,15,14,14,14,15,18,14,14,15,14,15,14,15,14,15,14,16,16,14,13,16,16,16,15,
16,15,14,15,14,15,14,11,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,16,14,17,16,18,17,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,12,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14, };
static unsigned short stb__consolas_29_latin_ext_h[560]={ 0,22,8,19,26,22,21,8,28,28,13,15,10,3,
6,25,20,19,19,20,19,20,20,19,20,19,16,20,17,8,17,22,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,25,19,20,19,20,19,19,19,19,19,27,25,27,10,3,7,16,22,16,22,16,21,21,21,21,
27,21,21,15,15,16,21,21,15,16,20,16,15,15,15,21,15,27,30,27,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,21,26,19,18,19,
30,25,6,20,14,13,7,3,14,6,11,18,13,13,7,21,25,6,5,13,14,13,21,21,21,21,24,24,24,24,
24,25,19,24,24,24,24,24,24,24,24,24,19,24,25,25,25,25,25,13,26,25,25,25,25,24,19,22,22,22,
22,22,21,23,16,20,22,22,22,21,21,21,21,20,22,21,22,22,22,22,21,16,22,22,22,22,21,27,27,26,
23,21,24,22,25,21,25,22,25,22,25,22,25,22,24,22,19,22,23,21,24,22,24,22,25,21,24,22,25,27,
25,27,25,27,25,27,24,25,19,21,24,21,23,20,24,21,25,27,24,15,20,27,25,27,25,27,15,24,25,25,
27,21,21,19,21,19,21,24,21,25,21,24,21,23,25,21,24,21,25,22,25,22,20,16,24,21,25,21,24,21,
25,22,25,22,24,20,25,22,25,25,24,22,19,20,25,22,24,21,25,22,26,23,25,22,25,21,24,21,24,27,
24,24,21,24,21,24,21,21,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,25,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,28,26,24,22,28,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,25,21,25,25,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19, };
static unsigned short stb__consolas_29_latin_ext_s[560]={ 510,505,276,427,384,95,152,506,57,28,200,
430,252,402,344,93,469,489,264,456,18,443,428,459,413,354,504,502,152,261,138,
453,147,310,327,276,383,95,234,303,295,341,291,369,398,410,444,353,52,474,66,
1,80,31,247,1,278,35,474,253,491,67,237,385,333,214,327,269,128,241,142,
158,246,218,76,440,370,387,297,282,17,31,310,228,46,256,371,354,337,126,324,
292,1,180,316,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,510,504,399,
219,123,108,6,47,351,336,460,493,302,402,445,372,226,108,482,178,287,173,78,
365,506,189,471,165,79,62,45,500,277,130,159,196,237,270,186,34,491,207,222,
294,393,347,301,192,170,176,63,80,97,114,253,213,335,31,1,47,442,457,125,
494,479,464,1,16,399,369,182,499,437,421,405,46,62,31,122,16,312,169,281,
265,249,233,184,199,203,188,173,158,284,262,133,368,384,77,213,32,235,299,351,
467,473,436,426,421,1,373,408,401,139,451,309,188,262,16,230,47,145,251,163,
112,287,164,367,304,335,205,395,237,1,458,61,92,442,107,324,385,378,137,17,
278,316,402,370,118,131,104,207,89,415,66,303,383,192,212,232,204,266,155,314,
254,327,489,342,362,355,339,411,427,425,383,190,142,318,63,319,165,97,470,221,
486,245,1,157,218,125,297,270,400,62,358,32,17,285,483,93,484,458,1,331,
231,412,80,352,354,173,388,428,204,474,259,17,221,49,81,111,114,96,147,455,
200,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,141,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,11,320,178,341,38,107,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,443,414,32,17,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,78,
78,78,78,78,78,78,78,78,78, };
static unsigned short stb__consolas_29_latin_ext_t[560]={ 1,1,215,176,1,109,132,58,1,1,215,
198,215,215,215,32,154,176,176,154,198,154,154,176,154,176,176,84,198,215,198,
109,1,176,176,154,176,198,176,154,176,176,154,176,176,176,176,154,198,1,198,
177,198,176,176,198,176,198,176,1,1,1,215,215,215,198,109,198,109,198,154,
154,154,154,1,132,132,198,198,198,155,154,198,198,176,198,198,198,198,154,198,
1,1,1,215,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,1,32,1,
176,198,176,1,32,215,154,198,198,215,215,198,215,215,198,198,215,215,154,32,
215,67,215,198,215,154,154,154,132,84,84,58,84,58,32,176,84,58,58,58,
84,58,58,58,58,176,58,58,58,58,58,32,215,1,58,58,58,32,58,176,
109,109,109,132,132,132,84,198,154,109,109,109,132,132,132,132,177,109,132,109,
109,109,109,132,198,109,109,109,109,132,1,1,1,84,132,84,109,32,132,32,
84,32,84,32,84,32,109,58,84,176,84,84,154,84,109,84,109,58,132,84,
109,32,1,32,1,32,1,32,1,84,32,176,132,58,132,84,154,58,132,58,
1,58,198,154,1,58,1,32,1,198,84,32,32,1,132,132,176,132,176,132,
58,132,32,132,58,132,84,32,132,58,132,32,109,32,109,154,198,84,132,32,
132,84,155,32,109,32,109,58,154,32,109,32,32,58,84,176,154,1,109,58,
154,1,109,1,84,32,109,1,154,58,154,84,1,84,84,154,84,154,84,132,
132,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,32,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,1,1,84,109,1,32,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,1,132,32,32,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176, };
static unsigned short stb__consolas_29_latin_ext_a[560]={ 255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_29_latin_ext(stb_fontchar font[STB_FONT_consolas_29_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_29_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_29_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_29_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_29_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_29_latin_ext_s[i] + stb__consolas_29_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_29_latin_ext_t[i] + stb__consolas_29_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_29_latin_ext_x[i];
            font[i].y0 = stb__consolas_29_latin_ext_y[i];
            font[i].x1 = stb__consolas_29_latin_ext_x[i] + stb__consolas_29_latin_ext_w[i];
            font[i].y1 = stb__consolas_29_latin_ext_y[i] + stb__consolas_29_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_29_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_29_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_29_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_29_latin_ext_s[i] + stb__consolas_29_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_29_latin_ext_t[i] + stb__consolas_29_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_29_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_29_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_29_latin_ext_x[i] + stb__consolas_29_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_29_latin_ext_y[i] + stb__consolas_29_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_29_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_29_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_29_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_29_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_29_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_29_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_29_latin_ext_LINE_SPACING
#endif

