// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_32_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_32_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT        276
#define STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_32_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_32_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_32_latin_ext_LINE_SPACING          21

static unsigned int stb__consolas_32_latin_ext_pixels[]={
    0x0264c993,0x101aaa80,0x20000000,0x0002fffb,0x00026000,0xccca8000,
    0x00004ccc,0x00000800,0x26000022,0x000000ff,0x02200000,0x00000260,
    0x99930000,0x32619999,0x100000ab,0x40000003,0x3b204ca9,0x000f6c43,
    0x00155530,0x54c00004,0x332a6001,0x00001acc,0xa801aa88,0x0026002a,
    0xf7000000,0x4003fdcf,0x5d103ffd,0x002ec000,0xb803bfee,0xd80001ff,
    0xd10002ff,0xffc807ff,0x200fffff,0x013f21ff,0x0007ff60,0x6ffff644,
    0x0df70002,0x3bff2000,0x0027fc41,0x3602ffd8,0x7f4402ff,0xfd10003f,
    0xffff707f,0x3fea3fff,0x20000cff,0x3f60eff8,0x004fffff,0x07fffe98,
    0x7dc1fff3,0xff50006f,0x3fa6003f,0x3fa0005f,0xfffea802,0x201fffff,
    0x437d47f9,0xfe803ff9,0x03ffb006,0x833ff6a0,0x42ffe849,0x01fee7fb,
    0x6c03dfb0,0xfc8002ff,0x9ff7001f,0x3fee17a6,0x7fcc0001,0xfe88006f,
    0x3f203fff,0x404ccccf,0x2ffcbefd,0x2fffcc00,0x6fffd400,0x8002fffd,
    0xc80003fe,0xff880dff,0xfff98004,0x0dfff507,0x1fffff44,0x3fffa200,
    0x66664c3f,0xfd931ffd,0x640009ff,0x3ff63fff,0x4004ffff,0x04dffff8,
    0xffa8fff1,0xdffa8005,0xb7ff1000,0x3fe0009f,0x77ffdc01,0x01ffeeee,
    0x7fe5f7fc,0x803ff984,0xff8806fe,0xfff9804f,0x1ffccfff,0x3ee17ff4,
    0x9801fee7,0xffe8802a,0x0fff2001,0xf90d5440,0x003ff709,0x05fff980,
    0x5c77f440,0x0ff903ff,0xfffff100,0xfff1000b,0xcffb800b,0x0017fdc0,
    0x80003ff3,0x3e203ffc,0xff98004f,0xdfff507f,0x2e3bfa20,0xfd1003ff,
    0x807ff71d,0xfe981ffa,0xff70001f,0x54ccc47f,0x7e4004ff,0x0b9800bf,
    0xd98003a8,0x1fcc003e,0xfa8800dd,0xfff300af,0x2a004c03,0x306fffff,
    0xdfd007ff,0x07fff100,0x3fa65f70,0xffe82fff,0xff73fdc2,0x059b7100,
    0x003ffe20,0x00013fea,0x3fee0bfe,0xefb80001,0x22f64001,0x7fc82ee9,
    0x59971000,0x06f5c000,0x405ff300,0x3ae006fc,0x6f540005,0x027fc401,
    0x202ffc80,0xbd901ffd,0xc802ee98,0x01774c5e,0x3ee03ff5,0xfb10003f,
    0x04ff880b,0x0003ff40,0x0aa20000,0x7c57e600,0xfffc8805,0x6c1fffff,
    0x100003ff,0x7cc03795,0x06fe803f,0x04007930,0xfe805dd4,0xf73fdc2f,
    0xfefe880f,0xbff3004f,0x006ff880,0x7fccca98,0x0003ff70,0x00000000,
    0x00001ff2,0xe8000000,0x01fe804f,0x00000000,0x80013fe2,0x00001000,
    0x2a000000,0x9ff101ff,0xf1000000,0x4ff8009f,0x20000000,0x001efffb,
    0x017ff7ec,0x3fffffea,0x7fc1ffff,0x00000007,0xfd007ff3,0x0000000d,
    0xb83ffb00,0x701fee7f,0xb003fc7f,0x7fe403ff,0x3ff62001,0xb81fffff,
    0x000001ff,0xf9000000,0x0000000f,0x1bee0000,0x00027e40,0xf1000000,
    0x0000009f,0x00000000,0x00ffd400,0x00000bfd,0x4009ff10,0x65c03ff8,
    0x0cca800c,0x3ee7be60,0x1cdb8006,0x4e7ffcc0,0x40b98dfb,0x88000ffe,
    0x2aa801aa,0xfd007ff3,0x9973100d,0x03551057,0x7fec5550,0xff73fdc1,
    0x1fa3fb80,0x306ff880,0x7cc009ff,0xfffeefff,0x98ffdc1f,0x9703dfdb,
    0x00599999,0x9bdfd930,0x3f219999,0xfec98007,0x0cccccde,0x37bfb260,
    0x740ccccc,0x0ff5002f,0xcdefec98,0x32e0cccc,0x0cca800c,0x65c09ff1,
    0x00664c3c,0x0ccb8995,0x440cca80,0xcccccccc,0x3fea00cc,0x8817fa01,
    0xcccccccc,0x3fe200cc,0x0ffe2004,0xf009ff70,0x21fb80ff,0x355100fd,
    0x7ec55500,0x9013f22f,0x98001bff,0x6fe803ff,0xfd007ff3,0x7ffec40d,
    0x262fffff,0x6fe803ff,0xff707ff6,0x3e203fdc,0x4004ffef,0xffd82ffb,
    0x7fff1000,0x1bfffe21,0xfff51ff7,0xffb0bfff,0x8009ffff,0xfffffffc,
    0xff91ffff,0xffffc800,0x1fffffff,0xffffff90,0x543fffff,0x98aa887f,
    0x3f207f88,0xffffffff,0x13fee1ff,0xff89ffe0,0x81dff904,0x3f201ffb,
    0x013fee0f,0x3fe61ffe,0xffffffff,0x807fea00,0x3fe605fe,0xffffffff,
    0x013fe200,0x4403ff88,0x7fcc07ff,0xfd1fd404,0x401ffcc0,0xb1ffe6fe,
    0xfff9807f,0x3fe6002e,0xf36fe803,0x0dfd007f,0x3bffffa6,0x3e63fffe,
    0x26fe803f,0x3fdc1ffd,0xb9100ff7,0xff10005b,0x005ff88b,0xdf70fff2,
    0x7fdc7ffd,0xfecbdffc,0x66665c4f,0x3f2004ff,0xffd989df,0x0ff90ccf,
    0x44effe40,0x0ccfffd9,0x989dffc8,0x20ccfffd,0x3ff624fd,0x01ff1fff,
    0xb313bff9,0x44199fff,0x7fcc07ff,0x2e13fe24,0xffb80eff,0x883ff201,
    0x7fcc07ff,0xccccc884,0x200ffecc,0x3fa01ffa,0x33332205,0x00ffeccc,
    0x88013fe2,0xffd803ff,0x007ff202,0x09fdbfd1,0x7401ffcc,0xf83ffe6f,
    0xfffa802f,0x7cc00bef,0x36fe803f,0xdfd007ff,0x03bfff30,0x1ffcc793,
    0xffb37f40,0x3ee7fb83,0x05555007,0xa83ffa00,0xff1002ff,0xff37fb0d,
    0x17fffdcd,0x8803ffa2,0xff1004ff,0x907ff20d,0x3fe200ff,0x203ff906,
    0xff906ff8,0x7f43ff03,0xff0fffcf,0x906ff883,0x3ff603ff,0x887ff202,
    0x77fdc4ff,0x403ff700,0x7fec0ffc,0x007ff202,0xa803ff20,0x17f601ff,
    0x00ffc800,0x88013fe2,0xff9801ff,0x401bfe05,0x4c03efd8,0x6fe803ff,
    0x1ff93ff6,0xffffb100,0x3fe6019f,0xf36fe803,0x0dfd007f,0x98009ffb,
    0x6fe803ff,0xff703ff2,0x7d403fdc,0xb8000fff,0x01ff62ff,0xff83ffb8,
    0x3ee1ffb1,0x7ff701ff,0x8027fc40,0xff302ffa,0x5007fc89,0x3fe605ff,
    0x205ff504,0x7fc44ff9,0x3ee1ff50,0xff50bfa7,0x413fe605,0x3fe05ff9,
    0xf727fc46,0x7fdc01df,0x303ff201,0x37fc0bff,0x00ffc800,0xfa807fea,
    0xff90000f,0x027fc401,0x7400ff70,0x3ffa80ff,0xff300000,0x4cdfd007,
    0x0ffbefff,0x7ffe4400,0x3ff983ff,0xff36fe80,0xa8dfd007,0xf98005ff,
    0x26fe803f,0x3fdc0ffc,0xffb00ff7,0xf30005ff,0x002ffc9f,0x7fa81ff9,
    0x7fdcffee,0x813fe202,0xf7004ff8,0x13fe203f,0x3ee00ff9,0x09ff101f,
    0x7c407fee,0xfb37d44f,0x5fd37e49,0xf101ffb8,0x07ff409f,0x3e21ffd4,
    0x01dff74f,0x3201ffb8,0x0ffe80ff,0x0003ffa8,0x7d401ff9,0x3bfe201f,
    0x7fe4001a,0x013fe200,0x009ff731,0x7ec1ffdc,0x76e5400f,0xf300ceef,
    0x8dfd007f,0x0ffffffa,0x3ffae000,0x01ffcc3f,0x3ff9b7f4,0x7f46fe80,
    0xff98001f,0x326fe803,0x03fdc0ff,0x5ffdff80,0x14ff8800,0x7ec00bff,
    0x3ea4fc87,0x803ff73f,0x3fe205ff,0x05ff7004,0xff90ffe6,0x40bfee00,
    0xff703ff9,0x70ffe605,0xd8bfe2bf,0xf707fa5f,0x0ffe605f,0xfd83ffb8,
    0x5e7fc40f,0xfb800eff,0x03ff201f,0x3f60ffee,0xff90000f,0x00ffd401,
    0x01ffff22,0x2200ffc8,0x3fee04ff,0x7c4002ef,0x02ffc46f,0x3ffffff2,
    0xff983fff,0x886fe803,0x0cfffffd,0x3fff2000,0x200ffe60,0x07ff36fe,
    0x6ff8dfd0,0x07ff3000,0x7fe4dfd0,0x4003fdc0,0x07fe9ffa,0x3e2bff00,
    0x1bfa004f,0x4ffa8bfa,0xff803ff7,0x013fe206,0xfd837fc4,0x803fe41f,
    0xffb06ff8,0x41bfe203,0xa7e41ffd,0x8ffa0ffa,0x37fc40ff,0x2201ffd8,
    0x2ffc46ff,0x7fff7fc4,0x03ff7000,0x7c407fe4,0x02ffc46f,0x401ff900,
    0xfb801ffa,0x3f2007ff,0x13fe200f,0x02efffb8,0x2a1ffd80,0x77e402ff,
    0xfffecabc,0x401ffcc1,0x3f6206fe,0x0003ffff,0xff98bff6,0xf36fe803,
    0x4dff007f,0x30005ff9,0xdfd007ff,0x3ee07fdc,0x77fd8007,0xff0005ff,
    0x800ffe6d,0x23fcc6ff,0x3ff74ff9,0x2206ff80,0x3f2004ff,0xffda9aef,
    0x2007fc84,0xda9aeffc,0x7fe404ff,0x4ffda9ae,0x8ff73fd8,0x203fe2ff,
    0xda9aeffc,0xffd804ff,0x220bfea1,0x05ffccff,0x6403ff70,0x3ffb00ff,
    0x00017fd4,0x7d401ff9,0x3bfe201f,0x3f20009a,0x13fe200f,0x0bff9310,
    0x364ffa80,0x2009807f,0x7fcc5ffb,0x406fe803,0x3fffedfd,0x47ff5000,
    0xfe803ff9,0xf009ff16,0x027fd4bf,0x803ff980,0x21fee6fe,0xff8007fb,
    0x000bff35,0x13fe6dff,0x7dc6ff80,0xfba7fcc5,0x13fe201f,0x2004ff88,
    0xfffffffd,0x00ff904f,0x7fffffec,0xffd804ff,0x04ffffff,0x99bf27fb,
    0x20ff11ff,0xfffffffd,0x9ff5004f,0xff883fec,0x7009ffb4,0x7fe403ff,
    0x6c9ff500,0x7e40007f,0x07fea00f,0x0000ffa8,0x7c401ff9,0x1fee004f,
    0x7c5ffa00,0xf880004f,0x01ffcc6f,0x3fa037f4,0x003fff52,0x7cc5ff70,
    0x26fe803f,0x7fd406ff,0x000ffee3,0x7401ffcc,0x2e1fee6f,0x7fd4007f,
    0x2001ffa2,0x09ff15ff,0x3fa3ffc0,0xfb9ffd43,0x0ffe601f,0x5004ff88,
    0x9bdb75ff,0x803fe403,0xdedbaffa,0xaffa801c,0x201cdedb,0x54df92fe,
    0x50bf50ff,0x9bdb75ff,0x17fe8003,0x3fe209ff,0x807ffd14,0x3f201ffb,
    0x45ffa00f,0x640004ff,0x3fea00ff,0x0017f201,0x2200ffc8,0x3e6004ff,
    0x7fdc001f,0x0001ffba,0xff98ffb0,0x406fe803,0x0ffee1ff,0x41fff100,
    0xfe803ff9,0xe80bff66,0x0ffee0ff,0x01ffcc00,0xfb8037f4,0x07fec007,
    0x44005ff9,0x017fe4ff,0x3fe27fe8,0xfb97fd40,0x07ff201f,0xb004ff88,
    0x3f2000bf,0x00bfb007,0x0005fd80,0xd9fee7fb,0x360bf67f,0x2e00005f,
    0x01ffbaff,0x7f449ff1,0x07fee03f,0x2e00ffc8,0x01ffbaff,0x007fe400,
    0x7f403ff5,0x3ff20005,0x013fe200,0x4003ff88,0x06fedff8,0x36666600,
    0x01ffcc7f,0xff1037f4,0xe9a7fd41,0xca999aac,0x7fcc3fff,0x266fe803,
    0xa889cfff,0x7fd44ffe,0x7ff30004,0x200dfd00,0x813267fb,0x27fcc5ff,
    0x745ff500,0x3ff6007f,0xff90df50,0x4c07fee3,0x7fc405ff,0x01ffd004,
    0x200ff900,0x20000ffe,0xc8000ffe,0xf53ff53f,0x01ff53ff,0x00001ffd,
    0x1bfb7fe2,0x7cc4ff88,0x3ff702ff,0x1007fe40,0x00dfdbff,0x401ff900,
    0x3fa01ffa,0x3ff20005,0x013fe200,0x8003ff88,0x003ffffd,0x3fffff22,
    0x7fcc7fff,0x206fe803,0x97fec7f9,0xfffffff9,0xf984ffff,0x46fe803f,
    0xfffffffb,0x5ff984ff,0x07ff3000,0x66d4dfd0,0xff73fdc0,0x3e0bfea0,
    0x3ff2007f,0x4007ff20,0x09fb4ffb,0x67fdcfff,0x1fff7309,0xffa99998,
    0xf901999d,0x999bddff,0x00ff9015,0x37bbfff2,0x3200accc,0xccdeefff,
    0x24fc80ac,0xffbdffff,0xfff902ff,0x15999bdd,0x7fffec00,0x213fe203,
    0xfb82fffa,0x03ff201f,0x07ffffb0,0x01ff9000,0xfd00ffd4,0x7fe4000b,
    0x3ea66660,0x201999df,0xa8003ff8,0x7000ffff,0xddddffff,0x3ff98fff,
    0x5026fe80,0x87ffd4df,0xffffffd8,0xff301cff,0x30dff007,0x5bfffffb,
    0x001bfe20,0x7c01ffcc,0x89fff16f,0x41fee7fb,0xffc80ffd,0x98dff002,
    0xff3004ff,0xfb83ff1f,0x3fffee3f,0x41efffff,0xfffffff9,0x881fffff,
    0xfffffffd,0x3fe44fff,0xffffd880,0x04ffffff,0xffffffb1,0xfb89ffff,
    0x2233f225,0x36202dfc,0xffffffff,0xff5004ff,0x7fc401ff,0x83fff704,
    0x3f201ffb,0x7ffd400f,0xfc80000f,0x07fea00f,0x20005fe8,0xfff30ffc,
    0xffffffff,0x0ffe203f,0x027ffc00,0xb02eff98,0x03ff98ff,0x9df36ff8,
    0xfffbdfb9,0x2666207f,0x09ff1001,0xf8809ff0,0x2ffe804f,0x04ff8800,
    0xfff34ff8,0x3ee7fb8b,0x2a0dff07,0xffa804ff,0x2007fe83,0x4c7feffd,
    0x7ffdc6ff,0x303effff,0xffffffff,0xd103ffff,0xfdb999ff,0x3fe49fff,
    0xccffe880,0x4ffffedc,0xcccffe88,0x24ffffed,0x200007fa,0xdcccffe8,
    0x004ffffe,0xf8809fff,0x3fff204f,0xc807fee1,0xfff800ff,0xff900004,
    0x00ffd401,0x64000bfd,0xffff30ff,0xffffffff,0x00ffe203,0x8007ffc0,
    0x3f601ffc,0x4027fc47,0xffff34ff,0x5fffffff,0x4004cc00,0x7fd406ff,
    0x802fe403,0xf0006ffa,0x3ffa80df,0xff70bff6,0x7fd43fdc,0x201ffe03,
    0x7ff707fe,0x3fffe200,0x2fffca9d,0x04c4ffdc,0x0bf90000,0xfa803ffa,
    0x401ff27f,0x3ea00ffe,0x00ffe87f,0xff89ffea,0xffd00001,0x03ffd401,
    0x0000fff8,0x3f600000,0x01fff007,0x01ff6000,0x7f403ff5,0x1ff60005,
    0x7fc40000,0x4ffb8003,0xb01ffa00,0x80dff0ff,0xd9713ffa,0x079dfffd,
    0x801ffa80,0x3fa02ffd,0x0bfe200f,0x00effe80,0x80bff604,0x404c0ffe,
    0x21fee7fb,0xfffffffd,0x201fffff,0x3fa02ffb,0xfff3000f,0x05ffffff,
    0x00003ff7,0xf301ff50,0x1ffb007f,0x3e601ff2,0x0ffd803f,0x3600ffe6,
    0x013f60ff,0x00ffe600,0xf7003ff6,0x4cc0009f,0x3fa00000,0x04ffb806,
    0x01bfa000,0x3e203ff5,0x3fa0004f,0x00099806,0x26002ffc,0x3a000fff,
    0xffd880ff,0x202ffd87,0x3fe00ffe,0x1ff20002,0x4e7ffcc0,0x03ffea88,
    0x5001ffcc,0x5379ffff,0xff987f95,0xfea889cf,0x9fee003f,0xffff87fb,
    0xffffffff,0x0dff104f,0x2005ff98,0xdefffffa,0x003ff700,0x209fd000,
    0xfe803ffb,0x2e01ff27,0x7fe803ff,0x7401ffdc,0x00ffcc7f,0x00ffee00,
    0xff301ffa,0x3ea0001f,0xf300001f,0xfff9809f,0xff300000,0x01ffa809,
    0x20007ff7,0x7d404ff9,0x7ff4001f,0x3fff7000,0x1dffc800,0x0fffff73,
    0x1139fff3,0xf807ffd5,0x3fa0001f,0x3ffee004,0x04ffffff,0x00bdffd0,
    0x3fffffa6,0xfb83ffff,0xffffffff,0x73fdc004,0xcdffa8ff,0xfccccccc,
    0x03ffb07f,0x2007ff90,0x80099dfb,0x00001ffb,0xff305ff8,0x3ff2203f,
    0x2601ff24,0xf9101fff,0x1fff989f,0xd09ff910,0x005403ff,0x2203fff3,
    0x3ee04ffc,0x320001ff,0x2098007f,0x200ffeb8,0x4001fffb,0x7ffdc41c,
    0x20ffd400,0x200ffeb8,0x7ffdc41c,0x003fe400,0xf816ffdc,0x003fffff,
    0xffffff88,0x707fbcff,0xffffffff,0x0ff9809f,0x00bfe000,0xfffffb10,
    0x75cc003b,0x7edc005f,0x00bcefff,0xbfffffb1,0x4ff70003,0x07fec7fb,
    0x320ffec0,0xfd1002ff,0x07fd005f,0x001ffb80,0xefffc800,0x77fffec0,
    0x46fffedc,0xeeeeeffc,0x77fffec0,0x06fffedc,0xb9dffffb,0x6c0dfffd,
    0xfdcbceff,0x7ffec01f,0xfffedcef,0xffffff86,0x27f40003,0x7f77e400,
    0xfff83fff,0xf8003fff,0xffffeeff,0x77777543,0xfffd51ff,0xefff809f,
    0x803ffffe,0xfd0004fe,0xfff8dfff,0x220001ef,0x71dffffd,0x7fec40ff,
    0x9801dfff,0x2a20004c,0x04c40002,0x40000000,0x13100018,0x27fb8000,
    0x037fc7fb,0x3ee4ffa8,0x7f44003f,0x03fe201f,0x003ff700,0xffb71000,
    0xfffff901,0xf907dfff,0x01ffffff,0xfffffff9,0xffc807df,0x3effffff,
    0xfffffc80,0xfc800cef,0xefffffff,0x3dffff03,0x05ff0000,0xfffff900,
    0x3fffe05f,0xffd0001e,0x703dffff,0x3fffffff,0x00bfffea,0x3ffffffa,
    0x05ff001e,0x3fff2200,0x00055547,0x00006600,0x00000262,0x00000000,
    0x00000000,0x80000000,0xa9fee7fb,0xff1003ff,0x80027d4f,0x2a200ef8,
    0x0aa98002,0x80000000,0x01aacba9,0x2aaaaaa6,0x565d4c02,0x5d4c001a,
    0x88001aac,0x30001aaa,0x80355975,0x00000aaa,0x4c000551,0x2a009bca,
    0x980000aa,0x2601abba,0x0aaaaaaa,0x98001351,0x2001abba,0x880002a8,
    0x000002a9,0x00000000,0x00000000,0x00000000,0x00000000,0x5cff7000,
    0x007ff27f,0x0061ffd8,0x00001300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x01fee7fb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22a98000,0x000002a9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x5000000a,0x55555555,0x07300355,0x2aaaaa60,0xaaaaaaaa,
    0x65cc400a,0x2aa20acc,0xaaaaaaaa,0xbd30002a,0x40000000,0x00200009,
    0x2600aa98,0x055542aa,0x2a006aa0,0xaa8802aa,0x0d554000,0x55446aa0,
    0x0009aaaa,0x009ffd10,0x31000000,0x20000001,0x3ff22ffc,0x3fff3001,
    0x000f7fdc,0x001bffd1,0xfe880000,0x333100df,0x40033333,0x3ff21ffd,
    0x50022001,0xff3001bd,0x20006fa8,0x7ed402ff,0x3a1260cf,0xffffffff,
    0x7fe405ff,0xffffc800,0xffffffff,0xffb101ff,0x29ffffff,0xfffffff9,
    0x0006ffff,0x3e6009f9,0x2002fdc7,0x4c001ffd,0xfc805ffe,0x3fff101f,
    0x202fffc4,0x7fd405fe,0x7fd400ff,0x3ffe2003,0xfaaff406,0xefffffff,
    0x3ffa2002,0xfb5004ff,0x8024c19f,0x5fffffeb,0x7ff6dc40,0x3204ffff,
    0x01ffecff,0x541dfd10,0x22000dff,0xff983ffe,0xe8800002,0x7fe403ff,
    0x01ffffff,0x3fb3ff20,0x3ff2001f,0x0bfff101,0x3f2fbfe0,0x3fe0004f,
    0x3fffe601,0x41ffccff,0xfffffffe,0x7e405fff,0xfffc800f,0xffffffff,
    0xffa81fff,0xfffeefff,0xffffff35,0x00dfffff,0x4400bfe0,0x3ffcbdff,
    0x13ffe200,0xfdbff880,0x80ffe404,0x7fc42ffd,0x17fa01ff,0x05ffffb0,
    0x2003ffa8,0x202ffff8,0xffff55fe,0x09ffffff,0xf51bff30,0xfff980bf,
    0x1ffccfff,0x7fffff40,0x3ff205ff,0xffffffff,0x77ffdc04,0x1dfd1001,
    0x20027fd4,0x3a01efe8,0x4400005f,0xeb801efe,0x0eeeeeee,0x77ffdc00,
    0x3ffe2000,0x0dfff105,0x3ffffea0,0x3fe60006,0x74cbee00,0xfe82ffff,
    0xffc80007,0x3ff20000,0x9fff7001,0x64099303,0xa98001ff,0x4007fccc,
    0x05fffffa,0x01fffc40,0x03747f30,0x3f207ff2,0xffff884f,0xf017fa06,
    0xa80bffbf,0x3e2003ff,0x3fa06fff,0xca87ff55,0x55401fff,0x700d5442,
    0x3fffa65f,0x67fe402f,0xffd80cc1,0xfa9affff,0x0aa9804f,0x502aa600,
    0x55300055,0x00ffa801,0x02aa6000,0x50000000,0xff000155,0x0ffe409f,
    0x03795100,0x807fa800,0xd00bba80,0xf90000ff,0x7e40001f,0xfff8801f,
    0x7fe40002,0x3ff62001,0x001fffff,0x000de544,0x4c003c98,0xc80bf15f,
    0x2ffd41ff,0x2ffeff88,0x7d40bfd0,0x5407fe9f,0x3e2003ff,0xfd01ffef,
    0x6c0ffeab,0x000004ff,0x00bba808,0x5c005ff8,0x1fffffff,0x00009ff1,
    0x00000000,0x0009ff00,0x00000000,0x26000000,0x0000803c,0x6fb80000,
    0x3fa00000,0xcccc8007,0xcccccffe,0x7fe400cc,0x03ffc801,0x01ffc800,
    0xddffff30,0x0003ffff,0x80000000,0x402ffefd,0x3fe61ffc,0xd7ff100e,
    0x817fa0df,0x05ff77fd,0x1001ffd4,0x20bff7ff,0x07ff55fe,0x4c017fea,
    0x01acccca,0x7fc40000,0x7fff4005,0xff11ffff,0xccca9809,0x953001ac,
    0x26000159,0x01acccca,0x20000ff9,0x02bccb98,0x01599530,0x332e6200,
    0x0000002b,0x2b32a600,0x7fedc000,0x4c00deff,0x3a00acca,0xfff8007f,
    0xffffffff,0x7e400fff,0x37fcc01f,0x1ffc8000,0x0bfff880,0x00dffff1,
    0x56665cc4,0x99731000,0x36e00159,0x1ffc801c,0x4401ffd1,0x82ffabff,
    0x57fe05fe,0x3ea05ff9,0x3fe2003f,0xfe81ffcb,0x2207ff55,0x7f5405ff,
    0x1fffffff,0x00555500,0x8800fffc,0xffffffff,0x2a09ff11,0xfffffffe,
    0x3ff6201f,0x000effff,0xffffffd5,0x5ff103ff,0x7fec4000,0x02ffffff,
    0xffffffb1,0x3f62001d,0x2fffffff,0x55555544,0x2a2aaaaa,0xffb1006e,
    0x801dffff,0xffffffe9,0xffb100ff,0xd01dffff,0x999000ff,0x9999ffd9,
    0xfc801999,0x1ffd401f,0x1ffc8000,0x5c3ffc80,0x403ffeef,0xffffffd8,
    0x3f6204ff,0x4fffffff,0x802aaa80,0x3ffb1ffc,0xfd3ff880,0x2a0bfd0d,
    0x81ffa2ff,0x22003ffa,0x85ff8bff,0x07ff55fe,0xfb813fea,0xfeeeeeff,
    0xfffa801f,0xfff7000f,0xffff3007,0x3e23ffff,0xefffb84f,0x01ffeeee,
    0xfddffff3,0xfb803dff,0xfeeeeeff,0x00dfb01f,0x3ffffa60,0x983fffee,
    0xffeeffff,0x7f4c01ef,0xfffeefff,0x7ffffcc3,0x26ffffff,0xff9807fa,
    0xefffeeff,0x5bfff301,0x301d79fd,0xffddffff,0x07fe83df,0x00ffc800,
    0x007ff200,0x00003ff9,0xf1007ff2,0xf37fb0df,0x7ffd40df,0x5fffeeff,
    0xdfffff50,0xa80bfffd,0x6400ffff,0x02ffb9ff,0xff73ff88,0xfb05fe87,
    0x817fe41f,0x22003ffa,0x81ffb3ff,0x07ff55fe,0x2603ffd1,0x02601fff,
    0x0bffff60,0x77fffe40,0x3fffe201,0xff11ffff,0x01fff989,0x3ffe2026,
    0x1fff620b,0x201fff98,0x03ff5009,0x1dfff980,0x7fc43c98,0x3ff620bf,
    0x37ffe607,0x7cc3c981,0xffffffff,0x03fee6ff,0x20bfff88,0xfd07ffd8,
    0x1017fc7f,0x6c417fff,0x77ff47ff,0x2eeeeeee,0x0007fe40,0xd803ff90,
    0xaaaa80ff,0x3ff202aa,0x41ffdc01,0x01ffb1ff,0x3039fff7,0x9fff7099,
    0xd8099303,0x6402ffff,0x004ffbff,0x3ff47ff1,0x2ffc17fa,0x7d413fe6,
    0x3fe2003f,0xfe89ff33,0x5559ff55,0x6c07fff9,0xf00003ff,0xb00bffbf,
    0x9fffd9ff,0x3ffffe01,0x9ff11fff,0x0003ffd8,0x7ec07ff9,0x07ffb03f,
    0x005fe800,0x40027fec,0x3f603ffc,0x09ffb03f,0x07ff2000,0x3200ffb8,
    0x3ff603ff,0xf127fd43,0x1ffe401f,0x7f47ffb0,0xffffffff,0x07fe402f,
    0x03ff9000,0xff887fe8,0x3206ffff,0x7fe401ff,0xff73fd40,0x02fff887,
    0x02fff880,0xffdff800,0x7fffe405,0x7ff1000f,0xbfd1ffd4,0xff05ff50,
    0x00ffea0f,0x3f63ff88,0x7d57fa0f,0xefffffff,0x003ffc02,0xfe9ffa80,
    0x71ffcc07,0xf901dfff,0x23ffffff,0x3ffc4ff8,0x06ff8800,0xff837fc4,
    0xffb80007,0x0bff5000,0x80dff100,0xffa86ff8,0x3f200005,0x03fee01f,
    0x22037fc4,0x07fe46ff,0x7fc40ff3,0xd37fc406,0x999999ff,0xffc80399,
    0x3ff20000,0x443ff401,0x06ffffff,0xfb007ff2,0x7d49f90f,0x01ffe43f,
    0x003ffc80,0xfe9ffa80,0x7e7fe407,0x7ff1006f,0xbfd0ffe8,0xf901ffb0,
    0x07ff505f,0xf51ffc40,0xfaaff47f,0x0effffff,0x000ffe80,0xff77fd80,
    0x443fe405,0xfe80fffd,0xf11fffff,0x00ffe89f,0x803ffb80,0xffe81ffe,
    0x7fc40000,0x03ffd003,0x007ff700,0xffe83ffd,0x3f200001,0x03fee01f,
    0x7401ffdc,0x51ffa1ff,0x1ffdc0df,0xfe8fff40,0xffc80007,0x3ff20000,
    0x007fec01,0xff9037fc,0xe86fe803,0x993fea2f,0xf30006ff,0x360000df,
    0x405ff77f,0x4ffc9ffc,0x543ff880,0xf0bfd4ff,0x13fea0df,0x8800ffea,
    0x87ff43ff,0x47ff55fe,0x6400fffa,0x40000dff,0x0bff35ff,0xff903fec,
    0xffff910b,0x913fe23f,0xc8001bff,0xffb800ff,0x00dffc82,0x803fe400,
    0xf90006ff,0x5ff7001f,0x00006ff8,0xf700ffe4,0x03ff203f,0xff8bfee0,
    0xf902fdc6,0x5ff7001f,0x20001ffa,0x20000ffc,0x7e401ffc,0x06ff801f,
    0xff007ff2,0x7cc7f98d,0x00ffea4f,0x001ffd40,0xff35ff80,0xe8ffe40b,
    0x7fc403ff,0xfe8ffe83,0xf01ffd45,0x07ff50ff,0x2a1ffc40,0x2abfd3ff,
    0x2ffd43ff,0x0bbffe60,0xd17fd400,0x0ffe40ff,0x2603ffb0,0xff11fedc,
    0x2efff989,0x401ff600,0xff983ffa,0x260002ef,0x7fcc02ff,0x0ffb0005,
    0xf98ffea0,0x6400005f,0x3ff201ff,0x200ffb01,0x1ffe3ffa,0x3fec09f9,
    0xfd3ffa80,0xff90000f,0x7fe40001,0x01ffdc01,0xff9037fc,0x5c6ff803,
    0x927fcc5f,0x320003ff,0xa80001ff,0x81ffa2ff,0xfff11ffc,0x41ffc403,
    0x45febffa,0xfffffffd,0x541fffff,0x3e2003ff,0xfd6fe83f,0x360ffeab,
    0x7fd401ff,0x2000beff,0x3ff20ffd,0x01dff302,0x2000bfea,0xffa84ff8,
    0x7400beff,0x9ff3006f,0x3bfffea0,0x5fe8000b,0x0027fd40,0xf3006fe8,
    0x027fd49f,0x07ff2000,0xfd01ffc8,0x93fe600d,0x0ff61ffe,0xf3006fe8,
    0x001ffa9f,0x0003ff20,0x4c01ffc8,0x6ff806ff,0xf007ff20,0x543fe8ff,
    0x03ff63ff,0x8aaaaaaa,0xaaa80ffd,0xffb02aaa,0xc817fe41,0x3bfea1ff,
    0x207ff100,0x7c5feffd,0xffffffff,0x7d44ffff,0x3fe2003f,0xfeaffb83,
    0xf307ff55,0xffb100bf,0xf0019fff,0x04ff98bf,0x2607bff2,0xf88002ff,
    0xfffb104f,0x3fe019ff,0x0bff3006,0x7ffffec4,0x3fea000c,0x00ffee01,
    0x98037fc0,0x0ffee5ff,0x3ff90000,0xf80ffe40,0xbff3006f,0x5fd1ffe4,
    0x98037fc0,0x00ffd5ff,0x005ff700,0x400ffe40,0x7fc02ffd,0x007ff206,
    0x07fc4ffd,0x7fe8bfea,0xffffff88,0x3e21ffa6,0xf06fffff,0x04ff98bf,
    0xffc83ff9,0x207ff105,0x2a5ffff9,0xcccccdff,0x547ffccc,0x3e2003ff,
    0xfdbff03f,0x740ffeab,0xf91001ff,0x5407ffff,0x07ff82ff,0x3627ffe4,
    0xf88000ff,0x7fe4404f,0x6ff83fff,0x009ff300,0x7fffff91,0x7027fc00,
    0x3e0007ff,0x9ff3006f,0x0001ffdc,0xc807ff20,0x0dff02ff,0xf993fe60,
    0x403ff2ff,0xff3006ff,0x0001ffa9,0x80017fea,0xf9801ffc,0x1bfe03ff,
    0x6c01ffc8,0x90df50ff,0x43ff43ff,0x6ffffff8,0x3fe21ffa,0xfa86ffff,
    0x907ff82f,0x9ffb03ff,0x6c07ff10,0x3ff65fff,0x21ffd800,0x22003ffa,
    0xfff703ff,0x40ffeabf,0xb8005ffa,0xfb03fffe,0x05ff901f,0xcaefffa8,
    0xf10004ff,0x7f5c009f,0x03ffc3ff,0x4003ff98,0x003fffeb,0x3ea01ff7,
    0xfff0004f,0xa8ffe600,0x400004ff,0x3f201ffc,0x00fff02f,0xffb0ffe6,
    0x9311ff9f,0x9803ffc1,0x55ffd3ff,0x03555555,0x8bdfff88,0x7e400b99,
    0xfff9001f,0xff73357b,0x36aaaa2d,0x42aaabff,0x09fb4ffb,0x0ffd8fff,
    0x3f66ff80,0x86ff800f,0xffc80ffd,0x881ffc82,0x7fc42fff,0x97ffe603,
    0xff5006ff,0x556ffd49,0x10aaaaaa,0x3fe207ff,0x07ff55ff,0x8000fff4,
    0xff80fffc,0x009ff506,0xbfffffb1,0x27fc4000,0x07ffe400,0x3ea00ffd,
    0xff90002f,0x7ff1001f,0x0017fe60,0xfa803ff4,0x017fe62f,0x03ff9000,
    0xfe817fec,0x05ff5007,0xfffffffb,0x03ff41ff,0xffd2ffa8,0xffffffff,
    0xffff500b,0xc801ffff,0x3ea001ff,0xffffffff,0xfffff36f,0x8dffffff,
    0x1ff8fff9,0x3f21ffdc,0x26ff801f,0xff801ffc,0xf506ff86,0x03ff909f,
    0xf883ffe6,0xaffec03f,0xf1003ffa,0x7fffd4ff,0x2fffffff,0x7e407ff1,
    0x07ff55ff,0x0002ffd4,0xffa85ffb,0x801ffe03,0x0007ffe9,0x80027fc4,
    0x3ff62ffd,0x01ffc801,0x00bff600,0xff8837ec,0x3ffb0006,0x443ff900,
    0x400006ff,0x3f601ffc,0x03ffb02f,0x2e03ff90,0xdefffffe,0x2007ff60,
    0xfffd1ffc,0xbfffffff,0x3fff6600,0x7e400eff,0x7644001f,0x0befffff,
    0xfffffff3,0xfb0dffff,0xff98ffdf,0x803ffb86,0x0ffee6ff,0xff51bfe0,
    0x643ffc07,0x3fee01ff,0x300ffe26,0x07ff2bff,0xf51ffd80,0xffffffff,
    0x0ffe25ff,0xf55fff88,0x0fff807f,0x87ff5000,0xfffffffd,0x001fffff,
    0x00027fec,0x20007ff3,0x3fee3ffa,0x007ff803,0x801ffd40,0xffd02ff9,
    0x7ff70005,0xfd0fff00,0x6400005f,0x3ff601ff,0x007ff702,0xdf900fff,
    0x01ffdc03,0xf1003ffc,0x3310005f,0x00000001,0x44000333,0xfff883fe,
    0xfffca9df,0x806ff982,0x1bfe66ff,0xffb1bfe0,0xffffffff,0x000003ff,
    0x004ff800,0x000bfa20,0x00000000,0x3fee0000,0x7fffffc2,0x4fffffff,
    0x006ff800,0x0007fea0,0xff117fdc,0x03ffa80d,0x017fdc00,0x3ea0bfd0,
    0xff88006f,0x41ffd406,0x00006ffa,0xfd807ff2,0x0dff103f,0xd803ffa8,
    0x37fc404f,0x800ffea0,0x4cc003fe,0x01330000,0x0004cc00,0xf9813f60,
    0xffffffff,0x00bff602,0x2ffd8dff,0x3fe37fc0,0xffffffff,0x33004fff,
    0x7c400001,0x3fa0003f,0x00099804,0x30001330,0x44000013,0x3fea0fff,
    0xcccccccd,0x44007ffc,0x360005ff,0xf88000ff,0x2ffe40ff,0x0007ff98,
    0x0007ffc4,0x3fa01ff7,0x320400ef,0xfff305ff,0x0077ff40,0x07ff2002,
    0x3201aaa8,0xfff305ff,0x200ffa00,0xff305ffc,0x07fd400f,0x003ff500,
    0x0003ff50,0x80007fea,0x7d401ff9,0x00deffff,0xf01fffcc,0x3fff98df,
    0xffa9bfe0,0xcccccccd,0xfa807ffc,0x3200001f,0xf50001ff,0x1ffa801f,
    0x01ffa800,0x400ffd40,0x999aace9,0x6c3fffca,0xffd800ff,0x7ec40221,
    0x30bb203f,0xce989ffb,0xfca999aa,0xfff983ff,0xfffca9be,0x3559d302,
    0x7fff9533,0x209ff000,0x9bcffffa,0x7cc3fcaa,0xfca9beff,0x3fea02ff,
    0xcaa9bcff,0x1ffc803f,0xfff98000,0xfffca9be,0x003ff002,0x537dfff3,
    0x4005fff9,0x32001ffb,0xff90007f,0x03fe4000,0x00bfea00,0x00133bf7,
    0xabdfffc8,0xc86ffb99,0x99abdfff,0x3ff66ffb,0x01ffd800,0x80003fe4,
    0x0006ffc9,0xf9007fea,0x1ff2000f,0x401ff200,0xfffffff9,0xff84ffff,
    0x49ff5006,0xffdcdff9,0x3fe605ff,0xffffeeff,0x7ffffcc0,0x04ffffff,
    0x3fffffa2,0x3e602fff,0xffffffff,0xf90004ff,0x7fff4c0f,0x83ffffff,
    0xffffffe8,0xfe9802ff,0xffffffff,0x6d555443,0x02aaabff,0xffffd100,
    0x2005ffff,0xd1000ff8,0xffffffff,0xfff88005,0x04fe803e,0x0009fd00,
    0x400027f4,0xfd04effe,0xffa80007,0xffffffff,0xfffff506,0x7cdfffff,
    0x9ff5006f,0x0004fe80,0x01ffffb8,0x1f7ffc00,0xd0004fe8,0x9fd0009f,
    0x3fff6200,0x81cfffff,0xf1003ffa,0x7fffccff,0x9804ffff,0xcffffffe,
    0xffffd880,0x801cffff,0xdefffec8,0x7ffec400,0x01cfffff,0x00bfe200,
    0x9dffffb7,0x3fb22017,0x4000deff,0xceffffdb,0x7fffcc0b,0x6fffffff,
    0x3fb22000,0x2000deff,0x644007f9,0x00defffe,0x07fd9300,0x20005ff0,
    0x3e0002ff,0xc980002f,0x0ff885fe,0xfec88000,0x00beffff,0x3ffffb22,
    0x7ff50bef,0x01ffe200,0x700005ff,0x00001dff,0x3e09fd93,0x5ff0002f,
    0x005ff000,0x00333310,0x6c003ff9,0x332e61ff,0xa98002bc,0x31000acc,
    0x30000333,0x26620001,0x54000019,0x0062001a,0x00000980,0xfff30031,
    0xffffffff,0x04c0000d,0x006fa800,0x000004c0,0x00154400,0x20002a88,
    0x000002a8,0x0000aa20,0x0000ccc0,0x3ff20333,0x07ff6001,0x80001544,
    0x000001a9,0x80015440,0xa88002a8,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00fffa20,0x00000000,0x009fff30,0x07ffd100,
    0x88000000,0x64004ffe,0x000002ee,0x013ffe60,0xbffd1000,0x3ffa2001,
    0x4ccc4004,0x20019999,0x3ee1fff9,0x011001ef,0x3bba6000,0x06620002,
    0x3db05d90,0x00011000,0x41764000,0xe88001ed,0xa9800dff,0x00000acc,
    0x10000000,0x80009ffd,0x200dffe8,0x3fe64ffa,0xb05d9004,0x0ef5c03d,
    0x3ffffa60,0x547f9804,0x23fcc06f,0x362006fa,0x260003ff,0x004ffffe,
    0x037ffa20,0x7ffff440,0xffffb004,0x3ff6a007,0xb101260c,0x200007ff,
    0x2003ffe8,0x04ffffe8,0x3fffff20,0xe8801fff,0x37fea0ef,0x03ff9000,
    0x1fff9800,0xffff7000,0x51ffe60f,0xfc800dff,0xfd80001f,0xa8fff306,
    0x744006ff,0xfd8803ff,0x00efffff,0x419ffb50,0x51fe6049,0xffd100df,
    0x220009ff,0xf3003ffe,0x009ff9df,0xff51ffe6,0x1bffea0d,0xfa8dff98,
    0xbeff804f,0xff804ffc,0x004ffcbe,0x8003ffb8,0xffa8dff9,0xffe88004,
    0x37fe6003,0x2205ffa8,0x3ffc9efe,0x7ffffcc0,0x801ffccf,0x40003ffb,
    0x2001efe8,0xffa8dff9,0xdddd7005,0x8801dddd,0x3fea0efe,0x3ffe2004,
    0x3fe60005,0xffb0000d,0x7fc0ffff,0x0027fc45,0x000bfff1,0x3e03ff88,
    0x027fc45f,0x003dfd10,0xffdffff3,0xf9803dff,0xfccfffff,0x2fbfe01f,
    0x7cc04ffc,0x05ffa8df,0x00f7f440,0x0ffffa60,0xf88bff00,0xffff704f,
    0x510aaa01,0xfffa8015,0xff5006ff,0x4000dfff,0x54000aa9,0x0055442a,
    0x003ffd10,0x55442aa8,0x54199701,0x4bee01cc,0x02ffffe9,0x0002aa60,
    0x4000aa98,0x0d5442aa,0xa9800000,0x0015540a,0x00027ffc,0x54000555,
    0x0299beff,0x001440a2,0x00027ffc,0x05101ff2,0x553000a2,0x7fff1001,
    0x03ffecc1,0x7ff4cbee,0x7fd402ff,0xaa806fff,0x000d5442,0x20001553,
    0x88001aa8,0x7cc05102,0x000006ff,0x001bca88,0x000de544,0x00000000,
    0x361bd900,0x0000003f,0xba808000,0x0000000b,0x00000000,0x00000000,
    0x00793000,0xfd000000,0x0000001f,0x0003c980,0x00004ff8,0x7e400000,
    0x0fff603f,0x01775010,0x006f2a20,0x00000000,0x00000000,0x800cda80,
    0x02bccb98,0x00000000,0x5400d544,0xcb98802a,0x20000acc,0x55400ff8,
    0xaaaaaaaa,0x000ffdc1,0x53000000,0x30001599,0x00015995,0x80159953,
    0xaa801aa8,0x2006aa22,0x000002aa,0x7fffffec,0xbff10004,0x332a6000,
    0x0000000a,0x4407fd40,0x2aa801aa,0x2a006aa2,0x01bfe22a,0x0000dff1,
    0x55100000,0xa8555003,0x0d5401aa,0x55555544,0x55510009,0x55555555,
    0xfd880005,0x2fffffff,0xaaaaaaa8,0xa801aaaa,0xff3002aa,0x40dfd007,
    0xffffffd8,0xf50004ff,0xffffd00d,0xb8bfffff,0x550001ff,0x01aa8035,
    0xffffffb1,0xffb1001d,0x001dffff,0xffffffb1,0x0ffe601d,0xff99bfa0,
    0x506fe803,0x55555555,0xfb035555,0x009fffff,0x000ffea0,0xffffffb1,
    0xaaaa801d,0x1aaaaaaa,0x4c17fa00,0x6fe803ff,0x3a00ffe6,0x00ffee6f,
    0x2a207ffa,0xaaaaaaaa,0x555442aa,0xaaaaaaaa,0x200ffe62,0x3ffe26fe,
    0x542ff406,0xffffffff,0x7ffcc02e,0xffffffff,0x3fa60006,0xfffeefff,
    0xfffffe83,0x405fffff,0x800ffffa,0xfe803ff9,0xfffff506,0x00bfffdd,
    0x9fffdb73,0xfffffd00,0xfb8bffff,0xff88001f,0x42ff406f,0xfeeffff9,
    0x3e601eff,0xfffeefff,0x3ffe601e,0x1efffeef,0xe803ff98,0x00ffe66f,
    0x7ffc1bfa,0xffffffff,0x999884ff,0x70004ffa,0x7cc003ff,0xfffeefff,
    0x3fffa01e,0x5fffffff,0x205ff300,0xfe803ff9,0x200ffe66,0x03ff26fe,
    0x260bfee0,0xffffffff,0x7fcc6fff,0xffffffff,0x00ffe66f,0xfff89bfa,
    0x217fa02f,0xfffffffa,0x3e604fff,0xffffffff,0xf30006ff,0x79303bff,
    0xffffffd0,0xd80bffff,0x9802ffff,0x6fe803ff,0x81cfffb8,0x7fdc04c9,
    0x01ffffff,0x717fe200,0xf10003ff,0x7f405fff,0x05fffc45,0x220fffb1,
    0x3620bfff,0xfff107ff,0x3ffec417,0x7401ffcc,0x00ffe66f,0x7ffc1bfa,
    0xffffffff,0xff8804ff,0x1ff90004,0x2fffe200,0x81fff620,0xfffffffe,
    0xf9005fff,0x01ffcc0d,0x7ff337f4,0x7ecdfd00,0x07ff5007,0xfffffff3,
    0xf98dffff,0xffffffff,0x0ffe66ff,0xff89bfa0,0x17fa06ff,0xf950ffea,
    0x7e4003ff,0xfb00001f,0x3fa0009f,0xdff80007,0xff9805ff,0x446fe803,
    0x40002fff,0xfdaceffd,0x10001fff,0x1ffb8bff,0xffff8800,0xf917fa06,
    0x1ffec07f,0xfb01ffe4,0x07ff907f,0x3e61ffec,0x26fe803f,0xfe803ff9,
    0x33333306,0x1fff3333,0x009ff100,0xc801ffa0,0x3ff603ff,0x000ffd03,
    0x980ffe20,0x6fe803ff,0x3a00ffe6,0x401bfa6f,0xf9004ff9,0xff90003f,
    0x01ffcc03,0xdff137f4,0x17fa03ff,0x7ec0ffea,0x3ff2004f,0xffa80001,
    0x1ffa0005,0xd3ff5000,0x7ff300ff,0xfc8dfd00,0x7cc0003f,0x7fefec5f,
    0xff88000f,0x000ffdc5,0x0fff7fc4,0x3fe25fe8,0x237fc406,0x7c406ff8,
    0x037fc46f,0xff31bfe2,0x4cdfd007,0x6fe803ff,0x0fff6000,0x4027fc40,
    0xfff99998,0xf8819999,0x37fc406f,0x00007fe8,0x7cc01ff7,0x26fe803f,
    0xfe803ff9,0x4c01bfe6,0xff9005ff,0x3ff90003,0x401ffcc0,0x2ffe26fe,
    0x0bfd05ff,0x3ea07ff5,0x3ff2005f,0xffe80001,0x1ffa0001,0x2effb000,
    0x7fcc02ff,0x266fe803,0xe80006ff,0x5c7fc47f,0xf88002ff,0x98ffdc5f,
    0xf103dfed,0x3a0bff7f,0x00ffee5f,0xffb87ffa,0x21ffe803,0xfe803ffb,
    0x00ffe61f,0x3ff99bfa,0x0006fe80,0x4400dff5,0xffe804ff,0xffffffff,
    0x03ffb87f,0xfe81ffe8,0x9fd00007,0x803ff980,0x0ffe66fe,0x6ff9bfa0,
    0x009ff300,0x20007ff2,0x3e601ffc,0x26fe803f,0x1ffcbff8,0xffa85fe8,
    0x00bff103,0xc800ffe4,0x037fc1ef,0x001ffa00,0x3fe6bff0,0x01ffcc05,
    0x7ff537f4,0x4ff88000,0x09ff37dc,0xb8bff100,0xffffc8ff,0xbff885ff,
    0x5fe81ffc,0x2e003ff2,0x03ff22ff,0xfc8bfee0,0x2ffb800f,0x3a00ffe6,
    0x00ffe66f,0x22001bfa,0x22000fff,0xffe804ff,0xffffffff,0x00ffc87f,
    0xfe82ffb8,0xffa80007,0x01ffcc01,0x7ff337f4,0x7fcdfd00,0x07ff3007,
    0x0007ff20,0xf9807ff2,0x26fe803f,0x5ff8bff8,0xffa85fe8,0x009ff503,
    0x5400ffe4,0x3fe66fff,0x3ff40005,0x45ff5000,0x7fcc07fe,0x326fe803,
    0x4c0001ff,0xd1fec2ff,0xff1000df,0xffdffb8b,0x42fffdad,0x5ff8bff8,
    0x1ff65fe8,0xfb1ffd40,0x8ffea00f,0xff5007fd,0x401ffcc7,0x0ffe66fe,
    0x2001bfa0,0x44003ffc,0xfa8004ff,0x0ffb003f,0x3a0ffea0,0xfd80007f,
    0x03ff9806,0x3fe66fe8,0x3a6fe803,0x5ff5007f,0x007ff200,0x9807ff20,
    0x6fe803ff,0x7fecffe2,0x7d42ff40,0x1ffe883f,0x007ff200,0x547fffea,
    0x740004ff,0x3f60007f,0x80bff20f,0xfe803ff9,0x2a03ff66,0xb82aaaaa,
    0x83fe21ff,0xf88007fc,0x7fffdc5f,0x2237fcc1,0x81ffb3ff,0x01bfa5fe,
    0xdfd27fcc,0xe93fe600,0x9ff3006f,0x7401ffcc,0x00ffe66f,0xf5001bfa,
    0xff1000df,0x5ff70009,0x401bfa00,0x7fe84ff9,0x17fc4000,0x401ffcc0,
    0x0ffe66fe,0xffd9bfa0,0x01ffc801,0x0003ff90,0x7cc03ff9,0x26fe803f,
    0x9ff33ff8,0xffa85fe8,0xfffcaaac,0x0ffe4003,0x72fffe80,0xe80007ff,
    0xeeeeeeff,0x8bff02ee,0x3e604ff9,0x26fe803f,0xfff887fe,0xffb86fff,
    0xff91bee1,0x5ff88001,0xf80fffdc,0x99ffc47f,0xf2ff44ff,0x3fe600df,
    0x4c01bfe5,0x01bfe5ff,0xff32ffcc,0x4cdfd007,0x6fe803ff,0x03ffe200,
    0x013fe200,0x4007ff20,0xff3006ff,0xdddffd0b,0x405ddddd,0xff3007fc,
    0x4cdfd007,0x6fe803ff,0x3e013fee,0x3ff2007f,0x1ffc8001,0x200ffe60,
    0x8ffe26fe,0x17fa0ffd,0x3fffffea,0xc8002eff,0xff3001ff,0x00ffee3f,
    0xfffffd00,0x505fffff,0x0fff05ff,0x7401ffcc,0x221ffa6f,0x86ffffff,
    0x0ff62ff9,0xf1000ffb,0x02ffb8bf,0xff883ff6,0xfe83ff63,0x4c01bfe5,
    0x01bfe4ff,0xdff27fcc,0x993fe600,0x6fe803ff,0x3a00ffe6,0x3ff2006f,
    0x9ff10003,0x01ffb000,0x4c01bfe0,0xfffe84ff,0x2fffffff,0x4c013fe0,
    0x6fe803ff,0x3a00ffe6,0x01bfe26f,0x64007ff7,0xfc8001ff,0x0ffe601f,
    0xff89bfa0,0xfe8ffea3,0xfffffa85,0x90000eff,0x7fc003ff,0x009ff50f,
    0xcccffe80,0xd81ccccc,0x2ffc80ff,0xd007ff30,0x007fecdf,0x7fc437fc,
    0xfe81ff13,0x5ff88005,0xf900ffdc,0x51ffc41f,0xf2ff47ff,0x3fe600ff,
    0x4c01ffe3,0x01ffe3ff,0xff31ffcc,0x4cdfd007,0x6fe803ff,0x00dff300,
    0x0027fc40,0xff003ff4,0x0ffe600f,0x33333ffa,0xf701cccc,0x3fe6001f,
    0x266fe803,0x6fe803ff,0xf982ffec,0x3f2000ff,0xffc8001f,0x00ffe601,
    0x3ff89bfa,0x5fe87ff4,0x3ea3ffa8,0xfc8000ff,0xbff3001f,0x0002ffcc,
    0x7c001ffa,0x09ff506f,0x3a00ffe6,0x007ff26f,0xb7f41bfe,0x27fcc6fb,
    0x22ffc400,0x3f201ffb,0xd0ffe20f,0xe97fa1ff,0x5ff5007f,0xfa803ff4,
    0x401ffa2f,0x3fe62ffa,0x266fe803,0x6fe803ff,0x01ffe880,0x013fe200,
    0xe801bfe0,0x5ff5007f,0x4000ffd0,0x3e6005fe,0x26fe803f,0xfe803ff9,
    0x5f7ffc46,0x02fffca9,0x000ffe40,0xf300ffe4,0x4dfd007f,0x7fd43ff8,
    0xff50bfd3,0x005ffa87,0xa801ffc8,0x3fe20fff,0x3ff40006,0x01ffd400,
    0x3fe60fff,0x2e6ff803,0x6ff803ff,0x7fb9ff90,0x0007ff44,0x3ee2ffc4,
    0x83ff201f,0x7fd43ff8,0x7fecbfd3,0x21ffc801,0xfc801ffd,0x007ff61f,
    0xff987ff2,0x266ff803,0x6ff803ff,0x003ffc80,0x0027fc40,0xd8017fe2,
    0xffc801ff,0x0007fe81,0x4c003ff3,0x6ff803ff,0x3e00ffe6,0xffff986f,
    0x002fffff,0x8001ffc8,0x3e601ffc,0x26ff803f,0x6fe83ff8,0x7ff50bfd,
    0x8003ffb0,0xfd101ffc,0xffd03fff,0x3ff40005,0x7fffec00,0xffffffff,
    0x804ff881,0x1bfe64ff,0x7441bfe0,0xea88ffff,0xf50003ff,0x01ffb89f,
    0xff883ff2,0xbfd6fe83,0x7c01ffdc,0x01ffdc7f,0x3fee3ffc,0x447ff803,
    0x4ff804ff,0x3e013fe2,0x37fcc04f,0x27fc4000,0x00ffe600,0xf803ffb8,
    0x00ffd07f,0x1001bf60,0x9ff009ff,0x7c027fc4,0xffd7104f,0x200039ff,
    0xc8001ffc,0x3fe201ff,0x224ff804,0xaffb83ff,0x3ffa85fe,0x4005ff98,
    0xff101ffc,0x37fd409d,0x00ffd000,0xfffffff0,0x09ffffff,0xff501bfe,
    0x402ffd87,0x3fa206ff,0x3fffffff,0x0bff2000,0x7e403ff7,0x20ffe20f,
    0x25feaffb,0x7d406ff8,0x037fc43f,0xff10ffea,0x83ffa80d,0x7fd406ff,
    0x2a037fc3,0x7ff403ff,0xff880001,0x17fdc004,0x80dff100,0xffd03ffa,
    0x07ff1000,0xa80dff00,0x037fc3ff,0x3200ffea,0x640000ff,0xfc8001ff,
    0x037fc01f,0xff88ffea,0xbfdbff03,0x3a07ff50,0x3f2001ff,0x4002601f,
    0x0400effe,0x2a003ff4,0xcccccdff,0xb07ffccc,0x7ff405ff,0x01fffcc0,
    0xffd00dff,0x8803bfff,0x81fff102,0x3f201ffb,0x40ffe20f,0x645fedff,
    0xfff305ff,0x4c17ff20,0xbff907ff,0x6c1ffe60,0x3ffa02ff,0xd017fec0,
    0x7fe401ff,0xff100003,0x0ffe8009,0x82ffe400,0x3fa07ff9,0x0ffb8007,
    0x02ffd800,0xffb03ffa,0x007ff405,0x0001ffd4,0x20007ff2,0x7ec01ffc,
    0x83ffa02f,0xff703ff8,0x7ff50bff,0x8017fea0,0x00001ffc,0x379ffff5,
    0xfd07f955,0x0ffd800f,0x981ffd80,0xa889cfff,0xff903ffe,0xf73357bf,
    0x9ff880df,0x3be20009,0x4fffc9ab,0x3201ffb8,0x0ffe20ff,0x22ffffdc,
    0xa9befff9,0xf302fffc,0xf9537dff,0x3fe605ff,0xffca9bef,0x9fff302f,
    0x7ffd5113,0x139fff30,0x407ffd51,0x00006ff9,0xb8013fe2,0xf98006ff,
    0xfca9beff,0x1ffa02ff,0x0013fe00,0x44e7ffcc,0x983ffea8,0xa889cfff,
    0xf1003ffe,0x01d415ff,0x8001ffc8,0x7cc01ffc,0xea889cff,0x1ffc43ff,
    0x85ffff88,0x3fa03ffa,0xaaaa881f,0x2aaabffd,0x3ffa6000,0x3fffffff,
    0xaaaaffe8,0x3fe1aaaa,0x09ff5006,0x3fffffee,0x7d404fff,0xffffffff,
    0x037d406f,0xfffff880,0xfb80dfff,0x83ff201f,0xff103ff8,0xffd10bff,
    0x05ffffff,0xfffffe88,0x74402fff,0xffffffff,0x7fffdc02,0x204fffff,
    0xfffffffb,0x7ff404ff,0xcccccccd,0x999983cc,0x1999dffa,0x3ffffba6,
    0xffd10002,0x05ffffff,0xaaaaffe8,0x3ea1aaaa,0x3ee0001f,0xffffffff,
    0x3fffee04,0x004fffff,0x7f7fffdc,0x555441ff,0xaaabffda,0x6d555442,
    0x82aaabff,0xfffffffb,0x3ff884ff,0x217fff20,0x3ea03ffa,0xffff985f,
    0x6fffffff,0xffdb8000,0xe80bceff,0xffffffff,0x07ff55ff,0x881ffe20,
    0x1dfffffd,0xfffd9100,0xd8017dff,0x3aa0003f,0x203effff,0x3f201ffb,
    0x80ffe20f,0x9105fffc,0x01bdfffd,0x3fffb220,0xd91000de,0x001bdfff,
    0x3fffff62,0xffd8801d,0x4c01dfff,0xffffffff,0x4c6fffff,0xffffffff,
    0xff51ffff,0x80005fff,0xdefffec8,0xffffe800,0x25ffffff,0x880005fe,
    0x1dfffffd,0xffffd880,0xf70001df,0x81bfffff,0xfffffff9,0x7cc6ffff,
    0xffffffff,0xffb106ff,0x2203bfff,0x3fe203ff,0x03ffa85f,0x3e607ffc,
    0xffffffff,0x400006ff,0xfffd0018,0xbfffffff,0xd8007ff2,0x098801ff,
    0x01998000,0x00005540,0xff700198,0x107fe403,0x7fc407ff,0x0013005f,
    0x00001300,0x98800013,0x02620000,0xfffff980,0xffffffff,0x7ffffcc6,
    0x1fffffff,0x00157971,0x80013000,0xfffffffe,0x06aa5fff,0x01310000,
    0x0004c400,0x1acba880,0xffffff30,0x98dfffff,0xffffffff,0x98806fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4ffe8800,0xd82ec800,0x3331001e,0x00033333,0x0007fff2,0x006fff44,
    0x037ffa20,0x04ffe880,0xf917fe40,0x3fa2003f,0x0bb2004f,0x880007b6,
    0xc800dffe,0x07ff22ff,0x004fff98,0xdffe8800,0x3332a600,0xfd1001ac,
    0xb988009f,0x20002bcc,0x200dffe8,0x3ff22ffc,0x7ff44001,0x45ff900d,
    0x98801ffc,0x01999999,0x009fff30,0x004fff98,0x1bffd100,0x09ffd100,
    0x33333100,0x3a200333,0x5d9004ff,0xdeb83db0,0x7fff4401,0x3fe6004f,
    0x8037fd47,0xfffffffc,0x7fdc001f,0xfd10000d,0xfd10007f,0xfe88007f,
    0x64004fff,0x01ffecff,0x9ffffd10,0xa8fff300,0xd10006ff,0xfc8007ff,
    0x801ffecf,0x0003ffd8,0x80fffa20,0xffffffea,0x7f4401ff,0xd8804fff,
    0xffffffff,0x7ff44002,0xd9ff9003,0xe88003ff,0xffc803ff,0x9001ffec,
    0xffffffff,0x3ff62003,0x7fec4003,0x7f440003,0xffd1003f,0xfc8009ff,
    0x1fffffff,0x7ffff440,0x23ffcc04,0x3fea6ffa,0x37fe606f,0x2005ffa8,
    0x27fc45ff,0xeeeeeb80,0x2e000eee,0x220003ff,0x88001efe,0x4c001efe,
    0x5ffa8dff,0x77ffdc00,0x1bff3001,0xff00bff5,0x004ff88b,0x001efe88,
    0x03dfff70,0x003ffb80,0x01efe880,0x3bbbffee,0x2601ffee,0x5ffa8dff,
    0x3ffffa60,0x003fffee,0x0007bfa2,0x003dfff7,0x001efe88,0x007bffee,
    0xeeeeeeb8,0x7dc000ee,0xffb8003f,0xdfd10003,0x37fe6003,0x2005ffa8,
    0xeeeeeeeb,0x37fe600e,0x7c05ffa8,0x727fc45f,0x2a01ffff,0x00d5442a,
    0x00510288,0x2a200000,0x54c0001a,0x5530000a,0x85550001,0x4c001aa8,
    0x2aa000aa,0x200d5442,0x00051028,0x00002aa6,0x20001553,0x40000aa9,
    0x3e600aa9,0x802601ff,0x0d5442aa,0x40efffcc,0x2a6003c9,0x5530000a,
    0x15530001,0x01553000,0x20000000,0x98000aa9,0xa98000aa,0x0aaa000a,
    0x00003551,0x510aaa00,0x88144035,0x037ffcc2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfb000000,
    0x0000007f,0x0013ff60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x419b5000,0x26001aaa,0xaaa801aa,0x2aaa2002,
    0xaaaaaaaa,0xaaaaa882,0x2a20009a,0x2aaa000a,0x46aa6001,0x26000aa8,
    0x00d5542a,0x1aa886aa,0x5552aa80,0x0d54c003,0x00155540,0x55555555,
    0x00355555,0x44005555,0xaaaaaaaa,0x1ffe2aaa,0xaaaa8800,0x2aaaaaaa,
    0x00017fea,0x55555510,0x55550355,0x35555555,0x55555550,0x54c35555,
    0xaaaaaaaa,0x800aaaaa,0x22002aaa,0xaaaaaaaa,0xaaa82aaa,0xaaaaaaaa,
    0x55555541,0x1aaaaaaa,0x002aaa80,0x55555554,0xaa81aaaa,0xaaaaaaaa,
    0xaaaaa81a,0x01aaaaaa,0x1006ffb8,0xfa801fff,0xf3000fff,0xffffffff,
    0xfff50dff,0x05dfffff,0x4007ff50,0xf1006ffb,0x0bfe61ff,0x3e26fc80,
    0x2ff406ff,0xfd007ff3,0x401bfeed,0x5400fff8,0xf000ffff,0xffffffff,
    0xa809ffff,0x3000ffff,0xffffffff,0x7ff4dfff,0xfff30000,0xffffffff,
    0x000fff4d,0x3ffff600,0xfe85ffff,0xffffffff,0xffffe85f,0x25ffffff,
    0xfffffffc,0x1fffffff,0x07fffd40,0xfffff980,0x86ffffff,0xfffffffe,
    0x7ffc5fff,0xffffffff,0x7fd404ff,0x3fa000ff,0xffffffff,0xffffe85f,
    0x85ffffff,0xfffffffe,0xfd005fff,0x7ff9005f,0x5ffffb00,0x3fffe600,
    0x6fffffff,0xffffffa8,0x5404ffff,0x7f4003ff,0x3ffc802f,0xd800bfe2,
    0x3fffe25f,0xf997fa02,0x26fe803f,0xfc802ffe,0xfffd803f,0xffff002f,
    0xffffffff,0xfffd809f,0xfff3002f,0xffffffff,0x006ffe4d,0x7ffffcc0,
    0x26ffffff,0x400006ff,0xeefffff8,0xfffe84ee,0x5fffffff,0xffffffe8,
    0x3f25ffff,0xffffffff,0x401fffff,0x002ffffd,0xfffffff3,0xfd0dffff,
    0xffffffff,0xfffff8bf,0xffffffff,0x7fffec04,0x3fffa002,0x5fffffff,
    0xffffffe8,0xfe85ffff,0xffffffff,0xdff5005f,0x006ff880,0x00bffbff,
    0x400ffe40,0x7e543ffa,0x3fea01ff,0x37fd4003,0xf11bfe20,0x2fec007f,
    0x40dffff1,0x0ffe65fe,0xffa9bfa0,0x037fc406,0x05ffdff8,0x33333330,
    0x01fff333,0x05ffdff8,0x807ff200,0x002efff9,0x301ffc80,0x80000bff,
    0x005feefb,0x3a000ffd,0xf900007f,0x3fe0003f,0x20005ffd,0xfe801ffc,
    0x99998007,0xff999999,0x7effc00f,0x1ffa005f,0x003ff400,0x00007fe8,
    0xf901ffec,0x3ff5005f,0x64000ffd,0xffa801ff,0x409ffb03,0xd8003ffa,
    0x3ff203ff,0x2003ff82,0x3bfe24fe,0x4bfd01ff,0xfe803ff9,0x901ffec6,
    0xff5005ff,0x0000ffd3,0x2a01ffec,0x007fe9ff,0x5007ff20,0x017dffff,
    0x407ff200,0x00004ffa,0x02ff5ffc,0xd0007fe8,0x320000ff,0xfa8001ff,
    0x0007fe9f,0x3a007ff2,0xb000007f,0xffa807ff,0x3a007fe9,0xffd0007f,
    0x01ffa000,0x1fff3000,0x200dff30,0x05ff77fd,0x007ff200,0x7d40ffea,
    0x0ffea05f,0x03ffe600,0x7fc1bfe6,0x893fa004,0xd05ffbff,0x01ffccbf,
    0x3fe637f4,0x06ff980f,0x3feeffb0,0xffa80002,0xf77fd806,0x3f20005f,
    0xffd8801f,0x4000cfff,0xff701ffc,0x7d400007,0xd005fe8f,0x3fa000ff,
    0xff900007,0x2ffb0003,0x90002ffb,0xffd003ff,0xff500000,0x2effb00d,
    0xffd002ff,0x01ffa000,0x0003ff40,0x6c27fe40,0xbff001ff,0x40017fe6,
    0xfa801ffc,0x0bff103f,0x8001ffd4,0xffd84ffc,0x4009fd01,0x2ffe23fe,
    0x5fe81ffc,0x3a00ffe6,0x84ffc86f,0xff001ffd,0x0017fe6b,0x001fff10,
    0x17fe6bff,0x00ffe400,0xfffff910,0x0ffe4007,0x0003ffb8,0x2ff53f60,
    0x0007fe80,0x20000ffd,0xf8001ffc,0x00bff35f,0x2007ff20,0x400007fe,
    0xf800fff8,0x00bff35f,0x74001ffa,0xffd0007f,0x202b8800,0x3e60fff8,
    0x5ff5005f,0xc8003ff4,0xffa801ff,0x409ff503,0x10003ffa,0x7fcc1fff,
    0x9117fa05,0x7c47ff07,0xe85ff8bf,0x00ffe65f,0x3fe21bfa,0x017fe60f,
    0xffd17fd4,0x3ffc8000,0x3a2ffa80,0xff90007f,0x3fae0003,0xff9003ff,
    0x013fea03,0xe8ffc400,0x0ffd005f,0x001ffa00,0x000ffe40,0x7fe8bfea,
    0x03ff9000,0x0000ffd0,0xa803ffc8,0x01ffa2ff,0xe8003ff4,0xffd0007f,
    0x27ffc400,0x7ec9ff70,0x1ffb000f,0x40017fe4,0xfa801ffc,0x1ffe883f,
    0x000ffea0,0x3f64ffb8,0x717f600f,0x22ff81ff,0x1ffb3ff8,0x3fe65fe8,
    0x706fe803,0x07fec9ff,0x320ffd80,0xf50002ff,0x3ff600df,0x000bff20,
    0x00007ff2,0x9001fff9,0x3fe603ff,0xdf900005,0xfe802ff4,0x0ffd0007,
    0x07ff2000,0x641ffb00,0xfc8002ff,0x07fe801f,0x1bfea000,0xf907fec0,
    0x0ffd005f,0x001ffa00,0xf7003ff4,0x7fc01fff,0x004ff98f,0x9ff317fe,
    0x03ff9000,0x5559ff50,0xa807fff9,0x7c0003ff,0x04ff98ff,0x3ffa37ec,
    0xf88bfe23,0xe89ff33f,0x3bbfe65f,0xfeeeeeee,0x23ffe06f,0x3e004ff9,
    0x027fcc5f,0x007ffc40,0x7fcc5ff8,0x1ffc8004,0x2ffd8000,0x101ffc80,
    0x20000dff,0x33bfa3ff,0xffe82ccc,0xeeeeeeee,0xeeeffe82,0x802eeeee,
    0x7c001ffc,0x027fcc5f,0x400ffe40,0xeeeeeffe,0xf8802eee,0xbff000ff,
    0xe804ff98,0xeeeeeeff,0xeffe82ee,0x2eeeeeee,0xeeeeffe8,0xff72eeee,
    0x7fd401ff,0x5000ffdc,0x0fff05ff,0x003ff900,0xfffffff5,0xff5005df,
    0xffa80007,0x6400ffdc,0x97ffe26f,0x3fe21ff8,0xfe83ff63,0x3ffffe65,
    0xffffffff,0x373fea06,0xff5000ff,0x000fff05,0x2a007ff9,0x07ff82ff,
    0x001ffc80,0x803ffa80,0x3fa01ffc,0x7d40002f,0x3ffffa0f,0xfffe83ff,
    0x2fffffff,0xffffffe8,0xc802ffff,0x3ea001ff,0x007ff82f,0xe801ffc8,
    0xffffffff,0xffc802ff,0x05ff5003,0xffd00fff,0xffffffff,0xfffffd05,
    0xd05fffff,0xffffffff,0x1fff45ff,0x1fffff40,0x901ffb00,0xfc8005ff,
    0xfffa801f,0x000effff,0x00007ff5,0x007ffffd,0x7f7dcdf7,0x443ff10f,
    0x8ffea3ff,0x3bfe65fe,0xcccccccc,0x7ff406ff,0x3f6003ff,0x02ffc80f,
    0x801bfe60,0xffc80ffd,0x0ffe4002,0x17fdc000,0x700ffe40,0xd8000dff,
    0x6677f45f,0xcffe82cc,0x1ccccccc,0xccccffe8,0xc801cccc,0x3f6001ff,
    0x02ffc80f,0x400ffe40,0xcccccffe,0x7cc01ccc,0x3ff6006f,0x402ffc80,
    0xcccccffe,0xffe81ccc,0xcccccccc,0xcccffe81,0x4c1ccccc,0xdfff3000,
    0x506ff800,0xfc8009ff,0x3ffa801f,0x2003ffea,0x80003ffa,0x7006fff9,
    0x7fd7f4ff,0x7c41ff33,0xe87ff43f,0x00ffe65f,0xff301bfa,0x6ff800df,
    0x2009ff50,0x2001ffe8,0x9ff506ff,0x01ffc800,0x07ffc400,0x200ffe40,
    0x0400efff,0x3fa17fc4,0x00ffd005,0x0001ffa0,0xf000ffe4,0x13fea0df,
    0x003ff900,0x88000ffd,0x3e001ffe,0x09ff506f,0xd0007fe8,0x3fa000ff,
    0xd8000007,0x3ea002ff,0x01ffe03f,0x5003ff90,0x5ffa87ff,0x003ffa80,
    0x005ffb00,0x47fc5fea,0x88ff36fd,0x9ffd43ff,0x0ffe65fe,0x3601bfa0,
    0x3ea002ff,0x01ffe03f,0x5001ffe4,0x3ffc07ff,0x407ff200,0x999aace9,
    0x003fffca,0xf9803ff9,0xaa9bcfff,0x87fc83fc,0xffd005fe,0x01ffa000,
    0x00ffe400,0x3e03ffa8,0x7fe4007f,0x007fe801,0x001ffe40,0x7fc07ff5,
    0x003ff407,0xd0007fe8,0x1a8800ff,0x007ff200,0xffffffd8,0x01ffffff,
    0x2007ff20,0xffd83ffa,0x01ffd401,0x01ffc800,0xbf71ff50,0x1fea3fea,
    0xdfd07ff1,0x3ff997fa,0xc806fe80,0x3f6001ff,0xffffffff,0x7cc01fff,
    0x7fec006f,0xffffffff,0x3f2001ff,0xffff301f,0x9fffffff,0x00ffe400,
    0x7fffffcc,0xff83ffff,0x5ffcccce,0x000ffd00,0x40001ffa,0xfb001ffc,
    0xffffffff,0x64003fff,0x7fe801ff,0x1bfe6000,0xfffffb00,0x3fffffff,
    0x8003ff40,0xfd0007fe,0x7ffc400f,0x03ff9004,0x7fffffc0,0x4fffffff,
    0x007ff200,0x3e60ffea,0x1ffd405f,0x1ffc8000,0xfb1ff300,0x3fd5ffc5,
    0x3ee0ffe2,0x3e65feaf,0x06fe803f,0x2001ffc8,0xffffffff,0x404fffff,
    0x7c001ffe,0xffffffff,0x2004ffff,0xfb101ffc,0x7dffffff,0x1ffc8001,
    0x3fffaa00,0x7d40bcef,0xffffffff,0x00ffd005,0x0001ffa0,0xf800ffe4,
    0xffffffff,0x2004ffff,0xfe801ffc,0x3ffa0007,0x7fffc001,0xffffffff,
    0x01ffa04f,0x8003ff40,0x3f2007fe,0xfc801fff,0xbff5001f,0x99999999,
    0x7e400fff,0x3ffa801f,0x5403ffd0,0x900003ff,0x3e6003ff,0x3f20ffaf,
    0x7fc46fae,0xbfdbff03,0x7401ffcc,0x1ffc806f,0x99bff500,0xff999999,
    0x01ffe40f,0x3337fea0,0xffcccccc,0x07ff2007,0x17fe6620,0x01ffc800,
    0x4027fc40,0xcccccefe,0xffd005ff,0x01ffa000,0x00ffe400,0x6666ffd4,
    0x7ffccccc,0x007ff200,0x64001ffa,0x7d4003ff,0xccccccdf,0x3a07ffcc,
    0xffd0007f,0x01ffa000,0x01ffffd8,0xb001ffc8,0xffb001ff,0x07ff2003,
    0x540ffea0,0x3fea05ff,0xff900003,0x37fe2003,0x7effd45f,0xb81ffc46,
    0x3e65ffff,0x06fe803f,0xb001ffc8,0xffb001ff,0x00dff303,0xb001ffb0,
    0x3f2003ff,0x3fe2001f,0x3ff20003,0x07fd4001,0x740ffe60,0x0ffd005f,
    0x001ffa00,0x400ffe40,0xfd800ffd,0x3ff9001f,0x000ffd00,0xb000dff3,
    0xffb001ff,0x001ffa03,0xe8003ff4,0x3fea007f,0x3ff9006f,0x401bfe00,
    0xaa884ffa,0xaabffdaa,0x03ffa82a,0x7d407ffa,0xaaaaaadf,0xffc800aa,
    0xffff1001,0x8bffff07,0xff103ff8,0x1ffccbff,0x64037f40,0xdff001ff,
    0x213fea00,0xccccdffe,0x3e3ccccc,0x9ff5006f,0xfb555510,0x4055557f,
    0x51000ffa,0x57ffb555,0x6fc80555,0xd00ffc80,0x033333bf,0x55555ffd,
    0xffd03555,0x55555555,0x03ff9003,0x2a00dff0,0xaaa884ff,0xaaabffda,
    0xaaaffe82,0x741aaaaa,0xcccccdff,0x3fe3cccc,0x09ff5006,0x2aaabffa,
    0xfe81aaaa,0xaaaaaaaf,0xaaffe81a,0x21aaaaaa,0xf9000cda,0x7ff5003f,
    0x21ffe200,0xfffffff9,0xfa86ffff,0x17fea03f,0x7fffffd4,0x802fffff,
    0x3e001ffc,0xffc80fff,0x01ffc45f,0x7ccbfff9,0x06fe803f,0xa801ffc8,
    0xff1003ff,0xfffff98f,0xffffffff,0x2007ff56,0xff987ff8,0xffffffff,
    0x01bf206f,0xffffff98,0x406fffff,0x4ff804fe,0x3fffffa0,0xffffe87f,
    0x85ffffff,0xfffffffe,0xfc805fff,0x1ffd401f,0x987ff880,0xffffffff,
    0xffe86fff,0xffffffff,0x3ffffe65,0xffffffff,0x2007ff56,0xffd07ff8,
    0xffffffff,0xfffffd0b,0xd0bfffff,0xffffffff,0xc8000bff,0xffc801ff,
    0x07ff6001,0xfffffff3,0xf50dffff,0x0fff807f,0xffffffa8,0x802fffff,
    0x3e001ffc,0xfff305ff,0x203ff889,0x3e65fff8,0x06fe803f,0xc801ffc8,
    0x3f6001ff,0x3fffe61f,0xffffffff,0x003ff96f,0x3e60ffec,0xffffffff,
    0x0b2e06ff,0xfffff980,0x06ffffff,0x3ea00e64,0x3fffa01f,0xffe87fff,
    0xffffffff,0xfffffe85,0x805fffff,0x7e401ffc,0x3ff6001f,0x7ffffcc1,
    0x86ffffff,0xfffffffe,0x3fe65fff,0xffffffff,0x3ff96fff,0x40ffec00,
    0xfffffffe,0xffe85fff,0xffffffff,0xfffffe85,0x005fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff993fea,0x00004c04,0x00015440,
    0x30000551,0xfd800000,0x00000006,0x0007fea0,0x00000000,0x00000000,
    0x00000000,0x00400000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xceff9800,0x7fe404ff,0x3ee00002,
    0x5c001eff,0x8001efff,0x0000efe8,0x9ff1ffb8,0x07ffe600,0x1ff20000,
    0x17ffa200,0x202ffc00,0x0001fffb,0x04fc87fe,0x27e43ff0,0x3f21ff80,
    0x3ffa2004,0x3ffb0003,0x49ff9000,0x2e03ffe8,0x07ff22ff,0xd127fe40,
    0x360007ff,0xffe8807f,0xffc80003,0x3fff701e,0x3fd80000,0x7e43ff00,
    0x9ffb5004,0xd1001cc1,0x200007ff,0x2e01effc,0x40001fff,0x803fffe9,
    0x00006ffd,0x0df73df3,0x7dcf7cc0,0xfffc8006,0xffb80003,0x9801ff99,
    0x001fffff,0x09fd0398,0x03ffe880,0x2017fe00,0x0001fff9,0x5ff97dfb,
    0x32fbf600,0xdfb002ff,0x2005ff97,0x03ffffe8,0x02fffcc0,0xfd13fee0,
    0x7ff7005f,0x2e003ffb,0x17ff44ff,0x80ffb000,0x03ffffe8,0x037ff200,
    0x003fff30,0x003fe200,0x7fe5f7ec,0xffff9802,0x01ffbcff,0x3ffffe88,
    0x6ffe4000,0x1fff9800,0x0d544000,0x006ff980,0x7ec3f700,0x6c3f7000,
    0x7fdc000f,0xfb80002f,0x9806fb9f,0x1ffd8cff,0x103ff200,0x744003ff,
    0x3ee001ef,0xffffffff,0x07ff6204,0x3fffe200,0x3fe2005f,0x22005fff,
    0x005fffff,0xff71dfd1,0x7ffc4007,0x13fea005,0x5c003ffb,0x5001ffff,
    0x1ffd89ff,0x03fec000,0xff71dfd1,0x7ff90007,0x0ffec400,0x037d4000,
    0xbfffff10,0x2a2fee00,0x803ffffe,0xffb8efe8,0x7ff90003,0x1ffd8800,
    0xd8000000,0xf500005f,0xf5003f47,0xc8003f47,0xf700004e,0x8805d93f,
    0x06f643ed,0x540ffc80,0x6f64005e,0x7ffdc000,0x04ffffff,0x8000deb8,
    0x8002ccb8,0x8002ccb8,0x2002ccb8,0x1774c5ec,0x001bd700,0xbd70fb62,
    0x3bd70003,0x70fb6200,0xb00003bd,0x22f640ff,0x2a002ee9,0xd70001de,
    0x6dcc001b,0x4004fffe,0x4002ccb8,0x001bca81,0x2ee98bd9,0x00ef5400,
    0x001bd700,0x35555551,0x003fe800,0xfdbfd100,0x6ff44009,0x000004fe,
    0x03ff7000,0x64000000,0x000000ff,0x99998800,0x00099dff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000ffb,0x00000000,
    0xffffff70,0x000003ff,0x00000000,0x00000000,0xffff9800,0x204effff,
    0x00006fda,0x001f7ec4,0x001f7ec4,0xf7000000,0x0000003f,0x0007fe40,
    0xf8000000,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fd80000,0x00000000,0x7ec00000,0xfffdacef,0x0000001f,0x00000000,
    0x00000000,0x3ffffe60,0x82efffff,0x00000dff,0x00000000,0x37bb72a0,
    0x76dcc00b,0x001ffdde,0x7bddb950,0x3b333201,0xccccccff,0xdb95000c,
    0x544017bd,0x5ffcdedc,0xbdd97100,0x0664c017,0x65409950,0x00ceefed,
    0x7bdd9710,0x3b2e2001,0x71000bde,0x0017bdd9,0x2f7bb6e2,0x765c4000,
    0x32600bde,0x0132a00c,0x76776dd4,0x00cc987f,0x3326132a,0x26132a00,
    0x132a00cc,0xdfd8bff3,0x5c400fff,0x000bdeed,0x2f7bb6e2,0x3b6e2000,
    0x22000bde,0x00bdeedb,0x37bb6e20,0x0ffe600b,0x85fffb31,0x9300000a,
    0x02654019,0x9ddfdb95,0x3ffa6001,0x105fffff,0xfffffffb,0xe98003ff,
    0x5fffffff,0xfffffff0,0x1fffffff,0xffffe980,0xff505fff,0xbfffffff,
    0xffffd300,0x3ee05fff,0x03ff201f,0x3ffffff2,0x74c03fff,0x2fffffff,
    0x7ffff4c0,0x74c02fff,0x2fffffff,0x7ffffdc0,0xd3002fff,0x5fffffff,
    0xc807fee0,0x3fa200ff,0x7fffffff,0x3201ffb8,0x0ffdc0ff,0xfb81ff90,
    0x83ff201f,0x47fc47fe,0x3ee02ffb,0x2fffffff,0xfffffb80,0xfb802fff,
    0x2fffffff,0xfffffb80,0xfb802fff,0x2fffffff,0x5c07ff30,0x199106ff,
    0x033bfb22,0xf900ffdc,0xffff901f,0x807fffff,0xcacefffa,0xfff885fc,
    0xfffdbabd,0x3ffea001,0x05fccace,0x9ffd9999,0x01999999,0x5677ffd4,
    0xffb85fcc,0xffecabcf,0x5fffcc05,0x81fffca9,0x3f201ffb,0xbcefc80f,
    0x01fffeca,0x9537fff3,0x3e603fff,0xffca9bff,0x7fff301f,0x03fff953,
    0x2eb3fff2,0x4c03fffd,0xfca9bfff,0x1ffb81ff,0x4c03ff20,0xdbabdfff,
    0x1ffb87ff,0xf703ff20,0x07fe403f,0xfc807fee,0xb89ff10f,0x6413fe6f,
    0xfdbacfff,0x3ff203ff,0xfffdbacf,0x33fff203,0x03fffdba,0x2eb3fff2,
    0x3203fffd,0xfdbacfff,0x3ff983ff,0x441ffec0,0xffffa9ff,0xffb80eff,
    0x203ff201,0xecabcefc,0xff101fff,0x7e40c07f,0x03ff702f,0x80fffe20,
    0x01ff9001,0x07fff100,0x03bfe20c,0x3fa02ffc,0x86ff980e,0x3f201ffb,
    0x2e00980f,0x1dfd05ff,0x3a0dff30,0x6ff980ef,0xf301dfd0,0x1dff30df,
    0x401fff50,0xff980efe,0x201ffb86,0xdfd00ffc,0x2e1ff603,0x3ff201ff,
    0x900ffdc0,0x1ffb81ff,0x7cc3ff20,0xfd1fec2f,0x01dff30d,0xf301fff5,
    0xfff501df,0x01dff301,0xf301fff5,0xfff501df,0x01dff301,0xf981fff5,
    0x37fc403f,0x6ffe7fc4,0xb85fffcb,0x3ff201ff,0x3ee00980,0x07ff905f,
    0x204ff980,0xf9001ffb,0x3200007f,0xfc8000ff,0x7fec003f,0xa817fe00,
    0x3ff202ff,0x900ffdc1,0xf10001ff,0x05ff50df,0x3ea0ffe4,0x07ff202f,
    0x7e405ff5,0x007fec1f,0x3ea09ff7,0x07ff202f,0x7e403ff7,0x02ffb80f,
    0x3fee1ff6,0x703ff201,0x7fe403ff,0x900ffdc0,0x87fee1ff,0x1ff20ff8,
    0xfb803ff6,0x00ffd84f,0x3f613fee,0x13fee00f,0xfb803ff6,0x00ffd84f,
    0xff313fee,0x10ffd007,0xf887ffff,0x0ffdc0ff,0x0001ff90,0x3fe0dff1,
    0x0ffc8006,0x4007fee0,0x200006ff,0xf8000ffc,0x5ff8006f,0xfb02ffc0,
    0x43ff980f,0x3f201ffb,0xffb0000f,0xf980ffb0,0x203fec3f,0x3fec3ff9,
    0xf88ffe60,0x2ffc404f,0x7cc07fd8,0x00ffdc3f,0xdfd01ff9,0xfb87fd80,
    0x03ff201f,0x7e403ff7,0x00ffdc0f,0x3fee1ff9,0xff91bee1,0x2027fc41,
    0x7fc45ff8,0x22ffc404,0x7c404ff8,0x027fc45f,0xff117fe2,0x45ff8809,
    0xfd803ff9,0x1fffc40f,0x7dc1ffd8,0x03ff201f,0x4c3fec00,0xfd8004ff,
    0x00ffdc07,0x00027fcc,0x8001ff90,0x44004ff9,0x2ffc03ff,0xf880bfd0,
    0x00ffdc4f,0x26001ff9,0xe87fd999,0x27fc405f,0xff1017fa,0x4405fe89,
    0x0bfe64ff,0x7f41ffa0,0x227fc405,0x3f201ffb,0x405ff80f,0x1ffb87fd,
    0xf703ff20,0x07fe403f,0xfc807fee,0x6c5ff30f,0x263fec3f,0x7fe802ff,
    0x74017fcc,0x017fcc7f,0x3fe63ff4,0x4c7fe802,0x7fe802ff,0x6401ffcc,
    0x2ffc41ff,0xfb85ff50,0x03ff201f,0x7eccccc0,0x002ffa87,0x7dc06fe8,
    0x2ffa801f,0x3ff20000,0x17fd4000,0x00bfe600,0x7ffc0bff,0xffffffff,
    0x0ffdc5ff,0x2201ff90,0xfffffffc,0xfffff87f,0xffffffff,0x7fffffc5,
    0x5fffffff,0x7ffffffc,0x25ffffff,0xfd801ffb,0xffffff07,0xbfffffff,
    0x3201ffb8,0x27fc40ff,0x3ee1ff60,0x03ff201f,0x7e403ff7,0x00ffdc0f,
    0x3fe21ff9,0xfe81ff13,0x400ffdc5,0x0ffdc7fd,0x3ee3fec0,0x47fd801f,
    0xfd801ffb,0x400ffdc7,0x1ffcc7fd,0x2217fdc0,0x3fe603ff,0x900ffdc2,
    0x3f2201ff,0x7fffffff,0x8002ffb8,0x7fdc05ff,0x02ffb801,0x03ff2000,
    0x005ff700,0x7c02ffa8,0xffff105f,0xffffffff,0x01ffb8bf,0x3ee03ff2,
    0xfeeeefff,0x7fffc47f,0xffffffff,0x3fffe25f,0xffffffff,0x3fffe25f,
    0xffffffff,0x007fee5f,0xff103ff2,0xffffffff,0xffb8bfff,0x303ff201,
    0x7fd807ff,0x3201ffb8,0x0ffdc0ff,0xfb81ff90,0x83ff201f,0x98df76fe,
    0x0ffdc4ff,0xf707fe40,0x1ff9003f,0x6400ffdc,0x07fee0ff,0xfb83ff20,
    0x0ffc801f,0x3200ffe6,0x1ffc42ff,0xfb85ff30,0x03ff201f,0x3bbfffee,
    0xfa87ffee,0x6ff8003f,0x400ffdc0,0x00003ffa,0x50003ff2,0xfa8007ff,
    0x02ffc02f,0x5c000bff,0x3ff201ff,0x8177fcc0,0x05ff87fd,0x0017fe00,
    0x50005ff8,0xffb005ff,0x80017fe0,0x3f201ffb,0x027fc40f,0x3fee1ff6,
    0x703ff201,0x7fe403ff,0x900ffdc0,0x67fe41ff,0x3ffa23fd,0x4017fd40,
    0x17fd47fd,0x3ea3fec0,0x47fd802f,0xfd802ffa,0x4017fd47,0x1ffcc7fd,
    0x220ffec0,0x3fe603ff,0x900ffdc2,0xeff981ff,0xf30ffb02,0xdfd0009f,
    0x801ffd80,0x00004ff9,0x30003ff2,0xf98009ff,0x17fe603f,0x20006fe8,
    0x3f201ffb,0x00ffe40f,0x0dfd0ffb,0x0037f400,0x2000dfd0,0xff803ff9,
    0x000dfd05,0xf900ffdc,0x04ff881f,0x7fdc3ff4,0x703ff201,0x7fe403ff,
    0x900ffdc0,0x7ff441ff,0xffea88ff,0x803ff983,0x1ffcc5ff,0x3e62ffc0,
    0x45ff803f,0xff803ff9,0x401ffcc5,0x1ffcc5ff,0x2207ff40,0x3fe603ff,
    0x900ffdc2,0x1ffc81ff,0x7fc1ff60,0x7fec000f,0x03fff700,0x0003ffe0,
    0x0017fdc0,0x10007ffc,0x3fe20bff,0x07ff605f,0x81ffd400,0x7f40fff9,
    0x6c3fec07,0xfb0001ff,0x3f60003f,0xff88001f,0x81ffd406,0x50001ffd,
    0x3fe607ff,0x207ff80f,0xffa87ffd,0x81fff303,0xff303ffa,0x03ffa81f,
    0xe881fff3,0xffffffff,0x80dff103,0x7fc43ffa,0x21ffd406,0x7d406ff8,
    0x037fc43f,0xff10ffea,0x43ffa80d,0x7c403ff9,0x03ff886f,0xff50bfe6,
    0x03ffe607,0x7fd80ffd,0x001bff90,0x7d427fd4,0xf9001fff,0x500001bf,
    0xf9000bff,0x7f4001bf,0x7fff440f,0x01bfe605,0x4c2ffcc0,0x7f40ffff,
    0x7ffd880f,0x0006ff98,0x2000dff3,0x90006ff9,0x3fa207ff,0x0dff300f,
    0x217fe600,0xc80ffff9,0xfffc82ff,0x985ff987,0x7cc0ffff,0xffff985f,
    0x4c2ffcc0,0xfd00ffff,0x803bffff,0xfd103ffc,0x07ff901f,0x3203ffa2,
    0xffd103ff,0x207ff901,0xfc80ffe8,0x1ffd103f,0x6403ff98,0x3ff884ff,
    0xf30bfe60,0xffff30bf,0x880ffe81,0x3fa07ffd,0xda999bff,0x98bfff84,
    0x01ffbffd,0x26ffffa0,0x1004da99,0x3317bfff,0x7fff4017,0x44da999b,
    0xfb89effa,0x6c05fecf,0x54c1afff,0x13bfff03,0x81ffdff7,0xf731dffc,
    0x3f60ffff,0x1d4c1aff,0x41afffd8,0xfffb03a9,0x883a9835,0xa889dfff,
    0x7ec03ffe,0x1d4c1aff,0xb89dfff8,0x980ffeff,0xfea8afff,0xfff07fce,
    0xfdff713b,0x3bfff01f,0x1ffdff71,0x713bfff0,0x101ffdff,0x400133ff,
    0x889dfff8,0xf103ffea,0xd5113bff,0x3fe207ff,0xfea889df,0xbfff103f,
    0x7ffd5113,0x277ffe20,0x83ffea88,0x3e603ff9,0x3ff880ff,0x3e0bfe60,
    0xffb89dff,0x7fe40ffe,0xffff731d,0x7fff4c0f,0xa85fffff,0x9fffffff,
    0x26001ff9,0xfffffffe,0x3fea005f,0x00ffffff,0x3fffffa6,0xffd85fff,
    0xbfd4ffff,0xffffd880,0x706fffff,0x7fffffff,0xff881ff5,0xbcffffff,
    0xfffb107f,0x0dffffff,0x3fffff62,0xb106ffff,0xffffffff,0x3ffe60df,
    0x03ffffff,0xfffffd88,0xf706ffff,0x57ffffff,0x3fee01ff,0xfb8effff,
    0xfffff707,0x01ff57ff,0xfffffff7,0xf701ff57,0x57ffffff,0x0df501ff,
    0x7fffcc00,0x403fffff,0xfffffff9,0x7fcc03ff,0x3fffffff,0x7ffffcc0,
    0x4c03ffff,0xffffffff,0x07ff303f,0x440fffee,0x3fe603ff,0xfffffb82,
    0x40ffabff,0xfffffff8,0xb807fbcf,0x2dfffffe,0x3bfffd30,0x20007fe6,
    0xdfffffeb,0x7fecc002,0xb800efff,0x2dfffffe,0x47dfff90,0xfd5005fd,
    0x09dfffff,0x977fffd4,0xfd880ffa,0xff71dfff,0xffffea80,0x75404eff,
    0x4effffff,0x7ffff540,0x32204eff,0x01dfffff,0x7ffff540,0x3ea04eff,
    0xff52efff,0x77ff5c01,0x540ff70c,0xf52effff,0x3ffea01f,0x01ff52ef,
    0x4bbfffea,0x3fd80ffa,0x7fe44000,0x1001dfff,0x3bfffff9,0x3fff2200,
    0x91001dff,0x03bfffff,0x3ffff220,0x3fe601df,0xffedcaad,0x0ffe204f,
    0xf502ff98,0x3ea5dfff,0xfffd880f,0x00ff71df,0x22000988,0x44000001,
    0x31000009,0x26200013,0x00022000,0x00333100,0x20000988,0x31000019,
    0x26200033,0x33100019,0x01310003,0x06662000,0x00013100,0x44000088,
    0x26200009,0x02620000,0x00015500,0x00004c40,0x10000262,0x98800013,
    0x04c40000,0xfffff980,0x402effff,0x3e603ff8,0x004c402f,0x00003300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff980000,0x01ceefff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00cc0000,0x00000000,0x00000000,0x00000000,0x4c000000,0x00000001,
    0x00000000,0x3db10fb2,0xdeecb880,0x76dc400b,0x3203deff,0x00f6c43e,
    0x00000000,0xed887d90,0x30000001,0x01333333,0xed887d90,0xacba8801,
    0x00000000,0x05ff3000,0x03fe4000,0x20cffda8,0x2ffe4039,0x03ff704c,
    0x0fffdc00,0x7fff5400,0xfda802ef,0x000e60cf,0x000f7fe4,0x000f7fe4,
    0x0007bff2,0x7007bff2,0x0ffe45ff,0xfc87ff20,0x7fffdc0f,0x201bf602,
    0xf303ffe8,0x100039df,0x26007ffd,0x3fee0fff,0x3fffa606,0xf502ffff,
    0xdfffffff,0xb83ffe60,0x3fee06ff,0x7ed40001,0x980e60cf,0x3fee0fff,
    0x321ff806,0xfff9804f,0x4c06ffff,0x3fee0fff,0x7fffd406,0x6d4003ff,
    0x00e60cff,0x00ff9000,0x9ffffffb,0xf9804ff8,0xfbcfffff,0x67ff401f,
    0x3ee1ffec,0x7cc0001f,0x3fa001ff,0x3fffffff,0x3ffffe60,0x001ffbcf,
    0x0006ffe4,0x0006ffe4,0x00037ff2,0x40037ff2,0x1ffdbffb,0xfb7ff900,
    0xfdffb81f,0x1ffa81ff,0x7ffff440,0xfffff983,0xffd1001e,0xff1007ff,
    0x305ffa8f,0xf9537fff,0xfff983ff,0x05cbaaab,0xffa8fff1,0x007fee05,
    0xfffff980,0x101ffbcf,0x5ffa8fff,0xfcbefd80,0xeee9802f,0x4405eeee,
    0x2ffd47ff,0xfdbfff50,0x3e6007ff,0xfbcfffff,0x1551001f,0x36013fa0,
    0x24ffffff,0xfb801ff9,0xffffea8b,0x3ffb2a03,0x2e0fffff,0x880001ff,
    0xfc801ffd,0xfff510cf,0x2a2fee01,0x003ffffe,0x8001ffe4,0xc8003ffc,
    0xf90003ff,0xff70007f,0xfc8003ff,0x7fc40fff,0xe889fd12,0x77f4404f,
    0x5443ffb8,0x02ffffcb,0x7dc77f44,0x80b9803f,0x03bfa03a,0xffb1bfe6,
    0x02e60001,0x7fffc0ea,0x00ffffff,0xfd517f70,0xb9807fff,0xf1003a80,
    0x000bffff,0x405cc000,0x0fff403a,0x2e00fff3,0xfffea8bf,0x3fea003f,
    0x801ff883,0x4ffa9998,0x81801bee,0x3e601bca,0x1bffffff,0x0001ffb8,
    0x98037ae0,0x5ff905ff,0x0de540c0,0x0077aa00,0x000ef540,0x8000ef54,
    0x20001dea,0x70001deb,0x8ff301bd,0x037e46fc,0x3ba62f64,0x3fff2202,
    0xd317b201,0x2000005d,0x3f202ffa,0x001bfa1f,0x3ffe0000,0x0fffffff,
    0x2f2a0600,0x40000001,0x0002ccb8,0x20000000,0xffd84ff8,0x79503000,
    0x3ffa8003,0x10005ea8,0x017649ff,0xdf980000,0x705ffc9b,0x000003ff,
    0x203ff500,0x00003ffa,0x00000000,0x00000000,0x00000000,0x3ea3fd40,
    0x0007fe66,0x5ffb8000,0x00000000,0xf980ffb0,0x00bff63f,0x93300000,
    0x033335ff,0x00000000,0x00000000,0x4c000000,0x0ffc83ff,0x50000000,
    0x000007ff,0x00009ff1,0xffd00000,0x003ff705,0xff900000,0x007ff201,
    0x00000000,0x00000000,0x00000000,0x1ff30000,0x09fd2fdc,0xff000000,
    0x4000001f,0xceefedca,0x880bfd00,0x3ffea4ff,0x5c4000ad,0x400bdeed,
    0x00001ffb,0x03326000,0x00004ca8,0x77f6e540,0x971000ce,0x44017bdd,
    0x06fe85ff,0x2a000000,0x800003ff,0x40004ff8,0xceefedca,0xedba8800,
    0x7fdc0fff,0x07bfb731,0xddfdb950,0x20ffb019,0x99305ffc,0x50265401,
    0x19ddfdb9,0x3fb6e200,0x5c403def,0x100bdeec,0x547bfdb7,0xb8802ded,
    0x03deffed,0x7bddb950,0x2233fe21,0x01ff93ff,0x7ff6dc40,0xffb003de,
    0x3fb72a05,0x7e400cee,0xffffffff,0xffffff83,0x5fffffff,0x6fffffdc,
    0xffffb802,0x2e02ffff,0x800441ff,0x2ccccccb,0x201ffb80,0xccb80ffc,
    0x9002cccc,0xffffffff,0xffe9807f,0x202fffff,0x3ff20fff,0x264c9803,
    0x4003dfed,0x00003ffa,0x0004ff88,0x3ffffff2,0x3a603fff,0x4fffffff,
    0x7fd47fdc,0x3205ffff,0xffffffff,0x223fec3f,0x3ee05ffd,0x03ff201f,
    0x3ffffff2,0x7d403fff,0x6fffffff,0x3ffffa60,0xffc82fff,0xffbcffff,
    0x3ea03fff,0x6fffffff,0x7ffff4c0,0x3fee5fff,0x5ff36fff,0x7fffd400,
    0x9006ffff,0xfff903ff,0x07ffffff,0x655e77e4,0x3e21fffe,0xffffffff,
    0xc885ffff,0x01efffff,0xb759fff9,0x3ee07fff,0x9fffd71f,0x7fffec01,
    0xffb804ff,0x203ff201,0x4ffffffd,0x579df900,0x203fffd9,0xca9bfff9,
    0xff701fff,0x00bffb1b,0x7ffe5fee,0x2a005fff,0x800003ff,0x20004ff8,
    0xecabcefc,0xffa81fff,0xffecacdf,0x3ff3fee0,0x04ffecbd,0xd9579df9,
    0x3fec3fff,0xf700fff6,0x07fe403f,0x655e77e4,0xf301fffe,0x975557ff,
    0x2fffe60b,0x41fffca9,0xffeaabec,0x0ffd9cff,0xaabfff98,0x3ea05cba,
    0xfccaceff,0xd277f545,0x7fcc00bf,0x5cbaaabf,0x901ffd00,0xfd9579df,
    0x802603ff,0x2ffc5ffb,0xffb50000,0xeff983ff,0x80fffa80,0xfffd9ffb,
    0x32e06fff,0x804ffccc,0x3f201ffb,0xccccb80f,0x013004ff,0xfe82ffdc,
    0x06ff980e,0x0ffffffa,0xffcffb80,0x02fffdac,0x0007ff50,0x009ff100,
    0xff7004c0,0x703fff0b,0x7ffdc9ff,0x07ff442f,0xbff7004c,0xbff13fec,
    0x403ff700,0x00980ffc,0x7ec17fee,0xefe8000f,0x046ff980,0x3e24ffe8,
    0x00ffd83f,0x03fff880,0x07fdc006,0x001ffb00,0x82ffe4c0,0x17fee009,
    0x237fc400,0x800006fe,0x7ec5ffd8,0x13fee00f,0x2bffbfee,0x003fffb9,
    0xf7009ff1,0x07fe403f,0x0027fc40,0xa86ff880,0x3ff202ff,0x3dfff901,
    0xffffb800,0x8037fcc1,0x00003ffa,0x0004ff88,0x71bfe200,0x3ffc03ff,
    0x2e03fff7,0xf88003ff,0xf99ff66f,0x1ffb803f,0x0003ff20,0x7f41bfe2,
    0x2ffa8006,0x2007ff20,0x2fec1ffc,0xc80037f4,0x980003ff,0x7f4002ff,
    0xfffd8006,0x10000fff,0x6c000dff,0x00ffec7f,0x26ff8000,0x7c404ff8,
    0xefffb85f,0x8037fc40,0xfb804ff8,0x03ff201f,0x0013fe20,0xfd87fd80,
    0x41ffcc07,0x41fffffd,0xfff704cb,0x401ffe03,0x00003ffa,0x0004ff88,
    0x3e3fec00,0x8ffe406f,0x3e202ffb,0xffb0004f,0xdff13fec,0x01ffb801,
    0x40003ff2,0x5ffb07fd,0x407fd800,0xfb803ff9,0x6c37e40f,0xff8002ff,
    0xbfd00006,0x05ffb000,0xcefffd80,0x3fec0000,0xfb333300,0x006ff98f,
    0x25ff9800,0xfe802ff9,0x00effb87,0x3e200fff,0x1ffb804f,0x2003ff20,
    0x20004ff8,0x87fd9999,0x7fc405fe,0x7e67fec4,0x41bfa0ef,0x3f602ffb,
    0x07ff5007,0x9ff10000,0x99980000,0x3fe27fd9,0xb9ffd404,0x2ffc01ff,
    0xfd999980,0xff91ff67,0x0ffdc03d,0x2001ff90,0x07fd9999,0x015bfff5,
    0xf880bfd0,0x3ee6204f,0x7fc9999f,0x0adfffa8,0x004ff980,0x000ffb80,
    0x0adfffa8,0x0007fc80,0x3feccccc,0xfffff910,0xffb0ffff,0x23a9835f,
    0x2a619bd8,0x3fee3ffe,0xb87fd801,0x3ff601ff,0x04ff8800,0x3201ffb8,
    0xff8800ff,0x3ff22004,0x87ffffff,0xffffffff,0x2a5fffff,0x97ff65ff,
    0x3ff705ff,0x4007fe40,0x00003ffa,0x0004ff88,0x7ffffe44,0x3fe67fff,
    0xba7fcc03,0x37fc01ff,0xfffffc88,0x1ff67fff,0x5c0bfffa,0x3ff201ff,
    0xffff9100,0x5c0fffff,0x02dfffff,0x3ffffffe,0x45ffffff,0xffffffda,
    0x07ffffff,0x5bfffff7,0x0017fd40,0x74cffe20,0x7dc01eff,0x202dffff,
    0x644006fc,0xffffffff,0xdffff707,0x10fffddd,0xfffffffb,0x7ffc4dff,
    0x4fffffff,0x6400ffdc,0x0ffdc0ff,0x1001ff90,0xff7009ff,0x007fe403,
    0xb8027fc4,0xeeeeffff,0x7ffc47ff,0xffffffff,0x83ff65ff,0xff9cffe8,
    0x403ff704,0xfa800ffc,0x8800003f,0x2e0004ff,0xeeeeffff,0x0bfea7ff,
    0x3eebff10,0x437fc01f,0xeeeffffb,0x1ff67ffe,0x5c1fffe4,0x3ff201ff,
    0xeffffb80,0x407ffeee,0xefffffc8,0x7ffffc41,0xffffffff,0x3bbffee5,
    0xeeeeeffe,0x3ff2205e,0xfb81efff,0x7ec0002f,0xffffff56,0xfffc8801,
    0x6fc81eff,0x3fffee00,0x87ffeeee,0xfb02eff9,0x7fff540f,0x3a24efff,
    0xdfffffff,0x802ffa82,0x1ffb87fd,0x2003ff20,0xfb804ff8,0x03ff201f,
    0x2013fe20,0xfb02eff9,0x000bff0f,0x3fe61bfe,0xf702ffdf,0x07fe403f,
    0x001ffd40,0x027fc400,0x02eff980,0x1ffccffb,0x7dd3fe60,0x13fe201f,
    0x3605dff3,0xa81ff67f,0x7fdc1fff,0x303ff201,0x3f605dff,0x3ff6a007,
    0x02ffc1ff,0x50f7fc40,0xa80001ff,0x541ffffd,0x2a0003ff,0x229fd0ff,
    0x36a005fe,0x7e41ffff,0x5dff3006,0x3f21ff60,0x01ff601f,0x201ffcc4,
    0x4c019998,0x5ff803ff,0x3201ffb8,0xff8800ff,0x01ffb804,0x22003ff2,
    0xffc804ff,0x3a1ff601,0xbff0006f,0x3ffffea0,0x403ff700,0xfa800ffc,
    0x8800003f,0xf90004ff,0x13fec03f,0xffa809ff,0x4c03ff73,0x0ffe43ff,
    0x3fecffb0,0xf717fea0,0x07fe403f,0xfd807ff2,0xffd88007,0x40037f45,
    0x7fd42ffa,0xfb100001,0x04ff98bf,0x227ff100,0x01bee0ff,0x017ff620,
    0x403ff900,0x07fe87fd,0xfb003fec,0x0099800b,0xf501bfe2,0x03ff707f,
    0x44007fe4,0xffa804ff,0x01fff303,0xd009ff10,0x87fd80ff,0xf8001ffd,
    0x3fff207f,0x807fee04,0xfa800ffc,0x8800003f,0xfd0004ff,0x7c7fd80f,
    0x3ff600ff,0x6403ff71,0x03ff41ff,0x07fd9ff6,0x7fd46ff8,0x81fff303,
    0x3fec07fe,0xd8dff000,0x7dc001ff,0x01ffdc0f,0x21bfe000,0xd8000fff,
    0xf51fea6f,0x37fc000f,0x01ffa000,0x1ffd0ffb,0x00fffb10,0xa8007fe6,
    0x7fe401ff,0x01ffd103,0x7e403ff7,0x4ff8800f,0x985ff980,0x8800ffff,
    0xffe804ff,0x87ffd880,0xd8006ff9,0xfff303ff,0x00ffdc0b,0xf5001ff9,
    0x1000007f,0x3a0009ff,0xffd880ff,0x9827fe47,0x07fee5ff,0x7f42ffcc,
    0x7ffd880f,0x3fe01ff6,0x4c2ffcc6,0x7f40ffff,0x7ffd880f,0x8bff3000,
    0x54006ff9,0x3ffe61ff,0x3e600005,0x0dffc85f,0x987fea00,0x01bea0ff,
    0x2e2ffcc0,0x1ffd004e,0x90fffb10,0x3ee63bff,0xf3007fff,0x3fe4007f,
    0x4efffc40,0x03ffea88,0x7e403ff7,0x4ff8800f,0x13bfff00,0x01ffdff7,
    0x9009ff10,0x3ee63bff,0xffb07fff,0x43a9835f,0x999cfff9,0x04fffffb,
    0x7e403ff7,0x3ffa800f,0xff880000,0xbff90004,0x3fffee63,0x8efffc47,
    0x2e1fffb9,0xf7309cff,0xbff901ff,0x3fffee63,0x8989ff67,0xf83ffd98,
    0xffb89dff,0x7fe40ffe,0xffff731d,0x4337b10f,0xd83ffea9,0x54c1afff,
    0x2633fe63,0x10bffefe,0x19bd8835,0x40fffaa6,0x999bfffe,0x13fe24da,
    0x27f49ff1,0x530cdec4,0x7fcc7ffd,0xdffc803f,0xfffff731,0xffffff10,
    0x00ff79ff,0x40277ff4,0xff3004fe,0x7fffffff,0x900ffdc0,0x333301ff,
    0x3333bff5,0x3ffffee0,0x80ffabff,0xdffa9999,0xff881999,0xbcffffff,
    0xfffb107f,0x0dffffff,0xfffffff7,0x05fff7df,0x7e403ff7,0xdffa800f,
    0xaaaaaaaa,0x54cccc00,0x01999dff,0xffffff10,0x30ff79ff,0xffffffff,
    0xffffb85f,0x01efffff,0xfffffff1,0x7ecff79f,0x3ffffea7,0xffff705f,
    0x1ff57fff,0xffffff88,0x887fbcff,0xffffffff,0xffb104ff,0xdfffffff,
    0x3fffffe8,0x5ffffffd,0xffffff88,0x2604ffff,0xfffffffe,0x641bf25f,
    0x80fffeff,0xfffffff8,0x7fd44fff,0xfff8804f,0xfbcfffff,0xffffb107,
    0x801fee3b,0xf805fec9,0x3f22002f,0x401dffff,0x3f201ffb,0x7fffcc0f,
    0xffffffff,0xdffff501,0xf303fea5,0xffffffff,0xfb103fff,0x3ee3bfff,
    0x7fff5407,0xb304efff,0x547dffff,0x7fdc1fff,0x003ff201,0x3fffffea,
    0x202fffff,0xfffffff9,0x001fffff,0x3bffffb1,0x7ec41fee,0x880cffff,
    0xefffffda,0xfffd8803,0x6cff71df,0x3fffea7f,0x7ffd402e,0x01ff52ef,
    0x3bffffb1,0x3fa21fee,0x2dffffff,0xffffea80,0x7f4c4eff,0x3ff623ef,
    0x7f441eff,0x2dffffff,0xffffd700,0x07fea5bf,0x00efffb8,0xffffffd1,
    0xffd105bf,0x3ff62003,0x0ff71dff,0x00000330,0x000aa200,0x2e000988,
    0x3ff201ff,0x7ffffcc0,0x1fffffff,0x30004c40,0xffffffff,0x9803ffff,
    0x33100001,0x00088003,0x6403ff70,0xffa800ff,0xffffffff,0x3ffe602f,
    0xffffffff,0x0198001f,0x0004c400,0x33000044,0x00988000,0x00009880,
    0x98800066,0x22000199,0x00880199,0x4c4004cc,0x44000199,0x09800009,
    0x06666200,0x980004c0,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb3264c00,
    0x00007bfd,0xed993260,0x333003df,0x40013333,0x09999999,0x3bfb72a0,
    0x026200ce,0x26620000,0x70000009,0x6f6dcc59,0x00000002,0x00000000,
    0x2600f754,0x00999999,0x30000198,0x00000003,0x9500664c,0x26620009,
    0x77f64c00,0x00cccccd,0x98000000,0x0f2e00cc,0x8004d54c,0x6c03ffe8,
    0x04ffffff,0x07ffee00,0xdff90000,0xfffffd83,0xfc80004f,0x65fee1ef,
    0x05ffffff,0xff917fdc,0xff97fb83,0x980bffff,0x6fffffff,0xfffff300,
    0x3ff20dff,0x3fffffff,0x02efffb8,0xfc8837ec,0x00ffffff,0x20f7fe40,
    0xffff54fe,0xffb809ff,0x8007ff22,0x0003ffe8,0x007bff20,0x7cc0dfff,
    0x06ffffff,0xb007ffaa,0x3ffd50df,0x2e06fd80,0x07ff22ff,0x7e403ff7,
    0xff91000f,0xf905ffff,0xffffffff,0x13fe23ff,0x007fee00,0x7403ff70,
    0x7fffd46f,0x7f4403ff,0x3f603fff,0x004fffff,0x00fffcc0,0x0dffc800,
    0xffffffd8,0x7fe40004,0x7e7fdc0d,0x2fffdacf,0x7edffdc0,0xfcffb81f,
    0x2fffdacf,0x3bbbba60,0xdd3005ee,0x20bddddd,0xecabcefc,0x66541fff,
    0x3fea06ff,0xfffffa81,0x2000ffff,0xfe80dffc,0xfdadffbd,0x7fdc01ff,
    0x2001ffdb,0x03ffffe8,0x0dffc800,0x206fff80,0xeeeeeee9,0xffffe985,
    0x987fea01,0x201ffffe,0x7dc01ffa,0xb81ffdbf,0x3ff201ff,0xffff9800,
    0x7e42ffff,0xffd989df,0x9ff10ccf,0x03ff7000,0x201ffb80,0x77fdc6fe,
    0xd101ffff,0x07ff71df,0x3fe66662,0xfd880004,0x7e40001f,0x2666203f,
    0x20004ffa,0xff703ffc,0x6ff983ff,0x1ffffb80,0x83ffff70,0x00006ff9,
    0x02600000,0x3205ffb8,0x09fd107f,0x8837fff1,0x0fff2001,0x41ffffe8,
    0xfb805ffa,0x22001fff,0x3ffb8efe,0x0fff2000,0x002ffb80,0x7df7cc00,
    0x89fd101f,0x01ffbef9,0x2e009fd1,0xf701ffff,0x07fe403f,0x45efff40,
    0x3fe20a98,0x883ff906,0xfb8004ff,0x7fdc001f,0x111bfa01,0xd905ff98,
    0x802ee98b,0x00004ff8,0x400037ae,0x44001dea,0xd50004ff,0x7ffdc03b,
    0x200fff01,0x3ee01deb,0x0fff01ff,0x00000000,0x437fc400,0xf903ffdc,
    0x007ff60d,0x0077aa00,0xf101fffd,0x37ae00df,0x22f64001,0xa8002ee9,
    0x008001de,0x7c4a0000,0x20df901f,0x3203ff12,0x6f5c006f,0x807fee01,
    0x7cc00ffc,0x5ff5006f,0xf113fe60,0xff70009f,0x1ffb8003,0x7c01bfa0,
    0x4000004f,0x00004ff8,0x00000000,0x00013fe2,0x405ff700,0x400007fd,
    0x3f602ffb,0x00000007,0x3fec0000,0x206ffffc,0xbff01ff9,0xd0000000,
    0x3ff403ff,0x00000000,0x00000000,0x3e200000,0x01ff981f,0x7cc0ffc4,
    0x7000001f,0x7fe403ff,0x01ffdc00,0xf101ffb8,0x04ff889f,0x001ffb80,
    0xfd00ffdc,0x3f66620d,0x4000001f,0x00004ff8,0x00000000,0x00113fe2,
    0x01ffb800,0x00003ff2,0x3201ffb8,0x36e200ff,0x2000bdee,0x0bdeecb8,
    0x36666600,0xffb9987f,0xf9827f43,0x0000003f,0x4c406fe8,0x00000001,
    0x00000000,0x99301dd3,0x88265401,0x04fe81ff,0xfe81ff88,0x2e000004,
    0x3ff201ff,0x007fe400,0xf302ffb8,0x04ff887f,0x001ffb80,0xfd00ffdc,
    0x3ffffa0d,0x99999702,0xff880059,0x332e0004,0x7002cccc,0x05999999,
    0x914ff880,0x6cc9930f,0xffb83dfe,0x303ff201,0x6ff6cc99,0x201ffb83,
    0xff700ffc,0x05ffffff,0xfffffd30,0x3f2205ff,0x7fffffff,0xfc8ffea0,
    0x05ff500f,0xb98b2e00,0x6fe82ded,0x3165c000,0x9305bdb7,0x26540019,
    0x66666644,0x402ccccc,0xffb80ff9,0x203ff201,0x7fe41ff8,0x41ff8800,
    0x64400ffc,0xcccccccc,0x07fee2cc,0x6c00ffc8,0x3fe2007f,0x883ffb06,
    0x332e04ff,0x6cc7fee3,0xffb83dfe,0x6c1bfa01,0xd84ffffe,0x04ffffff,
    0x0027fc40,0xffffffb0,0x3fff6009,0x44004fff,0x87ffcdff,0xffff97fb,
    0x1ffb8bff,0xf703ff20,0x3fffff2f,0x00ffdc5f,0xff901ff9,0xfffb759f,
    0x5fffcc07,0x41fffca9,0xeeeffffb,0x7f647ffe,0x5ff30fff,0x000ffdc0,
    0xfff54fe8,0x6fe89fff,0xaa7f4000,0x44ffffff,0x36002ff9,0xffff986f,
    0x5fffffff,0x5c07fcc0,0x3ff201ff,0x261ff880,0xff1002ff,0x4017fcc3,
    0xfffffff9,0x3ee5ffff,0x03ff201f,0xc800ffb0,0xfda9aeff,0x04ff884f,
    0x7dc1dff9,0xfffffc8f,0x00ffdc5f,0xfd100dfd,0xccccb83f,0x7c4004ff,
    0x32e0004f,0x004ffccc,0x9ff99997,0xffff8800,0xcffb82ef,0xfffdacff,
    0xc807fee2,0x67fdc0ff,0xfffdacff,0xc807fee2,0x77fcc0ff,0x00fffa80,
    0xff301dfd,0x8177fccd,0x77fe47fd,0x7017fa0c,0x3a0003ff,0xdadffbdf,
    0x1bfa1fff,0xf7bfd000,0x3fffb5bf,0xd001ffc4,0x999910bf,0x9ffd9999,
    0xb81ffa80,0x3ff201ff,0x3a1ee880,0x3ba2005f,0x44017fa1,0xcccccccc,
    0x3fee4ffe,0x983ff201,0xbffeaaaa,0xd82aaaaa,0xffffffff,0x709ff104,
    0xffb81dff,0xffdadffd,0x807fee2f,0xff7006fe,0x04ff8805,0x0027fc40,
    0x009ff100,0x8013fe20,0x02efffc8,0x307fffee,0x0ffdcdff,0xfb81ff90,
    0x7fcc1fff,0xc807fee6,0x07fec0ff,0xf509ff70,0x8ffe405f,0x3f601ffc,
    0x03fee007,0x0003ff70,0x507ffffa,0x037f4bff,0x3ffffa00,0x3e2ffd41,
    0x13fe004f,0x81bfe600,0xb81ffeca,0x3ff201ff,0x01ff7000,0x00ffb800,
    0x8dff3000,0x3f201ffb,0x3ffff60f,0xffffffff,0x5d7fd47f,0x2201cded,
    0x77fdc4ff,0x1ffffb80,0xff737fcc,0x4037f403,0x4401fff9,0x7c4004ff,
    0x09ff504f,0x0013fe20,0x44027fc4,0x804ffffc,0xff01fffb,0x900ffdcf,
    0xfffb81ff,0x7dcfff01,0x83ff201f,0x7c404ff8,0x407fd85f,0x0ffd3ff9,
    0xf3007fd8,0x3ff7005f,0x3fffa000,0x3a6ff880,0x7f40006f,0x6ff880ff,
    0x17a62ff4,0x88007ff1,0xfe980fff,0xfb81ffff,0x03ff201f,0x000bfe60,
    0x0005ff30,0x503ffe20,0x3fe607ff,0x3bbbb20f,0xeeeeefff,0x002fec5e,
    0x3ee4ff88,0xfff700ef,0xfb9ffe03,0x8fff503f,0xffffeeed,0x04ff8804,
    0x4427fc40,0x8803ffff,0xf10004ff,0xfffb809f,0xfb804ffe,0xb9ff602f,
    0x3ff201ff,0xb017fdc0,0x00ffdcff,0x7fcc1ff9,0xe87fe802,0xa7fc405f,
    0xfd880ffe,0x0bfd007f,0x0007fee0,0xfd00fff4,0x00037f4f,0xfe807ffa,
    0x3f237ec7,0x007fe60f,0xd105ffb0,0x20335bff,0x3f201ffb,0x05fe800f,
    0x005fe800,0x20bff600,0xff985ff9,0x3fec00ff,0x001ffd00,0x3ee9ff10,
    0x3fee00ef,0x5c3ff602,0xfffa85ff,0x7ffffec7,0x9ff1003e,0x84ff8800,
    0x805ffffa,0x10004ff8,0xefc809ff,0xb804ff8a,0x3ff201ff,0x6403ff70,
    0x0ffdc0ff,0x3ee1ff90,0x83ff201f,0xfd801ffb,0xffffff87,0x5fffffff,
    0x2e63bff9,0xb807ffff,0xff7000ff,0x1bfa0003,0x37f43310,0x01bfa000,
    0x47fb8331,0x3fea3fff,0x0fff2000,0xb8027fdc,0x3ff201ff,0x207fdc00,
    0x07fdc000,0x3ffc8000,0x2277ffe0,0x00ffeffb,0xf9003fec,0x999bddff,
    0x79ff1015,0xfb801dff,0x43ff201f,0xb99dfffb,0x10bffdff,0x80033555,
    0x44004ff8,0xfff884ff,0x4ff8804f,0x09ff1000,0x13fe22b8,0xc807fee0,
    0x03ff70ff,0x3ee07fe4,0x43ff201f,0x3f201ffb,0x007fee0f,0xff883ff2,
    0xffffffff,0xfff15fff,0xf79fffff,0x23ff880f,0x7dc2eeea,0xdfd0001f,
    0x00dfd000,0x0006fe80,0x3fe61ff5,0x801fee6f,0x3f205ffa,0x3ff7001f,
    0x1007fe40,0x3ffa67ff,0x3ff8802e,0x800bbbaa,0x7dc05ffa,0xabffffff,
    0x3fec00ff,0xffffb100,0x89ffffff,0x0fffeff8,0x201ffb80,0xfff70ffc,
    0xf17fffff,0x40000dff,0x44004ff8,0xbff504ff,0x013fe200,0x0027fc40,
    0x2e013fe2,0x3ff201ff,0x6403ff70,0x0ffdc0ff,0x3ee1ff90,0x83ff201f,
    0xfd802ffa,0x0005ff87,0x3bffffb1,0xdfb01fee,0x217fffc4,0xd0001ffb,
    0xdfd000df,0x06fe8000,0x323ff300,0xdf91ffcf,0x03bfe200,0x7000ffd8,
    0x7fe403ff,0xfe9bf600,0x6c01ffee,0x3fffe26f,0x1dff1002,0xdffff500,
    0xb003fea5,0x7f4400ff,0xffedcccf,0x33fe24ff,0xfb805ffc,0x43ff201f,
    0xefffbffb,0xec9bfea1,0xff88000d,0x27fc4004,0x9ff10000,0x13fe2000,
    0x009ff100,0x7e403ff7,0x2e00000f,0x3ff201ff,0x23fec000,0xff803ff9,
    0x0006fe85,0x04fe8198,0xcfd83fea,0x0ffdc2ff,0x006fe800,0x3fa00000,
    0x5ff10006,0x6d3f67fa,0x3ffd005f,0x002ffd80,0x7e403ff7,0x41ff500f,
    0xa80ffe29,0x3f3f60ff,0x3ffd002f,0x6c098800,0x07fd804f,0xa803ffa0,
    0x53fe27ff,0x7dc04ffd,0x43ff201f,0x40130ffb,0x0dfff708,0x009ff100,
    0x0004ff88,0x0013fe20,0x20027fc4,0xfb804ff8,0x03ff201f,0xf7001330,
    0x07fe403f,0xf11bfa00,0x3ffa80df,0x0001ffd8,0x2205fc80,0x23bea3ff,
    0x0ffdc2ff,0x006fe800,0x40013300,0x3e0006fe,0xff76f9bf,0x3f2013f6,
    0x5ffa803f,0x207ff500,0xf880fff9,0x0ffe203f,0xdf51ffc4,0xf9005ff1,
    0x3200007f,0x0ffb006f,0x200ffe60,0x9ff10ffd,0xb80fffa2,0x3ff201ff,
    0x0001ff70,0x001ffffd,0x4004ff88,0x00004ff8,0x40013fe2,0x44004ff8,
    0xffb804ff,0x803ff201,0xfb801ffa,0x03ff201f,0xc84ff980,0xffd103ff,
    0x00dff301,0x02ff8800,0x2ff89bf6,0x1ffb85ff,0x00dfd000,0x003ff500,
    0xd00037f4,0x3e29f99f,0x5c03ff9f,0x3fa005ff,0x5ff9805f,0x80ffff98,
    0x3f6206fd,0x44dfb00e,0x805ff2ff,0x00005ffb,0x36005ff1,0x7ff7007f,
    0x7c4ffd00,0x0fffa24f,0xf900ffdc,0x007fee1f,0x03ffff60,0x009ff100,
    0x0004ff88,0x0013fe20,0x20027fc4,0xfb804ff8,0x03ff201f,0xf7007fc8,
    0x07fe403f,0x07ff5c40,0x44efffc4,0x203ffea8,0x4c1afffd,0x3fe6003a,
    0x643ff503,0x3dffccff,0x40007fee,0xc80006fe,0x37f4007f,0xfdbfb000,
    0x0ffe7ec3,0x800dff30,0x09bffff8,0x713bfff0,0xa81ffdff,0xdfd101ff,
    0xc87fea01,0x3dffccff,0x000dff30,0x8027fc40,0xff3007fd,0x3ff2203f,
    0xf313fe24,0x3ff705ff,0xfb87fe40,0xfe88001f,0x9999802f,0x1999dffa,
    0x7fcccccc,0x0009999d,0xbff53333,0x26603333,0x99dffa99,0x54cccc19,
    0x81999dff,0x3f201ffb,0x013fa00f,0xf900ffdc,0xfff8801f,0x3ffe603f,
    0x03ffffff,0x7ffffec4,0x4006ffff,0x3e25effe,0x7fffe44f,0x3fee6fff,
    0x0dfd0001,0x009fd000,0x20006fe8,0x7d46fffb,0xfd100fff,0x3333335f,
    0xfffd1033,0xfff70dff,0xff57ffff,0xa827fc41,0x3fe204ff,0x7ffffe44,
    0xffe886ff,0x9999999a,0x7ffec001,0x003fec05,0xb9dffffb,0xf88dfffd,
    0x2fffa84f,0xf900ffdc,0x007fee1f,0xf9800980,0xffffffff,0xfff31fff,
    0xffffffff,0xfff3005f,0xffffffff,0xffff983f,0xffffffff,0xffffff31,
    0x83ffffff,0x3f201ffb,0x00bfe00f,0xf900ffdc,0xfff8801f,0xfffc8802,
    0x2a001dff,0xeffffffe,0x7f5cc004,0x2621bf25,0x20bff999,0xd0001ffb,
    0xff0000df,0x06fe8005,0x13ffea00,0x5c0ffff1,0xffffffff,0xb501ffff,
    0x3ea0dfff,0xff52efff,0xff037e41,0xfc8dffff,0xf9999886,0xfffb80bf,
    0xffffffff,0x3ae2001f,0x03fec06f,0x3fffff20,0xf883efff,0x3fff704f,
    0xf900ffdc,0x007fee1f,0x3fe60000,0xffffffff,0xffff31ff,0xffffffff,
    0xffff3005,0xffffffff,0xfffff983,0x1fffffff,0xfffffff3,0xb83fffff,
    0x3ff201ff,0x40055100,0x3f201ffb,0x04dc400f,0x0004c400,0x000ccc40,
    0x00ffd400,0x7fdc2ff8,0x0dfd0001,0x002a8800,0x20006fe8,0xfd81fff9,
    0x3ffee06f,0xffffffff,0x154c401f,0x2a002620,0x3ffe01ff,0x3fea6fff,
    0x205ff001,0xfffffffb,0x001fffff,0x01ff6000,0x5565d4c0,0x813fe201,
    0xff71fffc,0x987fe403,0x000000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x32e00260,0x0cca800c,0x24c98000,0x003dfdb9,0xb7500008,
    0x40d959dd,0x02bccba8,0x15e665cc,0x3332a600,0xca8801ac,0xa88000ac,
    0x544009bc,0x02aa801a,0x26666666,0x801aa880,0x2aaaa2aa,0x02aaaaaa,
    0x00aaa980,0x4c000398,0x2000acca,0x0f6c43ec,0xbccb9880,0x40073002,
    0xaaaaaaaa,0x2ea201aa,0xaaaaaacc,0xccb98802,0xaaaa80ac,0x553001aa,
    0x01335555,0x2aaaaaa2,0x55554001,0x555001aa,0x55555555,0x40055543,
    0x35511aa8,0x20055500,0x7dc02ffd,0x47ff804f,0x4ffffffd,0x7fd5fee0,
    0x2005ffff,0xd1001ffd,0xffffffff,0x3fffee0f,0xfe83ffff,0x2effffff,
    0x7ffff540,0xb101ffff,0x09ffffff,0x3ffffe60,0xff300dff,0x20dfd007,
    0xfffffff9,0x803ff986,0x3fffa6fe,0x0fffffff,0xffffeb80,0x07fe402f,
    0x7ffec400,0x4c00efff,0x3fee0fff,0x7ffec406,0x202fffff,0xfd000ffc,
    0xffffffff,0x3fffee0b,0xffffffff,0xffffb100,0xfe89ffff,0xcfffffff,
    0xfffff700,0x9819ffff,0xffffffff,0xfffe804e,0x00cfffff,0xfffffffb,
    0x7fe4bfff,0x31ffd804,0xdfd007ff,0x0dfff300,0x4c07ff88,0x7ffec4ff,
    0x3ee04fff,0xecbdffbf,0xff9804ff,0xfff9805f,0x7ffdbabc,0xdcefffb8,
    0x7f42ffff,0xffffedee,0xddfff702,0x103ffddd,0xffbbfffd,0x7fdc01bf,
    0xeffebbdf,0x803ff981,0xddd306fe,0xf30bdddd,0x4dfd007f,0xfffffffe,
    0x3ea00fff,0x2fffffff,0x0007fe40,0x3bbfffe6,0x2201efff,0x2ffd47ff,
    0xdffffd30,0x6407fffd,0xffd000ff,0xbfffffff,0xddfffd88,0xeeeeefff,
    0xfffffa80,0x745fffee,0xffffffff,0xfffb82ff,0xefffffff,0x3ffffe60,
    0x02efffff,0x3ffffffa,0xfd82ffff,0xffffffff,0x03ffe25f,0x3e64ffa8,
    0x06fe803f,0x805fff98,0x3f202ffd,0x54ccc41f,0x3fee04ff,0x7ff442ff,
    0x2fffc400,0xd80f7f40,0x077fcc7f,0x02a3ffdc,0x261fff22,0x02601fff,
    0xfb10fffa,0x13fee07f,0x260fff44,0x6fe803ff,0x3fe60000,0x3a6fe803,
    0x3ea0005f,0x4001adff,0x22000ffc,0x3620bfff,0x05cc07ff,0xfff301d4,
    0x4079303b,0x80000ffc,0x7fe45ff8,0x401ff60c,0x981cfffb,0x223ff44c,
    0x5c2fffd9,0x7f5441ff,0x10ffe65f,0x205fffb3,0x7ecc47fe,0x03fec2ff,
    0xd02ffd40,0x1ffcc1ff,0xb8037f40,0xff9801ef,0x201bfe05,0x3ee04ff8,
    0x7ff701ff,0x801bd700,0x3f602ffb,0xd01ffdc7,0x3e2001ff,0x1ffec1ff,
    0x827fcc00,0xff887fe8,0x22ff4403,0xfe803ff9,0x3e600006,0x26fe803f,
    0xf10005fe,0x640003df,0x3f2000ff,0x0fff603f,0x7fec0000,0x7fe40004,
    0xff880000,0x3617fe25,0xfff8807f,0x07fe8002,0xff71bfea,0x99ffe203,
    0x3fee03ff,0x540ffd06,0x03fec6ff,0xb81ffe80,0x1ffcc3ff,0x00037f40,
    0x501ffd00,0xff1007ff,0x017fdc09,0x00009ff1,0x7ec06fe8,0x9007fe47,
    0x7e4001ff,0x003ffc1f,0x2e00ffd8,0x437e42ff,0x87fe61a9,0xfe803ff9,
    0x3e600006,0x26fe803f,0xfb0005fe,0xccc8001f,0xccccffec,0x3fe20ccc,
    0x037fc406,0x2ffd4000,0x76666400,0xccccccff,0xbff1000c,0x7ec0ffe4,
    0x03ffc807,0xc80ffd00,0x07fee3ff,0xff30ffe8,0x83ffd807,0x7fe407fe,
    0x4001ff63,0x7fc46ff9,0x803ff986,0x000006fe,0x3f60ffee,0x4ff8800f,
    0xf007fee0,0xf80000bf,0x23fec05f,0x3fe03ffa,0x43fe4006,0x44000ffe,
    0x7fe405ff,0xfa8bfe25,0x97fa7fff,0xfe803ff9,0xcccccb86,0x0ffe602c,
    0x5fe9bfa0,0x03ff8800,0xffffff80,0xffffffff,0x200ffee0,0xccb81ffe,
    0x7402cccc,0xff8001ff,0xffffffff,0x1000ffff,0x837fcbff,0x7fcc07fd,
    0x1ffa0006,0x7dcdff10,0x99bfa01f,0x7fc403ff,0x4407fe86,0x01ff66ff,
    0x322ffc80,0x3ff981ff,0x9706fe80,0x00599999,0xff11bfe2,0x13fe200b,
    0x7c01ffb8,0x6666446f,0x2ccccccc,0xfb013fe2,0x905fff0f,0xfe8007ff,
    0x00dffc85,0x440bfe60,0x3ea6fffd,0x337ffe67,0xff99fea7,0xd86fe803,
    0x04ffffff,0x3a00ffe6,0x0017fa6f,0x20003fee,0xcffecccc,0x20cccccc,
    0xfb800ffc,0xffffd82f,0x37fc04ff,0xecccc800,0xccccccff,0xbff1000c,
    0x7ec13fe2,0x01ffd407,0xd00ffd00,0x80ffdcff,0x3fe64ff8,0xe87fe803,
    0x27fe807f,0x220007fd,0x09ff16ff,0x3a00ffe6,0xffffb06f,0x7ec009ff,
    0x00bfea1f,0xf7027fc4,0x46ff803f,0xfffffff9,0x3e65ffff,0x43fec03f,
    0xe98cfffb,0xb1000dff,0xfff303ff,0x3fea005d,0xfffffa82,0xdfe9bee7,
    0x7ccff300,0x86fe803f,0x4ffccccb,0x200ffe60,0x2bbfa6fe,0x7fd8009a,
    0x0026f2a6,0xd8007fe4,0x7ff5007f,0xff999970,0x02ffcc09,0x00ffc800,
    0x35ff8800,0x1ff607ff,0x0003ff90,0x7ec03ff4,0x303ff70f,0x7fcc3dfd,
    0x40ffd803,0xffd807fe,0x8000ffb0,0x0ffdbffb,0xd007ff30,0x3332e0df,
    0x2a004ffc,0x01ff64ff,0x2e04ff88,0x27fc01ff,0x33333322,0x224ffecc,
    0x3fec04ff,0xffffff98,0x7666403f,0x3ea00dff,0x200befff,0x7fe41ffb,
    0x3f27fcbf,0x4407ff15,0x07ff31ff,0xf100dfd0,0x1ffcc09f,0xffd37f40,
    0x039fffff,0x3fff3bfa,0xc803ffff,0xdfd000ff,0x013fe600,0xfa813fe2,
    0xf900004f,0xf100001f,0x40bfeabf,0x4eeeeffd,0x2aa03ff6,0xfdd2aaaa,
    0x905dddff,0x37fee3ff,0x0cffedcc,0x6401ffcc,0xfffdd1ff,0xff905ddd,
    0x2aabff63,0x400aaaaa,0x203ffffe,0xeeeeeff9,0x06ffeeee,0x8009ff10,
    0x09ff17fe,0x7027fc40,0x7fcc03ff,0x37fcc003,0xfd013fe2,0x7fffcc0f,
    0x7ffc00ef,0x4401dfff,0x0cfffffd,0xfd10ffc8,0x43fee3df,0x01ff33fd,
    0x7ff32ff8,0x100dfd00,0x7fcc09ff,0x3a6fe803,0xffffffff,0xfffff82f,
    0x4fffecde,0x8007fe40,0xff3006ff,0x09ff100b,0x0001ffdc,0x0000ffc8,
    0xff75ff88,0x3ffff603,0x21ffa5ff,0x6ffffff8,0xffffffff,0x2e5ff707,
    0xffffffff,0x1ffcc1cf,0xff97fdc0,0x83ffffff,0xfffb2ffb,0x3fffffff,
    0x06fff980,0x7fffffcc,0x6fffffff,0x009ff100,0xffbaffb8,0x13fe2001,
    0x3201ffb8,0x3e2001ff,0x07ff80ff,0x74c1fff6,0x2ffffeff,0x3fb73320,
    0xfc8804ff,0x7dc3ffff,0x45fffa8f,0x29fb0ffc,0x7fc01ff9,0xd007ff31,
    0x9ff100df,0x401ffcc0,0x6d4c06fe,0x7ffc2fff,0x1ffe980c,0x3ff66662,
    0xf8199999,0x9ff3006f,0x409ff100,0x00003ffb,0x00001ff9,0x3feebff1,
    0x999ffb02,0x443ff479,0x96ffffff,0x3999fff9,0x3ee5ff70,0xffecccdf,
    0x0ffe62ff,0x664bff20,0x81cccfff,0xfffb2ffb,0x3fffffff,0x803ffb00,
    0xcccceff9,0x06ffcccc,0x8009ff10,0x06fedff8,0x7027fc40,0x3fe603ff,
    0x17fec005,0xfc82ffc8,0xeffb87ff,0x07fffb32,0x027fecc0,0x47fffd70,
    0x2fffdffb,0x57f27fc8,0x3e203ff8,0x007ff30f,0xff100dfd,0x01ffcc09,
    0xf70037f4,0x405ff8bf,0x3fea4ffa,0xffffffff,0x03ffc0ff,0x8803ff98,
    0x3fea04ff,0xff900004,0xff100001,0x6c0bfeab,0x07fec07f,0x3fa37fc0,
    0x71ffd807,0xff7103ff,0x00ffe63f,0xffd07ff6,0x363ffb00,0xffb8007f,
    0xffffffff,0x01ffcc7f,0xf88037f4,0xffd8004f,0x7c4003ff,0x33fee04f,
    0x1fff7309,0x01ffe400,0xd515fff3,0xf98ffbdf,0xfffb80ef,0x07ff4000,
    0x43fff200,0x01effffa,0xd37dcffb,0x4c5117df,0x00ffe67f,0x3e201bfa,
    0x0ffe604f,0xf001bfa0,0x806ff8ff,0x3ffea6ff,0xffffffff,0x803ff40f,
    0xf8802ffa,0x17fe604f,0x07fe4000,0xaffc4000,0xffb03ff9,0x801ffc80,
    0x03ff46ff,0xffb87ff4,0x4d3fee01,0xffe803ff,0x7403ff40,0x00ffb0ff,
    0xffffff70,0x98ffffff,0x6fe803ff,0x009ff100,0x01ffff50,0x204ff880,
    0xfffffffb,0x2a001eff,0xffb805ff,0xfc8effff,0x900ffe47,0xfc8007ff,
    0xffd8001f,0x809fff32,0x43fe66fe,0x27fffff9,0x0ffe66fb,0x2201bfa0,
    0x3fe604ff,0x006ff803,0xffd07fec,0x640ffd00,0xffb000ff,0x03ff9003,
    0x4409ff10,0x900006ff,0x100001ff,0x13fe2bff,0x3ee03fec,0x46ff803f,
    0x7fc407fe,0x9807fee7,0x07ff35ff,0xfe86ff88,0xb3ffc407,0x331000ff,
    0x335ffb33,0x03ff9833,0xf1006fe8,0x3fe0009f,0xff88004f,0x3fffee04,
    0x4003efff,0x7000eff8,0x3219dffd,0x2037f47f,0x64004ff9,0xfa8001ff,
    0x80dff13f,0x27f44ff9,0x749dfdb3,0x00ffe63f,0x3e201bfe,0x13fe204f,
    0xd0013fe0,0x00ffd8ff,0xff9037fc,0x0ffee001,0x4401ffe0,0x7ff404ff,
    0xffc80002,0xffa80000,0x7ec1ffe4,0x037fcc07,0x1ffa37fc,0x7dc9ff70,
    0x57fe201f,0x7e403ff9,0x407fe84f,0x1ff64ffb,0x0ffe4000,0x200ffe60,
    0xff1006fe,0x3ffe0009,0x4ff88000,0x2627fee0,0x3ffa0000,0xd8088001,
    0x01bfe27f,0xe8009ff3,0xff70007f,0x900ffe45,0x0ffa81ff,0x260ffa80,
    0x7fcc03ff,0x04ff8805,0x3ea037fc,0x3fe2003f,0x101ffdc5,0x7fdc09ff,
    0x0dff1002,0x1003ffa8,0xffa809ff,0xffb80006,0xffc80002,0x360bff22,
    0x2ffd807f,0x3fa37fc0,0x83ffe207,0x3ea01ffb,0x407ff33f,0xfe80fff9,
    0x83ffe207,0xa88007fd,0xabffdaaa,0x1ffcc2aa,0x88037f40,0xfb8004ff,
    0xff10004f,0x00ffdc09,0x01ffe400,0xd1ff6000,0x7fec03ff,0x13fee002,
    0x83ffe200,0xff506ff9,0x803bfa0b,0x7fcc3ffa,0x027fdc03,0x36027fc4,
    0x3ffa02ff,0x5ffd1000,0x3606ff88,0x3fea01ff,0x17ff2005,0x1003ffcc,
    0xffd009ff,0x2a00801d,0x028805ff,0x7c41fff1,0x03fec0ff,0xf01fffcc,
    0x507fe8df,0xffb89fff,0x23fff101,0xff703ff9,0x41ffa07f,0x7ec4fffa,
    0xfffa8007,0xffffffff,0x401ffcc7,0xff1006fe,0xfff98009,0x9ff10000,
    0x000ffdc0,0x0017fee0,0xf71ff600,0xb31137ff,0x26a21dff,0xdffd7331,
    0x99aace98,0x83fffca9,0xb989effd,0xff301fff,0x7fe4415d,0x2a3ff985,
    0x0fffc99a,0x404ff880,0x889cfff9,0x2a23ffea,0xffc99899,0x3dff903f,
    0x2027fecc,0x98bdfff8,0x7ffcc0b9,0xfffca9be,0x13fe2002,0x33fffea0,
    0x03fcaa9b,0x22f7ffe2,0x7df10b99,0x09fff935,0xd137dff9,0x033333ff,
    0x357bfff9,0xfe8dff73,0xffedbaaf,0xabffb84f,0x3fffdbaa,0x32ab7fe6,
    0x204fffed,0xedbaaffe,0x7fd84fff,0xeeeea800,0x6eeeefff,0x7401ffcc,
    0x9ff1006f,0x0fffdc00,0x09ff1000,0x0000ffdc,0x0000dff3,0x3f61ff60,
    0xffffffff,0x3fffee0e,0x40dfffff,0xfffffff9,0x3604ffff,0xefffffff,
    0x7fff4401,0x303ffffe,0x7ffe47ff,0x33303fff,0x333bff53,0xfffff703,
    0xf989ffff,0xffffffff,0x7fffec03,0x5005ffff,0xffffffff,0xffffd101,
    0x9805ffff,0x9dffa999,0xffd30199,0x7fffffff,0xfffffa80,0xfff10fff,
    0x01bfffff,0x3ffffff2,0x0fffffff,0xffffffa8,0x7f46ffff,0xffffffff,
    0xfffff703,0x987fffff,0xffffffff,0x7ff402ef,0x3fffffff,0x0000ffb0,
    0xf3007ff2,0x0dfd007f,0x3fea6666,0x7fc1999d,0x4003ffff,0xdffa9999,
    0x3fee1999,0xffd10001,0x33333335,0x1ff60003,0x7fffff4c,0xffffb83e,
    0xb101deff,0xffffffff,0xffd70039,0x5c0019df,0x02cefffd,0xffb8ffe6,
    0xff301dff,0xffffffff,0xffb103ff,0xf303bfff,0x19dfffff,0x3fffae00,
    0x6cc002df,0x00efffff,0xbdfffd91,0xffff9801,0xffffffff,0x3fff6e01,
    0x9800bcef,0x0efffffd,0x3bffffaa,0xfffda803,0xffffffff,0xfffd9100,
    0xfe817dff,0x02ceefff,0x7fffffdc,0xfff302ce,0x0039ddff,0x3bbffffa,
    0x03fec02c,0x01ffc800,0x7401ffcc,0xffff986f,0xffffffff,0x07bfffe1,
    0xfffff300,0x3fffffff,0x40007fee,0xfffffffb,0x001fffff,0x98807fd8,
    0x19998801,0x19998800,0x0004c000,0x80000440,0xfff98008,0xffffffff,
    0x004c401f,0x0004ccc4,0x800004c0,0x4c000998,0x3ffe6000,0xffffffff,
    0x0031001f,0x80133100,0x26200019,0x33300000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xffffffff,0x2aa1ffff,0xff30000a,0xffffffff,
    0x02aa63ff,0x7fffdc00,0xffffffff,0x02a98001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0xaaaaaaaa,0x54402aaa,0x40009bcb,
    0xaaaaaaa8,0x5555551a,0x26355555,0xaaaaaaaa,0x10aaaaaa,0x44000155,
    0x100abcba,0x55555555,0x40355555,0x015441a9,0x00aaa980,0x77ff6dc4,
    0x9973103d,0x4cb80015,0x20155440,0x65402aa9,0x2a0bdeed,0x8d5401aa,
    0x800002aa,0xa9802aaa,0x019aaaaa,0x8800aaa0,0x09aaaaaa,0x88055500,
    0x0554c0aa,0x54c55530,0xaaaaaaaa,0x2a0aaaaa,0xaaaaaaaa,0x5551aaaa,
    0x0d54c003,0x53001555,0x00554435,0x2aaa5530,0x42aa6000,0x4c000aa9,
    0xaaaaaaaa,0x98aaaaaa,0xffffffff,0x3ee06fff,0x03ffffff,0x3fffff60,
    0xfffd5fff,0xbfffffff,0x3ffffff2,0xffffffff,0x0007ff51,0x3fffffea,
    0xffff882f,0xffffffff,0x317f204f,0xff3000ff,0x7fd403ff,0x86ffffff,
    0xfffffffc,0x7ffea802,0x017ffcc0,0x3a60dffd,0x5fffffff,0xe80dfff1,
    0x000dff5f,0x0ffffa80,0x7ffffdc0,0x400befff,0x3ea005ff,0xefffffff,
    0x203fec02,0x7fe42ffa,0x43fff101,0xfffffffc,0x1fffffff,0x3ffffffe,
    0x74ffffff,0x3e200dff,0x17ff20ff,0x4c1fff10,0x3f2002ff,0x4007ff96,
    0x3ff71ffd,0xffffc800,0xffffffff,0xffff99ff,0x6fffffff,0xb9bfff90,
    0xf1007fff,0xddddffff,0x3fffffa9,0xf95fffff,0xffffffff,0x2a3fffff,
    0xfc8003ff,0xfffdcdff,0x7ffffc44,0xffffffff,0xf513f604,0xfffd000d,
    0x3ffe603f,0x25cbaaab,0xfeefffe8,0xfd502fff,0xfa80ffff,0xfff305ff,
    0x9dfff50f,0x3e2bf995,0x3fa02fff,0x0000dff5,0x02ffffd8,0x7f777fdc,
    0x200effff,0x3ea005ff,0xffffffff,0x01ff604f,0xffc85ff5,0xc85ffb01,
    0xf0fcc006,0xffffffff,0x7f49ffff,0x3ffc802f,0x3201ffe8,0x17fc43ff,
    0x3e6bfb00,0x9bfe006f,0x64001ffb,0xffffffff,0x01ffffff,0xf3003ff9,
    0x00b701df,0x817fbbee,0xc80007fe,0x7fd401ff,0x6ffcc003,0x207ff440,
    0x99999999,0x203ffb99,0x037dc3fd,0x3ff7fee0,0x001ffb01,0xf702ffe6,
    0x7ff4c1ff,0x5407ffef,0xfc80ffff,0x7ffc47ff,0x7ffc4603,0x7d7fa06f,
    0x7c00006f,0x5c05ffdf,0xffea81ff,0x8017fe06,0x7e543ffa,0x0ffb01ff,
    0x7e42ffa8,0x84ffc81f,0x406aea6c,0x266661f9,0xff999999,0x01bfea0f,
    0x3ea0dff1,0x0dff306f,0x6c007ff1,0x003ffe5f,0xffb8ffea,0x0009aaab,
    0x4001ffc8,0xfc801ffc,0xff80001f,0x3fa05feb,0xffc80007,0x01ffd401,
    0x4403ffa0,0xfd0005ff,0x642fe80f,0x3fe2005f,0xfd01ffbc,0x201a800d,
    0x3ff22ffd,0xa80fff2e,0xff83fedf,0x1ffe47fc,0xffeff880,0x3febfd01,
    0x3ea00006,0x5c07fe9f,0x3ffa01ff,0x400bff02,0xffb03ffa,0xfffffb89,
    0xffffffff,0x3ff90fff,0xd905ffa8,0x2177ffdc,0x7ec001f9,0x03ffd83f,
    0xfd80bff2,0x01ffe83f,0x7f4007ff,0x200fff24,0x3fee1ffd,0x2effffff,
    0x007ff200,0xd003ff90,0xf50000df,0x740bfd1f,0xfc80007f,0x1ffd401f,
    0x809ff100,0x54000ffd,0x4ccc43ff,0xfd999bff,0x7ec0199d,0xb01ffb8f,
    0x400005ff,0x0fe63ffa,0xdfb80fff,0x577d46fc,0x0037fc7f,0x0bff7ff1,
    0x037fd7fa,0x2effb000,0x3fee02ff,0x413fe601,0x416445ff,0xff503ffa,
    0xfffffb8b,0xffffffff,0x3ff90fff,0xc8077fcc,0x17fdcc46,0x7d4003f3,
    0x1fff306f,0x880dff30,0x3fee0fff,0x8013fe04,0x17fe64fe,0xff71bfe0,
    0xffffffff,0x07ff200d,0x003ff900,0xb0000bff,0xe817fa9f,0xfc80007f,
    0x1ffd401f,0x807ff500,0x74001ffb,0xffffb87f,0xffffffff,0x3fea07ff,
    0x2a03ff72,0x000adfff,0x4027fcc0,0x6fdc07ff,0x2ff60ff9,0x9ff30ffa,
    0x65ffc400,0xf5fe81ff,0x7c0000df,0x40bff35f,0x3e201ffb,0x22bff05f,
    0xffa82ffc,0x98bff103,0xaaaaffea,0x2cffcaaa,0x7f447ff2,0x881b200f,
    0x003f30ff,0xc803ffe2,0x1ffd84ff,0xf15ffb80,0x04fe80df,0xfff0ffa0,
    0x21ffd401,0x7d441ffb,0xffc805ff,0x0ffe4001,0x0002ffc0,0x2ff47fe2,
    0x0000ffd0,0xfa803ff9,0x3fea003f,0x017fd403,0xd507ff30,0xddddffdd,
    0x20bdddff,0x3fee5ff8,0x3fffee01,0xf50002df,0x0fff007f,0x27fd5fc8,
    0x0ffa8ff8,0x44005ff5,0x85ff8bff,0x00dff5fe,0xe8bfea00,0x07fee07f,
    0xff05ff88,0x03dfff9d,0x3ea07ff5,0x80ffb04f,0x7fe42ffa,0xc803ffb1,
    0xf997e406,0x07ff9001,0x260fff88,0x3fa005ff,0x401ffdaf,0x41e445fe,
    0x17fe43ff,0xfb83ff90,0x5ffd101f,0x001ffc80,0x7c00ffe4,0x7e40005f,
    0xfe817fa6,0xffc80007,0x01ffd401,0x9809ff30,0x3f6003ff,0x43fcc00f,
    0xffd801ff,0x1007fee0,0x3dfffff9,0x01ffc800,0x7e407ff8,0x57eedf75,
    0x5ff70ff9,0xd9ffc400,0xfaff40ff,0xfb00006f,0x817fe41f,0x3e601ffb,
    0xfffff04f,0x1ffd405d,0xd80fff44,0x17fd407f,0x3fee7ff2,0x6406c802,
    0x5003f32f,0x3ee00dff,0x003ff64f,0x4fffff98,0x7dc5fd80,0x2617fc0f,
    0x1bfe05ff,0xfa807fee,0x0ffe403f,0x407ff200,0x99dff998,0xf8009999,
    0x333bfa3f,0xddffd2cc,0x85dddddd,0xbffdaaaa,0x7fd40aaa,0x07ffc003,
    0x2009ff50,0xfa804ff9,0x2007fc46,0x7fdc2ffa,0x3ff6a001,0xff1001ff,
    0x01ffe00d,0x27fe2bf9,0x23ff32fe,0x22003ffa,0x89ff33ff,0x80dff5fe,
    0x3fe02ffc,0xb827fcc5,0x3ffa01ff,0x77ffe441,0xacffa802,0x03fffcaa,
    0x26667ff6,0x42ffb999,0x04ffbffc,0x7fcc0d90,0xf8803f30,0x3fe000ff,
    0x004ff98f,0x00ffffc8,0x7ff46fd8,0x3e0bfe23,0x07ff307f,0x7c403ff7,
    0x0ffe405f,0x407ff200,0xfffffffc,0x5403ffff,0x3fffa0ff,0xfffd3fff,
    0x5fffffff,0xffffffd8,0x7d42ffff,0x7fdc003f,0xffb531af,0x3ff6007f,
    0x4c5fb800,0x3fa200ff,0x001ffb85,0x005ffd88,0x3e003ffd,0xb2fec07f,
    0x7fccffbf,0x4009ff31,0x3ff63ff8,0x37fd7fa0,0x03ffff70,0xfff05ff5,
    0x2607fee0,0x3f224ffd,0x2a006fff,0xffffffff,0x7ffec02e,0xffffffff,
    0x7fffe42f,0xa8d9000f,0x3e62fffe,0x01ffe401,0x3f73fea0,0xff88000f,
    0x4df9004f,0x3e25fff8,0x82ffc81f,0xffb80ffc,0x017fe201,0xc8003ff9,
    0xfff901ff,0xffffffff,0x745fd807,0xd2ccccef,0x999999ff,0xfffd8399,
    0x2fffffff,0x4001ffd4,0xfffffffd,0x9802ffff,0xbf9004ff,0x7e407f98,
    0x01ffb80f,0x201bfe00,0x3e004ffd,0x527ec07f,0x7fcc9fff,0x001fff12,
    0xffa8ffe2,0x37fd7fa3,0x05ffff90,0xff901ffb,0xdddff705,0x98bfffdd,
    0x005ffeff,0x3fffffea,0xffd800ef,0xffffffff,0x67fe42ff,0x8d9006ff,
    0x7cc0acfb,0x01bfe601,0x1fffff40,0xffffb800,0x2e6fb800,0xff10ffef,
    0xd09ff303,0x07fee0df,0x6404ff98,0x7e4001ff,0x05ff801f,0xe85ff100,
    0x01ffa05f,0x007ff200,0x20007ff5,0xadffffda,0xfd801ff9,0x89fb000f,
    0x3fe606fa,0x003ff703,0x9017fe60,0xff800bff,0xf127f407,0x17fc43ff,
    0x1001bff9,0x0ffe87ff,0x81bfebfd,0xf81ffffb,0x09ff506f,0xfffffff7,
    0x25d305ff,0x3ea005ff,0x03ffea3f,0xfa80ffb0,0x64ffe42f,0x46c804ff,
    0x03f301fb,0x0007ffa2,0x0037ffcc,0x5fffff98,0x3fa7fb80,0x1ff33ffa,
    0xff31ffe0,0x807fee07,0x7e402ffc,0x7fe4001f,0x005ff801,0xbfd0ff90,
    0x0003ff40,0x2a00ffe4,0x080003ff,0x4c00ffb8,0x3ba604ff,0xeeeeeffe,
    0x3a0eeeff,0x07fee06f,0xa9866f62,0x3f202ffe,0x7ff8005f,0x3f627f40,
    0xd117fc46,0x53337fff,0x50ffe29b,0x7d7fa7ff,0x1ffec06f,0xff01ffd4,
    0x99bff70f,0x7fc00359,0x0ffea005,0xfd80bff5,0x217fd407,0x7ffd1ffc,
    0x07d46c80,0xff901f98,0xffd80007,0x3ffd0002,0xfa805ffd,0xdfb1ff17,
    0xffc81fe6,0x5c03fee1,0xbff701ff,0x003ff900,0xf801ffc8,0xdff0005f,
    0x0bff9999,0x40003ff4,0x7d401ffc,0xb000003f,0x1ffb00ff,0x7ffffd40,
    0xffffffff,0xffff50ff,0xffffffff,0x3fe2bfff,0xffffffff,0x017ff204,
    0x3a03ffc0,0x220d444f,0x7ff443ff,0x15ffffff,0x2dfd07ff,0x00dff5fe,
    0xfffffd80,0x1fffffff,0x0000ffdc,0xfa8017fe,0x01ffd83f,0xff501ff6,
    0xf11ffc85,0x036403ff,0x3e607e60,0xfc80006f,0xffb8001f,0x401fff35,
    0x55fb8ffa,0x40ff51ff,0x1bfa4ffa,0xaaabffb8,0x800fffec,0x64001ffc,
    0x5ff801ff,0xffffa800,0x205fffff,0xc80007fe,0x7fd401ff,0xf9800003,
    0x2ffcc03f,0x3fe66620,0x9cfd999a,0x3fffea19,0xffffffff,0xffd15fff,
    0x05bfffff,0x0002ffe4,0x4ff80fff,0x107ff100,0xbfffffd7,0x2e0ffe25,
    0xff5feaff,0xfff8000d,0xffffffff,0x0ffdc4ff,0x017fe000,0xf983ffa8,
    0x01ff605f,0xffc85ff5,0x403bfea1,0x98054c6c,0x01ffe81f,0x01ffc800,
    0x907ffc40,0x7fcc09ff,0x2ffe2fd8,0xbffc07fa,0x3ee03ff9,0xffffffff,
    0x3ff9000d,0x01ffc800,0xe8005ff8,0xfcccccef,0x01ffa05f,0x007ff200,
    0x00007ff5,0xd806fe88,0x3e2001ff,0x881ff40f,0xaaaaaaaa,0x2aacffda,
    0x00ffc988,0x0002ffe4,0x7ff01ffe,0x101ffc00,0xff1019ff,0x3fb7fe07,
    0x4000dff5,0xccccdffa,0x47ffcccc,0x40001ffb,0x3ea005ff,0x03ffd03f,
    0xff501ff6,0x641ffc85,0xe8d905ff,0xc83f303f,0x900003ff,0xfd8003ff,
    0x17ffc43f,0x0ffaff98,0x01bebbf2,0x1ff73ff9,0x7ffffdc0,0x64001cde,
    0x7e4001ff,0x05ff801f,0xe81ffcc0,0x01ffa05f,0x007ff200,0x00007ff5,
    0x200fff54,0x4c005ff9,0x017fc0ff,0x007fee00,0x3f2037ec,0xff80005f,
    0x001ffc07,0x7fd409ff,0x207ff101,0xff5ffffb,0x7fec000d,0x21ffd800,
    0x40001ffb,0x3ea005ff,0x0bff503f,0xff501ff6,0xd81ffc85,0x6c6c84ff,
    0x4c3f303f,0x200006ff,0x2a001ffc,0xdff506ff,0x17f7fe20,0x80dfbff5,
    0x06fecffa,0x0000ffdc,0x2201ffc8,0xbffdaaaa,0xf7532aaa,0x555555df,
    0x07fe4355,0x9999dfe8,0x5555ffd1,0xc8035555,0x7fd401ff,0xaaaaaaad,
    0x32eaa20a,0x803fffed,0x54001ffd,0x001ff87f,0x800ffdc0,0x3fee03ff,
    0xcccccccf,0x999913cc,0x9999fff9,0x800ffe25,0x1bf204ff,0xf103ff88,
    0x3bfebfff,0xaaaaaaaa,0x200dff02,0x3fee4ffa,0x77fc0001,0xaaaaaaaa,
    0x7407ff50,0x07fd81ff,0x3f217fd4,0x2fff881f,0xf3004364,0x666fff43,
    0x3ccccccc,0x001ffc80,0x7403fff1,0xfff884ff,0x5ffff83f,0x3fffff80,
    0x000ffdc0,0x201ffc80,0xfffffff9,0xff96ffff,0xffffffff,0x27fc9fff,
    0xffffffd0,0x3fffffaf,0x405fffff,0x7d401ffc,0xffffffff,0x3ffe22ff,
    0x800cffff,0xa8005ff9,0x007fc46f,0x007fee00,0xfd807fe2,0xffffffff,
    0xfff35fff,0xffffffff,0x00ffe29f,0x3fa04ff8,0x80ffe204,0xfff5fffc,
    0xffffffff,0x007ff50b,0xffb9ffe2,0x7ffc0001,0xffffffff,0x5407ff52,
    0x07fd85ff,0x3f217fd4,0x1fff301f,0x55555764,0xfbaaaaaa,0xffffff31,
    0xdfffffff,0x003ff900,0xf3013ff6,0xffff03ff,0x0bfff901,0x01ffff90,
    0x0001ffb8,0x4c03ff90,0xffffffff,0xfff96fff,0xffffffff,0x07fea9ff,
    0xffffffe8,0xffffffd7,0xc80bffff,0x7fd401ff,0xffffffff,0x37bfe22f,
    0x3f6001bc,0x5fb8002f,0x00007fcc,0x26007fee,0x7ffec04c,0xffffffff,
    0xfffff35f,0x9fffffff,0xf800ffe6,0x8073205f,0x3e203ff8,0xfffff5ff,
    0x0bffffff,0x6c003ff9,0x03ff71ff,0xfffff800,0x52ffffff,0xfff807ff,
    0x2a03fec0,0x0ffe42ff,0x7e4dff70,0xffffffff,0xf31fffff,0xffffffff,
    0x900dffff,0xff5003ff,0xdff9001f,0x260bfff0,0xfa804fff,0xffb806ff,
    0xff900001,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1c000000,
    0x10002980,0xc9800000,0x3b72a003,0x5000ceef,0x017bddb9,0x2f7bb2e2,
    0xbfdb7100,0x016f6d47,0x2f7bb6e2,0x40199300,0x000004ca,0x3bffb6e2,
    0x3bdb503d,0x4c16fecc,0x37fb664c,0x000cc983,0x22cb932a,0x882dedb9,
    0x332e02cc,0x2ccca983,0x40199930,0x3950ccc8,0xeea8b7aa,0x66666442,
    0x42cccccc,0x2ccccccb,0x15995100,0x50019970,0x01300199,0x98800000,
    0x44000000,0x540e201a,0x71019002,0x40001300,0x3e600ffb,0x0dfe803f,
    0xbb0bea00,0xff880001,0xfffc803f,0x03ffffff,0x3fffffa6,0xffe985ff,
    0xc82fffff,0xbcffffff,0x703fffff,0xffffffff,0x403ff705,0x7dc00ffc,
    0xfff5000f,0x50dfffff,0xf13fffff,0xfb87ffff,0xffffff97,0x002ff98b,
    0x54fe9bf6,0x89ffffff,0xff904ff8,0xffffa81d,0xffd81fff,0xc8fff604,
    0x8ffffabf,0x263ffff9,0xffffffff,0x7fec5fff,0xb804ffff,0x42ffffff,
    0xff804ffb,0x3fffaa07,0xdf3000df,0x27fecc00,0x06c404a8,0x1fffffe4,
    0xff90bfe6,0x40ffb801,0xffd886fd,0x5c000dff,0x3fe200ff,0x13fee00f,
    0x70fffb80,0x40003dff,0xc805fff9,0xfecabcef,0xfffa81ff,0x45fccace,
    0xca9bfff9,0x5f641fff,0xcffffeaa,0x7e40ffd9,0xffdbacff,0x00ffdc3f,
    0xfb801ff9,0xfff9800f,0x45cbaaab,0xefeadff9,0x0ffdbffd,0x33ff3fee,
    0x222fffda,0x3fa003ff,0x3fef7fa5,0x21fffdad,0xffb84ff8,0xaabea80e,
    0xff886ffc,0x45ffa82f,0xfeaefcfc,0x25fdafea,0xccccccc8,0x65c4ffec,
    0x404ffccc,0xffdceffa,0x01bfe21f,0xfb109ff5,0x5ffb759d,0x300df300,
    0x509ffffb,0x3fa209ff,0x7ffffec6,0x07fec2ff,0x7cc0bff1,0x217fdc4f,
    0xfffefff9,0x3fee000f,0x4effd400,0x6ffabdec,0x03bff200,0x0005fff7,
    0x4c017ff4,0x117fee00,0x20c07fff,0xff980efe,0x4ffe8046,0xff98ffe2,
    0x0fffa80e,0xfc807fee,0x07fdc00f,0x0007fec0,0x7ffc4df9,0x5c7ff10f,
    0x7cc1ffff,0x0027fc6f,0x7fff49ff,0x12ffd41f,0xeffb89ff,0x83fe4000,
    0x3e20fff9,0x7ffe40ef,0x2a5fff70,0x3fe6007f,0x04ff8806,0xff317fe2,
    0x201ffd8b,0xcfd81ffd,0x07fa6199,0x2a2fc415,0x3fbffe60,0x4ffe884f,
    0x261fff44,0x6ffb88ae,0x3ea2ffc4,0x41dfd02f,0xefe85ff8,0x8017fea0,
    0xfc800ffb,0xffffffff,0xffd8800f,0x7fff500d,0x006a2000,0x237fc400,
    0x2a003ffc,0x3ff202ff,0x41ffc801,0x03ff65fd,0x3ee4ffb8,0x03ff201f,
    0xd001ff70,0x4ff800df,0x3f62ffec,0x407ffee5,0x22ff47ff,0x1ffc45e9,
    0xf101fffd,0x727fc4df,0x44001dff,0xf700ffb9,0x40ffecbf,0x3fee4ffc,
    0x2003fea5,0x8800fff8,0x3fe604ff,0x7d47fe81,0x0dff104f,0x3fff69f5,
    0x3e21df15,0x7ec53e3f,0x7fc4ef44,0x29ffd104,0x2003ffd8,0x2ffa87fe,
    0x3ee07fec,0x2077ec2f,0x7fc80ffa,0x003fee00,0x7f677ffc,0xfe9804ff,
    0xffe9804f,0x00000004,0x6ff8ffb0,0x203fec00,0xfb803ff9,0xf8b7e40f,
    0x2ffc404f,0x7e403ff7,0x07fdc00f,0x8017fec0,0x7fdc2ff8,0xff737e44,
    0x363fec05,0x307fe46f,0x0fff43ff,0x7fc4ffd0,0x001dff74,0xffffffd7,
    0x5d7fec01,0x1ff903ff,0xff30ffdc,0x05ffb001,0xb813fe20,0x81ff707f,
    0x5ff507ff,0x23761fd0,0x227f72fb,0xacf8dffc,0xf1043fff,0x7ff4409f,
    0x2003ffdc,0xff906ff8,0xf12ffc41,0x81ffb8bf,0x3ff507fc,0x003fee00,
    0xff517fe6,0x7ffd401f,0x3ff62003,0x0000000d,0x3feccccc,0xe8009ff3,
    0x27fc405f,0x33ff7310,0x3e6ff933,0x27fe802f,0x3f201ffb,0x07fdc00f,
    0x56fffd40,0x707fe600,0xf93339ff,0x900ffdcf,0x23fdc1ff,0x3fea3fff,
    0x3101bfa0,0x7de7fc43,0xffc800ef,0x00ffcacd,0x17ffffe2,0x3fdc6fc8,
    0xf9003fe6,0x7fc4007f,0x207fee04,0x2ffc87fb,0x5f887fd8,0xf89fc576,
    0x7fffe444,0xff8803ff,0x7fff4404,0x7fec003f,0xc89ff103,0x81ff91ff,
    0x0ff905ff,0xff503fee,0xffffffff,0xffd8ffff,0x702ffd80,0x20003fff,
    0x7640effc,0xeeeeeeee,0x441eeeee,0xfffffffc,0x00bfea7f,0xfffffff0,
    0x8bffffff,0xffffffda,0x77ffffff,0xffb003ff,0xf900ffdc,0x3bbbb21f,
    0xeeeeffee,0x7ffdc1ee,0xff982dff,0x7ffffd41,0x3fee7fff,0xa83ff201,
    0xdfff30ff,0x1bfa3fdc,0x3fbfe200,0x9ff000ff,0x5400ffa8,0x3200ffff,
    0x263fdc6f,0x3fea00ff,0x27fc4005,0xfb07ff50,0x88bff10d,0x23f984ff,
    0x3e0deced,0x0bfff306,0x4027fc40,0x2005fff8,0x3205ffd8,0x97fe20ff,
    0x7fdc4ff8,0xd80ffb81,0xffffa87f,0xffffffff,0xb837f47f,0xeffc83ff,
    0x7fdc0000,0x3ffff61f,0xffffffff,0x3ffee1ff,0x7ffeeeef,0x8800bfee,
    0xffffffff,0x2e5fffff,0xffeeefff,0x75eeeeee,0xff9003ff,0xc807fee1,
    0xffffb0ff,0xffffffff,0xff9103ff,0x7d43dfff,0x777fd40f,0x3ee6eeee,
    0x83ff201f,0xf9f91ff9,0xfd1bf23f,0x9ff1000d,0xf100bff9,0x07fec47f,
    0x017ffe20,0x47fb8df9,0xff100ff9,0xff88001d,0x87bfe204,0xffb03ffa,
    0x4c0ffdc1,0x0bf7b64f,0xfffb88df,0xf8802eff,0x7ff4404f,0xfe8804ff,
    0x0ffea05f,0xffb81ffb,0x7c437f41,0x7ff910ef,0xb5555510,0x555557ff,
    0xff105ff8,0x00fffc89,0x1fff7000,0x3333332a,0xcccccccc,0x205dff30,
    0x0ffea7fd,0x000bff00,0x7d43dff1,0x17fd400f,0xff73fec0,0xa87fe403,
    0xffeccccc,0x00cccccc,0x8ffffed4,0x7fd41ff9,0x01ffb802,0xff883ff2,
    0x29fb3fd2,0x037f45fd,0xfda7fc40,0xdffd804f,0x400ffffd,0x203ffffe,
    0x23fdc6fc,0xffd00ff9,0x9ff10003,0xeefffb80,0x3fea06ff,0x5f81bfa3,
    0xf887ed76,0xf3dff914,0x405dff79,0x3a204ff8,0x04ffebff,0x880fffea,
    0x1ffd45ff,0x7fc46fe8,0xfffffb84,0x7dc005ff,0x07ff800f,0xff907ff3,
    0xfa80003d,0x400001ff,0x3f601ffc,0x0013fe67,0xf5000dfd,0x01ffa85f,
    0x7c01ffcc,0x807fee5f,0x7dc00ffc,0x6c40000f,0x83ff35ff,0xfb803ffb,
    0x03ff201f,0x2edf37ff,0xfe89fb7f,0x4ff88006,0x9807ffd1,0xff8dfffe,
    0x3afff200,0x8df901ff,0x07fcc7fb,0x8001ffe4,0xfa804ff8,0xf804ffff,
    0x407ff36f,0x3e6bb0fd,0x3fe25f93,0x3f629f13,0x7fcccc44,0x3fa2099d,
    0x09ffd13f,0x3335fff9,0x107fec13,0x7fcc0dfd,0x4c17fdc4,0x003efffe,
    0xe800ffb8,0x2ffb81ff,0x005fff70,0x003bff20,0x01ffa000,0x0fff8ffb,
    0x007ff600,0xfb81ff70,0x37fc403f,0xfa8ffea0,0x1fff303f,0x000ffb80,
    0x3e2dff00,0x02ffe43f,0xf900ffdc,0xfccfe81f,0x7ff3ff14,0x88006fe8,
    0x3ffa24ff,0x26098803,0x457fea01,0x6fc80fff,0x3fe63fdc,0x002ffdc0,
    0x4009ff10,0x3f2001a9,0x200ffc9f,0x7f4bb6f9,0xf10545f9,0x7ff40b8b,
    0x15ffffff,0xfe887ffb,0x3fffe24f,0xf35fffff,0x01ffc85f,0x3f607fe4,
    0x00004c06,0xf9001ff7,0x0ffe887f,0x00fffe60,0x00dffd88,0x3a006a20,
    0xffd880ff,0x006ffe47,0x4006ff98,0x3fe61ffa,0x3ffc805f,0x4c1ffd10,
    0xfff985ff,0x07fdc00f,0x2ffcc000,0xfffe8bfd,0x00ffdc00,0xdfd81ff9,
    0x3f3f61fe,0x0037f41f,0x3e627fc4,0x400002ff,0x3ee0fff9,0x5c6fc86f,
    0x307fcc7f,0x88000dff,0x000004ff,0x2ffe7fcc,0x5c0f7dc0,0x2fcc00ff,
    0x7fffff40,0x7ff55fff,0x443bfa20,0xffffffff,0x1dc0e65f,0x0b881d80,
    0x7dc00000,0xfff9800f,0x04ffebae,0x804ffe88,0x8004ffe8,0x7e402ffe,
    0xfff731df,0x7fffd0ff,0xd89b5333,0x54c1afff,0x2633fe63,0x10bffefe,
    0x6fffc435,0x3ffea889,0xb89dfff8,0x400ffeff,0x6c400ffb,0x3faa619b,
    0x64bfee3f,0x531effef,0x900ffdc3,0xfffb81ff,0x07fffd46,0x22001bfa,
    0xfffa84ff,0x77777542,0x7446eeee,0x4ffd82ff,0x1fee37e4,0x3fa21ff3,
    0x999999af,0x54cccc19,0x21999dff,0xeeeeeeea,0x7ff406ee,0xff5001ff,
    0x01bffb9d,0x3100df30,0x13333333,0x036201d4,0x33333333,0x00000013,
    0x70000000,0xff3001ff,0xdfffffff,0x37ff6200,0x07fff300,0x0bfff300,
    0xffffff88,0x987fbcff,0xfffffffe,0x7ffec45f,0x46ffffff,0xd3fffffe,
    0x85ffffff,0xfffffff9,0xfff703ff,0xff57ffff,0x00ffb801,0x7fffffc4,
    0x7c44ffff,0xfa9fffff,0x2e3fffff,0x3ff201ff,0x227ffd40,0xfe87fff8,
    0x4ff88006,0x5c3fff70,0xffffffff,0x827fec7f,0x3f22fff8,0x3e63fdc6,
    0xfffff70f,0x3fffffff,0x3fffffe6,0x71ffffff,0xffffffff,0xfffa80ff,
    0x7edc4006,0x04c002ce,0x00000000,0x00000000,0x80000000,0xff8802a9,
    0xfceffede,0x3ff2004f,0x0fffdc1e,0x3fff8800,0xffffd880,0x5c0ff71d,
    0x2dfffffe,0xfffffd50,0xffe989df,0x3fff623e,0xffc881ef,0x5401dfff,
    0xf52effff,0x0ffb801f,0x7ffff440,0xd102dfff,0x7f5c5dff,0x3fee1eff,
    0x303ff201,0xffb03fff,0x000dfd0d,0x7e409ff1,0x555531ff,0x5c555555,
    0x3ea00eff,0xb8df91ff,0xb87fcc7f,0xffffffff,0xff31ffff,0xffffffff,
    0x2aaa63ff,0x02aaaaaa,0x0003fff8,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfb021ffd,0x7fdc005f,0x01dff70f,0x003c9800,0x88000198,
    0x4cc40009,0x4c008801,0x01310009,0x00013100,0x33310000,0x10044003,
    0x00000013,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333000,0x33333333,0x1013fea1,
    0xf9800fff,0x00006ec2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xffffffff,0x2a3fffff,
    0x00cb800e,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xffffffff,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55300000,0xaaaaaa80,0x1aaaaaaa,0x00000000,0xdddd1000,
    0xdddddddd,0x10fb201d,0xcdc983db,0x4ccc0001,0x3e609999,0xddddd92f,
    0x3bba5ddd,0xeeeeeeee,0x03eeeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x006fec40,0xff017ff4,0xffffffff,0x3ffe7fff,0x7fcfffa3,
    0x7fe4004f,0x1fffb81e,0xffffff88,0x0fffffff,0x2e0fff98,0x3ffee6ff,
    0x07dd03ff,0x3fffffe6,0x743fee6f,0xffffffff,0xfffffff2,0xffffffff,
    0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfb800000,0x7fdc05ff,
    0xffff00ef,0xffffffff,0xd8bffa7f,0x07ffd3ff,0x006ffe40,0xc883fff3,
    0xcccccccc,0xf880ffdc,0x9affd47f,0x4fffdfff,0xe9817fc4,0x25eeeeee,
    0x377726fd,0x551ddddd,0x55555555,0x35555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffb800,0xfd3ff100,0xfd000009,0xe97fec5f,
    0xff9003ff,0x3ff62007,0x1ff70001,0x8ea02e60,0xffd10ffc,0x007ff21b,
    0x000ffa00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x901ffff8,0x007fea9f,0x43ffb000,0x5ffb2ffd,0x003bd500,0x0001bd70,
    0x00001ff7,0xffe88bfd,0x0005ffff,0x00001990,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb8000000,0xff980fff,0x00017f60,0x7e43ffb0,
    0x005ffb1f,0x00000000,0x00001ff7,0x3ff207b9,0x00000eff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffcc000,0x7fcc4fd8,
    0x7fffffc2,0x3fffffff,0x7fe41ff9,0x0003ff91,0x70000000,0x000001ff,
    0x000aee60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x80ffa84f,0x3ffe0ffc,0xffffffff,0x41ff93ff,0x3ff90ffb,
    0x00000000,0x00033100,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fdc0000,0x2207fd06,0x2aaaa4ff,0xaaaaaaaa,
    0x9883311a,0x00006621,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd3000000,0xf703dfff,0x01ffb80d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6407dff3,0x02cc801c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000031,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_32_latin_ext_x[560]={ 0,6,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,1,1,1,1,6,3,2,2,3,4,0,0,2,1,1,3,3,1,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,0,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,3,4,0,2,1,6,6,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,-1,-1,0,1,0,0,0,0,0,0,3,1,0,0,0,0,
0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,2,2,0,0,3,
2,-4,-3,3,1,0,2,0,0,1,2,0,0,0,1,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,2,0,0,1,0,0,-3,1,0,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,2,1,0,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_32_latin_ext_y[560]={ 23,0,0,2,-1,0,1,0,-1,-1,0,6,17,13,
18,0,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,27,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,23,7,-1,2,3,2,
-3,0,1,2,2,8,13,13,0,1,0,3,0,0,0,7,0,11,23,0,2,8,0,0,0,7,-3,-3,-3,-4,
-3,-5,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-4,-3,-3,-3,-4,-3,7,-1,-3,-3,-3,-3,-3,2,0,0,0,
0,0,1,-1,7,7,0,0,0,1,0,0,0,1,0,0,0,0,0,0,1,6,3,0,0,0,1,0,0,1,
-3,1,-4,0,2,7,-3,0,-3,0,-4,0,-3,0,-3,0,2,0,-3,1,-4,0,-4,0,2,7,-3,0,-3,0,
-4,0,-4,0,2,0,-3,-4,2,0,-4,0,-3,1,-4,0,2,0,-4,7,2,0,-3,0,2,0,7,-3,-4,2,
0,0,0,2,0,2,0,-3,0,2,7,-3,0,-2,2,7,-3,1,-4,0,-3,0,2,7,-3,0,2,7,-3,0,
-3,0,-3,0,2,7,-3,0,2,2,-3,0,2,2,-4,0,-3,1,-4,0,-5,-1,-3,0,2,7,-3,0,-3,0,
-3,-3,0,-4,0,-3,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-8,-5,-3,0,-3,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_32_latin_ext_w[560]={ 0,5,10,17,15,18,18,4,10,9,14,16,9,10,
6,15,16,14,14,14,17,14,15,15,15,15,6,9,13,14,13,11,18,18,14,15,16,12,12,15,15,13,12,15,
13,17,15,17,14,18,15,15,16,15,18,17,18,18,15,9,14,9,15,18,11,14,14,13,15,15,17,16,14,14,
12,15,14,16,14,16,14,15,14,13,16,14,16,18,16,17,14,13,4,13,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,14,15,16,17,
4,14,14,18,12,14,15,10,15,13,12,15,11,10,15,15,15,6,5,11,12,14,18,18,18,10,18,18,18,18,
18,18,18,15,15,15,15,15,15,15,15,15,17,16,17,17,17,17,17,14,17,16,16,16,16,18,14,14,16,16,
16,16,16,16,17,13,16,16,16,16,16,16,16,16,15,16,17,17,17,17,17,16,16,16,16,16,16,17,14,17,
18,16,18,16,18,14,16,16,16,15,16,15,16,15,18,21,17,17,15,16,15,16,15,16,13,15,15,16,16,17,
16,17,16,17,15,17,16,16,18,16,15,16,15,16,15,16,14,15,15,14,15,15,14,14,15,15,15,16,16,13,
14,20,21,15,19,16,14,16,16,15,14,16,16,16,15,14,17,17,17,17,18,18,18,18,18,17,15,14,18,17,
16,15,16,15,15,13,16,15,16,16,17,20,16,16,16,16,16,16,16,16,16,16,18,18,15,14,17,18,18,17,
18,16,16,16,16,16,16,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,17,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,18,16,18,17,19,19,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,15,13,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16, };
static unsigned short stb__consolas_32_latin_ext_h[560]={ 0,24,9,21,28,24,23,9,31,31,15,17,12,3,
6,27,22,21,21,22,21,22,22,21,22,21,17,22,19,9,19,24,30,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,30,27,30,11,3,8,17,24,17,24,17,23,23,23,23,
30,23,23,16,16,17,23,23,16,17,22,17,16,16,16,23,16,30,33,30,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,23,28,21,20,21,
33,27,7,22,16,13,8,3,15,7,12,20,14,14,8,23,27,6,5,14,16,13,23,23,23,23,26,26,26,27,
26,28,21,26,26,26,26,26,26,26,26,26,21,27,27,27,27,28,27,14,28,27,27,27,27,26,21,24,24,24,
24,24,23,25,17,21,24,24,24,23,23,23,23,22,24,23,24,24,24,24,23,17,24,24,24,24,23,30,30,29,
26,23,27,24,28,23,27,24,27,24,28,24,27,24,26,24,21,24,26,23,27,24,27,24,28,23,26,24,27,30,
28,30,28,30,28,30,26,27,21,23,27,23,26,22,27,23,28,30,27,16,22,30,27,30,28,30,16,26,27,28,
30,23,23,21,23,21,23,26,23,28,23,26,23,25,28,23,27,23,28,24,27,24,22,17,26,23,28,23,26,23,
27,24,27,24,26,21,27,24,28,28,26,24,21,22,28,24,27,23,28,24,29,25,27,24,28,23,26,23,26,30,
26,26,23,27,23,26,23,23,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,27,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,31,29,26,24,30,27,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,28,23,28,28,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_32_latin_ext_s[560]={ 509,503,42,126,404,198,429,53,40,30,412,
174,1,154,501,332,144,191,176,113,144,229,244,110,97,94,504,502,34,27,48,
233,166,270,411,312,426,50,461,377,492,1,345,356,80,206,238,277,289,382,321,
128,495,213,461,443,424,405,389,120,419,286,11,165,74,79,34,94,338,108,419,
437,470,1,310,454,34,319,224,142,49,81,258,191,328,159,379,239,302,16,336,
338,1,296,117,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,509,502,19,
15,17,474,6,335,102,161,289,481,86,154,396,134,496,1,454,501,58,485,350,
504,148,427,366,466,368,349,201,321,217,181,437,316,20,183,31,284,404,335,472,
488,388,236,268,486,393,139,156,174,192,34,298,439,131,53,365,433,348,91,480,
66,49,98,245,1,262,54,124,224,181,131,249,412,38,55,1,295,18,448,494,
476,458,440,309,62,405,388,371,354,361,203,71,352,369,395,34,215,234,186,434,
146,1,109,469,71,469,182,1,87,443,163,456,169,18,232,316,266,52,279,319,
302,70,102,149,130,166,148,100,185,145,122,337,327,401,344,39,196,417,378,116,
86,486,351,180,237,107,271,202,221,273,74,263,253,323,465,486,254,18,304,72,
450,87,267,104,128,119,20,218,136,451,151,1,422,383,283,358,205,55,234,283,
252,467,267,402,115,299,217,252,162,366,166,83,66,351,125,63,260,486,81,210,
332,436,198,387,37,227,319,453,404,110,285,1,253,162,420,304,246,64,200,387,
220,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,280,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,11,370,300,148,51,87,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,420,295,83,66,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,372,
372,372,372,372,372,372,372,372,372, };
static unsigned short stb__consolas_32_latin_ext_t[560]={ 1,1,262,219,1,146,146,262,1,1,241,
241,262,262,186,64,195,219,219,195,219,195,195,219,195,219,92,64,241,262,241,
146,1,219,195,195,195,219,195,195,195,219,195,219,219,219,219,195,219,64,219,
195,219,195,219,219,219,219,219,1,35,1,262,262,262,241,146,241,119,241,171,
171,171,195,1,171,195,241,241,241,195,195,241,241,195,241,241,241,241,195,241,
1,1,1,262,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,1,35,35,
219,241,195,1,35,262,195,241,241,262,262,241,262,241,241,241,171,262,171,35,
110,262,241,241,241,171,171,171,171,92,92,92,35,92,35,219,92,92,92,92,
92,92,92,92,64,195,64,64,64,64,35,64,241,35,64,64,64,64,92,219,
146,146,146,146,146,146,119,241,219,119,146,119,146,171,171,171,195,146,146,119,
119,119,119,146,241,119,119,119,119,146,1,1,1,92,146,64,119,35,171,35,
119,64,119,1,119,35,146,119,119,195,119,92,171,64,119,64,119,35,146,92,
119,64,1,35,1,35,1,35,1,92,64,219,146,64,146,92,195,64,146,35,
1,35,241,195,1,64,1,35,1,241,92,64,35,1,146,146,219,171,219,171,
64,171,35,171,92,171,119,35,171,35,171,35,119,35,119,195,241,92,171,35,
171,64,171,35,146,35,146,92,219,35,146,35,35,92,119,219,195,1,146,64,
171,1,119,1,119,64,119,1,171,92,171,92,1,92,92,171,64,195,92,171,
171,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,64,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,1,1,92,146,1,64,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,1,146,35,35,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219, };
static unsigned short stb__consolas_32_latin_ext_a[560]={ 282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_32_latin_ext(stb_fontchar font[STB_FONT_consolas_32_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_32_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_32_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_32_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_32_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_32_latin_ext_s[i] + stb__consolas_32_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_32_latin_ext_t[i] + stb__consolas_32_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_32_latin_ext_x[i];
            font[i].y0 = stb__consolas_32_latin_ext_y[i];
            font[i].x1 = stb__consolas_32_latin_ext_x[i] + stb__consolas_32_latin_ext_w[i];
            font[i].y1 = stb__consolas_32_latin_ext_y[i] + stb__consolas_32_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_32_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_32_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_32_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_32_latin_ext_s[i] + stb__consolas_32_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_32_latin_ext_t[i] + stb__consolas_32_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_32_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_32_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_32_latin_ext_x[i] + stb__consolas_32_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_32_latin_ext_y[i] + stb__consolas_32_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_32_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_32_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_32_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_32_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_32_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_32_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_32_latin_ext_LINE_SPACING
#endif

