// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_35_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_35_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT        322
#define STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_35_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_35_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_35_latin_ext_LINE_SPACING          23

static unsigned int stb__consolas_35_latin_ext_pixels[]={
    0x03fecffb,0xa8000000,0x00200aaa,0x88000400,0x4cc02aaa,0x30000000,
    0x13000333,0x01310000,0x31026200,0x01980001,0x0159bd10,0x765d4000,
    0x22000001,0x80033001,0xddd00098,0x003ddddd,0xee880262,0x11eeeeee,
    0x98800033,0x00999999,0x0004c400,0x01310000,0x00b2e000,0x00e6dc40,
    0xbccba980,0x02aaa81a,0x2aa0aa98,0x09998002,0x07fd9ff6,0x0007fd40,
    0x01effc80,0xb00003f6,0xff88001d,0x3fe600df,0xc8000005,0x22003fff,
    0x20001ffe,0x8003fff9,0x02fec6fb,0x7fffed40,0x3ffe203d,0x540003ff,
    0x302ffffe,0x3fd883df,0x401dff70,0xf3005ffd,0xfff007ff,0x005fffff,
    0x2207fff3,0xffffffff,0x0001ffd2,0x7fffffdc,0x3e60004f,0x744001ff,
    0x7c401eff,0xf80002ff,0xff88003f,0x2e001fff,0xffffffff,0x0ffffc4f,
    0xff87ff20,0x7ffcc007,0x7fd9ff62,0x0037ec00,0x00dffc80,0x0003bfea,
    0x1001ffec,0xf3007fff,0x800000bf,0x4001effc,0x0005fffc,0x07fffff3,
    0xbacff980,0x7e4003ff,0x4fffeeff,0x3ffffb20,0xfff30003,0x3fa039df,
    0x07ffdc5f,0x40ffffe2,0x401ffff9,0x03fffff9,0x7f666664,0x7ffcc02f,
    0xeff883ff,0xfd1ccccc,0x7dc0001f,0x04ffffff,0x17fff600,0x0dffe880,
    0x06fffc80,0x017fc400,0x7d467e40,0xfffe8806,0x4fffffff,0x202ffffc,
    0x1ffe1ffc,0x45fff100,0x01ff67fd,0x0004ff88,0x9002ffc8,0xc8001dff,
    0x3a2005ff,0x01ff31ff,0x0000bff3,0x006ffe40,0x02fffdc0,0x6c77fcc0,
    0x7ec003ff,0x4006ffff,0x2e20bffe,0x7dc405ff,0xfe8000ff,0xffe801cf,
    0x207ffdc5,0x303ffff8,0x4c05ffff,0x3ffd8eff,0x017fdc00,0xffb1dff3,
    0x405ff887,0x20000ffe,0xffb99998,0x3ff60004,0xffd1005f,0x7ffe4007,
    0x3ea20006,0x0fd8002f,0x3ff601fe,0x15ccc1be,0x807ffffe,0x1ffe1ffc,
    0x45fff100,0x01ff67fd,0x0001ffb8,0x6c0004c4,0x3ee005ff,0x262000ef,
    0x4c1bf209,0x000005ff,0x40007ff9,0x4001ffe8,0x7fe45ff9,0x77f5c003,
    0x3ff2000c,0x00bfee02,0x1000bffa,0x26001fff,0x02dc80dd,0x7401fffb,
    0x3fe606ff,0x001ffe45,0x3e605ff7,0x11ffe45f,0xffe80bff,0x7d400000,
    0x3e60004f,0x995001ff,0xfff88003,0x7f6cc002,0x03efffff,0x1bea9f90,
    0x003fff50,0x0bfffff0,0xfff0ffe4,0x1fff8800,0x07fd9ff6,0x8001ffa0,
    0x00efffc8,0x4017ff40,0x0000fff8,0x3e609fd0,0x0000005f,0x00130000,
    0x00000000,0x00bfea00,0x3ee017f6,0x7fd4003f,0x40000005,0x02a800aa,
    0xfb800000,0x2200002f,0x7ff405ff,0x7d400000,0x4c40004f,0x02f2a000,
    0x00026200,0xfffffff9,0x22009fff,0x402fffff,0xf0005ffc,0x205ffbdf,
    0x1ffe1ffc,0x43fff100,0x01ff67fd,0xbf900000,0x9800dfb7,0x7ec00fff,
    0x9510002f,0x2603ff79,0x000005ff,0x00000000,0x00000000,0x802ffc40,
    0x7cc00ffa,0x7fd4004f,0x00000002,0x00000000,0x002ffb80,0x017fe200,
    0x00001ffd,0x0004ffa8,0x3ffa2000,0x000001ff,0xebefffd8,0x003dbaef,
    0x20073722,0xf0003ffd,0x20dff3df,0x1ffe1ffc,0x43fff100,0x01ff67fd,
    0x1ff00000,0x320007f4,0x3fea04ff,0xfff98006,0x301fffff,0x03530bff,
    0x20009988,0xaa880199,0x0999999a,0x99aaa880,0x88009999,0x99999aaa,
    0x007fdc09,0x4402ff88,0x7dc005ff,0x04cc402f,0x99833300,0x204cc400,
    0x26000998,0x17fdc019,0x4ccccccc,0x3e209999,0x07ff405f,0x20026660,
    0x4cc04ffa,0x99999999,0x4e7ec009,0x266206fb,0x80099999,0x3fa1fffa,
    0x00555004,0xffc82aa6,0x2dff0005,0xffc82ffd,0x2001ffe1,0x9ff61fff,
    0x551007fd,0x13333335,0xff12fe80,0xfff88001,0x003ffd01,0xffffffb8,
    0xf982ffff,0xffffb14f,0x17ff205f,0x502ffdc0,0xfffffffd,0x7540dfff,
    0xffffffff,0x3faa06ff,0xffffffff,0x0027f46f,0xff1013fa,0x2ffb800b,
    0x802ffe40,0x3fe65ffb,0x21ffdc05,0xf7005ffc,0x2ffb80bf,0xfffffff8,
    0x3e22ffff,0x07ff405f,0x001dffb0,0xff809ff5,0xffffffff,0x363fc02f,
    0xffff701f,0xfb009fff,0x803ff89f,0xf9006ff8,0x27ffd45f,0xf9b7fc00,
    0x21ffc86f,0xff8007ff,0xfd9ff61f,0x7fff5407,0x6fffffff,0x7ff7fd40,
    0x9ff70004,0x800bff50,0x98acfffc,0x4c0fffff,0xfffe9cff,0xf983ffff,
    0xffe800ff,0xdffffb02,0xdfffffff,0x3bffff60,0x6fffffff,0xfdffffb0,
    0x4dffffff,0x6e4c1ffa,0x0bf93cac,0x4005ff88,0x7cc02ffb,0xffe800ff,
    0x7017fe62,0xfff987ff,0x02ffe800,0x7fc17fdc,0xffffffff,0x017fe22f,
    0x3f601ffd,0xff5000ef,0xfffff809,0x02ffffff,0x01fd07fc,0x3fffffee,
    0x2ffe804f,0x2200bfe2,0xff9006ff,0x2efffd85,0xfd9bfe00,0xf0ffe42f,
    0xfff000ff,0xffb3fec1,0x77fffec0,0x6fffffff,0x02cec980,0x21ffe600,
    0x22002ffc,0x7fd43fff,0x7fcc5ffe,0xda9beffe,0xffe80fff,0x83ffcc03,
    0x7dc1effa,0xfa809aff,0x7ffdc1ef,0xeffa809a,0x4d7ffdc1,0xff71bf20,
    0x3f27ffff,0x02ffc405,0x200bfee0,0x7cc03ffe,0x02ffcc7f,0x3fa0ffee,
    0x3ffcc03f,0x5417fdc0,0xdaaaaaaa,0x17fe22ff,0xfb01ffd0,0x7d4001df,
    0x5555404f,0x2ffdaaaa,0x7edf7e40,0x2aaaa606,0xfd804ffc,0x007fe65f,
    0x6401bfe2,0x7fec42ff,0x7c00cfff,0x91bfe66f,0x03ffc3ff,0xfb07ffc0,
    0xfa83fecf,0x7ffdc1ef,0xaa88009a,0x7f40002a,0x007ffc1f,0xfb09ff90,
    0x4c3fff5b,0xd80dffff,0x6ffa84ff,0xf827fdc0,0xbff701ff,0xb80fffc0,
    0x3ffe05ff,0xd0bff701,0x5effd49f,0x0df72ffe,0xb800dfd0,0xffa800ff,
    0x227fdc06,0x7dc05ff9,0x06ffa83f,0x5c027fdc,0xfc8002ff,0x017fe22f,
    0xffd81ffd,0x7fd4000e,0x7fe40004,0xefffd802,0x27fd4000,0xa9fffdc0,
    0xff8800ff,0x05ff9006,0x3fffffee,0xd8dff01d,0x87ff23ff,0xff8007ff,
    0xfd9ff60f,0x203fff07,0x36005ffb,0x40007fff,0x3fe64ffb,0x3ffe2005,
    0xffd3ff80,0x02fffcc7,0x3fe0fff3,0x07ffa01f,0xf881bfe2,0x0dff107f,
    0xf883ffc4,0x1ffe206f,0x37f45ff1,0x1fee1ff7,0x8007ff20,0x3fe006fe,
    0x07ffa01f,0xfb80bff3,0x03fff03f,0x5c00fff4,0xfc8002ff,0x017fe22f,
    0x7fec1ffd,0xffa8000e,0x7fe40004,0x00351002,0x4013fea0,0x7fdefffe,
    0x00dff100,0xd500bff2,0xf07fffff,0x0fff88df,0x3ffc3ff9,0x907ffc00,
    0x443fecdd,0x3fe206ff,0x3fffe007,0x3e60002f,0x00ffee5f,0xf985ffa8,
    0x4cdff50f,0x7fc00eff,0x04ffc80f,0x3e60dff3,0x83ffc05f,0x7fc05ff9,
    0x80bff307,0x87fd47ff,0x9ff22ff9,0xff9807fa,0xfb3101af,0x7fe4007f,
    0x30dff304,0xffb80bff,0x209ff903,0xf7006ff9,0xff90005f,0x202ffc45,
    0xdffb0ffe,0x3fea0001,0x7fe40004,0x5554c402,0x7fd40009,0xfffd1004,
    0xf1001fff,0x3ff200df,0xfffb3002,0xc86ff89f,0x43ff93ff,0xfe8007ff,
    0x43fec00f,0x7fc05ff9,0xfdff5007,0x7cc000bf,0x00bff26f,0xfc83ffb8,
    0xf99ffe66,0x1ffd805f,0xc80fff98,0xdff303ff,0x9837fc40,0x3fe206ff,
    0x40dff306,0x3fdc6ff8,0x26fd8ff9,0xf91006fb,0x3fe67fff,0x4c001dff,
    0xffc80fff,0x405ff983,0xff303ffb,0x07ff901f,0x000bfee0,0xff88bff2,
    0x6c7ff405,0x20000eff,0x40004ffa,0xec882ffc,0xcfffffff,0x09ff5000,
    0xfffffb80,0x3fe201df,0x05ff9006,0x2fffe880,0x3fe21bfe,0x3e1ffc8f,
    0x7fe8007f,0xf987fd80,0x1bfe206f,0x7fd7fec0,0x3fe20007,0x800bff67,
    0x4fe82ffd,0x7cc3ffe2,0x2ffd805f,0xff05ffd0,0x0fffc01f,0x3e04ffc8,
    0x9ff901ff,0xc80fffc0,0xd37e44ff,0x2e5ff8df,0x3fa6006f,0xffff33ff,
    0x3ffa0007,0x980fff82,0x7fdc05ff,0x20bffa03,0xf7000fff,0xff90005f,
    0x202ffc45,0x0effdffe,0x27fd4000,0x0bff2000,0x3fffffe6,0x800fffff,
    0x50004ffa,0x09ffffff,0x6401bfe2,0xfb0002ff,0xc837fcbf,0x21ffcbff,
    0xfe8007ff,0xf07fd807,0x3ff203ff,0x3adff004,0x3e0002ff,0x03ffd0ff,
    0x220fff40,0x87ffc1ff,0xfd805ff9,0x8dff702f,0x7dc05ff9,0x3fee22ff,
    0x3ffee00f,0x03ffee22,0x222fffb8,0x7e40fffb,0xff893fe5,0x22017f24,
    0x11abdffd,0x05fffb75,0x4c6ffb80,0xbff305ff,0x203ffb80,0x7fcc6ffb,
    0x0bfee005,0x88bff200,0x7ff405ff,0x0002fffa,0x00027fd4,0x3e60bff2,
    0xfda899bd,0xffa806ff,0x3bfe0004,0xf885ffff,0x5ff9006f,0x9ffea000,
    0xfff106ff,0x3ffc3ff9,0x403ff400,0xfff707fd,0x07ffdc45,0xfba7fd40,
    0x3fe0004f,0x8007ffa7,0x3fdc0fff,0xff98fffc,0x00ffe805,0x7e41fff1,
    0x7ffcc02f,0x2fffffff,0x7ffffcc0,0x402fffff,0xfffffff9,0x5fd82fff,
    0x7fcc9ff1,0x2e013f62,0xff3002ff,0xfff8800b,0x4c0bff20,0x7fdc05ff,
    0x83ffe203,0x2e002ffc,0xfc8002ff,0x017fe22f,0xfff71ffd,0x7fd40003,
    0x7fe40004,0xffa80102,0x27fd400f,0x89ff8800,0x7c43fffc,0x5ff9006f,
    0x9bfe6000,0x3ff206ff,0x1ffe1fff,0x201ffa00,0xfff307fd,0x5fffffff,
    0x447ff600,0xf10007ff,0x017fecff,0xfd83fff0,0xf30fff85,0x0fff00bf,
    0x3fe4ffc8,0xfeefe807,0x800dffff,0xffffeefe,0xefe800df,0x0dfffffe,
    0x3fe29fb0,0xfe87fea3,0x006fd803,0x64003fe4,0x81ffe4ff,0x7dc05ff9,
    0x27fe403f,0xfb800fff,0xffc8002f,0xd017fe22,0x3fff21ff,0x9ff50001,
    0x2ffc8000,0x07ffa000,0x0009ff50,0xffb83fe6,0x8037fc46,0x70002ffc,
    0x037fcbff,0x43fffff1,0xaa8007ff,0xd07fd802,0xfffffddf,0x3ffc001b,
    0x2000bffa,0x3ff26ff9,0x87ffa003,0x7ff82ff8,0xf1017fe6,0x7ff980df,
    0xfa809ff5,0x0035312f,0xa9897fd4,0x4bfea001,0xfd801a98,0x7e49ff14,
    0x001ff10f,0xfb800bff,0x7fcc001f,0x4c09ff57,0x7fdc05ff,0xabffcc03,
    0x7dc004ff,0xffc8002f,0xd017fe22,0x7ffec1ff,0x4ffa8000,0x17fe4000,
    0x05ff9000,0x0004ffa8,0xfff88ff5,0x401bfe20,0x40062ffc,0x3fe2fff9,
    0x7fffdc06,0x0001ffe1,0x1ff61988,0x54c4bfea,0x4ffa8001,0x40027fe4,
    0x3fee5ff9,0x8bffa004,0x7fc40ffa,0xb017fe66,0xffd007ff,0xc803ffb3,
    0x640001ff,0x640001ff,0xfb0001ff,0xff8a7fcb,0x100df91f,0xfb800bff,
    0xffe8002f,0x2601ffd9,0x7fdc05ff,0xd9ffe803,0x7dc001ff,0xffc8002f,
    0xd017fe22,0xeffd81ff,0x27fd4000,0x0bff2000,0x02ffc800,0x80027fd4,
    0x3ffcc7fb,0x6401bfe2,0x9bff12ff,0xffd97559,0x806ff8bf,0x3fe1ffff,
    0xcccccccf,0x7ec043cc,0x3f21ff67,0xfb00001f,0x07ff985f,0x2a3ffc80,
    0x3f6006ff,0x2617f23f,0x17fe65ff,0x7006ffa8,0x00dffbff,0x0003bff9,
    0x000effe4,0x003bff90,0x7ff4bf90,0xfbcfefeb,0x5ff8802f,0x017fdc00,
    0x7feffdc0,0x02ffcc06,0x2e00ffee,0x006ffdff,0x8002ffb8,0x3fe22ffc,
    0x207ff405,0x000effe8,0x00013fea,0x64c05ff9,0xfffffffe,0x27fd402f,
    0x6c6fc800,0x37fc45ff,0xf12ffc80,0xffffffff,0xdff0bfff,0x43fff700,
    0xffffffff,0xfd16ffff,0xfb3fec1d,0x03bff90f,0x20fff000,0x74001fff,
    0x07ffc0ff,0x3e5ffb80,0x24ffc83f,0x99adfff9,0x001fffda,0x07fffff1,
    0xffffff30,0x4079ddff,0xfffffff9,0x2603ceef,0xffffffff,0x6fb83cee,
    0x2abfffee,0x1004ffff,0xfb800bff,0xff88002f,0x7cc03fff,0x1ffdc05f,
    0x7ffffc40,0x2ffb8003,0x22ffc800,0x7f405ff8,0x6fff880f,0xf9555550,
    0x035555bf,0xd817fe40,0xffffffff,0x2aaa2fff,0xaadffcaa,0x3605c1aa,
    0x0bffee4f,0x3200fff1,0x3ffb62ff,0x1cffffff,0x3a00dff0,0x3fffe1ff,
    0xffffffff,0x6cbfff96,0x261ff67f,0xffffffff,0x7d403cee,0x09ff905f,
    0x6437fcc0,0xff3003ff,0xf03ff33f,0x7ffcc3ff,0xefffffff,0x7ffe4001,
    0xfff7000f,0xffffffff,0x3ffee05f,0xffffffff,0xffff702f,0xffffffff,
    0x3ae3fd45,0x00f76e2d,0x4005ff88,0x90002ffb,0x9801ffff,0x7fdc05ff,
    0xffff9003,0x5ff70001,0x45ff9000,0x7f405ff8,0xbfff300f,0xfffffff0,
    0x0bffffff,0x6c17fe40,0x999abfff,0x3fe2ffc9,0xffffffff,0x3fe25fff,
    0xfeeffdef,0xfff04fff,0x407ff600,0x00019999,0x001ffd00,0x4bfff900,
    0x41ff67fd,0xfffffffb,0x902fffff,0x3fe605ff,0x0fff2007,0xe801bfe6,
    0xc86fcdff,0x7ffcc5ff,0x03dfffff,0x07fff300,0x666ffec0,0xfffffdcc,
    0xccdffd81,0xfffffdcc,0xccdffd81,0xfffffdcc,0x0003ff51,0x02ffc400,
    0x000bfee0,0x401fffcc,0x7dc05ff9,0xfff3003f,0x3fee0007,0x2ffc8002,
    0xfd017fe2,0x7ffd401f,0x7fffffc5,0x5fffffff,0x50bff200,0x7e401fff,
    0x3ffffe2f,0xffffffff,0x3ffffe25,0x3fffffff,0x2003ffa0,0x000007ff,
    0x007ff800,0x43fff100,0x41ff67fd,0xccccdffd,0x81fffffd,0x3fe00fff,
    0xfff8801f,0x007ffd00,0x13ffffea,0xf983fff7,0x0001315f,0x001fff30,
    0xf300fff6,0x3ffd87ff,0x21fffcc0,0x7cc03ffd,0x013fe3ff,0x5ff88000,
    0x017fdc00,0x00fff980,0x17fdc000,0x00fff980,0x005ff700,0x7c43ffb0,
    0x0000005f,0xfb000000,0x04ffb83f,0x40017fe4,0x6e541ffa,0x2cdffffe,
    0x403ffd80,0xf9006ffa,0x4c00003f,0x7fe406ff,0x3604c401,0x361ff67f,
    0x7fcc03ff,0x67ffd43f,0xfecccccc,0x2ffd804f,0x003ffe60,0x567fffec,
    0x984fffec,0x800005ff,0xf1004ffe,0x3ff200ff,0x401ffe25,0x3fe25ffc,
    0x4bff9007,0x000007fc,0x50013fea,0x3a0009ff,0x800004ff,0xfd001ffc,
    0x7dc0009f,0xffe8002f,0x0017fe20,0x00000000,0x3607ff40,0x3fa203ff,
    0x7fcc002f,0x00ffa802,0x80fffd40,0xd002ffe8,0x440000ff,0x7f402ffe,
    0x9ff60007,0x3ffc47fd,0x645ffc80,0xffffffff,0x407fffff,0xfc806ffa,
    0x3ff2004f,0x2fffffff,0x000bff30,0x00fffb80,0x200dff50,0x3fea3ffc,
    0x47ff9006,0xf9006ffa,0x01ffcc7f,0x3ffd8000,0x03ffcc00,0x007ffdc0,
    0x07ffc000,0x007ffdc0,0x005ff700,0x7c46ff98,0xffc8005f,0x3ff20001,
    0x3fe60001,0x505ffc86,0x8005ffff,0xff7006fd,0x3fff6000,0xfffca9ac,
    0x013fe005,0x3fff2600,0x004ff805,0x7fd9ff60,0xc8037fd4,0x7fffc3ff,
    0xffffffff,0xfd101fff,0xfff1003f,0x7fff4005,0x2600deff,0x200005ff,
    0x2001fffb,0x4c00fff9,0x3fe61fff,0x7ffcc00f,0x003ffe61,0xfe83fff3,
    0x2000802f,0x8001fff9,0x2e003fff,0x00001fff,0xb805ffc8,0x40001fff,
    0x100c2ffb,0xff887ffd,0x07fe8005,0x203ff400,0x0fffa201,0x2673ffe6,
    0x2fffffdb,0x8037fc00,0xb10006fc,0xffffffff,0x3e6001bf,0xfc80002f,
    0x7cc00dff,0x3f60002f,0xff31ff67,0xfff9801f,0x267bfea1,0xd9999999,
    0x7ffd04ff,0x0fffd400,0x4cdffc40,0x0bff3000,0x7f666400,0xfe8004ff,
    0xa99abcff,0xfe84fffd,0xa99abcff,0xfe84fffd,0xa99abcff,0xe884fffd,
    0x9330acff,0xfeca807f,0xf70005ff,0x64159fff,0x04fffecc,0x2af3a200,
    0xc80fffeb,0x04fffecc,0x6d555540,0x5efec2ff,0x86fffcaa,0xaaaaeff8,
    0x013fe00a,0xd809ff00,0xffcaabdf,0x3fff606f,0xf9bfffff,0x7fec002f,
    0x17f601bd,0xfffd7000,0xb8005bff,0xc80000ff,0xff7003ef,0x3fec0001,
    0xfffd0ffb,0xfb533579,0x3ffc89ff,0xb0dff500,0xf70009ff,0xffa801ff,
    0x5ff98000,0x3fffe000,0xd10003ff,0xffffffff,0x3a209fff,0xffffffff,
    0xfd104fff,0xffffffff,0x7f4409ff,0xffffffff,0x3fffe203,0x320000df,
    0x3e2fffff,0x003fffff,0x7ffffc40,0xfff02fff,0xf0007fff,0x5fffffff,
    0xffffffd8,0xff880dff,0x02ffffff,0x40005ff3,0x7ec02ff9,0xdfffffff,
    0x7fffdc00,0x05ff31df,0x4ffff980,0x44000000,0x00000009,0x00000200,
    0x367fd800,0xfffe887f,0xffffffff,0x000fff84,0xff987ffe,0x3fee0004,
    0x002fec03,0x0005ff98,0x0033bffe,0x3fff6a00,0x800befff,0xffffffda,
    0xfda800be,0x0befffff,0xfffd9500,0xff88017b,0x300002de,0x7fc5ffd9,
    0x80000cef,0xceffffd8,0x33bffe00,0xffff0000,0xda85ffff,0x02dfffff,
    0x3fffffe2,0x1ff702ff,0x07fdc000,0x3ffff6a0,0x4c4002df,0x73000000,
    0x00000039,0x00000000,0x00000000,0x3f67fd80,0x3fff6a07,0xa80befff,
    0x7ec006ff,0x0002dc4f,0x16640264,0x40000000,0x88000000,0x03100001,
    0x00062000,0x00000000,0x00080000,0x40018000,0x00000000,0x00000130,
    0x00000000,0x00000260,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x8801ff67,0x07ff9001,0x006ffa80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fd9ff60,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x440abcca,0x554401aa,0x001cc00a,0x00059700,0x55555000,0x55300135,
    0x55555555,0x2a555555,0xaa9802aa,0x40aea200,0x20055500,0x55300aa9,
    0x002aa883,0x2a055544,0x2a0002aa,0x55000aaa,0xaa800015,0xa980000a,
    0x1aa801aa,0xa8001544,0x554000aa,0x40015441,0x40000aaa,0x0002aaa8,
    0x009bca88,0x00199800,0x00736e20,0x03100980,0x81555100,0x2a002aaa,
    0x1a8800aa,0x7ffff4c0,0xf50dffff,0x5ffd80bf,0x001bfe20,0x0003ff80,
    0x7c407fcc,0xffffffff,0xffff701d,0xffffffff,0x3ffebfff,0x0ffe402f,
    0x2effff98,0xdff107ea,0x80bff200,0xdfd33ffd,0x4ffe8001,0x000fffdc,
    0x002fffd8,0x001dfffb,0x03bfff60,0x4fffa800,0xfc8dfb00,0xfffc8007,
    0x1bf6000e,0xfd800ff9,0x20000eff,0x0007fffd,0x3fffffe6,0xf90000ef,
    0x88001bff,0x001fffff,0x7c42ffc8,0x7ff4006f,0x00fffdc4,0x00efffd8,
    0x5c0fffe2,0xffffffff,0xbff50fff,0x0077fe40,0x0000dff1,0x0000bfe2,
    0x3fe20df9,0xffffffff,0xffffb84f,0xffffffff,0xffff5fff,0x81ffc80d,
    0xfffdeff9,0x7c42ffee,0x5ff9006f,0xffdffd80,0x7fec000e,0x0077fdc4,
    0x00dffd80,0xdffbffb0,0xdffd8001,0xa8000eff,0x2a002fff,0x4fffefff,
    0x7effec00,0xff5001ef,0x009fffdf,0x77feffec,0xffff0000,0xff70005f,
    0xffffffff,0xeffc8003,0x32000eff,0x006fa8cf,0x7d44ffe8,0xffb000ff,
    0x00effb89,0xdffbffb0,0x1bffee01,0x2afbfffa,0x50feba98,0x3fea0bff,
    0x37fc400f,0x1ff98000,0x827f4000,0xb999fff8,0x442ffffd,0xff999999,
    0x099999af,0x403fffff,0x4e881ffc,0x0fffff62,0x6401bfe2,0xffc802ff,
    0x7e4000ef,0x02ffdc4f,0x009ffb00,0x74cbffa2,0xfe8801ff,0x03ffd32f,
    0x0077fd40,0x7ffffdc0,0x3ff62005,0x003ffd32,0x17ffffee,0x997ff440,
    0x54001ffe,0x005ffeff,0x4567ffe4,0x01fffeb9,0x3ea7ffb0,0x1fb000ef,
    0x7dc003fc,0x02ffc42f,0x7dc4ffc8,0xffd1005f,0x207ffa65,0x7dc5fffa,
    0x509804ff,0xfff10bff,0x0dff1005,0x03fea000,0xfbcca880,0x0fff101f,
    0xd0037fec,0xfff801ff,0x3ff205ff,0x2aa20101,0x00dff100,0x4c00bff2,
    0x33300019,0x80003330,0x26200099,0x004cc409,0x26204cc4,0x06660009,
    0x15551000,0x80998800,0x2a200099,0x262000aa,0x004cc409,0x3febff60,
    0x3ffe2007,0x0bfff103,0xa8835530,0x29f9002a,0x110006fa,0x333000c0,
    0x44003330,0x04cc4099,0x3e20efc8,0xfa8002ff,0x03ffe85f,0xdff33333,
    0x13333333,0x401fee00,0xfffffff9,0x0fff101f,0x8007ffc4,0x7fc00ffe,
    0xf901ffde,0x1000003f,0x3f200dff,0x0000002f,0x99880000,0x00099999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ff5bfe0,0x09ff9002,
    0x200fff98,0x20000099,0x02fffff8,0x00000000,0x00000000,0x0017ff60,
    0x3f62ffd4,0x3fffe04f,0xffffffff,0x2e604fff,0x00acfffd,0xfffffff7,
    0xff105fff,0x01fff80f,0xf801ffd0,0x905ffaef,0x02aa83ff,0x3e215530,
    0x5ff9006f,0x79975300,0x01554035,0x2e00aa98,0x4fffffff,0x99753000,
    0xaa980357,0xaaaaaaaa,0x99753002,0x15540357,0x000aa980,0x01579953,
    0xabcca980,0x2f2a2000,0xffa80009,0x1009ff74,0xfb001fff,0x17fe609f,
    0x9b910000,0x02aa8003,0x10015530,0x40013795,0x553002aa,0x1fff8801,
    0x4bff5000,0x7fc05ffb,0xffffffff,0x884fffff,0xfffffffd,0xcfffc83f,
    0xfffff98a,0x203ffc40,0xfd000fff,0xd6ff801f,0x3ff901ff,0xc8037fc4,
    0x0dff12ff,0xb80bff20,0xffffffff,0x06ff884f,0x5c05ff90,0x4fffffff,
    0x7fffdc00,0x204fffff,0xfffffffc,0x7dc07fff,0xffffffff,0x006ff884,
    0x74c05ff9,0xffffffff,0x3ffa600d,0x0dffffff,0x3ffffe60,0x36000eff,
    0x0fff11ff,0x200bff50,0xff306ffb,0xa880000b,0x3e2002aa,0x5ff9006f,
    0x7ffffcc0,0x7c400eff,0x5ff9006f,0xbff32654,0xaffd4000,0x5400eff9,
    0xaeffbaaa,0x41aaaaaa,0xffeffffa,0x7fc43ffe,0x7f7fd43f,0x03ffc45f,
    0x7400fff5,0xb7fc00ff,0xffc84ffb,0x401bfe21,0xdff12ffc,0x20bff200,
    0xffffffe8,0xf884ffff,0x5ff9006f,0x5ccccc40,0xfd1004ff,0xffffffff,
    0x7ffe409f,0x7fffffff,0xfffffd10,0x109fffff,0x3f200dff,0xffff702f,
    0x1fffffff,0x3ffffee0,0x00ffffff,0xfffffff7,0x3e003fff,0x017ff47f,
    0x4400ffee,0xbff307ff,0xffd80000,0x3fe2007f,0x05ff9006,0x3fffffee,
    0x2201ffff,0xff9006ff,0xff73fec5,0x7fd40009,0x001fff8d,0x2006ff88,
    0xff0dfff8,0x9ff90667,0xfff5bfb0,0x983ffc43,0x3a003fff,0xb7fc00ff,
    0x7e40fff8,0x01bfe21f,0xff897fe4,0x05ff9006,0x9837dffb,0x6ff882b9,
    0x005ff900,0xb004ffa8,0x99837dff,0x2666202b,0x7ff99999,0x837dffb0,
    0xff882b99,0x05ff9006,0x157dfffd,0xd01fd753,0x3157dfff,0xf901fd75,
    0xd73159ff,0xfa803fff,0x027fe44f,0xf800bff2,0x0bff307f,0xffff8000,
    0xdff1002f,0x20bff200,0x98acfffc,0x101fffeb,0x3f200dff,0xfc9ff62f,
    0xaaaa883f,0xbff50aaa,0x20005ffd,0x36006ff8,0x0bfe64ff,0x7c07ffc4,
    0x447ffd3f,0xdbaaafff,0x74005fff,0x37fc00ff,0xffc89ff9,0x401bfe21,
    0xdff12ffc,0x50bff200,0x20003fff,0xf9006ff8,0xffa8005f,0x1fffa804,
    0x7c400000,0x1fffa87f,0x0dff1000,0xf70bff20,0x813009ff,0x9804fffb,
    0x81fffc40,0x6c05ffe8,0x3ffcc2ff,0x8007ffa0,0xff980fff,0x3ea00005,
    0x1005ffef,0x3f200dff,0x1fffc42f,0x105ffe88,0x3f200dff,0xfd9ff62f,
    0xffff982f,0xfff51fff,0x44000dff,0xff3006ff,0x80ffd41f,0xff985ffa,
    0x7c4dff50,0xffffffff,0xffe8003f,0xf137fc00,0x0ffe41ff,0x3200dff1,
    0x0dff12ff,0xf90bff20,0x7c4000bf,0x5ff9006f,0x04ffa800,0x0005ffc8,
    0x87ff8800,0x20005ffc,0xf9006ff8,0x17ffc45f,0x2fff8800,0x13ff2000,
    0x401fff30,0x3fff07ff,0x0007ffc0,0xff303ffd,0x7ec0000b,0x1007ffaf,
    0x3f200dff,0x027fe42f,0x2203ffe6,0xff9006ff,0xfe87fec5,0xffff982f,
    0xbff51fff,0x20009ffd,0xf7006ff8,0x207fb89f,0x6fc83ffb,0xff89ffe6,
    0x0effffff,0x01ffd000,0x7fe46ff8,0xf887ff23,0x5ff9006f,0x6401bfe2,
    0x1ffec2ff,0x0dff1000,0x000bff20,0xfb009ff5,0x0000007f,0xffb0fff1,
    0x7fc40007,0x45ff9006,0x20005ffd,0x20005ffd,0xd800fff8,0xbff504ff,
    0xf813ff20,0x3fa001ff,0x45ff981f,0x7c001aa9,0x005ffd6f,0x3200dff1,
    0x3ffe22ff,0x84ffd800,0xf9006ff8,0xd87ff45f,0xffb003ff,0x3e77fea3,
    0xf88002ff,0x5ff9006f,0x3f607fc8,0x224fe82f,0xfff10fff,0x0077fe4c,
    0x2007ff40,0x3ffcc6ff,0x7fc43ff9,0x25ff9006,0xf9006ff8,0x05ffc85f,
    0x01bfe200,0x20017fe4,0xfc804ffa,0x8000005f,0xffc87ff8,0x3fe20005,
    0x25ff9006,0x0001fff8,0x0003fff1,0xb802ffd4,0x5ff906ff,0xe81ffe60,
    0x3fe001ff,0x35ff980f,0x05fffffd,0x3ee9ff50,0x6ff8804f,0x545ff900,
    0xff7005ff,0x00dff10d,0xffe8bff2,0x2009ff70,0xbff51ffd,0x0007ffea,
    0x3a00dff1,0x037ec1ff,0xff883ffd,0xf887ffc1,0x05ffc87f,0x400ffe80,
    0x2ffd86ff,0x7fc43ff9,0x25ff9006,0xf9006ff8,0x4fffa85f,0x0dff1000,
    0x000bff20,0xf5009ff5,0x000009ff,0xfa87ff88,0xf10004ff,0x3ff200df,
    0x000bff32,0x0002ffcc,0x4400ffee,0x1fff07ff,0xd80fffc0,0xff1002ff,
    0x2b3fe60f,0xffffffff,0x88ffec02,0xff8807ff,0x45ff9006,0xf1003ffb,
    0x0dff10ff,0xfe8bff20,0x00bff50f,0x7fd47ff6,0x003bff25,0xb006ff88,
    0x04fe87ff,0xff703ffe,0x3e23fff0,0x2fff887f,0x007ff400,0x3fe61bfe,
    0x7c43ff96,0x5ff9006f,0x6401ffe2,0xfffd82ff,0x7fc4002e,0x05ff9006,
    0x004ffa80,0x005dfffb,0x1ffe2000,0x0177ffec,0x401bfe20,0x9ff72ffc,
    0x27fdc000,0x0bff6000,0xfa87ff80,0xccccccff,0xfb04ffec,0x3fe6007f,
    0xffdff306,0xdfff735d,0x7f47ff80,0x37fc402f,0x362ffc80,0x3fe002ff,
    0x006ff887,0x7ff45ff9,0x001fff31,0x3fea3ffb,0x002fff45,0x3200dff1,
    0x01ffc5ff,0x5fd83fff,0xff10fff8,0x01bfee0f,0xf801ffd0,0x93ffd06f,
    0x37fc43ff,0x3e2ffc80,0x3ffb007f,0xfffffb10,0xdff10019,0x00bff200,
    0x2009ff50,0xcfffffd8,0x3e200000,0xfffb107f,0xf10019ff,0x3ff200df,
    0x5107ff92,0x21555555,0xaa883ffc,0x3a0aaaaa,0x3fe001ff,0x7fffe40f,
    0xffffffff,0x0dff707f,0x4c13ff20,0xf885ffff,0x9ff501ff,0x4404ffc8,
    0xff9006ff,0x000fff45,0xff881fff,0x45ff9006,0x3ffa1ffe,0x51ffd804,
    0xfff88bff,0x0fff1003,0xf89ffee0,0x87ffa02f,0x7ff82ff8,0x7c41ffe2,
    0x3fa001ff,0x837fc00f,0x1ffcdffa,0x6401bfe2,0x03ffa2ff,0xb803ffe0,
    0x1dffffff,0x401bfe20,0x54002ffc,0x7dc004ff,0x01dfffff,0x07ff8800,
    0x7fffffdc,0x1bfe201d,0xfd97fe40,0xffff982f,0x5ffb1fff,0xffffff30,
    0x007ffc3f,0xff83ffd0,0xffffffff,0x881fffff,0xff800fff,0xbfff301f,
    0xd817ff40,0x3ffcc2ff,0x401bfe20,0x3ffe2ffc,0x07ffa000,0x3200dff1,
    0x87ffe2ff,0x6c01fffa,0x0bff51ff,0x2005fff5,0xf8802fff,0x03ff32ff,
    0xff517ff4,0x226ff881,0x3ff207ff,0x03ffa005,0x7f40dff0,0x3e21ffdf,
    0x5ff9006f,0x2a01ffec,0xfd5006ff,0x2207ffff,0xff9006ff,0x4ffa8005,
    0xfffd5000,0x880007ff,0xfd5007ff,0x2207ffff,0xff9006ff,0x260bffa5,
    0x1fffffff,0xff305ffd,0x7c3fffff,0x3fa001ff,0x27bfea0f,0x99999999,
    0xffb04ffd,0x05ffc80b,0xf901bfe6,0x41ffe07f,0x3e201fff,0x5ff9006f,
    0xd000fffc,0x6ff881ff,0x7c5ff900,0x7ffec1ff,0x547ff603,0xfff905ff,
    0x0bffb001,0x2b3fff60,0xfd8220ff,0x2617f23f,0x1ffe25ff,0x001fff88,
    0xff801ffd,0x3fffea06,0x01bfe21f,0xff517fe4,0x3ffa203f,0x7fecc002,
    0x6ff884ff,0x005ff900,0x0004ffa8,0x27fffecc,0x0fff1000,0xffffd980,
    0x006ff884,0x3ff65ff9,0x23ffb003,0xfb003ffd,0x00fff43f,0xffc8fff0,
    0x0dff5003,0x5c13ffea,0x3e601fff,0x1ffdc05f,0xfc82ffd4,0x1bfe204f,
    0xfd17fe40,0x3ffc003f,0xc8037fc4,0x07ffe2ff,0x9bffffd1,0x23fff955,
    0x3fa05ffa,0xfffa806f,0x23caaadf,0xffffffe8,0x3ee3fdcb,0x320ffe5f,
    0x1ffe24ff,0x200bff90,0x7fc00ffe,0x7ffff406,0x401bfe21,0x7ff42ffc,
    0xffca9acf,0x3a20005f,0x7fc42fff,0x05ff9006,0x004ffa80,0x5fffd100,
    0x1ffe2000,0x7fff4400,0x8037fc42,0x9ff72ffc,0x5c7ff600,0xffb004ff,
    0x8017fec3,0x7ffc6ff8,0x07ffe000,0x5677ffe4,0x403fffec,0x7dc05ff9,
    0x02ffc83f,0x7c40fff3,0x5ff9006f,0x88017fec,0x6ff886ff,0x7c5ff900,
    0xfff902ff,0xffffffff,0x8817fea3,0xfd804fff,0x4fffffff,0x7fffff44,
    0x3e63ffff,0x81ff99ff,0x3fe21fff,0x0fffc407,0x2007ff40,0x7fdc06ff,
    0x1ffe21ff,0x2217fe40,0xfffffffd,0xb00005ff,0x7ff88bff,0x005ff900,
    0x0004ffa8,0x002ffec0,0x0007ff88,0x3e22ffec,0x5ff9007f,0x6c017fea,
    0x0bff51ff,0xfc87ff60,0xbff3003f,0x20037fd4,0x3f204ffd,0xffffffff,
    0x05ff9802,0x7fc1ffdc,0x07ffe00f,0xc803ffc4,0x0fff22ff,0x442ffcc0,
    0xff9007ff,0x3017ffc5,0xdfffffdb,0x02ffd439,0x200fffea,0xffffffea,
    0xffff9303,0xffe8159b,0xffc86fcd,0x403ffc45,0xfe805ffd,0x037fc00f,
    0xf07fffe2,0x3ff600ff,0xffffd701,0x400005df,0x7ff87ffa,0x003ffb00,
    0x0004ffa8,0x003ffd40,0x0007ff88,0x7fc3ffd4,0x23ffb007,0xd800fff9,
    0x1fff31ff,0x5c3ffb00,0xff9006ff,0x001ffe49,0x9301bfea,0x039fffff,
    0x7017fe60,0xfffa87ff,0xeccccccc,0x1ffe04ff,0xf70ffec0,0x3ff200df,
    0x200fff04,0x3ffe1ffd,0x02666002,0x20000000,0xff000998,0xffff5009,
    0x1fffb89f,0x00000000,0xfd000000,0x0fff001f,0x0013fea0,0x21bfe600,
    0xff800ffe,0x4ffa8007,0x7fcc0000,0xbff30006,0x6ff98000,0xf800ffe8,
    0x027ff47f,0xffd0ffec,0x43ffb009,0xf800fff8,0xb00001ff,0x7fc001df,
    0x7fcc000f,0x21ffdc05,0xfffffffc,0x07ffffff,0x3e003ffa,0x07ffc47f,
    0xe80fffc0,0x7ff800ff,0x000bffe2,0x00000000,0x07ff0000,0x33ffff60,
    0x04fffeca,0x00000000,0x3f600000,0x37fd403f,0x0005fe80,0xb0bff700,
    0xffa807ff,0x4ffa8006,0x7fdc0000,0x9ff90005,0x5ffb8000,0x5403ffd8,
    0x7ffd46ff,0x50ffec01,0xfd803fff,0x02ffec1f,0x00017ff2,0x20007fdc,
    0x4c003ffd,0x7fdc05ff,0x7fffffc3,0xffffffff,0x07ffb01f,0xfd86ffa8,
    0x2ffe405f,0xa807ffb0,0x3ffe26ff,0x01ffc803,0x003ff900,0x000ffe40,
    0xc800bfe6,0xffffffff,0x7fe4002f,0x3ff20001,0x3ff90001,0x07ffea00,
    0x4017ff44,0x06001ffa,0x417ffcc0,0xd101fffa,0xf50005ff,0x2003009f,
    0x5b02fff9,0x207ffe60,0x5fff3001,0x203fff50,0xfd82ffe8,0x3ff603ff,
    0x01fffec1,0xff983ffb,0x3fff704f,0x9ff10000,0x3dff7000,0xbff30150,
    0x2a3ffb80,0x99999eff,0x4ffd9999,0x203fff50,0xf982ffe8,0xfff704ff,
    0x0fffd403,0x002ffe88,0x0003ff40,0xe8000ffd,0xffa8007f,0x7fff4000,
    0x8000deff,0x740007fe,0x3fa0007f,0x7ffec007,0xfffca9ac,0x03ff9005,
    0x3337fe20,0xfffecbaa,0x33fff605,0x5fffca9a,0x09ff5000,0xaccdff88,
    0x5fffecba,0x2ef3bfa0,0xf884fffc,0xcbaaccdf,0x3605fffe,0xca9acfff,
    0xfd105fff,0x9559bfff,0xfe883fff,0xcaacdfff,0xffc81fff,0xffecacef,
    0xf300004f,0x3fa0009f,0x4fecbeff,0x5c05ff98,0x0fff23ff,0xb037fd40,
    0x95359fff,0x7e40bfff,0xfecaceff,0xffd804ff,0xffca9acf,0xff80005f,
    0x13fe0004,0x009ff000,0x8800ff70,0x00099bff,0x00027fc0,0xf80013fe,
    0x7ec4004f,0xffffffff,0xdff5000d,0xfff88077,0xffffffff,0x7fec405f,
    0xdfffffff,0xaaaaa800,0xaaaadffc,0x3ffffe21,0x5fffffff,0x7fffff40,
    0xf880dfff,0xffffffff,0x6c405fff,0xffffffff,0x7fe400df,0xffffffff,
    0xffff901f,0x3fffffff,0x3ffffee0,0x0002ffff,0x0567ffc0,0xfffff300,
    0xff30dfff,0x23ffb80b,0x3e000fff,0xffb101ff,0xbfffffff,0xffffb801,
    0x002fffff,0xffffffb1,0x0001bfff,0x0002ff98,0x40005ff3,0xc8002ff9,
    0x7fd4006f,0xff300000,0x7fcc0005,0x5ff30002,0x3ffae000,0x8002dfff,
    0xd807fffe,0xfffffffe,0x3ae001cf,0x02dfffff,0x3fffffe0,0x5fffffff,
    0x7fffff6c,0x9801cfff,0x2dfffffc,0x7ffff6c0,0x001cffff,0x3fffffae,
    0x3b66002d,0x1cefffff,0x7fff6cc0,0x5401ceff,0x0defffed,0xffb80000,
    0xeb8002ff,0xf302efff,0x3ffb80bf,0xd800dff5,0x7f5c04ff,0x002dffff,
    0x3bfffb6a,0xfeb8000d,0x002dffff,0x001ff700,0x0003fee0,0x8000ffb8,
    0x7ec005fd,0x3ee00005,0x3ee0000f,0xff70000f,0x13100001,0x79710000,
    0x19999800,0x01310000,0x3ffffe00,0xffffffff,0x06666605,0x00131000,
    0x00666660,0x0004c400,0x00099980,0x00026660,0x000004c4,0x000bca80,
    0x7fcc0040,0xc9ffdc05,0x7d4003ff,0x0262006f,0x00262000,0x00098800,
    0x00000000,0x40000000,0x66400098,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x0015441a,0x01aaa980,0x03555300,
    0x00155544,0x000f2600,0xaa883553,0x2aa60002,0x5555501a,0x55555555,
    0x0aaaa201,0x15d44000,0x55500008,0x10098001,0x55554c03,0x2aaaaaaa,
    0x001e4c00,0x03555300,0x02057510,0x018804c0,0x000aaa80,0x55106aa6,
    0x2aaa8805,0x2aaa0000,0xa9800000,0x531001aa,0x55500013,0x35530001,
    0x8002aa88,0x00000aaa,0x10cccccc,0x3f601333,0x0003fe46,0x0027ffd4,
    0x804fffa8,0x0004fffa,0x007fff30,0xfd33ffd8,0x3ea0003f,0x3ffe04ff,
    0xffffffff,0x3fea01ff,0x7cc0004f,0x3ea2efff,0x7ffe4001,0x5ff9000e,
    0xf906ff88,0xffffffff,0x26001fff,0x80003fff,0x9804fffa,0x2a2effff,
    0x17fe401f,0xd801bfe2,0x2000efff,0xdfd33ffd,0x9fff5001,0xfffb0000,
    0x5400001d,0x64404fff,0x07ffffff,0x03bfff60,0x4cfff600,0x6c000efe,
    0x0000efff,0xfffffd95,0x7ffccfff,0xfdfff503,0xa80009ff,0x50002fff,
    0x44005fff,0x80004ffe,0x8005fffb,0x0effeffd,0x5fff5000,0xffffff80,
    0x1fffffff,0x027ff440,0xfdeff980,0x02ffeeff,0x3ff7ff60,0x4ffe801e,
    0x6407ffd4,0xffffffff,0x7000ffff,0x8000bfff,0x9802fffa,0xefffdeff,
    0x7f402ffe,0x07ffd44f,0x7feffec0,0x3ff6000e,0x2000effd,0x0004ffe8,
    0x3bff7ff6,0xffa80000,0x7ffd402f,0x007fffff,0x1dffbffb,0xfbffb000,
    0xfd8001df,0x000effdf,0x3fffffa6,0x267fffff,0x3ee03fff,0x0005ffff,
    0x00077fd4,0x000effa8,0x0009ff90,0x003fff98,0x01dfff90,0x03bfea00,
    0x3e666660,0x01999aff,0x0013ff20,0xffd893a2,0xfb1003ff,0x07ffa65f,
    0xf885ff70,0x39ff905f,0x33333333,0x1fffcc00,0x1dff5000,0xd893a200,
    0xb803ffff,0x2ffc42ff,0x4cbffa20,0x32001ffe,0x0000efff,0x88009ff9,
    0xffd32ffe,0x7fd40003,0x7ffc400e,0x03a9899c,0xe997ff44,0xfc8001ff,
    0x22000eff,0xffd32ffe,0xffff5003,0xff335fff,0x017ffc4f,0x0002aaa2,
    0x00006620,0x10000333,0x93000033,0x19980007,0x00ccc000,0x003ffa00,
    0x00033100,0x00554402,0x33013310,0x0c011001,0x0007ff90,0x00079300,
    0x08001998,0x40015510,0x22006008,0x04cc4099,0x00066600,0x10006620,
    0x09988133,0x00666000,0x0001ffe4,0x99881331,0x03330000,0x88133100,
    0x7fc40099,0x20ffffff,0x3ffe27ff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x03ffa000,0x00000000,0x00000000,0x7fe40000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,0x000001ff,
    0x00000000,0x7fe40000,0x20ffffff,0x0fffc7ff,0x026f2a20,0x57953000,
    0x80155405,0x15540aa9,0x000aa980,0x00557953,0x05579530,0x09bca880,
    0x01ffd000,0x4de54400,0x32a20000,0x4c00009b,0x4002abca,0x4009bca8,
    0x00003ffc,0x0abcca98,0x30055550,0x2aaa8155,0xa80aa980,0xaaaaaaaa,
    0xaa80aaaa,0xaaaaaaaa,0x55540aaa,0x80aa9802,0xaaaaaaaa,0x800aaaaa,
    0x8002aaa8,0xaaaaaaaa,0x6c0aaaaa,0x2a2004ff,0x5544001a,0x2aaaaa61,
    0xaaaaaaaa,0x035552aa,0x20aaa880,0xfffffffe,0xff1ffe0f,0x3ffe603f,
    0x000effff,0x3fffff62,0x7fc45fff,0x45ff9006,0xf9006ff8,0x7fec405f,
    0x05ffffff,0x7ffffec4,0x7cc05fff,0x0effffff,0x007ff400,0x7ffffcc0,
    0x26000eff,0xefffffff,0x3ff62000,0x05ffffff,0x7fffffcc,0x7ff900ef,
    0x3fa60000,0xdfffffff,0x017fffc0,0xfff07ff2,0x1ffc805f,0xfffffff8,
    0x81ffffff,0xffffffff,0x7c1fffff,0x7e402fff,0xfffff81f,0xffffffff,
    0x7fffd801,0xfffff800,0xffffffff,0x01fffd41,0x4005ff88,0x3fee2ff9,
    0xffffffff,0xf75fffff,0x7ec001ff,0x7ffffc5f,0x3fe0ffff,0x5c0fffc7,
    0xffffffff,0xffa801ff,0xffffffff,0x8037fc47,0x3fe22ffc,0x05ff9006,
    0x3fffffea,0x2a07ffff,0xffffffff,0x3fee07ff,0xffffffff,0x03ffa001,
    0xfffff700,0x003fffff,0xfffffff7,0xf5003fff,0xffffffff,0x7ffdc0ff,
    0x1fffffff,0x0003ffc8,0xffffffb8,0x7c0fffff,0x7e406fff,0x37fffc1f,
    0x3e07ff20,0xffffffff,0xff81ffff,0xffffffff,0x7ffc1fff,0x0ffe406f,
    0x7ffffffc,0x01ffffff,0x02fffff8,0x7fffffc0,0x1fffffff,0x01efffe8,
    0x2002ffc4,0x3fee2ffa,0xffffffff,0x3a5fffff,0xff3004ff,0xfffff83f,
    0x3fe0ffff,0x320776c7,0xb98acfff,0x3201fffe,0x98abefff,0x7fc47eba,
    0x45ff9006,0xf9006ff8,0xdfff905f,0xfd753157,0x2fbfff20,0x07eba98a,
    0x3159fff9,0x003fffd7,0xc8003ffa,0xb98acfff,0x3201fffe,0xb98acfff,
    0x3201fffe,0x98abefff,0xff907eba,0xfd73159f,0x3ffc83ff,0x7fff4000,
    0xeba98abe,0x7ffffc0f,0xf07ff201,0x6403ffff,0x999981ff,0x999afff9,
    0xf3333301,0x033335ff,0x403fffff,0x99981ffc,0x99afff99,0xeffa8019,
    0x4cc005ff,0x9afff999,0xfffd8199,0x7fc04fff,0x0ffd4005,0xf3333331,
    0x333335ff,0x00fffd41,0x7f427fec,0x0fffffff,0x7c401ffe,0xffd103ff,
    0x17ffe60b,0x0dff1060,0xf88bff20,0x5ff9006f,0x805fff98,0x05fff981,
    0x3fff8818,0x00bffd10,0x44003ffa,0xfd103fff,0x3ffe20bf,0x0bffd103,
    0x2017ffe6,0x03fff881,0xfc8bffd1,0xeeeeeeef,0xfff704ee,0xff813009,
    0x3f205fff,0x7ffffc1f,0x007ff205,0x00007ff4,0xff001ffd,0x7e40bfff,
    0x1ffd001f,0xf5ffb000,0xfd0000ff,0xdffc801f,0x02efffe9,0xfb800dff,
    0x1ffd001f,0x017ffa00,0xfb01fff3,0x1fffffff,0x3fee3ffc,0x3013ff22,
    0xffb01fff,0x3fe20009,0x45ff9006,0xf9006ff8,0x04ffd85f,0x013ff600,
    0x404ffc80,0xe800fff9,0xff9000ff,0x0fff9809,0x4c04ffc8,0xffd80fff,
    0x3ff20004,0x07ffcc04,0xfffffff9,0xf10bffff,0x7c0005ff,0x901ffdef,
    0xdeff83ff,0x3ff901ff,0x003ffa00,0x800ffe80,0x01ffdeff,0x3a003ff9,
    0xff8000ff,0x0005ffd6,0x2200ffe8,0x7ffdc6ff,0x006fe83f,0xe8007fdc,
    0xff3000ff,0x1ffec03f,0xffffff98,0xb1ffe0ff,0x3ffe21ff,0x44ffd800,
    0x0000fffa,0x3200dff1,0x1bfe22ff,0xf517fe40,0x2a0001ff,0x10000fff,
    0xfb001fff,0x1ffd009f,0x01fff100,0xf889ffb0,0xffd800ff,0x007ffd44,
    0x00fff880,0x3f24ffd8,0xeeeeeeef,0x5ffd84ee,0x577fc000,0x3ff905ff,
    0x5ffaeff8,0x2003ff90,0x20000ffe,0xff800ffe,0xf905ffae,0x3ffa003f,
    0xa7fd4000,0x40004ffb,0x3ee00ffe,0xfffd883f,0x2003ff43,0xfd000ffb,
    0x7fec001f,0x80dff506,0xfffffffb,0xdff1ffe0,0xb802ffd4,0x27fec6ff,
    0x0dff1000,0xf88bff20,0x5ff9006f,0x00027fec,0x40009ffb,0xf7005ffa,
    0x1ffd00df,0x00bff500,0xff51bfee,0x1bfee00b,0x40009ffb,0xf7005ffa,
    0x01ffe4df,0x00fffc40,0x7f5bfe00,0x41ffc80f,0x01ffd6ff,0x3a003ff9,
    0x3a0000ff,0x6ff800ff,0xff901ffd,0x03ffa003,0x223ffb00,0x740007ff,
    0x3fee00ff,0x87fff202,0x7e4007fd,0x03ffa007,0x82fff880,0xfb802ffe,
    0x3e0fffff,0xb8ffe27f,0xff1003ff,0x001ffe8f,0x401bfe20,0x3fe22ffc,
    0x45ff9006,0x20001ffe,0x20001ffe,0xf1003ffb,0x1ffd00ff,0x007ff700,
    0xff71ffe2,0x1ffe2007,0x40003ffd,0xf1003ffb,0x01ffe4ff,0x002ffcc0,
    0xffbb7fc0,0x7c1ffc84,0x909ff76f,0x3fa003ff,0x3fa0000f,0x76ff800f,
    0x3ff909ff,0x003ffa00,0xffe8fff0,0x3ffa0002,0x017fea00,0x3fec9ff9,
    0x3fe4275c,0x001ffd00,0x7d46ffc8,0x3ae2006f,0x9ffe0ffe,0x3ff61ffa,
    0xf1ffe002,0x440001ff,0xff9006ff,0x8037fc45,0x3ffe2ffc,0x3ffe0000,
    0x3ff60000,0x01ffe002,0x36003ffa,0x3fe002ff,0x0017fec7,0x0fff8fff,
    0x0bff6000,0x3f27ff80,0xffb8003f,0x6ff80004,0xfc81fff1,0xf8b7fc1f,
    0x0ffe40ff,0x000ffe80,0x2003ffa0,0x1fff16ff,0xd001ffc8,0x7d4001ff,
    0x027fe44f,0x401ffd00,0x2602fff8,0x03ff26ff,0x6fd81ffd,0x003ffa00,
    0x747fff10,0x0c0001ff,0xe8111ffe,0x3fe001ff,0x00fff10f,0x006ff880,
    0x7fc45ff9,0x25ff9006,0x20007ff8,0x40007ff8,0x3e001ffe,0x7ff400ff,
    0x01ffe800,0xfe83ffe0,0x3ffe001f,0x000fff10,0x2001ffe8,0x7ff90fff,
    0x07ff9000,0x55555551,0x3f26ff81,0x20ffe44f,0x13ff26ff,0x3a003ff9,
    0x3a0000ff,0x6ff800ff,0xff913ff2,0x03ffa003,0x4c2ffd80,0x3a0007ff,
    0x7fdc00ff,0xc9bfe02f,0x3ffe60ff,0xd0037ec3,0xf70001ff,0x017feadf,
    0x01ffe000,0xe8003ffe,0x0dff51ff,0x06ff8800,0x7c45ff90,0x5ff9006f,
    0x8001bfea,0x40006ffa,0x3a000fff,0x7ff401ff,0x00fff800,0xff87ffa0,
    0x3ffa000f,0x000dff51,0x2000fff8,0x7ff91ffe,0x05ffb000,0xfffffff3,
    0x3e26ff83,0x07ff20ff,0x7ffc4dff,0x4007ff20,0x20000ffe,0xff800ffe,
    0xc83ffe26,0xffd001ff,0x83ffc001,0xd0001fff,0xff9001ff,0x4ff981bf,
    0xffb87fee,0x002ff45f,0x20001ffd,0x0ffebffe,0x7ff80000,0x001fff80,
    0x7fd43ffa,0x7fc40006,0x45ff9006,0xf9006ff8,0x01bfea5f,0x006ffa80,
    0x000fffc0,0xfe801ffd,0x1fff800f,0xf83ffa00,0x3fa001ff,0x00dff50f,
    0x001fff80,0x7fe43ffa,0x2ffe8003,0xffffff98,0x3237fc1f,0x07ff23ff,
    0x3ffc8dff,0x74007ff2,0x3a0000ff,0x6ff800ff,0xff91ffe4,0x03ffa003,
    0xc82ffd40,0xfd0004ff,0x3fee001f,0x3ffd13ff,0xffd0ffd4,0x02ff41ff,
    0x0001ffd0,0x13ffffea,0x3ffc0000,0x000fff40,0x3ffccfff,0x1bfe2000,
    0xf117fe40,0x3ff200df,0x000fff32,0x0003ffcc,0xf8007ffa,0x0ffe807f,
    0x001ffe80,0x3ffd1ffe,0xf33ffc00,0xfe8000ff,0x9ffe001f,0xd8003ffc,
    0xffb003ff,0x7cc6ff83,0xf07ff27f,0x27ff98df,0xfd001ffc,0x7f40001f,
    0x46ff800f,0x3ff27ff9,0x01ffd001,0x4c0bff20,0xfd0007ff,0x7f4c001f,
    0x44fffeff,0x5ff12ffa,0x027fc7ff,0x0001ffd0,0x007fffec,0x07ff8000,
    0x1002ffd8,0x7ffc4dff,0x3fe20000,0x45ff9006,0xf9006ff8,0x03ffe25f,
    0x07ffc400,0x05ffb000,0x991bfe20,0x99fff999,0xffd81999,0x8dff1002,
    0xf1002ffd,0x07ffc4df,0x05ffb000,0xfc9bfe20,0xccccccdf,0x3fee0ccc,
    0x83ffb004,0x2ffd86ff,0x6ff83ff9,0xff92ffd8,0x03ffa003,0x00ffe800,
    0xffd86ff8,0x2003ff92,0xff000ffe,0x0fffc01f,0x007ff400,0x7ffffdc0,
    0xf72ff983,0x4ff9bfad,0x003ffa00,0x03fff980,0x1ffe0000,0x400fff20,
    0x7ffc5ff9,0x3fe20001,0x45ff9007,0xf9007ff8,0x00fffc5f,0x003fff00,
    0x801ffe40,0x7ffc5ff9,0xffffffff,0x1ffe41ff,0x645ff980,0xff3003ff,
    0x001fff8b,0x400fff20,0x3ff25ff9,0xffffffff,0x17fea0ff,0x3e0ffec0,
    0x96ff986f,0x86ff83ff,0x3ff96ff9,0x003ffa00,0x800ffe80,0x6ff986ff,
    0x3a003ff9,0xffa800ff,0xcccccccf,0xe8004ffe,0xb10000ff,0xff305fff,
    0x7fe53fa7,0x74007ff0,0x740000ff,0x000000ff,0x3ee01ffe,0x9ff9006f,
    0x0004ffe8,0xfd803ffc,0x803ffc1f,0x3ffa1ffd,0x3ffa0004,0x3fee0004,
    0x89ff9006,0xffffffff,0x5c1fffff,0xff9006ff,0x006ffb89,0xffe89ff9,
    0x3fee0004,0x49ff9006,0xfffffffc,0x260fffff,0xfd800fff,0xe837fc1f,
    0x41ffc9ff,0x3ffd06ff,0x3a003ff9,0x3a0000ff,0x6ff800ff,0xff93ffd0,
    0x03ffa003,0x3fffff20,0xffffffff,0x0ffe8007,0x3ffdc000,0x7fc5ffc4,
    0xff17ff31,0x07ff4007,0x03ffa000,0x6ff80000,0x00fff880,0x7dc1fff8,
    0x3a0000ff,0x7ff800ff,0xf800ffe8,0x07ffdc7f,0x0fffb800,0x1fff1000,
    0x003fff00,0x3e21bf60,0xfff800ff,0x007ffc41,0x3ee0fffc,0xf10000ff,
    0xfff001ff,0x5fe88003,0xd804ffe8,0x837fc1ff,0x1ffcdffa,0xffa837fc,
    0xd001ffcd,0x740001ff,0x6ff800ff,0xff9bff50,0x03ffa003,0x3fffffe0,
    0xffffffff,0x7ff4001f,0xfff80000,0x7de7fc40,0x7fc77f47,0x03ffa002,
    0x01ffd000,0x3fe60000,0x0bffb005,0xfd05ffc8,0x7ec000bf,0x37fd403f,
    0x2a01ffec,0x5ffe86ff,0x17ffa000,0x05ffd800,0x8002ffe4,0xffb00ffc,
    0x05ffc80b,0xfc80bffb,0x0bffd05f,0x02ffec00,0x20017ff2,0xfff506fd,
    0x41ffd803,0x3ffa06ff,0x37fc1ffd,0x3ffbffd0,0x003ffa00,0x800ffe80,
    0x3ffa06ff,0xfd001ffd,0xeffa801f,0x99999999,0x4004ffd9,0x40000ffe,
    0x9ff07ff8,0xaffb89fb,0x3fa002ff,0x7f40000f,0x8010000f,0xf3003ffc,
    0x3fee09ff,0xdfff501f,0x7d41c403,0xffd101ff,0x03fff505,0x2a0bffa2,
    0x2201efff,0x1efffa83,0x3fe60e20,0x3fff704f,0x07ff1000,0xb827ffcc,
    0xff301fff,0x3ffee09f,0x3dfff501,0x7fcc1c40,0x3fff704f,0x02ffa800,
    0xd80ffff6,0x037fc1ff,0x83fffff5,0x3fea06ff,0xfd001fff,0x7f40001f,
    0x06ff800f,0x07ffffea,0x2007ff40,0xf5003ffc,0xffe800df,0xfb100400,
    0x3f7fe0bf,0x7effcc1f,0x3ffa001f,0x7ff40000,0x0cf98000,0x000fffb8,
    0x2b3bfff2,0x404fffec,0xbceffffd,0xfb07fecc,0xf95359ff,0x7fec0bff,
    0xffca9acf,0x3fff605f,0xfeccbcef,0xdffffb07,0x0ffd9979,0x2b3bfff2,
    0x004fffec,0xc807ff50,0xecacefff,0x7e404fff,0xfecaceff,0x7fec04ff,
    0xeccbceff,0xdfff907f,0x9fffd959,0x05ff7000,0x6fffff44,0x1fffcaac,
    0x3fa037fc,0x37fc1fff,0x07ffffa0,0x3ff33332,0x80cccccf,0xfffccccc,
    0x7c0ccccc,0x7fff406f,0xccccc81f,0xcccccfff,0x8003ffe0,0x99901fff,
    0x999fff99,0x66f7c199,0x1ffffecc,0x20ffffd0,0x001ffffe,0x00003ffa,
    0xd0001ffd,0xfd99dfff,0xf70005ff,0xffffffff,0x3ffea005,0x7fffffff,
    0xfffffb10,0x401bffff,0xffffffd8,0x5400dfff,0xffffffff,0x3fea07ff,
    0xffffffff,0x3fffee07,0x002fffff,0x2b3ffe20,0xfffff700,0x2005ffff,
    0xfffffffb,0xff5002ff,0xffffffff,0x7fffdc0f,0x002fffff,0x077dff30,
    0x7fffffe4,0x7c1fffff,0x7ffdc06f,0x2037fc1f,0xf81ffffb,0xffffffff,
    0xff81ffff,0xffffffff,0x37fc1fff,0x07fffee0,0x3ffffffe,0x51ffffff,
    0xfd800dff,0xfffff04f,0xffffffff,0x7fffffc3,0x3a01efff,0xff704fff,
    0x7f4001ff,0x7f40000f,0xfe98000f,0x2fffffff,0x3fb6a000,0x4000deff,
    0xeffffec8,0x7f5c01bc,0x002dffff,0x3fffffae,0x3b22002d,0x1bceffff,
    0x7fff6440,0x5401bcef,0x0defffed,0xfffb8000,0x3fb6a01f,0x4000deff,
    0xdefffeda,0x7f644000,0x01bcefff,0x77fff6d4,0x7ec0000d,0x76cc07ff,
    0x1cefffff,0x7c406ff8,0x37fc1fff,0x07fffe20,0x3ffffffe,0x81ffffff,
    0xffffffff,0x7c1fffff,0x7ffc406f,0xfffff81f,0xffffffff,0x8007ff91,
    0xfff06ffa,0xffffffff,0x7f6dc3ff,0xd801ceff,0xff101fff,0x7f4001ff,
    0x7f40000f,0x32a0000f,0x000bdefd,0x00026200,0x40001880,0x88000098,
    0x31000009,0x00310000,0x00009880,0x00bca880,0x00001310,0x80000262,
    0x4c400018,0x54400000,0x4ccc003c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00155544,0x06201300,0x002aaa00,
    0x0003ca80,0x006aaa60,0x99999991,0x30000399,0xaa803555,0x22015441,
    0x00002aaa,0x00aaf2a6,0x0018804c,0x0102ba88,0x15554400,0x2aaa6000,
    0x0aea2001,0x55500004,0x2ea60001,0x3301abcc,0x2a000001,0xaa88003c,
    0x800aaa82,0x55441aa9,0x554c0002,0x3100001a,0x33322013,0x01cccccc,
    0x13331000,0x5106aa60,0x54c00055,0xfff501aa,0xff900009,0x006ff885,
    0x003bfff6,0x00fffe60,0x13ffea00,0x3ffffe60,0x0003ffff,0x4027ffd4,
    0x03fe46fd,0x0027ffd4,0xfffffb10,0x7e40bfff,0x037fc42f,0x5dffff30,
    0x44000fd4,0x0000effe,0x8013ffea,0x22effff9,0xfd8001fa,0x2e000eff,
    0xffffffff,0x006ff84f,0x3fff9800,0x8dffb800,0x2002ffd8,0xdfd33ffd,
    0x7fd40001,0x3200004f,0xfff301ff,0x07ffffff,0xffffb800,0x4fff603f,
    0x0000efe9,0x8809fff5,0x40004ffe,0x7fd44ffe,0xdffd800f,0x5c000eff,
    0x40005fff,0x1002fffa,0x99999999,0x7d400039,0xff5002ff,0x009fffdf,
    0x0013ffa2,0x3fffffea,0x3a07ffff,0x7ffd44ff,0xdeff9800,0x2ffeefff,
    0x27ff4400,0x3ffea000,0x3bfe6002,0xffeefffd,0x6ffec002,0x74400eff,
    0xffffffff,0x1ffc84ff,0x7fdc0000,0xff50005f,0x0005ffdd,0x1dffbffb,
    0x7ffd4000,0x7fc00002,0x33332206,0x001ccccc,0x3fffffa0,0x6ffec03f,
    0x50000eff,0x64005fff,0x2e0004ff,0x2ffc42ff,0x4cbffa20,0x26001ffe,
    0x20003fff,0x0000effa,0x3ea00000,0x7dc000ef,0x8005ffff,0x32004ffc,
    0x98abefff,0x3ee07eba,0x02ffc42f,0x3f624e88,0x44003fff,0x40002ffe,
    0x4000effa,0x3ff624e8,0x3a2003ff,0x3ffd32ff,0x0df7fec0,0x3e20ae66,
    0x4c00005f,0x20003fff,0x001ffffa,0x03bfff20,0x0effa800,0x7fd40000,
    0x00000002,0x26b7ffee,0xfffc801a,0xff50000e,0x3310001d,0x20088000,
    0x40998801,0x4c000998,0x4cc0002c,0x00000001,0x00019980,0x0002aaa2,
    0xf3001988,0x80300bff,0x10006008,0x0002aa20,0x00002662,0x08000666,
    0x80015510,0x4cc40998,0x03fff500,0x007fec00,0x00b26000,0x00266200,
    0x00066600,0x00006660,0x0003ff40,0x3ffe0000,0x06660002,0x00333000,
    0x00000000,0x00000000,0x00000000,0x009bca88,0x00000000,0x6c000000,
    0x000004ff,0x00000000,0x00000000,0x00000000,0xbff90000,0x3ffa8000,
    0x00000000,0x00000000,0x00000000,0x5504ff98,0x02aa6005,0x003ffcc0,
    0x00000000,0x02aaa880,0xaaaaa980,0x02aaaaaa,0x55555553,0x2a055555,
    0xaaaaaaaa,0x5540aaaa,0xaaaaaaaa,0x4c02aaaa,0xefffffff,0xaaaa9800,
    0x2aaaaaaa,0x55555550,0x01555555,0x55555553,0xfa855555,0x400000ff,
    0x8002aaa8,0xaaaaaaaa,0x500aaaaa,0x01355555,0x80035550,0x8800aaa8,
    0x54002aaa,0x1553002a,0x0001ffec,0xa80037f4,0xaaaaaaaa,0x202aaaaa,
    0x09aaaaaa,0x2aaaaa00,0xaaaaaaaa,0x5551002a,0xfd800005,0x06ff880f,
    0x2005ff90,0x26004ffc,0xaaaaaaaa,0x2aa02aaa,0xffb00002,0xff9000ff,
    0xffffffff,0xfff901ff,0xffffffff,0xfffff01f,0xffffffff,0xfffffd83,
    0xffffffff,0xffff700f,0x03ffffff,0xffffffc8,0x80ffffff,0xffffffff,
    0xc81fffff,0xffffffff,0x3f60ffff,0xd800004f,0xf8007fff,0xffffffff,
    0xf881ffff,0xffffffff,0x1fff701d,0x02ffec00,0x007fffd8,0x6401ffe2,
    0x17ff22ff,0x0bfee000,0x3ffff600,0xffffffff,0xfff880ff,0x1dffffff,
    0x7ffffec0,0xffffffff,0xfffd800f,0x3e200007,0x0dff105f,0x400bff20,
    0x32002ffd,0xffffffff,0xff00ffff,0x3fe0000f,0x64002fff,0xffffffff,
    0xfc80ffff,0xffffffff,0xfff80fff,0xffffffff,0x7ffec1ff,0xffffffff,
    0xffc80fff,0xfeb98acf,0x3ff201ff,0xffffffff,0xffff80ff,0xffffffff,
    0xffffc81f,0xffffffff,0x0007ffa0,0x3ffffe00,0x7fffc002,0xffffffff,
    0xffff881f,0x4fffffff,0x2009ffd0,0xf001fff9,0x2005ffff,0xf9007ff8,
    0x27ffd45f,0x17fe2000,0x3ffff600,0xffffffff,0xfff880ff,0xffffffff,
    0x3ffff604,0xffffffff,0xfff800ff,0x700002ff,0x3fe203ff,0x05ff9006,
    0x8007ffa0,0xfffffffc,0xf00fffff,0xf50000ff,0x800bffdf,0x9999cffc,
    0xf9019999,0x3333339f,0x26660333,0x99afff99,0xaaaaa819,0xfeaaaaaa,
    0x3fff885f,0x40bffd10,0x9999cffc,0x33019999,0x35fff333,0x3ff20333,
    0x9999999c,0x007ffc19,0x3bfea000,0x4cc005ff,0x9afff999,0xfff10199,
    0xfffb7333,0x3fff505f,0x009ffb00,0x17ffbfea,0x803ffc40,0x7fec2ffc,
    0x320002ef,0x554001ff,0xaaaaaaaa,0xf105ffea,0xfb7333ff,0x2aa05fff,
    0xaaaaaaaa,0xa805ffea,0x005ffeff,0x440dfd00,0xff9006ff,0x03ffe005,
    0x99cffc80,0x01999999,0x20001ffe,0x07ffaffd,0x001ffe40,0x0007ff90,
    0x000ffe80,0x03ffea00,0xf3013ff2,0x3ff201ff,0x7f400003,0x7ff9000f,
    0x07ff8800,0xaffd8000,0xe80007ff,0xff1000ff,0x837fec0f,0x7cc05ffe,
    0xffb000ff,0x2200fff5,0xff9007ff,0xffffd885,0x7cc000cf,0x5000004f,
    0x3e201fff,0x1bff607f,0x1fff5000,0xff5ffb00,0xff50000f,0x037fc407,
    0x8802ffc8,0x7e4007ff,0x7fc0003f,0x6ff80007,0x64005ffd,0x320003ff,
    0x400003ff,0x00000ffe,0xf107fff1,0xffb001ff,0x00fff209,0x01ffd000,
    0x000fff20,0x0000dff5,0x3ffadff0,0x7ff40002,0x0fff1000,0x4c07ffc4,
    0x3f601fff,0x5bfe003f,0xf8802ffe,0x5ff9007f,0x3ffffee0,0x3f6001df,
    0x4400000f,0x3e203fff,0x3ffe207f,0xfff10000,0x75bfe007,0x6c0002ff,
    0x3fe200ff,0x85ff9006,0xffa99998,0x0099999e,0x80007ff9,0x540007ff,
    0x09ff74ff,0x001ffe40,0x0007ff90,0x000ffe80,0x20dff900,0xf7005ffa,
    0x0fff20df,0x1ffd0000,0x00fff200,0x000dff50,0xf74ffa80,0xfe80009f,
    0xfff1000f,0xb01fff80,0x3fea0dff,0x53fea006,0xf8804ffb,0x5ff9007f,
    0xffffea80,0x7ff5003f,0xffc80000,0x03ffc406,0x40007ffe,0xf5006ffc,
    0x013fee9f,0x404ff980,0xf9006ff8,0xffffc85f,0xffffffff,0x07ff902f,
    0x007ff800,0xf88ffec0,0x3ff2007f,0x3ff20003,0x7f400003,0xfa80000f,
    0x7ff700ff,0x41ffe200,0x00003ffc,0xc8007ff4,0x7cc003ff,0x6c00007f,
    0x0fff11ff,0x00ffe800,0xf80fff10,0xfff100ff,0x005ffd05,0xff88ffec,
    0x07ff8807,0x2005ff90,0x04ffffd9,0x0000dff0,0x2007ffd4,0x7fc07ff8,
    0xffa8000f,0x3ffb000f,0x8001ffe2,0x7c401ffc,0x5ff9006f,0xffffffc8,
    0x2fffffff,0x0007ff90,0x40007ff8,0x17ff47ff,0x003ffc80,0x000fff20,
    0x001ffd00,0x03ffe880,0xf800bff6,0x07ff907f,0x0ffe8000,0x007ff900,
    0x000fff88,0xfd1ffe00,0x7f40005f,0xfff1000f,0x203ffd40,0x7fd46ffc,
    0x23ffc006,0x7c402ffe,0x5ff9007f,0xfffe8800,0x01ffb802,0x3ffe8800,
    0x207ff880,0x88007ffa,0x3e003ffe,0x017ff47f,0x402ffc40,0xf9006ff8,
    0x9999885f,0x9999bffd,0x07ff9009,0x007ff800,0xf913fea0,0x3ff2009f,
    0x3ff20003,0x7f400003,0x7e40000f,0x0fff406f,0x901fff00,0x800007ff,
    0xf9000ffe,0xfff0007f,0x3ea00003,0x027fe44f,0x001ffd00,0x7cc1ffe2,
    0x7fc403ff,0x007ffa3f,0x7e44ffa8,0x3ffc404f,0x002ffc80,0x100bffb0,
    0x90000bff,0x3e200dff,0x7fff307f,0x0dff9000,0x3227fd40,0xfb8004ff,
    0x6ff8802f,0x005ff900,0xc8003ffd,0x7c0003ff,0x3f60007f,0x03ffcc2f,
    0xeeeeffc8,0x904eeeee,0xddddddff,0x74009ddd,0x260000ff,0x7fc00fff,
    0x3ffa000f,0xeeeffc81,0x04eeeeee,0x4003ffa0,0xeeeeeffc,0x7f44eeee,
    0xfb00004f,0x07ff985f,0x003ffa00,0x5557ffc4,0x005fffdb,0x3feadff7,
    0x17fec005,0xf101ffe6,0xddddddff,0x05fffddd,0x01ffea00,0x00007fec,
    0x2001fff3,0xbaaafff8,0x8005fffd,0x2000fff9,0x7fcc2ffd,0x07fe8007,
    0x200dff10,0xff802ffc,0x7fe4000f,0xeeeeeeee,0x01ffe04e,0xff07ff80,
    0xfff9003f,0xffffffff,0x3ffff20b,0x5fffffff,0x003ffa00,0x803ffe80,
    0x3a001fff,0xfffc80ff,0xffffffff,0x03ffa005,0x7ffffe40,0x45ffffff,
    0x0000fffb,0xfff07ff8,0x3ffa0003,0xffff1000,0x07ffffff,0xfebffe80,
    0x3ffc000f,0x2201fff8,0xffffffff,0x2fffffff,0x0dff3000,0x0013fe60,
    0x2003ffe8,0xfffffff8,0xd0003fff,0xff8007ff,0x003fff07,0x8801ffcc,
    0xff9006ff,0x07ff8805,0xfffffc80,0x05ffffff,0x54001ffe,0x9ff905ff,
    0xdddff900,0x09dddddd,0x3bbbbff2,0x004eeeee,0x40003ffa,0xfd006ffc,
    0x3ffc003f,0xeeeeffc8,0x004eeeee,0x64003ffa,0xeeeeeeff,0xfff84eee,
    0x3ea0000d,0x09ff905f,0x003ffa00,0x7fffffc4,0xa8000eff,0x004fffff,
    0xfc82ffd4,0x3ffe204f,0xeeeeeeee,0x0002fffe,0x7400bff7,0xff90007f,
    0xfff8800d,0x00efffff,0x00dff900,0xf905ffa8,0x7fec009f,0x0dff1000,
    0x300bff20,0xf9000dff,0xdddddddf,0x3ffc09dd,0x02ffc800,0xf900fff3,
    0x7e40007f,0x7400003f,0xf98000ff,0xffb000ff,0x1bfe2005,0x0001ffe4,
    0x4003ffa0,0x70003ffc,0x4403dfff,0x205ff903,0xd0007ff9,0x3e2001ff,
    0x3bff267f,0xfffd8000,0x7fe4000f,0x40fff302,0xf9007ff8,0xf9800c5f,
    0x3ea002ff,0x7fcc002f,0x7fc4000f,0x03bff267,0x01fff300,0x302ffc80,
    0x3e200fff,0x3fe2005f,0x05ff9006,0x8005ffa8,0x40003ffc,0xff0007ff,
    0x0fffc01f,0x000fff20,0x0003ffc8,0x0007ff40,0x9001fff4,0x3e6007ff,
    0x07ff905f,0x0ffe8000,0x007ff900,0x77fffe40,0x07feccbc,0x7fc01fff,
    0xffe8001f,0x0fff1000,0x3000bff9,0xf0007fff,0x7ffc01ff,0x00fff101,
    0x7fc4bff2,0xecbaaccd,0xf8004fff,0x7ff4006f,0x7ff88003,0x4005ffc8,
    0xf8003ffe,0x3ffe00ff,0x01ffc801,0x401ffe20,0x7dc02ffc,0xffc8004f,
    0x3ffc0003,0x67ffd400,0xfecccccc,0x1ffe404f,0x07ff9000,0x0ffe8000,
    0x037fe400,0x401bfee0,0xff904ffc,0xfe800007,0x7ff9000f,0xfffc8000,
    0x7fffffff,0xcccfffa8,0x4ffecccc,0x00ffe800,0xf10fff10,0xfd0005ff,
    0xffa8001f,0xcccccccf,0xff104ffe,0x4bff200f,0xfffffff8,0x005fffff,
    0x2003ff90,0x10006ffc,0xfff10fff,0x1bff2005,0x33ffea00,0xfecccccc,
    0x06ff804f,0xb007ff80,0xffc803ff,0x3ffc8003,0x03ffc000,0x7ffffe40,
    0xffffffff,0x01ffe407,0x007ff900,0x00ffe800,0x007ffe60,0x001fff10,
    0x3f203fff,0x7400003f,0xff9000ff,0xf7100007,0x37bdffff,0xffffff90,
    0xffffffff,0x01ffd000,0x5c1ffe20,0xfe8006ff,0x7fe4000f,0xffffffff,
    0xff107fff,0x8bff200f,0xffffffed,0x20000bef,0xf9804ff8,0xf10001ff,
    0x1bfee0ff,0x007ffe60,0x3fffff20,0xffffffff,0x017fd407,0x4007ff40,
    0xffd807ff,0x3ffc8001,0x03ffc000,0x7fffffc0,0xffffffff,0x0fff201f,
    0x03ffc800,0x07ff4000,0x007ffd00,0x9017ff60,0x7fe40bff,0x7f400003,
    0x7ff9000f,0x7fd40000,0xffff800c,0xffffffff,0x74001fff,0xff1000ff,
    0x07ffe20f,0x001ffd00,0xfffffff8,0xffffffff,0x007ff881,0x26605ff9,
    0x00004ffb,0xfd003ff6,0x7c40007f,0x3fff107f,0x003ffe80,0xfffffff0,
    0xffffffff,0x003ff403,0x5403ffd8,0x7fc406ff,0xffc8000f,0x3ffc0003,
    0x27bfea00,0x99999999,0x3f204ffd,0x3f20003f,0x7400003f,0xff9000ff,
    0x7fcc000d,0x3fff704f,0x001ffe40,0x003ffa00,0x0001ffe4,0x5001ff90,
    0x33333dff,0x9ffb3333,0x00ffe800,0x640fff10,0x7f4005ff,0x3fea000f,
    0x9999999e,0x884ffd99,0xff9007ff,0x02ffb805,0x0ffea000,0x0006ffc8,
    0xf903ffc4,0x37fe40bf,0x9effa800,0x99999999,0xff304ffd,0x3fea0009,
    0x5ffd101f,0x006ffa80,0x0007ff90,0x64007ff8,0xff5003ff,0x01ffe40d,
    0x007ff900,0x00ffe800,0x001fff98,0x677ffe40,0x04fffeca,0x0001ffe4,
    0x4003ffa0,0x00003ffc,0x7e401bfa,0xdff5003f,0x00ffe800,0x440fff10,
    0x3a001fff,0x3f2000ff,0xdff5003f,0x200fff10,0x7e402ffc,0x7400000f,
    0x3fff306f,0x7ff88000,0x207ffe20,0x0001fff9,0x2a007ff9,0x1ff906ff,
    0x7ffec000,0xfffca9ac,0x27ff4405,0x03ffc800,0x003ffc00,0xf8003ffe,
    0xbff901ff,0x99999999,0x9bff9019,0x99999999,0xf9999901,0x199999ff,
    0xeeefffe8,0xeeeeeeee,0xfffff701,0x9005ffff,0x99999bff,0x99019999,
    0x99fff999,0xff901999,0x9999999b,0xff880199,0x01fff004,0xc80fffc0,
    0xcfffcccc,0xf880cccc,0x2ffe407f,0x001ffd00,0xf0007ffc,0x7ff883ff,
    0x805ff900,0x800006fe,0xffe82ffb,0xeeeeeeef,0xf881eeee,0x2ffe407f,
    0x7777fff4,0xeeeeeeee,0x8003ffe1,0x7fc41fff,0x7ec40005,0xffffffff,
    0x7ee64c0d,0x90000fff,0x99999bff,0x3e019999,0xccccccff,0x6ffabccc,
    0x827fec00,0xfffffffc,0xc80fffff,0xffffffff,0xff80ffff,0xffffffff,
    0x3fe21fff,0xffffffff,0x202fffff,0xdefffeda,0xffff9000,0xffffffff,
    0xffffff01,0x3fffffff,0xffffff90,0x01ffffff,0xa802ff98,0x7ec006ff,
    0xfffff04f,0xffffffff,0x80fff103,0xd001fff8,0x3ea001ff,0x7fec006f,
    0x803ffc44,0x3e202ffc,0x8800003f,0x7ffc45ff,0xffffffff,0xf882ffff,
    0x7ffc407f,0x3ffffe21,0xffffffff,0x0dff52ff,0x5c4ffd80,0x700002ff,
    0x5bfffffd,0x3ffffe60,0x3f20002f,0xffffffff,0xfff00fff,0xffffffff,
    0x007ff9df,0xf906ffa8,0xffffffff,0xff901fff,0xffffffff,0xffff01ff,
    0xffffffff,0x7fffc43f,0xffffffff,0x31002fff,0xfff90001,0xffffffff,
    0xfffff01f,0xffffffff,0xfffff903,0x1fffffff,0xffc80000,0x37fd4003,
    0xfffffff8,0x81ffffff,0xfd807ff8,0x1ffd005f,0x00fff200,0xf88dff50,
    0x5ff9007f,0x80000000,0x7ffc44cb,0xffffffff,0xf882ffff,0x5ffd807f,
    0x3fffffe2,0xffffffff,0x007ff92f,0x65c6ffa8,0x31000004,0xbffd3001,
    0xfc800019,0xffffffff,0xfff00fff,0xffffffff,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa980000,0x4c40001a,0xca800099,0x10098003,
    0x2aa88003,0x5000aaa8,0x002a8835,0x02a88355,0x66666440,0x4401cccc,
    0xcccccccc,0x3322001c,0x1ccccccc,0x00000000,0x00002f2a,0x01970000,
    0x2f2a0000,0x04cc0000,0x30133100,0x4c400033,0x20266099,0x200001a9,
    0x20001999,0x26200198,0x88004c40,0x0004c409,0x33335551,0x04c40133,
    0x98000262,0x01540000,0x27ffd400,0x3ffa2000,0x7fcc000e,0x3ff2003f,
    0x0037fc42,0x36237fee,0x3f6002ff,0xd803fe46,0x003fe46f,0x3fffffe6,
    0x7cc03fff,0xffffffff,0x3ffe6003,0x03ffffff,0x30998800,0xfe8809ff,
    0x00001fff,0xf72ffc40,0x880000df,0x001ffffe,0x003fff70,0xfc83bfa2,
    0xfd10002f,0x4bfe63df,0x2fffffd8,0x7ffe4000,0x1ffa0003,0x7ec6fb80,
    0xd8df7005,0xffea805f,0xffffffff,0xfb1bee06,0xffd1000b,0x3ffa0003,
    0x3fea0004,0x7440002f,0xf70005ff,0x7f400bff,0x07ffd44f,0x3bbfea00,
    0x7d4002ff,0x04fffeff,0xffdfff50,0xcc88009f,0x1ccccccc,0x66666440,
    0x2001cccc,0xccccccc8,0xa80001cc,0x03ff74ff,0x6fb9cfd8,0x7d400000,
    0x07fff22f,0x9cfd8000,0xfb8006fb,0x1001ffff,0x5ffb5ffd,0x3ffa2000,
    0x22ffe60d,0xfffffffe,0xdff90003,0x7fe80003,0x2b3fe600,0xf3003ffb,
    0x07ff759f,0xfeffffd8,0x06ffffff,0x3eeb3fe6,0xffc8003f,0xff98005f,
    0xff50007f,0xe880001d,0x260003ff,0x2e003fff,0x2ffc42ff,0xffffa800,
    0xfff70001,0xfb800bff,0x0005ffff,0x00000000,0x00000000,0x37ed3fea,
    0x07f63fc0,0x32073000,0x3ffe20ff,0x1fe00002,0x7dc003fb,0x01ffe8cf,
    0x5ffffd10,0x3ffa2000,0xffdff983,0xfffda9be,0x6ffe4000,0x7fff4000,
    0x1fffffff,0x7ffffec0,0x7ffec006,0x7fd406ff,0x57ffdc1e,0x7ffec009,
    0xf70006ff,0xf1000bff,0x22000fff,0xe8800019,0x009d71ef,0x10005930,
    0x20000c01,0x40000998,0x0000aaa8,0x00015551,0x00000000,0x00000000,
    0x9ff4ffa8,0x7f41ff00,0xdff10000,0x3ee17fa0,0x3e00001f,0x4003fa0f,
    0x3f623ffc,0xffd1001f,0x3fa20005,0xffff301e,0x09ffb01b,0x001ffe40,
    0xffffffe8,0xb801ffff,0x8000cefe,0x400cefeb,0xff701fff,0x77f5c00b,
    0xfd10000c,0x3ee0003f,0x0000001f,0x00ffe000,0x00000000,0x00000000,
    0x00000000,0x5555554c,0x002aaaaa,0x00055551,0x55555555,0x00155555,
    0x7d67fd40,0xbefc801f,0x220006fd,0x2ff986ff,0x00007fc8,0x37edf7e4,
    0x00000000,0xf3000000,0x7fcc0bff,0x40000007,0xfffccccb,0x00000ccc,
    0x3e200000,0x1ffe206f,0x30000000,0x00000001,0x5555554c,0x20000aaa,
    0x54c01ff9,0xaaaaaaaa,0x06aaa2aa,0x01555100,0x03555555,0x2aaaa600,
    0x2aaaaaaa,0x05555100,0xfffff900,0x1fffffff,0x0ffffb00,0xffffff00,
    0x3fffffff,0x27fd4000,0xefffd800,0x3fe20000,0x3fee6006,0xfd800003,
    0x00000eff,0x00000000,0x03bfe600,0x0001fff0,0x7fe80000,0x00000000,
    0x017fe600,0x00000fff,0x00000000,0xfffff800,0x001fffff,0x037ed54c,
    0x7fffffe4,0x70ffffff,0x6c001fff,0xfff885ff,0x3dffffff,0xfffff900,
    0x1fffffff,0x0ffffb00,0xfffff900,0x1fffffff,0x5fffff00,0xfffff800,
    0xffffffff,0x3fea0001,0x06a20004,0x1bfe2000,0x004fff80,0x006a2000,
    0x00d54c00,0x001aa980,0x2606aa60,0xffd805ff,0x5554c401,0x99880009,
    0x8800ffd0,0x8009aaa9,0x4cc40099,0x881bfe60,0x544006ff,0x5440000a,
    0x9930000a,0xfffa8001,0x1fffffff,0xffffe980,0xffc806ff,0xffffffff,
    0x13ffa0ff,0x40fffcc0,0xfffffff8,0x401effff,0xfffffffc,0x800fffff,
    0x002fffff,0x4cce7fe4,0x80199999,0x05ffeffa,0x7cccccc0,0x01999aff,
    0x7d44d4c0,0x0133004f,0x26009988,0x9eff9999,0x20999999,0x000001cd,
    0x01355531,0xffffd700,0xfd700bff,0x00bfffff,0x3fffffae,0x017fe65f,
    0x3220bff6,0xfffffffe,0x7fec400c,0x07ffffff,0xffffec88,0xf300cfff,
    0x3ffb80bf,0xfc80fffc,0xffd8804f,0x2003ffff,0xffffffd8,0x07fdc003,
    0x3ffbf600,0xfff90006,0x0bffffff,0x999cffc8,0x54199999,0xfd801fff,
    0x3fff104f,0xfff97533,0x67fe405f,0x99999999,0xfeffa801,0x7fe4005f,
    0xffb00003,0x0000fff5,0x70001ffd,0xfffffffd,0xbff3009f,0x203ffb80,
    0xffffffff,0x4fffffff,0xaa881330,0x7f644009,0x0cffffff,0xffffe980,
    0x2607ffff,0xfffffffe,0x7ff4c07f,0x27ffffff,0xfd805ff9,0xffff982f,
    0x0fffffff,0xffffff50,0x300fffff,0xffffffff,0xff301fff,0x43ffb80b,
    0x2e22fffb,0x74c00fff,0xffffffff,0x7ff4c00e,0x0effffff,0x003ff700,
    0x37fd7fcc,0x5fffe400,0x0bffff91,0x8001ffe4,0x7cc05ffe,0xdff100ff,
    0x07fff440,0x0003ffc8,0xfff5ffb0,0x03ffc800,0x3adff000,0x740002ff,
    0x362000ff,0xffffffff,0xff9804ff,0x01ffdc05,0xffffffff,0x9fffffff,
    0x7ec57fe0,0x2604ffff,0xffffffff,0x3e200fff,0xa99abfff,0xffff107c,
    0x0f953357,0x55ffffc4,0x3e67ca99,0x0ffd805f,0x899bdf98,0xa86fffda,
    0x999acfff,0xf9807ffc,0xfda899bd,0x5ff986ff,0x261ffdc0,0xffffffff,
    0x7fc402ff,0xffd310cf,0x67ffc40b,0x0bffd310,0x8007fee0,0x00dff7fc,
    0x7c1fff88,0x904ffecf,0x260007ff,0x3f601fff,0x1bfe203f,0x6413ffa0,
    0xf00003ff,0x00bffadf,0x0003ffc8,0xff74ffa8,0xffe80009,0x3bffa000,
    0xffeb999a,0x05ff9804,0x5501ffdc,0x55dff755,0x20355555,0xfffe8dff,
    0xf305ffff,0xfb51337b,0x7fec0dff,0x7ec0200e,0xd80200ef,0x98200eff,
    0x7fe805ff,0xfff50020,0x201ffe81,0x801007fe,0x7cc0fffa,0x1ffdc05f,
    0x3fffbbfa,0xfc800dff,0x5ffd103f,0x440fff20,0x6cc02ffe,0x3fe001ff,
    0xd800dff4,0x4ffcc3ff,0xff907ff9,0x7fec0007,0x80dff506,0xf9806ff8,
    0x3ffc80ff,0x4ffa8000,0x64009ff7,0xd80003ff,0x0fff11ff,0x00ffe800,
    0x5409ff70,0xff9804ff,0x01ffdc05,0x000dff10,0x2fffbbfe,0x01fffea9,
    0x0fffa801,0x000fffa8,0x000fffa8,0x001fff50,0x2202ffcc,0x740006ff,
    0x13fee1ff,0x0000ffd0,0x3e60fff4,0x1ffdc05f,0x2a625ff5,0x1bfe6001,
    0xf30bff50,0x5ffa80df,0xfffffd88,0x23ff5001,0x7fc006ff,0xfb37e40f,
    0x07ff905f,0x17ffc400,0x22017ff4,0xffd006ff,0x007ff907,0x223ffb00,
    0x3f2007ff,0xff80003f,0x0017ff47,0x1001ffd0,0xffa80fff,0x05ff9804,
    0x1001ffdc,0x3e000dff,0xfd80efff,0x3fa0004f,0x03ffd81f,0x007ffb00,
    0x001ffec0,0xf9017fe6,0xfc80007f,0x003ffa2f,0x40000ffd,0x7fcc2ffc,
    0x91ffdc05,0xb80003ff,0x6ff803ff,0xf803ffb8,0x7fffcc6f,0xfd002fff,
    0x10037fcd,0x47ff0bff,0xffc83ffc,0x7fe40003,0x4037fd46,0xf9006ff8,
    0x07ff909f,0xe8fff000,0xff9002ff,0xffa80007,0x0027fe44,0x7001ffd0,
    0xffa807ff,0x05ff9804,0x1001ffdc,0x3e000dff,0xff700eff,0x7fe4000b,
    0x000fff82,0x0001fff0,0x20007ffc,0x3ee05ff9,0xfc80006f,0x201ffe2f,
    0x200007fe,0x7fcc2ffc,0x91ffdc05,0x40003bff,0xff801ffd,0x801ffd87,
    0x77ff47ff,0x3ff98001,0xf9801bfe,0x70ffcc4f,0x7ff909ff,0xfff88000,
    0x2007ffa3,0xf7006ff8,0x07ff90bf,0x44ffa800,0xf9004ffc,0xdddddddf,
    0x7fec09dd,0x003ffcc2,0x9001ffd0,0xffa803ff,0x05ff9804,0x1001ffdc,
    0x3e000dff,0x3fe601ff,0x3ff20006,0x003ffc42,0x0007ff88,0x2001ffe2,
    0x99adfff9,0x801fffdb,0xfffffec9,0xdff12fff,0x400ffd00,0xfffffec9,
    0x7fcc2fff,0x31ffdc05,0xffffffff,0x7f4079dd,0xffffffff,0x741fffff,
    0xffffffff,0x31ffffff,0x20001fff,0x3ffe0ffc,0xf506eeee,0x546fc89f,
    0xeffc84ff,0xeeeeeeee,0xab7fdc04,0xff1005ff,0x1bfea00d,0x3bbbbff2,
    0x204eeeee,0x7fcc2ffd,0xffff9007,0xbfffffff,0xff83ffc0,0xffd0001f,
    0x03ffb001,0x9804ffa8,0x7fdc05ff,0x1bfe2003,0x203ffc00,0x32606ff8,
    0xfffffffe,0x037fcc2f,0x006ff980,0x001bfe60,0x3fffffe6,0x801effff,
    0xfffffffd,0xff32ffff,0x00ffd00b,0x3ffffff6,0x4c2fffff,0x7fdc05ff,
    0x7ffffdc3,0x2fffffff,0xfffffff8,0xffffffff,0x7fffffc1,0xffffffff,
    0x00bff51f,0xff17fe20,0x20ffffff,0x1ffc5ffa,0x3f20ffea,0xffffffff,
    0xffe805ff,0x1000ffeb,0x3e600dff,0xffffc87f,0x5fffffff,0x7fc1ffe0,
    0xeffc801f,0xeeeeeeee,0x20bff504,0xd0004ffc,0xffd001ff,0x04ffa801,
    0x5c05ff98,0x3e2003ff,0xfff0006f,0xb06ff880,0xffffffff,0xff885fff,
    0xfff10007,0x3ffc4000,0x7fffcc00,0x003effff,0x3357fffb,0x265ff933,
    0x7fe805ff,0xabfffd80,0x2ffc9999,0x2e02ffcc,0x6ffec3ff,0xfffdcccc,
    0x5fff41ff,0xaaaaaaaa,0x7ff40aaa,0xaaaaaaab,0xff70aaaa,0x3fee000b,
    0x6667ffc2,0x4dff304c,0x7fdc1ff9,0xeeeffc82,0x04eeeeee,0x4fffffa8,
    0x01bfe200,0x7e437fcc,0xeeeeeeef,0xbff504ee,0x2013ff20,0x20003ffc,
    0xff302ffc,0x3ffa000f,0x00ffe800,0x4c027fd4,0x7fdc05ff,0x1bfe2003,
    0x203ffc00,0xffd86ff8,0xc9999abf,0x0fff82ff,0x01fff000,0x007ffc00,
    0x4c57fe60,0x7ffd4000,0x44bff200,0x7ff806ff,0x007ffd40,0xff985ff9,
    0xb1ffdc05,0xff9807ff,0x00ffec3f,0x007ff600,0x003ffd40,0x6ff87fe8,
    0xc9ffe200,0x81ffe86f,0x00003ffc,0x003ffff6,0x5006ff88,0x7ff90dff,
    0x17fe4000,0xc807ff98,0x3e0003ff,0x3ffe00ff,0x0ffe8001,0x401ffd80,
    0xf9804ffa,0x1ffdc05f,0x00dff100,0xf101ffe0,0x0fffa8df,0x3a0bff20,
    0xfd0002ff,0x7f40005f,0x7fcc002f,0x7fdc0005,0xf17fe404,0x7ffc80ff,
    0x2027fdc0,0x7fcc2ffc,0x89ffec06,0xff9007ff,0x003ffc8b,0x001ffe40,
    0x002fff88,0x7fc27fcc,0xa7fec006,0x37fcc3ff,0x0003ffc8,0x00fffe60,
    0x200dff10,0xffc85ffb,0x3ffe0003,0x007ffe00,0x20007ff9,0xccccfffa,
    0x04ffeccc,0x800ffe80,0x3a202ffd,0xff9804ff,0x01ffec06,0x000fff10,
    0xff101ffe,0x404ffb8d,0xffc82ffc,0xdff90006,0x37fe4000,0x017fe600,
    0x407ffb00,0x3fa2ffe8,0xffff702f,0x203ffd80,0x7c42ffe8,0xfff700ff,
    0x401bfea7,0x7fd43ffc,0x3ea0000e,0xf90000ef,0x7e4003ff,0xff9999af,
    0x7ffcc006,0x3fa61ffc,0x07ff901f,0x0ffe8000,0x037fc400,0xfc83ffd8,
    0xff50003f,0x9999999f,0xfc809ffd,0xff90003f,0xffffffff,0xd000ffff,
    0xff7001ff,0x3fffa20b,0x0fff8804,0x007fff70,0x8002fff8,0x7fc407ff,
    0x101ffec6,0xff105ffd,0x440c01bf,0x0600dfff,0x006fffc4,0x002ffcc3,
    0x5417ff20,0x3ee2ffff,0xffffa85f,0x82ffe407,0xf82ffffa,0xfffb82ff,
    0x01fff33f,0xe81fff98,0x20000dff,0x8000dffe,0x00cfffe8,0x7fffffc4,
    0x8006ffff,0xa9fffffa,0x3205fffc,0x400003ff,0x44000ffe,0xff8806ff,
    0x03ffc81f,0xfffff900,0xffffffff,0x03ffc80f,0xffffff00,0xffffffff,
    0xffe8003f,0x1fff8800,0x27fffec4,0xb82fff80,0x4003ffff,0xf8005ffd,
    0x37fc407f,0x7d417ff2,0xff702fff,0xd95579ff,0x3fffee0f,0x07ecaabc,
    0x2f3fffee,0x3e67ecaa,0x7cc0005f,0xfdb99cff,0x3e22ffff,0xffeaadff,
    0x7cc07fdb,0xfdb99cff,0xfc82ffff,0xffdaadff,0x3ffa3ffd,0xda99abcf,
    0xff304fff,0x533357ff,0x3fe603b7,0xa999abff,0xffe881db,0xfb84efff,
    0xffffffff,0xff50006f,0x9fffffff,0x003ffc80,0x007ff400,0x201bfe20,
    0xff906ffd,0x3ffe0007,0xffffffff,0x3201ffff,0xfa8003ff,0x999999ef,
    0x04ffd999,0x8007ff40,0xfcabfffd,0x004ff9ef,0xb55bfff9,0x007ffbff,
    0xadffffa8,0xfff03caa,0x4c6ff880,0xdb99cfff,0x202fffff,0xfffffffa,
    0x3fea07ff,0x7fffffff,0x7ffffd40,0x3e67ffff,0xfd80005f,0xbfffffff,
    0x7fd42ff9,0xf93fffff,0xffffb00f,0xff37ffff,0xfffff105,0x7ff37fff,
    0x7fffff44,0x04ffffff,0x7fffff54,0x201fffff,0xffffffea,0x3201ffff,
    0xe87fffff,0x999999ff,0x2e0006ff,0x1dffffff,0x003ffc80,0x007ff400,
    0x701bfe20,0x3f203fff,0xffa8003f,0x9999999e,0x204ffd99,0xc8003ffc,
    0xff5003ff,0x0ffe800d,0xffffd100,0x9ff11dff,0x3fffe200,0xff9bffff,
    0xfffd8003,0xf04fffff,0x6ff880ff,0xffffffd8,0x02ff9bff,0x7ffff644,
    0x764403ef,0x03efffff,0xffffec88,0x17fe63ef,0x7ffdc000,0x5ff31dff,
    0x5bfffd30,0xfb803fe4,0xf31dffff,0x3ff6205f,0x7ff11eff,0xfffffb50,
    0x220017df,0xffffffec,0x764400de,0xdeffffff,0x7eeda800,0xff027fcc,
    0x77e4000d,0x7e400099,0x7400003f,0x7c4000ff,0xfffd306f,0x01ffe409,
    0x801ffe40,0x3f206ffa,0xccccccdf,0x3ffe0ccc,0x07ffe000,0x7fe66664,
    0x00cccccf,0x433bfff6,0x22004ff8,0x11effffd,0x2a0007ff,0x3ffffffe,
    0xf880fff0,0xffff706f,0x0bfe63bf,0x00013100,0x200004c4,0x00000098,
    0x00009880,0x10000062,0x33000013,0x01880001,0x26666000,0x26660000,
    0x6c000009,0x3bfe01ff,0x801aaaaa,0x320003ff,0xcccccdff,0xd000cccc,
    0xf88001ff,0xffedccff,0x7e404fff,0xccccccdf,0x3ffe0ccc,0x07ffe000,
    0x7fffffe4,0x50ffffff,0xfd800dff,0xfffff04f,0xffffffff,0x00013003,
    0x00026600,0x01331000,0x7c407ff8,0x004c406f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffff80df,
    0x4c03ffff,0x320000ff,0xffffffff,0xd000ffff,0xf88001ff,0xffffffff,
    0xffc802ef,0xffffffff,0x0dff50ff,0x904ffd80,0xffffffff,0x3f21ffff,
    0x7fd4003f,0xffffff06,0x3fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x7ffc03ff,0x403fffff,0x640003ca,0xffffffff,0xd000ffff,
    0xf88001ff,0xbdefffff,0x3fff2001,0xffffffff,0x007ff90f,0x0006ffa8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22004cc0,0x01988019,0x00000333,
    0x0004c400,0x40666600,0x00009999,0x00009a98,0x00100000,0x00098800,
    0x01999800,0x00026666,0x26603310,0x00ccc401,0x00062000,0x00133100,
    0x33303331,0x00000001,0x00000131,0x4cc03333,0x40000099,0x802609a9,
    0x801aaaa9,0x133001a9,0x04000000,0x01310000,0x7cc00008,0x0ffe405f,
    0xc83bfe20,0xef9802ff,0x001fec41,0x0007fff3,0x40ffff20,0x000effe9,
    0xfffffd88,0x3df3003f,0x8803fd88,0x2c43fffc,0x0fffe600,0xfffc8000,
    0x3bffa603,0x3fe20000,0x00bff20e,0x3309fff1,0x0effa800,0x5ff90000,
    0x43fff880,0xf301effd,0x03fd883d,0x01fffcc0,0x7fff9000,0x077ff4c0,
    0x3ffb2000,0x42ffefff,0xffffffd8,0xfffa80ff,0x3fea00ef,0x883df303,
    0x7e4403fd,0x002c43ff,0x7407fff3,0x2001ceff,0x7e405ff9,0xfff8801f,
    0xd002ffda,0xfffb8bff,0xffff9800,0x7e40003f,0x7ec401ef,0x3ee000ef,
    0xffffffff,0x45ffe805,0x6c00fffb,0xbbefffff,0xff3004fe,0x00007fff,
    0x1003dff9,0x0001dffb,0x7ed7ffc4,0xfff5002f,0x007ffb97,0x003fffe8,
    0x405ff900,0x7e43ffe8,0x3ffa00ef,0x007ffdc5,0x3fffff98,0xeffc8000,
    0xeffd8801,0xffe88000,0xffffffff,0x3ffffea2,0x540fffff,0x06ffefff,
    0x7f40dff1,0x07ffdc5f,0xdfffffb0,0x3009fd77,0x207fffff,0x0efffffe,
    0x405ff980,0xf1001ffc,0x4005ffff,0x7fdc5ffe,0x77fcc00f,0x0003ffd8,
    0x4001bff9,0x9800effb,0xb989cfff,0x7f402fff,0x07ffdc5f,0xf935df30,
    0x001dffff,0xffb1dff3,0x7fe40007,0x7fdc000d,0x3e20000e,0x8802ffff,
    0xffffffb9,0x7f4003ff,0x900003ff,0x7fec05ff,0x402ffdc3,0x7fdc5ffe,
    0xeff9800f,0x0003ffd8,0x00037ff2,0x4001dff7,0x88adfff9,0xf12ffeb9,
    0x262139ff,0x737f40ca,0x3ff905ff,0x2e2fff40,0xdf300fff,0xfffff935,
    0xeff9801d,0xcb83ffd8,0x02ffffed,0x3202ffcc,0x3e2001ff,0x6cc002ff,
    0x402dc80d,0x7fe45ff9,0x1ffe4003,0x0eff9800,0xc817ff40,0x6ecc05ff,
    0xa802dc80,0x05f76cc1,0x322ffcc0,0xfc8003ff,0x3e60003f,0x220000ef,
    0xfd002fff,0x7bffffff,0xffa80013,0xf900000e,0x0fff205f,0x26009ff7,
    0x02dc80dd,0x7e45ff98,0xffc8003f,0x3fe60003,0x7ffb000e,0xfb97fe40,
    0x7fc4004f,0x3e627fc2,0x06ecc03f,0x06a016e4,0x8017ddb3,0x7fe45ff9,
    0x7fff5403,0x017fe601,0x00003ff9,0x00000000,0x00000000,0x37fc4000,
    0x000dff30,0x00000000,0x00000000,0x00000000,0xcdffe800,0x40003fff,
    0x64000018,0x000002ff,0x00000000,0x00000000,0x1bfe6000,0x3f25ff90,
    0x7fcc003f,0x3fa2fec0,0x00000006,0x00000000,0x2606ffe8,0x7fe405ff,
    0x00000001,0x00000000,0x00000000,0xfa813fe6,0x0000005f,0x00000000,
    0x00000000,0x40000000,0x0fffd41a,0x00000000,0x0000bff2,0x00000000,
    0x00000000,0xffc80000,0xa97fe402,0x26000eff,0x927f42ff,0x000003ff,
    0x00000000,0x5fff1000,0x9017fe60,0xa88003ff,0x0266000a,0x33013310,
    0x80998801,0x4cc40099,0x44009980,0x07ff5099,0x000bffa2,0x80001553,
    0x40000aa9,0x40000aa9,0x40000aa9,0x40000aa9,0x001aaaa9,0x037ff4c4,
    0x006aa600,0x3f226a60,0x1553002f,0x15510000,0x0aa88000,0x05544000,
    0x02aa2000,0x9003ffa0,0x3ffe25ff,0xff8801cf,0x7ccffe24,0x54c4004f,
    0x440009aa,0x0009aaa9,0x04d554c4,0x827fec00,0x7e405ff9,0xffd8801f,
    0x4c03ffff,0x7fdc05ff,0x202ffcc3,0x7fcc3ffb,0x21ffdc05,0x7dc05ff9,
    0x307ff73f,0x26009fff,0x4ffffffd,0x3fff6600,0x26004fff,0x4ffffffd,
    0x3fff6600,0x26004fff,0x4ffffffd,0x3fff6200,0x200fffff,0xfffffec8,
    0x7f5c003f,0x405fffff,0xffffffeb,0x3f6602ff,0x004fffff,0x7ffffec4,
    0x3f62003f,0x003fffff,0x3fffff62,0x3f62003f,0x203fffff,0xffc807ff,
    0x3ffffe62,0x3ff600be,0xfd0ffebc,0x3fb2200d,0x0cffffff,0x3fffb220,
    0x200cffff,0xfffffec8,0x2e000cff,0xbff305ff,0x401ffc80,0xffffffe9,
    0xff300eff,0x43ffb80b,0x7dc05ff9,0x02ffcc3f,0xff30ffee,0x73ffb80b,
    0xfffa87ff,0xffff7003,0x03dfffff,0xffffffb8,0x5c01efff,0xffffffff,
    0x7fdc01ef,0xefffffff,0x7fffdc01,0x01efffff,0x7fffffd4,0xd300ffff,
    0xffffffff,0xffd3001f,0x0fffffff,0x3fffffa6,0x702fffff,0xffffffff,
    0xfd3003df,0xdfffffff,0xfffe9801,0x00efffff,0x7fffff4c,0x4c00efff,
    0xfffffffe,0x3ffc40ef,0x2217fe40,0xdffffffc,0xffffe880,0x003ff72f,
    0x3fffffe6,0x300fffff,0xffffffff,0x3e601fff,0xffffffff,0xff9000ff,
    0x017fe609,0x7c403ff9,0xfd310cff,0x17fe60bf,0xf987ff70,0x1ffdc05f,
    0xf7017fe6,0x05ff987f,0xffb9ffdc,0x00bffe23,0x4567ffdc,0x206fffb9,
    0x98acfffb,0x2e06fffb,0xb98acfff,0x3ee06fff,0xfb98acff,0x3fee06ff,
    0xffb98acf,0x3ffe206f,0x1953109c,0x37bfff30,0x809ffb53,0x9abffff8,
    0xff887ca9,0xeb999adf,0xfffb82ff,0xfffb98ac,0x67ffc406,0x0bffd310,
    0x8867ffc4,0x2205ffe9,0xd310cfff,0x7fc40bff,0xffd310cf,0x900fff0b,
    0x36e205ff,0x881fffff,0xff30cddc,0x5efcc009,0xfffda899,0x337bf306,
    0x0dfffb51,0x2266f7e6,0x006fffda,0x3e605ffd,0x0ffe405f,0x2207ff90,
    0xff982ffe,0x21ffdc05,0x7dc05ff9,0x02ffcc3f,0xff30ffee,0x73ffb80b,
    0x27fd47ff,0x02fff880,0xf107ffd1,0x3fa205ff,0x2fff883f,0x107ffd10,
    0x3a205fff,0xfff883ff,0x07ffd102,0x40013fee,0xff304ffd,0x0effd80f,
    0x0fff6020,0x7c42ffc8,0xffd102ff,0x81ffe407,0xf902ffe8,0x3ffa207f,
    0x207ff902,0xf902ffe8,0x3ffa207f,0x6403ffc2,0xfb8802ff,0x7f4006ff,
    0x2004000e,0x0100fffa,0x100fffa8,0x00fffa80,0x40dffd53,0x7f406ff9,
    0x0dff301f,0xf985ffa8,0x1ffdc05f,0xf7017fe6,0x05ff987f,0x3e61ffdc,
    0x9ffdc05f,0x3fee3ffb,0x07ff9003,0x640fff98,0x7fcc03ff,0x01ffe40f,
    0xf903ffe6,0xfff9807f,0x201ffe40,0xfc80fff9,0xff98003f,0x817ff405,
    0x4000fffa,0x7e406ff9,0x01ffe42f,0x2603ffe6,0x7fd406ff,0x406ff985,
    0xff985ffa,0x42ffd406,0x7d406ff9,0x00fff45f,0x4005fff3,0x7000fff8,
    0x000005ff,0x80007ffa,0x20001ffe,0x3fe21ffe,0x201fffff,0xf900fff9,
    0x3fee05ff,0x986ff803,0x7fdc05ff,0x202ffcc3,0x7fcc3ffb,0x21ffdc05,
    0x7dc05ff9,0x547ff73f,0xff800eff,0x1ffe800f,0x74007ffc,0x07ffc1ff,
    0x3e0fff40,0xffe800ff,0x4007ffc1,0xffa81ffe,0x7fec000e,0x82ffd402,
    0xc8003ffd,0x7fe402ff,0x4007ffc2,0xffb81ffe,0xb86ff803,0x6ff803ff,
    0xf803ffb8,0x03ffb86f,0x7fe46ff8,0x5ffff103,0x01ffe800,0x0005ff88,
    0x00bff200,0x002ffc80,0xf88bff20,0x400cffff,0xfc83fff9,0xffb03fff,
    0x30fff003,0xffb80bff,0x202ffcc3,0x7fcc3ffb,0x21ffdc05,0x7dc05ff9,
    0xe87ff73f,0x3e200eff,0x5ff9006f,0xc8037fc4,0x1bfe22ff,0xf117fe40,
    0x3ff200df,0x401bfe22,0xff882ffc,0xff001cff,0x0fff300f,0x20003ffe,
    0x7e400ffd,0x01bfe22f,0x7ec17fe4,0x87ff801f,0xff801ffd,0x801ffd87,
    0x1ffd87ff,0x7cc7ff80,0x7ff440ff,0x3ea002ff,0xffd800ff,0x32000000,
    0x320002ff,0x320002ff,0x06ffc2ff,0xdffff300,0xff7ffd75,0xfffe817f,
    0xffffffff,0x7fcc1fff,0x21ffdc05,0x7dc05ff9,0x02ffcc3f,0xff30ffee,
    0x73ffb80b,0xfff987ff,0x0bff302f,0xf98ffee0,0x7ff7005f,0xb802ffcc,
    0x17fe63ff,0xf31ffdc0,0x3fee00bf,0xfffff303,0x3fe2017d,0x10fff006,
    0x3e000fff,0x2ffc807f,0x5c017fe6,0xfffe83ff,0xffffffff,0x7ff41fff,
    0xffffffff,0x7f41ffff,0xffffffff,0x741fffff,0xffffffff,0x41ffffff,
    0xfdabeffe,0xbd2ffbef,0xf9733559,0xff7009ff,0x077bb225,0x3fffb260,
    0x202fffff,0xfffffec9,0x32602fff,0xfffffffe,0x002ffc2f,0x3fffffe6,
    0xfffd2fff,0xffffff85,0xffffffff,0x02ffcc1f,0xff30ffee,0x43ffb80b,
    0x7dc05ff9,0x02ffcc3f,0x7fdcffee,0x4fffe983,0x5004ffa8,0x27fd49ff,
    0x2a4ffa80,0xff5004ff,0x8027fd49,0x3fea4ffa,0x09ff5004,0x7ffffe44,
    0x37fcc0df,0x4c0ffe80,0xf88006ff,0x2ffc807f,0x54013fea,0xffff84ff,
    0xffffffff,0x7ffc1fff,0xffffffff,0x7fc1ffff,0xffffffff,0x7c1fffff,
    0xffffffff,0x41ffffff,0xffffffe8,0xfd2ffb8e,0xffffffff,0xff8801bf,
    0xffffff35,0x7fffec07,0x2fffffff,0xffffffb0,0x205fffff,0xfffffffd,
    0x7fc2ffff,0x67fcc005,0x221efffd,0x7ff42ffe,0xaaaaaaab,0x7cc0aaaa,
    0x1ffdc05f,0xf7017fe6,0x05ff987f,0x3e61ffdc,0x9ffdc05f,0xfb103ffb,
    0x5ff987ff,0x4c7ff700,0xff7005ff,0x802ffcc7,0x3fe63ffb,0x47ff7005,
    0xf7005ff9,0xfb71007f,0x7cc3ffff,0x1fff006f,0x0007ff88,0xff900fff,
    0x802ffcc5,0xffe83ffb,0xaaaaaaab,0x7f40aaaa,0xaaaaaabf,0x740aaaaa,
    0xaaaaabff,0x40aaaaaa,0xaaaabffe,0x0aaaaaaa,0xbefffd88,0x3b25ff70,
    0xdfffffff,0x21ffb002,0xffeaaefe,0xabfffd80,0x2ffc9999,0x9abfffd8,
    0x82ffc999,0x99abfffd,0x7c2ffc99,0x7fcc004f,0x81801314,0x40001ffd,
    0x7dc05ff9,0x02ffcc3f,0xff30ffee,0x43ffb80b,0x7dc05ff9,0x807ff73f,
    0x3e20fffc,0x5ff9006f,0xc8037fc4,0x1bfe22ff,0xf117fe40,0x3ff200df,
    0x401bfe22,0x44002ffc,0x7fc6fffb,0x07ff8807,0xf0001fff,0x5ff900ff,
    0xc8037fc4,0x1ffd82ff,0x0ffec000,0x07ff6000,0x03ffb000,0xb8098000,
    0x4ccc42ff,0x7fd40019,0x7cc3ff33,0x07ffd42f,0xfa85ff90,0x3ff200ff,
    0x007ffd42,0x1aa85ff9,0x027fcc00,0x01ffe400,0x01bfe600,0xff987ffb,
    0x21ffec06,0x7ec06ff9,0x037fcc3f,0x7fdcfff6,0x41ffe803,0xfe800fff,
    0x007ffc0f,0x3fe07ff4,0x0ffe800f,0x74007ffc,0x07ffc0ff,0x0007ff40,
    0x3a0fff88,0x7fd401ff,0x005ffd05,0x4c03ffd0,0x7ffc2fff,0x80ffe800,
    0x40003ffc,0x40003ffc,0x40003ffc,0x00003ffc,0x005ff900,0x25ff8800,
    0x43ff87fa,0x7e404ffb,0x027fdc2f,0xff70bff2,0x02ffc809,0x0bff3000,
    0x1dff5000,0x7ffc4000,0x87fff700,0xf700fff8,0xfff887ff,0x87fff700,
    0xf700fff8,0x0ffee7ff,0xfb0bff20,0x5ffa809f,0x5404ffd8,0x4ffd85ff,
    0x6c2ffd40,0x7fd404ff,0x404ffd85,0x40005ffa,0x3ff61ffe,0x81ffec05,
    0xc8006ffc,0xfff103ff,0x04ffd85f,0xfa82ffd4,0x2a0000ef,0x20000eff,
    0x0000effa,0x0003bfea,0x0bff2000,0xb001ffc8,0x43fdc1ff,0x1ffec3ff,
    0xd85ffd10,0x3fa203ff,0x01ffec2f,0x0105ffd1,0x00bff300,0x037ffa00,
    0x82fff800,0xf83ffffb,0xfffb82ff,0x82fff83f,0xf83ffffb,0xfffb82ff,
    0x007ff73f,0xff983ffd,0x3fff302f,0x205fff30,0xf981fff9,0xfff302ff,
    0x05fff303,0x2607ffe6,0xff302fff,0x7d40003f,0x3ffe20ff,0x40fff703,
    0x200dfff8,0x207ffcc1,0x42ffffe8,0xf302fff9,0x7ff403ff,0x3fa0000d,
    0x3a0000df,0x20000dff,0x0000dffe,0x017fe400,0x3ea00ffd,0x10ffd43f,
    0x5ffc85ff,0x85ffff50,0xff505ffc,0x5ffc85ff,0x45ffff50,0x4c006ff9,
    0x300005ff,0x3357ffff,0x3203b753,0xfdaadfff,0xfc83ffdf,0xffdaadff,
    0xffc83ffd,0xdffdaadf,0xfffc83ff,0xfdffdaad,0x547ff73f,0x5ffeba9a,
    0x35bfff90,0x409fff95,0xa9adfffc,0x3204fffc,0xca9adfff,0x3f204fff,
    0xfca9adff,0x3ff204ff,0xffca9adf,0x2b37a04f,0xfffcb99a,0xadfffc84,
    0x02fffdb9,0x5e7fffdc,0xfe87ecaa,0xeffdabef,0xffc82ffa,0xffca9adf,
    0x7ffcc04f,0xba999abf,0xffff301d,0xb7533357,0x3fffe603,0xdba999ab,
    0x7ffff301,0x3b753335,0x17fe4000,0xf1009ff0,0x1bff10df,0xff303ff6,
    0xffb7339f,0xff985fff,0xffdb99cf,0x7fcc2fff,0xffdb99cf,0x3ffa2fff,
    0x3fe6002f,0x3aa00005,0xffffffff,0xfff101ff,0xf37fffff,0xffff107f,
    0xff37ffff,0xfffff107,0x7ff37fff,0xffffff10,0x27ff37ff,0x3ff23ffb,
    0x200effff,0xfffffffc,0xffc803ff,0x3fffffff,0xfffffc80,0xc803ffff,
    0xffffffff,0xfffc803f,0x03ffffff,0x7ffffff4,0x900dffff,0xffffffff,
    0x3fea005f,0x7fffffff,0xfffffe88,0x02ff98ef,0xfffffff9,0x3aa007ff,
    0xffffffff,0x3faa01ff,0xffffffff,0x3ffaa01f,0xffffffff,0x3fffaa01,
    0x1fffffff,0x0bff2000,0x64017fcc,0xfff901ff,0x3f607fff,0xbfffffff,
    0xffd82ff9,0x9bffffff,0xfffd82ff,0xf9bfffff,0x0ffffa2f,0x005ff980,
    0x7ff64400,0x00deffff,0x3bffff62,0x2207ff11,0x11effffd,0x3f6207ff,
    0xff11efff,0x3fff6207,0x27ff11ef,0x3ff23ffb,0xb5003eff,0x03bfffff,
    0x7fffed40,0x36a001df,0x01dfffff,0x3ffff6a0,0x36a001df,0x01dfffff,
    0xfffffec8,0xea802dff,0x00dfffff,0x7fff6440,0xfb103eff,0x3e617dff,
    0x3ff6a02f,0x4001dfff,0xfffffec8,0x64400def,0xeffffffe,0x7f64400d,
    0x0defffff,0x7fff6440,0x000defff,0x5c0bff20,0x7fcc00ff,0x7fffdc03,
    0x7fffdc02,0x05ff31df,0x37ffffee,0x2e05ff31,0x31dfffff,0x77fd45ff,
    0x00000000,0x01333300,0x00013300,0x40000998,0x4c000099,0x4c400009,
    0x04c40000,0x004c4000,0x0004c400,0x00004c40,0x880004c4,0x00019999,
    0x80000262,0x04c00098,0x00988000,0x26666000,0x26660000,0x26600009,
    0x26000099,0x00000999,0x00000000,0x13100022,0x00988000,0x0004c400,
    0x00000062,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0x26660009,
    0x20000009,0x4c401999,0x33004c40,0x009aa981,0x4c400000,0x4c035301,
    0x08000009,0x26600000,0x00998819,0x09986660,0x0004d54c,0x31000000,
    0x01333033,0x01355510,0x40000020,0x333104eb,0x88013333,0x09999999,
    0x01333300,0x980cc400,0x99998819,0x00000999,0x33333331,0x26600003,
    0x02620019,0x20000000,0x06620000,0xf3000ccc,0x3a6007ff,0x00000eff,
    0x403fffc8,0x82fec6fb,0xffd32ff9,0x22005fff,0x09999999,0xffc9ffd4,
    0xfffffb10,0x005ff985,0x7fff9100,0x32000588,0xffc83fff,0x2bff7005,
    0xffd32ff9,0x00005fff,0x1017fe20,0xffd87fff,0xfffb301e,0x2209ffff,
    0x2c43fffc,0x207ff000,0xfffffffb,0x7fffdc04,0xd3004fff,0x20001dff,
    0x3f20eff8,0xffffb82f,0x00004fff,0xfffffffd,0xfc80001f,0xff3003ff,
    0x77cc007f,0x201fec41,0x443fffc8,0x077fc405,0x26005ff9,0x003fffff,
    0x001dffb1,0x0f7fe400,0x5d67fcc0,0x7ff303ff,0xfffffff5,0xfff7005f,
    0xfc89ffff,0xd13ff90f,0x5fffffff,0x0002ffcc,0xefffffd8,0x8004febb,
    0xf301effc,0xffd001ff,0x3eaffe65,0x2fffffff,0xffa80000,0x0fffa202,
    0x3201dff9,0xffffffff,0xffffb04f,0x09fd77df,0x203ff300,0xfffffffb,
    0x7fffdc04,0x22004fff,0x0000effd,0xffb5fff1,0x3fffee05,0x00004fff,
    0xfffffffd,0x7e40001f,0xff3001ef,0x3a007fff,0x7ffdc5ff,0x3ffff600,
    0x04febbef,0x7ed7ffc4,0xdff3002f,0x4007ffb1,0x0000effb,0x000dffc8,
    0x1bfffff6,0xeffeff98,0x06fffb99,0xffffffb8,0xf92ffc4f,0x735dff7f,
    0x7fccdfff,0xef980005,0xfffffc9a,0x7fe4000e,0x1fff400d,0xf99ffe60,
    0xb99effef,0x54006fff,0x01ff602a,0xffb87ffb,0x33ffea05,0x81a9989a,
    0xffc9aef9,0x3000efff,0x440dfb55,0x4ffb9999,0x5ccccc40,0xfb8004ff,
    0xf10000ef,0x4405ffff,0x4ffb9999,0x00000000,0x00dffc80,0xfb1dff30,
    0xbffd007f,0x300fffb8,0xfff935df,0xf1001dff,0x2005ffff,0x7fe45ff9,
    0x3bfe6003,0x3ff20000,0xdfd70003,0x7ffcc019,0x1fff884f,0x5ccccc40,
    0x8bfe64ff,0xf05ffffc,0x17fe63ff,0x260d4000,0x4000beed,0xf5003ffc,
    0x4ffb80df,0x213fffe6,0x2001fff8,0x13fe07ff,0x7dc3ffc8,0x3ffe204f,
    0x98350001,0x4c00beed,0x6ffffffe,0x027fd400,0x0027fd40,0x000eff98,
    0x005fff10,0x0009ff70,0xc8000000,0x3e6003ff,0x01ffe45f,0x37203766,
    0x3660d402,0x22000bee,0x00002fff,0x00000000,0x40000000,0x3a04fff9,
    0xfa8002ff,0xf91fee4f,0x7fe40bff,0x000bff32,0x00000000,0x807ffe00,
    0x3fe61ffe,0x0bffa04f,0xf307ff80,0x8000003f,0x00004ffb,0x7ffe4000,
    0x05ffffff,0x0013fea0,0x00013fea,0x00000000,0x00013fee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff980000,0x01ffe406,
    0x4027fd40,0x7dc06ffc,0x00bff33f,0x00000000,0x13ff2000,0x3e637fcc,
    0x1ffe406f,0x000fff00,0xffb00000,0x00000003,0xc8dfffe4,0x5005ffff,
    0xf50009ff,0x0000009f,0xf7000000,0x3000009f,0x00000155,0x00000000,
    0x00000000,0x2a600000,0x22001aaa,0x0009aaa9,0x03555530,0x80155300,
    0x7dc05ff9,0xffa8003f,0x03ffc804,0xff98d54c,0x3001a985,0x09988013,
    0x880aaa88,0x7ffcc01a,0x4c3ffc80,0x7fdc05ff,0x01ffe003,0x44009980,
    0x0ffe8099,0x98133000,0xff1009aa,0xfecff83f,0x4ffa804f,0x3fea01dc,
    0x33331004,0x26001333,0x04d54c09,0x009ff700,0x3fff6600,0x98804fff,
    0x00999999,0x33333310,0x26620013,0x00099999,0x33333331,0x26666001,
    0x99999999,0x7ffec401,0x100fffff,0xffffffd9,0xfb10019f,0x1fffffff,
    0xffffd980,0xbff304ff,0x003ffb80,0xc804ffa8,0xf98003ff,0xffffb14f,
    0x2ffcc05f,0xd98ffee0,0xd15fffff,0x7405ffff,0x0fff82ff,0x2e02ffcc,
    0x3fe003ff,0xbff30007,0xf83ffb80,0xff30007f,0x3ffffa65,0x43ffd82f,
    0x7ff99ff9,0xf74ffa80,0x4ffa807f,0xfffff700,0xff3009ff,0x3ffffa65,
    0x9ff7002f,0xfff70000,0x3dffffff,0x7ffffdc0,0xff7004ff,0x009fffff,
    0x3fffffee,0xfff7004f,0x2009ffff,0xffffffff,0x2a07ffff,0xffffffff,
    0xfff300ff,0xffffffff,0x7fffd401,0x00ffffff,0x3fffffee,0x7cc1efff,
    0x1ffdc05f,0x027fd400,0x4001ffe4,0xffe9cff9,0x303fffff,0xffb80bff,
    0x3ffffee3,0xffffedff,0xdff701ff,0xf985ff98,0x1ffdc05f,0x000fff00,
    0xf7017fe6,0x00fff07f,0x3eaffe60,0x2fffffff,0x3f207ffc,0x500bff66,
    0x5ffffdff,0x004ffa80,0xfffffff7,0x57ff3009,0xffffffff,0x09ff7005,
    0xcfffb800,0x6fffb98a,0x3ffffee0,0xff7004ff,0x009fffff,0x3fffffee,
    0xfff7004f,0x2009ffff,0xffffffff,0xf107ffff,0x262139ff,0x7bf300ca,
    0xfffb5133,0x33ffe20d,0x01953109,0x22b3ffee,0x4c6fffb9,0x7fdc05ff,
    0x4ffa8003,0x003ffc80,0xeffeff98,0x0fffda9b,0x5c05ff98,0x42b6e3ff,
    0x52ffffea,0x3fe20bff,0x20bff20f,0x7dc05ff9,0x1ffe003f,0x02ffcc00,
    0x3fe0ffee,0xdff30007,0xff733dff,0x42ffc4df,0x0fff23ff,0xbfffff50,
    0x09ff5003,0x32aaaa60,0xff9804ff,0xfb99effe,0xffb806ff,0x3fe20004,
    0x7ffd102f,0x32aaaa60,0x553004ff,0x009ff955,0x3f2aaaa6,0x5553004f,
    0x2009ff95,0xaaaaaaaa,0xf705ffea,0x0080009f,0x5c07ffd4,0xf10004ff,
    0x3fa205ff,0x017fe63f,0x50007ff7,0xff9009ff,0xfff30007,0x9ffb01bf,
    0xb80bff30,0xff8803ff,0x807fec4f,0x1ffe4ffc,0x2e02ffcc,0x3fe003ff,
    0xbff30007,0xf83ffb80,0xff30007f,0xfff109ff,0xf313fe63,0x027fdc3f,
    0x03bffff7,0x0027fd40,0x3009ff50,0xf109ffff,0xffb803ff,0xfc804404,
    0x7ffcc03f,0x09ff5000,0x027fd400,0x009ff500,0x0027fd40,0x00fffa80,
    0x00007ff9,0x903ffd00,0x320007ff,0x7fcc03ff,0x80bff30f,0xa8003ffb,
    0xffc804ff,0xfff98003,0x21ffe605,0x7dc05ff9,0x3fff003f,0xf302ffa8,
    0x413feaff,0x7dc05ff9,0x1ffe003f,0x02ffcc00,0x3fe0ffee,0xfff30007,
    0xa97ff409,0x237e44ff,0xffb84ffa,0xa8004fff,0x2a0004ff,0xff9804ff,
    0x0bffa04f,0x2209ff70,0xfff84ffe,0x01ffe800,0x0009ff50,0x00027fd4,
    0x40009ff5,0x80004ffa,0x2a01fff9,0x00000eff,0x5417fe40,0xf8000eff,
    0xffe800ff,0xb80bff31,0xfa8003ff,0x3ffc804f,0x0eff9800,0x2607ffc0,
    0x7fdc05ff,0x30ffb003,0x7ff407ff,0xf301ffd9,0x3ffb80bf,0x001ffe00,
    0x2e02ffcc,0x07ff83ff,0x80dff300,0xbff53ffc,0x7fd43ff8,0x3bfffa63,
    0xfa8004ff,0x3ea0004f,0x6ff9804f,0x201ffe40,0xffb04ffb,0x37fc45ff,
    0x002ffc80,0x40009ff5,0x20004ffa,0x20004ffa,0x40004ffa,0x4403ffe8,
    0x001cffff,0x05ff9000,0x039ffff1,0x401bfe20,0xbff32ffc,0x003ffb80,
    0xc804ffa8,0xf98003ff,0x1ffd805f,0x2e02ffcc,0xffb003ff,0x5c07ff30,
    0x206ffdff,0x7dc05ff9,0x1ffe003f,0x02ffcc00,0x3fe0ffee,0xbff30007,
    0xf33ffb80,0x20ffccdf,0x3fea2ffb,0x004ffa9d,0x0004ffa8,0x26013fea,
    0x7fdc05ff,0x827fdc03,0x264fffff,0xff7005ff,0x13fea007,0x04ffa800,
    0x013fea00,0x004ffa80,0x802ffec0,0xbefffff9,0x3fb26000,0x2fffffff,
    0xdfffff30,0x2ffcc017,0xf33ffb80,0x3ffb80bf,0x04ffa800,0x8003ffc8,
    0xfd805ff9,0x02ffcc2f,0x36e0ffee,0xfffffffe,0x204fffff,0x03fffff8,
    0xf7017fe6,0x3ffc007f,0x05ff9800,0x7fc1ffdc,0xbff30007,0xf13ffb80,
    0x7437e4ff,0xa876a1ff,0xfa8004ff,0x3ea0004f,0x5ff9804f,0x201ffdc0,
    0xffd04ffb,0x27fd47ff,0x004ffa80,0x40009ff5,0x20004ffa,0x20004ffa,
    0x20004ffa,0x2000effb,0xffffffc8,0x7ffec00d,0xffffffff,0x3fff2202,
    0xfa80dfff,0x9ff5004f,0xf7017fe6,0xff50007f,0x07ff9009,0x00bff300,
    0xff985ffb,0x11ffdc05,0xfffffffd,0xffffffff,0xffffc807,0x017fe600,
    0x7c007ff7,0xff30007f,0x83ffb80b,0xf30007ff,0x3ffb80bf,0x1ffd3ff6,
    0x2a01bfe6,0xfa8004ff,0x3ea0004f,0x5ff9804f,0x201ffdc0,0xff304ffb,
    0x05ff98df,0x2007ff70,0x20004ffa,0x20004ffa,0x20004ffa,0x30004ffa,
    0x20003fff,0xfffffdb8,0x57fffb01,0x5ff93333,0xfffb7100,0x5ff983ff,
    0x267ff700,0x7fdc05ff,0x4ffa8003,0x003ffc80,0xe805ff98,0x2ffcc0ff,
    0xfd8ffee0,0xffd99bef,0x09999999,0x01fffcc0,0xf7017fe6,0x3ffc007f,
    0x05ff9800,0x7fc1ffdc,0xbff30007,0x263ffb80,0x21ffcfff,0xa801ffe9,
    0xfa8004ff,0x3ea0004f,0x5ff9804f,0x201ffdc0,0x2a204ffb,0x006ff882,
    0x2a005ff9,0x2a0004ff,0x2a0004ff,0x2a0004ff,0xf88004ff,0x100002ff,
    0xf50dfff7,0x7fe401ff,0x7fdc4002,0x037fc46f,0x8002ffc8,0xa8002ffb,
    0x000004ff,0xf805ff98,0x05ff987f,0xff99ffdc,0x0007fd86,0x0007ffcc,
    0x7fc00000,0xbff30007,0xf83ffb80,0xff30007f,0x43ffb80b,0xa9fffffa,
    0x5005fffc,0xf50009ff,0x7d40009f,0x5ff9804f,0x201ffdc0,0x20004ffb,
    0xfe800fff,0x9ff5000f,0x27fd4000,0x09ff5000,0x027fd400,0x0027fec0,
    0x07ffc400,0xf9013fee,0x3e20005f,0x07ffc0ff,0x0007ff40,0x4000ffe4,
    0x00004ffa,0x405ff980,0xff986ff8,0xa9ffec06,0x0ffd84ff,0x13ffa000,
    0x40000000,0xf30007ff,0x3ffd80df,0x30007ff8,0xffb80bff,0xfffffa83,
    0x2004ffff,0xa8004ffa,0x2a0004ff,0xff9804ff,0x01ffdc05,0x80013fee,
    0x7d404ffd,0x3fea005f,0x3fea0004,0x3fea0004,0x3fea0004,0x37fe4004,
    0xffd00000,0x203ffd83,0x0002ffe8,0xffb07ffa,0x05ffa809,0x00fff880,
    0x004ffa80,0x9803ff90,0x7fec05ff,0x00fff883,0x3ee7fff7,0x17ff442f,
    0x0fffb800,0x07ff2000,0x00fff000,0x403ffe20,0xff83fffb,0xbff30007,
    0x703ffb80,0x3bffffff,0x04ffa800,0x004ffa80,0x2013fea0,0x7dc05ff9,
    0x27fdc03f,0x5fff3000,0x007ffe60,0x0004ffa8,0x80013fea,0x20004ffa,
    0x2a004ffa,0x00000fff,0xc81fff50,0xfff505ff,0x3ea0005f,0x7ffcc0ff,
    0x03fff302,0x00bff900,0x0013fea0,0x7cc03ff4,0x1bfea05f,0xfb82fff8,
    0x9ff53fff,0x006fffd8,0x001fffb8,0x0003ff40,0xf0003ffc,0xfff705ff,
    0x00fff07f,0x7017fe60,0x3bf207ff,0x2a000099,0xfa8004ff,0x3ea0004f,
    0x5ff9804f,0x201ffdc0,0x40004ffb,0xa9adfffc,0x4004fffc,0x20004ffa,
    0x20004ffa,0x20004ffa,0xf1004ffa,0x3a0005ff,0xcb99aacd,0xff984fff,
    0xffdb99cf,0xcde82fff,0xffcb99aa,0xbfff904f,0x9fff9535,0x7ff5c400,
    0xff50000f,0x13fe0009,0x2b7ffe60,0x1fffda99,0x2b7fff20,0x3ffdffda,
    0xfb55fff1,0x335bffbd,0x7f666497,0xf80004ff,0xff80004f,0x3ff20007,
    0xdffdaadf,0x07ff83ff,0x80bff300,0x7ff03ffb,0x55555000,0x5555bff9,
    0x65555543,0x1aaaadff,0xfcaaaaa8,0x41aaaadf,0x7dc05ff9,0x2aaaaa3f,
    0xaaaadffc,0x7ffe4001,0x03ffffff,0x7e555554,0x81aaaadf,0xffcaaaaa,
    0xa81aaaad,0xdffcaaaa,0xaa81aaaa,0xadffcaaa,0xffe81aaa,0xccccccce,
    0xfffe82cc,0xdfffffff,0xfffffb00,0x5ff37fff,0xffffffd0,0x401bffff,
    0xfffffffc,0x7d4003ff,0x55002fff,0x5bff9555,0xf9803555,0xfff9802f,
    0xefffffff,0x7fffc401,0xff9bffff,0x3fffff63,0xffffe88f,0x3fffe7ff,
    0x980003ff,0xf80002ff,0xccccccff,0xff883ccc,0x9bffffff,0x07ff83ff,
    0x80bff300,0xff983ffb,0xffff8000,0xffffffff,0x3ffffe5f,0xffffffff,
    0xffffff85,0x5fffffff,0x2e02ffcc,0xffff13ff,0xffffffff,0xfb50009f,
    0x003bffff,0xffffffff,0xf0bfffff,0xffffffff,0xff0bffff,0xffffffff,
    0xfff0bfff,0xffffffff,0xfff98bff,0xffffffff,0xffec84ff,0x02dfffff,
    0xdfffffb8,0xd905ff31,0xbfffffff,0x3ff6a005,0x8001dfff,0x2000cefa,
    0xffffffff,0x405fffff,0x73000ffb,0x7bfffffd,0x7ffec400,0x47ff11ef,
    0x21dfffd8,0x5fffffd8,0x0033bffe,0x007fdc00,0x7ffffc00,0x6fffffff,
    0xdffffb10,0x3e0ffe23,0xff30007f,0x83ffb80b,0xff0003ca,0xffffffff,
    0x7ffcbfff,0xffffffff,0xffff85ff,0xffffffff,0x02ffcc5f,0x7fc4ffee,
    0xffffffff,0x40004fff,0x7fc00098,0xffffffff,0xfff85fff,0xffffffff,
    0xffff85ff,0xffffffff,0xfffff85f,0xffffffff,0x7ffffcc5,0xffffffff,
    0x26666204,0x01310001,0x4cccc400,0x04c40001,0x80002000,0xffffffff,
    0x005fffff,0x00130000,0x80013300,0x0ccc0098,0x00000008,0xffff0000,
    0xffffffff,0x0013300d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x400cccc0,0x004c4098,0x19980cc4,0x2b32a600,
    0x55310000,0x55300135,0x804cc001,0x133002a9,0x4c00aa60,0x0aa88009,
    0x99998800,0x31001999,0x03333333,0x00001330,0x98333300,0x04cc4009,
    0x00000331,0x100004c4,0x33333333,0x20026000,0x00000099,0x8009a988,
    0x40000098,0x2aa61999,0xaaaaaaaa,0x9bca8802,0x97530000,0x2aa03579,
    0x01553002,0x2af32a60,0x79975100,0x90000035,0xf7007fff,0x8805fd8d,
    0x3ff20eff,0xfffd8802,0x91003fff,0xfffffffd,0x3ffea019,0x3ffa806f,
    0x4037ff4c,0x7f4c3ffa,0x3ffa806f,0xfffffb10,0x7ff4007f,0x00ffffff,
    0xffffffe8,0x3fe600ff,0x64000005,0x3fe63fff,0xd1ffdc05,0x000001ff,
    0x0007fff3,0x3ffffffa,0x3a2000ff,0x3fe601ff,0xb1000005,0x0fffffff,
    0x0017ffc4,0x23fffc80,0xfffffffc,0x3e607fff,0x0effffff,0xfffff700,
    0xf889ffff,0x5ff9006f,0x7ffff4c0,0x2e0dffff,0xffffffff,0xf900002e,
    0x3e6003df,0x03ffbacf,0xfb5fff10,0x3ffa005f,0x03ffffff,0xffffff98,
    0x980fffff,0x203ffecd,0x3f626ff8,0x7c406fff,0x3fff626f,0x37fc406f,
    0xfffffe98,0xe800efff,0xffffffff,0xffffe800,0x2600ffff,0x000005ff,
    0xf307bff2,0x3ffb80bf,0x00003ffa,0x7fffff30,0xffffd000,0x4001ffff,
    0x2605fffc,0x800005ff,0xfffffffa,0x3fff207f,0xffc80006,0x7fffe41e,
    0x07ffffff,0xfffffff7,0x74403fff,0xffffffff,0x37fc44ff,0x702ffc80,
    0xffffffff,0x7fe41fff,0xffffffff,0x7fe40002,0x7fec000d,0x44006fff,
    0x002fffff,0x3221dff7,0x7cc00fff,0xfda899bd,0x7fc406ff,0x987ff204,
    0x406fedff,0x3fe61ffc,0x7e406fed,0xcfff881f,0x0bffd310,0x00000000,
    0xdfffddd0,0x0001dddd,0x980dffc8,0x7fdc05ff,0x0003ffa3,0xd8eff980,
    0x000003ff,0x2fffdc00,0x000bff30,0xaefff880,0x3204aa99,0x40006fff,
    0x9880dffc,0xf9999999,0xcfffc87f,0xfffeb98a,0x37dffb01,0x7c42b998,
    0x5ff9006f,0x57dfffd0,0x41fd7531,0x3ae609bb,0x90000fff,0x5c0007ff,
    0x8000cefe,0x2002fff8,0xfff81ffe,0x7d400801,0xfdaa80ff,0x07ff302f,
    0x981bf639,0xfb1c83ff,0x81ffcc0d,0xfd103ffc,0x0000005f,0xffff8000,
    0x0fffffff,0x0fff2000,0x5c05ff98,0x03ffa3ff,0x2ffcc000,0x0000fff2,
    0xffe88000,0x017fe601,0x0bff9000,0x0bffe200,0x03ffc800,0x11ffe200,
    0x3a207fff,0xfffa85ff,0x6ff88001,0xb85ff900,0x09804fff,0x0fffa200,
    0x00000000,0x20000000,0x5ff907ff,0x3ffa0000,0x0dfffe81,0xfb00dfd0,
    0x4037f40d,0x1bfa06fd,0x2a037fcc,0x000005ff,0x6e640000,0x4cccceff,
    0xf3000000,0x3ffb80bf,0x00003ffa,0x00000000,0x30026000,0x80000bff,
    0x20001ffe,0x00000098,0x8fff1000,0x7cc04ffc,0x2ffe40ff,0x06ff8800,
    0x7c45ff90,0x000002ff,0x00013ff2,0x00000000,0x3ffe0000,0x001ffd80,
    0x705ff900,0xf90fffb9,0x0dfb003f,0x36007ff2,0x03ff906f,0x3e00ffee,
    0xaa98806f,0x5100009a,0x3fe60015,0x00000005,0xf7017fe6,0x007ff47f,
    0x40000000,0x4cc40099,0x7cc00000,0x7c00005f,0x0000007f,0x44000000,
    0x3ffe27ff,0x44ffd800,0x10003ffd,0x3f200dff,0x017ff62f,0x7ff70000,
    0x26033100,0x9998801a,0x10009999,0x006a6033,0xff30bffa,0x7e40000f,
    0x0ffec02f,0x36009ff3,0x04ff986f,0xff30dfb0,0x00ffec09,0xec883ffc,
    0xcfffffff,0xfffd8800,0x7cc03fff,0x4cc0005f,0x404d54c0,0x7dc05ff9,
    0x003ffa3f,0x4cc41333,0x04cc4000,0xf7017fe6,0x3333307f,0x33333333,
    0x2a62ffcc,0x7fc4001a,0x26662007,0x30009999,0x33333333,0x44003333,
    0x17fea7ff,0x3237fdc0,0xf10005ff,0x3ff200df,0x003fff12,0x1ffc8000,
    0xb10ffc80,0x405fffff,0xfffffffb,0x21ff9004,0x2fffffd8,0xe99bfee0,
    0x326002ff,0xfffffffe,0x7dcccc2f,0x01bfa0ff,0x6fe86fd8,0x3a1bf600,
    0x7fff406f,0xffffffff,0xff981fff,0xffffffff,0x3ffa600f,0x0effffff,
    0xca8bff30,0x3fe600ac,0xfffffd32,0x405ff985,0x3ffa3ffb,0x83bff600,
    0x54004ff9,0x2ffcc3ff,0x3e0ffee0,0xffffffff,0x3fe67fff,0xfffffd35,
    0x1bfe2005,0xfffffb80,0xfff004ff,0xffffffff,0x7fc400ff,0x400ffee7,
    0x7fd47ff8,0xff88004f,0x25ff9006,0x00005ff9,0x8037fc40,0xffe89ffc,
    0x702fffff,0x9fffffff,0x227ff200,0xfffffffe,0x79fff102,0x6c009fff,
    0xffffffff,0x7fdc2fff,0x3fee3fff,0x71bf6001,0x7ec003ff,0x200ffdc6,
    0xffffffff,0x1fffffff,0x899bdf98,0x106fffda,0x26219fff,0xff305ffe,
    0x3ffffea9,0x57ff303f,0xffffffff,0x202ffcc5,0x3ffa3ffb,0x81dffb00,
    0x5c005ff8,0x2ffcc2ff,0x3e0ffee0,0xffffffff,0x3fe67fff,0xffffffac,
    0xff8802ff,0x3ffee006,0xf004ffff,0xffffffff,0x4400ffff,0x0bff67ff,
    0xfd87ff80,0x22002eff,0xff9006ff,0x0013fee5,0x1ffe9800,0xff7ff900,
    0xdfff735d,0x32aaaa60,0xff9004ff,0xf735dff7,0x7fd40dff,0x2002ffff,
    0x99abfffd,0x542ffc99,0x3e60cdee,0x1e5c004f,0xb8009ff3,0x013fe63c,
    0x2aaafffa,0xaaaaaaaa,0xffa80100,0x03ffc80f,0xf305ffd1,0xfffff79f,
    0xff305fff,0xf733dffd,0x2ffccdff,0xfe8ffee0,0x0effd80f,0xc800dff0,
    0x2ffcc1ff,0x2a0ffee0,0xaaaaaaaa,0x3fe65ffe,0xfb9aeffe,0x666546ff,
    0xcccfffcc,0x2a61cccc,0x04ffcaaa,0x55555550,0x00bffd55,0xffd3ffc4,
    0x07ffc003,0x3fffff62,0x37fc400c,0xf92ffc80,0x5555107f,0xdd501555,
    0x001dfffd,0x82ffffe4,0xf5001fff,0x3ff2009f,0x3fff05ff,0x37fffe60,
    0x3ffea000,0x00bff200,0x0001dfd0,0x0001dfd0,0xb001dfd0,0x000003ff,
    0x260fff40,0x7fd406ff,0xfffff985,0x0dffb50d,0x109ffff3,0x3fe63fff,
    0xd1ffdc05,0xeffd81ff,0x001ffa00,0xff981ffb,0x01ffdc05,0x307ffd40,
    0xf10bffff,0x7ffe43ff,0xffffffff,0x5403ffff,0x500004ff,0x44001fff,
    0x03ffe7ff,0x701ffe80,0x3bffffff,0x401bfe20,0x5ffb2ffc,0xffffff30,
    0xffff703f,0x64005bff,0x3f205fff,0x9ff5002f,0x17fff200,0xfa82ffc8,
    0x540effff,0x27fdc1cc,0x800bff20,0x80002ffb,0x80002ffb,0xf9002ffb,
    0x0000007f,0x3ee17fe4,0x86ff803f,0xf03ffff9,0xfff983ff,0x4cbffa04,
    0x7fec06ff,0xfd83ffa3,0x7fec00ef,0x7f4275c0,0x405ff987,0x4c003ffb,
    0x7fcc1fff,0x8bffa05f,0xffeeeeeb,0xeeeeeeef,0x027fd402,0x0fffcc00,
    0xf9ffe200,0x3fa001ff,0x7ff5400f,0xff883fff,0x25ff9006,0xff982ffe,
    0xa81fffff,0xffffeeee,0x6ffc800d,0x801ffdc0,0xf9004ffa,0x3ffb80df,
    0x7fdfffd4,0x217fe45f,0x3a203ffd,0xff1002ff,0xff10000b,0xff10000b,
    0x77fd400b,0x90000000,0x1ffd85ff,0xf987ff80,0x3ffa04ff,0x2037fcc2,
    0xfff13ffc,0x8fffee01,0xdffb0ffe,0x83ff9001,0x37fc0fff,0x2e02ffcc,
    0x3a2003ff,0x6ff983ff,0x201ffe40,0x40006ff8,0x40004ffa,0x8003ffe8,
    0x3ffa7ff8,0x01ffe001,0x4ffffd98,0xc8037fc4,0x07ffb2ff,0x8007ff60,
    0xc805ffea,0x554c03ff,0x09ff5001,0x300fff20,0x7ffc4355,0x749fff31,
    0x2ffe41ff,0x02ffffa8,0x0001ffb0,0x0001ffb0,0x8001ffb0,0x0000dffe,
    0xffffec98,0x7f42ffff,0xffffffff,0x4c1fffff,0x7fdc06ff,0x202ffcc3,
    0x3ffe3ffb,0x3ffffb82,0x3ff63ffa,0x5ff5000e,0x3e1fffcc,0x05ff985f,
    0xb001ffdc,0x3fe60bff,0x01ffdc05,0x0001bfe2,0x80009ff5,0x10005ffd,
    0x17fecfff,0x006ff880,0x22fffe88,0xf9006ff8,0x013fee5f,0x2000ffec,
    0x6402ffe8,0x800003ff,0xf9004ffa,0x3f20007f,0x97ffdc4f,0x7fcc0fff,
    0xffdb99cf,0xfb802fff,0x17bba62f,0xc897fdc0,0xf7002efe,0x2f774c5f,
    0xabffff98,0x01dba999,0x3ffffff6,0x7c2fffff,0xffffffff,0x41ffffff,
    0x7dc05ff9,0x02ffcc3f,0xffc8ffee,0xdffdaadf,0x37ffa3ff,0x26000eff,
    0x3fff23ff,0x260ffe26,0x7fdc05ff,0x1dff7003,0x7017fe60,0xff8807ff,
    0x7fd40006,0x3fee0004,0xff10000e,0x801ffe4f,0x20005ff9,0x3fe25ffd,
    0x25ff9007,0xfb005ffa,0xff70003f,0x03ffc809,0x4ffa8000,0x007ff900,
    0x3607ffa0,0x07ffafff,0xfffffffb,0x805ff37f,0x7ff45ff8,0x5ff8806f,
    0x0ffffffe,0xfe8bff10,0x3faa06ff,0xffffffff,0x7fffb01f,0xff933335,
    0xaabffe85,0xaaaaaaaa,0x02ffcc0a,0xff30ffee,0x23ffb80b,0xfffffff8,
    0x3a3ff9bf,0x02fffaff,0xfe93fe20,0x5ff30ffd,0xb80bff30,0xff9803ff,
    0x17fe601f,0x8807ff70,0x540006ff,0xf30004ff,0x440003ff,0x1bfee7ff,
    0x0027fe40,0xff8fff50,0x23ffb007,0xd800fff9,0xfa8001ff,0x1ffe405f,
    0x7fd40000,0x07ff9004,0x403ffe00,0x04fffffe,0x37ffffee,0xd805ff31,
    0x3bfee0ff,0x0ffd806f,0x1ffa676e,0x7dc1ffb0,0x64406fef,0xfffffffe,
    0x0fffa80d,0xfb0bff20,0xf980003f,0x1ffdc05f,0xf7017fe6,0xfffd887f,
    0x47ff11ef,0xfffb8ffe,0x4d7fe001,0xf53ff8ff,0x0bff303f,0x4403ffb8,
    0x7cc02fff,0x1ffdc05f,0x001bfe20,0x0009ff50,0x0005fff1,0x3e25ff98,
    0xfff800ff,0x3fe60001,0x4007ff46,0x27ff47ff,0x000ffec0,0x3201ffdc,
    0x800003ff,0xf9004ffa,0x3fe0007f,0xffff101f,0x0131003f,0x7d401dfb,
    0x36bfe63f,0x1ffd406f,0x5403ff20,0x2bfe63ff,0x54c006fd,0x7fdc05ff,
    0x217fe404,0x40003ffc,0x7dc05ff9,0x02ffcc3f,0x9980ffee,0xfd07fe40,
    0x07fff21f,0x5fbb7f40,0x03feedfb,0xfb01bfe6,0x4ffd807f,0x405ff980,
    0x7c403ffb,0x7d40006f,0xffd8004f,0xffc80004,0x202ffec4,0x40005ffc,
    0x7fec5ffb,0x237fd403,0x6c01fffa,0xfe8001ff,0x1ffe401f,0x7fd40000,
    0x07ff9004,0x80fff600,0x0006fff9,0xf1007fdc,0xfb5fe8bf,0x02ffc40d,
    0x7c41bfa2,0xfdaff45f,0x06fd8006,0x2203ffd8,0x7fd42ffe,0x3e60000e,
    0x1ffdc05f,0xf7017fe6,0xffa8007f,0xfb07ff41,0xffb001ff,0x4ffd4ffa,
    0xfff107fc,0x0fffee01,0x3006ffc8,0xffb80bff,0x037fc403,0x013fea00,
    0x200dff90,0x3fff302d,0x704fff98,0x00303fff,0xf50bffe6,0x3fa203ff,
    0x3fffd82f,0x8007ff60,0xc805ffd8,0x800003ff,0xf9004ffa,0x3ee0007f,
    0xfff701ff,0x3e20007f,0x07fec04f,0x1bf61ff7,0x2600ffd8,0xffb00ffe,
    0xfd87fdc1,0x17fcc006,0xa82ffe40,0xfe82ffff,0xf30000df,0x3ffb80bf,
    0x2e02ffcc,0x7fc003ff,0x6c0ffe85,0x7e400eff,0x3fe0ff9f,0x3fe06fdc,
    0xffffb82f,0x01fff503,0x7017fe60,0xff8807ff,0x7fd40006,0x3ffea004,
    0x79dfd000,0x209fff97,0xcacefffc,0xf884fffe,0xcbaaccdf,0xfb05fffe,
    0xf95359ff,0x3fa20bff,0xcaacdfff,0x55911fff,0xfffb7535,0x7ff9001d,
    0xff500000,0x0fff2009,0xcfffe800,0xffffecaa,0xf98001ff,0x0ffea04f,
    0xfffffffd,0x03ffa85f,0x5403bfea,0x7fff43ff,0x002fffff,0xf3005ff7,
    0xfb7339ff,0xf305ffff,0x33357fff,0xff303b75,0x43ffb80b,0x7dc05ff9,
    0x3fe2003f,0x440ffe85,0x2e00effe,0x7ec6fdff,0x3f205fee,0xffdaadff,
    0xff883ffd,0x3fe6002f,0x01ffdc05,0x0001bfe2,0x22009ff5,0x3a002fff,
    0xffffffff,0x3ffee00d,0x02ffffff,0xfffffff1,0x40bfffff,0xffffffd8,
    0x6400dfff,0xffffffff,0xfff31fff,0xbfffffff,0x0fff2001,0x55555000,
    0x5555bff9,0x007ff903,0x7ffff4c0,0xfeaeffff,0xff8000ff,0x3fe20acf,
    0xfffffe86,0x3fe22fff,0x277ff206,0x1bfe2099,0x3ffffffa,0xff3002ff,
    0xffd8077d,0x9bffffff,0xffd502ff,0xffffffff,0x80bff303,0x7fcc3ffb,
    0x01ffdc05,0x46b3ffa0,0xff880ffe,0x3ffe606f,0x7fffd43f,0x3fffe203,
    0xff9bffff,0xcceffe83,0x2ccccccc,0xfb80bff3,0x37fc403f,0x95555500,
    0x35555bff,0x999dffd0,0x25999999,0xdfffffc9,0xffdb5002,0xed801bdf,
    0xffffffff,0xffd7001c,0x4005bfff,0xfffffed9,0x3ffe61ce,0x01deffff,
    0x001ffe40,0x3fffffe0,0x5fffffff,0x0003ffc8,0xeffffeb8,0x01bffe23,
    0x8bfffee0,0x99881ffc,0x209efe99,0xff101ffc,0x647fffff,0x999881ff,
    0x0009efe9,0x003ffff6,0x3bfffff7,0xc880bfe6,0xeffffffe,0x05ff980d,
    0x3e61ffdc,0x1ffdc05f,0x3fffea00,0x2601ffd3,0xff105fff,0xffff01ff,
    0xfffd8805,0x87ff11ef,0xfffffff9,0x34ffffff,0xffb80bff,0x037fc403,
    0xfffffff0,0x8bffffff,0xfffffff9,0x84ffffff,0x44000098,0x33300009,
    0x31000033,0x26600001,0x4cccc009,0x7fe40000,0x7ffc0003,0xffffffff,
    0x3ffc85ff,0x004c0000,0x5e540000,0x4007ff30,0x1ffcc6fd,0xffffff10,
    0x00ffe67f,0x10006fd8,0x4c400795,0x26600000,0x7fcc0099,0x21ffdc05,
    0x7dc05ff9,0x9930003f,0xa803ffa1,0xfff05fff,0x07fff20d,0x20009980,
    0xfffffff9,0x34ffffff,0xffb80bff,0x037fc403,0xfffffff0,0x8bffffff,
    0xfffffff9,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4de54400,0xcba88000,0xaaaaaaab,
    0x03553001,0x55555553,0x44015555,0x001accba,0x0aaf2a60,0x03795100,
    0x4006a200,0x2a600039,0x10001aaa,0x26003553,0x26620003,0x50199999,
    0x2aa60055,0x00015530,0x000554c0,0x4d55554c,0x55553000,0x55555555,
    0x4c003555,0xaaaaaaaa,0x0035510a,0x400aa980,0x55302aa8,0x00013555,
    0x03797510,0x2aaaaaa6,0xaaaaaaaa,0x006aaa2a,0x5530aaa8,0x55555555,
    0x00d55455,0x26015540,0xaa801bcb,0x3fa60002,0x004fffff,0xffffffd1,
    0x0bffffff,0x7fffff5c,0x3ffff25f,0x3fffffff,0xfffffc88,0xb1003eff,
    0xffffffff,0xfffeb80b,0x5000dfff,0x7c407fff,0x7ec4006f,0x0fffffff,
    0xffffda80,0x37fc405f,0xffffd000,0xf881ffff,0x5ff9007f,0x0000bff2,
    0x8002ffc8,0xfffffffc,0x3fee03ef,0xffffffff,0x005fffff,0x3ffffffe,
    0xbff31fff,0x3ffc8000,0xc837fcc0,0xffffffff,0xffb8003e,0x5c3fffff,
    0xffffffff,0x5fffffff,0x5401bff2,0x3ffee6ff,0xffffffff,0x00bff90f,
    0xd886ffa8,0x2effffff,0x4001ffe0,0xfffffff9,0x3e600dff,0xffffffff,
    0x985fffff,0xfffffffe,0x3ffff27f,0x3fffffff,0x77ffffc4,0x403fffff,
    0xfffffffa,0xfb107fff,0xfffdbdff,0xfffd003d,0x1bfe201f,0xfffffa80,
    0x200fffff,0xfffffffb,0x37fc405f,0xffffd000,0xf881ffff,0x5ff9007f,
    0x0000bff2,0x8002ffc8,0xfffffffc,0xfb81efff,0x99999999,0x05e99999,
    0xffffff50,0x3e63ffff,0x7e40005f,0x37fcc03f,0xffffffc8,0x001effff,
    0xfffffffd,0x7ffdcdff,0xffffffff,0x7f45ffff,0x1fff803f,0x3fffffee,
    0x50ffffff,0x64001fff,0x7ffd43ff,0x3fffffff,0x5000fff0,0x7d439fff,
    0xfff105ff,0x4cfff439,0x7fc40999,0xca99abff,0x266bff27,0x40999999,
    0x310adffd,0x3203fff9,0x98abefff,0xfe887eba,0x7fdc40cf,0x7fffc01f,
    0x0dff100f,0x273ffe20,0x20195310,0xabcffffb,0x7fc40099,0x40000006,
    0xf9007ff8,0x00bff25f,0x02ffc800,0x99bffc80,0x3ffffcba,0x740063dc,
    0xffdfb005,0x05ff980d,0x01ffe400,0x7e41bfe6,0xfcba99bf,0x7dc03fff,
    0x17ecc2ff,0xf3333331,0x333335ff,0x00fffa81,0xff717fee,0x3333333b,
    0x02fff833,0xf887ffe0,0xe988acff,0x7ff80fff,0x03ffe800,0xf901fff3,
    0x00ffd09f,0x0803bff6,0x10007ff2,0x7f401fff,0x5fff983f,0x2ffc8180,
    0x2037fcc0,0x2205fffc,0xff7006ff,0x3fee0009,0x3e20003f,0x0000006f,
    0xc803ffc4,0x05ff92ff,0x17fe4000,0x817fe400,0x2e0fffd8,0x816fffc7,
    0xaff9805e,0x7fcc06ff,0x3defffff,0x37ffb260,0xdccccccc,0x7e43cfff,
    0xfffb102f,0x07ffe201,0x3ffa0018,0x13ff6000,0x2e07ffc4,0xfc8004ff,
    0xdff3005f,0x7f403f50,0x007ff84f,0x2e02ffcc,0x37fc44ff,0xfa807fe8,
    0x3f2000ff,0x7fd4001f,0x427fdc05,0x30004ffd,0x3e6007ff,0x05edc03f,
    0xdff33333,0x13333333,0x2000fff2,0x4000fff8,0xeff99999,0x09999999,
    0x7fc40000,0x25ff9007,0x00002ffc,0x0620bff2,0x6c02ffc8,0x991ee4ff,
    0x5e81dffd,0xdff7fc80,0xfffff980,0x83ffffff,0xfffffffb,0xffffffff,
    0x17fe45ff,0x5413ff60,0x200004ff,0x26000ffe,0xffc81fff,0x004ffb83,
    0x9007ffa8,0x700207ff,0x0fff0bff,0x402ffd80,0x3f20fff8,0x00ffd03f,
    0xc8007ffb,0x7d4001ff,0x17fe405f,0x0003ffea,0x36e23fec,0x0dfb0bce,
    0x3ffffe00,0xffffffff,0x1dff54ff,0x02ffc800,0xffffff80,0xffffffff,
    0x9999884f,0x3e200999,0x5ff9007f,0x0000bff2,0x3222ffc8,0x0bff204f,
    0x2e3fff30,0xd1bf6207,0x3e9ff00b,0x77fcc06f,0xfffdcccc,0x7fffdc4f,
    0xffffffff,0x645fffff,0x7fcc02ff,0x03ffb81f,0x03ffa000,0x98bff900,
    0x9ff706ff,0x0bffe000,0x0007ffa0,0x7fc3ffcc,0x03ffc007,0xe87fff62,
    0x0ffd00ff,0x8001fff0,0xf8001ffc,0x3ffe01ff,0x0027fec0,0x3a63ff88,
    0xf30fffff,0xfff0005f,0xffffffff,0x3e29ffff,0xf001cfff,0x3fe000df,
    0xffffffff,0xb84fffff,0x4fffffff,0x401ffe20,0x5ff92ffc,0x7fe40000,
    0x04fffc8a,0x3600bff2,0xd00f73ff,0x2a02f45f,0x80dff1ff,0xf9105ff9,
    0x7ff905ff,0x906ff980,0xffb005ff,0x005ff907,0x007ff400,0xd87ffe20,
    0x9ff701ff,0x13ff2000,0x000dff30,0x7fc3ffcc,0x1bfe2007,0x2fffff98,
    0x7fe81bfe,0x003ffc40,0x4000ffe4,0x6c41fffc,0x1ffe85ff,0x41ff3000,
    0x0daadffe,0x2a000ffe,0xaeffbaaa,0x21aaaaaa,0xbefffff9,0x009ff300,
    0x3eeaaaa0,0xaaaaaaef,0xffffb81a,0x3e204fff,0x5ff9007f,0x0000bff2,
    0xfffeffc8,0x3ff200cf,0x74ffc802,0x749f900f,0xff37f405,0x05ff980d,
    0x7e437fe4,0x37fcc03f,0xc802ffc8,0x2ffd84ff,0x3ffa0000,0x6ffa8000,
    0x7dc0bff5,0xff50004f,0x03ffc80f,0x217fea00,0x3e6007ff,0xffff705f,
    0x17fe27ff,0x7cc07fe8,0xffc8006f,0x4009aaab,0xa8dfffe8,0xff80dfff,
    0xff70000f,0x3a01ffdc,0xf880005f,0x7e44006f,0x40dfffff,0xb9732ffb,
    0x3e200379,0xaa98006f,0x204ffcaa,0xf9007ff8,0x00bff25f,0x3ff20022,
    0xc800cfff,0xffb802ff,0x7fb00f75,0x7ff302f4,0x3e6037fc,0x3ffc405f,
    0x2601ffe4,0x5ff906ff,0xb0bff700,0x400005ff,0xd0000ffe,0x01ffd5ff,
    0x00027fdc,0x7f403fff,0x3f60001f,0x007ff84f,0xfb113fea,0x29ff57ff,
    0x3fa05ff9,0x31eeeeef,0xf9000fff,0xbfffffff,0xffffc805,0xff104fff,
    0x37e4000f,0xfc801ff9,0xff880006,0xfb710006,0x7ec3ffff,0xfffffecf,
    0x7c400dff,0xf500006f,0x3ffc409f,0xf92ffc80,0xeffb805f,0xffffc880,
    0xffee800c,0xa81eeeef,0xa80f76ff,0xc817a1ff,0x3bffe0ff,0x3fe66eee,
    0x41ffe805,0xaaaadffc,0x46ffbaaa,0xeeefffee,0x16ffa81e,0x559ffd55,
    0x44055555,0xbfffaaaa,0xf3001aaa,0xb807ffff,0xaaaaadff,0xff901aaa,
    0x01bfe609,0x80fff980,0x3ee007ff,0x3bffea3f,0x3eabff31,0x3fffa04f,
    0xff12ffff,0xffc8001f,0xffffffff,0x7fffe404,0xdff500ef,0xd2fec000,
    0x0ff700df,0x0dff1000,0xfff71000,0x7ffffecd,0xffffedde,0x01bfe200,
    0x027fd400,0x3200fff1,0x05ff92ff,0x237fffcc,0x03fffffb,0x3fffffe0,
    0xff981fff,0xffdb0f77,0xf105e87f,0xfffff8bf,0x17fe67ff,0xf907ffa0,
    0xffffffff,0xff8dffff,0x1fffffff,0xff57ff98,0xffffffff,0x7fdc0bff,
    0xffffffff,0x3ff2005f,0xfffb806f,0xffffffff,0x20fff504,0x20003ffb,
    0xfff04ffe,0xc9ffd400,0x3ea0dfff,0x409ff54f,0xcccccffe,0x000bffe1,
    0x3ffae660,0xffff704f,0xf507ffff,0x7ec000df,0x3201bfa6,0x206a607f,
    0x9eff9999,0x00099999,0xfe87ffc4,0xfe980bff,0x1bfe204f,0x27fd4000,
    0x200fff10,0x5ff92ffc,0x3ffffdc0,0x5ffffff3,0x7fff7400,0xf981eeee,
    0x9fd0f77f,0x2e0bd017,0x67ffc2ff,0x3fe64ccc,0x40fff805,0xfffffffc,
    0x46ffffff,0xeeefffee,0x57ff981e,0xffffffff,0x5c0bffff,0xffffffff,
    0x22005fff,0xfb802fff,0xffffffff,0x3ffe04ff,0x000ffe81,0x7c0bffb0,
    0x3fea007f,0xa83fffed,0x0bff54ff,0x7e403ff4,0xc800006f,0x3f620fff,
    0xffff72ef,0x007ff989,0xffd9ff20,0xa82fec00,0x3fe63fff,0xffffffff,
    0xe8003fff,0x03ffd1ff,0x100fff98,0x20000dff,0x3e204ffa,0x5ff9007f,
    0xfa80bff2,0x33e66fff,0x8002ffc8,0xfa802ffc,0x0fd0f76f,0x0ffd05e8,
    0xff980dff,0x437fd405,0x9999cffc,0x06ffa999,0xf5005ff9,0x3f6662df,
    0x999999bf,0x07ff4000,0xeeeee880,0xeeeeefff,0x0027fdc2,0xf113ff20,
    0x3f2000df,0x1ffe00ef,0xfffff980,0x27ff701e,0x3fa05ff9,0xdfff8807,
    0x3a000600,0x37ffa2ff,0x17ffec40,0x0001fff1,0x7fdc3fea,0x09fd020c,
    0x4c3ffff6,0xffffffff,0x003fffff,0xffb3ffd4,0x03ffd003,0x0001bfe2,
    0xf1027fd4,0x3ff200ff,0xd805ff92,0xc8222fff,0xfc8002ff,0x5ffb802f,
    0xe80fd0f7,0xf84ff985,0x2ffcc06f,0x905fff10,0xff9807ff,0x005ff906,
    0xffb0bff7,0x7f400005,0xfff3000f,0xffffffff,0x4ffb85ff,0x37fd4000,
    0x2000ffee,0x7c00fffc,0x3fe2007f,0x3f200dff,0x40dff12f,0xff7007fe,
    0xd95579ff,0x9ff9000f,0xfb01bfe6,0x01fff8df,0x7c3ff300,0x20fedfff,
    0xfff903ff,0x2eaaa25f,0xaaaaaeff,0x2ab37a1a,0x4fffcb99,0x3600bff2,
    0xdff102ff,0x3fea0000,0x01ffe204,0xffc97fe4,0x400aa802,0xc8002ffc,
    0xffd802ff,0x80550f73,0x9affc85e,0x406ff999,0xfb985ff9,0x7ff905ff,
    0x906ff980,0xffb005ff,0x005ffb07,0x007ff400,0xfccccc88,0x1cccccff,
    0x00027fdc,0xffb0fffc,0xfffc8001,0x007ff801,0x7401fffc,0x07ffe1ff,
    0xf5003ff4,0xffffffff,0x7ff9000f,0xf300bfee,0x04ffe8ff,0x4cbff100,
    0x50fffffe,0x3fe203ff,0xdff103ff,0x3ffffa00,0x45ffffff,0xfc803ffb,
    0x0dff102f,0x13fea000,0xb007ff88,0x0bff25ff,0x2ffc8000,0x02ffc800,
    0x7b8fffc4,0xf88bd000,0xffffffff,0x7ffcc06f,0xffffffff,0x07ff900d,
    0xf906ff98,0xfff8805f,0x002ffd81,0x003ffa00,0x001ffd00,0x00009ff7,
    0x3fe29ff9,0x7ffe4006,0x00fff001,0x4c03ffd8,0x1ffec6ff,0x44007fe8,
    0xefffffeb,0x1ffe8003,0xff003ffd,0x07ffdc1f,0x40ffc800,0x3fa09ba9,
    0x17ffdc06,0x9007ff88,0xffffffff,0x0bff505b,0x2203ffd0,0x500007ff,
    0x7fc409ff,0x23ffb007,0x00002ffc,0x2000bff2,0x7e402ffc,0xdd11ee6f,
    0x3ee2f401,0xffffffff,0x7ffcc06f,0x2effffff,0x201ffe40,0xff906ff9,
    0x06ffc805,0x00005ffb,0x00007ff4,0x2e003ffa,0xa80004ff,0x07ff76ff,
    0x007ffe40,0x9800fff0,0x7fec06ff,0x4077fcc2,0xf50007fe,0x5400039f,
    0x0fffa7ff,0xfd0fff30,0x3e2000bf,0x3ff5005f,0x00fff980,0x8800bffe,
    0x200ffe99,0x2600fff8,0x7ffc07ff,0xffa80002,0x01ffe204,0xffc87ffc,
    0x3f200002,0xffc8002f,0x8bffee02,0x01ffd47b,0x99ffe8bd,0x06ff9999,
    0x66677fcc,0xff9000ab,0x06ff9807,0x7dc05ff9,0x5ffb02ff,0x7ff40000,
    0xdddd1000,0xddddfffd,0x04ffb85d,0xb1fff000,0x3f2001ff,0x7fc000ef,
    0x4ffe8007,0x3a0fff90,0x3ff40eff,0x01ffc800,0x8bffea00,0x3600fffc,
    0xfffa85ff,0x320e201e,0x3ee00dff,0x6ffb805f,0x002ffec0,0xfc805ff8,
    0x0fffa05f,0x000bffb0,0x4409ff50,0xffb807ff,0x000bff26,0x002ffc80,
    0xd882ffc8,0x23dc5fff,0x97a00dd8,0x3fe04ff9,0x02ffcc06,0x00fff200,
    0x3f20dff3,0xfffd882f,0x00bff605,0x00ffe800,0xffffff10,0x5fffffff,
    0x0004ffb8,0xdff9ff90,0x03bff200,0x001ffe00,0x26fbffe6,0x301fffdb,
    0xf559dfff,0x599999ff,0x6406fe80,0xfeba9aab,0x7ffc44ff,0xfeba9acf,
    0xfffb01ff,0xfd9979df,0x2fbff20f,0x1dffb511,0x01fffa80,0x56ffffd4,
    0xff303caa,0xdfff1007,0xdffd7335,0xbffff500,0x20079555,0x3e204ffa,
    0x75d5ec7f,0x3ff22fff,0xcccccccd,0xffc800cc,0xcccccccd,0x66ffe43c,
    0x4fffffec,0xbd0007b8,0xff00ffec,0x2355555d,0x40005ff9,0x7cc03ffc,
    0x9bff906f,0x9fffffd9,0xbffd9930,0x99999999,0x03ffa009,0x66666440,
    0xcccccfff,0x0027fdc1,0xfffffa80,0xefffa803,0xeeeeeeee,0x33ffe0ee,
    0xcccccccc,0x7ffffcc3,0x4c01ffff,0xffffffff,0x05ffffff,0xff013fe2,
    0xffffffff,0x3fffe607,0x1fffffff,0x7ffffd40,0x207fffff,0xfffffffb,
    0x3b2e04ff,0xfb003fff,0x9fffffff,0x4007fee0,0xfffffff9,0xfb000dff,
    0x9fffffff,0xf9555550,0x235555bf,0x7ff47ff8,0x7e45ffff,0xffffffff,
    0xfc800fff,0xffffffff,0x7ffe46ff,0x2effffff,0x99999f70,0x99999999,
    0x01bfe2bf,0xffffffff,0x0017fe67,0x9807ff90,0xfff906ff,0x5dffffff,
    0x3ffffea0,0xffffffff,0x1ffd007f,0x0ffe8000,0x004ffb80,0x3ffffe00,
    0xffffb800,0xffffffff,0x3fffe1ff,0xffffffff,0xfffed886,0xd91000ce,
    0xffffffff,0x7cc0bfff,0x7fffc02f,0x8803efff,0xfffffffb,0x3fb22003,
    0x01bcefff,0x77fff64c,0x7ffec02c,0x7f54001e,0xb03fffff,0xfd8800ff,
    0x002dffff,0xfffffea8,0xfffff83f,0xffffffff,0xfd8fff15,0xfc82efff,
    0xffffffff,0xfc800fff,0xffffffff,0x7ffe46ff,0x401cdeff,0xfffffffb,
    0xffffffff,0xf807ff75,0x3fffffff,0x8000bff3,0x7cc03ffc,0xffff906f,
    0xa8039bdf,0xffffffff,0x07ffffff,0x0001ffd0,0xb800ffe8,0x200004ff,
    0x7006fffd,0xffffffff,0x43ffffff,0xffffffff,0x4406ffff,0x99800009,
    0x20000000,0x00009999,0x80000ccc,0x09800018,0x00af3200,0x00266200,
    0x02620000,0x09988000,0x3fffffe0,0x5fffffff,0x00002200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00355500,
    0xaa82aaa2,0x01553002,0x00555510,0x2aaaaaa2,0xaaa80099,0xaaaaaaaa,
    0x2e6200aa,0x2a2009bc,0x5554401a,0x2aaaaaa0,0x1aaa8001,0x00555440,
    0x05540d54,0x4c015554,0x2aaaa0aa,0xaaaaaaaa,0x555542aa,0xaaaaaaaa,
    0x555002aa,0x001aa880,0x2000d544,0x5501aaaa,0xaa880035,0x5555510a,
    0x2aa00335,0x8009aaaa,0xaaaaaaa9,0xaaaaaaaa,0x55555532,0x00555555,
    0x09801bb2,0x03220a00,0x01c80000,0x01a9814c,0x880aaa88,0x0030001a,
    0x003fff20,0xff897ff6,0x05ff9007,0x00ffffb0,0x3fffffe6,0xf00bffff,
    0xffffffff,0x2e03ffff,0x2fffffff,0xd80bff50,0x3ffe25ff,0x3dffffff,
    0x037ffc40,0x200bfff6,0x17fc42ff,0x2017fffc,0x3ffe1ffc,0xffffffff,
    0x3f60ffff,0xffffffff,0x200fffff,0x4407fffa,0x7cc005ff,0x3fe6002f,
    0xfff703ff,0x2ffec001,0xfffffff3,0x3e205dff,0xffffffff,0xffff701d,
    0xffffffff,0x3ff2bfff,0xffffffff,0x7fe800ff,0x005fc880,0x3fa21bf7,
    0x4400001e,0xffb81ffd,0x3fff23ff,0xfffd981f,0xfffd15ff,0x3fa2005f,
    0xffe8001f,0x07ffd404,0x3200fff1,0xfff802ff,0xff9802ff,0xffffffff,
    0xffff80ff,0xffffffff,0x7fff441f,0x84ffffef,0x3f205ffa,0x3ffe20ef,
    0xffffffff,0xffff101e,0x3fffe203,0x217fc402,0xfff81ff9,0x0ffe406f,
    0xffffffff,0x1fffffff,0x7fffffec,0xffffffff,0xffffea80,0x02ffc407,
    0x800bfea0,0x203ffffe,0xf3004ffe,0x7ffcc3ff,0xffffffff,0x7fffc40e,
    0x4fffffff,0xffffffb8,0xffffffff,0xfffff95f,0x1fffffff,0x100ffd00,
    0xf8805fff,0xfffb12ff,0x3a200005,0x7fdc1eff,0xffb9ffff,0x7dc1ffff,
    0xedffffff,0x01ffffff,0x005fffc8,0x201fffa8,0x7fc43ffe,0x05ff9007,
    0x5ffeffa8,0x99dff980,0x6fffda99,0xff999998,0xd81999af,0x7fd40dff,
    0x82ffd42f,0x7c40fffa,0xcba999ff,0xf982ffff,0xff703fff,0xff9807ff,
    0x7c07fd41,0x3201ffff,0x2aaaa1ff,0xbaaaaaaa,0x555547ff,0xeaaaaaaa,
    0x7ff545ff,0xf807ffff,0x7fd4005f,0xffff9001,0x7ffd407f,0x44ffd801,
    0x9999dff9,0x20efffda,0xb999fff8,0x442ffffd,0xff999999,0x099999af,
    0x33339ff9,0x20033333,0xff5007fe,0xfd86a61f,0x3fffc84f,0x7ffcc000,
    0x477fc40d,0x8cffefe9,0x56dc5ffa,0x5ffffd50,0x32017fea,0xb0005fff,
    0x3ff20dff,0x007ff886,0xfd805ff9,0x9807ffaf,0x3fea05ff,0x0ffe801f,
    0x3037fdc0,0x5ffa8dff,0x882fff88,0x3fa206ff,0x6ffcc0ff,0xffbfd06f,
    0x40ffa807,0xffff07fb,0x0ffe40bf,0x04ffb800,0x41fff500,0xfacffffb,
    0x06ff807f,0x400ffdc0,0x3ffbeff9,0x202fff40,0x7cc0fff9,0x3ffe605f,
    0xd81ffe24,0x3fa006ff,0x1ffe400f,0x0ffd0000,0x7ff7fe40,0x06ffefff,
    0x0013ffea,0xb827ffdc,0x3ffea0ff,0x4007fe46,0x7ec4fff8,0x7ff4400f,
    0xfff10001,0x81fff987,0xf9007ff8,0xd6ff805f,0xff9805ff,0x01ffec05,
    0x3a007ff4,0x7ff401ff,0x3a17fea2,0xdff103ff,0x989ffd00,0x4c1ffbff,
    0x403ffaff,0x07fc87fb,0x03ffbdff,0x40007ff2,0x88000ffe,0x7fc43fff,
    0x00fff30d,0xfb800dfd,0x9ffe800f,0x7cc03ffb,0x3ff601ff,0x405ff983,
    0x3fe27ffa,0x03ffe207,0x2007ff40,0x00003ffc,0xfd001ffa,0xffffffff,
    0xfff9801f,0x3ff2000d,0x21bfa03f,0x7fd45fff,0x83fff002,0x13002ffa,
    0xfffb8000,0x4413ff60,0xff9007ff,0xba7fd405,0x7fcc04ff,0x01ffe405,
    0x3e007ff4,0x4ffa807f,0xffb17fea,0x037fc409,0xf507ffcc,0xfc89ff1f,
    0x64c4ff8e,0xcccffecc,0x1cccffec,0x0bff5dff,0x20007ff2,0x90004ffb,
    0x30720dff,0xffd00fff,0x00ffb800,0xffba7fdc,0x06ffd803,0x3e60dff5,
    0x0fff805f,0xff80fff1,0x1ffd001f,0x003ffc80,0xe9999998,0x999999ff,
    0x9bfffc80,0x800ffffc,0x401effe8,0x401fffd8,0x4ffe84ff,0xd8017fcc,
    0x03ff987f,0x7f400000,0x40dff54f,0xf9007ff8,0x8ffec05f,0x7cc07ff8,
    0x07ff405f,0x3007ff40,0xff300dff,0xf72ffd4b,0x6ff880bf,0x547ffd00,
    0x7c7fc8ff,0xfa89ff3f,0xffffffff,0x3fffffff,0x03ffadff,0x20007ff2,
    0xa8000ffe,0x26000fff,0x7fd807ff,0x203fe400,0x3fee6ff8,0x2fff8803,
    0xf302ffe8,0x3ffd00bf,0xff01ffe2,0x3ffa001f,0x01ffe400,0x3ffffe60,
    0xffffffff,0x7ffc43ff,0x01fff441,0x02fffd88,0x801dffd1,0xffd84ff8,
    0x801ffc42,0x3ff987fd,0x4c000000,0x1fffafff,0x401ffe20,0x3fe02ffc,
    0x3017ff47,0x7fcc0bff,0x01ffd006,0x4403ffc4,0x57fea6ff,0x4400eff9,
    0xff9006ff,0x7cc7fdc9,0x3e1ff52f,0x7e664c4f,0xffccccef,0xdff1ccce,
    0x3f213fee,0x7fdc001f,0xffe88005,0x3ffcc003,0x75c3fec0,0x6c07fc84,
    0x0ffee1ff,0x2a37fe40,0x3fe606ff,0x10fff805,0x7fd40fff,0x03ffa007,
    0x8007ff90,0xfffffff9,0xffffffff,0xa82ffdc3,0x7e4005ff,0x7ffcc3ff,
    0x07ff3005,0xfffffffb,0xfdb709ff,0xffffffff,0x332a9fff,0xcccccccc,
    0x003ccccc,0x13fffff2,0x200fff10,0xff502ffc,0x204ffc89,0xff505ff9,
    0x3ffa003f,0x007ffc00,0xbff53ffc,0x1003fff1,0x3ee00dff,0x7c3fee5f,
    0x7fcbfb5f,0x7c27f405,0x22dff03f,0x7fe40fff,0x0fff4001,0x037fe400,
    0x403ffcc0,0x7ff40ffc,0xf5037ec0,0x03ffb89f,0x747fff10,0x3fe601ff,
    0x13ffc405,0x3fe60fff,0x3ffa003f,0x01ffe400,0x2aaaaa20,0xaaaaffea,
    0x17fe40aa,0x8006ff88,0xff54fffb,0x7fcc00bf,0xfffffc83,0x3a24ffff,
    0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,0xfffe800d,0x7ffc400f,
    0xeeeeeeee,0xfb02fffe,0x07ff985f,0x3bbbffe6,0x000dfffe,0xfb003ffa,
    0xfff9809f,0xffdbff50,0x1bfe2005,0xf737fd40,0x3e3ff21f,0xf017fe2f,
    0x02ff887f,0x27fe4dff,0xa8007ff2,0xf98005ff,0xf98000ff,0x0ffc807f,
    0xfb0fffe6,0x21bfe20d,0x2e003ffb,0x0bff56ff,0x6c05ff98,0x3ffe24ff,
    0xfffdbaaa,0x07ff4005,0x3bbbff20,0x04eeeeee,0x6c00ffd0,0x1ffe01ff,
    0x1dffd100,0x8017ffe4,0xffd83ff9,0x0999999b,0x266fbff6,0x99999ffd,
    0xffff9099,0xffffffff,0xa800dfff,0xf8804fff,0xffffffff,0x02ffffff,
    0x3ffe0fff,0xfffff301,0x039fffff,0x2007ff40,0x109dfff9,0x54ffffb5,
    0x006fffff,0x4c01bfe2,0x99ff27ff,0x7fc7fdff,0x10ffe206,0x9bfe05ff,
    0x3f20fff8,0x3ffa001f,0x3ffe8001,0x0fff3000,0x7dc3ff70,0x82ff45ff,
    0xffb81ffd,0x5fff4003,0x7cc00ffe,0xfffb105f,0x7ffffc41,0x003fffff,
    0x6400ffe8,0xffffffff,0xfd005fff,0x17fec00f,0x2007ff88,0xf705fffa,
    0xff3009ff,0x007ffb09,0xffb0dff3,0x00000000,0x03ffffa0,0xdddfff10,
    0xffdddddd,0x0bff505f,0x7cc13ff2,0xffeeeeff,0xfd004fff,0xfff7001f,
    0xffffffff,0x76ffd4df,0xff1004ff,0x9bfe600d,0x7fff47fc,0xf3037f44,
    0x01ff985f,0x3ffc8dff,0x54007ff2,0xfc8005ff,0x3e60006f,0x1ffa807f,
    0xe83ffffa,0x04ffa85f,0xa8007ff7,0x804fffff,0xdccceff9,0x441ffffe,
    0xffffffff,0xffd0000e,0xeeffc801,0x4eeeeeee,0x400ffd00,0xff303ffc,
    0x3ffee00b,0x2fffd403,0x3a13fe20,0xffa804ff,0x000ffd84,0x5c000000,
    0x405fffff,0xf9007ff8,0x05ff905f,0x7cc1ffe6,0xfff9305f,0x01ffd007,
    0x3ffffa60,0x25ff9cff,0xfff9dffa,0x06ff8802,0x7ecdff50,0x20fffdc7,
    0x3fe606fe,0xf807fd41,0x93ffcc6f,0x3fa003ff,0x7fcc001f,0x3e60000f,
    0x2ffa807f,0x47ff5ff1,0x0ffe84ff,0x0007ff70,0x001ffffb,0xfffffff3,
    0xf101bfff,0x77fe4cff,0x0ffe8000,0x001ffe40,0x400ffd00,0xffb06ffb,
    0x5fff9007,0x3bffa600,0xf11bfe00,0xff700dff,0x02ffe885,0x20000000,
    0xfffafff8,0x01ffe202,0x7fc17fe4,0x07ffe00f,0xf9017fe6,0x1ffd00ff,
    0x19a98800,0xffa93fe6,0x803fff55,0xf7006ff8,0x223fecbf,0x27fe86ff,
    0xbffcaaa8,0xaaffdaaa,0x361bfe1a,0x03ff92ff,0x000dff50,0x80007ffd,
    0xf9807ff9,0x3fadf72f,0xff913fe6,0x01ffdc05,0x01fffcc0,0xffffff98,
    0x3e201bce,0x05ffc87f,0x400ffe80,0x00003ffc,0xff001ffa,0x3ff225bf,
    0x3ffa200f,0x7ec4001e,0x1ffb01ff,0x00ffffd4,0xffb13fea,0xec8000df,
    0xffd80004,0x201fff74,0xf9007ff8,0xcfffa85f,0xfecccccc,0x05ff984f,
    0x200fffc4,0x00000ffe,0xffa8bfee,0x803bff25,0xfb006ff8,0x643fec7f,
    0x267fe83e,0xffffffff,0xffffffff,0x3e61bfe4,0x003ff96f,0xc8005ffd,
    0x980006ff,0xff9807ff,0x3ff29fd3,0x7fc47ff0,0xcccccccf,0x1ccceffe,
    0x001ffd00,0x40017fe6,0xff887ff8,0x7ff4002f,0x01ffe400,0x00ffd000,
    0xfeffffd8,0x3a606fff,0x20000eff,0xfa82fffc,0xfdffaaef,0x25ba9bff,
    0xfdaafff8,0x99adffde,0xfffb804b,0x3fee0004,0x413ffa0f,0xf9007ff8,
    0xffffc85f,0xffffffff,0x05ff987f,0x7401ffe8,0x200000ff,0x3fea0ffd,
    0x102fff45,0xff100dff,0x003ff43f,0xeee99ff6,0xfeeeefff,0x3e3eeeff,
    0x93ffd06f,0xffa803ff,0x7ffcc006,0xff980001,0x8bff8807,0x17ff31ff,
    0x7ffcc7ff,0xffffffff,0x02ffffff,0x2001ffd0,0x10005ff9,0x3fee0fff,
    0x07ff4006,0x000fff20,0xff500000,0xffffffff,0xbfff509f,0x3fee0000,
    0xffffd84f,0xfffff56f,0xffffd8ff,0xfffe88ff,0xfc807fff,0xf10005ff,
    0xfffa87ff,0x007ff881,0xfff85ff9,0xffffffff,0x7cc1ffff,0x0fff805f,
    0x0007ff40,0x543ffb80,0x7ffc45ff,0x00dff103,0x6fe8dffb,0xb03fec00,
    0x40bfd0df,0xbff506ff,0xfe803ff9,0x7ff4002f,0xff300003,0x79ff100f,
    0xf8efe8ff,0x3fffe62f,0xffffffff,0x002fffff,0x26001ffd,0xf10005ff,
    0x3ffe20ff,0x03ffa001,0x0007ff90,0x7fc40000,0x9bdecaaf,0x3fe22fff,
    0x5400003f,0xffc82fff,0x3ffaa1df,0x7fec45ff,0x3ff621df,0xfa805fff,
    0xfb0003ff,0x1bff60df,0x6401ffe2,0x3bfea2ff,0x99999999,0x7cc4ffd9,
    0x37fd405f,0x0007ff40,0x5437fd40,0xfffa85ff,0x406ff882,0x7fc1fffb,
    0x07fec006,0x4fe85fd8,0xfe81bfe0,0x2a01ffdf,0x7e4006ff,0x2600006f,
    0x9ff007ff,0xaffb89fb,0xf70002ff,0x3fa0007f,0xbff3000f,0x1ffe2000,
    0x2005ffc8,0x7e400ffe,0xaa98003f,0xaaaaaaaa,0x7ff42aaa,0x07ffd404,
    0x000005f5,0x013013a6,0x26200cc4,0x000ccc00,0x54000b26,0xff101fff,
    0x07ff889f,0x7e45ff90,0xdff5003f,0x2a05ff98,0xfe803fff,0x3aa0000f,
    0xffa82fff,0x81fff905,0xfd306ff8,0x0dff09ff,0xd00ffd80,0x407ff09f,
    0x3fea06ff,0x3fa01fff,0x3fe6002f,0x2600001f,0xbff007ff,0xdff983ff,
    0xf70001ff,0x3fa0007f,0xbff3000f,0x1ffe2000,0x001fff88,0xfc801ffd,
    0xffd8003f,0xffffffff,0x3fe67fff,0x85ffb006,0x04000000,0x00000000,
    0x80000000,0x5c04fff8,0x3fe21fff,0x45ff9007,0x3e000fff,0x3bfe61ff,
    0xffedcccc,0xccccc84f,0xcccccfff,0x7f766640,0xf502efff,0x37ff40bf,
    0x3733ffe2,0x04fffffe,0xfc800dff,0x887ff01f,0x1bfe02ff,0x03ffffd0,
    0xd001bfea,0xdddddfff,0x43dddddd,0xffeeeeed,0xe86eeeef,0xffd07fff,
    0x2e0003ff,0xfd0003ff,0x3fe6001f,0xfff10005,0x005ffc80,0xfc801ffd,
    0xccccccdf,0x3ff60ccc,0xffffffff,0x16447fff,0x0000d880,0x00000000,
    0x00000000,0x3ff60000,0x6ffe800f,0x6401ffe2,0x0dff52ff,0x264ffd80,
    0xffffffff,0xfff03fff,0xffffffff,0xffff83ff,0x5403ffff,0x3fe205ff,
    0x3fffe24f,0x2effffff,0x800dff10,0xff881ffc,0xf017fcc3,0xfffb80df,
    0x07ffd01f,0x7ffffc40,0xffffffff,0x3fffe2ff,0xffffffff,0x4fffe87f,
    0x01ffff70,0x00ffee00,0x8007ff40,0x10005ff9,0xff880fff,0x0ffe801f,
    0x7ffffe40,0x0fffffff,0x00000000,0x00000000,0x00000000,0x80000000,
    0x5002fffa,0x3fe27fff,0x25ff9007,0x54003ffc,0x3ffe66ff,0x02ceefff,
    0x7ffffffc,0x41ffffff,0x0abcefff,0x405ffa80,0xff13fffa,0x37bdffff,
    0x005ff880,0x7c40ffe4,0x00ffcc2f,0xff880dff,0x7ffa81ff,0x7fffc400,
    0xffffffff,0x3ffe2fff,0xffffffff,0xfffd87ff,0x1ffff101,0x0ffee000,
    0x007ff400,0x0005ff98,0xfb00fff1,0x1ffd00bf,0xfffffc80,0x0fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x026aaa62,0x1aaaa980,0x44003510,0x099800aa,
    0x8004cc40,0x4c001aa9,0x099800aa,0x4404d54c,0x40353019,0x99999999,
    0x26219999,0x99880099,0x00026620,0x26621331,0x44666000,0x2602a209,
    0x9999881a,0x26200999,0x00999801,0x80001310,0x54c004cb,0x51002acb,
    0x44001577,0x2a620009,0x00000009,0x2a600d54,0x002009aa,0x40000004,
    0xa98001a8,0x40aa8002,0x4ccc1998,0x33333320,0xcccccccc,0x22005442,
    0xffffffec,0xffb100cf,0x41ffffff,0x2203fffa,0x3ffffffd,0xb80bff30,
    0x3fae03ff,0x205fffff,0xffffffd9,0x265ff304,0x42fffffe,0xffb10ffc,
    0xfff05fff,0xffffffff,0x2fffc4ff,0x98bffe60,0x7d4004ff,0x00bff93f,
    0xb7dd7fee,0x3f64fffa,0x7ffdc4ff,0x3a04ffff,0x3ff600ff,0x3ff2200e,
    0x8000dfff,0xfd000ffe,0x03dfffff,0x7fffffe4,0x00df7002,0x7fffffd3,
    0xd105d900,0x27ffdc07,0xfffffff0,0x8805f509,0x4c17544e,0xfffa806d,
    0xf8800dff,0x3f2001ff,0x3ffee2ff,0xff97ffa0,0xffffffff,0x3ee4ffff,
    0x3fe602ff,0xffffffff,0x7fffd40f,0x20ffffff,0x980ffffe,0xfffffffe,
    0x2ffcc0ef,0x260ffee0,0xfffffffe,0xffff707f,0x83dfffff,0xfffabff9,
    0x322fffff,0xfffe89ff,0x7fc2ffff,0xffffffff,0x7ffcc7ff,0x117ffa03,
    0xfb800bff,0x01fff32f,0x3ee5ffd0,0x8fffff9e,0x20fffffb,0xfffffffb,
    0x403ffa04,0x2a00effd,0xfdcaceff,0x7ff4003f,0x99bff000,0x3fa0dffd,
    0x1ffffeff,0x5405fb80,0xffffffff,0x21bfe603,0x7fdc2ffd,0x3fe04fff,
    0x22ffffff,0xd102fff9,0x3ffe25ff,0xb01ffe40,0xffffffff,0x6fffd803,
    0x9bfffe00,0x3fa0fffb,0x3ffffe5f,0xffffffff,0xfffff14f,0x26f7e601,
    0x6fffda89,0x4273ffe2,0x3fe0ca98,0x7fc40fff,0xffd310cf,0x405ff98b,
    0x7fc43ffb,0xca99abff,0xacfffb87,0x46fffb98,0x9effeff9,0x326fffb9,
    0x9aeffbff,0x5546fffb,0xeaaaaaaa,0xfffb85ff,0x80effb80,0x7e4006ff,
    0x00fffa1f,0x77dcfff3,0xfbff8afd,0x263ffa8e,0x4ffcaaaa,0x3603ffa0,
    0x3e600eff,0x07fd303f,0x8007ff40,0xb83ffb01,0x3fee25ff,0x13ea0c46,
    0xa9aee831,0x3fa07ffd,0x227fdc1f,0x4ffffffe,0xdff702a0,0x442fffc8,
    0x7fd44ffe,0x407ff445,0xf711dffb,0x5ffcc0df,0xffd003ff,0x1ffee1ff,
    0x2000bffb,0xfff34ff9,0x200403ff,0xff70fffa,0xfffc8009,0x103ffc85,
    0x7fcc5ffd,0x21ffdc05,0x0200effd,0x2205fff1,0x3fe63ffe,0xfff884ff,
    0x0bffff91,0xa8007ffe,0xffb00fff,0x01fff98b,0xfd800ffd,0x01bfee0f,
    0x7fdc9ff9,0x47fffa3f,0x7d404ff8,0x03ffa04f,0xe801dffb,0x3dfff99f,
    0x3a003ff1,0x540000ff,0x83ff42ff,0x8ff20ffe,0x11bea4fa,0x703fff10,
    0x6ff889ff,0xffa9efc8,0x37fc4004,0xe897ffdc,0x5ff904ff,0xff85ffa8,
    0x203ff906,0x01ffb4fe,0x23ffff50,0x7fec7ffa,0x9ff30004,0x03ffffe2,
    0x23ffd000,0xb8003ffc,0x37fcc0bd,0xf997fea0,0x1ffdc05f,0x8001fff5,
    0x7cc03ffc,0x9fff30ff,0xfc97ff40,0x3ff205ff,0x3fff3002,0xd1fffc40,
    0x7fec07ff,0x7f4275c0,0x00fffc47,0x7fdc1fff,0x3e2ffec7,0x27fd405f,
    0x7ec1ffd0,0xa7dc00ef,0x51fdbdf9,0x3ffa00bf,0x332e2000,0x7fc2ffee,
    0x745ff905,0x8bf99eff,0xf801fffd,0x37fc40ff,0x0c40fff4,0xb8009ff5,
    0xfff704ff,0xe809ffd7,0x17fec0ff,0x3e607ff1,0x10ffb83f,0x3f6009ff,
    0x8dff50ff,0x30004ffc,0x7ffd49ff,0xffc80002,0x001dff52,0x01ffdc00,
    0xbff337fc,0x363ffb80,0xff8003ff,0x1ffe800f,0xfc80dff3,0x80dff93f,
    0xe8803ffb,0xffa803ff,0x405ffb9f,0x7ffc1ffc,0x7e437fc0,0x8bff504f,
    0x7fec3ffb,0x2a02ffc1,0x3ffa04ff,0x001dffb0,0x44fe61fb,0x7401fa4f,
    0xff7000ff,0x45ffffff,0xff504ff8,0xfcffea85,0x7003fffd,0x3ffb0dff,
    0x5003ffb8,0xee9809ff,0x7dc04fff,0x9804ffff,0x7ffc45ff,0x2607ff50,
    0x1ffc43ff,0x2e007ff2,0x1bfe67ff,0x20007ff9,0x04c44ff9,0x2ffc8000,
    0x039ffff1,0x03ffb000,0x7fccfff0,0xf1ffdc05,0xf88001ff,0x5ff9006f,
    0xf7017fe6,0x00fff27f,0xfb003553,0x7fe400bf,0x5400effe,0x3ffe62ff,
    0x7cc2ffc3,0x85ffb07f,0x3fec1ffb,0x3ea02ffc,0x23ffa04f,0xf000effd,
    0x7e4e7ccf,0x66547f62,0xcfffcccc,0x2a3ccccc,0xfb999dff,0x41bfe22f,
    0xfd501ffb,0x54007fff,0x7fd42fff,0x0037fc45,0xf9809ff5,0x401dffff,
    0x2005fffc,0x7fdc2ffc,0x2e09ff34,0x43fe42ff,0xfd806ff8,0x717fe64f,
    0x260007ff,0x4c0004ff,0xffffffec,0x3ffe62ff,0x0000beff,0xfffffffd,
    0x3fffffff,0xf7017fe6,0x01ffe27f,0x4017fe60,0xbff33ffb,0xf93ffb80,
    0x5c00007f,0x74000eff,0x9801ffff,0x3fff23ff,0x740ffe26,0x3ffc42ff,
    0x3f60ffdc,0x5405ff87,0x3ffa04ff,0x1000effd,0x7fffccdf,0xffc97e42,
    0xffffffff,0x366fffff,0x17fd40ff,0x3fa03ffe,0xfff9100f,0x3ff2003b,
    0x0eff883f,0xa8007ff4,0x5d4404ff,0x101fffec,0x005ffffd,0xffb03ffa,
    0x7407ffc3,0x0ffe20ff,0xf701ffd4,0x277441ff,0x0000bbaa,0xfffb0000,
    0xffffffff,0xffffc885,0x7c000dff,0xffffffff,0x31ffffff,0xffb80bff,
    0x000dff33,0x2a009ff5,0x0bff34ff,0xff93ffb8,0x3e600007,0xfa8001ff,
    0xff1004ff,0x87feff49,0xff702ff9,0xb84ffb8b,0x43fec1ff,0x7fd405ff,
    0x3ebffa04,0x9fe002ff,0x6c4fbcf9,0xfffff91f,0xffffffff,0x0ffe4dff,
    0xfc85fff3,0x13ff22df,0x3bfbff22,0xfb101dff,0x7fd405ff,0x8037fc44,
    0xd8004ffa,0xffe884ff,0x6402fffe,0x27fd42ff,0x2e6bbfee,0x37ec3fff,
    0xcb83ffa0,0x0001ffff,0x80000000,0x99abfffd,0x102ffc99,0x3fffffb7,
    0x55fff400,0xaaaaaaaa,0x0bff30aa,0xff13ffb8,0xbff3000f,0x4cffee00,
    0x7fdc05ff,0x0007ff93,0x005fff10,0x3ffffd10,0x7cd7fe00,0xff53ff8f,
    0x83ffe203,0xffb81ffe,0x7fc3fec1,0x027fd405,0xfff71ffd,0x4c3f6003,
    0x3fc3fb3f,0x800ffe80,0xefedfff9,0x7ffc42ff,0x40efffff,0xbf9aeffc,
    0x260effe9,0xd800effe,0x27fdc1ff,0x0027fd40,0x3a227fe4,0x5fff74ff,
    0xf117fea0,0xfffb01ff,0xf98bffff,0x27fcc02f,0x001bffff,0x00000000,
    0x401fff50,0xb8802ffc,0x36006fff,0xf30001ff,0x3ffb80bf,0x10003ffe,
    0x3f200dff,0x80bff32f,0x7ff93ffb,0x9ffb0000,0x37ff6000,0xfe800fff,
    0x5bf6bf76,0x3f600ffb,0x20dff12f,0x3fec1ffb,0x3ea02ffc,0x43ffa04f,
    0xb801fffc,0x3e67f34f,0x3a00bf74,0xff9000ff,0x05ff1bff,0x9fffffb1,
    0x7d433f60,0xffa9bee4,0x2aaaabef,0xfd86ff88,0x5cccc41f,0x02199cff,
    0x88bffea2,0x7fdc4ffe,0x07ffc42f,0xea80bff6,0xcb82dfff,0x21997003,
    0x00001acd,0x20000000,0x7e404ffb,0x3fe2002f,0x7ff9000f,0x1bfe6000,
    0x7f47ffb0,0xfff8002f,0x30ffe800,0xffb80bff,0x0007ff93,0x0006ffc8,
    0x3ff2dff9,0xfd7fd806,0x3f27fea7,0xcb7fd407,0x3ff703ff,0x5ff87fd8,
    0xd027fd40,0x7ffec1ff,0xe8afe800,0x03fe7762,0x0007ff40,0x009982aa,
    0x98026aa2,0x86627d41,0xfffffffd,0xffb80fff,0x7077fc44,0xffffffff,
    0x7fffd4ff,0x3a25ffff,0xfff904ff,0x2a17fec5,0x000005ff,0x00000000,
    0x00000000,0x74407ffb,0x7f4002ff,0x5037b21f,0x10001dff,0x3ee01fff,
    0x1bff23ff,0x013ff600,0x7fccbff5,0xc9ffdc05,0x2a0003ff,0xa8000fff,
    0x3ffa1fff,0x7cffe404,0x3f73fe0f,0xe8ffe806,0x3ff700ff,0x5ff87fd8,
    0xd027fd40,0xeffd81ff,0x81ffcc00,0x3a003ffa,0x000000ff,0xbf700000,
    0xfffffd80,0xd00fffff,0x43df50df,0xfffffffb,0x3ffea7ff,0xfd83ffff,
    0x8877e404,0x0ffc84fd,0x00000000,0x00000000,0xff900000,0x3fffea0b,
    0x3ffea002,0xd0dfff90,0xf0001bff,0xfff705ff,0x6fffc47f,0xfff30600,
    0x87ffe605,0x7dc05ff9,0x007ff93f,0x00bffe20,0x30fffe20,0x7dc05fff,
    0x77ec6fdf,0xffb805fe,0x3ee04ffd,0x7c3fec1f,0x27fd405f,0xe881ffd0,
    0x74c00eff,0xffedcdff,0x07ff4002,0x55555540,0x2a0aaaaa,0xaaaaaaaa,
    0x2fdc00aa,0x26666620,0x26019999,0x26620a02,0x19999999,0x06aaaaa2,
    0x202e0070,0x0005300a,0x00000000,0x00000000,0x67ffcc00,0xffffdb99,
    0x3559bd2f,0x49fff973,0x4c0fffff,0x99abffff,0x7e41dba9,0xffdaadff,
    0x7fdc3ffd,0xecaabcff,0xadfffc87,0x44fffca9,0x7dc05ff9,0x007ff93f,
    0x333bffa0,0x2ccccccc,0xfb82fff4,0xfff301ff,0xffffa87f,0xffff8803,
    0x07fee01f,0x4bff0ffb,0xffcaaaaa,0xfd1aaaad,0xdfff101f,0x3fffae00,
    0xfe8000ce,0x7ffc400f,0xffffffff,0xffffff12,0x805fffff,0x000002a9,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd8000000,0xffffffff,
    0xffd2ff9b,0xffffffff,0x7ffff41b,0xffffea80,0x41ffffff,0xfffffff8,
    0xa83ff9bf,0xffffffff,0xffff907f,0x307fffff,0xffb80bff,0x0007ff93,
    0xfffffff3,0x49ffffff,0x3a00fffc,0xff880eff,0xffff80ff,0xdfffb002,
    0x6c1ffb80,0x3e5ff87f,0xffffffff,0xffd5ffff,0x17ffe601,0x80001300,
    0x74400ffe,0xeeeeeeee,0xdddd12ee,0x5ddddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x31dfffff,0x3ffb25ff,
    0x82dfffff,0x2202fff9,0xffffffec,0xffd880de,0x7ff11eff,0x3fffb220,
    0x36a03eff,0x01dfffff,0xfb80bff3,0x007ff93f,0xffffff30,0x9fffffff,
    0x100bffea,0x3fe0bfff,0x3fff906f,0x0fffea00,0xfd83ff70,0x3fe5ff87,
    0xffffffff,0x1ffd5fff,0x02fffd40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x99988001,
    0x00988019,0x004cccc0,0x00001330,0x31000131,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xcccccccb,0x04cccccc,0x26000000,
    0xddc88199,0x2660000c,0x26200099,0x81999999,0x6eed42b9,0x73dddddd,
    0x77777777,0x77777777,0x00000177,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfffffffd,0x07ffffff,0xfd883df3,0xfff90003,
    0xfffffa87,0x20dd902f,0x000effe9,0xfffffffd,0x24fffb8f,0xfffffffb,
    0xfffff5ff,0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffd8000,0xffffffff,0xbffd07ff,0x000fffb8,
    0x7c0f7fe4,0x3fffffff,0x36207fe8,0xfe800eff,0x47ffffff,0xf71fffff,
    0xffffffff,0x3fffffeb,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x7fdc5ffe,0x3ff2000f,
    0x24ffb80d,0x3e23fffc,0xeffb806f,0x88888800,0x3ffe2088,0x222222ff,
    0x00008888,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x1bb30000,0x64005b90,0x3ff603ff,0x6f7ffdc0,0xf3002fff,
    0x400001df,0x000ffffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0xfff507fd,0x0000bfff,
    0x3fa60000,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x70000000,0x99999999,0x00999999,0x10000000,0x7fec4013,
    0x0000004e,0x00000800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffec0,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fec0000,0xffffffff,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_35_latin_ext_x[560]={ 0,7,4,0,1,0,0,7,5,4,2,1,4,4,
6,1,1,2,2,2,0,3,2,1,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,1,2,3,2,
3,0,2,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,2,0,0,2,2,2,1,1,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,1,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,2,2,0,2,1,1,0,0,2,3,3,0,0,3,
2,-5,-3,3,1,0,2,0,0,2,2,0,0,0,2,2,0,0,0,0,0,0,0,0,-1,0,2,3,-1,0,
0,0,0,0,1,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,4,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_35_latin_ext_y[560]={ 25,0,0,2,-1,0,1,0,-1,-1,0,7,19,14,
19,0,2,2,2,2,2,2,2,2,2,2,7,7,6,11,6,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,29,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,12,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,25,7,-1,2,3,2,
-3,0,0,2,2,8,14,14,0,1,0,4,0,0,0,7,0,12,25,0,2,8,0,0,0,7,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,8,-2,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-1,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,4,0,0,0,0,0,0,0,
-3,1,-4,0,2,7,-4,0,-4,0,-4,0,-4,0,-4,-1,2,0,-3,1,-4,0,-4,0,2,7,-4,0,-4,0,
-4,0,-4,0,2,-1,-4,-5,2,0,-4,0,-3,1,-4,0,2,0,-4,7,2,0,-4,0,2,0,7,-4,-5,2,
0,-1,-1,2,0,2,0,-4,0,2,7,-4,0,-2,2,7,-3,1,-4,0,-4,0,2,7,-4,0,2,7,-4,0,
-4,0,-4,0,2,7,-4,0,2,2,-4,-1,2,2,-4,0,-3,1,-4,0,-5,-1,-4,0,2,7,-4,0,-4,0,
-4,-4,0,-4,0,-4,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,-9,-6,-4,0,-4,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,7,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2, };
static unsigned short stb__consolas_35_latin_ext_w[560]={ 0,5,11,19,17,19,20,5,10,11,15,17,9,11,
7,16,17,16,16,15,19,14,16,17,16,17,6,9,14,15,14,11,20,20,16,17,17,14,14,17,17,15,12,16,
14,19,16,19,16,20,16,17,17,17,20,19,19,20,17,10,16,10,16,20,12,15,16,15,16,17,18,17,15,15,
13,16,15,17,15,17,16,16,15,14,16,15,17,19,18,17,15,14,4,14,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,14,17,17,19,
4,15,16,20,13,15,16,11,17,15,13,17,12,11,17,17,17,7,5,13,13,15,19,19,19,12,20,20,20,20,
20,20,20,17,17,17,17,17,17,17,17,17,18,18,19,19,19,19,19,15,19,18,18,18,18,20,16,16,17,17,
17,17,17,17,19,15,18,18,18,18,17,17,17,17,17,17,18,18,18,18,18,17,17,17,17,17,17,18,16,18,
20,17,20,17,20,16,17,17,17,17,17,17,17,16,19,22,18,19,17,18,17,18,17,18,15,17,17,18,17,18,
17,18,17,18,17,18,18,17,19,17,17,17,17,17,17,17,16,16,17,15,17,17,16,16,16,16,16,17,17,14,
15,22,22,17,21,17,15,18,17,16,15,18,17,17,16,15,19,18,19,18,20,19,19,19,19,18,16,15,19,18,
18,17,18,17,17,14,18,17,17,16,18,22,17,16,18,17,18,17,18,17,18,17,20,19,17,16,19,19,20,18,
20,18,17,18,17,18,17,14,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,18,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,20,17,20,19,21,20,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,14,17,16,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17, };
static unsigned short stb__consolas_35_latin_ext_h[560]={ 0,26,9,23,31,26,25,9,34,34,16,17,12,4,
7,29,24,23,23,24,23,24,24,23,24,23,19,24,20,9,20,26,33,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,30,23,24,23,24,23,23,23,23,23,33,29,33,12,4,8,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,26,26,18,19,24,19,18,18,18,26,18,33,36,33,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,23,21,23,
36,29,8,24,17,15,9,4,17,7,13,21,15,15,8,26,29,7,6,15,17,15,25,25,25,26,29,29,29,29,
29,30,23,29,29,29,29,29,29,29,29,29,23,29,30,30,30,30,30,15,31,30,30,30,30,29,23,26,26,26,
26,26,26,27,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,25,26,26,26,26,33,33,33,
28,25,29,26,30,25,30,26,30,26,30,26,30,26,29,27,23,26,28,25,29,26,29,26,30,25,29,26,30,33,
30,33,30,33,31,34,29,30,23,25,29,25,28,24,29,25,30,32,29,18,24,33,30,33,31,33,18,29,30,31,
33,26,26,23,25,23,25,29,25,31,26,29,25,27,31,26,29,25,30,26,30,26,24,19,29,25,31,26,29,25,
30,26,30,26,29,24,30,26,31,31,29,27,23,24,30,26,29,25,30,26,31,27,30,26,30,25,29,25,29,33,
29,29,25,29,25,29,25,25,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,29,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,34,32,29,26,33,29,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,31,26,31,31,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23, };
static unsigned short stb__consolas_35_latin_ext_s[560]={ 510,504,471,166,417,421,57,506,63,51,327,
281,461,108,500,421,1,239,480,492,276,55,168,203,70,93,32,126,435,1,420,
495,189,39,60,87,128,369,444,474,21,77,405,111,497,146,186,418,317,386,334,
438,351,456,459,256,1,296,221,324,325,296,444,120,71,1,129,73,276,39,352,
442,336,371,368,263,328,212,107,89,351,389,123,17,185,57,194,174,155,184,139,
225,6,210,52,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,510,505,53,
388,402,424,1,412,17,105,299,356,483,108,263,84,430,384,343,386,34,1,488,
100,506,372,313,414,135,115,95,498,1,400,373,267,187,425,311,169,151,115,40,
22,355,394,318,300,274,281,150,113,345,170,208,398,68,58,39,486,446,246,332,
110,19,368,477,459,441,280,470,39,370,351,332,313,344,421,439,457,240,276,203,
184,165,146,127,490,294,92,74,56,38,113,96,240,159,173,120,406,365,78,21,
333,190,298,77,258,95,316,82,198,369,386,141,191,102,460,43,479,228,155,476,
19,309,151,327,170,244,132,1,11,288,407,349,210,208,475,180,202,133,20,133,
400,58,230,220,259,254,307,19,335,246,494,217,489,352,218,90,238,380,256,312,
262,228,123,202,336,362,262,472,74,95,402,1,55,465,293,19,450,226,1,88,
113,361,38,271,37,235,1,307,153,177,222,105,36,448,239,406,136,140,146,438,
300,290,424,435,221,196,241,159,246,428,280,467,277,61,76,387,342,318,381,493,
261,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,457,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,30,382,1,164,74,22,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,454,406,105,36,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293, };
static unsigned short stb__consolas_35_latin_ext_t[560]={ 1,1,290,266,1,161,215,70,1,1,290,
290,290,310,290,101,241,266,241,215,266,241,241,266,241,266,290,241,266,310,266,
161,1,266,266,241,266,266,241,215,266,266,215,266,241,266,266,215,266,38,266,
215,266,215,241,266,266,266,266,1,101,1,290,310,310,290,188,290,161,290,215,
131,215,215,1,215,188,290,290,290,131,161,290,290,241,290,290,290,290,188,290,
1,1,1,310,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,1,38,38,
241,266,241,1,70,310,241,290,290,290,310,290,310,290,266,290,290,310,161,70,
310,80,290,290,290,215,215,215,131,101,101,70,101,101,38,241,101,101,101,101,
101,70,70,70,70,241,70,70,70,38,70,70,290,38,70,70,38,38,101,241,
161,188,131,161,161,161,131,266,241,161,161,161,161,188,188,188,188,161,188,161,
161,161,161,161,266,188,161,161,161,161,1,1,1,131,215,131,131,38,215,70,
131,70,131,70,161,70,131,131,131,241,131,131,215,131,131,131,131,70,215,101,
161,38,1,38,1,70,1,38,1,101,38,241,215,101,188,131,241,101,215,70,
1,101,290,241,1,38,1,38,1,290,101,38,1,1,188,188,241,188,241,188,
70,215,38,188,70,188,131,1,188,101,188,70,188,38,161,241,266,101,215,38,
188,101,215,38,188,38,188,101,241,38,161,38,38,70,131,241,241,38,188,101,
215,38,131,1,131,38,188,38,215,70,215,70,1,131,101,215,101,215,101,188,
188,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,101,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,1,1,131,188,1,131,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,1,161,38,38,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241, };
static unsigned short stb__consolas_35_latin_ext_a[560]={ 308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_35_latin_ext(stb_fontchar font[STB_FONT_consolas_35_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_35_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_35_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_35_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_35_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_35_latin_ext_s[i] + stb__consolas_35_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_35_latin_ext_t[i] + stb__consolas_35_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_35_latin_ext_x[i];
            font[i].y0 = stb__consolas_35_latin_ext_y[i];
            font[i].x1 = stb__consolas_35_latin_ext_x[i] + stb__consolas_35_latin_ext_w[i];
            font[i].y1 = stb__consolas_35_latin_ext_y[i] + stb__consolas_35_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_35_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_35_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_35_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_35_latin_ext_s[i] + stb__consolas_35_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_35_latin_ext_t[i] + stb__consolas_35_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_35_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_35_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_35_latin_ext_x[i] + stb__consolas_35_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_35_latin_ext_y[i] + stb__consolas_35_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_35_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_35_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_35_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_35_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_35_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_35_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_35_latin_ext_LINE_SPACING
#endif

