// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_37_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_37_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT        350
#define STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_37_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_37_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_37_latin_ext_LINE_SPACING          24

static unsigned int stb__consolas_37_latin_ext_pixels[]={
    0x33225991,0x26660002,0x00001101,0x260006e0,0x4ccc402a,0x00019999,
    0x99998862,0x00c81999,0x7ffcc000,0x3260001f,0xb880002c,0x9100001c,
    0x0cc8805b,0x5100165c,0x33200cc0,0x26000004,0x300002cc,0x4c000599,
    0x5400acdb,0x220001cc,0xcccccccc,0x32a00000,0x0f2e03cc,0x00033260,
    0x00000000,0x03bddb10,0x00055440,0x0001dc88,0x4ff98000,0x20009ff3,
    0xfd02fffd,0x00001bdf,0xf8003ff7,0x7ffec05f,0x000fffff,0x6c7fffb2,
    0xffffffff,0x0001bf60,0x00dfff98,0x3fffe600,0x7ff40003,0xfe80001f,
    0x3fe202ff,0x400ffe23,0xffb86ff9,0x00fff104,0x3ffe6000,0x7cc0003f,
    0x54003fff,0x5fffffff,0x000fff60,0xffffff98,0x500001ff,0x3201bfff,
    0x3e604fff,0xf5000fff,0xf980003f,0xfd10002f,0x7d4003df,0xe8004fff,
    0xb8001fff,0x837ec0ff,0x9ff34ff9,0x1bffb000,0x7fffff40,0x3fea0003,
    0x3fea001f,0x7fffec02,0x9800ffff,0xb1fffffe,0xffffffff,0x002fff41,
    0x99fffcc0,0x7fcc002a,0x0003ffef,0x007ffff1,0x5ffff880,0x7e6fff40,
    0xffb000ff,0x07ffe83f,0x0000fff1,0xffdfff30,0x3fe60007,0x9003ffef,
    0xffb7bfff,0x7ffb01bf,0x7ffcc000,0x001fffff,0x03fffa80,0x9037fffc,
    0x2005ffff,0x40000ffb,0x88001ffa,0x2000dffe,0x2ffbcff8,0x3fffe600,
    0xdff98004,0x304ffcaa,0x13fe69ff,0x03ffe880,0xfffecaa8,0xfff98001,
    0x07fec002,0x2aafff60,0xffd002aa,0x2aa1579f,0x0fffaaaa,0x0017ffa2,
    0x361ded88,0x3fe6006f,0x03ffd89f,0x2ffff880,0xffff8000,0x7fffcc04,
    0x3ee003ff,0x37fec0ff,0x0007ff88,0x44fffcc0,0x4c003ffd,0xffd89fff,
    0x82ffec03,0xffd86ffb,0xff800003,0x7d40001f,0xfff801ff,0x3ffee06f,
    0x0ff9001f,0x01ff9000,0x03ffe880,0x3ea5fa80,0x3ffe2005,0xffb0003f,
    0x201dffff,0x9ff34ff9,0x004cc400,0x006ffc80,0x001fffc4,0x3601bfe2,
    0xf70001ff,0xff8001df,0x1fffcc0f,0x27fc0000,0x40ded880,0xa8002eec,
    0x500005ff,0x71001dff,0x700039db,0x01991039,0x0001ffe2,0x640ded88,
    0xdb1002ee,0x02eec81b,0xfc807ff7,0x01ffec2f,0x0fffc000,0x1bdb3000,
    0x0bffea00,0x805ffe88,0x09affeb9,0x00ffb000,0x3ea00000,0x70017ea5,
    0xb8000bff,0x200cfffe,0x9ff34ff9,0x3bdd9100,0x3ffe2000,0x13ff6000,
    0x00fbaa00,0x40007ff6,0xf8002ffd,0xfffa80ff,0x3ea00000,0x0000001f,
    0x00000400,0x00000004,0x7fc40000,0x00000007,0x4c000000,0xbfd004ff,
    0x0003ffd8,0x001fff80,0x15100000,0xe9806a00,0xffffffff,0x6fe8003f,
    0x77fec400,0xcff88001,0x88002feb,0x00000000,0x3fe69ff3,0x77ff4404,
    0xfb0002ff,0x3fea003f,0x8000000f,0xd0001ffd,0xff0001ff,0x17ff601f,
    0x3b72a200,0x00007fee,0x00000000,0x00000000,0x3e200000,0x0000007f,
    0x40000000,0xf7000ffe,0x01ffec1f,0x0fffc000,0x00000000,0x7ffe4000,
    0xffffffff,0x05ff8003,0x7ff7ff40,0xfffa8001,0x0000004f,0xff980000,
    0xb809ff34,0x001bee5f,0xe8017fe4,0x000002ff,0x0003ffb0,0x7c001ffe,
    0xfff100ff,0x7ff4c005,0x01ffffff,0x9aaa9880,0x80099999,0x999aaa98,
    0x26620999,0x99999999,0x55531001,0x41333333,0x22000998,0x1ffe2199,
    0x31002aa2,0x4cc40013,0x33333101,0x50333333,0x7c4005ff,0x00fff63f,
    0xf0013331,0x998803ff,0x06662000,0x26200666,0x77ffe409,0xcbacffac,
    0xfedb9802,0x5c00bdff,0x001bee5f,0x98005544,0x01999999,0x40033320,
    0x9ff31ccb,0xf9013fe6,0x8003fcc7,0xfb802ffc,0x5310006f,0x33333355,
    0x0007ff61,0xf8003ffc,0x3fee00ff,0xffff7006,0x5fffffff,0x3fff6200,
    0xffffffff,0x3fff6206,0xffffffff,0x3fffffa6,0x00ffffff,0x3fffff62,
    0x26ffffff,0x32007ffc,0x9ffe25ff,0x1effffeb,0x400fff90,0xffd05ffc,
    0xffffffff,0x007fd81f,0x3ff64fe8,0x3bffa203,0x01fff800,0x9003ffe4,
    0x7ff88bff,0x263ffc80,0x3fe63fff,0x7ffe4002,0x02ffffff,0x0ff117e4,
    0x7000ccc8,0x3ffe6399,0x001fffff,0x3a001fff,0x29ff32ff,0x7d404ff9,
    0x005feabf,0xf005ff90,0xd88005ff,0xffffffff,0x3ffb6fff,0x01ffe000,
    0x2007ffc0,0x7dc01fff,0xff70adff,0xfa801fff,0xffffffff,0xf506ffff,
    0xffffffff,0x7f4dffff,0xffffffff,0xfff500ff,0xffffffff,0x7ffc4dff,
    0x45fff002,0xfff97ff8,0x103fffff,0x3e005fff,0xfffd02ff,0xffffffff,
    0x5427fcc1,0xfb2b9bcc,0x881ffecb,0xf000effe,0xff8803ff,0x5fff002f,
    0xc807ff88,0x1ffee3ff,0x26003ff5,0xffeffffe,0x7dc02ffe,0xff01be65,
    0x3ffa001f,0xffffff32,0x3fe003ff,0x5ffd000f,0x7fcd3fe6,0xffffc804,
    0xff90000e,0x07ff9805,0x7ffffd40,0xffffffff,0x0003ffb6,0x7c001ffe,
    0x7fe400ff,0x42fffc04,0x05fffefe,0x9877ffe2,0x82abfffe,0x261dfff8,
    0x22abfffe,0xaaaaaaaa,0xf880fffa,0x3fa61dff,0x7ec2abff,0x7ffa805f,
    0x7fe7ffc4,0x7fffcabe,0x500bffb0,0x55540fff,0xffaaaaaa,0x883fee0f,
    0x2ffffffd,0x1ffecdf9,0x0077ff44,0xb003fff0,0xff500bff,0x00fff10f,
    0x7fec7ff9,0xd003fe44,0x3fee7fff,0x7c401a88,0x403ffcef,0xfd000fff,
    0x2aaaa25f,0xf001fffa,0x3fa001ff,0x269ff32f,0x551004ff,0xffc80003,
    0x027fe402,0x43bfff10,0x2abfffe9,0x20003ffb,0xff0007ff,0x7ffa801f,
    0x221bfee0,0x1fffcbff,0x740bffb0,0x3ff603ff,0x00fffa05,0x6c07ffc0,
    0x3ffa05ff,0x01fff503,0x7c44ffd8,0xf983ffff,0xfffa82ff,0x027fec00,
    0xd83ffe00,0x6f7ff46f,0x4df90fff,0x7f443ffd,0x7fc000ef,0xfffa801f,
    0x427fec00,0xfc807ff8,0xb1fff23f,0x3fee00ff,0x001ff21f,0x00ffffa6,
    0x74003ffe,0x7ffc02ff,0x01fff001,0x7ccbffa0,0x009ff34f,0x000b3332,
    0x7403ffb8,0x3f6001ff,0x0fffa05f,0x10003ffb,0x3e000bff,0xfff800ff,
    0x83fff882,0xfff89ffa,0x403ffd03,0x3fa06ffa,0x1bfea01f,0x407ffc00,
    0x3ea01ffe,0x0fffe06f,0x441fff88,0x3202ffff,0x7fff06ff,0x00fffc40,
    0xf83ffe00,0xe93fea4f,0xfd9fee7f,0x3bffa23f,0x1fff8000,0x407fff00,
    0xf881fff8,0x3ffc807f,0xfe93ffea,0x3fff8806,0x300037ec,0x3ffe0013,
    0x05ffd000,0xf001fff8,0x3fa001ff,0x269ff32f,0xffa804ff,0x2a0005ff,
    0x3fe205ff,0x0fff4007,0xfd8dff50,0xff98001f,0x1fff0003,0x507ffb00,
    0xdfb01fff,0x7c42ffe4,0x3ffcc07f,0x4c07ff88,0xff0007ff,0x07ff881f,
    0xf903ffcc,0x37fd40df,0x201fffc4,0xff907ff9,0x037fd40d,0x987ffc00,
    0xf1ffa2ff,0xfb3fdcdf,0x3bffa27f,0x3fff0000,0x81bff200,0xff106ffa,
    0x47ff900f,0xfaefffe8,0x7ff9804f,0x98005fe8,0xf801aaaa,0xffd000ff,
    0x01fff805,0x2001fff0,0x9ff32ffe,0x36013fe6,0x000fffff,0x4c0fffe0,
    0x3e2007ff,0x3ffcc07f,0x30007ff6,0x20001ffd,0xfc800fff,0x05ffb84f,
    0x3ffd49ff,0x3007ffc4,0x3fe20dff,0x1bfe600f,0x207ffc00,0x2600fff8,
    0x3fe206ff,0x07ffb01f,0x3e00fff1,0xfff880ff,0x007ffb01,0x2a1fff00,
    0x49ff11ff,0x9fee5ff8,0xffe8bffd,0x3fe0000e,0xfff1001f,0x40fff603,
    0xfc807ff8,0x7fffc43f,0xfb803fff,0x004ff85f,0xffffffb7,0x7ffc07ff,
    0x05ffd000,0xf001fff8,0x3fa001ff,0x009ff32f,0x3ffbffe0,0x3fe60003,
    0xff51ceff,0x7ffc400d,0xb1bfe600,0xdb9003ff,0x40005dff,0xfb800fff,
    0x84ffc85f,0x3fea2ff9,0x02fff80f,0xff813ff2,0x13ff202f,0x407ffc00,
    0x3f202fff,0x27fec04f,0x4407ffc4,0xfff007ff,0x213ff603,0x0000fff8,
    0xff70fff8,0xff317fdc,0xffb37e49,0x001dffd7,0x001fff80,0x3e213ff6,
    0xfff100ff,0x107ff900,0x9ffffff9,0x227fe403,0xf8803ff8,0xffffffff,
    0x1fff06ff,0x00bffa00,0x3e003fff,0xffd000ff,0x0013fe65,0x3fef7fea,
    0x7dc40005,0xbff73fff,0x02fff800,0xffb13ff2,0xbffff003,0x1fff0000,
    0xb0dff500,0x8ff907ff,0xfc80fff9,0xfff980ff,0x03fff202,0x000bffe6,
    0x7e407ffc,0xfff980ff,0x07ffd402,0x7c417fee,0x5ffd007f,0x703ffea0,
    0x20000bff,0x4ff90fff,0x3fea0ffc,0xffd9bf23,0x0003fffd,0x2001fff8,
    0x7dc0fffa,0x1ffe205f,0x980fff20,0xdffffffc,0x4c4ffd80,0xff8802ff,
    0xfea99abd,0x0fff84ff,0x805ffd00,0xff001fff,0x3ffa001f,0x0009ff32,
    0xfff35ff9,0x7fdc0001,0x9ff72eff,0x0fffc800,0x6c2fff98,0xffe801ff,
    0x20002fff,0xfa800fff,0x83ffe86f,0x7ffc45fe,0x59fffd01,0x009fffb7,
    0xb759fffd,0x40009fff,0xffd00fff,0xfffb759f,0x0fffe009,0x3e205ffd,
    0x3fff007f,0x3a1fffc0,0xf00002ff,0xe9bf21ff,0xb0ffdc7f,0x5dffecbf,
    0x40002fff,0x7c001fff,0x17ff43ff,0x900fff10,0xff7007ff,0xc83fffff,
    0x0ffd46ff,0xffd80280,0x000fff87,0xff805ffd,0x1fff001f,0x4cbffa00,
    0xff8004ff,0x005ffd0f,0x2033ff60,0xe8005ffb,0xfdbacfff,0x1ffd84ff,
    0x3ffee200,0x1fff0001,0xf0bff500,0x2ff885ff,0xf981fff8,0xffffffff,
    0xfff9804f,0x4fffffff,0x07ffc000,0x7fffffcc,0x2004ffff,0x3fe26ffc,
    0x01ffe207,0xf9007ffc,0x03ffc4df,0x21fff000,0x91ffa6fd,0xb27f41ff,
    0x3fff27ff,0x3ffe0002,0x37fe4001,0xf880fff1,0x3ffc807f,0xfd9ffc80,
    0x3fee0fff,0x003fee0f,0x0fff9800,0xe8007ffc,0x7ffc02ff,0x01fff001,
    0x7ccbffa0,0x7fd4004f,0x0017ff26,0xff502ffc,0xfff9800d,0x4fffffff,
    0x0003ffb0,0x2000bff7,0xfb800fff,0x43ffe85f,0x7fc40ffb,0xdaffe80f,
    0x000ceffe,0xffdb5ffd,0xf000019d,0x5ffd01ff,0x019dffdb,0x71fff980,
    0x7fc409ff,0x07ff8807,0xfb8fffcc,0x3e00004f,0x74bfb0ff,0xf13ff47f,
    0xb1ffec5f,0x20003fff,0x4c001fff,0x9ff71fff,0x807ff880,0xfd803ffc,
    0x993ffea6,0x1ff22fff,0x3ffa0000,0x8007ffc2,0x7fc02ffe,0x1fff001f,
    0x4cbffa00,0x7e4004ff,0x03ffe63f,0x407ff300,0x74007ff9,0xeffedaff,
    0x07ff600c,0x01bfe200,0x4007ffc0,0xffe84ffc,0x7cc37ec4,0x04ff987f,
    0x04ff9800,0xfff80000,0x0027fcc0,0xea7ff400,0x3fe201ff,0x05ffb807,
    0xffd4ffe8,0x7fc00003,0x7f4dfb0f,0xfa9ffe27,0xd0fff60f,0xf0003fff,
    0xfd0003ff,0x007ffa9f,0xf900fff1,0x8bfd007f,0x7ff46ffb,0x000dfd2f,
    0xf85ffb00,0xffd000ff,0x01fff805,0x2001fff0,0x9ff32ffe,0x40fff800,
    0x5c002fff,0x3fe202ff,0x9ff3000f,0x0ffec000,0x007ff800,0xb001fff0,
    0xbffb07ff,0x7cc1ffc4,0x04ffb86f,0x04ffb800,0xfff80000,0x0027fdc0,
    0x4f7fd400,0x7fc406ff,0x0fffc407,0x7cf7fd40,0x7c00006f,0x6cdf90ff,
    0x4fffb0ff,0x1ffec5fd,0x003fffa2,0x0003fff0,0xdff3dff5,0x00fff100,
    0xff007ff9,0x20fff989,0xffbffffa,0x51006e25,0xff999995,0x00fff85f,
    0xf805ffd0,0xfff001ff,0x4bffa001,0x59914ff9,0x321bfea0,0x7e4005ff,
    0x1fff402f,0x004ffb80,0x0007ff60,0xf8003ffc,0x7fc400ff,0x26ffc80f,
    0xffc81ffa,0x9cfffb85,0x7dc00099,0x00999cff,0x07ffc000,0x2673ffee,
    0xff800009,0x4403ffef,0x3fa207ff,0x3ffe004f,0x00003ffe,0x7fc87ffc,
    0x37f7bfee,0x41ffddff,0xff983ffd,0x3fe000ef,0xfff0001f,0xf1007ffd,
    0x7ff900ff,0x643ff880,0xfffb86ff,0xfffeffff,0xffff9102,0x5fffffff,
    0xd000fff8,0xfff805ff,0x01fff001,0x7ccbffa0,0x209ff34f,0xffa83ffc,
    0x3ff2000f,0x02ffe402,0x99cfffb8,0x3ffb0009,0x01ffe000,0x2007ffc0,
    0xff306ffa,0x7c1ff23f,0xfff883ff,0xefffffff,0xfff100be,0xdfffffff,
    0x3e00017d,0x7ffc40ff,0xefffffff,0x3f2000be,0x4400ffff,0xbabdffff,
    0x000ffffc,0x03fffff2,0x1fff0000,0xfff89fee,0x7ffff96f,0x2607ffb0,
    0x65c0efff,0xdfffcccc,0xc802cccc,0x800fffff,0xfc807ff8,0x17fcc03f,
    0x2a0bfff1,0xffffffff,0xfff882ff,0xfeeeeeff,0x07ffc2ff,0x972ffe80,
    0xbfff9999,0xff059999,0x3ffa003f,0x3e69ff31,0x03fff04f,0xc800bffe,
    0x7fcc02ff,0xfff8800f,0xefffffff,0x0ffec0be,0x007ff800,0xd801fff0,
    0x3ffe03ff,0xff509ff5,0x3ffe601f,0xffffffff,0xfff302ff,0xffffffff,
    0xff0005ff,0xffff301f,0xffffffff,0x3fe6005f,0xff8804ff,0xffffffff,
    0x7cc000df,0x00004fff,0xff50fff8,0x885f6441,0xffb02cdb,0x2fffd407,
    0x3ffffffa,0x4fffffff,0x4ffff980,0x00fff100,0x0d6c7ff9,0x3faa3ff5,
    0x7ecc01ff,0xd01abdef,0x7ec05dff,0x00fffc2f,0xffd1ffe8,0xffffffff,
    0xffd09fff,0x43ffe005,0x9ff34ff9,0x6c0dff50,0x3f2005ff,0x3ffe802f,
    0xfffff300,0xffffffff,0x000ffec5,0xf0007ff8,0x7fc401ff,0x3fff200f,
    0x7f442ffb,0x3bff203f,0xffeccccc,0xffc81fff,0xfeccccce,0x4001ffff,
    0xffc80fff,0xfeccccce,0xd001ffff,0xf1001fff,0xdffffdff,0x7f40005b,
    0x800000ff,0x5ff30fff,0x7fec0000,0x2fffe403,0xfffffffd,0x09ffffff,
    0x003fffa0,0x6c03ffc4,0x3fffe3ff,0xfffeffef,0xff7002ff,0x1fff3001,
    0x742ffd80,0xfff002ff,0x3fffffa1,0xffffffff,0x803ffd84,0x3fe67ff9,
    0xf909ff34,0x7ffd409f,0x05ff9000,0x001fff70,0x9999dff9,0x3fffffd9,
    0x40007ff6,0xff0007ff,0x27fe401f,0x3ffffe20,0x07fff447,0x4406ffb8,
    0x7dc3fffb,0x7fdc406f,0x3fe2003f,0x406ffb87,0x003fffb8,0x2200bffd,
    0x003317ff,0x02fff400,0x3ffc4000,0x000017fe,0x00000000,0x017ffa00,
    0x2ffd8000,0x3ffffffe,0x01dfffff,0x5c01ff20,0xffd806ff,0x401ffec2,
    0x90007ff9,0xdff903ff,0x4cbffb00,0x09ff34ff,0x7c403fff,0xff9002ff,
    0x13ffa005,0x880dff70,0xffb3fffb,0x1ffe0003,0x807ffc00,0xb800fff9,
    0xebbfffff,0x3e02ffff,0xffd001ff,0x001fff8b,0x4c00bffd,0x1fff86ff,
    0x00bffd00,0x2003fff5,0x00007ff8,0x003fff50,0x8dff3000,0x00000ffc,
    0x00000000,0x07ffea00,0xffe80000,0x3fbb2e61,0x001bdeff,0xf7006fd8,
    0xfffb80bf,0x4037fe42,0xb8005ffd,0xfff102ff,0x07ffdc0b,0x3fe69ff3,
    0x7ffffd44,0xffffffff,0x3ffb005f,0x07ffe600,0xd001fff8,0x07ff6bff,
    0x007ff400,0xe807ffc0,0x3ea003ff,0xffffffff,0x3ffe600e,0x49ffb000,
    0xb000fff9,0x7e4009ff,0x07ffcc5f,0x404ffd80,0x2005ffe8,0x00007ff8,
    0x005ffe88,0x8bff9000,0x00004ff8,0x001ffe20,0x0007ff88,0x000bffd1,
    0x03ffc400,0x400027fc,0xff5005fe,0xfffd101f,0x5fff885f,0x003ffee0,
    0xf701bfe0,0xd9579fff,0xff987fff,0xfc89ff34,0xffffffff,0x007fffff,
    0x64001ffd,0xff980eff,0x9ffb000f,0x40007ff6,0xf8001ffd,0x6ffb80ff,
    0xffffc800,0xf8804eff,0xff9802ff,0x0bffe22f,0x04bffe60,0x10bffe60,
    0xf3005fff,0x7f4405ff,0x3e2000ef,0x4400007f,0x8000effe,0x17ffcc00,
    0x0001fff4,0x004ffa80,0x0013fea0,0x003bffa2,0x5ffd8000,0x001ffc40,
    0x88027fc0,0xdbabffff,0x82ffefff,0xabcffffb,0x003fffec,0xc804ff98,
    0xffffffff,0x4ff983ff,0xfff89ff3,0xeeeeeeee,0x402fffee,0x44007ffa,
    0xff885ffe,0xfff9802f,0x0003ffb2,0x2001bff2,0x7fd40fff,0xefe8001f,
    0xfe8001a9,0x64c1abff,0xffe85fff,0x7e4c1abf,0x26fb25ff,0x5fffb989,
    0x357fffd0,0x45fffc98,0xffffba9a,0x3ffc4001,0x2ea6a000,0x0001ffff,
    0x731337d9,0x3a60bfff,0xeb881cff,0x17fdc002,0x05ff7000,0xfff75350,
    0x7900003f,0xfffd5333,0x02ff9801,0x01ffc400,0xffffff50,0x5ff73dff,
    0x3fffff20,0x003fffff,0x137fff10,0x7fffecc0,0xff300dff,0xfa93fe69,
    0x3ff6007f,0x7fe4cc45,0xff88003f,0xbfffe84f,0x7ffe4c1a,0x266bff65,
    0xff880199,0x26219aef,0x0fff9999,0x0007ffe6,0x0000ffe2,0xfffffff3,
    0x0dffffff,0x3fffffe6,0x6fffffff,0x7fffffe4,0xf300efff,0xffffffff,
    0xff0dffff,0x005fffff,0x000fff10,0xfffffff8,0x3ff20002,0xefffffff,
    0x3fffa200,0x2ffffeef,0x003fec00,0x7c01ff60,0x02ffffff,0xffffd000,
    0x5005ffff,0x980003ff,0x74c002ff,0x2e4effff,0x3f6602ff,0x00dfffff,
    0x7fffe400,0x01331004,0x3e69ff30,0x013ff24f,0x7f47ffb8,0x0006ffff,
    0xf30bffe6,0xffffffff,0xfd8dffff,0x0fffffff,0xfffffb80,0xfffffb1f,
    0x3fe21fff,0xff50002f,0xf9100003,0xffffffff,0xffc8805d,0xefffffff,
    0xfffffb82,0xc8803fff,0xffffffff,0xffff02ef,0x2200019f,0x7c0007ff,
    0x000cffff,0x7ffffdc0,0xb1003fff,0xbfffffff,0x5ff80017,0x02ffc000,
    0x0cfffff8,0x3ffa0000,0x001effff,0x30000331,0x4c000199,0x31000009,
    0x44000013,0x0003ffca,0x269ff300,0x0bffe4ff,0x22fff880,0x003ffffe,
    0x9105f980,0xffffffff,0xfffb05df,0x001fffff,0x47ffffa6,0xfffffffd,
    0x000fee0f,0x00005eb8,0x9abcaa98,0xcaa98000,0xa98009ab,0x80009acb,
    0x09abcaa9,0x000d6540,0x0002aa80,0x0000d654,0x4d65d4c0,0x57510000,
    0x55400013,0x0d540001,0x001aca80,0x2f2a6000,0x0000001a,0x00000000,
    0x00000000,0x30000000,0x53fe69ff,0xe8007ffa,0x026aa4ff,0x20030000,
    0x09abcaa9,0x2aaaaaa0,0x988002aa,0x555550aa,0x00505555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x9ff34ff9,
    0x20017ff2,0x00007ffb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ff98000,0x00009ff3,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5446aa20,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400188,0xbcdefedc,0x00002000,0x02000000,0x06665c00,0x000665c0,
    0x2db88000,0x99999300,0x99999999,0x22007999,0x000000aa,0x665c0aa6,
    0x0ccb801c,0x10000000,0xca980003,0x441cdefd,0xcca804cc,0x0039970c,
    0xccccccc8,0xccc801ab,0x03997000,0x20000010,0xccccba98,0x3ffa204c,
    0x00bffa22,0xaccdca98,0x3fea0002,0x362000ef,0x98001fff,0x99999999,
    0x01357501,0x3bfea000,0xffffb800,0x03ffffff,0x41effeb8,0x1ff70049,
    0x5c006fd8,0x24c1effe,0x805fffe8,0x3ea01ffd,0x803fe40f,0xf7002ffd,
    0xffffffff,0xbfffffff,0x9ffff500,0x3f600000,0x0dfffd06,0x0003ffb0,
    0x8013fff6,0x4000effa,0xffffffe9,0xff10ffff,0x4fff980f,0xf000fff6,
    0xffffffff,0x7ffc05df,0x05ffd000,0x20f7ff5c,0x7fdc0049,0xffffffff,
    0x67ff4407,0x3002fffa,0xfffffffb,0x3fea000d,0x7f44004f,0x4002ffff,
    0xffffffff,0xfffb81ff,0x7c0002df,0x7f403fff,0xffeeffff,0x7fdc03ff,
    0xfbadffff,0xdff9803f,0x004ffcaa,0x3fffffee,0xe83ffbad,0x6c01ffff,
    0x3fe601ff,0x05ffb9bd,0x2005ffb0,0xfffffffb,0xffffffff,0x67fc405f,
    0x00002ffb,0xffd04ff8,0xffd803ff,0xfffd8001,0x7fffc002,0x3ffee003,
    0xffffffff,0x40fff10f,0x7ec5ffe8,0x7ffc003f,0xffffffff,0x01fff04f,
    0x5c0bffa0,0xadffffff,0xea803ffb,0xffffffff,0xfb007fff,0x2003ffff,
    0xeefffff9,0xfa8006ff,0x744002ff,0x2fffabff,0x3ffffe00,0xb81fffff,
    0x1effffff,0x7fffd000,0x05fffec0,0x3e201b98,0xffffb9cf,0x3f6005ff,
    0x00efffff,0xf739ff10,0x20bfffff,0x405ffffe,0x7e401ffd,0x00ffffff,
    0x2005ffb0,0xc9999998,0x99999eff,0x52fd4009,0xa80000bf,0xfffd01ff,
    0x1ffd80bf,0x077fec00,0x1ffff400,0xbffffd80,0x1fb5310a,0xfd81ffe2,
    0x1ffec0ef,0x887ffe00,0x82ffffdb,0xfd000fff,0x39ff105f,0xbffffff7,
    0xfffff300,0x3ffc4dff,0x03bdd900,0x037ffa20,0xdb300062,0xed88001b,
    0x07bb621d,0x4cccccc0,0x75101999,0x05fffff9,0x40dff500,0x0001fff9,
    0xfec88730,0x75c000ce,0x4000cfff,0x77f64439,0xffffd00c,0x0ffec03f,
    0x67fff540,0x0bff6000,0x17fee000,0x2a5fa800,0x9510005f,0x40ffdddb,
    0x01fffffe,0xb8007ff6,0x2a0004ee,0xff5006ff,0x211001df,0xff707ff8,
    0x07ffb01f,0x101fff80,0xfff0dffd,0x0bffa001,0x3fb221cc,0x7fc400ce,
    0x26ffffff,0x00007ff8,0x006ffa80,0x00000000,0x00000000,0x01fffea8,
    0x7dc01880,0x0000006f,0x00000000,0xffe80000,0x3f606ffb,0x8800001f,
    0xbffe9999,0x09999999,0x005ffb80,0x3af3fe20,0xfe98002f,0x1fffffff,
    0xbff9ffd0,0x000ffec0,0x01880000,0x0017ffa0,0x7d43ffc4,0x7ffb01ff,
    0x01fff800,0x3fe1ffea,0x5ffd000f,0xf7000000,0xdfffffff,0x0003ffc4,
    0x02ffe400,0x00000000,0x00000000,0x06fff880,0xbff90000,0x00000000,
    0x00000000,0xd1ffd000,0x3ff605ff,0xfe800001,0xffffffff,0x03ffffff,
    0x0005ffb8,0x027fffd4,0x7ffffdc0,0x82ffffff,0x0fff9ffe,0x9103ffb0,
    0x19999999,0x5c000000,0x10000fff,0xfff88fff,0x00fff602,0x4c03fff0,
    0x7ffc0fff,0x05ffd000,0xffb00000,0x4dffffff,0xa8807ff8,0xbcdefedc,
    0x01fff700,0xdb951000,0x00179bdf,0x3bfb72a2,0x99900bcd,0x0732e001,
    0x007ffea0,0x6776e544,0x03ffee1b,0x01999000,0x100732e0,0x137bdb95,
    0xdb951000,0x7f40137b,0xb06ffb8f,0x953003ff,0xe839bdfb,0xffffffff,
    0x3fffffff,0x005ffb80,0x000aa880,0x0adfffb8,0x81fffff7,0x4ffc8ffe,
    0xf303ffb0,0x3fffffff,0x372a6000,0xff81cdef,0x3e20004f,0x027ff47f,
    0xf000fff6,0x7fcc03ff,0x000fff87,0x32005ffd,0x3e002ccc,0xffffffff,
    0x701ffe26,0xffffffff,0x3fe207ff,0x2e0000ef,0xffffffff,0xffb803ff,
    0xffffffff,0x001fff03,0x7c00bffa,0x7ec403ff,0xffffffff,0x01bfff36,
    0x007ffc00,0x2602ffe8,0xfffffffe,0x3fa6000e,0x0effffff,0x3fa1ffd0,
    0x01ffd82f,0x3fffffa6,0x550fffff,0x59ffd555,0x03555555,0x000bff70,
    0x00599990,0xfe85fff8,0x7f45fffe,0x80fff98f,0xff981ffd,0x01ffffff,
    0x7ffff4c0,0x10ffffff,0x40001fff,0x3ff67ff8,0x03ffd805,0x700fffc0,
    0x1fff0dff,0x00bffa00,0x017fffea,0xfffffff8,0x1ffe26ff,0xefffffe8,
    0x203ffffe,0x003ffffb,0xefffffe8,0x403ffffe,0xeefffffe,0xff03ffff,
    0x3ffa001f,0x09ffd002,0x7fffffcc,0x367fffff,0x0002efff,0x3a001fff,
    0xfff702ff,0xffffffff,0xffff7003,0x3fffffff,0x3ee1ffd0,0x01ffd86f,
    0xfffffff7,0x401fffff,0x80002ffd,0x40005ffb,0x005ffffa,0x3e21bfee,
    0x21fffcbf,0x9ffb0ffe,0x4003ffb0,0x2e001fff,0xffffffff,0xff50ffff,
    0xff88000f,0x001dff77,0xf8007ffb,0xfff301ff,0x001fff07,0x3600bffa,
    0x000fffff,0xfffffffb,0x83ffc4df,0x300bfffd,0x3ffea037,0xb001efff,
    0x26017fff,0x3fff601b,0x2037300b,0xfd000fff,0x3ffa005f,0x9ffff703,
    0x9fae6215,0xbeffffe8,0x03ffe000,0x5c17ff40,0x730adfff,0x5c03ffff,
    0x730adfff,0xfe83ffff,0xb0fffa0f,0xfffb03ff,0x2a62157f,0x3ff600fd,
    0xffb80002,0x7fec0005,0xf8800fff,0x9ffa83ff,0x3fa3fff8,0x81fff30f,
    0x3e001ffd,0xffb001ff,0x262157ff,0xbff70fda,0x26666620,0x27ffe219,
    0xfb000fff,0xfff8007f,0x3fff2661,0x001fff05,0x3e00bffa,0x003ffeff,
    0xfffffff9,0x43ffc4df,0x0001fff9,0x3f6fffe6,0x2600cfff,0x40001fff,
    0x0001fff9,0xe8007ffc,0xff8802ff,0xefff882f,0xffc81801,0x801dffff,
    0xfd000fff,0x0bfff05f,0xf027ffcc,0x7fcc0bff,0x507ff44f,0x1ffd8dff,
    0x0077ffd4,0x5ffb0044,0xbff70000,0xefff8000,0xffa803ff,0x326fd80f,
    0x83ffa5ff,0x7fec3ffe,0x07ffe001,0x03bffea0,0x27fe4220,0xffffffd8,
    0xfffff11f,0x7fec005f,0x7fffc003,0x5fffffff,0x4003ffe0,0x7d402ffe,
    0x005ffbdf,0xfffffff3,0x43ffc4df,0x40006ffb,0x3faa2ffe,0xff700eff,
    0xff70000d,0xfff0000d,0x0bffa001,0x01dffd30,0x0001fff9,0xfffffc88,
    0x3ffe00df,0x85ffd000,0xfa806ffb,0x6ffb80ff,0x20fffa80,0x7ff40ffe,
    0xfd07ff63,0x6c0000bf,0xb80002ff,0x2a0005ff,0x05ffbdff,0xff05ffb8,
    0xfd3ffd49,0x23ffd41f,0x3e001ffd,0xffe801ff,0x9ffb0005,0x3fffff60,
    0xdfff11ff,0x7ec00dff,0x7ffc003f,0x1cffffff,0x8007ffc0,0x7e402ffe,
    0x00fff9af,0xffffff70,0x43ffc4df,0x20005ffc,0xff906ff9,0xbff903ff,
    0xbff90000,0x1fff0000,0x90bffa00,0x5fffffdd,0x007fff10,0x7ff5c400,
    0xfff01fff,0x8bffa001,0xf003fff8,0xfff887ff,0x47fff003,0x7fd40ffe,
    0x5c3ffb0f,0x00000fff,0x0000bff6,0x80017fee,0xfff9affc,0x427fe400,
    0x3fea2ff9,0xe81ffd0f,0x07ff62ff,0x401fff80,0x0000fffb,0x2a60bff9,
    0x11fffaaa,0x9fff3fff,0x00fff600,0xd959fff0,0xff803dff,0x5ffd000f,
    0xfd0fff80,0x7fe4005f,0x3e26ffff,0x0fffb87f,0x09ff5000,0x5c37ffcc,
    0x40000fff,0x0000fffb,0xe8007ffc,0x7ffec2ff,0xff901eff,0x5400000f,
    0xf80efffe,0xffd000ff,0x007ffd45,0x7d46ffc8,0xff9000ff,0x7407ff4d,
    0x43ffb3ff,0x00004fff,0x00017fec,0x0002ffdc,0x3ffa1fff,0x41ffec02,
    0x7ffcc7fc,0xfb81ffd0,0x007ff66f,0x7c01fff8,0x2e0004ff,0x3fa005ff,
    0x2afff11f,0xfd803fff,0x7ffc003f,0x007ffdc1,0x3a001fff,0x3fea02ff,
    0x0017ff26,0x4dffffb3,0xff987ff8,0xfa8000df,0x7ffcc07f,0x06fffcc3,
    0xbfff3000,0x7ffc0001,0x85ffd000,0x401adffd,0x00004ffd,0x83fffc80,
    0xfd000fff,0x02ffdc5f,0xfb8fff50,0x3fea005f,0x2a03ffa7,0x1ffd8fff,
    0x0001fff1,0x002ffd80,0x005ffb80,0x7e4dff50,0x1fff405f,0x3fe22ff4,
    0xf01ffd1f,0x07ff65ff,0x201fff80,0x0000fff8,0xe801bfea,0x4fff11ff,
    0x6c01fffc,0x7fc003ff,0x05ffd81f,0x74003ffe,0x3ff202ff,0x003ffe63,
    0x88eea620,0xfffb07ff,0xff88005d,0x2ffe402f,0x0177ffec,0x5dfffb00,
    0x03ffe000,0x3217ff40,0xffd001ff,0x20000005,0xfff85ffd,0x45ffd000,
    0x26004ffc,0x27fe47ff,0x74fff300,0x7ffd00ff,0x3fea3ffb,0xfd800007,
    0xfb80002f,0xff90005f,0x007ffcc7,0xff885fff,0xfd1fff82,0x2bff701f,
    0x3e001ffd,0x3fea01ff,0x7fcc0007,0x3ffd000f,0xffd1ffe2,0x1ffec01d,
    0x207ffe00,0xff02fff8,0x3ffa003f,0xf03ffe01,0x800005ff,0xfd107ff8,
    0x0017dfff,0x9807fff2,0xffe886ff,0x4000beff,0xbeffffe8,0x03ffe000,
    0x3217ff40,0xfff001ff,0x20000003,0xfff87ffb,0x45ffd000,0x22003ffd,
    0x3ff60fff,0x3ffe2003,0x2601ffd0,0x71ffefff,0x26620bff,0x6c019999,
    0xb80002ff,0xff0005ff,0x02fff81f,0xff70fffa,0xd0fff881,0xfff101ff,
    0x4003ffb3,0x3ee01fff,0x3333105f,0x7ffc4333,0x23ffd004,0x7fc47ff8,
    0x0fff605f,0x203fff00,0xffd06ffd,0x03ffe005,0x7e437fd4,0x4400005f,
    0x7fe407ff,0x401dffff,0x303fffe8,0x7fe40bff,0x001dffff,0x7fffffe4,
    0x0fff801d,0xc85ffd00,0xff8801ff,0x0000000f,0xfff0dff7,0x8bffa001,
    0x7c003ffe,0x0fffa1ff,0x3a3fff00,0x3ff600ff,0x9ff91fff,0x3fffff60,
    0x3ff601ff,0xffb80003,0x6ffa8005,0x3a05ffc8,0x437ec4ff,0x3ffa7ff9,
    0xfb9ff900,0x7ffc003f,0x413ff201,0xfffffffd,0x003fff21,0x7fc47ffa,
    0x04fffa87,0xf8007ffb,0xfff301ff,0x007ffb05,0x7e40fff3,0x0fffa83f,
    0x3fe20000,0xfffc8807,0x2200dfff,0x6c1efffe,0x7e4403ff,0x00dfffff,
    0x3ffff220,0x3fe00dff,0x5ffd000f,0x9801ffc8,0x00000fff,0xf09ffd00,
    0x3fa001ff,0x00bffe2f,0x7fc3fff0,0x7ffc002f,0x4c01ffd1,0xfb1fffff,
    0x3fff609f,0x3201ffff,0xb80005ff,0xfc8005ff,0x0fffa83f,0x7c4bffb0,
    0x26ff983f,0xff100ffe,0x4003ffdf,0x3f601fff,0xffffb04f,0x7fc43fff,
    0x7ff400ef,0x320fff11,0xffd82fff,0x0fffc003,0xf90dffb0,0x9ffb00df,
    0xf80fffc0,0x200002ff,0x22007ff8,0x1fffffeb,0x67fffe40,0x2006ffc8,
    0xfffffeb8,0x7f5c4001,0xff01ffff,0x3ffa001f,0x7fcc0002,0x0370001f,
    0x03fffb10,0x3a001fff,0x0fffa2ff,0x20fff880,0x22003ffe,0x1ffd0fff,
    0x1ffffd80,0x2a60bff9,0x01fffaaa,0x000bffea,0x000bff70,0x3fe03fff,
    0x4dff902f,0xffc81ffa,0xc803ffa5,0x001fffff,0xfc807ffe,0x5555305f,
    0xffb83fff,0x3ffa02ff,0x6c0fff11,0x7fec0fff,0x0fffc003,0x883fff30,
    0x3ee05fff,0xdff501ff,0x002ffec0,0x00fff100,0x3bfffaa0,0x7fff4c00,
    0x0001ffff,0x01dfffd5,0x3fffaa00,0x00fff80e,0x0005ffd0,0x002fff88,
    0x99bdfff0,0x7ffffd99,0x4003ffe0,0x3ff62ffe,0x1ffe6004,0x4c009ffb,
    0x03ffa7ff,0x23ffff30,0x3a005ffb,0x7ff401ff,0x3dcabdff,0x005ffb80,
    0xfb037fd4,0x3ffe60bf,0x3fe0ff91,0x803ffa3f,0x01fffff9,0xb807ffe0,
    0x3fa005ff,0xffffc81f,0xffecccef,0x40fff11f,0x7ec6fff8,0xeeeeeeef,
    0x3fff4eee,0xc85ffe80,0xcabcffff,0x3204fffe,0x3fea04ff,0xf100000f,
    0xfc8000ff,0xff7003ff,0x00001fff,0x0007fff9,0xf83fffc8,0xffd000ff,
    0x2001a885,0xf0003fff,0xffffffff,0x7c07ffff,0xffd000ff,0x0027fe45,
    0xffc8dff3,0x9bfe6004,0xfc800ffe,0x0dff51ff,0x200fff40,0xfffffff9,
    0xffb803ff,0x27fe4005,0x201fff50,0x09ff5fff,0x7f41fff5,0x7ffec00f,
    0x3ffe001f,0x01bfea01,0xf501ffe8,0xffffffff,0x3fe23fff,0x2fffcc07,
    0xfffffffb,0x3ebfffff,0x7fd401ff,0xffffb81f,0x04ffffff,0xf100fffc,
    0x200005ff,0x80007ff8,0x22005ffd,0x0002fffd,0x000bffb0,0xff0bffb0,
    0x3ffa003f,0x013ffa21,0x8002fff4,0xffffffec,0x7c00beff,0xffd001ff,
    0x0037fdc3,0xffb8bff9,0x97ff2006,0xf8800ffe,0x1fff31ff,0x007ffa00,
    0x3fffff22,0xffb802ff,0x0fffc005,0x205fff10,0x2ffbfffc,0x3a1fff44,
    0x7fcc00ff,0x3fe001ff,0x3ffe601f,0x03ffd000,0x7fffee44,0x3e21beff,
    0xfffb807f,0xffffffb3,0x2bffffff,0xfe801fff,0xfffb305f,0xa8039fff,
    0xffffffff,0x05ffffff,0x0dff3000,0x0fff7000,0x00dffb00,0x01ffee00,
    0x21ffee00,0xff002ffe,0x7fffdc1f,0x0fffc800,0x54cc4000,0x7ff40009,
    0x41fff002,0xd001fffa,0xfffa89ff,0x09ffd001,0x10fff800,0x3a009fff,
    0x998001ff,0x80000009,0xfffffffa,0x5fffffff,0xffffff10,0x00fffe88,
    0x3e000000,0x3fe201ff,0x3ffd004f,0x00ccc400,0x00000000,0x22000000,
    0xf9001ffd,0xffffffff,0x00ffffff,0x013fee00,0x01bfee00,0x001ffe60,
    0x0037fdc0,0x6c37fdc0,0xff9803ff,0x03fffdc7,0x004fff88,0xfd800000,
    0x7ff9803f,0x9803ffe8,0xffe80fff,0x0fff9803,0x1ffe2000,0xd001fff9,
    0x000003ff,0xff900000,0xffffffff,0x5c0fffff,0xebbfffff,0x0002ffff,
    0x7ffc0000,0x07ffe401,0x000fff40,0x00000000,0x00000000,0x2003ffa8,
    0xeeeeefff,0xfffeeeee,0x7f400402,0xfe80003f,0xffb8004f,0xffd00006,
    0xffd00009,0x00dff909,0xfe88bffb,0x3ff2003f,0xf100003f,0x7fe400ff,
    0x85ffd806,0x2201fffb,0xff703ffe,0x7ff4403f,0x7fdc0003,0x077ffc45,
    0x2007ffa0,0x20007ff8,0x3e007ff8,0xeeeeeeff,0x2fffeeee,0x3ffffea0,
    0x000effff,0x0003ffc4,0x4401fff8,0x7400efff,0xff8801ff,0x3fe20007,
    0x7ff88007,0x07ff8800,0x0037fc00,0x6c00fff5,0x0f7405ff,0x3706ffc8,
    0x3fffb100,0x7ffc4008,0xb1003704,0x03703fff,0x03fffb10,0x5c0bfff1,
    0x01300fff,0xdffff880,0xf5016a00,0x7fc4009f,0x3ffee05f,0x1ffff880,
    0x00fffe88,0x103ffff1,0x0001fffd,0x5c1fffc4,0x3a02ffff,0xffa801ff,
    0x3fea0004,0x0fff5004,0x202ffec0,0xeffffffc,0x9ff50004,0x3ffe0000,
    0xffffb801,0x007ffa02,0x80013fea,0xa8004ffa,0xfa8004ff,0x3e60004f,
    0x3ff2005f,0x1ffee004,0xcdefffc8,0xf02ffffc,0x9999bdff,0xd07ffffd,
    0xfdb759bd,0x3fe01dff,0xeccccdef,0xff03ffff,0xd9999bdf,0x5c07ffff,
    0xcabcffff,0x0003fffe,0xfffffa80,0x7ffedcdf,0x0017fdc0,0x2f3fffee,
    0x03fffeca,0x33bfffea,0x02ffffec,0x677fffd4,0x02ffffec,0xdfff7300,
    0x7ffffe40,0xfffeccce,0x02ffb801,0x00bfee00,0x70027fe4,0xefe80fff,
    0xb80001a9,0xf00002ff,0x3f2003ff,0xccceffff,0xb801fffe,0x2e0002ff,
    0xfb8002ff,0xffb8002f,0x3fe20002,0x7fc009bf,0x3fe2002f,0xfffd302f,
    0x07ffffff,0x7ffffffc,0x03ffffff,0xfffffffd,0x7fc01dff,0xffffffff,
    0x3fe03fff,0xffffffff,0xfc803fff,0xffffffff,0x2000003f,0xffffffd8,
    0x6c07ffff,0xff90007f,0xffffffff,0xffff3007,0x03dfffff,0x3ffffe60,
    0x001effff,0x07ffffe0,0xffffff50,0x03ffffff,0x8000ffb0,0x3fe007fd,
    0x3fe2002f,0x07ff102f,0x07fd8000,0xcccccb80,0xccccdfff,0xfffff502,
    0x3fffffff,0x000ffb00,0xb0007fd8,0x3f6000ff,0xffc80007,0x3fea05ff,
    0x4ffe8007,0x7fff6d40,0x7f6400ce,0xefffffff,0x3ffb200b,0x802dffff,
    0xffffffec,0x6400beff,0xfffffffe,0x26000bef,0xdffffffd,0x70000000,
    0x9dffffdb,0x05ff8035,0x3fff6600,0x2000dfff,0xeffffec8,0xfec88004,
    0x0004efff,0x000dfff8,0xfffffb91,0x3e0037df,0x7fc0005f,0x0fff5005,
    0x209ffd00,0x00001ffa,0x74002ffc,0xffffffff,0x204fffff,0xfffffdc8,
    0xff001bef,0x5ff8000b,0x00bff000,0x00017fe0,0x9027f654,0xf7000bff,
    0x00c400ff,0x13533100,0x02666000,0x9a998800,0x26620000,0x1000009a,
    0x00000133,0x00033000,0x20000355,0x00000998,0x98000033,0x55c00001,
    0x4cc40000,0x03550001,0x001aa800,0x7000bff9,0x17ae0fff,0x06aa0000,
    0x3ffffa00,0xffffffff,0x2662004f,0x03550001,0x001aa800,0x20003550,
    0x000001aa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x000efffa,
    0x00fffec4,0x10000000,0xffa8bffd,0x0000005f,0x81fffd88,0xccccccc9,
    0x004ccccc,0x7017ffec,0x99999999,0x00199999,0xfa8bffd1,0x000005ff,
    0x2cccc800,0xff980000,0x266601ef,0x01999999,0x88fffa20,0x44003ffd,
    0xffd80001,0xfff9002f,0x3100000b,0xbdd90000,0xdca88003,0x00009bde,
    0x08000188,0x176c4000,0x20017744,0xffc80000,0x2000005f,0x8004fffa,
    0x2fffffe8,0x40ffb800,0x3a2006fd,0x7ffcc4ff,0x40ffb803,0x3a2006fd,
    0x542fffff,0xffffffff,0x2007ffff,0x02fffffd,0xfffffffd,0x03ffffff,
    0x4c4ffe88,0xfb803fff,0x0037ec0f,0x0bffff50,0xfff98000,0x7fffc00d,
    0x01ffffff,0x756ffec0,0x7dc002ff,0x3f60006f,0x5002ffff,0x0000bfff,
    0x80037fdc,0x1fffffd8,0xffffd300,0x0001dfff,0x80037fdc,0x4c1effeb,
    0x43ffe404,0xd7007ffd,0x04983dff,0x00bfff50,0x5fff5000,0x7ffd1000,
    0x8005fff5,0xfcaadff9,0x3ffa004f,0x017ffcc4,0xcaadff98,0xfd1004ff,
    0x45fff57f,0xfffffffa,0x807fffff,0xfe9cffe8,0xffffe83f,0xffffffff,
    0x27ff401f,0x400bffe6,0xfcaadff9,0x3f60004f,0x0000ffff,0x007fff30,
    0x3ffffffe,0xd8001fff,0x002fffff,0x002ffff8,0x74e7ff44,0xfd1003ff,
    0x3e0000bf,0x44002fff,0xfffacffe,0x7fffdc02,0x1fffffff,0x5ffff000,
    0xffffb800,0x3ffbadff,0x321ffee0,0xffb807ff,0xfbadffff,0xffd1003f,
    0x6cc0000b,0xd88000de,0x3bb621de,0x7ffec001,0x7000efff,0xded887dd,
    0x7ffec001,0x8800efff,0x3b621ded,0x00dff51e,0x11776c00,0xf7005ddb,
    0xdd7000bf,0x01ded887,0x7ffffec0,0x3e0000ef,0x003ffeff,0x01ded880,
    0x26666660,0x20001999,0x0001eeec,0x8005ffff,0x3b622eed,0x3bb2002e,
    0xfff80003,0x3fa2002f,0x0bffa22f,0x856fffdc,0x01ffffb9,0x02ffff80,
    0x2e73fe20,0x05ffffff,0x64417644,0x67fc401d,0xffffffb9,0x3eec8005,
    0x00000000,0x2e000000,0x000cfffe,0x2e000000,0x000cfffe,0x1bfea000,
    0x00000000,0x0002ffdc,0x75c00000,0x0000cfff,0x3fef7fea,0x00000005,
    0x00000000,0x0bff7000,0x00000000,0x3fee0000,0x80000005,0x3ea05fff,
    0xfb8005ff,0x4398005f,0x00cefec8,0x1cc00000,0x033bfb22,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1bfea000,0x00000000,0x0002ffdc,
    0x00000000,0x9affc800,0x00000fff,0x00000000,0x31000000,0x00000000,
    0x18800000,0x00266400,0x500dff70,0x10001fff,0x00000003,0x00000000,
    0x00000000,0xbdedca88,0xca880009,0x0009bded,0x66640000,0x03997000,
    0x32600000,0xcccccccc,0x0dff53cc,0xb9530000,0x70039bdf,0x22000bff,
    0x09bdedca,0x00000000,0xffe87ffc,0x32a20002,0x801bceed,0x9bdedca8,
    0xb9510000,0x000379dd,0xb9510000,0x990379dd,0x332e0019,0x22000001,
    0x3e0007ff,0xfff003ff,0x00000009,0x19990000,0x00732e00,0x95100000,
    0x00137bdb,0xfffffe98,0x26000eff,0xfffffffe,0xccc9800e,0xcccccccc,
    0x00fff84c,0x5c05ffd0,0xcccccccc,0xa80ccccc,0xffffffff,0xdff56fff,
    0x7f4c0000,0xffffffff,0x17fee00f,0x3fffa600,0x000effff,0x00b33320,
    0x326ffa80,0xd88005ff,0xffffffff,0x3ffa606f,0x00efffff,0x3ffff620,
    0x986fffff,0xcccccccc,0x4404cccc,0xfffffffd,0x07ffc6ff,0xb82ffe80,
    0xcccccccc,0x440ccccc,0xf30007ff,0x3f2001ff,0x9999506f,0x99999999,
    0x332e0999,0xcccccccc,0x7ffc0ccc,0x85ffd000,0xb801cccb,0x3fa600cc,
    0x0effffff,0xfffff700,0x03ffffff,0xffffff70,0x803fffff,0xfffffffa,
    0xf87fffff,0xffd000ff,0x7ffff405,0xffffffff,0xffffa81f,0x6fffffff,
    0x0000dff5,0x3fffffee,0x00ffffff,0x70017fee,0xffffffff,0x50003fff,
    0x000bffff,0xff31ffe4,0x7fcc001f,0xffffffff,0xffff707f,0x3fffffff,
    0xfffff300,0x0fffffff,0xfffffff5,0x40ffffff,0xfffffff9,0x7fc7ffff,
    0x5ffd000f,0xffffffd0,0x3fffffff,0x0007ff88,0x5400bff7,0xfff907ff,
    0xffffffff,0xfd01ffff,0xffffffff,0xff83ffff,0x5ffd000f,0x806fffe8,
    0xff701ffd,0xffffffff,0xfffb803f,0xfff730ad,0x7ffdc03f,0xfff730ad,
    0x7ffd403f,0xffffffff,0x00fff87f,0x7405ffd0,0xffffffff,0x881fffff,
    0x99999999,0xdff56ffb,0xfffb0000,0x2a62157f,0x3fee00fd,0x3ffee005,
    0xfff730ad,0xffd8003f,0xf0000fff,0x2fff81ff,0x9ffff700,0x1fae6215,
    0x42b7ffee,0x01ffffb9,0x2b3fffee,0x50fd7310,0xffffffff,0x2e0fffff,
    0x10acffff,0xfff8fd73,0x05ffd000,0xfffffffd,0x83ffffff,0x90007ff8,
    0x7cc009ff,0xffff907f,0xffffffff,0xffd01fff,0xffffffff,0xfff83fff,
    0x85ffd000,0x401ffffe,0xffb81ffd,0xff730adf,0x7ffc03ff,0x13ffe605,
    0x2605fff8,0x3ea04fff,0x3fe0006f,0x5ffd000f,0x05ffb800,0xb7fd4000,
    0xccccfffa,0x502ccccc,0x1001dfff,0x02ffdc01,0x4c0bfff0,0x7c004fff,
    0x003ffeff,0xfc86ffa8,0xfff8805f,0xff81801e,0x3ffe605f,0x3dfff104,
    0xdff50300,0x7ffc4000,0x7fc1801e,0x5ffd000f,0x017fee00,0x8003ffc4,
    0x22003ffd,0xaa980fff,0xaaaaaaaa,0x2005fffb,0xff005ffb,0x3ffa001f,
    0x2fffff42,0x3e07ff60,0x3fe605ff,0x0dff704f,0x701fff50,0xff500dff,
    0x1bfea01f,0x00fff800,0x8005ffd0,0x00005ffb,0xffab7fd4,0xffffffff,
    0xbffd04ff,0x7fdc0000,0x0dff7005,0x001fff50,0x3fef7fea,0x3ffc8005,
    0x400fffa8,0x0000fffc,0xf500dff7,0xfff901ff,0x7fd40001,0x3ff20006,
    0xfff0000f,0x0bffa001,0x802ffdc0,0xd0007ff8,0xff8005ff,0x7e40001f,
    0x3ee000ff,0x1fff005f,0xd0bffa00,0x403fffff,0x7fdc1ffd,0x0fffa806,
    0x801fffc4,0x7fc43fff,0x7fff003f,0x001bfea0,0xd000fff8,0xfb8005ff,
    0x5400005f,0xffff56ff,0xffffffff,0x01fff709,0x2ffdc000,0x01fffc40,
    0x9003fff8,0x1fff35ff,0x01fff800,0x7c405fff,0xf10003ff,0x3fe007ff,
    0x1fffc43f,0x1bfea000,0x1fffc400,0x01fff000,0x400bffa0,0xf1005ffb,
    0x015550ff,0xf000bffe,0x540003ff,0x5c002fff,0xfff005ff,0x0bffa001,
    0x0bff9ffd,0xff10ffec,0x3ffe007f,0x007ffd43,0x7d46ffc8,0xff9000ff,
    0x01bfea0d,0x000fff80,0xb8005ffd,0x400005ff,0xdff56ffa,0x33333333,
    0x09fff013,0x5ffb8000,0x00fffa80,0x200dff90,0x5ffd0fff,0x037fd400,
    0x7e40bffb,0x3ea0007f,0xff9000ff,0x007ffc8d,0x006ffa80,0x000fff90,
    0xd000fff8,0x3ee005ff,0xfff1005f,0x77ffffdc,0x001fff40,0x0001fff1,
    0x0017ffa2,0x7c017fee,0xffd000ff,0xff9ffe85,0x43ffb00f,0x9000fffa,
    0x5ffb8dff,0x71ffea00,0x7d400bff,0x0dff507f,0x007ffc00,0x4002ffe8,
    0x00005ffb,0xffab7fd4,0xfff10006,0xfb800001,0x5ffb805f,0x01ffea00,
    0xffc9bfea,0x13ff2005,0xb00fffa8,0x5c0009ff,0x3ea005ff,0x027fec7f,
    0x037fd400,0x004ffd80,0x8007ffc0,0xf7002ffe,0x3fe200bf,0xfffffe8f,
    0x3ff60fff,0x1ffe6004,0x0fffc800,0x05ffb800,0x2001fff0,0x7ff42ffe,
    0xfb04ffc8,0x02ffdc3f,0xfc8fff50,0x3fe6004f,0x0027fe47,0x3ea0fff3,
    0x3fe0006f,0x5ffd000f,0x05ffb800,0xb7fd4000,0x50006ffa,0x00000fff,
    0xf900bff7,0x7fcc009f,0x23ffc807,0xf000fff9,0x7fc403ff,0x05ffd02f,
    0x027fe400,0xfe8fff30,0xfa80002f,0xffd0006f,0xfff80005,0x05ffd000,
    0x4017fee0,0xdffefff8,0x25fffeaa,0x26004ffc,0xf30007ff,0x2e0005ff,
    0xfff005ff,0x0bffa001,0xfff31ffd,0x643ffb01,0x3e6004ff,0x01ffec7f,
    0x6c1fff10,0x3e2003ff,0x6ffa80ff,0x03ffe000,0x0017ff40,0x00017fee,
    0x3eadff50,0xff70006f,0x2666620b,0x7fdc0199,0x03ffd805,0x003ffe20,
    0xfff81fff,0xffffa802,0xffffffff,0x3fff05ff,0x1ffec000,0x41fff100,
    0x80001fff,0xf0006ffa,0xf80003ff,0xffd000ff,0x17fee005,0x7ffffc40,
    0x90fffb82,0x7e400dff,0xffd0006f,0x7fdc000b,0x01fff005,0xfd0bffa0,
    0x213ff61f,0x3ff61ffd,0x3ffe2003,0x000fffa0,0x7ff43fff,0x0fffc003,
    0x6667ffd4,0x82cccccc,0xfd000fff,0xffb8005f,0x7d400005,0x00dff56f,
    0x6c13ff20,0x1fffffff,0x2017fee0,0x7c003ffe,0x3fea01ff,0x805ffc86,
    0xfffffffc,0x7fffffff,0x000fff88,0x000fffa0,0x3fe23fff,0xfa80000f,
    0xccccccff,0x3fe22ccc,0x7fc0000f,0x5ffd000f,0x017fee00,0x817fffc4,
    0xff51fff8,0x3ffa003f,0xfffc8003,0x3fee0000,0x01fff005,0xfd0bffa0,
    0x03ffe61f,0x7ff43ffb,0x0fffc003,0xf8005fff,0x0bffe1ff,0x503fff00,
    0xffffffff,0xff09ffff,0x3ffa001f,0x2ffdc002,0x3fea0000,0x000dff56,
    0x7ec13ff6,0x01ffffff,0x3e017fee,0x7fc002ff,0x0fff201f,0xf003ffea,
    0xddddddff,0x5fffdddd,0x000fff98,0x000bffe0,0x3fe63fff,0xfa80000f,
    0xffffffff,0x3fe64fff,0x7fc0000f,0x5ffd000f,0x017fee00,0x201fffc4,
    0x3ffe2ffe,0x0fff9804,0x17ffcc00,0x17fee000,0x8007ffc0,0x7ff42ffe,
    0xfb0fffa0,0x017ffc3f,0xfe87ffe0,0x3fe2003f,0x00fffa0f,0xa80fff88,
    0xffffffff,0xff84ffff,0x5ffd000f,0x05ffb800,0xb7fd4000,0x90006ffa,
    0x2aa60bff,0x201fffaa,0xfe805ffb,0x3fe2003f,0x07ffe00f,0xf5017ffc,
    0x7fec00ff,0x00fffcc5,0x007ffd00,0xf987ffc4,0xa80001ff,0xffffffff,
    0x3e64ffff,0x7c0001ff,0xffd000ff,0x17fee005,0x403ffc40,0x3ff23ffd,
    0x3ffa201f,0x5ffe8004,0x5ffb8000,0x001fff00,0xffd0bffa,0x363ffd41,
    0x0fffa1ff,0x20fff880,0x26004ffd,0x27fec7ff,0x20fff300,0x9999effa,
    0xf8099999,0xffd000ff,0x5ffb8005,0x7fd40000,0x000dff56,0xe8017fee,
    0x3fee01ff,0x04ffd805,0xa81ffe60,0x3ff606ff,0x013ff205,0x7c47ffb8,
    0x360002ff,0x3e6004ff,0x0bffe27f,0x3bfea000,0x99999999,0x0bffe209,
    0x01fff000,0x400bffa0,0xf1005ffb,0x7ff900ff,0x40ffffc4,0x000fffe8,
    0x0007ffe4,0x802ffdc0,0xfd000fff,0x40ffe85f,0x3ff62ffe,0x8013ff61,
    0x7fe47ff9,0x1bfe6004,0x4c009ff9,0xdff506ff,0x07ffc000,0x002ffe80,
    0x0002ffdc,0x7d5bfea0,0xeeeeeeff,0x7fd46eee,0x47ffa006,0xffeeeeed,
    0x21eeeeef,0x26004ffc,0x3ff206ff,0x03ffea04,0x10017ffc,0xfff85fff,
    0x3ff20003,0x1bfe6004,0x00007fff,0x2000dff5,0x40003fff,0xfd000fff,
    0x3fee005f,0x0fff1005,0xf987ff90,0xfecdffff,0x4c001fff,0x00002fff,
    0x3e00bff7,0xffd000ff,0x5c0ffe85,0x87ff66ff,0x26004ffc,0x37fdc6ff,
    0xb8bff900,0x3f2006ff,0x0dff505f,0x00fffc00,0x4001ffe8,0x00005ffb,
    0xffab7fd4,0xffffffff,0x7ffcc7ff,0x23ffd000,0xfffffffe,0x21ffffff,
    0x32006ffb,0x3ffe05ff,0x0bffe201,0x2001ffea,0x7ff44ffe,0x3fee0005,
    0x17ff2006,0x0000bffd,0x2000dff5,0x40005ffe,0xfd001fff,0x3fee003f,
    0x0fff1005,0xf507ff90,0xffffffff,0xffd0003f,0x7dc0000b,0x3fff005f,
    0xd07ffa00,0x5fff01ff,0xffb87ff6,0x17ff2006,0x2003fff5,0x7fd44ffe,
    0x9ffd001f,0x001bfea0,0xf002ffe8,0xfb8001ff,0x5c00005f,0xffff55ff,
    0xffffffff,0x04fff88f,0x3fa3ffd0,0xffffffff,0x3ea1ffff,0xffd001ff,
    0x3fffea09,0xffffffff,0x5ffc85ff,0x47ffb800,0x0000fffc,0x2003fff5,
    0x7fe44ffe,0x7d40000f,0xff90006f,0x7f40001f,0x1fff002f,0x017fee00,
    0x6403ffc4,0xfd7103ff,0x0017dfff,0x001fff90,0x02ffdc00,0xf002ffe8,
    0x0ffe81ff,0xffb5ffb8,0x00fffd43,0xfe84ffe8,0xfff9803f,0x803ffe80,
    0xf500fff9,0x7ec000df,0x7ff9803f,0x05ffb800,0x27fe4000,0x213fe600,
    0xe800fffc,0x744001ff,0x03ffe85f,0x900fff98,0xffffffff,0x0fffffff,
    0x1dfb0000,0x004fff88,0x200fffa0,0x7c40fff9,0x540004ff,0xf10006ff,
    0x6c0009ff,0xff9803ff,0x17fee007,0x403ffc40,0xfb803ffc,0x3e60004f,
    0x400002ff,0xfb005ffb,0xfff3007f,0xf101ffd0,0x83ffb3ff,0xf9803ffe,
    0xfffb80ff,0x0fffa201,0x100fffdc,0x7d407ffd,0x3f20006f,0x5ffd806f,
    0x05ffb800,0xfff10020,0x2ffc4005,0x00efff88,0x2000fff4,0xffb80efe,
    0x3ffa201f,0x3bbffe03,0xeeeeeeee,0x00002fff,0x7e407ff2,0xf70003ff,
    0x7f4403ff,0x7fff903f,0x37fd4000,0x7fff9000,0x1bff2000,0x8017ff60,
    0xf1005ffb,0x7ff900ff,0x01fff300,0x017ffa00,0x17fee000,0x4037fe40,
    0xffe85ffd,0xfb9ff900,0x1fffb83f,0x40fffa20,0x881ffff8,0xf100fffe,
    0xfd103fff,0x7fd401ff,0x3fe20006,0x3ffee05f,0x5ffb8000,0x22033600,
    0x64006ffd,0x3fee01ff,0x3ffa02ff,0x0bfea001,0x40ffffc4,0x500fffe8,
    0x7ec00fff,0xf300005f,0x7ffc409f,0x116a00df,0xd103ffff,0x3e201fff,
    0x2a00dfff,0x006ffa85,0x37fffe20,0xff116a00,0x7ffdc0bf,0x17fee000,
    0x403ffc40,0xff003ffc,0xfb80609f,0x800000ff,0xf1005ffb,0x7fdc0bff,
    0x00ffe80f,0x3ffdfff1,0x81ffff88,0x200fffe8,0xcceffffa,0x402ffffe,
    0xcceffffa,0x402ffffe,0x40006ffa,0xabcffffb,0x003fffec,0x400bff70,
    0xfdcdeffd,0x74002fff,0x7fe400ff,0xecccefff,0x36001fff,0x3fea01ff,
    0xffecceff,0x3ff202ff,0x1ffee004,0x1ffdc000,0x3ffffea0,0x7ffedcdf,
    0xceffffa8,0x02ffffec,0x7fffffd4,0x87ffedcd,0x40006ffa,0xdffffffa,
    0xb87ffedc,0xcabcffff,0x4003fffe,0xf1005ffb,0x7ff900ff,0x3fffee00,
    0x984fdaac,0x00002fff,0x400bff70,0xabcffffb,0xd03fffec,0x7fe401ff,
    0xffa81fff,0xffecceff,0xff9802ff,0xefffffff,0xffff3001,0x03dfffff,
    0xdddfff50,0x0ddddddd,0x7fffffe4,0xb003ffff,0xfffddddd,0xb03ddddd,
    0xffffffff,0xffb0005f,0x7fd40339,0xffffffff,0x3ee001ff,0xff301adf,
    0xdfffffff,0x02fff803,0x00bffe20,0x2bbfe600,0xfffb1009,0xffffffff,
    0x3ffffe60,0x001effff,0xffffffb1,0xf50fffff,0xddddddff,0x6c40dddd,
    0xffffffff,0xfff907ff,0x7fffffff,0xeeeeed80,0xeeeeefff,0x403ffc41,
    0x36003ffc,0xffffffff,0x7ffff40f,0xffffffff,0xeed82fff,0xeefffeee,
    0xff901eee,0xffffffff,0x007ff407,0x03fffff3,0x3fffffe6,0x2001efff,
    0xeffffec8,0xfec88004,0x2004efff,0xfffffffa,0x407fffff,0xffffffd9,
    0x3ffa000d,0xffffffff,0xeb881fff,0x00deffff,0xfffff300,0xfffdc880,
    0x001befff,0x0fffffc4,0xffffec88,0x7ffa804e,0x04ffe800,0xffffd000,
    0xffedb807,0x201aceff,0xeffffec8,0xfdb70004,0x0359dfff,0xfffffff5,
    0x00ffffff,0xdffffdb7,0x7ecc0359,0x00dfffff,0xffffffe8,0x1fffffff,
    0x6403ffc4,0x7dc003ff,0x80dfffff,0xffffffff,0xffffffff,0xfffffe82,
    0xffffffff,0x3fff6601,0x7400dfff,0x7fec00ff,0x3b2201ff,0x004effff,
    0x00001980,0xfa8000cc,0xffffffff,0x22007fff,0xfd000099,0xffffffff,
    0x8803ffff,0x26000019,0x44006feb,0x88000199,0x3000efdb,0x5ffc8003,
    0x07ffb800,0xdfb51000,0x00198005,0x00000cc0,0xffa800cc,0xffffffff,
    0x198007ff,0x02662000,0xfffffd00,0xffffffff,0x807ff883,0x88003ffc,
    0x3e00aaa9,0xffffffff,0x2fffffff,0xffffffe8,0x1fffffff,0x00133100,
    0x26007ff4,0x2001ffff,0x00000019,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xee882ed8,0xffa80002,0x362000ef,0x00001fff,0x0e665d44,0xe882ed88,
    0x176c402e,0x90017744,0x4000bfff,0x3a22ffe8,0x540002ff,0x6c00efff,
    0x27fe44ff,0x7ffec400,0x7d400001,0x99800eff,0x19999999,0x7ffec400,
    0xff500001,0x2a0001df,0x0000efff,0x02fffe88,0x0fffec40,0x7fec4000,
    0x3620001f,0x90001fff,0x0000bfff,0xe88bffa2,0xca8802ff,0x0bcdefed,
    0x0e654000,0x222ffe88,0x99702ffe,0x43ffe409,0x40007ffd,0x4004fffa,
    0x2fffffe8,0xfff50000,0x3f207fff,0x07ffd87f,0x7ec3ffe4,0x7fd4007f,
    0x3a20005f,0x2fffacff,0x7ffd4000,0x3bff2004,0x8004ffe9,0x2fffffe8,
    0xfff50000,0x7fffc009,0x01ffffff,0xfffffd10,0xffa80005,0x3ea0004f,
    0x100004ff,0x8001dffd,0x2fffffe8,0x3ffa2000,0x88002fff,0x02fffffe,
    0x0bfff500,0x3ffa2000,0x802fffac,0xfffffffb,0x40003fff,0x3a200fff,
    0x2fffacff,0xb81fff60,0x7ffc87ff,0x3ffea000,0x7ff44002,0x002fffab,
    0x7ffffdc0,0xfff703ff,0xb80fff90,0x7ffc87ff,0x5ffe8800,0x7ffec000,
    0x540001ff,0xb8002fff,0x003fffff,0xfabffe88,0x540002ff,0x7c002fff,
    0xffffffff,0xffe8801f,0x002fffab,0x005fff50,0x017ffd40,0x4ffe8800,
    0xbffe8800,0x8002fffa,0xffabffe8,0x3fa2002f,0x02fffabf,0x0bffd100,
    0x7ffec000,0xffe801ff,0xfffeefff,0x3ea0003f,0xfffb004f,0xffd803ff,
    0x20bb2207,0x30001dc8,0x88001bdb,0x3b621ded,0xff10001e,0x402617df,
    0xdc882ec8,0x41764401,0x20001dc8,0x40003eec,0x0001deec,0x0006f6cc,
    0x005ddd70,0x443bdb10,0x30001eed,0x30001bdb,0x33333333,0x3bdb1003,
    0x000f76c4,0x00037b66,0x000ded98,0x00bbb600,0x8877b620,0x22001eed,
    0x3b621ded,0xded8801e,0x007bb621,0x003eec80,0x077bb200,0x02ffff60,
    0xd0000dcc,0x764003ff,0xffd801de,0x00000007,0x00000000,0x07ffc800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe60000,
    0x4000001f,0x00005ff9,0x007ffd80,0x00000000,0x80000000,0x00004ffe,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x001bfee0,
    0x0bff2000,0x3f200000,0xdca8806f,0xc8009bde,0x997000cc,0x000ccc83,
    0x22003997,0x2e001fff,0xcccccccc,0x000ccccc,0x00059999,0x99999997,
    0x81999999,0xb801cccb,0x399700cc,0xcccc8000,0x401abccc,0x98003cc8,
    0x6665c1cc,0x80ccb801,0xcccccccb,0x80cccccc,0xcccccccb,0x80cccccc,
    0xcccccccb,0x70cccccc,0x93000999,0x33320199,0x01abcccc,0x16666400,
    0x00333200,0xccb8e65c,0xccc98004,0x59999000,0xcccca800,0xcccccccc,
    0x17ff24cc,0xff100000,0x3333260d,0xcccccccc,0x3f23cccc,0x7ff4c06f,
    0x00efffff,0xe8007ffc,0x07ffc2ff,0x002ffe80,0xe800fff3,0xffffffff,
    0x801fffff,0x005ffffa,0xffffffe8,0x1fffffff,0x4037fff4,0xffb01ffd,
    0xfff80007,0xefffffff,0x00dff102,0xfe87ff50,0xffd806ff,0xfffffe81,
    0xffffffff,0xfffffe81,0xffffffff,0xfffffe81,0xffffffff,0x007fff51,
    0x3e05ffe8,0xffffffff,0xfa8002ef,0x7c005fff,0xffd001ff,0x00fffea5,
    0x200bffd0,0x005ffffa,0x7fffffe4,0xffffffff,0x01fff70f,0x7fdc0000,
    0xfffff703,0xffffffff,0x7fe4bfff,0x3fffee06,0x1fffffff,0x4003ffe0,
    0x7ffc2ffe,0x05ffd000,0x001bfea0,0xfffffffd,0x03ffffff,0x1fffffb0,
    0xffffe800,0xffffffff,0x7ffff41f,0x80ffec01,0x40003ffd,0xffffffff,
    0xff04ffff,0x5ff7000f,0x01ffffe8,0x7f40ffec,0xffffffff,0xfe81ffff,
    0xffffffff,0xfe81ffff,0xffffffff,0x3fa1ffff,0xff7000ff,0x7fffc01f,
    0xffffffff,0x7ffec004,0x3fe000ff,0x5ffd001f,0x8007fff4,0xb000fffb,
    0x001fffff,0x7fffffe4,0xffffffff,0x1bfff30f,0x3fa00000,0xffff700f,
    0xffffffff,0x7e4bffff,0xbfff706f,0x3ffee615,0x01fff01f,0xff0bffa0,
    0x3ffa001f,0x0bff9002,0x0bff7000,0x7f7ffc00,0xfb80003f,0xfffd005f,
    0x1ffd80bf,0x0007ffb0,0x2e21fff8,0xf82ffffd,0xffb8007f,0x2fffff42,
    0x4007ff60,0x40005ffb,0x40005ffb,0xf9805ffb,0xfff004ff,0x21fff809,
    0x2ffffdb8,0x3fbffe00,0x3ffe003f,0x45ffd001,0xf004fff9,0x7fc009ff,
    0x2003ffef,0xaaaaaaa9,0x5fffbaaa,0x0177ffec,0x17fea000,0x99999988,
    0x9999effc,0x1bff2099,0xf302fffc,0x3ffe09ff,0x85ffd000,0xfd000fff,
    0x3ff6005f,0xffb80004,0xbff50005,0x0000bff7,0x3a00bff7,0x201fffff,
    0xffb01ffd,0xfff80007,0x0dffd101,0xf9000ffd,0xffffe83f,0x07ff601f,
    0x002ffdc0,0x0017fee0,0x200bff70,0x5c00fffd,0x7fc00fff,0xdffd101f,
    0x2f7fea00,0x3fe005ff,0x5ffd001f,0x400fffd8,0x5000fffb,0x0bff7bff,
    0x3ff20000,0x7fff440f,0x80000bef,0x70001ffd,0x3ee00bff,0x06ffb85f,
    0xf80fffa8,0xffd000ff,0x000fff85,0x3a005ffd,0xb80003ff,0xf90005ff,
    0x01fff35f,0x05ffb800,0xbff9ffd0,0xd80ffec0,0x7c0003ff,0x3fea01ff,
    0x000ffe87,0x3fa0ffe4,0x3605ffcf,0xff7001ff,0xffb8000b,0x7fdc0005,
    0x9fff1005,0x01fffc40,0xf500fffc,0x3ff200ff,0x000fff9a,0x3a003fff,
    0x7ffc42ff,0x0fffe204,0xf9affc80,0x400000ff,0x3202fffa,0x1dffffff,
    0x0dff1000,0x02ffdc00,0x7c45ffb8,0xfff003ff,0x001fff07,0xfff0bffa,
    0x0bffa001,0xfffffff7,0x5fffffff,0x02ffdc00,0xfd0fff80,0xfb80005f,
    0x3ffd005f,0x3f601fff,0x07ffb01f,0x01fff800,0xfb03ffe6,0xffc8001f,
    0x7fcfff40,0x03ffb00f,0x0017fee0,0x000bff70,0x2005ffb8,0xf901fffc,
    0x3ffe00df,0x03ffe601,0x7f43ffe0,0x3fff002f,0x20bffa00,0xf901fffc,
    0xfff800df,0x0005ffd0,0x02fff440,0x7ffffe44,0x7e4000df,0x3ee0002f,
    0xbff7005f,0x000fffa8,0xfff0dff9,0x0bffa001,0x3a001fff,0x7ffdc2ff,
    0xffffffff,0x2e002fff,0xfa8005ff,0x017ff26f,0x00bff700,0x3ff23ffa,
    0x203ffb04,0x40003ffd,0x3e601fff,0x01ffd87f,0x3a07fec0,0x04ffc8ff,
    0x2e003ffb,0x5c0005ff,0x5c0005ff,0x3e2005ff,0xfff885ff,0x03fff002,
    0x5403ffcc,0x17ff26ff,0x800fffc0,0xff882ffe,0x2fff885f,0xc9bfea00,
    0x200005ff,0x2000fffc,0xfffffeb8,0x01ffe001,0x00bff700,0xff717fee,
    0x3ffd400b,0xe8007ffc,0x07ffc2ff,0x4c2ffe80,0xfffdcccc,0x01cccccc,
    0x0017fee0,0xff98fff2,0x3ee0000f,0x1ffd005f,0xfb01fff3,0x0fff603f,
    0x03fff000,0x7e437fdc,0xd81cc81f,0x98ffe87f,0xffd80fff,0x0bff7001,
    0x05ffb800,0x02ffdc00,0x907ffee0,0x7fc00bff,0x1bfee01f,0xf98fff20,
    0xfff800ff,0x05ffd001,0xf907ffee,0xffc800bf,0x003ffe63,0x0bffe600,
    0xfffea800,0x4ffa800e,0x2ffdc000,0x645ffb80,0x3e6004ff,0x00fff87f,
    0xff85ffd0,0x5ffd000f,0x00fff500,0x017fee00,0xff03ffe0,0x7dc0005f,
    0x1ffd005f,0x3f613ff6,0x07ffb01f,0x01fff800,0xf907fff3,0x84ffa85f,
    0x0ffe87fe,0xffb09ffb,0x17fee003,0x0bff7000,0x05ffb800,0x226ffe80,
    0x3e001fff,0xfff301ff,0x81fff007,0xff802fff,0x5ffd001f,0xf137ff40,
    0xff8003ff,0x017ffc0f,0x02fff400,0x3fffc800,0x000ffe80,0x802ffdc0,
    0x7fec4ffa,0x3ffe2003,0x8007ffc0,0x7ffc2ffe,0x05ffd000,0x000bff70,
    0x0017fee0,0xff90dff5,0x7fdc000b,0x21ffd005,0x7ec0fff9,0x07ffb01f,
    0x21fff800,0x05fffc99,0xffc85ff7,0xfe86fe87,0x81fff30f,0xf7001ffd,
    0xfb8000bf,0x7dc0005f,0xffa8005f,0x009ff92f,0x2661fff8,0xa805fffc,
    0x5ffc86ff,0xccdfff80,0xfccccccc,0x3fea02ff,0x009ff92f,0xfc86ffa8,
    0x7e40005f,0x200000ff,0x7cc05ffd,0xfb80005f,0x9ff5005f,0x4003ffe8,
    0x7ffc1fff,0x85ffd000,0xfd000fff,0x9ff9005f,0x3fee0000,0x1ffe4005,
    0x0007ffd4,0xd005ffb8,0x1fff41ff,0x7ec07ff6,0x7fc0003f,0xffffffff,
    0x0ffea05f,0xff85ffff,0x3a0ffe86,0x0ffec3ff,0x005ffb80,0x002ffdc0,
    0x0017fee0,0x7fc77fec,0x7ffc000f,0xffffffff,0x07ff9005,0xf801fff5,
    0xffffffff,0x2fffffff,0x7c77fec0,0x7e4000ff,0x0fffa83f,0x5fff3000,
    0xffb80000,0x017fec07,0x02ffdc00,0x7fc4ffa8,0x7ffc002f,0x8007ffc1,
    0x7ffc2ffe,0x05ffd000,0x0007ffb0,0x0017fee0,0x3fe03fff,0xff70002f,
    0x83ffa00b,0x7fec7ffa,0x007ffb01,0xffffff80,0x5401cfff,0x3ffe63ff,
    0x742ffc5f,0x1ffea0ff,0x2e003ffb,0x5c0005ff,0x5c0005ff,0xf30005ff,
    0x007ffdff,0xfffffff0,0x7c0039ff,0x5fff01ff,0xffffff80,0xffffffff,
    0x7fcc02ff,0x8003ffef,0xfff01fff,0x3ffa0005,0xfb800005,0x1bfe206f,
    0x2ffdc000,0x744ffa80,0x3e2003ff,0x07ffc0ff,0x7c2ffe80,0xffd000ff,
    0x05ffd005,0x17fee000,0x206ffa80,0x70005ffd,0x3fa00bff,0xb17ff40f,
    0x3ff603ff,0x7ffc0003,0x1effecac,0xf91ffcc0,0x5ff8ffbd,0x7f40ffe8,
    0x007ff62f,0x0002ffdc,0x00017fee,0x4000bff7,0x007ffffc,0xd959fff0,
    0x2a003dff,0x3ff606ff,0x4d7ffc05,0x99999999,0xfc802ffe,0xa8007fff,
    0x3ff606ff,0xfffc8005,0xfe800000,0x0ffee04f,0x2ffdc000,0x27fec000,
    0xf0fff300,0x3fa001ff,0x007ffc2f,0xf802ffe8,0x700001ff,0x7e400bff,
    0x3ffea04f,0x5ffb8000,0xb81ffd00,0x07ff66ff,0x0001ffec,0xff707ffe,
    0x27fcc01f,0x25ff79ff,0xffe84ff8,0xfb37fdc0,0x3fee003f,0x7fdc0005,
    0x7fdc0005,0x3fe20005,0xff0002ff,0x0fffb83f,0x204ffc80,0x3e00fffa,
    0xffd001ff,0xffff1005,0x9ff90005,0x007ffd40,0x005fff30,0x3f62006e,
    0x3ffa01ff,0xff700000,0xff90000b,0x37fcc009,0xe8007ffc,0x07ffc2ff,
    0x402ffe80,0x0000fff8,0x400bff70,0x3e201fff,0xfb8002ff,0x1ffd005f,
    0x3f65fff0,0x07ffb01f,0x81fff800,0x3e205ffd,0xf33ff34f,0x213fe2bf,
    0xfff80ffe,0x2003ffb2,0x40005ffb,0x40005ffb,0x40005ffb,0x20006ffb,
    0xffd81fff,0x01fff805,0xf80bffe2,0xffd001ff,0x1bfee005,0x00fffc00,
    0x4005fff1,0x3e005ffe,0xccccdeff,0x202ffffe,0x00004ffa,0xa8017fee,
    0x006ffb82,0x3fe17ff2,0x3ffd001f,0xd001fff8,0xff9803ff,0x3ee00007,
    0xfff5005f,0xffffffff,0x7000bfff,0x3fa00bff,0xb5ffb80f,0x3ff603ff,
    0x7ffc0003,0x02fff881,0x9ff2bff1,0x3ff98ffe,0xfb80ffe8,0x003ffb5f,
    0x00017fee,0x8000bff7,0x40005ffb,0x20005ffb,0xff881fff,0x3ffea02f,
    0xffffffff,0x3fe05fff,0x5ffd001f,0x017fee00,0x3ffffea0,0xffffffff,
    0xfff9005f,0x7fffc001,0xffffffff,0x0ffec03f,0xbff70000,0x51bff600,
    0x3a003fff,0x2ffe84ff,0xe81fff00,0xfff002ff,0x05ffa801,0x17fee000,
    0x7ffffe40,0xffffffff,0xffb8007f,0x01ffd005,0xffb3fff1,0x00fff603,
    0x203fff00,0x3fe06ffd,0x7fdc9fd6,0xfe83ff9a,0x9fff880f,0xf7001ffd,
    0xfb8000bf,0x7dc0005f,0x7dc0005f,0x3fe0005f,0x0dffb01f,0x7fffffe4,
    0xffffffff,0x007ffe07,0xb8017ff4,0xfc8005ff,0xffffffff,0x807fffff,
    0x4002fff9,0xffffffec,0xf9802dff,0x5c00006f,0xff8805ff,0x1fff42ff,
    0x407ffcc0,0xf9803ffd,0x03ffd87f,0xd807ff98,0x200004ff,0xff005ffb,
    0xdddddddf,0x05fffddd,0x005ffb80,0x3f201ffd,0xb01ffdcf,0xf80007ff,
    0xfff301ff,0x3e7bfe05,0x27bfe21f,0x0ffe82ff,0xffb9ff90,0x17fee003,
    0x0bff7000,0x05ffb800,0x02ffdc00,0x203fff00,0xff02fff9,0xdddddddf,
    0x05fffddd,0x74007ffe,0xff7002ff,0xdfff000b,0xdddddddd,0xe805fffd,
    0x440005ff,0x001ffe99,0x0000bff2,0x100bff70,0xfb85ffff,0x3fa201ff,
    0x0dff903f,0xf90bffb0,0xbffb00df,0x02fff880,0x17fee000,0x801ffea0,
    0x5c005ffd,0xffd005ff,0x3bffe201,0x7ffb01ff,0x1fff8000,0x741bff60,
    0xfe87fbff,0xfe82ffbf,0xdfff100f,0x3ee003ff,0x7dc0005f,0x7dc0005f,
    0x7dc0005f,0x3fe0005f,0x1bff601f,0xd801ffea,0x3fff05ff,0x00bffa00,
    0x2002ffdc,0x36007ffa,0x3fee05ff,0x3e00000f,0x3fe2007f,0xfb800007,
    0xdff9005f,0x03ffff10,0x201fffd1,0x2e05fff8,0xff880fff,0x3ffee05f,
    0x07ffe400,0xbff70000,0x009ff900,0x2003ffdc,0xfd005ffb,0x7ffe401f,
    0x7ffb01ff,0x1fff8000,0x207ffe60,0xb84feffe,0xe81ffeff,0x3ff200ff,
    0xf7001fff,0xfb8000bf,0x7dc0005f,0x7dc0005f,0x3fe0005f,0x3ffe601f,
    0x0027fe41,0x3fe0fff7,0x5ffd001f,0x017fee00,0x4009ff90,0xff307ffb,
    0x4c00005f,0x3ee005ff,0xb800003f,0x062005ff,0xceffffa8,0x02ffffec,
    0x5e7fffdc,0x03fffeca,0x2f3fffee,0x43fffeca,0xffffccc8,0x3bb60004,
    0xeefffeee,0x3ffe1eee,0x3ffe2002,0xdddddb02,0xdddddfff,0x200ffe83,
    0x01fffff9,0xdddddffb,0x209ddddd,0x7f401fff,0xffffd85f,0xfffff882,
    0x200ffe80,0x81fffff9,0xffeeeeed,0x81eeeeef,0xffeeeeed,0x81eeeeef,
    0xffeeeeed,0x01eeeeef,0x000bff70,0x3a00fffc,0x17ffc5ff,0x05fff100,
    0x3a003fff,0xff7002ff,0x2fff800b,0x0bffe200,0x3ffffffa,0xffffffff,
    0x0bfee02f,0x000ffe80,0x05ffb800,0x7ffcc000,0x1effffff,0xfffff900,
    0x007fffff,0xfffffff9,0xff307fff,0x001bffff,0x7fffff40,0xffffffff,
    0x000fff51,0x3fa09ffd,0xffffffff,0x7f41ffff,0x7ffec00f,0xffffb01f,
    0xffffffff,0x007ffe0b,0xfc83fff5,0x3ff607ff,0x0ffe80ff,0x0ffffec0,
    0x7ffffff4,0x1fffffff,0xffffffe8,0x1fffffff,0xffffffe8,0x1fffffff,
    0x00bff700,0x200fffc0,0xff51fffa,0x9ffd000f,0x2003fff0,0xf7002ffe,
    0x7fd400bf,0x4ffe8007,0xfffffff8,0xffffffff,0x03ff202f,0x002ffcc0,
    0x05ffb800,0xfec88000,0x8004efff,0xffffffd9,0x3f66000d,0x00dfffff,
    0x07dffff3,0xffffd000,0xffffffff,0x017ff23f,0x741ffee0,0xffffffff,
    0x741fffff,0x7fcc00ff,0xfffb01ff,0xffffffff,0x07ffe0bf,0xf917ffa0,
    0x7fd409ff,0x01ffd07f,0x81ffff98,0xfffffffe,0x81ffffff,0xfffffffe,
    0x81ffffff,0xfffffffe,0x01ffffff,0x000bff70,0x7400fffc,0x0bff95ff,
    0xf0fff700,0x3fa003ff,0xbff7002f,0x02ffe400,0x7c3ffdc0,0xffffffff,
    0x2fffffff,0xb800aaa0,0x000001ee,0x0000bff7,0x00003300,0x00004cc4,
    0x30004cc4,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77ffd400,0xdb951000,0x8000379d,0x401efff9,0x3a22ffe8,
    0xc80002ff,0x40001ccc,0x800efffa,0x99999999,0x7fe40019,0x3620005f,
    0x02ee882e,0xdfff5000,0x00266401,0x26666600,0x40019999,0x001fffd8,
    0x3a20bb62,0x4ffd802e,0x08027fe4,0x00000000,0x00000000,0x00055500,
    0x00155400,0x9980732a,0x001aaa80,0x0b332e00,0x02664400,0x001e6654,
    0xa8000a98,0xb1004fff,0xffffffff,0x3e6000df,0xd1000dff,0x5fff59ff,
    0xfffb0000,0xffa80005,0x3ffe004f,0x1fffffff,0x2fffd400,0x87ffc800,
    0x80007ffd,0xc804fffa,0x200002ff,0xffffffff,0xfd1001ff,0x2005ffff,
    0xffd87ffc,0x3dff9007,0xf3009ffd,0x200000bf,0x001effd8,0x03dffb10,
    0x3ea00000,0xca80004f,0x00bff31c,0x40ffffd4,0x3ff25ff8,0x0001efff,
    0x0027ffe4,0x200fff10,0x4005fffb,0x2000fffc,0x3002fffa,0xffffffff,
    0x3000ffff,0x20007fff,0x01fffffd,0x1effd800,0x7ffd4000,0x7fffc002,
    0x01ffffff,0x05ffe880,0xc87ffb80,0x540007ff,0xf3002fff,0x7c0000bf,
    0xffffffff,0xffe8801f,0x802fffab,0xffc87ffb,0x3ffee007,0xff9003ff,
    0xd000005f,0x003ffdff,0x3ffdffd0,0xf9000000,0xf900003f,0x00bff27f,
    0x7fff7fd4,0x746ffc41,0xffffffff,0xfff90000,0x4ccc4005,0x999fffa9,
    0x17ffa600,0x1ffffc40,0x00ded980,0x59ffff70,0x01fae621,0x003bdb10,
    0x01deec80,0x0dffd800,0x6f6cc000,0x99998000,0x00199999,0x001f7640,
    0x3220bb22,0x3660001d,0x7f4000de,0x3300000f,0x33333333,0x43bdb100,
    0x4401eed8,0x1dc882ec,0x17775c00,0x09fff500,0x25fb8000,0x7dc006fb,
    0x0001bee5,0x3fa05b71,0xff900006,0x5401ffa7,0xfff98eff,0x3fbbfe21,
    0xfffeaadf,0xeffc8005,0x7ffd4000,0xffffffff,0x2ffec402,0x03ffff80,
    0x3fe20000,0x001801ef,0x00000000,0xf1f76400,0x0000009f,0x00000000,
    0x00000000,0xfa800000,0x0000004f,0x00000000,0x00000000,0x0009ffb0,
    0x3e22fc80,0x117e4007,0xfd8000ff,0x04ff882f,0x17ff9000,0xdd3009ff,
    0x10ded889,0x705fffff,0x54001fff,0xf50004ee,0xffffffff,0x3ae005ff,
    0xeffb803e,0x32000000,0x00000fff,0x00000000,0x3fe60000,0x00000002,
    0x00000000,0x00000000,0x7ff80000,0x00000000,0x00000000,0x50000000,
    0x800007ff,0x01be65fb,0x37ccbf70,0x0bff6000,0x00003baa,0x7755ffe4,
    0xf1000001,0x3e203fff,0x000001ff,0x5d555440,0x00aaafff,0x80620000,
    0xccccccc9,0x444ccccc,0x00003fff,0x99999910,0x93039999,0x99999999,
    0x00009999,0xcca80ff9,0xcccccccc,0x2004cccc,0x8002cccc,0xccccccc9,
    0x2e4ccccc,0xc98004cc,0x999000cc,0xff900059,0x664c0005,0xcccccccc,
    0x999304cc,0x99999999,0x33326099,0xcccccccc,0x9999904c,0x80013599,
    0x00001ffb,0x7fe77fc4,0x77fc4003,0x40003ffc,0x00002ffd,0x007ff900,
    0x3fe20000,0x17ff403f,0x40000000,0x00007ff8,0x3fea0000,0xffffffff,
    0x3ffe47ff,0xff900000,0xffffffff,0xfffff505,0xffffffff,0xf5551000,
    0xfffc809f,0xffffffff,0xa800ffff,0x8005ffff,0xfffffffa,0x2a7fffff,
    0x74003fff,0xff5005ff,0xf1000bff,0x7d4000df,0xffffffff,0xff507fff,
    0xffffffff,0x3fea0fff,0xffffffff,0xffff07ff,0x7fffffff,0x04ffca80,
    0xffd30000,0x3a60007f,0x80003fff,0x00002ffd,0x007ff900,0x066a6200,
    0xfb00fff1,0xa988007f,0x9a880019,0x8007ff88,0x801aaaa9,0xfff50099,
    0xffffffff,0x04ffd8ff,0x3ffe0000,0xffffffff,0xfffffa82,0x7fffffff,
    0xffff9100,0xfc809fff,0xffffffff,0x00ffffff,0x0fffffd8,0x7fffd400,
    0xffffffff,0x007fff47,0x000fffb8,0x01fffffb,0x003ffb00,0x3ffffea0,
    0x7fffffff,0xffffff50,0x0fffffff,0x3fffffea,0x07ffffff,0xffffffff,
    0x203dffff,0x00004fff,0x00009980,0x88000998,0xbffe9999,0x09999999,
    0x89a98800,0x20003ffc,0xffffffd9,0x00fff15f,0xb3007ff9,0xbfffffff,
    0xffffeb80,0x7007ffff,0xfffffffb,0x13fe607f,0x80037fd4,0x00002ffe,
    0x9ffbff50,0x037fd400,0xfffd3000,0x1dffffff,0x2aaaaa60,0xffbaaaaa,
    0xdfff005f,0xfa8007ff,0xff30006f,0x3ffe009f,0x3bffe004,0xfa8003ff,
    0xff50005f,0xffa8000d,0x7fd40006,0x7ffc0006,0x3ff6ea60,0x01bd82ff,
    0x00ccc000,0x4c004cc4,0x4001aaaa,0xfffffffe,0xffffffff,0xfffb1003,
    0x07ffffff,0x3fffee00,0xf17fffff,0x7ff900ff,0xfffffb80,0xb107ffff,
    0xffffffff,0xff100fff,0xffffffff,0x09ff30df,0x4001bfea,0x00001fff,
    0x9ff7dfd0,0x037fd400,0xefff9800,0xfffff99b,0xffc80005,0xdffa800f,
    0x54005ffb,0x360006ff,0x7dc00fff,0xff5000ff,0x000bff7b,0x20003ffa,
    0x40006ffa,0x40006ffa,0x40006ffa,0x3aa00fff,0x26200fff,0x401aa981,
    0xfc807ff8,0xfffb703f,0x007fffff,0x3ffffffa,0xffffffff,0xfffb803f,
    0xffffffff,0xfffd8003,0x7ecaaace,0xf900fff1,0x7ffec07f,0x7ecaaace,
    0xacffff88,0x07ffeca9,0x9abdff88,0x44fffea9,0xff504ff9,0xfff1000d,
    0xf3000001,0x009ff79f,0x00037fd4,0x7d45ffe8,0x003fffcf,0x00bffea0,
    0x7fcd7fe4,0x3fea000f,0x3fe20006,0x3ffe204f,0x2bff2003,0x8000fff9,
    0xa8003ffb,0x540006ff,0x540006ff,0x7c0006ff,0x7fc400ff,0x43ff604f,
    0x2fffffea,0x900fff10,0xfff107ff,0xffffffff,0x5555500d,0x55559ffd,
    0xfd803555,0xdba9bdff,0x54003fff,0x88c04fff,0xffc807ff,0x09fff503,
    0x0dffc818,0x200fff10,0x47ffd802,0xff505ff9,0xfff3000d,0xf9000001,
    0x009ff71f,0x00037fd4,0x7e437fd4,0x000dffb7,0x8017ffa2,0x5ffd0fff,
    0x037fd400,0x07fff200,0x20037fe4,0x5ffd0fff,0x0dff1000,0x00dff500,
    0x006ffa80,0x0037fd40,0x2003ffe0,0xfb00fffb,0xfffff71f,0xff107fff,
    0x07ff900f,0x3357bff1,0x009fffd5,0x0005ffb0,0x9017ffcc,0x7c4007ff,
    0x3e2004ff,0x3ffc807f,0x004fff88,0x200fff98,0x00007ff8,0xfa83ffe6,
    0x0dff505f,0x03fff300,0x5ff88000,0x54009ff7,0xe80006ff,0x14ff83ff,
    0x90003fff,0x2a001fff,0x17ff26ff,0x006ffa80,0x42fffc40,0x2002fff8,
    0x3ff26ffa,0x5ff90005,0x06ffa800,0x037fd400,0x01bfea00,0x001fff00,
    0x3605fff1,0x9beffcff,0x440ffffc,0xffc807ff,0xffb00503,0x5ffb000f,
    0x17ff4000,0x800fff20,0x2000fffb,0xfc807ff8,0x0fffb83f,0x04ffc800,
    0x0003ffc4,0xfa8bffa0,0x0dff505f,0x05fff100,0x2ffb8000,0x54009ff7,
    0xf80006ff,0x17fd40ff,0x98007ffd,0x32002fff,0x3ffe63ff,0x0dff5000,
    0x3fff7000,0x4005ffc8,0x3fe63ffc,0xff98000f,0x37fd4005,0x1bfea000,
    0x0dff5000,0x00fff800,0x3609ffb0,0xf884ffff,0x3ffc43ff,0x001ffe40,
    0x001fff30,0x0002ffd8,0xf900dff5,0x7fec007f,0x3ffc4004,0x6c1ffe40,
    0xfd0004ff,0x7ff8803f,0x7fec0000,0x5417fea2,0xff0006ff,0xe800007f,
    0x013fee7f,0x0006ffa8,0x7e43ffc4,0x001ffec7,0xf0017ffa,0x2fff81ff,
    0x00dff500,0x89bffa00,0x7c001fff,0x17ffc0ff,0x01ffe800,0x001bfea0,
    0x000dff50,0x0006ffa8,0xc8007ffc,0xfffb05ff,0x227ff409,0xfc807ff8,
    0x7f40003f,0x7fec002f,0x9ff70002,0x007ff900,0x20017ff4,0xfc807ff8,
    0x02ffe83f,0x801fff00,0x44007ff8,0xfcccccaa,0x1bfea2ff,0x6667ffd4,
    0x42cccccc,0x00005ffe,0xffb93fe6,0x504cccce,0x99999fff,0x26059999,
    0x44ff86ff,0x32004ffb,0x2a000fff,0x5ffc86ff,0x99fff500,0x59999999,
    0x92fffa80,0xfa8009ff,0x05ffc86f,0x009ff500,0x6667ffd4,0x02cccccc,
    0x9999fff5,0x20599999,0xccccfffa,0xf02ccccc,0x3ee001ff,0x0bffb06f,
    0x7c45ffb8,0x3ffc807f,0x17fec000,0x00bff600,0x401ffe40,0x3e003ffc,
    0x7c4001ff,0x3ffc807f,0x8001fff8,0xf8807ff8,0xff91007f,0xffffffff,
    0x837fd45f,0xfffffffa,0x644fffff,0x00000fff,0x7fdc3ff9,0x80ffffff,
    0xfffffffa,0x304fffff,0x2ffa8dff,0x98027fdc,0x64002fff,0xfffa83ff,
    0xffffa800,0xffffffff,0x8effd804,0x64000fff,0xfffa83ff,0x1fff0000,
    0x3fffea00,0xffffffff,0xfffff504,0x9fffffff,0x3ffffea0,0x4fffffff,
    0x2001fff0,0xffb07ffb,0x46ffa805,0xfc807ff8,0x6554403f,0x2fffcccc,
    0x017fec00,0x802ffd80,0xf1003ffc,0xf88003ff,0x3ffc807f,0x000fffc4,
    0x4403ffc4,0xff8807ff,0xeeeeefff,0x3fee2fff,0xfffff506,0x9fffffff,
    0x004fff88,0x5c6ff880,0xffffffff,0xfffffa80,0x4fffffff,0xfc8fff10,
    0x002ffc87,0xf000bffd,0x3ffe03ff,0xffffa802,0xffffffff,0xefff9804,
    0xff8003ff,0x05fff01f,0x00ffee00,0x7fffffd4,0x04ffffff,0xfffffff5,
    0x209fffff,0xfffffffa,0xf04fffff,0x3ea001ff,0x05ffb07f,0x7c46ff98,
    0x3ffc807f,0xfffff910,0x05ffffff,0x002ffd80,0x9005ffd0,0x7fc007ff,
    0x7fc4002f,0x83ffc807,0x88002fff,0x7c400fff,0xeffe807f,0xb8bff602,
    0xdff506ff,0x33333333,0x7fffb013,0x3ffb8000,0x50027fdc,0x33333dff,
    0x22013333,0x13fe0fff,0x32007ff6,0x54000fff,0x3ff606ff,0x9effa805,
    0x99999999,0xffff9000,0xdff5000f,0x002ffec0,0x5006ff88,0x33333dff,
    0x2a013333,0x99999eff,0xf5009999,0x333333df,0x3fe01333,0xdff7000f,
    0x300bff60,0x7ff88dff,0x883ffc80,0xeeefffff,0x002fffee,0x80017fec,
    0xfc802ffd,0x3ff6003f,0x00000003,0x8001ffec,0x7d400fff,0x7ffcc07f,
    0x717fec00,0x3fea0fff,0x3fe60006,0x16a00dff,0x3ee07ff4,0x3fea004f,
    0xffe80006,0xf885ff33,0x7fcc00ff,0xffc8002f,0x03ffea04,0x000dff50,
    0x2ffff880,0x04ffc800,0x0003ffea,0x5400ffec,0x540006ff,0x540006ff,
    0x7c0006ff,0xff9000ff,0x00bff60d,0xff88dff3,0x83ffc807,0x3602effe,
    0x7ec002ff,0xff90002f,0x07ffd007,0x0037fe40,0x3f200000,0xffd0006f,
    0x3fffc405,0x201bfee0,0x3fee2ffd,0x00dff507,0xfffff980,0x7ffedcdf,
    0xfb85ff98,0x3fea004f,0xffb80006,0xfc87fc8f,0x5ffe804f,0x03fff000,
    0x2017ffc4,0x00006ffa,0x0006ffb8,0x7c403fff,0xf30002ff,0xdff500bf,
    0x6ffa8000,0x37fd4000,0x03ffe000,0xd827fec0,0x7fcc02ff,0x403ffc46,
    0x7fcc3ffc,0x17fec00f,0x00fff600,0x202ffe40,0x2003fffc,0x0003fff9,
    0x2007ff88,0x8003fff9,0xfd105ffc,0xffb80fff,0x17ffdc05,0x3ea0fff7,
    0xe980006f,0xffffffff,0xdffd87ff,0x4ffdcccc,0x01bfea00,0x3bffe200,
    0x7ffe44ff,0x07ffe400,0x7fffd400,0xffffffff,0x7fd405ff,0xfb800006,
    0xffa8005f,0xffffffff,0x0005ffff,0xf5003ffa,0xfa8000df,0x7d40006f,
    0x7fc0006f,0xfff8800f,0x805ffb02,0xfff86ff9,0x0fffe601,0xfb00dff7,
    0xffc8005f,0xfff30005,0x3fffee01,0x7ffec003,0xf500a204,0xffd8009f,
    0xf30a204f,0xffe985ff,0x7fd407ff,0xfffe880f,0x41fff22f,0x00006ffa,
    0x3fffff6a,0x7fc41ace,0xffffffff,0x3fea004f,0xff500006,0xfd959fff,
    0xff9807ff,0xff90002f,0xffffffff,0xa80fffff,0x800006ff,0xc8005ffb,
    0xffffffff,0x07ffffff,0x013fee00,0x8000dff5,0x40006ffa,0x40006ffa,
    0xfc800fff,0x5ffb00ff,0xe86ff980,0xfff103ff,0x05ffb87f,0x0017ffdc,
    0x000bffea,0x7dc2fff4,0x4003ffef,0xcdeffff8,0x5c07fdcb,0x7c4002ff,
    0xcbcdefff,0xfffe87fd,0xe9fffdbc,0x7ffc407f,0xfffdbabf,0x3ff22ffe,
    0x00dff507,0x03fff000,0xffffff70,0x009fffff,0x00037fd4,0xffffff50,
    0xd005ffff,0x7c000bff,0xeeeeeeff,0x2fffeeee,0x001bfea0,0x017fee00,
    0x3bbbffe0,0xfeeeeeee,0x3e0002ff,0x37fd407f,0x1bfea000,0x0dff5000,
    0x00fff800,0xb027ffc4,0xff9805ff,0x40effd86,0x43ffffe9,0xe880fffa,
    0x8002ffff,0xabdffffe,0x3fee03dc,0xcfffcbef,0x88003ffa,0xfffffffd,
    0x3fec07ff,0xfffd8800,0x87ffffff,0xffffffe8,0x500ffd1f,0xffffffff,
    0x645ff73d,0xdff507ff,0xff880000,0x01ffd006,0xa8013fee,0x400006ff,
    0xeffffff8,0xfffb800d,0xfff50000,0x02ffec00,0x0000dff5,0x800bff70,
    0x36007ffa,0x320005ff,0x3fea02ff,0x7fd40006,0x7fd40006,0x7ffc0006,
    0x3fffa600,0x00bff600,0xff30dff3,0xfff959ff,0xff887ff9,0xffdbabff,
    0x8002ffef,0xfffffff9,0x7fe403ff,0xf54fffff,0x6d40007f,0x3dfffffe,
    0x0002ffc0,0x3ffffb6a,0xffb103df,0x3ff419df,0xffffe980,0xc8bfee4e,
    0xffa80fff,0x7d400006,0x5ffa804f,0x8013fee0,0x00006ffa,0x00cd7fcc,
    0x00bffe60,0x004ffc80,0xfa81ffee,0xb800006f,0x7e4005ff,0x3fee004f,
    0x3fe20007,0x01bfea06,0x00dff500,0x006ffa80,0x2207ffc0,0x02ffffc9,
    0x26017fec,0xfffb06ff,0xf53dffff,0xffff507f,0xf73dffff,0x3220005f,
    0x2fffffff,0xdfffeb80,0x000ffea2,0x20009980,0x400001aa,0x04c00099,
    0x04cc0000,0x20555300,0xeeeefffa,0x006eeeee,0xfb003ff9,0x77fdc05f,
    0xa82ccccc,0xeeeeefff,0x9006eeee,0x7f4000ff,0xffffffff,0x22ffffff,
    0x22002fff,0xff502fff,0xdddddddf,0x7dc00ddd,0x7ffc005f,0x3ffe2002,
    0x3ff60002,0xddfff501,0xdddddddd,0x3bbffea0,0x6eeeeeee,0xdddfff50,
    0x0ddddddd,0x3fbbbffe,0x01ffffff,0x4c02ffd8,0x3fee06ff,0xff50cfff,
    0x3fffa607,0x0bfee4ef,0x04ccc000,0x0000c400,0x00000000,0x00000000,
    0x00000000,0x7fffd400,0xffffffff,0x00ffd007,0xfb80fff1,0x4fffffff,
    0xffffffa8,0x07ffffff,0x40009ff0,0xffffffff,0xffffffff,0x000fff52,
    0x3ea09ffd,0xffffffff,0x2e007fff,0x3ea005ff,0xffe8007f,0x3fea0004,
    0xfffff504,0xffffffff,0x3ffffea0,0x7fffffff,0xffffff50,0x0fffffff,
    0x3ffffffe,0x000cffff,0xf9805ffb,0x0198806f,0x00099800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xffffffff,0x5007ffff,
    0x9ff70035,0xfffffb80,0xffa84fff,0xffffffff,0xee9807ff,0x3ffe0001,
    0xffffffff,0xf92fffff,0xff7000bf,0x3fffea0f,0xffffffff,0x17fee007,
    0x005ffc80,0x0007ffb8,0xffa82f6c,0xffffffff,0xfff507ff,0xffffffff,
    0x3ffea0ff,0xffffffff,0xfffff07f,0x00059bdf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19910000,0x91002cb8,0x002cb819,0x2cb81991,
    0x3372ea00,0x2e20000b,0xcc88001c,0x302cc983,0x01551013,0x06602880,
    0x00b32600,0x79995000,0x00f332a0,0x10000000,0x2000cc05,0x00100ab9,
    0x00059930,0x07999500,0x001e6654,0x4c1e6440,0x664402cc,0x4000003c,
    0x50001ccb,0x30007999,0x80000599,0x4403ccca,0x40006602,0x00002cc9,
    0x503ccca8,0x1ffc4015,0x22007ff1,0x0ffe23ff,0xf11ffc40,0xffd3007f,
    0x019fffff,0x03fffd00,0x21bff700,0xff105ffb,0x7ffff5cb,0x6ff9801e,
    0x2004ffb8,0x003ffff9,0x1bfff500,0x02fffdc0,0x09ff0000,0xf70dff30,
    0xffd1009f,0x075c19ff,0x7ffff300,0x7fd40000,0x7fdc00df,0xfb80005f,
    0x0bff70df,0x88bffee0,0xd80001ca,0xfa8002ff,0x4c000dff,0x0003ffff,
    0x01bfff50,0x7dc37fcc,0x7fcc004f,0x200003ff,0xd80dfffa,0x3fa01fff,
    0x00fffcdf,0x3f37ffa0,0x3fa000ff,0x00fffcdf,0x777fffdc,0x4005ffff,
    0x003ffff8,0xff9dff70,0xbaffc40b,0xffffffff,0x0fffec01,0x4c01fffa,
    0x03ffefff,0x1fffd400,0x05ffe980,0x2ff98000,0x41fffd80,0xfd807ffe,
    0xedffffff,0xff3002ff,0x0007ffdf,0x007fff50,0x002fff4c,0x7e77fdc0,
    0x7fec005f,0x02ffffdf,0x02ffd800,0x01fffd40,0x7f7ffcc0,0x7d40003f,
    0xffd803ff,0x03fff41f,0xffdfff30,0xff500007,0x3ffea07f,0x3ffe605f,
    0x4c003fff,0x03ffffff,0x7ffffcc0,0x7ffc403f,0x17ffdc44,0x5ffff100,
    0x7ffdc000,0x77fc405f,0xfcabeffc,0x7fdc07ff,0x037fec0f,0x6c4fffcc,
    0xf50003ff,0xd88003ff,0x400005ff,0xff7007fc,0x06ffd81f,0xfd88ff44,
    0x3004ffff,0xffb13fff,0x7fd40007,0xfd88001f,0xfb80005f,0x71005fff,
    0xffffffd9,0xb00005ff,0x7d4005ff,0xf98001ff,0x3ffd89ff,0x3fff5000,
    0x03ffee00,0x2600dffb,0xffd89fff,0x3fea0003,0x3ffee01f,0x76dc406f,
    0xb710001c,0x2200039d,0xd801cedb,0x3ffa04ff,0x2ffd4004,0x2f75c000,
    0x7ffffc40,0x02fff983,0x66440e5c,0x06f6c400,0x3000bbb2,0x40001bdb,
    0x20003eeb,0x04ffaaa8,0x322072e0,0x9818800c,0xb1002cec,0x2eec81bd,
    0x0ded9800,0x1f75c000,0x2f75c000,0xfffff900,0x00037fff,0x8017fec0,
    0x8000ded9,0x7640ded8,0x76cc002e,0x0e5c000d,0x44006644,0x77640ded,
    0xded98002,0x7fffcc00,0x00000004,0x40000000,0x3ee00fff,0x0010005f,
    0x3e200000,0x3f202fff,0x0000006f,0x00000000,0x22000000,0xfffffffc,
    0x00000004,0x00000000,0x00000000,0x00000000,0x7e5effe4,0x400002ff,
    0x00002ffd,0x00000000,0x00000000,0x00000000,0x009ff700,0x00000000,
    0xff880000,0x027fe407,0x00000000,0x00fffe20,0x0000fff3,0x00000000,
    0x00000000,0x3fffffa6,0x000effff,0x00000000,0x00000000,0x00000000,
    0x03300000,0x0001dffb,0x0017fec0,0x00000000,0x00000000,0x00000000,
    0x99800000,0x00998801,0x01aaaa98,0x026a6200,0x540dff30,0x44001fff,
    0x400009a9,0x44009a98,0xfff007ff,0x10033301,0x03330133,0x33013310,
    0x01331003,0x33100333,0xbefff981,0x5fffff99,0x04d4c400,0x26a62000,
    0x54c40000,0x4c400009,0x4400009a,0x400009a9,0x01aaaa98,0x4fffa880,
    0x23531000,0xa9882ffd,0x0035301a,0x2aaaa620,0xaa988001,0x988001aa,
    0x4400009a,0x400009a9,0x00009a98,0x6403ffc4,0xffb703ff,0x07ffffff,
    0x7ffff540,0xdff502ef,0x013ffee0,0xfffffea8,0x7f54002e,0x102effff,
    0x3fe00fff,0x03ffc41f,0x3e21ffe4,0x3ffc807f,0x6403ffc4,0x3ffc43ff,
    0x3a1ffe40,0x67fd45ff,0xec803fff,0x02efffff,0x7ffff640,0x764002ef,
    0x02efffff,0x7ffff640,0x764002ef,0x02efffff,0x7ffffdc0,0xda807fff,
    0x1fffffff,0xffffb300,0x445fffff,0x2ffffffd,0x03fffff3,0x3ffffee0,
    0xf7007fff,0xffffffff,0x3fffaa00,0x54002eff,0x2efffffe,0x7fff5400,
    0x10002eff,0xff900fff,0xfffff107,0x0dffffff,0xffffff90,0xff509fff,
    0x07fff90d,0x7ffffe40,0x9004ffff,0xffffffff,0x0fff109f,0xf10bffa0,
    0x7ff900ff,0xc807ff88,0x3ffc43ff,0x221ffe40,0xffc807ff,0x321bfea3,
    0x40dffb7f,0xffffffe9,0x4c00dfff,0xfffffffe,0x74c00dff,0xffffffff,
    0x7f4c00df,0xffffffff,0x7ff4c00d,0xdfffffff,0x7fff4400,0x07ffffff,
    0x7fffffe4,0xfc806fff,0xffffffff,0x3ffee2ff,0xffbfffff,0x201fffff,
    0xffffffe8,0x74407fff,0xffffffff,0xfffc807f,0x04ffffff,0xffffff90,
    0x32009fff,0xffffffff,0xff88004f,0x83ffc807,0x99abdff8,0x204fffea,
    0x989bfffd,0x7d43fffc,0x0fffdc6f,0x37fffb00,0x07fff931,0x89bfffd8,
    0x443fffc9,0xffd007ff,0x807ff883,0x7fc43ffc,0x43ffc807,0xfc807ff8,
    0x03ffc43f,0xffd1ffe4,0x3e29ff07,0xfff981ff,0xffdb9acf,0x3ffe605f,
    0xffdb9acf,0x3ffe605f,0xffdb9acf,0x3ffe605f,0xffdb9acf,0x3ffe605f,
    0xffdb9acf,0x7ffec05f,0x5ca9999b,0x2f7fff60,0x02fffbaa,0x26f3fff6,
    0x22fffdba,0xfda8acfb,0xfc8affff,0x3fff605f,0x5ca9999b,0x4dfffec0,
    0x405ca999,0x989bfffd,0x6c03fffc,0xc989bfff,0x7ec03fff,0xfc989bff,
    0x7c4003ff,0x3ffc807f,0xfffb0050,0x403bfea0,0x3ea0fffa,0x017ff46f,
    0x201dff50,0xf500fffa,0x3fea01df,0x01ffe20f,0x3e207ffc,0x3ffc807f,
    0x6403ffc4,0x3ffc43ff,0x221ffe40,0xffc807ff,0xf503ffe3,0x41fff45f,
    0xf700effd,0x3ff605ff,0x5fff700e,0x403bff60,0xfb02fffb,0x3fee01df,
    0x1dffb02f,0x40bffee0,0x0000fff9,0x3203fff7,0xdff506ff,0x117fec03,
    0x217ffec0,0xff980ffe,0x3e60000f,0x2a0000ff,0xff500eff,0x3bfea01f,
    0x01fff500,0x5403bfea,0x22000fff,0xffc807ff,0x3fe60003,0x02ffe80f,
    0xff527fec,0x000fff8d,0xfb00bffa,0x0bffa09f,0x7c49ffb0,0x7ff8807f,
    0xc807ff88,0x3ffc43ff,0x221ffe40,0xffc807ff,0x403ffc43,0xfff13ffc,
    0xffd8ff90,0x007ffd43,0x3ea1bff2,0x7fe400ff,0x00fffa86,0x7d437fe4,
    0x7fe400ff,0x00fffa86,0xfa837fe4,0xff10005f,0x7ffcc03f,0x402ffe81,
    0xf7002ffd,0x05ff90ff,0x8000bff5,0x40005ffa,0x7ec02ffe,0x05ffd04f,
    0xfd04ffd8,0x4ffd805f,0x01ffe200,0x0000fff2,0xffa85ffd,0x26ff9806,
    0x7ff46ffa,0x0dff5003,0xf50dff30,0xdff300df,0x5c03ffc4,0x7ff885ff,
    0x443ffc80,0xffc807ff,0x403ffc43,0x7fc43ffc,0x33ffc807,0x89ff0dff,
    0x7fec4ffb,0x1fff8803,0x4401ffec,0x7fec1fff,0x1fff8803,0x4401ffec,
    0x7fec1fff,0x1fff8803,0x000fff98,0xd805ffb8,0x37fd44ff,0x8017fec0,
    0xffa85ffa,0x00fff983,0x03ffe600,0x037fd400,0x7d437fcc,0x6ff9806f,
    0x9806ffa8,0x880886ff,0xffc807ff,0x7fec0003,0x4027fdc2,0x3fea7ff8,
    0x017ffe46,0x44027fdc,0x4ffb87ff,0x227ff880,0x7fc407ff,0x07ff881f,
    0x7c43ffc8,0x3ffc807f,0x6403ffc4,0x3ffc43ff,0xf99ffe40,0x217fd46f,
    0x7ffc4ffb,0x85ffd000,0xfd000fff,0x00fff85f,0xff85ffd0,0x5ffd000f,
    0xd000fff8,0xfff105ff,0xffd8005d,0x46ffb802,0xfd803ffc,0x9ff3002f,
    0xf107ff50,0x20005dff,0x002efff8,0x8804ffb8,0x4ffb87ff,0xb87ff880,
    0xff8804ff,0x106ffdc7,0xff900fff,0xccaa8807,0x42fffccc,0xaaaacffc,
    0xfffbaaaa,0xe88dff50,0x7e404fff,0xaaaaaacf,0x40fffbaa,0xaaaacffc,
    0xfffbaaaa,0x440fff10,0xff104ffe,0x87ff900f,0xfc807ff8,0x03ffc43f,
    0x3e21ffe4,0x3ffc807f,0x7fc8fff1,0x3e22ffc8,0x3ff6007f,0x801ffe23,
    0x3fe23ffd,0x8fff6007,0x36007ff8,0x1ffe23ff,0x503ffd80,0x039fffff,
    0x5003ffd0,0x2ffd8fff,0x302ffd80,0x9dffb995,0x09ffb999,0x33ffffea,
    0x7ffd4001,0xf9001cff,0x5555559f,0x81fff755,0xaaaacffc,0xfffbaaaa,
    0x5567fe40,0xfbaaaaaa,0xffff50ff,0x403ffc49,0xf9103ffc,0xffffffff,
    0xfffe85ff,0xffffffff,0xff51ffff,0xbfffd30d,0x3ffffa01,0xffffffff,
    0x7ff41fff,0xffffffff,0xf11fffff,0x97559fff,0x2201ffff,0xffc807ff,
    0x403ffc43,0x7fc43ffc,0x43ffc807,0xfc807ff8,0x41fff13f,0x1ffd84ff,
    0xc801ffe6,0x1ffe64ff,0x264ffc80,0x3f2007ff,0x01ffe64f,0x3e64ffc8,
    0x3ff2007f,0x3fffea04,0xff00cfff,0xfff1001f,0x400fff41,0x7f542ffd,
    0xffffffff,0x04ffffff,0x3fffffea,0xff5000cf,0x019fffff,0x7ffffff4,
    0xffffffff,0x7ffff41f,0xffffffff,0x7ff41fff,0xffffffff,0xf71fffff,
    0x7fc4dfff,0x83ffc807,0xeefffff8,0x42fffeee,0xfffffffe,0xffffffff,
    0x220dff50,0xe80efffd,0xffffffff,0x0fffffff,0x7ffffff4,0xffffffff,
    0xfffff10f,0x1bffffff,0x403ffc40,0x7fc43ffc,0x43ffc807,0xfc807ff8,
    0x03ffc43f,0xffd1ffe4,0xf10bfe67,0x3ffcc1ff,0x4c9ff900,0x3f2007ff,
    0x01ffe64f,0x3e64ffc8,0x3ff2007f,0x801ffe64,0x5c404ffc,0x3ffffffe,
    0x4007ffc4,0x3fe0fff8,0x2ffd801f,0x3bbfffea,0xeeeeeffe,0x5c403eee,
    0x3ffffffe,0xfffd7100,0x3fa07fff,0xffffffff,0x40ffffff,0xfffffffe,
    0xffffffff,0x7fffff40,0xffffffff,0xffff50ff,0x403ffc4b,0xffe83ffc,
    0x0bff602e,0x40007ffb,0x7e406ffa,0x3ffd85ff,0x3ffd8000,0x3ffe2000,
    0x2deffffe,0x807ff880,0x7fc43ffc,0x43ffc807,0xfc807ff8,0x03ffc43f,
    0xff71ffe4,0xf90ff91f,0x0fff889f,0x445ffb00,0xfb000fff,0x07ffc45f,
    0x222ffd80,0xfb000fff,0x07ffc45f,0x002ffd80,0x3ffffae2,0x400fffc3,
    0x7ff47ff9,0x22ffd801,0x3e60cffe,0x2200004f,0x03ffffeb,0x7fff5c40,
    0x03ffd83f,0x03ffd800,0x03ffd800,0x077fec00,0xf900fff1,0x0fff987f,
    0x3217fec0,0x2a0004ff,0xffc806ff,0x027fe40f,0x027fe400,0x22fff100,
    0xff880019,0x43ffc807,0xfc807ff8,0x03ffc43f,0x3e21ffe4,0x3ffc807f,
    0x3ffbffe2,0x407ffe44,0xfd001fff,0x01fff83f,0xff83ffd0,0x3ffd001f,
    0xd001fff8,0x1fff83ff,0x003ffd00,0xd1fffaa0,0xff5005ff,0x802ffd8d,
    0xfff32ffe,0x000bff30,0x1fffaa00,0x7ffea800,0x0004ffc8,0x0004ffc8,
    0x0004ffc8,0x3fff0198,0x21fffcc0,0xfd806ffb,0x037fdc2f,0x00dff500,
    0xff70bffe,0xff70000d,0x7fc4000d,0xfff00007,0x1fffcc03,0xf300fffc,
    0x3fff07ff,0x41fffcc0,0x3e601fff,0x7ffd43ff,0xffecacff,0x07ffd03f,
    0xe81fff30,0xff9803ff,0x01fff40f,0x3a07ffcc,0xff9803ff,0x01fff40f,
    0x0007ffcc,0x6c1fff30,0xffd804ff,0x2027fec4,0xff52fffd,0x00dff309,
    0x7ffcc000,0x3fe60000,0x037fdc0f,0x037fdc00,0x037fdc00,0x3ffa0000,
    0x7ffff103,0x5c05ffb8,0x7fc42fff,0xff50003f,0x0bffa00d,0x0007fff1,
    0x003fff88,0x000fff10,0x440fffa0,0xfe83ffff,0xffff103f,0x207ffd07,
    0xe83ffff8,0xfff103ff,0xffff507f,0x05ffffff,0x2007ffdc,0xffb84ffd,
    0x27fec00f,0x2007ffdc,0xffb84ffd,0x27fec00f,0x2007ffdc,0x40004ffd,
    0x3ea0fff8,0x3fe200ff,0x03ffd41f,0x2a5ffff9,0xfffd84ff,0xf1000000,
    0x440001ff,0x7fc40fff,0x7c40003f,0x440003ff,0x40003fff,0xeffd87ff,
    0x7ffff4c0,0x407ffd43,0x82ffffe8,0x8003fffb,0xf9806ffa,0xfffb80ff,
    0x7fdc0003,0xff88003f,0xffb00007,0xfffe981d,0x0effd83f,0x1fffff4c,
    0x26077fec,0xd83ffffe,0x7f4c0eff,0xff103fff,0x01bdffff,0x201dffd0,
    0xfd00fffd,0x3ff601df,0x1dffd00f,0x403fff60,0xfb00effe,0x3ffa01ff,
    0x1fffb00e,0x7fec0020,0x80effe87,0xff05ffe8,0xeffc889f,0x8dff32ff,
    0x004ffffb,0x7ffd8004,0x3ff60010,0x07fff707,0x3fffb800,0x7ffdc000,
    0xbff30003,0x59ffff30,0x7ff9fff9,0xabffff88,0xffefffdb,0x9dffff02,
    0x3db75555,0x79137fd4,0x09fffb75,0x5677fffc,0x01edbaaa,0x2b3bfffe,
    0x21edbaaa,0x00007ff8,0x959ffff3,0x07ff9fff,0x959ffff3,0x07ff9fff,
    0x959ffff3,0x07ff9fff,0x959ffff3,0x07ff9fff,0x0066bfe6,0x33fffea0,
    0x3fffecab,0x33fffea0,0x3fffecab,0x33fffea0,0x3fffecab,0x33fffea0,
    0x3fffecab,0x33fffea0,0x3fffecab,0x2af37f60,0x3fffedba,0xbcffffa8,
    0x00ffffcb,0xf97bfff9,0x25ff77ff,0xfdacfff8,0x9adfffbf,0x9bfb06ba,
    0xffdb7557,0x337f607f,0xffedbaab,0x3fffe03f,0xdbaaaace,0x3fffe01e,
    0xdbaaaace,0x3fffe01e,0xdbaaaace,0x81ffdc1e,0xfffffffd,0xa83ffa9e,
    0xffffffff,0x102ffb9e,0xfffffffb,0x7d43ffff,0x3fffe26f,0x2200dfff,
    0xfffffffd,0x2201ffff,0xfffffffd,0x3e21ffff,0x3600007f,0xefffffff,
    0xfb03ffa9,0x3dffffff,0x3f607ff5,0x9effffff,0xffb03ffa,0x53dfffff,
    0x1ff207ff,0x3ffea000,0x1fffffff,0xfffffa80,0x801fffff,0xfffffffa,
    0xfa801fff,0xffffffff,0xfffa801f,0x1fffffff,0x7ffffec0,0x03ffffff,
    0x3fffffea,0x6c01ffff,0x3fffffff,0x7fe45ff7,0xff33ffff,0x20ffffff,
    0xfffffffd,0x3603ffff,0xffffffff,0x6c403fff,0xffffffff,0x36201fff,
    0xffffffff,0x36201fff,0xffffffff,0x7fec1fff,0x3fffee00,0x07ff50cf,
    0x3bffffa6,0x500bfee4,0xfffffffd,0x37fd419d,0x5bfffff1,0x7fff5400,
    0x00ceffff,0xfffffea8,0x3e20ceff,0x5c00007f,0x50cfffff,0x7fdc07ff,
    0xff50cfff,0x7fffdc07,0x07ff50cf,0x67ffffdc,0x3e07ff50,0xb100004f,
    0x19dffffd,0x7ff6c400,0x2000ceff,0xeffffed8,0x3b62000c,0x00ceffff,
    0x3fffb620,0xeb800cef,0xffffffff,0xfed8801c,0x2003ffff,0x22dfffec,
    0x7fe42ffb,0x7fed43ef,0xfd705fff,0x9fffffff,0xfffeb803,0x01cfffff,
    0x3ffffaa0,0x800cefff,0xffffffea,0xea800cef,0xefffffff,0x8037f40c,
    0x98000198,0x22000009,0x80009999,0x80000998,0x00099998,0x02666620,
    0x00002aa8,0x00003310,0x10000331,0x31000033,0x3dd30003,0x33100000,
    0x06620000,0x00cc4000,0x00198800,0x00033100,0x009a9998,0x00266200,
    0x10001880,0x19a88013,0x26a66600,0x53330000,0x31000013,0x40001333,
    0x00099998,0x02666620,0x00001aa8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66540000,0x8800003c,0x1004c1a9,0x80355553,0x8802cdc9,0x80a203cc,
    0x2ae60019,0xc9800100,0x5400002c,0x0ccc3ccc,0x2000cc40,0x664401a9,
    0x003cc984,0x02664000,0x554c4000,0x0999999a,0x41ccc880,0x2002ccc9,
    0x33100bc8,0x00155101,0x0100ab98,0x35550133,0x51000000,0x10000055,
    0x02662355,0x40199880,0x165c0cc8,0x0e664400,0x2a0b3326,0x00003ccc,
    0x01e66540,0x7dc002aa,0xa80005ff,0xefffffed,0xfffb82ff,0x907fffff,
    0x01bfffff,0xf980ffec,0x04ffb86f,0x67ffff44,0x4c003ae0,0x0003ffff,
    0x41bfff50,0xfe807ff8,0xfff5001f,0x0effa805,0x5401dff5,0x001cefed,
    0x0000fff1,0x7ffffec4,0x06ffffff,0x262fff44,0x22005fff,0xff506fff,
    0x7ffff547,0x7ff4401e,0x83ae0cff,0x3ff25ff8,0x0001efff,0x00ffee00,
    0x99999991,0x92ffc819,0x7e400fff,0x1ffc405f,0x88007ff1,0x7fcc5ffe,
    0x3ffee05f,0xf5000005,0x7ec01bff,0xfd3001ff,0x7e4000bf,0xffffffff,
    0x3ffa22ff,0x7fffffff,0xffceffa8,0x09ff504f,0x3a0fffec,0x7fec07ff,
    0xfedfffff,0xfff9802f,0x40003ffe,0xf883fffa,0x1ffe807f,0x0bfffb00,
    0xff9dff50,0x3ff6201d,0x804fffff,0x00007ff8,0xfffffff5,0x0dffffff,
    0x7cc4ffd8,0x7d4004ff,0xffa81fff,0xffffff73,0x7fec03ff,0xfedfffff,
    0x237fe22f,0xfffffffe,0xb000000f,0xff9801ff,0x41ffffff,0x3ffe27fe,
    0x05fff002,0xff9bffd0,0xffd8001f,0x027ffcc4,0x002fff4c,0x0fffea00,
    0x0bffff50,0x02ffec40,0x567ffec0,0x2fffdba9,0x266ffff6,0xfe85ca99,
    0x7443ff46,0x3fee00ff,0x037fec0f,0x3f623fd1,0x9804ffff,0xffd89fff,
    0xfff50003,0x01ffe203,0x6c007ffa,0xf5005fff,0x6c01dfff,0xfffdefff,
    0x3ffc402f,0x7ffc4000,0x3fffa61d,0x3ff202ab,0x017ff444,0x07fffd40,
    0x7fe67fd4,0x5fffdabe,0x3623fd10,0x444fffff,0xadffeeff,0x005fffea,
    0xff00e65c,0xffff300d,0x7c43ffff,0x02ffec4f,0x9803ffd4,0x03ffffff,
    0x2227fe40,0x22002ffe,0x00005ffd,0x7003fff5,0x000dffff,0x54007dd7,
    0x3f601eff,0x01fff32f,0x643ff880,0x17fe40ff,0x6440e5c0,0x4c0c400c,
    0xd8802cec,0x177640de,0x037b6600,0xe807ff88,0xff3001ff,0x7754003f,
    0x3ffea00d,0x01fff621,0x0000fff1,0x7f40bffb,0x2775403f,0x0000f764,
    0x3ea07ff9,0xfa83ffff,0x303100ff,0xff1059d9,0xff705fff,0x7fec001f,
    0x007ff303,0xf70fffc0,0x0fffa83f,0x0027fec0,0x0039db71,0xec84eea8,
    0xdd70001e,0xed980007,0xfff3000d,0x0000009f,0x36017ff4,0x0bff52ff,
    0xa85ff300,0x17fe61ff,0x00000000,0x00000000,0x1ffe2000,0x8007ffa0,
    0x00000098,0x3e613ff2,0x3fe200ff,0xffe80007,0x01bfea01,0x00000000,
    0x03ffffa8,0x0000bffa,0x07fffe20,0x000fffc4,0x3ae07ffb,0x3fe0000e,
    0x7c17ae1f,0x3fe203ff,0x0000001f,0x00000000,0x20000000,0x00004ffb,
    0x01bfee00,0x7fccbff6,0x7fcc000f,0xfd0ffd43,0x0000001f,0x00000000,
    0xf1000000,0x3ffd00ff,0x00000000,0xff02ffe8,0x3ffc403f,0x1ffe2000,
    0x000fff30,0x40000000,0x6c03fffa,0x800002ff,0x7403fff8,0x3f6002ff,
    0x4000003f,0x32001fff,0x3fea06ff,0x00000006,0x00000000,0x00000000,
    0x09a98800,0x803ffc80,0xfff12ffd,0x7fc4005d,0xff93fec5,0x55530005,
    0x2a600035,0x30001aaa,0x00035555,0x806aaaa6,0xfe807ff8,0x0262001f,
    0x066a6200,0x7c41fff4,0x3ffc407f,0x22005544,0x3e600fff,0x54c4006f,
    0x22000009,0x7fd419a9,0x82eeb806,0x99880199,0xb00fff10,0x7ec007ff,
    0x4000003f,0x22001fff,0xffb01fff,0x35310007,0x00ccc001,0x26004cc4,
    0x01999999,0x2aa02660,0x8000001a,0xefffffea,0x00bff602,0xffa8bff6,
    0xd801cfff,0x4ffcadff,0x5c00bff3,0xfffffffd,0xffdb803f,0x03ffffff,
    0xfffffdb8,0xdb803fff,0xffffffff,0x807ff883,0x3a001ffe,0xffb3006f,
    0xc8bfffff,0x5ffb85ff,0xd73ffc40,0x403dffff,0x3f202fff,0xffd9004f,
    0x0005dfff,0x3fffff66,0x0dff55ff,0x07ff8800,0xff13ffc8,0x07ff900f,
    0x001ffec0,0x07ffe000,0x109ffb00,0x64001fff,0x2efffffe,0x403ffc40,
    0x3e603ffc,0x1fffffff,0x325ff880,0x01efffff,0xfff90000,0x09ffffff,
    0x36007ffa,0x7ffd42ff,0x100cffff,0x1dffffff,0x44003ffa,0xffffffff,
    0x3e206fff,0xffffffff,0x3fe206ff,0xffffffff,0x3ffe206f,0xffffffff,
    0x403ffc46,0x3a001ffe,0xfffb806f,0x47ffffff,0x3ea1fffa,0x7fc401ff,
    0xffffff97,0x3ff203ff,0x2fff980f,0x7ffff4c0,0x00dfffff,0x3ffffee0,
    0xff57ffff,0xff88000d,0x13ffc807,0xff900fff,0x1ffec007,0x3fe00000,
    0x7fd4001f,0x02ffdc0f,0xfffffe98,0x100dffff,0xff900fff,0x7fffcc07,
    0x8801ffff,0xfffe8dff,0x000fffff,0x5fffec00,0x3fffc989,0xd801fff8,
    0xfeb882ff,0x103fffff,0x7dc7dfd9,0x3fe2003f,0xfea99abd,0xbff104ff,
    0xffd53357,0x37fe209f,0xffea99ab,0x7bff104f,0xfffd5335,0x403ffc49,
    0x3e001ffe,0x7ffec07f,0x7ecaaace,0xfd8effe8,0xff8803ff,0xcabeffcf,
    0x3fa07fff,0xffdbacff,0x7ffcc04f,0xffdb9acf,0xfffb005f,0xfd95559d,
    0x0001bfea,0xf900fff1,0x01ffe27f,0xd800fff2,0x000003ff,0x4000fffc,
    0x7ff43fff,0xffff9802,0xfffdb9ac,0x00fff105,0x54407ff9,0x1fffaaaa,
    0xfeeff880,0xfffeaadf,0x3ea00005,0xfff500ef,0x801ffe81,0x5c402ffd,
    0x003ffffe,0x40037fcc,0x07ffd802,0x1fff600a,0x7ffd8028,0x3ff600a0,
    0x201ffe27,0x3e001ffe,0x3ffea07f,0x7fcc0c04,0x002fffff,0x07fffff1,
    0xf305fff3,0xffffffff,0xdffb009f,0x0bffee01,0x809fff50,0x000dff51,
    0xc807ff88,0x0fff13ff,0x4007ff90,0x00003ffd,0x000fffc0,0xff137fe4,
    0x3bff600f,0x05fff700,0xf900fff1,0xfff0007f,0xffff1003,0x1fff705f,
    0x3ffa0000,0x227fec02,0xfe802ffe,0x3faa002f,0x7ff4007f,0xf3000000,
    0x4c0001ff,0x20000fff,0x0000fff9,0x7c43ffe6,0x7ff400ff,0x7fedcc01,
    0x09fff107,0x7fffec00,0x3fe2000c,0x3ff202ff,0xedaffe86,0xa800ceff,
    0x7e400fff,0x3ffe206f,0x1bfea004,0x0fff1000,0x3e27ff90,0x3ffc807f,
    0x00fff600,0x3fff0000,0x3fff3000,0x2a013fee,0x7e400fff,0x07ff886f,
    0x8003ffc8,0xf8801fff,0xff101fff,0xf500003f,0xdff300df,0x6c04ffd8,
    0x4c002fff,0xf7000fff,0x8000007f,0x40002ffe,0x40002ffe,0x40002ffe,
    0xfff12ffe,0x0fffd403,0xfffffd98,0x01fff707,0xffffb100,0x8355305f,
    0x4c03fff8,0x27fcc7ff,0x1ffec000,0x80fffc40,0x2000fffb,0x40006ffa,
    0xfc807ff8,0x00fff13f,0x6c007ff9,0x000003ff,0x8000fffc,0x3ffd4ffe,
    0x007ffb00,0xf883fff1,0x3ffc807f,0x01fff800,0x403fff88,0xbb302ffe,
    0x04ffb805,0x7dc7ff88,0x3fff207f,0x7fc4002f,0x6ff8800f,0xfd800000,
    0x7ec0002f,0x7ec0002f,0x7ec0002f,0x07fff12f,0x207fffe6,0xeeeffff8,
    0x009ffb06,0xfdfffd10,0x2ffd81ff,0xf803ffc4,0x13fee0ff,0x03ffe000,
    0xd817ff40,0x7d4004ff,0x7c40006f,0x3ffc807f,0xf900fff1,0x7fec007f,
    0x7c000003,0xf50001ff,0x00dff3df,0x74003ffe,0x3ffc42ff,0x001ffe40,
    0x4400fffc,0xffd807ff,0x2ffff883,0x2ab3ff20,0xfbaaaaaa,0x27ffc0ff,
    0x3fffff22,0x3ff60012,0x43ffb007,0x22001bb9,0xfcccccaa,0x554402ff,
    0xfffccccc,0x66554402,0x02fffccc,0x66665544,0xff12fffc,0xfff981df,
    0xfffd83ff,0x05ffd001,0x31dffb00,0xfff8dfff,0x803ffc41,0x3fee1fff,
    0x000999cf,0xd801ffe2,0x5ffd03ff,0x06ffa800,0x03ffc400,0xff89ffe4,
    0x03ffc807,0x000fff60,0x03fff000,0x7f7ffc00,0x7ff8803f,0x10fff600,
    0xff900fff,0x3fff0007,0x00fff100,0xff507ff9,0x7ff40dff,0xffffffff,
    0x641fffff,0xffcbdfff,0xfb2ffcbf,0xdb75579b,0xf5007fff,0x3fffa29f,
    0x3f2200df,0xffffffff,0xff9102ff,0xffffffff,0x3ff2205f,0xffffffff,
    0xfff9102f,0xffffffff,0x3ffffe25,0xfaeffdbd,0x3ffe0cff,0x07ffe002,
    0x41fff300,0xff15fffa,0x07ff883f,0x7c45ffd0,0xffffffff,0xf980beef,
    0x3ff2007f,0x003fff04,0x0006ffa8,0x6403ffc4,0x0fff13ff,0x4007ff90,
    0x00003ffd,0x000fffc0,0x1fffff90,0x00fff300,0x3e227fe4,0x3ffc807f,
    0x01fff800,0xc807ff88,0xfff883ff,0xfffd00ff,0xffffffff,0xfb01ffff,
    0x27ffffff,0xfffb2ffd,0xffffffff,0x4dff1007,0x5fffeffe,0xdfffff10,
    0x5fffdddd,0xdfffff10,0x5fffdddd,0xdfffff10,0x5fffdddd,0xdfffff10,
    0x5fffdddd,0x3fffffe2,0xffd0efff,0x03ffe27f,0x00fffc40,0x3213ff20,
    0xfff9bfff,0x803ffc40,0x7fcc1fff,0xffffffff,0x7fcc2fff,0x13ff2007,
    0x0007ffe2,0x8000dff5,0xfc807ff8,0x00fff13f,0x6c007ff9,0x000003ff,
    0x0000fffc,0x009ffff3,0xc801ffe6,0x3ffc44ff,0x001ffe40,0x4400fffc,
    0xffc807ff,0x3ffff903,0x000fff60,0xdfffec80,0x75cbff62,0xffffffff,
    0x3ffb001c,0x7ec4bfee,0x2effe81f,0x3a0bff60,0x3f602eff,0x2effe82f,
    0x3a0bff60,0x3f602eff,0xf7dff12f,0xfe989fff,0x01fff33f,0x0017ffc0,
    0x7ec0bff6,0x886ffcff,0xfff007ff,0xcceffc81,0xffffeccc,0x03ffe21f,
    0xf817fec0,0x7d4002ff,0x7c40006f,0x3ffc807f,0xfb00fff1,0x7fec007f,
    0x7c000003,0x740001ff,0xf1000fff,0x3f6001ff,0x03ffc42f,0x4001ffe4,
    0xf8801fff,0x3ffc807f,0xc81fffe0,0x800004ff,0x05ffb018,0x00135333,
    0x3f64ffa8,0x261ffcc6,0x7ec00fff,0x07ffcc2f,0xf30bff60,0xffd801ff,
    0x007ffcc2,0x7fc4bff6,0x43100666,0x2002fff8,0x7c003ffd,0xfff102ff,
    0xff107fff,0x8fff100f,0x5c406ffb,0x7ffc3fff,0x03ffd001,0x0000fff6,
    0x7ff88000,0x003ffc80,0x4005ffb0,0x00003ffd,0x000fffc0,0x0017ffa0,
    0x3a003fff,0x3ffc41ff,0x001ffe40,0x4400fffc,0xffc807ff,0x81bff603,
    0x00006ffb,0x017fec00,0x77fc4000,0xff117fe0,0x806ffb89,0x7fdc2ffd,
    0x42ffd806,0xfd806ffb,0x037fdc2f,0xff897fec,0xffe80007,0x1bff2005,
    0x407ffd00,0x80fffff9,0xfb807ff8,0x00fffc5f,0x7f45ffe8,0xfff9803f,
    0x00dff900,0xff800000,0x3ffe601f,0x3ffd0003,0x01ffec00,0x3ffe0000,
    0x3fea0001,0x7ff4001f,0x0fff9803,0x2601fff8,0xf8003fff,0xff8801ff,
    0x03ffc807,0xf8813ffe,0x000003ff,0x880bff60,0x3f2007ff,0x7c37fc2f,
    0x02ffdc4f,0xf70bffee,0xfffb80bf,0x202ffdc2,0x7dc2fffb,0x7ffdc05f,
    0x000fff12,0x009fff70,0x800fffe6,0x7dc06ffc,0xfff106ff,0x21fff880,
    0xb000fff9,0xfffb89ff,0x027fec00,0x0007fff3,0x4007ff88,0xff103ffe,
    0xf30007ff,0xffd800ff,0x7c000003,0xd10001ff,0xf7000bff,0xffd801ff,
    0x207ffd04,0x003ffff8,0x8801fff8,0xffc807ff,0x00dff903,0x0007fff7,
    0x0bff6000,0x5004ffa8,0x8ffb09ff,0x7fd42ff9,0xfffe880f,0x07ffd42f,
    0x17ffff44,0x2203ffea,0x542ffffe,0xfe880fff,0xfff12fff,0x3ff60000,
    0xffd801df,0x7d4a204f,0xffd304ff,0xfff107ff,0x227ff440,0x9802fff8,
    0xffe82fff,0x1fffb00e,0x04fffd80,0x4ffa80a2,0x077fec00,0x0fffffa6,
    0x017ff600,0x0007ffb0,0x01fff800,0x0effe880,0x1dffd000,0x403fff60,
    0x74c0effd,0x8003ffff,0xf8801fff,0x3ffc807f,0x3fffd751,0x3bfffe00,
    0xedbaaaac,0x7fec0001,0x00bfee02,0x2e03ffa2,0xffe99dff,0x5ffffc40,
    0xfefffdba,0x7fffc42f,0xefffdbab,0x7ffc42ff,0xfffdbabf,0x7fc42ffe,
    0xffdbabff,0xff12ffef,0x3a20000f,0x2bceffff,0xdeffff88,0x367fdcbc,
    0xecbcffff,0x2fffffff,0x5effffc4,0x0ffffcba,0x1abfffe8,0x82fffe4c,
    0xabcffffa,0x803fffec,0xcdeffff8,0x2e07fdcb,0x7cc002ff,0xffcacfff,
    0x1003ffcf,0x001fffd5,0x0003ffd8,0x00fffc00,0x7ffdd4d4,0x3ea0001f,
    0xecabcfff,0x3e603fff,0xffcacfff,0x2e03ffcf,0xfffccccc,0x442ccccd,
    0xffc807ff,0x3dffff73,0x7ffec400,0xffffffff,0x7fec0001,0x401ff602,
    0x3fa02ffc,0x502fffff,0xffffffff,0x505ff73d,0xffffffff,0x505ff73d,
    0xffffffff,0x505ff73d,0xffffffff,0x225ff73d,0x400007ff,0x6ffffffc,
    0xfffffb10,0x6c4fffff,0xffffffff,0x0ffff9cf,0x3fffffe2,0x00dfffff,
    0xfffffff3,0x0dffffff,0xffffffa8,0x2001ffff,0xffffffd8,0x3f607fff,
    0xfffb0007,0xf53dffff,0x3ff6007f,0xfd8002ff,0xeeeeeeef,0x65c04eee,
    0xdfffcccc,0x7fc2cccc,0x002fffff,0xfffffa80,0x801fffff,0xfffffffd,
    0x203ffa9e,0xfffffffe,0x44ffffff,0xfc807ff8,0x05bdf73f,0x7fff5400,
    0x00ceffff,0x017fec00,0xff300bff,0xfffd880b,0x7ff4c01e,0x3fee4eff,
    0xffffd302,0x817fdc9d,0x4effffe9,0x74c0bfee,0x2e4effff,0x0fff12ff,
    0xfd730000,0xeda80dff,0x83dfffff,0xdeffffda,0x83bffe61,0xfffffda8,
    0xfc8802de,0xffffffff,0xfdb1002e,0x0019dfff,0x3fffb6a0,0x3fe03dff,
    0x3fee0005,0xff50cfff,0x3bffa007,0xfffb0001,0xffffffff,0xfffe80bf,
    0xffffffff,0x7fffc4ff,0x200000cf,0xeffffed8,0x3fee000c,0xff50cfff,
    0x7ffff407,0xffffffff,0x03ffc44f,0x0009ffe4,0x33331000,0x55400001,
    0x006aa00a,0x00098000,0x80000998,0x98000099,0x99800009,0x00aaa000,
    0x55310000,0x00099800,0x10000062,0xaa980003,0x00009abc,0x00000662,
    0xaa8004cc,0x19880001,0x03550000,0xffffd800,0xffffffff,0x7ffff405,
    0xffffffff,0x00d6544f,0x0cc40000,0x00cc4000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64400000,0x0ccccccc,0x20664400,
    0x2e6002cb,0x9500100a,0x79999999,0x33333220,0x32600ccc,0x0ccccccc,
    0x2ae60000,0x26200100,0x6440009a,0x02cc983c,0x1e665400,0x3332a000,
    0x20f32203,0x98002cc9,0x288002cc,0x54c00660,0x21bccedc,0x001bddc8,
    0xd9107991,0x7991003d,0x003dd910,0x65407991,0x3ccccccc,0x00026640,
    0x99999950,0x54c00799,0x44001aaa,0x2cc983cc,0x98801998,0x00732a09,
    0x2cc98000,0x07722000,0xffffff98,0x7c4001ff,0x00ffe23f,0x33ffffa2,
    0xf9003ae0,0xdfffffff,0x3ffffe60,0x3ea01fff,0x0fffffff,0xffe88000,
    0x03ae0cff,0xfffffea8,0x3fee002e,0x00bff70d,0x0dfffa80,0x3ffea000,
    0x6ffdc00d,0x000bff70,0x007ffff3,0x7dc37fcc,0x3ffa604f,0x24ffffff,
    0x04fffff9,0x7dc1ffd8,0xfd801fff,0x7fffdc1f,0x01ffd801,0x3ffffff2,
    0x3fe206ff,0x3f200007,0x6fffffff,0x7fffedc0,0x2003ffff,0xff70dffb,
    0x00fff10b,0x7fec7ff9,0xf3000003,0x20007fff,0xf301fffe,0x3fffffff,
    0x9bffd000,0xfb001fff,0xdbffffff,0xeeb805ff,0x05eeeeee,0xfffffff3,
    0x7ffd403f,0x000fffff,0xfffffd80,0x02ffedff,0xfffffff9,0x7dc009ff,
    0x005ffcef,0x01fffd40,0x0fffea00,0xfceffb80,0xff98005f,0xb003ffef,
    0xffe83fff,0xfffff707,0x449fffdd,0x00fffcab,0xff993fea,0x5401ffff,
    0x3ffe64ff,0x7d401fff,0x7775c04f,0x985eeeee,0x999fff99,0xeb800099,
    0x5eeeeeee,0x3ffffe20,0x06ffffff,0x3f3bfee0,0x0fff105f,0x7ec7ff90,
    0x9800003f,0x03ffefff,0x27fffcc0,0x007ffe00,0x3ffffe60,0x1fe8803f,
    0x9fffffb1,0x20000000,0xf8001fff,0x440000ff,0xfffb11fe,0x3ff609ff,
    0xffc989bf,0x3fee003f,0x540005ff,0x40001fff,0x8001fffa,0x005ffffb,
    0xd89fff98,0xffb803ff,0x437fec0f,0x101dfff9,0x103ff401,0x7fc41ffd,
    0x2201ffcc,0x3fe20ffe,0x2201ffcc,0x00000ffe,0xfffffff0,0x000bffff,
    0xbff10000,0xffd53357,0x7fdc009f,0x3fe205ff,0x23ffc807,0x00003ffd,
    0x6c4fffcc,0x3e2003ff,0x7c003fff,0x710001ff,0x440039db,0x02cec981,
    0x3e000000,0xff8001ff,0x1880000f,0x502cec98,0x3ea01dff,0x3ae000ff,
    0x6cc0005e,0x4c0000de,0x20000ded,0x88005eeb,0x77640ded,0x881cb802,
    0x4ffe80cc,0xffdcb800,0x20bff204,0x403ff90a,0x90a82ffc,0x7fe403ff,
    0x3e000002,0xffffffff,0x000005ff,0xffb00500,0x5eeb800f,0x403ffc40,
    0x3ff63ffc,0x36200003,0x177640de,0x00bff700,0x0003fff0,0x00000000,
    0x7c000000,0xff8001ff,0x0000000f,0x402ffe80,0x00004ffd,0x00000000,
    0x00000000,0x00000000,0x003ffe60,0x0fffff60,0x6402ffcc,0xbff301ff,
    0x203ff900,0x00005ff9,0x7ffdd540,0x001aaaaa,0x20000000,0x0000fff9,
    0x00fff100,0x7fec7ff9,0x00000003,0x00011000,0x00007ffe,0x00000000,
    0x0026a620,0x000fffc0,0x00007ffc,0x3fea0000,0x06ff9806,0x00000000,
    0x00000000,0x00000000,0x3fea0000,0xf9970005,0x1ffd07ff,0x203ff900,
    0xfc800ffe,0x01ffd01f,0x1aaaa980,0x007ff880,0x13531000,0xffe80000,
    0xf1000002,0x7ff900ff,0x0001ffec,0x00000000,0x00fffc00,0x33333330,
    0x404cc003,0x64001aaa,0x2efffffe,0x10fffc00,0x0fff8059,0x99998000,
    0x7dc01999,0x7ff8804f,0x33333310,0x03333333,0x2a202662,0x3333000a,
    0x44003333,0x0aa88099,0x33333300,0x99980033,0x64019999,0xb80003ff,
    0x17fe45ff,0xc81ffc80,0xff9002ff,0x005ff903,0x3fffff6e,0x3e203fff,
    0x5400007f,0x2efffffe,0x5ffb0000,0x2aa02660,0x0fff101a,0x7ec7ff90,
    0x4ccc403f,0x00026620,0x99982662,0x80019999,0xf3001fff,0x3fffffff,
    0x64bff100,0x01efffff,0x7fffff4c,0x000dffff,0xff713fff,0x00fff807,
    0x7fffcc00,0x3201ffff,0xaaaaacff,0x0fffbaaa,0xffffffd8,0x07ffffff,
    0x7f547ff5,0x2601efff,0xffffffff,0x47ff5001,0x1effffea,0x3ffffe60,
    0xf3001fff,0x3fffffff,0x001ffec0,0x7ff54cc4,0x8017fe64,0x7fcc1ffc,
    0x07ff2005,0x2200bff3,0xffffffff,0xff106fff,0x01bca88f,0x3fffff20,
    0x8804ffff,0xfcccccaa,0x5ff882ff,0x3bfffff2,0x403ffc41,0x3ff63ffc,
    0x3bffa203,0x001bfe60,0x7fcd3fee,0x01ffffff,0x800fffc0,0xfffffff9,
    0xdff8801f,0xffffffe8,0xfff300ff,0xffb7359f,0x3ffe00bf,0x402ffffc,
    0x40000fff,0xfffffff9,0x3fffa01f,0xffffffff,0xfd81ffff,0xffffffff,
    0xff507fff,0x3ffffee7,0xff301fff,0x03ffffff,0x7dcffea0,0x1fffffff,
    0xffffff30,0x3e6003ff,0x1fffffff,0x000fff60,0x3bffffee,0x8003ffa0,
    0x7ff41ffc,0x07ff2000,0x22001ffd,0xa99abdff,0xf884fffe,0xffff917f,
    0xffd803df,0xffc989bf,0xfff9103f,0xffffffff,0xd1bff105,0xffffffff,
    0x403ffc41,0x3ff63ffc,0x1dffd103,0x8007ff88,0xfff33ffc,0x003fffff,
    0x1001fff8,0xfff55555,0xddff1003,0xffd55bff,0x3bff60bf,0x05fff700,
    0xdffffff0,0x01fff003,0xaaaa8800,0x3a01fffa,0xffffffff,0x0fffffff,
    0xaaaaaaa8,0x06fffaaa,0xdff99ff5,0x0bfffb57,0x3eaaaaa2,0xff5001ff,
    0xb57dff99,0x2a20bfff,0x1fffaaaa,0x55555100,0x7ec03fff,0xffa8003f,
    0x3fee0bef,0x0f75c003,0xb8007ff7,0x0ffee1ee,0xffb00500,0xd1fff10f,
    0xffffffff,0x03bfea03,0x2207ffd4,0xeeefffff,0x882fffee,0xadffeeff,
    0x225fffea,0xffc807ff,0x220fff63,0xff00effe,0x5ffb000f,0x3eaaaaa2,
    0x7fc001ff,0x7fc0001f,0xfff8801f,0xfffb82ff,0x007ffd40,0xf701bff2,
    0x4005dfff,0x00000fff,0x6c03fff0,0x000003ff,0x403fff20,0x83fffffa,
    0x2000fffa,0xf5001fff,0xf507ffff,0x7fc001ff,0x7fc0001f,0x0fff601f,
    0x3fe60000,0xff300006,0x3e60000d,0x3000006f,0xff881fff,0xd99cffef,
    0xffd05fff,0x44ffd805,0x3602effe,0xfff882ff,0xfffb82ff,0x900fff10,
    0x1ffec7ff,0x803bffa2,0x74000ffe,0x7ffc00ff,0x0fffc001,0x07ffe000,
    0x07fffe20,0x360fffc4,0xff8803ff,0xffffb81f,0xfff8003f,0x00fbb200,
    0x6403fff0,0x000004ff,0x403fff50,0x203ffffa,0x3e002ffe,0xff5001ff,
    0x7ff407ff,0x07ffe002,0x03fff000,0x0001ffec,0x0007ff40,0x000ffe80,
    0x001ffd00,0x17ff4000,0x0bffffe2,0xf503ffea,0xdff300df,0x2007ffcc,
    0xff882ffd,0xfff101ff,0x201ffe23,0x3ff63ffc,0x03bffa23,0x9903ff90,
    0xf00fff03,0xff8003ff,0x7fc0001f,0xfff8801f,0x217ff403,0xfd000fff,
    0x7fffdc5f,0xf8001fff,0xfff900ff,0x7ffc005f,0x01bfee01,0x3fe20000,
    0x7ffd403f,0x017fec03,0x2003fff0,0x6c03fffa,0x3fe002ff,0x7fc0001f,
    0x0fff601f,0x7ff70000,0x3fee0000,0xff700003,0xd8000007,0x7ffc42ff,
    0x3fff101f,0x8804ffb8,0x1bfee7ff,0x220bff60,0x7f403fff,0x807ffe2f,
    0x3f63fff9,0x1dffd13f,0xa85ff700,0x06ff84ff,0x4001fff8,0x40001fff,
    0xf8801fff,0x3ffd807f,0xd801ffe2,0xdfff13ff,0x0003fff5,0x3fe01fff,
    0x3e005fff,0x3fe201ff,0x4000003f,0xfa805ffe,0x2eeb806f,0x007ffe00,
    0x5c037fd4,0x3fe002ee,0x7fc0001f,0x0fff601f,0x6ff88000,0xdff10000,
    0x3fe20000,0xaa880006,0xfffccccc,0x017ffc42,0xff90bffa,0x55555559,
    0x2e1fff75,0x7fdc05ff,0x07ff882f,0x3fa3ffd8,0xffff103f,0x745ffec7,
    0xf5000eff,0x47ffd87f,0xff805ff8,0x7ffc001f,0x7ffc0001,0x07ff8801,
    0x3e63ffc8,0x3ff2007f,0x7fc5df14,0xfff8001f,0xdfffff00,0x00fffc00,
    0x000fffee,0x077fe400,0x0037fd40,0x03fff000,0x001bfea0,0x01fff800,
    0x00fffc00,0x00007ffb,0x3310ffec,0x7fec0013,0x000aee61,0x4cc43ffb,
    0x7fe44009,0xffffffff,0x03ffc42f,0x3fa1ffec,0xffffffff,0x51ffffff,
    0xfd101fff,0xff105fff,0x47ff900f,0x74c0effd,0x3f63ffff,0x00effebf,
    0xff13fe60,0x27fcc5ff,0x000fffc0,0x00007ffe,0xf1003fff,0x7ff900ff,
    0x9003ffcc,0x7fc149ff,0xfff8001f,0x7ffff900,0x00fffc00,0x5677fffc,
    0x01edbaaa,0x007ffea0,0x00037fd4,0x003fff00,0x0001bfea,0x001fff80,
    0xb00fffc0,0x200007ff,0x7ff44ffa,0x9ff5006f,0x3bffffa2,0x44ffa800,
    0x2206fffe,0xeeefffff,0x442fffee,0xffc807ff,0x7fffff43,0xffffffff,
    0xffff10ff,0xdfffb757,0xfff105ff,0x4c7ff900,0xfcacffff,0x363ffcff,
    0x03fffdff,0xf52ffc40,0x7fd4bfff,0x01fff803,0x000fffc0,0x2007ffe0,
    0xfc807ff8,0x03ffe23f,0x2017fec0,0xf8001fff,0x3ff200ff,0x0fffc003,
    0x7fffec40,0x1fffffff,0x07fff300,0x0037fd40,0x03fff000,0x001bfea0,
    0x01fff800,0x00fffc00,0x00007ffb,0xffb8dff1,0xff8806ff,0x3fb7fe66,
    0x37fc406f,0x81bfffee,0x3602effe,0x3ffc42ff,0x361ffe40,0x540003ff,
    0xffffffff,0x882ffb9e,0xffc807ff,0x7ffffec3,0x3ffa9eff,0x3feefff6,
    0x37fc002f,0x21ff9df9,0xff802ffb,0x7ffc001f,0x7ffc0001,0x07ff8801,
    0x7fc3ffc8,0x3ffd001f,0x001fff80,0x0000fff8,0x003fff00,0x7fffff54,
    0x8800deff,0x54004ffe,0x000006ff,0x54007ffe,0x000006ff,0x00007ffe,
    0x7ec03fff,0xfd80003f,0x3f3fe21f,0x1ffd806f,0x01ffb054,0xff10ffec,
    0x3e60dff9,0x7fec00ff,0x403ffc42,0x7fe43ffc,0xfe980004,0x3ee4efff,
    0x07ff882f,0xfb83ffc8,0xf50cffff,0xc9ffec7f,0x3a002fff,0x3eaffe7f,
    0x001ff92f,0xf8003fff,0x7c0001ff,0xff8801ff,0x43ffc807,0xf9803ffe,
    0x7ffc00ff,0x0fff8001,0xfff00000,0x36620003,0x7ec003ff,0xffa8006f,
    0x3e000006,0xff5001ff,0x7c00000d,0x7c0001ff,0x3ff601ff,0x7fd40003,
    0x6ffb7f44,0x4027fd40,0x3fea07fe,0x6ffb7f44,0xb00dff70,0x7ff885ff,
    0x5c3ffc80,0x400006ff,0x77f44099,0x807ff880,0x26203ffc,0x360efd81,
    0x3fff63ff,0x31ffb001,0x6d7fe1ff,0x3fff007f,0x01fff800,0x00fffc00,
    0x6403ffc4,0x7ffdc3ff,0x027fec00,0x4000fffc,0x00000fff,0x0003fff0,
    0x2002ffc4,0x8000fffb,0x00006ffa,0x4007ffe0,0x00006ffa,0x0007ffe0,
    0x6c03fff0,0x220003ff,0x3fee0eff,0x7c40dff1,0x7fdc00ef,0x41dff104,
    0x0dff1ffb,0xf7017fee,0x7ff885ff,0x443ffc80,0x00003fff,0x100ffd80,
    0xff900fff,0x3ff90007,0x7f43ffd8,0xffb801ff,0x3ff26fc9,0xff006fe8,
    0xfff8003f,0x7ffc0001,0x07ff8801,0xfe83ffc8,0xfffb00ef,0x03fff001,
    0x001fff00,0x07ffe000,0x00ffd800,0x00bffe60,0x0037fd40,0x03fff000,
    0x001bfea0,0x01fff800,0x00fffc00,0x40007ffb,0x3fe22ffc,0x09eff99d,
    0x6402ffc8,0x3ff205ff,0x2677fe22,0x7d409eff,0xffe880ff,0x3ffc42ff,
    0x5c1ffe40,0x00003fff,0x880ffea0,0xffc807ff,0x27fcc003,0x3a21ffec,
    0x7d400fff,0x3ea3ffaf,0xf005ffbf,0xff8003ff,0x7fc0001f,0x7ff8801f,
    0xa83ffc80,0xcabcffff,0xf003fffe,0xff0003ff,0x2000001f,0x20001fff,
    0x3e2007ff,0x2a0004ff,0x000006ff,0x54007ffe,0x000006ff,0x00007ffe,
    0x7ec03fff,0xff50003f,0xfffffa89,0x7d43ffff,0x3ff6204f,0x513fea04,
    0xffffffff,0xffff887f,0xefffdbab,0x3ffc42ff,0xf81ffe40,0xaaacefff,
    0x8001edba,0x3e202ffc,0x3ffc807f,0x41ffdc00,0xff983ffd,0x3fe600ef,
    0x77fc0ffd,0xfff004ff,0x33332e03,0xcccdfffc,0xccccb82c,0xcccdfffc,
    0x03ffc42c,0xfa81ffe4,0xffffffff,0xccccb81f,0xcccdfffc,0x9999992c,
    0x99999fff,0x6665c005,0xccdfffcc,0xffb002cc,0xffe80339,0xcccccccf,
    0xffa82ccc,0xccb80006,0xcdfffccc,0xffa82ccc,0xccb80006,0xcdfffccc,
    0xccb82ccc,0xcdfffccc,0x7ffb2ccc,0x1ffd1000,0xffffffa8,0x3fa23fff,
    0x7ffd300f,0x7f441333,0x7fffd40f,0xa83fffff,0xffffffff,0x442ffb9e,
    0xffc807ff,0xffffb103,0x3fffffff,0x5dff5000,0x07ff8813,0x4003ffc8,
    0xb09aeff9,0x3fe607ff,0xfff100ef,0xffff90df,0xcccccb87,0xccccdfff,
    0xffffffea,0x4fffffff,0xffffffe8,0x4fffffff,0x6403ffc4,0x3b6203ff,
    0x00ceffff,0xfffffffd,0x29ffffff,0xffffffff,0x04ffffff,0x3fffffa0,
    0xffffffff,0xffff3004,0xfffff80f,0xffffffff,0x06ffa84f,0xffffe800,
    0xffffffff,0x06ffa84f,0xffffe800,0xffffffff,0xffffe84f,0xffffffff,
    0x007ffb4f,0x4005ff90,0x2ffc86ff,0x3ffffee0,0x0bff23ff,0x4c06ff80,
    0x24effffe,0x7fc42ffb,0x03ffc807,0x7fffff54,0x0000ceff,0x885ffffd,
    0xffc807ff,0xfffe8003,0x407ffb2f,0x3e05fffa,0xff983fff,0x7fff42ff,
    0xffffffff,0xffffecff,0xffffffff,0xffffe84f,0xffffffff,0x03ffc44f,
    0x8801ffe4,0xfffd0019,0xffffffff,0x3fffe9ff,0xffffffff,0x3fa004ff,
    0xffffffff,0x2004ffff,0x7c05feb9,0xffffffff,0xa84fffff,0xe80006ff,
    0xffffffff,0xa84fffff,0xe80006ff,0xffffffff,0xe84fffff,0xffffffff,
    0xfb4fffff,0xff98007f,0x237fc005,0x7dc05ff9,0x33ffffff,0xff800bff,
    0x00266006,0x900fff10,0x4c4007ff,0x80000999,0x441efdb8,0xffc807ff,
    0xfda88003,0x807ffb2e,0xfd05fffc,0x3ffe01ff,0x7ffff41f,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x072e2000,0x33332a00,
    0x0003cccc,0x5e66e54c,0x00013322,0x1e665400,0x99999993,0x22079999,
    0xcdefedca,0xdca8800b,0x80009bde,0x0acedb98,0x6e54c000,0x3001cdef,
    0x8037bdb7,0x97000ccc,0x2a620039,0x54c40019,0x5cc02ccb,0x00bceeec,
    0x6f76dcc0,0x3ccccccc,0xeedca880,0x333261bc,0xcccccccc,0x16dc401c,
    0x3fb6e600,0x44002cde,0x001aaaa9,0x99999995,0x36e20079,0x01999002,
    0x64c732e0,0x9300003c,0x13599999,0xcccc9800,0x00009acc,0xe80039b5,
    0x64001fff,0xffffffff,0xffb10006,0x22ffffff,0x000007ff,0x20dfffa8,
    0xfffffffa,0xfb86ffff,0xffffffff,0x7ff4c03f,0x00efffff,0x3ffffee0,
    0x4000efff,0xffffffe9,0xd100ffff,0x9fffffff,0x8007ffc0,0x36602ffe,
    0x5fffffff,0x7ffff540,0xff9104ff,0x9fffffff,0xffffd100,0xffffffff,
    0x7fec40bf,0x6fffffff,0xfffffff5,0x805fffff,0x2a002ffd,0xffffffff,
    0x7fdc02ef,0x07ffffff,0xffffffc8,0xffb006ff,0x07ffe005,0xfb97ff40,
    0xf700005f,0xffffffff,0x3fee009f,0xffffffff,0x3ffea004,0xfff1000f,
    0xeeb8007f,0x05eeeeee,0xfffff880,0xff17ffff,0xa800000f,0xffa83fff,
    0xffffffff,0x7ffff46f,0x3ffffeef,0x3ffffee0,0x01ffffff,0xbcefffd8,
    0x001ffffe,0xfffffff7,0x301fffff,0xffdfffff,0xfff01bff,0x0bffa001,
    0x7fffffdc,0xff507fff,0x9fffffff,0x3bffffa0,0x04fffffd,0x3bffffa6,
    0xffffffff,0xffff305f,0xffffffff,0x3fffffea,0x02ffffff,0x50017fec,
    0xfffdffff,0xfd105fff,0xffffffff,0xdddd700f,0x200bdddd,0xff002ffd,
    0x3ffa003f,0x000bff72,0x3ffffee0,0x2effffff,0x7ffffdc0,0x2effffff,
    0x4ffffc80,0x5ffff100,0x00000000,0x310bfff6,0x001ffe25,0x1fffa800,
    0x33333310,0x6cdff733,0x7300bfff,0x37ffee03,0xffff730a,0x37ffa203,
    0x05fff700,0xabffffd8,0x81fb5310,0x5c1dfff9,0xfff85fff,0x05ffd000,
    0x559dfffb,0xff50fd95,0x333579ff,0x15fff901,0x81fffd98,0x261dfff8,
    0x3ee005ff,0x310acfff,0x37feafd7,0x99999999,0x17fec009,0x73037300,
    0xfd81fffd,0xa9999bff,0x0000005c,0xf8017fec,0xffd001ff,0x0017fee5,
    0x312ffdc0,0x07ffffb5,0x5312ffdc,0x807ffffb,0x006ffffa,0x00017fea,
    0x7fcc0000,0x7ff8801f,0xdb300000,0xfa80001b,0x03fff36f,0x05fff800,
    0x6413ffe6,0xffa804ff,0x3bffea06,0x7ec08800,0x3ffea05f,0x8007ffc0,
    0x7fd42ffe,0x3ea0c04f,0x7c000dff,0x7ff403ff,0x40effc83,0xf1005ff9,
    0x23003dff,0x00004ffa,0x00005ffb,0x262fff98,0x00000fff,0x7fec0000,
    0x03fff002,0x7dcbffa0,0xf700005f,0x7ff4c0bf,0x0bff700f,0x007fff4c,
    0x001ffffa,0x00000002,0x005ffa80,0x0000fff1,0x2a000000,0x0dff76ff,
    0x06ffb800,0x440fffa8,0x3ee005ff,0x0bffd03f,0x07ffc400,0xff13ff60,
    0x3ffa001f,0x013ffe22,0x000fffa0,0x9003ffe6,0xfff889ff,0x005ff980,
    0x8001fff9,0x88004ffa,0xbffe9999,0x09999999,0x23ffe800,0x00005ffa,
    0x4ccc4000,0x999bffe9,0xfff09999,0x4bffa003,0x00005ffb,0xff00bff7,
    0x17fee09f,0x3013ffe0,0x0000dfff,0x10033300,0xff900133,0x1ffe2009,
    0x00000000,0xfcb7fd40,0x3e20005f,0xfff003ff,0x4c1ffc87,0x3fa2bddc,
    0x00fffb86,0x017fee00,0xfff1ffea,0x8bffa001,0x4000fffb,0x10006ffa,
    0xffb00fff,0x305ffc85,0xff100bff,0xff50007f,0xfffd0009,0xffffffff,
    0x0007ffff,0x7fcc7ffb,0x4cc0000f,0x40199999,0xfffffffe,0xffffffff,
    0x2003fff3,0xbff72ffe,0x3fee0000,0x0fffb805,0xb805ffb8,0x7fc00fff,
    0x3333104f,0x33333333,0x00fff103,0xfb007ff9,0x3fe2007f,0x800aaa87,
    0x99999998,0x00199999,0xffbb7fd4,0xff50000f,0x3ff2001f,0xf917fe26,
    0x7dcdffff,0x027ffc2f,0x00bffa00,0x7c3fffd1,0xffd000ff,0x0027fec5,
    0x0000fff4,0x7cc07ffd,0x17ff40ff,0xc805ff98,0xf50007ff,0xffd0009f,
    0xffffffff,0x007fffff,0x7c41ffd0,0x30002eff,0xffffffff,0x7ffff403,
    0xffffffff,0x3fff3fff,0x5cbffa00,0x700005ff,0x3fe00bff,0x05ffb83f,
    0x4407fff0,0xffb02fff,0xffffffff,0xfff10fff,0x007ff900,0x22007ffb,
    0x3ffee7ff,0x3f600eff,0xffffffff,0x54007fff,0xbfff36ff,0xbff70001,
    0x33ffd400,0x7ffdc5ff,0x27fc6cbd,0x0001fff1,0x2a00fff8,0x3e2fffff,
    0xffd000ff,0x0017ff45,0x0001ffe2,0xb105fff7,0x1fff0bff,0x2017fe60,
    0x50004ffd,0x550009ff,0x59ffd555,0x03555555,0xa86ff980,0x01cfffff,
    0x3ffffe60,0x2aa01fff,0xacffeaaa,0xf1aaaaaa,0x3fa003ff,0x00bff72f,
    0x017fee00,0x7dc27fec,0x9ffb005f,0x817ffa20,0xfffffffd,0x887fffff,
    0xffc807ff,0x03ffd803,0xfd1fff10,0x1fffffff,0x3fffff60,0x7fffffff,
    0xb37fd400,0x8005dfff,0x26004ffc,0x47fea7ff,0x7401fff8,0x01ffea5f,
    0x40fff100,0x3ffffffc,0x74003ffe,0x07ffe2ff,0x4cbff500,0x4401abaa,
    0xf51dfffe,0xff881dff,0x017fe607,0x4000bffa,0x0199dffa,0x00bff600,
    0x2fff9800,0xffffff50,0xaa88019f,0x01fffaaa,0x8017fec0,0xfd001fff,
    0x017fee5f,0x02ffdc00,0xfb85ffc8,0xbff9005f,0x7fffe54c,0x2aaaaa00,
    0xfffaaaaa,0x807ff886,0x332a3ffc,0xcdffeccc,0x11cccccc,0x5bffdfff,
    0x20bfffd5,0xaaaaaaaa,0x006fffaa,0xfd137fd4,0x0017dfff,0x44007ffb,
    0x1ff70fff,0x36013fea,0x417fee6f,0x19999998,0x3a21ffe6,0x4ffccfff,
    0x74003ffe,0x3fff12ff,0xbcffb800,0xfffffffe,0x7fffe402,0xf305fffe,
    0x7ffcc0df,0x3e1ccccc,0xf50001ff,0xbfffffff,0x17fec005,0xdcaaa800,
    0x5c400eff,0x3ffffffe,0x01fff800,0x8017fec0,0xfd001fff,0x017fee5f,
    0xb9913faa,0x07999dff,0xdcc9bfee,0x03ccceff,0x7fecdff7,0x80000cff,
    0xf880fffc,0x3ffc807f,0x3ffffff2,0xffffffff,0xffff12ff,0x1fff705f,
    0x3fff2000,0x37fd4000,0x7fffffe4,0x0fffa01d,0x323fff00,0x00bfee7f,
    0x4ffc9ff2,0xffffffb0,0x51bfea3f,0x3ee5ffff,0x003ffe4f,0xfff17ff4,
    0xfffc8005,0xffffffff,0x7fdc04ff,0x2a04ffff,0x3fe606ff,0x12ffffff,
    0x20001fff,0xfffffffa,0xd801ffff,0xf88002ff,0x02ffffff,0x7fff5c40,
    0x7ffc003f,0x17fec001,0x001fff80,0x3fee5ffd,0x7fffd405,0x3fffffe5,
    0xff706fff,0x7fffffcf,0xff706fff,0x00e77ecf,0x1fffa800,0x900fff10,
    0x7ffe47ff,0xffffffff,0xf12fffff,0x3e205fff,0xfa8001ff,0xfa8001ff,
    0xfff9106f,0xff01bfff,0xfff8005f,0x7fe4ffb1,0xb0ffc801,0x3ff609ff,
    0xf51fffff,0x77ffe4bf,0xff97fee0,0x5ffd000f,0x2001fff4,0x0acffffd,
    0x05fffd51,0x7fffffe4,0x6ffa80cf,0x3ffffe60,0xfff32fff,0x2aa20001,
    0xfffdcbaa,0x7fec01ff,0xfff88002,0x01efffff,0x07ffea80,0x000fffc0,
    0x7c00bff6,0xffd001ff,0xb017fee5,0x3e1fffff,0xffffffff,0x7cfff506,
    0xffffffff,0x04fff506,0x7fc40000,0x1ffe203f,0x988fff20,0xcffd9999,
    0x09999999,0xe807fff1,0x7c4002ff,0xf50003ff,0xfeb880df,0x7f41ffff,
    0x3fe2003f,0x7dcff90f,0x27fd803f,0x55305ffc,0x263fff55,0xfffe9dff,
    0x3e4ffb84,0xffd000ff,0x0037fec5,0xb0037ff6,0xffd10dff,0xdffff97f,
    0x206ffa81,0x7cc05ff9,0x000001ff,0xe89bffee,0xeefffeee,0x201eeeee,
    0xffca9999,0xf98002ff,0x3fe000ff,0x7fec001f,0x03fff002,0x7dcbffa0,
    0x7ffec05f,0xff9330ff,0x2e01333b,0x3f2666ff,0x700999df,0x00000dff,
    0x4405ffe8,0xffc807ff,0x03ffd803,0xb00fff10,0xfe8007ff,0x3ea0005f,
    0x3faa006f,0x3ff60eff,0x9ffe6004,0xbff50ffb,0x7dcbfd00,0x3ffa005f,
    0xffffff11,0x8fff205f,0xfd000fff,0x1fffcc5f,0x007ffb00,0x7d41fff3,
    0x3f620dff,0x3ffcc6ff,0x880bff30,0x00002fff,0x887ffd40,0xffffffff,
    0x02ffffff,0x01fffb00,0x00fff880,0x0007ffe0,0x3e005ffb,0xffd001ff,
    0x5017fee5,0xf70bffff,0x3ff200bf,0x005ffb86,0x665cdff9,0x7e40000c,
    0x7fc400ef,0x03ffc807,0x1003ffd8,0xff900fff,0x77fe4007,0x3fea0000,
    0xfffc8006,0x8013ff23,0x3fea6ff9,0x22b7ffa1,0xf527fc3a,0x7ff400df,
    0x37ffffe1,0xf8bff600,0xffd000ff,0x04fffe85,0x027fe4a2,0x3fa2fff8,
    0x3ffee04f,0x981ffe24,0xfff805ff,0xf8000003,0xdddd12ff,0xdddddfff,
    0x740003dd,0x360013ff,0x7fc006ff,0x7fec001f,0x03fff002,0x7dcbffa0,
    0xcfeb805f,0x005ffb80,0xff70bffb,0x97ff600b,0x0000fffe,0x2007ffea,
    0xfc807ff8,0x3ffd803f,0x00fff100,0x2a007ff9,0x40001fff,0xb0006ffa,
    0x37fdcbff,0x4cbff900,0x3ffea4ff,0x3fe66fff,0x003ffe63,0xfff0fff4,
    0x3ffd007f,0xe800fffc,0x7ff441ff,0xfdcbcdef,0x200bff77,0xfff33ffe,
    0x47ffd801,0xff301fff,0x0bffd00b,0xffd00000,0x017fec07,0x4ffc8000,
    0x75579bfb,0x005fffdb,0x4001fff8,0xff002ffd,0x3ffa003f,0x000bff72,
    0x2017fee0,0xfb82fff8,0xfff8805f,0x003fff62,0x01fffcc0,0xc807ff88,
    0xffd803ff,0x0fff1003,0x3007ff90,0x00007fff,0x2000bff7,0x3fea7ffb,
    0x9ffd001f,0x3a60ffe8,0x3f64efff,0x13ffe21f,0xfd0fff40,0xfff3009f,
    0x8017ff41,0xfe880fff,0xffffffff,0x200dff57,0x9ff71ffe,0x41fff500,
    0xff304ffe,0x1fff900b,0xff800000,0x0bff602f,0x7fe40000,0xffffffb4,
    0x007fffff,0x8003fff0,0xff002ffd,0x3ffa003f,0x000bff72,0x2017fee0,
    0xfb80fffb,0xfffb805f,0x003fff60,0x013ffa20,0xc807ff88,0xffd803ff,
    0x0fff1003,0x8807ff90,0x00004ffe,0x20009ff9,0x7ff46ffb,0x0fff9803,
    0x09827fd4,0x7e427fc4,0xffe800ff,0x201bfea1,0x7fec4ffc,0x07ff9803,
    0x7ffffed4,0x1fff33df,0xb0fff880,0xff3009ff,0x837fdc1f,0xf8805ff9,
    0x000004ff,0xd803ffe2,0x000003ff,0x3fae5ffd,0xcfffffff,0x3fff0001,
    0x03ffd800,0x2003fff0,0xbff71fff,0x3fee0000,0x2fffc405,0x4405ffb8,
    0x7fe45fff,0xdffb0007,0x03fff000,0x401fffcc,0xf1003ffd,0x7ff900ff,
    0x006ffd80,0x2fff8801,0x89ffd000,0x2201fffb,0xffd03ffe,0x1ffb1003,
    0x01dfff10,0x7fc1ffe8,0x3ffe203f,0x4037fe41,0xfd005ffd,0x3ff6013f,
    0x937fdc04,0xff700dff,0x83fff88d,0xf9005ff9,0x000007ff,0xf901bff6,
    0x500000bf,0x73301fff,0xf0000bff,0xfc8003ff,0x3fff005f,0x5cfff300,
    0x700005ff,0x7f4c0bff,0xbff700ff,0x07fff4c0,0x2001fff2,0x8000fffb,
    0xff103ffe,0xffb007ff,0x1ffe2007,0xb80fff20,0x9b000fff,0x4dffb101,
    0xffd8801b,0x7fffc41f,0x0fffe881,0x405fff30,0x2e04ffe8,0x3a02ffff,
    0x7ffdc1ff,0x85fff881,0x2e05fff8,0xf8800fff,0x7ffd406f,0x43fff502,
    0x2604fffa,0xffc84fff,0x02ffcc2f,0x0dffff88,0x6cc016a0,0x7d400fff,
    0x200002ff,0x6403fffa,0xf80003ff,0x7d4001ff,0xfff802ff,0x37fec401,
    0x0000bff7,0x2e617fee,0x2e03ffff,0xffb985ff,0x6ffb83ff,0x17ffcc00,
    0x0effd800,0x1fffff4c,0x801ffec0,0xfc807ff8,0x5fff303f,0x6f7fec00,
    0x22ffffdc,0xcccdefff,0x03ffffec,0x99dffff5,0x805ffffd,0x89bdfffa,
    0x804fffca,0xcefffffc,0x41fffecc,0xbbdfffe8,0x700efffd,0x9579ffff,
    0x2007fffd,0xfe804ffa,0xfda9bcff,0xfffd84ff,0xffdbaacf,0xffe880ef,
    0xfffcacef,0xa83ccccc,0xcdffffff,0x7997ffed,0xfffb9755,0x3ffa003f,
    0x3dcabdff,0x32eaaf36,0x805ffffc,0x80000ffd,0xe8001fff,0xcabdffff,
    0x543fff3d,0xffffdbce,0x3bbffee1,0xeeeeeeee,0x3bffee00,0xffffffee,
    0x77ffdc02,0xffffffee,0x00dff702,0x0027ffc4,0x59ffff30,0x7ff9fff9,
    0x007ffb00,0x3201ffe2,0xfff883ff,0x7ffec004,0x42ffffff,0xffffffff,
    0x403fffff,0xfffffff9,0xd3001eff,0xffffffff,0x7fd4005f,0xffffffff,
    0xffd881ff,0x0effffff,0x7ffffe40,0x003fffff,0x22007ff2,0xfffffffd,
    0xffd103ff,0xffffffff,0x7fec401d,0xffffffff,0xb105ffff,0xffffffff,
    0x3fff6fff,0x1dffffff,0x3fffe600,0x3e3fffff,0xffffffff,0xdff003ff,
    0xccccb800,0xcccdfffc,0x7ffcc02c,0xf3ffffff,0x7ffd43ff,0x7dc3ffff,
    0xffffffff,0x2e00ffff,0xffffffff,0xfb801dff,0xffffffff,0x3fea01df,
    0x3fffa005,0xcccccccc,0xfffb02cc,0xf53dffff,0x7ffb007f,0x01ffe200,
    0x3fa0fff2,0xccccccff,0xd712cccc,0x01bdffff,0xffffffd9,0x20017dff,
    0xeffffec8,0xfdb88004,0x001cdfff,0xffffdc88,0x5c01beff,0x03dffffe,
    0x3ffff660,0x6c000dff,0x7f5c007f,0x800dffff,0xffffffea,0x3f6e002e,
    0xffffffff,0x6dc05fff,0xaceffffe,0xffffffb1,0x220003bf,0xfffffffc,
    0x3fffffe2,0x3000beff,0xfe8009ff,0xffffffff,0x8804ffff,0xfffffffc,
    0x7543fff2,0xb81dffff,0xffffffff,0x200fffff,0xeefffffb,0x3ee000bc,
    0xbceeffff,0x3e000000,0xffffffff,0x204fffff,0x0cfffffb,0xfb007ff5,
    0x3fe2007f,0x83ffc807,0xffffffff,0x84ffffff,0x4c400198,0x000009a9,
    0x88000033,0x98800001,0x06600019,0x02662000,0x002aa800,0x80002660,
    0x80000998,0x00000998,0x266600cc,0x3000001a,0x26660133,0x5100009a,
    0xffe80015,0xffffffff,0x98004fff,0x08800099,0x00000000,0x00000000,
    0x3ffe0000,0xffffffff,0x98804fff,0xffd80001,0x0fff1003,0xff07ff90,
    0xffffffff,0x0009ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc9800000,0x8800003c,0xcccccccc,0x099911cc,0x66664c00,0xcccccccc,
    0x64c3cccc,0x3cc9803c,0x3bb2e200,0xccc981bc,0xcccccccc,0x2e3ccccc,
    0x322003cc,0x999910cc,0x99999999,0x001e65c9,0x98066644,0x00bceecb,
    0x5002665c,0x33321999,0x03997000,0x00b33320,0x66666644,0x2e00aabc,
    0xcccccccc,0x200ccccc,0x0bceecb9,0x20133220,0x3320ccca,0x09accccc,
    0x00399700,0x20133320,0xa801ccca,0x80cc984c,0xb801cccb,0x999970cc,
    0x99999999,0x66654999,0xcccccccc,0xd7004ccc,0xccc9809d,0xcccccccc,
    0x0dff504c,0xfff90000,0x5fffffff,0x8001ffe2,0xfffffffa,0xffffffff,
    0x02ffdc5f,0xb802ffd4,0xffffffff,0x3fffee0c,0xffffffff,0x3ea5ffff,
    0xffb002ff,0x7ffffccb,0x7fffffff,0x0003fff2,0xfd10dff7,0x5fffffff,
    0x01fffd40,0xff27ffc4,0x3ffa003f,0xffffa802,0xffff1005,0x9fffffff,
    0xfffffd01,0xffffffff,0x3ffff203,0xf102ffff,0xfff980ff,0x7fffffc4,
    0x403fffff,0xf0003ffd,0xff803fff,0x6fd802ff,0xfe81ffb8,0xffd806ff,
    0xffffffd1,0xffffffff,0x3ffff21f,0xffffffff,0x3ea00fff,0x7d405fff,
    0xffffffff,0xff507fff,0xff00000d,0xffffffff,0x01ffe25f,0x0001fa80,
    0x05ffb8bf,0xd805ffa8,0xfeeeffff,0x3ffee6ff,0xffffffff,0x6c5fffff,
    0xff9806ff,0x3fffe61f,0xffffffff,0x00bffe67,0xfa89ffd0,0xfffeffff,
    0x3ff602ff,0x77fec00f,0x4007ffe0,0xfd802ffe,0x8800ffff,0xffffffff,
    0x740fffff,0xffffffff,0x441fffff,0xfddefffe,0xff884fff,0x17ffa207,
    0x3ffffffe,0x01efffff,0x20007ffb,0x2a04ffff,0xe802ffff,0x80ffc85f,
    0x401ffffe,0xfffd1ffd,0xffffffff,0x3f21ffff,0xffffffff,0x80ffffff,
    0x5fffffea,0x7ffffd40,0x7fffffff,0x000dff50,0xffdffa80,0x03ffc404,
    0x0c43f500,0x7fdc5f80,0x05ffa805,0x4c27ffcc,0x266621fd,0x9effc999,
    0x44099999,0x7f403fff,0x4fffcc4f,0x99999999,0x002fff41,0xfe83fff1,
    0x3fea0adf,0xfff100ff,0x17ffcc09,0x74007ffe,0xfff802ff,0xf8803ffe,
    0x7ed4c47f,0xffb806ff,0x3dffb005,0x883fff70,0x3ff607ff,0x20fff80e,
    0xffffdba9,0x003ffd82,0x07ffff88,0x00fffff6,0x1ff217fe,0x02fffff4,
    0x55547ff6,0xaaaaaaaa,0x2a67ffca,0xaaaaaaaa,0x545fffba,0xfffffffe,
    0x037fd405,0x01bfea00,0xf7dfd000,0xfff8809f,0x2defffff,0xffc87ea0,
    0x26bf01df,0xccceffdc,0xffdccccc,0x9ffd03cf,0x3ee00180,0x7fe4005f,
    0x1fff500f,0x0007ff98,0x5c00fff9,0x03f986ff,0xb80fffe6,0xffd01fff,
    0x003fff0b,0xf500bffa,0x00bff7bf,0xfb80fff1,0x7fdc00ff,0x0fffa805,
    0xf117fee0,0x3ffee0ff,0x401fff00,0x6c0fffea,0xf88003ff,0xf882ffdf,
    0xf803ffcf,0xd06fd84f,0x403fffff,0xb0001ffd,0x320007ff,0x3fea0fff,
    0x5ffd9dff,0x0037fd40,0x4c1bfea0,0x67fcc001,0x7c404ffb,0xffffffff,
    0x1fa82eff,0x13fff72a,0x7fffdd7e,0xffffffff,0x85ffffff,0x0000fff8,
    0x0017fee0,0x3a09fff1,0x7ff982ff,0x5fff3000,0x40fff600,0x05ffd800,
    0x7dc37ff4,0x1fff80ff,0x805ffd00,0xfff9affc,0x03ffc400,0x2e017ffc,
    0xffd805ff,0x0fffc403,0xff50fff1,0x07ffc03f,0xb13ffe20,0xf30007ff,
    0xf709ff5f,0x8807ff5f,0x05fe83ff,0x0bff9ffd,0x4000ffec,0x8000fff9,
    0xff82fffa,0x017ff62e,0x8000dff5,0x7ecc6ffa,0x47fe4002,0x7c404ffb,
    0xedccccff,0x7d42ffff,0xf0ffea01,0x3ffffeeb,0xffffffff,0x985fffff,
    0x400006ff,0xa8005ffb,0x7fdc0fff,0x00fff305,0x4027ff40,0x0001fff8,
    0xf301bfee,0x7ffc47ff,0x003fff03,0xff00bffa,0x00bffa1f,0xfd00fff1,
    0x5ffb805f,0x801ffe80,0x3fe23ffc,0x017ffc47,0x2e003ffe,0x3ff60fff,
    0xaff98003,0x9dfe87fd,0x666444ff,0xccccdffd,0xd2ccceff,0x01fff3ff,
    0x20007ff6,0x88004ffd,0x05705ffe,0xfa80bffb,0x7d40006f,0x5fffb36f,
    0xbaffc400,0x7fc404ff,0x3fffaa07,0xf5007ea1,0x3ee2fc1f,0x5ffa805f,
    0x0017fea0,0x00bff700,0xf897ffa0,0xfff301ff,0x3ffe4000,0x0037fd40,
    0x201bfee0,0xffb0fffc,0x00fffc0b,0x2a02ffe8,0x17ff26ff,0xf00fff10,
    0xffb801ff,0x07ffc405,0xf127fdc0,0x04ffe8ff,0x8800fff8,0x3ff62fff,
    0xaff98003,0x3fe62ffa,0x7cc4ff9a,0xffffffff,0xffffffff,0xff91ffd4,
    0x007ff609,0x001fff30,0x001fff90,0x5405ffd8,0x540006ff,0xffffdeff,
    0x3fee000c,0x8809ff72,0x7fc407ff,0x2007ea5f,0xf717e2ff,0xbff500bf,
    0x002ffdc0,0x017fee00,0xc8fffcc0,0x3fe604ff,0x3fe60007,0x1ffec01f,
    0x17ff2000,0x7d6fff40,0x3ffe00ff,0x05ffd001,0xff31ffe4,0x3ffc401f,
    0x201bfea0,0x7c405ffb,0xffa801ff,0xfd9ffe25,0x1fff005f,0xd93ff600,
    0xfa8003ff,0x325ff8af,0x889ff17f,0xccffeccc,0xccdffdcc,0xf31ffd2c,
    0x3ffb01ff,0x04ffd800,0x02fff980,0x405ffd80,0x40006ffa,0xcffffffa,
    0x27fe8000,0x7c404ffb,0x7ffa807f,0x3fe007ea,0xbff717e2,0x40bff500,
    0x00005ffb,0x0002ffdc,0xfff3bff9,0x03ffcc01,0x813ffa00,0x0001fff8,
    0xa801fff4,0x03ffffff,0xe800fffc,0x3ffe02ff,0x1017ffc0,0x7fd40fff,
    0x5ffb802f,0x802fff80,0x3fe26ff9,0x001dff77,0x64003ffe,0x0fff65ff,
    0x64bfea00,0x229ff0ff,0x7fe405ff,0xe817fcc0,0x09ffb0ff,0x44003ffb,
    0xe8000fff,0xfb0005ff,0x6ffa80bf,0x3ff62000,0x30000cff,0x77fdc9ff,
    0x3e24cccc,0xfff8807f,0xfa803f50,0xff717e0f,0x0bff500b,0x0002ffdc,
    0x3ff26666,0x0009999e,0x5ffdfff1,0x99fff980,0x09999999,0x540dff90,
    0x540006ff,0x36000fff,0xf806ffff,0xcccccdff,0x2fffcccc,0xf90dff50,
    0x7ffc40bf,0xffeccccc,0xbff7000e,0x00dffb00,0x7fc4fff3,0x000fff9f,
    0x5c003ffe,0x0fff66ff,0x4c7fee00,0x11ffabff,0x7fc80bff,0xfd01ffa8,
    0x03ffe61f,0x64003ffb,0xfc8004ff,0xfb0000ff,0xfffa80bf,0xcccccccc,
    0x3fff222c,0x640000ef,0x3ffee1ff,0xf10fffff,0x3ffe00ff,0xcc983f51,
    0x22fc3ffe,0xfffffffb,0x5fffffff,0x7fffffd4,0x4fffffff,0x3ffffe60,
    0x4fffffff,0x3fffee00,0xffff9805,0xffffffff,0x03fff303,0x8000fff6,
    0x4004fff8,0x801ffff8,0xffffffff,0xffffffff,0x507ff902,0x3e201fff,
    0xffffffff,0x3ee001ff,0xfff9805f,0xfffb880c,0x3ffffe27,0x7ffc002f,
    0x4fff7000,0xb8003ffd,0x337fe1ff,0x01bfe26f,0x1ff70dfb,0xfe83ffa0,
    0x00ffec3f,0x000fff88,0x0017ffcc,0xa80bffb0,0xffffffff,0xff14ffff,
    0x000dffff,0x7dc6ff88,0x0fffffff,0xf100fff1,0x707ea1ff,0xbf03bfff,
    0xffffffb8,0xffffffff,0x7ffffd45,0xffffffff,0x3fffe604,0xffffffff,
    0x7fff4004,0xffff9801,0xffffffff,0x40fffa03,0x20000fff,0x98006ffd,
    0xf803ffff,0xffffffff,0x2fffffff,0x3e03fff0,0xfff102ff,0xffffffff,
    0xff7001df,0x3fff200b,0xfffedcef,0x3ffe26ff,0x7c006ffe,0xff5000ff,
    0x001ffecf,0xff90ffdc,0x06ff87ff,0x3fe42ff4,0x7d41ffd0,0x00ffec7f,
    0x8005ffc8,0x40005ffe,0x7d405ffd,0xffffffff,0xbff14fff,0x8000dff9,
    0x7fdc3ffb,0x03ffc404,0x3f53ffd4,0x2fc03fb8,0x3333bfee,0xffdccccc,
    0x7fee64c5,0xccccccce,0x2aaaa202,0xaaaaeffd,0x2aaaaa01,0xaaaaeffd,
    0x57ffcc0a,0xaaaaaaaa,0x21bff201,0x20006ffa,0x8000fffd,0x00fffffe,
    0x4ccd7ffc,0xfe999999,0x06ffa82f,0x7c417ff6,0xb99999ff,0x400ffffd,
    0x2e005ffb,0xffffffff,0x3e25ffdf,0x04fff9ff,0x4003ffe0,0x3ff66ffb,
    0x1ffc8003,0xf03fffe6,0x85ff80df,0x3ffa07fc,0xfb17ff40,0xfff1003f,
    0xfffc8003,0x7fec0000,0x4f7fd405,0x99999999,0x3fea3b10,0x7ff40006,
    0x2027fdc0,0xfe807ff8,0xf507ea4f,0x7dc5f807,0x5ffa805f,0x0017fee0,
    0x00bff700,0xfffffff8,0x2fffffff,0x0003ffcc,0x3207ffcc,0xf90003ff,
    0xf70003ff,0x80bffdff,0xfd001fff,0x09ff905f,0x4407ffd4,0x7fd407ff,
    0x2ffdc05f,0x3bb6e200,0x49ff52cd,0xfff57ff8,0x03ffe007,0xfb37fe40,
    0xff90007f,0xf85ffe83,0x13fe207f,0xffe81bf6,0xfb37fdc0,0xbff9003f,
    0x2fff9800,0x5ffd8000,0x0037fd40,0x001bfea0,0xfb85ff98,0x3ffc404f,
    0x41dffb10,0x01fd41fa,0x0bff717e,0x5c0bff50,0x400005ff,0x7c005ffb,
    0xffffffff,0x4c2fffff,0xd00007ff,0x0fff87ff,0x2fffc800,0xbfff8800,
    0x3e03fff9,0xffd001ff,0x403fff05,0xf882fff8,0xfffb807f,0x017fee00,
    0x8fff2000,0x3ff27ff8,0x0fff801f,0x6c9ffb00,0xfd8003ff,0x417fdc0f,
    0x3ffe67ff,0xffffffff,0x24ffffff,0xfff80ffe,0x8803ffb2,0x74001fff,
    0xb00005ff,0xffa80bff,0x7fd40006,0x3ff60006,0xffdccccd,0x5fffc404,
    0xfffcbaaa,0x000fd42f,0x2ffdc5f8,0x702ffd40,0x80000bff,0x80005ffb,
    0xf3005ffb,0x320000ff,0x1bfe66ff,0x0bfff200,0x937fec00,0x3fe01fff,
    0x5ffd001f,0xffffffa8,0xffffffff,0x807ff885,0x2e01fff9,0x800005ff,
    0x3fe21ffe,0x0077ff47,0x22003ffe,0x3ff62fff,0x0ffd8003,0x7ff81544,
    0x3fffffe6,0xffffffff,0x3ffa4fff,0xfb5ffb80,0x5ffc803f,0x07ffe400,
    0x5ffd8000,0x0037fd40,0x001bfea0,0x7fffffc4,0x404fffff,0xfffffff8,
    0xa81effff,0x7c01441f,0x402ffdc5,0x3ee05ffa,0x5c00005f,0xb80005ff,
    0xff3005ff,0x3e60000f,0x07ff90ff,0x02fffc80,0x43fff500,0xff05fff8,
    0x3ffa003f,0x7ffffe42,0xffffffff,0x07ff887f,0x201fff88,0x00005ffb,
    0x3e237fcc,0x2fffc47f,0x2003ffe0,0x3f60fffc,0xffd8003f,0x87ff4000,
    0xcffcaaa8,0xadffbaaa,0x03ffa1aa,0x3f67ffe2,0x3ffe201f,0x3ffe6001,
    0x3f600002,0x37fd405f,0x1bfea000,0x7fffdc00,0x4fffffff,0x7ffffc40,
    0x203effff,0x02ff41fa,0x0bff717e,0x5c0bff50,0x400005ff,0x80005ffb,
    0xf3005ffb,0x740000ff,0x01fff3ff,0x017ffe40,0x84fff880,0xff82fffb,
    0x5ffd001f,0xeeeefff8,0xffeeeeee,0x03ffc42f,0x2e03ffd4,0x200005ff,
    0x7c41ffe8,0x4fffa87f,0x1003ffe0,0xffd89fff,0x0ffe8003,0x807ff400,
    0x7fcc0ffb,0x403ffa03,0x1ffdcffc,0x001bff20,0x0000bffd,0x5405ffd8,
    0x540006ff,0xfd0006ff,0x13fee01f,0x557fff10,0x07ea0015,0x45f80fff,
    0xfa805ffb,0x17fee05f,0xbff70000,0xfffff800,0xffffffff,0x03ffcc2f,
    0x3bff9000,0x7e400dff,0x360001ff,0xffd00fff,0x01fff81f,0x7d45ffd0,
    0x3ff6007f,0x403ffc45,0x7dc05ffe,0xb300005f,0xfff109ff,0x40bfff20,
    0x3a600fff,0x7fec0fff,0x0ffe8003,0x807ff400,0x7fcc0ffc,0x403ffa02,
    0x1ffefff8,0x005fff10,0x0007ffdc,0x017ff600,0x8000dff5,0xa8006ffa,
    0x3fee05ff,0x03ffc404,0xda83f500,0x3ee2fc02,0x5ffa805f,0x0017fee0,
    0x00bff700,0xfffffff8,0x2fffffff,0x0003ffcc,0xffbfff30,0x3fff2007,
    0x3fea0001,0x3ffe603f,0x800fffc4,0x3ff22ffe,0x1ffee004,0x6cc0fff1,
    0x7dc01fff,0x2620005f,0x880ffffd,0x3ff607ff,0x40fff80f,0x2ffffc98,
    0x8003ffd8,0xfe8007ff,0x50ff901f,0x7ff403ff,0x3ffff200,0x0dff901f,
    0x017ffcc0,0x2ffec000,0x001bfea0,0xdddfff50,0x49dddddd,0x3ee02ffd,
    0x2cccccef,0x4000fff1,0xbf0001fa,0xa805ffb8,0x6e64c5ff,0xccccceff,
    0x7004cccc,0xaa800bff,0xaeffdaaa,0x7cc0aaaa,0x7400007f,0x800fffff,
    0xfffffffa,0xffffffff,0x01bffe21,0xff87fff2,0x5ffd001f,0x10017ffc,
    0x7fc45fff,0xffeeeeef,0x776c2fff,0xeefffeee,0x77641eee,0xcffffffe,
    0x40fff100,0xff86fff8,0xffffeeef,0xffb01fff,0xdddddddd,0x03ffc9dd,
    0xd80ffec0,0x00ffb86f,0xf9803ffa,0xf881ffff,0x3fa002ff,0xffffffff,
    0x22ffffff,0xfffffffe,0x27ffffff,0xeeeefffa,0x506eeeee,0xffffffff,
    0x3e2bffff,0x7ffdc07f,0xf14fffff,0x7d4000ff,0xcccccccd,0x5fcccccc,
    0x5402ffdc,0x7ffd45ff,0xffffffff,0x7007ffff,0x70000bff,0x3e600bff,
    0x6400007f,0x5006ffff,0xffffffff,0x3fffffff,0x400fffec,0x3fe6fff8,
    0x5ffd001f,0x2001ffea,0x3fe24ffe,0xffffffff,0xfffe81df,0xffffffff,
    0x7ffec1ff,0x401effff,0x7cc07ff8,0x7fffc5ff,0xcfffffff,0x3ffff600,
    0xffffffff,0x2001ffe5,0xbfd01ffd,0xfe80ff90,0x7ffec00f,0x06ffc81f,
    0x7fffffc0,0xffffffff,0x3fffa2ff,0xffffffff,0x3ffea7ff,0xffffffff,
    0xffff507f,0xffffffff,0x7013feeb,0xffffffff,0x001ffe29,0xffffffa8,
    0xffffffff,0x2ffdc5ff,0x2a2ffd40,0xffffffff,0x7fffffff,0x00bff700,
    0x00bff700,0x0001ffe6,0x07ffff30,0x3ffffea0,0xffffffff,0x9fff51ff,
    0xa7ffdc00,0xfd001fff,0x017ff25f,0xf89ffee0,0xdeffffff,0x3fffa01c,
    0xffffffff,0x77fec1ff,0xf1001acd,0xfff700ff,0x7fffffc7,0xfb002cde,
    0xffffffff,0x3fe2bfff,0x2ffd8007,0xffb0bff0,0x400ffe80,0x441ffff9,
    0x7c002fff,0xffffffff,0x2fffffff,0x3ffffffa,0x7fffffff,0x3fffffea,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xc98003cc,
    0x664c001c,0x999701cc,0x19993000,0x33333322,0x66401abc,0x1abccccc,
    0x666664c0,0xcccccccc,0x00003ccc,0x38800e60,0x000005b0,0x54c00d88,
    0x10035300,0x2a603553,0x00310001,0x0d5554c0,0x2aaa6200,0x2a62001a,
    0x01998009,0x10009988,0x44003353,0x998009a9,0x101aaa80,0x15510133,
    0x4ccccc40,0x19999999,0x40026662,0x26621999,0x09988000,0x44001331,
    0x50662199,0x2602a605,0x01999999,0x2201cc98,0xfa8006ff,0x7ff4003f,
    0xfff502ff,0x5ffe8007,0x3fffffe2,0x80bfffff,0xffffffff,0xff702eff,
    0xffffffff,0x0bffffff,0x100bff50,0x36001ffb,0x0fff61ef,0x7fcc0000,
    0xffffa80e,0xffffd10e,0xffffb103,0x3ffe65ff,0x3ee001ff,0x3f6e005f,
    0x3fffffff,0x7ffffdc0,0x75407fff,0x02efffff,0xf900fff1,0x7fecc07f,
    0x205fffff,0xefffffec,0x64bff102,0x41efffff,0x3faa3ffa,0xfd81efff,
    0xffffffff,0x7ff47fff,0x7ffd400f,0x001bfe63,0x7fe53fee,0x97ff2007,
    0xdffd17fa,0x8ffffa23,0xfffffff9,0x3ffe601f,0x01ffe02f,0x800bfee0,
    0x02fffffb,0x4003fffa,0x3e20fffb,0xffffffff,0x7fc0ffff,0xffffffff,
    0xfffb84ff,0xffffffff,0x805fffff,0xe8805ffa,0xffa805ff,0x13fff21f,
    0xfff50000,0xffff981d,0xffffb5ff,0xfffb81ff,0xffbfffff,0x801fffff,
    0x802ffff8,0xfffffff8,0xe886ffff,0xffffffff,0x3fff207f,0x84ffffff,
    0xfc807ff8,0xffff703f,0x30ffffff,0xfffffffd,0xff881bff,0xfffffe8d,
    0x3fea0fff,0xffffff73,0xfffd83ff,0xffffffff,0x2fffcc7f,0x88bfff10,
    0xfc8007ff,0x05fff13f,0xfa8bffe0,0x4ffffe8f,0x21fffffb,0xfffffff9,
    0x3fff601f,0x01ffe06f,0x400bfee0,0x2ffffff8,0x013ffe60,0x3e227ffc,
    0x7ed4c47f,0x3ffe0eff,0x3fff6e21,0x4cccc42f,0x99effc99,0xa8009999,
    0xff3005ff,0x446aa25f,0xffb83fff,0xb80000df,0xfff05fff,0xffbffb37,
    0xb89ff937,0xffda8acf,0xffc8afff,0xffff8805,0xbdff8802,0xfffea99a,
    0x4dfffec4,0xb05ca999,0x93137fff,0xff887fff,0x83ffc807,0xaacefffd,
    0x7fcc7eca,0xfdb9acff,0x77fc45ff,0xfeaadffe,0x33fea5ff,0xfdabeffc,
    0x555545ff,0xffaaaaaa,0x2fffb86f,0xf01dffb0,0xffb000ff,0x402ffec5,
    0x7fd47ffa,0xaefd9dfb,0x13ffc9ef,0xfff55555,0x7ffff403,0x001ffa07,
    0x6c007ff2,0x02ffebff,0x2007ffec,0x7c40fffb,0x7ffd407f,0x4407ffe4,
    0x2e006ffe,0x540005ff,0x3ee005ff,0xfffffeff,0x3e605ffe,0x20001eff,
    0xf504fffd,0x7fffc47f,0x8023ff45,0x7f42fffd,0xeffd800f,0xfb005000,
    0x07ffccff,0x077fd400,0x220fffa8,0xffc807ff,0x027ffd43,0x01dffb06,
    0xf88bffee,0xfb82ffff,0xffff50ff,0x1fff507f,0x0fffc800,0xa81fffb0,
    0xffd01fff,0x0ffe8001,0xb003ffea,0xfffa89ff,0x1ffff50f,0xff013fe6,
    0x7ffe403f,0x03ffa05f,0x003ff900,0x3ffabff5,0x27ffc402,0x107fff10,
    0xff900fff,0x500fffcd,0x7dc00fff,0x7d40005f,0x7fec005f,0xffffffff,
    0x7ff4400f,0x7f44002f,0x3ff602ff,0x21fffe40,0xf7002ffb,0x05ff90ff,
    0x00002aa0,0x2a1fff30,0xfd0005ff,0x4ffd805f,0x3201ffe2,0x3ffe23ff,
    0x7ffd4004,0x137fe400,0x2203ffff,0xfff51fff,0x17ff407f,0x03fff500,
    0xf12fff44,0x7fe407ff,0xff81cc81,0x203fff87,0x7d41fff8,0x3ffe63ff,
    0xf017fe63,0x7f4403ff,0x3ff600ef,0x07fe4000,0x743ffe20,0xffc802ff,
    0x0dff901f,0x2601ffe2,0x3fff0fff,0x007ffcc0,0x0005ffb8,0x2002ffd4,
    0xebbefffa,0xb1006fff,0x26007fff,0x7c01effe,0x1fffa87f,0xa801ffd4,
    0x3ffa85ff,0x80000000,0xfff32ffe,0x6ffa8001,0x226ff980,0xffc807ff,
    0x003ffee3,0x1007ffb0,0x3fe23fff,0x97ff403f,0x6c03fffa,0xff1002ff,
    0xfff3007f,0x7017ff67,0x4ffa85ff,0xffc86ff8,0x21bfee06,0x7fcc6ffa,
    0x017fe20f,0x33003fff,0x003ffb00,0x6c00ffd8,0x0bffa3ff,0x217ffe20,
    0xf102fff8,0x3ffe00ff,0x4c03fff1,0x3ee007ff,0x7d40005f,0x7fec005f,
    0x02fffa85,0x013fff20,0x001dfff5,0xfff30bff,0x003ff981,0xff509ff3,
    0x00000007,0x3e25ffb0,0x2e002eff,0xff8804ff,0x201ffe27,0x3ff63ffc,
    0x0fff8004,0x225ffd00,0xffd807ff,0x700dff53,0x3fa005dd,0x3fee005f,
    0x400effbf,0x7fec3ffa,0x4c2ffc47,0xffd01fff,0x987ff505,0x2ffc44ff,
    0x0007ffe0,0xc81ffc80,0x407fd81c,0x7ff46ffa,0x3fff7002,0x2205ffc8,
    0xff8807ff,0x403fff0f,0x2e006ffb,0xff8805ff,0xffffffff,0x43ffffff,
    0xfb00fff9,0xffb8009f,0xfffb80df,0x0bff1004,0x9999fff3,0x2a609ffb,
    0xcceffdcc,0x314ffdcc,0x33333333,0x13333333,0x3332aa20,0x2a2fffcc,
    0x01cfffff,0x55567fe4,0xffbaaaaa,0x00fff10f,0x7ff47ff9,0x3ffc4002,
    0x227ffb00,0xffc807ff,0x000dff53,0x01dff900,0xfffffd80,0x44ff9801,
    0x3e62ffff,0x09ffd04f,0x3ea0fff3,0x227fcc3f,0x7fc05ff8,0x8008801f,
    0x7fd42ffc,0x2207fe84,0x7ff41ffe,0x9bffa002,0x2201fff8,0xff9807ff,
    0x4c07ffe7,0x2e003fff,0xff8805ff,0xffffffff,0x43ffffff,0x3ee06ffa,
    0xff98005f,0x3fff60ef,0x17fe6003,0x3fffffe6,0x7545ffff,0xffffffff,
    0x4fffffff,0xfffffff7,0xffffffff,0xfffc88df,0xffffffff,0x7ffffd42,
    0xffe80cff,0xffffffff,0xf11fffff,0x7ff900ff,0x2000fffc,0x32007ff9,
    0x0fff14ff,0x3ea7ff90,0x5400006f,0x88001fff,0x1003ffff,0x7ffd4bff,
    0x40ffea5f,0xffc86ffb,0x987ff504,0x2ffc44ff,0x9007ffe0,0x7dc01dff,
    0x43ffe42f,0x3ff206fe,0x002ffe83,0x7e4bffea,0x3ffc404f,0xff2ffec0,
    0x7fe4cc3f,0x7fdc005f,0xcccc8805,0xcceffdcc,0x7dc1cccc,0x1bfea04f,
    0x97ffec00,0x001fffe8,0x3e217fe6,0xeeeeeeff,0x3fffea3e,0xeeeffeee,
    0xf73eeeee,0xffffffff,0xdfffffff,0x77ffffc4,0x2fffeeee,0xffffeb88,
    0x7fff43ff,0xffffffff,0xff10ffff,0x27ff900f,0x4001fff8,0x32007ff9,
    0x0fff14ff,0x3ea7ff90,0x2600006f,0x30003fff,0x4009ffff,0x33bf26ff,
    0x05ff70ff,0xff07ffe2,0x0ffea03f,0xff889ff3,0x00fffc05,0x40bffff7,
    0x7ffc3ffa,0x9837fc2f,0x5ffd06ff,0x8effd800,0x7c400fff,0x7ffe407f,
    0x3fffffe0,0x005fffff,0x0005ffb8,0x9002ffd4,0x7fd409ff,0x7ff44006,
    0x7fff441f,0x0bff3002,0x7400fff3,0x3fe60cff,0x99993004,0x99999999,
    0x7f479999,0x3ff602ef,0x7ff5c402,0x0fff63ff,0x07ff8800,0x3fe3ffc8,
    0x7fc4002f,0x5ffb000f,0x3201ffe2,0x0dff53ff,0x3ffa2000,0xffd10004,
    0x3a005fff,0x3eaffe7f,0x401ff92f,0x3fea4ffc,0x30ffea06,0x5ff889ff,
    0xb00fffc0,0x201fffff,0x3fe63ffa,0x82ffc5ff,0xffd01ffe,0xfff98005,
    0xf8803ffe,0xba9999ff,0x7fc3ffff,0xcfffffff,0xbff70001,0x5ffa8000,
    0x817fee00,0x26005ffb,0x3600efff,0xf8804fff,0x0fff985f,0x987ff980,
    0x000005ff,0x00fff980,0x50017fec,0x7fe4fffd,0x3fe20004,0x23ffc807,
    0xf8003ffd,0xffd001ff,0x201ffe23,0xdff53ffc,0x3ff60000,0x3ff60006,
    0x800fffce,0x0ff98ffd,0x01ff6bff,0x3f61fff3,0x0ffea03f,0xff889ff3,
    0x00fffc05,0x40fffff9,0x3bf23ff9,0x42ffc7fd,0x3fa04ffb,0xffc8002f,
    0xff1007ff,0xffffffff,0x9fff05ff,0x03dffd95,0x017fee00,0x00bff500,
    0xd807ffd4,0xff5004ff,0xff7001bf,0x6ff801bf,0x801fffb8,0xff984ffa,
    0x80000006,0xfd806ffb,0x7fcc002f,0x00dff70f,0x201fff80,0x3f23fff9,
    0xffe8006f,0x0fff9803,0xf900fff1,0x01bfea7f,0x03ffee00,0x8fffdc00,
    0xfb806ffe,0x3f26fc9f,0xe806fe8f,0x0fff8aff,0xf30ffea0,0x05ff889f,
    0xf300fffc,0x7cc07fff,0x3ef3fe4f,0x989ff12f,0x7ff406ff,0xfff88002,
    0xfff1002f,0x9fffffff,0x707ffe01,0x70001fff,0xa8000bff,0x3e2005ff,
    0xfffa84ff,0x4fffc800,0x77ffd400,0x903ffa00,0xf5009fff,0x1fffb09f,
    0x40020000,0x7dc05ffb,0x7c4002ff,0x7fff10ff,0x1fff4000,0x23ffff88,
    0x4003fff9,0x6c00fffb,0x1ffe24ff,0x7d4fff20,0x7cc0006f,0xf30002ff,
    0x7ffc47ff,0x7d7fd404,0x3effea3f,0xdffb805f,0x7d405ffa,0x227fcc3f,
    0x7fc05ff8,0x16e4c01f,0x7cd3fe20,0xf15ff99f,0x01ffe89f,0x80017ff4,
    0x22006ffb,0x9bcccfff,0x81fff800,0xb8005ffd,0x540005ff,0x7e4005ff,
    0xffc9bfff,0x7fec405f,0xfd30003f,0x3fee03ff,0x3ffffe23,0x237fcc01,
    0x004ffffb,0x4027fdc0,0xe880fffa,0x0012ffff,0xff71fff6,0x3f60007f,
    0x7ff4c0ef,0x7ffec3ff,0xffd0a204,0x3fff601d,0x201ffe20,0xdff53ffc,
    0x7ffc4000,0xfff10004,0x07fff50b,0x07feffcc,0x013ffbfe,0x3ff7ffe2,
    0x21ffd401,0x7fc44ff9,0x00fffc05,0x2bff1000,0x23ffa7fc,0x3fe63ff9,
    0xffffffff,0xffffffff,0x0bff7002,0x003ffc40,0xf103fff0,0xfb8005ff,
    0x7d40005f,0x7fe4005f,0xffffffff,0xfffd100e,0xfe880005,0xfff882ff,
    0xffbffeab,0x227cbacf,0xffdacfff,0xa9adfffb,0xfff8806b,0x7ffc402f,
    0xfffdbabf,0x9bfb2ffe,0xffdb7557,0xdffff07f,0xdb755559,0xcffff983,
    0xffcfffca,0x77fffc43,0x47fdcbcd,0xabcffffa,0x443fffec,0xffc807ff,
    0x000dff53,0x6667fff4,0x2ccccccc,0xd807ffec,0xff101fff,0xfff90dff,
    0x3ff6007f,0xffa806ff,0x2227fcc3,0x999975ff,0x999bfff9,0x7fc00059,
    0x7fdc9fd6,0x3e63ff9a,0xffffffff,0xffffffff,0xbff7002f,0x03ffc400,
    0x203fff00,0x5c006ffd,0x4c0005ff,0x3ea002cc,0xffffffff,0xff985ffe,
    0x200001ef,0xfc84fffd,0xf92fffff,0xc8ffffff,0x33ffffff,0xffffffff,
    0x5ffff300,0xfffff500,0xff73dfff,0x3fffff65,0x03ffffff,0xffffffb1,
    0xb03fffff,0xdfffffff,0xb107ff53,0xffffffff,0xffff50ff,0x03ffffff,
    0xf900fff1,0x01bfea7f,0xffffff80,0xffffffff,0x80bfff24,0xf00ffff8,
    0xff307fff,0x3e6005ff,0xfa803fff,0x227fcc3f,0xfffd5ff8,0xffffffff,
    0x7c0009ff,0x221ff9ef,0x22ff9eff,0xeeeeeee8,0xefffeeee,0xf7001eee,
    0x7fc400bf,0x3ffe0007,0x05fff301,0x002ffdc0,0x7fc40000,0x1157732f,
    0xffe87fff,0xb800000d,0xffb81fff,0x7ff643ef,0xfffc85ff,0x7ffed43e,
    0xffd005ff,0x3fa6001f,0x3ee4efff,0xffffd72f,0x0039ffff,0xffffffd5,
    0x3ee019df,0xf50cffff,0x7f6d407f,0x103dffff,0x9dffffdb,0x01ffe201,
    0x7fd4fff2,0x3ffe0006,0xffffffff,0xfff54fff,0xbfff500b,0x403fffa0,
    0x2001ffff,0xa800fffe,0x27fcc3ff,0x7ff57fe2,0xffffffff,0x20004fff,
    0xe87fbffe,0x002ffbff,0x000bffa0,0x1002ffdc,0x7c000fff,0x3ff601ff,
    0x17fee006,0x3a000000,0xffb805ff,0x0013a21f,0x805f5000,0x00cc4018,
    0x35100262,0x01770003,0x00026600,0x0026a666,0x09999880,0x00066200,
    0x40009980,0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffd00000,0xdff709fd,0x740003ff,0xf70002ff,0x7fc400bf,0x3ffe0007,
    0x07ffe601,0x802ffdc0,0xccccccca,0x4ccccccc,0x4003ffa2,0x00042ffe,
    0x00008000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c000000,0xf882ffff,
    0x0000ffff,0x4000bffa,0x22005ffb,0x3e0007ff,0x7ff401ff,0x0bff7005,
    0x3fffff20,0xffffffff,0x2003b87f,0x000000c9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0x3fff607f,0x3fa0000f,0xff70002f,
    0x3ffc400b,0x03fff000,0x801fffa8,0xf9005ffb,0xffffffff,0x00ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0x3ffea04f,0x7ff40007,0xbff70002,0x03ffc400,0x003fff00,0xf700bffd,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,0x4ccc4009,
    0x05993000,0x7bdb7300,0x3b72a201,0x54c003ce,0x00009bdc,0x20000000,
    0xc8002000,0xedb9801c,0x2a202cde,0x8801cdec,0xa8800ccb,0x4c002cdc,
    0xaa9802cc,0xaaaaaaaa,0x3312aaaa,0x33333333,0x32613333,0x333222cc,
    0x1980a202,0x66654000,0x01597303,0x3ccca800,0x5dddcc00,0x2aa3bbbb,
    0xaaaaaaaa,0x33333330,0x33333333,0x00033333,0x00000000,0x00000000,
    0x00000000,0x01ffec00,0x001dffd1,0x90017fea,0x5fffffff,0xffffff90,
    0xfd8801ff,0x02ffffff,0x3a607d10,0xd9826441,0x2013e203,0x5ff003f8,
    0xfffffb00,0xfff50dff,0x2209ffff,0x401ffffc,0xeffffffb,0x1fffd002,
    0xfffffc80,0xffffffff,0xfffffd7f,0xffffffff,0x93ffe67f,0xf304fff9,
    0x09ff70df,0x37ffea00,0xfffffd80,0x40332e03,0x2005fffb,0xfffffffb,
    0xfffff16f,0x3e7fffff,0xffffffff,0xffffffff,0x00001fff,0x00000000,
    0x00000000,0x00000000,0x2207ffb0,0x2000effe,0x32005ffa,0xfffddfff,
    0x55e7e41f,0x2a05ffec,0xca99bdff,0xffd804ff,0x3a1ffe83,0x7ffc41ff,
    0x04fff880,0x200bffa2,0xefd802ff,0x23fffede,0xfffffff8,0x3ff223ff,
    0x3201ffff,0xfffdefff,0x7ffd401f,0x7ffe404f,0xffffffff,0xfffd7fff,
    0xffffffff,0x3fe67fff,0x13ffe63f,0x3a0fffec,0xfa8007ff,0xfffb03ff,
    0x3a09ffff,0x7ff4c07f,0xdddd7005,0x3e2bdddd,0xffffffff,0xffffff3f,
    0xffffffff,0x03ffffff,0x00000000,0x00000000,0x00000000,0x3ff60000,
    0x0effe883,0x02ffd400,0x220eff98,0x88046ffc,0x7ff307ff,0x7f4c1331,
    0x21bfea04,0x7fd44ffc,0x905ffb86,0xfd109fff,0x3fd070bf,0xfd8041a8,
    0xd317545f,0x7ffecdff,0xf501fffe,0x6ffc81df,0x7fee7fc0,0x2aaaa601,
    0xaaaaaaaa,0x999972aa,0xd9999999,0x3ffe27ff,0x40fffe23,0x7ec0fffb,
    0x7fd4006f,0x9fff101f,0x889fffb5,0xfd8807ff,0x4400005f,0xcccccccc,
    0x555552cc,0x55555555,0x15555555,0x00000000,0x00000000,0x00000000,
    0x3f600000,0x77ff443f,0x5ffa8000,0x105ff900,0x7ec00fff,0xfd3fe80f,
    0x3fe27dff,0x41fff881,0xfc80eff9,0x02ffe84f,0x7449fff9,0x1efb85ff,
    0x37ec47fa,0x004ffb80,0x77ccfff5,0x3603ffd2,0x3ffd01ff,0x3e23fee0,
    0x0000006f,0x89ffdc00,0x3fe22fff,0x2072e03f,0x26000cc8,0x3ee00ded,
    0x6fffdc3f,0x004ffd99,0x0000fbae,0x00000000,0x00000000,0x00000000,
    0x00000000,0x6c000000,0x3ffa23ff,0xff50000e,0x03ffa00b,0x5d40fff4,
    0x40fffedc,0x2e7fa5fb,0xb0bf70fe,0xffe889ff,0x307ffa01,0x3f201fff,
    0x5ffe8cff,0x369fff90,0x0efffa8f,0x00fff4c0,0x20c7ffa8,0xdff01ffe,
    0x4417fdc0,0x0ffee3ff,0x80000000,0x3ffe3ffb,0x0017ffc2,0x90000000,
    0xfff705ff,0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffd8000,0x001dffd1,0x802ffd40,0x3ff207ff,0x3ffffa61,
    0x7e40ffff,0x22fb9fa2,0x437fd47f,0x7cc03ffc,0x27fe40ef,0xffffff90,
    0xeffc880b,0x02effdfe,0x0bffffb6,0x404ffe80,0xff881ffe,0x20bfee06,
    0x0ffe87fd,0x00000000,0x7ffc7ff7,0x0017ffc1,0x90000000,0x3fea01dd,
    0x0002ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x8bffd800,0x8800effe,0xfb999999,0x999999df,0x6c07ffa0,0x9fff10ff,
    0x81ffb335,0x74dfa0fe,0x7447fa0f,0x37fd41ff,0xe84ffb80,0x3ff201ff,
    0x322005ff,0x802effff,0x0cfffffe,0x07ffec40,0x7c07ffa0,0x07ffa07f,
    0xff507ff3,0xfffff909,0xffffffff,0x3ee000ff,0xd07ffe3f,0x000003ff,
    0x10000000,0x00017bb7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2fff6000,0x7000effe,0xffffffff,0xffffffff,0x441ffecd,
    0x13fea7ff,0x8ff03ff2,0x6c1efffe,0x81fff32f,0xf3004ffc,0x07ffb0df,
    0x027fffc4,0x2ffffaa0,0xfdcba800,0xfd100eff,0xffd003ff,0x20bffa03,
    0x6fe87ff8,0xf907ffa0,0xffffffff,0x00ffffff,0xfe8bbaa0,0x00fff40f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3f7ff600,0x3ee003ff,0xffffffff,0x6fffffff,0xf907bfee,
    0x21ffdc9f,0x7f40fffa,0x07fabfa0,0x27fe43fd,0x7400fff4,0x37fcc1ff,
    0xffffff10,0xfffd5009,0x0019ffdf,0x5417ffc4,0xd001efff,0x3fea03ff,
    0xfffc99bf,0x3017fd43,0xccca8dff,0xcccccccc,0x00004ccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x5fff77ff,0x33332600,0xcceffdcc,0x7f43cccc,0xfffeceff,
    0x2efffe20,0x640ffffd,0x37cdfa2f,0x07ffa1fe,0x6401dff3,0x1ffe84ff,
    0xf9bffd10,0x3faa09ff,0xfc8fd8df,0xfd000cff,0xdfffc87f,0x07ffa000,
    0xffffffc8,0x06ff85ff,0x0003ffc8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0x005fff93,0x005ffa80,0x3fffffa6,0xfffd80ef,0x40ffbdff,0xfd9fa5fb,
    0xff50df71,0x209ff90d,0xffc86ffa,0x4bffd104,0xfd84fffc,0x74c3fa2f,
    0xfff7006f,0x33fff623,0x20199999,0x7d401ffe,0xb82fffff,0xff8801ff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd8fff60,0x2a0001ff,0xca8005ff,
    0x64c02cde,0x019912ce,0xf99fa5fd,0xfb01ff8d,0x85ffd09f,0x7cc1fff8,
    0xffe880ff,0x44fffc85,0x20ff40d8,0x7666f42c,0x3f25ffff,0xffffffff,
    0xfffff17f,0x40dfffff,0x00000998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe87ffb0,0xf50001ff,0x000000bf,0xbff98000,0x27f5cc18,0x983fff10,
    0x3ff60fff,0xd02ffe83,0x7fe40bff,0x01ff802f,0xfffffff8,0x3fff20df,
    0x7fffffff,0xfffffff1,0x0000dfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffd8000,0x007fff44,0x002ffd40,0x40000000,0xa89bdffa,0xfa804ffc,
    0x20dfb81e,0x5fd886fb,0x32017ea0,0x05ff005f,0x99ddddb0,0x99999501,
    0x22999999,0xcccccccc,0x000003cc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x41ffec00,0x000efff9,0xf802ffd4,0xffffffff,0xffff1fff,0xffffffff,
    0x3fff6203,0x2002ffff,0x00880c02,0x40050026,0x00bba002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c0fff60,0x2000efff,
    0xff005ffa,0xffffffff,0x3fffe3ff,0xffffffff,0x5ee54c01,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ec00000,0x3ffea03f,0x13ba6005,0x66666640,0x90cccccc,0x99999999,
    0x00001999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0fff6000,0x00bfff90,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_37_latin_ext_x[560]={ 0,7,4,0,2,0,1,8,5,4,2,1,4,4,
7,2,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,2,3,3,2,
4,0,2,1,2,1,3,2,1,1,0,0,0,0,2,6,2,5,2,0,0,2,2,2,1,2,0,1,2,3,
2,3,3,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,4,2,2,4,1,0,3,1,4,4,0,2,1,7,7,4,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,1,0,0,2,3,3,0,0,4,
3,-5,-3,3,2,0,3,0,0,2,2,0,0,0,2,2,0,0,0,0,0,0,0,0,-1,0,3,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,1,2,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_37_latin_ext_y[560]={ 27,1,1,3,-1,1,1,1,0,0,1,8,21,15,
21,1,3,3,3,3,3,3,3,3,3,3,8,8,7,12,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,31,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,8,8,8,8,8,8,0,-3,0,13,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,27,8,-1,3,4,3,
-3,1,1,3,3,9,15,15,1,2,1,4,1,1,1,8,1,13,27,1,3,9,1,1,1,8,-3,-3,-3,-4,
-3,-5,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-4,-3,-3,-3,-4,-3,9,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,-1,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
-3,2,-4,1,3,8,-3,1,-3,1,-4,1,-3,1,-3,0,3,1,-3,2,-4,1,-4,1,3,8,-3,1,-3,1,
-4,1,-4,1,3,0,-3,-4,3,1,-4,1,-3,2,-4,1,3,1,-4,8,3,1,-3,1,3,1,8,-3,-5,3,
1,0,0,3,1,3,1,-3,1,3,8,-3,1,-2,3,8,-3,2,-4,1,-3,1,3,8,-3,1,3,8,-3,1,
-3,1,-3,1,3,8,-3,1,3,3,-3,0,3,3,-4,1,-3,2,-4,1,-5,-1,-3,1,3,8,-3,1,-3,1,
-3,-3,1,-4,1,-3,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-9,-5,-3,1,-3,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,8,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_37_latin_ext_w[560]={ 0,6,12,20,17,20,20,5,11,11,16,18,10,12,
7,16,18,17,17,16,20,15,17,17,17,18,6,10,15,16,15,12,21,21,17,17,19,15,15,18,17,15,13,17,
14,20,17,19,17,20,16,17,18,18,21,20,20,21,17,10,17,10,17,21,13,16,17,15,17,17,19,18,16,15,
14,17,15,18,16,18,17,17,16,15,17,16,19,20,19,19,16,15,4,14,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,15,18,18,20,
4,16,17,21,13,16,16,12,18,15,14,18,12,12,18,18,18,7,6,12,14,16,20,20,20,12,21,21,21,21,
21,21,21,17,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,16,19,19,19,19,19,21,17,17,18,18,
18,18,18,18,20,15,19,19,19,19,18,18,18,18,18,18,19,19,19,19,19,18,18,18,18,18,18,20,17,20,
21,18,21,18,21,17,17,18,17,17,17,17,17,16,21,24,20,20,18,19,18,19,18,19,16,17,18,19,18,19,
18,19,18,19,18,19,19,18,20,18,18,18,18,18,18,18,16,16,18,15,17,18,16,16,17,17,17,18,18,14,
15,23,23,18,21,18,15,19,18,17,16,19,18,18,17,16,20,19,20,19,21,20,20,20,20,19,16,16,20,19,
19,18,19,18,17,15,19,18,18,17,19,24,18,17,19,18,19,18,19,18,19,18,21,20,18,17,20,20,21,20,
21,19,18,19,18,19,18,14,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,19,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,21,18,21,20,22,21,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,17,15,18,17,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18, };
static unsigned short stb__consolas_37_latin_ext_h[560]={ 0,27,9,24,33,27,27,9,35,35,16,18,13,4,
7,30,25,24,24,25,24,25,25,24,25,24,20,26,21,10,21,27,34,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,31,24,25,24,25,24,24,24,24,24,35,30,35,12,4,8,20,27,20,27,20,26,27,26,26,
34,26,26,19,19,20,27,27,19,20,25,20,19,19,19,27,19,35,38,35,8,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,27,33,24,22,24,
38,31,8,25,18,16,9,4,17,7,13,23,15,15,8,27,31,7,6,15,18,16,26,26,26,27,30,30,30,31,
30,32,24,30,30,30,30,30,30,30,30,30,24,31,31,31,31,32,31,16,32,31,31,31,31,30,24,27,27,27,
27,27,27,29,20,25,27,27,27,27,26,26,26,26,27,26,27,27,27,27,27,20,27,27,27,27,27,34,34,34,
30,26,31,27,31,26,31,27,31,27,32,27,31,27,30,28,24,27,30,26,31,27,31,27,31,26,30,27,31,34,
32,34,32,34,32,35,30,31,24,26,31,26,30,25,31,26,31,33,31,19,25,34,31,34,32,34,19,30,32,32,
34,27,27,24,26,24,26,30,26,32,27,30,26,29,32,27,31,26,32,27,31,27,25,20,30,26,32,27,30,26,
31,27,31,27,30,25,31,27,32,32,30,28,24,25,32,27,31,26,32,27,33,29,31,27,31,26,30,26,30,34,
30,30,26,31,26,30,26,26,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,31,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,36,33,30,27,34,30,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,32,27,32,32,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24, };
static unsigned short stb__consolas_37_latin_ext_s[560]={ 511,504,260,403,401,55,201,500,48,118,137,
19,500,360,500,467,188,478,197,351,22,317,242,442,260,310,505,498,173,226,157,
497,305,254,276,299,347,496,159,169,236,294,95,329,367,382,424,127,65,219,83,
109,100,207,175,1,215,43,460,80,206,107,208,373,330,250,222,318,368,283,39,
240,59,496,193,457,1,465,353,334,117,21,370,267,403,301,445,424,404,399,387,
91,1,33,310,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,511,504,419,
100,138,138,6,420,273,147,53,86,243,360,67,344,193,119,167,154,291,152,381,
500,505,180,38,103,323,302,281,171,407,184,343,359,101,173,20,20,143,1,243,
262,123,281,262,82,479,299,319,340,361,78,1,120,195,161,22,42,279,300,42,
59,485,133,114,95,76,341,210,226,1,485,465,445,460,189,228,247,349,36,310,
290,270,250,230,231,211,192,173,154,135,361,249,228,121,344,23,20,45,402,67,
445,143,410,1,280,106,184,281,385,458,464,224,382,382,39,124,77,459,132,60,
97,476,153,117,208,252,173,271,60,365,200,79,363,260,113,243,384,423,17,495,
474,181,484,421,382,442,288,290,327,1,162,233,308,345,351,375,439,91,1,75,
223,479,215,428,142,420,303,99,334,85,55,57,419,1,259,278,189,322,169,323,
298,181,208,437,426,457,407,449,368,400,330,154,136,484,360,119,333,37,315,477,
20,491,1,454,322,401,439,340,439,202,475,385,267,162,101,76,240,1,429,150,
266,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,62,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,11,435,38,386,130,79,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,19,39,154,136,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,
60,60,60,60,60,60,60,60,60, };
static unsigned short stb__consolas_37_latin_ext_t[560]={ 1,105,328,278,1,196,196,265,1,1,328,
328,251,328,303,105,251,278,278,251,303,251,251,278,251,278,168,196,303,328,303,
40,1,278,278,251,278,278,278,251,278,278,251,278,278,278,278,251,303,73,303,
251,303,251,278,303,278,303,278,1,137,1,328,328,328,303,196,303,168,303,251,
196,251,224,1,224,224,303,303,303,168,196,303,303,251,303,303,303,303,196,303,
1,1,1,328,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,1,137,1,
278,303,278,1,40,328,251,328,328,328,328,328,328,328,303,328,328,328,196,40,
311,189,328,328,328,224,224,224,196,105,137,105,40,105,40,278,137,137,137,137,
137,105,105,105,105,251,73,73,72,72,40,105,328,40,73,105,105,73,105,278,
168,137,196,196,196,196,137,303,251,196,168,168,168,196,224,224,224,168,224,168,
168,168,168,168,303,168,168,168,168,168,1,1,1,137,224,73,168,73,224,73,
137,73,137,40,196,73,196,137,137,251,137,137,224,72,168,73,168,72,224,137,
168,72,1,40,1,40,1,40,1,105,73,278,224,73,224,105,251,72,224,72,
1,73,303,251,1,72,1,40,1,328,105,40,40,1,196,196,251,224,278,224,
105,196,40,137,105,224,137,40,196,73,224,40,196,73,196,251,303,105,224,40,
196,105,224,40,168,40,168,105,251,40,168,40,40,105,137,278,251,40,196,40,
251,1,168,1,137,72,196,40,224,105,224,105,1,137,137,251,73,251,105,224,
224,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,105,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,1,1,137,168,1,137,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,40,196,40,40,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,278,
278,278,278,278,278,278,278,278,278, };
static unsigned short stb__consolas_37_latin_ext_a[560]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_37_latin_ext(stb_fontchar font[STB_FONT_consolas_37_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_37_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_37_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_37_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_37_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_37_latin_ext_s[i] + stb__consolas_37_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_37_latin_ext_t[i] + stb__consolas_37_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_37_latin_ext_x[i];
            font[i].y0 = stb__consolas_37_latin_ext_y[i];
            font[i].x1 = stb__consolas_37_latin_ext_x[i] + stb__consolas_37_latin_ext_w[i];
            font[i].y1 = stb__consolas_37_latin_ext_y[i] + stb__consolas_37_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_37_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_37_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_37_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_37_latin_ext_s[i] + stb__consolas_37_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_37_latin_ext_t[i] + stb__consolas_37_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_37_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_37_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_37_latin_ext_x[i] + stb__consolas_37_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_37_latin_ext_y[i] + stb__consolas_37_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_37_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_37_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_37_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_37_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_37_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_37_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_37_latin_ext_LINE_SPACING
#endif

