// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_40_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_40_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT        398
#define STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_40_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_40_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_40_latin_ext_LINE_SPACING          26

static unsigned int stb__consolas_40_latin_ext_pixels[]={
    0x3ff29ff9,0x00000004,0x00000000,0x10155554,0x33333333,0x13320003,
    0x82660000,0x99999999,0x00033109,0xcb83cb80,0x66540003,0x2a200002,
    0x0000acdc,0x0cccca80,0x01cc9800,0x1f644000,0x01665400,0x30039b50,
    0xcccc85b9,0x000ccccc,0x014c0350,0x80b32a00,0x20002ccb,0x00004cc9,
    0x2aaaa800,0x002dda80,0x91005999,0x6c400799,0xc8000dee,0x09ff94ff,
    0x6fffe400,0x00009700,0x360003c8,0x2a00dfff,0xffffffff,0x7fcc001f,
    0xed880005,0xfff33fff,0x25ffffff,0x00cffffb,0x107fe400,0x5c0009ff,
    0x0003ffff,0xffffffc8,0x500000ef,0x0003dfff,0x003ffff3,0x27fff400,
    0x7ffff700,0x1ffff700,0x1ffffc40,0xffffffff,0xffd0003f,0x00dff707,
    0x0ffffee0,0x0001fff4,0x0000fff7,0xefffc800,0x7fffcc01,0x03fff801,
    0x007fff44,0xffffff88,0xa7fe4000,0x90004ffc,0x7d407fff,0xf700004f,
    0xffb0007f,0xfff5007f,0x03ffffff,0x003ffc80,0x7ffffdc0,0xfffff33f,
    0x3ee5ffff,0x002fffff,0x333ffea0,0x70002fff,0x07ffffff,0x3fffa600,
    0x1ffffece,0x7ffd4000,0xff70000d,0x200007ff,0x007ffff9,0x7ffffff7,
    0x3ffffe80,0x9bfffee0,0xffffffff,0x7fd4001f,0x2ffff87f,0x7fffdc00,
    0x3ffe83ff,0x1ffee000,0xfb800000,0xff9004ff,0xfff009ff,0x2fffd807,
    0x2677f600,0x7e4004fd,0x009ff94f,0x801dff90,0x0003fffb,0x0017ffd4,
    0x7547bff6,0xaaaa882e,0x001fffaa,0x00007ffc,0x59bffff3,0x2abffe63,
    0x9530aaaa,0x001ffffb,0x7ffffec0,0xff70005f,0x07fff33d,0x0cfff980,
    0x00fffdc4,0x03fffa80,0x7fffdc00,0xff300003,0xff700dff,0x07fff33d,
    0x01fffff4,0x4cdffff7,0xfffa9999,0x7ffcc001,0x01fffe86,0x267bfee0,
    0x7ff43fff,0x3fee0003,0x70000007,0x64005fff,0xf803ffff,0x3fee03ff,
    0x17f4003f,0xfc800df5,0x009ff94f,0x2003cca8,0x0002fffc,0x8009fff5,
    0x3f60deeb,0x7ffc000f,0x1bfe6001,0x3fffb000,0x001ffe60,0x0017ffe6,
    0x07dffd70,0x83bfee00,0x1003ffe8,0xfb807ffd,0xffa8005f,0xe880001f,
    0x00000eff,0x700bfff6,0x7f441dff,0xffff503f,0x7fffc401,0x0fffc402,
    0x406f5c00,0x2e003ed8,0x3fa20eff,0x00fffa3f,0x007ffb80,0xdeea8000,
    0x7ffc4000,0x3fff800e,0x009fff30,0x2fdc7fb0,0x653ff200,0x2a2004ff,
    0xffd8000a,0x7fcc001f,0x7c00005f,0xfff8006f,0x13ff2001,0x05fff000,
    0x8003ffcc,0x00007ffb,0x06660000,0xd800ccc4,0xffb002ff,0x09998001,
    0x01540000,0x01ba8000,0x33101998,0x00665403,0x44016644,0x00001fff,
    0x06660000,0xffd0ccc4,0x7fdc0007,0x30000007,0x55440003,0x07fff000,
    0x000bfff1,0x3ff77fea,0xa7fe4002,0xd8804ffc,0x000dffff,0x001bffa2,
    0x0000dffd,0x8004ff98,0x22001fff,0x22000099,0x7fcc07ff,0xfff10007,
    0x00000001,0x2a000000,0x3e6005ff,0x0000003f,0x00000000,0x00000000,
    0x3e200000,0x000001ff,0xe8000000,0x2e0003ff,0x000007ff,0x01ffffdc,
    0xfff80000,0x00effe83,0x3ffff200,0x4ffc8004,0xfb009ff9,0x00bff99f,
    0x003fff98,0x0001fff7,0x3b7b6ea2,0xff8001ff,0x0000001f,0x4c06ffa8,
    0x3e0007ff,0x000001ff,0x00000000,0xf8001ffd,0x0000006f,0x00000000,
    0x00000000,0x3e200000,0x000001ff,0xe8000000,0x2e0003ff,0x000007ff,
    0x3ffbbfea,0xf8000002,0x7ffe43ff,0xaa880001,0x9ff90000,0xf1013ff2,
    0x003fd45f,0x2007ffe4,0x0004fff8,0xfffffff7,0xff0003ff,0x0000003f,
    0x980dff50,0x3a0007ff,0x950002ff,0x9999bffb,0x95003999,0x9999bffb,
    0xffa83999,0x0ffc8004,0x8003332a,0xa801ccc8,0xcccdffdc,0x32a1cccc,
    0xcccccccc,0x66541ccc,0x3322000c,0x00b32e1c,0x2200f32a,0xca801fff,
    0x322000cc,0xccca81cc,0xcccccccc,0x88fffa1c,0x702ceeca,0x99500fff,
    0x8ffe0079,0x333207fc,0x00cccccc,0x3ee3fff8,0x32e002ff,0x332a002c,
    0x653ff203,0x7fc404ff,0x2001fea1,0x6405fff8,0x44000fff,0xfffffffd,
    0x4002ffff,0xca801fff,0xccccdffd,0x3ea01ccc,0x3ffcc06f,0x05ffd000,
    0xffffe980,0xffffffff,0x3ffa602f,0xffffffff,0x7fec2fff,0x1ffa8000,
    0x8013ffe6,0x2600fffb,0xfffffffe,0x22ffffff,0xfffffffc,0x4c2fffff,
    0x2e004fff,0x3ffa0fff,0x06ffb803,0x801fff88,0x2004fff9,0xfc80fffb,
    0xffffffff,0x3ffa2fff,0xffffff33,0x0fff70bf,0x01ffffa8,0x3e20ff88,
    0xfffff00f,0xf003ffff,0x3ffe67ff,0x27ff4003,0x40dff900,0x9ff94ffc,
    0xf77dfd00,0x3ee000bf,0xfff100ff,0xfffd0005,0xfffb339d,0x7fc005ff,
    0x3ffa601f,0xffffffff,0x3ea02fff,0x3ffcc06f,0x05ffd000,0x77fffcc0,
    0xffffffdc,0xfff302ff,0xffffb9df,0x7c45ffff,0xdffda85f,0x85ff55ec,
    0x3a007ffe,0x3fe605ff,0xfffdceff,0x322fffff,0xffffffff,0xfe82ffff,
    0x3ffa007f,0x401fff45,0xf8806ffb,0xffd001ff,0x2fff400f,0xffffffc8,
    0x22ffffff,0xfffaaffe,0x0effffff,0xfa81ffee,0x3e001fff,0xf81fe62f,
    0xffffffff,0x8bfff801,0xe8004ffe,0x3f2004ff,0x53ff206f,0xe8804ffc,
    0x000dffff,0x207fff10,0xb8007ffb,0xffd85fff,0x3e006fff,0xfff301ff,
    0xffffb9df,0x5405ffff,0x7fcc06ff,0x3ffa0007,0xdffd1002,0x39fff903,
    0xdffd1013,0x39fff903,0x217fdc13,0xfffffffb,0xfb87ff33,0xff9802ff,
    0xdffd102f,0x39fff903,0x4cccc413,0xfff99999,0x02fffb82,0x742fff98,
    0xffb803ff,0x1fff8806,0x05fff700,0x205fff30,0x99999998,0x3a2fff99,
    0x0bfffdff,0x5c7fffd5,0xfff307ff,0xffd8001f,0x2605febb,0xfffa9999,
    0xdbfff801,0xfd0006ff,0x7fe4009f,0x653ff206,0x2a6004ff,0xfd80001a,
    0x09ffd06f,0x85fff880,0xfffddff8,0x03fff003,0x903dffd1,0x01339fff,
    0x26037fd4,0x3a0007ff,0xff7002ff,0x37fec03f,0x807ffee0,0xffb06ffd,
    0x667ffd41,0x7ff12fff,0x805fff88,0x3ee07ffc,0x3ff601ff,0x7ffc0006,
    0x05fff882,0xfe87ffc8,0x6ffb803f,0x01fff880,0x00bfff10,0x0000fff9,
    0x7ff45fff,0xfe880eff,0x21ffee6f,0x000efff9,0xeffffe88,0x7ffc4000,
    0xfffff801,0xfd0000ff,0x7fe4009f,0x653ff206,0x993004ff,0xa8000399,
    0x7fc41fff,0x7fe4002f,0x8bffa80f,0xff006fff,0x3fff703f,0x8037fec0,
    0x7cc05ffb,0x3f60007f,0xbff9003f,0x01fff980,0xf3017ff2,0x8dfd03ff,
    0x3ffa1ffe,0xfb09ff11,0xfff801ff,0x017ff204,0x0003fff3,0xfd817ffc,
    0x7ffc00ff,0x803ffe84,0xf8806ffb,0x3f6001ff,0x7ffc00ff,0xfff80004,
    0x03bfffa2,0xf71fffa8,0xefff98ff,0x665c0000,0xfff10003,0xfdfff003,
    0x3a0009ff,0x3f2004ff,0x53ff206f,0xf9004ffc,0x8000bfff,0x7dc3fff8,
    0x7fc4007f,0x21ff905f,0xf800fffc,0x5ffc81ff,0x00fffcc0,0x2601ffec,
    0x320007ff,0xffd006ff,0x2fff8807,0x100fffa0,0xff885fff,0xff17fea5,
    0x4c2ffc1f,0x3e603fff,0x3ffa01ff,0x17ffc403,0x05fff000,0x980fffe6,
    0xffe81fff,0x06ffb803,0x001fff88,0x980fffe6,0x80001fff,0x3ffa2fff,
    0x3fff800f,0x7fccfff7,0x000000ef,0x3fff1000,0xfb7fff00,0xfd0005ff,
    0x7fe4009f,0x5d3ff206,0xfff003ee,0x80001fff,0x7fec5ffe,0x7ffcc005,
    0x7ccdff02,0xfff802ff,0x403ffe81,0x5c02fff8,0x7cc00fff,0x3e20007f,
    0x7f400cff,0x7ffc404f,0x013ffa01,0xfa83fff1,0x88bff63f,0x13fe27ff,
    0xf9037ff4,0x4ffe80df,0x00fffc40,0x405fff00,0x3f206ffe,0x07ffd06f,
    0x100dff70,0xe8003fff,0x3ff206ff,0xfff00006,0x801fff45,0xfff74ffe,
    0x003bffe6,0x7f6e5440,0x44003cef,0xff801fff,0x1fffe8bf,0x027ff400,
    0x640dff90,0xf50004ff,0x005fffff,0x745ffd80,0x7d4004ff,0x4ff980ff,
    0x2013ffe2,0xffe81fff,0x0fffc404,0x3fffbb2e,0x07ff9802,0x7fffdc00,
    0x6ffd83ce,0x203ffd40,0x7d406ffd,0x21ffb87f,0x3fe60fff,0x5c0ffe25,
    0xfff01fff,0x06ffd807,0x0003ffd4,0xfb80bffe,0x7fff01ff,0x200fffa0,
    0xf8806ffb,0x7dc001ff,0x7fff01ff,0x3ffe0000,0x400fffa2,0xfff75ffd,
    0x001dfff3,0x3fffff20,0x03ffffff,0x003fff10,0x3fe67fff,0x3fa000ef,
    0x3ff2004f,0x013ff206,0x7f67fe40,0x7e40005f,0x027ff46f,0x641ffee0,
    0x2fffc1ff,0x6c0fffc0,0x7fd406ff,0xcffffe87,0x0fff3000,0xfff93000,
    0x7fff50df,0x017ffe20,0x2207fff5,0xffb85fff,0xfa8dff11,0x40ffe64f,
    0xfa84fff8,0x7fd400ff,0xbfff103f,0x2fff8000,0x213ffe20,0xfd00fffa,
    0xdff7007f,0x03fff100,0x84fff880,0x0000fffa,0x7f45fff0,0xdff9003f,
    0x3ffbffee,0x3f60001f,0xffffffff,0xf8802fff,0xfff801ff,0x017ffea3,
    0x2004ffe8,0x3f206ffc,0xfff0004f,0x001fff75,0x3e3ffdc0,0x7e4003ff,
    0xd0ffd06f,0xfff00bff,0x07fff503,0x3a17ffe2,0x00dfffff,0x0007ff98,
    0x6fffffc8,0x239fffd0,0x00ffffa8,0x11cfffe8,0x901ffff5,0x17fea1ff,
    0x7fcc7ff7,0x21fff602,0xfd005ffd,0x3ea239ff,0x40000fff,0x7ec02fff,
    0x05ffd87f,0x2e00fffa,0xff8806ff,0xffd8001f,0x005ffd87,0xe8bffe00,
    0xff9003ff,0x3e7ffeeb,0xb0000eff,0x6441359f,0x4400ffff,0xff801fff,
    0x1fffe43f,0x004ffe80,0xfc81bff2,0xffa8004f,0x005fff37,0x887ffd40,
    0x6c002fff,0x4ff885ff,0xf806ffe8,0xfffd01ff,0x3ffea239,0xfc99880f,
    0xff9806ff,0x7fec0007,0xfb0099bf,0xffffffff,0x3f6005ff,0xffffffff,
    0x1ffb02ff,0xffb13fee,0x5017fd45,0x7fc45fff,0xfffb002f,0xffffffff,
    0xfff00005,0x2fffa805,0xe80bffe2,0xffb803ff,0x1fff8806,0x2fffa800,
    0x000bffe2,0x3a2fff80,0xffb003ff,0x7d5ffee9,0x18000eff,0x05fff900,
    0x801fff88,0xffe83fff,0x4ffe801f,0x81bff200,0xc8004ffc,0x17ffa5ff,
    0x47ffb800,0x74003fff,0x2ffb85ff,0xf806ffd8,0xfffb01ff,0xffffffff,
    0x3ffe6005,0x03ffcc02,0x01fff500,0xfffdff50,0x001bffff,0x3fffbfea,
    0x200dffff,0x13fee7fd,0x7fe41ffd,0x52fff400,0x3ea00fff,0xffffffef,
    0xf00000df,0xffd005ff,0x203ffd4b,0xfb803ffe,0xfff8806f,0xbffd0001,
    0x0003ffd4,0xfe8bffe0,0x7fff003f,0xffa9ffee,0x2000006f,0x4404fff8,
    0xff801fff,0xffff883f,0x027ff400,0x640dff90,0xff8004ff,0x03fff22f,
    0x23ffdc00,0x74003fff,0x0ffd86ff,0xf805ffe8,0xeffa81ff,0xdfffffff,
    0x2ffe4000,0x001ffe60,0xf003ffc8,0x2b2aa3ff,0x7ffc0009,0x01359551,
    0x7fdcffb0,0xfb07ffc4,0x1fff700b,0x7c013ffa,0x359551ff,0xff800001,
    0xfffb802f,0xe809ffd0,0xffb803ff,0x1fff8806,0x1fff7000,0x00013ffa,
    0x7f45fff0,0xfff8803f,0xfc8fff71,0x000005ff,0xf1017ff6,0xfff003ff,
    0x1bffea07,0x4009ffd0,0x3f206ffc,0x7fd4004f,0x0bffe60f,0x237fe400,
    0x6c004ffe,0x2ffc47ff,0xf804ffe8,0x1fff81ff,0x00135955,0x3017fee0,
    0x6c000fff,0xff8802ff,0x3e200007,0xfd80007f,0x5cbff50f,0x0ffe27ff,
    0x26fffe20,0xf8801fff,0x0000007f,0x44017ffc,0xfff9bfff,0x01fff401,
    0x44037fdc,0x10001fff,0xfff37fff,0xff800003,0x00fffa2f,0x7dc3fff2,
    0x5fffd87f,0xff900000,0x1fff880b,0x203fff80,0x3a04fffc,0x3f2004ff,
    0x53ff206f,0x3f201aa9,0x05fff85f,0xd8bffb00,0x7e4005ff,0x81ffd47f,
    0xff802fff,0x03ffc41f,0x6ffa8000,0x003ffcc0,0x5005ffd0,0x00003fff,
    0x0007ffea,0x3e61ff90,0xffff88ef,0x2003ffb1,0x6ffbeffd,0x03fff500,
    0x7fc00000,0xdffb002f,0xfd00dff7,0xdff7007f,0x03fff100,0x5f7fec00,
    0x800006ff,0x3ffa2fff,0x1fffc403,0x3f60fff7,0x988004ff,0xfeccccaa,
    0x7ffc405f,0x03fff801,0xe81ffff4,0x3f2004ff,0x53ff206f,0x3fe04ffc,
    0x07ffc83f,0xc87fff00,0x7dc007ff,0x03ff20ff,0x2007ffe6,0x7fd41fff,
    0xa800001f,0x7fcc06ff,0x3ffa0007,0xffff9802,0x09aaaabd,0xbffff300,
    0x01355557,0x3fe1ffb8,0xfffaffff,0x2a003ffe,0x03ffffff,0x7bffff30,
    0x00135555,0x017ffc00,0xffffffa8,0x03ffe803,0x8806ffb8,0x20001fff,
    0x3ffffffa,0xfff80000,0x4033ffa2,0x7dc6fffa,0xfffd107f,0x3ff22007,
    0xffffffff,0x7ffc405f,0x03fff801,0x40ffffc4,0x32004ffe,0x3ff206ff,
    0x2a09ff94,0xffa80fff,0x7fcc002f,0x17ffcc0f,0x45fff300,0xfff706ff,
    0x83fff001,0xabdffff9,0x80009aaa,0x7cc06ffa,0x3fa0007f,0xfffb002f,
    0xffffffff,0xffd805df,0xffffffff,0xffa82eff,0x53fffea2,0x005ffffc,
    0x0ffffff8,0x3ffff600,0xffffffff,0x7fc0002e,0x3ffe002f,0xfe800fff,
    0x6ffb803f,0x3bbbbbae,0xeeeeefff,0xffff000e,0x000001ff,0x7ff45fff,
    0xfedccdff,0x7fdc1fff,0x3fffe207,0x7fffdc03,0xffffffff,0xddddd75f,
    0xddddfffd,0x1fffc1dd,0x077ffd40,0xc8013ffa,0x3ff206ff,0x3209ff94,
    0x3ffe06ff,0x37fe4005,0x4004fff8,0x9ff36fff,0x401bffa0,0xffd81fff,
    0xffffffff,0xf5002eff,0x7ff980df,0x0bffa000,0xfffffd80,0xffffffff,
    0x7fffec05,0xffffffff,0x217fd45f,0x664c2cc9,0xfff70001,0xffb0009f,
    0xffffffff,0x4000bfff,0x2e002fff,0xd004ffff,0xff7007ff,0x7ffffe4d,
    0xffffffff,0xff7000ff,0x000009ff,0xffe8bffe,0xffffffff,0x7ffb80df,
    0x17fffcc0,0x9bffffa8,0xf95ffc80,0xffffffff,0x01ffffff,0xffd80000,
    0x13ff6005,0xff94ffc8,0x80fffe09,0x7c007ffd,0xfff904ff,0xafffd800,
    0xffa81ffb,0x3fff001f,0x3fffff60,0xffffffff,0x06ffa805,0x0003ffcc,
    0x2a005ffd,0xcccbcfff,0x4fffffec,0x979fff50,0xffffd999,0x02ffcc9f,
    0x3e200000,0x54000fff,0xcccbcfff,0x4fffffec,0x05fff000,0x07fffc40,
    0x803ffe80,0x3ff26ffb,0xffffffff,0x000fffff,0x001ffff1,0x8bffe000,
    0xffffeffe,0x3ee02cef,0xfffa807f,0x0efff81f,0xfcaffe40,0xffffffff,
    0x00ffffff,0x7fe40000,0x0fffa006,0xff94ffc8,0x03fff509,0x8017ffd4,
    0xf301fffa,0x7cc005ff,0x987feeff,0x3e005fff,0xfffa81ff,0xfeccccbc,
    0x5404ffff,0x7fcc06ff,0x3ffa0007,0x2fffa802,0x87fffa80,0xa802fffa,
    0x7ff47fff,0x20000000,0x4005fff8,0xa802fffa,0x88007fff,0x22001fff,
    0x00005fff,0x0017ff20,0x3fe20000,0x1000005f,0x7ff43fff,0x00003313,
    0xfff88000,0x05ffc802,0x009ff500,0x70017ba6,0xf3001fff,0x7fe405ff,
    0xf909ff94,0xfff880df,0x09ffd005,0x000fffe8,0x97fffff2,0x01ffffa8,
    0xf507ffe0,0xff5005ff,0x6ffa80ff,0x003ffcc0,0xb005ffd0,0x7e400bff,
    0x2ffec1ff,0x43fff900,0x00003ffb,0x07fff600,0x00bffb00,0x000fffe4,
    0x8003ffe6,0x0001fffd,0x013ff600,0x3f600000,0x000001ff,0x7f41fff3,
    0x0000003f,0x0fffd400,0x002ffec0,0x7002ffcc,0xf98009ff,0xffd804ff,
    0xca7fe406,0xefff84ff,0xcccccccc,0xfb807fff,0x7fcc00ff,0x3fa2004f,
    0xffecefff,0x7c003fff,0x2ffec1ff,0x03fff900,0x2603ffcc,0x3e0007ff,
    0xfff801ff,0x3ffea003,0x001fffc0,0x7c41fff5,0x0000006f,0x000bfff3,
    0x54007fff,0x5c000fff,0x3e6007ff,0x000005ff,0x4c01fffc,0x4c0005ee,
    0x00005fff,0xfd1ffee0,0x3000007f,0xf9800bdd,0x3fa202ff,0xfe8005ff,
    0x3ff6000f,0xfffd8002,0x5fffb104,0xf94ffc80,0xffffa89f,0xffffffff,
    0x2202ffff,0xf9003fff,0x6c4001ff,0xffffffff,0xff8001ef,0x01fffc1f,
    0x401fff50,0x2600fff8,0xf10007ff,0xff8801ff,0x3ff6004f,0x027ffc46,
    0xfb0dffb0,0x800000bf,0x000ffff9,0x0027ffc4,0x8800dffb,0xf3005fff,
    0x00001fff,0x00fffdc0,0x00027fdc,0x001ffff3,0x3ffe2000,0x001fff45,
    0x027fdc00,0x03bffe20,0x17ffffee,0x00fff300,0x8000fff8,0xcefffff8,
    0x05ffffec,0xff94ffc8,0xfffffc89,0xffffffff,0x3f604fff,0x7ff4006f,
    0x7ffc4005,0x00ceffff,0x443fff00,0x36004fff,0xfff806ff,0x01ffe604,
    0x803ffdc0,0x4403fffe,0xfe83fffd,0x7ec403ff,0xfff983ff,0x0015c405,
    0x03ffff71,0x0ffffa00,0x47fffb10,0xffd301ca,0xffb8801f,0x440001ff,
    0x09fff701,0x000bff60,0x07fffee2,0x980e5400,0x7f40fffe,0xd800003f,
    0xfd8002ff,0xffdccfff,0x005ffdff,0x800fffcc,0x20005ff9,0xffffffe9,
    0x9003ffff,0x13ff29ff,0x5555bfff,0xfd555555,0x3fff20ff,0x7ffd4001,
    0x2ffea004,0xf00001a9,0xfffe83ff,0x7ffec403,0x3fffc803,0x000fff30,
    0x2009fff7,0xdefffffa,0xffffeccc,0xfffff504,0xffd999bd,0x7fcc09ff,
    0xdcaabdff,0x7ff404ff,0x003fffff,0x3ffffea0,0xffecccde,0x7ffdc4ff,
    0xfffffdee,0xfffffd03,0x500007ff,0xfffdddff,0x3fe001ff,0xfffd000f,
    0x0007ffff,0x6f77ffdc,0xe83fffff,0x800003ff,0x88000fff,0xffffffff,
    0x05ffa8ef,0xeefffd80,0x00ffea00,0x3fffae00,0x2001deff,0x9ff94ffc,
    0x000fffcc,0xfb85fff5,0xf70002ff,0x3f2007ff,0xdd30000f,0x3fffdddd,
    0xefffffa8,0xfffecccd,0xfff1004f,0x3e65ddff,0xeeeeeeff,0xffffdd51,
    0x7fd4001f,0xffffffff,0x7d403fff,0xffffffff,0x8803ffff,0xfffffffe,
    0x7f402fff,0x001effff,0xfffffa80,0xffffffff,0xfffffb83,0x202fffff,
    0x1efffffe,0xfff50000,0x01dfffff,0x8017fe60,0x1efffffe,0x7ffdc000,
    0x2fffffff,0x0007ffd0,0x005ff980,0x3ffff220,0x17fe63ef,0x3fffa600,
    0x0000000f,0x00013310,0x7fe53ff2,0x001fff24,0x7d49fff1,0x640003ff,
    0xff802fff,0x3fea0006,0x1fffffff,0xffffffa8,0x3fffffff,0x7fff4c00,
    0xffff33ff,0x2e5fffff,0x01efffff,0xffffb500,0x8007bdff,0xffffffda,
    0x544003de,0x2defffec,0x7bdffd00,0xfb500000,0x7bdfffff,0x7ffedc40,
    0x7400beff,0x0003deff,0x7fffec40,0x7d4003df,0x3ffa003f,0x100003de,
    0xdfffffb7,0x1fff4017,0x3fea0000,0x33100003,0xa8800000,0x0000002b,
    0x7e400000,0x7c9ff94f,0xfd8004ff,0x013ff27f,0x01ffec00,0x80013fe6,
    0xfffffffa,0x3f6a01ff,0x3defffff,0x7f654000,0xfffff33f,0x3ee5ffff,
    0x00003cef,0x000004c4,0x00000262,0x00030000,0x01310000,0x80009800,
    0x40000001,0x00000009,0x00000030,0x0000004c,0x00000000,0x00000000,
    0x00000000,0x53ff2000,0xfff34ffc,0xfff70003,0x00002e43,0x26620136,
    0x00000000,0x00004c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7e53ff20,0x00fff94f,0x013ffe20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x009ff94f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33332a00,0x0009abcc,0xddd97510,0x2600159b,
    0x993000db,0x99999999,0x99999999,0x77540001,0xdba88002,0x0001ccee,
    0x22000266,0x332a0099,0x5995003c,0x400f332a,0x99932cca,0x64400000,
    0x1665c02d,0x40799500,0xaa981aaa,0x55530002,0x36ea2000,0x00000ace,
    0x20005555,0xcca82cc8,0x55500000,0x32a20035,0x2000100a,0xaa982aaa,
    0x2aa0001a,0x4c0002aa,0xc801cccc,0x01cc983c,0x802aa980,0xff904ccc,
    0xffffffff,0x3f22003b,0xffffffff,0xfff9806f,0xffff5000,0xffffffff,
    0x03ffffff,0x007fec00,0xfffffd30,0x007fffff,0x8003ffa8,0x3f201ffb,
    0xfc801fff,0x1ffff95f,0x2ebff900,0x00000fff,0x403fffd0,0x32004ffe,
    0x3fe606ff,0x07ffee4f,0x3fffee00,0x7ffdc005,0x00efffff,0x3ffff200,
    0x0dff0004,0x20000ffd,0x800dfffd,0x44fffffb,0x7ec002fa,0x7ffd41ff,
    0xff90000d,0x4c0001df,0xd002ffff,0x0ffd81ff,0x7fffdc00,0x1fffe205,
    0x7fffffe4,0x04ffffff,0x7fffffd4,0x06ffffff,0x000fff98,0xfffffff5,
    0xffffffff,0x40003fff,0x3f2006ff,0xffffffff,0x5c004fff,0xfc8002ff,
    0x3fff200f,0x5ffc805f,0x009ffff9,0x3feebff9,0x9800000f,0x3a04ffff,
    0x3f2004ff,0x7ff4406f,0x000effdd,0xffffffb8,0x7fec400e,0xffffffff,
    0xffd8001f,0x8005ffff,0xffcceffd,0xfd80005f,0xff7003ff,0xb9ffffff,
    0x7e400bff,0x7ffd41ff,0x3ff20004,0x7cc0004f,0x2e000eff,0xffecdfff,
    0x7ffdc006,0xff00efff,0x3bff20ff,0xffecaaaa,0xfff102ff,0x533335bf,
    0xff300bb7,0x2aa2001f,0xffeaaaaa,0xaaaaaaae,0x9ff30000,0xffffd300,
    0xf975379d,0xffc8009f,0x07fd8001,0x0fffffe4,0x7e57ff20,0x6401ffff,
    0x1fff75ff,0xff100000,0x7ff407ff,0x1bff2004,0x3ffffa20,0xffc8000e,
    0x0effd89e,0x33bfffa0,0xffffecaa,0x3bff6002,0x005ffe98,0x7fffff44,
    0x6c0000ef,0x36001eff,0xfffd50df,0x7dc00dff,0x7ffd41ff,0x3ff20003,
    0x7cc0002f,0xfb0004ff,0x03ffffff,0x44f7fe40,0xff80effd,0x0bff907f,
    0x407fffd4,0x0001fffe,0x003ffe60,0x02ffec00,0x3b6ea200,0xe801ffed,
    0xa801efff,0x07fec003,0x5fff5300,0x3ffff203,0xaffe405f,0x05fffffc,
    0xffbaffe4,0x5000000f,0xffe80bff,0x1bff2004,0x06f76c40,0x06f75c00,
    0x2e037bae,0x3f205fff,0xdd9006ff,0x009dd909,0x07dffd70,0x19dd7000,
    0x36e07000,0xd3000bdf,0xeee983bd,0x3baa0001,0xcb80000d,0x6d40002c,
    0x2000cefe,0x75c0deeb,0x37ffc0de,0x5c05ffc8,0x7fc41fff,0x4c00003f,
    0x00000fff,0x4000bffb,0xfffffffb,0x7fd401ff,0x000000df,0x36a01ffa,
    0xffffffff,0x7effe45f,0x3ff200ff,0xfffbff95,0xbaffe403,0x00000fff,
    0x7ff40040,0x1bff2004,0x00000000,0x0bfff100,0x005fff90,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff000000,0x17ff20df,
    0xa87fff30,0x20001fff,0xffdccccb,0xcccccccf,0xbffb004c,0xfffb1000,
    0xffffffff,0x1bffe205,0x3fe00000,0x3fff6606,0xffffffff,0x7ee7fe46,
    0x57ff204f,0x5ffdcffc,0x7dd7ff20,0x000000ff,0x04ffe800,0x001bff20,
    0x00000000,0x2001fff7,0x00006fff,0x00000000,0x00000000,0x00000000,
    0x33200000,0x0ccccccc,0x00000000,0x6fff8000,0x880bff90,0x7fdc3fff,
    0x3f60002f,0xffffffff,0x7fffffff,0x00bffb00,0x39dfffd0,0x5fffffb3,
    0x005fff90,0x3f2a6000,0x7fc40aef,0xdffdceff,0x7fe46fdc,0x900fffac,
    0x33ff2bff,0xf901fff9,0x03ffeebf,0x2e620000,0x741bcded,0x3f2004ff,
    0xcba8806f,0x00acdeee,0x6f6dcc40,0x5fff81bc,0x07fff200,0x7765d440,
    0x9700acde,0x66540059,0xecba8803,0x700acdee,0x65400599,0x01665c3c,
    0x80079950,0xbcdedb98,0x7ffffc01,0x0001ffff,0x6776dd44,0x5d44001c,
    0xf81cceed,0xbff906ff,0x42fff980,0x0005fff9,0x3ffffff6,0xffffffff,
    0xffb007ff,0xfffb800b,0xfffffd85,0x006fff86,0xffffb800,0x364fffff,
    0x3fee2fff,0x53ff2042,0xff904fff,0x7ed3ff2b,0x2bff906f,0x0000fffb,
    0x3ffffa60,0xd1efffff,0x7e4009ff,0x3ff2206f,0xffffffff,0xfffd3006,
    0x3dffffff,0x800bffe6,0x4402fff9,0xfffffffc,0xffd06fff,0x37fe4009,
    0xfffff910,0x20dfffff,0x32004ffe,0x27ff46ff,0x00dff900,0x3fffffa6,
    0xf01effff,0xffffffff,0x3fa60003,0xffffffff,0x7ff4c03f,0xffffffff,
    0x641bffa3,0x7fe405ff,0x5ffff80f,0x33331000,0x3333fff5,0x20033333,
    0x22005ffd,0xff885fff,0x223fffdd,0x00003fff,0x3fffffa6,0xf35fffff,
    0x1ffc8bff,0xfba7fe40,0x5ffc80ff,0x3fe69ff9,0x75ffc82f,0x00001fff,
    0x3fffffee,0xd3ffffff,0x7e4009ff,0xffff506f,0xffffffff,0xffff700d,
    0xffffffff,0x003ffea7,0x5407fff0,0xffffffff,0xfd06ffff,0x7fe4009f,
    0xfffff506,0xdfffffff,0x8013ffa0,0x7ff46ffc,0x1bff2004,0x3ffffee0,
    0x3fffffff,0xf5333330,0xf90003ff,0xffffffff,0x7e409fff,0xffffffff,
    0x3ffa4fff,0x40bff905,0xf504fffa,0x0007dfff,0x001fff30,0x017ff600,
    0xa80fffc8,0x6fff8bff,0x0007ffe6,0x77fffcc0,0x5ecbffdb,0xfd83fff7,
    0xa7fe400f,0xfc83fff8,0x6c9ff95f,0x5ffc86ff,0x0001fff7,0x9dffffb0,
    0x7ff97535,0xc8013ffa,0xfff886ff,0xa9999adf,0x7fec05db,0xba9aceff,
    0xfff73ffc,0x09fff000,0x2b7fffe2,0x5dba9999,0x4009ffd0,0xff886ffc,
    0x9999adff,0xffd05dba,0x37fe4009,0xc8013ffa,0x7fec06ff,0xba9aceff,
    0x22003ffc,0x26001fff,0xbceffffe,0x84ffcba9,0xceffffe9,0x4ffcba9b,
    0x7e417ffa,0xda9999ef,0x2e00efff,0x0cffffff,0x1fff3000,0x3ff60000,
    0xbfff1005,0x7e43ff20,0x1fff50ff,0x26666620,0x7ffec099,0x9087ff63,
    0x7fe83fff,0x324ffc80,0x5ffc87ff,0x7fcc9ff9,0xbaffe42f,0x40000fff,
    0x402ffffb,0x09ffd2b8,0x7437fe40,0x80001fff,0x402ffffb,0x0dff92b8,
    0x20bffd00,0x0001fffe,0x90027ff4,0xfffd0dff,0xffe80003,0x1bff2004,
    0x64009ffd,0x3fee06ff,0x15c402ff,0x03fff100,0x0f7fff40,0x7ff41d40,
    0x23a801ef,0xff905ffe,0xffffffff,0xfd3001df,0x03bfffff,0x00fff980,
    0x0bffb000,0x40bffe60,0x3ffe66ff,0x740fff72,0x5fffffff,0xfd0fffea,
    0x13ffea0f,0xff900dff,0x217ffc49,0x9ff95ffc,0x7e46ffd8,0x01fff75f,
    0x77ffc400,0x4ffe8001,0x11bff200,0x00007fff,0x003dfff1,0x000bffb0,
    0xff10dffb,0xfd00007f,0x7fe4009f,0x01fffc46,0x027ff400,0xfe8dff90,
    0x3ff2004f,0x3dfff106,0x3e200000,0xff5001ff,0x540001bf,0x0000dfff,
    0x3f20bffd,0xffffffff,0xfea8001d,0x00dfffff,0x001fff30,0x017ff600,
    0x4c07ffd4,0x3ffe24ff,0x740fff94,0x5fffffff,0x3fe1bffa,0x7ffff107,
    0x32017fe2,0x37fec4ff,0x7fe57ff2,0x91fffcc4,0x3ffeebff,0x3ff20000,
    0xffd0001f,0x37fe4009,0x0007ffea,0x007fff20,0x002fff40,0x7d437fec,
    0xe80001ff,0x3f2004ff,0x0fffd46f,0x27ff4000,0xe8dff900,0x3f2004ff,
    0x3fff906f,0x7c400000,0xff8801ff,0x7c40006f,0x6c0006ff,0xfff905ff,
    0x3dfffd99,0x7fecc000,0x9802ffff,0x00000fff,0x2e00bffb,0x3ff907ff,
    0xff95fff8,0x66665c0f,0xfff15ffe,0x206ff885,0xfbeffffb,0x4ffc804f,
    0xf917ffcc,0x213ff2bf,0x3ff27ffc,0x001fff75,0x017ffe20,0x004ffe80,
    0xff71bff2,0xf880005f,0x360005ff,0xfd8006ff,0x2fffb85f,0x4ffe8000,
    0x71bff200,0x00005fff,0x64009ffd,0x27ff46ff,0x10dff900,0x0000bfff,
    0x01fff880,0x002fffc8,0x017ffe40,0x413ff600,0x7f445ffc,0x440000ff,
    0x00fffffc,0x0007ffcc,0x005ffd80,0x3fa0dff9,0xf75ffe87,0x7e4001ff,
    0x83fff35f,0x7e404ff9,0x03ffffff,0xfd84ffc8,0x657ff26f,0xfff884ff,
    0x3eebff93,0xf70000ff,0x740003ff,0x3f2004ff,0x2fffcc6f,0x3ffee000,
    0x3ff60001,0x4ffe8007,0x005fff98,0x004ffe80,0xff31bff2,0xfd0000bf,
    0x7fe4009f,0x0027ff46,0xff70dff9,0x8000003f,0xf801fff8,0xf80006ff,
    0xd80006ff,0xbff904ff,0x00bffd10,0x3fffa200,0x07ffcc06,0x5ffd8000,
    0x10bffb00,0xdffd09ff,0x8007ffe6,0xfff75ffc,0x803ffa81,0xffffffea,
    0x13ff201d,0x7e47ffe6,0x209ff95f,0xbff97ffc,0x0003ffee,0x0003ffe4,
    0xc8013ffa,0xffff86ff,0x3ff20005,0x7fe40007,0x3fff8007,0x00bffff0,
    0x004ffe80,0x3fe1bff2,0x740005ff,0x3f2004ff,0x027ff46f,0xf90dff90,
    0x000000ff,0x8803fff1,0x40003fff,0x0003fff8,0xf904ffd8,0x3ffea0bf,
    0x3fa00002,0x3fe600ff,0xfb00000f,0x3ffa00bf,0xd82ffb85,0x5fff16ff,
    0xbaffe400,0x7fdc0fff,0x3ffae002,0xc80dffff,0xbffd04ff,0x7fe57ff2,
    0x97fff104,0x3ffeebff,0xdffb0000,0x4ffe8000,0x21bff200,0x03effffa,
    0x006ffd80,0x007ffdc0,0x205fff10,0x03effffa,0x009ffd00,0x7d437fe4,
    0x0003efff,0x64009ffd,0x27ff46ff,0xb0dff900,0x00000dff,0x803fff10,
    0x0001fff9,0x000fffcc,0xc827fec0,0x3ffa05ff,0x3ea00006,0x3fe602ff,
    0xfb00000f,0x3ffa00bf,0xe80ffd86,0x1bffe5ff,0xf55ffc80,0x1ffc85ff,
    0xffffe800,0x7fe42fff,0x91fff504,0x13ff2bff,0xffcfffc8,0x001fff75,
    0x0017ffa0,0x400bffb0,0xff705ffd,0x0019ffff,0x00017ffa,0x4007fff5,
    0x2e01fffb,0x0cffffff,0x013ffa00,0xf706ffc8,0x019fffff,0x0027ff40,
    0xffe8dff9,0x1bff2004,0x00017ffa,0x07ffe200,0x201fff50,0x99999998,
    0x201fff50,0x99999998,0x6413ff20,0x3fea05ff,0xf300002f,0x7fcc05ff,
    0xfb00000f,0x3ff600bf,0xe82ffc47,0x3fff64ff,0x2bff9002,0x7ec4fff9,
    0xeff8000f,0x21fffffb,0x3fa04ffc,0xf95ffccf,0x7ffc409f,0xfff75fff,
    0x3ffe0001,0x7fe40004,0x13ffa006,0xfffffe98,0x7ffc01df,0xfff80004,
    0x17ffa006,0x3ffffa60,0xfe801dff,0x3ff2004f,0x3fffa606,0xe801dfff,
    0x3f2004ff,0x027ff46f,0xff0dff90,0x0000009f,0xb803fff1,0x3ffa07ff,
    0xf75fffff,0x7fff40ff,0x3f25ffff,0x0bff903f,0x0006fff8,0x401fff50,
    0x0001fff8,0x200bffb0,0x7fd47ffc,0x445fff03,0xf9006fff,0x1bffe2bf,
    0x3e000ffd,0x9ffff25f,0x3ee04ffc,0xf95ffcff,0xfffb809f,0x1fff75ff,
    0x7fff1000,0xfffb8000,0x2fff9800,0xffffea80,0xff880dff,0xfc80003f,
    0xffa801ff,0x3faa002f,0x00dfffff,0xc8013ffa,0xfea806ff,0x00dfffff,
    0xc8013ffa,0x27ff46ff,0x88dff900,0x00003fff,0x01fff880,0xfd03ffe4,
    0x2bffffff,0x3fa07ffc,0x25ffffff,0xff902cca,0x2fffb80b,0x7ff44000,
    0x05fff806,0x0bffb000,0xc83ffee0,0xfff980ff,0x077ffe41,0xfd97ff20,
    0x01bfe2ff,0xf913fe20,0x13ff23ff,0xbffffff0,0x3e013ff2,0xff75ffff,
    0xff10001f,0xf980009f,0xffd804ff,0x7fecc006,0x7c42ffff,0x980004ff,
    0x2601ffff,0x30006fff,0x5ffffffb,0x8013ffa0,0x26006ffc,0x2ffffffd,
    0x4009ffd0,0x7ff46ffc,0x1bff2004,0x0009fff1,0x3fff1000,0x207ffc80,
    0xffeccccb,0x5c0fff95,0x5ffecccc,0x02ffe400,0x791bffe2,0xfffd5003,
    0x7fffb007,0xffd80040,0x5fff3005,0xffb837fc,0x7fffc40f,0xbffb01bf,
    0x467fffcc,0x4c0085ff,0x7ffc43ff,0xb809ff93,0xf95fffff,0xfff7009f,
    0x03ffeebf,0x02fffc00,0x27ffec00,0x03fffd88,0xffff9100,0x05fff81f,
    0xdfffb000,0x7ffd4415,0x6440002f,0xe80fffff,0x3f2004ff,0xfc88006f,
    0xfe80ffff,0x3ff2004f,0x0027ff46,0xfff0dff9,0x1000000b,0xfb803fff,
    0x3f2000ff,0x01fff75f,0x002ffe40,0x32017ff2,0x3ffa1fff,0xfeeeeeff,
    0x3004ffff,0x99bdffff,0x3f600ffb,0x3ffe005f,0x3a09ff36,0xffd306ff,
    0xfdddffff,0xffc8bfff,0xa9dffeff,0x7fdc05fc,0xc9fffc42,0x7fc404ff,
    0x9ff95fff,0x57fffa00,0xfffffffb,0x1fffffff,0x0001bffa,0x3bffffe2,
    0x5ffffecc,0xffe88000,0x037ff46f,0xffffb000,0xfffffddf,0x74400005,
    0xffe86fff,0x1bff2004,0xfffe8800,0x004ffe86,0xffd1bff2,0x37fe4009,
    0x00037ff4,0x0fffc400,0x007ffe60,0xff35ffc8,0x7fe4003f,0x64077665,
    0xff8805ff,0x3ffffa5f,0xffffffff,0x7fdc004f,0x7fffffff,0x00bffb00,
    0x7dd7ffec,0x1fffa81f,0x7ffffe40,0x5fffffff,0xffffffc8,0x405fffff,
    0x7fd41ffc,0x009ff91f,0x32bffff9,0xff5004ff,0x3fffeebf,0xffffffff,
    0x1fff61ff,0x7ff4c000,0xffffffff,0x7f400005,0x1fff60ff,0xfffb0000,
    0x3fffffff,0x3fa00000,0x27ff40ff,0x00dff900,0x81fffd00,0x32004ffe,
    0x27ff46ff,0xb0dff900,0x00000fff,0x803fff10,0x2002fff8,0xfff15ffc,
    0xaffe4005,0xc80ffff9,0xff9005ff,0x3fff6e3f,0xbeffffff,0xff910000,
    0x00bfffff,0x98017ff6,0x87feefff,0x3005fff9,0xffffffd9,0x7ed4039d,
    0xffffffff,0x107fec04,0x7fe4ffff,0xffff8804,0x4009ff95,0xfff75ffe,
    0xffffffff,0x7fe43fff,0x2e00003f,0xdffffffe,0xfa800001,0x3fff22ff,
    0x64c00003,0x0befffff,0x3ea00000,0x2ffec2ff,0x009ffb00,0x85fff500,
    0x36005ffd,0x2ffec4ff,0x909ffb00,0x00007fff,0x01fff880,0x2006fff8,
    0x3ffe5ffc,0x57ff2006,0x003ffffc,0x26620000,0x000009aa,0x00013330,
    0x7ffe4000,0x3fea25ff,0x510001ff,0xe8800135,0x7409bcff,0xffe89abd,
    0x2ffffca8,0x00000000,0x00027ff4,0x01bffe60,0x7ff4c000,0x26000002,
    0x3fe62fff,0x2000006f,0x00004ffe,0x85fff300,0x3a006ffc,0x980003ff,
    0x7fe42fff,0x0fffa006,0x7400dff9,0xfff983ff,0x44000006,0xfd801fff,
    0xff9002ff,0x017ffecb,0xff75ffc8,0x000005ff,0x00000000,0x00000000,
    0x9dffffd1,0x07fffffd,0xe8000000,0x7fff407f,0xffffffff,0x00003fff,
    0xfff80000,0xfd800002,0x800003ff,0x00003ffc,0x207ffd40,0x0003fffd,
    0x00fff900,0x3fea0000,0x07ffdc0f,0x017ffcc0,0x07ffd400,0x2003ffee,
    0x7dc2fff9,0xff9800ff,0x7fffb02f,0x7c400000,0xff8801ff,0xbff9006f,
    0x8037ffc4,0x3ffa5ffc,0x2f74c005,0x2f74c000,0x2f74c000,0x17ba6000,
    0x3fff6200,0x1effffff,0x0bdd3000,0x406ff800,0xfffffffe,0x01dfffff,
    0x002f74c0,0x1fff8800,0x8017ba60,0x003ffff8,0x0dff3002,0xfe880000,
    0xffff886f,0x54002003,0x00203fff,0x1bffa200,0x2013ffe6,0x80006ffd,
    0xf986ffe8,0xffd804ff,0x04fff986,0x2206ffd8,0x2003ffff,0x3ffe2000,
    0xdfff9001,0x45ffc801,0x400efffc,0x00cc5ffc,0x0027fdc0,0x0027fdc0,
    0x0027fdc0,0x0013fee0,0x7fffffc4,0x20000cef,0x20004ffb,0x54405ff8,
    0xeffffedc,0xf70001bc,0x2000009f,0x2e00fffd,0x7e4004ff,0x980adfff,
    0x7fdc03eb,0x00de4004,0x81ffff54,0x0adffffc,0x2003eb98,0x88adfffe,
    0x0de40ed9,0x1ffff540,0x104fffd8,0x7905fffb,0xfffd5003,0x13fff607,
    0x817ffec4,0xb104fffd,0xfc805fff,0x980adfff,0x3e2003eb,0xff1001ff,
    0x36037fff,0x7ffc45ff,0xffb01bff,0x3f60000b,0xfd80002f,0xfd80002f,
    0x7ec0002f,0xff50002f,0x00003537,0x00017fec,0x50009ff3,0x200007ff,
    0x00002ffd,0x402fffc8,0xc8002ffd,0xefffffff,0x403fffff,0x2000effb,
    0xeeeffffe,0x4fffffee,0x7ffffe40,0xfffffeff,0x3ffe6003,0x4fffffff,
    0x777ffff4,0xfffffeee,0x3fffe204,0xfffeccef,0xffffd05f,0xfffddddd,
    0x7fc409ff,0xfeccefff,0x3e205fff,0xecceffff,0x9005ffff,0xdfffffff,
    0x007fffff,0x000fffc4,0xffffffd3,0xbffffddd,0xfffffd30,0xffffdddf,
    0x3fe0000b,0xff80000f,0xff80000f,0x7fc0000f,0xff90000f,0x3e000001,
    0x2a0000ff,0xfb8003ff,0xff00002f,0x2200001f,0x806ffffe,0x50000fff,
    0xffffffff,0x8807ffff,0x804effff,0xfffffffe,0x04ffffff,0xffffff50,
    0x07ffffff,0xfffffa80,0x7f42efff,0xffffffff,0x9804ffff,0xfffffffe,
    0x3fa03fff,0xffffffff,0x9804ffff,0xfffffffe,0xe9803fff,0xffffffff,
    0x7d4003ff,0xffffffff,0xeeb83fff,0xefffeeee,0x200eeeee,0xfffffffc,
    0x205fffff,0xfffffffc,0x005fffff,0x005ff980,0x005ff980,0x005ff980,
    0x002ffcc0,0x0000dff0,0x0017fe60,0x0005ff70,0x00001ff9,0x0000bff3,
    0x06ffffc4,0x0017fe60,0xfffdb910,0x200359df,0x806ffffb,0xffffffdb,
    0x000befff,0x7fff6e44,0x0001acef,0x0f7bfb6e,0x7ffffedc,0x00beffff,
    0x7ffff5c0,0x6dc01def,0xffffffff,0x5c000bef,0xdefffffe,0x7ff5c001,
    0x001defff,0xfffdb910,0x320359df,0xffffffff,0x0fffffff,0x7fff64c0,
    0x801cefff,0xfffffec9,0x00001cef,0x00007ff5,0x00007ff5,0x80007ff5,
    0x30003ffa,0x000009ff,0x0000ffea,0xd0003ff9,0x2a0000ff,0x200003ff,
    0x5002def8,0x000007ff,0x73000033,0x99880057,0x000009aa,0x00000198,
    0x2a662000,0x2000009a,0x10000998,0x00135533,0x004cc400,0x00998800,
    0x00330000,0x7fffffe4,0xffffffff,0x5544000f,0x54400009,0x0000009a,
    0x00000000,0x00000000,0x00998800,0x00000000,0x8000eec8,0x000004cb,
    0x00080000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x006f76c4,0x05555000,0x0aca8800,
    0x55400010,0x1aaa982a,0x05300540,0x54166440,0x333200cc,0xcccccccc,
    0x54001ccc,0xa98002aa,0x02aa882a,0x002aaa80,0x1cccc980,0x33332a00,
    0xcccccccc,0x540002cc,0x80001aaa,0x2001aaaa,0x800a600a,0x0002aaa9,
    0x00555500,0x002dc880,0x0015554c,0x55550000,0x2b2a2003,0x05400100,
    0x2a000530,0xaa8002aa,0x02aa981a,0xf1007dd5,0x001fffff,0x9ffff900,
    0x3ffee000,0x017d44ff,0x20fffec0,0x200dfffa,0xffa82ffe,0x21bfe006,
    0x7ffc07fe,0xffffffff,0x32003fff,0x4004ffff,0x3ea5ffe8,0x7e4002ff,
    0x40004fff,0x005ffffc,0x3ffffff2,0xffffffff,0x3ff60004,0x6c0000df,
    0xd000dfff,0xdff505ff,0x3fff6200,0x7e400005,0x20004fff,0x2001fffe,
    0x005fffd8,0xfffd8000,0xfffb800d,0x017d44ff,0x7d417ff4,0x7fe4006f,
    0x7cc004ff,0x3ffee4ff,0x1ffff981,0x6ccefec0,0x7ec0004f,0x005fffff,
    0x7fffffdc,0x05ffdcff,0x20fffe40,0x4c04fffa,0xffd85fff,0xdffb001f,
    0x80bfff99,0xffffffff,0x03ffffff,0xffffff90,0xffe88009,0x002fffce,
    0x7fffffec,0x3ffe0005,0xf9000fff,0xffffffff,0x009fffff,0x00ffff60,
    0x0ffff600,0x85fff980,0x2001fffd,0x0005fffb,0xffffffb0,0xfff3000b,
    0xff70009f,0x400000bf,0x7003fffd,0xffffffff,0x980bffb9,0xffd85fff,
    0xfffb001f,0x8800bfff,0xeffddffe,0x9ffff700,0x3ea2fe80,0x3ff60006,
    0x05ffe98e,0x75437f60,0x006fffff,0x2a0fffdc,0xff003fff,0x1fff709f,
    0x3fffa200,0x7c00efff,0xaaaaacff,0x800aaaaa,0xfe98effd,0xffd8005f,
    0x6c001fff,0xffe98eff,0xfffa8005,0x53002fff,0xdffd5555,0x00355555,
    0x003dffb0,0x03dffb00,0x709fff00,0x98001fff,0x40005ffe,0xfe98effd,
    0x7fc4005f,0xd30003ff,0x00000bff,0x4003dffb,0xffd50dfd,0x3e00dfff,
    0xfffb84ff,0x8effd800,0x4005ffe9,0x0effffe8,0x0bfffe60,0x2fdc7fb0,
    0x84eec800,0x0e004eec,0x005efedc,0x983bdd30,0x26001eee,0x00b6e03c,
    0x0fbffae0,0x0017ffc0,0x909dd900,0xd90009dd,0xec8003bd,0x04eec84e,
    0x7f67fe40,0x7ec0005f,0xd700005f,0x7000019d,0x200019dd,0x0b6e03c9,
    0x1f764400,0x84eec800,0x54004eec,0x440005ff,0x00003eec,0x00033bae,
    0x5efedc0e,0x40793000,0xeec802db,0x004eec84,0x006f76c4,0x5402ffe4,
    0x02ffddff,0x00000000,0x00000000,0x00000000,0x7ffc0000,0x00000002,
    0x00000000,0xfff00000,0x001fff75,0x002ffec0,0x00000000,0x00000000,
    0x00000000,0x00040000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x3ff20008,0x000004ff,0x00000000,0x00000000,0x00000000,0x0002fff8,
    0x0002ccb8,0x00000000,0x7ffa8000,0x0005fff3,0x0002ffec,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0000aa88,0x59db7510,0x5d440001,0x0000aced,0x2b3b6ea2,
    0x0b32e000,0x803cca80,0x0acedba8,0x002fff80,0x003ffe80,0xdb731000,
    0x32e0379b,0x332a002c,0xd2ffe403,0x6c000bff,0x32e005ff,0x332a002c,
    0xedba8803,0x220000ac,0x00acedba,0x40059970,0x99903cca,0x99999999,
    0x2a200199,0x01cceedb,0x33b6ea20,0x9995000a,0x0b32a007,0x20079995,
    0xcca82cca,0xcccccccc,0xca82cccc,0xcccccccc,0x542ccccc,0x95003ccc,
    0x004cc459,0x01cccc98,0x7fffdc00,0x000effff,0x7fffffdc,0x5c000eff,
    0xffffffff,0x4ffe800e,0x01bff200,0xfffffff7,0x7ffc01df,0xffe80002,
    0x74c00003,0xffffffff,0x27ff41ef,0x80dff900,0x3ff22fff,0xffb0000f,
    0x27ff400b,0x80dff900,0xfffffffb,0x7dc000ef,0xefffffff,0x027ff400,
    0xf10dff90,0xffffffff,0x9801ffff,0xfffffffe,0x7dc03fff,0xefffffff,
    0x7fffe400,0x45ffc801,0x801ffffc,0xffc85ffc,0xffffffff,0xfc84ffff,
    0xffffffff,0x644fffff,0xc801ffff,0x0ffee5ff,0x2ffffe40,0xfffd8800,
    0xffffffff,0xfffd8801,0xffffffff,0xfffd8801,0xffffffff,0x027ff401,
    0x220dff90,0xfffffffd,0xff01ffff,0xfd00005f,0x5c00007f,0xffffffff,
    0x7f43ffff,0x3ff2004f,0x83ffea06,0x0002fff9,0x7400bffb,0x3f2004ff,
    0xfffb106f,0xffffffff,0xfffb1003,0xffffffff,0x027ff403,0xf10dff90,
    0xffffffff,0x6401ffff,0xffffffff,0xb104ffff,0xffffffff,0x7e403fff,
    0xfc805fff,0x7fffe45f,0x85ffc805,0xfffffffc,0x4fffffff,0xffffffc8,
    0xffffffff,0x2ffffe44,0xf72ffe40,0x3ffe009f,0xe8000fff,0xb99cefff,
    0x402ffffe,0x99cefffe,0x02ffffeb,0x4e77fff4,0x2ffffeb9,0x8013ffa0,
    0xffd06ffc,0xfd7339df,0xfff05fff,0xffd00005,0x3f600007,0xa9acefff,
    0x7f43ffcb,0x3ff2004f,0x217ff206,0xb0005fff,0x7f400bff,0x3ff2004f,
    0x9dfffd06,0xffffd733,0xefffe805,0xfffeb99c,0x09ffd02f,0xa837fe40,
    0xaaaaaaaa,0xe980fffc,0x9bceffff,0xd04ffcba,0x7339dfff,0x205ffffd,
    0x01fffffc,0x3f22ffe4,0x6401ffff,0xaaa985ff,0xaaeffeaa,0xaa981aaa,
    0xaeffeaaa,0x7e41aaaa,0x6401ffff,0x13fee5ff,0x3ffffea0,0x7fdc002f,
    0x3fff205f,0x17ffee06,0x206fffc8,0x3205fffb,0x3fa06fff,0x3ff2004f,
    0x05fffb86,0x3e1bfff2,0xcccccdff,0x3a04cccc,0xb80003ff,0x4402ffff,
    0x027ff42b,0x7c0dff90,0x7ffc83ff,0x0bffb000,0x0027ff40,0xff70dff9,
    0x7ffe40bf,0x17ffee06,0xd06fffc8,0x7e4009ff,0x3ea0006f,0xfffe80ff,
    0xb83a801e,0x3f205fff,0xfff906ff,0xffc80bff,0x7ffffe45,0x02ffe405,
    0x000bffb0,0x200bffb0,0x05fffffc,0xff92ffe4,0xd9ff9009,0x7c400bff,
    0xffc805ff,0x5fff882f,0x82fffc80,0xc805fff8,0xffd02fff,0x37fe4009,
    0x2017ffe2,0x7fc2fffc,0xffffffff,0x3fa07fff,0x7c40003f,0x20001eff,
    0x32004ffe,0xfff506ff,0x05fff501,0x00bffb00,0x90027ff4,0xfff88dff,
    0x2fffc805,0x805fff88,0xfe82fffc,0x3ff2004f,0x3fea0006,0x6fffd40f,
    0x3fe20000,0xfffc805f,0xffdffc82,0x17ff200f,0x1fffbff9,0x002ffe40,
    0x0000bffb,0x3200bffb,0x00fffdff,0xffc97ff2,0xbafff804,0xf9000fff,
    0x3fe001ff,0x0fffc85f,0x90bfff00,0x3e001fff,0x9ffd05ff,0x237fe400,
    0xf000fffc,0xffff8bff,0xffffffff,0x0fffa07f,0x3fff9000,0x4ffe8000,
    0x41bff200,0x3fe06ffc,0xffd8005f,0x13ffa005,0x646ffc80,0xff000fff,
    0x1fff90bf,0x217ffe00,0x32004ffe,0x2a0006ff,0x3fe20fff,0xfc80006f,
    0xfff000ff,0xfb9ff90b,0x2ffe409f,0x3ff73ff2,0x017ff204,0x0005ffd8,
    0x9005ffd8,0x09ffb9ff,0xff92ffe4,0x37ffa80b,0xf1005fff,0x7e400bff,
    0x3ffe21ff,0x3fff2005,0x017ffe21,0xe81fffc8,0x3f2004ff,0x17ffe26f,
    0x21fffc80,0x9999bfff,0x20199999,0x3b223ffe,0xff102cef,0xfd0000bf,
    0x7fe4009f,0x407fff06,0xd8007ffd,0x3fa005ff,0x3ff2004f,0x017ffe26,
    0x221fffc8,0x32005fff,0x7ff41fff,0x1bff2004,0x0fffa800,0x000bfff2,
    0x00bfff10,0x320fffe4,0x0fffacff,0xfc8bff90,0x00fffacf,0x6c00bff9,
    0xd80005ff,0xff9005ff,0x201fff59,0x3ff25ffc,0xd2ffe405,0xff300bff,
    0x7fcc005f,0x0bffe62f,0x22fff980,0x2002fff9,0xfe82fff9,0x3ff2004f,
    0x00bffe66,0x3e2fff98,0xe80002ff,0xffff73ff,0xfb81bfff,0xe80001ff,
    0x3f2004ff,0x1fffa86f,0x00bffea0,0x400bffb0,0x32004ffe,0x3ffe66ff,
    0x3ffe6002,0x00bffe62,0x742fff98,0x3f2004ff,0x3ea0006f,0x1bffe0ff,
    0x3ffe6000,0x3ffe6002,0xffa7fe42,0x8bff904f,0x9fff4ffc,0x8017ff20,
    0x80005ffd,0xf9005ffd,0x413ffe9f,0x3ff25ffc,0x917ffc05,0xfa801fff,
    0x7fc000ff,0x03ffea3f,0x547fff00,0x7c000fff,0x4ffe83ff,0xa9bff200,
    0x7c000fff,0x0bffe3ff,0x2fffa000,0xfffffffc,0x3ffe44ff,0x4ffe8000,
    0x21bff200,0x7c406ffc,0x7ec005ff,0x3ffa005f,0x9bff2004,0x4000fffa,
    0x3fea3fff,0x7ffc000f,0x0027ff43,0x4000dff9,0xff10fffa,0xf500007f,
    0xff8001ff,0xba7fe43f,0xffc80fff,0xfba7fe45,0x5ffc80ff,0x017ff600,
    0x017ff600,0xffba7fe4,0x25ffc80f,0x3ea05ffd,0x3ffe60ff,0x03ffdc02,
    0xf727ffc0,0xfff000ff,0x003ffdc9,0x7f427ffc,0x3ff2004f,0x001ffee6,
    0xfff93ffe,0xffe80002,0xc88aeffe,0x3f60ffff,0xfd00006f,0x7fe4009f,
    0xccefff86,0xffcccccc,0x7fec007f,0x13ffa005,0x2e6ffc80,0xff8007ff,
    0x01ffee4f,0xfd13ffe0,0x7fe4009f,0x3fea0006,0x03fff30f,0x0fff7000,
    0xc89fff00,0x7fff14ff,0xfc8bff90,0x07fff14f,0x6c00bff9,0xd80005ff,
    0xff9005ff,0x20fffe29,0x3ff65ffc,0x217ff206,0x7e405fff,0xffe8006f,
    0x001bff25,0xffc97ffa,0x5ffe8006,0x2004ffe8,0x3ff26ffc,0x5ffe8006,
    0x0000bffe,0x03bffffa,0xfe8fffe2,0xfd00005f,0x7fe4009f,0x7ffffd46,
    0xffffffff,0x36002fff,0x3fa005ff,0x3ff2004f,0x001bff26,0xffc97ffa,
    0x5ffe8006,0x90027ff4,0x54000dff,0xfff50fff,0x26666201,0x3ff20999,
    0x5ffe8006,0xff927fe4,0xc8bff90f,0x1fff24ff,0xd8017ff2,0xd80005ff,
    0xff9005ff,0x643ffe49,0x1bff65ff,0xfc83fff8,0x2ffec07f,0xb37fec00,
    0xfb000bff,0x02ffecdf,0x7437fec0,0x3f2004ff,0x017ff66f,0xff9bff60,
    0xfe80002f,0x7fec06ff,0x0013ffe4,0x0027ff40,0xffc8dff9,0xffffffff,
    0x04ffffff,0x8017ff60,0x32004ffe,0x17ff66ff,0xd9bff600,0xfd8005ff,
    0x027ff46f,0x000dff90,0xfb87ffd4,0x3fffa07f,0x3f65ffff,0xffd8005f,
    0xf127fe46,0x5ffc85ff,0xff127fe4,0x05ffc85f,0x0017ff60,0x4017ff60,
    0x3fe24ffc,0xb2ffe42f,0x3fea0dff,0x2fffa80f,0x0017ffa0,0xffe9bff6,
    0x6ffd8005,0x20017ffa,0xffe86ffd,0x9bff2004,0xd8005ffe,0x0bffe6ff,
    0x3bffa000,0x8affe400,0x00003fff,0x64009ffd,0x6fffc6ff,0xaaaaaaaa,
    0x007ffeaa,0xe8017ff6,0x3f2004ff,0x017ffa6f,0xfe9bff60,0xffd8005f,
    0x0027ff46,0x4000dff9,0xff90fffa,0x7ffff40f,0x3ffa5fff,0x6ffd8005,
    0x3f627fe4,0x22ffe46f,0x7fec4ffc,0x002ffe46,0x0000bffb,0x3200bffb,
    0x37fec4ff,0xffd97ff2,0x40dff906,0x3f605fff,0xffe8006f,0x001bff65,
    0xffd97ffa,0x5ffe8006,0x2004ffe8,0x3ff66ffc,0x5ffe8006,0x0000bffe,
    0x2e00fffa,0x9fff16ff,0x3ffa0000,0x9bff2004,0x2001fff9,0xb002fffa,
    0x7f400bff,0x3ff2004f,0x001bff66,0xffd97ffa,0x5ffe8006,0x90027ff4,
    0x54000dff,0xfff90fff,0x766665c0,0x1bff65ff,0x917ffa00,0xfff989ff,
    0xf917ff22,0x2fff989f,0xd8017ff2,0xd80005ff,0xff9005ff,0x22fff989,
    0x3ffa5ffc,0x407fff06,0x3f207ffd,0xffe8006f,0x001bff24,0xffc93ffa,
    0x4ffe8006,0x2004ffe8,0x3ff26ffc,0x4ffe8006,0x0000bffe,0x2e00fffa,
    0x17ffe6ff,0x27ff4000,0x64dff900,0x7c4007ff,0xffb004ff,0x27ff400b,
    0x64dff900,0xfe8006ff,0x01bff24f,0xfd13ffa0,0x7fe4009f,0x3fea0006,
    0x01fff70f,0xf92ffe40,0xffd000df,0xd84ffc89,0x17ff26ff,0xffb09ff9,
    0x002ffe4d,0x0000bffb,0x3200bffb,0x6ffd84ff,0xffe97ff2,0x01fffa87,
    0x5c0bffea,0xff8007ff,0x01ffee3f,0xfb8fffe0,0xfff8007f,0x004ffe83,
    0xffb9bff2,0x3fff8007,0x3ffffffe,0x3fffffff,0x7007ffd0,0x37ff4dff,
    0x4ffe8000,0xf9bff200,0xfd8004ff,0x7fffe47f,0xffffffff,0x4ffe84ff,
    0xb9bff200,0xff8007ff,0x01ffee3f,0xfd0fffe0,0x7fe4009f,0x3fea0006,
    0x03fff30f,0xf72ffe40,0xfff000ff,0x984ffc87,0xbff91fff,0xf984ffc8,
    0x0bff91ff,0x002ffec0,0x802ffec0,0xff984ffc,0x74bff91f,0x6ffc87ff,
    0x82fffc40,0x2000fffb,0x3ee1fff8,0x3e2000ff,0x3ffee1ff,0x3ffe2000,
    0x004ffe81,0xffb9bff2,0x3fe2000f,0x3ffffe1f,0xffffffff,0x07ffd03f,
    0x7ecdff70,0xfd00007f,0x7fe4009f,0x003fff36,0x643fff70,0xffffffff,
    0x84ffffff,0x32004ffe,0x3ffee6ff,0x3ffe2000,0x003ffee1,0x741fff88,
    0x3f2004ff,0x3ea0006f,0x5fff10ff,0x72ffe400,0x44001fff,0x7fe41fff,
    0x32bffd04,0x27fe45ff,0xff95ffe8,0x2ffec00b,0x2ffec000,0xd04ffc80,
    0x97ff2bff,0xfff87ffe,0xccccccce,0xf507fffc,0x7dc007ff,0x3ffea0ff,
    0x3ffee003,0x00fffea0,0xd80fffb8,0x3f6005ff,0x0fffea4f,0x20fffb80,
    0xffffffff,0x03ffffff,0xf7007ffd,0x1fffe4df,0x2ffec000,0x329ffb00,
    0xf10007ff,0x7ffe49ff,0xffffffff,0xffd84fff,0x93ff6005,0x2003fffa,
    0x3ea0fffb,0x3ee003ff,0x2ffec0ff,0x009ffb00,0xf07ffdc0,0x7e400dff,
    0x0fffea5f,0x40fffb80,0xff504ffc,0xc8bff91f,0xfff504ff,0x400bff91,
    0x80005ffd,0xf9005ffd,0x3ffea09f,0x3fa5ffc8,0x7fffd47f,0xffffffff,
    0xff02ffff,0x7ff400df,0x006fff86,0x3fe1bffa,0x3ffa006f,0x00dff906,
    0x3fe1fff4,0x3ffa006f,0xdfd10006,0x00fffa01,0xff99bfee,0xfc80006f,
    0x3ffa006f,0x3ee00003,0x7f40004f,0x06ffc81f,0xff0fffa0,0x7ff400df,
    0x006fff86,0x3f21bffa,0x3ffa006f,0x3ff20003,0x017ffec7,0x7fc5ffc8,
    0x3ffa006f,0x204ffc86,0x5ffccffe,0xfd027fe4,0x00bff99f,0x0002ffec,
    0xc802ffec,0x3ffa04ff,0x3fe5ffcc,0x7fffe47f,0xffffffff,0xf904ffff,
    0xff5003ff,0x3fff903f,0x03fff500,0x5003fff9,0x3ee03fff,0xff9800ff,
    0x0fffe42f,0x00fffd40,0x200ffe80,0xfb803ffe,0x1fffec6f,0x3ffee000,
    0x2fff9800,0xbff30000,0x2ffd8000,0x001fff70,0xfc85fff3,0xffa801ff,
    0x1fffc81f,0x81fffa80,0x9800fffb,0x20002fff,0x7fc45ffd,0xbff9006f,
    0x801fffc8,0xfc81fffa,0x3ffee04f,0x7fe45ffc,0x33ffee04,0x3f6005ff,
    0xfd80005f,0x9ff9005f,0x7e7ffdc0,0x83fffe5f,0xaaaadfff,0xfeaaaaaa,
    0xffff107f,0x2fffcc01,0x00ffff88,0x4417ffe6,0x2600ffff,0x3e605fff,
    0xffd804ff,0x0ffff886,0x017ffe60,0x201ffdc0,0xfb803ffe,0x7fffc46f,
    0xff302003,0xdffb009f,0x7ff40000,0x3fea0000,0x13ffe605,0x221bff60,
    0x2600ffff,0xff105fff,0x7fcc01ff,0x9fff305f,0x20dffb00,0x7ffcc009,
    0x0efffc83,0x222ffe40,0x2600ffff,0xff905fff,0xfffff809,0x027fe45f,
    0x17fffffe,0x005ffd80,0x005ffd80,0xff809ff9,0x9805ffff,0x2a001fff,
    0xffb02fff,0x7d4415df,0x3f601fff,0x2a20aeff,0x3601ffff,0x220aefff,
    0x401ffffa,0xb104fffd,0x3f605fff,0x2a20aeff,0x0001ffff,0xfe803ffd,
    0x6ffb803f,0xadffffc8,0xd83eb980,0xfb104fff,0x200005ff,0x40006ff9,
    0x7ec03ffc,0xffb104ff,0x3fff605f,0x3fea20ae,0x3ff601ff,0x3ea20aef,
    0x3f601fff,0xffb104ff,0x073ee05f,0x441bffea,0x01bfffff,0xffb0bffb,
    0x7d4415df,0xff901fff,0xffffb809,0x027fe45f,0x17ffffee,0x005ffd80,
    0x005ffd80,0xfb809ff9,0xc805ffff,0x7c4007ff,0xffb104ff,0xfffddfff,
    0xfd8807ff,0xffeeffff,0x6c403fff,0xfeefffff,0x8803ffff,0xccefffff,
    0x205ffffe,0xefffffd8,0x03fffffe,0x013ffa00,0xf7007ffd,0x3fff20df,
    0xfffeffff,0xfff883ff,0xffecceff,0x200005ff,0x0001fff9,0xf1017ff2,
    0xd99dffff,0x440bffff,0xeefffffd,0x403fffff,0xefffffd8,0x03fffffe,
    0x77ffffc4,0x5ffffecc,0x3bfffee0,0x02fffffe,0x3fffffa6,0xffffeeef,
    0xffffd885,0xfffffeef,0x013ff203,0x8bfffff1,0x7c404ffc,0xfc85ffff,
    0xffffffff,0xc84fffff,0xffffffff,0x44ffffff,0x7c404ffc,0xf805ffff,
    0xfd8004ff,0x7ffe407f,0x1effffff,0x3ffff200,0x01efffff,0x3fffff20,
    0x001effff,0x3fffffa6,0x003fffff,0xfffffff9,0x80003dff,0x82effffa,
    0xfb803ffe,0x3ffea06f,0xffffffff,0xfffd303f,0x7fffffff,0xffd00000,
    0x98001ddf,0x304effff,0xfffffffd,0x32007fff,0xffffffff,0x3f2001ef,
    0xffffffff,0xffd3001e,0xffffffff,0xffffa807,0x02ffffff,0xffffff90,
    0x0bffffff,0x7fffffe4,0x6401efff,0xffc804ff,0x27fe45ff,0x2ffffe40,
    0x7fffffe4,0xffffffff,0xfffffc84,0xffffffff,0x027fe44f,0x02ffffe4,
    0x0007ffe6,0x5007ffee,0x9dffffdb,0xfdb50001,0x0019dfff,0xffffdb50,
    0x2e00019d,0xdefffffe,0x7f6d4001,0x000cefff,0x7ffffb00,0x7007ffd0,
    0xdc880dff,0xaceffffe,0xfffeb801,0x0001deff,0xffffd300,0xfff90001,
    0xffeb80bf,0x001defff,0x7ffff6d4,0xda8000ce,0x0ceffffe,0xfffeb800,
    0x5001deff,0x9dfffffb,0xfec98001,0x1cefffff,0xfffeda80,0xfc800cef,
    0xfff8804f,0x027fe45f,0x42ffffc4,0xfffffffc,0x4fffffff,0xffffffc8,
    0xffffffff,0x4027fe44,0x405ffff8,0x10007ffc,0x44009fff,0x44000019,
    0x44000019,0x88000019,0x10000099,0x80000033,0xffe81ab9,0x06ffb803,
    0x80001980,0x00000998,0x00aea200,0x00357300,0x00004cc4,0x00001988,
    0x00000cc4,0x00002662,0x80000331,0x00009aa8,0x00000662,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xccccca80,0x002ccccc,0x06aaaa00,0x55555000,0x99533000,0x40399999,
    0xccccccca,0xccb82ccc,0x54000001,0x260002aa,0x00002aaa,0x00155540,
    0x05300540,0x02aaa980,0x1dd98000,0xaaa80000,0xaa80001a,0x554001aa,
    0xcc88002a,0x800cca82,0xaa981aaa,0x2aa00002,0x2a0001aa,0x880002aa,
    0x00100aca,0x03555500,0x00eecc00,0xdd975100,0x50001599,0xb8000555,
    0xffffffff,0xb00003ff,0x0001bfff,0x0077ffe4,0xfffffd88,0x03ffffff,
    0x3fffffee,0xfa83ffff,0x2000006f,0x004ffffc,0x0bfffb10,0x3ff20000,
    0x3a0004ff,0x6ffa82ff,0x3fff6200,0x3e200005,0x00000fff,0x0037fff6,
    0x1bfffb00,0x7fffe400,0x86ff8004,0xff3007fe,0x0fffdc9f,0xfffd8000,
    0xff90000d,0x5c0009ff,0x544fffff,0x3f60002f,0x10000dff,0x0001ffff,
    0xfffffff5,0xfc8003ff,0x20004fff,0xfffffffb,0x80003fff,0x0003fffd,
    0x8027ffe4,0xffffffc8,0x3fffffff,0x3ffffee0,0xf03fffff,0x000003ff,
    0xbffffffb,0x7ffdc000,0x7ec00005,0x005fffff,0xd85fff98,0x5c001fff,
    0x00005fff,0x005ffff5,0x0ffff600,0x3fff6000,0x7ffec003,0x6c005fff,
    0xfffcceff,0x3ffa2005,0x000effdd,0x07fffb00,0x7fffec00,0xfb8005ff,
    0xcfffffff,0xb0005ffd,0x80007fff,0x002ffffa,0x7fffffec,0x2001ffff,
    0x5ffffffd,0x00000000,0x01effd80,0x17ffdc00,0xfffffd00,0xff333dff,
    0x8000007f,0x00004ffc,0x74c77fec,0x260005ff,0x00005ffe,0xfd31dffb,
    0xfff000bf,0x01fff709,0x0bffd300,0xffff3000,0xffb00003,0xfb00003d,
    0xfd8003df,0x5ffe98ef,0x3fffa200,0x4000efff,0x0effffe8,0xdffb0000,
    0x7fec0003,0x05ffe98e,0xea86fec0,0x006fffff,0x003dffb0,0x3ffff300,
    0x67ffdc00,0x80054c09,0xfe98effd,0x0000005f,0x33bae000,0x77540000,
    0x3ff2000d,0x45ffffff,0x00003fff,0x007ffc40,0x84eec800,0x20004eec,
    0x0003eec8,0x76427764,0x1e4c004e,0x40005b70,0x0003eec8,0x0004ffc8,
    0x000ceeb8,0x00ceeb80,0x64277640,0x75c004ee,0x20003eff,0x000deed8,
    0x019dd700,0x42776400,0x1c004eec,0x00bdfdb8,0x00ceeb80,0x13ff2000,
    0x009fff00,0x213bb200,0x00004eec,0x00000000,0x7cc00000,0xffffffff,
    0x001fffc5,0x1ffec000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000110,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x7fc40008,0x0000001f,0x2ea20000,0x0000aced,0x00000000,
    0x3ffffee0,0x7fc5ffff,0x01665c3f,0xfa879950,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffc4000,0x00000003,0xffff7000,
    0x001dffff,0x99999995,0x59999999,0x333332a0,0xc8009abc,0xffffffff,
    0x21fffc5f,0x32004ffe,0x2ffe86ff,0x00ccc800,0x40099900,0x001cccc9,
    0x00039997,0x32e79991,0xc88001cc,0xccca83cc,0xcccccccc,0xcca82ccc,
    0xcccccccc,0x64c2cccc,0xcccccccc,0x2ccccccc,0x99999990,0x39999999,
    0x33333320,0xcccccccc,0xccccca81,0xcccccccc,0x3333262c,0xcccccccc,
    0x00cccccc,0x03999930,0x33326000,0xcca8001c,0xcccccccc,0x9972cccc,
    0x99100039,0xcccc9879,0xcccccccc,0xff82cccc,0x970001ff,0x66540059,
    0x7ffec403,0xffffffff,0x7fffe401,0xffffffff,0xfff904ff,0xbfffffff,
    0x7ffff403,0x7c5fffff,0x27ff43ff,0x70dff900,0xff000bff,0x3fe0003f,
    0x3fff2007,0xfff5005f,0xfff7000b,0x017ffea5,0x20bffee0,0xfffffffc,
    0x4fffffff,0xffffffc8,0xffffffff,0x7ffffdc4,0xffffffff,0xfff04fff,
    0xffffffff,0x3fe07fff,0xffffffff,0xfc83ffff,0xffffffff,0x2a4fffff,
    0xffffffff,0xffffffff,0xff9001ff,0x20000bff,0x005ffffc,0xffffffc8,
    0xffffffff,0x00bfff54,0xb85fff70,0xffffffff,0xffffffff,0x3ffffa84,
    0x04ffe800,0xd01bff20,0x7339dfff,0x405ffffd,0xfffffffc,0x4fffffff,
    0xffffff90,0x09ffffff,0x3ffffff6,0x7ffc5fff,0x0027ff43,0xff10dff9,
    0xfff8001f,0x7ff88001,0x3ffffe00,0xfffd000f,0x7ffc4003,0x00ffff46,
    0x20dfff10,0xfffffffc,0x4fffffff,0xffffffc8,0xffffffff,0x7ffffdc4,
    0xffffffff,0xfff04fff,0xffffffff,0x3fe07fff,0xffffffff,0xfc83ffff,
    0xffffffff,0x2a4fffff,0xffffffff,0xffffffff,0xfff001ff,0x00001fff,
    0x01ffffff,0xfffffc80,0xffffffff,0x07fffa4f,0x86fff880,0xfffffffb,
    0xffffffff,0xffff984f,0x3fa001ef,0x3ff2004f,0x17ffee06,0x206fffc8,
    0xfeaaaaa9,0x1aaaaaef,0x555dff90,0x5ffffd95,0xffffff90,0xfff8bfff,
    0x0027ff43,0x3f20dff9,0x7ff4004f,0x6ff88002,0xfffff500,0x3fe6005f,
    0x3ff2006f,0x37ffcc1f,0x03fff900,0x3aaaaaa6,0xaaaaaeff,0xaaaaa981,
    0xaaaaeffe,0x66664c1a,0xcccccccc,0xff02ffff,0x5555559f,0x3e015555,
    0xaaaaacff,0x980aaaaa,0xffeaaaaa,0x21aaaaae,0xaaaaaaa8,0xaaaaeffe,
    0xfa800aaa,0x002fffff,0x7ffffd40,0x554c002f,0xaeffeaaa,0x3e61aaaa,
    0x3f2006ff,0xccc981ff,0xcccccccc,0x542ffffc,0xffffffff,0x09ffd004,
    0x8837fe40,0xfc805fff,0x7ec002ff,0x7fe4005f,0x3fffea05,0x7ffffd40,
    0x7fc5ffff,0x027ff43f,0x260dff90,0x7f4007ff,0xff98002f,0xd9ff9006,
    0x7ec00bff,0xff8802ff,0x5fffb05f,0x0bfff100,0x00bffb00,0x00bffb00,
    0x3ffe6000,0x00bffe05,0x00bffe00,0x2ffec000,0x2ffec000,0x67fe4000,
    0x40005ffe,0x5ffecffc,0xbffb0000,0x0bfff600,0x017ffe20,0x2fffcc00,
    0x3237ffe2,0x402effff,0x32004ffe,0xfff906ff,0x17ffe001,0x00bffb00,
    0x5c05ffc8,0xffe81fff,0x45ffffff,0x7ff43fff,0x1bff2004,0x2003ffd8,
    0x98002ffd,0xfff005ff,0x001fff75,0x201bffe2,0xf100fffc,0xff900dff,
    0xffb0001f,0xffb0000b,0x3a00000b,0x3fe00fff,0xff80002f,0xb000002f,
    0xb0000bff,0xf0000bff,0x1fff75ff,0x57ffc000,0x0000fffb,0x1005ffd8,
    0xf900dfff,0x200001ff,0x7ec0fffe,0x7fff4c6f,0x13ffa03f,0x886ffc80,
    0x32005fff,0x36001fff,0x7e4005ff,0x7ffcc05f,0xfffff983,0x7ffc5fff,
    0x0027ff43,0x7d40dff9,0x3ff6006f,0x5ffa8003,0xf37ffa80,0x7e4005ff,
    0x3fe203ff,0x7ffe404f,0x13ffe203,0x02ffec00,0x02ffec00,0x7ffe4000,
    0x017ffc02,0x017ffc00,0x5ffd8000,0x5ffd8000,0xbffd4000,0x0002fff9,
    0x3fe6fff5,0xfd80002f,0x3ff2005f,0x3ffe203f,0xff900004,0x03fff05f,
    0x40ffffee,0x32004ffe,0xfff986ff,0x3ffe6002,0x17ff6002,0x80bff900,
    0xf503fff8,0x8bffffff,0x7ff43fff,0x1bff2004,0x2003fff0,0xa8003ffc,
    0xffc804ff,0x8017ffa5,0xb00ffff8,0xf8801fff,0xffb00fff,0x3f60001f,
    0xfd80005f,0x4c00005f,0xff805fff,0xff80002f,0xb000002f,0xb0000bff,
    0xc8000bff,0x17ffa5ff,0xd2ffe400,0xb0000bff,0x7c400bff,0xffb00fff,
    0xf300001f,0xfff30bff,0x7fffcc01,0x004ffe81,0x3ea1bff2,0x7fc000ff,
    0x3ff6003f,0x2ffe4005,0x80bffe60,0x5fffffb8,0x3fa1fffc,0x3ff2004f,
    0x02ffdc06,0x8004ffc8,0xff804ffa,0x03fff22f,0x83fffb80,0x7003fff9,
    0xff307fff,0x7ec0007f,0xfd80005f,0x7400005f,0xff800fff,0xff80002f,
    0xb000002f,0xb0000bff,0xf8000bff,0x3fff22ff,0x2fff8000,0x0003fff2,
    0x800bffb0,0xf983fffb,0xd00003ff,0xff101fff,0xfff9805f,0x004ffe86,
    0x3ee1bff2,0xfff8007f,0x17ff6004,0x80bff900,0x8800fffc,0x7fc4dca9,
    0x027ff43f,0x880dff90,0xfb800fff,0x81ffa84f,0x7d403ffb,0x3ffe60ff,
    0x7fff4002,0x0037fec0,0xfb03fffa,0xfd8000df,0xfd80005f,0x3200005f,
    0xff002fff,0xff00005f,0x2000005f,0x80005ffd,0x20005ffd,0x3e60fffa,
    0x7d4002ff,0x3ffe60ff,0x7fec0002,0xfffe8005,0x0037fec0,0x02fffc80,
    0x2e017ffa,0x7ff40fff,0x1bff2004,0x2001bff2,0x36005ffe,0x7e4005ff,
    0x3ffea05f,0x3fe00004,0x027ff43f,0xb00dff90,0xff5007ff,0x709ffb0b,
    0xffc807ff,0x005fff85,0xf327ffd4,0xfa8005ff,0x3ffe64ff,0x7fec0002,
    0xffd80005,0xff300005,0x7ffc00bf,0xfff80002,0xfb000002,0xfb0000bf,
    0x7e4000bf,0x05fff85f,0x7c2ffe40,0x6c0005ff,0xfa8005ff,0x3ffe64ff,
    0xff980002,0x7ffdc05f,0x0fffc404,0xc8013ffa,0x5ffd86ff,0x06ffd800,
    0x0017ff60,0x3333dff9,0x01dfffb5,0x1fffc000,0xc8013ffa,0xff9806ff,
    0x85ffa807,0xffc87fff,0x41fffc02,0xe8007ffc,0xbffd0fff,0x3fffa000,
    0x000bffd0,0x000bffb0,0x000bffb0,0x003fffa0,0xcccdfff8,0x04cccccc,
    0x33337ffe,0x04cccccc,0x002ffec0,0x002ffec0,0xf907fff0,0xfff800ff,
    0x007ffc83,0x002ffec0,0xfd0fffe8,0x3a0000bf,0xfe800fff,0x7ffc04ff,
    0x777fff41,0xeeeeeeee,0xffe86fff,0x6ffd8005,0x017ff600,0xffffff90,
    0x01dfffff,0x3fff8000,0x90027ff4,0x3fa00dff,0x37fcc02f,0x90bfffea,
    0x7fd405ff,0x2fffa80f,0x67ffcc00,0x0001fff9,0xff39fff3,0xfb00003f,
    0xfb0000bf,0xf90000bf,0xff8005ff,0xffffffff,0x3fe07fff,0xffffffff,
    0x6c007fff,0xd80005ff,0xf50005ff,0xfff501ff,0x3ffea005,0x02fffa80,
    0x017ff600,0x4e7ffcc0,0x80001fff,0x1002fffc,0x503dfffd,0xffe81fff,
    0xffffffff,0x86ffffff,0xe8006ffd,0x3f6005ff,0x7fe4005f,0xdfffffff,
    0xff000001,0x04ffe87f,0x401bff20,0x7cc06ffa,0x7fffe46f,0x900ffec5,
    0x7ffc0dff,0xfffd8005,0x40004ffe,0x4ffefffd,0xbffb0000,0xbffb0000,
    0xfff98000,0xffff8005,0xffffffff,0x3fffe07f,0xffffffff,0x7fec007f,
    0xffd80005,0xdff90005,0x802fffc0,0x3fe06ffc,0x3f60005f,0x3f60005f,
    0x004ffeff,0x05fff980,0x7fffec40,0x09fff10d,0xfffffffd,0xffffffff,
    0x0dff90df,0x009ffd00,0x2002ffec,0xfeccfffc,0x00001eff,0xfe87fff0,
    0x3ff2004f,0x07ffe006,0x7fc6ff88,0x3f60fffd,0x0fffe01f,0x8007ffd8,
    0x0ffffff8,0x7ffc4000,0x00000fff,0x0000bffb,0x8000bffb,0x8000fffe,
    0x9999bfff,0x20199999,0x9999bfff,0x00199999,0x0002ffec,0x8002ffec,
    0x3f603fff,0x7fff007f,0x003ffec0,0x000bffb0,0x7fffffc4,0xffe80000,
    0xff70000f,0xdfff9fff,0x33bffd01,0x33333333,0xff70dffb,0x7fff000f,
    0x02ffec00,0xd117ff20,0x00001fff,0xfe87fff0,0x3ff2004f,0x13ff2006,
    0x3e67ff88,0x362ffdaf,0xfff500ff,0x17ffd403,0x7fffe400,0xff900003,
    0x400007ff,0x80005ffd,0x20005ffd,0x0002fffb,0x00005fff,0x00005fff,
    0x0017ff60,0x0017ff60,0xa807ffea,0x7d402fff,0x3fea01ff,0xffb0002f,
    0xffc8000b,0xb80003ff,0x40002fff,0xffffffd8,0x09ffd00e,0x5c37fe40,
    0x22000fff,0x36001fff,0x7e4005ff,0x5ffe885f,0xfff80000,0x0027ff43,
    0x4400dff9,0x3fe00fff,0x3ea3ff27,0x403ffa5f,0x7c406ffc,0xf88005ff,
    0x00000fff,0x001ffff1,0x02ffec00,0x02ffec00,0x05fff980,0x00bffe00,
    0x00bffe00,0x2ffec000,0x2ffec000,0x037fe400,0x9017ffe2,0xff880dff,
    0xffb0005f,0xff88000b,0x4c0000ff,0x00005fff,0x03ffffa6,0x2004ffe8,
    0xffa86ffc,0x3fee003f,0x3ff6000f,0x2ffe4005,0x002fffa8,0x217ffc00,
    0x36005ffd,0x7ec004ff,0x43ffe03f,0x1fff16ff,0xfff81ffa,0xccccccce,
    0x0007fffc,0x0000bffb,0x0005ffd8,0x002ffec0,0x002ffec0,0x000fffe8,
    0x000bffe0,0x000bffe0,0x02ffec00,0x02ffec00,0x6677ffc0,0xffcccccc,
    0x77ffc07f,0xcccccccc,0xb0007fff,0xb0000bff,0xd0000bff,0x00001fff,
    0x40dfff90,0x32004ffe,0xdfff06ff,0x037ff400,0x0017ff60,0x7f40bff9,
    0x2200006f,0x7fe41fff,0x0fffa006,0x40dff500,0x3ff99ffe,0x3ffcbff6,
    0xffffffa8,0xffffffff,0xfd8002ff,0x6c00005f,0x400005ff,0x80005ffd,
    0xb8005ffd,0x40002fff,0x80002fff,0x00002fff,0x000bffb0,0x800bffb0,
    0xfffffffa,0xffffffff,0xffff502f,0xffffffff,0x0005ffff,0x0000bffb,
    0x8000bffb,0x0002fffb,0x07fff200,0x90027ff4,0x3ff20dff,0xfffa801f,
    0x2ffec001,0x817ff200,0x0002fffa,0xb81fff30,0xf9800fff,0xfe8002ff,
    0x93ffd02f,0xb7fd41ff,0xfff906ff,0xffffffff,0x009fffff,0x000bffb0,
    0x005ffd80,0x02ffec00,0x02ffec00,0x017ffe60,0x00bffe00,0x00bffe00,
    0x2ffec000,0x2ffec000,0x3ffff200,0xffffffff,0xf904ffff,0xffffffff,
    0x9fffffff,0x0bffb000,0x0bffb000,0x2fffcc00,0x3e200000,0x9ffd02ff,
    0x837fe400,0x200ffff8,0x8005fff9,0x64005ffd,0x7ffc05ff,0xfd800806,
    0x4fff986f,0x006ffd80,0x360bff70,0x446feaff,0x06ff8fff,0x5555bfff,
    0xfd555555,0xffb000ff,0xfd80000b,0x6c00005f,0xd80005ff,0x7f4005ff,
    0xf80000ff,0xf80002ff,0x000002ff,0x0000bffb,0xf800bffb,0xaaaaadff,
    0xffeaaaaa,0x55bfff07,0x55555555,0xb000fffd,0xb0000bff,0x74000bff,
    0x00000fff,0x807ffdc0,0x32004ffe,0x3ff606ff,0x3ea20aef,0xd8001fff,
    0x7e4005ff,0x7ffdc05f,0xc80fee02,0xffb02fff,0x3ff6209f,0xff10002f,
    0xf9ffb01f,0xf9ffb07f,0x3fff30bf,0x17ffd400,0x017ff600,0x0bffb000,
    0x5ffd8000,0x5ffd8000,0x0bffee00,0x17ffc000,0x17ffc000,0xffd80000,
    0xffd80005,0x3ffe6005,0x3ffea001,0x00fffcc2,0x005fff50,0x0005ffd8,
    0x0005ffd8,0x0005fff7,0x7ffc4004,0x013ffa06,0x2206ffc8,0xeefffffd,
    0x003fffff,0x800bffb0,0x7c405ffc,0xfff106ff,0xffd957bf,0x7ffc40bf,
    0xffecceff,0x640005ff,0xfffc84ff,0xeffa80ff,0x7ffc85ff,0x27ffc400,
    0x017ff600,0x0bffb000,0x5ffd8000,0x5ffd8000,0x3dfff100,0x33333333,
    0x3fe01333,0xff80002f,0xb000002f,0xb0000bff,0x7e400bff,0x7fc4007f,
    0x03ffe44f,0x013ffe20,0x000bffb0,0x000bffb0,0x333dfff1,0x33333333,
    0x55ef6413,0xffffcaaa,0x013ffa02,0xc806ffc8,0xffffffff,0xffc801ef,
    0xffffffff,0xf904ffff,0xfff900bf,0xffffd303,0x1bffffff,0xffffe980,
    0x03ffffff,0x87ff9800,0x206ffffb,0xf84fffff,0xfd8004ff,0x7fec007f,
    0x7ec00005,0xff90005f,0xffffffff,0xf909ffff,0xffffffff,0xd89fffff,
    0xffffffff,0xffffffff,0xffffff06,0xffffffff,0x3ffffe07,0xffffffff,
    0xffffc83f,0xffffffff,0x3f6004ff,0x3ffe005f,0x7ffd8004,0x40027ffc,
    0xff907ffd,0xffffffff,0x4009ffff,0xd8005ffd,0xffffffff,0xffffffff,
    0x3fffff26,0x02ffffff,0x90027ff4,0x36a00dff,0x0ceffffe,0xfffff900,
    0xffffffff,0x17ff209f,0x817ffe20,0xffffffea,0x7f5c002f,0x01deffff,
    0x0bffa000,0x407ffff7,0x4c4ffffc,0xb8001fff,0x36001fff,0x400005ff,
    0x90005ffd,0xffffffff,0x09ffffff,0xfffffff9,0x9fffffff,0xffffffe8,
    0xffffffff,0xffff06ff,0xffffffff,0x3ffe07ff,0xffffffff,0xffc83fff,
    0xffffffff,0x2004ffff,0xf3005ffd,0xf70003ff,0x3ffe63ff,0xfffb8001,
    0xfffffc81,0xffffffff,0x3ff6004f,0xfffe8005,0xffffffff,0x326fffff,
    0xffffffff,0xffe801cf,0x1bff2004,0x00066200,0x7fffffe4,0xffffffff,
    0x00bff904,0x1007fff2,0x00015773,0x00013310,0x50266200,0x4c01ffff,
    0x7e43ffff,0xff10007f,0x7fec009f,0x7ec00005,0xff90005f,0xffffffff,
    0xf909ffff,0xffffffff,0xe89fffff,0xffffffff,0xffffffff,0xffffff06,
    0xffffffff,0x3ffffe07,0xffffffff,0xffffc83f,0xffffffff,0x3f6004ff,
    0xfff9005f,0x3ffe2000,0x000fff94,0x3213ffe2,0xffffffff,0x04ffffff,
    0x0017ff60,0x3ffffffa,0xffffffff,0x5d5446ff,0x74001abc,0x3f2004ff,
    0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06aaa000,0x0000aaa6,
    0x0001e64c,0x09bdb951,0xa882aa98,0x800000aa,0x2002aaaa,0x000a600a,
    0x33332200,0x56544002,0x80000100,0xa801aaaa,0x2aa981aa,0x015554c0,
    0x2600a800,0x05553002,0x40015551,0xcca82cc8,0x1dd98000,0x82cc8800,
    0x54000cca,0xcccccccc,0x654002cc,0xcccccccc,0x5cc4002c,0x801bcded,
    0xdeeecba8,0xcca800ac,0xcccccccc,0x00330002,0x00000d44,0x80003300,
    0x3ee4fff9,0xd00001ff,0x2e0005ff,0x07ffffff,0xa86fff44,0x00002fff,
    0x00efffc8,0xf505ffd0,0x440000df,0x4004fffe,0x44fffffb,0xb00002fa,
    0x3001bfff,0x7fdc9fff,0x7fec401f,0x7f40005f,0x06ffa82f,0x50dffe88,
    0xf0005fff,0x00ffd0df,0x01ffff10,0xfd0dff00,0xfff7000f,0x7fffffff,
    0xffffb800,0x03ffffff,0xfffffd30,0x103dffff,0xfffffff9,0xf700dfff,
    0xffffffff,0xffb8007f,0x7fcc03ff,0x4000002f,0x003ffffb,0x377ffa20,
    0x00000eff,0x2000fff3,0xfffffffb,0xeffd8807,0x0002fffc,0x04fffc80,
    0x217ffe60,0x0001fffd,0x02fffe88,0x7ffffdc0,0x5ffdcfff,0xfffd8000,
    0x7ff44003,0x000effdd,0x0017ffee,0x6c2fffcc,0xd8801fff,0x2fffceff,
    0x9dffb000,0x000bfff9,0x005ffff5,0xf99dffb0,0xf7000bff,0xffffffff,
    0xffb8007f,0xffffffff,0xffffb803,0xffffffff,0x7ffffd43,0x6fffffff,
    0xfffffb80,0x003fffff,0x3ffbbfea,0x1fffee02,0xffa80000,0x0002ffee,
    0x3bffffa2,0x3f200000,0xff98004f,0x02999dff,0x3fffff60,0xfc800001,
    0xff8002ff,0x0fffb84f,0x7ff44000,0xdfd8000e,0xfffffd50,0xffb0000d,
    0x3a20003d,0x000effff,0x005ffe98,0xf709fff0,0x7ec001ff,0x0001ffff,
    0x3fffffa2,0xf98000ef,0x88001fff,0xeffffffe,0x00000000,0x36000000,
    0x9aceffff,0x223ffcba,0x99adffff,0x005dba99,0x3fe00000,0xf981ff23,
    0x00000fff,0x3fe47ff0,0x3bb62000,0x2200000d,0xd8000fff,0x80000fff,
    0x0001deec,0x00deea80,0x5c079300,0x7440002d,0x017b64ff,0x7bfb7038,
    0xeeb80001,0x6c40000c,0x20000dee,0x8003eec8,0x0b6e03c9,0x077bb200,
    0x7ff5c000,0x7e40003e,0x75c0004f,0x00003eff,0x00000000,0x17fffdc0,
    0xffe8ae20,0x0000001f,0x07fc4000,0x7dc01ff1,0x800000ff,0x3fe20ff8,
    0x00000000,0x017fee00,0x002fffc0,0x00000000,0x00000000,0x82662000,
    0x00005ff8,0x00000000,0x00000000,0x00000000,0x00000000,0x00220000,
    0x00000000,0x00000000,0x07bffe20,0x0fffe200,0x00000000,0xff317fc0,
    0x007ff880,0x98bfe000,0x0000007f,0x17ff4000,0x17ffcc00,0x00000000,
    0x00000000,0xb8000000,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x64c00000,0xa8001ccc,0xcccccccc,0x42cccccc,
    0x0001fffc,0x0003fff5,0x66666640,0xcccccccc,0xbbffd801,0x7fcc05fe,
    0x36000005,0x05febbff,0x99999930,0x99999999,0xfa800599,0xff70006f,
    0x332a000f,0x09abcccc,0x332a0000,0xcccccccc,0x33326003,0x8000001c,
    0x260007fe,0x0001cccc,0x00009993,0x33333332,0x1ccccccc,0x99999990,
    0x39999999,0x33333320,0xcccccccc,0xcccccb81,0x200009ac,0xcccccccc,
    0x01cccccc,0x99999999,0x03999999,0x07333260,0x7ffe4000,0xffc8005f,
    0xffffffff,0x3e24ffff,0x2e0005ff,0x00002fff,0x3ffffffe,0x3fffffff,
    0xffffe880,0x3ffa600e,0x22000000,0x00effffe,0xffffff70,0xffffffff,
    0xfd8009ff,0xff90003f,0x3ff2000d,0xffffffff,0xfe80001d,0xffffffff,
    0x3ff2006f,0x200005ff,0xffefecb9,0x3ff20005,0xf70005ff,0xf00001ff,
    0xffffffff,0x207fffff,0xffffffff,0x03ffffff,0xffffffff,0x07ffffff,
    0xfffffffd,0x8005dfff,0xffffffff,0x03ffffff,0xffffffff,0x07ffffff,
    0x17ffff20,0x7fffc000,0x7e4000ff,0xffffffff,0x2e4fffff,0x20001fff,
    0x0005fff9,0x3fffffe0,0xffffffff,0x0f32e003,0x005ffff0,0x332e0000,
    0x7ffdc003,0xffffffff,0x004fffff,0x0003ffe2,0x8002ffec,0xfffffffc,
    0x004fffff,0x3ffffe60,0x06ffffff,0x3fffffe0,0x7ec40000,0xffffffff,
    0xffff0002,0xf70001ff,0xf00001ff,0xffffffff,0x207fffff,0xffffffff,
    0x03ffffff,0xffffffff,0x07ffffff,0xfffffffd,0x01bfffff,0x3fffffe0,
    0xffffffff,0xffffff03,0xffffffff,0x3fffe007,0x540000ff,0x02ffffff,
    0x555554c0,0xaaaaeffe,0x01fff21a,0x17fffe00,0x67ffc000,0xaaaaaaaa,
    0x000000aa,0x00001bff,0x26000000,0xcccccccc,0xffffcccc,0x13ff2002,
    0x04fff800,0x55dff900,0xffffd955,0x3ff20005,0x9999dffe,0xfff50009,
    0x40005fff,0xfffffffa,0x004fffff,0x7fffffd4,0xfffb8002,0xfff80000,
    0xaaaaaaac,0xfff00aaa,0x55555559,0x3fe01555,0xaaaaaacf,0xfe80aaaa,
    0xecbaaadf,0x803fffff,0xaaaacfff,0x00aaaaaa,0x55559fff,0x01555555,
    0xffffff50,0xffc80005,0x0005ffec,0xb00bffb0,0x50000dff,0x007dffff,
    0x002fff80,0x401665c0,0x00013cca,0x372a2000,0x003ceffe,0xbfff3000,
    0x01fff800,0x00fffe00,0x502ffe40,0x8001ffff,0x4ffceff8,0x67fe4000,
    0x10005ffe,0x2217ffff,0x02ffffff,0x3fb3ff20,0xffb8005f,0xff80000f,
    0xff80002f,0xff80002f,0x7f40002f,0x3ff6204f,0x7ffc00ff,0xfff80002,
    0x7e400002,0x005ffecf,0x7dd7ffc0,0xd80000ff,0xffe805ff,0xff700005,
    0x0019ffff,0x0005fff0,0xb803ffe8,0x2cc986ff,0x066f76dc,0x7ffffe40,
    0x03ffffff,0x7fff4000,0x1bfea000,0x54ccccc0,0x9999bfff,0x2ffe4009,
    0x007ffee0,0xff97ff70,0xfff80009,0x000fffba,0x5c1fffd8,0x07fffbff,
    0x3eebffe0,0x7dc000ff,0xf80000ff,0xf80002ff,0xf80002ff,0x740002ff,
    0xffa804ff,0x17ffc05f,0x17ffc000,0x3ffe0000,0x000fffba,0x3e6fff50,
    0xd80002ff,0xfff805ff,0x3a600004,0x1dffffff,0x00bffe00,0x007ffd00,
    0xff70dff7,0x3ffffa69,0x7ec01fff,0xffffffff,0x00002fff,0x8005fff9,
    0xf9802ffe,0xffffffff,0x05ffffff,0x2602ffe4,0x74003fff,0x04ffc8ff,
    0x4dffea00,0x4c002fff,0x7fe82fff,0x5005fff7,0x3ffe6fff,0x7ffdc002,
    0xfff80000,0xfff80002,0xfff80002,0x7ff40002,0x3fff9004,0x0017ffc0,
    0x0017ffc0,0x26fff500,0x90002fff,0x2fff4bff,0x2ffec000,0x00fffe20,
    0x3ffaa000,0x800dffff,0x40002fff,0xfb803ffe,0x9cffb86f,0xffffffff,
    0x33f600ff,0x3ff2209a,0x4c0000ff,0x4c005fff,0xff3007ff,0xffffffff,
    0x80bfffff,0x7c405ffc,0x3e6003ff,0x009ff95f,0xfd2ffe40,0xffc800bf,
    0x3a5ff886,0xffc805ff,0x0017ffa5,0x0001fff7,0x0005fff0,0x0005fff0,
    0x0005fff0,0x1004ffe8,0x7fc0bfff,0xff80002f,0x3200002f,0x17ffa5ff,
    0x917ffc00,0x80001fff,0x7c405ffd,0x000004ff,0x3fffff66,0x17ffc02f,
    0x0fffa000,0x2e1bfee0,0x0cfffeff,0x409fffd5,0x5fff9001,0xfffe8000,
    0x1ffec000,0xccccc880,0xccccfffe,0x7fe403cc,0x17ffcc05,0x325ffb00,
    0x3e0004ff,0x3fff22ff,0x0fff6000,0xffc8bfee,0x22fff807,0x2000fffc,
    0x0000fffb,0x0002fff8,0x0002fff8,0x0002fff8,0xb0027ff4,0x7ffc0fff,
    0xfff80002,0x3fe00002,0x03fff22f,0x41fff500,0x0002fff9,0x7c02ffec,
    0x000005ff,0xfffffc88,0x00bffe00,0x007ffd00,0xff70dff7,0x3f603fff,
    0xf880007f,0x320004ff,0x44002fff,0x40000fff,0x20006ffd,0x7e405ffc,
    0xff1000ff,0x0027fe4f,0x260fffa8,0x3e002fff,0x47fe82ff,0x7d407ffb,
    0x3ffe60ff,0x3ffee002,0xfff80000,0xfff80002,0xfff80002,0x7ff40002,
    0x3ffee004,0x005fff00,0x005fff00,0x83ffea00,0x4002fff9,0xfff85ffc,
    0x7fec0005,0x06ffe805,0x3a200000,0x3fe06fff,0x7f40002f,0x6ffb803f,
    0x01ffffb8,0x0001ffea,0x8002ffec,0x8005fff9,0x80005ffb,0x20005ffe,
    0x3ea05ffc,0x3ee004ff,0x013ff24f,0x7c2ffe40,0xff1005ff,0x45ff883f,
    0x3200fffa,0x5fff85ff,0x03ffee00,0x0bffe000,0x0bffe000,0x0bffe000,
    0x09ffd000,0x80fffd40,0x80002fff,0x00002fff,0xfff0bff9,0x3fff800b,
    0x0007ffc8,0x6c02ffec,0x000007ff,0x00fffe80,0x9999bfff,0x20999999,
    0xfb803ffe,0x2fffb86f,0x007ffcc0,0x02ffe400,0x00fffe80,0x001fff80,
    0x004fff80,0x267bff20,0xefffda99,0x87ffa000,0xcccceffc,0x1fffc02c,
    0x8803ffe4,0x7fdc1fff,0x007ffcc2,0xff907fff,0x7ffdc00f,0xfff80000,
    0xcccccccd,0x3ffe04cc,0xcccccccd,0x3ffe04cc,0xcccccccd,0x9ffd04cc,
    0x17ffcc00,0xcccdfff8,0x04cccccc,0x33337ffe,0x04cccccc,0x7e41fffc,
    0x3fea007f,0x2fffa80f,0x17ff6000,0x00ffff20,0xff500000,0x3fffe05f,
    0xffffffff,0x07ffd07f,0xf70dff70,0xfff100df,0x95531003,0x0bffd999,
    0x05fff900,0x00dff500,0x07fff100,0x7fffe400,0xefffffff,0x1bfea000,
    0xfffffff9,0x7ffd409f,0x02fffa80,0x742fff88,0x07ffa87f,0x2a03ffea,
    0xf7002fff,0xf00001ff,0xffffffff,0x7c0fffff,0xffffffff,0x3e07ffff,
    0xffffffff,0xfd07ffff,0x7fc4009f,0xfffff03f,0xffffffff,0x7ffffc0f,
    0xffffffff,0x03ffea07,0x400bffea,0x3fe06ffc,0x3f60005f,0xfff8805f,
    0x40000006,0xff02fff9,0xffffffff,0x3fa0ffff,0x6ffb803f,0x8806ffb8,
    0x32201fff,0xffffffff,0x4c005fff,0xb0005fff,0x300007ff,0x40003fff,
    0xfffffffc,0xd8001dff,0x7ffe43ff,0x204fffff,0x3fe06ffc,0x7fff005f,
    0x7dc2ffc4,0x1bff206f,0x7005fff8,0x00001fff,0xffffffff,0x40ffffff,
    0xffffffff,0x207fffff,0xffffffff,0xd07fffff,0x7c4009ff,0xffff03ff,
    0xffffffff,0x7fffc0ff,0xffffffff,0x1bff207f,0xf005fff8,0x7fec07ff,
    0x3ff60007,0x7fffb005,0x54000000,0xfff00fff,0x33333337,0x3ffa0333,
    0x86ffb803,0xf8806ffb,0xfff701ff,0xffffffff,0xfe800bff,0xf98000ff,
    0xf500007f,0x640001ff,0xffeccfff,0x7c4001ef,0x6ffe40ff,0x20099999,
    0x3f603fff,0xbffd007f,0x7ec17fdc,0x0fffe05f,0x7007ffd8,0x00001fff,
    0x33337fff,0x40333333,0x9999bfff,0x20199999,0x9999bfff,0xd0199999,
    0x7cc009ff,0x7fff03ff,0x33333333,0x5fffc033,0x99999999,0x0fffe019,
    0xa807ffd8,0x3ea01fff,0xfb0002ff,0x3fea00bf,0x002004ff,0x037ff440,
    0x80005fff,0xfb803ffe,0x06ffb86f,0xa81fff88,0x809bffff,0x2e005ffc,
    0x90002fff,0x200009ff,0x40007ffb,0x7f445ffc,0x3ee000ff,0x04ffc84f,
    0x00fffd40,0x7005fff5,0x1ffa1fff,0x540fffe2,0x3ea01fff,0xffb802ff,
    0xff80000f,0xff80002f,0xff80002f,0x7f40002f,0x3fea004f,0x05fff02f,
    0x05fff000,0x1fffa800,0x00bffea0,0xf880dff9,0xfb0005ff,0x7fe400bf,
    0xb980adff,0x5003793e,0x7c07fffd,0x740002ff,0xffb803ff,0x806ffb86,
    0xff81fff8,0x7fe400ef,0xbfff3005,0x3ffe2000,0xff900000,0xffc8000d,
    0x05ffe885,0x3207ffe0,0x7e4004ff,0x7ffc406f,0xefff8805,0xffd85ff9,
    0x01bff206,0x700bfff1,0x00001fff,0x00005fff,0x00005fff,0x80005fff,
    0x2e004ffe,0xfff01fff,0xfff00005,0xffc80005,0x2fffc406,0x333bffe0,
    0xffcccccc,0xffb0007f,0xfffc800b,0xfffeffff,0xffffd3ff,0xfffddddd,
    0xfff809ff,0x7ff40002,0x86ffc804,0xf8806ffb,0x7ffc41ff,0x05ffc802,
    0x001fffd0,0x0017fee0,0x005ffd80,0xa82ffe40,0xfa802fff,0xd99999ff,
    0x7fc004ff,0xccccccef,0x007fffcc,0x5ffdfff9,0x202fffd8,0xccccefff,
    0x7fffcccc,0x00fffb80,0x02fff800,0x02fff800,0x02fff800,0x027ff400,
    0x7c0fffb0,0xf80002ff,0x7c0002ff,0xccccceff,0x07fffccc,0x3fffffea,
    0xffffffff,0xfd8002ff,0xffc8005f,0xffffffff,0xffffd3ff,0xffffffff,
    0x5fff009f,0x5ffd8000,0x437ffdc0,0xf8806ffb,0x7ffd41ff,0x05ffd801,
    0x002fffb8,0x000bffa0,0x003fff80,0xd02ffe40,0xffb00dff,0xffffffff,
    0x7fd4009f,0xffffffff,0x02ffffff,0x9fffffd0,0x0bffffb9,0x7fffffd4,
    0xffffffff,0x7fdc02ff,0xff80000f,0xff80002f,0xff80002f,0x7f40002f,
    0xfff1004f,0x017ffc0b,0x017ffc00,0xfffff500,0xffffffff,0x3f205fff,
    0xffffffff,0x4fffffff,0x05ffd800,0xfffd7100,0x5c379dff,0xfffffffd,
    0x3e002dff,0x640002ff,0x3fea07ff,0x6ffb86ff,0x41fff880,0x2202fff9,
    0x4c05fffe,0x20005fff,0x00006ffa,0x000bffe6,0x540bff90,0x3e202fff,
    0xffffffff,0x32004fff,0xffffffff,0xffffffff,0xfffb1004,0x7fffffff,
    0xfffffc80,0xffffffff,0x7dc04fff,0xf80000ff,0xf80002ff,0xf80002ff,
    0x740002ff,0xffb004ff,0x17ffc05f,0x17ffc000,0xffff9000,0xffffffff,
    0x3e09ffff,0xaaaaadff,0xffeaaaaa,0x5ffd8007,0x7ffc4000,0x2e662001,
    0xf8001fff,0x540002ff,0xffb84fff,0xffb86fff,0x1fff8806,0x4077ffc4,
    0x05fffffb,0x0007fff4,0x0007ffb0,0x007ffe40,0x017ff200,0x7e40dfff,
    0xccccccef,0x3e004ffe,0xaaaaadff,0xffeaaaaa,0x7ffe4007,0x800defff,
    0xaaaadfff,0xfeaaaaaa,0x7ffdc07f,0xfff80000,0xfff80002,0xfff80002,
    0x7ff40002,0x6fffa804,0x0017ffc0,0x0017ffc0,0x555bfff0,0xd5555555,
    0xfff30fff,0x7ffd4003,0x2ffec002,0x1bfea000,0x07ffa800,0x005fff00,
    0x9dfffd00,0xff5dffd9,0x00dff70d,0xfb03fff1,0xffb99fff,0x40bffbff,
    0x0002fffb,0x0003ffe2,0x037ffcc0,0x02ffe400,0x7c0bffee,0x3ff202ff,
    0x3fff3004,0x17ffd400,0x353ffd00,0x1fff9800,0x0bffea00,0x000fffb8,
    0x002fff80,0x002fff80,0x002fff80,0x2027ff40,0x401ffffc,0x80002fff,
    0x30002fff,0x54003fff,0x7fe42fff,0x7ffc4007,0x2ffec004,0x13ff2000,
    0x04ffb800,0x005fff00,0xfffff500,0xff31dfff,0x00dff70d,0xf103fff1,
    0xffffffff,0x20bff51d,0x999efff8,0x99999999,0x013ff209,0x7edd5c40,
    0x80002fff,0x7c405ffc,0x7ffa86ff,0x8027fe40,0x44007ffc,0xf1004fff,
    0x7e40009f,0x7fc4007f,0x3ffee04f,0xfff80000,0xfff80002,0xfff80002,
    0x7ff40002,0x7ff5d4c4,0xfff802ff,0xfff80002,0xfff90002,0x4fff8800,
    0x40027ffc,0xff907ffd,0xffffffff,0x2009ffff,0x20001ffe,0xf0002ffd,
    0xffffffff,0x407fffff,0x4fffffe8,0x3ee1bfe2,0xfff8806f,0xffff9101,
    0x2ffcc7df,0xffffffd8,0xffffffff,0x07ffe6ff,0x7fffc400,0x00005fff,
    0xf900bff9,0x4ffd83ff,0x777ffe40,0x3fe0eeee,0xffd8004f,0x05ff7007,
    0x027ffc00,0x703ffec0,0xffffffff,0x03ffffff,0x3ffffffe,0x3fffffff,
    0xfffffff0,0x7fffffff,0x3fffffe0,0xffffffff,0xfffffe83,0xffffffff,
    0xfffff001,0xffffffff,0x3fffe07f,0xffffffff,0x13ffe3ff,0x99fff600,
    0xb8001fff,0xffc81fff,0xffffffff,0x8804ffff,0x7c0007ff,0xff0000ff,
    0xffffffff,0x2007ffff,0xfb8001a9,0xfff8806f,0x00198801,0x3fffffa0,
    0xffffffff,0xdff56fff,0x7ffc4000,0x00003fff,0x22017ff2,0x3fe25fff,
    0x7ffe400f,0x30ffffff,0x70003fff,0xfd003fff,0x7fcc000f,0xffb8001f,
    0xffff701f,0xffffffff,0x3ffe03ff,0xffffffff,0xfff03fff,0xffffffff,
    0x3fe07fff,0xffffffff,0xfe83ffff,0xffffffff,0x3e000cff,0xffffffff,
    0xf03fffff,0xffffffff,0x267fffff,0xb8001fff,0xfff91fff,0x3ffe2000,
    0xfffffc84,0xffffffff,0x4ee9804f,0x13ba2000,0xfffff800,0xffffffff,
    0x0000003f,0x00000000,0x3ffffa00,0xffffffff,0x3316ffff,0xcba80001,
    0xc800001a,0xff9005ff,0x017ff23f,0x3ffffff2,0xfff90fff,0x3ffe2000,
    0x00099804,0x001fff20,0xb827ffc4,0xffffffff,0x01ffffff,0xffffffff,
    0x07ffffff,0x3ffffffe,0x3fffffff,0xfffffff0,0x7fffffff,0xdfffffd0,
    0x200059bd,0xffffffff,0x03ffffff,0xffffffff,0x27ffffff,0x10007ffc,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00732e00,0x3cca8000,
    0x00e65c00,0x76441997,0x00002cef,0x000f332e,0x10073320,0x00059999,
    0x32e0f2e0,0x20f2e003,0x32e003cb,0x2003cb83,0x1bcedca8,0x0e64c000,
    0x009abc80,0x20b32e00,0xccb83cca,0x33bb2a20,0x300d4002,0x332a0005,
    0xca800002,0xcc880ccc,0x000002cc,0x54005ed8,0x2000a601,0x0100aca8,
    0x01665400,0x99950000,0x7ec40019,0x2000000c,0x0000fff8,0x3f63cca8,
    0x3ff2002f,0x3ffd02ff,0x3fffffee,0x640000df,0x0000efff,0x9802fff8,
    0x0002fffe,0x3e20ffc8,0x3ff2004f,0x8013fe20,0x3fe20ffc,0xffff9004,
    0x001bffff,0x03ffff30,0xdfffff88,0xffe88002,0x203bfee3,0xfff31ffe,
    0x200bffff,0xffb83ffe,0x7ffdc006,0x2a00003f,0x2601efff,0x0002fffe,
    0x017fe200,0xfb83ffe8,0x3fee006f,0x17d44fff,0x7fffdc00,0xfa800003,
    0x74001eff,0x00005fff,0x0017fea0,0xf8b7fe40,0xffb000ff,0xfd05ffff,
    0xfffff93f,0x0009ffff,0x0027ffe4,0x005fff00,0x00bfff62,0x99fff500,
    0x54005fff,0xfffccfff,0x3ffea002,0x402fffcc,0xffffffe8,0x000effff,
    0x01ffffdc,0x3fffffe2,0x744001ef,0x0effcdff,0xff53ffd0,0xdfffffff,
    0x3fffd401,0x8017fffc,0x3ffffffb,0xfffa8000,0xffd8800d,0x7000002f,
    0x3ea005ff,0xffff87ff,0xffffa802,0xffdcefff,0x7ffdc006,0x00003fff,
    0x0037ffea,0x01ffffe0,0xc806dcc0,0x900002ff,0x17feadff,0x5477fec0,
    0x7ff42fff,0xf912effe,0x90003fff,0x20005fff,0xfffffffc,0xb807ffff,
    0x40002fff,0x5ffffffd,0xffffd800,0xfd8005ff,0x805fffff,0x510bfffd,
    0x8009fff9,0x803ffffb,0xffffedcb,0x7f44002f,0x3a00efff,0x0bfffdff,
    0x407fffd5,0xfe86fff9,0xffb801ff,0x03fff99e,0x0fffea00,0x0bffee00,
    0x1ffa0000,0x86fff980,0xd801fffe,0xfffb89df,0x2000efff,0xff99effb,
    0xfa80003f,0x3a0003ff,0x98005fff,0xfff00fff,0x3f200001,0x005ff96f,
    0xff98bffb,0x3ffffa2f,0x3fff880d,0x077fe400,0xffff9000,0xffffffff,
    0x0bffe600,0xdffd7000,0x7f5c0007,0x2e0003ef,0xa803effe,0x3fa02fff,
    0x7f44006f,0xd98000ef,0x4001ffff,0x400effe8,0x80effffe,0x5c06ffe8,
    0x3ed880de,0x20effb80,0x8003ffe8,0x0001fffa,0x000bffe6,0x7f7f65cc,
    0x6f5c005f,0x003ed880,0xdfd91032,0x7fdc0019,0x0fffa20e,0x1fffa800,
    0x77fcc000,0xfff98001,0x005ff980,0x7dbff200,0x1998807f,0x7f433310,
    0x7fec05ff,0x00ccc004,0x77775c00,0x5eeefffe,0x00666200,0x00000000,
    0x40000000,0x7dc05ffc,0x2a8000ff,0xfffb8000,0x09988006,0x0efffe80,
    0x007ffea0,0x19980000,0x00033310,0x00001333,0x88003331,0xfffffffd,
    0x000002ff,0x00000000,0x4cc40666,0x26660001,0x00600000,0x80fff980,
    0x00000998,0x04cdbff2,0x3fa00000,0x7fe400ef,0x00000005,0x002fff80,
    0x00000000,0x00000000,0x0fffa000,0x000fff50,0xff900000,0x8000005f,
    0xf800fffe,0x000003ff,0x00000000,0x80000000,0xfffffffa,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x0fff9800,0x32000000,0x000006ff,
    0x401fff40,0x00006ffb,0xfff80000,0x00000002,0x00000000,0x3e000000,
    0x7ff402ff,0x00000005,0x005fff88,0x1fff4000,0x004ffe80,0x00000000,
    0x00000000,0x7fffc400,0xfffff10b,0x0000005f,0x00000000,0x00000000,
    0x00099800,0x001fff30,0x7fe40000,0xca980006,0x3a1bdeee,0xffb803ff,
    0x3b2a6006,0x1001bdee,0xf59bdb75,0x2a2005ff,0x3ceffedc,0x802ccb80,
    0x2a203cca,0x3ceffedc,0xeeca8800,0x3fe202cd,0xfffb101f,0x76544003,
    0x40002cde,0x51006ffe,0x4059bdd9,0xfb003ffe,0x059970bf,0x97079950,
    0x79950059,0x50059970,0x59970799,0xd8799500,0x7fdc1fff,0x2007fffb,
    0x2cdeecb9,0x3b2e6000,0x20002cde,0x2cdeecb9,0x3b2e6000,0x40002cde,
    0xccb806ff,0xccfffdcc,0x04cccccc,0x6f765cc0,0x0006ffdb,0x3fffffa2,
    0xffd2ffff,0x0dff7007,0xfffffd10,0xb805ffff,0xffffffff,0xfc802fff,
    0xffffffff,0x3ffa03ff,0x06ffb803,0xfffffff9,0x2007ffff,0xfffffffa,
    0xfff880ef,0x2fffe981,0x3fffea00,0x000effff,0x500fffb0,0xffffffff,
    0x07ffd01d,0x3a1bff20,0xffb803ff,0x803ffe86,0xffe86ffb,0x86ffb803,
    0xfb803ffe,0x0bffe66f,0x7ffddffa,0xffffc802,0x001effff,0x7fffffe4,
    0x64001eff,0xffffffff,0x7fe4001e,0x1effffff,0x07ff8800,0xffffffd8,
    0xffffffff,0xfd3007ff,0xffffffff,0x3ee000df,0xffffffff,0x07ffd2ff,
    0xb80dff70,0xffffffff,0xfb102fff,0xffffffff,0xfb005fff,0xffffffff,
    0x3fa05fff,0x6ffb803f,0xffffffb0,0x05ffffff,0xeeffffc8,0x442fffff,
    0x7fcc1fff,0x3f2001ff,0xfffeefff,0xfe8002ff,0x7ffe405f,0xfffffeef,
    0x801fff42,0xffe85ffc,0x86ffb803,0xfb803ffe,0x03ffe86f,0xfe86ffb8,
    0x6ffb803f,0x3e21bff2,0x817ffa5f,0xffffffe9,0x803fffff,0xffffffe9,
    0x803fffff,0xffffffe9,0x803fffff,0xffffffe9,0x003fffff,0x6c03ffc4,
    0xffffffff,0xffffffff,0xffffc807,0xffffffff,0xfffb8006,0xf9330acf,
    0x200fffa5,0x3ee06ffb,0x330acfff,0x3ffa05f9,0xf93109cf,0x9fb005ff,
    0x7fe44135,0x3ffe80ff,0xb06ffb80,0x6441359f,0xf900ffff,0xffa819ff,
    0x3ffe20ff,0x0077ff41,0x819fff90,0x000ffffa,0xc813ffe6,0x7d40cfff,
    0x3ffa0fff,0x09ffb003,0xf7007ffd,0x07ffd0df,0xfd0dff70,0xdff7007f,
    0x7007ffd0,0x1ffecdff,0xff917fdc,0x3fffe20f,0x3ffee61b,0x3ffe201f,
    0x3fee61bf,0x3fe201ff,0x3ee61bff,0x3e201fff,0x2e61bfff,0x2001ffff,
    0x98807ff8,0x9fffa999,0x19999999,0x577ffe40,0x1bffae60,0x3dfff100,
    0x0fffa100,0x441bfee0,0x0801efff,0x401fffb8,0x01802fff,0xd05fff90,
    0xff7007ff,0x7e40060d,0xfff882ff,0x93ffe202,0x3e21fff8,0x3e2001ff,
    0x3fe202ff,0xffa8804f,0xfff100ff,0x27ffc405,0x3a007ffd,0x3ffe83ff,
    0xe86ffb80,0xffb803ff,0x803ffe86,0xffe86ffb,0x26ffb803,0x7fe82fff,
    0xfc83ffdc,0x3fe602ff,0x3fff206f,0x1bffe602,0x202fffc8,0x3206fff9,
    0x3e602fff,0xf51006ff,0x3e6000ff,0x220000ff,0x7e404fff,0x7fec006f,
    0x7ff4001f,0x06ffb803,0x0003fffb,0x200fffe2,0x00002fff,0x3a13ffe2,
    0xffb803ff,0x7fc40006,0x05ffc84f,0xf10fffb8,0x7ffd43ff,0x17ff2000,
    0x103ffee0,0xffffffff,0x02ffe407,0xfe87ffdc,0xfff8803f,0x803ffe81,
    0xffe86ffb,0x86ffb803,0xfb803ffe,0x03ffe86f,0xff16ffb8,0x45ff883f,
    0x7cc0fffa,0xffb803ff,0x3fff982f,0x82fffb80,0xb803fff9,0xff982fff,
    0xfffb803f,0x3fffae02,0xff30007f,0x7ec0001f,0x6ffc806f,0x13ffe600,
    0x00fffa00,0x3e61bfee,0x2e0004ff,0xff800fff,0x6c00002f,0x3ffe85ff,
    0x006ffb80,0x445ffd80,0xf8801fff,0x3fff11ff,0x801fffc4,0x8801fff8,
    0x7fc41fff,0x202effff,0x8801fff8,0x7ffd1fff,0x01fff900,0xf7007ffd,
    0x07ffd0df,0xfd0dff70,0xdff7007f,0x7007ffd0,0x3ffe2dff,0x2617fdc1,
    0x7fe40fff,0x17ffa007,0xe801fff2,0x7ffc85ff,0x217ffa00,0x3a007ffc,
    0xffe985ff,0x000fffff,0x000fff98,0x005fff10,0x5400dff9,0xe8000fff,
    0xffb803ff,0x00fffa86,0x017ff200,0x00017ffc,0x3a17ff20,0xffb803ff,
    0xffc80006,0x007ffcc5,0xff12fff8,0x2ffff83f,0x00fff980,0xf885fff0,
    0x9801bdff,0xff000fff,0x00fffa5f,0x3a07fff1,0xffb803ff,0x803ffe86,
    0xffe86ffb,0x86ffb803,0xfb803ffe,0x85fff16f,0x7ffa87fe,0x2004ffd8,
    0xffd86ffc,0x1bff2004,0xc8013ff6,0x4ffd86ff,0x21bff200,0xaabefffe,
    0xfff30002,0x3fea0001,0x0dff9007,0x003ffe40,0xb803ffe8,0x7ffc86ff,
    0x27fec000,0x002fff80,0x666554c4,0xfe85ffec,0x6ffb803f,0xccaa9880,
    0x5c5ffecc,0xaaaaafff,0xfffaaaaa,0xa83fff14,0x5c03ffff,0xaaaaafff,
    0xfffaaaaa,0x000fff84,0x2aabffee,0xfaaaaaaa,0x19ffd4ff,0x81bffea0,
    0xfb803ffe,0x03ffe86f,0xfe86ffb8,0x6ffb803f,0xb803ffe8,0x8fffe6ff,
    0xffb85ff8,0x003ffe86,0x3fa1ffee,0x3fee003f,0x003ffe87,0x3fa1ffee,
    0x3fee003f,0x01fffdc7,0x1fff3000,0x1bfee000,0x0037fe40,0x2000bffb,
    0xfb803ffe,0x05ffd86f,0x01fff400,0x1002fff8,0xfffffff9,0xfd0bffff,
    0xdff7007f,0x7fffe440,0x5fffffff,0x7fffffe4,0xffffffff,0x3fff14ff,
    0x1bffff70,0x3fffff20,0xffffffff,0xfff84fff,0x3fff2000,0xffffffff,
    0xfd4fffff,0xdb99bfff,0x7403ffff,0xffb803ff,0x803ffe86,0xffe86ffb,
    0x86ffb803,0xfb803ffe,0xb97ffa6f,0x5ffd82ff,0x2002fff8,0x7fc0fffa,
    0x3fea002f,0x017ffc0f,0xf81fff50,0x3ea002ff,0x1bff60ff,0xfff30000,
    0x3ff20001,0x0dff9005,0x002fff40,0xb803ffe8,0x5ffe86ff,0x17ffc000,
    0x802fff80,0xfffffffb,0x85ffffff,0xfb803ffe,0xffff706f,0xffffffff,
    0xffffc8bf,0xffffffff,0xff14ffff,0x3ffea03f,0xfffc80ef,0xffffffff,
    0xf84fffff,0x7fe4007f,0xffffffff,0xd4ffffff,0xffffffff,0xe801bfff,
    0xffb803ff,0x803ffe86,0xffe86ffb,0x86ffb803,0xfb803ffe,0x43ffee6f,
    0xfff887fe,0x017ffc43,0x441fff50,0x2a002fff,0x3fe20fff,0x3fea002f,
    0x0bffe20f,0x20fffa80,0x00005ffe,0x0007ffcc,0x9005ffd8,0x7ec00dff,
    0xffd0006f,0x0dff7007,0x8000dffb,0xff003fff,0xfffa805f,0xffc809bf,
    0x803ffe85,0xffa86ffb,0xfc809bff,0x4f7fdc5f,0x99999999,0xff109999,
    0x7ff4403f,0x9effb86f,0x99999999,0xff809999,0x77fdc007,0x99999999,
    0xfd099999,0xdfffffdf,0x3ffa005b,0x86ffb803,0xfb803ffe,0x03ffe86f,
    0xfe86ffb8,0x6ffb803f,0x3e7bffe2,0x06ffd85f,0x54005fff,0x2fff87ff,
    0x21ffea00,0x2a002fff,0x2fff87ff,0xf1ffea00,0x80000bff,0x0000fff9,
    0x3200bffb,0x3f2006ff,0x0000007f,0x00fff900,0x003ffe80,0xff805fff,
    0x7fe400ef,0x803ffe85,0xfff86ffb,0x2ffe400e,0x0001ffea,0xb003fff1,
    0xffa87fff,0x33200007,0x3ffd4004,0x4fffa000,0xfd000198,0xdff7007f,
    0x7007ffd0,0x7ffd0dff,0xd0dff700,0xff7007ff,0xfefffc8d,0x17ffec2f,
    0x2003ffe8,0xffe86ffb,0x1bfee003,0xb800fffa,0x3ffe86ff,0xd1bfee00,
    0x80000fff,0x0000fff9,0x3200dff9,0x3ee006ff,0x000000ff,0x0fffb800,
    0x13ff6000,0x80bfff20,0xc802fff8,0x4ffe85ff,0x446ffc80,0xfc802fff,
    0x07ffcc5f,0x3fff1000,0x8bfff100,0x0000fff9,0x7fcc0000,0x3fa0000f,
    0xfd00003f,0xdff9009f,0x9009ffd0,0x9ffd0dff,0xd0dff900,0xff9009ff,
    0xfffffd0d,0xbffffb99,0x002ffec0,0xffb09ffd,0x27ff400b,0xd002ffec,
    0xbffb09ff,0x227ff400,0x0001fffc,0x003ffe60,0x403ffdc0,0x2006fff9,
    0x0005fff9,0x8017ba60,0x0005fff9,0xf701fff2,0x7d405fff,0xffd801ff,
    0x405ffd85,0x7d46fffb,0xffd801ff,0x027ffc45,0x03fff100,0xf11bff20,
    0x000009ff,0x4fff8800,0x0fffa000,0x2ffec000,0x21bffee0,0x7dc05ffd,
    0x5ffd86ff,0x437ffdc0,0x7dc05ffd,0xffd886ff,0xffffffff,0x0fffe403,
    0x417ffcc0,0x9801fffc,0xffc82fff,0xfff9801f,0x01fffc82,0x4c2fff98,
    0x0000ffff,0x003fff10,0x807ffea0,0x006fffe8,0x0017ffec,0x004ffb80,
    0x0017ffec,0x502fffa8,0x405fffff,0x2202fff9,0xfc85fffe,0x3ffea07f,
    0x17ffcc6f,0x0bfffd10,0x0003fff9,0x4007ffe2,0xffc85ffc,0xeb80001f,
    0xfffc8003,0x7ffd0001,0x3ff20000,0x3fffea07,0x207ffc86,0xc86ffffa,
    0x3fea07ff,0x7ffc86ff,0x1bfffea0,0xffffffc8,0xff8800de,0x7ff4405f,
    0x0bfff106,0x106ffe88,0xe880bfff,0xfff106ff,0x6ffe880b,0x05dfff90,
    0x17ffe000,0x04fff800,0x0dffffd1,0xcffff980,0xd8039300,0x7cc002ff,
    0x9300cfff,0x41fffd03,0xffeeffb8,0x3bffe202,0xfffffb80,0x84fffa85,
    0x46fffffb,0xb80efff8,0x885fffff,0x1003ffff,0x400fffc4,0xf883fffa,
    0x01003fff,0x8009fff9,0x003ffff8,0x001fff41,0x84fffa80,0x86fffffb,
    0xfb84fffa,0xfa86ffff,0xfffb84ff,0xfffa86ff,0xfffffb84,0x2a7ffa06,
    0xfff70001,0xfffd101b,0x6fffdc03,0x1fffe880,0x037ffee0,0x807fffa2,
    0x880dfffb,0x3601fffe,0x19beffff,0x7fffb000,0xfff90040,0xfdffea87,
    0xffb8006f,0xfecdefff,0x7ffc02ff,0xfffb8000,0xffecdeff,0xffffb82f,
    0xd8efffdd,0x7fec02ff,0xfffdccff,0xfd05ffdf,0xffd99dff,0xfb0dff5d,
    0xffb99fff,0x20bffbff,0xcdeffffb,0x24fedccb,0x3aa1fff8,0x6fffedcc,
    0x3bfffee0,0xfedccbcd,0x07ffff84,0xeffffb80,0xfedccbcd,0x000fffa4,
    0xcefffe80,0xffaeffec,0x9dfffd06,0xff5dffd9,0x3bfffa0d,0xfaeffecc,
    0xdfffd06f,0xf5dffd99,0x13fe20df,0x7fff4000,0xfffeccef,0xfffe804f,
    0xfffeccef,0xfffe804f,0xfffeccef,0xfffe804f,0xfffeccef,0xfffc804f,
    0x8007ffff,0xcdeffff9,0x3e607fdc,0xffecefff,0x006ffaaf,0xfffffd50,
    0x405fffff,0x20005ff9,0xffffffea,0xf902ffff,0x1dffffff,0xf100bff6,
    0xffffffff,0x20bff51d,0xfffffffa,0x86ff98ef,0xfffffff8,0x5ffa8eff,
    0x3ffffaa0,0x4fffffff,0xfb87ffe2,0x1effffff,0x7ffff540,0x4fffffff,
    0x006fffe8,0xfffffd50,0x49ffffff,0x00003ffe,0x3fffffea,0x6ff98eff,
    0xffffff50,0xdff31dff,0x3ffffea0,0xff98efff,0xfffff506,0xff31dfff,
    0x00bfee0d,0x7ffec400,0x2fffffff,0xffffb100,0x05ffffff,0x3ffff620,
    0x02ffffff,0xfffffb10,0x005fffff,0x7fffff4c,0xfff70007,0x0fffffff,
    0xffffff98,0x0dff32ff,0xfffeb800,0x200bdfff,0x80003ffa,0xffffffeb,
    0x3fae00bd,0x3f60beff,0xffc8802f,0x3e63efff,0x3ffa205f,0x3fe24fff,
    0xffff9106,0x2ffcc7df,0x3fffb220,0x22deffff,0x3ee1fff8,0x003effff,
    0x3ffffb22,0xa82defff,0x20002fff,0xfffffec8,0x3fa2deff,0x4400003f,
    0x24fffffe,0x3a206ff8,0x224fffff,0x3fa206ff,0x3e24ffff,0x3ffa206f,
    0x3fe24fff,0x000ffd06,0xffffd500,0x500019df,0x9dfffffd,0xffd50001,
    0x0019dfff,0xfffffd50,0x2200019d,0x0007eedb,0x3fffff22,0xfd9805ff,
    0x3e61cfff,0x2200006f,0x00000099,0x01331000,0x00013100,0x00033100,
    0x0000d4c0,0x00000cc4,0x004cd4c4,0x00099880,0x13353100,0x00015100,
    0x099a9880,0x40000000,0x300001a9,0x26000035,0x5300001a,0x02660003,
    0x33100000,0x19880000,0x0cc40000,0x06620000,0x00000000,0x0004ccc0,
    0x00000198,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x16666440,0x59970000,0x50079950,0x00005999,0x003cca80,
    0x033332a0,0x01665400,0x66654000,0x300d400c,0x66540005,0x95000002,
    0x32201999,0x00002ccc,0x2f7bb2a6,0x97104ca9,0x179ddfdb,0x073b7260,
    0x200e65c0,0x800a601a,0x0100aca8,0x00599500,0x99995000,0x200b32e1,
    0x95002ccb,0x19993079,0xcb800000,0xa800002c,0xcccdffdc,0x5001cccc,
    0xcc883999,0x6d4000cc,0xfe98000c,0x100002ff,0x7fdc7ffd,0xffe8800e,
    0x00ee621f,0x017ff200,0x0f7ffd40,0xffffb800,0x3ea00003,0x7f401eff,
    0x06ffb83f,0x3ffffb80,0x7fd40000,0x7f4c01ef,0x540002ff,0xffffffff,
    0x7e445fff,0xffffffff,0xffffa82f,0x7fd404ff,0x41fff406,0xfb806ffb,
    0x7d44ffff,0x3ffee002,0x2a00003f,0x3fa1efff,0x4ffd803f,0x4bffb100,
    0x4401fffa,0x01ceffdc,0x0007ffd0,0x7ffff4c0,0xffffffff,0xfffa802f,
    0x0ffff444,0x1bffea00,0x7ffec400,0xfd100002,0x01dff9bf,0x6f7ffcc0,
    0x0005fffe,0x8005ffc8,0x000dfffa,0xffffff70,0xff500007,0xffa801bf,
    0x2ffff87f,0x3fffee00,0x500003ff,0x2001bfff,0x002fffd8,0xffffff90,
    0x8bffffff,0xfefffffe,0x7cc2ffff,0x1fffedff,0x403fff10,0xff87fffa,
    0x3fea02ff,0xdcefffff,0xff7006ff,0x0007ffff,0x81bfff50,0xfd803ffe,
    0x7fec004f,0x401fffbe,0xfffffffb,0x3ffe804f,0xfff30000,0xffffb9df,
    0x9805ffff,0x7f444fff,0xfd8001ef,0x20002fff,0x0002fffb,0xdffffd10,
    0x3f2a2001,0xffffffff,0xffc80005,0x7ffd4005,0x3fee0003,0x03fff99e,
    0x0fffea00,0x437ffcc0,0x7001fffe,0xfff33dff,0xffa80007,0xff70003f,
    0xffd8005f,0x3ae609df,0x3fff25ff,0x41b9880c,0x3fee2ffd,0x809ff905,
    0xfe86fff9,0x37f601ff,0xfffffb89,0xffb800ef,0x03fff99e,0x0fffea00,
    0x6c01fff4,0xfd8004ff,0x5401ffff,0xffffffff,0x7ff403ff,0xfe880003,
    0xfffc81ef,0x3e20099c,0xeffd84ff,0xfff90000,0xf980003f,0x100002ff,
    0x2001dffd,0xfffffff9,0x000abdff,0x005ffc80,0x0007ffea,0x220effb8,
    0xa8003ffe,0x5c001fff,0x3ed880de,0x41dff700,0x0003ffe8,0x0003fff5,
    0x002fff98,0xc807fff3,0x13ffe5ff,0x7c37fc00,0x06ff987f,0xb101bd70,
    0x8819007d,0x800cefec,0x3a20effb,0xfa8003ff,0x3ffa01ff,0x04ffd803,
    0x03fffb00,0x21effe88,0x200fffea,0x80003ffe,0x3601fffb,0xfe8806ff,
    0x05ffd84f,0x2fffcc00,0x19988000,0x26620000,0x3ffe6000,0x01fffeef,
    0x2ffe4000,0x00133300,0x31019980,0x33300033,0x00000001,0x4c406660,
    0x33300019,0x26200001,0xbffb0019,0x22bff900,0x88002fff,0x0ffd84ff,
    0x0000fff4,0x00000000,0x33101998,0x13330003,0x803ffe80,0x20004ffd,
    0xffa80099,0x1fffb81f,0x000fffa0,0x3017ff20,0x98803fff,0x00333019,
    0x000aa200,0x00000000,0x21bd9800,0x0006fff9,0x002ffe40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0fffcc00,0xff2ffe40,0xff30009f,
    0x641ffb0b,0x000004ff,0x00000000,0x00000000,0xfb007ffd,0x0000009f,
    0x7c41ffee,0x3ffa03ff,0xffe80003,0x17ffc403,0x00000000,0x00000000,
    0x00000000,0x001fffdc,0x00bff900,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0fff7000,0xfd97ff20,0x22000dff,0x27fe87ff,0x0000eff9,
    0x00000000,0x00000000,0x007ffd00,0x00009ffb,0x81bff200,0x3fa02fff,
    0xfe80003f,0x7ffc404f,0x00000001,0x4c000000,0x02cdeecb,0x3b72e200,
    0x000bceef,0xffffd973,0x765cc003,0x45ffdbde,0x2cefeda8,0x005ef6d4,
    0x3fb72e20,0x1000bcee,0x9ddfdb97,0x32a20017,0x0002cdee,0x59bdd951,
    0x3b2a2000,0x10002cde,0x059bdd95,0xc8037fe4,0x3ffe25ff,0xe800bdff,
    0x93fee2ff,0x44002ffe,0xceffedca,0x372a2003,0x003ceffe,0x3ffb72a2,
    0x2a2003ce,0x3ceffedc,0xb007ffd0,0x530009ff,0x037bddd9,0xf301fff7,
    0x7ff401ff,0x33bb2a23,0x037fec02,0x3001ffea,0x059bdd97,0x3b2a6000,
    0x2001bdee,0xfffffffc,0x322001ef,0xffffffff,0x7fd402ff,0x5fffffff,
    0xffffe980,0x25ffffff,0xfffffff9,0xfffffb3f,0xff91001d,0xffffffff,
    0xfffc8805,0x2fffffff,0xfffffa80,0x2000efff,0xfffffffa,0x3ea000ef,
    0xefffffff,0x3ffea000,0x80efffff,0xf9005ffd,0xfffe98bf,0x2a02dfff,
    0xfffeefff,0x800bff70,0xfffffffc,0x6403ffff,0xffffffff,0x7e403fff,
    0xffffffff,0x7fe403ff,0xffffffff,0x01fff43f,0x10027fec,0xfffffffd,
    0xfff985ff,0x406ffe83,0xfff33ffe,0x540bffff,0xff103fff,0x7fe400bf,
    0x1effffff,0xfffd1000,0x05ffffff,0xfffffe98,0x03ffffff,0xdfffffd0,
    0x405fffff,0xfffffffc,0x3201ffff,0xffffffff,0x3ea5ffff,0xffffefff,
    0xfffefffe,0xffffe806,0x2fffffef,0x7fffff40,0x02fffffe,0x777fffe4,
    0x802fffff,0xfeeffffc,0xc802ffff,0xffeeffff,0xfc802fff,0xfffeefff,
    0x27ff42ff,0x705ffc80,0xdffffffd,0x3ffff205,0x1fff31ff,0xffffd800,
    0xffffffff,0x3ffff602,0xffffffff,0x3ffff602,0xffffffff,0x3ffff602,
    0xffffffff,0x200fffa2,0xf7004ffd,0xffffffff,0xfffd05ff,0x03fffa21,
    0xff55ffd0,0xdfffffff,0x33fffa01,0x1ffff511,0xffffd300,0x7fffffff,
    0xffffb800,0x2fffffff,0x2ffffe20,0x3fffee61,0x67ffe401,0xb01b9880,
    0x2237bfff,0xf906ffe9,0x5cc15bff,0x2faa5ffe,0x77fffe40,0x403fff10,
    0x880cfffc,0x3ff201b9,0x1b9880cf,0x033fff20,0x401ffff5,0x540cfffc,
    0x3200ffff,0x7d40cfff,0x3f200fff,0x7fd40cff,0x17ff60ff,0x202ffe40,
    0xffffffc9,0x17bb9303,0x40017ff4,0x2209acfd,0xb00ffffc,0x6441359f,
    0xfb00ffff,0x7e441359,0x9fb00fff,0x7fe44135,0x07ffd0ff,0x7009ffb0,
    0x2159ffff,0xfa82fc99,0xffffbdff,0xfdffe802,0xffd50bff,0x3fff607f,
    0xffffffff,0xffff8802,0x3ffee61b,0xfff7001f,0x3266159f,0x3fff202f,
    0x1bffe602,0x0009fff0,0x7027ffcc,0xff983fff,0x2ffe403f,0x7fffc401,
    0xf027fdc1,0xf00009ff,0x880009ff,0x3e202fff,0xfff104ff,0x27ffc405,
    0x202fff88,0xf104fff8,0x7fc405ff,0x017ff24f,0x3002ffe4,0x001ffffb,
    0x0005ffb8,0x3fff2003,0x3f200302,0x200302ff,0x0302fffc,0x74bfff20,
    0xffd803ff,0x77ffc404,0xffb00801,0x001dffff,0x03bffffa,0x2a1bffa2,
    0xfffffeff,0xf9000dff,0x7fcc05ff,0xfff8806f,0xf300801e,0xff7007ff,
    0x3ffe205f,0x3ffa0002,0x27ffc405,0x32017ff6,0x3fa005ff,0x07ff986f,
    0x0005fff1,0x002fff88,0x402ffe40,0xfc80fffb,0xfffb805f,0x805ffc80,
    0xfc80fffb,0xfffb805f,0x300dff90,0x7000bfff,0x44007fff,0x00000fff,
    0x027ffc40,0x13ffe200,0x9fff1000,0xfff88000,0xd009ffd4,0xffd809ff,
    0x7d40001f,0x4003ffff,0x200efffe,0x7fc1fffa,0x1359551f,0x1fffcc00,
    0x017ffdc0,0x0007fff6,0x400fff90,0x3fe05ffe,0xff50004f,0xfff9003f,
    0x400fffcc,0x32005ffc,0x7ff884ff,0x0013ffe0,0x0013ffe0,0x801fff88,
    0x7c41fff8,0xff8801ff,0x0fffc41f,0x20fffc40,0x8801fff8,0xfff71fff,
    0x7fffc403,0x9fff0005,0x01ffec00,0xffd80000,0xffd80005,0xffd80005,
    0xffd80005,0xc80bffd5,0x3e604fff,0x5c0004ff,0x81ffffff,0x7ff42aa8,
    0x3fff800f,0x0001ffe2,0x2007ffc8,0x3e605ffe,0xd80004ff,0x3f2004ff,
    0x3fff606f,0x7fe4000d,0x3fff3006,0x6401ffea,0x3ee005ff,0x01fff04f,
    0x0037fff6,0x0dfffd80,0x0fff9800,0x985fff00,0xff000fff,0x0fff985f,
    0x985fff00,0xff000fff,0x13ffe25f,0x2fffff44,0x1fffcc00,0x005ffb80,
    0x3ff20000,0xffc80005,0xffc80005,0xffc80005,0x201fffd5,0x205ffffb,
    0x0000fffa,0x3ffffff2,0x37fdc0ef,0x7400fffa,0x3ffea4ff,0xffb00001,
    0x37fe4009,0x001fff50,0x007ffd00,0xf103ffdc,0x017bffff,0x2009ffb0,
    0xff72fff8,0x17ff200d,0xffdaaa98,0xffaaaaad,0xffff101f,0x880017bf,
    0x0bdfffff,0x55fff700,0x55555555,0xffb89fff,0xaaaaaaaf,0x44fffaaa,
    0xaaaafffb,0xffaaaaaa,0x57ffdc4f,0xaaaaaaaa,0x3f24fffa,0x7ff542ff,
    0x01535ffe,0x003fffd0,0x4c41fff1,0xa988000a,0xffecccca,0xcaa98805,
    0x05ffeccc,0xcccaa988,0x8805ffec,0xeccccaa9,0x9fffd5ff,0xffffff90,
    0x01fff201,0xb4fffb80,0xffd8bfff,0x801fff46,0x3fe65ffd,0xaaaabdff,
    0x7ffd0009,0x03ffdc00,0x0000fff9,0xa800bffe,0x3a600fff,0x2dffffff,
    0x8013ffa0,0xbffb3fff,0x117ff200,0xfffffff9,0xffffffff,0x7f4c03ff,
    0x02dfffff,0x3ffffa60,0x7e402dff,0xffffffff,0x4fffffff,0x7fffffe4,
    0xffffffff,0x7ffe44ff,0xffffffff,0x644fffff,0xffffffff,0xffffffff,
    0x3bfffe64,0xfbaffffc,0x9bdff75f,0xffffb999,0x8fff6009,0x01effffc,
    0xfffffc88,0x05ffffff,0x3fffff22,0x05ffffff,0x3fffff22,0x05ffffff,
    0x3fffff22,0xd5ffffff,0xfbbdffff,0xffff1dff,0x00bffb0b,0x3a2fffc0,
    0x3ffa4fff,0x801fff45,0x7fec6ffc,0xffffffff,0x3fe02eff,0x3fea002f,
    0x0bffb00f,0x5fff1000,0x07ffd400,0x7ffff5c0,0xfff82eff,0x53ffa003,
    0xf9004ffe,0x7fffc4bf,0xffffffff,0x1fffffff,0xffffeb80,0x2e002eff,
    0xeffffffe,0xfffff902,0xffffffff,0xffc89fff,0xffffffff,0x44ffffff,
    0xfffffffc,0xffffffff,0x7fffe44f,0xffffffff,0x7d44ffff,0x2fffffff,
    0x3feebff7,0xffffffff,0xff5004ff,0x7fffff4d,0x3fee00ff,0xffffffff,
    0xff705fff,0xffffffff,0x3ee0bfff,0xffffffff,0xf705ffff,0xffffffff,
    0x3fabffff,0xffffffff,0x0ffff90e,0x2000bffd,0x7c40fffb,0x9fff2fff,
    0x9003ffe8,0xfffb0bff,0xffffffff,0xfff10bff,0x7ffd4005,0x00bffd00,
    0x00bffe00,0x4007ffa8,0xffffffc9,0x0027ffc3,0x3ff67fff,0x4bff9005,
    0x2e1dfffc,0x400003ff,0xffffffc9,0x7fe4c003,0xfb83ffff,0x999999ef,
    0x09999999,0x4ccf7fdc,0x99999999,0x77fdc099,0x99999999,0x5c099999,
    0x99999eff,0x99999999,0xefffd980,0x4d7ff21c,0xfffffffd,0xf1001cff,
    0x37fee3ff,0x505ffd99,0x0137ffff,0xff50bff9,0xf90137ff,0xffff50bf,
    0xbff90137,0x37ffff50,0x3abff901,0xffffdaff,0xd87ffc83,0xf90006ff,
    0x3ffea0df,0x742fff9f,0xffb003ff,0xbcfffa89,0xfffecccc,0x2fff84ff,
    0x81ffea00,0x00006ffd,0x5c007ffd,0x260006ff,0x360ffffd,0xff1005ff,
    0x017ff27f,0xff8affe4,0x04ffb83f,0x3f660000,0x30000fff,0xa81ffffb,
    0x500007ff,0x20000fff,0x00007ffa,0x0000fff5,0x7fe40660,0x9aa99885,
    0x3ffd8000,0xff883ffa,0x01dfff07,0xff85ffc8,0x7fe400ef,0x00efff85,
    0x7fc2ffe4,0x7fe400ef,0x2625ffd5,0xfc809801,0xffb0007f,0x7fffdc0b,
    0x7ff40fff,0x47fff003,0xa802fffa,0xffe87fff,0x1bfee003,0x0007ffc8,
    0x400bffb0,0x80004ffe,0x3f23fffb,0xfff3006f,0x201bff23,0xff35fff9,
    0x09ff701f,0xff700000,0xfb80007f,0x7ffcc3ff,0xff980000,0xf980000f,
    0x980000ff,0x00000fff,0x02ffe400,0xdff50000,0xffe85ff8,0x017ffc40,
    0x3e22ffe4,0xffc802ff,0x017ffc45,0x3e22ffe4,0xffc802ff,0x0007ffd5,
    0x007ffdc0,0x202fff40,0x84fffffd,0xf8803ffe,0x17ff61ff,0x41fffc80,
    0x3a005ffd,0x3fee04ff,0xfc80000f,0xff9801ff,0xff00002f,0x17ffdc9f,
    0xf53ffec0,0x7fc403ff,0x0dff55ff,0x0001bff2,0x027ffc00,0x227ffc00,
    0x0004fff8,0x004fff88,0x04fff880,0x4fff8800,0x64000000,0x774c05ff,
    0x3ffa2005,0x3217fe21,0x7ffd41ff,0x45ffd801,0xd801fffa,0x7ffd45ff,
    0x45ffd801,0xd801fffa,0x07ffd5ff,0x7ffcc000,0x7ffc8005,0x7ffff440,
    0x803ffe81,0x3fe0fffc,0x3fea003f,0x0fffe40f,0x017ffcc0,0x000bfff3,
    0x80bfff10,0x0006ffe8,0x447fff30,0x7cc06fff,0x3ffe23ff,0xffffd104,
    0x2a1ffe6b,0x0001ffff,0x1fffcc00,0x3ffe6000,0x01fffc83,0x1fffc800,
    0xfffc8000,0xffc80001,0x0000001f,0xf7017ff2,0x7fe4009f,0xfd87ff84,
    0x17ffcc0f,0x8bfffd10,0x2202fff9,0x7cc5fffe,0x3fa202ff,0x7ffcc5ff,
    0x3fffa202,0x0007ffd5,0x02fffd80,0x01fffdc0,0x20bfffea,0x7c403ffe,
    0x3ffe23ff,0x1bff6004,0x1017ffe2,0xfb00dffd,0x700005ff,0xd101bfff,
    0x54c03fff,0x1fffe800,0x4077ffdc,0x640ffffa,0x7f542fff,0xff15ffdf,
    0x7fffcc3f,0x260100ef,0xfffe800a,0xe800a981,0xff881fff,0x201003ff,
    0x003ffff8,0x3fffe201,0x3e201003,0x01003fff,0x05ffc800,0x98017fec,
    0x1fff06ff,0x7c437fc4,0xffb80eff,0x7fc45fff,0xfffb80ef,0x7ffc45ff,
    0xffffb80e,0x77ffc45f,0xfffffb80,0x0007ffd5,0xcffff980,0x3e239300,
    0xff903fff,0xfe83ffff,0xfff500cf,0x07fffd0d,0x03fffd88,0x101bfff7,
    0x3003fffd,0x2019ffff,0x7ff401c9,0xffecceff,0x7fdc04ff,0xfdccccde,
    0xffd04fff,0xffdb9bff,0xfff303ff,0x5ffff9df,0x7ff4bff5,0xf9effdcf,
    0xfccbceff,0x9bdff703,0xffffb999,0x37bfee09,0xfffdcccc,0x3ffee04f,
    0xdccbcdef,0x3fee04fe,0xccbcdeff,0x3ee04fed,0xcbcdefff,0x2e04fedc,
    0xbcdeffff,0x004fedcc,0x202ffe40,0xfd000fff,0x3bff203f,0xb03ffeab,
    0xfb99ffff,0x0bffbfff,0xb99ffffb,0xbffbffff,0x99ffffb0,0xffbffffb,
    0x9ffffb0b,0xfbffffb9,0x00fffabf,0x3ffee000,0xffecdeff,0x3fffea2f,
    0xffffecef,0x3a0effff,0xdccdffff,0xa81ffffe,0xcdefffff,0x4ffffecc,
    0x77ffff40,0x4ffffecc,0x3fffee00,0xfffecdef,0x7ffec402,0x2fffffff,
    0xfffffb80,0x4fffffff,0x7ffffec0,0x202fffff,0xfffffffa,0x54bff52f,
    0x0effffff,0xfffffff5,0x3ffee07f,0xffffffff,0x3ffee04f,0xffffffff,
    0xffea804f,0xffffffff,0x7ff5404f,0xffffffff,0x7ff5404f,0xffffffff,
    0x7ff5404f,0xffffffff,0x7e40004f,0x17fe605f,0x1027fe40,0xbffffffd,
    0x7ffffc40,0xfa8effff,0xffff885f,0xa8efffff,0xfff885ff,0x8effffff,
    0xff885ffa,0xefffffff,0xffd5ffa8,0x2a000007,0xfffffffe,0x7fdc2fff,
    0xffffffff,0x25fffd8c,0xfffffffe,0x200dffff,0xfffffffa,0x03ffffff,
    0xfffffd88,0x002fffff,0xfffffea8,0x002fffff,0xdfffffd5,0x3f660019,
    0xffffffff,0xffd5001c,0x2007ffff,0x1cefffd9,0xff517fe6,0xfda81bff,
    0x301effff,0xfffffffb,0xd98039ff,0xffffffff,0x322001cf,0xfffffffe,
    0xec8802de,0xefffffff,0xfec8802d,0xdeffffff,0xffec8802,0x2defffff,
    0x2ffe4000,0x3007ff50,0xd8801fff,0x8803ffff,0x3efffffc,0x64417fe6,
    0x23efffff,0xf9105ff9,0x4c7dffff,0xff9105ff,0x7cc7dfff,0x007ffd5f,
    0xffeb8000,0x80bdffff,0xeffffec8,0x3fffa21d,0x3fffae64,0x2002ceff,
    0xffffffda,0xea8003de,0x0cefffff,0x7ff5c000,0x00bdffff,0x00019880,
    0x09aa9988,0x04d44000,0x00033000,0x9a9800cc,0x2a662000,0x3100009a,
    0x00013553,0x0266a620,0x33531000,0xa9880001,0x44000099,0x000099a9,
    0x00000000,0x80004c00,0x10000198,0x22000033,0x31000019,0x00000003,
    0x01331000,0x00003300,0x20000198,0x40000098,0x00000198,0x00002662,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc800000,0x3deeb984,0x05654400,
    0x10665c08,0x0059dfd9,0x33320000,0x32000000,0x199950cc,0x0e664400,
    0x32e0f2e0,0x332a0003,0x6666441c,0x2cccc880,0x95000000,0x66641999,
    0x00cccccc,0x97079700,0xaca88007,0x99100100,0x99999999,0xcccccc80,
    0x64400ccc,0x4ccccccc,0xca880000,0x2200100a,0x02cdeeca,0x541665c0,
    0x500003cc,0x00019999,0x01999950,0xca82ccb8,0x32a0003c,0x06a0002c,
    0x3fe00298,0x3ffffa27,0xfb800dff,0x7d44ffff,0x7dc7ffa2,0x0dffffff,
    0x3e600000,0x9999007f,0x98199999,0x3ffe67ff,0x3ffee004,0x107fe400,
    0x2a0009ff,0x7f444fff,0x3fa601ff,0x000002ff,0x20f7ffd4,0xffffffff,
    0xff90001f,0x0027fc41,0x89fffff7,0x7fc402fa,0xffffffff,0x3ffffe00,
    0x4401ffff,0xffffffff,0x7dc00007,0x7d44ffff,0x7fffd402,0x000effff,
    0x7dc7ffd1,0xa80000ef,0x0001efff,0x01efffa8,0x2e3ffe88,0x70000eff,
    0x0007ffff,0xff707ffd,0x23ffe00d,0xfffffff9,0x7fd406ff,0xdcefffff,
    0x27ffa6ff,0xfffffffc,0x000004ff,0x7c013ff2,0xffffffff,0x3a27fe41,
    0x3fa007ff,0xfffa805f,0x002fffcc,0x444fff98,0x8801effe,0x0002fffd,
    0x1bfff500,0xfffffff0,0x2a0003ff,0xfffccfff,0xffff5002,0xffb9dfff,
    0xffff880d,0x00ffffff,0x3ffffffe,0x7fc401ff,0x07ffffff,0x3ffea000,
    0xfdceffff,0x3fff206f,0xfffffeef,0xbffd1002,0x0001dff9,0x01bfff50,
    0xbfff5000,0x7ff44001,0x000effcd,0xffffff70,0x7ffd4007,0x02ffff87,
    0xfffafff8,0x3ffff70b,0x5c4efec0,0x0effffff,0x3bffbffa,0x3ffff912,
    0x02664c00,0x7c007ffa,0xffffffff,0x2e0fff41,0xf9802fff,0xffb002ff,
    0x000bffff,0xfb09fff1,0xfb8001df,0x400002ff,0x2603fffa,0xfffa9999,
    0x3ff60001,0x2005ffff,0xffb89dfd,0x000effff,0x33330000,0x003fff53,
    0xff733333,0x7ec0000f,0xffffb89d,0xff900eff,0xfffa819f,0xffd1000f,
    0x00001dff,0x0007fff5,0x00fffea0,0x7ffff440,0xff70000e,0x07fff33d,
    0x21bffe60,0xf801fffe,0x881effff,0x06405fff,0x033bfb22,0x01bffffd,
    0x4007fff1,0xf100fffb,0x4ccc00df,0x21fffa99,0xff886ff8,0x7ffc805f,
    0x77ff5c00,0xffe88003,0x005ffd84,0x00bffe60,0x0fffd400,0x0fffc400,
    0x3ffae000,0x40c8003e,0x00cefec8,0x44000000,0x50001fff,0x80000fff,
    0x77f6440c,0x5fff100c,0x027ffc40,0x01dffd10,0x3fff5000,0x3fea0000,
    0x7440001f,0x70000eff,0x7f441dff,0x1bd7003f,0x2007db10,0x200effff,
    0x00006ffc,0x017fffa0,0x5c009ffb,0xff500fff,0xff880007,0x40ffea1f,
    0x7c00fffd,0x000004ff,0x20333100,0x88000199,0x30000199,0x22000133,
    0x00001fff,0x00000000,0x88000000,0x50001fff,0x00000fff,0xbff90000,
    0x01fff700,0x0004cc40,0x00099980,0x00266600,0x004cc400,0x22033300,
    0x00000199,0x07fffe00,0x000dff70,0x077ff400,0x8017ff20,0x3100fffb,
    0xff100003,0x300cc43f,0x7cc07fff,0x000001ff,0x00000000,0x00000000,
    0x0fffc400,0x00000000,0x00000000,0x0fffc400,0x07ffa800,0x40000000,
    0x8801fff8,0x00001fff,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0x5eea802f,0x3fa00000,0x6ffb803f,0x03ffee00,0x3e200000,0xfe8001ff,
    0x1bff206f,0x00000000,0x00000000,0x20000000,0x0001fff8,0x00000000,
    0x7765cc00,0xf10002cd,0x500303ff,0x00000fff,0xfff98000,0x05fff000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00017ffc,0xa802ccb8,
    0x07ffd3cc,0x400dff70,0x0000fffb,0x1fff8800,0x1fffb800,0x8007fff0,
    0x2cdeecb9,0x00b32e00,0x3200f32a,0xcccccccc,0x8332e000,0x02cefec8,
    0x007ffe20,0x99999990,0x65c00199,0x3bfb220c,0x3ff2002c,0x1effffff,
    0x0fffc400,0xff500dd5,0x6640000f,0x0ccccccc,0x557ffdc0,0xaaaaaaaa,
    0xcca84fff,0xcccccccc,0x3201cccc,0xdeeb984c,0x99999003,0x80019999,
    0xeeb984cc,0x9999003d,0x00199999,0xccccccc8,0xff8000cc,0xfd00002f,
    0xdff7007f,0x2e00fffa,0x3ee006ff,0x000000ff,0x001fff88,0xa84fff88,
    0x32000fff,0xffffffff,0x3ffe801e,0x806ffb80,0xffffffff,0x3ffa001f,
    0xffffff71,0xff1001bf,0xfff8003f,0x01ffffff,0x7dc7ffa0,0x0dffffff,
    0x3ffffa60,0x3fffffff,0x27ffe200,0xa806ffea,0x200007ff,0xffffffff,
    0x7ffe401f,0xffffffff,0xb84fffff,0xffffffff,0x02ffffff,0xffe89ffe,
    0x400dffff,0xffffffff,0x3ffc001f,0xffffffd1,0xffff801b,0x001fffff,
    0x7ffffffc,0xff8001ff,0xfd00002f,0xdff7007f,0x2e00fffa,0x3ee006ff,
    0x000000ff,0x001fff88,0xfb0fffb0,0x3fa600bf,0xffffffff,0x7ff403ff,
    0x06ffb803,0xfffffff8,0x3fa001ff,0xfffffc9f,0x8804ffff,0x7c001fff,
    0xffffffff,0x27ffa001,0xfffffffc,0xfff104ff,0x7fdcc37f,0xff1001ff,
    0x09ffffff,0x000fff50,0x7fffffc0,0x7e401fff,0xffffffff,0x4fffffff,
    0xffffffb8,0xffffffff,0x263ffe02,0xffffffff,0x7fffc06f,0x001fffff,
    0x7fcc7ffc,0x6fffffff,0x7fffffc0,0x7c001fff,0xffffffff,0x2fff8001,
    0x7ffd0000,0x3adff700,0xffb803ff,0x3ffee006,0x88000000,0x50001fff,
    0x7fc45fff,0xfff8802f,0x3fee61bf,0x3ffa01ff,0x06ffb803,0xfa999998,
    0x3fa001ff,0x912effef,0x8803ffff,0x4c001fff,0xfffa9999,0x3bffa001,
    0xff912eff,0xfff903ff,0x37ffcc05,0xfffff880,0xff5001df,0x4cc0000f,
    0x1fffa999,0x4cf7fdc0,0x99999999,0x99880999,0x99999999,0x3e00efff,
    0x0bfffaff,0x403ffff7,0xffa99999,0x7ffc001f,0xf70bfffa,0x4cc03fff,
    0x1fffa999,0x4ccccc00,0x8001fffa,0x00002fff,0xf7007ffd,0x00fffadf,
    0xb801bfee,0x00000fff,0x01fff880,0xa97ffa00,0xff9007ff,0x7ffcc05f,
    0x00fffa06,0x4001bfee,0x2001fff8,0x80dffffe,0x4403fff8,0x80001fff,
    0x2001fff8,0x80dffffe,0x7cc3fff8,0xffb803ff,0x7ff5402f,0x54001dff,
    0x000007ff,0x200fffc4,0x00007ffa,0x1fffd800,0x77ffffc0,0x05fff881,
    0x00fffc40,0x3bffffe0,0x05fff881,0x00fffc40,0x0fffc400,0x017ffc00,
    0x03ffe800,0xffd6ffb8,0x0dff7007,0x007ffdc0,0x7fc40000,0x3ee0001f,
    0x09ffd0ff,0x007fff30,0x3a05fff7,0xffb803ff,0xfff10006,0x7fff4003,
    0x027fec05,0x0007ffe2,0x007ffe20,0x405fffe8,0x7fe44ffd,0x17ffa007,
    0x7fffff54,0xfff50002,0x02efea80,0x00fffc40,0x0003ffe6,0xfffb8000,
    0xeffff803,0x01bff200,0x003fff10,0x00effff8,0x1001bff2,0x00003fff,
    0x0003fff1,0x00005fff,0x2e00fffa,0x07ffd6ff,0x400dff70,0x0000fffb,
    0x1fff8800,0x3ffe2000,0x801fff9b,0x3a007ffc,0x7ffd05ff,0x00dff700,
    0x007ffe20,0x400effe8,0x7c405ffc,0x880001ff,0x3a001fff,0x7e400eff,
    0x027fec5f,0xe98dff90,0x1fffffff,0x0fff5000,0x0fffffcc,0x03fff100,
    0x004fff88,0xfff30000,0x3fffe00b,0x037fdc01,0x007ffe20,0x803ffff0,
    0x44006ffb,0x80001fff,0x8001fff8,0x00002fff,0xf7007ffd,0x00fffadf,
    0xb801bfee,0x00000fff,0x01fff880,0x5f7fec00,0xffb006ff,0x37fe4009,
    0xb803ffe8,0xf10006ff,0x7f4003ff,0x6ffb803f,0x00fffc40,0x0fffc400,
    0x007ffd00,0xffe8dff7,0x1ffee003,0xff5bfffb,0x3ea0003f,0x3fff207f,
    0x3e2004ff,0xffc801ff,0x4000001f,0x2006ffe8,0xea802fff,0x7fc4005e,
    0x7ffc001f,0x05eea802,0x00fffc40,0x0fffc400,0x017ffc00,0x03ffe800,
    0xffd6ffb8,0x0dff7007,0x007ffdc0,0x7fc40000,0x7d40001f,0x003fffff,
    0x5c007ffd,0x7ffd07ff,0x00dff700,0x007ffe20,0xb803ffe8,0x7fc406ff,
    0xf880001f,0x3fa001ff,0x6ffb803f,0x50017ffc,0x6fec1fff,0x003fff11,
    0xc81ffea0,0x005fffff,0x2007ffe2,0x003ffff8,0xfffb0001,0x17ffc001,
    0x3e200000,0x7fc001ff,0x4000002f,0x0001fff8,0x001fff88,0x0002fff8,
    0x7007ffd0,0x0fffadff,0x801bfee0,0x0000fffb,0x1fff8800,0xffff8000,
    0xfff000ff,0x7ffd4005,0x803ffe80,0x10006ffb,0x74003fff,0xffb803ff,
    0x0fffc406,0x7ffc4000,0x0fffa001,0xf89bfee0,0x3ea002ff,0xf10720ff,
    0x2a0003ff,0x3fea07ff,0x22002fff,0xf7001fff,0x979bdfff,0x8009fdb9,
    0x4002fffb,0x00002fff,0x00fffc40,0x000bffe0,0x3fff1000,0xfff10000,
    0x5fff0003,0x3ffa0000,0xd6ffb803,0xff7007ff,0x7ffdc00d,0x88000000,
    0x80001fff,0x004ffffb,0x4005fff1,0xfe80fffa,0x6ffb803f,0x3fff1000,
    0x01fff400,0x22037fdc,0x80001fff,0x2001fff8,0xfb803ffe,0x017ffc6f,
    0x100fff50,0x20003fff,0x7e407ffa,0x7c4004ff,0x3aa001ff,0xffffffff,
    0x2a004fff,0xf8004fff,0x000002ff,0x000fffc4,0x0000bffe,0x03fff100,
    0x3fff1000,0x05fff000,0x0fffa000,0x7f5bfee0,0x6ffb803f,0x03ffee00,
    0x3e200000,0x880001ff,0x2000ffff,0x2a002fff,0x7ffd07ff,0x00dff700,
    0x007ffe20,0xb803ffe8,0x7fc406ff,0xf880001f,0x3fa001ff,0x6ffb803f,
    0x7001fff4,0xff100dff,0x3ea0003f,0x00a8807f,0x01fff880,0x7fff6440,
    0x02dfffff,0x00dfff10,0x000bffe0,0x3fff1000,0x02fff800,0x7fc40000,
    0xf880001f,0x000001ff,0x07ffd000,0x000dff70,0xb8017ff2,0x00000fff,
    0x01fff880,0x5fff8800,0x01fff400,0x3a0dff70,0xffb803ff,0xfff10006,
    0x1fff4003,0x2037fdc0,0x0001fff8,0x001fff88,0x2e00fffa,0x2ffec6ff,
    0x009ffd00,0x0003fff1,0x0001ffea,0x03fff100,0xffd98800,0xfffe8005,
    0x5fff0000,0xf8800000,0x7fc001ff,0x4000002f,0x0001fff8,0x001fff88,
    0xfd000000,0xdff9009f,0x13ff6000,0x00fffb80,0xff880000,0xfd80001f,
    0x7ec001ff,0x3ffa005f,0x009ffd04,0x2000dff9,0x2001fff8,0xfb803ffe,
    0x7ffc406f,0xff880001,0x3ffa001f,0x46ffb803,0x9801fffc,0xf8802fff,
    0xf50001ff,0x800000ff,0x0001fff8,0x8006ff98,0x0001fffc,0x0000bffe,
    0x03fff100,0x002fff80,0x7ffc4000,0xff880001,0xd300001f,0xffb000bd,
    0x6fffb80b,0x07fff000,0x007ffdc0,0x7fc40000,0x7cc0001f,0xfc8005ff,
    0xff9801ff,0x0bffb02f,0x006fffb8,0x003fff10,0x5c01fff4,0x7fc406ff,
    0xf880001f,0x3fa001ff,0x6ffb803f,0x202fffc4,0x1006ffe8,0x20003fff,
    0x00007ffa,0x00fffc40,0x00ffec00,0x00fffea0,0x005fff00,0xfff88000,
    0x17ffc001,0x3e200000,0x880001ff,0x00001fff,0x90009ff7,0x7fd40fff,
    0xfb8006ff,0x3ee001ff,0x000000ff,0x001fff88,0x03fffe60,0x17ffe200,
    0x40dffd10,0x3ea07ffc,0x10006fff,0x74003fff,0xffb803ff,0x0fffc406,
    0x7ffc4000,0x0fffa001,0x2e1bfee0,0xe880dfff,0xf1001fff,0x2a0003ff,
    0x000007ff,0x000fffc4,0x001ffe20,0x000bfff3,0x0005fff0,0x1fff8800,
    0x017ffc00,0x3fe20000,0xf880001f,0xb00001ff,0xf50005ff,0xfff709ff,
    0xfb800dff,0x7dc004ff,0x000000ff,0x001fff88,0x1ffffb88,0x3ffee000,
    0xfffe880d,0x13ffea01,0x1bffffee,0x0fffc400,0x007ffd00,0xf880dff7,
    0x880001ff,0x3a001fff,0xffb803ff,0xdffffd06,0x9ffffd99,0x0fffc400,
    0x07ffa800,0x7fc40000,0x7c40001f,0xfd1002ff,0xf00001df,0x000005ff,
    0x001fff88,0x00017ffc,0x07ffe200,0x3ffe2000,0xfff00001,0x3ffa0001,
    0xeffeccef,0xfb006ffa,0x8001ffff,0x0000fffb,0x1fff8800,0xfffffd00,
    0xd00007ff,0xd99dffff,0xd009ffff,0xfd99dfff,0x80dff5df,0xfeeeeeeb,
    0xeeeeeeff,0x803ffe80,0xddd76ffb,0xddfffddd,0xd701dddd,0xfffddddd,
    0x01dddddd,0xf7007ffd,0x3ff620df,0xffffffff,0xddddd702,0xddddfffd,
    0x3bbb21dd,0xeefffeee,0x5c005eee,0xffeeeeee,0x0eeeeeef,0x3bfff200,
    0x3fff201e,0xeeeeeeee,0x3fe06eee,0xd700002f,0xfffddddd,0x01dddddd,
    0x0000bffe,0x7777775c,0xeeeeefff,0xeeeeb80e,0xeeefffee,0x26000eee,
    0x2a0005ff,0xffffffff,0x006ff98e,0x001dffff,0xffffff70,0xffffffff,
    0xeeeeb803,0xeeefffee,0x7ff40eee,0x0001efff,0xfffffb10,0x005fffff,
    0x3fffffea,0x6ff98eff,0x7ffffe40,0xffffffff,0x3ffe80ff,0xf96ffb80,
    0xffffffff,0x01ffffff,0xfffffff9,0xffffffff,0x007ffd01,0xea80dff7,
    0x0cefffff,0x3fffff20,0xffffffff,0xffffd0ff,0xffffffff,0xfc800dff,
    0xffffffff,0x00ffffff,0x3ffffa20,0x3ffff601,0xffffffff,0x3ffe07ff,
    0xff900002,0xffffffff,0x201fffff,0x00002fff,0xfffffff9,0xffffffff,
    0xfffff901,0xffffffff,0x7d4001ff,0x7440003f,0x224fffff,0xbff006ff,
    0x7fdc0007,0xffffffff,0x6401ffff,0xffffffff,0x0fffffff,0x01ef7ff4,
    0xffea8000,0x000cefff,0x7fffff44,0x901bfe24,0xffffffff,0x1fffffff,
    0x7007ffd0,0x3fff2dff,0xffffffff,0xfc80ffff,0xffffffff,0x80ffffff,
    0xfb803ffe,0x0662006f,0xfffffc80,0xffffffff,0xffffd0ff,0xffffffff,
    0xfc800dff,0xffffffff,0x00ffffff,0x00aba880,0x3ffffff6,0xffffffff,
    0x00bffe07,0x7fffe400,0xffffffff,0xfff00fff,0x3f200005,0xffffffff,
    0x80ffffff,0xfffffffc,0xffffffff,0x00000000,0x00001a98,0x3ee00001,
    0xffffffff,0x401fffff,0xfffffffc,0xffffffff,0x00000180,0x00019880,
    0x00006a60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32ea0000,0xc83cdeee,0x2001bdee,
    0xdd701ccb,0x0e65c00b,0x2005eeb8,0x32201ccb,0xcccccccc,0x01665c04,
    0x99991000,0x00999999,0xdffdb951,0xccb80079,0x003cca82,0x20005bb5,
    0xccccccc8,0xa80004cc,0x1bccedcb,0x00009993,0x00399300,0x95005997,
    0xcca80079,0x0b32e002,0xca800000,0x22000ccc,0x1cceedba,0x9db75100,
    0x99990015,0x99999999,0x99999059,0x99999999,0x41f75c01,0xceeedba8,
    0x2e60001b,0x0000aced,0x66f6dcc4,0x3ffaa01b,0x0fffffff,0x3fffffe2,
    0x86ffa800,0x006fffea,0xfd50dff5,0x3ea00dff,0x7ffc406f,0x0fffffff,
    0x000fffa0,0xfffff880,0x200fffff,0xfffffffc,0x1003ffff,0x7fdc7ffd,
    0xfff9800e,0xff88001f,0xffffffff,0xffb30000,0x27ffffff,0x00007ffb,
    0x0ffffcc0,0x200fffa0,0x2e006ffb,0xd003ffff,0x000007ff,0x07bffea0,
    0x7ffff4c0,0x03ffffff,0x3fffffee,0x3fe00eff,0xffffffff,0x7fc44fff,
    0xffffffff,0xff700fff,0x7ffc47ff,0xefffffff,0x3ffea002,0x004fffff,
    0xfffffe98,0x6c1effff,0xffffffff,0x2f220fff,0x4405fffb,0x3fa61fff,
    0x8806ffff,0x3fa61fff,0x8806ffff,0x7c401fff,0xffffffff,0x0fffa00f,
    0xfff88000,0x0fffffff,0x3fffff60,0x2fffffff,0x9bffd100,0x32001dff,
    0x8004ffff,0xfffffff8,0xa8000fff,0xffffffff,0x0fff73ff,0xffb80000,
    0x7ff403ff,0x06ffb803,0xffffff70,0x07ffd007,0xff500000,0x3f2001bf,
    0xffffffff,0xfd884fff,0xffffffff,0xffff01ff,0xffffffff,0xffff889f,
    0xffffffff,0xffffd00f,0x7ffffc4d,0x2fffffff,0xfffffb80,0x00dfffff,
    0xffffff70,0x47ffffff,0x41aefffb,0x7fdc0298,0x227fe405,0x6ffbeff8,
    0x444ffc80,0x06ffbeff,0x0004ffc8,0x7ffffc00,0x4fffffff,0x20000000,
    0x2209acfd,0x000ffffc,0x1dffffd1,0x7fffe400,0x00000003,0x1cfffe80,
    0x7fdcaaa6,0x5c000007,0x7403ffff,0xffb803ff,0x9effb806,0x7403fff9,
    0x000003ff,0x801fffd4,0xceffffe9,0x4ffcba9b,0x9cefffe8,0x2ffffeb9,
    0xaaabfff8,0x81aaaaaa,0xaaaaaaaa,0xd00fffca,0x7c4dffff,0xd99899bd,
    0x3201ffff,0xa88bdfff,0xd806fffe,0x9aceffff,0xf33ffcba,0x220009ff,
    0x202ffea9,0x27906ff9,0x7cc06ff8,0x3e27906f,0x37fcc06f,0x7fc00000,
    0xffffffff,0x000004ff,0x7e400600,0x3a2002ff,0x44000eff,0x0000efff,
    0x7dc00000,0xff7002ff,0x8800000f,0x7400effe,0xffb803ff,0x077fdc06,
    0x7407ffd1,0x000003ff,0x8007ffea,0x801efffe,0x2fffdc3a,0xf0dfff90,
    0x000001ff,0x700fffa8,0x0007ffff,0x2609fff7,0x3f205fff,0x3fee02ff,
    0x95c402ff,0x20006ffd,0x405ffffc,0xf8801ffe,0x0fff406f,0x2037fc40,
    0x00001ffe,0xfffeee80,0x03eeeeee,0x00000000,0x004fff88,0x80004cc4,
    0x00000aa8,0xffd80000,0x1ffee005,0x15400000,0x803ffe80,0x4cc06ffb,
    0x40333101,0x00003ffe,0x80026660,0x000dfffa,0x00bfff10,0xff85fff9,
    0x4000000f,0x3200fffa,0x3a0004ff,0xdff905ff,0x20bffd00,0x001efff8,
    0x0003ffe8,0x1bfffff2,0x88027fe4,0x3ff206ff,0x0dff1004,0x00027fe4,
    0x1fff4000,0x00000000,0x17ff6000,0x00000000,0x00000000,0xb800fffa,
    0x000007ff,0x3ffe8000,0x006ffb80,0x7ffd0000,0x00000000,0x006fff88,
    0x007ffe40,0x7fc5fff8,0x4000000f,0x0000fffa,0x86ffd800,0xa802fff8,
    0xffc81fff,0xfff0001f,0x3e600005,0x77fcc2ff,0x0dff1000,0x4003bfe6,
    0xff306ff8,0x6544001d,0x03ceffed,0x0003ffe8,0xdeeca880,0x6400002c,
    0x000005ff,0x65c00000,0x3cca802c,0x005fff00,0x0003ffdc,0x7f400000,
    0x6ffb803f,0xfd000000,0x0000007f,0x2fffc800,0x3ffe2000,0x3fff2005,
    0x0003ffe1,0x1fff5000,0xfb000000,0x1fff709f,0x89fff100,0x0005fff8,
    0x0001fff3,0xd0fffe20,0x7c4005ff,0x05ffd06f,0xe837fc40,0x3f2002ff,
    0xffffffff,0x3ffa03ff,0x7d400003,0xefffffff,0x95531000,0x0bffd999,
    0xec88332e,0x99902cef,0x01999999,0x401fff40,0xf8806ffb,0x3ee002ff,
    0xccca807f,0x99999503,0x99999999,0x01fff439,0x99137fdc,0x66640009,
    0x6447ffd0,0x5402cefe,0xcccccccc,0x41cccccc,0x40006fff,0x2002fff9,
    0x3fe2fff9,0x4000000f,0x0000fffa,0x82ffe800,0xfa805ffd,0x7fdc5fff,
    0xff50001f,0x3260001f,0x20fffedc,0x44005ffb,0x5ffb86ff,0x437fc400,
    0x6c005ffb,0xffffffff,0xfd02ffff,0x77f64c7f,0xfff9002d,0xfffffddf,
    0x7ffe4405,0xffffffff,0x2e3ffd05,0xdfffffff,0x7fffffc0,0x3a001fff,
    0xffb803ff,0x2fff8806,0x01ffee00,0x203ffff5,0xfffffffb,0x2fffffff,
    0x2e00fffa,0x3ffe26ff,0xfff98000,0x3ee7ffd0,0x0dffffff,0xffffff70,
    0xffffffff,0x01fffc45,0x03ffea00,0x7c7fff00,0x000000ff,0x0007ffd4,
    0x1ffea000,0x3201fff4,0x646fffff,0x2a0007ff,0x50000fff,0x45ffffff,
    0x4000fff9,0x7fcc6ff8,0x7fc4000f,0x007ffcc6,0x826b3f60,0x80ffffc8,
    0xfff73ffe,0x401bffff,0x540cfffc,0xfb80ffff,0xffffffff,0xfd05ffff,
    0xfffff93f,0xff89ffff,0x1fffffff,0x00fffa00,0x2201bfee,0x2e002fff,
    0x3fea07ff,0x3fee01ff,0xffffffff,0x3fa2ffff,0x6ffb803f,0x4000fffc,
    0x3ffa7ff9,0xffffffcb,0xff704fff,0xffffffff,0x7cc5ffff,0x5c0001ff,
    0xff8007ff,0x2afffe4f,0x0000099a,0x0003ffea,0x2fffb800,0x2205fff0,
    0x7ffffffe,0x00037fec,0x0001fff5,0x02f3bb66,0x10005ffd,0x2ffe8799,
    0x43cc8800,0x18002ffe,0x05fff900,0xfff97ffd,0x09ffffff,0x880bffe2,
    0x7fd44fff,0xfc809bff,0xfdffd05f,0x3ff225df,0x266661ff,0x001fffa9,
    0x2e00fffa,0x3bbaa6ff,0xeefffeee,0x25eeeeee,0xff307ffb,0x998801ff,
    0x99999999,0x3fa0efff,0x6ffb803f,0x40017ff4,0x3ffa6ffa,0xc88aeffe,
    0x9880ffff,0x99999999,0x2a0efff9,0x33100fff,0x32133333,0xfe8006ff,
    0x3ffffe5f,0x00beffff,0x07ffd400,0x66654000,0x100effed,0xff503fff,
    0x8fff39ff,0x20005ffe,0x0000fffa,0x017fee00,0x0bff7000,0x5ffb8000,
    0x7c400000,0xeffe84ff,0xff712eff,0xbff903ff,0x41fff700,0x6400efff,
    0xfffd05ff,0xfff101bf,0x1fff8807,0x00fffa00,0xffb9bfee,0xffffffff,
    0x7fffffff,0x3e61ffee,0x00000eff,0xfd07fff6,0xdff7007f,0x8003ffd8,
    0x3ffa5ffb,0xff880eff,0x3f60003f,0x3ffdc1ff,0xffffffd0,0x017ff6bf,
    0xff9bff60,0xffffffff,0x2a0002ff,0x80000fff,0xfffffffc,0x07ffe202,
    0x265ffff9,0x3ffe0fff,0x3fea0004,0x1000000f,0x00001fff,0x0007ffc4,
    0x01fff100,0xffb00000,0xbffffd0b,0x87fff101,0x8801fff8,0xfff11fff,
    0x0bff9005,0xb017fffa,0xff8809ff,0x3ffa001f,0x26ffb803,0xfffffffb,
    0xffffffff,0x1ffee7ff,0x001dfff3,0x1fffdc00,0x64027ff4,0x27fdc6ff,
    0x7e40f74c,0x1bfffa4f,0x0009ffb0,0x320fffee,0x3ffa07ff,0xfd5fffff,
    0xffb000bf,0x6666664d,0x2fffffed,0x1fff5000,0x7e400980,0xffffffff,
    0x10fff982,0x441dfffd,0xfff11fff,0x7fd40007,0xb000000f,0x800007ff,
    0x00003ffd,0x0001ffec,0x85ffc800,0x6c05fffe,0x7ffcc4ff,0x25fff000,
    0xd801fffa,0xdffd05ff,0x05ffc801,0x000fffc4,0xf7007ffd,0xfff100df,
    0x3ffdc005,0x001dfff3,0x2fffcc00,0x5c05ffd8,0x7fd46fff,0xd84ffc85,
    0x3bffa2ff,0x02ffe400,0x82fffcc0,0x32e07ffc,0xb5ffeccc,0xfd000dff,
    0x7e4400bf,0xa8001fff,0xfd100fff,0x266201bf,0xffffdba9,0x547ffc43,
    0xf984ffff,0x9fff10ff,0x7ffd4000,0xfb800000,0x5c00005f,0x400005ff,
    0x00005ffb,0x3332aa62,0xfe85ffec,0x7fe400ef,0x557ffdc6,0xaaaaaaaa,
    0xfff34fff,0x7fff4405,0x007ffd05,0xf880dff7,0x3fa001ff,0x6ffb803f,
    0x02fff880,0x7cdffee0,0x00000eff,0xc81bffa2,0x3fea07ff,0x37fcc6ff,
    0x7f43fffc,0x00fffa1f,0x1001bfee,0x7dc0dffd,0x3f2000ff,0x00dff95f,
    0x0009ffd0,0x0007fff7,0x3201fff5,0x8004ffff,0x7c1fffe8,0x2ffffdff,
    0xff8fff50,0x3ea0005f,0x400000ff,0x4cc0fff8,0x7fc40019,0x006aa20f,
    0x303ffe20,0x32200333,0xffffffff,0xffe85fff,0x46ffb803,0xfffffffc,
    0xffffffff,0x1dfff14f,0xbfffff70,0x200fffa0,0x7c406ffb,0x3fa001ff,
    0x6ffb803f,0x02fff880,0x3e7ffee0,0x00000eff,0x5007ffec,0xff709fff,
    0xff88dfff,0x0ffffcc7,0xffe83ffe,0x06ffb803,0x007ffec0,0x4003fff3,
    0xfff75ffc,0x07fff000,0x017ffe00,0x403ffea0,0x007ffffd,0xf8dffd10,
    0x00efffff,0xffd1ffee,0x7fd4000d,0x6c00000f,0x7ffe43ff,0x3ff6001f,
    0x3fffff23,0x0fff6002,0x803ffff9,0xfffffffb,0x85ffffff,0xfb803ffe,
    0x7fffe46f,0xffffffff,0x3f64ffff,0xffdccfff,0xd05ffdff,0xff7007ff,
    0x1fff880d,0x00fffa00,0x2201bfee,0x2e002fff,0x1fffefff,0x7fdc0000,
    0xfffe802f,0xaeffecce,0x0fff86ff,0x893ffff2,0x1fff47ff,0x0037fdc0,
    0x8805fff7,0x32002fff,0x1fff75ff,0x0fffc400,0x07ffd800,0x00fffa80,
    0x01fffff7,0xd1fff200,0x9009ffff,0x7ffd8dff,0x3ffea000,0x3ea00000,
    0x7fffcc6f,0xdff5001f,0x7fffffd4,0x6ffa801f,0x0fffffcc,0x37ffff50,
    0xd0bff901,0xff7007ff,0x99effb8d,0x99999999,0x3fe20999,0xefffffff,
    0xfd05ffa8,0xdff7007f,0x01fff880,0x200fffa0,0xf8806ffb,0x3ee002ff,
    0x0efff9ff,0xfff50000,0x3ffea009,0x98efffff,0x1ffe86ff,0x99ffb7fe,
    0x1fff46ff,0x8037fdc0,0xf004fffa,0x7e400dff,0x07fff55f,0x007ffdc0,
    0x006ffd80,0x200fffb8,0x001ffffe,0x6c1fff50,0xfd002fff,0x3fffc8bf,
    0x1fff5000,0x3fe20000,0x7efff41f,0xfff8801f,0xffc866c1,0x0fffc403,
    0x07ff7ffa,0x400efff8,0xffe85ffc,0x46ffb803,0x00007ffa,0xdfffff91,
    0xe82ffcc7,0xffb803ff,0x0fffc406,0x007ffd00,0xf100dff7,0x7dc005ff,
    0x1dfff57f,0xfff88000,0x7ff44006,0x3fe24fff,0xf32ffd86,0x2a5ff95f,
    0x1fff45ff,0x4037fdc0,0x2006fff8,0x9002fffd,0x37ffcbff,0x00dffd00,
    0x0027ff40,0x2603ffe4,0x0000ffff,0xffb8fff7,0xfff9800f,0x037ffcc1,
    0x00fffa80,0x87ffb000,0x1ffdaffc,0x803ffd80,0x7ec04ffa,0x6d7fe43f,
    0xfff101ff,0x0bff9005,0xf7007ffd,0x0fff98df,0x0cc40000,0xfd02ffd8,
    0xdff7007f,0x01fff880,0x2013ffa0,0xf8806ffc,0x3ee002ff,0x1bffea7f,
    0x1fffd000,0x40d4c000,0xffc82ffc,0xff31ff93,0xfd13feab,0xdff7007f,
    0x01fffd00,0x037ffc40,0x3f25ffc8,0xffa801ff,0xff30001f,0xffb0005f,
    0x0dfff00b,0x42ffec00,0xfc804fff,0x7fffb06f,0x1fff5000,0xdff50000,
    0xffb5ff98,0x06ffa803,0x5407ffb0,0xaffcc6ff,0xff501ffd,0xbffb003f,
    0x7007ffd0,0xfff88dff,0x20000004,0x3fa03ffc,0x6ffb803f,0x00fffc40,
    0xb80bffb0,0xf8806fff,0x3ee002ff,0x2fffe47f,0x1fffc800,0xff700000,
    0x753fea09,0x2e3ffe5f,0x1fff42ff,0x2037fdc0,0x8001fffc,0x400efffc,
    0x3fe25ffc,0x3fe600ff,0xff10005f,0x2004c1ff,0x4403fff9,0x70004fff,
    0xff905fff,0x7ffd403f,0x7ffff103,0x7ffd4400,0x7f440000,0xd87ff41f,
    0x3fa201ff,0x6ffc801f,0xd07ffa20,0x07ff61ff,0x1017ffcc,0xfd0bfffd,
    0xdff7007f,0x003fff90,0xdff30000,0x803ffe80,0x7c406ffb,0x3f2001ff,
    0x3ffea07f,0xfff8806f,0x1ffee002,0x0017fff6,0x0007fff5,0x81ffe200,
    0x2ff9dff9,0x3ff2bff2,0x401fff41,0x3ea06ffb,0xf10003ff,0x2037ffff,
    0x7fec5ffd,0x3ea20aef,0xb8001fff,0x7dc1ffff,0x6fffa81c,0x00fffd80,
    0x27ffecc0,0x82efff88,0x200ffffa,0x0adffffc,0xffabeb98,0x7e40000f,
    0x677fdc4f,0x904dffec,0xfd8809ff,0x3ff200ef,0x6677fdc4,0xf884dffe,
    0xffb80eff,0xffe85fff,0x86ffb803,0x003ffff8,0x3fee0001,0x01fff404,
    0x22037fdc,0x2a001fff,0xffb84fff,0xf8806fff,0x3ee002ff,0x9fffb07f,
    0x17ffe600,0xffa80000,0x33bfe205,0x37fe60ff,0x7ff40ffd,0x06ffb803,
    0x000bfff3,0xfffffe98,0xffffeeef,0x7fffec45,0xfffffeef,0xcccefb83,
    0x2fffffed,0xeeffffb8,0x302fffff,0xd85fffd7,0xeedcccee,0x5c06ffff,
    0xfdceffff,0xc800efff,0xefffffff,0xfabfffff,0x260000ff,0xfffc86ff,
    0x87ffffff,0x7cc06ff9,0x7fcc04ff,0xfffffc86,0xfb07ffff,0xffb99fff,
    0xd0bffbff,0xff7007ff,0x3fffee0d,0xedccbcde,0xff70004f,0x1fff401d,
    0x2037fdc0,0x4001fff8,0xeccefffe,0x06ffaeff,0x002fff88,0x7441ffee,
    0x74403fff,0x00000eff,0x803ffea0,0xe85fefff,0xfe87ffff,0x6ffb803f,
    0x00effe88,0xffff9000,0xffffffff,0x3ffff20b,0x01efffff,0xfffffff7,
    0x2a03bfff,0xffffffff,0xfff882ff,0xffd82fff,0xffffffff,0xfff3003f,
    0x1dffffff,0x7fffd400,0xffffffff,0x000fffab,0x2e07ffa0,0xfffeeeee,
    0x01ffe86e,0x2ab7ffea,0x81ffe82a,0xffeeeeeb,0xfff106ef,0x1dffffff,
    0xffd0bff5,0x0dff7007,0x7fffff54,0x04ffffff,0xdffff100,0x007ffd09,
    0x3baedff7,0xefffeeee,0x500eeeee,0xffffffff,0x00dff31d,0x4005fff1,
    0x3e207ffb,0x3f203fff,0xeeeeeeff,0x006eeeee,0x0bdffff0,0x905ffffd,
    0xfd0dffff,0xdff7007f,0xdddfff90,0xdddddddd,0xffd9300d,0x039dffff,
    0xffffeda8,0x3fee00ce,0x1defffff,0xffffda80,0xff100cef,0x3f601bff,
    0xefffffff,0xfed88003,0x000bdfff,0xfffedc88,0xff51acef,0x3f20001f,
    0x7fec004f,0x404ffc81,0xfffffffb,0x0027fe47,0x91007ff6,0x47dfffff,
    0xffe85ff9,0x06ffb803,0x7ffff644,0x002defff,0x1bfffee0,0x2e00fffa,
    0xffff96ff,0xffffffff,0x74401fff,0x224fffff,0xff8806ff,0x3fee002f,
    0x7fffcc07,0xfffffb02,0xffffffff,0x3aa000ff,0xffd87fff,0xfff980ff,
    0x03ffe85f,0xfd86ffb8,0xffffffff,0x007fffff,0x0009aa88,0x88003310,
    0x0001aa99,0x59000cc4,0x53310013,0x88000035,0x30000019,0x07ffd403,
    0x07ffcc00,0x307ff600,0xfb801fff,0x27ffffff,0x4000fff9,0x22001ffd,
    0xffd00019,0x0dff7007,0x099a9880,0x5dcc0000,0x803ffe82,0xfff96ffb,
    0xffffffff,0x2001ffff,0x880001a9,0x2e002fff,0xffa807ff,0xfffd81ff,
    0xffffffff,0x40007fff,0xffc82bb8,0x3fffa05f,0x803ffe84,0xffd86ffb,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x1bdeeeca,0x800ccc88,0x4000ccc8,0x0acedcb9,0xcccccc98,0xcccccccc,
    0x9970cccc,0xccb80019,0x33333323,0xcccccccc,0x00099971,0x0001e65c,
    0x00997533,0xbddd9751,0x97300159,0x00059bdd,0x3337b6e6,0x1ccccccc,
    0xbddb9880,0x2ccb8009,0x00f32a00,0x80001b73,0x20000db9,0xccccccc8,
    0x599704cc,0x21e65400,0xacccccc8,0x33220009,0xc800001c,0xc88001cc,
    0xcccccccc,0xcccccccc,0x6666440c,0x00009acc,0x3bfb72e2,0xa8000bce,
    0xcccccccc,0x0b32e3cc,0xffe88000,0x2fffffff,0x400fffcc,0x2001fff9,
    0xfffffffc,0x3ffea0df,0xffffffff,0x1fffffff,0x4009fff5,0x3fe2fffa,
    0xffffffff,0xff92ffff,0xff10005f,0xfea8009f,0x207fffff,0xffffffc8,
    0x2606ffff,0xfffffffd,0xff5003ff,0xffffffff,0x405fffff,0xffffffd8,
    0x3fa00dff,0x3ff2004f,0x03ffe606,0x0fff9800,0x3ffe2000,0x0fffffff,
    0x2004ffe8,0x7fcc6ffc,0xffffffff,0x7ffcc03e,0xff800002,0xff98003f,
    0xffffffff,0xffffffff,0x7ffffcc1,0x03efffff,0xfffff910,0x005fffff,
    0xffffffd0,0x7f4dffff,0xf700004f,0xffffffff,0xfff985ff,0x1fff9801,
    0xffffe880,0x1fffffff,0xfffffff5,0xffffffff,0x7fec3fff,0xdffd001f,
    0xfffffff8,0x2fffffff,0x0009fff3,0x2003fff7,0xffffffea,0xfff507ff,
    0xffffffff,0x3ffea0df,0xffffffff,0x7ffdc05f,0xffffffff,0x302fffff,
    0xfddffffd,0x3a03dfff,0x3f2004ff,0x3ffe606f,0x3fe60000,0x3e20000f,
    0xffffffff,0x04ffe80f,0xf31bff20,0xffffffff,0x2603dfff,0x00002fff,
    0x8003fff8,0x99999cf9,0x99999999,0x7fcc1fc9,0xffffffff,0x7f401eff,
    0xfffeffff,0x7cc002ff,0xffffffff,0x13ffa6ff,0x3ffee000,0xf9330acf,
    0x01fff985,0x801fff98,0x109dfffc,0x2a21dfd7,0xfeaaaaaa,0xaaaaaaef,
    0x17ffe20a,0xf07ffee0,0x55555bff,0x74155555,0xfd8007ff,0xfff7006f,
    0x5559bdff,0x5bffff10,0xbb753333,0x59dfff10,0xfffd9511,0x3bfff207,
    0xafffb89b,0xa80aaaaa,0x220adfff,0xe82fffda,0x3f2004ff,0x3ffe606f,
    0x3fe60000,0x0000000f,0x8013ffa0,0x7fcc6ffc,0xfecbaabf,0xf983ffff,
    0x800002ff,0x98003fff,0x3f20003f,0x55fffcc1,0xffffecba,0x9fff903f,
    0x00373101,0xdffeffc8,0x3a099999,0x440004ff,0x0801efff,0x35fff531,
    0x53333333,0x20135fff,0x6404fff9,0x17ff6000,0x05fff700,0x7c27ffc4,
    0xf90004ff,0x7c4003ff,0xffc803ff,0x7f4002ff,0x360001ff,0x3a200eff,
    0xfff885ff,0x007ffb85,0x2013ffe2,0x7f40fffc,0x3ff2004f,0x03ffe606,
    0x0fff9800,0x20000000,0x32004ffe,0x7ffcc6ff,0xffff9100,0x02fff983,
    0x3fff8000,0x223f9800,0x3201bcef,0x07ffcc1f,0x1ffffc88,0x0004fff8,
    0xfceff880,0xeffe804f,0x02acdeee,0x001fffd8,0x7fffffd4,0xffffffff,
    0x02ffffff,0x0000fff9,0x000bffb0,0x7e40dffd,0x4fff80ff,0x9fff3000,
    0x0fffd400,0x013ffe60,0x00fffe20,0x007ffd00,0xff90fff7,0x01ffee0d,
    0x2003ffd8,0x7ff45ffc,0x1bff2004,0x000fff98,0x003ffe60,0xfe800000,
    0x3ff2004f,0x007ffcc6,0xf317ffe6,0x000005ff,0x30007fff,0x7fffc47f,
    0x41fc81df,0x4c00fff9,0x7fc45fff,0xb800002f,0x04ffcbff,0xffffffe8,
    0x80bfffff,0x8004fff9,0xfffffffa,0xffffffff,0xb02fffff,0x000009ff,
    0x5000bffb,0xff107fff,0x13ffe05f,0x06ffe800,0x201bff60,0x50005ffe,
    0x80003fff,0xfb802fff,0x0fffc47f,0x3007ffb8,0x404c0dff,0x3ffa0ffe,
    0x5bff2004,0xffdccccb,0xcccccccf,0xb999974c,0x99999fff,0x00009999,
    0x0027ff40,0xff98dff9,0xfffc800f,0x00bffe62,0x0fffe000,0x1fcc0f22,
    0x0fffe4cc,0xfff307f2,0x5fff9001,0x0004fff8,0xfc8ffe80,0xfffe804f,
    0xffffffff,0x7ffd41ff,0xfdc98000,0xcccccdff,0xdfffdccc,0x07fff01c,
    0xbffb0000,0x3fff6000,0xf037fec0,0x640009ff,0xff001fff,0xfffa807f,
    0xfff70000,0xffe80005,0x46ffe804,0x3ee07ffc,0x5ffb007f,0x5ffffe98,
    0xffe97fee,0x5bff2004,0xfffffffd,0xffffffff,0xfffffb7f,0xffffffff,
    0x3320ffff,0x0ccccccc,0x0027ff40,0xff98dff9,0xfff8800f,0x00bffe66,
    0x8fffe000,0xf303ffc8,0x46fe8807,0x7ffcc1fc,0x6fff8800,0x006fffec,
    0x95ff9800,0xffd009ff,0xf7533339,0x7e41ffff,0x7cc0007f,0xff9801ff,
    0x17ffc01f,0x7fec0000,0xfff30005,0x00fffd49,0x40009fff,0xa803fff9,
    0x7e401fff,0x3e60004f,0x5c0005ff,0x3e601fff,0x27fec4ff,0x100fff70,
    0xfffa8dff,0x7ffc7fff,0x4009ffd0,0xfffb6ffc,0xffffffff,0x36ffffff,
    0xffffffff,0xffffffff,0xffffff07,0xfe803fff,0x3ff2004f,0x007ffcc6,
    0x3e67ffc8,0x800002ff,0xffc8bfff,0x07f303ff,0x7e45ff30,0x007ffcc1,
    0x7c47ffc8,0x00bdffff,0x64bff600,0xffe804ff,0x37ffe404,0x8000bffb,
    0x9801fff9,0x7fc01fff,0xd800002f,0x320005ff,0x9ffd0fff,0x004fff80,
    0x4037ff40,0xfe806ffc,0x7fc0002f,0x220005ff,0xe982ffff,0x7ff40fff,
    0x01ffee02,0xff893fe6,0x645a9bef,0x09ffd1ff,0x98b7fe40,0x9fffa999,
    0x19999999,0xff533331,0x3333333f,0x3fffe033,0x401fffff,0x32004ffe,
    0x7ffcc6ff,0x1fff7000,0x000bffe6,0x3fbffe00,0x2603ffff,0x47ff003f,
    0x7ffcc1fc,0x1fff7000,0xfffffe98,0x7c4002df,0x013ff27f,0x36013ffa,
    0xbffd1fff,0xfff98000,0x1fff9801,0x0017ffc0,0x02ffec00,0x59fff100,
    0xff801fff,0x7e40004f,0x7ffc00ff,0x87ffc403,0x0abccba8,0x3bfffea0,
    0xfff70003,0x3fff23bf,0x01fff81e,0x2a01ffee,0x13ff23ff,0x7f4bfee0,
    0x3ff2004f,0x03ffe606,0x0fff9800,0x33333000,0xe803fff5,0x3f2004ff,
    0x07ffcc6f,0x31fffa80,0x00005fff,0xfffffff0,0x007f3007,0x0fe47ff1,
    0x4003ffe6,0xd701fffa,0x5dffffff,0xc93fee00,0xffe804ff,0x3fff8804,
    0x8000dffb,0x9801fff9,0x99981fff,0x9999bfff,0x4cc00999,0x9effe999,
    0x2a001999,0x02ffffff,0x999cfff8,0x00999999,0x4c07fff3,0x7d401fff,
    0xffffdaff,0x2e04ffff,0x0cffffff,0x7fff4c00,0x80dfffff,0x2e01fff8,
    0xcccccfff,0xfe8bfee4,0x3ffa802f,0x64009ffd,0x3fe606ff,0x3e60000f,
    0x200000ff,0x7401fff8,0x3f2004ff,0xfffb996f,0x2605999b,0xfff32fff,
    0x5ffd3005,0x3ffff220,0x0fe6003f,0xfc87fee0,0xbfffb991,0x3e605999,
    0x7e4c02ff,0x803fffff,0x3ff21ffe,0x22ccccce,0xff004ffe,0x01fff29f,
    0xfffff300,0xffffffff,0xff983fff,0xffffffff,0x7c06ffff,0xffffffff,
    0x4007ffff,0x006ffffe,0xffffffff,0x40dfffff,0x3f206ffe,0xfffa806f,
    0xffffffff,0xd300efff,0x3bffffff,0x7ffec400,0x3e605fff,0x3fee00ff,
    0x27ffffff,0x1ffe1ffc,0xfea7fcc0,0x3ff2004f,0x03ffe606,0x0fff9800,
    0x3fe20000,0x27ff401f,0x3edff900,0xffffffff,0x7fff104f,0x100bffe6,
    0x443fffff,0x04fffffc,0xcb83f980,0x7e44fffc,0xfffffff1,0x3e209fff,
    0x366003ff,0x2a00ffff,0x7ffe46ff,0x3a4fffff,0xffd004ff,0x003ffeeb,
    0xfffff980,0xffffffff,0x7fcc1fff,0xffffffff,0x7c06ffff,0xffffffff,
    0x4007ffff,0x001ffff9,0xffffffff,0x40dfffff,0xff00fffc,0xfff7007f,
    0x2a6139ff,0x5405fffe,0xdffffffe,0xfffea800,0xa80dffff,0x3ee00fff,
    0x7fffffff,0x7fc43ff6,0x2bff1006,0x32004ffe,0x3fe606ff,0x3e60000f,
    0x200000ff,0x7401fff8,0x3f2004ff,0xffffff6f,0x2209ffff,0xfff33fff,
    0xffffb805,0xfffff15f,0xf30007ff,0x5dfffd07,0x3ffe3f90,0x4fffffff,
    0x007fff10,0x407fff70,0x7fe43ffd,0x24ffffff,0xff004ffe,0x17ffe69f,
    0xefff9800,0xeeeeeeee,0x6441fffe,0xccdfffcc,0x403ccccc,0xffeccccc,
    0x204cccce,0xfe999998,0x099999ef,0xcccefff8,0x03cccccc,0x260fffe6,
    0xfb800fff,0xffd803ff,0xffd9801f,0x3602ffff,0xffecffff,0x7fcc1fff,
    0x3ffee00f,0x32199999,0x03ffe1ff,0x7f53fe60,0x3ff2004f,0x3f733326,
    0xccccccff,0x7ffcc02c,0x3e200000,0x7ff401ff,0x5bff2004,0x9afffa99,
    0xfff30099,0x00bffe67,0x2bfffff9,0xfffbfff8,0x83f98003,0x8fe402fe,
    0x9afffa99,0xfff30099,0x3ffe0007,0x81fff104,0x9999dffc,0x013ffa09,
    0xfd8bffe2,0xf30002ff,0xff3003ff,0x2fff803f,0xffd80000,0x7ffec005,
    0xffffffff,0xfff85fff,0xffd00004,0x00dff90b,0x4401ffee,0x22004fff,
    0x80fffffc,0x2a0dfffd,0x221ffffe,0x3ee01fff,0x2ffb807f,0x2a00bffa,
    0x09ffd2ff,0xff37fe40,0xffffffff,0x80bfffff,0x0000fff9,0x007ffe20,
    0x64009ffd,0x7ffcc6ff,0x5fff5000,0x300bffe6,0x227fffff,0x00fffe3f,
    0x3fa0fe60,0x260fe401,0xf5000fff,0xf30005ff,0x3fee07ff,0x804ffc84,
    0xfc804ffe,0x3ffea0ff,0x839300cf,0x9801fff9,0x7fc01fff,0xd800002f,
    0x7ec005ff,0xffffffff,0xf85fffff,0x900004ff,0xffe81fff,0x0fff7003,
    0x002ffec0,0x237fff44,0xb103fffc,0x7fc4dfff,0x1ffee02f,0xfc8ffea0,
    0x3ee0c2ef,0x009ffd1f,0xfff37fe4,0xffffffff,0x980bffff,0x00000fff,
    0xd007ffe2,0x7e4009ff,0x07ffcc6f,0x31fffb80,0xf9005fff,0xfff80bff,
    0x83f98003,0x0fe401fd,0x4003ffe6,0x1531fffb,0x03fffd00,0x3f207ffe,
    0x4ffe804f,0x427ffdc0,0xdefffffb,0x4c2fffec,0xf9801fff,0x7ffc01ff,
    0xfd800002,0x5554005f,0xaeffeaaa,0xff82aaaa,0xf300004f,0x7ffcc5ff,
    0x1fff5000,0x01fff200,0x10fffe80,0xfd00bfff,0x1fffc3ff,0x100fff70,
    0x7ffc4bff,0x7ec7fdff,0x009ffd0f,0x33337fe4,0x333fff53,0x98013333,
    0x00000fff,0xd007ffe2,0x7e4009ff,0x07ffcc6f,0x267ffc80,0x51002fff,
    0x07fff003,0x5507f300,0x4c1fc801,0xf9000fff,0x6f7fdcff,0xfffdcccc,
    0x3fff504f,0x9ffb3333,0x109ffd00,0x40dfffd3,0xfffffffa,0x7cc2ffff,
    0xff9801ff,0x17ffc01f,0x7fec0000,0xffb00005,0x27ffc00b,0xbfff0000,
    0x30037fe4,0x32003fff,0x2a0006ff,0xfff72fff,0x7fff3003,0xf702fff4,
    0x3ffe00ff,0x3ffffa60,0xd9ffe27f,0x3f6005ff,0x3ffe604f,0x3fe60000,
    0x2200000f,0x7f401fff,0x3ff2004f,0x007ffcc6,0xf32fffc4,0x000005ff,
    0x30007fff,0x7e40007f,0x007ffcc1,0xf72fffc4,0xffffffff,0x7ec09fff,
    0xffffffff,0xffe804ff,0xffffffff,0x5c400eff,0xeffffffe,0x0fffcc0b,
    0x00fffcc0,0x0000bffe,0x0017ff60,0x002ffec0,0x00009fff,0xfe87ffe4,
    0x3fe2003f,0xbffb003f,0x7ffcc000,0x400fff92,0x3ff24fff,0x0fff700f,
    0x2a13fee0,0x3f21acdc,0x01bff23f,0x2603ffe8,0x20000fff,0x0000fff9,
    0x007ffe20,0x6c009ffd,0x7ffcc5ff,0x2fffc800,0x000bffe6,0x00fffe00,
    0x3760fe60,0x260fe401,0xfc800fff,0x3ff662ff,0xdfffffff,0x3fffe201,
    0xffffffff,0xffffe804,0x3fffffff,0x4fffc400,0x0fffcc01,0x00fffcc0,
    0x0000bffe,0x0017ff60,0xfd555553,0x555555df,0x0009fff0,0x4d7ffcc0,
    0x74000fff,0xff8806ff,0x3ea0003f,0x1fff90ff,0x47fff100,0xf703fff8,
    0x7ffc00ff,0x1bfe2000,0x3001fff7,0x7c405fff,0x220001ff,0x00001fff,
    0xd007ffe2,0x7f4009ff,0x07ffcc4f,0x31bffe60,0x00005fff,0x0007fff0,
    0x5ffa87f3,0x3e60fe40,0x7fcc00ff,0x3a66206f,0xff9005ff,0xd999999d,
    0xffd009ff,0x59bdffff,0xdff50001,0x07ffe600,0x007ffe60,0x00005fff,
    0x800bffb0,0xfffffffd,0x5fffffff,0x0004fff8,0x7defffc0,0xffa8006f,
    0x7ffe401f,0xffd10000,0x01fffd4d,0x360fffdc,0xffb81fff,0x3bfee007,
    0x2ffe8801,0x4027ffcc,0xff806ffd,0x7fc0005f,0x2200005f,0x7f401fff,
    0xfff3004f,0x00fff987,0x307fffee,0x00005fff,0x0007fff0,0x4ff987f3,
    0x3e60fe40,0x3fee00ff,0xffd001ff,0x0bffe005,0xe804ffc8,0x800004ff,
    0xf3004ffc,0xff3003ff,0x2fff803f,0xffd80000,0x7ffec005,0xffffffff,
    0xfff85fff,0x7e400004,0x003ffeff,0x203fffd0,0x2f23fffb,0xfffea801,
    0x0ffffe23,0xa86fffb8,0x7dc2ffff,0x7ff4007f,0x3ffe601f,0x09fffb06,
    0x00bfff62,0x080ffff6,0x01fffec0,0x7ffc4001,0x227ff401,0x0fffea81,
    0x5307ffcc,0x07ffffd7,0x0005fff3,0x007fff00,0x05307f30,0xff983f90,
    0x3faea60f,0xf1003fff,0xff5001ff,0x04ffc80f,0x0004ffe8,0x001ffe80,
    0x3003fff3,0xee883fff,0xeeeefffe,0x2eeeeeee,0x00bffb00,0xe9999988,
    0x99999eff,0x004fff80,0x7fffcc00,0xf50000ff,0xd979bfff,0xffe8dfff,
    0xfeeeeeff,0xfa84ffff,0xdccdffff,0x700fffff,0xd9bfffff,0xdddddfff,
    0x3fff603d,0xffecaace,0x3ffe205f,0xffecceff,0xff3005ff,0xfb99bdff,
    0xffff980f,0x07fdccde,0x007ffe20,0xdfd89ffd,0x83fffffc,0xfffffff9,
    0x02ffffff,0xfffffff3,0x7fffffff,0x3ffffe00,0xffffffff,0x0007f31f,
    0x3fe60fe4,0xffffffff,0x26002fff,0xffb006ff,0xefffc809,0xfd0eeeee,
    0xf000009f,0x7fcc00ff,0xfff9801f,0x7ffffcc1,0xffffffff,0xb003ffff,
    0x20000bff,0x3e005ffd,0x800004ff,0x006fffff,0x7ffffcc0,0xe84fffff,
    0xffffffff,0x204fffff,0xfffffffb,0x401effff,0xfffffffa,0xffffffff,
    0x3ffee02f,0x3fffffff,0xffffe980,0x03ffffff,0x7ffffdc0,0xb807ffff,
    0xffffffff,0xeeeeb87f,0xeeefffee,0x9ffd0eee,0xffffffd8,0xffff304f,
    0x9fffffff,0x7fffcc01,0xffffffff,0xfff003ff,0xffffffff,0x3be63fff,
    0xeeeeeeee,0xfeeeeeee,0x7ffffcc1,0x0cffffff,0x01ffdc00,0x2007ffc4,
    0xfffffffc,0x09ffd0ff,0x4ee98000,0x07ffe600,0x307ffe60,0xffffffff,
    0xffffffff,0x3ff6007f,0xffb00005,0x27ffc00b,0x7fe40000,0x880003ff,
    0xdfffffed,0xffffb701,0x17dfffff,0xffff9100,0x4005dfff,0xfffffdc9,
    0xffffffff,0x7fedcc02,0x4001bdff,0xefffffeb,0xf910001d,0x0bffffff,
    0x3ffff220,0xffc85fff,0xffffffff,0xfd0fffff,0xfffec89f,0x3fe602df,
    0x2cdeffff,0xfffff300,0xffffffff,0x3ffe007f,0xffffffff,0xfff31fff,
    0xffffffff,0x3fffffff,0xffffff98,0x20002cde,0xfc801eec,0xfffc805f,
    0xd0ffffff,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cc40000,0x54cc4000,0x9800009a,0x3000009a,0x00000133,0x44000033,
    0x80000099,0x40000999,0x3f200999,0xffffffff,0x00ffffff,0x000004c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33260000,0x997001cc,0x35579999,0x03ccca80,0x32e59950,
    0x09accccc,0x66666400,0xcccccccc,0x0059971c,0xcca9e654,0xcccccccc,
    0x4c02cccc,0x00acdecb,0x2200b332,0x33263ccc,0x665c0004,0xccca801c,
    0x05991003,0x00005991,0x00599993,0x166f654c,0x333332a0,0xcccccccc,
    0x97002ccc,0xccc98079,0xcccccccc,0x972ccccc,0x91000399,0x6665c799,
    0x33322000,0x00066643,0x33264cc8,0xcccccccc,0xcccccccc,0x99999950,
    0x97001357,0x35799999,0x775c0001,0x4001c003,0x007dd702,0x17ffff20,
    0x7fffff40,0x0bffffff,0x01ffffc8,0xffd5ffc8,0xffffffff,0xffff005d,
    0xffffffff,0x13ffa7ff,0xf96ffc80,0xffffffff,0x209fffff,0xffffffd8,
    0x7fff02ff,0x0fffe880,0x0003ffee,0x805fffe8,0x3006fffe,0x7ff509ff,
    0xfffd0000,0xfff5009f,0x05dfffff,0x3ffffff6,0xffffffff,0x7fdc04ff,
    0x7fdc05ff,0xffffffff,0x54ffffff,0x7000bfff,0x7fd45fff,0x3ff6005f,
    0x00fffc1f,0x3ea7ff80,0xffffffff,0xffffffff,0xfffff91f,0x03bfffff,
    0x7ffffff4,0x002effff,0x5004ffc8,0x7d4005fd,0x3fffee2e,0xffff8003,
    0xffe800ff,0xffffffff,0x7fe41fff,0xffc805ff,0xffffffd5,0x1bffffff,
    0x7fffffc0,0xffffffff,0x4009ffd3,0xfff96ffc,0xffffffff,0xff509fff,
    0xffffffff,0x07fff09f,0x5c2fffd8,0x20000fff,0x200ffffe,0x006ffff9,
    0xff707ff5,0xffc80005,0x7e404fff,0xffffffff,0xfffd83ff,0xffffffff,
    0x504fffff,0x0bfffffd,0xffffffb8,0xffffffff,0x3fffa4ff,0x3ffe2001,
    0x02fffd86,0xf84fffa8,0xf88001ff,0x3fffea7f,0xffffffff,0x91ffffff,
    0xffffffff,0x3a09ffff,0xffffffff,0x001fffff,0x22013ff2,0xd000ffff,
    0x3ffa1fff,0x7d4006ff,0x802fffff,0xaaaadffe,0x0effffcc,0x07fffff2,
    0x3fabff90,0xecbaaadf,0xf03fffff,0x555559ff,0x3a155555,0x3f2004ff,
    0x5555536f,0x5555dffd,0xffff9835,0xfffd310a,0x203fff85,0xfb83fffb,
    0x3e0000ff,0x3202ffff,0x7007ffff,0x5ff905ff,0x7ffcc000,0x3f604fff,
    0xda9abeff,0x6540ffff,0xcccccccc,0x3fffcccc,0x7fffff54,0x664c05ff,
    0xcccccccc,0x22ffffcc,0x2006fff9,0xf881fffc,0x7f400fff,0x05ffd06f,
    0x44dff100,0xeaaaaaaa,0xaaaaaeff,0x5dff90aa,0xfffd9555,0x5bffd05f,
    0xfff99555,0x3f2001df,0xfff3004f,0x3fff900b,0x037ffff4,0x3fb3ff20,
    0x4ffe805f,0x8ffff620,0x05fffffc,0xffeaffe4,0x3fff6204,0x02fff80f,
    0x004ffe80,0xfb01bff2,0x3ffa00bf,0x1bff600e,0x3e607fff,0xfff704ff,
    0x77fc0001,0x37fe05ff,0xff7007ff,0x003ff905,0x7f67ff40,0x0ffe604f,
    0x005fffb8,0x10fffa80,0xf7fffffd,0x80000bff,0xfd85fff9,0xff8802ff,
    0x3ffee05f,0x0bfff204,0x40017ff4,0x36006ff9,0xff9005ff,0x7fffd40b,
    0x1027ff40,0x200dfff9,0x2e004ffc,0xffebafff,0x43fffbbd,0x003ffffb,
    0x7fdd7ffc,0x27ff400f,0xc97ffe20,0x00fffdff,0x7ff57ff2,0x5fffa804,
    0x8002fff8,0x32004ffe,0x7fec06ff,0x1fffa805,0xf17ffc40,0xfff107ff,
    0x07ffdc0b,0xfbbff000,0xf5ff501f,0x3ff200ff,0x000ffd81,0xfd1dff70,
    0x801a809f,0x80007ffe,0x7ffc4ffe,0x0bfff0cf,0xfffe8000,0x06fff880,
    0x400fffc8,0xf981fffe,0x3ff605ff,0x5ff98002,0x017ff600,0x2e02ffe4,
    0x7ff41fff,0x1fffd804,0x004ffc80,0x7fffffec,0x05ffffff,0xa8009ff9,
    0x5fff37ff,0x804ffe80,0x3ff26ffd,0x3204ffdc,0x09ffd5ff,0xf07fff20,
    0xfd0005ff,0x7fe4009f,0x02ffec06,0xd8037fe4,0x0fffe6ff,0xb803bffa,
    0x10000fff,0x07ff7bff,0x0fff1ffb,0x3a03ff60,0xff10007f,0x013ffa5f,
    0x07ffdc00,0x1fff5000,0x7fc0cfc8,0x3200005f,0x3f202fff,0x3fe203ff,
    0xfff9804f,0x00fffd85,0x2000fff6,0x36005ffa,0xff9005ff,0x3fff980b,
    0x44027ff4,0xfc803fff,0x7fc4004f,0xffffffff,0x800000ff,0x3ffa5ffc,
    0x027ff405,0xff92ffec,0x201fff59,0x9ffd5ffc,0x17ffe200,0xd0005fff,
    0x7e4009ff,0x2ffec06f,0x8027ff40,0x3ffe7ffa,0x00fffe43,0x0003ffee,
    0x7fc6ffc4,0xffaffc46,0x7fffc40f,0xffffffff,0x0fffffff,0x3a5ffd80,
    0x500004ff,0x40003fff,0x01885ffe,0x0000bfff,0x1017ffe6,0x3601ffff,
    0xf9000fff,0x7ffd45ff,0x01ffe402,0x0027fd40,0x3200bffb,0x7fc405ff,
    0x027ff43f,0x3334fff8,0xbffb3333,0x03333333,0x215ffff1,0x002fffe9,
    0x22fff800,0x3a00fffc,0xfff804ff,0x7fd3ff22,0x2bff904f,0x36004ffe,
    0x17ffc7ff,0x027ff400,0xd80dff90,0xfff805ff,0x1fff3004,0xffb8fffe,
    0xfffb802f,0xbff10000,0xffb83ffa,0xf881fff2,0xffffffff,0xffffffff,
    0x7fd400ff,0x013ffa0f,0x07ffd400,0x1fffa800,0x02fffc00,0x0fffe800,
    0x83fffb80,0x4003fff9,0xff88fffe,0x4ffc805f,0x04ffa800,0x4017ff60,
    0x7cc05ffc,0x27ff42ff,0xff5ffe80,0xffffffff,0xffffffff,0x103fff90,
    0x0000bfff,0x260fffa8,0x3fa02fff,0x7ffdc04f,0x7dd3ff20,0x5ffc80ff,
    0x5c009ffd,0x3ffe0fff,0x4ffe8002,0x01bff200,0xfd00bffb,0x3fe2009f,
    0x267fff1f,0xf7003fff,0x260001ff,0x47ff75ff,0x07ffa7fe,0xdff75551,
    0xdff75555,0xf8805555,0x27ff42ff,0x7ffb8000,0x17ffa000,0x017ffe00,
    0x0bfff200,0x40fffe80,0xa8006ffd,0xfffccfff,0x84ffb800,0xffb81ffa,
    0x17ff6003,0x202ffe40,0x7f40fffc,0x9fff004f,0x3ffffffe,0xffffffff,
    0x5fff87ff,0x001fff20,0xf0bff900,0x7ff40bff,0x13ffee04,0x3fe29ff9,
    0xd5ffc83f,0x7d4009ff,0x0bffe1ff,0x013ffa00,0x6c06ffc8,0xffd805ff,
    0x5fff1006,0x3fa2fffe,0x3fee004f,0xff30000f,0x7c5bfe2b,0x007ffa4f,
    0xff30bff1,0x5ffd8009,0x0004ffe8,0x000dffd0,0x0007ffe6,0x00017ffe,
    0x800bfff3,0x3e64fffa,0xfb0002ff,0x007fffff,0x3f617fea,0x03ffb84f,
    0x4017ff60,0x3ea05ffc,0x4ffe84ff,0x92fff880,0xfd999999,0x999999df,
    0x02fff889,0x0003ffea,0xc83fff80,0x3ffa07ff,0xffecccce,0x4ffc84ff,
    0x3f21fff2,0x009ffd5f,0xff17ffcc,0x999999bf,0x7ff49999,0xeeeeeeef,
    0x06fffeee,0x6402ffec,0xff002fff,0x36fffe7f,0x7dc006ff,0xf50000ff,
    0x5cffec9f,0x07ffa1ff,0xf509ff30,0x7fd4007f,0x04ffe80f,0x2fffa800,
    0x0bffd000,0x017ffe00,0x01fffd00,0x21fffd00,0x20005ffe,0x06fffff8,
    0x3e17fea0,0x2ffc87ff,0x017ff600,0x4ccf7fe4,0x0efffda9,0xd804ffe8,
    0xfc800fff,0x3fe6004f,0x3ffe601f,0xff500001,0x5fff501f,0x3fffffa0,
    0x02ffffff,0x7fc49ff9,0xeaffe42f,0x3e2004ff,0x3fffe3ff,0xffffffff,
    0x3ffffa7f,0xffffffff,0x6c06ffff,0xff8805ff,0xff7102ff,0x3fffe7ff,
    0x5c000fff,0x50000fff,0x67fd49ff,0x17ff46fe,0x2e0ffea0,0xfd1002ff,
    0x13ffa07f,0xdfff1000,0x3ffe6000,0xbfff0001,0x7ffe4000,0xfff30002,
    0x003fff39,0x1ffffb80,0x51bfe600,0xfc85ffff,0x3ff6002f,0xffff9005,
    0xdfffffff,0x013ffa01,0x2007fff7,0x2a004ffc,0x3e601fff,0x900001ff,
    0x7ffc0dff,0xfffffd05,0xffffffff,0x6c4ffc83,0xaffe46ff,0x22004ffe,
    0x3ffe3fff,0xffffffff,0x3fffa7ff,0xffffffff,0x406fffff,0xf7005ffd,
    0xd99bdfff,0x25ffffff,0x4fffefff,0x07ffdc00,0x44ffa800,0x6c3fffff,
    0x7fdc02ff,0x001ffc83,0x7f40bff9,0x7ec0004f,0xfb0001ff,0x7fc000df,
    0xff30005f,0xfd8000bf,0x004ffeff,0x3ffffb80,0x91bfe600,0xfd8bffff,
    0x3ff6001f,0xffff9005,0x03bfffff,0x999cffe8,0x6ffffba9,0x013ff200,
    0x201fff98,0x0000fffa,0x6c07fff0,0x9ffd07ff,0xff955333,0x7fe45fff,
    0x917ffcc4,0x13ffabff,0x23fff980,0x9999bfff,0x3a199999,0x99999dff,
    0xffd99999,0x02ffec06,0xffffff70,0xfffdffff,0x3f6fffe1,0x3ee002ff,
    0xf70000ff,0xffffc89f,0x2017fec0,0xffc82ffc,0x0fff9801,0x0013ffa0,
    0x002fffd8,0x005fff30,0x002fffc0,0x000fffe8,0x7ffffc40,0x7c40000f,
    0x000fffff,0xdff8dff1,0x3ff60fff,0x17ff6001,0x667ffe40,0x401efffe,
    0xfffffffe,0x00dfffff,0x8013ff20,0x3203fff8,0x177107ff,0x03fff500,
    0x7417ffd4,0x7fdc04ff,0x09ff90ff,0x7fe4dffb,0x4009ffd5,0x3fe2fffa,
    0xffe8002f,0x1bff2004,0x800bffb0,0xeffffec8,0x3e7ff89c,0xfffe8bff,
    0x1fff7001,0x13fee000,0xfb0bfff3,0x1ffc807f,0xe800ffd8,0x7ff403ff,
    0xfff90004,0x7fec0009,0x7ffc0006,0xfffb8005,0xff900002,0xb00007ff,
    0x0bffffff,0xf99ffe20,0x362ffdaf,0x3f6000ff,0xbff9005f,0x00fffe88,
    0x3ffffffa,0x002effff,0x4004ffc8,0xff107ffe,0xffff309f,0x06ffc803,
    0x742fffc4,0xffb804ff,0x309ff93f,0x3ff23fff,0x4009ffd5,0x3fe1fffb,
    0xffe8002f,0x1bff2004,0x000bffb0,0x6ff98088,0x7fccfffe,0xffb800ef,
    0xff90000f,0xb05ffd07,0x777447ff,0xeeeefffe,0xeeeefffe,0x4037fdc0,
    0xc8004ffe,0x20004fff,0x0002fff9,0x2002fffc,0x0005fff9,0x03fffe20,
    0x5fff7000,0x2005fff9,0x23ff27ff,0x3ffa5ffa,0x17ff6000,0x442ffe40,
    0x3fa05ffe,0xacdeeeef,0x3ff20001,0x7ffd4004,0x3fffa60e,0x6ffffe80,
    0x6677ffc0,0xffcccccc,0x04ffe87f,0xf95fff88,0x57ffa09f,0x9ffd5ffc,
    0x23ffec00,0xe8002fff,0x3f2004ff,0x2ffec06f,0xffb80000,0xfa8fffe5,
    0xffb805ff,0xff90000f,0x32099507,0x3ffe23ff,0xffffffff,0xffffffff,
    0x337ffe20,0xfccccccc,0x04ccceff,0x0027ffe4,0x001bff60,0x0017ffe0,
    0x0001fffd,0x005ffd80,0x8b7ffc40,0xf800ffff,0x22dff0ff,0x0ffd0fff,
    0x005ffd80,0x3ea0bff9,0x9ffd02ff,0x3f200000,0x7fc4004f,0xffffefff,
    0xfffff06f,0x7fffd40f,0xffffffff,0x7f42ffff,0xbffd004f,0x7d413ff2,
    0xd5ffc8ff,0x3e2009ff,0x17ffc5ff,0x027ff400,0xd80dff90,0x000005ff,
    0x7ffc7ffd,0x01fffe43,0x0003ffee,0x4001ffe4,0x3ba24ffc,0xeeefffee,
    0xeeefffee,0x3fffe20e,0xffffffff,0x7fffffff,0x013fff20,0x07fff300,
    0x0bfff000,0x017ffdc0,0x2ffec000,0x3fff6000,0x017ffea1,0x3fe67ffa,
    0x7fcbff63,0x2ffec007,0x205ffc80,0xffd06ffe,0x22000009,0x7e400099,
    0xffffffff,0xffd84fff,0x3ff205ff,0xffffffff,0x44ffffff,0xff004ffe,
    0x813ff29f,0x5ffccffe,0x36009ffd,0x7ffc2fff,0x4ffe8002,0x01bff200,
    0x0000bffb,0xff8dff70,0x1fffe83f,0x003ffee0,0x001ffec0,0x3e027fe4,
    0x05ff886f,0x7fffffc4,0xffffffff,0x907fffff,0x00009fff,0x0000fffb,
    0x4c017ffe,0x00005fff,0x000bffb0,0x6c27ffd4,0x7f402fff,0x2a0ffc9f,
    0x00dff6ff,0x9005ffd8,0x7fd40bff,0x04ffe82f,0x40000000,0xffdcfffa,
    0x2fffcdff,0x0077ff44,0x5555bfff,0xfd555555,0x04ffe8ff,0xf92fff98,
    0x7ffdc09f,0x9ffd5ffc,0x0dfff500,0xd0005fff,0x7e4009ff,0x2ffec06f,
    0x3fe60000,0x41fffc1f,0x700ffff8,0x20001fff,0xc8003ffd,0x3fe205ff,
    0x404ff985,0xaaaaaaa8,0xfffaaaaa,0xfc82aaad,0x980004ff,0x00003fff,
    0x3a00bfff,0x00000fff,0x000bffb0,0x203fffe2,0x200efff9,0x46feaffd,
    0x6ff8fff8,0x02ffec00,0x7c05ffc8,0x4ffe86ff,0x00000000,0x1117ffe2,
    0x980fffd8,0x0fffcc01,0x45fff500,0x74404ffe,0x9ff90fff,0xffffff80,
    0xc809ffd5,0xff81ffff,0xffe8002f,0x1bff2004,0x000bffb0,0x17fff220,
    0x7d40fffe,0xfff706ff,0x3ffa0001,0x5ffb8002,0x2a13fe60,0x800003ff,
    0x7e404ffe,0xb00004ff,0x40000fff,0xfb805fff,0x000002ff,0x40017ff6,
    0x3202fffd,0x3f604fff,0xfd83ffcf,0x4005ffcf,0xf9005ffd,0xfffb80bf,
    0x0027ff42,0xdddddd50,0xdddddddd,0x7fff45dd,0x6fff8800,0x0fff9000,
    0x24fff880,0xf7304ffe,0x7fe45fff,0x7fffdc04,0x989ffd5f,0x2ffffeba,
    0x0005fff0,0x64009ffd,0x7fec06ff,0x95330005,0xf01dffff,0x7fe407ff,
    0x0fffb84f,0x05ffd000,0x40bff700,0xffb83ffa,0xfe800002,0x3fff204f,
    0x9999999d,0xf3009999,0x988007ff,0xfff99999,0x1099999e,0x3333dfff,
    0x33333333,0x2ffec001,0x37ffd400,0x07fffe20,0x07ffffe4,0x2fff7fd4,
    0x017ff600,0x2202ffe4,0x7ff46fff,0x3fea0004,0xffffffff,0x22ffffff,
    0x2e003ffb,0xff0003ff,0xffb0009f,0x7fffff4f,0xffffffff,0x2027fe43,
    0xd5fffff8,0xffffffff,0x403fffff,0xffffffff,0xd3ffffff,0x7e4009ff,
    0xfffff96f,0xffffffff,0xffffb89f,0x03ffffff,0xfd00fffe,0xfffb87ff,
    0xffffffff,0x3ffa1fff,0x6ffb8002,0x320ffee0,0x800001ff,0xff104ffe,
    0xffffffff,0x0bffffff,0x0003fff6,0xfffffff9,0xffffffff,0x3fffff67,
    0xffffffff,0x36006fff,0x7c4005ff,0xfa801fff,0xfff706ff,0x7fffc0df,
    0x7fec004f,0x0bff9005,0x743fff90,0x2a0004ff,0xffffffff,0xffffffff,
    0x64002442,0xfff30000,0xfff70003,0x3fffffa3,0x1dffffff,0xc804ffc8,
    0xffd5ffff,0xffffffff,0xfff8019f,0xffffffff,0x9ffd3fff,0xcb7fe400,
    0xffffffff,0x44ffffff,0xfffffffb,0x7ffc00df,0x7fffc403,0x3ffffee1,
    0xffffffff,0x00bffe1f,0xc81bfee0,0x1ffc82ff,0xffe80000,0xfffff104,
    0xffffffff,0xff30bfff,0xff90009f,0xffffffff,0x3a7fffff,0xffffffff,
    0xffffffff,0x17ff6006,0x09fff900,0x41fffec0,0x203ffffb,0x004ffffc,
    0xc802ffec,0xff8805ff,0x013ffa5f,0x00000000,0x32000000,0xf10007ff,
    0x3fffa9ff,0x1cceffff,0x2013ff20,0xfd5ffff8,0x9bddffff,0x7fffc005,
    0xffffffff,0x09ffd3ff,0xfcb7fe40,0xffffffff,0x5c4fffff,0x0abcdeff,
    0x007fff00,0x2e1dfff5,0xffffffff,0x21ffffff,0xa8002fff,0x3ff206ff,
    0x000ffd81,0x04ffe800,0xfffffff1,0xffffffff,0x1fffb0bf,0xffff9000,
    0xffffffff,0x3ffa7fff,0xffffffff,0x06ffffff,0x8017ff60,0x000ffff9,
    0x503fffe6,0x4c01ffff,0x4003ffff,0xf9005ffd,0x3ff200bf,0x009ffd1f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x001440a8,0x17dd9300,0x00bded98,0x33bfb6a2,0x05ef6d42,0x00eed400,
    0x7f6e5440,0x22003cef,0x02cdeeca,0x2a00b32e,0x654c03cc,0x201bdeee,
    0xeefedcb8,0xcb9800bc,0xc802cdee,0x97000ccc,0x3332a199,0xcccccccc,
    0x332a1ccc,0x3322000c,0x4419971c,0x902cefec,0xbdd73099,0x01332207,
    0x440ccc80,0x02cdedca,0x3b223991,0x0efecc1d,0x2b376ea0,0x804cc980,
    0x6643ccca,0x0ccccccc,0x00000000,0x157bb751,0x0c008800,0x00044018,
    0x0000e64c,0x7443bee0,0xfb80003f,0xf50fffff,0x301dffff,0xffffffff,
    0x3fffff67,0x3fe6000e,0x3f2000ff,0xffffffff,0x7fd403ff,0x0effffff,
    0xb803ffe8,0xffd106ff,0x5fffffff,0xfffffc88,0x402fffff,0xfffffffc,
    0x3fee01ef,0xfffb806f,0x3ffffee4,0xffffffff,0x13ffe62f,0xd0fffc80,
    0x3ffee3ff,0x7c0dffff,0x3fffa27f,0x7c40dfff,0xf98000ff,0x3ffe60ff,
    0x40efffff,0xffe8aff9,0xffff32ff,0xfffb103f,0xfb85ffff,0x7ffd407f,
    0x7ffffc1f,0x0001ffff,0x80027fe4,0xfffffffb,0x33f6002f,0xb31df980,
    0x0bf9103f,0x005ff500,0xa7ffec00,0x0004fffc,0x3fffffea,0xfffff8df,
    0xfffa86ff,0xfeffffef,0x06fffeff,0x0fffff20,0xfffffd80,0x2fffffff,
    0xddffff90,0xe85fffff,0xffb803ff,0xfffffb86,0x42ffffff,0xfefffffe,
    0xd302ffff,0xffffffff,0x7ec07fff,0x3fe203ff,0x7fffdc6f,0xffffffff,
    0x37ff42ff,0x74bfff00,0xffffc9ff,0x7c4fffff,0xffff98ff,0xf86fffff,
    0xf98001ff,0x6f7fcc7f,0x4c6fffec,0xffffcbff,0xfffff8cf,0x7fffc45f,
    0x21ffffff,0x3ea07ffb,0xfff81fff,0x01ffffff,0x027fe400,0x2f7ff620,
    0x0dffdb99,0x407ffdc0,0xdff94ffe,0x005fff10,0x0001ff98,0x45fffe88,
    0x000dfffd,0xfd13ffe8,0x3e65ffdf,0x05f541ff,0x43bffff2,0x7001fff8,
    0x4005ffff,0x2209acfd,0x640ffffc,0x7d40cfff,0x3ffa0fff,0x46ffb803,
    0x0acffffb,0x7e45f933,0xb9880cff,0xbffff881,0x3fffee61,0x3fffd101,
    0x107fff60,0x33333333,0x81dfff33,0x9801fffb,0x3ffa2fff,0xf912effe,
    0x7ffc3fff,0xf70bfffa,0xffe83fff,0x6ffa8002,0x7fcc0544,0x3f3fe61f,
    0xbf7dfd0f,0xff91ffe6,0x3ffae23d,0x4c1ffee6,0x3300ffff,0x3fff5333,
    0x4ffc8000,0x017fec00,0x7c40bff5,0x6ffc83ff,0x7dc27ff4,0xf10500ff,
    0x2002881f,0x904fffe9,0x4003dfff,0x7fcc6ff9,0x27fdc4ff,0xffff8802,
    0x0027fdc1,0x1800bffb,0x45fff900,0x2202fff8,0x3ffa4fff,0x26ffb803,
    0x801efff8,0x0013ffe0,0x202fffc8,0x2606fff9,0xffb86fff,0x3f60002f,
    0xfff881ff,0x47ffc804,0x80dffffe,0x3fe3fff8,0xf881efff,0x1ffec5ff,
    0x02ffdc00,0xf98bffa0,0x3ff22fff,0x43ffe0ff,0xf880fff9,0x0fff71ff,
    0x001dfff3,0x001fff88,0x0027fe40,0xfff31ff7,0x0ffe239d,0x7d437fec,
    0x7ffcc1ff,0x885ffd81,0x83fe21ef,0xfa800ffa,0x7d402fff,0xf9002fff,
    0x7ffff07f,0x4006ff88,0xff986ffe,0x000cc007,0x9fff1000,0x5c02ffe4,
    0x7ffd0fff,0x6cdff700,0x44001fff,0x30002fff,0xf7007fff,0x7fdc05ff,
    0x13ffe24f,0x3fffb800,0x201fff60,0x7ff44fff,0x27fec05f,0x401dffff,
    0x7fdc6ffc,0xc81ee984,0x999804ff,0x3fe62ffd,0x1fffe46f,0x7fd47ffa,
    0x5cfff605,0x7ffcc7ff,0xff88000e,0x7e40001f,0x5ff1004f,0x9bfb3be6,
    0x7fd40ffb,0x1fffc40f,0x440effb8,0x7fe42fff,0x7e45fe4f,0x7fdc04ff,
    0xff3001ef,0xffd007ff,0x03fffb03,0xfc800fff,0x07ff884f,0x80000000,
    0xfff15ffd,0x3fff1003,0x2e00fffa,0x9fff36ff,0x13ffe000,0x03ffe400,
    0xd80bffd0,0xdffb1fff,0x7ffcc000,0x17ffd405,0xe81fff50,0x7e400eff,
    0x07fffe5f,0xfa8dff70,0x84ffc85f,0xfc882ffd,0x2fffffff,0xf90bffe6,
    0x23ffd0ff,0x3f204ffc,0x4cfff74f,0x0000efff,0x0003fff1,0x5004ffc8,
    0xfb2fccdf,0xff117f45,0x0bffb07f,0xfb84ffd8,0x7ff540ef,0xffeaff9e,
    0x7ffe402e,0x7f44000e,0x7ffc04ff,0x80fffc80,0x2e000fff,0x1fff04ff,
    0x00000000,0xff35ffc8,0x3ffe001f,0x7007ffd2,0x3ffeadff,0xfffb0000,
    0xffd8001b,0x1bff2004,0xf7dfff10,0x220003ff,0xfd006ffe,0x2ffec0bf,
    0x5c01fff4,0x0bffe6ff,0xf317baa0,0x0ffff0df,0xff983ffd,0xfffeefff,
    0x321ffe62,0x1ffe84ff,0x7e409ff9,0x26fff74f,0x0000efff,0x0007ffe2,
    0x2009ff90,0xd97e64fc,0xfc93f21f,0x0fffa86f,0x417ffc40,0xfd504ffe,
    0x05dfffff,0x04fffd88,0x6fffec00,0x2e0fff00,0xaaaaafff,0x2a601fff,
    0xaadffdaa,0x11fffaaa,0x33333333,0x33333333,0x54c40133,0xffecccca,
    0x555fff75,0xf5555555,0x0fffa9ff,0x7e5bfee0,0x3e20007f,0x00bdffff,
    0x2003ffe8,0xf9807ffb,0x002fffff,0x003fff60,0x4407ffdc,0xffe82fff,
    0x26ffb803,0x40002fff,0x7fcc7ff8,0x07ffc1ff,0xf9037ffa,0x437fcc5f,
    0xffe83ffc,0x6c0bff71,0x3fff72ff,0x0001dfff,0x401fff88,0x99999998,
    0x9999dffd,0x47fd0999,0x45fdcef9,0x0fffe5fb,0x64013ffa,0x7ffb86ff,
    0x17fffd40,0x1ffff4c0,0xfffc8000,0x83ffc41e,0xfffffffb,0x6441ffff,
    0xffffffff,0xffffffff,0xfffff51f,0xffffffff,0x105fffff,0xfffffff9,
    0x3f2bffff,0xffffffff,0x4fffffff,0xf7007ffd,0x017ff6df,0xffffd300,
    0x7fc05bff,0x3fea002f,0xfffc800f,0x3ee0005f,0x3e2002ff,0x7ffb83ff,
    0x7007ffd0,0x17ffcdff,0x07ffc000,0x449ffff9,0x7ffc47ff,0x262ffd80,
    0x3ffc86ff,0xff51ffe8,0x3fff101f,0x3ffbffee,0xf880001f,0x7fd401ff,
    0xffffffff,0xffffffff,0x7fcc5fd2,0x26fa85ff,0x7cc0effb,0x7fcc01ff,
    0x1fff441f,0xdfffff70,0x7fffd407,0x7d400002,0x3fe62fff,0xfffff707,
    0x43ffffff,0xfffffff8,0xffffffff,0xff51ffff,0xffffffff,0xffffffff,
    0xfffffb85,0xffffffff,0xffffff95,0xffffffff,0x0fffa9ff,0x7f5bfee0,
    0xd700005f,0x5dffffff,0x002fff88,0x2003ffea,0x002ffffa,0x009fff50,
    0xfd0dffb0,0x0fffa09f,0xff9bfee0,0xfe80002f,0x3fb7fe1f,0xf11bfe67,
    0xfffc83ff,0x321bfe62,0x1ffe83ff,0x445bfff1,0x3fee5ffd,0x00efff9f,
    0x0fffc400,0x3ffffea0,0xffffffff,0xf92fffff,0x7ec6fcc9,0x3fa27e43,
    0x06ffc84f,0x7e427ff4,0x9fff706f,0x17fff9ff,0x027fffc4,0xfffc8000,
    0x20fff10e,0x64007ffb,0x3ee1dfff,0x3ba6003f,0xeeeeeeee,0xeeeeeeee,
    0x2ffffea1,0x75ffc809,0x33333dff,0x33333333,0x200fffa1,0xdffb6ffb,
    0xfc980000,0x7c3fffff,0x3ea002ff,0xfff8807f,0x44000fff,0x50006fff,
    0x7fcc3fff,0x07ffd01f,0x7fcdff70,0xfd80002f,0xf95ff32f,0x217fea5f,
    0xfecbefff,0x3fe62fff,0xe83ffc86,0x3ffea1ff,0x0ffffdef,0x7fd5ffee,
    0x220000ef,0x74c01fff,0xffeeeeee,0xeeeeeeff,0x7ccbf71e,0x3fe8ff35,
    0x740fffcc,0xdff904ff,0xa83fff30,0x2ff1efff,0x222fffe9,0x0004fffe,
    0x077ffe40,0x3f20fff1,0xff1000ff,0x09ff707f,0xf0000000,0xfc801dff,
    0x00fff55f,0x803ffe80,0xfff96ffb,0x6cc00000,0x3fa0ffff,0x3fee003f,
    0xffffe806,0x7f4006ff,0x3e0000ff,0x1bff24ff,0xb803ffe8,0x0bffe6ff,
    0x4fff2000,0x5ff98ffc,0xff509ff5,0xff5bffff,0x6437fcc5,0x1ffe83ff,
    0x7fffffdc,0x3ffdc1ef,0x000dfff5,0x000fffc4,0x4013ff20,0x4bf31ff9,
    0x03ff53fd,0xff30dff9,0x1fff985f,0xfa84ffe8,0xc83fe24f,0xfffd81ff,
    0x6c40000e,0xfff05fff,0x01fff901,0x203ffe60,0x00004ffb,0x7ffc4000,
    0x35ffc802,0x40001fff,0xfc804ffe,0x01fff76f,0xffb80000,0x017ff63f,
    0x6404ffe8,0xfffa9fff,0x3fff9004,0x7ffc8000,0xfe80fffe,0x6ffb803f,
    0x0000bffe,0x2ff53fea,0x5ff71fff,0x4b3bae20,0x3fe61cc8,0xe83ffc86,
    0xedc881ff,0xfff703ce,0x005fffc8,0x003fff10,0x004ffc80,0x52fcdbf2,
    0x409fd1df,0xffb84ffe,0x07fff10f,0x0e40dff9,0x09303fe2,0x00f7ffdc,
    0x3fffe880,0x3a0bffe0,0xf5002fff,0x1bff20df,0x50000000,0xfb003fff,
    0x13ffe2bf,0x05ffd800,0xf9b7ffdc,0x000005ff,0x3f24fff8,0xff9801ff,
    0x3ffea02f,0x00ffff24,0x0007fff5,0xf55fff30,0x7ff401ff,0x26ffb803,
    0x80002fff,0x2ff9dff9,0x3ff2bff2,0x3e600001,0x83ffc86f,0x80001ffe,
    0xffd87ffb,0xff88005f,0x7e40001f,0x77f4004f,0x7f54c099,0x0fffd406,
    0xffdafff4,0x02fff985,0x000ffcc0,0x017fffd4,0x0bfffe60,0xf889ff90,
    0xf3005fff,0xffff50ff,0x2e200003,0xfff3000b,0x7fff4405,0x007fff25,
    0x503ffe40,0x7ecdffff,0x000002ff,0xf88fffe6,0x7f4405ff,0x3ffe206f,
    0x01fffe86,0x000bfff3,0x7e67ff40,0x1fff404f,0xff37fdc0,0xf100005f,
    0x4c1ff9df,0x00ffddff,0x1bfe6000,0x3fa0fff2,0xfb80001f,0x9fffb07f,
    0x1fff8800,0x27fe4000,0x2fffa600,0xeffba889,0x103fd801,0x03f2219f,
    0x4c002fdc,0xf30001ff,0x2e007fff,0xa801ffff,0x3ff20fff,0x44103fff,
    0x3fe61fff,0x0100efff,0x03bffe20,0x03bffe20,0x97ffffee,0x003ffff8,
    0x427ffd41,0x26fffffb,0x00cffff9,0x002a6393,0xf707fffa,0xfd101bff,
    0x3fa203ff,0xfff981ff,0x77ff440f,0x3ea00000,0x401fffff,0xfb803ffe,
    0x00bffe6f,0x7f7ffc00,0x7ffffe85,0xcccccca8,0x32cccccc,0x7ff90dff,
    0x32a3ffd0,0xcccccccc,0xfff72ccc,0x0ffffa20,0x01fff880,0x027fe400,
    0xfffffc80,0x02004fff,0x00100000,0x0005ff50,0x027fff44,0x003bfff2,
    0xfdcefff8,0xcefffadf,0x7ff44fec,0xf9effdcf,0xfccbceff,0xffff7003,
    0x3fff6005,0xffffdccf,0x7fdc5ffd,0xccbcdeff,0x7ff44fed,0xeffeccef,
    0x7fdc6ffa,0xfecdefff,0xbdff72ff,0xfffb9999,0x3fffa09f,0xfffeccef,
    0x3fff604f,0x17ffee03,0xddddfff9,0xdddddddd,0x3ffffe00,0x03ffe806,
    0x3fe6ffb8,0xfd00002f,0xff905fff,0xfff90dff,0xffffffff,0x21bfe69f,
    0xffe83ffc,0xffffff91,0x29ffffff,0x3e207ffb,0x775c3fff,0xefffeeee,
    0x000eeeee,0x40009ff9,0x1bdeedb9,0x00000000,0x00000000,0x40efffd8,
    0x005fffd8,0xffffff98,0xfffff90f,0xfffa89ff,0xff50efff,0x07ffffff,
    0x0bfffee0,0x7ffffc40,0xfa8effff,0xfffea85f,0xffffffff,0x7ffffd44,
    0xff98efff,0xffffea86,0x72ffffff,0xffffffff,0x4409ffff,0xfffffffd,
    0x3ee02fff,0xffd805ff,0x3ffff64f,0xffffffff,0xff9007ff,0xffd007ff,
    0x4dff7007,0x00002fff,0x301ffffb,0xf90bffff,0xffffffff,0x3fe69fff,
    0xe83ffc86,0xffff91ff,0xffffffff,0x301ffee9,0x7e45ffff,0xffffffff,
    0x00ffffff,0x0009ff90,0x00000000,0x00000000,0xfffc8000,0x9fffd31e,
    0x7ff4c000,0x7ff641df,0xffa82eff,0x7ed40dff,0x001effff,0x800dfff1,
    0xefffffc8,0x4417fe63,0xffffffec,0xfe882def,0x3e24ffff,0x3ffae06f,
    0x30bdffff,0xfffffffb,0x2a0039ff,0xcefffffe,0x3fffe600,0xffff8800,
    0xffffffb2,0xffffffff,0x3ffe600f,0x3ffe800f,0x3e6ffb80,0x900002ff,
    0x7f40bfff,0x400004ff,0xffc86ff9,0x001ffe83,0x807ffb80,0xf91ffffa,
    0xffffffff,0x01ffffff,0x000fbae0,0x00000000,0x00000000,0x3fea0000,
    0x05fff94f,0x00262000,0x33001351,0x0026a600,0x0002ee20,0x00001988,
    0x00266a62,0x00001a98,0x31001331,0x00013553,0x00001988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13e60000,0x000003f9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000804,0x10660028,0x5bdfddb7,0x07bb6600,0x33bb72a0,
    0x00262001,0x02f376ea,0x00399500,0x55555551,0x55555555,0x87333215,
    0x3314ccc9,0x33333333,0x22333333,0x5400cccc,0x0000a601,0x2033332a,
    0x0002ccb9,0x02cccc88,0x66440010,0x4ccccccc,0x3fe60330,0x26666667,
    0xdd199999,0xdddddddd,0xdddddddd,0x0000bddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fe20000,0x21ff9802,0xfffffffa,
    0xffb300ef,0x7ec403ff,0x05ffffff,0x103fff98,0xfffffffb,0x3ffe2005,
    0xffffa806,0xffffffff,0xffd2ffff,0xb7ffcc3f,0xfffffffd,0xffffffff,
    0x01ffff17,0x7dc1fff4,0x3ea0006f,0xffb81eff,0x2601efff,0xffd302cc,
    0x7ff4405f,0xffff8804,0x20ffffff,0x5c0effe8,0x3fffa5ff,0x6fffffff,
    0xffffffff,0xffffffff,0x00ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3a000000,0x3e602fff,0x3ffea5ff,0x45ffffee,
    0xffffffd9,0x3ffffa01,0x404fffff,0x4c2ffffe,0xffeeffff,0xffc802ff,
    0x7fd403ff,0xffffffff,0xd2ffffff,0x7fcc3fff,0xfffffb6f,0xffffffff,
    0x3ffe2fff,0xffff500f,0x005ffff0,0x01bfff50,0xfffffff7,0x13ff205f,
    0x02fffd88,0x809ffffd,0xfffffff8,0x3ffa0fff,0x1ffec6ff,0xfffffffd,
    0x3ffedfff,0xffffffff,0xffffffff,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff3000,0x1dfff305,0x7ff440c4,
    0x3ffffea7,0x3e201fff,0xfffa88ae,0x7ffffc07,0x106fff45,0x4c01fffb,
    0x00fffcff,0x2aaaaaa2,0xaaaaaaaa,0x1fffb0aa,0xecafffc4,0xeeeeeeee,
    0x27ffeeee,0x3e607fff,0xfffe86ff,0x7ffd4001,0x2ffffe03,0xd83ffffc,
    0xffb803ff,0x7fffcc2f,0x8800007f,0x20ffffff,0x3ff60fff,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x7cc5ffff,0x2e000eff,0x3bfe26ff,0x401fff8a,0x03fff700,
    0x53ffffec,0x7ff40dff,0x2e3ff603,0x000005ff,0x441fffb0,0x20005fff,
    0x3ffe7ffa,0x406f5c07,0x54003ed8,0x3ea01fff,0x7fff4c6f,0x007ffea4,
    0xf517ffcc,0x000fffff,0xfffff100,0x01bfe21f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4d7fffcc,
    0x4000efff,0x115c4ffe,0x20003fff,0x2201fffa,0x3f27ffff,0x13fee03f,
    0xffd1ffd4,0x90000003,0x9fff0fff,0x3ffd4000,0x0000ffff,0x04ccc000,
    0x2217fee0,0xffeffffe,0x4cc4005f,0x3ffffe21,0xfb000005,0x6eccbfff,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe6000,0x400effff,0xeffecba8,0x0fffc400,0x07ffd800,
    0x366fffb8,0x3fea02ff,0xfa8dfd05,0x8000006f,0xfff87ffc,0x3fea0004,
    0x001bffa7,0x40000000,0xfd103ffc,0x03ffffff,0x7ffd4000,0x1000000e,
    0x0001bffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ffffe60,0xfffa800e,0xf8800eff,0xfb8001ff,
    0xff9803ff,0x80bff64f,0xffb84ffc,0x983ffd82,0xcccccccc,0xcccccccc,
    0xff0fff71,0x7d40007f,0x01bffa7f,0x00000000,0x2e004cc4,0x000dffff,
    0x00198800,0x00110000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff5000,0x3ffea007,0x4404ffff,
    0x64001fff,0xf5006fff,0x27fe45ff,0xf887ffd0,0x1fff106f,0xffffffa8,
    0xffffffff,0x0dff72ff,0x40007ffd,0x3ff67ffa,0x00000005,0x22000000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff9800,0x262002ff,0x203fffda,
    0x1001fff8,0x001dfffb,0xfa8bffd1,0xfffb81ff,0x9017fe40,0xfffa8bff,
    0xffffffff,0x932fffff,0x03997079,0x52664c00,0x00000799,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xefff9800,0x0002ffff,0x7c40bffd,
    0xfe9801ff,0xfb9804ff,0xffd80fff,0xffffcbcf,0x202ffcc3,0x2621fff8,
    0x99999999,0x09999999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4477ffcc,0x4002ffff,0x2205fff8,0x7d401fff,
    0x7d402fff,0x101effff,0xfffffffd,0x03ffb09f,0x000dff70,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77ffcc00,
    0x0bfffe60,0x1fffec40,0xfff53331,0xffc83335,0xaaaaacff,0x7ffff50a,
    0x3fffae00,0x5ffa81df,0x00fffa00,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe6000,0xffff980e,0x3fbbbb22,
    0x3a0effff,0xffffffff,0xfff10fff,0xffffffff,0x006ae63f,0x00000980,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb0000000,0x7cc01dff,0x3fff25ff,0x40dfffff,0xfffffffe,0xff10ffff,
    0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00ed8000,0x7f5c5f98,0x701cdeff,
    0x99999999,0x33221999,0xcccccccc,0x000000cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00044000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_40_latin_ext_x[560]={ 0,8,5,0,2,0,1,8,5,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,1,8,4,2,2,4,5,0,0,3,1,2,3,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,3,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,4,5,0,3,2,7,8,4,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,1,0,0,0,0,0,0,3,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-5,-3,3,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,3,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,5,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-2,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_40_latin_ext_y[560]={ 29,1,1,3,-1,1,1,1,-1,-1,1,8,22,16,
22,1,3,3,3,3,3,3,3,3,3,3,9,9,7,13,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,34,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-3,0,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,29,9,-1,3,4,3,
-3,1,1,3,3,10,16,16,1,2,1,5,1,1,1,9,1,14,29,1,3,10,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,9,-4,1,-4,1,-4,1,-4,1,-4,0,3,1,-3,2,-4,1,-4,1,3,9,-4,1,-4,1,
-4,1,-4,1,3,0,-4,-5,3,1,-4,1,-3,2,-4,1,3,1,-4,9,3,1,-4,1,3,1,9,-4,-5,3,
1,0,0,3,1,3,1,-4,1,3,9,-4,1,-2,3,9,-3,2,-4,1,-4,1,3,9,-4,1,3,9,-4,1,
-4,1,-4,1,3,9,-4,1,3,3,-4,0,3,3,-4,1,-3,2,-4,1,-5,-1,-4,1,3,9,-4,1,-4,1,
-4,-4,1,-4,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-6,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_40_latin_ext_w[560]={ 0,6,12,22,18,22,21,6,12,12,16,20,11,12,
8,17,20,18,18,17,21,17,18,18,18,19,7,11,16,18,16,14,22,22,17,19,19,16,15,19,18,16,15,18,
16,22,18,20,17,21,18,18,20,18,22,22,22,22,18,11,17,11,18,22,14,17,17,16,17,18,21,20,16,17,
16,18,17,20,16,20,17,17,18,16,18,16,20,22,20,20,17,15,4,15,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,16,19,20,21,
4,18,18,22,14,17,17,12,18,17,14,18,14,12,19,19,18,8,6,14,14,17,22,22,22,14,22,22,22,22,
22,22,23,19,19,19,19,19,19,19,19,19,21,20,21,21,21,21,21,18,20,20,20,20,20,22,17,18,19,19,
19,19,19,19,22,16,20,20,20,20,20,20,20,20,19,19,21,21,21,21,21,20,20,19,19,19,19,21,17,21,
22,19,22,19,23,18,19,20,19,19,19,19,19,18,22,25,21,21,19,20,19,20,19,20,17,18,19,20,19,21,
19,21,19,21,19,21,20,19,22,19,19,20,19,20,19,20,17,18,19,17,18,18,18,18,18,18,18,20,20,16,
17,25,25,19,23,20,17,20,19,18,16,20,19,20,18,16,21,21,21,21,22,22,22,22,22,21,18,18,22,21,
20,19,20,19,18,16,20,19,20,18,21,25,20,18,20,19,20,19,20,19,20,19,22,22,18,17,22,22,22,21,
22,20,20,20,20,20,20,16,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,22,19,23,22,23,23,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,18,16,20,18,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20, };
static unsigned short stb__consolas_40_latin_ext_h[560]={ 0,29,10,26,35,29,29,10,39,39,17,20,14,4,
8,33,27,26,26,27,26,27,27,26,27,26,21,27,23,11,23,29,37,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,34,26,27,26,27,26,26,26,26,26,38,33,38,13,4,9,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,21,20,20,20,29,20,38,41,38,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,35,26,24,26,
41,33,9,27,20,17,10,4,18,8,14,24,16,16,9,29,33,8,6,16,20,17,28,28,28,29,33,33,33,33,
33,34,26,32,33,33,33,33,33,33,33,33,26,33,34,34,34,34,34,17,35,34,34,34,34,33,26,29,29,29,
29,29,29,31,21,26,29,29,29,29,28,28,28,28,29,28,29,29,29,29,29,21,29,29,29,29,29,37,37,37,
32,28,33,29,34,28,34,29,34,29,34,29,34,29,33,30,26,29,32,28,33,29,33,29,34,28,33,29,34,37,
34,37,34,37,35,38,33,34,26,28,33,28,32,27,33,28,34,36,33,20,27,37,34,37,35,37,20,33,34,35,
37,29,29,26,28,26,28,33,28,35,29,33,28,31,35,29,33,28,34,29,34,29,27,21,33,28,35,29,33,28,
34,29,34,29,32,26,34,29,35,35,33,30,26,27,34,29,33,28,34,29,35,31,34,29,34,28,33,28,33,37,
33,33,28,33,28,33,28,28,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,33,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,39,36,33,29,38,33,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,35,29,35,35,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26, };
static unsigned short stb__consolas_40_latin_ext_s[560]={ 506,501,162,213,137,263,405,193,47,34,494,
418,97,318,275,22,471,296,258,453,236,407,1,277,39,134,501,441,1,143,18,
254,206,1,24,492,61,81,469,366,98,117,425,154,173,190,42,386,443,291,424,
20,403,104,485,380,357,334,315,134,106,84,124,331,260,102,427,156,63,120,225,
445,328,187,273,247,216,345,271,190,290,228,288,173,142,139,250,307,211,109,232,
118,1,146,239,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,506,505,120,
406,480,447,6,469,200,81,330,458,175,318,439,284,109,461,82,54,219,366,66,
302,311,67,366,476,64,41,18,497,147,359,382,156,109,1,324,389,220,277,297,
240,216,23,464,444,201,423,380,276,24,46,298,35,79,320,255,192,91,425,348,
214,133,346,326,306,286,489,58,366,207,186,165,144,175,422,465,486,43,255,1,
475,453,431,409,81,388,368,348,328,308,229,390,349,346,87,323,173,213,148,420,
90,271,53,211,489,172,386,260,27,285,111,428,127,283,193,303,233,134,360,200,
269,481,184,461,162,360,251,100,96,488,152,383,107,405,339,369,161,317,234,237,
447,236,400,182,312,341,371,466,408,381,179,440,194,331,57,83,223,315,243,297,
402,196,156,73,484,167,468,175,40,1,275,112,130,68,466,58,35,43,400,1,
1,62,443,355,124,313,104,409,307,250,23,58,39,337,1,426,123,376,20,85,
205,334,153,485,448,397,152,231,287,124,305,170,290,193,256,345,448,266,1,379,
1,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,40,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,11,427,85,81,60,132,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,20,246,58,39,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264, };
static unsigned short stb__consolas_40_latin_ext_t[560]={ 1,43,379,330,43,213,213,379,1,1,357,
357,379,379,379,148,273,330,330,273,330,273,302,330,302,330,330,273,357,379,357,
182,1,330,330,273,330,330,301,273,330,330,273,330,330,330,330,273,330,43,330,
302,330,302,301,330,330,330,330,1,114,1,379,379,379,357,213,357,213,357,273,
213,273,273,1,273,243,357,357,357,182,213,357,357,302,357,357,357,357,243,357,
1,1,1,379,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,1,79,43,
301,330,301,1,114,379,302,357,357,379,379,357,379,379,330,379,379,379,213,114,
379,379,379,357,357,273,273,273,182,114,114,114,148,148,79,302,148,148,114,114,
148,114,114,79,79,302,79,79,79,79,79,79,379,43,79,79,79,79,114,302,
182,182,213,213,213,213,148,357,301,213,213,213,213,243,243,243,243,213,243,213,
182,182,182,182,357,182,182,182,182,182,1,1,1,148,273,148,182,79,273,43,
182,43,182,43,213,79,213,148,182,302,182,148,273,148,182,148,182,79,243,148,
182,43,1,43,1,79,1,43,1,114,79,301,273,114,243,148,302,114,243,79,
1,114,357,302,1,79,1,1,1,357,148,43,43,1,243,243,302,243,302,243,
79,243,43,182,79,273,148,43,243,114,243,79,243,79,213,302,357,114,243,43,
243,148,243,43,213,43,213,148,302,43,213,43,43,114,182,301,302,43,243,114,
273,43,182,1,148,43,243,43,273,114,273,114,1,114,114,273,114,273,148,243,
273,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,148,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,1,1,148,213,1,148,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,43,213,43,43,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,302,
302,302,302,302,302,302,302,302,302, };
static unsigned short stb__consolas_40_latin_ext_a[560]={ 352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,352,
352,352,352,352,352,352,352,352, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_40_latin_ext(stb_fontchar font[STB_FONT_consolas_40_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_40_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_40_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_40_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_40_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_40_latin_ext_s[i] + stb__consolas_40_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_40_latin_ext_t[i] + stb__consolas_40_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_40_latin_ext_x[i];
            font[i].y0 = stb__consolas_40_latin_ext_y[i];
            font[i].x1 = stb__consolas_40_latin_ext_x[i] + stb__consolas_40_latin_ext_w[i];
            font[i].y1 = stb__consolas_40_latin_ext_y[i] + stb__consolas_40_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_40_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_40_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_40_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_40_latin_ext_s[i] + stb__consolas_40_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_40_latin_ext_t[i] + stb__consolas_40_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_40_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_40_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_40_latin_ext_x[i] + stb__consolas_40_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_40_latin_ext_y[i] + stb__consolas_40_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_40_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_40_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_40_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_40_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_40_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_40_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_40_latin_ext_LINE_SPACING
#endif

