// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_43_latin_ext_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_43_latin_ext'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH         512
#define STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT        461
#define STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_43_latin_ext_FIRST_CHAR            32
#define STB_FONT_consolas_43_latin_ext_NUM_CHARS            560

#define STB_FONT_consolas_43_latin_ext_LINE_SPACING          28

static unsigned int stb__consolas_43_latin_ext_pixels[]={
    0x2aaa3555,0x7fd40001,0x000003ff,0x13551000,0x2aaaa000,0x00aaaaaa,
    0x26553100,0xaaaaaaaa,0xee88001a,0x2a000005,0x5403eeee,0x000004cc,
    0x3320b326,0xdb980004,0x20001bde,0x02a600aa,0x0b332000,0x3bb70000,
    0xccc80000,0xb1000002,0x9900019d,0x3b200059,0x332a002d,0x0ccccccc,
    0x99500000,0x3b6a0399,0x19db1003,0x000e6644,0xff980000,0x664c0eff,
    0x27ffd04c,0x20003ffe,0x401efffb,0x400002f8,0x7fffc45c,0x3fe000cf,
    0xffffffff,0x3ff66002,0xffffb6ff,0x009fffff,0x000bff50,0x3fffea00,
    0x07ffc803,0x3fe20000,0x0037fcc6,0xfffffd10,0xb8005fff,0xffb80fff,
    0x3f60001f,0x00003fff,0x001ffff7,0x3ffff600,0x7c400003,0x6c006fff,
    0x4003ffff,0x001ffffc,0xfffffffb,0x000003ff,0x207ffff7,0x404ffff9,
    0x226fffe8,0x00003fff,0xffff9800,0x0ffff504,0x7ff4fffa,0xfff70003,
    0x3ffd1009,0x3fee0000,0x3ffffe25,0xfff001ff,0x5fffffff,0x3ffff200,
    0xffffb6ff,0x009fffff,0x0007ffb0,0x3dfff500,0x01fff200,0xbfff0000,
    0x009ffd77,0x3bfffee0,0x02fffffd,0x213fffe0,0x0004ffff,0x7ffffffb,
    0xfffd0000,0xfb00007f,0x007fffff,0x7fffd400,0xfffb001f,0x7c007fff,
    0xb004ffff,0xffffffff,0xb800003f,0x3201efff,0x5407ffff,0xf11fffff,
    0x000007ff,0x2ffff980,0x41fffea0,0x7ffd3ffe,0x3dff7000,0x3fffe200,
    0x7fdc0001,0x3f73224f,0xc800ffff,0xffcccccc,0xfffa802f,0xffb3cdef,
    0x5999999d,0x0fff8800,0x7fd40000,0x0bff50df,0x0001fff2,0xfffff500,
    0x32000dff,0x5cc0cfff,0xfd002fff,0xfffd07ff,0xdffb0009,0x007fff71,
    0x3ffffe80,0x77fec000,0x003fffb8,0xfffff500,0x1dffb003,0x2007fff7,
    0x004fffff,0xfb555553,0x400003ff,0x400dfffb,0x407ffffd,0x12fffffa,
    0x00007fff,0x77ffc400,0x37ffd400,0xffd3ffe8,0x80000007,0x000ffff9,
    0x80bfff50,0x004fffc8,0x00bffe20,0x6c0bfffa,0x200005ff,0x00006ffb,
    0x321e6644,0xfff902ff,0xd5000000,0x001bffff,0x805fff50,0xa800fffb,
    0xff980eff,0x3f62000e,0x3ffea0df,0x3fee0003,0xb10000ff,0x7fd41bff,
    0xfd00003f,0xfd880bff,0x3ffea0df,0xffffc803,0x7fdc0001,0xf700001f,
    0x3ea007ff,0x7c405fff,0xff10ffff,0x0000007f,0xa801e65c,0xffd06fff,
    0x800fffa7,0x001ceeda,0x00efffa8,0x077ffcc0,0x007ffe80,0x00bffe20,
    0x6c07fff5,0x200005ff,0x00004ffe,0x807ffc00,0x00007ffc,0x002aa600,
    0x00fffcc0,0x2003ffc8,0x98001800,0x555302aa,0x66d40001,0x2aa60000,
    0x01555302,0x19d91000,0x302aa980,0xb7001555,0xf700003b,0x200003ff,
    0x5c001aaa,0xe9800cfe,0x3ffe21ef,0x20000003,0xf5000ab9,0x3ffa0dff,
    0x2007ffd3,0x2ffffffd,0x4fffb800,0x07fff400,0x01fff500,0x0bffe200,
    0xd80fff70,0x200005ff,0x00000aaa,0x81bfe600,0x00007ffc,0x74000000,
    0x7fc003ff,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007ffee0,0x00000000,0x3ffe2000,0x88000003,0x804ffffe,0xfd06fff9,
    0x00fffa7f,0x3a633fea,0xffb0007f,0x3fee003f,0x7fcc002f,0xff10001f,
    0x6ffc805f,0x002ffec0,0x00000000,0xfb9db731,0x3ffe407f,0x00000000,
    0x00dff700,0x0003ffb0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ee00000,0x000001ff,0x80000000,0x0003fff8,0xeeffe800,0x7fcc03ff,
    0x27ffd06f,0xfc803ffe,0x000ffd46,0x4037ffc4,0x8005fff8,0x0002fff8,
    0xd805fff1,0x7fec05ff,0x00000005,0xffffb000,0x405fffff,0x55107ffc,
    0x53100001,0xffd00035,0x9ff70003,0x00000000,0x001aa988,0x06aa6200,
    0x00000000,0x00000000,0x80000000,0x0001fffb,0x00000000,0x03fff880,
    0x7fd40000,0xf301ff21,0x3ffa0bff,0x7007ffd3,0x07fdc1ff,0x3fffc800,
    0x00fffec0,0x017ffc40,0x02fff880,0x3602ffec,0x100005ff,0x00003553,
    0x3fffffa6,0x02ffffff,0x7644fff9,0x003effff,0xffffffb8,0x6fffffff,
    0x80037fd4,0x7fd46ff8,0x7fc4005f,0xfff7006f,0xffffffff,0xff700dff,
    0xffffffff,0x7fd4dfff,0x7fc4005f,0x7fffd46f,0xffffffff,0xffff504f,
    0xffffffff,0xffffd89f,0x001fffff,0x00fffdc0,0x002fffd4,0xf91bffe2,
    0x3fea00ff,0x0fffe21f,0x07ffff20,0x3e237e40,0x3ffe601f,0x3a7ffd05,
    0xff9803ff,0x005ffdce,0x81fffe20,0x0004fff9,0x0005fff1,0xb00bffe2,
    0xffd80bff,0x7fdc0005,0xffffffff,0xfa806fff,0xebbeffff,0xc83fffff,
    0xfffd17ff,0x007fffff,0x3fffffea,0xffffffff,0x817fec6f,0x7c510aa8,
    0x0ffff86f,0x0fffee00,0xffffff50,0xffffffff,0x7ffd40df,0xffffffff,
    0x7fc6ffff,0x3ee000ff,0x7ffd43ff,0xffffffff,0xfff504ff,0xffffffff,
    0xfffd89ff,0x01ffffff,0x0fffdc00,0x00ffff80,0x90fffee0,0x3ea00fff,
    0x3ffe21ff,0x7fffe403,0x31ff2001,0x7fcc03ff,0x27ffd05f,0xf5003ffe,
    0x001bffff,0x02fffb80,0x0001fffb,0x000bffe2,0x2017ffc4,0x7ec05ffd,
    0xff50005f,0xffffffff,0x80dfffff,0x40cffff8,0x0ffffffd,0x7fcf7fe4,
    0xffffeeff,0x7ffc403f,0xffdbabdf,0x226fffff,0xffd887ff,0x3fa6feff,
    0x03fffc87,0x803fffa0,0xabdffff8,0xffffffdb,0xffff106f,0xfffb757b,
    0xfc8dffff,0x3fa003ff,0x7ffd40ff,0xffffffff,0xfff504ff,0xffffffff,
    0xfffd89ff,0x01ffffff,0x0fffdc00,0x03fffc80,0x903fffa0,0x3ea00fff,
    0x3ffe21ff,0x3ffff203,0x67fcc001,0x4406fe99,0xffd05fff,0x000fffa7,
    0x00003555,0x2217ffe2,0x20005fff,0x0002fff8,0xd805fff1,0x7fec05ff,
    0xfff88005,0xffdbabdf,0x406fffff,0xff05fffc,0xc8bfffbf,0x0dffffff,
    0x01ffff22,0x2a07fffd,0xff506fff,0xfffff989,0x3ffa5fff,0x037ffcc0,
    0x405fff88,0xf503fffe,0xffd00dff,0x3ffea07f,0x1bffe606,0x02fffc40,
    0x013ffe00,0x013ffe00,0x000fffdc,0x007ffee0,0x8037ffcc,0xfc85fff8,
    0xfff5007f,0x81fffc43,0x001ffffc,0xffffff90,0x5fff8803,0x3fa7ffd0,
    0x2aa6003f,0xb00001aa,0xffa81fff,0x3e20002f,0xf10002ff,0xffd805ff,
    0x02ffec04,0x81ffff40,0x1006fffa,0x3ea0dfff,0x1ffff9df,0x0ffffff2,
    0x302fffc8,0xfc809fff,0x2ffc82ff,0x7ddf7ff4,0x03ff64ff,0x2007fff6,
    0x2602fffb,0x7e404fff,0x3fe602ff,0x7ffe404f,0x07fff602,0x00bffee0,
    0x009fff00,0x009fff00,0x0007ffee,0x003fff70,0x400fffec,0xfc82fffb,
    0xfff5007f,0x41fffc43,0x001ffffc,0x0efff5c0,0x827ffc40,0x7ffd3ffe,
    0x7ffffc00,0xff700005,0x07ffd85f,0x03fff800,0x05fff100,0x6c04ffe8,
    0x7cc005ff,0x7fe404ff,0xfffc802f,0x365ff902,0x3ff23fff,0x7fc403ff,
    0x3fff705f,0x84fff880,0x3fee0ffe,0xd8fffa0e,0xfffa81ff,0x07ffe804,
    0x200fffdc,0x2e04fff8,0x7c401fff,0x3fea04ff,0x7ffe804f,0x4fff8000,
    0x4fff8000,0x03fff700,0x1fffb800,0x13ffea00,0x641fffa0,0xff5007ff,
    0x1fffc43f,0x003fffee,0x44000800,0xffd04fff,0x400fffa7,0x0ffffffa,
    0xfff88000,0x002fffc5,0x0037ff40,0x202fff88,0x6c02fff8,0x7dc005ff,
    0x7fc401ff,0x7fff804f,0x7cc3ffe0,0x3fff25ff,0x0fffd004,0x7c01fff2,
    0x3ffc45ff,0xfff0bffa,0xf80ffe43,0x3e600fff,0x7fe404ff,0x0bfff007,
    0xf803ffe4,0x7ffc05ff,0x3ffe600f,0xfff80004,0xfff80004,0x3fff7004,
    0xfffb8000,0x7fffc001,0x13ffe600,0xa803ffe4,0x3fe21fff,0x3bffee3f,
    0xa9880000,0xf88009aa,0x7ffd04ff,0x6400fffa,0x02ffffff,0x4dffd000,
    0x0003fff9,0x00cfffa8,0x817ffc40,0xd806ffd8,0x7e4005ff,0xbfff007f,
    0x05fff880,0xfff8dff3,0x801fff27,0xfd80fffc,0xfff800ff,0xf32ffcc4,
    0x0fff88ff,0x7e407ff2,0x3ff202ff,0x7ffec01f,0x04fff800,0x2003fff6,
    0x7e404fff,0x3ff202ff,0xff80001f,0xff80004f,0xfff7004f,0xffb80003,
    0x7fe4001f,0x3fff202f,0x00fff901,0xf887ffea,0xdfff73ff,0x36a20001,
    0xffffffff,0x27ffc03f,0x9973ffe8,0x37ffe005,0x00005fff,0x7fd4fffb,
    0xf900002f,0x0199dfff,0x952fff88,0x03ffffd9,0x800bffb0,0xf800fffd,
    0x7fcc04ff,0x87ff703f,0xff90fffe,0x7ffdc00f,0x01fffb80,0x2a17ffcc,
    0x17fee3ff,0xffd8fff3,0x0dfff300,0x5c037ff4,0x7cc01fff,0x3fee02ff,
    0x7ffcc01f,0x37ffcc02,0x000dffd0,0x0013ffe0,0x4013ffe0,0x0001fffb,
    0x000fffdc,0xe81bffe6,0x3ff206ff,0x3fff5007,0x7ddfffc4,0x20000eff,
    0xfffffffb,0x01ffffff,0x3fa09fff,0xff50003f,0x01fffb3f,0x1fff9000,
    0x0007ffee,0xffffda80,0x7ffc401f,0x7dffff92,0x17ff6001,0x03fff700,
    0x402fff98,0xfd02fffa,0x1fffd83f,0x5c00fff9,0xff981fff,0x7fff406f,
    0xfb1ffdc1,0x46ffa89f,0x3fa00ffd,0xfff980ff,0x6fff9803,0x00ffff40,
    0xe80dfff3,0xfe801fff,0xfff980ff,0xfff00003,0xfff00009,0x3ffee009,
    0x7fdc0001,0xffe8001f,0x3fff980f,0x401fff20,0x3e21fffa,0x0ffffeff,
    0x7ffdc000,0xffeeceef,0x7fff06ff,0x000fffa0,0xffbbffe4,0xfc80002f,
    0x1fff71ff,0x7f5c0000,0x4401ffff,0xfff92fff,0x36005bff,0x7cc005ff,
    0x7ff406ff,0x7ffdc01f,0xc86ff881,0xfff92fff,0x0fffd400,0x40dfffd8,
    0xc84fffd8,0x0bffa2ff,0x7fe8bff9,0x427ffd40,0xb000fffc,0xd881bfff,
    0xfd804fff,0x7ec40dff,0xff5004ff,0x1fff909f,0x3ffe0000,0xfff80004,
    0x3fff7004,0xfffb8000,0xfffa8001,0x00fffc84,0x5401fff2,0x3fe21fff,
    0x04fffdbf,0x00e75c00,0xf09fffd5,0x3ffa07ff,0x9fff0003,0x0017ffe2,
    0x647ffee0,0x00000fff,0x559dfffb,0x2fff8801,0xffff9753,0x0bffb007,
    0x1bfffb00,0x04fffd88,0xa80fffc8,0xfffb84ff,0x400fff92,0xf300fffb,
    0xfdbdffff,0x3f20dfff,0xb07ffe2f,0x07ff87ff,0xff87fff8,0x3fe6005f,
    0xffedefff,0xff3006ff,0xffdbdfff,0xff800dff,0x05fff87f,0x13ffe000,
    0x13ffe000,0x00fffdc0,0x07ffee00,0x43fffc00,0x7e405fff,0xfff5007f,
    0x45fffc43,0x0004fffe,0xdfff3000,0x3a07fff0,0xfa8003ff,0x1fffa2ff,
    0x3ffee000,0x001fff91,0x05fff500,0x05fff100,0x003fffa2,0x3000bffb,
    0xdbdfffff,0x200dffff,0xfd80fffd,0x2fffb82f,0x6400fff9,0x3ffa07ff,
    0xffffffff,0x3ffb00cf,0x3fa0fffc,0x01bfe22f,0xfa8bfff2,0x3fa002ff,
    0xffffffff,0xfd000cff,0xffffffff,0xc80019ff,0x3fea2fff,0x3e00002f,
    0xf80004ff,0xff7004ff,0xfb80003f,0xf90001ff,0x7ffd45ff,0x03ffe402,
    0x221fffa8,0xfff13fff,0x0000007f,0x3fe1fff6,0x07ffd03f,0xb8fff900,
    0x40002fff,0xff70fffc,0xfb00003f,0x3e2000bf,0x3fe602ff,0x2ffec03f,
    0x7ffff400,0xcfffffff,0x3fffb000,0x3ee0fff0,0x0fff91ff,0xb837fec0,
    0xffec9eff,0x7ec01cdf,0x83fff11f,0x3fea1fff,0x5fff9803,0xb801fff6,
    0xffec9eff,0x2e001cdf,0xffec9eff,0x30001cdf,0x7fecbfff,0x7fc00007,
    0xff80004f,0xfff7004f,0xffb80003,0xff30001f,0x03ffecbf,0xa803ffe4,
    0x3fe21fff,0x3fffe63f,0xb8000002,0xe8000fff,0xff8003ff,0x2fffcc5f,
    0x9fff2000,0x0002fffa,0x0003fff8,0xe805fff1,0x7fec04ff,0x77fdc005,
    0xcdfffec9,0x7ffe4001,0xc82ffd42,0xfff90fff,0x13ffe200,0x0001fff4,
    0xfff0ffec,0x90fffd45,0x3fa003ff,0x4fff88ff,0x00fffa00,0x07ffd000,
    0xffe80000,0x04fff88f,0x27ffc000,0x27ffc000,0x01fffb80,0x0fffdc00,
    0x1fffd000,0x9009fff1,0x3ea00fff,0x3ffe21ff,0x17fffd43,0x3ee00000,
    0xfe8000ff,0x7fcc003f,0x07ffe82f,0x33ffec00,0x00007fff,0x20005fff,
    0x6c02fff8,0x7fec05ff,0x1fff4005,0x7fe40000,0x817fe42f,0x3ff27ffd,
    0x3fff9007,0x005fff10,0x7c5ff900,0x3fffa2ff,0x400dff11,0xffbafffb,
    0xfff1001f,0x7c400005,0x000002ff,0x7dd7ffdc,0x400001ff,0x80004fff,
    0xf7004fff,0xb80003ff,0x20001fff,0xffbafffb,0x7ffc801f,0x43fff500,
    0xfb83fff8,0x40001fff,0xdaaaaa98,0x40080fff,0x64003ffe,0xffc80fff,
    0x3fa0002f,0x13ffe66f,0x5fff1000,0x3ffe2000,0x02ffec02,0x88017ff6,
    0x00002fff,0x743fffb8,0xdffd00ff,0x5403ffe4,0xff104fff,0xb80001df,
    0x3bff62ff,0x8cffefc8,0x22003ffd,0x6ffedfff,0x3bffe200,0xff100000,
    0x000001df,0x7f6fffc4,0xf800006f,0xf80004ff,0xff7004ff,0xfb80003f,
    0x220001ff,0x6ffedfff,0x00fff900,0xf887ffea,0xfff903ff,0xfc98003f,
    0xffffffff,0x3fa20fff,0x27ffd03f,0x3fe03ffe,0x9fff305f,0x3ffe6000,
    0x0037ffc3,0x00bffe20,0x017ffc40,0xfb017ff6,0x7fc400bf,0x400000ef,
    0x3e64fff9,0xbfff106f,0x405fffe4,0x00ffffc8,0x3bbffffa,0x09accccc,
    0x7d47ff70,0xfe8fffff,0x8005ffff,0x3ffffffc,0x7ffff400,0xacccccee,
    0xfffe8009,0xccccceef,0xf900009a,0x007fffff,0x09fff000,0x09fff000,
    0x007ffee0,0x03fff700,0xffffc800,0xff9003ff,0x3ffea00f,0x80fffe21,
    0x800ffffd,0xffffffd8,0xffffffff,0x07ffff60,0x7ff4fffa,0x07fff303,
    0x8003fffc,0x7e41fffb,0x220001ff,0x10002fff,0xfd805fff,0x2ffec05f,
    0x3ffffa00,0xacccccee,0x3ffe0009,0x207ff70f,0x3f23fffb,0xeeeeffff,
    0x401fffff,0xfffffff9,0xdfffffff,0x3627fd41,0xff72ffff,0x30001dff,
    0x01ffffff,0xfffff980,0xffffffff,0x3fe601df,0xffffffff,0x001dffff,
    0x7fffffcc,0xff800000,0xff80004f,0x3fffea4f,0xffffffff,0x3ea3ffff,
    0xffffffff,0x3fffffff,0xfffff300,0x3ff2001f,0x3fff5007,0x201fffc4,
    0x400efffe,0xacdffffd,0xfffdaaaa,0x0fffffe0,0x7ff4fffa,0x01fff903,
    0x0017ffe4,0x7d437ff4,0x220003ff,0x10002fff,0xfd805fff,0x2ffec05f,
    0x3fffe600,0xffffffff,0xfd801dff,0x03ffd4ff,0xfc83fffa,0xffffffff,
    0x5000dfff,0xffffffff,0x5fffffff,0x6542ffcc,0x00ddc40b,0x3ffffa00,
    0xfff50004,0xffffffff,0x5405ffff,0xffffffff,0x2fffffff,0x7ffff400,
    0xff000004,0xff00009f,0x7fffd49f,0xffffffff,0x3ea3ffff,0xffffffff,
    0x3fffffff,0x3ffffa00,0x1fff2004,0x10fffd40,0xe8807fff,0xf700efff,
    0xfb801dff,0x3fffa0ff,0xd3ffe82f,0x3ffe07ff,0x27ffd406,0x13ffe200,
    0x00037ffc,0x0005fff1,0xb00bffe2,0xffd80bff,0xfffa8005,0xffffffff,
    0x5402ffff,0x7ff9ffff,0xc87fff70,0xffffefff,0x26002cef,0xccaaefff,
    0xfffffecc,0x00fff11f,0x7dc00000,0x98000fff,0xccaaefff,0xfffffecc,
    0xefff981f,0xfeccccaa,0x001fffff,0x003fffee,0x27ffc000,0x27ffc000,
    0xfffffff5,0xffffffff,0x7fffd47f,0xffffffff,0x2003ffff,0x000ffffb,
    0x5401fff2,0x3fe21fff,0xfff9803f,0x1fffd06f,0x41fff700,0xfd05fff9,
    0x20fffa7f,0xf803fff9,0x7e4007ff,0xfff901ff,0x3fe20005,0xff10002f,
    0x5ffd805f,0x002ffec0,0x2abbffe6,0xfffecccc,0x7f401fff,0xb84ffeff,
    0xffc87fff,0x40002667,0x800efff8,0x3a3ffff9,0x000002ff,0x09fff700,
    0x1dfff100,0x7ffff300,0x00efff88,0x03ffff98,0x013ffee0,0x7ffc4000,
    0x7fc40003,0x7cc0003f,0x000000ef,0x13ffee00,0x3ee00000,0x000000ff,
    0x4017ffe0,0x5440fffb,0x74fffa01,0xfffc83ff,0xaaaaaaac,0x002fffea,
    0x4c09fff3,0x10006fff,0x20005fff,0x6c02fff8,0x7fec05ff,0x3ffe2005,
    0xfff9800e,0x7ffcc03f,0xf9512fff,0xff907fff,0x7dc0000f,0x3ee001ff,
    0x17fee5ff,0x22000000,0x8001ffff,0x2001fffb,0x7dc5fffb,0x3ee001ff,
    0xff1005ff,0x000003ff,0x000bffe6,0x005fff30,0x00fffc40,0xf1000000,
    0x00003fff,0x00fff700,0x7fc40000,0xffe8805f,0xffe8000f,0xff07ffd3,
    0xffffffff,0x9fffffff,0x03fff600,0x007fff90,0x003fff10,0x00bffe20,
    0xfd80dff9,0x3fee005f,0x3fee001f,0xfffb805f,0xffffefff,0xfff903ff,
    0x7fec0000,0x7ffc4007,0x003ffe25,0xff900000,0x3f6000bf,0x7fc4007f,
    0x03ffec5f,0x017ffe20,0x002fffe4,0x1fff7000,0xfffb8000,0x3ff60000,
    0x26654003,0x7ffe4000,0xb0000005,0x65400dff,0xfff0004c,0xffffb80d,
    0xffe8000f,0xf987ffd3,0xffffffff,0xffffffff,0x3fffa807,0x01fffd00,
    0x00fff980,0x05fff100,0x6c07ffb8,0x3f6005ff,0x7fc4007f,0xfff5005f,
    0xdfffffff,0x03ffe403,0x0ffff000,0x43fffa80,0x0000effc,0xffff5000,
    0x3ffe0001,0x7ffd4007,0x003fffc3,0x200fffea,0x000ffffa,0xffff1000,
    0xfff88000,0x3fe20007,0x7fec001f,0x7fd40005,0x000000ff,0x005fff98,
    0x40017ff6,0xd984fffe,0x00ffffff,0xfd3ffe80,0xffffc87f,0xffffffff,
    0x01ffffff,0x801bffa2,0x4005fffa,0x20007ffd,0x5402fff8,0x3f602fff,
    0x3ffe005f,0x7ffd4007,0x3fff2003,0x00ceffff,0x0003ffe4,0x007fffb0,
    0x303fffe6,0x2200bfff,0xfff70002,0x7ec0003f,0xff3003ff,0xfffd81ff,
    0xffff3003,0xffffb801,0x40288001,0x102fffd8,0xfffd8805,0x3fe60002,
    0x7ffc002f,0x3fee0002,0x100001ff,0x07fff440,0x005fff00,0x3ffffea0,
    0xbfffffde,0xe8000fff,0x87ffd3ff,0x54006fff,0x3f604fff,0x7ec001ff,
    0xff7003ff,0x7c4000bf,0x7fc402ff,0xbffb01ff,0x1fffec00,0x0ffff980,
    0x2a7ffe00,0x7fe4001a,0x3ee00007,0x99bcefff,0xffffdb99,0x7dfff502,
    0x06fd9983,0xffecccb8,0x5c0003ff,0x9bceffff,0xfffdb999,0xffffb82f,
    0xb9999bce,0x5c2ffffd,0xffffeccc,0xbff30003,0xfff95557,0x6ffcc0bf,
    0xfffcaaab,0xfe80005f,0x4c01acef,0x97000fff,0x7ffffd99,0x67740000,
    0xffffcbaa,0x3ffe6004,0x3ff20000,0xdfffffff,0x000fff88,0xffd3ffe8,
    0x01fffcc7,0x41fffe20,0x8003fffc,0x442fffe8,0xffffebaa,0xaaaaa800,
    0x802fffba,0xabdffffb,0x555dffb2,0xffb83555,0x999bceff,0x2ffffdb9,
    0x01bfe600,0x00fff900,0xffffc800,0xffffffff,0x7cc03fff,0xffffffff,
    0xfd806fff,0x03ffffff,0xffff9000,0xffffffff,0x7e407fff,0xffffffff,
    0x83ffffff,0xfffffffd,0x3fe60003,0xffffffff,0x3fe600ef,0xffffffff,
    0xb80000ef,0x404fffff,0x36006ffb,0x3fffffff,0x7ff40000,0x5fffffff,
    0x037fdc00,0x7fff5400,0x3fe23dff,0xffe8000f,0x7e47ffd3,0xfd8001ff,
    0x7ffdc1ff,0x3fe20004,0x3ffe21ff,0xf003ffff,0xffffffff,0x3ffa005f,
    0xffb6ffff,0x9fffffff,0xffffff90,0xffffffff,0xffb8007f,0x7fe40003,
    0xea800007,0xffffffff,0x3000cfff,0xfffffffd,0xfb0039ff,0x001bffff,
    0xfffea800,0xffffffff,0xffea800c,0xffffffff,0xfffb00cf,0x80001bff,
    0xfffffff9,0xf9803fff,0xffffffff,0x5c00003f,0x6404fffe,0x3f6003ff,
    0x000dffff,0xffffe800,0x8003ffff,0x00003ffc,0x00000d4c,0x3fa7ffd0,
    0x01bffe3f,0x327ffdc0,0x00009fff,0x7c4dfff3,0x001effff,0x3ffffffe,
    0x2a002fff,0xfb6fffff,0xffffffff,0x3fffaa09,0xffffffff,0xffe8000c,
    0x66540001,0x22000004,0xacdedcca,0x2e60000a,0x4001accd,0x001abdeb,
    0x66544000,0x00aacded,0xedcca880,0x5c00aacd,0x0001abde,0x676e5cc0,
    0x5cc000ab,0x00abcedc,0x70000000,0x75c00199,0x00001abd,0x37b72a20,
    0x970000ab,0x00000019,0xffd00000,0x7ccfffa7,0xf10004ff,0x05fd8dff,
    0x87fe6000,0x001aacc8,0xccccccc8,0x44001ccc,0x9973cba9,0x59999999,
    0xedcca880,0x0000aacd,0x00001332,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffe8000,0x3ff27ffd,0x3fa0001f,0x000241ff,0x00001540,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffd0000,0x0000fffa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfe9fff40,0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x70000000,0x0b32e599,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x260001aa,0x553000ab,0x2a200155,0x2a6000aa,
    0x26001aaa,0x544002aa,0x555550aa,0x55555555,0x00000555,0x00110000,
    0x55555551,0x55555555,0x2aa60005,0x02200000,0xcb988000,0xa881bcde,
    0xaaaaaaaa,0xaaaaaaaa,0x540002aa,0x544005ff,0xabcdeecb,0x012e6000,
    0x0006aaa0,0x5001554c,0x2aa61555,0x551000aa,0x00000015,0x2aaaaaa2,
    0x000009aa,0x0000ab98,0x26666000,0x002a6001,0x027fdc00,0x7ffff440,
    0xffffb804,0x1fff5004,0x7ffffc00,0x1fff6005,0x25fff500,0xfffffffd,
    0x6fffffff,0x2effda80,0x64000190,0x7fd405ff,0xffffffff,0x007fffff,
    0x0005ffb0,0x0017ff20,0xfffffd50,0x449fffff,0xffffffff,0xffffffff,
    0x40006fff,0xb3002ffc,0xffffffff,0xfb001fff,0xff8800df,0xffb0005f,
    0x3fff200f,0x17fffee5,0x007ffd40,0x40bbff6a,0xffff500c,0x9fffffff,
    0xfe880001,0x00004fff,0x2ffffc80,0x05fff900,0x07ff9000,0xfdbffd00,
    0xfffb807f,0xffa800ff,0xfff5000f,0x36001fff,0x7d4007ff,0xffffb2ff,
    0xffffffff,0xffb80dff,0x911effff,0xf50001df,0x7d407fff,0xffffffff,
    0x07ffffff,0x003ffd00,0x7ffff500,0xfffb1000,0xffffffff,0x3ffe21ff,
    0xffffffff,0xffffffff,0x7ffc0006,0xffffc800,0xffffffff,0x6ffd800f,
    0x2fffc400,0x07ffd800,0x5c6fffb8,0x801fffff,0x2e00fffa,0x1effffff,
    0xf501df91,0xffffffff,0x0009ffff,0x7ff6fff4,0x32000003,0x3001efff,
    0x000fffff,0x8005ffb0,0x1bf21ff9,0x9fffff70,0x01fff500,0x3fffff20,
    0xfffb002f,0x2fffa800,0xddddfffb,0x9ddddddd,0x76fffd40,0xffffffff,
    0xfff70006,0x7774c0bf,0xeffffeee,0x0006eeee,0x00001fff,0x00bffff7,
    0xffffffa8,0xfffeccdf,0xddddd10f,0xdffffddd,0x09dddddd,0x037fcc00,
    0x677fffe4,0xffdccaac,0x06ffd800,0x02fffc40,0x407ffd80,0x5c0ffff9,
    0x805fffff,0xf500fffa,0xffffdbff,0x2a0dffff,0xeeeeefff,0x03ffffff,
    0x321ff980,0x9000006f,0xa8009fff,0x000fffff,0x000fff40,0x0ff51fea,
    0xffffffb8,0x07ffd400,0xffdfff80,0xfffb005f,0x2fffa800,0x0000fffb,
    0xfd3077cc,0x001dffff,0x0ffffe60,0x02fffc00,0xfffa8800,0x7cc00009,
    0x2a003fff,0x00afffff,0xf8003f26,0x880005ff,0xffdcedb9,0x7fffd403,
    0xb0013002,0xf8800dff,0xfb0005ff,0x7ffc40ff,0xffffb81f,0x7fd400ff,
    0x41df300f,0xefffffe9,0x03fff500,0x07ffff66,0xfa8ff500,0xfc800007,
    0xf88002ff,0x80006fff,0x4c000fff,0x01bf62ff,0xbffffff7,0x00fffa80,
    0xfd9fffa8,0xffd800ff,0x7ffd4007,0x000fffb2,0xd9501980,0xb800015b,
    0x3e0004ff,0x2e0005ff,0xfffffffd,0x70000dff,0xfe8009ff,0x00000eff,
    0x0017ffe0,0xffffffb0,0xfe805fff,0x800001ff,0x44006ffd,0xb0005fff,
    0x7fec0fff,0xffff702f,0xffa809ff,0x5406600f,0x2a00adec,0x7ec01fff,
    0x7cc004ff,0x001bf62f,0x01555100,0x077f4c00,0x1ffe2000,0x76ffec00,
    0x7fdc02ff,0x201fffbf,0xc800fffa,0x5fff77ff,0x00fffb00,0xfb2fffa8,
    0x000000ff,0x00000000,0x017ffe00,0x3ffffaa0,0xffffffff,0x40000000,
    0x0005fffb,0x05fff800,0xffffd300,0x5fffffff,0x017ffe20,0x37fec000,
    0x17ffe200,0x83ffec00,0x2e04fffc,0x0fffbfff,0x003ffea0,0x7fd40000,
    0x7ffcc01f,0xdffd8005,0x00002ffe,0x00000000,0x1dff7100,0xfffb1000,
    0xfff7009f,0xfa817ffe,0xfff800ff,0x00bfff14,0xa800fffb,0xfffb2fff,
    0x00000000,0x00000000,0x70017ffe,0xfdffffff,0x01ffffdf,0x7c400000,
    0x00000fff,0x005fff80,0xefffffa8,0xfffffebb,0x04fff983,0x7fffe400,
    0xffffffff,0x12ffffff,0x2000bfff,0xffa87ffd,0x7ffdc05f,0x2a04fff8,
    0x00000fff,0x03fff500,0x000ffff0,0x09ffffb1,0x66665400,0x000ccccc,
    0x36a00000,0xffffffff,0x0aa98004,0x2efff700,0xff501fff,0xfffa801f,
    0x201fffa2,0x54007ffd,0xfffb2fff,0x55530000,0x0aaa8800,0x6765cc00,
    0x3fe001ac,0x3fe6005f,0x5ff90bff,0x440005cc,0x1bcdecb9,0x009fff90,
    0x3ffe0000,0x7ffc4005,0x7ffec0cf,0x7fc40fff,0x7e40007f,0xffffffff,
    0xffffffff,0x0bfff12f,0x31fff600,0xf700dfff,0x03fff6ff,0x8007ffd4,
    0x09bddb98,0x01fffa80,0x0006fff8,0x00002aa6,0xfffffffb,0x000003ff,
    0xffffb100,0x0fffffff,0x88005553,0xfff70aaa,0x541bffe2,0x7e400fff,
    0x17ffdc7f,0x001fff60,0x3f65fff5,0xfd80007f,0x7fd4007f,0xffea802f,
    0xefffffff,0x05fff803,0xb0bfffa0,0xa80003ff,0xfffffffe,0x7ff44fff,
    0x0000000f,0xc800bfff,0xfff05fff,0xff0bfffb,0x640007ff,0xffffffff,
    0xffffffff,0xbfff12ff,0x9fff6000,0x800fffe8,0xfff37ffb,0x03ffea07,
    0x3fffff60,0x2a00efff,0x7cc01fff,0x530005ff,0x40003555,0xfffffffd,
    0x260001ff,0xff5007ff,0xdfffffff,0xfffb0fff,0x2fffa800,0x7fe4fff7,
    0x0fffa82f,0x262fffc0,0x7ec05fff,0x7fd4007f,0x00fffb2f,0x00fffb00,
    0x402fffa8,0xfffffffc,0x806fffff,0xf1005fff,0x1ffd0dff,0x3ff62000,
    0xffffffff,0x3ffe0fff,0x20000006,0x22005fff,0xff506fff,0x83ffff3b,
    0x004ffffc,0x037fec00,0x017ffe20,0xfb3ffec0,0x3ee003ff,0x41fffa7f,
    0x2600fffa,0xfffffffe,0xf501ffff,0xffc803ff,0xfff0003f,0x4c000bff,
    0xffdaaaaa,0x3e60001f,0xfff8807f,0x15ffb1ef,0x0fffb0b5,0x72fffa80,
    0x7ffc4fff,0x00fffa86,0x3a0bffe6,0x7fec07ff,0x7ffd4007,0x000fffb2,
    0x800fffb0,0xd102fffa,0x9bffffff,0x00dfffdb,0x2a00bfff,0x7ff84fff,
    0xffff5000,0xfd99bfff,0x3fe21fff,0x0000005f,0xc8017ffe,0xff902fff,
    0x10ffff65,0x07fffffd,0x1bff6000,0x0bfff100,0x5dfff600,0x2e002fff,
    0x3ffea7ff,0x00fffa82,0x7dfffff5,0x5fffffd9,0x403fff50,0x0006fffb,
    0x1ffffff5,0xffb80000,0x3e60001f,0xfffd807f,0x200fff44,0x54007ffd,
    0xfff72fff,0x542fffb8,0x3f200fff,0xfffc80ff,0x01fff602,0x365fff50,
    0xeeeeefff,0x81eeeeee,0x54007ffd,0xffd02fff,0x64c017ff,0x05fff806,
    0x88dfff50,0xfa8006ff,0x200affff,0xfff30fc9,0x55555407,0x2000aaaa,
    0x3e005fff,0x3ffe07ff,0x30bfff30,0x9ffffffd,0x7fec0003,0x7ffc4006,
    0xfffb0005,0x8009fff5,0x7ffc7ffb,0x80fffa86,0x80cffff8,0x40ffffd8,
    0x999bfffa,0x1ffffeba,0xffff9000,0x800005ff,0x0001fffb,0xf501ffea,
    0x1fff0dff,0x007ffd80,0xfb97ffd4,0x46fff87f,0x3e00fffa,0xfff305ff,
    0x03ffec09,0x6cbffea0,0xffffffff,0x82ffffff,0x54007ffd,0xffb82fff,
    0x400002ff,0xf1005fff,0x7fcc3fff,0xfffe8005,0xff70000e,0x7fffc05f,
    0x001fffff,0x44017ffe,0xff305fff,0x207fff8d,0xfffffffc,0xffd8001d,
    0x7ffc4006,0xfffb0005,0x7000dfff,0xfffb8fff,0x407ffd42,0x4405fffc,
    0x7d44fffe,0xffffffff,0x0001efff,0x3fff7ffe,0x7dc00005,0x2a0001ff,
    0x7fec07ff,0x03ffc41f,0x2003ffec,0xff72fffa,0x47fff70f,0xf300fffa,
    0x7ffc07ff,0x01fff607,0x365fff50,0xffffffff,0x82ffffff,0x54007ffd,
    0x7fc42fff,0x800000ff,0x3a005fff,0xff53ffff,0xfffb8009,0x7fe40005,
    0x3fffe02f,0x001fffff,0x4c017ffe,0xff703fff,0x00fffe87,0x3fffff26,
    0x36000eff,0x7c4006ff,0xfb0005ff,0x05ffffff,0x447ffb80,0x7fd46fff,
    0x37ffc40f,0x0ffff880,0x3fffffea,0x002dffff,0x6cfffd40,0x00000fff,
    0x0007ffee,0x1fffd973,0x4c37ff40,0xffd806ff,0x7ffd4007,0x3a0fff72,
    0x3ffea7ff,0x01fff900,0xd817ffe4,0x7d4007ff,0x5fffb2ff,0x55555555,
    0xfffb0155,0x2fffa800,0x0027ffe4,0x05fff800,0x3ffffe20,0x2003ffde,
    0x000ffff8,0x017ffdc0,0xffdddddd,0x7ffc003f,0x5fff5005,0xfb07ffa0,
    0xf71003ff,0x07ffffff,0x001bff60,0x000bfff1,0x3fe7fff6,0x3ee000ff,
    0x1fffc87f,0xf903ffea,0x7e4005ff,0x3ffea3ff,0xdffffeee,0x7fe40000,
    0x005fff77,0x0fffdc00,0xffffd880,0xff100fff,0x09ff50bf,0x800fffb0,
    0xff72fffa,0x4fffea0f,0xff00fffa,0xfffa80df,0x00fffb04,0xfb2fffa8,
    0xfb0000ff,0xffa800ff,0x3fffe22f,0xff000000,0xff9800bf,0x03ffffff,
    0x013fff20,0x0fffea00,0x03fff700,0x802fffc0,0xf881fffb,0x2fffc86f,
    0x7fff5400,0xffd802ff,0x7ffc4006,0xfffb0005,0x003bffee,0x7c43ffdc,
    0x3ffea5ff,0x003fffc0,0xfa9bffe6,0x7ffd41ff,0x3fe0000f,0x0bfff14f,
    0x7ffdc000,0xffff8801,0x300fffff,0xff707fff,0x0fffb007,0x72fffa80,
    0x7ff40fff,0x301fff57,0xff007fff,0x1fff60ff,0x25fff500,0x80007ffd,
    0x54007ffd,0x3fea2fff,0x2000004f,0x88005fff,0xfffffffd,0xfffe801d,
    0xff980000,0x7fdc004f,0x3ffe001f,0x1fff9005,0xf709ff50,0x2a0005ff,
    0x400fffff,0x44006ffd,0xb0005fff,0x7ffecfff,0x0fff7005,0x7d47fff2,
    0x3ffe20ff,0x7fff8005,0x2607ffea,0x50005fff,0x7ff45fff,0x3ee00007,
    0xffd801ff,0xf5001aef,0x5ffb07ff,0x00fffb00,0xf72fffa8,0x7ffd40ff,
    0xc80fffab,0xaaaacfff,0xfffeaaaa,0x007ffd82,0xfd97ffd4,0xfd80007f,
    0x7fd4007f,0x0bffee2f,0xfff80000,0x3f260005,0x1dffffff,0x001bffe0,
    0x02fffc40,0x007ffee0,0xb005fff8,0xffb01fff,0x05fff705,0x7fff4400,
    0x037fec03,0x017ffe20,0xd13ffec0,0xf7007fff,0x3ffe20ff,0x4c1fff55,
    0xd8003fff,0x3ffea7ff,0x05fff901,0xb8fff900,0x00002fff,0x9803fff7,
    0x98006fff,0xffe84fff,0x07ffd801,0xb97ffd40,0x7ff407ff,0xf80fffaf,
    0xffffffff,0xffffffff,0x00fffc84,0x6c7ffee0,0xd80007ff,0x7d4007ff,
    0x3fff22ff,0x3e000001,0x880005ff,0xffffffff,0x05fff883,0x3fffe000,
    0x3ffee000,0x17ffe001,0x40fffec0,0xfff707ff,0xffa80003,0x37fec05f,
    0x17ffe200,0x23ffec00,0x401ffff9,0x3f607ffb,0x0fffa8ff,0x000bffea,
    0x7d43fff2,0xfff101ff,0xbfff000f,0x005fff98,0x03fff700,0x002fffb8,
    0xf85fff88,0xffd800ff,0x7ffd4007,0xa80fff72,0x0fffdfff,0x7fffffcc,
    0xffffffff,0xffb87fff,0x3ff2001f,0x00fffb0f,0x00fffb00,0x362fffa8,
    0x00000fff,0x0017ffe0,0x3f7bfe60,0x7cc3ffff,0x2aaa03ff,0x20aaaaaa,
    0x2004fffd,0x2001fffb,0xf9005fff,0x5ffa85ff,0x001fff90,0x06fff880,
    0x20037fec,0x0005fff8,0xff70fffb,0x7fdc01ff,0x2fffe607,0x3ee0fffa,
    0xfc8001ff,0x3fff51ff,0x01fffe40,0xd05fff30,0x20000fff,0x6401fffb,
    0xf0001fff,0x7fc41fff,0x0fffb007,0x72fffa80,0xffd00fff,0xfc81ffff,
    0xffffffff,0xffffffff,0x17ffd41f,0x6cfffb00,0xd80007ff,0x7d4007ff,
    0x1fffa2ff,0xfff00000,0xff50000b,0x3ffff669,0x80bffee1,0xffffffff,
    0x3fffe61f,0x3fff7000,0x02fffc00,0x642fffc8,0xfffb02ff,0xfff10000,
    0x07ffd80b,0x02fffc40,0xb07ffd80,0x7dc0dfff,0x7ffec07f,0x3f20fffa,
    0xfb8000ff,0x3fff52ff,0x037ffcc0,0x901fff90,0x00005fff,0xd803fff7,
    0x90002fff,0x7fcc9fff,0x0fffb006,0x72fffa80,0xff300fff,0xff81ffff,
    0x7fd4006f,0x2fffcc4f,0x24fff980,0x80007ffd,0x54007ffd,0x3ffe2fff,
    0x7c000007,0xb80005ff,0x7ffec3ff,0x80bfff24,0xffffffff,0x2fffec1f,
    0x01fffb80,0x4017ffe0,0x7f43fffb,0x0dffd00f,0x7fff5000,0x00fffb80,
    0x017ffe20,0xd03ffec0,0x3ee09fff,0x7ffd407f,0x3f60fffd,0xfa8000ff,
    0x3fff52ff,0x02fffd80,0x260bfff0,0x80004fff,0x6401fffb,0x10004fff,
    0x3eabffff,0xfffb005f,0x2fffa800,0x3600fff7,0x260fffff,0x44003fff,
    0xffe87fff,0x7ff4402f,0x01fff61f,0x01fff600,0x7c5fff50,0x000007ff,
    0x0002fffc,0x3e217fe4,0x3ffee6ff,0x3bbbba02,0x7c41fffe,0x5c00efff,
    0x3e001fff,0xff3005ff,0x837fcc9f,0x0005fff8,0x00ffffc4,0x8017ffea,
    0x0005fff8,0x7cc0fffb,0xffb82fff,0xffffe807,0x3fff60ff,0xfffb8000,
    0x803fff51,0x9806fff9,0x3fe03fff,0xfb80007f,0x7fd401ff,0x3f60006f,
    0x4ffcefff,0x3ffec2d4,0x4bffea00,0xf3007ffb,0x7e41ffff,0xfd8001ff,
    0x7ffd41ff,0xffea80cf,0x4fffec5f,0x99999999,0x7ffd8099,0x17ffd400,
    0x0001fffd,0x99999988,0x9999dfff,0x3ff60019,0x2a7ffe81,0x5c003fff,
    0xffc81fff,0x4c1acfff,0x2001fffc,0x3e005fff,0x7ff70fff,0xc8fffee0,
    0x98809ace,0x804ffffc,0x80cffff8,0xbfff1098,0x33333333,0x3ff61333,
    0x7fffd407,0x403ffdc1,0x0ffffffa,0x0007fff2,0x7d43fff2,0xffe801ff,
    0x7ffe402f,0x0bfff200,0x3fff7000,0x09fffd00,0x3fff6200,0xfeeeffff,
    0x07ffd87f,0xb97ffd40,0x3f6007ff,0x3ffe0fff,0xfff70006,0xfffffb09,
    0xfffffddf,0xffffd81d,0xffffffff,0x7ffd86ff,0x17ffd400,0x0003fffb,
    0xffffffa8,0xffffffff,0x3ffa007f,0x266fff80,0x5c004fff,0xff701fff,
    0xffffffff,0x003fffff,0xb002fffc,0x3ffa9fff,0x41fffd01,0xfffffffc,
    0xffffffff,0x3ffee005,0xfffeefff,0xffffff12,0xffffffff,0x01fff69f,
    0xb83bfff2,0xffd007ff,0x7fdc1fff,0xffd8002f,0x007ffea7,0xf01bffea,
    0xffa80dff,0x7dc0004f,0xffa801ff,0x360003ff,0xffffffff,0xffd87fff,
    0x7ffd4007,0x400fff72,0xf30ffff9,0x220009ff,0xff706fff,0xffffffff,
    0xfffb01bf,0xffffffff,0xffb0dfff,0xfffa800f,0x00bfff22,0xfffff500,
    0xffffffff,0x7fc00fff,0x24fffa87,0x4005fff8,0x2201fffb,0xfffffffe,
    0x01ffffff,0x8017ffe0,0xff9ffffa,0x87fff707,0xfffffffc,0x4fffffff,
    0xffffd800,0x12ffffff,0xffffffff,0x9fffffff,0x7401fff6,0x3fee5fff,
    0xffff7007,0x1fffd41f,0x537ff400,0x3a003fff,0xff302fff,0xffff007f,
    0xfffb8000,0xffff9001,0x3260007f,0xefffffff,0x07ffd83c,0xb97ffd40,
    0x7ec007ff,0x3fff90ff,0x7fff4000,0xfffdb301,0x6c03bfff,0xffffffff,
    0x86ffffff,0x2000fffc,0x3ee1fffb,0x540005ff,0xffffffff,0x7fffffff,
    0x37fc404c,0xf07fffea,0x5c001fff,0xcb801fff,0xfffffffe,0xfff8002d,
    0x7fff4005,0xffb84ffe,0xffeda87f,0xefffffff,0x3660000b,0xefffffff,
    0xffffff11,0xffffffff,0x01fff69f,0xb9ffffc4,0x3fe007ff,0x3fe60fff,
    0x7fc4005f,0x07ffea5f,0x837ffd40,0xaaacfffc,0xffeaaaaa,0x3ee0002f,
    0x3f2001ff,0xdeffffff,0x3ffe2000,0xfffc801a,0x3ffee000,0xffc80001,
    0xf8800007,0x3ea001ff,0x800002ff,0xffb82ffe,0x3ff2001f,0x0ffffcc7,
    0x32000000,0x677e44ff,0xcaeffbab,0xd83ffffe,0x2e004fff,0x98001fff,
    0x000009aa,0x3ffe6000,0xf9512fff,0x33007fff,0x00013555,0x06666200,
    0x00000000,0x20000000,0x000ffff8,0x000fffee,0xffff8000,0xffffffff,
    0x004fffff,0x007ffee0,0xffffff50,0x7c4003ff,0x3fee007f,0x3ff2001f,
    0xffb00007,0xe880000d,0x7ec002ff,0xd800003f,0xfff503ff,0x37fec005,
    0x0027ffec,0xbff70000,0xffffff90,0xffffffff,0x3ffe609f,0xfff7000f,
    0x00000003,0xff700000,0xfffdffff,0x00007fff,0x00000000,0x00000000,
    0xc8000000,0x3a002fff,0x00000fff,0xfffff300,0xffffffff,0x000fffff,
    0x000fffdc,0x7fffed44,0x3fe6001f,0x3ffea005,0x1bff6002,0x2fff4000,
    0x3ff20000,0x37fdc004,0x7fd40000,0x17ffe606,0x42fffcc0,0x002ffff9,
    0xfff98000,0xfffffc80,0xffffffff,0x7ffec01d,0x3fff7005,0x02665400,
    0x09995000,0x3fffea00,0x1effffff,0x1332a000,0x26654000,0x09995000,
    0x04cca800,0x09995000,0x0efff980,0x03fffb80,0x001332a0,0x3ffffff2,
    0xffffffff,0x0001ffff,0x0003fff7,0x00cba988,0x8013fea0,0x3005fff9,
    0x0000bfff,0x0007fff5,0x002fff80,0x0001fff4,0x201fff40,0x4402fffe,
    0xfb00fffe,0x22009fff,0x5ffc8002,0xfdd97310,0x0379bfff,0x3bfffe20,
    0x0fffdc00,0x00bffb00,0x02ffec00,0xfffff900,0x00019dff,0x0005ffd8,
    0x000bffb0,0x0002ffec,0x00017ff6,0x4002ffec,0x200efffd,0x000ffffa,
    0x20017ff6,0x54006fff,0x70004fff,0x00003fff,0x3ffb8000,0x17fff400,
    0x03fffa20,0xffff3000,0x7c400001,0x7fc003ff,0xf800004f,0x7fcc04ff,
    0xfea80cff,0x3fe204ff,0x10abefff,0x000dfb53,0xe800dffb,0x320001ff,
    0x1acfffff,0x00fffe4c,0x0005fff0,0x0017ffc0,0x3553fff0,0xfff80000,
    0xfff00002,0x7ffc0005,0x7ffc0002,0xfff00002,0xfff30005,0x32a237df,
    0x4003ffff,0x4c002fff,0x44003fff,0x70007fff,0x11003fff,0x11111111,
    0xffd80011,0x7ffcc002,0xffea80cf,0x9710004f,0x0005ffff,0x59fffb00,
    0xbfff9003,0x32000055,0xb02bdfff,0xddffffff,0x00dfffff,0xffffffd3,
    0xdfffffff,0xbfff5000,0xfff80157,0x7fdc0000,0xffffffff,0x001fffff,
    0x0001fff3,0x003ffe60,0x0037fcc0,0x1fff3000,0xfff30000,0x3fe60001,
    0x3e60000f,0x980000ff,0x50000fff,0xffffffff,0x007fffff,0x000fff98,
    0x000fffe4,0x000fffec,0x200fffdc,0xfffffffa,0x4007ffff,0xd8001ffe,
    0xeeffffff,0x006fffff,0x3ffffe60,0xf5000004,0x100bffff,0x00dfffff,
    0x3fffe200,0x3ffee07f,0xffffffff,0x7ffdc004,0xffffffff,0xffd0006f,
    0x7c401fff,0xd100007f,0xffffffff,0x003fffff,0x0001bfee,0x0006ffb8,
    0x0000ffee,0x006ffb80,0x00dff700,0x0037fdc0,0x001bfee0,0x0037fdc0,
    0x3ffffa60,0x01efffff,0x006ffb80,0x0006fff8,0x2a09fff7,0xffffffff,
    0xffffffff,0xffffff53,0x00ffffff,0x0000fff8,0xfffffff7,0x0009ffff,
    0x02ffff98,0x7f540000,0xfb3005ff,0x40000dff,0x406fffd9,0xfffffed8,
    0x930001de,0xfffffffb,0x2200015b,0x200ffffc,0x00006ff9,0x7ffff65c,
    0x4002dfff,0x00003ffc,0x8000fff2,0x00001ffe,0x000fff20,0x001ffe40,
    0x0007ff90,0x0003ffc8,0x0007ff90,0xffffb710,0x200019df,0x4c003ffc,
    0x10004fff,0x3ea0dfff,0xffffffff,0x3fffffff,0xfffffff5,0x400fffff,
    0x40007ff8,0xfffffed8,0x980001de,0x00000abd,0x00000000,0x80000000,
    0x000009a9,0x00099988,0x3ea00000,0x4000005f,0x00009aa9,0x0000332e,
    0x0000ccb8,0x00001332,0x00019970,0x000332e0,0x0000ccb8,0x0000665c,
    0x0000ccb8,0x0001a880,0x80019970,0x0001fffc,0x2a07fffa,0xffffffff,
    0xffffffff,0x33333313,0x00333333,0x00000998,0x00004d4c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13000000,
    0xeea80000,0x800000de,0x004eeee9,0x26f76e62,0x3ae00000,0xeeeb84ee,
    0x3bba600d,0x00deec83,0x20000000,0xffc81ffc,0x00980001,0x207ff200,
    0x40001ffc,0xeb84eeeb,0x2a000dee,0x2000deee,0xeb84eed8,0x6c4001de,
    0x80001eee,0x001eeed8,0x91000000,0x01f6405b,0xc80b7220,0x2200003e,
    0x000deeed,0x0037bbaa,0x00013000,0x037bbb62,0x00154400,0x04ffe880,
    0xffff5000,0x400001df,0x003ffff9,0x3ffffff6,0x40000eff,0xfb85fffb,
    0xfa800eff,0xffe88dff,0x3f6a000e,0x001902ef,0x4c1bff70,0x20000fff,
    0x0004ffe8,0x7cc1bff7,0x2e0000ff,0xffb85fff,0x3ea000ef,0x000effff,
    0x6c7bffa2,0x4c002fff,0x02fffffe,0x3fffa600,0x6d4002ff,0x01902eff,
    0x903fffb0,0x6c005fff,0xffc81fff,0xe880002f,0x2000dfff,0x0efffffa,
    0xffe88000,0xffb10004,0xf88001df,0xc80006ff,0x0001ffff,0x7fefffdc,
    0x980001ff,0x3001ffff,0xfffffffd,0x0003ffff,0x2e17ffea,0x2000dfff,
    0xfffefff9,0x3fee000e,0x911effff,0xf88001df,0xffffefff,0x7fe40005,
    0xf88001ff,0xffffefff,0x3fea0005,0xdfffb85f,0x3ffee000,0x001ffffd,
    0x3fbfffa2,0x7cc001ff,0x2fffeeff,0xefff9800,0x7002fffe,0x3dffffff,
    0xf003bf22,0xffb05fff,0x7ffc009f,0x4fffd82f,0x7ff44000,0x7fdc003f,
    0x01ffffdf,0x7fffe400,0x3ff20001,0x3f6000ef,0x40003fff,0x002ffffd,
    0x44ffff20,0x0001fffd,0x0037ffe6,0x77ffffd4,0xffffffdc,0x7ffcc003,
    0x04fffb85,0xfffff300,0xfffa800b,0xffffffed,0xf30006ff,0x1dffffff,
    0xfffd8000,0xff30002f,0x01dfffff,0x17ffe600,0x0013ffee,0x3627fff9,
    0x22001fff,0x01effffe,0x92fffcc0,0x4c007fff,0x3ff25fff,0x7ffd403f,
    0xffffffed,0xffc806ff,0x2fffa80f,0x03fff200,0x000bffea,0x01effe88,
    0x89fffe40,0x0001fffd,0x00bffff6,0x1dfff500,0x3ffffa00,0x7fe40004,
    0x930001ff,0x99970399,0x33320001,0x3ffe2003,0xffe880cf,0x332000ff,
    0x2ccc883c,0x66644000,0x0ef98003,0x3fffffa6,0x2e20000e,0x0002ceed,
    0x03ffff90,0x776dc400,0x6640002c,0x2ccc883c,0x0e664c00,0x0006665c,
    0x00033332,0x95059991,0x99100399,0x39995059,0xd3077cc0,0x01dfffff,
    0xc98072a0,0x01ca8002,0x70000b26,0x98001999,0xccb81ccc,0xff90000c,
    0x100003ff,0x32005999,0x0001ffff,0x0002ffc8,0x00000000,0x2fffe400,
    0x13fffa20,0x00000000,0x06600000,0x0056f654,0x00000000,0x00017fe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0xbd950198,0x00000015,
    0x00000000,0x00000000,0x3ff20000,0x00000002,0x0003ffc8,0x00000000,
    0x40000000,0x1006fff8,0x0001ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,0xbcdeecba,
    0x5d44000a,0x0abcdeec,0x002fffc8,0x4c0ffff2,0x544002aa,0x544000aa,
    0xabcdeecb,0x00000000,0x1000aaa6,0x00001555,0x6dcc4000,0x800009bd,
    0x09bddb98,0x55555000,0x55555555,0xcb980015,0x8001acce,0xbcdecb98,
    0x32e60001,0x0001acce,0x73100000,0x400137bb,0x44002aa9,0x4c000aaa,
    0x01accecb,0x88005553,0x00000aaa,0x00555300,0x000aaa88,0x55555440,
    0xaaaaaaaa,0x9802aaaa,0xfffffffd,0x9800ffff,0xfffffffd,0x7fc0ffff,
    0x7fcc007f,0x0fffb06f,0x02fffa80,0xfffffb30,0x01ffffff,0x1aaaa980,
    0x07ffd800,0x817ffd40,0xaaaaaaaa,0x2aaaaaaa,0xfffffd80,0x0000efff,
    0xfffffffb,0xfe8001df,0xffffffff,0xa802ffff,0xfffffffe,0xea803eff,
    0xffffffff,0xfd5004ff,0xffffffff,0x5555107d,0x55555555,0x36005555,
    0xffffffff,0x7ffd800e,0x17ffd400,0x7ffff540,0x43efffff,0x54007ffd,
    0xaa882fff,0xaaaaaaaa,0xd82aaaaa,0x7d4007ff,0x4c0002ff,0xffffffff,
    0xffffffff,0x7ffe407f,0xffffffff,0x7fe400ff,0xffffffff,0x3fe20fff,
    0xfff8004f,0x00fffb07,0x802fffa8,0xfffffffc,0x00ffffff,0x2fffffc0,
    0x03ffec00,0x40bffea0,0xfffffffd,0x6fffffff,0x3ffffa60,0x1fffffff,
    0x3fffa600,0xffffffff,0x3fffa001,0xffffffff,0x7fe402ff,0xffffffff,
    0x3f6206ff,0xffffffff,0x6400ffff,0xffffffff,0xfa86ffff,0xffffffff,
    0x07ffffff,0x7fffff4c,0x01ffffff,0x2003ffec,0x6402fffa,0xffffffff,
    0x7ec6ffff,0x7fd4007f,0xffffa82f,0xffffffff,0xffd87fff,0x7ffd4007,
    0x400fff62,0xfffffff9,0xffffffff,0x3ff207ff,0xcaacceff,0x3200ffdc,
    0xacceffff,0x20ffdcca,0x8002fff9,0xfd80fffd,0x7fd4007f,0x7ffe402f,
    0xccaaccef,0x2a000ffd,0x00ffffff,0x003ffec0,0x6c0bffea,0xffffffff,
    0x06ffffff,0x7dfffff5,0x5fffffd9,0xfffff500,0xffffd97d,0x3bb2005f,
    0xeeeeeeee,0xfd102fff,0xb9bfffff,0x2a0dfffd,0xdfffffff,0x0ffffecc,
    0xfffffd10,0xfffdb9bf,0xfffff50d,0xffffffff,0x7fd40fff,0xfecbefff,
    0x3602ffff,0x7d4007ff,0xffd102ff,0xdb9bffff,0xffd8dfff,0x7ffd4007,
    0xfffffa82,0xffffffff,0x7ffd87ff,0x17ffd400,0x26007ffd,0xffffffff,
    0xffffffff,0xffff507f,0x54026005,0x3002ffff,0x017ffd41,0x40fffe40,
    0x54007ffd,0x3ea02fff,0x13002fff,0x7fffe400,0x7ec002ff,0x7fd4007f,
    0xdfffb02f,0xdddddddd,0xfff109dd,0xffb1019f,0x7fc401ff,0xfd880cff,
    0x00000fff,0x740bffea,0x200bffff,0xfffa86c9,0x32600aff,0xffffd00f,
    0x4364c017,0xfeeeeee9,0xeeeeefff,0x9ffff106,0xffffb101,0x01fff601,
    0x205fff50,0x00bffffe,0xfffb1b26,0x2fffa800,0xeeeeee98,0xeeeeffff,
    0x07ffd86e,0xd17ffd40,0x000007ff,0xd02fffe8,0x00003fff,0x0007fffa,
    0x001fffb8,0xd81fffc8,0x7d4007ff,0x3ffa02ff,0x2000001f,0x5fffdfff,
    0x03ffec00,0x40bffea0,0x80007ffd,0x4405fffc,0x3204fffe,0x74405fff,
    0x00004fff,0x2e0bffea,0x0002ffff,0x0077fff4,0x7fffdc00,0x3e000002,
    0x7e4005ff,0x7f4405ff,0xfffb04ff,0x2fffa800,0x02ffffb8,0x01fff600,
    0x005fff50,0x2005fff8,0x54007ffd,0x3ffa2fff,0x32000004,0xff105fff,
    0x220000bf,0x40005fff,0x8000fffc,0xfd82fffb,0x7fd4007f,0xbfff102f,
    0x7d400000,0x0fffd9ff,0x01fff600,0x205fff50,0x40007ffd,0x1006fff8,
    0xf101ffff,0x3e200dff,0x00000fff,0xf885fff5,0x40000fff,0x0005fffb,
    0x01ffff10,0xfff80000,0x3ffe2005,0xffff1006,0x00fffb01,0x442fffa8,
    0x0000ffff,0x2003ffec,0x4002fffa,0x36005fff,0x7d4007ff,0x13ffa2ff,
    0x7fcc0000,0xfff300ff,0x3e600009,0x6c0004ff,0xa8000fff,0xffd82fff,
    0x7ffd4007,0x09fff302,0x7fe40000,0x005fff77,0x2003ffec,0xfb02fffa,
    0xfc8000ff,0x3f2002ff,0xfffc83ff,0x3fff2002,0xff500003,0x4fffc85f,
    0x7ffc4000,0xf900000f,0x000009ff,0x400bfff0,0x2002fffc,0xfd83fffc,
    0x7fd4007f,0x27ffe42f,0x3ffec000,0x0bffea00,0x00bfff00,0x2003ffec,
    0x3fa2fffa,0xd000004f,0x7c405fff,0x100007ff,0x8000ffff,0x8001fffd,
    0xfd81fffb,0x7fd4007f,0xffff102f,0x7fc00000,0x0bfff14f,0x003ffec0,
    0x6c0bffea,0x7c0007ff,0x7cc007ff,0x7fff86ff,0x37ffcc00,0xfffa8000,
    0x03fffe22,0x9fff9000,0x3fe20000,0x000000ff,0x2005fff8,0x4c007fff,
    0xffd86fff,0x7ffd4007,0x03fffe22,0x1fff6000,0x05fff500,0x005fff80,
    0x5001fff6,0x7ffc5fff,0xfc800004,0xfff805ff,0xff00003f,0x640007ff,
    0xc8001fff,0xffd80fff,0x7ffd4007,0x0ffffe02,0x3fea0000,0x01fffa2f,
    0x4007ffd8,0xfb02fffa,0x7c4000ff,0xff8005ff,0x2fffc47f,0x03fffc00,
    0x2fffa800,0x0013ffea,0x003fffa0,0x27ffd400,0xff800000,0xfff1005f,
    0xffff000b,0x800fffb0,0x3ea2fffa,0xb00004ff,0xfa800fff,0x7fc002ff,
    0x3ff6005f,0x7ffd4007,0x0017ffe2,0x1ffff300,0x9ffff900,0xfff90000,
    0x3ee0009f,0xfd8002ff,0x7ffd80ff,0x17ffd400,0x09ffff90,0x7ffc8000,
    0x8017ffdc,0x54007ffd,0xffb02fff,0x7fcc000f,0xffd8003f,0x01fffcc7,
    0x003ffec0,0x22fffa80,0x0002fffb,0x0006fff8,0x00bffee0,0x7ffc0000,
    0x7fff3005,0x0fffb000,0xa800fffb,0x3fee2fff,0xfb00002f,0xffa800ff,
    0x7ffc002f,0x1fff6005,0x45fff500,0x00005fff,0x8017fff4,0x3fffffe8,
    0x3ffa2000,0x54003fff,0xe8003fff,0xfffb07ff,0x2fffa800,0x3ffffa20,
    0xff00003f,0x5fff98bf,0x00fffb00,0xb02fffa8,0x54000fff,0xc8002fff,
    0x3fea0fff,0xffc8002f,0xfa80000f,0x3fff22ff,0x7fc40001,0x3200005f,
    0x00001fff,0x00bfff00,0x000bffea,0xfb03fff2,0xffa800ff,0x07fff22f,
    0x3ffec000,0x0bffea00,0x00bfff00,0x2003ffec,0x3fe2fffa,0x2e00005f,
    0x4c005fff,0xcffffffe,0xffe98001,0x801cffff,0x4005fffa,0xfb06fff8,
    0xffa800ff,0x7ff4c02f,0x001cffff,0xd05fff30,0x3f600fff,0x7fd4007f,
    0x0fffb02f,0x0fffdc00,0x0fffe400,0x0003fff7,0x0003fff9,0x6c5fff50,
    0x40000fff,0x2a03fff9,0xaaaaaaaa,0x003fff60,0x7ffc0000,0x3fff7005,
    0x3fff9000,0x4007ffd8,0x3f62fffa,0xb00000ff,0xfa800fff,0x7fc002ff,
    0x3ff6005f,0x7ffd4007,0x0017ffe2,0x07fffcc0,0xffffc800,0x8001dfff,
    0xfffffffc,0x3ffe201d,0x3fee000f,0x0fffb03f,0x02fffa80,0xffffff90,
    0xfc8003bf,0xfffc80ff,0x07ffd802,0x817ffd40,0xeeeefffd,0x1eeeeeee,
    0x0003fff2,0xfc8bffee,0xfb8000ff,0xa80002ff,0x3ffa2fff,0xffb80007,
    0x3fffe02f,0x3a1fffff,0x000007ff,0x4017ffe0,0x8000fffc,0x7ec2fffb,
    0x7fd4007f,0x01fffa2f,0x07ffd800,0x017ffd40,0x8017ffe0,0x54007ffd,
    0x3ffe2fff,0xffd00005,0xc980005f,0xefffffff,0x7fe4c000,0x00efffff,
    0x4007fff9,0xfb00fffe,0xffa800ff,0x3f26002f,0x0effffff,0x20bfff00,
    0xd804fff9,0x7d4007ff,0xfffb02ff,0xffffffff,0x7fec5fff,0xffa8000f,
    0x03fff62f,0x0bffea00,0x3ffea000,0x001fffe2,0x80bfff20,0xffffffff,
    0x01fffe1f,0xfff80000,0x1fffb005,0x5fff5000,0x4007ffd8,0x3fe2fffa,
    0x3600007f,0x7d4007ff,0x7fc002ff,0x3ff6005f,0x7ffd4007,0x00dfff12,
    0x0bfff700,0x7fdc4000,0x003fffff,0xfffffb88,0xfff983ff,0xfffb800e,
    0x01fff604,0x005fff50,0xfffff710,0xff9807ff,0x1fffe03f,0x001fff60,
    0x3605fff5,0xffffffff,0x22ffffff,0x8000fffd,0x3f61fffb,0xfb8000ff,
    0xa80001ff,0x3ffe2fff,0xffb80007,0x3bbba02f,0x3e1fffee,0x000007ff,
    0x4017ffe0,0x8000fffd,0x7ec1fffb,0x7fd4007f,0x01fffe2f,0x07ffd800,
    0x017ffd40,0x8017ffe0,0x54007ffd,0xfff12fff,0xff98000d,0x000000ff,
    0x5fffffd5,0x7ff54000,0xffe82fff,0x3fee00ef,0x3ff600ff,0x7ffd4007,
    0x7f540002,0x3202ffff,0x3f200fff,0x7fec02ff,0x7ffd4007,0x55fffb02,
    0x55555555,0x0fffe415,0x07ffe400,0x0003fff9,0x0001fff9,0x745fff50,
    0x40000fff,0x4003fffa,0x3fa1fffb,0x000000ff,0x200bfff0,0x8001fffc,
    0x7ec0fffc,0x7fd4007f,0x03fffa2f,0x3ffec000,0x0bffea00,0x00bfff00,
    0x2003ffec,0xff12fffa,0xfe8000df,0x000002ff,0x0fffffa8,0x7ffd4000,
    0x7ffcc0ff,0xf9511bef,0xfd807fff,0x7fd4007f,0xf500002f,0x3e01ffff,
    0x7fd406ff,0x3ffec04f,0x0bffea00,0x0003ffec,0x0005fff7,0xffb8fffb,
    0xffd8002f,0xff500007,0x0fffec5f,0x3ffe6000,0x7ffdc004,0x007fff61,
    0x7ffc0000,0x5fff7005,0x0fffb000,0xa800fffb,0x3ff62fff,0xfb00001f,
    0xffa800ff,0x7ffc002f,0x1fff6005,0x25fff500,0x0006fff8,0x0017ffee,
    0xffe88000,0xe880003f,0xffa83fff,0xffffffff,0xfd802fff,0x7fd4007f,
    0x2200002f,0xf983fffe,0xfff803ff,0x03ffec07,0x40bffea0,0x20007ffd,
    0x8003fffa,0x7fd46ffe,0xffe8003f,0xff500006,0x17ffe45f,0x3ffe2000,
    0x7ffdc005,0x00bfff21,0x7ffc0000,0x7fff5005,0x0dffd000,0xa800fffb,
    0x3ff22fff,0xfb00002f,0xffa800ff,0x7ffc002f,0x1fff6005,0x25fff500,
    0x0007fff8,0x001ffff1,0xffa80000,0xf500005f,0x3fea0bff,0xffffffff,
    0xfff9002f,0x7ffdc001,0x7d400001,0xfffc85ff,0xaaaaaaac,0x202fffea,
    0x2000fffc,0xfb01fffb,0x7cc000ff,0x7c4005ff,0x7ffcc5ff,0x7ffc4005,
    0xff500005,0x2fffdc5f,0x7fffc000,0x3ffee000,0x017ffee1,0x7ffc0000,
    0xbfff3005,0x5fff8800,0x000fffc8,0xfb87ffee,0x900005ff,0x5c001fff,
    0x7c001fff,0x3f2005ff,0x3ee000ff,0xffff31ff,0x3fffa000,0x80000002,
    0x0006fff8,0x40dfff10,0xfffffda8,0x3ee000be,0x3f2001ff,0x8800007f,
    0xfff86fff,0xffffffff,0x04ffffff,0x8007ffee,0x3f607ffc,0x3e20007f,
    0x2e000fff,0x7fc43fff,0x3ee000ff,0x700003ff,0x7fcc3fff,0x6c0001ff,
    0x2e004fff,0x3fe61fff,0x000001ff,0x1005fff8,0x4001ffff,0xfb83fffb,
    0x3f2001ff,0x7fffcc7f,0xffb80001,0x3ff2001f,0x5fff8007,0x07ffee00,
    0x267ffc80,0xb8007fff,0x00005fff,0xbfff1000,0x3fe20000,0xfff3005f,
    0x3fea0007,0x3ff6002f,0xf8800006,0x7ffcc5ff,0xffffffff,0x07ffffff,
    0x800bffea,0x3f606ffd,0x7e40007f,0x3fa002ff,0xfffc80ff,0x3fffa002,
    0xff900000,0x4fffd81f,0x7ffcc000,0xfff7000f,0x04fffd83,0xfff80000,
    0x3fff2005,0x3fffa002,0x02fffa80,0x361bff60,0x80004fff,0x2002fffa,
    0xf8006ffd,0x3ea005ff,0x3f6002ff,0x1fffe66f,0x1ffff100,0x20000000,
    0x0003fffa,0x007fff50,0x80037ff4,0x3005fff9,0x0000bfff,0xc87fff50,
    0xffffffff,0xffffffff,0xfff301ff,0x3ffe600b,0x01fff605,0x1dfff300,
    0x07fff700,0x003bffe6,0x000fffee,0x43fffc40,0x002ffff9,0x02fffec0,
    0x4c1fffb8,0x0002ffff,0x02fffc00,0x01dfff30,0x207fff70,0x3005fff9,
    0xff30bfff,0x980005ff,0xf3005fff,0xff000bff,0x7fcc00bf,0xfff3005f,
    0x03fffccb,0x00bfff60,0x7c400000,0x80001fff,0x001ffff8,0x000bfff2,
    0x2017fff4,0x000fffe8,0x7fffc400,0x0037ffc1,0xe813ffea,0x74402fff,
    0x3f600fff,0xfd80007f,0x3ea00eff,0x3f600fff,0x3ea00eff,0x64400fff,
    0x27ffe400,0x04ffffd8,0xfff88510,0x7fdc00ef,0xffffd81f,0x80051004,
    0x6c005fff,0x2a00efff,0x3a00ffff,0x74402fff,0xffb00fff,0x0a2009ff,
    0x100bfffa,0x0001fffd,0xe800bfff,0x74402fff,0x33220fff,0x3fee004c,
    0xd900005f,0x93101359,0xd909ffff,0x93101359,0x8009ffff,0x982efffa,
    0xffff302e,0xfffd5019,0x9acec809,0xfffc9880,0x1fffcc4f,0x1fffe200,
    0x0cffff98,0x04fffea8,0x0003ffec,0x5f7fffcc,0xffff9511,0xffff9807,
    0xff9511be,0xff1007ff,0x3f662359,0xff100fff,0x2157dfff,0xc86fda98,
    0x1acfffff,0x40fffe4c,0xbefffff8,0xdfb5310a,0x05fff800,0x77fffcc0,
    0xfff9511b,0xfff9807f,0xffea80cf,0x3ffe204f,0x310abeff,0xff30dfb5,
    0xfd5019ff,0x3e0009ff,0x7cc005ff,0xea80cfff,0x00004fff,0x557ffff1,
    0x55555555,0xffc81555,0xffffffff,0x905fffff,0xffffffff,0xbfffffff,
    0x3fff2000,0xfffeddef,0xfffffb00,0xfffffddf,0xffff900d,0xffffffff,
    0xff90bfff,0xffb0003f,0x7ffec03f,0xfffeefff,0xffd806ff,0x9999999f,
    0xf5009999,0xffffffff,0x2007ffff,0xfffffffa,0x03ffffff,0xffffff10,
    0x05ffffff,0xfffffe98,0xffffffff,0xfffff706,0xffffffff,0x3fa603ff,
    0xffffffff,0x9886ffff,0xfff99999,0x0199999d,0x3fffffea,0x3fffffff,
    0xfffffb00,0xfffffddf,0xfffd300d,0xffffffff,0x3ff60dff,0xffeeffff,
    0x4c406fff,0xfff99999,0x0199999d,0x3ffffff6,0x6fffffee,0x3ff20000,
    0xffffffff,0xffffffff,0x7ffffe41,0xffffffff,0x3fff204f,0xffffffff,
    0x20004fff,0xffffffe8,0x2e02ffff,0xffffffff,0xf9004fff,0xffffffff,
    0x209fffff,0x70006fff,0xfb809fff,0xffffffff,0xffb004ff,0xffffffff,
    0x4c0dffff,0xfffffffe,0x4c001eff,0xfffffffe,0x22001eff,0xffffffff,
    0x2e001eff,0xffffffff,0x2206ffff,0xfffffffe,0x01ffffff,0x7fffffdc,
    0x86ffffff,0xfffffffa,0xffffffff,0x7fff4c07,0x1effffff,0x7fffdc00,
    0x4fffffff,0x7fffdc00,0xffffffff,0x3fffee06,0x4fffffff,0xfffffa80,
    0xffffffff,0x7fdc07ff,0xffffffff,0x6400004f,0xffffffff,0xffffffff,
    0x7f6d41ff,0xffffffff,0x76d400be,0xffffffff,0x00000bef,0xfffffff7,
    0xfdb1001b,0x03bdffff,0x7fff6d40,0xbeffffff,0x09fff300,0x1bffe200,
    0x3fffb620,0x2001deff,0xfffffffd,0x6fffffff,0x7ffedc40,0x0000ceff,
    0xfffffb71,0x7100019d,0x9dfffffd,0xfb930001,0x5bffffff,0xffd97001,
    0x05bfffff,0x7ffee4c0,0x80adffff,0xfffffffa,0xffffffff,0xffdb8807,
    0x000cefff,0xffffdb10,0x20003bdf,0xfffffdc9,0x4400adff,0xefffffed,
    0xfff5001d,0xffffffff,0x100fffff,0xdfffffdb,0x9000003b,0xffffffff,
    0xffffffff,0xa99803ff,0x400009aa,0x009aaa99,0x5d4c0000,0x2600009a,
    0x3000009a,0x00135553,0x0007fff2,0x001fffe8,0x80004d4c,0xfffffffd,
    0x6fffffff,0x000d4400,0x001a8800,0x004cc400,0x4ccc4000,0xaa980000,
    0x31000009,0xff500133,0xffffffff,0x00ffffff,0x00003510,0x00026a60,
    0x02666200,0x01353000,0xfffff500,0xffffffff,0x53000fff,0x00000013,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c400000,0x0000deee,
    0x3bba6000,0x3aa0004e,0x00000dee,0x13bbba60,0x77ffd400,0x9ff50000,
    0x2009ff50,0xeb84eed8,0x400000de,0x004eeee9,0x76405b91,0xddd50003,
    0x1000001b,0x001bdddb,0xd9016e44,0x2ea20007,0x0abcdeec,0x6f776c40,
    0x75400000,0x22000dee,0x000deeed,0x77754000,0x74c0000d,0xdeec83ee,
    0xffff1000,0xbfffffff,0xecb98000,0xf9001acc,0x03ff903f,0xeffda800,
    0x22001902,0x000efffd,0xfff98000,0x3ea0003f,0x000effff,0xffff9800,
    0xfff70003,0x30003dff,0x7f443fff,0x3fe6002f,0xfffd88ef,0x7cc00001,
    0x36003fff,0xffc81fff,0x7fd4002f,0x0000efff,0x17fffa20,0x07fff600,
    0x800bfff2,0xffffffd9,0x400fffff,0x00efffd8,0xffff5000,0x6c4001df,
    0x0000efff,0xfffff500,0xfa80001d,0xffe88dff,0x3fe2000e,0xffffffff,
    0xfea8005f,0xffffffff,0x6ffdc03e,0x003ffe60,0xfffffb80,0x1df911ef,
    0x77ffe400,0x26000000,0x0001ffff,0x3ff7ffee,0x200001ff,0x001ffff9,
    0xfd9fff70,0xfb0003ff,0xdfffffff,0xffe88001,0x001effef,0x7fffcc00,
    0x7fffc001,0x04fffd82,0x3f7ffee0,0x80001fff,0x003fffe8,0xb05ffff0,
    0x32009fff,0xffffffff,0x000fffff,0x001dfff9,0xfdfffb80,0x64001fff,
    0x0000efff,0x7efffdc0,0x40001fff,0xfffefff9,0x7744000e,0xeeeeeeee,
    0x7fe4004e,0xffffffff,0x7fc406ff,0x5ffffeff,0x3ffea000,0xffffffed,
    0xfa8006ff,0x00000eff,0x00dfff98,0x4ffff200,0x001fffd8,0x0dfff980,
    0x5fff9000,0x00bfff62,0xfffffd10,0x220003ff,0x00effffe,0x7ffcc000,
    0xffc8000d,0x2fffa80f,0x27fff900,0x001fffd8,0x07bffa20,0x0fffc800,
    0x802fffa8,0xcceffffc,0x0ffdccaa,0x3bffea00,0xfff90000,0x07fff627,
    0x1dfff500,0x3ff20000,0x3fffb13f,0xfff98000,0x000005ff,0x7ff44000,
    0xedcdffff,0xf9806fff,0x0effffff,0x83be6000,0xefffffe9,0x99910000,
    0x99000005,0xc9800079,0xcccb81cc,0x66640000,0x33260003,0x0cccb80c,
    0xdeeda800,0xcc880003,0x800000cc,0x40003ccc,0x0b2601ca,0x40e664c0,
    0x0000cccb,0x00007997,0x2c98072a,0x2ffffa80,0x88001300,0x98002ccc,
    0xccb81ccc,0x6644000c,0xc980002c,0xcccb81cc,0x66440000,0x0000003c,
    0xffffe800,0x01b2600b,0x16776dc4,0x50198000,0x00015bd9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffe80000,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x017fffdc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0005fff8,0x00000000,0x00000000,0x00000000,0xa9800000,
    0x5544002a,0x7fffc40a,0x00000000,0x00000000,0x6edcc400,0x8800009b,
    0x009bddb9,0xddb98800,0x2a60009b,0x5544002a,0x07ffc80a,0xb9880000,
    0x801bcdec,0xaaaaaaa8,0xa980009a,0x51000aaa,0x55510155,0x55555555,
    0x22055555,0xaaaaaaaa,0x2aaaaaaa,0x2aaaaa20,0x00009aaa,0x0d5554c0,
    0x09fff300,0xaaaa8000,0xaaaaaaaa,0x55502aaa,0x55555555,0x40055555,
    0x001aaaa9,0x55554c00,0x55544001,0xaaaaaaaa,0xaaaaaaaa,0x003ffec2,
    0xf90bffea,0x200009ff,0xaaaaaaa8,0xaaaaaaaa,0x55553002,0x2aaa2001,
    0xffffd800,0x000effff,0xffffffb0,0x20001dff,0xfffffffd,0xffd800ef,
    0x7ffd4007,0x007ffc82,0x3ffaa000,0xffffffff,0x3fffea04,0xcfffffff,
    0xffff7000,0x3ffea00b,0xfffffa80,0xffffffff,0xfff507ff,0xffffffff,
    0x540fffff,0xffffffff,0x0000cfff,0x05fffff8,0x01fffe20,0xffffb000,
    0xffffffff,0x3ff60dff,0xffffffff,0x2006ffff,0x005fffff,0x7ffffc00,
    0x7ffc4005,0xffffffff,0xffffffff,0x003ffec6,0xf88bffea,0x00000fff,
    0xfffffff5,0xffffffff,0x3ffee00f,0xfff5005f,0x7fff4c01,0xffffffff,
    0x3ffa6001,0xffffffff,0x3fa6001f,0xffffffff,0x7fec01ff,0x7ffd4007,
    0x007ffc82,0xfffd8800,0xffffffff,0xfff500ff,0xffffffff,0xff7009ff,
    0xf5003fff,0xfff501ff,0xffffffff,0x2a0fffff,0xffffffff,0x7fffffff,
    0x3ffffea0,0xffffffff,0x3fea0004,0x2000ffff,0x0003ffff,0x3fffff60,
    0xffffffff,0xffffb06f,0xffffffff,0x3ea00dff,0x000fffff,0xfffff500,
    0x7fc4001f,0xffffffff,0xffffffff,0x03ffec6f,0xa8bffea0,0x00004fff,
    0x3fffffea,0xffffffff,0xfff7007f,0xff5003ff,0x3ffea01f,0xffecbeff,
    0xfa802fff,0xecbeffff,0x802fffff,0xbefffffa,0x2fffffec,0x001fff60,
    0xf905fff5,0xa80000ff,0xdfffffff,0x0ffffecc,0xdddfff50,0xffffffdd,
    0xffffb807,0xfffa805f,0xeeeee980,0xeeeffffe,0xddd306ee,0xdffffddd,
    0x540ddddd,0xeeeeefff,0x03ffffff,0xfffff900,0x7fe4005f,0xb00004ff,
    0xdddddfff,0x09dddddd,0x3bbbfff6,0xeeeeeeee,0xffff9004,0x200005ff,
    0x2ffffffc,0x3bbba200,0xffffeeee,0x4eeeeeee,0x2003ffec,0x3ee2fffa,
    0x200002ff,0xfeeeeee9,0xeeeeefff,0xffff7006,0xfff500bf,0x9ffff101,
    0xffffb101,0x7fffc401,0xfffd880c,0x3ffe200f,0xffd880cf,0xfffb00ff,
    0x2fffa800,0x0007ffc8,0x3ffffea0,0x03f2600a,0x980fffd4,0x201ffffd,
    0x0ffffffb,0x007ffd40,0x0017ffe0,0x005fff80,0x301fffa8,0x003ffffb,
    0xfffbfff0,0x7ff4400b,0x40003fff,0x00007ffd,0x0000fffb,0x3ff7ffe0,
    0xff00005f,0x00bfffbf,0x05fff800,0x003ffec0,0xfc8bffea,0x000001ff,
    0x000bfff0,0xffffffb8,0x07ffd400,0x202fffe4,0x204fffe8,0x4405fffc,
    0x3204fffe,0x74405fff,0xffb04fff,0xfffa800f,0x007ffc82,0x3bfffa00,
    0xff500000,0xfffd803f,0x3fffee04,0x7fd404ff,0x7ffc000f,0x3fe00005,
    0xffa8005f,0x7ffec01f,0x7ffd4004,0x000fffd9,0x3fffffa6,0xfd8001cf,
    0xfb00007f,0x500000ff,0xfffb3fff,0xffa80001,0x00fffd9f,0x17ffe000,
    0x00fffb00,0x362fffa8,0x00000fff,0x00bfff00,0xfffffb80,0x7ffd404f,
    0x037ffc40,0x80ffff88,0x1006fff8,0xf101ffff,0x3e200dff,0xffd80fff,
    0x7ffd4007,0x007ffc82,0x0bfff700,0xfffa8000,0x2fffcc01,0xff7fff70,
    0x7ffd401f,0x2fffc000,0xbfff0000,0x3fff5000,0x05fff980,0xfbbffe40,
    0xfc8002ff,0x1dffffff,0x01fff600,0x03ffec00,0xbffe4000,0x0002fffb,
    0xffbbffe4,0x3e00002f,0x7ec005ff,0x7fd4007f,0x01fffa2f,0xfff80000,
    0x7fdc0005,0x200fffbf,0x7e40fffa,0x3f2002ff,0xfffc83ff,0x3fff2002,
    0x02fffc83,0x20ffff20,0x54007ffd,0xffc82fff,0x00aaa887,0x007fffc4,
    0x3ffea000,0x07fff801,0x3fe3ffee,0x3ffea04f,0x2fffc000,0xbfff0000,
    0x3fff5000,0x00ffff00,0xff14fff8,0x326000bf,0xefffffff,0x07ffd800,
    0x0fffb000,0x9fff0000,0x0017ffe2,0x3e29fff0,0x200005ff,0x6c005fff,
    0x7d4007ff,0x1fffe2ff,0xff800000,0x7dc0005f,0x04fff8ff,0xff03ffea,
    0xff9800ff,0x07fff86f,0x437ffcc0,0x4c007fff,0xffd86fff,0x7ffd4007,
    0x227ffc82,0x1efffffd,0x009fff90,0x3fff5000,0x40dfff00,0xfffb7ffb,
    0x03ffea01,0x00bfff00,0x02fffc00,0x00fffd40,0x50037ffc,0x7ff45fff,
    0x7dc40007,0x03ffffff,0x0003ffec,0x0007ffd8,0xd17ffd40,0x54000fff,
    0x3ffa2fff,0x3fe00007,0x7fec005f,0x7ffd4007,0x001fffe2,0x5fff8000,
    0xbffdc000,0xf500fffd,0x7ffc41ff,0x7fff8005,0x002fffc4,0x3e23fffc,
    0xff8005ff,0x07ffd87f,0x417ffd40,0xfff57ffc,0x07ffffff,0x0001fffd,
    0x03fff500,0x205fff98,0xfff37ffb,0x03ffea07,0x00bfff00,0x02fffc00,
    0x00fffd40,0x8017ffe6,0x7fdc7ffc,0xd500002f,0x405fffff,0x00007ffd,
    0x0000fffb,0x7dc7ffc8,0xf90002ff,0x2fffb8ff,0xbfff0000,0x07ffd800,
    0xd17ffd40,0x00001fff,0x017ffe00,0x26fff700,0xff503fff,0x1fffcc1f,
    0x23ffec00,0x8003fff9,0x7fcc7ffd,0xffd8003f,0x007ffd87,0x6417ffd4,
    0xffffafff,0x0fffffde,0x00037ffc,0x01fffa80,0x701fffe4,0x3fff4fff,
    0x000fffa8,0x0002fffc,0x000bfff0,0xc803fff5,0x3e003fff,0x7ffcc5ff,
    0x7d400005,0xfb00ffff,0x360000ff,0x400007ff,0x7fcc5fff,0xfff0005f,
    0x05fff98b,0x0bfff000,0x007ffd80,0xfb17ffd4,0x000003ff,0x0017ffe0,
    0x7f4fff70,0x1fff507f,0x0017ffd4,0xf507ffe4,0xf90005ff,0x7ffd41ff,
    0xfffc8002,0x003ffec0,0x320bffea,0x0cffffff,0xf127ffec,0x00000bff,
    0xb807ffea,0x7dc06fff,0x0bffea7f,0x0003ffea,0x0000bfff,0x4002fffc,
    0x2e01fffa,0x26006fff,0xffe82fff,0xe8800007,0xffb03fff,0x3f60000f,
    0x2600007f,0xffe82fff,0xfff98007,0x007ffe82,0x00bfff00,0x4007ffd8,
    0x3f22fffa,0x000002ff,0x000bfff0,0x3ea7ffb8,0xfffa82ff,0x007ffee0,
    0xb87fff20,0xc8001fff,0x3fee1fff,0xffc8001f,0x03ffec1f,0x20bffea0,
    0x02fffffc,0xff99fffe,0x2aaaa03f,0x500aaaaa,0x53337fff,0x03ffffd7,
    0x7fc7ffb8,0x0fffa86f,0x02fffc00,0x0bfff000,0x37fff500,0xfffd7533,
    0x7fe4003f,0x2fffc80f,0xffa80000,0xdfffb05f,0xdddddddd,0x3ff603dd,
    0xeeeeeeef,0x3201eeee,0xffc80fff,0x7fe4002f,0x2fffc80f,0x5fff8000,
    0x03ffec00,0xb8bffea0,0x00005fff,0x00bfff00,0x7c7ffb80,0xfffa86ff,
    0x003fff20,0xc8bffee0,0xb8000fff,0x3ff22fff,0xffb8000f,0x03ffec2f,
    0x20bffea0,0x402ffffc,0xff70fffc,0x7fffc05f,0x501fffff,0xffffffff,
    0x003dffff,0xffb8fff7,0x07ffd42f,0x017ffe00,0x05fff800,0xfffffa80,
    0xefffffff,0x2fffc001,0x004fff98,0x6fff8800,0xffffffb0,0xffffffff,
    0x3ffff605,0xffffffff,0x3ffe02ff,0x09fff305,0x305fff80,0x00009fff,
    0xd800bfff,0x7d4007ff,0x3ffe22ff,0x8000001f,0x40005fff,0x7fdc7ffb,
    0x07ffd42f,0x0001fffb,0x7ec5fff5,0xfa8000ff,0x3fff62ff,0xfffa8000,
    0x003ffec2,0x320bffea,0xfb803fff,0x5fff91ff,0x7fffffc0,0xff501fff,
    0xffffffff,0x7fdc005b,0x237ffc47,0x4000fffa,0x00005fff,0x20017ffe,
    0xfffffffa,0x8002dfff,0x3e03fff9,0x800007ff,0xfb05fff8,0xffffffff,
    0x205fffff,0xfffffffd,0x2fffffff,0x407fff30,0x26007fff,0x3fe03fff,
    0xff80007f,0x7fec005f,0x7ffd4007,0x02fffec2,0x7ffc0000,0x7fdc0005,
    0x237ffc47,0x3f60fffa,0xfb8000ff,0x3fff61ff,0xfffb8000,0x003fff61,
    0xb07ffee0,0xfa800fff,0x7ffc82ff,0x23fff500,0x3a02fffb,0xfffeeeee,
    0xddfff501,0x01bffffd,0x643ffdc0,0x3fea1fff,0x7ffc000f,0x3fe00005,
    0xffa8005f,0xffffeeef,0xffc8000d,0x3fff200f,0x7d400002,0xfffb03ff,
    0x55555555,0x3f601555,0xaaaaaaff,0x900aaaaa,0x7e401fff,0xff9002ff,
    0x7ffe401f,0x7ffc0002,0x3ffec005,0x0bffea00,0x005ffff5,0x5fff8000,
    0x3ffdc000,0xf50fffe4,0x7ffe41ff,0xfffc8001,0x007fff20,0xc83fff20,
    0xc8001fff,0x7fec0fff,0x7ffd4007,0x007ffc82,0x3ea3fff5,0x7dc003ff,
    0xfff501ff,0x0ffffa83,0x10fff700,0x7fd4bfff,0x7ffc000f,0x3fe00005,
    0xffa8005f,0x7fffd41f,0x37ffc000,0x013ffea0,0xffff8800,0x00fffb01,
    0x01fff600,0x037ffc00,0x4013ffea,0x7d406fff,0x7c0004ff,0x7ec005ff,
    0x7fd4007f,0xffffe82f,0x80051004,0x40005fff,0xff887ffb,0x83ffea5f,
    0x8002fffb,0x7fdc7ffd,0xffd8002f,0x017ffdc7,0x6c3ffec0,0x7d4007ff,
    0x7ffc82ff,0x23fff500,0x4004fff9,0xf501fffb,0xfff303ff,0x1ffee00b,
    0xfa8fffe4,0x7fc000ff,0x3e00005f,0xfa8005ff,0xfff981ff,0x3ffe6005,
    0x07fff803,0x101359d9,0x09ffff93,0x0003ffec,0x0007ffd8,0x803fff98,
    0xf9807fff,0xfff803ff,0x7ffc0007,0x3ffec005,0x0bffea00,0x3bffffa2,
    0xfb5310ab,0x5fff800d,0x3ffdc000,0xf51fffc8,0x7ffd41ff,0x6ffe8003,
    0x001fffd4,0x3ea37ff4,0xfe8003ff,0x07ffd86f,0x417ffd40,0xf5007ffc,
    0x3ffe23ff,0x7ffdc005,0x03fff501,0x200bfff2,0xff107ffb,0x03ffeabf,
    0x00bfff00,0x02fffc00,0x80fffd40,0x9002fffc,0x55559fff,0xfffd5555,
    0xfffff905,0xffffffff,0xffd80bff,0xffb00007,0xff90000f,0x5555559f,
    0x05fffd55,0xaacfffc8,0xfeaaaaaa,0x3e0002ff,0x7e4005ff,0x3ee000ff,
    0xffd101ff,0xffffffff,0xf800dfff,0x5c0005ff,0xfff107ff,0x983ffeab,
    0x44005fff,0x7fcc5fff,0x7fc4005f,0x2fffcc5f,0x17ffe200,0x8003fff2,
    0xfc81fffb,0xfff5007f,0x007fffc3,0x203fff70,0xf101fffa,0xff700fff,
    0x47ffec0f,0x4000fffa,0x00005fff,0x20017ffe,0xf101fffa,0x3fe00fff,
    0xffffffff,0x4fffffff,0xffffffc8,0xffffffff,0x07ffd804,0x0fffb000,
    0xfffff000,0xffffffff,0xf809ffff,0xffffffff,0xffffffff,0x3ffe0004,
    0x7ffdc005,0x1fff2001,0xfffffb10,0xdfffffff,0x05fff800,0x03ffdc00,
    0xff51fffb,0x7fffc41f,0x3ffee000,0x07fffc43,0x87fff700,0x000ffff8,
    0x2e0fffee,0x32001fff,0xfff907ff,0x87ffea00,0x2004fffd,0xf501fffb,
    0x7fe403ff,0x3ffdc03f,0xf57fff30,0xff8001ff,0x3e00005f,0xfa8005ff,
    0x3ff201ff,0x7ffcc03f,0xffffffff,0x87ffffff,0xfffffeda,0x002dffff,
    0x0001fff6,0x0003ffec,0x3fffffe6,0xffffffff,0x3e607fff,0xffffffff,
    0xffffffff,0x3ffe0007,0x7ffd4005,0x1bff6002,0x7fffdc40,0x001bceff,
    0x0005fff8,0xf303ffdc,0x1fff57ff,0x002fffc8,0x3203fffa,0x3a002fff,
    0xffc80fff,0x3ffa002f,0x2fffa80f,0x41bff600,0xf5007ffc,0x7ffcc3ff,
    0xfff7000f,0x07ffea03,0x406fff98,0x7ec07ffb,0x00fffaff,0x002fffc0,
    0x00bfff00,0x403fff50,0x6406fff9,0xffffffff,0xffffffff,0x54cc01ff,
    0x8000fffd,0x00007ffd,0x8000fffb,0xfffffffc,0xffffffff,0xff901fff,
    0xffffffff,0xffffffff,0x3ffe0003,0x7ffcc005,0xbfff3005,0xafffb800,
    0xfff80000,0x7fdc0005,0x57ffec07,0x7fcc0fff,0xffb800ef,0xdfff303f,
    0x7fff7001,0x03bffe60,0x40fffee0,0x3005fff9,0x3f20bfff,0xfff5007f,
    0x05fffd83,0x203fff70,0x6c01fffa,0x3ee02fff,0x7ffd407f,0x4000fffd,
    0x00005fff,0x20017ffe,0x6c01fffa,0x3fe02fff,0x7fd4006f,0x3ff2004f,
    0xfffb0006,0x3ff60000,0x7ffc0007,0x7ffd4006,0x00dfff04,0x004fffa8,
    0x000bfff0,0x8805fffd,0x4000fffe,0x00006ffc,0x00017ffe,0xfa80fff7,
    0x80fffdff,0x200efffd,0x200ffffa,0x200efffd,0x200ffffa,0x200efffd,
    0x200ffffa,0x4402fffe,0xf900fffe,0x3fea00ff,0x7fffc41f,0x7ffdc00e,
    0x03fff501,0x206fff98,0xfe807ffb,0x000fffff,0x0002fffc,0x000bfff0,
    0x9803fff5,0xff306fff,0xff88007f,0x3ffa007f,0xfffb0004,0x3ff60000,
    0x3fe60007,0x7fc4003f,0x3fff987f,0x3fffc400,0x05fff800,0xcffff980,
    0x4fffea80,0x04ffe800,0x17ffe000,0x0fff7000,0xffffffd0,0xdffff301,
    0x3ff2a237,0x7fcc03ff,0x9511beff,0x9807ffff,0x11beffff,0x07ffff95,
    0x0cffff98,0x04fffea8,0x5401fff2,0xffc81fff,0x4c1acfff,0xf501fffc,
    0xffd003ff,0x1ffee05f,0x3ffffea0,0x9999880f,0x99dfff99,0x33101999,
    0xbfff3333,0x40333333,0xe801fffa,0xffc82fff,0xffd8001f,0xfff8801f,
    0xfffb0001,0x33333333,0x3f601333,0x999999ff,0x32099999,0xd8001fff,
    0x7fe41fff,0xffd8001f,0xfff8001f,0xfffb0005,0xfffddfff,0xf1000dff,
    0x988003ff,0xfff99999,0x0199999d,0x500fff70,0x01ffffff,0x3fffffea,
    0x3fffffff,0xfffff500,0xffffffff,0x3ffea007,0xffffffff,0xffb003ff,
    0xffddffff,0xfc80dfff,0xfff5007f,0x3fffee03,0xffffffff,0xff501fff,
    0xfff5003f,0x01ffee0d,0x07fffff4,0x7fffffd4,0xffffffff,0xffff507f,
    0xffffffff,0x7d40ffff,0xffa801ff,0x06fff86f,0x09fff700,0x000fff30,
    0x7fffffec,0xffffffff,0xfffffb06,0xffffffff,0x037ffcdf,0x44fffb80,
    0x70006fff,0xf0009fff,0x5c000bff,0xffffffff,0x50004fff,0xf5000fff,
    0xffffffff,0x0fffffff,0x401ffee0,0x00fffffe,0x3fffffa6,0x001effff,
    0x7fffff4c,0x001effff,0x7fffff4c,0x001effff,0x7fffffdc,0x804fffff,
    0xf5007ffc,0x7f4403ff,0xffffffff,0xf501ffff,0x3fa003ff,0x7ffb82ff,
    0xfffff700,0xfffff501,0xffffffff,0x3fea0fff,0xffffffff,0x207fffff,
    0xd001fffa,0x7fcc5fff,0xff10004f,0xbff700df,0x7ffec000,0xffffffff,
    0xffb06fff,0xffffffff,0x3e6dffff,0xf10004ff,0x7ffccdff,0xfff10004,
    0xbfff000d,0xfed88000,0x01deffff,0x013fee00,0x3ffffea0,0xffffffff,
    0xff7007ff,0x3ffee00f,0x6dc400ff,0x0cefffff,0xffb71000,0x0019dfff,
    0x3fff6e20,0x0000ceff,0xfffffdb1,0x3f2003bd,0xfff5007f,0xffd97003,
    0x05bfffff,0x001fffa8,0xf70dfff5,0x7ffc00ff,0xfffa80ff,0xffffffff,
    0xf507ffff,0xffffffff,0x0fffffff,0x800fffd4,0x3f26fffa,0x3a0001ff,
    0x4c401fff,0x3f600009,0xffffffff,0xb06fffff,0xffffffff,0x2dffffff,
    0x0001fffc,0x7e47fffa,0x3a0001ff,0x7c001fff,0x400005ff,0x000009a9,
    0x50001331,0xffffffff,0xffffffff,0x01ffee00,0x00fffff8,0x0000d440,
    0x0001a880,0x00035100,0x0026a600,0x401fff20,0x8001fffa,0x00009aa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x009dddd3,0xd907ddd3,0xdb1001bd,
    0x00001bdd,0x9dddd300,0xddd30000,0x2664c09d,0x98000000,0x0004eeee,
    0x006f7754,0xdeeea800,0x3aa00000,0x40000dee,0x3b202dc8,0xe9800003,
    0xd3004eee,0xbdd907dd,0x3ffe2001,0xffffffff,0xc9800005,0xa98800cc,
    0xcccccccb,0x65c40004,0x2602deee,0xeec83eee,0xb100000d,0x0001bddd,
    0x0f333260,0x3b72a600,0x0001bcde,0x84eeee98,0x980002a8,0x2003ffff,
    0xe88dfffa,0x22000eff,0x000efffd,0x3ffe6000,0xf980003f,0x7c403fff,
    0x000002ff,0x1ffffcc0,0x3ffea000,0x40000eff,0x0efffffa,0xfffa8000,
    0x20000eff,0xfc81fffd,0x200002ff,0x003ffff9,0x446fffd4,0x2000effe,
    0xfffffff8,0x0005ffff,0x406ffc80,0xffffffea,0x007fffff,0x3ffffee0,
    0x7fd403ff,0xeffe88df,0xfd100000,0x00001bff,0x037fffe6,0xffffc880,
    0x003fffff,0x1ffffcc0,0x0077ffd4,0x1ffff980,0xefff9800,0x0000efff,
    0x001dfff9,0xffff3000,0xff300003,0x3f6003ff,0x0000005f,0x007fffe6,
    0xfbfff700,0x20003fff,0xfffdfffb,0x3ee0001f,0x1ffffdff,0x5ffff000,
    0x009fffb0,0x3fffe600,0xfff30001,0x001dfffd,0xeeeeee88,0x004eeeee,
    0x17ffc400,0xfffffea8,0xffffffff,0xfff90007,0x007fffff,0xfffdfff3,
    0x2200001d,0x0003fffe,0x0ffffe60,0xfffff300,0x07ffffff,0x7fffcc00,
    0xfffff881,0xfff98005,0x3e60000d,0x0005ffff,0x00efffa8,0x3ffe6000,
    0xf980000d,0x26000dff,0x00000fff,0x0dfff980,0x7ffe4000,0x03fffb13,
    0x13fffc80,0x0003fffb,0x3627fff9,0xc8001fff,0xffa80fff,0xf980002f,
    0x40000dff,0x05fffff9,0x00000000,0x20fff700,0xfffffffa,0xffeaaaef,
    0xfff98007,0x02ba9acf,0xbfffff30,0x7f440000,0x200001ef,0x001efff9,
    0x99dfffe8,0x002ba998,0x01bfff30,0x1fffffea,0x00f33200,0x1e664400,
    0x99910000,0x66400005,0x3200003c,0xfd0003cc,0x0000009f,0x00007999,
    0x97039993,0x32600199,0xcccb81cc,0x33326000,0x00cccb81,0x2601ca80,
    0x9900002c,0x44000079,0x00003ccc,0x20000000,0xff883ffe,0x5fffffff,
    0x4003ffec,0x0002fffe,0x003ccc88,0x06665c00,0xfff10000,0x00732e1b,
    0x0007fff7,0x01e66400,0x1bffffe6,0x00000000,0x00000000,0x00000000,
    0xffb80000,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xfe80fffa,0xffffffff,0x003ffec5,0x001bffe2,
    0x00000000,0x2aa00000,0x007ffc2a,0x0001fff6,0xffb00000,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x0017ffc4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb9880000,0x00009bdd,0x985ffd80,
    0xffffffff,0x3ffec5ff,0x0fffee00,0x00000000,0x00000000,0xe805ffa8,
    0x000007ff,0x77e44000,0x2aaaa203,0xaaaaaaaa,0xaa982aaa,0x551000aa,
    0x55551015,0x55555555,0xaa805555,0x5550001a,0x54c00035,0x6ffc81aa,
    0x2a600000,0x98001aaa,0x544002aa,0x06aaa0aa,0x51aa9800,0x40003555,
    0x5551aaa9,0x54c00035,0x555441aa,0xaaaaaaaa,0x82aaaaaa,0xaaaaaaa8,
    0xaaaaaaaa,0xffb002aa,0x1dffffff,0x3fe60000,0xffffa81f,0x45ffffff,
    0x6c007ffd,0xa8000fff,0xaaaaaaaa,0x02aaaaaa,0xaaaaaa80,0x01aaaaaa,
    0x05ff9000,0x007fff90,0x55555500,0x55555555,0x3ea00055,0xffffffff,
    0x87ffffff,0x005ffffb,0xf501fff5,0xffffffff,0x0fffffff,0x002fffc4,
    0x00ffffb8,0x0ffff880,0x001fff98,0xfffff000,0xfff9000b,0x2fffa800,
    0x8000fffe,0xfff74ffd,0xff10001f,0x3ffee1ff,0xff88000f,0x7ffcc0ff,
    0xffffffff,0x87ffffff,0xfffffff9,0xffffffff,0x7f4c07ff,0xffffffff,
    0xc80001ff,0xfff906ff,0xbfffffff,0x4007ffd8,0xb0007ffe,0xffffffff,
    0x0dffffff,0xfffff880,0x3fffffff,0xf5553000,0xff5001ff,0xd80007ff,
    0xffffffff,0x06ffffff,0xfffff500,0xffffffff,0xfff70fff,0xff5003ff,
    0xffff501f,0xffffffff,0x7c40ffff,0x3a0005ff,0xc8004fff,0x3f603fff,
    0xa800005f,0x00ffffff,0x003ffe40,0xff8bffea,0x3f60004f,0x13fffa4f,
    0x0ffff200,0x0009fffd,0xf307fff9,0xffffffff,0xffffffff,0xfffff30f,
    0xffffffff,0x540fffff,0xcbefffff,0x02fffffe,0x0fffe200,0x7fffffe4,
    0x7ec5ffff,0x7ffc007f,0xfffb0006,0xffffffff,0xb800dfff,0xffffffff,
    0x2003ffff,0xffffffeb,0x3ff2006f,0xb0000dff,0xffffffff,0x0dffffff,
    0x3bbba600,0xeeffffee,0xffb86eee,0xfa805fff,0xeee980ff,0xeffffeee,
    0x2206eeee,0x20005fff,0x000ffffa,0x501fffe6,0x00001fff,0xffffffc8,
    0x3ffe4002,0x8bffea00,0x20004ffe,0x3fea3ffd,0x3e6000ff,0xfffa87ff,
    0x3fe6000f,0xffff307f,0xffffffff,0x30ffffff,0xffffffff,0xffffffff,
    0x3ffe20ff,0xffd880cf,0xf70000ff,0x3fee01ff,0xffffffff,0x003ffec5,
    0x000bfff1,0x3bbbfff6,0xeeeeeeee,0x7fff4004,0xccccceff,0xffd8801c,
    0xffffffff,0x7ffcc01e,0x8003ffff,0xeeeefffd,0x4eeeeeee,0xfff80000,
    0x3ffee005,0x7d400fff,0x7fc000ff,0xff88005f,0x7ec0005f,0x3f6004ff,
    0xfff802ff,0x7fc00003,0x005fffdf,0x2003ffe4,0x3f62fffa,0x3fa0005f,
    0x27ffec3f,0x05fffb00,0x8013fff6,0x0002fffd,0x017fff40,0x5fffd000,
    0x017fff20,0x009fffd1,0xa813ffa0,0xffffffff,0x3ffec5ff,0x07fff300,
    0x01fff600,0xeffa8000,0x20005ffd,0xcefffff9,0x1ffffffc,0xffffff30,
    0x4003dfff,0x00007ffd,0x5fff8000,0x3fffee00,0x7fd404ff,0x7ffc000f,
    0xfff88005,0x7fcc0005,0xff9801ff,0xfff7006f,0x7fd40000,0x00fffd9f,
    0x001fff20,0x7ec5fff5,0x3fa0005f,0x7fffcc2f,0x6fff9801,0x07fffe60,
    0x01bffe60,0xbfff9000,0x7fe40000,0xdfff105f,0x3fffe200,0x7ffcc000,
    0x3fffe201,0x45ffffff,0x2a007ffd,0xb0002fff,0x00000fff,0x7fedffec,
    0x3ffa0005,0x3ffea0cf,0xff886fff,0xffff90ef,0x3ff6009f,0x00000007,
    0x2005fff8,0xfffbfffb,0x03ffea00,0x00bfff00,0x00bfff10,0x0bfff900,
    0x003fffb0,0x000bffe2,0xfbbffe40,0x3f2002ff,0x7fd4007f,0x017ff22f,
    0xc82fff80,0xfd805fff,0x7fe401ff,0xfffd805f,0x3e600001,0x00000fff,
    0x201ffff3,0x2002fffc,0x4003fffc,0xfb805ffd,0xffffffff,0x543ffec5,
    0xffdaaaaa,0xaaaaaacf,0x01fff600,0x7ffc4000,0x0005ffd8,0xfb07fff7,
    0x87fffd5f,0x74c1fffb,0x400effff,0x00007ffd,0x5fff8000,0x23ffee00,
    0x3ea04fff,0x7fc000ff,0xff88005f,0xf880005f,0x3e601fff,0x7ec005ff,
    0xff00005f,0x17ffe29f,0x007ffc80,0xf917ffd4,0x7fc000df,0xffff881f,
    0x17ffe601,0x07fffe20,0x005fff98,0x17fff400,0xfffd0000,0x03fffc05,
    0x01bffe60,0x002fff88,0xfffffffd,0x47ffd8bf,0xfffffff8,0xffffffff,
    0x3ff600ff,0xf7000007,0x017ff6bf,0x417ffe20,0xdfff37ff,0x2e05ffe8,
    0x200effff,0x00007ffd,0x5fff8000,0x6dffee00,0xff500fff,0xfff8001f,
    0xfff88005,0xff700005,0x7fff40df,0x7ffcc000,0x7fd40001,0x01fffa2f,
    0x4007ffc8,0x3ee2fffa,0x3fe0006f,0xdfff701f,0x007fff40,0x206fffb8,
    0x0000fffe,0x017fff20,0x5fffc800,0x017ffe20,0x801fffe0,0x22006ffb,
    0xfffffffe,0x223ffec5,0xffffffff,0xffffffff,0x1fff600f,0x7ffc0000,
    0x000bffb2,0xf505fff7,0x0fffe4bf,0xf9809fff,0x3f604fff,0x0000007f,
    0x005fff80,0x7fcdffee,0x1fff503f,0x05fff800,0x05fff880,0x3fffe000,
    0x04fffa82,0x009ffd00,0x5c7ffc80,0xf9002fff,0xffa800ff,0x41ffee2f,
    0xfff10198,0x17fffc01,0x0027ffd4,0x2a0bfffe,0x00004fff,0x003fffe6,
    0x7fffcc00,0x0fffe600,0x01fff600,0x8003fff8,0x5fffffea,0x6643ffec,
    0xffffcccc,0x0ccccccc,0x001fff60,0xd9ffea00,0xfc8005ff,0x45ffb07f,
    0x3fa3fffa,0xffe8806f,0x0fffb01f,0x1ffec400,0x05fff800,0xfe9ffee0,
    0x1fff507f,0x05fff800,0x05fff880,0x3ffea000,0x00fffe86,0x01fff500,
    0x22fffc00,0x9005fff9,0xfa800fff,0x1ffea2ff,0x7c417fec,0x7ffd407f,
    0x00fffe86,0x437ffd40,0x0000fffe,0x00bfffa0,0x2fffe800,0x017ffd40,
    0x007ffe40,0x0007ffd4,0x8bdb9750,0xf1007ffd,0x6c000bff,0x800007ff,
    0x3ff64ffd,0x6ffd8005,0xff98fff0,0x03fff63f,0x40fffea0,0x20007ffd,
    0x003ffffe,0x2005fff8,0x3fea7ffb,0x0fffa82f,0x02fffc00,0x02fffc40,
    0x3fffa000,0x00fffea2,0x007fff00,0x20bffe60,0xf9007ffe,0xffa800ff,
    0x41ffe62f,0xff984fff,0x2fffe807,0x000fffea,0xf517fff4,0x400007ff,
    0x0005fffb,0x017ffee0,0x0007ffee,0x2007fff2,0x00004ffe,0x007ffd80,
    0x0009fff3,0x0003ffec,0xd83ffe20,0xfe8005ff,0x45ffa85f,0x3ea4fff8,
    0xff800eff,0x0fffb05f,0x3fffe600,0xfff8006f,0x1ffee005,0xff50dfff,
    0xfff8001f,0xfff88005,0x7cc00005,0x1bffa6ff,0x1bff2000,0x07ffe400,
    0x4017ffe4,0xeeeefffc,0xeeeeeeee,0x3fe62fff,0x3fffd40f,0x4c03ffcc,
    0x3ffa6fff,0x3fe60006,0x01bffa6f,0xffff9800,0xff300000,0xff9001ff,
    0xff70001f,0xfff9805f,0xd8000001,0xff5007ff,0x7ec0007f,0xeeeeeeff,
    0x401eeeee,0x7fec5ffc,0x0eeeeeef,0xfb09fff0,0x89fff05f,0x400efffd,
    0xffb05ffe,0xdddddddf,0x3ea3dddd,0x8007ffff,0x2e005fff,0x7ffdc7ff,
    0x007ffd42,0x0017ffe0,0x0017ffe2,0x2bfff600,0x0002fffb,0x001fff88,
    0xf305fff8,0xff9009ff,0xffffffff,0xffffffff,0x207ffc45,0x542ffffd,
    0xffb006ff,0x05fff75f,0xafffd800,0x0002fffb,0x00bfffa0,0x2fffe800,
    0x01fffb00,0x05fff500,0x0006ffc8,0x0fffb000,0x00bffee0,0xfffffd80,
    0xffffffff,0x17ffc02f,0x3ffffff6,0xfff00fff,0xf01fff0b,0xffe887ff,
    0xfff103ff,0x3ffff609,0xffffffff,0xffff12ff,0xfff000bf,0x3ffdc00b,
    0xf51bffe2,0xff8001ff,0xff88005f,0x8800005f,0x6ffeefff,0x3ff60000,
    0x7ffcc005,0x01fffe03,0x3ffffff2,0xffffffff,0x3e22ffff,0x7fffc1ff,
    0x037fd45f,0xfeefff88,0xf880006f,0x06ffeeff,0x3ffee000,0x3ee00005,
    0x3f6005ff,0xfb8000ff,0x3fe201ff,0x0000002f,0x3200fffb,0x20001fff,
    0xfffffffd,0x2fffffff,0x361ffea0,0xffffffff,0x8dffd00f,0xff885ffa,
    0xfffe882f,0x7ffe40df,0xfffffb01,0xffffffff,0x77ffd45f,0x5fff8000,
    0x21ffee00,0x3ea1fffc,0x7fc000ff,0xff88005f,0x9000005f,0x03ffffff,
    0x7ffd4000,0x3fff2000,0x0bfff200,0x557fff90,0x55555555,0xff85fff9,
    0x3f7fea1f,0x17fee0ff,0xfffffc80,0xf900001f,0x003fffff,0x3fffe600,
    0xff300000,0x7e4001ff,0xfc8001ff,0x3fee00ff,0x20000007,0xfb007ffd,
    0x6c0001ff,0xaaaaafff,0x00aaaaaa,0x3f613ff6,0x199999ef,0xfb1fff60,
    0x3fff505f,0x7ffffe40,0x40bfff74,0xaaaafffd,0x0aaaaaaa,0xf0000d44,
    0x7dc00bff,0x5fff887f,0x0003ffea,0x1000bfff,0x0000bfff,0x3ffffe20,
    0xfe800005,0x3ffe004f,0x27ffd406,0x001fff20,0xff85fff5,0x3e7ff22f,
    0x17fee2ff,0xfffff880,0x3e200005,0x0005ffff,0x00bfffa0,0x2fffe800,
    0x17ffdc00,0x03ffec00,0x00013ffa,0x07ffd800,0x000fffd0,0x0007ffd8,
    0xb03fff30,0xf9000bff,0x07ffc3ff,0x2007ffec,0xffffffe9,0x7fec06ff,
    0x00000007,0x2005fff8,0xff907ffb,0x03ffea3f,0x00bfff00,0x00bfff10,
    0x7ffdc000,0xb800000f,0xff3007ff,0xffff007f,0x007ffc80,0x3a17ffd4,
    0x65ffe2ff,0x13fee5ff,0x1ffff700,0xffb80000,0x700000ff,0x0000bfff,
    0x002fffdc,0x001fffd4,0xf5037ff4,0x000001ff,0x803ffec0,0x40006fff,
    0x00007ffd,0x3f60dff9,0xff98005f,0x10bff56f,0x5c00bfff,0x05ffffff,
    0x0007ffd8,0x00199995,0x8017ffe0,0xff107ffb,0x03ffeabf,0x00bfff00,
    0x00bfff10,0x7ffc4000,0xf1000005,0xff9005ff,0x5555559f,0x05fffd55,
    0x2003ffe4,0x7f42fffa,0x269ff33f,0x9ff90fff,0x5fff8800,0xff880000,
    0xf100005f,0x00001fff,0x003fffe2,0x017ffe60,0x40bfff10,0x00005ffd,
    0x03ffec00,0x002fffc4,0x001fff60,0xd81fffc0,0xfd0005ff,0x85ffb9ff,
    0x000fffe8,0x1ffffe44,0x003ffec0,0x00ffffb8,0x00bfff00,0xfb03ffdc,
    0x1fff51ff,0x05fff800,0x05fff880,0x7ffc0000,0x32000005,0xfff806ff,
    0xffffffff,0x04ffffff,0x5001fff2,0xffd85fff,0x7fc5ff93,0x007ff93f,
    0x000bfff0,0x017ffe00,0x17fff400,0xfffd0000,0x3fe20005,0x3ee000ff,
    0xfff103ff,0x80000005,0xf9806ffe,0x6c0003ff,0xa80007ff,0xffffffff,
    0x0005ffff,0xfffffff3,0x27fff4c1,0xffff5000,0x07ffd803,0x1ffff700,
    0x17ffe000,0x207ffb80,0xffabfff9,0x7ffc000f,0xfff88005,0x7c000005,
    0x000005ff,0x9807ffe6,0xffffffff,0xffffffff,0x1fff207f,0x85fff500,
    0x8fff4ffd,0x5ffb5ffc,0x0bfff000,0x3ffe0000,0xffb80005,0x2e00005f,
    0x40005fff,0x2002fffc,0xf900fffe,0x000000df,0x7009fff0,0x80003fff,
    0x80007ffd,0xfffffffe,0x005fffff,0x3ffffee0,0xfffffdcf,0x7dc0000d,
    0x7fec03ff,0xfff50007,0x7ffc000f,0x1ffee005,0xff5fffb0,0xfff8001f,
    0xfff88005,0x7c000005,0x000005ff,0xf9027ff4,0xffffffff,0xffffffff,
    0x1fff203f,0x85fff500,0x5ff9cffc,0x7ec7ffcc,0xfff8002f,0xff000005,
    0xf88000bf,0x00000fff,0x001ffff1,0x0efff980,0x03fffb80,0x0000fffe,
    0x7fff1000,0x01fffd00,0x07ffd800,0x7fffcc00,0xffffffff,0x7d40005f,
    0xffffffff,0x100003ff,0xfd809fff,0xff50007f,0x7fc000ff,0x3fee005f,
    0x6fffd407,0x7c000fff,0xf88005ff,0x000005ff,0x0002fffc,0x03ffea00,
    0x20037ffc,0xf904fffa,0xffa800ff,0x66ffdc2f,0xbffe82ff,0xf8001ffd,
    0x000005ff,0x8000bfff,0x0002fffd,0x00bfff60,0x77ffec00,0x3fffea00,
    0x01fff500,0x64002000,0x7c401fff,0xd80006ff,0x640007ff,0x99999eff,
    0x005ffd99,0xfffff880,0x0001deff,0x00bffe60,0x2000fffb,0x0007fff9,
    0xb8017ffe,0xffe807ff,0x4000ffff,0x88005fff,0x00005fff,0x002fffc0,
    0x1fffc000,0x001fffcc,0x641fffe2,0x7d4007ff,0x6ffdc2ff,0xdff907fe,
    0xf0003ffb,0x00000bff,0x80017ffe,0x0005fffb,0x017ffee0,0xffff9800,
    0xff9511be,0x7ff407ff,0xdf100004,0x2fffdc03,0x027ffe40,0x03ffec00,
    0x00fffe00,0x0000bffb,0x0355bff5,0x3fa20000,0x7fec00ff,0xfff30007,
    0x9999880d,0x99dfff99,0xffb81999,0xffffa807,0x999880ff,0x9dfff999,
    0x22019999,0x9999dfff,0x09999999,0x02fffc00,0x7fdc0000,0x01fffc86,
    0x81fffd80,0x54007ffc,0x7fd42fff,0xff305fff,0x0001ffff,0x0000bfff,
    0x0017ffe0,0x55ffffc4,0xaaaaaaaa,0x7c40aaaa,0xaaaabfff,0xaaaaaaaa,
    0xffff500a,0xffffffff,0x7ffcc07f,0xffb00001,0xfb7359bf,0x99a81fff,
    0x00fffffb,0x9fffd800,0x99999999,0x3ffee099,0x02ffec00,0x017fec00,
    0x3579f500,0xffff9533,0x3fffb00b,0x33333333,0x3ffe2133,0x7fffd406,
    0xffffffff,0xffb87fff,0xffffd007,0xffff501f,0xffffffff,0x7c40ffff,
    0xffffffff,0x04ffffff,0x002fffc0,0x7ffc4000,0x0037ffc2,0xc84fffb8,
    0x7d4007ff,0x7ffd42ff,0x3ffa02ff,0xf8000fff,0x000005ff,0x2000bfff,
    0xfffffffc,0xffffffff,0x7fe41fff,0xffffffff,0xffffffff,0x3fffa601,
    0x1effffff,0x002ffec0,0xffffd880,0xffffffff,0x7ffffc43,0x00003fff,
    0xfffffffb,0xdfffffff,0x6c02fff4,0xffffffff,0x0fff005f,0xffffa800,
    0xffffffff,0xffffb004,0xffffffff,0x3ffe2dff,0x7fffd405,0xffffffff,
    0xffb87fff,0xffff7007,0xffff501f,0xffffffff,0x7c40ffff,0xffffffff,
    0x04ffffff,0x002fffc0,0x5ffd8000,0x0013ffe6,0x6437ffc4,0x7d4007ff,
    0x7ffcc2ff,0x7ffdc07f,0xfff0007f,0x3e00000b,0xf90005ff,0xffffffff,
    0xffffffff,0xffffc83f,0xffffffff,0x01ffffff,0x7fffedc4,0x7c400cef,
    0x400002ff,0xffffffea,0xff880dff,0x002fffff,0x3ffff600,0xffffffff,
    0x5fff36ff,0xfffffb00,0x500bffff,0xa8000bff,0xffffffff,0x36003eff,
    0xffffffff,0x26ffffff,0x7d405fff,0xffffffff,0x87ffffff,0x3e007ffb,
    0xfa80ffff,0xffffffff,0x07ffffff,0x3fffffe2,0xffffffff,0x7ffc004f,
    0x30000005,0x7ffe4999,0x3ffa0001,0x03ffe41f,0x30bffea0,0x880bffff,
    0x0007ffff,0x0000bfff,0x0017ffe0,0x7fffffe4,0xffffffff,0x7e41ffff,
    0xffffffff,0xffffffff,0x0d44001f,0x01332600,0xecb98000,0x76402bce,
    0x0000bcee,0x7ffffec0,0xffffffff,0x00fff96f,0x3ffffff6,0xca805fff,
    0x5440001c,0xcdeeeedc,0xfffd8001,0xffffffff,0x26666fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x81ffc800,0x90001ffc,0x3ff903ff,
    0x405b9100,0xed8803ec,0x0deeb84e,0x7fffc400,0x5fffffff,0xffff8800,
    0x5fffffff,0xfffff100,0x0bffffff,0x00003326,0x00ab9800,0x02ae6000,
    0xb8000000,0x000005ee,0x8005ddb0,0x0002ccc8,0x0002aaa2,0x66665c00,
    0x665c0001,0x554c4003,0x9500009a,0x0059bddb,0x320b3260,0x664c004c,
    0x8004cc82,0x4cc82cc9,0x0eedc000,0x00551000,0xf306ffdc,0x2e0001ff,
    0x3fe60dff,0xfffd800f,0x02fffc81,0x88efff98,0x8001fffd,0xfffffff8,
    0x8005ffff,0xfffffff8,0x1005ffff,0xffffffff,0xff10bfff,0x000000df,
    0x09ffffd1,0xfffe8800,0x0000004f,0x0009ffd0,0x98666540,0x22000fff,
    0x902ffffe,0x7fec49ff,0x0002ffff,0x0bffff20,0x17ffa000,0xffffb510,
    0x007fffff,0x3fffffa6,0x4001efff,0x7fcc6ff8,0x37fc4006,0x2001bfe6,
    0x7fcc6ff8,0x3fee0006,0xfa8000ff,0xf8800eff,0xffffefff,0x3fe20005,
    0x5ffffeff,0x05ffff00,0x2009fffb,0xffefffe8,0xdd10001e,0xdddddddd,
    0xdd10009d,0xdddddddd,0x3ba2009d,0xeeeeeeee,0xffffa84e,0x74000002,
    0x03ffeeff,0x3bbffa00,0x000003ff,0x00fffc40,0x1fff7000,0x8801bff2,
    0x2ffffffe,0xff54ffc8,0x7fffffff,0xfff90000,0x3a00001d,0x7fdc05ff,
    0xffffffff,0x3ee01fff,0xffffffff,0x7c001fff,0xffebbdff,0xdfff8004,
    0x004ffebb,0xd77bfff0,0x740009ff,0x4003ffff,0x05fffff8,0xffffff30,
    0x980001df,0xefffffff,0x1fff9000,0x005fff50,0x77ffff44,0x00000000,
    0x00000000,0x3fe20000,0x000004ff,0x7fc87fea,0x43ff5000,0x200007fc,
    0x3fea04b9,0x7dc00006,0x05ffd0ff,0x23bffa20,0x7e42fffc,0xdffffadf,
    0x00fffffe,0x13fff200,0x7ffffc00,0xffffffff,0x77fffdc4,0xffffeece,
    0x7ffff306,0xfffb7313,0xfffa800d,0x0006ffff,0xfffffff5,0x7fd4000d,
    0x006fffff,0x1fffff40,0x3fffea00,0x36e2007f,0x00002cee,0x0b3bb6e2,
    0x98072a00,0xcc88002c,0x000000cc,0x00000000,0xa8000000,0x00004fff,
    0xff11bf20,0x8df90003,0x80001ff8,0x3f206ffd,0x5c00003f,0xfff88fff,
    0x5ffe8800,0xf917ffdc,0xb07fffff,0x2000bfff,0x0002fffc,0x3ffffffe,
    0x44ffffff,0x3aa01ceb,0xffe84fff,0x3fff600f,0x7ff54001,0x20000dff,
    0x0dffffea,0x7ff54000,0x40000dff,0x000ffffb,0x37ffffcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0002fff8,0xf31ff200,
    0xff90003f,0x0001ff98,0x3e06ffd8,0x400000ff,0xffa8fffb,0x05553005,
    0xffc8aaa6,0x3fe02fff,0xaa88007f,0x7fc0000a,0xffffffff,0x20004fff,
    0x7d46fff9,0x7fd403ff,0x5530002f,0x54c00001,0x4c00000a,0x200000aa,
    0xb0000cda,0x0007ffff,0x00000000,0x00000000,0x98000000,0x0001aaaa,
    0x55555551,0x55555555,0x55555405,0xaaaaaaaa,0x1fff82aa,0x3e600000,
    0x06fe99cf,0x339ff300,0x20000dfd,0x2aa06ffd,0xfb800002,0x00aa98ff,
    0xffc80000,0x7fe402ff,0x0000000f,0x4cccccc0,0x0999dfff,0x3ffec000,
    0x2601ffee,0x00003fff,0x00000000,0x00000000,0xdf910000,0x55530007,
    0x55400035,0xaaaaaaaa,0x502aaaaa,0x55555555,0x05555555,0x55555553,
    0x20000013,0x005fffff,0xffffff50,0xffffffff,0x7ffec0ff,0xffffffff,
    0x7fe46fff,0xc8000004,0x01ffffff,0x3ffff200,0xb00001ff,0x00000dff,
    0x03ffee00,0x32000000,0xfb803fff,0x000001ff,0xbffd0000,0xffb80000,
    0x01bff60f,0x0007ffee,0x00000000,0x00000000,0x00000000,0x5fffff80,
    0x3fff6000,0xffffffff,0xffb06fff,0xffffffff,0xfb0dffff,0xffffffff,
    0x00003bdf,0x1ffffff5,0xffff5000,0xffffffff,0x7ec0ffff,0xffffffff,
    0xfb6fffff,0x00001dff,0x37ffae00,0xfeb80001,0x200001df,0x00006ffd,
    0x1fff7000,0xa9880000,0x07ffc819,0x003fff50,0x0066a620,0x3fa19980,
    0x5c00005f,0x3ffa0fff,0x37ffcc05,0x5554c400,0x51000009,0x00000035,
    0x2aa20000,0x00000001,0x1ffffff5,0x3fff6000,0xffffffff,0xffb06fff,
    0xffffffff,0xfb0dffff,0xffffffff,0x0019ffff,0x7ffffe40,0xee98002f,
    0xffffeeee,0x206eeeee,0xeeeefffd,0x4eeeeeee,0x00019fff,0x00010000,
    0x00000200,0x00037fec,0xb8cd4400,0x80000fff,0xffffffdb,0x0fff92df,
    0x007ffea0,0xfffffdb8,0x64c02dff,0xfefffffe,0x988005ff,0xffdaaaaa,
    0x817ffa0f,0x801ffffb,0xfffffda8,0x8003ffff,0xfffffed9,0xfff9002e,
    0x07ffea00,0x3fffb660,0x00002eff,0x3ffff200,0xfb0002ff,0xddddddff,
    0x209ddddd,0xeeeefffd,0x4eeeeeee,0xeeefffd8,0xffffffee,0xfff0002f,
    0x000bfffb,0x005fff80,0x0007ffd8,0x00000379,0x20000000,0x009aaa98,
    0xfffffc80,0xffffffff,0x002fffff,0x3ffffb22,0x00fffeff,0x3fffa200,
    0x5fffffff,0x2a00fff9,0xe8801fff,0xffffffff,0x3fee05ff,0xffffffff,
    0xf93005ff,0xffffffff,0x7ff41fff,0x3ffff905,0x3fffee00,0xffffffff,
    0xfff5001f,0xbfffffff,0x07ffc801,0x803fff50,0xfffffffa,0x0000dfff,
    0xfdfff800,0xfb0005ff,0x360000ff,0xd80007ff,0x3ee607ff,0x4001ffff,
    0xffd9fffa,0x3e00000f,0xfd8005ff,0x0000007f,0x32003553,0xff5007ff,
    0x3f6a203f,0xffffffff,0x3fff2003,0xffffffff,0x2fffffff,0xfffff500,
    0xffffffff,0x3fee0001,0xfeeeffff,0x0fff95ff,0x007ffea0,0xdffffff7,
    0x10bfffdd,0xdbfffffd,0x0bfffffd,0xfffffd88,0xffffffff,0x217ffa0f,
    0x000efffc,0x3bbfffee,0x6ffffeec,0xdffffc80,0x6ffffdcb,0x803ffe40,
    0x3201fffa,0xdcbdffff,0x0006ffff,0x4fffd400,0x8000fffd,0x00007ffd,
    0x0000fffb,0xb100fffb,0xc800dfff,0x5fff77ff,0x7ffc0000,0x7ffd8005,
    0x7ff98000,0x7fffffdc,0x03ffe404,0x701fffa8,0xffffffff,0x003fffff,
    0xfffffff9,0xffffffff,0xf9005fff,0xfdbdffff,0x001fffff,0x3dffff30,
    0x7fe57260,0x3fff5007,0x77fffcc0,0xfb0b9301,0xf5101bff,0xffd80bff,
    0xaaaacdff,0x3a0fffda,0x7ffcc5ff,0x1ceb8005,0x13fffaa0,0x80efffa8,
    0x203fffe8,0xf5007ffc,0x3fea03ff,0xffe880ef,0x2000003f,0xfff77ffc,
    0xfffb0005,0x3ff60000,0xffd80007,0x3fff6007,0x53ffe002,0x0005fff8,
    0x0017ffe0,0x0001fff6,0x3a23ffe6,0xffffffff,0x0fff900e,0x407ffea0,
    0xceeffffb,0x06ffffee,0x01bff600,0x7fffdc00,0x1fffb302,0x9fffd000,
    0x07ffc800,0x403fff50,0x0004fffe,0xd009fff3,0x7fdc0bff,0x7fdc00ef,
    0x717ffa0f,0x00003fff,0x06fff980,0x3a01bffa,0xff900fff,0x3ffea00f,
    0x00dffd01,0x0001fffd,0x453ffe00,0xd8005fff,0xb00007ff,0xb0000fff,
    0x7cc00fff,0xfa800fff,0x1fffa2ff,0x5fff8000,0x07ffd800,0x9fff9800,
    0xfedefffe,0xff904fff,0x3ffea00f,0x4039d701,0x004fffea,0x000dffb0,
    0x01bfff10,0x000fffb8,0x002fffdc,0xa803ffe4,0xff701fff,0x7f4000bf,
    0xbffd007f,0x007fff40,0xfd07ffdc,0x0fffc8bf,0xfd800000,0x3fff707f,
    0x09fff300,0x5401fff2,0xffb81fff,0xfff9801f,0xfa800004,0x1fffa2ff,
    0x01fff600,0x03ffec00,0x03ffec00,0x00bfff60,0xff71fff2,0x3e00005f,
    0xfd8005ff,0xf980007f,0x41dfffff,0xc80ffffa,0xff5007ff,0xf300003f,
    0x36000dff,0xc80006ff,0xfb801fff,0x7fc000ff,0xfc8000ff,0xfff5007f,
    0x03fffe03,0x1fffcc00,0x205ffe80,0xf7005fff,0x2fff41ff,0x000fffea,
    0x3ffee000,0x005fff80,0x7e417ffa,0xfff5007f,0x00bfff03,0x2e02fff4,
    0xff9000cd,0x02fffb8f,0x003ffec0,0x007ffd80,0x007ffd80,0x401fffd4,
    0x7fcc5fff,0xff00005f,0xffb000bf,0xff30000f,0x7e40bfff,0x7ffc82ff,
    0x03fff500,0x1fff6000,0x037fec00,0x02fffc00,0x000fffb8,0x0013ffe2,
    0xa803ffe4,0xff881fff,0x3ea0004f,0xffd000ff,0x17ffe20b,0x83fffa20,
    0x7fcc5ffe,0x000002ff,0x2207ffdc,0x36004fff,0xfff906ff,0x07ffea00,
    0x4009fff1,0x3f606ffd,0xff801fff,0x2fffcc5f,0x01fff600,0x03ffec00,
    0x03ffec00,0x013ffe60,0xfd05fff3,0x3e0000ff,0xfd8005ff,0xf980007f,
    0x7c405fff,0x7ffc83ff,0x03fff500,0x3ffee000,0x6ffd8000,0x7ffcc000,
    0x1fff7002,0x1fffcc00,0x07ffc800,0x303fff50,0x40007fff,0x3a007ffc,
    0x3ffe05ff,0x7fffdc06,0x217ffa0f,0x003ffffc,0x55554c40,0x4c0fffda,
    0x9999bfff,0xfd999999,0x0fff907f,0x307ffea0,0x33337fff,0xfb333333,
    0x3ffe20ff,0x7fcc05ff,0x07ffe82f,0x003ffec0,0x007ffd80,0x007ffd80,
    0x202fffc4,0xfc80fffc,0xf80002ff,0xfd8005ff,0xeeeeeeff,0x981eeeee,
    0xff006fff,0x0fff909f,0x007ffea0,0x07ffdc00,0x037fec00,0x07ffea00,
    0x007ffdc0,0x003fff70,0x401fff20,0xfb81fffa,0x360001ff,0x3fa007ff,
    0x3fffa05f,0xffffd984,0x17ffa0ff,0x06ffffec,0xffff9300,0xffffffff,
    0xfffffa81,0xffffffff,0xc80fffff,0xff5007ff,0xffffa83f,0xffffffff,
    0x80ffffff,0x0ffffff8,0x203fff20,0x2002fffc,0xeeeefffd,0x1eeeeeee,
    0xdddfffb0,0xdddddddd,0x00fffb03,0xf80dfff0,0xfff305ff,0xfff00009,
    0xfffb000b,0xffffffff,0xff305fff,0x3ffe007f,0x007ffc85,0x4003fff5,
    0xdaaaaa98,0xd8000fff,0x5c0006ff,0xf7000fff,0x7e4001ff,0xf90000ff,
    0x3fea00ff,0x0fffc81f,0x1bffa000,0x205ffe80,0xdefffffa,0xffbfffff,
    0x817ffa0f,0x00effffc,0x7ffffec4,0xffffffff,0x7fffdc0f,0xffffffff,
    0x80ffffff,0xf5007ffc,0xfffb83ff,0xffffffff,0x0fffffff,0x3fffffb0,
    0x982fffc0,0x36004fff,0xffffffff,0x02ffffff,0xfffffffb,0x5fffffff,
    0x000fffb0,0x7cc0fffd,0x3ffe03ff,0xfff80007,0xfffd8005,0xffffffff,
    0xff982fff,0xbfff003f,0x200fff90,0x4c01fffa,0xfffffffc,0x000fffff,
    0x0006ffd8,0x7003ffe4,0x64001fff,0x90001fff,0x3ea00fff,0xfffc81ff,
    0x3ffa0001,0x17ffa006,0xffffff90,0xff11bfff,0x02fff41f,0x03bfffea,
    0xcdffffd8,0xffdaaaaa,0x6fffd40f,0xcccccccc,0x904ccccc,0x3ea00fff,
    0x7ffd41ff,0xcccccccd,0x04cccccc,0x0bffffe2,0xf01fffcc,0x7ec00fff,
    0xffffffff,0xb02fffff,0xffffffff,0x05ffffff,0xd000fffb,0x7fe40fff,
    0x3fff200f,0x7ffc0002,0xfffd8005,0xaaaaaaaa,0xff980aaa,0xbfff003f,
    0x200fff90,0xb101fffa,0xffffffff,0x01ffffff,0x00dffb00,0x007ffc80,
    0x8003ffee,0x0002fffa,0x2a00fff9,0xffa81fff,0x3f60002f,0x3ffa007f,
    0xfffea805,0x3fe23dff,0x017ffa0f,0x417fffe6,0x400efffb,0x7cc0fffb,
    0x400002ff,0xf5007ffc,0xfff983ff,0xf7000002,0x3f201fff,0x3ff200ff,
    0xfffb002f,0x55555555,0x3f601555,0xaaaaaaff,0xd80aaaaa,0xff8007ff,
    0x1bffe07f,0x009fff50,0x005fff80,0x0007ffd8,0x003fff98,0xff90bfff,
    0x3ffea00f,0xbffffb01,0xfb555559,0xfb0001ff,0xfc8000df,0xff7000ff,
    0x7fcc001f,0x0000003f,0x1fffcc00,0x0fff9000,0x017ffe20,0x3ee03530,
    0x02fff45f,0x80ffff98,0xb800fffe,0x7fc40fff,0x6400004f,0xff5007ff,
    0x4fff883f,0xff300000,0x37ffc0ff,0x013ffea0,0x0003ffec,0x0007ffd8,
    0x4007ffd8,0xf306fff8,0xfff007ff,0xfff8000f,0x7ffd8005,0xfff98000,
    0x0bfff003,0x2a00fff9,0xffb81fff,0x7fdc00ef,0xffd8000f,0x7fdc0006,
    0xfffb001f,0x7ffc4001,0x00000006,0x037ffc40,0x03fff900,0x05fffe88,
    0x1bfea000,0xc8017ffa,0xfff81fff,0x1fff7005,0x000bfff0,0x00fffb80,
    0xf81fffe8,0x000005ff,0x260bfff5,0xff803fff,0xfffb007f,0x3ff60000,
    0xffd80007,0x7ffcc007,0x59fff906,0xd5555555,0x40005fff,0xd8005fff,
    0x980007ff,0xff003fff,0x0fff90bf,0x207ffea0,0xb800fffe,0xd8000fff,
    0x540007ff,0xfc803fff,0x74000fff,0x00003fff,0x40026654,0x0003fffe,
    0xd807fff5,0x0005ffff,0xd03fff10,0x7d400bff,0x7ffc42ff,0xfffe8805,
    0x02fffd80,0x3ffea000,0x7fffec01,0x02fffd81,0x7ff44000,0x9fff900f,
    0x55555555,0xb005fffd,0x20000fff,0x80007ffd,0x54007ffd,0xfff04fff,
    0xffffffff,0x09ffffff,0x02fffc00,0x003ffec0,0x01fffcc0,0xfb85fff8,
    0xffe800ff,0x05fff81f,0x001fff70,0x001fff70,0x02fffc40,0x03ffffee,
    0x5ffff300,0x7fec0000,0xfff98005,0xfff0002f,0x3fff601d,0x700005ff,
    0x3ffa0dff,0x3fff2005,0x406fff81,0x80fffffb,0x000ffff9,0x0bfff300,
    0x0fffffec,0x007fffcc,0xfffea800,0x3ffffe03,0xffffffff,0xd804ffff,
    0xb00007ff,0xb0000fff,0xfd800fff,0xfff981ff,0xffffffff,0x07ffffff,
    0x017ffe00,0x001fff60,0x00fffe60,0x7d42fffc,0x7fec01ff,0x7ffc41ff,
    0xfffe8805,0xfffa8000,0x7fec0005,0xffff501f,0xf90001ff,0x8813bfff,
    0xfff805da,0xfff90002,0xda8813bf,0x077ffe45,0xffbbffd5,0x3f20000b,
    0x8bffd07f,0x6fffb880,0x309fffd0,0x1ffffffb,0x13ffff20,0xfff00e60,
    0xeffd987f,0xff901fff,0x873009ff,0x4fffffec,0x3ffffe60,0xffffffff,
    0xd807ffff,0xb00007ff,0xb0000fff,0x7cc00fff,0xfff907ff,0xffffffff,
    0x3fffffff,0x17ffe000,0x01fff600,0x0fffe600,0x4c2fffc0,0x3f605fff,
    0xff81ffff,0x7ffdc06f,0xf88000ff,0x9880cfff,0x3fffea00,0x2ffff661,
    0x88000fff,0xfffffffe,0x405ffffe,0x0000fff9,0xffffffd1,0x8bffffdf,
    0xfefffff8,0xbff95fff,0x3fe60000,0xffd0abef,0xfeeefd8b,0xf501ffff,
    0xffbdffff,0x1fff7fff,0x3ffffa20,0xfeedceff,0x7ffdc07f,0xefffeeff,
    0xd101fff8,0x9dffffff,0xd8fffddb,0x401effff,0xfffffffc,0xffffffff,
    0x7ec01fff,0xfb00007f,0xfb0000ff,0x7ff400ff,0x0dfff04f,0x04fffa80,
    0x00bfff00,0x000fffb0,0x007fff30,0x7fc17ffe,0x7fecc3ff,0xfe81fffe,
    0xffd984ff,0x0000ffff,0xdffffff7,0xe805fffd,0xffefffff,0x0fff99ff,
    0x3ffee000,0xffffffff,0x037fdc05,0x7fffdc00,0x5fffffff,0xffffff98,
    0x17ff25ff,0xfffd8000,0x8bffd1ff,0xfffffffd,0x7ffe402f,0x8dffffff,
    0x6400fff8,0xffffffff,0xd807ffff,0xffffffff,0x803fff0e,0xfffffffc,
    0x6c7fffff,0xff003cef,0xffa800df,0x3ffec04f,0x7ffd8000,0x7ffd8000,
    0x1dfff900,0x007fff30,0x007fff88,0x000bfff0,0x0000fffb,0x2007fff3,
    0xff705fff,0xfffddfff,0x503fff1d,0xfbdfffff,0xfff7ffff,0x7fec0001,
    0xffffffff,0xffffd802,0xff11ffff,0xc880001f,0xeffffffe,0x1ffe401c,
    0xfec88000,0x1cefffff,0xbffffb10,0x005ffc87,0x3ffb2200,0xd8bffd1f,
    0x0cefffff,0xffffd500,0x7ffc47bf,0xffed9800,0x3dffffff,0xfffff700,
    0x01fff87d,0xffffed98,0x043dffff,0x1fffcc00,0x1fffe200,0x000fffb0,
    0x001fff60,0x301fff60,0x205ffffd,0x8001fffc,0x3101fffd,0xfff33333,
    0x0333333b,0x4ccfffec,0x99999999,0x03fff980,0x6c0bfff0,0xffffffff,
    0x203fff0e,0xfffffffc,0xfff88dff,0x7ecc0000,0x1effffff,0xdfffd900,
    0x07ffc437,0x26620000,0x0665c001,0x99880000,0x00198001,0x00000000,
    0x00009988,0x00001a98,0x0266aa60,0x01aa8800,0x35530000,0xc8000013,
    0xd8001fff,0x3f601fff,0x999999ff,0xb0099999,0x33333fff,0x01333333,
    0x5333fffb,0xfffffd97,0x037ffc05,0x04fffb80,0xfffffff5,0xffffffff,
    0x7fffec0f,0xffffffff,0xfff986ff,0x0bfff003,0xefffffb8,0x500fffc3,
    0x7bfffffd,0x0007ffc4,0x03333100,0x00054400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0dfff000,
    0x13ffee00,0xffffffd8,0xffffffff,0xfffffb06,0xffffffff,0xffffb0df,
    0xffffffff,0x7fcc03ff,0xff10004f,0x3ffea0df,0xffffffff,0x3607ffff,
    0xffffffff,0x86ffffff,0xf003fff9,0x2a200bff,0x2600001a,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffcc000,0xfff10004,0x7fffec0d,0xffffffff,
    0xfffb06ff,0xffffffff,0xffb0dfff,0xffffffff,0xfc8017df,0x3a0001ff,
    0xffa81fff,0xffffffff,0x207fffff,0xfffffffd,0x6fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x0001fffc,0x6c07fffa,
    0xffffffff,0x06ffffff,0xfffffffb,0xdfffffff,0xffffffb0,0x000399dd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000d5440,
    0x50399930,0x20001999,0x50000aa8,0x0054c015,0x00599900,0x66654000,
    0x3332e01c,0x0000000c,0xa800732e,0x002a600a,0x402b2e60,0x66640001,
    0x54000002,0x5c01cccc,0x0000cccc,0x20733260,0x4400ccca,0x0001cccc,
    0x3b600000,0x4000003e,0x40004eec,0x001cccca,0x0a9802aa,0x16664000,
    0x32a00000,0x65c01ccc,0x20000ccc,0x6cc07ffb,0x2efffffe,0x1fffc800,
    0x6407ffee,0x3fb224ff,0x2003efff,0xfb80fffb,0xfd8001ff,0x00003fff,
    0x03ffffb8,0x07fffec4,0xff800000,0xfff7000f,0x03fff701,0x3ffffe20,
    0x0027cc3f,0x03ffffd8,0xfff70000,0xffb1007f,0x400001ff,0x3ee1fffc,
    0xff7001ff,0x0cb981ff,0xf1000000,0x995005ff,0x19999999,0x0007fff0,
    0x01ffffdc,0x701fff70,0x20003fff,0x003ffffd,0xffff7000,0xfffb1007,
    0x3f60001f,0x3ffea05f,0xdfffffff,0x7ffe4000,0x201fffcb,0xffd15ffc,
    0x07ffffff,0x213fffe0,0x4004ffff,0x3ffffffd,0x3fee0000,0x3ee001ef,
    0x00000fff,0x002ffd40,0xff09ffff,0xfd1009ff,0x7dffffff,0x8003fff9,
    0x3ffffffd,0x7fdc0000,0x7dc001ef,0x00000fff,0x3f2ffff2,0x7ec001ff,
    0xfffeceff,0x0000000f,0x3600fff5,0xffffffff,0x07ffcc1f,0xefffb800,
    0x7fffc001,0x04ffff84,0xfffffd80,0x5c00003f,0x4001efff,0x000ffffb,
    0xf902fff8,0xfb97bfff,0x9000dfff,0x03ffffff,0xfe9dffc8,0xffffeeff,
    0xfffe803f,0x04fffe83,0x2e3bff60,0x80003fff,0x000dfffb,0x00fffe98,
    0x3ff20000,0x3fffa002,0x04fffe83,0xda9cffb8,0x2fffffff,0x477fec00,
    0x0003fffb,0x01bfff70,0x3fffa600,0x3f200000,0x001fffff,0x3ffff2a2,
    0x00ffffff,0x006aaa00,0x36009ffb,0xffffffff,0x02ffdc1f,0x0dfffb80,
    0x3fffe800,0x004fffe8,0x7dc77fec,0x700003ff,0x0001bfff,0x003fffa6,
    0xa80fff98,0xe880efff,0xc8003fff,0xc801ffff,0x0dffffff,0x01ffff22,
    0x2603bfea,0xd8800eff,0x3fea0dff,0x3ee0003f,0x440003ff,0x0000fffd,
    0xfff55530,0x77fd4001,0x00eff980,0xffd50990,0x6c4007df,0x3fea0dff,
    0x7dc0003f,0x880003ff,0x0000fffd,0x07ffff20,0xfffffe80,0x2cefffff,
    0x3ffe2000,0x00fffc05,0xdaaaaa98,0x7ff41fff,0xfffb8002,0x3fea0003,
    0x0eff980e,0x1bffb100,0x001fffd4,0x00fffee0,0x3fff6200,0x0dff5000,
    0x3a01bffa,0xa8000fff,0xff9001aa,0x7e407fff,0x001002ff,0x1554c003,
    0x000aaa98,0x00035550,0x00155540,0xfffffd70,0x02000dff,0x30000060,
    0x55300015,0x02aaa605,0x01aaa800,0x15554000,0x2aaa0000,0x7fff4001,
    0x00ffffff,0xbfff1000,0x0037fcc0,0x10fffdc0,0x2a000fff,0x100001aa,
    0xa9800300,0x1555302a,0x0d554000,0x2aaa0000,0x09ff9002,0x3003fff7,
    0x00009fff,0x3ffff200,0x2fffc403,0x00000000,0x00000000,0x10000000,
    0xfffffffb,0x0003dfff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb157bfd0,0x0000bfff,0x8817ffe2,0xb80001aa,0x2aa21fff,0x00000002,
    0x00000000,0x00000000,0x44000000,0x5fff8099,0x017ffa00,0x7fe40000,
    0xfffd004f,0x00000000,0x00000000,0x20000000,0xcefffff9,0x1ffffffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0xe8804000,0x80002fff,
    0x0005fff8,0x3ffee000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x04fff880,0x001bff60,0x64006aa2,0x3f2007ff,0x000000ff,0x00000000,
    0x00000000,0x0cfffe80,0x3fffffea,0x35510006,0xaa880000,0x54400001,
    0x4400001a,0x400001aa,0x00001aa8,0x0d5554c4,0xfff71000,0xf880001f,
    0x000005ff,0x007ffee0,0x00d54c40,0x10000351,0x80000355,0x00001aa8,
    0x0000d544,0x0006aa20,0x26fffe60,0x99999999,0x3007ffd9,0xdfffffdb,
    0x03ffe405,0x901fff70,0x3ea00fff,0x7ffc81ff,0x03fff500,0x2a00fff9,
    0xffc81fff,0x3fff5007,0xd83fffb8,0x3fffeaff,0xffffb500,0x20007dff,
    0xffffffda,0xfb50003e,0x07dfffff,0x3fff6a00,0x0003efff,0xffffffb5,
    0x3660007d,0xffffffff,0xfdb9804f,0x04ffffff,0x2fffc400,0xf7000000,
    0xda8003ff,0x24ffffff,0x05ffffe9,0x7fff6cc0,0x30002eff,0xdfffffdb,
    0x3b660005,0x02efffff,0xfffdb300,0x20005dff,0xfffffffa,0xffffffff,
    0x7d400fff,0xffffffff,0x7ffc80df,0x07ffee00,0x5401fff2,0xffc81fff,
    0x3fff5007,0x200fff90,0xfc81fffa,0xfff5007f,0x82fffc43,0xdfff37ff,
    0xffffd880,0x0dffffff,0xffffb100,0x1bffffff,0x3fff6200,0xdfffffff,
    0xfffb1000,0xbfffffff,0x3ff62001,0xffffffff,0xffb1000d,0xffffffff,
    0xfffa809f,0xffffffff,0x3fe20001,0x0000005f,0x8007ffee,0xfffffff8,
    0xffff9cff,0xf5005fff,0xffffffff,0x7d4001bf,0xffffffff,0x3ea000df,
    0xffffffff,0x3ea000df,0xffffffff,0x7dc000df,0xffffffff,0xffffffff,
    0x3fff200f,0xfffdcbdf,0x07ffc86f,0x207ffea0,0xf5007ffc,0xfff903ff,
    0x07ffea00,0x5401fff2,0xffc81fff,0x3fff5007,0x5417ffdc,0x3fff25ff,
    0xffffd301,0xfffffbbf,0xffe9803f,0xfffddfff,0x74c01fff,0xfddfffff,
    0x401fffff,0xdfffffe9,0x1ffffffd,0x7ffff4c0,0xfffffddf,0xfffd801f,
    0xfedccdef,0x3fff204f,0xfffeefff,0x3e20005f,0x000005ff,0x007ffee0,
    0xccdeff88,0xeffffffe,0x403fffdc,0xcbdffffc,0x006ffffd,0x97bffff9,
    0x00dffffb,0x2f7ffff2,0x06ffffdc,0x7bffff90,0x0dffffb9,0xcdfffa80,
    0xcccccccc,0x2a04cccc,0xe880efff,0x7fe43fff,0x3ffee007,0x007ffc80,
    0xf903fff5,0x3fea00ff,0x07ffc81f,0x903fff50,0x3ea00fff,0x1fff21ff,
    0xff517fec,0x3fffa07f,0xfffe980d,0x6ffff405,0x5fffe980,0x06ffff40,
    0x02ffff4c,0x2037fffa,0x405fffe9,0x980dfffe,0x5405fffe,0x4c00dfff,
    0x5ffff901,0x03fffb01,0x17ffe200,0xfb800000,0x362001ff,0xbffffb02,
    0x2a06ffd8,0xe880efff,0x7d403fff,0xfe880eff,0x7fd403ff,0xffe880ef,
    0x7ffd403f,0xfffe880e,0x3ffe6003,0xfe800002,0xfffe806f,0x801fff20,
    0xff907ffc,0x3ffea00f,0x007ffc81,0xf903fff5,0x3fea00ff,0x07ffc81f,
    0x6c3fff50,0x8fff06ff,0xfb83fff9,0x7f4404ff,0xfff702ff,0xfffe8809,
    0x09fff702,0x02fffe88,0x8809fff7,0xf702fffe,0xfe8809ff,0x3ff602ff,
    0x7fc40007,0x3fea00ef,0xff10005f,0x000000bf,0x000fffdc,0x1ffff500,
    0xd01fff88,0xffd00dff,0x37ff401f,0x007fff40,0xfd00dffd,0x7ff401ff,
    0x0fffe806,0x09fff100,0xfffb8000,0x4fff9801,0xd801fff2,0xfff906ff,
    0x07ffea00,0x5401fff2,0xffc81fff,0x3fff5007,0x200fff90,0x3fa1fffa,
    0x45ffa85f,0x7c44fff8,0xff3006ff,0xdfff10df,0x1bffe600,0x401bffe2,
    0xf886fff9,0xff3006ff,0xdfff10df,0x1bffe600,0x0006ffe8,0x4007ffe4,
    0x8000fffe,0x0005fff8,0x3ffee000,0x3e200001,0x7ffd06ff,0x003fff70,
    0x2e09fff3,0xf9801fff,0xfff704ff,0x9fff3003,0x007ffee0,0x8013ffe6,
    0x00005fff,0xd002fffc,0x3ffe4bff,0x04fff880,0x2a00fff9,0xffc81fff,
    0x3fff5007,0x200fff90,0xfc81fffa,0xfff5007f,0x6c27ffc3,0x4fff82ff,
    0x001fffd4,0xfa81fffb,0x3f6003ff,0x7ffd40ff,0x3fff6003,0x01fffd40,
    0xa81fffb0,0x36003fff,0xffb00fff,0x3e20003f,0xff7005ff,0xff10005f,
    0x000000bf,0x000fffdc,0x413ffe00,0xfff84ffd,0x17ffa005,0xd002fffc,
    0x3ffe0bff,0x17ffa005,0xd002fffc,0x7ec00bff,0x100002ff,0x6c009fff,
    0x1fff26ff,0x80fffe40,0xf5007ffc,0xfff903ff,0x07ffea00,0x5401fff2,
    0xffc81fff,0x3fff5007,0x7fc2fffc,0x43fff80f,0x54007ffc,0x7fe41fff,
    0x7ffd4007,0x003ffe41,0xf907ffea,0xffa800ff,0x03ffe41f,0x407ffea0,
    0x003ffffb,0x001fffa8,0x000bfff1,0x000bfff1,0x7ffdc000,0x7f400001,
    0x8bff903f,0x2004fff8,0xff886ffd,0x3ff6004f,0x04fff886,0x221bff60,
    0x36004fff,0x3e6006ff,0x80000fff,0x999bfff9,0xd9999999,0x1fff27ff,
    0x813ffea0,0xf5007ffc,0xfff903ff,0x07ffea00,0x5401fff2,0xffc81fff,
    0x3fff5007,0x3ea37ff4,0x2fff885f,0x20037fec,0x7ec3fff9,0x7fcc006f,
    0x037fec3f,0xb0fffe60,0xf9800dff,0x37fec3ff,0x0fffe600,0xcfffffe8,
    0x1fff7001,0x037ffc00,0x02fffc40,0xff700000,0x9880003f,0xaacffeaa,
    0x45ffdaaa,0x999bfff9,0xd9999999,0xfff987ff,0x9999999b,0x87ffd999,
    0x999bfff9,0xd9999999,0xfff987ff,0x9999999b,0x07ffd999,0x27fffe40,
    0xffa81cc0,0xffffffff,0xffffffff,0x017fff90,0x01ffff91,0xa803ffe4,
    0xffc81fff,0x3fff5007,0x200fff90,0xfc81fffa,0xfff5007f,0x363ffec3,
    0xfffa82ff,0x002fff41,0xfd13ffe2,0xff8800bf,0x02fff44f,0xd13ffe20,
    0xf8800bff,0x2fff44ff,0x13ffe200,0xfffffe88,0x3f201cff,0x7ff4007f,
    0xfff88007,0x20000005,0x8001fffb,0xffffffd9,0xffffffff,0x7fd46fff,
    0xffffffff,0xffffffff,0x7ffffd40,0xffffffff,0x540fffff,0xffffffff,
    0xffffffff,0x7ffd40ff,0xffffffff,0x0fffffff,0x3fffa200,0xeedcefff,
    0xfff707ff,0xffffffff,0x1fffffff,0x3bfffff2,0xffffffee,0x03ffe402,
    0xc81fffa8,0xff5007ff,0x0fff903f,0x207ffea0,0xf5007ffc,0x7ffe43ff,
    0x3603ffe1,0x7ffc0fff,0x4fff8005,0x4002fffc,0x7ffc4fff,0x4fff8005,
    0x4002fffc,0x7ffc4fff,0x4fff8005,0xfffffb80,0xfe81efff,0x7fec006f,
    0x7fc4000f,0x0000005f,0x0007ffee,0xfffffff9,0xffffffff,0xfb8dffff,
    0xffffffff,0xffffffff,0x7fffdc0f,0xffffffff,0x40ffffff,0xfffffffb,
    0xffffffff,0x7fdc0fff,0xffffffff,0xffffffff,0xfffc8000,0xffffffff,
    0xbfff507f,0x99999999,0x64999999,0xffffffff,0x800dffff,0xf5007ffc,
    0xfff903ff,0x07ffea00,0x5401fff2,0xffc81fff,0x3fff5007,0xfab7ffcc,
    0x5fff885f,0x4005fff8,0x7fc3fff8,0x7fc4005f,0x02fffc3f,0xf0fffe20,
    0xf8800bff,0x2fffc3ff,0x0fffe200,0xffffda80,0x7ff43fff,0x3ffec007,
    0x2fffc400,0xf7000000,0x7cc003ff,0xeaaacfff,0xaaaaacff,0x7fd41aaa,
    0xccccccdf,0x4ccccccc,0xccdfffa8,0xcccccccc,0xffa84ccc,0xccccccdf,
    0x4ccccccc,0xccdfffa8,0xcccccccc,0x20004ccc,0xfffffed9,0xf303dfff,
    0x900005ff,0xffffdfff,0x640059df,0xff5007ff,0x0fff903f,0x207ffea0,
    0xf5007ffc,0xfff903ff,0x07ffea00,0xffb9fffd,0x0fffe885,0x4006ffe8,
    0x7f42fff9,0x7fcc006f,0x037ff42f,0xd0bffe60,0xf9800dff,0x37ff42ff,
    0x0bffe600,0x3ff6a200,0x3ff61fff,0x3ffa000f,0xfff88007,0x20000005,
    0x2001fffb,0xfe80effe,0xff98003f,0x2600002f,0x00002fff,0x000bffe6,
    0x02fff980,0x98000000,0x400effda,0x0004fff8,0x2667ffc8,0x3ff20001,
    0x3fff5007,0x200fff90,0xfc81fffa,0xfff5007f,0x00fff903,0xf307ffea,
    0x41ffffff,0x904fffe9,0xfa800fff,0x3ffe41ff,0x07ffea00,0xa800fff9,
    0x7fe41fff,0x7ffd4007,0x003ffe41,0x0007ffea,0x4bfffd30,0x2001fffb,
    0x88005fff,0x00005fff,0x07ffee00,0x827ffc40,0x88004ffe,0x00004fff,
    0x0013ffe2,0x04fff880,0x3ffe2000,0x00000004,0x001fff30,0x00017ffe,
    0x0001fff2,0x001fff70,0xf703fffd,0xffd001ff,0x1fff703f,0x03fffd00,
    0xd001fff7,0xff703fff,0xffb9ffff,0x2e01bfff,0x3a002fff,0x7fdc0fff,
    0x3ffa002f,0x17ffdc0f,0x81fffd00,0x2002fffb,0x7dc0fffe,0x3fa002ff,
    0x880000ff,0x3fea6fff,0xfff3003f,0xfff10007,0x4000000b,0x3001fffb,
    0x3fa03fff,0xfff0005f,0xff80000b,0x7c00005f,0x400005ff,0x00005fff,
    0x7ffd0000,0x17ffec00,0x1fff2000,0xfff50000,0xffffd803,0x01fffa81,
    0x40ffffec,0x6c01fffa,0xfa81ffff,0x7fec01ff,0xfff501ff,0xffffffff,
    0x6fff9807,0x09fff300,0x200dfff3,0xf984fff9,0xff3006ff,0xdfff309f,
    0x13ffe600,0x401bffe6,0x0004fff9,0xf89fffa0,0xfd800fff,0xf88001ff,
    0x000005ff,0x007ffee0,0x4c07ffd4,0xb0007fff,0x00005fff,0x0017ffec,
    0x05fffb00,0x7ffec000,0x00000002,0x0007ffcc,0x001ffff3,0x003ffe40,
    0x17ffe600,0x1fffffd8,0x205fff98,0x81fffffd,0x3605fff9,0x981fffff,
    0x3f605fff,0x2201ffff,0xefffffff,0xfffb001d,0xfffe9809,0x09fffb00,
    0x00fffe98,0x9809fffb,0xfb00fffe,0xfe9809ff,0xfffb00ff,0xfffe9809,
    0xff500000,0x4fffc8df,0x02fffd40,0x05fff880,0x3ee00000,0xff3001ff,
    0xfffe885f,0xff98002f,0x300000ff,0x0001ffff,0x03fffe60,0x7ffcc000,
    0x0000000f,0x007ffea0,0x09ffff90,0x7ffc8730,0xfff80000,0x77fecc3f,
    0xfff01fff,0xeffd987f,0xfff01fff,0xeffd987f,0xfff01fff,0xeffd987f,
    0x3ea01fff,0x0001aadf,0x81bffff1,0x03ffffa8,0x037fffe2,0x07ffff51,
    0x06ffffc4,0x0ffffea2,0x0dffff88,0x1ffffd44,0x1bffff10,0x3ffffa88,
    0x3006b220,0xf887fffd,0x6440dfff,0x0001ffff,0x000bfff1,0x7ffdc000,
    0xbfff1001,0x7ffffec4,0x7e40501f,0x39804fff,0x27fffe40,0x3f201cc0,
    0x39804fff,0x27fffe40,0x00001cc0,0x0d677ffc,0x7ffff440,0xfeedceff,
    0x03ffe47f,0x7ffdc000,0xefffeeff,0xf701fff8,0xffddffff,0x03fff1df,
    0x3bffffee,0xff8efffe,0xffff701f,0x1dfffddf,0x7ec03fff,0xf700002f,
    0xfddfffff,0x700bffff,0xddffffff,0x00bfffff,0xdffffff7,0x0bfffffd,
    0xffffff70,0xbfffffdd,0xfffff700,0xfffffddf,0xffff880b,0xffeeeeef,
    0xfff706ff,0xfffddfff,0x440005ff,0x9999dfff,0x09999999,0x3ffee000,
    0x3fff6001,0xf8bfffdf,0xfedcefff,0x3fffa207,0xeedcefff,0x7f4407ff,
    0xdcefffff,0x4407ffee,0xeffffffe,0x07ffeedc,0x7fffff44,0xffeedcef,
    0xfb800007,0x2003ffff,0xfffffffc,0x647fffff,0x000007ff,0xfffffffb,
    0x07ffe1df,0xffffffd8,0x3fff0eff,0x7ffffec0,0xfff0efff,0x7fffec03,
    0xff0effff,0x03ffc03f,0x3ffa6000,0xffffffff,0x3ffa6002,0xffffffff,
    0x3ffa6002,0xffffffff,0x3ffa6002,0xffffffff,0x3ffa6002,0xffffffff,
    0xffff8802,0xffffffff,0x7ffcc05f,0xffffffff,0x7fc40002,0xffffffff,
    0x404fffff,0xfffffffa,0xffffffff,0xffff983f,0x3fea4fff,0x07ffffff,
    0xffffffc8,0x07ffffff,0xffffff90,0x0fffffff,0x3fffff20,0x7fffffff,
    0xfffff900,0xffffffff,0x3ae00000,0x4c003fff,0xffffffed,0x7fe43dff,
    0x2e000007,0x43efffff,0x7dc01fff,0x7c3effff,0x7fdc01ff,0x7fc3efff,
    0x7ffdc01f,0x7ffc3eff,0x00bff501,0xffd91000,0x0019dfff,0xffffd910,
    0x100019df,0xdfffffd9,0xd9100019,0x19dfffff,0xffd91000,0x0019dfff,
    0x3ffffb62,0x01cfffff,0xffffd910,0x000017ff,0xfffffff1,0xffffffff,
    0xffffa809,0xffffffff,0xd303ffff,0xb507dfff,0x09ffffff,0x3fffb660,
    0x03dfffff,0x3fffb660,0x03dfffff,0x3fffb660,0x03dfffff,0x3fffb660,
    0x03dfffff,0x00000000,0x0266aa60,0x0004cca8,0x01aa8800,0x06aa2000,
    0x1aa88000,0x2aa20000,0x332a0001,0x98000001,0x9800001a,0x9800001a,
    0x9800001a,0x9800001a,0x3300001a,0x00013553,0x00013530,0xfffff880,
    0xffffffff,0x7fd404ff,0xffffffff,0x03ffffff,0xa9800544,0x54c00009,
    0x0000099a,0x00133553,0x266aa600,0x55300000,0x00000133,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01303351,0x35555310,0x9dfb9100,
    0x13326001,0xa9802aa0,0x565cc000,0x64000300,0x000002cc,0x8073332a,
    0x000ccccb,0x95000000,0x88000357,0xcc882ccc,0x6664001c,0xa9880002,
    0x9995001a,0x00000000,0x64c00000,0x554000cc,0xca800001,0x73001ccc,
    0x00060159,0x00019d70,0x22000000,0x00000aaa,0x33220000,0xcccc80cc,
    0xffdb8802,0xffddffff,0xffffb300,0x209fffff,0xfffffff9,0x1fffc402,
    0x203ffee0,0x8801fffb,0x43ffffff,0xfd8004f9,0x00003fff,0x03ffffb8,
    0x07fffec4,0x01fff200,0x7e43ffe4,0x002dffff,0x4c7fff50,0x6c004fff,
    0x0003ffff,0xfffffff7,0x2dffffff,0x00007ffc,0x3bffb2a0,0x8000001c,
    0xffb0fffb,0xffffdb89,0xf700003f,0xf1007fff,0x987fffff,0xff90004f,
    0x3fea01ff,0x7fc4005f,0x893ff26f,0x2ffffffd,0x5007ffc8,0x6c003fff,
    0xffd83fff,0xfffa805f,0xffffffff,0x7fec40ff,0xffffffff,0xffff884f,
    0x200ffffe,0xff806ffc,0xffff84ff,0x7fff4404,0xfcbeffff,0x3f6001ff,
    0x003fffff,0x3bffee00,0x3ffee001,0x3ff2000f,0x0fff9007,0xfffffff9,
    0xff50001b,0x07fff79f,0xfffffd80,0x3fea003f,0xffffffff,0xf96fffff,
    0x100000ff,0xfffffffb,0x8000009f,0xffb0fffb,0x7ffffec9,0x40005fff,
    0x801efffb,0xffffffe8,0x1fffcbef,0xfffff800,0x03fffe02,0x23fffb80,
    0xfff54ffc,0x87ffffff,0xf5007ffc,0x3f2003ff,0xfffd83ff,0xffffc804,
    0xfffeecef,0x7ffec0ff,0xfedccdef,0x25ffc84f,0xf503ffe9,0xffd001ff,
    0x9fffd07f,0xa9cffb80,0xfffffffd,0x3bff6002,0x003fffb8,0x0dfffb80,
    0xfffe9800,0x0fff9000,0x2a1fff20,0xffffffed,0xffa8002f,0x4003ffff,
    0xffb8effd,0xfff8803f,0xffdbabdf,0xf96fffff,0xd00000ff,0xffffffff,
    0x000007ff,0xfd87ffdc,0xefffd8cf,0x02ffffed,0x1bfff700,0x273fee00,
    0xffffffda,0xfff0002f,0x7fe405ff,0x3ffa003f,0x2b7ff20f,0xffedffff,
    0x3ff20fff,0x3fff5007,0x07fff700,0x7007fff9,0x2605ffff,0x3ea0fffd,
    0x0cc00dff,0x3ee0fff4,0x3ffe885f,0x01dff500,0x9001dff3,0xdfffd509,
    0x3ff62007,0x0fffea0d,0x3fffb800,0x7fec4000,0x7ffc800f,0x00fff900,
    0x3fffff91,0xffff5000,0x7fec4007,0x0fffea0d,0x207fffd0,0xfc86fffa,
    0x5c00007f,0xd989efff,0x0000ffff,0x21fff700,0xeffedffd,0x037ffdc1,
    0x01fffdc0,0x7f542640,0x20003eff,0x4c06fffc,0xf1006fff,0xfffc8bff,
    0xffd83fff,0x01fff25f,0x200fffd4,0xfb83fffa,0xff8802ff,0x7fdc00ef,
    0x01fff60f,0x987ff880,0x6ffc86ff,0x01800800,0x002a6000,0x26055530,
    0x50000aaa,0x40000355,0xfc802aaa,0xfff9007f,0x7ffec400,0xaa98000f,
    0x1554c002,0x300aaa98,0xfc809fff,0x3ffe42ff,0x3ffe0000,0x07fff906,
    0x3fee0000,0xfffffb0f,0x0fffec09,0x006aaa00,0x0054c000,0x00cdb800,
    0x801fffd8,0x7e42fffb,0x3e02ffff,0x1fff27ff,0x00fffd40,0x2a206aaa,
    0xff7001aa,0xfff7003f,0x0037ff41,0xf10fff10,0x1fff98ff,0x00000000,
    0x00000000,0x00000000,0x7fe40000,0x0fff9007,0x3fffe880,0x00000000,
    0x3ffee000,0x27ffc401,0x0001fff2,0x303fff88,0x00009fff,0x6c3ffee0,
    0x5404ffff,0x00002fff,0x00000000,0xffa80000,0x7ffe804f,0x02ffffc8,
    0xfc87ffe4,0xfff5007f,0x00000003,0x200bfff1,0x3f60fffb,0x3e0001ff,
    0x37fcc0ff,0x00013ffa,0x00000000,0x00000000,0x00000000,0x401fff20,
    0x98007ffc,0x00007fff,0x20000000,0xff007ffc,0x07ffc8bf,0x3ffea000,
    0x013ffe02,0x7ffdc000,0x00bfffb0,0x0005fff3,0x00000000,0x3e000000,
    0x3e600fff,0xfffc84ff,0x1fffb803,0x2a00fff9,0x00001fff,0x2fff9800,
    0x41fff700,0x003ffffb,0xfb85fff0,0x01bff24f,0x35553100,0xa9880001,
    0x400009aa,0x009aaa98,0x5554c400,0x4c400009,0x64009aaa,0xff9007ff,
    0x3ffe000f,0xa988000f,0x26200019,0x6c01aaaa,0xff800fff,0x83ffe44f,
    0xf5000aa8,0x3fe207ff,0xa880003f,0x21fff719,0xf3007ffd,0x988007ff,
    0x0001aaaa,0x44000000,0x7e4019a9,0x3ff202ff,0x07ffc81f,0x323fff50,
    0xff5007ff,0x0000003f,0x003fff50,0xfd03ffee,0x0039ffff,0x5c5fffe4,
    0xfff31fff,0xfda88003,0xffffffff,0xffb51003,0x7fffffff,0x3ff6a200,
    0x3fffffff,0xfffb5100,0x07ffffff,0x3fff6a20,0x03ffffff,0x3200fff9,
    0xfb0007ff,0x36e003ff,0xdfffffff,0xfffd9802,0x04ffffff,0x9803fff7,
    0x7fe42fff,0x3fffb227,0x7fc403ef,0x3fff905f,0xffb91000,0xfffdffff,
    0x001bff61,0xfffd9800,0x04ffffff,0x5401fff2,0x2e001fff,0xfffffffd,
    0x6fff982d,0x641bffa0,0xff5007ff,0x01fff23f,0xc80fffd4,0xff5007ff,
    0x3ffee03f,0x1fff7000,0xfffffe88,0x7c401cff,0x4fffffff,0x20013ffa,
    0xfffffffb,0x01ffffff,0x7fffffdc,0x1fffffff,0x7ffffdc0,0xffffffff,
    0x7fffdc01,0xffffffff,0x7ffdc01f,0xffffffff,0x3ffe41ff,0x007ffc80,
    0x803fff90,0xffffffe8,0x2205ffff,0xfffffffd,0xf304ffff,0xffe80dff,
    0x8bffe41f,0xfffffffe,0x7fffc03f,0x02fffd41,0x7ffffd40,0xffffffff,
    0x000dffb0,0xffffb100,0x9fffffff,0x803ffe40,0x8801fffa,0xfffffffe,
    0xffd05fff,0x7fff301f,0x401fff20,0xff91fffa,0x3ffea00f,0x00fff901,
    0x6407ffea,0x3ee007ff,0xfff700ff,0x03dfffff,0x7fffff4c,0x003bfee3,
    0x3bfffee0,0xffffeece,0x7fffdc06,0xfffeecee,0x7ffdc06f,0xffeeceef,
    0x7fdc06ff,0xfeeceeff,0x7dc06fff,0xeeceefff,0x7e46ffff,0xfff9007f,
    0x1fffa000,0xffffff70,0x0bfffddd,0x6f7fffec,0x04ffedcc,0x1037fff6,
    0xf909fffb,0xdffff3df,0x07fffffd,0xf737ffdc,0xc8001fff,0xedefffff,
    0xb0ffffff,0x00000dff,0x9bdffffb,0x409ffdb9,0xf5007ffc,0xffb803ff,
    0xfeeeffff,0xfff505ff,0x01fff909,0x5401fff2,0xfff91fff,0x07ffea00,
    0xa803ffe4,0xff901fff,0x3fee001f,0x7fed400f,0x403fffff,0x3e20acb9,
    0xd70002ff,0x7ff54039,0x073ae04f,0x04fffea8,0xea8073ae,0x3ae04fff,
    0x3ffaa01c,0x073ae04f,0x24fffea8,0xf9007ffc,0xff5000ff,0x7ffcc0df,
    0x0b9301ef,0x0037ffea,0x7ffcc033,0xfffedeff,0xffff906f,0x7e441bff,
    0x7ff407ff,0x1efffedf,0x7fffd400,0x1fffb302,0x0001bff6,0x01bfff50,
    0x3ff20198,0x3fff5007,0x77fffcc0,0x7c0b9301,0x5fff87ff,0x401fff20,
    0xff91fffa,0x3ffea00f,0x00fff901,0x5c07ffea,0xf7000fff,0x2a2001ff,
    0x01fffffd,0x009ffd00,0x3fe60000,0xf300006f,0x20000dff,0x0006fff9,
    0x00dfff30,0x9bffe600,0xf9007ffc,0x326600ff,0x3a02ffff,0x40004fff,
    0x00007ffd,0xfffffffd,0x2019ffff,0x03fffffc,0x980bfff2,0xdfffffff,
    0x7ffc4000,0x7ffdc00e,0x000dffb0,0x007ffd80,0x00fff900,0xe807ffea,
    0x80004fff,0x3ea2fffc,0x3ff202ff,0x3fff5007,0x5401fff2,0xff901fff,
    0x3ffea00f,0x03fff701,0x003fff60,0x17fffa60,0x03ffee00,0xfd800000,
    0x3600007f,0x200007ff,0x00007ffd,0x0001fff6,0x3f27ffd8,0xfff9007f,
    0x7ffffe40,0x3ee04fff,0xe80005ff,0xb80006ff,0xffec9eff,0x7e401cdf,
    0x7c403fff,0x7ff405ff,0x90002eff,0xf7003fff,0x1bff61ff,0xdffd0000,
    0x3ff20000,0x3fff5007,0x017ffee0,0x2fffcc00,0xfc80fffb,0xfff5007f,
    0x401fff23,0xf901fffa,0x3fea00ff,0x7fff501f,0x1ffff700,0x3ffe2000,
    0x7ffc4006,0x40000002,0x0000fffb,0x001fff70,0x03ffee00,0x7ffdc000,
    0xff700000,0x03fff21f,0x40ffff10,0xfffffffb,0x07fffc02,0x7ffec000,
    0x7ff40001,0xffc80003,0xfffd004f,0x3ffffa60,0xaaa880ef,0x005fff81,
    0x3f61fff7,0x6c00006f,0x80001fff,0xf5007ffc,0x3ffe03ff,0x3a00000f,
    0xfff88fff,0x03ffe404,0xf71fffa8,0xffd001ff,0x1fff203f,0x80fffd40,
    0x5406fff8,0x000fffff,0x001fffa0,0x0000bffb,0x1fff7000,0x3fee0000,
    0xf700000f,0x200001ff,0x0000fffb,0x321fff70,0x7f401fff,0xff700fff,
    0xf10057bf,0x200009ff,0x003ffffb,0x005fff10,0x00fff900,0x2607ffe4,
    0xffffffff,0x42fff985,0x7002fff8,0x3ff61fff,0x7dc00006,0x40003fff,
    0xf5007ffc,0xfff103ff,0xfb800009,0x1fffbaff,0x803ffe40,0xff51fffa,
    0xfffd803f,0x0fff901f,0x807ffea0,0xf302fffd,0x001fffff,0x01bffea0,
    0x440fffa8,0xa9880001,0xfffdaaaa,0x2aa62000,0x0fffdaaa,0x2aaa6200,
    0x00fffdaa,0x2aaaa620,0x000fffda,0x2aaaaa62,0xff90fffd,0x7ffec0bf,
    0xfff701ff,0x3fff9800,0x3ffa0000,0x2001cfff,0x000efff8,0x003ffe40,
    0x7cc1fff7,0xfff9afff,0x0fffcc4f,0x4007ffea,0xffb0fffb,0xfd00000d,
    0x0039ffff,0x200fff90,0xf981fffa,0x400003ff,0xffedfff8,0x07ffc806,
    0x263fff50,0x3f605fff,0xf901ffff,0x3fea00ff,0x3ffe601f,0x3fff262f,
    0x5910fffc,0xfffe9803,0x5fff1003,0x0f7fff5c,0xffff9300,0xffffffff,
    0xfffc9801,0xffffffff,0x7fe4c00f,0xffffffff,0x7e4c00ff,0xffffffff,
    0x64c00fff,0xffffffff,0xff90ffff,0xffe987ff,0xf705fffd,0xffb800ff,
    0x2200001f,0xfffffffe,0xfffe801c,0xccccceef,0xfff9009a,0x0fffdc00,
    0x7d45fffb,0x3fea2fff,0x07ffdc1f,0xb0fffb80,0x00000dff,0xffffffd1,
    0x3f20039f,0xfff5007f,0x03fff703,0xfff90000,0xf9007fff,0x3fea00ff,
    0x0ffffe1f,0xfffdffb3,0x01fff203,0x200fffd4,0xfefffffe,0xfffaafff,
    0xdfffff10,0xffffdddd,0x2ffec00d,0xfffffffb,0xfffd8805,0xffffffff,
    0xfb100fff,0xffffffff,0x201fffff,0xffffffd8,0xffffffff,0xffffb100,
    0xffffffff,0x3f6201ff,0xffffffff,0xf90fffff,0xffdfffff,0x3fffabff,
    0x037fd43f,0x003fff20,0x3ffee000,0x01efffff,0x3fffffe6,0xffffffff,
    0x03ffe41d,0x263fff50,0xffc84fff,0x1fff71ff,0x2007ffc8,0xffb0fffb,
    0x5c00000d,0xffffffff,0x3ffe401e,0x81fffa80,0x0000fffc,0xfffff980,
    0x7ffc800f,0x43fff500,0xeefffffb,0xfff8efff,0x00fff901,0x2007ffea,
    0xfffffffd,0x21fff51f,0xfffffff8,0x05ffffff,0x543ffea0,0xfffbcfff,
    0x3fff600f,0xaaaaacdf,0xfb00fffd,0x5559bfff,0x01fffb55,0x337ffff6,
    0xffdaaaaa,0xffffb00f,0xb555559b,0x3f601fff,0xaaacdfff,0x90fffdaa,
    0xffffffff,0x3fea1bff,0x37fd44ff,0x07fff200,0xfda80000,0x03ffffff,
    0x3fffffea,0xffffffff,0x01fff22f,0xf70fffb8,0x3ff603ff,0x87ffd8ef,
    0x7000fffc,0x3ff61fff,0xa8000006,0xfffffffd,0x01fff203,0x640fffd4,
    0x00001fff,0x09ffffd0,0x401fff20,0x7ec1fffa,0xefffffff,0x3203fff0,
    0xff5007ff,0x3fb2003f,0x3ee1ceff,0xffdb10ff,0x9fffffff,0x7ffc4003,
    0xfd0bffa3,0x3ffee07f,0x7ffdc00e,0x0efffb80,0x407ffdc0,0x400efffb,
    0xfb80fffb,0x7dc00eff,0xfffb80ff,0x7ffdc00e,0xff5bff90,0xff507dff,
    0x06ffa89f,0x017ffd40,0x6d440000,0x981fffff,0xccaaefff,0xfffffecc,
    0x00fff91f,0xff93ffe4,0x3ffa201f,0xb84fffdf,0xf7000fff,0x1bff61ff,
    0xa8800000,0x01fffffd,0x2a00fff9,0xffa81fff,0x7000002f,0x2001ffff,
    0xf5007ffc,0xfff703ff,0xfff87dff,0x00fff901,0x0007ffea,0x3fee0151,
    0x5533300f,0x3f200013,0x21bfe26f,0xffd04ffc,0xfff7001f,0x01fffd01,
    0xd01fff70,0xf7001fff,0xfffd01ff,0x1fff7001,0x001fffd0,0x3f21fff7,
    0x2006626f,0x4c000018,0x00003fff,0x7fff4c00,0x077ffc45,0x9ffffcc0,
    0x36007ffc,0x1fff66ff,0xffffff30,0x3fff503f,0x03fff600,0x80000000,
    0x905fffe9,0x3ea00fff,0xfff981ff,0xf7000003,0x000009ff,0x200fffb8,
    0xffa81aa8,0x01fff206,0x000fffd4,0x03ffee00,0x3e600000,0x17fe61ff,
    0x7fc1bfea,0xfff7005f,0x00bfff01,0x3e03ffee,0xff7005ff,0x0bfff01f,
    0x203ffee0,0xf7005fff,0x1fff21ff,0x80000000,0x0006fff8,0xfff88000,
    0x00fffdc6,0x32bfff70,0xff1007ff,0x0fffe49f,0x3ffffea0,0x07fff506,
    0x01ffff70,0x80000000,0xf706fff8,0xffd001ff,0xdfff103f,0xff100000,
    0x000003ff,0x0007ffc8,0xb803bfe6,0xfe800fff,0x400001ff,0xa800fffb,
    0xfe8004cc,0x437fd43f,0xff885ff9,0xffe8805f,0x2fffc40f,0x07fff440,
    0x2017ffe2,0x440fffe8,0xe8805fff,0x7fc40fff,0xffe8805f,0x00fff90f,
    0x40002000,0x0003fffe,0x7ffe8000,0x2003ffec,0xff95fff8,0x3fff200f,
    0x00fffee1,0x40fffff2,0x5406fff8,0x400fffff,0x00004cca,0x20fffd00,
    0x6c01fffa,0xfd01ffff,0x800007ff,0x0005fffc,0x06ffd800,0x00bffa00,
    0xd803fff5,0x0001ffff,0x007ffdc0,0x2002ffec,0xff986ffc,0x827fd40f,
    0x7dc06fff,0xff80ffff,0x7ffdc06f,0x6fff80ff,0x7ffffdc0,0x406fff80,
    0x80fffffb,0x7dc06fff,0xff90ffff,0xfb80000f,0x7cc000df,0x00002fff,
    0x1bffea00,0xa800ffff,0xfff93fff,0x89fff500,0x401ffff9,0x00fffffc,
    0x2603fffb,0x00ffffff,0x0002ffec,0x37ffd400,0x205fff98,0x01fffffd,
    0x005ffff3,0x3fffea00,0x4c000000,0x50005fff,0xff300fff,0x7ffec0bf,
    0x400001ff,0xf800fffb,0x3e6002ff,0x5fff01ff,0xfd02ffe8,0xffb309ff,
    0xfd01ffff,0xffb309ff,0xfd01ffff,0xffb309ff,0xfd01ffff,0xffb309ff,
    0xfd01ffff,0xffb309ff,0x3f21ffff,0x2600007f,0x8005ffff,0x09dffffc,
    0x6442ed44,0x7ff4c01a,0x1fffec3f,0x0ffff980,0x1017fff9,0xb01ffff9,
    0x4417ffff,0xffffffea,0x5ffff306,0x7dfffe4c,0x7ffc00ff,0x1ac88002,
    0x1ffff4c0,0x987ffff0,0x1fffeffd,0x37ffff20,0x02ed4409,0x003ffff7,
    0xffe88000,0xff70000f,0xffff001f,0xfeffd987,0x400001ff,0x4c00fffb,
    0x3a000fff,0x3ff204ff,0x06ffebdf,0x3bffffea,0xfbfffffd,0xfffa80ff,
    0xffffdeff,0xa80fffbf,0xfdefffff,0xfffbffff,0xfffffa80,0xbfffffde,
    0xffa80fff,0xfffdefff,0x90fffbff,0x40000fff,0x007ffffb,0xfffffe88,
    0x5ffffeff,0xefffff88,0xffffeeee,0xeffffb86,0xdb9999bc,0x3f22ffff,
    0xeeeeffff,0x101fffff,0xdfffffff,0xffffffff,0x3ffa09ff,0xffffefff,
    0x200fff89,0x8000fff9,0xeefffff8,0x6ffffeee,0x7ffffdc0,0xf8efffee,
    0x3fa201ff,0xfeffffff,0x99975fff,0x007ffffd,0x7fe5c000,0x220004ff,
    0x00abefff,0xddfffff7,0xfff1dfff,0xfb800003,0x7fdc00ff,0x1bff2006,
    0xfffffd10,0xffc803ff,0xdfffffff,0x900fff88,0xffffffff,0x1fff11bf,
    0x3fffff20,0xf88dffff,0xfff900ff,0x1bffffff,0x3201fff1,0xffffffff,
    0x0fff88df,0x0000fff9,0x02ffffd4,0xfffff700,0x0bffffff,0xfffffff1,
    0x0bffffff,0x7fffffe4,0xffffffff,0x7fffdc3f,0xffffffff,0x7ff4c00d,
    0xffffffff,0x07ffff53,0x3ffffff6,0x1fff11ff,0x0037fdc0,0xffffff88,
    0x5fffffff,0xfffffb00,0x3fe1dfff,0xfffb801f,0xffffffff,0xffffffb5,
    0x4000007f,0x05fffff8,0xffffc800,0x3fff602f,0xf0efffff,0x800003ff,
    0x6400fffb,0xff3003ff,0xff91003f,0x2a001bff,0x3dfffffe,0xa803ffe2,
    0x3dfffffe,0xa803ffe2,0x3dfffffe,0xa803ffe2,0x3dfffffe,0xa803ffe2,
    0x3dfffffe,0x7e43ffe2,0x6c00007f,0x40001fff,0xfffffec8,0xed881cef,
    0xffffffff,0xfea801cf,0xffffffff,0xb5100cff,0x9dffffff,0xffea8005,
    0x640cefff,0xd901ffff,0x4439dfff,0x3f200fff,0xdb10003f,0xffffffff,
    0xfb80039f,0x7c3effff,0xd91001ff,0x9dffffff,0x3fffff63,0x4000000d,
    0x003ffff8,0xfffd9100,0xffffb805,0x0fffc3ef,0x33260000,0x0665c00c,
    0x19800000,0x00d4c000,0x006a6000,0x00353000,0x001a9800,0x000d4c00,
    0x0001332a,0x00002a60,0x00066620,0x026aa666,0x6e654400,0x000aacde,
    0x00000988,0x00000262,0x200002a2,0x00000ccb,0x01355333,0x03551000,
    0x4cc40000,0x357bd701,0x22000000,0x00000abd,0x2aa20000,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32600000,0x004cc82c,0x03333220,
    0x200b3332,0x4cc82cc9,0x66665400,0x01cccccc,0x333332a0,0x201ccccc,
    0xcccccccc,0x2000004c,0x0300acb9,0x66654000,0x6666541c,0x000ccccc,
    0xa81ccc98,0x00000ccc,0x50399995,0x99999999,0x99300019,0x19995039,
    0x19999700,0x54000000,0x4401cccc,0xdeefedca,0x677f641c,0x3326000a,
    0x0fffaa04,0x204cc980,0x2003ffea,0xc8004cc9,0x2a0002cc,0x002a600a,
    0xcccccca8,0x2a01cccc,0xaaaaaaaa,0x200aaaaa,0x7fcc6ff8,0x3ff60006,
    0x5fffd83f,0x98dff100,0x7e4006ff,0xffffffff,0x3ff2002f,0xffffffff,
    0x3ffffe02,0x0007ffff,0xfffff880,0x0027cc3f,0x1ffffdc0,0x7fffffec,
    0x90001fff,0x7fdc3fff,0xf700001f,0x3f607fff,0xffffffff,0xfff90001,
    0x00fffdc3,0x0ffffd88,0xfb800000,0x7dc03fff,0xffffffff,0x7ffffc4f,
    0xfff1005f,0xffffd307,0x3ffe2007,0xffffe983,0x7fff1003,0xffffd800,
    0xfffb8003,0x01fffb80,0xffffff90,0x7405ffff,0xffffffff,0x402fffff,
    0xfebbdfff,0xff90004f,0x9fffb07f,0xbdfff800,0x4004ffeb,0xfffffffc,
    0x32002fff,0xffffffff,0x3ffe02ff,0x07ffffff,0x7ff44000,0xcbefffff,
    0x20001fff,0xb01efffb,0xffffffff,0x7e40003f,0x1fffcbff,0xfff70000,
    0x7ffec03d,0x01ffffff,0x2ffff200,0x8001fffc,0x000ffffb,0x3ffee000,
    0x3ffa601e,0xffffffff,0x7f666c4f,0xffc801ff,0x7fffec46,0xff9003ff,
    0xffffd88d,0xff9003ff,0xfffd800d,0x7c003fff,0xfff84fff,0xfff9004f,
    0x5fffffff,0x7fffff40,0xffffffff,0x7fffd402,0x70006fff,0xff907fff,
    0xff50007f,0x00dfffff,0x33333310,0x40013333,0x99999998,0x2aa00999,
    0x7ffeaaaa,0x7fdc0000,0xffffda9c,0x20002fff,0x200dfffb,0xfdaaaaa9,
    0x640001ff,0x01ffffff,0xbfff7000,0x99998801,0x001fffc9,0x7ffffe40,
    0x3a60001f,0x00000fff,0x00dfffb8,0x55fffff4,0x02ba9989,0x500fffe2,
    0xff881fff,0x803ffedf,0x7c40fffa,0x03ffedff,0x000fffa8,0x3ee3bff6,
    0x3fa003ff,0xfffe83ff,0x33331004,0x01333333,0x77777764,0x2fffeeee,
    0xffffea80,0xffa8000d,0x2fffb83f,0x3ffaa000,0x00000dff,0x00000000,
    0x01fff600,0x2a132000,0x003efffe,0x00fffee0,0x01fffb80,0xffffc800,
    0xff700001,0xfb80007f,0xc80001ff,0x0001ffff,0x00fffd88,0x3ffee000,
    0x4fffb803,0x7fdc4000,0x3ffa201f,0x3fa3b903,0x7ff4403f,0x3fa3b903,
    0x7ff4403f,0xbffb1003,0x01fffd41,0x980effa8,0x00000eff,0xff500000,
    0x554c005f,0x2aaa0000,0x01aaa881,0x01553000,0x00000000,0xfb000000,
    0x000000ff,0x00001530,0x80003555,0x0001fffb,0x00035550,0x000d5540,
    0x00fffdc0,0x01aaa800,0x15554000,0x35550000,0x0dfff100,0x7fffd400,
    0x37fe401f,0x807ffd00,0x3a006ffc,0x7fe403ff,0x0aaa6006,0x0005554c,
    0x00003001,0xfa800000,0x000002ff,0x00000000,0x00000000,0x00000000,
    0x001fff60,0x00000000,0xfb800000,0x000001ff,0x00000000,0x00fffdc0,
    0x00000000,0x00000000,0x003fff50,0x7ffffd40,0x3fff302e,0x01fff400,
    0x4003fff3,0x3e603ffe,0x000001ff,0x00000000,0x40000000,0x0002fffa,
    0x00000000,0x00000000,0x026aaa62,0x0d544000,0x3ffec000,0x00000000,
    0x00000000,0x0003fff7,0x00000000,0xfffb8000,0x00000001,0x00000000,
    0x3ffee000,0x2aa20000,0xfd06fffb,0xffe8009f,0x013ffa03,0x7407ffd0,
    0x000004ff,0x00000000,0x001aa880,0x2fffa800,0x006aa200,0x03551000,
    0x00000000,0x3ffff6a2,0x003fffff,0xfffffda8,0xfb0003ef,0x000000ff,
    0x00055544,0x00aaa880,0x03fff700,0x00000000,0x0001aa80,0xd983fff7,
    0x0d540001,0x00000000,0xfffb0000,0xffb80000,0x037fe41f,0xc81fff40,
    0xfe8006ff,0x0dff903f,0x00000000,0x6cc00000,0x2efffffe,0xfff50000,
    0xfffda805,0x0003efff,0xffffffb5,0xffb0007d,0x3fffffff,0xffffb800,
    0xffffffff,0xffd8801f,0xffffffff,0x7fec000d,0x3f200007,0x3fff624f,
    0x7e402fff,0x3fff624f,0x5c002fff,0x26001fff,0xffffffff,0x5fffffff,
    0xb713ff60,0x007fffff,0xb31fffb8,0x3ff603ff,0x7fffedc4,0xfffd803f,
    0x01ffffff,0x7ffffec0,0x7401ffff,0x040006ff,0xf98fffd3,0xfe8001ff,
    0x1fff983f,0x83ffe800,0x4001fff9,0xfffffffd,0x7ec001ff,0xffffffff,
    0xfff50001,0xbfffffff,0xffa80001,0xfffb102f,0xbfffffff,0x3ff62001,
    0xffffffff,0x3ff6000d,0x1fffffff,0x7fffdc00,0xfffeecee,0x7ff4c06f,
    0xfffddfff,0x36001fff,0x200007ff,0xfff54ffc,0x07ffffff,0xffaa7fe4,
    0x3fffffff,0x07ffee00,0xfffff980,0xffffffff,0x3ff605ff,0x3fffff64,
    0x2e005fff,0xfffdafff,0x49ffb01f,0xfffffffd,0x7ffec05f,0x01ffffff,
    0x7ffffec0,0x7c01ffff,0x220006ff,0x4fffffff,0x80027ff4,0xffe83ffe,
    0x7ffd0004,0x0009ffd0,0xfffffffb,0xfd8003ff,0xffffffff,0xfffc8001,
    0xfffdcbdf,0x7d40006f,0xffe982ff,0xfffddfff,0x74c01fff,0xfddfffff,
    0x001fffff,0xfffffffb,0xeb8003ff,0x3ffaa01c,0x3fffa04f,0xfffe980d,
    0x1fff6005,0xdffc8000,0xfedffffa,0xf900ffff,0xbffff5bf,0x01fffffd,
    0x007ffee0,0xffffff98,0xffffffff,0x33ff605f,0xedefffd8,0x7002ffff,
    0xffffffff,0x33ff6019,0xedefffd8,0x3602ffff,0xffffffff,0x7fec001f,
    0x1fffffff,0x0037ffc0,0xffffff10,0x00effb87,0xb87ffd00,0xd0000eff,
    0xeffb87ff,0xfffd8000,0x01ffffff,0x7ffffec0,0x4001ffff,0x880efffa,
    0x0003fffe,0x3a0bffea,0xe980dfff,0x7f405fff,0xfe980dff,0x5c0005ff,
    0x00001fff,0x41bffe60,0x4404fffb,0xb002fffe,0x40000fff,0x3ffffffc,
    0x905fffd8,0x07ffffff,0x200bfffb,0x0001fffb,0x3ffff100,0x7f6ffec0,
    0x7ffdc1ef,0xffff7006,0xfd8019ff,0x41effedf,0x8006fffb,0x0001fffb,
    0x803fff70,0x20006fff,0x40abccb8,0x0002fff8,0xff882662,0x2620002f,
    0x0bffe209,0xfff70000,0x3ee00003,0x7f4001ff,0xfffe806f,0xfff50000,
    0x04fffb85,0x817fff44,0x4404fffb,0x0002fffe,0x0007ffee,0x0fffb000,
    0x200dfff1,0xb006fff9,0x02200fff,0x5fffff90,0xc83fffc0,0x202fffff,
    0xf7007fff,0x000003ff,0xb00bfff6,0x409fffff,0x2201fffd,0x0cfffffc,
    0xfffffb00,0x0fffec09,0x07ffee00,0x7ffdc000,0x037ffc01,0x7ff40000,
    0xfd000004,0x2000009f,0x00004ffe,0x001fffb8,0x03fff700,0x00fffdc0,
    0x0027ffcc,0x222fffa8,0xf3006fff,0xfff10dff,0x3ffe600d,0x3fee0006,
    0x4000001f,0x7d40fffb,0x3f6003ff,0xffd800ff,0x77fec407,0x5ffff901,
    0x80fffc80,0x402ffffc,0xb800fffc,0x00001fff,0x804fffc8,0x404ffffd,
    0xc882fffa,0x01ffffff,0x27fffec0,0x00bffea0,0x003fff70,0x07ffee00,
    0x000dfff0,0x0fffb800,0xffb80000,0xb800000f,0x00000fff,0x001fffb8,
    0x03fff700,0x002fffc0,0x2000bffd,0x3ea2fffa,0x3f6003ff,0x7ffd40ff,
    0x3fff6003,0xfff70000,0xb8000003,0x7fe40fff,0x7ffd4007,0x07ffd801,
    0x07ffffec,0x401fffe4,0xfc81fffb,0xffb803ff,0xfffb801f,0x7d400001,
    0xffb006ff,0xfff300bf,0x7fffe445,0x4001ffff,0x9805fffd,0x5c002fff,
    0x00001fff,0xf803fff7,0x000006ff,0x000bffe2,0x0bffe200,0x3fe20000,
    0x7000002f,0x00003fff,0x4007ffee,0x2004fff8,0x50006ffd,0x7fe45fff,
    0x7ffd4007,0x003ffe41,0x0007ffea,0x000fffdc,0x55554c40,0x6c0fffda,
    0x7cc006ff,0xffd803ff,0x3fffe207,0x7ffc83ff,0x03fff500,0x2a00fff9,
    0xfb801fff,0x200001ff,0x000ffff8,0x2600fffb,0x3fee3fff,0x1fffccff,
    0x03ffec00,0x003fff98,0x000fffdc,0x01fffb80,0x00037ffc,0x00bffb00,
    0x17ff6000,0x7fec0000,0x2e000005,0x00001fff,0x2003fff7,0x999bfff9,
    0xd9999999,0xf50007ff,0x37fec5ff,0x0fffe600,0x9800dffb,0x70003fff,
    0x20003fff,0xffffffc9,0x40ffffff,0x44005ffe,0xfd804fff,0x3ffe607f,
    0xffc84fff,0x3fff5007,0x200fff90,0xb801fffa,0x00001fff,0x800bfffa,
    0x80006ffd,0xff70cffb,0xffd8003f,0x70000006,0x00003fff,0xf007ffee,
    0x00000dff,0x0003ffea,0x03ffea00,0x54000131,0x00000fff,0x007ffee0,
    0x0fffdc00,0xfffffa80,0xffffffff,0x000fffff,0x3a2fffa8,0x7c4005ff,
    0x2fff44ff,0x13ffe200,0x0fffdc00,0x3fff6200,0xffffffff,0x7ffc0fff,
    0x4fff8005,0x207ffd80,0x2ffffff8,0x5007ffc8,0xff903fff,0x3ffea00f,
    0x1fffb801,0xfff90000,0x6ffd8007,0x40cb8000,0x4001fffb,0x00006ffd,
    0x03fff700,0x3ffee000,0x037ffc01,0x7ffc4000,0x2ffffdc2,0x8bffe200,
    0x03ffffea,0x217ffc40,0x005ffffb,0x007ffee0,0x0fffdc00,0xfffffb80,
    0xffffffff,0x000fffff,0x3e2fffa8,0xff8005ff,0x02fffc4f,0x0027ffc0,
    0x001fffb8,0x66ffffec,0xffdaaaaa,0x02fffc0f,0x00fffe20,0xf701fff6,
    0x3f20bfff,0xfff5007f,0x00fff903,0x2007ffea,0x0001fffb,0x005fffb8,
    0x0006ffd8,0x07ffee00,0x00dffb00,0x3fee0000,0xf700001f,0xfff803ff,
    0xfd800006,0x7fffc45f,0x7fec005f,0x3ffffee5,0x3f6003ff,0x7fffc45f,
    0x3ee0005f,0x700001ff,0x2a003fff,0xccccdfff,0xcccccccc,0xff50004c,
    0x02fffc5f,0xf0fffe20,0xf8800bff,0xf70003ff,0x7dc003ff,0x7dc00eff,
    0x37ff40ff,0x0bffe600,0x201fff60,0x3f203dc9,0xfff5007f,0x00fff903,
    0x2007ffea,0x0001fffb,0x0077ffcc,0x0037fec0,0x3fff7000,0x06ffd800,
    0xff700000,0x2e00003f,0x7fc01fff,0x5400006f,0x7fec0fff,0x2a005ffe,
    0x3fe20fff,0x007ffdab,0xfd81fff5,0x0005ffef,0x0007ffee,0x00fffdc0,
    0x002fff98,0x7fdc0000,0x01bffa1f,0xe85fff30,0x7cc006ff,0xf70002ff,
    0x7f4003ff,0xffb800ff,0x03ffe40f,0x007ffea0,0x0001fff6,0x5007ffc8,
    0xff903fff,0x3ffea00f,0x1fffb801,0x3ffa2000,0xffb0001f,0x5c00000d,
    0x6c001fff,0x000006ff,0x003fff70,0x07ffee00,0x000dfff0,0x21fffc40,
    0x5ffbdffa,0x07fff100,0x0fffc413,0x50fffe20,0x0bff7bff,0x0fffdc00,
    0xfffb8000,0x9fff1001,0xc8000000,0x3ff20fff,0x7ffd4007,0x003ffe41,
    0x0007ffea,0x000fffdc,0x2e00bfff,0x7fdc0fff,0x3ffa002f,0x7ffd800f,
    0x3ff20000,0x3fff5007,0x200fff90,0xb801fffa,0x20001fff,0x0003fffd,
    0x0001bff6,0x01fffb80,0x0037fec0,0xfffb8000,0xff700001,0x6fff803f,
    0x3ff20000,0x5c7ffc46,0xff9005ff,0x3ffe200d,0x237fe400,0xffb8fff8,
    0x3fee0005,0xf700001f,0x7fc003ff,0x0000005f,0xf71fffe2,0x7f4005ff,
    0x7ffdc0ff,0x3fffa002,0xfff70000,0x3ffe2003,0xfffe8805,0x037ffcc0,
    0x004fff98,0x0000fffb,0xa803ffe4,0xffc81fff,0x3fff5007,0x03fff700,
    0x17ffee00,0x0dffb000,0x7fdc0000,0x7fec001f,0x70000006,0x00003fff,
    0xf007ffee,0x20000dff,0x7ec1fff9,0x00bff73f,0x1003fff3,0xf980bffb,
    0x9ffec1ff,0x20005ffb,0x0001fffb,0x003fff70,0x0017ffec,0xf9003220,
    0xfff989ff,0x9fff3006,0x00dfff30,0x0013ffe6,0x001fffb8,0xf701bffe,
    0xfb01ffff,0xfe9809ff,0xffb000ff,0x7e40000f,0xfff5007f,0x00fff903,
    0x2007ffea,0x8001fffb,0x0006fff9,0x0006ffd8,0x07ffee00,0x00dffb00,
    0x3fee0000,0xf700001f,0xfff803ff,0xffd00006,0x2e6ffa87,0xffe805ff,
    0xeffe8803,0x21fff400,0x3fee6ffa,0x3fee0005,0xf700001f,0x7cc003ff,
    0x20000fff,0x311acff8,0xb01ffffb,0xe9809fff,0xffb00fff,0xffe9809f,
    0x3ee0000f,0x3fa001ff,0xffd984ff,0xf880ffff,0x5440dfff,0x2003ffff,
    0x00007ffd,0x5401fff2,0xffc81fff,0x3fff5007,0x03fff700,0x0ffff880,
    0x6ffd8000,0x3ee00000,0x7ec001ff,0x0000006f,0x0003fff7,0x007ffee0,
    0x0000dfff,0xffb0dff9,0xdfffdddd,0x01bff207,0x003bffe6,0xffb0dff9,
    0xdfffdddd,0xfff70007,0x3ee00003,0x7e4001ff,0x39804fff,0x7fffffc4,
    0x02ffffff,0x81bffff1,0x03ffffa8,0x037fffe2,0x07ffff51,0x1fffb800,
    0x3fffea00,0xfffffdef,0xf700fffb,0xfddfffff,0x800bffff,0x00007ffd,
    0x5401fff2,0xffc81fff,0x3fff5007,0x03fff700,0x02fffe80,0x0dffb000,
    0x7fdc0000,0x7fec001f,0x70000006,0x00003fff,0xf007ffee,0x98000dff,
    0xffd81fff,0xffffffff,0x01fff984,0x4027ffdc,0xfd81fff9,0xffffffff,
    0xffb8004f,0xf700001f,0xe88003ff,0xceffffff,0x447ffeed,0xffffffff,
    0x7dc01eff,0xfeefffff,0xb805ffff,0xeeffffff,0x005fffff,0xfffffff5,
    0xffffffff,0x3fff207f,0x8dffffff,0x2600fff8,0xfffffffe,0xff902fff,
    0xffffffff,0x03ffffff,0x007ffc80,0xf903fff5,0x3fea00ff,0xfffff51f,
    0xffffffff,0xff707fff,0xffffffff,0x05ffffff,0x0001bff6,0xfffffff5,
    0xffffffff,0x1bff607f,0xfffa8000,0xffffffff,0xa83fffff,0xffffffff,
    0xffffffff,0x000dfff3,0xd904ffe8,0xfffddddd,0x09ffd07d,0xccefffb8,
    0x4ffe82cc,0xdddddd90,0x2a07dfff,0xffffffff,0xffffffff,0xfffffa83,
    0xffffffff,0x7e403fff,0xffffffff,0xeb887fff,0x0cefffff,0xffffd300,
    0x05ffffff,0x7ffff4c0,0x02ffffff,0x3ffffea0,0xffffffff,0x3aa03fff,
    0x23dfffff,0x4400fff8,0xefffffec,0x3fff200c,0xffffffff,0x001fffff,
    0xa803ffe4,0xffc81fff,0x3fff5007,0x3fffffea,0xffffffff,0xfffc83ff,
    0xffffffff,0xb02fffff,0xa8000dff,0xffffffff,0xffffffff,0x00dffb03,
    0x7fffd400,0xffffffff,0xfa83ffff,0xffffffff,0x3fffffff,0x4000dfff,
    0xb8006ffc,0xdff905ff,0xfffff900,0xffc89fff,0x5ffb8006,0x7ffffd40,
    0xffffffff,0xffa83fff,0xffffffff,0x03ffffff,0xffffed98,0x403dffff,
    0x20000998,0xfffffec8,0xc88000ce,0xcefffffe,0x7ffd4000,0xffffffff,
    0x003fffff,0x00000353,0xfc8006a6,0xffffffff,0x1fffffff,0x03ffe400,
    0xc81fffa8,0xff5007ff,0x3fffea3f,0xffffffff,0xfc83ffff,0xffffffff,
    0x2fffffff,0x000dffb0,0xffffffa8,0xffffffff,0xdffb03ff,0x7fd40000,
    0xffffffff,0x83ffffff,0xfffffffa,0xffffffff,0x00dfff3f,0x007ffe60,
    0x2617fee0,0xfc801fff,0x4fffffff,0x0007ffe6,0xf5017fee,0xffffffff,
    0x7fffffff,0xffffff50,0xffffffff,0x530007ff,0x00001335,0x03530000,
    0x03530000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0x80300acb,0x00004cca,0xa81ccc98,0x95000ccc,
    0x99999999,0x2a000039,0x3cceeedc,0x01ddb800,0x001ccc88,0x004cca80,
    0x59990000,0x37b20000,0x2a000002,0x8801cccc,0xbcdeecba,0x2e62000a,
    0x00009bdd,0x9bd97310,0x2aaaa037,0xaaaaaaaa,0xb95102aa,0x00359bdd,
    0x9bddb980,0x97300000,0x0003599d,0x00aaaa98,0x79bb9730,0xdb980005,
    0xaaaabccd,0x26002aaa,0x2000acdb,0x44002aa9,0x32200aaa,0xfff1003d,
    0x4f987fff,0x001fff20,0x0fffe400,0x4003fff7,0xfffffffc,0x40002fff,
    0xffffffe9,0x7dc007ff,0x7c400fff,0xc80003ff,0x000007ff,0x03ffffd8,
    0x7fffe400,0xfb800001,0x6cc03fff,0xffffffff,0xfd800fff,0xefffffff,
    0xffd50000,0xffffffff,0xfffffd89,0xffffffff,0xfffffd87,0x01dfffff,
    0x7ffffe40,0x50004fff,0xfffffffd,0x2a007dff,0xfffffffd,0x7fff5402,
    0x0bffffff,0x3ffff200,0xffffffff,0x74c07fff,0xffffffff,0x3ffec00d,
    0x0bffea00,0x00efffe8,0x3fffffa2,0xfffcbeff,0x00fff901,0x7ffe4000,
    0x001fffcb,0x7fffffe4,0x0002ffff,0x3fffffee,0x4007ffff,0x403ffffe,
    0x0003fff8,0x0007ffc8,0x7fffec00,0x3e0003ff,0x0004ffff,0x0f7ffdc0,
    0x3fffff20,0xffffffff,0x3fffa600,0xffffffff,0x3ff62001,0xffffffff,
    0x3ff60fff,0xffffffff,0xffe87fff,0xffffffff,0xfd8803ff,0xffffffff,
    0x3f2000df,0xffffffff,0x75c06fff,0xffffffff,0x3fff602f,0xffffffff,
    0xffd8806f,0xffffffff,0x07ffffff,0x3fffffee,0x01efffff,0x5001fff6,
    0x3ea05fff,0x2e03ffff,0xffda9cff,0x742fffff,0xeeffffee,0x0003eeee,
    0xffffffc8,0x99988001,0x09999999,0xffff1000,0x9953335b,0xffffe800,
    0x1fffc403,0x3ffe4000,0xffb00000,0x07fff71d,0x3ffffe00,0x3ee00004,
    0x7e400dff,0xaaccefff,0x500ffdcc,0x97dfffff,0x05fffffd,0xffffff50,
    0xfffd99bf,0x77ffec1f,0xeeeeeeee,0xbcefe86e,0xffffcbaa,0x3ffa201f,
    0xffcbacff,0x74400eff,0xcdffffff,0x206fffed,0xfffffffd,0xf901eeee,
    0x5337bfff,0x409ffffb,0xbdffffe9,0xcccfffda,0xff904ccc,0x32a237bf,
    0xfb02ffff,0xffa800ff,0xffff502f,0xa84c80df,0xf83efffe,0xffffffff,
    0x0004ffff,0x03ffff90,0x00000000,0x001fffec,0x3fffee00,0x1fffc400,
    0x3ffe4000,0x7ec40000,0x3ffea0df,0xfffc8003,0xf700001f,0xff5007ff,
    0x026005ff,0x033fffe2,0x03ffff62,0xafffffa8,0xd83f2600,0x4c0004ff,
    0x7ffec400,0x17fff606,0x01ffff44,0x02fffffa,0xffb06c98,0x40013bff,
    0x4c05fff9,0xfb00ffff,0xfff909ff,0x3fffd800,0x17fff440,0x2003ffec,
    0xf102fffa,0x000fffff,0x3fe00a98,0xffffffff,0x00004fff,0x00006aaa,
    0xf8800000,0x000005ff,0xf10019b5,0x900007ff,0x00000fff,0x2a605553,
    0xdb8000aa,0x2a00001d,0xffd001aa,0xf900003f,0xfe880bff,0x3ffa04ff,
    0x360000ef,0x000004ff,0x20ffff10,0x4405fff9,0x3ee07fff,0x40002fff,
    0x001efffd,0x001fff90,0xf305fff7,0x3ff20bff,0x3ffe6007,0xdffb1002,
    0x800fffb0,0x2a02fffa,0x000fffff,0x3ff20000,0x00000007,0x00000000,
    0x017ffcc0,0x88000000,0x80003fff,0x00007ffc,0x00000000,0x80000000,
    0x0005fff8,0x006fff88,0x701ffff1,0x0000bfff,0x00009ffb,0x0fffec00,
    0x4007ffe4,0xf883fffb,0x40000fff,0x0005fff9,0x98037fec,0xffd83fff,
    0x01fff206,0x8003ffd8,0x7fec2ffe,0x7ffd4007,0x37ffec02,0x32000000,
    0x000007ff,0x00000000,0x7ffd4000,0x00000001,0x007fff10,0x00fff900,
    0x00000000,0x00000000,0x09fff300,0x5fff9000,0x1fffe400,0x003fffe2,
    0x013ff600,0xffc80000,0x2fffc41f,0x90dfff00,0x00009fff,0x0001fffb,
    0x5007ffd8,0xff985fff,0x1fff203f,0xa83ffd40,0x3ea1accb,0x03ffec6f,
    0x00bffea0,0x000bfff7,0x7ffc8000,0x22000000,0xf9000aaa,0x3fea00ff,
    0xfff7001f,0x00000001,0x00fffe20,0x21fff200,0x0000aaa8,0x00000000,
    0x44000000,0x80007fff,0x4c007fff,0x7fe46fff,0xfb00004f,0x0000009f,
    0x2e07ffec,0xf5002fff,0x7fc41fff,0x4c0000ff,0x80002fff,0xe801fffb,
    0x7fe41fff,0x1fff201f,0x221fff40,0x0ffffffe,0xffd8fffa,0x7ffd4007,
    0x1fffe402,0xffffffb0,0x64003fff,0x9a9887ff,0x49ff9000,0xffffffd8,
    0x03ffe402,0x001fffa8,0x0001fff7,0x7fffffcc,0xffffffff,0x0fffe25f,
    0x87ffff20,0x3f627ffc,0x881effff,0x20002fff,0x3ff66ffd,0x1fffffff,
    0x3fffe600,0xffffffff,0x7ffc5fff,0x3e20003f,0xff8005ff,0x07fff47f,
    0x4ffd8000,0x3e000000,0x7ffc86ff,0xfffff900,0x027ffd43,0x03ffdc00,
    0xefff8800,0x1bffe600,0xf901bff6,0x3ffe00ff,0x3ffffe20,0x3fee0fff,
    0x001fff65,0x4c05fff5,0x7ec06fff,0xffffffff,0x9fff2001,0xefffffd8,
    0xaa7fe401,0xffffffff,0x1fff203f,0x00fffd40,0x000fffb8,0x3ffffe60,
    0xffffffff,0x3ffe25ff,0x7fffe403,0xfabffe41,0xffffffff,0x003fff83,
    0xfd93ffa0,0xffffffff,0x3ffe6001,0xffffffff,0x7e45ffff,0x30004fff,
    0xb0007fff,0x6fff8fff,0x3ff60000,0x90000004,0xffb05fff,0xfffe880d,
    0x3fee2fff,0xfd80002f,0x3a00006f,0xfb82ffff,0xffe81fff,0x03ffe405,
    0x3f637fcc,0x41710cff,0x3ff66ff9,0x7ffd4007,0xffffa882,0x7fffec01,
    0x001fffff,0x7fd5fff2,0x3fffffff,0x3eb7ff20,0xfffedfff,0xfff900ff,
    0x07ffea00,0x007ffdc0,0xfffff300,0xffffffff,0x7ffc4bff,0x3ffff203,
    0xfafffc81,0xfffdefff,0x27ff40ff,0x47fff000,0xfffffffd,0x3e6001ff,
    0xffffffff,0x45ffffff,0x3fffffe8,0x17ffd400,0x87ffe400,0x0005fff8,
    0x333bff60,0x00001aab,0x205fff91,0x3ea05ffe,0x3fffefff,0x0007fff2,
    0x5453ffe0,0x02bdeedc,0xdffffe88,0x1ffffe99,0xc809fff0,0xffa807ff,
    0x007ffe65,0xffd9ffe2,0x7ffd4007,0x3ffffb62,0x3ee0003f,0x3f2001ff,
    0xeffffaef,0x00fffffe,0x7ffffff9,0x20bfffb0,0xf5007ffc,0x7ffd43ff,
    0xffffffff,0xffffffff,0xff880002,0x3ffe21ff,0x3ffff903,0x3fffff20,
    0x7ffec0cf,0x002ffec4,0x802fff88,0x0001fffb,0x3ffff100,0xfffffd30,
    0xff70039f,0xff90003f,0x0fffe63f,0xaaaaaaa8,0x3fff60aa,0xcfffffff,
    0xdccc8801,0x201efffe,0xff905fff,0x9fff1bff,0x0007ffec,0x333ffe20,
    0xffffffff,0x7f4401ef,0xffffffff,0x7fff100d,0xeefffc80,0xff72eeee,
    0x003ffdc9,0x3ff61fff,0x7ffd4007,0x37ffffe2,0x7fdc0000,0x3ff2001f,
    0x220cffff,0xf904fffd,0x7c05ffff,0xfff907ff,0x87ffea00,0xfffffffa,
    0xffffffff,0x0002ffff,0x442fffd8,0xffc83fff,0x3ff201ff,0x3fe02fff,
    0x037fe47f,0x01fff980,0x001fffb8,0x5fffb000,0xfffffc80,0x3f201dff,
    0xfb8000ff,0x5fff72ff,0x7fffffc0,0x3ff61fff,0xffffffff,0x7fcc04ff,
    0x02ffffff,0x3a227ffc,0x3fe3ffff,0x01fffa5f,0x3fffe600,0xffffffff,
    0xb802ffff,0x5fffffff,0x01fffcc0,0x3ffffff2,0x7ff93fff,0xd002ffe4,
    0x1fff63ff,0x45fff500,0x0002cdff,0x003fff70,0x17ffffe4,0x320ffff0,
    0x6402ffff,0xffc80fff,0x3fff5007,0x7fffffd4,0xffffffff,0x002fffff,
    0x427ffe40,0x7dc3fff8,0x7e400fff,0x7e402fff,0x1ffea0ff,0x7d40775c,
    0xffb800ff,0xc800001f,0x93004fff,0xdfffffff,0x01fffb01,0x25fff500,
    0x3e02fffc,0xffffffff,0x333332e1,0xfffffeed,0x3fffe604,0x83ffffff,
    0x3ea3fff8,0x7fc1efff,0x01fffe5f,0x3fffe600,0xb9899bef,0x200ffffe,
    0xffffffc8,0xff300dff,0xfffc805f,0xb3ffffff,0x1ffec5ff,0x365ffb00,
    0x7d4007ff,0x000022ff,0x00fffdc0,0x05ffff90,0xc80fffc8,0xfb803fff,
    0x7ffc81ff,0x03fff500,0x003ffee0,0xfff50000,0x8fffe20d,0x800efffb,
    0xb803fffc,0x3fe61fff,0x83fff80f,0xf7007ffb,0x800003ff,0x8006fffa,
    0xffffffb8,0x07ffec3f,0x8fffdc00,0x3a02fffb,0xfffeeeee,0x7fecc001,
    0x555103ff,0xfffff995,0x327fff0b,0xff04ffff,0x03fffc9f,0x77ffd400,
    0x4fffd802,0xbfffff30,0x03ffffff,0xc807fff3,0xaaaaafff,0x647ff91a,
    0x3fa004ff,0x00fffb1f,0x002fffa8,0xfffb8000,0x3fff2001,0x1fffb803,
    0x5007ffc8,0xff903fff,0x3ffea00f,0x1fff7001,0x7c400000,0xff100fff,
    0x3bffee7f,0x0fff9000,0x887ffea0,0x7fcc1fff,0x06ffc86f,0x003fff70,
    0x7fffc400,0x7f540000,0x3f22ffff,0xfc8001ff,0x7fff50ff,0x1fffb800,
    0xdfff9000,0x3ffea000,0x76fff43f,0xf102ffff,0x7fff49ff,0x7fd40000,
    0xfff1002f,0xbffff50f,0x3ffff221,0x27ffc42f,0x201fff20,0x3fee4ffb,
    0xd9ffe006,0x7d4007ff,0x05e542ff,0xfffb8000,0x1fff2001,0x40fffd40,
    0xf5007ffc,0xfff903ff,0x07ffea00,0x007ffdc0,0xfffd0000,0x5fffc405,
    0x000efffb,0x5401fff2,0x7ffc1fff,0x0ffffe42,0x5c013ff6,0x00001fff,
    0x000bfffa,0xfffffa80,0x005fff70,0x7ccfffb0,0x7dc004ff,0x3a0001ff,
    0x220007ff,0x3fa0ffff,0x00efffff,0xfd8fffe2,0x4c0001ff,0x32003fff,
    0x3fe61fff,0xffd303ff,0x4fff81ff,0x403ffe40,0x3fe65ff9,0x6ff8803f,
    0x5001fff6,0x7fec5fff,0xb80000ef,0x32001fff,0xff5007ff,0x0fff903f,
    0x207ffea0,0xf5007ffc,0x3ee003ff,0x000000ff,0x8807fff9,0xffffefff,
    0x3ffe4000,0x41fffa80,0x7ffc3ffe,0x1fff44ff,0x01fffb80,0x7fff9000,
    0xfd100000,0x3ffea7ff,0x6ffe8003,0x0017ffe2,0x0003fff7,0x000fffe4,
    0x6c5fff70,0x804fffff,0x3f22fff9,0x440002ff,0x2e004fff,0x3ff62fff,
    0x7ff4403f,0x02fffc4f,0x2201fff2,0x7ffec6ff,0x260fdbcf,0x1fff65ff,
    0x25fff500,0x05fffffb,0x1fffb800,0x01fff200,0x640fffd4,0xff5007ff,
    0x0fff903f,0x007ffea0,0x0007ffdc,0x2fffdc00,0x6dfffc40,0x64004fff,
    0xff5007ff,0x24ffd83f,0x47ffdff9,0xf7002ffe,0x700003ff,0x0000bfff,
    0x9afffd40,0x44005fff,0x7ffc5fff,0x3fee000f,0x3ee0001f,0x260002ff,
    0x3ff24fff,0xff7002ff,0x2fffdc3f,0x27ffc000,0x27fff500,0x3006fff8,
    0xffe8dfff,0x03ffe407,0x3e61fff8,0x0fffffff,0xffc93ff2,0x3fee000f,
    0xfffffb1f,0xff70000f,0x7fe4003f,0x3fff5007,0x200fff90,0xfc81fffa,
    0xfff5007f,0x3ffee003,0x7cc00000,0xf8800eff,0xfffe8bff,0x1fff2004,
    0x20fffd40,0x3ff25ffc,0x3fe1ffe9,0xfff7001f,0xff980003,0x000000ef,
    0x7c5bffe2,0x2e000fff,0x7fec3fff,0x3fee004f,0x3f20001f,0x260000ff,
    0x3fee3fff,0x3ffa003f,0x0ffffcc7,0x17ffe000,0x51fffb80,0x7c009fff,
    0x7ffec7ff,0x01fff202,0x3222ffe4,0x10dfffff,0x7fdc3fff,0x3ff2001f,
    0x3fffff67,0xffb80007,0x3ff2001f,0x3fff5007,0x200fff90,0xfc81fffa,
    0xfff5007f,0x3ffee003,0x3a200000,0xf1001fff,0x3ffe27ff,0xfff9003f,
    0x07ffea00,0xbff4dff7,0xfff14ffb,0x3ffee001,0x3fa20001,0x000001ff,
    0xf92fffc4,0x7f4005ff,0x7ffcc0ff,0xfff7000f,0x7ff40003,0x7fdc0007,
    0x1bffe21f,0x41fffcc0,0x0004fffd,0x8007fff4,0xff70fffc,0x7ff4007f,
    0x17ffe60f,0x1007ffc8,0x26203fff,0x545ffb80,0x36002fff,0x3ffea6ff,
    0xb80005ff,0x32001fff,0xff5007ff,0x0fff903f,0x207ffea0,0xe800fffb,
    0xf7001fff,0x400001ff,0x2003fffd,0x3e63fff8,0xfc802fff,0xfff5007f,
    0xf37ff983,0x4dffe69f,0x3ee007ff,0x360001ff,0x00003fff,0x23fffa80,
    0x800efff9,0xfb03fffb,0x3ee00bff,0xf70001ff,0x44000bff,0xffc87ffe,
    0xfffc801f,0x2ffff980,0x3ffea000,0x6fff8803,0x4017ffe6,0xfe86fff8,
    0xfff900ff,0x02ffe400,0x307ffe20,0x2600bfff,0x7fe45fff,0xb80000df,
    0x32001fff,0xff5007ff,0x0fff903f,0x207ffea0,0x6c01fffa,0x7001ffff,
    0x00001fff,0x0017ffee,0xfa87fff1,0x7e402fff,0xfff5007f,0xc8fff883,
    0x2bffa2ff,0x2e006ffa,0x70001fff,0x0000bfff,0x3ffff100,0x00efffd8,
    0x403fffea,0x00effff8,0x000fffdc,0x007fffd4,0x09fffb00,0x401ffff1,
    0x3605fffc,0x1004ffff,0x00effe85,0xf117ffe4,0xf9003fff,0xfff709ff,
    0x0fff901d,0x077ffc40,0x82fffcc0,0x4402fffe,0xa880fffe,0x3ee00001,
    0x3f2001ff,0xfff5007f,0x00fff903,0x2607ffea,0x3f605fff,0x7001ffff,
    0x00001fff,0x000dfff3,0xf707fff1,0x7e403fff,0xfff5007f,0xfd3fff03,
    0xfbdffb8f,0x3fee005f,0xff98001f,0xcec8006f,0xfc98809a,0xff984fff,
    0x9511beff,0xc807ffff,0x1acfffff,0x88fffe4c,0x3ff6a201,0x200441ff,
    0x05ffffb8,0x30bbfff6,0x403ffff9,0xbefffff8,0xdfb5310a,0x81ffffb8,
    0xd85fffd8,0x980bffff,0xf01ffffc,0x6415dfff,0x7d4007ff,0x3ea01eff,
    0xff300eff,0xfd5019ff,0x000009ff,0x00fffdc0,0x200fff90,0xfc81fffa,
    0xfff5007f,0x0ffffe03,0xfffdffb3,0x3ffee003,0x7fc40000,0xf88000ff,
    0xfff903ff,0x1fff203f,0x40fffd40,0x44ffcffe,0x3ffcfff8,0x07ffee00,
    0x1ffff100,0xffff9000,0xffffffff,0x7d40bfff,0xffffffff,0x7003ffff,
    0xffffffff,0x3fffffff,0x3bbbffe6,0x2fffffff,0xeeefffc8,0xefffffff,
    0x3fff6200,0xfffffeff,0xffe9801f,0xffffffff,0xffe86fff,0xffecdfff,
    0xfe880eff,0xfeeeffff,0x202fffff,0xefffffe8,0xfffffffe,0xff307fff,
    0xfd97bfff,0xd801bfff,0xeeffffff,0x006fffff,0x7fdc0000,0x3ff2001f,
    0x3fff5007,0x200fff90,0xf701fffa,0xffddffff,0x03fff1df,0x003ffee0,
    0x05fffd00,0x0fffe200,0x80ffffd8,0xf5007ffc,0xfffb03ff,0xfffd05ff,
    0x7dc005ff,0x7f4001ff,0xf90002ff,0xffffffff,0x009fffff,0xffffffd3,
    0x8003dfff,0xffffffe8,0x1fffffff,0xfffffff3,0x201bffff,0xfffffffc,
    0x003fffff,0x3ffffff2,0x4000efff,0xfffffffb,0x906fffff,0xffffffff,
    0x744019ff,0xffffffff,0x8802ffff,0xfffffffd,0xffffffff,0x3ffa207f,
    0xffffffff,0x3ffee003,0xffffffff,0xf5000004,0xffffffff,0x7fffffff,
    0x200fff90,0xfc81fffa,0xfff5007f,0x7fffec03,0xff0effff,0x3fee003f,
    0x3ee0000f,0xffffffff,0x2fffffff,0xe807fff1,0x7e40efff,0xfff5007f,
    0xfffff903,0x3ffffee0,0x7ffffd41,0xffffffff,0xffb83fff,0xffffffff,
    0x52ffffff,0xffffffdb,0x0017dfff,0x7fffedc4,0x20000cef,0xfffffecb,
    0x7fcc2dff,0xdeffffff,0x7fffe401,0x03eeffff,0xffffb700,0x200017bf,
    0xfffffdc9,0x2a00adff,0xdffffffd,0x3ff66001,0x02efffff,0xfffecb80,
    0xffffffff,0xeca807ff,0x01bdffff,0xfffed880,0x0001deff,0x3fffea00,
    0xffffffff,0xfc83ffff,0xfff5007f,0x00fff903,0x7007ffea,0x87dfffff,
    0xf7001fff,0x640001ff,0xffffffff,0xffffffff,0x807fff12,0x20efffe8,
    0xf5007ffc,0xfff703ff,0x3ffe209f,0x7ffd40ff,0xffffffff,0xc83fffff,
    0xffffffff,0xffffffff,0x35553302,0x54400001,0x26000001,0x4c4009aa,
    0x80009aa9,0x019aa998,0x00a88000,0x33310000,0x26a20001,0xa9880000,
    0x22000009,0x00000999,0x00000130,0x00001353,0x3fffea00,0xffffffff,
    0xfc83ffff,0xfff5007f,0x00fff903,0x4007ffea,0x00001aa8,0x0003ffee,
    0xffffffc8,0xffffffff,0x7fff12ff,0xdffff300,0xa803ffe4,0xff981fff,
    0x3ffa02ff,0xffffa87f,0xffffffff,0xfc83ffff,0xffffffff,0x2fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x97300000,0x54c40000,0x54001aaa,0xcccccccc,0x310001cc,0xb9800335,
    0x1554c004,0x42aaa200,0x00002aaa,0x2aaaaaaa,0xaaaaaaaa,0xaa82aaaa,
    0x00aaaaaa,0x05553000,0x55500000,0x55555555,0x00aaa635,0x55555000,
    0x80001555,0x2a001aaa,0x510001aa,0x20157bb9,0xaaaaaaa8,0xaaaaaaaa,
    0x5532aaaa,0x55300035,0x2aaaa615,0xaaaaaaaa,0x155552aa,0x5554c000,
    0x33b2a601,0x5553002b,0x55550003,0x001554c1,0x8002aaa2,0x001aaaa9,
    0x0dffb000,0xfffd9800,0x04ffffff,0xffffff90,0x4005ffff,0xffffffdb,
    0x7fec02df,0x3ffe4006,0x4bffea00,0x00006fff,0xfffffff1,0xffffffff,
    0xf88bffff,0xffffffff,0x90002def,0x00001fff,0x7ffffc40,0x3fffffff,
    0x0000fff9,0x7fffffc4,0x02deffff,0x002fffc0,0x88009fff,0xfffffffc,
    0x7ffc40df,0xffffffff,0xffffffff,0x01ffff36,0x87fffc40,0xfffffffd,
    0x5fffffff,0x0009fff9,0x640fffec,0xffffffff,0x7ffcc01e,0x3fea000f,
    0x03ffe46f,0x00bffea0,0x05fffff8,0xdffb0000,0x3ff62000,0xffffffff,
    0xfff9004f,0x5fffffff,0xffffd100,0x0bffffff,0x4006ffd8,0x54007ffc,
    0xdfff2fff,0x3be20000,0xcccccccc,0xdccccccc,0x7fffc45f,0xffffffff,
    0x7e4000df,0x000000ff,0x3fffffee,0x93ffffff,0x40000fff,0xfffffff8,
    0x0dffffff,0x00bfff00,0x30027ffc,0xffffffff,0x7c47ffff,0xffffffff,
    0xffffffff,0x3fff66ff,0x3fff2004,0x3fffff63,0xffffffff,0x0dfff35f,
    0x237ffc00,0xffffffe9,0x403fffff,0x1005fffc,0xfc83ffff,0x7fd4007f,
    0xfff5002f,0x00001fff,0x000dffb0,0x37bffff6,0x04ffedcc,0x33333310,
    0xb8013333,0xeeffffff,0x6c05fffe,0x7e4006ff,0x7fd4007f,0x00dfff2f,
    0x0017e200,0xff88bf10,0xffeeeeff,0x003fffff,0x0003fff2,0xffffe800,
    0xccccccef,0x000fff91,0x77fffc40,0xfffffeee,0xfff803ff,0x13ffe005,
    0xcefffe80,0x4fffdbaa,0x3bbbbba2,0xeeffffee,0x224eeeee,0x8800ffff,
    0x7fec6fff,0xeeeeeeef,0x3fe4eeee,0xfa8001ff,0x3ffea4ff,0xffdbbdff,
    0x3e201fff,0xfc802fff,0x7ffc84ff,0x17ffd400,0xfffffc80,0xd800002f,
    0xfa8006ff,0x0cc00dff,0x26000000,0x301effff,0x6ffd80b9,0x03ffe400,
    0x7cbffea0,0x100006ff,0x09aba8bf,0x3e22fc40,0xff5104ff,0x32005fff,
    0x00000fff,0xffbdff50,0x5fff900b,0x00033555,0x2209fff1,0x02fffffa,
    0xf002fffc,0x3f2009ff,0x176204ff,0x017ffe00,0x00bfff70,0xfd83fffb,
    0xf90000ff,0xfb0007ff,0x7ffcc3ff,0xdfffb103,0x06fffa80,0xc837ffcc,
    0x7d4007ff,0xfff002ff,0x000bfffb,0x00dffb00,0x000fffb0,0x74000000,
    0x00004fff,0xc800dffb,0x7d4007ff,0x0dfff2ff,0x917e2000,0x203bffff,
    0x7ffc45f8,0x7ffec404,0x1fff9006,0x3f600000,0x805ffdbf,0xfffffffc,
    0x800cffff,0x4404fff8,0xe986fffd,0xeeeffffe,0xfeeeeeee,0x2206efff,
    0x00006fff,0x0017ffe0,0x9807fffa,0xffd84fff,0xff30000f,0xfff000df,
    0x8803d50d,0x6c01ffff,0x3fa03fff,0xfff901ff,0x2fffa800,0xd9fffa80,
    0x00000fff,0x40037fec,0x00006ffe,0xff700000,0x6c0000bf,0x7e4006ff,
    0x7fd4007f,0x00dfff2f,0x9517e200,0x10bfffdb,0x4fff88bf,0x07fffb00,
    0x201fff90,0xff100028,0x00bffb1f,0xfffffff9,0x19ffffff,0x027ffc40,
    0x543fffd8,0xffffffff,0xffffffff,0x207fffff,0x0002fff9,0x017ffe00,
    0x81bffea0,0xfd80fffe,0x3e0000ff,0x2a000fff,0x40003fff,0x4402fffc,
    0xfb80ffff,0x3ff204ff,0x7ffd4007,0x77ffc802,0x20005fff,0xfffffffc,
    0xffffffff,0x3ff62fff,0x0000001f,0x0ffff800,0xffffc800,0xffffffff,
    0x92ffffff,0xfa800fff,0x0dfff2ff,0x017e2000,0xf889ffb3,0x027ffc45,
    0x00ffff98,0x2207ffe4,0xf70005fc,0x017ff6bf,0x3bbbfff2,0xffffffee,
    0x9fff100e,0x3fffe600,0x3ffffea0,0xffffffff,0xffffffff,0x07ffee07,
    0xfff80000,0xfffb0005,0x07fff505,0x0003fff6,0x003fffc8,0x0007fff2,
    0x009fff50,0xf88bfff7,0x3f200fff,0x7fd4007f,0x4fff802f,0x000bfff1,
    0x3ffffff2,0xffffffff,0x3ee2ffff,0x80003fff,0xfffffffd,0x7fc401ff,
    0xff90004f,0xffffffff,0xffffffff,0x001fff25,0x3fe5fff5,0xf100006f,
    0x87ff600b,0x7ffc45f8,0x3fff6004,0x87ffe402,0x005fffc8,0x3f65fff0,
    0x7ffc805f,0x3ffff220,0x09fff105,0x117ffec0,0x33bfff33,0x33333333,
    0x4033bfff,0x0000fffc,0x017ffe00,0x437ffc40,0x3f606fff,0x260000ff,
    0x3e006fff,0x980006ff,0xfd004fff,0x7ffec5ff,0x03ffe402,0x00bffea0,
    0x7f45fff5,0xff90007f,0xffffffff,0xffffffff,0xfffffe85,0xffb0001c,
    0x3fffffff,0x03fff980,0xfffff900,0xffffffff,0x325fffff,0x7d4007ff,
    0x0dfff2ff,0x017e2000,0xbf11ffc4,0x004fff88,0x900fffea,0xfff91fff,
    0xf50009ff,0x02ffecff,0x4c03ffe4,0xf883ffff,0x3ea004ff,0xbfff03ff,
    0x027ffc00,0x0003ffec,0x017ffe00,0x23fffc80,0x3601fffb,0x40000fff,
    0x9800ffff,0x80003fff,0x3003fffa,0x3feadfff,0x7ffc805f,0x17ffd400,
    0xf71fff20,0x400005ff,0x10006ffd,0xfffffffd,0x7fec0039,0x1fffffff,
    0x00fffdc0,0x1bff6000,0x00fff900,0xff2fffa8,0x220000df,0x97fe005f,
    0x7ffc45f8,0x3ffe6004,0x7fffe404,0x001dffff,0x7ec9ffb0,0x7ffc805f,
    0x0bfff500,0x4009fff1,0xff04fff9,0x7ffc00bf,0x07ffd804,0x7ffc0000,
    0x7ff40005,0x04fff88f,0x0007ffec,0x00ffff20,0x0007fff2,0x00bffee0,
    0xfecfffc8,0xffc800ff,0x7ffd4007,0x22fffc02,0x0005fff9,0x001bff60,
    0xffffff70,0x40003dff,0x6401fffb,0x00000fff,0x20037fec,0x54007ffc,
    0xdfff2fff,0xf8808800,0x49ff1005,0x7ffc45f8,0x3ffe2004,0x7fffe405,
    0x20001dff,0x3f60fff8,0x7ffc805f,0x21fffa00,0x2004fff8,0xff05fff8,
    0x7ffc00bf,0x07ffd804,0x7ffc0000,0x7fd40005,0x00fffcbf,0x0007ffec,
    0x017ffe60,0x0001bffa,0x0007fff4,0xfffffff1,0x1fff2007,0x05fff500,
    0x7417ffcc,0x200007ff,0x00006ffd,0xffffffb5,0x3ee0007f,0x7fe401ff,
    0x6c00001f,0x7e4006ff,0x7fd4007f,0x00dfff2f,0x883bffa6,0x3ff9005f,
    0xfeeeafc4,0x2eeeefff,0x441bffe0,0x1dfffffb,0x5ffc8000,0x7777ffec,
    0xfff90eee,0x87ffec00,0xeffffeee,0x3fe02eee,0x3bfff06f,0x33333333,
    0x2609fff3,0x99fffd99,0x01999999,0xfbaaaa98,0xaaaaaeff,0x3fff6000,
    0xfd803fff,0xaaaaabff,0xf00aaaaa,0x7cc01fff,0xa80003ff,0xa8004fff,
    0x006fffff,0x3bbbfff2,0xeeeeeeee,0x3202fffe,0xffc80fff,0xfb00002f,
    0x880000df,0x1fffffda,0x1fffb800,0x017ffdc0,0x1bff6000,0x00fff900,
    0xff2fffa8,0x3ffa00df,0x217e26ff,0x4fffdcc8,0xffffafc4,0x2fffffff,
    0x2e1fffa0,0x02ffffff,0x0bffe000,0xfffffffb,0x1fff21ff,0xf1fffc80,
    0xffffffff,0x7ff405ff,0xffffff07,0xffffffff,0x3fe09fff,0xffffffff,
    0x00ffffff,0x7fffffe4,0xffffffff,0x3ffe6002,0xffb006ff,0xffffffff,
    0x3201ffff,0x3ee02fff,0x440001ff,0x0000ffff,0x003ffffb,0x7fffffe4,
    0xffffffff,0x3e02ffff,0xfff305ff,0x3f600009,0x2000006f,0x005fffe9,
    0x401fffb8,0x0003fffa,0x0037fec0,0x5001fff2,0x3ffe5fff,0xffffa806,
    0x30bf12ff,0x105fffff,0x3ffffebf,0x02ffffff,0xff83fffa,0x00ffffff,
    0x0fff5000,0xfffffffb,0x1fff21ff,0xf0fffd80,0xffffffff,0x7ff405ff,
    0xfffff80f,0xffffffff,0xff04ffff,0xffffffff,0x01ffffff,0xffffffc8,
    0xffffffff,0x7ffe4002,0xfffb001f,0xffffffff,0x3e601fff,0x3ffa05ff,
    0xffe80006,0x3fa0003f,0x32003fff,0xffffffff,0xffffffff,0xfff302ff,
    0x03fffc07,0x75555540,0xaaaaafff,0x440002aa,0xb8006fff,0x7cc01fff,
    0x400006ff,0x64006ffd,0x7d4007ff,0x0dfff2ff,0xffffff70,0x3e617e25,
    0x57e2009f,0xadfffbaa,0x3fe00aaa,0x76fffc7f,0x00000fff,0xffb09ffb,
    0x4333333d,0x3a007ffc,0x3eeaa6ff,0x0aaaadff,0x7c1fffe0,0xffffffff,
    0xffffffff,0xfffddd04,0xdddddddf,0xeeb801dd,0xeffffeee,0x4001eeee,
    0x2005fff8,0xeeeefffd,0x0eeeeeee,0x441fffe0,0x40003fff,0x0004fffd,
    0x3fffffee,0x7fff9000,0x55555555,0x05fff955,0xc803fff2,0x74002fff,
    0xffffffff,0x7fffffff,0x7ffe8000,0x1fffb800,0x03fffd80,0x1bff6000,
    0x00fff900,0xff2fffa8,0xfff300df,0x17e21fff,0x3e201fe6,0x027ffc45,
    0xf8ffff10,0x01fff91e,0x3fff3000,0x900bffb0,0x3ea00fff,0xfff885ff,
    0x3ffe2004,0x00bfff07,0x6c027ffc,0x000007ff,0x2002fffc,0xfffffffc,
    0xffffffff,0x07ffec0f,0xfffc8000,0x00fffb82,0x1bfff600,0xffff8800,
    0xf9005fff,0xffa800ff,0x0dfff02f,0x004fffa8,0x7ffffff4,0xffffffff,
    0x7d40007f,0xfb8005ff,0xffa801ff,0xb00002ff,0xfc800dff,0x7fd4007f,
    0x00dfff2f,0x893ffff2,0x807f885f,0x7ffc45f8,0x3ffe6004,0x3fff2146,
    0xffc80000,0x00bffb06,0xf100fff9,0xff101fff,0x7fcc009f,0x0bfff06f,
    0x4027ffc0,0x00007ffd,0x002fffc0,0x3ffffff2,0xffffffff,0x7ffec0ff,
    0xff300000,0x0dffd0bf,0x77ffe400,0x3ff60000,0x02fffeaf,0x4007ffc8,
    0xf982fffa,0xfff803ff,0x6665c007,0xcccfffec,0x6444cccc,0x7ff4c01a,
    0xffb8003f,0xfffd001f,0xda8813bf,0x037fec05,0x001fff20,0x3fe5fff5,
    0x332a006f,0x6442fc42,0x445f8804,0x2a004fff,0x7e404fff,0xf80000ff,
    0xbffb03ff,0x80fff900,0x103ffffb,0x54009fff,0xfff04fff,0x27ffc00b,
    0x003ffec0,0x17ffe000,0xddddd700,0xdddffffd,0xffd81ddd,0x3e00000f,
    0x7ffc47ff,0xfff90003,0x7d40001d,0xffff35ff,0x07ffc801,0x417ffd40,
    0xaaacfffc,0xffeaaaaa,0x7ec0002f,0x7fc4006f,0xeeeeefff,0x0005ffff,
    0x2003fff7,0xffffffd8,0x05ffffef,0x20037fec,0x54007ffc,0xdfff2fff,
    0x17e20000,0x88bf1000,0x36004fff,0x7e402fff,0x540000ff,0xffffffff,
    0xc805ffff,0xcccccfff,0x05fffffe,0x8013ffe2,0xff02fffd,0x7ffc00bf,
    0x07ffd804,0x7ffc0000,0x3fe00005,0x3ff6005f,0x3200000f,0x3fee2fff,
    0xffc8000f,0x220000ef,0x3f61ffff,0x7fe404ff,0x7ffd4007,0xffffff82,
    0xffffffff,0x40004fff,0x44006ffd,0xffffffff,0x00cfffff,0x03fff700,
    0xfffffd80,0x05ffffff,0x20037fec,0x5c007ffc,0xdfff1fff,0x17e20000,
    0x2fc40054,0x4013ffe2,0x400ffff9,0x0000fffc,0x7ffffff4,0x05ffffff,
    0xffffffc8,0x3fffffff,0x027ffc40,0x00ffff98,0x7c00bfff,0xffd804ff,
    0x7c000007,0x200005ff,0x36005fff,0x00000fff,0xfe93ffe6,0xffc8006f,
    0x6c0000ef,0x7fc44fff,0x3ff201ff,0x7ffd4007,0x7ffffcc2,0xffffffff,
    0x0007ffff,0x2003ffec,0xfffffed8,0x001dffff,0x00fffdc0,0x7fffdc40,
    0x401cefff,0x64007ffd,0x7dc007ff,0x0dfff0ff,0x217e2000,0x7c402ffc,
    0x027ffc45,0x804fffd8,0x0000fffc,0x3fffffe6,0x5fffffff,0xfffffc80,
    0x0dffffff,0x04fff880,0x409fffb0,0x3e005fff,0xffd804ff,0x7c000007,
    0x200005ff,0x36005fff,0x00000fff,0xff8bfffc,0x7fe4003f,0x540000ef,
    0xfb80efff,0x3ff206ff,0x7ffd4007,0x7ffffe42,0xffffffff,0x001fffff,
    0x003ffee0,0x7fd4cc40,0x2e00005f,0x20001fff,0x0019fffa,0x0007ffdc,
    0xd800fff9,0x1bffe7ff,0x42fc4000,0x7c404ffe,0x027ffc45,0x007fffdc,
    0x0007ffe4,0x333dff90,0xbffb3333,0x99fff900,0x80015799,0xb804fff8,
    0x3e00ffff,0x3fe005ff,0x7ffd804f,0x7fc00000,0x7754005f,0xffffeeee,
    0x40eeeeee,0x0000fffd,0x5cfffe40,0x32000fff,0x0000efff,0x017fffc4,
    0x3209fffd,0x7d4007ff,0x37ffc2ff,0x13ffea00,0x5fffa800,0xfff88000,
    0x3ee00002,0x320001ff,0xf50006ff,0x7e400bff,0x3fe6007f,0x01bffe6f,
    0x5c2fc400,0x2fc401ff,0x8813ffe2,0x003ffffe,0x0001fff9,0x3601fffc,
    0xffc805ff,0x3e200007,0x3fa204ff,0x7fc03fff,0x3ffe005f,0x07ffd804,
    0x7ffc0000,0x7ffdc005,0xffffffff,0x6c0fffff,0x00000fff,0x7ee7ffcc,
    0x3ff2006f,0xc80000ef,0x7cc05fff,0xffc81fff,0x7ffd4007,0x00fffe62,
    0x00ffff10,0x67fffc40,0x54009880,0x00000fff,0x0007ffee,0x0004ffe8,
    0x019ffff1,0x1fff2131,0xfffd302e,0x4cf7ffc5,0x99999999,0x20bf1009,
    0x45f88008,0xa99dfff8,0xfffffecb,0x3fff2003,0x99999999,0x3fee0999,
    0x2ffec00f,0x003ffe40,0x3bfff100,0xfffd9753,0xfff007ff,0x27ffc00b,
    0xfffd9998,0x99999999,0x7c001999,0x7dc005ff,0xffffffff,0x0fffffff,
    0x0007ffec,0x7ffffc00,0xff9003ff,0x555557ff,0x15555555,0x01ffffa8,
    0xc86fffd8,0x7d4007ff,0x3fff22ff,0xfffd8001,0x3fee0001,0xffeeffff,
    0x2ffe402f,0x3fee0000,0xff10001f,0x7dc0003f,0xfeefffff,0x0fff92ff,
    0xffffdfff,0xfffff8df,0xffffffff,0x0bf106ff,0x445f8800,0xffffffff,
    0x02ffffff,0x7ffffe40,0xffffffff,0x017ffa4f,0x3ffffff6,0xfff95fff,
    0x7fc40000,0xffffffff,0xf002ffff,0x7fc00bff,0xfffff04f,0xffffffff,
    0x00ffffff,0x0005fff8,0x8017ffe0,0x0000fffd,0xfffffc80,0xfffd000f,
    0xffffffff,0x41ffffff,0x004fffe8,0xc87ffff1,0x7d4007ff,0x1bffe2ff,
    0x27ffdc00,0x3fff6000,0x2fffffff,0x001ffec0,0x7fffffd4,0xffffffff,
    0x7fcc03ff,0xffd80007,0xffffffff,0xff0fff92,0x1bffffff,0xfffffff8,
    0xffffffff,0xfffff106,0xffffffff,0x8bffffff,0xfffffff8,0x00bfffff,
    0xfffffc80,0xffffffff,0x05fff34f,0xffffffb0,0x3ff2bfff,0x3e200007,
    0xffffffff,0x2000bfff,0x3e005fff,0xffff04ff,0xffffffff,0x0fffffff,
    0x005fff80,0x017ffe00,0x000fffd8,0xffff9800,0x3ffa006f,0xffffffff,
    0x0fffffff,0x003bfff2,0x20ffffb8,0x54007ffc,0xfff32fff,0x3fe20009,
    0xd980006f,0xefffffff,0x00fffc01,0x7ffffd40,0xffffffff,0x7dc03fff,
    0xb300005f,0xdfffffff,0x361fff23,0x02effffe,0xffffffff,0xdfffffff,
    0x3ffffe20,0xffffffff,0x45ffffff,0xeffffff8,0x40002cce,0xfffffffc,
    0x4fffffff,0x3600fff9,0xffffffff,0x00fff95f,0x7fffc400,0x02cceeff,
    0x00bfff00,0xff827ffc,0xffffffff,0xffffffff,0x2fffc007,0xbfff0000,
    0x07ffec00,0xfff80000,0x3fa003ff,0xffffffff,0xffffffff,0x05ffff30,
    0x4bfffd00,0x54007ffc,0xfff92fff,0x7ff40003,0x2200001f,0x26001999,
    0xff500019,0xffffffff,0x07ffffff,0x00009988,0x01999880,0x00004c00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x30000000,0x55555555,0x55100135,
    0x55555555,0x00555555,0x1379d973,0x002aa980,0x54c2aaaa,0x09aaaaaa,
    0x03555000,0x15554c00,0x0aaaa880,0x10155300,0x2aa60555,0x551000aa,
    0x2aaaa615,0xaaaaaaaa,0x222aaaaa,0xaaaaaaaa,0xaaaaaaaa,0x32e2002a,
    0x1aaa803c,0x06aa6000,0x55554c00,0x06aaaa02,0x1aaa9800,0x55555553,
    0x2a200335,0x9aaaaaaa,0x2aaa2000,0xaaaaaaaa,0xaaaaaaaa,0x55555552,
    0x55555555,0x0b332005,0x20002600,0x00000009,0x2a200000,0x002aa200,
    0x3ffffff2,0x03efffff,0x3fffffea,0xffffffff,0x3ffa607f,0x01ffffff,
    0x6401fff6,0x3ff65fff,0xffffffff,0xff8801de,0x3f20005f,0xfc800fff,
    0xfb002fff,0x0dff305f,0x017fffee,0xfb87ffd4,0xffffffff,0xffffffff,
    0x3ffffe67,0xffffffff,0x7007ffff,0xf00bffff,0x6c0007ff,0xf88004ff,
    0x2e06ffff,0x8000ffff,0xf90ffff8,0xffffffff,0x7d403bff,0xffffffff,
    0x7c400cff,0xffffffff,0xffffffff,0xffffb6ff,0xffffffff,0x3fe00dff,
    0x3f22004f,0x42fe8004,0x000003e8,0x2e02ec40,0x221effff,0x405ffffd,
    0xfffffffc,0x1fffffff,0xffffffa8,0xffffffff,0xfffc887f,0xffffffff,
    0x00fffb03,0xfd8dfff7,0xffffffff,0x200cffff,0x0005fff8,0x00fffff6,
    0x00bffffe,0x7d40fff4,0xffff705f,0xfff5003f,0x3ffffee1,0xffffffff,
    0x3e67ffff,0xffffffff,0xffffffff,0x7fff5407,0xfff805ff,0x3ff60004,
    0xfffc8004,0x7ff406ff,0xffc8004f,0x3ffff23f,0xffffffff,0xfffa81ef,
    0xffffffff,0x3fe204ff,0xffffffff,0xffffffff,0xfffffb6f,0xffffffff,
    0x3ffe00df,0x3fffa004,0x3fff2001,0x00bffd14,0x3fa20000,0xffff704f,
    0x3ff61fff,0x3205ffff,0xeeeeefff,0x0ffffffe,0x7777774c,0xeeeeffff,
    0xffffd86e,0xfffca9ab,0x07ffd84f,0x207fffcc,0xeeeefffd,0xfffffffe,
    0x0bfff102,0x7fffec00,0x7fffd406,0x1ffd002f,0x2e09ff70,0x805fffff,
    0xff70fffa,0xffffffff,0xffffffff,0x7fffffcc,0xffffffff,0xfd507fff,
    0x0bffffff,0x0009ffd0,0x2001ffec,0x6ffffff9,0x07fffd40,0x8ffff300,
    0xccccfffc,0xffffffed,0x777ffd40,0xfffffeee,0xdddd103f,0xffffdddd,
    0x9ddddddd,0x3bbbfff6,0xeeeeeeee,0x09fff004,0x037ffd40,0x30efff98,
    0x001dfffd,0x7ffcc000,0xefffa85f,0xffadfffd,0x03fffedf,0xfb80fff9,
    0x3e005fff,0xff5005ff,0x3fe601bf,0x3ffec0ff,0x03ffff10,0x5cc0fffb,
    0x881fffff,0x20005fff,0x01fffffe,0x0fffbff6,0xfc83ffc0,0xffff704f,
    0xffa801ff,0xff80000f,0xfe80005f,0x7ff542ff,0x5fffefff,0x005ffd80,
    0x000fffa0,0xdffddffd,0x09fffb00,0x217ffec0,0x7dc07ffc,0x3ea0efff,
    0xffb301ff,0x3e0003ff,0xffb005ff,0x3e00000f,0x7e4004ff,0x379534ff,
    0x107fffa1,0x003dfffd,0xffff7000,0x897ffa09,0x21ffffff,0xff906ffc,
    0xffff300f,0x02fffc00,0x007fffc4,0xfb13ffe6,0x7ffec0ff,0x00fffb02,
    0x10dfffb1,0x4000bfff,0x04ffcffe,0x7ffbbff1,0x20fff100,0xff703ffc,
    0xa809ffff,0x40000fff,0x0001fffb,0x7c2fffe4,0xf99dffff,0xffd805ff,
    0x3ffa0005,0x3fff2002,0x9806ffe9,0x9801ffff,0xffc86fff,0xfffe8807,
    0x007ffea4,0x0009fffb,0x6c017ffe,0x000007ff,0xd0009fff,0xffffdfff,
    0x07ffffff,0x017fffec,0xffff9000,0x03ffe605,0x889ffff7,0xffc81fff,
    0x3fffb007,0x017ffe00,0x400fffea,0x3f60fffe,0x9fff907f,0x003ffec0,
    0xf885fffb,0x3a0005ff,0x706ffaff,0x07ffb7ff,0x360dff30,0xfff702ff,
    0x5401fff7,0x40000fff,0x40005fff,0xb80ffff9,0x3fe62eff,0x5ffc805f,
    0x0bffe000,0xe9fffcc0,0xff9006ff,0xfffb00bf,0x00fff903,0xfa97ffe6,
    0x7fcc01ff,0xfff0005f,0x1fff600b,0x7ffc0000,0xfff88004,0xffffffff,
    0xffb805ff,0x440003ff,0x201efffd,0xff986ffc,0x3ffe82ff,0x9007ffc8,
    0x3e003fff,0xffb805ff,0xfff5001f,0x543ffec5,0x7ec05fff,0x3fe6007f,
    0x3ffe20ff,0x3ffe0005,0xfe81fff8,0xc84ffd8f,0xcfffdccc,0xdfffcccc,
    0xfff73ccc,0x5409fff1,0x20000fff,0x0002fffb,0x8817fff4,0x5fff982e,
    0x006ffc80,0x4007ffe0,0x3ffa6ffe,0xffff1006,0x2fffcc03,0x2007ffc8,
    0x3fea7ffe,0x7fff801f,0x0bfff000,0x001fff60,0x027ffc00,0xfffffb80,
    0x2fffffdd,0x9ffff500,0x3ffa2000,0x7ff400ef,0x01ffff04,0xff909ff9,
    0x1fff600f,0x805fff80,0x22007ffd,0x3ff63fff,0x037ffcc7,0x2003ffec,
    0x3e22fffd,0x3e0005ff,0x44ffc8ff,0x9ff95ff9,0xfffffff0,0xffffffff,
    0x2ebfffff,0x1fffb7ff,0x003ffea0,0x006ffe80,0x02fffe40,0x05fff980,
    0x0006ffb8,0x2e007ffe,0x3ffa1fff,0x3ffee006,0x03fffa06,0x9003ffe4,
    0x3fea3fff,0x6fff801f,0x0bfff000,0x001fff60,0x55555554,0xaaadfffa,
    0xfd00aaaa,0xfffb07ff,0x7ff4c00b,0x3e6000df,0xfd005fff,0x1fffa05f,
    0x7e42ffe4,0xbffd007f,0x02fffc00,0x2003fff4,0x3ff64fff,0x03fffa27,
    0x001fff60,0x7c47fff5,0x3e0005ff,0xc8fff37f,0x0bff92ff,0xffffffff,
    0xffffffff,0x3eebffff,0x07fff37f,0x0003ffea,0x0017ffdc,0x01ffff30,
    0x17ffe600,0x441ffee0,0x1fff1019,0x44fff880,0x7c006ffe,0xffa82fff,
    0x1fff204f,0x51fffc80,0xf9803fff,0xff0005ff,0x3ff600bf,0xfffd0007,
    0xffffffff,0x7fffffff,0x409fff50,0x2001fffe,0x01efffe8,0x03ffffb8,
    0x740bffe0,0xaaaaafff,0xffc85ffd,0x3fffb807,0x017ffe00,0x8003fff6,
    0x3ff65fff,0x007fff67,0x2003ffec,0x3e24fff9,0xf10005ff,0xf17ff4ff,
    0x42ffe4ff,0xcffd9999,0xfffa9999,0xff709999,0xa83fff4f,0xd0000fff,
    0xe8000dff,0x20002fff,0xa805fff9,0x5ffb07ff,0xb00fff10,0xdffd0dff,
    0x6fffa800,0x200fffe8,0x36007ffc,0x3ffea7ff,0x1fffe401,0x05fff800,
    0x000fffb0,0x3ffffffa,0xffffffff,0xfd83ffff,0x3fee00ff,0xffd8002f,
    0x3ff202ff,0x7fc002ff,0xffffb02f,0xdfffffff,0x440fff90,0x4005fffc,
    0xfb805fff,0x3fa002ff,0x5dfff66f,0x36002fff,0x7c4007ff,0x3ffe25ff,
    0xfff10005,0xffaaffdc,0x2017ff24,0xff982ffd,0xa9ffee06,0xffa82fff,
    0xffb8000f,0x3ee0002f,0x4c0005ff,0xf9805fff,0x09fff07f,0xfa80fff3,
    0x6ffe81ff,0x2fffe800,0x900fffea,0x7fc00fff,0x07ffea6f,0x006fffb8,
    0x4017ffe0,0x70007ffd,0xf9999999,0x99999dff,0xdffd0399,0x03fff980,
    0x7ffff700,0x1efffd88,0x0fffc400,0xffffffd8,0xc86fffff,0xeeeeefff,
    0x004ffffe,0xa805fff8,0x3a006fff,0x3fff67ff,0x4004fffa,0xf8007ffd,
    0x3ffe26ff,0xfff30005,0x7e47ffc4,0x01bfee1f,0x3ea07ffa,0x1ffee05f,
    0xff50dfff,0xffd0001f,0x7fcc000d,0x4c0000ff,0xf9805fff,0x7ffd40ff,
    0x207ff987,0xfd04fff8,0xff3000df,0x037ff4df,0xc803ffe4,0x3fea3fff,
    0xeba999bf,0x0001ffff,0x6c017ffe,0xeeeeefff,0x01eeeeee,0x0009fff0,
    0xf880bfff,0x2e0004ff,0x3fa3ffff,0x88000fff,0xffb01fff,0x5555555f,
    0xffff9055,0xffffffff,0x3ffe0007,0xbfffd005,0x3ffae201,0x3ffff67f,
    0xfd8006ff,0xffe8007f,0x017ffe27,0x363ffcc0,0x5c6ffaff,0xfff806ff,
    0x204ffb80,0x7fdc7ffb,0x07ffd42f,0x0fffea00,0x2fffe800,0xfff98000,
    0x0fff8805,0x217fffec,0x3f606ffa,0xdffd00ff,0x3fff6000,0x802fffba,
    0xfb807ffc,0x7ffd46ff,0xffffffff,0x7c0001ef,0xffb005ff,0xffffffff,
    0x2005ffff,0xf8004fff,0x7fc405ff,0xff30004f,0xffe889ff,0xff8000ef,
    0x0fffd02f,0x3ffff200,0xffffffff,0x7fc003ff,0xfff3005f,0xfd999dff,
    0x6cdfffff,0x2fffffff,0x03ffec00,0xf13fff40,0x26000bff,0x7ffd47ff,
    0x37fdc3ff,0xfc83ffc0,0x1ffee03f,0xfa8dfff1,0x7f4000ff,0x3ee0007f,
    0x300005ff,0xf100bfff,0xffff83ff,0x837fd45f,0x3a02fffa,0xf10006ff,
    0x0dffddff,0x261fff20,0x1ffffeb9,0x7fffffd4,0x002dffff,0x00bfff00,
    0x3ffffff6,0xffffffff,0x09fff002,0x80dfff00,0x8003fff9,0x203ffffb,
    0x001ffffd,0xfe817ffc,0xfc8000ff,0xcbaaaaff,0x04fffffd,0x8017ffe0,
    0xfffffffa,0xffffffff,0x3e7fff66,0x36000fff,0xff8007ff,0x17ffe27f,
    0x23ffd400,0x40fffff8,0x7c407ffb,0x07ff907f,0x7e43ffdc,0x3ffea1ff,
    0x3ffea000,0xfff30003,0x2600001f,0xff005fff,0x7effd43f,0x17fee0ff,
    0x3a02fff4,0x320006ff,0x01ffffff,0xffffff90,0xffffffff,0xddfff505,
    0x01bffffd,0x17ffe000,0x557ffec0,0xaaaaaaaa,0x9fff000a,0x0fffd000,
    0x002fffb8,0x00ffffe4,0x017fffe4,0x3e07ffd0,0xc8001fff,0x7e4407ff,
    0xff002fff,0xfc8800bf,0xbeffffff,0x3f65ffe8,0x1dfff77f,0x01fff600,
    0x44dfff10,0x50005fff,0xfffb0dff,0x80fff50b,0xffb06ff9,0x43ffdc05,
    0x3ea5fff8,0x3fa000ff,0x3fa0007f,0x200002ff,0xf005fff9,0x4ffe45ff,
    0x3fee2fff,0x00fffc85,0x00037ff4,0x0bfffff1,0x7ffffe40,0xcfffffff,
    0x83fff500,0x000ffffa,0x005fff80,0x0000fffb,0x0013ffe0,0xe80ffff2,
    0xb1000fff,0x4001dfff,0x004ffffa,0xff30bffb,0xf90009ff,0x3ff200ff,
    0xbfff006f,0x554c4000,0x8fffe209,0x3ff67ffd,0xfffb005f,0x6fff9800,
    0x0017ffe2,0x7d437fdc,0x7ffa82ff,0x7fe55554,0xfeaaaaae,0x2e1aaacf,
    0xfff907ff,0x003ffea3,0x001fffd4,0x005fffb8,0x2fffcc00,0x3e2ffe80,
    0x5cbff97f,0x7ffcc4ff,0x06ffe802,0x7fffdc00,0x3fff2000,0xbcefffff,
    0x0fffd401,0x002fffcc,0x802fffc0,0x00007ffd,0x0009fff0,0x903ffff3,
    0x26009fff,0x000dfffe,0x0dffff98,0x207ffdc0,0x00effffc,0x003ffe40,
    0xf001ffff,0x00000bff,0xfb17ffcc,0x7fff44ff,0x07ffd803,0x127ffd40,
    0x2000bfff,0xfff06ffb,0x21fff501,0xfffffff8,0xffffffff,0x2e4fffff,
    0xfff107ff,0x003ffeab,0x0007fff4,0x007fffc4,0x3ffe6000,0x27ffd005,
    0xfff34ff9,0xfd13ff21,0x333333df,0x3dffd333,0x44001333,0x64005fff,
    0x00999fff,0x01fffa80,0x0005fff9,0xb005fff8,0x00000fff,0x40013ffe,
    0xbbcffffd,0x800ffffe,0x004ffffa,0x77fff440,0x93ffe200,0xdffffff9,
    0x7e405440,0x3ff6007f,0x5fff801f,0x3ee00000,0x1fff60ff,0x803ffff3,
    0x6c007ffd,0x3fe21fff,0xff70005f,0x3fea000d,0xfffff10f,0xffffffff,
    0x9fffffff,0xfb03ffdc,0x1fff51ff,0x09fff500,0x0bfffa00,0x3fe60000,
    0x7ffb005f,0xfff8bff2,0x7c47ff93,0xffffffff,0xffffffff,0x4003ffff,
    0x64005fff,0xa80007ff,0xff101fff,0xff8000ff,0xfffb005f,0x3b600000,
    0xffd0003e,0xffffffff,0xffb809ff,0x100003ff,0x403ffffb,0xffdffffd,
    0xeffffaaf,0xfc80fffe,0x3ff6007f,0x5fff800f,0xff100000,0x87ffd87f,
    0x200ffffb,0x26007ffd,0x7fc47fff,0xff90005f,0x3fe6000d,0x3666660f,
    0xa9999cff,0x09999fff,0xf981ffee,0x0fffabff,0x00fffe80,0x05fffb80,
    0xfff30000,0x53ff600b,0xaffe47ff,0x3fe22ffd,0xffffffff,0xffffffff,
    0x7c003fff,0x7e4005ff,0xfa80007f,0x3ff201ff,0x3fe0003f,0xfffb005f,
    0x00000000,0x3fffff20,0xffffffff,0xffffb02f,0xf9000003,0x3a207fff,
    0x25ffffff,0xfffffffc,0x07ffc80f,0x401fffa0,0x00005fff,0xfb0dffb0,
    0x3fff60ff,0x01fff606,0x444fffe8,0x90005fff,0x26000bff,0x3f601fff,
    0x06ff982f,0x3603ffdc,0x0fffafff,0x027ffd40,0x07fffc40,0xff980000,
    0x9ff9005f,0xff98bff3,0x222ffd8f,0xffffffff,0xffffffff,0x003fffff,
    0x2002fffc,0x80007ffc,0x2601fffa,0x20006fff,0xfb005fff,0x000000ff,
    0x9fff5000,0x139bd951,0x7441ffff,0x0000efff,0x3fffee00,0xffffb104,
    0xfffec819,0xfff904ff,0x17ffea00,0x002fffc0,0x17ffe400,0xfd03ffec,
    0x3ff609ff,0xdfff9007,0x05fff881,0x00bffb00,0x807ffe60,0xffa81ffe,
    0x03ffdc05,0x3ff7ffea,0x7fff400f,0xfffd8000,0x26000002,0xf7005fff,
    0xd05ff9bf,0x03ffb7ff,0x0dffd000,0x0bfff000,0x007ffc80,0x01fffa80,
    0x0017ffec,0xb005fff8,0x00000fff,0xfff98000,0xfffb800f,0x037ffe66,
    0x3e600000,0x019805ff,0x64019a88,0xff9807ff,0xfff002ff,0x7dc0000b,
    0xffb05fff,0x7fffcc0f,0x407ffd82,0x82ffffe9,0x0005fff8,0x2000bffb,
    0x3e01fff9,0x4ffb80ff,0x403ffdc0,0x0ffffffe,0x013ffea0,0x017ffee0,
    0xfff30000,0x37fee00b,0xdff907fe,0x00003ffb,0x0000dffd,0xc800bfff,
    0xa80007ff,0x7cc01fff,0xff0006ff,0x3ff600bf,0xfff30007,0xffffffff,
    0x8dffffff,0x2002fffe,0x3e63fffe,0x40000004,0x000005e8,0x27fff200,
    0xfdaa9999,0x4cc43fff,0xdfff9999,0x98199999,0xffccaa99,0xfb00efff,
    0xfffa80ff,0x4fffec1f,0xffecba99,0xff102fff,0x333333bf,0x36133333,
    0xf10005ff,0x3ffc05ff,0x5c03ffc8,0xffa807ff,0x3a00ffff,0x44000fff,
    0xaaabffff,0xaaaaaaaa,0x2aaa20aa,0xefffbaaa,0x542aaaaa,0x305fffff,
    0x01ffffff,0x0dffd000,0x0bfff000,0x007ffc80,0x01fffa80,0x002fffe8,
    0xb005fff8,0x33333fff,0x21333333,0xfffffff9,0xffffffff,0x2ff4c6ff,
    0x033fe600,0x00000001,0x00000002,0xffffff90,0xffffffff,0xfffff509,
    0xffffffff,0xfff98fff,0xefffffff,0x03ffec02,0xb077ffe4,0xffffffff,
    0x03ffffff,0x7fffffc4,0xffffffff,0x00bffd4f,0x40bffe20,0xff907ff8,
    0x07ffb807,0x1fffffd0,0x017ffea0,0x3fffff20,0xffffffff,0x261fffff,
    0xffffffff,0xffffffff,0x7ffffd47,0x3ffffa02,0xfe80000f,0xff80006f,
    0x7fe4005f,0xffa80007,0xfffa801f,0x5fff8006,0xfffffb00,0xffffffff,
    0x3fffe6df,0xffffffff,0x706fffff,0x00350001,0x00000000,0xc8000000,
    0xffffffff,0x501dffff,0xffffffff,0xffffffff,0xffffff98,0xfb003fff,
    0x3ffa00ff,0x3ffff65f,0xefffffff,0x7ffc400b,0xffffffff,0xffd4ffff,
    0x3fe20009,0x0dff302f,0xf700bff6,0x3fee00ff,0xffd00fff,0xff90003f,
    0xffffffff,0xffffffff,0x7ffffcc3,0xffffffff,0x7fcc7fff,0x7fdc07ff,
    0xd00007ff,0xf0000dff,0xfc800bff,0xfa80007f,0xffd001ff,0xfff8005f,
    0xffffb005,0xffffffff,0x00000dff,0x00000000,0x00000000,0xf9000000,
    0xbdffffff,0xffa80379,0xffffffff,0x4c7fffff,0x9abcefff,0x1fff6000,
    0x9ffffc40,0xeffffffd,0x22001cce,0xffffffff,0x4fffffff,0x20009fff,
    0xf503fff8,0x07ffa0bf,0x400fff70,0xa80fffff,0x90005fff,0xffffffff,
    0xffffffff,0x7ffcc3ff,0xffffffff,0x4c7fffff,0x4405ffff,0x0007ffff,
    0x000dffd0,0x800bfff0,0x80007ffc,0x5001fffa,0xf800dfff,0xffb005ff,
    0xffffffff,0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x100d54c4,0xa8800035,0xa9880001,
    0x200009aa,0x01aaaa98,0x00355100,0x20000000,0x00019a98,0x00003551,
    0x0002aaa2,0x00006aa0,0x00000000,0x00000000,0xa9800000,0x00135100,
    0x00000000,0x57997300,0x2ccc8000,0xdcca8800,0x5cc001bc,0x000acdec,
    0x95000000,0x00000019,0x03510000,0x3ffff6a0,0x3ffa64ff,0xf98005ff,
    0x544005ff,0xfffffffd,0xfb3003ff,0xffffffff,0xffdb3009,0x6405dfff,
    0xff5007ff,0xffdb803f,0x02dfffff,0x7ffffed4,0x3ff203ef,0x3ffff624,
    0x4ffd82ff,0x7ffffedc,0xfffff983,0xffffffff,0x7ffec5ff,0x3fffa006,
    0x00bffe24,0xf56ffd80,0xf8800bff,0x57fe26ff,0x644fffd8,0x3e21ffff,
    0xffc803ff,0x7ffec1ff,0x01ffffff,0x3ffffa60,0xf0001eff,0xfd8009ff,
    0xefffffff,0x7ffec400,0x403fffff,0x16a001e9,0x001ffc80,0xbdfffd95,
    0xfedb8807,0x3fea02de,0x3fe200ef,0xcfffffff,0xfffffff9,0x7fff4005,
    0x3fee002f,0xffffffff,0xfb101fff,0xffffffff,0xffa809ff,0xffffffff,
    0x07ffc80d,0x203fff50,0xffffffe8,0xb105ffff,0xffffffff,0xff901bff,
    0x3ffffea9,0x7ec3ffff,0x3ffff64f,0x7cc5ffff,0xffffffff,0x45ffffff,
    0x804fffe8,0xff86fffb,0x3fa0003f,0x03fffe4f,0x23fffb80,0xfffb5ff8,
    0x3ffee7ff,0x3ffe26ff,0x7fffe403,0xfffffd81,0x5001ffff,0xffffffff,
    0xff0005ff,0xffd8009f,0x6fffffff,0x2f7ffea0,0x0effeca9,0x801fff98,
    0xf7005ffa,0x3ffa001f,0x0fffffff,0xffffffb8,0x7fcc0eff,0x3e206fff,
    0xffeccdef,0xfdceffff,0x3fe003ff,0x2e003fff,0xeceeffff,0xb06ffffe,
    0x99bdffff,0x6409ffdb,0xdcbdffff,0xfc86ffff,0xfff5007f,0xfffff703,
    0xbfffdddf,0xfffffd30,0xffffffbb,0xfadffc83,0xfffedfff,0x33ff60ff,
    0xedefffd8,0x3e62ffff,0xffffffff,0x85ffffff,0x201ffff9,0xe80ffff9,
    0x3e0004ff,0x3fff23ff,0x3fffa003,0x3eb7fe20,0xf9dffedf,0x11fffdef,
    0x7e407fff,0xffb01fff,0x3fffffff,0x5ffff100,0x1dfff733,0x04fff800,
    0x3260de40,0xffa82fff,0x3ffea00e,0x0ffffe40,0x41ffff50,0x80ffb808,
    0xfffffe81,0x7dc6ffff,0xffffffff,0x7fffdc5f,0x05b100ff,0xb17ffff6,
    0x7ec00dff,0x2e001fff,0x3faa01ce,0x7ffd44ff,0xa80cc00d,0xe880efff,
    0x7fe43fff,0x3fff5007,0x1effff98,0xffd0b930,0xffd301bf,0xffffc8bf,
    0xfffd83ff,0x3fb7ff65,0x7ffdc1ef,0xfff10006,0x3ffee03f,0x5fffd00e,
    0x0017ff60,0xf317ffc4,0x3e600dff,0x77fc45ff,0xbdff13fe,0x8a7ff4bf,
    0xff903fff,0xf70003ff,0xff9003ff,0x7fff301f,0x04fff800,0x1fffc000,
    0x775d7fe2,0xbff10ace,0x03ffff90,0xc83ffff5,0x223fd42f,0x540dc2fc,
    0x7ec0ffff,0xfffca9ad,0x3ffff21f,0xf50001ff,0xff881fff,0xffb1001f,
    0x4c000007,0x7fec6fff,0xffe80007,0x0fffe806,0x5401fff2,0x7ff41fff,
    0xff70004f,0xffe8809f,0x3ffff22f,0x9fffe02f,0x04fffffd,0x0007fff6,
    0xb00bfff6,0xff709fff,0x37fe409f,0x1fff9800,0x400ffff4,0x7c42fffc,
    0x7ffc5fff,0x53ff60ff,0xfc83fff8,0x70001fff,0xff003fff,0x2ffec07f,
    0x013ffe00,0x89ffb000,0xfff90ffd,0x3fea1fff,0x1ffffc82,0x307fffea,
    0x3ea1bfff,0x01bffa67,0x440fffc8,0x45fffb02,0x07fffffa,0x1bffe200,
    0x2001fff4,0xb0000000,0x6ffe8fff,0x7ffdc000,0x4fff9801,0x5401fff2,
    0x3fee1fff,0xff10005f,0x3fe600df,0x3ffff26f,0x87ffe402,0x404ffffd,
    0x4002fffa,0x8804fffc,0x3e62ffff,0x7fd406ff,0x501dd707,0xffb81fff,
    0x6fff804f,0x41ffff88,0x7e43fffe,0x87fff15f,0x000ffffb,0x007ffee0,
    0x6403fff1,0x7fc006ff,0x9730004f,0x49fffddb,0x4ff22ff8,0x17f63ff8,
    0x54ffffe4,0xb881ffff,0x6f9affff,0x007dfff9,0x20037fec,0x7e43fffa,
    0x40002fff,0xffb04fff,0x00000009,0x83ffee00,0x0001fffd,0xe8017ffe,
    0x1fff25ff,0xf0fffd40,0x20001fff,0x2003fffa,0xff90fffd,0xfff7007f,
    0x017fff63,0x800bffe6,0x2006fffa,0xfd0ffff9,0xff9801ff,0x83fff80f,
    0xff887ffb,0x7ffcc07f,0x85fff883,0xffc87ffe,0x5c7fff15,0x0000efff,
    0x200fffdc,0x2e00fff9,0x7fc007ff,0x7ecc004f,0xffffffff,0x7f91fea4,
    0x0ff51fe4,0x7fffffe4,0x7dc401ff,0xffeffeff,0xf931002e,0xfc8005ff,
    0x0bc982ff,0x3ffe8000,0x000bff90,0x2e000000,0x3fee0fff,0xf88003ff,
    0x3f6004ff,0x01fff26f,0xf88fffd4,0x320004ff,0x7d4007ff,0x0fff91ff,
    0x6c7ffea0,0xff3007ff,0x3fe2007f,0x7e4000ff,0x2fffcdff,0x41fff880,
    0xfc86fff9,0x5fff906f,0x407ffec0,0xfe81fff8,0x15ffc83f,0x3fee7fff,
    0xb80000ef,0x7cc01fff,0x3fee00ff,0x27ffc006,0x9fffd100,0x49ffd999,
    0x45fe46fb,0x3fe60ffa,0x3ffff200,0x2e2001ff,0x02efffff,0xffffffb0,
    0xfff98003,0x31000006,0x559ffd55,0x0bffb555,0x44000000,0xfdaaaaa9,
    0x7fff40ff,0xf3001cff,0x333337ff,0xffb33333,0x803ffe4f,0xff31fffa,
    0x7ec0007f,0x7fcc006f,0x00fff93f,0x7ec7ffea,0x4000006f,0x0002fffe,
    0x9ffffffd,0x217ffc00,0x6c1ffffc,0xfff304ff,0x17ffe20b,0x740fffc4,
    0x5ffc83ff,0xff77fff1,0x200001df,0x4401fffb,0x3f602fff,0x3fffe64f,
    0xffffffff,0x6fffffff,0x3203fff2,0x917f64ff,0xf05dffff,0xfffd805f,
    0xfc88002f,0x36002fff,0x1dffffff,0x5ffff300,0x7ecc0000,0xffffffff,
    0xffffffff,0xffffff36,0xffffffff,0x20dfffff,0xffffffc9,0x40ffffff,
    0xffffffe8,0x3fea01cf,0xffffffff,0xffffffff,0x200fff90,0xff71fffa,
    0x7f40003f,0x7fc4005f,0x00fff94f,0x7ec7ffea,0x2000006f,0x0003fffc,
    0x1bffffe2,0xf87ffd00,0x7f44ffff,0x3fffa03f,0x02fffa80,0xfd03fff1,
    0x2bff907f,0xfffefff8,0x2e00000f,0xff801fff,0x7fff105f,0x7fffffcc,
    0xffffffff,0x366fffff,0x9ffb04ff,0x37f22fe4,0x7fc40efd,0x3fffea01,
    0xf91001ff,0x5dffffff,0xffdb9700,0xfa803fff,0x00003fff,0x3ffffff2,
    0xffffffff,0xf36fffff,0xffffffff,0xffffffff,0xffd88dff,0xffffffff,
    0xf700ffff,0xdfffffff,0xfffff703,0xffffffff,0x321fffff,0xff5007ff,
    0x03fff23f,0x05fff800,0xf94fff80,0x3fea00ff,0x00dffb1f,0x3ffee000,
    0xffc80005,0x7ec001ff,0x3f7fe64f,0x017ff47f,0xfb05fff7,0x7ffc40ff,
    0xc83ffe81,0x7fff15ff,0x0009fffb,0x00fffdc0,0x316fffdc,0xff98dffd,
    0xffffffff,0xffffffff,0x11bff66f,0x7d49fffb,0x4fd9fe47,0xff503fd4,
    0x03ffffff,0x56fffe44,0x3efffaef,0x37ffdc00,0x07ffff90,0x7ffcc000,
    0xffeaaacf,0xaaaaaaac,0xfffff31a,0xffffffff,0x8dffffff,0xacdffffd,
    0xfffdaaaa,0x7ffed400,0x7d43ffff,0xcccccdff,0xcccccccc,0x401fff24,
    0xff91fffa,0x7fc0003f,0x7fc4005f,0x00fff93f,0x7ec7ffea,0x9800006f,
    0x0000efff,0x37ffffcc,0xc97ff200,0x21ffe9ff,0x3e201fff,0x7ffc45ff,
    0x07ffe204,0x3f20fffa,0x17fff15f,0x0009fffd,0x007ffee0,0x7f7ffff4,
    0x9981ffff,0xff999999,0x999999df,0x3bfff209,0x4fffffdc,0x3fc87fe6,
    0x37e41ff3,0xc9ffffa8,0xf981ffff,0x2ff33fff,0x006fffd8,0x7443fff4,
    0x0001ffff,0x4077ff40,0x4c003ffe,0x99999999,0x99999999,0x3ffee099,
    0x7ffdc00e,0xffb51000,0x7fcc3fff,0xfc80002f,0xfff5007f,0x00bffea3,
    0x006ffe80,0xfc97ffcc,0xfff5007f,0x001bff63,0x3fffd100,0xffe88000,
    0x2004ffff,0x5ffa6ffb,0xfff14ffb,0x0fffd801,0x8803ffee,0xffe81fff,
    0xf15ffc83,0x3ffe27ff,0xfb80003f,0xfd3001ff,0x3dffffff,0x13ffe000,
    0xffffe880,0x44ffacff,0xd8ff25fe,0x507ff14f,0x7e43ffff,0xdfe81fff,
    0xff51fea0,0x7ffcc007,0x6ffffcc6,0x7c400000,0x9ffd04ff,0x00000000,
    0x2003fffa,0x8000fffb,0x225fffe9,0x80004fff,0xf5007ffc,0x3ffe63ff,
    0x3ff20003,0x7ffd4007,0x200fff91,0xffb1fffa,0xfd80000d,0xd80003ff,
    0xfffdbfff,0x2fff3003,0xfff34ff9,0x2601ffe6,0x3ffa3fff,0x0fffc406,
    0x7e41fff4,0x47fff15f,0x002ffff9,0x00fffdc0,0x37bfb6e0,0x3fe0000b,
    0x6d44004f,0x7dd12cef,0x7f93ff98,0x37f47fd4,0x40ffffd4,0x541ffffc,
    0x440ffa82,0xfea88084,0x3ffee5ff,0xaaaaaaef,0xff30001a,0x17ffa03f,
    0x40000000,0xf7005fff,0x220001ff,0x7ffc6fff,0xffb80005,0xfffe800f,
    0x00dfff11,0x017ffdc0,0x321fffd0,0xff5007ff,0x01bff63f,0x5fffb800,
    0xfffb8000,0x03ffff15,0xf91fff10,0x557ff45f,0xffd006ff,0x00bffe6d,
    0xfd03fff1,0x2bff907f,0x7d43fff8,0x20002fff,0x0001fffb,0xfff00000,
    0x80000009,0x4098bffc,0x541ffea9,0x3201ffff,0xb801ffff,0xff9800ff,
    0xffffffef,0x3ffffa0e,0xffffffff,0xfff50003,0x0ffff301,0x10000000,
    0xd100bfff,0x40001fff,0x7fec7ffe,0x7d40002f,0x7fec01ff,0x3fffa1ff,
    0xfff30003,0x3ffe600d,0x401fff24,0xffb1fffa,0x3e60000d,0x980006ff,
    0x3ea0ffff,0xff800eff,0x7dc7fe9f,0x005ffbdf,0xff93fff7,0x3fff100f,
    0xf907ffd0,0x0fffe2bf,0x007fffee,0x00fffdc0,0xf8000000,0x000004ff,
    0x0aeffd80,0x20fffee6,0xd801fff9,0xfc800eff,0xfff9801f,0x0effffff,
    0x7ffffff4,0x03ffffff,0x85fff300,0x02ffffe8,0x0bbf2000,0x406fff80,
    0x00fffffb,0x8dfff500,0x000ffff9,0x817ffe60,0x21fffffd,0x002ffff9,
    0x809fffb0,0x320fffe9,0xff5007ff,0x01bff63f,0x3fffe200,0x7fc40000,
    0xfffd82ff,0xfcffe805,0x67ffc44f,0xff1003ff,0x009ffd9f,0xfd03fff1,
    0x2bff907f,0xf903fff8,0x70003fff,0xa8803fff,0xaaaaaaaa,0x4002aaaa,
    0x51004fff,0x55555555,0x2a055555,0xffffffff,0x07e601ef,0x9000ed80,
    0xfd3003ff,0x03bdffff,0x3bbbbbb2,0x02eeeeee,0x4bfff100,0xffffffd8,
    0x7e400501,0xfd000fff,0xffb309ff,0x3221ffff,0x7ff4c01a,0xffffc83f,
    0xff839804,0x7fecc3ff,0x7e41fffe,0x4409dfff,0x7ffc45da,0x7fd440df,
    0x3ffe43ff,0xb1fffa80,0xd0000dff,0x00005fff,0x2209fffd,0x6c04fffe,
    0xe82fffff,0x002fffff,0x3ffffff6,0x1fff8801,0xfc83ffe8,0x07fff15f,
    0x007fffec,0x007ffee0,0xfffffff3,0x0dffffff,0x004fff80,0xfffffff3,
    0x0dffffff,0x77ffee44,0x0000003d,0x00033100,0x00000000,0xbffffb00,
    0xfff17fff,0x0ffdb9df,0x1fffffc0,0xfffffa80,0xbfffffde,0xfff10fff,
    0xfdddddff,0x3a20dfff,0xceffffff,0xb87ffeed,0xfeefffff,0x1fff8eff,
    0x7fffff44,0x5ffffeff,0xffffffb8,0x5fffffee,0x5007ffc8,0x3ff63fff,
    0x7fdc0006,0xffffffff,0x42ffffff,0x4c06fffc,0x3202ffff,0xf707ffff,
    0x4003ffff,0x06fffffa,0xd03fff10,0xbff907ff,0xd00fffe2,0xfa81dfff,
    0xffffffff,0x3fffffff,0xfffffff3,0x0dffffff,0x004fff80,0xfffffff3,
    0x0dffffff,0x000004c0,0x00000000,0x00000000,0x3fffe600,0x3fea4fff,
    0x07ffffff,0x0bffffa0,0xfffffc80,0xf88dffff,0xffff10ff,0xffffffff,
    0xfff900bf,0xffffffff,0x3fff60ff,0xf0efffff,0x3fee03ff,0xffffffff,
    0xfffd305f,0x5fffffff,0x401fff20,0xffb1fffa,0xffc8000d,0xffffffff,
    0x22ffffff,0x801ffffa,0x700ffffc,0x2209ffff,0x000fffff,0x01fffffc,
    0xe81fff88,0x5ffc83ff,0x8807fff1,0x2a0efffe,0xffffffff,0xffffffff,
    0x55555513,0x55555555,0x03eed800,0x55555510,0x55555555,0x00000000,
    0x00000000,0x00000000,0xdfffd300,0xffffb507,0x7d4009ff,0xea8006ff,
    0x23dfffff,0xdb10fff8,0xffffffff,0x6cc0039f,0xfffffffe,0x3fee03df,
    0x7fc3efff,0x3fb2201f,0x1cefffff,0x3fffb220,0x3200ceff,0xff5007ff,
    0x01bff63f,0xfffff900,0xffffffff,0x3fe25fff,0x3fa004ff,0xfff306ff,
    0x7fff405f,0xfffc8007,0xfff1000f,0x907ffd03,0x3ffe2bff,0xffff9803,
    0x3ffffea6,0xffffffff,0x00003fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01510000,0x00026a60,0x400015cc,0x4c0001a9,0x0009aa99,
    0x13355300,0x01aa8800,0x0ccc4000,0x00353000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xb80dc02c,0x40015c01,0x1001eeeb,0x0179dd97,0x002aaa00,
    0x65400000,0x6664c4cc,0x9999910c,0x99999999,0x00079999,0x01cccca8,
    0x15300554,0x0b3b2e20,0xcccb8000,0xcca8000c,0xcccccccc,0x55555551,
    0x55555555,0x55555555,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf7000000,0xbff301df,0x541bfa61,
    0xf7000fff,0x7003ffff,0xffffffff,0xfff98007,0xffff7005,0xffffffff,
    0x2e5fffff,0x7fd47fff,0xffff30ff,0xffffffff,0x00dfffff,0x1ffffdc0,
    0x203ffee0,0x7cc1fffb,0x00efffff,0x44033322,0x000ffffd,0x7fffffe4,
    0xfff2ffff,0xffffffff,0xffffffff,0x0009ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x85fff880,
    0x3e66ffe8,0xfff884ff,0x7fffdc05,0x7e401fff,0xffffffff,0x3ffa004f,
    0xffb802ff,0xffffffff,0x2fffffff,0xf98ffff7,0xfff30fff,0xffffffff,
    0x0dffffff,0x3bffee00,0x4ffff801,0x264ffff8,0xffffffff,0x1fff301f,
    0x0ffffb80,0x3ffff200,0xf2ffffff,0xffffffff,0xffffffff,0x09ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffd8000,0x40fffc80,0xfa81fffb,0xffe882ff,0x01ffffff,
    0x9833ffea,0xb801fffe,0x806ffeff,0xfffffffb,0xffffffff,0xdfff52ff,
    0x227fff98,0xaaaaaaaa,0xaaaaaaaa,0xffb8002a,0xffd000df,0x9fffd07f,
    0x7677ffec,0xfb81ffff,0xffd3007f,0x2662001f,0x99999999,0x99999990,
    0x99999999,0x99999999,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7d400000,0xfffa82ff,0x01dffb02,
    0xfb01fffb,0x3fff75df,0xf027ffc0,0xff880bff,0x404ffe8f,0x99999998,
    0xfa999999,0xdfff52ff,0x007fff88,0xfb800000,0x7d4003ff,0xeff980ef,
    0xc87fff30,0x3622ffff,0x362006ff,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe2000,0x05fff885,0x2213ffe2,0x2ea84fff,0x4407ffea,0x3ee00fff,
    0x9ffe406f,0x0000fff9,0x32fff880,0xff88bfff,0x0000006f,0x001aaa80,
    0xf5060020,0xfff901ff,0x5ffff9df,0x05555000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64000000,0xffd80fff,0x7ffd400e,0x01fffb82,0x501fffa8,0xffa80fff,
    0x8dff100f,0x00005ffc,0xf32fff88,0xdfff0bff,0x00000000,0x80000000,
    0x3ee07ffb,0x6fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0x01fffa83,0xd01fff90,0xff500dff,0x1ffee03f,0x201fff50,0x7fc42ffd,
    0x4400002f,0xfff12fff,0x44dfff09,0xaaaaaaaa,0xaaaaaaaa,0x0000002a,
    0x332a0000,0x7fffd403,0x00000dff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xfff06ffe,0x7ffc4009,0x03fff984,0xa80fffd4,0x7fec07ff,0x20dff306,
    0x00006ffb,0xf897ffc4,0x5fff84ff,0x3fffffe6,0xffffffff,0x00006fff,
    0x00000000,0x015ee540,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17ffd400,
    0x8007ffe4,0xfd81fffb,0x7fd400ff,0x7fff101f,0xe82fffc0,0x3ffa01ff,
    0x3e200004,0x0fffe2ff,0xff997ffa,0xffffffff,0x6fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0dffb000,0x2601bffa,
    0xffa83fff,0xfffa802f,0x0bfff601,0x2e03fff6,0x7fd405ff,0x5100001f,
    0x04ccc155,0xdd104cc4,0xdddddddd,0xbddddddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ffe2000,0x03fff984,0xfe837ff4,
    0xfff5005f,0x7fffc403,0x3ffffede,0x801fff88,0x00005ffd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7dc00000,
    0xfffb81ff,0x01fff901,0x2001fff9,0x5401fffa,0xfffffffe,0x09ff903f,
    0x00bffe60,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fa0dffd,0x7ffcc0ef,0x03fff983,0xff733331,
    0x2013335f,0x0cefffec,0x001fff10,0x00077fe4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0xff107fff,
    0x2fffc4bf,0x2a06ffe8,0xffffffff,0x0803ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xb80fffc8,0xfff50fff,0x03fff501,0x7fffffd4,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4019d100,0x202d883d,0x775404d9,0xeeeeeeee,0x000002ee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_43_latin_ext_x[560]={ 0,8,5,0,2,0,1,9,6,5,3,1,4,5,
8,2,1,2,3,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,1,2,1,3,1,3,2,1,2,0,0,0,0,2,7,3,6,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,1,1,
10,2,0,0,4,3,2,5,2,0,4,2,5,5,0,3,2,8,9,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
0,0,0,0,0,2,1,0,1,0,1,0,1,1,-1,-1,0,2,0,0,0,0,0,0,4,2,0,0,1,0,
1,0,1,0,1,0,0,0,0,0,0,0,0,0,0,0,3,3,0,3,2,2,0,0,3,3,3,0,0,4,
3,-6,-3,4,2,0,3,0,0,2,3,0,0,0,2,3,0,0,0,0,0,0,0,0,-1,0,3,4,-1,0,
0,0,0,0,2,3,0,0,1,1,0,-4,1,1,0,0,0,0,0,0,0,0,0,0,2,3,0,0,0,0,
0,0,0,0,0,0,0,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,-1,0,-3,-2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,2,3,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1, };
static signed short stb__consolas_43_latin_ext_y[560]={ 31,1,1,3,-1,1,1,1,-1,-1,1,9,24,17,
24,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,36,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,0,-4,0,15,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,31,9,-1,3,4,3,
-4,1,1,3,3,11,17,17,1,2,1,5,0,0,1,9,1,15,31,1,3,11,1,1,1,9,-4,-4,-4,-5,
-4,-6,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-5,-4,-4,-4,-5,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
-3,2,-4,1,3,9,-4,1,-4,1,-5,1,-4,1,-4,0,3,1,-3,2,-4,1,-5,1,3,9,-4,1,-4,1,
-4,1,-5,1,3,0,-4,-5,3,1,-5,1,-3,2,-4,1,3,1,-5,9,3,1,-4,1,3,1,9,-4,-6,3,
1,0,0,3,1,3,1,-4,1,3,9,-4,1,-2,3,9,-3,2,-4,1,-4,1,3,9,-4,1,3,9,-4,1,
-4,1,-4,1,3,9,-4,1,3,3,-4,0,3,3,-5,1,-3,2,-4,1,-6,-1,-4,1,3,9,-4,1,-4,1,
-4,-4,1,-5,1,-4,1,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,-10,-6,-4,1,-4,1,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,9,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3, };
static unsigned short stb__consolas_43_latin_ext_w[560]={ 0,7,14,23,20,24,23,6,13,13,18,21,12,14,
8,19,21,19,19,18,23,18,20,20,20,20,8,11,18,19,17,14,24,24,19,20,21,16,16,21,20,18,16,19,
17,22,20,22,19,23,20,19,21,20,24,23,24,24,20,11,19,11,20,24,15,19,19,17,19,20,23,21,18,18,
17,20,18,21,18,21,19,19,18,18,20,18,22,23,22,22,18,16,4,17,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,18,21,21,22,
4,19,19,24,15,18,19,14,20,18,16,20,14,14,20,20,19,8,6,15,16,18,24,24,24,14,24,24,24,24,
24,24,24,20,20,20,20,20,21,21,21,21,23,22,23,23,23,23,23,18,22,22,22,22,22,24,19,19,21,21,
21,21,21,21,23,17,22,22,22,22,21,21,21,21,20,21,22,22,22,22,22,21,21,21,21,21,21,23,19,23,
24,21,24,21,24,20,20,21,20,20,20,20,20,19,24,27,23,22,20,22,20,22,20,22,17,20,20,22,21,22,
21,22,21,22,21,22,22,21,24,21,21,21,21,21,21,21,19,19,21,18,20,20,19,19,19,20,20,21,21,17,
18,27,26,20,25,21,18,22,21,20,18,22,21,21,20,18,23,22,23,22,24,24,23,23,24,22,20,18,24,22,
21,21,21,21,19,18,21,21,21,20,22,27,21,20,22,21,22,21,22,21,22,21,24,24,20,19,23,23,24,23,
24,22,21,22,21,22,21,16,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,24,21,24,23,26,24,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,19,18,21,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21, };
static unsigned short stb__consolas_43_latin_ext_h[560]={ 0,31,11,28,37,31,31,11,41,41,19,21,15,5,
8,35,29,28,28,29,28,29,29,28,29,28,23,30,25,11,25,31,39,28,28,29,28,28,28,29,28,28,29,28,
28,28,28,29,28,36,28,29,28,29,28,28,28,28,28,40,35,40,14,4,9,23,31,23,31,23,30,31,30,30,
39,30,30,22,22,23,31,31,22,23,29,23,22,22,22,31,22,40,44,40,9,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,28,26,28,
44,35,9,29,21,18,11,5,20,8,15,26,18,19,9,31,35,8,7,17,21,18,30,30,30,31,35,35,35,36,
35,37,28,35,35,35,35,35,35,35,35,35,28,36,36,36,36,37,36,19,37,36,36,36,36,35,28,31,31,31,
31,31,31,33,23,29,31,31,31,31,30,30,30,30,31,30,31,31,31,31,31,23,31,31,31,31,31,39,39,39,
34,30,35,31,37,31,36,31,36,31,37,31,36,31,35,32,28,31,34,30,35,31,36,31,37,31,35,31,36,39,
36,39,37,39,37,40,35,36,28,30,36,30,34,29,35,30,37,39,36,22,29,39,36,39,37,39,22,35,37,37,
39,31,31,28,30,28,30,35,30,37,31,35,30,33,37,31,35,30,36,31,36,31,29,23,35,30,37,31,35,30,
36,31,36,31,35,29,36,31,37,37,35,32,28,29,37,31,35,30,36,31,38,33,36,31,37,31,35,30,35,39,
35,35,30,36,30,35,30,30,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,35,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,41,38,35,31,40,35,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,37,31,37,37,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28, };
static unsigned short stb__consolas_43_latin_ext_s[560]={ 508,500,113,144,192,40,295,502,50,36,450,
372,498,494,498,327,343,231,415,324,275,305,386,189,407,40,502,499,465,128,447,
196,216,481,1,365,81,387,373,283,460,21,495,61,103,121,168,260,324,68,344,
240,365,477,390,251,435,299,210,111,115,82,72,247,212,47,275,126,319,86,89,
253,156,199,335,135,186,293,166,144,45,1,185,67,81,107,270,246,223,423,204,
94,1,64,189,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,508,499,1,
306,425,350,6,461,169,452,394,1,93,494,410,228,55,404,484,469,148,175,347,
499,504,39,355,20,403,378,353,494,367,135,392,139,280,447,212,463,325,481,346,
47,46,1,233,211,257,1,24,48,72,402,363,431,279,476,96,431,387,90,237,
389,153,131,109,87,65,205,1,63,481,458,435,412,292,314,428,450,312,142,267,
244,221,198,175,25,153,131,109,87,65,412,173,241,93,71,1,409,64,368,410,
323,320,283,151,402,277,211,68,255,166,345,140,472,26,431,187,476,110,1,390,
22,298,265,141,193,213,288,235,123,160,119,281,23,341,1,118,41,484,49,172,
373,454,336,102,436,257,353,361,457,315,68,472,343,393,333,361,123,116,190,250,
188,164,381,304,23,45,161,43,446,303,93,208,1,232,24,428,484,255,227,426,
339,163,269,46,358,24,231,305,22,117,290,257,322,417,227,328,1,128,380,440,
67,164,454,20,183,92,485,89,465,183,175,207,311,232,257,218,1,113,280,205,
336,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,367,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,11,478,411,388,146,436,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,302,21,257,322,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144, };
static unsigned short stb__consolas_43_latin_ext_t[560]={ 1,1,441,388,46,263,263,183,1,1,417,
417,327,78,343,159,327,388,358,327,388,327,327,388,327,388,159,195,388,441,388,
263,1,358,388,327,388,388,358,327,358,388,295,388,388,388,388,327,388,85,388,
327,388,327,358,388,358,388,388,1,159,1,441,441,441,417,263,417,263,417,327,
263,327,327,1,327,295,417,417,417,231,263,417,417,358,417,417,417,417,263,417,
1,1,1,441,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,1,85,46,
358,388,358,1,159,441,327,417,441,441,78,417,441,441,388,417,417,441,263,159,
417,231,441,417,441,295,295,295,46,122,159,122,85,122,46,358,122,122,159,122,
195,159,159,122,122,358,122,122,122,122,46,85,417,46,85,122,85,85,159,358,
195,263,263,263,263,263,195,417,358,231,231,231,231,295,295,295,295,231,295,231,
231,231,231,231,417,231,231,231,231,231,1,1,1,195,295,195,195,46,195,85,
195,85,195,46,263,85,263,195,195,358,195,195,295,195,195,85,195,46,231,159,
231,85,1,122,1,46,1,46,1,159,122,358,327,85,327,195,358,122,295,46,
1,85,417,358,1,85,1,46,1,417,159,46,46,1,231,231,358,295,358,295,
122,295,46,195,159,327,195,46,263,159,295,85,295,85,295,327,388,122,295,46,
263,122,295,85,263,85,263,122,358,85,231,46,46,122,195,358,358,46,263,122,
327,85,195,46,195,85,263,46,263,159,327,159,1,159,159,327,85,327,159,295,
295,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,159,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,1,1,159,231,1,159,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,46,263,46,46,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,358,
358,358,358,358,358,358,358,358,358, };
static unsigned short stb__consolas_43_latin_ext_a[560]={ 378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,378,
378,378,378,378,378,378,378,378, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT or STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_43_latin_ext(stb_fontchar font[STB_FONT_consolas_43_latin_ext_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT][STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_43_latin_ext_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_43_latin_ext_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_43_latin_ext_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_43_latin_ext_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_43_latin_ext_s[i] + stb__consolas_43_latin_ext_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_43_latin_ext_t[i] + stb__consolas_43_latin_ext_h[i]) * recip_height;
            font[i].x0 = stb__consolas_43_latin_ext_x[i];
            font[i].y0 = stb__consolas_43_latin_ext_y[i];
            font[i].x1 = stb__consolas_43_latin_ext_x[i] + stb__consolas_43_latin_ext_w[i];
            font[i].y1 = stb__consolas_43_latin_ext_y[i] + stb__consolas_43_latin_ext_h[i];
            font[i].advance_int = (stb__consolas_43_latin_ext_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_43_latin_ext_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_43_latin_ext_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_43_latin_ext_s[i] + stb__consolas_43_latin_ext_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_43_latin_ext_t[i] + stb__consolas_43_latin_ext_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_43_latin_ext_x[i] - 0.5f;
            font[i].y0f = stb__consolas_43_latin_ext_y[i] - 0.5f;
            font[i].x1f = stb__consolas_43_latin_ext_x[i] + stb__consolas_43_latin_ext_w[i] + 0.5f;
            font[i].y1f = stb__consolas_43_latin_ext_y[i] + stb__consolas_43_latin_ext_h[i] + 0.5f;
            font[i].advance = stb__consolas_43_latin_ext_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_43_latin_ext
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_43_latin_ext_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_43_latin_ext_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_43_latin_ext_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_43_latin_ext_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_43_latin_ext_LINE_SPACING
#endif

